DROP TABLE IF EXISTS item_effects;
CREATE TABLE item_effects (
	id         INTEGER PRIMARY KEY,
	item_id    INTEGER NOT NULL DEFAULT 0,
	effect     TEXT NOT NULL DEFAULT 'Unknown',
	percentage INTEGER NOT NULL DEFAULT 100,
	bullet     INTEGER NOT NULL DEFAULT 0,
	index      INTEGER NOT NULL,
	UNIQUE(item_id, index),
	FOREIGN KEY (item_id) REFERENCES items(id) ON DELETE CASCADE ON UPDATE CASCADE
);
CREATE INDEX idx_item_effects_item_id ON item_effects(item_id);
CREATE INDEX idx_item_effects_effect ON item_effects(effect);

INSERT INTO item_effects VALUES
(1,107238,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(2,107238,'Slows target by 54.7%',100,2,1),
(3,107238,'5% chance to dispel when target receives hostile action',100,2,2),
(4,107238,'5% chance to dispel when target takes damage',100,2,3),
(5,107238,'Inflicts 258 - 315 disease damage on target',100,1,4),
(6,107238,'Inflicts 86 - 105 disease damage on target every 4 seconds',100,1,5),
(7,107238,'Slows target by 54.7%',100,1,6),
(8,107238,'5% chance to dispel when target receives hostile action',100,1,7),
(9,107238,'5% chance to dispel when target takes damage',100,1,8),
(10,10107238,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(11,10107238,'Slows target by 54.7%',100,2,1),
(12,10107238,'5% chance to dispel when target receives hostile action',100,2,2),
(13,10107238,'5% chance to dispel when target takes damage',100,2,3),
(14,10107238,'Inflicts 258 - 315 disease damage on target',100,1,4),
(15,10107238,'Inflicts 68 - 83 disease damage on target every 2.5 seconds',100,1,5),
(16,10107238,'Slows target by 54.7%',100,1,6),
(17,10107238,'5% chance to dispel when target receives hostile action',100,1,7),
(18,10107238,'5% chance to dispel when target takes damage',100,1,8),
(19,141819,'When Equipped:',100,0,0),
(20,141819,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(21,141819,'Increases STA of caster by 5.8',100,2,2),
(22,141819,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(23,141819,'Cannot be modified except by direct means',100,2,4),
(24,10141819,'When Equipped:',100,0,0),
(25,10141819,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(26,10141819,'Increases STA of caster by 5.8',100,2,2),
(27,10141819,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(28,10141819,'Cannot be modified except by direct means',100,2,4),
(29,106154,'Inflicts 1742 - 2817 divine damage on target encounter',100,1,0),
(30,106154,'Interrupts target encounter',100,1,1),
(31,10106154,'Inflicts 1309 - 2093 divine damage on target encounter',100,1,0),
(32,10106154,'Interrupts target encounter',100,1,1),
(33,48734,'Applies Translucent Elixir of Invigoration when Activated.',100,0,0),
(34,48734,'Heals caster for 250',100,1,1),
(35,48734,'Only affects targets level 50 and above',100,1,2),
(36,10048734,'Applies Translucent Elixir of Invigoration when Activated.',100,0,0),
(37,10048734,'Heals caster for 162',100,1,1),
(38,10048734,'Only affects targets level 50 and above',100,1,2),
(39,106842,'Decreases Crushing, Piercing, Slashing and Ranged of target by 31.5',100,1,0),
(40,10106842,'Decreases Crushing, Piercing, Slashing and Ranged of target by 31.5',100,1,0),
(41,119561,'Wards group members (AE) against 6315 points of arcane damage',100,1,0),
(42,119561,'Increases Mitigation of group members (AE) vs arcane damage by 1025',100,1,1),
(43,10119561,'Wards group members (AE) against 4619 points of arcane damage',100,1,0),
(44,10119561,'Increases Mitigation of group members (AE) vs arcane damage by 1025',100,1,1),
(45,112854,'Roots target',100,1,0),
(46,112854,'5% chance to dispel when target takes damage',100,1,1),
(47,112854,'Does not affect Epic targets',100,1,2),
(48,112854,'Resistibility increases against targets higher than level 105.',100,1,3),
(49,10112854,'Roots target',100,1,0),
(50,10112854,'5% chance to dispel when target takes damage',100,1,1),
(51,10112854,'Does not affect Epic targets',100,1,2),
(52,10112854,'Resistibility increases against targets higher than level 105.',100,1,3),
(53,46683,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(54,46683,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(55,46683,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(56,46683,'Cannot be modified except by direct means',100,2,3),
(57,46683,'Grants a total of 80 triggers of the spell.',100,2,4),
(58,10046683,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(59,10046683,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(60,10046683,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(61,10046683,'Cannot be modified except by direct means',100,2,3),
(62,10046683,'Grants a total of 80 triggers of the spell.',100,2,4),
(63,25597,'When Equipped:',100,0,0),
(64,25597,'Increases the base damage of Masked Strike VII by 15%.',100,1,1),
(65,25597,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(66,10025597,'When Equipped:',100,0,0),
(67,10025597,'Increases the base damage of Masked Strike VII by 15%.',100,1,1),
(68,10025597,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(69,51411,'Applies Heroic Resistance V when Equipped.',100,0,0),
(70,51411,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(71,51411,'Cannot be modified except by direct means',100,1,2),
(72,10051411,'Applies Heroic Resistance V when Equipped.',100,0,0),
(73,10051411,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(74,10051411,'Cannot be modified except by direct means',100,1,2),
(75,173002,'When Equipped:',100,0,0),
(76,173002,'1% of all damage received by the caster is prevented.',100,1,1),
(77,173002,'Must not be engaged in pvp combat',100,1,2),
(78,10173002,'When Equipped:',100,0,0),
(79,10173002,'1% of all damage received by the caster is prevented.',100,1,1),
(80,10173002,'Must not be engaged in pvp combat',100,1,2),
(81,102647,'Inflicts 1236 - 1878 melee damage on target',100,1,0),
(82,102647,'Inflicts 257 heat damage on target every 6 seconds',100,1,1),
(83,10102647,'Inflicts 920 - 1265 melee damage on target',100,1,0),
(84,10102647,'Inflicts 202 heat damage on target every 6 seconds',100,1,1),
(85,24201,'Adds Crushbone: Mineral Deposits to your Dungeon Maker toolbox',100,0,0),
(86,10024201,'Adds Crushbone: Mineral Deposits to your Dungeon Maker toolbox',100,0,0),
(87,105159,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(88,105159,'Increases AGI of caster by 39.4',100,1,1),
(89,105159,'Adds 1.7% to base avoidance.',100,1,2),
(90,105159,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(91,105159,'Increases Parry of caster by 22.8',100,1,4),
(92,105159,'Increases Defense of caster by 30.4',100,1,5),
(93,10105159,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(94,10105159,'Increases AGI of caster by 39.4',100,1,1),
(95,10105159,'Adds 1.7% to base avoidance.',100,1,2),
(96,10105159,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(97,10105159,'Increases Parry of caster by 22.8',100,1,4),
(98,10105159,'Increases Defense of caster by 30.4',100,1,5),
(99,123231,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(100,123231,'Increases Mitigation of group members (AE) vs noxious damage by 140',100,1,1),
(101,10123231,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(102,10123231,'Increases Mitigation of group members (AE) vs noxious damage by 140',100,1,1),
(103,118100,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(104,10118100,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(105,35958,'Increases STR of target by 4.3',100,0,0),
(106,35958,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(107,110185,'Inflicts 396 - 659 piercing damage on target instantly and every 4 seconds',100,1,0),
(108,110185,'Inflicts 1089 - 1422 melee damage on target',100,1,1),
(109,110185,'Applies Untreated Bleeding on termination.',100,1,2),
(110,110185,'Inflicts 1846 - 3077 piercing damage on target',100,2,3),
(111,10110185,'Inflicts 312 - 520 piercing damage on target instantly and every 4 seconds',100,1,0),
(112,10110185,'Inflicts 603 - 741 melee damage on target',100,1,1),
(113,10110185,'Applies Untreated Bleeding on termination.',100,1,2),
(114,10110185,'Inflicts 1455 - 2425 piercing damage on target',100,2,3),
(115,74894,'When Equipped:',100,0,0),
(116,74894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117,74894,'Inflicts 217 - 326 magic damage on target',100,2,2),
(118,74894,'Cannot be modified except by direct means',100,2,3),
(119,10074894,'When Equipped:',100,0,0),
(120,10074894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121,10074894,'Inflicts 217 - 326 magic damage on target',100,2,2),
(122,10074894,'Cannot be modified except by direct means',100,2,3),
(123,110933,'Inflicts 765 - 1269 divine damage on target',100,1,0),
(124,110933,'Increases Threat to target by 5,239 ',100,1,1),
(125,110933,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(126,110933,'Stuns target',100,2,3),
(127,110933,'Blurs vision of target',100,2,4),
(128,110933,'Throws target back',100,2,5),
(129,110933,'Does not affect Epic targets',100,2,6),
(130,10110933,'Inflicts 603 - 1000 divine damage on target',100,1,0),
(131,10110933,'Prevents target from changing targets',100,1,1),
(132,10110933,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(133,10110933,'Stuns target',100,2,3),
(134,10110933,'Blurs vision of target',100,2,4),
(135,10110933,'Throws target back',100,2,5),
(136,10110933,'Does not affect Epic targets',100,2,6),
(137,10110933,'Forces target to change their selected target to caster.',100,1,7),
(138,26456,'When Equipped:',100,0,0),
(139,26456,'Decreases falling damage taken by caster by 25.0%',100,1,1),
(140,10026456,'When Equipped:',100,0,0),
(141,10026456,'Decreases falling damage taken by caster by 25.0%',100,1,1),
(142,119984,'Increases Threat to target by 2,471 - 2,996 ',100,1,0),
(143,10119984,'Prevents target from changing targets',100,1,0),
(144,10119984,'Forces target to change their selected target to caster.',100,1,1),
(145,51370,'When Equipped:',100,0,0),
(146,51370,'On a hostile spell cast this spell may cast Fury of the Void Walkers on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(147,51370,'Inflicts 1060 mental damage on target',100,2,2),
(148,51370,'Cannot be modified except by direct means',100,2,3),
(149,10051370,'When Equipped:',100,0,0),
(150,10051370,'On a hostile spell cast this spell may cast Fury of the Void Walkers on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(151,10051370,'Inflicts 1060 mental damage on target',100,2,2),
(152,10051370,'Cannot be modified except by direct means',100,2,3),
(153,110407,'Inflicts 6305 - 10290 disease damage on target',100,1,0),
(154,10110407,'Inflicts 3362 - 5516 disease damage on target',100,1,0),
(155,105453,'Inflicts 2348 - 2652 poison damage on target',100,1,0),
(156,105453,'Inflicts 1366 - 1669 poison damage on target every 4 seconds',100,1,1),
(157,105453,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(158,105453,'Summons 3 limited pets to aid the caster',100,2,3),
(159,105453,'Grants a total of 1 trigger of the spell.',100,2,4),
(160,10105453,'Inflicts 1471 - 1710 poison damage on target',100,1,0),
(161,10105453,'Inflicts 1076 - 1316 poison damage on target every 4 seconds',100,1,1),
(162,10105453,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(163,10105453,'Summons 3 limited pets to aid the caster',100,2,3),
(164,10105453,'Grants a total of 1 trigger of the spell.',100,2,4),
(165,104904,'Inflicts 2998 - 4757 magic damage on targets in area',100,1,0),
(166,10104904,'Inflicts 2283 - 3699 magic damage on targets in area',100,1,0),
(167,132224,'When Equipped:',100,0,0),
(168,132224,'Increases Attack Speed of caster by 35.0',100,1,1),
(169,10132224,'When Equipped:',100,0,0),
(170,10132224,'Increases Attack Speed of caster by 35.0',100,1,1),
(171,122365,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(172,122365,'Inflicts 139 - 169 piercing damage on target',100,2,1),
(173,10122365,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(174,10122365,'Inflicts 109 - 134 piercing damage on target',100,2,1),
(175,45647,'Applies Elixir of the Myrmidon  when Activated.  Lasts for 15 minutes.',100,0,0),
(176,45647,'Increases Max Power of caster by 15.0',100,1,1),
(177,10045647,'Applies Elixir of the Myrmidon  when Activated.  Lasts for 15 minutes.',100,0,0),
(178,10045647,'Increases Max Power of caster by 15.0',100,1,1),
(179,111749,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(180,111749,'Inflicts 4009 - 4827 cold damage on target',100,2,1),
(181,111749,'Grants a total of 3 triggers of the spell.',100,2,2),
(182,10111749,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(183,10111749,'Inflicts 3033 - 3678 cold damage on target',100,2,1),
(184,10111749,'Grants a total of 3 triggers of the spell.',100,2,2),
(185,46020,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(186,46020,'Increases AA XP Gain of caster by 55.0%',100,1,1),
(187,46020,'Increases Tradeskill XP Gain of caster by 55.0%',100,1,2),
(188,46020,'Increases Combat XP Gain of caster by 55.0%',100,1,3),
(189,46020,'You can only have one experience potion active at a time.',100,1,4),
(190,10046020,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(191,10046020,'Increases AA XP Gain of caster by 55.0%',100,1,1),
(192,10046020,'Increases Tradeskill XP Gain of caster by 55.0%',100,1,2),
(193,10046020,'Increases Combat XP Gain of caster by 55.0%',100,1,3),
(194,10046020,'You can only have one experience potion active at a time.',100,1,4),
(195,170682,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(196,170682,'Decreases Mitigation of target vs physical damage by 685',100,1,1),
(197,170682,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(198,10170682,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(199,10170682,'Decreases Mitigation of target vs physical damage by 685',100,1,1),
(200,10170682,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(201,122149,'Summons a pet earthen avatar',100,1,0),
(202,10122149,'Summons a pet earthen avatar',100,1,0),
(203,177679,'When Equipped:',100,0,0),
(204,177679,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(205,177679,'Increases STA of caster by 16.3',100,2,2),
(206,177679,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(207,177679,'Cannot be modified except by direct means',100,2,4),
(208,10177679,'When Equipped:',100,0,0),
(209,10177679,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(210,10177679,'Increases STA of caster by 16.3',100,2,2),
(211,10177679,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(212,10177679,'Cannot be modified except by direct means',100,2,4),
(213,54425,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(214,54425,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(215,54425,'Inflicts 158 heat damage on target',100,2,2),
(216,54425,'Cannot be modified except by direct means',100,2,3),
(217,10054425,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(218,10054425,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(219,10054425,'Inflicts 158 heat damage on target',100,2,2),
(220,10054425,'Cannot be modified except by direct means',100,2,3),
(221,71308,'When Equipped:',100,0,0),
(222,71308,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(223,71308,'Inflicts 1986 piercing damage on target',100,2,2),
(224,71308,'Cannot be modified except by direct means',100,2,3),
(225,10071308,'When Equipped:',100,0,0),
(226,10071308,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227,10071308,'Inflicts 993 piercing damage on target',100,2,2),
(228,10071308,'Cannot be modified except by direct means',100,2,3),
(229,103205,'Increases Mitigation of caster vs physical damage by 544',100,1,0),
(230,103205,'Roots caster',100,1,1),
(231,10103205,'Increases Mitigation of caster vs physical damage by 544',100,1,0),
(232,10103205,'Roots caster',100,1,1),
(233,89464,'When Equipped:',100,0,0),
(234,89464,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235,89464,'Inflicts 146 - 243 magic damage on target',100,2,2),
(236,89464,'Cannot be modified except by direct means',100,2,3),
(237,10089464,'When Equipped:',100,0,0),
(238,10089464,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239,10089464,'Inflicts 146 - 243 magic damage on target',100,2,2),
(240,10089464,'Cannot be modified except by direct means',100,2,3),
(241,35539,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(242,121941,'Inflicts 36 - 60 disease damage on target',100,1,0),
(243,121941,'Decreases Defense of target by 2.1',100,1,1),
(244,121941,'Interrupts target',100,1,2),
(245,10121941,'Inflicts 31 - 52 disease damage on target',100,1,0),
(246,10121941,'Decreases Defense of target by 2.1',100,1,1),
(247,10121941,'Interrupts target',100,1,2),
(248,117582,'Inflicts 2353 - 3587 melee damage on target',100,1,0),
(249,117582,'Decreases Parry of target by 34.2',100,1,1),
(250,117582,'Must be in front of or flanking',100,1,2),
(251,10117582,'Inflicts 1632 - 2447 melee damage on target',100,1,0),
(252,10117582,'Decreases Parry of target by 34.2',100,1,1),
(253,10117582,'Must be in front of or flanking',100,1,2),
(254,110710,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(255,110710,'Heals group members (AE) for 553',100,2,1),
(256,10110710,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(257,10110710,'Heals group members (AE) for 288',100,2,1),
(258,109063,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(259,109063,'Increases Attack Speed of caster by 36.3',100,1,1),
(260,109063,'Decreases Defense of caster by 27.0',100,1,2),
(261,109063,'Increases Slashing, Piercing, Crushing and Ranged of caster by 54.5',100,1,3),
(262,10109063,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(263,10109063,'Increases Attack Speed of caster by 36.3',100,1,1),
(264,10109063,'Decreases Defense of caster by 27.0',100,1,2),
(265,10109063,'Increases Slashing, Piercing, Crushing and Ranged of caster by 54.5',100,1,3),
(266,107451,'Summons a pet earthen avatar',100,1,0),
(267,10107451,'Summons a pet earthen avatar',100,1,0),
(268,105408,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(269,105408,'Increases STR of caster by 39.6',100,1,1),
(270,105408,'Decreases Defense of caster by 4.8',100,1,2),
(271,105408,'Increases Slashing, Piercing, Crushing and Disruption of caster by 8.6',100,1,3),
(272,10105408,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(273,10105408,'Increases STR of caster by 39.6',100,1,1),
(274,10105408,'Decreases Defense of caster by 4.8',100,1,2),
(275,10105408,'Increases Slashing, Piercing, Crushing and Disruption of caster by 8.6',100,1,3),
(276,138015,'When Equipped:',100,0,0),
(277,138015,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(278,138015,'Heals group members (AE) for 1385 - 1531',100,2,2),
(279,138015,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(280,138015,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(281,138015,'This ward regenerates slowly over time.',100,2,5),
(282,138015,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(283,138015,'Must not be engaged in pvp combat',100,2,7),
(284,138015,'Cannot be modified except by direct means',100,2,8),
(285,138015,'Must not be engaged in pvp combat',100,1,9),
(286,10138015,'When Equipped:',100,0,0),
(287,10138015,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(288,10138015,'Heals group members (AE) for 1621 - 1791',100,2,2),
(289,10138015,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(290,10138015,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(291,10138015,'This ward regenerates slowly over time.',100,2,5),
(292,10138015,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(293,10138015,'Must not be engaged in pvp combat',100,2,7),
(294,10138015,'Cannot be modified except by direct means',100,2,8),
(295,10138015,'Must not be engaged in pvp combat',100,1,9),
(296,109211,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.7',100,1,0),
(297,10109211,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.7',100,1,0),
(298,113588,'Mesmerizes target',100,1,0),
(299,113588,'Prevents AOE (except when direct) ',100,1,1),
(300,113588,'Dispelled when target takes damage',100,1,2),
(301,113588,'Does not affect Epic targets',100,1,3),
(302,113588,'Resistibility increases against targets higher than level 119.',100,1,4),
(303,10113588,'Mesmerizes target',100,1,0),
(304,10113588,'Prevents AOE (except when direct) ',100,1,1),
(305,10113588,'Dispelled when target takes damage',100,1,2),
(306,10113588,'Does not affect Epic targets',100,1,3),
(307,10113588,'Resistibility increases against targets higher than level 119.',100,1,4),
(308,71756,'When Equipped:',100,0,0),
(309,71756,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310,71756,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(311,71756,'Cannot be modified except by direct means',100,2,3),
(312,10071756,'When Equipped:',100,0,0),
(313,10071756,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314,10071756,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(315,10071756,'Cannot be modified except by direct means',100,2,3),
(316,36605,'Increases STA and WIS of target by 15.4',100,0,0),
(317,36605,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(318,121312,'Inflicts 213 - 260 divine damage on target',100,1,0),
(319,121312,'Inflicts 61 - 74 divine damage on target every 3 seconds',100,1,1),
(320,121312,'Decreases Defense of target by 3.6',100,1,2),
(321,10121312,'Inflicts 200 - 244 divine damage on target',100,1,0),
(322,10121312,'Inflicts 48 - 59 divine damage on target every 3 seconds',100,1,1),
(323,10121312,'Decreases Defense of target by 3.6',100,1,2),
(324,164002,'When Equipped:',100,0,0),
(325,164002,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326,164002,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(327,164002,'Cannot be modified except by direct means',100,2,3),
(328,10164002,'When Equipped:',100,0,0),
(329,10164002,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(330,10164002,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(331,10164002,'Cannot be modified except by direct means',100,2,3),
(332,74815,'When Equipped:',100,0,0),
(333,74815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334,74815,'Inflicts 168 - 253 magic damage on target',100,2,2),
(335,74815,'Cannot be modified except by direct means',100,2,3),
(336,10074815,'When Equipped:',100,0,0),
(337,10074815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338,10074815,'Inflicts 168 - 253 magic damage on target',100,2,2),
(339,10074815,'Cannot be modified except by direct means',100,2,3),
(340,24584,'Adds Myr''Dal (Fury) to your Dungeon Maker toolbox',100,0,0),
(341,10024584,'Adds Myr''Dal (Fury) to your Dungeon Maker toolbox',100,0,0),
(342,113220,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(343,113220,'Inflicts 512 magic damage on target',100,2,1),
(344,113220,'Grants a total of 5 triggers of the spell.',100,2,2),
(345,10113220,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(346,10113220,'Inflicts 409 magic damage on target',100,2,1),
(347,10113220,'Grants a total of 5 triggers of the spell.',100,2,2),
(348,120959,'Inflicts 4612 - 7005 ranged damage on target',100,1,0),
(349,120959,'If weapon equipped in Ranged',100,1,1),
(350,120959,'Must be behind',100,1,2),
(351,10120959,'Inflicts 2540 - 3954 ranged damage on target',100,1,0),
(352,10120959,'If weapon equipped in Ranged',100,1,1),
(353,10120959,'Must be behind',100,1,2),
(354,102084,'Inflicts 139 - 232 crushing damage on target',100,1,0),
(355,102084,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(356,102084,'Stuns target',100,2,2),
(357,102084,'Blurs vision of target',100,2,3),
(358,102084,'Throws target back',100,2,4),
(359,102084,'Does not affect Epic targets',100,2,5),
(360,10102084,'Inflicts 110 - 182 crushing damage on target',100,1,0),
(361,10102084,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(362,10102084,'Stuns target',100,2,2),
(363,10102084,'Blurs vision of target',100,2,3),
(364,10102084,'Throws target back',100,2,4),
(365,10102084,'Does not affect Epic targets',100,2,5),
(366,81154,'When Equipped:',100,0,0),
(367,81154,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(368,81154,'Inflicts 290 - 538 magic damage on target',100,2,2),
(369,81154,'Decreases Threat to target by 517 ',100,2,3),
(370,81154,'Must be flanking or behind',100,3,4),
(371,81154,'Increases Threat to target by 905 ',100,2,5),
(372,81154,'Must be in front of',100,3,6),
(373,81154,'Cannot be modified except by direct means',100,2,7),
(374,10081154,'When Equipped:',100,0,0),
(375,10081154,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(376,10081154,'Inflicts 290 - 538 magic damage on target',100,2,2),
(377,10081154,'Cannot be modified except by direct means',100,2,3),
(378,185488,'When Equipped:',100,0,0),
(379,185488,'Increases Attack Speed of caster by 40.0',100,1,1),
(380,10185488,'When Equipped:',100,0,0),
(381,10185488,'Increases Attack Speed of caster by 40.0',100,1,1),
(382,117314,'Roots target',100,1,0),
(383,117314,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(384,117314,'Slows target by 43.9%',100,2,2),
(385,117314,'5% chance to dispel when target receives hostile action',100,2,3),
(386,117314,'5% chance to dispel when target takes damage',100,2,4),
(387,117314,'15% chance to dispel when target takes damage',100,1,5),
(388,117314,'Does not affect Epic targets',100,1,6),
(389,117314,'Resistibility increases against targets higher than level 62.',100,1,7),
(390,10117314,'Roots target',100,1,0),
(391,10117314,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(392,10117314,'Slows target by 43.9%',100,2,2),
(393,10117314,'10% chance to dispel when target receives hostile action',100,2,3),
(394,10117314,'10% chance to dispel when target takes damage',100,2,4),
(395,10117314,'15% chance to dispel when target takes damage',100,1,5),
(396,10117314,'Does not affect Epic targets',100,1,6),
(397,10117314,'Resistibility increases against targets higher than level 62.',100,1,7),
(398,51630,'When Equipped:',100,0,0),
(399,51630,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(400,10051630,'When Equipped:',100,0,0),
(401,10051630,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(402,108182,'Increases power of caster by 8 instantly and every 4 seconds',100,1,0),
(403,10108182,'Increases power of caster by 8 instantly and every 4 seconds',100,1,0),
(404,87430,'When Equipped:',100,0,0),
(405,87430,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(406,87430,'Inflicts 56 - 84 magic damage on target',100,2,2),
(407,87430,'Cannot be modified except by direct means',100,2,3),
(408,10087430,'When Equipped:',100,0,0),
(409,10087430,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(410,10087430,'Inflicts 56 - 84 magic damage on target',100,2,2),
(411,10087430,'Cannot be modified except by direct means',100,2,3),
(412,48422,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(413,48422,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(414,48422,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(415,48422,'Cannot be modified except by direct means',100,2,3),
(416,48422,'Grants a total of 80 triggers of the spell.',100,2,4),
(417,10048422,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(418,10048422,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(419,10048422,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(420,10048422,'Cannot be modified except by direct means',100,2,3),
(421,10048422,'Grants a total of 80 triggers of the spell.',100,2,4),
(422,121674,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(423,121674,'Inflicts 94 - 115 heat damage on target instantly and every second',100,2,1),
(424,10121674,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(425,10121674,'Inflicts 74 - 90 heat damage on target instantly and every second',100,2,1),
(426,41579,'When Equipped:',100,0,0),
(427,41579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(428,41579,'Inflicts 543 - 1009 magic damage on target',100,2,2),
(429,41579,'Cannot be modified except by direct means',100,2,3),
(430,10041579,'When Equipped:',100,0,0),
(431,10041579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(432,10041579,'Inflicts 543 - 1009 magic damage on target',100,2,2),
(433,10041579,'Cannot be modified except by direct means',100,2,3),
(434,123144,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(435,123144,'Reduces physical damage done to caster by 5%',100,1,1),
(436,123144,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(437,123144,'Increases Aggression of caster by 1.3',100,1,3),
(438,123144,'Increases Defense and Parry of caster by 2.5',100,1,4),
(439,123144,'Increases Mitigation of caster vs elemental damage by 215',100,1,5),
(440,123144,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(441,10123144,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(442,10123144,'Reduces physical damage done to caster by 5%',100,1,1),
(443,10123144,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(444,10123144,'Increases Aggression of caster by 1.3',100,1,3),
(445,10123144,'Increases Defense and Parry of caster by 2.5',100,1,4),
(446,10123144,'Increases Mitigation of caster vs elemental damage by 215',100,1,5),
(447,10123144,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(448,158527,'When Equipped:',100,0,0),
(449,158527,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(450,158527,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(451,158527,'Heals caster for 811 - 1217',100,2,3),
(452,158527,'Cannot be modified except by direct means',100,2,4),
(453,158527,'Cannot be modified except by direct means',100,1,5),
(454,10158527,'When Equipped:',100,0,0),
(455,10158527,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(456,10158527,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(457,10158527,'Heals caster for 949 - 1424',100,2,3),
(458,10158527,'Cannot be modified except by direct means',100,2,4),
(459,10158527,'Cannot be modified except by direct means',100,1,5),
(460,83986,'Applies Lightning Shock when Activated.',100,0,0),
(461,83986,'Inflicts 145 - 242 magic damage on target',100,1,1),
(462,83986,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(463,10083986,'Applies Lightning Shock when Activated.',100,0,0),
(464,10083986,'Inflicts 145 - 242 magic damage on target',100,1,1),
(465,10083986,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(466,46751,'Applies Kiston''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(467,10046751,'Applies Kiston''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(468,40944,'When Equipped:',100,0,0),
(469,40944,'On any combat or spell hit this spell may cast Stalker''s Missile on target of attack.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(470,40944,'Inflicts 5138 - 5679 crushing damage on targets in Area of Effect',100,2,2),
(471,40944,'Inflicts 1028 - 1136 crushing damage on targets in Area of Effect every 2 seconds',100,2,3),
(472,40944,'Inflicts an additional 513 - 567 crushing damage on targets in Area of Effect every tick',100,2,4),
(473,40944,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,5),
(474,40944,'Must not be engaged in pvp combat',100,2,6),
(475,40944,'Cannot be modified except by direct means',100,2,7),
(476,40944,'Must not be engaged in pvp combat',100,1,8),
(477,40944,'When Equipped:',100,0,9),
(478,40944,'On any combat or spell hit this spell may cast Missile Mastery on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(479,40944,'Increases Ranged Weapon Range of caster by 20.0%',100,2,11),
(480,40944,'Gives caster a 50.0% chance to not use ammunition on an attack',100,2,12),
(481,40944,'Must not be engaged in pvp combat',100,2,13),
(482,40944,'Cannot be modified except by direct means',100,2,14),
(483,40944,'Must not be engaged in pvp combat',100,1,15),
(484,10040944,'When Equipped:',100,0,0),
(485,10040944,'On any combat or spell hit this spell may cast Stalker''s Missile on target of attack.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(486,10040944,'Inflicts 5138 - 5679 crushing damage on targets in Area of Effect',100,2,2),
(487,10040944,'Inflicts 1028 - 1136 crushing damage on targets in Area of Effect every 2 seconds',100,2,3),
(488,10040944,'Inflicts an additional 513 - 567 crushing damage on targets in Area of Effect every tick',100,2,4),
(489,10040944,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,5),
(490,10040944,'Must not be engaged in pvp combat',100,2,6),
(491,10040944,'Cannot be modified except by direct means',100,2,7),
(492,10040944,'Must not be engaged in pvp combat',100,1,8),
(493,10040944,'When Equipped:',100,0,9),
(494,10040944,'On any combat or spell hit this spell may cast Missile Mastery on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(495,10040944,'Increases Ranged Weapon Range of caster by 20.0%',100,2,11),
(496,10040944,'Gives caster a 50.0% chance to not use ammunition on an attack',100,2,12),
(497,10040944,'Must not be engaged in pvp combat',100,2,13),
(498,10040944,'Cannot be modified except by direct means',100,2,14),
(499,10040944,'Must not be engaged in pvp combat',100,1,15),
(500,122269,'Makes targets in Area of Effect afraid',100,1,0),
(501,122269,'If Target is not Epic',100,2,1),
(502,122269,'Decreases Threat to targets in Area of Effect by 3,665 ',100,1,2),
(503,122269,'30% chance to dispel when target takes damage',100,1,3),
(504,10122269,'Makes targets in Area of Effect afraid',100,1,0),
(505,10122269,'If Target is not Epic',100,2,1),
(506,10122269,'Applies Distract.',100,1,2),
(507,10122269,'Forces target to clear their selected target.',100,2,3),
(508,10122269,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(509,10122269,'30% chance to dispel when target takes damage',100,1,5),
(510,117038,'Inflicts 285 - 472 melee damage on target',100,1,0),
(511,117038,'Decreases Attack Speed of target by 15.1',100,1,1),
(512,10117038,'Inflicts 259 - 428 melee damage on target',100,1,0),
(513,10117038,'Decreases Attack Speed of target by 15.1',100,1,1),
(514,159550,'Applies Sanguine Imbued when Equipped.',100,0,0),
(515,159550,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(516,159550,'Inflicts 194 heat damage on target',100,2,2),
(517,159550,'Cannot be modified except by direct means',100,2,3),
(518,10159550,'Applies Sanguine Imbued when Equipped.',100,0,0),
(519,10159550,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(520,10159550,'Inflicts 194 heat damage on target',100,2,2),
(521,10159550,'Cannot be modified except by direct means',100,2,3),
(522,170312,'When Equipped:',100,0,0),
(523,170312,'Increases Attack Speed of caster by 35.0',100,1,1),
(524,10170312,'When Equipped:',100,0,0),
(525,10170312,'Increases Attack Speed of caster by 35.0',100,1,1),
(526,102811,'Summons 3 limited pets to aid the caster',100,1,0),
(527,10102811,'Summons 3 limited pets to aid the caster',100,1,0),
(528,88631,'When Equipped:',100,0,0),
(529,88631,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(530,88631,'Inflicts 1192 cold damage on target encounter',100,2,2),
(531,88631,'Cannot be modified except by direct means',100,2,3),
(532,10088631,'When Equipped:',100,0,0),
(533,10088631,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(534,10088631,'Inflicts 596 cold damage on target encounter',100,2,2),
(535,10088631,'Cannot be modified except by direct means',100,2,3),
(536,45168,'Applies Essence of Fae when Activated.  Lasts for 5 minutes.',100,0,0),
(537,45168,'Increases AGI of caster by 2.2',100,1,1),
(538,45168,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,2),
(539,45168,'Shapechanges caster into a faerie',100,1,3),
(540,10045168,'Applies Essence of Fae when Activated.  Lasts for 5 minutes.',100,0,0),
(541,10045168,'Increases AGI of caster by 2.2',100,1,1),
(542,10045168,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,2),
(543,10045168,'Shapechanges caster into a faerie',100,1,3),
(544,53956,'When Equipped:',100,0,0),
(545,53956,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(546,53956,'Increases caster''s chance to block by 8.0%',100,2,2),
(547,53956,'Cannot be modified except by direct means',100,2,3),
(548,53956,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(549,53956,'Increases caster''s chance to block by 8.0%',100,2,5),
(550,53956,'Cannot be modified except by direct means',100,2,6),
(551,10053956,'When Equipped:',100,0,0),
(552,10053956,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(553,10053956,'Increases caster''s chance to block by 8.0%',100,2,2),
(554,10053956,'Cannot be modified except by direct means',100,2,3),
(555,10053956,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(556,10053956,'Increases caster''s chance to block by 8.0%',100,2,5),
(557,10053956,'Cannot be modified except by direct means',100,2,6),
(558,102641,'Inflicts 750 - 1141 melee damage on target',100,1,0),
(559,102641,'Inflicts 156 heat damage on target every 6 seconds',100,1,1),
(560,10102641,'Inflicts 673 - 923 melee damage on target',100,1,0),
(561,10102641,'Inflicts 123 heat damage on target every 6 seconds',100,1,1),
(562,123962,'Inflicts 1262 - 2093 melee damage on target',100,1,0),
(563,123962,'Decreases AGI of target by 22.6',100,1,1),
(564,123962,'Must be behind',100,1,2),
(565,10123962,'Inflicts 993 - 1494 melee damage on target',100,1,0),
(566,10123962,'Decreases AGI of target by 22.6',100,1,1),
(567,10123962,'Must be behind',100,1,2),
(568,74634,'When Equipped:',100,0,0),
(569,74634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(570,74634,'Inflicts 72 - 108 magic damage on target',100,2,2),
(571,74634,'Cannot be modified except by direct means',100,2,3),
(572,10074634,'When Equipped:',100,0,0),
(573,10074634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(574,10074634,'Inflicts 72 - 108 magic damage on target',100,2,2),
(575,10074634,'Cannot be modified except by direct means',100,2,3),
(576,107681,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(577,10107681,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(578,113763,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(579,113763,'Inflicts 3230 piercing damage on target',100,2,1),
(580,113763,'Grants a total of 60 triggers of the spell.',100,2,2),
(581,10113763,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(582,10113763,'Inflicts 2285 piercing damage on target',100,2,1),
(583,10113763,'Grants a total of 60 triggers of the spell.',100,2,2),
(584,121592,'Stuns target encounter',100,1,0),
(585,121592,'Epic targets gain an immunity to Stun effects of 16.9 seconds and duration is reduced to 1.9 seconds.',100,1,1),
(586,121592,'Resistibility increases against targets higher than level 73.',100,1,2),
(587,10121592,'Stuns target encounter',100,1,0),
(588,10121592,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(589,10121592,'Resistibility increases against targets higher than level 73.',100,1,2),
(590,116237,'Summons a pet Illusion Ally',100,1,0),
(591,10116237,'Summons a pet Illusion Ally',100,1,0),
(592,100680,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(593,100680,'Summons a limited pet to aid the caster',100,2,1),
(594,100680,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(595,100680,'Heals caster for 1457',100,3,3),
(596,100680,'Wards caster against 1864 points of all damage',100,3,4),
(597,100680,'Grants a total of 1 trigger of the spell.',100,2,5),
(598,10100680,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(599,10100680,'Summons a limited pet to aid the caster',100,2,1),
(600,10100680,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(601,10100680,'Heals caster for 746',100,3,3),
(602,10100680,'Wards caster against 1469 points of all damage',100,3,4),
(603,10100680,'Grants a total of 1 trigger of the spell.',100,2,5),
(604,120802,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(605,120802,'Stuns target',100,2,1),
(606,120802,'Blurs vision of target',100,2,2),
(607,120802,'Throws target back',100,2,3),
(608,120802,'Does not affect Epic targets',100,2,4),
(609,120802,'Inflicts 1472 - 2441 piercing damage on target',100,1,5),
(610,10120802,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(611,10120802,'Stuns target',100,2,1),
(612,10120802,'Blurs vision of target',100,2,2),
(613,10120802,'Throws target back',100,2,3),
(614,10120802,'Does not affect Epic targets',100,2,4),
(615,10120802,'Inflicts 1183 - 1705 piercing damage on target',100,1,5),
(616,122312,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(617,122312,'Inflicts 2643 - 3157 mental damage on target',100,2,1),
(618,122312,'Grants a total of 3 triggers of the spell.',100,2,2),
(619,10122312,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(620,10122312,'Inflicts 1956 - 2362 mental damage on target',100,2,1),
(621,10122312,'Grants a total of 3 triggers of the spell.',100,2,2),
(622,82446,'When Equipped:',100,0,0),
(623,82446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(624,82446,'Inflicts 300 - 557 magic damage on target',100,2,2),
(625,82446,'Cannot be modified except by direct means',100,2,3),
(626,10082446,'When Equipped:',100,0,0),
(627,10082446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(628,10082446,'Inflicts 300 - 557 magic damage on target',100,2,2),
(629,10082446,'Cannot be modified except by direct means',100,2,3),
(630,89771,'When Equipped:',100,0,0),
(631,89771,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(632,89771,'Inflicts 783 - 866 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(633,89771,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(634,89771,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,4),
(635,89771,'Must not be engaged in pvp combat',100,2,5),
(636,89771,'Cannot be modified except by direct means',100,2,6),
(637,89771,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(638,89771,'Cannot be modified except by direct means',100,1,8),
(639,89771,'When Equipped:',100,0,9),
(640,89771,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,10),
(641,89771,'Increases Multi Attack Chance of caster by 3.0',100,1,11),
(642,89771,'Increases Attack Speed of caster by 11.0',100,1,12),
(643,89771,'This effect will not stack with any rank or tier of itself.',100,1,13),
(644,89771,'Cannot be modified except by direct means',100,1,14),
(645,10089771,'When Equipped:',100,0,0),
(646,10089771,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(647,10089771,'Inflicts 783 - 866 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(648,10089771,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(649,10089771,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,4),
(650,10089771,'Must not be engaged in pvp combat',100,2,5),
(651,10089771,'Cannot be modified except by direct means',100,2,6),
(652,10089771,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(653,10089771,'Cannot be modified except by direct means',100,1,8),
(654,10089771,'When Equipped:',100,0,9),
(655,10089771,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,10),
(656,10089771,'Increases Multi Attack Chance of caster by 3.0',100,1,11),
(657,10089771,'Increases Attack Speed of caster by 11.0',100,1,12),
(658,10089771,'This effect will not stack with any rank or tier of itself.',100,1,13),
(659,10089771,'Cannot be modified except by direct means',100,1,14),
(660,122891,'Increases STR and INT of group members (AE) by 9.9',100,1,0),
(661,10122891,'Increases STR and INT of group members (AE) by 9.9',100,1,0),
(662,118106,'Heals target for 206 - 252',100,1,0),
(663,10118106,'Heals target for 173 - 211',100,1,0),
(664,108084,'Decreases Threat to target by 302 - 504 ',100,1,0),
(665,10108084,'Forces target to clear their selected target.',100,1,0),
(666,10108084,'Target cannot target caster for the duration of this effect.',100,1,1),
(667,100044,'Decreases STR, AGI and WIS of target by 34.8',100,1,0),
(668,10100044,'Decreases STR, AGI and WIS of target by 34.8',100,1,0),
(669,136596,'When Equipped:',100,0,0),
(670,136596,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(671,136596,'Increases Potency of group members by 5.0%',100,2,2),
(672,136596,'Cannot be modified except by direct means',100,2,3),
(673,136596,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(674,136596,'Increases Potency of group members by 5.0%',100,2,5),
(675,136596,'Cannot be modified except by direct means',100,2,6),
(676,136596,'Cannot be modified except by direct means',100,1,7),
(677,10136596,'When Equipped:',100,0,0),
(678,10136596,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(679,10136596,'Increases Potency of group members by 5.0%',100,2,2),
(680,10136596,'Cannot be modified except by direct means',100,2,3),
(681,10136596,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(682,10136596,'Increases Potency of group members by 5.0%',100,2,5),
(683,10136596,'Cannot be modified except by direct means',100,2,6),
(684,10136596,'Cannot be modified except by direct means',100,1,7),
(685,100083,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(686,10100083,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(687,169140,'When Equipped:',100,0,0),
(688,169140,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(689,169140,'Increases power of caster by 604',100,2,2),
(690,169140,'Cannot be modified except by direct means',100,2,3),
(691,10169140,'When Equipped:',100,0,0),
(692,10169140,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(693,10169140,'Increases power of caster by 604',100,2,2),
(694,10169140,'Cannot be modified except by direct means',100,2,3),
(695,122152,'Inflicts 91 - 111 cold damage on target',100,1,0),
(696,122152,'Inflicts 15 - 19 cold damage on target every 2 seconds',100,1,1),
(697,122152,'Inflicts 15 - 19 cold damage on target instantly and every 2 seconds',100,1,2),
(698,122152,'If target is elemental',100,2,3),
(699,10122152,'Inflicts 88 - 107 cold damage on target',100,1,0),
(700,10122152,'Inflicts 12 - 15 cold damage on target every 2 seconds',100,1,1),
(701,37354,'Increases Out-of-Combat Health Regeneration of target by 41.0',100,0,0),
(702,37354,'This effect suspends during combat',100,0,1),
(703,121834,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(704,121834,'Increases Mitigation of group members (AE) vs arcane damage by 880',100,1,1),
(705,10121834,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(706,10121834,'Increases Mitigation of group members (AE) vs arcane damage by 880',100,1,1),
(707,119885,'Increases INT and AGI of group members (AE) by 50.7',100,1,0),
(708,119885,'Adds 1.5% to base avoidance.',100,1,1),
(709,10119885,'Increases INT and AGI of group members (AE) by 50.7',100,1,0),
(710,10119885,'Adds 1.5% to base avoidance.',100,1,1),
(711,100420,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(712,100420,'Inflicts 368 - 614 slashing damage on target',100,2,1),
(713,100420,'Increases Threat to target by 1,196 ',100,2,2),
(714,100420,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(715,100420,'Increases Threat to target by 1,196 ',100,2,4),
(716,100420,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 884',100,1,5),
(717,10100420,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(718,10100420,'Inflicts 290 - 484 slashing damage on target',100,2,1),
(719,10100420,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(720,10100420,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 884',100,1,3),
(721,84131,'When Equipped:',100,0,0),
(722,84131,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(723,10084131,'When Equipped:',100,0,0),
(724,10084131,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(725,115273,'Heals target for 2421',100,1,0),
(726,115273,'Heals target for 240 every second',100,1,1),
(727,115273,'Dispels 70 levels of any hostile effects on target',100,1,2),
(728,10115273,'Heals target for 993',100,1,0),
(729,10115273,'Heals target for 123 every second',100,1,1),
(730,10115273,'Dispels 70 levels of any hostile effects on target',100,1,2),
(731,159185,'Applies Lambent Imbued when Equipped.',100,0,0),
(732,159185,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(733,159185,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(734,159185,'Cannot be modified except by direct means',100,2,3),
(735,10159185,'Applies Lambent Imbued when Equipped.',100,0,0),
(736,10159185,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(737,10159185,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(738,10159185,'Cannot be modified except by direct means',100,2,3),
(739,117157,'Inflicts 93 poison damage on target',100,1,0),
(740,117157,'Inflicts 21 poison damage on target every 4 seconds',100,1,1),
(741,117157,'Decreases WIS of target by 13.4',100,1,2),
(742,10117157,'Inflicts 89 poison damage on target',100,1,0),
(743,10117157,'Inflicts 16 poison damage on target every 4 seconds',100,1,1),
(744,10117157,'Decreases WIS of target by 13.4',100,1,2),
(745,80563,'When Equipped:',100,0,0),
(746,80563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(747,80563,'Inflicts 140 - 260 magic damage on target',100,2,2),
(748,80563,'Cannot be modified except by direct means',100,2,3),
(749,10080563,'When Equipped:',100,0,0),
(750,10080563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(751,10080563,'Inflicts 140 - 260 magic damage on target',100,2,2),
(752,10080563,'Cannot be modified except by direct means',100,2,3),
(753,188320,'When Equipped:',100,0,0),
(754,188320,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(755,188320,'Heals group members (AE) for 2624',100,2,2),
(756,188320,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(757,188320,'Must not be engaged in pvp combat',100,2,4),
(758,188320,'Cannot be modified except by direct means',100,2,5),
(759,188320,'Must not be engaged in pvp combat',100,1,6),
(760,10188320,'When Equipped:',100,0,0),
(761,10188320,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(762,10188320,'Heals group members (AE) for 3071',100,2,2),
(763,10188320,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(764,10188320,'Must not be engaged in pvp combat',100,2,4),
(765,10188320,'Cannot be modified except by direct means',100,2,5),
(766,10188320,'Must not be engaged in pvp combat',100,1,6),
(767,103884,'Increases power of group members (AE) by 14 instantly and every 6 seconds',100,1,0),
(768,103884,'Decreases INT of target by 59.0',100,1,1),
(769,10103884,'Increases power of group members (AE) by 14 instantly and every 6 seconds',100,1,0),
(770,10103884,'Decreases INT of target by 59.0',100,1,1),
(771,79315,'When Equipped:',100,0,0),
(772,79315,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(773,79315,'Inflicts 2383 poison damage on target',100,2,2),
(774,79315,'Heals caster for 1907',100,2,3),
(775,79315,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,4),
(776,79315,'Heals target for 1741',100,3,5),
(777,79315,'This effect cannot be critically applied.',100,4,6),
(778,79315,'Cannot be modified except by direct means',100,3,7),
(779,79315,'Cannot be modified except by direct means',100,2,8),
(780,79315,'Cannot be modified except by direct means',100,1,9),
(781,10079315,'When Equipped:',100,0,0),
(782,10079315,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(783,10079315,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,2),
(784,10079315,'Heals target for 170',100,3,3),
(785,10079315,'This effect cannot be critically applied.',100,4,4),
(786,10079315,'Cannot be modified except by direct means',100,3,5),
(787,10079315,'Inflicts 1192 poison damage on target',100,2,6),
(788,10079315,'Heals caster for 1115',100,2,7),
(789,10079315,'Cannot be modified except by direct means',100,2,8),
(790,10079315,'Cannot be modified except by direct means',100,1,9),
(791,113863,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(792,113863,'Increases power of caster by 304',100,2,1),
(793,113863,'Grants a total of 3 triggers of the spell.',100,2,2),
(794,10113863,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(795,10113863,'Increases power of caster by 304',100,2,1),
(796,10113863,'Grants a total of 3 triggers of the spell.',100,2,2),
(797,36261,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(798,114730,'Inflicts 3700 - 5490 melee damage on target',100,1,0),
(799,114730,'You must be in stealth.',100,1,1),
(800,10114730,'Inflicts 1671 - 2511 melee damage on target',100,1,0),
(801,10114730,'You must be in stealth.',100,1,1),
(802,149120,'When Equipped:',100,0,0),
(803,149120,'When any damage is received this spell has a 5% chance to cast Mindlash on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(804,149120,'Inflicts 129 - 216 mental damage on target every 4.8 seconds',100,2,2),
(805,149120,'Applies Mindlash Bite on termination.',100,2,3),
(806,149120,'Inflicts 548 - 914 mental damage on target',100,3,4),
(807,149120,'Cannot be modified except by direct means',100,2,5),
(808,10149120,'When Equipped:',100,0,0),
(809,10149120,'When any damage is received this spell has a 5% chance to cast Mindlash on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(810,10149120,'Inflicts 129 - 216 mental damage on target every 4.8 seconds',100,2,2),
(811,10149120,'Applies Mindlash Bite on termination.',100,2,3),
(812,10149120,'Inflicts 432 - 720 mental damage on target',100,3,4),
(813,10149120,'Cannot be modified except by direct means',100,2,5),
(814,36745,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(815,105299,'Increases AGI of caster by 118.2',100,1,0),
(816,105299,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(817,105299,'Inflicts 617 - 1029 mental damage on target',100,2,2),
(818,105299,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(819,105299,'Inflicts 617 - 1029 mental damage on target',100,2,4),
(820,105299,'Adds 17.2% to base avoidance.',100,1,5),
(821,105299,'Increases Mitigation of caster vs physical damage by 424',100,1,6),
(822,105299,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,7),
(823,10105299,'Increases AGI of caster by 118.2',100,1,0),
(824,10105299,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(825,10105299,'Inflicts 486 - 811 mental damage on target',100,2,2),
(826,10105299,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(827,10105299,'Inflicts 486 - 811 mental damage on target',100,2,4),
(828,10105299,'Adds 17.2% to base avoidance.',100,1,5),
(829,10105299,'Increases Mitigation of caster vs physical damage by 424',100,1,6),
(830,10105299,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,7),
(831,75636,'Applies Holy Strike when Activated.',100,0,0),
(832,75636,'Inflicts 171 - 285 divine damage on target',100,1,1),
(833,75636,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(834,10075636,'Applies Holy Strike when Activated.',100,0,0),
(835,10075636,'Inflicts 171 - 285 divine damage on target',100,1,1),
(836,10075636,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(837,118198,'Increases Damage Per Second of group members (AE) by 14.1',100,1,0),
(838,10118198,'Increases Damage Per Second of group members (AE) by 14.1',100,1,0),
(839,124773,'Inflicts 4680 - 5647 disease damage on target encounter',100,1,0),
(840,10124773,'Inflicts 3562 - 4324 disease damage on target encounter',100,1,0),
(841,101503,'Increases WIS of target by 23.8',100,1,0),
(842,101503,'Increases Max Health of target by 121.7',100,1,1),
(843,101503,'Increases Mitigation of target vs elemental, noxious and arcane damage by 66',100,1,2),
(844,10101503,'Increases WIS of target by 23.8',100,1,0),
(845,10101503,'Increases Max Health of target by 121.7',100,1,1),
(846,10101503,'Increases Mitigation of target vs elemental, noxious and arcane damage by 66',100,1,2),
(847,47746,'Applies Remedy of the Garden when Activated.',100,0,0),
(848,47746,'Heals caster for 8',100,1,1),
(849,10047746,'Applies Remedy of the Garden when Activated.',100,0,0),
(850,10047746,'Heals caster for 5',100,1,1),
(851,100981,'Increases INT of target by 27.2',100,1,0),
(852,100981,'Increases Attack Speed of target by 29.3',100,1,1),
(853,100981,'Decreases Defense and Parry of target by 4.9',100,1,2),
(854,100981,'Increases Slashing, Piercing and Crushing of target by 5.3',100,1,3),
(855,10100981,'Increases INT of target by 27.2',100,1,0),
(856,10100981,'Increases Attack Speed of target by 29.3',100,1,1),
(857,10100981,'Decreases Defense and Parry of target by 4.9',100,1,2),
(858,10100981,'Increases Slashing, Piercing and Crushing of target by 5.3',100,1,3),
(859,55000,'When Equipped:',100,0,0),
(860,55000,'On a damage spell hit this spell has a 8% chance to cast Font of Loh-Kai on caster.  Lasts for 7.0 seconds.  ',100,1,1),
(861,55000,'Font of Loh-Kai will increase the damage of hostile spells by 10%.',100,2,2),
(862,55000,'Cannot be modified except by direct means',100,2,3),
(863,10055000,'When Equipped:',100,0,0),
(864,10055000,'On a damage spell hit this spell has a 8% chance to cast Font of Loh-Kai on caster.  Lasts for 7.0 seconds.  ',100,1,1),
(865,10055000,'Font of Loh-Kai will increase the damage of hostile spells by 10%.',100,2,2),
(866,10055000,'Cannot be modified except by direct means',100,2,3),
(867,106402,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(868,106402,'Inflicts 944 - 1154 mental damage on target',100,2,1),
(869,106402,'Grants a total of 3 triggers of the spell.',100,2,2),
(870,10106402,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(871,10106402,'Inflicts 769 - 911 mental damage on target',100,2,1),
(872,10106402,'Grants a total of 3 triggers of the spell.',100,2,2),
(873,113720,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(874,10113720,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(875,177653,'When Equipped:',100,0,0),
(876,177653,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(877,177653,'Increases WIS of caster by 12.2',100,2,2),
(878,177653,'Increases Ministration, Focus and Ordination of caster by 7.2',100,2,3),
(879,177653,'Cannot be modified except by direct means',100,2,4),
(880,10177653,'When Equipped:',100,0,0),
(881,10177653,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(882,10177653,'Increases WIS of caster by 12.2',100,2,2),
(883,10177653,'Increases Ministration, Focus and Ordination of caster by 7.2',100,2,3),
(884,10177653,'Cannot be modified except by direct means',100,2,4),
(885,81022,'When Equipped:',100,0,0),
(886,81022,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(887,81022,'Inflicts 290 - 538 magic damage on target',100,2,2),
(888,81022,'Decreases Threat to target by 517 ',100,2,3),
(889,81022,'Must be flanking or behind',100,3,4),
(890,81022,'Increases Threat to target by 905 ',100,2,5),
(891,81022,'Must be in front of',100,3,6),
(892,81022,'Cannot be modified except by direct means',100,2,7),
(893,10081022,'When Equipped:',100,0,0),
(894,10081022,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(895,10081022,'Inflicts 290 - 538 magic damage on target',100,2,2),
(896,10081022,'Cannot be modified except by direct means',100,2,3),
(897,137174,'When Equipped:',100,0,0),
(898,137174,'Reduces maximum falling speed of caster',100,1,1),
(899,10137174,'When Equipped:',100,0,0),
(900,10137174,'Reduces maximum falling speed of caster',100,1,1),
(901,188254,'When Equipped:',100,0,0),
(902,188254,'1% of all damage received by the caster is prevented.',100,1,1),
(903,188254,'Must not be engaged in pvp combat',100,1,2),
(904,10188254,'When Equipped:',100,0,0),
(905,10188254,'1% of all damage received by the caster is prevented.',100,1,1),
(906,10188254,'Must not be engaged in pvp combat',100,1,2),
(907,37435,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(908,45115,'Applies Time Distilled Protoplasm when Activated.',100,0,0),
(909,45115,'A magical protoplasm that ages those it is applied to.',100,1,1),
(910,45115,'This monster is not ready to receive the protoplasm.',100,1,2),
(911,10045115,'Applies Time Distilled Protoplasm when Activated.',100,0,0),
(912,10045115,'A magical protoplasm that ages those it is applied to.',100,1,1),
(913,10045115,'This monster is not ready to receive the protoplasm.',100,1,2),
(914,48749,'Applies Elixir of Purity  when Activated.  Lasts for 30 minutes.',100,0,0),
(915,48749,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(916,10048749,'Applies Elixir of Purity  when Activated.  Lasts for 30 minutes.',100,0,0),
(917,10048749,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(918,120659,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 18.9',100,1,0),
(919,120659,'Increases Focus of group members (AE) by 37.8',100,1,1),
(920,10120659,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 18.9',100,1,0),
(921,10120659,'Increases Focus of group members (AE) by 37.8',100,1,1),
(922,25491,'When Equipped:',100,0,0),
(923,25491,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,1),
(924,25491,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(925,10025491,'When Equipped:',100,0,0),
(926,10025491,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,1),
(927,10025491,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(928,158988,'When Equipped:',100,0,0),
(929,158988,'When damaged this spell has a 7% chance to cast Calming Ward on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(930,158988,'Wards caster against 333 points of all damage',100,2,2),
(931,158988,'Cannot be modified except by direct means',100,2,3),
(932,10158988,'When Equipped:',100,0,0),
(933,10158988,'When damaged this spell has a 7% chance to cast Calming Ward on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(934,10158988,'Wards caster against 333 points of all damage',100,2,2),
(935,10158988,'Cannot be modified except by direct means',100,2,3),
(936,45574,'Applies Conladan''s Awakening  when Activated.  Lasts for 15 minutes.',100,0,0),
(937,45574,'Increases Max Power of caster by 207.2',100,1,1),
(938,10045574,'Applies Conladan''s Awakening  when Activated.  Lasts for 15 minutes.',100,0,0),
(939,10045574,'Increases Max Power of caster by 207.2',100,1,1),
(940,71386,'When Equipped:',100,0,0),
(941,71386,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(942,71386,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(943,71386,'Cannot be modified except by direct means',100,2,3),
(944,10071386,'When Equipped:',100,0,0),
(945,10071386,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(946,10071386,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(947,10071386,'Cannot be modified except by direct means',100,2,3),
(948,102270,'Inflicts 1970 - 3130 melee damage on targets in area',100,1,0),
(949,10102270,'Inflicts 1492 - 2389 melee damage on targets in area',100,1,0),
(950,82232,'When Equipped:',100,0,0),
(951,82232,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(952,82232,'Inflicts 61 - 114 magic damage on target',100,2,2),
(953,82232,'Cannot be modified except by direct means',100,2,3),
(954,10082232,'When Equipped:',100,0,0),
(955,10082232,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(956,10082232,'Inflicts 61 - 114 magic damage on target',100,2,2),
(957,10082232,'Cannot be modified except by direct means',100,2,3),
(958,159688,'When Equipped:',100,0,0),
(959,159688,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(960,159688,'Increases STA of caster by 19.8',100,2,2),
(961,159688,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(962,159688,'Cannot be modified except by direct means',100,2,4),
(963,10159688,'When Equipped:',100,0,0),
(964,10159688,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(965,10159688,'Increases STA of caster by 19.8',100,2,2),
(966,10159688,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(967,10159688,'Cannot be modified except by direct means',100,2,4),
(968,159249,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(969,159249,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(970,159249,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(971,159249,'Cannot be modified except by direct means',100,2,3),
(972,10159249,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(973,10159249,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(974,10159249,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(975,10159249,'Cannot be modified except by direct means',100,2,3),
(976,45069,'Applies A dimly lit crystal when Activated.',100,0,0),
(977,45069,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(978,10045069,'Applies A dimly lit crystal when Activated.',100,0,0),
(979,10045069,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(980,119045,'Inflicts 523 - 867 mental damage on target',100,1,0),
(981,119045,'Decreases power of target by 325 - 541',100,1,1),
(982,119045,'Increases power of caster by 35 - 58',100,1,2),
(983,10119045,'Inflicts 412 - 683 mental damage on target',100,1,0),
(984,10119045,'Decreases power of target by 256 - 427',100,1,1),
(985,10119045,'Increases power of caster by 35 - 58',100,1,2),
(986,74733,'When Equipped:',100,0,0),
(987,74733,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(988,74733,'Inflicts 232 - 347 magic damage on target',100,2,2),
(989,74733,'Cannot be modified except by direct means',100,2,3),
(990,10074733,'When Equipped:',100,0,0),
(991,10074733,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(992,10074733,'Inflicts 232 - 347 magic damage on target',100,2,2),
(993,10074733,'Cannot be modified except by direct means',100,2,3),
(994,80526,'When Equipped:',100,0,0),
(995,80526,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(996,80526,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(997,80526,'Decreases Threat to target by 1,219 ',100,2,3),
(998,80526,'Must be flanking or behind',100,3,4),
(999,80526,'Increases Threat to target by 1,679 ',100,2,5),
(1000,80526,'Must be in front of',100,3,6),
(1001,80526,'Cannot be modified except by direct means',100,2,7),
(1002,10080526,'When Equipped:',100,0,0),
(1003,10080526,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(1004,10080526,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(1005,10080526,'Cannot be modified except by direct means',100,2,3),
(1006,71977,'When Equipped:',100,0,0),
(1007,71977,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1008,71977,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(1009,71977,'Cannot be modified except by direct means',100,2,3),
(1010,10071977,'When Equipped:',100,0,0),
(1011,10071977,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1012,10071977,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(1013,10071977,'Cannot be modified except by direct means',100,2,3),
(1014,45045,'Applies Immortalize Gynok Moltor when Activated.',100,0,0),
(1015,45045,'Summon 1 Trophy: Gynok Moltor''s Head',100,1,1),
(1016,45045,'This effect cannot be cast during combat',100,1,2),
(1017,10045045,'Applies Immortalize Gynok Moltor when Activated.',100,0,0),
(1018,10045045,'Summon 1 Trophy: Gynok Moltor''s Head',100,1,1),
(1019,10045045,'This effect cannot be cast during combat',100,1,2),
(1020,112024,'Inflicts 3744 - 5563 piercing damage on target',100,1,0),
(1021,10112024,'Inflicts 2571 - 4004 piercing damage on target',100,1,0),
(1022,162926,'When Equipped:',100,0,0),
(1023,162926,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(1024,162926,'Inflicts 1192 mental damage on target',100,2,2),
(1025,162926,'Increases Threat to target by 3,460 ',100,2,3),
(1026,162926,'Cannot be modified except by direct means',100,2,4),
(1027,162926,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(1028,162926,'Inflicts 1192 mental damage on target',100,2,6),
(1029,162926,'Increases Threat to target by 3,460 ',100,2,7),
(1030,162926,'Cannot be modified except by direct means',100,2,8),
(1031,10162926,'When Equipped:',100,0,0),
(1032,10162926,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(1033,10162926,'Inflicts 1192 mental damage on target',100,2,2),
(1034,10162926,'Cannot be modified except by direct means',100,2,3),
(1035,10162926,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(1036,10162926,'Inflicts 1192 mental damage on target',100,2,5),
(1037,10162926,'Cannot be modified except by direct means',100,2,6),
(1038,123067,'Summons a pet undead knight',100,1,0),
(1039,10123067,'Summons a pet undead knight',100,1,0),
(1040,83724,'When Equipped:',100,0,0),
(1041,83724,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(1042,83724,'Inflicts 225 cold damage on target',100,2,2),
(1043,83724,'Cannot be modified except by direct means',100,2,3),
(1044,83724,'Cannot be modified except by direct means',100,1,4),
(1045,10083724,'When Equipped:',100,0,0),
(1046,10083724,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(1047,10083724,'Inflicts 225 cold damage on target',100,2,2),
(1048,10083724,'Cannot be modified except by direct means',100,2,3),
(1049,10083724,'Cannot be modified except by direct means',100,1,4),
(1050,175132,'Applies Sacrilege when Equipped.',100,0,0),
(1051,175132,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(1052,10175132,'Applies Sacrilege when Equipped.',100,0,0),
(1053,10175132,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(1054,173968,'When Equipped:',100,0,0),
(1055,173968,'Increases Attack Speed of caster by 32.0',100,1,1),
(1056,10173968,'When Equipped:',100,0,0),
(1057,10173968,'Increases Attack Speed of caster by 32.0',100,1,1),
(1058,48238,'Applies Cowl of Undeath when Activated.',100,0,0),
(1059,48238,'Shapechanges the user into a lich.',100,1,1),
(1060,10048238,'Applies Cowl of Undeath when Activated.',100,0,0),
(1061,10048238,'Shapechanges the user into a lich.',100,1,1),
(1062,113957,'Decreases power of target encounter by 260 instantly and every 4 seconds',100,1,0),
(1063,113957,'Increases power of group members (AE) by 31 instantly and every 4 seconds',100,1,1),
(1064,10113957,'Decreases power of target encounter by 205 instantly and every 4 seconds',100,1,0),
(1065,10113957,'Increases power of group members (AE) by 31 instantly and every 4 seconds',100,1,1),
(1066,24718,'Adds Stirge (Assassin) to your Dungeon Maker toolbox',100,0,0),
(1067,10024718,'Adds Stirge (Assassin) to your Dungeon Maker toolbox',100,0,0),
(1068,46895,'Applies Summon Effigy of Mazni when Activated.  Lasts for 40 minutes.',100,0,0),
(1069,46895,'Summons a pet an effigy of Mazni',100,1,1),
(1070,10046895,'Applies Summon Effigy of Mazni when Activated.  Lasts for 40 minutes.',100,0,0),
(1071,10046895,'Summons a pet an effigy of Mazni',100,1,1),
(1072,81152,'When Equipped:',100,0,0),
(1073,81152,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1074,81152,'Inflicts 290 - 538 magic damage on target',100,2,2),
(1075,81152,'Cannot be modified except by direct means',100,2,3),
(1076,10081152,'When Equipped:',100,0,0),
(1077,10081152,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1078,10081152,'Inflicts 290 - 538 magic damage on target',100,2,2),
(1079,10081152,'Cannot be modified except by direct means',100,2,3),
(1080,103830,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(1081,103830,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(1082,103830,'Increases Ability Casting Speed of raid and group members (AE) by 6.5%',100,1,2),
(1083,103830,'Increases Attack Speed of raid and group members (AE) by 16.3',100,1,3),
(1084,10103830,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(1085,10103830,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(1086,10103830,'Increases Ability Casting Speed of raid and group members (AE) by 6.5%',100,1,2),
(1087,10103830,'Increases Attack Speed of raid and group members (AE) by 16.3',100,1,3),
(1088,82199,'When Equipped:',100,0,0),
(1089,82199,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(1090,82199,'Inflicts 61 - 114 magic damage on target',100,2,2),
(1091,82199,'Decreases Threat to target by 135 ',100,2,3),
(1092,82199,'Must be flanking or behind',100,3,4),
(1093,82199,'Increases Threat to target by 236 ',100,2,5),
(1094,82199,'Must be in front of',100,3,6),
(1095,82199,'Cannot be modified except by direct means',100,2,7),
(1096,10082199,'When Equipped:',100,0,0),
(1097,10082199,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(1098,10082199,'Inflicts 61 - 114 magic damage on target',100,2,2),
(1099,10082199,'Cannot be modified except by direct means',100,2,3),
(1100,115138,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(1101,115138,'Heals target for 2313',100,2,1),
(1102,115138,'Heals target for 577 every 2 seconds',100,2,2),
(1103,115138,'Increases WIS of target by 72.6',100,2,3),
(1104,115138,'Grants a total of 1 trigger of the spell.',100,2,4),
(1105,10115138,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(1106,10115138,'Heals target for 1185',100,2,1),
(1107,10115138,'Heals target for 296 every 2 seconds',100,2,2),
(1108,10115138,'Increases WIS of target by 72.6',100,2,3),
(1109,10115138,'Grants a total of 1 trigger of the spell.',100,2,4),
(1110,46054,'Applies Elixir of Affliction Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(1111,46054,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(1112,10046054,'Applies Elixir of Affliction Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(1113,10046054,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(1114,159144,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1115,159144,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1116,159144,'Inflicts 452 heat damage on target',100,2,2),
(1117,159144,'Cannot be modified except by direct means',100,2,3),
(1118,10159144,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1119,10159144,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1120,10159144,'Inflicts 452 heat damage on target',100,2,2),
(1121,10159144,'Cannot be modified except by direct means',100,2,3),
(1122,109083,'Inflicts 1888 - 2484 melee damage on target',100,1,0),
(1123,109083,'Inflicts 905 - 1501 melee damage on target',100,1,1),
(1124,109083,'Inflicts 905 - 1501 melee damage on target',100,1,2),
(1125,109083,'Decreases Mitigation of target vs physical damage by 630',100,1,3),
(1126,10109083,'Inflicts 1108 - 1578 melee damage on target',100,1,0),
(1127,10109083,'Inflicts 713 - 1183 melee damage on target',100,1,1),
(1128,10109083,'Inflicts 713 - 1183 melee damage on target',100,1,2),
(1129,10109083,'Decreases Mitigation of target vs physical damage by 630',100,1,3),
(1130,122361,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(1131,122361,'Inflicts 151 - 185 piercing damage on target',100,2,1),
(1132,10122361,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(1133,10122361,'Inflicts 119 - 146 piercing damage on target',100,2,1),
(1134,116579,'Inflicts 446 - 740 divine damage on target',100,1,0),
(1135,10116579,'Inflicts 352 - 583 divine damage on target',100,1,0),
(1136,159342,'Applies Lambent Imbued when Equipped.',100,0,0),
(1137,159342,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(1138,159342,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(1139,159342,'Cannot be modified except by direct means',100,2,3),
(1140,10159342,'Applies Lambent Imbued when Equipped.',100,0,0),
(1141,10159342,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(1142,10159342,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(1143,10159342,'Cannot be modified except by direct means',100,2,3),
(1144,48902,'Applies Spirit of the Brute  when Activated.  Lasts for 30 minutes.',100,0,0),
(1145,48902,'Increases STA and STR of caster by 6.7',100,1,1),
(1146,10048902,'Applies Spirit of the Brute  when Activated.  Lasts for 30 minutes.',100,0,0),
(1147,10048902,'Increases STA and STR of caster by 6.7',100,1,1),
(1148,110402,'Inflicts 5053 - 8203 disease damage on target',100,1,0),
(1149,10110402,'Inflicts 2685 - 4388 disease damage on target',100,1,0),
(1150,108761,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(1151,108761,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(1152,108761,'Inflicts 239 - 292 heat damage on target encounter',100,3,2),
(1153,108761,'Grants a total of 1 trigger of the spell.',100,3,3),
(1154,108761,'Inflicts 54 - 66 heat damage on target instantly and every 4 seconds',100,2,4),
(1155,10108761,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(1156,10108761,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(1157,10108761,'Inflicts 188 - 230 heat damage on target encounter',100,3,2),
(1158,10108761,'Grants a total of 1 trigger of the spell.',100,3,3),
(1159,10108761,'Inflicts 42 - 52 heat damage on target instantly and every 4 seconds',100,2,4),
(1160,104886,'Inflicts 826 - 1370 magic damage on targets in area',100,1,0),
(1161,10104886,'Inflicts 665 - 1077 magic damage on targets in area',100,1,0),
(1162,121555,'Inflicts 1677 - 2712 melee damage on targets in area',100,1,0),
(1163,121555,'Stuns target encounter',100,1,1),
(1164,121555,'If Target is not Epic',100,2,2),
(1165,121555,'Resistibility increases against targets higher than level 75.',100,1,3),
(1166,10121555,'Inflicts 1265 - 2011 melee damage on targets in area',100,1,0),
(1167,10121555,'Stuns target encounter',100,1,1),
(1168,10121555,'If Target is not Epic',100,2,2),
(1169,10121555,'Resistibility increases against targets higher than level 75.',100,1,3),
(1170,104253,'Increases Mitigation of group members (AE) vs physical damage by 446',100,1,0),
(1171,10104253,'Increases Mitigation of group members (AE) vs physical damage by 446',100,1,0),
(1172,130298,'When Equipped:',100,0,0),
(1173,130298,'Increases Damage Per Second of caster by 11.0',100,1,1),
(1174,130298,'This effect will not stack with any rank or tier of itself.',100,1,2),
(1175,130298,'Cannot be modified except by direct means',100,1,3),
(1176,10130298,'When Equipped:',100,0,0),
(1177,10130298,'Increases Damage Per Second of caster by 11.0',100,1,1),
(1178,10130298,'This effect will not stack with any rank or tier of itself.',100,1,2),
(1179,10130298,'Cannot be modified except by direct means',100,1,3),
(1180,35188,'Increases INT of target by 2.4',100,0,0),
(1181,35188,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(1182,72301,'When Equipped:',100,0,0),
(1183,72301,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1184,72301,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(1185,72301,'Cannot be modified except by direct means',100,2,3),
(1186,10072301,'When Equipped:',100,0,0),
(1187,10072301,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1188,10072301,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(1189,10072301,'Cannot be modified except by direct means',100,2,3),
(1190,73165,'When Equipped:',100,0,0),
(1191,73165,'On a hit this spell may cast Judgment on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(1192,73165,'Inflicts 225 - 275 divine damage on target',100,2,2),
(1193,73165,'Interrupts target',100,2,3),
(1194,73165,'Increases your Combat Art Damage by 82',100,2,4),
(1195,73165,'Increases your Spell Damage by 82',100,2,5),
(1196,73165,'Only affects targets level 90 and below',100,2,6),
(1197,73165,'Does not affect Epic targets',100,2,7),
(1198,73165,'Cannot be modified except by direct means',100,2,8),
(1199,73165,'Cannot be modified except by direct means',100,1,9),
(1200,10073165,'When Equipped:',100,0,0),
(1201,10073165,'On a hit this spell may cast Judgment on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(1202,10073165,'Inflicts 225 - 275 divine damage on target',100,2,2),
(1203,10073165,'Interrupts target',100,2,3),
(1204,10073165,'Increases your Combat Art Damage by 82',100,2,4),
(1205,10073165,'Increases your Spell Damage by 82',100,2,5),
(1206,10073165,'Only affects targets level 90 and below',100,2,6),
(1207,10073165,'Does not affect Epic targets',100,2,7),
(1208,10073165,'Cannot be modified except by direct means',100,2,8),
(1209,10073165,'Cannot be modified except by direct means',100,1,9),
(1210,81922,'When Equipped:',100,0,0),
(1211,81922,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1212,81922,'Inflicts 523 - 972 magic damage on target',100,2,2),
(1213,81922,'Cannot be modified except by direct means',100,2,3),
(1214,10081922,'When Equipped:',100,0,0),
(1215,10081922,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1216,10081922,'Inflicts 523 - 972 magic damage on target',100,2,2),
(1217,10081922,'Cannot be modified except by direct means',100,2,3),
(1218,77298,'When Equipped:',100,0,0),
(1219,77298,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1220,77298,'Inflicts 573 mental damage on target',100,2,2),
(1221,77298,'Must be classified as an undead',100,3,3),
(1222,77298,'Inflicts 287 mental damage on target',100,2,4),
(1223,77298,'Must not be classified as an undead',100,3,5),
(1224,77298,'Decreases Mitigation of target vs arcane damage by 415',100,2,6),
(1225,77298,'Must be classified as an undead',100,3,7),
(1226,77298,'Cannot be modified except by direct means',100,2,8),
(1227,77298,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(1228,77298,'When Equipped:',100,0,10),
(1229,77298,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,11),
(1230,77298,'Inflicts 460 piercing damage on target',100,2,12),
(1231,77298,'Cannot be modified except by direct means',100,2,13),
(1232,10077298,'When Equipped:',100,0,0),
(1233,10077298,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1234,10077298,'Inflicts 573 mental damage on target',100,2,2),
(1235,10077298,'Must be classified as an undead',100,3,3),
(1236,10077298,'Inflicts 287 mental damage on target',100,2,4),
(1237,10077298,'Must not be classified as an undead',100,3,5),
(1238,10077298,'Decreases Mitigation of target vs arcane damage by 415',100,2,6),
(1239,10077298,'Must be classified as an undead',100,3,7),
(1240,10077298,'Cannot be modified except by direct means',100,2,8),
(1241,10077298,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(1242,10077298,'When Equipped:',100,0,10),
(1243,10077298,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,11),
(1244,10077298,'Inflicts 460 piercing damage on target',100,2,12),
(1245,10077298,'Cannot be modified except by direct means',100,2,13),
(1246,123759,'Decreases Mitigation of target vs noxious damage by 437',100,1,0),
(1247,123759,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(1248,123759,'Slows target by 32.9%',100,2,2),
(1249,123759,'5% chance to dispel when target receives hostile action',100,2,3),
(1250,123759,'5% chance to dispel when target takes damage',100,2,4),
(1251,10123759,'Decreases Mitigation of target vs noxious damage by 437',100,1,0),
(1252,10123759,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(1253,10123759,'Slows target by 32.9%',100,2,2),
(1254,10123759,'5% chance to dispel when target receives hostile action',100,2,3),
(1255,10123759,'5% chance to dispel when target takes damage',100,2,4),
(1256,24716,'Adds Spiroc (Templar) to your Dungeon Maker toolbox',100,0,0),
(1257,10024716,'Adds Spiroc (Templar) to your Dungeon Maker toolbox',100,0,0),
(1258,81522,'When Equipped:',100,0,0),
(1259,81522,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(1260,81522,'Inflicts 215 - 399 magic damage on target',100,2,2),
(1261,81522,'Decreases Threat to target by 376 ',100,2,3),
(1262,81522,'Must be flanking or behind',100,3,4),
(1263,81522,'Increases Threat to target by 658 ',100,2,5),
(1264,81522,'Must be in front of',100,3,6),
(1265,81522,'Cannot be modified except by direct means',100,2,7),
(1266,10081522,'When Equipped:',100,0,0),
(1267,10081522,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(1268,10081522,'Inflicts 215 - 399 magic damage on target',100,2,2),
(1269,10081522,'Cannot be modified except by direct means',100,2,3),
(1270,25281,'When Equipped:',100,0,0),
(1271,25281,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,1),
(1272,25281,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(1273,10025281,'When Equipped:',100,0,0),
(1274,10025281,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,1),
(1275,10025281,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(1276,159175,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(1277,159175,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(1278,159175,'Inflicts 35 heat damage on target',100,2,2),
(1279,159175,'Cannot be modified except by direct means',100,2,3),
(1280,10159175,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(1281,10159175,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(1282,10159175,'Inflicts 35 heat damage on target',100,2,2),
(1283,10159175,'Cannot be modified except by direct means',100,2,3),
(1284,24165,'Adds Crushbone: Chandelier Hook to your Dungeon Maker toolbox',100,0,0),
(1285,10024165,'Adds Crushbone: Chandelier Hook to your Dungeon Maker toolbox',100,0,0),
(1286,80896,'When Equipped:',100,0,0),
(1287,80896,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1288,80896,'Inflicts 343 - 636 magic damage on target',100,2,2),
(1289,80896,'Cannot be modified except by direct means',100,2,3),
(1290,10080896,'When Equipped:',100,0,0),
(1291,10080896,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1292,10080896,'Inflicts 343 - 636 magic damage on target',100,2,2),
(1293,10080896,'Cannot be modified except by direct means',100,2,3),
(1294,79997,'When Equipped:',100,0,0),
(1295,79997,'On a combat hit this spell may cast Lion''s Ferocity on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(1296,79997,'Heals caster for 228',100,2,2),
(1297,79997,'Cannot be modified except by direct means',100,2,3),
(1298,10079997,'When Equipped:',100,0,0),
(1299,10079997,'On a combat hit this spell may cast Lion''s Ferocity on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(1300,10079997,'Heals caster for 148',100,2,2),
(1301,10079997,'Cannot be modified except by direct means',100,2,3),
(1302,118201,'Increases Damage Per Second of group members (AE) by 23.7',100,1,0),
(1303,10118201,'Increases Damage Per Second of group members (AE) by 23.7',100,1,0),
(1304,108712,'Inflicts 2451 heat damage on target',100,1,0),
(1305,108712,'Inflicts 328 heat damage on target every 4 seconds',100,1,1),
(1306,10108712,'Inflicts 2015 heat damage on target',100,1,0),
(1307,10108712,'Inflicts 258 heat damage on target every 4 seconds',100,1,1),
(1308,71351,'When Equipped:',100,0,0),
(1309,71351,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1310,71351,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(1311,71351,'Cannot be modified except by direct means',100,2,3),
(1312,10071351,'When Equipped:',100,0,0),
(1313,10071351,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1314,10071351,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(1315,10071351,'Cannot be modified except by direct means',100,2,3),
(1316,112941,'Inflicts 194 - 576 crushing damage on target',100,1,0),
(1317,10112941,'Inflicts 157 - 464 crushing damage on target',100,1,0),
(1318,162151,'When Equipped:',100,0,0),
(1319,162151,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(1320,162151,'Inflicts 258 poison damage on target',100,2,2),
(1321,162151,'Inflicts 258 disease damage on target',100,2,3),
(1322,162151,'Cannot be modified except by direct means',100,2,4),
(1323,162151,'Wards caster against 516 points of noxious damage',100,1,5),
(1324,10162151,'When Equipped:',100,0,0),
(1325,10162151,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(1326,10162151,'Inflicts 258 poison damage on target',100,2,2),
(1327,10162151,'Inflicts 258 disease damage on target',100,2,3),
(1328,10162151,'Cannot be modified except by direct means',100,2,4),
(1329,10162151,'Wards caster against 516 points of noxious damage',100,1,5),
(1330,121882,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(1331,121882,'Inflicts 1795 - 2194 mental damage on target',100,2,1),
(1332,121882,'Decreases Threat to target by 2,230 - 2,726 ',100,2,2),
(1333,121882,'If profession other than Fighter',100,3,3),
(1334,10121882,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(1335,10121882,'Inflicts 1415 - 1729 mental damage on target',100,2,1),
(1336,123146,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(1337,123146,'Reduces physical damage done to caster by 5%',100,1,1),
(1338,123146,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(1339,123146,'Increases Aggression of caster by 1.4',100,1,3),
(1340,123146,'Increases Defense and Parry of caster by 2.9',100,1,4),
(1341,123146,'Increases Mitigation of caster vs elemental damage by 246',100,1,5),
(1342,123146,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(1343,10123146,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(1344,10123146,'Reduces physical damage done to caster by 5%',100,1,1),
(1345,10123146,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(1346,10123146,'Increases Aggression of caster by 1.4',100,1,3),
(1347,10123146,'Increases Defense and Parry of caster by 2.9',100,1,4),
(1348,10123146,'Increases Mitigation of caster vs elemental damage by 246',100,1,5),
(1349,10123146,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(1350,73095,'When Equipped:',100,0,0),
(1351,73095,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(1352,73095,'Inflicts 185 - 227 magic damage on target',100,2,2),
(1353,73095,'Cannot be modified except by direct means',100,2,3),
(1354,10073095,'When Equipped:',100,0,0),
(1355,10073095,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(1356,10073095,'Inflicts 185 - 227 magic damage on target',100,2,2),
(1357,10073095,'Cannot be modified except by direct means',100,2,3),
(1358,114376,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(1359,114376,'Increases Attack Speed of caster by 21.0',100,130,1),
(1360,114376,'Increases Crushing, Ranged, Slashing and Piercing of caster by 23.4',100,130,2),
(1361,114376,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(1362,114376,'Stuns target',100,2,4),
(1363,114376,'Blurs vision of target',100,2,5),
(1364,114376,'Throws target back',100,2,6),
(1365,114376,'Does not affect Epic targets',100,2,7),
(1366,114376,'Inflicts 2201 - 3003 crushing damage on target',100,1,8),
(1367,10114376,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(1368,10114376,'Increases Attack Speed of caster by 21.0',100,130,1),
(1369,10114376,'Increases Crushing, Ranged, Slashing and Piercing of caster by 23.4',100,130,2),
(1370,10114376,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(1371,10114376,'Stuns target',100,2,4),
(1372,10114376,'Throws target back',100,2,5),
(1373,10114376,'Blurs vision of target',100,2,6),
(1374,10114376,'Does not affect Epic targets',100,2,7),
(1375,10114376,'Inflicts 1368 - 2009 crushing damage on target',100,1,8),
(1376,47132,'Applies Brenthalion''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(1377,47132,'Increases STR and STA of caster by 23.0',100,1,1),
(1378,10047132,'Applies Brenthalion''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(1379,10047132,'Increases STR and STA of caster by 23.0',100,1,1),
(1380,116071,'Inflicts 293 - 439 magic damage on target',100,1,0),
(1381,116071,'Inflicts 30 - 45 magic damage on target every 4 seconds',100,1,1),
(1382,10116071,'Inflicts 264 - 397 magic damage on target',100,1,0),
(1383,10116071,'Inflicts 24 - 36 magic damage on target every 4 seconds',100,1,1),
(1384,101326,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(1385,101326,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 165',100,1,1),
(1386,101326,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,2),
(1387,10101326,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(1388,10101326,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 165',100,1,1),
(1389,10101326,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,2),
(1390,133829,'When Equipped:',100,0,0),
(1391,133829,'Reduces physical damage done to target by 5%',100,1,1),
(1392,10133829,'When Equipped:',100,0,0),
(1393,10133829,'Reduces physical damage done to target by 5%',100,1,1),
(1394,191688,'When Equipped:',100,0,0),
(1395,191688,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(1396,191688,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(1397,191688,'Inflicts 757 - 837 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(1398,191688,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(1399,191688,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(1400,191688,'Must not be engaged in pvp combat',100,2,6),
(1401,191688,'Cannot be modified except by direct means',100,2,7),
(1402,191688,'Cannot be modified except by direct means',100,1,8),
(1403,10191688,'When Equipped:',100,0,0),
(1404,10191688,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(1405,10191688,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(1406,10191688,'Inflicts 757 - 837 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(1407,10191688,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(1408,10191688,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(1409,10191688,'Must not be engaged in pvp combat',100,2,6),
(1410,10191688,'Cannot be modified except by direct means',100,2,7),
(1411,10191688,'Cannot be modified except by direct means',100,1,8),
(1412,115240,'Heals target for 56',100,1,0),
(1413,115240,'Heals target for 5 every second',100,1,1),
(1414,115240,'Dispels 7 levels of any hostile effects on target',100,1,2),
(1415,10115240,'Heals target for 32',100,1,0),
(1416,10115240,'Heals target for 2 every second',100,1,1),
(1417,10115240,'Dispels 7 levels of any hostile effects on target',100,1,2),
(1418,113586,'Mesmerizes target',100,1,0),
(1419,113586,'Prevents AOE (except when direct) ',100,1,1),
(1420,113586,'Dispelled when target takes damage',100,1,2),
(1421,113586,'Does not affect Epic targets',100,1,3),
(1422,113586,'Resistibility increases against targets higher than level 109.',100,1,4),
(1423,10113586,'Mesmerizes target',100,1,0),
(1424,10113586,'Prevents AOE (except when direct) ',100,1,1),
(1425,10113586,'Dispelled when target takes damage',100,1,2),
(1426,10113586,'Does not affect Epic targets',100,1,3),
(1427,10113586,'Resistibility increases against targets higher than level 109.',100,1,4),
(1428,26221,'When Equipped:',100,0,0),
(1429,26221,'Increases Crit Chance of caster by 1.0',100,1,1),
(1430,10026221,'When Equipped:',100,0,0),
(1431,10026221,'Increases Crit Chance of caster by 1.0',100,1,1),
(1432,103387,'Decreases power of target by 174 instantly and every 6 seconds',100,1,0),
(1433,103387,'Inflicts 1674 - 1828 mental damage on target',100,1,1),
(1434,103387,'Inflicts 692 - 846 mental damage on target every 6 seconds',100,1,2),
(1435,103387,'Increases power of caster by 158',100,1,3),
(1436,10103387,'Decreases power of target by 137 instantly and every 6 seconds',100,1,0),
(1437,10103387,'Inflicts 940 - 1061 mental damage on target',100,1,1),
(1438,10103387,'Inflicts 545 - 666 mental damage on target every 6 seconds',100,1,2),
(1439,10103387,'Increases power of caster by 158',100,1,3),
(1440,110004,'Summons a pet rat companion',100,1,0),
(1441,10110004,'Summons a pet rat companion',100,1,0),
(1442,177487,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(1443,177487,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(1444,177487,'Inflicts 116 heat damage on target',100,2,2),
(1445,177487,'Cannot be modified except by direct means',100,2,3),
(1446,10177487,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(1447,10177487,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(1448,10177487,'Inflicts 116 heat damage on target',100,2,2),
(1449,10177487,'Cannot be modified except by direct means',100,2,3),
(1450,105104,'Inflicts 2634 - 3217 magic damage on target',100,1,0),
(1451,10105104,'Inflicts 1696 - 2156 magic damage on target',100,1,0),
(1452,46801,'Applies Liquid Courage when Activated.  Lasts for 15.0 seconds.',100,0,0),
(1453,46801,'Drink this to go streaking!',100,1,1),
(1454,10046801,'Applies Liquid Courage when Activated.  Lasts for 15.0 seconds.',100,0,0),
(1455,10046801,'Drink this to go streaking!',100,1,1),
(1456,48572,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(1457,48572,'Shrinks caster by 35.0%',100,1,1),
(1458,48572,'Enlarges caster by 50.0%',100,1,2),
(1459,10048572,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(1460,10048572,'Shrinks caster by 35.0%',100,1,1),
(1461,10048572,'Enlarges caster by 50.0%',100,1,2),
(1462,47461,'Applies Overclocked Gnomish Pacemaker when Activated.  Lasts for 2 hours.',100,0,0),
(1463,47461,'On death this spell has a 75% chance to cast Overclocked Gnomish Pacemaker on caster.  ',100,1,1),
(1464,47461,'Increases power of target by 55.0%',100,2,2),
(1465,47461,'Heals target for 55.0% of max health',100,2,3),
(1466,47461,'Cannot be modified except by direct means',100,2,4),
(1467,47461,'Grants a total of 1 trigger of the spell.',100,2,5),
(1468,10047461,'Applies Overclocked Gnomish Pacemaker when Activated.  Lasts for 2 hours.',100,0,0),
(1469,10047461,'On death this spell has a 75% chance to cast Overclocked Gnomish Pacemaker on caster.  ',100,1,1),
(1470,10047461,'Increases power of target by 55.0%',100,2,2),
(1471,10047461,'Heals target for 35.7% of max health',100,2,3),
(1472,10047461,'Cannot be modified except by direct means',100,2,4),
(1473,10047461,'Grants a total of 1 trigger of the spell.',100,2,5),
(1474,70575,'When Equipped:',100,0,0),
(1475,70575,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(1476,70575,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(1477,70575,'Wards target against 4840 points of all damage',100,2,3),
(1478,70575,'Must not be engaged in pvp combat',100,2,4),
(1479,70575,'Cannot be modified except by direct means',100,2,5),
(1480,70575,'Cannot be modified except by direct means',100,1,6),
(1481,70575,'When Equipped:',100,0,7),
(1482,70575,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(1483,70575,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(1484,70575,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,10),
(1485,70575,'Heals target for 1840',100,3,11),
(1486,70575,'Must not be engaged in pvp combat',100,3,12),
(1487,70575,'Cannot be modified except by direct means',100,3,13),
(1488,70575,'Grants a total of 5 triggers of the spell.',100,3,14),
(1489,70575,'Must not be engaged in pvp combat',100,2,15),
(1490,70575,'Cannot be modified except by direct means',100,2,16),
(1491,70575,'Cannot be modified except by direct means',100,1,17),
(1492,10070575,'When Equipped:',100,0,0),
(1493,10070575,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(1494,10070575,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(1495,10070575,'Wards target against 4840 points of all damage',100,2,3),
(1496,10070575,'Must not be engaged in pvp combat',100,2,4),
(1497,10070575,'Cannot be modified except by direct means',100,2,5),
(1498,10070575,'Cannot be modified except by direct means',100,1,6),
(1499,10070575,'When Equipped:',100,0,7),
(1500,10070575,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(1501,10070575,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(1502,10070575,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,10),
(1503,10070575,'Heals target for 2153',100,3,11),
(1504,10070575,'Must not be engaged in pvp combat',100,3,12),
(1505,10070575,'Cannot be modified except by direct means',100,3,13),
(1506,10070575,'Grants a total of 5 triggers of the spell.',100,3,14),
(1507,10070575,'Must not be engaged in pvp combat',100,2,15),
(1508,10070575,'Cannot be modified except by direct means',100,2,16),
(1509,10070575,'Cannot be modified except by direct means',100,1,17),
(1510,104355,'Charms target',100,1,0),
(1511,104355,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(1512,104355,'Mesmerizes target',100,2,2),
(1513,104355,'Dispelled when target takes damage',100,2,3),
(1514,104355,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(1515,104355,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(1516,104355,'Grants Sonic Vision to caster',100,2,6),
(1517,104355,'Increases Out-of-Combat Power Regeneration of target by 25.2',100,1,7),
(1518,104355,'Increases Out-of-Combat Health Regeneration of target by 50.3',100,1,8),
(1519,104355,'Certain enemies cannot be charmed',100,1,9),
(1520,104355,'Does not affect Epic targets',100,1,10),
(1521,10104355,'Mesmerizes target',100,1,0),
(1522,10104355,'Prevents AOE (except when direct) ',100,1,1),
(1523,10104355,'Dispelled when target takes damage',100,1,2),
(1524,10104355,'Certain enemies cannot be charmed',100,1,3),
(1525,10104355,'Does not affect Epic targets',100,1,4),
(1526,10104355,'Resistibility increases against targets higher than level 90.',100,1,5),
(1527,102311,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(1528,102311,'Decreases Threat to target by 5,024 ',100,2,1),
(1529,10102311,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(1530,10102311,'Inflicts 331 - 366 crushing damage on target',100,2,1),
(1531,26107,'When Equipped:',100,0,0),
(1532,26107,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,1),
(1533,26107,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(1534,10026107,'When Equipped:',100,0,0),
(1535,10026107,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,1),
(1536,10026107,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(1537,159860,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1538,159860,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1539,159860,'Inflicts 335 heat damage on target',100,2,2),
(1540,159860,'Cannot be modified except by direct means',100,2,3),
(1541,10159860,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1542,10159860,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1543,10159860,'Inflicts 335 heat damage on target',100,2,2),
(1544,10159860,'Cannot be modified except by direct means',100,2,3),
(1545,111298,'Inflicts 2567 - 3610 divine damage on target',100,1,0),
(1546,111298,'Inflicts 631 - 1051 divine damage on target every 4 seconds',100,1,1),
(1547,10111298,'Inflicts 1643 - 2466 divine damage on target',100,1,0),
(1548,10111298,'Inflicts 497 - 829 divine damage on target every 4 seconds',100,1,1),
(1549,81813,'When Equipped:',100,0,0),
(1550,81813,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1551,81813,'Inflicts 210 - 391 magic damage on target',100,2,2),
(1552,81813,'Cannot be modified except by direct means',100,2,3),
(1553,10081813,'When Equipped:',100,0,0),
(1554,10081813,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1555,10081813,'Inflicts 210 - 391 magic damage on target',100,2,2),
(1556,10081813,'Cannot be modified except by direct means',100,2,3),
(1557,82280,'When Equipped:',100,0,0),
(1558,82280,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(1559,82280,'Inflicts 61 - 114 magic damage on target',100,2,2),
(1560,82280,'Decreases Threat to target by 135 ',100,2,3),
(1561,82280,'Must be flanking or behind',100,3,4),
(1562,82280,'Increases Threat to target by 236 ',100,2,5),
(1563,82280,'Must be in front of',100,3,6),
(1564,82280,'Cannot be modified except by direct means',100,2,7),
(1565,10082280,'When Equipped:',100,0,0),
(1566,10082280,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(1567,10082280,'Inflicts 61 - 114 magic damage on target',100,2,2),
(1568,10082280,'Cannot be modified except by direct means',100,2,3),
(1569,116424,'Inflicts 445 - 742 mental damage on target',100,1,0),
(1570,10116424,'Inflicts 382 - 637 mental damage on target',100,1,0),
(1571,52924,'Applies Imbued Smite when Equipped.',100,0,0),
(1572,52924,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1573,52924,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(1574,52924,'Cannot be modified except by direct means',100,2,3),
(1575,52924,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(1576,52924,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(1577,52924,'Cannot be modified except by direct means',100,2,6),
(1578,10052924,'Applies Imbued Smite when Equipped.',100,0,0),
(1579,10052924,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1580,10052924,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(1581,10052924,'Cannot be modified except by direct means',100,2,3),
(1582,10052924,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(1583,10052924,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(1584,10052924,'Cannot be modified except by direct means',100,2,6),
(1585,114341,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(1586,114341,'Increases target''s chance to block by 15.0%',100,130,1),
(1587,114341,'Dispels 122 levels of noxious hostile effects on target',100,1,2),
(1588,114341,'Heals target for 46.6 - 51.4% of max health',100,1,3),
(1589,114341,'This effect cannot be critically applied.',100,2,4),
(1590,114341,'The healing of this spell cannot be modified except by direct means',100,1,5),
(1591,10114341,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(1592,10114341,'Increases target''s chance to block by 15.0%',100,130,1),
(1593,10114341,'Dispels 122 levels of noxious hostile effects on target',100,1,2),
(1594,10114341,'Heals target for 44.8 - 48.2% of max health',100,1,3),
(1595,10114341,'This effect cannot be critically applied.',100,2,4),
(1596,10114341,'The healing of this spell cannot be modified except by direct means',100,1,5),
(1597,24552,'Adds Mistmoore: Stone Basin to your Dungeon Maker toolbox',100,0,0),
(1598,10024552,'Adds Mistmoore: Stone Basin to your Dungeon Maker toolbox',100,0,0),
(1599,100882,'Makes target afraid',100,1,0),
(1600,100882,'30% chance to dispel when target takes damage',100,1,1),
(1601,100882,'Does not affect Epic targets',100,1,2),
(1602,100882,'Resistibility increases against targets higher than level 96.',100,1,3),
(1603,10100882,'Makes target afraid',100,1,0),
(1604,10100882,'30% chance to dispel when target takes damage',100,1,1),
(1605,10100882,'Does not affect Epic targets',100,1,2),
(1606,10100882,'Resistibility increases against targets higher than level 96.',100,1,3),
(1607,47240,'Applies Goriba''s Reclamation  when Activated.',100,0,0),
(1608,47240,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(1609,10047240,'Applies Goriba''s Reclamation  when Activated.',100,0,0),
(1610,10047240,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(1611,88493,'When Equipped:',100,0,0),
(1612,88493,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1613,88493,'Inflicts 478 - 797 crushing damage on target',100,2,2),
(1614,88493,'Throws target back',100,2,3),
(1615,88493,'Interrupts target',100,2,4),
(1616,88493,'Cannot be modified except by direct means',100,2,5),
(1617,10088493,'When Equipped:',100,0,0),
(1618,10088493,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1619,10088493,'Inflicts 478 - 797 crushing damage on target',100,2,2),
(1620,10088493,'Throws target back',100,2,3),
(1621,10088493,'Interrupts target',100,2,4),
(1622,10088493,'Cannot be modified except by direct means',100,2,5),
(1623,114405,'Mesmerizes target',100,1,0),
(1624,114405,'Prevents AOE (except when direct) ',100,1,1),
(1625,114405,'Dispelled when target takes damage',100,1,2),
(1626,114405,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(1627,114405,'Resistibility increases against targets higher than level 53.',100,1,4),
(1628,10114405,'Mesmerizes target',100,1,0),
(1629,10114405,'Prevents AOE (except when direct) ',100,1,1),
(1630,10114405,'Dispelled when target takes damage',100,1,2),
(1631,10114405,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(1632,10114405,'Resistibility increases against targets higher than level 53.',100,1,4),
(1633,109763,'Inflicts 1637 - 2760 cold damage on target encounter',100,1,0),
(1634,109763,'Inflicts 1310 - 2433 cold damage on target encounter every 3 seconds',100,1,1),
(1635,10109763,'Inflicts 1164 - 2049 cold damage on target encounter',100,1,0),
(1636,10109763,'Inflicts 1032 - 1917 cold damage on target encounter every 3 seconds',100,1,1),
(1637,82858,'When Equipped:',100,0,0),
(1638,82858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1639,82858,'Inflicts 449 - 834 magic damage on target',100,2,2),
(1640,82858,'Cannot be modified except by direct means',100,2,3),
(1641,10082858,'When Equipped:',100,0,0),
(1642,10082858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1643,10082858,'Inflicts 449 - 834 magic damage on target',100,2,2),
(1644,10082858,'Cannot be modified except by direct means',100,2,3),
(1645,72170,'When Equipped:',100,0,0),
(1646,72170,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1647,72170,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(1648,72170,'Cannot be modified except by direct means',100,2,3),
(1649,10072170,'When Equipped:',100,0,0),
(1650,10072170,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1651,10072170,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(1652,10072170,'Cannot be modified except by direct means',100,2,3),
(1653,159584,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1654,159584,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1655,159584,'Inflicts 44 heat damage on target',100,2,2),
(1656,159584,'Cannot be modified except by direct means',100,2,3),
(1657,10159584,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1658,10159584,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1659,10159584,'Inflicts 44 heat damage on target',100,2,2),
(1660,10159584,'Cannot be modified except by direct means',100,2,3),
(1661,70319,'When Equipped:',100,0,0),
(1662,70319,'On a combat hit this spell may cast Ancient Soothing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1663,70319,'Heals caster for 361',100,2,2),
(1664,70319,'Cannot be modified except by direct means',100,2,3),
(1665,10070319,'When Equipped:',100,0,0),
(1666,10070319,'On a combat hit this spell may cast Ancient Soothing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1667,10070319,'Heals caster for 234',100,2,2),
(1668,10070319,'Cannot be modified except by direct means',100,2,3),
(1669,165466,'Applies NC- Vision when Equipped.',100,0,0),
(1670,165466,'Grants Infravision to caster',100,1,1),
(1671,10165466,'Applies NC- Vision when Equipped.',100,0,0),
(1672,10165466,'Grants Infravision to caster',100,1,1),
(1673,103547,'Increases In-Combat Power Regeneration of group members (AE) by 16.5',100,1,0),
(1674,10103547,'Increases In-Combat Power Regeneration of group members (AE) by 16.5',100,1,0),
(1675,113269,'Inflicts 211 - 285 magic damage on target',100,1,0),
(1676,10113269,'Inflicts 181 - 245 magic damage on target',100,1,0),
(1677,151890,'When Equipped:',100,0,0),
(1678,151890,'Reduces power cost of damage and healing spells by 3%.',100,1,1),
(1679,10151890,'When Equipped:',100,0,0),
(1680,10151890,'Reduces power cost of damage and healing spells by 3%.',100,1,1),
(1681,77385,'When Equipped:',100,0,0),
(1682,77385,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1683,77385,'Inflicts 35 - 42 disease damage on target',100,2,2),
(1684,77385,'Inflicts 33 - 40 disease damage on target every 6 seconds',100,2,3),
(1685,77385,'Cannot be modified except by direct means',100,2,4),
(1686,10077385,'When Equipped:',100,0,0),
(1687,10077385,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1688,10077385,'Inflicts 35 - 42 disease damage on target',100,2,2),
(1689,10077385,'Inflicts 33 - 40 disease damage on target every 6 seconds',100,2,3),
(1690,10077385,'Cannot be modified except by direct means',100,2,4),
(1691,71352,'When Equipped:',100,0,0),
(1692,71352,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1693,71352,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(1694,71352,'Cannot be modified except by direct means',100,2,3),
(1695,10071352,'When Equipped:',100,0,0),
(1696,10071352,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1697,10071352,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(1698,10071352,'Cannot be modified except by direct means',100,2,3),
(1699,108555,'Makes target afraid',100,1,0),
(1700,108555,'30% chance to dispel when target takes damage',100,1,1),
(1701,108555,'Does not affect Epic targets',100,1,2),
(1702,108555,'Resistibility increases against targets higher than level 81.',100,1,3),
(1703,10108555,'Makes target afraid',100,1,0),
(1704,10108555,'30% chance to dispel when target takes damage',100,1,1),
(1705,10108555,'Does not affect Epic targets',100,1,2),
(1706,10108555,'Resistibility increases against targets higher than level 81.',100,1,3),
(1707,37431,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(1708,54494,'When Equipped:',100,0,0),
(1709,54494,'On a spell cast this spell may cast Fearless on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1710,54494,'Makes caster immune to Fear effects',100,2,2),
(1711,54494,'Must not be engaged in pvp combat',100,2,3),
(1712,54494,'Cannot be modified except by direct means',100,2,4),
(1713,54494,'Must not be engaged in pvp combat',100,1,5),
(1714,10054494,'When Equipped:',100,0,0),
(1715,10054494,'On a spell cast this spell may cast Fearless on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1716,10054494,'Makes caster immune to Fear effects',100,2,2),
(1717,10054494,'Must not be engaged in pvp combat',100,2,3),
(1718,10054494,'Cannot be modified except by direct means',100,2,4),
(1719,10054494,'Must not be engaged in pvp combat',100,1,5),
(1720,124745,'Inflicts 186 - 235 slashing damage on target',100,1,0),
(1721,124745,'Decreases Damage Per Second of target by 7.3',100,1,1),
(1722,124745,'Inflicts 65 slashing damage on target instantly and every 4 seconds',100,1,2),
(1723,10124745,'Inflicts 176 - 217 slashing damage on target',100,1,0),
(1724,10124745,'Decreases Damage Per Second of target by 7.3',100,1,1),
(1725,10124745,'Inflicts 51 slashing damage on target instantly and every 4 seconds',100,1,2),
(1726,46348,'Applies Flame Root when Activated.',100,0,0),
(1727,46348,'Inflicts 286 - 429 heat damage on target',100,1,1),
(1728,10046348,'Applies Flame Root when Activated.',100,0,0),
(1729,10046348,'Inflicts 286 - 429 heat damage on target',100,1,1),
(1730,35254,'Increases INT of target by 8.4',100,0,0),
(1731,35254,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(1732,73097,'When Equipped:',100,0,0),
(1733,73097,'On a combat hit this spell may cast Caustic Venom on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1734,73097,'Inflicts 167 - 204 poison damage on target',100,2,2),
(1735,73097,'Inflicts 95 - 116 poison damage on target every 4 seconds',100,2,3),
(1736,73097,'Cannot be modified except by direct means',100,2,4),
(1737,10073097,'When Equipped:',100,0,0),
(1738,10073097,'On a combat hit this spell may cast Caustic Venom on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1739,10073097,'Inflicts 167 - 204 poison damage on target',100,2,2),
(1740,10073097,'Inflicts 95 - 116 poison damage on target every 4 seconds',100,2,3),
(1741,10073097,'Cannot be modified except by direct means',100,2,4),
(1742,82438,'Applies Imbued Smite when Equipped.',100,0,0),
(1743,82438,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1744,82438,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(1745,82438,'Cannot be modified except by direct means',100,2,3),
(1746,82438,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(1747,82438,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(1748,82438,'Cannot be modified except by direct means',100,2,6),
(1749,10082438,'Applies Imbued Smite when Equipped.',100,0,0),
(1750,10082438,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1751,10082438,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(1752,10082438,'Cannot be modified except by direct means',100,2,3),
(1753,10082438,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(1754,10082438,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(1755,10082438,'Cannot be modified except by direct means',100,2,6),
(1756,47931,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(1757,47931,'Increases Max Power of caster by 1,968.4',100,1,1),
(1758,10047931,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(1759,10047931,'Increases Max Power of caster by 1,968.4',100,1,1),
(1760,36060,'Increases AGI of target by 10.5',100,0,0),
(1761,36060,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(1762,113361,'Applies Stifle.  Lasts for 5.0 seconds.',100,1,0),
(1763,113361,'Stifles target',100,2,1),
(1764,113361,'Blurs vision of target',100,2,2),
(1765,113361,'Dispelled when target takes damage',100,2,3),
(1766,113361,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(1767,113361,'Resistibility increases against targets higher than level 48.',100,2,5),
(1768,113361,'Roots target',100,1,6),
(1769,113361,'5% chance to dispel when target takes damage',100,1,7),
(1770,113361,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,8),
(1771,113361,'Resistibility increases against targets higher than level 48.',100,1,9),
(1772,10113361,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(1773,10113361,'Stifles target',100,2,1),
(1774,10113361,'Blurs vision of target',100,2,2),
(1775,10113361,'Dispelled when target takes damage',100,2,3),
(1776,10113361,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(1777,10113361,'Resistibility increases against targets higher than level 48.',100,2,5),
(1778,10113361,'Roots target',100,1,6),
(1779,10113361,'5% chance to dispel when target takes damage',100,1,7),
(1780,10113361,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(1781,10113361,'Resistibility increases against targets higher than level 48.',100,1,9),
(1782,109316,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(1783,109316,'Increases STR of caster by 21.1',100,1,1),
(1784,109316,'Decreases Defense of caster by 1.8',100,1,2),
(1785,109316,'Increases Slashing, Piercing and Crushing of caster by 5.2',100,1,3),
(1786,10109316,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(1787,10109316,'Increases STR of caster by 21.1',100,1,1),
(1788,10109316,'Decreases Defense of caster by 1.8',100,1,2),
(1789,10109316,'Increases Slashing, Piercing and Crushing of caster by 5.2',100,1,3),
(1790,47405,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(1791,47405,'This potion will grant you the illusion of being a Tae Ew hunter!',100,1,1),
(1792,10047405,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(1793,10047405,'This potion will grant you the illusion of being a Tae Ew hunter!',100,1,1),
(1794,162320,'When Equipped:',100,0,0),
(1795,162320,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(1796,10162320,'When Equipped:',100,0,0),
(1797,10162320,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(1798,107878,'Decreases Mitigation of target vs elemental damage by 2890',100,1,0),
(1799,107878,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(1800,107878,'Slows target by 66.1%',100,2,2),
(1801,107878,'5% chance to dispel when target receives hostile action',100,2,3),
(1802,107878,'5% chance to dispel when target takes damage',100,2,4),
(1803,10107878,'Decreases Mitigation of target vs elemental damage by 2890',100,1,0),
(1804,10107878,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(1805,10107878,'Slows target by 66.1%',100,2,2),
(1806,10107878,'5% chance to dispel when target receives hostile action',100,2,3),
(1807,10107878,'5% chance to dispel when target takes damage',100,2,4),
(1808,116558,'Summons a pet possessed essence',100,1,0),
(1809,10116558,'Summons a pet possessed essence',100,1,0),
(1810,51074,'When Equipped:',100,0,0),
(1811,51074,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1812,51074,'Increases Ability Modifier of caster by 660.0',100,2,2),
(1813,51074,'Must not be engaged in pvp combat',100,2,3),
(1814,51074,'Cannot be modified except by direct means',100,2,4),
(1815,51074,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(1816,51074,'Increases Ability Modifier of caster by 660.0',100,2,6),
(1817,51074,'Must not be engaged in pvp combat',100,2,7),
(1818,51074,'Cannot be modified except by direct means',100,2,8),
(1819,51074,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(1820,51074,'Cannot be modified except by direct means',100,1,10),
(1821,10051074,'When Equipped:',100,0,0),
(1822,10051074,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1823,10051074,'Increases Ability Modifier of caster by 660.0',100,2,2),
(1824,10051074,'Must not be engaged in pvp combat',100,2,3),
(1825,10051074,'Cannot be modified except by direct means',100,2,4),
(1826,10051074,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(1827,10051074,'Increases Ability Modifier of caster by 660.0',100,2,6),
(1828,10051074,'Must not be engaged in pvp combat',100,2,7),
(1829,10051074,'Cannot be modified except by direct means',100,2,8),
(1830,10051074,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(1831,10051074,'Cannot be modified except by direct means',100,1,10),
(1832,116332,'Decreases Threat to targets in Area of Effect by 911 ',100,1,0),
(1833,116332,'Makes targets in Area of Effect afraid',100,1,1),
(1834,116332,'30% chance to dispel when target takes damage',100,1,2),
(1835,10116332,'Makes targets in Area of Effect afraid',100,1,0),
(1836,10116332,'30% chance to dispel when target takes damage',100,1,1),
(1837,107623,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(1838,107623,'Increases Mitigation of group members (AE) vs elemental damage by 280',100,1,1),
(1839,10107623,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(1840,10107623,'Increases Mitigation of group members (AE) vs elemental damage by 280',100,1,1),
(1841,138455,'When Equipped:',100,0,0),
(1842,138455,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(1843,138455,'When Equipped:',100,0,2),
(1844,138455,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(1845,10138455,'When Equipped:',100,0,0),
(1846,10138455,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(1847,10138455,'When Equipped:',100,0,2),
(1848,10138455,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(1849,79817,'When Equipped:',100,0,0),
(1850,79817,'On a combat hit this spell may cast Divine Retribution on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1851,79817,'Inflicts 391 divine damage on target instantly and every 6.6 seconds',100,2,2),
(1852,79817,'If target is undead',100,3,3),
(1853,79817,'Cannot be modified except by direct means',100,2,4),
(1854,10079817,'When Equipped:',100,0,0),
(1855,10079817,'On a combat hit this spell may cast Divine Retribution on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(1856,10079817,'Inflicts 391 divine damage on target instantly and every 6.6 seconds',100,2,2),
(1857,10079817,'If target is undead',100,3,3),
(1858,10079817,'Cannot be modified except by direct means',100,2,4),
(1859,104889,'Inflicts 1080 - 1791 magic damage on targets in area',100,1,0),
(1860,10104889,'Inflicts 869 - 1368 magic damage on targets in area',100,1,0),
(1861,114444,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(1862,114444,'Increases Attack Speed of caster by 21.0',100,130,1),
(1863,114444,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.6',100,130,2),
(1864,114444,'Inflicts 713 - 1183 heat damage on target',100,1,3),
(1865,10114444,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(1866,10114444,'Increases Attack Speed of caster by 21.0',100,130,1),
(1867,10114444,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.6',100,130,2),
(1868,10114444,'Inflicts 562 - 932 heat damage on target',100,1,3),
(1869,46986,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(1870,46986,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(1871,46986,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(1872,46986,'Cannot be modified except by direct means',100,2,3),
(1873,46986,'Grants a total of 80 triggers of the spell.',100,2,4),
(1874,10046986,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(1875,10046986,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(1876,10046986,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(1877,10046986,'Cannot be modified except by direct means',100,2,3),
(1878,10046986,'Grants a total of 80 triggers of the spell.',100,2,4),
(1879,46656,'Applies Hrath Everstill''s Orcish Obfuscation when Activated.  Lasts for 10 minutes.',100,0,0),
(1880,46656,'Shapechanges caster into a Deathfist orc',100,1,1),
(1881,46656,'Dispelled when target takes damage',100,1,2),
(1882,46656,'Dispelled when target receives hostile action',100,1,3),
(1883,46656,'Must be in The Orcish Wastes.',100,1,4),
(1884,10046656,'Applies Hrath Everstill''s Orcish Obfuscation when Activated.  Lasts for 10 minutes.',100,0,0),
(1885,10046656,'Shapechanges caster into a Deathfist orc',100,1,1),
(1886,10046656,'Dispelled when target takes damage',100,1,2),
(1887,10046656,'Dispelled when target receives hostile action',100,1,3),
(1888,10046656,'Must be in The Orcish Wastes.',100,1,4),
(1889,112070,'Inflicts 180 - 300 heat damage on target',100,1,0),
(1890,112070,'Inflicts 36 - 60 heat damage on target every 2 seconds',100,1,1),
(1891,10112070,'Inflicts 213 - 356 heat damage on target',100,1,0),
(1892,10112070,'Inflicts 69 - 116 heat damage on target every 2 seconds',100,1,1),
(1893,80047,'Applies Fire Ball when Activated.',100,0,0),
(1894,80047,'Inflicts 438 - 729 heat damage on target',100,1,1),
(1895,80047,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(1896,10080047,'Applies Fire Ball when Activated.',100,0,0),
(1897,10080047,'Inflicts 438 - 729 heat damage on target',100,1,1),
(1898,10080047,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(1899,25341,'When Equipped:',100,0,0),
(1900,25341,'Breeze VI improves the casting speed of the group by 15%.',100,1,1),
(1901,25341,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(1902,10025341,'When Equipped:',100,0,0),
(1903,10025341,'Breeze VI improves the casting speed of the group by 15%.',100,1,1),
(1904,10025341,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(1905,45404,'Applies Brendyl''s Reclamation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(1906,45404,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(1907,10045404,'Applies Brendyl''s Reclamation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(1908,10045404,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(1909,191228,'When Equipped:',100,0,0),
(1910,191228,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,1),
(1911,191228,'Gives caster an extra 5.0% mitigation to their worn armor',100,1,2),
(1912,191228,'Increases Hate Gain of caster by 5.0%',100,1,3),
(1913,191228,'Must not be engaged in pvp combat',100,1,4),
(1914,10191228,'When Equipped:',100,0,0),
(1915,10191228,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,1),
(1916,10191228,'Gives caster an extra 5.0% mitigation to their worn armor',100,1,2),
(1917,10191228,'Must not be engaged in pvp combat',100,1,3),
(1918,141977,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(1919,141977,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(1920,141977,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(1921,10141977,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(1922,10141977,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(1923,10141977,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(1924,52727,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1925,52727,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1926,52727,'Inflicts 61 heat damage on target',100,2,2),
(1927,52727,'Cannot be modified except by direct means',100,2,3),
(1928,10052727,'Applies Sanguine Imbued when Equipped.',100,0,0),
(1929,10052727,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(1930,10052727,'Inflicts 61 heat damage on target',100,2,2),
(1931,10052727,'Cannot be modified except by direct means',100,2,3),
(1932,170110,'When Equipped:',100,0,0),
(1933,170110,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(1934,170110,'Reduces resistibility of all spells by 6%.',100,1,2),
(1935,170110,'Cannot be modified except by direct means',100,1,3),
(1936,10170110,'When Equipped:',100,0,0),
(1937,10170110,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(1938,10170110,'Reduces resistibility of all spells by 6%.',100,1,2),
(1939,10170110,'Cannot be modified except by direct means',100,1,3),
(1940,112888,'Inflicts 2321 - 2832 melee damage on target',100,1,0),
(1941,112888,'Decreases Mitigation of target vs physical damage by 329',100,1,1),
(1942,112888,'Must be flanking or behind',100,1,2),
(1943,10112888,'Inflicts 1614 - 1883 melee damage on target',100,1,0),
(1944,10112888,'Decreases Mitigation of target vs physical damage by 329',100,1,1),
(1945,10112888,'Must be flanking or behind',100,1,2),
(1946,101042,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(1947,101042,'Inflicts 1292 poison damage on target instantly and every 4 seconds',100,2,1),
(1948,101042,'If profession other than Predator',100,1,2),
(1949,101042,'If profession other than Rogue',100,1,3),
(1950,10101042,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(1951,10101042,'Inflicts 1018 poison damage on target instantly and every 4 seconds',100,2,1),
(1952,10101042,'If profession other than Predator',100,1,2),
(1953,10101042,'If profession other than Rogue',100,1,3),
(1954,174256,'When Equipped:',100,0,0),
(1955,174256,'On a critical healing spell cast this spell may cast Spiritweaver''s Fury on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1956,174256,'Increases the damage of group members'' spell or combat arts by 5%.',100,2,2),
(1957,174256,'Cannot be modified except by direct means',100,2,3),
(1958,174256,'Cannot be modified except by direct means',100,1,4),
(1959,10174256,'When Equipped:',100,0,0),
(1960,10174256,'On a critical healing spell cast this spell may cast Spiritweaver''s Fury on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1961,10174256,'Increases the damage of group members'' spell or combat arts by 5%.',100,2,2),
(1962,10174256,'Cannot be modified except by direct means',100,2,3),
(1963,10174256,'Cannot be modified except by direct means',100,1,4),
(1964,138368,'When Equipped:',100,0,0),
(1965,138368,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1966,138368,'Increases Potency of caster by 5.0%',100,2,2),
(1967,138368,'Cannot be modified except by direct means',100,2,3),
(1968,10138368,'When Equipped:',100,0,0),
(1969,10138368,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(1970,10138368,'Increases Potency of caster by 5.0%',100,2,2),
(1971,10138368,'Cannot be modified except by direct means',100,2,3),
(1972,82289,'When Equipped:',100,0,0),
(1973,82289,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1974,82289,'Inflicts 55 - 102 magic damage on target',100,2,2),
(1975,82289,'Cannot be modified except by direct means',100,2,3),
(1976,10082289,'When Equipped:',100,0,0),
(1977,10082289,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(1978,10082289,'Inflicts 55 - 102 magic damage on target',100,2,2),
(1979,10082289,'Cannot be modified except by direct means',100,2,3),
(1980,111003,'Heals target for 2481 - 2815',100,1,0),
(1981,111003,'Heals target for 1499 - 1832 every 2 seconds',100,1,1),
(1982,111003,'Increases power of target by 117 - 142 instantly and every 2 seconds',100,1,2),
(1983,10111003,'Heals target for 1024 - 1195',100,1,0),
(1984,10111003,'Heals target for 768 - 939 every 2 seconds',100,1,1),
(1985,10111003,'Increases power of target by 92 - 112 instantly and every 2 seconds',100,1,2),
(1986,100590,'Inflicts 1794 - 2470 melee damage on target',100,1,0),
(1987,100590,'You must be sneaking to use this ability.',100,1,1),
(1988,10100590,'Inflicts 1239 - 1795 melee damage on target',100,1,0),
(1989,10100590,'You must be sneaking to use this ability.',100,1,1),
(1990,46592,'Applies Grey Warg with Blue Saddle when Activated.',100,0,0),
(1991,46592,'Summons a mount to ride',100,1,1),
(1992,46592,'Increases your ground speed by 130%',100,2,2),
(1993,10046592,'Applies Grey Warg with Blue Saddle when Activated.',100,0,0),
(1994,10046592,'Summons a mount to ride',100,1,1),
(1995,10046592,'Increases your ground speed by 130%',100,2,2),
(1996,45940,'Applies Deshniak''s Research Prism when Activated.  Lasts for 1.0 second.',100,0,0),
(1997,45940,'Activating this prism will allow access to Deshniak''s Teleportation Stone.  This can only be used once.',100,1,1),
(1998,10045940,'Applies Deshniak''s Research Prism when Activated.  Lasts for 1.0 second.',100,0,0),
(1999,10045940,'Activating this prism will allow access to Deshniak''s Teleportation Stone.  This can only be used once.',100,1,1),
(2000,105213,'Decreases STR and INT of target by 21.6',100,1,0),
(2001,105213,'Only affects targets level 20 and above',100,1,1),
(2002,10105213,'Decreases STR and INT of target by 21.6',100,1,0),
(2003,10105213,'Only affects targets level 20 and above',100,1,1),
(2004,72246,'When Equipped:',100,0,0),
(2005,72246,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2006,72246,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(2007,72246,'Cannot be modified except by direct means',100,2,3),
(2008,10072246,'When Equipped:',100,0,0),
(2009,10072246,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2010,10072246,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(2011,10072246,'Cannot be modified except by direct means',100,2,3),
(2012,139412,'When Equipped:',100,0,0),
(2013,139412,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(2014,10139412,'When Equipped:',100,0,0),
(2015,10139412,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(2016,35420,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(2017,118920,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(2018,118920,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 517',100,1,1),
(2019,118920,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,2),
(2020,10118920,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(2021,10118920,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 517',100,1,1),
(2022,10118920,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,2),
(2023,120681,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 6.1',100,1,0),
(2024,10120681,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 6.1',100,1,0),
(2025,109803,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(2026,109803,'Heals group members (AE) for 2690',100,2,1),
(2027,10109803,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(2028,10109803,'Heals group members (AE) for 1351',100,2,1),
(2029,46103,'Applies Elixir of Replenishment when Activated.',100,0,0),
(2030,46103,'Heals caster for 74',100,1,1),
(2031,10046103,'Applies Elixir of Replenishment when Activated.',100,0,0),
(2032,10046103,'Heals caster for 48',100,1,1),
(2033,110956,'Inflicts 3195 - 4654 ranged damage on target',100,1,0),
(2034,110956,'I need to be stealthed!',100,1,1),
(2035,110956,'Requires bow',100,1,2),
(2036,10110956,'Inflicts 1375 - 2022 ranged damage on target',100,1,0),
(2037,10110956,'I need to be stealthed!',100,1,1),
(2038,10110956,'Requires bow',100,1,2),
(2039,87401,'When Equipped:',100,0,0),
(2040,87401,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2041,87401,'Inflicts 248 - 373 magic damage on target',100,2,2),
(2042,87401,'Cannot be modified except by direct means',100,2,3),
(2043,10087401,'When Equipped:',100,0,0),
(2044,10087401,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2045,10087401,'Inflicts 248 - 373 magic damage on target',100,2,2),
(2046,10087401,'Cannot be modified except by direct means',100,2,3),
(2047,80791,'When Equipped:',100,0,0),
(2048,80791,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2049,80791,'Inflicts 380 - 707 magic damage on target',100,2,2),
(2050,80791,'Cannot be modified except by direct means',100,2,3),
(2051,10080791,'When Equipped:',100,0,0),
(2052,10080791,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2053,10080791,'Inflicts 380 - 707 magic damage on target',100,2,2),
(2054,10080791,'Cannot be modified except by direct means',100,2,3),
(2055,105268,'Increases Threat to target by 6,158 ',100,1,0),
(2056,105268,'Interrupts target',100,1,1),
(2057,105268,'Dispels 153 levels of arcane beneficial effects on target',100,1,2),
(2058,10105268,'Forces target to change their selected target to caster.',100,1,0),
(2059,10105268,'Interrupts target',100,1,1),
(2060,10105268,'Dispels 153 levels of arcane beneficial effects on target',100,1,2),
(2061,25740,'When Equipped:',100,0,0),
(2062,25740,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(2063,25740,'Adds 2 triggers to Prismatic Chaos VI.',100,1,2),
(2064,10025740,'When Equipped:',100,0,0),
(2065,10025740,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(2066,10025740,'Adds 2 triggers to Prismatic Chaos VI.',100,1,2),
(2067,120023,'Decreases power of target encounter by 79 instantly and every 4 seconds',100,1,0),
(2068,120023,'Inflicts 450 - 538 mental damage on target encounter',100,1,1),
(2069,120023,'Inflicts 238 - 291 mental damage on target encounter every 4 seconds',100,1,2),
(2070,10120023,'Decreases power of target encounter by 63 instantly and every 4 seconds',100,1,0),
(2071,10120023,'Inflicts 319 - 361 mental damage on target encounter',100,1,1),
(2072,10120023,'Inflicts 188 - 229 mental damage on target encounter every 4 seconds',100,1,2),
(2073,106529,'Inflicts 13832 - 22291 melee damage on target',100,1,0),
(2074,106529,'Inflicts 280.4% of max health in crushing damage on target',100,1,1),
(2075,106529,'If Target is Standard or weaker',100,2,2),
(2076,10106529,'Inflicts 5458 - 8792 melee damage on target',100,1,0),
(2077,113110,'Heals target for 65.5 - 80.1% of max health',100,1,0),
(2078,113110,'This effect cannot be critically applied.',100,2,1),
(2079,113110,'Increases Max Health of target by 922.2',100,1,2),
(2080,113110,'Increases Mitigation of target vs physical damage by 1088',100,1,3),
(2081,113110,'The healing of this spell cannot be modified except by direct means',100,1,4),
(2082,10113110,'Heals target for 26.2 - 32.0% of max health',100,1,0),
(2083,10113110,'This effect cannot be critically applied.',100,2,1),
(2084,10113110,'Increases Max Health of target by 922.2',100,1,2),
(2085,10113110,'Increases Mitigation of target vs physical damage by 1088',100,1,3),
(2086,10113110,'The healing of this spell cannot be modified except by direct means',100,1,4),
(2087,47710,'Applies Reklaarn Onyxstorm when Activated.',100,0,0),
(2088,47710,'Increases Crit Bonus of caster by 10.0%',100,1,1),
(2089,47710,'Increases Potency of caster by 10.0%',100,1,2),
(2090,47710,'Increases Crit Chance of caster by 35.0',100,1,3),
(2091,47710,'Increases Max Health of caster by 1,500.0',100,1,4),
(2092,47710,'Summons a mount to ride',100,1,5),
(2093,47710,'Increases your ground speed by 75%',100,2,6),
(2094,47710,'Increases your air speed by 150%',100,2,7),
(2095,47710,'Increases Max Power of caster by 1,500.0',100,1,8),
(2096,10047710,'Applies Reklaarn Onyxstorm when Activated.',100,0,0),
(2097,10047710,'Increases Crit Bonus of caster by 10.0%',100,1,1),
(2098,10047710,'Increases Potency of caster by 10.0%',100,1,2),
(2099,10047710,'Increases Crit Chance of caster by 35.0',100,1,3),
(2100,10047710,'Increases Max Health of caster by 1,500.0',100,1,4),
(2101,10047710,'Summons a mount to ride',100,1,5),
(2102,10047710,'Increases your ground speed by 75%',100,2,6),
(2103,10047710,'Increases your air speed by 150%',100,2,7),
(2104,10047710,'Increases Max Power of caster by 1,500.0',100,1,8),
(2105,46450,'Applies Fulmination Scepter when Activated.',100,0,0),
(2106,10046450,'Applies Fulmination Scepter when Activated.',100,0,0),
(2107,74884,'When Equipped:',100,0,0),
(2108,74884,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2109,74884,'Inflicts 217 - 326 magic damage on target',100,2,2),
(2110,74884,'Cannot be modified except by direct means',100,2,3),
(2111,10074884,'When Equipped:',100,0,0),
(2112,10074884,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2113,10074884,'Inflicts 217 - 326 magic damage on target',100,2,2),
(2114,10074884,'Cannot be modified except by direct means',100,2,3),
(2115,102198,'Increases Mitigation of group members (AE) vs physical damage by 762',100,1,0),
(2116,10102198,'Increases Mitigation of group members (AE) vs physical damage by 762',100,1,0),
(2117,74615,'When Equipped:',100,0,0),
(2118,74615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2119,74615,'Inflicts 69 - 103 magic damage on target',100,2,2),
(2120,74615,'Cannot be modified except by direct means',100,2,3),
(2121,10074615,'When Equipped:',100,0,0),
(2122,10074615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2123,10074615,'Inflicts 69 - 103 magic damage on target',100,2,2),
(2124,10074615,'Cannot be modified except by direct means',100,2,3),
(2125,102766,'Increases STR of caster by 13.4',100,1,0),
(2126,102766,'Increases Max Health of caster by 57.4',100,1,1),
(2127,102766,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 364',100,1,2),
(2128,10102766,'Increases STR of caster by 13.4',100,1,0),
(2129,10102766,'Increases Max Health of caster by 57.4',100,1,1),
(2130,10102766,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 364',100,1,2),
(2131,173510,'When Equipped:',100,0,0),
(2132,173510,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(2133,173510,'Inflicts 1192 poison damage on target',100,2,2),
(2134,173510,'Cannot be modified except by direct means',100,2,3),
(2135,10173510,'When Equipped:',100,0,0),
(2136,10173510,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(2137,10173510,'Inflicts 596 poison damage on target',100,2,2),
(2138,10173510,'Cannot be modified except by direct means',100,2,3),
(2139,108474,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(2140,108474,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(2141,108474,'Increases Aggression of caster by 8.6',100,1,2),
(2142,108474,'Increases Defense and Parry of caster by 17.1',100,1,3),
(2143,108474,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(2144,10108474,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(2145,10108474,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(2146,10108474,'Increases Aggression of caster by 8.6',100,1,2),
(2147,10108474,'Increases Defense and Parry of caster by 17.1',100,1,3),
(2148,10108474,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(2149,37043,'Increases AGI of target by 10.5',100,0,0),
(2150,37043,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(2151,115632,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 240',100,1,0),
(2152,10115632,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 240',100,1,0),
(2153,45348,'Applies Black Warg with Green Saddle when Activated.',100,0,0),
(2154,45348,'Summons a mount to ride',100,1,1),
(2155,45348,'Increases your ground speed by 130%',100,2,2),
(2156,10045348,'Applies Black Warg with Green Saddle when Activated.',100,0,0),
(2157,10045348,'Summons a mount to ride',100,1,1),
(2158,10045348,'Increases your ground speed by 130%',100,2,2),
(2159,122915,'Increases STR and INT of group members (AE) by 74.8',100,1,0),
(2160,10122915,'Increases STR and INT of group members (AE) by 74.8',100,1,0),
(2161,154959,'When Equipped:',100,0,0),
(2162,154959,'This effect will not stack with itself.',100,1,1),
(2163,154959,'On any combat or spell hit this spell may cast Major Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(2164,154959,'When damaged this spell will cast Major Serrated Subterfuge on target''s attacker.  ',100,2,3),
(2165,154959,'Inflicts 6948 piercing damage on target',100,3,4),
(2166,154959,'Must not be engaged in pvp combat',100,3,5),
(2167,154959,'Cannot be modified except by direct means',100,3,6),
(2168,154959,'Grants a total of 5 triggers of the spell.',100,3,7),
(2169,154959,'Must not be engaged in pvp combat',100,2,8),
(2170,154959,'Cannot be modified except by direct means',100,2,9),
(2171,154959,'Must not be engaged in pvp combat',100,1,10),
(2172,10154959,'When Equipped:',100,0,0),
(2173,10154959,'This effect will not stack with itself.',100,1,1),
(2174,10154959,'On any combat or spell hit this spell may cast Major Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(2175,10154959,'When damaged this spell will cast Major Serrated Subterfuge on target''s attacker.  ',100,2,3),
(2176,10154959,'Inflicts 6948 piercing damage on target',100,3,4),
(2177,10154959,'Must not be engaged in pvp combat',100,3,5),
(2178,10154959,'Cannot be modified except by direct means',100,3,6),
(2179,10154959,'Grants a total of 5 triggers of the spell.',100,3,7),
(2180,10154959,'Must not be engaged in pvp combat',100,2,8),
(2181,10154959,'Cannot be modified except by direct means',100,2,9),
(2182,10154959,'Must not be engaged in pvp combat',100,1,10),
(2183,81240,'When Equipped:',100,0,0),
(2184,81240,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2185,81240,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(2186,81240,'Decreases Threat to target by 1,219 ',100,2,3),
(2187,81240,'Must be flanking or behind',100,3,4),
(2188,81240,'Increases Threat to target by 1,679 ',100,2,5),
(2189,81240,'Must be in front of',100,3,6),
(2190,81240,'Cannot be modified except by direct means',100,2,7),
(2191,10081240,'When Equipped:',100,0,0),
(2192,10081240,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2193,10081240,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(2194,10081240,'Cannot be modified except by direct means',100,2,3),
(2195,113377,'Applies Stifle.  Lasts for 8.0 seconds.',100,1,0),
(2196,113377,'Stifles target',100,2,1),
(2197,113377,'Blurs vision of target',100,2,2),
(2198,113377,'Dispelled when target takes damage',100,2,3),
(2199,113377,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,4),
(2200,113377,'Resistibility increases against targets higher than level 90.',100,2,5),
(2201,113377,'Roots target',100,1,6),
(2202,113377,'5% chance to dispel when target takes damage',100,1,7),
(2203,113377,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,8),
(2204,113377,'Resistibility increases against targets higher than level 90.',100,1,9),
(2205,10113377,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(2206,10113377,'Stifles target',100,2,1),
(2207,10113377,'Blurs vision of target',100,2,2),
(2208,10113377,'Dispelled when target takes damage',100,2,3),
(2209,10113377,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(2210,10113377,'Resistibility increases against targets higher than level 90.',100,2,5),
(2211,10113377,'Roots target',100,1,6),
(2212,10113377,'5% chance to dispel when target takes damage',100,1,7),
(2213,10113377,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(2214,10113377,'Resistibility increases against targets higher than level 90.',100,1,9),
(2215,162312,'When Equipped:',100,0,0),
(2216,162312,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(2217,10162312,'When Equipped:',100,0,0),
(2218,10162312,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(2219,114931,'Inflicts 4423 - 6688 melee damage on target',100,1,0),
(2220,114931,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2190',100,1,1),
(2221,114931,'Must be behind',100,1,2),
(2222,10114931,'Inflicts 3106 - 4891 melee damage on target',100,1,0),
(2223,10114931,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1095',100,1,1),
(2224,10114931,'Must be behind',100,1,2),
(2225,45612,'Applies Clouded Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(2226,45612,'Increases WIS and INT of caster by 35.2',100,1,1),
(2227,45612,'Only affects targets level 50 and above',100,1,2),
(2228,10045612,'Applies Clouded Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(2229,10045612,'Increases WIS and INT of caster by 35.2',100,1,1),
(2230,10045612,'Only affects targets level 50 and above',100,1,2),
(2231,87098,'Applies Fire Ball when Activated.',100,0,0),
(2232,87098,'Inflicts 536 - 894 heat damage on target',100,1,1),
(2233,87098,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(2234,10087098,'Applies Fire Ball when Activated.',100,0,0),
(2235,10087098,'Inflicts 536 - 894 heat damage on target',100,1,1),
(2236,10087098,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(2237,73145,'Applies Wand of Surprises when Activated.  Lasts for 1 hour.',100,0,0),
(2238,73145,'Shapechanges caster into a clawed creature',100,1,1),
(2239,73145,'The casting time of Wand of Surprises is 0.99 seconds and the reuse time of the spell is 2.07 seconds',100,1,2),
(2240,10073145,'Applies Wand of Surprises when Activated.  Lasts for 1 hour.',100,0,0),
(2241,10073145,'Shapechanges caster into a clawed creature',100,1,1),
(2242,10073145,'The casting time of Wand of Surprises is 0.99 seconds and the reuse time of the spell is 2.07 seconds',100,1,2),
(2243,103633,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(2244,103633,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(2245,103633,'Increases STR of raid and group members (AE) by 26.5',100,1,2),
(2246,103633,'Improves the base amount of taunts by 9.5%.',100,1,3),
(2247,103633,'Improves the base amount of combat arts by 2.97%.',100,1,4),
(2248,103633,'Increases AGI of raid and group members (AE) by 26.5',100,1,5),
(2249,103633,'Adds 0.9% to base avoidance.',100,1,6),
(2250,10103633,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(2251,10103633,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(2252,10103633,'Increases STR of raid and group members (AE) by 26.5',100,1,2),
(2253,10103633,'Improves the base amount of taunts by 9.5%.',100,1,3),
(2254,10103633,'Improves the base amount of combat arts by 2.97%.',100,1,4),
(2255,10103633,'Increases AGI of raid and group members (AE) by 26.5',100,1,5),
(2256,10103633,'Adds 0.9% to base avoidance.',100,1,6),
(2257,111719,'Inflicts 8104 - 9687 cold damage on target',100,1,0),
(2258,111719,'Inflicts 7122 - 8705 cold damage on target',100,1,1),
(2259,111719,'If target is elemental',100,2,2),
(2260,10111719,'Inflicts 5206 - 6275 cold damage on target',100,1,0),
(2261,35002,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,0),
(2262,35002,'This effect suspends during combat',100,0,1),
(2263,25006,'When Equipped:',100,0,0),
(2264,25006,'Adds a threat component to Assault VII.',100,1,1),
(2265,25006,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(2266,10025006,'When Equipped:',100,0,0),
(2267,10025006,'Adds a threat component to Assault VII.',100,1,1),
(2268,10025006,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(2269,110635,'Inflicts 4373 - 6609 ranged damage on target',100,1,0),
(2270,110635,'If weapon equipped in Ranged',100,1,1),
(2271,110635,'Must be flanking or behind',100,1,2),
(2272,10110635,'Inflicts 1859 - 2826 ranged damage on target',100,1,0),
(2273,10110635,'If weapon equipped in Ranged',100,1,1),
(2274,10110635,'Must be flanking or behind',100,1,2),
(2275,73935,'Applies Fire Ball when Activated.',100,0,0),
(2276,73935,'Inflicts 339 - 565 heat damage on target',100,1,1),
(2277,73935,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(2278,10073935,'Applies Fire Ball when Activated.',100,0,0),
(2279,10073935,'Inflicts 339 - 565 heat damage on target',100,1,1),
(2280,10073935,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(2281,75904,'When Equipped:',100,0,0),
(2282,75904,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(2283,75904,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(2284,75904,'Heals caster for 1185 - 1309',100,2,3),
(2285,75904,'Decreases Crushing, Slashing, Ranged and Piercing of target by 22.0',100,2,4),
(2286,75904,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(2287,75904,'Must not be engaged in pvp combat',100,2,6),
(2288,75904,'Cannot be modified except by direct means',100,2,7),
(2289,75904,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(2290,75904,'Cannot be modified except by direct means',100,1,9),
(2291,75904,'When Equipped:',100,0,10),
(2292,75904,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(2293,75904,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(2294,75904,'Increases Attack Speed of caster by 6.0',100,2,13),
(2295,75904,'Increases Damage Per Second of caster by 9.0',100,2,14),
(2296,75904,'Increases Multi Attack Chance of caster by 22.0',100,2,15),
(2297,75904,'Must not be engaged in pvp combat',100,2,16),
(2298,75904,'Cannot be modified except by direct means',100,2,17),
(2299,75904,'Cannot be modified except by direct means',100,1,18),
(2300,10075904,'When Equipped:',100,0,0),
(2301,10075904,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(2302,10075904,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(2303,10075904,'Heals caster for 1386 - 1532',100,2,3),
(2304,10075904,'Decreases Crushing, Slashing, Ranged and Piercing of target by 22.0',100,2,4),
(2305,10075904,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(2306,10075904,'Must not be engaged in pvp combat',100,2,6),
(2307,10075904,'Cannot be modified except by direct means',100,2,7),
(2308,10075904,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(2309,10075904,'Cannot be modified except by direct means',100,1,9),
(2310,10075904,'When Equipped:',100,0,10),
(2311,10075904,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(2312,10075904,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(2313,10075904,'Increases Attack Speed of caster by 6.0',100,2,13),
(2314,10075904,'Increases Damage Per Second of caster by 9.0',100,2,14),
(2315,10075904,'Increases Multi Attack Chance of caster by 22.0',100,2,15),
(2316,10075904,'Must not be engaged in pvp combat',100,2,16),
(2317,10075904,'Cannot be modified except by direct means',100,2,17),
(2318,10075904,'Cannot be modified except by direct means',100,1,18),
(2319,113152,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,0),
(2320,113152,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(2321,113152,'Inflicts 1185 disease damage on target',100,2,2),
(2322,113152,'Heals caster for 433',100,2,3),
(2323,113152,'Shapechanges caster into a necrolich',100,1,4),
(2324,10113152,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,0),
(2325,10113152,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(2326,10113152,'Inflicts 934 disease damage on target',100,2,2),
(2327,10113152,'Heals caster for 399',100,2,3),
(2328,10113152,'Shapechanges caster into a necrolich',100,1,4),
(2329,119251,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',100,1,0),
(2330,119251,'Reduces all damage done to target by 70% This spell will absorb a total of 1 attack.',100,2,1),
(2331,119251,'Heals target for 21.0% of max health',100,2,2),
(2332,119251,'This effect cannot be critically applied.',100,3,3),
(2333,119251,'When damaged this spell will cast Reinforcement on target''s attacker.  ',100,2,4),
(2334,119251,'Increases threat priority of target by 1 position',100,3,5),
(2335,119251,'Increases Threat to target by 1,223 ',100,3,6),
(2336,119251,'The healing of this spell cannot be modified except by direct means',100,2,7),
(2337,119251,'Grants a total of 1 trigger of the spell.',100,2,8),
(2338,10119251,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',100,1,0),
(2339,10119251,'Reduces all damage done to target by 70% This spell will absorb a total of 1 attack.',100,2,1),
(2340,10119251,'Heals target for 13.6% of max health',100,2,2),
(2341,10119251,'This effect cannot be critically applied.',100,3,3),
(2342,10119251,'When damaged this spell will cast Reinforcement on target''s attacker.  Lasts for 3.0 seconds.  ',100,2,4),
(2343,10119251,'Prevents target from changing targets',100,3,5),
(2344,10119251,'Forces target to change their selected target to caster.',100,3,6),
(2345,10119251,'The healing of this spell cannot be modified except by direct means',100,2,7),
(2346,10119251,'Grants a total of 1 trigger of the spell.',100,2,8),
(2347,112964,'Inflicts 991 - 2929 crushing damage on target',100,1,0),
(2348,10112964,'Inflicts 795 - 1967 crushing damage on target',100,1,0),
(2349,119336,'Inflicts 1195 - 1982 melee damage on target',100,1,0),
(2350,119336,'You must be sneaking to use this ability.',100,1,1),
(2351,119336,'Must be flanking or behind',100,1,2),
(2352,10119336,'Inflicts 941 - 1436 melee damage on target',100,1,0),
(2353,10119336,'You must be sneaking to use this ability.',100,1,1),
(2354,10119336,'Must be flanking or behind',100,1,2),
(2355,181917,'When Equipped:',100,0,0),
(2356,181917,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(2357,181917,'Inflicts 2726 - 4089 magic damage on target',100,2,2),
(2358,181917,'Heals group members (AE) for 1673 - 2045',100,2,3),
(2359,181917,'Must not be engaged in pvp combat',100,2,4),
(2360,181917,'Cannot be modified except by direct means',100,2,5),
(2361,10181917,'When Equipped:',100,0,0),
(2362,10181917,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(2363,10181917,'Inflicts 2726 - 4089 magic damage on target',100,2,2),
(2364,10181917,'Heals group members (AE) for 1957 - 2392',100,2,3),
(2365,10181917,'Must not be engaged in pvp combat',100,2,4),
(2366,10181917,'Cannot be modified except by direct means',100,2,5),
(2367,105605,'Decreases power of target encounter by 375 - 458 instantly and every 3 seconds',100,1,0),
(2368,105605,'Inflicts 1038 - 1788 poison damage on target encounter',100,1,1),
(2369,105605,'Inflicts 875 - 1624 poison damage on target encounter every 3 seconds',100,1,2),
(2370,105605,'Heals group members (AE) for 404 - 610',100,1,3),
(2371,105605,'Heals group members (AE) for 240 - 447 every 3 seconds',100,1,4),
(2372,105605,'Increases power of group members (AE) by 92 instantly and every 3 seconds',100,1,5),
(2373,10105605,'Decreases power of target encounter by 295 - 361 instantly and every 3 seconds',100,1,0),
(2374,10105605,'Inflicts 755 - 1346 poison damage on target encounter',100,1,1),
(2375,10105605,'Inflicts 689 - 1280 poison damage on target encounter every 3 seconds',100,1,2),
(2376,10105605,'Heals group members (AE) for 166 - 271',100,1,3),
(2377,10105605,'Heals group members (AE) for 123 - 229 every 3 seconds',100,1,4),
(2378,10105605,'Increases power of group members (AE) by 72 instantly and every 3 seconds',100,1,5),
(2379,75305,'When Equipped:',100,0,0),
(2380,75305,'On a combat hit this spell may cast Anuk''s Undying Wrath on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2381,75305,'Inflicts 70 - 130 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(2382,75305,'Cannot be modified except by direct means',100,2,3),
(2383,75305,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(2384,75305,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(2385,10075305,'When Equipped:',100,0,0),
(2386,10075305,'On a combat hit this spell may cast Anuk''s Undying Wrath on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2387,10075305,'Inflicts 70 - 130 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(2388,10075305,'Cannot be modified except by direct means',100,2,3),
(2389,10075305,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(2390,10075305,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(2391,115256,'Heals target for 1127',100,1,0),
(2392,115256,'Heals target for 94 every second',100,1,1),
(2393,115256,'Dispels 37 levels of any hostile effects on target',100,1,2),
(2394,10115256,'Heals target for 545',100,1,0),
(2395,10115256,'Heals target for 48 every second',100,1,1),
(2396,10115256,'Dispels 37 levels of any hostile effects on target',100,1,2),
(2397,138075,'When Equipped:',100,0,0),
(2398,138075,'Increases Attack Speed of caster by 40.0',100,1,1),
(2399,10138075,'When Equipped:',100,0,0),
(2400,10138075,'Increases Attack Speed of caster by 40.0',100,1,1),
(2401,45765,'Applies Coercion Antidote when Activated.',100,0,0),
(2402,10045765,'Applies Coercion Antidote when Activated.',100,0,0),
(2403,35433,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(2404,35433,'This effect suspends during combat',100,0,1),
(2405,89506,'When Equipped:',100,0,0),
(2406,89506,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(2407,10089506,'When Equipped:',100,0,0),
(2408,10089506,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(2409,111329,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(2410,111329,'Inflicts 1503 - 1837 mental damage on target',100,2,1),
(2411,111329,'Grants a total of 3 triggers of the spell.',100,2,2),
(2412,10111329,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(2413,10111329,'Inflicts 1147 - 1373 mental damage on target',100,2,1),
(2414,10111329,'Grants a total of 3 triggers of the spell.',100,2,2),
(2415,108455,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(2416,108455,'Increases Defense and Parry of caster by 7.6',100,1,1),
(2417,108455,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(2418,10108455,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(2419,10108455,'Increases Defense and Parry of caster by 7.6',100,1,1),
(2420,10108455,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(2421,24206,'Adds Crushbone: Ornamental Weaponry to your Dungeon Maker toolbox',100,0,0),
(2422,10024206,'Adds Crushbone: Ornamental Weaponry to your Dungeon Maker toolbox',100,0,0),
(2423,35561,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(2424,120054,'Inflicts 271 - 450 mental damage on target',100,1,0),
(2425,120054,'Inflicts 135 - 225 mental damage on target',100,1,1),
(2426,120054,'Stifles target',100,1,2),
(2427,120054,'If Target is not Epic',100,2,3),
(2428,120054,'If weapon equipped in Ranged',100,1,4),
(2429,120054,'Resistibility increases against targets higher than level 45.',100,1,5),
(2430,10120054,'Inflicts 216 - 358 mental damage on target',100,1,0),
(2431,10120054,'Inflicts 80 - 133 mental damage on target',100,1,1),
(2432,10120054,'Stifles target',100,1,2),
(2433,10120054,'If Target is not Epic',100,2,3),
(2434,10120054,'If weapon equipped in Ranged',100,1,4),
(2435,10120054,'Resistibility increases against targets higher than level 45.',100,1,5),
(2436,116112,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(2437,116112,'Heals target for 1711 - 2092',100,2,1),
(2438,116112,'Grants a total of 5 triggers of the spell.',100,2,2),
(2439,10116112,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(2440,10116112,'Heals target for 837 - 1004',100,2,1),
(2441,10116112,'Grants a total of 5 triggers of the spell.',100,2,2),
(2442,112586,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(2443,112586,'Heals targets in Area of Effect for 634 - 775',100,2,1),
(2444,112586,'Dispels 112 levels of physical hostile effects on target',100,2,2),
(2445,10112586,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(2446,10112586,'Heals targets in Area of Effect for 325 - 397',100,2,1),
(2447,10112586,'Dispels 112 levels of physical hostile effects on target',100,2,2),
(2448,45210,'Applies trauma remedy when Activated.',100,0,0),
(2449,45210,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(2450,10045210,'Applies trauma remedy when Activated.',100,0,0),
(2451,10045210,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(2452,24364,'Adds Fae Drake (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(2453,10024364,'Adds Fae Drake (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(2454,48517,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(2455,48517,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(2456,48517,'Inflicts 18 poison damage on target',100,2,2),
(2457,48517,'Inflicts 46 poison damage on target instantly and every 6 seconds',100,2,3),
(2458,48517,'Cannot be modified except by direct means',100,2,4),
(2459,48517,'Grants a total of 200 triggers of the spell.',100,2,5),
(2460,10048517,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(2461,10048517,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(2462,10048517,'Inflicts 13 poison damage on target',100,2,2),
(2463,10048517,'Inflicts 35 poison damage on target instantly and every 6 seconds',100,2,3),
(2464,10048517,'Cannot be modified except by direct means',100,2,4),
(2465,10048517,'Grants a total of 200 triggers of the spell.',100,2,5),
(2466,106849,'Decreases Crushing, Piercing, Slashing and Ranged of target by 31.7',100,1,0),
(2467,10106849,'Decreases Crushing, Piercing, Slashing and Ranged of target by 31.7',100,1,0),
(2468,111622,'Inflicts 1506 - 1954 cold damage on target',100,1,0),
(2469,111622,'Inflicts 523 - 972 cold damage on target every 4 seconds',100,1,1),
(2470,111622,'Decreases Mitigation of target vs elemental damage by 1709',100,1,2),
(2471,10111622,'Inflicts 807 - 1161 cold damage on target',100,1,0),
(2472,10111622,'Inflicts 413 - 766 cold damage on target every 4 seconds',100,1,1),
(2473,10111622,'Decreases Mitigation of target vs elemental damage by 1709',100,1,2),
(2474,114145,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(2475,114145,'Increases Mitigation of group members (AE) vs elemental damage by 1323',100,1,1),
(2476,10114145,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(2477,10114145,'Increases Mitigation of group members (AE) vs elemental damage by 1323',100,1,1),
(2478,115278,'Heals target for 3509',100,1,0),
(2479,115278,'Heals target for 421 every second',100,1,1),
(2480,115278,'Dispels 115 levels of any hostile effects on target',100,1,2),
(2481,10115278,'Heals target for 2791',100,1,0),
(2482,10115278,'Heals target for 388 every second',100,1,1),
(2483,10115278,'Dispels 115 levels of any hostile effects on target',100,1,2),
(2484,174947,'When Equipped:',100,0,0),
(2485,174947,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(2486,174947,'Wards caster against 150 points of all damage',100,2,2),
(2487,174947,'Cannot be modified except by direct means',100,2,3),
(2488,10174947,'When Equipped:',100,0,0),
(2489,10174947,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(2490,10174947,'Wards caster against 150 points of all damage',100,2,2),
(2491,10174947,'Cannot be modified except by direct means',100,2,3),
(2492,37029,'Increases AGI of target by 12.7',100,0,0),
(2493,37029,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(2494,120843,'Inflicts 682 - 922 disease damage on target',100,1,0),
(2495,120843,'Inflicts 195 - 264 disease damage on target every second',100,1,1),
(2496,10120843,'Inflicts 610 - 685 disease damage on target',100,1,0),
(2497,10120843,'Inflicts 154 - 208 disease damage on target every second',100,1,1),
(2498,107895,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(2499,107895,'Slows target by 41.2%',100,2,1),
(2500,107895,'5% chance to dispel when target receives hostile action',100,2,2),
(2501,107895,'5% chance to dispel when target takes damage',100,2,3),
(2502,107895,'Slows target encounter by 49.4%',100,1,4),
(2503,107895,'5% chance to dispel when target takes damage',100,1,5),
(2504,10107895,'Slows target encounter by 49.4%',100,1,0),
(2505,10107895,'5% chance to dispel when target takes damage',100,1,1),
(2506,42572,'When Equipped:',100,0,0),
(2507,42572,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2508,42572,'Inflicts 248 - 373 magic damage on target',100,2,2),
(2509,42572,'Cannot be modified except by direct means',100,2,3),
(2510,10042572,'When Equipped:',100,0,0),
(2511,10042572,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2512,10042572,'Inflicts 248 - 373 magic damage on target',100,2,2),
(2513,10042572,'Cannot be modified except by direct means',100,2,3),
(2514,107221,'Inflicts 3796 - 6080 melee damage on targets in area',100,1,0),
(2515,107221,'Dispels 189 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(2516,10107221,'Inflicts 2865 - 4665 melee damage on targets in area',100,1,0),
(2517,10107221,'Reduces healing received of targets in area by 10%',100,1,1),
(2518,119162,'Inflicts 652 disease damage on target every 3 seconds',100,1,0),
(2519,119162,'Inflicts 4259 - 6416 melee damage on target',100,1,1),
(2520,119162,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(2521,119162,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,3),
(2522,119162,'Inflicts 1956 disease damage on target every 3 seconds',100,3,4),
(2523,119162,'Inflicts 1304 disease damage on target every 3 seconds',100,2,5),
(2524,119162,'You must be sneaking to use this ability.',100,1,6),
(2525,119162,'Must be behind',100,1,7),
(2526,10119162,'Inflicts 514 disease damage on target every 3 seconds',100,1,0),
(2527,10119162,'Inflicts 2977 - 4677 melee damage on target',100,1,1),
(2528,10119162,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(2529,10119162,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,3),
(2530,10119162,'Inflicts 1542 disease damage on target every 3 seconds',100,3,4),
(2531,10119162,'Inflicts 1028 disease damage on target every 3 seconds',100,2,5),
(2532,10119162,'You must be sneaking to use this ability.',100,1,6),
(2533,10119162,'Must be behind',100,1,7),
(2534,108362,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(2535,108362,'Increases Mitigation of group members (AE) vs arcane damage by 880',100,1,1),
(2536,10108362,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(2537,10108362,'Increases Mitigation of group members (AE) vs arcane damage by 880',100,1,1),
(2538,119204,'Inflicts 2584 - 3641 heat damage on target',100,1,0),
(2539,119204,'Inflicts 1602 - 2659 heat damage on target',100,1,1),
(2540,119204,'Requires bow',100,1,2),
(2541,10119204,'Inflicts 1669 - 2510 heat damage on target',100,1,0),
(2542,10119204,'Inflicts 1275 - 2115 heat damage on target',100,1,1),
(2543,10119204,'Requires bow',100,1,2),
(2544,110512,'Increases Threat to target by 2,170  instantly and by 494  every 3 seconds thereafter',100,1,0),
(2545,110512,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(2546,110512,'Throws target back',100,2,2),
(2547,110512,'Stuns target',100,2,3),
(2548,110512,'Blurs vision of target',100,2,4),
(2549,110512,'Does not affect Epic targets',100,2,5),
(2550,110512,'Inflicts 379 - 629 disease damage on target',100,1,6),
(2551,10110512,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(2552,10110512,'Throws target back',100,2,1),
(2553,10110512,'Stuns target',100,2,2),
(2554,10110512,'Blurs vision of target',100,2,3),
(2555,10110512,'Does not affect Epic targets',100,2,4),
(2556,10110512,'Forces target to change their selected target to caster.',100,1,5),
(2557,10110512,'Inflicts 249 - 413 disease damage on target',100,1,6),
(2558,10110512,'Prevents target from changing targets',100,1,7),
(2559,115946,'Inflicts 4034 - 6043 melee damage on target',100,1,0),
(2560,115946,'Roots target',100,1,1),
(2561,115946,'If Target is not Epic',100,2,2),
(2562,115946,'5% chance to dispel when target takes damage',100,1,3),
(2563,115946,'Resistibility increases against targets higher than level 102.',100,1,4),
(2564,10115946,'Inflicts 2799 - 4383 melee damage on target',100,1,0),
(2565,10115946,'Roots target',100,1,1),
(2566,10115946,'If Target is not Epic',100,2,2),
(2567,10115946,'5% chance to dispel when target takes damage',100,1,3),
(2568,10115946,'Resistibility increases against targets higher than level 102.',100,1,4),
(2569,25832,'When Equipped:',100,0,0),
(2570,25832,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(2571,25832,'Spiritual Stance will improve the beastlord''s armor mitigation.',100,1,2),
(2572,10025832,'When Equipped:',100,0,0),
(2573,10025832,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(2574,10025832,'Spiritual Stance will improve the beastlord''s armor mitigation.',100,1,2),
(2575,109221,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 23.2',100,1,0),
(2576,10109221,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 23.2',100,1,0),
(2577,106452,'Increases Multi Attack Chance of raid and group members (AE) by 9.4',100,1,0),
(2578,10106452,'Increases Multi Attack Chance of raid and group members (AE) by 9.4',100,1,0),
(2579,107853,'Decreases Mitigation of target vs elemental damage by 506',100,1,0),
(2580,107853,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(2581,107853,'Slows target by 38.1%',100,2,2),
(2582,107853,'5% chance to dispel when target receives hostile action',100,2,3),
(2583,107853,'5% chance to dispel when target takes damage',100,2,4),
(2584,10107853,'Decreases Mitigation of target vs elemental damage by 506',100,1,0),
(2585,10107853,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(2586,10107853,'Slows target by 38.1%',100,2,2),
(2587,10107853,'5% chance to dispel when target receives hostile action',100,2,3),
(2588,10107853,'5% chance to dispel when target takes damage',100,2,4),
(2589,89054,'When Equipped:',100,0,0),
(2590,89054,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(2591,89054,'Increases Attack Speed of caster by 20.0',100,2,2),
(2592,89054,'Increases Damage Per Second of caster by 20.0',100,2,3),
(2593,89054,'Cannot be modified except by direct means',100,2,4),
(2594,10089054,'When Equipped:',100,0,0),
(2595,10089054,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(2596,10089054,'Increases Attack Speed of caster by 20.0',100,2,2),
(2597,10089054,'Increases Damage Per Second of caster by 20.0',100,2,3),
(2598,10089054,'Cannot be modified except by direct means',100,2,4),
(2599,35047,'Increases Max Power of target by 68.2',100,0,0),
(2600,35047,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(2601,121524,'Inflicts 2709 - 3982 melee damage on target',100,1,0),
(2602,121524,'Stuns target',100,1,1),
(2603,121524,'If Target is not Epic',100,2,2),
(2604,121524,'Resistibility increases against targets higher than level 73.',100,1,3),
(2605,10121524,'Inflicts 1820 - 2759 melee damage on target',100,1,0),
(2606,10121524,'Stuns target',100,1,1),
(2607,10121524,'If Target is not Epic',100,2,2),
(2608,10121524,'Resistibility increases against targets higher than level 73.',100,1,3),
(2609,116606,'Inflicts 2791 - 4072 divine damage on target',100,1,0),
(2610,10116606,'Inflicts 1863 - 2830 divine damage on target',100,1,0),
(2611,105768,'Inflicts 341 - 417 heat damage on target',100,1,0),
(2612,10105768,'Inflicts 351 - 429 heat damage on target',100,1,0),
(2613,101152,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(2614,101152,'Inflicts 1957 ranged damage on target',100,2,1),
(2615,101152,'Decreases Defense of caster by 17.7',100,1,2),
(2616,101152,'Increases Crushing, Piercing, Ranged and Slashing of caster by 42.5',100,1,3),
(2617,10101152,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(2618,10101152,'Inflicts 1157 ranged damage on target',100,2,1),
(2619,10101152,'Decreases Defense of caster by 17.7',100,1,2),
(2620,10101152,'Increases Crushing, Piercing, Ranged and Slashing of caster by 42.5',100,1,3),
(2621,123210,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(2622,123210,'Inflicts 627 - 767 disease damage on target',100,2,1),
(2623,123210,'Heals caster for 4.0 - 4.8% of max health',100,2,2),
(2624,123210,'This effect cannot be critically applied.',100,3,3),
(2625,123210,'The healing of this spell cannot be modified except by direct means',100,2,4),
(2626,123210,'Grants a total of 5 triggers of the spell.',100,2,5),
(2627,10123210,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(2628,10123210,'Inflicts 505 - 617 disease damage on target',100,2,1),
(2629,10123210,'Heals caster for 1.4 - 1.7% of max health',100,2,2),
(2630,10123210,'This effect cannot be critically applied.',100,3,3),
(2631,10123210,'The healing of this spell cannot be modified except by direct means',100,2,4),
(2632,10123210,'Grants a total of 5 triggers of the spell.',100,2,5),
(2633,83952,'Applies Flameward when Activated.  Lasts for 5 minutes.',100,0,0),
(2634,83952,'Wards caster against 350 points of elemental damage',100,1,1),
(2635,83952,'The casting time of Flameward is 2.97 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(2636,10083952,'Applies Flameward when Activated.  Lasts for 5 minutes.',100,0,0),
(2637,10083952,'Wards caster against 350 points of elemental damage',100,1,1),
(2638,10083952,'The casting time of Flameward is 2.97 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(2639,159897,'Applies Sanguine Imbued when Equipped.',100,0,0),
(2640,159897,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(2641,159897,'Inflicts 276 heat damage on target',100,2,2),
(2642,159897,'Cannot be modified except by direct means',100,2,3),
(2643,10159897,'Applies Sanguine Imbued when Equipped.',100,0,0),
(2644,10159897,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(2645,10159897,'Inflicts 276 heat damage on target',100,2,2),
(2646,10159897,'Cannot be modified except by direct means',100,2,3),
(2647,82452,'When Equipped:',100,0,0),
(2648,82452,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2649,82452,'Decreases Threat to target by 801 ',100,2,2),
(2650,82452,'Must be flanking or behind',100,3,3),
(2651,82452,'Increases Threat to target by 1,261 ',100,2,4),
(2652,82452,'Must be in front of',100,3,5),
(2653,82452,'Inflicts 333 - 619 magic damage on target',100,2,6),
(2654,82452,'Cannot be modified except by direct means',100,2,7),
(2655,10082452,'When Equipped:',100,0,0),
(2656,10082452,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2657,10082452,'Inflicts 333 - 619 magic damage on target',100,2,2),
(2658,10082452,'Cannot be modified except by direct means',100,2,3),
(2659,106474,'Decreases STR and AGI of target by 9.8',100,1,0),
(2660,10106474,'Decreases STR and AGI of target by 9.8',100,1,0),
(2661,105741,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(2662,105741,'Blurs vision of target',100,2,1),
(2663,105741,'Stuns target',100,2,2),
(2664,105741,'Throws target back',100,2,3),
(2665,105741,'Does not affect Epic targets',100,2,4),
(2666,105741,'Inflicts 3344 - 5330 melee damage on targets in area',100,1,5),
(2667,10105741,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(2668,10105741,'Stuns target',100,2,1),
(2669,10105741,'Blurs vision of target',100,2,2),
(2670,10105741,'Throws target back',100,2,3),
(2671,10105741,'Does not affect Epic targets',100,2,4),
(2672,10105741,'Inflicts 2509 - 4074 melee damage on targets in area',100,1,5),
(2673,121034,'Increases AGI of target by 33.7',100,1,0),
(2674,121034,'Adds 0.7% to base avoidance.',100,1,1),
(2675,121034,'Increases In-Combat Power Regeneration of target by 19.0',100,1,2),
(2676,121034,'Increases Max Power of target by 220.7',100,1,3),
(2677,10121034,'Increases AGI of target by 33.7',100,1,0),
(2678,10121034,'Adds 0.7% to base avoidance.',100,1,1),
(2679,10121034,'Increases In-Combat Power Regeneration of target by 19.0',100,1,2),
(2680,10121034,'Increases Max Power of target by 220.7',100,1,3),
(2681,107043,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(2682,107043,'Inflicts 409 - 682 divine damage on target',100,2,1),
(2683,107043,'Inflicts 409 - 682 divine damage on target',100,2,2),
(2684,107043,'If target is undead',100,3,3),
(2685,10107043,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(2686,10107043,'Inflicts 537 - 896 divine damage on target',100,2,1),
(2687,118937,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(2688,118937,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1127',100,1,1),
(2689,118937,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,2),
(2690,10118937,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(2691,10118937,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1127',100,1,1),
(2692,10118937,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,2),
(2693,110925,'Inflicts 528 - 876 divine damage on target',100,1,0),
(2694,110925,'Increases Threat to target by 4,270 ',100,1,1),
(2695,110925,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(2696,110925,'Throws target back',100,2,3),
(2697,110925,'Stuns target',100,2,4),
(2698,110925,'Blurs vision of target',100,2,5),
(2699,110925,'Does not affect Epic targets',100,2,6),
(2700,10110925,'Inflicts 416 - 691 divine damage on target',100,1,0),
(2701,10110925,'Prevents target from changing targets',100,1,1),
(2702,10110925,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(2703,10110925,'Throws target back',100,2,3),
(2704,10110925,'Stuns target',100,2,4),
(2705,10110925,'Blurs vision of target',100,2,5),
(2706,10110925,'Does not affect Epic targets',100,2,6),
(2707,10110925,'Forces target to change their selected target to caster.',100,1,7),
(2708,103882,'Decreases Mitigation of target vs noxious damage by 2270',100,1,0),
(2709,103882,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(2710,103882,'Slows target by 51.9%',100,2,2),
(2711,103882,'5% chance to dispel when target receives hostile action',100,2,3),
(2712,103882,'5% chance to dispel when target takes damage',100,2,4),
(2713,10103882,'Decreases Mitigation of target vs noxious damage by 2270',100,1,0),
(2714,10103882,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(2715,10103882,'Slows target by 51.9%',100,2,2),
(2716,10103882,'5% chance to dispel when target receives hostile action',100,2,3),
(2717,10103882,'5% chance to dispel when target takes damage',100,2,4),
(2718,119694,'Increases Threat to target encounter by 1,487 - 1,818 ',100,1,0),
(2719,10119694,'Prevents target encounter from changing targets',100,1,0),
(2720,10119694,'Forces target encounter to change their selected target to caster.',100,1,1),
(2721,118099,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(2722,10118099,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(2723,51289,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(2724,51289,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(2725,51289,'Inflicts 30 heat damage on target',100,2,2),
(2726,51289,'Cannot be modified except by direct means',100,2,3),
(2727,10051289,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(2728,10051289,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(2729,10051289,'Inflicts 30 heat damage on target',100,2,2),
(2730,10051289,'Cannot be modified except by direct means',100,2,3),
(2731,170666,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(2732,170666,'Decreases Attack Speed of target by 15.1',100,1,1),
(2733,170666,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(2734,10170666,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(2735,10170666,'Decreases Attack Speed of target by 15.1',100,1,1),
(2736,10170666,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(2737,103649,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(2738,103649,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(2739,103649,'Increases STR of raid and group members (AE) by 71.1',100,1,2),
(2740,103649,'Improves the base amount of taunts by 14%.',100,1,3),
(2741,103649,'Improves the base amount of combat arts by 4.37%.',100,1,4),
(2742,103649,'Increases AGI of raid and group members (AE) by 71.1',100,1,5),
(2743,103649,'Adds 1.4% to base avoidance.',100,1,6),
(2744,10103649,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(2745,10103649,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(2746,10103649,'Increases STR of raid and group members (AE) by 71.1',100,1,2),
(2747,10103649,'Improves the base amount of taunts by 14%.',100,1,3),
(2748,10103649,'Improves the base amount of combat arts by 4.37%.',100,1,4),
(2749,10103649,'Increases AGI of raid and group members (AE) by 71.1',100,1,5),
(2750,10103649,'Adds 1.4% to base avoidance.',100,1,6),
(2751,119708,'Increases Threat to target encounter by 3,432 - 3,836 ',100,1,0),
(2752,10119708,'Prevents target encounter from changing targets',100,1,0),
(2753,10119708,'Forces target encounter to change their selected target to caster.',100,1,1),
(2754,106811,'Decreases STR and AGI of target encounter by 117.1',100,1,0),
(2755,10106811,'Decreases STR and AGI of target encounter by 117.1',100,1,0),
(2756,121835,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(2757,121835,'Increases Mitigation of group members (AE) vs arcane damage by 870',100,1,1),
(2758,10121835,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(2759,10121835,'Increases Mitigation of group members (AE) vs arcane damage by 870',100,1,1),
(2760,25767,'When Equipped:',100,0,0),
(2761,25767,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,1),
(2762,25767,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(2763,10025767,'When Equipped:',100,0,0),
(2764,10025767,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,1),
(2765,10025767,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(2766,24609,'Adds Orc-Snow (Warlock) to your Dungeon Maker toolbox',100,0,0),
(2767,10024609,'Adds Orc-Snow (Warlock) to your Dungeon Maker toolbox',100,0,0),
(2768,85366,'Applies Poison Bolt when Activated.',100,0,0),
(2769,85366,'Inflicts 438 - 729 poison damage on target',100,1,1),
(2770,85366,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(2771,10085366,'Applies Poison Bolt when Activated.',100,0,0),
(2772,10085366,'Inflicts 438 - 729 poison damage on target',100,1,1),
(2773,10085366,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(2774,122445,'Inflicts 3028 - 4391 magic damage on target',100,1,0),
(2775,10122445,'Inflicts 2007 - 3081 magic damage on target',100,1,0),
(2776,82891,'When Equipped:',100,0,0),
(2777,82891,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2778,82891,'Decreases Threat to target by 833 ',100,2,2),
(2779,82891,'Must be flanking or behind',100,3,3),
(2780,82891,'Increases Threat to target by 1,293 ',100,2,4),
(2781,82891,'Must be in front of',100,3,5),
(2782,82891,'Inflicts 449 - 834 magic damage on target',100,2,6),
(2783,82891,'Cannot be modified except by direct means',100,2,7),
(2784,10082891,'When Equipped:',100,0,0),
(2785,10082891,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2786,10082891,'Inflicts 449 - 834 magic damage on target',100,2,2),
(2787,10082891,'Cannot be modified except by direct means',100,2,3),
(2788,122120,'Interrupts target',100,1,0),
(2789,122120,'Increases Threat to target by 2,994 ',100,1,1),
(2790,122120,'Dispels 37 levels of arcane beneficial effects on target',100,1,2),
(2791,10122120,'Interrupts target',100,1,0),
(2792,10122120,'Forces target to change their selected target to caster.',100,1,1),
(2793,10122120,'Dispels 37 levels of arcane beneficial effects on target',100,1,2),
(2794,52817,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(2795,52817,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(2796,52817,'Inflicts 85 heat damage on target',100,2,2),
(2797,52817,'Cannot be modified except by direct means',100,2,3),
(2798,10052817,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(2799,10052817,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(2800,10052817,'Inflicts 85 heat damage on target',100,2,2),
(2801,10052817,'Cannot be modified except by direct means',100,2,3),
(2802,120895,'Stifles target',100,1,0),
(2803,120895,'Inflicts 2960 - 3399 mental damage on target',100,1,1),
(2804,120895,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,2),
(2805,120895,'Resistibility increases against targets higher than level 87.',100,1,3),
(2806,10120895,'Stifles target',100,1,0),
(2807,10120895,'Inflicts 1953 - 2299 mental damage on target',100,1,1),
(2808,10120895,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(2809,10120895,'Resistibility increases against targets higher than level 87.',100,1,3),
(2810,45086,'Applies Buoyancy when Activated.  Lasts for 5 minutes.',100,0,0),
(2811,45086,'Allows caster to walk under water',100,1,1),
(2812,45086,'Allows caster to breathe under water',100,1,2),
(2813,45086,'Allows caster to jump under water',100,1,3),
(2814,10045086,'Applies Buoyancy when Activated.  Lasts for 5 minutes.',100,0,0),
(2815,10045086,'Allows caster to walk under water',100,1,1),
(2816,10045086,'Allows caster to breathe under water',100,1,2),
(2817,10045086,'Allows caster to jump under water',100,1,3),
(2818,101618,'Applies Forceful Headache on termination.',100,1,0),
(2819,101618,'Inflicts 415 - 692 mental damage on target',100,2,1),
(2820,101618,'If over 50% power',100,3,2),
(2821,101618,'Inflicts 498 - 609 mental damage on target',100,1,3),
(2822,101618,'Inflicts 142 - 174 mental damage on target every 6 seconds',100,1,4),
(2823,101618,'Decreases Mitigation of target vs arcane damage by 266',100,1,5),
(2824,10101618,'Applies Forceful Headache on termination.',100,1,0),
(2825,10101618,'Inflicts 340 - 566 mental damage on target',100,2,1),
(2826,10101618,'If over 50% power',100,3,2),
(2827,10101618,'Inflicts 468 - 532 mental damage on target',100,1,3),
(2828,10101618,'Inflicts 112 - 137 mental damage on target every 6 seconds',100,1,4),
(2829,10101618,'Decreases Mitigation of target vs arcane damage by 266',100,1,5),
(2830,101451,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(2831,101451,'Increases Mitigation of group members (AE) vs noxious damage by 882',100,1,1),
(2832,10101451,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(2833,10101451,'Increases Mitigation of group members (AE) vs noxious damage by 882',100,1,1),
(2834,134131,'When Equipped:',100,0,0),
(2835,134131,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(2836,134131,'Inflicts 1192 mental damage on target',100,2,2),
(2837,134131,'Increases Threat to target by 3,460 ',100,2,3),
(2838,134131,'Cannot be modified except by direct means',100,2,4),
(2839,134131,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(2840,134131,'Inflicts 1192 mental damage on target',100,2,6),
(2841,134131,'Increases Threat to target by 3,460 ',100,2,7),
(2842,134131,'Cannot be modified except by direct means',100,2,8),
(2843,134131,'When Equipped:',100,0,9),
(2844,134131,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,10),
(2845,134131,'Wards caster against 1250 points of all damage',100,2,11),
(2846,134131,'Cannot be modified except by direct means',100,2,12),
(2847,134131,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,13),
(2848,134131,'Wards caster against 1250 points of all damage',100,2,14),
(2849,134131,'Cannot be modified except by direct means',100,2,15),
(2850,10134131,'When Equipped:',100,0,0),
(2851,10134131,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(2852,10134131,'Inflicts 1192 mental damage on target',100,2,2),
(2853,10134131,'Cannot be modified except by direct means',100,2,3),
(2854,10134131,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(2855,10134131,'Inflicts 1192 mental damage on target',100,2,5),
(2856,10134131,'Cannot be modified except by direct means',100,2,6),
(2857,10134131,'When Equipped:',100,0,7),
(2858,10134131,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,8),
(2859,10134131,'Wards caster against 625 points of all damage',100,2,9),
(2860,10134131,'Cannot be modified except by direct means',100,2,10),
(2861,10134131,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,11),
(2862,10134131,'Wards caster against 625 points of all damage',100,2,12),
(2863,10134131,'Cannot be modified except by direct means',100,2,13),
(2864,47281,'Applies Reebo''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(2865,47281,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(2866,10047281,'Applies Reebo''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(2867,10047281,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(2868,41637,'When Equipped:',100,0,0),
(2869,41637,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2870,41637,'Decreases Threat to target by 949 ',100,2,2),
(2871,41637,'Must be flanking or behind',100,3,3),
(2872,41637,'Increases Threat to target by 1,409 ',100,2,4),
(2873,41637,'Must be in front of',100,3,5),
(2874,41637,'Inflicts 387 - 719 magic damage on target',100,2,6),
(2875,41637,'Cannot be modified except by direct means',100,2,7),
(2876,10041637,'When Equipped:',100,0,0),
(2877,10041637,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(2878,10041637,'Inflicts 387 - 719 magic damage on target',100,2,2),
(2879,10041637,'Cannot be modified except by direct means',100,2,3),
(2880,115962,'Inflicts 351 - 527 mental damage on target',100,1,0),
(2881,115962,'Stuns target',100,1,1),
(2882,115962,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(2883,115962,'Resistibility increases against targets higher than level 42.',100,1,3),
(2884,10115962,'Stuns target',100,1,0),
(2885,10115962,'Inflicts 301 - 452 mental damage on target',100,1,1),
(2886,10115962,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(2887,10115962,'Resistibility increases against targets higher than level 42.',100,1,3),
(2888,104985,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(2889,104985,'Reduces physical damage done to caster by 5%',100,1,1),
(2890,104985,'Adds 1.7% to base avoidance.',100,1,2),
(2891,104985,'Caster will deflect 11.0% of incoming attacks.',100,1,3),
(2892,104985,'Increases Parry of caster by 9.9',100,1,4),
(2893,104985,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,5),
(2894,104985,'Increases Aggression of caster by 5.9',100,1,6),
(2895,104985,'Increases Defense and Deflection of caster by 9.9',100,1,7),
(2896,104985,'Increases Mitigation of caster vs arcane damage by 660',100,1,8),
(2897,104985,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(2898,10104985,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(2899,10104985,'Reduces physical damage done to caster by 5%',100,1,1),
(2900,10104985,'Adds 1.7% to base avoidance.',100,1,2),
(2901,10104985,'Caster will deflect 11.0% of incoming attacks.',100,1,3),
(2902,10104985,'Increases Parry of caster by 9.9',100,1,4),
(2903,10104985,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,5),
(2904,10104985,'Increases Aggression of caster by 5.9',100,1,6),
(2905,10104985,'Increases Defense and Deflection of caster by 9.9',100,1,7),
(2906,10104985,'Increases Mitigation of caster vs arcane damage by 660',100,1,8),
(2907,10104985,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(2908,109873,'Increases Defense of group members (AE) by 19.8',100,1,0),
(2909,10109873,'Increases Defense of group members (AE) by 19.8',100,1,0),
(2910,118487,'Summons a limited pet to aid the caster',100,1,0),
(2911,10118487,'Summons a limited pet to aid the caster',100,1,0),
(2912,120408,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(2913,120408,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(2914,120408,'Inflicts 1745 - 2909 heat damage on target',100,2,2),
(2915,120408,'Decreases Defense of caster by 23.0',100,1,3),
(2916,120408,'Increases Slashing, Piercing, Crushing and Ranged of caster by 58.0',100,1,4),
(2917,10120408,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(2918,10120408,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(2919,10120408,'Inflicts 1376 - 2293 heat damage on target',100,2,2),
(2920,10120408,'Decreases Defense of caster by 23.0',100,1,3),
(2921,10120408,'Increases Slashing, Piercing, Crushing and Ranged of caster by 58.0',100,1,4),
(2922,113576,'Mesmerizes target',100,1,0),
(2923,113576,'Prevents AOE (except when direct) ',100,1,1),
(2924,113576,'Dispelled when target takes damage',100,1,2),
(2925,113576,'Does not affect Epic x2 targets',100,1,3),
(2926,113576,'Resistibility increases against targets higher than level 99.',100,1,4),
(2927,10113576,'Mesmerizes target',100,1,0),
(2928,10113576,'Prevents AOE (except when direct) ',100,1,1),
(2929,10113576,'Dispelled when target takes damage',100,1,2),
(2930,10113576,'Does not affect Epic x2 targets',100,1,3),
(2931,10113576,'Resistibility increases against targets higher than level 99.',100,1,4),
(2932,45059,'Applies Immortalize Ykesha when Activated.',100,0,0),
(2933,45059,'Summon 1 Trophy: Ykesha''s Head',100,1,1),
(2934,45059,'This effect cannot be cast during combat',100,1,2),
(2935,10045059,'Applies Immortalize Ykesha when Activated.',100,0,0),
(2936,10045059,'Summon 1 Trophy: Ykesha''s Head',100,1,1),
(2937,10045059,'This effect cannot be cast during combat',100,1,2),
(2938,119223,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(2939,119223,'Decreases Threat to target by 667 ',100,2,1),
(2940,10119223,'On any combat or spell hit this spell may cast Evade on target of attack.  Lasts for 1.0 second.  Triggers about 4.0 times per minute. ',100,1,0),
(2941,10119223,'Prevents target from changing targets',100,2,1),
(2942,10119223,'Applies Distract.',100,2,2),
(2943,10119223,'Forces target to clear their selected target.',100,3,3),
(2944,101608,'Inflicts 3405 - 5431 melee damage on targets in area',100,1,0),
(2945,10101608,'Inflicts 2610 - 4242 melee damage on targets in area',100,1,0),
(2946,46162,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(2947,46162,'Roots target',100,1,1),
(2948,46162,'80% chance to dispel when target takes damage',100,1,2),
(2949,46162,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(2950,46162,'Resistibility increases against targets higher than level 79.',100,1,4),
(2951,10046162,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(2952,10046162,'Roots target',100,1,1),
(2953,10046162,'80% chance to dispel when target takes damage',100,1,2),
(2954,10046162,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(2955,10046162,'Resistibility increases against targets higher than level 79.',100,1,4),
(2956,119892,'Increases INT and AGI of group members (AE) by 90.9',100,1,0),
(2957,119892,'Adds 2.2% to base avoidance.',100,1,1),
(2958,10119892,'Increases INT and AGI of group members (AE) by 90.9',100,1,0),
(2959,10119892,'Adds 2.2% to base avoidance.',100,1,1),
(2960,81847,'When Equipped:',100,0,0),
(2961,81847,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2962,81847,'Inflicts 189 - 352 magic damage on target',100,2,2),
(2963,81847,'Cannot be modified except by direct means',100,2,3),
(2964,10081847,'When Equipped:',100,0,0),
(2965,10081847,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(2966,10081847,'Inflicts 189 - 352 magic damage on target',100,2,2),
(2967,10081847,'Cannot be modified except by direct means',100,2,3),
(2968,108947,'Increases INT of group members (AE) by 39.0',100,1,0),
(2969,108947,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 15.0',100,1,1),
(2970,10108947,'Increases INT of group members (AE) by 39.0',100,1,0),
(2971,10108947,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 15.0',100,1,1),
(2972,72299,'When Equipped:',100,0,0),
(2973,72299,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2974,72299,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(2975,72299,'Cannot be modified except by direct means',100,2,3),
(2976,10072299,'When Equipped:',100,0,0),
(2977,10072299,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2978,10072299,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(2979,10072299,'Cannot be modified except by direct means',100,2,3),
(2980,24331,'Adds Droag (Mystic) to your Dungeon Maker toolbox',100,0,0),
(2981,10024331,'Adds Droag (Mystic) to your Dungeon Maker toolbox',100,0,0),
(2982,108805,'Inflicts 1927 - 3297 heat damage on targets in Area of Effect',100,1,0),
(2983,10108805,'Inflicts 1392 - 2472 heat damage on targets in Area of Effect',100,1,0),
(2984,71858,'When Equipped:',100,0,0),
(2985,71858,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2986,71858,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(2987,71858,'Cannot be modified except by direct means',100,2,3),
(2988,10071858,'When Equipped:',100,0,0),
(2989,10071858,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2990,10071858,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(2991,10071858,'Cannot be modified except by direct means',100,2,3),
(2992,177718,'When Equipped:',100,0,0),
(2993,177718,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2994,177718,'Increases INT of caster by 3.6',100,2,2),
(2995,177718,'Increases Subjugation, Focus and Disruption of caster by 2.2',100,2,3),
(2996,177718,'Cannot be modified except by direct means',100,2,4),
(2997,10177718,'When Equipped:',100,0,0),
(2998,10177718,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(2999,10177718,'Increases INT of caster by 3.6',100,2,2),
(3000,10177718,'Increases Subjugation, Focus and Disruption of caster by 2.2',100,2,3),
(3001,10177718,'Cannot be modified except by direct means',100,2,4),
(3002,113662,'Inflicts 1968 - 2369 disease damage on target encounter',100,1,0),
(3003,113662,'Inflicts 1804 - 2205 disease damage on target encounter every 5 seconds',100,1,1),
(3004,113662,'Decreases power of target encounter by 301 - 368 instantly and every 5 seconds',100,1,2),
(3005,113662,'Heals group members (AE) for 1163 - 1385',100,1,3),
(3006,113662,'Heals group members (AE) for 999 - 1221 every 5 seconds',100,1,4),
(3007,113662,'Increases power of group members (AE) by 167 - 204 instantly and every 5 seconds',100,1,5),
(3008,10113662,'Inflicts 1488 - 1804 disease damage on target encounter',100,1,0),
(3009,10113662,'Inflicts 1422 - 1738 disease damage on target encounter every 5 seconds',100,1,1),
(3010,10113662,'Decreases power of target encounter by 237 - 290 instantly and every 5 seconds',100,1,2),
(3011,10113662,'Heals group members (AE) for 555 - 668',100,1,3),
(3012,10113662,'Heals group members (AE) for 512 - 626 every 5 seconds',100,1,4),
(3013,10113662,'Increases power of group members (AE) by 131 - 160 instantly and every 5 seconds',100,1,5),
(3014,141695,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(3015,141695,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(3016,141695,'Inflicts 61 heat damage on target',100,2,2),
(3017,141695,'Cannot be modified except by direct means',100,2,3),
(3018,10141695,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(3019,10141695,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(3020,10141695,'Inflicts 61 heat damage on target',100,2,2),
(3021,10141695,'Cannot be modified except by direct means',100,2,3),
(3022,117919,'Increases In-Combat Health Regeneration of group members (AE) by 165.5',100,1,0),
(3023,117919,'Increases Max Health of group members (AE) by 849.8',100,1,1),
(3024,10117919,'Increases In-Combat Health Regeneration of group members (AE) by 165.5',100,1,0),
(3025,10117919,'Increases Max Health of group members (AE) by 849.8',100,1,1),
(3026,106827,'Decreases Crushing, Piercing, Slashing and Ranged of target by 10.8',100,1,0),
(3027,10106827,'Decreases Crushing, Piercing, Slashing and Ranged of target by 10.8',100,1,0),
(3028,159727,'When Equipped:',100,0,0),
(3029,159727,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3030,159727,'Increases INT of caster by 17.6',100,2,2),
(3031,159727,'Increases Subjugation, Focus and Disruption of caster by 9.9',100,2,3),
(3032,159727,'Cannot be modified except by direct means',100,2,4),
(3033,10159727,'When Equipped:',100,0,0),
(3034,10159727,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3035,10159727,'Increases INT of caster by 17.6',100,2,2),
(3036,10159727,'Increases Subjugation, Focus and Disruption of caster by 9.9',100,2,3),
(3037,10159727,'Cannot be modified except by direct means',100,2,4),
(3038,164657,'When Equipped:',100,0,0),
(3039,164657,'Increases WIS, AGI, INT and STR of caster by 50.0',100,1,1),
(3040,164657,'Increases Potency of caster by 3.5%',100,1,2),
(3041,164657,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(3042,164657,'Cannot be modified except by direct means',100,1,4),
(3043,164657,'When Equipped:',100,0,5),
(3044,164657,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(3045,164657,'Wards group members (AE) against 4400 points of all damage',100,2,7),
(3046,164657,'Must not be engaged in pvp combat',100,2,8),
(3047,164657,'Cannot be modified except by direct means',100,2,9),
(3048,164657,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(3049,164657,'Cannot be modified except by direct means',100,1,11),
(3050,10164657,'When Equipped:',100,0,0),
(3051,10164657,'Increases WIS, AGI, INT and STR of caster by 50.0',100,1,1),
(3052,10164657,'Increases Potency of caster by 3.5%',100,1,2),
(3053,10164657,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(3054,10164657,'Cannot be modified except by direct means',100,1,4),
(3055,10164657,'When Equipped:',100,0,5),
(3056,10164657,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(3057,10164657,'Wards group members (AE) against 4400 points of all damage',100,2,7),
(3058,10164657,'Must not be engaged in pvp combat',100,2,8),
(3059,10164657,'Cannot be modified except by direct means',100,2,9),
(3060,10164657,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(3061,10164657,'Cannot be modified except by direct means',100,1,11),
(3062,105261,'Increases Threat to target by 5,233 ',100,1,0),
(3063,105261,'Interrupts target',100,1,1),
(3064,105261,'Dispels 140 levels of arcane beneficial effects on target',100,1,2),
(3065,10105261,'Forces target to change their selected target to caster.',100,1,0),
(3066,10105261,'Interrupts target',100,1,1),
(3067,10105261,'Dispels 140 levels of arcane beneficial effects on target',100,1,2),
(3068,159292,'Applies Lambent Imbued when Equipped.',100,0,0),
(3069,159292,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(3070,159292,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(3071,159292,'Cannot be modified except by direct means',100,2,3),
(3072,10159292,'Applies Lambent Imbued when Equipped.',100,0,0),
(3073,10159292,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(3074,10159292,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(3075,10159292,'Cannot be modified except by direct means',100,2,3),
(3076,35214,'Increases Max Power of target by 47.2',100,0,0),
(3077,35214,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(3078,119155,'Inflicts 337 disease damage on target every 3 seconds',100,1,0),
(3079,119155,'Inflicts 2674 - 3788 melee damage on target',100,1,1),
(3080,119155,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(3081,119155,'Inflicts 673 disease damage on target every 3 seconds',100,2,3),
(3082,119155,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(3083,119155,'Inflicts 1010 disease damage on target every 3 seconds',100,3,5),
(3084,119155,'You must be sneaking to use this ability.',100,1,6),
(3085,119155,'Must be behind',100,1,7),
(3086,10119155,'Inflicts 265 disease damage on target every 3 seconds',100,1,0),
(3087,10119155,'Inflicts 1728 - 2605 melee damage on target',100,1,1),
(3088,10119155,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(3089,10119155,'Inflicts 531 disease damage on target every 3 seconds',100,2,3),
(3090,10119155,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(3091,10119155,'Inflicts 796 disease damage on target every 3 seconds',100,3,5),
(3092,10119155,'You must be sneaking to use this ability.',100,1,6),
(3093,10119155,'Must be behind',100,1,7),
(3094,108678,'Inflicts 132 heat damage on target',100,1,0),
(3095,108678,'Inflicts 14 heat damage on target every 4 seconds',100,1,1),
(3096,10108678,'Inflicts 138 heat damage on target',100,1,0),
(3097,10108678,'Inflicts 11 heat damage on target every 4 seconds',100,1,1),
(3098,108654,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(3099,108654,'Heals target for 1687',100,2,1),
(3100,108654,'Heals target for 421 every 2 seconds',100,2,2),
(3101,108654,'Increases AGI of target by 59.6',100,2,3),
(3102,108654,'Grants a total of 1 trigger of the spell.',100,2,4),
(3103,10108654,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(3104,10108654,'Heals target for 864',100,2,1),
(3105,10108654,'Heals target for 216 every 2 seconds',100,2,2),
(3106,10108654,'Increases AGI of target by 59.6',100,2,3),
(3107,10108654,'Grants a total of 1 trigger of the spell.',100,2,4),
(3108,159875,'Applies Sanguine Imbued when Equipped.',100,0,0),
(3109,159875,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(3110,159875,'Inflicts 111 heat damage on target',100,2,2),
(3111,159875,'Cannot be modified except by direct means',100,2,3),
(3112,10159875,'Applies Sanguine Imbued when Equipped.',100,0,0),
(3113,10159875,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(3114,10159875,'Inflicts 111 heat damage on target',100,2,2),
(3115,10159875,'Cannot be modified except by direct means',100,2,3),
(3116,119976,'Increases Threat to target by 1,126 - 1,376 ',100,1,0),
(3117,10119976,'Prevents target from changing targets',100,1,0),
(3118,10119976,'Forces target to change their selected target to caster.',100,1,1),
(3119,74850,'When Equipped:',100,0,0),
(3120,74850,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3121,74850,'Inflicts 217 - 326 magic damage on target',100,2,2),
(3122,74850,'Cannot be modified except by direct means',100,2,3),
(3123,10074850,'When Equipped:',100,0,0),
(3124,10074850,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3125,10074850,'Inflicts 217 - 326 magic damage on target',100,2,2),
(3126,10074850,'Cannot be modified except by direct means',100,2,3),
(3127,48636,'Applies Alchtonion''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(3128,48636,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(3129,10048636,'Applies Alchtonion''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(3130,10048636,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(3131,101015,'Inflicts 1749 - 2968 poison damage on target encounter',100,1,0),
(3132,101015,'Inflicts 1422 - 2641 poison damage on target encounter every 1.5 seconds',100,1,1),
(3133,10101015,'Inflicts 1010 - 1764 poison damage on target encounter',100,1,0),
(3134,10101015,'Inflicts 879 - 1632 poison damage on target encounter every 1.5 seconds',100,1,1),
(3135,123495,'Decreases Mitigation of target encounter vs noxious damage by 297',100,1,0),
(3136,10123495,'Decreases Mitigation of target encounter vs noxious damage by 297',100,1,0),
(3137,144689,'When Equipped:',100,0,0),
(3138,144689,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3139,144689,'Decreases power of target by 226',100,2,2),
(3140,144689,'Increases power of caster by 150',100,2,3),
(3141,144689,'Cannot be modified except by direct means',100,2,4),
(3142,10144689,'When Equipped:',100,0,0),
(3143,10144689,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3144,10144689,'Decreases power of target by 226',100,2,2),
(3145,10144689,'Increases power of caster by 150',100,2,3),
(3146,10144689,'Cannot be modified except by direct means',100,2,4),
(3147,24523,'Adds Mistmoore: Closed Piano to your Dungeon Maker toolbox',100,0,0),
(3148,10024523,'Adds Mistmoore: Closed Piano to your Dungeon Maker toolbox',100,0,0),
(3149,119734,'Wards group members (AE) against 223 points of elemental, noxious and arcane damage',100,1,0),
(3150,119734,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,1),
(3151,10119734,'Wards group members (AE) against 183 points of elemental, noxious and arcane damage',100,1,0),
(3152,10119734,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,1),
(3153,48395,'Applies 5-Year Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(3154,48395,'Launches a firework when used.',100,1,1),
(3155,10048395,'Applies 5-Year Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(3156,10048395,'Launches a firework when used.',100,1,1),
(3157,148392,'When Equipped:',100,0,0),
(3158,148392,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(3159,148392,'When Equipped:',100,0,2),
(3160,148392,'Reduces reuse time of Subjugation-based spells by 5 percent.',100,1,3),
(3161,10148392,'When Equipped:',100,0,0),
(3162,10148392,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(3163,10148392,'When Equipped:',100,0,2),
(3164,10148392,'Reduces reuse time of Subjugation-based spells by 5 percent.',100,1,3),
(3165,107236,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(3166,107236,'Slows target by 47.9%',100,2,1),
(3167,107236,'5% chance to dispel when target receives hostile action',100,2,2),
(3168,107236,'5% chance to dispel when target takes damage',100,2,3),
(3169,107236,'Inflicts 225 - 275 disease damage on target',100,1,4),
(3170,107236,'Inflicts 75 - 92 disease damage on target every 4 seconds',100,1,5),
(3171,107236,'Slows target by 47.9%',100,1,6),
(3172,107236,'5% chance to dispel when target receives hostile action',100,1,7),
(3173,107236,'5% chance to dispel when target takes damage',100,1,8),
(3174,10107236,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(3175,10107236,'Slows target by 47.9%',100,2,1),
(3176,10107236,'5% chance to dispel when target receives hostile action',100,2,2),
(3177,10107236,'5% chance to dispel when target takes damage',100,2,3),
(3178,10107236,'Inflicts 225 - 275 disease damage on target',100,1,4),
(3179,10107236,'Inflicts 59 - 72 disease damage on target every 2.5 seconds',100,1,5),
(3180,10107236,'Slows target by 47.9%',100,1,6),
(3181,10107236,'5% chance to dispel when target receives hostile action',100,1,7),
(3182,10107236,'5% chance to dispel when target takes damage',100,1,8),
(3183,112248,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(3184,112248,'Decreases power of target by 734',100,2,1),
(3185,112248,'Increases power of caster by 109',100,2,2),
(3186,10112248,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(3187,10112248,'Decreases power of target by 579',100,2,1),
(3188,10112248,'Increases power of caster by 87',100,2,2),
(3189,108612,'Feigns Death with 69% chance of success',100,1,0),
(3190,10108612,'Feigns Death with 69% chance of success',100,1,0),
(3191,81242,'When Equipped:',100,0,0),
(3192,81242,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(3193,81242,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(3194,81242,'Decreases Threat to target by 1,219 ',100,2,3),
(3195,81242,'Must be flanking or behind',100,3,4),
(3196,81242,'Increases Threat to target by 1,679 ',100,2,5),
(3197,81242,'Must be in front of',100,3,6),
(3198,81242,'Cannot be modified except by direct means',100,2,7),
(3199,10081242,'When Equipped:',100,0,0),
(3200,10081242,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(3201,10081242,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(3202,10081242,'Cannot be modified except by direct means',100,2,3),
(3203,101557,'Inflicts 31174 - 51048 melee damage on target',100,1,0),
(3204,101557,'You must be stealthed to use this ability',100,1,1),
(3205,10101557,'Inflicts 11578 - 18940 melee damage on target',100,1,0),
(3206,10101557,'You must be stealthed to use this ability',100,1,1),
(3207,106778,'Mesmerizes target',100,1,0),
(3208,106778,'Prevents AOE (except when direct) ',100,1,1),
(3209,106778,'Dispelled when target takes damage',100,1,2),
(3210,106778,'Does not affect Epic targets',100,1,3),
(3211,106778,'Resistibility increases against targets higher than level 107.',100,1,4),
(3212,10106778,'Mesmerizes target',100,1,0),
(3213,10106778,'Prevents AOE (except when direct) ',100,1,1),
(3214,10106778,'Dispelled when target takes damage',100,1,2),
(3215,10106778,'Does not affect Epic targets',100,1,3),
(3216,10106778,'Resistibility increases against targets higher than level 107.',100,1,4),
(3217,124490,'Heals group members (AE) for 2730 - 3264',100,1,0),
(3218,10124490,'Heals group members (AE) for 2301 - 2793',100,1,0),
(3219,80196,'When Equipped:',100,0,0),
(3220,80196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3221,80196,'Inflicts 333 - 619 magic damage on target',100,2,2),
(3222,80196,'Cannot be modified except by direct means',100,2,3),
(3223,10080196,'When Equipped:',100,0,0),
(3224,10080196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3225,10080196,'Inflicts 333 - 619 magic damage on target',100,2,2),
(3226,10080196,'Cannot be modified except by direct means',100,2,3),
(3227,115689,'Inflicts 2324 - 2987 melee damage on target',100,129,0),
(3228,115689,'Inflicts 265 - 785 melee damage on target',100,1,1),
(3229,115689,'Inflicts 265 - 785 melee damage on target',100,1,2),
(3230,115689,'Inflicts 265 - 785 melee damage on target',100,1,3),
(3231,115689,'Inflicts 265 - 785 melee damage on target',100,1,4),
(3232,115689,'Inflicts 265 - 785 melee damage on target',100,1,5),
(3233,115689,'Inflicts 265 - 785 melee damage on target',100,1,6),
(3234,115689,'Inflicts 265 - 785 melee damage on target',100,1,7),
(3235,115689,'Inflicts 265 - 785 melee damage on target',100,1,8),
(3236,10115689,'Inflicts 1470 - 2002 melee damage on target',100,129,0),
(3237,10115689,'Inflicts 213 - 629 melee damage on target',100,1,1),
(3238,10115689,'Inflicts 213 - 629 melee damage on target',100,1,2),
(3239,10115689,'Inflicts 213 - 629 melee damage on target',100,1,3),
(3240,10115689,'Inflicts 213 - 629 melee damage on target',100,1,4),
(3241,10115689,'Inflicts 213 - 629 melee damage on target',100,1,5),
(3242,10115689,'Inflicts 213 - 629 melee damage on target',100,1,6),
(3243,10115689,'Inflicts 213 - 629 melee damage on target',100,1,7),
(3244,10115689,'Inflicts 213 - 629 melee damage on target',100,1,8),
(3245,45898,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(3246,45898,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(3247,45898,'Inflicts 988 poison damage on target',100,2,2),
(3248,45898,'Cannot be modified except by direct means',100,2,3),
(3249,45898,'Grants a total of 100 triggers of the spell.',100,2,4),
(3250,10045898,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(3251,10045898,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(3252,10045898,'Inflicts 741 poison damage on target',100,2,2),
(3253,10045898,'Cannot be modified except by direct means',100,2,3),
(3254,10045898,'Grants a total of 100 triggers of the spell.',100,2,4),
(3255,122164,'Inflicts 1125 - 1212 cold damage on target',100,1,0),
(3256,122164,'Inflicts 188 - 229 cold damage on target every 2 seconds',100,1,1),
(3257,122164,'Inflicts 188 - 229 cold damage on target instantly and every 2 seconds',100,1,2),
(3258,122164,'If target is elemental',100,2,3),
(3259,10122164,'Inflicts 542 - 575 cold damage on target',100,1,0),
(3260,10122164,'Inflicts 148 - 181 cold damage on target every 2 seconds',100,1,1),
(3261,108174,'Inflicts 9137 - 14506 melee damage on target',100,1,0),
(3262,108174,'You must be sneaking to use this ability.',100,1,1),
(3263,108174,'Must be flanking or behind',100,1,2),
(3264,10108174,'Inflicts 4634 - 7424 melee damage on target',100,1,0),
(3265,10108174,'You must be sneaking to use this ability.',100,1,1),
(3266,10108174,'Must be flanking or behind',100,1,2),
(3267,121739,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(3268,10121739,'Applies Swarthy Distraction.',100,1,0),
(3269,10121739,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(3270,10121739,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(3271,121535,'Inflicts 4340 - 6550 melee damage on target',100,1,0),
(3272,121535,'Stuns target',100,1,1),
(3273,121535,'If Target is not Epic',100,2,2),
(3274,121535,'Resistibility increases against targets higher than level 101.',100,1,3),
(3275,10121535,'Inflicts 3041 - 4783 melee damage on target',100,1,0),
(3276,10121535,'Stuns target',100,1,1),
(3277,10121535,'If Target is not Epic',100,2,2),
(3278,10121535,'Resistibility increases against targets higher than level 101.',100,1,3),
(3279,121630,'Inflicts 3578 - 8653 melee damage on target',100,1,0),
(3280,121630,'Dazes target',100,1,1),
(3281,121630,'If Target is not Epic',100,2,2),
(3282,121630,'Must be flanking or behind',100,1,3),
(3283,121630,'Resistibility increases against targets higher than level 102.',100,1,4),
(3284,10121630,'Inflicts 2440 - 6440 melee damage on target',100,1,0),
(3285,10121630,'Dazes target',100,1,1),
(3286,10121630,'If Target is not Epic',100,2,2),
(3287,10121630,'Must be flanking or behind',100,1,3),
(3288,10121630,'Resistibility increases against targets higher than level 102.',100,1,4),
(3289,117317,'Roots target',100,1,0),
(3290,117317,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(3291,117317,'Slows target by 36.6%',100,2,2),
(3292,117317,'5% chance to dispel when target receives hostile action',100,2,3),
(3293,117317,'5% chance to dispel when target takes damage',100,2,4),
(3294,117317,'15% chance to dispel when target takes damage',100,1,5),
(3295,117317,'Does not affect Epic targets',100,1,6),
(3296,117317,'Resistibility increases against targets higher than level 62.',100,1,7),
(3297,10117317,'Roots target',100,1,0),
(3298,10117317,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(3299,10117317,'Slows target by 36.6%',100,2,2),
(3300,10117317,'10% chance to dispel when target receives hostile action',100,2,3),
(3301,10117317,'10% chance to dispel when target takes damage',100,2,4),
(3302,10117317,'15% chance to dispel when target takes damage',100,1,5),
(3303,10117317,'Does not affect Epic targets',100,1,6),
(3304,10117317,'Resistibility increases against targets higher than level 62.',100,1,7),
(3305,121172,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(3306,121172,'Increases Agility of caster by 17.',100,1,1),
(3307,10121172,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(3308,10121172,'Increases Deflection of caster by 3.8',100,1,1),
(3309,82738,'When Equipped:',100,0,0),
(3310,82738,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3311,82738,'Inflicts 210 - 391 magic damage on target',100,2,2),
(3312,82738,'Cannot be modified except by direct means',100,2,3),
(3313,10082738,'When Equipped:',100,0,0),
(3314,10082738,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3315,10082738,'Inflicts 210 - 391 magic damage on target',100,2,2),
(3316,10082738,'Cannot be modified except by direct means',100,2,3),
(3317,75379,'Applies Mark of Pestilence when Equipped.',100,0,0),
(3318,10075379,'Applies Mark of Pestilence when Equipped.',100,0,0),
(3319,159271,'When Equipped:',100,0,0),
(3320,159271,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(3321,159271,'Increases STA of caster by 4.7',100,2,2),
(3322,159271,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(3323,159271,'Cannot be modified except by direct means',100,2,4),
(3324,10159271,'When Equipped:',100,0,0),
(3325,10159271,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(3326,10159271,'Increases STA of caster by 4.7',100,2,2),
(3327,10159271,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(3328,10159271,'Cannot be modified except by direct means',100,2,4),
(3329,142827,'When Equipped:',100,0,0),
(3330,142827,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(3331,142827,'Inflicts 1192 mental damage on target',100,2,2),
(3332,142827,'Increases Threat to target by 3,460 ',100,2,3),
(3333,142827,'Cannot be modified except by direct means',100,2,4),
(3334,142827,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(3335,142827,'Inflicts 1192 mental damage on target',100,2,6),
(3336,142827,'Increases Threat to target by 3,460 ',100,2,7),
(3337,142827,'Cannot be modified except by direct means',100,2,8),
(3338,142827,'When Equipped:',100,0,9),
(3339,142827,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,10),
(3340,142827,'Wards caster against 1250 points of all damage',100,2,11),
(3341,142827,'Cannot be modified except by direct means',100,2,12),
(3342,142827,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,13),
(3343,142827,'Wards caster against 1250 points of all damage',100,2,14),
(3344,142827,'Cannot be modified except by direct means',100,2,15),
(3345,10142827,'When Equipped:',100,0,0),
(3346,10142827,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(3347,10142827,'Inflicts 1192 mental damage on target',100,2,2),
(3348,10142827,'Cannot be modified except by direct means',100,2,3),
(3349,10142827,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(3350,10142827,'Inflicts 1192 mental damage on target',100,2,5),
(3351,10142827,'Cannot be modified except by direct means',100,2,6),
(3352,10142827,'When Equipped:',100,0,7),
(3353,10142827,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,8),
(3354,10142827,'Wards caster against 625 points of all damage',100,2,9),
(3355,10142827,'Cannot be modified except by direct means',100,2,10),
(3356,10142827,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,11),
(3357,10142827,'Wards caster against 625 points of all damage',100,2,12),
(3358,10142827,'Cannot be modified except by direct means',100,2,13),
(3359,117883,'Heals target for 2189 - 2457',100,1,0),
(3360,117883,'Heals target for 1206 - 1474 every 2 seconds',100,1,1),
(3361,10117883,'Heals target for 874 - 1012',100,1,0),
(3362,10117883,'Heals target for 618 - 755 every 2 seconds',100,1,1),
(3363,117160,'Inflicts 320 poison damage on target',100,1,0),
(3364,117160,'Inflicts 71 poison damage on target every 4 seconds',100,1,1),
(3365,117160,'Decreases WIS of target by 13.2',100,1,2),
(3366,10117160,'Inflicts 305 poison damage on target',100,1,0),
(3367,10117160,'Inflicts 56 poison damage on target every 4 seconds',100,1,1),
(3368,10117160,'Decreases WIS of target by 13.2',100,1,2),
(3369,110571,'Decreases Attack Speed of target by 19.8',100,1,0),
(3370,110571,'Decreases Crushing, Slashing and Piercing of target by 5.8',100,1,1),
(3371,10110571,'Decreases Attack Speed of target by 19.8',100,1,0),
(3372,10110571,'Decreases Crushing, Slashing and Piercing of target by 5.8',100,1,1),
(3373,83956,'When Equipped:',100,0,0),
(3374,83956,'On a healing spell cast this spell may cast Elusive Celerity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3375,83956,'Reduces reuse time of healing spells by 10 percent.',100,2,2),
(3376,83956,'Cannot be modified except by direct means',100,2,3),
(3377,10083956,'When Equipped:',100,0,0),
(3378,10083956,'On a healing spell cast this spell may cast Elusive Celerity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3379,10083956,'Reduces reuse time of healing spells by 10 percent.',100,2,2),
(3380,10083956,'Cannot be modified except by direct means',100,2,3),
(3381,35455,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(3382,35455,'Increases Max Health of target by 145.6',100,0,1),
(3383,75166,'When Equipped:',100,0,0),
(3384,75166,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(3385,10075166,'When Equipped:',100,0,0),
(3386,10075166,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(3387,86062,'When Equipped:',100,0,0),
(3388,86062,'On a combat hit this spell may cast Caustic Venom on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3389,86062,'Inflicts 167 - 204 poison damage on target',100,2,2),
(3390,86062,'Inflicts 95 - 116 poison damage on target every 4 seconds',100,2,3),
(3391,86062,'Cannot be modified except by direct means',100,2,4),
(3392,10086062,'When Equipped:',100,0,0),
(3393,10086062,'On a combat hit this spell may cast Caustic Venom on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3394,10086062,'Inflicts 167 - 204 poison damage on target',100,2,2),
(3395,10086062,'Inflicts 95 - 116 poison damage on target every 4 seconds',100,2,3),
(3396,10086062,'Cannot be modified except by direct means',100,2,4),
(3397,114758,'Inflicts 20657 - 33608 melee damage on target',100,1,0),
(3398,114758,'You must be in stealth.',100,1,1),
(3399,10114758,'Inflicts 9632 - 15713 melee damage on target',100,1,0),
(3400,10114758,'You must be in stealth.',100,1,1),
(3401,124776,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(3402,124776,'Increases STR of caster by 12.5',100,1,1),
(3403,124776,'Decreases Defense of caster by 1.8',100,1,2),
(3404,124776,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.1',100,1,3),
(3405,10124776,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(3406,10124776,'Increases STR of caster by 12.5',100,1,1),
(3407,10124776,'Decreases Defense of caster by 1.8',100,1,2),
(3408,10124776,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.1',100,1,3),
(3409,25768,'When Equipped:',100,0,0),
(3410,25768,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(3411,25768,'Improves the base damage of Savage Assault by 15%.',100,1,2),
(3412,10025768,'When Equipped:',100,0,0),
(3413,10025768,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(3414,10025768,'Improves the base damage of Savage Assault by 15%.',100,1,2),
(3415,100112,'Decreases STR, AGI, WIS and INT of target by 22.9',100,1,0),
(3416,100112,'Decreases Max Health of target by 0.6%',100,1,1),
(3417,10100112,'Decreases STR, AGI, WIS and INT of target by 22.9',100,1,0),
(3418,10100112,'Decreases Max Health of target by 0.6%',100,1,1),
(3419,107715,'Inflicts 3299 - 4824 heat damage on target',100,1,0),
(3420,107715,'You must be sneaking to use this ability.',100,1,1),
(3421,10107715,'Inflicts 2220 - 3422 heat damage on target',100,1,0),
(3422,10107715,'You must be sneaking to use this ability.',100,1,1),
(3423,188768,'When Equipped:',100,0,0),
(3424,188768,'Increases Attack Speed of caster by 30.0',100,1,1),
(3425,10188768,'When Equipped:',100,0,0),
(3426,10188768,'Increases Attack Speed of caster by 30.0',100,1,1),
(3427,138655,'When Equipped:',100,0,0),
(3428,138655,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(3429,138655,'Heals group members for 245',100,2,2),
(3430,138655,'Cannot be modified except by direct means',100,2,3),
(3431,138655,'Cannot be modified except by direct means',100,1,4),
(3432,10138655,'When Equipped:',100,0,0),
(3433,10138655,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(3434,10138655,'Heals group members for 160',100,2,2),
(3435,10138655,'Cannot be modified except by direct means',100,2,3),
(3436,10138655,'Cannot be modified except by direct means',100,1,4),
(3437,121156,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(3438,121156,'Increases Hate Gain of caster by 5.0%',100,2,1),
(3439,121156,'Increases Attack Speed of caster by 35.6',100,2,2),
(3440,121156,'Dispelled when target takes damage',100,2,3),
(3441,10121156,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(3442,10121156,'Increases Attack Speed of caster by 35.6',100,2,1),
(3443,10121156,'Dispelled when target takes damage',100,2,2),
(3444,24436,'Adds Harpy (Defiler) to your Dungeon Maker toolbox',100,0,0),
(3445,10024436,'Adds Harpy (Defiler) to your Dungeon Maker toolbox',100,0,0),
(3446,115281,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(3447,115281,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(3448,115281,'Inflicts 1294 - 1582 poison damage on target',100,3,2),
(3449,115281,'Grants a total of 1 trigger of the spell.',100,3,3),
(3450,10115281,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(3451,10115281,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(3452,10115281,'Inflicts 1020 - 1247 poison damage on target',100,3,2),
(3453,10115281,'Grants a total of 1 trigger of the spell.',100,3,3),
(3454,123493,'Decreases Mitigation of target encounter vs noxious damage by 257',100,1,0),
(3455,10123493,'Decreases Mitigation of target encounter vs noxious damage by 257',100,1,0),
(3456,119462,'Inflicts 1385 piercing damage on target instantly and every 4 seconds',100,1,0),
(3457,119462,'Inflicts 2909 - 4178 melee damage on target',100,1,1),
(3458,119462,'Must be flanking or behind',100,1,2),
(3459,10119462,'Inflicts 1092 piercing damage on target instantly and every 4 seconds',100,1,0),
(3460,10119462,'Inflicts 1913 - 2913 melee damage on target',100,1,1),
(3461,10119462,'Must be flanking or behind',100,1,2),
(3462,71970,'When Equipped:',100,0,0),
(3463,71970,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3464,71970,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(3465,71970,'Cannot be modified except by direct means',100,2,3),
(3466,10071970,'When Equipped:',100,0,0),
(3467,10071970,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(3468,10071970,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(3469,10071970,'Cannot be modified except by direct means',100,2,3),
(3470,108802,'Inflicts 1502 - 2509 heat damage on targets in Area of Effect',100,1,0),
(3471,10108802,'Inflicts 1058 - 1851 heat damage on targets in Area of Effect',100,1,0),
(3472,170548,'When Equipped:',100,0,0),
(3473,170548,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(3474,170548,'Inflicts 1998 disease damage on target encounter',100,2,2),
(3475,170548,'Must not be engaged in pvp combat',100,2,3),
(3476,170548,'Cannot be modified except by direct means',100,2,4),
(3477,10170548,'When Equipped:',100,0,0),
(3478,10170548,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(3479,10170548,'Inflicts 999 disease damage on target encounter',100,2,2),
(3480,10170548,'Must not be engaged in pvp combat',100,2,3),
(3481,10170548,'Cannot be modified except by direct means',100,2,4),
(3482,101689,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(3483,101689,'Inflicts 1436 - 1756 disease damage on target',100,2,1),
(3484,101689,'Grants a total of 3 triggers of the spell.',100,2,2),
(3485,10101689,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(3486,10101689,'Inflicts 1102 - 1318 disease damage on target',100,2,1),
(3487,10101689,'Grants a total of 3 triggers of the spell.',100,2,2),
(3488,35109,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(3489,35109,'Increases Max Health of target by 91.0',100,0,1),
(3490,108246,'Inflicts 1970 - 4878 piercing damage on target',100,1,0),
(3491,108246,'Decreases Slashing, Crushing, Piercing and Ranged of target by 35.6',100,1,1),
(3492,10108246,'Inflicts 1433 - 3465 piercing damage on target',100,1,0),
(3493,10108246,'Decreases Slashing, Crushing, Piercing and Ranged of target by 35.6',100,1,1),
(3494,116102,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(3495,116102,'Heals target for 886 - 1083',100,2,1),
(3496,116102,'Grants a total of 5 triggers of the spell.',100,2,2),
(3497,10116102,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(3498,10116102,'Heals target for 471 - 561',100,2,1),
(3499,10116102,'Grants a total of 5 triggers of the spell.',100,2,2),
(3500,111926,'Inflicts 310 - 517 piercing damage on target instantly and every 4 seconds',100,1,0),
(3501,111926,'Inflicts 2125 - 2877 piercing damage on target',100,1,1),
(3502,10111926,'Inflicts 407 - 679 piercing damage on target instantly and every 4 seconds',100,1,0),
(3503,10111926,'Inflicts 1622 - 2431 piercing damage on target',100,1,1),
(3504,118336,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(3505,118336,'Clears the reuse of Dragonfire.',100,130,1),
(3506,118336,'Inflicts 939 - 1502 melee damage on target',100,1,2),
(3507,118336,'Inflicts 312 - 520 heat damage on target every 2.3 seconds',100,1,3),
(3508,10118336,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(3509,10118336,'Clears the reuse of Dragonfire.',100,130,1),
(3510,10118336,'Inflicts 651 - 820 melee damage on target',100,1,2),
(3511,10118336,'Inflicts 256 - 426 heat damage on target every 2.3 seconds',100,1,3),
(3512,79702,'When Equipped:',100,0,0),
(3513,79702,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(3514,79702,'Reduces healing received by 15.00%',100,2,2),
(3515,79702,'Cannot be modified except by direct means',100,2,3),
(3516,79702,'This effect can only trigger once every 1 second.',100,2,4),
(3517,79702,'Must be engaged in pvp combat',100,1,5),
(3518,10079702,'When Equipped:',100,0,0),
(3519,10079702,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(3520,10079702,'Reduces healing received by 15.00%',100,2,2),
(3521,10079702,'Cannot be modified except by direct means',100,2,3),
(3522,10079702,'This effect can only trigger once every 1 second.',100,2,4),
(3523,10079702,'Must be engaged in pvp combat',100,1,5),
(3524,190904,'When Equipped:',100,0,0),
(3525,190904,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(3526,190904,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(3527,190904,'Cannot be modified except by direct means',100,2,3),
(3528,10190904,'When Equipped:',100,0,0),
(3529,10190904,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(3530,10190904,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(3531,10190904,'Cannot be modified except by direct means',100,2,3),
(3532,173847,'When Equipped:',100,0,0),
(3533,173847,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(3534,173847,'Inflicts 1192 mental damage on target',100,2,2),
(3535,173847,'Increases Threat to target by 3,460 ',100,2,3),
(3536,173847,'Cannot be modified except by direct means',100,2,4),
(3537,173847,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(3538,173847,'Inflicts 1192 mental damage on target',100,2,6),
(3539,173847,'Increases Threat to target by 3,460 ',100,2,7),
(3540,173847,'Cannot be modified except by direct means',100,2,8),
(3541,10173847,'When Equipped:',100,0,0),
(3542,10173847,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(3543,10173847,'Inflicts 1192 mental damage on target',100,2,2),
(3544,10173847,'Cannot be modified except by direct means',100,2,3),
(3545,10173847,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(3546,10173847,'Inflicts 1192 mental damage on target',100,2,5),
(3547,10173847,'Cannot be modified except by direct means',100,2,6),
(3548,122214,'Increases Damage Per Second of target by 20.2',100,1,0),
(3549,122214,'Increases Max Health of target by 529.2',100,1,1),
(3550,10122214,'Increases Damage Per Second of target by 20.2',100,1,0),
(3551,10122214,'Increases Max Health of target by 529.2',100,1,1),
(3552,87399,'When Equipped:',100,0,0),
(3553,87399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3554,87399,'Inflicts 248 - 373 magic damage on target',100,2,2),
(3555,87399,'Cannot be modified except by direct means',100,2,3),
(3556,10087399,'When Equipped:',100,0,0),
(3557,10087399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3558,10087399,'Inflicts 248 - 373 magic damage on target',100,2,2),
(3559,10087399,'Cannot be modified except by direct means',100,2,3),
(3560,37356,'Increases STA of target by 10.5',100,0,0),
(3561,37356,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(3562,114024,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(3563,114024,'Heals target for 153',100,2,1),
(3564,114024,'Heals target for 83 every 2 seconds',100,2,2),
(3565,114024,'Decreases Mitigation of target vs arcane damage by 644',100,1,3),
(3566,10114024,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(3567,10114024,'Heals target for 258',100,2,1),
(3568,10114024,'Heals target for 213 every 2 seconds',100,2,2),
(3569,10114024,'Decreases Mitigation of target vs arcane damage by 644',100,1,3),
(3570,112797,'Inflicts 2948 - 4242 slashing damage on target',100,1,0),
(3571,112797,'Stifles target',100,1,1),
(3572,112797,'If Target is not Epic',100,2,2),
(3573,112797,'You must be in stealth.',100,1,3),
(3574,112797,'Resistibility increases against targets higher than level 63.',100,1,4),
(3575,10112797,'Inflicts 1944 - 2964 slashing damage on target',100,1,0),
(3576,10112797,'Stifles target',100,1,1),
(3577,10112797,'If Target is not Epic',100,2,2),
(3578,10112797,'You must be in stealth.',100,1,3),
(3579,10112797,'Resistibility increases against targets higher than level 63.',100,1,4),
(3580,89036,'Applies Mental Blast when Activated.',100,0,0),
(3581,89036,'Inflicts 138 - 230 mental damage on target',100,1,1),
(3582,89036,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(3583,10089036,'Applies Mental Blast when Activated.',100,0,0),
(3584,10089036,'Inflicts 138 - 230 mental damage on target',100,1,1),
(3585,10089036,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(3586,102215,'Increases Max Health of group members (AE) by 147.5',100,1,0),
(3587,10102215,'Increases Max Health of group members (AE) by 147.5',100,1,0),
(3588,144923,'When Equipped:',100,0,0),
(3589,144923,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(3590,144923,'Increases Potency of caster by 3.5%',100,1,2),
(3591,144923,'Cannot be modified except by direct means',100,1,3),
(3592,10144923,'When Equipped:',100,0,0),
(3593,10144923,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(3594,10144923,'Increases Potency of caster by 3.5%',100,1,2),
(3595,10144923,'Cannot be modified except by direct means',100,1,3),
(3596,82757,'When Equipped:',100,0,0),
(3597,82757,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(3598,82757,'Inflicts 468 - 870 magic damage on target',100,2,2),
(3599,82757,'Decreases Threat to target by 1,174 ',100,2,3),
(3600,82757,'Must be flanking or behind',100,3,4),
(3601,82757,'Increases Threat to target by 1,634 ',100,2,5),
(3602,82757,'Must be in front of',100,3,6),
(3603,82757,'Cannot be modified except by direct means',100,2,7),
(3604,10082757,'When Equipped:',100,0,0),
(3605,10082757,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(3606,10082757,'Inflicts 468 - 870 magic damage on target',100,2,2),
(3607,10082757,'Cannot be modified except by direct means',100,2,3),
(3608,119169,'Summons a pet Bloodskull warrior',100,1,0),
(3609,10119169,'Summons a pet Bloodskull warrior',100,1,0),
(3610,87400,'When Equipped:',100,0,0),
(3611,87400,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3612,87400,'Inflicts 248 - 373 magic damage on target',100,2,2),
(3613,87400,'Cannot be modified except by direct means',100,2,3),
(3614,10087400,'When Equipped:',100,0,0),
(3615,10087400,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3616,10087400,'Inflicts 248 - 373 magic damage on target',100,2,2),
(3617,10087400,'Cannot be modified except by direct means',100,2,3),
(3618,139704,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(3619,139704,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(3620,139704,'Cannot be modified except by direct means',100,1,2),
(3621,10139704,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(3622,10139704,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(3623,10139704,'Cannot be modified except by direct means',100,1,2),
(3624,177606,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(3625,177606,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(3626,177606,'Inflicts 90 heat damage on target',100,2,2),
(3627,177606,'Cannot be modified except by direct means',100,2,3),
(3628,10177606,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(3629,10177606,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(3630,10177606,'Inflicts 90 heat damage on target',100,2,2),
(3631,10177606,'Cannot be modified except by direct means',100,2,3),
(3632,105846,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(3633,105846,'Increases Damage Per Second of caster by 35.4',100,1,1),
(3634,105846,'Increases Piercing, Slashing and Crushing of caster by 13.2',100,1,2),
(3635,10105846,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(3636,10105846,'Increases Damage Per Second of caster by 35.4',100,1,1),
(3637,10105846,'Increases Piercing, Slashing and Crushing of caster by 13.2',100,1,2),
(3638,116526,'Increases Mitigation of target vs physical damage by 425',100,1,0),
(3639,116526,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(3640,10116526,'Increases Mitigation of target vs physical damage by 425',100,1,0),
(3641,10116526,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(3642,113256,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(3643,113256,'Inflicts 339 - 566 magic damage on target',100,2,1),
(3644,113256,'Grants a total of 8 triggers of the spell.',100,2,2),
(3645,10113256,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(3646,10113256,'Inflicts 271 - 452 magic damage on target',100,2,1),
(3647,10113256,'Grants a total of 8 triggers of the spell.',100,2,2),
(3648,88450,'When Equipped:',100,0,0),
(3649,88450,'On a hostile spell cast this spell may cast Big Boom on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(3650,88450,'Inflicts 167 - 278 heat damage on target',100,2,2),
(3651,88450,'Cannot be modified except by direct means',100,2,3),
(3652,10088450,'When Equipped:',100,0,0),
(3653,10088450,'On a hostile spell cast this spell may cast Big Boom on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(3654,10088450,'Inflicts 167 - 278 heat damage on target',100,2,2),
(3655,10088450,'Cannot be modified except by direct means',100,2,3),
(3656,45631,'Applies Elixir of Reflection  when Activated.  Lasts for 30 minutes.',100,0,0),
(3657,45631,'Increases STR and STA of caster by 29.3',100,1,1),
(3658,10045631,'Applies Elixir of Reflection  when Activated.  Lasts for 30 minutes.',100,0,0),
(3659,10045631,'Increases STR and STA of caster by 29.3',100,1,1),
(3660,122756,'Heals group members (AE) for 1394 - 1704',100,1,0),
(3661,122756,'Increases Max Health of group members (AE) by 74.7',100,1,1),
(3662,10122756,'Heals group members (AE) for 1188 - 1433',100,1,0),
(3663,10122756,'Increases Max Health of group members (AE) by 74.7',100,1,1),
(3664,135084,'When Equipped:',100,0,0),
(3665,135084,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(3666,135084,'Increases power of caster by 64',100,2,2),
(3667,135084,'Cannot be modified except by direct means',100,2,3),
(3668,10135084,'When Equipped:',100,0,0),
(3669,10135084,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(3670,10135084,'Increases power of caster by 64',100,2,2),
(3671,10135084,'Cannot be modified except by direct means',100,2,3),
(3672,52749,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(3673,52749,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(3674,52749,'Inflicts 89 heat damage on target',100,2,2),
(3675,52749,'Cannot be modified except by direct means',100,2,3),
(3676,10052749,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(3677,10052749,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(3678,10052749,'Inflicts 89 heat damage on target',100,2,2),
(3679,10052749,'Cannot be modified except by direct means',100,2,3),
(3680,172795,'When Equipped:',100,0,0),
(3681,172795,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(3682,172795,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(3683,172795,'Dispelled when target casts a hostile spell',100,2,3),
(3684,172795,'Dispelled when target casts a combat art',100,2,4),
(3685,172795,'Cannot be modified except by direct means',100,2,5),
(3686,10172795,'When Equipped:',100,0,0),
(3687,10172795,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(3688,10172795,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(3689,10172795,'Dispelled when target casts a hostile spell',100,2,3),
(3690,10172795,'Dispelled when target casts a combat art',100,2,4),
(3691,10172795,'Cannot be modified except by direct means',100,2,5),
(3692,47242,'Applies Gronk''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(3693,47242,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(3694,10047242,'Applies Gronk''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(3695,10047242,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(3696,100727,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(3697,100727,'Increases Mitigation of group members (AE) vs noxious damage by 798',100,1,1),
(3698,10100727,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(3699,10100727,'Increases Mitigation of group members (AE) vs noxious damage by 798',100,1,1),
(3700,112585,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(3701,112585,'Heals targets in Area of Effect for 436 - 533',100,2,1),
(3702,112585,'Dispels 77 levels of physical hostile effects on target',100,2,2),
(3703,10112585,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(3704,10112585,'Heals targets in Area of Effect for 223 - 273',100,2,1),
(3705,10112585,'Dispels 77 levels of physical hostile effects on target',100,2,2),
(3706,120114,'Shapechanges caster into a chaos essence',100,1,0),
(3707,120114,'Increases WIS of caster by 97.2',100,1,1),
(3708,120114,'Grants See Invisibility to caster',100,1,2),
(3709,120114,'Increases Max Health of caster by 430.2',100,1,3),
(3710,120114,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1473',100,1,4),
(3711,10120114,'Shapechanges caster into a chaos essence',100,1,0),
(3712,10120114,'Increases WIS of caster by 97.2',100,1,1),
(3713,10120114,'Grants See Invisibility to caster',100,1,2),
(3714,10120114,'Increases Max Health of caster by 430.2',100,1,3),
(3715,10120114,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1473',100,1,4),
(3716,116263,'Summons a pet Illusion Ally',100,1,0),
(3717,10116263,'Summons a pet Illusion Ally',100,1,0),
(3718,84036,'Applies Lightning Shock when Activated.',100,0,0),
(3719,84036,'Inflicts 339 - 565 magic damage on target',100,1,1),
(3720,84036,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(3721,10084036,'Applies Lightning Shock when Activated.',100,0,0),
(3722,10084036,'Inflicts 339 - 565 magic damage on target',100,1,1),
(3723,10084036,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(3724,159808,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(3725,159808,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(3726,159808,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(3727,159808,'Cannot be modified except by direct means',100,2,3),
(3728,10159808,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(3729,10159808,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(3730,10159808,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(3731,10159808,'Cannot be modified except by direct means',100,2,3),
(3732,82635,'When Equipped:',100,0,0),
(3733,82635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3734,82635,'Inflicts 134 - 249 magic damage on target',100,2,2),
(3735,82635,'Cannot be modified except by direct means',100,2,3),
(3736,10082635,'When Equipped:',100,0,0),
(3737,10082635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3738,10082635,'Inflicts 134 - 249 magic damage on target',100,2,2),
(3739,10082635,'Cannot be modified except by direct means',100,2,3),
(3740,26595,'When Equipped:',100,0,0),
(3741,26595,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(3742,26595,'Breeze VI improves the casting speed of the group by 15%.',100,1,2),
(3743,10026595,'When Equipped:',100,0,0),
(3744,10026595,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(3745,10026595,'Breeze VI improves the casting speed of the group by 15%.',100,1,2),
(3746,100914,'Stuns targets in Area of Effect',20,1,0),
(3747,100914,'If Target is not Epic',100,2,1),
(3748,100914,'Inflicts 2118 - 3353 divine damage on targets in Area of Effect',100,1,2),
(3749,100914,'Resistibility increases against targets higher than level 85.',100,1,3),
(3750,10100914,'Stuns targets in Area of Effect',20,1,0),
(3751,10100914,'If Target is not Epic',100,2,1),
(3752,10100914,'Inflicts 1479 - 2377 divine damage on targets in Area of Effect',100,1,2),
(3753,10100914,'Resistibility increases against targets higher than level 85.',100,1,3),
(3754,113555,'Inflicts 4074 - 6135 disease damage on target',100,1,0),
(3755,10113555,'Inflicts 2831 - 4455 disease damage on target',100,1,0),
(3756,81545,'When Equipped:',100,0,0),
(3757,81545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3758,81545,'Inflicts 193 - 359 magic damage on target',100,2,2),
(3759,81545,'Cannot be modified except by direct means',100,2,3),
(3760,10081545,'When Equipped:',100,0,0),
(3761,10081545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3762,10081545,'Inflicts 193 - 359 magic damage on target',100,2,2),
(3763,10081545,'Cannot be modified except by direct means',100,2,3),
(3764,117012,'Inflicts 726 - 2148 melee damage on target',100,1,0),
(3765,10117012,'Inflicts 579 - 1538 melee damage on target',100,1,0),
(3766,112810,'Inflicts 4214 - 6342 slashing damage on target',100,1,0),
(3767,112810,'Stifles target',100,1,1),
(3768,112810,'If Target is not Epic',100,2,2),
(3769,112810,'You must be in stealth.',100,1,3),
(3770,112810,'Resistibility increases against targets higher than level 91.',100,1,4),
(3771,10112810,'Inflicts 2942 - 4619 slashing damage on target',100,1,0),
(3772,10112810,'Stifles target',100,1,1),
(3773,10112810,'If Target is not Epic',100,2,2),
(3774,10112810,'You must be in stealth.',100,1,3),
(3775,10112810,'Resistibility increases against targets higher than level 91.',100,1,4),
(3776,143516,'When Equipped:',100,0,0),
(3777,143516,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(3778,143516,'Heals group members (AE) for 580',100,2,2),
(3779,143516,'Cannot be modified except by direct means',100,2,3),
(3780,10143516,'When Equipped:',100,0,0),
(3781,10143516,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(3782,10143516,'Heals group members (AE) for 679',100,2,2),
(3783,10143516,'Cannot be modified except by direct means',100,2,3),
(3784,108045,'Inflicts 1627 magic damage on target',100,1,0),
(3785,108045,'Increases power of caster by 125',100,1,1),
(3786,10108045,'Inflicts 1249 magic damage on target',100,1,0),
(3787,10108045,'Increases power of caster by 125',100,1,1),
(3788,46843,'Applies Portable Tinkered Workstation when Activated.  Lasts for 2 hours.',100,0,0),
(3789,46843,'Summons Tinkered Workstation',100,1,1),
(3790,46843,'This effect cancels during combat',100,1,2),
(3791,10046843,'Applies Portable Tinkered Workstation when Activated.  Lasts for 2 hours.',100,0,0),
(3792,10046843,'Summons Tinkered Workstation',100,1,1),
(3793,10046843,'This effect cancels during combat',100,1,2),
(3794,112143,'Dispels 105 levels of physical hostile effects on caster',100,129,0),
(3795,112143,'Dispels 105 levels of physical and arcane hostile effects on caster',100,1,1),
(3796,10112143,'Dispels 105 levels of physical hostile effects on caster',100,129,0),
(3797,10112143,'Dispels 105 levels of physical and arcane hostile effects on caster',100,1,1),
(3798,105751,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(3799,105751,'Stuns target',100,2,1),
(3800,105751,'Blurs vision of target',100,2,2),
(3801,105751,'Throws target back',100,2,3),
(3802,105751,'Does not affect Epic targets',100,2,4),
(3803,105751,'Inflicts 3923 - 6290 melee damage on targets in area',100,1,5),
(3804,10105751,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(3805,10105751,'Stuns target',100,2,1),
(3806,10105751,'Blurs vision of target',100,2,2),
(3807,10105751,'Throws target back',100,2,3),
(3808,10105751,'Does not affect Epic targets',100,2,4),
(3809,10105751,'Inflicts 2965 - 4831 melee damage on targets in area',100,1,5),
(3810,115333,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(3811,115333,'Makes target afraid',100,2,1),
(3812,115333,'Slows target by 37.4%',100,2,2),
(3813,115333,'30% chance to dispel when target takes damage',100,2,3),
(3814,115333,'Does not affect Epic targets',100,2,4),
(3815,115333,'Resistibility increases against targets higher than level 76.',100,2,5),
(3816,115333,'Roots target',100,1,6),
(3817,115333,'15% chance to dispel when target takes damage',100,1,7),
(3818,115333,'Does not affect Epic targets',100,1,8),
(3819,115333,'Resistibility increases against targets higher than level 76.',100,1,9),
(3820,10115333,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(3821,10115333,'Makes target afraid',100,2,1),
(3822,10115333,'Slows target by 37.4%',100,2,2),
(3823,10115333,'30% chance to dispel when target takes damage',100,2,3),
(3824,10115333,'Does not affect Epic targets',100,2,4),
(3825,10115333,'Resistibility increases against targets higher than level 76.',100,2,5),
(3826,10115333,'Roots target',100,1,6),
(3827,10115333,'15% chance to dispel when target takes damage',100,1,7),
(3828,10115333,'Does not affect Epic targets',100,1,8),
(3829,10115333,'Resistibility increases against targets higher than level 76.',100,1,9),
(3830,159885,'Applies Lambent Imbued when Equipped.',100,0,0),
(3831,159885,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(3832,159885,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(3833,159885,'Cannot be modified except by direct means',100,2,3),
(3834,10159885,'Applies Lambent Imbued when Equipped.',100,0,0),
(3835,10159885,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(3836,10159885,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(3837,10159885,'Cannot be modified except by direct means',100,2,3),
(3838,108302,'Inflicts 103 - 171 divine damage on target',100,1,0),
(3839,108302,'Heals caster for 11',100,1,1),
(3840,108302,'This effect cannot be critically applied.',100,2,2),
(3841,108302,'The healing of this spell cannot be modified except by direct means',100,1,3),
(3842,10108302,'Inflicts 82 - 136 divine damage on target',100,1,0),
(3843,10108302,'Heals target for 5',100,1,1),
(3844,10108302,'This effect cannot be critically applied.',100,2,2),
(3845,10108302,'The healing of this spell cannot be modified except by direct means',100,1,3),
(3846,121471,'Increases AGI of caster by 159.4',100,1,0),
(3847,121471,'Adds 21.8% to base avoidance.',100,1,1),
(3848,121471,'Increases Mitigation of caster vs physical damage by 1555',100,1,2),
(3849,121471,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,3),
(3850,10121471,'Increases AGI of caster by 159.4',100,1,0),
(3851,10121471,'Adds 21.8% to base avoidance.',100,1,1),
(3852,10121471,'Increases Mitigation of caster vs physical damage by 1555',100,1,2),
(3853,10121471,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,3),
(3854,102799,'Summons 3 limited pets to aid the caster',100,1,0),
(3855,10102799,'Summons 3 limited pets to aid the caster',100,1,0),
(3856,179425,'Applies Rampage when Activated.  Lasts for 1 minute.',100,0,0),
(3857,179425,'When a combat art is used this spell will cast Rampage on target of combat art.  ',100,1,1),
(3858,179425,'Inflicts 1146 disease damage on target',100,2,2),
(3859,179425,'Heals caster for 917',100,2,3),
(3860,179425,'Cannot be modified except by direct means',100,2,4),
(3861,179425,'Shapechanges caster into a Void Ripper',100,1,5),
(3862,179425,'Enlarges caster by 30.0%',100,1,6),
(3863,179425,'Increases Damage Per Second of caster by 50.0',100,1,7),
(3864,179425,'Cannot be modified except by direct means',100,1,8),
(3865,179425,'The reuse time of Rampage is 5 minutes',100,1,9),
(3866,10179425,'Applies Rampage when Activated.  Lasts for 1 minute.',100,0,0),
(3867,10179425,'When a combat art is used this spell will cast Rampage on target of combat art.  ',100,1,1),
(3868,10179425,'Inflicts 229 disease damage on target',100,2,2),
(3869,10179425,'Heals caster for 119',100,2,3),
(3870,10179425,'Cannot be modified except by direct means',100,2,4),
(3871,10179425,'Shapechanges caster into a Void Ripper',100,1,5),
(3872,10179425,'Enlarges caster by 30.0%',100,1,6),
(3873,10179425,'Increases Damage Per Second of caster by 50.0',100,1,7),
(3874,10179425,'Cannot be modified except by direct means',100,1,8),
(3875,10179425,'The reuse time of Rampage is 5 minutes',100,1,9),
(3876,159118,'When Equipped:',100,0,0),
(3877,159118,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(3878,159118,'Increases AGI of caster by 11.9',100,2,2),
(3879,159118,'Increases Attack Speed of caster by 14.8',100,2,3),
(3880,159118,'Cannot be modified except by direct means',100,2,4),
(3881,10159118,'When Equipped:',100,0,0),
(3882,10159118,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(3883,10159118,'Increases AGI of caster by 11.9',100,2,2),
(3884,10159118,'Increases Attack Speed of caster by 14.8',100,2,3),
(3885,10159118,'Cannot be modified except by direct means',100,2,4),
(3886,35749,'Increases WIS of target by 17.8',100,0,0),
(3887,35749,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(3888,100578,'Inflicts 448 - 741 melee damage on target',100,1,0),
(3889,100578,'You must be sneaking to use this ability.',100,1,1),
(3890,10100578,'Inflicts 478 - 743 melee damage on target',100,1,0),
(3891,10100578,'You must be sneaking to use this ability.',100,1,1),
(3892,108926,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(3893,108926,'Inflicts 110 heat damage on target',100,2,1),
(3894,10108926,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(3895,10108926,'Inflicts 90 heat damage on target',100,2,1),
(3896,112559,'Interrupts target',50,1,0),
(3897,112559,'Inflicts 3038 - 3495 divine damage on target',100,1,1),
(3898,10112559,'Interrupts target',50,1,0),
(3899,10112559,'Inflicts 2478 - 2940 divine damage on target',100,1,1),
(3900,113650,'Inflicts 1418 - 1697 disease damage on target encounter',100,1,0),
(3901,113650,'Inflicts 1255 - 1533 disease damage on target encounter every 5 seconds',100,1,1),
(3902,113650,'Decreases power of target encounter by 209 - 256 instantly and every 5 seconds',100,1,2),
(3903,113650,'Heals group members (AE) for 789 - 928',100,1,3),
(3904,113650,'Heals group members (AE) for 625 - 764 every 5 seconds',100,1,4),
(3905,113650,'Increases power of group members (AE) by 104 - 127 instantly and every 5 seconds',100,1,5),
(3906,10113650,'Inflicts 1055 - 1274 disease damage on target encounter',100,1,0),
(3907,10113650,'Inflicts 989 - 1209 disease damage on target encounter every 5 seconds',100,1,1),
(3908,10113650,'Decreases power of target encounter by 165 - 201 instantly and every 5 seconds',100,1,2),
(3909,10113650,'Heals group members (AE) for 363 - 434',100,1,3),
(3910,10113650,'Heals group members (AE) for 320 - 392 every 5 seconds',100,1,4),
(3911,10113650,'Increases power of group members (AE) by 82 - 100 instantly and every 5 seconds',100,1,5),
(3912,118716,'Inflicts 576 - 901 slashing damage on target',100,1,0),
(3913,118716,'Decreases Slashing, Crushing and Piercing of target by 5.6',100,1,1),
(3914,118716,'Inflicts 124 - 151 slashing damage on target every 5 seconds',100,1,2),
(3915,10118716,'Inflicts 512 - 788 slashing damage on target',100,1,0),
(3916,10118716,'Decreases Slashing, Crushing and Piercing of target by 5.6',100,1,1),
(3917,10118716,'Inflicts 97 - 119 slashing damage on target every 5 seconds',100,1,2),
(3918,46949,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(3919,46949,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(3920,46949,'Decreases AGI of target by 4.6',100,2,2),
(3921,46949,'Cannot be modified except by direct means',100,2,3),
(3922,46949,'Grants a total of 30 triggers of the spell.',100,2,4),
(3923,10046949,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(3924,10046949,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(3925,10046949,'Decreases AGI of target by 4.6',100,2,2),
(3926,10046949,'Cannot be modified except by direct means',100,2,3),
(3927,10046949,'Grants a total of 30 triggers of the spell.',100,2,4),
(3928,115898,'Inflicts 229 - 280 disease damage on target encounter',100,1,0),
(3929,115898,'Inflicts 125 - 152 disease damage on target encounter every 3 seconds',100,1,1),
(3930,10115898,'Inflicts 232 - 283 disease damage on target encounter',100,1,0),
(3931,10115898,'Inflicts 98 - 120 disease damage on target encounter every 3 seconds',100,1,1),
(3932,87503,'When Equipped:',100,0,0),
(3933,87503,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3934,87503,'Inflicts 138 - 207 magic damage on target',100,2,2),
(3935,87503,'Cannot be modified except by direct means',100,2,3),
(3936,10087503,'When Equipped:',100,0,0),
(3937,10087503,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3938,10087503,'Inflicts 138 - 207 magic damage on target',100,2,2),
(3939,10087503,'Cannot be modified except by direct means',100,2,3),
(3940,120373,'Inflicts 1910 - 2116 divine damage on target',100,1,0),
(3941,120373,'Inflicts 927 - 1133 divine damage on target every 4 seconds',100,1,1),
(3942,120373,'Decreases WIS of target by 109.3',100,1,2),
(3943,10120373,'Inflicts 1125 - 1288 divine damage on target',100,1,0),
(3944,10120373,'Inflicts 731 - 893 divine damage on target every 4 seconds',100,1,1),
(3945,10120373,'Decreases WIS of target by 109.3',100,1,2),
(3946,120444,'Inflicts 2692 - 3817 melee damage on target',100,1,0),
(3947,120444,'Inflicts 1709 - 2834 melee damage on target',100,1,1),
(3948,10120444,'Inflicts 1742 - 2629 melee damage on target',100,1,0),
(3949,10120444,'Inflicts 1347 - 2234 melee damage on target',100,1,1),
(3950,108692,'Inflicts 591 heat damage on target',100,1,0),
(3951,108692,'Inflicts 61 heat damage on target every 4 seconds',100,1,1),
(3952,10108692,'Inflicts 620 heat damage on target',100,1,0),
(3953,10108692,'Inflicts 48 heat damage on target every 4 seconds',100,1,1),
(3954,27192,'When Equipped:',100,0,0),
(3955,27192,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(3956,27192,'Increases power of caster by 111',100,2,2),
(3957,27192,'Cannot be modified except by direct means',100,2,3),
(3958,10027192,'When Equipped:',100,0,0),
(3959,10027192,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(3960,10027192,'Increases power of caster by 111',100,2,2),
(3961,10027192,'Cannot be modified except by direct means',100,2,3),
(3962,155635,'Applies Gnomish Floatation Device when Equipped.',100,0,0),
(3963,155635,'Allows caster to walk under water',100,1,1),
(3964,10155635,'Applies Gnomish Floatation Device when Equipped.',100,0,0),
(3965,10155635,'Allows caster to walk under water',100,1,1),
(3966,143801,'When Equipped:',100,0,0),
(3967,143801,'On a hostile spell hit this spell has a 33% chance to cast Deathmarch on target of spell.  ',100,1,1),
(3968,143801,'Inflicts 2063 cold damage on target',100,2,2),
(3969,143801,'If under 15% Health',100,2,3),
(3970,143801,'Cannot be modified except by direct means',100,2,4),
(3971,143801,'When a combat art is used this spell has a 33% chance to cast Deathmarch on target of combat art.  ',100,1,5),
(3972,143801,'Inflicts 2063 cold damage on target',100,2,6),
(3973,143801,'If under 15% Health',100,2,7),
(3974,143801,'Cannot be modified except by direct means',100,2,8),
(3975,143801,'Cannot be modified except by direct means',100,1,9),
(3976,10143801,'When Equipped:',100,0,0),
(3977,10143801,'On a hostile spell hit this spell has a 33% chance to cast Deathmarch on target of spell.  ',100,1,1),
(3978,10143801,'Inflicts 2063 cold damage on target',100,2,2),
(3979,10143801,'If under 15% Health',100,2,3),
(3980,10143801,'Cannot be modified except by direct means',100,2,4),
(3981,10143801,'When a combat art is used this spell has a 33% chance to cast Deathmarch on target of combat art.  ',100,1,5),
(3982,10143801,'Inflicts 2063 cold damage on target',100,2,6),
(3983,10143801,'If under 15% Health',100,2,7),
(3984,10143801,'Cannot be modified except by direct means',100,2,8),
(3985,10143801,'Cannot be modified except by direct means',100,1,9),
(3986,107521,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(3987,10107521,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(3988,82318,'When Equipped:',100,0,0),
(3989,82318,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3990,82318,'Inflicts 380 - 707 magic damage on target',100,2,2),
(3991,82318,'Cannot be modified except by direct means',100,2,3),
(3992,10082318,'When Equipped:',100,0,0),
(3993,10082318,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(3994,10082318,'Inflicts 380 - 707 magic damage on target',100,2,2),
(3995,10082318,'Cannot be modified except by direct means',100,2,3),
(3996,47764,'Applies Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(3997,47764,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(3998,47764,'Only affects targets level 50 and above',100,1,2),
(3999,10047764,'Applies Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(4000,10047764,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(4001,10047764,'Only affects targets level 50 and above',100,1,2),
(4002,53860,'When Equipped:',100,0,0),
(4003,53860,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(4004,53860,'Inflicts 87 divine damage on target',100,2,2),
(4005,53860,'Cannot be modified except by direct means',100,2,3),
(4006,10053860,'When Equipped:',100,0,0),
(4007,10053860,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(4008,10053860,'Inflicts 87 divine damage on target',100,2,2),
(4009,10053860,'Cannot be modified except by direct means',100,2,3),
(4010,111584,'Inflicts 180 - 334 cold damage on target',100,1,0),
(4011,111584,'Inflicts 40 - 74 cold damage on target every 4 seconds',100,1,1),
(4012,111584,'Decreases Mitigation of target vs elemental damage by 178',100,1,2),
(4013,10111584,'Inflicts 171 - 318 cold damage on target',100,1,0),
(4014,10111584,'Inflicts 31 - 58 cold damage on target every 4 seconds',100,1,1),
(4015,10111584,'Decreases Mitigation of target vs elemental damage by 178',100,1,2),
(4016,101643,'Applies Forceful Headache on termination.',100,1,0),
(4017,101643,'Inflicts 2515 - 3973 mental damage on target',100,2,1),
(4018,101643,'If over 50% power',100,3,2),
(4019,101643,'Inflicts 1857 - 2052 mental damage on target',100,1,3),
(4020,101643,'Inflicts 875 - 1069 mental damage on target every 6 seconds',100,1,4),
(4021,101643,'Decreases Mitigation of target vs arcane damage by 1463',100,1,5),
(4022,10101643,'Applies Forceful Headache on termination.',100,1,0),
(4023,10101643,'Inflicts 1855 - 3005 mental damage on target',100,2,1),
(4024,10101643,'If over 50% power',100,3,2),
(4025,10101643,'Inflicts 1084 - 1237 mental damage on target',100,1,3),
(4026,10101643,'Inflicts 690 - 843 mental damage on target every 6 seconds',100,1,4),
(4027,10101643,'Decreases Mitigation of target vs arcane damage by 1463',100,1,5),
(4028,49064,'Applies Vision of the Thullosian when Activated.',100,0,0),
(4029,49064,'The user''s eyes emit an eerie glow.',100,1,1),
(4030,10049064,'Applies Vision of the Thullosian when Activated.',100,0,0),
(4031,10049064,'The user''s eyes emit an eerie glow.',100,1,1),
(4032,107674,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(4033,10107674,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(4034,72306,'When Equipped:',100,0,0),
(4035,72306,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4036,72306,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(4037,72306,'Cannot be modified except by direct means',100,2,3),
(4038,10072306,'When Equipped:',100,0,0),
(4039,10072306,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4040,10072306,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(4041,10072306,'Cannot be modified except by direct means',100,2,3),
(4042,114525,'Heals target for 681 - 833',100,1,0),
(4043,10114525,'Heals target for 613 - 749',100,1,0),
(4044,71429,'When Equipped:',100,0,0),
(4045,71429,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4046,71429,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(4047,71429,'Cannot be modified except by direct means',100,2,3),
(4048,10071429,'When Equipped:',100,0,0),
(4049,10071429,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4050,10071429,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(4051,10071429,'Cannot be modified except by direct means',100,2,3),
(4052,113804,'Inflicts 57 - 95 disease damage on target',100,1,0),
(4053,10113804,'Inflicts 49 - 82 disease damage on target',100,1,0),
(4054,81403,'When Equipped:',100,0,0),
(4055,81403,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4056,81403,'Inflicts 140 - 260 magic damage on target',100,2,2),
(4057,81403,'Cannot be modified except by direct means',100,2,3),
(4058,10081403,'When Equipped:',100,0,0),
(4059,10081403,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4060,10081403,'Inflicts 140 - 260 magic damage on target',100,2,2),
(4061,10081403,'Cannot be modified except by direct means',100,2,3),
(4062,83912,'When Equipped:',100,0,0),
(4063,83912,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(4064,83912,'Inflicts 39 - 48 magic damage on target',100,2,2),
(4065,83912,'If target is werewolf',100,3,3),
(4066,83912,'Cannot be modified except by direct means',100,2,4),
(4067,10083912,'When Equipped:',100,0,0),
(4068,10083912,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(4069,10083912,'Inflicts 39 - 48 magic damage on target',100,2,2),
(4070,10083912,'If target is werewolf',100,3,3),
(4071,10083912,'Cannot be modified except by direct means',100,2,4),
(4072,110501,'Stifles caster',100,1,0),
(4073,110501,'Increases power of caster by 57 instantly and every second',100,1,1),
(4074,10110501,'Stifles caster',100,1,0),
(4075,10110501,'Increases power of caster by 57 instantly and every second',100,1,1),
(4076,41428,'When Equipped:',100,0,0),
(4077,41428,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4078,41428,'Inflicts 106 - 197 magic damage on target',100,2,2),
(4079,41428,'Cannot be modified except by direct means',100,2,3),
(4080,10041428,'When Equipped:',100,0,0),
(4081,10041428,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4082,10041428,'Inflicts 106 - 197 magic damage on target',100,2,2),
(4083,10041428,'Cannot be modified except by direct means',100,2,3),
(4084,79831,'When Equipped:',100,0,0),
(4085,79831,'On a hit this spell may cast Arbiter''s Justice on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4086,79831,'Inflicts 4718 heat damage on target instantly and every 2.5 seconds',100,2,2),
(4087,79831,'Inflicts an additional 2022 heat damage on target every tick',100,2,3),
(4088,79831,'Increases Max Health of group members by 4.0%',100,2,4),
(4089,79831,'Increases Potency of group members by 5.0%',100,2,5),
(4090,79831,'Increases Crit Bonus of group members by 5.0%',100,2,6),
(4091,79831,'Cannot be modified except by direct means',100,2,7),
(4092,79831,'Cannot be modified except by direct means',100,1,8),
(4093,10079831,'When Equipped:',100,0,0),
(4094,10079831,'On a hit this spell may cast Arbiter''s Justice on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4095,10079831,'Inflicts 674 heat damage on target',100,2,2),
(4096,10079831,'Inflicts 674 poison damage on target',100,2,3),
(4097,10079831,'Increases Crit Bonus of caster by 4.0%',100,2,4),
(4098,10079831,'Increases Potency of caster by 4.0%',100,2,5),
(4099,10079831,'Cannot be modified except by direct means',100,2,6),
(4100,10079831,'Cannot be modified except by direct means',100,1,7),
(4101,112007,'Inflicts 2031 - 3229 piercing damage on target',100,1,0),
(4102,10112007,'Inflicts 1462 - 2165 piercing damage on target',100,1,0),
(4103,87533,'Applies Lightning Shock when Activated.',100,0,0),
(4104,87533,'Inflicts 250 - 417 magic damage on target',100,1,1),
(4105,87533,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(4106,10087533,'Applies Lightning Shock when Activated.',100,0,0),
(4107,10087533,'Inflicts 250 - 417 magic damage on target',100,1,1),
(4108,10087533,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(4109,102391,'Inflicts 1250 - 2029 melee damage on targets in area',100,1,0),
(4110,10102391,'Inflicts 858 - 1473 melee damage on targets in area',100,1,0),
(4111,89490,'Applies Artisan''s Escape when Activated.',100,0,0),
(4112,89490,'Teleports caster within the zone',100,1,1),
(4113,89490,'Must not be engaged in combat',100,2,2),
(4114,89490,'Must not be engaged in pvp combat',100,2,3),
(4115,89490,'The casting time of Artisan''s Escape is 4.95 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,4),
(4116,10089490,'Applies Artisan''s Escape when Activated.',100,0,0),
(4117,10089490,'Teleports caster within the zone',100,1,1),
(4118,10089490,'Must not be engaged in combat',100,2,2),
(4119,10089490,'Must not be engaged in pvp combat',100,2,3),
(4120,10089490,'The casting time of Artisan''s Escape is 4.95 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,4),
(4121,46405,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(4122,46405,'Wards caster against 1150 points of noxious damage',100,1,1),
(4123,10046405,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(4124,10046405,'Wards caster against 1150 points of noxious damage',100,1,1),
(4125,81378,'When Equipped:',100,0,0),
(4126,81378,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(4127,81378,'Inflicts 155 - 288 magic damage on target',100,2,2),
(4128,81378,'Decreases Threat to target by 352 ',100,2,3),
(4129,81378,'Must be flanking or behind',100,3,4),
(4130,81378,'Increases Threat to target by 617 ',100,2,5),
(4131,81378,'Must be in front of',100,3,6),
(4132,81378,'Cannot be modified except by direct means',100,2,7),
(4133,10081378,'When Equipped:',100,0,0),
(4134,10081378,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(4135,10081378,'Inflicts 155 - 288 magic damage on target',100,2,2),
(4136,10081378,'Cannot be modified except by direct means',100,2,3),
(4137,81821,'When Equipped:',100,0,0),
(4138,81821,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4139,81821,'Inflicts 210 - 391 magic damage on target',100,2,2),
(4140,81821,'Cannot be modified except by direct means',100,2,3),
(4141,10081821,'When Equipped:',100,0,0),
(4142,10081821,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4143,10081821,'Inflicts 210 - 391 magic damage on target',100,2,2),
(4144,10081821,'Cannot be modified except by direct means',100,2,3),
(4145,144271,'When Equipped:',100,0,0),
(4146,144271,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(4147,10144271,'When Equipped:',100,0,0),
(4148,10144271,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(4149,100231,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(4150,100231,'Increases power of caster by 18',100,2,1),
(4151,10100231,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(4152,10100231,'Increases power of caster by 18',100,2,1),
(4153,172925,'When Equipped:',100,0,0),
(4154,172925,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(4155,172925,'Increases Additional chance to Riposte of caster by 9.0',100,1,2),
(4156,172925,'Increases Riposte Damage of caster by 9.0',100,1,3),
(4157,172925,'Must not be engaged in pvp combat',100,1,4),
(4158,10172925,'When Equipped:',100,0,0),
(4159,10172925,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(4160,10172925,'Increases Additional chance to Riposte of caster by 9.0',100,1,2),
(4161,10172925,'Increases Riposte Damage of caster by 9.0',100,1,3),
(4162,10172925,'Must not be engaged in pvp combat',100,1,4),
(4163,45331,'Applies Black Spotted Warg with Red Saddle when Activated.',100,0,0),
(4164,45331,'Summons a mount to ride',100,1,1),
(4165,45331,'Increases your ground speed by 130%',100,2,2),
(4166,45331,'Increases Piercing, Crushing, Slashing and Disruption of caster by 7.0',100,1,3),
(4167,45331,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(4168,45331,'Increases Ranged of caster by 7.0',100,1,5),
(4169,10045331,'Applies Black Spotted Warg with Red Saddle when Activated.',100,0,0),
(4170,10045331,'Summons a mount to ride',100,1,1),
(4171,10045331,'Increases your ground speed by 130%',100,2,2),
(4172,10045331,'Increases Piercing, Crushing, Slashing and Disruption of caster by 7.0',100,1,3),
(4173,10045331,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(4174,10045331,'Increases Ranged of caster by 7.0',100,1,5),
(4175,115773,'Inflicts 1273 - 2111 melee damage on target',100,1,0),
(4176,10115773,'Inflicts 1015 - 1518 melee damage on target',100,1,0),
(4177,188478,'When Equipped:',100,0,0),
(4178,188478,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(4179,188478,'Heals group members (AE) for 2304',100,2,2),
(4180,188478,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(4181,188478,'Must not be engaged in pvp combat',100,2,4),
(4182,188478,'Cannot be modified except by direct means',100,2,5),
(4183,188478,'Must not be engaged in pvp combat',100,1,6),
(4184,10188478,'When Equipped:',100,0,0),
(4185,10188478,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(4186,10188478,'Heals group members (AE) for 2695',100,2,2),
(4187,10188478,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(4188,10188478,'Must not be engaged in pvp combat',100,2,4),
(4189,10188478,'Cannot be modified except by direct means',100,2,5),
(4190,10188478,'Must not be engaged in pvp combat',100,1,6),
(4191,105714,'Decreases Attack Speed of target encounter by 21.1',100,1,0),
(4192,105714,'Slows target encounter by 26.6%',100,1,1),
(4193,10105714,'Decreases Attack Speed of target encounter by 21.1',100,1,0),
(4194,10105714,'Slows target encounter by 26.6%',100,1,1),
(4195,103762,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 6.2',100,1,0),
(4196,10103762,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 6.2',100,1,0),
(4197,24337,'Adds Drolvarg (Guardian) to your Dungeon Maker toolbox',100,0,0),
(4198,10024337,'Adds Drolvarg (Guardian) to your Dungeon Maker toolbox',100,0,0),
(4199,105708,'Decreases Attack Speed of target encounter by 21.8',100,1,0),
(4200,105708,'Slows target encounter by 27.8%',100,1,1),
(4201,10105708,'Decreases Attack Speed of target encounter by 21.8',100,1,0),
(4202,10105708,'Slows target encounter by 27.8%',100,1,1),
(4203,124182,'Inflicts 685 - 1136 melee damage on target',100,1,0),
(4204,10124182,'Inflicts 547 - 908 melee damage on target',100,1,0),
(4205,103907,'Increases power of group members (AE) by 53 instantly and every 6 seconds',100,1,0),
(4206,103907,'Decreases INT of target by 166.3',100,1,1),
(4207,10103907,'Increases power of group members (AE) by 53 instantly and every 6 seconds',100,1,0),
(4208,10103907,'Decreases INT of target by 166.3',100,1,1),
(4209,102434,'Stuns target encounter',100,1,0),
(4210,102434,'Epic targets gain an immunity to Stun effects of 9.8 seconds and duration is reduced to 1.1 seconds.',100,1,1),
(4211,102434,'Resistibility increases against targets higher than level 45.',100,1,2),
(4212,10102434,'Stuns target encounter',100,1,0),
(4213,10102434,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(4214,10102434,'Resistibility increases against targets higher than level 45.',100,1,2),
(4215,104100,'Roots target',100,1,0),
(4216,104100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(4217,104100,'Makes target afraid',100,2,2),
(4218,104100,'Slows target by 24.8%',100,2,3),
(4219,104100,'30% chance to dispel when target takes damage',100,2,4),
(4220,104100,'Resistibility increases against targets higher than level 34.',100,2,5),
(4221,104100,'15% chance to dispel when target takes damage',100,1,6),
(4222,104100,'Does not affect Epic targets',100,1,7),
(4223,104100,'Resistibility increases against targets higher than level 34.',100,1,8),
(4224,10104100,'Roots target',100,1,0),
(4225,10104100,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(4226,10104100,'Makes target afraid',100,2,2),
(4227,10104100,'Slows target by 24.8%',100,2,3),
(4228,10104100,'30% chance to dispel when target takes damage',100,2,4),
(4229,10104100,'Resistibility increases against targets higher than level 34.',100,2,5),
(4230,10104100,'15% chance to dispel when target takes damage',100,1,6),
(4231,10104100,'Does not affect Epic targets',100,1,7),
(4232,10104100,'Resistibility increases against targets higher than level 34.',100,1,8),
(4233,181949,'When Equipped:',100,0,0),
(4234,181949,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4235,181949,'Increases Ability Reuse Speed of group members by 5.0%',100,2,2),
(4236,181949,'Cannot be modified except by direct means',100,2,3),
(4237,181949,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(4238,181949,'Increases Ability Reuse Speed of group members by 5.0%',100,2,5),
(4239,181949,'Cannot be modified except by direct means',100,2,6),
(4240,181949,'Cannot be modified except by direct means',100,1,7),
(4241,10181949,'When Equipped:',100,0,0),
(4242,10181949,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4243,10181949,'Increases Ability Reuse Speed of group members by 5.0%',100,2,2),
(4244,10181949,'Cannot be modified except by direct means',100,2,3),
(4245,10181949,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(4246,10181949,'Increases Ability Reuse Speed of group members by 5.0%',100,2,5),
(4247,10181949,'Cannot be modified except by direct means',100,2,6),
(4248,10181949,'Cannot be modified except by direct means',100,1,7),
(4249,119186,'Inflicts 777 - 1287 heat damage on target',100,1,0),
(4250,119186,'Inflicts 387 - 643 heat damage on target',100,1,1),
(4251,119186,'Requires bow',100,1,2),
(4252,10119186,'Inflicts 703 - 906 heat damage on target',100,1,0),
(4253,10119186,'Inflicts 308 - 512 heat damage on target',100,1,1),
(4254,10119186,'Requires bow',100,1,2),
(4255,179193,'When Equipped:',100,0,0),
(4256,179193,'Reduces reuse time by 10%.',100,1,1),
(4257,179193,'On a hostile spell cast this spell may cast Ethereal Charge on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(4258,179193,'Increases spell casting speed by 50% and resistibility by 10%',100,2,3),
(4259,179193,'Cannot be modified except by direct means',100,2,4),
(4260,179193,'Cannot be modified except by direct means',100,1,5),
(4261,10179193,'When Equipped:',100,0,0),
(4262,10179193,'Reduces reuse time by 10%.',100,1,1),
(4263,10179193,'On a hostile spell cast this spell may cast Ethereal Charge on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(4264,10179193,'Increases spell casting speed by 50% and resistibility by 10%',100,2,3),
(4265,10179193,'Cannot be modified except by direct means',100,2,4),
(4266,10179193,'Cannot be modified except by direct means',100,1,5),
(4267,101202,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(4268,101202,'Slows target by 53.0%',100,2,1),
(4269,101202,'5% chance to dispel when target receives hostile action',100,2,2),
(4270,101202,'5% chance to dispel when target takes damage',100,2,3),
(4271,101202,'Inflicts 2750 - 3916 cold damage on target',100,1,4),
(4272,101202,'Inflicts 1768 - 2933 cold damage on target',100,1,5),
(4273,101202,'If weapon equipped in Ranged',100,1,6),
(4274,10101202,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(4275,10101202,'Slows target by 53.0%',100,2,1),
(4276,10101202,'5% chance to dispel when target receives hostile action',100,2,2),
(4277,10101202,'5% chance to dispel when target takes damage',100,2,3),
(4278,10101202,'Inflicts 1439 - 2128 cold damage on target',100,1,4),
(4279,10101202,'Inflicts 1045 - 1734 cold damage on target',100,1,5),
(4280,10101202,'If weapon equipped in Ranged',100,1,6),
(4281,35953,'Increases INT of target by 12.7',100,0,0),
(4282,35953,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(4283,82258,'When Equipped:',100,0,0),
(4284,82258,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(4285,82258,'Inflicts 61 - 114 magic damage on target',100,2,2),
(4286,82258,'Decreases Threat to target by 135 ',100,2,3),
(4287,82258,'Must be flanking or behind',100,3,4),
(4288,82258,'Increases Threat to target by 236 ',100,2,5),
(4289,82258,'Must be in front of',100,3,6),
(4290,82258,'Cannot be modified except by direct means',100,2,7),
(4291,10082258,'When Equipped:',100,0,0),
(4292,10082258,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(4293,10082258,'Inflicts 61 - 114 magic damage on target',100,2,2),
(4294,10082258,'Cannot be modified except by direct means',100,2,3),
(4295,159230,'Applies Lambent Imbued when Equipped.',100,0,0),
(4296,159230,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(4297,159230,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(4298,159230,'Cannot be modified except by direct means',100,2,3),
(4299,10159230,'Applies Lambent Imbued when Equipped.',100,0,0),
(4300,10159230,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(4301,10159230,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(4302,10159230,'Cannot be modified except by direct means',100,2,3),
(4303,24658,'Adds Popup Text (Orange) to your Dungeon Maker toolbox',100,0,0),
(4304,10024658,'Adds Popup Text (Orange) to your Dungeon Maker toolbox',100,0,0),
(4305,46905,'Applies Melernil''s Favor when Activated.  Lasts for 30 minutes.',100,0,0),
(4306,46905,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(4307,10046905,'Applies Melernil''s Favor when Activated.  Lasts for 30 minutes.',100,0,0),
(4308,10046905,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(4309,163892,'When Equipped:',100,0,0),
(4310,163892,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4311,163892,'Inflicts 464 mental damage on target',100,2,2),
(4312,163892,'Must be classified as an undead',100,3,3),
(4313,163892,'Inflicts 232 mental damage on target',100,2,4),
(4314,163892,'Must not be classified as an undead',100,3,5),
(4315,163892,'Decreases Mitigation of target vs arcane damage by 360',100,2,6),
(4316,163892,'Must be classified as an undead',100,3,7),
(4317,163892,'Cannot be modified except by direct means',100,2,8),
(4318,163892,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(4319,10163892,'When Equipped:',100,0,0),
(4320,10163892,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4321,10163892,'Inflicts 464 mental damage on target',100,2,2),
(4322,10163892,'Must be classified as an undead',100,3,3),
(4323,10163892,'Inflicts 232 mental damage on target',100,2,4),
(4324,10163892,'Must not be classified as an undead',100,3,5),
(4325,10163892,'Decreases Mitigation of target vs arcane damage by 360',100,2,6),
(4326,10163892,'Must be classified as an undead',100,3,7),
(4327,10163892,'Cannot be modified except by direct means',100,2,8),
(4328,10163892,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(4329,159310,'Applies Lambent Imbued when Equipped.',100,0,0),
(4330,159310,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(4331,159310,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(4332,159310,'Cannot be modified except by direct means',100,2,3),
(4333,10159310,'Applies Lambent Imbued when Equipped.',100,0,0),
(4334,10159310,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(4335,10159310,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(4336,10159310,'Cannot be modified except by direct means',100,2,3),
(4337,101895,'Inflicts 930 - 1543 ranged damage on target',100,1,0),
(4338,101895,'If weapon equipped in Ranged',100,1,1),
(4339,101895,'Must be behind',100,1,2),
(4340,10101895,'Inflicts 549 - 912 ranged damage on target',100,1,0),
(4341,10101895,'If weapon equipped in Ranged',100,1,1),
(4342,10101895,'Must be behind',100,1,2),
(4343,174824,'When Equipped:',100,0,0),
(4344,174824,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(4345,174824,'Increases power of caster by 28 instantly and every 5 seconds',100,2,2),
(4346,174824,'Cannot be modified except by direct means',100,2,3),
(4347,10174824,'When Equipped:',100,0,0),
(4348,10174824,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(4349,10174824,'Increases power of caster by 28 instantly and every 5 seconds',100,2,2),
(4350,10174824,'Cannot be modified except by direct means',100,2,3),
(4351,100467,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(4352,100467,'Decreases Threat to target by 114 ',100,2,1),
(4353,100467,'If not fighter',100,2,2),
(4354,100467,'Decreases Hate Gain of group members (AE) by 14.5%',100,1,3),
(4355,100467,'If not fighter',100,2,4),
(4356,10100467,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(4357,10100467,'If not fighter',100,2,1),
(4358,10100467,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(4359,10100467,'Inflicts 83 - 92 crushing damage on target',100,2,3),
(4360,10100467,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(4361,10100467,'If not fighter',100,2,5),
(4362,10100467,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(4363,10100467,'If not fighter',100,2,7),
(4364,10100467,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(4365,10100467,'If not fighter',100,2,9),
(4366,102250,'Inflicts 380 - 630 melee damage on targets in area',100,1,0),
(4367,10102250,'Inflicts 306 - 508 melee damage on targets in area',100,1,0),
(4368,148676,'When Equipped:',100,0,0),
(4369,148676,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4370,148676,'Replenishes 500 points of absorption every 2 seconds.',100,2,2),
(4371,148676,'Wards target against 2400 points of all damage',100,2,3),
(4372,148676,'Cannot be modified except by direct means',100,2,4),
(4373,10148676,'When Equipped:',100,0,0),
(4374,10148676,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4375,10148676,'Replenishes 500 points of absorption every 2 seconds.',100,2,2),
(4376,10148676,'Wards target against 2400 points of all damage',100,2,3),
(4377,10148676,'Cannot be modified except by direct means',100,2,4),
(4378,81640,'When Equipped:',100,0,0),
(4379,81640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4380,81640,'Inflicts 196 - 364 magic damage on target',100,2,2),
(4381,81640,'Cannot be modified except by direct means',100,2,3),
(4382,10081640,'When Equipped:',100,0,0),
(4383,10081640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4384,10081640,'Inflicts 196 - 364 magic damage on target',100,2,2),
(4385,10081640,'Cannot be modified except by direct means',100,2,3),
(4386,103238,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(4387,103238,'Adds 1.7% to base avoidance.',100,1,1),
(4388,103238,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(4389,103238,'Increases Parry of caster by 14.5',100,1,3),
(4390,103238,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(4391,103238,'Increases Aggression of caster by 10.9',100,1,5),
(4392,103238,'Increases Defense and Deflection of caster by 14.5',100,1,6),
(4393,103238,'Increases Mitigation of caster vs noxious damage by 968',100,1,7),
(4394,103238,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(4395,103238,'Reduces physical damage done to caster by 5%',100,1,9),
(4396,10103238,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(4397,10103238,'Adds 1.7% to base avoidance.',100,1,1),
(4398,10103238,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(4399,10103238,'Increases Parry of caster by 14.5',100,1,3),
(4400,10103238,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(4401,10103238,'Increases Aggression of caster by 10.9',100,1,5),
(4402,10103238,'Increases Defense and Deflection of caster by 14.5',100,1,6),
(4403,10103238,'Increases Mitigation of caster vs noxious damage by 968',100,1,7),
(4404,10103238,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(4405,10103238,'Reduces physical damage done to caster by 5%',100,1,9),
(4406,24519,'Adds Mistmoore: Blue, Gold-trimmed Master Bed to your Dungeon Maker toolbox',100,0,0),
(4407,10024519,'Adds Mistmoore: Blue, Gold-trimmed Master Bed to your Dungeon Maker toolbox',100,0,0),
(4408,100405,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(4409,100405,'Inflicts 27 - 44 slashing damage on target',100,2,1),
(4410,100405,'Increases Threat to target by 82 ',100,2,2),
(4411,100405,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(4412,100405,'Increases Threat to target by 82 ',100,2,4),
(4413,100405,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 72',100,1,5),
(4414,10100405,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(4415,10100405,'Inflicts 21 - 35 slashing damage on target',100,2,1),
(4416,10100405,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(4417,10100405,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 72',100,1,3),
(4418,112515,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(4419,112515,'Inflicts 639 disease damage on target instantly and every 4 seconds',100,2,1),
(4420,112515,'80% of target''s power consumed will also be drained from target''s health',100,2,2),
(4421,10112515,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(4422,10112515,'Inflicts 504 disease damage on target instantly and every 4 seconds',100,2,1),
(4423,10112515,'80% of target''s power consumed will also be drained from target''s health',100,2,2),
(4424,102450,'Stuns target encounter',100,1,0),
(4425,102450,'Epic targets gain an immunity to Stun effects of 11.3 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(4426,102450,'Resistibility increases against targets higher than level 73.',100,1,2),
(4427,10102450,'Stuns target encounter',100,1,0),
(4428,10102450,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(4429,10102450,'Resistibility increases against targets higher than level 73.',100,1,2),
(4430,71618,'When Equipped:',100,0,0),
(4431,71618,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4432,71618,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(4433,71618,'Cannot be modified except by direct means',100,2,3),
(4434,10071618,'When Equipped:',100,0,0),
(4435,10071618,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4436,10071618,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(4437,10071618,'Cannot be modified except by direct means',100,2,3),
(4438,115716,'Heals target for 1287',100,1,0),
(4439,115716,'Heals target for 305 every 0.3 seconds',100,1,1),
(4440,115716,'Stifles caster',100,1,2),
(4441,10115716,'Heals target for 413',100,1,0),
(4442,10115716,'Heals target for 156 every 0.3 seconds',100,1,1),
(4443,10115716,'Stifles caster',100,1,2),
(4444,115941,'Inflicts 3492 - 5145 melee damage on target',100,1,0),
(4445,115941,'Roots target',100,1,1),
(4446,115941,'If Target is not Epic',100,2,2),
(4447,115941,'5% chance to dispel when target takes damage',100,1,3),
(4448,115941,'Resistibility increases against targets higher than level 89.',100,1,4),
(4449,10115941,'Inflicts 2373 - 3675 melee damage on target',100,1,0),
(4450,10115941,'Roots target',100,1,1),
(4451,10115941,'If Target is not Epic',100,2,2),
(4452,10115941,'5% chance to dispel when target takes damage',100,1,3),
(4453,10115941,'Resistibility increases against targets higher than level 89.',100,1,4),
(4454,37498,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(4455,122823,'Inflicts 1687 - 2799 ranged damage on target',100,1,0),
(4456,122823,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(4457,122823,'Increases Hate Gain of target by 30.0%',100,2,2),
(4458,122823,'Grants a total of 1 trigger of the spell.',100,2,3),
(4459,122823,'Requires bow',100,1,4),
(4460,10122823,'Inflicts 996 - 1497 ranged damage on target',100,1,0),
(4461,10122823,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(4462,10122823,'Grants a total of 1 trigger of the spell.',100,2,2),
(4463,10122823,'Requires bow',100,1,3),
(4464,46302,'Applies Call of the Great Feral Spirit when Activated.',100,0,0),
(4465,10046302,'Applies Call of the Great Feral Spirit when Activated.',100,0,0),
(4466,47719,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(4467,47719,'Wards caster against 665 points of elemental damage',100,1,1),
(4468,10047719,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(4469,10047719,'Wards caster against 665 points of elemental damage',100,1,1),
(4470,26133,'When Equipped:',100,0,0),
(4471,26133,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,1),
(4472,26133,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(4473,10026133,'When Equipped:',100,0,0),
(4474,10026133,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,1),
(4475,10026133,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(4476,110426,'Inflicts 21024 - 34822 disease damage on target',100,1,0),
(4477,10110426,'Inflicts 11317 - 18774 disease damage on target',100,1,0),
(4478,136611,'When Equipped:',100,0,0),
(4479,136611,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4480,136611,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,2),
(4481,136611,'Must not be engaged in pvp combat',100,2,3),
(4482,136611,'Cannot be modified except by direct means',100,2,4),
(4483,136611,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(4484,136611,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,6),
(4485,136611,'Must not be engaged in pvp combat',100,2,7),
(4486,136611,'Cannot be modified except by direct means',100,2,8),
(4487,136611,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(4488,136611,'Cannot be modified except by direct means',100,1,10),
(4489,10136611,'When Equipped:',100,0,0),
(4490,10136611,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4491,10136611,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,2),
(4492,10136611,'Must not be engaged in pvp combat',100,2,3),
(4493,10136611,'Cannot be modified except by direct means',100,2,4),
(4494,10136611,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(4495,10136611,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,6),
(4496,10136611,'Must not be engaged in pvp combat',100,2,7),
(4497,10136611,'Cannot be modified except by direct means',100,2,8),
(4498,10136611,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(4499,10136611,'Cannot be modified except by direct means',100,1,10),
(4500,114100,'Inflicts 2252 - 3531 melee damage on targets in area',100,1,0),
(4501,114100,'You must be in stealth to use this!',100,1,1),
(4502,10114100,'Inflicts 1654 - 2656 melee damage on targets in area',100,1,0),
(4503,10114100,'You must be in stealth to use this!',100,1,1),
(4504,136541,'When Equipped:',100,0,0),
(4505,136541,'On a healing spell cast this spell may cast Unearthly Forces on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4506,136541,'Increases the damage of group members'' spells and combat arts by 12%.',100,2,2),
(4507,136541,'Cannot be modified except by direct means',100,2,3),
(4508,136541,'Cannot be modified except by direct means',100,1,4),
(4509,10136541,'When Equipped:',100,0,0),
(4510,10136541,'On a healing spell cast this spell may cast Unearthly Forces on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4511,10136541,'Increases the damage of group members'' spells and combat arts by 12%.',100,2,2),
(4512,10136541,'Cannot be modified except by direct means',100,2,3),
(4513,10136541,'Cannot be modified except by direct means',100,1,4),
(4514,115475,'Summons a pet nightshade',100,1,0),
(4515,10115475,'Summons a pet nightshade',100,1,0),
(4516,101126,'Heals target for 809 - 989',100,1,0),
(4517,10101126,'Heals target for 452 - 552',100,1,0),
(4518,122747,'Heals group members (AE) for 392 - 479',100,1,0),
(4519,122747,'Increases Max Health of group members (AE) by 16.6',100,1,1),
(4520,10122747,'Heals group members (AE) for 346 - 423',100,1,0),
(4521,10122747,'Increases Max Health of group members (AE) by 16.6',100,1,1),
(4522,71629,'When Equipped:',100,0,0),
(4523,71629,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4524,71629,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(4525,71629,'Cannot be modified except by direct means',100,2,3),
(4526,10071629,'When Equipped:',100,0,0),
(4527,10071629,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4528,10071629,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(4529,10071629,'Cannot be modified except by direct means',100,2,3),
(4530,105824,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(4531,105824,'Inflicts 700 - 1161 disease damage on target',100,2,1),
(4532,10105824,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(4533,10105824,'Inflicts 552 - 915 disease damage on target',100,2,1),
(4534,164956,'When Equipped:',100,0,0),
(4535,164956,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(4536,164956,'Mesmerizes target',100,2,2),
(4537,164956,'Dispelled when target takes damage',100,2,3),
(4538,164956,'Only affects targets level 98 and below',100,2,4),
(4539,164956,'Does not affect Epic targets',100,2,5),
(4540,164956,'Resistibility increases against targets higher than level 111.',100,2,6),
(4541,164956,'Cannot be modified except by direct means',100,2,7),
(4542,10164956,'When Equipped:',100,0,0),
(4543,10164956,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(4544,10164956,'Mesmerizes target',100,2,2),
(4545,10164956,'Dispelled when target takes damage',100,2,3),
(4546,10164956,'Only affects targets level 98 and below',100,2,4),
(4547,10164956,'Does not affect Epic targets',100,2,5),
(4548,10164956,'Resistibility increases against targets higher than level 111.',100,2,6),
(4549,10164956,'Cannot be modified except by direct means',100,2,7),
(4550,118275,'Increases Threat to target encounter by 3,432 - 3,836 ',100,1,0),
(4551,118275,'Decreases Mitigation of target encounter vs arcane damage by 704',100,1,1),
(4552,10118275,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(4553,10118275,'Prevents target from changing targets',100,2,1),
(4554,10118275,'Forces target to change their selected target to caster.',100,2,2),
(4555,10118275,'Decreases Mitigation of target encounter vs arcane damage by 704',100,1,3),
(4556,118055,'Increases threat priority of target by 3 positions',100,1,0),
(4557,118055,'Increases Threat to target by 14,487 ',100,1,1),
(4558,10118055,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,1,0),
(4559,10118055,'Prevents target from changing targets',100,2,1),
(4560,10118055,'Forces target to change their selected target to caster.',100,2,2),
(4561,150905,'When Equipped:',100,0,0),
(4562,150905,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4563,150905,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(4564,150905,'Dispelled when target casts a hostile spell',100,2,3),
(4565,150905,'Dispelled when target casts a combat art',100,2,4),
(4566,150905,'Cannot be modified except by direct means',100,2,5),
(4567,150905,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(4568,150905,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(4569,150905,'Dispelled when target casts a hostile spell',100,2,8),
(4570,150905,'Dispelled when target casts a combat art',100,2,9),
(4571,150905,'Cannot be modified except by direct means',100,2,10),
(4572,10150905,'When Equipped:',100,0,0),
(4573,10150905,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4574,10150905,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(4575,10150905,'Dispelled when target casts a hostile spell',100,2,3),
(4576,10150905,'Dispelled when target casts a combat art',100,2,4),
(4577,10150905,'Cannot be modified except by direct means',100,2,5),
(4578,10150905,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(4579,10150905,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(4580,10150905,'Dispelled when target casts a hostile spell',100,2,8),
(4581,10150905,'Dispelled when target casts a combat art',100,2,9),
(4582,10150905,'Cannot be modified except by direct means',100,2,10),
(4583,102517,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(4584,102517,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,1),
(4585,102517,'Increases Aggression of caster by 4.6',100,1,2),
(4586,102517,'Increases Defense and Parry of caster by 9.1',100,1,3),
(4587,102517,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(4588,10102517,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(4589,10102517,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,1),
(4590,10102517,'Increases Aggression of caster by 4.6',100,1,2),
(4591,10102517,'Increases Defense and Parry of caster by 9.1',100,1,3),
(4592,10102517,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(4593,122209,'Increases Damage Per Second of target by 14.2',100,1,0),
(4594,122209,'Increases Max Health of target by 259.5',100,1,1),
(4595,10122209,'Increases Damage Per Second of target by 14.2',100,1,0),
(4596,10122209,'Increases Max Health of target by 259.5',100,1,1),
(4597,104209,'Increases Mitigation of group members (AE) vs physical damage by 167',100,1,0),
(4598,10104209,'Increases Mitigation of group members (AE) vs physical damage by 167',100,1,0),
(4599,47098,'Applies Most Wanted Poster when Activated.',100,0,0),
(4600,47098,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(4601,47098,'If between levels 30 - 39',100,1,2),
(4602,47098,'Cannot be modified except by direct means',100,1,3),
(4603,10047098,'Applies Most Wanted Poster when Activated.',100,0,0),
(4604,10047098,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(4605,10047098,'If between levels 30 - 39',100,1,2),
(4606,10047098,'Cannot be modified except by direct means',100,1,3),
(4607,37510,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(4608,51053,'When Equipped:',100,0,0),
(4609,51053,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4610,51053,'Inflicts 393 mental damage on target',100,2,2),
(4611,51053,'Must not be classified as an undead',100,3,3),
(4612,51053,'Inflicts 787 mental damage on target',100,2,4),
(4613,51053,'Must be classified as an undead',100,3,5),
(4614,51053,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(4615,51053,'Must be classified as an undead',100,3,7),
(4616,51053,'Cannot be modified except by direct means',100,2,8),
(4617,51053,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(4618,10051053,'When Equipped:',100,0,0),
(4619,10051053,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4620,10051053,'Inflicts 393 mental damage on target',100,2,2),
(4621,10051053,'Must not be classified as an undead',100,3,3),
(4622,10051053,'Inflicts 787 mental damage on target',100,2,4),
(4623,10051053,'Must be classified as an undead',100,3,5),
(4624,10051053,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(4625,10051053,'Must be classified as an undead',100,3,7),
(4626,10051053,'Cannot be modified except by direct means',100,2,8),
(4627,10051053,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(4628,109023,'Decreases Damage Per Second of target by 40.0',100,1,0),
(4629,109023,'Inflicts 3071 - 3531 melee damage on target',100,1,1),
(4630,10109023,'Decreases Damage Per Second of target by 40.0',100,1,0),
(4631,10109023,'Inflicts 2041 - 2403 melee damage on target',100,1,1),
(4632,159661,'When Equipped:',100,0,0),
(4633,159661,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(4634,159661,'Increases AGI of caster by 8.8',100,2,2),
(4635,159661,'Increases Attack Speed of caster by 13.2',100,2,3),
(4636,159661,'Cannot be modified except by direct means',100,2,4),
(4637,10159661,'When Equipped:',100,0,0),
(4638,10159661,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(4639,10159661,'Increases AGI of caster by 8.8',100,2,2),
(4640,10159661,'Increases Attack Speed of caster by 13.2',100,2,3),
(4641,10159661,'Cannot be modified except by direct means',100,2,4),
(4642,40830,'When Equipped:',100,0,0),
(4643,40830,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(4644,40830,'Inflicts 1192 piercing damage on target',100,2,2),
(4645,40830,'Cannot be modified except by direct means',100,2,3),
(4646,10040830,'When Equipped:',100,0,0),
(4647,10040830,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(4648,10040830,'Inflicts 596 piercing damage on target',100,2,2),
(4649,10040830,'Cannot be modified except by direct means',100,2,3),
(4650,116798,'Increases STR, AGI, WIS and INT of target by 50.7',100,1,0),
(4651,116798,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4652,116798,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(4653,116798,'Increases Damage Per Second of target by 35.3',100,2,3),
(4654,116798,'Increases Attack Speed of target by 35.3',100,2,4),
(4655,116798,'Adds 1.5% to base avoidance.',100,1,5),
(4656,116798,'Increases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,6),
(4657,10116798,'Increases STR, AGI, WIS and INT of target by 50.7',100,1,0),
(4658,10116798,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4659,10116798,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(4660,10116798,'Increases Damage Per Second of target by 35.3',100,2,3),
(4661,10116798,'Increases Attack Speed of target by 35.3',100,2,4),
(4662,10116798,'Adds 1.5% to base avoidance.',100,1,5),
(4663,10116798,'Increases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,6),
(4664,120133,'Decreases STR and INT of target by 36.8',100,1,0),
(4665,120133,'Increases STR and INT of caster by 36.8',100,1,1),
(4666,10120133,'Decreases STR and INT of target by 36.8',100,1,0),
(4667,10120133,'Increases STR and INT of caster by 36.8',100,1,1),
(4668,72194,'When Equipped:',100,0,0),
(4669,72194,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4670,72194,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(4671,72194,'Cannot be modified except by direct means',100,2,3),
(4672,10072194,'When Equipped:',100,0,0),
(4673,10072194,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(4674,10072194,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(4675,10072194,'Cannot be modified except by direct means',100,2,3),
(4676,103190,'Increases Mitigation of caster vs physical damage by 190',100,1,0),
(4677,103190,'Roots caster',100,1,1),
(4678,10103190,'Increases Mitigation of caster vs physical damage by 190',100,1,0),
(4679,10103190,'Roots caster',100,1,1),
(4680,155195,'When Equipped:',100,0,0),
(4681,155195,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(4682,155195,'Must not be engaged in pvp combat',100,1,2),
(4683,10155195,'When Equipped:',100,0,0),
(4684,10155195,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(4685,10155195,'Must not be engaged in pvp combat',100,1,2),
(4686,136770,'When Equipped:',100,0,0),
(4687,136770,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(4688,10136770,'When Equipped:',100,0,0),
(4689,10136770,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(4690,48813,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(4691,48813,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(4692,48813,'Inflicts 110 poison damage on target instantly and every 6 seconds',100,2,2),
(4693,48813,'Inflicts 675 poison damage on target',100,2,3),
(4694,48813,'Cannot be modified except by direct means',100,2,4),
(4695,48813,'Grants a total of 200 triggers of the spell.',100,2,5),
(4696,10048813,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(4697,10048813,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(4698,10048813,'Inflicts 506 poison damage on target',100,2,2),
(4699,10048813,'Inflicts 83 poison damage on target instantly and every 6 seconds',100,2,3),
(4700,10048813,'Cannot be modified except by direct means',100,2,4),
(4701,10048813,'Grants a total of 200 triggers of the spell.',100,2,5),
(4702,77364,'When Equipped:',100,0,0),
(4703,77364,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(4704,77364,'Increases Hate Gain of caster by 10.0%',100,2,2),
(4705,77364,'Cannot be modified except by direct means',100,2,3),
(4706,77364,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(4707,77364,'Increases Hate Gain of caster by 10.0%',100,2,5),
(4708,77364,'Cannot be modified except by direct means',100,2,6),
(4709,10077364,'When Equipped:',100,0,0),
(4710,10077364,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(4711,10077364,'Cannot be modified except by direct means',100,2,2),
(4712,10077364,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,3),
(4713,10077364,'Cannot be modified except by direct means',100,2,4),
(4714,166526,'Applies Rising Brutality IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(4715,166526,'Increases the Damage Per Second of the caster over time.',100,1,1),
(4716,166526,'Applies Invigorated Haste IV on termination.  Lasts for 30.0 seconds.',100,1,2),
(4717,166526,'Increases Attack Speed of caster by 50.0',100,2,3),
(4718,166526,'Must not be engaged in pvp combat',100,2,4),
(4719,166526,'Cannot be modified except by direct means',100,2,5),
(4720,166526,'Must not be engaged in pvp combat',100,1,6),
(4721,166526,'Cannot be modified except by direct means',100,1,7),
(4722,166526,'The reuse time of Rising Brutality IV is 10 minutes',100,1,8),
(4723,10166526,'Applies Rising Brutality IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(4724,10166526,'Increases the Damage Per Second of the caster over time.',100,1,1),
(4725,10166526,'Applies Invigorated Haste IV on termination.  Lasts for 30.0 seconds.',100,1,2),
(4726,10166526,'Increases Attack Speed of caster by 50.0',100,2,3),
(4727,10166526,'Must not be engaged in pvp combat',100,2,4),
(4728,10166526,'Cannot be modified except by direct means',100,2,5),
(4729,10166526,'Must not be engaged in pvp combat',100,1,6),
(4730,10166526,'Cannot be modified except by direct means',100,1,7),
(4731,10166526,'The reuse time of Rising Brutality IV is 10 minutes',100,1,8),
(4732,134056,'When Equipped:',100,0,0),
(4733,134056,'On a hostile spell cast this spell may cast Triumphant Coup on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(4734,134056,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,2),
(4735,134056,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,3),
(4736,134056,'Decreases Potency of target by 12.0%',100,2,4),
(4737,134056,'Increases Potency of caster by 12.0%',100,2,5),
(4738,134056,'Increases Ability Modifier of caster by 500.0',100,2,6),
(4739,134056,'Must not be engaged in pvp combat',100,2,7),
(4740,134056,'Cannot be modified except by direct means',100,2,8),
(4741,134056,'On any combat or spell hit this spell may cast Triumphant Coup on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(4742,134056,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,10),
(4743,134056,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,11),
(4744,134056,'Decreases Potency of target by 12.0%',100,2,12),
(4745,134056,'Increases Potency of caster by 12.0%',100,2,13),
(4746,134056,'Increases Ability Modifier of caster by 500.0',100,2,14),
(4747,134056,'Must not be engaged in pvp combat',100,2,15),
(4748,134056,'Cannot be modified except by direct means',100,2,16),
(4749,134056,'Must not be engaged in pvp combat',100,1,17),
(4750,10134056,'When Equipped:',100,0,0),
(4751,10134056,'On a hostile spell cast this spell may cast Triumphant Coup on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(4752,10134056,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,2),
(4753,10134056,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,3),
(4754,10134056,'Decreases Potency of target by 12.0%',100,2,4),
(4755,10134056,'Increases Potency of caster by 12.0%',100,2,5),
(4756,10134056,'Increases Ability Modifier of caster by 500.0',100,2,6),
(4757,10134056,'Must not be engaged in pvp combat',100,2,7),
(4758,10134056,'Cannot be modified except by direct means',100,2,8),
(4759,10134056,'On any combat or spell hit this spell may cast Triumphant Coup on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(4760,10134056,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,10),
(4761,10134056,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,11),
(4762,10134056,'Decreases Potency of target by 12.0%',100,2,12),
(4763,10134056,'Increases Potency of caster by 12.0%',100,2,13),
(4764,10134056,'Increases Ability Modifier of caster by 500.0',100,2,14),
(4765,10134056,'Must not be engaged in pvp combat',100,2,15),
(4766,10134056,'Cannot be modified except by direct means',100,2,16),
(4767,10134056,'Must not be engaged in pvp combat',100,1,17),
(4768,100897,'Stuns targets in Area of Effect',20,1,0),
(4769,100897,'If Target is not Epic',100,2,1),
(4770,100897,'Inflicts 634 - 1057 divine damage on targets in Area of Effect',100,1,2),
(4771,100897,'Resistibility increases against targets higher than level 43.',100,1,3),
(4772,10100897,'Stuns targets in Area of Effect',20,1,0),
(4773,10100897,'If Target is not Epic',100,2,1),
(4774,10100897,'Inflicts 494 - 804 divine damage on targets in Area of Effect',100,1,2),
(4775,10100897,'Resistibility increases against targets higher than level 43.',100,1,3),
(4776,36136,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(4777,36136,'This effect suspends during combat',100,0,1),
(4778,164617,'Applies Unstable Magics when Equipped.',100,0,0),
(4779,164617,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(4780,10164617,'Applies Unstable Magics when Equipped.',100,0,0),
(4781,10164617,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(4782,103202,'Increases Mitigation of caster vs physical damage by 323',100,1,0),
(4783,103202,'Roots caster',100,1,1),
(4784,10103202,'Increases Mitigation of caster vs physical damage by 323',100,1,0),
(4785,10103202,'Roots caster',100,1,1),
(4786,117016,'Inflicts 1199 - 3348 melee damage on target',100,1,0),
(4787,10117016,'Inflicts 955 - 2284 melee damage on target',100,1,0),
(4788,100176,'Inflicts 5091 - 9173 disease damage on target encounter',100,1,0),
(4789,10100176,'Inflicts 3886 - 7103 disease damage on target encounter',100,1,0),
(4790,109004,'Decreases Damage Per Second of target by 35.0',100,1,0),
(4791,109004,'Inflicts 2920 - 3359 melee damage on target',100,1,1),
(4792,10109004,'Decreases Damage Per Second of target by 35.0',100,1,0),
(4793,10109004,'Inflicts 1930 - 2268 melee damage on target',100,1,1),
(4794,117015,'Inflicts 1222 - 3394 melee damage on target',100,1,0),
(4795,10117015,'Inflicts 973 - 2321 melee damage on target',100,1,0),
(4796,120794,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(4797,120794,'Stuns target',100,2,1),
(4798,120794,'Throws target back',100,2,2),
(4799,120794,'Blurs vision of target',100,2,3),
(4800,120794,'Does not affect Epic targets',100,2,4),
(4801,120794,'Inflicts 993 - 1647 piercing damage on target',100,1,5),
(4802,10120794,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(4803,10120794,'Stuns target',100,2,1),
(4804,10120794,'Throws target back',100,2,2),
(4805,10120794,'Blurs vision of target',100,2,3),
(4806,10120794,'Does not affect Epic targets',100,2,4),
(4807,10120794,'Inflicts 800 - 1279 piercing damage on target',100,1,5),
(4808,80693,'When Equipped:',100,0,0),
(4809,80693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4810,80693,'Inflicts 96 - 178 magic damage on target',100,2,2),
(4811,80693,'Cannot be modified except by direct means',100,2,3),
(4812,10080693,'When Equipped:',100,0,0),
(4813,10080693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4814,10080693,'Inflicts 96 - 178 magic damage on target',100,2,2),
(4815,10080693,'Cannot be modified except by direct means',100,2,3),
(4816,104903,'Inflicts 2141 - 3372 magic damage on targets in area',100,1,0),
(4817,10104903,'Inflicts 1610 - 2584 magic damage on targets in area',100,1,0),
(4818,174073,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(4819,174073,'Increases AA XP Gain of caster by 15.0%',100,1,1),
(4820,174073,'Increases Combat XP Gain of caster by 15.0%',100,1,2),
(4821,174073,'Increases Tradeskill XP Gain of caster by 15.0%',100,1,3),
(4822,174073,'You can only have one experience potion active at a time.',100,1,4),
(4823,174073,'The casting time of a blessed experience is 0.99 seconds and the reuse time of the spell is 16 hours 35 minutes',100,1,5),
(4824,10174073,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(4825,10174073,'Increases AA XP Gain of caster by 15.0%',100,1,1),
(4826,10174073,'Increases Combat XP Gain of caster by 15.0%',100,1,2),
(4827,10174073,'Increases Tradeskill XP Gain of caster by 15.0%',100,1,3),
(4828,10174073,'You can only have one experience potion active at a time.',100,1,4),
(4829,10174073,'The casting time of a blessed experience is 0.99 seconds and the reuse time of the spell is 16 hours 35 minutes',100,1,5),
(4830,46260,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(4831,46260,'Increases AGI of caster by 78.4',100,1,1),
(4832,10046260,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(4833,10046260,'Increases AGI of caster by 78.4',100,1,1),
(4834,124313,'Wards group members (AE) against 9515 points of elemental damage',100,1,0),
(4835,124313,'Increases Mitigation of group members (AE) vs elemental damage by 1602',100,1,1),
(4836,10124313,'Wards group members (AE) against 7120 points of elemental damage',100,1,0),
(4837,10124313,'Increases Mitigation of group members (AE) vs elemental damage by 1602',100,1,1),
(4838,79024,'Applies Frost Blast when Activated.',100,0,0),
(4839,79024,'Inflicts 474 - 791 cold damage on target',100,1,1),
(4840,79024,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(4841,10079024,'Applies Frost Blast when Activated.',100,0,0),
(4842,10079024,'Inflicts 474 - 791 cold damage on target',100,1,1),
(4843,10079024,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(4844,121840,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(4845,121840,'Increases Mitigation of group members (AE) vs arcane damage by 1160',100,1,1),
(4846,10121840,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(4847,10121840,'Increases Mitigation of group members (AE) vs arcane damage by 1160',100,1,1),
(4848,115827,'Inflicts 1450 - 2290 melee damage on target',100,1,0),
(4849,115827,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(4850,115827,'Heals caster for 1.4% of max health instantly and every 3 seconds',100,2,2),
(4851,115827,'This effect cannot be critically applied.',100,3,3),
(4852,115827,'The healing of this spell cannot be modified except by direct means',100,2,4),
(4853,115827,'Inflicts 226 disease damage on target every 3 seconds',100,1,5),
(4854,115827,'The healing of this spell cannot be modified except by direct means',100,1,6),
(4855,10115827,'Inflicts 1075 - 1524 melee damage on target',100,1,0),
(4856,10115827,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(4857,10115827,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,2),
(4858,10115827,'This effect cannot be critically applied.',100,3,3),
(4859,10115827,'The healing of this spell cannot be modified except by direct means',100,2,4),
(4860,10115827,'Inflicts 181 disease damage on target every 3 seconds',100,1,5),
(4861,10115827,'The healing of this spell cannot be modified except by direct means',100,1,6),
(4862,75505,'When Equipped:',100,0,0),
(4863,75505,'On any combat or spell hit this spell may cast Exalted Wave on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4864,75505,'Inflicts 57 - 63 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(4865,75505,'Heals group members (AE) for 29 - 32 instantly and every 2 seconds',100,2,3),
(4866,75505,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(4867,75505,'Must not be engaged in pvp combat',100,2,5),
(4868,75505,'Cannot be modified except by direct means',100,2,6),
(4869,75505,'Must not be engaged in pvp combat',100,1,7),
(4870,10075505,'When Equipped:',100,0,0),
(4871,10075505,'On any combat or spell hit this spell may cast Exalted Wave on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(4872,10075505,'Inflicts 57 - 63 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(4873,10075505,'Heals group members (AE) for 19 - 20 instantly and every 2 seconds',100,2,3),
(4874,10075505,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(4875,10075505,'Must not be engaged in pvp combat',100,2,5),
(4876,10075505,'Cannot be modified except by direct means',100,2,6),
(4877,10075505,'Must not be engaged in pvp combat',100,1,7),
(4878,116001,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(4879,116001,'Decreases threat priority of target by 1 position',100,2,1),
(4880,116001,'Decreases Hate Gain of target by 9.1%',100,1,2),
(4881,10116001,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(4882,10116001,'Forces target to clear their selected target.',100,2,1),
(4883,123949,'Shrouds the beastlord''s warder in the essence of the truespirits.',100,1,0),
(4884,123949,'You must have a warder summoned.',100,1,1),
(4885,10123949,'Shrouds the beastlord''s warder in the essence of the truespirits.',100,1,0),
(4886,10123949,'You must have a warder summoned.',100,1,1),
(4887,104837,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(4888,104837,'If Fighter',100,2,1),
(4889,104837,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(4890,104837,'Increases power of target by 45',100,2,3),
(4891,104837,'Increases power of caster by 45',100,2,4),
(4892,10104837,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(4893,10104837,'Increases power of target by 45',100,2,1),
(4894,10104837,'Increases power of caster by 45',100,2,2),
(4895,81485,'When Equipped:',100,0,0),
(4896,81485,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(4897,81485,'Inflicts 155 - 288 magic damage on target',100,2,2),
(4898,81485,'Decreases Threat to target by 352 ',100,2,3),
(4899,81485,'Must be flanking or behind',100,3,4),
(4900,81485,'Increases Threat to target by 617 ',100,2,5),
(4901,81485,'Must be in front of',100,3,6),
(4902,81485,'Cannot be modified except by direct means',100,2,7),
(4903,10081485,'When Equipped:',100,0,0),
(4904,10081485,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(4905,10081485,'Inflicts 155 - 288 magic damage on target',100,2,2),
(4906,10081485,'Cannot be modified except by direct means',100,2,3),
(4907,131753,'When Equipped:',100,0,0),
(4908,131753,'When caster is damaged by a spell, this spell has a 15% chance to absorb 4000 damage.',100,1,1),
(4909,10131753,'When Equipped:',100,0,0),
(4910,10131753,'When caster is damaged by a spell, this spell has a 15% chance to absorb 4000 damage.',100,1,1),
(4911,118048,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(4912,118048,'Inflicts 2708 - 4513 divine damage on target',100,2,1),
(4913,118048,'Stuns target',100,2,2),
(4914,118048,'If Target is not Epic',100,3,3),
(4915,118048,'Grants a total of 3 triggers of the spell.',100,2,4),
(4916,10118048,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(4917,10118048,'Inflicts 2134 - 3557 divine damage on target',100,2,1),
(4918,10118048,'Stuns target',100,2,2),
(4919,10118048,'If Target is not Epic',100,3,3),
(4920,10118048,'Grants a total of 3 triggers of the spell.',100,2,4),
(4921,154767,'When Equipped:',100,0,0),
(4922,154767,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(4923,154767,'Inflicts 2344 heat damage on target',100,2,2),
(4924,154767,'Heals caster for 2100',100,2,3),
(4925,154767,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(4926,154767,'Cannot be modified except by direct means',100,2,5),
(4927,154767,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(4928,154767,'Inflicts 2344 heat damage on target',100,2,7),
(4929,154767,'Heals caster for 2100',100,2,8),
(4930,154767,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(4931,154767,'Cannot be modified except by direct means',100,2,10),
(4932,10154767,'When Equipped:',100,0,0),
(4933,10154767,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(4934,10154767,'Inflicts 2344 heat damage on target',100,2,2),
(4935,10154767,'Heals caster for 2456',100,2,3),
(4936,10154767,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(4937,10154767,'Cannot be modified except by direct means',100,2,5),
(4938,10154767,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(4939,10154767,'Inflicts 2344 heat damage on target',100,2,7),
(4940,10154767,'Heals caster for 2456',100,2,8),
(4941,10154767,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(4942,10154767,'Cannot be modified except by direct means',100,2,10),
(4943,111737,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(4944,111737,'Inflicts 2717 - 3248 cold damage on target',100,2,1),
(4945,111737,'Grants a total of 3 triggers of the spell.',100,2,2),
(4946,10111737,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(4947,10111737,'Inflicts 2015 - 2434 cold damage on target',100,2,1),
(4948,10111737,'Grants a total of 3 triggers of the spell.',100,2,2),
(4949,36517,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(4950,36517,'Increases Max Power of target by 300.0',100,0,1),
(4951,121370,'Inflicts 707 - 1032 magic damage on target encounter',100,1,0),
(4952,121370,'Inflicts 380 - 705 magic damage on target encounter every 2 seconds',100,1,1),
(4953,10121370,'Inflicts 431 - 687 magic damage on target encounter',100,1,0),
(4954,10121370,'Inflicts 299 - 555 magic damage on target encounter every 2 seconds',100,1,1),
(4955,159761,'Applies Sanguine Imbued when Equipped.',100,0,0),
(4956,159761,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(4957,159761,'Inflicts 194 heat damage on target',100,2,2),
(4958,159761,'Cannot be modified except by direct means',100,2,3),
(4959,10159761,'Applies Sanguine Imbued when Equipped.',100,0,0),
(4960,10159761,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(4961,10159761,'Inflicts 194 heat damage on target',100,2,2),
(4962,10159761,'Cannot be modified except by direct means',100,2,3),
(4963,114524,'Heals target for 468 - 573',100,1,0),
(4964,10114524,'Heals target for 421 - 515',100,1,0),
(4965,103133,'Increases Max Health of caster by 5.0%',100,129,0),
(4966,103133,'Increases STR of caster by 71.4',100,1,1),
(4967,103133,'Adds 3.1% to base avoidance.',100,1,2),
(4968,103133,'Increases Mitigation of caster vs physical damage by 456',100,1,3),
(4969,103133,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,4),
(4970,10103133,'Increases Max Health of caster by 5.0%',100,129,0),
(4971,10103133,'Increases STR of caster by 71.4',100,1,1),
(4972,10103133,'Adds 3.1% to base avoidance.',100,1,2),
(4973,10103133,'Increases Mitigation of caster vs physical damage by 456',100,1,3),
(4974,10103133,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,4),
(4975,107931,'Mesmerizes target',100,1,0),
(4976,107931,'Prevents AOE (except when direct) ',100,1,1),
(4977,107931,'Dispelled when target takes damage',100,1,2),
(4978,107931,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(4979,107931,'Resistibility increases against targets higher than level 81.',100,1,4),
(4980,10107931,'Mesmerizes target',100,1,0),
(4981,10107931,'Prevents AOE (except when direct) ',100,1,1),
(4982,10107931,'Dispelled when target takes damage',100,1,2),
(4983,10107931,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(4984,10107931,'Resistibility increases against targets higher than level 81.',100,1,4),
(4985,146566,'When Equipped:',100,0,0),
(4986,146566,'When any damage is received this spell has a 10% chance to cast Frostburn on target''s attacker.  ',100,1,1),
(4987,146566,'Inflicts 435 cold damage on targets in Area of Effect',100,2,2),
(4988,146566,'Cannot be modified except by direct means',100,2,3),
(4989,146566,'Increases Burst effect damage by 50%.',100,1,4),
(4990,146566,'Cannot be modified except by direct means',100,1,5),
(4991,10146566,'When Equipped:',100,0,0),
(4992,10146566,'When any damage is received this spell has a 10% chance to cast Frostburn on target''s attacker.  ',100,1,1),
(4993,10146566,'Inflicts 435 cold damage on targets in Area of Effect',100,2,2),
(4994,10146566,'Cannot be modified except by direct means',100,2,3),
(4995,10146566,'Increases Burst effect damage by 50%.',100,1,4),
(4996,10146566,'Cannot be modified except by direct means',100,1,5),
(4997,80831,'When Equipped:',100,0,0),
(4998,80831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(4999,80831,'Inflicts 369 - 686 magic damage on target',100,2,2),
(5000,80831,'Cannot be modified except by direct means',100,2,3),
(5001,10080831,'When Equipped:',100,0,0),
(5002,10080831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5003,10080831,'Inflicts 369 - 686 magic damage on target',100,2,2),
(5004,10080831,'Cannot be modified except by direct means',100,2,3),
(5005,120762,'Inflicts 1208 - 1258 divine damage on target',100,1,0),
(5006,120762,'Inflicts 226 - 276 divine damage on target every 3 seconds',100,1,1),
(5007,120762,'Increases power of caster by 46 instantly and every 3 seconds',100,1,2),
(5008,10120762,'Inflicts 572 - 612 divine damage on target',100,1,0),
(5009,10120762,'Inflicts 178 - 217 divine damage on target every 3 seconds',100,1,1),
(5010,10120762,'Increases power of caster by 46 instantly and every 3 seconds',100,1,2),
(5011,121461,'Increases AGI of caster by 81.3',100,1,0),
(5012,121461,'Adds 15.6% to base avoidance.',100,1,1),
(5013,121461,'Increases Mitigation of caster vs physical damage by 787',100,1,2),
(5014,121461,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,3),
(5015,10121461,'Increases AGI of caster by 81.3',100,1,0),
(5016,10121461,'Adds 15.6% to base avoidance.',100,1,1),
(5017,10121461,'Increases Mitigation of caster vs physical damage by 787',100,1,2),
(5018,10121461,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,3),
(5019,25860,'When Equipped:',100,0,0),
(5020,25860,'Improves the base damage of Sucker Punch V by 20%.',100,1,1),
(5021,25860,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(5022,10025860,'When Equipped:',100,0,0),
(5023,10025860,'Improves the base damage of Sucker Punch V by 20%.',100,1,1),
(5024,10025860,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(5025,119784,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(5026,119784,'Inflicts 651 - 795 poison damage on target encounter',100,2,1),
(5027,10119784,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(5028,10119784,'Inflicts 513 - 627 poison damage on target encounter',100,2,1),
(5029,46156,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(5030,46156,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(5031,46156,'Inflicts 235 poison damage on target',100,2,2),
(5032,46156,'Inflicts 122 poison damage on target instantly and every 6 seconds',100,2,3),
(5033,46156,'Cannot be modified except by direct means',100,2,4),
(5034,46156,'Grants a total of 200 triggers of the spell.',100,2,5),
(5035,10046156,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(5036,10046156,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(5037,10046156,'Inflicts 91 poison damage on target instantly and every 6 seconds',100,2,2),
(5038,10046156,'Inflicts 177 poison damage on target',100,2,3),
(5039,10046156,'Cannot be modified except by direct means',100,2,4),
(5040,10046156,'Grants a total of 200 triggers of the spell.',100,2,5),
(5041,87174,'When Equipped:',100,0,0),
(5042,87174,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5043,87174,'Inflicts 83 - 124 magic damage on target',100,2,2),
(5044,87174,'Cannot be modified except by direct means',100,2,3),
(5045,10087174,'When Equipped:',100,0,0),
(5046,10087174,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5047,10087174,'Inflicts 83 - 124 magic damage on target',100,2,2),
(5048,10087174,'Cannot be modified except by direct means',100,2,3),
(5049,50271,'When Equipped:',100,0,0),
(5050,50271,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(5051,50271,'Inflicts 734 poison damage on target',100,2,2),
(5052,50271,'Cannot be modified except by direct means',100,2,3),
(5053,10050271,'When Equipped:',100,0,0),
(5054,10050271,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(5055,10050271,'Inflicts 367 poison damage on target',100,2,2),
(5056,10050271,'Cannot be modified except by direct means',100,2,3),
(5057,112991,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(5058,112991,'Reduces physical damage done to caster by 5%',100,1,1),
(5059,112991,'Increases STA of caster by 65.0',100,1,2),
(5060,112991,'Adds 2.9% to base avoidance.',100,1,3),
(5061,112991,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,4),
(5062,112991,'Increases Defense and Aggression of caster by 12.5',100,1,5),
(5063,112991,'Increases Mitigation of caster vs arcane damage by 836',100,1,6),
(5064,112991,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(5065,10112991,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(5066,10112991,'Reduces physical damage done to caster by 5%',100,1,1),
(5067,10112991,'Increases STA of caster by 65.0',100,1,2),
(5068,10112991,'Adds 2.9% to base avoidance.',100,1,3),
(5069,10112991,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,4),
(5070,10112991,'Increases Defense and Aggression of caster by 12.5',100,1,5),
(5071,10112991,'Increases Mitigation of caster vs arcane damage by 836',100,1,6),
(5072,10112991,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(5073,37564,'Increases INT of target by 13.2',100,0,0),
(5074,37564,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(5075,138809,'Applies Unleashed Fury when Activated.  Lasts for 15.0 seconds.',100,0,0),
(5076,138809,'Increases Crit Bonus of caster by 8.0%',100,1,1),
(5077,138809,'Increases Attack Speed of caster by 25.0',100,1,2),
(5078,138809,'Shapechanges caster into a wickerman',100,1,3),
(5079,138809,'Enlarges caster by 50.0%',100,1,4),
(5080,138809,'When a combat art is used this spell will cast Unleashed Fury on target of combat art.  ',100,1,5),
(5081,138809,'Inflicts 1598 disease damage on target',100,2,6),
(5082,138809,'Heals caster for 799',100,2,7),
(5083,138809,'Increases Threat to target by 875 ',100,2,8),
(5084,138809,'Cannot be modified except by direct means',100,2,9),
(5085,138809,'The casting time of Unleashed Fury is 0.5 seconds and the reuse time of the spell is 4 minutes 9 seconds',100,1,10),
(5086,10138809,'Applies Unleashed Fury when Activated.  Lasts for 15.0 seconds.',100,0,0),
(5087,10138809,'Increases Crit Bonus of caster by 8.0%',100,1,1),
(5088,10138809,'Increases Attack Speed of caster by 25.0',100,1,2),
(5089,10138809,'Shapechanges caster into a wickerman',100,1,3),
(5090,10138809,'Enlarges caster by 50.0%',100,1,4),
(5091,10138809,'When a combat art is used this spell will cast Unleashed Fury on target of combat art.  ',100,1,5),
(5092,10138809,'Inflicts 866 disease damage on target',100,2,6),
(5093,10138809,'Heals caster for 506',100,2,7),
(5094,10138809,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,2,8),
(5095,10138809,'Prevents target from changing targets',100,3,9),
(5096,10138809,'Forces target to change their selected target to caster.',100,3,10),
(5097,10138809,'Cannot be modified except by direct means',100,2,11),
(5098,10138809,'The casting time of Unleashed Fury is 0.5 seconds and the reuse time of the spell is 4 minutes 9 seconds',100,1,12),
(5099,136680,'When Equipped:',100,0,0),
(5100,136680,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(5101,136680,'Stifles target',100,2,2),
(5102,136680,'Does not affect Epic targets',100,2,3),
(5103,136680,'Resistibility increases against targets higher than level 74.',100,2,4),
(5104,136680,'Cannot be modified except by direct means',100,2,5),
(5105,10136680,'When Equipped:',100,0,0),
(5106,10136680,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(5107,10136680,'Stifles target',100,2,2),
(5108,10136680,'Does not affect Epic targets',100,2,3),
(5109,10136680,'Resistibility increases against targets higher than level 74.',100,2,4),
(5110,10136680,'Cannot be modified except by direct means',100,2,5),
(5111,139678,'When Equipped:',100,0,0),
(5112,139678,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(5113,139678,'Heals caster for 118 instantly and every 5 seconds',100,2,2),
(5114,139678,'Cannot be modified except by direct means',100,2,3),
(5115,10139678,'When Equipped:',100,0,0),
(5116,10139678,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(5117,10139678,'Heals caster for 77 instantly and every 5 seconds',100,2,2),
(5118,10139678,'Cannot be modified except by direct means',100,2,3),
(5119,115799,'Inflicts 27 - 43 melee damage on target',100,1,0),
(5120,115799,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(5121,115799,'Heals caster for 2 instantly and every 3 seconds',100,2,2),
(5122,115799,'This effect cannot be critically applied.',100,3,3),
(5123,115799,'The healing of this spell cannot be modified except by direct means',100,2,4),
(5124,115799,'Inflicts 4 disease damage on target every 3 seconds',100,1,5),
(5125,115799,'The healing of this spell cannot be modified except by direct means',100,1,6),
(5126,10115799,'Inflicts 24 - 38 melee damage on target',100,1,0),
(5127,10115799,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(5128,10115799,'Heals caster for 1 instantly and every 3 seconds',100,2,2),
(5129,10115799,'This effect cannot be critically applied.',100,3,3),
(5130,10115799,'The healing of this spell cannot be modified except by direct means',100,2,4),
(5131,10115799,'Inflicts 3 disease damage on target every 3 seconds',100,1,5),
(5132,10115799,'The healing of this spell cannot be modified except by direct means',100,1,6),
(5133,144636,'When Equipped:',100,0,0),
(5134,144636,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(5135,144636,'Wards target against 1000 points of all damage',100,2,2),
(5136,144636,'Cannot be modified except by direct means',100,2,3),
(5137,10144636,'When Equipped:',100,0,0),
(5138,10144636,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(5139,10144636,'Wards target against 1000 points of all damage',100,2,2),
(5140,10144636,'Cannot be modified except by direct means',100,2,3),
(5141,140780,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(5142,140780,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 702',100,1,1),
(5143,140780,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(5144,10140780,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(5145,10140780,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 702',100,1,1),
(5146,10140780,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(5147,117610,'Inflicts 1898 - 2557 ranged damage on target',100,1,0),
(5148,117610,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(5149,117610,'Slows target by 52.8%',100,2,2),
(5150,117610,'5% chance to dispel when target receives hostile action',100,2,3),
(5151,117610,'5% chance to dispel when target takes damage',100,2,4),
(5152,117610,'Must be flanking or behind',100,1,5),
(5153,117610,'Requires bow',100,1,6),
(5154,10117610,'Inflicts 955 - 1325 ranged damage on target',100,1,0),
(5155,10117610,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(5156,10117610,'Slows target by 52.8%',100,2,2),
(5157,10117610,'5% chance to dispel when target receives hostile action',100,2,3),
(5158,10117610,'5% chance to dispel when target takes damage',100,2,4),
(5159,10117610,'Must be flanking or behind',100,1,5),
(5160,10117610,'Requires bow',100,1,6),
(5161,159214,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(5162,159214,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(5163,159214,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(5164,159214,'Cannot be modified except by direct means',100,2,3),
(5165,10159214,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(5166,10159214,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(5167,10159214,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(5168,10159214,'Cannot be modified except by direct means',100,2,3),
(5169,108976,'Increases INT of group members (AE) by 164.6',100,1,0),
(5170,108976,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 58.1',100,1,1),
(5171,10108976,'Increases INT of group members (AE) by 164.6',100,1,0),
(5172,10108976,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 58.1',100,1,1),
(5173,113211,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(5174,113211,'Inflicts 316 magic damage on target',100,2,1),
(5175,113211,'Grants a total of 5 triggers of the spell.',100,2,2),
(5176,10113211,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(5177,10113211,'Inflicts 253 magic damage on target',100,2,1),
(5178,10113211,'Grants a total of 5 triggers of the spell.',100,2,2),
(5179,122551,'Heals caster for 326',100,1,0),
(5180,122551,'Inflicts 1222 - 2026 melee damage on target',100,1,1),
(5181,10122551,'Heals caster for 167',100,1,0),
(5182,10122551,'Inflicts 962 - 1475 melee damage on target',100,1,1),
(5183,121160,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(5184,121160,'Increases Hate Gain of caster by 5.0%',100,2,1),
(5185,121160,'Increases Attack Speed of caster by 60.0',100,2,2),
(5186,121160,'Dispelled when target takes damage',100,2,3),
(5187,10121160,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(5188,10121160,'Increases Attack Speed of caster by 60.0',100,2,1),
(5189,10121160,'Dispelled when target takes damage',100,2,2),
(5190,117740,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(5191,117740,'Heals target for 3729',100,2,1),
(5192,117740,'Increases Max Health of target by 913.2',100,2,2),
(5193,117740,'Grants a total of 1 trigger of the spell.',100,2,3),
(5194,10117740,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(5195,10117740,'Heals target for 1911',100,2,1),
(5196,10117740,'Increases Max Health of target by 913.2',100,2,2),
(5197,10117740,'Grants a total of 1 trigger of the spell.',100,2,3),
(5198,116280,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(5199,116280,'Increases target''s chance to block by 15.0%',100,130,1),
(5200,116280,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(5201,116280,'Inflicts 2061 - 2446 disease damage on caster',100,2,3),
(5202,116280,'Inflicts 578 - 706 disease damage on caster every 2 seconds',100,2,4),
(5203,116280,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(5204,116280,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(5205,116280,'Grants a total of 1 trigger of the spell.',100,3,7),
(5206,10116280,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(5207,10116280,'Increases target''s chance to block by 15.0%',100,130,1),
(5208,10116280,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(5209,10116280,'Inflicts 1497 - 1801 disease damage on caster',100,2,3),
(5210,10116280,'Inflicts 455 - 556 disease damage on caster every 2 seconds',100,2,4),
(5211,10116280,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(5212,10116280,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(5213,10116280,'Grants a total of 1 trigger of the spell.',100,3,7),
(5214,122396,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(5215,122396,'Inflicts 40 - 49 piercing damage on target encounter',100,2,1),
(5216,10122396,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(5217,10122396,'Inflicts 32 - 39 piercing damage on target encounter',100,2,1),
(5218,120471,'Inflicts 2483 - 3732 ranged damage on target',100,1,0),
(5219,120471,'Slows target by 55.7%',100,1,1),
(5220,120471,'10% chance to dispel when target receives hostile action',100,1,2),
(5221,120471,'Requires bow',100,1,3),
(5222,10120471,'Inflicts 1293 - 1885 ranged damage on target',100,1,0),
(5223,10120471,'Slows target by 55.7%',100,1,1),
(5224,10120471,'10% chance to dispel when target receives hostile action',100,1,2),
(5225,10120471,'Requires bow',100,1,3),
(5226,109906,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(5227,109906,'Inflicts 540 - 660 poison damage on target instantly and every 4 seconds',100,2,1),
(5228,10109906,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(5229,10109906,'Inflicts 426 - 520 poison damage on target instantly and every 4 seconds',100,2,1),
(5230,108122,'Increases Attack Speed of caster by 30.4',100,1,0),
(5231,10108122,'Increases Attack Speed of caster by 30.4',100,1,0),
(5232,113958,'Decreases power of target encounter by 364 instantly and every 4 seconds',100,1,0),
(5233,113958,'Increases power of group members (AE) by 43 instantly and every 4 seconds',100,1,1),
(5234,10113958,'Decreases power of target encounter by 287 instantly and every 4 seconds',100,1,0),
(5235,10113958,'Increases power of group members (AE) by 43 instantly and every 4 seconds',100,1,1),
(5236,116945,'Increases Threat to target by 1,069 - 1,307 ',100,1,0),
(5237,116945,'Interrupts target',100,1,1),
(5238,10116945,'Forces target to change their selected target to caster.',100,1,0),
(5239,10116945,'Interrupts target',100,1,1),
(5240,10116945,'Prevents target from changing targets',100,1,2),
(5241,122585,'Inflicts 948 - 1158 mental damage on target',100,1,0),
(5242,122585,'Inflicts 211 - 257 mental damage on target every 3 seconds',100,1,1),
(5243,122585,'Decreases Mitigation of target vs arcane damage by 400',100,1,2),
(5244,10122585,'Inflicts 561 - 597 mental damage on target',100,1,0),
(5245,10122585,'Inflicts 166 - 203 mental damage on target every 3 seconds',100,1,1),
(5246,10122585,'Decreases Mitigation of target vs arcane damage by 400',100,1,2),
(5247,35577,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(5248,112992,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(5249,112992,'Reduces physical damage done to caster by 5%',100,1,1),
(5250,112992,'Increases STA of caster by 95.8',100,1,2),
(5251,112992,'Adds 4.3% to base avoidance.',100,1,3),
(5252,112992,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,4),
(5253,112992,'Increases Defense and Aggression of caster by 18.5',100,1,5),
(5254,112992,'Increases Mitigation of caster vs arcane damage by 1232',100,1,6),
(5255,112992,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(5256,10112992,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(5257,10112992,'Reduces physical damage done to caster by 5%',100,1,1),
(5258,10112992,'Increases STA of caster by 95.8',100,1,2),
(5259,10112992,'Adds 4.3% to base avoidance.',100,1,3),
(5260,10112992,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,4),
(5261,10112992,'Increases Defense and Aggression of caster by 18.5',100,1,5),
(5262,10112992,'Increases Mitigation of caster vs arcane damage by 1232',100,1,6),
(5263,10112992,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(5264,104930,'Inflicts 4303 - 6493 ranged damage on target',100,1,0),
(5265,104930,'Decreases Deflection and Parry of target by 52.1',100,1,1),
(5266,104930,'Requires bow',100,1,2),
(5267,10104930,'Inflicts 2357 - 3652 ranged damage on target',100,1,0),
(5268,10104930,'Decreases Deflection and Parry of target by 52.1',100,1,1),
(5269,10104930,'Requires bow',100,1,2),
(5270,106817,'Decreases STR and AGI of target encounter by 153.0',100,1,0),
(5271,10106817,'Decreases STR and AGI of target encounter by 153.0',100,1,0),
(5272,111094,'Heals target for 300 - 366',100,1,0),
(5273,111094,'This effect cannot be critically applied.',100,2,1),
(5274,111094,'Increases Mitigation of target vs physical damage by 84',100,1,2),
(5275,111094,'The healing of this spell cannot be modified except by direct means',100,1,3),
(5276,10111094,'Heals target for 139 - 170',100,1,0),
(5277,10111094,'This effect cannot be critically applied.',100,2,1),
(5278,10111094,'Increases Mitigation of target vs physical damage by 84',100,1,2),
(5279,10111094,'The healing of this spell cannot be modified except by direct means',100,1,3),
(5280,116527,'Increases Mitigation of target vs physical damage by 414',100,1,0),
(5281,116527,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(5282,10116527,'Increases Mitigation of target vs physical damage by 414',100,1,0),
(5283,10116527,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(5284,100742,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(5285,100742,'Heals target for 995',100,2,1),
(5286,100742,'Increases power of target by 230 every 6 seconds',100,2,2),
(5287,100742,'Wards target against 1224 points of all damage',100,2,3),
(5288,100742,'Grants a total of 1 trigger of the spell.',100,2,4),
(5289,10100742,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(5290,10100742,'Heals target for 510',100,2,1),
(5291,10100742,'Increases power of target by 181 every 6 seconds',100,2,2),
(5292,10100742,'Wards target against 965 points of all damage',100,2,3),
(5293,10100742,'Grants a total of 1 trigger of the spell.',100,2,4),
(5294,105130,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(5295,105130,'Summon 1 Crystallized Essence (Adept)',100,2,1),
(5296,10105130,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(5297,10105130,'Summon 1 Crystallized Essence (Adept)',100,2,1),
(5298,72090,'When Equipped:',100,0,0),
(5299,72090,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5300,72090,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(5301,72090,'Cannot be modified except by direct means',100,2,3),
(5302,10072090,'When Equipped:',100,0,0),
(5303,10072090,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5304,10072090,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(5305,10072090,'Cannot be modified except by direct means',100,2,3),
(5306,82666,'When Equipped:',100,0,0),
(5307,82666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5308,82666,'Inflicts 151 - 280 magic damage on target',100,2,2),
(5309,82666,'Cannot be modified except by direct means',100,2,3),
(5310,10082666,'When Equipped:',100,0,0),
(5311,10082666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5312,10082666,'Inflicts 151 - 280 magic damage on target',100,2,2),
(5313,10082666,'Cannot be modified except by direct means',100,2,3),
(5314,84359,'When Equipped:',100,0,0),
(5315,84359,'On a combat hit this spell may cast Sharpened Velocity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5316,84359,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(5317,84359,'Adds 150 combat art damage.',100,2,3),
(5318,84359,'Increases Attack Speed of caster by 10.0',100,2,4),
(5319,84359,'Increases Damage Per Second of caster by 25.0',100,2,5),
(5320,84359,'Cannot be modified except by direct means',100,2,6),
(5321,10084359,'When Equipped:',100,0,0),
(5322,10084359,'On a combat hit this spell may cast Sharpened Velocity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5323,10084359,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(5324,10084359,'Adds 150 combat art damage.',100,2,3),
(5325,10084359,'Increases Attack Speed of caster by 10.0',100,2,4),
(5326,10084359,'Increases Damage Per Second of caster by 25.0',100,2,5),
(5327,10084359,'Cannot be modified except by direct means',100,2,6),
(5328,116377,'Heals target for 678 - 829',100,1,0),
(5329,116377,'Heals target for 170 - 207 every 2 seconds',100,1,1),
(5330,10116377,'Heals target for 343 - 363',100,1,0),
(5331,10116377,'Heals target for 87 - 106 every 2 seconds',100,1,1),
(5332,108889,'Inflicts 3661 - 5424 melee damage on target',100,1,0),
(5333,108889,'Decreases INT of target by 253.4',100,1,1),
(5334,10108889,'Inflicts 2505 - 3895 melee damage on target',100,1,0),
(5335,10108889,'Decreases INT of target by 253.4',100,1,1),
(5336,103836,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(5337,103836,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(5338,103836,'Increases Ability Casting Speed of raid and group members (AE) by 7.2%',100,1,2),
(5339,103836,'Increases Attack Speed of raid and group members (AE) by 17.9',100,1,3),
(5340,10103836,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(5341,10103836,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(5342,10103836,'Increases Ability Casting Speed of raid and group members (AE) by 7.2%',100,1,2),
(5343,10103836,'Increases Attack Speed of raid and group members (AE) by 17.9',100,1,3),
(5344,168889,'When Equipped:',100,0,0),
(5345,168889,'Increases Attack Speed of caster by 40.0',100,1,1),
(5346,10168889,'When Equipped:',100,0,0),
(5347,10168889,'Increases Attack Speed of caster by 40.0',100,1,1),
(5348,45768,'Applies Exceptional Fishing Technique when Activated.',100,0,0),
(5349,45768,'Reduces the harvest time for fishing by 1.5 seconds.',100,1,1),
(5350,10045768,'Applies Exceptional Fishing Technique when Activated.',100,0,0),
(5351,10045768,'Reduces the harvest time for fishing by 1.5 seconds.',100,1,1),
(5352,110103,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(5353,110103,'Inflicts 109 disease damage on target',100,2,1),
(5354,110103,'Heals caster for 41',100,2,2),
(5355,110103,'Decreases INT of target by 109.5',100,1,3),
(5356,110103,'Decreases Attack Speed of target by 25.0',100,1,4),
(5357,110103,'Increases Max Health of target by 9.5%',100,1,5),
(5358,110103,'Increases Hate Gain of target by 25.7%',100,1,6),
(5359,110103,'Increases Aggression of target by 8.0',100,1,7),
(5360,110103,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(5361,110103,'Increases Threat to target encounter by 387 - 474 ',100,2,9),
(5362,110103,'Increases Mitigation of target vs elemental, noxious and arcane damage by 532',100,1,10),
(5363,10110103,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(5364,10110103,'Inflicts 86 disease damage on target',100,2,1),
(5365,10110103,'Heals caster for 21',100,2,2),
(5366,10110103,'Decreases INT of target by 109.5',100,1,3),
(5367,10110103,'Decreases Attack Speed of target by 25.0',100,1,4),
(5368,10110103,'Increases Max Health of target by 9.5%',100,1,5),
(5369,10110103,'Increases Aggression of target by 8.0',100,1,6),
(5370,10110103,'Increases Mitigation of target vs elemental, noxious and arcane damage by 532',100,1,7),
(5371,177581,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(5372,177581,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(5373,177581,'Inflicts 124 heat damage on target',100,2,2),
(5374,177581,'Cannot be modified except by direct means',100,2,3),
(5375,10177581,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(5376,10177581,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(5377,10177581,'Inflicts 124 heat damage on target',100,2,2),
(5378,10177581,'Cannot be modified except by direct means',100,2,3),
(5379,45766,'Applies Incapacitate Clockwork when Activated.',100,0,0),
(5380,10045766,'Applies Incapacitate Clockwork when Activated.',100,0,0),
(5381,51668,'When Equipped:',100,0,0),
(5382,51668,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(5383,51668,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,2),
(5384,51668,'Must not be engaged in pvp combat',100,2,3),
(5385,51668,'Cannot be modified except by direct means',100,2,4),
(5386,51668,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(5387,51668,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,6),
(5388,51668,'Must not be engaged in pvp combat',100,2,7),
(5389,51668,'Cannot be modified except by direct means',100,2,8),
(5390,51668,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(5391,51668,'Cannot be modified except by direct means',100,1,10),
(5392,10051668,'When Equipped:',100,0,0),
(5393,10051668,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(5394,10051668,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,2),
(5395,10051668,'Must not be engaged in pvp combat',100,2,3),
(5396,10051668,'Cannot be modified except by direct means',100,2,4),
(5397,10051668,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(5398,10051668,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,6),
(5399,10051668,'Must not be engaged in pvp combat',100,2,7),
(5400,10051668,'Cannot be modified except by direct means',100,2,8),
(5401,10051668,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(5402,10051668,'Cannot be modified except by direct means',100,1,10),
(5403,136424,'When Equipped:',100,0,0),
(5404,136424,'Increases damage done by combat arts by up to 45.',100,1,1),
(5405,10136424,'When Equipped:',100,0,0),
(5406,10136424,'Increases damage done by combat arts by up to 45.',100,1,1),
(5407,118561,'Dazes caster',100,1,0),
(5408,118561,'Roots caster',100,1,1),
(5409,118561,'Increases Mitigation of caster vs physical damage by 1026',100,1,2),
(5410,10118561,'Dazes caster',100,1,0),
(5411,10118561,'Roots caster',100,1,1),
(5412,10118561,'Increases Mitigation of caster vs physical damage by 1026',100,1,2),
(5413,111910,'Inflicts 115 - 192 piercing damage on target instantly and every 4 seconds',100,1,0),
(5414,111910,'Inflicts 838 - 1388 piercing damage on target',100,1,1),
(5415,10111910,'Inflicts 151 - 252 piercing damage on target instantly and every 4 seconds',100,1,0),
(5416,10111910,'Inflicts 850 - 1150 piercing damage on target',100,1,1),
(5417,74880,'When Equipped:',100,0,0),
(5418,74880,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5419,74880,'Inflicts 217 - 326 magic damage on target',100,2,2),
(5420,74880,'Cannot be modified except by direct means',100,2,3),
(5421,10074880,'When Equipped:',100,0,0),
(5422,10074880,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5423,10074880,'Inflicts 217 - 326 magic damage on target',100,2,2),
(5424,10074880,'Cannot be modified except by direct means',100,2,3),
(5425,105706,'Decreases Attack Speed of target encounter by 18.9',100,1,0),
(5426,105706,'Slows target encounter by 24.4%',100,1,1),
(5427,10105706,'Decreases Attack Speed of target encounter by 18.9',100,1,0),
(5428,10105706,'Slows target encounter by 24.4%',100,1,1),
(5429,109383,'Inflicts 1737 - 3214 melee damage on target',100,1,0),
(5430,109383,'Inflicts 944 - 2789 melee damage on target',100,1,1),
(5431,109383,'Inflicts 1132 - 3347 melee damage on target',100,1,2),
(5432,10109383,'Inflicts 989 - 2153 melee damage on target',100,1,0),
(5433,10109383,'Inflicts 744 - 2198 melee damage on target',100,1,1),
(5434,10109383,'Inflicts 892 - 2638 melee damage on target',100,1,2),
(5435,135391,'When Equipped:',100,0,0),
(5436,135391,'Increases Out-of-Combat Power Regeneration of caster by 10.1',100,1,1),
(5437,135391,'This effect suspends during combat',100,1,2),
(5438,10135391,'When Equipped:',100,0,0),
(5439,10135391,'Increases Out-of-Combat Power Regeneration of caster by 10.1',100,1,1),
(5440,10135391,'This effect suspends during combat',100,1,2),
(5441,184834,'Applies Springview Healer Disguise when Equipped.',100,0,0),
(5442,10184834,'Applies Springview Healer Disguise when Equipped.',100,0,0),
(5443,82573,'When Equipped:',100,0,0),
(5444,82573,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(5445,82573,'Decreases Threat to target by 259 ',100,2,2),
(5446,82573,'Must be flanking or behind',100,3,3),
(5447,82573,'Increases Threat to target by 453 ',100,2,4),
(5448,82573,'Must be in front of',100,3,5),
(5449,82573,'Inflicts 151 - 280 magic damage on target',100,2,6),
(5450,82573,'Cannot be modified except by direct means',100,2,7),
(5451,10082573,'When Equipped:',100,0,0),
(5452,10082573,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(5453,10082573,'Inflicts 151 - 280 magic damage on target',100,2,2),
(5454,10082573,'Cannot be modified except by direct means',100,2,3),
(5455,71389,'When Equipped:',100,0,0),
(5456,71389,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5457,71389,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(5458,71389,'Cannot be modified except by direct means',100,2,3),
(5459,10071389,'When Equipped:',100,0,0),
(5460,10071389,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5461,10071389,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(5462,10071389,'Cannot be modified except by direct means',100,2,3),
(5463,188262,'When Equipped:',100,0,0),
(5464,188262,'1% of all damage received by the caster is prevented.',100,1,1),
(5465,188262,'Must not be engaged in pvp combat',100,1,2),
(5466,10188262,'When Equipped:',100,0,0),
(5467,10188262,'1% of all damage received by the caster is prevented.',100,1,1),
(5468,10188262,'Must not be engaged in pvp combat',100,1,2),
(5469,159669,'When Equipped:',100,0,0),
(5470,159669,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(5471,159669,'Increases STA of caster by 8.8',100,2,2),
(5472,159669,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(5473,159669,'Cannot be modified except by direct means',100,2,4),
(5474,10159669,'When Equipped:',100,0,0),
(5475,10159669,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(5476,10159669,'Increases STA of caster by 8.8',100,2,2),
(5477,10159669,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(5478,10159669,'Cannot be modified except by direct means',100,2,4),
(5479,120938,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(5480,120938,'Inflicts 3888 - 4680 mental damage on target',100,2,1),
(5481,120938,'Grants a total of 3 triggers of the spell.',100,2,2),
(5482,10120938,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(5483,10120938,'Inflicts 2938 - 3562 mental damage on target',100,2,1),
(5484,10120938,'Grants a total of 3 triggers of the spell.',100,2,2),
(5485,113714,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(5486,10113714,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(5487,86246,'When Equipped:',100,0,0),
(5488,86246,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(5489,86246,'Inflicts 1986 disease damage on target encounter',100,2,2),
(5490,86246,'Must not be engaged in pvp combat',100,2,3),
(5491,86246,'Cannot be modified except by direct means',100,2,4),
(5492,10086246,'When Equipped:',100,0,0),
(5493,10086246,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(5494,10086246,'Inflicts 993 disease damage on target encounter',100,2,2),
(5495,10086246,'Must not be engaged in pvp combat',100,2,3),
(5496,10086246,'Cannot be modified except by direct means',100,2,4),
(5497,81902,'When Equipped:',100,0,0),
(5498,81902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5499,81902,'Inflicts 333 - 619 magic damage on target',100,2,2),
(5500,81902,'Cannot be modified except by direct means',100,2,3),
(5501,10081902,'When Equipped:',100,0,0),
(5502,10081902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5503,10081902,'Inflicts 333 - 619 magic damage on target',100,2,2),
(5504,10081902,'Cannot be modified except by direct means',100,2,3),
(5505,117819,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(5506,117819,'Heals target for 364 - 439',100,2,1),
(5507,117819,'Heals target for 91 - 111 every 2 seconds',100,2,2),
(5508,117819,'If over 50% Health',100,3,3),
(5509,117819,'Heals target for 456 - 550',100,2,4),
(5510,117819,'Heals target for 182 - 223 every 2 seconds',100,2,5),
(5511,117819,'If at 50% Health or less',100,3,6),
(5512,10117819,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(5513,10117819,'Heals target for 121 - 128',100,2,1),
(5514,10117819,'Heals target for 35 - 43 every 2 seconds',100,2,2),
(5515,10117819,'If at 50% Health or less',100,3,3),
(5516,10117819,'Heals target for 106 - 111',100,2,4),
(5517,10117819,'Heals target for 21 - 26 every 2 seconds',100,2,5),
(5518,10117819,'If over 50% Health',100,3,6),
(5519,110137,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(5520,110137,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(5521,110137,'Only affects the caster of Guardian''s Sphere',100,2,2),
(5522,110137,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(5523,110137,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(5524,110137,'If not fighter',100,2,5),
(5525,10110137,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(5526,10110137,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(5527,10110137,'Only affects the caster of Guardian''s Sphere',100,2,2),
(5528,10110137,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(5529,10110137,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(5530,10110137,'If not fighter',100,2,5),
(5531,110704,'Heals target for 500 - 611',100,1,0),
(5532,10110704,'Heals target for 279 - 341',100,1,0),
(5533,123515,'Decreases Mitigation of target encounter vs noxious damage by 1070',100,1,0),
(5534,10123515,'Decreases Mitigation of target encounter vs noxious damage by 1070',100,1,0),
(5535,111851,'Inflicts 3759 - 5587 melee damage on target',100,1,0),
(5536,111851,'Roots target',100,1,1),
(5537,111851,'If Target is not Epic',100,2,2),
(5538,111851,'Resistibility increases against targets higher than level 118.',100,1,3),
(5539,10111851,'Inflicts 2367 - 3666 melee damage on target',100,1,0),
(5540,10111851,'Roots target',100,1,1),
(5541,10111851,'If Target is not Epic',100,2,2),
(5542,10111851,'Resistibility increases against targets higher than level 118.',100,1,3),
(5543,121763,'Heals target for 191 - 233',100,1,0),
(5544,121763,'Heals target for 16 - 19 every second',100,1,1),
(5545,10121763,'Heals target for 192 - 235',100,1,0),
(5546,10121763,'Heals target for 11 - 13 every second',100,1,1),
(5547,48601,'Applies Totem of the Great Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(5548,48601,'Grants invisibility to caster',100,1,1),
(5549,48601,'Suspends caster''s movement speed enhancements',100,1,2),
(5550,48601,'Increases stealth or invisible movement speed of caster by 15.0%',100,1,3),
(5551,48601,'Dispelled when target takes damage',100,1,4),
(5552,48601,'This effect cancels during combat',100,1,5),
(5553,48601,'Only affects targets level 30 and above',100,1,6),
(5554,10048601,'Applies Totem of the Great Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(5555,10048601,'Grants invisibility to caster',100,1,1),
(5556,10048601,'Suspends caster''s movement speed enhancements',100,1,2),
(5557,10048601,'Increases stealth or invisible movement speed of caster by 15.0%',100,1,3),
(5558,10048601,'Dispelled when target takes damage',100,1,4),
(5559,10048601,'This effect cancels during combat',100,1,5),
(5560,10048601,'Only affects targets level 30 and above',100,1,6),
(5561,80733,'When Equipped:',100,0,0),
(5562,80733,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5563,80733,'Inflicts 106 - 197 magic damage on target',100,2,2),
(5564,80733,'Cannot be modified except by direct means',100,2,3),
(5565,10080733,'When Equipped:',100,0,0),
(5566,10080733,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5567,10080733,'Inflicts 106 - 197 magic damage on target',100,2,2),
(5568,10080733,'Cannot be modified except by direct means',100,2,3),
(5569,35751,'Increases INT of target by 13.2',100,0,0),
(5570,35751,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(5571,115298,'Summons a limited pet to aid the caster',100,1,0),
(5572,10115298,'Summons a limited pet to aid the caster',100,1,0),
(5573,159456,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(5574,159456,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(5575,159456,'Inflicts 124 heat damage on target',100,2,2),
(5576,159456,'Cannot be modified except by direct means',100,2,3),
(5577,10159456,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(5578,10159456,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(5579,10159456,'Inflicts 124 heat damage on target',100,2,2),
(5580,10159456,'Cannot be modified except by direct means',100,2,3),
(5581,71823,'When Equipped:',100,0,0),
(5582,71823,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5583,71823,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(5584,71823,'Cannot be modified except by direct means',100,2,3),
(5585,10071823,'When Equipped:',100,0,0),
(5586,10071823,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5587,10071823,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(5588,10071823,'Cannot be modified except by direct means',100,2,3),
(5589,106464,'Increases Multi Attack Chance of raid and group members (AE) by 14.4',100,1,0),
(5590,10106464,'Increases Multi Attack Chance of raid and group members (AE) by 14.4',100,1,0),
(5591,35055,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(5592,123574,'Increases STR of group members (AE) by 34.0',100,1,0),
(5593,123574,'Increases Max Health of group members (AE) by 295.4',100,1,1),
(5594,10123574,'Increases STR of group members (AE) by 34.0',100,1,0),
(5595,10123574,'Increases Max Health of group members (AE) by 295.4',100,1,1),
(5596,101662,'Decreases Attack Speed of target by 11.8',100,1,0),
(5597,101662,'Decreases Damage Per Second of target by 7.0',100,1,1),
(5598,10101662,'Decreases Attack Speed of target by 11.8',100,1,0),
(5599,10101662,'Decreases Damage Per Second of target by 7.0',100,1,1),
(5600,104178,'Increases Threat to target encounter by 3,225 - 3,641 ',100,1,0),
(5601,104178,'Interrupts target encounter',100,1,1),
(5602,10104178,'Forces target encounter to change their selected target to caster.',100,1,0),
(5603,10104178,'Interrupts target encounter',100,1,1),
(5604,10104178,'Prevents target encounter from changing targets',100,1,2),
(5605,104991,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(5606,104991,'Reduces physical damage done to caster by 5%',100,1,1),
(5607,104991,'Adds 1.7% to base avoidance.',100,1,2),
(5608,104991,'Caster will deflect 11.0% of incoming attacks.',100,1,3),
(5609,104991,'Increases Parry of caster by 14.5',100,1,4),
(5610,104991,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,5),
(5611,104991,'Increases Aggression of caster by 8.7',100,1,6),
(5612,104991,'Increases Defense and Deflection of caster by 14.5',100,1,7),
(5613,104991,'Increases Mitigation of caster vs arcane damage by 968',100,1,8),
(5614,104991,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(5615,10104991,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(5616,10104991,'Reduces physical damage done to caster by 5%',100,1,1),
(5617,10104991,'Adds 1.7% to base avoidance.',100,1,2),
(5618,10104991,'Caster will deflect 11.0% of incoming attacks.',100,1,3),
(5619,10104991,'Increases Parry of caster by 14.5',100,1,4),
(5620,10104991,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,5),
(5621,10104991,'Increases Aggression of caster by 8.7',100,1,6),
(5622,10104991,'Increases Defense and Deflection of caster by 14.5',100,1,7),
(5623,10104991,'Increases Mitigation of caster vs arcane damage by 968',100,1,8),
(5624,10104991,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(5625,81747,'When Equipped:',100,0,0),
(5626,81747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5627,81747,'Inflicts 210 - 391 magic damage on target',100,2,2),
(5628,81747,'Cannot be modified except by direct means',100,2,3),
(5629,10081747,'When Equipped:',100,0,0),
(5630,10081747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5631,10081747,'Inflicts 210 - 391 magic damage on target',100,2,2),
(5632,10081747,'Cannot be modified except by direct means',100,2,3),
(5633,115161,'Heals target for 654 - 799',100,1,0),
(5634,10115161,'Heals target for 607 - 742',100,1,0),
(5635,118263,'Increases Threat to target encounter by 1,722 - 2,105 ',100,1,0),
(5636,118263,'Decreases Mitigation of target encounter vs arcane damage by 396',100,1,1),
(5637,10118263,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(5638,10118263,'Prevents target from changing targets',100,2,1),
(5639,10118263,'Forces target to change their selected target to caster.',100,2,2),
(5640,10118263,'Decreases Mitigation of target encounter vs arcane damage by 396',100,1,3),
(5641,80727,'When Equipped:',100,0,0),
(5642,80727,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(5643,80727,'Decreases Threat to target by 236 ',100,2,2),
(5644,80727,'Must be flanking or behind',100,3,3),
(5645,80727,'Increases Threat to target by 414 ',100,2,4),
(5646,80727,'Must be in front of',100,3,5),
(5647,80727,'Inflicts 106 - 197 magic damage on target',100,2,6),
(5648,80727,'Cannot be modified except by direct means',100,2,7),
(5649,10080727,'When Equipped:',100,0,0),
(5650,10080727,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(5651,10080727,'Inflicts 106 - 197 magic damage on target',100,2,2),
(5652,10080727,'Cannot be modified except by direct means',100,2,3),
(5653,42835,'When Equipped:',100,0,0),
(5654,42835,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(5655,42835,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(5656,42835,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(5657,42835,'Inflicts 783 - 866 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(5658,42835,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,5),
(5659,42835,'Must not be engaged in pvp combat',100,2,6),
(5660,42835,'Cannot be modified except by direct means',100,2,7),
(5661,42835,'Cannot be modified except by direct means',100,1,8),
(5662,10042835,'When Equipped:',100,0,0),
(5663,10042835,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(5664,10042835,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(5665,10042835,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(5666,10042835,'Inflicts 783 - 866 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(5667,10042835,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,5),
(5668,10042835,'Must not be engaged in pvp combat',100,2,6),
(5669,10042835,'Cannot be modified except by direct means',100,2,7),
(5670,10042835,'Cannot be modified except by direct means',100,1,8),
(5671,80531,'When Equipped:',100,0,0),
(5672,80531,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(5673,80531,'Decreases Threat to target by 1,219 ',100,2,2),
(5674,80531,'Must be flanking or behind',100,3,3),
(5675,80531,'Increases Threat to target by 1,679 ',100,2,4),
(5676,80531,'Must be in front of',100,3,5),
(5677,80531,'Inflicts 632 - 1174 magic damage on target',100,2,6),
(5678,80531,'Cannot be modified except by direct means',100,2,7),
(5679,10080531,'When Equipped:',100,0,0),
(5680,10080531,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(5681,10080531,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(5682,10080531,'Cannot be modified except by direct means',100,2,3),
(5683,107767,'Stuns target',100,1,0),
(5684,107767,'If Target is not Epic',100,2,1),
(5685,107767,'Inflicts 4702 - 7182 cold damage on target',100,1,2),
(5686,107767,'Resistibility increases against targets higher than level 101.',100,1,3),
(5687,10107767,'Stuns target',100,1,0),
(5688,10107767,'If Target is not Epic',100,2,1),
(5689,10107767,'Inflicts 3326 - 5281 cold damage on target',100,1,2),
(5690,10107767,'Resistibility increases against targets higher than level 101.',100,1,3),
(5691,51471,'When Equipped:',100,0,0),
(5692,51471,'Reduces power cost of all spells by 2 percent.',100,1,1),
(5693,10051471,'When Equipped:',100,0,0),
(5694,10051471,'Reduces power cost of all spells by 2 percent.',100,1,1),
(5695,118122,'Heals target for 2149 - 2626',100,1,0),
(5696,10118122,'Heals target for 1591 - 1887',100,1,0),
(5697,48362,'Applies Operate Sympho-Recalibrator when Activated.',100,0,0),
(5698,48362,'This effect cannot be cast during combat',100,1,1),
(5699,10048362,'Applies Operate Sympho-Recalibrator when Activated.',100,0,0),
(5700,10048362,'This effect cannot be cast during combat',100,1,1),
(5701,52708,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(5702,52708,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(5703,52708,'Inflicts 61 heat damage on target',100,2,2),
(5704,52708,'Cannot be modified except by direct means',100,2,3),
(5705,10052708,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(5706,10052708,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(5707,10052708,'Inflicts 61 heat damage on target',100,2,2),
(5708,10052708,'Cannot be modified except by direct means',100,2,3),
(5709,79847,'When Equipped:',100,0,0),
(5710,79847,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(5711,79847,'Reduces healing received by 15.00%',100,2,2),
(5712,79847,'Cannot be modified except by direct means',100,2,3),
(5713,79847,'This effect can only trigger once every 1 second.',100,2,4),
(5714,79847,'Must be engaged in pvp combat',100,1,5),
(5715,10079847,'When Equipped:',100,0,0),
(5716,10079847,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(5717,10079847,'Reduces healing received by 15.00%',100,2,2),
(5718,10079847,'Cannot be modified except by direct means',100,2,3),
(5719,10079847,'This effect can only trigger once every 1 second.',100,2,4),
(5720,10079847,'Must be engaged in pvp combat',100,1,5),
(5721,80764,'When Equipped:',100,0,0),
(5722,80764,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5723,80764,'Inflicts 261 - 484 magic damage on target',100,2,2),
(5724,80764,'Cannot be modified except by direct means',100,2,3),
(5725,10080764,'When Equipped:',100,0,0),
(5726,10080764,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5727,10080764,'Inflicts 261 - 484 magic damage on target',100,2,2),
(5728,10080764,'Cannot be modified except by direct means',100,2,3),
(5729,47843,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(5730,47843,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(5731,47843,'Inflicts 169 poison damage on target instantly and every 6 seconds',100,2,2),
(5732,47843,'Cannot be modified except by direct means',100,2,3),
(5733,47843,'Grants a total of 4 triggers of the spell.',100,2,4),
(5734,10047843,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(5735,10047843,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(5736,10047843,'Inflicts 126 poison damage on target instantly and every 6 seconds',100,2,2),
(5737,10047843,'Cannot be modified except by direct means',100,2,3),
(5738,10047843,'Grants a total of 4 triggers of the spell.',100,2,4),
(5739,80617,'When Equipped:',100,0,0),
(5740,80617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5741,80617,'Inflicts 96 - 178 magic damage on target',100,2,2),
(5742,80617,'Cannot be modified except by direct means',100,2,3),
(5743,10080617,'When Equipped:',100,0,0),
(5744,10080617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5745,10080617,'Inflicts 96 - 178 magic damage on target',100,2,2),
(5746,10080617,'Cannot be modified except by direct means',100,2,3),
(5747,101026,'Inflicts 3187 - 5638 poison damage on target encounter',100,1,0),
(5748,101026,'Inflicts 2860 - 5311 poison damage on target encounter every 1.5 seconds',100,1,1),
(5749,10101026,'Inflicts 1899 - 3415 poison damage on target encounter',100,1,0),
(5750,10101026,'Inflicts 1768 - 3283 poison damage on target encounter every 1.5 seconds',100,1,1),
(5751,45377,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(5752,45377,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(5753,45377,'Inflicts 163 poison damage on target',100,2,2),
(5754,45377,'Inflicts 27 poison damage on target instantly and every 6 seconds',100,2,3),
(5755,45377,'Cannot be modified except by direct means',100,2,4),
(5756,45377,'Grants a total of 200 triggers of the spell.',100,2,5),
(5757,10045377,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(5758,10045377,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(5759,10045377,'Inflicts 20 poison damage on target instantly and every 6 seconds',100,2,2),
(5760,10045377,'Inflicts 123 poison damage on target',100,2,3),
(5761,10045377,'Cannot be modified except by direct means',100,2,4),
(5762,10045377,'Grants a total of 200 triggers of the spell.',100,2,5),
(5763,104774,'Inflicts 1025 disease damage on target',100,1,0),
(5764,104774,'Inflicts 89 disease damage on target every 4 seconds',100,1,1),
(5765,104774,'Inflicts 89 disease damage on target instantly and every 4 seconds',100,1,2),
(5766,104774,'If target is nightblood',100,2,3),
(5767,104774,'Inflicts 89 disease damage on target instantly and every 4 seconds',100,1,4),
(5768,104774,'If target is shadowed folk',100,2,5),
(5769,10104774,'Inflicts 465 disease damage on target',100,1,0),
(5770,10104774,'Inflicts 70 disease damage on target every 4 seconds',100,1,1),
(5771,10104774,'Inflicts 70 disease damage on target instantly and every 4 seconds',100,1,2),
(5772,10104774,'If target is nightblood',100,2,3),
(5773,10104774,'Inflicts 70 disease damage on target instantly and every 4 seconds',100,1,4),
(5774,10104774,'If target is shadowed folk',100,2,5),
(5775,117092,'Mesmerizes target encounter',100,1,0),
(5776,117092,'Prevents AOE (except when direct) ',100,1,1),
(5777,117092,'Dispelled when target takes damage',100,1,2),
(5778,117092,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(5779,117092,'Resistibility increases against targets higher than level 54.',100,1,4),
(5780,10117092,'Mesmerizes target encounter',100,1,0),
(5781,10117092,'Prevents AOE (except when direct) ',100,1,1),
(5782,10117092,'Dispelled when target takes damage',100,1,2),
(5783,10117092,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(5784,10117092,'Resistibility increases against targets higher than level 54.',100,1,4),
(5785,115949,'Inflicts 6122 - 9506 melee damage on target',100,1,0),
(5786,115949,'Roots target',100,1,1),
(5787,115949,'If Target is not Epic',100,2,2),
(5788,115949,'5% chance to dispel when target takes damage',100,1,3),
(5789,115949,'Resistibility increases against targets higher than level 102.',100,1,4),
(5790,10115949,'Inflicts 4445 - 7112 melee damage on target',100,1,0),
(5791,10115949,'Roots target',100,1,1),
(5792,10115949,'If Target is not Epic',100,2,2),
(5793,10115949,'5% chance to dispel when target takes damage',100,1,3),
(5794,10115949,'Resistibility increases against targets higher than level 102.',100,1,4),
(5795,155197,'When Equipped:',100,0,0),
(5796,155197,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(5797,155197,'Must not be engaged in pvp combat',100,1,2),
(5798,10155197,'When Equipped:',100,0,0),
(5799,10155197,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(5800,10155197,'Must not be engaged in pvp combat',100,1,2),
(5801,122535,'Heals caster for 750',100,1,0),
(5802,122535,'Inflicts 2564 - 3929 melee damage on target',100,1,1),
(5803,10122535,'Heals caster for 692',100,1,0),
(5804,10122535,'Inflicts 1831 - 2907 melee damage on target',100,1,1),
(5805,120043,'Decreases power of target encounter by 237 instantly and every 4 seconds',100,1,0),
(5806,120043,'Inflicts 1039 - 1197 mental damage on target encounter',100,1,1),
(5807,120043,'Inflicts 712 - 870 mental damage on target encounter every 4 seconds',100,1,2),
(5808,10120043,'Decreases power of target encounter by 187 instantly and every 4 seconds',100,1,0),
(5809,10120043,'Inflicts 692 - 817 mental damage on target encounter',100,1,1),
(5810,10120043,'Inflicts 561 - 686 mental damage on target encounter every 4 seconds',100,1,2),
(5811,188662,'When Equipped:',100,0,0),
(5812,188662,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(5813,188662,'Increases power of caster by 114',100,2,2),
(5814,188662,'Cannot be modified except by direct means',100,2,3),
(5815,10188662,'When Equipped:',100,0,0),
(5816,10188662,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(5817,10188662,'Increases power of caster by 114',100,2,2),
(5818,10188662,'Cannot be modified except by direct means',100,2,3),
(5819,105273,'Increases Threat to target by 6,999 ',100,1,0),
(5820,105273,'Interrupts target',100,1,1),
(5821,105273,'Dispels 173 levels of arcane beneficial effects on target',100,1,2),
(5822,10105273,'Forces target to change their selected target to caster.',100,1,0),
(5823,10105273,'Interrupts target',100,1,1),
(5824,10105273,'Dispels 173 levels of arcane beneficial effects on target',100,1,2),
(5825,102082,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(5826,102082,'Stuns target',100,2,1),
(5827,102082,'Blurs vision of target',100,2,2),
(5828,102082,'Throws target back',100,2,3),
(5829,102082,'Does not affect Epic targets',100,2,4),
(5830,102082,'Inflicts 44 - 73 crushing damage on target',100,1,5),
(5831,10102082,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(5832,10102082,'Stuns target',100,2,1),
(5833,10102082,'Blurs vision of target',100,2,2),
(5834,10102082,'Throws target back',100,2,3),
(5835,10102082,'Does not affect Epic targets',100,2,4),
(5836,10102082,'Inflicts 35 - 58 crushing damage on target',100,1,5),
(5837,47127,'Applies Blagro''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(5838,47127,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(5839,10047127,'Applies Blagro''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(5840,10047127,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(5841,26630,'When Equipped:',100,0,0),
(5842,26630,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,1),
(5843,26630,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(5844,10026630,'When Equipped:',100,0,0),
(5845,10026630,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,1),
(5846,10026630,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(5847,71868,'When Equipped:',100,0,0),
(5848,71868,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5849,71868,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(5850,71868,'Cannot be modified except by direct means',100,2,3),
(5851,10071868,'When Equipped:',100,0,0),
(5852,10071868,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(5853,10071868,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(5854,10071868,'Cannot be modified except by direct means',100,2,3),
(5855,102646,'Inflicts 1573 - 2359 melee damage on target',100,1,0),
(5856,102646,'Inflicts 327 heat damage on target every 6 seconds',100,1,1),
(5857,10102646,'Inflicts 1063 - 1503 melee damage on target',100,1,0),
(5858,10102646,'Inflicts 258 heat damage on target every 6 seconds',100,1,1),
(5859,108043,'Inflicts 1627 magic damage on target',100,1,0),
(5860,108043,'Increases power of caster by 114',100,1,1),
(5861,10108043,'Inflicts 1249 magic damage on target',100,1,0),
(5862,10108043,'Increases power of caster by 114',100,1,1),
(5863,110679,'Heals target for 2962',100,1,0),
(5864,110679,'Dispels 62 levels of any hostile effects on target',100,1,1),
(5865,10110679,'Heals target for 1270',100,1,0),
(5866,10110679,'Dispels 62 levels of any hostile effects on target',100,1,1),
(5867,88282,'When Equipped:',100,0,0),
(5868,88282,'Increases Crit Chance of caster by 5.0',100,1,1),
(5869,88282,'On a healing spell cast this spell may cast Furious Spirit on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(5870,88282,'Increases STR and AGI of target by 116.6',100,2,3),
(5871,88282,'Increases Max Power of target by 10.0%',100,2,4),
(5872,88282,'Increases Max Health of target by 10.0%',100,2,5),
(5873,88282,'Cannot be modified except by direct means',100,2,6),
(5874,88282,'Increases Max Power of caster by 5.0%',100,1,7),
(5875,10088282,'When Equipped:',100,0,0),
(5876,10088282,'Increases Crit Chance of caster by 5.0',100,1,1),
(5877,10088282,'On a healing spell cast this spell may cast Furious Spirit on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(5878,10088282,'Increases STR and AGI of target by 116.6',100,2,3),
(5879,10088282,'Increases Max Power of target by 10.0%',100,2,4),
(5880,10088282,'Increases Max Health of target by 10.0%',100,2,5),
(5881,10088282,'Cannot be modified except by direct means',100,2,6),
(5882,10088282,'Increases Max Power of caster by 5.0%',100,1,7),
(5883,83726,'When Equipped:',100,0,0),
(5884,83726,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5885,83726,'Inflicts 50 - 62 mental damage on target',100,2,2),
(5886,83726,'Cannot be modified except by direct means',100,2,3),
(5887,10083726,'When Equipped:',100,0,0),
(5888,10083726,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5889,10083726,'Inflicts 50 - 62 mental damage on target',100,2,2),
(5890,10083726,'Cannot be modified except by direct means',100,2,3),
(5891,118782,'Wards group members (AE) against 19 points of physical damage',100,1,0),
(5892,118782,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,1),
(5893,10118782,'Wards group members (AE) against 16 points of physical damage',100,1,0),
(5894,10118782,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,1),
(5895,106443,'Increases Multi Attack Chance of raid and group members (AE) by 4.6',100,1,0),
(5896,10106443,'Increases Multi Attack Chance of raid and group members (AE) by 4.6',100,1,0),
(5897,80664,'When Equipped:',100,0,0),
(5898,80664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5899,80664,'Inflicts 96 - 178 magic damage on target',100,2,2),
(5900,80664,'Cannot be modified except by direct means',100,2,3),
(5901,10080664,'When Equipped:',100,0,0),
(5902,10080664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5903,10080664,'Inflicts 96 - 178 magic damage on target',100,2,2),
(5904,10080664,'Cannot be modified except by direct means',100,2,3),
(5905,45276,'Applies Illusion: Wood Elf when Activated.  Lasts for 6 hours.',100,0,0),
(5906,45276,'Shapechanges caster into a wood elf',100,1,1),
(5907,10045276,'Applies Illusion: Wood Elf when Activated.  Lasts for 6 hours.',100,0,0),
(5908,10045276,'Shapechanges caster into a wood elf',100,1,1),
(5909,45922,'Applies trauma remedy when Activated.',100,0,0),
(5910,45922,'Dispels 88 levels of physical hostile effects on caster',100,1,1),
(5911,10045922,'Applies trauma remedy when Activated.',100,0,0),
(5912,10045922,'Dispels 88 levels of physical hostile effects on caster',100,1,1),
(5913,115478,'Summons a pet nightshade',100,1,0),
(5914,10115478,'Summons a pet nightshade',100,1,0),
(5915,166579,'When Equipped:',100,0,0),
(5916,166579,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5917,166579,'Decreases power of target by 226',100,2,2),
(5918,166579,'Increases power of caster by 150',100,2,3),
(5919,166579,'Cannot be modified except by direct means',100,2,4),
(5920,10166579,'When Equipped:',100,0,0),
(5921,10166579,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(5922,10166579,'Decreases power of target by 226',100,2,2),
(5923,10166579,'Increases power of caster by 150',100,2,3),
(5924,10166579,'Cannot be modified except by direct means',100,2,4),
(5925,144044,'When Equipped:',100,0,0),
(5926,144044,'When a combat art is used this spell will cast Major Arrhythmia on target of combat art.  ',100,1,1),
(5927,144044,'Inflicts 160 magic damage on target',100,2,2),
(5928,144044,'Cannot be modified except by direct means',100,2,3),
(5929,10144044,'When Equipped:',100,0,0),
(5930,10144044,'When a combat art is used this spell will cast Major Arrhythmia on target of combat art.  ',100,1,1),
(5931,10144044,'Inflicts 160 magic damage on target',100,2,2),
(5932,10144044,'Cannot be modified except by direct means',100,2,3),
(5933,110983,'Inflicts 12286 - 19739 ranged damage on target',100,1,0),
(5934,110983,'I need to be stealthed!',100,1,1),
(5935,110983,'Requires bow',100,1,2),
(5936,10110983,'Inflicts 5406 - 8710 ranged damage on target',100,1,0),
(5937,10110983,'I need to be stealthed!',100,1,1),
(5938,10110983,'Requires bow',100,1,2),
(5939,153214,'When Equipped:',100,0,0),
(5940,153214,'Increases Attack Speed of caster by 45.0',100,1,1),
(5941,10153214,'When Equipped:',100,0,0),
(5942,10153214,'Increases Attack Speed of caster by 45.0',100,1,1),
(5943,115756,'Inflicts 454 - 752 melee damage on target',100,1,0),
(5944,10115756,'Inflicts 362 - 601 melee damage on target',100,1,0),
(5945,102750,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(5946,102750,'Stuns target',100,2,1),
(5947,102750,'If Target is not Epic',100,3,2),
(5948,102750,'Inflicts 1226 - 2043 divine damage on target',100,2,3),
(5949,102750,'Inflicts 1051 - 1751 divine damage on target',100,2,4),
(5950,102750,'If target is undead',100,3,5),
(5951,10102750,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(5952,10102750,'Stuns target',100,2,1),
(5953,10102750,'Inflicts 1449 - 2415 divine damage on target',100,2,2),
(5954,10102750,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(5955,113025,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(5956,113025,'Inflicts 1109 - 3141 melee damage on target',100,2,1),
(5957,113025,'Stuns target',40,2,2),
(5958,113025,'If Target is not Epic',100,3,3),
(5959,113025,'Resistibility increases against targets higher than level 107.',100,2,4),
(5960,10113025,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(5961,10113025,'Inflicts 873 - 2349 melee damage on target',100,2,1),
(5962,36851,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(5963,179243,'When Equipped:',100,0,0),
(5964,179243,'When a combat art is used this spell has a 9% chance to cast Thirst of the Dar Assassin on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(5965,179243,'Increases Damage Per Second of caster by 25.0',100,2,2),
(5966,179243,'Cannot be modified except by direct means',100,2,3),
(5967,179243,'Increases Ability Modifier of caster by 55.0',100,1,4),
(5968,10179243,'When Equipped:',100,0,0),
(5969,10179243,'When a combat art is used this spell has a 9% chance to cast Thirst of the Dar Assassin on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(5970,10179243,'Increases Damage Per Second of caster by 25.0',100,2,2),
(5971,10179243,'Cannot be modified except by direct means',100,2,3),
(5972,10179243,'Increases Ability Modifier of caster by 55.0',100,1,4),
(5973,108588,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(5974,108588,'Increases INT, WIS, AGI and STR of group members (AE) by 31.2',100,2,1),
(5975,108588,'Increases STA of group members (AE) by 62.4',100,2,2),
(5976,108588,'Adds 0.8% to base avoidance.',100,2,3),
(5977,108588,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 80',100,2,4),
(5978,108588,'Heals group members (AE) for 246 - 300 instantly and every 3 seconds',100,2,5),
(5979,108588,'Increases Mitigation of group members (AE) vs arcane damage by 80',100,2,6),
(5980,10108588,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(5981,10108588,'Increases INT, WIS, AGI and STR of group members (AE) by 31.2',100,2,1),
(5982,10108588,'Increases STA of group members (AE) by 62.4',100,2,2),
(5983,10108588,'Adds 0.8% to base avoidance.',100,2,3),
(5984,10108588,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 80',100,2,4),
(5985,10108588,'Heals group members (AE) for 126 - 154 instantly and every 3 seconds',100,2,5),
(5986,10108588,'Increases Mitigation of group members (AE) vs arcane damage by 80',100,2,6),
(5987,117869,'Heals target for 1410 - 1505',100,1,0),
(5988,117869,'Heals target for 427 - 522 every 2 seconds',100,1,1),
(5989,10117869,'Heals target for 475 - 524',100,1,0),
(5990,10117869,'Heals target for 219 - 268 every 2 seconds',100,1,1),
(5991,49024,'Applies Vampiric Toothache when Activated.  Lasts for 2 hours 24 minutes.',100,0,0),
(5992,49024,'A drink with a little bite',100,1,1),
(5993,10049024,'Applies Vampiric Toothache when Activated.  Lasts for 2 hours 24 minutes.',100,0,0),
(5994,10049024,'A drink with a little bite',100,1,1),
(5995,100834,'Wards target against 1109 points of all damage',100,1,0),
(5996,10100834,'Wards target against 1400 points of all damage',100,1,0),
(5997,115888,'Inflicts 89 - 109 disease damage on target encounter',100,1,0),
(5998,115888,'Inflicts 49 - 59 disease damage on target encounter every 3 seconds',100,1,1),
(5999,10115888,'Inflicts 90 - 110 disease damage on target encounter',100,1,0),
(6000,10115888,'Inflicts 38 - 47 disease damage on target encounter every 3 seconds',100,1,1),
(6001,48341,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(6002,48341,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(6003,48341,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(6004,48341,'This Winter Reward potion can only be used once per character.',100,1,3),
(6005,48341,'Increases Combat XP Gain of caster by 100.0%',100,1,4),
(6006,48341,'You can only have one experience potion active at a time.',100,1,5),
(6007,10048341,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(6008,10048341,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(6009,10048341,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(6010,10048341,'This Winter Reward potion can only be used once per character.',100,1,3),
(6011,10048341,'Increases Combat XP Gain of caster by 100.0%',100,1,4),
(6012,10048341,'You can only have one experience potion active at a time.',100,1,5),
(6013,115135,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(6014,115135,'Heals target for 2524',100,2,1),
(6015,115135,'Heals target for 630 every 2 seconds',100,2,2),
(6016,115135,'Increases WIS of target by 79.2',100,2,3),
(6017,115135,'Grants a total of 1 trigger of the spell.',100,2,4),
(6018,10115135,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(6019,10115135,'Heals target for 1293',100,2,1),
(6020,10115135,'Heals target for 323 every 2 seconds',100,2,2),
(6021,10115135,'Increases WIS of target by 79.2',100,2,3),
(6022,10115135,'Grants a total of 1 trigger of the spell.',100,2,4),
(6023,71650,'When Equipped:',100,0,0),
(6024,71650,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6025,71650,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(6026,71650,'Cannot be modified except by direct means',100,2,3),
(6027,10071650,'When Equipped:',100,0,0),
(6028,10071650,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6029,10071650,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(6030,10071650,'Cannot be modified except by direct means',100,2,3),
(6031,118713,'Inflicts 405 - 633 slashing damage on target',100,1,0),
(6032,118713,'Decreases Slashing, Crushing and Piercing of target by 4.1',100,1,1),
(6033,118713,'Inflicts 87 - 106 slashing damage on target every 5 seconds',100,1,2),
(6034,10118713,'Inflicts 360 - 559 slashing damage on target',100,1,0),
(6035,10118713,'Decreases Slashing, Crushing and Piercing of target by 4.1',100,1,1),
(6036,10118713,'Inflicts 68 - 84 slashing damage on target every 5 seconds',100,1,2),
(6037,121273,'Inflicts 59 - 72 magic damage on target',100,1,0),
(6038,121273,'Inflicts 13 - 16 magic damage on target every 4 seconds',100,1,1),
(6039,10121273,'Inflicts 56 - 68 magic damage on target',100,1,0),
(6040,10121273,'Inflicts 10 - 13 magic damage on target every 4 seconds',100,1,1),
(6041,112657,'Inflicts 1906 - 2564 disease damage on target',100,1,0),
(6042,112657,'Inflicts 953 - 1581 disease damage on target',100,1,1),
(6043,112657,'Roots target',100,1,2),
(6044,112657,'If Target is not Epic',100,2,3),
(6045,112657,'15% chance to dispel when target takes damage',100,1,4),
(6046,112657,'If weapon equipped in Ranged',100,1,5),
(6047,112657,'Resistibility increases against targets higher than level 100.',100,1,6),
(6048,10112657,'Inflicts 958 - 1329 disease damage on target',100,1,0),
(6049,10112657,'Inflicts 563 - 935 disease damage on target',100,1,1),
(6050,10112657,'Roots target',100,1,2),
(6051,10112657,'If Target is not Epic',100,2,3),
(6052,10112657,'15% chance to dispel when target takes damage',100,1,4),
(6053,10112657,'If weapon equipped in Ranged',100,1,5),
(6054,10112657,'Resistibility increases against targets higher than level 100.',100,1,6),
(6055,26586,'When Equipped:',100,0,0),
(6056,26586,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,1),
(6057,26586,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(6058,10026586,'When Equipped:',100,0,0),
(6059,10026586,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,1),
(6060,10026586,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(6061,35279,'Increases AGI of target by 2.4',100,0,0),
(6062,35279,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(6063,101619,'Applies Forceful Headache on termination.',100,1,0),
(6064,101619,'Inflicts 437 - 728 mental damage on target',100,2,1),
(6065,101619,'If over 50% power',100,3,2),
(6066,101619,'Inflicts 525 - 641 mental damage on target',100,1,3),
(6067,101619,'Inflicts 150 - 183 mental damage on target every 6 seconds',100,1,4),
(6068,101619,'Decreases Mitigation of target vs arcane damage by 280',100,1,5),
(6069,10101619,'Applies Forceful Headache on termination.',100,1,0),
(6070,10101619,'Inflicts 358 - 596 mental damage on target',100,2,1),
(6071,10101619,'If over 50% power',100,3,2),
(6072,10101619,'Inflicts 493 - 539 mental damage on target',100,1,3),
(6073,10101619,'Inflicts 118 - 144 mental damage on target every 6 seconds',100,1,4),
(6074,10101619,'Decreases Mitigation of target vs arcane damage by 280',100,1,5),
(6075,24172,'Adds Crushbone: Discarded Flour to your Dungeon Maker toolbox',100,0,0),
(6076,10024172,'Adds Crushbone: Discarded Flour to your Dungeon Maker toolbox',100,0,0),
(6077,122950,'Inflicts 552 - 747 mental damage on target',100,1,0),
(6078,10122950,'Inflicts 474 - 642 mental damage on target',100,1,0),
(6079,123488,'Decreases Mitigation of target encounter vs noxious damage by 207',100,1,0),
(6080,10123488,'Decreases Mitigation of target encounter vs noxious damage by 207',100,1,0),
(6081,81083,'When Equipped:',100,0,0),
(6082,81083,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6083,81083,'Inflicts 290 - 538 magic damage on target',100,2,2),
(6084,81083,'Cannot be modified except by direct means',100,2,3),
(6085,10081083,'When Equipped:',100,0,0),
(6086,10081083,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6087,10081083,'Inflicts 290 - 538 magic damage on target',100,2,2),
(6088,10081083,'Cannot be modified except by direct means',100,2,3),
(6089,122450,'Inflicts 4658 - 7109 magic damage on target',100,1,0),
(6090,10122450,'Inflicts 3292 - 5223 magic damage on target',100,1,0),
(6091,24141,'Adds Elite: Coldain (Defiler) to your Dungeon Maker toolbox',100,0,0),
(6092,10024141,'Adds Elite: Coldain (Defiler) to your Dungeon Maker toolbox',100,0,0),
(6093,105635,'Inflicts 271 disease damage on target instantly and every 6 seconds',100,1,0),
(6094,105635,'Inflicts 1597 - 2026 disease damage on target',100,1,1),
(6095,105635,'Inflicts 629 - 1044 disease damage on target',100,1,2),
(6096,10105635,'Inflicts 214 disease damage on target instantly and every 6 seconds',100,1,0),
(6097,10105635,'Inflicts 890 - 1217 disease damage on target',100,1,1),
(6098,10105635,'Inflicts 496 - 823 disease damage on target',100,1,2),
(6099,120115,'Shapechanges caster into a chaos essence',100,1,0),
(6100,120115,'Increases WIS of caster by 136.1',100,1,1),
(6101,120115,'Grants See Invisibility to caster',100,1,2),
(6102,120115,'Increases Max Health of caster by 602.3',100,1,3),
(6103,120115,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2062',100,1,4),
(6104,10120115,'Shapechanges caster into a chaos essence',100,1,0),
(6105,10120115,'Increases WIS of caster by 136.1',100,1,1),
(6106,10120115,'Grants See Invisibility to caster',100,1,2),
(6107,10120115,'Increases Max Health of caster by 602.3',100,1,3),
(6108,10120115,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2062',100,1,4),
(6109,103783,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 9.2',100,1,0),
(6110,10103783,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 9.2',100,1,0),
(6111,87235,'When Equipped:',100,0,0),
(6112,87235,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6113,87235,'Inflicts 269 - 404 magic damage on target',100,2,2),
(6114,87235,'Cannot be modified except by direct means',100,2,3),
(6115,10087235,'When Equipped:',100,0,0),
(6116,10087235,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6117,10087235,'Inflicts 269 - 404 magic damage on target',100,2,2),
(6118,10087235,'Cannot be modified except by direct means',100,2,3),
(6119,110037,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(6120,110037,'Inflicts 998 - 1663 disease damage on target',100,2,1),
(6121,110037,'Heals caster for 1.6 - 2.7% of max health',100,2,2),
(6122,110037,'This effect cannot be critically applied.',100,3,3),
(6123,110037,'The healing of this spell cannot be modified except by direct means',100,2,4),
(6124,10110037,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(6125,10110037,'Inflicts 787 - 1311 disease damage on target',100,2,1),
(6126,10110037,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(6127,10110037,'This effect cannot be critically applied.',100,3,3),
(6128,10110037,'The healing of this spell cannot be modified except by direct means',100,2,4),
(6129,110213,'Interrupts target',100,1,0),
(6130,110213,'Inflicts 1162 - 1928 crushing damage on target',100,1,1),
(6131,10110213,'Interrupts target',100,1,0),
(6132,10110213,'Inflicts 935 - 1430 crushing damage on target',100,1,1),
(6133,109244,'Increases INT and WIS of group members (AE) by 39.4',100,1,0),
(6134,109244,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 113',100,1,1),
(6135,10109244,'Increases INT and WIS of group members (AE) by 39.4',100,1,0),
(6136,10109244,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 113',100,1,1),
(6137,81153,'When Equipped:',100,0,0),
(6138,81153,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(6139,81153,'Decreases Threat to target by 517 ',100,2,2),
(6140,81153,'Must be flanking or behind',100,3,3),
(6141,81153,'Increases Threat to target by 905 ',100,2,4),
(6142,81153,'Must be in front of',100,3,5),
(6143,81153,'Inflicts 290 - 538 magic damage on target',100,2,6),
(6144,81153,'Cannot be modified except by direct means',100,2,7),
(6145,10081153,'When Equipped:',100,0,0),
(6146,10081153,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(6147,10081153,'Inflicts 290 - 538 magic damage on target',100,2,2),
(6148,10081153,'Cannot be modified except by direct means',100,2,3),
(6149,114630,'Decreases WIS of target by 45.8',100,1,0),
(6150,114630,'Inflicts 3127 - 4538 melee damage on target',100,1,1),
(6151,114630,'You must be sneaking to use this ability.',100,1,2),
(6152,10114630,'Decreases WIS of target by 45.8',100,1,0),
(6153,10114630,'Inflicts 2084 - 3197 melee damage on target',100,1,1),
(6154,10114630,'You must be sneaking to use this ability.',100,1,2),
(6155,114241,'Inflicts 2801 - 3205 mental damage on target',100,1,0),
(6156,114241,'Stuns target',100,1,1),
(6157,114241,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(6158,114241,'Resistibility increases against targets higher than level 84.',100,1,3),
(6159,10114241,'Inflicts 1828 - 2146 mental damage on target',100,1,0),
(6160,10114241,'Requires not being affected by Mesmerize effects.',100,2,1),
(6161,10114241,'Stuns target',100,1,2),
(6162,10114241,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(6163,10114241,'Resistibility increases against targets higher than level 84.',100,1,4),
(6164,143914,'When Equipped:',100,0,0),
(6165,143914,'This effect will not stack with itself.',100,1,1),
(6166,143914,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(6167,143914,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(6168,143914,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(6169,143914,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(6170,143914,'Must not be engaged in pvp combat',100,2,6),
(6171,143914,'Cannot be modified except by direct means',100,2,7),
(6172,143914,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(6173,143914,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(6174,143914,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(6175,143914,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(6176,143914,'Must not be engaged in pvp combat',100,2,12),
(6177,143914,'Cannot be modified except by direct means',100,2,13),
(6178,143914,'Must not be engaged in pvp combat',100,1,14),
(6179,10143914,'When Equipped:',100,0,0),
(6180,10143914,'This effect will not stack with itself.',100,1,1),
(6181,10143914,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(6182,10143914,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(6183,10143914,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(6184,10143914,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(6185,10143914,'Must not be engaged in pvp combat',100,2,6),
(6186,10143914,'Cannot be modified except by direct means',100,2,7),
(6187,10143914,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(6188,10143914,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(6189,10143914,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(6190,10143914,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(6191,10143914,'Must not be engaged in pvp combat',100,2,12),
(6192,10143914,'Cannot be modified except by direct means',100,2,13),
(6193,10143914,'Must not be engaged in pvp combat',100,1,14),
(6194,182297,'When Equipped:',100,0,0),
(6195,182297,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(6196,182297,'Heals group members (AE) for 2304',100,2,2),
(6197,182297,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(6198,182297,'Must not be engaged in pvp combat',100,2,4),
(6199,182297,'Cannot be modified except by direct means',100,2,5),
(6200,182297,'Must not be engaged in pvp combat',100,1,6),
(6201,10182297,'When Equipped:',100,0,0),
(6202,10182297,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(6203,10182297,'Heals group members (AE) for 2695',100,2,2),
(6204,10182297,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(6205,10182297,'Must not be engaged in pvp combat',100,2,4),
(6206,10182297,'Cannot be modified except by direct means',100,2,5),
(6207,10182297,'Must not be engaged in pvp combat',100,1,6),
(6208,26684,'When Equipped:',100,0,0),
(6209,26684,'Reduces all damage done to caster by up to 180.',100,1,1),
(6210,26684,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(6211,26684,'Must not be engaged in pvp combat',100,1,3),
(6212,10026684,'When Equipped:',100,0,0),
(6213,10026684,'Reduces all damage done to caster by up to 180.',100,1,1),
(6214,10026684,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(6215,10026684,'Must not be engaged in pvp combat',100,1,3),
(6216,121969,'Inflicts 810 - 1350 disease damage on target',100,1,0),
(6217,121969,'Decreases Defense of target by 30.7',100,1,1),
(6218,121969,'Interrupts target',100,1,2),
(6219,10121969,'Inflicts 696 - 1104 disease damage on target',100,1,0),
(6220,10121969,'Decreases Defense of target by 30.7',100,1,1),
(6221,10121969,'Interrupts target',100,1,2),
(6222,119308,'Roots target',100,1,0),
(6223,119308,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(6224,119308,'Slows target by 40.3%',100,2,2),
(6225,119308,'5% chance to dispel when target receives hostile action',100,2,3),
(6226,119308,'5% chance to dispel when target takes damage',100,2,4),
(6227,119308,'15% chance to dispel when target takes damage',100,1,5),
(6228,119308,'Does not affect Epic targets',100,1,6),
(6229,119308,'Resistibility increases against targets higher than level 62.',100,1,7),
(6230,10119308,'Roots target',100,1,0),
(6231,10119308,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(6232,10119308,'Slows target by 40.3%',100,2,2),
(6233,10119308,'5% chance to dispel when target receives hostile action',100,2,3),
(6234,10119308,'5% chance to dispel when target takes damage',100,2,4),
(6235,10119308,'15% chance to dispel when target takes damage',100,1,5),
(6236,10119308,'Does not affect Epic targets',100,1,6),
(6237,10119308,'Resistibility increases against targets higher than level 62.',100,1,7),
(6238,109845,'Inflicts 3722 - 5525 melee damage on target',100,1,0),
(6239,109845,'Decreases Parry of target by 55.9',100,1,1),
(6240,109845,'Must be in front of or flanking',100,1,2),
(6241,10109845,'Inflicts 2553 - 3975 melee damage on target',100,1,0),
(6242,10109845,'Decreases Parry of target by 55.9',100,1,1),
(6243,10109845,'Must be in front of or flanking',100,1,2),
(6244,114310,'Heals target for 4041 - 4721',100,1,0),
(6245,10114310,'Heals target for 3090 - 3720',100,1,0),
(6246,50737,'When Equipped:',100,0,0),
(6247,50737,'On any combat or spell hit this spell may cast Savagery II on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6248,50737,'Increases Damage Per Second of caster by 25.0',100,2,2),
(6249,50737,'Cannot be modified except by direct means',100,2,3),
(6250,10050737,'When Equipped:',100,0,0),
(6251,10050737,'On any combat or spell hit this spell may cast Savagery II on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6252,10050737,'Increases Damage Per Second of caster by 25.0',100,2,2),
(6253,10050737,'Cannot be modified except by direct means',100,2,3),
(6254,49090,'Applies Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(6255,49090,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(6256,49090,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(6257,49090,'Inflicts 575 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(6258,49090,'Grants a total of 2 triggers of the spell.',100,3,4),
(6259,49090,'Cannot be modified except by direct means',100,2,5),
(6260,49090,'Grants a total of 4 triggers of the spell.',100,2,6),
(6261,49090,'Only affects targets level 50 and above',100,1,7),
(6262,10049090,'Applies Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(6263,10049090,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(6264,10049090,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(6265,10049090,'Inflicts 454 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(6266,10049090,'Grants a total of 2 triggers of the spell.',100,3,4),
(6267,10049090,'Cannot be modified except by direct means',100,2,5),
(6268,10049090,'Grants a total of 4 triggers of the spell.',100,2,6),
(6269,10049090,'Only affects targets level 50 and above',100,1,7),
(6270,26050,'When Equipped:',100,0,0),
(6271,26050,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6272,26050,'Inflicts 60 magic damage on target',100,2,2),
(6273,26050,'Cannot be modified except by direct means',100,2,3),
(6274,26050,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(6275,26050,'Inflicts 60 magic damage on target',100,2,5),
(6276,26050,'Cannot be modified except by direct means',100,2,6),
(6277,10026050,'When Equipped:',100,0,0),
(6278,10026050,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6279,10026050,'Inflicts 50 magic damage on target',100,2,2),
(6280,10026050,'Cannot be modified except by direct means',100,2,3),
(6281,10026050,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(6282,10026050,'Inflicts 50 magic damage on target',100,2,5),
(6283,10026050,'Cannot be modified except by direct means',100,2,6),
(6284,87359,'When Equipped:',100,0,0),
(6285,87359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6286,87359,'Inflicts 192 - 289 magic damage on target',100,2,2),
(6287,87359,'Cannot be modified except by direct means',100,2,3),
(6288,10087359,'When Equipped:',100,0,0),
(6289,10087359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6290,10087359,'Inflicts 192 - 289 magic damage on target',100,2,2),
(6291,10087359,'Cannot be modified except by direct means',100,2,3),
(6292,101034,'Inflicts 3199 - 5661 poison damage on target encounter',100,1,0),
(6293,101034,'Inflicts 2872 - 5333 poison damage on target encounter every 1.5 seconds',100,1,1),
(6294,10101034,'Inflicts 1907 - 3428 poison damage on target encounter',100,1,0),
(6295,10101034,'Inflicts 1775 - 3297 poison damage on target encounter every 1.5 seconds',100,1,1),
(6296,101592,'Inflicts 1239 - 2055 melee damage on targets in area',100,1,0),
(6297,10101592,'Inflicts 987 - 1550 melee damage on targets in area',100,1,0),
(6298,75606,'Applies Celestial Glow when Equipped.',100,0,0),
(6299,10075606,'Applies Celestial Glow when Equipped.',100,0,0),
(6300,123205,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(6301,123205,'Inflicts 471 - 575 disease damage on target',100,2,1),
(6302,123205,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(6303,123205,'This effect cannot be critically applied.',100,3,3),
(6304,123205,'The healing of this spell cannot be modified except by direct means',100,2,4),
(6305,123205,'Grants a total of 5 triggers of the spell.',100,2,5),
(6306,10123205,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(6307,10123205,'Inflicts 379 - 463 disease damage on target',100,2,1),
(6308,10123205,'Heals caster for 1.0 - 1.3% of max health',100,2,2),
(6309,10123205,'This effect cannot be critically applied.',100,3,3),
(6310,10123205,'The healing of this spell cannot be modified except by direct means',100,2,4),
(6311,10123205,'Grants a total of 5 triggers of the spell.',100,2,5),
(6312,37516,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(6313,134043,'When Equipped:',100,0,0),
(6314,134043,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(6315,134043,'Increases Potency of group members (AE) by 10.0%',100,2,2),
(6316,134043,'Cannot be modified except by direct means',100,2,3),
(6317,10134043,'When Equipped:',100,0,0),
(6318,10134043,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(6319,10134043,'Increases Potency of group members (AE) by 10.0%',100,2,2),
(6320,10134043,'Cannot be modified except by direct means',100,2,3),
(6321,159273,'When Equipped:',100,0,0),
(6322,159273,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6323,159273,'Increases STR of caster by 5.5',100,2,2),
(6324,159273,'Increases Damage Per Second of caster by 16.4',100,2,3),
(6325,159273,'Cannot be modified except by direct means',100,2,4),
(6326,10159273,'When Equipped:',100,0,0),
(6327,10159273,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6328,10159273,'Increases STR of caster by 5.5',100,2,2),
(6329,10159273,'Increases Damage Per Second of caster by 16.4',100,2,3),
(6330,10159273,'Cannot be modified except by direct means',100,2,4),
(6331,37351,'Increases AGI and INT of target by 13.2',100,0,0),
(6332,37351,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(6333,26631,'When Equipped:',100,0,0),
(6334,26631,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(6335,26631,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,2),
(6336,10026631,'When Equipped:',100,0,0),
(6337,10026631,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(6338,10026631,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,2),
(6339,105611,'Inflicts 37 disease damage on target instantly and every 6 seconds',100,1,0),
(6340,105611,'Inflicts 219 - 332 disease damage on target',100,1,1),
(6341,105611,'Inflicts 86 - 143 disease damage on target',100,1,2),
(6342,10105611,'Inflicts 29 disease damage on target instantly and every 6 seconds',100,1,0),
(6343,10105611,'Inflicts 201 - 302 disease damage on target',100,1,1),
(6344,10105611,'Inflicts 68 - 112 disease damage on target',100,1,2),
(6345,111734,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(6346,111734,'Inflicts 1742 - 2130 cold damage on target',100,2,1),
(6347,111734,'Grants a total of 3 triggers of the spell.',100,2,2),
(6348,10111734,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(6349,10111734,'Inflicts 1309 - 1570 cold damage on target',100,2,1),
(6350,10111734,'Grants a total of 3 triggers of the spell.',100,2,2),
(6351,82609,'When Equipped:',100,0,0),
(6352,82609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6353,82609,'Inflicts 151 - 280 magic damage on target',100,2,2),
(6354,82609,'Cannot be modified except by direct means',100,2,3),
(6355,10082609,'When Equipped:',100,0,0),
(6356,10082609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6357,10082609,'Inflicts 151 - 280 magic damage on target',100,2,2),
(6358,10082609,'Cannot be modified except by direct means',100,2,3),
(6359,107520,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(6360,10107520,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(6361,36016,'Increases Max Power of target by 108.8',100,0,0),
(6362,36016,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(6363,46811,'Applies Release Loomba when Activated.',100,0,0),
(6364,46811,'This effect cannot be cast during combat',100,1,1),
(6365,10046811,'Applies Release Loomba when Activated.',100,0,0),
(6366,10046811,'This effect cannot be cast during combat',100,1,1),
(6367,102576,'Increases AGI of caster by 130.1',100,1,0),
(6368,102576,'Increases Max Health of caster by 466.2',100,1,1),
(6369,102576,'Adds 25.0% to base avoidance.',100,1,2),
(6370,102576,'Increases Mitigation of caster vs physical damage by 773',100,1,3),
(6371,102576,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,4),
(6372,10102576,'Increases AGI of caster by 130.1',100,1,0),
(6373,10102576,'Increases Max Health of caster by 466.2',100,1,1),
(6374,10102576,'Adds 25.0% to base avoidance.',100,1,2),
(6375,10102576,'Increases Mitigation of caster vs physical damage by 773',100,1,3),
(6376,10102576,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,4),
(6377,108702,'Inflicts 3648 heat damage on target',100,1,0),
(6378,108702,'Inflicts 595 heat damage on target every 4 seconds',100,1,1),
(6379,10108702,'Inflicts 3335 heat damage on target',100,1,0),
(6380,10108702,'Inflicts 469 heat damage on target every 4 seconds',100,1,1),
(6381,112934,'Inflicts 51 - 151 crushing damage on target',100,1,0),
(6382,10112934,'Inflicts 41 - 122 crushing damage on target',100,1,0),
(6383,74834,'When Equipped:',100,0,0),
(6384,74834,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6385,74834,'Inflicts 168 - 253 magic damage on target',100,2,2),
(6386,74834,'Cannot be modified except by direct means',100,2,3),
(6387,10074834,'When Equipped:',100,0,0),
(6388,10074834,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6389,10074834,'Inflicts 168 - 253 magic damage on target',100,2,2),
(6390,10074834,'Cannot be modified except by direct means',100,2,3),
(6391,101413,'Inflicts 4337 - 6546 melee damage on target',100,1,0),
(6392,101413,'Returns the last arrow used to the ranger.',100,1,1),
(6393,10101413,'Inflicts 3039 - 4780 melee damage on target',100,1,0),
(6394,10101413,'Returns the last arrow used to the ranger.',100,1,1),
(6395,118701,'Shapechanges caster into a bee',100,1,0),
(6396,10118701,'Shapechanges caster into a bee',100,1,0),
(6397,102852,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(6398,102852,'Blurs vision of target',100,2,1),
(6399,102852,'Stuns target',100,2,2),
(6400,102852,'Throws target back',100,2,3),
(6401,102852,'Does not affect Epic targets',100,2,4),
(6402,102852,'Inflicts 1003 - 2325 melee damage on targets in area',100,1,5),
(6403,10102852,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(6404,10102852,'Stuns target',100,2,1),
(6405,10102852,'Blurs vision of target',100,2,2),
(6406,10102852,'Throws target back',100,2,3),
(6407,10102852,'Does not affect Epic targets',100,2,4),
(6408,10102852,'Inflicts 676 - 1740 melee damage on targets in area',100,1,5),
(6409,26654,'When Equipped:',100,0,0),
(6410,26654,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,1),
(6411,26654,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(6412,10026654,'When Equipped:',100,0,0),
(6413,10026654,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,1),
(6414,10026654,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(6415,114507,'Summons a pet a mini-cognatic bixie bopper',100,1,0),
(6416,10114507,'Summons a pet a mini-cognatic bixie bopper',100,1,0),
(6417,102546,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(6418,102546,'Inflicts 346 - 573 melee damage on target',100,2,1),
(6419,102546,'Decreases Defense of caster by 5.1',100,1,2),
(6420,102546,'Increases Slashing, Piercing, Ranged and Crushing of caster by 12.2',100,1,3),
(6421,10102546,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(6422,10102546,'Inflicts 272 - 452 melee damage on target',100,2,1),
(6423,10102546,'Decreases Defense of caster by 5.1',100,1,2),
(6424,10102546,'Increases Slashing, Piercing, Ranged and Crushing of caster by 12.2',100,1,3),
(6425,116575,'Inflicts 314 - 522 divine damage on target',100,1,0),
(6426,116575,'Decreases Parry of target by 5.0',100,1,1),
(6427,116575,'If Two-Handed weapon equipped in Primary',100,1,2),
(6428,10116575,'Inflicts 248 - 411 divine damage on target',100,1,0),
(6429,10116575,'Decreases Parry of target by 5.0',100,1,1),
(6430,10116575,'If Two-Handed weapon equipped in Primary',100,1,2),
(6431,140323,'When Equipped:',100,0,0),
(6432,140323,'Increases magic damage done by spells by up to 35.',100,1,1),
(6433,10140323,'When Equipped:',100,0,0),
(6434,10140323,'Increases magic damage done by spells by up to 35.',100,1,1),
(6435,101866,'Stuns target',100,1,0),
(6436,101866,'Does not affect Epic targets',100,1,1),
(6437,101866,'Resistibility increases against targets higher than level 96.',100,1,2),
(6438,10101866,'Stuns target',100,1,0),
(6439,10101866,'Does not affect Epic targets',100,1,1),
(6440,10101866,'Resistibility increases against targets higher than level 96.',100,1,2),
(6441,143427,'When Equipped:',100,0,0),
(6442,143427,'Increases disease damage done by spells by up to 50.',100,1,1),
(6443,10143427,'When Equipped:',100,0,0),
(6444,10143427,'Increases disease damage done by spells by up to 50.',100,1,1),
(6445,115762,'Inflicts 714 - 1185 melee damage on target',100,1,0),
(6446,10115762,'Inflicts 571 - 947 melee damage on target',100,1,0),
(6447,71400,'When Equipped:',100,0,0),
(6448,71400,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6449,71400,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(6450,71400,'Cannot be modified except by direct means',100,2,3),
(6451,10071400,'When Equipped:',100,0,0),
(6452,10071400,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6453,10071400,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(6454,10071400,'Cannot be modified except by direct means',100,2,3),
(6455,53938,'When Equipped:',100,0,0),
(6456,53938,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(6457,10053938,'When Equipped:',100,0,0),
(6458,10053938,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(6459,35939,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(6460,35939,'Increases Max Health of target by 91.0',100,0,1),
(6461,121868,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(6462,121868,'Decreases Threat to target by 767 - 938 ',100,2,1),
(6463,121868,'If profession other than Fighter',100,3,2),
(6464,121868,'Inflicts 655 - 801 mental damage on target',100,2,3),
(6465,10121868,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(6466,10121868,'Inflicts 516 - 631 mental damage on target',100,2,1),
(6467,37378,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(6468,37378,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(6469,103444,'Blurs vision of target encounter',100,1,0),
(6470,103444,'4% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(6471,103444,'Blurs vision of target',100,2,2),
(6472,103444,'Stuns target',100,2,3),
(6473,103444,'Throws target back',100,2,4),
(6474,103444,'Does not affect Epic targets',100,2,5),
(6475,103444,'Interrupts target encounter',100,1,6),
(6476,10103444,'Interrupts target encounter',100,1,0),
(6477,10103444,'4% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(6478,10103444,'Stuns target',100,2,2),
(6479,10103444,'Blurs vision of target',100,2,3),
(6480,10103444,'Throws target back',100,2,4),
(6481,10103444,'Does not affect Epic targets',100,2,5),
(6482,10103444,'Blurs vision of target encounter',100,1,6),
(6483,48453,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(6484,48453,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(6485,48453,'Inflicts 168 poison damage on target',100,2,2),
(6486,48453,'Inflicts 87 poison damage on target instantly and every 6 seconds',100,2,3),
(6487,48453,'Cannot be modified except by direct means',100,2,4),
(6488,48453,'Grants a total of 200 triggers of the spell.',100,2,5),
(6489,10048453,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(6490,10048453,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(6491,10048453,'Inflicts 126 poison damage on target',100,2,2),
(6492,10048453,'Inflicts 65 poison damage on target instantly and every 6 seconds',100,2,3),
(6493,10048453,'Cannot be modified except by direct means',100,2,4),
(6494,10048453,'Grants a total of 200 triggers of the spell.',100,2,5),
(6495,117286,'Inflicts 1794 - 2966 melee damage on target',100,1,0),
(6496,117286,'Decreases Damage Per Second of target by 11.6',100,1,1),
(6497,117286,'Decreases Attack Speed of target by 8.5',100,1,2),
(6498,10117286,'Inflicts 1337 - 1958 melee damage on target',100,1,0),
(6499,10117286,'Decreases Damage Per Second of target by 11.6',100,1,1),
(6500,10117286,'Decreases Attack Speed of target by 8.5',100,1,2),
(6501,101298,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(6502,101298,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,1),
(6503,10101298,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(6504,10101298,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,1),
(6505,80941,'When Equipped:',100,0,0),
(6506,80941,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6507,80941,'Inflicts 369 - 686 magic damage on target',100,2,2),
(6508,80941,'Cannot be modified except by direct means',100,2,3),
(6509,10080941,'When Equipped:',100,0,0),
(6510,10080941,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6511,10080941,'Inflicts 369 - 686 magic damage on target',100,2,2),
(6512,10080941,'Cannot be modified except by direct means',100,2,3),
(6513,116685,'Heals group members (AE) for 7.7 - 9.4% of max health',100,1,0),
(6514,116685,'This effect cannot be critically applied.',100,2,1),
(6515,116685,'Increases Max Health of group members (AE) by 401.8',100,1,2),
(6516,116685,'The healing of this spell cannot be modified except by direct means',100,1,3),
(6517,10116685,'Heals group members (AE) for 2.4 - 3.0% of max health',100,1,0),
(6518,10116685,'This effect cannot be critically applied.',100,2,1),
(6519,10116685,'Increases Max Health of group members (AE) by 401.8',100,1,2),
(6520,10116685,'The healing of this spell cannot be modified except by direct means',100,1,3),
(6521,103560,'Increases In-Combat Power Regeneration of group members (AE) by 42.7',100,1,0),
(6522,10103560,'Increases In-Combat Power Regeneration of group members (AE) by 42.7',100,1,0),
(6523,46975,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(6524,46975,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(6525,46975,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(6526,46975,'Cannot be modified except by direct means',100,2,3),
(6527,46975,'Grants a total of 80 triggers of the spell.',100,2,4),
(6528,10046975,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(6529,10046975,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(6530,10046975,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(6531,10046975,'Cannot be modified except by direct means',100,2,3),
(6532,10046975,'Grants a total of 80 triggers of the spell.',100,2,4),
(6533,148973,'Applies Shadow''s Kiss when Activated.  Lasts for 20.0 seconds.',100,0,0),
(6534,148973,'Inflicts 25 - 30 poison damage on target instantly and every 4 seconds',100,1,1),
(6535,148973,'The casting time of Shadow''s Kiss is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(6536,10148973,'Applies Shadow''s Kiss when Activated.  Lasts for 20.0 seconds.',100,0,0),
(6537,10148973,'Inflicts 25 - 30 poison damage on target instantly and every 4 seconds',100,1,1),
(6538,10148973,'The casting time of Shadow''s Kiss is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(6539,142865,'When Equipped:',100,0,0),
(6540,142865,'On a hostile spell hit this spell may cast Judgment of the Void Caster on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(6541,142865,'Decreases Hate Gain of caster by 5.0%',100,2,2),
(6542,142865,'Increases Potency of caster by 3.0%',100,2,3),
(6543,142865,'Cannot be modified except by direct means',100,2,4),
(6544,142865,'Cannot be modified except by direct means',100,1,5),
(6545,10142865,'When Equipped:',100,0,0),
(6546,10142865,'On a hostile spell hit this spell may cast Judgment of the Void Caster on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(6547,10142865,'Increases Potency of caster by 3.0%',100,2,2),
(6548,10142865,'Cannot be modified except by direct means',100,2,3),
(6549,10142865,'Cannot be modified except by direct means',100,1,4),
(6550,87108,'When Equipped:',100,0,0),
(6551,87108,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6552,87108,'Inflicts 305 - 457 magic damage on target',100,2,2),
(6553,87108,'Cannot be modified except by direct means',100,2,3),
(6554,10087108,'When Equipped:',100,0,0),
(6555,10087108,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6556,10087108,'Inflicts 305 - 457 magic damage on target',100,2,2),
(6557,10087108,'Cannot be modified except by direct means',100,2,3),
(6558,146401,'When Equipped:',100,0,0),
(6559,146401,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(6560,146401,'Increases Ability Modifier of caster by 200.0',100,2,2),
(6561,146401,'Cannot be modified except by direct means',100,2,3),
(6562,10146401,'When Equipped:',100,0,0),
(6563,10146401,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(6564,10146401,'Increases Ability Modifier of caster by 200.0',100,2,2),
(6565,10146401,'Cannot be modified except by direct means',100,2,3),
(6566,154215,'Applies Amazing Presence when Activated.  Lasts for 15.0 seconds.',100,0,0),
(6567,154215,'On a healing spell cast this spell will cast Amazing Presence on target of spell cast.  ',100,1,1),
(6568,154215,'Dispels 93 levels of any hostile effects on target',100,2,2),
(6569,154215,'Cannot be modified except by direct means',100,2,3),
(6570,154215,'Must not be engaged in pvp combat',100,1,4),
(6571,154215,'The reuse time of Amazing Presence is 3 minutes 28 seconds',100,1,5),
(6572,10154215,'Applies Amazing Presence when Activated.  Lasts for 15.0 seconds.',100,0,0),
(6573,10154215,'On a healing spell cast this spell will cast Amazing Presence on target of spell cast.  ',100,1,1),
(6574,10154215,'Dispels 93 levels of any hostile effects on target',100,2,2),
(6575,10154215,'Cannot be modified except by direct means',100,2,3),
(6576,10154215,'Must not be engaged in pvp combat',100,1,4),
(6577,10154215,'The reuse time of Amazing Presence is 3 minutes 28 seconds',100,1,5),
(6578,35393,'Increases STR and STA of target by 11.0',100,0,0),
(6579,35393,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(6580,24626,'Adds Poet''s Palace: Brass Bedside Table to your Dungeon Maker toolbox',100,0,0),
(6581,10024626,'Adds Poet''s Palace: Brass Bedside Table to your Dungeon Maker toolbox',100,0,0),
(6582,115869,'Inflicts 3675 - 5907 mental damage on target encounter',100,1,0),
(6583,115869,'Interrupts target encounter',100,1,1),
(6584,10115869,'Inflicts 2770 - 4529 mental damage on target encounter',100,1,0),
(6585,10115869,'Interrupts target encounter',100,1,1),
(6586,140781,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(6587,140781,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 270',100,1,1),
(6588,140781,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(6589,10140781,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(6590,10140781,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 270',100,1,1),
(6591,10140781,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(6592,118826,'Inflicts 31 - 93 melee damage on target',100,1,0),
(6593,10118826,'Inflicts 25 - 74 melee damage on target',100,1,0),
(6594,101442,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(6595,101442,'Increases Mitigation of group members (AE) vs noxious damage by 627',100,1,1),
(6596,10101442,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(6597,10101442,'Increases Mitigation of group members (AE) vs noxious damage by 627',100,1,1),
(6598,82426,'When Equipped:',100,0,0),
(6599,82426,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6600,82426,'Inflicts 403 - 748 magic damage on target',100,2,2),
(6601,82426,'Cannot be modified except by direct means',100,2,3),
(6602,10082426,'When Equipped:',100,0,0),
(6603,10082426,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6604,10082426,'Inflicts 403 - 748 magic damage on target',100,2,2),
(6605,10082426,'Cannot be modified except by direct means',100,2,3),
(6606,124420,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(6607,124420,'Inflicts 1048 - 1738 melee damage on target',100,2,1),
(6608,124420,'Grants a total of 3 triggers of the spell.',100,2,2),
(6609,10124420,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(6610,10124420,'Inflicts 826 - 1370 melee damage on target',100,2,1),
(6611,10124420,'Grants a total of 3 triggers of the spell.',100,2,2),
(6612,45307,'Applies Beast of the Snows when Activated.',100,0,0),
(6613,45307,'Shapechanges the user into a Yeti, and provides a shield which damages any melee attacker.',100,1,1),
(6614,10045307,'Applies Beast of the Snows when Activated.',100,0,0),
(6615,10045307,'Shapechanges the user into a Yeti, and provides a shield which damages any melee attacker.',100,1,1),
(6616,75179,'When Equipped:',100,0,0),
(6617,75179,'On a beneficial spell cast this spell has a 9% chance to cast Tribal Rage on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(6618,75179,'Group members (AE) will Double Attack on 7% of attacks',100,2,2),
(6619,75179,'Cannot be modified except by direct means',100,2,3),
(6620,75179,'Cannot be modified except by direct means',100,1,4),
(6621,10075179,'When Equipped:',100,0,0),
(6622,10075179,'On a beneficial spell cast this spell has a 9% chance to cast Tribal Rage on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(6623,10075179,'Group members (AE) will Double Attack on 7% of attacks',100,2,2),
(6624,10075179,'Cannot be modified except by direct means',100,2,3),
(6625,10075179,'Cannot be modified except by direct means',100,1,4),
(6626,81352,'When Equipped:',100,0,0),
(6627,81352,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6628,81352,'Inflicts 155 - 288 magic damage on target',100,2,2),
(6629,81352,'Cannot be modified except by direct means',100,2,3),
(6630,10081352,'When Equipped:',100,0,0),
(6631,10081352,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6632,10081352,'Inflicts 155 - 288 magic damage on target',100,2,2),
(6633,10081352,'Cannot be modified except by direct means',100,2,3),
(6634,101594,'Inflicts 1363 - 2260 melee damage on targets in area',100,1,0),
(6635,10101594,'Inflicts 1072 - 1692 melee damage on targets in area',100,1,0),
(6636,121866,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(6637,121866,'Decreases Threat to target by 921 - 1,125 ',100,2,1),
(6638,121866,'If profession other than Fighter',100,3,2),
(6639,121866,'Inflicts 786 - 961 mental damage on target',100,2,3),
(6640,10121866,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(6641,10121866,'Inflicts 619 - 757 mental damage on target',100,2,1),
(6642,88916,'When Equipped:',100,0,0),
(6643,88916,'Caster will Dodge 6.0% of incoming attacks',100,1,1),
(6644,88916,'On a melee hit this spell may cast Tranquil Strike on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(6645,88916,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,3),
(6646,88916,'Inflicts 565 - 1049 magic damage on target',100,2,4),
(6647,88916,'Heals caster for 165 - 307',100,2,5),
(6648,88916,'Cannot be modified except by direct means',100,2,6),
(6649,10088916,'When Equipped:',100,0,0),
(6650,10088916,'Caster will Dodge 6.0% of incoming attacks',100,1,1),
(6651,10088916,'On a melee hit this spell may cast Tranquil Strike on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(6652,10088916,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,3),
(6653,10088916,'Inflicts 565 - 1049 magic damage on target',100,2,4),
(6654,10088916,'Heals caster for 107 - 200',100,2,5),
(6655,10088916,'Cannot be modified except by direct means',100,2,6),
(6656,40666,'When Equipped:',100,0,0),
(6657,40666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6658,40666,'Inflicts 217 - 326 magic damage on target',100,2,2),
(6659,40666,'Cannot be modified except by direct means',100,2,3),
(6660,10040666,'When Equipped:',100,0,0),
(6661,10040666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6662,10040666,'Inflicts 217 - 326 magic damage on target',100,2,2),
(6663,10040666,'Cannot be modified except by direct means',100,2,3),
(6664,71787,'When Equipped:',100,0,0),
(6665,71787,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6666,71787,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(6667,71787,'Cannot be modified except by direct means',100,2,3),
(6668,10071787,'When Equipped:',100,0,0),
(6669,10071787,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(6670,10071787,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(6671,10071787,'Cannot be modified except by direct means',100,2,3),
(6672,100877,'Makes target afraid',100,1,0),
(6673,100877,'30% chance to dispel when target takes damage',100,1,1),
(6674,100877,'Does not affect Epic targets',100,1,2),
(6675,100877,'Resistibility increases against targets higher than level 96.',100,1,3),
(6676,10100877,'Makes target afraid',100,1,0),
(6677,10100877,'30% chance to dispel when target takes damage',100,1,1),
(6678,10100877,'Does not affect Epic targets',100,1,2),
(6679,10100877,'Resistibility increases against targets higher than level 96.',100,1,3),
(6680,123163,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(6681,123163,'Reduces physical damage done to caster by 5%',100,1,1),
(6682,123163,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(6683,123163,'Increases Aggression of caster by 7.3',100,1,3),
(6684,123163,'Increases Defense and Parry of caster by 14.5',100,1,4),
(6685,123163,'Increases Mitigation of caster vs elemental damage by 968',100,1,5),
(6686,123163,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(6687,10123163,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(6688,10123163,'Reduces physical damage done to caster by 5%',100,1,1),
(6689,10123163,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(6690,10123163,'Increases Aggression of caster by 7.3',100,1,3),
(6691,10123163,'Increases Defense and Parry of caster by 14.5',100,1,4),
(6692,10123163,'Increases Mitigation of caster vs elemental damage by 968',100,1,5),
(6693,10123163,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(6694,26777,'Applies Oracle I when Equipped.',100,0,0),
(6695,26777,'Reduces resistibility of all spells by 5%.',100,1,1),
(6696,26777,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,2),
(6697,26777,'Must not be engaged in pvp combat',100,1,3),
(6698,10026777,'Applies Oracle I when Equipped.',100,0,0),
(6699,10026777,'Reduces resistibility of all spells by 5%.',100,1,1),
(6700,10026777,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,2),
(6701,10026777,'Must not be engaged in pvp combat',100,1,3),
(6702,117552,'Increases AGI, INT and WIS of group members (AE) by 117.9',100,1,0),
(6703,117552,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 453',100,1,1),
(6704,10117552,'Increases AGI, INT and WIS of group members (AE) by 117.9',100,1,0),
(6705,10117552,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 453',100,1,1),
(6706,47421,'When Equipped:',100,0,0),
(6707,47421,'Increases success chance by 1.1%',100,1,1),
(6708,10047421,'When Equipped:',100,0,0),
(6709,10047421,'Increases success chance by 1.1%',100,1,1),
(6710,80864,'When Equipped:',100,0,0),
(6711,80864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6712,80864,'Inflicts 380 - 707 magic damage on target',100,2,2),
(6713,80864,'Cannot be modified except by direct means',100,2,3),
(6714,10080864,'When Equipped:',100,0,0),
(6715,10080864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6716,10080864,'Inflicts 380 - 707 magic damage on target',100,2,2),
(6717,10080864,'Cannot be modified except by direct means',100,2,3),
(6718,36640,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(6719,36640,'This effect suspends during combat',100,0,1),
(6720,111118,'Heals target for 16.2 - 19.9% of max health',100,1,0),
(6721,111118,'This effect cannot be critically applied.',100,2,1),
(6722,111118,'Increases Mitigation of target vs physical damage by 395',100,1,2),
(6723,111118,'The healing of this spell cannot be modified except by direct means',100,1,3),
(6724,10111118,'Heals target for 6.1 - 7.4% of max health',100,1,0),
(6725,10111118,'This effect cannot be critically applied.',100,2,1),
(6726,10111118,'Increases Mitigation of target vs physical damage by 395',100,1,2),
(6727,10111118,'The healing of this spell cannot be modified except by direct means',100,1,3),
(6728,113862,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(6729,113862,'Increases power of caster by 387',100,2,1),
(6730,113862,'Grants a total of 3 triggers of the spell.',100,2,2),
(6731,10113862,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(6732,10113862,'Increases power of caster by 387',100,2,1),
(6733,10113862,'Grants a total of 3 triggers of the spell.',100,2,2),
(6734,41501,'When Equipped:',100,0,0),
(6735,41501,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(6736,41501,'Decreases Threat to target by 259 ',100,2,2),
(6737,41501,'Must be flanking or behind',100,3,3),
(6738,41501,'Increases Threat to target by 453 ',100,2,4),
(6739,41501,'Must be in front of',100,3,5),
(6740,41501,'Inflicts 151 - 280 magic damage on target',100,2,6),
(6741,41501,'Cannot be modified except by direct means',100,2,7),
(6742,10041501,'When Equipped:',100,0,0),
(6743,10041501,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(6744,10041501,'Inflicts 151 - 280 magic damage on target',100,2,2),
(6745,10041501,'Cannot be modified except by direct means',100,2,3),
(6746,119378,'Decreases threat priority of target by 1 position',100,1,0),
(6747,119378,'Decreases Threat to target by 730 ',100,1,1),
(6748,119378,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(6749,119378,'Grants stealth to caster',100,2,3),
(6750,119378,'Suspends caster''s movement speed enhancements',100,2,4),
(6751,10119378,'Applies Distract.',100,1,0),
(6752,10119378,'Forces target to clear their selected target.',100,2,1),
(6753,10119378,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(6754,10119378,'Grants stealth to caster',100,2,3),
(6755,10119378,'Suspends caster''s movement speed enhancements',100,2,4),
(6756,102430,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(6757,102430,'Heals target for 196 - 239',100,2,1),
(6758,102430,'Grants a total of 5 triggers of the spell.',100,2,2),
(6759,10102430,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(6760,10102430,'Heals target for 104 - 127',100,2,1),
(6761,10102430,'Grants a total of 5 triggers of the spell.',100,2,2),
(6762,52765,'Applies Sanguine Imbued when Equipped.',100,0,0),
(6763,52765,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(6764,52765,'Inflicts 210 heat damage on target',100,2,2),
(6765,52765,'Cannot be modified except by direct means',100,2,3),
(6766,10052765,'Applies Sanguine Imbued when Equipped.',100,0,0),
(6767,10052765,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(6768,10052765,'Inflicts 210 heat damage on target',100,2,2),
(6769,10052765,'Cannot be modified except by direct means',100,2,3),
(6770,36062,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(6771,36062,'Increases Max Health of target by 120.7',100,0,1),
(6772,124752,'Inflicts 1495 - 1828 disease damage on target encounter',100,1,0),
(6773,10124752,'Inflicts 1142 - 1366 disease damage on target encounter',100,1,0),
(6774,86112,'When Equipped:',100,0,0),
(6775,86112,'On a combat hit this spell will cast Orcbane on target of attack.  ',100,1,1),
(6776,86112,'Inflicts 14 - 26 magic damage on target',100,2,2),
(6777,86112,'If target is orc',100,2,3),
(6778,86112,'Cannot be modified except by direct means',100,2,4),
(6779,10086112,'When Equipped:',100,0,0),
(6780,10086112,'On a combat hit this spell will cast Orcbane on target of attack.  ',100,1,1),
(6781,10086112,'Inflicts 14 - 26 magic damage on target',100,2,2),
(6782,10086112,'If target is orc',100,2,3),
(6783,10086112,'Cannot be modified except by direct means',100,2,4),
(6784,26314,'When Equipped:',100,0,0),
(6785,26314,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6786,26314,'Inflicts 240 divine damage on target',100,2,2),
(6787,26314,'Heals caster for 120',100,2,3),
(6788,26314,'Cannot be modified except by direct means',100,2,4),
(6789,10026314,'When Equipped:',100,0,0),
(6790,10026314,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6791,10026314,'Inflicts 240 divine damage on target',100,2,2),
(6792,10026314,'Heals caster for 78',100,2,3),
(6793,10026314,'Cannot be modified except by direct means',100,2,4),
(6794,48189,'Applies Spirit of the Carnivorous Plant when Activated.  Lasts for 30 minutes.',100,0,0),
(6795,48189,'Increases Out-of-Combat Health Regeneration of caster by 127.0',100,1,1),
(6796,48189,'Shapechanges caster into a carnivorous plant',100,1,2),
(6797,48189,'This effect suspends during combat',100,1,3),
(6798,48189,'Only affects targets level 60 and above',100,1,4),
(6799,10048189,'Applies Spirit of the Carnivorous Plant when Activated.  Lasts for 30 minutes.',100,0,0),
(6800,10048189,'Increases Out-of-Combat Health Regeneration of caster by 127.0',100,1,1),
(6801,10048189,'Shapechanges caster into a carnivorous plant',100,1,2),
(6802,10048189,'This effect suspends during combat',100,1,3),
(6803,10048189,'Only affects targets level 60 and above',100,1,4),
(6804,81835,'When Equipped:',100,0,0),
(6805,81835,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6806,81835,'Inflicts 189 - 352 magic damage on target',100,2,2),
(6807,81835,'Cannot be modified except by direct means',100,2,3),
(6808,10081835,'When Equipped:',100,0,0),
(6809,10081835,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(6810,10081835,'Inflicts 189 - 352 magic damage on target',100,2,2),
(6811,10081835,'Cannot be modified except by direct means',100,2,3),
(6812,114935,'Inflicts 5142 - 7881 melee damage on target',100,1,0),
(6813,114935,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2822',100,1,1),
(6814,114935,'Must be behind',100,1,2),
(6815,10114935,'Inflicts 3673 - 5832 melee damage on target',100,1,0),
(6816,10114935,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1411',100,1,1),
(6817,10114935,'Must be behind',100,1,2),
(6818,192054,'When Equipped:',100,0,0),
(6819,192054,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(6820,192054,'Increases Threat to target by 87 ',100,2,2),
(6821,192054,'Cannot be modified except by direct means',100,2,3),
(6822,10192054,'When Equipped:',100,0,0),
(6823,10192054,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(6824,10192054,'Cannot be modified except by direct means',100,2,2),
(6825,119190,'Inflicts 1048 - 1736 heat damage on target',100,1,0),
(6826,119190,'Inflicts 523 - 868 heat damage on target',100,1,1),
(6827,119190,'Requires bow',100,1,2),
(6828,10119190,'Inflicts 811 - 1085 heat damage on target',100,1,0),
(6829,10119190,'Inflicts 416 - 691 heat damage on target',100,1,1),
(6830,10119190,'Requires bow',100,1,2),
(6831,101740,'Mesmerizes target',100,1,0),
(6832,101740,'Prevents AOE (except when direct) ',100,1,1),
(6833,101740,'Mesmerizes caster',100,1,2),
(6834,101740,'Dispelled when target takes damage',100,1,3),
(6835,101740,'Does not affect Epic targets',100,1,4),
(6836,101740,'Resistibility increases against targets higher than level 117.',100,1,5),
(6837,10101740,'Mesmerizes target',100,1,0),
(6838,10101740,'Prevents AOE (except when direct) ',100,1,1),
(6839,10101740,'Mesmerizes caster',100,1,2),
(6840,10101740,'Dispelled when target takes damage',100,1,3),
(6841,10101740,'Does not affect Epic targets',100,1,4),
(6842,10101740,'Resistibility increases against targets higher than level 117.',100,1,5),
(6843,25988,'When Equipped:',100,0,0),
(6844,25988,'On a parry this spell has a 4% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(6845,25988,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(6846,25988,'Heals caster for 137 - 168',100,3,3),
(6847,25988,'Grants a total of 3 triggers of the spell.',100,3,4),
(6848,25988,'Cannot be modified except by direct means',100,2,5),
(6849,10025988,'When Equipped:',100,0,0),
(6850,10025988,'On a parry this spell has a 4% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(6851,10025988,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(6852,10025988,'Heals caster for 73 - 89',100,3,3),
(6853,10025988,'Grants a total of 3 triggers of the spell.',100,3,4),
(6854,10025988,'Cannot be modified except by direct means',100,2,5),
(6855,110091,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(6856,110091,'Inflicts 50 disease damage on target',100,2,1),
(6857,110091,'Heals caster for 19',100,2,2),
(6858,110091,'Decreases INT of target by 54.0',100,1,3),
(6859,110091,'Decreases Attack Speed of target by 25.0',100,1,4),
(6860,110091,'Increases Max Health of target by 10.0%',100,1,5),
(6861,110091,'Increases Hate Gain of target by 18.0%',100,1,6),
(6862,110091,'Increases Aggression of target by 4.2',100,1,7),
(6863,110091,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(6864,110091,'Increases Threat to target encounter by 168 - 205 ',100,2,9),
(6865,110091,'Increases Mitigation of target vs elemental, noxious and arcane damage by 280',100,1,10),
(6866,10110091,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(6867,10110091,'Inflicts 39 disease damage on target',100,2,1),
(6868,10110091,'Heals caster for 10',100,2,2),
(6869,10110091,'Decreases INT of target by 54.0',100,1,3),
(6870,10110091,'Decreases Attack Speed of target by 25.0',100,1,4),
(6871,10110091,'Increases Max Health of target by 10.0%',100,1,5),
(6872,10110091,'Increases Aggression of target by 4.2',100,1,6),
(6873,10110091,'Increases Mitigation of target vs elemental, noxious and arcane damage by 280',100,1,7),
(6874,75534,'When Equipped:',100,0,0),
(6875,75534,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6876,75534,'Inflicts 1192 piercing damage on target',100,2,2),
(6877,75534,'Cannot be modified except by direct means',100,2,3),
(6878,10075534,'When Equipped:',100,0,0),
(6879,10075534,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6880,10075534,'Inflicts 596 piercing damage on target',100,2,2),
(6881,10075534,'Cannot be modified except by direct means',100,2,3),
(6882,107105,'Inflicts 2956 - 3394 divine damage on target',100,1,0),
(6883,10107105,'Inflicts 1950 - 2295 divine damage on target',100,1,0),
(6884,108776,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(6885,108776,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(6886,108776,'Inflicts 674 - 824 heat damage on target encounter',100,3,2),
(6887,108776,'Grants a total of 1 trigger of the spell.',100,3,3),
(6888,108776,'Inflicts 152 - 185 heat damage on target instantly and every 4 seconds',100,2,4),
(6889,10108776,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(6890,10108776,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(6891,10108776,'Inflicts 531 - 649 heat damage on target encounter',100,3,2),
(6892,10108776,'Grants a total of 1 trigger of the spell.',100,3,3),
(6893,10108776,'Inflicts 120 - 146 heat damage on target instantly and every 4 seconds',100,2,4),
(6894,100778,'Wards target against 618 points of all damage',100,1,0),
(6895,10100778,'Wards target against 780 points of all damage',100,1,0),
(6896,120693,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 6.1',100,1,0),
(6897,10120693,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 6.1',100,1,0),
(6898,45162,'Applies Release Essarr Hawk when Activated.',100,0,0),
(6899,45162,'This effect cannot be cast during combat',100,1,1),
(6900,10045162,'Applies Release Essarr Hawk when Activated.',100,0,0),
(6901,10045162,'This effect cannot be cast during combat',100,1,1),
(6902,122283,'Makes targets in Area of Effect afraid',100,1,0),
(6903,122283,'If Target is not Epic',100,2,1),
(6904,122283,'Decreases Threat to targets in Area of Effect by 6,416 ',100,1,2),
(6905,122283,'30% chance to dispel when target takes damage',100,1,3),
(6906,10122283,'Makes targets in Area of Effect afraid',100,1,0),
(6907,10122283,'If Target is not Epic',100,2,1),
(6908,10122283,'Applies Distract.',100,1,2),
(6909,10122283,'Forces target to clear their selected target.',100,2,3),
(6910,10122283,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(6911,10122283,'30% chance to dispel when target takes damage',100,1,5),
(6912,121397,'Roots caster',100,1,0),
(6913,121397,'Applies Steel Hail.',100,1,1),
(6914,121397,'Inflicts 3594 - 5748 ranged damage on target',100,2,2),
(6915,121397,'Dazes caster',100,1,3),
(6916,121397,'Stifles caster',100,1,4),
(6917,121397,'If weapon equipped in Ranged',100,1,5),
(6918,121397,'Resistibility increases against targets higher than level 113.',100,1,6),
(6919,10121397,'Roots caster',100,1,0),
(6920,10121397,'Applies Steel Hail.',100,1,1),
(6921,10121397,'Inflicts 2062 - 3335 ranged damage on target',100,2,2),
(6922,10121397,'Dazes caster',100,1,3),
(6923,10121397,'Stifles caster',100,1,4),
(6924,10121397,'If weapon equipped in Ranged',100,1,5),
(6925,10121397,'Resistibility increases against targets higher than level 113.',100,1,6),
(6926,159593,'When Equipped:',100,0,0),
(6927,159593,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(6928,159593,'Increases STA of caster by 8.3',100,2,2),
(6929,159593,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(6930,159593,'Cannot be modified except by direct means',100,2,4),
(6931,10159593,'When Equipped:',100,0,0),
(6932,10159593,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(6933,10159593,'Increases STA of caster by 8.3',100,2,2),
(6934,10159593,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(6935,10159593,'Cannot be modified except by direct means',100,2,4),
(6936,106233,'Inflicts 1901 - 4741 melee damage on target',100,1,0),
(6937,106233,'Stifles target',100,1,1),
(6938,106233,'If Target is not Epic',100,2,2),
(6939,106233,'Resistibility increases against targets higher than level 107.',100,1,3),
(6940,10106233,'Inflicts 1397 - 3357 melee damage on target',100,1,0),
(6941,10106233,'Stifles target',100,1,1),
(6942,10106233,'If Target is not Epic',100,2,2),
(6943,10106233,'Resistibility increases against targets higher than level 107.',100,1,3),
(6944,104047,'Inflicts 422 - 515 mental damage on target',100,1,0),
(6945,104047,'Inflicts 120 - 147 mental damage on target every 6 seconds',100,1,1),
(6946,104047,'Applies Migraine on termination.',100,1,2),
(6947,104047,'Inflicts 398 - 539 mental damage on target',100,2,3),
(6948,10104047,'Inflicts 396 - 484 mental damage on target',100,1,0),
(6949,10104047,'Inflicts 95 - 116 mental damage on target every 6 seconds',100,1,1),
(6950,10104047,'Applies Migraine on termination.',100,1,2),
(6951,10104047,'Inflicts 326 - 441 mental damage on target',100,2,3),
(6952,124774,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(6953,124774,'Increases STR of caster by 15.8',100,1,1),
(6954,124774,'Decreases Defense of caster by 1.8',100,1,2),
(6955,124774,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.9',100,1,3),
(6956,10124774,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(6957,10124774,'Increases STR of caster by 15.8',100,1,1),
(6958,10124774,'Decreases Defense of caster by 1.8',100,1,2),
(6959,10124774,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.9',100,1,3),
(6960,36598,'Increases Max Power of target by 80.0',100,0,0),
(6961,36598,'Increases Max Health of target by 80.0',100,0,1),
(6962,36598,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,2),
(6963,26678,'When Equipped:',100,0,0),
(6964,26678,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(6965,26678,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(6966,10026678,'When Equipped:',100,0,0),
(6967,10026678,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(6968,10026678,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(6969,46633,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(6970,46633,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(6971,46633,'Inflicts 68 poison damage on target instantly and every 4 seconds',100,2,2),
(6972,46633,'Cannot be modified except by direct means',100,2,3),
(6973,46633,'Grants a total of 100 triggers of the spell.',100,2,4),
(6974,10046633,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(6975,10046633,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(6976,10046633,'Inflicts 51 poison damage on target instantly and every 4 seconds',100,2,2),
(6977,10046633,'Cannot be modified except by direct means',100,2,3),
(6978,10046633,'Grants a total of 100 triggers of the spell.',100,2,4),
(6979,159111,'Applies Sanguine Imbued when Equipped.',100,0,0),
(6980,159111,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(6981,159111,'Inflicts 65 heat damage on target',100,2,2),
(6982,159111,'Cannot be modified except by direct means',100,2,3),
(6983,10159111,'Applies Sanguine Imbued when Equipped.',100,0,0),
(6984,10159111,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(6985,10159111,'Inflicts 65 heat damage on target',100,2,2),
(6986,10159111,'Cannot be modified except by direct means',100,2,3),
(6987,183542,'When Equipped:',100,0,0),
(6988,183542,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6989,183542,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(6990,183542,'Heals caster for 1277 - 1916',100,2,3),
(6991,183542,'Cannot be modified except by direct means',100,2,4),
(6992,183542,'Cannot be modified except by direct means',100,1,5),
(6993,10183542,'When Equipped:',100,0,0),
(6994,10183542,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(6995,10183542,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(6996,10183542,'Heals caster for 1495 - 2242',100,2,3),
(6997,10183542,'Cannot be modified except by direct means',100,2,4),
(6998,10183542,'Cannot be modified except by direct means',100,1,5),
(6999,101050,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(7000,101050,'Inflicts 2665 poison damage on target instantly and every 4 seconds',100,2,1),
(7001,101050,'If profession other than Predator',100,1,2),
(7002,101050,'If profession other than Rogue',100,1,3),
(7003,10101050,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(7004,10101050,'Inflicts 2101 poison damage on target instantly and every 4 seconds',100,2,1),
(7005,10101050,'If profession other than Predator',100,1,2),
(7006,10101050,'If profession other than Rogue',100,1,3),
(7007,108606,'Feigns Death with 60% chance of success',100,1,0),
(7008,10108606,'Feigns Death with 60% chance of success',100,1,0),
(7009,41643,'When Equipped:',100,0,0),
(7010,41643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7011,41643,'Inflicts 300 - 557 magic damage on target',100,2,2),
(7012,41643,'Cannot be modified except by direct means',100,2,3),
(7013,10041643,'When Equipped:',100,0,0),
(7014,10041643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7015,10041643,'Inflicts 300 - 557 magic damage on target',100,2,2),
(7016,10041643,'Cannot be modified except by direct means',100,2,3),
(7017,48632,'Applies Aegis of the Air Queen  when Activated.  Lasts for 30 minutes.',100,0,0),
(7018,48632,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(7019,10048632,'Applies Aegis of the Air Queen  when Activated.  Lasts for 30 minutes.',100,0,0),
(7020,10048632,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(7021,106814,'Decreases STR and AGI of target encounter by 90.8',100,1,0),
(7022,10106814,'Decreases STR and AGI of target encounter by 90.8',100,1,0),
(7023,45401,'Applies Throw Bread when Activated.  Lasts for 1.0 second.',100,0,0),
(7024,10045401,'Applies Throw Bread when Activated.  Lasts for 1.0 second.',100,0,0),
(7025,111578,'Inflicts 55 - 103 cold damage on target',100,1,0),
(7026,111578,'Inflicts 12 - 23 cold damage on target every 4 seconds',100,1,1),
(7027,111578,'Decreases Mitigation of target vs elemental damage by 92',100,1,2),
(7028,10111578,'Inflicts 53 - 98 cold damage on target',100,1,0),
(7029,10111578,'Inflicts 10 - 18 cold damage on target every 4 seconds',100,1,1),
(7030,10111578,'Decreases Mitigation of target vs elemental damage by 92',100,1,2),
(7031,71871,'When Equipped:',100,0,0),
(7032,71871,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7033,71871,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(7034,71871,'Cannot be modified except by direct means',100,2,3),
(7035,10071871,'When Equipped:',100,0,0),
(7036,10071871,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7037,10071871,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(7038,10071871,'Cannot be modified except by direct means',100,2,3),
(7039,46734,'Applies Kane''s Salvation when Activated.  Lasts for 15 minutes.',100,0,0),
(7040,46734,'Increases Max Health of caster by 208.0',100,1,1),
(7041,10046734,'Applies Kane''s Salvation when Activated.  Lasts for 15 minutes.',100,0,0),
(7042,10046734,'Increases Max Health of caster by 208.0',100,1,1),
(7043,25471,'When Equipped:',100,0,0),
(7044,25471,'Improves the duration of Dispatch III by 7 seconds.',100,1,1),
(7045,25471,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(7046,10025471,'When Equipped:',100,0,0),
(7047,10025471,'Improves the duration of Dispatch III by 7 seconds.',100,1,1),
(7048,10025471,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(7049,120717,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 26.2',100,1,0),
(7050,10120717,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 26.2',100,1,0),
(7051,112702,'Inflicts 325 - 541 disease damage on target encounter',100,1,0),
(7052,10112702,'Inflicts 266 - 443 disease damage on target encounter',100,1,0),
(7053,111095,'Heals target for 285 - 348',100,1,0),
(7054,111095,'This effect cannot be critically applied.',100,2,1),
(7055,111095,'Increases Mitigation of target vs physical damage by 80',100,1,2),
(7056,111095,'The healing of this spell cannot be modified except by direct means',100,1,3),
(7057,10111095,'Heals target for 132 - 162',100,1,0),
(7058,10111095,'This effect cannot be critically applied.',100,2,1),
(7059,10111095,'Increases Mitigation of target vs physical damage by 80',100,1,2),
(7060,10111095,'The healing of this spell cannot be modified except by direct means',100,1,3),
(7061,144676,'When Equipped:',100,0,0),
(7062,144676,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(7063,144676,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(7064,144676,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(7065,144676,'This effect cannot occur more than once a second',100,2,4),
(7066,144676,'Must be engaged in pvp combat',100,2,5),
(7067,144676,'Cannot be modified except by direct means',100,2,6),
(7068,144676,'Cannot be modified except by direct means',100,1,7),
(7069,144676,'When Equipped:',100,0,8),
(7070,144676,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(7071,144676,'Must be engaged in pvp combat',100,1,10),
(7072,144676,'When Equipped:',100,0,11),
(7073,144676,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(7074,144676,'Must be engaged in pvp combat',100,1,13),
(7075,10144676,'When Equipped:',100,0,0),
(7076,10144676,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(7077,10144676,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(7078,10144676,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(7079,10144676,'This effect cannot occur more than once a second',100,2,4),
(7080,10144676,'Must be engaged in pvp combat',100,2,5),
(7081,10144676,'Cannot be modified except by direct means',100,2,6),
(7082,10144676,'Cannot be modified except by direct means',100,1,7),
(7083,10144676,'When Equipped:',100,0,8),
(7084,10144676,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(7085,10144676,'Must be engaged in pvp combat',100,1,10),
(7086,10144676,'When Equipped:',100,0,11),
(7087,10144676,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(7088,10144676,'Must be engaged in pvp combat',100,1,13),
(7089,104789,'Increases caster''s chance to block by 10.0%',100,1,0),
(7090,104789,'Decreases Attack Speed of caster by 12.6',100,1,1),
(7091,104789,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(7092,104789,'Increases Parry of caster by 7.8',100,1,3),
(7093,104789,'Increases Defense of caster by 7.8',100,1,4),
(7094,10104789,'Increases caster''s chance to block by 10.0%',100,1,0),
(7095,10104789,'Decreases Attack Speed of caster by 12.6',100,1,1),
(7096,10104789,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(7097,10104789,'Increases Parry of caster by 7.8',100,1,3),
(7098,10104789,'Increases Defense of caster by 7.8',100,1,4),
(7099,155100,'When Equipped:',100,0,0),
(7100,155100,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(7101,155100,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(7102,155100,'Decreases Mitigation of target vs arcane damage by 574',100,2,3),
(7103,155100,'Must be classified as a vampire',100,3,4),
(7104,155100,'Inflicts 393 divine damage on target',100,2,5),
(7105,155100,'Must not be classified as a vampire',100,3,6),
(7106,155100,'Inflicts 787 divine damage on target',100,2,7),
(7107,155100,'Must be classified as a vampire',100,3,8),
(7108,155100,'Cannot be modified except by direct means',100,2,9),
(7109,10155100,'When Equipped:',100,0,0),
(7110,10155100,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(7111,10155100,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(7112,10155100,'Decreases Mitigation of target vs arcane damage by 574',100,2,3),
(7113,10155100,'Must be classified as a vampire',100,3,4),
(7114,10155100,'Inflicts 393 divine damage on target',100,2,5),
(7115,10155100,'Must not be classified as a vampire',100,3,6),
(7116,10155100,'Inflicts 787 divine damage on target',100,2,7),
(7117,10155100,'Must be classified as a vampire',100,3,8),
(7118,10155100,'Cannot be modified except by direct means',100,2,9),
(7119,159155,'Applies Lambent Imbued when Equipped.',100,0,0),
(7120,159155,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(7121,159155,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(7122,159155,'Cannot be modified except by direct means',100,2,3),
(7123,10159155,'Applies Lambent Imbued when Equipped.',100,0,0),
(7124,10159155,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(7125,10159155,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(7126,10159155,'Cannot be modified except by direct means',100,2,3),
(7127,80916,'When Equipped:',100,0,0),
(7128,80916,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7129,80916,'Decreases Threat to target by 672 ',100,2,2),
(7130,80916,'Must be flanking or behind',100,3,3),
(7131,80916,'Increases Threat to target by 1,132 ',100,2,4),
(7132,80916,'Must be in front of',100,3,5),
(7133,80916,'Inflicts 369 - 686 magic damage on target',100,2,6),
(7134,80916,'Cannot be modified except by direct means',100,2,7),
(7135,10080916,'When Equipped:',100,0,0),
(7136,10080916,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7137,10080916,'Inflicts 369 - 686 magic damage on target',100,2,2),
(7138,10080916,'Cannot be modified except by direct means',100,2,3),
(7139,113039,'Decreases Damage Per Second of target by 25.1',100,1,0),
(7140,10113039,'Decreases Damage Per Second of target by 25.1',100,1,0),
(7141,122384,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(7142,122384,'Inflicts 10 - 12 piercing damage on target encounter',100,2,1),
(7143,10122384,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(7144,10122384,'Inflicts 8 - 10 piercing damage on target encounter',100,2,1),
(7145,138647,'When Equipped:',100,0,0),
(7146,138647,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(7147,138647,'Inflicts 14 divine damage on target',100,2,2),
(7148,138647,'Cannot be modified except by direct means',100,2,3),
(7149,10138647,'When Equipped:',100,0,0),
(7150,10138647,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(7151,10138647,'Inflicts 14 divine damage on target',100,2,2),
(7152,10138647,'Cannot be modified except by direct means',100,2,3),
(7153,121277,'Increases Crit Chance of caster by 45.0',100,1,0),
(7154,121277,'Increases Attack Speed of caster by 90.0',100,1,1),
(7155,121277,'Increases Damage Per Second of caster by 108.0',100,1,2),
(7156,121277,'Decreases Slashing and Piercing of caster by 330.0',100,1,3),
(7157,121277,'Increases Ranged of caster by 168.0',100,1,4),
(7158,121277,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(7159,121277,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(7160,121277,'Increases Crushing of group members (AE) by 168.0',100,2,7),
(7161,121277,'Increases Slashing of group members (AE) by 168.0',100,2,8),
(7162,121277,'If profession other than Ranger',100,3,9),
(7163,121277,'Increases Piercing of group members (AE) by 168.0',100,2,10),
(7164,121277,'If profession other than Ranger',100,3,11),
(7165,10121277,'Increases Crit Chance of caster by 45.0',100,1,0),
(7166,10121277,'Increases Attack Speed of caster by 90.0',100,1,1),
(7167,10121277,'Increases Damage Per Second of caster by 108.0',100,1,2),
(7168,10121277,'Decreases Slashing and Piercing of caster by 330.0',100,1,3),
(7169,10121277,'Increases Ranged of caster by 168.0',100,1,4),
(7170,10121277,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(7171,10121277,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(7172,10121277,'Increases Crushing of group members (AE) by 168.0',100,2,7),
(7173,10121277,'Increases Slashing of group members (AE) by 168.0',100,2,8),
(7174,10121277,'If profession other than Ranger',100,3,9),
(7175,10121277,'Increases Piercing of group members (AE) by 168.0',100,2,10),
(7176,10121277,'If profession other than Ranger',100,3,11),
(7177,122285,'Makes targets in Area of Effect afraid',100,1,0),
(7178,122285,'If Target is not Epic',100,2,1),
(7179,122285,'Decreases Threat to targets in Area of Effect by 7,090 ',100,1,2),
(7180,122285,'30% chance to dispel when target takes damage',100,1,3),
(7181,10122285,'Makes targets in Area of Effect afraid',100,1,0),
(7182,10122285,'If Target is not Epic',100,2,1),
(7183,10122285,'Applies Distract.',100,1,2),
(7184,10122285,'Forces target to clear their selected target.',100,2,3),
(7185,10122285,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(7186,10122285,'30% chance to dispel when target takes damage',100,1,5),
(7187,107137,'Inflicts 2911 - 3340 divine damage on target',100,1,0),
(7188,107137,'Inflicts 1929 - 2358 divine damage on target',100,1,1),
(7189,107137,'If target is undead',100,2,2),
(7190,10107137,'Inflicts 1915 - 2253 divine damage on target',100,1,0),
(7191,10107137,'Inflicts 1520 - 1858 divine damage on target',100,1,1),
(7192,111154,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(7193,111154,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1006',100,1,1),
(7194,111154,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,2),
(7195,10111154,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(7196,10111154,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1006',100,1,1),
(7197,10111154,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,2),
(7198,47186,'Applies Elixir of Life  when Activated.',100,0,0),
(7199,47186,'Heals caster for 17',100,1,1),
(7200,10047186,'Applies Elixir of Life  when Activated.',100,0,0),
(7201,10047186,'Heals caster for 11',100,1,1),
(7202,36940,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(7203,36940,'Increases Max Health of target by 14.0',100,0,1),
(7204,114094,'Inflicts 1472 - 2420 melee damage on targets in area',100,1,0),
(7205,114094,'You must be in stealth to use this!',100,1,1),
(7206,10114094,'Inflicts 1126 - 1780 melee damage on targets in area',100,1,0),
(7207,10114094,'You must be in stealth to use this!',100,1,1),
(7208,24563,'Adds Mummy (Coercer) to your Dungeon Maker toolbox',100,0,0),
(7209,10024563,'Adds Mummy (Coercer) to your Dungeon Maker toolbox',100,0,0),
(7210,112786,'All combat arts have their damage increased by 17%',100,1,0),
(7211,112786,'Increases Crit Bonus of caster by 20.4%',100,1,1),
(7212,112786,'Decreases Defense and Parry of caster by 32.5',100,1,2),
(7213,112786,'Decreases Mitigation of caster vs all damage by 1083',100,1,3),
(7214,112786,'This ability can only be used while berserk!',100,1,4),
(7215,10112786,'All combat arts have their damage increased by 17%',100,1,0),
(7216,10112786,'Increases Crit Bonus of caster by 20.4%',100,1,1),
(7217,10112786,'Decreases Defense and Parry of caster by 32.5',100,1,2),
(7218,10112786,'Decreases Mitigation of caster vs all damage by 1083',100,1,3),
(7219,10112786,'This ability can only be used while berserk!',100,1,4),
(7220,72150,'When Equipped:',100,0,0),
(7221,72150,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7222,72150,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(7223,72150,'Cannot be modified except by direct means',100,2,3),
(7224,10072150,'When Equipped:',100,0,0),
(7225,10072150,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7226,10072150,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(7227,10072150,'Cannot be modified except by direct means',100,2,3),
(7228,82423,'When Equipped:',100,0,0),
(7229,82423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7230,82423,'Inflicts 403 - 748 magic damage on target',100,2,2),
(7231,82423,'Cannot be modified except by direct means',100,2,3),
(7232,10082423,'When Equipped:',100,0,0),
(7233,10082423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7234,10082423,'Inflicts 403 - 748 magic damage on target',100,2,2),
(7235,10082423,'Cannot be modified except by direct means',100,2,3),
(7236,103302,'Applies Migraine on termination.',100,1,0),
(7237,103302,'Inflicts 80 - 109 mental damage on target',100,2,1),
(7238,103302,'Inflicts 111 - 135 mental damage on target',100,1,2),
(7239,103302,'Inflicts 32 - 39 mental damage on target every 6 seconds',100,1,3),
(7240,10103302,'Applies Migraine on termination.',100,1,0),
(7241,10103302,'Inflicts 66 - 89 mental damage on target',100,2,1),
(7242,10103302,'Inflicts 104 - 127 mental damage on target',100,1,2),
(7243,10103302,'Inflicts 25 - 30 mental damage on target every 6 seconds',100,1,3),
(7244,133810,'When Equipped:',100,0,0),
(7245,133810,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(7246,133810,'Inflicts 2664 cold damage on target encounter',100,2,2),
(7247,133810,'Must not be engaged in pvp combat',100,2,3),
(7248,133810,'Cannot be modified except by direct means',100,2,4),
(7249,133810,'Must not be engaged in pvp combat',100,1,5),
(7250,10133810,'When Equipped:',100,0,0),
(7251,10133810,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(7252,10133810,'Inflicts 1332 cold damage on target encounter',100,2,2),
(7253,10133810,'Must not be engaged in pvp combat',100,2,3),
(7254,10133810,'Cannot be modified except by direct means',100,2,4),
(7255,10133810,'Must not be engaged in pvp combat',100,1,5),
(7256,107534,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(7257,107534,'Decreases Mitigation of target encounter vs elemental and noxious damage by 640',100,1,1),
(7258,10107534,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(7259,10107534,'Decreases Mitigation of target encounter vs elemental and noxious damage by 640',100,1,1),
(7260,115421,'Inflicts 5268 - 8090 melee damage on target',100,1,0),
(7261,115421,'Decreases INT of target by 127.0',100,1,1),
(7262,115421,'You must be sneaking to use this ability.',100,1,2),
(7263,10115421,'Inflicts 3772 - 5996 melee damage on target',100,1,0),
(7264,10115421,'Decreases INT of target by 127.0',100,1,1),
(7265,10115421,'You must be sneaking to use this ability.',100,1,2),
(7266,105891,'Inflicts 1853 - 2520 ranged damage on target',100,1,0),
(7267,105891,'Inflicts 926 - 1537 ranged damage on target',100,1,1),
(7268,105891,'If weapon equipped in Ranged',100,1,2),
(7269,10105891,'Inflicts 942 - 1303 ranged damage on target',100,1,0),
(7270,10105891,'Inflicts 547 - 908 ranged damage on target',100,1,1),
(7271,10105891,'If weapon equipped in Ranged',100,1,2),
(7272,71947,'When Equipped:',100,0,0),
(7273,71947,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7274,71947,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(7275,71947,'Cannot be modified except by direct means',100,2,3),
(7276,10071947,'When Equipped:',100,0,0),
(7277,10071947,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7278,10071947,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(7279,10071947,'Cannot be modified except by direct means',100,2,3),
(7280,122724,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(7281,122724,'Increases Deflection of caster by 9.7',100,1,1),
(7282,10122724,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(7283,10122724,'Increases Deflection of caster by 9.7',100,1,1),
(7284,45819,'Applies Consume Essence when Activated.',100,0,0),
(7285,45819,'Heals group members (AE) for 497 - 608',100,1,1),
(7286,45819,'Dispels 111 levels of any hostile effects on caster',100,1,2),
(7287,10045819,'Applies Consume Essence when Activated.',100,0,0),
(7288,10045819,'Heals group members (AE) for 323 - 395',100,1,1),
(7289,10045819,'Dispels 111 levels of any hostile effects on caster',100,1,2),
(7290,107184,'Inflicts 765 - 1270 divine damage on target',100,1,0),
(7291,107184,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(7292,107184,'Stuns target',100,2,2),
(7293,107184,'If Target is not Epic',100,3,3),
(7294,107184,'Inflicts 1185 - 1976 divine damage on target',100,2,4),
(7295,107184,'Inflicts 1016 - 1693 divine damage on target',100,2,5),
(7296,107184,'If target is undead',100,3,6),
(7297,10107184,'Inflicts 402 - 667 divine damage on target',100,1,0),
(7298,10107184,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(7299,10107184,'Stuns target',100,2,2),
(7300,10107184,'Inflicts 1401 - 2336 divine damage on target',100,2,3),
(7301,10107184,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(7302,116939,'Increases Threat to target by 596 - 728 ',100,1,0),
(7303,116939,'Interrupts target',100,1,1),
(7304,10116939,'Forces target to change their selected target to caster.',100,1,0),
(7305,10116939,'Interrupts target',100,1,1),
(7306,10116939,'Prevents target from changing targets',100,1,2),
(7307,80265,'When Equipped:',100,0,0),
(7308,80265,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7309,80265,'Decreases Threat to target by 801 ',100,2,2),
(7310,80265,'Must be flanking or behind',100,3,3),
(7311,80265,'Increases Threat to target by 1,261 ',100,2,4),
(7312,80265,'Must be in front of',100,3,5),
(7313,80265,'Inflicts 333 - 619 magic damage on target',100,2,6),
(7314,80265,'Cannot be modified except by direct means',100,2,7),
(7315,10080265,'When Equipped:',100,0,0),
(7316,10080265,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7317,10080265,'Inflicts 333 - 619 magic damage on target',100,2,2),
(7318,10080265,'Cannot be modified except by direct means',100,2,3),
(7319,114646,'Decreases WIS of target by 96.8',100,1,0),
(7320,114646,'Inflicts 5881 - 9105 melee damage on target',100,1,1),
(7321,114646,'You must be sneaking to use this ability.',100,1,2),
(7322,10114646,'Decreases WIS of target by 96.8',100,1,0),
(7323,10114646,'Inflicts 4255 - 6796 melee damage on target',100,1,1),
(7324,10114646,'You must be sneaking to use this ability.',100,1,2),
(7325,24376,'Adds Froglok-Undead (Assassin) to your Dungeon Maker toolbox',100,0,0),
(7326,10024376,'Adds Froglok-Undead (Assassin) to your Dungeon Maker toolbox',100,0,0),
(7327,115583,'Interrupts target encounter',100,1,0),
(7328,115583,'Decreases Threat to target encounter by 1,249 - 1,526 ',100,1,1),
(7329,115583,'Dazes target encounter',100,1,2),
(7330,115583,'If Target is not Epic',100,2,3),
(7331,115583,'Resistibility increases against targets higher than level 81.',100,1,4),
(7332,10115583,'Interrupts target encounter',100,1,0),
(7333,10115583,'Dazes target encounter',100,1,1),
(7334,10115583,'If Target is not Epic',100,2,2),
(7335,10115583,'Resistibility increases against targets higher than level 81.',100,1,3),
(7336,36169,'Increases Max Power of target by 47.2',100,0,0),
(7337,36169,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(7338,100732,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(7339,100732,'Increases Mitigation of group members (AE) vs noxious damage by 1040',100,1,1),
(7340,10100732,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(7341,10100732,'Increases Mitigation of group members (AE) vs noxious damage by 1040',100,1,1),
(7342,27182,'When Equipped:',100,0,0),
(7343,27182,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(7344,27182,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(7345,27182,'Heals caster for 376 - 460',100,3,3),
(7346,27182,'Grants a total of 3 triggers of the spell.',100,3,4),
(7347,27182,'Cannot be modified except by direct means',100,2,5),
(7348,10027182,'When Equipped:',100,0,0),
(7349,10027182,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(7350,10027182,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(7351,10027182,'Heals caster for 200 - 245',100,3,3),
(7352,10027182,'Grants a total of 3 triggers of the spell.',100,3,4),
(7353,10027182,'Cannot be modified except by direct means',100,2,5),
(7354,121449,'Increases AGI of caster by 45.3',100,1,0),
(7355,121449,'Adds 14.8% to base avoidance.',100,1,1),
(7356,121449,'Increases Mitigation of caster vs physical damage by 444',100,1,2),
(7357,121449,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,3),
(7358,10121449,'Increases AGI of caster by 45.3',100,1,0),
(7359,10121449,'Adds 14.8% to base avoidance.',100,1,1),
(7360,10121449,'Increases Mitigation of caster vs physical damage by 444',100,1,2),
(7361,10121449,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,3),
(7362,151884,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(7363,151884,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(7364,151884,'Cannot be modified except by direct means',100,1,2),
(7365,10151884,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(7366,10151884,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(7367,10151884,'Cannot be modified except by direct means',100,1,2),
(7368,119948,'Inflicts 1929 - 3115 melee damage on target',100,1,0),
(7369,119948,'Stifles target',100,1,1),
(7370,119948,'If Target is not Epic',100,2,2),
(7371,119948,'Resistibility increases against targets higher than level 79.',100,1,3),
(7372,10119948,'Inflicts 1426 - 2106 melee damage on target',100,1,0),
(7373,10119948,'Stifles target',100,1,1),
(7374,10119948,'If Target is not Epic',100,2,2),
(7375,10119948,'Resistibility increases against targets higher than level 79.',100,1,3),
(7376,121036,'Increases AGI of target by 39.3',100,1,0),
(7377,121036,'Adds 0.8% to base avoidance.',100,1,1),
(7378,121036,'Increases In-Combat Power Regeneration of target by 22.2',100,1,2),
(7379,121036,'Increases Max Power of target by 257.4',100,1,3),
(7380,10121036,'Increases AGI of target by 39.3',100,1,0),
(7381,10121036,'Adds 0.8% to base avoidance.',100,1,1),
(7382,10121036,'Increases In-Combat Power Regeneration of target by 22.2',100,1,2),
(7383,10121036,'Increases Max Power of target by 257.4',100,1,3),
(7384,107197,'Summons a pet Docile Ice Slurry',100,1,0),
(7385,10107197,'Summons a pet Docile Ice Slurry',100,1,0),
(7386,155680,'When Equipped:',100,0,0),
(7387,155680,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7388,155680,'Decreases Threat to target by 350 ',100,2,2),
(7389,155680,'Cannot be modified except by direct means',100,2,3),
(7390,10155680,'When Equipped:',100,0,0),
(7391,10155680,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7392,10155680,'Cannot be modified except by direct means',100,2,2),
(7393,122052,'Increases Threat to target by 4,334 - 4,792 ',100,1,0),
(7394,122052,'Inflicts 633 - 1050 melee damage on target',100,1,1),
(7395,10122052,'Forces target to change their selected target to caster.',100,1,0),
(7396,10122052,'Inflicts 499 - 827 melee damage on target',100,1,1),
(7397,48958,'Applies Translucent Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(7398,48958,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(7399,48958,'Inflicts 363 poison damage on target',100,2,2),
(7400,48958,'Inflicts 318 poison damage on target instantly and every 6 seconds',100,2,3),
(7401,48958,'Cannot be modified except by direct means',100,2,4),
(7402,48958,'Grants a total of 200 triggers of the spell.',100,2,5),
(7403,48958,'Only affects targets level 50 and above',100,1,6),
(7404,10048958,'Applies Translucent Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(7405,10048958,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(7406,10048958,'Inflicts 272 poison damage on target',100,2,2),
(7407,10048958,'Inflicts 238 poison damage on target instantly and every 6 seconds',100,2,3),
(7408,10048958,'Cannot be modified except by direct means',100,2,4),
(7409,10048958,'Grants a total of 200 triggers of the spell.',100,2,5),
(7410,10048958,'Only affects targets level 50 and above',100,1,6),
(7411,112747,'Interrupts target',100,1,0),
(7412,112747,'Inflicts 346 - 576 divine damage on target',100,1,1),
(7413,10112747,'Interrupts target',100,1,0),
(7414,10112747,'Inflicts 297 - 495 divine damage on target',100,1,1),
(7415,81253,'When Equipped:',100,0,0),
(7416,81253,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7417,81253,'Inflicts 403 - 748 magic damage on target',100,2,2),
(7418,81253,'Cannot be modified except by direct means',100,2,3),
(7419,10081253,'When Equipped:',100,0,0),
(7420,10081253,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7421,10081253,'Inflicts 403 - 748 magic damage on target',100,2,2),
(7422,10081253,'Cannot be modified except by direct means',100,2,3),
(7423,157346,'When Equipped:',100,0,0),
(7424,157346,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7425,157346,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,2),
(7426,157346,'Heals target for 1741',100,3,3),
(7427,157346,'This effect cannot be critically applied.',100,4,4),
(7428,157346,'Cannot be modified except by direct means',100,3,5),
(7429,157346,'Inflicts 2383 poison damage on target',100,2,6),
(7430,157346,'Heals caster for 1907',100,2,7),
(7431,157346,'Cannot be modified except by direct means',100,2,8),
(7432,157346,'Cannot be modified except by direct means',100,1,9),
(7433,10157346,'When Equipped:',100,0,0),
(7434,10157346,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7435,10157346,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,2),
(7436,10157346,'Heals target for 170',100,3,3),
(7437,10157346,'This effect cannot be critically applied.',100,4,4),
(7438,10157346,'Cannot be modified except by direct means',100,3,5),
(7439,10157346,'Inflicts 1192 poison damage on target',100,2,6),
(7440,10157346,'Heals caster for 1115',100,2,7),
(7441,10157346,'Cannot be modified except by direct means',100,2,8),
(7442,10157346,'Cannot be modified except by direct means',100,1,9),
(7443,42437,'When Equipped:',100,0,0),
(7444,42437,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7445,42437,'Increases Potency of caster by 11.0%',100,2,2),
(7446,42437,'Must not be engaged in pvp combat',100,2,3),
(7447,42437,'Cannot be modified except by direct means',100,2,4),
(7448,42437,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(7449,42437,'Increases Potency of caster by 11.0%',100,2,6),
(7450,42437,'Must not be engaged in pvp combat',100,2,7),
(7451,42437,'Cannot be modified except by direct means',100,2,8),
(7452,42437,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(7453,42437,'Cannot be modified except by direct means',100,1,10),
(7454,10042437,'When Equipped:',100,0,0),
(7455,10042437,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7456,10042437,'Increases Potency of caster by 11.0%',100,2,2),
(7457,10042437,'Must not be engaged in pvp combat',100,2,3),
(7458,10042437,'Cannot be modified except by direct means',100,2,4),
(7459,10042437,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(7460,10042437,'Increases Potency of caster by 11.0%',100,2,6),
(7461,10042437,'Must not be engaged in pvp combat',100,2,7),
(7462,10042437,'Cannot be modified except by direct means',100,2,8),
(7463,10042437,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(7464,10042437,'Cannot be modified except by direct means',100,1,10),
(7465,101853,'Stuns target',100,1,0),
(7466,101853,'Does not affect Epic targets',100,1,1),
(7467,101853,'Resistibility increases against targets higher than level 68.',100,1,2),
(7468,10101853,'Stuns target',100,1,0),
(7469,10101853,'Does not affect Epic targets',100,1,1),
(7470,10101853,'Resistibility increases against targets higher than level 68.',100,1,2),
(7471,88644,'When Equipped:',100,0,0),
(7472,88644,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7473,88644,'Slows target by 20.0%',100,2,2),
(7474,88644,'Cannot be modified except by direct means',100,2,3),
(7475,10088644,'When Equipped:',100,0,0),
(7476,10088644,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7477,10088644,'Slows target by 20.0%',100,2,2),
(7478,10088644,'Cannot be modified except by direct means',100,2,3),
(7479,159465,'Applies Sanguine Imbued when Equipped.',100,0,0),
(7480,159465,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(7481,159465,'Inflicts 153 heat damage on target',100,2,2),
(7482,159465,'Cannot be modified except by direct means',100,2,3),
(7483,10159465,'Applies Sanguine Imbued when Equipped.',100,0,0),
(7484,10159465,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(7485,10159465,'Inflicts 153 heat damage on target',100,2,2),
(7486,10159465,'Cannot be modified except by direct means',100,2,3),
(7487,26675,'When Equipped:',100,0,0),
(7488,26675,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,1),
(7489,26675,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(7490,10026675,'When Equipped:',100,0,0),
(7491,10026675,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,1),
(7492,10026675,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(7493,113934,'Increases power of target by 53 instantly and every 4 seconds',100,1,0),
(7494,10113934,'Increases power of target by 53 instantly and every 4 seconds',100,1,0),
(7495,35246,'Increases STA of target by 2.4',100,0,0),
(7496,35246,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(7497,80361,'When Equipped:',100,0,0),
(7498,80361,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7499,80361,'Decreases Threat to target by 153 ',100,2,2),
(7500,80361,'Must be flanking or behind',100,3,3),
(7501,80361,'Increases Threat to target by 267 ',100,2,4),
(7502,80361,'Must be in front of',100,3,5),
(7503,80361,'Inflicts 90 - 168 magic damage on target',100,2,6),
(7504,80361,'Cannot be modified except by direct means',100,2,7),
(7505,10080361,'When Equipped:',100,0,0),
(7506,10080361,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7507,10080361,'Inflicts 90 - 168 magic damage on target',100,2,2),
(7508,10080361,'Cannot be modified except by direct means',100,2,3),
(7509,40880,'When Equipped:',100,0,0),
(7510,40880,'Increases Max Health of caster by 1,220.0',100,1,1),
(7511,40880,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(7512,40880,'Cannot be modified except by direct means',100,1,3),
(7513,10040880,'When Equipped:',100,0,0),
(7514,10040880,'Increases Max Health of caster by 1,220.0',100,1,1),
(7515,10040880,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(7516,10040880,'Cannot be modified except by direct means',100,1,3),
(7517,47263,'Applies Lenya''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(7518,47263,'Increases Max Power of caster by 108.0',100,1,1),
(7519,10047263,'Applies Lenya''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(7520,10047263,'Increases Max Power of caster by 108.0',100,1,1),
(7521,111126,'Heals target for 18.8 - 23.0% of max health',100,1,0),
(7522,111126,'This effect cannot be critically applied.',100,2,1),
(7523,111126,'Increases Mitigation of target vs physical damage by 571',100,1,2),
(7524,111126,'The healing of this spell cannot be modified except by direct means',100,1,3),
(7525,10111126,'Heals target for 7.1 - 8.6% of max health',100,1,0),
(7526,10111126,'This effect cannot be critically applied.',100,2,1),
(7527,10111126,'Increases Mitigation of target vs physical damage by 571',100,1,2),
(7528,10111126,'The healing of this spell cannot be modified except by direct means',100,1,3),
(7529,182910,'When Equipped:',100,0,0),
(7530,182910,'Increases Attack Speed of caster by 30.0',100,1,1),
(7531,10182910,'When Equipped:',100,0,0),
(7532,10182910,'Increases Attack Speed of caster by 30.0',100,1,1),
(7533,101652,'Decreases Attack Speed of target by 11.2',100,1,0),
(7534,101652,'Decreases Damage Per Second of target by 6.5',100,1,1),
(7535,10101652,'Decreases Attack Speed of target by 11.2',100,1,0),
(7536,10101652,'Decreases Damage Per Second of target by 6.5',100,1,1),
(7537,118278,'Increases Threat to target encounter by 3,649 - 4,100 ',100,1,0),
(7538,118278,'Decreases Mitigation of target encounter vs arcane damage by 784',100,1,1),
(7539,10118278,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(7540,10118278,'Prevents target from changing targets',100,2,1),
(7541,10118278,'Forces target to change their selected target to caster.',100,2,2),
(7542,10118278,'Decreases Mitigation of target encounter vs arcane damage by 784',100,1,3),
(7543,41441,'When Equipped:',100,0,0),
(7544,41441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7545,41441,'Inflicts 290 - 538 magic damage on target',100,2,2),
(7546,41441,'Cannot be modified except by direct means',100,2,3),
(7547,10041441,'When Equipped:',100,0,0),
(7548,10041441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7549,10041441,'Inflicts 290 - 538 magic damage on target',100,2,2),
(7550,10041441,'Cannot be modified except by direct means',100,2,3),
(7551,187413,'When Equipped:',100,0,0),
(7552,187413,'When a combat art is used this spell has a 6% chance to cast Touch of Health on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(7553,187413,'Heals caster for 30 instantly and every 4 seconds',100,2,2),
(7554,187413,'Cannot be modified except by direct means',100,2,3),
(7555,10187413,'When Equipped:',100,0,0),
(7556,10187413,'When a combat art is used this spell has a 6% chance to cast Touch of Health on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(7557,10187413,'Heals caster for 19 instantly and every 4 seconds',100,2,2),
(7558,10187413,'Cannot be modified except by direct means',100,2,3),
(7559,186893,'When Equipped:',100,0,0),
(7560,186893,'On a damage spell hit this spell may cast Fiery Destruction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(7561,186893,'Inflicts 397 heat damage on target encounter',100,2,2),
(7562,186893,'Cannot be modified except by direct means',100,2,3),
(7563,186893,'Cannot be modified except by direct means',100,1,4),
(7564,10186893,'When Equipped:',100,0,0),
(7565,10186893,'On a damage spell hit this spell may cast Fiery Destruction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(7566,10186893,'Inflicts 397 heat damage on target encounter',100,2,2),
(7567,10186893,'Cannot be modified except by direct means',100,2,3),
(7568,10186893,'Cannot be modified except by direct means',100,1,4),
(7569,176639,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(7570,176639,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 180',100,1,1),
(7571,176639,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(7572,10176639,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(7573,10176639,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 180',100,1,1),
(7574,10176639,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(7575,74962,'When Equipped:',100,0,0),
(7576,74962,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7577,74962,'Inflicts 217 - 326 magic damage on target',100,2,2),
(7578,74962,'Cannot be modified except by direct means',100,2,3),
(7579,10074962,'When Equipped:',100,0,0),
(7580,10074962,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7581,10074962,'Inflicts 217 - 326 magic damage on target',100,2,2),
(7582,10074962,'Cannot be modified except by direct means',100,2,3),
(7583,152257,'Applies Summon Self-Help Book when Equipped.',100,0,0),
(7584,152257,'On a hostile spell hit this spell may cast Summon Self-Help Book on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7585,152257,'Summons a limited pet to aid the caster',100,2,2),
(7586,152257,'Cannot be modified except by direct means',100,2,3),
(7587,10152257,'Applies Summon Self-Help Book when Equipped.',100,0,0),
(7588,10152257,'On a hostile spell hit this spell may cast Summon Self-Help Book on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7589,10152257,'Summons a limited pet to aid the caster',100,2,2),
(7590,10152257,'Cannot be modified except by direct means',100,2,3),
(7591,80437,'When Equipped:',100,0,0),
(7592,80437,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7593,80437,'Decreases Threat to target by 153 ',100,2,2),
(7594,80437,'Must be flanking or behind',100,3,3),
(7595,80437,'Increases Threat to target by 267 ',100,2,4),
(7596,80437,'Must be in front of',100,3,5),
(7597,80437,'Inflicts 90 - 168 magic damage on target',100,2,6),
(7598,80437,'Cannot be modified except by direct means',100,2,7),
(7599,10080437,'When Equipped:',100,0,0),
(7600,10080437,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7601,10080437,'Inflicts 90 - 168 magic damage on target',100,2,2),
(7602,10080437,'Cannot be modified except by direct means',100,2,3),
(7603,74602,'When Equipped:',100,0,0),
(7604,74602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7605,74602,'Inflicts 72 - 108 magic damage on target',100,2,2),
(7606,74602,'Cannot be modified except by direct means',100,2,3),
(7607,10074602,'When Equipped:',100,0,0),
(7608,10074602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7609,10074602,'Inflicts 72 - 108 magic damage on target',100,2,2),
(7610,10074602,'Cannot be modified except by direct means',100,2,3),
(7611,117777,'Inflicts 3912 - 5866 divine damage on target',100,1,0),
(7612,10117777,'Inflicts 2704 - 4243 divine damage on target',100,1,0),
(7613,123749,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(7614,123749,'Increases Mitigation of group members (AE) vs elemental damage by 190',100,1,1),
(7615,10123749,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(7616,10123749,'Increases Mitigation of group members (AE) vs elemental damage by 190',100,1,1),
(7617,81536,'When Equipped:',100,0,0),
(7618,81536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7619,81536,'Decreases Threat to target by 376 ',100,2,2),
(7620,81536,'Must be flanking or behind',100,3,3),
(7621,81536,'Increases Threat to target by 658 ',100,2,4),
(7622,81536,'Must be in front of',100,3,5),
(7623,81536,'Inflicts 215 - 399 magic damage on target',100,2,6),
(7624,81536,'Cannot be modified except by direct means',100,2,7),
(7625,10081536,'When Equipped:',100,0,0),
(7626,10081536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7627,10081536,'Inflicts 215 - 399 magic damage on target',100,2,2),
(7628,10081536,'Cannot be modified except by direct means',100,2,3),
(7629,174383,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(7630,174383,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(7631,174383,'Cannot be modified except by direct means',100,1,2),
(7632,10174383,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(7633,10174383,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(7634,10174383,'Cannot be modified except by direct means',100,1,2),
(7635,35416,'Increases AGI and STA of target by 15.8',100,0,0),
(7636,35416,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,1),
(7637,103635,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(7638,103635,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(7639,103635,'Increases STR of raid and group members (AE) by 30.6',100,1,2),
(7640,103635,'Improves the base amount of taunts by 11%.',100,1,3),
(7641,103635,'Improves the base amount of combat arts by 3.44%.',100,1,4),
(7642,103635,'Increases AGI of raid and group members (AE) by 30.6',100,1,5),
(7643,103635,'Adds 1.1% to base avoidance.',100,1,6),
(7644,10103635,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(7645,10103635,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(7646,10103635,'Increases STR of raid and group members (AE) by 30.6',100,1,2),
(7647,10103635,'Improves the base amount of taunts by 11%.',100,1,3),
(7648,10103635,'Improves the base amount of combat arts by 3.44%.',100,1,4),
(7649,10103635,'Increases AGI of raid and group members (AE) by 30.6',100,1,5),
(7650,10103635,'Adds 1.1% to base avoidance.',100,1,6),
(7651,158736,'When Equipped:',100,0,0),
(7652,158736,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7653,158736,'Increases Ability Modifier of group members by 100.0',100,2,2),
(7654,158736,'Cannot be modified except by direct means',100,2,3),
(7655,158736,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(7656,158736,'Increases Ability Modifier of group members by 100.0',100,2,5),
(7657,158736,'Cannot be modified except by direct means',100,2,6),
(7658,158736,'Cannot be modified except by direct means',100,1,7),
(7659,10158736,'When Equipped:',100,0,0),
(7660,10158736,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7661,10158736,'Increases Ability Modifier of group members by 100.0',100,2,2),
(7662,10158736,'Cannot be modified except by direct means',100,2,3),
(7663,10158736,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(7664,10158736,'Increases Ability Modifier of group members by 100.0',100,2,5),
(7665,10158736,'Cannot be modified except by direct means',100,2,6),
(7666,10158736,'Cannot be modified except by direct means',100,1,7),
(7667,169345,'When Equipped:',100,0,0),
(7668,169345,'Applies Frosty Breath',100,1,1),
(7669,10169345,'When Equipped:',100,0,0),
(7670,10169345,'Applies Frosty Breath',100,1,1),
(7671,74610,'When Equipped:',100,0,0),
(7672,74610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7673,74610,'Inflicts 69 - 103 magic damage on target',100,2,2),
(7674,74610,'Cannot be modified except by direct means',100,2,3),
(7675,10074610,'When Equipped:',100,0,0),
(7676,10074610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7677,10074610,'Inflicts 69 - 103 magic damage on target',100,2,2),
(7678,10074610,'Cannot be modified except by direct means',100,2,3),
(7679,80823,'When Equipped:',100,0,0),
(7680,80823,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7681,80823,'Inflicts 343 - 636 magic damage on target',100,2,2),
(7682,80823,'Cannot be modified except by direct means',100,2,3),
(7683,10080823,'When Equipped:',100,0,0),
(7684,10080823,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7685,10080823,'Inflicts 343 - 636 magic damage on target',100,2,2),
(7686,10080823,'Cannot be modified except by direct means',100,2,3),
(7687,104632,'Inflicts 557 - 924 crushing damage on target',100,1,0),
(7688,104632,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 10.2',100,1,1),
(7689,10104632,'Inflicts 439 - 728 crushing damage on target',100,1,0),
(7690,10104632,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 10.2',100,1,1),
(7691,71568,'When Equipped:',100,0,0),
(7692,71568,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7693,71568,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(7694,71568,'Cannot be modified except by direct means',100,2,3),
(7695,10071568,'When Equipped:',100,0,0),
(7696,10071568,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7697,10071568,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(7698,10071568,'Cannot be modified except by direct means',100,2,3),
(7699,37462,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(7700,102460,'Stuns target encounter',100,1,0),
(7701,102460,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(7702,102460,'Resistibility increases against targets higher than level 100.',100,1,2),
(7703,10102460,'Stuns target encounter',100,1,0),
(7704,10102460,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(7705,10102460,'Resistibility increases against targets higher than level 100.',100,1,2),
(7706,81087,'When Equipped:',100,0,0),
(7707,81087,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7708,81087,'Inflicts 295 - 547 magic damage on target',100,2,2),
(7709,81087,'Cannot be modified except by direct means',100,2,3),
(7710,10081087,'When Equipped:',100,0,0),
(7711,10081087,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7712,10081087,'Inflicts 295 - 547 magic damage on target',100,2,2),
(7713,10081087,'Cannot be modified except by direct means',100,2,3),
(7714,118049,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(7715,118049,'Stuns target',100,2,1),
(7716,118049,'If Target is not Epic',100,3,2),
(7717,118049,'Inflicts 2127 - 3546 divine damage on target',100,2,3),
(7718,118049,'Grants a total of 3 triggers of the spell.',100,2,4),
(7719,10118049,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(7720,10118049,'Stuns target',100,2,1),
(7721,10118049,'If Target is not Epic',100,3,2),
(7722,10118049,'Inflicts 1677 - 2795 divine damage on target',100,2,3),
(7723,10118049,'Grants a total of 3 triggers of the spell.',100,2,4),
(7724,163454,'When Equipped:',100,0,0),
(7725,163454,'Increases Attack Speed of caster by 40.0',100,1,1),
(7726,10163454,'When Equipped:',100,0,0),
(7727,10163454,'Increases Attack Speed of caster by 40.0',100,1,1),
(7728,117768,'Inflicts 3507 - 5190 divine damage on target',100,1,0),
(7729,10117768,'Inflicts 2384 - 3711 divine damage on target',100,1,0),
(7730,137572,'When Equipped:',100,0,0),
(7731,137572,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7732,137572,'Increases Max Health of caster by 2,908.0',100,2,2),
(7733,137572,'Must not be engaged in pvp combat',100,2,3),
(7734,137572,'Cannot be modified except by direct means',100,2,4),
(7735,137572,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(7736,137572,'Increases Max Health of caster by 2,908.0',100,2,6),
(7737,137572,'Must not be engaged in pvp combat',100,2,7),
(7738,137572,'Cannot be modified except by direct means',100,2,8),
(7739,137572,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(7740,137572,'Cannot be modified except by direct means',100,1,10),
(7741,10137572,'When Equipped:',100,0,0),
(7742,10137572,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7743,10137572,'Increases Max Health of caster by 2,908.0',100,2,2),
(7744,10137572,'Must not be engaged in pvp combat',100,2,3),
(7745,10137572,'Cannot be modified except by direct means',100,2,4),
(7746,10137572,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(7747,10137572,'Increases Max Health of caster by 2,908.0',100,2,6),
(7748,10137572,'Must not be engaged in pvp combat',100,2,7),
(7749,10137572,'Cannot be modified except by direct means',100,2,8),
(7750,10137572,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(7751,10137572,'Cannot be modified except by direct means',100,1,10),
(7752,118924,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(7753,118924,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 610',100,1,1),
(7754,118924,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,2),
(7755,10118924,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(7756,10118924,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 610',100,1,1),
(7757,10118924,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,2),
(7758,119670,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(7759,119670,'Stuns target',100,2,1),
(7760,119670,'Throws target back',100,2,2),
(7761,119670,'Blurs vision of target',100,2,3),
(7762,119670,'Does not affect Epic targets',100,2,4),
(7763,119670,'Inflicts 1637 - 4217 melee damage on target',100,1,5),
(7764,10119670,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(7765,10119670,'Stuns target',100,2,1),
(7766,10119670,'Throws target back',100,2,2),
(7767,10119670,'Blurs vision of target',100,2,3),
(7768,10119670,'Does not affect Epic targets',100,2,4),
(7769,10119670,'Inflicts 1257 - 2944 melee damage on target',100,1,5),
(7770,137394,'When Equipped:',100,0,0),
(7771,137394,'Increases poison trigger chance by 4.0%',100,1,1),
(7772,10137394,'When Equipped:',100,0,0),
(7773,10137394,'Increases poison trigger chance by 4.0%',100,1,1),
(7774,36746,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(7775,26847,'When Equipped:',100,0,0),
(7776,26847,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(7777,26847,'Heals caster for 445',100,2,2),
(7778,26847,'Cannot be modified except by direct means',100,2,3),
(7779,10026847,'When Equipped:',100,0,0),
(7780,10026847,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(7781,10026847,'Heals caster for 289',100,2,2),
(7782,10026847,'Cannot be modified except by direct means',100,2,3),
(7783,173327,'When Equipped:',100,0,0),
(7784,173327,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7785,173327,'Inflicts 1598 magic damage on target',100,2,2),
(7786,173327,'Inflicts 233 magic damage on target every 4 seconds',100,2,3),
(7787,173327,'Must not be engaged in pvp combat',100,2,4),
(7788,173327,'Cannot be modified except by direct means',100,2,5),
(7789,10173327,'When Equipped:',100,0,0),
(7790,10173327,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7791,10173327,'Inflicts 1598 magic damage on target',100,2,2),
(7792,10173327,'Inflicts 233 magic damage on target every 4 seconds',100,2,3),
(7793,10173327,'Must not be engaged in pvp combat',100,2,4),
(7794,10173327,'Cannot be modified except by direct means',100,2,5),
(7795,159054,'When Equipped:',100,0,0),
(7796,159054,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7797,159054,'Increases STR of caster by 5.8',100,2,2),
(7798,159054,'Increases Damage Per Second of caster by 13.2',100,2,3),
(7799,159054,'Cannot be modified except by direct means',100,2,4),
(7800,10159054,'When Equipped:',100,0,0),
(7801,10159054,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7802,10159054,'Increases STR of caster by 5.8',100,2,2),
(7803,10159054,'Increases Damage Per Second of caster by 13.2',100,2,3),
(7804,10159054,'Cannot be modified except by direct means',100,2,4),
(7805,72294,'When Equipped:',100,0,0),
(7806,72294,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7807,72294,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(7808,72294,'Cannot be modified except by direct means',100,2,3),
(7809,10072294,'When Equipped:',100,0,0),
(7810,10072294,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7811,10072294,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(7812,10072294,'Cannot be modified except by direct means',100,2,3),
(7813,107483,'Inflicts 1608 - 4462 magic damage on targets in Area of Effect',100,1,0),
(7814,107483,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(7815,107483,'Stuns target',100,2,2),
(7816,107483,'Throws target back',100,2,3),
(7817,107483,'Blurs vision of target',100,2,4),
(7818,107483,'Does not affect Epic targets',100,2,5),
(7819,10107483,'Inflicts 1218 - 3390 magic damage on targets in Area of Effect',100,1,0),
(7820,10107483,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(7821,10107483,'Blurs vision of target',100,2,2),
(7822,10107483,'Stuns target',100,2,3),
(7823,10107483,'Throws target back',100,2,4),
(7824,10107483,'Does not affect Epic targets',100,2,5),
(7825,48050,'Applies Shroud of Discord when Activated.  Lasts for 10.0 seconds.',100,0,0),
(7826,48050,'Makes caster immune to Fear effects',100,1,1),
(7827,48050,'Makes caster immune to Stun effects',100,1,2),
(7828,48050,'Makes caster immune to Stifle effects',100,1,3),
(7829,10048050,'Applies Shroud of Discord when Activated.  Lasts for 10.0 seconds.',100,0,0),
(7830,10048050,'Makes caster immune to Fear effects',100,1,1),
(7831,10048050,'Makes caster immune to Stun effects',100,1,2),
(7832,10048050,'Makes caster immune to Stifle effects',100,1,3),
(7833,103463,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(7834,10103463,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(7835,81197,'When Equipped:',100,0,0),
(7836,81197,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7837,81197,'Inflicts 404 - 751 magic damage on target',100,2,2),
(7838,81197,'Cannot be modified except by direct means',100,2,3),
(7839,10081197,'When Equipped:',100,0,0),
(7840,10081197,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(7841,10081197,'Inflicts 404 - 751 magic damage on target',100,2,2),
(7842,10081197,'Cannot be modified except by direct means',100,2,3),
(7843,169136,'When Equipped:',100,0,0),
(7844,169136,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7845,169136,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(7846,169136,'Cannot be modified except by direct means',100,2,3),
(7847,10169136,'When Equipped:',100,0,0),
(7848,10169136,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(7849,10169136,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(7850,10169136,'Cannot be modified except by direct means',100,2,3),
(7851,161058,'When Equipped:',100,0,0),
(7852,161058,'Increases Attack Speed of caster by 40.0',100,1,1),
(7853,10161058,'When Equipped:',100,0,0),
(7854,10161058,'Increases Attack Speed of caster by 40.0',100,1,1),
(7855,144975,'When Equipped:',100,0,0),
(7856,144975,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(7857,144975,'This effect will not stack with any rank or tier of itself.',100,1,2),
(7858,144975,'Cannot be modified except by direct means',100,1,3),
(7859,10144975,'When Equipped:',100,0,0),
(7860,10144975,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(7861,10144975,'This effect will not stack with any rank or tier of itself.',100,1,2),
(7862,10144975,'Cannot be modified except by direct means',100,1,3),
(7863,175191,'When Equipped:',100,0,0),
(7864,175191,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(7865,175191,'This ward regenerates slowly over time.',100,2,2),
(7866,175191,'Wards group members (AE) against 4000 points of all damage',100,2,3),
(7867,175191,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(7868,175191,'Heals group members (AE) for 1385 - 1531',100,2,5),
(7869,175191,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,6),
(7870,175191,'Must not be engaged in pvp combat',100,2,7),
(7871,175191,'Cannot be modified except by direct means',100,2,8),
(7872,175191,'Must not be engaged in pvp combat',100,1,9),
(7873,10175191,'When Equipped:',100,0,0),
(7874,10175191,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(7875,10175191,'This ward regenerates slowly over time.',100,2,2),
(7876,10175191,'Wards group members (AE) against 4000 points of all damage',100,2,3),
(7877,10175191,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(7878,10175191,'Heals group members (AE) for 1621 - 1791',100,2,5),
(7879,10175191,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,6),
(7880,10175191,'Must not be engaged in pvp combat',100,2,7),
(7881,10175191,'Cannot be modified except by direct means',100,2,8),
(7882,10175191,'Must not be engaged in pvp combat',100,1,9),
(7883,170078,'When Equipped:',100,0,0),
(7884,170078,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(7885,170078,'Decreases Damage Per Second of target encounter by 5.6 - 9.3',100,2,2),
(7886,170078,'Cannot be modified except by direct means',100,2,3),
(7887,10170078,'When Equipped:',100,0,0),
(7888,10170078,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(7889,10170078,'Decreases Damage Per Second of target encounter by 5.6 - 9.3',100,2,2),
(7890,10170078,'Cannot be modified except by direct means',100,2,3),
(7891,116023,'Decreases Hate Gain of target by 19.0%',100,1,0),
(7892,116023,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(7893,116023,'Decreases threat priority of target by 1 position',100,2,2),
(7894,10116023,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(7895,10116023,'Forces target to clear their selected target.',100,2,1),
(7896,177596,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(7897,177596,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(7898,177596,'Inflicts 67 heat damage on target',100,2,2),
(7899,177596,'Cannot be modified except by direct means',100,2,3),
(7900,10177596,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(7901,10177596,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(7902,10177596,'Inflicts 67 heat damage on target',100,2,2),
(7903,10177596,'Cannot be modified except by direct means',100,2,3),
(7904,36146,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(7905,89074,'When Equipped:',100,0,0),
(7906,89074,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(7907,89074,'Inflicts 405 - 675 magic damage on target',100,2,2),
(7908,89074,'Inflicts 405 - 675 piercing damage on target',100,2,3),
(7909,89074,'Inflicts 405 - 675 divine damage on target',100,2,4),
(7910,89074,'Must not be engaged in pvp combat',100,2,5),
(7911,89074,'Cannot be modified except by direct means',100,2,6),
(7912,89074,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(7913,89074,'Inflicts 405 - 675 magic damage on target',100,2,8),
(7914,89074,'Inflicts 405 - 675 piercing damage on target',100,2,9),
(7915,89074,'Inflicts 405 - 675 divine damage on target',100,2,10),
(7916,89074,'Must not be engaged in pvp combat',100,2,11),
(7917,89074,'Cannot be modified except by direct means',100,2,12),
(7918,89074,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(7919,89074,'Inflicts 405 - 675 magic damage on target',100,2,14),
(7920,89074,'Inflicts 405 - 675 piercing damage on target',100,2,15),
(7921,89074,'Inflicts 405 - 675 divine damage on target',100,2,16),
(7922,89074,'Must not be engaged in pvp combat',100,2,17),
(7923,89074,'Cannot be modified except by direct means',100,2,18),
(7924,89074,'Must not be engaged in pvp combat',100,1,19),
(7925,10089074,'When Equipped:',100,0,0),
(7926,10089074,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(7927,10089074,'Inflicts 405 - 675 magic damage on target',100,2,2),
(7928,10089074,'Inflicts 405 - 675 piercing damage on target',100,2,3),
(7929,10089074,'Inflicts 405 - 675 divine damage on target',100,2,4),
(7930,10089074,'Must not be engaged in pvp combat',100,2,5),
(7931,10089074,'Cannot be modified except by direct means',100,2,6),
(7932,10089074,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(7933,10089074,'Inflicts 405 - 675 magic damage on target',100,2,8),
(7934,10089074,'Inflicts 405 - 675 piercing damage on target',100,2,9),
(7935,10089074,'Inflicts 405 - 675 divine damage on target',100,2,10),
(7936,10089074,'Must not be engaged in pvp combat',100,2,11),
(7937,10089074,'Cannot be modified except by direct means',100,2,12),
(7938,10089074,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(7939,10089074,'Inflicts 405 - 675 magic damage on target',100,2,14),
(7940,10089074,'Inflicts 405 - 675 piercing damage on target',100,2,15),
(7941,10089074,'Inflicts 405 - 675 divine damage on target',100,2,16),
(7942,10089074,'Must not be engaged in pvp combat',100,2,17),
(7943,10089074,'Cannot be modified except by direct means',100,2,18),
(7944,10089074,'Must not be engaged in pvp combat',100,1,19),
(7945,71916,'When Equipped:',100,0,0),
(7946,71916,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7947,71916,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(7948,71916,'Cannot be modified except by direct means',100,2,3),
(7949,10071916,'When Equipped:',100,0,0),
(7950,10071916,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7951,10071916,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(7952,10071916,'Cannot be modified except by direct means',100,2,3),
(7953,103357,'Decreases power of target by 32 instantly and every 6 seconds',100,1,0),
(7954,103357,'Inflicts 518 - 616 mental damage on target',100,1,1),
(7955,103357,'Inflicts 126 - 153 mental damage on target every 6 seconds',100,1,2),
(7956,103357,'Increases power of caster by 28',100,1,3),
(7957,10103357,'Decreases power of target by 25 instantly and every 6 seconds',100,1,0),
(7958,10103357,'Inflicts 492 - 516 mental damage on target',100,1,1),
(7959,10103357,'Inflicts 99 - 121 mental damage on target every 6 seconds',100,1,2),
(7960,10103357,'Increases power of caster by 28',100,1,3),
(7961,112108,'Inflicts 1571 - 1963 heat damage on target',100,1,0),
(7962,112108,'Inflicts 588 - 980 heat damage on target every 2 seconds',100,1,1),
(7963,10112108,'Inflicts 1531 - 2288 heat damage on target',100,1,0),
(7964,10112108,'Inflicts 1136 - 1894 heat damage on target every 2 seconds',100,1,1),
(7965,104245,'Increases Mitigation of group members (AE) vs physical damage by 285',100,1,0),
(7966,10104245,'Increases Mitigation of group members (AE) vs physical damage by 285',100,1,0),
(7967,122577,'Inflicts 351 - 429 mental damage on target',100,1,0),
(7968,122577,'Inflicts 78 - 95 mental damage on target every 3 seconds',100,1,1),
(7969,122577,'Decreases Mitigation of target vs arcane damage by 182',100,1,2),
(7970,10122577,'Inflicts 334 - 409 mental damage on target',100,1,0),
(7971,10122577,'Inflicts 61 - 75 mental damage on target every 3 seconds',100,1,1),
(7972,10122577,'Decreases Mitigation of target vs arcane damage by 182',100,1,2),
(7973,100792,'Wards target against 2267 points of all damage',100,1,0),
(7974,10100792,'Wards target against 2728 points of all damage',100,1,0),
(7975,110565,'Decreases Attack Speed of target by 17.6',100,1,0),
(7976,110565,'Decreases Crushing, Slashing and Piercing of target by 2.4',100,1,1),
(7977,10110565,'Decreases Attack Speed of target by 17.6',100,1,0),
(7978,10110565,'Decreases Crushing, Slashing and Piercing of target by 2.4',100,1,1),
(7979,143377,'When Equipped:',100,0,0),
(7980,143377,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(7981,10143377,'When Equipped:',100,0,0),
(7982,10143377,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(7983,35271,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(7984,47053,'Applies Elemental Ointment when Activated.',100,0,0),
(7985,47053,'Dispels 18 levels of elemental hostile effects on caster',100,1,1),
(7986,10047053,'Applies Elemental Ointment when Activated.',100,0,0),
(7987,10047053,'Dispels 18 levels of elemental hostile effects on caster',100,1,1),
(7988,72302,'When Equipped:',100,0,0),
(7989,72302,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7990,72302,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(7991,72302,'Cannot be modified except by direct means',100,2,3),
(7992,10072302,'When Equipped:',100,0,0),
(7993,10072302,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(7994,10072302,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(7995,10072302,'Cannot be modified except by direct means',100,2,3),
(7996,80779,'When Equipped:',100,0,0),
(7997,80779,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(7998,80779,'Decreases Threat to target by 517 ',100,2,2),
(7999,80779,'Must be flanking or behind',100,3,3),
(8000,80779,'Increases Threat to target by 905 ',100,2,4),
(8001,80779,'Must be in front of',100,3,5),
(8002,80779,'Inflicts 290 - 538 magic damage on target',100,2,6),
(8003,80779,'Cannot be modified except by direct means',100,2,7),
(8004,10080779,'When Equipped:',100,0,0),
(8005,10080779,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(8006,10080779,'Inflicts 290 - 538 magic damage on target',100,2,2),
(8007,10080779,'Cannot be modified except by direct means',100,2,3),
(8008,45936,'Applies Call Dervish Destrier when Activated.',100,0,0),
(8009,45936,'Increases Slashing, Focus and Crushing of caster by 4.7',100,1,1),
(8010,45936,'Summons a mount to ride',100,1,2),
(8011,45936,'Increases your ground speed by 130%',100,2,3),
(8012,45936,'Increases Piercing of caster by 4.7',100,1,4),
(8013,10045936,'Applies Call Dervish Destrier when Activated.',100,0,0),
(8014,10045936,'Increases Slashing, Focus and Crushing of caster by 4.7',100,1,1),
(8015,10045936,'Summons a mount to ride',100,1,2),
(8016,10045936,'Increases your ground speed by 130%',100,2,3),
(8017,10045936,'Increases Piercing of caster by 4.7',100,1,4),
(8018,35624,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(8019,131090,'When Equipped:',100,0,0),
(8020,131090,'This effect will not stack with any rank or tier of itself.',100,1,1),
(8021,131090,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(8022,131090,'Cannot be modified except by direct means',100,1,3),
(8023,10131090,'When Equipped:',100,0,0),
(8024,10131090,'This effect will not stack with any rank or tier of itself.',100,1,1),
(8025,10131090,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(8026,10131090,'Cannot be modified except by direct means',100,1,3),
(8027,24002,'Adds Amygdalan (Guardian) to your Dungeon Maker toolbox',100,0,0),
(8028,10024002,'Adds Amygdalan (Guardian) to your Dungeon Maker toolbox',100,0,0),
(8029,120744,'Heals target for 397',100,1,0),
(8030,10120744,'Heals target for 222',100,1,0),
(8031,123430,'Inflicts 2270 - 5475 melee damage on target',100,1,0),
(8032,123430,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(8033,123430,'Stuns target',100,2,2),
(8034,123430,'Throws target back',100,2,3),
(8035,123430,'Blurs vision of target',100,2,4),
(8036,123430,'Does not affect Epic targets',100,2,5),
(8037,10123430,'Inflicts 1614 - 3999 melee damage on target',100,1,0),
(8038,10123430,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(8039,10123430,'Stuns target',100,2,2),
(8040,10123430,'Blurs vision of target',100,2,3),
(8041,10123430,'Throws target back',100,2,4),
(8042,10123430,'Does not affect Epic targets',100,2,5),
(8043,103098,'Inflicts 548 - 822 magic damage on target',100,1,0),
(8044,103098,'Inflicts 56 - 85 magic damage on target every 4 seconds',100,1,1),
(8045,10103098,'Inflicts 494 - 693 magic damage on target',100,1,0),
(8046,10103098,'Inflicts 44 - 67 magic damage on target every 4 seconds',100,1,1),
(8047,109258,'Increases INT and WIS of group members (AE) by 55.4',100,1,0),
(8048,109258,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,1,1),
(8049,10109258,'Increases INT and WIS of group members (AE) by 55.4',100,1,0),
(8050,10109258,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,1,1),
(8051,74972,'When Equipped:',100,0,0),
(8052,74972,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8053,74972,'Inflicts 121 - 181 magic damage on target',100,2,2),
(8054,74972,'Cannot be modified except by direct means',100,2,3),
(8055,10074972,'When Equipped:',100,0,0),
(8056,10074972,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8057,10074972,'Inflicts 121 - 181 magic damage on target',100,2,2),
(8058,10074972,'Cannot be modified except by direct means',100,2,3),
(8059,105167,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(8060,105167,'Increases AGI of caster by 70.0',100,1,1),
(8061,105167,'Adds 1.9% to base avoidance.',100,1,2),
(8062,105167,'Decreases Slashing and Piercing of caster by 25.9',100,1,3),
(8063,105167,'Increases Parry of caster by 40.0',100,1,4),
(8064,105167,'Increases Defense of caster by 53.3',100,1,5),
(8065,10105167,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(8066,10105167,'Increases AGI of caster by 70.0',100,1,1),
(8067,10105167,'Adds 1.9% to base avoidance.',100,1,2),
(8068,10105167,'Decreases Slashing and Piercing of caster by 25.9',100,1,3),
(8069,10105167,'Increases Parry of caster by 40.0',100,1,4),
(8070,10105167,'Increases Defense of caster by 53.3',100,1,5),
(8071,173391,'When Equipped:',100,0,0),
(8072,173391,'On a combat hit this spell may cast Terrestrial Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(8073,173391,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(8074,173391,'Inflicts 794 poison damage on target',100,2,3),
(8075,173391,'Inflicts 794 heat damage on target',100,2,4),
(8076,173391,'Increases Potency of caster by 4.0%',100,2,5),
(8077,173391,'Cannot be modified except by direct means',100,2,6),
(8078,173391,'Cannot be modified except by direct means',100,1,7),
(8079,10173391,'When Equipped:',100,0,0),
(8080,10173391,'On a combat hit this spell may cast Terrestrial Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(8081,10173391,'Inflicts 662 heat damage on target',100,2,2),
(8082,10173391,'Inflicts 662 poison damage on target',100,2,3),
(8083,10173391,'Increases Potency of caster by 4.0%',100,2,4),
(8084,10173391,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(8085,10173391,'Cannot be modified except by direct means',100,2,6),
(8086,10173391,'Cannot be modified except by direct means',100,1,7),
(8087,41527,'When Equipped:',100,0,0),
(8088,41527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8089,41527,'Inflicts 449 - 834 magic damage on target',100,2,2),
(8090,41527,'Cannot be modified except by direct means',100,2,3),
(8091,10041527,'When Equipped:',100,0,0),
(8092,10041527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8093,10041527,'Inflicts 449 - 834 magic damage on target',100,2,2),
(8094,10041527,'Cannot be modified except by direct means',100,2,3),
(8095,135120,'When Equipped:',100,0,0),
(8096,135120,'On a spell cast this spell may cast Sacred Surge on the group.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8097,135120,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(8098,135120,'Heals group members (AE) for 2377 - 2628',100,2,3),
(8099,135120,'Heals group members (AE) for 1259 - 1391 every 5 seconds',100,2,4),
(8100,135120,'Must not be engaged in pvp combat',100,2,5),
(8101,135120,'Cannot be modified except by direct means',100,2,6),
(8102,135120,'\\#FF0000This effect will not stack with itself or similar effects.\\/c',100,1,7),
(8103,135120,'Must not be engaged in pvp combat',100,1,8),
(8104,10135120,'When Equipped:',100,0,0),
(8105,10135120,'On a spell cast this spell may cast Sacred Surge on the group.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8106,10135120,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(8107,10135120,'Heals group members (AE) for 2781 - 3074',100,2,3),
(8108,10135120,'Heals group members (AE) for 1473 - 1628 every 5 seconds',100,2,4),
(8109,10135120,'Must not be engaged in pvp combat',100,2,5),
(8110,10135120,'Cannot be modified except by direct means',100,2,6),
(8111,10135120,'\\#FF0000This effect will not stack with itself or similar effects.\\/c',100,1,7),
(8112,10135120,'Must not be engaged in pvp combat',100,1,8),
(8113,138352,'Applies Heroic Resistance X when Equipped.',100,0,0),
(8114,138352,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(8115,138352,'Cannot be modified except by direct means',100,1,2),
(8116,10138352,'Applies Heroic Resistance X when Equipped.',100,0,0),
(8117,10138352,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(8118,10138352,'Cannot be modified except by direct means',100,1,2),
(8119,104808,'Increases caster''s chance to block by 10.0%',100,1,0),
(8120,104808,'Decreases Attack Speed of caster by 16.8',100,1,1),
(8121,104808,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(8122,104808,'Increases Parry of caster by 19.4',100,1,3),
(8123,104808,'Increases Defense of caster by 19.4',100,1,4),
(8124,10104808,'Increases caster''s chance to block by 10.0%',100,1,0),
(8125,10104808,'Decreases Attack Speed of caster by 16.8',100,1,1),
(8126,10104808,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(8127,10104808,'Increases Parry of caster by 19.4',100,1,3),
(8128,10104808,'Increases Defense of caster by 19.4',100,1,4),
(8129,116681,'Heals group members (AE) for 8.5 - 10.4% of max health',100,1,0),
(8130,116681,'This effect cannot be critically applied.',100,2,1),
(8131,116681,'Increases Max Health of group members (AE) by 323.4',100,1,2),
(8132,116681,'The healing of this spell cannot be modified except by direct means',100,1,3),
(8133,10116681,'Heals group members (AE) for 2.7 - 3.3% of max health',100,1,0),
(8134,10116681,'This effect cannot be critically applied.',100,2,1),
(8135,10116681,'Increases Max Health of group members (AE) by 323.4',100,1,2),
(8136,10116681,'The healing of this spell cannot be modified except by direct means',100,1,3),
(8137,74881,'When Equipped:',100,0,0),
(8138,74881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8139,74881,'Inflicts 217 - 326 magic damage on target',100,2,2),
(8140,74881,'Cannot be modified except by direct means',100,2,3),
(8141,10074881,'When Equipped:',100,0,0),
(8142,10074881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8143,10074881,'Inflicts 217 - 326 magic damage on target',100,2,2),
(8144,10074881,'Cannot be modified except by direct means',100,2,3),
(8145,119431,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(8146,119431,'Stuns target',100,2,1),
(8147,119431,'Throws target back',100,2,2),
(8148,119431,'Blurs vision of target',100,2,3),
(8149,119431,'Does not affect Epic targets',100,2,4),
(8150,119431,'Inflicts 3653 - 5412 melee damage on target',100,1,5),
(8151,119431,'You must be sneaking to use this ability.',100,1,6),
(8152,10119431,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(8153,10119431,'Stuns target',100,2,1),
(8154,10119431,'Blurs vision of target',100,2,2),
(8155,10119431,'Throws target back',100,2,3),
(8156,10119431,'Does not affect Epic targets',100,2,4),
(8157,10119431,'Inflicts 2500 - 3886 melee damage on target',100,1,5),
(8158,10119431,'You must be sneaking to use this ability.',100,1,6),
(8159,170661,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(8160,170661,'Decreases Attack Speed of target by 16.1',100,1,1),
(8161,170661,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(8162,10170661,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(8163,10170661,'Decreases Attack Speed of target by 16.1',100,1,1),
(8164,10170661,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(8165,170693,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(8166,170693,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(8167,170693,'Decreases Attack Speed of target by 16.1',100,2,2),
(8168,170693,'Cannot be modified except by direct means',100,2,3),
(8169,170693,'Slows target by 40.0%',100,1,4),
(8170,170693,'5% chance to dispel when target takes damage',100,1,5),
(8171,170693,'5% chance to dispel when target receives hostile action',100,1,6),
(8172,170693,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(8173,10170693,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(8174,10170693,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(8175,10170693,'Decreases Attack Speed of target by 16.1',100,2,2),
(8176,10170693,'Cannot be modified except by direct means',100,2,3),
(8177,10170693,'Slows target by 40.0%',100,1,4),
(8178,10170693,'5% chance to dispel when target takes damage',100,1,5),
(8179,10170693,'5% chance to dispel when target receives hostile action',100,1,6),
(8180,10170693,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(8181,148723,'When Equipped:',100,0,0),
(8182,148723,'When damaged this spell has a 5% chance to cast Cipher on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,1),
(8183,148723,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(8184,148723,'Applies Velium Cipher on termination.',100,2,3),
(8185,148723,'Increases power of group members by 559',100,3,4),
(8186,148723,'Cannot be modified except by direct means',100,2,5),
(8187,148723,'Cannot be modified except by direct means',100,1,6),
(8188,10148723,'When Equipped:',100,0,0),
(8189,10148723,'When damaged this spell has a 5% chance to cast Cipher on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,1),
(8190,10148723,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(8191,10148723,'Applies Velium Cipher on termination.',100,2,3),
(8192,10148723,'Increases power of group members by 559',100,3,4),
(8193,10148723,'Cannot be modified except by direct means',100,2,5),
(8194,10148723,'Cannot be modified except by direct means',100,1,6),
(8195,161051,'When Equipped:',100,0,0),
(8196,161051,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(8197,161051,'Heals caster for 120 instantly and every 5 seconds',100,2,2),
(8198,161051,'Cannot be modified except by direct means',100,2,3),
(8199,10161051,'When Equipped:',100,0,0),
(8200,10161051,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(8201,10161051,'Heals caster for 78 instantly and every 5 seconds',100,2,2),
(8202,10161051,'Cannot be modified except by direct means',100,2,3),
(8203,75609,'Applies Holy Strike when Activated.',100,0,0),
(8204,75609,'Inflicts 171 - 285 divine damage on target',100,1,1),
(8205,75609,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(8206,10075609,'Applies Holy Strike when Activated.',100,0,0),
(8207,10075609,'Inflicts 171 - 285 divine damage on target',100,1,1),
(8208,10075609,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(8209,101646,'Applies Forceful Headache on termination.',100,1,0),
(8210,101646,'Inflicts 2112 - 3344 mental damage on target',100,2,1),
(8211,101646,'If over 50% power',100,3,2),
(8212,101646,'Inflicts 1706 - 1867 mental damage on target',100,1,3),
(8213,101646,'Inflicts 724 - 885 mental damage on target every 6 seconds',100,1,4),
(8214,101646,'Decreases Mitigation of target vs arcane damage by 1188',100,1,5),
(8215,10101646,'Applies Forceful Headache on termination.',100,1,0),
(8216,10101646,'Inflicts 1558 - 2509 mental damage on target',100,2,1),
(8217,10101646,'If over 50% power',100,3,2),
(8218,10101646,'Inflicts 965 - 1092 mental damage on target',100,1,3),
(8219,10101646,'Inflicts 571 - 697 mental damage on target every 6 seconds',100,1,4),
(8220,10101646,'Decreases Mitigation of target vs arcane damage by 1188',100,1,5),
(8221,183207,'When Equipped:',100,0,0),
(8222,183207,'Increases Attack Speed of caster by 40.0',100,1,1),
(8223,10183207,'When Equipped:',100,0,0),
(8224,10183207,'Increases Attack Speed of caster by 40.0',100,1,1),
(8225,102626,'Inflicts 319 - 592 heat damage on target',100,1,0),
(8226,102626,'Inflicts 53 - 99 heat damage on target every 2 seconds',100,1,1),
(8227,10102626,'Inflicts 289 - 537 heat damage on target',100,1,0),
(8228,10102626,'Inflicts 42 - 78 heat damage on target every 2 seconds',100,1,1),
(8229,124018,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(8230,124018,'Heals target for 804 - 982',100,2,1),
(8231,124018,'Grants a total of 5 triggers of the spell.',100,2,2),
(8232,10124018,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(8233,10124018,'Heals target for 428 - 517',100,2,1),
(8234,10124018,'Grants a total of 5 triggers of the spell.',100,2,2),
(8235,82678,'When Equipped:',100,0,0),
(8236,82678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8237,82678,'Inflicts 149 - 276 magic damage on target',100,2,2),
(8238,82678,'Cannot be modified except by direct means',100,2,3),
(8239,10082678,'When Equipped:',100,0,0),
(8240,10082678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8241,10082678,'Inflicts 149 - 276 magic damage on target',100,2,2),
(8242,10082678,'Cannot be modified except by direct means',100,2,3),
(8243,110300,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(8244,110300,'Slows target by 54.2%',100,2,1),
(8245,110300,'5% chance to dispel when target receives hostile action',100,2,2),
(8246,110300,'5% chance to dispel when target takes damage',100,2,3),
(8247,110300,'Decreases Mitigation of target vs arcane damage by 1980',100,1,4),
(8248,10110300,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(8249,10110300,'Slows target by 54.2%',100,2,1),
(8250,10110300,'5% chance to dispel when target receives hostile action',100,2,2),
(8251,10110300,'5% chance to dispel when target takes damage',100,2,3),
(8252,10110300,'Decreases Mitigation of target vs arcane damage by 1980',100,1,4),
(8253,36784,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(8254,120647,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 5.1',100,1,0),
(8255,120647,'Increases Focus of group members (AE) by 10.2',100,1,1),
(8256,10120647,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 5.1',100,1,0),
(8257,10120647,'Increases Focus of group members (AE) by 10.2',100,1,1),
(8258,47774,'Applies Rilissian Vital Strike when Activated.  Lasts for 12 hours.',100,0,0),
(8259,47774,'On a combat hit this spell may cast Rilissian Vital Strike on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(8260,47774,'Inflicts 667 poison damage on target',100,2,2),
(8261,47774,'Increases power of caster by 108',100,2,3),
(8262,47774,'Heals caster for 108',100,2,4),
(8263,47774,'Cannot be modified except by direct means',100,2,5),
(8264,47774,'Grants a total of 100 triggers of the spell.',100,2,6),
(8265,10047774,'Applies Rilissian Vital Strike when Activated.  Lasts for 12 hours.',100,0,0),
(8266,10047774,'On a combat hit this spell may cast Rilissian Vital Strike on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(8267,10047774,'Inflicts 467 poison damage on target',100,2,2),
(8268,10047774,'Increases power of caster by 72',100,2,3),
(8269,10047774,'Heals caster for 47',100,2,4),
(8270,10047774,'Cannot be modified except by direct means',100,2,5),
(8271,10047774,'Grants a total of 100 triggers of the spell.',100,2,6),
(8272,89267,'When Equipped:',100,0,0),
(8273,89267,'On a critical spell hit this spell may cast Vitality Consumption VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(8274,89267,'Inflicts 675 - 746 disease damage on target',100,2,2),
(8275,89267,'Heals caster for 467 - 516',100,2,3),
(8276,89267,'Must not be engaged in pvp combat',100,2,4),
(8277,89267,'Cannot be modified except by direct means',100,2,5),
(8278,89267,'On a critical combat hit this spell may cast Vitality Consumption VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(8279,89267,'Inflicts 675 - 746 disease damage on target',100,2,7),
(8280,89267,'Heals caster for 467 - 516',100,2,8),
(8281,89267,'Must not be engaged in pvp combat',100,2,9),
(8282,89267,'Cannot be modified except by direct means',100,2,10),
(8283,89267,'Must not be engaged in pvp combat',100,1,11),
(8284,10089267,'When Equipped:',100,0,0),
(8285,10089267,'On a critical spell hit this spell may cast Vitality Consumption VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(8286,10089267,'Inflicts 675 - 746 disease damage on target',100,2,2),
(8287,10089267,'Heals caster for 304 - 335',100,2,3),
(8288,10089267,'Must not be engaged in pvp combat',100,2,4),
(8289,10089267,'Cannot be modified except by direct means',100,2,5),
(8290,10089267,'On a critical combat hit this spell may cast Vitality Consumption VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(8291,10089267,'Inflicts 675 - 746 disease damage on target',100,2,7),
(8292,10089267,'Heals caster for 304 - 335',100,2,8),
(8293,10089267,'Must not be engaged in pvp combat',100,2,9),
(8294,10089267,'Cannot be modified except by direct means',100,2,10),
(8295,10089267,'Must not be engaged in pvp combat',100,1,11),
(8296,122951,'Inflicts 803 - 1087 mental damage on target',100,1,0),
(8297,10122951,'Inflicts 690 - 933 mental damage on target',100,1,0),
(8298,106280,'Wards target against 7018 points of all damage',100,1,0),
(8299,10106280,'Wards target against 5151 points of all damage',100,1,0),
(8300,122220,'Increases Damage Per Second of target by 23.5',100,1,0),
(8301,122220,'Increases Max Health of target by 723.2',100,1,1),
(8302,10122220,'Increases Damage Per Second of target by 23.5',100,1,0),
(8303,10122220,'Increases Max Health of target by 723.2',100,1,1),
(8304,124665,'Inflicts 6004 - 7266 cold damage on target encounter',100,1,0),
(8305,124665,'Decreases Piercing, Slashing and Crushing of target encounter by 31.9',100,1,1),
(8306,10124665,'Inflicts 4606 - 5600 cold damage on target encounter',100,1,0),
(8307,10124665,'Decreases Piercing, Slashing and Crushing of target encounter by 31.9',100,1,1),
(8308,45435,'Applies Brown Warg with Brown Saddle when Activated.',100,0,0),
(8309,45435,'Summons a mount to ride',100,1,1),
(8310,45435,'Increases your ground speed by 130%',100,2,2),
(8311,10045435,'Applies Brown Warg with Brown Saddle when Activated.',100,0,0),
(8312,10045435,'Summons a mount to ride',100,1,1),
(8313,10045435,'Increases your ground speed by 130%',100,2,2),
(8314,37307,'Increases STR of target by 11.0',100,0,0),
(8315,37307,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(8316,26885,'When Equipped:',100,0,0),
(8317,26885,'Increases Crit Chance of caster by 1.0',100,1,1),
(8318,10026885,'When Equipped:',100,0,0),
(8319,10026885,'Increases Crit Chance of caster by 1.0',100,1,1),
(8320,182208,'When Equipped:',100,0,0),
(8321,182208,'When any damage is received this spell has a 7.5% chance to cast Distract on target''s attacker.  ',100,1,1),
(8322,182208,'Decreases Threat to targets in Area of Effect by 234 - 390 ',100,2,2),
(8323,182208,'Cannot be modified except by direct means',100,2,3),
(8324,10182208,'When Equipped:',100,0,0),
(8325,10182208,'When any damage is received this spell has a 7.5% chance to cast Distract on target''s attacker.  ',100,1,1),
(8326,10182208,'Cannot be modified except by direct means',100,2,2),
(8327,71365,'When Equipped:',100,0,0),
(8328,71365,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8329,71365,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(8330,71365,'Cannot be modified except by direct means',100,2,3),
(8331,10071365,'When Equipped:',100,0,0),
(8332,10071365,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8333,10071365,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(8334,10071365,'Cannot be modified except by direct means',100,2,3),
(8335,48828,'Applies Kizdean''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(8336,48828,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(8337,10048828,'Applies Kizdean''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(8338,10048828,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(8339,103349,'Decreases power of target by 8 instantly and every 6 seconds',100,1,0),
(8340,103349,'Inflicts 136 - 162 mental damage on target',100,1,1),
(8341,103349,'Inflicts 33 - 40 mental damage on target every 6 seconds',100,1,2),
(8342,103349,'Increases power of caster by 7',100,1,3),
(8343,10103349,'Decreases power of target by 7 instantly and every 6 seconds',100,1,0),
(8344,10103349,'Inflicts 129 - 153 mental damage on target',100,1,1),
(8345,10103349,'Inflicts 26 - 32 mental damage on target every 6 seconds',100,1,2),
(8346,10103349,'Increases power of caster by 7',100,1,3),
(8347,104899,'Inflicts 2456 - 3857 magic damage on targets in area',100,1,0),
(8348,10104899,'Inflicts 1846 - 2975 magic damage on targets in area',100,1,0),
(8349,72143,'When Equipped:',100,0,0),
(8350,72143,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8351,72143,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(8352,72143,'Cannot be modified except by direct means',100,2,3),
(8353,10072143,'When Equipped:',100,0,0),
(8354,10072143,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8355,10072143,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(8356,10072143,'Cannot be modified except by direct means',100,2,3),
(8357,117304,'Roots target',100,1,0),
(8358,117304,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(8359,117304,'Slows target by 43.4%',100,2,2),
(8360,117304,'5% chance to dispel when target receives hostile action',100,2,3),
(8361,117304,'5% chance to dispel when target takes damage',100,2,4),
(8362,117304,'15% chance to dispel when target takes damage',100,1,5),
(8363,117304,'Does not affect Epic targets',100,1,6),
(8364,117304,'Resistibility increases against targets higher than level 34.',100,1,7),
(8365,10117304,'Roots target',100,1,0),
(8366,10117304,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(8367,10117304,'Slows target by 43.4%',100,2,2),
(8368,10117304,'10% chance to dispel when target receives hostile action',100,2,3),
(8369,10117304,'10% chance to dispel when target takes damage',100,2,4),
(8370,10117304,'15% chance to dispel when target takes damage',100,1,5),
(8371,10117304,'Does not affect Epic targets',100,1,6),
(8372,10117304,'Resistibility increases against targets higher than level 34.',100,1,7),
(8373,106677,'Heals caster for 38.6 - 47.2% of max health',100,1,0),
(8374,106677,'This effect cannot be critically applied.',100,2,1),
(8375,106677,'Increases Max Health of caster by 410.7',100,1,2),
(8376,106677,'The healing of this spell cannot be modified except by direct means',100,1,3),
(8377,10106677,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(8378,10106677,'This effect cannot be critically applied.',100,2,1),
(8379,10106677,'Increases Max Health of caster by 410.7',100,1,2),
(8380,10106677,'The healing of this spell cannot be modified except by direct means',100,1,3),
(8381,115244,'Heals target for 353',100,1,0),
(8382,115244,'Heals target for 29 every second',100,1,1),
(8383,115244,'Dispels 14 levels of any hostile effects on target',100,1,2),
(8384,10115244,'Heals target for 205',100,1,0),
(8385,10115244,'Heals target for 15 every second',100,1,1),
(8386,10115244,'Dispels 14 levels of any hostile effects on target',100,1,2),
(8387,184867,'When Equipped:',100,0,0),
(8388,184867,'Increases Attack Speed of caster by 45.0',100,1,1),
(8389,10184867,'When Equipped:',100,0,0),
(8390,10184867,'Increases Attack Speed of caster by 45.0',100,1,1),
(8391,37030,'Increases STR of target by 4.3',100,0,0),
(8392,37030,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(8393,159529,'Applies Sanguine Imbued when Equipped.',100,0,0),
(8394,159529,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(8395,159529,'Inflicts 374 heat damage on target',100,2,2),
(8396,159529,'Cannot be modified except by direct means',100,2,3),
(8397,10159529,'Applies Sanguine Imbued when Equipped.',100,0,0),
(8398,10159529,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(8399,10159529,'Inflicts 374 heat damage on target',100,2,2),
(8400,10159529,'Cannot be modified except by direct means',100,2,3),
(8401,24585,'Adds Myr''Dal (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(8402,10024585,'Adds Myr''Dal (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(8403,37315,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(8404,37315,'Increases Max Health of target by 60.5',100,0,1),
(8405,111616,'Inflicts 1363 - 1689 cold damage on target',100,1,0),
(8406,111616,'Inflicts 380 - 706 cold damage on target every 4 seconds',100,1,1),
(8407,111616,'Decreases Mitigation of target vs elemental damage by 1248',100,1,2),
(8408,10111616,'Inflicts 694 - 951 cold damage on target',100,1,0),
(8409,10111616,'Inflicts 300 - 557 cold damage on target every 4 seconds',100,1,1),
(8410,10111616,'Decreases Mitigation of target vs elemental damage by 1248',100,1,2),
(8411,35910,'Increases Max Power of target by 108.8',100,0,0),
(8412,35910,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(8413,101378,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(8414,101378,'Reduces physical damage done to caster by 5%',100,1,1),
(8415,101378,'Adds 2.4% to base avoidance.',100,1,2),
(8416,101378,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,3),
(8417,101378,'Increases Aggression of caster by 26.2',100,1,4),
(8418,101378,'Increases Defense and Parry of caster by 41.9',100,1,5),
(8419,101378,'Increases Mitigation of caster vs noxious and arcane damage by 266',100,1,6),
(8420,101378,'Increases Mitigation of caster vs elemental damage by 2661',100,1,7),
(8421,101378,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(8422,10101378,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(8423,10101378,'Reduces physical damage done to caster by 5%',100,1,1),
(8424,10101378,'Adds 2.4% to base avoidance.',100,1,2),
(8425,10101378,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,3),
(8426,10101378,'Increases Aggression of caster by 26.2',100,1,4),
(8427,10101378,'Increases Defense and Parry of caster by 41.9',100,1,5),
(8428,10101378,'Increases Mitigation of caster vs noxious and arcane damage by 266',100,1,6),
(8429,10101378,'Increases Mitigation of caster vs elemental damage by 2661',100,1,7),
(8430,10101378,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(8431,159934,'When Equipped:',100,0,0),
(8432,159934,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(8433,159934,'Increases STA of caster by 3.6',100,2,2),
(8434,159934,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(8435,159934,'Cannot be modified except by direct means',100,2,4),
(8436,10159934,'When Equipped:',100,0,0),
(8437,10159934,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(8438,10159934,'Increases STA of caster by 3.6',100,2,2),
(8439,10159934,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(8440,10159934,'Cannot be modified except by direct means',100,2,4),
(8441,106133,'Decreases Defense of target by 46.0',100,1,0),
(8442,106133,'Inflicts 3501 - 5158 melee damage on target',100,1,1),
(8443,106133,'Decreases Parry and Deflection of target by 46.0',100,1,2),
(8444,10106133,'Decreases Defense of target by 46.0',100,1,0),
(8445,10106133,'Inflicts 2379 - 3686 melee damage on target',100,1,1),
(8446,10106133,'Decreases Parry and Deflection of target by 46.0',100,1,2),
(8447,46349,'Applies Flame Root when Activated.',100,0,0),
(8448,46349,'Inflicts 189 - 284 heat damage on target',100,1,1),
(8449,10046349,'Applies Flame Root when Activated.',100,0,0),
(8450,10046349,'Inflicts 189 - 284 heat damage on target',100,1,1),
(8451,107415,'Inflicts 327 - 490 magic damage on target',100,1,0),
(8452,10107415,'Inflicts 281 - 421 magic damage on target',100,1,0),
(8453,81667,'When Equipped:',100,0,0),
(8454,81667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8455,81667,'Inflicts 196 - 364 magic damage on target',100,2,2),
(8456,81667,'Cannot be modified except by direct means',100,2,3),
(8457,10081667,'When Equipped:',100,0,0),
(8458,10081667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8459,10081667,'Inflicts 196 - 364 magic damage on target',100,2,2),
(8460,10081667,'Cannot be modified except by direct means',100,2,3),
(8461,37047,'Increases AGI of target by 8.4',100,0,0),
(8462,37047,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(8463,189232,'When Equipped:',100,0,0),
(8464,189232,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(8465,189232,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,2),
(8466,189232,'Cannot be modified except by direct means',100,2,3),
(8467,10189232,'When Equipped:',100,0,0),
(8468,10189232,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(8469,10189232,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,2),
(8470,10189232,'Cannot be modified except by direct means',100,2,3),
(8471,100480,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(8472,100480,'Decreases Threat to target by 356 ',100,2,1),
(8473,100480,'If not fighter',100,2,2),
(8474,100480,'Decreases Hate Gain of group members (AE) by 29.6%',100,1,3),
(8475,100480,'If not fighter',100,2,4),
(8476,10100480,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(8477,10100480,'If not fighter',100,2,1),
(8478,10100480,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(8479,10100480,'Inflicts 245 - 270 crushing damage on target',100,2,3),
(8480,10100480,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(8481,10100480,'If not fighter',100,2,5),
(8482,10100480,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(8483,10100480,'If not fighter',100,2,7),
(8484,10100480,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(8485,10100480,'If not fighter',100,2,9),
(8486,90242,'When Equipped:',100,0,0),
(8487,90242,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8488,90242,'Inflicts 50 - 62 mental damage on target',100,2,2),
(8489,90242,'Cannot be modified except by direct means',100,2,3),
(8490,10090242,'When Equipped:',100,0,0),
(8491,10090242,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8492,10090242,'Inflicts 50 - 62 mental damage on target',100,2,2),
(8493,10090242,'Cannot be modified except by direct means',100,2,3),
(8494,109299,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(8495,109299,'Increases Mitigation of group members (AE) vs elemental damage by 706',100,1,1),
(8496,10109299,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(8497,10109299,'Increases Mitigation of group members (AE) vs elemental damage by 706',100,1,1),
(8498,173890,'When Equipped:',100,0,0),
(8499,173890,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8500,173890,'Decreases power of target by 187',100,2,2),
(8501,173890,'Increases power of caster by 147',100,2,3),
(8502,173890,'Cannot be modified except by direct means',100,2,4),
(8503,10173890,'When Equipped:',100,0,0),
(8504,10173890,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8505,10173890,'Decreases power of target by 187',100,2,2),
(8506,10173890,'Increases power of caster by 147',100,2,3),
(8507,10173890,'Cannot be modified except by direct means',100,2,4),
(8508,105102,'Inflicts 3109 - 3860 magic damage on target',100,1,0),
(8509,10105102,'Inflicts 2071 - 2663 magic damage on target',100,1,0),
(8510,52789,'When Equipped:',100,0,0),
(8511,52789,'Increases Attack Speed of caster by 25.0',100,1,1),
(8512,10052789,'When Equipped:',100,0,0),
(8513,10052789,'Increases Attack Speed of caster by 25.0',100,1,1),
(8514,116982,'Inflicts 286 - 350 divine damage on target',100,1,0),
(8515,116982,'Inflicts 82 - 100 divine damage on target every 3 seconds',100,1,1),
(8516,116982,'Decreases Defense of target by 4.8',100,1,2),
(8517,10116982,'Inflicts 269 - 329 divine damage on target',100,1,0),
(8518,10116982,'Inflicts 64 - 79 divine damage on target every 3 seconds',100,1,1),
(8519,10116982,'Decreases Defense of target by 4.8',100,1,2),
(8520,47011,'Applies Middling Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(8521,47011,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(8522,47011,'Decreases STR of target by 19.6',100,2,2),
(8523,47011,'Cannot be modified except by direct means',100,2,3),
(8524,47011,'Grants a total of 30 triggers of the spell.',100,2,4),
(8525,47011,'Only affects targets level 50 and above',100,1,5),
(8526,10047011,'Applies Middling Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(8527,10047011,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(8528,10047011,'Decreases STR of target by 19.6',100,2,2),
(8529,10047011,'Cannot be modified except by direct means',100,2,3),
(8530,10047011,'Grants a total of 30 triggers of the spell.',100,2,4),
(8531,10047011,'Only affects targets level 50 and above',100,1,5),
(8532,35854,'Increases STR of target by 6.2',100,0,0),
(8533,35854,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(8534,102798,'Summons 3 limited pets to aid the caster',100,1,0),
(8535,10102798,'Summons 3 limited pets to aid the caster',100,1,0),
(8536,37093,'Increases WIS and INT of target by 1.8',100,0,0),
(8537,37093,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(8538,111876,'Inflicts 1949 - 2778 heat damage on target',100,1,0),
(8539,111876,'Inflicts 363 - 673 heat damage on target every 2 seconds',100,1,1),
(8540,10111876,'Inflicts 1157 - 1810 heat damage on target',100,1,0),
(8541,10111876,'Inflicts 286 - 531 heat damage on target every 2 seconds',100,1,1),
(8542,117971,'Heals target for 3353 - 3880',100,1,0),
(8543,117971,'Increases Max Health of target by 119.3',100,1,1),
(8544,10117971,'Heals target for 2400 - 2876',100,1,0),
(8545,10117971,'Increases Max Health of target by 119.3',100,1,1),
(8546,35417,'Increases STA and INT of target by 15.8',100,0,0),
(8547,35417,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,1),
(8548,108224,'Inflicts 798 - 2360 piercing damage on target',100,1,0),
(8549,108224,'Decreases Slashing, Crushing, Piercing and Ranged of target by 17.6',100,1,1),
(8550,10108224,'Inflicts 627 - 1634 piercing damage on target',100,1,0),
(8551,10108224,'Decreases Slashing, Crushing, Piercing and Ranged of target by 17.6',100,1,1),
(8552,120641,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 1.6',100,1,0),
(8553,120641,'Increases Focus of group members (AE) by 3.2',100,1,1),
(8554,10120641,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 1.6',100,1,0),
(8555,10120641,'Increases Focus of group members (AE) by 3.2',100,1,1),
(8556,107165,'Inflicts 235 - 390 divine damage on target',100,1,0),
(8557,107165,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(8558,107165,'Stuns target',100,2,2),
(8559,107165,'If Target is not Epic',100,3,3),
(8560,107165,'Inflicts 365 - 608 divine damage on target',100,2,4),
(8561,107165,'Inflicts 313 - 521 divine damage on target',100,2,5),
(8562,107165,'If target is undead',100,3,6),
(8563,10107165,'Inflicts 123 - 205 divine damage on target',100,1,0),
(8564,10107165,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(8565,10107165,'Stuns target',100,2,2),
(8566,10107165,'Inflicts 431 - 719 divine damage on target',100,2,3),
(8567,10107165,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(8568,116311,'Stuns target',100,1,0),
(8569,116311,'If Target is not Epic',100,2,1),
(8570,116311,'Inflicts 2088 - 2553 magic damage on target',100,1,2),
(8571,116311,'Resistibility increases against targets higher than level 73.',100,1,3),
(8572,10116311,'Stuns target',100,1,0),
(8573,10116311,'If Target is not Epic',100,2,1),
(8574,10116311,'Inflicts 1492 - 1736 magic damage on target',100,1,2),
(8575,10116311,'Resistibility increases against targets higher than level 73.',100,1,3),
(8576,104850,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(8577,104850,'If Fighter',100,2,1),
(8578,104850,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(8579,104850,'Increases power of target by 114',100,2,3),
(8580,104850,'Increases power of caster by 114',100,2,4),
(8581,10104850,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(8582,10104850,'Increases power of target by 114',100,2,1),
(8583,10104850,'Increases power of caster by 114',100,2,2),
(8584,155194,'When Equipped:',100,0,0),
(8585,155194,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(8586,155194,'Must not be engaged in pvp combat',100,1,2),
(8587,10155194,'When Equipped:',100,0,0),
(8588,10155194,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(8589,10155194,'Must not be engaged in pvp combat',100,1,2),
(8590,158652,'When Equipped:',100,0,0),
(8591,158652,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(8592,158652,'Slows target by 40.0%',100,2,2),
(8593,158652,'Only affects targets level 103 and below',100,2,3),
(8594,158652,'Does not affect Epic targets',100,2,4),
(8595,158652,'Cannot be modified except by direct means',100,2,5),
(8596,10158652,'When Equipped:',100,0,0),
(8597,10158652,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(8598,10158652,'Slows target by 40.0%',100,2,2),
(8599,10158652,'Only affects targets level 103 and below',100,2,3),
(8600,10158652,'Does not affect Epic targets',100,2,4),
(8601,10158652,'Cannot be modified except by direct means',100,2,5),
(8602,24418,'Adds Goblin-Aqua (Brigand) to your Dungeon Maker toolbox',100,0,0),
(8603,10024418,'Adds Goblin-Aqua (Brigand) to your Dungeon Maker toolbox',100,0,0),
(8604,114263,'Heals target for 85 - 104',100,1,0),
(8605,10114263,'Heals target for 71 - 87',100,1,0),
(8606,48047,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(8607,48047,'Increases speed of caster by 3.6%',100,1,1),
(8608,10048047,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(8609,10048047,'Increases speed of caster by 3.6%',100,1,1),
(8610,116464,'Inflicts 1827 disease damage on target',100,1,0),
(8611,116464,'Inflicts 844 disease damage on target every 4 seconds',100,1,1),
(8612,116464,'Inflicts 844 disease damage on target instantly and every 4 seconds',100,1,2),
(8613,116464,'If target is nightblood',100,2,3),
(8614,116464,'Inflicts 844 disease damage on target instantly and every 4 seconds',100,1,4),
(8615,116464,'If target is shadowed folk',100,2,5),
(8616,10116464,'Inflicts 1060 disease damage on target',100,1,0),
(8617,10116464,'Inflicts 665 disease damage on target every 4 seconds',100,1,1),
(8618,46052,'Applies Elixir of Accuracy when Activated.  Lasts for 30 minutes.',100,0,0),
(8619,46052,'Increases AGI of caster by 16.0',100,1,1),
(8620,10046052,'Applies Elixir of Accuracy when Activated.  Lasts for 30 minutes.',100,0,0),
(8621,10046052,'Increases AGI of caster by 16.0',100,1,1),
(8622,117017,'Inflicts 950 - 2809 melee damage on target',100,1,0),
(8623,10117017,'Inflicts 756 - 1891 melee damage on target',100,1,0),
(8624,106371,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(8625,106371,'Slows target by 49.7%',100,2,1),
(8626,106371,'5% chance to dispel when target receives hostile action',100,2,2),
(8627,106371,'5% chance to dispel when target takes damage',100,2,3),
(8628,106371,'Decreases Mitigation of target vs arcane damage by 1815',100,1,4),
(8629,10106371,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(8630,10106371,'Slows target by 49.7%',100,2,1),
(8631,10106371,'5% chance to dispel when target receives hostile action',100,2,2),
(8632,10106371,'5% chance to dispel when target takes damage',100,2,3),
(8633,10106371,'Decreases Mitigation of target vs arcane damage by 1815',100,1,4),
(8634,27211,'When Equipped:',100,0,0),
(8635,27211,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(8636,27211,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(8637,27211,'Heals caster for 376 - 460',100,3,3),
(8638,27211,'Grants a total of 3 triggers of the spell.',100,3,4),
(8639,27211,'Cannot be modified except by direct means',100,2,5),
(8640,10027211,'When Equipped:',100,0,0),
(8641,10027211,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(8642,10027211,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(8643,10027211,'Heals caster for 200 - 245',100,3,3),
(8644,10027211,'Grants a total of 3 triggers of the spell.',100,3,4),
(8645,10027211,'Cannot be modified except by direct means',100,2,5),
(8646,47446,'Applies Order of Rime Flurryburst Illusion when Activated.',100,0,0),
(8647,47446,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,1),
(8648,47446,'Shapechanges caster into an Order of Rime',100,1,2),
(8649,47446,'If any of the following are true:',100,1,3),
(8650,47446,'Must be in zone Emperor''s Athenaeum',100,2,4),
(8651,47446,'Must be in zone Kurn''s Tower',100,2,5),
(8652,47446,'Must be in zone Kurn''s Tower: Breaching the Void',100,2,6),
(8653,47446,'Must be in zone Kylong Plains',100,2,7),
(8654,47446,'Must be in zone Kunzar Jungle',100,2,8),
(8655,47446,'Must be in zone Jarsath Wastes',100,2,9),
(8656,47446,'Must be in zone Fens of Nathsar',100,2,10),
(8657,47446,'Must be in zone Great Divide',100,2,11),
(8658,47446,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(8659,47446,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(8660,10047446,'Applies Order of Rime Flurryburst Illusion when Activated.',100,0,0),
(8661,10047446,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,1),
(8662,10047446,'Shapechanges caster into an Order of Rime',100,1,2),
(8663,10047446,'If any of the following are true:',100,1,3),
(8664,10047446,'Must be in zone Emperor''s Athenaeum',100,2,4),
(8665,10047446,'Must be in zone Kurn''s Tower',100,2,5),
(8666,10047446,'Must be in zone Kurn''s Tower: Breaching the Void',100,2,6),
(8667,10047446,'Must be in zone Kylong Plains',100,2,7),
(8668,10047446,'Must be in zone Kunzar Jungle',100,2,8),
(8669,10047446,'Must be in zone Jarsath Wastes',100,2,9),
(8670,10047446,'Must be in zone Fens of Nathsar',100,2,10),
(8671,10047446,'Must be in zone Great Divide',100,2,11),
(8672,10047446,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(8673,10047446,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(8674,117541,'Increases AGI, INT and WIS of group members (AE) by 57.0',100,1,0),
(8675,117541,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 218',100,1,1),
(8676,10117541,'Increases AGI, INT and WIS of group members (AE) by 57.0',100,1,0),
(8677,10117541,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 218',100,1,1),
(8678,46576,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(8679,46576,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(8680,10046576,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(8681,10046576,'Increases power of caster by 10 instantly and every 5 seconds',100,1,1),
(8682,42560,'When Equipped:',100,0,0),
(8683,42560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8684,42560,'Inflicts 305 - 457 magic damage on target',100,2,2),
(8685,42560,'Cannot be modified except by direct means',100,2,3),
(8686,10042560,'When Equipped:',100,0,0),
(8687,10042560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8688,10042560,'Inflicts 305 - 457 magic damage on target',100,2,2),
(8689,10042560,'Cannot be modified except by direct means',100,2,3),
(8690,46125,'Applies Elixir of Understanding when Activated.',100,0,0),
(8691,46125,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(8692,10046125,'Applies Elixir of Understanding when Activated.',100,0,0),
(8693,10046125,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(8694,48573,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(8695,48573,'Shrinks caster by 35.0%',100,1,1),
(8696,48573,'Enlarges caster by 50.0%',100,1,2),
(8697,10048573,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(8698,10048573,'Shrinks caster by 35.0%',100,1,1),
(8699,10048573,'Enlarges caster by 50.0%',100,1,2),
(8700,116091,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(8701,116091,'Heals target for 453 - 554',100,2,1),
(8702,116091,'Grants a total of 5 triggers of the spell.',100,2,2),
(8703,10116091,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(8704,10116091,'Heals target for 241 - 295',100,2,1),
(8705,10116091,'Grants a total of 5 triggers of the spell.',100,2,2),
(8706,124032,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(8707,124032,'Heals target for 1642 - 2007',100,2,1),
(8708,124032,'Grants a total of 5 triggers of the spell.',100,2,2),
(8709,10124032,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(8710,10124032,'Heals target for 806 - 967',100,2,1),
(8711,10124032,'Grants a total of 5 triggers of the spell.',100,2,2),
(8712,48526,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(8713,48526,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(8714,48526,'Inflicts 434 poison damage on target',100,2,2),
(8715,48526,'Inflicts 224 poison damage on target instantly and every 6 seconds',100,2,3),
(8716,48526,'Cannot be modified except by direct means',100,2,4),
(8717,48526,'Grants a total of 200 triggers of the spell.',100,2,5),
(8718,10048526,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(8719,10048526,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(8720,10048526,'Inflicts 325 poison damage on target',100,2,2),
(8721,10048526,'Inflicts 168 poison damage on target instantly and every 6 seconds',100,2,3),
(8722,10048526,'Cannot be modified except by direct means',100,2,4),
(8723,10048526,'Grants a total of 200 triggers of the spell.',100,2,5),
(8724,26571,'When Equipped:',100,0,0),
(8725,26571,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,1),
(8726,26571,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(8727,10026571,'When Equipped:',100,0,0),
(8728,10026571,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,1),
(8729,10026571,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(8730,101751,'Heals group members (AE) for 346 - 423',100,1,0),
(8731,101751,'Heals group members (AE) for 173 - 212 every 2 seconds',100,1,1),
(8732,10101751,'Heals group members (AE) for 174 - 194',100,1,0),
(8733,10101751,'Heals group members (AE) for 89 - 108 every 2 seconds',100,1,1),
(8734,110254,'Inflicts 1304 - 2162 melee damage on target',100,1,0),
(8735,110254,'Slows target by 47.1%',100,1,1),
(8736,110254,'5% chance to dispel when target receives hostile action',100,1,2),
(8737,110254,'5% chance to dispel when target takes damage',100,1,3),
(8738,10110254,'Inflicts 1026 - 1530 melee damage on target',100,1,0),
(8739,10110254,'Slows target by 47.1%',100,1,1),
(8740,10110254,'5% chance to dispel when target receives hostile action',100,1,2),
(8741,10110254,'5% chance to dispel when target takes damage',100,1,3),
(8742,80415,'When Equipped:',100,0,0),
(8743,80415,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8744,80415,'Inflicts 86 - 159 magic damage on target',100,2,2),
(8745,80415,'Cannot be modified except by direct means',100,2,3),
(8746,10080415,'When Equipped:',100,0,0),
(8747,10080415,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8748,10080415,'Inflicts 86 - 159 magic damage on target',100,2,2),
(8749,10080415,'Cannot be modified except by direct means',100,2,3),
(8750,81158,'When Equipped:',100,0,0),
(8751,81158,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8752,81158,'Inflicts 265 - 493 magic damage on target',100,2,2),
(8753,81158,'Cannot be modified except by direct means',100,2,3),
(8754,10081158,'When Equipped:',100,0,0),
(8755,10081158,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8756,10081158,'Inflicts 265 - 493 magic damage on target',100,2,2),
(8757,10081158,'Cannot be modified except by direct means',100,2,3),
(8758,115420,'Inflicts 3890 - 5805 melee damage on target',100,1,0),
(8759,115420,'Decreases INT of target by 86.2',100,1,1),
(8760,115420,'You must be sneaking to use this ability.',100,1,2),
(8761,10115420,'Inflicts 2686 - 4195 melee damage on target',100,1,0),
(8762,10115420,'Decreases INT of target by 86.2',100,1,1),
(8763,10115420,'You must be sneaking to use this ability.',100,1,2),
(8764,27046,'When Equipped:',100,0,0),
(8765,27046,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(8766,27046,'Decreases power of target by 80',100,2,2),
(8767,27046,'Increases power of caster by 40',100,2,3),
(8768,27046,'Cannot be modified except by direct means',100,2,4),
(8769,10027046,'When Equipped:',100,0,0),
(8770,10027046,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(8771,10027046,'Decreases power of target by 80',100,2,2),
(8772,10027046,'Increases power of caster by 40',100,2,3),
(8773,10027046,'Cannot be modified except by direct means',100,2,4),
(8774,108897,'Inflicts 3340 heat damage on target',100,1,0),
(8775,108897,'Inflicts 2358 cold damage on target',100,1,1),
(8776,108897,'Slows target by 48.7%',100,1,2),
(8777,10108897,'Inflicts 2253 heat damage on target',100,1,0),
(8778,10108897,'Inflicts 1858 cold damage on target',100,1,1),
(8779,10108897,'Slows target by 48.7%',100,1,2),
(8780,37132,'Increases STA of target by 10.5',100,0,0),
(8781,37132,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(8782,103394,'Decreases power of target by 354 instantly and every 6 seconds',100,1,0),
(8783,103394,'Inflicts 2394 - 2707 mental damage on target',100,1,1),
(8784,103394,'Inflicts 1411 - 1725 mental damage on target every 6 seconds',100,1,2),
(8785,103394,'Increases power of caster by 349',100,1,3),
(8786,10103394,'Decreases power of target by 279 instantly and every 6 seconds',100,1,0),
(8787,10103394,'Inflicts 1507 - 1754 mental damage on target',100,1,1),
(8788,10103394,'Inflicts 1112 - 1359 mental damage on target every 6 seconds',100,1,2),
(8789,10103394,'Increases power of caster by 349',100,1,3),
(8790,115463,'Inflicts 1772 - 1948 mental damage on target',100,1,0),
(8791,115463,'Inflicts 790 - 965 mental damage on target every 6 seconds',100,1,1),
(8792,115463,'Decreases Mitigation of target vs arcane damage by 1296',100,1,2),
(8793,10115463,'Inflicts 1017 - 1155 mental damage on target',100,1,0),
(8794,10115463,'Inflicts 622 - 761 mental damage on target every 6 seconds',100,1,1),
(8795,10115463,'Decreases Mitigation of target vs arcane damage by 1296',100,1,2),
(8796,40844,'When Equipped:',100,0,0),
(8797,40844,'On a critical combat hit this spell may cast Demolishing Charge II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(8798,40844,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,2),
(8799,40844,'Stuns target',100,3,3),
(8800,40844,'Throws target back',100,3,4),
(8801,40844,'Blurs vision of target',100,3,5),
(8802,40844,'Does not affect Epic targets',100,3,6),
(8803,40844,'Increases Threat to target by 182 - 202 ',100,2,7),
(8804,40844,'Inflicts 74 - 82 crushing damage on target',100,2,8),
(8805,40844,'Must not be engaged in pvp combat',100,2,9),
(8806,40844,'Cannot be modified except by direct means',100,2,10),
(8807,40844,'On a critical spell hit this spell may cast Demolishing Charge II on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(8808,40844,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,12),
(8809,40844,'Stuns target',100,3,13),
(8810,40844,'Throws target back',100,3,14),
(8811,40844,'Blurs vision of target',100,3,15),
(8812,40844,'Does not affect Epic targets',100,3,16),
(8813,40844,'Increases Threat to target by 182 - 202 ',100,2,17),
(8814,40844,'Inflicts 74 - 82 crushing damage on target',100,2,18),
(8815,40844,'Must not be engaged in pvp combat',100,2,19),
(8816,40844,'Cannot be modified except by direct means',100,2,20),
(8817,40844,'Must not be engaged in pvp combat',100,1,21),
(8818,10040844,'When Equipped:',100,0,0),
(8819,10040844,'On a critical combat hit this spell may cast Demolishing Charge II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(8820,10040844,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,2),
(8821,10040844,'Blurs vision of target',100,3,3),
(8822,10040844,'Stuns target',100,3,4),
(8823,10040844,'Throws target back',100,3,5),
(8824,10040844,'Does not affect Epic targets',100,3,6),
(8825,10040844,'Inflicts 74 - 82 crushing damage on target',100,2,7),
(8826,10040844,'Must not be engaged in pvp combat',100,2,8),
(8827,10040844,'Cannot be modified except by direct means',100,2,9),
(8828,10040844,'On a critical spell hit this spell may cast Demolishing Charge II on target of spell.  Triggers about 2.0 times per minute. ',100,1,10),
(8829,10040844,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,11),
(8830,10040844,'Blurs vision of target',100,3,12),
(8831,10040844,'Stuns target',100,3,13),
(8832,10040844,'Throws target back',100,3,14),
(8833,10040844,'Does not affect Epic targets',100,3,15),
(8834,10040844,'Inflicts 74 - 82 crushing damage on target',100,2,16),
(8835,10040844,'Must not be engaged in pvp combat',100,2,17),
(8836,10040844,'Cannot be modified except by direct means',100,2,18),
(8837,10040844,'Must not be engaged in pvp combat',100,1,19),
(8838,114316,'Heals target for 6437 - 7649',100,1,0),
(8839,10114316,'Heals target for 9558 - 11579',100,1,0),
(8840,143316,'When Equipped:',100,0,0),
(8841,143316,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(8842,143316,'Increases power of caster by 140',100,2,2),
(8843,143316,'Cannot be modified except by direct means',100,2,3),
(8844,10143316,'When Equipped:',100,0,0),
(8845,10143316,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(8846,10143316,'Increases power of caster by 140',100,2,2),
(8847,10143316,'Cannot be modified except by direct means',100,2,3),
(8848,112802,'Inflicts 3119 - 4526 slashing damage on target',100,1,0),
(8849,112802,'Stifles target',100,1,1),
(8850,112802,'If Target is not Epic',100,2,2),
(8851,112802,'You must be in stealth.',100,1,3),
(8852,112802,'Resistibility increases against targets higher than level 77.',100,1,4),
(8853,10112802,'Inflicts 2079 - 3187 slashing damage on target',100,1,0),
(8854,10112802,'Stifles target',100,1,1),
(8855,10112802,'If Target is not Epic',100,2,2),
(8856,10112802,'You must be in stealth.',100,1,3),
(8857,10112802,'Resistibility increases against targets higher than level 77.',100,1,4),
(8858,45710,'Applies Reebo''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(8859,45710,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(8860,10045710,'Applies Reebo''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(8861,10045710,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(8862,141859,'When Equipped:',100,0,0),
(8863,141859,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8864,141859,'Increases WIS of caster by 14.8',100,2,2),
(8865,141859,'Increases Focus, Ministration and Ordination of caster by 8.3',100,2,3),
(8866,141859,'Cannot be modified except by direct means',100,2,4),
(8867,10141859,'When Equipped:',100,0,0),
(8868,10141859,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8869,10141859,'Increases WIS of caster by 14.8',100,2,2),
(8870,10141859,'Increases Focus, Ministration and Ordination of caster by 8.3',100,2,3),
(8871,10141859,'Cannot be modified except by direct means',100,2,4),
(8872,115772,'Inflicts 1608 - 2666 melee damage on target',100,1,0),
(8873,10115772,'Inflicts 1251 - 1814 melee damage on target',100,1,0),
(8874,115768,'Inflicts 1024 - 1698 melee damage on target',100,1,0),
(8875,10115768,'Inflicts 818 - 1299 melee damage on target',100,1,0),
(8876,103608,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(8877,103608,'Increases Attack Speed of caster by 21.0',100,130,1),
(8878,103608,'Increases Slashing, Ranged, Crushing and Piercing of caster by 7.6',100,130,2),
(8879,103608,'Inflicts 486 - 806 melee damage on target',100,1,3),
(8880,103608,'If facing target',100,1,4),
(8881,10103608,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(8882,10103608,'Increases Attack Speed of caster by 21.0',100,130,1),
(8883,10103608,'Increases Slashing, Ranged, Crushing and Piercing of caster by 7.6',100,130,2),
(8884,10103608,'Inflicts 383 - 635 melee damage on target',100,1,3),
(8885,10103608,'If facing target',100,1,4),
(8886,102417,'Inflicts 5485 - 9843 melee damage on targets in area',100,1,0),
(8887,10102417,'Inflicts 4196 - 7631 melee damage on targets in area',100,1,0),
(8888,120362,'Inflicts 1497 - 1611 divine damage on target',100,1,0),
(8889,120362,'Inflicts 514 - 629 divine damage on target every 4 seconds',100,1,1),
(8890,120362,'Decreases WIS of target by 66.2',100,1,2),
(8891,10120362,'Inflicts 800 - 890 divine damage on target',100,1,0),
(8892,10120362,'Inflicts 405 - 496 divine damage on target every 4 seconds',100,1,1),
(8893,10120362,'Decreases WIS of target by 66.2',100,1,2),
(8894,45344,'Applies Black Two Tone Warg with Red Saddle when Activated.',100,0,0),
(8895,45344,'Summons a mount to ride',100,1,1),
(8896,45344,'Increases your ground speed by 130%',100,2,2),
(8897,45344,'Increases Disruption and Ranged of caster by 7.0',100,1,3),
(8898,45344,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(8899,45344,'Increases Piercing, Slashing and Crushing of caster by 7.0',100,1,5),
(8900,10045344,'Applies Black Two Tone Warg with Red Saddle when Activated.',100,0,0),
(8901,10045344,'Summons a mount to ride',100,1,1),
(8902,10045344,'Increases your ground speed by 130%',100,2,2),
(8903,10045344,'Increases Disruption and Ranged of caster by 7.0',100,1,3),
(8904,10045344,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(8905,10045344,'Increases Piercing, Slashing and Crushing of caster by 7.0',100,1,5),
(8906,76372,'When Equipped:',100,0,0),
(8907,76372,'On a melee hit this spell may cast Essence Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8908,76372,'Inflicts 1031 - 1261 piercing damage on target',100,2,2),
(8909,76372,'Heals caster for 687 - 840',100,2,3),
(8910,76372,'Cannot be modified except by direct means',100,2,4),
(8911,76372,'Cannot be modified except by direct means',100,1,5),
(8912,10076372,'When Equipped:',100,0,0),
(8913,10076372,'On a melee hit this spell may cast Essence Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8914,10076372,'Inflicts 1031 - 1261 piercing damage on target',100,2,2),
(8915,10076372,'Heals caster for 446 - 546',100,2,3),
(8916,10076372,'Cannot be modified except by direct means',100,2,4),
(8917,10076372,'Cannot be modified except by direct means',100,1,5),
(8918,118476,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(8919,118476,'Inflicts 295 - 361 heat damage on target instantly and every second',100,2,1),
(8920,10118476,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(8921,10118476,'Inflicts 233 - 285 heat damage on target instantly and every second',100,2,1),
(8922,106553,'Inflicts 3150 - 3628 melee damage on target',100,1,0),
(8923,106553,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(8924,106553,'Increases Hate Gain of target by 30.0%',100,2,2),
(8925,106553,'Grants a total of 1 trigger of the spell.',100,2,3),
(8926,10106553,'Inflicts 2103 - 2479 melee damage on target',100,1,0),
(8927,10106553,'25% chance to apply Distract on termination.',100,1,1),
(8928,10106553,'Forces target to clear their selected target.',100,2,2),
(8929,119313,'Roots target',100,1,0),
(8930,119313,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(8931,119313,'Slows target by 55.2%',100,2,2),
(8932,119313,'5% chance to dispel when target receives hostile action',100,2,3),
(8933,119313,'5% chance to dispel when target takes damage',100,2,4),
(8934,119313,'15% chance to dispel when target takes damage',100,1,5),
(8935,119313,'Does not affect Epic targets',100,1,6),
(8936,119313,'Resistibility increases against targets higher than level 76.',100,1,7),
(8937,10119313,'Roots target',100,1,0),
(8938,10119313,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(8939,10119313,'Slows target by 55.2%',100,2,2),
(8940,10119313,'5% chance to dispel when target receives hostile action',100,2,3),
(8941,10119313,'5% chance to dispel when target takes damage',100,2,4),
(8942,10119313,'15% chance to dispel when target takes damage',100,1,5),
(8943,10119313,'Does not affect Epic targets',100,1,6),
(8944,10119313,'Resistibility increases against targets higher than level 76.',100,1,7),
(8945,115734,'Wards caster against 18564 points of elemental, noxious and arcane damage',100,1,0),
(8946,10115734,'Wards caster against 14505 points of elemental, noxious and arcane damage',100,1,0),
(8947,190910,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(8948,190910,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(8949,190910,'Decreases Threat to target encounter by 388 - 646 ',100,2,2),
(8950,190910,'Cannot be modified except by direct means',100,2,3),
(8951,190910,'The reuse time of Distracting Aura is 20 minutes 44 seconds',100,1,4),
(8952,10190910,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(8953,10190910,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(8954,10190910,'Applies Distract.',100,2,2),
(8955,10190910,'Forces target to clear their selected target.',100,3,3),
(8956,10190910,'Cannot be modified except by direct means',100,2,4),
(8957,10190910,'The reuse time of Distracting Aura is 20 minutes 44 seconds',100,1,5),
(8958,118280,'Increases Threat to target encounter by 3,969 - 4,492 ',100,1,0),
(8959,118280,'Decreases Mitigation of target encounter vs arcane damage by 908',100,1,1),
(8960,10118280,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(8961,10118280,'Prevents target from changing targets',100,2,1),
(8962,10118280,'Forces target to change their selected target to caster.',100,2,2),
(8963,10118280,'Decreases Mitigation of target encounter vs arcane damage by 908',100,1,3),
(8964,40651,'When Equipped:',100,0,0),
(8965,40651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8966,40651,'Inflicts 295 - 443 magic damage on target',100,2,2),
(8967,40651,'Cannot be modified except by direct means',100,2,3),
(8968,10040651,'When Equipped:',100,0,0),
(8969,10040651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(8970,10040651,'Inflicts 295 - 443 magic damage on target',100,2,2),
(8971,10040651,'Cannot be modified except by direct means',100,2,3),
(8972,138614,'When Equipped:',100,0,0),
(8973,138614,'On a spell cast this spell may cast Ascent of Yael on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8974,138614,'Increases Crit Bonus of group members (AE) by 5.0%',100,2,2),
(8975,138614,'Heals group members (AE) for 1567 - 1915',100,2,3),
(8976,138614,'Heals group members (AE) for 784 - 958 every 4 seconds',100,2,4),
(8977,138614,'Cannot be modified except by direct means',100,2,5),
(8978,10138614,'When Equipped:',100,0,0),
(8979,10138614,'On a spell cast this spell may cast Ascent of Yael on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(8980,10138614,'Increases Crit Bonus of group members (AE) by 5.0%',100,2,2),
(8981,10138614,'Heals group members (AE) for 1833 - 2241',100,2,3),
(8982,10138614,'Heals group members (AE) for 917 - 1120 every 4 seconds',100,2,4),
(8983,10138614,'Cannot be modified except by direct means',100,2,5),
(8984,156889,'Applies Unstable Magics when Equipped.',100,0,0),
(8985,156889,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(8986,10156889,'Applies Unstable Magics when Equipped.',100,0,0),
(8987,10156889,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(8988,81926,'When Equipped:',100,0,0),
(8989,81926,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(8990,81926,'Inflicts 523 - 972 magic damage on target',100,2,2),
(8991,81926,'Decreases Threat to target by 994 ',100,2,3),
(8992,81926,'Must be flanking or behind',100,3,4),
(8993,81926,'Increases Threat to target by 1,454 ',100,2,5),
(8994,81926,'Must be in front of',100,3,6),
(8995,81926,'Cannot be modified except by direct means',100,2,7),
(8996,10081926,'When Equipped:',100,0,0),
(8997,10081926,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(8998,10081926,'Inflicts 523 - 972 magic damage on target',100,2,2),
(8999,10081926,'Cannot be modified except by direct means',100,2,3),
(9000,40611,'When Equipped:',100,0,0),
(9001,40611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9002,40611,'Inflicts 232 - 347 magic damage on target',100,2,2),
(9003,40611,'Cannot be modified except by direct means',100,2,3),
(9004,10040611,'When Equipped:',100,0,0),
(9005,10040611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9006,10040611,'Inflicts 232 - 347 magic damage on target',100,2,2),
(9007,10040611,'Cannot be modified except by direct means',100,2,3),
(9008,45277,'Applies Illusion: Gnome when Activated.  Lasts for 6 hours.',100,0,0),
(9009,45277,'Shapechanges caster into a gnome',100,1,1),
(9010,10045277,'Applies Illusion: Gnome when Activated.  Lasts for 6 hours.',100,0,0),
(9011,10045277,'Shapechanges caster into a gnome',100,1,1),
(9012,117664,'Decreases Mitigation of target vs physical damage by 336',100,1,0),
(9013,10117664,'Decreases Mitigation of target vs physical damage by 168',100,1,0),
(9014,124316,'Shapechanges caster into a wolf',100,1,0),
(9015,124316,'Grants See Invisibility to caster',100,1,1),
(9016,124316,'Increases Focus of caster by 8.6',100,1,2),
(9017,124316,'Increases Mitigation of caster vs physical damage by 95',100,1,3),
(9018,124316,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 361',100,1,4),
(9019,10124316,'Shapechanges caster into a wolf',100,1,0),
(9020,10124316,'Grants See Invisibility to caster',100,1,1),
(9021,10124316,'Increases Focus of caster by 8.6',100,1,2),
(9022,10124316,'Increases Mitigation of caster vs physical damage by 95',100,1,3),
(9023,10124316,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 361',100,1,4),
(9024,82543,'When Equipped:',100,0,0),
(9025,82543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9026,82543,'Inflicts 149 - 276 magic damage on target',100,2,2),
(9027,82543,'Cannot be modified except by direct means',100,2,3),
(9028,10082543,'When Equipped:',100,0,0),
(9029,10082543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9030,10082543,'Inflicts 149 - 276 magic damage on target',100,2,2),
(9031,10082543,'Cannot be modified except by direct means',100,2,3),
(9032,111885,'Inflicts 2360 - 3541 heat damage on target',100,1,0),
(9033,111885,'Inflicts 517 - 959 heat damage on target every 2 seconds',100,1,1),
(9034,10111885,'Inflicts 1480 - 2411 heat damage on target',100,1,0),
(9035,10111885,'Inflicts 407 - 756 heat damage on target every 2 seconds',100,1,1),
(9036,37079,'Increases Max Power of target by 22.8',100,0,0),
(9037,37079,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(9038,79030,'Applies Frost Blast when Activated.',100,0,0),
(9039,79030,'Inflicts 99 - 164 cold damage on target',100,1,1),
(9040,79030,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(9041,10079030,'Applies Frost Blast when Activated.',100,0,0),
(9042,10079030,'Inflicts 99 - 164 cold damage on target',100,1,1),
(9043,10079030,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(9044,124778,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(9045,124778,'Increases STR of caster by 14.5',100,1,1),
(9046,124778,'Decreases Defense of caster by 1.8',100,1,2),
(9047,124778,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.6',100,1,3),
(9048,10124778,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(9049,10124778,'Increases STR of caster by 14.5',100,1,1),
(9050,10124778,'Decreases Defense of caster by 1.8',100,1,2),
(9051,10124778,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.6',100,1,3),
(9052,112870,'Inflicts 212 - 259 melee damage on target',100,1,0),
(9053,112870,'Decreases Mitigation of target vs physical damage by 63',100,1,1),
(9054,112870,'Must be flanking or behind',100,1,2),
(9055,10112870,'Inflicts 167 - 204 melee damage on target',100,1,0),
(9056,10112870,'Decreases Mitigation of target vs physical damage by 63',100,1,1),
(9057,10112870,'Must be flanking or behind',100,1,2),
(9058,75639,'Applies Holy Strike when Activated.',100,0,0),
(9059,75639,'Inflicts 250 - 417 divine damage on target',100,1,1),
(9060,75639,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(9061,10075639,'Applies Holy Strike when Activated.',100,0,0),
(9062,10075639,'Inflicts 250 - 417 divine damage on target',100,1,1),
(9063,10075639,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(9064,118119,'Heals target for 1799 - 2199',100,1,0),
(9065,10118119,'Heals target for 1374 - 1622',100,1,0),
(9066,47986,'Applies Sergug''s Renewal when Activated.',100,0,0),
(9067,47986,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(9068,10047986,'Applies Sergug''s Renewal when Activated.',100,0,0),
(9069,10047986,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(9070,26218,'When Equipped:',100,0,0),
(9071,26218,'Increases all elemental damage by up to 20.',100,1,1),
(9072,10026218,'When Equipped:',100,0,0),
(9073,10026218,'Increases all elemental damage by up to 20.',100,1,1),
(9074,74675,'When Equipped:',100,0,0),
(9075,74675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9076,74675,'Inflicts 85 - 128 magic damage on target',100,2,2),
(9077,74675,'Cannot be modified except by direct means',100,2,3),
(9078,10074675,'When Equipped:',100,0,0),
(9079,10074675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9080,10074675,'Inflicts 85 - 128 magic damage on target',100,2,2),
(9081,10074675,'Cannot be modified except by direct means',100,2,3),
(9082,75519,'When Equipped:',100,0,0),
(9083,75519,'Increases the trigger count of poisons by 20%',100,1,1),
(9084,75519,'On any combat or spell hit this spell will cast Toxic Attunement on target of attack.  Lasts for 10.0 seconds.  ',100,1,2),
(9085,75519,'Inflicts 1285 - 1420 poison damage on target encounter instantly and every 2 seconds',100,2,3),
(9086,75519,'Inflicts an additional 256 - 283 poison damage on target encounter every tick',100,2,4),
(9087,75519,'Must not be engaged in pvp combat',100,2,5),
(9088,75519,'Cannot be modified except by direct means',100,2,6),
(9089,75519,'Must not be engaged in pvp combat',100,1,7),
(9090,10075519,'When Equipped:',100,0,0),
(9091,10075519,'Increases the trigger count of poisons by 20%',100,1,1),
(9092,10075519,'On any combat or spell hit this spell will cast Toxic Attunement on target of attack.  Lasts for 10.0 seconds.  ',100,1,2),
(9093,10075519,'Inflicts 1285 - 1420 poison damage on target encounter instantly and every 2 seconds',100,2,3),
(9094,10075519,'Inflicts an additional 256 - 283 poison damage on target encounter every tick',100,2,4),
(9095,10075519,'Must not be engaged in pvp combat',100,2,5),
(9096,10075519,'Cannot be modified except by direct means',100,2,6),
(9097,10075519,'Must not be engaged in pvp combat',100,1,7),
(9098,101682,'Decreases Attack Speed of target by 18.3',100,1,0),
(9099,101682,'Decreases Damage Per Second of target by 13.2',100,1,1),
(9100,10101682,'Decreases Attack Speed of target by 18.3',100,1,0),
(9101,10101682,'Decreases Damage Per Second of target by 13.2',100,1,1),
(9102,116589,'Inflicts 1184 - 1964 divine damage on target',100,1,0),
(9103,10116589,'Inflicts 932 - 1426 divine damage on target',100,1,0),
(9104,162324,'When Equipped:',100,0,0),
(9105,162324,'Increases Attack Speed of caster by 40.0',100,1,1),
(9106,10162324,'When Equipped:',100,0,0),
(9107,10162324,'Increases Attack Speed of caster by 40.0',100,1,1),
(9108,108121,'Increases Attack Speed of caster by 20.9',100,1,0),
(9109,10108121,'Increases Attack Speed of caster by 20.9',100,1,0),
(9110,110689,'Heals target for 3357',100,1,0),
(9111,110689,'Dispels 71 levels of any hostile effects on target',100,1,1),
(9112,10110689,'Heals target for 1473',100,1,0),
(9113,10110689,'Dispels 71 levels of any hostile effects on target',100,1,1),
(9114,45361,'Applies Blessing of Growth when Activated.',100,0,0),
(9115,45361,'This effect cannot be cast during combat',100,1,1),
(9116,10045361,'Applies Blessing of Growth when Activated.',100,0,0),
(9117,10045361,'This effect cannot be cast during combat',100,1,1),
(9118,80935,'When Equipped:',100,0,0),
(9119,80935,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9120,80935,'Inflicts 343 - 636 magic damage on target',100,2,2),
(9121,80935,'Cannot be modified except by direct means',100,2,3),
(9122,10080935,'When Equipped:',100,0,0),
(9123,10080935,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9124,10080935,'Inflicts 343 - 636 magic damage on target',100,2,2),
(9125,10080935,'Cannot be modified except by direct means',100,2,3),
(9126,53937,'Applies Braced for Impact  when Activated.  Lasts for 36.0 seconds.',100,0,0),
(9127,53937,'Increases Max Health of caster by 8.0%',100,1,1),
(9128,53937,'Increases All Attributes of caster by 12.0%',100,1,2),
(9129,53937,'The reuse time of Braced for Impact  is 4 minutes 9 seconds',100,1,3),
(9130,53937,'When Equipped:',100,0,4),
(9131,53937,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,5),
(9132,53937,'Inflicts 2793 - 3086 crushing damage on target',100,2,6),
(9133,53937,'Increases Hate Gain of caster by 12.0%',100,2,7),
(9134,53937,'Increases caster''s chance to block by 20.0%',100,2,8),
(9135,53937,'Enlarges caster by 20.0%',100,2,9),
(9136,53937,'Must not be engaged in pvp combat',100,2,10),
(9137,53937,'Cannot be modified except by direct means',100,2,11),
(9138,53937,'Must not be engaged in pvp combat',100,1,12),
(9139,10053937,'Applies Braced for Impact  when Activated.  Lasts for 36.0 seconds.',100,0,0),
(9140,10053937,'Increases Max Health of caster by 8.0%',100,1,1),
(9141,10053937,'Increases All Attributes of caster by 12.0%',100,1,2),
(9142,10053937,'The reuse time of Braced for Impact  is 4 minutes 9 seconds',100,1,3),
(9143,10053937,'When Equipped:',100,0,4),
(9144,10053937,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,5),
(9145,10053937,'Inflicts 2793 - 3086 crushing damage on target',100,2,6),
(9146,10053937,'Increases caster''s chance to block by 20.0%',100,2,7),
(9147,10053937,'Enlarges caster by 20.0%',100,2,8),
(9148,10053937,'Must not be engaged in pvp combat',100,2,9),
(9149,10053937,'Cannot be modified except by direct means',100,2,10),
(9150,10053937,'Must not be engaged in pvp combat',100,1,11),
(9151,177561,'When Equipped:',100,0,0),
(9152,177561,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(9153,177561,'Increases STA of caster by 5.1',100,2,2),
(9154,177561,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(9155,177561,'Cannot be modified except by direct means',100,2,4),
(9156,10177561,'When Equipped:',100,0,0),
(9157,10177561,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(9158,10177561,'Increases STA of caster by 5.1',100,2,2),
(9159,10177561,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(9160,10177561,'Cannot be modified except by direct means',100,2,4),
(9161,71807,'When Equipped:',100,0,0),
(9162,71807,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9163,71807,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(9164,71807,'Cannot be modified except by direct means',100,2,3),
(9165,10071807,'When Equipped:',100,0,0),
(9166,10071807,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9167,10071807,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(9168,10071807,'Cannot be modified except by direct means',100,2,3),
(9169,118524,'Inflicts 790 - 1311 melee damage on target',100,1,0),
(9170,118524,'Decreases STR of target by 18.4',100,1,1),
(9171,118524,'You must be sneaking to use this ability.',100,1,2),
(9172,10118524,'Inflicts 623 - 1033 melee damage on target',100,1,0),
(9173,10118524,'Decreases STR of target by 18.4',100,1,1),
(9174,10118524,'You must be sneaking to use this ability.',100,1,2),
(9175,48815,'Applies Iony''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(9176,48815,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(9177,10048815,'Applies Iony''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(9178,10048815,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(9179,105921,'Inflicts 337 - 504 disease damage on targets in area',100,1,0),
(9180,105921,'Inflicts 73 - 89 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(9181,10105921,'Inflicts 222 - 282 disease damage on targets in area',100,1,0),
(9182,10105921,'Inflicts 54 - 66 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(9183,80667,'When Equipped:',100,0,0),
(9184,80667,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(9185,80667,'Inflicts 106 - 197 magic damage on target',100,2,2),
(9186,80667,'Decreases Threat to target by 236 ',100,2,3),
(9187,80667,'Must be flanking or behind',100,3,4),
(9188,80667,'Increases Threat to target by 414 ',100,2,5),
(9189,80667,'Must be in front of',100,3,6),
(9190,80667,'Cannot be modified except by direct means',100,2,7),
(9191,10080667,'When Equipped:',100,0,0),
(9192,10080667,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(9193,10080667,'Inflicts 106 - 197 magic damage on target',100,2,2),
(9194,10080667,'Cannot be modified except by direct means',100,2,3),
(9195,122198,'Increases Damage Per Second of target by 9.3',100,1,0),
(9196,122198,'Increases Max Health of target by 31.2',100,1,1),
(9197,10122198,'Increases Damage Per Second of target by 9.3',100,1,0),
(9198,10122198,'Increases Max Health of target by 31.2',100,1,1),
(9199,102146,'Inflicts 1147 - 1898 melee damage on target',100,1,0),
(9200,102146,'Inflicts 572 - 949 melee damage on target',100,1,1),
(9201,10102146,'Inflicts 845 - 1142 melee damage on target',100,1,0),
(9202,10102146,'Inflicts 451 - 748 melee damage on target',100,1,1),
(9203,108676,'Dispels 223 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(9204,10108676,'Dispels 223 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(9205,104627,'Inflicts 415 - 688 crushing damage on target',100,1,0),
(9206,104627,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.2',100,1,1),
(9207,10104627,'Inflicts 327 - 542 crushing damage on target',100,1,0),
(9208,10104627,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.2',100,1,1),
(9209,133918,'Applies Augur''s Soothsaying when Activated.  Lasts for 5 minutes.',100,0,0),
(9210,133918,'Wards caster against 200 points of arcane damage',100,1,1),
(9211,133918,'The casting time of Augur''s Soothsaying is 2.97 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,2),
(9212,10133918,'Applies Augur''s Soothsaying when Activated.  Lasts for 5 minutes.',100,0,0),
(9213,10133918,'Wards caster against 200 points of arcane damage',100,1,1),
(9214,10133918,'The casting time of Augur''s Soothsaying is 2.97 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,2),
(9215,45194,'Applies elemental remedy when Activated.',100,0,0),
(9216,45194,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(9217,10045194,'Applies elemental remedy when Activated.',100,0,0),
(9218,10045194,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(9219,188529,'When Equipped:',100,0,0),
(9220,188529,'When any damage is received this spell has a 5% chance to cast Poisoning on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(9221,188529,'Inflicts 159 - 264 poison damage on target every 4.8 seconds',100,2,2),
(9222,188529,'Cannot be modified except by direct means',100,2,3),
(9223,10188529,'When Equipped:',100,0,0),
(9224,10188529,'When any damage is received this spell has a 5% chance to cast Poisoning on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(9225,10188529,'Inflicts 159 - 264 poison damage on target every 4.8 seconds',100,2,2),
(9226,10188529,'Cannot be modified except by direct means',100,2,3),
(9227,41701,'When Equipped:',100,0,0),
(9228,41701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9229,41701,'Inflicts 61 - 114 magic damage on target',100,2,2),
(9230,41701,'Cannot be modified except by direct means',100,2,3),
(9231,10041701,'When Equipped:',100,0,0),
(9232,10041701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9233,10041701,'Inflicts 61 - 114 magic damage on target',100,2,2),
(9234,10041701,'Cannot be modified except by direct means',100,2,3),
(9235,72488,'When Equipped:',100,0,0),
(9236,72488,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(9237,72488,'Inflicts 993 mental damage on target',100,2,2),
(9238,72488,'Increases Threat to target by 2,460 ',100,2,3),
(9239,72488,'Cannot be modified except by direct means',100,2,4),
(9240,72488,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(9241,72488,'Inflicts 993 mental damage on target',100,2,6),
(9242,72488,'Increases Threat to target by 2,460 ',100,2,7),
(9243,72488,'Cannot be modified except by direct means',100,2,8),
(9244,10072488,'When Equipped:',100,0,0),
(9245,10072488,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(9246,10072488,'Inflicts 993 mental damage on target',100,2,2),
(9247,10072488,'Cannot be modified except by direct means',100,2,3),
(9248,10072488,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(9249,10072488,'Inflicts 993 mental damage on target',100,2,5),
(9250,10072488,'Cannot be modified except by direct means',100,2,6),
(9251,85458,'When Equipped:',100,0,0),
(9252,85458,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 2.4 times per minute. ',100,1,1),
(9253,85458,'Heals caster for 43',100,2,2),
(9254,85458,'Cannot be modified except by direct means',100,2,3),
(9255,10085458,'When Equipped:',100,0,0),
(9256,10085458,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 2.4 times per minute. ',100,1,1),
(9257,10085458,'Heals caster for 28',100,2,2),
(9258,10085458,'Cannot be modified except by direct means',100,2,3),
(9259,150078,'When Equipped:',100,0,0),
(9260,150078,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(9261,150078,'Heals group members (AE) for 875',100,2,2),
(9262,150078,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(9263,150078,'Must not be engaged in pvp combat',100,2,4),
(9264,150078,'Cannot be modified except by direct means',100,2,5),
(9265,150078,'Must not be engaged in pvp combat',100,1,6),
(9266,10150078,'When Equipped:',100,0,0),
(9267,10150078,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(9268,10150078,'Heals group members (AE) for 1024',100,2,2),
(9269,10150078,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(9270,10150078,'Must not be engaged in pvp combat',100,2,4),
(9271,10150078,'Cannot be modified except by direct means',100,2,5),
(9272,10150078,'Must not be engaged in pvp combat',100,1,6),
(9273,82660,'When Equipped:',100,0,0),
(9274,82660,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(9275,82660,'Inflicts 151 - 280 magic damage on target',100,2,2),
(9276,82660,'Decreases Threat to target by 259 ',100,2,3),
(9277,82660,'Must be flanking or behind',100,3,4),
(9278,82660,'Increases Threat to target by 453 ',100,2,5),
(9279,82660,'Must be in front of',100,3,6),
(9280,82660,'Cannot be modified except by direct means',100,2,7),
(9281,10082660,'When Equipped:',100,0,0),
(9282,10082660,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(9283,10082660,'Inflicts 151 - 280 magic damage on target',100,2,2),
(9284,10082660,'Cannot be modified except by direct means',100,2,3),
(9285,143857,'When Equipped:',100,0,0),
(9286,143857,'On any combat or spell hit this spell may cast Fearful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9287,143857,'Inflicts 1146 crushing damage on target',100,2,2),
(9288,143857,'Inflicts 1146 disease damage on target',100,2,3),
(9289,143857,'Must not be engaged in pvp combat',100,2,4),
(9290,143857,'Cannot be modified except by direct means',100,2,5),
(9291,10143857,'When Equipped:',100,0,0),
(9292,10143857,'On any combat or spell hit this spell may cast Fearful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9293,10143857,'Inflicts 1146 crushing damage on target',100,2,2),
(9294,10143857,'Inflicts 1146 disease damage on target',100,2,3),
(9295,10143857,'Must not be engaged in pvp combat',100,2,4),
(9296,10143857,'Cannot be modified except by direct means',100,2,5),
(9297,48316,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(9298,48316,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(9299,48316,'Decreases WIS of target by 27.0',100,2,2),
(9300,48316,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,2,3),
(9301,48316,'Cannot be modified except by direct means',100,2,4),
(9302,48316,'Grants a total of 60 triggers of the spell.',100,2,5),
(9303,10048316,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(9304,10048316,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(9305,10048316,'Decreases WIS of target by 27.0',100,2,2),
(9306,10048316,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,2,3),
(9307,10048316,'Cannot be modified except by direct means',100,2,4),
(9308,10048316,'Grants a total of 60 triggers of the spell.',100,2,5),
(9309,102026,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(9310,102026,'Wards target against 1326 points of all damage',100,2,1),
(9311,10102026,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(9312,10102026,'Wards target against 1045 points of all damage',100,2,1),
(9313,103111,'Increases Max Health of caster by 5.0%',100,129,0),
(9314,103111,'Increases STR of caster by 32.3',100,1,1),
(9315,103111,'Adds 4.5% to base avoidance.',100,1,2),
(9316,103111,'Increases Mitigation of caster vs physical damage by 208',100,1,3),
(9317,103111,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',100,1,4),
(9318,10103111,'Increases Max Health of caster by 5.0%',100,129,0),
(9319,10103111,'Increases STR of caster by 32.3',100,1,1),
(9320,10103111,'Adds 4.5% to base avoidance.',100,1,2),
(9321,10103111,'Increases Mitigation of caster vs physical damage by 208',100,1,3),
(9322,10103111,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',100,1,4),
(9323,181606,'When Equipped:',100,0,0),
(9324,181606,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(9325,181606,'Heals group members (AE) for 2624',100,2,2),
(9326,181606,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(9327,181606,'Must not be engaged in pvp combat',100,2,4),
(9328,181606,'Cannot be modified except by direct means',100,2,5),
(9329,181606,'Must not be engaged in pvp combat',100,1,6),
(9330,10181606,'When Equipped:',100,0,0),
(9331,10181606,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(9332,10181606,'Heals group members (AE) for 3071',100,2,2),
(9333,10181606,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(9334,10181606,'Must not be engaged in pvp combat',100,2,4),
(9335,10181606,'Cannot be modified except by direct means',100,2,5),
(9336,10181606,'Must not be engaged in pvp combat',100,1,6),
(9337,46674,'Applies Arasai Illusion when Activated.',100,0,0),
(9338,46674,'Shapechanges caster into an Arasai',100,1,1),
(9339,46674,'Must be in zone Longshadow Alley: Daeneth Cloister',100,1,2),
(9340,10046674,'Applies Arasai Illusion when Activated.',100,0,0),
(9341,10046674,'Shapechanges caster into an Arasai',100,1,1),
(9342,10046674,'Must be in zone Longshadow Alley: Daeneth Cloister',100,1,2),
(9343,101359,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(9344,101359,'Reduces physical damage done to caster by 5%',100,1,1),
(9345,101359,'Adds 2.1% to base avoidance.',100,1,2),
(9346,101359,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,3),
(9347,101359,'Increases Aggression of caster by 9.4',100,1,4),
(9348,101359,'Increases Defense and Parry of caster by 15.1',100,1,5),
(9349,101359,'Increases Mitigation of caster vs noxious and arcane damage by 92',100,1,6),
(9350,101359,'Increases Mitigation of caster vs elemental damage by 924',100,1,7),
(9351,101359,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(9352,10101359,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(9353,10101359,'Reduces physical damage done to caster by 5%',100,1,1),
(9354,10101359,'Adds 2.1% to base avoidance.',100,1,2),
(9355,10101359,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,3),
(9356,10101359,'Increases Aggression of caster by 9.4',100,1,4),
(9357,10101359,'Increases Defense and Parry of caster by 15.1',100,1,5),
(9358,10101359,'Increases Mitigation of caster vs noxious and arcane damage by 92',100,1,6),
(9359,10101359,'Increases Mitigation of caster vs elemental damage by 924',100,1,7),
(9360,10101359,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(9361,116155,'Increases Attack Speed of caster by 24.9',100,1,0),
(9362,116155,'Increases Damage Per Second of caster by 28.6',100,1,1),
(9363,10116155,'Increases Attack Speed of caster by 24.9',100,1,0),
(9364,10116155,'Increases Damage Per Second of caster by 28.6',100,1,1),
(9365,42519,'When Equipped:',100,0,0),
(9366,42519,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9367,42519,'Inflicts 265 - 397 magic damage on target',100,2,2),
(9368,42519,'Cannot be modified except by direct means',100,2,3),
(9369,10042519,'When Equipped:',100,0,0),
(9370,10042519,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9371,10042519,'Inflicts 265 - 397 magic damage on target',100,2,2),
(9372,10042519,'Cannot be modified except by direct means',100,2,3),
(9373,24339,'Adds Boss: Drolvarg (Mystic) to your Dungeon Maker toolbox',100,0,0),
(9374,10024339,'Adds Boss: Drolvarg (Mystic) to your Dungeon Maker toolbox',100,0,0),
(9375,123750,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(9376,123750,'Increases Mitigation of group members (AE) vs elemental damage by 276',100,1,1),
(9377,10123750,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(9378,10123750,'Increases Mitigation of group members (AE) vs elemental damage by 276',100,1,1),
(9379,116851,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(9380,116851,'Inflicts 1878 - 2295 mental damage on target',100,2,1),
(9381,116851,'Grants a total of 3 triggers of the spell.',100,2,2),
(9382,10116851,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(9383,10116851,'Inflicts 1400 - 1682 mental damage on target',100,2,1),
(9384,10116851,'Grants a total of 3 triggers of the spell.',100,2,2),
(9385,162027,'When Equipped:',100,0,0),
(9386,162027,'Increases Attack Speed of caster by 45.0',100,1,1),
(9387,10162027,'When Equipped:',100,0,0),
(9388,10162027,'Increases Attack Speed of caster by 45.0',100,1,1),
(9389,115286,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(9390,115286,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(9391,115286,'Inflicts 2135 - 2609 poison damage on target',100,3,2),
(9392,115286,'Grants a total of 1 trigger of the spell.',100,3,3),
(9393,10115286,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(9394,10115286,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(9395,10115286,'Inflicts 1683 - 2057 poison damage on target',100,3,2),
(9396,10115286,'Grants a total of 1 trigger of the spell.',100,3,3),
(9397,81292,'When Equipped:',100,0,0),
(9398,81292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9399,81292,'Inflicts 403 - 748 magic damage on target',100,2,2),
(9400,81292,'Cannot be modified except by direct means',100,2,3),
(9401,10081292,'When Equipped:',100,0,0),
(9402,10081292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9403,10081292,'Inflicts 403 - 748 magic damage on target',100,2,2),
(9404,10081292,'Cannot be modified except by direct means',100,2,3),
(9405,105452,'Inflicts 2486 - 2820 poison damage on target',100,1,0),
(9406,105452,'Inflicts 1503 - 1838 poison damage on target every 4 seconds',100,1,1),
(9407,105452,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(9408,105452,'Summons 2 limited pets to aid the caster',100,2,3),
(9409,105452,'Summons a limited pet to aid the caster',100,2,4),
(9410,105452,'Grants a total of 1 trigger of the spell.',100,2,5),
(9411,10105452,'Inflicts 1580 - 1843 poison damage on target',100,1,0),
(9412,10105452,'Inflicts 1185 - 1448 poison damage on target every 4 seconds',100,1,1),
(9413,10105452,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(9414,10105452,'Summons 2 limited pets to aid the caster',100,2,3),
(9415,10105452,'Summons a limited pet to aid the caster',100,2,4),
(9416,10105452,'Grants a total of 1 trigger of the spell.',100,2,5),
(9417,106605,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(9418,10106605,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(9419,103686,'Interrupts target',100,1,0),
(9420,103686,'Inflicts 2699 - 3971 melee damage on target',100,1,1),
(9421,103686,'Must be flanking or behind',100,1,2),
(9422,10103686,'Interrupts target',100,1,0),
(9423,10103686,'Inflicts 1815 - 2750 melee damage on target',100,1,1),
(9424,10103686,'Must be flanking or behind',100,1,2),
(9425,52828,'Applies Sanguine Imbued when Equipped.',100,0,0),
(9426,52828,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(9427,52828,'Inflicts 388 heat damage on target',100,2,2),
(9428,52828,'Cannot be modified except by direct means',100,2,3),
(9429,10052828,'Applies Sanguine Imbued when Equipped.',100,0,0),
(9430,10052828,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(9431,10052828,'Inflicts 388 heat damage on target',100,2,2),
(9432,10052828,'Cannot be modified except by direct means',100,2,3),
(9433,72237,'When Equipped:',100,0,0),
(9434,72237,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9435,72237,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(9436,72237,'Cannot be modified except by direct means',100,2,3),
(9437,10072237,'When Equipped:',100,0,0),
(9438,10072237,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9439,10072237,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(9440,10072237,'Cannot be modified except by direct means',100,2,3),
(9441,118603,'Roots target',100,1,0),
(9442,118603,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(9443,118603,'Slows target by 63.7%',100,2,2),
(9444,118603,'5% chance to dispel when target receives hostile action',100,2,3),
(9445,118603,'5% chance to dispel when target takes damage',100,2,4),
(9446,118603,'5% chance to dispel when target takes damage',100,1,5),
(9447,118603,'Does not affect Epic targets',100,1,6),
(9448,118603,'Resistibility increases against targets higher than level 78.',100,1,7),
(9449,10118603,'Roots target',100,1,0),
(9450,10118603,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(9451,10118603,'Slows target by 63.7%',100,2,2),
(9452,10118603,'5% chance to dispel when target receives hostile action',100,2,3),
(9453,10118603,'5% chance to dispel when target takes damage',100,2,4),
(9454,10118603,'5% chance to dispel when target takes damage',100,1,5),
(9455,10118603,'Does not affect Epic targets',100,1,6),
(9456,10118603,'Resistibility increases against targets higher than level 78.',100,1,7),
(9457,109621,'Increases Defense of group members'' pets (AE) by 14.0',100,1,0),
(9458,109621,'Increases Mitigation of group members (AE) vs all damage by 224',100,1,1),
(9459,10109621,'Increases Defense of group members'' pets (AE) by 14.0',100,1,0),
(9460,10109621,'Increases Mitigation of group members (AE) vs all damage by 224',100,1,1),
(9461,123891,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(9462,123891,'Slows target by 56.3%',100,2,1),
(9463,123891,'5% chance to dispel when target receives hostile action',100,2,2),
(9464,123891,'5% chance to dispel when target takes damage',100,2,3),
(9465,123891,'Decreases Mitigation of target vs elemental and noxious damage by 416',100,1,4),
(9466,10123891,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(9467,10123891,'Slows target by 56.3%',100,2,1),
(9468,10123891,'5% chance to dispel when target receives hostile action',100,2,2),
(9469,10123891,'5% chance to dispel when target takes damage',100,2,3),
(9470,10123891,'Decreases Mitigation of target vs elemental and noxious damage by 416',100,1,4),
(9471,106305,'Decreases INT and STR of target by 20.0',100,1,0),
(9472,10106305,'Decreases INT and STR of target by 20.0',100,1,0),
(9473,114152,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(9474,114152,'Increases Mitigation of group members (AE) vs elemental damage by 1518',100,1,1),
(9475,10114152,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(9476,10114152,'Increases Mitigation of group members (AE) vs elemental damage by 1518',100,1,1),
(9477,42714,'When Equipped:',100,0,0),
(9478,42714,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9479,42714,'Inflicts 1319 - 1612 heat damage on target',100,2,2),
(9480,42714,'Inflicts 1319 - 1612 heat damage on target',100,2,3),
(9481,42714,'Inflicts 1319 - 1612 heat damage on target',100,2,4),
(9482,42714,'Must not be engaged in pvp combat',100,2,5),
(9483,42714,'Cannot be modified except by direct means',100,2,6),
(9484,10042714,'When Equipped:',100,0,0),
(9485,10042714,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9486,10042714,'Inflicts 1319 - 1612 heat damage on target',100,2,2),
(9487,10042714,'Inflicts 1319 - 1612 heat damage on target',100,2,3),
(9488,10042714,'Inflicts 1319 - 1612 heat damage on target',100,2,4),
(9489,10042714,'Must not be engaged in pvp combat',100,2,5),
(9490,10042714,'Cannot be modified except by direct means',100,2,6),
(9491,108989,'Decreases Damage Per Second of target by 19.9',100,1,0),
(9492,108989,'Inflicts 259 - 317 melee damage on target',100,1,1),
(9493,10108989,'Decreases Damage Per Second of target by 19.9',100,1,0),
(9494,10108989,'Inflicts 204 - 250 melee damage on target',100,1,1),
(9495,123696,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(9496,123696,'Inflicts 566 divine damage on target',100,2,1),
(9497,123696,'Grants a total of 5 triggers of the spell.',100,2,2),
(9498,10123696,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(9499,10123696,'Inflicts 463 divine damage on target',100,2,1),
(9500,10123696,'Grants a total of 5 triggers of the spell.',100,2,2),
(9501,123810,'Inflicts 319 - 532 magic damage on target',100,1,0),
(9502,123810,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(9503,123810,'Target will lose 19% more power when power is consumed',100,1,2),
(9504,123810,'19% of target''s power consumed will also be drained from target''s health',100,1,3),
(9505,123810,'Decreases Defense of target by 14.3',100,1,4),
(9506,10123810,'Inflicts 274 - 457 magic damage on target',100,1,0),
(9507,10123810,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(9508,10123810,'Target will lose 19% more power when power is consumed',100,1,2),
(9509,10123810,'19% of target''s power consumed will also be drained from target''s health',100,1,3),
(9510,10123810,'Decreases Defense of target by 14.3',100,1,4),
(9511,119636,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(9512,119636,'Stuns target',100,2,1),
(9513,119636,'Throws target back',100,2,2),
(9514,119636,'Blurs vision of target',100,2,3),
(9515,119636,'Does not affect Epic targets',100,2,4),
(9516,119636,'Inflicts 194 - 575 melee damage on target',100,1,5),
(9517,10119636,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(9518,10119636,'Blurs vision of target',100,2,1),
(9519,10119636,'Stuns target',100,2,2),
(9520,10119636,'Throws target back',100,2,3),
(9521,10119636,'Does not affect Epic targets',100,2,4),
(9522,10119636,'Inflicts 153 - 453 melee damage on target',100,1,5),
(9523,122236,'Increases Damage Per Second of target by 39.8',100,1,0),
(9524,122236,'Increases Max Health of target by 1,484.7',100,1,1),
(9525,10122236,'Increases Damage Per Second of target by 39.8',100,1,0),
(9526,10122236,'Increases Max Health of target by 1,484.7',100,1,1),
(9527,112781,'Interrupts target',100,1,0),
(9528,112781,'Inflicts 3489 - 5160 divine damage on target',100,1,1),
(9529,10112781,'Interrupts target',100,1,0),
(9530,10112781,'Inflicts 2370 - 3688 divine damage on target',100,1,1),
(9531,106524,'Inflicts 11634 - 18646 melee damage on target',100,1,0),
(9532,106524,'Inflicts 280.4% of max health in crushing damage on target',100,1,1),
(9533,106524,'If Target is Standard or weaker',100,2,2),
(9534,10106524,'Inflicts 4592 - 7355 melee damage on target',100,1,0),
(9535,118935,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(9536,118935,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1424',100,1,1),
(9537,118935,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,2),
(9538,10118935,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(9539,10118935,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1424',100,1,1),
(9540,10118935,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,2),
(9541,81080,'When Equipped:',100,0,0),
(9542,81080,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(9543,81080,'Inflicts 290 - 538 magic damage on target',100,2,2),
(9544,81080,'Decreases Threat to target by 517 ',100,2,3),
(9545,81080,'Must be flanking or behind',100,3,4),
(9546,81080,'Increases Threat to target by 905 ',100,2,5),
(9547,81080,'Must be in front of',100,3,6),
(9548,81080,'Cannot be modified except by direct means',100,2,7),
(9549,10081080,'When Equipped:',100,0,0),
(9550,10081080,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(9551,10081080,'Inflicts 290 - 538 magic damage on target',100,2,2),
(9552,10081080,'Cannot be modified except by direct means',100,2,3),
(9553,82346,'When Equipped:',100,0,0),
(9554,82346,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9555,82346,'Inflicts 523 - 972 magic damage on target',100,2,2),
(9556,82346,'Cannot be modified except by direct means',100,2,3),
(9557,10082346,'When Equipped:',100,0,0),
(9558,10082346,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9559,10082346,'Inflicts 523 - 972 magic damage on target',100,2,2),
(9560,10082346,'Cannot be modified except by direct means',100,2,3),
(9561,105058,'Inflicts 161 - 217 magic damage on target',100,1,0),
(9562,10105058,'Inflicts 149 - 202 magic damage on target',100,1,0),
(9563,82101,'When Equipped:',100,0,0),
(9564,82101,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9565,82101,'Inflicts 245 - 454 magic damage on target',100,2,2),
(9566,82101,'Cannot be modified except by direct means',100,2,3),
(9567,10082101,'When Equipped:',100,0,0),
(9568,10082101,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9569,10082101,'Inflicts 245 - 454 magic damage on target',100,2,2),
(9570,10082101,'Cannot be modified except by direct means',100,2,3),
(9571,146202,'When Equipped:',100,0,0),
(9572,146202,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(9573,146202,'Wards caster against 150 points of all damage',100,2,2),
(9574,146202,'Cannot be modified except by direct means',100,2,3),
(9575,10146202,'When Equipped:',100,0,0),
(9576,10146202,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(9577,10146202,'Wards caster against 150 points of all damage',100,2,2),
(9578,10146202,'Cannot be modified except by direct means',100,2,3),
(9579,46803,'Applies Purification when Activated.',100,0,0),
(9580,46803,'Inflicts 2443 - 2985 divine damage on target',100,1,1),
(9581,46803,'If target is lizardfolk',100,1,2),
(9582,10046803,'Applies Purification when Activated.',100,0,0),
(9583,10046803,'Inflicts 2443 - 2985 divine damage on target',100,1,1),
(9584,10046803,'If target is lizardfolk',100,1,2),
(9585,24750,'Adds Vornerus Spellweaver to your Dungeon Maker toolbox',100,0,0),
(9586,10024750,'Adds Vornerus Spellweaver to your Dungeon Maker toolbox',100,0,0),
(9587,80694,'When Equipped:',100,0,0),
(9588,80694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9589,80694,'Inflicts 106 - 197 magic damage on target',100,2,2),
(9590,80694,'Cannot be modified except by direct means',100,2,3),
(9591,10080694,'When Equipped:',100,0,0),
(9592,10080694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9593,10080694,'Inflicts 106 - 197 magic damage on target',100,2,2),
(9594,10080694,'Cannot be modified except by direct means',100,2,3),
(9595,37452,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(9596,134804,'When Equipped:',100,0,0),
(9597,134804,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9598,134804,'Decreases Threat to target by 500 ',100,2,2),
(9599,134804,'Cannot be modified except by direct means',100,2,3),
(9600,10134804,'When Equipped:',100,0,0),
(9601,10134804,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9602,10134804,'Cannot be modified except by direct means',100,2,2),
(9603,112480,'Decreases AGI and WIS of target by 36.3',100,1,0),
(9604,10112480,'Decreases AGI and WIS of target by 36.3',100,1,0),
(9605,109441,'Inflicts 1993 - 2218 cold damage on target',100,1,0),
(9606,109441,'Inflicts 1011 - 1236 cold damage on target every 4 seconds',100,1,1),
(9607,109441,'Decreases Mitigation of target vs elemental damage by 910',100,1,2),
(9608,10109441,'Inflicts 1191 - 1368 cold damage on target',100,1,0),
(9609,10109441,'Inflicts 797 - 974 cold damage on target every 4 seconds',100,1,1),
(9610,10109441,'Decreases Mitigation of target vs elemental damage by 910',100,1,2),
(9611,121833,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(9612,121833,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(9613,10121833,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(9614,10121833,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(9615,71926,'When Equipped:',100,0,0),
(9616,71926,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9617,71926,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(9618,71926,'Cannot be modified except by direct means',100,2,3),
(9619,10071926,'When Equipped:',100,0,0),
(9620,10071926,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9621,10071926,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(9622,10071926,'Cannot be modified except by direct means',100,2,3),
(9623,114817,'Dazes caster',100,1,0),
(9624,114817,'Roots caster',100,1,1),
(9625,114817,'Increases Mitigation of caster vs physical damage by 760',100,1,2),
(9626,10114817,'Dazes caster',100,1,0),
(9627,10114817,'Roots caster',100,1,1),
(9628,10114817,'Increases Mitigation of caster vs physical damage by 760',100,1,2),
(9629,100760,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(9630,100760,'Increases power of target by 606 every 6 seconds',100,2,1),
(9631,100760,'Heals target for 2625',100,2,2),
(9632,100760,'Wards target against 2799 points of all damage',100,2,3),
(9633,100760,'Grants a total of 1 trigger of the spell.',100,2,4),
(9634,10100760,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(9635,10100760,'Increases power of target by 477 every 6 seconds',100,2,1),
(9636,10100760,'Heals target for 1345',100,2,2),
(9637,10100760,'Wards target against 2206 points of all damage',100,2,3),
(9638,10100760,'Grants a total of 1 trigger of the spell.',100,2,4),
(9639,122524,'Heals caster for 56',100,1,0),
(9640,122524,'Inflicts 212 - 352 melee damage on target',100,1,1),
(9641,10122524,'Heals caster for 29',100,1,0),
(9642,10122524,'Inflicts 167 - 277 melee damage on target',100,1,1),
(9643,159714,'Applies Lambent Imbued when Equipped.',100,0,0),
(9644,159714,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(9645,159714,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(9646,159714,'Cannot be modified except by direct means',100,2,3),
(9647,10159714,'Applies Lambent Imbued when Equipped.',100,0,0),
(9648,10159714,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(9649,10159714,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(9650,10159714,'Cannot be modified except by direct means',100,2,3),
(9651,138372,'When Equipped:',100,0,0),
(9652,138372,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9653,138372,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(9654,138372,'Heals caster for 816 - 1224',100,2,3),
(9655,138372,'Cannot be modified except by direct means',100,2,4),
(9656,138372,'Cannot be modified except by direct means',100,1,5),
(9657,10138372,'When Equipped:',100,0,0),
(9658,10138372,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9659,10138372,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(9660,10138372,'Heals caster for 955 - 1432',100,2,3),
(9661,10138372,'Cannot be modified except by direct means',100,2,4),
(9662,10138372,'Cannot be modified except by direct means',100,1,5),
(9663,102335,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(9664,102335,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(9665,102335,'Decreases Threat to target encounter by 3,008 ',100,2,2),
(9666,102335,'Decreases threat priority of target encounter by 1 position',100,2,3),
(9667,102335,'Grants a total of 3 triggers of the spell.',100,2,4),
(9668,102335,'If profession other than Fighter',100,1,5),
(9669,10102335,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(9670,10102335,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(9671,10102335,'Forces target to clear their selected target.',100,2,2),
(9672,10102335,'Target cannot target caster for the duration of this effect.',100,2,3),
(9673,10102335,'Grants a total of 3 triggers of the spell.',100,2,4),
(9674,10102335,'If profession other than Fighter',100,1,5),
(9675,101150,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(9676,101150,'Inflicts 1712 ranged damage on target',100,2,1),
(9677,101150,'Decreases Defense of caster by 17.7',100,1,2),
(9678,101150,'Increases Crushing, Piercing, Ranged and Slashing of caster by 37.2',100,1,3),
(9679,10101150,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(9680,10101150,'Inflicts 1012 ranged damage on target',100,2,1),
(9681,10101150,'Decreases Defense of caster by 17.7',100,1,2),
(9682,10101150,'Increases Crushing, Piercing, Ranged and Slashing of caster by 37.2',100,1,3),
(9683,159023,'When Equipped:',100,0,0),
(9684,159023,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(9685,159023,'Increases STA of caster by 23.1',100,2,2),
(9686,159023,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(9687,159023,'Cannot be modified except by direct means',100,2,4),
(9688,10159023,'When Equipped:',100,0,0),
(9689,10159023,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(9690,10159023,'Increases STA of caster by 23.1',100,2,2),
(9691,10159023,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(9692,10159023,'Cannot be modified except by direct means',100,2,4),
(9693,113797,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(9694,113797,'Heals target for 1686 - 2061',100,2,1),
(9695,10113797,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(9696,10113797,'Heals target for 826 - 991',100,2,1),
(9697,106825,'Decreases STR and AGI of target encounter by 152.5',100,1,0),
(9698,10106825,'Decreases STR and AGI of target encounter by 152.5',100,1,0),
(9699,114486,'Increases In-Combat Power Regeneration of group members (AE) by 9.8',100,1,0),
(9700,10114486,'Increases In-Combat Power Regeneration of group members (AE) by 9.8',100,1,0),
(9701,153845,'When Equipped:',100,0,0),
(9702,153845,'When any damage is received this spell has a 7.5% chance to cast Enfeeblement on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(9703,153845,'Decreases STR of target encounter by 22.8',100,2,2),
(9704,153845,'Cannot be modified except by direct means',100,2,3),
(9705,10153845,'When Equipped:',100,0,0),
(9706,10153845,'When any damage is received this spell has a 7.5% chance to cast Enfeeblement on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(9707,10153845,'Decreases STR of target encounter by 22.8',100,2,2),
(9708,10153845,'Cannot be modified except by direct means',100,2,3),
(9709,87211,'When Equipped:',100,0,0),
(9710,87211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9711,87211,'Inflicts 97 - 146 magic damage on target',100,2,2),
(9712,87211,'Cannot be modified except by direct means',100,2,3),
(9713,10087211,'When Equipped:',100,0,0),
(9714,10087211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9715,10087211,'Inflicts 97 - 146 magic damage on target',100,2,2),
(9716,10087211,'Cannot be modified except by direct means',100,2,3),
(9717,35287,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(9718,35287,'Increases Max Power of target by 10.5',100,0,1),
(9719,89280,'When Equipped:',100,0,0),
(9720,89280,'On a critical combat hit this spell may cast Infected Strike VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(9721,89280,'Decreases WIS of target by 60.0',100,2,2),
(9722,89280,'Inflicts 310 - 342 disease damage on target',100,2,3),
(9723,89280,'Inflicts 77 - 86 disease damage on target every 2 seconds',100,2,4),
(9724,89280,'Decreases AGI, STR and INT of target by 60.0',100,2,5),
(9725,89280,'Must not be engaged in pvp combat',100,2,6),
(9726,89280,'Cannot be modified except by direct means',100,2,7),
(9727,89280,'On a critical spell hit this spell may cast Infected Strike VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(9728,89280,'Decreases WIS of target by 60.0',100,2,9),
(9729,89280,'Inflicts 310 - 342 disease damage on target',100,2,10),
(9730,89280,'Inflicts 77 - 86 disease damage on target every 2 seconds',100,2,11),
(9731,89280,'Decreases AGI, STR and INT of target by 60.0',100,2,12),
(9732,89280,'Must not be engaged in pvp combat',100,2,13),
(9733,89280,'Cannot be modified except by direct means',100,2,14),
(9734,89280,'Must not be engaged in pvp combat',100,1,15),
(9735,10089280,'When Equipped:',100,0,0),
(9736,10089280,'On a critical combat hit this spell may cast Infected Strike VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(9737,10089280,'Decreases WIS of target by 60.0',100,2,2),
(9738,10089280,'Inflicts 310 - 342 disease damage on target',100,2,3),
(9739,10089280,'Inflicts 77 - 86 disease damage on target every 2 seconds',100,2,4),
(9740,10089280,'Decreases AGI, STR and INT of target by 60.0',100,2,5),
(9741,10089280,'Must not be engaged in pvp combat',100,2,6),
(9742,10089280,'Cannot be modified except by direct means',100,2,7),
(9743,10089280,'On a critical spell hit this spell may cast Infected Strike VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(9744,10089280,'Decreases WIS of target by 60.0',100,2,9),
(9745,10089280,'Inflicts 310 - 342 disease damage on target',100,2,10),
(9746,10089280,'Inflicts 77 - 86 disease damage on target every 2 seconds',100,2,11),
(9747,10089280,'Decreases AGI, STR and INT of target by 60.0',100,2,12),
(9748,10089280,'Must not be engaged in pvp combat',100,2,13),
(9749,10089280,'Cannot be modified except by direct means',100,2,14),
(9750,10089280,'Must not be engaged in pvp combat',100,1,15),
(9751,120800,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(9752,120800,'Throws target back',100,2,1),
(9753,120800,'Stuns target',100,2,2),
(9754,120800,'Blurs vision of target',100,2,3),
(9755,120800,'Does not affect Epic targets',100,2,4),
(9756,120800,'Inflicts 1271 - 2108 piercing damage on target',100,1,5),
(9757,10120800,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(9758,10120800,'Blurs vision of target',100,2,1),
(9759,10120800,'Throws target back',100,2,2),
(9760,10120800,'Stuns target',100,2,3),
(9761,10120800,'Does not affect Epic targets',100,2,4),
(9762,10120800,'Inflicts 1022 - 1526 piercing damage on target',100,1,5),
(9763,106297,'Decreases AGI, STR, INT and WIS of target encounter by 116.2',100,1,0),
(9764,106297,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 29.3',100,1,1),
(9765,106297,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 27.7',100,1,2),
(9766,10106297,'Decreases AGI, STR, INT and WIS of target encounter by 116.2',100,1,0),
(9767,10106297,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 29.3',100,1,1),
(9768,10106297,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 27.7',100,1,2),
(9769,106390,'Inflicts 2976 - 4288 melee damage on target',100,1,0),
(9770,106390,'Decreases Defense of target by 20.7',100,1,1),
(9771,106390,'Decreases Defense of caster by 21.8',100,1,2),
(9772,10106390,'Inflicts 1965 - 3000 melee damage on target',100,1,0),
(9773,10106390,'Decreases Defense of target by 20.7',100,1,1),
(9774,10106390,'Decreases Defense of caster by 21.8',100,1,2),
(9775,105188,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(9776,105188,'Inflicts 468 - 572 poison damage on target encounter',100,2,1),
(9777,10105188,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(9778,10105188,'Inflicts 369 - 451 poison damage on target encounter',100,2,1),
(9779,121621,'Inflicts 2530 - 5991 melee damage on target',100,1,0),
(9780,121621,'Dazes target',100,1,1),
(9781,121621,'If Target is not Epic',100,2,2),
(9782,121621,'Must be flanking or behind',100,1,3),
(9783,121621,'Resistibility increases against targets higher than level 75.',100,1,4),
(9784,10121621,'Inflicts 1730 - 4342 melee damage on target',100,1,0),
(9785,10121621,'Dazes target',100,1,1),
(9786,10121621,'If Target is not Epic',100,2,2),
(9787,10121621,'Must be flanking or behind',100,1,3),
(9788,10121621,'Resistibility increases against targets higher than level 75.',100,1,4),
(9789,45247,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(9790,45247,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(9791,45247,'Decreases AGI of target by 17.7',100,2,2),
(9792,45247,'Cannot be modified except by direct means',100,2,3),
(9793,45247,'Grants a total of 30 triggers of the spell.',100,2,4),
(9794,10045247,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(9795,10045247,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(9796,10045247,'Decreases AGI of target by 17.7',100,2,2),
(9797,10045247,'Cannot be modified except by direct means',100,2,3),
(9798,10045247,'Grants a total of 30 triggers of the spell.',100,2,4),
(9799,102354,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(9800,102354,'Increases Attack Speed of target by 12.8',100,2,1),
(9801,102354,'Increases Damage Per Second of target by 12.8',100,2,2),
(9802,102354,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(9803,102354,'Increases Attack Speed of target by 12.8',100,2,4),
(9804,102354,'Increases Damage Per Second of target by 12.8',100,2,5),
(9805,102354,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(9806,102354,'Increases Attack Speed of target by 12.8',100,2,7),
(9807,102354,'Increases Damage Per Second of target by 12.8',100,2,8),
(9808,10102354,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(9809,10102354,'Increases Attack Speed of target by 12.8',100,2,1),
(9810,10102354,'Increases Damage Per Second of target by 12.8',100,2,2),
(9811,10102354,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(9812,10102354,'Increases Attack Speed of target by 12.8',100,2,4),
(9813,10102354,'Increases Damage Per Second of target by 12.8',100,2,5),
(9814,10102354,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(9815,10102354,'Increases Attack Speed of target by 12.8',100,2,7),
(9816,10102354,'Increases Damage Per Second of target by 12.8',100,2,8),
(9817,107234,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(9818,107234,'Slows target by 32.5%',100,2,1),
(9819,107234,'5% chance to dispel when target receives hostile action',100,2,2),
(9820,107234,'5% chance to dispel when target takes damage',100,2,3),
(9821,107234,'Inflicts 153 - 187 disease damage on target',100,1,4),
(9822,107234,'Inflicts 51 - 62 disease damage on target every 4 seconds',100,1,5),
(9823,107234,'Slows target by 32.5%',100,1,6),
(9824,107234,'5% chance to dispel when target receives hostile action',100,1,7),
(9825,107234,'5% chance to dispel when target takes damage',100,1,8),
(9826,10107234,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(9827,10107234,'Slows target by 32.5%',100,2,1),
(9828,10107234,'5% chance to dispel when target receives hostile action',100,2,2),
(9829,10107234,'5% chance to dispel when target takes damage',100,2,3),
(9830,10107234,'Inflicts 153 - 187 disease damage on target',100,1,4),
(9831,10107234,'Inflicts 40 - 49 disease damage on target every 2.5 seconds',100,1,5),
(9832,10107234,'Slows target by 32.5%',100,1,6),
(9833,10107234,'5% chance to dispel when target receives hostile action',100,1,7),
(9834,10107234,'5% chance to dispel when target takes damage',100,1,8),
(9835,45225,'Applies Arcane Remedy when Activated.',100,0,0),
(9836,45225,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(9837,45225,'Only affects targets level 50 and above',100,1,2),
(9838,10045225,'Applies Arcane Remedy when Activated.',100,0,0),
(9839,10045225,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(9840,10045225,'Only affects targets level 50 and above',100,1,2),
(9841,48055,'Applies Sigismond''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(9842,48055,'Increases STR and STA of caster by 39.0',100,1,1),
(9843,10048055,'Applies Sigismond''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(9844,10048055,'Increases STR and STA of caster by 39.0',100,1,1),
(9845,105467,'Stuns target encounter',100,1,0),
(9846,105467,'If Target is not Epic',100,2,1),
(9847,105467,'Inflicts 956 - 1495 poison damage on target encounter',100,1,2),
(9848,105467,'Resistibility increases against targets higher than level 51.',100,1,3),
(9849,10105467,'Stuns target encounter',100,1,0),
(9850,10105467,'If Target is not Epic',100,2,1),
(9851,10105467,'Inflicts 627 - 1052 poison damage on target encounter',100,1,2),
(9852,10105467,'Resistibility increases against targets higher than level 51.',100,1,3),
(9853,48017,'Applies Summon Spirit of Giidib when Activated.',100,0,0),
(9854,48017,'Summons a pet Spirit of Giidib',100,1,1),
(9855,10048017,'Applies Summon Spirit of Giidib when Activated.',100,0,0),
(9856,10048017,'Summons a pet Spirit of Giidib',100,1,1),
(9857,46061,'Applies Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(9858,46061,'Increases Max Power of caster by 248.6',100,1,1),
(9859,46061,'Only affects targets level 50 and above',100,1,2),
(9860,10046061,'Applies Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(9861,10046061,'Increases Max Power of caster by 248.6',100,1,1),
(9862,10046061,'Only affects targets level 50 and above',100,1,2),
(9863,82437,'Applies Imbued Smite when Equipped.',100,0,0),
(9864,82437,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(9865,82437,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(9866,82437,'Cannot be modified except by direct means',100,2,3),
(9867,82437,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(9868,82437,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(9869,82437,'Cannot be modified except by direct means',100,2,6),
(9870,10082437,'Applies Imbued Smite when Equipped.',100,0,0),
(9871,10082437,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(9872,10082437,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(9873,10082437,'Cannot be modified except by direct means',100,2,3),
(9874,10082437,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(9875,10082437,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(9876,10082437,'Cannot be modified except by direct means',100,2,6),
(9877,81942,'When Equipped:',100,0,0),
(9878,81942,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9879,81942,'Inflicts 523 - 972 magic damage on target',100,2,2),
(9880,81942,'Cannot be modified except by direct means',100,2,3),
(9881,10081942,'When Equipped:',100,0,0),
(9882,10081942,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9883,10081942,'Inflicts 523 - 972 magic damage on target',100,2,2),
(9884,10081942,'Cannot be modified except by direct means',100,2,3),
(9885,118705,'Inflicts 148 - 231 slashing damage on target',100,1,0),
(9886,118705,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(9887,118705,'Inflicts 32 - 39 slashing damage on target every 5 seconds',100,1,2),
(9888,10118705,'Inflicts 131 - 204 slashing damage on target',100,1,0),
(9889,10118705,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(9890,10118705,'Inflicts 25 - 31 slashing damage on target every 5 seconds',100,1,2),
(9891,186902,'When Equipped:',100,0,0),
(9892,186902,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(9893,186902,'Increases Threat to target by 2,460 ',100,2,2),
(9894,186902,'Inflicts 993 mental damage on target',100,2,3),
(9895,186902,'Cannot be modified except by direct means',100,2,4),
(9896,186902,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(9897,186902,'Increases Threat to target by 2,460 ',100,2,6),
(9898,186902,'Inflicts 993 mental damage on target',100,2,7),
(9899,186902,'Cannot be modified except by direct means',100,2,8),
(9900,10186902,'When Equipped:',100,0,0),
(9901,10186902,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(9902,10186902,'Inflicts 993 mental damage on target',100,2,2),
(9903,10186902,'Cannot be modified except by direct means',100,2,3),
(9904,10186902,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(9905,10186902,'Inflicts 993 mental damage on target',100,2,5),
(9906,10186902,'Cannot be modified except by direct means',100,2,6),
(9907,118039,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(9908,118039,'Stuns target',100,2,1),
(9909,118039,'If Target is not Epic',100,3,2),
(9910,118039,'Inflicts 1748 - 2914 divine damage on target',100,2,3),
(9911,118039,'Grants a total of 3 triggers of the spell.',100,2,4),
(9912,10118039,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(9913,10118039,'Stuns target',100,2,1),
(9914,10118039,'If Target is not Epic',100,3,2),
(9915,10118039,'Inflicts 1378 - 2297 divine damage on target',100,2,3),
(9916,10118039,'Grants a total of 3 triggers of the spell.',100,2,4),
(9917,46877,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(9918,46877,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(9919,46877,'Decreases STR of target by 58.0',100,2,2),
(9920,46877,'Decreases Slashing, Ranged, Piercing and Crushing of target by 22.2',100,2,3),
(9921,46877,'Cannot be modified except by direct means',100,2,4),
(9922,46877,'Grants a total of 60 triggers of the spell.',100,2,5),
(9923,10046877,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(9924,10046877,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(9925,10046877,'Decreases STR of target by 58.0',100,2,2),
(9926,10046877,'Decreases Slashing, Ranged, Piercing and Crushing of target by 22.2',100,2,3),
(9927,10046877,'Cannot be modified except by direct means',100,2,4),
(9928,10046877,'Grants a total of 60 triggers of the spell.',100,2,5),
(9929,84586,'When Equipped:',100,0,0),
(9930,84586,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9931,84586,'Inflicts 1031 piercing damage on target',100,2,2),
(9932,84586,'Cannot be modified except by direct means',100,2,3),
(9933,10084586,'When Equipped:',100,0,0),
(9934,10084586,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(9935,10084586,'Inflicts 516 piercing damage on target',100,2,2),
(9936,10084586,'Cannot be modified except by direct means',100,2,3),
(9937,36245,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(9938,36245,'Increases Max Power of target by 10.5',100,0,1),
(9939,177719,'When Equipped:',100,0,0),
(9940,177719,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9941,177719,'Increases INT of caster by 3.6',100,2,2),
(9942,177719,'Increases Subjugation, Focus and Disruption of caster by 2.2',100,2,3),
(9943,177719,'Cannot be modified except by direct means',100,2,4),
(9944,10177719,'When Equipped:',100,0,0),
(9945,10177719,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(9946,10177719,'Increases INT of caster by 3.6',100,2,2),
(9947,10177719,'Increases Subjugation, Focus and Disruption of caster by 2.2',100,2,3),
(9948,10177719,'Cannot be modified except by direct means',100,2,4),
(9949,80103,'When Equipped:',100,0,0),
(9950,80103,'On a melee hit this spell may cast Shred on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9951,80103,'Inflicts 811 mental damage on target',100,2,2),
(9952,80103,'Cannot be modified except by direct means',100,2,3),
(9953,10080103,'When Equipped:',100,0,0),
(9954,10080103,'On a melee hit this spell may cast Shred on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9955,10080103,'Inflicts 811 mental damage on target',100,2,2),
(9956,10080103,'Cannot be modified except by direct means',100,2,3),
(9957,109281,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(9958,109281,'Increases Mitigation of group members (AE) vs elemental damage by 235',100,1,1),
(9959,10109281,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(9960,10109281,'Increases Mitigation of group members (AE) vs elemental damage by 235',100,1,1),
(9961,122413,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(9962,122413,'Inflicts 98 - 120 piercing damage on target encounter',100,2,1),
(9963,10122413,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(9964,10122413,'Inflicts 78 - 95 piercing damage on target encounter',100,2,1),
(9965,46261,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(9966,46261,'Increases STR of caster by 78.4',100,1,1),
(9967,10046261,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(9968,10046261,'Increases STR of caster by 78.4',100,1,1),
(9969,109095,'Inflicts 2525 - 3542 melee damage on target',100,1,0),
(9970,109095,'Inflicts 1543 - 2559 melee damage on target',100,1,1),
(9971,109095,'Inflicts 1543 - 2559 melee damage on target',100,1,2),
(9972,109095,'Decreases Mitigation of target vs physical damage by 1134',100,1,3),
(9973,10109095,'Inflicts 1611 - 2411 melee damage on target',100,1,0),
(9974,10109095,'Inflicts 1216 - 2017 melee damage on target',100,1,1),
(9975,10109095,'Inflicts 1216 - 2017 melee damage on target',100,1,2),
(9976,10109095,'Decreases Mitigation of target vs physical damage by 1134',100,1,3),
(9977,87315,'When Equipped:',100,0,0),
(9978,87315,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9979,87315,'Inflicts 142 - 213 magic damage on target',100,2,2),
(9980,87315,'Cannot be modified except by direct means',100,2,3),
(9981,10087315,'When Equipped:',100,0,0),
(9982,10087315,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(9983,10087315,'Inflicts 142 - 213 magic damage on target',100,2,2),
(9984,10087315,'Cannot be modified except by direct means',100,2,3),
(9985,135047,'When Equipped:',100,0,0),
(9986,135047,'Increases cold damage done by spells by up to 30.',100,1,1),
(9987,10135047,'When Equipped:',100,0,0),
(9988,10135047,'Increases cold damage done by spells by up to 30.',100,1,1),
(9989,121859,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(9990,121859,'Increases Mitigation of group members (AE) vs arcane damage by 276',100,1,1),
(9991,10121859,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(9992,10121859,'Increases Mitigation of group members (AE) vs arcane damage by 276',100,1,1),
(9993,111900,'Inflicts 46 - 77 piercing damage on target instantly and every 4 seconds',100,1,0),
(9994,111900,'Inflicts 335 - 556 piercing damage on target',100,1,1),
(9995,111900,'If facing target',100,1,2),
(9996,10111900,'Inflicts 36 - 61 piercing damage on target instantly and every 4 seconds',100,1,0),
(9997,10111900,'Inflicts 299 - 496 piercing damage on target',100,1,1),
(9998,10111900,'If facing target',100,1,2),
(9999,109325,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(10000,109325,'Increases STR of caster by 43.7',100,1,1),
(10001,109325,'Decreases Defense of caster by 9.0',100,1,2),
(10002,109325,'Increases Slashing, Piercing and Crushing of caster by 15.4',100,1,3),
(10003,10109325,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(10004,10109325,'Increases STR of caster by 43.7',100,1,1),
(10005,10109325,'Decreases Defense of caster by 9.0',100,1,2),
(10006,10109325,'Increases Slashing, Piercing and Crushing of caster by 15.4',100,1,3),
(10007,148400,'When Equipped:',100,0,0),
(10008,148400,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(10009,148400,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,2),
(10010,148400,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,3),
(10011,148400,'This ward regenerates slowly over time.',100,2,4),
(10012,148400,'Wards caster against 1800 points of all damage',100,2,5),
(10013,148400,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(10014,148400,'Must not be engaged in pvp combat',100,2,7),
(10015,148400,'Cannot be modified except by direct means',100,2,8),
(10016,148400,'Must not be engaged in pvp combat',100,1,9),
(10017,10148400,'When Equipped:',100,0,0),
(10018,10148400,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(10019,10148400,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,2),
(10020,10148400,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,3),
(10021,10148400,'This ward regenerates slowly over time.',100,2,4),
(10022,10148400,'Wards caster against 1800 points of all damage',100,2,5),
(10023,10148400,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(10024,10148400,'Must not be engaged in pvp combat',100,2,7),
(10025,10148400,'Cannot be modified except by direct means',100,2,8),
(10026,10148400,'Must not be engaged in pvp combat',100,1,9),
(10027,102351,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(10028,102351,'Increases Attack Speed of target by 12.6',100,2,1),
(10029,102351,'Increases Damage Per Second of target by 12.6',100,2,2),
(10030,102351,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(10031,102351,'Increases Attack Speed of target by 12.6',100,2,4),
(10032,102351,'Increases Damage Per Second of target by 12.6',100,2,5),
(10033,102351,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(10034,102351,'Increases Attack Speed of target by 12.6',100,2,7),
(10035,102351,'Increases Damage Per Second of target by 12.6',100,2,8),
(10036,10102351,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(10037,10102351,'Increases Attack Speed of target by 12.6',100,2,1),
(10038,10102351,'Increases Damage Per Second of target by 12.6',100,2,2),
(10039,10102351,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(10040,10102351,'Increases Attack Speed of target by 12.6',100,2,4),
(10041,10102351,'Increases Damage Per Second of target by 12.6',100,2,5),
(10042,10102351,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(10043,10102351,'Increases Attack Speed of target by 12.6',100,2,7),
(10044,10102351,'Increases Damage Per Second of target by 12.6',100,2,8),
(10045,37201,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(10046,48655,'Applies Aura of the Starwatcher  when Activated.  Lasts for 30 minutes.',100,0,0),
(10047,10048655,'Applies Aura of the Starwatcher  when Activated.  Lasts for 30 minutes.',100,0,0),
(10048,190721,'When Equipped:',100,0,0),
(10049,190721,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(10050,190721,'Inflicts 815 magic damage on target',100,2,2),
(10051,190721,'Inflicts 82 magic damage on target every 4 seconds',100,2,3),
(10052,190721,'Must not be engaged in pvp combat',100,2,4),
(10053,190721,'Cannot be modified except by direct means',100,2,5),
(10054,10190721,'When Equipped:',100,0,0),
(10055,10190721,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(10056,10190721,'Inflicts 815 magic damage on target',100,2,2),
(10057,10190721,'Inflicts 82 magic damage on target every 4 seconds',100,2,3),
(10058,10190721,'Must not be engaged in pvp combat',100,2,4),
(10059,10190721,'Cannot be modified except by direct means',100,2,5),
(10060,163288,'Applies Burrowing Swarm IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(10061,163288,'Inflicts 959 - 1172 poison damage on target',100,1,1),
(10062,163288,'Inflicts 1199 - 1465 poison damage on target every second',100,1,2),
(10063,163288,'Inflicts an additional 479 - 586 poison damage on target every tick',100,1,3),
(10064,163288,'Applies Boneshatter IX on termination.',100,1,4),
(10065,163288,'Inflicts 37962 - 41958 crushing damage on targets in Area of Effect',100,2,5),
(10066,163288,'Must not be engaged in pvp combat',100,2,6),
(10067,163288,'Cannot be modified except by direct means',100,2,7),
(10068,163288,'Must not be engaged in pvp combat',100,1,8),
(10069,163288,'Cannot be modified except by direct means',100,1,9),
(10070,163288,'The reuse time of Burrowing Swarm IX is 10 minutes',100,1,10),
(10071,10163288,'Applies Burrowing Swarm IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(10072,10163288,'Inflicts 959 - 1172 poison damage on target',100,1,1),
(10073,10163288,'Inflicts 1199 - 1465 poison damage on target every second',100,1,2),
(10074,10163288,'Inflicts an additional 479 - 586 poison damage on target every tick',100,1,3),
(10075,10163288,'Applies Boneshatter IX on termination.',100,1,4),
(10076,10163288,'Inflicts 37962 - 41958 crushing damage on targets in Area of Effect',100,2,5),
(10077,10163288,'Must not be engaged in pvp combat',100,2,6),
(10078,10163288,'Cannot be modified except by direct means',100,2,7),
(10079,10163288,'Must not be engaged in pvp combat',100,1,8),
(10080,10163288,'Cannot be modified except by direct means',100,1,9),
(10081,10163288,'The reuse time of Burrowing Swarm IX is 10 minutes',100,1,10),
(10082,106376,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(10083,106376,'Slows target by 75.5%',100,2,1),
(10084,106376,'5% chance to dispel when target receives hostile action',100,2,2),
(10085,106376,'5% chance to dispel when target takes damage',100,2,3),
(10086,106376,'Decreases Mitigation of target vs arcane damage by 3302',100,1,4),
(10087,10106376,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(10088,10106376,'Slows target by 75.5%',100,2,1),
(10089,10106376,'5% chance to dispel when target receives hostile action',100,2,2),
(10090,10106376,'5% chance to dispel when target takes damage',100,2,3),
(10091,10106376,'Decreases Mitigation of target vs arcane damage by 3302',100,1,4),
(10092,82400,'When Equipped:',100,0,0),
(10093,82400,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10094,82400,'Inflicts 193 - 359 magic damage on target',100,2,2),
(10095,82400,'Cannot be modified except by direct means',100,2,3),
(10096,10082400,'When Equipped:',100,0,0),
(10097,10082400,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10098,10082400,'Inflicts 193 - 359 magic damage on target',100,2,2),
(10099,10082400,'Cannot be modified except by direct means',100,2,3),
(10100,105900,'Inflicts 2420 - 3369 ranged damage on target',100,1,0),
(10101,105900,'Inflicts 1438 - 2386 ranged damage on target',100,1,1),
(10102,105900,'If weapon equipped in Ranged',100,1,2),
(10103,10105900,'Inflicts 1244 - 1805 ranged damage on target',100,1,0),
(10104,10105900,'Inflicts 850 - 1410 ranged damage on target',100,1,1),
(10105,10105900,'If weapon equipped in Ranged',100,1,2),
(10106,46532,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(10107,46532,'Wards caster against 1098 points of elemental damage',100,1,1),
(10108,10046532,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(10109,10046532,'Wards caster against 1098 points of elemental damage',100,1,1),
(10110,35580,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(10111,48401,'Applies Drop Body when Activated.',100,0,0),
(10112,48401,'This effect cannot be cast during combat',100,1,1),
(10113,10048401,'Applies Drop Body when Activated.',100,0,0),
(10114,10048401,'This effect cannot be cast during combat',100,1,1),
(10115,112794,'Inflicts 2667 - 3777 slashing damage on target',100,1,0),
(10116,112794,'Stifles target',100,1,1),
(10117,112794,'If Target is not Epic',100,2,2),
(10118,112794,'You must be in stealth.',100,1,3),
(10119,112794,'Resistibility increases against targets higher than level 63.',100,1,4),
(10120,10112794,'Inflicts 1722 - 2597 slashing damage on target',100,1,0),
(10121,10112794,'Stifles target',100,1,1),
(10122,10112794,'If Target is not Epic',100,2,2),
(10123,10112794,'You must be in stealth.',100,1,3),
(10124,10112794,'Resistibility increases against targets higher than level 63.',100,1,4),
(10125,105969,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(10126,105969,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(10127,105969,'Inflicts 600 - 996 piercing damage on target',100,3,2),
(10128,105969,'Grants a total of 5 triggers of the spell.',100,3,3),
(10129,105969,'Grants a total of 1 trigger of the spell.',100,2,4),
(10130,10105969,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(10131,10105969,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(10132,10105969,'Inflicts 473 - 785 piercing damage on target',100,3,2),
(10133,10105969,'Grants a total of 5 triggers of the spell.',100,3,3),
(10134,10105969,'Grants a total of 1 trigger of the spell.',100,2,4),
(10135,123028,'Summons 12 limited pets to aid the caster',100,1,0),
(10136,10123028,'Summons 12 limited pets to aid the caster',100,1,0),
(10137,80749,'When Equipped:',100,0,0),
(10138,80749,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10139,80749,'Inflicts 96 - 178 magic damage on target',100,2,2),
(10140,80749,'Cannot be modified except by direct means',100,2,3),
(10141,10080749,'When Equipped:',100,0,0),
(10142,10080749,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10143,10080749,'Inflicts 96 - 178 magic damage on target',100,2,2),
(10144,10080749,'Cannot be modified except by direct means',100,2,3),
(10145,37242,'Increases STA and STR of target by 11.0',100,0,0),
(10146,37242,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(10147,111686,'Inflicts 1403 - 1715 cold damage on target',100,1,0),
(10148,111686,'Inflicts 624 - 762 cold damage on target',100,1,1),
(10149,111686,'If target is elemental',100,2,2),
(10150,10111686,'Inflicts 816 - 910 cold damage on target',100,1,0),
(10151,120216,'Roots target encounter',100,1,0),
(10152,120216,'15% chance to dispel when target takes damage',100,1,1),
(10153,120216,'Does not affect Epic targets',100,1,2),
(10154,120216,'Resistibility increases against targets higher than level 69.',100,1,3),
(10155,10120216,'Roots target encounter',100,1,0),
(10156,10120216,'15% chance to dispel when target takes damage',100,1,1),
(10157,10120216,'Does not affect Epic targets',100,1,2),
(10158,10120216,'Resistibility increases against targets higher than level 69.',100,1,3),
(10159,121545,'Inflicts 680 - 1128 melee damage on targets in area',100,1,0),
(10160,121545,'Stuns target encounter',100,1,1),
(10161,121545,'If Target is not Epic',100,2,2),
(10162,121545,'Resistibility increases against targets higher than level 61.',100,1,3),
(10163,10121545,'Inflicts 536 - 889 melee damage on targets in area',100,1,0),
(10164,10121545,'Stuns target encounter',100,1,1),
(10165,10121545,'If Target is not Epic',100,2,2),
(10166,10121545,'Resistibility increases against targets higher than level 61.',100,1,3),
(10167,122757,'Heals group members (AE) for 1661 - 2030',100,1,0),
(10168,122757,'Increases Max Health of group members (AE) by 99.7',100,1,1),
(10169,10122757,'Heals group members (AE) for 1398 - 1690',100,1,0),
(10170,10122757,'Increases Max Health of group members (AE) by 99.7',100,1,1),
(10171,119803,'Adds 0.9% to base avoidance.',100,1,0),
(10172,119803,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(10173,10119803,'Adds 0.9% to base avoidance.',100,1,0),
(10174,10119803,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(10175,46614,'Applies Hair of the Dog when Activated.  Lasts for 5 minutes.',100,0,0),
(10176,46614,'Had a bit too much last night?  Feeling like death warmed over?  Sometimes the best cure is a hair of the dog that bit ya!',100,1,1),
(10177,10046614,'Applies Hair of the Dog when Activated.  Lasts for 5 minutes.',100,0,0),
(10178,10046614,'Had a bit too much last night?  Feeling like death warmed over?  Sometimes the best cure is a hair of the dog that bit ya!',100,1,1),
(10179,106933,'Inflicts 819 - 1520 poison damage on target',100,1,0),
(10180,10106933,'Inflicts 703 - 1193 poison damage on target',100,1,0),
(10181,107235,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(10182,107235,'Slows target by 34.2%',100,2,1),
(10183,107235,'5% chance to dispel when target receives hostile action',100,2,2),
(10184,107235,'5% chance to dispel when target takes damage',100,2,3),
(10185,107235,'Inflicts 161 - 197 disease damage on target',100,1,4),
(10186,107235,'Inflicts 54 - 66 disease damage on target every 4 seconds',100,1,5),
(10187,107235,'Slows target by 34.2%',100,1,6),
(10188,107235,'5% chance to dispel when target receives hostile action',100,1,7),
(10189,107235,'5% chance to dispel when target takes damage',100,1,8),
(10190,10107235,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(10191,10107235,'Slows target by 34.2%',100,2,1),
(10192,10107235,'5% chance to dispel when target receives hostile action',100,2,2),
(10193,10107235,'5% chance to dispel when target takes damage',100,2,3),
(10194,10107235,'Inflicts 161 - 197 disease damage on target',100,1,4),
(10195,10107235,'Inflicts 42 - 52 disease damage on target every 2.5 seconds',100,1,5),
(10196,10107235,'Slows target by 34.2%',100,1,6),
(10197,10107235,'5% chance to dispel when target receives hostile action',100,1,7),
(10198,10107235,'5% chance to dispel when target takes damage',100,1,8),
(10199,52713,'Applies Sanguine Imbued when Equipped.',100,0,0),
(10200,52713,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(10201,52713,'Inflicts 76 heat damage on target',100,2,2),
(10202,52713,'Cannot be modified except by direct means',100,2,3),
(10203,10052713,'Applies Sanguine Imbued when Equipped.',100,0,0),
(10204,10052713,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(10205,10052713,'Inflicts 76 heat damage on target',100,2,2),
(10206,10052713,'Cannot be modified except by direct means',100,2,3),
(10207,71444,'When Equipped:',100,0,0),
(10208,71444,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10209,71444,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(10210,71444,'Cannot be modified except by direct means',100,2,3),
(10211,10071444,'When Equipped:',100,0,0),
(10212,10071444,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10213,10071444,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(10214,10071444,'Cannot be modified except by direct means',100,2,3),
(10215,140078,'When Equipped:',100,0,0),
(10216,140078,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(10217,10140078,'When Equipped:',100,0,0),
(10218,10140078,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(10219,109315,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(10220,109315,'Increases STR of caster by 14.5',100,1,1),
(10221,109315,'Decreases Defense of caster by 1.8',100,1,2),
(10222,109315,'Increases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(10223,10109315,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(10224,10109315,'Increases STR of caster by 14.5',100,1,1),
(10225,10109315,'Decreases Defense of caster by 1.8',100,1,2),
(10226,10109315,'Increases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(10227,118900,'Inflicts 2265 - 3109 melee damage on target',100,1,0),
(10228,118900,'Inflicts 1282 - 2127 melee damage on target',100,1,1),
(10229,118900,'Inflicts 1282 - 2127 melee damage on target',100,1,2),
(10230,118900,'Inflicts 1282 - 2127 melee damage on target',100,1,3),
(10231,118900,'Inflicts 1282 - 2127 melee damage on target',100,1,4),
(10232,10118900,'Inflicts 1405 - 2071 melee damage on target',100,1,0),
(10233,10118900,'Inflicts 1011 - 1676 melee damage on target',100,1,1),
(10234,10118900,'Inflicts 1011 - 1676 melee damage on target',100,1,2),
(10235,10118900,'Inflicts 1011 - 1676 melee damage on target',100,1,3),
(10236,10118900,'Inflicts 1011 - 1676 melee damage on target',100,1,4),
(10237,54059,'When Equipped:',100,0,0),
(10238,54059,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(10239,54059,'Increases Potency of group members (AE) by 7.0%',100,2,2),
(10240,54059,'Cannot be modified except by direct means',100,2,3),
(10241,54059,'When Equipped:',100,0,4),
(10242,54059,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(10243,54059,'Increases Ability Modifier of group members by 100.0',100,2,6),
(10244,54059,'Cannot be modified except by direct means',100,2,7),
(10245,54059,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(10246,54059,'Increases Ability Modifier of group members by 100.0',100,2,9),
(10247,54059,'Cannot be modified except by direct means',100,2,10),
(10248,54059,'Cannot be modified except by direct means',100,1,11),
(10249,10054059,'When Equipped:',100,0,0),
(10250,10054059,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(10251,10054059,'Increases Potency of group members (AE) by 7.0%',100,2,2),
(10252,10054059,'Cannot be modified except by direct means',100,2,3),
(10253,10054059,'When Equipped:',100,0,4),
(10254,10054059,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(10255,10054059,'Increases Ability Modifier of group members by 100.0',100,2,6),
(10256,10054059,'Cannot be modified except by direct means',100,2,7),
(10257,10054059,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(10258,10054059,'Increases Ability Modifier of group members by 100.0',100,2,9),
(10259,10054059,'Cannot be modified except by direct means',100,2,10),
(10260,10054059,'Cannot be modified except by direct means',100,1,11),
(10261,135399,'When Equipped:',100,0,0),
(10262,135399,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(10263,135399,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(10264,135399,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(10265,135399,'Must not be engaged in pvp combat',100,2,4),
(10266,135399,'Cannot be modified except by direct means',100,2,5),
(10267,135399,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(10268,135399,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(10269,135399,'Must not be engaged in pvp combat',100,2,8),
(10270,135399,'Cannot be modified except by direct means',100,2,9),
(10271,135399,'Cannot be modified except by direct means',100,1,10),
(10272,10135399,'When Equipped:',100,0,0),
(10273,10135399,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(10274,10135399,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(10275,10135399,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(10276,10135399,'Must not be engaged in pvp combat',100,2,4),
(10277,10135399,'Cannot be modified except by direct means',100,2,5),
(10278,10135399,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(10279,10135399,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(10280,10135399,'Must not be engaged in pvp combat',100,2,8),
(10281,10135399,'Cannot be modified except by direct means',100,2,9),
(10282,10135399,'Cannot be modified except by direct means',100,1,10),
(10283,119508,'Increases threat priority of target by 2 positions',100,1,0),
(10284,119508,'Stuns caster',100,1,1),
(10285,119508,'Decreases Defense and Parry of caster by 90.0',100,1,2),
(10286,119508,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(10287,119508,'Inflicts 1400 - 2333 piercing damage on target',100,2,4),
(10288,119508,'Grants a total of 1 trigger of the spell.',100,2,5),
(10289,10119508,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(10290,10119508,'Prevents target from changing targets',100,2,1),
(10291,10119508,'Forces target to change their selected target to caster.',100,2,2),
(10292,10119508,'Stuns caster',100,1,3),
(10293,10119508,'Decreases Defense and Parry of caster by 90.0',100,1,4),
(10294,10119508,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(10295,10119508,'Inflicts 787 - 1312 piercing damage on target',100,2,6),
(10296,10119508,'Grants a total of 1 trigger of the spell.',100,2,7),
(10297,121502,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(10298,121502,'Increases Attack Speed of caster by 21.0',100,130,1),
(10299,121502,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.7',100,130,2),
(10300,121502,'Inflicts 3837 - 5716 melee damage on target',100,1,3),
(10301,121502,'Decreases Defense of target by 10.9',100,1,4),
(10302,10121502,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(10303,10121502,'Increases Attack Speed of caster by 21.0',100,130,1),
(10304,10121502,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.7',100,130,2),
(10305,10121502,'Inflicts 2675 - 4176 melee damage on target',100,1,3),
(10306,10121502,'Decreases Defense of target by 10.9',100,1,4),
(10307,82525,'When Equipped:',100,0,0),
(10308,82525,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10309,82525,'Inflicts 149 - 276 magic damage on target',100,2,2),
(10310,82525,'Cannot be modified except by direct means',100,2,3),
(10311,10082525,'When Equipped:',100,0,0),
(10312,10082525,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10313,10082525,'Inflicts 149 - 276 magic damage on target',100,2,2),
(10314,10082525,'Cannot be modified except by direct means',100,2,3),
(10315,121443,'Increases AGI of caster by 31.4',100,1,0),
(10316,121443,'Adds 15.6% to base avoidance.',100,1,1),
(10317,121443,'Increases Mitigation of caster vs physical damage by 308',100,1,2),
(10318,121443,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,3),
(10319,10121443,'Increases AGI of caster by 31.4',100,1,0),
(10320,10121443,'Adds 15.6% to base avoidance.',100,1,1),
(10321,10121443,'Increases Mitigation of caster vs physical damage by 308',100,1,2),
(10322,10121443,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,3),
(10323,149148,'When Equipped:',100,0,0),
(10324,149148,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(10325,149148,'When Equipped:',100,0,2),
(10326,149148,'On a damage spell hit this spell may cast Noxious Mist on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(10327,149148,'Inflicts 350 poison damage on target encounter',100,2,4),
(10328,149148,'Cannot be modified except by direct means',100,2,5),
(10329,149148,'Cannot be modified except by direct means',100,1,6),
(10330,10149148,'When Equipped:',100,0,0),
(10331,10149148,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(10332,10149148,'When Equipped:',100,0,2),
(10333,10149148,'On a damage spell hit this spell may cast Noxious Mist on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(10334,10149148,'Inflicts 350 poison damage on target encounter',100,2,4),
(10335,10149148,'Cannot be modified except by direct means',100,2,5),
(10336,10149148,'Cannot be modified except by direct means',100,1,6),
(10337,35665,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(10338,45978,'Applies Djinn Master''s Concubine when Activated.',100,0,0),
(10339,45978,'Shapechanges the user into a genie.',100,1,1),
(10340,10045978,'Applies Djinn Master''s Concubine when Activated.',100,0,0),
(10341,10045978,'Shapechanges the user into a genie.',100,1,1),
(10342,107888,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(10343,107888,'Slows target by 36.5%',100,2,1),
(10344,107888,'5% chance to dispel when target receives hostile action',100,2,2),
(10345,107888,'5% chance to dispel when target takes damage',100,2,3),
(10346,107888,'Slows target encounter by 43.8%',100,1,4),
(10347,107888,'5% chance to dispel when target takes damage',100,1,5),
(10348,10107888,'Slows target encounter by 43.8%',100,1,0),
(10349,10107888,'5% chance to dispel when target takes damage',100,1,1),
(10350,122436,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(10351,122436,'Stuns target',100,2,1),
(10352,122436,'Throws target back',100,2,2),
(10353,122436,'Blurs vision of target',100,2,3),
(10354,122436,'Does not affect Epic targets',100,2,4),
(10355,122436,'Inflicts 335 - 556 crushing damage on target',100,1,5),
(10356,122436,'If facing target',100,1,6),
(10357,10122436,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(10358,10122436,'Stuns target',100,2,1),
(10359,10122436,'Throws target back',100,2,2),
(10360,10122436,'Blurs vision of target',100,2,3),
(10361,10122436,'Does not affect Epic targets',100,2,4),
(10362,10122436,'Inflicts 270 - 447 crushing damage on target',100,1,5),
(10363,10122436,'If facing target',100,1,6),
(10364,173639,'When Equipped:',100,0,0),
(10365,173639,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(10366,10173639,'When Equipped:',100,0,0),
(10367,10173639,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(10368,100980,'Increases INT of target by 18.7',100,1,0),
(10369,100980,'Increases Attack Speed of target by 20.2',100,1,1),
(10370,100980,'Decreases Defense and Parry of target by 4.9',100,1,2),
(10371,100980,'Increases Slashing, Piercing and Crushing of target by 3.6',100,1,3),
(10372,10100980,'Increases INT of target by 18.7',100,1,0),
(10373,10100980,'Increases Attack Speed of target by 20.2',100,1,1),
(10374,10100980,'Decreases Defense and Parry of target by 4.9',100,1,2),
(10375,10100980,'Increases Slashing, Piercing and Crushing of target by 3.6',100,1,3),
(10376,176429,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(10377,176429,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(10378,176429,'Decreases Attack Speed of target by 14.6',100,2,2),
(10379,176429,'Cannot be modified except by direct means',100,2,3),
(10380,176429,'Slows target by 35.0%',100,1,4),
(10381,176429,'5% chance to dispel when target takes damage',100,1,5),
(10382,176429,'5% chance to dispel when target receives hostile action',100,1,6),
(10383,176429,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(10384,10176429,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(10385,10176429,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(10386,10176429,'Decreases Attack Speed of target by 14.6',100,2,2),
(10387,10176429,'Cannot be modified except by direct means',100,2,3),
(10388,10176429,'Slows target by 35.0%',100,1,4),
(10389,10176429,'5% chance to dispel when target takes damage',100,1,5),
(10390,10176429,'5% chance to dispel when target receives hostile action',100,1,6),
(10391,10176429,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(10392,36740,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(10393,74886,'When Equipped:',100,0,0),
(10394,74886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10395,74886,'Inflicts 217 - 326 magic damage on target',100,2,2),
(10396,74886,'Cannot be modified except by direct means',100,2,3),
(10397,10074886,'When Equipped:',100,0,0),
(10398,10074886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10399,10074886,'Inflicts 217 - 326 magic damage on target',100,2,2),
(10400,10074886,'Cannot be modified except by direct means',100,2,3),
(10401,117125,'Inflicts 1137 - 1380 heat damage on target',100,1,0),
(10402,117125,'Inflicts 325 - 397 heat damage on target every 4 seconds',100,1,1),
(10403,117125,'Decreases Mitigation of target vs arcane damage by 368',100,1,2),
(10404,10117125,'Inflicts 651 - 708 heat damage on target',100,1,0),
(10405,10117125,'Inflicts 256 - 313 heat damage on target every 4 seconds',100,1,1),
(10406,10117125,'Decreases Mitigation of target vs arcane damage by 368',100,1,2),
(10407,83898,'When Equipped:',100,0,0),
(10408,83898,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10409,83898,'Inflicts 75 - 92 divine damage on target',100,2,2),
(10410,83898,'Cannot be modified except by direct means',100,2,3),
(10411,10083898,'When Equipped:',100,0,0),
(10412,10083898,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10413,10083898,'Inflicts 75 - 92 divine damage on target',100,2,2),
(10414,10083898,'Cannot be modified except by direct means',100,2,3),
(10415,110000,'Inflicts 368 - 450 divine damage on target',100,1,0),
(10416,110000,'Dazes target',100,1,1),
(10417,110000,'If Target is not Epic',100,2,2),
(10418,110000,'Dispelled when target receives hostile action',100,1,3),
(10419,110000,'Dispelled when target takes damage',100,1,4),
(10420,110000,'Resistibility increases against targets higher than level 46.',100,1,5),
(10421,10110000,'Inflicts 316 - 386 divine damage on target',100,1,0),
(10422,10110000,'Dazes target',100,1,1),
(10423,10110000,'If Target is not Epic',100,2,2),
(10424,10110000,'Dispelled when target receives hostile action',100,1,3),
(10425,10110000,'Dispelled when target takes damage',100,1,4),
(10426,10110000,'Resistibility increases against targets higher than level 46.',100,1,5),
(10427,46163,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(10428,46163,'Roots target',100,1,1),
(10429,46163,'80% chance to dispel when target takes damage',100,1,2),
(10430,46163,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(10431,46163,'Resistibility increases against targets higher than level 99.',100,1,4),
(10432,10046163,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(10433,10046163,'Roots target',100,1,1),
(10434,10046163,'80% chance to dispel when target takes damage',100,1,2),
(10435,10046163,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(10436,10046163,'Resistibility increases against targets higher than level 99.',100,1,4),
(10437,102185,'Increases Mitigation of group members (AE) vs physical damage by 304',100,1,0),
(10438,10102185,'Increases Mitigation of group members (AE) vs physical damage by 304',100,1,0),
(10439,115862,'Inflicts 2258 - 3553 mental damage on target encounter',100,1,0),
(10440,115862,'Interrupts target encounter',100,1,1),
(10441,10115862,'Inflicts 1657 - 2674 mental damage on target encounter',100,1,0),
(10442,10115862,'Interrupts target encounter',100,1,1),
(10443,111657,'Inflicts 2091 - 2518 cold damage on target encounter',100,1,0),
(10444,111657,'Slows target encounter by 40.0%',100,1,1),
(10445,111657,'5% chance to dispel when target takes damage',100,1,2),
(10446,111657,'5% chance to dispel when target receives hostile action',100,1,3),
(10447,10111657,'Inflicts 2015 - 2434 cold damage on target encounter',100,1,0),
(10448,10111657,'Slows target encounter by 40.0%',100,1,1),
(10449,10111657,'5% chance to dispel when target takes damage',100,1,2),
(10450,10111657,'5% chance to dispel when target receives hostile action',100,1,3),
(10451,115528,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(10452,115528,'Increases Mitigation of group members (AE) vs noxious damage by 1392',100,1,1),
(10453,10115528,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(10454,10115528,'Increases Mitigation of group members (AE) vs noxious damage by 1392',100,1,1),
(10455,37131,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(10456,37131,'Increases Max Health of target by 30.1',100,0,1),
(10457,116008,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(10458,116008,'Decreases threat priority of target by 1 position',100,2,1),
(10459,116008,'Decreases Hate Gain of target by 16.6%',100,1,2),
(10460,10116008,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(10461,10116008,'Forces target to clear their selected target.',100,2,1),
(10462,102383,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(10463,102383,'Increases Damage Per Second of target by 26.0',100,2,1),
(10464,102383,'Increases Attack Speed of target by 26.0',100,2,2),
(10465,102383,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(10466,102383,'Increases Damage Per Second of target by 26.0',100,2,4),
(10467,102383,'Increases Attack Speed of target by 26.0',100,2,5),
(10468,102383,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(10469,102383,'Increases Damage Per Second of target by 26.0',100,2,7),
(10470,102383,'Increases Attack Speed of target by 26.0',100,2,8),
(10471,10102383,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(10472,10102383,'Increases Damage Per Second of target by 26.0',100,2,1),
(10473,10102383,'Increases Attack Speed of target by 26.0',100,2,2),
(10474,10102383,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(10475,10102383,'Increases Damage Per Second of target by 26.0',100,2,4),
(10476,10102383,'Increases Attack Speed of target by 26.0',100,2,5),
(10477,10102383,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(10478,10102383,'Increases Damage Per Second of target by 26.0',100,2,7),
(10479,10102383,'Increases Attack Speed of target by 26.0',100,2,8),
(10480,45017,'Applies Create Wand of Esteem when Activated.',100,0,0),
(10481,45017,'Summon 1 Wand of Esteem',100,1,1),
(10482,10045017,'Applies Create Wand of Esteem when Activated.',100,0,0),
(10483,10045017,'Summon 1 Wand of Esteem',100,1,1),
(10484,168900,'When Equipped:',100,0,0),
(10485,168900,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(10486,10168900,'When Equipped:',100,0,0),
(10487,10168900,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(10488,106268,'Wards target against 3221 points of all damage',100,1,0),
(10489,10106268,'Wards target against 2549 points of all damage',100,1,0),
(10490,35313,'Increases AGI of target by 4.3',100,0,0),
(10491,35313,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(10492,48589,'Applies Assess when Activated.',100,0,0),
(10493,10048589,'Applies Assess when Activated.',100,0,0),
(10494,102527,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(10495,102527,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(10496,102527,'Increases Aggression of caster by 8.6',100,1,2),
(10497,102527,'Increases Defense and Parry of caster by 17.1',100,1,3),
(10498,102527,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(10499,10102527,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(10500,10102527,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(10501,10102527,'Increases Aggression of caster by 8.6',100,1,2),
(10502,10102527,'Increases Defense and Parry of caster by 17.1',100,1,3),
(10503,10102527,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(10504,141716,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(10505,141716,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(10506,141716,'Inflicts 25 heat damage on target',100,2,2),
(10507,141716,'Cannot be modified except by direct means',100,2,3),
(10508,10141716,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(10509,10141716,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(10510,10141716,'Inflicts 25 heat damage on target',100,2,2),
(10511,10141716,'Cannot be modified except by direct means',100,2,3),
(10512,81686,'When Equipped:',100,0,0),
(10513,81686,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10514,81686,'Inflicts 149 - 276 magic damage on target',100,2,2),
(10515,81686,'Cannot be modified except by direct means',100,2,3),
(10516,10081686,'When Equipped:',100,0,0),
(10517,10081686,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10518,10081686,'Inflicts 149 - 276 magic damage on target',100,2,2),
(10519,10081686,'Cannot be modified except by direct means',100,2,3),
(10520,102477,'Inflicts 812 - 1346 crushing damage on target',100,1,0),
(10521,102477,'Prevents target from changing direction while active.',100,1,1),
(10522,102477,'If Target is not Epic',100,2,2),
(10523,102477,'Roots target',100,1,3),
(10524,102477,'If Target is not Epic',100,2,4),
(10525,102477,'Resistibility increases against targets higher than level 51.',100,1,5),
(10526,10102477,'Inflicts 640 - 1061 crushing damage on target',100,1,0),
(10527,10102477,'Prevents target from changing direction while active.',100,1,1),
(10528,10102477,'If Target is not Epic',100,2,2),
(10529,10102477,'Roots target',100,1,3),
(10530,10102477,'If Target is not Epic',100,2,4),
(10531,10102477,'Resistibility increases against targets higher than level 51.',100,1,5),
(10532,105937,'Inflicts 1442 - 2177 disease damage on targets in area',100,1,0),
(10533,105937,'Inflicts 718 - 877 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(10534,10105937,'Inflicts 1029 - 1621 disease damage on targets in area',100,1,0),
(10535,10105937,'Inflicts 533 - 651 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(10536,47759,'Applies Project Ether when Activated.',100,0,0),
(10537,10047759,'Applies Project Ether when Activated.',100,0,0),
(10538,159534,'Applies Lambent Imbued when Equipped.',100,0,0),
(10539,159534,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(10540,159534,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(10541,159534,'Cannot be modified except by direct means',100,2,3),
(10542,10159534,'Applies Lambent Imbued when Equipped.',100,0,0),
(10543,10159534,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(10544,10159534,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(10545,10159534,'Cannot be modified except by direct means',100,2,3),
(10546,24777,'Adds Yha-Lei (Fury) to your Dungeon Maker toolbox',100,0,0),
(10547,10024777,'Adds Yha-Lei (Fury) to your Dungeon Maker toolbox',100,0,0),
(10548,158345,'Applies Hooluk in a Hat when Activated.',100,0,0),
(10549,158345,'Summons a pet Hooluk',100,1,1),
(10550,158345,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(10551,10158345,'Applies Hooluk in a Hat when Activated.',100,0,0),
(10552,10158345,'Summons a pet Hooluk',100,1,1),
(10553,10158345,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(10554,36054,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(10555,36054,'Increases Max Health of target by 60.5',100,0,1),
(10556,74767,'When Equipped:',100,0,0),
(10557,74767,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10558,74767,'Inflicts 124 - 186 magic damage on target',100,2,2),
(10559,74767,'Cannot be modified except by direct means',100,2,3),
(10560,10074767,'When Equipped:',100,0,0),
(10561,10074767,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10562,10074767,'Inflicts 124 - 186 magic damage on target',100,2,2),
(10563,10074767,'Cannot be modified except by direct means',100,2,3),
(10564,114499,'Increases In-Combat Power Regeneration of group members (AE) by 18.9',100,1,0),
(10565,10114499,'Increases In-Combat Power Regeneration of group members (AE) by 18.9',100,1,0),
(10566,110319,'Increases Max Power of target by 56.1',100,1,0),
(10567,110319,'Increases Max Health of target by 111.5',100,1,1),
(10568,10110319,'Increases Max Power of target by 56.1',100,1,0),
(10569,10110319,'Increases Max Health of target by 111.5',100,1,1),
(10570,111408,'Increases Attack Speed of target by 51.6',100,1,0),
(10571,111408,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(10572,111408,'Inflicts 1543 disease damage on target',100,2,2),
(10573,111408,'Heals caster for 256',100,2,3),
(10574,111408,'Decreases Defense and Parry of target by 23.9',100,1,4),
(10575,111408,'Increases Disruption, Subjugation and Focus of target by 38.2',100,1,5),
(10576,10111408,'Increases Attack Speed of target by 51.6',100,1,0),
(10577,10111408,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(10578,10111408,'Inflicts 1216 disease damage on target',100,2,2),
(10579,10111408,'Heals caster for 131',100,2,3),
(10580,10111408,'Decreases Defense and Parry of target by 23.9',100,1,4),
(10581,10111408,'Increases Disruption, Subjugation and Focus of target by 38.2',100,1,5),
(10582,115223,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(10583,115223,'Decreases Mitigation of target vs noxious damage by 665',100,2,1),
(10584,115223,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(10585,115223,'Decreases Mitigation of target vs noxious damage by 665',100,2,3),
(10586,10115223,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(10587,10115223,'Decreases Mitigation of target vs noxious damage by 665',100,2,1),
(10588,10115223,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(10589,10115223,'Decreases Mitigation of target vs noxious damage by 665',100,2,3),
(10590,107103,'Inflicts 2120 - 2591 divine damage on target',100,1,0),
(10591,10107103,'Inflicts 1508 - 1756 divine damage on target',100,1,0),
(10592,118866,'Inflicts 72 - 119 melee damage on target',100,1,0),
(10593,118866,'Inflicts 20 - 34 melee damage on target',100,1,1),
(10594,118866,'Inflicts 20 - 34 melee damage on target',100,1,2),
(10595,118866,'Inflicts 20 - 34 melee damage on target',100,1,3),
(10596,118866,'Inflicts 20 - 34 melee damage on target',100,1,4),
(10597,10118866,'Inflicts 67 - 111 melee damage on target',100,1,0),
(10598,10118866,'Inflicts 16 - 26 melee damage on target',100,1,1),
(10599,10118866,'Inflicts 16 - 26 melee damage on target',100,1,2),
(10600,10118866,'Inflicts 16 - 26 melee damage on target',100,1,3),
(10601,10118866,'Inflicts 16 - 26 melee damage on target',100,1,4),
(10602,165533,'When Equipped:',100,0,0),
(10603,165533,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(10604,10165533,'When Equipped:',100,0,0),
(10605,10165533,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(10606,111490,'Increases AGI of caster by 68.8',100,1,0),
(10607,111490,'Increases Attack Speed of caster by 39.5',100,1,1),
(10608,111490,'Increases in-combat movement speed of caster by 8.0%',100,1,2),
(10609,111490,'Adds 25.0% to base avoidance.',100,1,3),
(10610,111490,'Increases Mitigation of caster vs physical damage by 616',100,1,4),
(10611,111490,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,5),
(10612,10111490,'Increases AGI of caster by 68.8',100,1,0),
(10613,10111490,'Increases Attack Speed of caster by 39.5',100,1,1),
(10614,10111490,'Increases speed of caster by 8.0%',100,1,2),
(10615,10111490,'Adds 25.0% to base avoidance.',100,1,3),
(10616,10111490,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,4),
(10617,113696,'Stuns target',100,1,0),
(10618,113696,'If Target is not Epic',100,2,1),
(10619,113696,'Inflicts 6015 - 9370 heat damage on target',100,1,2),
(10620,113696,'Resistibility increases against targets higher than level 87.',100,1,3),
(10621,10113696,'Stuns target',100,1,0),
(10622,10113696,'If Target is not Epic',100,2,1),
(10623,10113696,'Inflicts 4361 - 7005 heat damage on target',100,1,2),
(10624,10113696,'Resistibility increases against targets higher than level 87.',100,1,3),
(10625,37247,'Increases Out-of-Combat Power Regeneration of target by 34.2',100,0,0),
(10626,37247,'This effect suspends during combat',100,0,1),
(10627,114522,'Heals target for 405 - 494',100,1,0),
(10628,10114522,'Heals target for 364 - 445',100,1,0),
(10629,101113,'Increases Mitigation of raid and group members (AE) vs arcane damage by 955',100,1,0),
(10630,10101113,'Increases Mitigation of raid and group members (AE) vs arcane damage by 955',100,1,0),
(10631,72106,'When Equipped:',100,0,0),
(10632,72106,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10633,72106,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(10634,72106,'Cannot be modified except by direct means',100,2,3),
(10635,10072106,'When Equipped:',100,0,0),
(10636,10072106,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10637,10072106,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(10638,10072106,'Cannot be modified except by direct means',100,2,3),
(10639,119072,'Inflicts 2057 - 3258 mental damage on target',100,1,0),
(10640,119072,'Decreases power of target by 1279 - 2131',100,1,1),
(10641,119072,'Increases power of caster by 151 - 252',100,1,2),
(10642,10119072,'Inflicts 1476 - 2188 mental damage on target',100,1,0),
(10643,10119072,'Decreases power of target by 1008 - 1680',100,1,1),
(10644,10119072,'Increases power of caster by 151 - 252',100,1,2),
(10645,120832,'Inflicts 1602 - 1821 disease damage on target',100,1,0),
(10646,120832,'Inflicts 620 - 838 disease damage on target every second',100,1,1),
(10647,10120832,'Inflicts 1078 - 1320 disease damage on target',100,1,0),
(10648,10120832,'Inflicts 488 - 661 disease damage on target every second',100,1,1),
(10649,24132,'Adds Clockwork Menace to your Dungeon Maker toolbox',100,0,0),
(10650,10024132,'Adds Clockwork Menace to your Dungeon Maker toolbox',100,0,0),
(10651,120735,'Inflicts 4668 - 7095 melee damage on target',100,1,0),
(10652,120735,'Interrupts target',100,1,1),
(10653,10120735,'Inflicts 3351 - 5298 melee damage on target',100,1,0),
(10654,10120735,'Interrupts target',100,1,1),
(10655,49067,'Applies Vision Totem of the Bat when Activated.  Lasts for 15 minutes.',100,0,0),
(10656,49067,'Grants Sonic Vision to caster',100,1,1),
(10657,10049067,'Applies Vision Totem of the Bat when Activated.  Lasts for 15 minutes.',100,0,0),
(10658,10049067,'Grants Sonic Vision to caster',100,1,1),
(10659,121740,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(10660,10121740,'Applies Swarthy Distraction.',100,1,0),
(10661,10121740,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(10662,10121740,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(10663,106753,'Decreases Defense of target by 4.2',100,1,0),
(10664,106753,'If facing target',100,1,1),
(10665,10106753,'Decreases Defense of target by 4.2',100,1,0),
(10666,10106753,'If facing target',100,1,1),
(10667,106160,'Inflicts 2409 - 3797 divine damage on target encounter',100,1,0),
(10668,106160,'Interrupts target encounter',100,1,1),
(10669,10106160,'Inflicts 1772 - 2866 divine damage on target encounter',100,1,0),
(10670,10106160,'Interrupts target encounter',100,1,1),
(10671,143190,'Applies Hooluk in a Hat when Activated.',100,0,0),
(10672,143190,'Summons a pet Hooluk',100,1,1),
(10673,143190,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(10674,10143190,'Applies Hooluk in a Hat when Activated.',100,0,0),
(10675,10143190,'Summons a pet Hooluk',100,1,1),
(10676,10143190,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(10677,79273,'When Equipped:',100,0,0),
(10678,79273,'On a combat hit this spell may cast Wrath of the Sky on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10679,79273,'Inflicts 499 - 831 magic damage on target',100,2,2),
(10680,79273,'Cannot be modified except by direct means',100,2,3),
(10681,10079273,'When Equipped:',100,0,0),
(10682,10079273,'On a combat hit this spell may cast Wrath of the Sky on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10683,10079273,'Inflicts 499 - 831 magic damage on target',100,2,2),
(10684,10079273,'Cannot be modified except by direct means',100,2,3),
(10685,106766,'Mesmerizes target',100,1,0),
(10686,106766,'Prevents AOE (except when direct) ',100,1,1),
(10687,106766,'Dispelled when target takes damage',100,1,2),
(10688,106766,'Does not affect Epic targets',100,1,3),
(10689,106766,'Resistibility increases against targets higher than level 83.',100,1,4),
(10690,10106766,'Mesmerizes target',100,1,0),
(10691,10106766,'Prevents AOE (except when direct) ',100,1,1),
(10692,10106766,'Dispelled when target takes damage',100,1,2),
(10693,10106766,'Does not affect Epic targets',100,1,3),
(10694,10106766,'Resistibility increases against targets higher than level 83.',100,1,4),
(10695,113773,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(10696,113773,'Heals target for 290 - 354',100,2,1),
(10697,10113773,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(10698,10113773,'Heals target for 154 - 188',100,2,1),
(10699,122273,'Makes targets in Area of Effect afraid',100,1,0),
(10700,122273,'If Target is not Epic',100,2,1),
(10701,122273,'Decreases Threat to targets in Area of Effect by 3,332 ',100,1,2),
(10702,122273,'30% chance to dispel when target takes damage',100,1,3),
(10703,10122273,'Makes targets in Area of Effect afraid',100,1,0),
(10704,10122273,'If Target is not Epic',100,2,1),
(10705,10122273,'Applies Distract.',100,1,2),
(10706,10122273,'Forces target to clear their selected target.',100,2,3),
(10707,10122273,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(10708,10122273,'30% chance to dispel when target takes damage',100,1,5),
(10709,108082,'Decreases Threat to target by 208 - 346 ',100,1,0),
(10710,10108082,'Forces target to clear their selected target.',100,1,0),
(10711,10108082,'Target cannot target caster for the duration of this effect.',100,1,1),
(10712,110682,'Heals target for 3292',100,1,0),
(10713,110682,'Dispels 73 levels of any hostile effects on target',100,1,1),
(10714,10110682,'Heals target for 1439',100,1,0),
(10715,10110682,'Dispels 73 levels of any hostile effects on target',100,1,1),
(10716,139232,'When Equipped:',100,0,0),
(10717,139232,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(10718,10139232,'When Equipped:',100,0,0),
(10719,10139232,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(10720,100912,'Stuns targets in Area of Effect',20,1,0),
(10721,100912,'If Target is not Epic',100,2,1),
(10722,100912,'Inflicts 1829 - 2940 divine damage on targets in Area of Effect',100,1,2),
(10723,100912,'Resistibility increases against targets higher than level 85.',100,1,3),
(10724,10100912,'Stuns targets in Area of Effect',20,1,0),
(10725,10100912,'If Target is not Epic',100,2,1),
(10726,10100912,'Inflicts 1295 - 2071 divine damage on targets in Area of Effect',100,1,2),
(10727,10100912,'Resistibility increases against targets higher than level 85.',100,1,3),
(10728,24717,'Adds Steelhoof Rogue to your Dungeon Maker toolbox',100,0,0),
(10729,10024717,'Adds Steelhoof Rogue to your Dungeon Maker toolbox',100,0,0),
(10730,107498,'Inflicts 3365 - 9440 magic damage on targets in Area of Effect',100,1,0),
(10731,107498,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(10732,107498,'Stuns target',100,2,2),
(10733,107498,'Blurs vision of target',100,2,3),
(10734,107498,'Throws target back',100,2,4),
(10735,107498,'Does not affect Epic targets',100,2,5),
(10736,10107498,'Inflicts 2526 - 7314 magic damage on targets in Area of Effect',100,1,0),
(10737,10107498,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(10738,10107498,'Stuns target',100,2,2),
(10739,10107498,'Throws target back',100,2,3),
(10740,10107498,'Blurs vision of target',100,2,4),
(10741,10107498,'Does not affect Epic targets',100,2,5),
(10742,37530,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(10743,143745,'When Equipped:',100,0,0),
(10744,143745,'Increases Attack Speed of caster by 45.0',100,1,1),
(10745,10143745,'When Equipped:',100,0,0),
(10746,10143745,'Increases Attack Speed of caster by 45.0',100,1,1),
(10747,118157,'Inflicts 2271 - 3496 melee damage on target',100,1,0),
(10748,118157,'Dazes target',100,1,1),
(10749,118157,'If Target is not Epic',100,2,2),
(10750,118157,'Resistibility increases against targets higher than level 83.',100,1,3),
(10751,10118157,'Inflicts 1589 - 2375 melee damage on target',100,1,0),
(10752,10118157,'Dazes target',100,1,1),
(10753,10118157,'If Target is not Epic',100,2,2),
(10754,10118157,'Resistibility increases against targets higher than level 83.',100,1,3),
(10755,116673,'Heals group members (AE) for 7.3 - 9.0% of max health',100,1,0),
(10756,116673,'This effect cannot be critically applied.',100,2,1),
(10757,116673,'Increases Max Health of group members (AE) by 164.3',100,1,2),
(10758,116673,'The healing of this spell cannot be modified except by direct means',100,1,3),
(10759,10116673,'Heals group members (AE) for 2.3 - 2.8% of max health',100,1,0),
(10760,10116673,'This effect cannot be critically applied.',100,2,1),
(10761,10116673,'Increases Max Health of group members (AE) by 164.3',100,1,2),
(10762,10116673,'The healing of this spell cannot be modified except by direct means',100,1,3),
(10763,177501,'When Equipped:',100,0,0),
(10764,177501,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10765,177501,'Increases WIS of caster by 5.8',100,2,2),
(10766,177501,'Increases Ministration, Focus and Ordination of caster by 3.7',100,2,3),
(10767,177501,'Cannot be modified except by direct means',100,2,4),
(10768,10177501,'When Equipped:',100,0,0),
(10769,10177501,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10770,10177501,'Increases WIS of caster by 5.8',100,2,2),
(10771,10177501,'Increases Ministration, Focus and Ordination of caster by 3.7',100,2,3),
(10772,10177501,'Cannot be modified except by direct means',100,2,4),
(10773,111049,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(10774,111049,'Increases Threat to target by 3,315 ',100,2,1),
(10775,111049,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(10776,111049,'Increases Threat to target by 3,315 ',100,2,3),
(10777,10111049,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(10778,10111049,'Inflicts 331 - 365 crushing damage on target',100,2,1),
(10779,10111049,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(10780,10111049,'Inflicts 331 - 365 crushing damage on target',100,2,3),
(10781,71886,'When Equipped:',100,0,0),
(10782,71886,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10783,71886,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(10784,71886,'Cannot be modified except by direct means',100,2,3),
(10785,10071886,'When Equipped:',100,0,0),
(10786,10071886,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10787,10071886,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(10788,10071886,'Cannot be modified except by direct means',100,2,3),
(10789,25478,'When Equipped:',100,0,0),
(10790,25478,'Improves the duration of Elemental Toxicity by 5 seconds.',100,1,1),
(10791,25478,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(10792,10025478,'When Equipped:',100,0,0),
(10793,10025478,'Improves the duration of Elemental Toxicity by 5 seconds.',100,1,1),
(10794,10025478,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(10795,35147,'Increases AGI of target by 8.4',100,0,0),
(10796,35147,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(10797,104132,'Roots target',100,1,0),
(10798,104132,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(10799,104132,'Makes target afraid',100,2,2),
(10800,104132,'Slows target by 25.3%',100,2,3),
(10801,104132,'30% chance to dispel when target takes damage',100,2,4),
(10802,104132,'Resistibility increases against targets higher than level 90.',100,2,5),
(10803,104132,'15% chance to dispel when target takes damage',100,1,6),
(10804,104132,'Does not affect Epic targets',100,1,7),
(10805,104132,'Resistibility increases against targets higher than level 90.',100,1,8),
(10806,10104132,'Roots target',100,1,0),
(10807,10104132,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(10808,10104132,'Slows target by 25.3%',100,2,2),
(10809,10104132,'Makes target afraid',100,2,3),
(10810,10104132,'30% chance to dispel when target takes damage',100,2,4),
(10811,10104132,'Resistibility increases against targets higher than level 90.',100,2,5),
(10812,10104132,'15% chance to dispel when target takes damage',100,1,6),
(10813,10104132,'Does not affect Epic targets',100,1,7),
(10814,10104132,'Resistibility increases against targets higher than level 90.',100,1,8),
(10815,37486,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(10816,82620,'When Equipped:',100,0,0),
(10817,82620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10818,82620,'Inflicts 134 - 249 magic damage on target',100,2,2),
(10819,82620,'Cannot be modified except by direct means',100,2,3),
(10820,10082620,'When Equipped:',100,0,0),
(10821,10082620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10822,10082620,'Inflicts 134 - 249 magic damage on target',100,2,2),
(10823,10082620,'Cannot be modified except by direct means',100,2,3),
(10824,119285,'Inflicts 1463 - 1779 slashing damage on target',100,1,0),
(10825,119285,'Decreases Damage Per Second of target by 19.8',100,1,1),
(10826,119285,'Inflicts 638 slashing damage on target instantly and every 4 seconds',100,1,2),
(10827,10119285,'Inflicts 773 - 1023 slashing damage on target',100,1,0),
(10828,10119285,'Decreases Damage Per Second of target by 19.8',100,1,1),
(10829,10119285,'Inflicts 503 slashing damage on target instantly and every 4 seconds',100,1,2),
(10830,46251,'Applies Exothermic Manastone when Activated.',100,0,0),
(10831,46251,'Tinkering up an intentional overload with catastrophically exothermic consequences to produce beneficial side effects: increases power of group members by 20%, killing the tinkerer instantly',100,1,1),
(10832,10046251,'Applies Exothermic Manastone when Activated.',100,0,0),
(10833,10046251,'Tinkering up an intentional overload with catastrophically exothermic consequences to produce beneficial side effects: increases power of group members by 20%, killing the tinkerer instantly',100,1,1),
(10834,102261,'Inflicts 1238 - 2053 melee damage on targets in area',100,1,0),
(10835,10102261,'Inflicts 986 - 1548 melee damage on targets in area',100,1,0),
(10836,35226,'Increases STA of target by 4.3',100,0,0),
(10837,35226,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(10838,106621,'Inflicts 1721 - 2104 disease damage on target',100,1,0),
(10839,106621,'Heals caster for 5.4 - 6.6% of max health',100,1,1),
(10840,106621,'This effect cannot be critically applied.',100,2,2),
(10841,106621,'The healing of this spell cannot be modified except by direct means',100,1,3),
(10842,10106621,'Inflicts 1283 - 1524 disease damage on target',100,1,0),
(10843,10106621,'Heals caster for 1.8 - 2.2% of max health',100,1,1),
(10844,10106621,'This effect cannot be critically applied.',100,2,2),
(10845,10106621,'The healing of this spell cannot be modified except by direct means',100,1,3),
(10846,122803,'Heals target for 4963',100,1,0),
(10847,10122803,'Heals target for 2704',100,1,0),
(10848,82768,'When Equipped:',100,0,0),
(10849,82768,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(10850,82768,'Inflicts 468 - 870 magic damage on target',100,2,2),
(10851,82768,'Decreases Threat to target by 1,174 ',100,2,3),
(10852,82768,'Must be flanking or behind',100,3,4),
(10853,82768,'Increases Threat to target by 1,634 ',100,2,5),
(10854,82768,'Must be in front of',100,3,6),
(10855,82768,'Cannot be modified except by direct means',100,2,7),
(10856,10082768,'When Equipped:',100,0,0),
(10857,10082768,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(10858,10082768,'Inflicts 468 - 870 magic damage on target',100,2,2),
(10859,10082768,'Cannot be modified except by direct means',100,2,3),
(10860,89775,'When Equipped:',100,0,0),
(10861,89775,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(10862,89775,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,2),
(10863,89775,'This effect will not stack with any rank or tier of itself.',100,1,3),
(10864,89775,'Increases Multi Attack Chance of caster by 7.5',100,1,4),
(10865,89775,'Cannot be modified except by direct means',100,1,5),
(10866,89775,'When Equipped:',100,0,6),
(10867,89775,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(10868,89775,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(10869,89775,'Inflicts 2341 - 2587 poison damage on target',100,2,9),
(10870,89775,'Heals caster for 1170 - 1294',100,2,10),
(10871,89775,'Decreases Crushing, Ranged, Slashing and Piercing of target by 22.0',100,2,11),
(10872,89775,'Decreases Mitigation of target vs physical damage by 517',100,2,12),
(10873,89775,'Must not be engaged in pvp combat',100,2,13),
(10874,89775,'Cannot be modified except by direct means',100,2,14),
(10875,89775,'Cannot be modified except by direct means',100,1,15),
(10876,10089775,'When Equipped:',100,0,0),
(10877,10089775,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(10878,10089775,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,2),
(10879,10089775,'This effect will not stack with any rank or tier of itself.',100,1,3),
(10880,10089775,'Increases Multi Attack Chance of caster by 7.5',100,1,4),
(10881,10089775,'Cannot be modified except by direct means',100,1,5),
(10882,10089775,'When Equipped:',100,0,6),
(10883,10089775,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(10884,10089775,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(10885,10089775,'Inflicts 2341 - 2587 poison damage on target',100,2,9),
(10886,10089775,'Heals caster for 1369 - 1514',100,2,10),
(10887,10089775,'Decreases Crushing, Ranged, Slashing and Piercing of target by 22.0',100,2,11),
(10888,10089775,'Decreases Mitigation of target vs physical damage by 517',100,2,12),
(10889,10089775,'Must not be engaged in pvp combat',100,2,13),
(10890,10089775,'Cannot be modified except by direct means',100,2,14),
(10891,10089775,'Cannot be modified except by direct means',100,1,15),
(10892,175855,'When Equipped:',100,0,0),
(10893,175855,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(10894,10175855,'When Equipped:',100,0,0),
(10895,10175855,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(10896,81147,'When Equipped:',100,0,0),
(10897,81147,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(10898,81147,'Inflicts 290 - 538 magic damage on target',100,2,2),
(10899,81147,'Decreases Threat to target by 517 ',100,2,3),
(10900,81147,'Must be flanking or behind',100,3,4),
(10901,81147,'Increases Threat to target by 905 ',100,2,5),
(10902,81147,'Must be in front of',100,3,6),
(10903,81147,'Cannot be modified except by direct means',100,2,7),
(10904,10081147,'When Equipped:',100,0,0),
(10905,10081147,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(10906,10081147,'Inflicts 290 - 538 magic damage on target',100,2,2),
(10907,10081147,'Cannot be modified except by direct means',100,2,3),
(10908,80202,'When Equipped:',100,0,0),
(10909,80202,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10910,80202,'Inflicts 300 - 557 magic damage on target',100,2,2),
(10911,80202,'Cannot be modified except by direct means',100,2,3),
(10912,10080202,'When Equipped:',100,0,0),
(10913,10080202,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10914,10080202,'Inflicts 300 - 557 magic damage on target',100,2,2),
(10915,10080202,'Cannot be modified except by direct means',100,2,3),
(10916,80931,'When Equipped:',100,0,0),
(10917,80931,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10918,80931,'Inflicts 332 - 617 magic damage on target',100,2,2),
(10919,80931,'Cannot be modified except by direct means',100,2,3),
(10920,10080931,'When Equipped:',100,0,0),
(10921,10080931,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10922,10080931,'Inflicts 332 - 617 magic damage on target',100,2,2),
(10923,10080931,'Cannot be modified except by direct means',100,2,3),
(10924,40675,'When Equipped:',100,0,0),
(10925,40675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10926,40675,'Inflicts 49 - 74 magic damage on target',100,2,2),
(10927,40675,'Cannot be modified except by direct means',100,2,3),
(10928,10040675,'When Equipped:',100,0,0),
(10929,10040675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(10930,10040675,'Inflicts 49 - 74 magic damage on target',100,2,2),
(10931,10040675,'Cannot be modified except by direct means',100,2,3),
(10932,109130,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(10933,109130,'Heals target for 1129 - 1380',100,2,1),
(10934,109130,'Grants a total of 8 triggers of the spell.',100,2,2),
(10935,10109130,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(10936,10109130,'Heals target for 581 - 691',100,2,1),
(10937,10109130,'Grants a total of 8 triggers of the spell.',100,2,2),
(10938,113879,'Increases power of target by 114',100,1,0),
(10939,10113879,'Increases power of target by 114',100,1,0),
(10940,103529,'Charms target',100,1,0),
(10941,103529,'If outside an arena',100,1,1),
(10942,103529,'Certain enemies cannot be charmed',100,1,2),
(10943,103529,'Does not affect Epic targets',100,1,3),
(10944,10103529,'Mesmerizes target',100,1,0),
(10945,10103529,'Prevents AOE (except when direct) ',100,1,1),
(10946,10103529,'Dispelled when target takes damage',100,1,2),
(10947,10103529,'If outside an arena',100,1,3),
(10948,10103529,'Certain enemies cannot be charmed',100,1,4),
(10949,10103529,'Does not affect Epic targets',100,1,5),
(10950,10103529,'Resistibility increases against targets higher than level 113.',100,1,6),
(10951,103283,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(10952,103283,'If Fighter',100,2,1),
(10953,103283,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(10954,103283,'Increases power of target by 14 instantly and every 4 seconds',100,2,3),
(10955,103283,'Increases power of caster by 14 instantly and every 4 seconds',100,2,4),
(10956,10103283,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(10957,10103283,'Increases power of target by 14 instantly and every 4 seconds',100,2,1),
(10958,10103283,'Increases power of caster by 14 instantly and every 4 seconds',100,2,2),
(10959,159277,'When Equipped:',100,0,0),
(10960,159277,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10961,159277,'Increases WIS of caster by 4.7',100,2,2),
(10962,159277,'Increases Ministration, Focus and Ordination of caster by 2.9',100,2,3),
(10963,159277,'Cannot be modified except by direct means',100,2,4),
(10964,10159277,'When Equipped:',100,0,0),
(10965,10159277,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(10966,10159277,'Increases WIS of caster by 4.7',100,2,2),
(10967,10159277,'Increases Ministration, Focus and Ordination of caster by 2.9',100,2,3),
(10968,10159277,'Cannot be modified except by direct means',100,2,4),
(10969,164521,'When Equipped:',100,0,0),
(10970,164521,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(10971,10164521,'When Equipped:',100,0,0),
(10972,10164521,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(10973,45815,'Applies Crystal Recharge when Activated.',100,0,0),
(10974,45815,'Summon 1 Wand of Polymorphing',100,1,1),
(10975,45815,'This effect cannot be cast during combat',100,1,2),
(10976,10045815,'Applies Crystal Recharge when Activated.',100,0,0),
(10977,10045815,'Summon 1 Wand of Polymorphing',100,1,1),
(10978,10045815,'This effect cannot be cast during combat',100,1,2),
(10979,48712,'Applies Elixir of Brilliance  when Activated.  Lasts for 30 minutes.',100,0,0),
(10980,48712,'Increases INT and WIS of caster by 17.3',100,1,1),
(10981,10048712,'Applies Elixir of Brilliance  when Activated.  Lasts for 30 minutes.',100,0,0),
(10982,10048712,'Increases INT and WIS of caster by 17.3',100,1,1),
(10983,121759,'Heals target for 43 - 53',100,1,0),
(10984,121759,'Heals target for 4 every second',100,1,1),
(10985,10121759,'Heals target for 44 - 53',100,1,0),
(10986,10121759,'Heals target for 2 - 3 every second',100,1,1),
(10987,70593,'When Equipped:',100,0,0),
(10988,70593,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(10989,70593,'Reduces healing received by 15.00%',100,2,2),
(10990,70593,'Cannot be modified except by direct means',100,2,3),
(10991,70593,'This effect can only trigger once every 1 second.',100,2,4),
(10992,70593,'Must be engaged in pvp combat',100,1,5),
(10993,10070593,'When Equipped:',100,0,0),
(10994,10070593,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(10995,10070593,'Reduces healing received by 15.00%',100,2,2),
(10996,10070593,'Cannot be modified except by direct means',100,2,3),
(10997,10070593,'This effect can only trigger once every 1 second.',100,2,4),
(10998,10070593,'Must be engaged in pvp combat',100,1,5),
(10999,112166,'Increases Max Health of caster by 5.0%',100,129,0),
(11000,112166,'Increases STR of caster by 19.2',100,1,1),
(11001,112166,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 482',100,1,2),
(11002,112166,'Increases Mitigation of caster vs physical damage by 124',100,1,3),
(11003,10112166,'Increases Max Health of caster by 5.0%',100,129,0),
(11004,10112166,'Increases STR of caster by 19.2',100,1,1),
(11005,10112166,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 482',100,1,2),
(11006,10112166,'Increases Mitigation of caster vs physical damage by 124',100,1,3),
(11007,121598,'Stuns target encounter',100,1,0),
(11008,121598,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,1),
(11009,121598,'Resistibility increases against targets higher than level 87.',100,1,2),
(11010,10121598,'Stuns target encounter',100,1,0),
(11011,10121598,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(11012,10121598,'Resistibility increases against targets higher than level 87.',100,1,2),
(11013,112644,'Inflicts 955 - 1582 disease damage on target',100,1,0),
(11014,112644,'Inflicts 476 - 791 disease damage on target',100,1,1),
(11015,112644,'Roots target',100,1,2),
(11016,112644,'If Target is not Epic',100,2,3),
(11017,112644,'15% chance to dispel when target takes damage',100,1,4),
(11018,112644,'If weapon equipped in Ranged',100,1,5),
(11019,112644,'Resistibility increases against targets higher than level 73.',100,1,6),
(11020,10112644,'Inflicts 676 - 862 disease damage on target',100,1,0),
(11021,10112644,'Inflicts 281 - 467 disease damage on target',100,1,1),
(11022,10112644,'Roots target',100,1,2),
(11023,10112644,'If Target is not Epic',100,2,3),
(11024,10112644,'15% chance to dispel when target takes damage',100,1,4),
(11025,10112644,'If weapon equipped in Ranged',100,1,5),
(11026,10112644,'Resistibility increases against targets higher than level 73.',100,1,6),
(11027,163143,'When Equipped:',100,0,0),
(11028,163143,'On a critical healing spell cast this spell may cast Spiritweaver''s Focus on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(11029,163143,'Increases Ability Modifier of group members by 100.0',100,2,2),
(11030,163143,'Cannot be modified except by direct means',100,2,3),
(11031,10163143,'When Equipped:',100,0,0),
(11032,10163143,'On a critical healing spell cast this spell may cast Spiritweaver''s Focus on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(11033,10163143,'Increases Ability Modifier of group members by 100.0',100,2,2),
(11034,10163143,'Cannot be modified except by direct means',100,2,3),
(11035,105929,'Inflicts 704 - 952 disease damage on targets in area',100,1,0),
(11036,105929,'Inflicts 243 - 296 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(11037,10105929,'Inflicts 435 - 635 disease damage on targets in area',100,1,0),
(11038,10105929,'Inflicts 180 - 220 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(11039,111765,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(11040,111765,'This effect cannot be critically applied.',100,2,1),
(11041,111765,'The healing of this spell cannot be modified except by direct means',100,1,2),
(11042,10111765,'Heals caster for 6.5 - 7.9% of max health',100,1,0),
(11043,10111765,'This effect cannot be critically applied.',100,2,1),
(11044,10111765,'The healing of this spell cannot be modified except by direct means',100,1,2),
(11045,106062,'Increases AGI of caster by 71.5',100,1,0),
(11046,106062,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(11047,106062,'Inflicts 533 - 888 disease damage on target',100,2,2),
(11048,106062,'Adds 14.8% to base avoidance.',100,1,3),
(11049,106062,'Increases Mitigation of caster vs physical damage by 366',100,1,4),
(11050,106062,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,5),
(11051,10106062,'Increases AGI of caster by 71.5',100,1,0),
(11052,10106062,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(11053,10106062,'Inflicts 420 - 700 disease damage on target',100,2,2),
(11054,10106062,'Adds 14.8% to base avoidance.',100,1,3),
(11055,10106062,'Increases Mitigation of caster vs physical damage by 366',100,1,4),
(11056,10106062,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,5),
(11057,81498,'When Equipped:',100,0,0),
(11058,81498,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11059,81498,'Inflicts 155 - 288 magic damage on target',100,2,2),
(11060,81498,'Decreases Threat to target by 352 ',100,2,3),
(11061,81498,'Must be flanking or behind',100,3,4),
(11062,81498,'Increases Threat to target by 617 ',100,2,5),
(11063,81498,'Must be in front of',100,3,6),
(11064,81498,'Cannot be modified except by direct means',100,2,7),
(11065,10081498,'When Equipped:',100,0,0),
(11066,10081498,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11067,10081498,'Inflicts 155 - 288 magic damage on target',100,2,2),
(11068,10081498,'Cannot be modified except by direct means',100,2,3),
(11069,115802,'Inflicts 42 - 67 melee damage on target',100,1,0),
(11070,115802,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(11071,115802,'Heals caster for 4 instantly and every 3 seconds',100,2,2),
(11072,115802,'This effect cannot be critically applied.',100,3,3),
(11073,115802,'The healing of this spell cannot be modified except by direct means',100,2,4),
(11074,115802,'Inflicts 7 disease damage on target every 3 seconds',100,1,5),
(11075,115802,'The healing of this spell cannot be modified except by direct means',100,1,6),
(11076,10115802,'Inflicts 37 - 58 melee damage on target',100,1,0),
(11077,10115802,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(11078,10115802,'Heals caster for 1 instantly and every 3 seconds',100,2,2),
(11079,10115802,'This effect cannot be critically applied.',100,3,3),
(11080,10115802,'The healing of this spell cannot be modified except by direct means',100,2,4),
(11081,10115802,'Inflicts 5 disease damage on target every 3 seconds',100,1,5),
(11082,10115802,'The healing of this spell cannot be modified except by direct means',100,1,6),
(11083,136991,'When Equipped:',100,0,0),
(11084,136991,'On a combat hit this spell may cast Dark Tidings on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(11085,136991,'Increases Threat to target by 1,260 ',100,2,2),
(11086,136991,'Cannot be modified except by direct means',100,2,3),
(11087,10136991,'When Equipped:',100,0,0),
(11088,10136991,'On a combat hit this spell may cast Dark Tidings on target of attack.  Lasts for 3.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(11089,10136991,'Prevents target from changing targets',100,2,2),
(11090,10136991,'Forces target to change their selected target to caster.',100,2,3),
(11091,10136991,'Cannot be modified except by direct means',100,2,4),
(11092,74533,'Applies Frost Blast when Activated.',100,0,0),
(11093,74533,'Inflicts 99 - 164 cold damage on target',100,1,1),
(11094,74533,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(11095,10074533,'Applies Frost Blast when Activated.',100,0,0),
(11096,10074533,'Inflicts 99 - 164 cold damage on target',100,1,1),
(11097,10074533,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(11098,119938,'Inflicts 3381 - 3914 mental damage on target',100,1,0),
(11099,119938,'Inflicts 800 - 977 mental damage on target every 3 seconds',100,1,1),
(11100,119938,'Stifles target',100,1,2),
(11101,119938,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(11102,119938,'Resistibility increases against targets higher than level 121.',100,1,4),
(11103,10119938,'Inflicts 2285 - 2705 mental damage on target',100,1,0),
(11104,10119938,'Inflicts 630 - 770 mental damage on target every second',100,1,1),
(11105,10119938,'Stifles target',100,1,2),
(11106,10119938,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(11107,10119938,'Resistibility increases against targets higher than level 121.',100,1,4),
(11108,87331,'When Equipped:',100,0,0),
(11109,87331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11110,87331,'Inflicts 138 - 207 magic damage on target',100,2,2),
(11111,87331,'Cannot be modified except by direct means',100,2,3),
(11112,10087331,'When Equipped:',100,0,0),
(11113,10087331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11114,10087331,'Inflicts 138 - 207 magic damage on target',100,2,2),
(11115,10087331,'Cannot be modified except by direct means',100,2,3),
(11116,46699,'Applies Iridescent Swiftwing when Activated.',100,0,0),
(11117,46699,'Increases Aggression of caster by 5.0',100,1,1),
(11118,46699,'Summons a mount to ride',100,1,2),
(11119,46699,'Increases your ground speed by 75%',100,2,3),
(11120,46699,'Increases your air speed by 150%',100,2,4),
(11121,46699,'Increases Piercing, Slashing, Ordination, Disruption, Ministration, Subjugation, Focus, Crushing and Ranged of caster by 5.0',100,1,5),
(11122,10046699,'Applies Iridescent Swiftwing when Activated.',100,0,0),
(11123,10046699,'Increases Aggression of caster by 5.0',100,1,1),
(11124,10046699,'Summons a mount to ride',100,1,2),
(11125,10046699,'Increases your ground speed by 75%',100,2,3),
(11126,10046699,'Increases your air speed by 150%',100,2,4),
(11127,10046699,'Increases Piercing, Slashing, Ordination, Disruption, Ministration, Subjugation, Focus, Crushing and Ranged of caster by 5.0',100,1,5),
(11128,35980,'Increases Max Power of target by 68.2',100,0,0),
(11129,35980,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(11130,37125,'Increases AGI of target by 2.4',100,0,0),
(11131,37125,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(11132,45907,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(11133,45907,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(11134,45907,'Inflicts 64 magic damage on target',100,2,2),
(11135,45907,'Cannot be modified except by direct means',100,2,3),
(11136,10045907,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(11137,10045907,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(11138,10045907,'Inflicts 64 magic damage on target',100,2,2),
(11139,10045907,'Cannot be modified except by direct means',100,2,3),
(11140,36450,'Increases WIS of target by 15.4',100,0,0),
(11141,36450,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(11142,79363,'When Equipped:',100,0,0),
(11143,79363,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(11144,10079363,'When Equipped:',100,0,0),
(11145,10079363,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(11146,158558,'When Equipped:',100,0,0),
(11147,158558,'On a hostile spell hit this spell may cast Clouded Mind on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(11148,158558,'Decreases Threat to target by 1,055 ',100,2,2),
(11149,158558,'Cannot be modified except by direct means',100,2,3),
(11150,10158558,'When Equipped:',100,0,0),
(11151,10158558,'On a hostile spell hit this spell may cast Clouded Mind on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(11152,10158558,'Forces target to clear their selected target.',100,2,2),
(11153,10158558,'Cannot be modified except by direct means',100,2,3),
(11154,26494,'When Equipped:',100,0,0),
(11155,26494,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(11156,10026494,'When Equipped:',100,0,0),
(11157,10026494,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(11158,108427,'Increases INT, AGI, STR and WIS of group members (AE) by 46.8',100,1,0),
(11159,108427,'Adds 2.0% to base avoidance.',100,1,1),
(11160,108427,'Increases Attack Speed of group members (AE) by 37.6',100,1,2),
(11161,108427,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 138',100,1,3),
(11162,10108427,'Increases INT, AGI, STR and WIS of group members (AE) by 46.8',100,1,0),
(11163,10108427,'Adds 2.0% to base avoidance.',100,1,1),
(11164,10108427,'Increases Attack Speed of group members (AE) by 37.6',100,1,2),
(11165,10108427,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 138',100,1,3),
(11166,124236,'Decreases Attack Speed of caster by 17.9',100,1,0),
(11167,124236,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(11168,124236,'Slows targets in Area of Effect by 43.5%',100,2,2),
(11169,124236,'5% chance to dispel when target receives hostile action',100,2,3),
(11170,124236,'5% chance to dispel when target takes damage',100,2,4),
(11171,124236,'Increases Mitigation of caster vs physical damage by 788',100,1,5),
(11172,10124236,'Decreases Attack Speed of caster by 17.9',100,1,0),
(11173,10124236,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(11174,10124236,'Slows targets in Area of Effect by 32.6%',100,2,2),
(11175,10124236,'5% chance to dispel when target receives hostile action',100,2,3),
(11176,10124236,'5% chance to dispel when target takes damage',100,2,4),
(11177,10124236,'Increases Mitigation of caster vs physical damage by 788',100,1,5),
(11178,123247,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(11179,123247,'Increases Mitigation of group members (AE) vs noxious damage by 549',100,1,1),
(11180,10123247,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(11181,10123247,'Increases Mitigation of group members (AE) vs noxious damage by 549',100,1,1),
(11182,152823,'When Equipped:',100,0,0),
(11183,152823,'Increases Attack Speed of caster by 45.0',100,1,1),
(11184,10152823,'When Equipped:',100,0,0),
(11185,10152823,'Increases Attack Speed of caster by 45.0',100,1,1),
(11186,41439,'When Equipped:',100,0,0),
(11187,41439,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11188,41439,'Inflicts 290 - 538 magic damage on target',100,2,2),
(11189,41439,'Decreases Threat to target by 517 ',100,2,3),
(11190,41439,'Must be flanking or behind',100,3,4),
(11191,41439,'Increases Threat to target by 905 ',100,2,5),
(11192,41439,'Must be in front of',100,3,6),
(11193,41439,'Cannot be modified except by direct means',100,2,7),
(11194,10041439,'When Equipped:',100,0,0),
(11195,10041439,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11196,10041439,'Inflicts 290 - 538 magic damage on target',100,2,2),
(11197,10041439,'Cannot be modified except by direct means',100,2,3),
(11198,117870,'Heals target for 1604 - 1742',100,1,0),
(11199,117870,'Heals target for 622 - 760 every 2 seconds',100,1,1),
(11200,10117870,'Heals target for 575 - 646',100,1,0),
(11201,10117870,'Heals target for 319 - 389 every 2 seconds',100,1,1),
(11202,81540,'When Equipped:',100,0,0),
(11203,81540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11204,81540,'Inflicts 193 - 359 magic damage on target',100,2,2),
(11205,81540,'Cannot be modified except by direct means',100,2,3),
(11206,10081540,'When Equipped:',100,0,0),
(11207,10081540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11208,10081540,'Inflicts 193 - 359 magic damage on target',100,2,2),
(11209,10081540,'Cannot be modified except by direct means',100,2,3),
(11210,103313,'Applies Migraine on termination.',100,1,0),
(11211,103313,'Inflicts 313 - 423 mental damage on target',100,2,1),
(11212,103313,'Inflicts 431 - 526 mental damage on target',100,1,2),
(11213,103313,'Inflicts 123 - 150 mental damage on target every 6 seconds',100,1,3),
(11214,10103313,'Applies Migraine on termination.',100,1,0),
(11215,10103313,'Inflicts 256 - 347 mental damage on target',100,2,1),
(11216,10103313,'Inflicts 405 - 495 mental damage on target',100,1,2),
(11217,10103313,'Inflicts 97 - 119 mental damage on target every 6 seconds',100,1,3),
(11218,26724,'When Equipped:',100,0,0),
(11219,26724,'On a critical spell hit this spell may cast Greater Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(11220,26724,'Increases power of caster by 529',100,2,2),
(11221,26724,'Must not be engaged in pvp combat',100,2,3),
(11222,26724,'Cannot be modified except by direct means',100,2,4),
(11223,26724,'On a critical combat hit this spell may cast Greater Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,5),
(11224,26724,'Increases power of caster by 529',100,2,6),
(11225,26724,'Must not be engaged in pvp combat',100,2,7),
(11226,26724,'Cannot be modified except by direct means',100,2,8),
(11227,26724,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(11228,26724,'On a critical healing spell cast this spell may cast Greater Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,10),
(11229,26724,'Increases power of caster by 529',100,2,11),
(11230,26724,'Must not be engaged in pvp combat',100,2,12),
(11231,26724,'Cannot be modified except by direct means',100,2,13),
(11232,26724,'Must not be engaged in pvp combat',100,1,14),
(11233,10026724,'When Equipped:',100,0,0),
(11234,10026724,'On a critical spell hit this spell may cast Greater Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(11235,10026724,'Increases power of caster by 529',100,2,2),
(11236,10026724,'Must not be engaged in pvp combat',100,2,3),
(11237,10026724,'Cannot be modified except by direct means',100,2,4),
(11238,10026724,'On a critical combat hit this spell may cast Greater Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,5),
(11239,10026724,'Increases power of caster by 529',100,2,6),
(11240,10026724,'Must not be engaged in pvp combat',100,2,7),
(11241,10026724,'Cannot be modified except by direct means',100,2,8),
(11242,10026724,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(11243,10026724,'On a critical healing spell cast this spell may cast Greater Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,10),
(11244,10026724,'Increases power of caster by 529',100,2,11),
(11245,10026724,'Must not be engaged in pvp combat',100,2,12),
(11246,10026724,'Cannot be modified except by direct means',100,2,13),
(11247,10026724,'Must not be engaged in pvp combat',100,1,14),
(11248,103993,'Interrupts targets in Area of Effect',100,1,0),
(11249,103993,'Inflicts 1211 - 1968 poison damage on targets in Area of Effect',100,1,1),
(11250,103993,'Inflicts 883 - 1640 poison damage on targets in Area of Effect every second',100,1,2),
(11251,10103993,'Interrupts targets in Area of Effect',100,1,0),
(11252,10103993,'Inflicts 828 - 1424 poison damage on targets in Area of Effect',100,1,1),
(11253,10103993,'Inflicts 696 - 1293 poison damage on targets in Area of Effect every second',100,1,2),
(11254,133506,'When Equipped:',100,0,0),
(11255,133506,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(11256,133506,'Heals group members (AE) for 875',100,2,2),
(11257,133506,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(11258,133506,'Must not be engaged in pvp combat',100,2,4),
(11259,133506,'Cannot be modified except by direct means',100,2,5),
(11260,133506,'Must not be engaged in pvp combat',100,1,6),
(11261,10133506,'When Equipped:',100,0,0),
(11262,10133506,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(11263,10133506,'Heals group members (AE) for 1024',100,2,2),
(11264,10133506,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(11265,10133506,'Must not be engaged in pvp combat',100,2,4),
(11266,10133506,'Cannot be modified except by direct means',100,2,5),
(11267,10133506,'Must not be engaged in pvp combat',100,1,6),
(11268,80973,'When Equipped:',100,0,0),
(11269,80973,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11270,80973,'Inflicts 332 - 617 magic damage on target',100,2,2),
(11271,80973,'Cannot be modified except by direct means',100,2,3),
(11272,10080973,'When Equipped:',100,0,0),
(11273,10080973,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11274,10080973,'Inflicts 332 - 617 magic damage on target',100,2,2),
(11275,10080973,'Cannot be modified except by direct means',100,2,3),
(11276,119217,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(11277,119217,'Blurs vision of target',100,2,1),
(11278,119217,'Stuns target',100,2,2),
(11279,119217,'Throws target back',100,2,3),
(11280,119217,'Does not affect Epic targets',100,2,4),
(11281,119217,'Inflicts 404 - 1213 magic damage on targets in Area of Effect',100,1,5),
(11282,10119217,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(11283,10119217,'Stuns target',100,2,1),
(11284,10119217,'Throws target back',100,2,2),
(11285,10119217,'Blurs vision of target',100,2,3),
(11286,10119217,'Does not affect Epic targets',100,2,4),
(11287,10119217,'Inflicts 331 - 951 magic damage on targets in Area of Effect',100,1,5),
(11288,106394,'Inflicts 4032 - 6040 melee damage on target',100,1,0),
(11289,106394,'Decreases Defense of target by 31.0',100,1,1),
(11290,106394,'Decreases Defense of caster by 25.8',100,1,2),
(11291,10106394,'Inflicts 2798 - 4381 melee damage on target',100,1,0),
(11292,10106394,'Decreases Defense of target by 31.0',100,1,1),
(11293,10106394,'Decreases Defense of caster by 25.8',100,1,2),
(11294,35125,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(11295,118043,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(11296,118043,'Stuns target',100,2,1),
(11297,118043,'If Target is not Epic',100,3,2),
(11298,118043,'Inflicts 1518 - 2530 divine damage on target',100,2,3),
(11299,118043,'Grants a total of 3 triggers of the spell.',100,2,4),
(11300,10118043,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(11301,10118043,'Stuns target',100,2,1),
(11302,10118043,'If Target is not Epic',100,3,2),
(11303,10118043,'Inflicts 1197 - 1994 divine damage on target',100,2,3),
(11304,10118043,'Grants a total of 3 triggers of the spell.',100,2,4),
(11305,145988,'When Equipped:',100,0,0),
(11306,145988,'Caster will have their chance to hit with a weapon increased by 3.0%',100,1,1),
(11307,145988,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,2),
(11308,145988,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,1,3),
(11309,145988,'Must not be engaged in pvp combat',100,1,4),
(11310,145988,'When Equipped:',100,0,5),
(11311,145988,'On any combat or spell hit this spell may cast Greater Draconic Might on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(11312,145988,'Increases Crit Bonus of caster by 12.0%',100,2,7),
(11313,145988,'Must not be engaged in pvp combat',100,2,8),
(11314,145988,'Cannot be modified except by direct means',100,2,9),
(11315,145988,'Must not be engaged in pvp combat',100,1,10),
(11316,10145988,'When Equipped:',100,0,0),
(11317,10145988,'Caster will have their chance to hit with a weapon increased by 3.0%',100,1,1),
(11318,10145988,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,2),
(11319,10145988,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,1,3),
(11320,10145988,'Must not be engaged in pvp combat',100,1,4),
(11321,10145988,'When Equipped:',100,0,5),
(11322,10145988,'On any combat or spell hit this spell may cast Greater Draconic Might on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(11323,10145988,'Increases Crit Bonus of caster by 12.0%',100,2,7),
(11324,10145988,'Must not be engaged in pvp combat',100,2,8),
(11325,10145988,'Cannot be modified except by direct means',100,2,9),
(11326,10145988,'Must not be engaged in pvp combat',100,1,10),
(11327,149147,'When Equipped:',100,0,0),
(11328,149147,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(11329,149147,'When Equipped:',100,0,2),
(11330,149147,'On a damage spell hit this spell may cast Icy Gale on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(11331,149147,'Inflicts 467 cold damage on target',100,2,4),
(11332,149147,'Cannot be modified except by direct means',100,2,5),
(11333,149147,'Cannot be modified except by direct means',100,1,6),
(11334,10149147,'When Equipped:',100,0,0),
(11335,10149147,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(11336,10149147,'When Equipped:',100,0,2),
(11337,10149147,'On a damage spell hit this spell may cast Icy Gale on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(11338,10149147,'Inflicts 467 cold damage on target',100,2,4),
(11339,10149147,'Cannot be modified except by direct means',100,2,5),
(11340,10149147,'Cannot be modified except by direct means',100,1,6),
(11341,80261,'When Equipped:',100,0,0),
(11342,80261,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11343,80261,'Inflicts 333 - 619 magic damage on target',100,2,2),
(11344,80261,'Decreases Threat to target by 801 ',100,2,3),
(11345,80261,'Must be flanking or behind',100,3,4),
(11346,80261,'Increases Threat to target by 1,261 ',100,2,5),
(11347,80261,'Must be in front of',100,3,6),
(11348,80261,'Cannot be modified except by direct means',100,2,7),
(11349,10080261,'When Equipped:',100,0,0),
(11350,10080261,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11351,10080261,'Inflicts 333 - 619 magic damage on target',100,2,2),
(11352,10080261,'Cannot be modified except by direct means',100,2,3),
(11353,118242,'Inflicts 87 - 145 divine damage on target',100,1,0),
(11354,118242,'Applies Blessed Strike on termination.',100,1,1),
(11355,118242,'Inflicts 139 - 232 divine damage on target',100,2,2),
(11356,10118242,'Inflicts 68 - 114 divine damage on target',100,1,0),
(11357,10118242,'Applies Blessed Strike on termination.',100,1,1),
(11358,10118242,'Inflicts 110 - 183 divine damage on target',100,2,2),
(11359,45197,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(11360,45197,'Increases STR of caster by 45.7',100,1,1),
(11361,10045197,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(11362,10045197,'Increases STR of caster by 45.7',100,1,1),
(11363,101776,'Heals group members (AE) for 1192 - 1384',100,1,0),
(11364,101776,'Heals group members (AE) for 865 - 1057 every 2 seconds',100,1,1),
(11365,10101776,'Heals group members (AE) for 528 - 627',100,1,0),
(11366,10101776,'Heals group members (AE) for 443 - 541 every 2 seconds',100,1,1),
(11367,101705,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(11368,101705,'Inflicts 2522 - 3009 disease damage on target',100,2,1),
(11369,101705,'Grants a total of 3 triggers of the spell.',100,2,2),
(11370,10101705,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(11371,10101705,'Inflicts 1861 - 2245 disease damage on target',100,2,1),
(11372,10101705,'Grants a total of 3 triggers of the spell.',100,2,2),
(11373,35653,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(11374,104691,'Decreases Mitigation of target vs all damage by 483',100,1,0),
(11375,10104691,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 483',100,1,0),
(11376,10104691,'Decreases Mitigation of target vs physical damage by 402',100,1,1),
(11377,103429,'Slows targets in Area of Effect by 56.0%',100,1,0),
(11378,103429,'Stifles targets in Area of Effect',100,1,1),
(11379,103429,'If Target is not Epic',100,2,2),
(11380,103429,'Decreases Threat to targets in Area of Effect by 13,187 ',100,1,3),
(11381,103429,'10% chance to dispel when target receives hostile action',100,1,4),
(11382,103429,'10% chance to dispel when target takes damage',100,1,5),
(11383,10103429,'Slows targets in Area of Effect by 56.0%',100,1,0),
(11384,10103429,'Stifles targets in Area of Effect',100,1,1),
(11385,10103429,'If Target is not Epic',100,2,2),
(11386,10103429,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(11387,118855,'Inflicts 1440 - 3826 melee damage on target',100,1,0),
(11388,10118855,'Inflicts 1147 - 2666 melee damage on target',100,1,0),
(11389,113671,'Stuns target',100,1,0),
(11390,113671,'If Target is not Epic',100,2,1),
(11391,113671,'Inflicts 152 - 253 heat damage on target',100,1,2),
(11392,113671,'Resistibility increases against targets higher than level 31.',100,1,3),
(11393,10113671,'Stuns target',100,1,0),
(11394,10113671,'If Target is not Epic',100,2,1),
(11395,10113671,'Inflicts 130 - 217 heat damage on target',100,1,2),
(11396,10113671,'Resistibility increases against targets higher than level 31.',100,1,3),
(11397,48161,'Applies Spider on a String when Activated.  Lasts for 45.0 seconds.',100,0,0),
(11398,48161,'Summons a limited pet to aid the caster',100,1,1),
(11399,10048161,'Applies Spider on a String when Activated.  Lasts for 45.0 seconds.',100,0,0),
(11400,10048161,'Summons a limited pet to aid the caster',100,1,1),
(11401,100935,'Dazes target',100,1,0),
(11402,100935,'Inflicts 368 - 449 mental damage on target',100,1,1),
(11403,100935,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',100,1,2),
(11404,100935,'Resistibility increases against targets higher than level 40.',100,1,3),
(11405,10100935,'Dazes target',100,1,0),
(11406,10100935,'Inflicts 316 - 386 mental damage on target',100,1,1),
(11407,10100935,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(11408,10100935,'Resistibility increases against targets higher than level 40.',100,1,3),
(11409,87247,'When Equipped:',100,0,0),
(11410,87247,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11411,87247,'Inflicts 338 - 506 magic damage on target',100,2,2),
(11412,87247,'Cannot be modified except by direct means',100,2,3),
(11413,10087247,'When Equipped:',100,0,0),
(11414,10087247,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11415,10087247,'Inflicts 338 - 506 magic damage on target',100,2,2),
(11416,10087247,'Cannot be modified except by direct means',100,2,3),
(11417,81145,'When Equipped:',100,0,0),
(11418,81145,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11419,81145,'Inflicts 290 - 538 magic damage on target',100,2,2),
(11420,81145,'Decreases Threat to target by 517 ',100,2,3),
(11421,81145,'Must be flanking or behind',100,3,4),
(11422,81145,'Increases Threat to target by 905 ',100,2,5),
(11423,81145,'Must be in front of',100,3,6),
(11424,81145,'Cannot be modified except by direct means',100,2,7),
(11425,10081145,'When Equipped:',100,0,0),
(11426,10081145,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11427,10081145,'Inflicts 290 - 538 magic damage on target',100,2,2),
(11428,10081145,'Cannot be modified except by direct means',100,2,3),
(11429,108795,'Inflicts 666 - 1028 heat damage on targets in Area of Effect',100,1,0),
(11430,10108795,'Inflicts 429 - 683 heat damage on targets in Area of Effect',100,1,0),
(11431,36914,'Increases AGI of target by 2.4',100,0,0),
(11432,36914,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(11433,102037,'Interrupts targets in Area of Effect',100,1,0),
(11434,102037,'Inflicts 263 - 436 melee damage on targets in area',100,1,1),
(11435,10102037,'Interrupts targets in Area of Effect',100,1,0),
(11436,10102037,'Inflicts 207 - 343 melee damage on targets in area',100,1,1),
(11437,153826,'When Equipped:',100,0,0),
(11438,153826,'On a block this spell has a 10% chance to cast Champion''s Impedence V on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(11439,153826,'Increases caster''s chance to block by 13.0%',100,2,2),
(11440,153826,'Must not be engaged in pvp combat',100,2,3),
(11441,153826,'Cannot be modified except by direct means',100,2,4),
(11442,153826,'When damaged this spell has a 10% chance to cast Champion''s Impedence V on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(11443,153826,'Increases caster''s chance to block by 13.0%',100,2,6),
(11444,153826,'Must not be engaged in pvp combat',100,2,7),
(11445,153826,'Cannot be modified except by direct means',100,2,8),
(11446,153826,'Must not be engaged in pvp combat',100,1,9),
(11447,10153826,'When Equipped:',100,0,0),
(11448,10153826,'On a block this spell has a 10% chance to cast Champion''s Impedence V on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(11449,10153826,'Increases caster''s chance to block by 13.0%',100,2,2),
(11450,10153826,'Must not be engaged in pvp combat',100,2,3),
(11451,10153826,'Cannot be modified except by direct means',100,2,4),
(11452,10153826,'When damaged this spell has a 10% chance to cast Champion''s Impedence V on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(11453,10153826,'Increases caster''s chance to block by 13.0%',100,2,6),
(11454,10153826,'Must not be engaged in pvp combat',100,2,7),
(11455,10153826,'Cannot be modified except by direct means',100,2,8),
(11456,10153826,'Must not be engaged in pvp combat',100,1,9),
(11457,24443,'Adds Hua Mein Salvetosser to your Dungeon Maker toolbox',100,0,0),
(11458,10024443,'Adds Hua Mein Salvetosser to your Dungeon Maker toolbox',100,0,0),
(11459,37107,'Increases WIS of target by 6.2',100,0,0),
(11460,37107,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(11461,114399,'Mesmerizes target',100,1,0),
(11462,114399,'Prevents AOE (except when direct) ',100,1,1),
(11463,114399,'Dispelled when target takes damage',100,1,2),
(11464,114399,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(11465,114399,'Resistibility increases against targets higher than level 41.',100,1,4),
(11466,10114399,'Mesmerizes target',100,1,0),
(11467,10114399,'Prevents AOE (except when direct) ',100,1,1),
(11468,10114399,'Dispelled when target takes damage',100,1,2),
(11469,10114399,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(11470,10114399,'Resistibility increases against targets higher than level 41.',100,1,4),
(11471,176629,'When Equipped:',100,0,0),
(11472,176629,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(11473,176629,'Inflicts 802 mental damage on target',100,2,2),
(11474,176629,'Must be classified as a goblin',100,3,3),
(11475,176629,'Inflicts 401 mental damage on target',100,2,4),
(11476,176629,'Must not be classified as a goblin',100,3,5),
(11477,176629,'Decreases Mitigation of target vs arcane damage by 664',100,2,6),
(11478,176629,'Must be classified as a goblin',100,3,7),
(11479,176629,'Cannot be modified except by direct means',100,2,8),
(11480,176629,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,9),
(11481,10176629,'When Equipped:',100,0,0),
(11482,10176629,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(11483,10176629,'Inflicts 802 mental damage on target',100,2,2),
(11484,10176629,'Must be classified as a goblin',100,3,3),
(11485,10176629,'Inflicts 401 mental damage on target',100,2,4),
(11486,10176629,'Must not be classified as a goblin',100,3,5),
(11487,10176629,'Decreases Mitigation of target vs arcane damage by 664',100,2,6),
(11488,10176629,'Must be classified as a goblin',100,3,7),
(11489,10176629,'Cannot be modified except by direct means',100,2,8),
(11490,10176629,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,9),
(11491,101214,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(11492,101214,'Increases Attack Speed of caster by 21.0',100,130,1),
(11493,101214,'Increases Slashing, Piercing, Ranged and Crushing of caster by 19.8',100,130,2),
(11494,101214,'Dazes target',100,1,3),
(11495,101214,'If Target is not Epic',100,2,4),
(11496,101214,'Inflicts 2731 - 3882 cold damage on target',100,1,5),
(11497,101214,'Resistibility increases against targets higher than level 73.',100,1,6),
(11498,10101214,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(11499,10101214,'Increases Attack Speed of caster by 21.0',100,130,1),
(11500,10101214,'Increases Slashing, Piercing, Ranged and Crushing of caster by 19.8',100,130,2),
(11501,10101214,'Dazes target',100,1,3),
(11502,10101214,'If Target is not Epic',100,2,4),
(11503,10101214,'Inflicts 1797 - 2721 cold damage on target',100,1,5),
(11504,10101214,'Resistibility increases against targets higher than level 73.',100,1,6),
(11505,114113,'Inflicts 4214 - 6773 melee damage on targets in area',100,1,0),
(11506,114113,'You must be in stealth to use this!',100,1,1),
(11507,10114113,'Inflicts 3195 - 5211 melee damage on targets in area',100,1,0),
(11508,10114113,'You must be in stealth to use this!',100,1,1),
(11509,46368,'Applies Healing Flora when Activated.',100,0,0),
(11510,46368,'Purifies soul of recipient. ',100,1,1),
(11511,10046368,'Applies Healing Flora when Activated.',100,0,0),
(11512,10046368,'Purifies soul of recipient. ',100,1,1),
(11513,148898,'When Equipped:',100,0,0),
(11514,148898,'Increases the duration of subjugation based spells by 10%.',100,1,1),
(11515,10148898,'When Equipped:',100,0,0),
(11516,10148898,'Increases the duration of subjugation based spells by 10%.',100,1,1),
(11517,115292,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(11518,115292,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(11519,115292,'Inflicts 2945 - 3600 poison damage on target',100,3,2),
(11520,115292,'Grants a total of 1 trigger of the spell.',100,3,3),
(11521,10115292,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(11522,10115292,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(11523,10115292,'Inflicts 2321 - 2837 poison damage on target',100,3,2),
(11524,10115292,'Grants a total of 1 trigger of the spell.',100,3,3),
(11525,104156,'Roots target',100,1,0),
(11526,104156,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(11527,104156,'Makes target afraid',100,2,2),
(11528,104156,'Slows target by 37.3%',100,2,3),
(11529,104156,'30% chance to dispel when target takes damage',100,2,4),
(11530,104156,'Resistibility increases against targets higher than level 112.',100,2,5),
(11531,104156,'15% chance to dispel when target takes damage',100,1,6),
(11532,104156,'Does not affect Epic targets',100,1,7),
(11533,104156,'Resistibility increases against targets higher than level 112.',100,1,8),
(11534,10104156,'Roots target',100,1,0),
(11535,10104156,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(11536,10104156,'Makes target afraid',100,2,2),
(11537,10104156,'Slows target by 37.3%',100,2,3),
(11538,10104156,'30% chance to dispel when target takes damage',100,2,4),
(11539,10104156,'Resistibility increases against targets higher than level 112.',100,2,5),
(11540,10104156,'15% chance to dispel when target takes damage',100,1,6),
(11541,10104156,'Does not affect Epic targets',100,1,7),
(11542,10104156,'Resistibility increases against targets higher than level 112.',100,1,8),
(11543,116039,'Shapechanges caster into a lion',100,1,0),
(11544,116039,'Increases STA of caster by 26.4',100,1,1),
(11545,116039,'Adds 2.5% to base avoidance.',100,1,2),
(11546,116039,'Grants See Stealth to caster',100,1,3),
(11547,116039,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 418',100,1,4),
(11548,10116039,'Shapechanges caster into a lion',100,1,0),
(11549,10116039,'Increases STA of caster by 26.4',100,1,1),
(11550,10116039,'Adds 2.5% to base avoidance.',100,1,2),
(11551,10116039,'Grants See Stealth to caster',100,1,3),
(11552,10116039,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 418',100,1,4),
(11553,110192,'Inflicts 437 - 729 piercing damage on target instantly and every 4 seconds',100,1,0),
(11554,110192,'Inflicts 1202 - 1468 melee damage on target',100,1,1),
(11555,110192,'Applies Untreated Bleeding on termination.',100,1,2),
(11556,110192,'Inflicts 2040 - 3400 piercing damage on target',100,2,3),
(11557,10110192,'Inflicts 345 - 574 piercing damage on target instantly and every 4 seconds',100,1,0),
(11558,10110192,'Inflicts 625 - 777 melee damage on target',100,1,1),
(11559,10110192,'Applies Untreated Bleeding on termination.',100,1,2),
(11560,10110192,'Inflicts 1608 - 2680 piercing damage on target',100,2,3),
(11561,109667,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(11562,109667,'Increases Mitigation of group members (AE) vs arcane damage by 137',100,1,1),
(11563,10109667,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(11564,10109667,'Increases Mitigation of group members (AE) vs arcane damage by 137',100,1,1),
(11565,111752,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(11566,111752,'Inflicts 5236 - 6327 cold damage on target',100,2,1),
(11567,111752,'Grants a total of 3 triggers of the spell.',100,2,2),
(11568,10111752,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(11569,10111752,'Inflicts 4001 - 4860 cold damage on target',100,2,1),
(11570,10111752,'Grants a total of 3 triggers of the spell.',100,2,2),
(11571,115909,'Inflicts 746 - 839 disease damage on target encounter',100,1,0),
(11572,115909,'Inflicts 418 - 511 disease damage on target encounter every 3 seconds',100,1,1),
(11573,10115909,'Inflicts 560 - 655 disease damage on target encounter',100,1,0),
(11574,10115909,'Inflicts 330 - 403 disease damage on target encounter every 3 seconds',100,1,1),
(11575,115619,'Wards target against 5881 points of all damage',100,1,0),
(11576,10115619,'Wards target against 6295 points of all damage',100,1,0),
(11577,47713,'Applies Greater Slippery Feet when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(11578,47713,'Makes caster immune to Root effects',100,1,1),
(11579,10047713,'Applies Greater Slippery Feet when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(11580,10047713,'Makes caster immune to Root effects',100,1,1),
(11581,122566,'Stifles target',100,1,0),
(11582,122566,'If Target is not Epic',100,2,1),
(11583,122566,'Interrupts target',100,1,2),
(11584,122566,'Inflicts 27 - 45 magic damage on target',100,1,3),
(11585,122566,'Resistibility increases against targets higher than level 39.',100,1,4),
(11586,10122566,'Stifles target',100,1,0),
(11587,10122566,'If Target is not Epic',100,2,1),
(11588,10122566,'Interrupts target',100,1,2),
(11589,10122566,'Inflicts 22 - 37 magic damage on target',100,1,3),
(11590,10122566,'Resistibility increases against targets higher than level 39.',100,1,4),
(11591,103256,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(11592,103256,'Adds 2.1% to base avoidance.',100,1,1),
(11593,103256,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(11594,103256,'Increases Parry of caster by 43.4',100,1,3),
(11595,103256,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(11596,103256,'Increases Aggression of caster by 32.5',100,1,5),
(11597,103256,'Increases Defense and Deflection of caster by 43.4',100,1,6),
(11598,103256,'Increases Mitigation of caster vs noxious damage by 2834',100,1,7),
(11599,103256,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(11600,103256,'Reduces physical damage done to caster by 5%',100,1,9),
(11601,10103256,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(11602,10103256,'Adds 2.1% to base avoidance.',100,1,1),
(11603,10103256,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(11604,10103256,'Increases Parry of caster by 43.4',100,1,3),
(11605,10103256,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(11606,10103256,'Increases Aggression of caster by 32.5',100,1,5),
(11607,10103256,'Increases Defense and Deflection of caster by 43.4',100,1,6),
(11608,10103256,'Increases Mitigation of caster vs noxious damage by 2834',100,1,7),
(11609,10103256,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(11610,10103256,'Reduces physical damage done to caster by 5%',100,1,9),
(11611,26585,'When Equipped:',100,0,0),
(11612,26585,'On a healing spell cast this spell may cast Revered Lands on the group.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(11613,26585,'Wards group members (AE) against 3700 points of all damage',100,2,2),
(11614,26585,'Must not be engaged in pvp combat',100,2,3),
(11615,26585,'Cannot be modified except by direct means',100,2,4),
(11616,26585,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(11617,10026585,'When Equipped:',100,0,0),
(11618,10026585,'On a healing spell cast this spell may cast Revered Lands on the group.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(11619,10026585,'Wards group members (AE) against 3700 points of all damage',100,2,2),
(11620,10026585,'Must not be engaged in pvp combat',100,2,3),
(11621,10026585,'Cannot be modified except by direct means',100,2,4),
(11622,10026585,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(11623,123310,'Increases STA of raid and group members (AE) by 11.2',100,1,0),
(11624,123310,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(11625,10123310,'Increases STA of raid and group members (AE) by 11.2',100,1,0),
(11626,10123310,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(11627,143911,'When Equipped:',100,0,0),
(11628,143911,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(11629,143911,'Increases Ability Recovery Speed of caster by 15.0%',100,2,2),
(11630,143911,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(11631,143911,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(11632,143911,'Must not be engaged in pvp combat',100,2,5),
(11633,143911,'Cannot be modified except by direct means',100,2,6),
(11634,143911,'This effect will not stack with itself.',100,1,7),
(11635,143911,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(11636,143911,'Increases Ability Recovery Speed of caster by 15.0%',100,2,9),
(11637,143911,'Increases Ability Casting Speed of caster by 15.0%',100,2,10),
(11638,143911,'Increases in-combat movement speed of caster by 15.0%',100,2,11),
(11639,143911,'Must not be engaged in pvp combat',100,2,12),
(11640,143911,'Cannot be modified except by direct means',100,2,13),
(11641,143911,'Must not be engaged in pvp combat',100,1,14),
(11642,10143911,'When Equipped:',100,0,0),
(11643,10143911,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(11644,10143911,'Increases Ability Recovery Speed of caster by 15.0%',100,2,2),
(11645,10143911,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(11646,10143911,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(11647,10143911,'Must not be engaged in pvp combat',100,2,5),
(11648,10143911,'Cannot be modified except by direct means',100,2,6),
(11649,10143911,'This effect will not stack with itself.',100,1,7),
(11650,10143911,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(11651,10143911,'Increases Ability Recovery Speed of caster by 15.0%',100,2,9),
(11652,10143911,'Increases Ability Casting Speed of caster by 15.0%',100,2,10),
(11653,10143911,'Increases in-combat movement speed of caster by 15.0%',100,2,11),
(11654,10143911,'Must not be engaged in pvp combat',100,2,12),
(11655,10143911,'Cannot be modified except by direct means',100,2,13),
(11656,10143911,'Must not be engaged in pvp combat',100,1,14),
(11657,100127,'Decreases STR, AGI, WIS and INT of target by 59.1',100,1,0),
(11658,100127,'Decreases Max Health of target by 1.0%',100,1,1),
(11659,10100127,'Decreases STR, AGI, WIS and INT of target by 59.1',100,1,0),
(11660,10100127,'Decreases Max Health of target by 1.0%',100,1,1),
(11661,189918,'When Equipped:',100,0,0),
(11662,189918,'When damaged with a melee weapon this spell has a 6% chance to cast Ward of the Everdark on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(11663,189918,'Wards caster against 900 points of all damage',100,2,2),
(11664,189918,'Cannot be modified except by direct means',100,2,3),
(11665,10189918,'When Equipped:',100,0,0),
(11666,10189918,'When damaged with a melee weapon this spell has a 6% chance to cast Ward of the Everdark on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(11667,10189918,'Wards caster against 900 points of all damage',100,2,2),
(11668,10189918,'Cannot be modified except by direct means',100,2,3),
(11669,180866,'When Equipped:',100,0,0),
(11670,180866,'Increases Attack Speed of caster by 5.0',100,1,1),
(11671,10180866,'When Equipped:',100,0,0),
(11672,10180866,'Increases Attack Speed of caster by 5.0',100,1,1),
(11673,124270,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(11674,124270,'Increases Damage Per Second of target by 18.2',100,2,1),
(11675,124270,'Increases Attack Speed of target by 18.2',100,2,2),
(11676,124270,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(11677,124270,'Increases Damage Per Second of target by 18.2',100,2,4),
(11678,124270,'Increases Attack Speed of target by 18.2',100,2,5),
(11679,124270,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(11680,124270,'Increases Damage Per Second of target by 18.2',100,2,7),
(11681,124270,'Increases Attack Speed of target by 18.2',100,2,8),
(11682,10124270,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(11683,10124270,'Increases Damage Per Second of target by 18.2',100,2,1),
(11684,10124270,'Increases Attack Speed of target by 18.2',100,2,2),
(11685,10124270,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(11686,10124270,'Increases Damage Per Second of target by 18.2',100,2,4),
(11687,10124270,'Increases Attack Speed of target by 18.2',100,2,5),
(11688,10124270,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(11689,10124270,'Increases Damage Per Second of target by 18.2',100,2,7),
(11690,10124270,'Increases Attack Speed of target by 18.2',100,2,8),
(11691,81132,'When Equipped:',100,0,0),
(11692,81132,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11693,81132,'Inflicts 290 - 538 magic damage on target',100,2,2),
(11694,81132,'Decreases Threat to target by 517 ',100,2,3),
(11695,81132,'Must be flanking or behind',100,3,4),
(11696,81132,'Increases Threat to target by 905 ',100,2,5),
(11697,81132,'Must be in front of',100,3,6),
(11698,81132,'Cannot be modified except by direct means',100,2,7),
(11699,10081132,'When Equipped:',100,0,0),
(11700,10081132,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(11701,10081132,'Inflicts 290 - 538 magic damage on target',100,2,2),
(11702,10081132,'Cannot be modified except by direct means',100,2,3),
(11703,118712,'Inflicts 516 - 806 slashing damage on target',100,1,0),
(11704,118712,'Decreases Slashing, Crushing and Piercing of target by 5.2',100,1,1),
(11705,118712,'Inflicts 111 - 135 slashing damage on target every 5 seconds',100,1,2),
(11706,10118712,'Inflicts 459 - 711 slashing damage on target',100,1,0),
(11707,10118712,'Decreases Slashing, Crushing and Piercing of target by 5.2',100,1,1),
(11708,10118712,'Inflicts 87 - 107 slashing damage on target every 5 seconds',100,1,2),
(11709,144707,'When Equipped:',100,0,0),
(11710,144707,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(11711,144707,'Wards target against 1000 points of all damage',100,2,2),
(11712,144707,'Cannot be modified except by direct means',100,2,3),
(11713,144707,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(11714,10144707,'When Equipped:',100,0,0),
(11715,10144707,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(11716,10144707,'Wards target against 1000 points of all damage',100,2,2),
(11717,10144707,'Cannot be modified except by direct means',100,2,3),
(11718,10144707,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(11719,108854,'Inflicts 2324 - 2987 melee damage on target',100,129,0),
(11720,108854,'Inflicts 577 - 957 melee damage on target',100,1,1),
(11721,108854,'Inflicts 577 - 957 melee damage on target',100,1,2),
(11722,108854,'Inflicts 577 - 957 melee damage on target',100,1,3),
(11723,108854,'Inflicts 577 - 957 melee damage on target',100,1,4),
(11724,108854,'Inflicts 577 - 957 melee damage on target',100,1,5),
(11725,10108854,'Inflicts 1470 - 2002 melee damage on target',100,129,0),
(11726,10108854,'Inflicts 463 - 767 melee damage on target',100,1,1),
(11727,10108854,'Inflicts 463 - 767 melee damage on target',100,1,2),
(11728,10108854,'Inflicts 463 - 767 melee damage on target',100,1,3),
(11729,10108854,'Inflicts 463 - 767 melee damage on target',100,1,4),
(11730,10108854,'Inflicts 463 - 767 melee damage on target',100,1,5),
(11731,82899,'When Equipped:',100,0,0),
(11732,82899,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11733,82899,'Inflicts 449 - 834 magic damage on target',100,2,2),
(11734,82899,'Cannot be modified except by direct means',100,2,3),
(11735,10082899,'When Equipped:',100,0,0),
(11736,10082899,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(11737,10082899,'Inflicts 449 - 834 magic damage on target',100,2,2),
(11738,10082899,'Cannot be modified except by direct means',100,2,3),
(11739,169972,'When Equipped:',100,0,0),
(11740,169972,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(11741,169972,'Increases in-combat movement speed of caster by 10.0%',100,2,2),
(11742,169972,'Increases Ability Recovery Speed of caster by 10.0%',100,2,3),
(11743,169972,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(11744,169972,'Must not be engaged in pvp combat',100,2,5),
(11745,169972,'Cannot be modified except by direct means',100,2,6),
(11746,169972,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(11747,169972,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(11748,169972,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(11749,169972,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(11750,169972,'Must not be engaged in pvp combat',100,2,11),
(11751,169972,'Cannot be modified except by direct means',100,2,12),
(11752,169972,'This effect will not stack with itself.',100,1,13),
(11753,169972,'Must not be engaged in pvp combat',100,1,14),
(11754,10169972,'When Equipped:',100,0,0),
(11755,10169972,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(11756,10169972,'Increases in-combat movement speed of caster by 10.0%',100,2,2),
(11757,10169972,'Increases Ability Recovery Speed of caster by 10.0%',100,2,3),
(11758,10169972,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(11759,10169972,'Must not be engaged in pvp combat',100,2,5),
(11760,10169972,'Cannot be modified except by direct means',100,2,6),
(11761,10169972,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(11762,10169972,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(11763,10169972,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(11764,10169972,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(11765,10169972,'Must not be engaged in pvp combat',100,2,11),
(11766,10169972,'Cannot be modified except by direct means',100,2,12),
(11767,10169972,'This effect will not stack with itself.',100,1,13),
(11768,10169972,'Must not be engaged in pvp combat',100,1,14),
(11769,124583,'Roots targets in Area of Effect',100,1,0),
(11770,124583,'If Target is not Epic',100,2,1),
(11771,124583,'Decreases Threat to targets in Area of Effect by 7,764 ',100,1,2),
(11772,124583,'Interrupts targets in Area of Effect',100,1,3),
(11773,10124583,'Roots targets in Area of Effect',100,1,0),
(11774,10124583,'If Target is not Epic',100,2,1),
(11775,10124583,'Applies Distract.',100,1,2),
(11776,10124583,'Forces target to clear their selected target.',100,2,3),
(11777,10124583,'Interrupts targets in Area of Effect',100,1,4),
(11778,10124583,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(11779,106391,'Inflicts 3920 - 5854 melee damage on target',100,1,0),
(11780,106391,'Decreases Defense of target by 30.5',100,1,1),
(11781,106391,'Decreases Defense of caster by 21.8',100,1,2),
(11782,10106391,'Inflicts 2710 - 4234 melee damage on target',100,1,0),
(11783,10106391,'Decreases Defense of target by 30.5',100,1,1),
(11784,10106391,'Decreases Defense of caster by 21.8',100,1,2),
(11785,114799,'Decreases WIS of target by 45.5',100,1,0),
(11786,114799,'Increases WIS and STA of caster by 45.5',100,1,1),
(11787,114799,'Decreases Max Health of target by 1.1%',100,1,2),
(11788,114799,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 146',100,1,3),
(11789,114799,'Only affects targets level 17 and above',100,1,4),
(11790,10114799,'Decreases WIS of target by 45.5',100,1,0),
(11791,10114799,'Increases WIS and STA of caster by 45.5',100,1,1),
(11792,10114799,'Decreases Max Health of target by 1.1%',100,1,2),
(11793,10114799,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 146',100,1,3),
(11794,10114799,'Only affects targets level 17 and above',100,1,4),
(11795,47333,'Applies Ysanna''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(11796,47333,'Heals caster for 125',100,1,1),
(11797,47333,'Heals caster for 62 every 5 seconds',100,1,2),
(11798,10047333,'Applies Ysanna''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(11799,10047333,'Heals caster for 81',100,1,1),
(11800,10047333,'Heals caster for 40 every 5 seconds',100,1,2),
(11801,174478,'When Equipped:',100,0,0),
(11802,174478,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(11803,174478,'Inflicts 281 mental damage on target',100,2,2),
(11804,174478,'Must not be classified as a goblin',100,3,3),
(11805,174478,'Inflicts 562 mental damage on target',100,2,4),
(11806,174478,'Must be classified as a goblin',100,3,5),
(11807,174478,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(11808,174478,'Must be classified as a goblin',100,3,7),
(11809,174478,'Cannot be modified except by direct means',100,2,8),
(11810,174478,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(11811,10174478,'When Equipped:',100,0,0),
(11812,10174478,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(11813,10174478,'Inflicts 281 mental damage on target',100,2,2),
(11814,10174478,'Must not be classified as a goblin',100,3,3),
(11815,10174478,'Inflicts 562 mental damage on target',100,2,4),
(11816,10174478,'Must be classified as a goblin',100,3,5),
(11817,10174478,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(11818,10174478,'Must be classified as a goblin',100,3,7),
(11819,10174478,'Cannot be modified except by direct means',100,2,8),
(11820,10174478,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(11821,111687,'Inflicts 2088 - 2334 cold damage on target',100,1,0),
(11822,111687,'Inflicts 1106 - 1351 cold damage on target',100,1,1),
(11823,111687,'If target is elemental',100,2,2),
(11824,10111687,'Inflicts 1142 - 1308 cold damage on target',100,1,0),
(11825,105925,'Inflicts 738 - 1009 disease damage on targets in area',100,1,0),
(11826,105925,'Inflicts 265 - 323 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(11827,10105925,'Inflicts 462 - 680 disease damage on targets in area',100,1,0),
(11828,10105925,'Inflicts 196 - 240 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(11829,115150,'Heals target for 229 - 280',100,1,0),
(11830,10115150,'Heals target for 213 - 260',100,1,0),
(11831,116405,'Heals target for 2198 - 2468',100,1,0),
(11832,116405,'Heals target for 1215 - 1485 every 2 seconds',100,1,1),
(11833,10116405,'Heals target for 879 - 1017',100,1,0),
(11834,10116405,'Heals target for 623 - 761 every 2 seconds',100,1,1),
(11835,104183,'Increases Threat to target encounter by 3,215 - 3,634 ',100,1,0),
(11836,104183,'Interrupts target encounter',100,1,1),
(11837,10104183,'Forces target encounter to change their selected target to caster.',100,1,0),
(11838,10104183,'Interrupts target encounter',100,1,1),
(11839,10104183,'Prevents target encounter from changing targets',100,1,2),
(11840,47034,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(11841,47034,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(11842,47034,'Inflicts 371 poison damage on target instantly and every 6 seconds',100,2,2),
(11843,47034,'Cannot be modified except by direct means',100,2,3),
(11844,47034,'Grants a total of 4 triggers of the spell.',100,2,4),
(11845,10047034,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(11846,10047034,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(11847,10047034,'Inflicts 278 poison damage on target instantly and every 6 seconds',100,2,2),
(11848,10047034,'Cannot be modified except by direct means',100,2,3),
(11849,10047034,'Grants a total of 4 triggers of the spell.',100,2,4),
(11850,159444,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(11851,159444,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(11852,159444,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(11853,159444,'Cannot be modified except by direct means',100,2,3),
(11854,10159444,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(11855,10159444,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(11856,10159444,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(11857,10159444,'Cannot be modified except by direct means',100,2,3),
(11858,147018,'When Equipped:',100,0,0),
(11859,147018,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(11860,147018,'Stuns target',100,2,2),
(11861,147018,'Throws target back',100,2,3),
(11862,147018,'Does not affect Epic targets',100,2,4),
(11863,147018,'Resistibility increases against targets higher than level 74.',100,2,5),
(11864,147018,'Cannot be modified except by direct means',100,2,6),
(11865,10147018,'When Equipped:',100,0,0),
(11866,10147018,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(11867,10147018,'Stuns target',100,2,2),
(11868,10147018,'Throws target back',100,2,3),
(11869,10147018,'Does not affect Epic targets',100,2,4),
(11870,10147018,'Resistibility increases against targets higher than level 74.',100,2,5),
(11871,10147018,'Cannot be modified except by direct means',100,2,6),
(11872,115945,'Inflicts 4837 - 7375 melee damage on target',100,1,0),
(11873,115945,'Roots target',100,1,1),
(11874,115945,'If Target is not Epic',100,2,2),
(11875,115945,'5% chance to dispel when target takes damage',100,1,3),
(11876,115945,'Resistibility increases against targets higher than level 102.',100,1,4),
(11877,10115945,'Inflicts 3432 - 5433 melee damage on target',100,1,0),
(11878,10115945,'Roots target',100,1,1),
(11879,10115945,'If Target is not Epic',100,2,2),
(11880,10115945,'5% chance to dispel when target takes damage',100,1,3),
(11881,10115945,'Resistibility increases against targets higher than level 102.',100,1,4),
(11882,107166,'Inflicts 248 - 411 divine damage on target',100,1,0),
(11883,107166,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(11884,107166,'Stuns target',100,2,2),
(11885,107166,'If Target is not Epic',100,3,3),
(11886,107166,'Inflicts 384 - 640 divine damage on target',100,2,4),
(11887,107166,'Inflicts 329 - 548 divine damage on target',100,2,5),
(11888,107166,'If target is undead',100,3,6),
(11889,10107166,'Inflicts 130 - 216 divine damage on target',100,1,0),
(11890,10107166,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(11891,10107166,'Stuns target',100,2,2),
(11892,10107166,'Inflicts 454 - 756 divine damage on target',100,2,3),
(11893,10107166,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(11894,105854,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(11895,105854,'Increases Damage Per Second of caster by 51.4',100,1,1),
(11896,105854,'Increases Piercing, Slashing and Crushing of caster by 24.1',100,1,2),
(11897,10105854,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(11898,10105854,'Increases Damage Per Second of caster by 51.4',100,1,1),
(11899,10105854,'Increases Piercing, Slashing and Crushing of caster by 24.1',100,1,2),
(11900,159769,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(11901,159769,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(11902,159769,'Inflicts 242 heat damage on target',100,2,2),
(11903,159769,'Cannot be modified except by direct means',100,2,3),
(11904,10159769,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(11905,10159769,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(11906,10159769,'Inflicts 242 heat damage on target',100,2,2),
(11907,10159769,'Cannot be modified except by direct means',100,2,3),
(11908,120671,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 23.8',100,1,0),
(11909,120671,'Increases Focus of group members (AE) by 48.0',100,1,1),
(11910,10120671,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 23.8',100,1,0),
(11911,10120671,'Increases Focus of group members (AE) by 48.0',100,1,1),
(11912,104603,'Heals target for 681 - 833',100,1,0),
(11913,10104603,'Heals target for 380 - 465',100,1,0),
(11914,36579,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(11915,118175,'210% of target''s power consumed will be added to target''s health',100,1,0),
(11916,10118175,'210% of target''s power consumed will be added to target''s health',100,1,0),
(11917,104935,'Inflicts 5148 - 7896 ranged damage on target',100,1,0),
(11918,104935,'Decreases Deflection and Parry of target by 63.3',100,1,1),
(11919,104935,'Requires bow',100,1,2),
(11920,10104935,'Inflicts 2857 - 4481 ranged damage on target',100,1,0),
(11921,10104935,'Decreases Deflection and Parry of target by 63.3',100,1,1),
(11922,10104935,'Requires bow',100,1,2),
(11923,116451,'Inflicts 1445 disease damage on target',100,1,0),
(11924,116451,'Inflicts 462 disease damage on target every 4 seconds',100,1,1),
(11925,116451,'Inflicts 462 disease damage on target instantly and every 4 seconds',100,1,2),
(11926,116451,'If target is nightblood',100,2,3),
(11927,116451,'Inflicts 462 disease damage on target instantly and every 4 seconds',100,1,4),
(11928,116451,'If target is shadowed folk',100,2,5),
(11929,10116451,'Inflicts 759 disease damage on target',100,1,0),
(11930,10116451,'Inflicts 364 disease damage on target every 4 seconds',100,1,1),
(11931,118110,'Heals target for 625 - 763',100,1,0),
(11932,10118110,'Heals target for 523 - 639',100,1,0),
(11933,106488,'Decreases STR and AGI of target by 57.3',100,1,0),
(11934,10106488,'Decreases STR and AGI of target by 57.3',100,1,0),
(11935,110934,'Inflicts 1113 - 1845 divine damage on target',100,1,0),
(11936,110934,'Increases Threat to target by 6,588 ',100,1,1),
(11937,110934,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(11938,110934,'Throws target back',100,2,3),
(11939,110934,'Stuns target',100,2,4),
(11940,110934,'Blurs vision of target',100,2,5),
(11941,110934,'Does not affect Epic targets',100,2,6),
(11942,10110934,'Inflicts 876 - 1364 divine damage on target',100,1,0),
(11943,10110934,'Prevents target from changing targets',100,1,1),
(11944,10110934,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(11945,10110934,'Throws target back',100,2,3),
(11946,10110934,'Stuns target',100,2,4),
(11947,10110934,'Blurs vision of target',100,2,5),
(11948,10110934,'Does not affect Epic targets',100,2,6),
(11949,10110934,'Forces target to change their selected target to caster.',100,1,7),
(11950,120433,'Inflicts 1938 - 2589 melee damage on target',100,1,0),
(11951,120433,'Inflicts 969 - 1607 melee damage on target',100,1,1),
(11952,10120433,'Inflicts 1158 - 1661 melee damage on target',100,1,0),
(11953,10120433,'Inflicts 763 - 1266 melee damage on target',100,1,1),
(11954,100370,'Increases Max Health of target by 1,456.8',100,1,0),
(11955,100370,'Increases Crushing, Piercing, Slashing and Ranged of target by 20.8',100,1,1),
(11956,10100370,'Increases Max Health of target by 1,456.8',100,1,0),
(11957,10100370,'Increases Crushing, Piercing, Slashing and Ranged of target by 20.8',100,1,1),
(11958,88078,'When Equipped:',100,0,0),
(11959,88078,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(11960,88078,'Inflicts 109 - 182 magic damage on target',100,2,2),
(11961,88078,'Inflicts 109 - 182 divine damage on target',100,2,3),
(11962,88078,'Inflicts 109 - 182 piercing damage on target',100,2,4),
(11963,88078,'Must not be engaged in pvp combat',100,2,5),
(11964,88078,'Cannot be modified except by direct means',100,2,6),
(11965,88078,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(11966,88078,'Inflicts 109 - 182 magic damage on target',100,2,8),
(11967,88078,'Inflicts 109 - 182 divine damage on target',100,2,9),
(11968,88078,'Inflicts 109 - 182 piercing damage on target',100,2,10),
(11969,88078,'Must not be engaged in pvp combat',100,2,11),
(11970,88078,'Cannot be modified except by direct means',100,2,12),
(11971,88078,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(11972,88078,'Inflicts 109 - 182 magic damage on target',100,2,14),
(11973,88078,'Inflicts 109 - 182 divine damage on target',100,2,15),
(11974,88078,'Inflicts 109 - 182 piercing damage on target',100,2,16),
(11975,88078,'Must not be engaged in pvp combat',100,2,17),
(11976,88078,'Cannot be modified except by direct means',100,2,18),
(11977,88078,'Must not be engaged in pvp combat',100,1,19),
(11978,10088078,'When Equipped:',100,0,0),
(11979,10088078,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(11980,10088078,'Inflicts 109 - 182 magic damage on target',100,2,2),
(11981,10088078,'Inflicts 109 - 182 divine damage on target',100,2,3),
(11982,10088078,'Inflicts 109 - 182 piercing damage on target',100,2,4),
(11983,10088078,'Must not be engaged in pvp combat',100,2,5),
(11984,10088078,'Cannot be modified except by direct means',100,2,6),
(11985,10088078,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(11986,10088078,'Inflicts 109 - 182 magic damage on target',100,2,8),
(11987,10088078,'Inflicts 109 - 182 divine damage on target',100,2,9),
(11988,10088078,'Inflicts 109 - 182 piercing damage on target',100,2,10),
(11989,10088078,'Must not be engaged in pvp combat',100,2,11),
(11990,10088078,'Cannot be modified except by direct means',100,2,12),
(11991,10088078,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(11992,10088078,'Inflicts 109 - 182 magic damage on target',100,2,14),
(11993,10088078,'Inflicts 109 - 182 divine damage on target',100,2,15),
(11994,10088078,'Inflicts 109 - 182 piercing damage on target',100,2,16),
(11995,10088078,'Must not be engaged in pvp combat',100,2,17),
(11996,10088078,'Cannot be modified except by direct means',100,2,18),
(11997,10088078,'Must not be engaged in pvp combat',100,1,19),
(11998,112369,'Makes target afraid',100,1,0),
(11999,112369,'30% chance to dispel when target takes damage',100,1,1),
(12000,112369,'Does not affect Epic targets',100,1,2),
(12001,112369,'Resistibility increases against targets higher than level 121.',100,1,3),
(12002,10112369,'Makes target afraid',100,1,0),
(12003,10112369,'30% chance to dispel when target takes damage',100,1,1),
(12004,10112369,'Does not affect Epic targets',100,1,2),
(12005,10112369,'Resistibility increases against targets higher than level 121.',100,1,3),
(12006,114446,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(12007,114446,'Increases Attack Speed of caster by 21.0',100,130,1),
(12008,114446,'Increases Slashing, Ranged, Crushing and Piercing of caster by 7.6',100,130,2),
(12009,114446,'Inflicts 594 - 986 heat damage on target',100,1,3),
(12010,10114446,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(12011,10114446,'Increases Attack Speed of caster by 21.0',100,130,1),
(12012,10114446,'Increases Slashing, Ranged, Crushing and Piercing of caster by 7.6',100,130,2),
(12013,10114446,'Inflicts 468 - 777 heat damage on target',100,1,3),
(12014,119686,'Increases Threat to target encounter by 1,044 - 1,276 ',100,1,0),
(12015,10119686,'Prevents target encounter from changing targets',100,1,0),
(12016,10119686,'Forces target encounter to change their selected target to caster.',100,1,1),
(12017,109642,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(12018,109642,'Inflicts 80 - 149 poison damage on target encounter',100,2,1),
(12019,10109642,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(12020,10109642,'Inflicts 63 - 118 poison damage on target encounter',100,2,1),
(12021,123313,'Increases STA of raid and group members (AE) by 16.9',100,1,0),
(12022,123313,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(12023,10123313,'Increases STA of raid and group members (AE) by 16.9',100,1,0),
(12024,10123313,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(12025,40624,'When Equipped:',100,0,0),
(12026,40624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12027,40624,'Inflicts 232 - 347 magic damage on target',100,2,2),
(12028,40624,'Cannot be modified except by direct means',100,2,3),
(12029,10040624,'When Equipped:',100,0,0),
(12030,10040624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12031,10040624,'Inflicts 232 - 347 magic damage on target',100,2,2),
(12032,10040624,'Cannot be modified except by direct means',100,2,3),
(12033,144281,'When Equipped:',100,0,0),
(12034,144281,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(12035,144281,'Must not be engaged in pvp combat',100,1,2),
(12036,10144281,'When Equipped:',100,0,0),
(12037,10144281,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(12038,10144281,'Must not be engaged in pvp combat',100,1,2),
(12039,117485,'Increases Attack Speed of target by 25.6',100,1,0),
(12040,10117485,'Increases Attack Speed of target by 25.6',100,1,0),
(12041,109597,'Increases Defense of group members'' pets (AE) by 2.5',100,1,0),
(12042,109597,'Increases Mitigation of group members (AE) vs all damage by 46',100,1,1),
(12043,10109597,'Increases Defense of group members'' pets (AE) by 2.5',100,1,0),
(12044,10109597,'Increases Mitigation of group members (AE) vs all damage by 46',100,1,1),
(12045,82338,'When Equipped:',100,0,0),
(12046,82338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12047,82338,'Inflicts 523 - 972 magic damage on target',100,2,2),
(12048,82338,'Cannot be modified except by direct means',100,2,3),
(12049,10082338,'When Equipped:',100,0,0),
(12050,10082338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12051,10082338,'Inflicts 523 - 972 magic damage on target',100,2,2),
(12052,10082338,'Cannot be modified except by direct means',100,2,3),
(12053,55651,'When Equipped:',100,0,0),
(12054,55651,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(12055,55651,'Stuns target',100,2,2),
(12056,55651,'Throws target back',100,2,3),
(12057,55651,'Does not affect Epic targets',100,2,4),
(12058,55651,'Resistibility increases against targets higher than level 74.',100,2,5),
(12059,55651,'Cannot be modified except by direct means',100,2,6),
(12060,10055651,'When Equipped:',100,0,0),
(12061,10055651,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(12062,10055651,'Stuns target',100,2,2),
(12063,10055651,'Throws target back',100,2,3),
(12064,10055651,'Does not affect Epic targets',100,2,4),
(12065,10055651,'Resistibility increases against targets higher than level 74.',100,2,5),
(12066,10055651,'Cannot be modified except by direct means',100,2,6),
(12067,132132,'When Equipped:',100,0,0),
(12068,132132,'On a hit this spell may cast Skilled Interval on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12069,132132,'Caster has a 5.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(12070,132132,'Increases power of caster by 368 instantly and every 5 seconds',100,2,3),
(12071,132132,'Increases Ability Modifier of caster by 1,000.0',100,2,4),
(12072,132132,'Must not be engaged in pvp combat',100,2,5),
(12073,132132,'Cannot be modified except by direct means',100,2,6),
(12074,10132132,'When Equipped:',100,0,0),
(12075,10132132,'On a hit this spell may cast Skilled Interval on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12076,10132132,'Caster has a 5.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(12077,10132132,'Increases power of caster by 368 instantly and every 5 seconds',100,2,3),
(12078,10132132,'Increases Ability Modifier of caster by 1,000.0',100,2,4),
(12079,10132132,'Must not be engaged in pvp combat',100,2,5),
(12080,10132132,'Cannot be modified except by direct means',100,2,6),
(12081,107696,'Inflicts 710 - 1174 heat damage on target',100,1,0),
(12082,107696,'You must be sneaking to use this ability.',100,1,1),
(12083,10107696,'Inflicts 633 - 857 heat damage on target',100,1,0),
(12084,10107696,'You must be sneaking to use this ability.',100,1,1),
(12085,100741,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(12086,100741,'Increases Mitigation of group members (AE) vs noxious damage by 2024',100,1,1),
(12087,10100741,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(12088,10100741,'Increases Mitigation of group members (AE) vs noxious damage by 2024',100,1,1),
(12089,45178,'Applies Ancient Bloodletter when Activated.',100,0,0),
(12090,45178,'Shapechanges the user into a vampire, and provides a shield which damages any melee attacker.',100,1,1),
(12091,10045178,'Applies Ancient Bloodletter when Activated.',100,0,0),
(12092,10045178,'Shapechanges the user into a vampire, and provides a shield which damages any melee attacker.',100,1,1),
(12093,144089,'When Equipped:',100,0,0),
(12094,144089,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12095,144089,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,2),
(12096,144089,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(12097,144089,'Must not be engaged in pvp combat',100,2,4),
(12098,144089,'Cannot be modified except by direct means',100,2,5),
(12099,144089,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(12100,144089,'Cannot be modified except by direct means',100,1,7),
(12101,10144089,'When Equipped:',100,0,0),
(12102,10144089,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12103,10144089,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,2),
(12104,10144089,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(12105,10144089,'Must not be engaged in pvp combat',100,2,4),
(12106,10144089,'Cannot be modified except by direct means',100,2,5),
(12107,10144089,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(12108,10144089,'Cannot be modified except by direct means',100,1,7),
(12109,104642,'Inflicts 1106 - 1835 crushing damage on target',100,1,0),
(12110,104642,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 17.7',100,1,1),
(12111,10104642,'Inflicts 871 - 1358 crushing damage on target',100,1,0),
(12112,10104642,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 17.7',100,1,1),
(12113,35449,'Increases AGI and STA of target by 9.4',100,0,0),
(12114,35449,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(12115,122839,'Inflicts 4502 - 6823 ranged damage on target',100,1,0),
(12116,122839,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(12117,122839,'Increases Hate Gain of target by 30.0%',100,2,2),
(12118,122839,'Grants a total of 1 trigger of the spell.',100,2,3),
(12119,122839,'Requires bow',100,1,4),
(12120,10122839,'Inflicts 2475 - 3847 ranged damage on target',100,1,0),
(12121,10122839,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(12122,10122839,'Grants a total of 1 trigger of the spell.',100,2,2),
(12123,10122839,'Requires bow',100,1,3),
(12124,89951,'When Equipped:',100,0,0),
(12125,89951,'On a hostile spell hit this spell may cast Seer''s Renewal on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12126,89951,'Increases power of caster by 95',100,2,2),
(12127,89951,'Increases power of caster by 143 every 5 seconds',100,2,3),
(12128,89951,'Cannot be modified except by direct means',100,2,4),
(12129,10089951,'When Equipped:',100,0,0),
(12130,10089951,'On a hostile spell hit this spell may cast Seer''s Renewal on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12131,10089951,'Increases power of caster by 95',100,2,2),
(12132,10089951,'Increases power of caster by 143 every 5 seconds',100,2,3),
(12133,10089951,'Cannot be modified except by direct means',100,2,4),
(12134,181492,'When Equipped:',100,0,0),
(12135,181492,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12136,181492,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(12137,181492,'Cannot be modified except by direct means',100,2,3),
(12138,10181492,'When Equipped:',100,0,0),
(12139,10181492,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12140,10181492,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(12141,10181492,'Cannot be modified except by direct means',100,2,3),
(12142,48203,'Applies Spirit of the Hawk when Activated.  Lasts for 30 minutes.',100,0,0),
(12143,48203,'Shapechanges caster into a hawk',100,1,1),
(12144,48203,'Increases Out-of-Combat Power Regeneration of caster by 60.0',100,1,2),
(12145,48203,'This effect suspends during combat',100,1,3),
(12146,48203,'Only affects targets level 40 and above',100,1,4),
(12147,10048203,'Applies Spirit of the Hawk when Activated.  Lasts for 30 minutes.',100,0,0),
(12148,10048203,'Shapechanges caster into a hawk',100,1,1),
(12149,10048203,'Increases Out-of-Combat Power Regeneration of caster by 60.0',100,1,2),
(12150,10048203,'This effect suspends during combat',100,1,3),
(12151,10048203,'Only affects targets level 40 and above',100,1,4),
(12152,115776,'Inflicts 2142 - 3352 melee damage on target',100,1,0),
(12153,10115776,'Inflicts 1536 - 2288 melee damage on target',100,1,0),
(12154,104655,'Decreases Mitigation of target vs all damage by 55',100,1,0),
(12155,10104655,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 55',100,1,0),
(12156,10104655,'Decreases Mitigation of target vs physical damage by 46',100,1,1),
(12157,119348,'Inflicts 1814 - 2230 disease damage on target',100,1,0),
(12158,119348,'Inflicts 333 - 499 disease damage on target every 2 seconds',100,1,1),
(12159,10119348,'Inflicts 1077 - 1418 disease damage on target',100,1,0),
(12160,10119348,'Inflicts 273 - 409 disease damage on target every 2 seconds',100,1,1),
(12161,181488,'When Equipped:',100,0,0),
(12162,181488,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(12163,181488,'Heals group members (AE) for 391',100,2,2),
(12164,181488,'Cannot be modified except by direct means',100,2,3),
(12165,181488,'Cannot be modified except by direct means',100,1,4),
(12166,10181488,'When Equipped:',100,0,0),
(12167,10181488,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(12168,10181488,'Heals group members (AE) for 254',100,2,2),
(12169,10181488,'Cannot be modified except by direct means',100,2,3),
(12170,10181488,'Cannot be modified except by direct means',100,1,4),
(12171,82488,'When Equipped:',100,0,0),
(12172,82488,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(12173,82488,'Inflicts 272 - 505 magic damage on target',100,2,2),
(12174,82488,'Decreases Threat to target by 641 ',100,2,3),
(12175,82488,'Must be flanking or behind',100,3,4),
(12176,82488,'Increases Threat to target by 1,101 ',100,2,5),
(12177,82488,'Must be in front of',100,3,6),
(12178,82488,'Cannot be modified except by direct means',100,2,7),
(12179,10082488,'When Equipped:',100,0,0),
(12180,10082488,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(12181,10082488,'Inflicts 272 - 505 magic damage on target',100,2,2),
(12182,10082488,'Cannot be modified except by direct means',100,2,3),
(12183,102531,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(12184,102531,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(12185,102531,'Increases Aggression of caster by 14.4',100,1,2),
(12186,102531,'Increases Defense and Parry of caster by 28.8',100,1,3),
(12187,102531,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(12188,10102531,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(12189,10102531,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(12190,10102531,'Increases Aggression of caster by 14.4',100,1,2),
(12191,10102531,'Increases Defense and Parry of caster by 28.8',100,1,3),
(12192,10102531,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(12193,81135,'When Equipped:',100,0,0),
(12194,81135,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12195,81135,'Inflicts 265 - 493 magic damage on target',100,2,2),
(12196,81135,'Cannot be modified except by direct means',100,2,3),
(12197,10081135,'When Equipped:',100,0,0),
(12198,10081135,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12199,10081135,'Inflicts 265 - 493 magic damage on target',100,2,2),
(12200,10081135,'Cannot be modified except by direct means',100,2,3),
(12201,102699,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(12202,102699,'Inflicts 993 - 1655 heat damage on target',100,2,1),
(12203,102699,'Grants a total of 5 triggers of the spell.',100,2,2),
(12204,102699,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(12205,102699,'Inflicts 993 - 1655 heat damage on target',100,2,4),
(12206,102699,'Grants a total of 5 triggers of the spell.',100,2,5),
(12207,10102699,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(12208,10102699,'Inflicts 803 - 1250 heat damage on target',100,2,1),
(12209,10102699,'Grants a total of 5 triggers of the spell.',100,2,2),
(12210,10102699,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(12211,10102699,'Inflicts 803 - 1250 heat damage on target',100,2,4),
(12212,10102699,'Grants a total of 5 triggers of the spell.',100,2,5),
(12213,121434,'Increases AGI of caster by 16.6',100,1,0),
(12214,121434,'Adds 15.6% to base avoidance.',100,1,1),
(12215,121434,'Increases Mitigation of caster vs physical damage by 169',100,1,2),
(12216,121434,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',100,1,3),
(12217,10121434,'Increases AGI of caster by 16.6',100,1,0),
(12218,10121434,'Adds 15.6% to base avoidance.',100,1,1),
(12219,10121434,'Increases Mitigation of caster vs physical damage by 169',100,1,2),
(12220,10121434,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',100,1,3),
(12221,80009,'When Equipped:',100,0,0),
(12222,80009,'On a combat hit this spell may cast Havoc''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12223,80009,'Inflicts 367 - 550 piercing damage on target',100,2,2),
(12224,80009,'Increases Multi Attack Chance of caster by 8.0',100,2,3),
(12225,80009,'Cannot be modified except by direct means',100,2,4),
(12226,80009,'Cannot be modified except by direct means',100,1,5),
(12227,10080009,'When Equipped:',100,0,0),
(12228,10080009,'On a combat hit this spell may cast Havoc''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12229,10080009,'Inflicts 367 - 550 piercing damage on target',100,2,2),
(12230,10080009,'Increases Multi Attack Chance of caster by 8.0',100,2,3),
(12231,10080009,'Cannot be modified except by direct means',100,2,4),
(12232,10080009,'Cannot be modified except by direct means',100,1,5),
(12233,42287,'When Equipped:',100,0,0),
(12234,42287,'On a ranged hit this spell may cast Storm Arrow on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12235,42287,'Stuns target',100,2,2),
(12236,42287,'Inflicts 164 - 305 magic damage on target',100,2,3),
(12237,42287,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(12238,42287,'Cannot be modified except by direct means',100,2,5),
(12239,10042287,'When Equipped:',100,0,0),
(12240,10042287,'On a ranged hit this spell may cast Storm Arrow on target of attack.  Lasts for 1.0 second.  Triggers about 1.8 times per minute. ',100,1,1),
(12241,10042287,'Stuns target',100,2,2),
(12242,10042287,'Inflicts 164 - 305 magic damage on target',100,2,3),
(12243,10042287,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,4),
(12244,10042287,'Cannot be modified except by direct means',100,2,5),
(12245,111932,'Inflicts 295 - 492 piercing damage on target instantly and every 4 seconds',100,1,0),
(12246,111932,'Inflicts 2071 - 2787 piercing damage on target',100,1,1),
(12247,10111932,'Inflicts 388 - 647 piercing damage on target instantly and every 4 seconds',100,1,0),
(12248,10111932,'Inflicts 1564 - 2335 piercing damage on target',100,1,1),
(12249,113701,'Stuns target',100,1,0),
(12250,113701,'If Target is not Epic',100,2,1),
(12251,113701,'Inflicts 7560 - 11945 heat damage on target',100,1,2),
(12252,113701,'Resistibility increases against targets higher than level 101.',100,1,3),
(12253,10113701,'Stuns target',100,1,0),
(12254,10113701,'If Target is not Epic',100,2,1),
(12255,10113701,'Inflicts 5579 - 9035 heat damage on target',100,1,2),
(12256,10113701,'Resistibility increases against targets higher than level 101.',100,1,3),
(12257,120643,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 1.8',100,1,0),
(12258,120643,'Increases Focus of group members (AE) by 3.5',100,1,1),
(12259,10120643,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 1.8',100,1,0),
(12260,10120643,'Increases Focus of group members (AE) by 3.5',100,1,1),
(12261,48843,'Applies Translucent Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(12262,48843,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(12263,48843,'Decreases power of target by 241',100,2,2),
(12264,48843,'Cannot be modified except by direct means',100,2,3),
(12265,48843,'Grants a total of 4 triggers of the spell.',100,2,4),
(12266,48843,'Only affects targets level 50 and above',100,1,5),
(12267,10048843,'Applies Translucent Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(12268,10048843,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(12269,10048843,'Decreases power of target by 241',100,2,2),
(12270,10048843,'Cannot be modified except by direct means',100,2,3),
(12271,10048843,'Grants a total of 4 triggers of the spell.',100,2,4),
(12272,10048843,'Only affects targets level 50 and above',100,1,5),
(12273,109480,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(12274,109480,'Increases Attack Speed of caster by 21.0',100,130,1),
(12275,109480,'Increases Crushing, Ranged, Slashing and Piercing of caster by 20.3',100,130,2),
(12276,109480,'Inflicts 2702 - 3834 cold damage on target',100,1,3),
(12277,10109480,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(12278,10109480,'Increases Attack Speed of caster by 21.0',100,130,1),
(12279,10109480,'Increases Crushing, Ranged, Slashing and Piercing of caster by 20.3',100,130,2),
(12280,10109480,'Inflicts 1750 - 2642 cold damage on target',100,1,3),
(12281,111577,'Inflicts 27602 - 50418 cold damage on target',100,1,0),
(12282,111577,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(12283,111577,'Stuns target',100,2,2),
(12284,111577,'Throws target back',100,2,3),
(12285,111577,'Blurs vision of target',100,2,4),
(12286,111577,'Does not affect Epic targets',100,2,5),
(12287,10111577,'Inflicts 15565 - 28568 cold damage on target',100,1,0),
(12288,10111577,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(12289,10111577,'Stuns target',100,2,2),
(12290,10111577,'Blurs vision of target',100,2,3),
(12291,10111577,'Throws target back',100,2,4),
(12292,10111577,'Does not affect Epic targets',100,2,5),
(12293,73743,'Applies Frost Blast when Activated.',100,0,0),
(12294,73743,'Inflicts 339 - 565 cold damage on target',100,1,1),
(12295,73743,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(12296,10073743,'Applies Frost Blast when Activated.',100,0,0),
(12297,10073743,'Inflicts 339 - 565 cold damage on target',100,1,1),
(12298,10073743,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(12299,47026,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(12300,47026,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(12301,47026,'Inflicts 98 poison damage on target',100,2,2),
(12302,47026,'Inflicts 86 poison damage on target instantly and every 6 seconds',100,2,3),
(12303,47026,'Cannot be modified except by direct means',100,2,4),
(12304,47026,'Grants a total of 200 triggers of the spell.',100,2,5),
(12305,10047026,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(12306,10047026,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(12307,10047026,'Inflicts 64 poison damage on target instantly and every 6 seconds',100,2,2),
(12308,10047026,'Inflicts 74 poison damage on target',100,2,3),
(12309,10047026,'Cannot be modified except by direct means',100,2,4),
(12310,10047026,'Grants a total of 200 triggers of the spell.',100,2,5),
(12311,110856,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(12312,110856,'Inflicts 1831 - 2943 divine damage on target',100,2,1),
(12313,110856,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(12314,110856,'Stuns target',100,3,3),
(12315,110856,'Throws target back',100,3,4),
(12316,110856,'Blurs vision of target',100,3,5),
(12317,110856,'Does not affect Epic targets',100,3,6),
(12318,110856,'Grants a total of 3 triggers of the spell.',100,2,7),
(12319,10110856,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(12320,10110856,'Inflicts 1369 - 2193 divine damage on target',100,2,1),
(12321,10110856,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(12322,10110856,'Stuns target',100,3,3),
(12323,10110856,'Throws target back',100,3,4),
(12324,10110856,'Blurs vision of target',100,3,5),
(12325,10110856,'Does not affect Epic targets',100,3,6),
(12326,10110856,'Grants a total of 3 triggers of the spell.',100,2,7),
(12327,104152,'Roots target',100,1,0),
(12328,104152,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(12329,104152,'Makes target afraid',100,2,2),
(12330,104152,'Slows target by 35.7%',100,2,3),
(12331,104152,'30% chance to dispel when target takes damage',100,2,4),
(12332,104152,'Resistibility increases against targets higher than level 102.',100,2,5),
(12333,104152,'15% chance to dispel when target takes damage',100,1,6),
(12334,104152,'Does not affect Epic targets',100,1,7),
(12335,104152,'Resistibility increases against targets higher than level 102.',100,1,8),
(12336,10104152,'Roots target',100,1,0),
(12337,10104152,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(12338,10104152,'Makes target afraid',100,2,2),
(12339,10104152,'Slows target by 35.7%',100,2,3),
(12340,10104152,'30% chance to dispel when target takes damage',100,2,4),
(12341,10104152,'Resistibility increases against targets higher than level 102.',100,2,5),
(12342,10104152,'15% chance to dispel when target takes damage',100,1,6),
(12343,10104152,'Does not affect Epic targets',100,1,7),
(12344,10104152,'Resistibility increases against targets higher than level 102.',100,1,8),
(12345,103324,'Applies Migraine on termination.',100,1,0),
(12346,103324,'Inflicts 3348 - 4414 mental damage on target',100,2,1),
(12347,103324,'Inflicts 2368 - 2676 mental damage on target',100,1,2),
(12348,103324,'Inflicts 1386 - 1694 mental damage on target every 6 seconds',100,1,3),
(12349,10103324,'Applies Migraine on termination.',100,1,0),
(12350,10103324,'Inflicts 2512 - 3352 mental damage on target',100,2,1),
(12351,10103324,'Inflicts 1487 - 1730 mental damage on target',100,1,2),
(12352,10103324,'Inflicts 1092 - 1335 mental damage on target every 6 seconds',100,1,3),
(12353,72253,'When Equipped:',100,0,0),
(12354,72253,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12355,72253,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(12356,72253,'Cannot be modified except by direct means',100,2,3),
(12357,10072253,'When Equipped:',100,0,0),
(12358,10072253,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12359,10072253,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(12360,10072253,'Cannot be modified except by direct means',100,2,3),
(12361,122171,'Inflicts 1291 - 1360 cold damage on target',100,1,0),
(12362,122171,'Inflicts 309 - 377 cold damage on target every 2 seconds',100,1,1),
(12363,122171,'Inflicts 309 - 377 cold damage on target instantly and every 2 seconds',100,1,2),
(12364,122171,'If target is elemental',100,2,3),
(12365,10122171,'Inflicts 638 - 692 cold damage on target',100,1,0),
(12366,10122171,'Inflicts 243 - 297 cold damage on target every 2 seconds',100,1,1),
(12367,103680,'Interrupts target',100,1,0),
(12368,103680,'Inflicts 2685 - 3955 melee damage on target',100,1,1),
(12369,103680,'Must be flanking or behind',100,1,2),
(12370,10103680,'Interrupts target',100,1,0),
(12371,10103680,'Inflicts 1807 - 2737 melee damage on target',100,1,1),
(12372,10103680,'Must be flanking or behind',100,1,2),
(12373,106398,'Inflicts 4553 - 6904 melee damage on target',100,1,0),
(12374,106398,'Decreases Defense of target by 35.8',100,1,1),
(12375,106398,'Decreases Defense of caster by 29.8',100,1,2),
(12376,10106398,'Inflicts 3209 - 5062 melee damage on target',100,1,0),
(12377,10106398,'Decreases Defense of target by 35.8',100,1,1),
(12378,10106398,'Decreases Defense of caster by 29.8',100,1,2),
(12379,100211,'Increases Threat to target encounter by 2,397 - 2,857 ',100,1,0),
(12380,100211,'Interrupts target encounter',100,1,1),
(12381,10100211,'Interrupts target encounter',100,1,0),
(12382,10100211,'Forces target encounter to change their selected target to caster.',100,1,1),
(12383,10100211,'Prevents target encounter from changing targets',100,1,2),
(12384,101590,'Inflicts 1486 - 2441 melee damage on targets in area',100,1,0),
(12385,10101590,'Inflicts 1158 - 1834 melee damage on targets in area',100,1,0),
(12386,165678,'When Equipped:',100,0,0),
(12387,165678,'Reduces maximum falling speed of caster',100,1,1),
(12388,10165678,'When Equipped:',100,0,0),
(12389,10165678,'Reduces maximum falling speed of caster',100,1,1),
(12390,103908,'Increases power of group members (AE) by 62 instantly and every 6 seconds',100,1,0),
(12391,103908,'Decreases INT of target by 194.0',100,1,1),
(12392,10103908,'Increases power of group members (AE) by 62 instantly and every 6 seconds',100,1,0),
(12393,10103908,'Decreases INT of target by 194.0',100,1,1),
(12394,36924,'Increases STR of target by 12.7',100,0,0),
(12395,36924,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(12396,74913,'When Equipped:',100,0,0),
(12397,74913,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12398,74913,'Inflicts 49 - 74 magic damage on target',100,2,2),
(12399,74913,'Cannot be modified except by direct means',100,2,3),
(12400,10074913,'When Equipped:',100,0,0),
(12401,10074913,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12402,10074913,'Inflicts 49 - 74 magic damage on target',100,2,2),
(12403,10074913,'Cannot be modified except by direct means',100,2,3),
(12404,119810,'Adds 1.3% to base avoidance.',100,1,0),
(12405,119810,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(12406,10119810,'Adds 1.3% to base avoidance.',100,1,0),
(12407,10119810,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(12408,117683,'Decreases Mitigation of target vs physical damage by 726',100,1,0),
(12409,10117683,'Decreases Mitigation of target vs physical damage by 363',100,1,0),
(12410,104215,'Decreases WIS of target encounter by 39.4',100,1,0),
(12411,104215,'Inflicts 637 mental damage on target encounter',100,1,1),
(12412,104215,'Inflicts 310 mental damage on target encounter every 6 seconds',100,1,2),
(12413,10104215,'Decreases WIS of target encounter by 39.4',100,1,0),
(12414,10104215,'Inflicts 376 mental damage on target encounter',100,1,1),
(12415,10104215,'Inflicts 244 mental damage on target encounter every 6 seconds',100,1,2),
(12416,122598,'Inflicts 1496 - 1610 mental damage on target',100,1,0),
(12417,122598,'Inflicts 513 - 627 mental damage on target every 3 seconds',100,1,1),
(12418,122598,'Decreases Mitigation of target vs arcane damage by 804',100,1,2),
(12419,10122598,'Inflicts 799 - 889 mental damage on target',100,1,0),
(12420,10122598,'Inflicts 405 - 495 mental damage on target every 3 seconds',100,1,1),
(12421,10122598,'Decreases Mitigation of target vs arcane damage by 804',100,1,2),
(12422,160545,'When Equipped:',100,0,0),
(12423,160545,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(12424,160545,'Increases power of target by 55 instantly and every 4 seconds',100,2,2),
(12425,160545,'Cannot be modified except by direct means',100,2,3),
(12426,10160545,'When Equipped:',100,0,0),
(12427,10160545,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(12428,10160545,'Increases power of target by 55 instantly and every 4 seconds',100,2,2),
(12429,10160545,'Cannot be modified except by direct means',100,2,3),
(12430,120138,'Decreases STR and INT of target by 37.6',100,1,0),
(12431,120138,'Increases STR and INT of caster by 37.6',100,1,1),
(12432,10120138,'Decreases STR and INT of target by 37.6',100,1,0),
(12433,10120138,'Increases STR and INT of caster by 37.6',100,1,1),
(12434,80986,'When Equipped:',100,0,0),
(12435,80986,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12436,80986,'Inflicts 369 - 686 magic damage on target',100,2,2),
(12437,80986,'Cannot be modified except by direct means',100,2,3),
(12438,10080986,'When Equipped:',100,0,0),
(12439,10080986,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12440,10080986,'Inflicts 369 - 686 magic damage on target',100,2,2),
(12441,10080986,'Cannot be modified except by direct means',100,2,3),
(12442,37303,'Increases AGI of target by 20.8',100,0,0),
(12443,37303,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(12444,46706,'Applies Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(12445,46706,'Heals caster for 209',100,1,1),
(12446,46706,'Heals caster for 105 every 5 seconds',100,1,2),
(12447,46706,'Only affects targets level 50 and above',100,1,3),
(12448,10046706,'Applies Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(12449,10046706,'Heals caster for 136',100,1,1),
(12450,10046706,'Heals caster for 68 every 5 seconds',100,1,2),
(12451,10046706,'Only affects targets level 50 and above',100,1,3),
(12452,36628,'Increases STA and STR of target by 9.4',100,0,0),
(12453,36628,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(12454,124579,'Roots targets in Area of Effect',100,1,0),
(12455,124579,'If Target is not Epic',100,2,1),
(12456,124579,'Decreases Threat to targets in Area of Effect by 4,667 ',100,1,2),
(12457,124579,'Interrupts targets in Area of Effect',100,1,3),
(12458,10124579,'Roots targets in Area of Effect',100,1,0),
(12459,10124579,'If Target is not Epic',100,2,1),
(12460,10124579,'Applies Distract.',100,1,2),
(12461,10124579,'Forces target to clear their selected target.',100,2,3),
(12462,10124579,'Interrupts targets in Area of Effect',100,1,4),
(12463,10124579,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(12464,108308,'Inflicts 529 - 878 divine damage on target',100,1,0),
(12465,108308,'Heals caster for 1.4% of max health',100,1,1),
(12466,108308,'This effect cannot be critically applied.',100,2,2),
(12467,108308,'The healing of this spell cannot be modified except by direct means',100,1,3),
(12468,10108308,'Inflicts 423 - 701 divine damage on target',100,1,0),
(12469,10108308,'Heals caster for 0.7% of max health',100,1,1),
(12470,10108308,'This effect cannot be critically applied.',100,2,2),
(12471,10108308,'The healing of this spell cannot be modified except by direct means',100,1,3),
(12472,106881,'Decreases Threat to targets in Area of Effect by 6,664 ',100,1,0),
(12473,106881,'Stuns targets in Area of Effect',100,1,1),
(12474,106881,'If Target is not Epic',100,2,2),
(12475,10106881,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(12476,10106881,'Applies Distract.',100,1,1),
(12477,10106881,'Forces target to clear their selected target.',100,2,2),
(12478,10106881,'Stuns targets in Area of Effect',100,1,3),
(12479,10106881,'If Target is not Epic',100,2,4),
(12480,155518,'When Equipped:',100,0,0),
(12481,155518,'Additional equipment with Void Bane improves this effect.',100,1,1),
(12482,155518,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(12483,155518,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(12484,155518,'If any of the following are true:',100,3,4),
(12485,155518,'Must be classified as a void beast',100,4,5),
(12486,155518,'Must be classified as a shadowed folk',100,4,6),
(12487,155518,'Inflicts 516 mental damage on target',100,2,7),
(12488,155518,'Must not be classified as a void beast',100,3,8),
(12489,155518,'Must not be classified as a shadowed folk',100,3,9),
(12490,155518,'Inflicts 1031 mental damage on target',100,2,10),
(12491,155518,'If any of the following are true:',100,3,11),
(12492,155518,'Must be classified as a void beast',100,4,12),
(12493,155518,'Must be classified as a shadowed folk',100,4,13),
(12494,155518,'Cannot be modified except by direct means',100,2,14),
(12495,155518,'When Equipped:',100,0,15),
(12496,155518,'Increases Attack Speed of caster by 40.0',100,1,16),
(12497,10155518,'When Equipped:',100,0,0),
(12498,10155518,'Additional equipment with Void Bane improves this effect.',100,1,1),
(12499,10155518,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(12500,10155518,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(12501,10155518,'If any of the following are true:',100,3,4),
(12502,10155518,'Must be classified as a void beast',100,4,5),
(12503,10155518,'Must be classified as a shadowed folk',100,4,6),
(12504,10155518,'Inflicts 516 mental damage on target',100,2,7),
(12505,10155518,'Must not be classified as a void beast',100,3,8),
(12506,10155518,'Must not be classified as a shadowed folk',100,3,9),
(12507,10155518,'Inflicts 1031 mental damage on target',100,2,10),
(12508,10155518,'If any of the following are true:',100,3,11),
(12509,10155518,'Must be classified as a void beast',100,4,12),
(12510,10155518,'Must be classified as a shadowed folk',100,4,13),
(12511,10155518,'Cannot be modified except by direct means',100,2,14),
(12512,10155518,'When Equipped:',100,0,15),
(12513,10155518,'Increases Attack Speed of caster by 40.0',100,1,16),
(12514,108483,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(12515,108483,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,1),
(12516,108483,'Increases Aggression of caster by 15.9',100,1,2),
(12517,108483,'Increases Defense and Parry of caster by 31.8',100,1,3),
(12518,108483,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(12519,10108483,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(12520,10108483,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,1),
(12521,10108483,'Increases Aggression of caster by 15.9',100,1,2),
(12522,10108483,'Increases Defense and Parry of caster by 31.8',100,1,3),
(12523,10108483,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(12524,124225,'Decreases Attack Speed of caster by 15.5',100,1,0),
(12525,124225,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(12526,124225,'Slows targets in Area of Effect by 41.0%',100,2,2),
(12527,124225,'5% chance to dispel when target receives hostile action',100,2,3),
(12528,124225,'5% chance to dispel when target takes damage',100,2,4),
(12529,124225,'Increases Mitigation of caster vs physical damage by 550',100,1,5),
(12530,10124225,'Decreases Attack Speed of caster by 15.5',100,1,0),
(12531,10124225,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(12532,10124225,'Slows targets in Area of Effect by 30.8%',100,2,2),
(12533,10124225,'5% chance to dispel when target receives hostile action',100,2,3),
(12534,10124225,'5% chance to dispel when target takes damage',100,2,4),
(12535,10124225,'Increases Mitigation of caster vs physical damage by 550',100,1,5),
(12536,101638,'Applies Forceful Headache on termination.',100,1,0),
(12537,101638,'Inflicts 2103 - 3331 mental damage on target',100,2,1),
(12538,101638,'If over 50% power',100,3,2),
(12539,101638,'Inflicts 1703 - 1864 mental damage on target',100,1,3),
(12540,101638,'Inflicts 721 - 881 mental damage on target every 6 seconds',100,1,4),
(12541,101638,'Decreases Mitigation of target vs arcane damage by 1120',100,1,5),
(12542,10101638,'Applies Forceful Headache on termination.',100,1,0),
(12543,10101638,'Inflicts 1552 - 2499 mental damage on target',100,2,1),
(12544,10101638,'If over 50% power',100,3,2),
(12545,10101638,'Inflicts 963 - 1089 mental damage on target',100,1,3),
(12546,10101638,'Inflicts 568 - 694 mental damage on target every 6 seconds',100,1,4),
(12547,10101638,'Decreases Mitigation of target vs arcane damage by 1120',100,1,5),
(12548,159198,'Applies Lambent Imbued when Equipped.',100,0,0),
(12549,159198,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(12550,159198,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(12551,159198,'Cannot be modified except by direct means',100,2,3),
(12552,10159198,'Applies Lambent Imbued when Equipped.',100,0,0),
(12553,10159198,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(12554,10159198,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(12555,10159198,'Cannot be modified except by direct means',100,2,3),
(12556,36820,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(12557,158690,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(12558,158690,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(12559,158690,'Cannot be modified except by direct means',100,1,2),
(12560,10158690,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(12561,10158690,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(12562,10158690,'Cannot be modified except by direct means',100,1,2),
(12563,159356,'Applies Lambent Imbued when Equipped.',100,0,0),
(12564,159356,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(12565,159356,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(12566,159356,'Cannot be modified except by direct means',100,2,3),
(12567,10159356,'Applies Lambent Imbued when Equipped.',100,0,0),
(12568,10159356,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(12569,10159356,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(12570,10159356,'Cannot be modified except by direct means',100,2,3),
(12571,114060,'Inflicts 1451 - 2184 melee damage on target',100,1,0),
(12572,114060,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(12573,114060,'Grants stealth to caster',100,2,2),
(12574,114060,'Suspends caster''s movement speed enhancements',100,2,3),
(12575,114060,'Must be flanking or behind',100,1,4),
(12576,10114060,'Inflicts 1251 - 1815 melee damage on target',100,1,0),
(12577,10114060,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(12578,10114060,'Grants stealth to caster',100,2,2),
(12579,10114060,'Suspends caster''s movement speed enhancements',100,2,3),
(12580,10114060,'Must be flanking or behind',100,1,4),
(12581,47543,'Applies Catch Pixie when Activated.',100,0,0),
(12582,47543,'Catch a pixie and tie a string around it!',100,1,1),
(12583,10047543,'Applies Catch Pixie when Activated.',100,0,0),
(12584,10047543,'Catch a pixie and tie a string around it!',100,1,1),
(12585,37229,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(12586,121636,'Inflicts 4647 - 11812 melee damage on target',100,1,0),
(12587,121636,'Dazes target',100,1,1),
(12588,121636,'If Target is not Epic',100,2,2),
(12589,121636,'Must be flanking or behind',100,1,3),
(12590,121636,'Resistibility increases against targets higher than level 112.',100,1,4),
(12591,10121636,'Inflicts 3283 - 8930 melee damage on target',100,1,0),
(12592,10121636,'Dazes target',100,1,1),
(12593,10121636,'If Target is not Epic',100,2,2),
(12594,10121636,'Must be flanking or behind',100,1,3),
(12595,10121636,'Resistibility increases against targets higher than level 112.',100,1,4),
(12596,121240,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(12597,121240,'Increases Parry of caster by 2.7',100,1,1),
(12598,10121240,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(12599,10121240,'Increases Parry of caster by 2.7',100,1,1),
(12600,48882,'Applies Translucent Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(12601,48882,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(12602,48882,'Only affects targets level 50 and above',100,1,2),
(12603,10048882,'Applies Translucent Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(12604,10048882,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(12605,10048882,'Only affects targets level 50 and above',100,1,2),
(12606,117789,'Inflicts 8189 - 12994 divine damage on target',100,1,0),
(12607,10117789,'Inflicts 6075 - 9861 divine damage on target',100,1,0),
(12608,71545,'When Equipped:',100,0,0),
(12609,71545,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12610,71545,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(12611,71545,'Cannot be modified except by direct means',100,2,3),
(12612,10071545,'When Equipped:',100,0,0),
(12613,10071545,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12614,10071545,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(12615,10071545,'Cannot be modified except by direct means',100,2,3),
(12616,177774,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(12617,177774,'Decreases Mitigation of target vs physical damage by 468',100,1,1),
(12618,177774,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(12619,10177774,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(12620,10177774,'Decreases Mitigation of target vs physical damage by 468',100,1,1),
(12621,10177774,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(12622,115097,'Heals target for 3414 - 3954',100,1,0),
(12623,115097,'Heals target for 313 - 382 every second',100,1,1),
(12624,10115097,'Heals target for 3815 - 4606',100,1,0),
(12625,10115097,'Heals target for 267 - 326 every second',100,1,1),
(12626,124258,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(12627,124258,'Increases Damage Per Second of target by 13.0',100,2,1),
(12628,124258,'Increases Attack Speed of target by 13.0',100,2,2),
(12629,124258,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(12630,124258,'Increases Damage Per Second of target by 13.0',100,2,4),
(12631,124258,'Increases Attack Speed of target by 13.0',100,2,5),
(12632,124258,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(12633,124258,'Increases Damage Per Second of target by 13.0',100,2,7),
(12634,124258,'Increases Attack Speed of target by 13.0',100,2,8),
(12635,10124258,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(12636,10124258,'Increases Damage Per Second of target by 13.0',100,2,1),
(12637,10124258,'Increases Attack Speed of target by 13.0',100,2,2),
(12638,10124258,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(12639,10124258,'Increases Damage Per Second of target by 13.0',100,2,4),
(12640,10124258,'Increases Attack Speed of target by 13.0',100,2,5),
(12641,10124258,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(12642,10124258,'Increases Damage Per Second of target by 13.0',100,2,7),
(12643,10124258,'Increases Attack Speed of target by 13.0',100,2,8),
(12644,121353,'Inflicts 242 - 296 magic damage on target encounter',100,1,0),
(12645,10121353,'Inflicts 198 - 242 magic damage on target encounter',100,1,0),
(12646,157488,'When Equipped:',100,0,0),
(12647,157488,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(12648,157488,'Heals group members (AE) for 391',100,2,2),
(12649,157488,'Cannot be modified except by direct means',100,2,3),
(12650,157488,'Cannot be modified except by direct means',100,1,4),
(12651,10157488,'When Equipped:',100,0,0),
(12652,10157488,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(12653,10157488,'Heals group members (AE) for 254',100,2,2),
(12654,10157488,'Cannot be modified except by direct means',100,2,3),
(12655,10157488,'Cannot be modified except by direct means',100,1,4),
(12656,116565,'Inflicts 1323 - 2194 melee damage on targets in area',100,1,0),
(12657,116565,'You must be in stealth to use this!',100,1,1),
(12658,10116565,'Inflicts 1025 - 1614 melee damage on targets in area',100,1,0),
(12659,10116565,'You must be in stealth to use this!',100,1,1),
(12660,113534,'Inflicts 755 - 1258 disease damage on target',100,1,0),
(12661,10113534,'Inflicts 648 - 1056 disease damage on target',100,1,0),
(12662,124386,'Inflicts 3044 - 3502 divine damage on target',100,1,0),
(12663,124386,'Inflicts 859 - 1050 divine damage on target every 4 seconds',100,1,1),
(12664,10124386,'Inflicts 2020 - 2381 divine damage on target',100,1,0),
(12665,10124386,'Inflicts 677 - 828 divine damage on target every 4 seconds',100,1,1),
(12666,189006,'Applies Amygdala''s Delight when Activated.  Lasts for 10.0 seconds.',100,0,0),
(12667,189006,'Makes target afraid',100,1,1),
(12668,189006,'Decreases power of target by 380',100,1,2),
(12669,189006,'Increases power of caster by 207',100,1,3),
(12670,189006,'Slows target by 65.0%',100,1,4),
(12671,189006,'Dispelled when target takes damage',100,1,5),
(12672,189006,'Does not affect Epic targets',100,1,6),
(12673,189006,'Resistibility increases against targets higher than level 102.',100,1,7),
(12674,189006,'The casting time of Amygdala''s Delight is 4.95 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,8),
(12675,10189006,'Applies Amygdala''s Delight when Activated.  Lasts for 10.0 seconds.',100,0,0),
(12676,10189006,'Makes target afraid',100,1,1),
(12677,10189006,'Decreases power of target by 380',100,1,2),
(12678,10189006,'Increases power of caster by 207',100,1,3),
(12679,10189006,'Slows target by 65.0%',100,1,4),
(12680,10189006,'Dispelled when target takes damage',100,1,5),
(12681,10189006,'Does not affect Epic targets',100,1,6),
(12682,10189006,'Resistibility increases against targets higher than level 102.',100,1,7),
(12683,10189006,'The casting time of Amygdala''s Delight is 4.95 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,8),
(12684,80485,'When Equipped:',100,0,0),
(12685,80485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12686,80485,'Inflicts 81 - 151 magic damage on target',100,2,2),
(12687,80485,'Cannot be modified except by direct means',100,2,3),
(12688,10080485,'When Equipped:',100,0,0),
(12689,10080485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(12690,10080485,'Inflicts 81 - 151 magic damage on target',100,2,2),
(12691,10080485,'Cannot be modified except by direct means',100,2,3),
(12692,48444,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(12693,48444,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(12694,48444,'Decreases AGI of target by 4.6',100,2,2),
(12695,48444,'Cannot be modified except by direct means',100,2,3),
(12696,48444,'Grants a total of 30 triggers of the spell.',100,2,4),
(12697,10048444,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(12698,10048444,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(12699,10048444,'Decreases AGI of target by 4.6',100,2,2),
(12700,10048444,'Cannot be modified except by direct means',100,2,3),
(12701,10048444,'Grants a total of 30 triggers of the spell.',100,2,4),
(12702,114130,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(12703,114130,'Increases Mitigation of group members (AE) vs elemental damage by 600',100,1,1),
(12704,10114130,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(12705,10114130,'Increases Mitigation of group members (AE) vs elemental damage by 600',100,1,1),
(12706,152566,'When Equipped:',100,0,0),
(12707,152566,'On a combat hit this spell may cast Flawless Aura of Combat on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12708,152566,'Increases caster''s chance to block by 10.0%',100,2,2),
(12709,152566,'Inflicts 1146 crushing damage on target',100,2,3),
(12710,152566,'Cannot be modified except by direct means',100,2,4),
(12711,10152566,'When Equipped:',100,0,0),
(12712,10152566,'On a combat hit this spell may cast Flawless Aura of Combat on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12713,10152566,'Increases caster''s chance to block by 10.0%',100,2,2),
(12714,10152566,'Inflicts 1146 crushing damage on target',100,2,3),
(12715,10152566,'Cannot be modified except by direct means',100,2,4),
(12716,115033,'Heals target for 1813 - 2215',100,1,0),
(12717,10115033,'Heals target for 1591 - 1887',100,1,0),
(12718,159665,'When Equipped:',100,0,0),
(12719,159665,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12720,159665,'Increases INT of caster by 8.8',100,2,2),
(12721,159665,'Increases Focus, Disruption and Subjugation of caster by 5.2',100,2,3),
(12722,159665,'Cannot be modified except by direct means',100,2,4),
(12723,10159665,'When Equipped:',100,0,0),
(12724,10159665,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(12725,10159665,'Increases INT of caster by 8.8',100,2,2),
(12726,10159665,'Increases Focus, Disruption and Subjugation of caster by 5.2',100,2,3),
(12727,10159665,'Cannot be modified except by direct means',100,2,4),
(12728,115910,'Inflicts 602 - 729 disease damage on target encounter',100,1,0),
(12729,115910,'Inflicts 329 - 402 disease damage on target encounter every 3 seconds',100,1,1),
(12730,10115910,'Inflicts 468 - 543 disease damage on target encounter',100,1,0),
(12731,10115910,'Inflicts 259 - 317 disease damage on target encounter every 3 seconds',100,1,1),
(12732,105637,'Inflicts 314 disease damage on target instantly and every 6 seconds',100,1,0),
(12733,105637,'Inflicts 1711 - 2191 disease damage on target',100,1,1),
(12734,105637,'Inflicts 729 - 1209 disease damage on target',100,1,2),
(12735,10105637,'Inflicts 247 disease damage on target instantly and every 6 seconds',100,1,0),
(12736,10105637,'Inflicts 969 - 1347 disease damage on target',100,1,1),
(12737,10105637,'Inflicts 574 - 953 disease damage on target',100,1,2),
(12738,114910,'Inflicts 1796 - 2332 melee damage on target',100,1,0),
(12739,114910,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 640',100,1,1),
(12740,114910,'Must be behind',100,1,2),
(12741,10114910,'Inflicts 1036 - 1458 melee damage on target',100,1,0),
(12742,10114910,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 320',100,1,1),
(12743,10114910,'Must be behind',100,1,2),
(12744,123656,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(12745,123656,'Slows target by 41.8%',100,2,1),
(12746,123656,'5% chance to dispel when target receives hostile action',100,2,2),
(12747,123656,'5% chance to dispel when target takes damage',100,2,3),
(12748,123656,'Inflicts 1831 - 2238 cold damage on target',100,1,4),
(12749,10123656,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(12750,10123656,'Slows target by 41.8%',100,2,1),
(12751,10123656,'5% chance to dispel when target receives hostile action',100,2,2),
(12752,10123656,'5% chance to dispel when target takes damage',100,2,3),
(12753,10123656,'Inflicts 1219 - 1402 cold damage on target',100,1,4),
(12754,159099,'When Equipped:',100,0,0),
(12755,159099,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(12756,159099,'Increases STA of caster by 14.8',100,2,2),
(12757,159099,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(12758,159099,'Cannot be modified except by direct means',100,2,4),
(12759,10159099,'When Equipped:',100,0,0),
(12760,10159099,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(12761,10159099,'Increases STA of caster by 14.8',100,2,2),
(12762,10159099,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(12763,10159099,'Cannot be modified except by direct means',100,2,4),
(12764,117105,'Mesmerizes target encounter',100,1,0),
(12765,117105,'Prevents AOE (except when direct) ',100,1,1),
(12766,117105,'Dispelled when target takes damage',100,1,2),
(12767,117105,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(12768,117105,'Resistibility increases against targets higher than level 96.',100,1,4),
(12769,10117105,'Mesmerizes target encounter',100,1,0),
(12770,10117105,'Prevents AOE (except when direct) ',100,1,1),
(12771,10117105,'Dispelled when target takes damage',100,1,2),
(12772,10117105,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(12773,10117105,'Resistibility increases against targets higher than level 96.',100,1,4),
(12774,108848,'Inflicts 1932 - 2401 melee damage on target',100,129,0),
(12775,108848,'Inflicts 408 - 677 melee damage on target',100,1,1),
(12776,108848,'Inflicts 408 - 677 melee damage on target',100,1,2),
(12777,108848,'Inflicts 408 - 677 melee damage on target',100,1,3),
(12778,108848,'Inflicts 408 - 677 melee damage on target',100,1,4),
(12779,108848,'Inflicts 408 - 677 melee damage on target',100,1,5),
(12780,10108848,'Inflicts 1156 - 1532 melee damage on target',100,129,0),
(12781,10108848,'Inflicts 327 - 543 melee damage on target',100,1,1),
(12782,10108848,'Inflicts 327 - 543 melee damage on target',100,1,2),
(12783,10108848,'Inflicts 327 - 543 melee damage on target',100,1,3),
(12784,10108848,'Inflicts 327 - 543 melee damage on target',100,1,4),
(12785,10108848,'Inflicts 327 - 543 melee damage on target',100,1,5),
(12786,113776,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(12787,113776,'Heals target for 488 - 596',100,2,1),
(12788,10113776,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(12789,10113776,'Heals target for 260 - 317',100,2,1),
(12790,112139,'Dispels 77 levels of physical hostile effects on caster',100,129,0),
(12791,112139,'Dispels 77 levels of physical and arcane hostile effects on caster',100,1,1),
(12792,10112139,'Dispels 77 levels of physical hostile effects on caster',100,129,0),
(12793,10112139,'Dispels 77 levels of physical and arcane hostile effects on caster',100,1,1),
(12794,26414,'When Equipped:',100,0,0),
(12795,26414,'Increases all noxious damage by up to 10.',100,1,1),
(12796,10026414,'When Equipped:',100,0,0),
(12797,10026414,'Increases all noxious damage by up to 10.',100,1,1),
(12798,117438,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(12799,117438,'Inflicts 2060 - 3802 melee damage on targets in area',100,2,1),
(12800,117438,'Grants a total of 10 triggers of the spell.',100,2,2),
(12801,10117438,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(12802,10117438,'Inflicts 1624 - 2997 melee damage on targets in area',100,2,1),
(12803,10117438,'Grants a total of 10 triggers of the spell.',100,2,2),
(12804,112296,'Increases Threat to target by 2,974 - 3,417  instantly and by 374 - 457  every 3 seconds thereafter',100,1,0),
(12805,112296,'Inflicts 357 - 437 disease damage on target',100,1,1),
(12806,112296,'Inflicts 126 - 154 disease damage on target every 3 seconds',100,1,2),
(12807,10112296,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,0),
(12808,10112296,'Inflicts 105 - 128 disease damage on target',100,1,1),
(12809,10112296,'Inflicts 99 - 121 disease damage on target every 3 seconds',100,1,2),
(12810,103403,'Slows targets in Area of Effect by 33.2%',100,1,0),
(12811,103403,'Stifles targets in Area of Effect',100,1,1),
(12812,103403,'If Target is not Epic',100,2,2),
(12813,103403,'Decreases Threat to targets in Area of Effect by 1,599 ',100,1,3),
(12814,103403,'10% chance to dispel when target receives hostile action',100,1,4),
(12815,103403,'10% chance to dispel when target takes damage',100,1,5),
(12816,10103403,'Slows targets in Area of Effect by 33.2%',100,1,0),
(12817,10103403,'Stifles targets in Area of Effect',100,1,1),
(12818,10103403,'If Target is not Epic',100,2,2),
(12819,10103403,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(12820,112849,'Roots target',100,1,0),
(12821,112849,'5% chance to dispel when target takes damage',100,1,1),
(12822,112849,'Does not affect Epic targets',100,1,2),
(12823,112849,'Resistibility increases against targets higher than level 93.',100,1,3),
(12824,10112849,'Roots target',100,1,0),
(12825,10112849,'5% chance to dispel when target takes damage',100,1,1),
(12826,10112849,'Does not affect Epic targets',100,1,2),
(12827,10112849,'Resistibility increases against targets higher than level 93.',100,1,3),
(12828,75022,'Applies Lightning Shock when Activated.',100,0,0),
(12829,75022,'Inflicts 99 - 164 magic damage on target',100,1,1),
(12830,75022,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(12831,10075022,'Applies Lightning Shock when Activated.',100,0,0),
(12832,10075022,'Inflicts 99 - 164 magic damage on target',100,1,1),
(12833,10075022,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(12834,110053,'Summons a pet grim sorcerer',100,1,0),
(12835,10110053,'Summons a pet grim sorcerer',100,1,0),
(12836,155119,'When Equipped:',100,0,0),
(12837,155119,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12838,155119,'Increases Potency of caster by 5.0%',100,2,2),
(12839,155119,'Cannot be modified except by direct means',100,2,3),
(12840,10155119,'When Equipped:',100,0,0),
(12841,10155119,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(12842,10155119,'Increases Potency of caster by 5.0%',100,2,2),
(12843,10155119,'Cannot be modified except by direct means',100,2,3),
(12844,35680,'Increases Max Power of target by 68.2',100,0,0),
(12845,35680,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(12846,89037,'Applies Mental Blast when Activated.',100,0,0),
(12847,89037,'Inflicts 250 - 417 mental damage on target',100,1,1),
(12848,89037,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(12849,10089037,'Applies Mental Blast when Activated.',100,0,0),
(12850,10089037,'Inflicts 250 - 417 mental damage on target',100,1,1),
(12851,10089037,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(12852,101584,'Inflicts 731 - 1212 melee damage on targets in area',100,1,0),
(12853,10101584,'Inflicts 588 - 968 melee damage on targets in area',100,1,0),
(12854,116490,'Prevents targets in Area of Effect from changing targets',100,1,0),
(12855,116490,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(12856,116490,'Increases Threat to targets in Area of Effect by 1,602 ',100,1,2),
(12857,10116490,'Prevents targets in Area of Effect from changing targets',100,1,0),
(12858,10116490,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(12859,110141,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(12860,110141,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(12861,110141,'Only affects the caster of Guardian''s Sphere',100,2,2),
(12862,110141,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(12863,110141,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(12864,110141,'If not fighter',100,2,5),
(12865,10110141,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(12866,10110141,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(12867,10110141,'Only affects the caster of Guardian''s Sphere',100,2,2),
(12868,10110141,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(12869,10110141,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(12870,10110141,'If not fighter',100,2,5),
(12871,188998,'When Equipped:',100,0,0),
(12872,188998,'Increases poison trigger chance by 4.0%',100,1,1),
(12873,10188998,'When Equipped:',100,0,0),
(12874,10188998,'Increases poison trigger chance by 4.0%',100,1,1),
(12875,112136,'Dispels 98 levels of physical hostile effects on caster',100,129,0),
(12876,112136,'Dispels 98 levels of physical and arcane hostile effects on caster',100,1,1),
(12877,10112136,'Dispels 98 levels of physical hostile effects on caster',100,129,0),
(12878,10112136,'Dispels 98 levels of physical and arcane hostile effects on caster',100,1,1),
(12879,147188,'When Equipped:',100,0,0),
(12880,147188,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(12881,147188,'Inflicts 1998 cold damage on target encounter',100,2,2),
(12882,147188,'Must not be engaged in pvp combat',100,2,3),
(12883,147188,'Cannot be modified except by direct means',100,2,4),
(12884,147188,'Must not be engaged in pvp combat',100,1,5),
(12885,10147188,'When Equipped:',100,0,0),
(12886,10147188,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(12887,10147188,'Inflicts 999 cold damage on target encounter',100,2,2),
(12888,10147188,'Must not be engaged in pvp combat',100,2,3),
(12889,10147188,'Cannot be modified except by direct means',100,2,4),
(12890,10147188,'Must not be engaged in pvp combat',100,1,5),
(12891,110530,'Increases Threat to target by 4,538  instantly and by 1,652  every 3 seconds thereafter',100,1,0),
(12892,110530,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(12893,110530,'Stuns target',100,2,2),
(12894,110530,'Blurs vision of target',100,2,3),
(12895,110530,'Throws target back',100,2,4),
(12896,110530,'Does not affect Epic targets',100,2,5),
(12897,110530,'Inflicts 1168 - 1938 disease damage on target',100,1,6),
(12898,10110530,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(12899,10110530,'Stuns target',100,2,1),
(12900,10110530,'Throws target back',100,2,2),
(12901,10110530,'Blurs vision of target',100,2,3),
(12902,10110530,'Does not affect Epic targets',100,2,4),
(12903,10110530,'Forces target to change their selected target to caster.',100,1,5),
(12904,10110530,'Inflicts 767 - 1243 disease damage on target',100,1,6),
(12905,10110530,'Prevents target from changing targets',100,1,7),
(12906,106572,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(12907,106572,'Increases Parry of caster by 4.6',100,1,1),
(12908,10106572,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(12909,10106572,'Increases Parry of caster by 4.6',100,1,1),
(12910,119144,'Target will lose 42% less power when power is consumed',100,1,0),
(12911,10119144,'Target will lose 42% less power when power is consumed',100,1,0),
(12912,157619,'When Equipped:',100,0,0),
(12913,157619,'Increases Attack Speed of caster by 45.0',100,1,1),
(12914,10157619,'When Equipped:',100,0,0),
(12915,10157619,'Increases Attack Speed of caster by 45.0',100,1,1),
(12916,148492,'When Equipped:',100,0,0),
(12917,148492,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(12918,148492,'Inflicts 121 heat damage on target',100,2,2),
(12919,148492,'Cannot be modified except by direct means',100,2,3),
(12920,10148492,'When Equipped:',100,0,0),
(12921,10148492,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(12922,10148492,'Inflicts 121 heat damage on target',100,2,2),
(12923,10148492,'Cannot be modified except by direct means',100,2,3),
(12924,35895,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(12925,35895,'Increases Max Health of target by 30.1',100,0,1),
(12926,113234,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(12927,113234,'Inflicts 44 - 74 magic damage on target',100,2,1),
(12928,113234,'Grants a total of 8 triggers of the spell.',100,2,2),
(12929,10113234,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(12930,10113234,'Inflicts 35 - 59 magic damage on target',100,2,1),
(12931,10113234,'Grants a total of 8 triggers of the spell.',100,2,2),
(12932,116313,'Stuns target',100,1,0),
(12933,116313,'If Target is not Epic',100,2,1),
(12934,116313,'Inflicts 3139 - 3619 magic damage on target',100,1,2),
(12935,116313,'Resistibility increases against targets higher than level 87.',100,1,3),
(12936,10116313,'Stuns target',100,1,0),
(12937,10116313,'If Target is not Epic',100,2,1),
(12938,10116313,'Inflicts 2094 - 2472 magic damage on target',100,1,2),
(12939,10116313,'Resistibility increases against targets higher than level 87.',100,1,3),
(12940,159246,'Applies Sanguine Imbued when Equipped.',100,0,0),
(12941,159246,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(12942,159246,'Inflicts 264 heat damage on target',100,2,2),
(12943,159246,'Cannot be modified except by direct means',100,2,3),
(12944,10159246,'Applies Sanguine Imbued when Equipped.',100,0,0),
(12945,10159246,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(12946,10159246,'Inflicts 264 heat damage on target',100,2,2),
(12947,10159246,'Cannot be modified except by direct means',100,2,3),
(12948,118604,'Roots target',100,1,0),
(12949,118604,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(12950,118604,'Slows target by 51.4%',100,2,2),
(12951,118604,'5% chance to dispel when target receives hostile action',100,2,3),
(12952,118604,'5% chance to dispel when target takes damage',100,2,4),
(12953,118604,'5% chance to dispel when target takes damage',100,1,5),
(12954,118604,'Does not affect Epic targets',100,1,6),
(12955,118604,'Resistibility increases against targets higher than level 93.',100,1,7),
(12956,10118604,'Roots target',100,1,0),
(12957,10118604,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(12958,10118604,'Slows target by 51.4%',100,2,2),
(12959,10118604,'5% chance to dispel when target receives hostile action',100,2,3),
(12960,10118604,'5% chance to dispel when target takes damage',100,2,4),
(12961,10118604,'5% chance to dispel when target takes damage',100,1,5),
(12962,10118604,'Does not affect Epic targets',100,1,6),
(12963,10118604,'Resistibility increases against targets higher than level 93.',100,1,7),
(12964,114147,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(12965,114147,'Increases Mitigation of group members (AE) vs elemental damage by 1512',100,1,1),
(12966,10114147,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(12967,10114147,'Increases Mitigation of group members (AE) vs elemental damage by 1512',100,1,1),
(12968,124382,'Inflicts 2692 - 3071 divine damage on target',100,1,0),
(12969,124382,'Inflicts 712 - 870 divine damage on target every 4 seconds',100,1,1),
(12970,10124382,'Inflicts 1742 - 2041 divine damage on target',100,1,0),
(12971,10124382,'Inflicts 561 - 686 divine damage on target every 4 seconds',100,1,1),
(12972,110379,'Increases STR and AGI of group members (AE) by 56.8',100,1,0),
(12973,110379,'Adds 2.2% to base avoidance.',100,1,1),
(12974,10110379,'Increases STR and AGI of group members (AE) by 56.8',100,1,0),
(12975,10110379,'Adds 2.2% to base avoidance.',100,1,1),
(12976,115725,'Heals target for 1483',100,1,0),
(12977,115725,'Heals target for 500 every 0.3 seconds',100,1,1),
(12978,115725,'Stifles caster',100,1,2),
(12979,10115725,'Heals target for 513',100,1,0),
(12980,10115725,'Heals target for 256 every 0.3 seconds',100,1,1),
(12981,10115725,'Stifles caster',100,1,2),
(12982,43270,'When Equipped:',100,0,0),
(12983,43270,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(12984,10043270,'When Equipped:',100,0,0),
(12985,10043270,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(12986,152388,'When Equipped:',100,0,0),
(12987,152388,'Increases Attack Speed of caster by 32.0',100,1,1),
(12988,10152388,'When Equipped:',100,0,0),
(12989,10152388,'Increases Attack Speed of caster by 32.0',100,1,1),
(12990,103692,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(12991,103692,'Inflicts 23 - 29 heat damage on target instantly and every second',100,2,1),
(12992,10103692,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(12993,10103692,'Inflicts 18 - 23 heat damage on target instantly and every second',100,2,1),
(12994,100312,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(12995,100312,'Inflicts 1596 divine damage on target',100,2,1),
(12996,10100312,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(12997,10100312,'Inflicts 1258 divine damage on target',100,2,1),
(12998,102692,'Inflicts 3805 divine damage on target encounter',100,1,0),
(12999,10102692,'Inflicts 2873 divine damage on target encounter',100,1,0),
(13000,132061,'When Equipped:',100,0,0),
(13001,132061,'Increases STR, INT, WIS and AGI of caster by 50.0',100,1,1),
(13002,132061,'Increases Potency of caster by 3.5%',100,1,2),
(13003,132061,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(13004,132061,'Cannot be modified except by direct means',100,1,4),
(13005,132061,'When Equipped:',100,0,5),
(13006,132061,'Increases Attack Speed of caster by 45.0',100,1,6),
(13007,10132061,'When Equipped:',100,0,0),
(13008,10132061,'Increases STR, INT, WIS and AGI of caster by 50.0',100,1,1),
(13009,10132061,'Increases Potency of caster by 3.5%',100,1,2),
(13010,10132061,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(13011,10132061,'Cannot be modified except by direct means',100,1,4),
(13012,10132061,'When Equipped:',100,0,5),
(13013,10132061,'Increases Attack Speed of caster by 45.0',100,1,6),
(13014,140363,'When Equipped:',100,0,0),
(13015,140363,'On any combat or spell hit this spell may cast Enticing Opus on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(13016,140363,'Increases Ability Reuse Speed of caster by 10.0%',100,2,2),
(13017,140363,'Must not be engaged in pvp combat',100,2,3),
(13018,140363,'Cannot be modified except by direct means',100,2,4),
(13019,140363,'Cannot be modified except by direct means',100,1,5),
(13020,10140363,'When Equipped:',100,0,0),
(13021,10140363,'On any combat or spell hit this spell may cast Enticing Opus on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(13022,10140363,'Increases Ability Reuse Speed of caster by 10.0%',100,2,2),
(13023,10140363,'Must not be engaged in pvp combat',100,2,3),
(13024,10140363,'Cannot be modified except by direct means',100,2,4),
(13025,10140363,'Cannot be modified except by direct means',100,1,5),
(13026,24579,'Adds Myconoid (Guardian) to your Dungeon Maker toolbox',100,0,0),
(13027,10024579,'Adds Myconoid (Guardian) to your Dungeon Maker toolbox',100,0,0),
(13028,119713,'Increases Threat to target encounter by 3,969 - 4,492 ',100,1,0),
(13029,10119713,'Prevents target encounter from changing targets',100,1,0),
(13030,10119713,'Forces target encounter to change their selected target to caster.',100,1,1),
(13031,36831,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(13032,118577,'Dazes caster',100,1,0),
(13033,118577,'Roots caster',100,1,1),
(13034,118577,'Increases Mitigation of caster vs physical damage by 2686',100,1,2),
(13035,10118577,'Dazes caster',100,1,0),
(13036,10118577,'Roots caster',100,1,1),
(13037,10118577,'Increases Mitigation of caster vs physical damage by 2686',100,1,2),
(13038,183435,'When Equipped:',100,0,0),
(13039,183435,'On a hostile spell cast this spell may cast Vampiric Energy on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(13040,183435,'Inflicts 274 divine damage on target',100,2,2),
(13041,183435,'Heals caster for 274',100,2,3),
(13042,183435,'Cannot be modified except by direct means',100,2,4),
(13043,183435,'Cannot be modified except by direct means',100,1,5),
(13044,183435,'When Equipped:',100,0,6),
(13045,183435,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,7),
(13046,183435,'Wards caster against 400 points of all damage',100,2,8),
(13047,183435,'Cannot be modified except by direct means',100,2,9),
(13048,183435,'This effect can only trigger once every 15 seconds.',100,2,10),
(13049,183435,'Cannot be modified except by direct means',100,1,11),
(13050,10183435,'When Equipped:',100,0,0),
(13051,10183435,'On a hostile spell cast this spell may cast Vampiric Energy on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(13052,10183435,'Inflicts 274 divine damage on target',100,2,2),
(13053,10183435,'Heals caster for 178',100,2,3),
(13054,10183435,'Cannot be modified except by direct means',100,2,4),
(13055,10183435,'Cannot be modified except by direct means',100,1,5),
(13056,10183435,'When Equipped:',100,0,6),
(13057,10183435,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,7),
(13058,10183435,'Wards caster against 400 points of all damage',100,2,8),
(13059,10183435,'Cannot be modified except by direct means',100,2,9),
(13060,10183435,'This effect can only trigger once every 15 seconds.',100,2,10),
(13061,10183435,'Cannot be modified except by direct means',100,1,11),
(13062,110876,'Inflicts 884 - 1080 heat damage on target encounter',100,1,0),
(13063,10110876,'Inflicts 723 - 861 heat damage on target encounter',100,1,0),
(13064,101865,'Stuns target',100,1,0),
(13065,101865,'Does not affect Epic targets',100,1,1),
(13066,101865,'Resistibility increases against targets higher than level 96.',100,1,2),
(13067,10101865,'Stuns target',100,1,0),
(13068,10101865,'Does not affect Epic targets',100,1,1),
(13069,10101865,'Resistibility increases against targets higher than level 96.',100,1,2),
(13070,47644,'Applies Illusion: Vampire when Activated.  Lasts for 6 hours.',100,0,0),
(13071,47644,'Shapechanges caster into a vampire',100,1,1),
(13072,10047644,'Applies Illusion: Vampire when Activated.  Lasts for 6 hours.',100,0,0),
(13073,10047644,'Shapechanges caster into a vampire',100,1,1),
(13074,182061,'When Equipped:',100,0,0),
(13075,182061,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13076,182061,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(13077,182061,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(13078,182061,'Increases Hate Gain of group members (AE) by 5.0%',100,2,4),
(13079,182061,'If fighter',100,3,5),
(13080,182061,'Inflicts 1523 - 1684 heat damage on target encounter instantly and every 2 seconds',100,2,6),
(13081,182061,'Decreases Hate Gain of group members (AE) by 5.0%',100,2,7),
(13082,182061,'If not fighter',100,3,8),
(13083,182061,'Increases Attack Speed of group members (AE) by 20.0',100,2,9),
(13084,182061,'Must not be engaged in pvp combat',100,2,10),
(13085,182061,'Cannot be modified except by direct means',100,2,11),
(13086,182061,'Must not be engaged in pvp combat',100,1,12),
(13087,10182061,'When Equipped:',100,0,0),
(13088,10182061,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13089,10182061,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(13090,10182061,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(13091,10182061,'Inflicts 1523 - 1684 heat damage on target encounter instantly and every 2 seconds',100,2,4),
(13092,10182061,'Increases Attack Speed of group members (AE) by 20.0',100,2,5),
(13093,10182061,'Must not be engaged in pvp combat',100,2,6),
(13094,10182061,'Cannot be modified except by direct means',100,2,7),
(13095,10182061,'Must not be engaged in pvp combat',100,1,8),
(13096,114907,'Inflicts 1210 - 1784 melee damage on target',100,1,0),
(13097,114907,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 380',100,1,1),
(13098,114907,'Must be behind',100,1,2),
(13099,10114907,'Inflicts 775 - 1026 melee damage on target',100,1,0),
(13100,10114907,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 190',100,1,1),
(13101,10114907,'Must be behind',100,1,2),
(13102,122840,'Inflicts 3748 - 5571 ranged damage on target',100,1,0),
(13103,122840,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(13104,122840,'Increases Hate Gain of target by 30.0%',100,2,2),
(13105,122840,'Grants a total of 1 trigger of the spell.',100,2,3),
(13106,122840,'Requires bow',100,1,4),
(13107,10122840,'Inflicts 2029 - 3107 ranged damage on target',100,1,0),
(13108,10122840,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(13109,10122840,'Grants a total of 1 trigger of the spell.',100,2,2),
(13110,10122840,'Requires bow',100,1,3),
(13111,116162,'Increases Attack Speed of caster by 24.2',100,1,0),
(13112,116162,'Increases Damage Per Second of caster by 27.9',100,1,1),
(13113,10116162,'Increases Attack Speed of caster by 24.2',100,1,0),
(13114,10116162,'Increases Damage Per Second of caster by 27.9',100,1,1),
(13115,24135,'Adds Clockwork Warrior (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(13116,10024135,'Adds Clockwork Warrior (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(13117,157736,'When Equipped:',100,0,0),
(13118,157736,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13119,157736,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(13120,157736,'Cannot be modified except by direct means',100,2,3),
(13121,10157736,'When Equipped:',100,0,0),
(13122,10157736,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13123,10157736,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(13124,10157736,'Cannot be modified except by direct means',100,2,3),
(13125,115880,'Increases power of caster by 45',100,1,0),
(13126,10115880,'Increases power of caster by 45',100,1,0),
(13127,45568,'Applies Calebgrothiel''s Hope  when Activated.  Lasts for 15 minutes.',100,0,0),
(13128,45568,'Increases Max Health of caster by 138.4',100,1,1),
(13129,10045568,'Applies Calebgrothiel''s Hope  when Activated.  Lasts for 15 minutes.',100,0,0),
(13130,10045568,'Increases Max Health of caster by 138.4',100,1,1),
(13131,124585,'Roots targets in Area of Effect',100,1,0),
(13132,124585,'If Target is not Epic',100,2,1),
(13133,124585,'Decreases Threat to targets in Area of Effect by 6,416 ',100,1,2),
(13134,124585,'Interrupts targets in Area of Effect',100,1,3),
(13135,10124585,'Roots targets in Area of Effect',100,1,0),
(13136,10124585,'If Target is not Epic',100,2,1),
(13137,10124585,'Applies Distract.',100,1,2),
(13138,10124585,'Forces target to clear their selected target.',100,2,3),
(13139,10124585,'Interrupts targets in Area of Effect',100,1,4),
(13140,10124585,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(13141,164587,'Applies Unstable Magics when Equipped.',100,0,0),
(13142,164587,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(13143,10164587,'Applies Unstable Magics when Equipped.',100,0,0),
(13144,10164587,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(13145,42581,'When Equipped:',100,0,0),
(13146,42581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13147,42581,'Inflicts 192 - 289 magic damage on target',100,2,2),
(13148,42581,'Cannot be modified except by direct means',100,2,3),
(13149,10042581,'When Equipped:',100,0,0),
(13150,10042581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13151,10042581,'Inflicts 192 - 289 magic damage on target',100,2,2),
(13152,10042581,'Cannot be modified except by direct means',100,2,3),
(13153,119386,'Decreases threat priority of target by 1 position',100,1,0),
(13154,119386,'Decreases Threat to target by 1,677 ',100,1,1),
(13155,119386,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(13156,119386,'Grants stealth to caster',100,2,3),
(13157,119386,'Suspends caster''s movement speed enhancements',100,2,4),
(13158,10119386,'Applies Distract.',100,1,0),
(13159,10119386,'Forces target to clear their selected target.',100,2,1),
(13160,10119386,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(13161,10119386,'Grants stealth to caster',100,2,3),
(13162,10119386,'Suspends caster''s movement speed enhancements',100,2,4),
(13163,102091,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(13164,102091,'Stuns target',100,2,1),
(13165,102091,'Blurs vision of target',100,2,2),
(13166,102091,'Throws target back',100,2,3),
(13167,102091,'Does not affect Epic targets',100,2,4),
(13168,102091,'Inflicts 139 - 232 crushing damage on target',100,1,5),
(13169,10102091,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(13170,10102091,'Stuns target',100,2,1),
(13171,10102091,'Blurs vision of target',100,2,2),
(13172,10102091,'Throws target back',100,2,3),
(13173,10102091,'Does not affect Epic targets',100,2,4),
(13174,10102091,'Inflicts 110 - 182 crushing damage on target',100,1,5),
(13175,106500,'Decreases STR and AGI of target by 92.4',100,1,0),
(13176,10106500,'Decreases STR and AGI of target by 92.4',100,1,0),
(13177,111270,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(13178,111270,'Increases Mitigation of target vs physical damage by 1008',100,2,1),
(13179,111270,'Heals target for 5047',100,2,2),
(13180,111270,'Grants a total of 1 trigger of the spell.',100,2,3),
(13181,10111270,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(13182,10111270,'Increases Mitigation of target vs physical damage by 1008',100,2,1),
(13183,10111270,'Heals target for 2586',100,2,2),
(13184,10111270,'Grants a total of 1 trigger of the spell.',100,2,3),
(13185,52799,'Applies Sanguine Imbued when Equipped.',100,0,0),
(13186,52799,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(13187,52799,'Inflicts 111 heat damage on target',100,2,2),
(13188,52799,'Cannot be modified except by direct means',100,2,3),
(13189,10052799,'Applies Sanguine Imbued when Equipped.',100,0,0),
(13190,10052799,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(13191,10052799,'Inflicts 111 heat damage on target',100,2,2),
(13192,10052799,'Cannot be modified except by direct means',100,2,3),
(13193,26089,'When Equipped:',100,0,0),
(13194,26089,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,1),
(13195,26089,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13196,10026089,'When Equipped:',100,0,0),
(13197,10026089,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,1),
(13198,10026089,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13199,177574,'When Equipped:',100,0,0),
(13200,177574,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(13201,177574,'Increases STA of caster by 11.9',100,2,2),
(13202,177574,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(13203,177574,'Cannot be modified except by direct means',100,2,4),
(13204,10177574,'When Equipped:',100,0,0),
(13205,10177574,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(13206,10177574,'Increases STA of caster by 11.9',100,2,2),
(13207,10177574,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(13208,10177574,'Cannot be modified except by direct means',100,2,4),
(13209,101796,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(13210,101796,'Decreases Threat to target by 1,331 ',100,2,1),
(13211,10101796,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(13212,10101796,'Inflicts 98 - 108 crushing damage on target',100,2,1),
(13213,100294,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(13214,100294,'Inflicts 616 divine damage on target',100,2,1),
(13215,10100294,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(13216,10100294,'Inflicts 485 divine damage on target',100,2,1),
(13217,47244,'Applies Guardsmanship of the Vale  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(13218,47244,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(13219,47244,'Inflicts 11 magic damage on target',100,2,2),
(13220,47244,'Cannot be modified except by direct means',100,2,3),
(13221,10047244,'Applies Guardsmanship of the Vale  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(13222,10047244,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(13223,10047244,'Inflicts 11 magic damage on target',100,2,2),
(13224,10047244,'Cannot be modified except by direct means',100,2,3),
(13225,112233,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(13226,112233,'Inflicts 207 disease damage on target',100,2,1),
(13227,112233,'Increases Threat to target by 455 ',100,2,2),
(13228,112233,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,3),
(13229,10112233,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(13230,10112233,'Inflicts 163 disease damage on target',100,2,1),
(13231,10112233,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,2),
(13232,109804,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(13233,109804,'Heals group members (AE) for 2137',100,2,1),
(13234,10109804,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(13235,10109804,'Heals group members (AE) for 1067',100,2,1),
(13236,111008,'Heals target for 3581 - 4158',100,1,0),
(13237,111008,'Heals target for 2598 - 3176 every 2 seconds',100,1,1),
(13238,111008,'Increases power of target by 202 - 247 instantly and every 2 seconds',100,1,2),
(13239,10111008,'Heals target for 2858 - 3390',100,1,0),
(13240,10111008,'Heals target for 2396 - 2928 every 2 seconds',100,1,1),
(13241,10111008,'Increases power of target by 159 - 195 instantly and every 2 seconds',100,1,2),
(13242,84140,'When Equipped:',100,0,0),
(13243,84140,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13244,84140,'Wards caster against 720 points of all damage',100,2,2),
(13245,84140,'Cannot be modified except by direct means',100,2,3),
(13246,84140,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(13247,10084140,'When Equipped:',100,0,0),
(13248,10084140,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13249,10084140,'Wards caster against 720 points of all damage',100,2,2),
(13250,10084140,'Cannot be modified except by direct means',100,2,3),
(13251,10084140,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(13252,111845,'Inflicts 2958 - 4259 melee damage on target',100,1,0),
(13253,111845,'Roots target',100,1,1),
(13254,111845,'If Target is not Epic',100,2,2),
(13255,111845,'Resistibility increases against targets higher than level 108.',100,1,3),
(13256,10111845,'Inflicts 1798 - 2723 melee damage on target',100,1,0),
(13257,10111845,'Roots target',100,1,1),
(13258,10111845,'If Target is not Epic',100,2,2),
(13259,10111845,'Resistibility increases against targets higher than level 108.',100,1,3),
(13260,124197,'Inflicts 1966 - 3157 melee damage on target',100,1,0),
(13261,10124197,'Inflicts 1442 - 2132 melee damage on target',100,1,0),
(13262,82269,'When Equipped:',100,0,0),
(13263,82269,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(13264,82269,'Inflicts 61 - 114 magic damage on target',100,2,2),
(13265,82269,'Decreases Threat to target by 135 ',100,2,3),
(13266,82269,'Must be flanking or behind',100,3,4),
(13267,82269,'Increases Threat to target by 236 ',100,2,5),
(13268,82269,'Must be in front of',100,3,6),
(13269,82269,'Cannot be modified except by direct means',100,2,7),
(13270,10082269,'When Equipped:',100,0,0),
(13271,10082269,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(13272,10082269,'Inflicts 61 - 114 magic damage on target',100,2,2),
(13273,10082269,'Cannot be modified except by direct means',100,2,3),
(13274,100052,'Decreases STR, AGI and WIS of target by 52.6',100,1,0),
(13275,10100052,'Decreases STR, AGI and WIS of target by 52.6',100,1,0),
(13276,122042,'Increases Threat to target by 2,037 - 2,489 ',100,1,0),
(13277,122042,'Inflicts 251 - 416 melee damage on target',100,1,1),
(13278,10122042,'Forces target to change their selected target to caster.',100,1,0),
(13279,10122042,'Inflicts 198 - 328 melee damage on target',100,1,1),
(13280,36201,'Increases STR and STA of target by 15.4',100,0,0),
(13281,36201,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(13282,103606,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(13283,103606,'Increases Attack Speed of caster by 21.0',100,130,1),
(13284,103606,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.6',100,130,2),
(13285,103606,'Inflicts 583 - 968 melee damage on target',100,1,3),
(13286,103606,'If facing target',100,1,4),
(13287,10103606,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(13288,10103606,'Increases Attack Speed of caster by 21.0',100,130,1),
(13289,10103606,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.6',100,130,2),
(13290,10103606,'Inflicts 460 - 763 melee damage on target',100,1,3),
(13291,10103606,'If facing target',100,1,4),
(13292,122097,'Increases STA and INT of group members (AE) by 64.1',100,1,0),
(13293,10122097,'Increases STA and INT of group members (AE) by 64.1',100,1,0),
(13294,121136,'Summons a limited pet to aid the caster',100,1,0),
(13295,10121136,'Summons a limited pet to aid the caster',100,1,0),
(13296,100490,'Increases Attack Speed of group members (AE) by 10.8',100,1,0),
(13297,10100490,'Increases Attack Speed of group members (AE) by 10.8',100,1,0),
(13298,114670,'Increases Threat to target by 3,079 - 3,545 ',100,1,0),
(13299,114670,'Interrupts target',100,1,1),
(13300,10114670,'Interrupts target',100,1,0),
(13301,10114670,'Forces target to change their selected target to caster.',100,1,1),
(13302,10114670,'Prevents target from changing targets',100,1,2),
(13303,90346,'When Equipped:',100,0,0),
(13304,90346,'On a hostile spell cast this spell may cast Nature''s Wrath on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13305,90346,'Inflicts 435 - 653 heat damage on target',100,2,2),
(13306,90346,'On a hit this spell will cast Nature''s Soothing on target of attack.  ',100,2,3),
(13307,90346,'Heals target for 797 - 1480',100,3,4),
(13308,90346,'Cannot be modified except by direct means',100,2,5),
(13309,90346,'Cannot be modified except by direct means',100,1,6),
(13310,10090346,'When Equipped:',100,0,0),
(13311,10090346,'On a hostile spell cast this spell may cast Nature''s Wrath on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13312,10090346,'Inflicts 435 - 653 heat damage on target',100,2,2),
(13313,10090346,'On a hit this spell will cast Nature''s Soothing on target of attack.  ',100,2,3),
(13314,10090346,'Heals target for 408 - 758',100,3,4),
(13315,10090346,'Cannot be modified except by direct means',100,2,5),
(13316,10090346,'Cannot be modified except by direct means',100,1,6),
(13317,170224,'Applies Rift Portals when Activated.',100,0,0),
(13318,170224,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(13319,170224,'When Equipped:',100,0,2),
(13320,170224,'Reduces reuse time of all spells by 2 percent.',100,1,3),
(13321,10170224,'Applies Rift Portals when Activated.',100,0,0),
(13322,10170224,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(13323,10170224,'When Equipped:',100,0,2),
(13324,10170224,'Reduces reuse time of all spells by 2 percent.',100,1,3),
(13325,105840,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(13326,105840,'Inflicts 1110 - 1840 disease damage on target',100,2,1),
(13327,10105840,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(13328,10105840,'Inflicts 874 - 1450 disease damage on target',100,2,1),
(13329,25532,'When Equipped:',100,0,0),
(13330,25532,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,1),
(13331,25532,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13332,10025532,'When Equipped:',100,0,0),
(13333,10025532,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,1),
(13334,10025532,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13335,75446,'When Equipped:',100,0,0),
(13336,75446,'On a critical combat hit this spell may cast Endless Wounds on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13337,75446,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,2),
(13338,75446,'Inflicts an additional 1 cold damage on target every tick',100,2,3),
(13339,75446,'Must not be engaged in pvp combat',100,2,4),
(13340,75446,'Cannot be modified except by direct means',100,2,5),
(13341,75446,'On a critical spell hit this spell may cast Endless Wounds on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(13342,75446,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,7),
(13343,75446,'Inflicts an additional 1 cold damage on target every tick',100,2,8),
(13344,75446,'Must not be engaged in pvp combat',100,2,9),
(13345,75446,'Cannot be modified except by direct means',100,2,10),
(13346,75446,'Must not be engaged in pvp combat',100,1,11),
(13347,10075446,'When Equipped:',100,0,0),
(13348,10075446,'On a critical combat hit this spell may cast Endless Wounds on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13349,10075446,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,2),
(13350,10075446,'Inflicts an additional 1 cold damage on target every tick',100,2,3),
(13351,10075446,'Must not be engaged in pvp combat',100,2,4),
(13352,10075446,'Cannot be modified except by direct means',100,2,5),
(13353,10075446,'On a critical spell hit this spell may cast Endless Wounds on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(13354,10075446,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,7),
(13355,10075446,'Inflicts an additional 1 cold damage on target every tick',100,2,8),
(13356,10075446,'Must not be engaged in pvp combat',100,2,9),
(13357,10075446,'Cannot be modified except by direct means',100,2,10),
(13358,10075446,'Must not be engaged in pvp combat',100,1,11),
(13359,79886,'When Equipped:',100,0,0),
(13360,79886,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13361,79886,'Inflicts 328 - 547 magic damage on target',100,2,2),
(13362,79886,'Cannot be modified except by direct means',100,2,3),
(13363,10079886,'When Equipped:',100,0,0),
(13364,10079886,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13365,10079886,'Inflicts 328 - 547 magic damage on target',100,2,2),
(13366,10079886,'Cannot be modified except by direct means',100,2,3),
(13367,45105,'Applies Leash when Activated.',100,0,0),
(13368,10045105,'Applies Leash when Activated.',100,0,0),
(13369,122223,'Increases Damage Per Second of target by 27.4',100,1,0),
(13370,122223,'Increases Max Health of target by 843.8',100,1,1),
(13371,10122223,'Increases Damage Per Second of target by 27.4',100,1,0),
(13372,10122223,'Increases Max Health of target by 843.8',100,1,1),
(13373,159980,'Applies Lambent Imbued when Equipped.',100,0,0),
(13374,159980,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(13375,159980,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(13376,159980,'Cannot be modified except by direct means',100,2,3),
(13377,10159980,'Applies Lambent Imbued when Equipped.',100,0,0),
(13378,10159980,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(13379,10159980,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(13380,10159980,'Cannot be modified except by direct means',100,2,3),
(13381,100974,'Increases Threat to target by 1,238 - 1,514 ',100,1,0),
(13382,100974,'Interrupts target',100,1,1),
(13383,10100974,'Interrupts target',100,1,0),
(13384,25470,'When Equipped:',100,0,0),
(13385,25470,'Improves the Crit Bonus of Dexterous Sonata by 3.',100,1,1),
(13386,25470,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13387,10025470,'When Equipped:',100,0,0),
(13388,10025470,'Improves the Crit Bonus of Dexterous Sonata by 3.',100,1,1),
(13389,10025470,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13390,111592,'Inflicts 311 - 577 cold damage on target',100,1,0),
(13391,111592,'Inflicts 69 - 128 cold damage on target every 4 seconds',100,1,1),
(13392,111592,'Decreases Mitigation of target vs elemental damage by 257',100,1,2),
(13393,10111592,'Inflicts 296 - 496 cold damage on target',100,1,0),
(13394,10111592,'Inflicts 54 - 101 cold damage on target every 4 seconds',100,1,1),
(13395,10111592,'Decreases Mitigation of target vs elemental damage by 257',100,1,2),
(13396,108546,'Makes target afraid',100,1,0),
(13397,108546,'30% chance to dispel when target takes damage',100,1,1),
(13398,108546,'Does not affect Epic targets',100,1,2),
(13399,108546,'Resistibility increases against targets higher than level 67.',100,1,3),
(13400,10108546,'Makes target afraid',100,1,0),
(13401,10108546,'30% chance to dispel when target takes damage',100,1,1),
(13402,10108546,'Does not affect Epic targets',100,1,2),
(13403,10108546,'Resistibility increases against targets higher than level 67.',100,1,3),
(13404,123393,'Inflicts 144 - 239 crushing damage on target',100,1,0),
(13405,123393,'Increases Threat to target by 1,339 ',100,1,1),
(13406,123393,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(13407,123393,'Blurs vision of target',100,2,3),
(13408,123393,'Stuns target',100,2,4),
(13409,123393,'Throws target back',100,2,5),
(13410,123393,'Does not affect Epic targets',100,2,6),
(13411,123393,'If Shield equipped in Secondary',100,1,7),
(13412,10123393,'Inflicts 114 - 189 crushing damage on target',100,1,0),
(13413,10123393,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(13414,10123393,'Stuns target',100,2,2),
(13415,10123393,'Throws target back',100,2,3),
(13416,10123393,'Blurs vision of target',100,2,4),
(13417,10123393,'Does not affect Epic targets',100,2,5),
(13418,10123393,'If Shield equipped in Secondary',100,1,6),
(13419,73282,'Applies Frost Blast when Activated.',100,0,0),
(13420,73282,'Inflicts 339 - 565 cold damage on target',100,1,1),
(13421,73282,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(13422,10073282,'Applies Frost Blast when Activated.',100,0,0),
(13423,10073282,'Inflicts 339 - 565 cold damage on target',100,1,1),
(13424,10073282,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(13425,100267,'Summons a limited pet to aid the caster',100,1,0),
(13426,10100267,'Summons a limited pet to aid the caster',100,1,0),
(13427,119880,'Increases INT and AGI of group members (AE) by 40.1',100,1,0),
(13428,119880,'Adds 1.5% to base avoidance.',100,1,1),
(13429,10119880,'Increases INT and AGI of group members (AE) by 40.1',100,1,0),
(13430,10119880,'Adds 1.5% to base avoidance.',100,1,1),
(13431,36226,'Increases STR of target by 17.8',100,0,0),
(13432,36226,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(13433,113127,'Decreases Attack Speed of target encounter by 16.4',100,1,0),
(13434,10113127,'Decreases Attack Speed of target encounter by 16.4',100,1,0),
(13435,141975,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(13436,141975,'Decreases Mitigation of target vs physical damage by 351',100,1,1),
(13437,141975,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(13438,10141975,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(13439,10141975,'Decreases Mitigation of target vs physical damage by 351',100,1,1),
(13440,10141975,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(13441,119613,'Inflicts 4310 - 6965 mental damage on targets in Area of Effect',100,1,0),
(13442,119613,'Stuns targets in Area of Effect',100,1,1),
(13443,119613,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(13444,119613,'Resistibility increases against targets higher than level 79.',100,1,3),
(13445,10119613,'Inflicts 3271 - 5363 mental damage on targets in Area of Effect',100,1,0),
(13446,10119613,'Stuns targets in Area of Effect',100,1,1),
(13447,10119613,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(13448,10119613,'Resistibility increases against targets higher than level 79.',100,1,3),
(13449,75048,'Applies Poison Bolt when Activated.',100,0,0),
(13450,75048,'Inflicts 99 - 164 poison damage on target',100,1,1),
(13451,75048,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(13452,10075048,'Applies Poison Bolt when Activated.',100,0,0),
(13453,10075048,'Inflicts 99 - 164 poison damage on target',100,1,1),
(13454,10075048,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(13455,25552,'When Equipped:',100,0,0),
(13456,25552,'Reduces the reuse time of Ignore Pain by 20 seconds.',100,1,1),
(13457,25552,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13458,10025552,'When Equipped:',100,0,0),
(13459,10025552,'Reduces the reuse time of Ignore Pain by 20 seconds.',100,1,1),
(13460,10025552,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(13461,24300,'Adds Displacer Beast (Wizard) to your Dungeon Maker toolbox',100,0,0),
(13462,10024300,'Adds Displacer Beast (Wizard) to your Dungeon Maker toolbox',100,0,0),
(13463,177515,'When Equipped:',100,0,0),
(13464,177515,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(13465,177515,'Increases STA of caster by 14.8',100,2,2),
(13466,177515,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(13467,177515,'Cannot be modified except by direct means',100,2,4),
(13468,10177515,'When Equipped:',100,0,0),
(13469,10177515,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(13470,10177515,'Increases STA of caster by 14.8',100,2,2),
(13471,10177515,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(13472,10177515,'Cannot be modified except by direct means',100,2,4),
(13473,119630,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(13474,119630,'Blurs vision of target',100,2,1),
(13475,119630,'Stuns target',100,2,2),
(13476,119630,'Throws target back',100,2,3),
(13477,119630,'Does not affect Epic targets',100,2,4),
(13478,119630,'Inflicts 167 - 493 melee damage on target',100,1,5),
(13479,10119630,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(13480,10119630,'Stuns target',100,2,1),
(13481,10119630,'Throws target back',100,2,2),
(13482,10119630,'Blurs vision of target',100,2,3),
(13483,10119630,'Does not affect Epic targets',100,2,4),
(13484,10119630,'Inflicts 131 - 389 melee damage on target',100,1,5),
(13485,124477,'Heals group members (AE) for 828 - 1012',100,1,0),
(13486,10124477,'Heals group members (AE) for 731 - 885',100,1,0),
(13487,26979,'When Equipped:',100,0,0),
(13488,26979,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(13489,26979,'Inflicts 281 divine damage on target',100,2,2),
(13490,26979,'Heals caster for 140',100,2,3),
(13491,26979,'Cannot be modified except by direct means',100,2,4),
(13492,10026979,'When Equipped:',100,0,0),
(13493,10026979,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(13494,10026979,'Inflicts 281 divine damage on target',100,2,2),
(13495,10026979,'Heals caster for 91',100,2,3),
(13496,10026979,'Cannot be modified except by direct means',100,2,4),
(13497,120295,'Target will lose 60% more power when power is consumed',100,1,0),
(13498,120295,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(13499,120295,'Inflicts 2129 - 2602 divine damage on target',100,2,2),
(13500,120295,'Grants a total of 3 triggers of the spell.',100,2,3),
(13501,10120295,'Target will lose 60% more power when power is consumed',100,1,0),
(13502,10120295,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(13503,10120295,'Inflicts 1678 - 2051 divine damage on target',100,2,2),
(13504,10120295,'Grants a total of 3 triggers of the spell.',100,2,3),
(13505,120783,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(13506,120783,'Stuns target',100,2,1),
(13507,120783,'Blurs vision of target',100,2,2),
(13508,120783,'Throws target back',100,2,3),
(13509,120783,'Does not affect Epic targets',100,2,4),
(13510,120783,'Inflicts 493 - 817 piercing damage on target',100,1,5),
(13511,10120783,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(13512,10120783,'Stuns target',100,2,1),
(13513,10120783,'Blurs vision of target',100,2,2),
(13514,10120783,'Throws target back',100,2,3),
(13515,10120783,'Does not affect Epic targets',100,2,4),
(13516,10120783,'Inflicts 397 - 658 piercing damage on target',100,1,5),
(13517,46048,'Applies Summon Elemental when Activated.  Lasts for 1 minute.',100,0,0),
(13518,46048,'Calls forth an Underfoot elemental',100,1,1),
(13519,10046048,'Applies Summon Elemental when Activated.  Lasts for 1 minute.',100,0,0),
(13520,10046048,'Calls forth an Underfoot elemental',100,1,1),
(13521,103937,'Wards group members (AE) collectively against 7433 total points of all damage',100,1,0),
(13522,10103937,'Wards group members (AE) collectively against 7967 total points of all damage',100,1,0),
(13523,46806,'Applies Hasty Retreat when Activated.',100,0,0),
(13524,46806,'Teleports target to a zone landmark',100,1,1),
(13525,46806,'If not a City Betrayer',100,2,2),
(13526,10046806,'Applies Hasty Retreat when Activated.',100,0,0),
(13527,10046806,'Teleports target to a zone landmark',100,1,1),
(13528,10046806,'If not a City Betrayer',100,2,2),
(13529,124621,'Heals group members (AE) for 1427 - 1672',100,1,0),
(13530,124621,'Heals group members (AE) for 185 - 227 every second',100,1,1),
(13531,10124621,'Heals group members (AE) for 1351 - 1633',100,1,0),
(13532,10124621,'Heals group members (AE) for 158 - 193 every second',100,1,1),
(13533,123935,'Increases STR and WIS of target by 80.1',100,1,0),
(13534,123935,'Increases Mitigation of target vs elemental, noxious and arcane damage by 238',100,1,1),
(13535,10123935,'Increases STR and WIS of target by 80.1',100,1,0),
(13536,10123935,'Increases Mitigation of target vs elemental, noxious and arcane damage by 238',100,1,1),
(13537,101176,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(13538,101176,'Slows target by 50.4%',100,2,1),
(13539,101176,'5% chance to dispel when target receives hostile action',100,2,2),
(13540,101176,'5% chance to dispel when target takes damage',100,2,3),
(13541,101176,'Inflicts 1103 - 1827 cold damage on target',100,1,4),
(13542,101176,'Inflicts 550 - 913 cold damage on target',100,1,5),
(13543,101176,'If weapon equipped in Ranged',100,1,6),
(13544,10101176,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(13545,10101176,'Slows target by 50.4%',100,2,1),
(13546,10101176,'5% chance to dispel when target receives hostile action',100,2,2),
(13547,10101176,'5% chance to dispel when target takes damage',100,2,3),
(13548,10101176,'Inflicts 720 - 934 cold damage on target',100,1,4),
(13549,10101176,'Inflicts 325 - 540 cold damage on target',100,1,5),
(13550,10101176,'If weapon equipped in Ranged',100,1,6),
(13551,144290,'When Equipped:',100,0,0),
(13552,144290,'Increases the caster''s heals and wards by 5%.',100,1,1),
(13553,144290,'Must not be engaged in pvp combat',100,1,2),
(13554,10144290,'When Equipped:',100,0,0),
(13555,10144290,'Increases the caster''s heals and wards by 5%.',100,1,1),
(13556,10144290,'Must not be engaged in pvp combat',100,1,2),
(13557,37071,'Increases AGI of target by 6.2',100,0,0),
(13558,37071,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(13559,50236,'When Equipped:',100,0,0),
(13560,50236,'Increases caster''s chance to block by 5.0%',100,1,1),
(13561,10050236,'When Equipped:',100,0,0),
(13562,10050236,'Increases caster''s chance to block by 5.0%',100,1,1),
(13563,82020,'When Equipped:',100,0,0),
(13564,82020,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13565,82020,'Inflicts 272 - 505 magic damage on target',100,2,2),
(13566,82020,'Cannot be modified except by direct means',100,2,3),
(13567,10082020,'When Equipped:',100,0,0),
(13568,10082020,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13569,10082020,'Inflicts 272 - 505 magic damage on target',100,2,2),
(13570,10082020,'Cannot be modified except by direct means',100,2,3),
(13571,89008,'When Equipped:',100,0,0),
(13572,89008,'On a combat hit this spell may cast Scale Rend on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13573,89008,'Inflicts 215 - 321 melee damage on target',100,2,2),
(13574,89008,'Inflicts 215 - 321 melee damage on target',100,2,3),
(13575,89008,'Inflicts 215 - 321 melee damage on target',100,2,4),
(13576,89008,'Inflicts 298 heat damage on target',100,2,5),
(13577,89008,'Inflicts 186 heat damage on target every 6 seconds',100,2,6),
(13578,89008,'If target is draconic',100,2,7),
(13579,89008,'Cannot be modified except by direct means',100,2,8),
(13580,89008,'Applies Change Wield Style when Activated.',100,0,9),
(13581,89008,'Summon 1 The Wurmslayer',100,1,10),
(13582,89008,'This effect cannot be cast during combat',100,1,11),
(13583,89008,'The casting time of Change Wield Style is 1.98 seconds and the reuse time of the spell is 3.45 seconds',100,1,12),
(13584,10089008,'When Equipped:',100,0,0);
INSERT INTO `item_effects` VALUES
(13585,10089008,'On a combat hit this spell may cast Scale Rend on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13586,10089008,'Inflicts 215 - 321 melee damage on target',100,2,2),
(13587,10089008,'Inflicts 215 - 321 melee damage on target',100,2,3),
(13588,10089008,'Inflicts 215 - 321 melee damage on target',100,2,4),
(13589,10089008,'Inflicts 298 heat damage on target',100,2,5),
(13590,10089008,'Inflicts 186 heat damage on target every 6 seconds',100,2,6),
(13591,10089008,'If target is draconic',100,2,7),
(13592,10089008,'Cannot be modified except by direct means',100,2,8),
(13593,10089008,'Applies Change Wield Style when Activated.',100,0,9),
(13594,10089008,'Summon 1 The Wurmslayer',100,1,10),
(13595,10089008,'This effect cannot be cast during combat',100,1,11),
(13596,10089008,'The casting time of Change Wield Style is 1.98 seconds and the reuse time of the spell is 3.45 seconds',100,1,12),
(13597,52802,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(13598,52802,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(13599,52802,'Inflicts 123 heat damage on target',100,2,2),
(13600,52802,'Cannot be modified except by direct means',100,2,3),
(13601,10052802,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(13602,10052802,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(13603,10052802,'Inflicts 123 heat damage on target',100,2,2),
(13604,10052802,'Cannot be modified except by direct means',100,2,3),
(13605,177712,'When Equipped:',100,0,0),
(13606,177712,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13607,177712,'Increases INT of caster by 17.3',100,2,2),
(13608,177712,'Increases Subjugation, Focus and Disruption of caster by 9.8',100,2,3),
(13609,177712,'Cannot be modified except by direct means',100,2,4),
(13610,10177712,'When Equipped:',100,0,0),
(13611,10177712,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13612,10177712,'Increases INT of caster by 17.3',100,2,2),
(13613,10177712,'Increases Subjugation, Focus and Disruption of caster by 9.8',100,2,3),
(13614,10177712,'Cannot be modified except by direct means',100,2,4),
(13615,124117,'Increases power of caster by 233',100,1,0),
(13616,10124117,'Increases power of caster by 233',100,1,0),
(13617,102624,'Increases Threat to target encounter by 8,303 - 9,789 ',100,1,0),
(13618,102624,'Interrupts target encounter',100,1,1),
(13619,102624,'Decreases Mitigation of target encounter vs noxious damage by 1651',100,1,2),
(13620,10102624,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(13621,10102624,'Prevents target from changing targets',100,2,1),
(13622,10102624,'Forces target to change their selected target to caster.',100,2,2),
(13623,10102624,'Interrupts target encounter',100,1,3),
(13624,10102624,'Decreases Mitigation of target encounter vs noxious damage by 1651',100,1,4),
(13625,114419,'Mesmerizes target',100,1,0),
(13626,114419,'Prevents AOE (except when direct) ',100,1,1),
(13627,114419,'Dispelled when target takes damage',100,1,2),
(13628,114419,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(13629,114419,'Resistibility increases against targets higher than level 81.',100,1,4),
(13630,10114419,'Mesmerizes target',100,1,0),
(13631,10114419,'Prevents AOE (except when direct) ',100,1,1),
(13632,10114419,'Dispelled when target takes damage',100,1,2),
(13633,10114419,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(13634,10114419,'Resistibility increases against targets higher than level 81.',100,1,4),
(13635,79690,'When Equipped:',100,0,0),
(13636,79690,'On a combat hit this spell may cast Frost Gale on target of attack.  Lasts for 0.2 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13637,79690,'Inflicts 289 - 482 cold damage on targets in Area of Effect',100,2,2),
(13638,79690,'Throws target back',100,2,3),
(13639,79690,'Cannot be modified except by direct means',100,2,4),
(13640,10079690,'When Equipped:',100,0,0),
(13641,10079690,'On a combat hit this spell may cast Frost Gale on target of attack.  Lasts for 0.2 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13642,10079690,'Inflicts 289 - 482 cold damage on targets in Area of Effect',100,2,2),
(13643,10079690,'Throws target back',100,2,3),
(13644,10079690,'Cannot be modified except by direct means',100,2,4),
(13645,104516,'Increases Threat to target by 1,051 - 1,238  instantly and by 112 - 137  every 2 seconds thereafter',100,1,0),
(13646,10104516,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(13647,80675,'When Equipped:',100,0,0),
(13648,80675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13649,80675,'Inflicts 106 - 197 magic damage on target',100,2,2),
(13650,80675,'Cannot be modified except by direct means',100,2,3),
(13651,10080675,'When Equipped:',100,0,0),
(13652,10080675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13653,10080675,'Inflicts 106 - 197 magic damage on target',100,2,2),
(13654,10080675,'Cannot be modified except by direct means',100,2,3),
(13655,117544,'Increases AGI, INT and WIS of group members (AE) by 59.6',100,1,0),
(13656,117544,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 230',100,1,1),
(13657,10117544,'Increases AGI, INT and WIS of group members (AE) by 59.6',100,1,0),
(13658,10117544,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 230',100,1,1),
(13659,123095,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(13660,123095,'Roots target',100,2,1),
(13661,123095,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(13662,123095,'Slows target by 63.0%',100,3,3),
(13663,123095,'5% chance to dispel when target receives hostile action',100,3,4),
(13664,123095,'5% chance to dispel when target takes damage',100,3,5),
(13665,123095,'5% chance to dispel when target takes damage',100,2,6),
(13666,123095,'Does not affect Epic targets',100,2,7),
(13667,123095,'Resistibility increases against targets higher than level 104.',100,2,8),
(13668,123095,'Decreases AGI of target encounter by 84.7',100,1,9),
(13669,10123095,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(13670,10123095,'Roots target',100,2,1),
(13671,10123095,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(13672,10123095,'Slows target by 63.0%',100,3,3),
(13673,10123095,'5% chance to dispel when target receives hostile action',100,3,4),
(13674,10123095,'5% chance to dispel when target takes damage',100,3,5),
(13675,10123095,'5% chance to dispel when target takes damage',100,2,6),
(13676,10123095,'Does not affect Epic targets',100,2,7),
(13677,10123095,'Resistibility increases against targets higher than level 104.',100,2,8),
(13678,10123095,'Decreases AGI of target encounter by 84.7',100,1,9),
(13679,107158,'Inflicts 125 - 208 divine damage on target',100,1,0),
(13680,107158,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(13681,107158,'Stuns target',100,2,2),
(13682,107158,'If Target is not Epic',100,3,3),
(13683,107158,'Inflicts 195 - 325 divine damage on target',100,2,4),
(13684,107158,'Inflicts 167 - 278 divine damage on target',100,2,5),
(13685,107158,'If target is undead',100,3,6),
(13686,10107158,'Inflicts 66 - 109 divine damage on target',100,1,0),
(13687,10107158,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(13688,10107158,'Stuns target',100,2,2),
(13689,10107158,'Inflicts 230 - 384 divine damage on target',100,2,3),
(13690,10107158,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(13691,110863,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(13692,110863,'Inflicts 3460 - 5548 divine damage on target',100,2,1),
(13693,110863,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(13694,110863,'Stuns target',100,3,3),
(13695,110863,'Blurs vision of target',100,3,4),
(13696,110863,'Throws target back',100,3,5),
(13697,110863,'Does not affect Epic targets',100,3,6),
(13698,110863,'Grants a total of 3 triggers of the spell.',100,2,7),
(13699,10110863,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(13700,10110863,'Inflicts 2600 - 4246 divine damage on target',100,2,1),
(13701,10110863,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(13702,10110863,'Stuns target',100,3,3),
(13703,10110863,'Blurs vision of target',100,3,4),
(13704,10110863,'Throws target back',100,3,5),
(13705,10110863,'Does not affect Epic targets',100,3,6),
(13706,10110863,'Grants a total of 3 triggers of the spell.',100,2,7),
(13707,80503,'When Equipped:',100,0,0),
(13708,80503,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(13709,80503,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(13710,80503,'Decreases Threat to target by 1,219 ',100,2,3),
(13711,80503,'Must be flanking or behind',100,3,4),
(13712,80503,'Increases Threat to target by 1,679 ',100,2,5),
(13713,80503,'Must be in front of',100,3,6),
(13714,80503,'Cannot be modified except by direct means',100,2,7),
(13715,10080503,'When Equipped:',100,0,0),
(13716,10080503,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(13717,10080503,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(13718,10080503,'Cannot be modified except by direct means',100,2,3),
(13719,115074,'Heals target for 954 - 1166',100,1,0),
(13720,115074,'Heals target for 57 - 70 every second',100,1,1),
(13721,10115074,'Heals target for 908 - 1053',100,1,0),
(13722,10115074,'Heals target for 49 - 60 every second',100,1,1),
(13723,123511,'Decreases Mitigation of target encounter vs noxious damage by 690',100,1,0),
(13724,10123511,'Decreases Mitigation of target encounter vs noxious damage by 690',100,1,0),
(13725,75501,'When Equipped:',100,0,0),
(13726,75501,'On any combat or spell hit this spell may cast Exalted Wave II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13727,75501,'Inflicts 149 - 164 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(13728,75501,'Heals group members (AE) for 74 - 82 instantly and every 2 seconds',100,2,3),
(13729,75501,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(13730,75501,'Must not be engaged in pvp combat',100,2,5),
(13731,75501,'Cannot be modified except by direct means',100,2,6),
(13732,75501,'Must not be engaged in pvp combat',100,1,7),
(13733,10075501,'When Equipped:',100,0,0),
(13734,10075501,'On any combat or spell hit this spell may cast Exalted Wave II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(13735,10075501,'Inflicts 149 - 164 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(13736,10075501,'Heals group members (AE) for 48 - 53 instantly and every 2 seconds',100,2,3),
(13737,10075501,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(13738,10075501,'Must not be engaged in pvp combat',100,2,5),
(13739,10075501,'Cannot be modified except by direct means',100,2,6),
(13740,10075501,'Must not be engaged in pvp combat',100,1,7),
(13741,50087,'When Equipped:',100,0,0),
(13742,50087,'Increases Attack Speed of caster by 20.0',100,1,1),
(13743,10050087,'When Equipped:',100,0,0),
(13744,10050087,'Increases Attack Speed of caster by 20.0',100,1,1),
(13745,153803,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(13746,153803,'Increases Hate Gain of caster by 15.0%',100,1,1),
(13747,153803,'Must not be engaged in pvp combat',100,1,2),
(13748,153803,'Cannot be modified except by direct means',100,1,3),
(13749,153803,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(13750,153803,'When Equipped:',100,0,5),
(13751,153803,'On a critical spell hit this spell may cast Intimidating Rush VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(13752,153803,'Increases Threat to target by 1,647 - 1,772 ',100,2,7),
(13753,153803,'If over 80% Health',100,3,8),
(13754,153803,'Must not be engaged in pvp combat',100,2,9),
(13755,153803,'Cannot be modified except by direct means',100,2,10),
(13756,153803,'On a critical combat hit this spell may cast Intimidating Rush VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(13757,153803,'Increases Threat to target by 1,647 - 1,772 ',100,2,12),
(13758,153803,'If over 80% Health',100,3,13),
(13759,153803,'Must not be engaged in pvp combat',100,2,14),
(13760,153803,'Cannot be modified except by direct means',100,2,15),
(13761,153803,'Must not be engaged in pvp combat',100,1,16),
(13762,10153803,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(13763,10153803,'Must not be engaged in pvp combat',100,1,1),
(13764,10153803,'Cannot be modified except by direct means',100,1,2),
(13765,10153803,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(13766,10153803,'When Equipped:',100,0,4),
(13767,10153803,'On a critical spell hit this spell may cast Intimidating Rush VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(13768,10153803,'Must not be engaged in pvp combat',100,2,6),
(13769,10153803,'Cannot be modified except by direct means',100,2,7),
(13770,10153803,'On a critical combat hit this spell may cast Intimidating Rush VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(13771,10153803,'Must not be engaged in pvp combat',100,2,9),
(13772,10153803,'Cannot be modified except by direct means',100,2,10),
(13773,10153803,'Must not be engaged in pvp combat',100,1,11),
(13774,118418,'Heals target for 2707 - 3188',100,1,0),
(13775,118418,'Increases Max Health of target by 106.6',100,1,1),
(13776,10118418,'Heals target for 1906 - 2273',100,1,0),
(13777,10118418,'Increases Max Health of target by 106.6',100,1,1),
(13778,46154,'Applies Overclocked Tools when Equipped.',100,0,0),
(13779,46154,'Increases success chance by 5.0%',100,1,1),
(13780,10046154,'Applies Overclocked Tools when Equipped.',100,0,0),
(13781,10046154,'Increases success chance by 5.0%',100,1,1),
(13782,113358,'Applies Stifle.  Lasts for 4.0 seconds.',100,1,0),
(13783,113358,'Blurs vision of target',100,2,1),
(13784,113358,'Stifles target',100,2,2),
(13785,113358,'Dispelled when target takes damage',100,2,3),
(13786,113358,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,4),
(13787,113358,'Resistibility increases against targets higher than level 34.',100,2,5),
(13788,113358,'Roots target',100,1,6),
(13789,113358,'5% chance to dispel when target takes damage',100,1,7),
(13790,113358,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,8),
(13791,113358,'Resistibility increases against targets higher than level 34.',100,1,9),
(13792,10113358,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(13793,10113358,'Blurs vision of target',100,2,1),
(13794,10113358,'Stifles target',100,2,2),
(13795,10113358,'Dispelled when target takes damage',100,2,3),
(13796,10113358,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(13797,10113358,'Resistibility increases against targets higher than level 34.',100,2,5),
(13798,10113358,'Roots target',100,1,6),
(13799,10113358,'5% chance to dispel when target takes damage',100,1,7),
(13800,10113358,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(13801,10113358,'Resistibility increases against targets higher than level 34.',100,1,9),
(13802,117675,'Decreases Mitigation of target vs physical damage by 520',100,1,0),
(13803,10117675,'Decreases Mitigation of target vs physical damage by 260',100,1,0),
(13804,84009,'Applies Lightning Shock when Activated.',100,0,0),
(13805,84009,'Inflicts 594 - 991 magic damage on target',100,1,1),
(13806,84009,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(13807,10084009,'Applies Lightning Shock when Activated.',100,0,0),
(13808,10084009,'Inflicts 594 - 991 magic damage on target',100,1,1),
(13809,10084009,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(13810,37270,'Increases WIS of target by 13.2',100,0,0),
(13811,37270,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(13812,26275,'When Equipped:',100,0,0),
(13813,26275,'Increases Attack Speed of caster by 15.  Does not stack with any other haste effect items.',100,1,1),
(13814,10026275,'When Equipped:',100,0,0),
(13815,10026275,'Increases Attack Speed of caster by 15.  Does not stack with any other haste effect items.',100,1,1),
(13816,158719,'When Equipped:',100,0,0),
(13817,158719,'Applies Frosty Breath',100,1,1),
(13818,10158719,'When Equipped:',100,0,0),
(13819,10158719,'Applies Frosty Breath',100,1,1),
(13820,87188,'When Equipped:',100,0,0),
(13821,87188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13822,87188,'Inflicts 142 - 213 magic damage on target',100,2,2),
(13823,87188,'Cannot be modified except by direct means',100,2,3),
(13824,10087188,'When Equipped:',100,0,0),
(13825,10087188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(13826,10087188,'Inflicts 142 - 213 magic damage on target',100,2,2),
(13827,10087188,'Cannot be modified except by direct means',100,2,3),
(13828,117793,'Mesmerizes target',100,1,0),
(13829,117793,'Prevents AOE (except when direct) ',100,1,1),
(13830,117793,'Dispelled when target takes damage',100,1,2),
(13831,117793,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(13832,117793,'Resistibility increases against targets higher than level 69.',100,1,4),
(13833,10117793,'Mesmerizes target',100,1,0),
(13834,10117793,'Prevents AOE (except when direct) ',100,1,1),
(13835,10117793,'Dispelled when target takes damage',100,1,2),
(13836,10117793,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(13837,10117793,'Resistibility increases against targets higher than level 69.',100,1,4),
(13838,108408,'Heals target for 2382 - 2912',100,1,0),
(13839,10108408,'Heals target for 1754 - 2086',100,1,0),
(13840,117150,'Inflicts 2469 - 2800 heat damage on target',100,1,0),
(13841,117150,'Inflicts 1487 - 1817 heat damage on target every 4 seconds',100,1,1),
(13842,117150,'Decreases Mitigation of target vs arcane damage by 1462',100,1,2),
(13843,10117150,'Inflicts 1567 - 1827 heat damage on target',100,1,0),
(13844,10117150,'Inflicts 1172 - 1432 heat damage on target every 4 seconds',100,1,1),
(13845,10117150,'Decreases Mitigation of target vs arcane damage by 1462',100,1,2),
(13846,110815,'Interrupts target',100,1,0),
(13847,110815,'Inflicts 386 - 522 mental damage on target',100,1,1),
(13848,10110815,'Interrupts target',100,1,0),
(13849,10110815,'Inflicts 331 - 448 mental damage on target',100,1,1),
(13850,102338,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(13851,102338,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(13852,102338,'Decreases threat priority of target encounter by 1 position',100,2,2),
(13853,102338,'Decreases Threat to target encounter by 2,405 ',100,2,3),
(13854,102338,'Grants a total of 3 triggers of the spell.',100,2,4),
(13855,102338,'If profession other than Fighter',100,1,5),
(13856,10102338,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(13857,10102338,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(13858,10102338,'Target cannot target caster for the duration of this effect.',100,2,2),
(13859,10102338,'Forces target to clear their selected target.',100,2,3),
(13860,10102338,'Grants a total of 3 triggers of the spell.',100,2,4),
(13861,10102338,'If profession other than Fighter',100,1,5),
(13862,123843,'Increases AGI of caster by 9.7',100,1,0),
(13863,123843,'Adds 15.6% to base avoidance.',100,1,1),
(13864,123843,'Increases Damage Per Second of caster by 21.1',100,1,2),
(13865,123843,'Increases Mitigation of caster vs physical damage by 77',100,1,3),
(13866,123843,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 172',100,1,4),
(13867,10123843,'Increases AGI of caster by 9.7',100,1,0),
(13868,10123843,'Adds 15.6% to base avoidance.',100,1,1),
(13869,10123843,'Increases Damage Per Second of caster by 21.1',100,1,2),
(13870,10123843,'Increases Mitigation of caster vs physical damage by 77',100,1,3),
(13871,10123843,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 172',100,1,4),
(13872,24026,'Adds Elite: Aviak (Wizard) to your Dungeon Maker toolbox',100,0,0),
(13873,10024026,'Adds Elite: Aviak (Wizard) to your Dungeon Maker toolbox',100,0,0),
(13874,179094,'When Equipped:',100,0,0),
(13875,179094,'On a combat hit this spell may cast Strike of the Ethernauts on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13876,179094,'Inflicts 309 heat damage on target',100,2,2),
(13877,179094,'Inflicts 309 poison damage on target',100,2,3),
(13878,179094,'Inflicts 309 magic damage on target',100,2,4),
(13879,179094,'Increases Multi Attack Chance of caster by 8.0',100,2,5),
(13880,179094,'Cannot be modified except by direct means',100,2,6),
(13881,10179094,'When Equipped:',100,0,0),
(13882,10179094,'On a combat hit this spell may cast Strike of the Ethernauts on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(13883,10179094,'Inflicts 309 heat damage on target',100,2,2),
(13884,10179094,'Inflicts 309 poison damage on target',100,2,3),
(13885,10179094,'Inflicts 309 magic damage on target',100,2,4),
(13886,10179094,'Increases Multi Attack Chance of caster by 8.0',100,2,5),
(13887,10179094,'Cannot be modified except by direct means',100,2,6),
(13888,25927,'When Equipped:',100,0,0),
(13889,25927,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(13890,25927,'Inflicts 11 heat damage on target instantly and every 5 seconds',100,2,2),
(13891,25927,'Cannot be modified except by direct means',100,2,3),
(13892,10025927,'When Equipped:',100,0,0),
(13893,10025927,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(13894,10025927,'Inflicts 11 heat damage on target instantly and every 5 seconds',100,2,2),
(13895,10025927,'Cannot be modified except by direct means',100,2,3),
(13896,36595,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(13897,36576,'Increases STA and INT of target by 4.6',100,0,0),
(13898,36576,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,1),
(13899,189028,'When Equipped:',100,0,0),
(13900,189028,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(13901,189028,'Increases Max Health of group members by 700.0',100,2,2),
(13902,189028,'Cannot be modified except by direct means',100,2,3),
(13903,189028,'When Equipped:',100,0,4),
(13904,189028,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(13905,189028,'Increases Mitigation of target vs physical, noxious and arcane damage by 1116',100,2,6),
(13906,189028,'This effect can be stacked by multiple casters.',100,2,7),
(13907,189028,'Increases Mitigation of target vs elemental damage by 1116',100,2,8),
(13908,189028,'Cannot be modified except by direct means',100,2,9),
(13909,10189028,'When Equipped:',100,0,0),
(13910,10189028,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(13911,10189028,'Increases Max Health of group members by 700.0',100,2,2),
(13912,10189028,'Cannot be modified except by direct means',100,2,3),
(13913,10189028,'When Equipped:',100,0,4),
(13914,10189028,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(13915,10189028,'Increases Mitigation of target vs physical, noxious and arcane damage by 1116',100,2,6),
(13916,10189028,'This effect can be stacked by multiple casters.',100,2,7),
(13917,10189028,'Increases Mitigation of target vs elemental damage by 1116',100,2,8),
(13918,10189028,'Cannot be modified except by direct means',100,2,9),
(13919,104867,'Increases damage of your next stealth attack by 28%',100,1,0),
(13920,104867,'Grants stealth to caster',100,1,1),
(13921,104867,'Suspends caster''s movement speed enhancements',100,1,2),
(13922,104867,'You must execute certain combat arts before you can use this ability.',100,1,3),
(13923,10104867,'Increases damage of your next stealth attack by 28%',100,1,0),
(13924,10104867,'Grants stealth to caster',100,1,1),
(13925,10104867,'Suspends caster''s movement speed enhancements',100,1,2),
(13926,10104867,'You must execute certain combat arts before you can use this ability.',100,1,3),
(13927,151818,'When Equipped:',100,0,0),
(13928,151818,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(13929,10151818,'When Equipped:',100,0,0),
(13930,10151818,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(13931,117872,'Heals target for 1528 - 1649',100,1,0),
(13932,117872,'Heals target for 545 - 667 every 2 seconds',100,1,1),
(13933,10117872,'Heals target for 536 - 598',100,1,0),
(13934,10117872,'Heals target for 279 - 342 every 2 seconds',100,1,1),
(13935,117621,'Inflicts 3092 - 4483 ranged damage on target',100,1,0),
(13936,117621,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(13937,117621,'Slows target by 42.5%',100,2,2),
(13938,117621,'5% chance to dispel when target receives hostile action',100,2,3),
(13939,117621,'5% chance to dispel when target takes damage',100,2,4),
(13940,117621,'Must be flanking or behind',100,1,5),
(13941,117621,'Requires bow',100,1,6),
(13942,10117621,'Inflicts 1641 - 2464 ranged damage on target',100,1,0),
(13943,10117621,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(13944,10117621,'Slows target by 42.5%',100,2,2),
(13945,10117621,'5% chance to dispel when target receives hostile action',100,2,3),
(13946,10117621,'5% chance to dispel when target takes damage',100,2,4),
(13947,10117621,'Must be flanking or behind',100,1,5),
(13948,10117621,'Requires bow',100,1,6),
(13949,103713,'Increases Max Health of raid and group members (AE) by 109.0',100,1,0),
(13950,103713,'Increases Defense of raid and group members (AE) by 5.1',100,1,1),
(13951,10103713,'Increases Max Health of raid and group members (AE) by 109.0',100,1,0),
(13952,10103713,'Increases Defense of raid and group members (AE) by 5.1',100,1,1),
(13953,119443,'Inflicts 440 piercing damage on target instantly and every 4 seconds',100,1,0),
(13954,119443,'Inflicts 1468 - 1998 melee damage on target',100,1,1),
(13955,119443,'Must be flanking or behind',100,1,2),
(13956,10119443,'Inflicts 347 piercing damage on target instantly and every 4 seconds',100,1,0),
(13957,10119443,'Inflicts 877 - 1195 melee damage on target',100,1,1),
(13958,10119443,'Must be flanking or behind',100,1,2),
(13959,119695,'Increases Threat to target encounter by 2,192 - 2,623 ',100,1,0),
(13960,10119695,'Prevents target encounter from changing targets',100,1,0),
(13961,10119695,'Forces target encounter to change their selected target to caster.',100,1,1),
(13962,118537,'Inflicts 3061 - 4430 melee damage on target',100,1,0),
(13963,118537,'Decreases STR of target by 61.1',100,1,1),
(13964,118537,'You must be sneaking to use this ability.',100,1,2),
(13965,10118537,'Inflicts 2033 - 3112 melee damage on target',100,1,0),
(13966,10118537,'Decreases STR of target by 61.1',100,1,1),
(13967,10118537,'You must be sneaking to use this ability.',100,1,2),
(13968,123631,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(13969,123631,'Slows target by 31.8%',100,2,1),
(13970,123631,'5% chance to dispel when target receives hostile action',100,2,2),
(13971,123631,'5% chance to dispel when target takes damage',100,2,3),
(13972,123631,'Inflicts 383 - 468 cold damage on target',100,1,4),
(13973,10123631,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(13974,10123631,'Slows target by 31.8%',100,2,1),
(13975,10123631,'5% chance to dispel when target receives hostile action',100,2,2),
(13976,10123631,'5% chance to dispel when target takes damage',100,2,3),
(13977,10123631,'Inflicts 300 - 367 cold damage on target',100,1,4),
(13978,107601,'Inflicts 3282 - 3938 mental damage on target encounter',100,1,0),
(13979,107601,'Dazes target encounter',100,1,1),
(13980,107601,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(13981,107601,'Resistibility increases against targets higher than level 107.',100,1,3),
(13982,10107601,'Inflicts 2460 - 2977 mental damage on target encounter',100,1,0),
(13983,10107601,'Dazes target encounter',100,1,1),
(13984,10107601,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(13985,10107601,'Resistibility increases against targets higher than level 107.',100,1,3),
(13986,100258,'Inflicts 574 - 1066 poison damage on target',100,1,0),
(13987,100258,'Inflicts 128 - 237 poison damage on target every 3 seconds',100,1,1),
(13988,10100258,'Inflicts 621 - 816 poison damage on target',100,1,0),
(13989,10100258,'Inflicts 227 - 421 poison damage on target every 3 seconds',100,1,1),
(13990,118867,'Inflicts 104 - 173 melee damage on target',100,1,0),
(13991,118867,'Inflicts 29 - 49 melee damage on target',100,1,1),
(13992,118867,'Inflicts 29 - 49 melee damage on target',100,1,2),
(13993,118867,'Inflicts 29 - 49 melee damage on target',100,1,3),
(13994,118867,'Inflicts 29 - 49 melee damage on target',100,1,4),
(13995,10118867,'Inflicts 98 - 162 melee damage on target',100,1,0),
(13996,10118867,'Inflicts 23 - 39 melee damage on target',100,1,1),
(13997,10118867,'Inflicts 23 - 39 melee damage on target',100,1,2),
(13998,10118867,'Inflicts 23 - 39 melee damage on target',100,1,3),
(13999,10118867,'Inflicts 23 - 39 melee damage on target',100,1,4),
(14000,35666,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(14001,36909,'Increases AGI of target by 4.3',100,0,0),
(14002,36909,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(14003,106100,'Inflicts 3473 - 5112 melee damage on target',100,1,0),
(14004,106100,'Decreases Mitigation of target vs physical damage by 1540',100,1,1),
(14005,106100,'Must be behind',100,1,2),
(14006,10106100,'Inflicts 2357 - 3650 melee damage on target',100,1,0),
(14007,10106100,'Decreases Mitigation of target vs physical damage by 385',100,1,1),
(14008,10106100,'Must be behind',100,1,2),
(14009,159685,'When Equipped:',100,0,0),
(14010,159685,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14011,159685,'Increases INT of caster by 19.8',100,2,2),
(14012,159685,'Increases Focus, Subjugation and Disruption of caster by 11.1',100,2,3),
(14013,159685,'Cannot be modified except by direct means',100,2,4),
(14014,10159685,'When Equipped:',100,0,0),
(14015,10159685,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14016,10159685,'Increases INT of caster by 19.8',100,2,2),
(14017,10159685,'Increases Focus, Subjugation and Disruption of caster by 11.1',100,2,3),
(14018,10159685,'Cannot be modified except by direct means',100,2,4),
(14019,80399,'When Equipped:',100,0,0),
(14020,80399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14021,80399,'Inflicts 86 - 159 magic damage on target',100,2,2),
(14022,80399,'Cannot be modified except by direct means',100,2,3),
(14023,10080399,'When Equipped:',100,0,0),
(14024,10080399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14025,10080399,'Inflicts 86 - 159 magic damage on target',100,2,2),
(14026,10080399,'Cannot be modified except by direct means',100,2,3),
(14027,71864,'When Equipped:',100,0,0),
(14028,71864,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14029,71864,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(14030,71864,'Cannot be modified except by direct means',100,2,3),
(14031,10071864,'When Equipped:',100,0,0),
(14032,10071864,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14033,10071864,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(14034,10071864,'Cannot be modified except by direct means',100,2,3),
(14035,26645,'When Equipped:',100,0,0),
(14036,26645,'This effect will not stack with itself.',100,1,1),
(14037,26645,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(14038,10026645,'When Equipped:',100,0,0),
(14039,10026645,'This effect will not stack with itself.',100,1,1),
(14040,10026645,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(14041,78981,'When Equipped:',100,0,0),
(14042,78981,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(14043,10078981,'When Equipped:',100,0,0),
(14044,10078981,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(14045,138121,'When Equipped:',100,0,0),
(14046,138121,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(14047,138121,'Wards caster against 280 points of all damage',100,2,2),
(14048,138121,'Cannot be modified except by direct means',100,2,3),
(14049,10138121,'When Equipped:',100,0,0),
(14050,10138121,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(14051,10138121,'Wards caster against 280 points of all damage',100,2,2),
(14052,10138121,'Cannot be modified except by direct means',100,2,3),
(14053,103223,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14054,103223,'Adds 1.5% to base avoidance.',100,1,1),
(14055,103223,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(14056,103223,'Increases Parry of caster by 4.8',100,1,3),
(14057,103223,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(14058,103223,'Increases Aggression of caster by 3.6',100,1,5),
(14059,103223,'Increases Defense and Deflection of caster by 4.8',100,1,6),
(14060,103223,'Increases Mitigation of caster vs noxious damage by 346',100,1,7),
(14061,103223,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(14062,103223,'Reduces physical damage done to caster by 5%',100,1,9),
(14063,10103223,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14064,10103223,'Adds 1.5% to base avoidance.',100,1,1),
(14065,10103223,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(14066,10103223,'Increases Parry of caster by 4.8',100,1,3),
(14067,10103223,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(14068,10103223,'Increases Aggression of caster by 3.6',100,1,5),
(14069,10103223,'Increases Defense and Deflection of caster by 4.8',100,1,6),
(14070,10103223,'Increases Mitigation of caster vs noxious damage by 346',100,1,7),
(14071,10103223,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(14072,10103223,'Reduces physical damage done to caster by 5%',100,1,9),
(14073,116338,'Mesmerizes target encounter',100,1,0),
(14074,116338,'Prevents AOE (except when direct) ',100,1,1),
(14075,116338,'Dispelled when target takes damage',100,1,2),
(14076,116338,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(14077,116338,'Resistibility increases against targets higher than level 52.',100,1,4),
(14078,10116338,'Mesmerizes target encounter',100,1,0),
(14079,10116338,'Prevents AOE (except when direct) ',100,1,1),
(14080,10116338,'Dispelled when target takes damage',100,1,2),
(14081,10116338,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(14082,10116338,'Resistibility increases against targets higher than level 52.',100,1,4),
(14083,111937,'Inflicts 518 - 863 piercing damage on target instantly and every 4 seconds',100,1,0),
(14084,111937,'Inflicts 2890 - 4145 piercing damage on target',100,1,1),
(14085,10111937,'Inflicts 680 - 1133 piercing damage on target instantly and every 4 seconds',100,1,0),
(14086,10111937,'Inflicts 2444 - 3794 piercing damage on target',100,1,1),
(14087,46511,'Applies Calibrated Tools when Equipped.',100,0,0),
(14088,46511,'Increases success chance by 2.0%',100,1,1),
(14089,10046511,'Applies Calibrated Tools when Equipped.',100,0,0),
(14090,10046511,'Increases success chance by 2.0%',100,1,1),
(14091,116720,'Inflicts 2622 - 3885 melee damage on target',100,1,0),
(14092,10116720,'Inflicts 1774 - 2682 melee damage on target',100,1,0),
(14093,102912,'Inflicts 131 - 160 disease damage on target',100,1,0),
(14094,102912,'Inflicts 22 - 27 disease damage on target every 4 seconds',100,1,1),
(14095,10102912,'Inflicts 132 - 161 disease damage on target',100,1,0),
(14096,10102912,'Inflicts 17 - 21 disease damage on target every 4 seconds',100,1,1),
(14097,71802,'When Equipped:',100,0,0),
(14098,71802,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14099,71802,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(14100,71802,'Cannot be modified except by direct means',100,2,3),
(14101,10071802,'When Equipped:',100,0,0),
(14102,10071802,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14103,10071802,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(14104,10071802,'Cannot be modified except by direct means',100,2,3),
(14105,122647,'Heals target for 982',100,1,0),
(14106,122647,'Heals target for 802 - 980 every 2 seconds',100,1,1),
(14107,122647,'Wards target against 2782 points of all damage',100,1,2),
(14108,122647,'Decreases Attack Speed of target by 25.0',100,1,3),
(14109,122647,'Slows target by 50.0%',100,1,4),
(14110,10122647,'Heals target for 462',100,1,0),
(14111,10122647,'Heals target for 739 - 904 every 2 seconds',100,1,1),
(14112,10122647,'Wards target against 2255 points of all damage',100,1,2),
(14113,10122647,'Decreases Attack Speed of target by 25.0',100,1,3),
(14114,10122647,'Slows target by 20.0%',100,1,4),
(14115,123249,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(14116,123249,'Increases Mitigation of group members (AE) vs noxious damage by 627',100,1,1),
(14117,10123249,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(14118,10123249,'Increases Mitigation of group members (AE) vs noxious damage by 627',100,1,1),
(14119,115933,'Inflicts 3139 - 4560 melee damage on target',100,1,0),
(14120,115933,'Roots target',100,1,1),
(14121,115933,'If Target is not Epic',100,2,2),
(14122,115933,'5% chance to dispel when target takes damage',100,1,3),
(14123,115933,'Resistibility increases against targets higher than level 75.',100,1,4),
(14124,10115933,'Inflicts 2095 - 3214 melee damage on target',100,1,0),
(14125,10115933,'Roots target',100,1,1),
(14126,10115933,'If Target is not Epic',100,2,2),
(14127,10115933,'5% chance to dispel when target takes damage',100,1,3),
(14128,10115933,'Resistibility increases against targets higher than level 75.',100,1,4),
(14129,145947,'When Equipped:',100,0,0),
(14130,145947,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(14131,145947,'Increases Ability Modifier of caster by 660.0',100,2,2),
(14132,145947,'Must not be engaged in pvp combat',100,2,3),
(14133,145947,'Cannot be modified except by direct means',100,2,4),
(14134,145947,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(14135,145947,'Increases Ability Modifier of caster by 660.0',100,2,6),
(14136,145947,'Must not be engaged in pvp combat',100,2,7),
(14137,145947,'Cannot be modified except by direct means',100,2,8),
(14138,145947,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(14139,145947,'Cannot be modified except by direct means',100,1,10),
(14140,10145947,'When Equipped:',100,0,0),
(14141,10145947,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(14142,10145947,'Increases Ability Modifier of caster by 660.0',100,2,2),
(14143,10145947,'Must not be engaged in pvp combat',100,2,3),
(14144,10145947,'Cannot be modified except by direct means',100,2,4),
(14145,10145947,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(14146,10145947,'Increases Ability Modifier of caster by 660.0',100,2,6),
(14147,10145947,'Must not be engaged in pvp combat',100,2,7),
(14148,10145947,'Cannot be modified except by direct means',100,2,8),
(14149,10145947,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(14150,10145947,'Cannot be modified except by direct means',100,1,10),
(14151,138514,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(14152,138514,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 293',100,1,1),
(14153,138514,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(14154,10138514,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(14155,10138514,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 293',100,1,1),
(14156,10138514,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(14157,116550,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(14158,116550,'Inflicts 1276 divine damage on target',100,2,1),
(14159,116550,'Increases Mitigation of raid and group members (AE) vs all damage by 2352',100,1,2),
(14160,10116550,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(14161,10116550,'Inflicts 1006 divine damage on target',100,2,1),
(14162,10116550,'Increases Mitigation of raid and group members (AE) vs all damage by 2352',100,1,2),
(14163,101250,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(14164,101250,'Inflicts 548 - 913 mental damage on target',100,2,1),
(14165,10101250,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(14166,10101250,'Inflicts 432 - 719 mental damage on target',100,2,1),
(14167,103229,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14168,103229,'Adds 1.5% to base avoidance.',100,1,1),
(14169,103229,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(14170,103229,'Increases Parry of caster by 9.0',100,1,3),
(14171,103229,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(14172,103229,'Increases Aggression of caster by 6.7',100,1,5),
(14173,103229,'Increases Defense and Deflection of caster by 9.0',100,1,6),
(14174,103229,'Increases Mitigation of caster vs noxious damage by 600',100,1,7),
(14175,103229,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(14176,103229,'Reduces physical damage done to caster by 5%',100,1,9),
(14177,10103229,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14178,10103229,'Adds 1.5% to base avoidance.',100,1,1),
(14179,10103229,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(14180,10103229,'Increases Parry of caster by 9.0',100,1,3),
(14181,10103229,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(14182,10103229,'Increases Aggression of caster by 6.7',100,1,5),
(14183,10103229,'Increases Defense and Deflection of caster by 9.0',100,1,6),
(14184,10103229,'Increases Mitigation of caster vs noxious damage by 600',100,1,7),
(14185,10103229,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(14186,10103229,'Reduces physical damage done to caster by 5%',100,1,9),
(14187,108565,'Makes target afraid',100,1,0),
(14188,108565,'30% chance to dispel when target takes damage',100,1,1),
(14189,108565,'Does not affect Epic targets',100,1,2),
(14190,108565,'Resistibility increases against targets higher than level 106.',100,1,3),
(14191,10108565,'Makes target afraid',100,1,0),
(14192,10108565,'30% chance to dispel when target takes damage',100,1,1),
(14193,10108565,'Does not affect Epic targets',100,1,2),
(14194,10108565,'Resistibility increases against targets higher than level 106.',100,1,3),
(14195,48888,'Applies Shielding of the Tranquilheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(14196,48888,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(14197,48888,'Inflicts 6 magic damage on target',100,2,2),
(14198,48888,'Cannot be modified except by direct means',100,2,3),
(14199,10048888,'Applies Shielding of the Tranquilheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(14200,10048888,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(14201,10048888,'Inflicts 6 magic damage on target',100,2,2),
(14202,10048888,'Cannot be modified except by direct means',100,2,3),
(14203,74941,'When Equipped:',100,0,0),
(14204,74941,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14205,74941,'Inflicts 49 - 74 magic damage on target',100,2,2),
(14206,74941,'Cannot be modified except by direct means',100,2,3),
(14207,10074941,'When Equipped:',100,0,0),
(14208,10074941,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14209,10074941,'Inflicts 49 - 74 magic damage on target',100,2,2),
(14210,10074941,'Cannot be modified except by direct means',100,2,3),
(14211,46004,'Applies Improved Affinity when Activated.',100,0,0),
(14212,46004,'Greatly improves your affinity with your current warder.',100,1,1),
(14213,46004,'You must have a warder active to use this item.',100,1,2),
(14214,10046004,'Applies Improved Affinity when Activated.',100,0,0),
(14215,10046004,'Greatly improves your affinity with your current warder.',100,1,1),
(14216,10046004,'You must have a warder active to use this item.',100,1,2),
(14217,121715,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14218,121715,'Increases AGI of caster by 39.4',100,1,1),
(14219,121715,'Adds 1.7% to base avoidance.',100,1,2),
(14220,121715,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(14221,121715,'Increases Parry of caster by 22.8',100,1,4),
(14222,121715,'Increases Defense of caster by 30.4',100,1,5),
(14223,10121715,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14224,10121715,'Increases AGI of caster by 39.4',100,1,1),
(14225,10121715,'Adds 1.7% to base avoidance.',100,1,2),
(14226,10121715,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(14227,10121715,'Increases Parry of caster by 22.8',100,1,4),
(14228,10121715,'Increases Defense of caster by 30.4',100,1,5),
(14229,189196,'When Equipped:',100,0,0),
(14230,189196,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(14231,10189196,'When Equipped:',100,0,0),
(14232,10189196,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(14233,108513,'Increases AGI and WIS of group members (AE) by 23.4',100,1,0),
(14234,108513,'Adds 2.4% to base avoidance.',100,1,1),
(14235,108513,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',100,1,2),
(14236,10108513,'Increases AGI and WIS of group members (AE) by 23.4',100,1,0),
(14237,10108513,'Adds 2.4% to base avoidance.',100,1,1),
(14238,10108513,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',100,1,2),
(14239,101184,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(14240,101184,'Slows target by 62.1%',100,2,1),
(14241,101184,'5% chance to dispel when target receives hostile action',100,2,2),
(14242,101184,'5% chance to dispel when target takes damage',100,2,3),
(14243,101184,'Inflicts 1965 - 2613 cold damage on target',100,1,4),
(14244,101184,'Inflicts 983 - 1631 cold damage on target',100,1,5),
(14245,101184,'If weapon equipped in Ranged',100,1,6),
(14246,10101184,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(14247,10101184,'Slows target by 62.1%',100,2,1),
(14248,10101184,'5% chance to dispel when target receives hostile action',100,2,2),
(14249,10101184,'5% chance to dispel when target takes damage',100,2,3),
(14250,10101184,'Inflicts 975 - 1358 cold damage on target',100,1,4),
(14251,10101184,'Inflicts 581 - 964 cold damage on target',100,1,5),
(14252,10101184,'If weapon equipped in Ranged',100,1,6),
(14253,170669,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(14254,170669,'Decreases Attack Speed of target by 13.0',100,1,1),
(14255,170669,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(14256,10170669,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(14257,10170669,'Decreases Attack Speed of target by 13.0',100,1,1),
(14258,10170669,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(14259,45273,'Applies Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(14260,45273,'Increases Max Health of caster by 332.8',100,1,1),
(14261,45273,'Only affects targets level 50 and above',100,1,2),
(14262,10045273,'Applies Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(14263,10045273,'Increases Max Health of caster by 332.8',100,1,1),
(14264,10045273,'Only affects targets level 50 and above',100,1,2),
(14265,160014,'Applies Lambent Imbued when Equipped.',100,0,0),
(14266,160014,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(14267,160014,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(14268,160014,'Cannot be modified except by direct means',100,2,3),
(14269,10160014,'Applies Lambent Imbued when Equipped.',100,0,0),
(14270,10160014,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(14271,10160014,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(14272,10160014,'Cannot be modified except by direct means',100,2,3),
(14273,55166,'When Equipped:',100,0,0),
(14274,55166,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(14275,55166,'Inflicts 48 divine damage on target',100,2,2),
(14276,55166,'Cannot be modified except by direct means',100,2,3),
(14277,10055166,'When Equipped:',100,0,0),
(14278,10055166,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(14279,10055166,'Inflicts 48 divine damage on target',100,2,2),
(14280,10055166,'Cannot be modified except by direct means',100,2,3),
(14281,109727,'Inflicts 1080 - 1793 cold damage on target',100,1,0),
(14282,109727,'If weapon equipped in Ranged',100,1,1),
(14283,10109727,'Inflicts 638 - 1060 cold damage on target',100,1,0),
(14284,10109727,'If weapon equipped in Ranged',100,1,1),
(14285,81810,'When Equipped:',100,0,0),
(14286,81810,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14287,81810,'Inflicts 189 - 352 magic damage on target',100,2,2),
(14288,81810,'Cannot be modified except by direct means',100,2,3),
(14289,10081810,'When Equipped:',100,0,0),
(14290,10081810,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14291,10081810,'Inflicts 189 - 352 magic damage on target',100,2,2),
(14292,10081810,'Cannot be modified except by direct means',100,2,3),
(14293,106688,'Heals caster for 38.6 - 47.2% of max health',100,1,0),
(14294,106688,'This effect cannot be critically applied.',100,2,1),
(14295,106688,'Increases Max Health of caster by 623.7',100,1,2),
(14296,106688,'The healing of this spell cannot be modified except by direct means',100,1,3),
(14297,10106688,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(14298,10106688,'This effect cannot be critically applied.',100,2,1),
(14299,10106688,'Increases Max Health of caster by 623.7',100,1,2),
(14300,10106688,'The healing of this spell cannot be modified except by direct means',100,1,3),
(14301,36001,'Increases STA and STR of target by 23.0',100,0,0),
(14302,36001,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(14303,36001,'Increases Out-of-Combat Power Regeneration of target by 37.8',100,0,2),
(14304,41669,'When Equipped:',100,0,0),
(14305,41669,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(14306,41669,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(14307,41669,'Decreases Threat to target by 1,219 ',100,2,3),
(14308,41669,'Must be flanking or behind',100,3,4),
(14309,41669,'Increases Threat to target by 1,679 ',100,2,5),
(14310,41669,'Must be in front of',100,3,6),
(14311,41669,'Cannot be modified except by direct means',100,2,7),
(14312,10041669,'When Equipped:',100,0,0),
(14313,10041669,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(14314,10041669,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(14315,10041669,'Cannot be modified except by direct means',100,2,3),
(14316,172917,'When Equipped:',100,0,0),
(14317,172917,'Gives caster a 0.3% chance to strikethrough a successful avoidance check',100,1,1),
(14318,172917,'Increases Riposte Damage of caster by 3.0',100,1,2),
(14319,172917,'Increases Additional chance to Riposte of caster by 3.0',100,1,3),
(14320,172917,'Must not be engaged in pvp combat',100,1,4),
(14321,10172917,'When Equipped:',100,0,0),
(14322,10172917,'Gives caster a 0.3% chance to strikethrough a successful avoidance check',100,1,1),
(14323,10172917,'Increases Riposte Damage of caster by 3.0',100,1,2),
(14324,10172917,'Increases Additional chance to Riposte of caster by 3.0',100,1,3),
(14325,10172917,'Must not be engaged in pvp combat',100,1,4),
(14326,36186,'Increases STR of target by 12.7',100,0,0),
(14327,36186,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(14328,100302,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(14329,100302,'Inflicts 776 divine damage on target',100,2,1),
(14330,10100302,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(14331,10100302,'Inflicts 612 divine damage on target',100,2,1),
(14332,104264,'Increases Mitigation of group members (AE) vs physical damage by 684',100,1,0),
(14333,10104264,'Increases Mitigation of group members (AE) vs physical damage by 684',100,1,0),
(14334,75507,'When Equipped:',100,0,0),
(14335,75507,'On any combat or spell hit this spell may cast Exalted Wave VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(14336,75507,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,2),
(14337,75507,'Inflicts 1747 - 1931 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,3),
(14338,75507,'Heals group members (AE) for 964 - 1066 instantly and every 2 seconds',100,2,4),
(14339,75507,'Must not be engaged in pvp combat',100,2,5),
(14340,75507,'Cannot be modified except by direct means',100,2,6),
(14341,75507,'Must not be engaged in pvp combat',100,1,7),
(14342,10075507,'When Equipped:',100,0,0),
(14343,10075507,'On any combat or spell hit this spell may cast Exalted Wave VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(14344,10075507,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,2),
(14345,10075507,'Inflicts 1747 - 1931 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,3),
(14346,10075507,'Heals group members (AE) for 627 - 693 instantly and every 2 seconds',100,2,4),
(14347,10075507,'Must not be engaged in pvp combat',100,2,5),
(14348,10075507,'Cannot be modified except by direct means',100,2,6),
(14349,10075507,'Must not be engaged in pvp combat',100,1,7),
(14350,124523,'Dispels 23 levels of physical hostile effects on caster',100,129,0),
(14351,124523,'Dispels 23 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(14352,10124523,'Dispels 23 levels of physical hostile effects on caster',100,129,0),
(14353,10124523,'Dispels 23 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(14354,102487,'Inflicts 2698 - 3969 crushing damage on target',100,1,0),
(14355,102487,'Prevents target from changing direction while active.',100,1,1),
(14356,102487,'If Target is not Epic',100,2,2),
(14357,102487,'Roots target',100,1,3),
(14358,102487,'If Target is not Epic',100,2,4),
(14359,102487,'Resistibility increases against targets higher than level 79.',100,1,5),
(14360,10102487,'Inflicts 1814 - 2748 crushing damage on target',100,1,0),
(14361,10102487,'Prevents target from changing direction while active.',100,1,1),
(14362,10102487,'If Target is not Epic',100,2,2),
(14363,10102487,'Roots target',100,1,3),
(14364,10102487,'If Target is not Epic',100,2,4),
(14365,10102487,'Resistibility increases against targets higher than level 79.',100,1,5),
(14366,115173,'Heals target for 839 - 1026',100,1,0),
(14367,10115173,'Heals target for 779 - 952',100,1,0),
(14368,81425,'When Equipped:',100,0,0),
(14369,81425,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14370,81425,'Inflicts 155 - 288 magic damage on target',100,2,2),
(14371,81425,'Cannot be modified except by direct means',100,2,3),
(14372,10081425,'When Equipped:',100,0,0),
(14373,10081425,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14374,10081425,'Inflicts 155 - 288 magic damage on target',100,2,2),
(14375,10081425,'Cannot be modified except by direct means',100,2,3),
(14376,115079,'Heals target for 1302 - 1592',100,1,0),
(14377,115079,'Heals target for 78 - 95 every second',100,1,1),
(14378,10115079,'Heals target for 1146 - 1344',100,1,0),
(14379,10115079,'Heals target for 67 - 82 every second',100,1,1),
(14380,159412,'Applies Sanguine Imbued when Equipped.',100,0,0),
(14381,159412,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(14382,159412,'Inflicts 276 heat damage on target',100,2,2),
(14383,159412,'Cannot be modified except by direct means',100,2,3),
(14384,10159412,'Applies Sanguine Imbued when Equipped.',100,0,0),
(14385,10159412,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(14386,10159412,'Inflicts 276 heat damage on target',100,2,2),
(14387,10159412,'Cannot be modified except by direct means',100,2,3),
(14388,35316,'Increases Max Power of target by 90.7',100,0,0),
(14389,35316,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(14390,114391,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(14391,114391,'Increases Attack Speed of caster by 21.0',100,130,1),
(14392,114391,'Increases Ranged, Slashing, Piercing and Crushing of caster by 42.7',100,130,2),
(14393,114391,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(14394,114391,'Stuns target',100,2,4),
(14395,114391,'Blurs vision of target',100,2,5),
(14396,114391,'Throws target back',100,2,6),
(14397,114391,'Does not affect Epic targets',100,2,7),
(14398,114391,'Inflicts 3408 - 5004 crushing damage on target',100,1,8),
(14399,10114391,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(14400,10114391,'Increases Attack Speed of caster by 21.0',100,130,1),
(14401,10114391,'Increases Ranged, Slashing, Piercing and Crushing of caster by 42.7',100,130,2),
(14402,10114391,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(14403,10114391,'Stuns target',100,2,4),
(14404,10114391,'Throws target back',100,2,5),
(14405,10114391,'Blurs vision of target',100,2,6),
(14406,10114391,'Does not affect Epic targets',100,2,7),
(14407,10114391,'Inflicts 2332 - 3607 crushing damage on target',100,1,8),
(14408,103944,'Wards group members (AE) collectively against 10771 total points of all damage',100,1,0),
(14409,10103944,'Wards group members (AE) collectively against 11885 total points of all damage',100,1,0),
(14410,101213,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(14411,101213,'Increases Attack Speed of caster by 21.0',100,130,1),
(14412,101213,'Increases Piercing, Ranged, Slashing and Crushing of caster by 19.8',100,130,2),
(14413,101213,'Dazes target',100,1,3),
(14414,101213,'If Target is not Epic',100,2,4),
(14415,101213,'Inflicts 3208 - 4673 cold damage on target',100,1,5),
(14416,101213,'Resistibility increases against targets higher than level 73.',100,1,6),
(14417,10101213,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(14418,10101213,'Increases Attack Speed of caster by 21.0',100,130,1),
(14419,10101213,'Increases Piercing, Ranged, Slashing and Crushing of caster by 19.8',100,130,2),
(14420,10101213,'Dazes target',100,1,3),
(14421,10101213,'If Target is not Epic',100,2,4),
(14422,10101213,'Inflicts 2180 - 3355 cold damage on target',100,1,5),
(14423,10101213,'Resistibility increases against targets higher than level 73.',100,1,6),
(14424,47485,'Applies Call Steppes Pony when Activated.',100,0,0),
(14425,47485,'Summons a mount to ride',100,1,1),
(14426,47485,'Increases your ground speed by 130%',100,2,2),
(14427,10047485,'Applies Call Steppes Pony when Activated.',100,0,0),
(14428,10047485,'Summons a mount to ride',100,1,1),
(14429,10047485,'Increases your ground speed by 130%',100,2,2),
(14430,45555,'Applies Blagro''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(14431,45555,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(14432,10045555,'Applies Blagro''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(14433,10045555,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(14434,103317,'Applies Migraine on termination.',100,1,0),
(14435,103317,'Inflicts 556 - 752 mental damage on target',100,2,1),
(14436,103317,'Inflicts 765 - 935 mental damage on target',100,1,2),
(14437,103317,'Inflicts 219 - 267 mental damage on target every 6 seconds',100,1,3),
(14438,10103317,'Applies Migraine on termination.',100,1,0),
(14439,10103317,'Inflicts 455 - 615 mental damage on target',100,2,1),
(14440,10103317,'Inflicts 567 - 605 mental damage on target',100,1,2),
(14441,10103317,'Inflicts 172 - 210 mental damage on target every 6 seconds',100,1,3),
(14442,102838,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(14443,102838,'Stuns target',100,2,1),
(14444,102838,'Blurs vision of target',100,2,2),
(14445,102838,'Throws target back',100,2,3),
(14446,102838,'Does not affect Epic targets',100,2,4),
(14447,102838,'Inflicts 202 - 593 melee damage on targets in area',100,1,5),
(14448,10102838,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(14449,10102838,'Stuns target',100,2,1),
(14450,10102838,'Throws target back',100,2,2),
(14451,10102838,'Blurs vision of target',100,2,3),
(14452,10102838,'Does not affect Epic targets',100,2,4),
(14453,10102838,'Inflicts 180 - 387 melee damage on targets in area',100,1,5),
(14454,25561,'When Equipped:',100,0,0),
(14455,25561,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(14456,25561,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(14457,10025561,'When Equipped:',100,0,0),
(14458,10025561,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(14459,10025561,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(14460,113845,'Inflicts 3409 - 5026 disease damage on target',100,1,0),
(14461,10113845,'Inflicts 2307 - 3582 disease damage on target',100,1,0),
(14462,114006,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(14463,114006,'Increases Threat to target by 2,844 ',100,2,1),
(14464,114006,'Inflicts 575 - 954 melee damage on target',100,2,2),
(14465,10114006,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(14466,10114006,'Inflicts 453 - 752 melee damage on target',100,2,1),
(14467,101114,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1389',100,1,0),
(14468,10101114,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1389',100,1,0),
(14469,115216,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(14470,115216,'Decreases Mitigation of target vs noxious damage by 560',100,2,1),
(14471,115216,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(14472,115216,'Decreases Mitigation of target vs noxious damage by 560',100,2,3),
(14473,10115216,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(14474,10115216,'Decreases Mitigation of target vs noxious damage by 560',100,2,1),
(14475,10115216,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(14476,10115216,'Decreases Mitigation of target vs noxious damage by 560',100,2,3),
(14477,159207,'Applies Sanguine Imbued when Equipped.',100,0,0),
(14478,159207,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(14479,159207,'Inflicts 76 heat damage on target',100,2,2),
(14480,159207,'Cannot be modified except by direct means',100,2,3),
(14481,10159207,'Applies Sanguine Imbued when Equipped.',100,0,0),
(14482,10159207,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(14483,10159207,'Inflicts 76 heat damage on target',100,2,2),
(14484,10159207,'Cannot be modified except by direct means',100,2,3),
(14485,45990,'Applies Dracurion Embodiment when Activated.',100,0,0),
(14486,45990,'Shapechanges the user into a Dracurion in armor worn by disciples of Veeshan.',100,1,1),
(14487,10045990,'Applies Dracurion Embodiment when Activated.',100,0,0),
(14488,10045990,'Shapechanges the user into a Dracurion in armor worn by disciples of Veeshan.',100,1,1),
(14489,110325,'Increases Max Power of target by 148.5',100,1,0),
(14490,110325,'Increases Max Health of target by 285.5',100,1,1),
(14491,10110325,'Increases Max Power of target by 148.5',100,1,0),
(14492,10110325,'Increases Max Health of target by 285.5',100,1,1),
(14493,108036,'Inflicts 1015 magic damage on target',100,1,0),
(14494,108036,'Increases power of caster by 67',100,1,1),
(14495,10108036,'Inflicts 872 magic damage on target',100,1,0),
(14496,10108036,'Increases power of caster by 67',100,1,1),
(14497,51835,'Applies Erollisi''s Glowing Aura when Equipped.',100,0,0),
(14498,10051835,'Applies Erollisi''s Glowing Aura when Equipped.',100,0,0),
(14499,82529,'When Equipped:',100,0,0),
(14500,82529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14501,82529,'Inflicts 136 - 252 magic damage on target',100,2,2),
(14502,82529,'Cannot be modified except by direct means',100,2,3),
(14503,10082529,'When Equipped:',100,0,0),
(14504,10082529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14505,10082529,'Inflicts 136 - 252 magic damage on target',100,2,2),
(14506,10082529,'Cannot be modified except by direct means',100,2,3),
(14507,102031,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(14508,102031,'Wards target against 2299 points of all damage',100,2,1),
(14509,10102031,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(14510,10102031,'Wards target against 1812 points of all damage',100,2,1),
(14511,117920,'Increases In-Combat Health Regeneration of group members (AE) by 130.0',100,1,0),
(14512,117920,'Increases Max Health of group members (AE) by 667.7',100,1,1),
(14513,10117920,'Increases In-Combat Health Regeneration of group members (AE) by 130.0',100,1,0),
(14514,10117920,'Increases Max Health of group members (AE) by 667.7',100,1,1),
(14515,71733,'When Equipped:',100,0,0),
(14516,71733,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14517,71733,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(14518,71733,'Cannot be modified except by direct means',100,2,3),
(14519,10071733,'When Equipped:',100,0,0),
(14520,10071733,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14521,10071733,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(14522,10071733,'Cannot be modified except by direct means',100,2,3),
(14523,113616,'Inflicts 2600 - 3665 melee damage on target',100,1,0),
(14524,113616,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 44.5',100,1,1),
(14525,113616,'Must be flanking or behind',100,1,2),
(14526,10113616,'Inflicts 1669 - 2509 melee damage on target',100,1,0),
(14527,10113616,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 44.5',100,1,1),
(14528,10113616,'Must be flanking or behind',100,1,2),
(14529,71991,'When Equipped:',100,0,0),
(14530,71991,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14531,71991,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(14532,71991,'Cannot be modified except by direct means',100,2,3),
(14533,10071991,'When Equipped:',100,0,0),
(14534,10071991,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14535,10071991,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(14536,10071991,'Cannot be modified except by direct means',100,2,3),
(14537,113873,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(14538,113873,'Increases power of caster by 690',100,2,1),
(14539,113873,'Grants a total of 3 triggers of the spell.',100,2,2),
(14540,10113873,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(14541,10113873,'Increases power of caster by 690',100,2,1),
(14542,10113873,'Grants a total of 3 triggers of the spell.',100,2,2),
(14543,121800,'Heals target for 1736 - 2044',100,1,0),
(14544,121800,'Heals target for 145 - 177 every second',100,1,1),
(14545,10121800,'Heals target for 1443 - 1706',100,1,0),
(14546,10121800,'Heals target for 99 - 121 every second',100,1,1),
(14547,114509,'Heals target for 57 - 69',100,1,0),
(14548,10114509,'Heals target for 51 - 62',100,1,0),
(14549,114807,'Decreases WIS of target by 76.6',100,1,0),
(14550,114807,'Increases WIS and STA of caster by 76.6',100,1,1),
(14551,114807,'Decreases Max Health of target by 1.2%',100,1,2),
(14552,114807,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 246',100,1,3),
(14553,114807,'Only affects targets level 17 and above',100,1,4),
(14554,10114807,'Decreases WIS of target by 76.6',100,1,0),
(14555,10114807,'Increases WIS and STA of caster by 76.6',100,1,1),
(14556,10114807,'Decreases Max Health of target by 1.2%',100,1,2),
(14557,10114807,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 246',100,1,3),
(14558,10114807,'Only affects targets level 17 and above',100,1,4),
(14559,115481,'Summons a pet nightshade',100,1,0),
(14560,10115481,'Summons a pet nightshade',100,1,0),
(14561,115211,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(14562,115211,'Decreases Mitigation of target vs noxious damage by 399',100,2,1),
(14563,115211,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(14564,115211,'Decreases Mitigation of target vs noxious damage by 399',100,2,3),
(14565,10115211,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(14566,10115211,'Decreases Mitigation of target vs noxious damage by 399',100,2,1),
(14567,10115211,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(14568,10115211,'Decreases Mitigation of target vs noxious damage by 399',100,2,3),
(14569,24734,'Adds Vampire (Defiler) to your Dungeon Maker toolbox',100,0,0),
(14570,10024734,'Adds Vampire (Defiler) to your Dungeon Maker toolbox',100,0,0),
(14571,46050,'Applies Throw Snowball when Activated.  Lasts for 1.0 second.',100,0,0),
(14572,46050,'Inflicts 54.0% of max health in cold damage on target',100,1,1),
(14573,46050,'If target is frostfell fiend',100,1,2),
(14574,10046050,'Applies Throw Snowball when Activated.  Lasts for 1.0 second.',100,0,0),
(14575,10046050,'Inflicts 54.0% of max health in cold damage on target',100,1,1),
(14576,10046050,'If target is frostfell fiend',100,1,2),
(14577,80176,'When Equipped:',100,0,0),
(14578,80176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14579,80176,'Inflicts 333 - 619 magic damage on target',100,2,2),
(14580,80176,'Cannot be modified except by direct means',100,2,3),
(14581,10080176,'When Equipped:',100,0,0),
(14582,10080176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14583,10080176,'Inflicts 333 - 619 magic damage on target',100,2,2),
(14584,10080176,'Cannot be modified except by direct means',100,2,3),
(14585,107968,'Increases In-Combat Power Regeneration of group members (AE) by 31.8',100,1,0),
(14586,10107968,'Increases In-Combat Power Regeneration of group members (AE) by 31.8',100,1,0),
(14587,46238,'Applies freedom of body when Activated.  Lasts for 10.0 seconds.',100,0,0),
(14588,46238,'Makes caster immune to Root effects',100,1,1),
(14589,46238,'Makes caster immune to Fear effects',100,1,2),
(14590,46238,'Reduces slow effects on caster by 35.0%',100,1,3),
(14591,46238,'Dispels 72 levels of hostile Root and hostile Fear effects on caster',100,1,4),
(14592,10046238,'Applies freedom of body when Activated.  Lasts for 3.0 seconds.',100,0,0),
(14593,10046238,'Makes caster immune to Fear effects',100,1,1),
(14594,10046238,'Makes caster immune to Root effects',100,1,2),
(14595,10046238,'Dispels 72 levels of hostile Fear and hostile Root effects on caster',100,1,3),
(14596,10046238,'Reduces slow effects on caster by 35.0%',100,1,4),
(14597,82739,'When Equipped:',100,0,0),
(14598,82739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14599,82739,'Inflicts 189 - 352 magic damage on target',100,2,2),
(14600,82739,'Cannot be modified except by direct means',100,2,3),
(14601,10082739,'When Equipped:',100,0,0),
(14602,10082739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14603,10082739,'Inflicts 189 - 352 magic damage on target',100,2,2),
(14604,10082739,'Cannot be modified except by direct means',100,2,3),
(14605,107357,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(14606,107357,'Increases Threat to target by 2,019 ',100,2,1),
(14607,10107357,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(14608,10107357,'Inflicts 262 - 290 crushing damage on target',100,2,1),
(14609,102931,'Inflicts 1184 - 1229 disease damage on target',100,1,0),
(14610,102931,'Inflicts 202 - 247 disease damage on target every 4 seconds',100,1,1),
(14611,10102931,'Inflicts 601 - 647 disease damage on target',100,1,0),
(14612,10102931,'Inflicts 159 - 194 disease damage on target every 4 seconds',100,1,1),
(14613,111384,'Inflicts 2262 - 3508 disease damage on target',100,1,0),
(14614,111384,'Heals caster for 827 - 1378',100,1,1),
(14615,10111384,'Inflicts 1624 - 2575 disease damage on target',100,1,0),
(14616,10111384,'Heals caster for 804 - 1248',100,1,1),
(14617,102260,'Inflicts 1090 - 1809 melee damage on targets in area',100,1,0),
(14618,10102260,'Inflicts 878 - 1380 melee damage on targets in area',100,1,0),
(14619,100233,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(14620,100233,'Increases power of caster by 25',100,2,1),
(14621,10100233,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(14622,10100233,'Increases power of caster by 25',100,2,1),
(14623,121252,'Inflicts 3547 - 4263 heat damage on target encounter',100,1,0),
(14624,10121252,'Inflicts 2669 - 3233 heat damage on target encounter',100,1,0),
(14625,159421,'Applies Lambent Imbued when Equipped.',100,0,0),
(14626,159421,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(14627,159421,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(14628,159421,'Cannot be modified except by direct means',100,2,3),
(14629,10159421,'Applies Lambent Imbued when Equipped.',100,0,0),
(14630,10159421,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(14631,10159421,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(14632,10159421,'Cannot be modified except by direct means',100,2,3),
(14633,35129,'Increases Max Power of target by 22.8',100,0,0),
(14634,35129,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(14635,113014,'Increases WIS of caster by 26.4',100,1,0),
(14636,113014,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(14637,113014,'Increases Defense of caster by 4.8',100,1,2),
(14638,113014,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(14639,10113014,'Increases WIS of caster by 26.4',100,1,0),
(14640,10113014,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(14641,10113014,'Increases Defense of caster by 4.8',100,1,2),
(14642,10113014,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(14643,35376,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(14644,139544,'When Equipped:',100,0,0),
(14645,139544,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(14646,139544,'Increases Threat to target by 87 ',100,2,2),
(14647,139544,'Cannot be modified except by direct means',100,2,3),
(14648,10139544,'When Equipped:',100,0,0),
(14649,10139544,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(14650,10139544,'Cannot be modified except by direct means',100,2,2),
(14651,121703,'Increases AGI of caster by 23.4',100,1,0),
(14652,121703,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(14653,121703,'Increases Parry of caster by 13.0',100,1,2),
(14654,121703,'Increases Defense of caster by 17.3',100,1,3),
(14655,10121703,'Increases AGI of caster by 23.4',100,1,0),
(14656,10121703,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(14657,10121703,'Increases Parry of caster by 13.0',100,1,2),
(14658,10121703,'Increases Defense of caster by 17.3',100,1,3),
(14659,47258,'Applies Murky Khalysta''s Restoration when Activated.',100,0,0),
(14660,47258,'Heals caster for 350',100,1,1),
(14661,47258,'Only affects targets level 50 and above',100,1,2),
(14662,10047258,'Applies Murky Khalysta''s Restoration when Activated.',100,0,0),
(14663,10047258,'Heals caster for 227',100,1,1),
(14664,10047258,'Only affects targets level 50 and above',100,1,2),
(14665,106543,'Inflicts 2582 - 3083 melee damage on target',100,1,0),
(14666,106543,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(14667,106543,'Increases Hate Gain of target by 30.0%',100,2,2),
(14668,106543,'Grants a total of 1 trigger of the spell.',100,2,3),
(14669,10106543,'Inflicts 1751 - 2050 melee damage on target',100,1,0),
(14670,10106543,'25% chance to apply Distract on termination.',100,1,1),
(14671,10106543,'Forces target to clear their selected target.',100,2,2),
(14672,187131,'When Equipped:',100,0,0),
(14673,187131,'On a melee hit this spell may cast Ward of Security on caster.  Lasts for 12.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(14674,187131,'Wards caster against 200 points of all damage',100,2,2),
(14675,187131,'Cannot be modified except by direct means',100,2,3),
(14676,10187131,'When Equipped:',100,0,0),
(14677,10187131,'On a melee hit this spell may cast Ward of Security on caster.  Lasts for 12.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(14678,10187131,'Wards caster against 200 points of all damage',100,2,2),
(14679,10187131,'Cannot be modified except by direct means',100,2,3),
(14680,148956,'When Equipped:',100,0,0),
(14681,148956,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(14682,148956,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(14683,148956,'Increases Ability Modifier of caster by 660.0',100,2,3),
(14684,148956,'Must not be engaged in pvp combat',100,2,4),
(14685,148956,'Cannot be modified except by direct means',100,2,5),
(14686,148956,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(14687,148956,'Increases Ability Modifier of caster by 660.0',100,2,7),
(14688,148956,'Must not be engaged in pvp combat',100,2,8),
(14689,148956,'Cannot be modified except by direct means',100,2,9),
(14690,148956,'Cannot be modified except by direct means',100,1,10),
(14691,10148956,'When Equipped:',100,0,0),
(14692,10148956,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(14693,10148956,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(14694,10148956,'Increases Ability Modifier of caster by 660.0',100,2,3),
(14695,10148956,'Must not be engaged in pvp combat',100,2,4),
(14696,10148956,'Cannot be modified except by direct means',100,2,5),
(14697,10148956,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(14698,10148956,'Increases Ability Modifier of caster by 660.0',100,2,7),
(14699,10148956,'Must not be engaged in pvp combat',100,2,8),
(14700,10148956,'Cannot be modified except by direct means',100,2,9),
(14701,10148956,'Cannot be modified except by direct means',100,1,10),
(14702,116344,'Mesmerizes target encounter',100,1,0),
(14703,116344,'Prevents AOE (except when direct) ',100,1,1),
(14704,116344,'Dispelled when target takes damage',100,1,2),
(14705,116344,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(14706,116344,'Resistibility increases against targets higher than level 66.',100,1,4),
(14707,10116344,'Mesmerizes target encounter',100,1,0),
(14708,10116344,'Prevents AOE (except when direct) ',100,1,1),
(14709,10116344,'Dispelled when target takes damage',100,1,2),
(14710,10116344,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(14711,10116344,'Resistibility increases against targets higher than level 66.',100,1,4),
(14712,108192,'Increases power of caster by 16 instantly and every 4 seconds',100,1,0),
(14713,10108192,'Increases power of caster by 16 instantly and every 4 seconds',100,1,0),
(14714,74816,'When Equipped:',100,0,0),
(14715,74816,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14716,74816,'Inflicts 168 - 253 magic damage on target',100,2,2),
(14717,74816,'Cannot be modified except by direct means',100,2,3),
(14718,10074816,'When Equipped:',100,0,0),
(14719,10074816,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14720,10074816,'Inflicts 168 - 253 magic damage on target',100,2,2),
(14721,10074816,'Cannot be modified except by direct means',100,2,3),
(14722,114275,'Heals target for 640 - 783',100,1,0),
(14723,10114275,'Heals target for 534 - 653',100,1,0),
(14724,82309,'When Equipped:',100,0,0),
(14725,82309,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14726,82309,'Inflicts 343 - 636 magic damage on target',100,2,2),
(14727,82309,'Cannot be modified except by direct means',100,2,3),
(14728,10082309,'When Equipped:',100,0,0),
(14729,10082309,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14730,10082309,'Inflicts 343 - 636 magic damage on target',100,2,2),
(14731,10082309,'Cannot be modified except by direct means',100,2,3),
(14732,162441,'Applies Shrink when Activated.',100,0,0),
(14733,162441,'Shrinks caster by 49.6%',100,1,1),
(14734,162441,'The casting time of Shrink is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(14735,162441,'When Equipped:',100,0,3),
(14736,162441,'Reduces maximum falling speed of caster',100,1,4),
(14737,10162441,'Applies Shrink when Activated.',100,0,0),
(14738,10162441,'Shrinks caster by 49.6%',100,1,1),
(14739,10162441,'The casting time of Shrink is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(14740,10162441,'When Equipped:',100,0,3),
(14741,10162441,'Reduces maximum falling speed of caster',100,1,4),
(14742,176630,'When Equipped:',100,0,0),
(14743,176630,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(14744,176630,'Inflicts 802 mental damage on target',100,2,2),
(14745,176630,'Must be classified as a goblin',100,3,3),
(14746,176630,'Inflicts 401 mental damage on target',100,2,4),
(14747,176630,'Must not be classified as a goblin',100,3,5),
(14748,176630,'Decreases Mitigation of target vs arcane damage by 664',100,2,6),
(14749,176630,'Must be classified as a goblin',100,3,7),
(14750,176630,'Cannot be modified except by direct means',100,2,8),
(14751,176630,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,9),
(14752,10176630,'When Equipped:',100,0,0),
(14753,10176630,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(14754,10176630,'Inflicts 802 mental damage on target',100,2,2),
(14755,10176630,'Must be classified as a goblin',100,3,3),
(14756,10176630,'Inflicts 401 mental damage on target',100,2,4),
(14757,10176630,'Must not be classified as a goblin',100,3,5),
(14758,10176630,'Decreases Mitigation of target vs arcane damage by 664',100,2,6),
(14759,10176630,'Must be classified as a goblin',100,3,7),
(14760,10176630,'Cannot be modified except by direct means',100,2,8),
(14761,10176630,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,9),
(14762,82247,'When Equipped:',100,0,0),
(14763,82247,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14764,82247,'Inflicts 61 - 114 magic damage on target',100,2,2),
(14765,82247,'Cannot be modified except by direct means',100,2,3),
(14766,10082247,'When Equipped:',100,0,0),
(14767,10082247,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14768,10082247,'Inflicts 61 - 114 magic damage on target',100,2,2),
(14769,10082247,'Cannot be modified except by direct means',100,2,3),
(14770,113351,'Inflicts 2604 - 3110 divine damage on target encounter',100,1,0),
(14771,113351,'Interrupts target encounter',100,1,1),
(14772,10113351,'Inflicts 1926 - 2325 divine damage on target encounter',100,1,0),
(14773,10113351,'Interrupts target encounter',100,1,1),
(14774,46475,'Applies Polish da rocks! when Activated.',100,0,0),
(14775,46475,'Summon 1 Polished Stalagmaw Stones',100,1,1),
(14776,46475,'This effect cannot be cast during combat',100,1,2),
(14777,10046475,'Applies Polish da rocks! when Activated.',100,0,0),
(14778,10046475,'Summon 1 Polished Stalagmaw Stones',100,1,1),
(14779,10046475,'This effect cannot be cast during combat',100,1,2),
(14780,111441,'Decreases Attack Speed of caster by 14.1',100,1,0),
(14781,111441,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(14782,111441,'Roots target',100,2,2),
(14783,111441,'5% chance to dispel when target takes damage',100,2,3),
(14784,111441,'5% chance to dispel when target receives hostile action',100,2,4),
(14785,111441,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(14786,111441,'Increases Mitigation of caster vs physical damage by 390',100,1,6),
(14787,10111441,'Decreases Attack Speed of caster by 14.1',100,1,0),
(14788,10111441,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(14789,10111441,'Roots target',100,2,2),
(14790,10111441,'5% chance to dispel when target takes damage',100,2,3),
(14791,10111441,'5% chance to dispel when target receives hostile action',100,2,4),
(14792,10111441,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(14793,10111441,'Increases Mitigation of caster vs physical damage by 390',100,1,6),
(14794,81276,'When Equipped:',100,0,0),
(14795,81276,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(14796,81276,'Decreases Threat to target by 949 ',100,2,2),
(14797,81276,'Must be flanking or behind',100,3,3),
(14798,81276,'Inflicts 387 - 719 magic damage on target',100,2,4),
(14799,81276,'Increases Threat to target by 1,409 ',100,2,5),
(14800,81276,'Must be in front of',100,3,6),
(14801,81276,'Cannot be modified except by direct means',100,2,7),
(14802,10081276,'When Equipped:',100,0,0),
(14803,10081276,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(14804,10081276,'Inflicts 387 - 719 magic damage on target',100,2,2),
(14805,10081276,'Cannot be modified except by direct means',100,2,3),
(14806,123408,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(14807,123408,'Applies Exploding Heart on termination.',100,2,1),
(14808,123408,'Heals caster for 75.0% of max health',100,2,2),
(14809,123408,'This effect cannot be critically applied.',100,3,3),
(14810,123408,'The healing of this spell cannot be modified except by direct means',100,2,4),
(14811,123408,'Grants a total of 1 trigger of the spell.',100,2,5),
(14812,10123408,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(14813,10123408,'Heals caster for 37.5% of max health',100,2,1),
(14814,10123408,'This effect cannot be critically applied.',100,3,2),
(14815,10123408,'Applies Exploding Heart on termination.',100,2,3),
(14816,10123408,'The healing of this spell cannot be modified except by direct means',100,2,4),
(14817,10123408,'Grants a total of 1 trigger of the spell.',100,2,5),
(14818,36725,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(14819,114265,'Heals target for 68 - 83',100,1,0),
(14820,10114265,'Heals target for 56 - 69',100,1,0),
(14821,104796,'Increases caster''s chance to block by 10.0%',100,1,0),
(14822,104796,'Decreases Attack Speed of caster by 14.0',100,1,1),
(14823,104796,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(14824,104796,'Increases Parry of caster by 11.4',100,1,3),
(14825,104796,'Increases Defense of caster by 11.4',100,1,4),
(14826,10104796,'Increases caster''s chance to block by 10.0%',100,1,0),
(14827,10104796,'Decreases Attack Speed of caster by 14.0',100,1,1),
(14828,10104796,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(14829,10104796,'Increases Parry of caster by 11.4',100,1,3),
(14830,10104796,'Increases Defense of caster by 11.4',100,1,4),
(14831,54730,'When Equipped:',100,0,0),
(14832,54730,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(14833,54730,'Inflicts 48 divine damage on target',100,2,2),
(14834,54730,'Cannot be modified except by direct means',100,2,3),
(14835,10054730,'When Equipped:',100,0,0),
(14836,10054730,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(14837,10054730,'Inflicts 48 divine damage on target',100,2,2),
(14838,10054730,'Cannot be modified except by direct means',100,2,3),
(14839,35967,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(14840,165275,'When Equipped:',100,0,0),
(14841,165275,'On a hostile spell cast this spell may cast Life Flow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(14842,165275,'Heals group members for 592',100,2,2),
(14843,165275,'Cannot be modified except by direct means',100,2,3),
(14844,165275,'When Equipped:',100,0,4),
(14845,165275,'Increases Attack Speed of caster by 30.0',100,1,5),
(14846,10165275,'When Equipped:',100,0,0),
(14847,10165275,'On a hostile spell cast this spell may cast Life Flow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(14848,10165275,'Heals group members for 385',100,2,2),
(14849,10165275,'Cannot be modified except by direct means',100,2,3),
(14850,10165275,'When Equipped:',100,0,4),
(14851,10165275,'Increases Attack Speed of caster by 30.0',100,1,5),
(14852,144646,'When Equipped:',100,0,0),
(14853,144646,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(14854,144646,'Must be engaged in pvp combat',100,1,2),
(14855,10144646,'When Equipped:',100,0,0),
(14856,10144646,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(14857,10144646,'Must be engaged in pvp combat',100,1,2),
(14858,35369,'Increases STR of target by 4.3',100,0,0),
(14859,35369,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(14860,105988,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(14861,105988,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(14862,105988,'Inflicts 2490 - 3914 piercing damage on target',100,3,2),
(14863,105988,'Grants a total of 5 triggers of the spell.',100,3,3),
(14864,105988,'Grants a total of 1 trigger of the spell.',100,2,4),
(14865,10105988,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(14866,10105988,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(14867,10105988,'Inflicts 1836 - 2958 piercing damage on target',100,3,2),
(14868,10105988,'Grants a total of 5 triggers of the spell.',100,3,3),
(14869,10105988,'Grants a total of 1 trigger of the spell.',100,2,4),
(14870,119026,'Inflicts 32 - 53 mental damage on target',100,1,0),
(14871,119026,'Decreases power of target by 20 - 33',100,1,1),
(14872,119026,'Increases power of caster by 2 - 4',100,1,2),
(14873,10119026,'Inflicts 25 - 42 mental damage on target',100,1,0),
(14874,10119026,'Decreases power of target by 16 - 26',100,1,1),
(14875,10119026,'Increases power of caster by 2 - 4',100,1,2),
(14876,153782,'When Equipped:',100,0,0),
(14877,153782,'When damaged this spell has a 10% chance to cast Arcane Resolution III on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(14878,153782,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 350',100,2,2),
(14879,153782,'Must not be engaged in pvp combat',100,2,3),
(14880,153782,'Cannot be modified except by direct means',100,2,4),
(14881,153782,'Must not be engaged in pvp combat',100,1,5),
(14882,10153782,'When Equipped:',100,0,0),
(14883,10153782,'When damaged this spell has a 10% chance to cast Arcane Resolution III on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(14884,10153782,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 350',100,2,2),
(14885,10153782,'Must not be engaged in pvp combat',100,2,3),
(14886,10153782,'Cannot be modified except by direct means',100,2,4),
(14887,10153782,'Must not be engaged in pvp combat',100,1,5),
(14888,42582,'When Equipped:',100,0,0),
(14889,42582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14890,42582,'Inflicts 56 - 84 magic damage on target',100,2,2),
(14891,42582,'Cannot be modified except by direct means',100,2,3),
(14892,10042582,'When Equipped:',100,0,0),
(14893,10042582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14894,10042582,'Inflicts 56 - 84 magic damage on target',100,2,2),
(14895,10042582,'Cannot be modified except by direct means',100,2,3),
(14896,112333,'Applies Insolent Gibe.',100,1,0),
(14897,112333,'Increases Threat to targets in Area of Effect by 6,458 - 9,042 ',100,2,1),
(14898,112333,'Applies Insolent Assault.',100,1,2),
(14899,112333,'Inflicts 5483 - 8194 melee damage on targets in area',100,2,3),
(14900,112333,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(14901,112333,'Increases Threat to target encounter by 3,227 - 3,658 ',100,2,5),
(14902,10112333,'Applies Insolent Gibe.',100,1,0),
(14903,10112333,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(14904,10112333,'Applies Insolent Assault.',100,1,2),
(14905,10112333,'Inflicts 4322 - 6458 melee damage on targets in area',100,2,3),
(14906,10112333,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(14907,10112333,'Forces target encounter to change their selected target to caster.',100,2,5),
(14908,121950,'Inflicts 156 - 260 disease damage on target',100,1,0),
(14909,121950,'Decreases Defense of target by 7.3',100,1,1),
(14910,121950,'Interrupts target',100,1,2),
(14911,10121950,'Inflicts 134 - 223 disease damage on target',100,1,0),
(14912,10121950,'Decreases Defense of target by 7.3',100,1,1),
(14913,10121950,'Interrupts target',100,1,2),
(14914,138362,'When Equipped:',100,0,0),
(14915,138362,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(14916,138362,'Inflicts 2664 heat damage on target',100,2,2),
(14917,138362,'Cannot be modified except by direct means',100,2,3),
(14918,10138362,'When Equipped:',100,0,0),
(14919,10138362,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(14920,10138362,'Inflicts 1332 heat damage on target',100,2,2),
(14921,10138362,'Cannot be modified except by direct means',100,2,3),
(14922,87102,'When Equipped:',100,0,0),
(14923,87102,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14924,87102,'Inflicts 305 - 457 magic damage on target',100,2,2),
(14925,87102,'Cannot be modified except by direct means',100,2,3),
(14926,10087102,'When Equipped:',100,0,0),
(14927,10087102,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14928,10087102,'Inflicts 305 - 457 magic damage on target',100,2,2),
(14929,10087102,'Cannot be modified except by direct means',100,2,3),
(14930,27054,'When Equipped:',100,0,0),
(14931,27054,'On a riposte this spell has a 15% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(14932,27054,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(14933,27054,'Heals caster for 58 - 71',100,3,3),
(14934,27054,'Grants a total of 3 triggers of the spell.',100,3,4),
(14935,27054,'Cannot be modified except by direct means',100,2,5),
(14936,10027054,'When Equipped:',100,0,0),
(14937,10027054,'On a riposte this spell has a 15% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(14938,10027054,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(14939,10027054,'Heals caster for 31 - 38',100,3,3),
(14940,10027054,'Grants a total of 3 triggers of the spell.',100,3,4),
(14941,10027054,'Cannot be modified except by direct means',100,2,5),
(14942,71363,'When Equipped:',100,0,0),
(14943,71363,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14944,71363,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(14945,71363,'Cannot be modified except by direct means',100,2,3),
(14946,10071363,'When Equipped:',100,0,0),
(14947,10071363,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(14948,10071363,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(14949,10071363,'Cannot be modified except by direct means',100,2,3),
(14950,121428,'Inflicts 14540 - 17673 ranged damage on targets in area',100,1,0),
(14951,10121428,'Inflicts 8533 - 10385 ranged damage on targets in area',100,1,0),
(14952,123252,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(14953,123252,'Increases Mitigation of group members (AE) vs noxious damage by 479',100,1,1),
(14954,10123252,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(14955,10123252,'Increases Mitigation of group members (AE) vs noxious damage by 479',100,1,1),
(14956,123234,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(14957,123234,'Increases Mitigation of group members (AE) vs noxious damage by 160',100,1,1),
(14958,10123234,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(14959,10123234,'Increases Mitigation of group members (AE) vs noxious damage by 160',100,1,1),
(14960,117694,'Reduces the hate position of all non-fighter group members on target encounter.',100,1,0),
(14961,117694,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',100,1,1),
(14962,10117694,'Forces target encounter to change their selected target to caster.',100,1,0),
(14963,10117694,'Prevents target encounter from changing targets',100,1,1),
(14964,109016,'Decreases Damage Per Second of target by 24.1',100,1,0),
(14965,109016,'Inflicts 1552 - 1894 melee damage on target',100,1,1),
(14966,10109016,'Decreases Damage Per Second of target by 24.1',100,1,0),
(14967,10109016,'Inflicts 1210 - 1390 melee damage on target',100,1,1),
(14968,46010,'Applies a wondrous advancement when Activated.  Lasts for 1 hour.',100,0,0),
(14969,46010,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(14970,46010,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(14971,46010,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(14972,46010,'You can only have one experience potion active at a time.',100,1,4),
(14973,10046010,'Applies a wondrous advancement when Activated.  Lasts for 1 hour.',100,0,0),
(14974,10046010,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(14975,10046010,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(14976,10046010,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(14977,10046010,'You can only have one experience potion active at a time.',100,1,4),
(14978,80795,'When Equipped:',100,0,0),
(14979,80795,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14980,80795,'Inflicts 369 - 686 magic damage on target',100,2,2),
(14981,80795,'Cannot be modified except by direct means',100,2,3),
(14982,10080795,'When Equipped:',100,0,0),
(14983,10080795,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(14984,10080795,'Inflicts 369 - 686 magic damage on target',100,2,2),
(14985,10080795,'Cannot be modified except by direct means',100,2,3),
(14986,120618,'Inflicts 3396 - 5465 heat damage on target',100,1,0),
(14987,10120618,'Inflicts 2297 - 3928 heat damage on target',100,1,0),
(14988,102538,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14989,102538,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,1),
(14990,102538,'Increases Aggression of caster by 18.5',100,1,2),
(14991,102538,'Increases Defense and Parry of caster by 37.1',100,1,3),
(14992,102538,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(14993,10102538,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(14994,10102538,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,1),
(14995,10102538,'Increases Aggression of caster by 18.5',100,1,2),
(14996,10102538,'Increases Defense and Parry of caster by 37.1',100,1,3),
(14997,10102538,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(14998,107284,'Inflicts 2211 - 3021 ranged damage on target',100,1,0),
(14999,107284,'Inflicts 1228 - 2038 ranged damage on target',100,1,1),
(15000,107284,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(15001,107284,'Stuns target',100,2,3),
(15002,107284,'Throws target back',100,2,4),
(15003,107284,'Blurs vision of target',100,2,5),
(15004,107284,'Does not affect Epic targets',100,2,6),
(15005,107284,'If weapon equipped in Ranged',100,1,7),
(15006,10107284,'Inflicts 1120 - 1599 ranged damage on target',100,1,0),
(15007,10107284,'Inflicts 726 - 1205 ranged damage on target',100,1,1),
(15008,10107284,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(15009,10107284,'Stuns target',100,2,3),
(15010,10107284,'Throws target back',100,2,4),
(15011,10107284,'Blurs vision of target',100,2,5),
(15012,10107284,'Does not affect Epic targets',100,2,6),
(15013,10107284,'If weapon equipped in Ranged',100,1,7),
(15014,86493,'Applies Disease Blast when Activated.',100,0,0),
(15015,86493,'Inflicts 339 - 565 disease damage on target',100,1,1),
(15016,86493,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(15017,10086493,'Applies Disease Blast when Activated.',100,0,0),
(15018,10086493,'Inflicts 339 - 565 disease damage on target',100,1,1),
(15019,10086493,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(15020,115567,'Interrupts target encounter',100,1,0),
(15021,115567,'Decreases Threat to target encounter by 157 - 192 ',100,1,1),
(15022,115567,'Dazes target encounter',100,1,2),
(15023,115567,'If Target is not Epic',100,2,3),
(15024,115567,'Resistibility increases against targets higher than level 39.',100,1,4),
(15025,10115567,'Interrupts target encounter',100,1,0),
(15026,10115567,'Dazes target encounter',100,1,1),
(15027,10115567,'If Target is not Epic',100,2,2),
(15028,10115567,'Resistibility increases against targets higher than level 39.',100,1,3),
(15029,121392,'Roots caster',100,1,0),
(15030,121392,'Applies Steel Hail.',100,1,1),
(15031,121392,'Inflicts 3766 - 6033 ranged damage on target',100,2,2),
(15032,121392,'Dazes caster',100,1,3),
(15033,121392,'Stifles caster',100,1,4),
(15034,121392,'If weapon equipped in Ranged',100,1,5),
(15035,121392,'Resistibility increases against targets higher than level 103.',100,1,6),
(15036,10121392,'Roots caster',100,1,0),
(15037,10121392,'Applies Steel Hail.',100,1,1),
(15038,10121392,'Inflicts 2164 - 3504 ranged damage on target',100,2,2),
(15039,10121392,'Dazes caster',100,1,3),
(15040,10121392,'Stifles caster',100,1,4),
(15041,10121392,'If weapon equipped in Ranged',100,1,5),
(15042,10121392,'Resistibility increases against targets higher than level 103.',100,1,6),
(15043,104742,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(15044,104742,'Decreases Mitigation of target vs elemental and arcane damage by 1188',100,2,1),
(15045,104742,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(15046,104742,'Decreases Mitigation of target vs elemental and arcane damage by 1188',100,2,3),
(15047,10104742,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(15048,10104742,'Decreases Mitigation of target vs elemental and arcane damage by 1188',100,2,1),
(15049,10104742,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(15050,10104742,'Decreases Mitigation of target vs elemental and arcane damage by 1188',100,2,3),
(15051,117193,'Inflicts 1958 poison damage on target',100,1,0),
(15052,117193,'Inflicts 975 poison damage on target every 4 seconds',100,1,1),
(15053,117193,'Decreases WIS of target by 134.6',100,1,2),
(15054,10117193,'Inflicts 1163 poison damage on target',100,1,0),
(15055,10117193,'Inflicts 768 poison damage on target every 4 seconds',100,1,1),
(15056,10117193,'Decreases WIS of target by 134.6',100,1,2),
(15057,104529,'Increases Threat to target by 6,905 - 7,935  instantly and by 1,621 - 1,982  every 2 seconds thereafter',100,1,0),
(15058,10104529,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(15059,103556,'Increases In-Combat Power Regeneration of group members (AE) by 37.6',100,1,0),
(15060,10103556,'Increases In-Combat Power Regeneration of group members (AE) by 37.6',100,1,0),
(15061,137405,'When Equipped:',100,0,0),
(15062,137405,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15063,137405,'Inflicts 2664 disease damage on target encounter',100,2,2),
(15064,137405,'Must not be engaged in pvp combat',100,2,3),
(15065,137405,'Cannot be modified except by direct means',100,2,4),
(15066,137405,'When Equipped:',100,0,5),
(15067,137405,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(15068,137405,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,7),
(15069,137405,'Inflicts 5345 piercing damage on target',100,3,8),
(15070,137405,'Must not be engaged in pvp combat',100,3,9),
(15071,137405,'Cannot be modified except by direct means',100,3,10),
(15072,137405,'Grants a total of 5 triggers of the spell.',100,3,11),
(15073,137405,'Must not be engaged in pvp combat',100,2,12),
(15074,137405,'Cannot be modified except by direct means',100,2,13),
(15075,137405,'This effect will not stack with itself.',100,1,14),
(15076,137405,'Must not be engaged in pvp combat',100,1,15),
(15077,10137405,'When Equipped:',100,0,0),
(15078,10137405,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15079,10137405,'Inflicts 1332 disease damage on target encounter',100,2,2),
(15080,10137405,'Must not be engaged in pvp combat',100,2,3),
(15081,10137405,'Cannot be modified except by direct means',100,2,4),
(15082,10137405,'When Equipped:',100,0,5),
(15083,10137405,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(15084,10137405,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,7),
(15085,10137405,'Inflicts 5345 piercing damage on target',100,3,8),
(15086,10137405,'Must not be engaged in pvp combat',100,3,9),
(15087,10137405,'Cannot be modified except by direct means',100,3,10),
(15088,10137405,'Grants a total of 5 triggers of the spell.',100,3,11),
(15089,10137405,'Must not be engaged in pvp combat',100,2,12),
(15090,10137405,'Cannot be modified except by direct means',100,2,13),
(15091,10137405,'This effect will not stack with itself.',100,1,14),
(15092,10137405,'Must not be engaged in pvp combat',100,1,15),
(15093,110743,'Summons a limited pet to aid the caster',100,1,0),
(15094,10110743,'Summons a limited pet to aid the caster',100,1,0),
(15095,27365,'When Equipped:',100,0,0),
(15096,27365,'Increases Damage Per Second of caster by 2.0',100,1,1),
(15097,10027365,'When Equipped:',100,0,0),
(15098,10027365,'Increases Damage Per Second of caster by 2.0',100,1,1),
(15099,108249,'Inflicts 3202 - 7543 piercing damage on target',100,1,0),
(15100,108249,'Decreases Slashing, Crushing, Piercing and Ranged of target by 60.0',100,1,1),
(15101,10108249,'Inflicts 2144 - 5566 piercing damage on target',100,1,0),
(15102,10108249,'Decreases Slashing, Crushing, Piercing and Ranged of target by 60.0',100,1,1),
(15103,40852,'When Equipped:',100,0,0),
(15104,40852,'On a critical combat hit this spell may cast Demolishing Charge III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15105,40852,'Inflicts 144 - 160 crushing damage on target',100,2,2),
(15106,40852,'Increases Threat to target by 216 - 238 ',100,2,3),
(15107,40852,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,4),
(15108,40852,'Stuns target',100,3,5),
(15109,40852,'Blurs vision of target',100,3,6),
(15110,40852,'Throws target back',100,3,7),
(15111,40852,'Does not affect Epic targets',100,3,8),
(15112,40852,'Must not be engaged in pvp combat',100,2,9),
(15113,40852,'Cannot be modified except by direct means',100,2,10),
(15114,40852,'On a critical spell hit this spell may cast Demolishing Charge III on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(15115,40852,'Inflicts 144 - 160 crushing damage on target',100,2,12),
(15116,40852,'Increases Threat to target by 216 - 238 ',100,2,13),
(15117,40852,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,14),
(15118,40852,'Stuns target',100,3,15),
(15119,40852,'Blurs vision of target',100,3,16),
(15120,40852,'Throws target back',100,3,17),
(15121,40852,'Does not affect Epic targets',100,3,18),
(15122,40852,'Must not be engaged in pvp combat',100,2,19),
(15123,40852,'Cannot be modified except by direct means',100,2,20),
(15124,40852,'Must not be engaged in pvp combat',100,1,21),
(15125,10040852,'When Equipped:',100,0,0),
(15126,10040852,'On a critical combat hit this spell may cast Demolishing Charge III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15127,10040852,'Inflicts 144 - 160 crushing damage on target',100,2,2),
(15128,10040852,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(15129,10040852,'Throws target back',100,3,4),
(15130,10040852,'Stuns target',100,3,5),
(15131,10040852,'Blurs vision of target',100,3,6),
(15132,10040852,'Does not affect Epic targets',100,3,7),
(15133,10040852,'Must not be engaged in pvp combat',100,2,8),
(15134,10040852,'Cannot be modified except by direct means',100,2,9),
(15135,10040852,'On a critical spell hit this spell may cast Demolishing Charge III on target of spell.  Triggers about 2.0 times per minute. ',100,1,10),
(15136,10040852,'Inflicts 144 - 160 crushing damage on target',100,2,11),
(15137,10040852,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,12),
(15138,10040852,'Throws target back',100,3,13),
(15139,10040852,'Stuns target',100,3,14),
(15140,10040852,'Blurs vision of target',100,3,15),
(15141,10040852,'Does not affect Epic targets',100,3,16),
(15142,10040852,'Must not be engaged in pvp combat',100,2,17),
(15143,10040852,'Cannot be modified except by direct means',100,2,18),
(15144,10040852,'Must not be engaged in pvp combat',100,1,19),
(15145,101310,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(15146,101310,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 36',100,1,1),
(15147,101310,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,2),
(15148,10101310,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(15149,10101310,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 36',100,1,1),
(15150,10101310,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,2),
(15151,82066,'When Equipped:',100,0,0),
(15152,82066,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(15153,82066,'Decreases Threat to target by 641 ',100,2,2),
(15154,82066,'Must be flanking or behind',100,3,3),
(15155,82066,'Increases Threat to target by 1,101 ',100,2,4),
(15156,82066,'Must be in front of',100,3,5),
(15157,82066,'Inflicts 272 - 505 magic damage on target',100,2,6),
(15158,82066,'Cannot be modified except by direct means',100,2,7),
(15159,10082066,'When Equipped:',100,0,0),
(15160,10082066,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(15161,10082066,'Inflicts 272 - 505 magic damage on target',100,2,2),
(15162,10082066,'Cannot be modified except by direct means',100,2,3),
(15163,159872,'When Equipped:',100,0,0),
(15164,159872,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(15165,159872,'Increases STA of caster by 17.3',100,2,2),
(15166,159872,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(15167,159872,'Cannot be modified except by direct means',100,2,4),
(15168,10159872,'When Equipped:',100,0,0),
(15169,10159872,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(15170,10159872,'Increases STA of caster by 17.3',100,2,2),
(15171,10159872,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(15172,10159872,'Cannot be modified except by direct means',100,2,4),
(15173,116208,'Inflicts 6258 - 9775 mental damage on target',100,1,0),
(15174,10116208,'Inflicts 4553 - 7324 mental damage on target',100,1,0),
(15175,80713,'When Equipped:',100,0,0),
(15176,80713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15177,80713,'Inflicts 106 - 197 magic damage on target',100,2,2),
(15178,80713,'Cannot be modified except by direct means',100,2,3),
(15179,10080713,'When Equipped:',100,0,0),
(15180,10080713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15181,10080713,'Inflicts 106 - 197 magic damage on target',100,2,2),
(15182,10080713,'Cannot be modified except by direct means',100,2,3),
(15183,122455,'Inflicts 5883 - 9151 magic damage on target',100,1,0),
(15184,10122455,'Inflicts 4257 - 6832 magic damage on target',100,1,0),
(15185,112522,'Interrupts target',50,1,0),
(15186,112522,'Inflicts 53 - 65 divine damage on target',100,1,1),
(15187,10112522,'Interrupts target',50,1,0),
(15188,10112522,'Inflicts 54 - 66 divine damage on target',100,1,1),
(15189,124768,'Inflicts 2802 - 3352 disease damage on target encounter',100,1,0),
(15190,10124768,'Inflicts 2082 - 2515 disease damage on target encounter',100,1,0),
(15191,37368,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(15192,113570,'Mesmerizes target',100,1,0),
(15193,113570,'Prevents AOE (except when direct) ',100,1,1),
(15194,113570,'Dispelled when target takes damage',100,1,2),
(15195,113570,'Does not affect Epic targets',100,1,3),
(15196,113570,'Resistibility increases against targets higher than level 79.',100,1,4),
(15197,10113570,'Mesmerizes target',100,1,0),
(15198,10113570,'Prevents AOE (except when direct) ',100,1,1),
(15199,10113570,'Dispelled when target takes damage',100,1,2),
(15200,10113570,'Does not affect Epic targets',100,1,3),
(15201,10113570,'Resistibility increases against targets higher than level 79.',100,1,4),
(15202,120260,'Inflicts 3784 - 5629 crushing damage on target',100,1,0),
(15203,10120260,'Inflicts 2603 - 4056 crushing damage on target',100,1,0),
(15204,50460,'When Equipped:',100,0,0),
(15205,50460,'Increases caster''s chance to block by 15.0%',100,1,1),
(15206,10050460,'When Equipped:',100,0,0),
(15207,10050460,'Increases caster''s chance to block by 15.0%',100,1,1),
(15208,121354,'Inflicts 485 - 619 magic damage on target encounter',100,1,0),
(15209,121354,'Inflicts 157 - 292 magic damage on target encounter every 2 seconds',100,1,1),
(15210,10121354,'Inflicts 255 - 362 magic damage on target encounter',100,1,0),
(15211,10121354,'Inflicts 124 - 230 magic damage on target encounter every 2 seconds',100,1,1),
(15212,117309,'Roots target',100,1,0),
(15213,117309,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(15214,117309,'Slows target by 33.8%',100,2,2),
(15215,117309,'5% chance to dispel when target receives hostile action',100,2,3),
(15216,117309,'5% chance to dispel when target takes damage',100,2,4),
(15217,117309,'15% chance to dispel when target takes damage',100,1,5),
(15218,117309,'Does not affect Epic targets',100,1,6),
(15219,117309,'Resistibility increases against targets higher than level 48.',100,1,7),
(15220,10117309,'Roots target',100,1,0),
(15221,10117309,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(15222,10117309,'Slows target by 33.8%',100,2,2),
(15223,10117309,'10% chance to dispel when target receives hostile action',100,2,3),
(15224,10117309,'10% chance to dispel when target takes damage',100,2,4),
(15225,10117309,'15% chance to dispel when target takes damage',100,1,5),
(15226,10117309,'Does not affect Epic targets',100,1,6),
(15227,10117309,'Resistibility increases against targets higher than level 48.',100,1,7),
(15228,107016,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(15229,107016,'Increases Threat to target encounter by 4,605 - 6,099 ',100,1,1),
(15230,107016,'Increases threat priority of target encounter by 2 positions',100,1,2),
(15231,10107016,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(15232,111254,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(15233,111254,'Increases Mitigation of target vs physical damage by 410',100,2,1),
(15234,111254,'Heals target for 1595',100,2,2),
(15235,111254,'Grants a total of 1 trigger of the spell.',100,2,3),
(15236,10111254,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(15237,10111254,'Increases Mitigation of target vs physical damage by 410',100,2,1),
(15238,10111254,'Heals target for 817',100,2,2),
(15239,10111254,'Grants a total of 1 trigger of the spell.',100,2,3),
(15240,114749,'Inflicts 14215 - 22927 melee damage on target',100,1,0),
(15241,114749,'You must be in stealth.',100,1,1),
(15242,10114749,'Inflicts 6608 - 10698 melee damage on target',100,1,0),
(15243,10114749,'You must be in stealth.',100,1,1),
(15244,35705,'Increases Max Power of target by 22.8',100,0,0),
(15245,35705,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(15246,177675,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(15247,177675,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(15248,177675,'Inflicts 37 heat damage on target',100,2,2),
(15249,177675,'Cannot be modified except by direct means',100,2,3),
(15250,10177675,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(15251,10177675,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(15252,10177675,'Inflicts 37 heat damage on target',100,2,2),
(15253,10177675,'Cannot be modified except by direct means',100,2,3),
(15254,71029,'When Equipped:',100,0,0),
(15255,71029,'On a combat hit this spell may cast Vindication on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15256,71029,'Inflicts 255 - 425 divine damage on target',100,2,2),
(15257,71029,'Cannot be modified except by direct means',100,2,3),
(15258,10071029,'When Equipped:',100,0,0),
(15259,10071029,'On a combat hit this spell may cast Vindication on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15260,10071029,'Inflicts 255 - 425 divine damage on target',100,2,2),
(15261,10071029,'Cannot be modified except by direct means',100,2,3),
(15262,35241,'Increases AGI of target by 6.2',100,0,0),
(15263,35241,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(15264,159390,'Applies Lambent Imbued when Equipped.',100,0,0),
(15265,159390,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(15266,159390,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(15267,159390,'Cannot be modified except by direct means',100,2,3),
(15268,10159390,'Applies Lambent Imbued when Equipped.',100,0,0),
(15269,10159390,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(15270,10159390,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(15271,10159390,'Cannot be modified except by direct means',100,2,3),
(15272,46164,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(15273,46164,'Roots target',100,1,1),
(15274,46164,'80% chance to dispel when target takes damage',100,1,2),
(15275,46164,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(15276,46164,'Resistibility increases against targets higher than level 39.',100,1,4),
(15277,10046164,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(15278,10046164,'Roots target',100,1,1),
(15279,10046164,'80% chance to dispel when target takes damage',100,1,2),
(15280,10046164,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(15281,10046164,'Resistibility increases against targets higher than level 39.',100,1,4),
(15282,120850,'Inflicts 1368 - 1511 disease damage on target',100,1,0),
(15283,120850,'Inflicts 391 - 529 disease damage on target every second',100,1,1),
(15284,10120850,'Inflicts 826 - 978 disease damage on target',100,1,0),
(15285,10120850,'Inflicts 308 - 417 disease damage on target every second',100,1,1),
(15286,73280,'Applies Frost Blast when Activated.',100,0,0),
(15287,73280,'Inflicts 438 - 729 cold damage on target',100,1,1),
(15288,73280,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(15289,10073280,'Applies Frost Blast when Activated.',100,0,0),
(15290,10073280,'Inflicts 438 - 729 cold damage on target',100,1,1),
(15291,10073280,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(15292,121517,'Inflicts 1194 - 1980 melee damage on target',100,1,0),
(15293,121517,'Stuns target',100,1,1),
(15294,121517,'If Target is not Epic',100,2,2),
(15295,121517,'Resistibility increases against targets higher than level 59.',100,1,3),
(15296,10121517,'Inflicts 940 - 1434 melee damage on target',100,1,0),
(15297,10121517,'Stuns target',100,1,1),
(15298,10121517,'If Target is not Epic',100,2,2),
(15299,10121517,'Resistibility increases against targets higher than level 59.',100,1,3),
(15300,45570,'Applies Chilton''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(15301,45570,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(15302,10045570,'Applies Chilton''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(15303,10045570,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(15304,114946,'Decreases Attack Speed of target by 6.4',100,1,0),
(15305,114946,'Inflicts 313 - 498 slashing damage on target',100,1,1),
(15306,114946,'Inflicts 125 slashing damage on target instantly and every 4 seconds',100,1,2),
(15307,10114946,'Decreases Attack Speed of target by 6.4',100,1,0),
(15308,10114946,'Inflicts 299 - 459 slashing damage on target',100,1,1),
(15309,10114946,'Inflicts 98 slashing damage on target instantly and every 4 seconds',100,1,2),
(15310,81088,'When Equipped:',100,0,0),
(15311,81088,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15312,81088,'Inflicts 265 - 493 magic damage on target',100,2,2),
(15313,81088,'Cannot be modified except by direct means',100,2,3),
(15314,10081088,'When Equipped:',100,0,0),
(15315,10081088,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15316,10081088,'Inflicts 265 - 493 magic damage on target',100,2,2),
(15317,10081088,'Cannot be modified except by direct means',100,2,3),
(15318,35481,'Increases Max Power of target by 90.7',100,0,0),
(15319,35481,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(15320,119432,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(15321,119432,'Stuns target',100,2,1),
(15322,119432,'Throws target back',100,2,2),
(15323,119432,'Blurs vision of target',100,2,3),
(15324,119432,'Does not affect Epic targets',100,2,4),
(15325,119432,'Inflicts 3097 - 4489 melee damage on target',100,1,5),
(15326,119432,'You must be sneaking to use this ability.',100,1,6),
(15327,10119432,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(15328,10119432,'Stuns target',100,2,1),
(15329,10119432,'Throws target back',100,2,2),
(15330,10119432,'Blurs vision of target',100,2,3),
(15331,10119432,'Does not affect Epic targets',100,2,4),
(15332,10119432,'Inflicts 2061 - 3158 melee damage on target',100,1,5),
(15333,10119432,'You must be sneaking to use this ability.',100,1,6),
(15334,108470,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(15335,108470,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,1),
(15336,108470,'Increases Aggression of caster by 7.6',100,1,2),
(15337,108470,'Increases Defense and Parry of caster by 15.2',100,1,3),
(15338,108470,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(15339,10108470,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(15340,10108470,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,1),
(15341,10108470,'Increases Aggression of caster by 7.6',100,1,2),
(15342,10108470,'Increases Defense and Parry of caster by 15.2',100,1,3),
(15343,10108470,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(15344,115266,'Heals target for 2330',100,1,0),
(15345,115266,'Heals target for 225 every second',100,1,1),
(15346,115266,'Dispels 77 levels of any hostile effects on target',100,1,2),
(15347,10115266,'Heals target for 947',100,1,0),
(15348,10115266,'Heals target for 115 every second',100,1,1),
(15349,10115266,'Dispels 77 levels of any hostile effects on target',100,1,2),
(15350,41516,'When Equipped:',100,0,0),
(15351,41516,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15352,41516,'Inflicts 90 - 168 magic damage on target',100,2,2),
(15353,41516,'Cannot be modified except by direct means',100,2,3),
(15354,10041516,'When Equipped:',100,0,0),
(15355,10041516,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15356,10041516,'Inflicts 90 - 168 magic damage on target',100,2,2),
(15357,10041516,'Cannot be modified except by direct means',100,2,3),
(15358,52701,'Applies Sanguine Imbued when Equipped.',100,0,0),
(15359,52701,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(15360,52701,'Inflicts 238 heat damage on target',100,2,2),
(15361,52701,'Cannot be modified except by direct means',100,2,3),
(15362,10052701,'Applies Sanguine Imbued when Equipped.',100,0,0),
(15363,10052701,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(15364,10052701,'Inflicts 238 heat damage on target',100,2,2),
(15365,10052701,'Cannot be modified except by direct means',100,2,3),
(15366,45943,'Applies Call Forth Dhume when Activated.',100,0,0),
(15367,45943,'Summons a mount to ride',100,1,1),
(15368,45943,'Increases your ground speed by 130%',100,2,2),
(15369,45943,'Increases Melee, Ranged, Heal and Damage Spell Critical Chance by 2.0%',100,1,3),
(15370,10045943,'Applies Call Forth Dhume when Activated.',100,0,0),
(15371,10045943,'Summons a mount to ride',100,1,1),
(15372,10045943,'Increases your ground speed by 130%',100,2,2),
(15373,10045943,'Increases Melee, Ranged, Heal and Damage Spell Critical Chance by 2.0%',100,1,3),
(15374,103265,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(15375,103265,'If Fighter',100,2,1),
(15376,103265,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(15377,103265,'Increases power of target by 3 instantly and every 4 seconds',100,2,3),
(15378,103265,'Increases power of caster by 3 instantly and every 4 seconds',100,2,4),
(15379,10103265,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(15380,10103265,'Increases power of target by 3 instantly and every 4 seconds',100,2,1),
(15381,10103265,'Increases power of caster by 3 instantly and every 4 seconds',100,2,2),
(15382,106359,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(15383,106359,'Slows target by 56.3%',100,2,1),
(15384,106359,'5% chance to dispel when target receives hostile action',100,2,2),
(15385,106359,'5% chance to dispel when target takes damage',100,2,3),
(15386,106359,'Decreases Mitigation of target vs arcane damage by 1428',100,1,4),
(15387,10106359,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(15388,10106359,'Slows target by 56.3%',100,2,1),
(15389,10106359,'5% chance to dispel when target receives hostile action',100,2,2),
(15390,10106359,'5% chance to dispel when target takes damage',100,2,3),
(15391,10106359,'Decreases Mitigation of target vs arcane damage by 1428',100,1,4),
(15392,106164,'Wards target against 39 points of all damage',100,1,0),
(15393,106164,'Decreases INT of target by 28.0',100,1,1),
(15394,106164,'Decreases Attack Speed of target by 25.0',100,1,2),
(15395,106164,'Increases Max Health of target by 9.5%',100,1,3),
(15396,106164,'Increases Hate Gain of target by 12.6%',100,1,4),
(15397,106164,'Increases Aggression of target by 2.0',100,1,5),
(15398,106164,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(15399,106164,'Increases Threat to target encounter by 74 - 90 ',100,2,7),
(15400,106164,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,8),
(15401,10106164,'Wards target against 31 points of all damage',100,1,0),
(15402,10106164,'Decreases INT of target by 28.0',100,1,1),
(15403,10106164,'Decreases Attack Speed of target by 25.0',100,1,2),
(15404,10106164,'Increases Max Health of target by 9.5%',100,1,3),
(15405,10106164,'Increases Aggression of target by 2.0',100,1,4),
(15406,10106164,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,5),
(15407,48287,'Applies Place dummy when Activated.',100,0,0),
(15408,48287,'This effect cannot be cast during combat',100,1,1),
(15409,10048287,'Applies Place dummy when Activated.',100,0,0),
(15410,10048287,'This effect cannot be cast during combat',100,1,1),
(15411,117823,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(15412,117823,'Heals target for 676 - 753',100,2,1),
(15413,117823,'Heals target for 348 - 426 every 2 seconds',100,2,2),
(15414,117823,'If at 50% Health or less',100,3,3),
(15415,117823,'Heals target for 502 - 540',100,2,4),
(15416,117823,'Heals target for 174 - 213 every 2 seconds',100,2,5),
(15417,117823,'If over 50% Health',100,3,6),
(15418,10117823,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(15419,10117823,'Heals target for 126 - 135',100,2,1),
(15420,10117823,'Heals target for 40 - 49 every 2 seconds',100,2,2),
(15421,10117823,'If over 50% Health',100,3,3),
(15422,10117823,'Heals target for 152 - 167',100,2,4),
(15423,10117823,'Heals target for 67 - 82 every 2 seconds',100,2,5),
(15424,10117823,'If at 50% Health or less',100,3,6),
(15425,114209,'Inflicts 2592 - 3852 melee damage on target',100,1,0),
(15426,114209,'Decreases Slashing, Crushing and Piercing of target by 11.3',100,1,1),
(15427,10114209,'Inflicts 1758 - 2656 melee damage on target',100,1,0),
(15428,10114209,'Decreases Slashing, Crushing and Piercing of target by 11.3',100,1,1),
(15429,115600,'Interrupts target encounter',100,1,0),
(15430,115600,'Decreases Threat to target encounter by 2,863 - 3,572 ',100,1,1),
(15431,115600,'Dazes target encounter',100,1,2),
(15432,115600,'If Target is not Epic',100,2,3),
(15433,115600,'Resistibility increases against targets higher than level 116.',100,1,4),
(15434,10115600,'Dazes target encounter',100,1,0),
(15435,10115600,'If Target is not Epic',100,2,1),
(15436,10115600,'Interrupts target encounter',100,1,2),
(15437,10115600,'Resistibility increases against targets higher than level 116.',100,1,3),
(15438,131064,'Applies Nether Banishment when Activated.',100,0,0),
(15439,131064,'The target is banished to the nether realm.',100,1,1),
(15440,131064,'If target is Nether Beast',100,1,2),
(15441,131064,'The casting time of Nether Banishment is 0.99 seconds and the reuse time of the spell is 27.62 seconds',100,1,3),
(15442,10131064,'Applies Nether Banishment when Activated.',100,0,0),
(15443,10131064,'The target is banished to the nether realm.',100,1,1),
(15444,10131064,'If target is Nether Beast',100,1,2),
(15445,10131064,'The casting time of Nether Banishment is 0.99 seconds and the reuse time of the spell is 27.62 seconds',100,1,3),
(15446,102590,'Increases Threat to target encounter by 544 - 664 ',100,1,0),
(15447,102590,'Interrupts target encounter',100,1,1),
(15448,102590,'Decreases Mitigation of target encounter vs noxious damage by 127',100,1,2),
(15449,10102590,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(15450,10102590,'Forces target to change their selected target to caster.',100,2,1),
(15451,10102590,'Prevents target from changing targets',100,2,2),
(15452,10102590,'Interrupts target encounter',100,1,3),
(15453,10102590,'Decreases Mitigation of target encounter vs noxious damage by 127',100,1,4),
(15454,138969,'When Equipped:',100,0,0),
(15455,138969,'On a combat hit this spell may cast Anger of Mynzak on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15456,138969,'Increases Multi Attack Chance of caster by 5.0',100,2,2),
(15457,138969,'Inflicts 476 disease damage on target',100,2,3),
(15458,138969,'Inflicts 476 poison damage on target',100,2,4),
(15459,138969,'Increases Crit Chance of caster by 5.0',100,2,5),
(15460,138969,'Cannot be modified except by direct means',100,2,6),
(15461,138969,'Cannot be modified except by direct means',100,1,7),
(15462,10138969,'When Equipped:',100,0,0),
(15463,10138969,'On a combat hit this spell may cast Anger of Mynzak on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15464,10138969,'Increases Multi Attack Chance of caster by 5.0',100,2,2),
(15465,10138969,'Inflicts 476 disease damage on target',100,2,3),
(15466,10138969,'Inflicts 476 poison damage on target',100,2,4),
(15467,10138969,'Increases Crit Chance of caster by 5.0',100,2,5),
(15468,10138969,'Cannot be modified except by direct means',100,2,6),
(15469,10138969,'Cannot be modified except by direct means',100,1,7),
(15470,47756,'Applies Research Time Reduction when Activated.',100,0,0),
(15471,47756,'Reduces the time remaining on the spell being actively researched by one day.',100,1,1),
(15472,47756,'Special: See Description',100,1,2),
(15473,47756,'Cannot be modified except by direct means',100,1,3),
(15474,10047756,'Applies Research Time Reduction when Activated.',100,0,0),
(15475,10047756,'Reduces the time remaining on the spell being actively researched by one day.',100,1,1),
(15476,10047756,'Special: See Description',100,1,2),
(15477,10047756,'Cannot be modified except by direct means',100,1,3),
(15478,74934,'When Equipped:',100,0,0),
(15479,74934,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15480,74934,'Inflicts 295 - 443 magic damage on target',100,2,2),
(15481,74934,'Cannot be modified except by direct means',100,2,3),
(15482,10074934,'When Equipped:',100,0,0),
(15483,10074934,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15484,10074934,'Inflicts 295 - 443 magic damage on target',100,2,2),
(15485,10074934,'Cannot be modified except by direct means',100,2,3),
(15486,119833,'Dazes target',100,1,0),
(15487,119833,'Does not affect Epic targets',100,1,1),
(15488,119833,'Resistibility increases against targets higher than level 50.',100,1,2),
(15489,10119833,'Dazes target',100,1,0),
(15490,10119833,'Does not affect Epic targets',100,1,1),
(15491,10119833,'Resistibility increases against targets higher than level 50.',100,1,2),
(15492,112518,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(15493,112518,'Inflicts 532 disease damage on target instantly and every 4 seconds',100,2,1),
(15494,112518,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(15495,10112518,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(15496,10112518,'Inflicts 419 disease damage on target instantly and every 4 seconds',100,2,1),
(15497,10112518,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(15498,110171,'Inflicts 153 - 255 piercing damage on target instantly and every 4 seconds',100,1,0),
(15499,110171,'Inflicts 422 - 700 melee damage on target',100,1,1),
(15500,110171,'Applies Untreated Bleeding on termination.',100,1,2),
(15501,110171,'Inflicts 715 - 1191 piercing damage on target',100,2,3),
(15502,10110171,'Inflicts 121 - 201 piercing damage on target instantly and every 4 seconds',100,1,0),
(15503,10110171,'Inflicts 399 - 528 melee damage on target',100,1,1),
(15504,10110171,'Applies Untreated Bleeding on termination.',100,1,2),
(15505,10110171,'Inflicts 563 - 939 piercing damage on target',100,2,3),
(15506,166534,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(15507,166534,'Increases Attack Speed of caster by 100.0',100,1,1),
(15508,166534,'Must not be engaged in pvp combat',100,1,2),
(15509,166534,'Cannot be modified except by direct means',100,1,3),
(15510,166534,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(15511,166534,'When Equipped:',100,0,5),
(15512,166534,'On a critical spell hit this spell may cast Umbral Lightning V on target of spell.  Triggers about 1.8 times per minute. ',100,1,6),
(15513,166534,'Inflicts 704 - 861 magic damage on target',100,2,7),
(15514,166534,'Must not be engaged in pvp combat',100,2,8),
(15515,166534,'Cannot be modified except by direct means',100,2,9),
(15516,166534,'On a critical combat hit this spell may cast Umbral Lightning V on target of attack.  Triggers about 1.8 times per minute. ',100,1,10),
(15517,166534,'Inflicts 704 - 861 magic damage on target',100,2,11),
(15518,166534,'Must not be engaged in pvp combat',100,2,12),
(15519,166534,'Cannot be modified except by direct means',100,2,13),
(15520,166534,'Must not be engaged in pvp combat',100,1,14),
(15521,166534,'Cannot be modified except by direct means',100,1,15),
(15522,10166534,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(15523,10166534,'Increases Attack Speed of caster by 100.0',100,1,1),
(15524,10166534,'Must not be engaged in pvp combat',100,1,2),
(15525,10166534,'Cannot be modified except by direct means',100,1,3),
(15526,10166534,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(15527,10166534,'When Equipped:',100,0,5),
(15528,10166534,'On a critical spell hit this spell may cast Umbral Lightning V on target of spell.  Triggers about 1.8 times per minute. ',100,1,6),
(15529,10166534,'Inflicts 704 - 861 magic damage on target',100,2,7),
(15530,10166534,'Must not be engaged in pvp combat',100,2,8),
(15531,10166534,'Cannot be modified except by direct means',100,2,9),
(15532,10166534,'On a critical combat hit this spell may cast Umbral Lightning V on target of attack.  Triggers about 1.8 times per minute. ',100,1,10),
(15533,10166534,'Inflicts 704 - 861 magic damage on target',100,2,11),
(15534,10166534,'Must not be engaged in pvp combat',100,2,12),
(15535,10166534,'Cannot be modified except by direct means',100,2,13),
(15536,10166534,'Must not be engaged in pvp combat',100,1,14),
(15537,10166534,'Cannot be modified except by direct means',100,1,15),
(15538,123168,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(15539,123168,'Reduces physical damage done to caster by 5%',100,1,1),
(15540,123168,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(15541,123168,'Increases Aggression of caster by 12.2',100,1,3),
(15542,123168,'Increases Defense and Parry of caster by 24.4',100,1,4),
(15543,123168,'Increases Mitigation of caster vs elemental damage by 1624',100,1,5),
(15544,123168,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(15545,10123168,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(15546,10123168,'Reduces physical damage done to caster by 5%',100,1,1),
(15547,10123168,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(15548,10123168,'Increases Aggression of caster by 12.2',100,1,3),
(15549,10123168,'Increases Defense and Parry of caster by 24.4',100,1,4),
(15550,10123168,'Increases Mitigation of caster vs elemental damage by 1624',100,1,5),
(15551,10123168,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(15552,26077,'When Equipped:',100,0,0),
(15553,26077,'Adds additional armor mitigation to Blackguard VI.',100,1,1),
(15554,26077,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(15555,10026077,'When Equipped:',100,0,0),
(15556,10026077,'Adds additional armor mitigation to Blackguard VI.',100,1,1),
(15557,10026077,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(15558,36306,'Increases AGI of target by 8.4',100,0,0),
(15559,36306,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(15560,101191,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(15561,101191,'Slows target by 53.0%',100,2,1),
(15562,101191,'5% chance to dispel when target receives hostile action',100,2,2),
(15563,101191,'5% chance to dispel when target takes damage',100,2,3),
(15564,101191,'Inflicts 2322 - 3206 cold damage on target',100,1,4),
(15565,101191,'Inflicts 1340 - 2224 cold damage on target',100,1,5),
(15566,101191,'If weapon equipped in Ranged',100,1,6),
(15567,10101191,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(15568,10101191,'Slows target by 53.0%',100,2,1),
(15569,10101191,'5% chance to dispel when target receives hostile action',100,2,2),
(15570,10101191,'5% chance to dispel when target takes damage',100,2,3),
(15571,10101191,'Inflicts 1186 - 1709 cold damage on target',100,1,4),
(15572,10101191,'Inflicts 792 - 1314 cold damage on target',100,1,5),
(15573,10101191,'If weapon equipped in Ranged',100,1,6),
(15574,146509,'When Equipped:',100,0,0),
(15575,146509,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15576,146509,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(15577,146509,'Increases damage done by combat arts by up to 500.',100,2,3),
(15578,146509,'Cannot be modified except by direct means',100,2,4),
(15579,146509,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(15580,146509,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(15581,146509,'Increases damage done by combat arts by up to 500.',100,2,7),
(15582,146509,'Cannot be modified except by direct means',100,2,8),
(15583,146509,'Cannot be modified except by direct means',100,1,9),
(15584,10146509,'When Equipped:',100,0,0),
(15585,10146509,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15586,10146509,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(15587,10146509,'Increases damage done by combat arts by up to 500.',100,2,3),
(15588,10146509,'Cannot be modified except by direct means',100,2,4),
(15589,10146509,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(15590,10146509,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(15591,10146509,'Increases damage done by combat arts by up to 500.',100,2,7),
(15592,10146509,'Cannot be modified except by direct means',100,2,8),
(15593,10146509,'Cannot be modified except by direct means',100,1,9),
(15594,100256,'Inflicts 522 - 970 poison damage on target',100,1,0),
(15595,100256,'Inflicts 116 - 215 poison damage on target every 3 seconds',100,1,1),
(15596,10100256,'Inflicts 601 - 777 poison damage on target',100,1,0),
(15597,10100256,'Inflicts 206 - 383 poison damage on target every 3 seconds',100,1,1),
(15598,26659,'When Equipped:',100,0,0),
(15599,26659,'Increases Multi Attack Chance of caster by 3.0',100,1,1),
(15600,10026659,'When Equipped:',100,0,0),
(15601,10026659,'Increases Multi Attack Chance of caster by 3.0',100,1,1),
(15602,114590,'Inflicts 4165 - 6263 ranged damage on target',100,1,0),
(15603,114590,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(15604,114590,'Requires bow',100,1,2),
(15605,10114590,'Inflicts 2730 - 4270 ranged damage on target',100,1,0),
(15606,10114590,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(15607,10114590,'Requires bow',100,1,2),
(15608,107425,'Summons a pet earthen avatar',100,1,0),
(15609,10107425,'Summons a pet earthen avatar',100,1,0),
(15610,103992,'Interrupts targets in Area of Effect',100,1,0),
(15611,103992,'Inflicts 927 - 1440 poison damage on targets in Area of Effect',100,1,1),
(15612,103992,'Inflicts 599 - 1113 poison damage on targets in Area of Effect every second',100,1,2),
(15613,10103992,'Interrupts targets in Area of Effect',100,1,0),
(15614,10103992,'Inflicts 604 - 1009 poison damage on targets in Area of Effect',100,1,1),
(15615,10103992,'Inflicts 472 - 877 poison damage on targets in Area of Effect every second',100,1,2),
(15616,159819,'Applies Lambent Imbued when Equipped.',100,0,0),
(15617,159819,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(15618,159819,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(15619,159819,'Cannot be modified except by direct means',100,2,3),
(15620,10159819,'Applies Lambent Imbued when Equipped.',100,0,0),
(15621,10159819,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(15622,10159819,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(15623,10159819,'Cannot be modified except by direct means',100,2,3),
(15624,111638,'Inflicts 195 - 238 cold damage on target encounter',100,1,0),
(15625,111638,'Slows target encounter by 31.6%',100,1,1),
(15626,111638,'5% chance to dispel when target takes damage',100,1,2),
(15627,111638,'5% chance to dispel when target receives hostile action',100,1,3),
(15628,10111638,'Inflicts 203 - 249 cold damage on target encounter',100,1,0),
(15629,10111638,'Slows target encounter by 31.6%',100,1,1),
(15630,10111638,'5% chance to dispel when target takes damage',100,1,2),
(15631,10111638,'5% chance to dispel when target receives hostile action',100,1,3),
(15632,114631,'Decreases WIS of target by 38.2',100,1,0),
(15633,114631,'Inflicts 2677 - 3946 melee damage on target',100,1,1),
(15634,114631,'You must be sneaking to use this ability.',100,1,2),
(15635,10114631,'Decreases WIS of target by 38.2',100,1,0),
(15636,10114631,'Inflicts 1803 - 2730 melee damage on target',100,1,1),
(15637,10114631,'You must be sneaking to use this ability.',100,1,2),
(15638,102478,'Inflicts 1196 - 1984 crushing damage on target',100,1,0),
(15639,102478,'Prevents target from changing direction while active.',100,1,1),
(15640,102478,'If Target is not Epic',100,2,2),
(15641,102478,'Roots target',100,1,3),
(15642,102478,'If Target is not Epic',100,2,4),
(15643,102478,'Resistibility increases against targets higher than level 51.',100,1,5),
(15644,10102478,'Inflicts 942 - 1437 crushing damage on target',100,1,0),
(15645,10102478,'Prevents target from changing direction while active.',100,1,1),
(15646,10102478,'If Target is not Epic',100,2,2),
(15647,10102478,'Roots target',100,1,3),
(15648,10102478,'If Target is not Epic',100,2,4),
(15649,10102478,'Resistibility increases against targets higher than level 51.',100,1,5),
(15650,35404,'Increases AGI and WIS of target by 15.4',100,0,0),
(15651,35404,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(15652,75882,'Applies Harla Dar''s Curse when Equipped.',100,0,0),
(15653,75882,'On a melee hit this spell may cast Harla Dar''s Curse on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(15654,75882,'Inflicts 527 magic damage on target',100,2,2),
(15655,75882,'Inflicts 93 magic damage on target every 4 seconds',100,2,3),
(15656,75882,'Cannot be modified except by direct means',100,2,4),
(15657,10075882,'Applies Harla Dar''s Curse when Equipped.',100,0,0),
(15658,10075882,'On a melee hit this spell may cast Harla Dar''s Curse on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(15659,10075882,'Inflicts 527 magic damage on target',100,2,2),
(15660,10075882,'Inflicts 93 magic damage on target every 4 seconds',100,2,3),
(15661,10075882,'Cannot be modified except by direct means',100,2,4),
(15662,80697,'When Equipped:',100,0,0),
(15663,80697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15664,80697,'Inflicts 96 - 178 magic damage on target',100,2,2),
(15665,80697,'Cannot be modified except by direct means',100,2,3),
(15666,10080697,'When Equipped:',100,0,0),
(15667,10080697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15668,10080697,'Inflicts 96 - 178 magic damage on target',100,2,2),
(15669,10080697,'Cannot be modified except by direct means',100,2,3),
(15670,107589,'Inflicts 1425 - 1742 mental damage on target encounter',100,1,0),
(15671,107589,'Dazes target encounter',100,1,1),
(15672,107589,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(15673,107589,'Resistibility increases against targets higher than level 82.',100,1,3),
(15674,10107589,'Inflicts 1094 - 1308 mental damage on target encounter',100,1,0),
(15675,10107589,'Dazes target encounter',100,1,1),
(15676,10107589,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(15677,10107589,'Resistibility increases against targets higher than level 82.',100,1,3),
(15678,49149,'Applies Words of Plane Power when Activated.',100,0,0),
(15679,10049149,'Applies Words of Plane Power when Activated.',100,0,0),
(15680,174318,'When Equipped:',100,0,0),
(15681,174318,'When damaged this spell has a 5% chance to cast Displacement on caster.  Lasts for 5 minutes.  ',100,1,1),
(15682,174318,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(15683,174318,'Applies Displacement on termination.',100,2,3),
(15684,174318,'Increases power of group members by 381',100,3,4),
(15685,174318,'Cannot be modified except by direct means',100,2,5),
(15686,174318,'Cannot be modified except by direct means',100,1,6),
(15687,10174318,'When Equipped:',100,0,0),
(15688,10174318,'When damaged this spell has a 5% chance to cast Displacement on caster.  Lasts for 5 minutes.  ',100,1,1),
(15689,10174318,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(15690,10174318,'Applies Displacement on termination.',100,2,3),
(15691,10174318,'Increases power of group members by 381',100,3,4),
(15692,10174318,'Cannot be modified except by direct means',100,2,5),
(15693,10174318,'Cannot be modified except by direct means',100,1,6),
(15694,117454,'Inflicts 4069 - 6101 melee damage on target',100,1,0),
(15695,117454,'You must be sneaking to use this ability.',100,1,1),
(15696,117454,'Must be flanking or behind',100,1,2),
(15697,10117454,'Inflicts 1903 - 2896 melee damage on target',100,1,0),
(15698,10117454,'You must be sneaking to use this ability.',100,1,1),
(15699,10117454,'Must be flanking or behind',100,1,2),
(15700,122723,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(15701,122723,'Increases Deflection of caster by 6.6',100,1,1),
(15702,10122723,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(15703,10122723,'Increases Deflection of caster by 6.6',100,1,1),
(15704,87352,'When Equipped:',100,0,0),
(15705,87352,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15706,87352,'Inflicts 192 - 289 magic damage on target',100,2,2),
(15707,87352,'Cannot be modified except by direct means',100,2,3),
(15708,10087352,'When Equipped:',100,0,0),
(15709,10087352,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15710,10087352,'Inflicts 192 - 289 magic damage on target',100,2,2),
(15711,10087352,'Cannot be modified except by direct means',100,2,3),
(15712,49020,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(15713,49020,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(15714,49020,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(15715,49020,'Cannot be modified except by direct means',100,2,3),
(15716,49020,'Grants a total of 80 triggers of the spell.',100,2,4),
(15717,10049020,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(15718,10049020,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(15719,10049020,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(15720,10049020,'Cannot be modified except by direct means',100,2,3),
(15721,10049020,'Grants a total of 80 triggers of the spell.',100,2,4),
(15722,25766,'When Equipped:',100,0,0),
(15723,25766,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,1),
(15724,25766,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(15725,10025766,'When Equipped:',100,0,0),
(15726,10025766,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,1),
(15727,10025766,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(15728,85947,'When Equipped:',100,0,0),
(15729,85947,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15730,85947,'Inflicts 54 - 66 magic damage on target',100,2,2),
(15731,85947,'Cannot be modified except by direct means',100,2,3),
(15732,10085947,'When Equipped:',100,0,0),
(15733,10085947,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15734,10085947,'Inflicts 54 - 66 magic damage on target',100,2,2),
(15735,10085947,'Cannot be modified except by direct means',100,2,3),
(15736,87113,'When Equipped:',100,0,0),
(15737,87113,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15738,87113,'Inflicts 305 - 457 magic damage on target',100,2,2),
(15739,87113,'Cannot be modified except by direct means',100,2,3),
(15740,10087113,'When Equipped:',100,0,0),
(15741,10087113,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15742,10087113,'Inflicts 305 - 457 magic damage on target',100,2,2),
(15743,10087113,'Cannot be modified except by direct means',100,2,3),
(15744,190897,'When Equipped:',100,0,0),
(15745,190897,'Increases Attack Speed of caster by 40.0',100,1,1),
(15746,10190897,'When Equipped:',100,0,0),
(15747,10190897,'Increases Attack Speed of caster by 40.0',100,1,1),
(15748,106634,'Inflicts 2897 - 3432 disease damage on target',100,1,0),
(15749,106634,'Heals caster for 5.9 - 7.3% of max health',100,1,1),
(15750,106634,'This effect cannot be critically applied.',100,2,2),
(15751,106634,'The healing of this spell cannot be modified except by direct means',100,1,3),
(15752,10106634,'Inflicts 2094 - 2515 disease damage on target',100,1,0),
(15753,10106634,'Heals caster for 2.0 - 2.4% of max health',100,1,1),
(15754,10106634,'This effect cannot be critically applied.',100,2,2),
(15755,10106634,'The healing of this spell cannot be modified except by direct means',100,1,3),
(15756,35992,'Increases STA of target by 10.5',100,0,0),
(15757,35992,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(15758,87254,'When Equipped:',100,0,0),
(15759,87254,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15760,87254,'Inflicts 338 - 506 magic damage on target',100,2,2),
(15761,87254,'Cannot be modified except by direct means',100,2,3),
(15762,10087254,'When Equipped:',100,0,0),
(15763,10087254,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15764,10087254,'Inflicts 338 - 506 magic damage on target',100,2,2),
(15765,10087254,'Cannot be modified except by direct means',100,2,3),
(15766,115383,'Inflicts 111 - 185 melee damage on target',100,1,0),
(15767,115383,'Decreases INT of target by 10.1',100,1,1),
(15768,115383,'You must be sneaking to use this ability.',100,1,2),
(15769,10115383,'Inflicts 88 - 146 melee damage on target',100,1,0),
(15770,10115383,'Decreases INT of target by 10.1',100,1,1),
(15771,10115383,'You must be sneaking to use this ability.',100,1,2),
(15772,123445,'Inflicts 4203 - 10499 melee damage on target',100,1,0),
(15773,123445,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(15774,123445,'Throws target back',100,2,2),
(15775,123445,'Stuns target',100,2,3),
(15776,123445,'Blurs vision of target',100,2,4),
(15777,123445,'Does not affect Epic targets',100,2,5),
(15778,10123445,'Inflicts 2978 - 8029 melee damage on target',100,1,0),
(15779,10123445,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(15780,10123445,'Blurs vision of target',100,2,2),
(15781,10123445,'Stuns target',100,2,3),
(15782,10123445,'Throws target back',100,2,4),
(15783,10123445,'Does not affect Epic targets',100,2,5),
(15784,111113,'Heals target for 16.2 - 19.9% of max health',100,1,0),
(15785,111113,'This effect cannot be critically applied.',100,2,1),
(15786,111113,'Increases Mitigation of target vs physical damage by 309',100,1,2),
(15787,111113,'The healing of this spell cannot be modified except by direct means',100,1,3),
(15788,10111113,'Heals target for 6.1 - 7.4% of max health',100,1,0),
(15789,10111113,'This effect cannot be critically applied.',100,2,1),
(15790,10111113,'Increases Mitigation of target vs physical damage by 309',100,1,2),
(15791,10111113,'The healing of this spell cannot be modified except by direct means',100,1,3),
(15792,134748,'When Equipped:',100,0,0),
(15793,134748,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(15794,134748,'When Equipped:',100,0,2),
(15795,134748,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(15796,10134748,'When Equipped:',100,0,0),
(15797,10134748,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(15798,10134748,'When Equipped:',100,0,2),
(15799,10134748,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(15800,121455,'Increases AGI of caster by 64.5',100,1,0),
(15801,121455,'Adds 15.6% to base avoidance.',100,1,1),
(15802,121455,'Increases Mitigation of caster vs physical damage by 627',100,1,2),
(15803,121455,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,3),
(15804,10121455,'Increases AGI of caster by 64.5',100,1,0),
(15805,10121455,'Adds 15.6% to base avoidance.',100,1,1),
(15806,10121455,'Increases Mitigation of caster vs physical damage by 627',100,1,2),
(15807,10121455,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,3),
(15808,101070,'Summons 3 limited pets to aid the caster',100,1,0),
(15809,10101070,'Summons 3 limited pets to aid the caster',100,1,0),
(15810,114736,'Inflicts 5542 - 8544 melee damage on target',100,1,0),
(15811,114736,'You must be in stealth.',100,1,1),
(15812,10114736,'Inflicts 2535 - 3945 melee damage on target',100,1,0),
(15813,10114736,'You must be in stealth.',100,1,1),
(15814,104565,'Inflicts 1079 - 1790 disease damage on target',100,1,0),
(15815,104565,'Decreases WIS of target by 50.1',100,1,1),
(15816,10104565,'Inflicts 850 - 1335 disease damage on target',100,1,0),
(15817,10104565,'Decreases WIS of target by 50.1',100,1,1),
(15818,105223,'Decreases STR and INT of target by 52.6',100,1,0),
(15819,105223,'Only affects targets level 20 and above',100,1,1),
(15820,10105223,'Decreases STR and INT of target by 52.6',100,1,0),
(15821,10105223,'Only affects targets level 20 and above',100,1,1),
(15822,119808,'Adds 0.9% to base avoidance.',100,1,0),
(15823,119808,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(15824,10119808,'Adds 0.9% to base avoidance.',100,1,0),
(15825,10119808,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(15826,123601,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(15827,123601,'Increases Defense of target by 15.4',100,1,1),
(15828,10123601,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(15829,10123601,'Increases Defense of target by 15.4',100,1,1),
(15830,36680,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(15831,84628,'When Equipped:',100,0,0),
(15832,84628,'On any combat or spell hit this spell may cast Arcane Vortex VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15833,84628,'Inflicts 361 - 399 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(15834,84628,'Increases power of group members (AE) by 47 - 52 instantly and every 2 seconds',100,2,3),
(15835,84628,'Increases Potency of group members (AE) by 4.0%',100,2,4),
(15836,84628,'Must not be engaged in pvp combat',100,2,5),
(15837,84628,'Cannot be modified except by direct means',100,2,6),
(15838,84628,'Must not be engaged in pvp combat',100,1,7),
(15839,10084628,'When Equipped:',100,0,0),
(15840,10084628,'On any combat or spell hit this spell may cast Arcane Vortex VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15841,10084628,'Inflicts 361 - 399 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(15842,10084628,'Increases power of group members (AE) by 47 - 52 instantly and every 2 seconds',100,2,3),
(15843,10084628,'Increases Potency of group members (AE) by 4.0%',100,2,4),
(15844,10084628,'Must not be engaged in pvp combat',100,2,5),
(15845,10084628,'Cannot be modified except by direct means',100,2,6),
(15846,10084628,'Must not be engaged in pvp combat',100,1,7),
(15847,46139,'Applies Fill when Activated.',100,0,0),
(15848,46139,'This effect cannot be cast during combat',100,1,1),
(15849,10046139,'Applies Fill when Activated.',100,0,0),
(15850,10046139,'This effect cannot be cast during combat',100,1,1),
(15851,116324,'Stuns target',100,1,0),
(15852,116324,'If Target is not Epic',100,2,1),
(15853,116324,'Inflicts 4397 - 5156 magic damage on target',100,1,2),
(15854,116324,'Resistibility increases against targets higher than level 111.',100,1,3),
(15855,10116324,'Stuns target',100,1,0),
(15856,10116324,'If Target is not Epic',100,2,1),
(15857,10116324,'Inflicts 3086 - 3684 magic damage on target',100,1,2),
(15858,10116324,'Resistibility increases against targets higher than level 111.',100,1,3),
(15859,135792,'When Equipped:',100,0,0),
(15860,135792,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15861,135792,'Inflicts 1192 magic damage on target',100,2,2),
(15862,135792,'Cannot be modified except by direct means',100,2,3),
(15863,10135792,'When Equipped:',100,0,0),
(15864,10135792,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15865,10135792,'Inflicts 596 magic damage on target',100,2,2),
(15866,10135792,'Cannot be modified except by direct means',100,2,3),
(15867,80701,'When Equipped:',100,0,0),
(15868,80701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15869,80701,'Inflicts 96 - 178 magic damage on target',100,2,2),
(15870,80701,'Cannot be modified except by direct means',100,2,3),
(15871,10080701,'When Equipped:',100,0,0),
(15872,10080701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(15873,10080701,'Inflicts 96 - 178 magic damage on target',100,2,2),
(15874,10080701,'Cannot be modified except by direct means',100,2,3),
(15875,114890,'Causes 7% Threat to transfer to target when in combat',100,1,0),
(15876,115925,'Inflicts 1002 - 1152 disease damage on target encounter',100,1,0),
(15877,115925,'Inflicts 675 - 825 disease damage on target encounter every 3 seconds',100,1,1),
(15878,10115925,'Inflicts 823 - 977 disease damage on target encounter',100,1,0),
(15879,10115925,'Inflicts 532 - 650 disease damage on target encounter every 3 seconds',100,1,1),
(15880,124426,'Inflicts 174 - 289 melee damage on targets in area',100,1,0),
(15881,10124426,'Inflicts 140 - 233 melee damage on targets in area',100,1,0),
(15882,141822,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(15883,141822,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(15884,141822,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(15885,141822,'Cannot be modified except by direct means',100,2,3),
(15886,10141822,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(15887,10141822,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(15888,10141822,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(15889,10141822,'Cannot be modified except by direct means',100,2,3),
(15890,118237,'Interrupts target',100,1,0),
(15891,118237,'Inflicts 226 - 377 divine damage on target',100,1,1),
(15892,10118237,'Interrupts target',100,1,0),
(15893,10118237,'Inflicts 194 - 324 divine damage on target',100,1,1),
(15894,122781,'Heals group members (AE) for 4297 - 5179',100,1,0),
(15895,122781,'Increases Max Health of group members (AE) by 226.7',100,1,1),
(15896,10122781,'Heals group members (AE) for 6743 - 8207',100,1,0),
(15897,10122781,'Increases Max Health of group members (AE) by 226.7',100,1,1),
(15898,116126,'Inflicts 591 - 981 divine damage on target',100,1,0),
(15899,116126,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(15900,116126,'Stuns target',100,2,2),
(15901,116126,'Throws target back',100,2,3),
(15902,116126,'Blurs vision of target',100,2,4),
(15903,116126,'Does not affect Epic targets',100,2,5),
(15904,10116126,'Inflicts 476 - 790 divine damage on target',100,1,0),
(15905,10116126,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(15906,10116126,'Blurs vision of target',100,2,2),
(15907,10116126,'Stuns target',100,2,3),
(15908,10116126,'Throws target back',100,2,4),
(15909,10116126,'Does not affect Epic targets',100,2,5),
(15910,105094,'Inflicts 2281 - 2740 magic damage on target',100,1,0),
(15911,10105094,'Inflicts 1418 - 1779 magic damage on target',100,1,0),
(15912,107967,'Increases In-Combat Power Regeneration of group members (AE) by 31.2',100,1,0),
(15913,10107967,'Increases In-Combat Power Regeneration of group members (AE) by 31.2',100,1,0),
(15914,130950,'When Equipped:',100,0,0),
(15915,130950,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15916,130950,'Wards caster against 300 points of all damage',100,2,2),
(15917,130950,'Cannot be modified except by direct means',100,2,3),
(15918,130950,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(15919,10130950,'When Equipped:',100,0,0),
(15920,10130950,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(15921,10130950,'Wards caster against 300 points of all damage',100,2,2),
(15922,10130950,'Cannot be modified except by direct means',100,2,3),
(15923,10130950,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(15924,100610,'Inflicts 4898 - 7476 melee damage on target',100,1,0),
(15925,100610,'You must be sneaking to use this ability.',100,1,1),
(15926,10100610,'Inflicts 4081 - 6508 melee damage on target',100,1,0),
(15927,10100610,'You must be sneaking to use this ability.',100,1,1),
(15928,112286,'Increases Threat to target by 1,072 - 1,266  instantly and by 109 - 133  every 3 seconds thereafter',100,1,0),
(15929,112286,'Inflicts 107 - 130 disease damage on target',100,1,1),
(15930,112286,'Inflicts 38 - 46 disease damage on target every 3 seconds',100,1,2),
(15931,10112286,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,0),
(15932,10112286,'Inflicts 31 - 38 disease damage on target',100,1,1),
(15933,10112286,'Inflicts 30 - 36 disease damage on target every 3 seconds',100,1,2),
(15934,114661,'Increases Threat to target by 1,351 - 1,651 ',100,1,0),
(15935,114661,'Interrupts target',100,1,1),
(15936,10114661,'Interrupts target',100,1,0),
(15937,10114661,'Forces target to change their selected target to caster.',100,1,1),
(15938,10114661,'Prevents target from changing targets',100,1,2),
(15939,24596,'Adds Onayan Battlemage to your Dungeon Maker toolbox',100,0,0),
(15940,10024596,'Adds Onayan Battlemage to your Dungeon Maker toolbox',100,0,0),
(15941,121664,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(15942,121664,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,1),
(15943,121664,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(15944,121664,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,3),
(15945,10121664,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(15946,10121664,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,1),
(15947,10121664,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(15948,10121664,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,3),
(15949,37108,'Increases STR of target by 12.7',100,0,0),
(15950,37108,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(15951,49008,'Applies Fill Vessel when Activated.',100,0,0),
(15952,49008,'This effect cannot be cast during combat',100,1,1),
(15953,10049008,'Applies Fill Vessel when Activated.',100,0,0),
(15954,10049008,'This effect cannot be cast during combat',100,1,1),
(15955,120852,'Inflicts 1429 - 1587 disease damage on target',100,1,0),
(15956,120852,'Inflicts 447 - 604 disease damage on target every second',100,1,1),
(15957,10120852,'Inflicts 887 - 1061 disease damage on target',100,1,0),
(15958,10120852,'Inflicts 352 - 476 disease damage on target every second',100,1,1),
(15959,101508,'Increases WIS of target by 31.7',100,1,0),
(15960,101508,'Increases Max Health of target by 162.2',100,1,1),
(15961,101508,'Increases Mitigation of target vs elemental, noxious and arcane damage by 88',100,1,2),
(15962,10101508,'Increases WIS of target by 31.7',100,1,0),
(15963,10101508,'Increases Max Health of target by 162.2',100,1,1),
(15964,10101508,'Increases Mitigation of target vs elemental, noxious and arcane damage by 88',100,1,2),
(15965,49162,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(15966,49162,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(15967,49162,'Decreases WIS of target by 37.2',100,2,2),
(15968,49162,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 481',100,2,3),
(15969,49162,'Cannot be modified except by direct means',100,2,4),
(15970,49162,'Grants a total of 60 triggers of the spell.',100,2,5),
(15971,10049162,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(15972,10049162,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(15973,10049162,'Decreases WIS of target by 37.2',100,2,2),
(15974,10049162,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 481',100,2,3),
(15975,10049162,'Cannot be modified except by direct means',100,2,4),
(15976,10049162,'Grants a total of 60 triggers of the spell.',100,2,5),
(15977,133431,'When Equipped:',100,0,0),
(15978,133431,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15979,133431,'Inflicts 1986 heat damage on target',100,2,2),
(15980,133431,'Cannot be modified except by direct means',100,2,3),
(15981,10133431,'When Equipped:',100,0,0),
(15982,10133431,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(15983,10133431,'Inflicts 993 heat damage on target',100,2,2),
(15984,10133431,'Cannot be modified except by direct means',100,2,3),
(15985,115717,'Heals target for 1302',100,1,0),
(15986,115717,'Heals target for 319 every 0.3 seconds',100,1,1),
(15987,115717,'Stifles caster',100,1,2),
(15988,10115717,'Heals target for 420',100,1,0),
(15989,10115717,'Heals target for 163 every 0.3 seconds',100,1,1),
(15990,10115717,'Stifles caster',100,1,2),
(15991,121768,'Heals target for 254 - 311',100,1,0),
(15992,121768,'Heals target for 21 - 26 every second',100,1,1),
(15993,10121768,'Heals target for 256 - 313',100,1,0),
(15994,10121768,'Heals target for 14 - 18 every second',100,1,1),
(15995,123816,'Inflicts 433 - 721 magic damage on target',100,1,0),
(15996,123816,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(15997,123816,'Target will lose 22% more power when power is consumed',100,1,2),
(15998,123816,'22% of target''s power consumed will also be drained from target''s health',100,1,3),
(15999,123816,'Decreases Defense of target by 18.2',100,1,4),
(16000,10123816,'Inflicts 372 - 620 magic damage on target',100,1,0),
(16001,10123816,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(16002,10123816,'Target will lose 22% more power when power is consumed',100,1,2),
(16003,10123816,'22% of target''s power consumed will also be drained from target''s health',100,1,3),
(16004,10123816,'Decreases Defense of target by 18.2',100,1,4),
(16005,80824,'When Equipped:',100,0,0),
(16006,80824,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16007,80824,'Inflicts 332 - 617 magic damage on target',100,2,2),
(16008,80824,'Cannot be modified except by direct means',100,2,3),
(16009,10080824,'When Equipped:',100,0,0),
(16010,10080824,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16011,10080824,'Inflicts 332 - 617 magic damage on target',100,2,2),
(16012,10080824,'Cannot be modified except by direct means',100,2,3),
(16013,141732,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(16014,141732,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(16015,141732,'Inflicts 44 heat damage on target',100,2,2),
(16016,141732,'Cannot be modified except by direct means',100,2,3),
(16017,10141732,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(16018,10141732,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(16019,10141732,'Inflicts 44 heat damage on target',100,2,2),
(16020,10141732,'Cannot be modified except by direct means',100,2,3),
(16021,81523,'When Equipped:',100,0,0),
(16022,81523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16023,81523,'Inflicts 193 - 359 magic damage on target',100,2,2),
(16024,81523,'Cannot be modified except by direct means',100,2,3),
(16025,10081523,'When Equipped:',100,0,0),
(16026,10081523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16027,10081523,'Inflicts 193 - 359 magic damage on target',100,2,2),
(16028,10081523,'Cannot be modified except by direct means',100,2,3),
(16029,75107,'When Equipped:',100,0,0),
(16030,75107,'On a combat hit this spell may cast Bone Break on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16031,75107,'Inflicts 194 - 237 crushing damage on target',100,2,2),
(16032,75107,'Cannot be modified except by direct means',100,2,3),
(16033,10075107,'When Equipped:',100,0,0),
(16034,10075107,'On a combat hit this spell may cast Bone Break on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16035,10075107,'Inflicts 194 - 237 crushing damage on target',100,2,2),
(16036,10075107,'Cannot be modified except by direct means',100,2,3),
(16037,24013,'Adds Elite: Aviak (Brigand) to your Dungeon Maker toolbox',100,0,0),
(16038,10024013,'Adds Elite: Aviak (Brigand) to your Dungeon Maker toolbox',100,0,0),
(16039,40956,'When Equipped:',100,0,0),
(16040,40956,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(16041,40956,'This effect will not stack with any rank or tier of itself.',100,1,2),
(16042,40956,'Cannot be modified except by direct means',100,1,3),
(16043,10040956,'When Equipped:',100,0,0),
(16044,10040956,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(16045,10040956,'This effect will not stack with any rank or tier of itself.',100,1,2),
(16046,10040956,'Cannot be modified except by direct means',100,1,3),
(16047,25636,'When Equipped:',100,0,0),
(16048,25636,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(16049,25636,'Improves the duration of Peace of Mind by 5 seconds.',100,1,2),
(16050,10025636,'When Equipped:',100,0,0),
(16051,10025636,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(16052,10025636,'Improves the duration of Peace of Mind by 5 seconds.',100,1,2),
(16053,107097,'Inflicts 1506 - 1840 divine damage on target',100,1,0),
(16054,10107097,'Inflicts 1186 - 1362 divine damage on target',100,1,0),
(16055,118893,'Inflicts 1811 - 2357 melee damage on target',100,1,0),
(16056,118893,'Inflicts 829 - 1375 melee damage on target',100,1,1),
(16057,118893,'Inflicts 829 - 1375 melee damage on target',100,1,2),
(16058,118893,'Inflicts 829 - 1375 melee damage on target',100,1,3),
(16059,118893,'Inflicts 829 - 1375 melee damage on target',100,1,4),
(16060,10118893,'Inflicts 1048 - 1478 melee damage on target',100,1,0),
(16061,10118893,'Inflicts 653 - 1083 melee damage on target',100,1,1),
(16062,10118893,'Inflicts 653 - 1083 melee damage on target',100,1,2),
(16063,10118893,'Inflicts 653 - 1083 melee damage on target',100,1,3),
(16064,10118893,'Inflicts 653 - 1083 melee damage on target',100,1,4),
(16065,123040,'Summons a pet undead knight',100,1,0),
(16066,10123040,'Summons a pet undead knight',100,1,0),
(16067,115634,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 200',100,1,0),
(16068,10115634,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 200',100,1,0),
(16069,117372,'Increases Threat to target by 211 ',100,1,0),
(16070,117372,'Inflicts 30 - 91 melee damage on target',100,1,1),
(16071,10117372,'Forces target to change their selected target to caster.',100,1,0),
(16072,10117372,'Inflicts 16 - 47 melee damage on target',100,1,1),
(16073,116998,'Inflicts 406 - 1202 melee damage on target',100,1,0),
(16074,10116998,'Inflicts 325 - 960 melee damage on target',100,1,0),
(16075,108384,'Heals target for 142 - 173',100,1,0),
(16076,10108384,'Heals target for 120 - 147',100,1,0),
(16077,35839,'Increases AGI of target by 8.4',100,0,0),
(16078,35839,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(16079,25226,'When Equipped:',100,0,0),
(16080,25226,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(16081,25226,'Inflicts 16 disease damage on target',100,2,2),
(16082,25226,'Cancels up to 4.0% of target''s speed buffs',100,2,3),
(16083,25226,'Cannot be modified except by direct means',100,2,4),
(16084,10025226,'When Equipped:',100,0,0),
(16085,10025226,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(16086,10025226,'Inflicts 16 disease damage on target',100,2,2),
(16087,10025226,'Cancels up to 4.0% of target''s speed buffs',100,2,3),
(16088,10025226,'Cannot be modified except by direct means',100,2,4),
(16089,36329,'Increases STA of target by 66.0',100,0,0),
(16090,36329,'Increases outgoing heal and ward amount by 2%',100,0,1),
(16091,36329,'Increases WIS of target by 66.0',100,0,2),
(16092,36329,'Increases Out-of-Combat Power Regeneration of target by 136.8',100,0,3),
(16093,111336,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(16094,111336,'Inflicts 1769 - 2162 mental damage on target',100,2,1),
(16095,111336,'Grants a total of 3 triggers of the spell.',100,2,2),
(16096,10111336,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(16097,10111336,'Inflicts 1327 - 1592 mental damage on target',100,2,1),
(16098,10111336,'Grants a total of 3 triggers of the spell.',100,2,2),
(16099,48192,'Applies Spirit of the Cobra when Activated.  Lasts for 30 minutes.',100,0,0),
(16100,48192,'Shapechanges caster into a cobra',100,1,1),
(16101,48192,'Increases Out-of-Combat Health Regeneration of caster by 102.0',100,1,2),
(16102,48192,'This effect suspends during combat',100,1,3),
(16103,48192,'Only affects targets level 49 and above',100,1,4),
(16104,10048192,'Applies Spirit of the Cobra when Activated.  Lasts for 30 minutes.',100,0,0),
(16105,10048192,'Shapechanges caster into a cobra',100,1,1),
(16106,10048192,'Increases Out-of-Combat Health Regeneration of caster by 102.0',100,1,2),
(16107,10048192,'This effect suspends during combat',100,1,3),
(16108,10048192,'Only affects targets level 49 and above',100,1,4),
(16109,122409,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(16110,122409,'Inflicts 118 - 144 piercing damage on target encounter',100,2,1),
(16111,10122409,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(16112,10122409,'Inflicts 93 - 113 piercing damage on target encounter',100,2,1),
(16113,45908,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(16114,45908,'Increases Max Power of caster by 194.3',100,1,1),
(16115,10045908,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(16116,10045908,'Increases Max Power of caster by 194.3',100,1,1),
(16117,103287,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(16118,103287,'If Fighter',100,2,1),
(16119,103287,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(16120,103287,'Increases power of target by 24 instantly and every 4 seconds',100,2,3),
(16121,103287,'Increases power of caster by 24 instantly and every 4 seconds',100,2,4),
(16122,10103287,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(16123,10103287,'Increases power of target by 24 instantly and every 4 seconds',100,2,1),
(16124,10103287,'Increases power of caster by 24 instantly and every 4 seconds',100,2,2),
(16125,52647,'Applies Honor of Pantrilla when Activated.',100,0,0),
(16126,52647,'Increases power of caster by 1258',100,1,1),
(16127,52647,'The reuse time of Honor of Pantrilla is 6 minutes 55 seconds',100,1,2),
(16128,52647,'Requires 1 Power to cast.',100,1,3),
(16129,10052647,'Applies Honor of Pantrilla when Activated.',100,0,0),
(16130,10052647,'Increases power of caster by 1258',100,1,1),
(16131,10052647,'The reuse time of Honor of Pantrilla is 6 minutes 55 seconds',100,1,2),
(16132,10052647,'Requires 1 Power to cast.',100,1,3),
(16133,35394,'Increases INT and STA of target by 11.0',100,0,0),
(16134,35394,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(16135,24338,'Adds Drolvarg (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(16136,10024338,'Adds Drolvarg (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(16137,102201,'Increases Mitigation of group members (AE) vs physical damage by 796',100,1,0),
(16138,10102201,'Increases Mitigation of group members (AE) vs physical damage by 796',100,1,0),
(16139,47804,'Applies Rinturion''s Salvation when Activated.  Lasts for 30 minutes.',100,0,0),
(16140,47804,'Increases STA and STR of caster by 16.0',100,1,1),
(16141,10047804,'Applies Rinturion''s Salvation when Activated.  Lasts for 30 minutes.',100,0,0),
(16142,10047804,'Increases STA and STR of caster by 16.0',100,1,1),
(16143,108069,'Decreases Threat to target by 75 - 126 ',100,1,0),
(16144,10108069,'Forces target to clear their selected target.',100,1,0),
(16145,10108069,'Target cannot target caster for the duration of this effect.',100,1,1),
(16146,111182,'Inflicts 350 - 580 divine damage on targets in area',100,1,0),
(16147,111182,'Heals group members (AE) for 1.9% of max health',100,1,1),
(16148,111182,'This effect cannot be critically applied.',100,2,2),
(16149,111182,'The healing of this spell cannot be modified except by direct means',100,1,3),
(16150,10111182,'Inflicts 281 - 467 divine damage on targets in area',100,1,0),
(16151,10111182,'Heals group members (AE) for 1.3% of max health',100,1,1),
(16152,10111182,'This effect cannot be critically applied.',100,2,2),
(16153,10111182,'The healing of this spell cannot be modified except by direct means',100,1,3),
(16154,100992,'Increases INT of target by 58.1',100,1,0),
(16155,100992,'Increases Attack Speed of target by 30.4',100,1,1),
(16156,100992,'Decreases Defense and Parry of target by 17.5',100,1,2),
(16157,100992,'Increases Slashing, Piercing and Crushing of target by 12.9',100,1,3),
(16158,10100992,'Increases INT of target by 58.1',100,1,0),
(16159,10100992,'Increases Attack Speed of target by 30.4',100,1,1),
(16160,10100992,'Decreases Defense and Parry of target by 17.5',100,1,2),
(16161,10100992,'Increases Slashing, Piercing and Crushing of target by 12.9',100,1,3),
(16162,141935,'When Equipped:',100,0,0),
(16163,141935,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(16164,141935,'Increases STR of caster by 3.6',100,2,2),
(16165,141935,'Increases Damage Per Second of caster by 11.3',100,2,3),
(16166,141935,'Cannot be modified except by direct means',100,2,4),
(16167,10141935,'When Equipped:',100,0,0),
(16168,10141935,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(16169,10141935,'Increases STR of caster by 3.6',100,2,2),
(16170,10141935,'Increases Damage Per Second of caster by 11.3',100,2,3),
(16171,10141935,'Cannot be modified except by direct means',100,2,4),
(16172,81129,'When Equipped:',100,0,0),
(16173,81129,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16174,81129,'Inflicts 295 - 547 magic damage on target',100,2,2),
(16175,81129,'Cannot be modified except by direct means',100,2,3),
(16176,10081129,'When Equipped:',100,0,0),
(16177,10081129,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16178,10081129,'Inflicts 295 - 547 magic damage on target',100,2,2),
(16179,10081129,'Cannot be modified except by direct means',100,2,3),
(16180,112671,'Increases Parry of group members (AE) by 8.9',100,1,0),
(16181,10112671,'Increases Parry of group members (AE) by 8.9',100,1,0),
(16182,104190,'Increases Threat to target encounter by 3,969 - 4,492 ',100,1,0),
(16183,104190,'Interrupts target encounter',100,1,1),
(16184,10104190,'Forces target encounter to change their selected target to caster.',100,1,0),
(16185,10104190,'Interrupts target encounter',100,1,1),
(16186,10104190,'Prevents target encounter from changing targets',100,1,2),
(16187,116449,'Inflicts 1387 disease damage on target',100,1,0),
(16188,116449,'Inflicts 404 disease damage on target every 4 seconds',100,1,1),
(16189,116449,'Inflicts 404 disease damage on target instantly and every 4 seconds',100,1,2),
(16190,116449,'If target is nightblood',100,2,3),
(16191,116449,'Inflicts 404 disease damage on target instantly and every 4 seconds',100,1,4),
(16192,116449,'If target is shadowed folk',100,2,5),
(16193,10116449,'Inflicts 713 disease damage on target',100,1,0),
(16194,10116449,'Inflicts 319 disease damage on target every 4 seconds',100,1,1),
(16195,123775,'Decreases Mitigation of target vs noxious damage by 1560',100,1,0),
(16196,123775,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(16197,123775,'Slows target by 51.6%',100,2,2),
(16198,123775,'5% chance to dispel when target receives hostile action',100,2,3),
(16199,123775,'5% chance to dispel when target takes damage',100,2,4),
(16200,10123775,'Decreases Mitigation of target vs noxious damage by 1560',100,1,0),
(16201,10123775,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(16202,10123775,'Slows target by 51.6%',100,2,2),
(16203,10123775,'5% chance to dispel when target receives hostile action',100,2,3),
(16204,10123775,'5% chance to dispel when target takes damage',100,2,4),
(16205,121642,'Summons a pet imp',100,1,0),
(16206,121642,'Increases WIS, AGI, STA, STR and INT of caster by 39.6',100,1,1),
(16207,121642,'If follows Solusek Ro',100,1,2),
(16208,10121642,'Summons a pet imp',100,1,0),
(16209,10121642,'Increases WIS, AGI, STA, STR and INT of caster by 39.6',100,1,1),
(16210,10121642,'If follows Solusek Ro',100,1,2),
(16211,134807,'When Equipped:',100,0,0),
(16212,134807,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(16213,134807,'Heals group members for 206',100,2,2),
(16214,134807,'Cannot be modified except by direct means',100,2,3),
(16215,10134807,'When Equipped:',100,0,0),
(16216,10134807,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(16217,10134807,'Heals group members for 134',100,2,2),
(16218,10134807,'Cannot be modified except by direct means',100,2,3),
(16219,113698,'Stuns target',100,1,0),
(16220,113698,'If Target is not Epic',100,2,1),
(16221,113698,'Inflicts 6734 - 10568 heat damage on target',100,1,2),
(16222,113698,'Resistibility increases against targets higher than level 87.',100,1,3),
(16223,10113698,'Stuns target',100,1,0),
(16224,10113698,'If Target is not Epic',100,2,1),
(16225,10113698,'Inflicts 4928 - 7950 heat damage on target',100,1,2),
(16226,10113698,'Resistibility increases against targets higher than level 87.',100,1,3),
(16227,101623,'Applies Forceful Headache on termination.',100,1,0),
(16228,101623,'Inflicts 833 - 1388 mental damage on target',100,2,1),
(16229,101623,'If over 50% power',100,3,2),
(16230,101623,'Inflicts 999 - 1221 mental damage on target',100,1,3),
(16231,101623,'Inflicts 286 - 349 mental damage on target every 6 seconds',100,1,4),
(16232,101623,'Decreases Mitigation of target vs arcane damage by 504',100,1,5),
(16233,10101623,'Applies Forceful Headache on termination.',100,1,0),
(16234,10101623,'Inflicts 682 - 1069 mental damage on target',100,2,1),
(16235,10101623,'If over 50% power',100,3,2),
(16236,10101623,'Inflicts 620 - 670 mental damage on target',100,1,3),
(16237,10101623,'Inflicts 225 - 275 mental damage on target every 6 seconds',100,1,4),
(16238,10101623,'Decreases Mitigation of target vs arcane damage by 504',100,1,5),
(16239,71669,'When Equipped:',100,0,0),
(16240,71669,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(16241,71669,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(16242,71669,'Cannot be modified except by direct means',100,2,3),
(16243,10071669,'When Equipped:',100,0,0),
(16244,10071669,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(16245,10071669,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(16246,10071669,'Cannot be modified except by direct means',100,2,3),
(16247,45683,'Applies Kaglari''s Awakening  when Activated.  Lasts for 30 minutes.',100,0,0),
(16248,45683,'Increases INT and WIS of caster by 39.0',100,1,1),
(16249,10045683,'Applies Kaglari''s Awakening  when Activated.  Lasts for 30 minutes.',100,0,0),
(16250,10045683,'Increases INT and WIS of caster by 39.0',100,1,1),
(16251,100303,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(16252,100303,'Inflicts 1087 divine damage on target',100,2,1),
(16253,10100303,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(16254,10100303,'Inflicts 857 divine damage on target',100,2,1),
(16255,47116,'Applies Ashlan''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(16256,47116,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(16257,10047116,'Applies Ashlan''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(16258,10047116,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(16259,124741,'Inflicts 203 - 256 slashing damage on target',100,1,0),
(16260,124741,'Decreases Damage Per Second of target by 7.9',100,1,1),
(16261,124741,'Inflicts 71 slashing damage on target instantly and every 4 seconds',100,1,2),
(16262,10124741,'Inflicts 192 - 237 slashing damage on target',100,1,0),
(16263,10124741,'Decreases Damage Per Second of target by 7.9',100,1,1),
(16264,10124741,'Inflicts 56 slashing damage on target instantly and every 4 seconds',100,1,2),
(16265,113180,'Inflicts 5574 disease damage on target',100,1,0),
(16266,113180,'Heals caster for 2302',100,1,1),
(16267,10113180,'Inflicts 4204 disease damage on target',100,1,0),
(16268,10113180,'Heals caster for 1334',100,1,1),
(16269,116067,'Shapechanges caster into a lion',100,1,0),
(16270,116067,'Increases STA of caster by 174.2',100,1,1),
(16271,116067,'Adds 3.7% to base avoidance.',100,1,2),
(16272,116067,'Grants See Stealth to caster',100,1,3),
(16273,116067,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,4),
(16274,10116067,'Shapechanges caster into a lion',100,1,0),
(16275,10116067,'Increases STA of caster by 174.2',100,1,1),
(16276,10116067,'Adds 3.7% to base avoidance.',100,1,2),
(16277,10116067,'Grants See Stealth to caster',100,1,3),
(16278,10116067,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,4),
(16279,106185,'Wards target against 222 points of all damage',100,1,0),
(16280,106185,'Decreases INT of target by 109.5',100,1,1),
(16281,106185,'Decreases Attack Speed of target by 25.0',100,1,2),
(16282,106185,'Increases Max Health of target by 11.0%',100,1,3),
(16283,106185,'Increases Hate Gain of target by 29.7%',100,1,4),
(16284,106185,'Increases Aggression of target by 9.2',100,1,5),
(16285,106185,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(16286,106185,'Increases Threat to target encounter by 449 - 549 ',100,2,7),
(16287,106185,'Increases Mitigation of target vs elemental, noxious and arcane damage by 616',100,1,8),
(16288,10106185,'Wards target against 177 points of all damage',100,1,0),
(16289,10106185,'Decreases INT of target by 109.5',100,1,1),
(16290,10106185,'Decreases Attack Speed of target by 25.0',100,1,2),
(16291,10106185,'Increases Max Health of target by 11.0%',100,1,3),
(16292,10106185,'Increases Aggression of target by 9.2',100,1,4),
(16293,10106185,'Increases Mitigation of target vs elemental, noxious and arcane damage by 616',100,1,5),
(16294,46350,'Applies Flame Root when Activated.',100,0,0),
(16295,46350,'Inflicts 103 - 154 heat damage on target',100,1,1),
(16296,10046350,'Applies Flame Root when Activated.',100,0,0),
(16297,10046350,'Inflicts 103 - 154 heat damage on target',100,1,1),
(16298,123423,'Inflicts 1089 - 3129 melee damage on target',100,1,0),
(16299,123423,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(16300,123423,'Stuns target',100,2,2),
(16301,123423,'Throws target back',100,2,3),
(16302,123423,'Blurs vision of target',100,2,4),
(16303,123423,'Does not affect Epic targets',100,2,5),
(16304,10123423,'Inflicts 870 - 2117 melee damage on target',100,1,0),
(16305,10123423,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(16306,10123423,'Stuns target',100,2,2),
(16307,10123423,'Throws target back',100,2,3),
(16308,10123423,'Blurs vision of target',100,2,4),
(16309,10123423,'Does not affect Epic targets',100,2,5),
(16310,132207,'When Equipped:',100,0,0),
(16311,132207,'Increases Attack Speed of caster by 40.0',100,1,1),
(16312,10132207,'When Equipped:',100,0,0),
(16313,10132207,'Increases Attack Speed of caster by 40.0',100,1,1),
(16314,116283,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(16315,116283,'Increases target''s chance to block by 15.0%',100,130,1),
(16316,116283,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(16317,116283,'Inflicts 1831 - 2165 disease damage on caster',100,2,3),
(16318,116283,'Inflicts 501 - 613 disease damage on caster every 2 seconds',100,2,4),
(16319,116283,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(16320,116283,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(16321,116283,'Grants a total of 1 trigger of the spell.',100,3,7),
(16322,10116283,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(16323,10116283,'Increases target''s chance to block by 15.0%',100,130,1),
(16324,10116283,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(16325,10116283,'Inflicts 1317 - 1580 disease damage on caster',100,2,3),
(16326,10116283,'Inflicts 395 - 483 disease damage on caster every 2 seconds',100,2,4),
(16327,10116283,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(16328,10116283,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(16329,10116283,'Grants a total of 1 trigger of the spell.',100,3,7),
(16330,104422,'Stifles target encounter',100,1,0),
(16331,104422,'Inflicts 2309 - 2749 mental damage on target encounter',100,1,1),
(16332,104422,'Inflicts 1981 - 2421 mental damage on target encounter every second',100,1,2),
(16333,104422,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(16334,104422,'Resistibility increases against targets higher than level 119.',100,1,4),
(16335,10104422,'Stifles target encounter',100,1,0),
(16336,10104422,'Inflicts 1584 - 1907 mental damage on target encounter',100,1,1),
(16337,10104422,'Inflicts 1452 - 1775 mental damage on target encounter every 0.4 seconds',100,1,2),
(16338,10104422,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(16339,10104422,'Resistibility increases against targets higher than level 119.',100,1,4),
(16340,105062,'Inflicts 475 - 713 magic damage on target',100,1,0),
(16341,10105062,'Inflicts 408 - 612 magic damage on target',100,1,0),
(16342,42547,'When Equipped:',100,0,0),
(16343,42547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16344,42547,'Inflicts 196 - 294 magic damage on target',100,2,2),
(16345,42547,'Cannot be modified except by direct means',100,2,3),
(16346,10042547,'When Equipped:',100,0,0),
(16347,10042547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16348,10042547,'Inflicts 196 - 294 magic damage on target',100,2,2),
(16349,10042547,'Cannot be modified except by direct means',100,2,3),
(16350,35284,'Increases Max Power of target by 68.2',100,0,0),
(16351,35284,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(16352,55434,'When Equipped:',100,0,0),
(16353,55434,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,1),
(16354,55434,'Inflicts 2793 - 3086 crushing damage on target',100,2,2),
(16355,55434,'Increases Hate Gain of caster by 12.0%',100,2,3),
(16356,55434,'Enlarges caster by 20.0%',100,2,4),
(16357,55434,'Increases caster''s chance to block by 20.0%',100,2,5),
(16358,55434,'Must not be engaged in pvp combat',100,2,6),
(16359,55434,'Cannot be modified except by direct means',100,2,7),
(16360,55434,'Must not be engaged in pvp combat',100,1,8),
(16361,10055434,'When Equipped:',100,0,0),
(16362,10055434,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,1),
(16363,10055434,'Inflicts 2793 - 3086 crushing damage on target',100,2,2),
(16364,10055434,'Enlarges caster by 20.0%',100,2,3),
(16365,10055434,'Increases caster''s chance to block by 20.0%',100,2,4),
(16366,10055434,'Must not be engaged in pvp combat',100,2,5),
(16367,10055434,'Cannot be modified except by direct means',100,2,6),
(16368,10055434,'Must not be engaged in pvp combat',100,1,7),
(16369,80180,'When Equipped:',100,0,0),
(16370,80180,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16371,80180,'Inflicts 300 - 557 magic damage on target',100,2,2),
(16372,80180,'Cannot be modified except by direct means',100,2,3),
(16373,10080180,'When Equipped:',100,0,0),
(16374,10080180,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(16375,10080180,'Inflicts 300 - 557 magic damage on target',100,2,2),
(16376,10080180,'Cannot be modified except by direct means',100,2,3),
(16377,86506,'Applies Holy Strike when Activated.',100,0,0),
(16378,86506,'Inflicts 99 - 164 divine damage on target',100,1,1),
(16379,86506,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(16380,10086506,'Applies Holy Strike when Activated.',100,0,0),
(16381,10086506,'Inflicts 99 - 164 divine damage on target',100,1,1),
(16382,10086506,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(16383,113424,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(16384,113424,'Increases STA of caster by 137.3',100,1,1),
(16385,113424,'Adds 3.7% to base avoidance.',100,1,2),
(16386,113424,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(16387,113424,'Increases Defense and Aggression of caster by 26.2',100,1,4),
(16388,113424,'Increases Mitigation of caster vs noxious damage by 1814',100,1,5),
(16389,113424,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(16390,113424,'Reduces physical damage done to caster by 5%',100,1,7),
(16391,10113424,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(16392,10113424,'Increases STA of caster by 137.3',100,1,1),
(16393,10113424,'Adds 3.7% to base avoidance.',100,1,2),
(16394,10113424,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(16395,10113424,'Increases Defense and Aggression of caster by 26.2',100,1,4),
(16396,10113424,'Increases Mitigation of caster vs noxious damage by 1814',100,1,5),
(16397,10113424,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(16398,10113424,'Reduces physical damage done to caster by 5%',100,1,7),
(16399,46557,'Applies stupefying poison when Activated.  Lasts for 12 hours.',100,0,0),
(16400,46557,'On a combat hit this spell may cast Stupefying Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(16401,46557,'Stuns target',100,2,2),
(16402,46557,'If Target is not Epic',100,3,3),
(16403,46557,'Does not affect Epic targets',100,2,4),
(16404,46557,'Cannot be modified except by direct means',100,2,5),
(16405,46557,'Grants a total of 60 triggers of the spell.',100,2,6),
(16406,10046557,'Applies stupefying poison when Activated.  Lasts for 12 hours.',100,0,0),
(16407,10046557,'On a combat hit this spell may cast Stupefying Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(16408,10046557,'Stuns target',100,2,2),
(16409,10046557,'If Target is not Epic',100,3,3),
(16410,10046557,'Does not affect Epic targets',100,2,4),
(16411,10046557,'Cannot be modified except by direct means',100,2,5),
(16412,10046557,'Grants a total of 60 triggers of the spell.',100,2,6),
(16413,86120,'When Equipped:',100,0,0),
(16414,86120,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(16415,86120,'Inflicts 540 mental damage on target',100,2,2),
(16416,86120,'Must be classified as a yha-lei',100,3,3),
(16417,86120,'Inflicts 270 mental damage on target',100,2,4),
(16418,86120,'Must not be classified as a yha-lei',100,3,5),
(16419,86120,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(16420,86120,'Must be classified as a yha-lei',100,3,7),
(16421,86120,'Cannot be modified except by direct means',100,2,8),
(16422,86120,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(16423,10086120,'When Equipped:',100,0,0),
(16424,10086120,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(16425,10086120,'Inflicts 540 mental damage on target',100,2,2),
(16426,10086120,'Must be classified as a yha-lei',100,3,3),
(16427,10086120,'Inflicts 270 mental damage on target',100,2,4),
(16428,10086120,'Must not be classified as a yha-lei',100,3,5),
(16429,10086120,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(16430,10086120,'Must be classified as a yha-lei',100,3,7),
(16431,10086120,'Cannot be modified except by direct means',100,2,8),
(16432,10086120,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(16433,140026,'When Equipped:',100,0,0),
(16434,140026,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(16435,140026,'Inflicts 993 mental damage on target',100,2,2),
(16436,140026,'Increases Threat to target by 2,460 ',100,2,3),
(16437,140026,'Cannot be modified except by direct means',100,2,4),
(16438,140026,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(16439,140026,'Inflicts 993 mental damage on target',100,2,6),
(16440,140026,'Increases Threat to target by 2,460 ',100,2,7),
(16441,140026,'Cannot be modified except by direct means',100,2,8),
(16442,10140026,'When Equipped:',100,0,0),
(16443,10140026,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(16444,10140026,'Inflicts 993 mental damage on target',100,2,2),
(16445,10140026,'Cannot be modified except by direct means',100,2,3),
(16446,10140026,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(16447,10140026,'Inflicts 993 mental damage on target',100,2,5),
(16448,10140026,'Cannot be modified except by direct means',100,2,6),
(16449,154406,'When Equipped:',100,0,0),
(16450,154406,'Increases Attack Speed of caster by 40.0',100,1,1),
(16451,154406,'When Equipped:',100,0,2),
(16452,154406,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(16453,10154406,'When Equipped:',100,0,0),
(16454,10154406,'Increases Attack Speed of caster by 40.0',100,1,1),
(16455,10154406,'When Equipped:',100,0,2),
(16456,10154406,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(16457,104155,'Roots target',100,1,0),
(16458,104155,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(16459,104155,'Makes target afraid',100,2,2),
(16460,104155,'Slows target by 25.6%',100,2,3),
(16461,104155,'30% chance to dispel when target takes damage',100,2,4),
(16462,104155,'Resistibility increases against targets higher than level 112.',100,2,5),
(16463,104155,'15% chance to dispel when target takes damage',100,1,6),
(16464,104155,'Does not affect Epic targets',100,1,7),
(16465,104155,'Resistibility increases against targets higher than level 112.',100,1,8),
(16466,10104155,'Roots target',100,1,0),
(16467,10104155,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(16468,10104155,'Makes target afraid',100,2,2),
(16469,10104155,'Slows target by 25.6%',100,2,3),
(16470,10104155,'30% chance to dispel when target takes damage',100,2,4),
(16471,10104155,'Resistibility increases against targets higher than level 112.',100,2,5),
(16472,10104155,'15% chance to dispel when target takes damage',100,1,6),
(16473,10104155,'Does not affect Epic targets',100,1,7),
(16474,10104155,'Resistibility increases against targets higher than level 112.',100,1,8),
(16475,114752,'Inflicts 15254 - 24648 melee damage on target',100,1,0),
(16476,114752,'You must be in stealth.',100,1,1),
(16477,10114752,'Inflicts 7095 - 11506 melee damage on target',100,1,0),
(16478,10114752,'You must be in stealth.',100,1,1),
(16479,114622,'Decreases WIS of target by 18.4',100,1,0),
(16480,114622,'Inflicts 1087 - 1802 melee damage on target',100,1,1),
(16481,114622,'You must be sneaking to use this ability.',100,1,2),
(16482,10114622,'Decreases WIS of target by 18.4',100,1,0),
(16483,10114622,'Inflicts 856 - 1341 melee damage on target',100,1,1),
(16484,10114622,'You must be sneaking to use this ability.',100,1,2),
(16485,104720,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(16486,104720,'Decreases Mitigation of target vs elemental and arcane damage by 588',100,2,1),
(16487,104720,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(16488,104720,'Decreases Mitigation of target vs elemental and arcane damage by 588',100,2,3),
(16489,10104720,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(16490,10104720,'Decreases Mitigation of target vs elemental and arcane damage by 588',100,2,1),
(16491,10104720,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(16492,10104720,'Decreases Mitigation of target vs elemental and arcane damage by 588',100,2,3),
(16493,119458,'Inflicts 1039 piercing damage on target instantly and every 4 seconds',100,1,0),
(16494,119458,'Inflicts 2428 - 3379 melee damage on target',100,1,1),
(16495,119458,'Must be flanking or behind',100,1,2),
(16496,10119458,'Inflicts 819 piercing damage on target instantly and every 4 seconds',100,1,0),
(16497,10119458,'Inflicts 1533 - 2284 melee damage on target',100,1,1),
(16498,10119458,'Must be flanking or behind',100,1,2),
(16499,103225,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(16500,103225,'Adds 1.7% to base avoidance.',100,1,1),
(16501,103225,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(16502,103225,'Increases Parry of caster by 5.3',100,1,3),
(16503,103225,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(16504,103225,'Increases Aggression of caster by 4.0',100,1,5),
(16505,103225,'Increases Defense and Deflection of caster by 5.3',100,1,6),
(16506,103225,'Increases Mitigation of caster vs noxious damage by 380',100,1,7),
(16507,103225,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(16508,103225,'Reduces physical damage done to caster by 5%',100,1,9),
(16509,10103225,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(16510,10103225,'Adds 1.7% to base avoidance.',100,1,1),
(16511,10103225,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(16512,10103225,'Increases Parry of caster by 5.3',100,1,3),
(16513,10103225,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(16514,10103225,'Increases Aggression of caster by 4.0',100,1,5),
(16515,10103225,'Increases Defense and Deflection of caster by 5.3',100,1,6),
(16516,10103225,'Increases Mitigation of caster vs noxious damage by 380',100,1,7),
(16517,10103225,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(16518,10103225,'Reduces physical damage done to caster by 5%',100,1,9),
(16519,35981,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(16520,35981,'Increases Max Power of target by 10.5',100,0,1),
(16521,143195,'Applies Hooluk in a Hat when Activated.',100,0,0),
(16522,143195,'Summons a pet Hooluk',100,1,1),
(16523,143195,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(16524,10143195,'Applies Hooluk in a Hat when Activated.',100,0,0),
(16525,10143195,'Summons a pet Hooluk',100,1,1),
(16526,10143195,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(16527,143117,'When Equipped:',100,0,0),
(16528,143117,'On any combat or spell hit this spell may cast Craft of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(16529,143117,'Increases INT and WIS of caster by 150.0',100,2,2),
(16530,143117,'Increases Potency of caster by 10.0%',100,2,3),
(16531,143117,'Must not be engaged in pvp combat',100,2,4),
(16532,143117,'Cannot be modified except by direct means',100,2,5),
(16533,143117,'Cannot be modified except by direct means',100,1,6),
(16534,10143117,'When Equipped:',100,0,0),
(16535,10143117,'On any combat or spell hit this spell may cast Craft of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(16536,10143117,'Increases INT and WIS of caster by 150.0',100,2,2),
(16537,10143117,'Increases Potency of caster by 10.0%',100,2,3),
(16538,10143117,'Must not be engaged in pvp combat',100,2,4),
(16539,10143117,'Cannot be modified except by direct means',100,2,5),
(16540,10143117,'Cannot be modified except by direct means',100,1,6),
(16541,85854,'When Equipped:',100,0,0),
(16542,85854,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(16543,85854,'Inflicts 213 - 355 heat damage on target',100,2,2),
(16544,85854,'Cannot be modified except by direct means',100,2,3),
(16545,10085854,'When Equipped:',100,0,0),
(16546,10085854,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(16547,10085854,'Inflicts 213 - 355 heat damage on target',100,2,2),
(16548,10085854,'Cannot be modified except by direct means',100,2,3),
(16549,35851,'Increases STR of target by 12.7',100,0,0),
(16550,35851,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(16551,107004,'Decreases Threat to targets in Area of Effect by 1,215 ',100,1,0),
(16552,107004,'Dazes targets in Area of Effect',100,1,1),
(16553,107004,'If Target is not Epic',100,2,2),
(16554,107004,'Dispelled when target receives hostile action',100,1,3),
(16555,107004,'Dispelled when target takes damage',100,1,4),
(16556,10107004,'Dazes targets in Area of Effect',100,1,0),
(16557,10107004,'If Target is not Epic',100,2,1),
(16558,10107004,'Dispelled when target receives hostile action',100,1,2),
(16559,10107004,'Dispelled when target takes damage',100,1,3),
(16560,76115,'When Equipped:',100,0,0),
(16561,76115,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(16562,76115,'Inflicts 1541 - 1704 heat damage on target encounter instantly and every 2 seconds',100,2,2),
(16563,76115,'Decreases Hate Gain of group members (AE) by 5.0%',100,2,3),
(16564,76115,'If not fighter',100,3,4),
(16565,76115,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,5),
(16566,76115,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,6),
(16567,76115,'Increases Hate Gain of group members (AE) by 5.0%',100,2,7),
(16568,76115,'If fighter',100,3,8),
(16569,76115,'Increases Attack Speed of group members (AE) by 20.0',100,2,9),
(16570,76115,'Must not be engaged in pvp combat',100,2,10),
(16571,76115,'Cannot be modified except by direct means',100,2,11),
(16572,76115,'Must not be engaged in pvp combat',100,1,12),
(16573,10076115,'When Equipped:',100,0,0),
(16574,10076115,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(16575,10076115,'Inflicts 1541 - 1704 heat damage on target encounter instantly and every 2 seconds',100,2,2),
(16576,10076115,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(16577,10076115,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,4),
(16578,10076115,'Increases Attack Speed of group members (AE) by 20.0',100,2,5),
(16579,10076115,'Must not be engaged in pvp combat',100,2,6),
(16580,10076115,'Cannot be modified except by direct means',100,2,7),
(16581,10076115,'Must not be engaged in pvp combat',100,1,8),
(16582,108037,'Inflicts 1015 magic damage on target',100,1,0),
(16583,108037,'Increases power of caster by 71',100,1,1),
(16584,10108037,'Inflicts 872 magic damage on target',100,1,0),
(16585,10108037,'Increases power of caster by 71',100,1,1),
(16586,113202,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(16587,113202,'Inflicts 173 magic damage on target',100,2,1),
(16588,113202,'Grants a total of 5 triggers of the spell.',100,2,2),
(16589,10113202,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(16590,10113202,'Inflicts 139 magic damage on target',100,2,1),
(16591,10113202,'Grants a total of 5 triggers of the spell.',100,2,2),
(16592,104950,'Inflicts 3270 - 4776 melee damage on target',100,1,0),
(16593,104950,'Decreases Defense of target by 24.8',100,1,1),
(16594,104950,'Must be behind',100,1,2),
(16595,10104950,'Inflicts 2198 - 3385 melee damage on target',100,1,0),
(16596,10104950,'Decreases Defense of target by 24.8',100,1,1),
(16597,10104950,'Must be behind',100,1,2),
(16598,47430,'Applies Call Onyx Armored Rhino with Green Saddle when Activated.',100,0,0),
(16599,47430,'Increases Max Health of caster by 150.0',100,1,1),
(16600,47430,'Increases Defense of caster by 5.0',100,1,2),
(16601,47430,'Increases Piercing and Focus of caster by 7.0',100,1,3),
(16602,47430,'Summons a mount to ride',100,1,4),
(16603,47430,'Increases your ground speed by 130%',100,2,5),
(16604,47430,'Increases Crushing, Slashing and Ranged of caster by 7.0',100,1,6),
(16605,10047430,'Applies Call Onyx Armored Rhino with Green Saddle when Activated.',100,0,0),
(16606,10047430,'Increases Max Health of caster by 150.0',100,1,1),
(16607,10047430,'Increases Defense of caster by 5.0',100,1,2),
(16608,10047430,'Increases Piercing and Focus of caster by 7.0',100,1,3),
(16609,10047430,'Summons a mount to ride',100,1,4),
(16610,10047430,'Increases your ground speed by 130%',100,2,5),
(16611,10047430,'Increases Crushing, Slashing and Ranged of caster by 7.0',100,1,6),
(16612,104416,'Stifles target encounter',100,1,0),
(16613,104416,'Inflicts 1738 - 2052 mental damage on target encounter',100,1,1),
(16614,104416,'Inflicts 1411 - 1724 mental damage on target encounter every second',100,1,2),
(16615,104416,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(16616,104416,'Resistibility increases against targets higher than level 109.',100,1,4),
(16617,10104416,'Stifles target encounter',100,1,0),
(16618,10104416,'Inflicts 1166 - 1396 mental damage on target encounter',100,1,1),
(16619,10104416,'Inflicts 1034 - 1264 mental damage on target encounter every 0.4 seconds',100,1,2),
(16620,10104416,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(16621,10104416,'Resistibility increases against targets higher than level 109.',100,1,4),
(16622,165565,'When Equipped:',100,0,0),
(16623,165565,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(16624,10165565,'When Equipped:',100,0,0),
(16625,10165565,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(16626,124359,'Inflicts 920 - 1124 divine damage on target',100,1,0),
(16627,124359,'Inflicts 164 - 201 divine damage on target every 4 seconds',100,1,1),
(16628,10124359,'Inflicts 705 - 774 divine damage on target',100,1,0),
(16629,10124359,'Inflicts 129 - 158 divine damage on target every 4 seconds',100,1,1),
(16630,124146,'Inflicts 1202 disease damage on target encounter',100,1,0),
(16631,124146,'Inflicts 875 disease damage on target encounter every 4 seconds',100,1,1),
(16632,124146,'Applies Banshee''s Scream on termination.',100,1,2),
(16633,124146,'Inflicts 2625 - 4374 disease damage on target',100,2,3),
(16634,10124146,'Inflicts 821 disease damage on target encounter',100,1,0),
(16635,10124146,'Inflicts 690 disease damage on target encounter every 4 seconds',100,1,1),
(16636,10124146,'Applies Banshee''s Scream on termination.',100,1,2),
(16637,10124146,'Inflicts 2069 - 3448 disease damage on target',100,2,3),
(16638,45994,'Applies an enlightened experience when Activated.  Lasts for 2 hours.',100,0,0),
(16639,45994,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,1),
(16640,45994,'Increases Combat XP Gain of caster by 110.0%',100,1,2),
(16641,45994,'Increases AA XP Gain of caster by 110.0%',100,1,3),
(16642,45994,'You can only have one experience potion active at a time.',100,1,4),
(16643,10045994,'Applies an enlightened experience when Activated.  Lasts for 2 hours.',100,0,0),
(16644,10045994,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,1),
(16645,10045994,'Increases Combat XP Gain of caster by 110.0%',100,1,2),
(16646,10045994,'Increases AA XP Gain of caster by 110.0%',100,1,3),
(16647,10045994,'You can only have one experience potion active at a time.',100,1,4),
(16648,106470,'Decreases STR and AGI of target by 10.7',100,1,0),
(16649,10106470,'Decreases STR and AGI of target by 10.7',100,1,0),
(16650,103368,'Decreases power of target by 72 instantly and every 6 seconds',100,1,0),
(16651,103368,'Inflicts 1183 - 1333 mental damage on target',100,1,1),
(16652,103368,'Inflicts 287 - 350 mental damage on target every 6 seconds',100,1,2),
(16653,103368,'Increases power of caster by 64',100,1,3),
(16654,10103368,'Decreases power of target by 57 instantly and every 6 seconds',100,1,0),
(16655,10103368,'Inflicts 620 - 671 mental damage on target',100,1,1),
(16656,10103368,'Inflicts 226 - 276 mental damage on target every 6 seconds',100,1,2),
(16657,10103368,'Increases power of caster by 64',100,1,3),
(16658,175427,'When Equipped:',100,0,0),
(16659,175427,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(16660,10175427,'When Equipped:',100,0,0),
(16661,10175427,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(16662,114393,'Mesmerizes target',100,1,0),
(16663,114393,'Prevents AOE (except when direct) ',100,1,1),
(16664,114393,'Dispelled when target takes damage',100,1,2),
(16665,114393,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(16666,114393,'Resistibility increases against targets higher than level 30.',100,1,4),
(16667,10114393,'Mesmerizes target',100,1,0),
(16668,10114393,'Prevents AOE (except when direct) ',100,1,1),
(16669,10114393,'Dispelled when target takes damage',100,1,2),
(16670,10114393,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(16671,10114393,'Resistibility increases against targets higher than level 30.',100,1,4),
(16672,123161,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(16673,123161,'Reduces physical damage done to caster by 5%',100,1,1),
(16674,123161,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(16675,123161,'Increases Aggression of caster by 6.6',100,1,3),
(16676,123161,'Increases Defense and Parry of caster by 13.2',100,1,4),
(16677,123161,'Increases Mitigation of caster vs elemental damage by 880',100,1,5),
(16678,123161,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(16679,10123161,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(16680,10123161,'Reduces physical damage done to caster by 5%',100,1,1),
(16681,10123161,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(16682,10123161,'Increases Aggression of caster by 6.6',100,1,3),
(16683,10123161,'Increases Defense and Parry of caster by 13.2',100,1,4),
(16684,10123161,'Increases Mitigation of caster vs elemental damage by 880',100,1,5),
(16685,10123161,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(16686,119027,'Inflicts 33 - 56 mental damage on target',100,1,0),
(16687,119027,'Decreases power of target by 21 - 35',100,1,1),
(16688,119027,'Increases power of caster by 2 - 4',100,1,2),
(16689,10119027,'Inflicts 26 - 44 mental damage on target',100,1,0),
(16690,10119027,'Decreases power of target by 17 - 28',100,1,1),
(16691,10119027,'Increases power of caster by 2 - 4',100,1,2),
(16692,108738,'Summons a pet fiery magician',100,1,0),
(16693,10108738,'Summons a pet fiery magician',100,1,0),
(16694,175523,'When Equipped:',100,0,0),
(16695,175523,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(16696,175523,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(16697,175523,'Applies Dispersion on termination.',100,2,3),
(16698,175523,'Increases power of group members by 188',100,3,4),
(16699,175523,'Cannot be modified except by direct means',100,2,5),
(16700,175523,'Cannot be modified except by direct means',100,1,6),
(16701,10175523,'When Equipped:',100,0,0),
(16702,10175523,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(16703,10175523,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(16704,10175523,'Applies Dispersion on termination.',100,2,3),
(16705,10175523,'Increases power of group members by 188',100,3,4),
(16706,10175523,'Cannot be modified except by direct means',100,2,5),
(16707,10175523,'Cannot be modified except by direct means',100,1,6),
(16708,52731,'Applies Sanguine Imbued when Equipped.',100,0,0),
(16709,52731,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(16710,52731,'Inflicts 61 heat damage on target',100,2,2),
(16711,52731,'Cannot be modified except by direct means',100,2,3),
(16712,10052731,'Applies Sanguine Imbued when Equipped.',100,0,0),
(16713,10052731,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(16714,10052731,'Inflicts 61 heat damage on target',100,2,2),
(16715,10052731,'Cannot be modified except by direct means',100,2,3),
(16716,116809,'Increases STR, AGI, WIS and INT of target by 83.5',100,1,0),
(16717,116809,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(16718,116809,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(16719,116809,'Increases Attack Speed of target by 51.0',100,2,3),
(16720,116809,'Increases Damage Per Second of target by 51.0',100,2,4),
(16721,116809,'Adds 1.8% to base avoidance.',100,1,5),
(16722,116809,'Increases Mitigation of target vs elemental, noxious and arcane damage by 247',100,1,6),
(16723,10116809,'Increases STR, AGI, WIS and INT of target by 83.5',100,1,0),
(16724,10116809,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(16725,10116809,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(16726,10116809,'Increases Attack Speed of target by 51.0',100,2,3),
(16727,10116809,'Increases Damage Per Second of target by 51.0',100,2,4),
(16728,10116809,'Adds 1.8% to base avoidance.',100,1,5),
(16729,10116809,'Increases Mitigation of target vs elemental, noxious and arcane damage by 247',100,1,6),
(16730,115181,'Heals target for 1851 - 2262',100,1,0),
(16731,10115181,'Heals target for 1573 - 1866',100,1,0),
(16732,119905,'Inflicts 729 - 891 mental damage on target',100,1,0),
(16733,119905,'Inflicts 97 - 119 mental damage on target every 1.3 seconds',100,1,1),
(16734,119905,'Stifles target',100,1,2),
(16735,119905,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,3),
(16736,119905,'Resistibility increases against targets higher than level 45.',100,1,4),
(16737,10119905,'Inflicts 624 - 676 mental damage on target',100,1,0),
(16738,10119905,'Inflicts 77 - 94 mental damage on target every second',100,1,1),
(16739,10119905,'Stifles target',100,1,2),
(16740,10119905,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(16741,10119905,'Resistibility increases against targets higher than level 45.',100,1,4),
(16742,105954,'Inflicts 2635 - 4155 disease damage on targets in area',100,1,0),
(16743,105954,'Inflicts 1485 - 1815 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(16744,10105954,'Inflicts 1990 - 3214 disease damage on targets in area',100,1,0),
(16745,10105954,'Inflicts 1102 - 1347 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(16746,122456,'Inflicts 5934 - 9235 magic damage on target',100,1,0),
(16747,10122456,'Inflicts 4297 - 6899 magic damage on target',100,1,0),
(16748,106211,'Applies Defile.',100,1,0),
(16749,106211,'Inflicts 554 disease damage on targets in Area of Effect',100,2,1),
(16750,106211,'If under 80% Health',100,3,2),
(16751,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,3),
(16752,106211,'If under 30% Health',100,3,4),
(16753,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,5),
(16754,106211,'If under 50% Health',100,3,6),
(16755,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,7),
(16756,106211,'If under 40% Health',100,3,8),
(16757,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,9),
(16758,106211,'If under 70% Health',100,3,10),
(16759,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,11),
(16760,106211,'If under 20% Health',100,3,12),
(16761,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,13),
(16762,106211,'If under 90% Health',100,3,14),
(16763,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,15),
(16764,106211,'If under 10% Health',100,3,16),
(16765,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,17),
(16766,106211,'If under 100% Health',100,3,18),
(16767,106211,'Inflicts 445 disease damage on targets in Area of Effect',100,2,19),
(16768,106211,'If under 60% Health',100,3,20),
(16769,10106211,'Applies Defile.',100,1,0),
(16770,10106211,'Inflicts 395 disease damage on targets in Area of Effect',100,2,1),
(16771,10106211,'If at 10% Health or less',100,3,2),
(16772,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,3),
(16773,10106211,'If at 40% Health or less',100,3,4),
(16774,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,5),
(16775,10106211,'If at 100% Health or greater',100,3,6),
(16776,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,7),
(16777,10106211,'If at 20% Health or less',100,3,8),
(16778,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,9),
(16779,10106211,'If at 30% Health or less',100,3,10),
(16780,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,11),
(16781,10106211,'If at 60% Health or less',100,3,12),
(16782,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,13),
(16783,10106211,'If at 70% Health or less',100,3,14),
(16784,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,15),
(16785,10106211,'If at 80% Health or less',100,3,16),
(16786,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,17),
(16787,10106211,'If over 100% Health',100,3,18),
(16788,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,19),
(16789,10106211,'If at 90% Health or less',100,3,20),
(16790,10106211,'Inflicts 351 disease damage on targets in Area of Effect',100,2,21),
(16791,10106211,'If at 50% Health or less',100,3,22),
(16792,105779,'Inflicts 1257 - 1537 heat damage on target',100,1,0),
(16793,10105779,'Inflicts 1150 - 1318 heat damage on target',100,1,0),
(16794,122056,'Increases Threat to target by 4,162 - 4,582 ',100,1,0),
(16795,122056,'Inflicts 580 - 962 melee damage on target',100,1,1),
(16796,10122056,'Forces target to change their selected target to caster.',100,1,0),
(16797,10122056,'Inflicts 457 - 758 melee damage on target',100,1,1),
(16798,46534,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(16799,46534,'Increases AGI of caster by 65.7',100,1,1),
(16800,10046534,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(16801,10046534,'Increases AGI of caster by 65.7',100,1,1),
(16802,110212,'Interrupts target',100,1,0),
(16803,110212,'Inflicts 830 - 1377 crushing damage on target',100,1,1),
(16804,10110212,'Interrupts target',100,1,0),
(16805,10110212,'Inflicts 669 - 1109 crushing damage on target',100,1,1),
(16806,120720,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 24.0',100,1,0),
(16807,10120720,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 24.0',100,1,0),
(16808,162762,'When Equipped:',100,0,0),
(16809,162762,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(16810,162762,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(16811,162762,'Inflicts 756 divine damage on target',100,2,3),
(16812,162762,'Must be classified as a vampire',100,3,4),
(16813,162762,'Inflicts 378 divine damage on target',100,2,5),
(16814,162762,'Must not be classified as a vampire',100,3,6),
(16815,162762,'Decreases Mitigation of target vs arcane damage by 560',100,2,7),
(16816,162762,'Must be classified as a vampire',100,3,8),
(16817,162762,'Cannot be modified except by direct means',100,2,9),
(16818,10162762,'When Equipped:',100,0,0),
(16819,10162762,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(16820,10162762,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(16821,10162762,'Inflicts 756 divine damage on target',100,2,3),
(16822,10162762,'Must be classified as a vampire',100,3,4),
(16823,10162762,'Inflicts 378 divine damage on target',100,2,5),
(16824,10162762,'Must not be classified as a vampire',100,3,6),
(16825,10162762,'Decreases Mitigation of target vs arcane damage by 560',100,2,7),
(16826,10162762,'Must be classified as a vampire',100,3,8),
(16827,10162762,'Cannot be modified except by direct means',100,2,9),
(16828,37418,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(16829,107954,'Increases In-Combat Power Regeneration of group members (AE) by 6.8',100,1,0),
(16830,10107954,'Increases In-Combat Power Regeneration of group members (AE) by 6.8',100,1,0),
(16831,107288,'Inflicts 2472 - 3454 ranged damage on target',100,1,0),
(16832,107288,'Inflicts 1489 - 2471 ranged damage on target',100,1,1),
(16833,107288,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(16834,107288,'Stuns target',100,2,3),
(16835,107288,'Throws target back',100,2,4),
(16836,107288,'Blurs vision of target',100,2,5),
(16837,107288,'Does not affect Epic targets',100,2,6),
(16838,107288,'If weapon equipped in Ranged',100,1,7),
(16839,10107288,'Inflicts 1275 - 1855 ranged damage on target',100,1,0),
(16840,10107288,'Inflicts 880 - 1461 ranged damage on target',100,1,1),
(16841,10107288,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(16842,10107288,'Stuns target',100,2,3),
(16843,10107288,'Throws target back',100,2,4),
(16844,10107288,'Blurs vision of target',100,2,5),
(16845,10107288,'Does not affect Epic targets',100,2,6),
(16846,10107288,'If weapon equipped in Ranged',100,1,7),
(16847,104686,'Decreases Mitigation of target vs all damage by 396',100,1,0),
(16848,10104686,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 396',100,1,0),
(16849,10104686,'Decreases Mitigation of target vs physical damage by 330',100,1,1),
(16850,112898,'Inflicts 2791 - 3253 melee damage on target',100,1,0),
(16851,112898,'Decreases Mitigation of target vs physical damage by 372',100,1,1),
(16852,112898,'Must be flanking or behind',100,1,2),
(16853,10112898,'Inflicts 1861 - 2184 melee damage on target',100,1,0),
(16854,10112898,'Decreases Mitigation of target vs physical damage by 372',100,1,1),
(16855,10112898,'Must be flanking or behind',100,1,2),
(16856,47566,'Applies Portable Woodworking Kit when Activated.  Lasts for 15 minutes.',100,0,0),
(16857,47566,'Summons Woodworking Table',100,1,1),
(16858,47566,'This effect cancels during combat',100,1,2),
(16859,10047566,'Applies Portable Woodworking Kit when Activated.  Lasts for 15 minutes.',100,0,0),
(16860,10047566,'Summons Woodworking Table',100,1,1),
(16861,10047566,'This effect cancels during combat',100,1,2),
(16862,48574,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(16863,48574,'Shrinks caster by 35.0%',100,1,1),
(16864,48574,'Enlarges caster by 50.0%',100,1,2),
(16865,10048574,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(16866,10048574,'Shrinks caster by 35.0%',100,1,1),
(16867,10048574,'Enlarges caster by 50.0%',100,1,2),
(16868,122480,'Inflicts 843 - 1406 mental damage on targets in Area of Effect',100,1,0),
(16869,10122480,'Inflicts 690 - 1081 mental damage on targets in Area of Effect',100,1,0),
(16870,170701,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(16871,170701,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(16872,170701,'Decreases Attack Speed of target by 13.0',100,2,2),
(16873,170701,'Cannot be modified except by direct means',100,2,3),
(16874,170701,'Slows target by 34.1%',100,1,4),
(16875,170701,'5% chance to dispel when target takes damage',100,1,5),
(16876,170701,'5% chance to dispel when target receives hostile action',100,1,6),
(16877,170701,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(16878,10170701,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(16879,10170701,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(16880,10170701,'Decreases Attack Speed of target by 13.0',100,2,2),
(16881,10170701,'Cannot be modified except by direct means',100,2,3),
(16882,10170701,'Slows target by 34.1%',100,1,4),
(16883,10170701,'5% chance to dispel when target takes damage',100,1,5),
(16884,10170701,'5% chance to dispel when target receives hostile action',100,1,6),
(16885,10170701,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(16886,102161,'Inflicts 2867 - 4107 melee damage on target',100,1,0),
(16887,102161,'Inflicts 1884 - 3125 melee damage on target',100,1,1),
(16888,10102161,'Inflicts 1879 - 2857 melee damage on target',100,1,0),
(16889,10102161,'Inflicts 1485 - 2463 melee damage on target',100,1,1),
(16890,27445,'When Equipped:',100,0,0),
(16891,27445,'On a healing spell cast this spell may cast Healing Wave on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(16892,27445,'Heals group members for 4 - 6',100,2,2),
(16893,27445,'Cannot be modified except by direct means',100,2,3),
(16894,10027445,'When Equipped:',100,0,0),
(16895,10027445,'On a healing spell cast this spell may cast Healing Wave on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(16896,10027445,'Heals group members for 3 - 4',100,2,2),
(16897,10027445,'Cannot be modified except by direct means',100,2,3),
(16898,81583,'When Equipped:',100,0,0),
(16899,81583,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(16900,81583,'Decreases Threat to target by 376 ',100,2,2),
(16901,81583,'Must be flanking or behind',100,3,3),
(16902,81583,'Increases Threat to target by 658 ',100,2,4),
(16903,81583,'Must be in front of',100,3,5),
(16904,81583,'Inflicts 215 - 399 magic damage on target',100,2,6),
(16905,81583,'Cannot be modified except by direct means',100,2,7),
(16906,10081583,'When Equipped:',100,0,0),
(16907,10081583,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(16908,10081583,'Inflicts 215 - 399 magic damage on target',100,2,2),
(16909,10081583,'Cannot be modified except by direct means',100,2,3),
(16910,166522,'When Equipped:',100,0,0),
(16911,166522,'On a critical combat hit this spell may cast Martial Vulnerability II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(16912,166522,'Decreases Mitigation of target vs physical damage by 250',100,2,2),
(16913,166522,'Must not be engaged in pvp combat',100,2,3),
(16914,166522,'Cannot be modified except by direct means',100,2,4),
(16915,166522,'On a critical spell hit this spell may cast Martial Vulnerability II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(16916,166522,'Decreases Mitigation of target vs physical damage by 250',100,2,6),
(16917,166522,'Must not be engaged in pvp combat',100,2,7),
(16918,166522,'Cannot be modified except by direct means',100,2,8),
(16919,166522,'Must not be engaged in pvp combat',100,1,9),
(16920,10166522,'When Equipped:',100,0,0),
(16921,10166522,'On a critical combat hit this spell may cast Martial Vulnerability II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(16922,10166522,'Decreases Mitigation of target vs physical damage by 250',100,2,2),
(16923,10166522,'Must not be engaged in pvp combat',100,2,3),
(16924,10166522,'Cannot be modified except by direct means',100,2,4),
(16925,10166522,'On a critical spell hit this spell may cast Martial Vulnerability II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(16926,10166522,'Decreases Mitigation of target vs physical damage by 250',100,2,6),
(16927,10166522,'Must not be engaged in pvp combat',100,2,7),
(16928,10166522,'Cannot be modified except by direct means',100,2,8),
(16929,10166522,'Must not be engaged in pvp combat',100,1,9),
(16930,117915,'Increases In-Combat Health Regeneration of group members (AE) by 136.1',100,1,0),
(16931,117915,'Increases Max Health of group members (AE) by 709.8',100,1,1),
(16932,10117915,'Increases In-Combat Health Regeneration of group members (AE) by 136.1',100,1,0),
(16933,10117915,'Increases Max Health of group members (AE) by 709.8',100,1,1),
(16934,45410,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(16935,45410,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,1),
(16936,45410,'Caster will harvest a second time on 4.0% of harvests.',100,1,2),
(16937,10045410,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(16938,10045410,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,1),
(16939,10045410,'Caster will harvest a second time on 4.0% of harvests.',100,1,2),
(16940,89193,'When Equipped:',100,0,0),
(16941,89193,'Titaniir must be equipped to maintain the power of the Aether Soldier.',100,1,1),
(16942,89193,'Applies Aether Soldier when Activated.  Lasts for 30.0 seconds.',100,0,2),
(16943,89193,'Caster has a 5.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,3),
(16944,89193,'Increases Ability Reuse Speed of caster by 50.0%',100,1,4),
(16945,89193,'Increases Attack Speed of caster by 75.0',100,1,5),
(16946,89193,'Increases Ability Casting Speed of caster by 100.0%',100,1,6),
(16947,89193,'Increases Damage Per Second of caster by 100.0',100,1,7),
(16948,89193,'Increases Ability Recovery Speed of caster by 100.0%',100,1,8),
(16949,89193,'Cannot be modified except by direct means',100,1,9),
(16950,89193,'The casting time of Aether Soldier is 2.0 seconds and the reuse time of the spell is 4 minutes 45 seconds',100,1,10),
(16951,10089193,'When Equipped:',100,0,0),
(16952,10089193,'Titaniir must be equipped to maintain the power of the Aether Soldier.',100,1,1),
(16953,10089193,'Applies Aether Soldier when Activated.  Lasts for 30.0 seconds.',100,0,2),
(16954,10089193,'Caster has a 5.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,3),
(16955,10089193,'Increases Ability Reuse Speed of caster by 50.0%',100,1,4),
(16956,10089193,'Increases Attack Speed of caster by 75.0',100,1,5),
(16957,10089193,'Increases Ability Casting Speed of caster by 100.0%',100,1,6),
(16958,10089193,'Increases Damage Per Second of caster by 100.0',100,1,7),
(16959,10089193,'Increases Ability Recovery Speed of caster by 100.0%',100,1,8),
(16960,10089193,'Cannot be modified except by direct means',100,1,9),
(16961,10089193,'The casting time of Aether Soldier is 2.0 seconds and the reuse time of the spell is 4 minutes 45 seconds',100,1,10),
(16962,120101,'Shapechanges caster into a chaos essence',100,1,0),
(16963,120101,'Increases WIS of caster by 49.8',100,1,1),
(16964,120101,'Grants See Invisibility to caster',100,1,2),
(16965,120101,'Increases Max Health of caster by 197.4',100,1,3),
(16966,120101,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 767',100,1,4),
(16967,10120101,'Shapechanges caster into a chaos essence',100,1,0),
(16968,10120101,'Increases WIS of caster by 49.8',100,1,1),
(16969,10120101,'Grants See Invisibility to caster',100,1,2),
(16970,10120101,'Increases Max Health of caster by 197.4',100,1,3),
(16971,10120101,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 767',100,1,4),
(16972,113767,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(16973,113767,'Heals target for 173 - 212',100,2,1),
(16974,10113767,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(16975,10113767,'Heals target for 92 - 113',100,2,1),
(16976,105349,'Inflicts 2699 - 3971 melee damage on target',100,1,0),
(16977,105349,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 559',100,1,1),
(16978,105349,'Must be flanking or behind',100,1,2),
(16979,10105349,'Inflicts 1815 - 2750 melee damage on target',100,1,0),
(16980,10105349,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 559',100,1,1),
(16981,10105349,'Must be flanking or behind',100,1,2),
(16982,121983,'Increases Threat to target by 264 - 323 ',100,1,0),
(16983,173313,'When Equipped:',100,0,0),
(16984,173313,'On a damage spell hit this spell may cast Tranquil Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(16985,173313,'Prevents caster and pet from taking damage from AoE spells. Spell will cancel in the event any direct damage is taken.',100,2,2),
(16986,10173313,'When Equipped:',100,0,0),
(16987,10173313,'On a damage spell hit this spell may cast Tranquil Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(16988,10173313,'Prevents caster and pet from taking damage from AoE spells. Spell will cancel in the event any direct damage is taken.',100,2,2),
(16989,116137,'Inflicts 1208 - 2003 divine damage on target',100,1,0),
(16990,116137,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(16991,116137,'Stuns target',100,2,2),
(16992,116137,'Throws target back',100,2,3),
(16993,116137,'Blurs vision of target',100,2,4),
(16994,116137,'Does not affect Epic targets',100,2,5),
(16995,10116137,'Inflicts 972 - 1470 divine damage on target',100,1,0),
(16996,10116137,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(16997,10116137,'Blurs vision of target',100,2,2),
(16998,10116137,'Stuns target',100,2,3),
(16999,10116137,'Throws target back',100,2,4),
(17000,10116137,'Does not affect Epic targets',100,2,5),
(17001,74704,'When Equipped:',100,0,0),
(17002,74704,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17003,74704,'Inflicts 295 - 443 magic damage on target',100,2,2),
(17004,74704,'Cannot be modified except by direct means',100,2,3),
(17005,10074704,'When Equipped:',100,0,0),
(17006,10074704,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17007,10074704,'Inflicts 295 - 443 magic damage on target',100,2,2),
(17008,10074704,'Cannot be modified except by direct means',100,2,3),
(17009,80625,'When Equipped:',100,0,0),
(17010,80625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17011,80625,'Inflicts 96 - 178 magic damage on target',100,2,2),
(17012,80625,'Cannot be modified except by direct means',100,2,3),
(17013,10080625,'When Equipped:',100,0,0),
(17014,10080625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17015,10080625,'Inflicts 96 - 178 magic damage on target',100,2,2),
(17016,10080625,'Cannot be modified except by direct means',100,2,3),
(17017,37258,'Increases outgoing damaging spell amount by 1.5%',100,0,0),
(17018,37258,'Increases STA and INT of target by 61.6',100,0,1),
(17019,37258,'Increases Out-of-Combat Power Regeneration of target by 141.6',100,0,2),
(17020,50542,'When Equipped:',100,0,0),
(17021,50542,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17022,50542,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(17023,50542,'Cannot be modified except by direct means',100,2,3),
(17024,10050542,'When Equipped:',100,0,0),
(17025,10050542,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17026,10050542,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(17027,10050542,'Cannot be modified except by direct means',100,2,3),
(17028,120885,'Stifles target',100,1,0),
(17029,120885,'Inflicts 1470 - 1797 mental damage on target',100,1,1),
(17030,120885,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,2),
(17031,120885,'Resistibility increases against targets higher than level 59.',100,1,3),
(17032,10120885,'Stifles target',100,1,0),
(17033,10120885,'Inflicts 1167 - 1339 mental damage on target',100,1,1),
(17034,10120885,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(17035,10120885,'Resistibility increases against targets higher than level 59.',100,1,3),
(17036,108971,'Increases INT of group members (AE) by 178.6',100,1,0),
(17037,108971,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 65.5',100,1,1),
(17038,10108971,'Increases INT of group members (AE) by 178.6',100,1,0),
(17039,10108971,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 65.5',100,1,1),
(17040,103728,'Increases Max Health of raid and group members (AE) by 546.0',100,1,0),
(17041,103728,'Increases Defense of raid and group members (AE) by 18.7',100,1,1),
(17042,10103728,'Increases Max Health of raid and group members (AE) by 546.0',100,1,0),
(17043,10103728,'Increases Defense of raid and group members (AE) by 18.7',100,1,1),
(17044,41598,'When Equipped:',100,0,0),
(17045,41598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17046,41598,'Inflicts 343 - 636 magic damage on target',100,2,2),
(17047,41598,'Cannot be modified except by direct means',100,2,3),
(17048,10041598,'When Equipped:',100,0,0),
(17049,10041598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17050,10041598,'Inflicts 343 - 636 magic damage on target',100,2,2),
(17051,10041598,'Cannot be modified except by direct means',100,2,3),
(17052,48680,'Applies Translucent Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(17053,48680,'Increases AGI of caster by 58.7',100,1,1),
(17054,48680,'Only affects targets level 50 and above',100,1,2),
(17055,10048680,'Applies Translucent Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(17056,10048680,'Increases AGI of caster by 58.7',100,1,1),
(17057,10048680,'Only affects targets level 50 and above',100,1,2),
(17058,75286,'When Equipped:',100,0,0),
(17059,75286,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(17060,75286,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(17061,75286,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(17062,75286,'Heals caster for 1185 - 1309',100,2,4),
(17063,75286,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(17064,75286,'Must not be engaged in pvp combat',100,2,6),
(17065,75286,'Cannot be modified except by direct means',100,2,7),
(17066,75286,'Cannot be modified except by direct means',100,1,8),
(17067,10075286,'When Equipped:',100,0,0),
(17068,10075286,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(17069,10075286,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(17070,10075286,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(17071,10075286,'Heals caster for 1386 - 1532',100,2,4),
(17072,10075286,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(17073,10075286,'Must not be engaged in pvp combat',100,2,6),
(17074,10075286,'Cannot be modified except by direct means',100,2,7),
(17075,10075286,'Cannot be modified except by direct means',100,1,8),
(17076,101430,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(17077,101430,'Increases Mitigation of group members (AE) vs noxious damage by 269',100,1,1),
(17078,10101430,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(17079,10101430,'Increases Mitigation of group members (AE) vs noxious damage by 269',100,1,1),
(17080,100022,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(17081,100022,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17082,100022,'Inflicts 500 - 829 melee damage on targets in area',100,2,2),
(17083,100022,'Decreases Defense of caster by 15.0',100,1,3),
(17084,100022,'Increases Slashing, Piercing and Crushing of caster by 27.0',100,1,4),
(17085,10100022,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(17086,10100022,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17087,10100022,'Inflicts 394 - 653 melee damage on targets in area',100,2,2),
(17088,10100022,'Decreases Defense of caster by 15.0',100,1,3),
(17089,10100022,'Increases Slashing, Piercing and Crushing of caster by 27.0',100,1,4),
(17090,111521,'Blurs vision of targets in Area of Effect',100,1,0),
(17091,111521,'Interrupts targets in Area of Effect',100,1,1),
(17092,111521,'10% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(17093,111521,'Stuns target',100,2,3),
(17094,111521,'Throws target back',100,2,4),
(17095,111521,'Blurs vision of target',100,2,5),
(17096,111521,'Does not affect Epic targets',100,2,6),
(17097,10111521,'Blurs vision of targets in Area of Effect',100,1,0),
(17098,10111521,'10% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(17099,10111521,'Blurs vision of target',100,2,2),
(17100,10111521,'Stuns target',100,2,3),
(17101,10111521,'Throws target back',100,2,4),
(17102,10111521,'Does not affect Epic targets',100,2,5),
(17103,10111521,'Interrupts targets in Area of Effect',100,1,6),
(17104,159191,'Applies Sanguine Imbued when Equipped.',100,0,0),
(17105,159191,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(17106,159191,'Inflicts 76 heat damage on target',100,2,2),
(17107,159191,'Cannot be modified except by direct means',100,2,3),
(17108,10159191,'Applies Sanguine Imbued when Equipped.',100,0,0),
(17109,10159191,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(17110,10159191,'Inflicts 76 heat damage on target',100,2,2),
(17111,10159191,'Cannot be modified except by direct means',100,2,3),
(17112,116255,'Summons a pet Illusion Ally',100,1,0),
(17113,10116255,'Summons a pet Illusion Ally',100,1,0),
(17114,114777,'Feigns Death with 92% chance of success',100,1,0),
(17115,10114777,'Feigns Death with 92% chance of success',100,1,0),
(17116,117281,'Inflicts 1165 - 1933 melee damage on target',100,1,0),
(17117,117281,'Decreases Damage Per Second of target by 8.8',100,1,1),
(17118,117281,'Decreases Attack Speed of target by 6.8',100,1,2),
(17119,10117281,'Inflicts 918 - 1410 melee damage on target',100,1,0),
(17120,10117281,'Decreases Damage Per Second of target by 8.8',100,1,1),
(17121,10117281,'Decreases Attack Speed of target by 6.8',100,1,2),
(17122,47404,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(17123,47404,'This potion will grant you the illusion of being a Sul'' Dal citizen!',100,1,1),
(17124,10047404,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(17125,10047404,'This potion will grant you the illusion of being a Sul'' Dal citizen!',100,1,1),
(17126,113787,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(17127,113787,'Heals target for 771 - 942',100,2,1),
(17128,10113787,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(17129,10113787,'Heals target for 410 - 499',100,2,1),
(17130,101230,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(17131,101230,'Increases Attack Speed of caster by 21.0',100,130,1),
(17132,101230,'Increases Ranged, Piercing, Crushing and Slashing of caster by 39.0',100,130,2),
(17133,101230,'Dazes target',100,1,3),
(17134,101230,'If Target is not Epic',100,2,4),
(17135,101230,'Inflicts 6701 - 10465 cold damage on target',100,1,5),
(17136,101230,'Resistibility increases against targets higher than level 111.',100,1,6),
(17137,10101230,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(17138,10101230,'Increases Attack Speed of caster by 21.0',100,130,1),
(17139,10101230,'Increases Ranged, Piercing, Crushing and Slashing of caster by 39.0',100,130,2),
(17140,10101230,'Dazes target',100,1,3),
(17141,10101230,'If Target is not Epic',100,2,4),
(17142,10101230,'Inflicts 4982 - 8002 cold damage on target',100,1,5),
(17143,10101230,'Resistibility increases against targets higher than level 111.',100,1,6),
(17144,107064,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(17145,107064,'Inflicts 1227 - 2045 divine damage on target',100,2,1),
(17146,107064,'Inflicts 1227 - 2045 divine damage on target',100,2,2),
(17147,107064,'If target is undead',100,3,3),
(17148,10107064,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(17149,10107064,'Inflicts 1612 - 2687 divine damage on target',100,2,1),
(17150,136771,'When Equipped:',100,0,0),
(17151,136771,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(17152,10136771,'When Equipped:',100,0,0),
(17153,10136771,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(17154,123785,'Decreases Mitigation of target vs noxious damage by 2640',100,1,0),
(17155,123785,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(17156,123785,'Slows target by 72.3%',100,2,2),
(17157,123785,'5% chance to dispel when target receives hostile action',100,2,3),
(17158,123785,'5% chance to dispel when target takes damage',100,2,4),
(17159,10123785,'Decreases Mitigation of target vs noxious damage by 2640',100,1,0),
(17160,10123785,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(17161,10123785,'Slows target by 72.3%',100,2,2),
(17162,10123785,'5% chance to dispel when target receives hostile action',100,2,3),
(17163,10123785,'5% chance to dispel when target takes damage',100,2,4),
(17164,83743,'When Equipped:',100,0,0),
(17165,83743,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17166,83743,'Inflicts 87 - 107 mental damage on target',100,2,2),
(17167,83743,'Cannot be modified except by direct means',100,2,3),
(17168,10083743,'When Equipped:',100,0,0),
(17169,10083743,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17170,10083743,'Inflicts 87 - 107 mental damage on target',100,2,2),
(17171,10083743,'Cannot be modified except by direct means',100,2,3),
(17172,71535,'When Equipped:',100,0,0),
(17173,71535,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17174,71535,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(17175,71535,'Cannot be modified except by direct means',100,2,3),
(17176,10071535,'When Equipped:',100,0,0),
(17177,10071535,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17178,10071535,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(17179,10071535,'Cannot be modified except by direct means',100,2,3),
(17180,52805,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(17181,52805,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(17182,52805,'Inflicts 123 heat damage on target',100,2,2),
(17183,52805,'Cannot be modified except by direct means',100,2,3),
(17184,10052805,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(17185,10052805,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(17186,10052805,'Inflicts 123 heat damage on target',100,2,2),
(17187,10052805,'Cannot be modified except by direct means',100,2,3),
(17188,116726,'Inflicts 3103 - 4499 melee damage on target',100,1,0),
(17189,10116726,'Inflicts 2066 - 3166 melee damage on target',100,1,0),
(17190,103370,'Decreases power of target by 311 instantly and every 6 seconds',100,1,0),
(17191,103370,'Inflicts 2222 - 2497 mental damage on target',100,1,1),
(17192,103370,'Inflicts 1239 - 1515 mental damage on target every 6 seconds',100,1,2),
(17193,103370,'Increases power of caster by 303',100,1,3),
(17194,10103370,'Decreases power of target by 245 instantly and every 6 seconds',100,1,0),
(17195,10103370,'Inflicts 1371 - 1588 mental damage on target',100,1,1),
(17196,10103370,'Inflicts 977 - 1194 mental damage on target every 6 seconds',100,1,2),
(17197,10103370,'Increases power of caster by 303',100,1,3),
(17198,80759,'When Equipped:',100,0,0),
(17199,80759,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17200,80759,'Decreases Threat to target by 517 ',100,2,2),
(17201,80759,'Must be flanking or behind',100,3,3),
(17202,80759,'Increases Threat to target by 905 ',100,2,4),
(17203,80759,'Must be in front of',100,3,5),
(17204,80759,'Inflicts 290 - 538 magic damage on target',100,2,6),
(17205,80759,'Cannot be modified except by direct means',100,2,7),
(17206,10080759,'When Equipped:',100,0,0),
(17207,10080759,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17208,10080759,'Inflicts 290 - 538 magic damage on target',100,2,2),
(17209,10080759,'Cannot be modified except by direct means',100,2,3),
(17210,109681,'Inflicts 1484 - 1595 cold damage on target',100,1,0),
(17211,109681,'Inflicts 501 - 612 cold damage on target every 3 seconds',100,1,1),
(17212,10109681,'Inflicts 790 - 877 cold damage on target',100,1,0),
(17213,10109681,'Inflicts 395 - 483 cold damage on target every 3 seconds',100,1,1),
(17214,37222,'Increases WIS of target by 13.2',100,0,0),
(17215,37222,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(17216,102212,'Increases Max Health of group members (AE) by 92.2',100,1,0),
(17217,10102212,'Increases Max Health of group members (AE) by 92.2',100,1,0),
(17218,124656,'Inflicts 3175 - 3808 cold damage on target encounter',100,1,0),
(17219,124656,'Decreases Piercing, Slashing and Crushing of target encounter by 17.1',100,1,1),
(17220,10124656,'Inflicts 2376 - 2874 cold damage on target encounter',100,1,0),
(17221,10124656,'Decreases Piercing, Slashing and Crushing of target encounter by 17.1',100,1,1),
(17222,82734,'When Equipped:',100,0,0),
(17223,82734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17224,82734,'Inflicts 189 - 352 magic damage on target',100,2,2),
(17225,82734,'Cannot be modified except by direct means',100,2,3),
(17226,10082734,'When Equipped:',100,0,0),
(17227,10082734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17228,10082734,'Inflicts 189 - 352 magic damage on target',100,2,2),
(17229,10082734,'Cannot be modified except by direct means',100,2,3),
(17230,108173,'Inflicts 6589 - 10280 melee damage on target',100,1,0),
(17231,108173,'You must be sneaking to use this ability.',100,1,1),
(17232,108173,'Must be flanking or behind',100,1,2),
(17233,10108173,'Inflicts 3309 - 5227 melee damage on target',100,1,0),
(17234,10108173,'You must be sneaking to use this ability.',100,1,1),
(17235,10108173,'Must be flanking or behind',100,1,2),
(17236,106465,'Increases Multi Attack Chance of raid and group members (AE) by 16.8',100,1,0),
(17237,10106465,'Increases Multi Attack Chance of raid and group members (AE) by 16.8',100,1,0),
(17238,159086,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(17239,159086,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(17240,159086,'Inflicts 61 heat damage on target',100,2,2),
(17241,159086,'Cannot be modified except by direct means',100,2,3),
(17242,10159086,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(17243,10159086,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(17244,10159086,'Inflicts 61 heat damage on target',100,2,2),
(17245,10159086,'Cannot be modified except by direct means',100,2,3),
(17246,37522,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(17247,105325,'Inflicts 676 - 1122 melee damage on target',100,1,0),
(17248,105325,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 176',100,1,1),
(17249,105325,'Must be flanking or behind',100,1,2),
(17250,10105325,'Inflicts 533 - 884 melee damage on target',100,1,0),
(17251,10105325,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 176',100,1,1),
(17252,10105325,'Must be flanking or behind',100,1,2),
(17253,112046,'Roots target',100,1,0),
(17254,112046,'Stifles target',100,1,1),
(17255,112046,'If Target is not Epic',100,2,2),
(17256,112046,'20% chance to dispel when target takes damage',100,1,3),
(17257,112046,'Does not affect Epic targets',100,1,4),
(17258,112046,'Resistibility increases against targets higher than level 106.',100,1,5),
(17259,10112046,'Roots target',100,1,0),
(17260,10112046,'Stifles target',100,1,1),
(17261,10112046,'If Target is not Epic',100,2,2),
(17262,10112046,'20% chance to dispel when target takes damage',100,1,3),
(17263,10112046,'Does not affect Epic targets',100,1,4),
(17264,10112046,'Resistibility increases against targets higher than level 106.',100,1,5),
(17265,105683,'Decreases Damage Per Second of target by 35.5',100,1,0),
(17266,105683,'Inflicts 3359 - 4924 melee damage on target',100,1,1),
(17267,105683,'Must be flanking or behind',100,1,2),
(17268,10105683,'Decreases Damage Per Second of target by 35.5',100,1,0),
(17269,10105683,'Inflicts 2268 - 3501 melee damage on target',100,1,1),
(17270,10105683,'Must be flanking or behind',100,1,2),
(17271,100358,'Increases Max Health of target by 572.6',100,1,0),
(17272,100358,'Increases Crushing, Piercing, Slashing and Ranged of target by 8.3',100,1,1),
(17273,10100358,'Increases Max Health of target by 572.6',100,1,0),
(17274,10100358,'Increases Crushing, Piercing, Slashing and Ranged of target by 8.3',100,1,1),
(17275,111367,'Inflicts 1022 - 1703 disease damage on target',100,1,0),
(17276,111367,'Heals caster for 340 - 566',100,1,1),
(17277,10111367,'Inflicts 842 - 1271 disease damage on target',100,1,0),
(17278,10111367,'Heals caster for 183 - 306',100,1,1),
(17279,80182,'When Equipped:',100,0,0),
(17280,80182,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17281,80182,'Decreases Threat to target by 801 ',100,2,2),
(17282,80182,'Must be flanking or behind',100,3,3),
(17283,80182,'Increases Threat to target by 1,261 ',100,2,4),
(17284,80182,'Must be in front of',100,3,5),
(17285,80182,'Inflicts 333 - 619 magic damage on target',100,2,6),
(17286,80182,'Cannot be modified except by direct means',100,2,7),
(17287,10080182,'When Equipped:',100,0,0),
(17288,10080182,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17289,10080182,'Inflicts 333 - 619 magic damage on target',100,2,2),
(17290,10080182,'Cannot be modified except by direct means',100,2,3),
(17291,41681,'When Equipped:',100,0,0),
(17292,41681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17293,41681,'Inflicts 272 - 505 magic damage on target',100,2,2),
(17294,41681,'Cannot be modified except by direct means',100,2,3),
(17295,10041681,'When Equipped:',100,0,0),
(17296,10041681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17297,10041681,'Inflicts 272 - 505 magic damage on target',100,2,2),
(17298,10041681,'Cannot be modified except by direct means',100,2,3),
(17299,106427,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(17300,106427,'Inflicts 2665 - 3184 mental damage on target',100,2,1),
(17301,106427,'Grants a total of 3 triggers of the spell.',100,2,2),
(17302,10106427,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(17303,10106427,'Inflicts 1974 - 2383 mental damage on target',100,2,1),
(17304,10106427,'Grants a total of 3 triggers of the spell.',100,2,2),
(17305,111959,'Inflicts 1235 - 1510 disease damage on target',100,1,0),
(17306,111959,'Decreases Mitigation of target vs noxious damage by 434',100,1,1),
(17307,10111959,'Inflicts 1229 - 1415 disease damage on target',100,1,0),
(17308,10111959,'Decreases Mitigation of target vs noxious damage by 434',100,1,1),
(17309,103675,'Interrupts target',100,1,0),
(17310,103675,'Inflicts 1525 - 2529 melee damage on target',100,1,1),
(17311,103675,'Must be flanking or behind',100,1,2),
(17312,10103675,'Interrupts target',100,1,0),
(17313,10103675,'Inflicts 1196 - 1723 melee damage on target',100,1,1),
(17314,10103675,'Must be flanking or behind',100,1,2),
(17315,71481,'When Equipped:',100,0,0),
(17316,71481,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17317,71481,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(17318,71481,'Cannot be modified except by direct means',100,2,3),
(17319,10071481,'When Equipped:',100,0,0),
(17320,10071481,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17321,10071481,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(17322,10071481,'Cannot be modified except by direct means',100,2,3),
(17323,117340,'Roots target',100,1,0),
(17324,117340,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(17325,117340,'Slows target by 40.1%',100,2,2),
(17326,117340,'5% chance to dispel when target receives hostile action',100,2,3),
(17327,117340,'5% chance to dispel when target takes damage',100,2,4),
(17328,117340,'15% chance to dispel when target takes damage',100,1,5),
(17329,117340,'Does not affect Epic targets',100,1,6),
(17330,117340,'Resistibility increases against targets higher than level 90.',100,1,7),
(17331,10117340,'Roots target',100,1,0),
(17332,10117340,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(17333,10117340,'Slows target by 40.1%',100,2,2),
(17334,10117340,'10% chance to dispel when target receives hostile action',100,2,3),
(17335,10117340,'10% chance to dispel when target takes damage',100,2,4),
(17336,10117340,'15% chance to dispel when target takes damage',100,1,5),
(17337,10117340,'Does not affect Epic targets',100,1,6),
(17338,10117340,'Resistibility increases against targets higher than level 90.',100,1,7),
(17339,112697,'Increases Parry of group members (AE) by 55.6',100,1,0),
(17340,10112697,'Increases Parry of group members (AE) by 55.6',100,1,0),
(17341,105902,'Inflicts 2626 - 3710 ranged damage on target',100,1,0),
(17342,105902,'Inflicts 1643 - 2727 ranged damage on target',100,1,1),
(17343,105902,'If weapon equipped in Ranged',100,1,2),
(17344,10105902,'Inflicts 1366 - 2006 ranged damage on target',100,1,0),
(17345,10105902,'Inflicts 971 - 1612 ranged damage on target',100,1,1),
(17346,10105902,'If weapon equipped in Ranged',100,1,2),
(17347,119994,'Increases Threat to target by 3,613 - 4,109 ',100,1,0),
(17348,10119994,'Prevents target from changing targets',100,1,0),
(17349,10119994,'Forces target to change their selected target to caster.',100,1,1),
(17350,123182,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(17351,123182,'Reduces physical damage done to caster by 5%',100,1,1),
(17352,123182,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(17353,123182,'Increases Aggression of caster by 17.1',100,1,3),
(17354,123182,'Increases Defense and Parry of caster by 34.1',100,1,4),
(17355,123182,'Increases Mitigation of caster vs elemental damage by 2226',100,1,5),
(17356,123182,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(17357,10123182,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(17358,10123182,'Reduces physical damage done to caster by 5%',100,1,1),
(17359,10123182,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(17360,10123182,'Increases Aggression of caster by 17.1',100,1,3),
(17361,10123182,'Increases Defense and Parry of caster by 34.1',100,1,4),
(17362,10123182,'Increases Mitigation of caster vs elemental damage by 2226',100,1,5),
(17363,10123182,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(17364,118771,'Increases INT and WIS of group members (AE) by 85.4',100,1,0),
(17365,118771,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 250',100,1,1),
(17366,10118771,'Increases INT and WIS of group members (AE) by 85.4',100,1,0),
(17367,10118771,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 250',100,1,1),
(17368,103290,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(17369,103290,'If Fighter',100,2,1),
(17370,103290,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(17371,103290,'Increases power of target by 22 instantly and every 4 seconds',100,2,3),
(17372,103290,'Increases power of caster by 22 instantly and every 4 seconds',100,2,4),
(17373,10103290,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(17374,10103290,'Increases power of target by 22 instantly and every 4 seconds',100,2,1),
(17375,10103290,'Increases power of caster by 22 instantly and every 4 seconds',100,2,2),
(17376,48193,'Applies Spirit of the Cobra when Activated.  Lasts for 30 minutes.',100,0,0),
(17377,48193,'Shapechanges caster into a cobra',100,1,1),
(17378,48193,'Increases Out-of-Combat Health Regeneration of caster by 102.0',100,1,2),
(17379,48193,'This effect suspends during combat',100,1,3),
(17380,48193,'Only affects targets level 49 and above',100,1,4),
(17381,10048193,'Applies Spirit of the Cobra when Activated.  Lasts for 30 minutes.',100,0,0),
(17382,10048193,'Shapechanges caster into a cobra',100,1,1),
(17383,10048193,'Increases Out-of-Combat Health Regeneration of caster by 102.0',100,1,2),
(17384,10048193,'This effect suspends during combat',100,1,3),
(17385,10048193,'Only affects targets level 49 and above',100,1,4),
(17386,157962,'When Equipped:',100,0,0),
(17387,157962,'On a damage spell hit this spell may cast Divine Affirmation on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(17388,157962,'Inflicts 523 divine damage on target',100,2,2),
(17389,157962,'Cannot be modified except by direct means',100,2,3),
(17390,10157962,'When Equipped:',100,0,0),
(17391,10157962,'On a damage spell hit this spell may cast Divine Affirmation on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(17392,10157962,'Inflicts 523 divine damage on target',100,2,2),
(17393,10157962,'Cannot be modified except by direct means',100,2,3),
(17394,74738,'When Equipped:',100,0,0),
(17395,74738,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17396,74738,'Inflicts 359 - 539 magic damage on target',100,2,2),
(17397,74738,'Cannot be modified except by direct means',100,2,3),
(17398,10074738,'When Equipped:',100,0,0),
(17399,10074738,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17400,10074738,'Inflicts 359 - 539 magic damage on target',100,2,2),
(17401,10074738,'Cannot be modified except by direct means',100,2,3),
(17402,117127,'Inflicts 1156 - 1386 heat damage on target',100,1,0),
(17403,117127,'Inflicts 330 - 404 heat damage on target every 4 seconds',100,1,1),
(17404,117127,'Decreases Mitigation of target vs arcane damage by 352',100,1,2),
(17405,10117127,'Inflicts 655 - 713 heat damage on target',100,1,0),
(17406,10117127,'Inflicts 260 - 318 heat damage on target every 4 seconds',100,1,1),
(17407,10117127,'Decreases Mitigation of target vs arcane damage by 352',100,1,2),
(17408,24253,'Adds Cyclops (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(17409,10024253,'Adds Cyclops (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(17410,89600,'When Equipped:',100,0,0),
(17411,89600,'On a melee hit this spell may cast Ire of Shadow on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17412,89600,'Inflicts 1146 mental damage on target',100,2,2),
(17413,89600,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,3),
(17414,89600,'Increases Multi Attack Chance of caster by 10.0',100,2,4),
(17415,89600,'Cannot be modified except by direct means',100,2,5),
(17416,89600,'Cannot be modified except by direct means',100,1,6),
(17417,10089600,'When Equipped:',100,0,0),
(17418,10089600,'On a melee hit this spell may cast Ire of Shadow on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17419,10089600,'Inflicts 1146 mental damage on target',100,2,2),
(17420,10089600,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,3),
(17421,10089600,'Increases Multi Attack Chance of caster by 10.0',100,2,4),
(17422,10089600,'Cannot be modified except by direct means',100,2,5),
(17423,10089600,'Cannot be modified except by direct means',100,1,6),
(17424,120949,'Inflicts 1909 - 3095 ranged damage on target',100,1,0),
(17425,120949,'If weapon equipped in Ranged',100,1,1),
(17426,120949,'Must be behind',100,1,2),
(17427,10120949,'Inflicts 1127 - 1643 ranged damage on target',100,1,0),
(17428,10120949,'If weapon equipped in Ranged',100,1,1),
(17429,10120949,'Must be behind',100,1,2),
(17430,103057,'Inflicts 740 magic damage on target',100,1,0),
(17431,103057,'Inflicts 185 magic damage on target every 4 seconds',100,1,1),
(17432,103057,'Increases power of caster by 22 instantly and every 4 seconds',100,1,2),
(17433,10103057,'Inflicts 540 magic damage on target',100,1,0),
(17434,10103057,'Inflicts 146 magic damage on target every 4 seconds',100,1,1),
(17435,10103057,'Increases power of caster by 22 instantly and every 4 seconds',100,1,2),
(17436,121608,'Roots targets in Area of Effect',100,1,0),
(17437,121608,'Decreases Threat to targets in Area of Effect by 721 ',100,1,1),
(17438,121608,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(17439,10121608,'Roots targets in Area of Effect',100,1,0),
(17440,10121608,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,1),
(17441,146167,'When Equipped:',100,0,0),
(17442,146167,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17443,146167,'Summons a limited pet to aid the caster',100,2,2),
(17444,146167,'Cannot be modified except by direct means',100,2,3),
(17445,146167,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(17446,146167,'Summons a limited pet to aid the caster',100,2,5),
(17447,146167,'Cannot be modified except by direct means',100,2,6),
(17448,10146167,'When Equipped:',100,0,0),
(17449,10146167,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17450,10146167,'Summons a limited pet to aid the caster',100,2,2),
(17451,10146167,'Cannot be modified except by direct means',100,2,3),
(17452,10146167,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(17453,10146167,'Summons a limited pet to aid the caster',100,2,5),
(17454,10146167,'Cannot be modified except by direct means',100,2,6),
(17455,108590,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(17456,108590,'Increases WIS, AGI, INT and STR of group members (AE) by 35.7',100,2,1),
(17457,108590,'Increases STA of group members (AE) by 71.4',100,2,2),
(17458,108590,'Adds 1.0% to base avoidance.',100,2,3),
(17459,108590,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 91',100,2,4),
(17460,108590,'Heals group members (AE) for 281 - 343 instantly and every 3 seconds',100,2,5),
(17461,108590,'Increases Mitigation of group members (AE) vs arcane damage by 91',100,2,6),
(17462,10108590,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(17463,10108590,'Increases WIS, AGI, INT and STR of group members (AE) by 35.7',100,2,1),
(17464,10108590,'Increases STA of group members (AE) by 71.4',100,2,2),
(17465,10108590,'Adds 1.0% to base avoidance.',100,2,3),
(17466,10108590,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 91',100,2,4),
(17467,10108590,'Heals group members (AE) for 144 - 176 instantly and every 3 seconds',100,2,5),
(17468,10108590,'Increases Mitigation of group members (AE) vs arcane damage by 91',100,2,6),
(17469,115508,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(17470,115508,'Increases Mitigation of group members (AE) vs noxious damage by 770',100,1,1),
(17471,10115508,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(17472,10115508,'Increases Mitigation of group members (AE) vs noxious damage by 770',100,1,1),
(17473,40829,'When Equipped:',100,0,0),
(17474,40829,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17475,40829,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(17476,40829,'Heals caster for 635 - 952',100,2,3),
(17477,40829,'Cannot be modified except by direct means',100,2,4),
(17478,40829,'Cannot be modified except by direct means',100,1,5),
(17479,10040829,'When Equipped:',100,0,0),
(17480,10040829,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17481,10040829,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(17482,10040829,'Heals caster for 743 - 1114',100,2,3),
(17483,10040829,'Cannot be modified except by direct means',100,2,4),
(17484,10040829,'Cannot be modified except by direct means',100,1,5),
(17485,122690,'Heals target for 426 - 520',100,1,0),
(17486,122690,'Increases Max Health of target by 12.6',100,1,1),
(17487,10122690,'Heals target for 238 - 291',100,1,0),
(17488,10122690,'Increases Max Health of target by 12.6',100,1,1),
(17489,113600,'Summons a limited pet to aid the caster',100,1,0),
(17490,10113600,'Summons a limited pet to aid the caster',100,1,0),
(17491,80804,'When Equipped:',100,0,0),
(17492,80804,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17493,80804,'Decreases Threat to target by 672 ',100,2,2),
(17494,80804,'Must be flanking or behind',100,3,3),
(17495,80804,'Increases Threat to target by 1,132 ',100,2,4),
(17496,80804,'Must be in front of',100,3,5),
(17497,80804,'Inflicts 369 - 686 magic damage on target',100,2,6),
(17498,80804,'Cannot be modified except by direct means',100,2,7),
(17499,10080804,'When Equipped:',100,0,0),
(17500,10080804,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17501,10080804,'Inflicts 369 - 686 magic damage on target',100,2,2),
(17502,10080804,'Cannot be modified except by direct means',100,2,3),
(17503,71752,'When Equipped:',100,0,0),
(17504,71752,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17505,71752,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(17506,71752,'Cannot be modified except by direct means',100,2,3),
(17507,10071752,'When Equipped:',100,0,0),
(17508,10071752,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17509,10071752,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(17510,10071752,'Cannot be modified except by direct means',100,2,3),
(17511,73163,'When Equipped:',100,0,0),
(17512,73163,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17513,73163,'Inflicts 109 - 182 magic damage on target',100,2,2),
(17514,73163,'Inflicts 109 - 182 divine damage on target',100,2,3),
(17515,73163,'Inflicts 109 - 182 piercing damage on target',100,2,4),
(17516,73163,'Must not be engaged in pvp combat',100,2,5),
(17517,73163,'Cannot be modified except by direct means',100,2,6),
(17518,73163,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(17519,73163,'Inflicts 109 - 182 magic damage on target',100,2,8),
(17520,73163,'Inflicts 109 - 182 divine damage on target',100,2,9),
(17521,73163,'Inflicts 109 - 182 piercing damage on target',100,2,10),
(17522,73163,'Must not be engaged in pvp combat',100,2,11),
(17523,73163,'Cannot be modified except by direct means',100,2,12),
(17524,73163,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(17525,73163,'Inflicts 109 - 182 magic damage on target',100,2,14),
(17526,73163,'Inflicts 109 - 182 divine damage on target',100,2,15),
(17527,73163,'Inflicts 109 - 182 piercing damage on target',100,2,16),
(17528,73163,'Must not be engaged in pvp combat',100,2,17),
(17529,73163,'Cannot be modified except by direct means',100,2,18),
(17530,73163,'Must not be engaged in pvp combat',100,1,19),
(17531,10073163,'When Equipped:',100,0,0),
(17532,10073163,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17533,10073163,'Inflicts 109 - 182 magic damage on target',100,2,2),
(17534,10073163,'Inflicts 109 - 182 divine damage on target',100,2,3),
(17535,10073163,'Inflicts 109 - 182 piercing damage on target',100,2,4),
(17536,10073163,'Must not be engaged in pvp combat',100,2,5),
(17537,10073163,'Cannot be modified except by direct means',100,2,6),
(17538,10073163,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(17539,10073163,'Inflicts 109 - 182 magic damage on target',100,2,8),
(17540,10073163,'Inflicts 109 - 182 divine damage on target',100,2,9),
(17541,10073163,'Inflicts 109 - 182 piercing damage on target',100,2,10),
(17542,10073163,'Must not be engaged in pvp combat',100,2,11),
(17543,10073163,'Cannot be modified except by direct means',100,2,12),
(17544,10073163,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(17545,10073163,'Inflicts 109 - 182 magic damage on target',100,2,14),
(17546,10073163,'Inflicts 109 - 182 divine damage on target',100,2,15),
(17547,10073163,'Inflicts 109 - 182 piercing damage on target',100,2,16),
(17548,10073163,'Must not be engaged in pvp combat',100,2,17),
(17549,10073163,'Cannot be modified except by direct means',100,2,18),
(17550,10073163,'Must not be engaged in pvp combat',100,1,19),
(17551,141888,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(17552,141888,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(17553,141888,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(17554,141888,'Cannot be modified except by direct means',100,2,3),
(17555,10141888,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(17556,10141888,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(17557,10141888,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(17558,10141888,'Cannot be modified except by direct means',100,2,3),
(17559,108927,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(17560,108927,'Inflicts 116 heat damage on target',100,2,1),
(17561,10108927,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(17562,10108927,'Inflicts 95 heat damage on target',100,2,1),
(17563,108148,'Inflicts 2156 - 2929 melee damage on target',100,1,0),
(17564,108148,'You must be sneaking to use this ability.',100,1,1),
(17565,108148,'Must be flanking or behind',100,1,2),
(17566,10108148,'Inflicts 1004 - 1406 melee damage on target',100,1,0),
(17567,10108148,'You must be sneaking to use this ability.',100,1,1),
(17568,10108148,'Must be flanking or behind',100,1,2),
(17569,176647,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(17570,176647,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 351',100,1,1),
(17571,176647,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(17572,10176647,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(17573,10176647,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 351',100,1,1),
(17574,10176647,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(17575,124524,'Dispels 18 levels of physical hostile effects on caster',100,129,0),
(17576,124524,'Dispels 18 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(17577,10124524,'Dispels 18 levels of physical hostile effects on caster',100,129,0),
(17578,10124524,'Dispels 18 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(17579,146512,'When Equipped:',100,0,0),
(17580,146512,'On a spell cast this spell may cast Wrath of the Hydromancer on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17581,146512,'Increases the base damage of melee damage and hostile spells cast by 10%.',100,2,2),
(17582,146512,'Cannot be modified except by direct means',100,2,3),
(17583,10146512,'When Equipped:',100,0,0),
(17584,10146512,'On a spell cast this spell may cast Wrath of the Hydromancer on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17585,10146512,'Increases the base damage of melee damage and hostile spells cast by 10%.',100,2,2),
(17586,10146512,'Cannot be modified except by direct means',100,2,3),
(17587,116446,'Inflicts 1329 disease damage on target',100,1,0),
(17588,116446,'Inflicts 347 disease damage on target every 4 seconds',100,1,1),
(17589,116446,'Inflicts 347 disease damage on target instantly and every 4 seconds',100,1,2),
(17590,116446,'If target is nightblood',100,2,3),
(17591,116446,'Inflicts 347 disease damage on target instantly and every 4 seconds',100,1,4),
(17592,116446,'If target is shadowed folk',100,2,5),
(17593,10116446,'Inflicts 668 disease damage on target',100,1,0),
(17594,10116446,'Inflicts 273 disease damage on target every 4 seconds',100,1,1),
(17595,181045,'When Equipped:',100,0,0),
(17596,181045,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(17597,181045,'Increases power of caster by 164',100,2,2),
(17598,181045,'Cannot be modified except by direct means',100,2,3),
(17599,10181045,'When Equipped:',100,0,0),
(17600,10181045,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(17601,10181045,'Increases power of caster by 164',100,2,2),
(17602,10181045,'Cannot be modified except by direct means',100,2,3),
(17603,37181,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(17604,82846,'When Equipped:',100,0,0),
(17605,82846,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17606,82846,'Decreases Threat to target by 833 ',100,2,2),
(17607,82846,'Must be flanking or behind',100,3,3),
(17608,82846,'Increases Threat to target by 1,293 ',100,2,4),
(17609,82846,'Must be in front of',100,3,5),
(17610,82846,'Inflicts 449 - 834 magic damage on target',100,2,6),
(17611,82846,'Cannot be modified except by direct means',100,2,7),
(17612,10082846,'When Equipped:',100,0,0),
(17613,10082846,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(17614,10082846,'Inflicts 449 - 834 magic damage on target',100,2,2),
(17615,10082846,'Cannot be modified except by direct means',100,2,3),
(17616,100526,'Heals group members (AE) for 389 - 475',100,1,0),
(17617,10100526,'Heals group members (AE) for 355 - 433',100,1,0),
(17618,121151,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(17619,121151,'Increases Hate Gain of caster by 5.0%',100,2,1),
(17620,121151,'Increases Attack Speed of caster by 31.7',100,2,2),
(17621,121151,'Dispelled when target takes damage',100,2,3),
(17622,10121151,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(17623,10121151,'Increases Attack Speed of caster by 31.7',100,2,1),
(17624,10121151,'Dispelled when target takes damage',100,2,2),
(17625,103532,'Charms target',100,1,0),
(17626,103532,'If outside an arena',100,1,1),
(17627,103532,'Certain enemies cannot be charmed',100,1,2),
(17628,103532,'Does not affect Epic targets',100,1,3),
(17629,10103532,'Mesmerizes target',100,1,0),
(17630,10103532,'Prevents AOE (except when direct) ',100,1,1),
(17631,10103532,'Dispelled when target takes damage',100,1,2),
(17632,10103532,'If outside an arena',100,1,3),
(17633,10103532,'Certain enemies cannot be charmed',100,1,4),
(17634,10103532,'Does not affect Epic targets',100,1,5),
(17635,10103532,'Resistibility increases against targets higher than level 113.',100,1,6),
(17636,109506,'Inflicts 1400 - 1492 disease damage on target',100,1,0),
(17637,109506,'Inflicts 417 - 510 disease damage on target every 4 seconds',100,1,1),
(17638,109506,'Decreases Attack Speed of target by 8.2',100,1,2),
(17639,10109506,'Inflicts 723 - 797 disease damage on target',100,1,0),
(17640,10109506,'Inflicts 329 - 402 disease damage on target every 4 seconds',100,1,1),
(17641,10109506,'Decreases Attack Speed of target by 8.2',100,1,2),
(17642,113336,'Inflicts 1205 - 1473 divine damage on target encounter',100,1,0),
(17643,113336,'Interrupts target encounter',100,1,1),
(17644,10113336,'Inflicts 946 - 1127 divine damage on target encounter',100,1,0),
(17645,10113336,'Interrupts target encounter',100,1,1),
(17646,174279,'When Equipped:',100,0,0),
(17647,174279,'On a healing spell cast this spell may cast Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17648,174279,'When any damage is received this spell will cast Reflexive Restoration on target.  ',100,2,2),
(17649,174279,'Heals caster for 378',100,3,3),
(17650,174279,'Cannot be modified except by direct means',100,3,4),
(17651,174279,'Grants a total of 3 triggers of the spell.',100,3,5),
(17652,174279,'Cannot be modified except by direct means',100,2,6),
(17653,10174279,'When Equipped:',100,0,0),
(17654,10174279,'On a healing spell cast this spell may cast Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17655,10174279,'When any damage is received this spell will cast Reflexive Restoration on target.  ',100,2,2),
(17656,10174279,'Heals caster for 246',100,3,3),
(17657,10174279,'Cannot be modified except by direct means',100,3,4),
(17658,10174279,'Grants a total of 3 triggers of the spell.',100,3,5),
(17659,10174279,'Cannot be modified except by direct means',100,2,6),
(17660,74952,'When Equipped:',100,0,0),
(17661,74952,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17662,74952,'Inflicts 266 - 400 magic damage on target',100,2,2),
(17663,74952,'Cannot be modified except by direct means',100,2,3),
(17664,10074952,'When Equipped:',100,0,0),
(17665,10074952,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17666,10074952,'Inflicts 266 - 400 magic damage on target',100,2,2),
(17667,10074952,'Cannot be modified except by direct means',100,2,3),
(17668,120729,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 49.6',100,1,0),
(17669,10120729,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 49.6',100,1,0),
(17670,100783,'Wards target against 1142 points of all damage',100,1,0),
(17671,10100783,'Wards target against 1441 points of all damage',100,1,0),
(17672,169979,'When Equipped:',100,0,0),
(17673,169979,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17674,169979,'Increases Damage Per Second of caster by 10.0',100,2,2),
(17675,169979,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(17676,169979,'Cannot be modified except by direct means',100,2,4),
(17677,10169979,'When Equipped:',100,0,0),
(17678,10169979,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(17679,10169979,'Increases Damage Per Second of caster by 10.0',100,2,2),
(17680,10169979,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(17681,10169979,'Cannot be modified except by direct means',100,2,4),
(17682,74940,'When Equipped:',100,0,0),
(17683,74940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17684,74940,'Inflicts 49 - 74 magic damage on target',100,2,2),
(17685,74940,'Cannot be modified except by direct means',100,2,3),
(17686,10074940,'When Equipped:',100,0,0),
(17687,10074940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17688,10074940,'Inflicts 49 - 74 magic damage on target',100,2,2),
(17689,10074940,'Cannot be modified except by direct means',100,2,3),
(17690,71594,'When Equipped:',100,0,0),
(17691,71594,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17692,71594,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(17693,71594,'Cannot be modified except by direct means',100,2,3),
(17694,10071594,'When Equipped:',100,0,0),
(17695,10071594,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(17696,10071594,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(17697,10071594,'Cannot be modified except by direct means',100,2,3),
(17698,169112,'When Equipped:',100,0,0),
(17699,169112,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(17700,10169112,'When Equipped:',100,0,0),
(17701,10169112,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(17702,184905,'When Equipped:',100,0,0),
(17703,184905,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(17704,184905,'Increases Threat to target by 3,460 ',100,2,2),
(17705,184905,'Inflicts 1192 mental damage on target',100,2,3),
(17706,184905,'Cannot be modified except by direct means',100,2,4),
(17707,184905,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(17708,184905,'Increases Threat to target by 3,460 ',100,2,6),
(17709,184905,'Inflicts 1192 mental damage on target',100,2,7),
(17710,184905,'Cannot be modified except by direct means',100,2,8),
(17711,10184905,'When Equipped:',100,0,0),
(17712,10184905,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(17713,10184905,'Inflicts 1192 mental damage on target',100,2,2),
(17714,10184905,'Cannot be modified except by direct means',100,2,3),
(17715,10184905,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(17716,10184905,'Inflicts 1192 mental damage on target',100,2,5),
(17717,10184905,'Cannot be modified except by direct means',100,2,6),
(17718,115381,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(17719,115381,'Increases Parry of caster by 9.9',100,1,1),
(17720,10115381,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(17721,10115381,'Increases Parry of caster by 9.9',100,1,1),
(17722,107279,'Inflicts 1919 - 2575 ranged damage on target',100,1,0),
(17723,107279,'Inflicts 959 - 1592 ranged damage on target',100,1,1),
(17724,107279,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(17725,107279,'Stuns target',100,2,3),
(17726,107279,'Throws target back',100,2,4),
(17727,107279,'Blurs vision of target',100,2,5),
(17728,107279,'Does not affect Epic targets',100,2,6),
(17729,107279,'If weapon equipped in Ranged',100,1,7),
(17730,10107279,'Inflicts 961 - 1336 ranged damage on target',100,1,0),
(17731,10107279,'Inflicts 567 - 941 ranged damage on target',100,1,1),
(17732,10107279,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(17733,10107279,'Stuns target',100,2,3),
(17734,10107279,'Throws target back',100,2,4),
(17735,10107279,'Blurs vision of target',100,2,5),
(17736,10107279,'Does not affect Epic targets',100,2,6),
(17737,10107279,'If weapon equipped in Ranged',100,1,7),
(17738,104055,'Inflicts 284 - 347 mental damage on target',100,1,0),
(17739,104055,'Inflicts 81 - 99 mental damage on target every 6 seconds',100,1,1),
(17740,104055,'Applies Migraine on termination.',100,1,2),
(17741,104055,'Inflicts 268 - 362 mental damage on target',100,2,3),
(17742,10104055,'Inflicts 266 - 326 mental damage on target',100,1,0),
(17743,10104055,'Inflicts 64 - 78 mental damage on target every 6 seconds',100,1,1),
(17744,10104055,'Applies Migraine on termination.',100,1,2),
(17745,10104055,'Inflicts 219 - 296 mental damage on target',100,2,3),
(17746,122705,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(17747,122705,'Increases Attack Speed of caster by 14.2',100,1,1),
(17748,122705,'Decreases Defense of caster by 4.8',100,1,2),
(17749,122705,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.2',100,1,3),
(17750,10122705,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(17751,10122705,'Increases Attack Speed of caster by 14.2',100,1,1),
(17752,10122705,'Decreases Defense of caster by 4.8',100,1,2),
(17753,10122705,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.2',100,1,3),
(17754,100007,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(17755,100007,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17756,100007,'Inflicts 54 - 90 melee damage on targets in area',100,2,2),
(17757,100007,'Decreases Defense of caster by 1.8',100,1,3),
(17758,100007,'Increases Slashing, Piercing and Crushing of caster by 5.2',100,1,4),
(17759,10100007,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(17760,10100007,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(17761,10100007,'Inflicts 42 - 70 melee damage on targets in area',100,2,2),
(17762,10100007,'Decreases Defense of caster by 1.8',100,1,3),
(17763,10100007,'Increases Slashing, Piercing and Crushing of caster by 5.2',100,1,4),
(17764,104846,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(17765,104846,'If Fighter',100,2,1),
(17766,104846,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(17767,104846,'Increases power of target by 70',100,2,3),
(17768,104846,'Increases power of caster by 70',100,2,4),
(17769,10104846,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(17770,10104846,'Increases power of target by 70',100,2,1),
(17771,10104846,'Increases power of caster by 70',100,2,2),
(17772,118997,'Heals target for 2149 - 2626',100,1,0),
(17773,10118997,'Heals target for 1457 - 1724',100,1,0),
(17774,116586,'Inflicts 703 - 1166 divine damage on target',100,1,0),
(17775,10116586,'Inflicts 554 - 919 divine damage on target',100,1,0),
(17776,106698,'Heals target for 78 - 96',100,1,0),
(17777,10106698,'Heals target for 65 - 80',100,1,0),
(17778,47572,'Applies Potion of Adventuring when Activated.  Lasts for 2 hours.',100,0,0),
(17779,47572,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(17780,47572,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(17781,47572,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(17782,47572,'You can only have one experience potion active at a time.',100,1,4),
(17783,10047572,'Applies Potion of Adventuring when Activated.  Lasts for 2 hours.',100,0,0),
(17784,10047572,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(17785,10047572,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(17786,10047572,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(17787,10047572,'You can only have one experience potion active at a time.',100,1,4),
(17788,123619,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(17789,123619,'Increases Defense of target by 46.4',100,1,1),
(17790,10123619,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(17791,10123619,'Increases Defense of target by 46.4',100,1,1),
(17792,47203,'Applies Elixir of Rejuvenation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(17793,47203,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(17794,10047203,'Applies Elixir of Rejuvenation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(17795,10047203,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(17796,153829,'When Equipped:',100,0,0),
(17797,153829,'When damaged this spell has a 10% chance to cast Champion''s Impedence IV on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(17798,153829,'Increases caster''s chance to block by 12.0%',100,2,2),
(17799,153829,'Must not be engaged in pvp combat',100,2,3),
(17800,153829,'Cannot be modified except by direct means',100,2,4),
(17801,153829,'On a block this spell has a 10% chance to cast Champion''s Impedence IV on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(17802,153829,'Increases caster''s chance to block by 12.0%',100,2,6),
(17803,153829,'Must not be engaged in pvp combat',100,2,7),
(17804,153829,'Cannot be modified except by direct means',100,2,8),
(17805,153829,'Must not be engaged in pvp combat',100,1,9),
(17806,10153829,'When Equipped:',100,0,0),
(17807,10153829,'When damaged this spell has a 10% chance to cast Champion''s Impedence IV on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(17808,10153829,'Increases caster''s chance to block by 12.0%',100,2,2),
(17809,10153829,'Must not be engaged in pvp combat',100,2,3),
(17810,10153829,'Cannot be modified except by direct means',100,2,4),
(17811,10153829,'On a block this spell has a 10% chance to cast Champion''s Impedence IV on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(17812,10153829,'Increases caster''s chance to block by 12.0%',100,2,6),
(17813,10153829,'Must not be engaged in pvp combat',100,2,7),
(17814,10153829,'Cannot be modified except by direct means',100,2,8),
(17815,10153829,'Must not be engaged in pvp combat',100,1,9),
(17816,122294,'Makes targets in Area of Effect afraid',100,1,0),
(17817,122294,'If Target is not Epic',100,2,1),
(17818,122294,'Decreases Threat to targets in Area of Effect by 10,892 ',100,1,2),
(17819,122294,'30% chance to dispel when target takes damage',100,1,3),
(17820,10122294,'Makes targets in Area of Effect afraid',100,1,0),
(17821,10122294,'If Target is not Epic',100,2,1),
(17822,10122294,'Applies Distract.',100,1,2),
(17823,10122294,'Forces target to clear their selected target.',100,2,3),
(17824,10122294,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(17825,10122294,'30% chance to dispel when target takes damage',100,1,5),
(17826,41247,'When Equipped:',100,0,0),
(17827,41247,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(17828,10041247,'When Equipped:',100,0,0),
(17829,10041247,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(17830,118882,'Inflicts 1954 - 2593 melee damage on target',100,1,0),
(17831,118882,'Inflicts 971 - 1611 melee damage on target',100,1,1),
(17832,118882,'Inflicts 971 - 1611 melee damage on target',100,1,2),
(17833,118882,'Inflicts 971 - 1611 melee damage on target',100,1,3),
(17834,118882,'Inflicts 971 - 1611 melee damage on target',100,1,4),
(17835,10118882,'Inflicts 1160 - 1664 melee damage on target',100,1,0),
(17836,10118882,'Inflicts 765 - 1270 melee damage on target',100,1,1),
(17837,10118882,'Inflicts 765 - 1270 melee damage on target',100,1,2),
(17838,10118882,'Inflicts 765 - 1270 melee damage on target',100,1,3),
(17839,10118882,'Inflicts 765 - 1270 melee damage on target',100,1,4),
(17840,119991,'Increases Threat to target by 3,373 - 3,905 ',100,1,0),
(17841,10119991,'Prevents target from changing targets',100,1,0),
(17842,10119991,'Forces target to change their selected target to caster.',100,1,1),
(17843,119927,'Inflicts 2169 - 2432 mental damage on target',100,1,0),
(17844,119927,'Inflicts 395 - 483 mental damage on target every 2.3 seconds',100,1,1),
(17845,119927,'Stifles target',100,1,2),
(17846,119927,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,3),
(17847,119927,'Resistibility increases against targets higher than level 87.',100,1,4),
(17848,10119927,'Inflicts 1330 - 1537 mental damage on target',100,1,0),
(17849,10119927,'Inflicts 312 - 381 mental damage on target every second',100,1,1),
(17850,10119927,'Stifles target',100,1,2),
(17851,10119927,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(17852,10119927,'Resistibility increases against targets higher than level 87.',100,1,4),
(17853,120091,'Inflicts 2354 - 3258 mental damage on target',100,1,0),
(17854,120091,'Inflicts 1371 - 2276 mental damage on target',100,1,1),
(17855,120091,'Stifles target',100,1,2),
(17856,120091,'If Target is not Epic',100,2,3),
(17857,120091,'If weapon equipped in Ranged',100,1,4),
(17858,120091,'Resistibility increases against targets higher than level 120.',100,1,5),
(17859,10120091,'Inflicts 1475 - 2188 mental damage on target',100,1,0),
(17860,10120091,'Inflicts 1081 - 1794 mental damage on target',100,1,1),
(17861,10120091,'Stifles target',100,1,2),
(17862,10120091,'If Target is not Epic',100,2,3),
(17863,10120091,'If weapon equipped in Ranged',100,1,4),
(17864,10120091,'Resistibility increases against targets higher than level 120.',100,1,5),
(17865,110123,'Shapechanges group members (AE) into an earth elemental',100,1,0),
(17866,10110123,'Shapechanges group members (AE) into an earth elemental',100,1,0),
(17867,122013,'Inflicts 1811 - 2902 melee damage on targets in area',100,1,0),
(17868,122013,'Increases Threat to target encounter by 6,048 ',100,1,1),
(17869,10122013,'Inflicts 1355 - 2161 melee damage on targets in area',100,1,0),
(17870,10122013,'Prevents target encounter from changing targets',100,1,1),
(17871,10122013,'Forces target encounter to change their selected target to caster.',100,1,2),
(17872,159386,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(17873,159386,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(17874,159386,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(17875,159386,'Cannot be modified except by direct means',100,2,3),
(17876,10159386,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(17877,10159386,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(17878,10159386,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(17879,10159386,'Cannot be modified except by direct means',100,2,3),
(17880,141974,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(17881,141974,'Decreases Mitigation of target vs physical damage by 234',100,1,1),
(17882,141974,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(17883,10141974,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(17884,10141974,'Decreases Mitigation of target vs physical damage by 234',100,1,1),
(17885,10141974,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(17886,81699,'When Equipped:',100,0,0),
(17887,81699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17888,81699,'Inflicts 149 - 276 magic damage on target',100,2,2),
(17889,81699,'Cannot be modified except by direct means',100,2,3),
(17890,10081699,'When Equipped:',100,0,0),
(17891,10081699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(17892,10081699,'Inflicts 149 - 276 magic damage on target',100,2,2),
(17893,10081699,'Cannot be modified except by direct means',100,2,3),
(17894,111864,'Inflicts 870 - 1616 heat damage on target',100,1,0),
(17895,111864,'Inflicts 145 - 269 heat damage on target every 2 seconds',100,1,1),
(17896,10111864,'Inflicts 699 - 961 heat damage on target',100,1,0),
(17897,10111864,'Inflicts 114 - 212 heat damage on target every 2 seconds',100,1,1),
(17898,122194,'Inflicts 2032 - 2265 cold damage on target',100,1,0),
(17899,122194,'Inflicts 1049 - 1282 cold damage on target every 2 seconds',100,1,1),
(17900,122194,'Inflicts 1049 - 1282 cold damage on target instantly and every 2 seconds',100,1,2),
(17901,122194,'If target is elemental',100,2,3),
(17902,10122194,'Inflicts 1222 - 1405 cold damage on target',100,1,0),
(17903,10122194,'Inflicts 827 - 1011 cold damage on target every 2 seconds',100,1,1),
(17904,123557,'Summons a limited pet to aid the caster',100,1,0),
(17905,10123557,'Summons a limited pet to aid the caster',100,1,0),
(17906,36236,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(17907,36225,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,0),
(17908,36225,'This effect suspends during combat',100,0,1),
(17909,116823,'Decreases Hate Gain of caster by 16.6%',100,1,0),
(17910,10116823,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(17911,10116823,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(17912,10116823,'This effect can only trigger once every 5 seconds.',100,2,2),
(17913,24624,'Adds Poet''s Palace: Brass Artist Table to your Dungeon Maker toolbox',100,0,0),
(17914,10024624,'Adds Poet''s Palace: Brass Artist Table to your Dungeon Maker toolbox',100,0,0),
(17915,109850,'Inflicts 5712 - 8826 melee damage on target',100,1,0),
(17916,109850,'Decreases Parry of target by 94.1',100,1,1),
(17917,109850,'Must be in front of or flanking',100,1,2),
(17918,10109850,'Inflicts 4122 - 6576 melee damage on target',100,1,0),
(17919,10109850,'Decreases Parry of target by 94.1',100,1,1),
(17920,10109850,'Must be in front of or flanking',100,1,2),
(17921,24656,'Adds Popup Text (Green) to your Dungeon Maker toolbox',100,0,0),
(17922,10024656,'Adds Popup Text (Green) to your Dungeon Maker toolbox',100,0,0),
(17923,110984,'Inflicts 11201 - 17939 ranged damage on target',100,1,0),
(17924,110984,'I need to be stealthed!',100,1,1),
(17925,110984,'Requires bow',100,1,2),
(17926,10110984,'Inflicts 4925 - 7912 ranged damage on target',100,1,0),
(17927,10110984,'I need to be stealthed!',100,1,1),
(17928,10110984,'Requires bow',100,1,2),
(17929,120068,'Inflicts 1146 - 1898 mental damage on target',100,1,0),
(17930,120068,'Inflicts 572 - 949 mental damage on target',100,1,1),
(17931,120068,'Stifles target',100,1,2),
(17932,120068,'If Target is not Epic',100,2,3),
(17933,120068,'If weapon equipped in Ranged',100,1,4),
(17934,120068,'Resistibility increases against targets higher than level 73.',100,1,5),
(17935,10120068,'Inflicts 845 - 1142 mental damage on target',100,1,0),
(17936,10120068,'Inflicts 450 - 748 mental damage on target',100,1,1),
(17937,10120068,'Stifles target',100,1,2),
(17938,10120068,'If Target is not Epic',100,2,3),
(17939,10120068,'If weapon equipped in Ranged',100,1,4),
(17940,10120068,'Resistibility increases against targets higher than level 73.',100,1,5),
(17941,110025,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(17942,110025,'Inflicts 500 - 834 disease damage on target',100,2,1),
(17943,110025,'Heals caster for 1.6 - 2.7% of max health',100,2,2),
(17944,110025,'This effect cannot be critically applied.',100,3,3),
(17945,110025,'The healing of this spell cannot be modified except by direct means',100,2,4),
(17946,10110025,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(17947,10110025,'Inflicts 394 - 657 disease damage on target',100,2,1),
(17948,10110025,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(17949,10110025,'This effect cannot be critically applied.',100,3,3),
(17950,10110025,'The healing of this spell cannot be modified except by direct means',100,2,4),
(17951,111814,'Roots target',100,1,0),
(17952,111814,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(17953,111814,'Slows target by 54.1%',100,2,2),
(17954,111814,'5% chance to dispel when target receives hostile action',100,2,3),
(17955,111814,'5% chance to dispel when target takes damage',100,2,4),
(17956,111814,'10% chance to dispel when target receives hostile action',100,1,5),
(17957,111814,'10% chance to dispel when target takes damage',100,1,6),
(17958,111814,'Does not affect Epic targets',100,1,7),
(17959,111814,'Resistibility increases against targets higher than level 48.',100,1,8),
(17960,10111814,'Roots target',100,1,0),
(17961,10111814,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(17962,10111814,'Slows target by 54.1%',100,2,2),
(17963,10111814,'10% chance to dispel when target receives hostile action',100,2,3),
(17964,10111814,'10% chance to dispel when target takes damage',100,2,4),
(17965,10111814,'10% chance to dispel when target receives hostile action',100,1,5),
(17966,10111814,'10% chance to dispel when target takes damage',100,1,6),
(17967,10111814,'Does not affect Epic targets',100,1,7),
(17968,10111814,'Resistibility increases against targets higher than level 48.',100,1,8),
(17969,50780,'When Equipped:',100,0,0),
(17970,50780,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(17971,50780,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(17972,50780,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(17973,50780,'Heals caster for 1185 - 1309',100,2,4),
(17974,50780,'Must not be engaged in pvp combat',100,2,5),
(17975,50780,'Cannot be modified except by direct means',100,2,6),
(17976,50780,'Cannot be modified except by direct means',100,1,7),
(17977,10050780,'When Equipped:',100,0,0),
(17978,10050780,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(17979,10050780,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(17980,10050780,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(17981,10050780,'Heals caster for 1386 - 1532',100,2,4),
(17982,10050780,'Must not be engaged in pvp combat',100,2,5),
(17983,10050780,'Cannot be modified except by direct means',100,2,6),
(17984,10050780,'Cannot be modified except by direct means',100,1,7),
(17985,105363,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(17986,105363,'Inflicts 65 melee damage on target',100,2,1),
(17987,105363,'Interrupts target',100,2,2),
(17988,105363,'Decreases Defense of caster by 3.9',100,1,3),
(17989,105363,'Increases Piercing, Slashing, Ranged and Crushing of caster by 5.8',100,1,4),
(17990,10105363,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(17991,10105363,'Inflicts 51 melee damage on target',100,2,1),
(17992,10105363,'Interrupts target',100,2,2),
(17993,10105363,'Decreases Defense of caster by 3.9',100,1,3),
(17994,10105363,'Increases Piercing, Slashing, Ranged and Crushing of caster by 5.8',100,1,4),
(17995,116666,'Heals group members (AE) for 145 - 178',100,1,0),
(17996,116666,'This effect cannot be critically applied.',100,2,1),
(17997,116666,'Increases Max Health of group members (AE) by 67.6',100,1,2),
(17998,116666,'The healing of this spell cannot be modified except by direct means',100,1,3),
(17999,10116666,'Heals group members (AE) for 53 - 65',100,1,0),
(18000,10116666,'This effect cannot be critically applied.',100,2,1),
(18001,10116666,'Increases Max Health of group members (AE) by 67.6',100,1,2),
(18002,10116666,'The healing of this spell cannot be modified except by direct means',100,1,3),
(18003,110323,'Increases Max Power of target by 135.0',100,1,0),
(18004,110323,'Increases Max Health of target by 259.5',100,1,1),
(18005,10110323,'Increases Max Power of target by 135.0',100,1,0),
(18006,10110323,'Increases Max Health of target by 259.5',100,1,1),
(18007,84241,'Applies Mental Blast when Activated.',100,0,0),
(18008,84241,'Inflicts 145 - 242 mental damage on target',100,1,1),
(18009,84241,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(18010,10084241,'Applies Mental Blast when Activated.',100,0,0),
(18011,10084241,'Inflicts 145 - 242 mental damage on target',100,1,1),
(18012,10084241,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(18013,121869,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(18014,121869,'Decreases Threat to target by 1,074 - 1,313 ',100,2,1),
(18015,121869,'If profession other than Fighter',100,3,2),
(18016,121869,'Inflicts 917 - 1121 mental damage on target',100,2,3),
(18017,10121869,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(18018,10121869,'Inflicts 723 - 883 mental damage on target',100,2,1),
(18019,41433,'When Equipped:',100,0,0),
(18020,41433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18021,41433,'Inflicts 290 - 538 magic damage on target',100,2,2),
(18022,41433,'Cannot be modified except by direct means',100,2,3),
(18023,10041433,'When Equipped:',100,0,0),
(18024,10041433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18025,10041433,'Inflicts 290 - 538 magic damage on target',100,2,2),
(18026,10041433,'Cannot be modified except by direct means',100,2,3),
(18027,35572,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(18028,36312,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(18029,103974,'Interrupts targets in Area of Effect',100,1,0),
(18030,103974,'Inflicts 332 - 617 poison damage on targets in Area of Effect',100,1,1),
(18031,103974,'Inflicts 199 - 370 poison damage on targets in Area of Effect every second',100,1,2),
(18032,10103974,'Interrupts targets in Area of Effect',100,1,0),
(18033,10103974,'Inflicts 289 - 423 poison damage on targets in Area of Effect',100,1,1),
(18034,10103974,'Inflicts 157 - 292 poison damage on targets in Area of Effect every second',100,1,2),
(18035,48297,'Applies Feux d''Artifice when Activated.  Lasts for 3.0 seconds.',100,0,0),
(18036,48297,'Launches a firework when used.',100,1,1),
(18037,10048297,'Applies Feux d''Artifice when Activated.  Lasts for 3.0 seconds.',100,0,0),
(18038,10048297,'Launches a firework when used.',100,1,1),
(18039,80825,'When Equipped:',100,0,0),
(18040,80825,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18041,80825,'Decreases Threat to target by 672 ',100,2,2),
(18042,80825,'Must be flanking or behind',100,3,3),
(18043,80825,'Increases Threat to target by 1,132 ',100,2,4),
(18044,80825,'Must be in front of',100,3,5),
(18045,80825,'Inflicts 369 - 686 magic damage on target',100,2,6),
(18046,80825,'Cannot be modified except by direct means',100,2,7),
(18047,10080825,'When Equipped:',100,0,0),
(18048,10080825,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18049,10080825,'Inflicts 369 - 686 magic damage on target',100,2,2),
(18050,10080825,'Cannot be modified except by direct means',100,2,3),
(18051,72026,'When Equipped:',100,0,0),
(18052,72026,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18053,72026,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(18054,72026,'Cannot be modified except by direct means',100,2,3),
(18055,10072026,'When Equipped:',100,0,0),
(18056,10072026,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18057,10072026,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(18058,10072026,'Cannot be modified except by direct means',100,2,3),
(18059,123085,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',100,1,0),
(18060,123085,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,1),
(18061,123085,'Slows target by 55.2%',100,3,2),
(18062,123085,'5% chance to dispel when target receives hostile action',100,3,3),
(18063,123085,'5% chance to dispel when target takes damage',100,3,4),
(18064,123085,'Roots target',100,2,5),
(18065,123085,'5% chance to dispel when target takes damage',100,2,6),
(18066,123085,'Does not affect Epic targets',100,2,7),
(18067,123085,'Resistibility increases against targets higher than level 76.',100,2,8),
(18068,123085,'Decreases AGI of target encounter by 51.2',100,1,9),
(18069,10123085,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(18070,10123085,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,1),
(18071,10123085,'Slows target by 55.2%',100,3,2),
(18072,10123085,'5% chance to dispel when target receives hostile action',100,3,3),
(18073,10123085,'5% chance to dispel when target takes damage',100,3,4),
(18074,10123085,'Roots target',100,2,5),
(18075,10123085,'5% chance to dispel when target takes damage',100,2,6),
(18076,10123085,'Does not affect Epic targets',100,2,7),
(18077,10123085,'Resistibility increases against targets higher than level 76.',100,2,8),
(18078,10123085,'Decreases AGI of target encounter by 51.2',100,1,9),
(18079,82081,'When Equipped:',100,0,0),
(18080,82081,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18081,82081,'Inflicts 272 - 505 magic damage on target',100,2,2),
(18082,82081,'Cannot be modified except by direct means',100,2,3),
(18083,10082081,'When Equipped:',100,0,0),
(18084,10082081,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18085,10082081,'Inflicts 272 - 505 magic damage on target',100,2,2),
(18086,10082081,'Cannot be modified except by direct means',100,2,3),
(18087,75145,'When Equipped:',100,0,0),
(18088,75145,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(18089,10075145,'When Equipped:',100,0,0),
(18090,10075145,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(18091,112471,'Decreases AGI and WIS of target by 26.7',100,1,0),
(18092,10112471,'Decreases AGI and WIS of target by 26.7',100,1,0),
(18093,82796,'When Equipped:',100,0,0),
(18094,82796,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18095,82796,'Decreases Threat to target by 1,174 ',100,2,2),
(18096,82796,'Must be flanking or behind',100,3,3),
(18097,82796,'Increases Threat to target by 1,634 ',100,2,4),
(18098,82796,'Must be in front of',100,3,5),
(18099,82796,'Inflicts 468 - 870 magic damage on target',100,2,6),
(18100,82796,'Cannot be modified except by direct means',100,2,7),
(18101,10082796,'When Equipped:',100,0,0),
(18102,10082796,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18103,10082796,'Inflicts 468 - 870 magic damage on target',100,2,2),
(18104,10082796,'Cannot be modified except by direct means',100,2,3),
(18105,74843,'When Equipped:',100,0,0),
(18106,74843,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18107,74843,'Inflicts 217 - 326 magic damage on target',100,2,2),
(18108,74843,'Cannot be modified except by direct means',100,2,3),
(18109,10074843,'When Equipped:',100,0,0),
(18110,10074843,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18111,10074843,'Inflicts 217 - 326 magic damage on target',100,2,2),
(18112,10074843,'Cannot be modified except by direct means',100,2,3),
(18113,144905,'When Equipped:',100,0,0),
(18114,144905,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(18115,144905,'Increases Max Health of caster by 1,220.0',100,1,2),
(18116,144905,'Cannot be modified except by direct means',100,1,3),
(18117,10144905,'When Equipped:',100,0,0),
(18118,10144905,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(18119,10144905,'Increases Max Health of caster by 1,220.0',100,1,2),
(18120,10144905,'Cannot be modified except by direct means',100,1,3),
(18121,113569,'Inflicts 7002 - 11015 disease damage on target',100,1,0),
(18122,10113569,'Inflicts 5139 - 8302 disease damage on target',100,1,0),
(18123,81142,'When Equipped:',100,0,0),
(18124,81142,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18125,81142,'Decreases Threat to target by 517 ',100,2,2),
(18126,81142,'Must be flanking or behind',100,3,3),
(18127,81142,'Increases Threat to target by 905 ',100,2,4),
(18128,81142,'Must be in front of',100,3,5),
(18129,81142,'Inflicts 290 - 538 magic damage on target',100,2,6),
(18130,81142,'Cannot be modified except by direct means',100,2,7),
(18131,10081142,'When Equipped:',100,0,0),
(18132,10081142,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18133,10081142,'Inflicts 290 - 538 magic damage on target',100,2,2),
(18134,10081142,'Cannot be modified except by direct means',100,2,3),
(18135,89844,'When Equipped:',100,0,0),
(18136,89844,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(18137,89844,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(18138,89844,'Inflicts 1567 - 2612 magic damage on target',100,2,3),
(18139,89844,'Inflicts 1567 - 2612 piercing damage on target',100,2,4),
(18140,89844,'Inflicts 1567 - 2612 divine damage on target',100,2,5),
(18141,89844,'Decreases Mitigation of target vs arcane damage by 3532',100,2,6),
(18142,89844,'Must not be engaged in pvp combat',100,2,7),
(18143,89844,'Cannot be modified except by direct means',100,2,8),
(18144,89844,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,9),
(18145,89844,'Inflicts 1567 - 2612 magic damage on target',100,2,10),
(18146,89844,'Inflicts 1567 - 2612 piercing damage on target',100,2,11),
(18147,89844,'Inflicts 1567 - 2612 divine damage on target',100,2,12),
(18148,89844,'Decreases Mitigation of target vs arcane damage by 3532',100,2,13),
(18149,89844,'Must not be engaged in pvp combat',100,2,14),
(18150,89844,'Cannot be modified except by direct means',100,2,15),
(18151,89844,'Must not be engaged in pvp combat',100,1,16),
(18152,10089844,'When Equipped:',100,0,0),
(18153,10089844,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(18154,10089844,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(18155,10089844,'Inflicts 1567 - 2612 magic damage on target',100,2,3),
(18156,10089844,'Inflicts 1567 - 2612 piercing damage on target',100,2,4),
(18157,10089844,'Inflicts 1567 - 2612 divine damage on target',100,2,5),
(18158,10089844,'Decreases Mitigation of target vs arcane damage by 3532',100,2,6),
(18159,10089844,'Must not be engaged in pvp combat',100,2,7),
(18160,10089844,'Cannot be modified except by direct means',100,2,8),
(18161,10089844,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,9),
(18162,10089844,'Inflicts 1567 - 2612 magic damage on target',100,2,10),
(18163,10089844,'Inflicts 1567 - 2612 piercing damage on target',100,2,11),
(18164,10089844,'Inflicts 1567 - 2612 divine damage on target',100,2,12),
(18165,10089844,'Decreases Mitigation of target vs arcane damage by 3532',100,2,13),
(18166,10089844,'Must not be engaged in pvp combat',100,2,14),
(18167,10089844,'Cannot be modified except by direct means',100,2,15),
(18168,10089844,'Must not be engaged in pvp combat',100,1,16),
(18169,107067,'Inflicts 53 - 65 divine damage on target',100,1,0),
(18170,10107067,'Inflicts 46 - 56 divine damage on target',100,1,0),
(18171,137049,'When Equipped:',100,0,0),
(18172,137049,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18173,137049,'Increases STR of caster by 30.4',100,2,2),
(18174,137049,'Increases Damage Per Second of caster by 34.1',100,2,3),
(18175,137049,'Cannot be modified except by direct means',100,2,4),
(18176,10137049,'When Equipped:',100,0,0),
(18177,10137049,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18178,10137049,'Increases STR of caster by 30.4',100,2,2),
(18179,10137049,'Increases Damage Per Second of caster by 34.1',100,2,3),
(18180,10137049,'Cannot be modified except by direct means',100,2,4),
(18181,72142,'When Equipped:',100,0,0),
(18182,72142,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18183,72142,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(18184,72142,'Cannot be modified except by direct means',100,2,3),
(18185,10072142,'When Equipped:',100,0,0),
(18186,10072142,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18187,10072142,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(18188,10072142,'Cannot be modified except by direct means',100,2,3),
(18189,108902,'Inflicts 3654 heat damage on target',100,1,0),
(18190,108902,'Inflicts 2672 cold damage on target',100,1,1),
(18191,108902,'Slows target by 42.0%',100,1,2),
(18192,10108902,'Inflicts 2500 heat damage on target',100,1,0),
(18193,10108902,'Inflicts 2106 cold damage on target',100,1,1),
(18194,10108902,'Slows target by 42.0%',100,1,2),
(18195,81337,'When Equipped:',100,0,0),
(18196,81337,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18197,81337,'Inflicts 155 - 288 magic damage on target',100,2,2),
(18198,81337,'Cannot be modified except by direct means',100,2,3),
(18199,10081337,'When Equipped:',100,0,0),
(18200,10081337,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18201,10081337,'Inflicts 155 - 288 magic damage on target',100,2,2),
(18202,10081337,'Cannot be modified except by direct means',100,2,3),
(18203,113810,'Inflicts 370 - 617 disease damage on target',100,1,0),
(18204,10113810,'Inflicts 318 - 530 disease damage on target',100,1,0),
(18205,89023,'When Equipped:',100,0,0),
(18206,89023,'On a combat hit this spell may cast Necroism on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18207,89023,'Cannot be modified except by direct means',100,2,2),
(18208,10089023,'When Equipped:',100,0,0),
(18209,10089023,'On a combat hit this spell may cast Necroism on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18210,10089023,'Cannot be modified except by direct means',100,2,2),
(18211,70923,'When Equipped:',100,0,0),
(18212,70923,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(18213,70923,'Inflicts 225 cold damage on target',100,2,2),
(18214,70923,'Cannot be modified except by direct means',100,2,3),
(18215,70923,'Cannot be modified except by direct means',100,1,4),
(18216,10070923,'When Equipped:',100,0,0),
(18217,10070923,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(18218,10070923,'Inflicts 225 cold damage on target',100,2,2),
(18219,10070923,'Cannot be modified except by direct means',100,2,3),
(18220,10070923,'Cannot be modified except by direct means',100,1,4),
(18221,124272,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(18222,124272,'Increases Attack Speed of target by 20.1',100,2,1),
(18223,124272,'Increases Damage Per Second of target by 20.1',100,2,2),
(18224,124272,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(18225,124272,'Increases Attack Speed of target by 20.1',100,2,4),
(18226,124272,'Increases Damage Per Second of target by 20.1',100,2,5),
(18227,124272,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(18228,124272,'Increases Attack Speed of target by 20.1',100,2,7),
(18229,124272,'Increases Damage Per Second of target by 20.1',100,2,8),
(18230,10124272,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(18231,10124272,'Increases Attack Speed of target by 20.1',100,2,1),
(18232,10124272,'Increases Damage Per Second of target by 20.1',100,2,2),
(18233,10124272,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(18234,10124272,'Increases Attack Speed of target by 20.1',100,2,4),
(18235,10124272,'Increases Damage Per Second of target by 20.1',100,2,5),
(18236,10124272,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(18237,10124272,'Increases Attack Speed of target by 20.1',100,2,7),
(18238,10124272,'Increases Damage Per Second of target by 20.1',100,2,8),
(18239,117293,'Inflicts 2783 - 4064 melee damage on target',100,1,0),
(18240,117293,'Decreases Damage Per Second of target by 13.9',100,1,1),
(18241,117293,'Decreases Attack Speed of target by 8.7',100,1,2),
(18242,10117293,'Inflicts 1859 - 2824 melee damage on target',100,1,0),
(18243,10117293,'Decreases Damage Per Second of target by 13.9',100,1,1),
(18244,10117293,'Decreases Attack Speed of target by 8.7',100,1,2),
(18245,136322,'When Equipped:',100,0,0),
(18246,136322,'On any combat or spell hit this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(18247,136322,'Increases AGI, STR and WIS of caster by 150.0',100,2,2),
(18248,136322,'Increases Crit Bonus of caster by 10.0%',100,2,3),
(18249,136322,'Must not be engaged in pvp combat',100,2,4),
(18250,136322,'Cannot be modified except by direct means',100,2,5),
(18251,136322,'On a hostile spell cast this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(18252,136322,'Increases AGI, STR and WIS of caster by 150.0',100,2,7),
(18253,136322,'Increases Crit Bonus of caster by 10.0%',100,2,8),
(18254,136322,'Must not be engaged in pvp combat',100,2,9),
(18255,136322,'Cannot be modified except by direct means',100,2,10),
(18256,136322,'Cannot be modified except by direct means',100,1,11),
(18257,10136322,'When Equipped:',100,0,0),
(18258,10136322,'On any combat or spell hit this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(18259,10136322,'Increases AGI, STR and WIS of caster by 150.0',100,2,2),
(18260,10136322,'Increases Crit Bonus of caster by 10.0%',100,2,3),
(18261,10136322,'Must not be engaged in pvp combat',100,2,4),
(18262,10136322,'Cannot be modified except by direct means',100,2,5),
(18263,10136322,'On a hostile spell cast this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(18264,10136322,'Increases AGI, STR and WIS of caster by 150.0',100,2,7),
(18265,10136322,'Increases Crit Bonus of caster by 10.0%',100,2,8),
(18266,10136322,'Must not be engaged in pvp combat',100,2,9),
(18267,10136322,'Cannot be modified except by direct means',100,2,10),
(18268,10136322,'Cannot be modified except by direct means',100,1,11),
(18269,74613,'When Equipped:',100,0,0),
(18270,74613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18271,74613,'Inflicts 72 - 108 magic damage on target',100,2,2),
(18272,74613,'Cannot be modified except by direct means',100,2,3),
(18273,10074613,'When Equipped:',100,0,0),
(18274,10074613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18275,10074613,'Inflicts 72 - 108 magic damage on target',100,2,2),
(18276,10074613,'Cannot be modified except by direct means',100,2,3),
(18277,37202,'Increases Max Power of target by 22.8',100,0,0),
(18278,37202,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(18279,120121,'Shapechanges caster into a chaos essence',100,1,0),
(18280,120121,'Increases WIS of caster by 135.5',100,1,1),
(18281,120121,'Grants See Invisibility to caster',100,1,2),
(18282,120121,'Increases Max Health of caster by 601.7',100,1,3),
(18283,120121,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1985',100,1,4),
(18284,10120121,'Shapechanges caster into a chaos essence',100,1,0),
(18285,10120121,'Increases WIS of caster by 135.5',100,1,1),
(18286,10120121,'Grants See Invisibility to caster',100,1,2),
(18287,10120121,'Increases Max Health of caster by 601.7',100,1,3),
(18288,10120121,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1985',100,1,4),
(18289,102969,'Increases STR and AGI of group members (AE) by 18.1',100,1,0),
(18290,10102969,'Increases STR and AGI of group members (AE) by 18.1',100,1,0),
(18291,121567,'Inflicts 2660 - 4195 melee damage on targets in area',100,1,0),
(18292,121567,'Stuns target encounter',100,1,1),
(18293,121567,'If Target is not Epic',100,2,2),
(18294,121567,'Resistibility increases against targets higher than level 112.',100,1,3),
(18295,10121567,'Inflicts 1969 - 3180 melee damage on targets in area',100,1,0),
(18296,10121567,'Stuns target encounter',100,1,1),
(18297,10121567,'If Target is not Epic',100,2,2),
(18298,10121567,'Resistibility increases against targets higher than level 112.',100,1,3),
(18299,112928,'Inflicts 55 - 165 crushing damage on target',100,1,0),
(18300,10112928,'Inflicts 45 - 133 crushing damage on target',100,1,0),
(18301,102667,'Inflicts 3376 - 4951 melee damage on target',100,1,0),
(18302,102667,'Inflicts 943 heat damage on target every 6 seconds',100,1,1),
(18303,10102667,'Inflicts 2322 - 3591 melee damage on target',100,1,0),
(18304,10102667,'Inflicts 743 heat damage on target every 6 seconds',100,1,1),
(18305,159876,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(18306,159876,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(18307,159876,'Inflicts 89 heat damage on target',100,2,2),
(18308,159876,'Cannot be modified except by direct means',100,2,3),
(18309,10159876,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(18310,10159876,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(18311,10159876,'Inflicts 89 heat damage on target',100,2,2),
(18312,10159876,'Cannot be modified except by direct means',100,2,3),
(18313,117388,'Increases Threat to target by 2,668 ',100,1,0),
(18314,117388,'Inflicts 374 - 1105 melee damage on target',100,1,1),
(18315,10117388,'Forces target to change their selected target to caster.',100,1,0),
(18316,10117388,'Inflicts 196 - 580 melee damage on target',100,1,1),
(18317,119901,'Increases INT and WIS of group members (AE) by 9.9',100,1,0),
(18318,10119901,'Increases INT and WIS of group members (AE) by 9.9',100,1,0),
(18319,106375,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(18320,106375,'Slows target by 51.9%',100,2,1),
(18321,106375,'5% chance to dispel when target receives hostile action',100,2,2),
(18322,106375,'5% chance to dispel when target takes damage',100,2,3),
(18323,106375,'Decreases Mitigation of target vs arcane damage by 2270',100,1,4),
(18324,10106375,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(18325,10106375,'Slows target by 51.9%',100,2,1),
(18326,10106375,'5% chance to dispel when target receives hostile action',100,2,2),
(18327,10106375,'5% chance to dispel when target takes damage',100,2,3),
(18328,10106375,'Decreases Mitigation of target vs arcane damage by 2270',100,1,4),
(18329,80161,'When Equipped:',100,0,0),
(18330,80161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18331,80161,'Inflicts 333 - 619 magic damage on target',100,2,2),
(18332,80161,'Cannot be modified except by direct means',100,2,3),
(18333,10080161,'When Equipped:',100,0,0),
(18334,10080161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18335,10080161,'Inflicts 333 - 619 magic damage on target',100,2,2),
(18336,10080161,'Cannot be modified except by direct means',100,2,3),
(18337,26070,'When Equipped:',100,0,0),
(18338,26070,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(18339,26070,'On a critical spell hit this spell may cast Harrowing Winds on target of spell.  Triggers about 2.4 times per minute. ',100,1,2),
(18340,26070,'Inflicts between 1500 and 15000 points of damage based on the target''s current health.',100,2,3),
(18341,26070,'On a critical combat hit this spell may cast Harrowing Winds on target of attack.  Triggers about 2.4 times per minute. ',100,1,4),
(18342,26070,'Inflicts between 1500 and 15000 points of damage based on the target''s current health.',100,2,5),
(18343,26070,'Must not be engaged in pvp combat',100,1,6),
(18344,10026070,'When Equipped:',100,0,0),
(18345,10026070,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(18346,10026070,'On a critical spell hit this spell may cast Harrowing Winds on target of spell.  Triggers about 2.4 times per minute. ',100,1,2),
(18347,10026070,'Inflicts between 1500 and 15000 points of damage based on the target''s current health.',100,2,3),
(18348,10026070,'On a critical combat hit this spell may cast Harrowing Winds on target of attack.  Triggers about 2.4 times per minute. ',100,1,4),
(18349,10026070,'Inflicts between 1500 and 15000 points of damage based on the target''s current health.',100,2,5),
(18350,10026070,'Must not be engaged in pvp combat',100,1,6),
(18351,108893,'Inflicts 2099 heat damage on target',100,1,0),
(18352,108893,'Inflicts 1117 cold damage on target',100,1,1),
(18353,108893,'Slows target by 35.1%',100,1,2),
(18354,10108893,'Inflicts 1275 heat damage on target',100,1,0),
(18355,10108893,'Inflicts 880 cold damage on target',100,1,1),
(18356,10108893,'Slows target by 35.1%',100,1,2),
(18357,47368,'Applies Overclocked Tools when Equipped.',100,0,0),
(18358,47368,'Increases success chance by 5.0%',100,1,1),
(18359,10047368,'Applies Overclocked Tools when Equipped.',100,0,0),
(18360,10047368,'Increases success chance by 5.0%',100,1,1),
(18361,123563,'Increases STR of group members (AE) by 20.4',100,1,0),
(18362,123563,'Increases Max Health of group members (AE) by 107.5',100,1,1),
(18363,10123563,'Increases STR of group members (AE) by 20.4',100,1,0),
(18364,10123563,'Increases Max Health of group members (AE) by 107.5',100,1,1),
(18365,107645,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(18366,107645,'Increases Mitigation of group members (AE) vs elemental damage by 1023',100,1,1),
(18367,10107645,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(18368,10107645,'Increases Mitigation of group members (AE) vs elemental damage by 1023',100,1,1),
(18369,37215,'Increases STA of target by 11.0',100,0,0),
(18370,37215,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(18371,102169,'Inflicts 2874 - 4120 melee damage on target',100,1,0),
(18372,102169,'Inflicts 1892 - 3137 melee damage on target',100,1,1),
(18373,10102169,'Inflicts 1886 - 2867 melee damage on target',100,1,0),
(18374,10102169,'Inflicts 1491 - 2473 melee damage on target',100,1,1),
(18375,86269,'When Equipped:',100,0,0),
(18376,86269,'On a combat hit this spell may cast Flickering Death on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18377,86269,'Inflicts 286 - 531 divine damage on target',100,2,2),
(18378,86269,'Inflicts 133 - 247 divine damage on target every 2 seconds',100,2,3),
(18379,86269,'Cannot be modified except by direct means',100,2,4),
(18380,10086269,'When Equipped:',100,0,0),
(18381,10086269,'On a combat hit this spell may cast Flickering Death on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18382,10086269,'Inflicts 286 - 531 divine damage on target',100,2,2),
(18383,10086269,'Inflicts 133 - 247 divine damage on target every 2 seconds',100,2,3),
(18384,10086269,'Cannot be modified except by direct means',100,2,4),
(18385,138389,'When Equipped:',100,0,0),
(18386,138389,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(18387,138389,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(18388,138389,'Heals caster for 816 - 1224',100,2,3),
(18389,138389,'Cannot be modified except by direct means',100,2,4),
(18390,138389,'Cannot be modified except by direct means',100,1,5),
(18391,10138389,'When Equipped:',100,0,0),
(18392,10138389,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(18393,10138389,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(18394,10138389,'Heals caster for 955 - 1432',100,2,3),
(18395,10138389,'Cannot be modified except by direct means',100,2,4),
(18396,10138389,'Cannot be modified except by direct means',100,1,5),
(18397,123385,'Heals group members (AE) for 4470 - 5391',100,1,0),
(18398,10123385,'Heals group members (AE) for 4057 - 4940',100,1,0),
(18399,35739,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(18400,36145,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(18401,102922,'Inflicts 401 - 490 disease damage on target',100,1,0),
(18402,102922,'Inflicts 67 - 82 disease damage on target every 4 seconds',100,1,1),
(18403,10102922,'Inflicts 403 - 478 disease damage on target',100,1,0),
(18404,10102922,'Inflicts 53 - 64 disease damage on target every 4 seconds',100,1,1),
(18405,157363,'When Equipped:',100,0,0),
(18406,157363,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(18407,10157363,'When Equipped:',100,0,0),
(18408,10157363,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(18409,104046,'Inflicts 286 - 350 mental damage on target',100,1,0),
(18410,104046,'Inflicts 82 - 100 mental damage on target every 6 seconds',100,1,1),
(18411,104046,'Applies Migraine on termination.',100,1,2),
(18412,104046,'Inflicts 270 - 366 mental damage on target',100,2,3),
(18413,10104046,'Inflicts 269 - 329 mental damage on target',100,1,0),
(18414,10104046,'Inflicts 64 - 79 mental damage on target every 6 seconds',100,1,1),
(18415,10104046,'Applies Migraine on termination.',100,1,2),
(18416,10104046,'Inflicts 221 - 299 mental damage on target',100,2,3),
(18417,45141,'Applies Aegis of Shimmering Light when Activated.  Lasts for 30 minutes.',100,0,0),
(18418,10045141,'Applies Aegis of Shimmering Light when Activated.  Lasts for 30 minutes.',100,0,0),
(18419,42846,'When Equipped:',100,0,0),
(18420,42846,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(18421,42846,'Increases Damage Per Second of caster by 9.0',100,2,2),
(18422,42846,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(18423,42846,'Must not be engaged in pvp combat',100,2,4),
(18424,42846,'Cannot be modified except by direct means',100,2,5),
(18425,42846,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(18426,42846,'Cannot be modified except by direct means',100,1,7),
(18427,10042846,'When Equipped:',100,0,0),
(18428,10042846,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(18429,10042846,'Increases Damage Per Second of caster by 9.0',100,2,2),
(18430,10042846,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(18431,10042846,'Must not be engaged in pvp combat',100,2,4),
(18432,10042846,'Cannot be modified except by direct means',100,2,5),
(18433,10042846,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(18434,10042846,'Cannot be modified except by direct means',100,1,7),
(18435,103211,'Increases Mitigation of caster vs physical damage by 576',100,1,0),
(18436,103211,'Roots caster',100,1,1),
(18437,10103211,'Increases Mitigation of caster vs physical damage by 576',100,1,0),
(18438,10103211,'Roots caster',100,1,1),
(18439,154666,'When Equipped:',100,0,0),
(18440,154666,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(18441,10154666,'When Equipped:',100,0,0),
(18442,10154666,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(18443,25342,'When Equipped:',100,0,0),
(18444,25342,'Adds 4% Crit Bonus and 3% Riposte Chance to Bruising IV.',100,1,1),
(18445,25342,'Adds 8% Crit Bonus to Smoldering Fists VII.',100,1,2),
(18446,25342,'Adds 6% Riposte Chance to Bodyguard VII.',100,1,3),
(18447,10025342,'When Equipped:',100,0,0),
(18448,10025342,'Adds 4% Crit Bonus and 3% Riposte Chance to Bruising IV.',100,1,1),
(18449,10025342,'Adds 8% Crit Bonus to Smoldering Fists VII.',100,1,2),
(18450,10025342,'Adds 6% Riposte Chance to Bodyguard VII.',100,1,3),
(18451,124337,'Shapechanges caster into a wolf',100,1,0),
(18452,124337,'Grants See Invisibility to caster',100,1,1),
(18453,124337,'Increases Focus of caster by 44.6',100,1,2),
(18454,124337,'Increases Mitigation of caster vs physical damage by 496',100,1,3),
(18455,124337,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1884',100,1,4),
(18456,10124337,'Shapechanges caster into a wolf',100,1,0),
(18457,10124337,'Grants See Invisibility to caster',100,1,1),
(18458,10124337,'Increases Focus of caster by 44.6',100,1,2),
(18459,10124337,'Increases Mitigation of caster vs physical damage by 496',100,1,3),
(18460,10124337,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1884',100,1,4),
(18461,82260,'When Equipped:',100,0,0),
(18462,82260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18463,82260,'Inflicts 55 - 102 magic damage on target',100,2,2),
(18464,82260,'Cannot be modified except by direct means',100,2,3),
(18465,10082260,'When Equipped:',100,0,0),
(18466,10082260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18467,10082260,'Inflicts 55 - 102 magic damage on target',100,2,2),
(18468,10082260,'Cannot be modified except by direct means',100,2,3),
(18469,123596,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(18470,123596,'Increases Defense of target by 16.8',100,1,1),
(18471,10123596,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(18472,10123596,'Increases Defense of target by 16.8',100,1,1),
(18473,102177,'Increases Mitigation of group members (AE) vs physical damage by 250',100,1,0),
(18474,10102177,'Increases Mitigation of group members (AE) vs physical damage by 250',100,1,0),
(18475,141724,'When Equipped:',100,0,0),
(18476,141724,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18477,141724,'Increases STR of caster by 11.9',100,2,2),
(18478,141724,'Increases Damage Per Second of caster by 17.0',100,2,3),
(18479,141724,'Cannot be modified except by direct means',100,2,4),
(18480,10141724,'When Equipped:',100,0,0),
(18481,10141724,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18482,10141724,'Increases STR of caster by 11.9',100,2,2),
(18483,10141724,'Increases Damage Per Second of caster by 17.0',100,2,3),
(18484,10141724,'Cannot be modified except by direct means',100,2,4),
(18485,164681,'When Equipped:',100,0,0),
(18486,164681,'Increases Attack Speed of caster by 30.0',100,1,1),
(18487,10164681,'When Equipped:',100,0,0),
(18488,10164681,'Increases Attack Speed of caster by 30.0',100,1,1),
(18489,106127,'Increases Attack Speed of caster by 30.4',100,1,0),
(18490,106127,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(18491,106127,'Throws target back',100,2,2),
(18492,106127,'Stuns target',100,2,3),
(18493,106127,'Blurs vision of target',100,2,4),
(18494,106127,'Does not affect Epic targets',100,2,5),
(18495,10106127,'Increases Attack Speed of caster by 30.4',100,1,0),
(18496,10106127,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(18497,10106127,'Throws target back',100,2,2),
(18498,10106127,'Stuns target',100,2,3),
(18499,10106127,'Blurs vision of target',100,2,4),
(18500,10106127,'Does not affect Epic targets',100,2,5),
(18501,81863,'When Equipped:',100,0,0),
(18502,81863,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18503,81863,'Decreases Threat to target by 487 ',100,2,2),
(18504,81863,'Must be flanking or behind',100,3,3),
(18505,81863,'Increases Threat to target by 852 ',100,2,4),
(18506,81863,'Must be in front of',100,3,5),
(18507,81863,'Inflicts 210 - 391 magic damage on target',100,2,6),
(18508,81863,'Cannot be modified except by direct means',100,2,7),
(18509,10081863,'When Equipped:',100,0,0),
(18510,10081863,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(18511,10081863,'Inflicts 210 - 391 magic damage on target',100,2,2),
(18512,10081863,'Cannot be modified except by direct means',100,2,3),
(18513,124215,'Decreases Attack Speed of caster by 12.7',100,1,0),
(18514,124215,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(18515,124215,'Slows targets in Area of Effect by 38.9%',100,2,2),
(18516,124215,'5% chance to dispel when target receives hostile action',100,2,3),
(18517,124215,'5% chance to dispel when target takes damage',100,2,4),
(18518,124215,'Increases Mitigation of caster vs physical damage by 297',100,1,5),
(18519,10124215,'Decreases Attack Speed of caster by 12.7',100,1,0),
(18520,10124215,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(18521,10124215,'Slows targets in Area of Effect by 29.2%',100,2,2),
(18522,10124215,'5% chance to dispel when target receives hostile action',100,2,3),
(18523,10124215,'5% chance to dispel when target takes damage',100,2,4),
(18524,10124215,'Increases Mitigation of caster vs physical damage by 297',100,1,5),
(18525,71888,'When Equipped:',100,0,0),
(18526,71888,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18527,71888,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(18528,71888,'Cannot be modified except by direct means',100,2,3),
(18529,10071888,'When Equipped:',100,0,0),
(18530,10071888,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(18531,10071888,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(18532,10071888,'Cannot be modified except by direct means',100,2,3),
(18533,117144,'Inflicts 2039 - 2274 heat damage on target',100,1,0),
(18534,117144,'Inflicts 1057 - 1291 heat damage on target every 4 seconds',100,1,1),
(18535,117144,'Decreases Mitigation of target vs arcane damage by 1016',100,1,2),
(18536,10117144,'Inflicts 1227 - 1412 heat damage on target',100,1,0),
(18537,10117144,'Inflicts 833 - 1018 heat damage on target every 4 seconds',100,1,1),
(18538,10117144,'Decreases Mitigation of target vs arcane damage by 1016',100,1,2),
(18539,82085,'When Equipped:',100,0,0),
(18540,82085,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18541,82085,'Inflicts 272 - 505 magic damage on target',100,2,2),
(18542,82085,'Cannot be modified except by direct means',100,2,3),
(18543,10082085,'When Equipped:',100,0,0),
(18544,10082085,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18545,10082085,'Inflicts 272 - 505 magic damage on target',100,2,2),
(18546,10082085,'Cannot be modified except by direct means',100,2,3),
(18547,108771,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(18548,108771,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(18549,108771,'Inflicts 655 - 800 heat damage on target encounter',100,3,2),
(18550,108771,'Grants a total of 1 trigger of the spell.',100,3,3),
(18551,108771,'Inflicts 147 - 180 heat damage on target instantly and every 4 seconds',100,2,4),
(18552,10108771,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(18553,10108771,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(18554,10108771,'Inflicts 516 - 631 heat damage on target encounter',100,3,2),
(18555,10108771,'Grants a total of 1 trigger of the spell.',100,3,3),
(18556,10108771,'Inflicts 116 - 142 heat damage on target instantly and every 4 seconds',100,2,4),
(18557,109008,'Decreases Damage Per Second of target by 18.6',100,1,0),
(18558,109008,'Inflicts 985 - 1201 melee damage on target',100,1,1),
(18559,10109008,'Decreases Damage Per Second of target by 18.6',100,1,0),
(18560,10109008,'Inflicts 776 - 947 melee damage on target',100,1,1),
(18561,115524,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(18562,115524,'Increases Mitigation of group members (AE) vs noxious damage by 1195',100,1,1),
(18563,10115524,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(18564,10115524,'Increases Mitigation of group members (AE) vs noxious damage by 1195',100,1,1),
(18565,52261,'When Equipped:',100,0,0),
(18566,52261,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(18567,52261,'Wards caster against 100 points of all damage',100,2,2),
(18568,52261,'Cannot be modified except by direct means',100,2,3),
(18569,10052261,'When Equipped:',100,0,0),
(18570,10052261,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(18571,10052261,'Wards caster against 100 points of all damage',100,2,2),
(18572,10052261,'Cannot be modified except by direct means',100,2,3),
(18573,90417,'When Equipped:',100,0,0),
(18574,90417,'On a combat hit this spell may cast Bug Zap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(18575,90417,'Inflicts 127 - 155 magic damage on target',100,2,2),
(18576,90417,'Cannot be modified except by direct means',100,2,3),
(18577,10090417,'When Equipped:',100,0,0),
(18578,10090417,'On a combat hit this spell may cast Bug Zap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(18579,10090417,'Inflicts 127 - 155 magic damage on target',100,2,2),
(18580,10090417,'Cannot be modified except by direct means',100,2,3),
(18581,26307,'When Equipped:',100,0,0),
(18582,26307,'Increases Attack Speed of caster by 1.0',100,1,1),
(18583,10026307,'When Equipped:',100,0,0),
(18584,10026307,'Increases Attack Speed of caster by 1.0',100,1,1),
(18585,115981,'Inflicts 2514 - 3496 mental damage on target',100,1,0),
(18586,115981,'Stuns target',100,1,1),
(18587,115981,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(18588,115981,'Resistibility increases against targets higher than level 84.',100,1,3),
(18589,10115981,'Stuns target',100,1,0),
(18590,10115981,'Inflicts 1715 - 2376 mental damage on target',100,1,1),
(18591,10115981,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(18592,10115981,'Resistibility increases against targets higher than level 84.',100,1,3),
(18593,111925,'Inflicts 210 - 351 piercing damage on target instantly and every 4 seconds',100,1,0),
(18594,111925,'Inflicts 1532 - 2268 piercing damage on target',100,1,1),
(18595,10111925,'Inflicts 276 - 461 piercing damage on target instantly and every 4 seconds',100,1,0),
(18596,10111925,'Inflicts 1228 - 1776 piercing damage on target',100,1,1),
(18597,35252,'Increases STR of target by 2.4',100,0,0),
(18598,35252,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(18599,114831,'Dazes caster',100,1,0),
(18600,114831,'Roots caster',100,1,1),
(18601,114831,'Increases Mitigation of caster vs physical damage by 1904',100,1,2),
(18602,10114831,'Dazes caster',100,1,0),
(18603,10114831,'Roots caster',100,1,1),
(18604,10114831,'Increases Mitigation of caster vs physical damage by 1904',100,1,2),
(18605,106340,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(18606,106340,'Slows target by 31.4%',100,2,1),
(18607,106340,'5% chance to dispel when target receives hostile action',100,2,2),
(18608,106340,'5% chance to dispel when target takes damage',100,2,3),
(18609,106340,'Decreases Mitigation of target vs arcane damage by 218',100,1,4),
(18610,10106340,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(18611,10106340,'Slows target by 31.4%',100,2,1),
(18612,10106340,'5% chance to dispel when target receives hostile action',100,2,2),
(18613,10106340,'5% chance to dispel when target takes damage',100,2,3),
(18614,10106340,'Decreases Mitigation of target vs arcane damage by 218',100,1,4),
(18615,113669,'Stuns target',100,1,0),
(18616,113669,'If Target is not Epic',100,2,1),
(18617,113669,'Inflicts 182 - 304 heat damage on target',100,1,2),
(18618,113669,'Resistibility increases against targets higher than level 31.',100,1,3),
(18619,10113669,'Stuns target',100,1,0),
(18620,10113669,'If Target is not Epic',100,2,1),
(18621,10113669,'Inflicts 157 - 261 heat damage on target',100,1,2),
(18622,10113669,'Resistibility increases against targets higher than level 31.',100,1,3),
(18623,48265,'Applies Stinkbug Trap when Activated.',100,0,0),
(18624,10048265,'Applies Stinkbug Trap when Activated.',100,0,0),
(18625,110970,'Inflicts 5169 - 7929 ranged damage on target',100,1,0),
(18626,110970,'I need to be stealthed!',100,1,1),
(18627,110970,'Requires bow',100,1,2),
(18628,10110970,'Inflicts 2250 - 3474 ranged damage on target',100,1,0),
(18629,10110970,'I need to be stealthed!',100,1,1),
(18630,10110970,'Requires bow',100,1,2),
(18631,111523,'Blurs vision of targets in Area of Effect',100,1,0),
(18632,111523,'Interrupts targets in Area of Effect',100,1,1),
(18633,111523,'8% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(18634,111523,'Stuns target',100,2,3),
(18635,111523,'Throws target back',100,2,4),
(18636,111523,'Blurs vision of target',100,2,5),
(18637,111523,'Does not affect Epic targets',100,2,6),
(18638,10111523,'Blurs vision of targets in Area of Effect',100,1,0),
(18639,10111523,'8% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(18640,10111523,'Blurs vision of target',100,2,2),
(18641,10111523,'Stuns target',100,2,3),
(18642,10111523,'Throws target back',100,2,4),
(18643,10111523,'Does not affect Epic targets',100,2,5),
(18644,10111523,'Interrupts targets in Area of Effect',100,1,6),
(18645,75966,'When Equipped:',100,0,0),
(18646,75966,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(18647,75966,'Inflicts 19 - 23 divine damage on target',100,2,2),
(18648,75966,'If target is undead',100,2,3),
(18649,75966,'Cannot be modified except by direct means',100,2,4),
(18650,10075966,'When Equipped:',100,0,0),
(18651,10075966,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(18652,10075966,'Inflicts 19 - 23 divine damage on target',100,2,2),
(18653,10075966,'If target is undead',100,2,3),
(18654,10075966,'Cannot be modified except by direct means',100,2,4),
(18655,159582,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(18656,159582,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(18657,159582,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(18658,159582,'Cannot be modified except by direct means',100,2,3),
(18659,10159582,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(18660,10159582,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(18661,10159582,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(18662,10159582,'Cannot be modified except by direct means',100,2,3),
(18663,46326,'Applies Rose petal firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(18664,46326,'Launches a firework when used.',100,1,1),
(18665,10046326,'Applies Rose petal firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(18666,10046326,'Launches a firework when used.',100,1,1),
(18667,119416,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(18668,119416,'Throws target back',100,2,1),
(18669,119416,'Stuns target',100,2,2),
(18670,119416,'Blurs vision of target',100,2,3),
(18671,119416,'Does not affect Epic targets',100,2,4),
(18672,119416,'Inflicts 1803 - 2976 melee damage on target',100,1,5),
(18673,119416,'You must be sneaking to use this ability.',100,1,6),
(18674,10119416,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(18675,10119416,'Throws target back',100,2,1),
(18676,10119416,'Stuns target',100,2,2),
(18677,10119416,'Blurs vision of target',100,2,3),
(18678,10119416,'Does not affect Epic targets',100,2,4),
(18679,10119416,'Inflicts 1342 - 1966 melee damage on target',100,1,5),
(18680,10119416,'You must be sneaking to use this ability.',100,1,6),
(18681,109229,'Inflicts 210 - 348 melee damage on target',100,1,0),
(18682,10109229,'Inflicts 167 - 278 melee damage on target',100,1,0),
(18683,46378,'Applies arcane remedy when Activated.',100,0,0),
(18684,46378,'Dispels 98 levels of arcane hostile effects on caster',100,1,1),
(18685,10046378,'Applies arcane remedy when Activated.',100,0,0),
(18686,10046378,'Dispels 98 levels of arcane hostile effects on caster',100,1,1),
(18687,46414,'Applies Form of the Duhjalm when Activated.',100,0,0),
(18688,46414,'Shapechanges caster into an a Raging Duhjalm',100,1,1),
(18689,10046414,'Applies Form of the Duhjalm when Activated.',100,0,0),
(18690,10046414,'Shapechanges caster into an a Raging Duhjalm',100,1,1),
(18691,135721,'When Equipped:',100,0,0),
(18692,135721,'On a spell cast this spell may cast Protective Sands on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(18693,135721,'Increases Ability Modifier of group members (AE) by 300.0',100,2,2),
(18694,135721,'Must not be engaged in pvp combat',100,2,3),
(18695,135721,'Cannot be modified except by direct means',100,2,4),
(18696,10135721,'When Equipped:',100,0,0),
(18697,10135721,'On a spell cast this spell may cast Protective Sands on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(18698,10135721,'Increases Ability Modifier of group members (AE) by 300.0',100,2,2),
(18699,10135721,'Must not be engaged in pvp combat',100,2,3),
(18700,10135721,'Cannot be modified except by direct means',100,2,4),
(18701,159553,'Applies Lambent Imbued when Equipped.',100,0,0),
(18702,159553,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(18703,159553,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(18704,159553,'Cannot be modified except by direct means',100,2,3),
(18705,10159553,'Applies Lambent Imbued when Equipped.',100,0,0),
(18706,10159553,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(18707,10159553,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(18708,10159553,'Cannot be modified except by direct means',100,2,3),
(18709,123819,'Inflicts 729 - 1215 magic damage on target',100,1,0),
(18710,123819,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(18711,123819,'Target will lose 37% more power when power is consumed',100,1,2),
(18712,123819,'37% of target''s power consumed will also be drained from target''s health',100,1,3),
(18713,123819,'Decreases Defense of target by 30.7',100,1,4),
(18714,10123819,'Inflicts 626 - 1033 magic damage on target',100,1,0),
(18715,10123819,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(18716,10123819,'Target will lose 37% more power when power is consumed',100,1,2),
(18717,10123819,'37% of target''s power consumed will also be drained from target''s health',100,1,3),
(18718,10123819,'Decreases Defense of target by 30.7',100,1,4),
(18719,27341,'When Equipped:',100,0,0),
(18720,27341,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(18721,27341,'Decreases Threat to target encounter by 172 ',100,2,2),
(18722,27341,'Cannot be modified except by direct means',100,2,3),
(18723,10027341,'When Equipped:',100,0,0),
(18724,10027341,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(18725,10027341,'Cannot be modified except by direct means',100,2,2),
(18726,102809,'Summons 3 limited pets to aid the caster',100,1,0),
(18727,10102809,'Summons 3 limited pets to aid the caster',100,1,0),
(18728,119940,'Inflicts 3181 - 3670 mental damage on target',100,1,0),
(18729,119940,'Inflicts 733 - 896 mental damage on target every 3 seconds',100,1,1),
(18730,119940,'Stifles target',100,1,2),
(18731,119940,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(18732,119940,'Resistibility increases against targets higher than level 121.',100,1,4),
(18733,10119940,'Inflicts 2128 - 2513 mental damage on target',100,1,0),
(18734,10119940,'Inflicts 578 - 706 mental damage on target every second',100,1,1),
(18735,10119940,'Stifles target',100,1,2),
(18736,10119940,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(18737,10119940,'Resistibility increases against targets higher than level 121.',100,1,4),
(18738,75169,'When Equipped:',100,0,0),
(18739,75169,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(18740,10075169,'When Equipped:',100,0,0),
(18741,10075169,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(18742,119809,'Adds 0.9% to base avoidance.',100,1,0),
(18743,119809,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(18744,10119809,'Adds 0.9% to base avoidance.',100,1,0),
(18745,10119809,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(18746,121394,'Roots caster',100,1,0),
(18747,121394,'Applies Steel Hail.',100,1,1),
(18748,121394,'Inflicts 4257 - 6848 ranged damage on target',100,2,2),
(18749,121394,'Dazes caster',100,1,3),
(18750,121394,'Stifles caster',100,1,4),
(18751,121394,'If weapon equipped in Ranged',100,1,5),
(18752,121394,'Resistibility increases against targets higher than level 103.',100,1,6),
(18753,10121394,'Roots caster',100,1,0),
(18754,10121394,'Applies Steel Hail.',100,1,1),
(18755,10121394,'Inflicts 2454 - 3986 ranged damage on target',100,2,2),
(18756,10121394,'Dazes caster',100,1,3),
(18757,10121394,'Stifles caster',100,1,4),
(18758,10121394,'If weapon equipped in Ranged',100,1,5),
(18759,10121394,'Resistibility increases against targets higher than level 103.',100,1,6),
(18760,37232,'Increases WIS of target by 13.2',100,0,0),
(18761,37232,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(18762,47341,'Applies Mystic Stone Vein when Activated.  Lasts for 30.0 seconds.',100,0,0),
(18763,47341,'Increases Weapon Damage Bonus of target by 100.0',100,1,1),
(18764,47341,'Reduces all damage done to target by 50%',100,1,2),
(18765,47341,'Enlarges target by 100.0%',100,1,3),
(18766,10047341,'Applies Mystic Stone Vein when Activated.  Lasts for 30.0 seconds.',100,0,0),
(18767,10047341,'Increases Weapon Damage Bonus of target by 100.0',100,1,1),
(18768,10047341,'Reduces all damage done to target by 50%',100,1,2),
(18769,10047341,'Enlarges target by 100.0%',100,1,3),
(18770,87609,'Applies Mental Blast when Activated.',100,0,0),
(18771,87609,'Inflicts 99 - 164 mental damage on target',100,1,1),
(18772,87609,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(18773,10087609,'Applies Mental Blast when Activated.',100,0,0),
(18774,10087609,'Inflicts 99 - 164 mental damage on target',100,1,1),
(18775,10087609,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(18776,109428,'Inflicts 1323 - 1398 cold damage on target',100,1,0),
(18777,109428,'Inflicts 340 - 416 cold damage on target every 4 seconds',100,1,1),
(18778,109428,'Decreases Mitigation of target vs elemental damage by 352',100,1,2),
(18779,10109428,'Inflicts 663 - 722 cold damage on target',100,1,0),
(18780,10109428,'Inflicts 268 - 328 cold damage on target every 4 seconds',100,1,1),
(18781,10109428,'Decreases Mitigation of target vs elemental damage by 352',100,1,2),
(18782,136693,'When Equipped:',100,0,0),
(18783,136693,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(18784,136693,'Inflicts 1986 disease damage on target encounter',100,2,2),
(18785,136693,'Must not be engaged in pvp combat',100,2,3),
(18786,136693,'Cannot be modified except by direct means',100,2,4),
(18787,10136693,'When Equipped:',100,0,0),
(18788,10136693,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(18789,10136693,'Inflicts 993 disease damage on target encounter',100,2,2),
(18790,10136693,'Must not be engaged in pvp combat',100,2,3),
(18791,10136693,'Cannot be modified except by direct means',100,2,4),
(18792,81893,'When Equipped:',100,0,0),
(18793,81893,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18794,81893,'Inflicts 210 - 391 magic damage on target',100,2,2),
(18795,81893,'Cannot be modified except by direct means',100,2,3),
(18796,10081893,'When Equipped:',100,0,0),
(18797,10081893,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18798,10081893,'Inflicts 210 - 391 magic damage on target',100,2,2),
(18799,10081893,'Cannot be modified except by direct means',100,2,3),
(18800,46973,'Applies Middling Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(18801,46973,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(18802,46973,'Decreases power of target by 241',100,2,2),
(18803,46973,'Cannot be modified except by direct means',100,2,3),
(18804,46973,'Grants a total of 4 triggers of the spell.',100,2,4),
(18805,46973,'Only affects targets level 50 and above',100,1,5),
(18806,10046973,'Applies Middling Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(18807,10046973,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(18808,10046973,'Decreases power of target by 241',100,2,2),
(18809,10046973,'Cannot be modified except by direct means',100,2,3),
(18810,10046973,'Grants a total of 4 triggers of the spell.',100,2,4),
(18811,10046973,'Only affects targets level 50 and above',100,1,5),
(18812,106739,'Heals target for 3604 - 4187',100,1,0),
(18813,10106739,'Heals target for 2686 - 3225',100,1,0),
(18814,74660,'When Equipped:',100,0,0),
(18815,74660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18816,74660,'Inflicts 85 - 128 magic damage on target',100,2,2),
(18817,74660,'Cannot be modified except by direct means',100,2,3),
(18818,10074660,'When Equipped:',100,0,0),
(18819,10074660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18820,10074660,'Inflicts 85 - 128 magic damage on target',100,2,2),
(18821,10074660,'Cannot be modified except by direct means',100,2,3),
(18822,118945,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(18823,118945,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2303',100,1,1),
(18824,118945,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,2),
(18825,10118945,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(18826,10118945,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2303',100,1,1),
(18827,10118945,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,2),
(18828,164598,'Applies Unstable Magics when Equipped.',100,0,0),
(18829,164598,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(18830,10164598,'Applies Unstable Magics when Equipped.',100,0,0),
(18831,10164598,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(18832,117091,'Mesmerizes target encounter',100,1,0),
(18833,117091,'Prevents AOE (except when direct) ',100,1,1),
(18834,117091,'Dispelled when target takes damage',100,1,2),
(18835,117091,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(18836,117091,'Resistibility increases against targets higher than level 54.',100,1,4),
(18837,10117091,'Mesmerizes target encounter',100,1,0),
(18838,10117091,'Prevents AOE (except when direct) ',100,1,1),
(18839,10117091,'Dispelled when target takes damage',100,1,2),
(18840,10117091,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(18841,10117091,'Resistibility increases against targets higher than level 54.',100,1,4),
(18842,115546,'Increases Mitigation of raid and group members (AE) vs noxious damage by 739',100,1,0),
(18843,10115546,'Increases Mitigation of raid and group members (AE) vs noxious damage by 739',100,1,0),
(18844,121799,'Heals target for 2087 - 2333',100,1,0),
(18845,121799,'Heals target for 184 - 225 every second',100,1,1),
(18846,10121799,'Heals target for 1766 - 2101',100,1,0),
(18847,10121799,'Heals target for 126 - 154 every second',100,1,1),
(18848,47662,'Applies The Queen Card when Activated.  Lasts for 10 minutes.',100,0,0),
(18849,47662,'Increases Max Power of caster by 20.0%',100,1,1),
(18850,47662,'Increases Max Health of caster by 20.0%',100,1,2),
(18851,10047662,'Applies The Queen Card when Activated.  Lasts for 10 minutes.',100,0,0),
(18852,10047662,'Increases Max Power of caster by 20.0%',100,1,1),
(18853,10047662,'Increases Max Health of caster by 20.0%',100,1,2),
(18854,82892,'When Equipped:',100,0,0),
(18855,82892,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18856,82892,'Inflicts 449 - 834 magic damage on target',100,2,2),
(18857,82892,'Cannot be modified except by direct means',100,2,3),
(18858,10082892,'When Equipped:',100,0,0),
(18859,10082892,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18860,10082892,'Inflicts 449 - 834 magic damage on target',100,2,2),
(18861,10082892,'Cannot be modified except by direct means',100,2,3),
(18862,108734,'Summons a pet fiery magician',100,1,0),
(18863,10108734,'Summons a pet fiery magician',100,1,0),
(18864,106776,'Mesmerizes target',100,1,0),
(18865,106776,'Prevents AOE (except when direct) ',100,1,1),
(18866,106776,'Dispelled when target takes damage',100,1,2),
(18867,106776,'Does not affect Epic targets',100,1,3),
(18868,106776,'Resistibility increases against targets higher than level 97.',100,1,4),
(18869,10106776,'Mesmerizes target',100,1,0),
(18870,10106776,'Prevents AOE (except when direct) ',100,1,1),
(18871,10106776,'Dispelled when target takes damage',100,1,2),
(18872,10106776,'Does not affect Epic targets',100,1,3),
(18873,10106776,'Resistibility increases against targets higher than level 97.',100,1,4),
(18874,35706,'Increases Max Power of target by 90.7',100,0,0),
(18875,35706,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(18876,118053,'When receiving a hostile spell this spell has a 12% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',100,1,0),
(18877,118053,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,1),
(18878,118053,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(18879,10118053,'When receiving a hostile spell this spell has a 12% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',100,1,0),
(18880,10118053,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,1),
(18881,10118053,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(18882,103639,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(18883,103639,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(18884,103639,'Increases STR of raid and group members (AE) by 35.7',100,1,2),
(18885,103639,'Improves the base amount of taunts by 10%.',100,1,3),
(18886,103639,'Improves the base amount of combat arts by 3.12%.',100,1,4),
(18887,103639,'Increases AGI of raid and group members (AE) by 35.7',100,1,5),
(18888,103639,'Adds 1.0% to base avoidance.',100,1,6),
(18889,10103639,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(18890,10103639,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(18891,10103639,'Increases STR of raid and group members (AE) by 35.7',100,1,2),
(18892,10103639,'Improves the base amount of taunts by 10%.',100,1,3),
(18893,10103639,'Improves the base amount of combat arts by 3.12%.',100,1,4),
(18894,10103639,'Increases AGI of raid and group members (AE) by 35.7',100,1,5),
(18895,10103639,'Adds 1.0% to base avoidance.',100,1,6),
(18896,101496,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(18897,101496,'Increases Mitigation of group members (AE) vs arcane damage by 1170',100,1,1),
(18898,10101496,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(18899,10101496,'Increases Mitigation of group members (AE) vs arcane damage by 1170',100,1,1),
(18900,120625,'Inflicts 4591 - 7683 heat damage on target',100,1,0),
(18901,10120625,'Inflicts 3238 - 5676 heat damage on target',100,1,0),
(18902,101133,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(18903,101133,'Inflicts 315 ranged damage on target',100,2,1),
(18904,101133,'Decreases Defense of caster by 5.1',100,1,2),
(18905,101133,'Increases Crushing, Piercing, Ranged and Slashing of caster by 8.4',100,1,3),
(18906,10101133,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(18907,10101133,'Inflicts 186 ranged damage on target',100,2,1),
(18908,10101133,'Decreases Defense of caster by 5.1',100,1,2),
(18909,10101133,'Increases Crushing, Piercing, Ranged and Slashing of caster by 8.4',100,1,3),
(18910,46977,'Applies Middling Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(18911,46977,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(18912,46977,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(18913,46977,'Cannot be modified except by direct means',100,2,3),
(18914,46977,'Grants a total of 80 triggers of the spell.',100,2,4),
(18915,46977,'Only affects targets level 50 and above',100,1,5),
(18916,10046977,'Applies Middling Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(18917,10046977,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(18918,10046977,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(18919,10046977,'Cannot be modified except by direct means',100,2,3),
(18920,10046977,'Grants a total of 80 triggers of the spell.',100,2,4),
(18921,10046977,'Only affects targets level 50 and above',100,1,5),
(18922,118032,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(18923,118032,'Stuns target',100,2,1),
(18924,118032,'If Target is not Epic',100,3,2),
(18925,118032,'Inflicts 850 - 1416 divine damage on target',100,2,3),
(18926,118032,'Grants a total of 3 triggers of the spell.',100,2,4),
(18927,10118032,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(18928,10118032,'Stuns target',100,2,1),
(18929,10118032,'If Target is not Epic',100,3,2),
(18930,10118032,'Inflicts 670 - 1116 divine damage on target',100,2,3),
(18931,10118032,'Grants a total of 3 triggers of the spell.',100,2,4),
(18932,113067,'Dazes target',100,1,0),
(18933,113067,'If Target is not Epic',100,2,1),
(18934,113067,'Applies Scream on termination.',100,1,2),
(18935,113067,'Inflicts 910 - 1516 disease damage on target',100,2,3),
(18936,113067,'Resistibility increases against targets higher than level 77.',100,1,4),
(18937,10113067,'Dazes target',100,1,0),
(18938,10113067,'If Target is not Epic',100,2,1),
(18939,10113067,'Applies Scream on termination.',100,1,2),
(18940,10113067,'Inflicts 717 - 1195 disease damage on target',100,2,3),
(18941,10113067,'Resistibility increases against targets higher than level 77.',100,1,4),
(18942,108202,'Increases power of caster by 33 instantly and every 4 seconds',100,1,0),
(18943,10108202,'Increases power of caster by 33 instantly and every 4 seconds',100,1,0),
(18944,100513,'Increases Attack Speed of group members (AE) by 22.2',100,1,0),
(18945,10100513,'Increases Attack Speed of group members (AE) by 22.2',100,1,0),
(18946,101710,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(18947,101710,'Inflicts 4183 - 5040 disease damage on target',100,2,1),
(18948,101710,'Grants a total of 3 triggers of the spell.',100,2,2),
(18949,10101710,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(18950,10101710,'Inflicts 3171 - 3846 disease damage on target',100,2,1),
(18951,10101710,'Grants a total of 3 triggers of the spell.',100,2,2),
(18952,49093,'Applies Vul''Thos'' Call when Activated.',100,0,0),
(18953,49093,'This effect cannot be cast during combat',100,1,1),
(18954,10049093,'Applies Vul''Thos'' Call when Activated.',100,0,0),
(18955,10049093,'This effect cannot be cast during combat',100,1,1),
(18956,117419,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(18957,117419,'Inflicts 584 - 1078 melee damage on targets in area',100,2,1),
(18958,117419,'Grants a total of 10 triggers of the spell.',100,2,2),
(18959,10117419,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(18960,10117419,'Inflicts 460 - 850 melee damage on targets in area',100,2,1),
(18961,10117419,'Grants a total of 10 triggers of the spell.',100,2,2),
(18962,120463,'Inflicts 1832 - 3009 ranged damage on target',100,1,0),
(18963,120463,'Slows target by 58.2%',100,1,1),
(18964,120463,'10% chance to dispel when target receives hostile action',100,1,2),
(18965,120463,'Requires bow',100,1,3),
(18966,10120463,'Inflicts 992 - 1493 ranged damage on target',100,1,0),
(18967,10120463,'Slows target by 58.2%',100,1,1),
(18968,10120463,'10% chance to dispel when target receives hostile action',100,1,2),
(18969,10120463,'Requires bow',100,1,3),
(18970,87509,'When Equipped:',100,0,0),
(18971,87509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18972,87509,'Inflicts 192 - 289 magic damage on target',100,2,2),
(18973,87509,'Cannot be modified except by direct means',100,2,3),
(18974,10087509,'When Equipped:',100,0,0),
(18975,10087509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(18976,10087509,'Inflicts 192 - 289 magic damage on target',100,2,2),
(18977,10087509,'Cannot be modified except by direct means',100,2,3),
(18978,101795,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(18979,101795,'Decreases Threat to target by 903 ',100,2,1),
(18980,10101795,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(18981,10101795,'Inflicts 66 - 73 crushing damage on target',100,2,1),
(18982,104300,'Inflicts 1502 - 2491 melee damage on target',100,1,0),
(18983,104300,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(18984,104300,'Stuns target',100,2,2),
(18985,104300,'Throws target back',100,2,3),
(18986,104300,'Blurs vision of target',100,2,4),
(18987,104300,'Does not affect Epic targets',100,2,5),
(18988,10104300,'Inflicts 1182 - 1703 melee damage on target',100,1,0),
(18989,10104300,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(18990,10104300,'Blurs vision of target',100,2,2),
(18991,10104300,'Stuns target',100,2,3),
(18992,10104300,'Throws target back',100,2,4),
(18993,10104300,'Does not affect Epic targets',100,2,5),
(18994,103760,'Teleports target to caster',100,1,0),
(18995,103760,'This effect cannot be cast during combat',100,1,1),
(18996,10103760,'Teleports target to caster',100,1,0),
(18997,10103760,'This effect cannot be cast during combat',100,1,1),
(18998,117615,'Inflicts 2322 - 3205 ranged damage on target',100,1,0),
(18999,117615,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(19000,117615,'Slows target by 39.4%',100,2,2),
(19001,117615,'5% chance to dispel when target receives hostile action',100,2,3),
(19002,117615,'5% chance to dispel when target takes damage',100,2,4),
(19003,117615,'Must be flanking or behind',100,1,5),
(19004,117615,'Requires bow',100,1,6),
(19005,10117615,'Inflicts 1186 - 1708 ranged damage on target',100,1,0),
(19006,10117615,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(19007,10117615,'Slows target by 39.4%',100,2,2),
(19008,10117615,'5% chance to dispel when target receives hostile action',100,2,3),
(19009,10117615,'5% chance to dispel when target takes damage',100,2,4),
(19010,10117615,'Must be flanking or behind',100,1,5),
(19011,10117615,'Requires bow',100,1,6),
(19012,124707,'Heals group members (AE) for 742 - 907',100,1,0),
(19013,10124707,'Heals group members (AE) for 677 - 828',100,1,0),
(19014,130258,'When Equipped:',100,0,0),
(19015,130258,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(19016,130258,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(19017,130258,'Must not be engaged in pvp combat',100,2,3),
(19018,130258,'Cannot be modified except by direct means',100,2,4),
(19019,130258,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(19020,130258,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(19021,130258,'Must not be engaged in pvp combat',100,2,7),
(19022,130258,'Cannot be modified except by direct means',100,2,8),
(19023,130258,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(19024,130258,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(19025,130258,'Must not be engaged in pvp combat',100,2,11),
(19026,130258,'Cannot be modified except by direct means',100,2,12),
(19027,130258,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(19028,130258,'Inflicts 53 piercing damage on target',100,2,14),
(19029,130258,'Must not be engaged in pvp combat',100,2,15),
(19030,130258,'Cannot be modified except by direct means',100,2,16),
(19031,10130258,'When Equipped:',100,0,0),
(19032,10130258,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(19033,10130258,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(19034,10130258,'Must not be engaged in pvp combat',100,2,3),
(19035,10130258,'Cannot be modified except by direct means',100,2,4),
(19036,10130258,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(19037,10130258,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(19038,10130258,'Must not be engaged in pvp combat',100,2,7),
(19039,10130258,'Cannot be modified except by direct means',100,2,8),
(19040,10130258,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(19041,10130258,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(19042,10130258,'Must not be engaged in pvp combat',100,2,11),
(19043,10130258,'Cannot be modified except by direct means',100,2,12),
(19044,10130258,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(19045,10130258,'Inflicts 53 piercing damage on target',100,2,14),
(19046,10130258,'Must not be engaged in pvp combat',100,2,15),
(19047,10130258,'Cannot be modified except by direct means',100,2,16),
(19048,116232,'Increases AGI of caster by 15.5',100,1,0),
(19049,116232,'Increases INT of caster by 38.8',100,1,1),
(19050,10116232,'Increases AGI of caster by 15.5',100,1,0),
(19051,10116232,'Increases INT of caster by 38.8',100,1,1),
(19052,104540,'Increases Threat to target by 3,833 - 4,263  instantly and by 570 - 696  every 2 seconds thereafter',100,1,0),
(19053,10104540,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(19054,163394,'When Equipped:',100,0,0),
(19055,163394,'Adds an additional trigger chance increase to Cacophony of Blades II and Perfection of the Maestro II.',100,1,1),
(19056,10163394,'When Equipped:',100,0,0),
(19057,10163394,'Adds an additional trigger chance increase to Cacophony of Blades II and Perfection of the Maestro II.',100,1,1),
(19058,124239,'Decreases Attack Speed of caster by 17.9',100,1,0),
(19059,124239,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(19060,124239,'Slows targets in Area of Effect by 73.3%',100,2,2),
(19061,124239,'5% chance to dispel when target receives hostile action',100,2,3),
(19062,124239,'5% chance to dispel when target takes damage',100,2,4),
(19063,124239,'Increases Mitigation of caster vs physical damage by 1327',100,1,5),
(19064,10124239,'Decreases Attack Speed of caster by 17.9',100,1,0),
(19065,10124239,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(19066,10124239,'Slows targets in Area of Effect by 55.0%',100,2,2),
(19067,10124239,'5% chance to dispel when target receives hostile action',100,2,3),
(19068,10124239,'5% chance to dispel when target takes damage',100,2,4),
(19069,10124239,'Increases Mitigation of caster vs physical damage by 1327',100,1,5),
(19070,146110,'When Equipped:',100,0,0),
(19071,146110,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(19072,146110,'Inflicts 1031 mental damage on target',100,2,2),
(19073,146110,'If any of the following are true:',100,3,3),
(19074,146110,'Must be classified as a void beast',100,4,4),
(19075,146110,'Must be classified as a shadowed folk',100,4,5),
(19076,146110,'Inflicts 516 mental damage on target',100,2,6),
(19077,146110,'Must not be classified as a void beast',100,3,7),
(19078,146110,'Must not be classified as a shadowed folk',100,3,8),
(19079,146110,'Decreases Mitigation of target vs arcane damage by 747',100,2,9),
(19080,146110,'If any of the following are true:',100,3,10),
(19081,146110,'Must be classified as a void beast',100,4,11),
(19082,146110,'Must be classified as a shadowed folk',100,4,12),
(19083,146110,'Cannot be modified except by direct means',100,2,13),
(19084,146110,'Additional equipment with Void Bane improves this effect.',100,1,14),
(19085,10146110,'When Equipped:',100,0,0),
(19086,10146110,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(19087,10146110,'Inflicts 1031 mental damage on target',100,2,2),
(19088,10146110,'If any of the following are true:',100,3,3),
(19089,10146110,'Must be classified as a void beast',100,4,4),
(19090,10146110,'Must be classified as a shadowed folk',100,4,5),
(19091,10146110,'Inflicts 516 mental damage on target',100,2,6),
(19092,10146110,'Must not be classified as a void beast',100,3,7),
(19093,10146110,'Must not be classified as a shadowed folk',100,3,8),
(19094,10146110,'Decreases Mitigation of target vs arcane damage by 747',100,2,9),
(19095,10146110,'If any of the following are true:',100,3,10),
(19096,10146110,'Must be classified as a void beast',100,4,11),
(19097,10146110,'Must be classified as a shadowed folk',100,4,12),
(19098,10146110,'Cannot be modified except by direct means',100,2,13),
(19099,10146110,'Additional equipment with Void Bane improves this effect.',100,1,14),
(19100,191022,'When Equipped:',100,0,0),
(19101,191022,'Reduces maximum falling speed of caster',100,1,1),
(19102,191022,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(19103,191022,'Allows caster to jump farther',100,1,3),
(19104,191022,'Cannot be modified except by direct means',100,1,4),
(19105,191022,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(19106,10191022,'When Equipped:',100,0,0),
(19107,10191022,'Reduces maximum falling speed of caster',100,1,1),
(19108,10191022,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(19109,10191022,'Allows caster to jump farther',100,1,3),
(19110,10191022,'Cannot be modified except by direct means',100,1,4),
(19111,10191022,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(19112,36787,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(19113,36042,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(19114,36042,'Increases Max Health of target by 91.0',100,0,1),
(19115,163698,'Applies Banishment when Activated.',100,0,0),
(19116,163698,'Teleports caster and caster''s group within the zone',100,1,1),
(19117,163698,'The casting time of Banishment is 5.94 seconds and the reuse time of the spell is 10 minutes 22 seconds',100,1,2),
(19118,10163698,'Applies Banishment when Activated.',100,0,0),
(19119,10163698,'Teleports caster and caster''s group within the zone',100,1,1),
(19120,10163698,'The casting time of Banishment is 5.94 seconds and the reuse time of the spell is 10 minutes 22 seconds',100,1,2),
(19121,47805,'Applies Cleansing Rites when Activated.',100,0,0),
(19122,10047805,'Applies Cleansing Rites when Activated.',100,0,0),
(19123,110895,'Inflicts 3811 - 4585 heat damage on target encounter',100,1,0),
(19124,10110895,'Inflicts 2877 - 3487 heat damage on target encounter',100,1,0),
(19125,115112,'Summons 4 limited pets to aid the caster',100,1,0),
(19126,10115112,'Summons 4 limited pets to aid the caster',100,1,0),
(19127,137298,'When Equipped:',100,0,0),
(19128,137298,'Reduces maximum falling speed of caster',100,1,1),
(19129,10137298,'When Equipped:',100,0,0),
(19130,10137298,'Reduces maximum falling speed of caster',100,1,1),
(19131,35470,'Increases Max Power of target by 108.8',100,0,0),
(19132,35470,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(19133,47846,'Applies Call Rubicite Armored Rhino with Black Saddle when Activated.',100,0,0),
(19134,47846,'Increases Max Health of caster by 150.0',100,1,1),
(19135,47846,'Increases Defense of caster by 5.0',100,1,2),
(19136,47846,'Increases Slashing and Ranged of caster by 7.0',100,1,3),
(19137,47846,'Summons a mount to ride',100,1,4),
(19138,47846,'Increases your ground speed by 130%',100,2,5),
(19139,47846,'Increases Piercing, Focus and Crushing of caster by 7.0',100,1,6),
(19140,10047846,'Applies Call Rubicite Armored Rhino with Black Saddle when Activated.',100,0,0),
(19141,10047846,'Increases Max Health of caster by 150.0',100,1,1),
(19142,10047846,'Increases Defense of caster by 5.0',100,1,2),
(19143,10047846,'Increases Slashing and Ranged of caster by 7.0',100,1,3),
(19144,10047846,'Summons a mount to ride',100,1,4),
(19145,10047846,'Increases your ground speed by 130%',100,2,5),
(19146,10047846,'Increases Piercing, Focus and Crushing of caster by 7.0',100,1,6),
(19147,48374,'Applies Dimensional Rift when Activated.',100,0,0),
(19148,10048374,'Applies Dimensional Rift when Activated.',100,0,0),
(19149,116652,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(19150,116652,'Increases Attack Speed of caster by 21.0',100,130,1),
(19151,116652,'Increases Crushing, Slashing, Piercing and Ranged of caster by 4.5',100,130,2),
(19152,116652,'Inflicts 428 - 711 melee damage on target',100,1,3),
(19153,116652,'Decreases Defense of target by 2.4',100,1,4),
(19154,116652,'If facing target',100,1,5),
(19155,10116652,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(19156,10116652,'Increases Attack Speed of caster by 21.0',100,130,1),
(19157,10116652,'Increases Crushing, Slashing, Piercing and Ranged of caster by 4.5',100,130,2),
(19158,10116652,'Inflicts 342 - 568 melee damage on target',100,1,3),
(19159,10116652,'Decreases Defense of target by 2.4',100,1,4),
(19160,10116652,'If facing target',100,1,5),
(19161,26669,'When Equipped:',100,0,0),
(19162,26669,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(19163,26669,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(19164,10026669,'When Equipped:',100,0,0),
(19165,10026669,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(19166,10026669,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(19167,45497,'Applies Emergency Retreat when Activated.',100,0,0),
(19168,45497,'Teleports caster and caster''s group within the zone',100,1,1),
(19169,45497,'Cannot be modified except by direct means',100,1,2),
(19170,10045497,'Applies Emergency Retreat when Activated.',100,0,0),
(19171,10045497,'Teleports caster and caster''s group within the zone',100,1,1),
(19172,10045497,'Cannot be modified except by direct means',100,1,2),
(19173,118471,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(19174,118471,'Inflicts 240 - 293 heat damage on target instantly and every second',100,2,1),
(19175,10118471,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(19176,10118471,'Inflicts 189 - 231 heat damage on target instantly and every second',100,2,1),
(19177,81274,'When Equipped:',100,0,0),
(19178,81274,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(19179,81274,'Decreases Threat to target by 949 ',100,2,2),
(19180,81274,'Must be flanking or behind',100,3,3),
(19181,81274,'Increases Threat to target by 1,409 ',100,2,4),
(19182,81274,'Must be in front of',100,3,5),
(19183,81274,'Inflicts 387 - 719 magic damage on target',100,2,6),
(19184,81274,'Cannot be modified except by direct means',100,2,7),
(19185,10081274,'When Equipped:',100,0,0),
(19186,10081274,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(19187,10081274,'Inflicts 387 - 719 magic damage on target',100,2,2),
(19188,10081274,'Cannot be modified except by direct means',100,2,3),
(19189,82344,'When Equipped:',100,0,0),
(19190,82344,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(19191,82344,'Decreases Threat to target by 994 ',100,2,2),
(19192,82344,'Must be flanking or behind',100,3,3),
(19193,82344,'Increases Threat to target by 1,454 ',100,2,4),
(19194,82344,'Must be in front of',100,3,5),
(19195,82344,'Inflicts 523 - 972 magic damage on target',100,2,6),
(19196,82344,'Cannot be modified except by direct means',100,2,7),
(19197,10082344,'When Equipped:',100,0,0),
(19198,10082344,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(19199,10082344,'Inflicts 523 - 972 magic damage on target',100,2,2),
(19200,10082344,'Cannot be modified except by direct means',100,2,3),
(19201,80828,'When Equipped:',100,0,0),
(19202,80828,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19203,80828,'Inflicts 332 - 617 magic damage on target',100,2,2),
(19204,80828,'Cannot be modified except by direct means',100,2,3),
(19205,10080828,'When Equipped:',100,0,0),
(19206,10080828,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19207,10080828,'Inflicts 332 - 617 magic damage on target',100,2,2),
(19208,10080828,'Cannot be modified except by direct means',100,2,3),
(19209,80860,'When Equipped:',100,0,0),
(19210,80860,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19211,80860,'Inflicts 332 - 617 magic damage on target',100,2,2),
(19212,80860,'Cannot be modified except by direct means',100,2,3),
(19213,10080860,'When Equipped:',100,0,0),
(19214,10080860,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19215,10080860,'Inflicts 332 - 617 magic damage on target',100,2,2),
(19216,10080860,'Cannot be modified except by direct means',100,2,3),
(19217,72134,'When Equipped:',100,0,0),
(19218,72134,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19219,72134,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(19220,72134,'Cannot be modified except by direct means',100,2,3),
(19221,10072134,'When Equipped:',100,0,0),
(19222,10072134,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19223,10072134,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(19224,10072134,'Cannot be modified except by direct means',100,2,3),
(19225,81254,'When Equipped:',100,0,0),
(19226,81254,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(19227,81254,'Decreases Threat to target by 949 ',100,2,2),
(19228,81254,'Must be flanking or behind',100,3,3),
(19229,81254,'Increases Threat to target by 1,409 ',100,2,4),
(19230,81254,'Must be in front of',100,3,5),
(19231,81254,'Inflicts 387 - 719 magic damage on target',100,2,6),
(19232,81254,'Cannot be modified except by direct means',100,2,7),
(19233,10081254,'When Equipped:',100,0,0),
(19234,10081254,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(19235,10081254,'Inflicts 387 - 719 magic damage on target',100,2,2),
(19236,10081254,'Cannot be modified except by direct means',100,2,3),
(19237,120157,'Decreases STR and INT of target by 87.1',100,1,0),
(19238,120157,'Increases STR and INT of caster by 87.1',100,1,1),
(19239,10120157,'Decreases STR and INT of target by 87.1',100,1,0),
(19240,10120157,'Increases STR and INT of caster by 87.1',100,1,1),
(19241,25918,'When Equipped:',100,0,0),
(19242,25918,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(19243,25918,'Heals caster for 132',100,2,2),
(19244,25918,'Cannot be modified except by direct means',100,2,3),
(19245,10025918,'When Equipped:',100,0,0),
(19246,10025918,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(19247,10025918,'Heals caster for 86',100,2,2),
(19248,10025918,'Cannot be modified except by direct means',100,2,3),
(19249,188245,'When Equipped:',100,0,0),
(19250,188245,'Gives caster a 0.6% chance to strikethrough a successful avoidance check',100,1,1),
(19251,188245,'Increases Riposte Damage of caster by 6.0',100,1,2),
(19252,188245,'Increases Additional chance to Riposte of caster by 6.0',100,1,3),
(19253,188245,'Must not be engaged in pvp combat',100,1,4),
(19254,10188245,'When Equipped:',100,0,0),
(19255,10188245,'Gives caster a 0.6% chance to strikethrough a successful avoidance check',100,1,1),
(19256,10188245,'Increases Riposte Damage of caster by 6.0',100,1,2),
(19257,10188245,'Increases Additional chance to Riposte of caster by 6.0',100,1,3),
(19258,10188245,'Must not be engaged in pvp combat',100,1,4),
(19259,159383,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(19260,159383,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(19261,159383,'Inflicts 123 heat damage on target',100,2,2),
(19262,159383,'Cannot be modified except by direct means',100,2,3),
(19263,10159383,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(19264,10159383,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(19265,10159383,'Inflicts 123 heat damage on target',100,2,2),
(19266,10159383,'Cannot be modified except by direct means',100,2,3),
(19267,36465,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(19268,114776,'Feigns Death with 86% chance of success',100,1,0),
(19269,10114776,'Feigns Death with 86% chance of success',100,1,0),
(19270,152360,'When Equipped:',100,0,0),
(19271,152360,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(19272,152360,'Increases AGI of target by 10.4',100,2,2),
(19273,152360,'Cannot be modified except by direct means',100,2,3),
(19274,10152360,'When Equipped:',100,0,0),
(19275,10152360,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(19276,10152360,'Increases AGI of target by 10.4',100,2,2),
(19277,10152360,'Cannot be modified except by direct means',100,2,3),
(19278,102143,'Inflicts 1195 - 1970 melee damage on target',100,1,0),
(19279,102143,'Inflicts 596 - 988 melee damage on target',100,1,1),
(19280,10102143,'Inflicts 864 - 1173 melee damage on target',100,1,0),
(19281,10102143,'Inflicts 469 - 779 melee damage on target',100,1,1),
(19282,46617,'Applies Haldorak''s Rejuvenation when Activated.',100,0,0),
(19283,46617,'Heals caster for 34',100,1,1),
(19284,10046617,'Applies Haldorak''s Rejuvenation when Activated.',100,0,0),
(19285,10046617,'Heals caster for 22',100,1,1),
(19286,143855,'When Equipped:',100,0,0),
(19287,143855,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(19288,143855,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(19289,143855,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(19290,143855,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(19291,143855,'Must not be engaged in pvp combat',100,2,5),
(19292,143855,'Cannot be modified except by direct means',100,2,6),
(19293,10143855,'When Equipped:',100,0,0),
(19294,10143855,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(19295,10143855,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(19296,10143855,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(19297,10143855,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(19298,10143855,'Must not be engaged in pvp combat',100,2,5),
(19299,10143855,'Cannot be modified except by direct means',100,2,6),
(19300,165320,'When Equipped:',100,0,0),
(19301,165320,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(19302,165320,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(19303,165320,'Must be engaged in combat',100,3,3),
(19304,165320,'Cannot be modified except by direct means',100,2,4),
(19305,10165320,'When Equipped:',100,0,0),
(19306,10165320,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(19307,10165320,'Cannot be modified except by direct means',100,2,2),
(19308,74679,'When Equipped:',100,0,0),
(19309,74679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19310,74679,'Inflicts 85 - 128 magic damage on target',100,2,2),
(19311,74679,'Cannot be modified except by direct means',100,2,3),
(19312,10074679,'When Equipped:',100,0,0),
(19313,10074679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19314,10074679,'Inflicts 85 - 128 magic damage on target',100,2,2),
(19315,10074679,'Cannot be modified except by direct means',100,2,3),
(19316,80440,'When Equipped:',100,0,0),
(19317,80440,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19318,80440,'Inflicts 77 - 143 magic damage on target',100,2,2),
(19319,80440,'Cannot be modified except by direct means',100,2,3),
(19320,10080440,'When Equipped:',100,0,0),
(19321,10080440,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19322,10080440,'Inflicts 77 - 143 magic damage on target',100,2,2),
(19323,10080440,'Cannot be modified except by direct means',100,2,3),
(19324,120687,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 2.2',100,1,0),
(19325,10120687,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 2.2',100,1,0),
(19326,116567,'Inflicts 274 - 455 divine damage on target',100,1,0),
(19327,10116567,'Inflicts 216 - 359 divine damage on target',100,1,0),
(19328,120163,'Applies Life Draw on termination.',100,1,0),
(19329,120163,'Inflicts 306 - 511 disease damage on target',100,2,1),
(19330,120163,'Heals caster for 45 - 76',100,2,2),
(19331,120163,'This effect cannot be critically applied.',100,3,3),
(19332,120163,'The healing of this spell cannot be modified except by direct means',100,2,4),
(19333,120163,'Inflicts 134 - 223 disease damage on target',100,1,5),
(19334,10120163,'Applies Life Draw on termination.',100,1,0),
(19335,10120163,'Inflicts 241 - 402 disease damage on target',100,2,1),
(19336,10120163,'Heals caster for 14 - 23',100,2,2),
(19337,10120163,'This effect cannot be critically applied.',100,3,3),
(19338,10120163,'The healing of this spell cannot be modified except by direct means',100,2,4),
(19339,10120163,'Inflicts 106 - 176 disease damage on target',100,1,5),
(19340,148580,'When Equipped:',100,0,0),
(19341,148580,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19342,148580,'Heals caster for 5 instantly and every 3 seconds',100,2,2),
(19343,148580,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(19344,148580,'Cannot be modified except by direct means',100,2,4),
(19345,148580,'Cannot be modified except by direct means',100,1,5),
(19346,10148580,'When Equipped:',100,0,0),
(19347,10148580,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19348,10148580,'Heals caster for 3 instantly and every 3 seconds',100,2,2),
(19349,10148580,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(19350,10148580,'Cannot be modified except by direct means',100,2,4),
(19351,10148580,'Cannot be modified except by direct means',100,1,5),
(19352,143976,'Applies Deepwater Fury when Activated.  Lasts for 20.0 seconds.',100,0,0),
(19353,143976,'Prevents AOE (except when direct) ',100,1,1),
(19354,143976,'Decreases Hate Gain of caster by 13.5 - 16.5%',100,1,2),
(19355,143976,'Cannot be modified except by direct means',100,1,3),
(19356,143976,'The reuse time of Deepwater Fury is 5 minutes',100,1,4),
(19357,10143976,'Applies Deepwater Fury when Activated.  Lasts for 20.0 seconds.',100,0,0),
(19358,10143976,'Prevents AOE (except when direct) ',100,1,1),
(19359,10143976,'Cannot be modified except by direct means',100,1,2),
(19360,10143976,'The reuse time of Deepwater Fury is 5 minutes',100,1,3),
(19361,103384,'Decreases power of target by 157 instantly and every 6 seconds',100,1,0),
(19362,103384,'Inflicts 1608 - 1747 mental damage on target',100,1,1),
(19363,103384,'Inflicts 626 - 765 mental damage on target every 6 seconds',100,1,2),
(19364,103384,'Increases power of caster by 140',100,1,3),
(19365,10103384,'Decreases power of target by 124 instantly and every 6 seconds',100,1,0),
(19366,10103384,'Inflicts 888 - 997 mental damage on target',100,1,1),
(19367,10103384,'Inflicts 493 - 603 mental damage on target every 6 seconds',100,1,2),
(19368,10103384,'Increases power of caster by 140',100,1,3),
(19369,190950,'When Equipped:',100,0,0),
(19370,190950,'When any damage is received this spell has a 7.5% chance to cast Infuriate on target''s attacker.  ',100,1,1),
(19371,190950,'Increases Threat to target by 1,232 - 1,747 ',100,2,2),
(19372,190950,'Cannot be modified except by direct means',100,2,3),
(19373,10190950,'When Equipped:',100,0,0),
(19374,10190950,'When any damage is received this spell has a 7.5% chance to cast Infuriate on target''s attacker.  ',100,1,1),
(19375,10190950,'Cannot be modified except by direct means',100,2,2),
(19376,87376,'When Equipped:',100,0,0),
(19377,87376,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19378,87376,'Inflicts 248 - 373 magic damage on target',100,2,2),
(19379,87376,'Cannot be modified except by direct means',100,2,3),
(19380,10087376,'When Equipped:',100,0,0),
(19381,10087376,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19382,10087376,'Inflicts 248 - 373 magic damage on target',100,2,2),
(19383,10087376,'Cannot be modified except by direct means',100,2,3),
(19384,111771,'Heals caster for 19.4 - 23.8% of max health',100,1,0),
(19385,111771,'This effect cannot be critically applied.',100,2,1),
(19386,111771,'The healing of this spell cannot be modified except by direct means',100,1,2),
(19387,10111771,'Heals caster for 9.7 - 11.9% of max health',100,1,0),
(19388,10111771,'This effect cannot be critically applied.',100,2,1),
(19389,10111771,'The healing of this spell cannot be modified except by direct means',100,1,2),
(19390,119862,'Increases INT and AGI of group members (AE) by 9.9',100,1,0),
(19391,119862,'Adds 1.5% to base avoidance.',100,1,1),
(19392,10119862,'Increases INT and AGI of group members (AE) by 9.9',100,1,0),
(19393,10119862,'Adds 1.5% to base avoidance.',100,1,1),
(19394,118252,'Increases Threat to target encounter by 494 - 604 ',100,1,0),
(19395,118252,'Decreases Mitigation of target encounter vs arcane damage by 184',100,1,1),
(19396,10118252,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(19397,10118252,'Prevents target from changing targets',100,2,1),
(19398,10118252,'Forces target to change their selected target to caster.',100,2,2),
(19399,10118252,'Decreases Mitigation of target encounter vs arcane damage by 184',100,1,3),
(19400,36215,'Increases AGI of target by 3.7',100,0,0),
(19401,36215,'Increases Out-of-Combat Health Regeneration of target by 63.5',100,0,1),
(19402,110703,'Heals target for 636 - 777',100,1,0),
(19403,10110703,'Heals target for 355 - 434',100,1,0),
(19404,51490,'When Equipped:',100,0,0),
(19405,51490,'Increases Potency of caster by 2.0%',100,1,1),
(19406,51490,'Must be engaged in pvp combat',100,1,2),
(19407,10051490,'When Equipped:',100,0,0),
(19408,10051490,'Increases Potency of caster by 2.0%',100,1,1),
(19409,10051490,'Must be engaged in pvp combat',100,1,2),
(19410,120190,'Applies Life Draw on termination.',100,1,0),
(19411,120190,'Inflicts 2460 - 4100 disease damage on target',100,2,1),
(19412,120190,'Heals caster for 9.4 - 11.5% of max health',100,2,2),
(19413,120190,'This effect cannot be critically applied.',100,3,3),
(19414,120190,'The healing of this spell cannot be modified except by direct means',100,2,4),
(19415,120190,'Inflicts 1081 - 1793 disease damage on target',100,1,5),
(19416,10120190,'Applies Life Draw on termination.',100,1,0),
(19417,10120190,'Inflicts 1939 - 3232 disease damage on target',100,2,1),
(19418,10120190,'Heals caster for 2.6 - 3.1% of max health',100,2,2),
(19419,10120190,'This effect cannot be critically applied.',100,3,3),
(19420,10120190,'The healing of this spell cannot be modified except by direct means',100,2,4),
(19421,10120190,'Inflicts 852 - 1337 disease damage on target',100,1,5),
(19422,87656,'When Equipped:',100,0,0),
(19423,87656,'On a combat hit this spell may cast Choke on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19424,87656,'Stifles target',100,2,2),
(19425,87656,'Does not affect Epic targets',100,2,3),
(19426,87656,'Resistibility increases against targets higher than level 77.',100,2,4),
(19427,87656,'Cannot be modified except by direct means',100,2,5),
(19428,10087656,'When Equipped:',100,0,0),
(19429,10087656,'On a combat hit this spell may cast Choke on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19430,10087656,'Stifles target',100,2,2),
(19431,10087656,'Does not affect Epic targets',100,2,3),
(19432,10087656,'Resistibility increases against targets higher than level 77.',100,2,4),
(19433,10087656,'Cannot be modified except by direct means',100,2,5),
(19434,138897,'When Equipped:',100,0,0),
(19435,138897,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19436,138897,'Decreases Mitigation of target vs arcane damage by 574',100,2,2),
(19437,138897,'Must be classified as a vampire',100,3,3),
(19438,138897,'Inflicts 787 divine damage on target',100,2,4),
(19439,138897,'Must be classified as a vampire',100,3,5),
(19440,138897,'Inflicts 393 divine damage on target',100,2,6),
(19441,138897,'Must not be classified as a vampire',100,3,7),
(19442,138897,'Cannot be modified except by direct means',100,2,8),
(19443,138897,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(19444,10138897,'When Equipped:',100,0,0),
(19445,10138897,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19446,10138897,'Decreases Mitigation of target vs arcane damage by 574',100,2,2),
(19447,10138897,'Must be classified as a vampire',100,3,3),
(19448,10138897,'Inflicts 787 divine damage on target',100,2,4),
(19449,10138897,'Must be classified as a vampire',100,3,5),
(19450,10138897,'Inflicts 393 divine damage on target',100,2,6),
(19451,10138897,'Must not be classified as a vampire',100,3,7),
(19452,10138897,'Cannot be modified except by direct means',100,2,8),
(19453,10138897,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(19454,118066,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(19455,118066,'Increases Defense of caster by 5.8',100,1,1),
(19456,10118066,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(19457,10118066,'Increases Defense of caster by 5.8',100,1,1),
(19458,100647,'Increases AGI, STR and STA of target by 36.6',100,1,0),
(19459,100647,'Adds 1.5% to base avoidance.',100,1,1),
(19460,10100647,'Increases AGI, STR and STA of target by 36.6',100,1,0),
(19461,10100647,'Adds 1.5% to base avoidance.',100,1,1),
(19462,107664,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1693',100,1,0),
(19463,10107664,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1693',100,1,0),
(19464,124237,'Decreases Attack Speed of caster by 17.9',100,1,0),
(19465,124237,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(19466,124237,'Slows targets in Area of Effect by 64.1%',100,2,2),
(19467,124237,'5% chance to dispel when target receives hostile action',100,2,3),
(19468,124237,'5% chance to dispel when target takes damage',100,2,4),
(19469,124237,'Increases Mitigation of caster vs physical damage by 1161',100,1,5),
(19470,10124237,'Decreases Attack Speed of caster by 17.9',100,1,0),
(19471,10124237,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(19472,10124237,'Slows targets in Area of Effect by 48.1%',100,2,2),
(19473,10124237,'5% chance to dispel when target receives hostile action',100,2,3),
(19474,10124237,'5% chance to dispel when target takes damage',100,2,4),
(19475,10124237,'Increases Mitigation of caster vs physical damage by 1161',100,1,5),
(19476,105561,'Inflicts 1587 - 2105 disease damage on target',100,1,0),
(19477,105561,'Inflicts 363 - 673 disease damage on target every 2 seconds',100,1,1),
(19478,10105561,'Inflicts 871 - 1279 disease damage on target',100,1,0),
(19479,10105561,'Inflicts 286 - 531 disease damage on target every 2 seconds',100,1,1),
(19480,103997,'Interrupts targets in Area of Effect',100,1,0),
(19481,103997,'Inflicts 1055 - 1678 poison damage on targets in Area of Effect',100,1,1),
(19482,103997,'Inflicts 727 - 1351 poison damage on targets in Area of Effect every second',100,1,2),
(19483,10103997,'Interrupts targets in Area of Effect',100,1,0),
(19484,10103997,'Inflicts 705 - 1196 poison damage on targets in Area of Effect',100,1,1),
(19485,10103997,'Inflicts 573 - 1064 poison damage on targets in Area of Effect every second',100,1,2),
(19486,145954,'When Equipped:',100,0,0),
(19487,145954,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(19488,145954,'Increases Potency of caster by 11.0%',100,2,2),
(19489,145954,'Must not be engaged in pvp combat',100,2,3),
(19490,145954,'Cannot be modified except by direct means',100,2,4),
(19491,145954,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(19492,145954,'Increases Potency of caster by 11.0%',100,2,6),
(19493,145954,'Must not be engaged in pvp combat',100,2,7),
(19494,145954,'Cannot be modified except by direct means',100,2,8),
(19495,145954,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(19496,145954,'Cannot be modified except by direct means',100,1,10),
(19497,10145954,'When Equipped:',100,0,0),
(19498,10145954,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(19499,10145954,'Increases Potency of caster by 11.0%',100,2,2),
(19500,10145954,'Must not be engaged in pvp combat',100,2,3),
(19501,10145954,'Cannot be modified except by direct means',100,2,4),
(19502,10145954,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(19503,10145954,'Increases Potency of caster by 11.0%',100,2,6),
(19504,10145954,'Must not be engaged in pvp combat',100,2,7),
(19505,10145954,'Cannot be modified except by direct means',100,2,8),
(19506,10145954,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(19507,10145954,'Cannot be modified except by direct means',100,1,10),
(19508,90357,'When Equipped:',100,0,0),
(19509,90357,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(19510,90357,'Inflicts 32 - 39 magic damage on target',100,2,2),
(19511,90357,'If target is Darathar',100,3,3),
(19512,90357,'Cannot be modified except by direct means',100,2,4),
(19513,10090357,'When Equipped:',100,0,0),
(19514,10090357,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(19515,10090357,'Inflicts 32 - 39 magic damage on target',100,2,2),
(19516,10090357,'If target is Darathar',100,3,3),
(19517,10090357,'Cannot be modified except by direct means',100,2,4),
(19518,177534,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(19519,177534,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(19520,177534,'Inflicts 67 heat damage on target',100,2,2),
(19521,177534,'Cannot be modified except by direct means',100,2,3),
(19522,10177534,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(19523,10177534,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(19524,10177534,'Inflicts 67 heat damage on target',100,2,2),
(19525,10177534,'Cannot be modified except by direct means',100,2,3),
(19526,176642,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(19527,176642,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 468',100,1,1),
(19528,176642,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(19529,10176642,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(19530,10176642,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 468',100,1,1),
(19531,10176642,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(19532,24370,'Adds Flying Snake (Assassin) to your Dungeon Maker toolbox',100,0,0),
(19533,10024370,'Adds Flying Snake (Assassin) to your Dungeon Maker toolbox',100,0,0),
(19534,110556,'Decreases Attack Speed of target by 9.7',100,1,0),
(19535,110556,'Decreases Crushing, Slashing and Piercing of target by 0.7',100,1,1),
(19536,10110556,'Decreases Attack Speed of target by 9.7',100,1,0),
(19537,10110556,'Decreases Crushing, Slashing and Piercing of target by 0.7',100,1,1),
(19538,115050,'Heals target for 4448 - 5219',100,1,0),
(19539,10115050,'Heals target for 4083 - 4934',100,1,0),
(19540,107014,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(19541,107014,'Increases Threat to target encounter by 3,893 - 5,031 ',100,1,1),
(19542,107014,'Increases threat priority of target encounter by 2 positions',100,1,2),
(19543,10107014,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(19544,24180,'Adds Crushbone: Forge Poker to your Dungeon Maker toolbox',100,0,0),
(19545,10024180,'Adds Crushbone: Forge Poker to your Dungeon Maker toolbox',100,0,0),
(19546,112439,'Mesmerizes target',100,1,0),
(19547,112439,'Prevents AOE (except when direct) ',100,1,1),
(19548,112439,'Dispelled when target takes damage',100,1,2),
(19549,112439,'Does not affect Epic targets',100,1,3),
(19550,112439,'Resistibility increases against targets higher than level 81.',100,1,4),
(19551,10112439,'Mesmerizes target',100,1,0),
(19552,10112439,'Prevents AOE (except when direct) ',100,1,1),
(19553,10112439,'Dispelled when target takes damage',100,1,2),
(19554,10112439,'Does not affect Epic targets',100,1,3),
(19555,10112439,'Resistibility increases against targets higher than level 81.',100,1,4),
(19556,117138,'Inflicts 1824 - 2011 heat damage on target',100,1,0),
(19557,117138,'Inflicts 842 - 1029 heat damage on target every 4 seconds',100,1,1),
(19558,117138,'Decreases Mitigation of target vs arcane damage by 780',100,1,2),
(19559,10117138,'Inflicts 1058 - 1205 heat damage on target',100,1,0),
(19560,10117138,'Inflicts 663 - 811 heat damage on target every 4 seconds',100,1,1),
(19561,10117138,'Decreases Mitigation of target vs arcane damage by 780',100,1,2),
(19562,81116,'When Equipped:',100,0,0),
(19563,81116,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19564,81116,'Inflicts 295 - 547 magic damage on target',100,2,2),
(19565,81116,'Cannot be modified except by direct means',100,2,3),
(19566,10081116,'When Equipped:',100,0,0),
(19567,10081116,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19568,10081116,'Inflicts 295 - 547 magic damage on target',100,2,2),
(19569,10081116,'Cannot be modified except by direct means',100,2,3),
(19570,108289,'Summons a limited pet to aid the caster',100,1,0),
(19571,10108289,'Summons a limited pet to aid the caster',100,1,0),
(19572,37257,'Increases outgoing heal and ward amount by 1.5%',100,0,0),
(19573,37257,'Increases WIS and STA of target by 61.6',100,0,1),
(19574,37257,'Increases Out-of-Combat Power Regeneration of target by 141.6',100,0,2),
(19575,165622,'When Equipped:',100,0,0),
(19576,165622,'Reduces maximum falling speed of caster',100,1,1),
(19577,165622,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(19578,165622,'Allows caster to jump farther',100,1,3),
(19579,165622,'Cannot be modified except by direct means',100,1,4),
(19580,165622,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(19581,10165622,'When Equipped:',100,0,0),
(19582,10165622,'Reduces maximum falling speed of caster',100,1,1),
(19583,10165622,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(19584,10165622,'Allows caster to jump farther',100,1,3),
(19585,10165622,'Cannot be modified except by direct means',100,1,4),
(19586,10165622,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(19587,113988,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(19588,113988,'Inflicts 240 - 398 melee damage on target',100,2,1),
(19589,113988,'Increases Threat to target by 1,104 ',100,2,2),
(19590,10113988,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(19591,10113988,'Inflicts 189 - 313 melee damage on target',100,2,1),
(19592,164599,'Applies Unstable Magics when Equipped.',100,0,0),
(19593,164599,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(19594,10164599,'Applies Unstable Magics when Equipped.',100,0,0),
(19595,10164599,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(19596,48107,'Applies Place the Carcass when Activated.',100,0,0),
(19597,48107,'Drop the snow leopard carcass.',100,1,1),
(19598,10048107,'Applies Place the Carcass when Activated.',100,0,0),
(19599,10048107,'Drop the snow leopard carcass.',100,1,1),
(19600,87548,'Applies Mental Blast when Activated.',100,0,0),
(19601,87548,'Inflicts 466 - 777 mental damage on target',100,1,1),
(19602,87548,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(19603,10087548,'Applies Mental Blast when Activated.',100,0,0),
(19604,10087548,'Inflicts 466 - 777 mental damage on target',100,1,1),
(19605,10087548,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(19606,116103,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(19607,116103,'Heals target for 842 - 1029',100,2,1),
(19608,116103,'Grants a total of 5 triggers of the spell.',100,2,2),
(19609,10116103,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(19610,10116103,'Heals target for 448 - 537',100,2,1),
(19611,10116103,'Grants a total of 5 triggers of the spell.',100,2,2),
(19612,159502,'Applies Sanguine Imbued when Equipped.',100,0,0),
(19613,159502,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(19614,159502,'Inflicts 452 heat damage on target',100,2,2),
(19615,159502,'Cannot be modified except by direct means',100,2,3),
(19616,10159502,'Applies Sanguine Imbued when Equipped.',100,0,0),
(19617,10159502,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(19618,10159502,'Inflicts 452 heat damage on target',100,2,2),
(19619,10159502,'Cannot be modified except by direct means',100,2,3),
(19620,120256,'Inflicts 2623 - 3886 crushing damage on target',100,1,0),
(19621,10120256,'Inflicts 1774 - 2683 crushing damage on target',100,1,0),
(19622,35560,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(19623,154990,'When Equipped:',100,0,0),
(19624,154990,'Increases Attack Speed of caster by 23.0',100,1,1),
(19625,10154990,'When Equipped:',100,0,0),
(19626,10154990,'Increases Attack Speed of caster by 23.0',100,1,1),
(19627,112571,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(19628,112571,'Heals targets in Area of Effect for 192 - 234',100,2,1),
(19629,112571,'Dispels 40 levels of physical hostile effects on target',100,2,2),
(19630,10112571,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(19631,10112571,'Heals targets in Area of Effect for 98 - 120',100,2,1),
(19632,10112571,'Dispels 40 levels of physical hostile effects on target',100,2,2),
(19633,173512,'When Equipped:',100,0,0),
(19634,173512,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(19635,173512,'Wards caster against 720 points of all damage',100,2,2),
(19636,173512,'Cannot be modified except by direct means',100,2,3),
(19637,173512,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(19638,173512,'Wards caster against 720 points of all damage',100,2,5),
(19639,173512,'Cannot be modified except by direct means',100,2,6),
(19640,10173512,'When Equipped:',100,0,0),
(19641,10173512,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(19642,10173512,'Wards caster against 360 points of all damage',100,2,2),
(19643,10173512,'Cannot be modified except by direct means',100,2,3),
(19644,10173512,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(19645,10173512,'Wards caster against 360 points of all damage',100,2,5),
(19646,10173512,'Cannot be modified except by direct means',100,2,6),
(19647,117953,'Heals target for 1189 - 1453',100,1,0),
(19648,117953,'Increases Max Health of target by 39.4',100,1,1),
(19649,10117953,'Heals target for 973 - 1133',100,1,0),
(19650,10117953,'Increases Max Health of target by 39.4',100,1,1),
(19651,46166,'Applies Winning Experience when Activated.  Lasts for 2 hours.',100,0,0),
(19652,46166,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(19653,46166,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(19654,46166,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(19655,46166,'You can only have one experience potion active at a time.',100,1,4),
(19656,10046166,'Applies Winning Experience when Activated.  Lasts for 2 hours.',100,0,0),
(19657,10046166,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(19658,10046166,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(19659,10046166,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(19660,10046166,'You can only have one experience potion active at a time.',100,1,4),
(19661,46555,'Applies noxious remedy when Activated.',100,0,0),
(19662,46555,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(19663,10046555,'Applies noxious remedy when Activated.',100,0,0),
(19664,10046555,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(19665,75378,'Applies Mark of Pestilence when Equipped.',100,0,0),
(19666,10075378,'Applies Mark of Pestilence when Equipped.',100,0,0),
(19667,110909,'Inflicts 113 - 188 divine damage on target',100,1,0),
(19668,110909,'Increases Threat to target by 1,052 ',100,1,1),
(19669,110909,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(19670,110909,'Blurs vision of target',100,2,3),
(19671,110909,'Stuns target',100,2,4),
(19672,110909,'Throws target back',100,2,5),
(19673,110909,'Does not affect Epic targets',100,2,6),
(19674,10110909,'Inflicts 89 - 148 divine damage on target',100,1,0),
(19675,10110909,'Prevents target from changing targets',100,1,1),
(19676,10110909,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(19677,10110909,'Blurs vision of target',100,2,3),
(19678,10110909,'Stuns target',100,2,4),
(19679,10110909,'Throws target back',100,2,5),
(19680,10110909,'Does not affect Epic targets',100,2,6),
(19681,10110909,'Forces target to change their selected target to caster.',100,1,7),
(19682,103390,'Decreases power of target by 292 instantly and every 6 seconds',100,1,0),
(19683,103390,'Inflicts 2148 - 2407 mental damage on target',100,1,1),
(19684,103390,'Inflicts 1165 - 1424 mental damage on target every 6 seconds',100,1,2),
(19685,103390,'Increases power of caster by 267',100,1,3),
(19686,10103390,'Decreases power of target by 230 instantly and every 6 seconds',100,1,0),
(19687,10103390,'Inflicts 1313 - 1517 mental damage on target',100,1,1),
(19688,10103390,'Inflicts 918 - 1122 mental damage on target every 6 seconds',100,1,2),
(19689,10103390,'Increases power of caster by 267',100,1,3),
(19690,51284,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(19691,51284,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(19692,51284,'Inflicts 95 heat damage on target',100,2,2),
(19693,51284,'Cannot be modified except by direct means',100,2,3),
(19694,10051284,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(19695,10051284,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(19696,10051284,'Inflicts 95 heat damage on target',100,2,2),
(19697,10051284,'Cannot be modified except by direct means',100,2,3),
(19698,116160,'Increases Attack Speed of caster by 33.2',100,1,0),
(19699,116160,'Increases Damage Per Second of caster by 38.2',100,1,1),
(19700,10116160,'Increases Attack Speed of caster by 33.2',100,1,0),
(19701,10116160,'Increases Damage Per Second of caster by 38.2',100,1,1),
(19702,113554,'Inflicts 4098 - 6175 disease damage on target',100,1,0),
(19703,10113554,'Inflicts 2850 - 4487 disease damage on target',100,1,0),
(19704,124016,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(19705,124016,'Heals target for 499 - 610',100,2,1),
(19706,124016,'Grants a total of 5 triggers of the spell.',100,2,2),
(19707,10124016,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(19708,10124016,'Heals target for 265 - 324',100,2,1),
(19709,10124016,'Grants a total of 5 triggers of the spell.',100,2,2),
(19710,176641,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(19711,176641,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 270',100,1,1),
(19712,176641,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(19713,10176641,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(19714,10176641,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 270',100,1,1),
(19715,10176641,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(19716,171054,'When Equipped:',100,0,0),
(19717,171054,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(19718,171054,'Increases Ability Modifier of group members by 200.0',100,2,2),
(19719,171054,'Cannot be modified except by direct means',100,2,3),
(19720,171054,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(19721,171054,'Increases Ability Modifier of group members by 200.0',100,2,5),
(19722,171054,'Cannot be modified except by direct means',100,2,6),
(19723,171054,'Cannot be modified except by direct means',100,1,7),
(19724,10171054,'When Equipped:',100,0,0),
(19725,10171054,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(19726,10171054,'Increases Ability Modifier of group members by 200.0',100,2,2),
(19727,10171054,'Cannot be modified except by direct means',100,2,3),
(19728,10171054,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(19729,10171054,'Increases Ability Modifier of group members by 200.0',100,2,5),
(19730,10171054,'Cannot be modified except by direct means',100,2,6),
(19731,10171054,'Cannot be modified except by direct means',100,1,7),
(19732,124750,'Inflicts 1309 - 1599 disease damage on target encounter',100,1,0),
(19733,10124750,'Inflicts 1016 - 1212 disease damage on target encounter',100,1,0),
(19734,72199,'When Equipped:',100,0,0),
(19735,72199,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19736,72199,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(19737,72199,'Cannot be modified except by direct means',100,2,3),
(19738,10072199,'When Equipped:',100,0,0),
(19739,10072199,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19740,10072199,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(19741,10072199,'Cannot be modified except by direct means',100,2,3),
(19742,115006,'Inflicts 4179 - 6720 ranged damage on targets in area',100,1,0),
(19743,115006,'You must be in stealth to use this!',100,1,1),
(19744,115006,'Requires bow',100,1,2),
(19745,10115006,'Inflicts 2408 - 3910 ranged damage on targets in area',100,1,0),
(19746,10115006,'You must be in stealth to use this!',100,1,1),
(19747,10115006,'Requires bow',100,1,2),
(19748,108716,'Inflicts 2328 heat damage on target',100,1,0),
(19749,108716,'Inflicts 301 heat damage on target every 4 seconds',100,1,1),
(19750,10108716,'Inflicts 1880 heat damage on target',100,1,0),
(19751,10108716,'Inflicts 237 heat damage on target every 4 seconds',100,1,1),
(19752,45213,'Applies arcane remedy when Activated.',100,0,0),
(19753,45213,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(19754,10045213,'Applies arcane remedy when Activated.',100,0,0),
(19755,10045213,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(19756,77414,'Applies Fire Ball when Activated.',100,0,0),
(19757,77414,'Inflicts 474 - 791 heat damage on target',100,1,1),
(19758,77414,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(19759,10077414,'Applies Fire Ball when Activated.',100,0,0),
(19760,10077414,'Inflicts 474 - 791 heat damage on target',100,1,1),
(19761,10077414,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(19762,36348,'Increases STA and STR of target by 6.2',100,0,0),
(19763,36348,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(19764,117596,'Inflicts 5121 - 7845 melee damage on target',100,1,0),
(19765,117596,'Decreases Parry of target by 82.3',100,1,1),
(19766,117596,'Must be in front of or flanking',100,1,2),
(19767,10117596,'Inflicts 3656 - 5803 melee damage on target',100,1,0),
(19768,10117596,'Decreases Parry of target by 82.3',100,1,1),
(19769,10117596,'Must be in front of or flanking',100,1,2),
(19770,47851,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(19771,47851,'Increases power of caster by 82 instantly and every 4 seconds',100,1,1),
(19772,47851,'Requires 715 Health to cast.',100,1,2),
(19773,10047851,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(19774,10047851,'Increases power of caster by 82 instantly and every 4 seconds',100,1,1),
(19775,10047851,'Requires 715 Health to cast.',100,1,2),
(19776,163649,'When Equipped:',100,0,0),
(19777,163649,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(19778,163649,'Decreases Threat to targets in Area of Effect by 300 ',100,2,2),
(19779,163649,'Must be engaged in combat',100,3,3),
(19780,163649,'Cannot be modified except by direct means',100,2,4),
(19781,10163649,'When Equipped:',100,0,0),
(19782,10163649,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(19783,10163649,'Cannot be modified except by direct means',100,2,2),
(19784,47905,'Applies stupefying poison when Activated.  Lasts for 12 hours.',100,0,0),
(19785,47905,'On a combat hit this spell may cast Stupefying Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(19786,47905,'Stuns target',100,2,2),
(19787,47905,'If Target is not Epic',100,3,3),
(19788,47905,'Does not affect Epic targets',100,2,4),
(19789,47905,'Cannot be modified except by direct means',100,2,5),
(19790,47905,'Grants a total of 60 triggers of the spell.',100,2,6),
(19791,10047905,'Applies stupefying poison when Activated.  Lasts for 12 hours.',100,0,0),
(19792,10047905,'On a combat hit this spell may cast Stupefying Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(19793,10047905,'Stuns target',100,2,2),
(19794,10047905,'If Target is not Epic',100,3,3),
(19795,10047905,'Does not affect Epic targets',100,2,4),
(19796,10047905,'Cannot be modified except by direct means',100,2,5),
(19797,10047905,'Grants a total of 60 triggers of the spell.',100,2,6),
(19798,40845,'When Equipped:',100,0,0),
(19799,40845,'On a critical combat hit this spell may cast Demolishing Charge on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(19800,40845,'Inflicts 29 - 32 crushing damage on target',100,2,2),
(19801,40845,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(19802,40845,'Blurs vision of target',100,3,4),
(19803,40845,'Stuns target',100,3,5),
(19804,40845,'Throws target back',100,3,6),
(19805,40845,'Does not affect Epic targets',100,3,7),
(19806,40845,'Increases Threat to target by 166 - 183 ',100,2,8),
(19807,40845,'Must not be engaged in pvp combat',100,2,9),
(19808,40845,'Cannot be modified except by direct means',100,2,10),
(19809,40845,'On a critical spell hit this spell may cast Demolishing Charge on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(19810,40845,'Inflicts 29 - 32 crushing damage on target',100,2,12),
(19811,40845,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,13),
(19812,40845,'Blurs vision of target',100,3,14),
(19813,40845,'Stuns target',100,3,15),
(19814,40845,'Throws target back',100,3,16),
(19815,40845,'Does not affect Epic targets',100,3,17),
(19816,40845,'Increases Threat to target by 166 - 183 ',100,2,18),
(19817,40845,'Must not be engaged in pvp combat',100,2,19),
(19818,40845,'Cannot be modified except by direct means',100,2,20),
(19819,40845,'Must not be engaged in pvp combat',100,1,21),
(19820,10040845,'When Equipped:',100,0,0),
(19821,10040845,'On a critical combat hit this spell may cast Demolishing Charge on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(19822,10040845,'Inflicts 29 - 32 crushing damage on target',100,2,2),
(19823,10040845,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(19824,10040845,'Stuns target',100,3,4),
(19825,10040845,'Throws target back',100,3,5),
(19826,10040845,'Blurs vision of target',100,3,6),
(19827,10040845,'Does not affect Epic targets',100,3,7),
(19828,10040845,'Must not be engaged in pvp combat',100,2,8),
(19829,10040845,'Cannot be modified except by direct means',100,2,9),
(19830,10040845,'On a critical spell hit this spell may cast Demolishing Charge on target of spell.  Triggers about 2.0 times per minute. ',100,1,10),
(19831,10040845,'Inflicts 29 - 32 crushing damage on target',100,2,11),
(19832,10040845,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,12),
(19833,10040845,'Stuns target',100,3,13),
(19834,10040845,'Throws target back',100,3,14),
(19835,10040845,'Blurs vision of target',100,3,15),
(19836,10040845,'Does not affect Epic targets',100,3,16),
(19837,10040845,'Must not be engaged in pvp combat',100,2,17),
(19838,10040845,'Cannot be modified except by direct means',100,2,18),
(19839,10040845,'Must not be engaged in pvp combat',100,1,19),
(19840,87506,'When Equipped:',100,0,0),
(19841,87506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19842,87506,'Inflicts 56 - 84 magic damage on target',100,2,2),
(19843,87506,'Cannot be modified except by direct means',100,2,3),
(19844,10087506,'When Equipped:',100,0,0),
(19845,10087506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19846,10087506,'Inflicts 56 - 84 magic damage on target',100,2,2),
(19847,10087506,'Cannot be modified except by direct means',100,2,3),
(19848,46718,'Applies Use Jorlak''s Chrono Periapt when Activated.',100,0,0),
(19849,46718,'This effect cannot be cast during combat',100,1,1),
(19850,46718,'If any of the following are true:',100,1,2),
(19851,46718,'Must be in zone Skyshrine: The City of Dracur',100,2,3),
(19852,46718,'Must be in zone Skyshrine: The Forbidden City of Dracur',100,2,4),
(19853,10046718,'Applies Use Jorlak''s Chrono Periapt when Activated.',100,0,0),
(19854,10046718,'This effect cannot be cast during combat',100,1,1),
(19855,10046718,'If any of the following are true:',100,1,2),
(19856,10046718,'Must be in zone Skyshrine: The City of Dracur',100,2,3),
(19857,10046718,'Must be in zone Skyshrine: The Forbidden City of Dracur',100,2,4),
(19858,112914,'Increases Damage Per Second of caster by 53.6',100,1,0),
(19859,112914,'Increases Ranged of caster by 23.1',100,1,1),
(19860,10112914,'Increases Damage Per Second of caster by 53.6',100,1,0),
(19861,10112914,'Increases Ranged of caster by 23.1',100,1,1),
(19862,124100,'Increases power of caster by 36',100,1,0),
(19863,10124100,'Increases power of caster by 36',100,1,0),
(19864,137388,'When Equipped:',100,0,0),
(19865,137388,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(19866,137388,'Wards target against 1000 points of all damage',100,2,2),
(19867,137388,'Cannot be modified except by direct means',100,2,3),
(19868,10137388,'When Equipped:',100,0,0),
(19869,10137388,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(19870,10137388,'Wards target against 1000 points of all damage',100,2,2),
(19871,10137388,'Cannot be modified except by direct means',100,2,3),
(19872,106693,'Heals caster for 56.2 - 68.6% of max health',100,1,0),
(19873,106693,'This effect cannot be critically applied.',100,2,1),
(19874,106693,'Increases Max Health of caster by 1,067.2',100,1,2),
(19875,106693,'The healing of this spell cannot be modified except by direct means',100,1,3),
(19876,10106693,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(19877,10106693,'This effect cannot be critically applied.',100,2,1),
(19878,10106693,'Increases Max Health of caster by 1,067.2',100,1,2),
(19879,10106693,'The healing of this spell cannot be modified except by direct means',100,1,3),
(19880,46665,'Applies Call Icewind Komodo when Activated.',100,0,0),
(19881,46665,'Increases Ministration of caster by 5.0',100,1,1),
(19882,46665,'Summons a mount to ride',100,1,2),
(19883,46665,'Increases your ground speed by 60%',100,2,3),
(19884,46665,'Increases your air speed by 200%',100,2,4),
(19885,46665,'Increases Ranged, Aggression, Crushing, Disruption, Piercing, Slashing, Ordination, Subjugation and Focus of caster by 5.0',100,1,5),
(19886,10046665,'Applies Call Icewind Komodo when Activated.',100,0,0),
(19887,10046665,'Increases Ministration of caster by 5.0',100,1,1),
(19888,10046665,'Summons a mount to ride',100,1,2),
(19889,10046665,'Increases your ground speed by 60%',100,2,3),
(19890,10046665,'Increases your air speed by 200%',100,2,4),
(19891,10046665,'Increases Ranged, Aggression, Crushing, Disruption, Piercing, Slashing, Ordination, Subjugation and Focus of caster by 5.0',100,1,5),
(19892,105042,'Increases WIS of raid and group members (AE) by 69.0',100,1,0),
(19893,105042,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(19894,105042,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 252',100,1,2),
(19895,10105042,'Increases WIS of raid and group members (AE) by 69.0',100,1,0),
(19896,10105042,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(19897,10105042,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 252',100,1,2),
(19898,25182,'When Equipped:',100,0,0),
(19899,25182,'On a parry this spell has a 1% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(19900,25182,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(19901,25182,'Heals caster for 24 - 29',100,3,3),
(19902,25182,'Grants a total of 3 triggers of the spell.',100,3,4),
(19903,25182,'Cannot be modified except by direct means',100,2,5),
(19904,10025182,'When Equipped:',100,0,0),
(19905,10025182,'On a parry this spell has a 1% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(19906,10025182,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(19907,10025182,'Heals caster for 13 - 15',100,3,3),
(19908,10025182,'Grants a total of 3 triggers of the spell.',100,3,4),
(19909,10025182,'Cannot be modified except by direct means',100,2,5),
(19910,121825,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(19911,121825,'Increases Mitigation of group members (AE) vs arcane damage by 375',100,1,1),
(19912,10121825,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(19913,10121825,'Increases Mitigation of group members (AE) vs arcane damage by 375',100,1,1),
(19914,80612,'When Equipped:',100,0,0),
(19915,80612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19916,80612,'Inflicts 96 - 178 magic damage on target',100,2,2),
(19917,80612,'Cannot be modified except by direct means',100,2,3),
(19918,10080612,'When Equipped:',100,0,0),
(19919,10080612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19920,10080612,'Inflicts 96 - 178 magic damage on target',100,2,2),
(19921,10080612,'Cannot be modified except by direct means',100,2,3),
(19922,102086,'Inflicts 203 - 337 crushing damage on target',100,1,0),
(19923,102086,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(19924,102086,'Blurs vision of target',100,2,2),
(19925,102086,'Stuns target',100,2,3),
(19926,102086,'Throws target back',100,2,4),
(19927,102086,'Does not affect Epic targets',100,2,5),
(19928,10102086,'Inflicts 160 - 266 crushing damage on target',100,1,0),
(19929,10102086,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(19930,10102086,'Blurs vision of target',100,2,2),
(19931,10102086,'Stuns target',100,2,3),
(19932,10102086,'Throws target back',100,2,4),
(19933,10102086,'Does not affect Epic targets',100,2,5),
(19934,105004,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(19935,105004,'Reduces physical damage done to caster by 5%',100,1,1),
(19936,105004,'Adds 1.8% to base avoidance.',100,1,2),
(19937,105004,'Caster will deflect 12.0% of incoming attacks.',100,1,3),
(19938,105004,'Increases Parry of caster by 31.2',100,1,4),
(19939,105004,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,5),
(19940,105004,'Increases Aggression of caster by 18.7',100,1,6),
(19941,105004,'Increases Defense and Deflection of caster by 31.2',100,1,7),
(19942,105004,'Increases Mitigation of caster vs arcane damage by 2086',100,1,8),
(19943,105004,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(19944,10105004,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(19945,10105004,'Reduces physical damage done to caster by 5%',100,1,1),
(19946,10105004,'Adds 1.8% to base avoidance.',100,1,2),
(19947,10105004,'Caster will deflect 12.0% of incoming attacks.',100,1,3),
(19948,10105004,'Increases Parry of caster by 31.2',100,1,4),
(19949,10105004,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,5),
(19950,10105004,'Increases Aggression of caster by 18.7',100,1,6),
(19951,10105004,'Increases Defense and Deflection of caster by 31.2',100,1,7),
(19952,10105004,'Increases Mitigation of caster vs arcane damage by 2086',100,1,8),
(19953,10105004,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(19954,109721,'Inflicts 3045 - 4405 cold damage on target',100,1,0),
(19955,109721,'If weapon equipped in Ranged',100,1,1),
(19956,10109721,'Inflicts 1614 - 2418 cold damage on target',100,1,0),
(19957,10109721,'If weapon equipped in Ranged',100,1,1),
(19958,80642,'When Equipped:',100,0,0),
(19959,80642,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19960,80642,'Inflicts 106 - 197 magic damage on target',100,2,2),
(19961,80642,'Cannot be modified except by direct means',100,2,3),
(19962,10080642,'When Equipped:',100,0,0),
(19963,10080642,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19964,10080642,'Inflicts 106 - 197 magic damage on target',100,2,2),
(19965,10080642,'Cannot be modified except by direct means',100,2,3),
(19966,109469,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(19967,109469,'Increases Attack Speed of caster by 21.0',100,130,1),
(19968,109469,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.6',100,130,2),
(19969,109469,'Inflicts 1460 - 1923 cold damage on target',100,1,3),
(19970,10109469,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(19971,10109469,'Increases Attack Speed of caster by 21.0',100,130,1),
(19972,10109469,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.6',100,130,2),
(19973,10109469,'Inflicts 842 - 1136 cold damage on target',100,1,3),
(19974,115358,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(19975,115358,'Inflicts 27 piercing damage on target',100,2,1),
(19976,10115358,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(19977,10115358,'Inflicts 21 piercing damage on target',100,2,1),
(19978,111140,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(19979,111140,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 370',100,1,1),
(19980,111140,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,2),
(19981,10111140,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(19982,10111140,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 370',100,1,1),
(19983,10111140,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,2),
(19984,83251,'When Equipped:',100,0,0),
(19985,83251,'On a melee hit this spell may cast Pox Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19986,83251,'Inflicts 375 disease damage on target instantly and every 4 seconds',100,2,2),
(19987,83251,'Cannot be modified except by direct means',100,2,3),
(19988,10083251,'When Equipped:',100,0,0),
(19989,10083251,'On a melee hit this spell may cast Pox Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(19990,10083251,'Inflicts 375 disease damage on target instantly and every 4 seconds',100,2,2),
(19991,10083251,'Cannot be modified except by direct means',100,2,3),
(19992,107317,'Decreases WIS of target by 37.0',100,1,0),
(19993,107317,'Decreases Defense of target by 14.3',100,1,1),
(19994,10107317,'Decreases WIS of target by 37.0',100,1,0),
(19995,10107317,'Decreases Defense of target by 14.3',100,1,1),
(19996,80273,'When Equipped:',100,0,0),
(19997,80273,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(19998,80273,'Inflicts 300 - 557 magic damage on target',100,2,2),
(19999,80273,'Cannot be modified except by direct means',100,2,3),
(20000,10080273,'When Equipped:',100,0,0),
(20001,10080273,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20002,10080273,'Inflicts 300 - 557 magic damage on target',100,2,2),
(20003,10080273,'Cannot be modified except by direct means',100,2,3),
(20004,40539,'When Equipped:',100,0,0),
(20005,40539,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20006,40539,'Inflicts 342 piercing damage on target',100,2,2),
(20007,40539,'Cannot be modified except by direct means',100,2,3),
(20008,10040539,'When Equipped:',100,0,0),
(20009,10040539,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20010,10040539,'Inflicts 171 piercing damage on target',100,2,2),
(20011,10040539,'Cannot be modified except by direct means',100,2,3),
(20012,159902,'Applies Lambent Imbued when Equipped.',100,0,0),
(20013,159902,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(20014,159902,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(20015,159902,'Cannot be modified except by direct means',100,2,3),
(20016,10159902,'Applies Lambent Imbued when Equipped.',100,0,0),
(20017,10159902,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(20018,10159902,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(20019,10159902,'Cannot be modified except by direct means',100,2,3),
(20020,82356,'When Equipped:',100,0,0),
(20021,82356,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20022,82356,'Inflicts 61 - 114 magic damage on target',100,2,2),
(20023,82356,'Decreases Threat to target by 135 ',100,2,3),
(20024,82356,'Must be flanking or behind',100,3,4),
(20025,82356,'Increases Threat to target by 236 ',100,2,5),
(20026,82356,'Must be in front of',100,3,6),
(20027,82356,'Cannot be modified except by direct means',100,2,7),
(20028,10082356,'When Equipped:',100,0,0),
(20029,10082356,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20030,10082356,'Inflicts 61 - 114 magic damage on target',100,2,2),
(20031,10082356,'Cannot be modified except by direct means',100,2,3),
(20032,114502,'Increases In-Combat Power Regeneration of group members (AE) by 15.4',100,1,0),
(20033,10114502,'Increases In-Combat Power Regeneration of group members (AE) by 15.4',100,1,0),
(20034,47967,'Applies Screewoggin''s Mystical Spark Maker when Activated.',100,0,0),
(20035,47967,'Resurrects target with 20% health and power',75,1,1),
(20036,47967,'This effect cannot be cast during combat',100,1,2),
(20037,10047967,'Applies Screewoggin''s Mystical Spark Maker when Activated.',100,0,0),
(20038,10047967,'Resurrects target with 20% health and power',75,1,1),
(20039,10047967,'This effect cannot be cast during combat',100,1,2),
(20040,36084,'Increases outgoing heal and ward amount by 2%',100,0,0),
(20041,36084,'Increases STA and WIS of target by 47.0',100,0,1),
(20042,36084,'Increases Out-of-Combat Power Regeneration of target by 91.8',100,0,2),
(20043,71635,'When Equipped:',100,0,0),
(20044,71635,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20045,71635,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(20046,71635,'Cannot be modified except by direct means',100,2,3),
(20047,10071635,'When Equipped:',100,0,0),
(20048,10071635,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20049,10071635,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(20050,10071635,'Cannot be modified except by direct means',100,2,3),
(20051,121998,'Inflicts 702 - 1164 melee damage on targets in area',100,1,0),
(20052,121998,'Increases Threat to target encounter by 3,142 ',100,1,1),
(20053,10121998,'Inflicts 553 - 918 melee damage on targets in area',100,1,0),
(20054,10121998,'Prevents target encounter from changing targets',100,1,1),
(20055,10121998,'Forces target encounter to change their selected target to caster.',100,1,2),
(20056,80506,'When Equipped:',100,0,0),
(20057,80506,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20058,80506,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(20059,80506,'Decreases Threat to target by 1,219 ',100,2,3),
(20060,80506,'Must be flanking or behind',100,3,4),
(20061,80506,'Increases Threat to target by 1,679 ',100,2,5),
(20062,80506,'Must be in front of',100,3,6),
(20063,80506,'Cannot be modified except by direct means',100,2,7),
(20064,10080506,'When Equipped:',100,0,0),
(20065,10080506,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20066,10080506,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(20067,10080506,'Cannot be modified except by direct means',100,2,3),
(20068,118088,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(20069,10118088,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(20070,120395,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(20071,120395,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20072,120395,'Inflicts 728 - 1213 heat damage on target',100,2,2),
(20073,120395,'Decreases Defense of caster by 14.7',100,1,3),
(20074,120395,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',100,1,4),
(20075,10120395,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(20076,10120395,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20077,10120395,'Inflicts 574 - 956 heat damage on target',100,2,2),
(20078,10120395,'Decreases Defense of caster by 14.7',100,1,3),
(20079,10120395,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',100,1,4),
(20080,82633,'When Equipped:',100,0,0),
(20081,82633,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20082,82633,'Inflicts 138 - 257 magic damage on target',100,2,2),
(20083,82633,'Decreases Threat to target by 236 ',100,2,3),
(20084,82633,'Must be flanking or behind',100,3,4),
(20085,82633,'Increases Threat to target by 414 ',100,2,5),
(20086,82633,'Must be in front of',100,3,6),
(20087,82633,'Cannot be modified except by direct means',100,2,7),
(20088,10082633,'When Equipped:',100,0,0),
(20089,10082633,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20090,10082633,'Inflicts 138 - 257 magic damage on target',100,2,2),
(20091,10082633,'Cannot be modified except by direct means',100,2,3),
(20092,48989,'Applies Call Tundra Gryphon when Activated.',100,0,0),
(20093,48989,'Summons a mount to ride',100,1,1),
(20094,48989,'Increases your ground speed by 75%',100,2,2),
(20095,48989,'Increases your air speed by 150%',100,2,3),
(20096,10048989,'Applies Call Tundra Gryphon when Activated.',100,0,0),
(20097,10048989,'Summons a mount to ride',100,1,1),
(20098,10048989,'Increases your ground speed by 75%',100,2,2),
(20099,10048989,'Increases your air speed by 150%',100,2,3),
(20100,121588,'Stuns target encounter',100,1,0),
(20101,121588,'Epic targets gain an immunity to Stun effects of 15.8 seconds and duration is reduced to 1.8 seconds.',100,1,1),
(20102,121588,'Resistibility increases against targets higher than level 59.',100,1,2),
(20103,10121588,'Stuns target encounter',100,1,0),
(20104,10121588,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(20105,10121588,'Resistibility increases against targets higher than level 59.',100,1,2),
(20106,107205,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(20107,107205,'Heals target for 1126',100,2,1),
(20108,10107205,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(20109,10107205,'Heals target for 580',100,2,1),
(20110,120393,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(20111,120393,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20112,120393,'Inflicts 770 - 1283 heat damage on target',100,2,2),
(20113,120393,'Decreases Defense of caster by 10.5',100,1,3),
(20114,120393,'Increases Slashing, Piercing, Crushing and Ranged of caster by 30.2',100,1,4),
(20115,10120393,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(20116,10120393,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20117,10120393,'Inflicts 607 - 1011 heat damage on target',100,2,2),
(20118,10120393,'Decreases Defense of caster by 10.5',100,1,3),
(20119,10120393,'Increases Slashing, Piercing, Crushing and Ranged of caster by 30.2',100,1,4),
(20120,36147,'Increases STA and AGI of target by 61.6',100,0,0),
(20121,36147,'Increases Attack Speed of target by 8.0',100,0,1),
(20122,36147,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,2),
(20123,85859,'When Equipped:',100,0,0),
(20124,85859,'On a combat hit this spell may cast Confusing Impact on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20125,85859,'Stifles target',100,2,2),
(20126,85859,'Throws target back',100,2,3),
(20127,85859,'Does not affect Epic targets',100,2,4),
(20128,85859,'Resistibility increases against targets higher than level 71.',100,2,5),
(20129,85859,'Cannot be modified except by direct means',100,2,6),
(20130,10085859,'When Equipped:',100,0,0),
(20131,10085859,'On a combat hit this spell may cast Confusing Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20132,10085859,'Stifles target',100,2,2),
(20133,10085859,'Throws target back',100,2,3),
(20134,10085859,'Does not affect Epic targets',100,2,4),
(20135,10085859,'Resistibility increases against targets higher than level 71.',100,2,5),
(20136,10085859,'Cannot be modified except by direct means',100,2,6),
(20137,113322,'Inflicts 2771 - 4051 heat damage on target',100,1,0),
(20138,10113322,'Inflicts 2604 - 4059 heat damage on target',100,1,0),
(20139,107738,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(20140,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,1),
(20141,107738,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(20142,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,3),
(20143,107738,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(20144,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,5),
(20145,107738,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(20146,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,7),
(20147,107738,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(20148,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,9),
(20149,107738,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(20150,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,11),
(20151,107738,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(20152,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,13),
(20153,107738,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(20154,107738,'Inflicts 2235 - 3506 melee damage on target',100,2,15),
(20155,10107738,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(20156,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,1),
(20157,10107738,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(20158,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,3),
(20159,10107738,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(20160,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,5),
(20161,10107738,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(20162,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,7),
(20163,10107738,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(20164,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,9),
(20165,10107738,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(20166,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,11),
(20167,10107738,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(20168,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,13),
(20169,10107738,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(20170,10107738,'Inflicts 987 - 1551 melee damage on target',100,2,15),
(20171,71795,'When Equipped:',100,0,0),
(20172,71795,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20173,71795,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(20174,71795,'Cannot be modified except by direct means',100,2,3),
(20175,10071795,'When Equipped:',100,0,0),
(20176,10071795,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20177,10071795,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(20178,10071795,'Cannot be modified except by direct means',100,2,3),
(20179,100397,'Summons a pet aery hunter',100,1,0),
(20180,10100397,'Summons a pet aery hunter',100,1,0),
(20181,111644,'Inflicts 546 - 667 cold damage on target encounter',100,1,0),
(20182,111644,'Slows target encounter by 34.4%',100,1,1),
(20183,111644,'5% chance to dispel when target takes damage',100,1,2),
(20184,111644,'5% chance to dispel when target receives hostile action',100,1,3),
(20185,10111644,'Inflicts 570 - 696 cold damage on target encounter',100,1,0),
(20186,10111644,'Slows target encounter by 34.4%',100,1,1),
(20187,10111644,'5% chance to dispel when target takes damage',100,1,2),
(20188,10111644,'5% chance to dispel when target receives hostile action',100,1,3),
(20189,107382,'Inflicts 1581 - 1860 heat damage on targets in Area of Effect',100,129,0),
(20190,107382,'Inflicts 1254 - 1533 heat damage on targets in Area of Effect every 0.6 seconds',100,129,1),
(20191,107382,'Inflicts an additional 261 - 319 heat damage on targets in Area of Effect every tick',100,129,2),
(20192,107382,'Slows targets in Area of Effect by 75.0%',100,129,3),
(20193,107382,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',100,1,4),
(20194,107382,'Inflicts 1420 - 1662 heat damage on targets in Area of Effect',100,1,5),
(20195,107382,'Inflicts 1092 - 1335 heat damage on targets in Area of Effect every 0.6 seconds',100,1,6),
(20196,10107382,'Inflicts 1062 - 1269 heat damage on targets in Area of Effect',100,1,0),
(20197,10107382,'Inflicts 931 - 1138 heat damage on targets in Area of Effect every 0.6 seconds',100,1,1),
(20198,10107382,'Inflicts an additional 193 - 236 heat damage on targets in Area of Effect every tick',100,1,2),
(20199,10107382,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',100,1,3),
(20200,10107382,'Slows targets in Area of Effect by 25.0%',100,1,4),
(20201,10107382,'Inflicts 942 - 1122 heat damage on targets in Area of Effect',100,1,5),
(20202,10107382,'Inflicts 810 - 991 heat damage on targets in Area of Effect every 0.6 seconds',100,1,6),
(20203,113504,'Inflicts 1849 - 2852 melee damage on targets in area',100,1,0),
(20204,10113504,'Inflicts 1331 - 2121 melee damage on targets in area',100,1,0),
(20205,80347,'When Equipped:',100,0,0),
(20206,80347,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20207,80347,'Inflicts 86 - 159 magic damage on target',100,2,2),
(20208,80347,'Cannot be modified except by direct means',100,2,3),
(20209,10080347,'When Equipped:',100,0,0),
(20210,10080347,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20211,10080347,'Inflicts 86 - 159 magic damage on target',100,2,2),
(20212,10080347,'Cannot be modified except by direct means',100,2,3),
(20213,47817,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(20214,47817,'Increases STR of caster by 123.7',100,1,1),
(20215,47817,'Gives caster an extra 1.5% mitigation to their worn armor',100,1,2),
(20216,10047817,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(20217,10047817,'Increases STR of caster by 123.7',100,1,1),
(20218,10047817,'Gives caster an extra 1.5% mitigation to their worn armor',100,1,2),
(20219,170707,'When Equipped:',100,0,0),
(20220,170707,'Increases Attack Speed of caster by 35.0',100,1,1),
(20221,10170707,'When Equipped:',100,0,0),
(20222,10170707,'Increases Attack Speed of caster by 35.0',100,1,1),
(20223,27285,'When Equipped:',100,0,0),
(20224,27285,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20225,27285,'Inflicts 341 divine damage on target',100,2,2),
(20226,27285,'Heals caster for 184',100,2,3),
(20227,27285,'Cannot be modified except by direct means',100,2,4),
(20228,10027285,'When Equipped:',100,0,0),
(20229,10027285,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20230,10027285,'Inflicts 341 divine damage on target',100,2,2),
(20231,10027285,'Heals caster for 119',100,2,3),
(20232,10027285,'Cannot be modified except by direct means',100,2,4),
(20233,47250,'Applies Irontoe''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(20234,47250,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(20235,10047250,'Applies Irontoe''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(20236,10047250,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(20237,113729,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(20238,10113729,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(20239,111538,'Increases Hate Gain of target by 24.9%',100,1,0),
(20240,111538,'Increases Aggression of target by 15.4',100,1,1),
(20241,10111538,'Increases STR of target by 39.4',100,1,0),
(20242,10111538,'Increases Aggression of target by 15.4',100,1,1),
(20243,122473,'Grants the brawler a small chance to briefly stun their target with  each melee hit.',100,1,0),
(20246,10122473,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(20247,10122473,'Inflicts 63 magic damage on target',100,2,1),
(20248,10122473,'Grants a total of 5 triggers of the spell.',100,2,2),
(20249,159878,'Applies Sanguine Imbued when Equipped.',100,0,0),
(20250,159878,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(20251,159878,'Inflicts 111 heat damage on target',100,2,2),
(20252,159878,'Cannot be modified except by direct means',100,2,3),
(20253,10159878,'Applies Sanguine Imbued when Equipped.',100,0,0),
(20254,10159878,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(20255,10159878,'Inflicts 111 heat damage on target',100,2,2),
(20256,10159878,'Cannot be modified except by direct means',100,2,3),
(20257,107080,'Inflicts 633 - 773 divine damage on target',100,1,0),
(20258,10107080,'Inflicts 543 - 664 divine damage on target',100,1,0),
(20259,81925,'When Equipped:',100,0,0),
(20260,81925,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20261,81925,'Inflicts 523 - 972 magic damage on target',100,2,2),
(20262,81925,'Decreases Threat to target by 994 ',100,2,3),
(20263,81925,'Must be flanking or behind',100,3,4),
(20264,81925,'Increases Threat to target by 1,454 ',100,2,5),
(20265,81925,'Must be in front of',100,3,6),
(20266,81925,'Cannot be modified except by direct means',100,2,7),
(20267,10081925,'When Equipped:',100,0,0),
(20268,10081925,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20269,10081925,'Inflicts 523 - 972 magic damage on target',100,2,2),
(20270,10081925,'Cannot be modified except by direct means',100,2,3),
(20271,106212,'Applies Defile.',100,1,0),
(20272,106212,'Inflicts 459 disease damage on targets in Area of Effect',100,2,1),
(20273,106212,'If under 30% Health',100,3,2),
(20274,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,3),
(20275,106212,'If under 10% Health',100,3,4),
(20276,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,5),
(20277,106212,'If under 20% Health',100,3,6),
(20278,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,7),
(20279,106212,'If under 40% Health',100,3,8),
(20280,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,9),
(20281,106212,'If under 80% Health',100,3,10),
(20282,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,11),
(20283,106212,'If under 70% Health',100,3,12),
(20284,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,13),
(20285,106212,'If under 60% Health',100,3,14),
(20286,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,15),
(20287,106212,'If under 50% Health',100,3,16),
(20288,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,17),
(20289,106212,'If under 100% Health',100,3,18),
(20290,106212,'Inflicts 350 disease damage on targets in Area of Effect',100,2,19),
(20291,106212,'If under 90% Health',100,3,20),
(20292,10106212,'Applies Defile.',100,1,0),
(20293,10106212,'Inflicts 319 disease damage on targets in Area of Effect',100,2,1),
(20294,10106212,'If at 40% Health or less',100,3,2),
(20295,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,3),
(20296,10106212,'If at 30% Health or less',100,3,4),
(20297,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,5),
(20298,10106212,'If at 20% Health or less',100,3,6),
(20299,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,7),
(20300,10106212,'If at 10% Health or less',100,3,8),
(20301,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,9),
(20302,10106212,'If at 100% Health or greater',100,3,10),
(20303,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,11),
(20304,10106212,'If at 60% Health or less',100,3,12),
(20305,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,13),
(20306,10106212,'If at 50% Health or less',100,3,14),
(20307,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,15),
(20308,10106212,'If at 80% Health or less',100,3,16),
(20309,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,17),
(20310,10106212,'If at 70% Health or less',100,3,18),
(20311,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,19),
(20312,10106212,'If over 100% Health',100,3,20),
(20313,10106212,'Inflicts 276 disease damage on targets in Area of Effect',100,2,21),
(20314,10106212,'If at 90% Health or less',100,3,22),
(20315,74534,'Applies Frost Blast when Activated.',100,0,0),
(20316,74534,'Inflicts 339 - 565 cold damage on target',100,1,1),
(20317,74534,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(20318,10074534,'Applies Frost Blast when Activated.',100,0,0),
(20319,10074534,'Inflicts 339 - 565 cold damage on target',100,1,1),
(20320,10074534,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(20321,113762,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(20322,113762,'Inflicts 3587 piercing damage on target',100,2,1),
(20323,113762,'Grants a total of 60 triggers of the spell.',100,2,2),
(20324,10113762,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(20325,10113762,'Inflicts 2551 piercing damage on target',100,2,1),
(20326,10113762,'Grants a total of 60 triggers of the spell.',100,2,2),
(20327,177508,'When Equipped:',100,0,0),
(20328,177508,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20329,177508,'Increases STR of caster by 17.3',100,2,2),
(20330,177508,'Increases Damage Per Second of caster by 21.0',100,2,3),
(20331,177508,'Cannot be modified except by direct means',100,2,4),
(20332,10177508,'When Equipped:',100,0,0),
(20333,10177508,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20334,10177508,'Increases STR of caster by 17.3',100,2,2),
(20335,10177508,'Increases Damage Per Second of caster by 21.0',100,2,3),
(20336,10177508,'Cannot be modified except by direct means',100,2,4),
(20337,122580,'Inflicts 711 - 869 mental damage on target',100,1,0),
(20338,122580,'Inflicts 158 - 193 mental damage on target every 3 seconds',100,1,1),
(20339,122580,'Decreases Mitigation of target vs arcane damage by 300',100,1,2),
(20340,10122580,'Inflicts 519 - 547 mental damage on target',100,1,0),
(20341,10122580,'Inflicts 124 - 152 mental damage on target every 3 seconds',100,1,1),
(20342,10122580,'Decreases Mitigation of target vs arcane damage by 300',100,1,2),
(20343,36320,'Increases STA and STR of target by 4.6',100,0,0),
(20344,36320,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(20345,24747,'Adds Boss: Venril Sathir (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(20346,10024747,'Adds Boss: Venril Sathir (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(20347,161970,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(20348,161970,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(20349,161970,'Cannot be modified except by direct means',100,1,2),
(20350,10161970,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(20351,10161970,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(20352,10161970,'Cannot be modified except by direct means',100,1,2),
(20353,82932,'When Equipped:',100,0,0),
(20354,82932,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20355,82932,'Inflicts 449 - 834 magic damage on target',100,2,2),
(20356,82932,'Cannot be modified except by direct means',100,2,3),
(20357,10082932,'When Equipped:',100,0,0),
(20358,10082932,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20359,10082932,'Inflicts 449 - 834 magic damage on target',100,2,2),
(20360,10082932,'Cannot be modified except by direct means',100,2,3),
(20361,112952,'Inflicts 711 - 2103 crushing damage on target',100,1,0),
(20362,10112952,'Inflicts 572 - 1524 crushing damage on target',100,1,0),
(20363,120288,'Target will lose 70% more power when power is consumed',100,1,0),
(20364,120288,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(20365,120288,'Inflicts 1414 - 1728 divine damage on target',100,2,2),
(20366,120288,'Grants a total of 3 triggers of the spell.',100,2,3),
(20367,10120288,'Target will lose 70% more power when power is consumed',100,1,0),
(20368,10120288,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(20369,10120288,'Inflicts 1114 - 1362 divine damage on target',100,2,2),
(20370,10120288,'Grants a total of 3 triggers of the spell.',100,2,3),
(20371,110520,'Increases Threat to target by 3,218  instantly and by 931  every 3 seconds thereafter',100,1,0),
(20372,110520,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(20373,110520,'Stuns target',100,2,2),
(20374,110520,'Throws target back',100,2,3),
(20375,110520,'Blurs vision of target',100,2,4),
(20376,110520,'Does not affect Epic targets',100,2,5),
(20377,110520,'Inflicts 694 - 1151 disease damage on target',100,1,6),
(20378,10110520,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(20379,10110520,'Stuns target',100,2,1),
(20380,10110520,'Throws target back',100,2,2),
(20381,10110520,'Blurs vision of target',100,2,3),
(20382,10110520,'Does not affect Epic targets',100,2,4),
(20383,10110520,'Forces target to change their selected target to caster.',100,1,5),
(20384,10110520,'Inflicts 456 - 756 disease damage on target',100,1,6),
(20385,10110520,'Prevents target from changing targets',100,1,7),
(20386,45329,'Applies Black Spotted Warg with Red Armor when Activated.',100,0,0),
(20387,45329,'Increases Slashing and Ranged of caster by 7.0',100,1,1),
(20388,45329,'Summons a mount to ride',100,1,2),
(20389,45329,'Increases your ground speed by 130%',100,2,3),
(20390,45329,'Increases Crushing, Disruption and Piercing of caster by 7.0',100,1,4),
(20391,45329,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(20392,10045329,'Applies Black Spotted Warg with Red Armor when Activated.',100,0,0),
(20393,10045329,'Increases Slashing and Ranged of caster by 7.0',100,1,1),
(20394,10045329,'Summons a mount to ride',100,1,2),
(20395,10045329,'Increases your ground speed by 130%',100,2,3),
(20396,10045329,'Increases Crushing, Disruption and Piercing of caster by 7.0',100,1,4),
(20397,10045329,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(20398,75500,'When Equipped:',100,0,0),
(20399,75500,'On any combat or spell hit this spell may cast Exalted Wave VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(20400,75500,'Inflicts 1087 - 1202 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(20401,75500,'Heals group members (AE) for 542 - 599 instantly and every 2 seconds',100,2,3),
(20402,75500,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(20403,75500,'Must not be engaged in pvp combat',100,2,5),
(20404,75500,'Cannot be modified except by direct means',100,2,6),
(20405,75500,'Must not be engaged in pvp combat',100,1,7),
(20406,10075500,'When Equipped:',100,0,0),
(20407,10075500,'On any combat or spell hit this spell may cast Exalted Wave VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(20408,10075500,'Inflicts 1087 - 1202 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(20409,10075500,'Heals group members (AE) for 352 - 389 instantly and every 2 seconds',100,2,3),
(20410,10075500,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(20411,10075500,'Must not be engaged in pvp combat',100,2,5),
(20412,10075500,'Cannot be modified except by direct means',100,2,6),
(20413,10075500,'Must not be engaged in pvp combat',100,1,7),
(20414,170225,'Applies Rift Portals when Activated.',100,0,0),
(20415,170225,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(20416,10170225,'Applies Rift Portals when Activated.',100,0,0),
(20417,10170225,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(20418,25992,'When Equipped:',100,0,0),
(20419,25992,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20420,25992,'Decreases power of target by 160',100,2,2),
(20421,25992,'Increases power of caster by 80',100,2,3),
(20422,25992,'Cannot be modified except by direct means',100,2,4),
(20423,10025992,'When Equipped:',100,0,0),
(20424,10025992,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20425,10025992,'Decreases power of target by 160',100,2,2),
(20426,10025992,'Increases power of caster by 80',100,2,3),
(20427,10025992,'Cannot be modified except by direct means',100,2,4),
(20428,25547,'When Equipped:',100,0,0),
(20429,25547,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(20430,25547,'Adds 10% max health to Hunter''s Instinct.',100,1,2),
(20431,10025547,'When Equipped:',100,0,0),
(20432,10025547,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(20433,10025547,'Adds 10% max health to Hunter''s Instinct.',100,1,2),
(20434,24466,'Adds Kobold (Warden) to your Dungeon Maker toolbox',100,0,0),
(20435,10024466,'Adds Kobold (Warden) to your Dungeon Maker toolbox',100,0,0),
(20436,108540,'Increases AGI and WIS of group members (AE) by 110.9',100,1,0),
(20437,108540,'Adds 2.4% to base avoidance.',100,1,1),
(20438,108540,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 311',100,1,2),
(20439,10108540,'Increases AGI and WIS of group members (AE) by 110.9',100,1,0),
(20440,10108540,'Adds 2.4% to base avoidance.',100,1,1),
(20441,10108540,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 311',100,1,2),
(20442,120337,'Increases Threat to target by 5,391 - 6,084 ',100,1,0),
(20443,10120337,'Forces target to change their selected target to caster.',100,1,0),
(20444,10120337,'Prevents target from changing targets',100,1,1),
(20445,115282,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(20446,115282,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(20447,115282,'Inflicts 1510 - 1845 poison damage on target',100,3,2),
(20448,115282,'Grants a total of 1 trigger of the spell.',100,3,3),
(20449,10115282,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(20450,10115282,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(20451,10115282,'Inflicts 1190 - 1454 poison damage on target',100,3,2),
(20452,10115282,'Grants a total of 1 trigger of the spell.',100,3,3),
(20453,80943,'When Equipped:',100,0,0),
(20454,80943,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20455,80943,'Inflicts 369 - 686 magic damage on target',100,2,2),
(20456,80943,'Decreases Threat to target by 672 ',100,2,3),
(20457,80943,'Must be flanking or behind',100,3,4),
(20458,80943,'Increases Threat to target by 1,132 ',100,2,5),
(20459,80943,'Must be in front of',100,3,6),
(20460,80943,'Cannot be modified except by direct means',100,2,7),
(20461,10080943,'When Equipped:',100,0,0),
(20462,10080943,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20463,10080943,'Inflicts 369 - 686 magic damage on target',100,2,2),
(20464,10080943,'Cannot be modified except by direct means',100,2,3),
(20465,48990,'Applies Turborotor 1000 when Activated.',100,0,0),
(20466,48990,'Increases Slashing and Aggression of caster by 5.0',100,1,1),
(20467,48990,'Summons a mount to ride',100,1,2),
(20468,48990,'Increases your ground speed by 75%',100,2,3),
(20469,48990,'Increases your air speed by 150%',100,2,4),
(20470,48990,'Increases Crushing, Piercing, Ordination, Subjugation, Ministration, Disruption, Focus and Ranged of caster by 5.0',100,1,5),
(20471,10048990,'Applies Turborotor 1000 when Activated.',100,0,0),
(20472,10048990,'Increases Slashing and Aggression of caster by 5.0',100,1,1),
(20473,10048990,'Summons a mount to ride',100,1,2),
(20474,10048990,'Increases your ground speed by 75%',100,2,3),
(20475,10048990,'Increases your air speed by 150%',100,2,4),
(20476,10048990,'Increases Crushing, Piercing, Ordination, Subjugation, Ministration, Disruption, Focus and Ranged of caster by 5.0',100,1,5),
(20477,124071,'Increases power of caster by 409',100,1,0),
(20478,10124071,'Increases power of caster by 409',100,1,0),
(20479,113910,'Inflicts 2974 - 4302 disease damage on target',100,1,0),
(20480,113910,'Inflicts 498 - 830 disease damage on target every 4 seconds',100,1,1),
(20481,113910,'Increases power of caster by 196 - 327',100,1,2),
(20482,113910,'Increases power of caster by 43 - 71 every 4 seconds',100,1,3),
(20483,10113910,'Inflicts 1964 - 3011 disease damage on target',100,1,0),
(20484,10113910,'Inflicts 392 - 654 disease damage on target every 4 seconds',100,1,1),
(20485,10113910,'Increases power of caster by 196 - 327',100,1,2),
(20486,10113910,'Increases power of caster by 43 - 71 every 4 seconds',100,1,3),
(20487,170668,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(20488,170668,'Decreases Attack Speed of target by 12.0',100,1,1),
(20489,170668,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(20490,10170668,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(20491,10170668,'Decreases Attack Speed of target by 12.0',100,1,1),
(20492,10170668,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(20493,40962,'When Equipped:',100,0,0),
(20494,40962,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(20495,40962,'Inflicts 2305 - 2548 mental damage on target',100,2,2),
(20496,40962,'Decreases Threat to target by 4,441 - 4,908 ',100,2,3),
(20497,40962,'Must not be engaged in pvp combat',100,2,4),
(20498,40962,'Cannot be modified except by direct means',100,2,5),
(20499,40962,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(20500,40962,'Inflicts 2305 - 2548 mental damage on target',100,2,7),
(20501,40962,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(20502,40962,'Must not be engaged in pvp combat',100,2,9),
(20503,40962,'Cannot be modified except by direct means',100,2,10),
(20504,40962,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,11),
(20505,40962,'Cannot be modified except by direct means',100,1,12),
(20506,10040962,'When Equipped:',100,0,0),
(20507,10040962,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(20508,10040962,'Inflicts 2305 - 2548 mental damage on target',100,2,2),
(20509,10040962,'Must not be engaged in pvp combat',100,2,3),
(20510,10040962,'Cannot be modified except by direct means',100,2,4),
(20511,10040962,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(20512,10040962,'Inflicts 2305 - 2548 mental damage on target',100,2,6),
(20513,10040962,'Must not be engaged in pvp combat',100,2,7),
(20514,10040962,'Cannot be modified except by direct means',100,2,8),
(20515,10040962,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,9),
(20516,10040962,'Cannot be modified except by direct means',100,1,10),
(20517,79324,'When Equipped:',100,0,0),
(20518,79324,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20519,79324,'Inflicts 271 - 452 crushing damage on target',100,2,2),
(20520,79324,'Interrupts target',100,2,3),
(20521,79324,'Throws target back',100,2,4),
(20522,79324,'Cannot be modified except by direct means',100,2,5),
(20523,10079324,'When Equipped:',100,0,0),
(20524,10079324,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20525,10079324,'Inflicts 271 - 452 crushing damage on target',100,2,2),
(20526,10079324,'Interrupts target',100,2,3),
(20527,10079324,'Throws target back',100,2,4),
(20528,10079324,'Cannot be modified except by direct means',100,2,5),
(20529,80820,'When Equipped:',100,0,0),
(20530,80820,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20531,80820,'Inflicts 369 - 686 magic damage on target',100,2,2),
(20532,80820,'Decreases Threat to target by 672 ',100,2,3),
(20533,80820,'Must be flanking or behind',100,3,4),
(20534,80820,'Increases Threat to target by 1,132 ',100,2,5),
(20535,80820,'Must be in front of',100,3,6),
(20536,80820,'Cannot be modified except by direct means',100,2,7),
(20537,10080820,'When Equipped:',100,0,0),
(20538,10080820,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(20539,10080820,'Inflicts 369 - 686 magic damage on target',100,2,2),
(20540,10080820,'Cannot be modified except by direct means',100,2,3),
(20541,113268,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(20542,113268,'Inflicts 651 - 1085 magic damage on target',100,2,1),
(20543,113268,'Grants a total of 8 triggers of the spell.',100,2,2),
(20544,10113268,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(20545,10113268,'Inflicts 520 - 867 magic damage on target',100,2,1),
(20546,10113268,'Grants a total of 8 triggers of the spell.',100,2,2),
(20547,47820,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(20548,47820,'Increases Max Power of caster by 984.2',100,1,1),
(20549,10047820,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(20550,10047820,'Increases Max Power of caster by 984.2',100,1,1),
(20551,100041,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(20552,100041,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20553,100041,'Inflicts 1644 - 2727 melee damage on targets in area',100,2,2),
(20554,100041,'Decreases Defense of caster by 27.4',100,1,3),
(20555,100041,'Increases Slashing, Piercing and Crushing of caster by 80.6',100,1,4),
(20556,10100041,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(20557,10100041,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20558,10100041,'Inflicts 1296 - 2149 melee damage on targets in area',100,2,2),
(20559,10100041,'Decreases Defense of caster by 27.4',100,1,3),
(20560,10100041,'Increases Slashing, Piercing and Crushing of caster by 80.6',100,1,4),
(20561,123485,'Decreases Mitigation of target encounter vs noxious damage by 178',100,1,0),
(20562,10123485,'Decreases Mitigation of target encounter vs noxious damage by 178',100,1,0),
(20563,104568,'Inflicts 1727 - 2864 disease damage on target',100,1,0),
(20564,104568,'Decreases WIS of target by 80.2',100,1,1),
(20565,10104568,'Inflicts 1302 - 1899 disease damage on target',100,1,0),
(20566,10104568,'Decreases WIS of target by 80.2',100,1,1),
(20567,100101,'Decreases STR, AGI, WIS and INT of target by 10.0',100,1,0),
(20568,100101,'Decreases Max Health of target by 0.6%',100,1,1),
(20569,10100101,'Decreases STR, AGI, WIS and INT of target by 10.0',100,1,0),
(20570,10100101,'Decreases Max Health of target by 0.6%',100,1,1),
(20571,113301,'Inflicts 3178 - 4624 heat damage on target',100,1,0),
(20572,10113301,'Inflicts 3017 - 4744 heat damage on target',100,1,0),
(20573,100237,'Inflicts 47 - 88 poison damage on target',100,1,0),
(20574,100237,'Inflicts 10 - 19 poison damage on target every 3 seconds',100,1,1),
(20575,10100237,'Inflicts 55 - 103 poison damage on target',100,1,0),
(20576,10100237,'Inflicts 19 - 35 poison damage on target every 3 seconds',100,1,1),
(20577,143833,'When Equipped:',100,0,0),
(20578,143833,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20579,143833,'Inflicts 1192 magic damage on target',100,2,2),
(20580,143833,'Cannot be modified except by direct means',100,2,3),
(20581,10143833,'When Equipped:',100,0,0),
(20582,10143833,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20583,10143833,'Inflicts 596 magic damage on target',100,2,2),
(20584,10143833,'Cannot be modified except by direct means',100,2,3),
(20585,48343,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(20586,48343,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(20587,48343,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(20588,48343,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(20589,48343,'You can only have one experience potion active at a time.',100,1,4),
(20590,10048343,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(20591,10048343,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(20592,10048343,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(20593,10048343,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(20594,10048343,'You can only have one experience potion active at a time.',100,1,4),
(20595,121580,'Stuns target',100,1,0),
(20596,121580,'If Target is not Epic',100,2,1),
(20597,121580,'Decreases Threat to target by 246 ',100,1,2),
(20598,121580,'Resistibility increases against targets higher than level 45.',100,1,3),
(20599,10121580,'Stuns target',100,1,0),
(20600,10121580,'If Target is not Epic',100,2,1),
(20601,10121580,'Resistibility increases against targets higher than level 45.',100,1,2),
(20602,111807,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(20603,111807,'Wipes most of the target''s memory of aggression',100,2,1),
(20604,111807,'Summons 6 limited pets to aid the caster',100,1,2),
(20605,10111807,'Applies Distract on termination.',100,1,0),
(20606,10111807,'Forces target to clear their selected target.',100,2,1),
(20607,10111807,'Summons 6 limited pets to aid the caster',100,1,2),
(20608,162319,'When Equipped:',100,0,0),
(20609,162319,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(20610,10162319,'When Equipped:',100,0,0),
(20611,10162319,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(20612,45048,'Applies Immortalize the Clockwork Menace when Activated.',100,0,0),
(20613,45048,'Summon 1 Trophy: Clockwork Menace''s Head',100,1,1),
(20614,45048,'This effect cannot be cast during combat',100,1,2),
(20615,10045048,'Applies Immortalize the Clockwork Menace when Activated.',100,0,0),
(20616,10045048,'Summon 1 Trophy: Clockwork Menace''s Head',100,1,1),
(20617,10045048,'This effect cannot be cast during combat',100,1,2),
(20618,154597,'When Equipped:',100,0,0),
(20619,154597,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(20620,154597,'Inflicts 993 mental damage on target',100,2,2),
(20621,154597,'Increases Threat to target by 2,460 ',100,2,3),
(20622,154597,'Cannot be modified except by direct means',100,2,4),
(20623,154597,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(20624,154597,'Inflicts 993 mental damage on target',100,2,6),
(20625,154597,'Increases Threat to target by 2,460 ',100,2,7),
(20626,154597,'Cannot be modified except by direct means',100,2,8),
(20627,10154597,'When Equipped:',100,0,0),
(20628,10154597,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(20629,10154597,'Inflicts 993 mental damage on target',100,2,2),
(20630,10154597,'Cannot be modified except by direct means',100,2,3),
(20631,10154597,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(20632,10154597,'Inflicts 993 mental damage on target',100,2,5),
(20633,10154597,'Cannot be modified except by direct means',100,2,6),
(20634,26913,'When Equipped:',100,0,0),
(20635,26913,'Increases Damage Per Second of caster by 10.0',100,1,1),
(20636,10026913,'When Equipped:',100,0,0),
(20637,10026913,'Increases Damage Per Second of caster by 10.0',100,1,1),
(20638,27277,'When Equipped:',100,0,0),
(20639,27277,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(20640,27277,'Inflicts 103 piercing damage on target',100,2,2),
(20641,27277,'Cannot be modified except by direct means',100,2,3),
(20642,10027277,'When Equipped:',100,0,0),
(20643,10027277,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(20644,10027277,'Inflicts 103 piercing damage on target',100,2,2),
(20645,10027277,'Cannot be modified except by direct means',100,2,3),
(20646,45780,'Applies Concoction of the Wind when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(20647,45780,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(20648,45780,'Inflicts 7 magic damage on target',100,2,2),
(20649,45780,'Cannot be modified except by direct means',100,2,3),
(20650,10045780,'Applies Concoction of the Wind when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(20651,10045780,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(20652,10045780,'Inflicts 7 magic damage on target',100,2,2),
(20653,10045780,'Cannot be modified except by direct means',100,2,3),
(20654,87088,'Applies Frost Blast when Activated.',100,0,0),
(20655,87088,'Inflicts 250 - 417 cold damage on target',100,1,1),
(20656,87088,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(20657,10087088,'Applies Frost Blast when Activated.',100,0,0),
(20658,10087088,'Inflicts 250 - 417 cold damage on target',100,1,1),
(20659,10087088,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(20660,108015,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(20661,108015,'Increases Mitigation of group members (AE) vs elemental damage by 1304',100,1,1),
(20662,10108015,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(20663,10108015,'Increases Mitigation of group members (AE) vs elemental damage by 1304',100,1,1),
(20664,118346,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(20665,118346,'Clears the reuse of Dragonfire.',100,130,1),
(20666,118346,'Inflicts 1542 - 1910 melee damage on target',100,1,2),
(20667,118346,'Inflicts 557 - 928 heat damage on target every 2.3 seconds',100,1,3),
(20668,10118346,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(20669,10118346,'Clears the reuse of Dragonfire.',100,130,1),
(20670,10118346,'Inflicts 853 - 1155 melee damage on target',100,1,2),
(20671,10118346,'Inflicts 457 - 761 heat damage on target every 2.3 seconds',100,1,3),
(20672,142812,'When Equipped:',100,0,0),
(20673,142812,'On a hostile spell cast this spell has a 4% chance to cast Crystal Gift on caster.  ',100,1,1),
(20674,142812,'Summon 1 Crystal Gift',100,2,2),
(20675,142812,'Cannot be modified except by direct means',100,2,3),
(20676,10142812,'When Equipped:',100,0,0),
(20677,10142812,'On a hostile spell cast this spell has a 4% chance to cast Crystal Gift on caster.  ',100,1,1),
(20678,10142812,'Summon 1 Crystal Gift',100,2,2),
(20679,10142812,'Cannot be modified except by direct means',100,2,3),
(20680,105114,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(20681,105114,'Summon 1 Distilled Soul (Apprentice)',100,2,1),
(20682,10105114,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(20683,10105114,'Summon 1 Distilled Soul (Apprentice)',100,2,1),
(20684,159548,'Applies Lambent Imbued when Equipped.',100,0,0),
(20685,159548,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(20686,159548,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(20687,159548,'Cannot be modified except by direct means',100,2,3),
(20688,10159548,'Applies Lambent Imbued when Equipped.',100,0,0),
(20689,10159548,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(20690,10159548,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(20691,10159548,'Cannot be modified except by direct means',100,2,3),
(20692,51344,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(20693,51344,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(20694,51344,'Inflicts 43 heat damage on target',100,2,2),
(20695,51344,'Cannot be modified except by direct means',100,2,3),
(20696,10051344,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(20697,10051344,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(20698,10051344,'Inflicts 43 heat damage on target',100,2,2),
(20699,10051344,'Cannot be modified except by direct means',100,2,3),
(20700,70899,'When Equipped:',100,0,0),
(20701,70899,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(20702,70899,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(20703,70899,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(20704,70899,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(20705,70899,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(20706,70899,'Must not be engaged in pvp combat',100,2,6),
(20707,70899,'Cannot be modified except by direct means',100,2,7),
(20708,70899,'Cannot be modified except by direct means',100,1,8),
(20709,70899,'When Equipped:',100,0,9),
(20710,70899,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(20711,70899,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(20712,70899,'Increases STR and AGI of caster by 44.0',100,2,12),
(20713,70899,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,13),
(20714,70899,'Increases Crit Bonus of caster by 11.5%',100,2,14),
(20715,70899,'Must not be engaged in pvp combat',100,2,15),
(20716,70899,'Cannot be modified except by direct means',100,2,16),
(20717,70899,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,17),
(20718,70899,'Increases STR and AGI of caster by 44.0',100,2,18),
(20719,70899,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,19),
(20720,70899,'Increases Crit Bonus of caster by 11.5%',100,2,20),
(20721,70899,'Must not be engaged in pvp combat',100,2,21),
(20722,70899,'Cannot be modified except by direct means',100,2,22),
(20723,70899,'Cannot be modified except by direct means',100,1,23),
(20724,10070899,'When Equipped:',100,0,0),
(20725,10070899,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(20726,10070899,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(20727,10070899,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(20728,10070899,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(20729,10070899,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(20730,10070899,'Must not be engaged in pvp combat',100,2,6),
(20731,10070899,'Cannot be modified except by direct means',100,2,7),
(20732,10070899,'Cannot be modified except by direct means',100,1,8),
(20733,10070899,'When Equipped:',100,0,9),
(20734,10070899,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(20735,10070899,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(20736,10070899,'Increases STR and AGI of caster by 44.0',100,2,12),
(20737,10070899,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,13),
(20738,10070899,'Increases Crit Bonus of caster by 11.5%',100,2,14),
(20739,10070899,'Must not be engaged in pvp combat',100,2,15),
(20740,10070899,'Cannot be modified except by direct means',100,2,16),
(20741,10070899,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,17),
(20742,10070899,'Increases STR and AGI of caster by 44.0',100,2,18),
(20743,10070899,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,19),
(20744,10070899,'Increases Crit Bonus of caster by 11.5%',100,2,20),
(20745,10070899,'Must not be engaged in pvp combat',100,2,21),
(20746,10070899,'Cannot be modified except by direct means',100,2,22),
(20747,10070899,'Cannot be modified except by direct means',100,1,23),
(20748,100593,'Inflicts 2493 - 3487 melee damage on target',100,1,0),
(20749,100593,'You must be sneaking to use this ability.',100,1,1),
(20750,10100593,'Inflicts 1817 - 2753 melee damage on target',100,1,0),
(20751,10100593,'You must be sneaking to use this ability.',100,1,1),
(20752,81338,'When Equipped:',100,0,0),
(20753,81338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20754,81338,'Inflicts 140 - 260 magic damage on target',100,2,2),
(20755,81338,'Cannot be modified except by direct means',100,2,3),
(20756,10081338,'When Equipped:',100,0,0),
(20757,10081338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20758,10081338,'Inflicts 140 - 260 magic damage on target',100,2,2),
(20759,10081338,'Cannot be modified except by direct means',100,2,3),
(20760,114165,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(20761,114165,'Heals target for 2487',100,2,1),
(20762,114165,'Grants a total of 1 trigger of the spell.',100,2,2),
(20763,10114165,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(20764,10114165,'Heals target for 1192',100,2,1),
(20765,10114165,'Grants a total of 1 trigger of the spell.',100,2,2),
(20766,100544,'Heals group members (AE) for 1887 - 2305',100,1,0),
(20767,10100544,'Heals group members (AE) for 1633 - 1977',100,1,0),
(20768,118378,'Inflicts 1759 - 2917 melee damage on target',100,1,0),
(20769,118378,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(20770,118378,'Stuns target',100,2,2),
(20771,118378,'Throws target back',100,2,3),
(20772,118378,'Blurs vision of target',100,2,4),
(20773,118378,'Does not affect Epic targets',100,2,5),
(20774,10118378,'Inflicts 1339 - 1961 melee damage on target',100,1,0),
(20775,10118378,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(20776,10118378,'Stuns target',100,2,2),
(20777,10118378,'Throws target back',100,2,3),
(20778,10118378,'Blurs vision of target',100,2,4),
(20779,10118378,'Does not affect Epic targets',100,2,5),
(20780,104216,'Decreases WIS of target encounter by 43.0',100,1,0),
(20781,104216,'Inflicts 685 mental damage on target encounter',100,1,1),
(20782,104216,'Inflicts 358 mental damage on target encounter every 6 seconds',100,1,2),
(20783,10104216,'Decreases WIS of target encounter by 43.0',100,1,0),
(20784,10104216,'Inflicts 414 mental damage on target encounter',100,1,1),
(20785,10104216,'Inflicts 282 mental damage on target encounter every 6 seconds',100,1,2),
(20786,100469,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(20787,100469,'Decreases Threat to target by 133 ',100,2,1),
(20788,100469,'If not fighter',100,2,2),
(20789,100469,'Decreases Hate Gain of group members (AE) by 16.8%',100,1,3),
(20790,100469,'If not fighter',100,2,4),
(20791,10100469,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(20792,10100469,'If not fighter',100,2,1),
(20793,10100469,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(20794,10100469,'Inflicts 96 - 107 crushing damage on target',100,2,3),
(20795,10100469,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(20796,10100469,'If not fighter',100,2,5),
(20797,10100469,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(20798,10100469,'If not fighter',100,2,7),
(20799,10100469,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(20800,10100469,'If not fighter',100,2,9),
(20801,36538,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(20802,111936,'Inflicts 356 - 593 piercing damage on target instantly and every 4 seconds',100,1,0),
(20803,111936,'Inflicts 2293 - 3157 piercing damage on target',100,1,1),
(20804,10111936,'Inflicts 467 - 779 piercing damage on target instantly and every 4 seconds',100,1,0),
(20805,10111936,'Inflicts 1804 - 2731 piercing damage on target',100,1,1),
(20806,182445,'When Equipped:',100,0,0),
(20807,182445,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20808,182445,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(20809,182445,'Heals caster for 635 - 952',100,2,3),
(20810,182445,'Cannot be modified except by direct means',100,2,4),
(20811,182445,'Cannot be modified except by direct means',100,1,5),
(20812,10182445,'When Equipped:',100,0,0),
(20813,10182445,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20814,10182445,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(20815,10182445,'Heals caster for 743 - 1114',100,2,3),
(20816,10182445,'Cannot be modified except by direct means',100,2,4),
(20817,10182445,'Cannot be modified except by direct means',100,1,5),
(20818,48529,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(20819,48529,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(20820,48529,'Inflicts 371 poison damage on target instantly and every 6 seconds',100,2,2),
(20821,48529,'Cannot be modified except by direct means',100,2,3),
(20822,48529,'Grants a total of 4 triggers of the spell.',100,2,4),
(20823,10048529,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(20824,10048529,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(20825,10048529,'Inflicts 278 poison damage on target instantly and every 6 seconds',100,2,2),
(20826,10048529,'Cannot be modified except by direct means',100,2,3),
(20827,10048529,'Grants a total of 4 triggers of the spell.',100,2,4),
(20828,47929,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(20829,47929,'Increases INT of caster by 165.0',100,1,1),
(20830,47929,'Increases Potency of caster by 2.0%',100,1,2),
(20831,10047929,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(20832,10047929,'Increases INT of caster by 165.0',100,1,1),
(20833,10047929,'Increases Potency of caster by 2.0%',100,1,2),
(20834,121587,'Stuns target encounter',100,1,0),
(20835,121587,'Epic targets gain an immunity to Stun effects of 15.8 seconds and duration is reduced to 1.8 seconds.',100,1,1),
(20836,121587,'Resistibility increases against targets higher than level 59.',100,1,2),
(20837,10121587,'Stuns target encounter',100,1,0),
(20838,10121587,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(20839,10121587,'Resistibility increases against targets higher than level 59.',100,1,2),
(20840,24168,'Adds Crushbone: Closed Torture Instrument to your Dungeon Maker toolbox',100,0,0),
(20841,10024168,'Adds Crushbone: Closed Torture Instrument to your Dungeon Maker toolbox',100,0,0),
(20842,24187,'Adds Crushbone: Gilded Wall Mount to your Dungeon Maker toolbox',100,0,0),
(20843,10024187,'Adds Crushbone: Gilded Wall Mount to your Dungeon Maker toolbox',100,0,0),
(20844,46529,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(20845,46529,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(20846,46529,'Inflicts 1102 poison damage on target',100,2,2),
(20847,46529,'Cannot be modified except by direct means',100,2,3),
(20848,46529,'Grants a total of 100 triggers of the spell.',100,2,4),
(20849,10046529,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(20850,10046529,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(20851,10046529,'Inflicts 826 poison damage on target',100,2,2),
(20852,10046529,'Cannot be modified except by direct means',100,2,3),
(20853,10046529,'Grants a total of 100 triggers of the spell.',100,2,4),
(20854,159136,'Applies Lambent Imbued when Equipped.',100,0,0),
(20855,159136,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(20856,159136,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(20857,159136,'Cannot be modified except by direct means',100,2,3),
(20858,10159136,'Applies Lambent Imbued when Equipped.',100,0,0),
(20859,10159136,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(20860,10159136,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(20861,10159136,'Cannot be modified except by direct means',100,2,3),
(20862,37170,'Increases WIS of target by 20.8',100,0,0),
(20863,37170,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(20864,183360,'When Equipped:',100,0,0),
(20865,183360,'On a spell cast this spell may cast Dragon''s Cynosure on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20866,183360,'Increases power of caster by 250 instantly and every 5 seconds',100,2,2),
(20867,183360,'Increases Max Power of caster by 15.0%',100,2,3),
(20868,183360,'Increases Crit Bonus of caster by 15.0%',100,2,4),
(20869,183360,'Must not be engaged in pvp combat',100,2,5),
(20870,183360,'Cannot be modified except by direct means',100,2,6),
(20871,183360,'\\#FF0000This effect will not stack with itself or similar effects.\\/cs.',100,1,7),
(20872,183360,'Must not be engaged in pvp combat',100,1,8),
(20873,183360,'Cannot be modified except by direct means',100,1,9),
(20874,10183360,'When Equipped:',100,0,0),
(20875,10183360,'On a spell cast this spell may cast Dragon''s Cynosure on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20876,10183360,'Increases power of caster by 250 instantly and every 5 seconds',100,2,2),
(20877,10183360,'Increases Max Power of caster by 15.0%',100,2,3),
(20878,10183360,'Increases Crit Bonus of caster by 15.0%',100,2,4),
(20879,10183360,'Must not be engaged in pvp combat',100,2,5),
(20880,10183360,'Cannot be modified except by direct means',100,2,6),
(20881,10183360,'\\#FF0000This effect will not stack with itself or similar effects.\\/cs.',100,1,7),
(20882,10183360,'Must not be engaged in pvp combat',100,1,8),
(20883,10183360,'Cannot be modified except by direct means',100,1,9),
(20884,174000,'When Equipped:',100,0,0),
(20885,174000,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(20886,10174000,'When Equipped:',100,0,0),
(20887,10174000,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(20888,114277,'Heals target for 534 - 652',100,1,0),
(20889,10114277,'Heals target for 445 - 544',100,1,0),
(20890,71648,'When Equipped:',100,0,0),
(20891,71648,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20892,71648,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(20893,71648,'Cannot be modified except by direct means',100,2,3),
(20894,10071648,'When Equipped:',100,0,0),
(20895,10071648,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(20896,10071648,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(20897,10071648,'Cannot be modified except by direct means',100,2,3),
(20898,192163,'When Equipped:',100,0,0),
(20899,192163,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(20900,192163,'Inflicts 1192 mental damage on target',100,2,2),
(20901,192163,'Increases Threat to target by 3,460 ',100,2,3),
(20902,192163,'Cannot be modified except by direct means',100,2,4),
(20903,192163,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(20904,192163,'Inflicts 1192 mental damage on target',100,2,6),
(20905,192163,'Increases Threat to target by 3,460 ',100,2,7),
(20906,192163,'Cannot be modified except by direct means',100,2,8),
(20907,192163,'When Equipped:',100,0,9),
(20908,192163,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,10),
(20909,192163,'Increases Hate Gain of caster by 15.0%',100,2,11),
(20910,192163,'Cannot be modified except by direct means',100,2,12),
(20911,192163,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,13),
(20912,192163,'Increases Hate Gain of caster by 15.0%',100,2,14),
(20913,192163,'Cannot be modified except by direct means',100,2,15),
(20914,10192163,'When Equipped:',100,0,0),
(20915,10192163,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(20916,10192163,'Inflicts 1192 mental damage on target',100,2,2),
(20917,10192163,'Cannot be modified except by direct means',100,2,3),
(20918,10192163,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(20919,10192163,'Inflicts 1192 mental damage on target',100,2,5),
(20920,10192163,'Cannot be modified except by direct means',100,2,6),
(20921,10192163,'When Equipped:',100,0,7),
(20922,10192163,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,8),
(20923,10192163,'Cannot be modified except by direct means',100,2,9),
(20924,10192163,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,10),
(20925,10192163,'Cannot be modified except by direct means',100,2,11),
(20926,158336,'Applies Hooluk in a Hat when Activated.',100,0,0),
(20927,158336,'Summons a pet Hooluk',100,1,1),
(20928,158336,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(20929,10158336,'Applies Hooluk in a Hat when Activated.',100,0,0),
(20930,10158336,'Summons a pet Hooluk',100,1,1),
(20931,10158336,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(20932,114830,'Dazes caster',100,1,0),
(20933,114830,'Roots caster',100,1,1),
(20934,114830,'Increases Mitigation of caster vs physical damage by 1360',100,1,2),
(20935,10114830,'Dazes caster',100,1,0),
(20936,10114830,'Roots caster',100,1,1),
(20937,10114830,'Increases Mitigation of caster vs physical damage by 1360',100,1,2),
(20938,48883,'Applies Translucent Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(20939,48883,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(20940,48883,'Inflicts 281 poison damage on target instantly and every 6 seconds',100,2,2),
(20941,48883,'Inflicts 544 poison damage on target',100,2,3),
(20942,48883,'Cannot be modified except by direct means',100,2,4),
(20943,48883,'Grants a total of 200 triggers of the spell.',100,2,5),
(20944,48883,'Only affects targets level 50 and above',100,1,6),
(20945,10048883,'Applies Translucent Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(20946,10048883,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(20947,10048883,'Inflicts 211 poison damage on target instantly and every 6 seconds',100,2,2),
(20948,10048883,'Inflicts 408 poison damage on target',100,2,3),
(20949,10048883,'Cannot be modified except by direct means',100,2,4),
(20950,10048883,'Grants a total of 200 triggers of the spell.',100,2,5),
(20951,10048883,'Only affects targets level 50 and above',100,1,6),
(20952,87300,'When Equipped:',100,0,0),
(20953,87300,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20954,87300,'Inflicts 142 - 213 magic damage on target',100,2,2),
(20955,87300,'Cannot be modified except by direct means',100,2,3),
(20956,10087300,'When Equipped:',100,0,0),
(20957,10087300,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(20958,10087300,'Inflicts 142 - 213 magic damage on target',100,2,2),
(20959,10087300,'Cannot be modified except by direct means',100,2,3),
(20960,116925,'Summons a limited pet to aid the caster',100,1,0),
(20961,10116925,'Summons a limited pet to aid the caster',100,1,0),
(20962,109952,'Stuns target',100,1,0),
(20963,109952,'Does not affect Epic targets',100,1,1),
(20964,109952,'Resistibility increases against targets higher than level 111.',100,1,2),
(20965,10109952,'Stuns target',100,1,0),
(20966,10109952,'Does not affect Epic targets',100,1,1),
(20967,10109952,'Resistibility increases against targets higher than level 111.',100,1,2),
(20968,110753,'Heals target for 809 - 989',100,1,0),
(20969,110753,'Increases Max Health of target by 29.2',100,1,1),
(20970,10110753,'Heals target for 452 - 552',100,1,0),
(20971,10110753,'Increases Max Health of target by 29.2',100,1,1),
(20972,111681,'Inflicts 1053 - 1286 cold damage on target',100,1,0),
(20973,111681,'Inflicts 468 - 572 cold damage on target',100,1,1),
(20974,111681,'If target is elemental',100,2,2),
(20975,10111681,'Inflicts 711 - 781 cold damage on target',100,1,0),
(20976,106903,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2973',100,1,0),
(20977,106903,'Inflicts 3317 - 4854 melee damage on target',100,1,1),
(20978,106903,'Decreases Mitigation of target vs physical damage by 2973',100,1,2),
(20979,106903,'Must be behind',100,1,3),
(20980,10106903,'Inflicts 2234 - 3446 melee damage on target',100,1,0),
(20981,10106903,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 929',100,1,1),
(20982,10106903,'Decreases Mitigation of target vs physical damage by 817',100,1,2),
(20983,10106903,'Must be behind',100,1,3),
(20984,106854,'Decreases Crushing, Piercing, Slashing and Ranged of target by 38.6',100,1,0),
(20985,10106854,'Decreases Crushing, Piercing, Slashing and Ranged of target by 38.6',100,1,0),
(20986,121977,'Inflicts 828 - 1381 disease damage on target',100,1,0),
(20987,121977,'Decreases Defense of target by 29.7',100,1,1),
(20988,121977,'Interrupts target',100,1,2),
(20989,10121977,'Inflicts 711 - 1120 disease damage on target',100,1,0),
(20990,10121977,'Decreases Defense of target by 29.7',100,1,1),
(20991,10121977,'Interrupts target',100,1,2),
(20992,144614,'When Equipped:',100,0,0),
(20993,144614,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(20994,144614,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(20995,144614,'Heals caster for 811 - 1217',100,2,3),
(20996,144614,'Cannot be modified except by direct means',100,2,4),
(20997,144614,'Cannot be modified except by direct means',100,1,5),
(20998,10144614,'When Equipped:',100,0,0),
(20999,10144614,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(21000,10144614,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(21001,10144614,'Heals caster for 949 - 1424',100,2,3),
(21002,10144614,'Cannot be modified except by direct means',100,2,4),
(21003,10144614,'Cannot be modified except by direct means',100,1,5),
(21004,164694,'When Equipped:',100,0,0),
(21005,164694,'Increases regeneration amount of Bria''s Inspiring Ballad VI.',100,1,1),
(21006,164694,'When Equipped:',100,0,2),
(21007,164694,'Additional equipment with Vampire Bane improves this effect.',100,1,3),
(21008,164694,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(21009,164694,'Inflicts 401 divine damage on target',100,2,5),
(21010,164694,'Must not be classified as a vampire',100,3,6),
(21011,164694,'Inflicts 802 divine damage on target',100,2,7),
(21012,164694,'Must be classified as a vampire',100,3,8),
(21013,164694,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(21014,164694,'Must be classified as a vampire',100,3,10),
(21015,164694,'Cannot be modified except by direct means',100,2,11),
(21016,10164694,'When Equipped:',100,0,0),
(21017,10164694,'Increases regeneration amount of Bria''s Inspiring Ballad VI.',100,1,1),
(21018,10164694,'When Equipped:',100,0,2),
(21019,10164694,'Additional equipment with Vampire Bane improves this effect.',100,1,3),
(21020,10164694,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(21021,10164694,'Inflicts 401 divine damage on target',100,2,5),
(21022,10164694,'Must not be classified as a vampire',100,3,6),
(21023,10164694,'Inflicts 802 divine damage on target',100,2,7),
(21024,10164694,'Must be classified as a vampire',100,3,8),
(21025,10164694,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(21026,10164694,'Must be classified as a vampire',100,3,10),
(21027,10164694,'Cannot be modified except by direct means',100,2,11),
(21028,120381,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(21029,120381,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(21030,120381,'Inflicts 81 - 135 heat damage on target',100,2,2),
(21031,120381,'Decreases Defense of caster by 1.8',100,1,3),
(21032,120381,'Increases Slashing, Piercing, Crushing and Ranged of caster by 5.2',100,1,4),
(21033,10120381,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(21034,10120381,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(21035,10120381,'Inflicts 64 - 106 heat damage on target',100,2,2),
(21036,10120381,'Decreases Defense of caster by 1.8',100,1,3),
(21037,10120381,'Increases Slashing, Piercing, Crushing and Ranged of caster by 5.2',100,1,4),
(21038,36056,'Increases AGI of target by 4.3',100,0,0),
(21039,36056,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(21040,123356,'Heals group members (AE) for 564 - 689',100,1,0),
(21041,10123356,'Heals group members (AE) for 516 - 630',100,1,0),
(21042,120569,'Inflicts 26020 - 42529 ranged damage on target',100,1,0),
(21043,120569,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(21044,120569,'Blurs vision of target',100,2,2),
(21045,120569,'Stuns target',100,2,3),
(21046,120569,'Throws target back',100,2,4),
(21047,120569,'Does not affect Epic targets',100,2,5),
(21048,120569,'I need to be stealthed!',100,1,6),
(21049,120569,'Requires bow',100,1,7),
(21050,10120569,'Inflicts 9068 - 14778 melee damage on target',100,1,0),
(21051,10120569,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(21052,10120569,'Stuns target',100,2,2),
(21053,10120569,'Throws target back',100,2,3),
(21054,10120569,'Blurs vision of target',100,2,4),
(21055,10120569,'Does not affect Epic targets',100,2,5),
(21056,10120569,'I need to be stealthed!',100,1,6),
(21057,88708,'When Equipped:',100,0,0),
(21058,88708,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21059,88708,'Inflicts 299 - 556 cold damage on target',100,2,2),
(21060,88708,'Cannot be modified except by direct means',100,2,3),
(21061,10088708,'When Equipped:',100,0,0),
(21062,10088708,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21063,10088708,'Inflicts 299 - 556 cold damage on target',100,2,2),
(21064,10088708,'Cannot be modified except by direct means',100,2,3),
(21065,81199,'When Equipped:',100,0,0),
(21066,81199,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21067,81199,'Inflicts 404 - 751 magic damage on target',100,2,2),
(21068,81199,'Cannot be modified except by direct means',100,2,3),
(21069,10081199,'When Equipped:',100,0,0),
(21070,10081199,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21071,10081199,'Inflicts 404 - 751 magic damage on target',100,2,2),
(21072,10081199,'Cannot be modified except by direct means',100,2,3),
(21073,118790,'Wards group members (AE) against 59 points of physical damage',100,1,0),
(21074,118790,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,1),
(21075,10118790,'Wards group members (AE) against 48 points of physical damage',100,1,0),
(21076,10118790,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,1),
(21077,111582,'Inflicts 51 - 94 cold damage on target',100,1,0),
(21078,111582,'Inflicts 11 - 21 cold damage on target every 4 seconds',100,1,1),
(21079,111582,'Decreases Mitigation of target vs elemental damage by 84',100,1,2),
(21080,10111582,'Inflicts 48 - 90 cold damage on target',100,1,0),
(21081,10111582,'Inflicts 9 - 16 cold damage on target every 4 seconds',100,1,1),
(21082,10111582,'Decreases Mitigation of target vs elemental damage by 84',100,1,2),
(21083,71631,'When Equipped:',100,0,0),
(21084,71631,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21085,71631,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(21086,71631,'Cannot be modified except by direct means',100,2,3),
(21087,10071631,'When Equipped:',100,0,0),
(21088,10071631,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21089,10071631,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(21090,10071631,'Cannot be modified except by direct means',100,2,3),
(21091,26729,'When Equipped:',100,0,0),
(21092,26729,'On a critical healing spell cast this spell may cast Greater Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21093,26729,'Increases Ability Recovery Speed of caster by 12.0%',100,2,2),
(21094,26729,'Increases Ability Reuse Speed of caster by 12.0%',100,2,3),
(21095,26729,'Must not be engaged in pvp combat',100,2,4),
(21096,26729,'Cannot be modified except by direct means',100,2,5),
(21097,26729,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(21098,26729,'On a critical combat hit this spell may cast Greater Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(21099,26729,'Increases Ability Recovery Speed of caster by 12.0%',100,2,8),
(21100,26729,'Increases Ability Reuse Speed of caster by 12.0%',100,2,9),
(21101,26729,'Must not be engaged in pvp combat',100,2,10),
(21102,26729,'Cannot be modified except by direct means',100,2,11),
(21103,26729,'On a critical spell hit this spell may cast Greater Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(21104,26729,'Increases Ability Recovery Speed of caster by 12.0%',100,2,13),
(21105,26729,'Increases Ability Reuse Speed of caster by 12.0%',100,2,14),
(21106,26729,'Must not be engaged in pvp combat',100,2,15),
(21107,26729,'Cannot be modified except by direct means',100,2,16),
(21108,26729,'Must not be engaged in pvp combat',100,1,17),
(21109,10026729,'When Equipped:',100,0,0),
(21110,10026729,'On a critical healing spell cast this spell may cast Greater Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21111,10026729,'Increases Ability Recovery Speed of caster by 12.0%',100,2,2),
(21112,10026729,'Increases Ability Reuse Speed of caster by 12.0%',100,2,3),
(21113,10026729,'Must not be engaged in pvp combat',100,2,4),
(21114,10026729,'Cannot be modified except by direct means',100,2,5),
(21115,10026729,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(21116,10026729,'On a critical combat hit this spell may cast Greater Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(21117,10026729,'Increases Ability Recovery Speed of caster by 12.0%',100,2,8),
(21118,10026729,'Increases Ability Reuse Speed of caster by 12.0%',100,2,9),
(21119,10026729,'Must not be engaged in pvp combat',100,2,10),
(21120,10026729,'Cannot be modified except by direct means',100,2,11),
(21121,10026729,'On a critical spell hit this spell may cast Greater Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(21122,10026729,'Increases Ability Recovery Speed of caster by 12.0%',100,2,13),
(21123,10026729,'Increases Ability Reuse Speed of caster by 12.0%',100,2,14),
(21124,10026729,'Must not be engaged in pvp combat',100,2,15),
(21125,10026729,'Cannot be modified except by direct means',100,2,16),
(21126,10026729,'Must not be engaged in pvp combat',100,1,17),
(21127,81650,'When Equipped:',100,0,0),
(21128,81650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21129,81650,'Inflicts 215 - 399 magic damage on target',100,2,2),
(21130,81650,'Cannot be modified except by direct means',100,2,3),
(21131,10081650,'When Equipped:',100,0,0),
(21132,10081650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21133,10081650,'Inflicts 215 - 399 magic damage on target',100,2,2),
(21134,10081650,'Cannot be modified except by direct means',100,2,3),
(21135,112969,'Inflicts 1738 - 4417 crushing damage on target',100,1,0),
(21136,10112969,'Inflicts 1330 - 3161 crushing damage on target',100,1,0),
(21137,52732,'Applies Sanguine Imbued when Equipped.',100,0,0),
(21138,52732,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(21139,52732,'Inflicts 65 heat damage on target',100,2,2),
(21140,52732,'Cannot be modified except by direct means',100,2,3),
(21141,10052732,'Applies Sanguine Imbued when Equipped.',100,0,0),
(21142,10052732,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(21143,10052732,'Inflicts 65 heat damage on target',100,2,2),
(21144,10052732,'Cannot be modified except by direct means',100,2,3),
(21145,111034,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(21146,111034,'Increases Threat to target by 1,760 ',100,2,1),
(21147,111034,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(21148,111034,'Increases Threat to target by 1,760 ',100,2,3),
(21149,10111034,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(21150,10111034,'Inflicts 176 - 194 crushing damage on target',100,2,1),
(21151,10111034,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(21152,10111034,'Inflicts 176 - 194 crushing damage on target',100,2,3),
(21153,82261,'When Equipped:',100,0,0),
(21154,82261,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21155,82261,'Inflicts 61 - 114 magic damage on target',100,2,2),
(21156,82261,'Cannot be modified except by direct means',100,2,3),
(21157,10082261,'When Equipped:',100,0,0),
(21158,10082261,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21159,10082261,'Inflicts 61 - 114 magic damage on target',100,2,2),
(21160,10082261,'Cannot be modified except by direct means',100,2,3),
(21161,36968,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(21162,36968,'Increases Max Health of target by 30.1',100,0,1),
(21163,36666,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(21164,113143,'Increases power of caster by 0.9% instantly and every 6 seconds',100,1,0),
(21165,113143,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(21166,113143,'Inflicts 642 disease damage on target',100,2,2),
(21167,113143,'Heals caster for 213',100,2,3),
(21168,113143,'Shapechanges caster into an archlich',100,1,4),
(21169,10113143,'Increases power of caster by 0.9% instantly and every 6 seconds',100,1,0),
(21170,10113143,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(21171,10113143,'Inflicts 506 disease damage on target',100,2,2),
(21172,10113143,'Heals caster for 109',100,2,3),
(21173,10113143,'Shapechanges caster into an archlich',100,1,4),
(21174,104595,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(21175,104595,'Slows target by 32.0%',100,2,1),
(21176,104595,'5% chance to dispel when target receives hostile action',100,2,2),
(21177,104595,'5% chance to dispel when target takes damage',100,2,3),
(21178,104595,'Inflicts 319 - 390 cold damage on target',100,1,4),
(21179,10104595,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(21180,10104595,'Slows target by 32.0%',100,2,1),
(21181,10104595,'5% chance to dispel when target receives hostile action',100,2,2),
(21182,10104595,'5% chance to dispel when target takes damage',100,2,3),
(21183,10104595,'Inflicts 274 - 335 cold damage on target',100,1,4),
(21184,112026,'Inflicts 5000 - 7645 piercing damage on target',100,1,0),
(21185,10112026,'Inflicts 3561 - 5645 piercing damage on target',100,1,0),
(21186,74707,'When Equipped:',100,0,0),
(21187,74707,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21188,74707,'Inflicts 295 - 443 magic damage on target',100,2,2),
(21189,74707,'Cannot be modified except by direct means',100,2,3),
(21190,10074707,'When Equipped:',100,0,0),
(21191,10074707,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21192,10074707,'Inflicts 295 - 443 magic damage on target',100,2,2),
(21193,10074707,'Cannot be modified except by direct means',100,2,3),
(21194,119939,'Inflicts 3781 - 4403 mental damage on target',100,1,0),
(21195,119939,'Inflicts 933 - 1140 mental damage on target every 3 seconds',100,1,1),
(21196,119939,'Stifles target',100,1,2),
(21197,119939,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(21198,119939,'Resistibility increases against targets higher than level 121.',100,1,4),
(21199,10119939,'Inflicts 2600 - 3090 mental damage on target',100,1,0),
(21200,10119939,'Inflicts 735 - 899 mental damage on target every second',100,1,1),
(21201,10119939,'Stifles target',100,1,2),
(21202,10119939,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(21203,10119939,'Resistibility increases against targets higher than level 121.',100,1,4),
(21204,123714,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(21205,123714,'Inflicts 1312 divine damage on target',100,2,1),
(21206,123714,'Grants a total of 5 triggers of the spell.',100,2,2),
(21207,10123714,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(21208,10123714,'Inflicts 1018 divine damage on target',100,2,1),
(21209,10123714,'Grants a total of 5 triggers of the spell.',100,2,2),
(21210,45939,'Applies Activate Beacon when Activated.',100,0,0),
(21211,45939,'Must be in the Cloister of Liturgy.',100,1,1),
(21212,10045939,'Applies Activate Beacon when Activated.',100,0,0),
(21213,10045939,'Must be in the Cloister of Liturgy.',100,1,1),
(21214,141711,'When Equipped:',100,0,0),
(21215,141711,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(21216,141711,'Increases STA of caster by 14.8',100,2,2),
(21217,141711,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(21218,141711,'Cannot be modified except by direct means',100,2,4),
(21219,10141711,'When Equipped:',100,0,0),
(21220,10141711,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(21221,10141711,'Increases STA of caster by 14.8',100,2,2),
(21222,10141711,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(21223,10141711,'Cannot be modified except by direct means',100,2,4),
(21224,120747,'Heals target for 636',100,1,0),
(21225,10120747,'Heals target for 355',100,1,0),
(21226,71653,'When Equipped:',100,0,0),
(21227,71653,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21228,71653,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(21229,71653,'Cannot be modified except by direct means',100,2,3),
(21230,10071653,'When Equipped:',100,0,0),
(21231,10071653,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21232,10071653,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(21233,10071653,'Cannot be modified except by direct means',100,2,3),
(21234,165213,'When Equipped:',100,0,0),
(21235,165213,'Increases Ability Modifier of caster by 30.0',100,1,1),
(21236,165213,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(21237,165213,'Increases Damage Per Second of caster by 15.0',100,2,3),
(21238,165213,'Cannot be modified except by direct means',100,2,4),
(21239,10165213,'When Equipped:',100,0,0),
(21240,10165213,'Increases Ability Modifier of caster by 30.0',100,1,1),
(21241,10165213,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(21242,10165213,'Increases Damage Per Second of caster by 15.0',100,2,3),
(21243,10165213,'Cannot be modified except by direct means',100,2,4),
(21244,47497,'Applies Personal Theme Music: Enchanted Lands when Activated.',100,0,0),
(21245,47497,'Play your own personal theme music!',100,1,1),
(21246,10047497,'Applies Personal Theme Music: Enchanted Lands when Activated.',100,0,0),
(21247,10047497,'Play your own personal theme music!',100,1,1),
(21248,101574,'Inflicts 211 - 350 melee damage on targets in area',100,1,0),
(21249,10101574,'Inflicts 170 - 282 melee damage on targets in area',100,1,0),
(21250,122410,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(21251,122410,'Inflicts 92 - 113 piercing damage on target encounter',100,2,1),
(21252,10122410,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(21253,10122410,'Inflicts 73 - 89 piercing damage on target encounter',100,2,1),
(21254,118631,'Inflicts 378 - 1118 crushing damage on target',100,1,0),
(21255,10118631,'Inflicts 305 - 901 crushing damage on target',100,1,0),
(21256,121921,'Inflicts 1116 - 1861 mental damage on target encounter',100,1,0),
(21257,121921,'Increases power of group members (AE) by 158 - 263',100,1,1),
(21258,10121921,'Inflicts 886 - 1388 mental damage on target encounter',100,1,0),
(21259,10121921,'Increases power of group members (AE) by 158 - 263',100,1,1),
(21260,71221,'When Equipped:',100,0,0),
(21261,71221,'On a combat hit this spell may cast Troublesome Tone on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21262,71221,'Inflicts 184 - 225 magic damage on target instantly and every 4.8 seconds',100,2,2),
(21263,71221,'Cannot be modified except by direct means',100,2,3),
(21264,10071221,'When Equipped:',100,0,0),
(21265,10071221,'On a combat hit this spell may cast Troublesome Tone on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21266,10071221,'Inflicts 184 - 225 magic damage on target instantly and every 4.8 seconds',100,2,2),
(21267,10071221,'Cannot be modified except by direct means',100,2,3),
(21268,111147,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(21269,111147,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 899',100,1,1),
(21270,111147,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,2),
(21271,10111147,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(21272,10111147,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 899',100,1,1),
(21273,10111147,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,2),
(21274,114651,'Increases Threat to target by 158 - 194 ',100,1,0),
(21275,114651,'Interrupts target',100,1,1),
(21276,10114651,'Interrupts target',100,1,0),
(21277,10114651,'Forces target to change their selected target to caster.',100,1,1),
(21278,10114651,'Prevents target from changing targets',100,1,2),
(21279,103687,'Interrupts target',100,1,0),
(21280,103687,'Inflicts 3604 - 5329 melee damage on target',100,1,1),
(21281,103687,'Must be flanking or behind',100,1,2),
(21282,10103687,'Interrupts target',100,1,0),
(21283,10103687,'Inflicts 2460 - 3820 melee damage on target',100,1,1),
(21284,10103687,'Must be flanking or behind',100,1,2),
(21285,114940,'Decreases Attack Speed of target by 5.4',100,1,0),
(21286,114940,'Inflicts 140 - 224 slashing damage on target',100,1,1),
(21287,114940,'Inflicts 56 slashing damage on target instantly and every 4 seconds',100,1,2),
(21288,10114940,'Decreases Attack Speed of target by 5.4',100,1,0),
(21289,10114940,'Inflicts 134 - 206 slashing damage on target',100,1,1),
(21290,10114940,'Inflicts 44 slashing damage on target instantly and every 4 seconds',100,1,2),
(21291,110886,'Inflicts 1866 - 2280 heat damage on target encounter',100,1,0),
(21292,10110886,'Inflicts 1392 - 1672 heat damage on target encounter',100,1,0),
(21293,107117,'Inflicts 111 - 136 divine damage on target',100,1,0),
(21294,107117,'Inflicts 56 - 68 divine damage on target',100,1,1),
(21295,107117,'If target is undead',100,2,2),
(21296,10107117,'Inflicts 100 - 122 divine damage on target',100,1,0),
(21297,10107117,'Inflicts 44 - 54 divine damage on target',100,1,1),
(21298,119488,'Dazes target encounter',100,1,0),
(21299,119488,'If Target is not Epic',100,2,1),
(21300,119488,'Inflicts 1183 - 1373 magic damage on target encounter',100,1,2),
(21301,119488,'Inflicts 855 - 1045 magic damage on target encounter every second',100,1,3),
(21302,119488,'Resistibility increases against targets higher than level 82.',100,1,4),
(21303,10119488,'Inflicts 1018 - 1215 magic damage on target encounter',100,1,0),
(21304,10119488,'Inflicts 674 - 824 magic damage on target encounter every second',100,1,1),
(21305,10119488,'Dazes target encounter',100,1,2),
(21306,10119488,'If Target is not Epic',100,2,3),
(21307,10119488,'Resistibility increases against targets higher than level 82.',100,1,4),
(21308,116335,'Decreases Threat to targets in Area of Effect by 1,063 ',100,1,0),
(21309,116335,'Makes targets in Area of Effect afraid',100,1,1),
(21310,116335,'30% chance to dispel when target takes damage',100,1,2),
(21311,10116335,'Makes targets in Area of Effect afraid',100,1,0),
(21312,10116335,'30% chance to dispel when target takes damage',100,1,1),
(21313,45762,'Applies Ysanna''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(21314,45762,'Heals caster for 125',100,1,1),
(21315,45762,'Heals caster for 62 every 5 seconds',100,1,2),
(21316,10045762,'Applies Ysanna''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(21317,10045762,'Heals caster for 81',100,1,1),
(21318,10045762,'Heals caster for 40 every 5 seconds',100,1,2),
(21319,110077,'Summons a pet grim sorcerer',100,1,0),
(21320,10110077,'Summons a pet grim sorcerer',100,1,0),
(21321,46428,'Applies Throw Pie when Activated.  Lasts for 1.0 second.',100,0,0),
(21322,10046428,'Applies Throw Pie when Activated.  Lasts for 1.0 second.',100,0,0),
(21323,47112,'Applies Antana''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(21324,47112,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(21325,10047112,'Applies Antana''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(21326,10047112,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(21327,101221,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(21328,101221,'Increases Attack Speed of caster by 21.0',100,130,1),
(21329,101221,'Increases Ranged, Slashing, Crushing and Piercing of caster by 26.1',100,130,2),
(21330,101221,'Dazes target',100,1,3),
(21331,101221,'If Target is not Epic',100,2,4),
(21332,101221,'Inflicts 4594 - 6972 cold damage on target',100,1,5),
(21333,101221,'Resistibility increases against targets higher than level 87.',100,1,6),
(21334,10101221,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(21335,10101221,'Increases Attack Speed of caster by 21.0',100,130,1),
(21336,10101221,'Increases Ranged, Slashing, Crushing and Piercing of caster by 26.1',100,130,2),
(21337,10101221,'Dazes target',100,1,3),
(21338,10101221,'If Target is not Epic',100,2,4),
(21339,10101221,'Inflicts 3292 - 5200 cold damage on target',100,1,5),
(21340,10101221,'Resistibility increases against targets higher than level 87.',100,1,6),
(21341,147154,'Applies Atheneal Mindmeld when Activated.  Lasts for 30.0 seconds.',100,0,0),
(21342,147154,'All offensive spells deal mental damage.',100,1,1),
(21343,147154,'Must be in Ward of Elements.',100,1,2),
(21344,147154,'The casting time of Atheneal Mindmeld is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,3),
(21345,10147154,'Applies Atheneal Mindmeld when Activated.  Lasts for 30.0 seconds.',100,0,0),
(21346,10147154,'All offensive spells deal mental damage.',100,1,1),
(21347,10147154,'Must be in Ward of Elements.',100,1,2),
(21348,10147154,'The casting time of Atheneal Mindmeld is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,3),
(21349,159261,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(21350,159261,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(21351,159261,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(21352,159261,'Cannot be modified except by direct means',100,2,3),
(21353,10159261,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(21354,10159261,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(21355,10159261,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(21356,10159261,'Cannot be modified except by direct means',100,2,3),
(21357,159257,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(21358,159257,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(21359,159257,'Inflicts 168 heat damage on target',100,2,2),
(21360,159257,'Cannot be modified except by direct means',100,2,3),
(21361,10159257,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(21362,10159257,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(21363,10159257,'Inflicts 168 heat damage on target',100,2,2),
(21364,10159257,'Cannot be modified except by direct means',100,2,3),
(21365,139981,'When Equipped:',100,0,0),
(21366,139981,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(21367,139981,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(21368,139981,'Must not be engaged in pvp combat',100,2,3),
(21369,139981,'Cannot be modified except by direct means',100,2,4),
(21370,139981,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(21371,139981,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(21372,139981,'Must not be engaged in pvp combat',100,2,7),
(21373,139981,'Cannot be modified except by direct means',100,2,8),
(21374,139981,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(21375,139981,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(21376,139981,'Must not be engaged in pvp combat',100,2,11),
(21377,139981,'Cannot be modified except by direct means',100,2,12),
(21378,139981,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(21379,139981,'Inflicts 67 piercing damage on target',100,2,14),
(21380,139981,'Must not be engaged in pvp combat',100,2,15),
(21381,139981,'Cannot be modified except by direct means',100,2,16),
(21382,10139981,'When Equipped:',100,0,0),
(21383,10139981,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(21384,10139981,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(21385,10139981,'Must not be engaged in pvp combat',100,2,3),
(21386,10139981,'Cannot be modified except by direct means',100,2,4),
(21387,10139981,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(21388,10139981,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(21389,10139981,'Must not be engaged in pvp combat',100,2,7),
(21390,10139981,'Cannot be modified except by direct means',100,2,8),
(21391,10139981,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(21392,10139981,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(21393,10139981,'Must not be engaged in pvp combat',100,2,11),
(21394,10139981,'Cannot be modified except by direct means',100,2,12),
(21395,10139981,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(21396,10139981,'Inflicts 67 piercing damage on target',100,2,14),
(21397,10139981,'Must not be engaged in pvp combat',100,2,15),
(21398,10139981,'Cannot be modified except by direct means',100,2,16),
(21399,119732,'Wards group members (AE) against 282 points of elemental, noxious and arcane damage',100,1,0),
(21400,119732,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,1),
(21401,10119732,'Wards group members (AE) against 231 points of elemental, noxious and arcane damage',100,1,0),
(21402,10119732,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,1),
(21403,112465,'Decreases AGI and WIS of target by 11.4',100,1,0),
(21404,10112465,'Decreases AGI and WIS of target by 11.4',100,1,0),
(21405,159731,'When Equipped:',100,0,0),
(21406,159731,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(21407,159731,'Increases STA of caster by 17.6',100,2,2),
(21408,159731,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(21409,159731,'Cannot be modified except by direct means',100,2,4),
(21410,10159731,'When Equipped:',100,0,0),
(21411,10159731,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(21412,10159731,'Increases STA of caster by 17.6',100,2,2),
(21413,10159731,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(21414,10159731,'Cannot be modified except by direct means',100,2,4),
(21415,48270,'Applies Crisis Deflection II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(21416,48270,'Heals target for 17328',100,1,1),
(21417,48270,'Wards target against 20000 points of all damage',100,1,2),
(21418,48270,'Increases Potency of caster by 25.0%',100,1,3),
(21419,48270,'Must not be engaged in pvp combat',100,1,4),
(21420,48270,'Cannot be modified except by direct means',100,1,5),
(21421,10048270,'Applies Crisis Deflection II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(21422,10048270,'Heals target for 20274',100,1,1),
(21423,10048270,'Wards target against 20000 points of all damage',100,1,2),
(21424,10048270,'Increases Potency of caster by 25.0%',100,1,3),
(21425,10048270,'Must not be engaged in pvp combat',100,1,4),
(21426,10048270,'Cannot be modified except by direct means',100,1,5),
(21427,177615,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(21428,177615,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(21429,177615,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(21430,177615,'Cannot be modified except by direct means',100,2,3),
(21431,10177615,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(21432,10177615,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(21433,10177615,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(21434,10177615,'Cannot be modified except by direct means',100,2,3),
(21435,103045,'Inflicts 211 magic damage on target',100,1,0),
(21436,103045,'Inflicts 53 magic damage on target every 4 seconds',100,1,1),
(21437,103045,'Increases power of caster by 6 instantly and every 4 seconds',100,1,2),
(21438,10103045,'Inflicts 200 magic damage on target',100,1,0),
(21439,10103045,'Inflicts 42 magic damage on target every 4 seconds',100,1,1),
(21440,10103045,'Increases power of caster by 6 instantly and every 4 seconds',100,1,2),
(21441,161017,'When Equipped:',100,0,0),
(21442,161017,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(21443,161017,'Stuns target',100,2,2),
(21444,161017,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(21445,161017,'Resistibility increases against targets higher than level 74.',100,2,4),
(21446,161017,'Cannot be modified except by direct means',100,2,5),
(21447,10161017,'When Equipped:',100,0,0),
(21448,10161017,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(21449,10161017,'Stuns target',100,2,2),
(21450,10161017,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(21451,10161017,'Resistibility increases against targets higher than level 74.',100,2,4),
(21452,10161017,'Cannot be modified except by direct means',100,2,5),
(21453,82335,'When Equipped:',100,0,0),
(21454,82335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21455,82335,'Inflicts 523 - 972 magic damage on target',100,2,2),
(21456,82335,'Cannot be modified except by direct means',100,2,3),
(21457,10082335,'When Equipped:',100,0,0),
(21458,10082335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21459,10082335,'Inflicts 523 - 972 magic damage on target',100,2,2),
(21460,10082335,'Cannot be modified except by direct means',100,2,3),
(21461,100605,'Inflicts 4103 - 6157 melee damage on target',100,1,0),
(21462,100605,'You must be sneaking to use this ability.',100,1,1),
(21463,10100605,'Inflicts 3332 - 5267 melee damage on target',100,1,0),
(21464,10100605,'You must be sneaking to use this ability.',100,1,1),
(21465,45581,'Applies Edwardian''s Renewal  when Activated.',100,0,0),
(21466,45581,'Heals caster for 104',100,1,1),
(21467,10045581,'Applies Edwardian''s Renewal  when Activated.',100,0,0),
(21468,10045581,'Heals caster for 68',100,1,1),
(21469,103252,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(21470,103252,'Adds 2.1% to base avoidance.',100,1,1),
(21471,103252,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(21472,103252,'Increases Parry of caster by 36.4',100,1,3),
(21473,103252,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(21474,103252,'Increases Aggression of caster by 27.3',100,1,5),
(21475,103252,'Increases Defense and Deflection of caster by 36.4',100,1,6),
(21476,103252,'Increases Mitigation of caster vs noxious damage by 2434',100,1,7),
(21477,103252,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(21478,103252,'Reduces physical damage done to caster by 5%',100,1,9),
(21479,10103252,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(21480,10103252,'Adds 2.1% to base avoidance.',100,1,1),
(21481,10103252,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(21482,10103252,'Increases Parry of caster by 36.4',100,1,3),
(21483,10103252,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(21484,10103252,'Increases Aggression of caster by 27.3',100,1,5),
(21485,10103252,'Increases Defense and Deflection of caster by 36.4',100,1,6),
(21486,10103252,'Increases Mitigation of caster vs noxious damage by 2434',100,1,7),
(21487,10103252,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(21488,10103252,'Reduces physical damage done to caster by 5%',100,1,9),
(21489,100283,'Inflicts 1254 - 1500 poison damage on target',100,1,0),
(21490,100283,'Inflicts 279 - 518 poison damage on target every 3 seconds',100,1,1),
(21491,10100283,'Inflicts 890 - 1314 poison damage on target',100,1,0),
(21492,10100283,'Inflicts 495 - 919 poison damage on target every 3 seconds',100,1,1),
(21493,118961,'Applies Sacrifice.',100,1,0),
(21494,118961,'Increases power of group members (AE) by 489',100,2,1),
(21495,118961,'Heals group members (AE) for 1821',100,2,2),
(21496,118961,'Stuns target',100,1,3),
(21497,10118961,'Applies Sacrifice.',100,1,0),
(21498,10118961,'Heals group members (AE) for 1907',100,2,1),
(21499,10118961,'Increases power of group members (AE) by 385',100,2,2),
(21500,10118961,'Stuns target',100,1,3),
(21501,123964,'Inflicts 999 - 1657 melee damage on target',100,1,0),
(21502,123964,'Decreases AGI of target by 17.9',100,1,1),
(21503,123964,'Must be behind',100,1,2),
(21504,10123964,'Inflicts 787 - 1265 melee damage on target',100,1,0),
(21505,10123964,'Decreases AGI of target by 17.9',100,1,1),
(21506,10123964,'Must be behind',100,1,2),
(21507,87442,'When Equipped:',100,0,0),
(21508,87442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21509,87442,'Inflicts 56 - 84 magic damage on target',100,2,2),
(21510,87442,'Cannot be modified except by direct means',100,2,3),
(21511,10087442,'When Equipped:',100,0,0),
(21512,10087442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21513,10087442,'Inflicts 56 - 84 magic damage on target',100,2,2),
(21514,10087442,'Cannot be modified except by direct means',100,2,3),
(21515,190719,'When Equipped:',100,0,0),
(21516,190719,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(21517,190719,'Inflicts 815 crushing damage on target',100,2,2),
(21518,190719,'Increases Threat to target by 1,710 ',100,2,3),
(21519,190719,'Must not be engaged in pvp combat',100,2,4),
(21520,190719,'Cannot be modified except by direct means',100,2,5),
(21521,190719,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(21522,190719,'Inflicts 815 crushing damage on target',100,2,7),
(21523,190719,'Increases Threat to target by 1,710 ',100,2,8),
(21524,190719,'Must not be engaged in pvp combat',100,2,9),
(21525,190719,'Cannot be modified except by direct means',100,2,10),
(21526,10190719,'When Equipped:',100,0,0),
(21527,10190719,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(21528,10190719,'Inflicts 815 crushing damage on target',100,2,2),
(21529,10190719,'Must not be engaged in pvp combat',100,2,3),
(21530,10190719,'Cannot be modified except by direct means',100,2,4),
(21531,10190719,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(21532,10190719,'Inflicts 815 crushing damage on target',100,2,6),
(21533,10190719,'Must not be engaged in pvp combat',100,2,7),
(21534,10190719,'Cannot be modified except by direct means',100,2,8),
(21535,35494,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(21536,47669,'Applies Extract Truth when Activated.',100,0,0),
(21537,47669,'The Questioner''s gem can be used on any suspected Thexians.',100,1,1),
(21538,10047669,'Applies Extract Truth when Activated.',100,0,0),
(21539,10047669,'The Questioner''s gem can be used on any suspected Thexians.',100,1,1),
(21540,120390,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(21541,120390,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(21542,120390,'Inflicts 457 - 762 heat damage on target',100,2,2),
(21543,120390,'Decreases Defense of caster by 10.5',100,1,3),
(21544,120390,'Increases Slashing, Piercing, Crushing and Ranged of caster by 18.0',100,1,4),
(21545,10120390,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(21546,10120390,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(21547,10120390,'Inflicts 360 - 600 heat damage on target',100,2,2),
(21548,10120390,'Decreases Defense of caster by 10.5',100,1,3),
(21549,10120390,'Increases Slashing, Piercing, Crushing and Ranged of caster by 18.0',100,1,4),
(21550,124297,'Wards group members (AE) against 3272 points of elemental damage',100,1,0),
(21551,124297,'Increases Mitigation of group members (AE) vs elemental damage by 542',100,1,1),
(21552,10124297,'Wards group members (AE) against 2583 points of elemental damage',100,1,0),
(21553,10124297,'Increases Mitigation of group members (AE) vs elemental damage by 542',100,1,1),
(21554,111251,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(21555,111251,'Heals target for 2316 - 2758',100,2,1),
(21556,10111251,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(21557,10111251,'Heals target for 1104 - 1331',100,2,1),
(21558,41991,'When Equipped:',100,0,0),
(21559,41991,'On a critical spell hit this spell may cast Mana Deluge II on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21560,41991,'Decreases Mitigation of target vs arcane damage by 250',100,2,2),
(21561,41991,'Inflicts 74 - 82 crushing damage on target',100,2,3),
(21562,41991,'Increases power of caster by 26',100,2,4),
(21563,41991,'Decreases Mitigation of target vs elemental and noxious damage by 250',100,2,5),
(21564,41991,'Must not be engaged in pvp combat',100,2,6),
(21565,41991,'Cannot be modified except by direct means',100,2,7),
(21566,41991,'On a critical combat hit this spell may cast Mana Deluge II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(21567,41991,'Decreases Mitigation of target vs arcane damage by 250',100,2,9),
(21568,41991,'Inflicts 74 - 82 crushing damage on target',100,2,10),
(21569,41991,'Increases power of caster by 26',100,2,11),
(21570,41991,'Decreases Mitigation of target vs elemental and noxious damage by 250',100,2,12),
(21571,41991,'Must not be engaged in pvp combat',100,2,13),
(21572,41991,'Cannot be modified except by direct means',100,2,14),
(21573,41991,'Must not be engaged in pvp combat',100,1,15),
(21574,10041991,'When Equipped:',100,0,0),
(21575,10041991,'On a critical spell hit this spell may cast Mana Deluge II on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21576,10041991,'Decreases Mitigation of target vs arcane damage by 250',100,2,2),
(21577,10041991,'Inflicts 74 - 82 crushing damage on target',100,2,3),
(21578,10041991,'Increases power of caster by 26',100,2,4),
(21579,10041991,'Decreases Mitigation of target vs elemental and noxious damage by 250',100,2,5),
(21580,10041991,'Must not be engaged in pvp combat',100,2,6),
(21581,10041991,'Cannot be modified except by direct means',100,2,7),
(21582,10041991,'On a critical combat hit this spell may cast Mana Deluge II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(21583,10041991,'Decreases Mitigation of target vs arcane damage by 250',100,2,9),
(21584,10041991,'Inflicts 74 - 82 crushing damage on target',100,2,10),
(21585,10041991,'Increases power of caster by 26',100,2,11),
(21586,10041991,'Decreases Mitigation of target vs elemental and noxious damage by 250',100,2,12),
(21587,10041991,'Must not be engaged in pvp combat',100,2,13),
(21588,10041991,'Cannot be modified except by direct means',100,2,14),
(21589,10041991,'Must not be engaged in pvp combat',100,1,15),
(21590,107816,'Increases Threat to target encounter by 5,274 - 6,086 ',100,1,0),
(21591,10107816,'Prevents target encounter from changing targets',100,1,0),
(21592,10107816,'Forces target encounter to change their selected target to caster.',100,1,1),
(21593,116060,'Shapechanges caster into a lion',100,1,0),
(21594,116060,'Increases STA of caster by 87.8',100,1,1),
(21595,116060,'Adds 2.2% to base avoidance.',100,1,2),
(21596,116060,'Grants See Stealth to caster',100,1,3),
(21597,116060,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1372',100,1,4),
(21598,10116060,'Shapechanges caster into a lion',100,1,0),
(21599,10116060,'Increases STA of caster by 87.8',100,1,1),
(21600,10116060,'Adds 2.2% to base avoidance.',100,1,2),
(21601,10116060,'Grants See Stealth to caster',100,1,3),
(21602,10116060,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1372',100,1,4),
(21603,121191,'Grants stealth to caster',100,1,0),
(21604,121191,'Suspends caster''s movement speed enhancements',100,1,1),
(21605,121191,'Decreases Threat to target by 568 - 947 ',100,1,2),
(21606,10121191,'Forces target to clear their selected target.',100,1,0),
(21607,10121191,'Grants stealth to caster',100,1,1),
(21608,10121191,'Suspends caster''s movement speed enhancements',100,1,2),
(21609,26246,'When Equipped:',100,0,0),
(21610,26246,'On a block this spell has a 8% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(21611,26246,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(21612,26246,'Heals caster for 236 - 289',100,3,3),
(21613,26246,'Grants a total of 3 triggers of the spell.',100,3,4),
(21614,26246,'Cannot be modified except by direct means',100,2,5),
(21615,10026246,'When Equipped:',100,0,0),
(21616,10026246,'On a block this spell has a 8% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(21617,10026246,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(21618,10026246,'Heals caster for 126 - 154',100,3,3),
(21619,10026246,'Grants a total of 3 triggers of the spell.',100,3,4),
(21620,10026246,'Cannot be modified except by direct means',100,2,5),
(21621,115684,'Inflicts 1703 - 2401 melee damage on target',100,129,0),
(21622,115684,'Inflicts 148 - 439 melee damage on target',100,1,1),
(21623,115684,'Inflicts 148 - 439 melee damage on target',100,1,2),
(21624,115684,'Inflicts 148 - 439 melee damage on target',100,1,3),
(21625,115684,'Inflicts 148 - 439 melee damage on target',100,1,4),
(21626,115684,'Inflicts 148 - 439 melee damage on target',100,1,5),
(21627,115684,'Inflicts 148 - 439 melee damage on target',100,1,6),
(21628,115684,'Inflicts 148 - 439 melee damage on target',100,1,7),
(21629,115684,'Inflicts 148 - 439 melee damage on target',100,1,8),
(21630,10115684,'Inflicts 1156 - 1532 melee damage on target',100,129,0),
(21631,10115684,'Inflicts 119 - 352 melee damage on target',100,1,1),
(21632,10115684,'Inflicts 119 - 352 melee damage on target',100,1,2),
(21633,10115684,'Inflicts 119 - 352 melee damage on target',100,1,3),
(21634,10115684,'Inflicts 119 - 352 melee damage on target',100,1,4),
(21635,10115684,'Inflicts 119 - 352 melee damage on target',100,1,5),
(21636,10115684,'Inflicts 119 - 352 melee damage on target',100,1,6),
(21637,10115684,'Inflicts 119 - 352 melee damage on target',100,1,7),
(21638,10115684,'Inflicts 119 - 352 melee damage on target',100,1,8),
(21639,180525,'When Equipped:',100,0,0),
(21640,180525,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(21641,180525,'When Equipped:',100,0,2),
(21642,180525,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(21643,10180525,'When Equipped:',100,0,0),
(21644,10180525,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(21645,10180525,'When Equipped:',100,0,2),
(21646,10180525,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(21647,36771,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(21648,52293,'When Equipped:',100,0,0),
(21649,52293,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21650,52293,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,2),
(21651,52293,'Must not be engaged in pvp combat',100,2,3),
(21652,52293,'Cannot be modified except by direct means',100,2,4),
(21653,52293,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(21654,52293,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(21655,52293,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,7),
(21656,52293,'Must not be engaged in pvp combat',100,2,8),
(21657,52293,'Cannot be modified except by direct means',100,2,9),
(21658,52293,'Cannot be modified except by direct means',100,1,10),
(21659,10052293,'When Equipped:',100,0,0),
(21660,10052293,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21661,10052293,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,2),
(21662,10052293,'Must not be engaged in pvp combat',100,2,3),
(21663,10052293,'Cannot be modified except by direct means',100,2,4),
(21664,10052293,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(21665,10052293,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(21666,10052293,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,7),
(21667,10052293,'Must not be engaged in pvp combat',100,2,8),
(21668,10052293,'Cannot be modified except by direct means',100,2,9),
(21669,10052293,'Cannot be modified except by direct means',100,1,10),
(21670,106920,'Inflicts 313 - 581 poison damage on target',100,1,0),
(21671,10106920,'Inflicts 268 - 499 poison damage on target',100,1,0),
(21672,35320,'Increases Max Power of target by 108.8',100,0,0),
(21673,35320,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(21674,100642,'Wipes target''s memory of any aggression',100,1,0),
(21675,100642,'Stuns target',100,1,1),
(21676,100642,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(21677,100642,'Resistibility increases against targets higher than level 113.',100,1,3),
(21678,10100642,'Forces target to clear their selected target.',100,1,0),
(21679,10100642,'Prevents target from changing targets',100,1,1),
(21680,10100642,'Stuns target',100,1,2),
(21681,10100642,'If Target is not Epic',100,2,3),
(21682,10100642,'Resistibility increases against targets higher than level 113.',100,1,4),
(21683,118169,'Inflicts 4517 - 6844 melee damage on target',100,1,0),
(21684,118169,'Dazes target',100,1,1),
(21685,118169,'If Target is not Epic',100,2,2),
(21686,118169,'Resistibility increases against targets higher than level 107.',100,1,3),
(21687,10118169,'Inflicts 3180 - 5014 melee damage on target',100,1,0),
(21688,10118169,'Dazes target',100,1,1),
(21689,10118169,'If Target is not Epic',100,2,2),
(21690,10118169,'Resistibility increases against targets higher than level 107.',100,1,3),
(21691,105192,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(21692,105192,'Inflicts 608 - 743 poison damage on target encounter',100,2,1),
(21693,10105192,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(21694,10105192,'Inflicts 479 - 585 poison damage on target encounter',100,2,1),
(21695,177717,'When Equipped:',100,0,0),
(21696,177717,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(21697,177717,'Increases AGI of caster by 3.6',100,2,2),
(21698,177717,'Increases Attack Speed of caster by 9.8',100,2,3),
(21699,177717,'Cannot be modified except by direct means',100,2,4),
(21700,10177717,'When Equipped:',100,0,0),
(21701,10177717,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(21702,10177717,'Increases AGI of caster by 3.6',100,2,2),
(21703,10177717,'Increases Attack Speed of caster by 9.8',100,2,3),
(21704,10177717,'Cannot be modified except by direct means',100,2,4),
(21705,25750,'When Equipped:',100,0,0),
(21706,25750,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(21707,25750,'Reduces the reuse time of Restoration VIII by 4 seconds.',100,1,2),
(21708,10025750,'When Equipped:',100,0,0),
(21709,10025750,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(21710,10025750,'Reduces the reuse time of Restoration VIII by 4 seconds.',100,1,2),
(21711,52882,'Applies Sanguine Imbued when Equipped.',100,0,0),
(21712,52882,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(21713,52882,'Inflicts 276 heat damage on target',100,2,2),
(21714,52882,'Cannot be modified except by direct means',100,2,3),
(21715,10052882,'Applies Sanguine Imbued when Equipped.',100,0,0),
(21716,10052882,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(21717,10052882,'Inflicts 276 heat damage on target',100,2,2),
(21718,10052882,'Cannot be modified except by direct means',100,2,3),
(21719,26537,'When Equipped:',100,0,0),
(21720,26537,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(21721,26537,'Adds 10% max health to the pet when Rending V is active.',100,1,2),
(21722,10026537,'When Equipped:',100,0,0),
(21723,10026537,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(21724,10026537,'Adds 10% max health to the pet when Rending V is active.',100,1,2),
(21725,36250,'Increases STR of target by 6.2',100,0,0),
(21726,36250,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(21727,48575,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(21728,48575,'Shrinks caster by 35.0%',100,1,1),
(21729,48575,'Enlarges caster by 50.0%',100,1,2),
(21730,10048575,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(21731,10048575,'Shrinks caster by 35.0%',100,1,1),
(21732,10048575,'Enlarges caster by 50.0%',100,1,2),
(21733,159874,'When Equipped:',100,0,0),
(21734,159874,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21735,159874,'Increases WIS of caster by 17.3',100,2,2),
(21736,159874,'Increases Focus, Ordination and Ministration of caster by 9.8',100,2,3),
(21737,159874,'Cannot be modified except by direct means',100,2,4),
(21738,10159874,'When Equipped:',100,0,0),
(21739,10159874,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21740,10159874,'Increases WIS of caster by 17.3',100,2,2),
(21741,10159874,'Increases Focus, Ordination and Ministration of caster by 9.8',100,2,3),
(21742,10159874,'Cannot be modified except by direct means',100,2,4),
(21743,106365,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(21744,106365,'Slows target by 60.2%',100,2,1),
(21745,106365,'5% chance to dispel when target receives hostile action',100,2,2),
(21746,106365,'5% chance to dispel when target takes damage',100,2,3),
(21747,106365,'Decreases Mitigation of target vs arcane damage by 1820',100,1,4),
(21748,10106365,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(21749,10106365,'Slows target by 60.2%',100,2,1),
(21750,10106365,'5% chance to dispel when target receives hostile action',100,2,2),
(21751,10106365,'5% chance to dispel when target takes damage',100,2,3),
(21752,10106365,'Decreases Mitigation of target vs arcane damage by 1820',100,1,4),
(21753,81313,'When Equipped:',100,0,0),
(21754,81313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21755,81313,'Inflicts 403 - 748 magic damage on target',100,2,2),
(21756,81313,'Cannot be modified except by direct means',100,2,3),
(21757,10081313,'When Equipped:',100,0,0),
(21758,10081313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21759,10081313,'Inflicts 403 - 748 magic damage on target',100,2,2),
(21760,10081313,'Cannot be modified except by direct means',100,2,3),
(21761,110100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(21762,110100,'Inflicts 127 disease damage on target',100,2,1),
(21763,110100,'Heals caster for 47',100,2,2),
(21764,110100,'Decreases INT of target by 81.5',100,1,3),
(21765,110100,'Decreases Attack Speed of target by 25.0',100,1,4),
(21766,110100,'Increases Max Health of target by 16.0%',100,1,5),
(21767,110100,'Increases Hate Gain of target by 36.4%',100,1,6),
(21768,110100,'Increases Aggression of target by 10.1',100,1,7),
(21769,110100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(21770,110100,'Increases Threat to target encounter by 439 - 537 ',100,2,9),
(21771,110100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,10),
(21772,10110100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(21773,10110100,'Inflicts 100 disease damage on target',100,2,1),
(21774,10110100,'Heals caster for 24',100,2,2),
(21775,10110100,'Decreases INT of target by 81.5',100,1,3),
(21776,10110100,'Decreases Attack Speed of target by 25.0',100,1,4),
(21777,10110100,'Increases Max Health of target by 16.0%',100,1,5),
(21778,10110100,'Increases Aggression of target by 10.1',100,1,6),
(21779,10110100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,7),
(21780,116934,'Increases Threat to target by 145 - 178 ',100,1,0),
(21781,116934,'Interrupts target',100,1,1),
(21782,10116934,'Forces target to change their selected target to caster.',100,1,0),
(21783,10116934,'Interrupts target',100,1,1),
(21784,10116934,'Prevents target from changing targets',100,1,2),
(21785,83911,'When Equipped:',100,0,0),
(21786,83911,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(21787,83911,'Increases power of caster by 20',100,2,2),
(21788,83911,'Cannot be modified except by direct means',100,2,3),
(21789,10083911,'When Equipped:',100,0,0),
(21790,10083911,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(21791,10083911,'Increases power of caster by 20',100,2,2),
(21792,10083911,'Cannot be modified except by direct means',100,2,3),
(21793,118519,'Inflicts 488 - 809 melee damage on target',100,1,0),
(21794,118519,'Decreases STR of target by 12.3',100,1,1),
(21795,118519,'You must be sneaking to use this ability.',100,1,2),
(21796,10118519,'Inflicts 384 - 638 melee damage on target',100,1,0),
(21797,10118519,'Decreases STR of target by 12.3',100,1,1),
(21798,10118519,'You must be sneaking to use this ability.',100,1,2),
(21799,159143,'Applies Lambent Imbued when Equipped.',100,0,0),
(21800,159143,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(21801,159143,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(21802,159143,'Cannot be modified except by direct means',100,2,3),
(21803,10159143,'Applies Lambent Imbued when Equipped.',100,0,0),
(21804,10159143,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(21805,10159143,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(21806,10159143,'Cannot be modified except by direct means',100,2,3),
(21807,114311,'Heals target for 3386 - 3920',100,1,0),
(21808,10114311,'Heals target for 2483 - 2978',100,1,0),
(21809,112447,'Mesmerizes target',100,1,0),
(21810,112447,'Prevents AOE (except when direct) ',100,1,1),
(21811,112447,'Dispelled when target takes damage',100,1,2),
(21812,112447,'Does not affect Epic targets',100,1,3),
(21813,112447,'Resistibility increases against targets higher than level 95.',100,1,4),
(21814,10112447,'Mesmerizes target',100,1,0),
(21815,10112447,'Prevents AOE (except when direct) ',100,1,1),
(21816,10112447,'Dispelled when target takes damage',100,1,2),
(21817,10112447,'Does not affect Epic targets',100,1,3),
(21818,10112447,'Resistibility increases against targets higher than level 95.',100,1,4),
(21819,71028,'When Equipped:',100,0,0),
(21820,71028,'On a melee hit this spell may cast Viscous Venom on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21821,71028,'Inflicts 562 poison damage on target instantly and every 5 seconds',100,2,2),
(21822,71028,'Cannot be modified except by direct means',100,2,3),
(21823,71028,'On a melee hit this spell may cast Viscous Venom on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(21824,71028,'Decreases Attack Speed of target by an additional 3 every 5 seconds',100,2,5),
(21825,71028,'Decreases Attack Speed of target by 20.0',100,2,6),
(21826,71028,'Cannot be modified except by direct means',100,2,7),
(21827,10071028,'When Equipped:',100,0,0),
(21828,10071028,'On a melee hit this spell may cast Viscous Venom on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(21829,10071028,'Inflicts 562 poison damage on target instantly and every 5 seconds',100,2,2),
(21830,10071028,'Cannot be modified except by direct means',100,2,3),
(21831,10071028,'On a melee hit this spell may cast Viscous Venom on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(21832,10071028,'Decreases Attack Speed of target by an additional 3 every 5 seconds',100,2,5),
(21833,10071028,'Decreases Attack Speed of target by 20.0',100,2,6),
(21834,10071028,'Cannot be modified except by direct means',100,2,7),
(21835,36259,'Increases STR and STA of target by 61.6',100,0,0),
(21836,36259,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(21837,36259,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,2),
(21838,166530,'Applies Rising Brutality III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(21839,166530,'Increases the Damage Per Second of the caster over time.',100,1,1),
(21840,166530,'Applies Invigorated Haste III on termination.  Lasts for 30.0 seconds.',100,1,2),
(21841,166530,'Increases Attack Speed of caster by 40.0',100,2,3),
(21842,166530,'Must not be engaged in pvp combat',100,2,4),
(21843,166530,'Cannot be modified except by direct means',100,2,5),
(21844,166530,'Must not be engaged in pvp combat',100,1,6),
(21845,166530,'Cannot be modified except by direct means',100,1,7),
(21846,166530,'The reuse time of Rising Brutality III is 10 minutes',100,1,8),
(21847,10166530,'Applies Rising Brutality III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(21848,10166530,'Increases the Damage Per Second of the caster over time.',100,1,1),
(21849,10166530,'Applies Invigorated Haste III on termination.  Lasts for 30.0 seconds.',100,1,2),
(21850,10166530,'Increases Attack Speed of caster by 40.0',100,2,3),
(21851,10166530,'Must not be engaged in pvp combat',100,2,4),
(21852,10166530,'Cannot be modified except by direct means',100,2,5),
(21853,10166530,'Must not be engaged in pvp combat',100,1,6),
(21854,10166530,'Cannot be modified except by direct means',100,1,7),
(21855,10166530,'The reuse time of Rising Brutality III is 10 minutes',100,1,8),
(21856,117941,'Heals target for 676 - 826',100,1,0),
(21857,117941,'Increases Max Health of target by 17.6',100,1,1),
(21858,10117941,'Heals target for 554 - 677',100,1,0),
(21859,10117941,'Increases Max Health of target by 17.6',100,1,1),
(21860,122094,'Increases STA and INT of group members (AE) by 59.1',100,1,0),
(21861,10122094,'Increases STA and INT of group members (AE) by 59.1',100,1,0),
(21862,124075,'Increases power of caster by 492',100,1,0),
(21863,10124075,'Increases power of caster by 492',100,1,0),
(21864,89276,'When Equipped:',100,0,0),
(21865,89276,'On a critical spell hit this spell may cast Infected Strike VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21866,89276,'Inflicts 562 - 621 disease damage on target',100,2,2),
(21867,89276,'Inflicts 157 - 174 disease damage on target every 2 seconds',100,2,3),
(21868,89276,'Decreases STR, INT, WIS and AGI of target by 70.0',100,2,4),
(21869,89276,'Must not be engaged in pvp combat',100,2,5),
(21870,89276,'Cannot be modified except by direct means',100,2,6),
(21871,89276,'On a critical combat hit this spell may cast Infected Strike VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(21872,89276,'Inflicts 562 - 621 disease damage on target',100,2,8),
(21873,89276,'Inflicts 157 - 174 disease damage on target every 2 seconds',100,2,9),
(21874,89276,'Decreases STR, INT, WIS and AGI of target by 70.0',100,2,10),
(21875,89276,'Must not be engaged in pvp combat',100,2,11),
(21876,89276,'Cannot be modified except by direct means',100,2,12),
(21877,89276,'Must not be engaged in pvp combat',100,1,13),
(21878,10089276,'When Equipped:',100,0,0),
(21879,10089276,'On a critical spell hit this spell may cast Infected Strike VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(21880,10089276,'Inflicts 562 - 621 disease damage on target',100,2,2),
(21881,10089276,'Inflicts 157 - 174 disease damage on target every 2 seconds',100,2,3),
(21882,10089276,'Decreases STR, INT, WIS and AGI of target by 70.0',100,2,4),
(21883,10089276,'Must not be engaged in pvp combat',100,2,5),
(21884,10089276,'Cannot be modified except by direct means',100,2,6),
(21885,10089276,'On a critical combat hit this spell may cast Infected Strike VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(21886,10089276,'Inflicts 562 - 621 disease damage on target',100,2,8),
(21887,10089276,'Inflicts 157 - 174 disease damage on target every 2 seconds',100,2,9),
(21888,10089276,'Decreases STR, INT, WIS and AGI of target by 70.0',100,2,10),
(21889,10089276,'Must not be engaged in pvp combat',100,2,11),
(21890,10089276,'Cannot be modified except by direct means',100,2,12),
(21891,10089276,'Must not be engaged in pvp combat',100,1,13),
(21892,122137,'Interrupts target',100,1,0),
(21893,122137,'Increases Threat to target by 5,349 ',100,1,1),
(21894,122137,'Dispels 73 levels of arcane beneficial effects on target',100,1,2),
(21895,10122137,'Interrupts target',100,1,0),
(21896,10122137,'Forces target to change their selected target to caster.',100,1,1),
(21897,10122137,'Dispels 73 levels of arcane beneficial effects on target',100,1,2),
(21898,102652,'Inflicts 2214 - 3025 melee damage on target',100,1,0),
(21899,102652,'Inflicts 485 heat damage on target every 6 seconds',100,1,1),
(21900,10102652,'Inflicts 1386 - 2039 melee damage on target',100,1,0),
(21901,10102652,'Inflicts 382 heat damage on target every 6 seconds',100,1,1),
(21902,157344,'When Equipped:',100,0,0),
(21903,157344,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(21904,157344,'Inflicts 1390 mental damage on target',100,2,2),
(21905,157344,'Increases Threat to target by 4,460 ',100,2,3),
(21906,157344,'Cannot be modified except by direct means',100,2,4),
(21907,157344,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(21908,157344,'Inflicts 1390 mental damage on target',100,2,6),
(21909,157344,'Increases Threat to target by 4,460 ',100,2,7),
(21910,157344,'Cannot be modified except by direct means',100,2,8),
(21911,10157344,'When Equipped:',100,0,0),
(21912,10157344,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(21913,10157344,'Inflicts 1390 mental damage on target',100,2,2),
(21914,10157344,'Cannot be modified except by direct means',100,2,3),
(21915,10157344,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(21916,10157344,'Inflicts 1390 mental damage on target',100,2,5),
(21917,10157344,'Cannot be modified except by direct means',100,2,6),
(21918,80687,'When Equipped:',100,0,0),
(21919,80687,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(21920,80687,'Inflicts 106 - 197 magic damage on target',100,2,2),
(21921,80687,'Decreases Threat to target by 236 ',100,2,3),
(21922,80687,'Must be flanking or behind',100,3,4),
(21923,80687,'Increases Threat to target by 414 ',100,2,5),
(21924,80687,'Must be in front of',100,3,6),
(21925,80687,'Cannot be modified except by direct means',100,2,7),
(21926,10080687,'When Equipped:',100,0,0),
(21927,10080687,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(21928,10080687,'Inflicts 106 - 197 magic damage on target',100,2,2),
(21929,10080687,'Cannot be modified except by direct means',100,2,3),
(21930,47294,'Applies Sartar''s Resurgence  when Activated.',100,0,0),
(21931,47294,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(21932,10047294,'Applies Sartar''s Resurgence  when Activated.',100,0,0),
(21933,10047294,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(21934,100262,'Inflicts 1488 - 1922 poison damage on target',100,1,0),
(21935,100262,'Inflicts 506 - 939 poison damage on target every 3 seconds',100,1,1),
(21936,10100262,'Inflicts 1293 - 2063 poison damage on target',100,1,0),
(21937,10100262,'Inflicts 899 - 1669 poison damage on target every 3 seconds',100,1,1),
(21938,104086,'Inflicts 2218 - 3032 mental damage on target',100,1,0),
(21939,104086,'Inflicts 1236 - 2050 mental damage on target',100,1,1),
(21940,10104086,'Inflicts 1369 - 2010 mental damage on target',100,1,0),
(21941,10104086,'Inflicts 974 - 1615 mental damage on target',100,1,1),
(21942,48619,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(21943,48619,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(21944,48619,'Inflicts 108 poison damage on target',100,2,2),
(21945,48619,'Inflicts 284 poison damage on target instantly and every 6 seconds',100,2,3),
(21946,48619,'Cannot be modified except by direct means',100,2,4),
(21947,48619,'Grants a total of 200 triggers of the spell.',100,2,5),
(21948,10048619,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(21949,10048619,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(21950,10048619,'Inflicts 213 poison damage on target instantly and every 6 seconds',100,2,2),
(21951,10048619,'Inflicts 81 poison damage on target',100,2,3),
(21952,10048619,'Cannot be modified except by direct means',100,2,4),
(21953,10048619,'Grants a total of 200 triggers of the spell.',100,2,5),
(21954,109967,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,0),
(21955,109967,'Increases Threat to targets in Area of Effect by 6,879 - 8,048  instantly and by 6,551 - 7,720  every 4 seconds thereafter',100,1,1),
(21956,109967,'Inflicts 2960 - 4277 disease damage on targets in Area of Effect',100,1,2),
(21957,109967,'Inflicts 1316 - 1975 disease damage on targets in Area of Effect every 4 seconds',100,1,3),
(21958,10109967,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(21959,10109967,'Prevents target from changing targets',100,2,1),
(21960,10109967,'Forces target to change their selected target to caster.',100,2,2),
(21961,10109967,'Inflicts 2207 - 3244 disease damage on targets in Area of Effect',100,1,3),
(21962,10109967,'Inflicts 1037 - 1556 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(21963,101321,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(21964,101321,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 91',100,1,1),
(21965,101321,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,2),
(21966,10101321,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(21967,10101321,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 91',100,1,1),
(21968,10101321,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,2),
(21969,27479,'When Equipped:',100,0,0),
(21970,27479,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(21971,27479,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(21972,10027479,'When Equipped:',100,0,0),
(21973,10027479,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(21974,10027479,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(21975,82638,'When Equipped:',100,0,0),
(21976,82638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21977,82638,'Inflicts 134 - 249 magic damage on target',100,2,2),
(21978,82638,'Cannot be modified except by direct means',100,2,3),
(21979,10082638,'When Equipped:',100,0,0),
(21980,10082638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(21981,10082638,'Inflicts 134 - 249 magic damage on target',100,2,2),
(21982,10082638,'Cannot be modified except by direct means',100,2,3),
(21983,112272,'Increases Defense of group members (AE) by 6.5',100,1,0),
(21984,10112272,'Increases Defense of group members (AE) by 6.5',100,1,0),
(21985,104811,'Increases caster''s chance to block by 10.0%',100,1,0),
(21986,104811,'Decreases Attack Speed of caster by 16.8',100,1,1),
(21987,104811,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(21988,104811,'Increases Parry of caster by 32.6',100,1,3),
(21989,104811,'Increases Defense of caster by 32.6',100,1,4),
(21990,10104811,'Increases caster''s chance to block by 10.0%',100,1,0),
(21991,10104811,'Decreases Attack Speed of caster by 16.8',100,1,1),
(21992,10104811,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(21993,10104811,'Increases Parry of caster by 32.6',100,1,3),
(21994,10104811,'Increases Defense of caster by 32.6',100,1,4),
(21995,159321,'Applies Lambent Imbued when Equipped.',100,0,0),
(21996,159321,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(21997,159321,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(21998,159321,'Cannot be modified except by direct means',100,2,3),
(21999,10159321,'Applies Lambent Imbued when Equipped.',100,0,0),
(22000,10159321,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(22001,10159321,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(22002,10159321,'Cannot be modified except by direct means',100,2,3),
(22003,100410,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(22004,100410,'Inflicts 95 - 158 slashing damage on target',100,2,1),
(22005,100410,'Increases Threat to target by 294 ',100,2,2),
(22006,100410,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(22007,100410,'Increases Threat to target by 294 ',100,2,4),
(22008,100410,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 257',100,1,5),
(22009,10100410,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(22010,10100410,'Inflicts 75 - 125 slashing damage on target',100,2,1),
(22011,10100410,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(22012,10100410,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 257',100,1,3),
(22013,80845,'When Equipped:',100,0,0),
(22014,80845,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22015,80845,'Inflicts 369 - 686 magic damage on target',100,2,2),
(22016,80845,'Cannot be modified except by direct means',100,2,3),
(22017,10080845,'When Equipped:',100,0,0),
(22018,10080845,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22019,10080845,'Inflicts 369 - 686 magic damage on target',100,2,2),
(22020,10080845,'Cannot be modified except by direct means',100,2,3),
(22021,24082,'Adds Chardok: Di''Zok Tome to your Dungeon Maker toolbox',100,0,0),
(22022,10024082,'Adds Chardok: Di''Zok Tome to your Dungeon Maker toolbox',100,0,0),
(22023,51057,'Applies Heroic Resistance I when Equipped.',100,0,0),
(22024,51057,'Reduces the critical damage inflicted by players on caster by 1.0%',100,1,1),
(22025,51057,'Cannot be modified except by direct means',100,1,2),
(22026,10051057,'Applies Heroic Resistance I when Equipped.',100,0,0),
(22027,10051057,'Reduces the critical damage inflicted by players on caster by 1.0%',100,1,1),
(22028,10051057,'Cannot be modified except by direct means',100,1,2),
(22029,111091,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(22030,111091,'Slows target by 75.5%',100,2,1),
(22031,111091,'5% chance to dispel when target receives hostile action',100,2,2),
(22032,111091,'5% chance to dispel when target takes damage',100,2,3),
(22033,111091,'Decreases Mitigation of target vs elemental damage by 3302',100,1,4),
(22034,10111091,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(22035,10111091,'Slows target by 75.5%',100,2,1),
(22036,10111091,'5% chance to dispel when target receives hostile action',100,2,2),
(22037,10111091,'5% chance to dispel when target takes damage',100,2,3),
(22038,10111091,'Decreases Mitigation of target vs elemental damage by 3302',100,1,4),
(22039,45519,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(22040,45519,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(22041,45519,'Inflicts 82 poison damage on target instantly and every 6 seconds',100,2,2),
(22042,45519,'Inflicts 503 poison damage on target',100,2,3),
(22043,45519,'Cannot be modified except by direct means',100,2,4),
(22044,45519,'Grants a total of 200 triggers of the spell.',100,2,5),
(22045,10045519,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(22046,10045519,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(22047,10045519,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,2),
(22048,10045519,'Inflicts 378 poison damage on target',100,2,3),
(22049,10045519,'Cannot be modified except by direct means',100,2,4),
(22050,10045519,'Grants a total of 200 triggers of the spell.',100,2,5),
(22051,35644,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(22052,80929,'When Equipped:',100,0,0),
(22053,80929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22054,80929,'Inflicts 343 - 636 magic damage on target',100,2,2),
(22055,80929,'Cannot be modified except by direct means',100,2,3),
(22056,10080929,'When Equipped:',100,0,0),
(22057,10080929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22058,10080929,'Inflicts 343 - 636 magic damage on target',100,2,2),
(22059,10080929,'Cannot be modified except by direct means',100,2,3),
(22060,88161,'Applies Ice Wave when Activated.',100,0,0),
(22061,88161,'Inflicts 3438 cold damage on targets in Area of Effect',100,1,1),
(22062,88161,'The casting time of Ice Wave is 2.97 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,2),
(22063,10088161,'Applies Ice Wave when Activated.',100,0,0),
(22064,10088161,'Inflicts 1719 cold damage on targets in Area of Effect',100,1,1),
(22065,10088161,'The casting time of Ice Wave is 2.97 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,2),
(22066,161767,'Applies Kaltuk''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(22067,161767,'The caster''s spells heal 5% more damage.',100,1,1),
(22068,161767,'Cannot be modified except by direct means',100,1,2),
(22069,161767,'The casting time of Kaltuk''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(22070,161767,'When Equipped:',100,0,4),
(22071,161767,'Reduces maximum falling speed of caster',100,1,5),
(22072,10161767,'Applies Kaltuk''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(22073,10161767,'The caster''s spells heal 5% more damage.',100,1,1),
(22074,10161767,'Cannot be modified except by direct means',100,1,2),
(22075,10161767,'The casting time of Kaltuk''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(22076,10161767,'When Equipped:',100,0,4),
(22077,10161767,'Reduces maximum falling speed of caster',100,1,5),
(22078,46856,'Applies Margyn''s Refreshment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(22079,46856,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(22080,10046856,'Applies Margyn''s Refreshment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(22081,10046856,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(22082,88279,'When Equipped:',100,0,0),
(22083,88279,'On a combat hit this spell may cast Banish Undead on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22084,88279,'Inflicts 123 - 151 divine damage on target',100,2,2),
(22085,88279,'If target is undead',100,2,3),
(22086,88279,'Cannot be modified except by direct means',100,2,4),
(22087,10088279,'When Equipped:',100,0,0),
(22088,10088279,'On a combat hit this spell may cast Banish Undead on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22089,10088279,'Inflicts 123 - 151 divine damage on target',100,2,2),
(22090,10088279,'If target is undead',100,2,3),
(22091,10088279,'Cannot be modified except by direct means',100,2,4),
(22092,112509,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(22093,112509,'Inflicts 336 disease damage on target instantly and every 4 seconds',100,2,1),
(22094,112509,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(22095,10112509,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(22096,10112509,'Inflicts 265 disease damage on target instantly and every 4 seconds',100,2,1),
(22097,10112509,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(22098,71841,'When Equipped:',100,0,0),
(22099,71841,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22100,71841,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(22101,71841,'Cannot be modified except by direct means',100,2,3),
(22102,10071841,'When Equipped:',100,0,0),
(22103,10071841,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22104,10071841,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(22105,10071841,'Cannot be modified except by direct means',100,2,3),
(22106,107224,'Inflicts 3507 - 5600 melee damage on targets in area',100,1,0),
(22107,107224,'Dispels 173 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(22108,10107224,'Inflicts 2637 - 4287 melee damage on targets in area',100,1,0),
(22109,10107224,'Reduces healing received of targets in area by 10%',100,1,1),
(22110,79028,'Applies Frost Blast when Activated.',100,0,0),
(22111,79028,'Inflicts 613 - 1021 cold damage on target',100,1,1),
(22112,79028,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(22113,10079028,'Applies Frost Blast when Activated.',100,0,0),
(22114,10079028,'Inflicts 613 - 1021 cold damage on target',100,1,1),
(22115,10079028,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(22116,134734,'When Equipped:',100,0,0),
(22117,134734,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(22118,10134734,'When Equipped:',100,0,0),
(22119,10134734,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(22120,114905,'Inflicts 1527 - 1995 melee damage on target',100,1,0),
(22121,114905,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 480',100,1,1),
(22122,114905,'Must be behind',100,1,2),
(22123,10114905,'Inflicts 875 - 1192 melee damage on target',100,1,0),
(22124,10114905,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 240',100,1,1),
(22125,10114905,'Must be behind',100,1,2),
(22126,122734,'Applies Tranquil Healing.',100,1,0),
(22127,122734,'Heals target for 1960',100,2,1),
(22128,122734,'Dispels 101 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(22129,122734,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(22130,122734,'Heals target for 1960',100,3,4),
(22131,10122734,'Applies Tranquil Healing.',100,1,0),
(22132,10122734,'Heals target for 618',100,2,1),
(22133,10122734,'Dispels 101 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(22134,10122734,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(22135,10122734,'Heals target for 618',100,3,4),
(22136,82921,'When Equipped:',100,0,0),
(22137,82921,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22138,82921,'Inflicts 449 - 834 magic damage on target',100,2,2),
(22139,82921,'Decreases Threat to target by 833 ',100,2,3),
(22140,82921,'Must be flanking or behind',100,3,4),
(22141,82921,'Increases Threat to target by 1,293 ',100,2,5),
(22142,82921,'Must be in front of',100,3,6),
(22143,82921,'Cannot be modified except by direct means',100,2,7),
(22144,10082921,'When Equipped:',100,0,0),
(22145,10082921,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22146,10082921,'Inflicts 449 - 834 magic damage on target',100,2,2),
(22147,10082921,'Cannot be modified except by direct means',100,2,3),
(22148,104113,'Roots target',100,1,0),
(22149,104113,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(22150,104113,'Slows target by 25.6%',100,2,2),
(22151,104113,'Makes target afraid',100,2,3),
(22152,104113,'30% chance to dispel when target takes damage',100,2,4),
(22153,104113,'Resistibility increases against targets higher than level 62.',100,2,5),
(22154,104113,'15% chance to dispel when target takes damage',100,1,6),
(22155,104113,'Does not affect Epic targets',100,1,7),
(22156,104113,'Resistibility increases against targets higher than level 62.',100,1,8),
(22157,10104113,'Roots target',100,1,0),
(22158,10104113,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(22159,10104113,'Makes target afraid',100,2,2),
(22160,10104113,'Slows target by 25.6%',100,2,3),
(22161,10104113,'30% chance to dispel when target takes damage',100,2,4),
(22162,10104113,'Resistibility increases against targets higher than level 62.',100,2,5),
(22163,10104113,'15% chance to dispel when target takes damage',100,1,6),
(22164,10104113,'Does not affect Epic targets',100,1,7),
(22165,10104113,'Resistibility increases against targets higher than level 62.',100,1,8),
(22166,24129,'Adds Clockwork Gnome (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(22167,10024129,'Adds Clockwork Gnome (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(22168,183205,'When Equipped:',100,0,0),
(22169,183205,'Increases Attack Speed of caster by 40.0',100,1,1),
(22170,10183205,'When Equipped:',100,0,0),
(22171,10183205,'Increases Attack Speed of caster by 40.0',100,1,1),
(22172,24161,'Adds Crushbone: Bone Pile to your Dungeon Maker toolbox',100,0,0),
(22173,10024161,'Adds Crushbone: Bone Pile to your Dungeon Maker toolbox',100,0,0),
(22174,123777,'Decreases Mitigation of target vs noxious damage by 1235',100,1,0),
(22175,123777,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(22176,123777,'Slows target by 40.8%',100,2,2),
(22177,123777,'5% chance to dispel when target receives hostile action',100,2,3),
(22178,123777,'5% chance to dispel when target takes damage',100,2,4),
(22179,10123777,'Decreases Mitigation of target vs noxious damage by 1235',100,1,0),
(22180,10123777,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(22181,10123777,'Slows target by 40.8%',100,2,2),
(22182,10123777,'5% chance to dispel when target receives hostile action',100,2,3),
(22183,10123777,'5% chance to dispel when target takes damage',100,2,4),
(22184,26373,'When Equipped:',100,0,0),
(22185,26373,'Increases all elemental damage by up to 10.',100,1,1),
(22186,10026373,'When Equipped:',100,0,0),
(22187,10026373,'Increases all elemental damage by up to 10.',100,1,1),
(22188,124761,'Inflicts 1910 - 2329 disease damage on target encounter',100,1,0),
(22189,10124761,'Inflicts 1422 - 1709 disease damage on target encounter',100,1,0),
(22190,102281,'Inflicts 3255 - 5183 melee damage on targets in area',100,1,0),
(22191,10102281,'Inflicts 2490 - 4042 melee damage on targets in area',100,1,0),
(22192,106046,'Increases AGI of caster by 21.4',100,1,0),
(22193,106046,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(22194,106046,'Inflicts 121 - 201 disease damage on target',100,2,2),
(22195,106046,'Adds 17.2% to base avoidance.',100,1,3),
(22196,106046,'Increases Mitigation of caster vs physical damage by 100',100,1,4),
(22197,106046,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,5),
(22198,10106046,'Increases AGI of caster by 21.4',100,1,0),
(22199,10106046,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(22200,10106046,'Inflicts 95 - 159 disease damage on target',100,2,2),
(22201,10106046,'Adds 17.2% to base avoidance.',100,1,3),
(22202,10106046,'Increases Mitigation of caster vs physical damage by 100',100,1,4),
(22203,10106046,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,5),
(22204,100266,'Summons a limited pet to aid the caster',100,1,0),
(22205,10100266,'Summons a limited pet to aid the caster',100,1,0),
(22206,166387,'When Equipped:',100,0,0),
(22207,166387,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(22208,166387,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(22209,166387,'Cannot be modified except by direct means',100,2,3),
(22210,10166387,'When Equipped:',100,0,0),
(22211,10166387,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(22212,10166387,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(22213,10166387,'Cannot be modified except by direct means',100,2,3),
(22214,161125,'When Equipped:',100,0,0),
(22215,161125,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22216,161125,'Summons a limited pet to aid the caster',100,2,2),
(22217,161125,'Cannot be modified except by direct means',100,2,3),
(22218,161125,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(22219,161125,'Summons a limited pet to aid the caster',100,2,5),
(22220,161125,'Cannot be modified except by direct means',100,2,6),
(22221,10161125,'When Equipped:',100,0,0),
(22222,10161125,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22223,10161125,'Summons a limited pet to aid the caster',100,2,2),
(22224,10161125,'Cannot be modified except by direct means',100,2,3),
(22225,10161125,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(22226,10161125,'Summons a limited pet to aid the caster',100,2,5),
(22227,10161125,'Cannot be modified except by direct means',100,2,6),
(22228,138327,'When Equipped:',100,0,0),
(22229,138327,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(22230,138327,'Heals group members (AE) for 871',100,2,2),
(22231,138327,'Heals group members (AE) for 290 every 5 seconds',100,2,3),
(22232,138327,'Must not be engaged in pvp combat',100,2,4),
(22233,138327,'Cannot be modified except by direct means',100,2,5),
(22234,138327,'Must not be engaged in pvp combat',100,1,6),
(22235,10138327,'When Equipped:',100,0,0),
(22236,10138327,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(22237,10138327,'Heals group members (AE) for 1019',100,2,2),
(22238,10138327,'Heals group members (AE) for 340 every 5 seconds',100,2,3),
(22239,10138327,'Must not be engaged in pvp combat',100,2,4),
(22240,10138327,'Cannot be modified except by direct means',100,2,5),
(22241,10138327,'Must not be engaged in pvp combat',100,1,6),
(22242,75051,'Applies Poison Bolt when Activated.',100,0,0),
(22243,75051,'Inflicts 536 - 894 poison damage on target',100,1,1),
(22244,75051,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(22245,10075051,'Applies Poison Bolt when Activated.',100,0,0),
(22246,10075051,'Inflicts 536 - 894 poison damage on target',100,1,1),
(22247,10075051,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(22248,24214,'Adds Crushbone: Rigid-chained Hanging Cage to your Dungeon Maker toolbox',100,0,0),
(22249,10024214,'Adds Crushbone: Rigid-chained Hanging Cage to your Dungeon Maker toolbox',100,0,0),
(22250,111136,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(22251,111136,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 107',100,1,1),
(22252,111136,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,2),
(22253,10111136,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(22254,10111136,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 107',100,1,1),
(22255,10111136,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,2),
(22256,48373,'Applies Tinkered Wings of Flight when Activated.',100,0,0),
(22257,48373,'Increases Ranged, Subjugation and Disruption of caster by 5.0',100,1,1),
(22258,48373,'Summons a mount to ride',100,1,2),
(22259,48373,'Increases your ground speed by 75%',100,2,3),
(22260,48373,'Increases your air speed by 150%',100,2,4),
(22261,48373,'Increases Slashing, Ordination, Aggression, Crushing, Piercing, Focus and Ministration of caster by 5.0',100,1,5),
(22262,10048373,'Applies Tinkered Wings of Flight when Activated.',100,0,0),
(22263,10048373,'Increases Ranged, Subjugation and Disruption of caster by 5.0',100,1,1),
(22264,10048373,'Summons a mount to ride',100,1,2),
(22265,10048373,'Increases your ground speed by 75%',100,2,3),
(22266,10048373,'Increases your air speed by 150%',100,2,4),
(22267,10048373,'Increases Slashing, Ordination, Aggression, Crushing, Piercing, Focus and Ministration of caster by 5.0',100,1,5),
(22268,87500,'When Equipped:',100,0,0),
(22269,87500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22270,87500,'Inflicts 138 - 207 magic damage on target',100,2,2),
(22271,87500,'Cannot be modified except by direct means',100,2,3),
(22272,10087500,'When Equipped:',100,0,0),
(22273,10087500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22274,10087500,'Inflicts 138 - 207 magic damage on target',100,2,2),
(22275,10087500,'Cannot be modified except by direct means',100,2,3),
(22276,101657,'Decreases Attack Speed of target by 15.4',100,1,0),
(22277,101657,'Decreases Damage Per Second of target by 8.9',100,1,1),
(22278,10101657,'Decreases Attack Speed of target by 15.4',100,1,0),
(22279,10101657,'Decreases Damage Per Second of target by 8.9',100,1,1),
(22280,87329,'When Equipped:',100,0,0),
(22281,87329,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22282,87329,'Inflicts 196 - 294 magic damage on target',100,2,2),
(22283,87329,'Cannot be modified except by direct means',100,2,3),
(22284,10087329,'When Equipped:',100,0,0),
(22285,10087329,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22286,10087329,'Inflicts 196 - 294 magic damage on target',100,2,2),
(22287,10087329,'Cannot be modified except by direct means',100,2,3),
(22288,106423,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(22289,106423,'Inflicts 3166 - 3797 mental damage on target',100,2,1),
(22290,106423,'Grants a total of 3 triggers of the spell.',100,2,2),
(22291,10106423,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(22292,10106423,'Inflicts 2369 - 2866 mental damage on target',100,2,1),
(22293,10106423,'Grants a total of 3 triggers of the spell.',100,2,2),
(22294,121122,'Decreases Threat to targets in Area of Effect by 13,951 ',100,1,0),
(22295,121122,'Mesmerizes targets in Area of Effect',100,1,1),
(22296,121122,'If Target is not Epic',100,2,2),
(22297,121122,'Dispelled when target takes damage',100,1,3),
(22298,10121122,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(22299,10121122,'Applies Distract.',100,1,1),
(22300,10121122,'Forces target to clear their selected target.',100,2,2),
(22301,10121122,'Mesmerizes targets in Area of Effect',100,1,3),
(22302,10121122,'If Target is not Epic',100,2,4),
(22303,10121122,'Dispelled when target takes damage',100,1,5),
(22304,87200,'When Equipped:',100,0,0),
(22305,87200,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22306,87200,'Inflicts 97 - 146 magic damage on target',100,2,2),
(22307,87200,'Cannot be modified except by direct means',100,2,3),
(22308,10087200,'When Equipped:',100,0,0),
(22309,10087200,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22310,10087200,'Inflicts 97 - 146 magic damage on target',100,2,2),
(22311,10087200,'Cannot be modified except by direct means',100,2,3),
(22312,159384,'Applies Sanguine Imbued when Equipped.',100,0,0),
(22313,159384,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(22314,159384,'Inflicts 153 heat damage on target',100,2,2),
(22315,159384,'Cannot be modified except by direct means',100,2,3),
(22316,10159384,'Applies Sanguine Imbued when Equipped.',100,0,0),
(22317,10159384,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(22318,10159384,'Inflicts 153 heat damage on target',100,2,2),
(22319,10159384,'Cannot be modified except by direct means',100,2,3),
(22320,81794,'When Equipped:',100,0,0),
(22321,81794,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22322,81794,'Inflicts 210 - 391 magic damage on target',100,2,2),
(22323,81794,'Cannot be modified except by direct means',100,2,3),
(22324,10081794,'When Equipped:',100,0,0),
(22325,10081794,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22326,10081794,'Inflicts 210 - 391 magic damage on target',100,2,2),
(22327,10081794,'Cannot be modified except by direct means',100,2,3),
(22328,46011,'Applies a brilliant experience when Activated.  Lasts for 1 hour.',100,0,0),
(22329,46011,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(22330,46011,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,2),
(22331,46011,'Increases AA XP Gain of caster by 110.0%',100,1,3),
(22332,46011,'You can only have one experience potion active at a time.',100,1,4),
(22333,10046011,'Applies a brilliant experience when Activated.  Lasts for 1 hour.',100,0,0),
(22334,10046011,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(22335,10046011,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,2),
(22336,10046011,'Increases AA XP Gain of caster by 110.0%',100,1,3),
(22337,10046011,'You can only have one experience potion active at a time.',100,1,4),
(22338,148731,'When Equipped:',100,0,0),
(22339,148731,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(22340,148731,'Increases Potency of caster by 3.0%',100,2,2),
(22341,148731,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(22342,148731,'Increases Ability Modifier of caster by 780.0',100,2,4),
(22343,148731,'Must not be engaged in pvp combat',100,2,5),
(22344,148731,'Cannot be modified except by direct means',100,2,6),
(22345,148731,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(22346,148731,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(22347,148731,'Increases Potency of caster by 3.0%',100,2,9),
(22348,148731,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(22349,148731,'Increases Ability Modifier of caster by 780.0',100,2,11),
(22350,148731,'Must not be engaged in pvp combat',100,2,12),
(22351,148731,'Cannot be modified except by direct means',100,2,13),
(22352,148731,'Cannot be modified except by direct means',100,1,14),
(22353,10148731,'When Equipped:',100,0,0),
(22354,10148731,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(22355,10148731,'Increases Potency of caster by 3.0%',100,2,2),
(22356,10148731,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(22357,10148731,'Increases Ability Modifier of caster by 780.0',100,2,4),
(22358,10148731,'Must not be engaged in pvp combat',100,2,5),
(22359,10148731,'Cannot be modified except by direct means',100,2,6),
(22360,10148731,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(22361,10148731,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(22362,10148731,'Increases Potency of caster by 3.0%',100,2,9),
(22363,10148731,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(22364,10148731,'Increases Ability Modifier of caster by 780.0',100,2,11),
(22365,10148731,'Must not be engaged in pvp combat',100,2,12),
(22366,10148731,'Cannot be modified except by direct means',100,2,13),
(22367,10148731,'Cannot be modified except by direct means',100,1,14),
(22368,108323,'Inflicts 1340 - 2222 divine damage on target',100,1,0),
(22369,108323,'Heals caster for 1.2% of max health',100,1,1),
(22370,108323,'This effect cannot be critically applied.',100,2,2),
(22371,108323,'The healing of this spell cannot be modified except by direct means',100,1,3),
(22372,10108323,'Inflicts 1053 - 1617 divine damage on target',100,1,0),
(22373,10108323,'Heals caster for 0.6% of max health',100,1,1),
(22374,10108323,'This effect cannot be critically applied.',100,2,2),
(22375,10108323,'The healing of this spell cannot be modified except by direct means',100,1,3),
(22376,116954,'Increases Threat to target by 3,379 - 3,911 ',100,1,0),
(22377,116954,'Interrupts target',100,1,1),
(22378,10116954,'Forces target to change their selected target to caster.',100,1,0),
(22379,10116954,'Interrupts target',100,1,1),
(22380,10116954,'Prevents target from changing targets',100,1,2),
(22381,159329,'Applies Sanguine Imbued when Equipped.',100,0,0),
(22382,159329,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(22383,159329,'Inflicts 194 heat damage on target',100,2,2),
(22384,159329,'Cannot be modified except by direct means',100,2,3),
(22385,10159329,'Applies Sanguine Imbued when Equipped.',100,0,0),
(22386,10159329,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(22387,10159329,'Inflicts 194 heat damage on target',100,2,2),
(22388,10159329,'Cannot be modified except by direct means',100,2,3),
(22389,100291,'Inflicts 1532 - 2004 poison damage on target',100,1,0),
(22390,100291,'Inflicts 550 - 1021 poison damage on target every 3 seconds',100,1,1),
(22391,10100291,'Inflicts 1371 - 2209 poison damage on target',100,1,0),
(22392,10100291,'Inflicts 977 - 1814 poison damage on target every 3 seconds',100,1,1),
(22393,164619,'Applies Unstable Magics when Equipped.',100,0,0),
(22394,164619,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(22395,10164619,'Applies Unstable Magics when Equipped.',100,0,0),
(22396,10164619,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(22397,174637,'When Equipped:',100,0,0),
(22398,174637,'Reduces maximum falling speed of caster',100,1,1),
(22399,10174637,'When Equipped:',100,0,0),
(22400,10174637,'Reduces maximum falling speed of caster',100,1,1),
(22401,45006,'Applies Create Medal when Activated.',100,0,0),
(22402,45006,'Summon 1 Medal of Distinguished Service',100,1,1),
(22403,10045006,'Applies Create Medal when Activated.',100,0,0),
(22404,10045006,'Summon 1 Medal of Distinguished Service',100,1,1),
(22405,111751,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(22406,111751,'Inflicts 3702 - 4452 cold damage on target',100,2,1),
(22407,111751,'Grants a total of 3 triggers of the spell.',100,2,2),
(22408,10111751,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(22409,10111751,'Inflicts 2791 - 3383 cold damage on target',100,2,1),
(22410,10111751,'Grants a total of 3 triggers of the spell.',100,2,2),
(22411,80767,'When Equipped:',100,0,0),
(22412,80767,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22413,80767,'Inflicts 290 - 538 magic damage on target',100,2,2),
(22414,80767,'Decreases Threat to target by 517 ',100,2,3),
(22415,80767,'Must be flanking or behind',100,3,4),
(22416,80767,'Increases Threat to target by 905 ',100,2,5),
(22417,80767,'Must be in front of',100,3,6),
(22418,80767,'Cannot be modified except by direct means',100,2,7),
(22419,10080767,'When Equipped:',100,0,0),
(22420,10080767,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22421,10080767,'Inflicts 290 - 538 magic damage on target',100,2,2),
(22422,10080767,'Cannot be modified except by direct means',100,2,3),
(22423,82872,'When Equipped:',100,0,0),
(22424,82872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22425,82872,'Inflicts 404 - 751 magic damage on target',100,2,2),
(22426,82872,'Cannot be modified except by direct means',100,2,3),
(22427,10082872,'When Equipped:',100,0,0),
(22428,10082872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22429,10082872,'Inflicts 404 - 751 magic damage on target',100,2,2),
(22430,10082872,'Cannot be modified except by direct means',100,2,3),
(22431,111853,'Inflicts 4155 - 6244 melee damage on target',100,1,0),
(22432,111853,'Roots target',100,1,1),
(22433,111853,'If Target is not Epic',100,2,2),
(22434,111853,'Resistibility increases against targets higher than level 118.',100,1,3),
(22435,10111853,'Inflicts 2649 - 4134 melee damage on target',100,1,0),
(22436,10111853,'Roots target',100,1,1),
(22437,10111853,'If Target is not Epic',100,2,2),
(22438,10111853,'Resistibility increases against targets higher than level 118.',100,1,3),
(22439,115551,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1215',100,1,0),
(22440,10115551,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1215',100,1,0),
(22441,82657,'When Equipped:',100,0,0),
(22442,82657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22443,82657,'Inflicts 134 - 249 magic damage on target',100,2,2),
(22444,82657,'Cannot be modified except by direct means',100,2,3),
(22445,10082657,'When Equipped:',100,0,0),
(22446,10082657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22447,10082657,'Inflicts 134 - 249 magic damage on target',100,2,2),
(22448,10082657,'Cannot be modified except by direct means',100,2,3),
(22449,159351,'When Equipped:',100,0,0),
(22450,159351,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(22451,10159351,'When Equipped:',100,0,0),
(22452,10159351,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(22453,101405,'Inflicts 3060 - 4427 melee damage on target',100,1,0),
(22454,101405,'Returns the last arrow used to the ranger.',100,1,1),
(22455,10101405,'Inflicts 2032 - 3110 melee damage on target',100,1,0),
(22456,10101405,'Returns the last arrow used to the ranger.',100,1,1),
(22457,117539,'Increases AGI, INT and WIS of group members (AE) by 49.2',100,1,0),
(22458,117539,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 188',100,1,1),
(22459,10117539,'Increases AGI, INT and WIS of group members (AE) by 49.2',100,1,0),
(22460,10117539,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 188',100,1,1),
(22461,159179,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(22462,159179,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(22463,159179,'Heals target for 63 instantly and every 4 seconds',100,2,2),
(22464,159179,'Cannot be modified except by direct means',100,2,3),
(22465,10159179,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(22466,10159179,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(22467,10159179,'Heals target for 41 instantly and every 4 seconds',100,2,2),
(22468,10159179,'Cannot be modified except by direct means',100,2,3),
(22469,109261,'Increases INT and WIS of group members (AE) by 93.3',100,1,0),
(22470,109261,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,1),
(22471,10109261,'Increases INT and WIS of group members (AE) by 93.3',100,1,0),
(22472,10109261,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,1),
(22473,71349,'When Equipped:',100,0,0),
(22474,71349,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22475,71349,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(22476,71349,'Cannot be modified except by direct means',100,2,3),
(22477,10071349,'When Equipped:',100,0,0),
(22478,10071349,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22479,10071349,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(22480,10071349,'Cannot be modified except by direct means',100,2,3),
(22481,118845,'Inflicts 827 - 2446 melee damage on target',100,1,0),
(22482,10118845,'Inflicts 659 - 1697 melee damage on target',100,1,0),
(22483,37553,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(22484,100192,'Increases Threat to target encounter by 370 - 453 ',100,1,0),
(22485,100192,'Interrupts target encounter',100,1,1),
(22486,10100192,'Interrupts target encounter',100,1,0),
(22487,10100192,'Forces target encounter to change their selected target to caster.',100,1,1),
(22488,10100192,'Prevents target encounter from changing targets',100,1,2),
(22489,102349,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(22490,102349,'Increases Attack Speed of target by 8.6',100,2,1),
(22491,102349,'Increases Damage Per Second of target by 8.6',100,2,2),
(22492,102349,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(22493,102349,'Increases Attack Speed of target by 8.6',100,2,4),
(22494,102349,'Increases Damage Per Second of target by 8.6',100,2,5),
(22495,102349,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(22496,102349,'Increases Attack Speed of target by 8.6',100,2,7),
(22497,102349,'Increases Damage Per Second of target by 8.6',100,2,8),
(22498,10102349,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(22499,10102349,'Increases Attack Speed of target by 8.6',100,2,1),
(22500,10102349,'Increases Damage Per Second of target by 8.6',100,2,2),
(22501,10102349,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(22502,10102349,'Increases Attack Speed of target by 8.6',100,2,4),
(22503,10102349,'Increases Damage Per Second of target by 8.6',100,2,5),
(22504,10102349,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(22505,10102349,'Increases Attack Speed of target by 8.6',100,2,7),
(22506,10102349,'Increases Damage Per Second of target by 8.6',100,2,8),
(22507,104666,'Decreases Mitigation of target vs all damage by 115',100,1,0),
(22508,10104666,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 115',100,1,0),
(22509,10104666,'Decreases Mitigation of target vs physical damage by 96',100,1,1),
(22510,100269,'Summons a limited pet to aid the caster',100,1,0),
(22511,10100269,'Summons a limited pet to aid the caster',100,1,0),
(22512,46939,'Applies Middling Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(22513,46939,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(22514,46939,'Stuns target',100,2,2),
(22515,46939,'If Target is not Epic',100,3,3),
(22516,46939,'Dispelled when target receives hostile action',100,2,4),
(22517,46939,'Dispelled when target takes damage',100,2,5),
(22518,46939,'Cannot be modified except by direct means',100,2,6),
(22519,46939,'Grants a total of 4 triggers of the spell.',100,2,7),
(22520,46939,'Only affects targets level 50 and above',100,1,8),
(22521,10046939,'Applies Middling Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(22522,10046939,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(22523,10046939,'Stuns target',100,2,2),
(22524,10046939,'If Target is not Epic',100,3,3),
(22525,10046939,'Dispelled when target receives hostile action',100,2,4),
(22526,10046939,'Dispelled when target takes damage',100,2,5),
(22527,10046939,'Cannot be modified except by direct means',100,2,6),
(22528,10046939,'Grants a total of 4 triggers of the spell.',100,2,7),
(22529,10046939,'Only affects targets level 50 and above',100,1,8),
(22530,36767,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(22531,108074,'Decreases Threat to target by 100 - 168 ',100,1,0),
(22532,10108074,'Forces target to clear their selected target.',100,1,0),
(22533,10108074,'Target cannot target caster for the duration of this effect.',100,1,1),
(22534,72173,'When Equipped:',100,0,0),
(22535,72173,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22536,72173,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(22537,72173,'Cannot be modified except by direct means',100,2,3),
(22538,10072173,'When Equipped:',100,0,0),
(22539,10072173,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22540,10072173,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(22541,10072173,'Cannot be modified except by direct means',100,2,3),
(22542,107421,'Summons a pet earthen avatar',100,1,0),
(22543,10107421,'Summons a pet earthen avatar',100,1,0),
(22544,115111,'Summons 4 limited pets to aid the caster',100,1,0),
(22545,10115111,'Summons 4 limited pets to aid the caster',100,1,0),
(22546,108452,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(22547,108452,'Increases Defense and Parry of caster by 5.1',100,1,1),
(22548,108452,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(22549,10108452,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(22550,10108452,'Increases Defense and Parry of caster by 5.1',100,1,1),
(22551,10108452,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(22552,104208,'Increases Mitigation of group members (AE) vs physical damage by 115',100,1,0),
(22553,10104208,'Increases Mitigation of group members (AE) vs physical damage by 115',100,1,0),
(22554,117318,'Roots target',100,1,0),
(22555,117318,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(22556,117318,'Slows target by 34.8%',100,2,2),
(22557,117318,'5% chance to dispel when target receives hostile action',100,2,3),
(22558,117318,'5% chance to dispel when target takes damage',100,2,4),
(22559,117318,'15% chance to dispel when target takes damage',100,1,5),
(22560,117318,'Does not affect Epic targets',100,1,6),
(22561,117318,'Resistibility increases against targets higher than level 62.',100,1,7),
(22562,10117318,'Roots target',100,1,0),
(22563,10117318,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(22564,10117318,'Slows target by 34.8%',100,2,2),
(22565,10117318,'10% chance to dispel when target receives hostile action',100,2,3),
(22566,10117318,'10% chance to dispel when target takes damage',100,2,4),
(22567,10117318,'15% chance to dispel when target takes damage',100,1,5),
(22568,10117318,'Does not affect Epic targets',100,1,6),
(22569,10117318,'Resistibility increases against targets higher than level 62.',100,1,7),
(22570,81138,'When Equipped:',100,0,0),
(22571,81138,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22572,81138,'Inflicts 290 - 538 magic damage on target',100,2,2),
(22573,81138,'Decreases Threat to target by 517 ',100,2,3),
(22574,81138,'Must be flanking or behind',100,3,4),
(22575,81138,'Increases Threat to target by 905 ',100,2,5),
(22576,81138,'Must be in front of',100,3,6),
(22577,81138,'Cannot be modified except by direct means',100,2,7),
(22578,10081138,'When Equipped:',100,0,0),
(22579,10081138,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22580,10081138,'Inflicts 290 - 538 magic damage on target',100,2,2),
(22581,10081138,'Cannot be modified except by direct means',100,2,3),
(22582,124357,'Inflicts 836 - 1022 divine damage on target',100,1,0),
(22583,124357,'Inflicts 149 - 183 divine damage on target every 4 seconds',100,1,1),
(22584,10124357,'Inflicts 677 - 740 divine damage on target',100,1,0),
(22585,10124357,'Inflicts 118 - 144 divine damage on target every 4 seconds',100,1,1),
(22586,114998,'Inflicts 2359 - 3699 ranged damage on targets in area',100,1,0),
(22587,114998,'You must be in stealth to use this!',100,1,1),
(22588,114998,'Requires bow',100,1,2),
(22589,10114998,'Inflicts 1332 - 2125 ranged damage on targets in area',100,1,0),
(22590,10114998,'You must be in stealth to use this!',100,1,1),
(22591,10114998,'Requires bow',100,1,2),
(22592,35752,'Increases STR of target by 13.2',100,0,0),
(22593,35752,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(22594,82140,'When Equipped:',100,0,0),
(22595,82140,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22596,82140,'Inflicts 272 - 505 magic damage on target',100,2,2),
(22597,82140,'Cannot be modified except by direct means',100,2,3),
(22598,10082140,'When Equipped:',100,0,0),
(22599,10082140,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22600,10082140,'Inflicts 272 - 505 magic damage on target',100,2,2),
(22601,10082140,'Cannot be modified except by direct means',100,2,3),
(22602,122403,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(22603,122403,'Inflicts 88 - 107 piercing damage on target encounter',100,2,1),
(22604,10122403,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(22605,10122403,'Inflicts 69 - 85 piercing damage on target encounter',100,2,1),
(22606,102225,'Increases Max Health of group members (AE) by 536.8',100,1,0),
(22607,10102225,'Increases Max Health of group members (AE) by 536.8',100,1,0),
(22608,110581,'Decreases Attack Speed of target by 21.3',100,1,0),
(22609,110581,'Decreases Crushing, Slashing and Piercing of target by 10.9',100,1,1),
(22610,10110581,'Decreases Attack Speed of target by 21.3',100,1,0),
(22611,10110581,'Decreases Crushing, Slashing and Piercing of target by 10.9',100,1,1),
(22612,138086,'When Equipped:',100,0,0),
(22613,138086,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(22614,138086,'Inflicts 1199 disease damage on target encounter',100,2,2),
(22615,138086,'Must not be engaged in pvp combat',100,2,3),
(22616,138086,'Cannot be modified except by direct means',100,2,4),
(22617,10138086,'When Equipped:',100,0,0),
(22618,10138086,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(22619,10138086,'Inflicts 599 disease damage on target encounter',100,2,2),
(22620,10138086,'Must not be engaged in pvp combat',100,2,3),
(22621,10138086,'Cannot be modified except by direct means',100,2,4),
(22622,37157,'Increases outgoing damaging spell amount by 2%',100,0,0),
(22623,37157,'Increases STA and INT of target by 39.0',100,0,1),
(22624,37157,'Increases Out-of-Combat Power Regeneration of target by 73.8',100,0,2),
(22625,106451,'Increases Multi Attack Chance of raid and group members (AE) by 6.5',100,1,0),
(22626,10106451,'Increases Multi Attack Chance of raid and group members (AE) by 6.5',100,1,0),
(22627,103037,'Inflicts 967 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(22628,103037,'Inflicts 1347 - 1586 melee damage on target',100,1,1),
(22629,10103037,'Inflicts 762 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(22630,10103037,'Inflicts 681 - 871 melee damage on target',100,1,1),
(22631,154469,'When Equipped:',100,0,0),
(22632,154469,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(22633,154469,'Inflicts 2664 disease damage on target encounter',100,2,2),
(22634,154469,'Must not be engaged in pvp combat',100,2,3),
(22635,154469,'Cannot be modified except by direct means',100,2,4),
(22636,154469,'When Equipped:',100,0,5),
(22637,154469,'This effect will not stack with itself.',100,1,6),
(22638,154469,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(22639,154469,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(22640,154469,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(22641,154469,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(22642,154469,'Must not be engaged in pvp combat',100,2,11),
(22643,154469,'Cannot be modified except by direct means',100,2,12),
(22644,154469,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(22645,154469,'Increases in-combat movement speed of caster by 10.0%',100,2,14),
(22646,154469,'Increases Ability Recovery Speed of caster by 10.0%',100,2,15),
(22647,154469,'Increases Ability Casting Speed of caster by 10.0%',100,2,16),
(22648,154469,'Must not be engaged in pvp combat',100,2,17),
(22649,154469,'Cannot be modified except by direct means',100,2,18),
(22650,154469,'Must not be engaged in pvp combat',100,1,19),
(22651,10154469,'When Equipped:',100,0,0),
(22652,10154469,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(22653,10154469,'Inflicts 1332 disease damage on target encounter',100,2,2),
(22654,10154469,'Must not be engaged in pvp combat',100,2,3),
(22655,10154469,'Cannot be modified except by direct means',100,2,4),
(22656,10154469,'When Equipped:',100,0,5),
(22657,10154469,'This effect will not stack with itself.',100,1,6),
(22658,10154469,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(22659,10154469,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(22660,10154469,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(22661,10154469,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(22662,10154469,'Must not be engaged in pvp combat',100,2,11),
(22663,10154469,'Cannot be modified except by direct means',100,2,12),
(22664,10154469,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(22665,10154469,'Increases in-combat movement speed of caster by 10.0%',100,2,14),
(22666,10154469,'Increases Ability Recovery Speed of caster by 10.0%',100,2,15),
(22667,10154469,'Increases Ability Casting Speed of caster by 10.0%',100,2,16),
(22668,10154469,'Must not be engaged in pvp combat',100,2,17),
(22669,10154469,'Cannot be modified except by direct means',100,2,18),
(22670,10154469,'Must not be engaged in pvp combat',100,1,19),
(22671,102949,'Inflicts 1599 - 1736 disease damage on target',100,1,0),
(22672,102949,'Inflicts 617 - 754 disease damage on target every 4 seconds',100,1,1),
(22673,10102949,'Inflicts 1026 - 1167 disease damage on target',100,1,0),
(22674,10102949,'Inflicts 486 - 594 disease damage on target every 4 seconds',100,1,1),
(22675,110562,'Decreases Attack Speed of target by 10.4',100,1,0),
(22676,110562,'Decreases Crushing, Slashing and Piercing of target by 1.4',100,1,1),
(22677,10110562,'Decreases Attack Speed of target by 10.4',100,1,0),
(22678,10110562,'Decreases Crushing, Slashing and Piercing of target by 1.4',100,1,1),
(22679,122183,'Inflicts 1592 - 1728 cold damage on target',100,1,0),
(22680,122183,'Inflicts 610 - 745 cold damage on target every 2 seconds',100,1,1),
(22681,122183,'Inflicts 610 - 745 cold damage on target instantly and every 2 seconds',100,1,2),
(22682,122183,'If target is elemental',100,2,3),
(22683,10122183,'Inflicts 875 - 982 cold damage on target',100,1,0),
(22684,10122183,'Inflicts 480 - 587 cold damage on target every 2 seconds',100,1,1),
(22685,107731,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(22686,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,1),
(22687,107731,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(22688,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,3),
(22689,107731,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(22690,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,5),
(22691,107731,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(22692,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,7),
(22693,107731,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(22694,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,9),
(22695,107731,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(22696,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,11),
(22697,107731,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(22698,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,13),
(22699,107731,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(22700,107731,'Inflicts 1692 - 2734 melee damage on target',100,2,15),
(22701,10107731,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(22702,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,1),
(22703,10107731,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(22704,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,3),
(22705,10107731,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(22706,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,5),
(22707,10107731,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(22708,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,7),
(22709,10107731,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(22710,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,9),
(22711,10107731,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(22712,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,11),
(22713,10107731,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(22714,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,13),
(22715,10107731,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(22716,10107731,'Inflicts 755 - 1206 melee damage on target',100,2,15),
(22717,107970,'Increases In-Combat Power Regeneration of group members (AE) by 25.2',100,1,0),
(22718,10107970,'Increases In-Combat Power Regeneration of group members (AE) by 25.2',100,1,0),
(22719,112811,'Inflicts 5684 - 8779 slashing damage on target',100,1,0),
(22720,112811,'Stifles target',100,1,1),
(22721,112811,'If Target is not Epic',100,2,2),
(22722,112811,'You must be in stealth.',100,1,3),
(22723,112811,'Resistibility increases against targets higher than level 91.',100,1,4),
(22724,10112811,'Inflicts 4100 - 6539 slashing damage on target',100,1,0),
(22725,10112811,'Stifles target',100,1,1),
(22726,10112811,'If Target is not Epic',100,2,2),
(22727,10112811,'You must be in stealth.',100,1,3),
(22728,10112811,'Resistibility increases against targets higher than level 91.',100,1,4),
(22729,24508,'Adds Elite: Lich (Troubador) to your Dungeon Maker toolbox',100,0,0),
(22730,10024508,'Adds Elite: Lich (Troubador) to your Dungeon Maker toolbox',100,0,0),
(22731,105072,'Inflicts 964 - 1304 magic damage on target',100,1,0),
(22732,10105072,'Inflicts 648 - 737 magic damage on target',100,1,0),
(22733,106220,'Inflicts 1499 - 3944 melee damage on target',100,1,0),
(22734,106220,'Stifles target',100,1,1),
(22735,106220,'If Target is not Epic',100,2,2),
(22736,106220,'Resistibility increases against targets higher than level 83.',100,1,3),
(22737,10106220,'Inflicts 1179 - 2728 melee damage on target',100,1,0),
(22738,10106220,'Stifles target',100,1,1),
(22739,10106220,'If Target is not Epic',100,2,2),
(22740,10106220,'Resistibility increases against targets higher than level 83.',100,1,3),
(22741,87304,'When Equipped:',100,0,0),
(22742,87304,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22743,87304,'Inflicts 142 - 213 magic damage on target',100,2,2),
(22744,87304,'Cannot be modified except by direct means',100,2,3),
(22745,10087304,'When Equipped:',100,0,0),
(22746,10087304,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22747,10087304,'Inflicts 142 - 213 magic damage on target',100,2,2),
(22748,10087304,'Cannot be modified except by direct means',100,2,3),
(22749,103127,'Increases Max Health of caster by 5.0%',100,129,0),
(22750,103127,'Increases STR of caster by 74.8',100,1,1),
(22751,103127,'Adds 3.9% to base avoidance.',100,1,2),
(22752,103127,'Increases Mitigation of caster vs physical damage by 476',100,1,3),
(22753,103127,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1485',100,1,4),
(22754,10103127,'Increases Max Health of caster by 5.0%',100,129,0),
(22755,10103127,'Increases STR of caster by 74.8',100,1,1),
(22756,10103127,'Adds 3.9% to base avoidance.',100,1,2),
(22757,10103127,'Increases Mitigation of caster vs physical damage by 476',100,1,3),
(22758,10103127,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1485',100,1,4),
(22759,80538,'When Equipped:',100,0,0),
(22760,80538,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22761,80538,'Inflicts 609 - 1131 magic damage on target',100,2,2),
(22762,80538,'Decreases Threat to target by 1,174 ',100,2,3),
(22763,80538,'Must be flanking or behind',100,3,4),
(22764,80538,'Increases Threat to target by 1,634 ',100,2,5),
(22765,80538,'Must be in front of',100,3,6),
(22766,80538,'Cannot be modified except by direct means',100,2,7),
(22767,10080538,'When Equipped:',100,0,0),
(22768,10080538,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22769,10080538,'Inflicts 609 - 1131 magic damage on target',100,2,2),
(22770,10080538,'Cannot be modified except by direct means',100,2,3),
(22771,107134,'Inflicts 2457 - 2784 divine damage on target',100,1,0),
(22772,107134,'Inflicts 1474 - 1802 divine damage on target',100,1,1),
(22773,107134,'If target is undead',100,2,2),
(22774,10107134,'Inflicts 1557 - 1815 divine damage on target',100,1,0),
(22775,10107134,'Inflicts 1162 - 1420 divine damage on target',100,1,1),
(22776,121177,'Grants stealth to caster',100,1,0),
(22777,121177,'Suspends caster''s movement speed enhancements',100,1,1),
(22778,121177,'Decreases Threat to target by 139 - 233 ',100,1,2),
(22779,10121177,'Forces target to clear their selected target.',100,1,0),
(22780,10121177,'Grants stealth to caster',100,1,1),
(22781,10121177,'Suspends caster''s movement speed enhancements',100,1,2),
(22782,113630,'Interrupts target encounter',100,1,0),
(22783,113630,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 18.6',100,1,1),
(22784,10113630,'Interrupts target encounter',100,1,0),
(22785,10113630,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 18.6',100,1,1),
(22786,182203,'When Equipped:',100,0,0),
(22787,182203,'When any damage is received this spell has a 5% chance to cast Bewilder on target''s attacker.  Lasts for 9.0 seconds.  ',100,1,1),
(22788,182203,'Stuns target',100,2,2),
(22789,182203,'Dispelled when target takes damage',100,2,3),
(22790,182203,'Does not affect Epic targets',100,2,4),
(22791,182203,'Resistibility increases against targets higher than level 77.',100,2,5),
(22792,182203,'Cannot be modified except by direct means',100,2,6),
(22793,10182203,'When Equipped:',100,0,0),
(22794,10182203,'When any damage is received this spell has a 5% chance to cast Bewilder on target''s attacker.  Lasts for 8.8 seconds.  ',100,1,1),
(22795,10182203,'Stuns target',100,2,2),
(22796,10182203,'Dispelled when target takes damage',100,2,3),
(22797,10182203,'Does not affect Epic targets',100,2,4),
(22798,10182203,'Resistibility increases against targets higher than level 77.',100,2,5),
(22799,10182203,'Cannot be modified except by direct means',100,2,6),
(22800,36808,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(22801,122100,'Increases STA and INT of group members (AE) by 74.8',100,1,0),
(22802,10122100,'Increases STA and INT of group members (AE) by 74.8',100,1,0),
(22803,108199,'Increases power of caster by 36 instantly and every 4 seconds',100,1,0),
(22804,10108199,'Increases power of caster by 36 instantly and every 4 seconds',100,1,0),
(22805,74743,'When Equipped:',100,0,0),
(22806,74743,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22807,74743,'Inflicts 124 - 186 magic damage on target',100,2,2),
(22808,74743,'Cannot be modified except by direct means',100,2,3),
(22809,10074743,'When Equipped:',100,0,0),
(22810,10074743,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22811,10074743,'Inflicts 124 - 186 magic damage on target',100,2,2),
(22812,10074743,'Cannot be modified except by direct means',100,2,3),
(22813,159812,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(22814,159812,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(22815,159812,'Inflicts 85 heat damage on target',100,2,2),
(22816,159812,'Cannot be modified except by direct means',100,2,3),
(22817,10159812,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(22818,10159812,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(22819,10159812,'Inflicts 85 heat damage on target',100,2,2),
(22820,10159812,'Cannot be modified except by direct means',100,2,3),
(22821,115375,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(22822,115375,'Increases Parry of caster by 7.6',100,1,1),
(22823,10115375,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(22824,10115375,'Increases Parry of caster by 7.6',100,1,1),
(22825,24485,'Adds Lair of Scale: Horned Leather Rug to your Dungeon Maker toolbox',100,0,0),
(22826,10024485,'Adds Lair of Scale: Horned Leather Rug to your Dungeon Maker toolbox',100,0,0),
(22827,25598,'When Equipped:',100,0,0),
(22828,25598,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(22829,25598,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,2),
(22830,10025598,'When Equipped:',100,0,0),
(22831,10025598,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(22832,10025598,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,2),
(22833,24482,'Adds Lair of Scale: Gilded Metal Chest to your Dungeon Maker toolbox',100,0,0),
(22834,10024482,'Adds Lair of Scale: Gilded Metal Chest to your Dungeon Maker toolbox',100,0,0),
(22835,164295,'When Equipped:',100,0,0),
(22836,164295,'Increases Attack Speed of caster by 8.0',100,1,1),
(22837,164295,'Increases Damage Per Second of caster by 8.0',100,1,2),
(22838,164295,'Increases in-combat movement speed of caster by 8.0%',100,1,3),
(22839,164295,'Must not be engaged in pvp combat',100,1,4),
(22840,10164295,'When Equipped:',100,0,0),
(22841,10164295,'Increases Attack Speed of caster by 8.0',100,1,1),
(22842,10164295,'Increases Damage Per Second of caster by 8.0',100,1,2),
(22843,10164295,'Increases in-combat movement speed of caster by 8.0%',100,1,3),
(22844,10164295,'Must not be engaged in pvp combat',100,1,4),
(22845,108618,'Feigns Death with 80% chance of success',100,1,0),
(22846,10108618,'Feigns Death with 80% chance of success',100,1,0),
(22847,25014,'When Equipped:',100,0,0),
(22848,25014,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(22849,25014,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(22850,10025014,'When Equipped:',100,0,0),
(22851,10025014,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(22852,10025014,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(22853,81854,'When Equipped:',100,0,0),
(22854,81854,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22855,81854,'Inflicts 210 - 391 magic damage on target',100,2,2),
(22856,81854,'Decreases Threat to target by 487 ',100,2,3),
(22857,81854,'Must be flanking or behind',100,3,4),
(22858,81854,'Increases Threat to target by 852 ',100,2,5),
(22859,81854,'Must be in front of',100,3,6),
(22860,81854,'Cannot be modified except by direct means',100,2,7),
(22861,10081854,'When Equipped:',100,0,0),
(22862,10081854,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22863,10081854,'Inflicts 210 - 391 magic damage on target',100,2,2),
(22864,10081854,'Cannot be modified except by direct means',100,2,3),
(22865,75629,'Applies Holy Strike when Activated.',100,0,0),
(22866,75629,'Inflicts 536 - 894 divine damage on target',100,1,1),
(22867,75629,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(22868,10075629,'Applies Holy Strike when Activated.',100,0,0),
(22869,10075629,'Inflicts 536 - 894 divine damage on target',100,1,1),
(22870,10075629,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(22871,49202,'Applies Call Forth Zhoul when Activated.',100,0,0),
(22872,49202,'Summons a mount to ride',100,1,1),
(22873,49202,'Increases your ground speed by 130%',100,2,2),
(22874,49202,'Increases Melee, Ranged, Heal and Damage Spell Critical Chance by 3.0%',100,1,3),
(22875,10049202,'Applies Call Forth Zhoul when Activated.',100,0,0),
(22876,10049202,'Summons a mount to ride',100,1,1),
(22877,10049202,'Increases your ground speed by 130%',100,2,2),
(22878,10049202,'Increases Melee, Ranged, Heal and Damage Spell Critical Chance by 3.0%',100,1,3),
(22879,107107,'Inflicts 3285 - 3796 divine damage on target',100,1,0),
(22880,10107107,'Inflicts 2209 - 2612 divine damage on target',100,1,0),
(22881,87215,'When Equipped:',100,0,0),
(22882,87215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22883,87215,'Inflicts 97 - 146 magic damage on target',100,2,2),
(22884,87215,'Cannot be modified except by direct means',100,2,3),
(22885,10087215,'When Equipped:',100,0,0),
(22886,10087215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(22887,10087215,'Inflicts 97 - 146 magic damage on target',100,2,2),
(22888,10087215,'Cannot be modified except by direct means',100,2,3),
(22889,117886,'Heals target for 2088 - 2334',100,1,0),
(22890,117886,'Heals target for 1106 - 1351 every 2 seconds',100,1,1),
(22891,10117886,'Heals target for 823 - 949',100,1,0),
(22892,10117886,'Heals target for 566 - 692 every 2 seconds',100,1,1),
(22893,112266,'Applies Inquisition.',100,1,0),
(22894,112266,'Heals targets in Area of Effect for 775 - 923',100,2,1),
(22895,112266,'If Target is between 5 and 10 meters away',100,3,2),
(22896,112266,'Heals targets in Area of Effect for 1442 - 1738',100,2,3),
(22897,112266,'If Target is closer than 5 meters',100,3,4),
(22898,112266,'Heals targets in Area of Effect for 442 - 516',100,2,5),
(22899,112266,'If Target is between 10 and 20 meters away',100,3,6),
(22900,80386,'When Equipped:',100,0,0),
(22901,80386,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22902,80386,'Inflicts 90 - 168 magic damage on target',100,2,2),
(22903,80386,'Decreases Threat to target by 153 ',100,2,3),
(22904,80386,'Must be flanking or behind',100,3,4),
(22905,80386,'Increases Threat to target by 267 ',100,2,5),
(22906,80386,'Must be in front of',100,3,6),
(22907,80386,'Cannot be modified except by direct means',100,2,7),
(22908,10080386,'When Equipped:',100,0,0),
(22909,10080386,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22910,10080386,'Inflicts 90 - 168 magic damage on target',100,2,2),
(22911,10080386,'Cannot be modified except by direct means',100,2,3),
(22912,24340,'Adds Drolvarg (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(22913,10024340,'Adds Drolvarg (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(22914,119820,'Transfers 32% of group members (AE)''s current Threat to the caster',100,1,0),
(22915,10119820,'When damaged this spell has a 50% chance to cast Annoy on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,0),
(22916,10119820,'Prevents target from changing targets',100,2,1),
(22917,10119820,'Forces target to change their selected target to caster.',100,2,2),
(22918,136198,'When Equipped:',100,0,0),
(22919,136198,'On a hostile spell hit this spell may cast Burning Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22920,136198,'Decreases Mitigation of target vs elemental damage by 552',100,2,2),
(22921,136198,'Inflicts 592 - 987 heat damage on target',100,2,3),
(22922,136198,'Cannot be modified except by direct means',100,2,4),
(22923,10136198,'When Equipped:',100,0,0),
(22924,10136198,'On a hostile spell hit this spell may cast Burning Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22925,10136198,'Decreases Mitigation of target vs elemental damage by 552',100,2,2),
(22926,10136198,'Inflicts 592 - 987 heat damage on target',100,2,3),
(22927,10136198,'Cannot be modified except by direct means',100,2,4),
(22928,24679,'Adds Sarnak-Skeleton (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(22929,10024679,'Adds Sarnak-Skeleton (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(22930,116085,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(22931,116085,'Heals target for 280 - 343',100,2,1),
(22932,116085,'Grants a total of 5 triggers of the spell.',100,2,2),
(22933,10116085,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(22934,10116085,'Heals target for 149 - 182',100,2,1),
(22935,10116085,'Grants a total of 5 triggers of the spell.',100,2,2),
(22936,37174,'Increases AGI and WIS of target by 15.4',100,0,0),
(22937,37174,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(22938,122454,'Inflicts 4352 - 6598 magic damage on target',100,1,0),
(22939,10122454,'Inflicts 3050 - 4821 magic damage on target',100,1,0),
(22940,36395,'Increases Out-of-Combat Health Regeneration of target by 21.0',100,0,0),
(22941,36395,'This effect suspends during combat',100,0,1),
(22942,124153,'Inflicts 1293 disease damage on target encounter',100,1,0),
(22943,124153,'Inflicts 965 disease damage on target encounter every 4 seconds',100,1,1),
(22944,124153,'Applies Banshee''s Scream on termination.',100,1,2),
(22945,124153,'Inflicts 2896 - 4827 disease damage on target',100,2,3),
(22946,10124153,'Inflicts 892 disease damage on target encounter',100,1,0),
(22947,10124153,'Inflicts 761 disease damage on target encounter every 4 seconds',100,1,1),
(22948,10124153,'Applies Banshee''s Scream on termination.',100,1,2),
(22949,10124153,'Inflicts 2282 - 3804 disease damage on target',100,2,3),
(22950,113661,'Inflicts 2460 - 2971 disease damage on target encounter',100,1,0),
(22951,113661,'Inflicts 2297 - 2807 disease damage on target encounter every 5 seconds',100,1,1),
(22952,113661,'Decreases power of target encounter by 383 - 468 instantly and every 5 seconds',100,1,2),
(22953,113661,'Heals group members (AE) for 1436 - 1718',100,1,3),
(22954,113661,'Heals group members (AE) for 1272 - 1555 every 5 seconds',100,1,4),
(22955,113661,'Increases power of group members (AE) by 212 - 259 instantly and every 5 seconds',100,1,5),
(22956,10113661,'Inflicts 1876 - 2278 disease damage on target encounter',100,1,0),
(22957,10113661,'Inflicts 1810 - 2212 disease damage on target encounter every 5 seconds',100,1,1),
(22958,10113661,'Decreases power of target encounter by 302 - 369 instantly and every 5 seconds',100,1,2),
(22959,10113661,'Heals group members (AE) for 694 - 839',100,1,3),
(22960,10113661,'Heals group members (AE) for 652 - 796 every 5 seconds',100,1,4),
(22961,10113661,'Increases power of group members (AE) by 167 - 204 instantly and every 5 seconds',100,1,5),
(22962,115531,'Increases Mitigation of raid and group members (AE) vs noxious damage by 266',100,1,0),
(22963,10115531,'Increases Mitigation of raid and group members (AE) vs noxious damage by 266',100,1,0),
(22964,71843,'When Equipped:',100,0,0),
(22965,71843,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22966,71843,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(22967,71843,'Cannot be modified except by direct means',100,2,3),
(22968,10071843,'When Equipped:',100,0,0),
(22969,10071843,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(22970,10071843,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(22971,10071843,'Cannot be modified except by direct means',100,2,3),
(22972,35012,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,0),
(22973,35012,'This effect suspends during combat',100,0,1),
(22974,112450,'Mesmerizes target',100,1,0),
(22975,112450,'Prevents AOE (except when direct) ',100,1,1),
(22976,112450,'Dispelled when target takes damage',100,1,2),
(22977,112450,'Does not affect Epic targets',100,1,3),
(22978,112450,'Resistibility increases against targets higher than level 95.',100,1,4),
(22979,10112450,'Mesmerizes target',100,1,0),
(22980,10112450,'Prevents AOE (except when direct) ',100,1,1),
(22981,10112450,'Dispelled when target takes damage',100,1,2),
(22982,10112450,'Does not affect Epic targets',100,1,3),
(22983,10112450,'Resistibility increases against targets higher than level 95.',100,1,4),
(22984,82913,'When Equipped:',100,0,0),
(22985,82913,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22986,82913,'Inflicts 449 - 834 magic damage on target',100,2,2),
(22987,82913,'Decreases Threat to target by 833 ',100,2,3),
(22988,82913,'Must be flanking or behind',100,3,4),
(22989,82913,'Increases Threat to target by 1,293 ',100,2,5),
(22990,82913,'Must be in front of',100,3,6),
(22991,82913,'Cannot be modified except by direct means',100,2,7),
(22992,10082913,'When Equipped:',100,0,0),
(22993,10082913,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(22994,10082913,'Inflicts 449 - 834 magic damage on target',100,2,2),
(22995,10082913,'Cannot be modified except by direct means',100,2,3),
(22996,118703,'Inflicts 187 - 292 slashing damage on target',100,1,0),
(22997,118703,'Decreases Slashing, Crushing and Piercing of target by 2.0',100,1,1),
(22998,118703,'Inflicts 40 - 49 slashing damage on target every 5 seconds',100,1,2),
(22999,10118703,'Inflicts 166 - 258 slashing damage on target',100,1,0),
(23000,10118703,'Decreases Slashing, Crushing and Piercing of target by 2.0',100,1,1),
(23001,10118703,'Inflicts 32 - 39 slashing damage on target every 5 seconds',100,1,2),
(23002,108127,'Increases Attack Speed of caster by 24.7',100,1,0),
(23003,10108127,'Increases Attack Speed of caster by 24.7',100,1,0),
(23004,100179,'Inflicts 4421 - 7929 disease damage on target encounter',100,1,0),
(23005,10100179,'Inflicts 3358 - 6123 disease damage on target encounter',100,1,0),
(23006,144277,'When Equipped:',100,0,0),
(23007,144277,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(23008,144277,'Must not be engaged in pvp combat',100,1,2),
(23009,10144277,'When Equipped:',100,0,0),
(23010,10144277,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(23011,10144277,'Must not be engaged in pvp combat',100,1,2),
(23012,177721,'When Equipped:',100,0,0),
(23013,177721,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(23014,177721,'Increases STA of caster by 3.6',100,2,2),
(23015,177721,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(23016,177721,'Cannot be modified except by direct means',100,2,4),
(23017,10177721,'When Equipped:',100,0,0),
(23018,10177721,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(23019,10177721,'Increases STA of caster by 3.6',100,2,2),
(23020,10177721,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(23021,10177721,'Cannot be modified except by direct means',100,2,4),
(23022,47808,'Applies Ritual of Return when Activated.',100,0,0),
(23023,47808,'This ritual returns a summoned creature back to its place of origin.',100,1,1),
(23024,10047808,'Applies Ritual of Return when Activated.',100,0,0),
(23025,10047808,'This ritual returns a summoned creature back to its place of origin.',100,1,1),
(23026,82906,'When Equipped:',100,0,0),
(23027,82906,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23028,82906,'Inflicts 449 - 834 magic damage on target',100,2,2),
(23029,82906,'Cannot be modified except by direct means',100,2,3),
(23030,10082906,'When Equipped:',100,0,0),
(23031,10082906,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23032,10082906,'Inflicts 449 - 834 magic damage on target',100,2,2),
(23033,10082906,'Cannot be modified except by direct means',100,2,3),
(23034,46654,'Applies Hotwired Gnomish Hoverpad when Activated.',100,0,0),
(23035,46654,'Reduces maximum falling speed of caster',100,1,1),
(23036,46654,'Summons a mount to ride',100,1,2),
(23037,46654,'Increases your ground speed by 130%',100,2,3),
(23038,10046654,'Applies Hotwired Gnomish Hoverpad when Activated.',100,0,0),
(23039,10046654,'Reduces maximum falling speed of caster',100,1,1),
(23040,10046654,'Summons a mount to ride',100,1,2),
(23041,10046654,'Increases your ground speed by 130%',100,2,3),
(23042,46036,'Applies Call Elddarian Charger when Activated.',100,0,0),
(23043,46036,'Summons a mount to ride',100,1,1),
(23044,46036,'Increases your ground speed by 130%',100,2,2),
(23045,10046036,'Applies Call Elddarian Charger when Activated.',100,0,0),
(23046,10046036,'Summons a mount to ride',100,1,1),
(23047,10046036,'Increases your ground speed by 130%',100,2,2),
(23048,117849,'Heals target for 594 - 725',100,1,0),
(23049,117849,'Heals target for 148 - 181 every 2 seconds',100,1,1),
(23050,10117849,'Heals target for 333 - 349',100,1,0),
(23051,10117849,'Heals target for 76 - 93 every 2 seconds',100,1,1),
(23052,75221,'When Equipped:',100,0,0),
(23053,75221,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(23054,75221,'Inflicts 40 - 49 magic damage on target',100,2,2),
(23055,75221,'If target is ravasect',100,3,3),
(23056,75221,'Cannot be modified except by direct means',100,2,4),
(23057,10075221,'When Equipped:',100,0,0),
(23058,10075221,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(23059,10075221,'Inflicts 40 - 49 magic damage on target',100,2,2),
(23060,10075221,'If target is ravasect',100,3,3),
(23061,10075221,'Cannot be modified except by direct means',100,2,4),
(23062,172923,'When Equipped:',100,0,0),
(23063,172923,'Gives caster a 2.3% chance to strikethrough a successful avoidance check',100,1,1),
(23064,172923,'Increases Additional chance to Riposte of caster by 21.0',100,1,2),
(23065,172923,'Increases Riposte Damage of caster by 21.0',100,1,3),
(23066,172923,'Must not be engaged in pvp combat',100,1,4),
(23067,10172923,'When Equipped:',100,0,0),
(23068,10172923,'Gives caster a 2.3% chance to strikethrough a successful avoidance check',100,1,1),
(23069,10172923,'Increases Additional chance to Riposte of caster by 21.0',100,1,2),
(23070,10172923,'Increases Riposte Damage of caster by 21.0',100,1,3),
(23071,10172923,'Must not be engaged in pvp combat',100,1,4),
(23072,109643,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(23073,109643,'Inflicts 117 - 217 poison damage on target encounter',100,2,1),
(23074,10109643,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(23075,10109643,'Inflicts 92 - 171 poison damage on target encounter',100,2,1),
(23076,106358,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(23077,106358,'Slows target by 38.2%',100,2,1),
(23078,106358,'5% chance to dispel when target receives hostile action',100,2,2),
(23079,106358,'5% chance to dispel when target takes damage',100,2,3),
(23080,106358,'Decreases Mitigation of target vs arcane damage by 969',100,1,4),
(23081,10106358,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(23082,10106358,'Slows target by 38.2%',100,2,1),
(23083,10106358,'5% chance to dispel when target receives hostile action',100,2,2),
(23084,10106358,'5% chance to dispel when target takes damage',100,2,3),
(23085,10106358,'Decreases Mitigation of target vs arcane damage by 969',100,1,4),
(23086,163688,'When Equipped:',100,0,0),
(23087,163688,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23088,163688,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(23089,163688,'Cannot be modified except by direct means',100,2,3),
(23090,10163688,'When Equipped:',100,0,0),
(23091,10163688,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23092,10163688,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(23093,10163688,'Cannot be modified except by direct means',100,2,3),
(23094,110563,'Decreases Attack Speed of target by 15.4',100,1,0),
(23095,110563,'Decreases Crushing, Slashing and Piercing of target by 2.1',100,1,1),
(23096,10110563,'Decreases Attack Speed of target by 15.4',100,1,0),
(23097,10110563,'Decreases Crushing, Slashing and Piercing of target by 2.1',100,1,1),
(23098,122102,'Increases STA and INT of group members (AE) by 85.4',100,1,0),
(23099,10122102,'Increases STA and INT of group members (AE) by 85.4',100,1,0),
(23100,161758,'Applies Memory of Kaladim when Activated.  Lasts for 30.0 seconds.',100,0,0),
(23101,161758,'Heals caster for 25 instantly and every 5 seconds',100,1,1),
(23102,161758,'The casting time of Memory of Kaladim is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(23103,10161758,'Applies Memory of Kaladim when Activated.  Lasts for 30.0 seconds.',100,0,0),
(23104,10161758,'Heals caster for 16 instantly and every 5 seconds',100,1,1),
(23105,10161758,'The casting time of Memory of Kaladim is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(23106,71969,'When Equipped:',100,0,0),
(23107,71969,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23108,71969,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(23109,71969,'Cannot be modified except by direct means',100,2,3),
(23110,10071969,'When Equipped:',100,0,0),
(23111,10071969,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23112,10071969,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(23113,10071969,'Cannot be modified except by direct means',100,2,3),
(23114,118451,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(23115,118451,'Inflicts 65 - 79 heat damage on target instantly and every second',100,2,1),
(23116,10118451,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(23117,10118451,'Inflicts 51 - 62 heat damage on target instantly and every second',100,2,1),
(23118,108646,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(23119,108646,'Heals target for 1107',100,2,1),
(23120,108646,'Heals target for 276 every 2 seconds',100,2,2),
(23121,108646,'Increases AGI of target by 40.8',100,2,3),
(23122,108646,'Grants a total of 1 trigger of the spell.',100,2,4),
(23123,10108646,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(23124,10108646,'Heals target for 567',100,2,1),
(23125,10108646,'Heals target for 142 every 2 seconds',100,2,2),
(23126,10108646,'Increases AGI of target by 40.8',100,2,3),
(23127,10108646,'Grants a total of 1 trigger of the spell.',100,2,4),
(23128,144247,'When Equipped:',100,0,0),
(23129,144247,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(23130,144247,'Wards target against 1000 points of all damage',100,2,2),
(23131,144247,'Cannot be modified except by direct means',100,2,3),
(23132,10144247,'When Equipped:',100,0,0),
(23133,10144247,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(23134,10144247,'Wards target against 1000 points of all damage',100,2,2),
(23135,10144247,'Cannot be modified except by direct means',100,2,3),
(23136,73264,'Applies Frost Blast when Activated.',100,0,0),
(23137,73264,'Inflicts 466 - 777 cold damage on target',100,1,1),
(23138,73264,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(23139,10073264,'Applies Frost Blast when Activated.',100,0,0),
(23140,10073264,'Inflicts 466 - 777 cold damage on target',100,1,1),
(23141,10073264,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(23142,118999,'Heals target for 2363 - 2889',100,1,0),
(23143,10118999,'Heals target for 1577 - 1871',100,1,0),
(23144,124223,'Decreases Attack Speed of caster by 15.5',100,1,0),
(23145,124223,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(23146,124223,'Slows targets in Area of Effect by 49.2%',100,2,2),
(23147,124223,'5% chance to dispel when target receives hostile action',100,2,3),
(23148,124223,'5% chance to dispel when target takes damage',100,2,4),
(23149,124223,'Increases Mitigation of caster vs physical damage by 660',100,1,5),
(23150,10124223,'Decreases Attack Speed of caster by 15.5',100,1,0),
(23151,10124223,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(23152,10124223,'Slows targets in Area of Effect by 36.9%',100,2,2),
(23153,10124223,'5% chance to dispel when target receives hostile action',100,2,3),
(23154,10124223,'5% chance to dispel when target takes damage',100,2,4),
(23155,10124223,'Increases Mitigation of caster vs physical damage by 660',100,1,5),
(23156,170688,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(23157,170688,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(23158,170688,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(23159,10170688,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(23160,10170688,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(23161,10170688,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(23162,119475,'Dazes target encounter',100,1,0),
(23163,119475,'If Target is not Epic',100,2,1),
(23164,119475,'Inflicts 500 - 611 magic damage on target encounter',100,1,2),
(23165,119475,'Inflicts 250 - 306 magic damage on target encounter every second',100,1,3),
(23166,119475,'Resistibility increases against targets higher than level 54.',100,1,4),
(23167,10119475,'Inflicts 391 - 449 magic damage on target encounter',100,1,0),
(23168,10119475,'Inflicts 197 - 241 magic damage on target encounter every second',100,1,1),
(23169,10119475,'Dazes target encounter',100,1,2),
(23170,10119475,'If Target is not Epic',100,2,3),
(23171,10119475,'Resistibility increases against targets higher than level 54.',100,1,4),
(23172,70562,'When Equipped:',100,0,0),
(23173,70562,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23174,70562,'Inflicts 357 cold damage on target',100,2,2),
(23175,70562,'Cannot be modified except by direct means',100,2,3),
(23176,10070562,'When Equipped:',100,0,0),
(23177,10070562,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23178,10070562,'Inflicts 357 cold damage on target',100,2,2),
(23179,10070562,'Cannot be modified except by direct means',100,2,3),
(23180,122856,'Inflicts 1333 - 1564 ranged damage on target',100,1,0),
(23181,122856,'Inflicts 701 - 1163 ranged damage on target',100,1,1),
(23182,122856,'Inflicts 1051 - 1744 ranged damage on target',100,1,2),
(23183,122856,'Requires bow',100,1,3),
(23184,10122856,'Inflicts 653 - 824 ranged damage on target',100,1,0),
(23185,10122856,'Inflicts 518 - 859 ranged damage on target',100,1,1),
(23186,10122856,'Inflicts 777 - 1289 ranged damage on target',100,1,2),
(23187,10122856,'Requires bow',100,1,3),
(23188,48576,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(23189,48576,'Shrinks caster by 35.0%',100,1,1),
(23190,48576,'Enlarges caster by 50.0%',100,1,2),
(23191,10048576,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(23192,10048576,'Shrinks caster by 35.0%',100,1,1),
(23193,10048576,'Enlarges caster by 50.0%',100,1,2),
(23194,35702,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,0),
(23195,43216,'When Equipped:',100,0,0),
(23196,43216,'On a critical spell hit this spell may cast Vital Exposure VII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23197,43216,'Inflicts 112 - 124 disease damage on target',100,2,2),
(23198,43216,'Inflicts 135 - 149 disease damage on target every 2 seconds',100,2,3),
(23199,43216,'Inflicts an additional 11 - 12 disease damage on target every tick',100,2,4),
(23200,43216,'Decreases the target''s physical mitigation over time.',100,2,5),
(23201,43216,'Must not be engaged in pvp combat',100,2,6),
(23202,43216,'Cannot be modified except by direct means',100,2,7),
(23203,43216,'On a critical combat hit this spell may cast Vital Exposure VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(23204,43216,'Inflicts 112 - 124 disease damage on target',100,2,9),
(23205,43216,'Inflicts 135 - 149 disease damage on target every 2 seconds',100,2,10),
(23206,43216,'Inflicts an additional 11 - 12 disease damage on target every tick',100,2,11),
(23207,43216,'Decreases the target''s physical mitigation over time.',100,2,12),
(23208,43216,'Must not be engaged in pvp combat',100,2,13),
(23209,43216,'Cannot be modified except by direct means',100,2,14),
(23210,43216,'Must not be engaged in pvp combat',100,1,15),
(23211,10043216,'When Equipped:',100,0,0),
(23212,10043216,'On a critical spell hit this spell may cast Vital Exposure VII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23213,10043216,'Inflicts 112 - 124 disease damage on target',100,2,2),
(23214,10043216,'Inflicts 135 - 149 disease damage on target every 2 seconds',100,2,3),
(23215,10043216,'Inflicts an additional 11 - 12 disease damage on target every tick',100,2,4),
(23216,10043216,'Decreases the target''s physical mitigation over time.',100,2,5),
(23217,10043216,'Must not be engaged in pvp combat',100,2,6),
(23218,10043216,'Cannot be modified except by direct means',100,2,7),
(23219,10043216,'On a critical combat hit this spell may cast Vital Exposure VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(23220,10043216,'Inflicts 112 - 124 disease damage on target',100,2,9),
(23221,10043216,'Inflicts 135 - 149 disease damage on target every 2 seconds',100,2,10),
(23222,10043216,'Inflicts an additional 11 - 12 disease damage on target every tick',100,2,11),
(23223,10043216,'Decreases the target''s physical mitigation over time.',100,2,12),
(23224,10043216,'Must not be engaged in pvp combat',100,2,13),
(23225,10043216,'Cannot be modified except by direct means',100,2,14),
(23226,10043216,'Must not be engaged in pvp combat',100,1,15),
(23227,72214,'Applies Astral Blessing when Equipped.',100,0,0),
(23228,72214,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23229,72214,'Heals target for 440 instantly and every second',100,2,2),
(23230,72214,'Cannot be modified except by direct means',100,2,3),
(23231,72214,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(23232,72214,'Heals caster for 440 instantly and every second',100,2,5),
(23233,72214,'Cannot be modified except by direct means',100,2,6),
(23234,72214,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(23235,72214,'Heals caster for 440 instantly and every second',100,2,8),
(23236,72214,'Cannot be modified except by direct means',100,2,9),
(23237,10072214,'Applies Astral Blessing when Equipped.',100,0,0),
(23238,10072214,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23239,10072214,'Heals target for 514 instantly and every second',100,2,2),
(23240,10072214,'Cannot be modified except by direct means',100,2,3),
(23241,10072214,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(23242,10072214,'Heals caster for 514 instantly and every second',100,2,5),
(23243,10072214,'Cannot be modified except by direct means',100,2,6),
(23244,10072214,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(23245,10072214,'Heals caster for 514 instantly and every second',100,2,8),
(23246,10072214,'Cannot be modified except by direct means',100,2,9),
(23247,104274,'Inflicts 289 - 480 crushing damage on target',100,1,0),
(23248,104274,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(23249,104274,'Blurs vision of target',100,2,2),
(23250,104274,'Stuns target',100,2,3),
(23251,104274,'Throws target back',100,2,4),
(23252,104274,'Does not affect Epic targets',100,2,5),
(23253,10104274,'Inflicts 233 - 386 crushing damage on target',100,1,0),
(23254,10104274,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(23255,10104274,'Blurs vision of target',100,2,2),
(23256,10104274,'Stuns target',100,2,3),
(23257,10104274,'Throws target back',100,2,4),
(23258,10104274,'Does not affect Epic targets',100,2,5),
(23259,119112,'Inflicts 1610 - 4118 melee damage on targets in area',100,1,0),
(23260,119112,'Inflicts 1282 - 3791 melee damage on targets in area',100,1,1),
(23261,119112,'Inflicts 1282 - 3791 melee damage on targets in area',100,1,2),
(23262,119112,'Inflicts 1282 - 3791 melee damage on targets in area',100,1,3),
(23263,10119112,'Inflicts 1142 - 3119 melee damage on targets in area',100,1,0),
(23264,10119112,'Inflicts 1011 - 2987 melee damage on targets in area',100,1,1),
(23265,10119112,'Inflicts 1011 - 2987 melee damage on targets in area',100,1,2),
(23266,10119112,'Inflicts 1011 - 2987 melee damage on targets in area',100,1,3),
(23267,86504,'Applies Holy Strike when Activated.',100,0,0),
(23268,86504,'Inflicts 171 - 285 divine damage on target',100,1,1),
(23269,86504,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(23270,10086504,'Applies Holy Strike when Activated.',100,0,0),
(23271,10086504,'Inflicts 171 - 285 divine damage on target',100,1,1),
(23272,10086504,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(23273,121379,'Inflicts 885 - 1363 magic damage on target encounter',100,1,0),
(23274,121379,'Inflicts 558 - 1036 magic damage on target encounter every 2 seconds',100,1,1),
(23275,10121379,'Inflicts 571 - 948 magic damage on target encounter',100,1,0),
(23276,10121379,'Inflicts 440 - 816 magic damage on target encounter every 2 seconds',100,1,1),
(23277,101108,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1075',100,1,0),
(23278,10101108,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1075',100,1,0),
(23279,116402,'Heals target for 1704 - 1864',100,1,0),
(23280,116402,'Heals target for 722 - 882 every 2 seconds',100,1,1),
(23281,10116402,'Heals target for 626 - 708',100,1,0),
(23282,10116402,'Heals target for 370 - 452 every 2 seconds',100,1,1),
(23283,102589,'Increases Threat to target encounter by 692 - 846 ',100,1,0),
(23284,102589,'Interrupts target encounter',100,1,1),
(23285,102589,'Decreases Mitigation of target encounter vs noxious damage by 161',100,1,2),
(23286,10102589,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(23287,10102589,'Prevents target from changing targets',100,2,1),
(23288,10102589,'Forces target to change their selected target to caster.',100,2,2),
(23289,10102589,'Interrupts target encounter',100,1,3),
(23290,10102589,'Decreases Mitigation of target encounter vs noxious damage by 161',100,1,4),
(23291,104825,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(23292,104825,'If Fighter',100,2,1),
(23293,104825,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(23294,104825,'Increases power of target by 15',100,2,3),
(23295,104825,'Increases power of caster by 15',100,2,4),
(23296,10104825,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(23297,10104825,'Increases power of target by 15',100,2,1),
(23298,10104825,'Increases power of caster by 15',100,2,2),
(23299,80420,'When Equipped:',100,0,0),
(23300,80420,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(23301,80420,'Inflicts 90 - 168 magic damage on target',100,2,2),
(23302,80420,'Decreases Threat to target by 153 ',100,2,3),
(23303,80420,'Must be flanking or behind',100,3,4),
(23304,80420,'Increases Threat to target by 267 ',100,2,5),
(23305,80420,'Must be in front of',100,3,6),
(23306,80420,'Cannot be modified except by direct means',100,2,7),
(23307,10080420,'When Equipped:',100,0,0),
(23308,10080420,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(23309,10080420,'Inflicts 90 - 168 magic damage on target',100,2,2),
(23310,10080420,'Cannot be modified except by direct means',100,2,3),
(23311,52025,'When Equipped:',100,0,0),
(23312,52025,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(23313,10052025,'When Equipped:',100,0,0),
(23314,10052025,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(23315,169268,'Applies Heroism when Activated.  Lasts for 10 minutes.',100,0,0),
(23316,169268,'Increases Max Health of caster by 300.0',100,1,1),
(23317,169268,'The casting time of Heroism is 1.98 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,2),
(23318,10169268,'Applies Heroism when Activated.  Lasts for 10 minutes.',100,0,0),
(23319,10169268,'Increases Max Health of caster by 300.0',100,1,1),
(23320,10169268,'The casting time of Heroism is 1.98 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,2),
(23321,48385,'Applies Spray when Activated.  Lasts for 2.0 seconds.',100,0,0),
(23322,48385,'Makes target afraid',100,1,1),
(23323,48385,'Updates a specific part of the Quest \"Repellant\"',100,1,2),
(23324,48385,'Resistibility increases against targets higher than level 30.',100,1,3),
(23325,10048385,'Applies Spray when Activated.  Lasts for 2.0 seconds.',100,0,0),
(23326,10048385,'Makes target afraid',100,1,1),
(23327,10048385,'Updates a specific part of the Quest \"Repellant\"',100,1,2),
(23328,10048385,'Resistibility increases against targets higher than level 30.',100,1,3),
(23329,118979,'Heals target for 187 - 229',100,1,0),
(23330,10118979,'Heals target for 145 - 178',100,1,0),
(23331,37049,'Increases STA of target by 12.7',100,0,0),
(23332,37049,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(23333,138348,'When Equipped:',100,0,0),
(23334,138348,'Increases Attack Speed of caster by 40.0',100,1,1),
(23335,10138348,'When Equipped:',100,0,0),
(23336,10138348,'Increases Attack Speed of caster by 40.0',100,1,1),
(23337,48984,'Applies Call Tropical Saliraptor when Activated.',100,0,0),
(23338,48984,'Increases Ranged of caster by 5.0',100,1,1),
(23339,48984,'Summons a mount to ride',100,1,2),
(23340,48984,'Increases your ground speed by 60%',100,2,3),
(23341,48984,'Increases your air speed by 200%',100,2,4),
(23342,48984,'Increases Slashing, Ordination, Aggression, Focus, Crushing, Piercing, Ministration, Disruption and Subjugation of caster by 5.0',100,1,5),
(23343,10048984,'Applies Call Tropical Saliraptor when Activated.',100,0,0),
(23344,10048984,'Increases Ranged of caster by 5.0',100,1,1),
(23345,10048984,'Summons a mount to ride',100,1,2),
(23346,10048984,'Increases your ground speed by 60%',100,2,3),
(23347,10048984,'Increases your air speed by 200%',100,2,4),
(23348,10048984,'Increases Slashing, Ordination, Aggression, Focus, Crushing, Piercing, Ministration, Disruption and Subjugation of caster by 5.0',100,1,5),
(23349,116908,'Summons a limited pet to aid the caster',100,1,0),
(23350,10116908,'Summons a limited pet to aid the caster',100,1,0),
(23351,35674,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(23352,101920,'Inflicts 195 piercing damage on target instantly and every 4 seconds',100,1,0),
(23353,101920,'Inflicts 1225 - 1805 melee damage on target',100,1,1),
(23354,101920,'Must be behind',100,1,2),
(23355,10101920,'Inflicts 154 piercing damage on target instantly and every 4 seconds',100,1,0),
(23356,10101920,'Inflicts 858 - 1164 melee damage on target',100,1,1),
(23357,10101920,'Must be behind',100,1,2),
(23358,37310,'Increases STA of target by 15.4',100,0,0),
(23359,37310,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(23360,119263,'Inflicts 395 - 497 slashing damage on target',100,1,0),
(23361,119263,'Decreases Damage Per Second of target by 8.5',100,1,1),
(23362,119263,'Inflicts 137 slashing damage on target instantly and every 4 seconds',100,1,2),
(23363,10119263,'Inflicts 373 - 460 slashing damage on target',100,1,0),
(23364,10119263,'Decreases Damage Per Second of target by 8.5',100,1,1),
(23365,10119263,'Inflicts 108 slashing damage on target instantly and every 4 seconds',100,1,2),
(23366,117945,'Heals target for 685 - 837',100,1,0),
(23367,117945,'Increases Max Health of target by 19.6',100,1,1),
(23368,10117945,'Heals target for 561 - 686',100,1,0),
(23369,10117945,'Increases Max Health of target by 19.6',100,1,1),
(23370,143674,'When Equipped:',100,0,0),
(23371,143674,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23372,143674,'Inflicts 562 mental damage on target',100,2,2),
(23373,143674,'Must be classified as an undead',100,3,3),
(23374,143674,'Inflicts 281 mental damage on target',100,2,4),
(23375,143674,'Must not be classified as an undead',100,3,5),
(23376,143674,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(23377,143674,'Must be classified as an undead',100,3,7),
(23378,143674,'Cannot be modified except by direct means',100,2,8),
(23379,143674,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(23380,10143674,'When Equipped:',100,0,0),
(23381,10143674,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23382,10143674,'Inflicts 562 mental damage on target',100,2,2),
(23383,10143674,'Must be classified as an undead',100,3,3),
(23384,10143674,'Inflicts 281 mental damage on target',100,2,4),
(23385,10143674,'Must not be classified as an undead',100,3,5),
(23386,10143674,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(23387,10143674,'Must be classified as an undead',100,3,7),
(23388,10143674,'Cannot be modified except by direct means',100,2,8),
(23389,10143674,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(23390,112324,'Increases Threat to target by 9,146 - 10,673  instantly and by 2,261 - 2,763  every 3 seconds thereafter',100,1,0),
(23391,112324,'Inflicts 1693 - 1997 disease damage on target',100,1,1),
(23392,112324,'Inflicts 683 - 835 disease damage on target every 3 seconds',100,1,2),
(23393,10112324,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,0),
(23394,10112324,'Inflicts 132 disease damage on target',100,1,1),
(23395,10112324,'Inflicts 538 - 658 disease damage on target every 3 seconds',100,1,2),
(23396,48151,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(23397,48151,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(23398,48151,'Decreases power of target by 1609',100,2,2),
(23399,48151,'Increases power of caster by 442',100,2,3),
(23400,48151,'Cannot be modified except by direct means',100,2,4),
(23401,48151,'Grants a total of 100 triggers of the spell.',100,2,5),
(23402,10048151,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(23403,10048151,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(23404,10048151,'Decreases power of target by 885',100,2,2),
(23405,10048151,'Increases power of caster by 398',100,2,3),
(23406,10048151,'Cannot be modified except by direct means',100,2,4),
(23407,10048151,'Grants a total of 100 triggers of the spell.',100,2,5),
(23408,103039,'Inflicts 1272 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(23409,103039,'Inflicts 1461 - 1777 melee damage on target',100,1,1),
(23410,10103039,'Inflicts 1002 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(23411,10103039,'Inflicts 772 - 1021 melee damage on target',100,1,1),
(23412,35439,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(23413,35439,'Increases Max Health of target by 14.0',100,0,1),
(23414,153828,'When Equipped:',100,0,0),
(23415,153828,'When damaged this spell has a 10% chance to cast Champion''s Impedence VI on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(23416,153828,'Increases caster''s chance to block by 14.0%',100,2,2),
(23417,153828,'Must not be engaged in pvp combat',100,2,3),
(23418,153828,'Cannot be modified except by direct means',100,2,4),
(23419,153828,'On a block this spell has a 10% chance to cast Champion''s Impedence VI on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(23420,153828,'Increases caster''s chance to block by 14.0%',100,2,6),
(23421,153828,'Must not be engaged in pvp combat',100,2,7),
(23422,153828,'Cannot be modified except by direct means',100,2,8),
(23423,153828,'Must not be engaged in pvp combat',100,1,9),
(23424,10153828,'When Equipped:',100,0,0),
(23425,10153828,'When damaged this spell has a 10% chance to cast Champion''s Impedence VI on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(23426,10153828,'Increases caster''s chance to block by 14.0%',100,2,2),
(23427,10153828,'Must not be engaged in pvp combat',100,2,3),
(23428,10153828,'Cannot be modified except by direct means',100,2,4),
(23429,10153828,'On a block this spell has a 10% chance to cast Champion''s Impedence VI on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(23430,10153828,'Increases caster''s chance to block by 14.0%',100,2,6),
(23431,10153828,'Must not be engaged in pvp combat',100,2,7),
(23432,10153828,'Cannot be modified except by direct means',100,2,8),
(23433,10153828,'Must not be engaged in pvp combat',100,1,9),
(23434,105368,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(23435,105368,'Inflicts 143 melee damage on target',100,2,1),
(23436,105368,'Interrupts target',100,2,2),
(23437,105368,'Decreases Defense of caster by 8.1',100,1,3),
(23438,105368,'Increases Piercing, Slashing, Ranged and Crushing of caster by 12.1',100,1,4),
(23439,10105368,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(23440,10105368,'Inflicts 113 melee damage on target',100,2,1),
(23441,10105368,'Interrupts target',100,2,2),
(23442,10105368,'Decreases Defense of caster by 8.1',100,1,3),
(23443,10105368,'Increases Piercing, Slashing, Ranged and Crushing of caster by 12.1',100,1,4),
(23444,54172,'When Equipped:',100,0,0),
(23445,54172,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(23446,54172,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(23447,54172,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(23448,54172,'Heals caster for 1185 - 1309',100,2,4),
(23449,54172,'Must not be engaged in pvp combat',100,2,5),
(23450,54172,'Cannot be modified except by direct means',100,2,6),
(23451,54172,'Cannot be modified except by direct means',100,1,7),
(23452,10054172,'When Equipped:',100,0,0),
(23453,10054172,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(23454,10054172,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(23455,10054172,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(23456,10054172,'Heals caster for 1386 - 1532',100,2,4),
(23457,10054172,'Must not be engaged in pvp combat',100,2,5),
(23458,10054172,'Cannot be modified except by direct means',100,2,6),
(23459,10054172,'Cannot be modified except by direct means',100,1,7),
(23460,46043,'Applies elemental remedy when Activated.',100,0,0),
(23461,46043,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(23462,10046043,'Applies elemental remedy when Activated.',100,0,0),
(23463,10046043,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(23464,116056,'Shapechanges caster into a lion',100,1,0),
(23465,116056,'Increases STA of caster by 102.1',100,1,1),
(23466,116056,'Adds 3.2% to base avoidance.',100,1,2),
(23467,116056,'Grants See Stealth to caster',100,1,3),
(23468,116056,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1649',100,1,4),
(23469,10116056,'Shapechanges caster into a lion',100,1,0),
(23470,10116056,'Increases STA of caster by 102.1',100,1,1),
(23471,10116056,'Adds 3.2% to base avoidance.',100,1,2),
(23472,10116056,'Grants See Stealth to caster',100,1,3),
(23473,10116056,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1649',100,1,4),
(23474,140187,'When Equipped:',100,0,0),
(23475,140187,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(23476,140187,'Heals group members (AE) for 308 - 377',100,2,2),
(23477,140187,'Heals group members (AE) for 66 - 81 every 2 seconds',100,2,3),
(23478,140187,'Must not be engaged in pvp combat',100,2,4),
(23479,140187,'Cannot be modified except by direct means',100,2,5),
(23480,140187,'Cannot be modified except by direct means',100,1,6),
(23481,10140187,'When Equipped:',100,0,0),
(23482,10140187,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(23483,10140187,'Heals group members (AE) for 200 - 245',100,2,2),
(23484,10140187,'Heals group members (AE) for 43 - 52 every 2 seconds',100,2,3),
(23485,10140187,'Must not be engaged in pvp combat',100,2,4),
(23486,10140187,'Cannot be modified except by direct means',100,2,5),
(23487,10140187,'Cannot be modified except by direct means',100,1,6),
(23488,119240,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(23489,119240,'If profession other than Fighter',100,1,1),
(23490,119240,'If profession other than Scout',100,1,2),
(23491,10119240,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(23492,10119240,'If profession other than Fighter',100,1,1),
(23493,10119240,'If profession other than Scout',100,1,2),
(23494,101048,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(23495,101048,'Inflicts 2332 poison damage on target instantly and every 4 seconds',100,2,1),
(23496,101048,'If profession other than Predator',100,1,2),
(23497,101048,'If profession other than Rogue',100,1,3),
(23498,10101048,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(23499,10101048,'Inflicts 1838 poison damage on target instantly and every 4 seconds',100,2,1),
(23500,10101048,'If profession other than Predator',100,1,2),
(23501,10101048,'If profession other than Rogue',100,1,3),
(23502,112965,'Inflicts 1438 - 3823 crushing damage on target',100,1,0),
(23503,10112965,'Inflicts 1155 - 2682 crushing damage on target',100,1,0),
(23504,118140,'Heals target for 6713 - 7986',100,1,0),
(23505,10118140,'Heals target for 5594 - 6780',100,1,0),
(23506,81948,'When Equipped:',100,0,0),
(23507,81948,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23508,81948,'Inflicts 523 - 972 magic damage on target',100,2,2),
(23509,81948,'Cannot be modified except by direct means',100,2,3),
(23510,10081948,'When Equipped:',100,0,0),
(23511,10081948,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23512,10081948,'Inflicts 523 - 972 magic damage on target',100,2,2),
(23513,10081948,'Cannot be modified except by direct means',100,2,3),
(23514,89814,'When Equipped:',100,0,0),
(23515,89814,'On a hostile spell cast this spell may cast Vibrating Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23516,89814,'Decreases Damage Per Second of target by 10.0',100,2,2),
(23517,89814,'Inflicts 271 - 407 slashing damage on target',100,2,3),
(23518,89814,'Cannot be modified except by direct means',100,2,4),
(23519,10089814,'When Equipped:',100,0,0),
(23520,10089814,'On a hostile spell cast this spell may cast Vibrating Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23521,10089814,'Decreases Damage Per Second of target by 10.0',100,2,2),
(23522,10089814,'Inflicts 271 - 407 slashing damage on target',100,2,3),
(23523,10089814,'Cannot be modified except by direct means',100,2,4),
(23524,123123,'Inflicts 1506 disease damage on targets in Area of Effect',100,1,0),
(23525,123123,'Inflicts 803 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(23526,10123123,'Inflicts 1060 disease damage on targets in Area of Effect',100,1,0),
(23527,10123123,'Inflicts 633 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(23528,111352,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(23529,111352,'Inflicts 4826 - 5825 mental damage on target',100,2,1),
(23530,111352,'Grants a total of 3 triggers of the spell.',100,2,2),
(23531,10111352,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(23532,10111352,'Inflicts 3677 - 4465 mental damage on target',100,2,1),
(23533,10111352,'Grants a total of 3 triggers of the spell.',100,2,2),
(23534,24773,'Adds Yah''Lei Warlock to your Dungeon Maker toolbox',100,0,0),
(23535,10024773,'Adds Yah''Lei Warlock to your Dungeon Maker toolbox',100,0,0),
(23536,71376,'When Equipped:',100,0,0),
(23537,71376,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23538,71376,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(23539,71376,'Cannot be modified except by direct means',100,2,3),
(23540,10071376,'When Equipped:',100,0,0),
(23541,10071376,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23542,10071376,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(23543,10071376,'Cannot be modified except by direct means',100,2,3),
(23544,159497,'Applies Lambent Imbued when Equipped.',100,0,0),
(23545,159497,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(23546,159497,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(23547,159497,'Cannot be modified except by direct means',100,2,3),
(23548,10159497,'Applies Lambent Imbued when Equipped.',100,0,0),
(23549,10159497,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(23550,10159497,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(23551,10159497,'Cannot be modified except by direct means',100,2,3),
(23552,124465,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(23553,124465,'Inflicts 2008 - 3331 melee damage on target',100,2,1),
(23554,124465,'Decreases Defense of caster by 29.8',100,1,2),
(23555,124465,'Increases Slashing, Piercing, Ranged and Crushing of caster by 55.8',100,1,3),
(23556,10124465,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(23557,10124465,'Inflicts 1583 - 2625 melee damage on target',100,2,1),
(23558,10124465,'Decreases Defense of caster by 29.8',100,1,2),
(23559,10124465,'Increases Slashing, Piercing, Ranged and Crushing of caster by 55.8',100,1,3),
(23560,135258,'When Equipped:',100,0,0),
(23561,135258,'On a hostile spell cast this spell may cast Siphon Power on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(23562,135258,'Decreases power of target by 191',100,2,2),
(23563,135258,'Cannot be modified except by direct means',100,2,3),
(23564,10135258,'When Equipped:',100,0,0),
(23565,10135258,'On a hostile spell cast this spell may cast Siphon Power on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(23566,10135258,'Decreases power of target by 191',100,2,2),
(23567,10135258,'Cannot be modified except by direct means',100,2,3),
(23568,113730,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(23569,113730,'Inflicts 584 piercing damage on target',100,2,1),
(23570,113730,'Grants a total of 60 triggers of the spell.',100,2,2),
(23571,10113730,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(23572,10113730,'Inflicts 461 piercing damage on target',100,2,1),
(23573,10113730,'Grants a total of 60 triggers of the spell.',100,2,2),
(23574,24613,'Adds Pandaman (Guardian) to your Dungeon Maker toolbox',100,0,0),
(23575,10024613,'Adds Pandaman (Guardian) to your Dungeon Maker toolbox',100,0,0),
(23576,110714,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(23577,110714,'Heals group members (AE) for 926',100,2,1),
(23578,10110714,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(23579,10110714,'Heals group members (AE) for 478',100,2,1),
(23580,100013,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(23581,100013,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23582,100013,'Inflicts 217 - 360 melee damage on targets in area',100,2,2),
(23583,100013,'Decreases Defense of caster by 4.8',100,1,3),
(23584,100013,'Increases Slashing, Piercing and Crushing of caster by 13.8',100,1,4),
(23585,10100013,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(23586,10100013,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23587,10100013,'Inflicts 171 - 283 melee damage on targets in area',100,2,2),
(23588,10100013,'Decreases Defense of caster by 4.8',100,1,3),
(23589,10100013,'Increases Slashing, Piercing and Crushing of caster by 13.8',100,1,4),
(23590,105997,'Decreases Defense of target by 1.3',100,1,0),
(23591,105997,'Inflicts 58 - 71 divine damage on target',100,1,1),
(23592,105997,'Inflicts 17 - 20 divine damage on target every 3 seconds',100,1,2),
(23593,10105997,'Decreases Defense of target by 1.3',100,1,0),
(23594,10105997,'Inflicts 51 - 62 divine damage on target',100,1,1),
(23595,10105997,'Inflicts 9 - 11 divine damage on target every 3 seconds',100,1,2),
(23596,86496,'Applies Holy Strike when Activated.',100,0,0),
(23597,86496,'Inflicts 466 - 777 divine damage on target',100,1,1),
(23598,86496,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(23599,10086496,'Applies Holy Strike when Activated.',100,0,0),
(23600,10086496,'Inflicts 466 - 777 divine damage on target',100,1,1),
(23601,10086496,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(23602,188327,'When Equipped:',100,0,0),
(23603,188327,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23604,188327,'Inflicts 2664 disease damage on target encounter',100,2,2),
(23605,188327,'Must not be engaged in pvp combat',100,2,3),
(23606,188327,'Cannot be modified except by direct means',100,2,4),
(23607,10188327,'When Equipped:',100,0,0),
(23608,10188327,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23609,10188327,'Inflicts 1332 disease damage on target encounter',100,2,2),
(23610,10188327,'Must not be engaged in pvp combat',100,2,3),
(23611,10188327,'Cannot be modified except by direct means',100,2,4),
(23612,105853,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(23613,105853,'Increases Damage Per Second of caster by 60.2',100,1,1),
(23614,105853,'Increases Piercing, Slashing and Crushing of caster by 25.9',100,1,2),
(23615,10105853,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(23616,10105853,'Increases Damage Per Second of caster by 60.2',100,1,1),
(23617,10105853,'Increases Piercing, Slashing and Crushing of caster by 25.9',100,1,2),
(23618,111880,'Inflicts 2100 - 3058 heat damage on target',100,1,0),
(23619,111880,'Inflicts 419 - 778 heat damage on target every 2 seconds',100,1,1),
(23620,10111880,'Inflicts 1276 - 2031 heat damage on target',100,1,0),
(23621,10111880,'Inflicts 330 - 614 heat damage on target every 2 seconds',100,1,1),
(23622,102154,'Inflicts 1958 - 2606 melee damage on target',100,1,0),
(23623,102154,'Inflicts 979 - 1623 melee damage on target',100,1,1),
(23624,10102154,'Inflicts 1166 - 1674 melee damage on target',100,1,0),
(23625,10102154,'Inflicts 771 - 1279 melee damage on target',100,1,1),
(23626,190833,'When Equipped:',100,0,0),
(23627,190833,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(23628,10190833,'When Equipped:',100,0,0),
(23629,10190833,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(23630,111559,'Inflicts 8533 - 15005 cold damage on target',100,1,0),
(23631,111559,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(23632,111559,'Stuns target',100,2,2),
(23633,111559,'Throws target back',100,2,3),
(23634,111559,'Blurs vision of target',100,2,4),
(23635,111559,'Does not affect Epic targets',100,2,5),
(23636,10111559,'Inflicts 4698 - 8386 cold damage on target',100,1,0),
(23637,10111559,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(23638,10111559,'Stuns target',100,2,2),
(23639,10111559,'Throws target back',100,2,3),
(23640,10111559,'Blurs vision of target',100,2,4),
(23641,10111559,'Does not affect Epic targets',100,2,5),
(23642,148678,'When Equipped:',100,0,0),
(23643,148678,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23644,148678,'This effect can be stacked by multiple casters.',100,2,2),
(23645,148678,'Increases target''s chance to block by 10.0%',100,2,3),
(23646,148678,'Cannot be modified except by direct means',100,2,4),
(23647,10148678,'When Equipped:',100,0,0),
(23648,10148678,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23649,10148678,'This effect can be stacked by multiple casters.',100,2,2),
(23650,10148678,'Increases target''s chance to block by 10.0%',100,2,3),
(23651,10148678,'Cannot be modified except by direct means',100,2,4),
(23652,105340,'Inflicts 2302 - 3530 melee damage on target',100,1,0),
(23653,105340,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 476',100,1,1),
(23654,105340,'Must be flanking or behind',100,1,2),
(23655,10105340,'Inflicts 1605 - 2403 melee damage on target',100,1,0),
(23656,10105340,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 476',100,1,1),
(23657,10105340,'Must be flanking or behind',100,1,2),
(23658,80607,'When Equipped:',100,0,0),
(23659,80607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23660,80607,'Inflicts 96 - 178 magic damage on target',100,2,2),
(23661,80607,'Cannot be modified except by direct means',100,2,3),
(23662,10080607,'When Equipped:',100,0,0),
(23663,10080607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23664,10080607,'Inflicts 96 - 178 magic damage on target',100,2,2),
(23665,10080607,'Cannot be modified except by direct means',100,2,3),
(23666,159162,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(23667,159162,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(23668,159162,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(23669,159162,'Cannot be modified except by direct means',100,2,3),
(23670,10159162,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(23671,10159162,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(23672,10159162,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(23673,10159162,'Cannot be modified except by direct means',100,2,3),
(23674,101238,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(23675,101238,'Inflicts 265 - 441 mental damage on target',100,2,1),
(23676,10101238,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(23677,10101238,'Inflicts 209 - 348 mental damage on target',100,2,1),
(23678,35732,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(23679,35732,'This effect suspends during combat',100,0,1),
(23680,46434,'Applies Froakus'' Blessing when Activated.  Lasts for 30 minutes.',100,0,0),
(23681,46434,'Increases STA and STR of caster by 31.0',100,1,1),
(23682,10046434,'Applies Froakus'' Blessing when Activated.  Lasts for 30 minutes.',100,0,0),
(23683,10046434,'Increases STA and STR of caster by 31.0',100,1,1),
(23684,104400,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(23685,104400,'Inflicts 1688 - 2063 cold damage on target',100,2,1),
(23686,10104400,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(23687,10104400,'Inflicts 1331 - 1626 cold damage on target',100,2,1),
(23688,159603,'When Equipped:',100,0,0),
(23689,159603,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23690,159603,'Increases WIS of caster by 19.3',100,2,2),
(23691,159603,'Increases Focus, Ministration and Ordination of caster by 10.9',100,2,3),
(23692,159603,'Cannot be modified except by direct means',100,2,4),
(23693,10159603,'When Equipped:',100,0,0),
(23694,10159603,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23695,10159603,'Increases WIS of caster by 19.3',100,2,2),
(23696,10159603,'Increases Focus, Ministration and Ordination of caster by 10.9',100,2,3),
(23697,10159603,'Cannot be modified except by direct means',100,2,4),
(23698,115532,'Increases Mitigation of raid and group members (AE) vs noxious damage by 280',100,1,0),
(23699,10115532,'Increases Mitigation of raid and group members (AE) vs noxious damage by 280',100,1,0),
(23700,166518,'When Equipped:',100,0,0),
(23701,166518,'On a critical combat hit this spell may cast Martial Vulnerability VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23702,166518,'Decreases Mitigation of target vs physical damage by 650',100,2,2),
(23703,166518,'Must not be engaged in pvp combat',100,2,3),
(23704,166518,'Cannot be modified except by direct means',100,2,4),
(23705,166518,'On a critical spell hit this spell may cast Martial Vulnerability VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(23706,166518,'Decreases Mitigation of target vs physical damage by 650',100,2,6),
(23707,166518,'Must not be engaged in pvp combat',100,2,7),
(23708,166518,'Cannot be modified except by direct means',100,2,8),
(23709,166518,'Must not be engaged in pvp combat',100,1,9),
(23710,10166518,'When Equipped:',100,0,0),
(23711,10166518,'On a critical combat hit this spell may cast Martial Vulnerability VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(23712,10166518,'Decreases Mitigation of target vs physical damage by 650',100,2,2),
(23713,10166518,'Must not be engaged in pvp combat',100,2,3),
(23714,10166518,'Cannot be modified except by direct means',100,2,4),
(23715,10166518,'On a critical spell hit this spell may cast Martial Vulnerability VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(23716,10166518,'Decreases Mitigation of target vs physical damage by 650',100,2,6),
(23717,10166518,'Must not be engaged in pvp combat',100,2,7),
(23718,10166518,'Cannot be modified except by direct means',100,2,8),
(23719,10166518,'Must not be engaged in pvp combat',100,1,9),
(23720,105315,'Increases AGI of caster by 303.6',100,1,0),
(23721,105315,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(23722,105315,'Inflicts 1725 - 2876 mental damage on target',100,2,2),
(23723,105315,'Adds 25.0% to base avoidance.',100,1,3),
(23724,105315,'Increases Mitigation of caster vs physical damage by 997',100,1,4),
(23725,105315,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,5),
(23726,105315,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(23727,105315,'Inflicts 1725 - 2876 mental damage on target',100,2,7),
(23728,10105315,'Increases AGI of caster by 303.6',100,1,0),
(23729,10105315,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(23730,10105315,'Inflicts 1360 - 2267 mental damage on target',100,2,2),
(23731,10105315,'Adds 25.0% to base avoidance.',100,1,3),
(23732,10105315,'Increases Mitigation of caster vs physical damage by 997',100,1,4),
(23733,10105315,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,5),
(23734,10105315,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(23735,10105315,'Inflicts 1360 - 2267 mental damage on target',100,2,7),
(23736,109676,'Inflicts 805 - 984 cold damage on target',100,1,0),
(23737,109676,'Inflicts 230 - 281 cold damage on target every 3 seconds',100,1,1),
(23738,10109676,'Inflicts 576 - 616 cold damage on target',100,1,0),
(23739,10109676,'Inflicts 181 - 222 cold damage on target every 3 seconds',100,1,1),
(23740,124401,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(23741,124401,'Inflicts 508 - 843 melee damage on target',100,2,1),
(23742,124401,'Grants a total of 3 triggers of the spell.',100,2,2),
(23743,10124401,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(23744,10124401,'Inflicts 401 - 665 melee damage on target',100,2,1),
(23745,10124401,'Grants a total of 3 triggers of the spell.',100,2,2),
(23746,160834,'When Equipped:',100,0,0),
(23747,160834,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23748,160834,'Inflicts 2664 cold damage on target encounter',100,2,2),
(23749,160834,'Must not be engaged in pvp combat',100,2,3),
(23750,160834,'Cannot be modified except by direct means',100,2,4),
(23751,160834,'Must not be engaged in pvp combat',100,1,5),
(23752,10160834,'When Equipped:',100,0,0),
(23753,10160834,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23754,10160834,'Inflicts 1332 cold damage on target encounter',100,2,2),
(23755,10160834,'Must not be engaged in pvp combat',100,2,3),
(23756,10160834,'Cannot be modified except by direct means',100,2,4),
(23757,10160834,'Must not be engaged in pvp combat',100,1,5),
(23758,151779,'When Equipped:',100,0,0),
(23759,151779,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(23760,10151779,'When Equipped:',100,0,0),
(23761,10151779,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(23762,112628,'Increases STA of caster by 63.5',100,1,0),
(23763,112628,'Reduces slow effects on caster by 24.8%',100,1,1),
(23764,112628,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,2),
(23765,10112628,'Increases STA of caster by 63.5',100,1,0),
(23766,10112628,'Reduces slow effects on caster by 24.8%',100,1,1),
(23767,10112628,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,2),
(23768,71764,'When Equipped:',100,0,0),
(23769,71764,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23770,71764,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(23771,71764,'Cannot be modified except by direct means',100,2,3),
(23772,10071764,'When Equipped:',100,0,0),
(23773,10071764,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(23774,10071764,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(23775,10071764,'Cannot be modified except by direct means',100,2,3),
(23776,101979,'Inflicts 5556 - 9476 heat damage on target',100,1,0),
(23777,10101979,'Inflicts 3999 - 7089 heat damage on target',100,1,0),
(23778,48544,'Applies Explosive Concussion when Activated.  Lasts for 7.0 seconds.',100,0,0),
(23779,48544,'Stuns targets in Area of Effect',100,1,1),
(23780,48544,'If target is Void Sapper',100,2,2),
(23781,48544,'Inflicts 296 - 692 heat damage on targets in Area of Effect',100,1,3),
(23782,48544,'If target is Void Sapper',100,2,4),
(23783,48544,'Throws target back',100,1,5),
(23784,48544,'If target is Void Sapper',100,2,6),
(23785,48544,'If target is Void Sapper',100,1,7),
(23786,48544,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,8),
(23787,10048544,'Applies Explosive Concussion when Activated.  Lasts for 7.0 seconds.',100,0,0),
(23788,10048544,'Stuns targets in Area of Effect',100,1,1),
(23789,10048544,'If target is Void Sapper',100,2,2),
(23790,10048544,'Inflicts 296 - 692 heat damage on targets in Area of Effect',100,1,3),
(23791,10048544,'If target is Void Sapper',100,2,4),
(23792,10048544,'Throws target back',100,1,5),
(23793,10048544,'If target is Void Sapper',100,2,6),
(23794,10048544,'If target is Void Sapper',100,1,7),
(23795,10048544,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,8),
(23796,105676,'Decreases Damage Per Second of target by 25.1',100,1,0),
(23797,105676,'Inflicts 2111 - 3318 melee damage on target',100,1,1),
(23798,105676,'Must be flanking or behind',100,1,2),
(23799,10105676,'Decreases Damage Per Second of target by 25.1',100,1,0),
(23800,10105676,'Inflicts 1504 - 2235 melee damage on target',100,1,1),
(23801,10105676,'Must be flanking or behind',100,1,2),
(23802,123930,'Increases STR and WIS of target by 60.1',100,1,0),
(23803,123930,'Increases Mitigation of target vs elemental, noxious and arcane damage by 180',100,1,1),
(23804,10123930,'Increases STR and WIS of target by 60.1',100,1,0),
(23805,10123930,'Increases Mitigation of target vs elemental, noxious and arcane damage by 180',100,1,1),
(23806,47344,'Applies Naiad Guardian Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(23807,47344,'Naiad Guardian Potion',100,1,1),
(23808,10047344,'Applies Naiad Guardian Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(23809,10047344,'Naiad Guardian Potion',100,1,1),
(23810,123943,'Increases STR and WIS of target by 107.1',100,1,0),
(23811,123943,'Increases Mitigation of target vs elemental, noxious and arcane damage by 319',100,1,1),
(23812,10123943,'Increases STR and WIS of target by 107.1',100,1,0),
(23813,10123943,'Increases Mitigation of target vs elemental, noxious and arcane damage by 319',100,1,1),
(23814,46987,'Applies Middling Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(23815,46987,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(23816,46987,'Inflicts 544 poison damage on target',100,2,2),
(23817,46987,'Inflicts 281 poison damage on target instantly and every 6 seconds',100,2,3),
(23818,46987,'Cannot be modified except by direct means',100,2,4),
(23819,46987,'Grants a total of 200 triggers of the spell.',100,2,5),
(23820,46987,'Only affects targets level 50 and above',100,1,6),
(23821,10046987,'Applies Middling Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(23822,10046987,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(23823,10046987,'Inflicts 408 poison damage on target',100,2,2),
(23824,10046987,'Inflicts 211 poison damage on target instantly and every 6 seconds',100,2,3),
(23825,10046987,'Cannot be modified except by direct means',100,2,4),
(23826,10046987,'Grants a total of 200 triggers of the spell.',100,2,5),
(23827,10046987,'Only affects targets level 50 and above',100,1,6),
(23828,113389,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,0),
(23829,113389,'Stifles target',100,2,1),
(23830,113389,'Blurs vision of target',100,2,2),
(23831,113389,'Dispelled when target takes damage',100,2,3),
(23832,113389,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(23833,113389,'Resistibility increases against targets higher than level 112.',100,2,5),
(23834,113389,'Roots target',100,1,6),
(23835,113389,'5% chance to dispel when target takes damage',100,1,7),
(23836,113389,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(23837,113389,'Resistibility increases against targets higher than level 112.',100,1,9),
(23838,10113389,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(23839,10113389,'Stifles target',100,2,1),
(23840,10113389,'Blurs vision of target',100,2,2),
(23841,10113389,'Dispelled when target takes damage',100,2,3),
(23842,10113389,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(23843,10113389,'Resistibility increases against targets higher than level 112.',100,2,5),
(23844,10113389,'Roots target',100,1,6),
(23845,10113389,'5% chance to dispel when target takes damage',100,1,7),
(23846,10113389,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(23847,10113389,'Resistibility increases against targets higher than level 112.',100,1,9),
(23848,119967,'Increases Threat to target by 211 - 259 ',100,1,0),
(23849,10119967,'Prevents target from changing targets',100,1,0),
(23850,10119967,'Forces target to change their selected target to caster.',100,1,1),
(23851,106554,'Inflicts 4178 - 4881 melee damage on target',100,1,0),
(23852,106554,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(23853,106554,'Increases Hate Gain of target by 30.0%',100,2,2),
(23854,106554,'Grants a total of 1 trigger of the spell.',100,2,3),
(23855,10106554,'Inflicts 2913 - 3467 melee damage on target',100,1,0),
(23856,10106554,'25% chance to apply Distract on termination.',100,1,1),
(23857,10106554,'Forces target to clear their selected target.',100,2,2),
(23858,120632,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(23859,120632,'Increases Defense and Parry of caster by 4.8',100,1,1),
(23860,120632,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(23861,10120632,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(23862,10120632,'Increases Defense and Parry of caster by 4.8',100,1,1),
(23863,10120632,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(23864,76110,'When Equipped:',100,0,0),
(23865,76110,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23866,76110,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(23867,76110,'Heals caster for 1185 - 1309',100,2,3),
(23868,76110,'Must not be engaged in pvp combat',100,2,4),
(23869,76110,'Cannot be modified except by direct means',100,2,5),
(23870,76110,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(23871,76110,'Cannot be modified except by direct means',100,1,7),
(23872,76110,'When Equipped:',100,0,8),
(23873,76110,'Regenerates 220 points of shielding every 2 seconds',100,1,9),
(23874,76110,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(23875,76110,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,11),
(23876,76110,'While active Renewing Bulwark is disabled.',100,2,12),
(23877,76110,'Cannot be modified except by direct means',100,2,13),
(23878,76110,'Wards caster against 2200 points of all damage',100,1,14),
(23879,76110,'Must not be engaged in pvp combat',100,1,15),
(23880,10076110,'When Equipped:',100,0,0),
(23881,10076110,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(23882,10076110,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(23883,10076110,'Heals caster for 1386 - 1532',100,2,3),
(23884,10076110,'Must not be engaged in pvp combat',100,2,4),
(23885,10076110,'Cannot be modified except by direct means',100,2,5),
(23886,10076110,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(23887,10076110,'Cannot be modified except by direct means',100,1,7),
(23888,10076110,'When Equipped:',100,0,8),
(23889,10076110,'Regenerates 220 points of shielding every 2 seconds',100,1,9),
(23890,10076110,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(23891,10076110,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,11),
(23892,10076110,'While active Renewing Bulwark is disabled.',100,2,12),
(23893,10076110,'Cannot be modified except by direct means',100,2,13),
(23894,10076110,'Wards caster against 2200 points of all damage',100,1,14),
(23895,10076110,'Must not be engaged in pvp combat',100,1,15),
(23896,122759,'Heals group members (AE) for 1315 - 1607',100,1,0),
(23897,122759,'Increases Max Health of group members (AE) by 78.9',100,1,1),
(23898,10122759,'Heals group members (AE) for 1125 - 1355',100,1,0),
(23899,10122759,'Increases Max Health of group members (AE) by 78.9',100,1,1),
(23900,181636,'When Equipped:',100,0,0),
(23901,181636,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(23902,181636,'Heals group members (AE) for 2624',100,2,2),
(23903,181636,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(23904,181636,'Must not be engaged in pvp combat',100,2,4),
(23905,181636,'Cannot be modified except by direct means',100,2,5),
(23906,181636,'Must not be engaged in pvp combat',100,1,6),
(23907,10181636,'When Equipped:',100,0,0),
(23908,10181636,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(23909,10181636,'Heals group members (AE) for 3071',100,2,2),
(23910,10181636,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(23911,10181636,'Must not be engaged in pvp combat',100,2,4),
(23912,10181636,'Cannot be modified except by direct means',100,2,5),
(23913,10181636,'Must not be engaged in pvp combat',100,1,6),
(23914,87290,'When Equipped:',100,0,0),
(23915,87290,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23916,87290,'Inflicts 142 - 213 magic damage on target',100,2,2),
(23917,87290,'Cannot be modified except by direct means',100,2,3),
(23918,10087290,'When Equipped:',100,0,0),
(23919,10087290,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(23920,10087290,'Inflicts 142 - 213 magic damage on target',100,2,2),
(23921,10087290,'Cannot be modified except by direct means',100,2,3),
(23922,81459,'When Equipped:',100,0,0),
(23923,81459,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(23924,81459,'Inflicts 155 - 288 magic damage on target',100,2,2),
(23925,81459,'Decreases Threat to target by 352 ',100,2,3),
(23926,81459,'Must be flanking or behind',100,3,4),
(23927,81459,'Increases Threat to target by 617 ',100,2,5),
(23928,81459,'Must be in front of',100,3,6),
(23929,81459,'Cannot be modified except by direct means',100,2,7),
(23930,10081459,'When Equipped:',100,0,0),
(23931,10081459,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(23932,10081459,'Inflicts 155 - 288 magic damage on target',100,2,2),
(23933,10081459,'Cannot be modified except by direct means',100,2,3),
(23934,104830,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(23935,104830,'If Fighter',100,2,1),
(23936,104830,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(23937,104830,'Increases power of target by 37',100,2,3),
(23938,104830,'Increases power of caster by 37',100,2,4),
(23939,10104830,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(23940,10104830,'Increases power of target by 37',100,2,1),
(23941,10104830,'Increases power of caster by 37',100,2,2),
(23942,111746,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(23943,111746,'Inflicts 3886 - 4676 cold damage on target',100,2,1),
(23944,111746,'Grants a total of 3 triggers of the spell.',100,2,2),
(23945,10111746,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(23946,10111746,'Inflicts 2936 - 3559 cold damage on target',100,2,1),
(23947,10111746,'Grants a total of 3 triggers of the spell.',100,2,2),
(23948,89762,'Applies Celestial Glow when Equipped.',100,0,0),
(23949,10089762,'Applies Celestial Glow when Equipped.',100,0,0),
(23950,35840,'Increases STR of target by 2.4',100,0,0),
(23951,35840,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(23952,118176,'240% of target''s power consumed will be added to target''s health',100,1,0),
(23953,10118176,'240% of target''s power consumed will be added to target''s health',100,1,0),
(23954,108095,'Decreases Threat to target by 704 - 1,365 ',100,1,0),
(23955,10108095,'Forces target to clear their selected target.',100,1,0),
(23956,10108095,'Target cannot target caster for the duration of this effect.',100,1,1),
(23957,123046,'Summons a pet undead knight',100,1,0),
(23958,10123046,'Summons a pet undead knight',100,1,0),
(23959,170081,'When Equipped:',100,0,0),
(23960,170081,'When any damage is received this spell has a 5% chance to cast Toxicity on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(23961,170081,'Inflicts 112 - 187 poison damage on targets in Area of Effect every 4.8 seconds',100,2,2),
(23962,170081,'Cannot be modified except by direct means',100,2,3),
(23963,10170081,'When Equipped:',100,0,0),
(23964,10170081,'When any damage is received this spell has a 5% chance to cast Toxicity on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(23965,10170081,'Inflicts 112 - 187 poison damage on targets in Area of Effect every 4.8 seconds',100,2,2),
(23966,10170081,'Cannot be modified except by direct means',100,2,3),
(23967,35637,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(23968,119201,'Inflicts 1903 - 2561 heat damage on target',100,1,0),
(23969,119201,'Inflicts 951 - 1578 heat damage on target',100,1,1),
(23970,119201,'Requires bow',100,1,2),
(23971,10119201,'Inflicts 1151 - 1650 heat damage on target',100,1,0),
(23972,10119201,'Inflicts 757 - 1256 heat damage on target',100,1,1),
(23973,10119201,'Requires bow',100,1,2),
(23974,144806,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(23975,144806,'Increases amount healed by up to 300.',100,1,1),
(23976,144806,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,2),
(23977,10144806,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(23978,10144806,'Increases amount healed by up to 300.',100,1,1),
(23979,10144806,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,2),
(23980,113844,'Inflicts 3668 - 5459 disease damage on target',100,1,0),
(23981,10113844,'Inflicts 2511 - 3923 disease damage on target',100,1,0),
(23982,141783,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(23983,141783,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(23984,141783,'Inflicts 84 heat damage on target',100,2,2),
(23985,141783,'Cannot be modified except by direct means',100,2,3),
(23986,10141783,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(23987,10141783,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(23988,10141783,'Inflicts 84 heat damage on target',100,2,2),
(23989,10141783,'Cannot be modified except by direct means',100,2,3),
(23990,47221,'Applies Elixir of the Steadfast  when Activated.',100,0,0),
(23991,47221,'Heals caster for 199',100,1,1),
(23992,10047221,'Applies Elixir of the Steadfast  when Activated.',100,0,0),
(23993,10047221,'Heals caster for 129',100,1,1),
(23994,45697,'Applies Melernil''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(23995,45697,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(23996,10045697,'Applies Melernil''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(23997,10045697,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(23998,105579,'Decreases power of target encounter by 60 - 73 instantly and every 3 seconds',100,1,0),
(23999,105579,'Inflicts 303 - 422 poison damage on target encounter',100,1,1),
(24000,105579,'Inflicts 139 - 258 poison damage on target encounter every 3 seconds',100,1,2),
(24001,105579,'Heals group members (AE) for 87 - 149',100,1,3),
(24002,105579,'Heals group members (AE) for 35 - 64 every 3 seconds',100,1,4),
(24003,105579,'Increases power of group members (AE) by 13 instantly and every 3 seconds',100,1,5),
(24004,10105579,'Decreases power of target encounter by 47 - 57 instantly and every 3 seconds',100,1,0),
(24005,10105579,'Inflicts 175 - 269 poison damage on target encounter',100,1,1),
(24006,10105579,'Inflicts 110 - 204 poison damage on target encounter every 3 seconds',100,1,2),
(24007,10105579,'Heals group members (AE) for 51 - 76',100,1,3),
(24008,10105579,'Heals group members (AE) for 18 - 33 every 3 seconds',100,1,4),
(24009,10105579,'Increases power of group members (AE) by 10 instantly and every 3 seconds',100,1,5),
(24010,157198,'When Equipped:',100,0,0),
(24011,157198,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(24012,157198,'Inflicts 258 poison damage on target',100,2,2),
(24013,157198,'Inflicts 258 disease damage on target',100,2,3),
(24014,157198,'Cannot be modified except by direct means',100,2,4),
(24015,157198,'Wards caster against 516 points of noxious damage',100,1,5),
(24016,10157198,'When Equipped:',100,0,0),
(24017,10157198,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(24018,10157198,'Inflicts 258 poison damage on target',100,2,2),
(24019,10157198,'Inflicts 258 disease damage on target',100,2,3),
(24020,10157198,'Cannot be modified except by direct means',100,2,4),
(24021,10157198,'Wards caster against 516 points of noxious damage',100,1,5),
(24022,35504,'Increases STA and WIS of target by 15.4',100,0,0),
(24023,35504,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(24024,103737,'Increases Max Health of raid and group members (AE) by 740.8',100,1,0),
(24025,103737,'Increases Defense of raid and group members (AE) by 25.0',100,1,1),
(24026,10103737,'Increases Max Health of raid and group members (AE) by 740.8',100,1,0),
(24027,10103737,'Increases Defense of raid and group members (AE) by 25.0',100,1,1),
(24028,82778,'When Equipped:',100,0,0),
(24029,82778,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24030,82778,'Inflicts 468 - 870 magic damage on target',100,2,2),
(24031,82778,'Decreases Threat to target by 1,174 ',100,2,3),
(24032,82778,'Must be flanking or behind',100,3,4),
(24033,82778,'Increases Threat to target by 1,634 ',100,2,5),
(24034,82778,'Must be in front of',100,3,6),
(24035,82778,'Cannot be modified except by direct means',100,2,7),
(24036,10082778,'When Equipped:',100,0,0),
(24037,10082778,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24038,10082778,'Inflicts 468 - 870 magic damage on target',100,2,2),
(24039,10082778,'Cannot be modified except by direct means',100,2,3),
(24040,35473,'Increases Out-of-Combat Power Regeneration of target by 22.8',100,0,0),
(24041,35473,'This effect suspends during combat',100,0,1),
(24042,47856,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(24043,47856,'Increases Slashing and Piercing of caster by 4.7',100,1,1),
(24044,47856,'Summons a mount to ride',100,1,2),
(24045,47856,'Increases your ground speed by 130%',100,2,3),
(24046,47856,'Increases Crushing and Focus of caster by 4.7',100,1,4),
(24047,10047856,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(24048,10047856,'Increases Slashing and Piercing of caster by 4.7',100,1,1),
(24049,10047856,'Summons a mount to ride',100,1,2),
(24050,10047856,'Increases your ground speed by 130%',100,2,3),
(24051,10047856,'Increases Crushing and Focus of caster by 4.7',100,1,4),
(24052,103655,'Interrupts target',100,1,0),
(24053,103655,'Inflicts 120 - 200 melee damage on target',100,1,1),
(24054,103655,'Must be flanking or behind',100,1,2),
(24055,10103655,'Interrupts target',100,1,0),
(24056,10103655,'Inflicts 95 - 157 melee damage on target',100,1,1),
(24057,10103655,'Must be flanking or behind',100,1,2),
(24058,159570,'Applies Lambent Imbued when Equipped.',100,0,0),
(24059,159570,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(24060,159570,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(24061,159570,'Cannot be modified except by direct means',100,2,3),
(24062,10159570,'Applies Lambent Imbued when Equipped.',100,0,0),
(24063,10159570,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(24064,10159570,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(24065,10159570,'Cannot be modified except by direct means',100,2,3),
(24066,48940,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(24067,48940,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(24068,48940,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(24069,48940,'Cannot be modified except by direct means',100,2,3),
(24070,48940,'Grants a total of 80 triggers of the spell.',100,2,4),
(24071,10048940,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(24072,10048940,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(24073,10048940,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(24074,10048940,'Cannot be modified except by direct means',100,2,3),
(24075,10048940,'Grants a total of 80 triggers of the spell.',100,2,4),
(24076,107399,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(24077,107399,'Slows target by 48.0%',100,2,1),
(24078,107399,'5% chance to dispel when target receives hostile action',100,2,2),
(24079,107399,'5% chance to dispel when target takes damage',100,2,3),
(24080,107399,'Inflicts 3876 - 5805 disease damage on target',100,1,4),
(24081,10107399,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(24082,10107399,'Slows target by 48.0%',100,2,1),
(24083,10107399,'5% chance to dispel when target receives hostile action',100,2,2),
(24084,10107399,'5% chance to dispel when target takes damage',100,2,3),
(24085,10107399,'Inflicts 2675 - 4196 disease damage on target',100,1,4),
(24086,50467,'Applies Subsistence of Flesh when Activated.  Lasts for 30.0 seconds.',100,0,0),
(24087,50467,'Prevents AOE (except when direct) ',100,1,1),
(24088,50467,'Decreases Hate Gain of caster by 22.5 - 27.5%',100,1,2),
(24089,50467,'Increases Potency of caster by 25.0%',100,1,3),
(24090,50467,'The reuse time of Subsistence of Flesh is 3 minutes 28 seconds',100,1,4),
(24091,10050467,'Applies Subsistence of Flesh when Activated.  Lasts for 30.0 seconds.',100,0,0),
(24092,10050467,'Prevents AOE (except when direct) ',100,1,1),
(24093,10050467,'Increases Potency of caster by 25.0%',100,1,2),
(24094,10050467,'The reuse time of Subsistence of Flesh is 3 minutes 28 seconds',100,1,3),
(24095,100731,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(24096,100731,'Increases Mitigation of group members (AE) vs noxious damage by 1323',100,1,1),
(24097,10100731,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(24098,10100731,'Increases Mitigation of group members (AE) vs noxious damage by 1323',100,1,1),
(24099,24672,'Adds Ravasect (Warden) to your Dungeon Maker toolbox',100,0,0),
(24100,10024672,'Adds Ravasect (Warden) to your Dungeon Maker toolbox',100,0,0),
(24101,72071,'When Equipped:',100,0,0),
(24102,72071,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24103,72071,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(24104,72071,'Cannot be modified except by direct means',100,2,3),
(24105,10072071,'When Equipped:',100,0,0),
(24106,10072071,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24107,10072071,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(24108,10072071,'Cannot be modified except by direct means',100,2,3),
(24109,113753,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(24110,113753,'Inflicts 2605 piercing damage on target',100,2,1),
(24111,113753,'Grants a total of 60 triggers of the spell.',100,2,2),
(24112,10113753,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(24113,10113753,'Inflicts 1822 piercing damage on target',100,2,1),
(24114,10113753,'Grants a total of 60 triggers of the spell.',100,2,2),
(24115,144650,'When Equipped:',100,0,0),
(24116,144650,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(24117,144650,'Wards target against 1000 points of all damage',100,2,2),
(24118,144650,'Cannot be modified except by direct means',100,2,3),
(24119,10144650,'When Equipped:',100,0,0),
(24120,10144650,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(24121,10144650,'Wards target against 1000 points of all damage',100,2,2),
(24122,10144650,'Cannot be modified except by direct means',100,2,3),
(24123,112908,'Increases Damage Per Second of caster by 45.9',100,1,0),
(24124,112908,'Increases Ranged of caster by 17.1',100,1,1),
(24125,10112908,'Increases Damage Per Second of caster by 45.9',100,1,0),
(24126,10112908,'Increases Ranged of caster by 17.1',100,1,1),
(24127,159205,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(24128,159205,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(24129,159205,'Inflicts 61 heat damage on target',100,2,2),
(24130,159205,'Cannot be modified except by direct means',100,2,3),
(24131,10159205,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(24132,10159205,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(24133,10159205,'Inflicts 61 heat damage on target',100,2,2),
(24134,10159205,'Cannot be modified except by direct means',100,2,3),
(24135,173859,'When Equipped:',100,0,0),
(24136,173859,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(24137,173859,'Applies Blood Sacrifice when Activated.  Lasts for 30.0 seconds.',100,0,2),
(24138,173859,'Increases hostile Spell  and Combat Art damage by 10%.',100,1,3),
(24139,173859,'Increases cast time and halves healing of all beneficial spells.',100,1,4),
(24140,173859,'The casting time of Blood Sacrifice is 0.5 seconds',100,1,5),
(24141,10173859,'When Equipped:',100,0,0),
(24142,10173859,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(24143,10173859,'Applies Blood Sacrifice when Activated.  Lasts for 30.0 seconds.',100,0,2),
(24144,10173859,'Increases hostile Spell  and Combat Art damage by 10%.',100,1,3),
(24145,10173859,'Increases cast time and halves healing of all beneficial spells.',100,1,4),
(24146,10173859,'The casting time of Blood Sacrifice is 0.5 seconds',100,1,5),
(24147,122864,'Inflicts 1706 - 2184 ranged damage on target',100,1,0),
(24148,122864,'Inflicts 1448 - 2403 ranged damage on target',100,1,1),
(24149,122864,'Inflicts 2172 - 3604 ranged damage on target',100,1,2),
(24150,122864,'Requires bow',100,1,3),
(24151,10122864,'Inflicts 929 - 1282 ranged damage on target',100,1,0),
(24152,10122864,'Inflicts 1070 - 1775 ranged damage on target',100,1,1),
(24153,10122864,'Inflicts 1605 - 2663 ranged damage on target',100,1,2),
(24154,10122864,'Requires bow',100,1,3),
(24155,74713,'When Equipped:',100,0,0),
(24156,74713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24157,74713,'Inflicts 295 - 443 magic damage on target',100,2,2),
(24158,74713,'Cannot be modified except by direct means',100,2,3),
(24159,10074713,'When Equipped:',100,0,0),
(24160,10074713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24161,10074713,'Inflicts 295 - 443 magic damage on target',100,2,2),
(24162,10074713,'Cannot be modified except by direct means',100,2,3),
(24163,102316,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(24164,102316,'Decreases Threat to target by 4,719 ',100,2,1),
(24165,10102316,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(24166,10102316,'Inflicts 305 - 337 crushing damage on target',100,2,1),
(24167,122981,'Inflicts 3390 - 4240 mental damage on target',100,1,0),
(24168,10122981,'Inflicts 2292 - 2962 mental damage on target',100,1,0),
(24169,103793,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.9',100,1,0),
(24170,10103793,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.9',100,1,0),
(24171,87485,'When Equipped:',100,0,0),
(24172,87485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24173,87485,'Inflicts 248 - 373 magic damage on target',100,2,2),
(24174,87485,'Cannot be modified except by direct means',100,2,3),
(24175,10087485,'When Equipped:',100,0,0),
(24176,10087485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24177,10087485,'Inflicts 248 - 373 magic damage on target',100,2,2),
(24178,10087485,'Cannot be modified except by direct means',100,2,3),
(24179,123064,'Summons a pet undead knight',100,1,0),
(24180,10123064,'Summons a pet undead knight',100,1,0),
(24181,55018,'When Equipped:',100,0,0),
(24182,55018,'On a beneficial spell cast this spell may cast Marr''s Blessing of Renewal on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(24183,55018,'Dispels 80 levels of any hostile effects on target',20,2,2),
(24184,55018,'Cannot be modified except by direct means',100,2,3),
(24185,55018,'On a beneficial spell cast this spell may cast Marr''s Blessing of Renewal on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(24186,55018,'Increases the heal or ward amount of the caster''s next beneficial spell by 20%.',100,2,5),
(24187,55018,'Dispelled when target casts a beneficial spell',100,2,6),
(24188,55018,'Cannot be modified except by direct means',100,2,7),
(24189,10055018,'When Equipped:',100,0,0),
(24190,10055018,'On a beneficial spell cast this spell may cast Marr''s Blessing of Renewal on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(24191,10055018,'Dispels 80 levels of any hostile effects on target',20,2,2),
(24192,10055018,'Cannot be modified except by direct means',100,2,3),
(24193,10055018,'On a beneficial spell cast this spell may cast Marr''s Blessing of Renewal on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(24194,10055018,'Increases the heal or ward amount of the caster''s next beneficial spell by 20%.',100,2,5),
(24195,10055018,'Dispelled when target casts a beneficial spell',100,2,6),
(24196,10055018,'Cannot be modified except by direct means',100,2,7),
(24197,87125,'When Equipped:',100,0,0),
(24198,87125,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24199,87125,'Inflicts 305 - 457 magic damage on target',100,2,2),
(24200,87125,'Cannot be modified except by direct means',100,2,3),
(24201,10087125,'When Equipped:',100,0,0),
(24202,10087125,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24203,10087125,'Inflicts 305 - 457 magic damage on target',100,2,2),
(24204,10087125,'Cannot be modified except by direct means',100,2,3),
(24205,111342,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(24206,111342,'Inflicts 2370 - 2824 mental damage on target',100,2,1),
(24207,111342,'Grants a total of 3 triggers of the spell.',100,2,2),
(24208,10111342,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(24209,10111342,'Inflicts 1741 - 2099 mental damage on target',100,2,1),
(24210,10111342,'Grants a total of 3 triggers of the spell.',100,2,2),
(24211,113634,'Interrupts target encounter',100,1,0),
(24212,113634,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 20.9',100,1,1),
(24213,10113634,'Interrupts target encounter',100,1,0),
(24214,10113634,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 20.9',100,1,1),
(24215,111156,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(24216,111156,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1424',100,1,1),
(24217,111156,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,2),
(24218,10111156,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(24219,10111156,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1424',100,1,1),
(24220,10111156,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,2),
(24221,123778,'Decreases Mitigation of target vs noxious damage by 1820',100,1,0),
(24222,123778,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(24223,123778,'Slows target by 60.2%',100,2,2),
(24224,123778,'5% chance to dispel when target receives hostile action',100,2,3),
(24225,123778,'5% chance to dispel when target takes damage',100,2,4),
(24226,10123778,'Decreases Mitigation of target vs noxious damage by 1820',100,1,0),
(24227,10123778,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(24228,10123778,'Slows target by 60.2%',100,2,2),
(24229,10123778,'5% chance to dispel when target receives hostile action',100,2,3),
(24230,10123778,'5% chance to dispel when target takes damage',100,2,4),
(24231,35767,'Increases AGI of target by 13.2',100,0,0),
(24232,35767,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(24233,45241,'Applies Ashway Ulm when Activated.',100,0,0),
(24234,10045241,'Applies Ashway Ulm when Activated.',100,0,0),
(24235,123308,'Increases STA of raid and group members (AE) by 10.2',100,1,0),
(24236,123308,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(24237,10123308,'Increases STA of raid and group members (AE) by 10.2',100,1,0),
(24238,10123308,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(24239,41595,'When Equipped:',100,0,0),
(24240,41595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24241,41595,'Inflicts 369 - 686 magic damage on target',100,2,2),
(24242,41595,'Cannot be modified except by direct means',100,2,3),
(24243,10041595,'When Equipped:',100,0,0),
(24244,10041595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24245,10041595,'Inflicts 369 - 686 magic damage on target',100,2,2),
(24246,10041595,'Cannot be modified except by direct means',100,2,3),
(24247,80405,'When Equipped:',100,0,0),
(24248,80405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24249,80405,'Inflicts 86 - 159 magic damage on target',100,2,2),
(24250,80405,'Cannot be modified except by direct means',100,2,3),
(24251,10080405,'When Equipped:',100,0,0),
(24252,10080405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24253,10080405,'Inflicts 86 - 159 magic damage on target',100,2,2),
(24254,10080405,'Cannot be modified except by direct means',100,2,3),
(24255,122172,'Inflicts 1438 - 1539 cold damage on target',100,1,0),
(24256,122172,'Inflicts 455 - 556 cold damage on target every 2 seconds',100,1,1),
(24257,122172,'Inflicts 455 - 556 cold damage on target instantly and every 2 seconds',100,1,2),
(24258,122172,'If target is elemental',100,2,3),
(24259,10122172,'Inflicts 753 - 833 cold damage on target',100,1,0),
(24260,10122172,'Inflicts 359 - 438 cold damage on target every 2 seconds',100,1,1),
(24261,81754,'When Equipped:',100,0,0),
(24262,81754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24263,81754,'Inflicts 210 - 391 magic damage on target',100,2,2),
(24264,81754,'Cannot be modified except by direct means',100,2,3),
(24265,10081754,'When Equipped:',100,0,0),
(24266,10081754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24267,10081754,'Inflicts 210 - 391 magic damage on target',100,2,2),
(24268,10081754,'Cannot be modified except by direct means',100,2,3),
(24269,24282,'Adds Elite: Diaku (Defiler) to your Dungeon Maker toolbox',100,0,0),
(24270,10024282,'Adds Elite: Diaku (Defiler) to your Dungeon Maker toolbox',100,0,0),
(24271,121889,'Inflicts 459 - 761 melee damage on target',100,1,0),
(24272,121889,'Decreases power of target by 114 - 190',100,1,1),
(24273,121889,'Must be flanking or behind',100,1,2),
(24274,10121889,'Inflicts 361 - 600 melee damage on target',100,1,0),
(24275,10121889,'Decreases power of target by 90 - 150',100,1,1),
(24276,10121889,'Must be flanking or behind',100,1,2),
(24277,106235,'Inflicts 2200 - 5334 melee damage on target',100,1,0),
(24278,106235,'Stifles target',100,1,1),
(24279,106235,'If Target is not Epic',100,2,2),
(24280,106235,'Resistibility increases against targets higher than level 107.',100,1,3),
(24281,10106235,'Inflicts 1555 - 3824 melee damage on target',100,1,0),
(24282,10106235,'Stifles target',100,1,1),
(24283,10106235,'If Target is not Epic',100,2,2),
(24284,10106235,'Resistibility increases against targets higher than level 107.',100,1,3),
(24285,81506,'When Equipped:',100,0,0),
(24286,81506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24287,81506,'Inflicts 196 - 364 magic damage on target',100,2,2),
(24288,81506,'Cannot be modified except by direct means',100,2,3),
(24289,10081506,'When Equipped:',100,0,0),
(24290,10081506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24291,10081506,'Inflicts 196 - 364 magic damage on target',100,2,2),
(24292,10081506,'Cannot be modified except by direct means',100,2,3),
(24293,46110,'Applies Elixir of the Breezewing when Activated.',100,0,0),
(24294,46110,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(24295,10046110,'Applies Elixir of the Breezewing when Activated.',100,0,0),
(24296,10046110,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(24297,108093,'Decreases Threat to target by 592 - 993 ',100,1,0),
(24298,10108093,'Forces target to clear their selected target.',100,1,0),
(24299,10108093,'Target cannot target caster for the duration of this effect.',100,1,1),
(24300,102923,'Inflicts 583 - 713 disease damage on target',100,1,0),
(24301,102923,'Inflicts 97 - 119 disease damage on target every 4 seconds',100,1,1),
(24302,10102923,'Inflicts 494 - 516 disease damage on target',100,1,0),
(24303,10102923,'Inflicts 77 - 94 disease damage on target every 4 seconds',100,1,1),
(24304,101916,'Inflicts 90 piercing damage on target instantly and every 4 seconds',100,1,0),
(24305,101916,'Inflicts 564 - 832 melee damage on target',100,1,1),
(24306,101916,'Must be behind',100,1,2),
(24307,10101916,'Inflicts 71 piercing damage on target instantly and every 4 seconds',100,1,0),
(24308,10101916,'Inflicts 507 - 736 melee damage on target',100,1,1),
(24309,10101916,'Must be behind',100,1,2),
(24310,119671,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(24311,119671,'Stuns target',100,2,1),
(24312,119671,'Throws target back',100,2,2),
(24313,119671,'Blurs vision of target',100,2,3),
(24314,119671,'Does not affect Epic targets',100,2,4),
(24315,119671,'Inflicts 1908 - 4756 melee damage on target',100,1,5),
(24316,10119671,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(24317,10119671,'Stuns target',100,2,1),
(24318,10119671,'Throws target back',100,2,2),
(24319,10119671,'Blurs vision of target',100,2,3),
(24320,10119671,'Does not affect Epic targets',100,2,4),
(24321,10119671,'Inflicts 1401 - 3369 melee damage on target',100,1,5),
(24322,45927,'Applies Defibrillating Heart Stopper when Activated.  Lasts for 3 minutes.',100,0,0),
(24323,45927,'Heals caster for 526',100,1,1),
(24324,45927,'Feigns Death with 99% chance of success',100,1,2),
(24325,10045927,'Applies Defibrillating Heart Stopper when Activated.  Lasts for 3 minutes.',100,0,0),
(24326,10045927,'Heals caster for 342',100,1,1),
(24327,10045927,'Feigns Death with 99% chance of success',100,1,2),
(24328,105327,'Inflicts 773 - 1282 melee damage on target',100,1,0),
(24329,105327,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 202',100,1,1),
(24330,105327,'Must be flanking or behind',100,1,2),
(24331,10105327,'Inflicts 609 - 1010 melee damage on target',100,1,0),
(24332,10105327,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 202',100,1,1),
(24333,10105327,'Must be flanking or behind',100,1,2),
(24334,100551,'Heals group members (AE) for 3407 - 4092',100,1,0),
(24335,10100551,'Heals group members (AE) for 3031 - 3686',100,1,0),
(24336,100918,'Stuns targets in Area of Effect',20,1,0),
(24337,100918,'If Target is not Epic',100,2,1),
(24338,100918,'Inflicts 2379 - 3747 divine damage on targets in Area of Effect',100,1,2),
(24339,100918,'Resistibility increases against targets higher than level 99.',100,1,3),
(24340,10100918,'Stuns targets in Area of Effect',20,1,0),
(24341,10100918,'If Target is not Epic',100,2,1),
(24342,10100918,'Inflicts 1654 - 2670 divine damage on targets in Area of Effect',100,1,2),
(24343,10100918,'Resistibility increases against targets higher than level 99.',100,1,3),
(24344,120795,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(24345,120795,'Stuns target',100,2,1),
(24346,120795,'Blurs vision of target',100,2,2),
(24347,120795,'Throws target back',100,2,3),
(24348,120795,'Does not affect Epic targets',100,2,4),
(24349,120795,'Inflicts 1046 - 1734 piercing damage on target',100,1,5),
(24350,10120795,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(24351,10120795,'Stuns target',100,2,1),
(24352,10120795,'Throws target back',100,2,2),
(24353,10120795,'Blurs vision of target',100,2,3),
(24354,10120795,'Does not affect Epic targets',100,2,4),
(24355,10120795,'Inflicts 842 - 1326 piercing damage on target',100,1,5),
(24356,120837,'Inflicts 411 - 557 disease damage on target',100,1,0),
(24357,120837,'Inflicts 118 - 159 disease damage on target every second',100,1,1),
(24358,10120837,'Inflicts 423 - 570 disease damage on target',100,1,0),
(24359,10120837,'Inflicts 93 - 125 disease damage on target every second',100,1,1),
(24360,82007,'When Equipped:',100,0,0),
(24361,82007,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24362,82007,'Inflicts 272 - 505 magic damage on target',100,2,2),
(24363,82007,'Cannot be modified except by direct means',100,2,3),
(24364,10082007,'When Equipped:',100,0,0),
(24365,10082007,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24366,10082007,'Inflicts 272 - 505 magic damage on target',100,2,2),
(24367,10082007,'Cannot be modified except by direct means',100,2,3),
(24368,137669,'Applies Pantrilla''s Wrath when Activated.',100,0,0),
(24369,137669,'Inflicts 334 magic damage on target',100,1,1),
(24370,137669,'The reuse time of Pantrilla''s Wrath is 6 minutes 55 seconds',100,1,2),
(24371,137669,'Requires 1 Power to cast.',100,1,3),
(24372,10137669,'Applies Pantrilla''s Wrath when Activated.',100,0,0),
(24373,10137669,'Inflicts 334 magic damage on target',100,1,1),
(24374,10137669,'The reuse time of Pantrilla''s Wrath is 6 minutes 55 seconds',100,1,2),
(24375,10137669,'Requires 1 Power to cast.',100,1,3),
(24376,118232,'Throws target back',100,1,0),
(24377,118232,'If Target is not Epic',100,2,1),
(24378,118232,'Stuns targets in Area of Effect',100,1,2),
(24379,118232,'If Target is not Epic',100,2,3),
(24380,118232,'Inflicts 15165 - 25057 magic damage on targets in Area of Effect',100,1,4),
(24381,118232,'Resistibility increases against targets higher than level 117.',100,1,5),
(24382,10118232,'Stuns targets in Area of Effect',100,1,0),
(24383,10118232,'If Target is not Epic',100,2,1),
(24384,10118232,'Inflicts 11826 - 19622 magic damage on targets in Area of Effect',100,1,2),
(24385,10118232,'Throws target back',100,1,3),
(24386,10118232,'If Target is not Epic',100,2,4),
(24387,10118232,'Resistibility increases against targets higher than level 117.',100,1,5),
(24388,113681,'Stuns target',100,1,0),
(24389,113681,'If Target is not Epic',100,2,1),
(24390,113681,'Inflicts 2916 - 4223 heat damage on target',100,1,2),
(24391,113681,'Resistibility increases against targets higher than level 59.',100,1,3),
(24392,10113681,'Stuns target',100,1,0),
(24393,10113681,'If Target is not Epic',100,2,1),
(24394,10113681,'Inflicts 1927 - 2948 heat damage on target',100,1,2),
(24395,10113681,'Resistibility increases against targets higher than level 59.',100,1,3),
(24396,47443,'Applies Purification when Activated.',100,0,0),
(24397,47443,'Inflicts 2443 - 2985 divine damage on target',100,1,1),
(24398,47443,'If target is orc',100,1,2),
(24399,10047443,'Applies Purification when Activated.',100,0,0),
(24400,10047443,'Inflicts 2443 - 2985 divine damage on target',100,1,1),
(24401,10047443,'If target is orc',100,1,2),
(24402,121625,'Inflicts 2398 - 5728 melee damage on target',100,1,0),
(24403,121625,'Dazes target',100,1,1),
(24404,121625,'If Target is not Epic',100,2,2),
(24405,121625,'Must be flanking or behind',100,1,3),
(24406,121625,'Resistibility increases against targets higher than level 89.',100,1,4),
(24407,10121625,'Inflicts 1660 - 4134 melee damage on target',100,1,0),
(24408,10121625,'Dazes target',100,1,1),
(24409,10121625,'If Target is not Epic',100,2,2),
(24410,10121625,'Must be flanking or behind',100,1,3),
(24411,10121625,'Resistibility increases against targets higher than level 89.',100,1,4),
(24412,73144,'When Equipped:',100,0,0),
(24413,73144,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(24414,73144,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,2),
(24415,73144,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(24416,73144,'Must not be engaged in pvp combat',100,2,4),
(24417,73144,'Cannot be modified except by direct means',100,2,5),
(24418,73144,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(24419,73144,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,7),
(24420,73144,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(24421,73144,'Must not be engaged in pvp combat',100,2,9),
(24422,73144,'Cannot be modified except by direct means',100,2,10),
(24423,73144,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(24424,73144,'Cannot be modified except by direct means',100,1,12),
(24425,10073144,'When Equipped:',100,0,0),
(24426,10073144,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(24427,10073144,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,2),
(24428,10073144,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(24429,10073144,'Must not be engaged in pvp combat',100,2,4),
(24430,10073144,'Cannot be modified except by direct means',100,2,5),
(24431,10073144,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(24432,10073144,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,7),
(24433,10073144,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(24434,10073144,'Must not be engaged in pvp combat',100,2,9),
(24435,10073144,'Cannot be modified except by direct means',100,2,10),
(24436,10073144,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(24437,10073144,'Cannot be modified except by direct means',100,1,12),
(24438,45785,'Applies Inject Contaminants when Activated.',100,0,0),
(24439,10045785,'Applies Inject Contaminants when Activated.',100,0,0),
(24440,123738,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(24441,10123738,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(24442,139369,'When Equipped:',100,0,0),
(24443,139369,'Reduces maximum falling speed of caster',100,1,1),
(24444,10139369,'When Equipped:',100,0,0),
(24445,10139369,'Reduces maximum falling speed of caster',100,1,1),
(24446,114422,'Mesmerizes target',100,1,0),
(24447,114422,'Prevents AOE (except when direct) ',100,1,1),
(24448,114422,'Dispelled when target takes damage',100,1,2),
(24449,114422,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(24450,114422,'Resistibility increases against targets higher than level 81.',100,1,4),
(24451,10114422,'Mesmerizes target',100,1,0),
(24452,10114422,'Prevents AOE (except when direct) ',100,1,1),
(24453,10114422,'Dispelled when target takes damage',100,1,2),
(24454,10114422,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(24455,10114422,'Resistibility increases against targets higher than level 81.',100,1,4),
(24456,47260,'Applies Kizdean''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(24457,47260,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(24458,10047260,'Applies Kizdean''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(24459,10047260,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(24460,51617,'When Equipped:',100,0,0),
(24461,51617,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(24462,51617,'Heals target for 5664 - 6260',100,2,2),
(24463,51617,'Dispels 221 levels of any hostile effects on target',100,2,3),
(24464,51617,'Must not be engaged in pvp combat',100,2,4),
(24465,51617,'Cannot be modified except by direct means',100,2,5),
(24466,51617,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(24467,51617,'Cannot be modified except by direct means',100,1,7),
(24468,10051617,'When Equipped:',100,0,0),
(24469,10051617,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(24470,10051617,'Heals target for 6626 - 7324',100,2,2),
(24471,10051617,'Dispels 221 levels of any hostile effects on target',100,2,3),
(24472,10051617,'Must not be engaged in pvp combat',100,2,4),
(24473,10051617,'Cannot be modified except by direct means',100,2,5),
(24474,10051617,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(24475,10051617,'Cannot be modified except by direct means',100,1,7),
(24476,144708,'When Equipped:',100,0,0),
(24477,144708,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24478,144708,'Wards target against 1000 points of all damage',100,2,2),
(24479,144708,'Cannot be modified except by direct means',100,2,3),
(24480,144708,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(24481,10144708,'When Equipped:',100,0,0),
(24482,10144708,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24483,10144708,'Wards target against 1000 points of all damage',100,2,2),
(24484,10144708,'Cannot be modified except by direct means',100,2,3),
(24485,10144708,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(24486,122045,'Increases Threat to target by 3,269 - 3,778 ',100,1,0),
(24487,122045,'Inflicts 423 - 702 melee damage on target',100,1,1),
(24488,10122045,'Forces target to change their selected target to caster.',100,1,0),
(24489,10122045,'Inflicts 333 - 553 melee damage on target',100,1,1),
(24490,112812,'Inflicts 5406 - 8318 slashing damage on target',100,1,0),
(24491,112812,'Stifles target',100,1,1),
(24492,112812,'If Target is not Epic',100,2,2),
(24493,112812,'You must be in stealth.',100,1,3),
(24494,112812,'Resistibility increases against targets higher than level 103.',100,1,4),
(24495,10112812,'Inflicts 3881 - 6176 slashing damage on target',100,1,0),
(24496,10112812,'Stifles target',100,1,1),
(24497,10112812,'If Target is not Epic',100,2,2),
(24498,10112812,'You must be in stealth.',100,1,3),
(24499,10112812,'Resistibility increases against targets higher than level 103.',100,1,4),
(24500,109368,'Inflicts 783 - 1784 melee damage on target',100,1,0),
(24501,109368,'Inflicts 339 - 1002 melee damage on target',100,1,1),
(24502,109368,'Inflicts 406 - 1202 melee damage on target',100,1,2),
(24503,10109368,'Inflicts 608 - 1026 melee damage on target',100,1,0),
(24504,10109368,'Inflicts 267 - 789 melee damage on target',100,1,1),
(24505,10109368,'Inflicts 320 - 947 melee damage on target',100,1,2),
(24506,100027,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(24507,100027,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(24508,100027,'Inflicts 814 - 1350 melee damage on targets in area',100,2,2),
(24509,100027,'Decreases Defense of caster by 19.2',100,1,3),
(24510,100027,'Increases Slashing, Piercing and Crushing of caster by 41.5',100,1,4),
(24511,10100027,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(24512,10100027,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(24513,10100027,'Inflicts 641 - 1064 melee damage on targets in area',100,2,2),
(24514,10100027,'Decreases Defense of caster by 19.2',100,1,3),
(24515,10100027,'Increases Slashing, Piercing and Crushing of caster by 41.5',100,1,4),
(24516,123974,'Inflicts 3086 - 4471 melee damage on target',100,1,0),
(24517,123974,'Decreases AGI of target by 48.7',100,1,1),
(24518,123974,'Must be behind',100,1,2),
(24519,10123974,'Inflicts 2053 - 3144 melee damage on target',100,1,0),
(24520,10123974,'Decreases AGI of target by 48.7',100,1,1),
(24521,10123974,'Must be behind',100,1,2),
(24522,119490,'Dazes target encounter',100,1,0),
(24523,119490,'If Target is not Epic',100,2,1),
(24524,119490,'Inflicts 1305 - 1522 magic damage on target encounter',100,1,2),
(24525,119490,'Inflicts 977 - 1195 magic damage on target encounter every second',100,1,3),
(24526,119490,'Resistibility increases against targets higher than level 82.',100,1,4),
(24527,10119490,'Inflicts 1145 - 1370 magic damage on target encounter',100,1,0),
(24528,10119490,'Inflicts 770 - 941 magic damage on target encounter every second',100,1,1),
(24529,10119490,'Dazes target encounter',100,1,2),
(24530,10119490,'If Target is not Epic',100,2,3),
(24531,10119490,'Resistibility increases against targets higher than level 82.',100,1,4),
(24532,116865,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(24533,116865,'Inflicts 4244 - 5114 mental damage on target',100,2,1),
(24534,116865,'Grants a total of 3 triggers of the spell.',100,2,2),
(24535,10116865,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(24536,10116865,'Inflicts 3218 - 3904 mental damage on target',100,2,1),
(24537,10116865,'Grants a total of 3 triggers of the spell.',100,2,2),
(24538,100556,'Heals group members (AE) for 4480 - 5403',100,1,0),
(24539,10100556,'Heals group members (AE) for 4057 - 4940',100,1,0),
(24540,155335,'When Equipped:',100,0,0),
(24541,155335,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(24542,155335,'Inflicts 393 mental damage on target',100,2,2),
(24543,155335,'Must not be classified as an undead',100,3,3),
(24544,155335,'Inflicts 787 mental damage on target',100,2,4),
(24545,155335,'Must be classified as an undead',100,3,5),
(24546,155335,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(24547,155335,'Must be classified as an undead',100,3,7),
(24548,155335,'Cannot be modified except by direct means',100,2,8),
(24549,155335,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(24550,10155335,'When Equipped:',100,0,0),
(24551,10155335,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(24552,10155335,'Inflicts 393 mental damage on target',100,2,2),
(24553,10155335,'Must not be classified as an undead',100,3,3),
(24554,10155335,'Inflicts 787 mental damage on target',100,2,4),
(24555,10155335,'Must be classified as an undead',100,3,5),
(24556,10155335,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(24557,10155335,'Must be classified as an undead',100,3,7),
(24558,10155335,'Cannot be modified except by direct means',100,2,8),
(24559,10155335,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(24560,48497,'Applies Thinning Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(24561,48497,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(24562,48497,'Inflicts 624 poison damage on target instantly and every 6 seconds',100,2,2),
(24563,48497,'Cannot be modified except by direct means',100,2,3),
(24564,48497,'Grants a total of 4 triggers of the spell.',100,2,4),
(24565,48497,'Only affects targets level 50 and above',100,1,5),
(24566,10048497,'Applies Thinning Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(24567,10048497,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(24568,10048497,'Inflicts 468 poison damage on target instantly and every 6 seconds',100,2,2),
(24569,10048497,'Cannot be modified except by direct means',100,2,3),
(24570,10048497,'Grants a total of 4 triggers of the spell.',100,2,4),
(24571,10048497,'Only affects targets level 50 and above',100,1,5),
(24572,80988,'When Equipped:',100,0,0),
(24573,80988,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24574,80988,'Inflicts 403 - 748 magic damage on target',100,2,2),
(24575,80988,'Cannot be modified except by direct means',100,2,3),
(24576,10080988,'When Equipped:',100,0,0),
(24577,10080988,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24578,10080988,'Inflicts 403 - 748 magic damage on target',100,2,2),
(24579,10080988,'Cannot be modified except by direct means',100,2,3),
(24580,120622,'Inflicts 3125 - 4961 heat damage on target',100,1,0),
(24581,10120622,'Inflicts 2083 - 3530 heat damage on target',100,1,0),
(24582,110497,'Stifles caster',100,1,0),
(24583,110497,'Increases power of caster by 48 instantly and every second',100,1,1),
(24584,10110497,'Stifles caster',100,1,0),
(24585,10110497,'Increases power of caster by 48 instantly and every second',100,1,1),
(24586,102470,'Roots target',100,1,0),
(24587,102470,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(24588,102470,'Dazes target',100,2,2),
(24589,102470,'Blurs vision of target',100,2,3),
(24590,102470,'Dispelled when target takes damage',100,2,4),
(24591,102470,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(24592,102470,'5% chance to dispel when target takes damage',100,1,6),
(24593,102470,'Does not affect Epic targets',100,1,7),
(24594,102470,'Resistibility increases against targets higher than level 48.',100,1,8),
(24595,10102470,'Roots target',100,1,0),
(24596,10102470,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(24597,10102470,'Dazes target',100,2,2),
(24598,10102470,'Blurs vision of target',100,2,3),
(24599,10102470,'Dispelled when target takes damage',100,2,4),
(24600,10102470,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(24601,10102470,'5% chance to dispel when target takes damage',100,1,6),
(24602,10102470,'Does not affect Epic targets',100,1,7),
(24603,10102470,'Resistibility increases against targets higher than level 48.',100,1,8),
(24604,119577,'Increases power of caster by 14 instantly and every 4 seconds',100,1,0),
(24605,10119577,'Increases power of caster by 14 instantly and every 4 seconds',100,1,0),
(24606,101735,'Mesmerizes target',100,1,0),
(24607,101735,'Prevents AOE (except when direct) ',100,1,1),
(24608,101735,'Mesmerizes caster',100,1,2),
(24609,101735,'Dispelled when target takes damage',100,1,3),
(24610,101735,'Does not affect Epic targets',100,1,4),
(24611,101735,'Resistibility increases against targets higher than level 107.',100,1,5),
(24612,10101735,'Mesmerizes target',100,1,0),
(24613,10101735,'Prevents AOE (except when direct) ',100,1,1),
(24614,10101735,'Mesmerizes caster',100,1,2),
(24615,10101735,'Dispelled when target takes damage',100,1,3),
(24616,10101735,'Does not affect Epic targets',100,1,4),
(24617,10101735,'Resistibility increases against targets higher than level 107.',100,1,5),
(24618,114322,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(24619,114322,'Increases target''s chance to block by 15.0%',100,130,1),
(24620,114322,'Dispels 13 levels of noxious hostile effects on target',100,1,2),
(24621,114322,'Heals target for 185 - 206',100,1,3),
(24622,114322,'This effect cannot be critically applied.',100,2,4),
(24623,114322,'The healing of this spell cannot be modified except by direct means',100,1,5),
(24624,10114322,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(24625,10114322,'Increases target''s chance to block by 15.0%',100,130,1),
(24626,10114322,'Dispels 13 levels of noxious hostile effects on target',100,1,2),
(24627,10114322,'Heals target for 111 - 124',100,1,3),
(24628,10114322,'This effect cannot be critically applied.',100,2,4),
(24629,10114322,'The healing of this spell cannot be modified except by direct means',100,1,5),
(24630,81277,'When Equipped:',100,0,0),
(24631,81277,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24632,81277,'Inflicts 387 - 719 magic damage on target',100,2,2),
(24633,81277,'Decreases Threat to target by 949 ',100,2,3),
(24634,81277,'Must be flanking or behind',100,3,4),
(24635,81277,'Increases Threat to target by 1,409 ',100,2,5),
(24636,81277,'Must be in front of',100,3,6),
(24637,81277,'Cannot be modified except by direct means',100,2,7),
(24638,10081277,'When Equipped:',100,0,0),
(24639,10081277,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24640,10081277,'Inflicts 387 - 719 magic damage on target',100,2,2),
(24641,10081277,'Cannot be modified except by direct means',100,2,3),
(24642,81171,'When Equipped:',100,0,0),
(24643,81171,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24644,81171,'Inflicts 290 - 538 magic damage on target',100,2,2),
(24645,81171,'Decreases Threat to target by 517 ',100,2,3),
(24646,81171,'Must be flanking or behind',100,3,4),
(24647,81171,'Increases Threat to target by 905 ',100,2,5),
(24648,81171,'Must be in front of',100,3,6),
(24649,81171,'Cannot be modified except by direct means',100,2,7),
(24650,10081171,'When Equipped:',100,0,0),
(24651,10081171,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24652,10081171,'Inflicts 290 - 538 magic damage on target',100,2,2),
(24653,10081171,'Cannot be modified except by direct means',100,2,3),
(24654,117601,'Inflicts 158 - 262 ranged damage on target',100,1,0),
(24655,117601,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(24656,117601,'Slows target by 30.4%',100,2,2),
(24657,117601,'5% chance to dispel when target receives hostile action',100,2,3),
(24658,117601,'5% chance to dispel when target takes damage',100,2,4),
(24659,117601,'Must be flanking or behind',100,1,5),
(24660,117601,'Requires bow',100,1,6),
(24661,10117601,'Inflicts 70 - 116 ranged damage on target',100,1,0),
(24662,10117601,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(24663,10117601,'Slows target by 30.4%',100,2,2),
(24664,10117601,'5% chance to dispel when target receives hostile action',100,2,3),
(24665,10117601,'5% chance to dispel when target takes damage',100,2,4),
(24666,10117601,'Must be flanking or behind',100,1,5),
(24667,10117601,'Requires bow',100,1,6),
(24668,112378,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.8',100,1,0),
(24669,112378,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(24670,112378,'Inflicts 523 - 640 piercing damage on target',100,2,2),
(24671,112378,'Inflicts 262 - 320 piercing damage on target every 3 seconds',100,2,3),
(24672,10112378,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.8',100,1,0),
(24673,10112378,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(24674,10112378,'Inflicts 412 - 504 piercing damage on target',100,2,2),
(24675,10112378,'Inflicts 206 - 252 piercing damage on target every 3 seconds',100,2,3),
(24676,81636,'When Equipped:',100,0,0),
(24677,81636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24678,81636,'Inflicts 215 - 399 magic damage on target',100,2,2),
(24679,81636,'Cannot be modified except by direct means',100,2,3),
(24680,10081636,'When Equipped:',100,0,0),
(24681,10081636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24682,10081636,'Inflicts 215 - 399 magic damage on target',100,2,2),
(24683,10081636,'Cannot be modified except by direct means',100,2,3),
(24684,103253,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(24685,103253,'Adds 1.7% to base avoidance.',100,1,1),
(24686,103253,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(24687,103253,'Increases Parry of caster by 28.6',100,1,3),
(24688,103253,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(24689,103253,'Increases Aggression of caster by 21.5',100,1,5),
(24690,103253,'Increases Defense and Deflection of caster by 28.6',100,1,6),
(24691,103253,'Increases Mitigation of caster vs noxious damage by 1912',100,1,7),
(24692,103253,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(24693,103253,'Reduces physical damage done to caster by 5%',100,1,9),
(24694,10103253,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(24695,10103253,'Adds 1.7% to base avoidance.',100,1,1),
(24696,10103253,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(24697,10103253,'Increases Parry of caster by 28.6',100,1,3),
(24698,10103253,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(24699,10103253,'Increases Aggression of caster by 21.5',100,1,5),
(24700,10103253,'Increases Defense and Deflection of caster by 28.6',100,1,6),
(24701,10103253,'Increases Mitigation of caster vs noxious damage by 1912',100,1,7),
(24702,10103253,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(24703,10103253,'Reduces physical damage done to caster by 5%',100,1,9),
(24704,111726,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(24705,111726,'Inflicts 1347 - 1646 cold damage on target',100,2,1),
(24706,111726,'Grants a total of 3 triggers of the spell.',100,2,2),
(24707,10111726,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(24708,10111726,'Inflicts 1041 - 1244 cold damage on target',100,2,1),
(24709,10111726,'Grants a total of 3 triggers of the spell.',100,2,2),
(24710,108348,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(24711,108348,'Increases Mitigation of group members (AE) vs arcane damage by 302',100,1,1),
(24712,10108348,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(24713,10108348,'Increases Mitigation of group members (AE) vs arcane damage by 302',100,1,1),
(24714,100631,'Transfers 30% of target''s current Threat to the caster',100,1,0),
(24715,10100631,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(24716,10100631,'10% of all damage received by the caster is prevented.',100,2,1),
(24717,10100631,'This effect can only trigger once every 5 seconds.',100,2,2),
(24718,102662,'Inflicts 2329 - 3215 melee damage on target',100,1,0),
(24719,102662,'Inflicts 530 heat damage on target every 6 seconds',100,1,1),
(24720,10102662,'Inflicts 1479 - 2193 melee damage on target',100,1,0),
(24721,10102662,'Inflicts 418 heat damage on target every 6 seconds',100,1,1),
(24722,102042,'Interrupts targets in Area of Effect',100,1,0),
(24723,102042,'Inflicts 702 - 1165 melee damage on targets in area',100,1,1),
(24724,10102042,'Interrupts targets in Area of Effect',100,1,0),
(24725,10102042,'Inflicts 553 - 918 melee damage on targets in area',100,1,1),
(24726,73275,'Applies Frost Blast when Activated.',100,0,0),
(24727,73275,'Inflicts 346 - 576 cold damage on target',100,1,1),
(24728,73275,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(24729,10073275,'Applies Frost Blast when Activated.',100,0,0),
(24730,10073275,'Inflicts 346 - 576 cold damage on target',100,1,1),
(24731,10073275,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(24732,118529,'Inflicts 1803 - 2976 melee damage on target',100,1,0),
(24733,118529,'Decreases STR of target by 37.8',100,1,1),
(24734,118529,'You must be sneaking to use this ability.',100,1,2),
(24735,10118529,'Inflicts 1342 - 1966 melee damage on target',100,1,0),
(24736,10118529,'Decreases STR of target by 37.8',100,1,1),
(24737,10118529,'You must be sneaking to use this ability.',100,1,2),
(24738,118225,'Throws target back',100,1,0),
(24739,118225,'If Target is not Epic',100,2,1),
(24740,118225,'Stuns targets in Area of Effect',100,1,2),
(24741,118225,'If Target is not Epic',100,2,3),
(24742,118225,'Inflicts 11331 - 18666 magic damage on targets in Area of Effect',100,1,4),
(24743,118225,'Resistibility increases against targets higher than level 94.',100,1,5),
(24744,10118225,'Throws target back',100,1,0),
(24745,10118225,'If Target is not Epic',100,2,1),
(24746,10118225,'Stuns targets in Area of Effect',100,1,2),
(24747,10118225,'If Target is not Epic',100,2,3),
(24748,10118225,'Inflicts 8804 - 14585 magic damage on targets in Area of Effect',100,1,4),
(24749,10118225,'Resistibility increases against targets higher than level 94.',100,1,5),
(24750,112785,'Interrupts target',100,1,0),
(24751,112785,'Inflicts 4002 - 6015 divine damage on target',100,1,1),
(24752,10112785,'Interrupts target',100,1,0),
(24753,10112785,'Inflicts 2774 - 4361 divine damage on target',100,1,1),
(24754,121566,'Inflicts 2897 - 4589 melee damage on targets in area',100,1,0),
(24755,121566,'Stuns target encounter',100,1,1),
(24756,121566,'If Target is not Epic',100,2,2),
(24757,121566,'Resistibility increases against targets higher than level 102.',100,1,3),
(24758,10121566,'Inflicts 2157 - 3490 melee damage on targets in area',100,1,0),
(24759,10121566,'Stuns target encounter',100,1,1),
(24760,10121566,'If Target is not Epic',100,2,2),
(24761,10121566,'Resistibility increases against targets higher than level 102.',100,1,3),
(24762,24694,'Adds Skeleton (Templar) to your Dungeon Maker toolbox',100,0,0),
(24763,10024694,'Adds Skeleton (Templar) to your Dungeon Maker toolbox',100,0,0),
(24764,35033,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(24765,121067,'Increases STR and STA of group members (AE) by 35.8',100,1,0),
(24766,10121067,'Increases STR and STA of group members (AE) by 35.8',100,1,0),
(24767,74683,'When Equipped:',100,0,0),
(24768,74683,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24769,74683,'Inflicts 85 - 128 magic damage on target',100,2,2),
(24770,74683,'Cannot be modified except by direct means',100,2,3),
(24771,10074683,'When Equipped:',100,0,0),
(24772,10074683,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24773,10074683,'Inflicts 85 - 128 magic damage on target',100,2,2),
(24774,10074683,'Cannot be modified except by direct means',100,2,3),
(24775,71508,'When Equipped:',100,0,0),
(24776,71508,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24777,71508,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(24778,71508,'Cannot be modified except by direct means',100,2,3),
(24779,10071508,'When Equipped:',100,0,0),
(24780,10071508,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24781,10071508,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(24782,10071508,'Cannot be modified except by direct means',100,2,3),
(24783,173515,'When Equipped:',100,0,0),
(24784,173515,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(24785,173515,'Inflicts 1986 poison damage on target',100,2,2),
(24786,173515,'Cannot be modified except by direct means',100,2,3),
(24787,10173515,'When Equipped:',100,0,0),
(24788,10173515,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(24789,10173515,'Inflicts 993 poison damage on target',100,2,2),
(24790,10173515,'Cannot be modified except by direct means',100,2,3),
(24791,121809,'Heals target for 2778 - 3176',100,1,0),
(24792,121809,'Heals target for 299 - 366 every second',100,1,1),
(24793,10121809,'Heals target for 4876 - 5857',100,1,0),
(24794,10121809,'Heals target for 368 - 450 every second',100,1,1),
(24795,115581,'Interrupts target encounter',100,1,0),
(24796,115581,'Decreases Threat to target encounter by 748 - 915 ',100,1,1),
(24797,115581,'Dazes target encounter',100,1,2),
(24798,115581,'If Target is not Epic',100,2,3),
(24799,115581,'Resistibility increases against targets higher than level 67.',100,1,4),
(24800,10115581,'Interrupts target encounter',100,1,0),
(24801,10115581,'Dazes target encounter',100,1,1),
(24802,10115581,'If Target is not Epic',100,2,2),
(24803,10115581,'Resistibility increases against targets higher than level 67.',100,1,3),
(24804,124736,'Heals group members (AE) for 5778 - 6990',100,1,0),
(24805,10124736,'Heals group members (AE) for 5298 - 6457',100,1,0),
(24806,104415,'Stifles target encounter',100,1,0),
(24807,104415,'Inflicts 1878 - 2222 mental damage on target encounter',100,1,1),
(24808,104415,'Inflicts 1550 - 1894 mental damage on target encounter every second',100,1,2),
(24809,104415,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(24810,104415,'Resistibility increases against targets higher than level 99.',100,1,4),
(24811,10104415,'Stifles target encounter',100,1,0),
(24812,10104415,'Inflicts 1268 - 1521 mental damage on target encounter',100,1,1),
(24813,10104415,'Inflicts 1136 - 1389 mental damage on target encounter every 0.4 seconds',100,1,2),
(24814,10104415,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(24815,10104415,'Resistibility increases against targets higher than level 99.',100,1,4),
(24816,41670,'When Equipped:',100,0,0),
(24817,41670,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24818,41670,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(24819,41670,'Decreases Threat to target by 1,219 ',100,2,3),
(24820,41670,'Must be flanking or behind',100,3,4),
(24821,41670,'Increases Threat to target by 1,679 ',100,2,5),
(24822,41670,'Must be in front of',100,3,6),
(24823,41670,'Cannot be modified except by direct means',100,2,7),
(24824,10041670,'When Equipped:',100,0,0),
(24825,10041670,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24826,10041670,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(24827,10041670,'Cannot be modified except by direct means',100,2,3),
(24828,104324,'Charms target',100,1,0),
(24829,104324,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(24830,104324,'Mesmerizes target',100,2,2),
(24831,104324,'Dispelled when target takes damage',100,2,3),
(24832,104324,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(24833,104324,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(24834,104324,'Grants Sonic Vision to caster',100,2,6),
(24835,104324,'Increases Out-of-Combat Power Regeneration of target by 3.1',100,1,7),
(24836,104324,'Increases Out-of-Combat Health Regeneration of target by 6.2',100,1,8),
(24837,104324,'Certain enemies cannot be charmed',100,1,9),
(24838,104324,'Only affects targets level 16 and below',100,1,10),
(24839,104324,'Does not affect Epic targets',100,1,11),
(24840,10104324,'Mesmerizes target',100,1,0),
(24841,10104324,'Prevents AOE (except when direct) ',100,1,1),
(24842,10104324,'Dispelled when target takes damage',100,1,2),
(24843,10104324,'Certain enemies cannot be charmed',100,1,3),
(24844,10104324,'Only affects targets level 16 and below',100,1,4),
(24845,10104324,'Does not affect Epic targets',100,1,5),
(24846,10104324,'Resistibility increases against targets higher than level 31.',100,1,6),
(24847,36752,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(24848,114734,'Inflicts 5127 - 7856 melee damage on target',100,1,0),
(24849,114734,'You must be in stealth.',100,1,1),
(24850,10114734,'Inflicts 2341 - 3622 melee damage on target',100,1,0),
(24851,10114734,'You must be in stealth.',100,1,1),
(24852,118718,'Inflicts 849 - 1327 slashing damage on target',100,1,0),
(24853,118718,'Decreases Slashing, Crushing and Piercing of target by 8.2',100,1,1),
(24854,118718,'Inflicts 182 - 222 slashing damage on target every 5 seconds',100,1,2),
(24855,10118718,'Inflicts 745 - 975 slashing damage on target',100,1,0),
(24856,10118718,'Decreases Slashing, Crushing and Piercing of target by 8.2',100,1,1),
(24857,10118718,'Inflicts 143 - 175 slashing damage on target every 5 seconds',100,1,2),
(24858,74609,'When Equipped:',100,0,0),
(24859,74609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24860,74609,'Inflicts 72 - 108 magic damage on target',100,2,2),
(24861,74609,'Cannot be modified except by direct means',100,2,3),
(24862,10074609,'When Equipped:',100,0,0),
(24863,10074609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(24864,10074609,'Inflicts 72 - 108 magic damage on target',100,2,2),
(24865,10074609,'Cannot be modified except by direct means',100,2,3),
(24866,159034,'Applies Lambent Imbued when Equipped.',100,0,0),
(24867,159034,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(24868,159034,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(24869,159034,'Cannot be modified except by direct means',100,2,3),
(24870,10159034,'Applies Lambent Imbued when Equipped.',100,0,0),
(24871,10159034,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(24872,10159034,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(24873,10159034,'Cannot be modified except by direct means',100,2,3),
(24874,109463,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(24875,109463,'Increases Attack Speed of caster by 21.0',100,130,1),
(24876,109463,'Increases Crushing, Piercing, Ranged and Slashing of caster by 2.4',100,130,2),
(24877,109463,'Inflicts 245 - 405 cold damage on target',100,1,3),
(24878,10109463,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(24879,10109463,'Increases Attack Speed of caster by 21.0',100,130,1),
(24880,10109463,'Increases Crushing, Piercing, Ranged and Slashing of caster by 2.4',100,130,2),
(24881,10109463,'Inflicts 225 - 372 cold damage on target',100,1,3),
(24882,176525,'When Equipped:',100,0,0),
(24883,176525,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(24884,176525,'Inflicts 1199 disease damage on target encounter',100,2,2),
(24885,176525,'Must not be engaged in pvp combat',100,2,3),
(24886,176525,'Cannot be modified except by direct means',100,2,4),
(24887,10176525,'When Equipped:',100,0,0),
(24888,10176525,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(24889,10176525,'Inflicts 599 disease damage on target encounter',100,2,2),
(24890,10176525,'Must not be engaged in pvp combat',100,2,3),
(24891,10176525,'Cannot be modified except by direct means',100,2,4),
(24892,105845,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(24893,105845,'Increases Damage Per Second of caster by 45.1',100,1,1),
(24894,105845,'Increases Piercing, Slashing and Crushing of caster by 16.8',100,1,2),
(24895,10105845,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(24896,10105845,'Increases Damage Per Second of caster by 45.1',100,1,1),
(24897,10105845,'Increases Piercing, Slashing and Crushing of caster by 16.8',100,1,2),
(24898,123003,'Wards group members (AE) collectively against 5108 total points of all damage',100,1,0),
(24899,10123003,'Wards group members (AE) collectively against 5484 total points of all damage',100,1,0),
(24900,124068,'Increases power of caster by 350',100,1,0),
(24901,10124068,'Increases power of caster by 350',100,1,0),
(24902,101495,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(24903,101495,'Increases Mitigation of group members (AE) vs arcane damage by 804',100,1,1),
(24904,10101495,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(24905,10101495,'Increases Mitigation of group members (AE) vs arcane damage by 804',100,1,1),
(24906,105511,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.5',100,1,0),
(24907,10105511,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.5',100,1,0),
(24908,138406,'When Equipped:',100,0,0),
(24909,138406,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24910,138406,'Wards target against 1000 points of all damage',100,2,2),
(24911,138406,'Cannot be modified except by direct means',100,2,3),
(24912,138406,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(24913,10138406,'When Equipped:',100,0,0),
(24914,10138406,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24915,10138406,'Wards target against 1000 points of all damage',100,2,2),
(24916,10138406,'Cannot be modified except by direct means',100,2,3),
(24917,10138406,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(24918,82774,'When Equipped:',100,0,0),
(24919,82774,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24920,82774,'Inflicts 468 - 870 magic damage on target',100,2,2),
(24921,82774,'Decreases Threat to target by 1,174 ',100,2,3),
(24922,82774,'Must be flanking or behind',100,3,4),
(24923,82774,'Increases Threat to target by 1,634 ',100,2,5),
(24924,82774,'Must be in front of',100,3,6),
(24925,82774,'Cannot be modified except by direct means',100,2,7),
(24926,10082774,'When Equipped:',100,0,0),
(24927,10082774,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(24928,10082774,'Inflicts 468 - 870 magic damage on target',100,2,2),
(24929,10082774,'Cannot be modified except by direct means',100,2,3),
(24930,114289,'Heals target for 5624 - 6656',100,1,0),
(24931,10114289,'Heals target for 4557 - 5513',100,1,0),
(24932,121531,'Inflicts 3500 - 5158 melee damage on target',100,1,0),
(24933,121531,'Stuns target',100,1,1),
(24934,121531,'If Target is not Epic',100,2,2),
(24935,121531,'Resistibility increases against targets higher than level 101.',100,1,3),
(24936,10121531,'Inflicts 2379 - 3685 melee damage on target',100,1,0),
(24937,10121531,'Stuns target',100,1,1),
(24938,10121531,'If Target is not Epic',100,2,2),
(24939,10121531,'Resistibility increases against targets higher than level 101.',100,1,3),
(24940,113491,'Inflicts 627 - 1020 melee damage on targets in area',100,1,0),
(24941,10113491,'Inflicts 460 - 677 melee damage on targets in area',100,1,0),
(24942,124826,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 848',100,1,0),
(24943,10124826,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 848',100,1,0),
(24944,48280,'Applies Flash when Activated.  Lasts for 1.0 second.',100,0,0),
(24945,48280,'If target is ghoulish Nerian',100,1,1),
(24946,48280,'Must not be engaged in combat',100,1,2),
(24947,10048280,'Applies Flash when Activated.  Lasts for 1.0 second.',100,0,0),
(24948,10048280,'If target is ghoulish Nerian',100,1,1),
(24949,10048280,'Must not be engaged in combat',100,1,2),
(24950,102314,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(24951,102314,'Decreases Threat to target by 5,148 ',100,2,1),
(24952,10102314,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(24953,10102314,'Inflicts 333 - 368 crushing damage on target',100,2,1),
(24954,119619,'Inflicts 6335 - 10341 mental damage on targets in Area of Effect',100,1,0),
(24955,119619,'Stuns targets in Area of Effect',100,1,1),
(24956,119619,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(24957,119619,'Resistibility increases against targets higher than level 99.',100,1,3),
(24958,10119619,'Inflicts 4867 - 8024 mental damage on targets in Area of Effect',100,1,0),
(24959,10119619,'Stuns targets in Area of Effect',100,1,1),
(24960,10119619,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(24961,10119619,'Resistibility increases against targets higher than level 99.',100,1,3),
(24962,185140,'Applies Hand of Malice when Activated.  Lasts for 15 minutes.',100,0,0),
(24963,185140,'Charms target',100,1,1),
(24964,185140,'If under level 35',100,1,2),
(24965,185140,'If target is undead',100,1,3),
(24966,185140,'If target is (not nocharm)',100,1,4),
(24967,185140,'Certain enemies cannot be charmed',100,1,5),
(24968,185140,'The casting time of Hand of Malice is 2.97 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,6),
(24969,185140,'Requires 7657 Health to cast.',100,1,7),
(24970,10185140,'Applies Hand of Malice when Activated.  Lasts for 15 minutes.',100,0,0),
(24971,10185140,'Charms target',100,1,1),
(24972,10185140,'If under level 35',100,1,2),
(24973,10185140,'If target is undead',100,1,3),
(24974,10185140,'If target is (not nocharm)',100,1,4),
(24975,10185140,'Certain enemies cannot be charmed',100,1,5),
(24976,10185140,'The casting time of Hand of Malice is 2.97 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,6),
(24977,10185140,'Requires 7657 Health to cast.',100,1,7),
(24978,50725,'When Equipped:',100,0,0),
(24979,50725,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24980,50725,'Inflicts 562 mental damage on target',100,2,2),
(24981,50725,'Must be classified as an undead',100,3,3),
(24982,50725,'Inflicts 281 mental damage on target',100,2,4),
(24983,50725,'Must not be classified as an undead',100,3,5),
(24984,50725,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(24985,50725,'Must be classified as an undead',100,3,7),
(24986,50725,'Cannot be modified except by direct means',100,2,8),
(24987,50725,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(24988,10050725,'When Equipped:',100,0,0),
(24989,10050725,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(24990,10050725,'Inflicts 562 mental damage on target',100,2,2),
(24991,10050725,'Must be classified as an undead',100,3,3),
(24992,10050725,'Inflicts 281 mental damage on target',100,2,4),
(24993,10050725,'Must not be classified as an undead',100,3,5),
(24994,10050725,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(24995,10050725,'Must be classified as an undead',100,3,7),
(24996,10050725,'Cannot be modified except by direct means',100,2,8),
(24997,10050725,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(24998,45664,'Applies Favor of the Froglok King  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(24999,45664,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(25000,45664,'Inflicts 18 magic damage on target',100,2,2),
(25001,45664,'Cannot be modified except by direct means',100,2,3),
(25002,10045664,'Applies Favor of the Froglok King  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(25003,10045664,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(25004,10045664,'Inflicts 18 magic damage on target',100,2,2),
(25005,10045664,'Cannot be modified except by direct means',100,2,3),
(25006,109292,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(25007,109292,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(25008,10109292,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(25009,10109292,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(25010,47076,'Applies Call Misty Mustang when Activated.',100,0,0),
(25011,47076,'Summons a mount to ride',100,1,1),
(25012,47076,'Increases your ground speed by 130%',100,2,2),
(25013,10047076,'Applies Call Misty Mustang when Activated.',100,0,0),
(25014,10047076,'Summons a mount to ride',100,1,1),
(25015,10047076,'Increases your ground speed by 130%',100,2,2),
(25016,27359,'When Equipped:',100,0,0),
(25017,27359,'Increases In-Combat Health Regeneration of caster by 1.0',100,1,1),
(25018,10027359,'When Equipped:',100,0,0),
(25019,10027359,'Increases In-Combat Health Regeneration of caster by 1.0',100,1,1),
(25020,118113,'Heals target for 999 - 1221',100,1,0),
(25021,10118113,'Heals target for 837 - 1015',100,1,0),
(25022,121678,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(25023,121678,'Inflicts 157 - 192 heat damage on target instantly and every second',100,2,1),
(25024,10121678,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(25025,10121678,'Inflicts 124 - 152 heat damage on target instantly and every second',100,2,1),
(25026,152816,'When Equipped:',100,0,0),
(25027,152816,'Increases Attack Speed of caster by 45.0',100,1,1),
(25028,10152816,'When Equipped:',100,0,0),
(25029,10152816,'Increases Attack Speed of caster by 45.0',100,1,1),
(25030,105516,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.2',100,1,0),
(25031,10105516,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.2',100,1,0),
(25032,101954,'Summons a limited pet to aid the caster',100,1,0),
(25033,10101954,'Summons a limited pet to aid the caster',100,1,0),
(25034,54443,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(25035,54443,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(25036,54443,'Inflicts 90 heat damage on target',100,2,2),
(25037,54443,'Cannot be modified except by direct means',100,2,3),
(25038,10054443,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(25039,10054443,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(25040,10054443,'Inflicts 90 heat damage on target',100,2,2),
(25041,10054443,'Cannot be modified except by direct means',100,2,3),
(25042,106325,'Decreases INT and STR of target by 47.7',100,1,0),
(25043,10106325,'Decreases INT and STR of target by 47.7',100,1,0),
(25044,174838,'When Equipped:',100,0,0),
(25045,174838,'When damaged with a melee weapon this spell has a 5% chance to cast Leviathan''s Madness on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(25046,174838,'Increases Attack Speed of caster by 50.0',100,2,2),
(25047,174838,'Applies Leviathan''s Burnout on termination.  Lasts for 24.0 seconds.',100,2,3),
(25048,174838,'Decreases Attack Speed of caster by 10.0',100,3,4),
(25049,174838,'Decreases damage done by Combat Arts by up to 100.',100,3,5),
(25050,174838,'Increases damage done by Combat Arts by up to 300.',100,2,6),
(25051,174838,'Enlarges caster by 30.0%',100,2,7),
(25052,174838,'Cannot be modified except by direct means',100,2,8),
(25053,10174838,'When Equipped:',100,0,0),
(25054,10174838,'When damaged with a melee weapon this spell has a 5% chance to cast Leviathan''s Madness on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(25055,10174838,'Increases Attack Speed of caster by 50.0',100,2,2),
(25056,10174838,'Applies Leviathan''s Burnout on termination.  Lasts for 24.0 seconds.',100,2,3),
(25057,10174838,'Decreases Attack Speed of caster by 10.0',100,3,4),
(25058,10174838,'Decreases damage done by Combat Arts by up to 100.',100,3,5),
(25059,10174838,'Increases damage done by Combat Arts by up to 300.',100,2,6),
(25060,10174838,'Enlarges caster by 30.0%',100,2,7),
(25061,10174838,'Cannot be modified except by direct means',100,2,8),
(25062,45676,'Applies Haldorak''s Rejuvenation  when Activated.',100,0,0),
(25063,45676,'Heals caster for 34',100,1,1),
(25064,10045676,'Applies Haldorak''s Rejuvenation  when Activated.',100,0,0),
(25065,10045676,'Heals caster for 22',100,1,1),
(25066,72210,'When Equipped:',100,0,0),
(25067,72210,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25068,72210,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(25069,72210,'Cannot be modified except by direct means',100,2,3),
(25070,10072210,'When Equipped:',100,0,0),
(25071,10072210,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25072,10072210,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(25073,10072210,'Cannot be modified except by direct means',100,2,3),
(25074,26535,'When Equipped:',100,0,0),
(25075,26535,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(25076,26535,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(25077,10026535,'When Equipped:',100,0,0),
(25078,10026535,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(25079,10026535,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(25080,113248,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(25081,113248,'Inflicts 166 - 277 magic damage on target',100,2,1),
(25082,113248,'Grants a total of 8 triggers of the spell.',100,2,2),
(25083,10113248,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(25084,10113248,'Inflicts 133 - 221 magic damage on target',100,2,1),
(25085,10113248,'Grants a total of 8 triggers of the spell.',100,2,2),
(25086,114849,'Decreases AGI of target by 20.9',100,1,0),
(25087,114849,'Decreases Defense of target by 7.9',100,1,1),
(25088,10114849,'Decreases AGI of target by 20.9',100,1,0),
(25089,10114849,'Decreases Defense of target by 7.9',100,1,1),
(25090,103875,'Decreases Mitigation of target vs noxious damage by 1980',100,1,0),
(25091,103875,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(25092,103875,'Slows target by 54.2%',100,2,2),
(25093,103875,'5% chance to dispel when target receives hostile action',100,2,3),
(25094,103875,'5% chance to dispel when target takes damage',100,2,4),
(25095,10103875,'Decreases Mitigation of target vs noxious damage by 1980',100,1,0),
(25096,10103875,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(25097,10103875,'Slows target by 54.2%',100,2,2),
(25098,10103875,'5% chance to dispel when target receives hostile action',100,2,3),
(25099,10103875,'5% chance to dispel when target takes damage',100,2,4),
(25100,111713,'Inflicts 6152 - 7301 cold damage on target',100,1,0),
(25101,111713,'Inflicts 5170 - 6319 cold damage on target',100,1,1),
(25102,111713,'If target is elemental',100,2,2),
(25103,10111713,'Inflicts 3887 - 4663 cold damage on target',100,1,0),
(25104,36571,'Increases WIS and STA of target by 1.8',100,0,0),
(25105,36571,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(25106,122861,'Inflicts 1627 - 2053 ranged damage on target',100,1,0),
(25107,122861,'Inflicts 1290 - 2142 ranged damage on target',100,1,1),
(25108,122861,'Inflicts 1936 - 3213 ranged damage on target',100,1,2),
(25109,122861,'Requires bow',100,1,3),
(25110,10122861,'Inflicts 871 - 1186 ranged damage on target',100,1,0),
(25111,10122861,'Inflicts 953 - 1582 ranged damage on target',100,1,1),
(25112,10122861,'Inflicts 1430 - 2374 ranged damage on target',100,1,2),
(25113,10122861,'Requires bow',100,1,3),
(25114,104082,'Inflicts 1648 - 2348 mental damage on target',100,1,0),
(25115,104082,'Inflicts 823 - 1366 mental damage on target',100,1,1),
(25116,10104082,'Inflicts 1043 - 1471 mental damage on target',100,1,0),
(25117,10104082,'Inflicts 649 - 1076 mental damage on target',100,1,1),
(25118,74813,'When Equipped:',100,0,0),
(25119,74813,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25120,74813,'Inflicts 168 - 253 magic damage on target',100,2,2),
(25121,74813,'Cannot be modified except by direct means',100,2,3),
(25122,10074813,'When Equipped:',100,0,0),
(25123,10074813,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25124,10074813,'Inflicts 168 - 253 magic damage on target',100,2,2),
(25125,10074813,'Cannot be modified except by direct means',100,2,3),
(25126,104459,'Interrupts target encounter',100,1,0),
(25127,104459,'Applies Stumble on termination.',100,1,1),
(25128,104459,'Interrupts target',100,2,2),
(25129,104459,'Inflicts 1141 - 1322 mental damage on target encounter',100,1,3),
(25130,104459,'Inflicts 813 - 994 mental damage on target encounter every 2 seconds',100,1,4),
(25131,10104459,'Interrupts target encounter',100,1,0),
(25132,10104459,'Applies Stumble on termination.',100,1,1),
(25133,10104459,'Interrupts target',100,2,2),
(25134,10104459,'Inflicts 773 - 915 mental damage on target encounter',100,1,3),
(25135,10104459,'Inflicts 641 - 783 mental damage on target encounter every 2 seconds',100,1,4),
(25136,112893,'Inflicts 2182 - 2662 melee damage on target',100,1,0),
(25137,112893,'Decreases Mitigation of target vs physical damage by 290',100,1,1),
(25138,112893,'Must be flanking or behind',100,1,2),
(25139,10112893,'Inflicts 1541 - 1793 melee damage on target',100,1,0),
(25140,10112893,'Decreases Mitigation of target vs physical damage by 290',100,1,1),
(25141,10112893,'Must be flanking or behind',100,1,2),
(25142,108961,'Increases INT of group members (AE) by 91.1',100,1,0),
(25143,108961,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 35.0',100,1,1),
(25144,10108961,'Increases INT of group members (AE) by 91.1',100,1,0),
(25145,10108961,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 35.0',100,1,1),
(25146,120480,'Inflicts 224 - 371 melee damage on target',100,1,0),
(25147,120480,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(25148,120480,'Grants stealth to caster',100,2,2),
(25149,120480,'Suspends caster''s movement speed enhancements',100,2,3),
(25150,120480,'Must be flanking or behind',100,1,4),
(25151,10120480,'Inflicts 200 - 331 melee damage on target',100,1,0),
(25152,10120480,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(25153,10120480,'Grants stealth to caster',100,2,2),
(25154,10120480,'Suspends caster''s movement speed enhancements',100,2,3),
(25155,10120480,'Must be flanking or behind',100,1,4),
(25156,171293,'When Equipped:',100,0,0),
(25157,171293,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(25158,171293,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(25159,171293,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(25160,171293,'Heals target for 1840',100,3,4),
(25161,171293,'Must not be engaged in pvp combat',100,3,5),
(25162,171293,'Cannot be modified except by direct means',100,3,6),
(25163,171293,'Grants a total of 5 triggers of the spell.',100,3,7),
(25164,171293,'Must not be engaged in pvp combat',100,2,8),
(25165,171293,'Cannot be modified except by direct means',100,2,9),
(25166,171293,'Cannot be modified except by direct means',100,1,10),
(25167,10171293,'When Equipped:',100,0,0),
(25168,10171293,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(25169,10171293,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(25170,10171293,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(25171,10171293,'Heals target for 2153',100,3,4),
(25172,10171293,'Must not be engaged in pvp combat',100,3,5),
(25173,10171293,'Cannot be modified except by direct means',100,3,6),
(25174,10171293,'Grants a total of 5 triggers of the spell.',100,3,7),
(25175,10171293,'Must not be engaged in pvp combat',100,2,8),
(25176,10171293,'Cannot be modified except by direct means',100,2,9),
(25177,10171293,'Cannot be modified except by direct means',100,1,10),
(25178,116382,'Heals target for 1153 - 1335',100,1,0),
(25179,116382,'Heals target for 288 - 352 every 2 seconds',100,1,1),
(25180,10116382,'Heals target for 404 - 437',100,1,0),
(25181,10116382,'Heals target for 148 - 181 every 2 seconds',100,1,1),
(25182,187429,'When Equipped:',100,0,0),
(25183,187429,'When damaged in combat this spell has a 3% chance to cast Unholy Aura on target''s attacker.  Lasts for 12.0 seconds.  ',100,1,1),
(25184,187429,'Inflicts 200 disease damage on target',100,2,2),
(25185,187429,'Inflicts 100 disease damage on target every 6 seconds',100,2,3),
(25186,187429,'Heals caster for 100',100,2,4),
(25187,187429,'Heals caster for 50 every 6 seconds',100,2,5),
(25188,187429,'Cannot be modified except by direct means',100,2,6),
(25189,10187429,'When Equipped:',100,0,0),
(25190,10187429,'When damaged in combat this spell has a 3% chance to cast Unholy Aura on target''s attacker.  Lasts for 12.0 seconds.  ',100,1,1),
(25191,10187429,'Inflicts 200 disease damage on target',100,2,2),
(25192,10187429,'Inflicts 100 disease damage on target every 6 seconds',100,2,3),
(25193,10187429,'Heals caster for 65',100,2,4),
(25194,10187429,'Heals caster for 32 every 6 seconds',100,2,5),
(25195,10187429,'Cannot be modified except by direct means',100,2,6),
(25196,81836,'When Equipped:',100,0,0),
(25197,81836,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(25198,81836,'Inflicts 210 - 391 magic damage on target',100,2,2),
(25199,81836,'Decreases Threat to target by 487 ',100,2,3),
(25200,81836,'Must be flanking or behind',100,3,4),
(25201,81836,'Increases Threat to target by 852 ',100,2,5),
(25202,81836,'Must be in front of',100,3,6),
(25203,81836,'Cannot be modified except by direct means',100,2,7),
(25204,10081836,'When Equipped:',100,0,0),
(25205,10081836,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(25206,10081836,'Inflicts 210 - 391 magic damage on target',100,2,2),
(25207,10081836,'Cannot be modified except by direct means',100,2,3),
(25208,119466,'Inflicts 1676 piercing damage on target instantly and every 4 seconds',100,1,0),
(25209,119466,'Inflicts 3315 - 4850 melee damage on target',100,1,1),
(25210,119466,'Must be flanking or behind',100,1,2),
(25211,10119466,'Inflicts 1321 piercing damage on target instantly and every 4 seconds',100,1,0),
(25212,10119466,'Inflicts 2233 - 3443 melee damage on target',100,1,1),
(25213,10119466,'Must be flanking or behind',100,1,2),
(25214,111297,'Inflicts 2597 - 3660 divine damage on target',100,1,0),
(25215,111297,'Inflicts 643 - 1071 divine damage on target every 4 seconds',100,1,1),
(25216,10111297,'Inflicts 1667 - 2505 divine damage on target',100,1,0),
(25217,10111297,'Inflicts 507 - 844 divine damage on target every 4 seconds',100,1,1),
(25218,110498,'Stifles caster',100,1,0),
(25219,110498,'Increases power of caster by 43 instantly and every second',100,1,1),
(25220,10110498,'Stifles caster',100,1,0),
(25221,10110498,'Increases power of caster by 43 instantly and every second',100,1,1),
(25222,108301,'Inflicts 73 - 122 divine damage on target',100,1,0),
(25223,108301,'Heals caster for 8',100,1,1),
(25224,108301,'This effect cannot be critically applied.',100,2,2),
(25225,108301,'The healing of this spell cannot be modified except by direct means',100,1,3),
(25226,10108301,'Inflicts 58 - 97 divine damage on target',100,1,0),
(25227,10108301,'Heals target for 4',100,1,1),
(25228,10108301,'This effect cannot be critically applied.',100,2,2),
(25229,10108301,'The healing of this spell cannot be modified except by direct means',100,1,3),
(25230,52785,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(25231,52785,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(25232,52785,'Inflicts 257 heat damage on target',100,2,2),
(25233,52785,'Cannot be modified except by direct means',100,2,3),
(25234,10052785,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(25235,10052785,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(25236,10052785,'Inflicts 257 heat damage on target',100,2,2),
(25237,10052785,'Cannot be modified except by direct means',100,2,3),
(25238,141691,'When Equipped:',100,0,0),
(25239,141691,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(25240,141691,'Increases STA of caster by 5.8',100,2,2),
(25241,141691,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(25242,141691,'Cannot be modified except by direct means',100,2,4),
(25243,10141691,'When Equipped:',100,0,0),
(25244,10141691,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(25245,10141691,'Increases STA of caster by 5.8',100,2,2),
(25246,10141691,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(25247,10141691,'Cannot be modified except by direct means',100,2,4),
(25248,81885,'When Equipped:',100,0,0),
(25249,81885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25250,81885,'Inflicts 189 - 352 magic damage on target',100,2,2),
(25251,81885,'Cannot be modified except by direct means',100,2,3),
(25252,10081885,'When Equipped:',100,0,0),
(25253,10081885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25254,10081885,'Inflicts 189 - 352 magic damage on target',100,2,2),
(25255,10081885,'Cannot be modified except by direct means',100,2,3),
(25256,112293,'Increases Threat to target by 2,580 - 2,935  instantly and by 300 - 367  every 3 seconds thereafter',100,1,0),
(25257,112293,'Inflicts 293 - 358 disease damage on target',100,1,1),
(25258,112293,'Inflicts 103 - 126 disease damage on target every 3 seconds',100,1,2),
(25259,10112293,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,0),
(25260,10112293,'Inflicts 86 - 105 disease damage on target',100,1,1),
(25261,10112293,'Inflicts 81 - 99 disease damage on target every 3 seconds',100,1,2),
(25262,174525,'When Equipped:',100,0,0),
(25263,174525,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(25264,174525,'Increases caster''s chance to block by 10.0%',100,2,2),
(25265,174525,'Cannot be modified except by direct means',100,2,3),
(25266,174525,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(25267,174525,'Increases caster''s chance to block by 10.0%',100,2,5),
(25268,174525,'Cannot be modified except by direct means',100,2,6),
(25269,10174525,'When Equipped:',100,0,0),
(25270,10174525,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(25271,10174525,'Increases caster''s chance to block by 10.0%',100,2,2),
(25272,10174525,'Cannot be modified except by direct means',100,2,3),
(25273,10174525,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(25274,10174525,'Increases caster''s chance to block by 10.0%',100,2,5),
(25275,10174525,'Cannot be modified except by direct means',100,2,6),
(25276,104836,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(25277,104836,'If Fighter',100,2,1),
(25278,104836,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(25279,104836,'Increases power of target by 57',100,2,3),
(25280,104836,'Increases power of caster by 57',100,2,4),
(25281,10104836,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(25282,10104836,'Increases power of target by 57',100,2,1),
(25283,10104836,'Increases power of caster by 57',100,2,2),
(25284,106292,'Decreases AGI, STR, INT and WIS of target encounter by 124.7',100,1,0),
(25285,106292,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 31.6',100,1,1),
(25286,106292,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 31.1',100,1,2),
(25287,10106292,'Decreases AGI, STR, INT and WIS of target encounter by 124.7',100,1,0),
(25288,10106292,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 31.6',100,1,1),
(25289,10106292,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 31.1',100,1,2),
(25290,90355,'When Equipped:',100,0,0),
(25291,90355,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(25292,90355,'Inflicts 32 - 39 magic damage on target',100,2,2),
(25293,90355,'If target is Darathar',100,3,3),
(25294,90355,'Cannot be modified except by direct means',100,2,4),
(25295,10090355,'When Equipped:',100,0,0),
(25296,10090355,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(25297,10090355,'Inflicts 32 - 39 magic damage on target',100,2,2),
(25298,10090355,'If target is Darathar',100,3,3),
(25299,10090355,'Cannot be modified except by direct means',100,2,4),
(25300,72119,'Applies Astral Blessing when Equipped.',100,0,0),
(25301,72119,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25302,72119,'Heals target for 440 instantly and every second',100,2,2),
(25303,72119,'Cannot be modified except by direct means',100,2,3),
(25304,72119,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(25305,72119,'Heals caster for 440 instantly and every second',100,2,5),
(25306,72119,'Cannot be modified except by direct means',100,2,6),
(25307,72119,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(25308,72119,'Heals caster for 440 instantly and every second',100,2,8),
(25309,72119,'Cannot be modified except by direct means',100,2,9),
(25310,10072119,'Applies Astral Blessing when Equipped.',100,0,0),
(25311,10072119,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25312,10072119,'Heals target for 514 instantly and every second',100,2,2),
(25313,10072119,'Cannot be modified except by direct means',100,2,3),
(25314,10072119,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(25315,10072119,'Heals caster for 514 instantly and every second',100,2,5),
(25316,10072119,'Cannot be modified except by direct means',100,2,6),
(25317,10072119,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(25318,10072119,'Heals caster for 514 instantly and every second',100,2,8),
(25319,10072119,'Cannot be modified except by direct means',100,2,9),
(25320,111050,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(25321,111050,'Increases Threat to target by 3,653 ',100,2,1),
(25322,111050,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(25323,111050,'Increases Threat to target by 3,653 ',100,2,3),
(25324,10111050,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(25325,10111050,'Inflicts 386 - 426 crushing damage on target',100,2,1),
(25326,10111050,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(25327,10111050,'Inflicts 386 - 426 crushing damage on target',100,2,3),
(25328,107643,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(25329,107643,'Increases Mitigation of group members (AE) vs elemental damage by 1008',100,1,1),
(25330,10107643,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(25331,10107643,'Increases Mitigation of group members (AE) vs elemental damage by 1008',100,1,1),
(25332,108943,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(25333,108943,'Inflicts 262 heat damage on target',100,2,1),
(25334,10108943,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(25335,10108943,'Inflicts 215 heat damage on target',100,2,1),
(25336,177631,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(25337,177631,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(25338,177631,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(25339,177631,'Cannot be modified except by direct means',100,2,3),
(25340,10177631,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(25341,10177631,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(25342,10177631,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(25343,10177631,'Cannot be modified except by direct means',100,2,3),
(25344,116648,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(25345,116648,'Increases Attack Speed of caster by 21.0',100,130,1),
(25346,116648,'Increases Slashing, Crushing, Ranged and Piercing of caster by 4.5',100,130,2),
(25347,116648,'Inflicts 268 - 444 melee damage on target',100,1,3),
(25348,116648,'Decreases Defense of target by 1.5',100,1,4),
(25349,116648,'If facing target',100,1,5),
(25350,10116648,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(25351,10116648,'Increases Attack Speed of caster by 21.0',100,130,1),
(25352,10116648,'Increases Slashing, Crushing, Ranged and Piercing of caster by 4.5',100,130,2),
(25353,10116648,'Inflicts 214 - 355 melee damage on target',100,1,3),
(25354,10116648,'Decreases Defense of target by 1.5',100,1,4),
(25355,10116648,'If facing target',100,1,5),
(25356,100937,'Dazes target',100,1,0),
(25357,100937,'Inflicts 948 - 1158 mental damage on target',100,1,1),
(25358,100937,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(25359,100937,'Resistibility increases against targets higher than level 54.',100,1,3),
(25360,10100937,'Dazes target',100,1,0),
(25361,10100937,'Inflicts 814 - 995 mental damage on target',100,1,1),
(25362,10100937,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(25363,10100937,'Resistibility increases against targets higher than level 54.',100,1,3),
(25364,101309,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(25365,101309,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 25',100,1,1),
(25366,101309,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,2),
(25367,10101309,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(25368,10101309,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 25',100,1,1),
(25369,10101309,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,2),
(25370,75504,'When Equipped:',100,0,0),
(25371,75504,'On any combat or spell hit this spell may cast Exalted Wave IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25372,75504,'Inflicts 2031 - 2245 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(25373,75504,'Heals group members (AE) for 1108 - 1225 instantly and every 2 seconds',100,2,3),
(25374,75504,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(25375,75504,'Must not be engaged in pvp combat',100,2,5),
(25376,75504,'Cannot be modified except by direct means',100,2,6),
(25377,75504,'Must not be engaged in pvp combat',100,1,7),
(25378,10075504,'When Equipped:',100,0,0),
(25379,10075504,'On any combat or spell hit this spell may cast Exalted Wave IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25380,10075504,'Inflicts 2031 - 2245 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(25381,10075504,'Heals group members (AE) for 1296 - 1433 instantly and every 2 seconds',100,2,3),
(25382,10075504,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(25383,10075504,'Must not be engaged in pvp combat',100,2,5),
(25384,10075504,'Cannot be modified except by direct means',100,2,6),
(25385,10075504,'Must not be engaged in pvp combat',100,1,7),
(25386,114381,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(25387,114381,'Increases Attack Speed of caster by 21.0',100,130,1),
(25388,114381,'Increases Slashing, Crushing, Ranged and Piercing of caster by 29.7',100,130,2),
(25389,114381,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(25390,114381,'Stuns target',100,2,4),
(25391,114381,'Throws target back',100,2,5),
(25392,114381,'Blurs vision of target',100,2,6),
(25393,114381,'Does not affect Epic targets',100,2,7),
(25394,114381,'Inflicts 3058 - 4425 crushing damage on target',100,1,8),
(25395,10114381,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(25396,10114381,'Increases Attack Speed of caster by 21.0',100,130,1),
(25397,10114381,'Increases Slashing, Crushing, Ranged and Piercing of caster by 29.7',100,130,2),
(25398,10114381,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(25399,10114381,'Stuns target',100,2,4),
(25400,10114381,'Throws target back',100,2,5),
(25401,10114381,'Blurs vision of target',100,2,6),
(25402,10114381,'Does not affect Epic targets',100,2,7),
(25403,10114381,'Inflicts 2053 - 3145 crushing damage on target',100,1,8),
(25404,116481,'Prevents targets in Area of Effect from changing targets',100,1,0),
(25405,116481,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(25406,116481,'Increases Threat to targets in Area of Effect by 1,129 ',100,1,2),
(25407,10116481,'Prevents targets in Area of Effect from changing targets',100,1,0),
(25408,10116481,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(25409,36792,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(25410,47684,'Applies Summon Red Ethernaut Carpet when Activated.',100,0,0),
(25411,47684,'Reduces maximum falling speed of caster',100,1,1),
(25412,47684,'Summons a mount to ride',100,1,2),
(25413,47684,'Increases your ground speed by 130%',100,2,3),
(25414,10047684,'Applies Summon Red Ethernaut Carpet when Activated.',100,0,0),
(25415,10047684,'Reduces maximum falling speed of caster',100,1,1),
(25416,10047684,'Summons a mount to ride',100,1,2),
(25417,10047684,'Increases your ground speed by 130%',100,2,3),
(25418,47556,'Applies Portable Cooking Set when Activated.  Lasts for 15 minutes.',100,0,0),
(25419,47556,'Summons Stove & Keg',100,1,1),
(25420,47556,'This effect cancels during combat',100,1,2),
(25421,10047556,'Applies Portable Cooking Set when Activated.  Lasts for 15 minutes.',100,0,0),
(25422,10047556,'Summons Stove & Keg',100,1,1),
(25423,10047556,'This effect cancels during combat',100,1,2),
(25424,118239,'Interrupts target',100,1,0),
(25425,118239,'Inflicts 249 - 415 divine damage on target',100,1,1),
(25426,10118239,'Interrupts target',100,1,0),
(25427,10118239,'Inflicts 214 - 356 divine damage on target',100,1,1),
(25428,26805,'When Equipped:',100,0,0),
(25429,26805,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(25430,26805,'On a critical spell hit this spell may cast Velium Flames I on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(25431,26805,'Inflicts 4014 - 4436 heat damage on target',100,2,3),
(25432,26805,'Must not be engaged in pvp combat',100,2,4),
(25433,26805,'Cannot be modified except by direct means',100,2,5),
(25434,26805,'On a critical combat hit this spell may cast Velium Flames I on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(25435,26805,'Inflicts 4014 - 4436 heat damage on target',100,2,7),
(25436,26805,'Must not be engaged in pvp combat',100,2,8),
(25437,26805,'Cannot be modified except by direct means',100,2,9),
(25438,26805,'Must not be engaged in pvp combat',100,1,10),
(25439,10026805,'When Equipped:',100,0,0),
(25440,10026805,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(25441,10026805,'On a critical spell hit this spell may cast Velium Flames I on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(25442,10026805,'Inflicts 4014 - 4436 heat damage on target',100,2,3),
(25443,10026805,'Must not be engaged in pvp combat',100,2,4),
(25444,10026805,'Cannot be modified except by direct means',100,2,5),
(25445,10026805,'On a critical combat hit this spell may cast Velium Flames I on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(25446,10026805,'Inflicts 4014 - 4436 heat damage on target',100,2,7),
(25447,10026805,'Must not be engaged in pvp combat',100,2,8),
(25448,10026805,'Cannot be modified except by direct means',100,2,9),
(25449,10026805,'Must not be engaged in pvp combat',100,1,10),
(25450,100371,'Increases Max Health of target by 1,272.6',100,1,0),
(25451,100371,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.6',100,1,1),
(25452,10100371,'Increases Max Health of target by 1,272.6',100,1,0),
(25453,10100371,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.6',100,1,1),
(25454,82903,'When Equipped:',100,0,0),
(25455,82903,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25456,82903,'Inflicts 449 - 834 magic damage on target',100,2,2),
(25457,82903,'Cannot be modified except by direct means',100,2,3),
(25458,10082903,'When Equipped:',100,0,0),
(25459,10082903,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25460,10082903,'Inflicts 449 - 834 magic damage on target',100,2,2),
(25461,10082903,'Cannot be modified except by direct means',100,2,3),
(25462,46340,'Applies Open the Nozzle when Activated.',100,0,0),
(25463,46340,'Inflicts 63.0 - 77.0% of max health in heat damage on caster',100,1,1),
(25464,46340,'Throws caster back',100,1,2),
(25465,46340,'This effect cannot be cast during combat',100,1,3),
(25466,10046340,'Applies Open the Nozzle when Activated.',100,0,0),
(25467,10046340,'Inflicts 63.0 - 77.0% of max health in heat damage on caster',100,1,1),
(25468,10046340,'Throws caster back',100,1,2),
(25469,10046340,'This effect cannot be cast during combat',100,1,3),
(25470,188265,'When Equipped:',100,0,0),
(25471,188265,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(25472,188265,'Wards target against 80 points of all damage',100,2,2),
(25473,188265,'Cannot be modified except by direct means',100,2,3),
(25474,10188265,'When Equipped:',100,0,0),
(25475,10188265,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(25476,10188265,'Wards target against 80 points of all damage',100,2,2),
(25477,10188265,'Cannot be modified except by direct means',100,2,3),
(25478,48371,'Applies Tallonite Defender when Activated.',100,0,0),
(25479,48371,'Shapechanges the user into a tallonite, and provides a shield which damages any melee attacker.',100,1,1),
(25480,10048371,'Applies Tallonite Defender when Activated.',100,0,0),
(25481,10048371,'Shapechanges the user into a tallonite, and provides a shield which damages any melee attacker.',100,1,1),
(25482,171449,'Applies Call of the Prime IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(25483,171449,'Applies Prime Focus IX on termination.  Lasts for 15.0 seconds.',100,1,1),
(25484,171449,'Increases Potency of group members (AE) by 10.0%',100,2,2),
(25485,171449,'Must not be engaged in pvp combat',100,2,3),
(25486,171449,'Cannot be modified except by direct means',100,2,4),
(25487,171449,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(25488,171449,'Must not be engaged in pvp combat',100,1,6),
(25489,171449,'Cannot be modified except by direct means',100,1,7),
(25490,171449,'The reuse time of Call of the Prime IX is 10 minutes',100,1,8),
(25491,10171449,'Applies Call of the Prime IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(25492,10171449,'Applies Prime Focus IX on termination.  Lasts for 15.0 seconds.',100,1,1),
(25493,10171449,'Increases Potency of group members (AE) by 10.0%',100,2,2),
(25494,10171449,'Must not be engaged in pvp combat',100,2,3),
(25495,10171449,'Cannot be modified except by direct means',100,2,4),
(25496,10171449,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(25497,10171449,'Must not be engaged in pvp combat',100,1,6),
(25498,10171449,'Cannot be modified except by direct means',100,1,7),
(25499,10171449,'The reuse time of Call of the Prime IX is 10 minutes',100,1,8),
(25500,73259,'Applies Frost Blast when Activated.',100,0,0),
(25501,73259,'Inflicts 171 - 285 cold damage on target',100,1,1),
(25502,73259,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(25503,10073259,'Applies Frost Blast when Activated.',100,0,0),
(25504,10073259,'Inflicts 171 - 285 cold damage on target',100,1,1),
(25505,10073259,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(25506,116109,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(25507,116109,'Heals target for 1642 - 2007',100,2,1),
(25508,116109,'Grants a total of 5 triggers of the spell.',100,2,2),
(25509,10116109,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(25510,10116109,'Heals target for 806 - 967',100,2,1),
(25511,10116109,'Grants a total of 5 triggers of the spell.',100,2,2),
(25512,108167,'Inflicts 6772 - 10583 melee damage on target',100,1,0),
(25513,108167,'You must be sneaking to use this ability.',100,1,1),
(25514,108167,'Must be flanking or behind',100,1,2),
(25515,10108167,'Inflicts 3404 - 5385 melee damage on target',100,1,0),
(25516,10108167,'You must be sneaking to use this ability.',100,1,1),
(25517,10108167,'Must be flanking or behind',100,1,2),
(25518,106862,'Decreases Threat to targets in Area of Effect by 721 ',100,1,0),
(25519,106862,'Stuns targets in Area of Effect',100,1,1),
(25520,106862,'If Target is not Epic',100,2,2),
(25521,10106862,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(25522,10106862,'Applies Distract.',100,1,1),
(25523,10106862,'Forces target to clear their selected target.',100,2,2),
(25524,10106862,'Stuns targets in Area of Effect',100,1,3),
(25525,10106862,'If Target is not Epic',100,2,4),
(25526,45343,'Applies Black Two Tone Warg with Red Armor when Activated.',100,0,0),
(25527,45343,'Increases Slashing of caster by 7.0',100,1,1),
(25528,45343,'Summons a mount to ride',100,1,2),
(25529,45343,'Increases your ground speed by 130%',100,2,3),
(25530,45343,'Increases Ranged, Piercing and Crushing of caster by 7.0',100,1,4),
(25531,45343,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(25532,45343,'Increases Disruption of caster by 7.0',100,1,6),
(25533,10045343,'Applies Black Two Tone Warg with Red Armor when Activated.',100,0,0),
(25534,10045343,'Increases Slashing of caster by 7.0',100,1,1),
(25535,10045343,'Summons a mount to ride',100,1,2),
(25536,10045343,'Increases your ground speed by 130%',100,2,3),
(25537,10045343,'Increases Ranged, Piercing and Crushing of caster by 7.0',100,1,4),
(25538,10045343,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(25539,10045343,'Increases Disruption of caster by 7.0',100,1,6),
(25540,75961,'When Equipped:',100,0,0),
(25541,75961,'Increases Metalworking and Metal Shaping of caster by 22.5',100,1,1),
(25542,10075961,'When Equipped:',100,0,0),
(25543,10075961,'Increases Metalworking and Metal Shaping of caster by 22.5',100,1,1),
(25544,114396,'Mesmerizes target',100,1,0),
(25545,114396,'Prevents AOE (except when direct) ',100,1,1),
(25546,114396,'Dispelled when target takes damage',100,1,2),
(25547,114396,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(25548,114396,'Resistibility increases against targets higher than level 30.',100,1,4),
(25549,10114396,'Mesmerizes target',100,1,0),
(25550,10114396,'Prevents AOE (except when direct) ',100,1,1),
(25551,10114396,'Dispelled when target takes damage',100,1,2),
(25552,10114396,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(25553,10114396,'Resistibility increases against targets higher than level 30.',100,1,4),
(25554,115415,'Inflicts 3422 - 5028 melee damage on target',100,1,0),
(25555,115415,'Decreases INT of target by 74.1',100,1,1),
(25556,115415,'You must be sneaking to use this ability.',100,1,2),
(25557,10115415,'Inflicts 2317 - 3583 melee damage on target',100,1,0),
(25558,10115415,'Decreases INT of target by 74.1',100,1,1),
(25559,10115415,'You must be sneaking to use this ability.',100,1,2),
(25560,105458,'Inflicts 2848 - 3263 poison damage on target',100,1,0),
(25561,105458,'Inflicts 1866 - 2280 poison damage on target every 4 seconds',100,1,1),
(25562,105458,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(25563,105458,'Summons a limited pet to aid the caster',100,2,3),
(25564,105458,'Summons 2 limited pets to aid the caster',100,2,4),
(25565,105458,'Grants a total of 1 trigger of the spell.',100,2,5),
(25566,10105458,'Inflicts 1865 - 2192 poison damage on target',100,1,0),
(25567,10105458,'Inflicts 1470 - 1797 poison damage on target every 4 seconds',100,1,1),
(25568,10105458,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(25569,10105458,'Summons a limited pet to aid the caster',100,2,3),
(25570,10105458,'Summons 2 limited pets to aid the caster',100,2,4),
(25571,10105458,'Grants a total of 1 trigger of the spell.',100,2,5),
(25572,181013,'When Equipped:',100,0,0),
(25573,181013,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(25574,181013,'Inflicts 2664 disease damage on target encounter',100,2,2),
(25575,181013,'Must not be engaged in pvp combat',100,2,3),
(25576,181013,'Cannot be modified except by direct means',100,2,4),
(25577,10181013,'When Equipped:',100,0,0),
(25578,10181013,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(25579,10181013,'Inflicts 1332 disease damage on target encounter',100,2,2),
(25580,10181013,'Must not be engaged in pvp combat',100,2,3),
(25581,10181013,'Cannot be modified except by direct means',100,2,4),
(25582,47395,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(25583,47395,'This potion will grant you the illusion of being a mindless corpse!',100,1,1),
(25584,10047395,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(25585,10047395,'This potion will grant you the illusion of being a mindless corpse!',100,1,1),
(25586,109531,'Inflicts 2151 - 2410 disease damage on target',100,1,0),
(25587,109531,'Inflicts 1168 - 1428 disease damage on target every 4 seconds',100,1,1),
(25588,109531,'Decreases Attack Speed of target by 10.3',100,1,2),
(25589,10109531,'Inflicts 1315 - 1520 disease damage on target',100,1,0),
(25590,10109531,'Inflicts 921 - 1125 disease damage on target every 4 seconds',100,1,1),
(25591,10109531,'Decreases Attack Speed of target by 10.3',100,1,2),
(25592,74982,'When Equipped:',100,0,0),
(25593,74982,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25594,74982,'Inflicts 121 - 181 magic damage on target',100,2,2),
(25595,74982,'Cannot be modified except by direct means',100,2,3),
(25596,10074982,'When Equipped:',100,0,0),
(25597,10074982,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25598,10074982,'Inflicts 121 - 181 magic damage on target',100,2,2),
(25599,10074982,'Cannot be modified except by direct means',100,2,3),
(25600,177550,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(25601,177550,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(25602,177550,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(25603,177550,'Cannot be modified except by direct means',100,2,3),
(25604,10177550,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(25605,10177550,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(25606,10177550,'Heals target for 19 instantly and every 4 seconds',100,2,2),
(25607,10177550,'Cannot be modified except by direct means',100,2,3),
(25608,35308,'Increases STA of target by 6.2',100,0,0),
(25609,35308,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(25610,121045,'Increases AGI of target by 43.0',100,1,0),
(25611,121045,'Adds 0.7% to base avoidance.',100,1,1),
(25612,121045,'Increases In-Combat Power Regeneration of target by 23.9',100,1,2),
(25613,121045,'Increases Max Power of target by 259.3',100,1,3),
(25614,10121045,'Increases AGI of target by 43.0',100,1,0),
(25615,10121045,'Adds 0.7% to base avoidance.',100,1,1),
(25616,10121045,'Increases In-Combat Power Regeneration of target by 23.9',100,1,2),
(25617,10121045,'Increases Max Power of target by 259.3',100,1,3),
(25618,41659,'When Equipped:',100,0,0),
(25619,41659,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25620,41659,'Inflicts 369 - 686 magic damage on target',100,2,2),
(25621,41659,'Cannot be modified except by direct means',100,2,3),
(25622,10041659,'When Equipped:',100,0,0),
(25623,10041659,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25624,10041659,'Inflicts 369 - 686 magic damage on target',100,2,2),
(25625,10041659,'Cannot be modified except by direct means',100,2,3),
(25626,100175,'Inflicts 3602 - 6409 disease damage on target encounter',100,1,0),
(25627,10100175,'Inflicts 2712 - 4925 disease damage on target encounter',100,1,0),
(25628,106014,'Decreases Defense of target by 13.0',100,1,0),
(25629,106014,'Inflicts 1235 - 1414 divine damage on target',100,1,1),
(25630,106014,'Inflicts 353 - 431 divine damage on target every 3 seconds',100,1,2),
(25631,10106014,'Decreases Defense of target by 13.0',100,1,0),
(25632,10106014,'Inflicts 580 - 621 divine damage on target',100,1,1),
(25633,10106014,'Inflicts 185 - 227 divine damage on target every 3 seconds',100,1,2),
(25634,101417,'Inflicts 4911 - 7497 melee damage on target',100,1,0),
(25635,101417,'Returns the last arrow used to the ranger.',100,1,1),
(25636,10101417,'Inflicts 3490 - 5529 melee damage on target',100,1,0),
(25637,10101417,'Returns the last arrow used to the ranger.',100,1,1),
(25638,71544,'When Equipped:',100,0,0),
(25639,71544,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25640,71544,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(25641,71544,'Cannot be modified except by direct means',100,2,3),
(25642,10071544,'When Equipped:',100,0,0),
(25643,10071544,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25644,10071544,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(25645,10071544,'Cannot be modified except by direct means',100,2,3),
(25646,47879,'Applies Runic Destruction when Activated.  Lasts for 15 minutes.',100,0,0),
(25647,47879,'On any combat or spell hit this spell may cast Runic Destruction on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(25648,47879,'Inflicts 270 magic damage on target',100,2,2),
(25649,47879,'Cannot be modified except by direct means',100,2,3),
(25650,10047879,'Applies Runic Destruction when Activated.  Lasts for 15 minutes.',100,0,0),
(25651,10047879,'On any combat or spell hit this spell may cast Runic Destruction on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(25652,10047879,'Inflicts 270 magic damage on target',100,2,2),
(25653,10047879,'Cannot be modified except by direct means',100,2,3),
(25654,42543,'When Equipped:',100,0,0),
(25655,42543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25656,42543,'Inflicts 83 - 124 magic damage on target',100,2,2),
(25657,42543,'Cannot be modified except by direct means',100,2,3),
(25658,10042543,'When Equipped:',100,0,0),
(25659,10042543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25660,10042543,'Inflicts 83 - 124 magic damage on target',100,2,2),
(25661,10042543,'Cannot be modified except by direct means',100,2,3),
(25662,46627,'Applies Heart of Odus when Activated.  Lasts for 10.0 seconds.',100,0,0),
(25663,46627,'You feel imbued by the very strength of Odus!',100,1,1),
(25664,10046627,'Applies Heart of Odus when Activated.  Lasts for 10.0 seconds.',100,0,0),
(25665,10046627,'You feel imbued by the very strength of Odus!',100,1,1),
(25666,121926,'Inflicts 1056 - 1760 mental damage on target encounter',100,1,0),
(25667,121926,'Increases power of group members (AE) by 147 - 246',100,1,1),
(25668,10121926,'Inflicts 845 - 1320 mental damage on target encounter',100,1,0),
(25669,10121926,'Increases power of group members (AE) by 147 - 246',100,1,1),
(25670,122931,'Inflicts 70 - 95 mental damage on target',100,1,0),
(25671,10122931,'Inflicts 60 - 82 mental damage on target',100,1,0),
(25672,108329,'Inflicts 1894 - 3005 divine damage on target',100,1,0),
(25673,108329,'Heals caster for 1.4% of max health',100,1,1),
(25674,108329,'This effect cannot be critically applied.',100,2,2),
(25675,108329,'The healing of this spell cannot be modified except by direct means',100,1,3),
(25676,10108329,'Inflicts 1408 - 2206 divine damage on target',100,1,0),
(25677,10108329,'Heals caster for 0.7% of max health',100,1,1),
(25678,10108329,'This effect cannot be critically applied.',100,2,2),
(25679,10108329,'The healing of this spell cannot be modified except by direct means',100,1,3),
(25680,25549,'When Equipped:',100,0,0),
(25681,25549,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(25682,25549,'Reduces the reuse time of Ice Comet IV by 15 seconds.',100,1,2),
(25683,10025549,'When Equipped:',100,0,0),
(25684,10025549,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(25685,10025549,'Reduces the reuse time of Ice Comet IV by 15 seconds.',100,1,2),
(25686,51833,'Applies Heroic Resistance III when Equipped.',100,0,0),
(25687,51833,'Reduces the critical damage inflicted by players on caster by 3.0%',100,1,1),
(25688,51833,'Cannot be modified except by direct means',100,1,2),
(25689,10051833,'Applies Heroic Resistance III when Equipped.',100,0,0),
(25690,10051833,'Reduces the critical damage inflicted by players on caster by 3.0%',100,1,1),
(25691,10051833,'Cannot be modified except by direct means',100,1,2),
(25692,83617,'When Equipped:',100,0,0),
(25693,83617,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25694,83617,'Increases Attack Speed of caster by 20.0',100,2,2),
(25695,83617,'Increases Damage Per Second of caster by 20.0',100,2,3),
(25696,83617,'Cannot be modified except by direct means',100,2,4),
(25697,10083617,'When Equipped:',100,0,0),
(25698,10083617,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25699,10083617,'Increases Attack Speed of caster by 20.0',100,2,2),
(25700,10083617,'Increases Damage Per Second of caster by 20.0',100,2,3),
(25701,10083617,'Cannot be modified except by direct means',100,2,4),
(25702,80256,'When Equipped:',100,0,0),
(25703,80256,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25704,80256,'Inflicts 333 - 619 magic damage on target',100,2,2),
(25705,80256,'Cannot be modified except by direct means',100,2,3),
(25706,10080256,'When Equipped:',100,0,0),
(25707,10080256,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25708,10080256,'Inflicts 333 - 619 magic damage on target',100,2,2),
(25709,10080256,'Cannot be modified except by direct means',100,2,3),
(25710,110125,'Shapechanges group members (AE) into a half elf',100,1,0),
(25711,10110125,'Shapechanges group members (AE) into a half elf',100,1,0),
(25712,110586,'Decreases Attack Speed of target by 15.8',100,1,0),
(25713,110586,'Decreases Crushing, Slashing and Piercing of target by 9.4',100,1,1),
(25714,10110586,'Decreases Attack Speed of target by 15.8',100,1,0),
(25715,10110586,'Decreases Crushing, Slashing and Piercing of target by 9.4',100,1,1),
(25716,166508,'When Equipped:',100,0,0),
(25717,166508,'On a critical spell hit this spell may cast Final Stab VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(25718,166508,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(25719,166508,'Must not be engaged in pvp combat',100,2,3),
(25720,166508,'Cannot be modified except by direct means',100,2,4),
(25721,166508,'On a critical combat hit this spell may cast Final Stab VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(25722,166508,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(25723,166508,'Must not be engaged in pvp combat',100,2,7),
(25724,166508,'Cannot be modified except by direct means',100,2,8),
(25725,166508,'Must not be engaged in pvp combat',100,1,9),
(25726,10166508,'When Equipped:',100,0,0),
(25727,10166508,'On a critical spell hit this spell may cast Final Stab VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(25728,10166508,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(25729,10166508,'Must not be engaged in pvp combat',100,2,3),
(25730,10166508,'Cannot be modified except by direct means',100,2,4),
(25731,10166508,'On a critical combat hit this spell may cast Final Stab VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(25732,10166508,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(25733,10166508,'Must not be engaged in pvp combat',100,2,7),
(25734,10166508,'Cannot be modified except by direct means',100,2,8),
(25735,10166508,'Must not be engaged in pvp combat',100,1,9),
(25736,47356,'Applies Place the Decoy Forbulator when Activated.',100,0,0),
(25737,47356,'This effect cannot be cast during combat',100,1,1),
(25738,10047356,'Applies Place the Decoy Forbulator when Activated.',100,0,0),
(25739,10047356,'This effect cannot be cast during combat',100,1,1),
(25740,79068,'When Equipped:',100,0,0),
(25741,79068,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25742,79068,'Increases Attack Speed of caster by 20.0',100,2,2),
(25743,79068,'Cannot be modified except by direct means',100,2,3),
(25744,10079068,'When Equipped:',100,0,0),
(25745,10079068,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25746,10079068,'Increases Attack Speed of caster by 20.0',100,2,2),
(25747,10079068,'Cannot be modified except by direct means',100,2,3),
(25748,111653,'Inflicts 1242 - 1517 cold damage on target encounter',100,1,0),
(25749,111653,'Slows target encounter by 40.0%',100,1,1),
(25750,111653,'5% chance to dispel when target takes damage',100,1,2),
(25751,111653,'5% chance to dispel when target receives hostile action',100,1,3),
(25752,10111653,'Inflicts 1250 - 1498 cold damage on target encounter',100,1,0),
(25753,10111653,'Slows target encounter by 40.0%',100,1,1),
(25754,10111653,'5% chance to dispel when target takes damage',100,1,2),
(25755,10111653,'5% chance to dispel when target receives hostile action',100,1,3),
(25756,122108,'Increases STA and INT of group members (AE) by 91.1',100,1,0),
(25757,10122108,'Increases STA and INT of group members (AE) by 91.1',100,1,0),
(25758,111108,'Heals target for 23.9 - 29.3% of max health',100,1,0),
(25759,111108,'This effect cannot be critically applied.',100,2,1),
(25760,111108,'Increases Mitigation of target vs physical damage by 328',100,1,2),
(25761,111108,'The healing of this spell cannot be modified except by direct means',100,1,3),
(25762,10111108,'Heals target for 9.0 - 11.0% of max health',100,1,0),
(25763,10111108,'This effect cannot be critically applied.',100,2,1),
(25764,10111108,'Increases Mitigation of target vs physical damage by 328',100,1,2),
(25765,10111108,'The healing of this spell cannot be modified except by direct means',100,1,3),
(25766,115912,'Inflicts 814 - 922 disease damage on target encounter',100,1,0),
(25767,115912,'Inflicts 486 - 594 disease damage on target encounter every 3 seconds',100,1,1),
(25768,10115912,'Inflicts 630 - 740 disease damage on target encounter',100,1,0),
(25769,10115912,'Inflicts 383 - 468 disease damage on target encounter every 3 seconds',100,1,1),
(25770,77412,'Applies Fire Ball when Activated.',100,0,0),
(25771,77412,'Inflicts 250 - 417 heat damage on target',100,1,1),
(25772,77412,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(25773,10077412,'Applies Fire Ball when Activated.',100,0,0),
(25774,10077412,'Inflicts 250 - 417 heat damage on target',100,1,1),
(25775,10077412,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(25776,159345,'Applies Sanguine Imbued when Equipped.',100,0,0),
(25777,159345,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(25778,159345,'Inflicts 321 heat damage on target',100,2,2),
(25779,159345,'Cannot be modified except by direct means',100,2,3),
(25780,10159345,'Applies Sanguine Imbued when Equipped.',100,0,0),
(25781,10159345,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(25782,10159345,'Inflicts 321 heat damage on target',100,2,2),
(25783,10159345,'Cannot be modified except by direct means',100,2,3),
(25784,110994,'Heals target for 2195 - 2465',100,1,0),
(25785,110994,'Heals target for 1213 - 1482 every 2 seconds',100,1,1),
(25786,110994,'Increases power of target by 94 - 115 instantly and every 2 seconds',100,1,2),
(25787,10110994,'Heals target for 878 - 1016',100,1,0),
(25788,10110994,'Heals target for 621 - 759 every 2 seconds',100,1,1),
(25789,10110994,'Increases power of target by 74 - 91 instantly and every 2 seconds',100,1,2),
(25790,48070,'Applies Thought Horizon when Activated.',100,0,0),
(25791,48070,'Increases power of caster by 50.0%',100,1,1),
(25792,48070,'This effect cannot be critically applied.',100,2,2),
(25793,48070,'If any of the following are true:',100,1,3),
(25794,48070,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(25795,48070,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(25796,48070,'Must be in Covenant District [Solo].',100,2,6),
(25797,10048070,'Applies Thought Horizon when Activated.',100,0,0),
(25798,10048070,'Increases power of caster by 50.0%',100,1,1),
(25799,10048070,'This effect cannot be critically applied.',100,2,2),
(25800,10048070,'If any of the following are true:',100,1,3),
(25801,10048070,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(25802,10048070,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(25803,10048070,'Must be in Covenant District [Solo].',100,2,6),
(25804,101603,'Inflicts 2015 - 3194 melee damage on targets in area',100,1,0),
(25805,10101603,'Inflicts 1523 - 2440 melee damage on targets in area',100,1,0),
(25806,176661,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(25807,176661,'Decreases STR, WIS, AGI and INT of target by 51.0',100,1,1),
(25808,176661,'Decreases Max Health of target by 1.0%',100,1,2),
(25809,176661,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(25810,10176661,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(25811,10176661,'Decreases STR, WIS, AGI and INT of target by 51.0',100,1,1),
(25812,10176661,'Decreases Max Health of target by 1.0%',100,1,2),
(25813,10176661,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(25814,117756,'Increases Max Health of target by 121.7',100,1,0),
(25815,117756,'Increases Slashing and Crushing of target by 2.9',100,1,1),
(25816,117756,'Increases Piercing of target by 5.8',100,1,2),
(25817,10117756,'Increases Max Health of target by 121.7',100,1,0),
(25818,10117756,'Increases Slashing and Crushing of target by 2.9',100,1,1),
(25819,10117756,'Increases Piercing of target by 5.8',100,1,2),
(25820,123341,'Summons a pet hammer',100,1,0),
(25821,10123341,'Summons a pet hammer',100,1,0),
(25822,74711,'When Equipped:',100,0,0),
(25823,74711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25824,74711,'Inflicts 295 - 443 magic damage on target',100,2,2),
(25825,74711,'Cannot be modified except by direct means',100,2,3),
(25826,10074711,'When Equipped:',100,0,0),
(25827,10074711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25828,10074711,'Inflicts 295 - 443 magic damage on target',100,2,2),
(25829,10074711,'Cannot be modified except by direct means',100,2,3),
(25830,37367,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(25831,103263,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(25832,103263,'If Fighter',100,2,1),
(25833,103263,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(25834,103263,'Increases power of target by 4 instantly and every 4 seconds',100,2,3),
(25835,103263,'Increases power of caster by 4 instantly and every 4 seconds',100,2,4),
(25836,10103263,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(25837,10103263,'Increases power of target by 4 instantly and every 4 seconds',100,2,1),
(25838,10103263,'Increases power of caster by 4 instantly and every 4 seconds',100,2,2),
(25839,109849,'Inflicts 4234 - 6374 melee damage on target',100,1,0),
(25840,109849,'Decreases Parry of target by 64.7',100,1,1),
(25841,109849,'Must be in front of or flanking',100,1,2),
(25842,10109849,'Inflicts 2957 - 4644 melee damage on target',100,1,0),
(25843,10109849,'Decreases Parry of target by 64.7',100,1,1),
(25844,10109849,'Must be in front of or flanking',100,1,2),
(25845,105464,'Stuns target encounter',100,1,0),
(25846,105464,'If Target is not Epic',100,2,1),
(25847,105464,'Inflicts 463 - 814 poison damage on target encounter',100,1,2),
(25848,105464,'Resistibility increases against targets higher than level 37.',100,1,3),
(25849,10105464,'Stuns target encounter',100,1,0),
(25850,10105464,'If Target is not Epic',100,2,1),
(25851,10105464,'Inflicts 338 - 515 poison damage on target encounter',100,1,2),
(25852,10105464,'Resistibility increases against targets higher than level 37.',100,1,3),
(25853,110423,'Inflicts 20298 - 33611 disease damage on target',100,1,0),
(25854,10110423,'Inflicts 10925 - 18120 disease damage on target',100,1,0),
(25855,123170,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(25856,123170,'Reduces physical damage done to caster by 5%',100,1,1),
(25857,123170,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(25858,123170,'Increases Aggression of caster by 13.9',100,1,3),
(25859,123170,'Increases Defense and Parry of caster by 27.8',100,1,4),
(25860,123170,'Increases Mitigation of caster vs elemental damage by 1856',100,1,5),
(25861,123170,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(25862,10123170,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(25863,10123170,'Reduces physical damage done to caster by 5%',100,1,1),
(25864,10123170,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(25865,10123170,'Increases Aggression of caster by 13.9',100,1,3),
(25866,10123170,'Increases Defense and Parry of caster by 27.8',100,1,4),
(25867,10123170,'Increases Mitigation of caster vs elemental damage by 1856',100,1,5),
(25868,10123170,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(25869,71639,'When Equipped:',100,0,0),
(25870,71639,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25871,71639,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(25872,71639,'Cannot be modified except by direct means',100,2,3),
(25873,10071639,'When Equipped:',100,0,0),
(25874,10071639,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(25875,10071639,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(25876,10071639,'Cannot be modified except by direct means',100,2,3),
(25877,101601,'Inflicts 2647 - 4175 melee damage on targets in area',100,1,0),
(25878,10101601,'Inflicts 2000 - 3230 melee damage on targets in area',100,1,0),
(25879,140361,'When Equipped:',100,0,0),
(25880,140361,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25881,140361,'Heals caster for 452',100,2,2),
(25882,140361,'Increases Defense of caster by 25.0',100,2,3),
(25883,140361,'Must not be engaged in pvp combat',100,2,4),
(25884,140361,'Cannot be modified except by direct means',100,2,5),
(25885,140361,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(25886,140361,'Heals caster for 452',100,2,7),
(25887,140361,'Increases Defense of caster by 25.0',100,2,8),
(25888,140361,'Must not be engaged in pvp combat',100,2,9),
(25889,140361,'Cannot be modified except by direct means',100,2,10),
(25890,10140361,'When Equipped:',100,0,0),
(25891,10140361,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(25892,10140361,'Heals caster for 294',100,2,2),
(25893,10140361,'Increases Defense of caster by 25.0',100,2,3),
(25894,10140361,'Must not be engaged in pvp combat',100,2,4),
(25895,10140361,'Cannot be modified except by direct means',100,2,5),
(25896,10140361,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(25897,10140361,'Heals caster for 294',100,2,7),
(25898,10140361,'Increases Defense of caster by 25.0',100,2,8),
(25899,10140361,'Must not be engaged in pvp combat',100,2,9),
(25900,10140361,'Cannot be modified except by direct means',100,2,10),
(25901,53947,'When Equipped:',100,0,0),
(25902,53947,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(25903,53947,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(25904,53947,'Increases Potency of caster by 3.0%',100,2,3),
(25905,53947,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(25906,53947,'Increases Ability Modifier of caster by 780.0',100,2,5),
(25907,53947,'Must not be engaged in pvp combat',100,2,6),
(25908,53947,'Cannot be modified except by direct means',100,2,7),
(25909,53947,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(25910,53947,'Increases Potency of caster by 3.0%',100,2,9),
(25911,53947,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(25912,53947,'Increases Ability Modifier of caster by 780.0',100,2,11),
(25913,53947,'Must not be engaged in pvp combat',100,2,12),
(25914,53947,'Cannot be modified except by direct means',100,2,13),
(25915,53947,'Cannot be modified except by direct means',100,1,14),
(25916,10053947,'When Equipped:',100,0,0),
(25917,10053947,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(25918,10053947,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(25919,10053947,'Increases Potency of caster by 3.0%',100,2,3),
(25920,10053947,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(25921,10053947,'Increases Ability Modifier of caster by 780.0',100,2,5),
(25922,10053947,'Must not be engaged in pvp combat',100,2,6),
(25923,10053947,'Cannot be modified except by direct means',100,2,7),
(25924,10053947,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(25925,10053947,'Increases Potency of caster by 3.0%',100,2,9),
(25926,10053947,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(25927,10053947,'Increases Ability Modifier of caster by 780.0',100,2,11),
(25928,10053947,'Must not be engaged in pvp combat',100,2,12),
(25929,10053947,'Cannot be modified except by direct means',100,2,13),
(25930,10053947,'Cannot be modified except by direct means',100,1,14),
(25931,24326,'Adds Scarecrow Dreadmage to your Dungeon Maker toolbox',100,0,0),
(25932,10024326,'Adds Scarecrow Dreadmage to your Dungeon Maker toolbox',100,0,0),
(25933,102269,'Inflicts 1408 - 2329 melee damage on targets in area',100,1,0),
(25934,10102269,'Inflicts 1104 - 1744 melee damage on targets in area',100,1,0),
(25935,116454,'Inflicts 1390 disease damage on target',100,1,0),
(25936,116454,'Inflicts 407 disease damage on target every 4 seconds',100,1,1),
(25937,116454,'Inflicts 407 disease damage on target instantly and every 4 seconds',100,1,2),
(25938,116454,'If target is nightblood',100,2,3),
(25939,116454,'Inflicts 407 disease damage on target instantly and every 4 seconds',100,1,4),
(25940,116454,'If target is shadowed folk',100,2,5),
(25941,10116454,'Inflicts 716 disease damage on target',100,1,0),
(25942,10116454,'Inflicts 321 disease damage on target every 4 seconds',100,1,1),
(25943,87155,'When Equipped:',100,0,0),
(25944,87155,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25945,87155,'Inflicts 83 - 124 magic damage on target',100,2,2),
(25946,87155,'Cannot be modified except by direct means',100,2,3),
(25947,10087155,'When Equipped:',100,0,0),
(25948,10087155,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25949,10087155,'Inflicts 83 - 124 magic damage on target',100,2,2),
(25950,10087155,'Cannot be modified except by direct means',100,2,3),
(25951,82141,'When Equipped:',100,0,0),
(25952,82141,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25953,82141,'Inflicts 272 - 505 magic damage on target',100,2,2),
(25954,82141,'Cannot be modified except by direct means',100,2,3),
(25955,10082141,'When Equipped:',100,0,0),
(25956,10082141,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(25957,10082141,'Inflicts 272 - 505 magic damage on target',100,2,2),
(25958,10082141,'Cannot be modified except by direct means',100,2,3),
(25959,111247,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(25960,111247,'Heals target for 1927 - 2347',100,2,1),
(25961,10111247,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(25962,10111247,'Heals target for 932 - 1120',100,2,1),
(25963,103177,'Throws target back',100,1,0),
(25964,103177,'If Target is not Epic',100,2,1),
(25965,103177,'Inflicts 1811 - 4563 crushing damage on target',100,1,2),
(25966,103177,'Stuns target',100,1,3),
(25967,103177,'If Target is not Epic',100,2,4),
(25968,103177,'Resistibility increases against targets higher than level 108.',100,1,5),
(25969,10103177,'Throws target back',100,1,0),
(25970,10103177,'If Target is not Epic',100,2,1),
(25971,10103177,'Inflicts 1349 - 3217 crushing damage on target',100,1,2),
(25972,10103177,'Stuns target',100,1,3),
(25973,10103177,'If Target is not Epic',100,2,4),
(25974,10103177,'Resistibility increases against targets higher than level 108.',100,1,5),
(25975,113337,'Inflicts 1753 - 2143 divine damage on target encounter',100,1,0),
(25976,113337,'Interrupts target encounter',100,1,1),
(25977,10113337,'Inflicts 1316 - 1579 divine damage on target encounter',100,1,0),
(25978,10113337,'Interrupts target encounter',100,1,1),
(25979,118508,'Inflicts 81 - 134 melee damage on target',100,1,0),
(25980,118508,'Decreases STR of target by 6.7',100,1,1),
(25981,118508,'You must be sneaking to use this ability.',100,1,2),
(25982,10118508,'Inflicts 64 - 106 melee damage on target',100,1,0),
(25983,10118508,'Decreases STR of target by 6.7',100,1,1),
(25984,10118508,'You must be sneaking to use this ability.',100,1,2),
(25985,107721,'Inflicts 3889 - 5803 heat damage on target',100,1,0),
(25986,107721,'You must be sneaking to use this ability.',100,1,1),
(25987,10107721,'Inflicts 2685 - 4194 heat damage on target',100,1,0),
(25988,10107721,'You must be sneaking to use this ability.',100,1,1),
(25989,112476,'Decreases AGI and WIS of target by 29.7',100,1,0),
(25990,10112476,'Decreases AGI and WIS of target by 29.7',100,1,0),
(25991,100203,'Increases Threat to target encounter by 1,392 - 1,701 ',100,1,0),
(25992,100203,'Interrupts target encounter',100,1,1),
(25993,10100203,'Interrupts target encounter',100,1,0),
(25994,10100203,'Forces target encounter to change their selected target to caster.',100,1,1),
(25995,10100203,'Prevents target encounter from changing targets',100,1,2),
(25996,148408,'When Equipped:',100,0,0),
(25997,148408,'Increases Attack Speed of caster by 45.0',100,1,1),
(25998,10148408,'When Equipped:',100,0,0),
(25999,10148408,'Increases Attack Speed of caster by 45.0',100,1,1),
(26000,112113,'Dispels 16 levels of physical hostile effects on caster',100,129,0),
(26001,112113,'Dispels 16 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(26002,10112113,'Dispels 16 levels of physical hostile effects on caster',100,129,0),
(26003,10112113,'Dispels 16 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(26004,101282,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(26005,101282,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,1),
(26006,10101282,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(26007,10101282,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,1),
(26008,116955,'Increases Threat to target by 6,905 - 7,935 ',100,1,0),
(26009,116955,'Interrupts target',100,1,1),
(26010,10116955,'Forces target to change their selected target to caster.',100,1,0),
(26011,10116955,'Interrupts target',100,1,1),
(26012,10116955,'Prevents target from changing targets',100,1,2),
(26013,174825,'When Equipped:',100,0,0),
(26014,174825,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(26015,174825,'This effect suspends during combat',100,1,2),
(26016,10174825,'When Equipped:',100,0,0),
(26017,10174825,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(26018,10174825,'This effect suspends during combat',100,1,2),
(26019,184718,'When Equipped:',100,0,0),
(26020,184718,'On a hostile spell cast this spell may cast Evasion of a Dauntless Champion on caster.  Lasts for 10.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(26021,184718,'Prevents AOE (except when direct) ',100,2,2),
(26022,184718,'Must not be engaged in pvp combat',100,2,3),
(26023,184718,'Cannot be modified except by direct means',100,2,4),
(26024,184718,'Increases Crit Bonus of caster by 10.0%',100,1,5),
(26025,184718,'On any combat or spell hit this spell may cast Evasion of a Dauntless Champion on caster.  Lasts for 10.0 seconds.  Triggers about 1.4 times per minute. ',100,1,6),
(26026,184718,'Prevents AOE (except when direct) ',100,2,7),
(26027,184718,'Must not be engaged in pvp combat',100,2,8),
(26028,184718,'Cannot be modified except by direct means',100,2,9),
(26029,10184718,'When Equipped:',100,0,0),
(26030,10184718,'On a hostile spell cast this spell may cast Evasion of a Dauntless Champion on caster.  Lasts for 10.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(26031,10184718,'Prevents AOE (except when direct) ',100,2,2),
(26032,10184718,'Must not be engaged in pvp combat',100,2,3),
(26033,10184718,'Cannot be modified except by direct means',100,2,4),
(26034,10184718,'Increases Crit Bonus of caster by 10.0%',100,1,5),
(26035,10184718,'On any combat or spell hit this spell may cast Evasion of a Dauntless Champion on caster.  Lasts for 10.0 seconds.  Triggers about 1.4 times per minute. ',100,1,6),
(26036,10184718,'Prevents AOE (except when direct) ',100,2,7),
(26037,10184718,'Must not be engaged in pvp combat',100,2,8),
(26038,10184718,'Cannot be modified except by direct means',100,2,9),
(26039,123074,'Summons a pet undead knight',100,1,0),
(26040,10123074,'Summons a pet undead knight',100,1,0),
(26041,105874,'Inflicts 328 - 544 ranged damage on target',100,1,0),
(26042,105874,'Inflicts 164 - 272 ranged damage on target',100,1,1),
(26043,105874,'If weapon equipped in Ranged',100,1,2),
(26044,10105874,'Inflicts 261 - 433 ranged damage on target',100,1,0),
(26045,10105874,'Inflicts 96 - 160 ranged damage on target',100,1,1),
(26046,10105874,'If weapon equipped in Ranged',100,1,2),
(26047,111916,'Inflicts 184 - 307 piercing damage on target instantly and every 4 seconds',100,1,0),
(26048,111916,'Inflicts 1342 - 2108 piercing damage on target',100,1,1),
(26049,10111916,'Inflicts 242 - 403 piercing damage on target instantly and every 4 seconds',100,1,0),
(26050,10111916,'Inflicts 1124 - 1604 piercing damage on target',100,1,1),
(26051,121367,'Inflicts 672 - 968 magic damage on target encounter',100,1,0),
(26052,121367,'Inflicts 345 - 641 magic damage on target encounter every 2 seconds',100,1,1),
(26053,10121367,'Inflicts 403 - 637 magic damage on target encounter',100,1,0),
(26054,10121367,'Inflicts 272 - 505 magic damage on target encounter every 2 seconds',100,1,1),
(26055,130941,'Applies Hanging Cloak when Activated.',100,0,0),
(26056,130941,'Summon 1 Ale-stained Tapestry of the Gathering',100,1,1),
(26057,130941,'This effect cannot be cast during combat',100,1,2),
(26058,130941,'The casting time of Hanging Cloak is 1.98 seconds and the reuse time of the spell is 3.45 seconds',100,1,3),
(26059,10130941,'Applies Hanging Cloak when Activated.',100,0,0),
(26060,10130941,'Summon 1 Ale-stained Tapestry of the Gathering',100,1,1),
(26061,10130941,'This effect cannot be cast during combat',100,1,2),
(26062,10130941,'The casting time of Hanging Cloak is 1.98 seconds and the reuse time of the spell is 3.45 seconds',100,1,3),
(26063,46292,'Applies Sight of Thalger when Activated.  Lasts for 45.0 seconds.',100,0,0),
(26064,46292,'Grants See Spirit form to caster',100,1,1),
(26065,10046292,'Applies Sight of Thalger when Activated.  Lasts for 45.0 seconds.',100,0,0),
(26066,10046292,'Grants See Spirit form to caster',100,1,1),
(26067,104347,'Charms target',100,1,0),
(26068,104347,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(26069,104347,'Mesmerizes target',100,2,2),
(26070,104347,'Dispelled when target takes damage',100,2,3),
(26071,104347,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(26072,104347,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(26073,104347,'Grants Sonic Vision to caster',100,2,6),
(26074,104347,'Increases Out-of-Combat Power Regeneration of target by 23.4',100,1,7),
(26075,104347,'Increases Out-of-Combat Health Regeneration of target by 46.8',100,1,8),
(26076,104347,'Certain enemies cannot be charmed',100,1,9),
(26077,104347,'Does not affect Epic targets',100,1,10),
(26078,10104347,'Mesmerizes target',100,1,0),
(26079,10104347,'Prevents AOE (except when direct) ',100,1,1),
(26080,10104347,'Dispelled when target takes damage',100,1,2),
(26081,10104347,'Certain enemies cannot be charmed',100,1,3),
(26082,10104347,'Does not affect Epic targets',100,1,4),
(26083,10104347,'Resistibility increases against targets higher than level 76.',100,1,5),
(26084,52793,'Applies Sanguine Imbued when Equipped.',100,0,0),
(26085,52793,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(26086,52793,'Inflicts 288 heat damage on target',100,2,2),
(26087,52793,'Cannot be modified except by direct means',100,2,3),
(26088,10052793,'Applies Sanguine Imbued when Equipped.',100,0,0),
(26089,10052793,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(26090,10052793,'Inflicts 288 heat damage on target',100,2,2),
(26091,10052793,'Cannot be modified except by direct means',100,2,3),
(26092,123497,'Decreases Mitigation of target encounter vs noxious damage by 492',100,1,0),
(26093,10123497,'Decreases Mitigation of target encounter vs noxious damage by 492',100,1,0),
(26094,159968,'When Equipped:',100,0,0),
(26095,159968,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(26096,159968,'Increases STA of caster by 8.8',100,2,2),
(26097,159968,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(26098,159968,'Cannot be modified except by direct means',100,2,4),
(26099,10159968,'When Equipped:',100,0,0),
(26100,10159968,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(26101,10159968,'Increases STA of caster by 8.8',100,2,2),
(26102,10159968,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(26103,10159968,'Cannot be modified except by direct means',100,2,4),
(26104,52740,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(26105,52740,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(26106,52740,'Inflicts 89 heat damage on target',100,2,2),
(26107,52740,'Cannot be modified except by direct means',100,2,3),
(26108,10052740,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(26109,10052740,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(26110,10052740,'Inflicts 89 heat damage on target',100,2,2),
(26111,10052740,'Cannot be modified except by direct means',100,2,3),
(26112,47904,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(26113,47904,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(26114,47904,'Decreases power of target by 1102',100,2,2),
(26115,47904,'Increases power of caster by 275',100,2,3),
(26116,47904,'Cannot be modified except by direct means',100,2,4),
(26117,47904,'Grants a total of 100 triggers of the spell.',100,2,5),
(26118,10047904,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(26119,10047904,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(26120,10047904,'Decreases power of target by 606',100,2,2),
(26121,10047904,'Increases power of caster by 247',100,2,3),
(26122,10047904,'Cannot be modified except by direct means',100,2,4),
(26123,10047904,'Grants a total of 100 triggers of the spell.',100,2,5),
(26124,115092,'Heals target for 2813 - 3219',100,1,0),
(26125,115092,'Heals target for 235 - 288 every second',100,1,1),
(26126,10115092,'Heals target for 2935 - 3531',100,1,0),
(26127,10115092,'Heals target for 201 - 246 every second',100,1,1),
(26128,109082,'Inflicts 1905 - 2512 melee damage on target',100,1,0),
(26129,109082,'Inflicts 922 - 1530 melee damage on target',100,1,1),
(26130,109082,'Inflicts 922 - 1530 melee damage on target',100,1,2),
(26131,109082,'Decreases Mitigation of target vs physical damage by 672',100,1,3),
(26132,10109082,'Inflicts 1121 - 1600 melee damage on target',100,1,0),
(26133,10109082,'Inflicts 727 - 1205 melee damage on target',100,1,1),
(26134,10109082,'Inflicts 727 - 1205 melee damage on target',100,1,2),
(26135,10109082,'Decreases Mitigation of target vs physical damage by 672',100,1,3),
(26136,48607,'Applies Totem of the Otter when Activated.  Lasts for 15 minutes.',100,0,0),
(26137,48607,'Allows caster to breathe under water',100,1,1),
(26138,10048607,'Applies Totem of the Otter when Activated.  Lasts for 15 minutes.',100,0,0),
(26139,10048607,'Allows caster to breathe under water',100,1,1),
(26140,24597,'Adds Boss: Orc-Crushbone (Paladin) to your Dungeon Maker toolbox',100,0,0),
(26141,10024597,'Adds Boss: Orc-Crushbone (Paladin) to your Dungeon Maker toolbox',100,0,0),
(26142,88021,'When Equipped:',100,0,0),
(26143,88021,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26144,88021,'Inflicts 284 heat damage on target',100,2,2),
(26145,88021,'Heals caster for 216',100,2,3),
(26146,88021,'Cannot be modified except by direct means',100,2,4),
(26147,10088021,'When Equipped:',100,0,0),
(26148,10088021,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26149,10088021,'Inflicts 284 heat damage on target',100,2,2),
(26150,10088021,'Heals caster for 140',100,2,3),
(26151,10088021,'Cannot be modified except by direct means',100,2,4),
(26152,81225,'When Equipped:',100,0,0),
(26153,81225,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26154,81225,'Inflicts 155 - 288 magic damage on target',100,2,2),
(26155,81225,'Cannot be modified except by direct means',100,2,3),
(26156,10081225,'When Equipped:',100,0,0),
(26157,10081225,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26158,10081225,'Inflicts 155 - 288 magic damage on target',100,2,2),
(26159,10081225,'Cannot be modified except by direct means',100,2,3),
(26160,144683,'When Equipped:',100,0,0),
(26161,144683,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26162,144683,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(26163,144683,'Heals caster for 635 - 952',100,2,3),
(26164,144683,'Cannot be modified except by direct means',100,2,4),
(26165,144683,'Cannot be modified except by direct means',100,1,5),
(26166,10144683,'When Equipped:',100,0,0),
(26167,10144683,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26168,10144683,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(26169,10144683,'Heals caster for 743 - 1114',100,2,3),
(26170,10144683,'Cannot be modified except by direct means',100,2,4),
(26171,10144683,'Cannot be modified except by direct means',100,1,5),
(26172,100606,'Inflicts 3919 - 5853 melee damage on target',100,1,0),
(26173,100606,'You must be sneaking to use this ability.',100,1,1),
(26174,10100606,'Inflicts 3159 - 4980 melee damage on target',100,1,0),
(26175,10100606,'You must be sneaking to use this ability.',100,1,1),
(26176,49187,'Applies Call Ykeshan Spellbear when Activated.',100,0,0),
(26177,49187,'Increases Max Power of caster by 250.0',100,1,1),
(26178,49187,'Summons a mount to ride',100,1,2),
(26179,49187,'Increases your ground speed by 130%',100,2,3),
(26180,49187,'Increases Ability Reuse Speed of caster by 3.0%',100,1,4),
(26181,10049187,'Applies Call Ykeshan Spellbear when Activated.',100,0,0),
(26182,10049187,'Increases Max Power of caster by 250.0',100,1,1),
(26183,10049187,'Summons a mount to ride',100,1,2),
(26184,10049187,'Increases your ground speed by 130%',100,2,3),
(26185,10049187,'Increases Ability Reuse Speed of caster by 3.0%',100,1,4),
(26186,123730,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(26187,10123730,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(26188,45338,'Applies Black Two Tone Warg with Green Saddle when Activated.',100,0,0),
(26189,45338,'Increases Disruption and Piercing of caster by 7.0',100,1,1),
(26190,45338,'Summons a mount to ride',100,1,2),
(26191,45338,'Increases your ground speed by 130%',100,2,3),
(26192,45338,'Increases Ranged of caster by 7.0',100,1,4),
(26193,45338,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(26194,45338,'Increases Crushing and Slashing of caster by 7.0',100,1,6),
(26195,10045338,'Applies Black Two Tone Warg with Green Saddle when Activated.',100,0,0),
(26196,10045338,'Increases Disruption and Piercing of caster by 7.0',100,1,1),
(26197,10045338,'Summons a mount to ride',100,1,2),
(26198,10045338,'Increases your ground speed by 130%',100,2,3),
(26199,10045338,'Increases Ranged of caster by 7.0',100,1,4),
(26200,10045338,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(26201,10045338,'Increases Crushing and Slashing of caster by 7.0',100,1,6),
(26202,116600,'Inflicts 2218 - 3436 divine damage on target',100,1,0),
(26203,10116600,'Inflicts 1561 - 2329 divine damage on target',100,1,0),
(26204,112626,'Increases STA of caster by 69.3',100,1,0),
(26205,112626,'Reduces slow effects on caster by 27.0%',100,1,1),
(26206,112626,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,2),
(26207,10112626,'Increases STA of caster by 69.3',100,1,0),
(26208,10112626,'Reduces slow effects on caster by 27.0%',100,1,1),
(26209,10112626,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,2),
(26210,107068,'Inflicts 74 - 91 divine damage on target',100,1,0),
(26211,10107068,'Inflicts 64 - 78 divine damage on target',100,1,0),
(26212,113793,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(26213,113793,'Heals target for 1009 - 1233',100,2,1),
(26214,10113793,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(26215,10113793,'Heals target for 528 - 627',100,2,1),
(26216,36734,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(26217,47592,'Applies Lesser Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(26218,47592,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(26219,10047592,'Applies Lesser Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(26220,10047592,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(26221,36292,'Increases STA and STR of target by 6.2',100,0,0),
(26222,36292,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(26223,113837,'Inflicts 2907 - 4213 disease damage on target',100,1,0),
(26224,10113837,'Inflicts 1922 - 2941 disease damage on target',100,1,0),
(26225,121271,'Inflicts 71 - 86 magic damage on target',100,1,0),
(26226,121271,'Inflicts 16 - 19 magic damage on target every 4 seconds',100,1,1),
(26227,10121271,'Inflicts 67 - 82 magic damage on target',100,1,0),
(26228,10121271,'Inflicts 12 - 15 magic damage on target every 4 seconds',100,1,1),
(26229,26641,'When Equipped:',100,0,0),
(26230,26641,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(26231,26641,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(26232,10026641,'When Equipped:',100,0,0),
(26233,10026641,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(26234,10026641,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(26235,46701,'Applies Iron Rage when Activated.',100,0,0),
(26236,46701,'Shapechanges the user into an iron golem, and provides a shield which damages any melee attacker.',100,1,1),
(26237,10046701,'Applies Iron Rage when Activated.',100,0,0),
(26238,10046701,'Shapechanges the user into an iron golem, and provides a shield which damages any melee attacker.',100,1,1),
(26239,100826,'Wards target against 566 points of all damage',100,1,0),
(26240,10100826,'Wards target against 715 points of all damage',100,1,0),
(26241,37480,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(26242,103077,'Inflicts 1414 magic damage on target',100,1,0),
(26243,103077,'Inflicts 431 magic damage on target every 4 seconds',100,1,1),
(26244,103077,'Increases power of caster by 94 instantly and every 4 seconds',100,1,2),
(26245,10103077,'Inflicts 735 magic damage on target',100,1,0),
(26246,10103077,'Inflicts 340 magic damage on target every 4 seconds',100,1,1),
(26247,10103077,'Increases power of caster by 94 instantly and every 4 seconds',100,1,2),
(26248,45826,'Applies Consume Essence when Activated.',100,0,0),
(26249,45826,'Heals group members (AE) for 770 - 942',100,1,1),
(26250,45826,'Dispels 151 levels of any hostile effects on caster',100,1,2),
(26251,10045826,'Applies Consume Essence when Activated.',100,0,0),
(26252,10045826,'Heals group members (AE) for 501 - 612',100,1,1),
(26253,10045826,'Dispels 151 levels of any hostile effects on caster',100,1,2),
(26254,36504,'Increases STR and WIS of target by 15.4',100,0,0),
(26255,36504,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(26256,131971,'When Equipped:',100,0,0),
(26257,131971,'Increases Attack Speed of caster by 3.0',100,1,1),
(26258,10131971,'When Equipped:',100,0,0),
(26259,10131971,'Increases Attack Speed of caster by 3.0',100,1,1),
(26260,45944,'Applies Di''Zok Mental Strike when Activated.  Lasts for 12 hours.',100,0,0),
(26261,45944,'On a combat hit this spell may cast Di''Zok Mental Strike on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(26262,45944,'Decreases power of target by 667',100,2,2),
(26263,45944,'Inflicts 667 poison damage on target',100,2,3),
(26264,45944,'Increases power of caster by 180',100,2,4),
(26265,45944,'Cannot be modified except by direct means',100,2,5),
(26266,45944,'Grants a total of 100 triggers of the spell.',100,2,6),
(26267,10045944,'Applies Di''Zok Mental Strike when Activated.  Lasts for 12 hours.',100,0,0),
(26268,10045944,'On a combat hit this spell may cast Di''Zok Mental Strike on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(26269,10045944,'Inflicts 534 poison damage on target',100,2,2),
(26270,10045944,'Decreases power of target by 534',100,2,3),
(26271,10045944,'Increases power of caster by 108',100,2,4),
(26272,10045944,'Cannot be modified except by direct means',100,2,5),
(26273,10045944,'Grants a total of 100 triggers of the spell.',100,2,6),
(26274,116761,'Increases Max Health of target by 381.7',100,1,0),
(26275,116761,'Increases Max Power of target by 428.1',100,1,1),
(26276,10116761,'Increases Max Health of target by 381.7',100,1,0),
(26277,10116761,'Increases Max Power of target by 428.1',100,1,1),
(26278,110745,'Summons a limited pet to aid the caster',100,1,0),
(26279,10110745,'Summons a limited pet to aid the caster',100,1,0),
(26280,75447,'When Equipped:',100,0,0),
(26281,75447,'On a critical combat hit this spell may cast Endless Wounds V on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(26282,75447,'Inflicts 16 - 17 cold damage on target',100,2,2),
(26283,75447,'Inflicts 20 - 22 cold damage on target every 2 seconds',100,2,3),
(26284,75447,'Inflicts an additional 3 - 4 cold damage on target every tick',100,2,4),
(26285,75447,'Must not be engaged in pvp combat',100,2,5),
(26286,75447,'Cannot be modified except by direct means',100,2,6),
(26287,75447,'On a critical spell hit this spell may cast Endless Wounds V on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(26288,75447,'Inflicts 16 - 17 cold damage on target',100,2,8),
(26289,75447,'Inflicts 20 - 22 cold damage on target every 2 seconds',100,2,9),
(26290,75447,'Inflicts an additional 3 - 4 cold damage on target every tick',100,2,10),
(26291,75447,'Must not be engaged in pvp combat',100,2,11),
(26292,75447,'Cannot be modified except by direct means',100,2,12),
(26293,75447,'Must not be engaged in pvp combat',100,1,13),
(26294,10075447,'When Equipped:',100,0,0),
(26295,10075447,'On a critical combat hit this spell may cast Endless Wounds V on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(26296,10075447,'Inflicts 16 - 17 cold damage on target',100,2,2),
(26297,10075447,'Inflicts 20 - 22 cold damage on target every 2 seconds',100,2,3),
(26298,10075447,'Inflicts an additional 3 - 4 cold damage on target every tick',100,2,4),
(26299,10075447,'Must not be engaged in pvp combat',100,2,5),
(26300,10075447,'Cannot be modified except by direct means',100,2,6),
(26301,10075447,'On a critical spell hit this spell may cast Endless Wounds V on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(26302,10075447,'Inflicts 16 - 17 cold damage on target',100,2,8),
(26303,10075447,'Inflicts 20 - 22 cold damage on target every 2 seconds',100,2,9),
(26304,10075447,'Inflicts an additional 3 - 4 cold damage on target every tick',100,2,10),
(26305,10075447,'Must not be engaged in pvp combat',100,2,11),
(26306,10075447,'Cannot be modified except by direct means',100,2,12),
(26307,10075447,'Must not be engaged in pvp combat',100,1,13),
(26308,25217,'When Equipped:',100,0,0),
(26309,25217,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26310,25217,'Inflicts 32 divine damage on target',100,2,2),
(26311,25217,'Heals caster for 16',100,2,3),
(26312,25217,'Cannot be modified except by direct means',100,2,4),
(26313,10025217,'When Equipped:',100,0,0),
(26314,10025217,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26315,10025217,'Inflicts 32 divine damage on target',100,2,2),
(26316,10025217,'Heals caster for 10',100,2,3),
(26317,10025217,'Cannot be modified except by direct means',100,2,4),
(26318,119487,'Dazes target encounter',100,1,0),
(26319,119487,'If Target is not Epic',100,2,1),
(26320,119487,'Inflicts 908 - 1037 magic damage on target encounter',100,1,2),
(26321,119487,'Inflicts 580 - 709 magic damage on target encounter every second',100,1,3),
(26322,119487,'Resistibility increases against targets higher than level 82.',100,1,4),
(26323,10119487,'Inflicts 733 - 867 magic damage on target encounter',100,1,0),
(26324,10119487,'Inflicts 457 - 559 magic damage on target encounter every second',100,1,1),
(26325,10119487,'Dazes target encounter',100,1,2),
(26326,10119487,'If Target is not Epic',100,2,3),
(26327,10119487,'Resistibility increases against targets higher than level 82.',100,1,4),
(26328,181490,'When Equipped:',100,0,0),
(26329,181490,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(26330,181490,'When Equipped:',100,0,2),
(26331,181490,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,3),
(26332,181490,'Heals group members for 571',100,2,4),
(26333,181490,'Cannot be modified except by direct means',100,2,5),
(26334,10181490,'When Equipped:',100,0,0),
(26335,10181490,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(26336,10181490,'When Equipped:',100,0,2),
(26337,10181490,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,3),
(26338,10181490,'Heals group members for 371',100,2,4),
(26339,10181490,'Cannot be modified except by direct means',100,2,5),
(26340,52866,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(26341,52866,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(26342,52866,'Inflicts 35 heat damage on target',100,2,2),
(26343,52866,'Cannot be modified except by direct means',100,2,3),
(26344,10052866,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(26345,10052866,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(26346,10052866,'Inflicts 35 heat damage on target',100,2,2),
(26347,10052866,'Cannot be modified except by direct means',100,2,3),
(26348,114632,'Decreases WIS of target by 36.3',100,1,0),
(26349,114632,'Inflicts 2543 - 3797 melee damage on target',100,1,1),
(26350,114632,'You must be sneaking to use this ability.',100,1,2),
(26351,10114632,'Decreases WIS of target by 36.3',100,1,0),
(26352,10114632,'Inflicts 1732 - 2613 melee damage on target',100,1,1),
(26353,10114632,'You must be sneaking to use this ability.',100,1,2),
(26354,120775,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(26355,120775,'Stuns target',100,2,1),
(26356,120775,'Throws target back',100,2,2),
(26357,120775,'Blurs vision of target',100,2,3),
(26358,120775,'Does not affect Epic targets',100,2,4),
(26359,120775,'Inflicts 315 - 523 piercing damage on target',100,1,5),
(26360,10120775,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(26361,10120775,'Stuns target',100,2,1),
(26362,10120775,'Throws target back',100,2,2),
(26363,10120775,'Blurs vision of target',100,2,3),
(26364,10120775,'Does not affect Epic targets',100,2,4),
(26365,10120775,'Inflicts 254 - 421 piercing damage on target',100,1,5),
(26366,108608,'Feigns Death with 61% chance of success',100,1,0),
(26367,10108608,'Feigns Death with 61% chance of success',100,1,0),
(26368,185341,'When Equipped:',100,0,0),
(26369,185341,'On a healing spell cast this spell may cast Lesser Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(26370,185341,'Heals group members (AE) for 580',100,2,2),
(26371,185341,'Heals group members (AE) for 145 every 5 seconds',100,2,3),
(26372,185341,'Must not be engaged in pvp combat',100,2,4),
(26373,185341,'Cannot be modified except by direct means',100,2,5),
(26374,185341,'Must not be engaged in pvp combat',100,1,6),
(26375,10185341,'When Equipped:',100,0,0),
(26376,10185341,'On a healing spell cast this spell may cast Lesser Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(26377,10185341,'Heals group members (AE) for 679',100,2,2),
(26378,10185341,'Heals group members (AE) for 170 every 5 seconds',100,2,3),
(26379,10185341,'Must not be engaged in pvp combat',100,2,4),
(26380,10185341,'Cannot be modified except by direct means',100,2,5),
(26381,10185341,'Must not be engaged in pvp combat',100,1,6),
(26382,108313,'Inflicts 566 - 938 divine damage on target',100,1,0),
(26383,108313,'Heals caster for 0.9% of max health',100,1,1),
(26384,108313,'This effect cannot be critically applied.',100,2,2),
(26385,108313,'The healing of this spell cannot be modified except by direct means',100,1,3),
(26386,10108313,'Inflicts 452 - 749 divine damage on target',100,1,0),
(26387,10108313,'Heals caster for 0.5% of max health',100,1,1),
(26388,10108313,'This effect cannot be critically applied.',100,2,2),
(26389,10108313,'The healing of this spell cannot be modified except by direct means',100,1,3),
(26390,45948,'Applies Expand Space when Activated.',100,0,0),
(26391,45948,'Increases the maximum storage in a house by 100.',100,1,1),
(26392,45948,'Must be in your own house.',100,1,2),
(26393,10045948,'Applies Expand Space when Activated.',100,0,0),
(26394,10045948,'Increases the maximum storage in a house by 100.',100,1,1),
(26395,10045948,'Must be in your own house.',100,1,2),
(26396,108017,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(26397,108017,'Increases Mitigation of group members (AE) vs elemental damage by 1195',100,1,1),
(26398,10108017,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(26399,10108017,'Increases Mitigation of group members (AE) vs elemental damage by 1195',100,1,1),
(26400,143428,'When Equipped:',100,0,0),
(26401,143428,'Increases disease damage done by spells by up to 50.',100,1,1),
(26402,10143428,'When Equipped:',100,0,0),
(26403,10143428,'Increases disease damage done by spells by up to 50.',100,1,1),
(26404,122388,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(26405,122388,'Inflicts 30 - 37 piercing damage on target encounter',100,2,1),
(26406,10122388,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(26407,10122388,'Inflicts 24 - 29 piercing damage on target encounter',100,2,1),
(26408,48724,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(26409,48724,'Increases STA and STR of caster by 17.3',100,1,1),
(26410,10048724,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(26411,10048724,'Increases STA and STR of caster by 17.3',100,1,1),
(26412,121892,'Inflicts 531 - 881 melee damage on target',100,1,0),
(26413,121892,'Decreases power of target by 132 - 220',100,1,1),
(26414,121892,'Must be flanking or behind',100,1,2),
(26415,10121892,'Inflicts 419 - 694 melee damage on target',100,1,0),
(26416,10121892,'Decreases power of target by 104 - 174',100,1,1),
(26417,10121892,'Must be flanking or behind',100,1,2),
(26418,141694,'When Equipped:',100,0,0),
(26419,141694,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26420,141694,'Increases WIS of caster by 5.8',100,2,2),
(26421,141694,'Increases Ministration, Focus and Ordination of caster by 3.7',100,2,3),
(26422,141694,'Cannot be modified except by direct means',100,2,4),
(26423,10141694,'When Equipped:',100,0,0),
(26424,10141694,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26425,10141694,'Increases WIS of caster by 5.8',100,2,2),
(26426,10141694,'Increases Ministration, Focus and Ordination of caster by 3.7',100,2,3),
(26427,10141694,'Cannot be modified except by direct means',100,2,4),
(26428,139529,'When Equipped:',100,0,0),
(26429,139529,'Reduces maximum falling speed of caster',100,1,1),
(26430,10139529,'When Equipped:',100,0,0),
(26431,10139529,'Reduces maximum falling speed of caster',100,1,1),
(26432,106526,'Inflicts 10620 - 16964 melee damage on target',100,1,0),
(26433,106526,'Inflicts 280.4% of max health in crushing damage on target',100,1,1),
(26434,106526,'If Target is Standard or weaker',100,2,2),
(26435,10106526,'Inflicts 4192 - 6692 melee damage on target',100,1,0),
(26436,72021,'When Equipped:',100,0,0),
(26437,72021,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26438,72021,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(26439,72021,'Cannot be modified except by direct means',100,2,3),
(26440,10072021,'When Equipped:',100,0,0),
(26441,10072021,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26442,10072021,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(26443,10072021,'Cannot be modified except by direct means',100,2,3),
(26444,101648,'Decreases Attack Speed of target by 12.2',100,1,0),
(26445,101648,'Decreases Damage Per Second of target by 7.0',100,1,1),
(26446,10101648,'Decreases Attack Speed of target by 12.2',100,1,0),
(26447,10101648,'Decreases Damage Per Second of target by 7.0',100,1,1),
(26448,79333,'When Equipped:',100,0,0),
(26449,79333,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26450,79333,'Inflicts 490 - 817 magic damage on target',100,2,2),
(26451,79333,'Inflicts 490 - 817 piercing damage on target',100,2,3),
(26452,79333,'Inflicts 490 - 817 divine damage on target',100,2,4),
(26453,79333,'Must not be engaged in pvp combat',100,2,5),
(26454,79333,'Cannot be modified except by direct means',100,2,6),
(26455,79333,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(26456,79333,'Inflicts 490 - 817 magic damage on target',100,2,8),
(26457,79333,'Inflicts 490 - 817 piercing damage on target',100,2,9),
(26458,79333,'Inflicts 490 - 817 divine damage on target',100,2,10),
(26459,79333,'Must not be engaged in pvp combat',100,2,11),
(26460,79333,'Cannot be modified except by direct means',100,2,12),
(26461,79333,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(26462,79333,'Inflicts 490 - 817 magic damage on target',100,2,14),
(26463,79333,'Inflicts 490 - 817 piercing damage on target',100,2,15),
(26464,79333,'Inflicts 490 - 817 divine damage on target',100,2,16),
(26465,79333,'Must not be engaged in pvp combat',100,2,17),
(26466,79333,'Cannot be modified except by direct means',100,2,18),
(26467,79333,'Must not be engaged in pvp combat',100,1,19),
(26468,10079333,'When Equipped:',100,0,0),
(26469,10079333,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26470,10079333,'Inflicts 490 - 817 magic damage on target',100,2,2),
(26471,10079333,'Inflicts 490 - 817 piercing damage on target',100,2,3),
(26472,10079333,'Inflicts 490 - 817 divine damage on target',100,2,4),
(26473,10079333,'Must not be engaged in pvp combat',100,2,5),
(26474,10079333,'Cannot be modified except by direct means',100,2,6),
(26475,10079333,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(26476,10079333,'Inflicts 490 - 817 magic damage on target',100,2,8),
(26477,10079333,'Inflicts 490 - 817 piercing damage on target',100,2,9),
(26478,10079333,'Inflicts 490 - 817 divine damage on target',100,2,10),
(26479,10079333,'Must not be engaged in pvp combat',100,2,11),
(26480,10079333,'Cannot be modified except by direct means',100,2,12),
(26481,10079333,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(26482,10079333,'Inflicts 490 - 817 magic damage on target',100,2,14),
(26483,10079333,'Inflicts 490 - 817 piercing damage on target',100,2,15),
(26484,10079333,'Inflicts 490 - 817 divine damage on target',100,2,16),
(26485,10079333,'Must not be engaged in pvp combat',100,2,17),
(26486,10079333,'Cannot be modified except by direct means',100,2,18),
(26487,10079333,'Must not be engaged in pvp combat',100,1,19),
(26488,116133,'Inflicts 717 - 1189 divine damage on target',100,1,0),
(26489,116133,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(26490,116133,'Stuns target',100,2,2),
(26491,116133,'Throws target back',100,2,3),
(26492,116133,'Blurs vision of target',100,2,4),
(26493,116133,'Does not affect Epic targets',100,2,5),
(26494,10116133,'Inflicts 577 - 958 divine damage on target',100,1,0),
(26495,10116133,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(26496,10116133,'Stuns target',100,2,2),
(26497,10116133,'Throws target back',100,2,3),
(26498,10116133,'Blurs vision of target',100,2,4),
(26499,10116133,'Does not affect Epic targets',100,2,5),
(26500,119886,'Increases INT and AGI of group members (AE) by 53.4',100,1,0),
(26501,119886,'Adds 1.6% to base avoidance.',100,1,1),
(26502,10119886,'Increases INT and AGI of group members (AE) by 53.4',100,1,0),
(26503,10119886,'Adds 1.6% to base avoidance.',100,1,1),
(26504,45258,'Applies Simple Tools when Equipped.',100,0,0),
(26505,45258,'Increases success chance by 1.0%',100,1,1),
(26506,10045258,'Applies Simple Tools when Equipped.',100,0,0),
(26507,10045258,'Increases success chance by 1.0%',100,1,1),
(26508,117194,'Inflicts 2120 poison damage on target',100,1,0),
(26509,117194,'Inflicts 1138 poison damage on target every 4 seconds',100,1,1),
(26510,117194,'Decreases WIS of target by 157.1',100,1,2),
(26511,10117194,'Inflicts 1291 poison damage on target',100,1,0),
(26512,10117194,'Inflicts 897 poison damage on target every 4 seconds',100,1,1),
(26513,10117194,'Decreases WIS of target by 157.1',100,1,2),
(26514,35773,'Increases AGI of target by 6.2',100,0,0),
(26515,35773,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(26516,106705,'Heals target for 399 - 487',100,1,0),
(26517,10106705,'Heals target for 333 - 406',100,1,0),
(26518,120889,'Stifles target',100,1,0),
(26519,120889,'Inflicts 1984 - 2425 mental damage on target',100,1,1),
(26520,120889,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,2),
(26521,120889,'Resistibility increases against targets higher than level 73.',100,1,3),
(26522,10120889,'Stifles target',100,1,0),
(26523,10120889,'Inflicts 1437 - 1669 mental damage on target',100,1,1),
(26524,10120889,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(26525,10120889,'Resistibility increases against targets higher than level 73.',100,1,3),
(26526,106050,'Increases AGI of caster by 36.6',100,1,0),
(26527,106050,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(26528,106050,'Inflicts 240 - 399 disease damage on target',100,2,2),
(26529,106050,'Adds 15.6% to base avoidance.',100,1,3),
(26530,106050,'Increases Mitigation of caster vs physical damage by 189',100,1,4),
(26531,106050,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,5),
(26532,10106050,'Increases AGI of caster by 36.6',100,1,0),
(26533,10106050,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(26534,10106050,'Inflicts 189 - 315 disease damage on target',100,2,2),
(26535,10106050,'Adds 15.6% to base avoidance.',100,1,3),
(26536,10106050,'Increases Mitigation of caster vs physical damage by 189',100,1,4),
(26537,10106050,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,5),
(26538,46538,'Applies elixir of second sight when Activated.  Lasts for 10 minutes.',100,0,0),
(26539,46538,'Increases Crit Chance of caster by 4.0',100,1,1),
(26540,10046538,'Applies elixir of second sight when Activated.  Lasts for 10 minutes.',100,0,0),
(26541,10046538,'Increases Crit Chance of caster by 4.0',100,1,1),
(26542,107285,'Inflicts 2769 - 3948 ranged damage on target',100,1,0),
(26543,107285,'Inflicts 1787 - 2965 ranged damage on target',100,1,1),
(26544,107285,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(26545,107285,'Stuns target',100,2,3),
(26546,107285,'Throws target back',100,2,4),
(26547,107285,'Blurs vision of target',100,2,5),
(26548,107285,'Does not affect Epic targets',100,2,6),
(26549,107285,'If weapon equipped in Ranged',100,1,7),
(26550,10107285,'Inflicts 1451 - 2147 ranged damage on target',100,1,0),
(26551,10107285,'Inflicts 1056 - 1753 ranged damage on target',100,1,1),
(26552,10107285,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(26553,10107285,'Stuns target',100,2,3),
(26554,10107285,'Throws target back',100,2,4),
(26555,10107285,'Blurs vision of target',100,2,5),
(26556,10107285,'Does not affect Epic targets',100,2,6),
(26557,10107285,'If weapon equipped in Ranged',100,1,7),
(26558,112103,'Inflicts 1316 - 1539 heat damage on target',100,1,0),
(26559,112103,'Inflicts 334 - 556 heat damage on target every 2 seconds',100,1,1),
(26560,10112103,'Inflicts 1040 - 1470 heat damage on target',100,1,0),
(26561,10112103,'Inflicts 645 - 1075 heat damage on target every 2 seconds',100,1,1),
(26562,87269,'When Equipped:',100,0,0),
(26563,87269,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26564,87269,'Inflicts 410 - 616 magic damage on target',100,2,2),
(26565,87269,'Cannot be modified except by direct means',100,2,3),
(26566,10087269,'When Equipped:',100,0,0),
(26567,10087269,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26568,10087269,'Inflicts 410 - 616 magic damage on target',100,2,2),
(26569,10087269,'Cannot be modified except by direct means',100,2,3),
(26570,48911,'Applies Translucent Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(26571,48911,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(26572,48911,'Inflicts 478 poison damage on target instantly and every 6 seconds',100,2,2),
(26573,48911,'Inflicts 181 poison damage on target',100,2,3),
(26574,48911,'Cannot be modified except by direct means',100,2,4),
(26575,48911,'Grants a total of 200 triggers of the spell.',100,2,5),
(26576,48911,'Only affects targets level 50 and above',100,1,6),
(26577,10048911,'Applies Translucent Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(26578,10048911,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(26579,10048911,'Inflicts 359 poison damage on target instantly and every 6 seconds',100,2,2),
(26580,10048911,'Inflicts 136 poison damage on target',100,2,3),
(26581,10048911,'Cannot be modified except by direct means',100,2,4),
(26582,10048911,'Grants a total of 200 triggers of the spell.',100,2,5),
(26583,10048911,'Only affects targets level 50 and above',100,1,6),
(26584,119498,'Dazes target encounter',100,1,0),
(26585,119498,'If Target is not Epic',100,2,1),
(26586,119498,'Inflicts 1280 - 1491 magic damage on target encounter',100,1,2),
(26587,119498,'Inflicts 952 - 1164 magic damage on target encounter every second',100,1,3),
(26588,119498,'Resistibility increases against targets higher than level 107.',100,1,4),
(26589,10119498,'Inflicts 1119 - 1338 magic damage on target encounter',100,1,0),
(26590,10119498,'Inflicts 751 - 917 magic damage on target encounter every second',100,1,1),
(26591,10119498,'Dazes target encounter',100,1,2),
(26592,10119498,'If Target is not Epic',100,2,3),
(26593,10119498,'Resistibility increases against targets higher than level 107.',100,1,4),
(26594,112909,'Increases Damage Per Second of caster by 67.6',100,1,0),
(26595,112909,'Increases Ranged of caster by 25.2',100,1,1),
(26596,10112909,'Increases Damage Per Second of caster by 67.6',100,1,0),
(26597,10112909,'Increases Ranged of caster by 25.2',100,1,1),
(26598,35196,'Increases Max Power of target by 90.7',100,0,0),
(26599,35196,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(26600,119557,'Wards group members (AE) against 4260 points of arcane damage',100,1,0),
(26601,119557,'Increases Mitigation of group members (AE) vs arcane damage by 708',100,1,1),
(26602,10119557,'Wards group members (AE) against 3244 points of arcane damage',100,1,0),
(26603,10119557,'Increases Mitigation of group members (AE) vs arcane damage by 708',100,1,1),
(26604,40980,'When Equipped:',100,0,0),
(26605,40980,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(26606,40980,'On a healing spell cast this spell may cast Engulfing Aegis II on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(26607,40980,'Wards group members (AE) against 4000 points of all damage',100,2,3),
(26608,40980,'Must not be engaged in pvp combat',100,2,4),
(26609,40980,'Cannot be modified except by direct means',100,2,5),
(26610,40980,'Cannot be modified except by direct means',100,1,6),
(26611,10040980,'When Equipped:',100,0,0),
(26612,10040980,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(26613,10040980,'On a healing spell cast this spell may cast Engulfing Aegis II on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(26614,10040980,'Wards group members (AE) against 4000 points of all damage',100,2,3),
(26615,10040980,'Must not be engaged in pvp combat',100,2,4),
(26616,10040980,'Cannot be modified except by direct means',100,2,5),
(26617,10040980,'Cannot be modified except by direct means',100,1,6),
(26618,26462,'When Equipped:',100,0,0),
(26619,26462,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26620,26462,'Inflicts 201 divine damage on target',100,2,2),
(26621,26462,'Heals caster for 100',100,2,3),
(26622,26462,'Cannot be modified except by direct means',100,2,4),
(26623,10026462,'When Equipped:',100,0,0),
(26624,10026462,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26625,10026462,'Inflicts 201 divine damage on target',100,2,2),
(26626,10026462,'Heals caster for 65',100,2,3),
(26627,10026462,'Cannot be modified except by direct means',100,2,4),
(26628,107182,'Inflicts 967 - 1604 divine damage on target',100,1,0),
(26629,107182,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(26630,107182,'Stuns target',100,2,2),
(26631,107182,'If Target is not Epic',100,3,3),
(26632,107182,'Inflicts 1497 - 2496 divine damage on target',100,2,4),
(26633,107182,'Inflicts 1283 - 2139 divine damage on target',100,2,5),
(26634,107182,'If target is undead',100,3,6),
(26635,10107182,'Inflicts 508 - 842 divine damage on target',100,1,0),
(26636,10107182,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(26637,10107182,'Stuns target',100,2,2),
(26638,10107182,'Inflicts 1770 - 2950 divine damage on target',100,2,3),
(26639,10107182,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(26640,25297,'When Equipped:',100,0,0),
(26641,25297,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(26642,25297,'Improves the Flurry of Battle Cry by 3%',100,1,2),
(26643,10025297,'When Equipped:',100,0,0),
(26644,10025297,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(26645,10025297,'Improves the Flurry of Battle Cry by 3%',100,1,2),
(26646,122216,'Increases Damage Per Second of target by 16.9',100,1,0),
(26647,122216,'Increases Max Health of target by 441.0',100,1,1),
(26648,10122216,'Increases Damage Per Second of target by 16.9',100,1,0),
(26649,10122216,'Increases Max Health of target by 441.0',100,1,1),
(26650,80139,'When Equipped:',100,0,0),
(26651,80139,'On a combat hit this spell may cast Ice Blast on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26652,80139,'Inflicts 271 - 452 cold damage on target',100,2,2),
(26653,80139,'Cannot be modified except by direct means',100,2,3),
(26654,80139,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(26655,80139,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,5),
(26656,80139,'Only affects targets level 60 and below',100,2,6),
(26657,80139,'Cannot be modified except by direct means',100,2,7),
(26658,10080139,'When Equipped:',100,0,0),
(26659,10080139,'On a combat hit this spell may cast Ice Blast on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26660,10080139,'Inflicts 271 - 452 cold damage on target',100,2,2),
(26661,10080139,'Cannot be modified except by direct means',100,2,3),
(26662,10080139,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(26663,10080139,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,5),
(26664,10080139,'Only affects targets level 60 and below',100,2,6),
(26665,10080139,'Cannot be modified except by direct means',100,2,7),
(26666,124815,'Shapechanges target into a bat',100,1,0),
(26667,10124815,'Shapechanges target into a bat',100,1,0),
(26668,102580,'Increases AGI of caster by 107.1',100,1,0),
(26669,102580,'Increases Max Health of caster by 374.1',100,1,1),
(26670,102580,'Adds 17.2% to base avoidance.',100,1,2),
(26671,102580,'Increases Mitigation of caster vs physical damage by 608',100,1,3),
(26672,102580,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,4),
(26673,10102580,'Increases AGI of caster by 107.1',100,1,0),
(26674,10102580,'Increases Max Health of caster by 374.1',100,1,1),
(26675,10102580,'Adds 17.2% to base avoidance.',100,1,2),
(26676,10102580,'Increases Mitigation of caster vs physical damage by 608',100,1,3),
(26677,10102580,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,4),
(26678,71800,'When Equipped:',100,0,0),
(26679,71800,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26680,71800,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(26681,71800,'Cannot be modified except by direct means',100,2,3),
(26682,10071800,'When Equipped:',100,0,0),
(26683,10071800,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(26684,10071800,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(26685,10071800,'Cannot be modified except by direct means',100,2,3),
(26686,106276,'Wards target against 4688 points of all damage',100,1,0),
(26687,10106276,'Wards target against 3530 points of all damage',100,1,0),
(26688,41987,'When Equipped:',100,0,0),
(26689,41987,'On a critical combat hit this spell may cast Mana Deluge VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(26690,41987,'Inflicts 542 - 599 crushing damage on target',100,2,2),
(26691,41987,'Increases power of caster by 82',100,2,3),
(26692,41987,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,4),
(26693,41987,'Must not be engaged in pvp combat',100,2,5),
(26694,41987,'Cannot be modified except by direct means',100,2,6),
(26695,41987,'On a critical spell hit this spell may cast Mana Deluge VI on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(26696,41987,'Inflicts 542 - 599 crushing damage on target',100,2,8),
(26697,41987,'Increases power of caster by 82',100,2,9),
(26698,41987,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,10),
(26699,41987,'Must not be engaged in pvp combat',100,2,11),
(26700,41987,'Cannot be modified except by direct means',100,2,12),
(26701,41987,'Must not be engaged in pvp combat',100,1,13),
(26702,10041987,'When Equipped:',100,0,0),
(26703,10041987,'On a critical combat hit this spell may cast Mana Deluge VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(26704,10041987,'Inflicts 542 - 599 crushing damage on target',100,2,2),
(26705,10041987,'Increases power of caster by 82',100,2,3),
(26706,10041987,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,4),
(26707,10041987,'Must not be engaged in pvp combat',100,2,5),
(26708,10041987,'Cannot be modified except by direct means',100,2,6),
(26709,10041987,'On a critical spell hit this spell may cast Mana Deluge VI on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(26710,10041987,'Inflicts 542 - 599 crushing damage on target',100,2,8),
(26711,10041987,'Increases power of caster by 82',100,2,9),
(26712,10041987,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,10),
(26713,10041987,'Must not be engaged in pvp combat',100,2,11),
(26714,10041987,'Cannot be modified except by direct means',100,2,12),
(26715,10041987,'Must not be engaged in pvp combat',100,1,13),
(26716,37272,'Increases WIS of target by 17.8',100,0,0),
(26717,37272,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(26718,170660,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(26719,170660,'Decreases Attack Speed of target by 9.2',100,1,1),
(26720,170660,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(26721,10170660,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(26722,10170660,'Decreases Attack Speed of target by 9.2',100,1,1),
(26723,10170660,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(26724,158307,'When Equipped:',100,0,0),
(26725,158307,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(26726,158307,'Heals group members for 571',100,2,2),
(26727,158307,'Cannot be modified except by direct means',100,2,3),
(26728,10158307,'When Equipped:',100,0,0),
(26729,10158307,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(26730,10158307,'Heals group members for 371',100,2,2),
(26731,10158307,'Cannot be modified except by direct means',100,2,3),
(26732,118632,'Inflicts 558 - 1648 crushing damage on target',100,1,0),
(26733,10118632,'Inflicts 449 - 1280 crushing damage on target',100,1,0),
(26734,124428,'Inflicts 145 - 241 melee damage on targets in area',100,1,0),
(26735,10124428,'Inflicts 117 - 194 melee damage on targets in area',100,1,0),
(26736,100890,'Makes target afraid',100,1,0),
(26737,100890,'30% chance to dispel when target takes damage',100,1,1),
(26738,100890,'Does not affect Epic targets',100,1,2),
(26739,100890,'Resistibility increases against targets higher than level 116.',100,1,3),
(26740,10100890,'Makes target afraid',100,1,0),
(26741,10100890,'30% chance to dispel when target takes damage',100,1,1),
(26742,10100890,'Does not affect Epic targets',100,1,2),
(26743,10100890,'Resistibility increases against targets higher than level 116.',100,1,3),
(26744,123417,'Inflicts 734 - 2169 melee damage on target',100,1,0),
(26745,123417,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(26746,123417,'Stuns target',100,2,2),
(26747,123417,'Throws target back',100,2,3),
(26748,123417,'Blurs vision of target',100,2,4),
(26749,123417,'Does not affect Epic targets',100,2,5),
(26750,10123417,'Inflicts 587 - 1554 melee damage on target',100,1,0),
(26751,10123417,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(26752,10123417,'Stuns target',100,2,2),
(26753,10123417,'Throws target back',100,2,3),
(26754,10123417,'Blurs vision of target',100,2,4),
(26755,10123417,'Does not affect Epic targets',100,2,5),
(26756,120851,'Inflicts 1075 - 1398 disease damage on target',100,1,0),
(26757,120851,'Inflicts 307 - 415 disease damage on target every second',100,1,1),
(26758,10120851,'Inflicts 733 - 853 disease damage on target',100,1,0),
(26759,10120851,'Inflicts 242 - 327 disease damage on target every second',100,1,1),
(26760,108732,'Summons a pet fiery magician',100,1,0),
(26761,10108732,'Summons a pet fiery magician',100,1,0),
(26762,113628,'Interrupts target encounter',100,1,0),
(26763,113628,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 16.9',100,1,1),
(26764,10113628,'Interrupts target encounter',100,1,0),
(26765,10113628,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 16.9',100,1,1),
(26766,122363,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(26767,122363,'Inflicts 126 - 154 piercing damage on target',100,2,1),
(26768,10122363,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(26769,10122363,'Inflicts 99 - 121 piercing damage on target',100,2,1),
(26770,176578,'When Equipped:',100,0,0),
(26771,176578,'Increases Attack Speed of caster by 40.0',100,1,1),
(26772,10176578,'When Equipped:',100,0,0),
(26773,10176578,'Increases Attack Speed of caster by 40.0',100,1,1),
(26774,46611,'Applies Gust of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(26775,46611,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(26776,10046611,'Applies Gust of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(26777,10046611,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(26778,114498,'Increases In-Combat Power Regeneration of group members (AE) by 13.0',100,1,0),
(26779,10114498,'Increases In-Combat Power Regeneration of group members (AE) by 13.0',100,1,0),
(26780,109309,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(26781,109309,'Increases Mitigation of group members (AE) vs elemental damage by 804',100,1,1),
(26782,10109309,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(26783,10109309,'Increases Mitigation of group members (AE) vs elemental damage by 804',100,1,1),
(26784,80245,'When Equipped:',100,0,0),
(26785,80245,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(26786,80245,'Inflicts 333 - 619 magic damage on target',100,2,2),
(26787,80245,'Decreases Threat to target by 801 ',100,2,3),
(26788,80245,'Must be flanking or behind',100,3,4),
(26789,80245,'Increases Threat to target by 1,261 ',100,2,5),
(26790,80245,'Must be in front of',100,3,6),
(26791,80245,'Cannot be modified except by direct means',100,2,7),
(26792,10080245,'When Equipped:',100,0,0),
(26793,10080245,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(26794,10080245,'Inflicts 333 - 619 magic damage on target',100,2,2),
(26795,10080245,'Cannot be modified except by direct means',100,2,3),
(26796,35177,'Increases STR of target by 12.7',100,0,0),
(26797,35177,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(26798,123042,'Summons a pet undead knight',100,1,0),
(26799,10123042,'Summons a pet undead knight',100,1,0),
(26800,35934,'Increases STA of target by 6.2',100,0,0),
(26801,35934,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(26802,133730,'When Equipped:',100,0,0),
(26803,133730,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26804,133730,'Inflicts 758 crushing damage on target',100,2,2),
(26805,133730,'Inflicts 758 disease damage on target',100,2,3),
(26806,133730,'Must not be engaged in pvp combat',100,2,4),
(26807,133730,'Cannot be modified except by direct means',100,2,5),
(26808,10133730,'When Equipped:',100,0,0),
(26809,10133730,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26810,10133730,'Inflicts 758 crushing damage on target',100,2,2),
(26811,10133730,'Inflicts 758 disease damage on target',100,2,3),
(26812,10133730,'Must not be engaged in pvp combat',100,2,4),
(26813,10133730,'Cannot be modified except by direct means',100,2,5),
(26814,109286,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(26815,109286,'Increases Mitigation of group members (AE) vs elemental damage by 280',100,1,1),
(26816,10109286,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(26817,10109286,'Increases Mitigation of group members (AE) vs elemental damage by 280',100,1,1),
(26818,101910,'Inflicts 18 piercing damage on target instantly and every 4 seconds',100,1,0),
(26819,101910,'Inflicts 112 - 166 melee damage on target',100,1,1),
(26820,101910,'Must be behind',100,1,2),
(26821,10101910,'Inflicts 14 piercing damage on target instantly and every 4 seconds',100,1,0),
(26822,10101910,'Inflicts 101 - 147 melee damage on target',100,1,1),
(26823,10101910,'Must be behind',100,1,2),
(26824,82699,'When Equipped:',100,0,0),
(26825,82699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26826,82699,'Inflicts 189 - 352 magic damage on target',100,2,2),
(26827,82699,'Cannot be modified except by direct means',100,2,3),
(26828,10082699,'When Equipped:',100,0,0),
(26829,10082699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26830,10082699,'Inflicts 189 - 352 magic damage on target',100,2,2),
(26831,10082699,'Cannot be modified except by direct means',100,2,3),
(26832,100838,'Wards target against 2267 points of all damage',100,1,0),
(26833,10100838,'Wards target against 2728 points of all damage',100,1,0),
(26834,121651,'Increases INT, WIS, STA, AGI and STR of caster by 39.6',100,1,0),
(26835,121651,'Summons a pet mummy',100,1,1),
(26836,121651,'If follows Innoruuk',100,1,2),
(26837,10121651,'Increases INT, WIS, STA, AGI and STR of caster by 39.6',100,1,0),
(26838,10121651,'Summons a pet mummy',100,1,1),
(26839,10121651,'If follows Innoruuk',100,1,2),
(26840,106816,'Decreases STR and AGI of target encounter by 105.2',100,1,0),
(26841,10106816,'Decreases STR and AGI of target encounter by 105.2',100,1,0),
(26842,35800,'Increases STA and STR of target by 6.2',100,0,0),
(26843,35800,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(26844,103040,'Inflicts 1484 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(26845,103040,'Inflicts 1541 - 1909 melee damage on target',100,1,1),
(26846,10103040,'Inflicts 1169 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(26847,10103040,'Inflicts 835 - 1125 melee damage on target',100,1,1),
(26848,186064,'When Equipped:',100,0,0),
(26849,186064,'Increases Disruption and Focus of caster by 12.0',100,1,1),
(26850,186064,'Reduces resistibility of all spells by 1.0%',100,1,2),
(26851,186064,'Increases Subjugation of caster by 12.0',100,1,3),
(26852,186064,'Must not be engaged in pvp combat',100,1,4),
(26853,10186064,'When Equipped:',100,0,0),
(26854,10186064,'Increases Disruption and Focus of caster by 12.0',100,1,1),
(26855,10186064,'Reduces resistibility of all spells by 1.0%',100,1,2),
(26856,10186064,'Increases Subjugation of caster by 12.0',100,1,3),
(26857,10186064,'Must not be engaged in pvp combat',100,1,4),
(26858,121187,'Grants stealth to caster',100,1,0),
(26859,121187,'Suspends caster''s movement speed enhancements',100,1,1),
(26860,121187,'Decreases Threat to target by 620 - 1,084 ',100,1,2),
(26861,10121187,'Forces target to clear their selected target.',100,1,0),
(26862,10121187,'Grants stealth to caster',100,1,1),
(26863,10121187,'Suspends caster''s movement speed enhancements',100,1,2),
(26864,184687,'When Equipped:',100,0,0),
(26865,184687,'Increases Attack Speed of caster by 40.0',100,1,1),
(26866,10184687,'When Equipped:',100,0,0),
(26867,10184687,'Increases Attack Speed of caster by 40.0',100,1,1),
(26868,103942,'Wards group members (AE) collectively against 8412 total points of all damage',100,1,0),
(26869,10103942,'Wards group members (AE) collectively against 9115 total points of all damage',100,1,0),
(26870,107344,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(26871,107344,'Increases Threat to target by 723 ',100,2,1),
(26872,10107344,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(26873,10107344,'Inflicts 99 - 109 crushing damage on target',100,2,1),
(26874,124487,'Heals group members (AE) for 2387 - 2844',100,1,0),
(26875,10124487,'Heals group members (AE) for 1984 - 2406',100,1,0),
(26876,76427,'When Equipped:',100,0,0),
(26877,76427,'On a melee hit this spell may cast Righteous Censure on the group.  Lasts for 20.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(26878,76427,'Makes caster immune to Stun effects',100,2,2),
(26879,76427,'Increases Ability Casting Speed of group members (AE) by 5.0%',100,2,3),
(26880,76427,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,4),
(26881,76427,'Increases Max Health of group members (AE) by 2,151.0',100,2,5),
(26882,76427,'Cannot be modified except by direct means',100,2,6),
(26883,10076427,'When Equipped:',100,0,0),
(26884,10076427,'On a melee hit this spell may cast Righteous Censure on the group.  Lasts for 20.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(26885,10076427,'Makes caster immune to Stun effects',100,2,2),
(26886,10076427,'Increases Ability Casting Speed of group members (AE) by 5.0%',100,2,3),
(26887,10076427,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,4),
(26888,10076427,'Increases Max Health of group members (AE) by 2,151.0',100,2,5),
(26889,10076427,'Cannot be modified except by direct means',100,2,6),
(26890,81252,'When Equipped:',100,0,0),
(26891,81252,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(26892,81252,'Inflicts 387 - 719 magic damage on target',100,2,2),
(26893,81252,'Decreases Threat to target by 949 ',100,2,3),
(26894,81252,'Must be flanking or behind',100,3,4),
(26895,81252,'Increases Threat to target by 1,409 ',100,2,5),
(26896,81252,'Must be in front of',100,3,6),
(26897,81252,'Cannot be modified except by direct means',100,2,7),
(26898,10081252,'When Equipped:',100,0,0),
(26899,10081252,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(26900,10081252,'Inflicts 387 - 719 magic damage on target',100,2,2),
(26901,10081252,'Cannot be modified except by direct means',100,2,3),
(26902,119020,'Heals target for 6795 - 8087',100,1,0),
(26903,10119020,'Heals target for 5129 - 6212',100,1,0),
(26904,37602,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(26905,74988,'When Equipped:',100,0,0),
(26906,74988,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26907,74988,'Inflicts 121 - 181 magic damage on target',100,2,2),
(26908,74988,'Cannot be modified except by direct means',100,2,3),
(26909,10074988,'When Equipped:',100,0,0),
(26910,10074988,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26911,10074988,'Inflicts 121 - 181 magic damage on target',100,2,2),
(26912,10074988,'Cannot be modified except by direct means',100,2,3),
(26913,111306,'Inflicts 3226 - 4703 divine damage on target',100,1,0),
(26914,111306,'Inflicts 893 - 1488 divine damage on target every 4 seconds',100,1,1),
(26915,10111306,'Inflicts 2163 - 3327 divine damage on target',100,1,0),
(26916,10111306,'Inflicts 704 - 1173 divine damage on target every 4 seconds',100,1,1),
(26917,104302,'Inflicts 1252 - 2076 melee damage on target',100,1,0),
(26918,104302,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(26919,104302,'Stuns target',100,2,2),
(26920,104302,'Throws target back',100,2,3),
(26921,104302,'Blurs vision of target',100,2,4),
(26922,104302,'Does not affect Epic targets',100,2,5),
(26923,10104302,'Inflicts 985 - 1485 melee damage on target',100,1,0),
(26924,10104302,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(26925,10104302,'Stuns target',100,2,2),
(26926,10104302,'Throws target back',100,2,3),
(26927,10104302,'Blurs vision of target',100,2,4),
(26928,10104302,'Does not affect Epic targets',100,2,5),
(26929,120472,'Inflicts 2896 - 4191 ranged damage on target',100,1,0),
(26930,120472,'Slows target by 65.0%',100,1,1),
(26931,120472,'10% chance to dispel when target receives hostile action',100,1,2),
(26932,120472,'Requires bow',100,1,3),
(26933,10120472,'Inflicts 1443 - 2134 ranged damage on target',100,1,0),
(26934,10120472,'Slows target by 65.0%',100,1,1),
(26935,10120472,'10% chance to dispel when target receives hostile action',100,1,2),
(26936,10120472,'Requires bow',100,1,3),
(26937,89863,'When Equipped:',100,0,0),
(26938,89863,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(26939,89863,'Stifles target',100,2,2),
(26940,89863,'Only affects targets level 102 and below',100,2,3),
(26941,89863,'Does not affect Epic targets',100,2,4),
(26942,89863,'Resistibility increases against targets higher than level 112.',100,2,5),
(26943,89863,'Cannot be modified except by direct means',100,2,6),
(26944,10089863,'When Equipped:',100,0,0),
(26945,10089863,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(26946,10089863,'Stifles target',100,2,2),
(26947,10089863,'Only affects targets level 102 and below',100,2,3),
(26948,10089863,'Does not affect Epic targets',100,2,4),
(26949,10089863,'Resistibility increases against targets higher than level 112.',100,2,5),
(26950,10089863,'Cannot be modified except by direct means',100,2,6),
(26951,111413,'Increases Attack Speed of target by 58.9',100,1,0),
(26952,111413,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26953,111413,'Inflicts 2053 disease damage on target',100,2,2),
(26954,111413,'Heals caster for 341',100,2,3),
(26955,111413,'Decreases Defense and Parry of target by 30.1',100,1,4),
(26956,111413,'Increases Disruption, Subjugation and Focus of target by 48.2',100,1,5),
(26957,10111413,'Increases Attack Speed of target by 58.9',100,1,0),
(26958,10111413,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(26959,10111413,'Inflicts 1618 disease damage on target',100,2,2),
(26960,10111413,'Heals caster for 175',100,2,3),
(26961,10111413,'Decreases Defense and Parry of target by 30.1',100,1,4),
(26962,10111413,'Increases Disruption, Subjugation and Focus of target by 48.2',100,1,5),
(26963,45760,'Applies Welno''s Resurgence  when Activated.',100,0,0),
(26964,45760,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(26965,10045760,'Applies Welno''s Resurgence  when Activated.',100,0,0),
(26966,10045760,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(26967,110954,'Applies Awakening on termination.',100,1,0),
(26968,110954,'Heals target for 4970 - 6002',100,2,1),
(26969,10110954,'Applies Awakening on termination.',100,1,0),
(26970,10110954,'Heals target for 5794 - 7062',100,2,1),
(26971,101072,'Summons 3 limited pets to aid the caster',100,1,0),
(26972,10101072,'Summons 3 limited pets to aid the caster',100,1,0),
(26973,104695,'Decreases Mitigation of target vs all damage by 752',100,1,0),
(26974,10104695,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 752',100,1,0),
(26975,10104695,'Decreases Mitigation of target vs physical damage by 626',100,1,1),
(26976,121446,'Increases AGI of caster by 50.2',100,1,0),
(26977,121446,'Adds 25.0% to base avoidance.',100,1,1),
(26978,121446,'Increases Mitigation of caster vs physical damage by 492',100,1,2),
(26979,121446,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,3),
(26980,10121446,'Increases AGI of caster by 50.2',100,1,0),
(26981,10121446,'Adds 25.0% to base avoidance.',100,1,1),
(26982,10121446,'Increases Mitigation of caster vs physical damage by 492',100,1,2),
(26983,10121446,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,3),
(26984,81909,'When Equipped:',100,0,0),
(26985,81909,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26986,81909,'Inflicts 523 - 972 magic damage on target',100,2,2),
(26987,81909,'Cannot be modified except by direct means',100,2,3),
(26988,10081909,'When Equipped:',100,0,0),
(26989,10081909,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(26990,10081909,'Inflicts 523 - 972 magic damage on target',100,2,2),
(26991,10081909,'Cannot be modified except by direct means',100,2,3),
(26992,106033,'Decreases Defense of target by 26.2',100,1,0),
(26993,106033,'Inflicts 1828 - 2016 divine damage on target',100,1,1),
(26994,106033,'Inflicts 846 - 1034 divine damage on target every 3 seconds',100,1,2),
(26995,10106033,'Decreases Defense of target by 26.2',100,1,0),
(26996,10106033,'Inflicts 839 - 938 divine damage on target',100,1,1),
(26997,10106033,'Inflicts 444 - 543 divine damage on target every 3 seconds',100,1,2),
(26998,24670,'Adds Elite: Ravasect (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(26999,10024670,'Adds Elite: Ravasect (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(27000,81206,'When Equipped:',100,0,0),
(27001,81206,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27002,81206,'Inflicts 449 - 834 magic damage on target',100,2,2),
(27003,81206,'Decreases Threat to target by 833 ',100,2,3),
(27004,81206,'Must be flanking or behind',100,3,4),
(27005,81206,'Increases Threat to target by 1,293 ',100,2,5),
(27006,81206,'Must be in front of',100,3,6),
(27007,81206,'Cannot be modified except by direct means',100,2,7),
(27008,10081206,'When Equipped:',100,0,0),
(27009,10081206,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27010,10081206,'Inflicts 449 - 834 magic damage on target',100,2,2),
(27011,10081206,'Cannot be modified except by direct means',100,2,3),
(27012,192034,'When Equipped:',100,0,0),
(27013,192034,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(27014,192034,'Heals group members (AE) for 370',100,2,2),
(27015,192034,'Cannot be modified except by direct means',100,2,3),
(27016,192034,'Cannot be modified except by direct means',100,1,4),
(27017,10192034,'When Equipped:',100,0,0),
(27018,10192034,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(27019,10192034,'Heals group members (AE) for 241',100,2,2),
(27020,10192034,'Cannot be modified except by direct means',100,2,3),
(27021,10192034,'Cannot be modified except by direct means',100,1,4),
(27022,141784,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(27023,141784,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(27024,141784,'Inflicts 83 heat damage on target',100,2,2),
(27025,141784,'Cannot be modified except by direct means',100,2,3),
(27026,10141784,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(27027,10141784,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(27028,10141784,'Inflicts 83 heat damage on target',100,2,2),
(27029,10141784,'Cannot be modified except by direct means',100,2,3),
(27030,114927,'Inflicts 3137 - 4555 melee damage on target',100,1,0),
(27031,114927,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1364',100,1,1),
(27032,114927,'Must be behind',100,1,2),
(27033,10114927,'Inflicts 2093 - 3211 melee damage on target',100,1,0),
(27034,10114927,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 682',100,1,1),
(27035,10114927,'Must be behind',100,1,2),
(27036,71938,'When Equipped:',100,0,0),
(27037,71938,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1);
INSERT INTO `item_effects` VALUES
(27038,71938,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(27039,71938,'Cannot be modified except by direct means',100,2,3),
(27040,10071938,'When Equipped:',100,0,0),
(27041,10071938,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27042,10071938,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(27043,10071938,'Cannot be modified except by direct means',100,2,3),
(27044,112043,'Roots target',100,1,0),
(27045,112043,'Stifles target',100,1,1),
(27046,112043,'If Target is not Epic',100,2,2),
(27047,112043,'20% chance to dispel when target takes damage',100,1,3),
(27048,112043,'Does not affect Epic targets',100,1,4),
(27049,112043,'Resistibility increases against targets higher than level 96.',100,1,5),
(27050,10112043,'Roots target',100,1,0),
(27051,10112043,'Stifles target',100,1,1),
(27052,10112043,'If Target is not Epic',100,2,2),
(27053,10112043,'20% chance to dispel when target takes damage',100,1,3),
(27054,10112043,'Does not affect Epic targets',100,1,4),
(27055,10112043,'Resistibility increases against targets higher than level 96.',100,1,5),
(27056,104608,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(27057,10104608,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(27058,48785,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(27059,48785,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(27060,48785,'Decreases STR of target by 12.3',100,2,2),
(27061,48785,'Cannot be modified except by direct means',100,2,3),
(27062,48785,'Grants a total of 30 triggers of the spell.',100,2,4),
(27063,10048785,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(27064,10048785,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(27065,10048785,'Decreases STR of target by 12.3',100,2,2),
(27066,10048785,'Cannot be modified except by direct means',100,2,3),
(27067,10048785,'Grants a total of 30 triggers of the spell.',100,2,4),
(27068,159757,'Applies Lambent Imbued when Equipped.',100,0,0),
(27069,159757,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27070,159757,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(27071,159757,'Cannot be modified except by direct means',100,2,3),
(27072,10159757,'Applies Lambent Imbued when Equipped.',100,0,0),
(27073,10159757,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27074,10159757,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(27075,10159757,'Cannot be modified except by direct means',100,2,3),
(27076,35304,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(27077,35304,'Increases Max Health of target by 60.5',100,0,1),
(27078,159734,'When Equipped:',100,0,0),
(27079,159734,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27080,159734,'Increases STR of caster by 17.6',100,2,2),
(27081,159734,'Increases Damage Per Second of caster by 24.4',100,2,3),
(27082,159734,'Cannot be modified except by direct means',100,2,4),
(27083,10159734,'When Equipped:',100,0,0),
(27084,10159734,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27085,10159734,'Increases STR of caster by 17.6',100,2,2),
(27086,10159734,'Increases Damage Per Second of caster by 24.4',100,2,3),
(27087,10159734,'Cannot be modified except by direct means',100,2,4),
(27088,175479,'When Equipped:',100,0,0),
(27089,175479,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(27090,10175479,'When Equipped:',100,0,0),
(27091,10175479,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(27092,81557,'When Equipped:',100,0,0),
(27093,81557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27094,81557,'Inflicts 193 - 359 magic damage on target',100,2,2),
(27095,81557,'Cannot be modified except by direct means',100,2,3),
(27096,10081557,'When Equipped:',100,0,0),
(27097,10081557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27098,10081557,'Inflicts 193 - 359 magic damage on target',100,2,2),
(27099,10081557,'Cannot be modified except by direct means',100,2,3),
(27100,122996,'Wards group members (AE) collectively against 2298 total points of all damage',100,1,0),
(27101,10122996,'Wards group members (AE) collectively against 2684 total points of all damage',100,1,0),
(27102,141727,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(27103,141727,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(27104,141727,'Inflicts 30 heat damage on target',100,2,2),
(27105,141727,'Cannot be modified except by direct means',100,2,3),
(27106,10141727,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(27107,10141727,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(27108,10141727,'Inflicts 30 heat damage on target',100,2,2),
(27109,10141727,'Cannot be modified except by direct means',100,2,3),
(27110,109434,'Inflicts 1492 - 1605 cold damage on target',100,1,0),
(27111,109434,'Inflicts 509 - 622 cold damage on target every 4 seconds',100,1,1),
(27112,109434,'Decreases Mitigation of target vs elemental damage by 485',100,1,2),
(27113,10109434,'Inflicts 796 - 885 cold damage on target',100,1,0),
(27114,10109434,'Inflicts 401 - 491 cold damage on target every 4 seconds',100,1,1),
(27115,10109434,'Decreases Mitigation of target vs elemental damage by 485',100,1,2),
(27116,109437,'Inflicts 1840 - 2031 cold damage on target',100,1,0),
(27117,109437,'Inflicts 858 - 1048 cold damage on target every 4 seconds',100,1,1),
(27118,109437,'Decreases Mitigation of target vs elemental damage by 816',100,1,2),
(27119,10109437,'Inflicts 1071 - 1221 cold damage on target',100,1,0),
(27120,10109437,'Inflicts 676 - 826 cold damage on target every 4 seconds',100,1,1),
(27121,10109437,'Decreases Mitigation of target vs elemental damage by 816',100,1,2),
(27122,132213,'Applies Pathfinding when Equipped.',100,0,0),
(27123,132213,'Increases speed of caster by 10.0%',100,1,1),
(27124,132213,'This effect suspends during combat',100,1,2),
(27125,10132213,'Applies Pathfinding when Equipped.',100,0,0),
(27126,10132213,'Increases speed of caster by 10.0%',100,1,1),
(27127,10132213,'This effect suspends during combat',100,1,2),
(27128,100523,'Heals group members (AE) for 336 - 410',100,1,0),
(27129,10100523,'Heals group members (AE) for 306 - 374',100,1,0),
(27130,114260,'Inflicts 4185 - 4897 mental damage on target',100,1,0),
(27131,114260,'Stuns target',100,1,1),
(27132,114260,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(27133,114260,'Resistibility increases against targets higher than level 118.',100,1,3),
(27134,10114260,'Inflicts 2919 - 3480 mental damage on target',100,1,0),
(27135,10114260,'Requires not being affected by Mesmerize effects.',100,2,1),
(27136,10114260,'Stuns target',100,1,2),
(27137,10114260,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(27138,10114260,'Resistibility increases against targets higher than level 118.',100,1,4),
(27139,138844,'When Equipped:',100,0,0),
(27140,138844,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(27141,138844,'Stifles target',100,2,2),
(27142,138844,'Only affects targets level 121 and below',100,2,3),
(27143,138844,'Does not affect Epic targets',100,2,4),
(27144,138844,'Resistibility increases against targets higher than level 105.',100,2,5),
(27145,138844,'Cannot be modified except by direct means',100,2,6),
(27146,10138844,'When Equipped:',100,0,0),
(27147,10138844,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(27148,10138844,'Stifles target',100,2,2),
(27149,10138844,'Only affects targets level 121 and below',100,2,3),
(27150,10138844,'Does not affect Epic targets',100,2,4),
(27151,10138844,'Resistibility increases against targets higher than level 105.',100,2,5),
(27152,10138844,'Cannot be modified except by direct means',100,2,6),
(27153,134181,'When Equipped:',100,0,0),
(27154,134181,'On a hit this spell may cast Blazing Rage of the Commander on caster.  Lasts for 35.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27155,134181,'Increases AGI and STR of caster by 35.0',100,2,2),
(27156,134181,'Increases Attack Speed of caster by 35.0',100,2,3),
(27157,134181,'Increases Damage Per Second of caster by 35.0',100,2,4),
(27158,134181,'Cannot be modified except by direct means',100,2,5),
(27159,10134181,'When Equipped:',100,0,0),
(27160,10134181,'On a hit this spell may cast Blazing Rage of the Commander on caster.  Lasts for 35.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27161,10134181,'Increases AGI and STR of caster by 35.0',100,2,2),
(27162,10134181,'Increases Attack Speed of caster by 35.0',100,2,3),
(27163,10134181,'Increases Damage Per Second of caster by 35.0',100,2,4),
(27164,10134181,'Cannot be modified except by direct means',100,2,5),
(27165,71899,'When Equipped:',100,0,0),
(27166,71899,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27167,71899,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(27168,71899,'Cannot be modified except by direct means',100,2,3),
(27169,10071899,'When Equipped:',100,0,0),
(27170,10071899,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27171,10071899,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(27172,10071899,'Cannot be modified except by direct means',100,2,3),
(27173,112176,'Increases Max Health of caster by 5.0%',100,129,0),
(27174,112176,'Increases STR of caster by 50.6',100,1,1),
(27175,112176,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',100,1,2),
(27176,112176,'Increases Mitigation of caster vs physical damage by 324',100,1,3),
(27177,10112176,'Increases Max Health of caster by 5.0%',100,129,0),
(27178,10112176,'Increases STR of caster by 50.6',100,1,1),
(27179,10112176,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',100,1,2),
(27180,10112176,'Increases Mitigation of caster vs physical damage by 324',100,1,3),
(27181,122583,'Inflicts 829 - 1014 mental damage on target',100,1,0),
(27182,122583,'Inflicts 184 - 225 mental damage on target every 3 seconds',100,1,1),
(27183,122583,'Decreases Mitigation of target vs arcane damage by 350',100,1,2),
(27184,10122583,'Inflicts 540 - 572 mental damage on target',100,1,0),
(27185,10122583,'Inflicts 145 - 178 mental damage on target every 3 seconds',100,1,1),
(27186,10122583,'Decreases Mitigation of target vs arcane damage by 350',100,1,2),
(27187,107902,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(27188,107902,'Slows target by 61.6%',100,2,1),
(27189,107902,'5% chance to dispel when target receives hostile action',100,2,2),
(27190,107902,'5% chance to dispel when target takes damage',100,2,3),
(27191,107902,'Slows target encounter by 73.9%',100,1,4),
(27192,107902,'5% chance to dispel when target takes damage',100,1,5),
(27193,10107902,'Slows target encounter by 73.9%',100,1,0),
(27194,10107902,'5% chance to dispel when target takes damage',100,1,1),
(27195,104128,'Roots target',100,1,0),
(27196,104128,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(27197,104128,'Makes target afraid',100,2,2),
(27198,104128,'Slows target by 21.7%',100,2,3),
(27199,104128,'30% chance to dispel when target takes damage',100,2,4),
(27200,104128,'Resistibility increases against targets higher than level 76.',100,2,5),
(27201,104128,'15% chance to dispel when target takes damage',100,1,6),
(27202,104128,'Does not affect Epic targets',100,1,7),
(27203,104128,'Resistibility increases against targets higher than level 76.',100,1,8),
(27204,10104128,'Roots target',100,1,0),
(27205,10104128,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(27206,10104128,'Makes target afraid',100,2,2),
(27207,10104128,'Slows target by 21.7%',100,2,3),
(27208,10104128,'30% chance to dispel when target takes damage',100,2,4),
(27209,10104128,'Resistibility increases against targets higher than level 76.',100,2,5),
(27210,10104128,'15% chance to dispel when target takes damage',100,1,6),
(27211,10104128,'Does not affect Epic targets',100,1,7),
(27212,10104128,'Resistibility increases against targets higher than level 76.',100,1,8),
(27213,89768,'When Equipped:',100,0,0),
(27214,89768,'On a critical spell hit this spell may cast Velium Flames IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(27215,89768,'Inflicts 4809 - 5315 heat damage on target',100,2,2),
(27216,89768,'Decreases Mitigation of target vs elemental damage by 1787',100,2,3),
(27217,89768,'Must not be engaged in pvp combat',100,2,4),
(27218,89768,'Cannot be modified except by direct means',100,2,5),
(27219,89768,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(27220,89768,'On a critical combat hit this spell may cast Velium Flames IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(27221,89768,'Inflicts 4809 - 5315 heat damage on target',100,2,8),
(27222,89768,'Decreases Mitigation of target vs elemental damage by 1787',100,2,9),
(27223,89768,'Must not be engaged in pvp combat',100,2,10),
(27224,89768,'Cannot be modified except by direct means',100,2,11),
(27225,89768,'Cannot be modified except by direct means',100,1,12),
(27226,89768,'When Equipped:',100,0,13),
(27227,89768,'Increases STR of caster by 50.0',100,1,14),
(27228,89768,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,15),
(27229,89768,'Increases AGI, INT and WIS of caster by 50.0',100,1,16),
(27230,89768,'Increases Potency of caster by 3.5%',100,1,17),
(27231,89768,'Cannot be modified except by direct means',100,1,18),
(27232,10089768,'When Equipped:',100,0,0),
(27233,10089768,'On a critical spell hit this spell may cast Velium Flames IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(27234,10089768,'Inflicts 4809 - 5315 heat damage on target',100,2,2),
(27235,10089768,'Decreases Mitigation of target vs elemental damage by 1787',100,2,3),
(27236,10089768,'Must not be engaged in pvp combat',100,2,4),
(27237,10089768,'Cannot be modified except by direct means',100,2,5),
(27238,10089768,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(27239,10089768,'On a critical combat hit this spell may cast Velium Flames IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(27240,10089768,'Inflicts 4809 - 5315 heat damage on target',100,2,8),
(27241,10089768,'Decreases Mitigation of target vs elemental damage by 1787',100,2,9),
(27242,10089768,'Must not be engaged in pvp combat',100,2,10),
(27243,10089768,'Cannot be modified except by direct means',100,2,11),
(27244,10089768,'Cannot be modified except by direct means',100,1,12),
(27245,10089768,'When Equipped:',100,0,13),
(27246,10089768,'Increases STR of caster by 50.0',100,1,14),
(27247,10089768,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,15),
(27248,10089768,'Increases AGI, INT and WIS of caster by 50.0',100,1,16),
(27249,10089768,'Increases Potency of caster by 3.5%',100,1,17),
(27250,10089768,'Cannot be modified except by direct means',100,1,18),
(27251,117099,'Mesmerizes target encounter',100,1,0),
(27252,117099,'Prevents AOE (except when direct) ',100,1,1),
(27253,117099,'Dispelled when target takes damage',100,1,2),
(27254,117099,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(27255,117099,'Resistibility increases against targets higher than level 82.',100,1,4),
(27256,10117099,'Mesmerizes target encounter',100,1,0),
(27257,10117099,'Prevents AOE (except when direct) ',100,1,1),
(27258,10117099,'Dispelled when target takes damage',100,1,2),
(27259,10117099,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(27260,10117099,'Resistibility increases against targets higher than level 82.',100,1,4),
(27261,124713,'Heals group members (AE) for 1569 - 1917',100,1,0),
(27262,10124713,'Heals group members (AE) for 1371 - 1657',100,1,0),
(27263,111530,'Blurs vision of targets in Area of Effect',100,1,0),
(27264,111530,'Interrupts targets in Area of Effect',100,1,1),
(27265,111530,'17% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(27266,111530,'Stuns target',100,2,3),
(27267,111530,'Throws target back',100,2,4),
(27268,111530,'Blurs vision of target',100,2,5),
(27269,111530,'Does not affect Epic targets',100,2,6),
(27270,10111530,'Blurs vision of targets in Area of Effect',100,1,0),
(27271,10111530,'17% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(27272,10111530,'Stuns target',100,2,2),
(27273,10111530,'Throws target back',100,2,3),
(27274,10111530,'Blurs vision of target',100,2,4),
(27275,10111530,'Does not affect Epic targets',100,2,5),
(27276,10111530,'Interrupts targets in Area of Effect',100,1,6),
(27277,46959,'Applies Middling Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(27278,46959,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(27279,46959,'Decreases Attack Speed of target by 24.6',100,2,2),
(27280,46959,'Cannot be modified except by direct means',100,2,3),
(27281,46959,'Grants a total of 30 triggers of the spell.',100,2,4),
(27282,46959,'Only affects targets level 50 and above',100,1,5),
(27283,10046959,'Applies Middling Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(27284,10046959,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(27285,10046959,'Decreases Attack Speed of target by 24.6',100,2,2),
(27286,10046959,'Cannot be modified except by direct means',100,2,3),
(27287,10046959,'Grants a total of 30 triggers of the spell.',100,2,4),
(27288,10046959,'Only affects targets level 50 and above',100,1,5),
(27289,123873,'Increases AGI of caster by 90.9',100,1,0),
(27290,123873,'Adds 21.8% to base avoidance.',100,1,1),
(27291,123873,'Increases Damage Per Second of caster by 67.9',100,1,2),
(27292,123873,'Increases Mitigation of caster vs physical damage by 774',100,1,3),
(27293,123873,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,4),
(27294,10123873,'Increases AGI of caster by 90.9',100,1,0),
(27295,10123873,'Adds 21.8% to base avoidance.',100,1,1),
(27296,10123873,'Increases Damage Per Second of caster by 67.9',100,1,2),
(27297,10123873,'Increases Mitigation of caster vs physical damage by 774',100,1,3),
(27298,10123873,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,4),
(27299,121498,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(27300,121498,'Increases Attack Speed of caster by 21.0',100,130,1),
(27301,121498,'Increases Piercing, Slashing, Crushing and Ranged of caster by 29.7',100,130,2),
(27302,121498,'Inflicts 4097 - 6147 melee damage on target',100,1,3),
(27303,121498,'Decreases Defense of target by 11.9',100,1,4),
(27304,10121498,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(27305,10121498,'Increases Attack Speed of caster by 21.0',100,130,1),
(27306,10121498,'Increases Piercing, Slashing, Crushing and Ranged of caster by 29.7',100,130,2),
(27307,10121498,'Inflicts 2882 - 4520 melee damage on target',100,1,3),
(27308,10121498,'Decreases Defense of target by 11.9',100,1,4),
(27309,75622,'Applies Holy Strike when Activated.',100,0,0),
(27310,75622,'Inflicts 843 - 1404 divine damage on target',100,1,1),
(27311,75622,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(27312,10075622,'Applies Holy Strike when Activated.',100,0,0),
(27313,10075622,'Inflicts 843 - 1404 divine damage on target',100,1,1),
(27314,10075622,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(27315,47099,'Applies Most Wanted Poster when Activated.',100,0,0),
(27316,47099,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(27317,47099,'If between levels 30 - 39',100,1,2),
(27318,47099,'Cannot be modified except by direct means',100,1,3),
(27319,10047099,'Applies Most Wanted Poster when Activated.',100,0,0),
(27320,10047099,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(27321,10047099,'If between levels 30 - 39',100,1,2),
(27322,10047099,'Cannot be modified except by direct means',100,1,3),
(27323,123636,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(27324,123636,'Slows target by 33.4%',100,2,1),
(27325,123636,'5% chance to dispel when target receives hostile action',100,2,2),
(27326,123636,'5% chance to dispel when target takes damage',100,2,3),
(27327,123636,'Inflicts 497 - 607 cold damage on target',100,1,4),
(27328,10123636,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(27329,10123636,'Slows target by 33.4%',100,2,1),
(27330,10123636,'5% chance to dispel when target receives hostile action',100,2,2),
(27331,10123636,'5% chance to dispel when target takes damage',100,2,3),
(27332,10123636,'Inflicts 390 - 476 cold damage on target',100,1,4),
(27333,159045,'When Equipped:',100,0,0),
(27334,159045,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(27335,159045,'Increases AGI of caster by 5.8',100,2,2),
(27336,159045,'Increases Attack Speed of caster by 11.5',100,2,3),
(27337,159045,'Cannot be modified except by direct means',100,2,4),
(27338,10159045,'When Equipped:',100,0,0),
(27339,10159045,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(27340,10159045,'Increases AGI of caster by 5.8',100,2,2),
(27341,10159045,'Increases Attack Speed of caster by 11.5',100,2,3),
(27342,10159045,'Cannot be modified except by direct means',100,2,4),
(27343,82845,'When Equipped:',100,0,0),
(27344,82845,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27345,82845,'Inflicts 449 - 834 magic damage on target',100,2,2),
(27346,82845,'Decreases Threat to target by 833 ',100,2,3),
(27347,82845,'Must be flanking or behind',100,3,4),
(27348,82845,'Increases Threat to target by 1,293 ',100,2,5),
(27349,82845,'Must be in front of',100,3,6),
(27350,82845,'Cannot be modified except by direct means',100,2,7),
(27351,10082845,'When Equipped:',100,0,0),
(27352,10082845,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27353,10082845,'Inflicts 449 - 834 magic damage on target',100,2,2),
(27354,10082845,'Cannot be modified except by direct means',100,2,3),
(27355,110357,'Increases STR and AGI of group members (AE) by 9.3',100,1,0),
(27356,110357,'Adds 2.5% to base avoidance.',100,1,1),
(27357,10110357,'Increases STR and AGI of group members (AE) by 9.3',100,1,0),
(27358,10110357,'Adds 2.5% to base avoidance.',100,1,1),
(27359,114814,'Decreases WIS of target by 82.3',100,1,0),
(27360,114814,'Increases WIS and STA of caster by 82.3',100,1,1),
(27361,114814,'Decreases Max Health of target by 1.1%',100,1,2),
(27362,114814,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 264',100,1,3),
(27363,114814,'Only affects targets level 17 and above',100,1,4),
(27364,10114814,'Decreases WIS of target by 82.3',100,1,0),
(27365,10114814,'Increases WIS and STA of caster by 82.3',100,1,1),
(27366,10114814,'Decreases Max Health of target by 1.1%',100,1,2),
(27367,10114814,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 264',100,1,3),
(27368,10114814,'Only affects targets level 17 and above',100,1,4),
(27369,35493,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(27370,124143,'Inflicts 1169 disease damage on target encounter',100,1,0),
(27371,124143,'Inflicts 841 disease damage on target encounter every 4 seconds',100,1,1),
(27372,124143,'Applies Banshee''s Scream on termination.',100,1,2),
(27373,124143,'Inflicts 2523 - 4206 disease damage on target',100,2,3),
(27374,10124143,'Inflicts 794 disease damage on target encounter',100,1,0),
(27375,10124143,'Inflicts 663 disease damage on target encounter every 4 seconds',100,1,1),
(27376,10124143,'Applies Banshee''s Scream on termination.',100,1,2),
(27377,10124143,'Inflicts 1989 - 3315 disease damage on target',100,2,3),
(27378,113557,'Inflicts 3559 - 5276 disease damage on target',100,1,0),
(27379,10113557,'Inflicts 2425 - 3779 disease damage on target',100,1,0),
(27380,170692,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(27381,170692,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(27382,170692,'Decreases Attack Speed of target by 9.2',100,2,2),
(27383,170692,'Cannot be modified except by direct means',100,2,3),
(27384,170692,'Slows target by 24.8%',100,1,4),
(27385,170692,'5% chance to dispel when target takes damage',100,1,5),
(27386,170692,'5% chance to dispel when target receives hostile action',100,1,6),
(27387,170692,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(27388,10170692,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(27389,10170692,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(27390,10170692,'Decreases Attack Speed of target by 9.2',100,2,2),
(27391,10170692,'Cannot be modified except by direct means',100,2,3),
(27392,10170692,'Slows target by 24.8%',100,1,4),
(27393,10170692,'5% chance to dispel when target takes damage',100,1,5),
(27394,10170692,'5% chance to dispel when target receives hostile action',100,1,6),
(27395,10170692,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(27396,173765,'Applies Erollisi''s Glowing Aura when Equipped.',100,0,0),
(27397,10173765,'Applies Erollisi''s Glowing Aura when Equipped.',100,0,0),
(27398,141936,'When Equipped:',100,0,0),
(27399,141936,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27400,141936,'Increases WIS of caster by 3.6',100,2,2),
(27401,141936,'Increases Ordination, Focus and Ministration of caster by 2.2',100,2,3),
(27402,141936,'Cannot be modified except by direct means',100,2,4),
(27403,10141936,'When Equipped:',100,0,0),
(27404,10141936,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27405,10141936,'Increases WIS of caster by 3.6',100,2,2),
(27406,10141936,'Increases Ordination, Focus and Ministration of caster by 2.2',100,2,3),
(27407,10141936,'Cannot be modified except by direct means',100,2,4),
(27408,102392,'Inflicts 1669 - 2803 melee damage on targets in area',100,1,0),
(27409,10102392,'Inflicts 1189 - 2083 melee damage on targets in area',100,1,0),
(27410,190135,'When Equipped:',100,0,0),
(27411,190135,'Increases STR of caster by 50.0',100,1,1),
(27412,190135,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(27413,190135,'Increases AGI, INT and WIS of caster by 50.0',100,1,3),
(27414,190135,'Increases Potency of caster by 3.5%',100,1,4),
(27415,190135,'Cannot be modified except by direct means',100,1,5),
(27416,10190135,'When Equipped:',100,0,0),
(27417,10190135,'Increases STR of caster by 50.0',100,1,1),
(27418,10190135,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(27419,10190135,'Increases AGI, INT and WIS of caster by 50.0',100,1,3),
(27420,10190135,'Increases Potency of caster by 3.5%',100,1,4),
(27421,10190135,'Cannot be modified except by direct means',100,1,5),
(27422,108293,'Inflicts 29 - 48 divine damage on target',100,1,0),
(27423,108293,'Heals caster for 3',100,1,1),
(27424,108293,'This effect cannot be critically applied.',100,2,2),
(27425,108293,'The healing of this spell cannot be modified except by direct means',100,1,3),
(27426,10108293,'Inflicts 23 - 39 divine damage on target',100,1,0),
(27427,10108293,'Heals target for 2',100,1,1),
(27428,10108293,'This effect cannot be critically applied.',100,2,2),
(27429,10108293,'The healing of this spell cannot be modified except by direct means',100,1,3),
(27430,106521,'Inflicts 8971 - 14230 melee damage on target',100,1,0),
(27431,106521,'Inflicts 280.4% of max health in crushing damage on target',100,1,1),
(27432,106521,'If Target is Standard or weaker',100,2,2),
(27433,10106521,'Inflicts 3542 - 5615 melee damage on target',100,1,0),
(27434,115440,'Inflicts 999 - 1221 mental damage on target',100,1,0),
(27435,115440,'Inflicts 286 - 349 mental damage on target every 6 seconds',100,1,1),
(27436,115440,'Decreases Mitigation of target vs arcane damage by 504',100,1,2),
(27437,10115440,'Inflicts 620 - 670 mental damage on target',100,1,0),
(27438,10115440,'Inflicts 225 - 275 mental damage on target every 6 seconds',100,1,1),
(27439,10115440,'Decreases Mitigation of target vs arcane damage by 504',100,1,2),
(27440,47749,'Applies Remedy of the Sky when Activated.',100,0,0),
(27441,47749,'Heals caster for 131',100,1,1),
(27442,10047749,'Applies Remedy of the Sky when Activated.',100,0,0),
(27443,10047749,'Heals caster for 85',100,1,1),
(27444,182115,'Applies Blessings of Tranquility when Equipped.',100,0,0),
(27445,182115,'Increases Power Regeneration of caster by 120.0',100,1,1),
(27446,182115,'Increases Health Regeneration of caster by 150.0',100,1,2),
(27447,182115,'This effect suspends during combat',100,1,3),
(27448,10182115,'Applies Blessings of Tranquility when Equipped.',100,0,0),
(27449,10182115,'Increases Power Regeneration of caster by 120.0',100,1,1),
(27450,10182115,'Increases Health Regeneration of caster by 150.0',100,1,2),
(27451,10182115,'This effect suspends during combat',100,1,3),
(27452,35457,'Increases STR of target by 12.7',100,0,0),
(27453,35457,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(27454,74921,'When Equipped:',100,0,0),
(27455,74921,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27456,74921,'Inflicts 49 - 74 magic damage on target',100,2,2),
(27457,74921,'Cannot be modified except by direct means',100,2,3),
(27458,10074921,'When Equipped:',100,0,0),
(27459,10074921,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27460,10074921,'Inflicts 49 - 74 magic damage on target',100,2,2),
(27461,10074921,'Cannot be modified except by direct means',100,2,3),
(27462,48406,'Applies Use when Activated.',100,0,0),
(27463,48406,'Enables you to play the flute.',100,1,1),
(27464,10048406,'Applies Use when Activated.',100,0,0),
(27465,10048406,'Enables you to play the flute.',100,1,1),
(27466,121508,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(27467,121508,'Increases Attack Speed of caster by 21.0',100,130,1),
(27468,121508,'Increases Piercing, Slashing, Crushing and Ranged of caster by 35.7',100,130,2),
(27469,121508,'Inflicts 6100 - 9470 melee damage on target',100,1,3),
(27470,121508,'Decreases Defense of target by 19.0',100,1,4),
(27471,10121508,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(27472,10121508,'Increases Attack Speed of caster by 21.0',100,130,1),
(27473,10121508,'Increases Piercing, Slashing, Crushing and Ranged of caster by 35.7',100,130,2),
(27474,10121508,'Inflicts 4483 - 7175 melee damage on target',100,1,3),
(27475,10121508,'Decreases Defense of target by 19.0',100,1,4),
(27476,107717,'Inflicts 2816 - 4023 heat damage on target',100,1,0),
(27477,107717,'You must be sneaking to use this ability.',100,1,1),
(27478,10107717,'Inflicts 1840 - 2791 heat damage on target',100,1,0),
(27479,10107717,'You must be sneaking to use this ability.',100,1,1),
(27480,116174,'Inflicts 190 - 316 mental damage on target',100,1,0),
(27481,10116174,'Inflicts 163 - 272 mental damage on target',100,1,0),
(27482,104419,'Stifles target encounter',100,1,0),
(27483,104419,'Inflicts 1621 - 1908 mental damage on target encounter',100,1,1),
(27484,104419,'Inflicts 1293 - 1581 mental damage on target encounter every second',100,1,2),
(27485,104419,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(27486,104419,'Resistibility increases against targets higher than level 109.',100,1,4),
(27487,10104419,'Stifles target encounter',100,1,0),
(27488,10104419,'Inflicts 1080 - 1290 mental damage on target encounter',100,1,1),
(27489,10104419,'Inflicts 948 - 1159 mental damage on target encounter every 0.4 seconds',100,1,2),
(27490,10104419,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(27491,10104419,'Resistibility increases against targets higher than level 109.',100,1,4),
(27492,72803,'When Equipped:',100,0,0),
(27493,72803,'On a critical combat hit this spell may cast Paralyzing Puncture VIII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(27494,72803,'Stuns target',100,2,2),
(27495,72803,'If Target is not Epic',100,3,3),
(27496,72803,'Inflicts 2341 - 2587 heat damage on target',100,2,4),
(27497,72803,'Must not be engaged in pvp combat',100,2,5),
(27498,72803,'Cannot be modified except by direct means',100,2,6),
(27499,72803,'Must not be engaged in pvp combat',100,1,7),
(27500,10072803,'When Equipped:',100,0,0),
(27501,10072803,'On a critical combat hit this spell may cast Paralyzing Puncture VIII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(27502,10072803,'Stuns target',100,2,2),
(27503,10072803,'If Target is not Epic',100,3,3),
(27504,10072803,'Inflicts 2341 - 2587 heat damage on target',100,2,4),
(27505,10072803,'Must not be engaged in pvp combat',100,2,5),
(27506,10072803,'Cannot be modified except by direct means',100,2,6),
(27507,10072803,'Must not be engaged in pvp combat',100,1,7),
(27508,114325,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(27509,114325,'Increases target''s chance to block by 15.0%',100,130,1),
(27510,114325,'Dispels 12 levels of noxious hostile effects on target',100,1,2),
(27511,114325,'Heals target for 218 - 247',100,1,3),
(27512,114325,'This effect cannot be critically applied.',100,2,4),
(27513,114325,'The healing of this spell cannot be modified except by direct means',100,1,5),
(27514,10114325,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(27515,10114325,'Increases target''s chance to block by 15.0%',100,130,1),
(27516,10114325,'Dispels 12 levels of noxious hostile effects on target',100,1,2),
(27517,10114325,'Heals target for 129 - 145',100,1,3),
(27518,10114325,'This effect cannot be critically applied.',100,2,4),
(27519,10114325,'The healing of this spell cannot be modified except by direct means',100,1,5),
(27520,82178,'When Equipped:',100,0,0),
(27521,82178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27522,82178,'Inflicts 61 - 114 magic damage on target',100,2,2),
(27523,82178,'Cannot be modified except by direct means',100,2,3),
(27524,10082178,'When Equipped:',100,0,0),
(27525,10082178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27526,10082178,'Inflicts 61 - 114 magic damage on target',100,2,2),
(27527,10082178,'Cannot be modified except by direct means',100,2,3),
(27528,106150,'Inflicts 2116 - 3350 divine damage on target encounter',100,1,0),
(27529,106150,'Interrupts target encounter',100,1,1),
(27530,10106150,'Inflicts 1561 - 2514 divine damage on target encounter',100,1,0),
(27531,10106150,'Interrupts target encounter',100,1,1),
(27532,36476,'Increases outgoing heal and ward amount by 2%',100,0,0),
(27533,36476,'Increases STA and WIS of target by 31.0',100,0,1),
(27534,36476,'Increases Out-of-Combat Power Regeneration of target by 55.8',100,0,2),
(27535,37224,'Increases STR of target by 13.2',100,0,0),
(27536,37224,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(27537,103784,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.3',100,1,0),
(27538,10103784,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.3',100,1,0),
(27539,114815,'Decreases WIS of target by 119.7',100,1,0),
(27540,114815,'Increases WIS and STA of caster by 119.7',100,1,1),
(27541,114815,'Decreases Max Health of target by 1.6%',100,1,2),
(27542,114815,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 384',100,1,3),
(27543,114815,'Only affects targets level 17 and above',100,1,4),
(27544,10114815,'Decreases WIS of target by 119.7',100,1,0),
(27545,10114815,'Increases WIS and STA of caster by 119.7',100,1,1),
(27546,10114815,'Decreases Max Health of target by 1.6%',100,1,2),
(27547,10114815,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 384',100,1,3),
(27548,10114815,'Only affects targets level 17 and above',100,1,4),
(27549,111385,'Inflicts 3124 - 4879 disease damage on target',100,1,0),
(27550,111385,'Heals caster for 1203 - 2005',100,1,1),
(27551,10111385,'Inflicts 2272 - 3656 disease damage on target',100,1,0),
(27552,10111385,'Heals caster for 1118 - 1710',100,1,1),
(27553,121372,'Inflicts 889 - 1370 magic damage on target encounter',100,1,0),
(27554,121372,'Inflicts 561 - 1043 magic damage on target encounter every 2 seconds',100,1,1),
(27555,10121372,'Inflicts 574 - 953 magic damage on target encounter',100,1,0),
(27556,10121372,'Inflicts 442 - 822 magic damage on target encounter every 2 seconds',100,1,1),
(27557,80457,'When Equipped:',100,0,0),
(27558,80457,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27559,80457,'Inflicts 90 - 168 magic damage on target',100,2,2),
(27560,80457,'Decreases Threat to target by 153 ',100,2,3),
(27561,80457,'Must be flanking or behind',100,3,4),
(27562,80457,'Increases Threat to target by 267 ',100,2,5),
(27563,80457,'Must be in front of',100,3,6),
(27564,80457,'Cannot be modified except by direct means',100,2,7),
(27565,10080457,'When Equipped:',100,0,0),
(27566,10080457,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27567,10080457,'Inflicts 90 - 168 magic damage on target',100,2,2),
(27568,10080457,'Cannot be modified except by direct means',100,2,3),
(27569,36421,'Increases INT and AGI of target by 15.4',100,0,0),
(27570,36421,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(27571,36443,'Increases Max Health of target by 90.0',100,0,0),
(27572,36443,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(27573,81433,'When Equipped:',100,0,0),
(27574,81433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27575,81433,'Inflicts 155 - 288 magic damage on target',100,2,2),
(27576,81433,'Cannot be modified except by direct means',100,2,3),
(27577,10081433,'When Equipped:',100,0,0),
(27578,10081433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27579,10081433,'Inflicts 155 - 288 magic damage on target',100,2,2),
(27580,10081433,'Cannot be modified except by direct means',100,2,3),
(27581,82679,'When Equipped:',100,0,0),
(27582,82679,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27583,82679,'Inflicts 151 - 280 magic damage on target',100,2,2),
(27584,82679,'Decreases Threat to target by 259 ',100,2,3),
(27585,82679,'Must be flanking or behind',100,3,4),
(27586,82679,'Increases Threat to target by 453 ',100,2,5),
(27587,82679,'Must be in front of',100,3,6),
(27588,82679,'Cannot be modified except by direct means',100,2,7),
(27589,10082679,'When Equipped:',100,0,0),
(27590,10082679,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27591,10082679,'Inflicts 151 - 280 magic damage on target',100,2,2),
(27592,10082679,'Cannot be modified except by direct means',100,2,3),
(27593,111312,'Inflicts 4069 - 6101 divine damage on target',100,1,0),
(27594,111312,'Inflicts 1229 - 2048 divine damage on target every 4 seconds',100,1,1),
(27595,10111312,'Inflicts 2827 - 4429 divine damage on target',100,1,0),
(27596,10111312,'Inflicts 968 - 1614 divine damage on target every 4 seconds',100,1,1),
(27597,107952,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(27598,10107952,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(27599,113943,'Increases power of target by 91 instantly and every 4 seconds',100,1,0),
(27600,10113943,'Increases power of target by 91 instantly and every 4 seconds',100,1,0),
(27601,35096,'Increases STR of target by 2.4',100,0,0),
(27602,35096,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(27603,71880,'When Equipped:',100,0,0),
(27604,71880,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27605,71880,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(27606,71880,'Cannot be modified except by direct means',100,2,3),
(27607,10071880,'When Equipped:',100,0,0),
(27608,10071880,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27609,10071880,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(27610,10071880,'Cannot be modified except by direct means',100,2,3),
(27611,134924,'When Equipped:',100,0,0),
(27612,134924,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(27613,134924,'Decreases Threat to target by 800 ',100,2,2),
(27614,134924,'Cannot be modified except by direct means',100,2,3),
(27615,10134924,'When Equipped:',100,0,0),
(27616,10134924,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(27617,10134924,'Cannot be modified except by direct means',100,2,2),
(27618,45119,'Applies Summon Sokokar when Activated.  Lasts for 1 day.',100,0,0),
(27619,45119,'Summons a pet sokokar',100,1,1),
(27620,10045119,'Applies Summon Sokokar when Activated.  Lasts for 1 day.',100,0,0),
(27621,10045119,'Summons a pet sokokar',100,1,1),
(27622,172761,'When Equipped:',100,0,0),
(27623,172761,'Reduces maximum falling speed of caster',100,1,1),
(27624,10172761,'When Equipped:',100,0,0),
(27625,10172761,'Reduces maximum falling speed of caster',100,1,1),
(27626,35768,'Increases WIS and STA of target by 13.2',100,0,0),
(27627,35768,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(27628,25635,'When Equipped:',100,0,0),
(27629,25635,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(27630,25635,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(27631,10025635,'When Equipped:',100,0,0),
(27632,10025635,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(27633,10025635,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(27634,88979,'When Equipped:',100,0,0),
(27635,88979,'On a combat hit this spell may cast Flaring Fist on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27636,88979,'Inflicts 511 - 624 (based on equipped weapon) melee damage on target',100,2,2),
(27637,88979,'Cannot be modified except by direct means',100,2,3),
(27638,10088979,'When Equipped:',100,0,0),
(27639,10088979,'On a combat hit this spell may cast Flaring Fist on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27640,10088979,'Inflicts 511 - 624 (based on equipped weapon) melee damage on target',100,2,2),
(27641,10088979,'Cannot be modified except by direct means',100,2,3),
(27642,121476,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(27643,121476,'Increases Attack Speed of caster by 21.0',100,130,1),
(27644,121476,'Increases Piercing, Slashing, Crushing and Ranged of caster by 4.5',100,130,2),
(27645,121476,'Inflicts 806 - 1333 melee damage on target',100,1,3),
(27646,121476,'Decreases Defense of target by 1.5',100,1,4),
(27647,10121476,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(27648,10121476,'Increases Attack Speed of caster by 21.0',100,130,1),
(27649,10121476,'Increases Piercing, Slashing, Crushing and Ranged of caster by 4.5',100,130,2),
(27650,10121476,'Inflicts 644 - 808 melee damage on target',100,1,3),
(27651,10121476,'Decreases Defense of target by 1.5',100,1,4),
(27652,100871,'Makes target afraid',100,1,0),
(27653,100871,'30% chance to dispel when target takes damage',100,1,1),
(27654,100871,'Does not affect Epic targets',100,1,2),
(27655,100871,'Resistibility increases against targets higher than level 82.',100,1,3),
(27656,10100871,'Makes target afraid',100,1,0),
(27657,10100871,'30% chance to dispel when target takes damage',100,1,1),
(27658,10100871,'Does not affect Epic targets',100,1,2),
(27659,10100871,'Resistibility increases against targets higher than level 82.',100,1,3),
(27660,159486,'Applies Lambent Imbued when Equipped.',100,0,0),
(27661,159486,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27662,159486,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(27663,159486,'Cannot be modified except by direct means',100,2,3),
(27664,10159486,'Applies Lambent Imbued when Equipped.',100,0,0),
(27665,10159486,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27666,10159486,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(27667,10159486,'Cannot be modified except by direct means',100,2,3),
(27668,45117,'Applies Leash when Activated.',100,0,0),
(27669,10045117,'Applies Leash when Activated.',100,0,0),
(27670,120266,'Inflicts 4781 - 7282 crushing damage on target',100,1,0),
(27671,10120266,'Inflicts 3389 - 5360 crushing damage on target',100,1,0),
(27672,110777,'Heals group members (AE) for 988 - 1135',100,1,0),
(27673,110777,'Heals group members (AE) for 661 - 807 every 2 seconds',100,1,1),
(27674,10110777,'Heals group members (AE) for 424 - 499',100,1,0),
(27675,10110777,'Heals group members (AE) for 338 - 414 every 2 seconds',100,1,1),
(27676,116115,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(27677,116115,'Heals target for 2282 - 2718',100,2,1),
(27678,116115,'Grants a total of 5 triggers of the spell.',100,2,2),
(27679,10116115,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(27680,10116115,'Heals target for 1088 - 1310',100,2,1),
(27681,10116115,'Grants a total of 5 triggers of the spell.',100,2,2),
(27682,138104,'When Equipped:',100,0,0),
(27683,138104,'Increases Attack Speed of caster by 45.0',100,1,1),
(27684,10138104,'When Equipped:',100,0,0),
(27685,10138104,'Increases Attack Speed of caster by 45.0',100,1,1),
(27686,82324,'When Equipped:',100,0,0),
(27687,82324,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27688,82324,'Inflicts 343 - 636 magic damage on target',100,2,2),
(27689,82324,'Cannot be modified except by direct means',100,2,3),
(27690,10082324,'When Equipped:',100,0,0),
(27691,10082324,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27692,10082324,'Inflicts 343 - 636 magic damage on target',100,2,2),
(27693,10082324,'Cannot be modified except by direct means',100,2,3),
(27694,112188,'Increases Max Health of caster by 5.0%',100,129,0),
(27695,112188,'Increases STR of caster by 61.7',100,1,1),
(27696,112188,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1463',100,1,2),
(27697,112188,'Increases Mitigation of caster vs physical damage by 394',100,1,3),
(27698,10112188,'Increases Max Health of caster by 5.0%',100,129,0),
(27699,10112188,'Increases STR of caster by 61.7',100,1,1),
(27700,10112188,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1463',100,1,2),
(27701,10112188,'Increases Mitigation of caster vs physical damage by 394',100,1,3),
(27702,101771,'Heals group members (AE) for 1288 - 1502',100,1,0),
(27703,101771,'Heals group members (AE) for 961 - 1175 every 2 seconds',100,1,1),
(27704,10101771,'Heals group members (AE) for 578 - 687',100,1,0),
(27705,10101771,'Heals group members (AE) for 492 - 602 every 2 seconds',100,1,1),
(27706,48945,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(27707,48945,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(27708,48945,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(27709,48945,'Cannot be modified except by direct means',100,2,3),
(27710,48945,'Grants a total of 80 triggers of the spell.',100,2,4),
(27711,10048945,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(27712,10048945,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(27713,10048945,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(27714,10048945,'Cannot be modified except by direct means',100,2,3),
(27715,10048945,'Grants a total of 80 triggers of the spell.',100,2,4),
(27716,48048,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(27717,48048,'Increases speed of caster by 6.0%',100,1,1),
(27718,10048048,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(27719,10048048,'Increases speed of caster by 6.0%',100,1,1),
(27720,74786,'When Equipped:',100,0,0),
(27721,74786,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27722,74786,'Inflicts 172 - 258 magic damage on target',100,2,2),
(27723,74786,'Cannot be modified except by direct means',100,2,3),
(27724,10074786,'When Equipped:',100,0,0),
(27725,10074786,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27726,10074786,'Inflicts 172 - 258 magic damage on target',100,2,2),
(27727,10074786,'Cannot be modified except by direct means',100,2,3),
(27728,81024,'When Equipped:',100,0,0),
(27729,81024,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27730,81024,'Inflicts 265 - 493 magic damage on target',100,2,2),
(27731,81024,'Cannot be modified except by direct means',100,2,3),
(27732,10081024,'When Equipped:',100,0,0),
(27733,10081024,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(27734,10081024,'Inflicts 265 - 493 magic damage on target',100,2,2),
(27735,10081024,'Cannot be modified except by direct means',100,2,3),
(27736,114233,'Inflicts 1694 - 1852 mental damage on target',100,1,0),
(27737,114233,'Stuns target',100,1,1),
(27738,114233,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(27739,114233,'Resistibility increases against targets higher than level 56.',100,1,3),
(27740,10114233,'Inflicts 956 - 1080 mental damage on target',100,1,0),
(27741,10114233,'Requires not being affected by Mesmerize effects.',100,2,1),
(27742,10114233,'Stuns target',100,1,2),
(27743,10114233,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(27744,10114233,'Resistibility increases against targets higher than level 56.',100,1,4),
(27745,46485,'Applies Glamor of the Renda''Dal when Activated.',100,0,0),
(27746,46485,'Shapechanges the user into renda''dal form, and provides a shield which damages any melee attacker.',100,1,1),
(27747,10046485,'Applies Glamor of the Renda''Dal when Activated.',100,0,0),
(27748,10046485,'Shapechanges the user into renda''dal form, and provides a shield which damages any melee attacker.',100,1,1),
(27749,117897,'Increases In-Combat Health Regeneration of group members (AE) by 31.4',100,1,0),
(27750,117897,'Increases Max Health of group members (AE) by 164.3',100,1,1),
(27751,10117897,'Increases In-Combat Health Regeneration of group members (AE) by 31.4',100,1,0),
(27752,10117897,'Increases Max Health of group members (AE) by 164.3',100,1,1),
(27753,159558,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(27754,159558,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27755,159558,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(27756,159558,'Cannot be modified except by direct means',100,2,3),
(27757,10159558,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(27758,10159558,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27759,10159558,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(27760,10159558,'Cannot be modified except by direct means',100,2,3),
(27761,112861,'Inflicts 83 - 137 crushing damage on target',100,1,0),
(27762,10112861,'Inflicts 66 - 111 crushing damage on target',100,1,0),
(27763,111474,'Increases AGI of caster by 20.9',100,1,0),
(27764,111474,'Increases Attack Speed of caster by 17.7',100,1,1),
(27765,111474,'Increases in-combat movement speed of caster by 5.0%',100,1,2),
(27766,111474,'Adds 15.6% to base avoidance.',100,1,3),
(27767,111474,'Increases Mitigation of caster vs physical damage by 189',100,1,4),
(27768,111474,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,5),
(27769,10111474,'Increases AGI of caster by 20.9',100,1,0),
(27770,10111474,'Increases Attack Speed of caster by 17.7',100,1,1),
(27771,10111474,'Increases speed of caster by 5.0%',100,1,2),
(27772,10111474,'Adds 15.6% to base avoidance.',100,1,3),
(27773,10111474,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,4),
(27774,134473,'When Equipped:',100,0,0),
(27775,134473,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(27776,134473,'Inflicts 1192 poison damage on target',100,2,2),
(27777,134473,'Cannot be modified except by direct means',100,2,3),
(27778,10134473,'When Equipped:',100,0,0),
(27779,10134473,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(27780,10134473,'Inflicts 596 poison damage on target',100,2,2),
(27781,10134473,'Cannot be modified except by direct means',100,2,3),
(27782,152438,'When Equipped:',100,0,0),
(27783,152438,'Reduces reuse time of Subjugation-based spells by 4 percent.',100,1,1),
(27784,10152438,'When Equipped:',100,0,0),
(27785,10152438,'Reduces reuse time of Subjugation-based spells by 4 percent.',100,1,1),
(27786,120665,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 24.8',100,1,0),
(27787,120665,'Increases Focus of group members (AE) by 49.6',100,1,1),
(27788,10120665,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 24.8',100,1,0),
(27789,10120665,'Increases Focus of group members (AE) by 49.6',100,1,1),
(27790,71413,'When Equipped:',100,0,0),
(27791,71413,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27792,71413,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(27793,71413,'Cannot be modified except by direct means',100,2,3),
(27794,10071413,'When Equipped:',100,0,0),
(27795,10071413,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27796,10071413,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(27797,10071413,'Cannot be modified except by direct means',100,2,3),
(27798,123901,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(27799,123901,'Slows target by 54.9%',100,2,1),
(27800,123901,'5% chance to dispel when target receives hostile action',100,2,2),
(27801,123901,'5% chance to dispel when target takes damage',100,2,3),
(27802,123901,'Decreases Mitigation of target vs elemental and noxious damage by 644',100,1,4),
(27803,10123901,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(27804,10123901,'Slows target by 54.9%',100,2,1),
(27805,10123901,'5% chance to dispel when target receives hostile action',100,2,2),
(27806,10123901,'5% chance to dispel when target takes damage',100,2,3),
(27807,10123901,'Decreases Mitigation of target vs elemental and noxious damage by 644',100,1,4),
(27808,51357,'When Equipped:',100,0,0),
(27809,51357,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(27810,51357,'Inflicts 1986 cold damage on target encounter',100,2,2),
(27811,51357,'Must not be engaged in pvp combat',100,2,3),
(27812,51357,'Cannot be modified except by direct means',100,2,4),
(27813,51357,'Must not be engaged in pvp combat',100,1,5),
(27814,10051357,'When Equipped:',100,0,0),
(27815,10051357,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(27816,10051357,'Inflicts 993 cold damage on target encounter',100,2,2),
(27817,10051357,'Must not be engaged in pvp combat',100,2,3),
(27818,10051357,'Cannot be modified except by direct means',100,2,4),
(27819,10051357,'Must not be engaged in pvp combat',100,1,5),
(27820,115992,'Inflicts 3656 - 4993 mental damage on target',100,1,0),
(27821,115992,'Stuns target',100,1,1),
(27822,115992,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(27823,115992,'Resistibility increases against targets higher than level 108.',100,1,3),
(27824,10115992,'Stuns target',100,1,0),
(27825,10115992,'Inflicts 2502 - 3556 mental damage on target',100,1,1),
(27826,10115992,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(27827,10115992,'Resistibility increases against targets higher than level 108.',100,1,3),
(27828,113631,'Interrupts target encounter',100,1,0),
(27829,113631,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 27.1',100,1,1),
(27830,10113631,'Interrupts target encounter',100,1,0),
(27831,10113631,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 27.1',100,1,1),
(27832,156893,'Applies Unstable Magics when Equipped.',100,0,0),
(27833,156893,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(27834,10156893,'Applies Unstable Magics when Equipped.',100,0,0),
(27835,10156893,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(27836,45584,'Applies Elixir of Adeptness  when Activated.  Lasts for 30 minutes.',100,0,0),
(27837,45584,'Increases AGI of caster by 39.0',100,1,1),
(27838,10045584,'Applies Elixir of Adeptness  when Activated.  Lasts for 30 minutes.',100,0,0),
(27839,10045584,'Increases AGI of caster by 39.0',100,1,1),
(27840,117056,'Inflicts 3351 - 4911 melee damage on target',100,1,0),
(27841,117056,'Decreases Attack Speed of target by 30.6',100,1,1),
(27842,10117056,'Inflicts 2262 - 3491 melee damage on target',100,1,0),
(27843,10117056,'Decreases Attack Speed of target by 30.6',100,1,1),
(27844,106201,'Wards target against 598 points of all damage',100,1,0),
(27845,106201,'Decreases INT of target by 192.5',100,1,1),
(27846,106201,'Decreases Attack Speed of target by 25.0',100,1,2),
(27847,106201,'Increases Max Health of target by 16.0%',100,1,3),
(27848,106201,'Increases Hate Gain of target by 46.0%',100,1,4),
(27849,106201,'Increases Aggression of target by 24.0',100,1,5),
(27850,106201,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(27851,106201,'Increases Threat to target encounter by 1,324 - 1,619 ',100,2,7),
(27852,106201,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1440',100,1,8),
(27853,10106201,'Wards target against 479 points of all damage',100,1,0),
(27854,10106201,'Decreases INT of target by 192.5',100,1,1),
(27855,10106201,'Decreases Attack Speed of target by 25.0',100,1,2),
(27856,10106201,'Increases Max Health of target by 16.0%',100,1,3),
(27857,10106201,'Increases Aggression of target by 24.0',100,1,4),
(27858,10106201,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1440',100,1,5),
(27859,155905,'When Equipped:',100,0,0),
(27860,155905,'Increases Attack Speed of caster by 40.0',100,1,1),
(27861,10155905,'When Equipped:',100,0,0),
(27862,10155905,'Increases Attack Speed of caster by 40.0',100,1,1),
(27863,36414,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,0),
(27864,36414,'This effect suspends during combat',100,0,1),
(27865,25351,'When Equipped:',100,0,0),
(27866,25351,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(27867,25351,'Improves the block chance of Controlled Rage VI by 5%.',100,1,2),
(27868,10025351,'When Equipped:',100,0,0),
(27869,10025351,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(27870,10025351,'Improves the block chance of Controlled Rage VI by 5%.',100,1,2),
(27871,102218,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(27872,10102218,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(27873,109096,'Inflicts 2195 - 2993 melee damage on target',100,1,0),
(27874,109096,'Inflicts 1212 - 2011 melee damage on target',100,1,1),
(27875,109096,'Inflicts 1212 - 2011 melee damage on target',100,1,2),
(27876,109096,'Decreases Mitigation of target vs physical damage by 891',100,1,3),
(27877,10109096,'Inflicts 1350 - 1979 melee damage on target',100,1,0),
(27878,10109096,'Inflicts 955 - 1585 melee damage on target',100,1,1),
(27879,10109096,'Inflicts 955 - 1585 melee damage on target',100,1,2),
(27880,10109096,'Decreases Mitigation of target vs physical damage by 891',100,1,3),
(27881,37316,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(27882,37316,'Increases Max Health of target by 60.5',100,0,1),
(27883,81890,'When Equipped:',100,0,0),
(27884,81890,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27885,81890,'Inflicts 210 - 391 magic damage on target',100,2,2),
(27886,81890,'Decreases Threat to target by 487 ',100,2,3),
(27887,81890,'Must be flanking or behind',100,3,4),
(27888,81890,'Increases Threat to target by 852 ',100,2,5),
(27889,81890,'Must be in front of',100,3,6),
(27890,81890,'Cannot be modified except by direct means',100,2,7),
(27891,10081890,'When Equipped:',100,0,0),
(27892,10081890,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27893,10081890,'Inflicts 210 - 391 magic damage on target',100,2,2),
(27894,10081890,'Cannot be modified except by direct means',100,2,3),
(27895,46253,'Applies arcane remedy when Activated.',100,0,0),
(27896,46253,'Dispels 88 levels of arcane hostile effects on caster',100,1,1),
(27897,10046253,'Applies arcane remedy when Activated.',100,0,0),
(27898,10046253,'Dispels 88 levels of arcane hostile effects on caster',100,1,1),
(27899,26022,'When Equipped:',100,0,0),
(27900,26022,'Increases all poison damage by up to 20.',100,1,1),
(27901,10026022,'When Equipped:',100,0,0),
(27902,10026022,'Increases all poison damage by up to 20.',100,1,1),
(27903,100121,'Decreases STR, AGI, WIS and INT of target by 33.1',100,1,0),
(27904,100121,'Decreases Max Health of target by 0.7%',100,1,1),
(27905,10100121,'Decreases STR, AGI, WIS and INT of target by 33.1',100,1,0),
(27906,10100121,'Decreases Max Health of target by 0.7%',100,1,1),
(27907,123647,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(27908,123647,'Slows target by 48.4%',100,2,1),
(27909,123647,'5% chance to dispel when target receives hostile action',100,2,2),
(27910,123647,'5% chance to dispel when target takes damage',100,2,3),
(27911,123647,'Inflicts 4714 - 5543 cold damage on target',100,1,4),
(27912,10123647,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(27913,10123647,'Slows target by 48.4%',100,2,1),
(27914,10123647,'5% chance to dispel when target receives hostile action',100,2,2),
(27915,10123647,'5% chance to dispel when target takes damage',100,2,3),
(27916,10123647,'Inflicts 2915 - 3475 cold damage on target',100,1,4),
(27917,134200,'Applies Fragile as Glass when Activated.  Lasts for 1 minute.',100,0,0),
(27918,134200,'Decreases Mitigation of target vs physical damage by 663',100,1,1),
(27919,134200,'Must be engaged in pvp combat',100,1,2),
(27920,134200,'The casting time of Fragile as Glass is 1.98 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,3),
(27921,10134200,'Applies Fragile as Glass when Activated.  Lasts for 1 minute.',100,0,0),
(27922,10134200,'Decreases Mitigation of target vs physical damage by 663',100,1,1),
(27923,10134200,'Must be engaged in pvp combat',100,1,2),
(27924,10134200,'The casting time of Fragile as Glass is 1.98 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,3),
(27925,121116,'Decreases Threat to targets in Area of Effect by 9,808 ',100,1,0),
(27926,121116,'Mesmerizes targets in Area of Effect',100,1,1),
(27927,121116,'If Target is not Epic',100,2,2),
(27928,121116,'Dispelled when target takes damage',100,1,3),
(27929,10121116,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(27930,10121116,'Applies Distract.',100,1,1),
(27931,10121116,'Forces target to clear their selected target.',100,2,2),
(27932,10121116,'Mesmerizes targets in Area of Effect',100,1,3),
(27933,10121116,'If Target is not Epic',100,2,4),
(27934,10121116,'Dispelled when target takes damage',100,1,5),
(27935,159168,'Applies Lambent Imbued when Equipped.',100,0,0),
(27936,159168,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27937,159168,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(27938,159168,'Cannot be modified except by direct means',100,2,3),
(27939,10159168,'Applies Lambent Imbued when Equipped.',100,0,0),
(27940,10159168,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(27941,10159168,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(27942,10159168,'Cannot be modified except by direct means',100,2,3),
(27943,71480,'When Equipped:',100,0,0),
(27944,71480,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27945,71480,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(27946,71480,'Cannot be modified except by direct means',100,2,3),
(27947,10071480,'When Equipped:',100,0,0),
(27948,10071480,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(27949,10071480,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(27950,10071480,'Cannot be modified except by direct means',100,2,3),
(27951,114653,'Increases Threat to target by 145 - 178 ',100,1,0),
(27952,114653,'Interrupts target',100,1,1),
(27953,10114653,'Interrupts target',100,1,0),
(27954,10114653,'Forces target to change their selected target to caster.',100,1,1),
(27955,10114653,'Prevents target from changing targets',100,1,2),
(27956,24023,'Adds Aviak (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(27957,10024023,'Adds Aviak (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(27958,160658,'When Equipped:',100,0,0),
(27959,160658,'Applies Insidious Visions to qualifying pets.',100,1,1),
(27960,160658,'Increases Ability Reuse Speed of target by 10.0%',100,2,2),
(27961,160658,'Increases Ability Casting Speed of target by 10.0%',100,2,3),
(27962,160658,'Increases Subjugation of target by 10.0',100,2,4),
(27963,160658,'Increases Ability Modifier of target by 90.0',100,2,5),
(27964,160658,'If illusionist',100,2,6),
(27965,160658,'Enhances Enraging Demeanor III with up to 100 Combat Art damage and a hate proc.',100,1,7),
(27966,160658,'When Equipped:',100,0,8),
(27967,160658,'Reduces cast time of hostile spells by 5 percent.',100,1,9),
(27968,10160658,'When Equipped:',100,0,0),
(27969,10160658,'Applies Insidious Visions to qualifying pets.',100,1,1),
(27970,10160658,'Increases Ability Reuse Speed of target by 10.0%',100,2,2),
(27971,10160658,'Increases Ability Casting Speed of target by 10.0%',100,2,3),
(27972,10160658,'Increases Subjugation of target by 10.0',100,2,4),
(27973,10160658,'Increases Ability Modifier of target by 90.0',100,2,5),
(27974,10160658,'If illusionist',100,2,6),
(27975,10160658,'Enhances Enraging Demeanor III with up to 100 Combat Art damage and a hate proc.',100,1,7),
(27976,10160658,'When Equipped:',100,0,8),
(27977,10160658,'Reduces cast time of hostile spells by 5 percent.',100,1,9),
(27978,100558,'Heals group members (AE) for 4657 - 5619',100,1,0),
(27979,10100558,'Heals group members (AE) for 7608 - 9265',100,1,0),
(27980,100840,'Wards target against 1795 points of all damage',100,1,0),
(27981,10100840,'Wards target against 2242 points of all damage',100,1,0),
(27982,24722,'Adds Succubus (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(27983,10024722,'Adds Succubus (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(27984,150889,'When Equipped:',100,0,0),
(27985,150889,'On a hostile spell cast this spell may cast Melodic Misgivings on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(27986,150889,'Increases Multi Attack Chance of group members (AE) by 10.0',100,2,2),
(27987,150889,'Cannot be modified except by direct means',100,2,3),
(27988,10150889,'When Equipped:',100,0,0),
(27989,10150889,'On a hostile spell cast this spell may cast Melodic Misgivings on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(27990,10150889,'Increases Multi Attack Chance of group members (AE) by 10.0',100,2,2),
(27991,10150889,'Cannot be modified except by direct means',100,2,3),
(27992,80505,'When Equipped:',100,0,0),
(27993,80505,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(27994,80505,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(27995,80505,'Decreases Threat to target by 1,219 ',100,2,3),
(27996,80505,'Must be flanking or behind',100,3,4),
(27997,80505,'Increases Threat to target by 1,679 ',100,2,5),
(27998,80505,'Must be in front of',100,3,6),
(27999,80505,'Cannot be modified except by direct means',100,2,7),
(28000,10080505,'When Equipped:',100,0,0),
(28001,10080505,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(28002,10080505,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(28003,10080505,'Cannot be modified except by direct means',100,2,3),
(28004,121586,'Stuns target encounter',100,1,0),
(28005,121586,'Epic targets gain an immunity to Stun effects of 15.8 seconds and duration is reduced to 1.8 seconds.',100,1,1),
(28006,121586,'Resistibility increases against targets higher than level 59.',100,1,2),
(28007,10121586,'Stuns target encounter',100,1,0),
(28008,10121586,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(28009,10121586,'Resistibility increases against targets higher than level 59.',100,1,2),
(28010,119954,'Inflicts 2906 - 4200 melee damage on target',100,1,0),
(28011,119954,'Stifles target',100,1,1),
(28012,119954,'If Target is not Epic',100,2,2),
(28013,119954,'Resistibility increases against targets higher than level 99.',100,1,3),
(28014,10119954,'Inflicts 1951 - 2976 melee damage on target',100,1,0),
(28015,10119954,'Stifles target',100,1,1),
(28016,10119954,'If Target is not Epic',100,2,2),
(28017,10119954,'Resistibility increases against targets higher than level 99.',100,1,3),
(28018,71974,'When Equipped:',100,0,0),
(28019,71974,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28020,71974,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(28021,71974,'Cannot be modified except by direct means',100,2,3),
(28022,10071974,'When Equipped:',100,0,0),
(28023,10071974,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28024,10071974,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(28025,10071974,'Cannot be modified except by direct means',100,2,3),
(28026,119246,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(28027,119246,'If profession other than Fighter',100,1,1),
(28028,119246,'If profession other than Scout',100,1,2),
(28029,10119246,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(28030,10119246,'If profession other than Fighter',100,1,1),
(28031,10119246,'If profession other than Scout',100,1,2),
(28032,116598,'Inflicts 1941 - 3130 divine damage on target',100,1,0),
(28033,10116598,'Inflicts 1415 - 2087 divine damage on target',100,1,0),
(28034,112151,'Dispels 157 levels of physical hostile effects on caster',100,129,0),
(28035,112151,'Dispels 157 levels of physical and arcane hostile effects on caster',100,1,1),
(28036,10112151,'Dispels 157 levels of physical hostile effects on caster',100,129,0),
(28037,10112151,'Dispels 157 levels of physical and arcane hostile effects on caster',100,1,1),
(28038,100024,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(28039,100024,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(28040,100024,'Inflicts 550 - 912 melee damage on targets in area',100,2,2),
(28041,100024,'Decreases Defense of caster by 15.0',100,1,3),
(28042,100024,'Increases Slashing, Piercing and Crushing of caster by 29.7',100,1,4),
(28043,10100024,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(28044,10100024,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(28045,10100024,'Inflicts 433 - 719 melee damage on targets in area',100,2,2),
(28046,10100024,'Decreases Defense of caster by 15.0',100,1,3),
(28047,10100024,'Increases Slashing, Piercing and Crushing of caster by 29.7',100,1,4),
(28048,104201,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(28049,10104201,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(28050,46584,'Applies trauma remedy when Activated.',100,0,0),
(28051,46584,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(28052,10046584,'Applies trauma remedy when Activated.',100,0,0),
(28053,10046584,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(28054,113573,'Mesmerizes target',100,1,0),
(28055,113573,'Prevents AOE (except when direct) ',100,1,1),
(28056,113573,'Dispelled when target takes damage',100,1,2),
(28057,113573,'Does not affect Epic targets',100,1,3),
(28058,113573,'Resistibility increases against targets higher than level 79.',100,1,4),
(28059,10113573,'Mesmerizes target',100,1,0),
(28060,10113573,'Prevents AOE (except when direct) ',100,1,1),
(28061,10113573,'Dispelled when target takes damage',100,1,2),
(28062,10113573,'Does not affect Epic targets',100,1,3),
(28063,10113573,'Resistibility increases against targets higher than level 79.',100,1,4),
(28064,82697,'When Equipped:',100,0,0),
(28065,82697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28066,82697,'Inflicts 210 - 391 magic damage on target',100,2,2),
(28067,82697,'Cannot be modified except by direct means',100,2,3),
(28068,10082697,'When Equipped:',100,0,0),
(28069,10082697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28070,10082697,'Inflicts 210 - 391 magic damage on target',100,2,2),
(28071,10082697,'Cannot be modified except by direct means',100,2,3),
(28072,119211,'Inflicts 2567 - 3612 heat damage on target',100,1,0),
(28073,119211,'Inflicts 1585 - 2630 heat damage on target',100,1,1),
(28074,119211,'Requires bow',100,1,2),
(28075,10119211,'Inflicts 1656 - 2487 heat damage on target',100,1,0),
(28076,10119211,'Inflicts 1261 - 2093 heat damage on target',100,1,1),
(28077,10119211,'Requires bow',100,1,2),
(28078,102730,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(28079,102730,'Inflicts 439 - 732 divine damage on target',100,2,1),
(28080,102730,'Inflicts 377 - 628 divine damage on target',100,2,2),
(28081,102730,'If target is undead',100,3,3),
(28082,102730,'Stuns target',100,2,4),
(28083,102730,'If Target is not Epic',100,3,5),
(28084,10102730,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(28085,10102730,'Inflicts 520 - 866 divine damage on target',100,2,1),
(28086,10102730,'Stuns target',100,2,2),
(28087,10102730,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(28088,124102,'Increases power of caster by 85',100,1,0),
(28089,10124102,'Increases power of caster by 85',100,1,0),
(28090,35511,'Increases STA and INT of target by 9.4',100,0,0),
(28091,35511,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(28092,159857,'Applies Lambent Imbued when Equipped.',100,0,0),
(28093,159857,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(28094,159857,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(28095,159857,'Cannot be modified except by direct means',100,2,3),
(28096,10159857,'Applies Lambent Imbued when Equipped.',100,0,0),
(28097,10159857,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(28098,10159857,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(28099,10159857,'Cannot be modified except by direct means',100,2,3),
(28100,113774,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(28101,113774,'Heals target for 427 - 522',100,2,1),
(28102,10113774,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(28103,10113774,'Heals target for 227 - 278',100,2,1),
(28104,82516,'When Equipped:',100,0,0),
(28105,82516,'This effect will not stack with itself.',100,1,1),
(28106,82516,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(28107,82516,'Heals target for 277 - 306 instantly and every 2 seconds',100,2,3),
(28108,82516,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(28109,82516,'Wards target against 4000 points of all damage',100,2,5),
(28110,82516,'Must not be engaged in pvp combat',100,2,6),
(28111,82516,'Cannot be modified except by direct means',100,2,7),
(28112,82516,'Must not be engaged in pvp combat',100,1,8),
(28113,10082516,'When Equipped:',100,0,0),
(28114,10082516,'This effect will not stack with itself.',100,1,1),
(28115,10082516,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(28116,10082516,'Heals target for 324 - 358 instantly and every 2 seconds',100,2,3),
(28117,10082516,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(28118,10082516,'Wards target against 4000 points of all damage',100,2,5),
(28119,10082516,'Must not be engaged in pvp combat',100,2,6),
(28120,10082516,'Cannot be modified except by direct means',100,2,7),
(28121,10082516,'Must not be engaged in pvp combat',100,1,8),
(28122,113170,'Inflicts 2980 disease damage on target',100,1,0),
(28123,113170,'Heals caster for 1241',100,1,1),
(28124,10113170,'Inflicts 2159 disease damage on target',100,1,0),
(28125,10113170,'Heals caster for 679',100,1,1),
(28126,105047,'Inflicts 241 - 402 divine damage on targets in Area of Effect',100,1,0),
(28127,10105047,'Inflicts 197 - 329 divine damage on targets in Area of Effect',100,1,0),
(28128,117199,'Inflicts 298 - 494 melee damage on target',100,1,0),
(28129,117199,'Inflicts 149 - 247 melee damage on target',100,1,1),
(28130,10117199,'Inflicts 267 - 442 melee damage on target',100,1,0),
(28131,10117199,'Inflicts 117 - 194 melee damage on target',100,1,1),
(28132,100487,'Increases Attack Speed of group members (AE) by 9.6',100,1,0),
(28133,10100487,'Increases Attack Speed of group members (AE) by 9.6',100,1,0),
(28134,117701,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(28135,117701,'Adds 0.9% to base avoidance.',100,1,1),
(28136,10117701,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(28137,10117701,'Adds 0.9% to base avoidance.',100,1,1),
(28138,138902,'When Equipped:',100,0,0),
(28139,138902,'On a melee hit this spell may cast Tireless Sinew on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28140,138902,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(28141,138902,'Reduces all physical damage done to caster by 200.',100,2,3),
(28142,138902,'Cannot be modified except by direct means',100,2,4),
(28143,10138902,'When Equipped:',100,0,0),
(28144,10138902,'On a melee hit this spell may cast Tireless Sinew on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28145,10138902,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(28146,10138902,'Reduces all physical damage done to caster by 200.',100,2,3),
(28147,10138902,'Cannot be modified except by direct means',100,2,4),
(28148,118752,'Increases INT and WIS of group members (AE) by 22.2',100,1,0),
(28149,118752,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',100,1,1),
(28150,10118752,'Increases INT and WIS of group members (AE) by 22.2',100,1,0),
(28151,10118752,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',100,1,1),
(28152,159913,'Applies Sanguine Imbued when Equipped.',100,0,0),
(28153,159913,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(28154,159913,'Inflicts 108 heat damage on target',100,2,2),
(28155,159913,'Cannot be modified except by direct means',100,2,3),
(28156,10159913,'Applies Sanguine Imbued when Equipped.',100,0,0),
(28157,10159913,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(28158,10159913,'Inflicts 108 heat damage on target',100,2,2),
(28159,10159913,'Cannot be modified except by direct means',100,2,3),
(28160,51465,'Applies Heroic Resistance II when Equipped.',100,0,0),
(28161,51465,'Reduces the critical damage inflicted by players on caster by 2.0%',100,1,1),
(28162,51465,'Cannot be modified except by direct means',100,1,2),
(28163,10051465,'Applies Heroic Resistance II when Equipped.',100,0,0),
(28164,10051465,'Reduces the critical damage inflicted by players on caster by 2.0%',100,1,1),
(28165,10051465,'Cannot be modified except by direct means',100,1,2),
(28166,100476,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(28167,100476,'Decreases Threat to target by 296 ',100,2,1),
(28168,100476,'If not fighter',100,2,2),
(28169,100476,'Decreases Hate Gain of group members (AE) by 29.7%',100,1,3),
(28170,100476,'If not fighter',100,2,4),
(28171,10100476,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(28172,10100476,'If not fighter',100,2,1),
(28173,10100476,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(28174,10100476,'Inflicts 209 - 231 crushing damage on target',100,2,3),
(28175,10100476,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(28176,10100476,'If not fighter',100,2,5),
(28177,10100476,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(28178,10100476,'If not fighter',100,2,7),
(28179,10100476,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(28180,10100476,'If not fighter',100,2,9),
(28181,24464,'Adds Kobold (Ranger) to your Dungeon Maker toolbox',100,0,0),
(28182,10024464,'Adds Kobold (Ranger) to your Dungeon Maker toolbox',100,0,0),
(28183,123813,'Inflicts 538 - 896 magic damage on target',100,1,0),
(28184,123813,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(28185,123813,'Decreases Defense of target by 24.0',100,1,2),
(28186,123813,'Target will lose 32% more power when power is consumed',100,1,3),
(28187,123813,'32% of target''s power consumed will also be drained from target''s health',100,1,4),
(28188,10123813,'Inflicts 462 - 770 magic damage on target',100,1,0),
(28189,10123813,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(28190,10123813,'Decreases Defense of target by 24.0',100,1,2),
(28191,10123813,'Target will lose 32% more power when power is consumed',100,1,3),
(28192,10123813,'32% of target''s power consumed will also be drained from target''s health',100,1,4),
(28193,113197,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(28194,113197,'Inflicts 89 magic damage on target',100,2,1),
(28195,113197,'Grants a total of 5 triggers of the spell.',100,2,2),
(28196,10113197,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(28197,10113197,'Inflicts 71 magic damage on target',100,2,1),
(28198,10113197,'Grants a total of 5 triggers of the spell.',100,2,2),
(28199,113482,'Inflicts 84 - 139 melee damage on targets in area',100,1,0),
(28200,10113482,'Inflicts 72 - 119 melee damage on targets in area',100,1,0),
(28201,105539,'Inflicts 319 - 592 disease damage on target',100,1,0),
(28202,105539,'Inflicts 64 - 118 disease damage on target every 2 seconds',100,1,1),
(28203,10105539,'Inflicts 296 - 550 disease damage on target',100,1,0),
(28204,10105539,'Inflicts 50 - 93 disease damage on target every 2 seconds',100,1,1),
(28205,48952,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(28206,48952,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(28207,48952,'Stuns target',100,2,2),
(28208,48952,'If Target is not Epic',100,3,3),
(28209,48952,'Dispelled when target receives hostile action',100,2,4),
(28210,48952,'Dispelled when target takes damage',100,2,5),
(28211,48952,'Cannot be modified except by direct means',100,2,6),
(28212,48952,'Grants a total of 4 triggers of the spell.',100,2,7),
(28213,10048952,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(28214,10048952,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(28215,10048952,'Stuns target',100,2,2),
(28216,10048952,'If Target is not Epic',100,3,3),
(28217,10048952,'Dispelled when target receives hostile action',100,2,4),
(28218,10048952,'Dispelled when target takes damage',100,2,5),
(28219,10048952,'Cannot be modified except by direct means',100,2,6),
(28220,10048952,'Grants a total of 4 triggers of the spell.',100,2,7),
(28221,48482,'Applies Thinning Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(28222,48482,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(28223,48482,'Inflicts 544 poison damage on target',100,2,2),
(28224,48482,'Inflicts 281 poison damage on target instantly and every 6 seconds',100,2,3),
(28225,48482,'Cannot be modified except by direct means',100,2,4),
(28226,48482,'Grants a total of 200 triggers of the spell.',100,2,5),
(28227,48482,'Only affects targets level 50 and above',100,1,6),
(28228,10048482,'Applies Thinning Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(28229,10048482,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(28230,10048482,'Inflicts 211 poison damage on target instantly and every 6 seconds',100,2,2),
(28231,10048482,'Inflicts 408 poison damage on target',100,2,3),
(28232,10048482,'Cannot be modified except by direct means',100,2,4),
(28233,10048482,'Grants a total of 200 triggers of the spell.',100,2,5),
(28234,10048482,'Only affects targets level 50 and above',100,1,6),
(28235,79843,'When Equipped:',100,0,0),
(28236,79843,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(28237,79843,'Reduces healing received by 15.00%',100,2,2),
(28238,79843,'Cannot be modified except by direct means',100,2,3),
(28239,79843,'This effect can only trigger once every 1 second.',100,2,4),
(28240,79843,'Must be engaged in pvp combat',100,1,5),
(28241,10079843,'When Equipped:',100,0,0),
(28242,10079843,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(28243,10079843,'Reduces healing received by 15.00%',100,2,2),
(28244,10079843,'Cannot be modified except by direct means',100,2,3),
(28245,10079843,'This effect can only trigger once every 1 second.',100,2,4),
(28246,10079843,'Must be engaged in pvp combat',100,1,5),
(28247,136225,'When Equipped:',100,0,0),
(28248,136225,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(28249,136225,'Heals group members for 592',100,2,2),
(28250,136225,'Cannot be modified except by direct means',100,2,3),
(28251,136225,'When Equipped:',100,0,4),
(28252,136225,'Reduces cast time of beneficial spells by 4 percent.',100,1,5),
(28253,10136225,'When Equipped:',100,0,0),
(28254,10136225,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(28255,10136225,'Heals group members for 385',100,2,2),
(28256,10136225,'Cannot be modified except by direct means',100,2,3),
(28257,10136225,'When Equipped:',100,0,4),
(28258,10136225,'Reduces cast time of beneficial spells by 4 percent.',100,1,5),
(28259,112535,'Interrupts target',50,1,0),
(28260,112535,'Inflicts 633 - 773 divine damage on target',100,1,1),
(28261,10112535,'Interrupts target',50,1,0),
(28262,10112535,'Inflicts 638 - 780 divine damage on target',100,1,1),
(28263,110094,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(28264,110094,'Inflicts 80 disease damage on target',100,2,1),
(28265,110094,'Heals caster for 30',100,2,2),
(28266,110094,'Decreases INT of target by 54.0',100,1,3),
(28267,110094,'Decreases Attack Speed of target by 25.0',100,1,4),
(28268,110094,'Increases Max Health of target by 16.0%',100,1,5),
(28269,110094,'Increases Hate Gain of target by 28.8%',100,1,6),
(28270,110094,'Increases Aggression of target by 6.7',100,1,7),
(28271,110094,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(28272,110094,'Increases Threat to target encounter by 269 - 329 ',100,2,9),
(28273,110094,'Increases Mitigation of target vs elemental, noxious and arcane damage by 448',100,1,10),
(28274,10110094,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(28275,10110094,'Inflicts 63 disease damage on target',100,2,1),
(28276,10110094,'Heals caster for 15',100,2,2),
(28277,10110094,'Decreases INT of target by 54.0',100,1,3),
(28278,10110094,'Decreases Attack Speed of target by 25.0',100,1,4),
(28279,10110094,'Increases Max Health of target by 16.0%',100,1,5),
(28280,10110094,'Increases Aggression of target by 6.7',100,1,6),
(28281,10110094,'Increases Mitigation of target vs elemental, noxious and arcane damage by 448',100,1,7),
(28282,41469,'When Equipped:',100,0,0),
(28283,41469,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28284,41469,'Inflicts 155 - 288 magic damage on target',100,2,2),
(28285,41469,'Cannot be modified except by direct means',100,2,3),
(28286,10041469,'When Equipped:',100,0,0),
(28287,10041469,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28288,10041469,'Inflicts 155 - 288 magic damage on target',100,2,2),
(28289,10041469,'Cannot be modified except by direct means',100,2,3),
(28290,104351,'Charms target',100,1,0),
(28291,104351,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(28292,104351,'Mesmerizes target',100,2,2),
(28293,104351,'Dispelled when target takes damage',100,2,3),
(28294,104351,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(28295,104351,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(28296,104351,'Grants Sonic Vision to caster',100,2,6),
(28297,104351,'Increases Out-of-Combat Power Regeneration of target by 21.5',100,1,7),
(28298,104351,'Increases Out-of-Combat Health Regeneration of target by 42.9',100,1,8),
(28299,104351,'Certain enemies cannot be charmed',100,1,9),
(28300,104351,'Does not affect Epic targets',100,1,10),
(28301,10104351,'Mesmerizes target',100,1,0),
(28302,10104351,'Prevents AOE (except when direct) ',100,1,1),
(28303,10104351,'Dispelled when target takes damage',100,1,2),
(28304,10104351,'Certain enemies cannot be charmed',100,1,3),
(28305,10104351,'Does not affect Epic targets',100,1,4),
(28306,10104351,'Resistibility increases against targets higher than level 76.',100,1,5),
(28307,112669,'Increases Parry of group members (AE) by 7.7',100,1,0),
(28308,10112669,'Increases Parry of group members (AE) by 7.7',100,1,0),
(28309,74853,'When Equipped:',100,0,0),
(28310,74853,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28311,74853,'Inflicts 217 - 326 magic damage on target',100,2,2),
(28312,74853,'Cannot be modified except by direct means',100,2,3),
(28313,10074853,'When Equipped:',100,0,0),
(28314,10074853,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28315,10074853,'Inflicts 217 - 326 magic damage on target',100,2,2),
(28316,10074853,'Cannot be modified except by direct means',100,2,3),
(28317,117004,'Inflicts 640 - 1893 melee damage on target',100,1,0),
(28318,10117004,'Inflicts 511 - 1403 melee damage on target',100,1,0),
(28319,45923,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(28320,45923,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(28321,45923,'Inflicts 692 poison damage on target',100,2,2),
(28322,45923,'Heals caster for 314',100,2,3),
(28323,45923,'Cannot be modified except by direct means',100,2,4),
(28324,45923,'Grants a total of 100 triggers of the spell.',100,2,5),
(28325,10045923,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(28326,10045923,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(28327,10045923,'Inflicts 494 poison damage on target',100,2,2),
(28328,10045923,'Heals caster for 127',100,2,3),
(28329,10045923,'Cannot be modified except by direct means',100,2,4),
(28330,10045923,'Grants a total of 100 triggers of the spell.',100,2,5),
(28331,116667,'Heals group members (AE) for 138 - 169',100,1,0),
(28332,116667,'This effect cannot be critically applied.',100,2,1),
(28333,116667,'Increases Max Health of group members (AE) by 64.2',100,1,2),
(28334,116667,'The healing of this spell cannot be modified except by direct means',100,1,3),
(28335,10116667,'Heals group members (AE) for 50 - 62',100,1,0),
(28336,10116667,'This effect cannot be critically applied.',100,2,1),
(28337,10116667,'Increases Max Health of group members (AE) by 64.2',100,1,2),
(28338,10116667,'The healing of this spell cannot be modified except by direct means',100,1,3),
(28339,47495,'Applies Personal Theme Music: Deathfist Citadel when Activated.',100,0,0),
(28340,47495,'Play your own personal theme music!',100,1,1),
(28341,10047495,'Applies Personal Theme Music: Deathfist Citadel when Activated.',100,0,0),
(28342,10047495,'Play your own personal theme music!',100,1,1),
(28343,80035,'Applies Fire Ball when Activated.',100,0,0),
(28344,80035,'Inflicts 243 - 405 heat damage on target',100,1,1),
(28345,80035,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(28346,10080035,'Applies Fire Ball when Activated.',100,0,0),
(28347,10080035,'Inflicts 243 - 405 heat damage on target',100,1,1),
(28348,10080035,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(28349,47782,'Applies Aura of the Fae when Activated.',100,0,0),
(28350,47782,'Casts aura of the Fae on the user',100,1,1),
(28351,10047782,'Applies Aura of the Fae when Activated.',100,0,0),
(28352,10047782,'Casts aura of the Fae on the user',100,1,1),
(28353,26530,'When Equipped:',100,0,0),
(28354,26530,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(28355,26530,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,2),
(28356,10026530,'When Equipped:',100,0,0),
(28357,10026530,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(28358,10026530,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,2),
(28359,40867,'When Equipped:',100,0,0),
(28360,40867,'On a critical combat hit this spell may cast Imposing Righteousness VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28361,40867,'Decreases Potency of target by 2.0%',100,2,2),
(28362,40867,'Increases Potency of caster by 8.0%',100,2,3),
(28363,40867,'Must not be engaged in pvp combat',100,2,4),
(28364,40867,'Cannot be modified except by direct means',100,2,5),
(28365,40867,'On a critical spell hit this spell may cast Imposing Righteousness VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(28366,40867,'Decreases Potency of target by 2.0%',100,2,7),
(28367,40867,'Increases Potency of caster by 8.0%',100,2,8),
(28368,40867,'Must not be engaged in pvp combat',100,2,9),
(28369,40867,'Cannot be modified except by direct means',100,2,10),
(28370,40867,'Must not be engaged in pvp combat',100,1,11),
(28371,10040867,'When Equipped:',100,0,0),
(28372,10040867,'On a critical combat hit this spell may cast Imposing Righteousness VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28373,10040867,'Decreases Potency of target by 2.0%',100,2,2),
(28374,10040867,'Increases Potency of caster by 8.0%',100,2,3),
(28375,10040867,'Must not be engaged in pvp combat',100,2,4),
(28376,10040867,'Cannot be modified except by direct means',100,2,5),
(28377,10040867,'On a critical spell hit this spell may cast Imposing Righteousness VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(28378,10040867,'Decreases Potency of target by 2.0%',100,2,7),
(28379,10040867,'Increases Potency of caster by 8.0%',100,2,8),
(28380,10040867,'Must not be engaged in pvp combat',100,2,9),
(28381,10040867,'Cannot be modified except by direct means',100,2,10),
(28382,10040867,'Must not be engaged in pvp combat',100,1,11),
(28383,169353,'When Equipped:',100,0,0),
(28384,169353,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(28385,10169353,'When Equipped:',100,0,0),
(28386,10169353,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(28387,72221,'When Equipped:',100,0,0),
(28388,72221,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28389,72221,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(28390,72221,'Cannot be modified except by direct means',100,2,3),
(28391,10072221,'When Equipped:',100,0,0),
(28392,10072221,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28393,10072221,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(28394,10072221,'Cannot be modified except by direct means',100,2,3),
(28395,113439,'Increases INT of target by 9.4',100,1,0),
(28396,113439,'Increases Max Health of target by 27.7',100,1,1),
(28397,10113439,'Increases INT of target by 9.4',100,1,0),
(28398,10113439,'Increases Max Health of target by 27.7',100,1,1),
(28399,117190,'Inflicts 1926 poison damage on target',100,1,0),
(28400,117190,'Inflicts 944 poison damage on target every 4 seconds',100,1,1),
(28401,117190,'Decreases WIS of target by 134.0',100,1,2),
(28402,10117190,'Inflicts 1138 poison damage on target',100,1,0),
(28403,10117190,'Inflicts 744 poison damage on target every 4 seconds',100,1,1),
(28404,10117190,'Decreases WIS of target by 134.0',100,1,2),
(28405,46655,'Applies Throw Beacon when Activated.',100,0,0),
(28406,10046655,'Applies Throw Beacon when Activated.',100,0,0),
(28407,140580,'When Equipped:',100,0,0),
(28408,140580,'Increases Attack Speed of caster by 35.0',100,1,1),
(28409,10140580,'When Equipped:',100,0,0),
(28410,10140580,'Increases Attack Speed of caster by 35.0',100,1,1),
(28411,119771,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(28412,119771,'Inflicts 227 - 277 poison damage on target encounter',100,2,1),
(28413,10119771,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(28414,10119771,'Inflicts 179 - 219 poison damage on target encounter',100,2,1),
(28415,37537,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(28416,74896,'When Equipped:',100,0,0),
(28417,74896,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28418,74896,'Inflicts 49 - 74 magic damage on target',100,2,2),
(28419,74896,'Cannot be modified except by direct means',100,2,3),
(28420,10074896,'When Equipped:',100,0,0),
(28421,10074896,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28422,10074896,'Inflicts 49 - 74 magic damage on target',100,2,2),
(28423,10074896,'Cannot be modified except by direct means',100,2,3),
(28424,52745,'Applies Sanguine Imbued when Equipped.',100,0,0),
(28425,52745,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(28426,52745,'Inflicts 111 heat damage on target',100,2,2),
(28427,52745,'Cannot be modified except by direct means',100,2,3),
(28428,10052745,'Applies Sanguine Imbued when Equipped.',100,0,0),
(28429,10052745,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(28430,10052745,'Inflicts 111 heat damage on target',100,2,2),
(28431,10052745,'Cannot be modified except by direct means',100,2,3),
(28432,53800,'When Equipped:',100,0,0),
(28433,53800,'Reduces resistibility of all spells by 5%.',100,1,1),
(28434,53800,'When Equipped:',100,0,2),
(28435,53800,'On a hostile spell cast this spell may cast Impending Fireworks on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(28436,53800,'Inflicts 422 - 516 heat damage on target',100,2,4),
(28437,53800,'Increases Crit Chance of caster by 10.0',100,2,5),
(28438,53800,'Cannot be modified except by direct means',100,2,6),
(28439,53800,'Cannot be modified except by direct means',100,1,7),
(28440,10053800,'When Equipped:',100,0,0),
(28441,10053800,'Reduces resistibility of all spells by 5%.',100,1,1),
(28442,10053800,'When Equipped:',100,0,2),
(28443,10053800,'On a hostile spell cast this spell may cast Impending Fireworks on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(28444,10053800,'Inflicts 422 - 516 heat damage on target',100,2,4),
(28445,10053800,'Increases Crit Chance of caster by 10.0',100,2,5),
(28446,10053800,'Cannot be modified except by direct means',100,2,6),
(28447,10053800,'Cannot be modified except by direct means',100,1,7),
(28448,72376,'When Equipped:',100,0,0),
(28449,72376,'Wards caster against 2420 points of all damage',100,1,1),
(28450,72376,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(28451,72376,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,3),
(28452,72376,'While active Renewing Bulwark is disabled.',100,2,4),
(28453,72376,'Cannot be modified except by direct means',100,2,5),
(28454,72376,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(28455,72376,'Must not be engaged in pvp combat',100,1,7),
(28456,72376,'Cannot be modified except by direct means',100,1,8),
(28457,10072376,'When Equipped:',100,0,0),
(28458,10072376,'Wards caster against 2420 points of all damage',100,1,1),
(28459,10072376,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(28460,10072376,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,3),
(28461,10072376,'While active Renewing Bulwark is disabled.',100,2,4),
(28462,10072376,'Cannot be modified except by direct means',100,2,5),
(28463,10072376,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(28464,10072376,'Must not be engaged in pvp combat',100,1,7),
(28465,10072376,'Cannot be modified except by direct means',100,1,8),
(28466,173466,'When Equipped:',100,0,0),
(28467,173466,'Increases the caster''s heals and wards by 5%.',100,1,1),
(28468,173466,'Must not be engaged in pvp combat',100,1,2),
(28469,10173466,'When Equipped:',100,0,0),
(28470,10173466,'Increases the caster''s heals and wards by 5%.',100,1,1),
(28471,10173466,'Must not be engaged in pvp combat',100,1,2),
(28472,81282,'When Equipped:',100,0,0),
(28473,81282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28474,81282,'Inflicts 403 - 748 magic damage on target',100,2,2),
(28475,81282,'Cannot be modified except by direct means',100,2,3),
(28476,10081282,'When Equipped:',100,0,0),
(28477,10081282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28478,10081282,'Inflicts 403 - 748 magic damage on target',100,2,2),
(28479,10081282,'Cannot be modified except by direct means',100,2,3),
(28480,101242,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(28481,101242,'Inflicts 314 - 524 mental damage on target',100,2,1),
(28482,10101242,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(28483,10101242,'Inflicts 248 - 413 mental damage on target',100,2,1),
(28484,103685,'Interrupts target',100,1,0),
(28485,103685,'Inflicts 3276 - 4786 melee damage on target',100,1,1),
(28486,103685,'Must be flanking or behind',100,1,2),
(28487,10103685,'Interrupts target',100,1,0),
(28488,10103685,'Inflicts 2202 - 3392 melee damage on target',100,1,1),
(28489,10103685,'Must be flanking or behind',100,1,2),
(28490,179069,'When Equipped:',100,0,0),
(28491,179069,'When caster is damaged by a spell, this spell has a 5% chance to absorb 1000 damage.',100,1,1),
(28492,10179069,'When Equipped:',100,0,0),
(28493,10179069,'When caster is damaged by a spell, this spell has a 5% chance to absorb 1000 damage.',100,1,1),
(28494,40227,'When Equipped:',100,0,0),
(28495,40227,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28496,40227,'Increases Attack Speed of caster by 20.0',100,2,2),
(28497,40227,'Cannot be modified except by direct means',100,2,3),
(28498,10040227,'When Equipped:',100,0,0),
(28499,10040227,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28500,10040227,'Increases Attack Speed of caster by 20.0',100,2,2),
(28501,10040227,'Cannot be modified except by direct means',100,2,3),
(28502,105527,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 28.6',100,1,0),
(28503,10105527,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 28.6',100,1,0),
(28504,168964,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(28505,168964,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(28506,168964,'Cannot be modified except by direct means',100,1,2),
(28507,10168964,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(28508,10168964,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(28509,10168964,'Cannot be modified except by direct means',100,1,2),
(28510,103026,'Inflicts 603 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(28511,103026,'Inflicts 1209 - 1359 melee damage on target',100,1,1),
(28512,10103026,'Inflicts 476 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(28513,10103026,'Inflicts 573 - 691 melee damage on target',100,1,1),
(28514,163428,'When Equipped:',100,0,0),
(28515,163428,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(28516,163428,'Inflicts 2664 disease damage on target encounter',100,2,2),
(28517,163428,'Must not be engaged in pvp combat',100,2,3),
(28518,163428,'Cannot be modified except by direct means',100,2,4),
(28519,163428,'When Equipped:',100,0,5),
(28520,163428,'This effect will not stack with itself.',100,1,6),
(28521,163428,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(28522,163428,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(28523,163428,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(28524,163428,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(28525,163428,'Must not be engaged in pvp combat',100,2,11),
(28526,163428,'Cannot be modified except by direct means',100,2,12),
(28527,163428,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(28528,163428,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(28529,163428,'Increases in-combat movement speed of caster by 10.0%',100,2,15),
(28530,163428,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(28531,163428,'Must not be engaged in pvp combat',100,2,17),
(28532,163428,'Cannot be modified except by direct means',100,2,18),
(28533,163428,'Must not be engaged in pvp combat',100,1,19),
(28534,10163428,'When Equipped:',100,0,0),
(28535,10163428,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(28536,10163428,'Inflicts 1332 disease damage on target encounter',100,2,2),
(28537,10163428,'Must not be engaged in pvp combat',100,2,3),
(28538,10163428,'Cannot be modified except by direct means',100,2,4),
(28539,10163428,'When Equipped:',100,0,5),
(28540,10163428,'This effect will not stack with itself.',100,1,6),
(28541,10163428,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(28542,10163428,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(28543,10163428,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(28544,10163428,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(28545,10163428,'Must not be engaged in pvp combat',100,2,11),
(28546,10163428,'Cannot be modified except by direct means',100,2,12),
(28547,10163428,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(28548,10163428,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(28549,10163428,'Increases in-combat movement speed of caster by 10.0%',100,2,15),
(28550,10163428,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(28551,10163428,'Must not be engaged in pvp combat',100,2,17),
(28552,10163428,'Cannot be modified except by direct means',100,2,18),
(28553,10163428,'Must not be engaged in pvp combat',100,1,19),
(28554,116352,'Mesmerizes target encounter',100,1,0),
(28555,116352,'Prevents AOE (except when direct) ',100,1,1),
(28556,116352,'Dispelled when target takes damage',100,1,2),
(28557,116352,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(28558,116352,'Resistibility increases against targets higher than level 80.',100,1,4),
(28559,10116352,'Mesmerizes target encounter',100,1,0),
(28560,10116352,'Prevents AOE (except when direct) ',100,1,1),
(28561,10116352,'Dispelled when target takes damage',100,1,2),
(28562,10116352,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(28563,10116352,'Resistibility increases against targets higher than level 80.',100,1,4),
(28564,46666,'Applies Call Icewind Pegasus when Activated.',100,0,0),
(28565,46666,'Summons a mount to ride',100,1,1),
(28566,46666,'Increases your ground speed by 75%',100,2,2),
(28567,46666,'Increases your air speed by 150%',100,2,3),
(28568,10046666,'Applies Call Icewind Pegasus when Activated.',100,0,0),
(28569,10046666,'Summons a mount to ride',100,1,1),
(28570,10046666,'Increases your ground speed by 75%',100,2,2),
(28571,10046666,'Increases your air speed by 150%',100,2,3),
(28572,121930,'Applies Tap on termination.',100,1,0),
(28573,121930,'Inflicts 5551 disease damage on target',100,2,1),
(28574,121930,'Heals caster for 7.1% of max health',100,2,2),
(28575,121930,'This effect cannot be critically applied.',100,3,3),
(28576,121930,'The healing of this spell cannot be modified except by direct means',100,2,4),
(28577,10121930,'Applies Tap on termination.',100,1,0),
(28578,10121930,'Inflicts 4311 disease damage on target',100,2,1),
(28579,10121930,'Heals caster for 2.5% of max health',100,2,2),
(28580,10121930,'This effect cannot be critically applied.',100,3,3),
(28581,10121930,'The healing of this spell cannot be modified except by direct means',100,2,4),
(28582,46863,'Applies Marrsprin when Activated.  Lasts for 10 minutes.',100,0,0),
(28583,46863,'Increases Mitigation of caster vs arcane damage by 700',100,1,1),
(28584,46863,'Dispels 63 levels of arcane hostile effects on caster',100,1,2),
(28585,10046863,'Applies Marrsprin when Activated.  Lasts for 10 minutes.',100,0,0),
(28586,10046863,'Increases Mitigation of caster vs arcane damage by 700',100,1,1),
(28587,10046863,'Dispels 63 levels of arcane hostile effects on caster',100,1,2),
(28588,71728,'When Equipped:',100,0,0),
(28589,71728,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28590,71728,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(28591,71728,'Cannot be modified except by direct means',100,2,3),
(28592,10071728,'When Equipped:',100,0,0),
(28593,10071728,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(28594,10071728,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(28595,10071728,'Cannot be modified except by direct means',100,2,3),
(28596,45673,'Applies Guardsmanship of the Vale  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(28597,45673,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(28598,45673,'Inflicts 11 magic damage on target',100,2,2),
(28599,45673,'Cannot be modified except by direct means',100,2,3),
(28600,10045673,'Applies Guardsmanship of the Vale  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(28601,10045673,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(28602,10045673,'Inflicts 11 magic damage on target',100,2,2),
(28603,10045673,'Cannot be modified except by direct means',100,2,3),
(28604,118859,'Inflicts 1744 - 4430 melee damage on target',100,1,0),
(28605,10118859,'Inflicts 1326 - 3149 melee damage on target',100,1,0),
(28606,47243,'Applies Guardsmanship of the Thicket  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(28607,47243,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(28608,47243,'Inflicts 13 magic damage on target',100,2,2),
(28609,47243,'Cannot be modified except by direct means',100,2,3),
(28610,10047243,'Applies Guardsmanship of the Thicket  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(28611,10047243,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(28612,10047243,'Inflicts 13 magic damage on target',100,2,2),
(28613,10047243,'Cannot be modified except by direct means',100,2,3),
(28614,110346,'Increases Max Power of target by 467.2',100,1,0),
(28615,110346,'Increases Max Health of target by 1,001.6',100,1,1),
(28616,10110346,'Increases Max Power of target by 467.2',100,1,0),
(28617,10110346,'Increases Max Health of target by 1,001.6',100,1,1),
(28618,81912,'When Equipped:',100,0,0),
(28619,81912,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(28620,81912,'Inflicts 523 - 972 magic damage on target',100,2,2),
(28621,81912,'Decreases Threat to target by 994 ',100,2,3),
(28622,81912,'Must be flanking or behind',100,3,4),
(28623,81912,'Increases Threat to target by 1,454 ',100,2,5),
(28624,81912,'Must be in front of',100,3,6),
(28625,81912,'Cannot be modified except by direct means',100,2,7),
(28626,10081912,'When Equipped:',100,0,0),
(28627,10081912,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(28628,10081912,'Inflicts 523 - 972 magic damage on target',100,2,2),
(28629,10081912,'Cannot be modified except by direct means',100,2,3),
(28630,47324,'Applies Touch of the Rainmaker  when Activated.  Lasts for 30 minutes.',100,0,0),
(28631,47324,'Increases AGI of caster by 48.7',100,1,1),
(28632,10047324,'Applies Touch of the Rainmaker  when Activated.  Lasts for 30 minutes.',100,0,0),
(28633,10047324,'Increases AGI of caster by 48.7',100,1,1),
(28634,188365,'When Equipped:',100,0,0),
(28635,188365,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(28636,10188365,'When Equipped:',100,0,0),
(28637,10188365,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(28638,124064,'Increases power of caster by 219',100,1,0),
(28639,10124064,'Increases power of caster by 219',100,1,0),
(28640,80356,'When Equipped:',100,0,0),
(28641,80356,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28642,80356,'Inflicts 86 - 159 magic damage on target',100,2,2),
(28643,80356,'Cannot be modified except by direct means',100,2,3),
(28644,10080356,'When Equipped:',100,0,0),
(28645,10080356,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28646,10080356,'Inflicts 86 - 159 magic damage on target',100,2,2),
(28647,10080356,'Cannot be modified except by direct means',100,2,3),
(28648,124598,'Increases In-Combat Health Regeneration of group members (AE) by 15.8',100,1,0),
(28649,124598,'Increases Mitigation of group members (AE) vs physical damage by 174',100,1,1),
(28650,10124598,'Increases In-Combat Health Regeneration of group members (AE) by 15.8',100,1,0),
(28651,10124598,'Increases Mitigation of group members (AE) vs physical damage by 174',100,1,1),
(28652,89277,'When Equipped:',100,0,0),
(28653,89277,'On a critical spell hit this spell may cast Infected Strike IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28654,89277,'Inflicts 3164 - 3497 disease damage on target',100,2,2),
(28655,89277,'Inflicts 886 - 979 disease damage on target every 2 seconds',100,2,3),
(28656,89277,'Decreases WIS, INT, STR and AGI of target by 90.0',100,2,4),
(28657,89277,'Must not be engaged in pvp combat',100,2,5),
(28658,89277,'Cannot be modified except by direct means',100,2,6),
(28659,89277,'On a critical combat hit this spell may cast Infected Strike IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(28660,89277,'Inflicts 3164 - 3497 disease damage on target',100,2,8),
(28661,89277,'Inflicts 886 - 979 disease damage on target every 2 seconds',100,2,9),
(28662,89277,'Decreases WIS, INT, STR and AGI of target by 90.0',100,2,10),
(28663,89277,'Must not be engaged in pvp combat',100,2,11),
(28664,89277,'Cannot be modified except by direct means',100,2,12),
(28665,89277,'Must not be engaged in pvp combat',100,1,13),
(28666,10089277,'When Equipped:',100,0,0),
(28667,10089277,'On a critical spell hit this spell may cast Infected Strike IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28668,10089277,'Inflicts 3164 - 3497 disease damage on target',100,2,2),
(28669,10089277,'Inflicts 886 - 979 disease damage on target every 2 seconds',100,2,3),
(28670,10089277,'Decreases WIS, INT, STR and AGI of target by 90.0',100,2,4),
(28671,10089277,'Must not be engaged in pvp combat',100,2,5),
(28672,10089277,'Cannot be modified except by direct means',100,2,6),
(28673,10089277,'On a critical combat hit this spell may cast Infected Strike IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(28674,10089277,'Inflicts 3164 - 3497 disease damage on target',100,2,8),
(28675,10089277,'Inflicts 886 - 979 disease damage on target every 2 seconds',100,2,9),
(28676,10089277,'Decreases WIS, INT, STR and AGI of target by 90.0',100,2,10),
(28677,10089277,'Must not be engaged in pvp combat',100,2,11),
(28678,10089277,'Cannot be modified except by direct means',100,2,12),
(28679,10089277,'Must not be engaged in pvp combat',100,1,13),
(28680,37193,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(28681,37193,'Increases Max Health of target by 91.0',100,0,1),
(28682,138705,'When Equipped:',100,0,0),
(28683,138705,'Increases caster''s chance to block by 15.0%',100,1,1),
(28684,138705,'On a combat hit this spell may cast Crippling Hate on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(28685,138705,'Decreases Mitigation of target vs physical and noxious damage by 984',100,2,3),
(28686,138705,'Cannot be modified except by direct means',100,2,4),
(28687,10138705,'When Equipped:',100,0,0),
(28688,10138705,'Increases caster''s chance to block by 15.0%',100,1,1),
(28689,10138705,'On a combat hit this spell may cast Crippling Hate on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(28690,10138705,'Decreases Mitigation of target vs physical and noxious damage by 984',100,2,3),
(28691,10138705,'Cannot be modified except by direct means',100,2,4),
(28692,112677,'Increases Parry of group members (AE) by 15.8',100,1,0),
(28693,10112677,'Increases Parry of group members (AE) by 15.8',100,1,0),
(28694,124805,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(28695,124805,'Increases STR of caster by 110.8',100,1,1),
(28696,124805,'Decreases Defense of caster by 22.2',100,1,2),
(28697,124805,'Increases Crushing, Piercing, Slashing and Disruption of caster by 38.0',100,1,3),
(28698,10124805,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(28699,10124805,'Increases STR of caster by 110.8',100,1,1),
(28700,10124805,'Decreases Defense of caster by 22.2',100,1,2),
(28701,10124805,'Increases Crushing, Piercing, Slashing and Disruption of caster by 38.0',100,1,3),
(28702,121627,'Inflicts 3349 - 7975 melee damage on target',100,1,0),
(28703,121627,'Dazes target',100,1,1),
(28704,121627,'If Target is not Epic',100,2,2),
(28705,121627,'Must be flanking or behind',100,1,3),
(28706,121627,'Resistibility increases against targets higher than level 89.',100,1,4),
(28707,10121627,'Inflicts 2259 - 5906 melee damage on target',100,1,0),
(28708,10121627,'Dazes target',100,1,1),
(28709,10121627,'If Target is not Epic',100,2,2),
(28710,10121627,'Must be flanking or behind',100,1,3),
(28711,10121627,'Resistibility increases against targets higher than level 89.',100,1,4),
(28712,180470,'When Equipped:',100,0,0),
(28713,180470,'Reduces resistibility of all spells by 5%.',100,1,1),
(28714,10180470,'When Equipped:',100,0,0),
(28715,10180470,'Reduces resistibility of all spells by 5%.',100,1,1),
(28716,35203,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(28717,35203,'Increases Max Health of target by 30.1',100,0,1),
(28718,114683,'Increases Threat to target by 4,641 - 5,168 ',100,1,0),
(28719,114683,'Interrupts target',100,1,1),
(28720,10114683,'Interrupts target',100,1,0),
(28721,10114683,'Forces target to change their selected target to caster.',100,1,1),
(28722,10114683,'Prevents target from changing targets',100,1,2),
(28723,110975,'Inflicts 6813 - 10658 ranged damage on target',100,1,0),
(28724,110975,'I need to be stealthed!',100,1,1),
(28725,110975,'Requires bow',100,1,2),
(28726,10110975,'Inflicts 2979 - 4684 ranged damage on target',100,1,0),
(28727,10110975,'I need to be stealthed!',100,1,1),
(28728,10110975,'Requires bow',100,1,2),
(28729,47634,'Applies Splash the Spirit when Activated.',100,0,0),
(28730,47634,'This effect cannot be cast during combat',100,1,1),
(28731,47634,'You must find a tortured coldain spirit to use this wand on.',100,1,2),
(28732,47634,'The wand cannot be used on the same coldain spirit more than once.',100,1,3),
(28733,10047634,'Applies Splash the Spirit when Activated.',100,0,0),
(28734,10047634,'This effect cannot be cast during combat',100,1,1),
(28735,10047634,'You must find a tortured coldain spirit to use this wand on.',100,1,2),
(28736,10047634,'The wand cannot be used on the same coldain spirit more than once.',100,1,3),
(28737,122764,'Heals group members (AE) for 1902 - 2320',100,1,0),
(28738,122764,'Increases Max Health of group members (AE) by 110.5',100,1,1),
(28739,10122764,'Heals group members (AE) for 1589 - 1923',100,1,0),
(28740,10122764,'Increases Max Health of group members (AE) by 110.5',100,1,1),
(28741,101419,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(28742,101419,'Increases Mitigation of group members (AE) vs noxious damage by 105',100,1,1),
(28743,10101419,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(28744,10101419,'Increases Mitigation of group members (AE) vs noxious damage by 105',100,1,1),
(28745,158737,'When Equipped:',100,0,0),
(28746,158737,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28747,158737,'Increases power of caster by 80 instantly and every 4 seconds',100,2,2),
(28748,158737,'Cannot be modified except by direct means',100,2,3),
(28749,10158737,'When Equipped:',100,0,0),
(28750,10158737,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28751,10158737,'Increases power of caster by 80 instantly and every 4 seconds',100,2,2),
(28752,10158737,'Cannot be modified except by direct means',100,2,3),
(28753,26650,'When Equipped:',100,0,0),
(28754,26650,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(28755,26650,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(28756,10026650,'When Equipped:',100,0,0),
(28757,10026650,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(28758,10026650,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(28759,100797,'Wards target against 3023 points of all damage',100,1,0),
(28760,10100797,'Wards target against 3506 points of all damage',100,1,0),
(28761,158430,'When Equipped:',100,0,0),
(28762,158430,'On a critical spell hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28763,158430,'Increases Crit Chance of caster by 15.0',100,2,2),
(28764,158430,'Increases Ability Modifier of caster by 400.0',100,2,3),
(28765,158430,'Cannot be modified except by direct means',100,2,4),
(28766,158430,'On a critical combat hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(28767,158430,'Increases Crit Chance of caster by 15.0',100,2,6),
(28768,158430,'Increases Ability Modifier of caster by 400.0',100,2,7),
(28769,158430,'Cannot be modified except by direct means',100,2,8),
(28770,10158430,'When Equipped:',100,0,0),
(28771,10158430,'On a critical spell hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(28772,10158430,'Increases Crit Chance of caster by 15.0',100,2,2),
(28773,10158430,'Increases Ability Modifier of caster by 400.0',100,2,3),
(28774,10158430,'Cannot be modified except by direct means',100,2,4),
(28775,10158430,'On a critical combat hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(28776,10158430,'Increases Crit Chance of caster by 15.0',100,2,6),
(28777,10158430,'Increases Ability Modifier of caster by 400.0',100,2,7),
(28778,10158430,'Cannot be modified except by direct means',100,2,8),
(28779,49124,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(28780,49124,'Increases speed of caster by 13.8%',100,1,1),
(28781,49124,'This effect suspends during combat',100,1,2),
(28782,10049124,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(28783,10049124,'Increases speed of caster by 13.8%',100,1,1),
(28784,10049124,'This effect suspends during combat',100,1,2),
(28785,159863,'Applies Lambent Imbued when Equipped.',100,0,0),
(28786,159863,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(28787,159863,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(28788,159863,'Cannot be modified except by direct means',100,2,3),
(28789,10159863,'Applies Lambent Imbued when Equipped.',100,0,0),
(28790,10159863,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(28791,10159863,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(28792,10159863,'Cannot be modified except by direct means',100,2,3),
(28793,109516,'Inflicts 1555 - 1683 disease damage on target',100,1,0),
(28794,109516,'Inflicts 573 - 700 disease damage on target every 4 seconds',100,1,1),
(28795,109516,'Decreases Attack Speed of target by 8.3',100,1,2),
(28796,10109516,'Inflicts 846 - 946 disease damage on target',100,1,0),
(28797,10109516,'Inflicts 451 - 552 disease damage on target every 4 seconds',100,1,1),
(28798,10109516,'Decreases Attack Speed of target by 8.3',100,1,2),
(28799,112001,'Inflicts 1359 - 2254 piercing damage on target',100,1,0),
(28800,10112001,'Inflicts 1070 - 1579 piercing damage on target',100,1,0),
(28801,82621,'When Equipped:',100,0,0),
(28802,82621,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(28803,82621,'Inflicts 151 - 280 magic damage on target',100,2,2),
(28804,82621,'Decreases Threat to target by 259 ',100,2,3),
(28805,82621,'Must be flanking or behind',100,3,4),
(28806,82621,'Increases Threat to target by 453 ',100,2,5),
(28807,82621,'Must be in front of',100,3,6),
(28808,82621,'Cannot be modified except by direct means',100,2,7),
(28809,10082621,'When Equipped:',100,0,0),
(28810,10082621,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(28811,10082621,'Inflicts 151 - 280 magic damage on target',100,2,2),
(28812,10082621,'Cannot be modified except by direct means',100,2,3),
(28813,115545,'Increases Mitigation of raid and group members (AE) vs noxious damage by 941',100,1,0),
(28814,10115545,'Increases Mitigation of raid and group members (AE) vs noxious damage by 941',100,1,0),
(28815,45346,'Applies Black Two Tone Warg with Yellow Saddle when Activated.',100,0,0),
(28816,45346,'Increases Ranged of caster by 7.0',100,1,1),
(28817,45346,'Summons a mount to ride',100,1,2),
(28818,45346,'Increases your ground speed by 130%',100,2,3),
(28819,45346,'Increases Disruption and Crushing of caster by 7.0',100,1,4),
(28820,45346,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(28821,45346,'Increases Slashing and Piercing of caster by 7.0',100,1,6),
(28822,10045346,'Applies Black Two Tone Warg with Yellow Saddle when Activated.',100,0,0),
(28823,10045346,'Increases Ranged of caster by 7.0',100,1,1),
(28824,10045346,'Summons a mount to ride',100,1,2),
(28825,10045346,'Increases your ground speed by 130%',100,2,3),
(28826,10045346,'Increases Disruption and Crushing of caster by 7.0',100,1,4),
(28827,10045346,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(28828,10045346,'Increases Slashing and Piercing of caster by 7.0',100,1,6),
(28829,46636,'Applies Place Heroic Training Dummy when Activated.',100,0,0),
(28830,46636,'This effect cannot be cast during combat',100,1,1),
(28831,10046636,'Applies Place Heroic Training Dummy when Activated.',100,0,0),
(28832,10046636,'This effect cannot be cast during combat',100,1,1),
(28833,163731,'When Equipped:',100,0,0),
(28834,163731,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(28835,163731,'Stuns target',100,2,2),
(28836,163731,'Only affects targets level 95 and below',100,2,3),
(28837,163731,'Does not affect Epic targets',100,2,4),
(28838,163731,'Resistibility increases against targets higher than level 111.',100,2,5),
(28839,163731,'Cannot be modified except by direct means',100,2,6),
(28840,10163731,'When Equipped:',100,0,0),
(28841,10163731,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(28842,10163731,'Stuns target',100,2,2),
(28843,10163731,'Only affects targets level 95 and below',100,2,3),
(28844,10163731,'Does not affect Epic targets',100,2,4),
(28845,10163731,'Resistibility increases against targets higher than level 111.',100,2,5),
(28846,10163731,'Cannot be modified except by direct means',100,2,6),
(28847,137156,'When Equipped:',100,0,0),
(28848,137156,'Increases Unconscious Health of caster by 2,300.0',100,1,1),
(28849,10137156,'When Equipped:',100,0,0),
(28850,10137156,'Increases Unconscious Health of caster by 2,300.0',100,1,1),
(28851,101985,'Inflicts 9019 - 15907 heat damage on target',100,1,0),
(28852,10101985,'Inflicts 6729 - 12158 heat damage on target',100,1,0),
(28853,108625,'Feigns Death with 94% chance of success',100,1,0),
(28854,10108625,'Feigns Death with 94% chance of success',100,1,0),
(28855,113866,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(28856,113866,'Increases power of caster by 514',100,2,1),
(28857,113866,'Grants a total of 3 triggers of the spell.',100,2,2),
(28858,10113866,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(28859,10113866,'Increases power of caster by 514',100,2,1),
(28860,10113866,'Grants a total of 3 triggers of the spell.',100,2,2),
(28861,122651,'Decreases Defense of target by 2.5',100,1,0),
(28862,122651,'Decreases Mitigation of target vs physical damage by 55',100,1,1),
(28863,10122651,'Decreases Defense of target by 2.5',100,1,0),
(28864,10122651,'Decreases Mitigation of target vs physical damage by 55',100,1,1),
(28865,102266,'Inflicts 1650 - 2673 melee damage on targets in area',100,1,0),
(28866,10102266,'Inflicts 1271 - 2021 melee damage on targets in area',100,1,0),
(28867,139390,'When Equipped:',100,0,0),
(28868,139390,'Reduces maximum falling speed of caster',100,1,1),
(28869,10139390,'When Equipped:',100,0,0),
(28870,10139390,'Reduces maximum falling speed of caster',100,1,1),
(28871,152938,'When Equipped:',100,0,0),
(28872,152938,'Increases Attack Speed of caster by 45.0',100,1,1),
(28873,10152938,'When Equipped:',100,0,0),
(28874,10152938,'Increases Attack Speed of caster by 45.0',100,1,1),
(28875,120967,'Inflicts 6520 - 10172 ranged damage on target',100,1,0),
(28876,120967,'If weapon equipped in Ranged',100,1,1),
(28877,120967,'Must be behind',100,1,2),
(28878,10120967,'Inflicts 3668 - 5827 ranged damage on target',100,1,0),
(28879,10120967,'If weapon equipped in Ranged',100,1,1),
(28880,10120967,'Must be behind',100,1,2),
(28881,115186,'Heals target for 1894 - 2315',100,1,0),
(28882,10115186,'Heals target for 1604 - 1904',100,1,0),
(28883,113260,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(28884,113260,'Inflicts 453 - 754 magic damage on target',100,2,1),
(28885,113260,'Grants a total of 8 triggers of the spell.',100,2,2),
(28886,10113260,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(28887,10113260,'Inflicts 362 - 603 magic damage on target',100,2,1),
(28888,10113260,'Grants a total of 8 triggers of the spell.',100,2,2),
(28889,41707,'When Equipped:',100,0,0),
(28890,41707,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28891,41707,'Inflicts 61 - 114 magic damage on target',100,2,2),
(28892,41707,'Cannot be modified except by direct means',100,2,3),
(28893,10041707,'When Equipped:',100,0,0),
(28894,10041707,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28895,10041707,'Inflicts 61 - 114 magic damage on target',100,2,2),
(28896,10041707,'Cannot be modified except by direct means',100,2,3),
(28897,80533,'When Equipped:',100,0,0),
(28898,80533,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(28899,80533,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(28900,80533,'Decreases Threat to target by 1,219 ',100,2,3),
(28901,80533,'Must be flanking or behind',100,3,4),
(28902,80533,'Increases Threat to target by 1,679 ',100,2,5),
(28903,80533,'Must be in front of',100,3,6),
(28904,80533,'Cannot be modified except by direct means',100,2,7),
(28905,10080533,'When Equipped:',100,0,0),
(28906,10080533,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(28907,10080533,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(28908,10080533,'Cannot be modified except by direct means',100,2,3),
(28909,111917,'Inflicts 202 - 337 piercing damage on target instantly and every 4 seconds',100,1,0),
(28910,111917,'Inflicts 1471 - 2216 piercing damage on target',100,1,1),
(28911,10111917,'Inflicts 265 - 442 piercing damage on target instantly and every 4 seconds',100,1,0),
(28912,10111917,'Inflicts 1194 - 1721 piercing damage on target',100,1,1),
(28913,80908,'When Equipped:',100,0,0),
(28914,80908,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28915,80908,'Inflicts 380 - 707 magic damage on target',100,2,2),
(28916,80908,'Cannot be modified except by direct means',100,2,3),
(28917,10080908,'When Equipped:',100,0,0),
(28918,10080908,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28919,10080908,'Inflicts 380 - 707 magic damage on target',100,2,2),
(28920,10080908,'Cannot be modified except by direct means',100,2,3),
(28921,101963,'Inflicts 2185 - 3688 heat damage on target',100,1,0),
(28922,10101963,'Inflicts 1543 - 2527 heat damage on target',100,1,0),
(28923,117210,'Inflicts 71 - 118 melee damage on target',100,1,0),
(28924,10117210,'Inflicts 56 - 93 melee damage on target',100,1,0),
(28925,85875,'When Equipped:',100,0,0),
(28926,85875,'On a combat hit this spell may cast Stalactite on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(28927,85875,'Inflicts 573 cold damage on target',100,2,2),
(28928,85875,'Inflicts 573 piercing damage on target',100,2,3),
(28929,85875,'Cannot be modified except by direct means',100,2,4),
(28930,10085875,'When Equipped:',100,0,0),
(28931,10085875,'On a combat hit this spell may cast Stalactite on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(28932,10085875,'Inflicts 487 cold damage on target',100,2,2),
(28933,10085875,'Inflicts 487 piercing damage on target',100,2,3),
(28934,10085875,'Cannot be modified except by direct means',100,2,4),
(28935,80348,'When Equipped:',100,0,0),
(28936,80348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28937,80348,'Inflicts 77 - 143 magic damage on target',100,2,2),
(28938,80348,'Cannot be modified except by direct means',100,2,3),
(28939,10080348,'When Equipped:',100,0,0),
(28940,10080348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28941,10080348,'Inflicts 77 - 143 magic damage on target',100,2,2),
(28942,10080348,'Cannot be modified except by direct means',100,2,3),
(28943,115683,'Inflicts 1703 - 2401 melee damage on target',100,129,0),
(28944,115683,'Inflicts 188 - 555 melee damage on target',100,1,1),
(28945,115683,'Inflicts 188 - 555 melee damage on target',100,1,2),
(28946,115683,'Inflicts 188 - 555 melee damage on target',100,1,3),
(28947,115683,'Inflicts 188 - 555 melee damage on target',100,1,4),
(28948,115683,'Inflicts 188 - 555 melee damage on target',100,1,5),
(28949,115683,'Inflicts 188 - 555 melee damage on target',100,1,6),
(28950,115683,'Inflicts 188 - 555 melee damage on target',100,1,7),
(28951,115683,'Inflicts 188 - 555 melee damage on target',100,1,8),
(28952,10115683,'Inflicts 1156 - 1532 melee damage on target',100,129,0),
(28953,10115683,'Inflicts 150 - 445 melee damage on target',100,1,1),
(28954,10115683,'Inflicts 150 - 445 melee damage on target',100,1,2),
(28955,10115683,'Inflicts 150 - 445 melee damage on target',100,1,3),
(28956,10115683,'Inflicts 150 - 445 melee damage on target',100,1,4),
(28957,10115683,'Inflicts 150 - 445 melee damage on target',100,1,5),
(28958,10115683,'Inflicts 150 - 445 melee damage on target',100,1,6),
(28959,10115683,'Inflicts 150 - 445 melee damage on target',100,1,7),
(28960,10115683,'Inflicts 150 - 445 melee damage on target',100,1,8),
(28961,80847,'When Equipped:',100,0,0),
(28962,80847,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28963,80847,'Inflicts 332 - 617 magic damage on target',100,2,2),
(28964,80847,'Cannot be modified except by direct means',100,2,3),
(28965,10080847,'When Equipped:',100,0,0),
(28966,10080847,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28967,10080847,'Inflicts 332 - 617 magic damage on target',100,2,2),
(28968,10080847,'Cannot be modified except by direct means',100,2,3),
(28969,113368,'Applies Stifle.  Lasts for 6.0 seconds.',100,1,0),
(28970,113368,'Stifles target',100,2,1),
(28971,113368,'Blurs vision of target',100,2,2),
(28972,113368,'Dispelled when target takes damage',100,2,3),
(28973,113368,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,4),
(28974,113368,'Resistibility increases against targets higher than level 62.',100,2,5),
(28975,113368,'Roots target',100,1,6),
(28976,113368,'5% chance to dispel when target takes damage',100,1,7),
(28977,113368,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,8),
(28978,113368,'Resistibility increases against targets higher than level 62.',100,1,9),
(28979,10113368,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(28980,10113368,'Stifles target',100,2,1),
(28981,10113368,'Blurs vision of target',100,2,2),
(28982,10113368,'Dispelled when target takes damage',100,2,3),
(28983,10113368,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(28984,10113368,'Resistibility increases against targets higher than level 62.',100,2,5),
(28985,10113368,'Roots target',100,1,6),
(28986,10113368,'5% chance to dispel when target takes damage',100,1,7),
(28987,10113368,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(28988,10113368,'Resistibility increases against targets higher than level 62.',100,1,9),
(28989,123534,'Inflicts 1283 - 1434 piercing damage on target',100,1,0),
(28990,123534,'Inflicts 301 - 451 piercing damage on target every 4 seconds',100,1,1),
(28991,123534,'Decreases Defense of target by 16.8',100,1,2),
(28992,10123534,'Inflicts 727 - 893 piercing damage on target',100,1,0),
(28993,10123534,'Inflicts 237 - 356 piercing damage on target every 4 seconds',100,1,1),
(28994,10123534,'Decreases Defense of target by 16.8',100,1,2),
(28995,80468,'When Equipped:',100,0,0),
(28996,80468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(28997,80468,'Inflicts 106 - 197 magic damage on target',100,2,2),
(28998,80468,'Cannot be modified except by direct means',100,2,3),
(28999,10080468,'When Equipped:',100,0,0),
(29000,10080468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29001,10080468,'Inflicts 106 - 197 magic damage on target',100,2,2),
(29002,10080468,'Cannot be modified except by direct means',100,2,3),
(29003,120982,'Inflicts 217 - 359 poison damage on target',100,1,0),
(29004,120982,'Inflicts 28 - 46 poison damage on target instantly and every 4 seconds',100,1,1),
(29005,10120982,'Inflicts 193 - 320 poison damage on target',100,1,0),
(29006,10120982,'Inflicts 22 - 37 poison damage on target instantly and every 4 seconds',100,1,1),
(29007,49168,'Applies Wrenchwit''s Warrior when Activated.  Lasts for 1 minute.',100,0,0),
(29008,49168,'Summons a limited pet to aid the caster',100,1,1),
(29009,10049168,'Applies Wrenchwit''s Warrior when Activated.  Lasts for 1 minute.',100,0,0),
(29010,10049168,'Summons a limited pet to aid the caster',100,1,1),
(29011,24345,'Adds Elemental Power (Multiple) to your Dungeon Maker toolbox',100,0,0),
(29012,10024345,'Adds Elemental Power (Multiple) to your Dungeon Maker toolbox',100,0,0),
(29013,102324,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(29014,102324,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(29015,102324,'Decreases threat priority of target encounter by 1 position',100,2,2),
(29016,102324,'Decreases Threat to target encounter by 1,455 ',100,2,3),
(29017,102324,'Grants a total of 3 triggers of the spell.',100,2,4),
(29018,102324,'If profession other than Fighter',100,1,5),
(29019,10102324,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(29020,10102324,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(29021,10102324,'Forces target to clear their selected target.',100,2,2),
(29022,10102324,'Target cannot target caster for the duration of this effect.',100,2,3),
(29023,10102324,'Grants a total of 3 triggers of the spell.',100,2,4),
(29024,10102324,'If profession other than Fighter',100,1,5),
(29025,120253,'Inflicts 1919 - 3104 crushing damage on target',100,1,0),
(29026,10120253,'Inflicts 1403 - 2067 crushing damage on target',100,1,0),
(29027,188477,'When Equipped:',100,0,0),
(29028,188477,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(29029,188477,'Heals group members (AE) for 2304',100,2,2),
(29030,188477,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(29031,188477,'Must not be engaged in pvp combat',100,2,4),
(29032,188477,'Cannot be modified except by direct means',100,2,5),
(29033,188477,'Must not be engaged in pvp combat',100,1,6),
(29034,10188477,'When Equipped:',100,0,0),
(29035,10188477,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(29036,10188477,'Heals group members (AE) for 2695',100,2,2),
(29037,10188477,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(29038,10188477,'Must not be engaged in pvp combat',100,2,4),
(29039,10188477,'Cannot be modified except by direct means',100,2,5),
(29040,10188477,'Must not be engaged in pvp combat',100,1,6),
(29041,123004,'Wards group members (AE) collectively against 4014 total points of all damage',100,1,0),
(29042,10123004,'Wards group members (AE) collectively against 4393 total points of all damage',100,1,0),
(29043,152945,'When Equipped:',100,0,0),
(29044,152945,'Increases Attack Speed of caster by 35.0',100,1,1),
(29045,10152945,'When Equipped:',100,0,0),
(29046,10152945,'Increases Attack Speed of caster by 35.0',100,1,1),
(29047,36686,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(29048,36686,'This effect suspends during combat',100,0,1),
(29049,82414,'When Equipped:',100,0,0),
(29050,82414,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29051,82414,'Inflicts 387 - 719 magic damage on target',100,2,2),
(29052,82414,'Decreases Threat to target by 949 ',100,2,3),
(29053,82414,'Must be flanking or behind',100,3,4),
(29054,82414,'Increases Threat to target by 1,409 ',100,2,5),
(29055,82414,'Must be in front of',100,3,6),
(29056,82414,'Cannot be modified except by direct means',100,2,7),
(29057,10082414,'When Equipped:',100,0,0),
(29058,10082414,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29059,10082414,'Inflicts 387 - 719 magic damage on target',100,2,2),
(29060,10082414,'Cannot be modified except by direct means',100,2,3),
(29061,118243,'Inflicts 83 - 137 divine damage on target',100,1,0),
(29062,118243,'Applies Blessed Strike on termination.',100,1,1),
(29063,118243,'Inflicts 132 - 220 divine damage on target',100,2,2),
(29064,10118243,'Inflicts 65 - 108 divine damage on target',100,1,0),
(29065,10118243,'Applies Blessed Strike on termination.',100,1,1),
(29066,10118243,'Inflicts 104 - 174 divine damage on target',100,2,2),
(29067,108829,'Inflicts 5488 - 9910 heat damage on targets in Area of Effect',100,1,0),
(29068,10108829,'Inflicts 4198 - 7684 heat damage on targets in Area of Effect',100,1,0),
(29069,105297,'Increases AGI of caster by 107.5',100,1,0),
(29070,105297,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(29071,105297,'Inflicts 561 - 935 mental damage on target',100,2,2),
(29072,105297,'Adds 15.6% to base avoidance.',100,1,3),
(29073,105297,'Increases Mitigation of caster vs physical damage by 385',100,1,4),
(29074,105297,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,5),
(29075,105297,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(29076,105297,'Inflicts 561 - 935 mental damage on target',100,2,7),
(29077,10105297,'Increases AGI of caster by 107.5',100,1,0),
(29078,10105297,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(29079,10105297,'Inflicts 442 - 737 mental damage on target',100,2,2),
(29080,10105297,'Adds 15.6% to base avoidance.',100,1,3),
(29081,10105297,'Increases Mitigation of caster vs physical damage by 385',100,1,4),
(29082,10105297,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,5),
(29083,10105297,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(29084,10105297,'Inflicts 442 - 737 mental damage on target',100,2,7),
(29085,82299,'When Equipped:',100,0,0),
(29086,82299,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29087,82299,'Inflicts 343 - 636 magic damage on target',100,2,2),
(29088,82299,'Cannot be modified except by direct means',100,2,3),
(29089,10082299,'When Equipped:',100,0,0),
(29090,10082299,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29091,10082299,'Inflicts 343 - 636 magic damage on target',100,2,2),
(29092,10082299,'Cannot be modified except by direct means',100,2,3),
(29093,118235,'Interrupts target',100,1,0),
(29094,118235,'Inflicts 271 - 452 divine damage on target',100,1,1),
(29095,10118235,'Interrupts target',100,1,0),
(29096,10118235,'Inflicts 233 - 389 divine damage on target',100,1,1),
(29097,132177,'When Equipped:',100,0,0),
(29098,132177,'Increases Attack Speed of caster by 40.0',100,1,1),
(29099,10132177,'When Equipped:',100,0,0),
(29100,10132177,'Increases Attack Speed of caster by 40.0',100,1,1),
(29101,35741,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(29102,50273,'Applies Heroic Resistance IV when Equipped.',100,0,0),
(29103,50273,'Reduces the critical damage inflicted by players on caster by 4.0%',100,1,1),
(29104,50273,'Cannot be modified except by direct means',100,1,2),
(29105,10050273,'Applies Heroic Resistance IV when Equipped.',100,0,0),
(29106,10050273,'Reduces the critical damage inflicted by players on caster by 4.0%',100,1,1),
(29107,10050273,'Cannot be modified except by direct means',100,1,2),
(29108,101025,'Inflicts 2294 - 3979 poison damage on target encounter',100,1,0),
(29109,101025,'Inflicts 1966 - 3651 poison damage on target encounter every 1.5 seconds',100,1,1),
(29110,10101025,'Inflicts 1347 - 2389 poison damage on target encounter',100,1,0),
(29111,10101025,'Inflicts 1215 - 2257 poison damage on target encounter every 1.5 seconds',100,1,1),
(29112,82745,'When Equipped:',100,0,0),
(29113,82745,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29114,82745,'Inflicts 210 - 391 magic damage on target',100,2,2),
(29115,82745,'Cannot be modified except by direct means',100,2,3),
(29116,10082745,'When Equipped:',100,0,0),
(29117,10082745,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29118,10082745,'Inflicts 210 - 391 magic damage on target',100,2,2),
(29119,10082745,'Cannot be modified except by direct means',100,2,3),
(29120,116198,'Inflicts 3725 - 5553 mental damage on target',100,1,0),
(29121,10116198,'Inflicts 2556 - 3997 mental damage on target',100,1,0),
(29122,102362,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(29123,102362,'Increases Attack Speed of target by 13.0',100,2,1),
(29124,102362,'Increases Damage Per Second of target by 13.0',100,2,2),
(29125,102362,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(29126,102362,'Increases Attack Speed of target by 13.0',100,2,4),
(29127,102362,'Increases Damage Per Second of target by 13.0',100,2,5),
(29128,102362,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(29129,102362,'Increases Attack Speed of target by 13.0',100,2,7),
(29130,102362,'Increases Damage Per Second of target by 13.0',100,2,8),
(29131,10102362,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(29132,10102362,'Increases Attack Speed of target by 13.0',100,2,1),
(29133,10102362,'Increases Damage Per Second of target by 13.0',100,2,2),
(29134,10102362,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(29135,10102362,'Increases Attack Speed of target by 13.0',100,2,4),
(29136,10102362,'Increases Damage Per Second of target by 13.0',100,2,5),
(29137,10102362,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(29138,10102362,'Increases Attack Speed of target by 13.0',100,2,7),
(29139,10102362,'Increases Damage Per Second of target by 13.0',100,2,8),
(29140,87239,'When Equipped:',100,0,0),
(29141,87239,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29142,87239,'Inflicts 338 - 506 magic damage on target',100,2,2),
(29143,87239,'Cannot be modified except by direct means',100,2,3),
(29144,10087239,'When Equipped:',100,0,0),
(29145,10087239,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29146,10087239,'Inflicts 338 - 506 magic damage on target',100,2,2),
(29147,10087239,'Cannot be modified except by direct means',100,2,3),
(29148,121381,'Inflicts 973 - 1527 magic damage on target encounter',100,1,0),
(29149,121381,'Inflicts 646 - 1199 magic damage on target encounter every 2 seconds',100,1,1),
(29150,10121381,'Inflicts 641 - 1077 magic damage on target encounter',100,1,0),
(29151,10121381,'Inflicts 509 - 945 magic damage on target encounter every 2 seconds',100,1,1),
(29152,113935,'Increases power of target by 54 instantly and every 4 seconds',100,1,0),
(29153,10113935,'Increases power of target by 54 instantly and every 4 seconds',100,1,0),
(29154,119449,'Inflicts 678 piercing damage on target instantly and every 4 seconds',100,1,0),
(29155,119449,'Inflicts 1926 - 2547 melee damage on target',100,1,1),
(29156,119449,'Must be flanking or behind',100,1,2),
(29157,10119449,'Inflicts 535 piercing damage on target instantly and every 4 seconds',100,1,0),
(29158,10119449,'Inflicts 1138 - 1628 melee damage on target',100,1,1),
(29159,10119449,'Must be flanking or behind',100,1,2),
(29160,105443,'Summon 1 Dark Heart (Journeyman)',100,1,0),
(29161,10105443,'Summon 1 Dark Heart (Journeyman)',100,1,0),
(29162,155311,'When Equipped:',100,0,0),
(29163,155311,'Increases Attack Speed of caster by 40.0',100,1,1),
(29164,10155311,'When Equipped:',100,0,0),
(29165,10155311,'Increases Attack Speed of caster by 40.0',100,1,1),
(29166,106125,'Increases Attack Speed of caster by 26.2',100,1,0),
(29167,106125,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(29168,106125,'Stuns target',100,2,2),
(29169,106125,'Throws target back',100,2,3),
(29170,106125,'Blurs vision of target',100,2,4),
(29171,106125,'Does not affect Epic targets',100,2,5),
(29172,10106125,'Increases Attack Speed of caster by 26.2',100,1,0),
(29173,10106125,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(29174,10106125,'Stuns target',100,2,2),
(29175,10106125,'Throws target back',100,2,3),
(29176,10106125,'Blurs vision of target',100,2,4),
(29177,10106125,'Does not affect Epic targets',100,2,5),
(29178,46412,'Applies Form of Ketahn Akh Sul when Activated.',100,0,0),
(29179,46412,'Shapechanges caster into a Ketahn Akh Sul',100,1,1),
(29180,10046412,'Applies Form of Ketahn Akh Sul when Activated.',100,0,0),
(29181,10046412,'Shapechanges caster into a Ketahn Akh Sul',100,1,1),
(29182,87438,'When Equipped:',100,0,0),
(29183,87438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29184,87438,'Inflicts 56 - 84 magic damage on target',100,2,2),
(29185,87438,'Cannot be modified except by direct means',100,2,3),
(29186,10087438,'When Equipped:',100,0,0),
(29187,10087438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29188,10087438,'Inflicts 56 - 84 magic damage on target',100,2,2),
(29189,10087438,'Cannot be modified except by direct means',100,2,3),
(29190,121268,'Inflicts 10262 - 12470 heat damage on target encounter',100,1,0),
(29191,10121268,'Inflicts 7962 - 9701 heat damage on target encounter',100,1,0),
(29192,122883,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',100,1,0),
(29193,122883,'Heals target for 1304',100,2,1),
(29194,122883,'Heals target for 325 every 2 seconds',100,2,2),
(29195,122883,'Increases WIS of target by 48.7',100,2,3),
(29196,122883,'Grants a total of 1 trigger of the spell.',100,2,4),
(29197,10122883,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',100,1,0),
(29198,10122883,'Heals target for 668',100,2,1),
(29199,10122883,'Heals target for 167 every 2 seconds',100,2,2),
(29200,10122883,'Increases WIS of target by 48.7',100,2,3),
(29201,10122883,'Grants a total of 1 trigger of the spell.',100,2,4),
(29202,106335,'Decreases INT and STR of target by 101.6',100,1,0),
(29203,10106335,'Decreases INT and STR of target by 101.6',100,1,0),
(29204,159485,'Applies Sanguine Imbued when Equipped.',100,0,0),
(29205,159485,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(29206,159485,'Inflicts 150 heat damage on target',100,2,2),
(29207,159485,'Cannot be modified except by direct means',100,2,3),
(29208,10159485,'Applies Sanguine Imbued when Equipped.',100,0,0),
(29209,10159485,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(29210,10159485,'Inflicts 150 heat damage on target',100,2,2),
(29211,10159485,'Cannot be modified except by direct means',100,2,3),
(29212,106968,'Inflicts 1887 - 3319 poison damage on target',100,1,0),
(29213,106968,'Increases power of caster by 22',100,1,1),
(29214,10106968,'Inflicts 1386 - 2236 poison damage on target',100,1,0),
(29215,10106968,'Increases power of caster by 22',100,1,1),
(29216,46587,'Applies Green C.R.A.S.H. Disk when Activated.',100,0,0),
(29217,46587,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,1),
(29218,46587,'Summons a mount to ride',100,1,2),
(29219,46587,'Increases your ground speed by 130%',100,2,3),
(29220,46587,'This can be used as a flying mount appearance.',100,1,4),
(29221,10046587,'Applies Green C.R.A.S.H. Disk when Activated.',100,0,0),
(29222,10046587,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,1),
(29223,10046587,'Summons a mount to ride',100,1,2),
(29224,10046587,'Increases your ground speed by 130%',100,2,3),
(29225,10046587,'This can be used as a flying mount appearance.',100,1,4),
(29226,110312,'Increases Max Power of target by 22.7',100,1,0),
(29227,110312,'Increases Max Health of target by 43.7',100,1,1),
(29228,10110312,'Increases Max Power of target by 22.7',100,1,0),
(29229,10110312,'Increases Max Health of target by 43.7',100,1,1),
(29230,111902,'Inflicts 36 - 60 piercing damage on target instantly and every 4 seconds',100,1,0),
(29231,111902,'Inflicts 263 - 437 piercing damage on target',100,1,1),
(29232,111902,'If facing target',100,1,2),
(29233,10111902,'Inflicts 29 - 48 piercing damage on target instantly and every 4 seconds',100,1,0),
(29234,10111902,'Inflicts 235 - 390 piercing damage on target',100,1,1),
(29235,10111902,'If facing target',100,1,2),
(29236,157132,'When Equipped:',100,0,0),
(29237,157132,'On any combat or spell hit this spell may cast Power Through Misery on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(29238,157132,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(29239,157132,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(29240,157132,'Cannot be modified except by direct means',100,2,4),
(29241,10157132,'When Equipped:',100,0,0),
(29242,10157132,'On any combat or spell hit this spell may cast Power Through Misery on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(29243,10157132,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(29244,10157132,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(29245,10157132,'Cannot be modified except by direct means',100,2,4),
(29246,170868,'When Equipped:',100,0,0),
(29247,170868,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29248,170868,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(29249,170868,'Heals caster for 811 - 1217',100,2,3),
(29250,170868,'Cannot be modified except by direct means',100,2,4),
(29251,170868,'Cannot be modified except by direct means',100,1,5),
(29252,10170868,'When Equipped:',100,0,0),
(29253,10170868,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29254,10170868,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(29255,10170868,'Heals caster for 949 - 1424',100,2,3),
(29256,10170868,'Cannot be modified except by direct means',100,2,4),
(29257,10170868,'Cannot be modified except by direct means',100,1,5),
(29258,25544,'When Equipped:',100,0,0),
(29259,25544,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(29260,25544,'Improves the max health of Holy Armor VII by 30%.',100,1,2),
(29261,10025544,'When Equipped:',100,0,0),
(29262,10025544,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(29263,10025544,'Improves the max health of Holy Armor VII by 30%.',100,1,2),
(29264,36603,'Increases STR of target by 10.5',100,0,0),
(29265,36603,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(29266,51287,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(29267,51287,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(29268,51287,'Inflicts 30 heat damage on target',100,2,2),
(29269,51287,'Cannot be modified except by direct means',100,2,3),
(29270,10051287,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(29271,10051287,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(29272,10051287,'Inflicts 30 heat damage on target',100,2,2),
(29273,10051287,'Cannot be modified except by direct means',100,2,3),
(29274,37442,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(29275,159402,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(29276,159402,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(29277,159402,'Inflicts 86 heat damage on target',100,2,2),
(29278,159402,'Cannot be modified except by direct means',100,2,3),
(29279,10159402,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(29280,10159402,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(29281,10159402,'Inflicts 86 heat damage on target',100,2,2),
(29282,10159402,'Cannot be modified except by direct means',100,2,3),
(29283,104376,'Inflicts 1069 - 1307 cold damage on target',100,1,0),
(29284,104376,'Inflicts 535 - 653 cold damage on target',100,1,1),
(29285,104376,'If target is elemental',100,2,2),
(29286,10104376,'Inflicts 816 - 910 cold damage on target',100,1,0),
(29287,10104376,'Inflicts 421 - 515 cold damage on target',100,1,1),
(29288,10104376,'If target is elemental',100,2,2),
(29289,113433,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(29290,113433,'Increases STA of caster by 190.1',100,1,1),
(29291,113433,'Adds 3.7% to base avoidance.',100,1,2),
(29292,113433,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(29293,113433,'Increases Defense and Aggression of caster by 37.2',100,1,4),
(29294,113433,'Increases Mitigation of caster vs noxious damage by 2429',100,1,5),
(29295,113433,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(29296,113433,'Reduces physical damage done to caster by 5%',100,1,7),
(29297,10113433,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(29298,10113433,'Increases STA of caster by 190.1',100,1,1),
(29299,10113433,'Adds 3.7% to base avoidance.',100,1,2),
(29300,10113433,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(29301,10113433,'Increases Defense and Aggression of caster by 37.2',100,1,4),
(29302,10113433,'Increases Mitigation of caster vs noxious damage by 2429',100,1,5),
(29303,10113433,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(29304,10113433,'Reduces physical damage done to caster by 5%',100,1,7),
(29305,121488,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(29306,121488,'Increases Attack Speed of caster by 21.0',100,130,1),
(29307,121488,'Increases Slashing, Ranged, Crushing and Piercing of caster by 17.1',100,130,2),
(29308,121488,'Inflicts 2283 - 3139 melee damage on target',100,1,3),
(29309,121488,'Decreases Defense of target by 5.7',100,1,4),
(29310,10121488,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(29311,10121488,'Increases Attack Speed of caster by 21.0',100,130,1),
(29312,10121488,'Increases Slashing, Ranged, Crushing and Piercing of caster by 17.1',100,130,2),
(29313,10121488,'Inflicts 1433 - 2118 melee damage on target',100,1,3),
(29314,10121488,'Decreases Defense of target by 5.7',100,1,4),
(29315,101711,'Mesmerizes target',100,1,0),
(29316,101711,'Prevents AOE (except when direct) ',100,1,1),
(29317,101711,'Mesmerizes caster',100,1,2),
(29318,101711,'Dispelled when target takes damage',100,1,3),
(29319,101711,'Does not affect Epic targets',100,1,4),
(29320,101711,'Resistibility increases against targets higher than level 54.',100,1,5),
(29321,10101711,'Mesmerizes target',100,1,0),
(29322,10101711,'Prevents AOE (except when direct) ',100,1,1),
(29323,10101711,'Mesmerizes caster',100,1,2),
(29324,10101711,'Dispelled when target takes damage',100,1,3),
(29325,10101711,'Does not affect Epic targets',100,1,4),
(29326,10101711,'Resistibility increases against targets higher than level 54.',100,1,5),
(29327,120784,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(29328,120784,'Stuns target',100,2,1),
(29329,120784,'Throws target back',100,2,2),
(29330,120784,'Blurs vision of target',100,2,3),
(29331,120784,'Does not affect Epic targets',100,2,4),
(29332,120784,'Inflicts 690 - 1145 piercing damage on target',100,1,5),
(29333,10120784,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(29334,10120784,'Stuns target',100,2,1),
(29335,10120784,'Throws target back',100,2,2),
(29336,10120784,'Blurs vision of target',100,2,3),
(29337,10120784,'Does not affect Epic targets',100,2,4),
(29338,10120784,'Inflicts 556 - 922 piercing damage on target',100,1,5),
(29339,162736,'Applies Unstable Magics when Equipped.',100,0,0),
(29340,162736,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(29341,10162736,'Applies Unstable Magics when Equipped.',100,0,0),
(29342,10162736,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(29343,83990,'Applies Lightning Shock when Activated.',100,0,0),
(29344,83990,'Inflicts 250 - 417 magic damage on target',100,1,1),
(29345,83990,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(29346,10083990,'Applies Lightning Shock when Activated.',100,0,0),
(29347,10083990,'Inflicts 250 - 417 magic damage on target',100,1,1),
(29348,10083990,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(29349,188439,'When Equipped:',100,0,0),
(29350,188439,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(29351,188439,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(29352,188439,'Must not be engaged in pvp combat',100,2,3),
(29353,188439,'Cannot be modified except by direct means',100,2,4),
(29354,188439,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(29355,188439,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(29356,188439,'Must not be engaged in pvp combat',100,2,7),
(29357,188439,'Cannot be modified except by direct means',100,2,8),
(29358,188439,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(29359,188439,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(29360,188439,'Must not be engaged in pvp combat',100,2,11),
(29361,188439,'Cannot be modified except by direct means',100,2,12),
(29362,188439,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(29363,188439,'Inflicts 60 piercing damage on target',100,2,14),
(29364,188439,'Must not be engaged in pvp combat',100,2,15),
(29365,188439,'Cannot be modified except by direct means',100,2,16),
(29366,10188439,'When Equipped:',100,0,0),
(29367,10188439,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(29368,10188439,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(29369,10188439,'Must not be engaged in pvp combat',100,2,3),
(29370,10188439,'Cannot be modified except by direct means',100,2,4),
(29371,10188439,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(29372,10188439,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(29373,10188439,'Must not be engaged in pvp combat',100,2,7),
(29374,10188439,'Cannot be modified except by direct means',100,2,8),
(29375,10188439,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(29376,10188439,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(29377,10188439,'Must not be engaged in pvp combat',100,2,11),
(29378,10188439,'Cannot be modified except by direct means',100,2,12),
(29379,10188439,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(29380,10188439,'Inflicts 60 piercing damage on target',100,2,14),
(29381,10188439,'Must not be engaged in pvp combat',100,2,15),
(29382,10188439,'Cannot be modified except by direct means',100,2,16),
(29383,109224,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 34.5',100,1,0),
(29384,10109224,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 34.5',100,1,0),
(29385,113742,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(29386,113742,'Inflicts 1570 piercing damage on target',100,2,1),
(29387,113742,'Grants a total of 60 triggers of the spell.',100,2,2),
(29388,10113742,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(29389,10113742,'Inflicts 1054 piercing damage on target',100,2,1),
(29390,10113742,'Grants a total of 60 triggers of the spell.',100,2,2),
(29391,111331,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(29392,111331,'Inflicts 1718 - 2100 mental damage on target',100,2,1),
(29393,111331,'Grants a total of 3 triggers of the spell.',100,2,2),
(29394,10111331,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(29395,10111331,'Inflicts 1292 - 1550 mental damage on target',100,2,1),
(29396,10111331,'Grants a total of 3 triggers of the spell.',100,2,2),
(29397,78968,'When Equipped:',100,0,0),
(29398,78968,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29399,78968,'Increases Threat to target by 1,050 ',100,2,2),
(29400,78968,'Cannot be modified except by direct means',100,2,3),
(29401,10078968,'When Equipped:',100,0,0),
(29402,10078968,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29403,10078968,'Cannot be modified except by direct means',100,2,2),
(29404,87988,'When Equipped:',100,0,0),
(29405,87988,'On a combat hit this spell may cast Light Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29406,87988,'Inflicts 129 - 175 divine damage on target',100,2,2),
(29407,87988,'Inflicts 323 - 437 divine damage on target every 12 seconds',100,2,3),
(29408,87988,'If target is undead',100,3,4),
(29409,87988,'Cannot be modified except by direct means',100,2,5),
(29410,87988,'When Equipped:',100,0,6),
(29411,87988,'Increases Attack Speed of caster by 20.0',100,1,7),
(29412,10087988,'When Equipped:',100,0,0),
(29413,10087988,'On a combat hit this spell may cast Light Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29414,10087988,'Inflicts 129 - 175 divine damage on target',100,2,2),
(29415,10087988,'Inflicts 323 - 437 divine damage on target every 12 seconds',100,2,3),
(29416,10087988,'If target is undead',100,3,4),
(29417,10087988,'Cannot be modified except by direct means',100,2,5),
(29418,10087988,'When Equipped:',100,0,6),
(29419,10087988,'Increases Attack Speed of caster by 20.0',100,1,7),
(29420,116753,'Increases Max Health of target by 352.8',100,1,0),
(29421,116753,'Increases Max Power of target by 397.1',100,1,1),
(29422,10116753,'Increases Max Health of target by 352.8',100,1,0),
(29423,10116753,'Increases Max Power of target by 397.1',100,1,1),
(29424,110828,'Interrupts target',100,1,0),
(29425,110828,'Inflicts 848 - 1148 mental damage on target',100,1,1),
(29426,10110828,'Interrupts target',100,1,0),
(29427,10110828,'Inflicts 728 - 986 mental damage on target',100,1,1),
(29428,173759,'When Equipped:',100,0,0),
(29429,173759,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(29430,173759,'Inflicts 1139 - 1259 piercing damage on target instantly and every 3 seconds',100,2,2),
(29431,173759,'Heals caster for 1247 - 1378 instantly and every 3 seconds',100,2,3),
(29432,173759,'Increases Crit Bonus of caster by 7.0%',100,2,4),
(29433,173759,'Must not be engaged in pvp combat',100,2,5),
(29434,173759,'Cannot be modified except by direct means',100,2,6),
(29435,173759,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(29436,173759,'Must not be engaged in pvp combat',100,1,8),
(29437,10173759,'When Equipped:',100,0,0),
(29438,10173759,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(29439,10173759,'Inflicts 1139 - 1259 piercing damage on target instantly and every 3 seconds',100,2,2),
(29440,10173759,'Heals caster for 1459 - 1612 instantly and every 3 seconds',100,2,3),
(29441,10173759,'Increases Crit Bonus of caster by 7.0%',100,2,4),
(29442,10173759,'Must not be engaged in pvp combat',100,2,5),
(29443,10173759,'Cannot be modified except by direct means',100,2,6),
(29444,10173759,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(29445,10173759,'Must not be engaged in pvp combat',100,1,8),
(29446,103503,'Charms target',100,1,0),
(29447,103503,'If outside an arena',100,1,1),
(29448,103503,'Certain enemies cannot be charmed',100,1,2),
(29449,103503,'Does not affect Epic targets',100,1,3),
(29450,10103503,'Mesmerizes target',100,1,0),
(29451,10103503,'Prevents AOE (except when direct) ',100,1,1),
(29452,10103503,'Dispelled when target takes damage',100,1,2),
(29453,10103503,'If outside an arena',100,1,3),
(29454,10103503,'Certain enemies cannot be charmed',100,1,4),
(29455,10103503,'Does not affect Epic targets',100,1,5),
(29456,10103503,'Resistibility increases against targets higher than level 49.',100,1,6),
(29457,139648,'When Equipped:',100,0,0),
(29458,139648,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(29459,139648,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(29460,139648,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,3),
(29461,139648,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,4),
(29462,139648,'Increases Damage Per Second of caster by 30.0',100,2,5),
(29463,139648,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,6),
(29464,139648,'Increases Attack Speed of caster by 30.0',100,2,7),
(29465,139648,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,8),
(29466,139648,'Increases Multi Attack Chance of caster by 30.0',100,2,9),
(29467,139648,'Must not be engaged in pvp combat',100,2,10),
(29468,139648,'Cannot be modified except by direct means',100,2,11),
(29469,139648,'Must not be engaged in pvp combat',100,1,12),
(29470,10139648,'When Equipped:',100,0,0),
(29471,10139648,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(29472,10139648,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(29473,10139648,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,3),
(29474,10139648,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,4),
(29475,10139648,'Increases Damage Per Second of caster by 30.0',100,2,5),
(29476,10139648,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,6),
(29477,10139648,'Increases Attack Speed of caster by 30.0',100,2,7),
(29478,10139648,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,8),
(29479,10139648,'Increases Multi Attack Chance of caster by 30.0',100,2,9),
(29480,10139648,'Must not be engaged in pvp combat',100,2,10),
(29481,10139648,'Cannot be modified except by direct means',100,2,11),
(29482,10139648,'Must not be engaged in pvp combat',100,1,12),
(29483,81917,'When Equipped:',100,0,0),
(29484,81917,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29485,81917,'Inflicts 523 - 972 magic damage on target',100,2,2),
(29486,81917,'Decreases Threat to target by 994 ',100,2,3),
(29487,81917,'Must be flanking or behind',100,3,4),
(29488,81917,'Increases Threat to target by 1,454 ',100,2,5),
(29489,81917,'Must be in front of',100,3,6),
(29490,81917,'Cannot be modified except by direct means',100,2,7),
(29491,10081917,'When Equipped:',100,0,0),
(29492,10081917,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29493,10081917,'Inflicts 523 - 972 magic damage on target',100,2,2),
(29494,10081917,'Cannot be modified except by direct means',100,2,3),
(29495,120354,'Inflicts 822 - 1005 divine damage on target',100,1,0),
(29496,120354,'Inflicts 183 - 223 divine damage on target every 4 seconds',100,1,1),
(29497,120354,'Decreases WIS of target by 25.6',100,1,2),
(29498,10120354,'Inflicts 539 - 571 divine damage on target',100,1,0),
(29499,10120354,'Inflicts 144 - 176 divine damage on target every 4 seconds',100,1,1),
(29500,10120354,'Decreases WIS of target by 25.6',100,1,2),
(29501,35925,'Increases Max Power of target by 47.2',100,0,0),
(29502,35925,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(29503,100155,'Inflicts 938 - 1073 disease damage on target encounter',100,1,0),
(29504,100155,'Inflicts 610 - 746 disease damage on target encounter every 3 seconds',100,1,1),
(29505,100155,'Decreases Mitigation of target encounter vs noxious damage by 1210',100,1,2),
(29506,10100155,'Inflicts 613 - 719 disease damage on target encounter',100,1,0),
(29507,10100155,'Inflicts 481 - 588 disease damage on target encounter every 3 seconds',100,1,1),
(29508,10100155,'Decreases Mitigation of target encounter vs noxious damage by 1210',100,1,2),
(29509,117577,'Inflicts 2299 - 3527 melee damage on target',100,1,0),
(29510,117577,'Decreases Parry of target by 36.1',100,1,1),
(29511,117577,'Must be in front of or flanking',100,1,2),
(29512,10117577,'Inflicts 1604 - 2400 melee damage on target',100,1,0),
(29513,10117577,'Decreases Parry of target by 36.1',100,1,1),
(29514,10117577,'Must be in front of or flanking',100,1,2),
(29515,164579,'Applies Unstable Magics when Equipped.',100,0,0),
(29516,164579,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(29517,10164579,'Applies Unstable Magics when Equipped.',100,0,0),
(29518,10164579,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(29519,37340,'Increases STA and INT of target by 9.4',100,0,0),
(29520,37340,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(29521,82121,'When Equipped:',100,0,0),
(29522,82121,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29523,82121,'Inflicts 272 - 505 magic damage on target',100,2,2),
(29524,82121,'Cannot be modified except by direct means',100,2,3),
(29525,10082121,'When Equipped:',100,0,0),
(29526,10082121,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29527,10082121,'Inflicts 272 - 505 magic damage on target',100,2,2),
(29528,10082121,'Cannot be modified except by direct means',100,2,3),
(29529,117884,'Heals target for 1937 - 2150',100,1,0),
(29530,117884,'Heals target for 955 - 1167 every 2 seconds',100,1,1),
(29531,10117884,'Heals target for 746 - 854',100,1,0),
(29532,10117884,'Heals target for 489 - 598 every 2 seconds',100,1,1),
(29533,119762,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(29534,119762,'Inflicts 113 - 139 poison damage on target encounter',100,2,1),
(29535,10119762,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(29536,10119762,'Inflicts 89 - 109 poison damage on target encounter',100,2,1),
(29537,102048,'Interrupts targets in Area of Effect',100,1,0),
(29538,102048,'Inflicts 1116 - 1850 melee damage on targets in area',100,1,1),
(29539,10102048,'Interrupts targets in Area of Effect',100,1,0),
(29540,10102048,'Inflicts 879 - 1381 melee damage on targets in area',100,1,1),
(29541,102744,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(29542,102744,'Stuns target',100,2,1),
(29543,102744,'If Target is not Epic',100,3,2),
(29544,102744,'Inflicts 916 - 1526 divine damage on target',100,2,3),
(29545,102744,'Inflicts 785 - 1308 divine damage on target',100,2,4),
(29546,102744,'If target is undead',100,3,5),
(29547,10102744,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(29548,10102744,'Stuns target',100,2,1),
(29549,10102744,'Inflicts 1082 - 1804 divine damage on target',100,2,2),
(29550,10102744,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(29551,109748,'Inflicts 724 - 1065 cold damage on target encounter',100,1,0),
(29552,109748,'Inflicts 397 - 737 cold damage on target encounter every 3 seconds',100,1,1),
(29553,10109748,'Inflicts 444 - 713 cold damage on target encounter',100,1,0),
(29554,10109748,'Inflicts 313 - 581 cold damage on target encounter every 3 seconds',100,1,1),
(29555,124044,'Increases power of caster by 52',100,1,0),
(29556,10124044,'Increases power of caster by 52',100,1,0),
(29557,75508,'When Equipped:',100,0,0),
(29558,75508,'On any combat or spell hit this spell may cast Exalted Wave VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(29559,75508,'Inflicts 1444 - 1596 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(29560,75508,'Heals group members (AE) for 747 - 826 instantly and every 2 seconds',100,2,3),
(29561,75508,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(29562,75508,'Must not be engaged in pvp combat',100,2,5),
(29563,75508,'Cannot be modified except by direct means',100,2,6),
(29564,75508,'Must not be engaged in pvp combat',100,1,7),
(29565,10075508,'When Equipped:',100,0,0),
(29566,10075508,'On any combat or spell hit this spell may cast Exalted Wave VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(29567,10075508,'Inflicts 1444 - 1596 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(29568,10075508,'Heals group members (AE) for 486 - 537 instantly and every 2 seconds',100,2,3),
(29569,10075508,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(29570,10075508,'Must not be engaged in pvp combat',100,2,5),
(29571,10075508,'Cannot be modified except by direct means',100,2,6),
(29572,10075508,'Must not be engaged in pvp combat',100,1,7),
(29573,116123,'Inflicts 368 - 611 divine damage on target',100,1,0),
(29574,116123,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(29575,116123,'Stuns target',100,2,2),
(29576,116123,'Throws target back',100,2,3),
(29577,116123,'Blurs vision of target',100,2,4),
(29578,116123,'Does not affect Epic targets',100,2,5),
(29579,10116123,'Inflicts 296 - 492 divine damage on target',100,1,0),
(29580,10116123,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(29581,10116123,'Stuns target',100,2,2),
(29582,10116123,'Throws target back',100,2,3),
(29583,10116123,'Blurs vision of target',100,2,4),
(29584,10116123,'Does not affect Epic targets',100,2,5),
(29585,52663,'When Equipped:',100,0,0),
(29586,52663,'Reduces reuse time of hostile spells by 5 percent.',100,1,1),
(29587,52663,'When Equipped:',100,0,2),
(29588,52663,'Reduces cast time of hostile spells by 5 percent.',100,1,3),
(29589,10052663,'When Equipped:',100,0,0),
(29590,10052663,'Reduces reuse time of hostile spells by 5 percent.',100,1,1),
(29591,10052663,'When Equipped:',100,0,2),
(29592,10052663,'Reduces cast time of hostile spells by 5 percent.',100,1,3),
(29593,75045,'Applies Poison Bolt when Activated.',100,0,0),
(29594,75045,'Inflicts 723 - 1205 poison damage on target',100,1,1),
(29595,75045,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(29596,10075045,'Applies Poison Bolt when Activated.',100,0,0),
(29597,10075045,'Inflicts 723 - 1205 poison damage on target',100,1,1),
(29598,10075045,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(29599,87372,'When Equipped:',100,0,0),
(29600,87372,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29601,87372,'Inflicts 192 - 289 magic damage on target',100,2,2),
(29602,87372,'Cannot be modified except by direct means',100,2,3),
(29603,10087372,'When Equipped:',100,0,0),
(29604,10087372,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29605,10087372,'Inflicts 192 - 289 magic damage on target',100,2,2),
(29606,10087372,'Cannot be modified except by direct means',100,2,3),
(29607,71596,'When Equipped:',100,0,0),
(29608,71596,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29609,71596,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(29610,71596,'Cannot be modified except by direct means',100,2,3),
(29611,10071596,'When Equipped:',100,0,0),
(29612,10071596,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29613,10071596,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(29614,10071596,'Cannot be modified except by direct means',100,2,3),
(29615,46399,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(29616,46399,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(29617,46399,'Inflicts 537 poison damage on target instantly and every 4 seconds',100,2,2),
(29618,46399,'Cannot be modified except by direct means',100,2,3),
(29619,46399,'Grants a total of 100 triggers of the spell.',100,2,4),
(29620,10046399,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(29621,10046399,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(29622,10046399,'Inflicts 403 poison damage on target instantly and every 4 seconds',100,2,2),
(29623,10046399,'Cannot be modified except by direct means',100,2,3),
(29624,10046399,'Grants a total of 100 triggers of the spell.',100,2,4),
(29625,117074,'Inflicts 2479 - 3465 melee damage on target',100,1,0),
(29626,117074,'Decreases Attack Speed of target by 21.7',100,1,1),
(29627,10117074,'Inflicts 1574 - 2351 melee damage on target',100,1,0),
(29628,10117074,'Decreases Attack Speed of target by 21.7',100,1,1),
(29629,45280,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(29630,45280,'Increases Attack Speed of caster by 22.5',100,1,1),
(29631,10045280,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(29632,10045280,'Increases Attack Speed of caster by 22.5',100,1,1),
(29633,137890,'When Equipped:',100,0,0),
(29634,137890,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(29635,137890,'Decreases Attack Speed of target by 20.0',100,2,2),
(29636,137890,'Cannot be modified except by direct means',100,2,3),
(29637,10137890,'When Equipped:',100,0,0),
(29638,10137890,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(29639,10137890,'Decreases Attack Speed of target by 20.0',100,2,2),
(29640,10137890,'Cannot be modified except by direct means',100,2,3),
(29641,81641,'When Equipped:',100,0,0),
(29642,81641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29643,81641,'Inflicts 215 - 399 magic damage on target',100,2,2),
(29644,81641,'Cannot be modified except by direct means',100,2,3),
(29645,10081641,'When Equipped:',100,0,0),
(29646,10081641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29647,10081641,'Inflicts 215 - 399 magic damage on target',100,2,2),
(29648,10081641,'Cannot be modified except by direct means',100,2,3),
(29649,118798,'Wards group members (AE) against 129 points of physical damage',100,1,0),
(29650,118798,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,1),
(29651,10118798,'Wards group members (AE) against 106 points of physical damage',100,1,0),
(29652,10118798,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,1),
(29653,110133,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(29654,110133,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(29655,110133,'Only affects the caster of Guardian''s Sphere',100,2,2),
(29656,110133,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(29657,110133,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(29658,110133,'If not fighter',100,2,5),
(29659,10110133,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(29660,10110133,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(29661,10110133,'Only affects the caster of Guardian''s Sphere',100,2,2),
(29662,10110133,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(29663,10110133,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(29664,10110133,'If not fighter',100,2,5),
(29665,75881,'When Equipped:',100,0,0),
(29666,75881,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(29667,75881,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(29668,75881,'Heals group members (AE) for 5384 - 5951',100,2,3),
(29669,75881,'Must not be engaged in pvp combat',100,2,4),
(29670,75881,'Cannot be modified except by direct means',100,2,5),
(29671,75881,'Cannot be modified except by direct means',100,1,6),
(29672,75881,'When Equipped:',100,0,7),
(29673,75881,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(29674,75881,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(29675,75881,'Wards target against 4840 points of all damage',100,2,10),
(29676,75881,'Must not be engaged in pvp combat',100,2,11),
(29677,75881,'Cannot be modified except by direct means',100,2,12),
(29678,75881,'Cannot be modified except by direct means',100,1,13),
(29679,75881,'When Equipped:',100,0,14),
(29680,75881,'Increases WIS of caster by 50.0',100,1,15),
(29681,75881,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,16),
(29682,75881,'Increases INT, AGI and STR of caster by 50.0',100,1,17),
(29683,75881,'Increases Potency of caster by 3.5%',100,1,18),
(29684,75881,'Cannot be modified except by direct means',100,1,19),
(29685,75881,'When Equipped:',100,0,20),
(29686,75881,'Increases Crit Bonus of caster by 4.0%',100,1,21),
(29687,75881,'This effect will not stack with any rank or tier of itself.',100,1,22),
(29688,75881,'Cannot be modified except by direct means',100,1,23),
(29689,10075881,'When Equipped:',100,0,0),
(29690,10075881,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(29691,10075881,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(29692,10075881,'Heals group members (AE) for 6299 - 6962',100,2,3),
(29693,10075881,'Must not be engaged in pvp combat',100,2,4),
(29694,10075881,'Cannot be modified except by direct means',100,2,5),
(29695,10075881,'Cannot be modified except by direct means',100,1,6),
(29696,10075881,'When Equipped:',100,0,7),
(29697,10075881,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(29698,10075881,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(29699,10075881,'Wards target against 4840 points of all damage',100,2,10),
(29700,10075881,'Must not be engaged in pvp combat',100,2,11),
(29701,10075881,'Cannot be modified except by direct means',100,2,12),
(29702,10075881,'Cannot be modified except by direct means',100,1,13),
(29703,10075881,'When Equipped:',100,0,14),
(29704,10075881,'Increases WIS of caster by 50.0',100,1,15),
(29705,10075881,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,16),
(29706,10075881,'Increases INT, AGI and STR of caster by 50.0',100,1,17),
(29707,10075881,'Increases Potency of caster by 3.5%',100,1,18),
(29708,10075881,'Cannot be modified except by direct means',100,1,19),
(29709,10075881,'When Equipped:',100,0,20),
(29710,10075881,'Increases Crit Bonus of caster by 4.0%',100,1,21),
(29711,10075881,'This effect will not stack with any rank or tier of itself.',100,1,22),
(29712,10075881,'Cannot be modified except by direct means',100,1,23),
(29713,42333,'When Equipped:',100,0,0),
(29714,42333,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29715,42333,'Inflicts 185 - 227 magic damage on target',100,2,2),
(29716,42333,'Cannot be modified except by direct means',100,2,3),
(29717,10042333,'When Equipped:',100,0,0),
(29718,10042333,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29719,10042333,'Inflicts 185 - 227 magic damage on target',100,2,2),
(29720,10042333,'Cannot be modified except by direct means',100,2,3),
(29721,120807,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(29722,120807,'Stuns target',100,2,1),
(29723,120807,'Throws target back',100,2,2),
(29724,120807,'Blurs vision of target',100,2,3),
(29725,120807,'Does not affect Epic targets',100,2,4),
(29726,120807,'Inflicts 2585 - 3844 piercing damage on target',100,1,5),
(29727,10120807,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(29728,10120807,'Stuns target',100,2,1),
(29729,10120807,'Throws target back',100,2,2),
(29730,10120807,'Blurs vision of target',100,2,3),
(29731,10120807,'Does not affect Epic targets',100,2,4),
(29732,10120807,'Inflicts 1785 - 2700 piercing damage on target',100,1,5),
(29733,115063,'Heals target for 159 - 194',100,1,0),
(29734,115063,'Heals target for 10 - 12 every second',100,1,1),
(29735,10115063,'Heals target for 164 - 200',100,1,0),
(29736,10115063,'Heals target for 8 - 10 every second',100,1,1),
(29737,109549,'Inflicts 24067 - 39894 cold damage on targets in Area of Effect',100,1,0),
(29738,109549,'Throws target back',100,1,1),
(29739,109549,'If Target is not Epic',100,2,2),
(29740,109549,'Stuns targets in Area of Effect',100,1,3),
(29741,109549,'If Target is not Epic',100,2,4),
(29742,109549,'Resistibility increases against targets higher than level 107.',100,1,5),
(29743,10109549,'Inflicts 18842 - 31316 cold damage on targets in Area of Effect',100,1,0),
(29744,10109549,'Throws target back',100,1,1),
(29745,10109549,'If Target is not Epic',100,2,2),
(29746,10109549,'Stuns targets in Area of Effect',100,1,3),
(29747,10109549,'If Target is not Epic',100,2,4),
(29748,10109549,'Resistibility increases against targets higher than level 107.',100,1,5),
(29749,159870,'When Equipped:',100,0,0),
(29750,159870,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29751,159870,'Increases INT of caster by 17.3',100,2,2),
(29752,159870,'Increases Subjugation, Disruption and Focus of caster by 9.8',100,2,3),
(29753,159870,'Cannot be modified except by direct means',100,2,4),
(29754,10159870,'When Equipped:',100,0,0),
(29755,10159870,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29756,10159870,'Increases INT of caster by 17.3',100,2,2),
(29757,10159870,'Increases Subjugation, Disruption and Focus of caster by 9.8',100,2,3),
(29758,10159870,'Cannot be modified except by direct means',100,2,4),
(29759,80989,'When Equipped:',100,0,0),
(29760,80989,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29761,80989,'Inflicts 151 - 280 magic damage on target',100,2,2),
(29762,80989,'Decreases Threat to target by 259 ',100,2,3),
(29763,80989,'Must be flanking or behind',100,3,4),
(29764,80989,'Increases Threat to target by 453 ',100,2,5),
(29765,80989,'Must be in front of',100,3,6),
(29766,80989,'Cannot be modified except by direct means',100,2,7),
(29767,10080989,'When Equipped:',100,0,0),
(29768,10080989,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29769,10080989,'Inflicts 151 - 280 magic damage on target',100,2,2),
(29770,10080989,'Cannot be modified except by direct means',100,2,3),
(29771,110720,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(29772,110720,'Heals group members (AE) for 1409',100,2,1),
(29773,10110720,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(29774,10110720,'Heals group members (AE) for 712',100,2,1),
(29775,47283,'Applies Rejuvenation of Marr  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(29776,47283,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(29777,10047283,'Applies Rejuvenation of Marr  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(29778,10047283,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(29779,104004,'Interrupts targets in Area of Effect',100,1,0),
(29780,104004,'Inflicts 1802 - 3065 poison damage on targets in Area of Effect',100,1,1),
(29781,104004,'Inflicts 1474 - 2738 poison damage on targets in Area of Effect every second',100,1,2),
(29782,10104004,'Interrupts targets in Area of Effect',100,1,0),
(29783,10104004,'Inflicts 1294 - 2289 poison damage on targets in Area of Effect',100,1,1),
(29784,10104004,'Inflicts 1162 - 2158 poison damage on targets in Area of Effect every second',100,1,2),
(29785,102946,'Inflicts 1511 - 1628 disease damage on target',100,1,0),
(29786,102946,'Inflicts 529 - 646 disease damage on target every 4 seconds',100,1,1),
(29787,10102946,'Inflicts 936 - 1057 disease damage on target',100,1,0),
(29788,10102946,'Inflicts 417 - 509 disease damage on target every 4 seconds',100,1,1),
(29789,108835,'Inflicts 721 - 1138 melee damage on target',100,129,0),
(29790,108835,'Inflicts 181 - 300 melee damage on target',100,1,1),
(29791,108835,'Inflicts 181 - 300 melee damage on target',100,1,2),
(29792,108835,'Inflicts 181 - 300 melee damage on target',100,1,3),
(29793,108835,'Inflicts 181 - 300 melee damage on target',100,1,4),
(29794,108835,'Inflicts 181 - 300 melee damage on target',100,1,5),
(29795,10108835,'Inflicts 654 - 791 melee damage on target',100,129,0),
(29796,10108835,'Inflicts 145 - 241 melee damage on target',100,1,1),
(29797,10108835,'Inflicts 145 - 241 melee damage on target',100,1,2),
(29798,10108835,'Inflicts 145 - 241 melee damage on target',100,1,3),
(29799,10108835,'Inflicts 145 - 241 melee damage on target',100,1,4),
(29800,10108835,'Inflicts 145 - 241 melee damage on target',100,1,5),
(29801,117952,'Heals target for 5180 - 6113',100,1,0),
(29802,117952,'Increases Max Health of target by 191.0',100,1,1),
(29803,10117952,'Heals target for 4051 - 4895',100,1,0),
(29804,10117952,'Increases Max Health of target by 191.0',100,1,1),
(29805,190028,'When Equipped:',100,0,0),
(29806,190028,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29807,190028,'Increases Mitigation of target vs elemental damage by 930',100,2,2),
(29808,190028,'This effect can be stacked by multiple casters.',100,2,3),
(29809,190028,'Increases Mitigation of target vs physical, noxious and arcane damage by 930',100,2,4),
(29810,190028,'Cannot be modified except by direct means',100,2,5),
(29811,10190028,'When Equipped:',100,0,0),
(29812,10190028,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29813,10190028,'Increases Mitigation of target vs elemental damage by 930',100,2,2),
(29814,10190028,'This effect can be stacked by multiple casters.',100,2,3),
(29815,10190028,'Increases Mitigation of target vs physical, noxious and arcane damage by 930',100,2,4),
(29816,10190028,'Cannot be modified except by direct means',100,2,5),
(29817,177572,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(29818,177572,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(29819,177572,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(29820,177572,'Cannot be modified except by direct means',100,2,3),
(29821,10177572,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(29822,10177572,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(29823,10177572,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(29824,10177572,'Cannot be modified except by direct means',100,2,3),
(29825,109017,'Decreases Damage Per Second of target by 35.0',100,1,0),
(29826,109017,'Inflicts 2258 - 2755 melee damage on target',100,1,1),
(29827,10109017,'Decreases Damage Per Second of target by 35.0',100,1,0),
(29828,10109017,'Inflicts 1581 - 1842 melee damage on target',100,1,1),
(29829,104231,'Decreases WIS of target encounter by 64.1',100,1,0),
(29830,104231,'Inflicts 913 mental damage on target encounter',100,1,1),
(29831,104231,'Inflicts 586 mental damage on target encounter every 6 seconds',100,1,2),
(29832,10104231,'Decreases WIS of target encounter by 64.1',100,1,0),
(29833,10104231,'Inflicts 593 mental damage on target encounter',100,1,1),
(29834,10104231,'Inflicts 462 mental damage on target encounter every 6 seconds',100,1,2),
(29835,82735,'When Equipped:',100,0,0),
(29836,82735,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29837,82735,'Inflicts 210 - 391 magic damage on target',100,2,2),
(29838,82735,'Cannot be modified except by direct means',100,2,3),
(29839,10082735,'When Equipped:',100,0,0),
(29840,10082735,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(29841,10082735,'Inflicts 210 - 391 magic damage on target',100,2,2),
(29842,10082735,'Cannot be modified except by direct means',100,2,3),
(29843,123073,'Summons a pet undead knight',100,1,0),
(29844,10123073,'Summons a pet undead knight',100,1,0),
(29845,41118,'When Equipped:',100,0,0),
(29846,41118,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29847,41118,'Inflicts 405 - 675 piercing damage on target',100,2,2),
(29848,41118,'Inflicts 405 - 675 divine damage on target',100,2,3),
(29849,41118,'Inflicts 405 - 675 magic damage on target',100,2,4),
(29850,41118,'Must not be engaged in pvp combat',100,2,5),
(29851,41118,'Cannot be modified except by direct means',100,2,6),
(29852,41118,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(29853,41118,'Inflicts 405 - 675 piercing damage on target',100,2,8),
(29854,41118,'Inflicts 405 - 675 divine damage on target',100,2,9),
(29855,41118,'Inflicts 405 - 675 magic damage on target',100,2,10),
(29856,41118,'Must not be engaged in pvp combat',100,2,11),
(29857,41118,'Cannot be modified except by direct means',100,2,12),
(29858,41118,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(29859,41118,'Inflicts 405 - 675 piercing damage on target',100,2,14),
(29860,41118,'Inflicts 405 - 675 divine damage on target',100,2,15),
(29861,41118,'Inflicts 405 - 675 magic damage on target',100,2,16),
(29862,41118,'Must not be engaged in pvp combat',100,2,17),
(29863,41118,'Cannot be modified except by direct means',100,2,18),
(29864,41118,'Must not be engaged in pvp combat',100,1,19),
(29865,10041118,'When Equipped:',100,0,0),
(29866,10041118,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29867,10041118,'Inflicts 405 - 675 piercing damage on target',100,2,2),
(29868,10041118,'Inflicts 405 - 675 divine damage on target',100,2,3),
(29869,10041118,'Inflicts 405 - 675 magic damage on target',100,2,4),
(29870,10041118,'Must not be engaged in pvp combat',100,2,5),
(29871,10041118,'Cannot be modified except by direct means',100,2,6),
(29872,10041118,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(29873,10041118,'Inflicts 405 - 675 piercing damage on target',100,2,8),
(29874,10041118,'Inflicts 405 - 675 divine damage on target',100,2,9),
(29875,10041118,'Inflicts 405 - 675 magic damage on target',100,2,10),
(29876,10041118,'Must not be engaged in pvp combat',100,2,11),
(29877,10041118,'Cannot be modified except by direct means',100,2,12),
(29878,10041118,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(29879,10041118,'Inflicts 405 - 675 piercing damage on target',100,2,14),
(29880,10041118,'Inflicts 405 - 675 divine damage on target',100,2,15),
(29881,10041118,'Inflicts 405 - 675 magic damage on target',100,2,16),
(29882,10041118,'Must not be engaged in pvp combat',100,2,17),
(29883,10041118,'Cannot be modified except by direct means',100,2,18),
(29884,10041118,'Must not be engaged in pvp combat',100,1,19),
(29885,120874,'Wards target against 824 points of all damage',100,1,0),
(29886,10120874,'Wards target against 676 points of all damage',100,1,0),
(29887,167758,'When Equipped:',100,0,0),
(29888,167758,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(29889,167758,'Heals caster for 194',100,2,2),
(29890,167758,'Cannot be modified except by direct means',100,2,3),
(29891,10167758,'When Equipped:',100,0,0),
(29892,10167758,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(29893,10167758,'Heals caster for 126',100,2,2),
(29894,10167758,'Cannot be modified except by direct means',100,2,3),
(29895,83665,'When Equipped:',100,0,0),
(29896,83665,'On a melee hit this spell may cast Fierce Blow on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29897,83665,'Inflicts 496 - 743 slashing damage on target',100,2,2),
(29898,83665,'Cannot be modified except by direct means',100,2,3),
(29899,10083665,'When Equipped:',100,0,0),
(29900,10083665,'On a melee hit this spell may cast Fierce Blow on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29901,10083665,'Inflicts 496 - 743 slashing damage on target',100,2,2),
(29902,10083665,'Cannot be modified except by direct means',100,2,3),
(29903,82765,'When Equipped:',100,0,0),
(29904,82765,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29905,82765,'Inflicts 468 - 870 magic damage on target',100,2,2),
(29906,82765,'Decreases Threat to target by 1,174 ',100,2,3),
(29907,82765,'Must be flanking or behind',100,3,4),
(29908,82765,'Increases Threat to target by 1,634 ',100,2,5),
(29909,82765,'Must be in front of',100,3,6),
(29910,82765,'Cannot be modified except by direct means',100,2,7),
(29911,10082765,'When Equipped:',100,0,0),
(29912,10082765,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(29913,10082765,'Inflicts 468 - 870 magic damage on target',100,2,2),
(29914,10082765,'Cannot be modified except by direct means',100,2,3),
(29915,116227,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(29916,116227,'Inflicts 1519 - 1856 mental damage on target',100,2,1),
(29917,116227,'Increases INT of group members (AE) by 79.9',100,1,2),
(29918,10116227,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(29919,10116227,'Inflicts 1197 - 1463 mental damage on target',100,2,1),
(29920,10116227,'Increases INT of group members (AE) by 79.9',100,1,2),
(29921,141945,'When Equipped:',100,0,0),
(29922,141945,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29923,141945,'Increases STR of caster by 8.8',100,2,2),
(29924,141945,'Increases Damage Per Second of caster by 15.1',100,2,3),
(29925,141945,'Cannot be modified except by direct means',100,2,4),
(29926,10141945,'When Equipped:',100,0,0),
(29927,10141945,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(29928,10141945,'Increases STR of caster by 8.8',100,2,2),
(29929,10141945,'Increases Damage Per Second of caster by 15.1',100,2,3),
(29930,10141945,'Cannot be modified except by direct means',100,2,4),
(29931,45904,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(29932,45904,'Increases STR of caster by 60.5',100,1,1),
(29933,10045904,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(29934,10045904,'Increases STR of caster by 60.5',100,1,1),
(29935,118510,'Inflicts 64 - 106 melee damage on target',100,1,0),
(29936,118510,'Decreases STR of target by 5.3',100,1,1),
(29937,118510,'You must be sneaking to use this ability.',100,1,2),
(29938,10118510,'Inflicts 50 - 84 melee damage on target',100,1,0),
(29939,10118510,'Decreases STR of target by 5.3',100,1,1),
(29940,10118510,'You must be sneaking to use this ability.',100,1,2),
(29941,27447,'When Equipped:',100,0,0),
(29942,27447,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(29943,27447,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(29944,10027447,'When Equipped:',100,0,0),
(29945,10027447,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(29946,10027447,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(29947,117330,'Roots target',100,1,0),
(29948,117330,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(29949,117330,'Slows target by 39.4%',100,2,2),
(29950,117330,'5% chance to dispel when target receives hostile action',100,2,3),
(29951,117330,'5% chance to dispel when target takes damage',100,2,4),
(29952,117330,'15% chance to dispel when target takes damage',100,1,5),
(29953,117330,'Does not affect Epic targets',100,1,6),
(29954,117330,'Resistibility increases against targets higher than level 76.',100,1,7),
(29955,10117330,'Roots target',100,1,0),
(29956,10117330,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(29957,10117330,'Slows target by 39.4%',100,2,2),
(29958,10117330,'10% chance to dispel when target receives hostile action',100,2,3),
(29959,10117330,'10% chance to dispel when target takes damage',100,2,4),
(29960,10117330,'15% chance to dispel when target takes damage',100,1,5),
(29961,10117330,'Does not affect Epic targets',100,1,6),
(29962,10117330,'Resistibility increases against targets higher than level 76.',100,1,7),
(29963,48489,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(29964,48489,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(29965,48489,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(29966,48489,'Inflicts 479 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(29967,48489,'Grants a total of 2 triggers of the spell.',100,3,4),
(29968,48489,'Cannot be modified except by direct means',100,2,5),
(29969,48489,'Grants a total of 4 triggers of the spell.',100,2,6),
(29970,10048489,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(29971,10048489,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(29972,10048489,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(29973,10048489,'Inflicts 378 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(29974,10048489,'Grants a total of 2 triggers of the spell.',100,3,4),
(29975,10048489,'Cannot be modified except by direct means',100,2,5),
(29976,10048489,'Grants a total of 4 triggers of the spell.',100,2,6),
(29977,110339,'Increases Max Power of target by 447.6',100,1,0),
(29978,110339,'Increases Max Health of target by 912.6',100,1,1),
(29979,10110339,'Increases Max Power of target by 447.6',100,1,0),
(29980,10110339,'Increases Max Health of target by 912.6',100,1,1),
(29981,103906,'Increases power of group members (AE) by 55 instantly and every 6 seconds',100,1,0),
(29982,103906,'Decreases INT of target by 186.6',100,1,1),
(29983,10103906,'Increases power of group members (AE) by 55 instantly and every 6 seconds',100,1,0),
(29984,10103906,'Decreases INT of target by 186.6',100,1,1),
(29985,158095,'When Equipped:',100,0,0),
(29986,158095,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29987,158095,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(29988,158095,'Heals caster for 811 - 1217',100,2,3),
(29989,158095,'Cannot be modified except by direct means',100,2,4),
(29990,158095,'Cannot be modified except by direct means',100,1,5),
(29991,10158095,'When Equipped:',100,0,0),
(29992,10158095,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(29993,10158095,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(29994,10158095,'Heals caster for 949 - 1424',100,2,3),
(29995,10158095,'Cannot be modified except by direct means',100,2,4),
(29996,10158095,'Cannot be modified except by direct means',100,1,5),
(29997,112889,'Inflicts 1824 - 2225 melee damage on target',100,1,0),
(29998,112889,'Decreases Mitigation of target vs physical damage by 259',100,1,1),
(29999,112889,'Must be flanking or behind',100,1,2),
(30000,10112889,'Inflicts 1353 - 1564 melee damage on target',100,1,0),
(30001,10112889,'Decreases Mitigation of target vs physical damage by 259',100,1,1),
(30002,10112889,'Must be flanking or behind',100,1,2),
(30003,46797,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(30004,46797,'Increases Attack Speed of caster by 6.0',100,1,1),
(30005,10046797,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(30006,10046797,'Increases Attack Speed of caster by 6.0',100,1,1),
(30007,122642,'Heals target for 982',100,1,0),
(30008,122642,'Heals target for 880 - 1076 every 2 seconds',100,1,1),
(30009,122642,'Wards target against 3008 points of all damage',100,1,2),
(30010,122642,'Decreases Attack Speed of target by 25.0',100,1,3),
(30011,122642,'Slows target by 50.0%',100,1,4),
(30012,10122642,'Heals target for 256',100,1,0),
(30013,10122642,'Heals target for 451 - 551 every 2 seconds',100,1,1),
(30014,10122642,'Wards target against 2406 points of all damage',100,1,2),
(30015,10122642,'Decreases Attack Speed of target by 25.0',100,1,3),
(30016,10122642,'Slows target by 20.0%',100,1,4),
(30017,136849,'When Equipped:',100,0,0),
(30018,136849,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(30019,136849,'Stuns target',100,2,2),
(30020,136849,'Does not affect Epic targets',100,2,3),
(30021,136849,'Resistibility increases against targets higher than level 99.',100,2,4),
(30022,136849,'Cannot be modified except by direct means',100,2,5),
(30023,10136849,'When Equipped:',100,0,0),
(30024,10136849,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(30025,10136849,'Stuns target',100,2,2),
(30026,10136849,'Does not affect Epic targets',100,2,3),
(30027,10136849,'Resistibility increases against targets higher than level 99.',100,2,4),
(30028,10136849,'Cannot be modified except by direct means',100,2,5),
(30029,140037,'When Equipped:',100,0,0),
(30030,140037,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(30031,140037,'Heals group members (AE) for 5384 - 5951',100,2,2),
(30032,140037,'Must not be engaged in pvp combat',100,2,3),
(30033,140037,'Cannot be modified except by direct means',100,2,4),
(30034,140037,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(30035,140037,'Cannot be modified except by direct means',100,1,6),
(30036,10140037,'When Equipped:',100,0,0),
(30037,10140037,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(30038,10140037,'Heals group members (AE) for 6299 - 6962',100,2,2),
(30039,10140037,'Must not be engaged in pvp combat',100,2,3),
(30040,10140037,'Cannot be modified except by direct means',100,2,4),
(30041,10140037,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(30042,10140037,'Cannot be modified except by direct means',100,1,6),
(30043,119766,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(30044,119766,'Inflicts 146 - 179 poison damage on target encounter',100,2,1),
(30045,10119766,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(30046,10119766,'Inflicts 115 - 141 poison damage on target encounter',100,2,1),
(30047,120674,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 34.4',100,1,0),
(30048,120674,'Increases Focus of group members (AE) by 72.8',100,1,1),
(30049,10120674,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 34.4',100,1,0),
(30050,10120674,'Increases Focus of group members (AE) by 72.8',100,1,1),
(30051,118289,'Summons a limited pet to aid the caster',100,1,0),
(30052,10118289,'Summons a limited pet to aid the caster',100,1,0),
(30053,115086,'Heals target for 2293 - 2585',100,1,0),
(30054,115086,'Heals target for 169 - 206 every second',100,1,1),
(30055,10115086,'Heals target for 2175 - 2601',100,1,0),
(30056,10115086,'Heals target for 144 - 176 every second',100,1,1),
(30057,123676,'Increases Damage Per Second of target by 34.1',100,1,0),
(30058,10123676,'Increases Damage Per Second of target by 34.1',100,1,0),
(30059,48451,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(30060,48451,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(30061,48451,'Inflicts 78 poison damage on target',100,2,2),
(30062,48451,'Inflicts 207 poison damage on target instantly and every 6 seconds',100,2,3),
(30063,48451,'Cannot be modified except by direct means',100,2,4),
(30064,48451,'Grants a total of 200 triggers of the spell.',100,2,5),
(30065,10048451,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(30066,10048451,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(30067,10048451,'Inflicts 155 poison damage on target instantly and every 6 seconds',100,2,2),
(30068,10048451,'Inflicts 59 poison damage on target',100,2,3),
(30069,10048451,'Cannot be modified except by direct means',100,2,4),
(30070,10048451,'Grants a total of 200 triggers of the spell.',100,2,5),
(30071,119183,'Inflicts 706 - 1170 heat damage on target',100,1,0),
(30072,119183,'Inflicts 352 - 585 heat damage on target',100,1,1),
(30073,119183,'Requires bow',100,1,2),
(30074,10119183,'Inflicts 675 - 860 heat damage on target',100,1,0),
(30075,10119183,'Inflicts 280 - 465 heat damage on target',100,1,1),
(30076,10119183,'Requires bow',100,1,2),
(30077,115795,'Increases in-combat movement speed of group members (AE) by 44.0%',100,1,0),
(30078,115795,'Dispels 39 levels of hostile Root effects on group members (AE)',100,1,1),
(30079,10115795,'Increases in-combat movement speed of group members (AE) by 27.5%',100,1,0),
(30080,10115795,'Dispels 39 levels of hostile Root effects on group members (AE)',100,1,1),
(30081,120166,'Applies Life Draw on termination.',100,1,0),
(30082,120166,'Inflicts 658 - 1097 disease damage on target',100,2,1),
(30083,120166,'Heals caster for 9.9 - 12.1% of max health',100,2,2),
(30084,120166,'This effect cannot be critically applied.',100,3,3),
(30085,120166,'The healing of this spell cannot be modified except by direct means',100,2,4),
(30086,120166,'Inflicts 289 - 479 disease damage on target',100,1,5),
(30087,10120166,'Applies Life Draw on termination.',100,1,0),
(30088,10120166,'Inflicts 519 - 865 disease damage on target',100,2,1),
(30089,10120166,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(30090,10120166,'This effect cannot be critically applied.',100,3,3),
(30091,10120166,'The healing of this spell cannot be modified except by direct means',100,2,4),
(30092,10120166,'Inflicts 228 - 378 disease damage on target',100,1,5),
(30093,42574,'When Equipped:',100,0,0),
(30094,42574,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30095,42574,'Inflicts 248 - 373 magic damage on target',100,2,2),
(30096,42574,'Cannot be modified except by direct means',100,2,3),
(30097,10042574,'When Equipped:',100,0,0),
(30098,10042574,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30099,10042574,'Inflicts 248 - 373 magic damage on target',100,2,2),
(30100,10042574,'Cannot be modified except by direct means',100,2,3),
(30101,114251,'Inflicts 3175 - 3663 mental damage on target',100,1,0),
(30102,114251,'Stuns target',100,1,1),
(30103,114251,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(30104,114251,'Resistibility increases against targets higher than level 98.',100,1,3),
(30105,10114251,'Inflicts 2123 - 2507 mental damage on target',100,1,0),
(30106,10114251,'Requires not being affected by Mesmerize effects.',100,2,1),
(30107,10114251,'Stuns target',100,1,2),
(30108,10114251,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(30109,10114251,'Resistibility increases against targets higher than level 98.',100,1,4),
(30110,86039,'When Equipped:',100,0,0),
(30111,86039,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(30112,86039,'Increases Ability Modifier of caster by 660.0',100,2,2),
(30113,86039,'Must not be engaged in pvp combat',100,2,3),
(30114,86039,'Cannot be modified except by direct means',100,2,4),
(30115,86039,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(30116,86039,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(30117,86039,'Increases Ability Modifier of caster by 660.0',100,2,7),
(30118,86039,'Must not be engaged in pvp combat',100,2,8),
(30119,86039,'Cannot be modified except by direct means',100,2,9),
(30120,86039,'Cannot be modified except by direct means',100,1,10),
(30121,10086039,'When Equipped:',100,0,0),
(30122,10086039,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(30123,10086039,'Increases Ability Modifier of caster by 660.0',100,2,2),
(30124,10086039,'Must not be engaged in pvp combat',100,2,3),
(30125,10086039,'Cannot be modified except by direct means',100,2,4),
(30126,10086039,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(30127,10086039,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(30128,10086039,'Increases Ability Modifier of caster by 660.0',100,2,7),
(30129,10086039,'Must not be engaged in pvp combat',100,2,8),
(30130,10086039,'Cannot be modified except by direct means',100,2,9),
(30131,10086039,'Cannot be modified except by direct means',100,1,10),
(30132,116608,'Inflicts 3112 - 4514 divine damage on target',100,1,0),
(30133,10116608,'Inflicts 2073 - 3178 divine damage on target',100,1,0),
(30134,122447,'Inflicts 3846 - 5755 magic damage on target',100,1,0),
(30135,10122447,'Inflicts 2652 - 4156 magic damage on target',100,1,0),
(30136,80940,'When Equipped:',100,0,0),
(30137,80940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30138,80940,'Inflicts 369 - 686 magic damage on target',100,2,2),
(30139,80940,'Cannot be modified except by direct means',100,2,3),
(30140,10080940,'When Equipped:',100,0,0),
(30141,10080940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30142,10080940,'Inflicts 369 - 686 magic damage on target',100,2,2),
(30143,10080940,'Cannot be modified except by direct means',100,2,3),
(30144,114476,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(30145,114476,'Increases Attack Speed of caster by 21.0',100,130,1),
(30146,114476,'Increases Piercing, Ranged, Slashing and Crushing of caster by 39.7',100,130,2),
(30147,114476,'Inflicts 5258 - 8073 heat damage on target',100,1,3),
(30148,10114476,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(30149,10114476,'Increases Attack Speed of caster by 21.0',100,130,1),
(30150,10114476,'Increases Piercing, Ranged, Slashing and Crushing of caster by 39.7',100,130,2),
(30151,10114476,'Inflicts 3765 - 5983 heat damage on target',100,1,3),
(30152,81720,'When Equipped:',100,0,0),
(30153,81720,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30154,81720,'Inflicts 210 - 391 magic damage on target',100,2,2),
(30155,81720,'Cannot be modified except by direct means',100,2,3),
(30156,10081720,'When Equipped:',100,0,0),
(30157,10081720,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30158,10081720,'Inflicts 210 - 391 magic damage on target',100,2,2),
(30159,10081720,'Cannot be modified except by direct means',100,2,3),
(30160,103917,'Wards group members (AE) collectively against 2183 total points of all damage',100,1,0),
(30161,10103917,'Wards group members (AE) collectively against 2569 total points of all damage',100,1,0),
(30162,118440,'Heals target for 6214 - 7376',100,1,0),
(30163,118440,'Increases Max Health of target by 271.5',100,1,1),
(30164,10118440,'Heals target for 5039 - 6102',100,1,0),
(30165,10118440,'Increases Max Health of target by 271.5',100,1,1),
(30166,35779,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(30167,102483,'Inflicts 1421 - 2356 crushing damage on target',100,1,0),
(30168,102483,'Prevents target from changing direction while active.',100,1,1),
(30169,102483,'If Target is not Epic',100,2,2),
(30170,102483,'Roots target',100,1,3),
(30171,102483,'If Target is not Epic',100,2,4),
(30172,102483,'Resistibility increases against targets higher than level 65.',100,1,5),
(30173,10102483,'Inflicts 1118 - 1632 crushing damage on target',100,1,0),
(30174,10102483,'Prevents target from changing direction while active.',100,1,1),
(30175,10102483,'If Target is not Epic',100,2,2),
(30176,10102483,'Roots target',100,1,3),
(30177,10102483,'If Target is not Epic',100,2,4),
(30178,10102483,'Resistibility increases against targets higher than level 65.',100,1,5),
(30179,112816,'Inflicts 6881 - 10763 slashing damage on target',100,1,0),
(30180,112816,'Stifles target',100,1,1),
(30181,112816,'If Target is not Epic',100,2,2),
(30182,112816,'You must be in stealth.',100,1,3),
(30183,112816,'Resistibility increases against targets higher than level 103.',100,1,4),
(30184,10112816,'Inflicts 5043 - 8103 slashing damage on target',100,1,0),
(30185,10112816,'Stifles target',100,1,1),
(30186,10112816,'If Target is not Epic',100,2,2),
(30187,10112816,'You must be in stealth.',100,1,3),
(30188,10112816,'Resistibility increases against targets higher than level 103.',100,1,4),
(30189,162152,'When Equipped:',100,0,0),
(30190,162152,'Wards caster against 516 points of noxious damage',100,1,1),
(30191,162152,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(30192,162152,'Inflicts 258 disease damage on target',100,2,3),
(30193,162152,'Inflicts 258 poison damage on target',100,2,4),
(30194,162152,'Cannot be modified except by direct means',100,2,5),
(30195,10162152,'When Equipped:',100,0,0),
(30196,10162152,'Wards caster against 516 points of noxious damage',100,1,1),
(30197,10162152,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(30198,10162152,'Inflicts 258 disease damage on target',100,2,3),
(30199,10162152,'Inflicts 258 poison damage on target',100,2,4),
(30200,10162152,'Cannot be modified except by direct means',100,2,5),
(30201,36374,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(30202,101434,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(30203,101434,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(30204,10101434,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(30205,10101434,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(30206,52400,'When Equipped:',100,0,0),
(30207,52400,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(30208,52400,'When Equipped:',100,0,2),
(30209,52400,'Reduces cast time of beneficial spells by 5 percent.',100,1,3),
(30210,52400,'When Equipped:',100,0,4),
(30211,52400,'Increases caster''s chance to block by 15.0%',100,1,5),
(30212,10052400,'When Equipped:',100,0,0),
(30213,10052400,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(30214,10052400,'When Equipped:',100,0,2),
(30215,10052400,'Reduces cast time of beneficial spells by 5 percent.',100,1,3),
(30216,10052400,'When Equipped:',100,0,4),
(30217,10052400,'Increases caster''s chance to block by 15.0%',100,1,5),
(30218,112875,'Inflicts 578 - 705 melee damage on target',100,1,0),
(30219,112875,'Decreases Mitigation of target vs physical damage by 97',100,1,1),
(30220,112875,'Must be flanking or behind',100,1,2),
(30221,10112875,'Inflicts 455 - 555 melee damage on target',100,1,0),
(30222,10112875,'Decreases Mitigation of target vs physical damage by 97',100,1,1),
(30223,10112875,'Must be flanking or behind',100,1,2),
(30224,35725,'Increases Max Power of target by 108.8',100,0,0),
(30225,35725,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(30226,41239,'When Equipped:',100,0,0),
(30227,41239,'Increases WIS of caster by 50.0',100,1,1),
(30228,41239,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(30229,41239,'Increases INT, STR and AGI of caster by 50.0',100,1,3),
(30230,41239,'Increases Potency of caster by 3.5%',100,1,4),
(30231,41239,'Cannot be modified except by direct means',100,1,5),
(30232,41239,'When Equipped:',100,0,6),
(30233,41239,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(30234,41239,'Reduces resistibility of all spells by 1%.',100,2,8),
(30235,41239,'Increases Potency of caster by 11.0%',100,2,9),
(30236,41239,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,10),
(30237,41239,'Must not be engaged in pvp combat',100,2,11),
(30238,41239,'Cannot be modified except by direct means',100,2,12),
(30239,41239,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(30240,41239,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(30241,41239,'Reduces resistibility of all spells by 1%.',100,2,15),
(30242,41239,'Increases Potency of caster by 11.0%',100,2,16),
(30243,41239,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,17),
(30244,41239,'Must not be engaged in pvp combat',100,2,18),
(30245,41239,'Cannot be modified except by direct means',100,2,19),
(30246,41239,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,20),
(30247,41239,'Reduces resistibility of all spells by 1%.',100,2,21),
(30248,41239,'Increases Potency of caster by 11.0%',100,2,22),
(30249,41239,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,23),
(30250,41239,'Must not be engaged in pvp combat',100,2,24),
(30251,41239,'Cannot be modified except by direct means',100,2,25),
(30252,41239,'Cannot be modified except by direct means',100,1,26),
(30253,10041239,'When Equipped:',100,0,0),
(30254,10041239,'Increases WIS of caster by 50.0',100,1,1),
(30255,10041239,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(30256,10041239,'Increases INT, STR and AGI of caster by 50.0',100,1,3),
(30257,10041239,'Increases Potency of caster by 3.5%',100,1,4),
(30258,10041239,'Cannot be modified except by direct means',100,1,5),
(30259,10041239,'When Equipped:',100,0,6),
(30260,10041239,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(30261,10041239,'Reduces resistibility of all spells by 1%.',100,2,8),
(30262,10041239,'Increases Potency of caster by 11.0%',100,2,9),
(30263,10041239,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,10),
(30264,10041239,'Must not be engaged in pvp combat',100,2,11),
(30265,10041239,'Cannot be modified except by direct means',100,2,12),
(30266,10041239,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(30267,10041239,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(30268,10041239,'Reduces resistibility of all spells by 1%.',100,2,15),
(30269,10041239,'Increases Potency of caster by 11.0%',100,2,16),
(30270,10041239,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,17),
(30271,10041239,'Must not be engaged in pvp combat',100,2,18),
(30272,10041239,'Cannot be modified except by direct means',100,2,19),
(30273,10041239,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,20),
(30274,10041239,'Reduces resistibility of all spells by 1%.',100,2,21),
(30275,10041239,'Increases Potency of caster by 11.0%',100,2,22),
(30276,10041239,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,23),
(30277,10041239,'Must not be engaged in pvp combat',100,2,24),
(30278,10041239,'Cannot be modified except by direct means',100,2,25),
(30279,10041239,'Cannot be modified except by direct means',100,1,26),
(30280,51460,'Applies Heroic Resistance V when Equipped.',100,0,0),
(30281,51460,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(30282,51460,'Cannot be modified except by direct means',100,1,2),
(30283,10051460,'Applies Heroic Resistance V when Equipped.',100,0,0),
(30284,10051460,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(30285,10051460,'Cannot be modified except by direct means',100,1,2),
(30286,163657,'When Equipped:',100,0,0),
(30287,163657,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(30288,163657,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(30289,163657,'Inflicts 4610 - 5095 heat damage on target',100,2,3),
(30290,163657,'Must not be engaged in pvp combat',100,2,4),
(30291,163657,'Cannot be modified except by direct means',100,2,5),
(30292,163657,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(30293,163657,'Inflicts 4610 - 5095 heat damage on target',100,2,7),
(30294,163657,'Must not be engaged in pvp combat',100,2,8),
(30295,163657,'Cannot be modified except by direct means',100,2,9),
(30296,10163657,'When Equipped:',100,0,0),
(30297,10163657,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(30298,10163657,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(30299,10163657,'Inflicts 4610 - 5095 heat damage on target',100,2,3),
(30300,10163657,'Must not be engaged in pvp combat',100,2,4),
(30301,10163657,'Cannot be modified except by direct means',100,2,5),
(30302,10163657,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(30303,10163657,'Inflicts 4610 - 5095 heat damage on target',100,2,7),
(30304,10163657,'Must not be engaged in pvp combat',100,2,8),
(30305,10163657,'Cannot be modified except by direct means',100,2,9),
(30306,110311,'Increases Max Power of target by 16.2',100,1,0),
(30307,110311,'Increases Max Health of target by 31.2',100,1,1),
(30308,10110311,'Increases Max Power of target by 16.2',100,1,0),
(30309,10110311,'Increases Max Health of target by 31.2',100,1,1),
(30310,79841,'When Equipped:',100,0,0),
(30311,79841,'On a combat hit this spell may cast Crushing Wave on caster.  Triggers about 1.6 times per minute. ',100,1,1),
(30312,79841,'Heals group members for 377',100,2,2),
(30313,79841,'Cannot be modified except by direct means',100,2,3),
(30314,10079841,'When Equipped:',100,0,0),
(30315,10079841,'On a combat hit this spell may cast Crushing Wave on caster.  Triggers about 1.6 times per minute. ',100,1,1),
(30316,10079841,'Heals group members for 245',100,2,2),
(30317,10079841,'Cannot be modified except by direct means',100,2,3),
(30318,72200,'When Equipped:',100,0,0),
(30319,72200,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(30320,72200,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(30321,72200,'Cannot be modified except by direct means',100,2,3),
(30322,10072200,'When Equipped:',100,0,0),
(30323,10072200,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(30324,10072200,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(30325,10072200,'Cannot be modified except by direct means',100,2,3),
(30326,36954,'Increases INT of target by 2.4',100,0,0),
(30327,36954,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(30328,103488,'Increases In-Combat Power Regeneration of group members (AE) by 37.1',100,1,0),
(30329,10103488,'Increases In-Combat Power Regeneration of group members (AE) by 37.1',100,1,0),
(30330,42200,'When Equipped:',100,0,0),
(30331,42200,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(30332,42200,'Inflicts 2344 heat damage on target',100,2,2),
(30333,42200,'Heals caster for 2100',100,2,3),
(30334,42200,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(30335,42200,'Cannot be modified except by direct means',100,2,5),
(30336,42200,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(30337,42200,'Inflicts 2344 heat damage on target',100,2,7),
(30338,42200,'Heals caster for 2100',100,2,8),
(30339,42200,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(30340,42200,'Cannot be modified except by direct means',100,2,10),
(30341,10042200,'When Equipped:',100,0,0),
(30342,10042200,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(30343,10042200,'Inflicts 2344 heat damage on target',100,2,2),
(30344,10042200,'Heals caster for 2456',100,2,3),
(30345,10042200,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(30346,10042200,'Cannot be modified except by direct means',100,2,5),
(30347,10042200,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(30348,10042200,'Inflicts 2344 heat damage on target',100,2,7),
(30349,10042200,'Heals caster for 2456',100,2,8),
(30350,10042200,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(30351,10042200,'Cannot be modified except by direct means',100,2,10),
(30352,124150,'Inflicts 1494 disease damage on target encounter',100,1,0),
(30353,124150,'Inflicts 1166 disease damage on target encounter every 4 seconds',100,1,1),
(30354,124150,'Applies Banshee''s Scream on termination.',100,1,2),
(30355,124150,'Inflicts 3499 - 5832 disease damage on target',100,2,3),
(30356,10124150,'Inflicts 1051 disease damage on target encounter',100,1,0),
(30357,10124150,'Inflicts 919 disease damage on target encounter every 4 seconds',100,1,1),
(30358,10124150,'Applies Banshee''s Scream on termination.',100,1,2),
(30359,10124150,'Inflicts 2758 - 4597 disease damage on target',100,2,3),
(30360,25878,'When Equipped:',100,0,0),
(30361,25878,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(30362,25878,'Increases the base damage and heal of Touch of the Nightshade by 15%.',100,1,2),
(30363,10025878,'When Equipped:',100,0,0),
(30364,10025878,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(30365,10025878,'Increases the base damage and heal of Touch of the Nightshade by 15%.',100,1,2),
(30366,122127,'Interrupts target',100,1,0),
(30367,122127,'Increases Threat to target by 4,863 ',100,1,1),
(30368,122127,'Dispels 73 levels of arcane beneficial effects on target',100,1,2),
(30369,10122127,'Interrupts target',100,1,0),
(30370,10122127,'Forces target to change their selected target to caster.',100,1,1),
(30371,10122127,'Dispels 73 levels of arcane beneficial effects on target',100,1,2),
(30372,108499,'Inflicts 4268 - 4992 melee damage on target',100,1,0),
(30373,108499,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(30374,10108499,'Inflicts 2207 - 2606 melee damage on target',100,1,0),
(30375,10108499,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(30376,82304,'When Equipped:',100,0,0),
(30377,82304,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30378,82304,'Inflicts 380 - 707 magic damage on target',100,2,2),
(30379,82304,'Cannot be modified except by direct means',100,2,3),
(30380,10082304,'When Equipped:',100,0,0),
(30381,10082304,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30382,10082304,'Inflicts 380 - 707 magic damage on target',100,2,2),
(30383,10082304,'Cannot be modified except by direct means',100,2,3),
(30384,172812,'When Equipped:',100,0,0),
(30385,172812,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(30386,172812,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(30387,172812,'Increases Max Health of caster by 2,988.0',100,2,3),
(30388,172812,'Must not be engaged in pvp combat',100,2,4),
(30389,172812,'Cannot be modified except by direct means',100,2,5),
(30390,172812,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(30391,172812,'Increases Max Health of caster by 2,988.0',100,2,7),
(30392,172812,'Must not be engaged in pvp combat',100,2,8),
(30393,172812,'Cannot be modified except by direct means',100,2,9),
(30394,172812,'Cannot be modified except by direct means',100,1,10),
(30395,10172812,'When Equipped:',100,0,0),
(30396,10172812,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(30397,10172812,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(30398,10172812,'Increases Max Health of caster by 2,988.0',100,2,3),
(30399,10172812,'Must not be engaged in pvp combat',100,2,4),
(30400,10172812,'Cannot be modified except by direct means',100,2,5),
(30401,10172812,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(30402,10172812,'Increases Max Health of caster by 2,988.0',100,2,7),
(30403,10172812,'Must not be engaged in pvp combat',100,2,8),
(30404,10172812,'Cannot be modified except by direct means',100,2,9),
(30405,10172812,'Cannot be modified except by direct means',100,1,10),
(30406,80250,'When Equipped:',100,0,0),
(30407,80250,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(30408,80250,'Inflicts 333 - 619 magic damage on target',100,2,2),
(30409,80250,'Decreases Threat to target by 801 ',100,2,3),
(30410,80250,'Must be flanking or behind',100,3,4),
(30411,80250,'Increases Threat to target by 1,261 ',100,2,5),
(30412,80250,'Must be in front of',100,3,6),
(30413,80250,'Cannot be modified except by direct means',100,2,7),
(30414,10080250,'When Equipped:',100,0,0),
(30415,10080250,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(30416,10080250,'Inflicts 333 - 619 magic damage on target',100,2,2),
(30417,10080250,'Cannot be modified except by direct means',100,2,3),
(30418,46044,'Applies Elemental Remedy when Activated.',100,0,0),
(30419,46044,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(30420,46044,'Only affects targets level 50 and above',100,1,2),
(30421,10046044,'Applies Elemental Remedy when Activated.',100,0,0),
(30422,10046044,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(30423,10046044,'Only affects targets level 50 and above',100,1,2),
(30424,105788,'Inflicts 2390 - 2703 heat damage on target',100,1,0),
(30425,10105788,'Inflicts 1874 - 2203 heat damage on target',100,1,0),
(30426,105463,'Stuns target encounter',100,1,0),
(30427,105463,'If Target is not Epic',100,2,1),
(30428,105463,'Inflicts 331 - 614 poison damage on target encounter',100,1,2),
(30429,105463,'Resistibility increases against targets higher than level 37.',100,1,3),
(30430,10105463,'Stuns target encounter',100,1,0),
(30431,10105463,'If Target is not Epic',100,2,1),
(30432,10105463,'Inflicts 279 - 405 poison damage on target encounter',100,1,2),
(30433,10105463,'Resistibility increases against targets higher than level 37.',100,1,3),
(30434,111082,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(30435,111082,'Slows target by 68.8%',100,2,1),
(30436,111082,'5% chance to dispel when target receives hostile action',100,2,2),
(30437,111082,'5% chance to dispel when target takes damage',100,2,3),
(30438,111082,'Decreases Mitigation of target vs elemental damage by 2080',100,1,4),
(30439,10111082,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(30440,10111082,'Slows target by 68.8%',100,2,1),
(30441,10111082,'5% chance to dispel when target receives hostile action',100,2,2),
(30442,10111082,'5% chance to dispel when target takes damage',100,2,3),
(30443,10111082,'Decreases Mitigation of target vs elemental damage by 2080',100,1,4),
(30444,102627,'Inflicts 303 - 563 heat damage on target',100,1,0),
(30445,102627,'Inflicts 51 - 94 heat damage on target every 2 seconds',100,1,1),
(30446,10102627,'Inflicts 274 - 510 heat damage on target',100,1,0),
(30447,10102627,'Inflicts 40 - 74 heat damage on target every 2 seconds',100,1,1),
(30448,107863,'Decreases Mitigation of target vs elemental damage by 969',100,1,0),
(30449,107863,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(30450,107863,'Slows target by 38.2%',100,2,2),
(30451,107863,'5% chance to dispel when target receives hostile action',100,2,3),
(30452,107863,'5% chance to dispel when target takes damage',100,2,4),
(30453,10107863,'Decreases Mitigation of target vs elemental damage by 969',100,1,0),
(30454,10107863,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(30455,10107863,'Slows target by 38.2%',100,2,2),
(30456,10107863,'5% chance to dispel when target receives hostile action',100,2,3),
(30457,10107863,'5% chance to dispel when target takes damage',100,2,4),
(30458,123886,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(30459,123886,'Slows target by 36.5%',100,2,1),
(30460,123886,'5% chance to dispel when target receives hostile action',100,2,2),
(30461,123886,'5% chance to dispel when target takes damage',100,2,3),
(30462,123886,'Decreases Mitigation of target vs elemental and noxious damage by 190',100,1,4),
(30463,10123886,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(30464,10123886,'Slows target by 36.5%',100,2,1),
(30465,10123886,'5% chance to dispel when target receives hostile action',100,2,2),
(30466,10123886,'5% chance to dispel when target takes damage',100,2,3),
(30467,10123886,'Decreases Mitigation of target vs elemental and noxious damage by 190',100,1,4),
(30468,104005,'Stifles target',100,1,0),
(30469,104005,'If Target is not Epic',100,2,1),
(30470,104005,'Interrupts target',100,1,2),
(30471,104005,'Decreases Threat to target by 151 - 185 ',100,1,3),
(30472,104005,'Resistibility increases against targets higher than level 39.',100,1,4),
(30473,10104005,'Stifles target',100,1,0),
(30474,10104005,'If Target is not Epic',100,2,1),
(30475,10104005,'Interrupts target',100,1,2),
(30476,10104005,'Resistibility increases against targets higher than level 39.',100,1,3),
(30477,75926,'When Equipped:',100,0,0),
(30478,75926,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Spirit on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(30479,75926,'Reduces elemental, noxious and arcane damage done to group members (AE) by 5%',100,2,2),
(30480,75926,'Improves the value of healing and ward spells by 8%.',100,2,3),
(30481,75926,'Cannot be modified except by direct means',100,2,4),
(30482,75926,'Cannot be modified except by direct means',100,1,5),
(30483,75926,'Applies Nightmares when Activated.  Lasts for 24.0 seconds.',100,0,6),
(30484,75926,'Inflicts 701 - 857 disease damage on target encounter instantly and every 4 seconds',100,1,7),
(30485,75926,'Heals group members (AE) for 582 - 712 instantly and every 4 seconds',100,1,8),
(30486,75926,'The casting time of Nightmares is 1.98 seconds and the reuse time of the spell is 41.44 seconds',100,1,9),
(30487,75926,'When Equipped:',100,0,10),
(30488,75926,'Adds additional healing to Ancient Shroud VII and Carrion Warding VI',100,1,11),
(30489,10075926,'When Equipped:',100,0,0),
(30490,10075926,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Spirit on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(30491,10075926,'Reduces elemental, noxious and arcane damage done to group members (AE) by 5%',100,2,2),
(30492,10075926,'Improves the value of healing and ward spells by 8%.',100,2,3),
(30493,10075926,'Cannot be modified except by direct means',100,2,4),
(30494,10075926,'Cannot be modified except by direct means',100,1,5),
(30495,10075926,'Applies Nightmares when Activated.  Lasts for 24.0 seconds.',100,0,6),
(30496,10075926,'Inflicts 701 - 857 disease damage on target encounter instantly and every 4 seconds',100,1,7),
(30497,10075926,'Heals group members (AE) for 379 - 463 instantly and every 4 seconds',100,1,8),
(30498,10075926,'The casting time of Nightmares is 1.98 seconds and the reuse time of the spell is 41.44 seconds',100,1,9),
(30499,10075926,'When Equipped:',100,0,10),
(30500,10075926,'Adds additional healing to Ancient Shroud VII and Carrion Warding VI',100,1,11),
(30501,82008,'When Equipped:',100,0,0),
(30502,82008,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30503,82008,'Inflicts 245 - 454 magic damage on target',100,2,2),
(30504,82008,'Cannot be modified except by direct means',100,2,3),
(30505,10082008,'When Equipped:',100,0,0),
(30506,10082008,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30507,10082008,'Inflicts 245 - 454 magic damage on target',100,2,2),
(30508,10082008,'Cannot be modified except by direct means',100,2,3),
(30509,159180,'Applies Lambent Imbued when Equipped.',100,0,0),
(30510,159180,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30511,159180,'Heals target for 70 instantly and every 4 seconds',100,2,2),
(30512,159180,'Cannot be modified except by direct means',100,2,3),
(30513,10159180,'Applies Lambent Imbued when Equipped.',100,0,0),
(30514,10159180,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30515,10159180,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(30516,10159180,'Cannot be modified except by direct means',100,2,3),
(30517,51407,'When Equipped:',100,0,0),
(30518,51407,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(30519,51407,'Inflicts 1192 heat damage on target',100,2,2),
(30520,51407,'Cannot be modified except by direct means',100,2,3),
(30521,10051407,'When Equipped:',100,0,0),
(30522,10051407,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(30523,10051407,'Inflicts 596 heat damage on target',100,2,2),
(30524,10051407,'Cannot be modified except by direct means',100,2,3),
(30525,109653,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(30526,109653,'Inflicts 220 - 409 poison damage on target encounter',100,2,1),
(30527,10109653,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(30528,10109653,'Inflicts 174 - 322 poison damage on target encounter',100,2,1),
(30529,113572,'Mesmerizes target',100,1,0),
(30530,113572,'Prevents AOE (except when direct) ',100,1,1),
(30531,113572,'Dispelled when target takes damage',100,1,2),
(30532,113572,'Does not affect Epic targets',100,1,3),
(30533,113572,'Resistibility increases against targets higher than level 79.',100,1,4),
(30534,10113572,'Mesmerizes target',100,1,0),
(30535,10113572,'Prevents AOE (except when direct) ',100,1,1),
(30536,10113572,'Dispelled when target takes damage',100,1,2),
(30537,10113572,'Does not affect Epic targets',100,1,3),
(30538,10113572,'Resistibility increases against targets higher than level 79.',100,1,4),
(30539,159824,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(30540,159824,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30541,159824,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(30542,159824,'Cannot be modified except by direct means',100,2,3),
(30543,10159824,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(30544,10159824,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30545,10159824,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(30546,10159824,'Cannot be modified except by direct means',100,2,3),
(30547,47036,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(30548,47036,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(30549,47036,'Decreases INT and WIS of target by 4.6',100,2,2),
(30550,47036,'Cannot be modified except by direct means',100,2,3),
(30551,47036,'Grants a total of 30 triggers of the spell.',100,2,4),
(30552,10047036,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(30553,10047036,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(30554,10047036,'Decreases INT and WIS of target by 4.6',100,2,2),
(30555,10047036,'Cannot be modified except by direct means',100,2,3),
(30556,10047036,'Grants a total of 30 triggers of the spell.',100,2,4),
(30557,114332,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(30558,114332,'Increases target''s chance to block by 15.0%',100,130,1),
(30559,114332,'Dispels 34 levels of noxious hostile effects on target',100,1,2),
(30560,114332,'Heals target for 37.6 - 40.4% of max health',100,1,3),
(30561,114332,'This effect cannot be critically applied.',100,2,4),
(30562,114332,'The healing of this spell cannot be modified except by direct means',100,1,5),
(30563,10114332,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(30564,10114332,'Increases target''s chance to block by 15.0%',100,130,1),
(30565,10114332,'Dispels 34 levels of noxious hostile effects on target',100,1,2),
(30566,10114332,'Heals target for 21.3 - 22.4% of max health',100,1,3),
(30567,10114332,'This effect cannot be critically applied.',100,2,4),
(30568,10114332,'The healing of this spell cannot be modified except by direct means',100,1,5),
(30569,48251,'Applies Call Steed of the Death Lord when Activated.',100,0,0),
(30570,48251,'Summons a mount to ride',100,1,1),
(30571,48251,'Increases your ground speed by 130%',100,2,2),
(30572,48251,'Increases Disruption, Aggression, Ordination, Ministration, Subjugation, Focus, Slashing, Piercing, Ranged and Crushing of caster by 5.0',100,1,3),
(30573,10048251,'Applies Call Steed of the Death Lord when Activated.',100,0,0),
(30574,10048251,'Summons a mount to ride',100,1,1),
(30575,10048251,'Increases your ground speed by 130%',100,2,2),
(30576,10048251,'Increases Disruption, Aggression, Ordination, Ministration, Subjugation, Focus, Slashing, Piercing, Ranged and Crushing of caster by 5.0',100,1,3),
(30577,74546,'Applies Fire Ball when Activated.',100,0,0),
(30578,74546,'Inflicts 339 - 565 heat damage on target',100,1,1),
(30579,74546,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(30580,10074546,'Applies Fire Ball when Activated.',100,0,0),
(30581,10074546,'Inflicts 339 - 565 heat damage on target',100,1,1),
(30582,10074546,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(30583,116656,'Heals group members (AE) for 495 - 604',100,1,0),
(30584,10116656,'Heals group members (AE) for 263 - 322',100,1,0),
(30585,100884,'Makes target afraid',100,1,0),
(30586,100884,'30% chance to dispel when target takes damage',100,1,1),
(30587,100884,'Does not affect Epic targets',100,1,2),
(30588,100884,'Resistibility increases against targets higher than level 106.',100,1,3),
(30589,10100884,'Makes target afraid',100,1,0),
(30590,10100884,'30% chance to dispel when target takes damage',100,1,1),
(30591,10100884,'Does not affect Epic targets',100,1,2),
(30592,10100884,'Resistibility increases against targets higher than level 106.',100,1,3),
(30593,117376,'Increases Threat to target by 618 ',100,1,0),
(30594,117376,'Inflicts 89 - 265 melee damage on target',100,1,1),
(30595,10117376,'Forces target to change their selected target to caster.',100,1,0),
(30596,10117376,'Inflicts 47 - 139 melee damage on target',100,1,1),
(30597,47114,'Applies Murky Arcane Remedy when Activated.',100,0,0),
(30598,47114,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(30599,47114,'Only affects targets level 50 and above',100,1,2),
(30600,10047114,'Applies Murky Arcane Remedy when Activated.',100,0,0),
(30601,10047114,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(30602,10047114,'Only affects targets level 50 and above',100,1,2),
(30603,105674,'Decreases Damage Per Second of target by 21.7',100,1,0),
(30604,105674,'Inflicts 1824 - 2999 melee damage on target',100,1,1),
(30605,105674,'Must be flanking or behind',100,1,2),
(30606,10105674,'Decreases Damage Per Second of target by 21.7',100,1,0),
(30607,10105674,'Inflicts 1353 - 1984 melee damage on target',100,1,1),
(30608,10105674,'Must be flanking or behind',100,1,2),
(30609,114853,'Decreases AGI of target by 19.1',100,1,0),
(30610,114853,'Decreases Defense of target by 7.3',100,1,1),
(30611,10114853,'Decreases AGI of target by 19.1',100,1,0),
(30612,10114853,'Decreases Defense of target by 7.3',100,1,1),
(30613,48304,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(30614,48304,'Increases Max Power of caster by 82.5',100,1,1),
(30615,10048304,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(30616,10048304,'Increases Max Power of caster by 82.5',100,1,1),
(30617,48669,'Applies Brenthalion''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(30618,48669,'Increases STA and STR of caster by 23.0',100,1,1),
(30619,10048669,'Applies Brenthalion''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(30620,10048669,'Increases STA and STR of caster by 23.0',100,1,1),
(30621,37097,'Increases STR of target by 6.2',100,0,0),
(30622,37097,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(30623,48527,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(30624,48527,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(30625,48527,'Inflicts 579 poison damage on target',100,2,2),
(30626,48527,'Inflicts 170 poison damage on target instantly and every 6 seconds',100,2,3),
(30627,48527,'Cannot be modified except by direct means',100,2,4),
(30628,48527,'Grants a total of 200 triggers of the spell.',100,2,5),
(30629,10048527,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(30630,10048527,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(30631,10048527,'Inflicts 434 poison damage on target',100,2,2),
(30632,10048527,'Inflicts 127 poison damage on target instantly and every 6 seconds',100,2,3),
(30633,10048527,'Cannot be modified except by direct means',100,2,4),
(30634,10048527,'Grants a total of 200 triggers of the spell.',100,2,5),
(30635,107773,'Stuns target',100,1,0),
(30636,107773,'If Target is not Epic',100,2,1),
(30637,107773,'Inflicts 6199 - 9676 cold damage on target',100,1,2),
(30638,107773,'Resistibility increases against targets higher than level 111.',100,1,3),
(30639,10107773,'Stuns target',100,1,0),
(30640,10107773,'If Target is not Epic',100,2,1),
(30641,10107773,'Inflicts 4506 - 7247 cold damage on target',100,1,2),
(30642,10107773,'Resistibility increases against targets higher than level 111.',100,1,3),
(30643,121682,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(30644,121682,'Inflicts 144 - 176 heat damage on target instantly and every second',100,2,1),
(30645,10121682,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(30646,10121682,'Inflicts 114 - 139 heat damage on target instantly and every second',100,2,1),
(30647,101333,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(30648,101333,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 168',100,1,1),
(30649,101333,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,2),
(30650,10101333,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(30651,10101333,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 168',100,1,1),
(30652,10101333,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,2),
(30653,102158,'Inflicts 2101 - 2838 melee damage on target',100,1,0),
(30654,102158,'Inflicts 1119 - 1855 melee damage on target',100,1,1),
(30655,10102158,'Inflicts 1276 - 1857 melee damage on target',100,1,0),
(30656,10102158,'Inflicts 881 - 1462 melee damage on target',100,1,1),
(30657,122038,'Increases Threat to target by 1,368 - 1,672 ',100,1,0),
(30658,122038,'Inflicts 173 - 287 melee damage on target',100,1,1),
(30659,10122038,'Forces target to change their selected target to caster.',100,1,0),
(30660,10122038,'Inflicts 136 - 226 melee damage on target',100,1,1),
(30661,175344,'When Equipped:',100,0,0),
(30662,175344,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(30663,175344,'Inflicts 815 crushing damage on target',100,2,2),
(30664,175344,'Increases Threat to target by 1,710 ',100,2,3),
(30665,175344,'Must not be engaged in pvp combat',100,2,4),
(30666,175344,'Cannot be modified except by direct means',100,2,5),
(30667,175344,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,6),
(30668,175344,'Inflicts 815 crushing damage on target',100,2,7),
(30669,175344,'Increases Threat to target by 1,710 ',100,2,8),
(30670,175344,'Must not be engaged in pvp combat',100,2,9),
(30671,175344,'Cannot be modified except by direct means',100,2,10),
(30672,10175344,'When Equipped:',100,0,0),
(30673,10175344,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(30674,10175344,'Inflicts 815 crushing damage on target',100,2,2),
(30675,10175344,'Must not be engaged in pvp combat',100,2,3),
(30676,10175344,'Cannot be modified except by direct means',100,2,4),
(30677,10175344,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,5),
(30678,10175344,'Inflicts 815 crushing damage on target',100,2,6),
(30679,10175344,'Must not be engaged in pvp combat',100,2,7),
(30680,10175344,'Cannot be modified except by direct means',100,2,8),
(30681,113688,'Stuns target',100,1,0),
(30682,113688,'If Target is not Epic',100,2,1),
(30683,113688,'Inflicts 3387 - 4991 heat damage on target',100,1,2),
(30684,113688,'Resistibility increases against targets higher than level 73.',100,1,3),
(30685,10113688,'Stuns target',100,1,0),
(30686,10113688,'If Target is not Epic',100,2,1),
(30687,10113688,'Inflicts 2290 - 3554 heat damage on target',100,1,2),
(30688,10113688,'Resistibility increases against targets higher than level 73.',100,1,3),
(30689,112687,'Increases Parry of group members (AE) by 25.6',100,1,0),
(30690,10112687,'Increases Parry of group members (AE) by 25.6',100,1,0),
(30691,27434,'When Equipped:',100,0,0),
(30692,27434,'Increases all disease damage by up to 10.',100,1,1),
(30693,10027434,'When Equipped:',100,0,0),
(30694,10027434,'Increases all disease damage by up to 10.',100,1,1),
(30695,47422,'When Equipped:',100,0,0),
(30696,47422,'Increases success chance by 1.1%',100,1,1),
(30697,10047422,'When Equipped:',100,0,0),
(30698,10047422,'Increases success chance by 1.1%',100,1,1),
(30699,45483,'Applies Call Cavalry Pinto when Activated.',100,0,0),
(30700,45483,'Increases Slashing and Piercing of caster by 7.0',100,1,1),
(30701,45483,'Summons a mount to ride',100,1,2),
(30702,45483,'Increases your ground speed by 130%',100,2,3),
(30703,45483,'Increases Crushing, Ranged and Focus of caster by 7.0',100,1,4),
(30704,10045483,'Applies Call Cavalry Pinto when Activated.',100,0,0),
(30705,10045483,'Increases Slashing and Piercing of caster by 7.0',100,1,1),
(30706,10045483,'Summons a mount to ride',100,1,2),
(30707,10045483,'Increases your ground speed by 130%',100,2,3),
(30708,10045483,'Increases Crushing, Ranged and Focus of caster by 7.0',100,1,4),
(30709,153189,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(30710,153189,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30711,153189,'Heals target for 63 instantly and every 4 seconds',100,2,2),
(30712,153189,'Cannot be modified except by direct means',100,2,3),
(30713,10153189,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(30714,10153189,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30715,10153189,'Heals target for 41 instantly and every 4 seconds',100,2,2),
(30716,10153189,'Cannot be modified except by direct means',100,2,3),
(30717,183525,'When Equipped:',100,0,0),
(30718,183525,'Increases range and duration of all spells by 5%.',100,1,1),
(30719,183525,'Reduces resistibility of all spells by 5%.',100,1,2),
(30720,183525,'Increases casting speed and reduces reuse time of all spells by 3%.',100,1,3),
(30721,10183525,'When Equipped:',100,0,0),
(30722,10183525,'Increases range and duration of all spells by 5%.',100,1,1),
(30723,10183525,'Reduces resistibility of all spells by 5%.',100,1,2),
(30724,10183525,'Increases casting speed and reduces reuse time of all spells by 3%.',100,1,3),
(30725,81263,'When Equipped:',100,0,0),
(30726,81263,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(30727,81263,'Inflicts 387 - 719 magic damage on target',100,2,2),
(30728,81263,'Decreases Threat to target by 949 ',100,2,3),
(30729,81263,'Must be flanking or behind',100,3,4),
(30730,81263,'Increases Threat to target by 1,409 ',100,2,5),
(30731,81263,'Must be in front of',100,3,6),
(30732,81263,'Cannot be modified except by direct means',100,2,7),
(30733,10081263,'When Equipped:',100,0,0),
(30734,10081263,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(30735,10081263,'Inflicts 387 - 719 magic damage on target',100,2,2),
(30736,10081263,'Cannot be modified except by direct means',100,2,3),
(30737,103475,'Increases In-Combat Power Regeneration of group members (AE) by 11.9',100,1,0),
(30738,10103475,'Increases In-Combat Power Regeneration of group members (AE) by 11.9',100,1,0),
(30739,105687,'Decreases Attack Speed of target encounter by 15.6',100,1,0),
(30740,105687,'Slows target encounter by 21.6%',100,1,1),
(30741,10105687,'Decreases Attack Speed of target encounter by 15.6',100,1,0),
(30742,10105687,'Slows target encounter by 21.6%',100,1,1),
(30743,143835,'When Equipped:',100,0,0),
(30744,143835,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(30745,143835,'Inflicts 1192 disease damage on target encounter',100,2,2),
(30746,143835,'Must not be engaged in pvp combat',100,2,3),
(30747,143835,'Cannot be modified except by direct means',100,2,4),
(30748,10143835,'When Equipped:',100,0,0),
(30749,10143835,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(30750,10143835,'Inflicts 596 disease damage on target encounter',100,2,2),
(30751,10143835,'Must not be engaged in pvp combat',100,2,3),
(30752,10143835,'Cannot be modified except by direct means',100,2,4),
(30753,112560,'Interrupts target',50,1,0),
(30754,112560,'Inflicts 2956 - 3394 divine damage on target',100,1,1),
(30755,10112560,'Interrupts target',50,1,0),
(30756,10112560,'Inflicts 2394 - 2839 divine damage on target',100,1,1),
(30757,121811,'Heals group members (AE) for 302 - 369',100,1,0),
(30758,121811,'Heals group members (AE) for 38 - 47 every second',100,1,1),
(30759,10121811,'Heals group members (AE) for 165 - 202',100,1,0),
(30760,10121811,'Heals group members (AE) for 20 - 24 every second',100,1,1),
(30761,88108,'When Equipped:',100,0,0),
(30762,88108,'On a combat hit this spell may cast Hollow Bludgeon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30763,88108,'Inflicts 334 - 500 divine damage on target',100,2,2),
(30764,88108,'Cannot be modified except by direct means',100,2,3),
(30765,10088108,'When Equipped:',100,0,0),
(30766,10088108,'On a combat hit this spell may cast Hollow Bludgeon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30767,10088108,'Inflicts 334 - 500 divine damage on target',100,2,2),
(30768,10088108,'Cannot be modified except by direct means',100,2,3),
(30769,47732,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(30770,47732,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 19.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(30771,47732,'Slows target by 30.8%',100,2,2),
(30772,47732,'Cannot be modified except by direct means',100,2,3),
(30773,47732,'Grants a total of 60 triggers of the spell.',100,2,4),
(30774,10047732,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(30775,10047732,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(30776,10047732,'Slows target by 30.8%',100,2,2),
(30777,10047732,'Cannot be modified except by direct means',100,2,3),
(30778,10047732,'Grants a total of 60 triggers of the spell.',100,2,4),
(30779,102870,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(30780,102870,'Stuns target',100,2,1),
(30781,102870,'Throws target back',100,2,2),
(30782,102870,'Blurs vision of target',100,2,3),
(30783,102870,'Does not affect Epic targets',100,2,4),
(30784,102870,'Inflicts 2876 - 7859 melee damage on targets in area',100,1,5),
(30785,10102870,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(30786,10102870,'Stuns target',100,2,1),
(30787,10102870,'Throws target back',100,2,2),
(30788,10102870,'Blurs vision of target',100,2,3),
(30789,10102870,'Does not affect Epic targets',100,2,4),
(30790,10102870,'Inflicts 2184 - 6198 melee damage on targets in area',100,1,5),
(30791,119625,'Inflicts 6909 - 11297 mental damage on targets in Area of Effect',100,1,0),
(30792,119625,'Stuns targets in Area of Effect',100,1,1),
(30793,119625,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(30794,119625,'Resistibility increases against targets higher than level 119.',100,1,3),
(30795,10119625,'Inflicts 5319 - 8777 mental damage on targets in Area of Effect',100,1,0),
(30796,10119625,'Stuns targets in Area of Effect',100,1,1),
(30797,10119625,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(30798,10119625,'Resistibility increases against targets higher than level 119.',100,1,3),
(30799,27485,'When Equipped:',100,0,0),
(30800,27485,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(30801,27485,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,2),
(30802,10027485,'When Equipped:',100,0,0),
(30803,10027485,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(30804,10027485,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,2),
(30805,104369,'Summons a pet bouncing baby panda cub',100,1,0),
(30806,10104369,'Summons a pet bouncing baby panda cub',100,1,0),
(30807,177607,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(30808,177607,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30809,177607,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(30810,177607,'Cannot be modified except by direct means',100,2,3),
(30811,10177607,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(30812,10177607,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(30813,10177607,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(30814,10177607,'Cannot be modified except by direct means',100,2,3),
(30815,123876,'Increases AGI of caster by 91.1',100,1,0),
(30816,123876,'Adds 18.7% to base avoidance.',100,1,1),
(30817,123876,'Increases Damage Per Second of caster by 66.4',100,1,2),
(30818,123876,'Increases Mitigation of caster vs physical damage by 748',100,1,3),
(30819,123876,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,4),
(30820,10123876,'Increases AGI of caster by 91.1',100,1,0),
(30821,10123876,'Adds 18.7% to base avoidance.',100,1,1),
(30822,10123876,'Increases Damage Per Second of caster by 66.4',100,1,2),
(30823,10123876,'Increases Mitigation of caster vs physical damage by 748',100,1,3),
(30824,10123876,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,4),
(30825,144168,'When Equipped:',100,0,0),
(30826,144168,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(30827,144168,'When Equipped:',100,0,2),
(30828,144168,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(30829,10144168,'When Equipped:',100,0,0),
(30830,10144168,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(30831,10144168,'When Equipped:',100,0,2),
(30832,10144168,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(30833,120310,'Increases Threat to target by 1,126 - 1,376 ',100,1,0),
(30834,10120310,'Forces target to change their selected target to caster.',100,1,0),
(30835,10120310,'Prevents target from changing targets',100,1,1),
(30836,109569,'Makes target afraid',100,1,0),
(30837,109569,'30% chance to dispel when target takes damage',100,1,1),
(30838,109569,'Does not affect Epic targets',100,1,2),
(30839,109569,'Resistibility increases against targets higher than level 69.',100,1,3),
(30840,10109569,'Makes target afraid',100,1,0),
(30841,10109569,'30% chance to dispel when target takes damage',100,1,1),
(30842,10109569,'Does not affect Epic targets',100,1,2),
(30843,10109569,'Resistibility increases against targets higher than level 69.',100,1,3),
(30844,158401,'When Equipped:',100,0,0),
(30845,158401,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(30846,158401,'Heals group members (AE) for 645',100,2,2),
(30847,158401,'Cannot be modified except by direct means',100,2,3),
(30848,158401,'Cannot be modified except by direct means',100,1,4),
(30849,10158401,'When Equipped:',100,0,0),
(30850,10158401,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(30851,10158401,'Heals group members (AE) for 419',100,2,2),
(30852,10158401,'Cannot be modified except by direct means',100,2,3),
(30853,10158401,'Cannot be modified except by direct means',100,1,4),
(30854,116182,'Inflicts 835 - 1392 mental damage on target',100,1,0),
(30855,10116182,'Inflicts 717 - 1126 mental damage on target',100,1,0),
(30856,117344,'Roots target',100,1,0),
(30857,117344,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(30858,117344,'Slows target by 59.1%',100,2,2),
(30859,117344,'5% chance to dispel when target receives hostile action',100,2,3),
(30860,117344,'5% chance to dispel when target takes damage',100,2,4),
(30861,117344,'15% chance to dispel when target takes damage',100,1,5),
(30862,117344,'Does not affect Epic targets',100,1,6),
(30863,117344,'Resistibility increases against targets higher than level 90.',100,1,7),
(30864,10117344,'Roots target',100,1,0),
(30865,10117344,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(30866,10117344,'Slows target by 59.1%',100,2,2),
(30867,10117344,'10% chance to dispel when target receives hostile action',100,2,3),
(30868,10117344,'10% chance to dispel when target takes damage',100,2,4),
(30869,10117344,'15% chance to dispel when target takes damage',100,1,5),
(30870,10117344,'Does not affect Epic targets',100,1,6),
(30871,10117344,'Resistibility increases against targets higher than level 90.',100,1,7),
(30872,47839,'Applies Romiak''s Renewal when Activated.',100,0,0),
(30873,47839,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(30874,10047839,'Applies Romiak''s Renewal when Activated.',100,0,0),
(30875,10047839,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(30876,136462,'When Equipped:',100,0,0),
(30877,136462,'When damaged with a melee weapon this spell has a 4% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(30878,136462,'Mesmerizes target',100,2,2),
(30879,136462,'Dispelled when target takes damage',100,2,3),
(30880,136462,'Only affects targets level 98 and below',100,2,4),
(30881,136462,'Does not affect Epic targets',100,2,5),
(30882,136462,'Resistibility increases against targets higher than level 112.',100,2,6),
(30883,136462,'Cannot be modified except by direct means',100,2,7),
(30884,10136462,'When Equipped:',100,0,0),
(30885,10136462,'When damaged with a melee weapon this spell has a 4% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(30886,10136462,'Mesmerizes target',100,2,2),
(30887,10136462,'Dispelled when target takes damage',100,2,3),
(30888,10136462,'Only affects targets level 98 and below',100,2,4),
(30889,10136462,'Does not affect Epic targets',100,2,5),
(30890,10136462,'Resistibility increases against targets higher than level 112.',100,2,6),
(30891,10136462,'Cannot be modified except by direct means',100,2,7),
(30892,121492,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(30893,121492,'Increases Attack Speed of caster by 21.0',100,130,1),
(30894,121492,'Increases Ranged, Piercing, Crushing and Slashing of caster by 23.4',100,130,2),
(30895,121492,'Inflicts 3309 - 4840 melee damage on target',100,1,3),
(30896,121492,'Decreases Defense of target by 9.4',100,1,4),
(30897,10121492,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(30898,10121492,'Increases Attack Speed of caster by 21.0',100,130,1),
(30899,10121492,'Increases Ranged, Piercing, Crushing and Slashing of caster by 23.4',100,130,2),
(30900,10121492,'Inflicts 2253 - 3476 melee damage on target',100,1,3),
(30901,10121492,'Decreases Defense of target by 9.4',100,1,4),
(30902,81894,'When Equipped:',100,0,0),
(30903,81894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30904,81894,'Inflicts 189 - 352 magic damage on target',100,2,2),
(30905,81894,'Cannot be modified except by direct means',100,2,3),
(30906,10081894,'When Equipped:',100,0,0),
(30907,10081894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30908,10081894,'Inflicts 189 - 352 magic damage on target',100,2,2),
(30909,10081894,'Cannot be modified except by direct means',100,2,3),
(30910,35078,'Increases STR of target by 12.7',100,0,0),
(30911,35078,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(30912,117561,'Inflicts 26724 - 39595 heat damage on target',100,1,0),
(30913,10117561,'Inflicts 12937 - 19208 heat damage on target',100,1,0),
(30914,80274,'When Equipped:',100,0,0),
(30915,80274,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30916,80274,'Inflicts 333 - 619 magic damage on target',100,2,2),
(30917,80274,'Cannot be modified except by direct means',100,2,3),
(30918,10080274,'When Equipped:',100,0,0),
(30919,10080274,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30920,10080274,'Inflicts 333 - 619 magic damage on target',100,2,2),
(30921,10080274,'Cannot be modified except by direct means',100,2,3),
(30922,103311,'Applies Migraine on termination.',100,1,0),
(30923,103311,'Inflicts 285 - 385 mental damage on target',100,2,1),
(30924,103311,'Inflicts 392 - 479 mental damage on target',100,1,2),
(30925,103311,'Inflicts 112 - 137 mental damage on target every 6 seconds',100,1,3),
(30926,10103311,'Applies Migraine on termination.',100,1,0),
(30927,10103311,'Inflicts 233 - 315 mental damage on target',100,2,1),
(30928,10103311,'Inflicts 368 - 450 mental damage on target',100,1,2),
(30929,10103311,'Inflicts 88 - 108 mental damage on target every 6 seconds',100,1,3),
(30930,120441,'Inflicts 2050 - 2754 melee damage on target',100,1,0),
(30931,120441,'Inflicts 1068 - 1771 melee damage on target',100,1,1),
(30932,10120441,'Inflicts 1236 - 1791 melee damage on target',100,1,0),
(30933,10120441,'Inflicts 842 - 1396 melee damage on target',100,1,1),
(30934,116152,'When damaged this spell has a 10% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',100,1,0),
(30935,116152,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(30936,10116152,'When damaged this spell has a 10% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',100,1,0),
(30937,10116152,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(30938,122132,'Interrupts target',100,1,0),
(30939,122132,'Increases Threat to target by 4,818 ',100,1,1),
(30940,122132,'Dispels 66 levels of arcane beneficial effects on target',100,1,2),
(30941,10122132,'Interrupts target',100,1,0),
(30942,10122132,'Forces target to change their selected target to caster.',100,1,1),
(30943,10122132,'Dispels 66 levels of arcane beneficial effects on target',100,1,2),
(30944,50847,'When Equipped:',100,0,0),
(30945,50847,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(30946,10050847,'When Equipped:',100,0,0),
(30947,10050847,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(30948,101878,'Heals target for 2735 - 3124',100,1,0),
(30949,101878,'If over 50% Health',100,2,1),
(30950,101878,'Heals target for 4487 - 5266',100,1,2),
(30951,101878,'If at 50% Health or less',100,2,3),
(30952,10101878,'Heals target for 1154 - 1354',100,1,0),
(30953,10101878,'If over 50% Health',100,2,1),
(30954,10101878,'Heals target for 3399 - 4097',100,1,2),
(30955,10101878,'If at 50% Health or less',100,2,3),
(30956,120313,'Increases Threat to target by 1,238 - 1,514 ',100,1,0),
(30957,10120313,'Forces target to change their selected target to caster.',100,1,0),
(30958,10120313,'Prevents target from changing targets',100,1,1),
(30959,123911,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(30960,123911,'Slows target by 69.1%',100,2,1),
(30961,123911,'5% chance to dispel when target receives hostile action',100,2,2),
(30962,123911,'5% chance to dispel when target takes damage',100,2,3),
(30963,123911,'Decreases Mitigation of target vs elemental and noxious damage by 1056',100,1,4),
(30964,10123911,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(30965,10123911,'Slows target by 69.1%',100,2,1),
(30966,10123911,'5% chance to dispel when target receives hostile action',100,2,2),
(30967,10123911,'5% chance to dispel when target takes damage',100,2,3),
(30968,10123911,'Decreases Mitigation of target vs elemental and noxious damage by 1056',100,1,4),
(30969,45354,'Applies Blessed Tonic Water when Activated.',100,0,0),
(30970,45354,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(30971,10045354,'Applies Blessed Tonic Water when Activated.',100,0,0),
(30972,10045354,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(30973,71047,'When Equipped:',100,0,0),
(30974,71047,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30975,71047,'Inflicts 87 - 107 poison damage on target',100,2,2),
(30976,71047,'Cannot be modified except by direct means',100,2,3),
(30977,10071047,'When Equipped:',100,0,0),
(30978,10071047,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(30979,10071047,'Inflicts 87 - 107 poison damage on target',100,2,2),
(30980,10071047,'Cannot be modified except by direct means',100,2,3),
(30981,120376,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(30982,120376,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(30983,120376,'Inflicts 61 - 101 heat damage on target',100,2,2),
(30984,120376,'Decreases Defense of caster by 1.8',100,1,3),
(30985,120376,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.9',100,1,4),
(30986,10120376,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(30987,10120376,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(30988,10120376,'Inflicts 48 - 80 heat damage on target',100,2,2),
(30989,10120376,'Decreases Defense of caster by 1.8',100,1,3),
(30990,10120376,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.9',100,1,4),
(30991,107781,'Increases Threat to target encounter by 370 - 453 ',100,1,0),
(30992,10107781,'Prevents target encounter from changing targets',100,1,0),
(30993,10107781,'Forces target encounter to change their selected target to caster.',100,1,1),
(30994,112554,'Interrupts target',50,1,0),
(30995,112554,'Inflicts 2312 - 2826 divine damage on target',100,1,1),
(30996,10112554,'Interrupts target',50,1,0),
(30997,10112554,'Inflicts 1957 - 2304 divine damage on target',100,1,1),
(30998,118750,'Increases INT and WIS of group members (AE) by 20.2',100,1,0),
(30999,118750,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 60',100,1,1),
(31000,10118750,'Increases INT and WIS of group members (AE) by 20.2',100,1,0),
(31001,10118750,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 60',100,1,1),
(31002,115088,'Heals target for 2480 - 2813',100,1,0),
(31003,115088,'Heals target for 193 - 235 every second',100,1,1),
(31004,10115088,'Heals target for 2449 - 2936',100,1,0),
(31005,10115088,'Heals target for 164 - 201 every second',100,1,1),
(31006,72286,'When Equipped:',100,0,0),
(31007,72286,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31008,72286,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(31009,72286,'Cannot be modified except by direct means',100,2,3),
(31010,10072286,'When Equipped:',100,0,0),
(31011,10072286,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31012,10072286,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(31013,10072286,'Cannot be modified except by direct means',100,2,3),
(31014,84249,'Applies Mental Blast when Activated.',100,0,0),
(31015,84249,'Inflicts 243 - 405 mental damage on target',100,1,1),
(31016,84249,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(31017,10084249,'Applies Mental Blast when Activated.',100,0,0),
(31018,10084249,'Inflicts 243 - 405 mental damage on target',100,1,1),
(31019,10084249,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(31020,80049,'Applies Fire Ball when Activated.',100,0,0),
(31021,80049,'Inflicts 339 - 565 heat damage on target',100,1,1),
(31022,80049,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(31023,10080049,'Applies Fire Ball when Activated.',100,0,0),
(31024,10080049,'Inflicts 339 - 565 heat damage on target',100,1,1),
(31025,10080049,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(31026,80365,'When Equipped:',100,0,0),
(31027,80365,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(31028,80365,'Inflicts 90 - 168 magic damage on target',100,2,2),
(31029,80365,'Decreases Threat to target by 153 ',100,2,3),
(31030,80365,'Must be flanking or behind',100,3,4),
(31031,80365,'Increases Threat to target by 267 ',100,2,5),
(31032,80365,'Must be in front of',100,3,6),
(31033,80365,'Cannot be modified except by direct means',100,2,7),
(31034,10080365,'When Equipped:',100,0,0),
(31035,10080365,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(31036,10080365,'Inflicts 90 - 168 magic damage on target',100,2,2),
(31037,10080365,'Cannot be modified except by direct means',100,2,3),
(31038,170683,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(31039,170683,'Decreases Mitigation of target vs physical damage by 761',100,1,1),
(31040,170683,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(31041,10170683,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(31042,10170683,'Decreases Mitigation of target vs physical damage by 761',100,1,1),
(31043,10170683,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(31044,116145,'Inflicts 1873 - 3053 divine damage on target',100,1,0),
(31045,116145,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(31046,116145,'Stuns target',100,2,2),
(31047,116145,'Throws target back',100,2,3),
(31048,116145,'Blurs vision of target',100,2,4),
(31049,116145,'Does not affect Epic targets',100,2,5),
(31050,10116145,'Inflicts 1400 - 2063 divine damage on target',100,1,0),
(31051,10116145,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(31052,10116145,'Stuns target',100,2,2),
(31053,10116145,'Throws target back',100,2,3),
(31054,10116145,'Blurs vision of target',100,2,4),
(31055,10116145,'Does not affect Epic targets',100,2,5),
(31056,110491,'Stifles caster',100,1,0),
(31057,110491,'Increases power of caster by 24 instantly and every second',100,1,1),
(31058,10110491,'Stifles caster',100,1,0),
(31059,10110491,'Increases power of caster by 24 instantly and every second',100,1,1),
(31060,191089,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(31061,191089,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(31062,191089,'Cannot be modified except by direct means',100,1,2),
(31063,10191089,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(31064,10191089,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(31065,10191089,'Cannot be modified except by direct means',100,1,2),
(31066,81658,'When Equipped:',100,0,0),
(31067,81658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31068,81658,'Inflicts 193 - 359 magic damage on target',100,2,2),
(31069,81658,'Cannot be modified except by direct means',100,2,3),
(31070,10081658,'When Equipped:',100,0,0),
(31071,10081658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31072,10081658,'Inflicts 193 - 359 magic damage on target',100,2,2),
(31073,10081658,'Cannot be modified except by direct means',100,2,3),
(31074,45722,'Applies Sanctification of the Swashbuckler  when Activated.  Lasts for 30 minutes.',100,0,0),
(31075,45722,'Increases AGI of caster by 38.7',100,1,1),
(31076,10045722,'Applies Sanctification of the Swashbuckler  when Activated.  Lasts for 30 minutes.',100,0,0),
(31077,10045722,'Increases AGI of caster by 38.7',100,1,1),
(31078,82012,'When Equipped:',100,0,0),
(31079,82012,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31080,82012,'Inflicts 245 - 454 magic damage on target',100,2,2),
(31081,82012,'Cannot be modified except by direct means',100,2,3),
(31082,10082012,'When Equipped:',100,0,0),
(31083,10082012,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31084,10082012,'Inflicts 245 - 454 magic damage on target',100,2,2),
(31085,10082012,'Cannot be modified except by direct means',100,2,3),
(31086,120090,'Inflicts 2728 - 3879 mental damage on target',100,1,0),
(31087,120090,'Inflicts 1745 - 2897 mental damage on target',100,1,1),
(31088,120090,'Stifles target',100,1,2),
(31089,120090,'If Target is not Epic',100,2,3),
(31090,120090,'If weapon equipped in Ranged',100,1,4),
(31091,120090,'Resistibility increases against targets higher than level 120.',100,1,5),
(31092,10120090,'Inflicts 1770 - 2678 mental damage on target',100,1,0),
(31093,10120090,'Inflicts 1376 - 2283 mental damage on target',100,1,1),
(31094,10120090,'Stifles target',100,1,2),
(31095,10120090,'If Target is not Epic',100,2,3),
(31096,10120090,'If weapon equipped in Ranged',100,1,4),
(31097,10120090,'Resistibility increases against targets higher than level 120.',100,1,5),
(31098,121670,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(31099,121670,'Inflicts 67 - 82 heat damage on target instantly and every second',100,2,1),
(31100,10121670,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(31101,10121670,'Inflicts 53 - 65 heat damage on target instantly and every second',100,2,1),
(31102,24130,'Adds Clockwork Gnome (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(31103,10024130,'Adds Clockwork Gnome (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(31104,103338,'Applies Migraine on termination.',100,1,0),
(31105,103338,'Inflicts 1475 - 1996 mental damage on target',100,2,1),
(31106,103338,'Inflicts 1563 - 1692 mental damage on target',100,1,2),
(31107,103338,'Inflicts 580 - 709 mental damage on target every 6 seconds',100,1,3),
(31108,10103338,'Applies Migraine on termination.',100,1,0),
(31109,10103338,'Inflicts 1128 - 1480 mental damage on target',100,2,1),
(31110,10103338,'Inflicts 852 - 954 mental damage on target',100,1,2),
(31111,10103338,'Inflicts 457 - 559 mental damage on target every 6 seconds',100,1,3),
(31112,47284,'Applies Remedy of the Gods  when Activated.',100,0,0),
(31113,47284,'Heals caster for 108',100,1,1),
(31114,10047284,'Applies Remedy of the Gods  when Activated.',100,0,0),
(31115,10047284,'Heals caster for 70',100,1,1),
(31116,100662,'Increases AGI, STR and STA of target by 85.8',100,1,0),
(31117,100662,'Adds 1.8% to base avoidance.',100,1,1),
(31118,10100662,'Increases AGI, STR and STA of target by 85.8',100,1,0),
(31119,10100662,'Adds 1.8% to base avoidance.',100,1,1),
(31120,88949,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(31121,88949,'Heals group members (AE) for 148',100,1,1),
(31122,88949,'Heals group members (AE) for 59 every 5 seconds',100,1,2),
(31123,88949,'Increases Mitigation of group members (AE) vs arcane damage by 224',100,1,3),
(31124,88949,'The casting time of Fyr''Un Flood is 1.98 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,4),
(31125,10088949,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(31126,10088949,'Heals group members (AE) for 96',100,1,1),
(31127,10088949,'Heals group members (AE) for 38 every 5 seconds',100,1,2),
(31128,10088949,'Increases Mitigation of group members (AE) vs arcane damage by 224',100,1,3),
(31129,10088949,'The casting time of Fyr''Un Flood is 1.98 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,4),
(31130,107092,'Inflicts 4714 - 5543 divine damage on target',100,1,0),
(31131,10107092,'Inflicts 3335 - 3989 divine damage on target',100,1,0),
(31132,109269,'Shapechanges caster into a golem',100,1,0),
(31133,10109269,'Shapechanges caster into a golem',100,1,0),
(31134,103455,'Blurs vision of target encounter',100,1,0),
(31135,103455,'17% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(31136,103455,'Stuns target',100,2,2),
(31137,103455,'Throws target back',100,2,3),
(31138,103455,'Blurs vision of target',100,2,4),
(31139,103455,'Does not affect Epic targets',100,2,5),
(31140,103455,'Interrupts target encounter',100,1,6),
(31141,10103455,'17% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(31142,10103455,'Stuns target',100,2,1),
(31143,10103455,'Throws target back',100,2,2),
(31144,10103455,'Blurs vision of target',100,2,3),
(31145,10103455,'Does not affect Epic targets',100,2,4),
(31146,10103455,'Interrupts target encounter',100,1,5),
(31147,10103455,'Blurs vision of target encounter',100,1,6),
(31148,47225,'Applies Elixir of Thought  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(31149,47225,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(31150,10047225,'Applies Elixir of Thought  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(31151,10047225,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(31152,36231,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(31153,80559,'When Equipped:',100,0,0),
(31154,80559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31155,80559,'Inflicts 155 - 288 magic damage on target',100,2,2),
(31156,80559,'Cannot be modified except by direct means',100,2,3),
(31157,10080559,'When Equipped:',100,0,0),
(31158,10080559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31159,10080559,'Inflicts 155 - 288 magic damage on target',100,2,2),
(31160,10080559,'Cannot be modified except by direct means',100,2,3),
(31161,35094,'Increases WIS of target by 17.8',100,0,0),
(31162,35094,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(31163,74596,'When Equipped:',100,0,0),
(31164,74596,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31165,74596,'Inflicts 85 - 128 magic damage on target',100,2,2),
(31166,74596,'Cannot be modified except by direct means',100,2,3),
(31167,10074596,'When Equipped:',100,0,0),
(31168,10074596,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31169,10074596,'Inflicts 85 - 128 magic damage on target',100,2,2),
(31170,10074596,'Cannot be modified except by direct means',100,2,3),
(31171,119016,'Heals target for 5485 - 6485',100,1,0),
(31172,10119016,'Heals target for 4031 - 4870',100,1,0),
(31173,55259,'When Equipped:',100,0,0),
(31174,55259,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(31175,10055259,'When Equipped:',100,0,0),
(31176,10055259,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(31177,122506,'Inflicts 3189 - 5097 mental damage on targets in Area of Effect',100,1,0),
(31178,10122506,'Inflicts 2387 - 3890 mental damage on targets in Area of Effect',100,1,0),
(31179,54892,'When Equipped:',100,0,0),
(31180,54892,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(31181,10054892,'When Equipped:',100,0,0),
(31182,10054892,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(31183,37610,'Increases STR and STA of target by 7.8',100,0,0),
(31184,37610,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(31185,122328,'Applies Partners in Crime: Increases potency of the partner by 3%.',100,1,0),
(31186,122328,'If five combat arts are used within five seconds.',100,2,1),
(31187,122328,'Both Accomplice and Partners in Crime can be active at once.',100,1,2),
(31188,122328,'Applies Accomplice: Increases potency of the partner by 2%.',100,1,3),
(31189,122328,'If three combat arts are used within five seconds.',100,2,4),
(31190,122328,'If not brigand',100,1,5),
(31191,122328,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(31192,10122328,'Applies Partners in Crime: Increases potency of the partner by 3%.',100,1,0),
(31193,10122328,'If five combat arts are used within five seconds.',100,2,1),
(31194,10122328,'Both Accomplice and Partners in Crime can be active at once.',100,1,2),
(31195,10122328,'Applies Accomplice: Increases potency of the partner by 2%.',100,1,3),
(31196,10122328,'If three combat arts are used within five seconds.',100,2,4),
(31197,10122328,'If not brigand',100,1,5),
(31198,10122328,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(31199,113460,'Increases INT of target by 82.1',100,1,0),
(31200,113460,'Increases Max Health of target by 658.6',100,1,1),
(31201,10113460,'Increases INT of target by 82.1',100,1,0),
(31202,10113460,'Increases Max Health of target by 658.6',100,1,1),
(31203,24248,'Adds Cyclops (Guardian) to your Dungeon Maker toolbox',100,0,0),
(31204,10024248,'Adds Cyclops (Guardian) to your Dungeon Maker toolbox',100,0,0),
(31205,48433,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(31206,48433,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(31207,48433,'Decreases AGI of target by 12.3',100,2,2),
(31208,48433,'Cannot be modified except by direct means',100,2,3),
(31209,48433,'Grants a total of 30 triggers of the spell.',100,2,4),
(31210,10048433,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(31211,10048433,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(31212,10048433,'Decreases AGI of target by 12.3',100,2,2),
(31213,10048433,'Cannot be modified except by direct means',100,2,3),
(31214,10048433,'Grants a total of 30 triggers of the spell.',100,2,4),
(31215,35823,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(31216,112168,'Increases Max Health of caster by 5.0%',100,129,0),
(31217,112168,'Increases STR of caster by 22.2',100,1,1),
(31218,112168,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 558',100,1,2),
(31219,112168,'Increases Mitigation of caster vs physical damage by 143',100,1,3),
(31220,10112168,'Increases Max Health of caster by 5.0%',100,129,0),
(31221,10112168,'Increases STR of caster by 22.2',100,1,1),
(31222,10112168,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 558',100,1,2),
(31223,10112168,'Increases Mitigation of caster vs physical damage by 143',100,1,3),
(31224,103704,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(31225,103704,'Inflicts 447 - 741 disease damage on target',100,2,1),
(31226,103704,'Increases Attack Speed of group members (AE) by 55.6',100,1,2),
(31227,10103704,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(31228,10103704,'Inflicts 352 - 584 disease damage on target',100,2,1),
(31229,10103704,'Increases Attack Speed of group members (AE) by 55.6',100,1,2),
(31230,112734,'Inflicts 3727 - 5993 disease damage on target encounter',100,1,0),
(31231,10112734,'Inflicts 2811 - 4597 disease damage on target encounter',100,1,0),
(31232,115058,'Heals target for 5069 - 5977',100,1,0),
(31233,10115058,'Heals target for 4768 - 5771',100,1,0),
(31234,101462,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(31235,101462,'Increases Mitigation of group members (AE) vs arcane damage by 96',100,1,1),
(31236,10101462,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(31237,10101462,'Increases Mitigation of group members (AE) vs arcane damage by 96',100,1,1),
(31238,73184,'When Equipped:',100,0,0),
(31239,73184,'On a combat hit this spell may cast Despoiling Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31240,73184,'Inflicts 184 - 225 poison damage on target instantly and every 4.8 seconds',100,2,2),
(31241,73184,'Cannot be modified except by direct means',100,2,3),
(31242,10073184,'When Equipped:',100,0,0),
(31243,10073184,'On a combat hit this spell may cast Despoiling Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31244,10073184,'Inflicts 184 - 225 poison damage on target instantly and every 4.8 seconds',100,2,2),
(31245,10073184,'Cannot be modified except by direct means',100,2,3),
(31246,159367,'Applies Sanguine Imbued when Equipped.',100,0,0),
(31247,159367,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(31248,159367,'Inflicts 207 heat damage on target',100,2,2),
(31249,159367,'Cannot be modified except by direct means',100,2,3),
(31250,10159367,'Applies Sanguine Imbued when Equipped.',100,0,0),
(31251,10159367,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(31252,10159367,'Inflicts 207 heat damage on target',100,2,2),
(31253,10159367,'Cannot be modified except by direct means',100,2,3),
(31254,159078,'When Equipped:',100,0,0),
(31255,159078,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(31256,159078,'Increases AGI of caster by 17.3',100,2,2),
(31257,159078,'Increases Attack Speed of caster by 18.1',100,2,3),
(31258,159078,'Cannot be modified except by direct means',100,2,4),
(31259,10159078,'When Equipped:',100,0,0),
(31260,10159078,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(31261,10159078,'Increases AGI of caster by 17.3',100,2,2),
(31262,10159078,'Increases Attack Speed of caster by 18.1',100,2,3),
(31263,10159078,'Cannot be modified except by direct means',100,2,4),
(31264,121860,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(31265,121860,'Inflicts 519 - 635 mental damage on target',100,2,1),
(31266,121860,'Decreases Threat to target by 593 - 725 ',100,2,2),
(31267,121860,'If profession other than Fighter',100,3,3),
(31268,10121860,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(31269,10121860,'Inflicts 409 - 500 mental damage on target',100,2,1),
(31270,82486,'When Equipped:',100,0,0),
(31271,82486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31272,82486,'Inflicts 272 - 505 magic damage on target',100,2,2),
(31273,82486,'Cannot be modified except by direct means',100,2,3),
(31274,10082486,'When Equipped:',100,0,0),
(31275,10082486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31276,10082486,'Inflicts 272 - 505 magic damage on target',100,2,2),
(31277,10082486,'Cannot be modified except by direct means',100,2,3),
(31278,120022,'Decreases power of target encounter by 60 instantly and every 4 seconds',100,1,0),
(31279,120022,'Inflicts 343 - 410 mental damage on target encounter',100,1,1),
(31280,120022,'Inflicts 181 - 222 mental damage on target encounter every 4 seconds',100,1,2),
(31281,10120022,'Decreases power of target encounter by 48 instantly and every 4 seconds',100,1,0),
(31282,10120022,'Inflicts 275 - 306 mental damage on target encounter',100,1,1),
(31283,10120022,'Inflicts 143 - 175 mental damage on target encounter every 4 seconds',100,1,2),
(31284,105892,'Inflicts 1457 - 2190 ranged damage on target',100,1,0),
(31285,105892,'Inflicts 728 - 1208 ranged damage on target',100,1,1),
(31286,105892,'If weapon equipped in Ranged',100,1,2),
(31287,10105892,'Inflicts 824 - 1108 ranged damage on target',100,1,0),
(31288,10105892,'Inflicts 430 - 714 ranged damage on target',100,1,1),
(31289,10105892,'If weapon equipped in Ranged',100,1,2),
(31290,152791,'When Equipped:',100,0,0),
(31291,152791,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(31292,152791,'On any combat or spell hit this spell may cast Wild Swings III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(31293,152791,'Increases Damage Per Second of caster by 9.0',100,2,3),
(31294,152791,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(31295,152791,'Must not be engaged in pvp combat',100,2,5),
(31296,152791,'Cannot be modified except by direct means',100,2,6),
(31297,152791,'Cannot be modified except by direct means',100,1,7),
(31298,10152791,'When Equipped:',100,0,0),
(31299,10152791,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(31300,10152791,'On any combat or spell hit this spell may cast Wild Swings III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(31301,10152791,'Increases Damage Per Second of caster by 9.0',100,2,3),
(31302,10152791,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(31303,10152791,'Must not be engaged in pvp combat',100,2,5),
(31304,10152791,'Cannot be modified except by direct means',100,2,6),
(31305,10152791,'Cannot be modified except by direct means',100,1,7),
(31306,100238,'Inflicts 45 - 83 poison damage on target',100,1,0),
(31307,100238,'Inflicts 10 - 18 poison damage on target every 3 seconds',100,1,1),
(31308,10100238,'Inflicts 53 - 98 poison damage on target',100,1,0),
(31309,10100238,'Inflicts 18 - 33 poison damage on target every 3 seconds',100,1,1),
(31310,108575,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(31311,108575,'Increases INT, AGI, WIS and STR of group members (AE) by 11.1',100,2,1),
(31312,108575,'Increases STA of group members (AE) by 22.3',100,2,2),
(31313,108575,'Adds 0.6% to base avoidance.',100,2,3),
(31314,108575,'Increases Mitigation of group members (AE) vs noxious damage by 29',100,2,4),
(31315,108575,'Heals group members (AE) for 78 - 95 instantly and every 3 seconds',100,2,5),
(31316,108575,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 29',100,2,6),
(31317,10108575,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(31318,10108575,'Increases INT, AGI, WIS and STR of group members (AE) by 11.1',100,2,1),
(31319,10108575,'Increases STA of group members (AE) by 22.3',100,2,2),
(31320,10108575,'Adds 0.6% to base avoidance.',100,2,3),
(31321,10108575,'Increases Mitigation of group members (AE) vs noxious damage by 29',100,2,4),
(31322,10108575,'Heals group members (AE) for 40 - 49 instantly and every 3 seconds',100,2,5),
(31323,10108575,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 29',100,2,6),
(31324,105497,'Stuns target encounter',100,1,0),
(31325,105497,'If Target is not Epic',100,2,1),
(31326,105497,'Inflicts 4296 - 7698 poison damage on target encounter',100,1,2),
(31327,105497,'Resistibility increases against targets higher than level 115.',100,1,3),
(31328,10105497,'Stuns target encounter',100,1,0),
(31329,10105497,'If Target is not Epic',100,2,1),
(31330,10105497,'Inflicts 3260 - 5941 poison damage on target encounter',100,1,2),
(31331,10105497,'Resistibility increases against targets higher than level 115.',100,1,3),
(31332,70621,'When Equipped:',100,0,0),
(31333,70621,'On a hit this spell may cast Resilient on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31334,70621,'Makes caster immune to Stifles and Stuns.  Increases the damage of your spells and combat arts by 7.5%.',100,2,2),
(31335,70621,'Must not be engaged in pvp combat',100,1,3),
(31336,70621,'Cannot be modified except by direct means',100,1,4),
(31337,10070621,'When Equipped:',100,0,0),
(31338,10070621,'On a hit this spell may cast Resilient on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31339,10070621,'Makes caster immune to Stifles and Stuns.  Increases the damage of your spells and combat arts by 7.5%.',100,2,2),
(31340,10070621,'Must not be engaged in pvp combat',100,1,3),
(31341,10070621,'Cannot be modified except by direct means',100,1,4),
(31342,120426,'Inflicts 1084 - 1793 melee damage on target',100,1,0),
(31343,120426,'Inflicts 540 - 896 melee damage on target',100,1,1),
(31344,10120426,'Inflicts 820 - 1101 melee damage on target',100,1,0),
(31345,10120426,'Inflicts 426 - 706 melee damage on target',100,1,1),
(31346,24092,'Adds Chardok: Large Dormant Artifact to your Dungeon Maker toolbox',100,0,0),
(31347,10024092,'Adds Chardok: Large Dormant Artifact to your Dungeon Maker toolbox',100,0,0),
(31348,89274,'When Equipped:',100,0,0),
(31349,89274,'On a critical combat hit this spell may cast Vitality Consumption III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31350,89274,'Inflicts 144 - 160 disease damage on target',100,2,2),
(31351,89274,'Heals caster for 108 - 120',100,2,3),
(31352,89274,'Must not be engaged in pvp combat',100,2,4),
(31353,89274,'Cannot be modified except by direct means',100,2,5),
(31354,89274,'On a critical spell hit this spell may cast Vitality Consumption III on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(31355,89274,'Inflicts 144 - 160 disease damage on target',100,2,7),
(31356,89274,'Heals caster for 108 - 120',100,2,8),
(31357,89274,'Must not be engaged in pvp combat',100,2,9),
(31358,89274,'Cannot be modified except by direct means',100,2,10),
(31359,89274,'Must not be engaged in pvp combat',100,1,11),
(31360,10089274,'When Equipped:',100,0,0),
(31361,10089274,'On a critical combat hit this spell may cast Vitality Consumption III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31362,10089274,'Inflicts 144 - 160 disease damage on target',100,2,2),
(31363,10089274,'Heals caster for 70 - 78',100,2,3),
(31364,10089274,'Must not be engaged in pvp combat',100,2,4),
(31365,10089274,'Cannot be modified except by direct means',100,2,5),
(31366,10089274,'On a critical spell hit this spell may cast Vitality Consumption III on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(31367,10089274,'Inflicts 144 - 160 disease damage on target',100,2,7),
(31368,10089274,'Heals caster for 70 - 78',100,2,8),
(31369,10089274,'Must not be engaged in pvp combat',100,2,9),
(31370,10089274,'Cannot be modified except by direct means',100,2,10),
(31371,10089274,'Must not be engaged in pvp combat',100,1,11),
(31372,116134,'Inflicts 755 - 1252 divine damage on target',100,1,0),
(31373,116134,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(31374,116134,'Stuns target',100,2,2),
(31375,116134,'Throws target back',100,2,3),
(31376,116134,'Blurs vision of target',100,2,4),
(31377,116134,'Does not affect Epic targets',100,2,5),
(31378,10116134,'Inflicts 608 - 1008 divine damage on target',100,1,0),
(31379,10116134,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(31380,10116134,'Stuns target',100,2,2),
(31381,10116134,'Throws target back',100,2,3),
(31382,10116134,'Blurs vision of target',100,2,4),
(31383,10116134,'Does not affect Epic targets',100,2,5),
(31384,191792,'When Equipped:',100,0,0),
(31385,191792,'Increases Attack Speed of caster by 30.0',100,1,1),
(31386,10191792,'When Equipped:',100,0,0),
(31387,10191792,'Increases Attack Speed of caster by 30.0',100,1,1),
(31388,119423,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(31389,119423,'Stuns target',100,2,1),
(31390,119423,'Throws target back',100,2,2),
(31391,119423,'Blurs vision of target',100,2,3),
(31392,119423,'Does not affect Epic targets',100,2,4),
(31393,119423,'Inflicts 2142 - 3353 melee damage on target',100,1,5),
(31394,119423,'You must be sneaking to use this ability.',100,1,6),
(31395,10119423,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(31396,10119423,'Stuns target',100,2,1),
(31397,10119423,'Throws target back',100,2,2),
(31398,10119423,'Blurs vision of target',100,2,3),
(31399,10119423,'Does not affect Epic targets',100,2,4),
(31400,10119423,'Inflicts 1521 - 2262 melee damage on target',100,1,5),
(31401,10119423,'You must be sneaking to use this ability.',100,1,6),
(31402,106177,'Wards target against 139 points of all damage',100,1,0),
(31403,106177,'Decreases INT of target by 81.5',100,1,1),
(31404,106177,'Decreases Attack Speed of target by 25.0',100,1,2),
(31405,106177,'Increases Max Health of target by 10.0%',100,1,3),
(31406,106177,'Increases Hate Gain of target by 22.8%',100,1,4),
(31407,106177,'Increases Aggression of target by 6.3',100,1,5),
(31408,106177,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(31409,106177,'Increases Threat to target encounter by 274 - 335 ',100,2,7),
(31410,106177,'Increases Mitigation of target vs elemental, noxious and arcane damage by 420',100,1,8),
(31411,10106177,'Wards target against 111 points of all damage',100,1,0),
(31412,10106177,'Decreases INT of target by 81.5',100,1,1),
(31413,10106177,'Decreases Attack Speed of target by 25.0',100,1,2),
(31414,10106177,'Increases Max Health of target by 10.0%',100,1,3),
(31415,10106177,'Increases Aggression of target by 6.3',100,1,4),
(31416,10106177,'Increases Mitigation of target vs elemental, noxious and arcane damage by 420',100,1,5),
(31417,49174,'Applies Wyrmsteel - Scalerot when Activated.  Lasts for 28.8 seconds.',100,0,0),
(31418,49174,'Inflicts 69 - 85 disease damage on target',100,1,1),
(31419,49174,'If target is darathar',100,1,2),
(31420,10049174,'Applies Wyrmsteel - Scalerot when Activated.  Lasts for 28.8 seconds.',100,0,0),
(31421,10049174,'Inflicts 69 - 85 disease damage on target',100,1,1),
(31422,10049174,'If target is darathar',100,1,2),
(31423,109186,'Applies Blind.  Lasts for 9.0 seconds.',100,1,0),
(31424,109186,'Blurs vision of target',100,2,1),
(31425,109186,'Dazes target',100,2,2),
(31426,109186,'Dispelled when target takes damage',100,2,3),
(31427,109186,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(31428,109186,'Roots target',100,1,5),
(31429,109186,'5% chance to dispel when target takes damage',100,1,6),
(31430,109186,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(31431,109186,'Resistibility increases against targets higher than level 102.',100,1,8),
(31432,10109186,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(31433,10109186,'Dazes target',100,2,1),
(31434,10109186,'Blurs vision of target',100,2,2),
(31435,10109186,'Dispelled when target takes damage',100,2,3),
(31436,10109186,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(31437,10109186,'Roots target',100,1,5),
(31438,10109186,'5% chance to dispel when target takes damage',100,1,6),
(31439,10109186,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(31440,10109186,'Resistibility increases against targets higher than level 102.',100,1,8),
(31441,116885,'Wards group members (AE) against 5511 points of noxious damage',100,1,0),
(31442,116885,'Increases Mitigation of group members (AE) vs noxious damage by 912',100,1,1),
(31443,10116885,'Wards group members (AE) against 4080 points of noxious damage',100,1,0),
(31444,10116885,'Increases Mitigation of group members (AE) vs noxious damage by 912',100,1,1),
(31445,110066,'Summons a pet grim sorcerer',100,1,0),
(31446,10110066,'Summons a pet grim sorcerer',100,1,0),
(31447,24280,'Adds Elite: Diaku (Brigand) to your Dungeon Maker toolbox',100,0,0),
(31448,10024280,'Adds Elite: Diaku (Brigand) to your Dungeon Maker toolbox',100,0,0),
(31449,102278,'Inflicts 2523 - 3969 melee damage on targets in area',100,1,0),
(31450,10102278,'Inflicts 1900 - 3065 melee damage on targets in area',100,1,0),
(31451,71830,'When Equipped:',100,0,0),
(31452,71830,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31453,71830,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(31454,71830,'Cannot be modified except by direct means',100,2,3),
(31455,10071830,'When Equipped:',100,0,0),
(31456,10071830,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31457,10071830,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(31458,10071830,'Cannot be modified except by direct means',100,2,3),
(31459,121677,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(31460,121677,'Inflicts 150 - 184 heat damage on target instantly and every second',100,2,1),
(31461,10121677,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(31462,10121677,'Inflicts 118 - 145 heat damage on target instantly and every second',100,2,1),
(31463,120013,'Decreases power of target encounter by 14 instantly and every 4 seconds',100,1,0),
(31464,120013,'Inflicts 77 - 92 mental damage on target encounter',100,1,1),
(31465,120013,'Inflicts 41 - 50 mental damage on target encounter every 4 seconds',100,1,2),
(31466,10120013,'Decreases power of target encounter by 11 instantly and every 4 seconds',100,1,0),
(31467,10120013,'Inflicts 68 - 81 mental damage on target encounter',100,1,1),
(31468,10120013,'Inflicts 32 - 39 mental damage on target encounter every 4 seconds',100,1,2),
(31469,45874,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(31470,45874,'Increases power of caster by 95 instantly and every 4 seconds',100,1,1),
(31471,45874,'Requires 715 Health to cast.',100,1,2),
(31472,10045874,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(31473,10045874,'Increases power of caster by 95 instantly and every 4 seconds',100,1,1),
(31474,10045874,'Requires 715 Health to cast.',100,1,2),
(31475,183238,'When Equipped:',100,0,0),
(31476,183238,'When any damage is received this spell has a 7.5% chance to cast Distract on target''s attacker.  ',100,1,1),
(31477,183238,'Decreases Threat to targets in Area of Effect by 214 - 357 ',100,2,2),
(31478,183238,'Cannot be modified except by direct means',100,2,3),
(31479,10183238,'When Equipped:',100,0,0),
(31480,10183238,'When any damage is received this spell has a 7.5% chance to cast Distract on target''s attacker.  ',100,1,1),
(31481,10183238,'Cannot be modified except by direct means',100,2,2),
(31482,110868,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(31483,110868,'Inflicts 3659 - 5880 divine damage on target',100,2,1),
(31484,110868,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(31485,110868,'Stuns target',100,3,3),
(31486,110868,'Throws target back',100,3,4),
(31487,110868,'Blurs vision of target',100,3,5),
(31488,110868,'Does not affect Epic targets',100,3,6),
(31489,110868,'Grants a total of 3 triggers of the spell.',100,2,7),
(31490,10110868,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(31491,10110868,'Inflicts 2757 - 4508 divine damage on target',100,2,1),
(31492,10110868,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(31493,10110868,'Stuns target',100,3,3),
(31494,10110868,'Throws target back',100,3,4),
(31495,10110868,'Blurs vision of target',100,3,5),
(31496,10110868,'Does not affect Epic targets',100,3,6),
(31497,10110868,'Grants a total of 3 triggers of the spell.',100,2,7),
(31498,82033,'When Equipped:',100,0,0),
(31499,82033,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(31500,82033,'Inflicts 272 - 505 magic damage on target',100,2,2),
(31501,82033,'Decreases Threat to target by 641 ',100,2,3),
(31502,82033,'Must be flanking or behind',100,3,4),
(31503,82033,'Increases Threat to target by 1,101 ',100,2,5),
(31504,82033,'Must be in front of',100,3,6),
(31505,82033,'Cannot be modified except by direct means',100,2,7),
(31506,10082033,'When Equipped:',100,0,0),
(31507,10082033,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(31508,10082033,'Inflicts 272 - 505 magic damage on target',100,2,2),
(31509,10082033,'Cannot be modified except by direct means',100,2,3),
(31510,114177,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(31511,114177,'Heals target for 6124',100,2,1),
(31512,114177,'Grants a total of 1 trigger of the spell.',100,2,2),
(31513,10114177,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(31514,10114177,'Heals target for 3055',100,2,1),
(31515,10114177,'Grants a total of 1 trigger of the spell.',100,2,2),
(31516,36913,'Increases STR of target by 2.4',100,0,0),
(31517,36913,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(31518,35788,'Increases AGI and STR of target by 13.2',100,0,0),
(31519,35788,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(31520,81859,'When Equipped:',100,0,0),
(31521,81859,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(31522,81859,'Inflicts 210 - 391 magic damage on target',100,2,2),
(31523,81859,'Decreases Threat to target by 487 ',100,2,3),
(31524,81859,'Must be flanking or behind',100,3,4),
(31525,81859,'Increases Threat to target by 852 ',100,2,5),
(31526,81859,'Must be in front of',100,3,6),
(31527,81859,'Cannot be modified except by direct means',100,2,7),
(31528,10081859,'When Equipped:',100,0,0),
(31529,10081859,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(31530,10081859,'Inflicts 210 - 391 magic damage on target',100,2,2),
(31531,10081859,'Cannot be modified except by direct means',100,2,3),
(31532,143325,'When Equipped:',100,0,0),
(31533,143325,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(31534,143325,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(31535,143325,'Dispelled when target casts a hostile spell',100,2,3),
(31536,143325,'Dispelled when target casts a combat art',100,2,4),
(31537,143325,'Cannot be modified except by direct means',100,2,5),
(31538,10143325,'When Equipped:',100,0,0),
(31539,10143325,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(31540,10143325,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(31541,10143325,'Dispelled when target casts a hostile spell',100,2,3),
(31542,10143325,'Dispelled when target casts a combat art',100,2,4),
(31543,10143325,'Cannot be modified except by direct means',100,2,5),
(31544,133906,'When Equipped:',100,0,0),
(31545,133906,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(31546,133906,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,2),
(31547,133906,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,3),
(31548,133906,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(31549,133906,'Must not be engaged in pvp combat',100,2,5),
(31550,133906,'Cannot be modified except by direct means',100,2,6),
(31551,133906,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(31552,133906,'Must not be engaged in pvp combat',100,1,8),
(31553,133906,'When Equipped:',100,0,9),
(31554,133906,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(31555,133906,'Inflicts 2664 cold damage on target encounter',100,2,11),
(31556,133906,'Must not be engaged in pvp combat',100,2,12),
(31557,133906,'Cannot be modified except by direct means',100,2,13),
(31558,133906,'Must not be engaged in pvp combat',100,1,14),
(31559,10133906,'When Equipped:',100,0,0),
(31560,10133906,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(31561,10133906,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,2),
(31562,10133906,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,3),
(31563,10133906,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(31564,10133906,'Must not be engaged in pvp combat',100,2,5),
(31565,10133906,'Cannot be modified except by direct means',100,2,6),
(31566,10133906,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(31567,10133906,'Must not be engaged in pvp combat',100,1,8),
(31568,10133906,'When Equipped:',100,0,9),
(31569,10133906,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(31570,10133906,'Inflicts 1332 cold damage on target encounter',100,2,11),
(31571,10133906,'Must not be engaged in pvp combat',100,2,12),
(31572,10133906,'Cannot be modified except by direct means',100,2,13),
(31573,10133906,'Must not be engaged in pvp combat',100,1,14),
(31574,46240,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(31575,46240,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(31576,46240,'Decreases AGI of target by 51.0',100,2,2),
(31577,46240,'Decreases Parry, Defense and Deflection of target by 19.5',100,2,3),
(31578,46240,'Cannot be modified except by direct means',100,2,4),
(31579,46240,'Grants a total of 60 triggers of the spell.',100,2,5),
(31580,10046240,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(31581,10046240,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(31582,10046240,'Decreases AGI of target by 51.0',100,2,2),
(31583,10046240,'Decreases Parry, Defense and Deflection of target by 19.5',100,2,3),
(31584,10046240,'Cannot be modified except by direct means',100,2,4),
(31585,10046240,'Grants a total of 60 triggers of the spell.',100,2,5),
(31586,47829,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(31587,47829,'Wards caster against 2600 points of noxious damage',100,1,1),
(31588,10047829,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(31589,10047829,'Wards caster against 2600 points of noxious damage',100,1,1),
(31590,121237,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(31591,121237,'Reduces physical damage done to caster by 5%',100,1,1),
(31592,121237,'Increases STA of caster by 42.2',100,1,2),
(31593,121237,'Adds 5.0% to base avoidance.',100,1,3),
(31594,121237,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(31595,121237,'Increases Defense and Aggression of caster by 7.7',100,1,5),
(31596,121237,'Increases Mitigation of caster vs arcane damage by 553',100,1,6),
(31597,121237,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(31598,10121237,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(31599,10121237,'Reduces physical damage done to caster by 5%',100,1,1),
(31600,10121237,'Increases STA of caster by 42.2',100,1,2),
(31601,10121237,'Adds 5.0% to base avoidance.',100,1,3),
(31602,10121237,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(31603,10121237,'Increases Defense and Aggression of caster by 7.7',100,1,5),
(31604,10121237,'Increases Mitigation of caster vs arcane damage by 553',100,1,6),
(31605,10121237,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(31606,101273,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(31607,101273,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,1),
(31608,10101273,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(31609,10101273,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,1),
(31610,137428,'When Equipped:',100,0,0),
(31611,137428,'Increases Attack Speed of caster by 35.0',100,1,1),
(31612,10137428,'When Equipped:',100,0,0),
(31613,10137428,'Increases Attack Speed of caster by 35.0',100,1,1),
(31614,124782,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(31615,124782,'Increases STR of caster by 25.1',100,1,1),
(31616,124782,'Decreases Defense of caster by 4.8',100,1,2),
(31617,124782,'Increases Crushing, Piercing, Slashing and Disruption of caster by 8.2',100,1,3),
(31618,10124782,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(31619,10124782,'Increases STR of caster by 25.1',100,1,1),
(31620,10124782,'Decreases Defense of caster by 4.8',100,1,2),
(31621,10124782,'Increases Crushing, Piercing, Slashing and Disruption of caster by 8.2',100,1,3),
(31622,112667,'Increases Parry of group members (AE) by 9.7',100,1,0),
(31623,10112667,'Increases Parry of group members (AE) by 9.7',100,1,0),
(31624,48294,'Applies Summon Ally when Activated.',100,0,0),
(31625,48294,'Teleports target to caster',100,1,1),
(31626,48294,'This effect cannot be cast during combat',100,1,2),
(31627,10048294,'Applies Summon Ally when Activated.',100,0,0),
(31628,10048294,'Teleports target to caster',100,1,1),
(31629,10048294,'This effect cannot be cast during combat',100,1,2),
(31630,118823,'Inflicts 19 - 58 melee damage on target',100,1,0),
(31631,10118823,'Inflicts 15 - 46 melee damage on target',100,1,0),
(31632,47187,'Applies Elixir of Light  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(31633,47187,'Heals caster for 28',100,1,1),
(31634,47187,'Heals caster for 14 every 5 seconds',100,1,2),
(31635,10047187,'Applies Elixir of Light  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(31636,10047187,'Heals caster for 18',100,1,1),
(31637,10047187,'Heals caster for 9 every 5 seconds',100,1,2),
(31638,121738,'Causes 10% Threat to transfer to target when in combat',100,1,0),
(31639,10121738,'Applies Swarthy Distraction.',100,1,0),
(31640,10121738,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(31641,10121738,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(31642,35230,'Increases AGI of target by 4.3',100,0,0),
(31643,35230,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(31644,112423,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 19% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(31645,112423,'If over 50% Health',100,2,1),
(31646,112423,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 19% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(31647,112423,'If at 50% Health or less',100,2,3),
(31648,10112423,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 19% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(31649,10112423,'If over 50% Health',100,2,1),
(31650,10112423,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 19% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(31651,10112423,'If at 50% Health or less',100,2,3),
(31652,106597,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(31653,10106597,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(31654,36428,'Increases WIS of target by 15.4',100,0,0),
(31655,36428,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(31656,116487,'Prevents targets in Area of Effect from changing targets',100,1,0),
(31657,116487,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(31658,116487,'Increases Threat to targets in Area of Effect by 1,789 ',100,1,2),
(31659,10116487,'Prevents targets in Area of Effect from changing targets',100,1,0),
(31660,10116487,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(31661,111654,'Inflicts 1307 - 1597 cold damage on target encounter',100,1,0),
(31662,111654,'Slows target encounter by 40.0%',100,1,1),
(31663,111654,'5% chance to dispel when target takes damage',100,1,2),
(31664,111654,'5% chance to dispel when target receives hostile action',100,1,3),
(31665,10111654,'Inflicts 1309 - 1570 cold damage on target encounter',100,1,0),
(31666,10111654,'Slows target encounter by 40.0%',100,1,1),
(31667,10111654,'5% chance to dispel when target takes damage',100,1,2),
(31668,10111654,'5% chance to dispel when target receives hostile action',100,1,3),
(31669,101005,'Increases INT of target by 147.3',100,1,0),
(31670,101005,'Increases Attack Speed of target by 58.9',100,1,1),
(31671,101005,'Decreases Defense and Parry of target by 30.1',100,1,2),
(31672,101005,'Increases Slashing, Piercing and Crushing of target by 32.2',100,1,3),
(31673,10101005,'Increases INT of target by 147.3',100,1,0),
(31674,10101005,'Increases Attack Speed of target by 58.9',100,1,1),
(31675,10101005,'Decreases Defense and Parry of target by 30.1',100,1,2),
(31676,10101005,'Increases Slashing, Piercing and Crushing of target by 32.2',100,1,3),
(31677,113584,'Mesmerizes target',100,1,0),
(31678,113584,'Prevents AOE (except when direct) ',100,1,1),
(31679,113584,'Dispelled when target takes damage',100,1,2),
(31680,113584,'Does not affect Epic targets',100,1,3),
(31681,113584,'Resistibility increases against targets higher than level 109.',100,1,4),
(31682,10113584,'Mesmerizes target',100,1,0),
(31683,10113584,'Prevents AOE (except when direct) ',100,1,1),
(31684,10113584,'Dispelled when target takes damage',100,1,2),
(31685,10113584,'Does not affect Epic targets',100,1,3),
(31686,10113584,'Resistibility increases against targets higher than level 109.',100,1,4),
(31687,46311,'Applies Drop \"Antidote\" when Activated.',100,0,0),
(31688,46311,'This effect cannot be cast during combat',100,1,1),
(31689,10046311,'Applies Drop \"Antidote\" when Activated.',100,0,0),
(31690,10046311,'This effect cannot be cast during combat',100,1,1),
(31691,42862,'When Equipped:',100,0,0),
(31692,42862,'On a ranged hit this spell may cast Thunderous Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31693,42862,'Inflicts 1444 - 1765 magic damage on target encounter',100,2,2),
(31694,42862,'Cannot be modified except by direct means',100,2,3),
(31695,42862,'Cannot be modified except by direct means',100,1,4),
(31696,10042862,'When Equipped:',100,0,0),
(31697,10042862,'On a ranged hit this spell may cast Thunderous Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31698,10042862,'Inflicts 1444 - 1765 magic damage on target encounter',100,2,2),
(31699,10042862,'Cannot be modified except by direct means',100,2,3),
(31700,10042862,'Cannot be modified except by direct means',100,1,4),
(31701,106146,'Inflicts 1603 - 2618 divine damage on target encounter',100,1,0),
(31702,106146,'Interrupts target encounter',100,1,1),
(31703,10106146,'Inflicts 1215 - 1936 divine damage on target encounter',100,1,0),
(31704,10106146,'Interrupts target encounter',100,1,1),
(31705,144828,'When Equipped:',100,0,0),
(31706,144828,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(31707,10144828,'When Equipped:',100,0,0),
(31708,10144828,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(31709,47147,'Applies Crucorn''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(31710,10047147,'Applies Crucorn''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(31711,80466,'When Equipped:',100,0,0),
(31712,80466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31713,80466,'Inflicts 96 - 178 magic damage on target',100,2,2),
(31714,80466,'Cannot be modified except by direct means',100,2,3),
(31715,10080466,'When Equipped:',100,0,0),
(31716,10080466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31717,10080466,'Inflicts 96 - 178 magic damage on target',100,2,2),
(31718,10080466,'Cannot be modified except by direct means',100,2,3),
(31719,71866,'When Equipped:',100,0,0),
(31720,71866,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31721,71866,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(31722,71866,'Cannot be modified except by direct means',100,2,3),
(31723,10071866,'When Equipped:',100,0,0),
(31724,10071866,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31725,10071866,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(31726,10071866,'Cannot be modified except by direct means',100,2,3),
(31727,120004,'Increases Threat to target by 5,911 - 6,720 ',100,1,0),
(31728,10120004,'Prevents target from changing targets',100,1,0),
(31729,10120004,'Forces target to change their selected target to caster.',100,1,1),
(31730,144653,'When Equipped:',100,0,0),
(31731,144653,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31732,144653,'Inflicts 1192 heat damage on target',100,2,2),
(31733,144653,'Cannot be modified except by direct means',100,2,3),
(31734,10144653,'When Equipped:',100,0,0),
(31735,10144653,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31736,10144653,'Inflicts 596 heat damage on target',100,2,2),
(31737,10144653,'Cannot be modified except by direct means',100,2,3),
(31738,80618,'When Equipped:',100,0,0),
(31739,80618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31740,80618,'Inflicts 106 - 197 magic damage on target',100,2,2),
(31741,80618,'Cannot be modified except by direct means',100,2,3),
(31742,10080618,'When Equipped:',100,0,0),
(31743,10080618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31744,10080618,'Inflicts 106 - 197 magic damage on target',100,2,2),
(31745,10080618,'Cannot be modified except by direct means',100,2,3),
(31746,176634,'When Equipped:',100,0,0),
(31747,176634,'Applies Frosty Breath',100,1,1),
(31748,10176634,'When Equipped:',100,0,0),
(31749,10176634,'Applies Frosty Breath',100,1,1),
(31750,81358,'When Equipped:',100,0,0),
(31751,81358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31752,81358,'Inflicts 155 - 288 magic damage on target',100,2,2),
(31753,81358,'Cannot be modified except by direct means',100,2,3),
(31754,10081358,'When Equipped:',100,0,0),
(31755,10081358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31756,10081358,'Inflicts 155 - 288 magic damage on target',100,2,2),
(31757,10081358,'Cannot be modified except by direct means',100,2,3),
(31758,49110,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(31759,49110,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(31760,49110,'Inflicts 170 poison damage on target instantly and every 6 seconds',100,2,2),
(31761,49110,'Inflicts 579 poison damage on target',100,2,3),
(31762,49110,'Cannot be modified except by direct means',100,2,4),
(31763,49110,'Grants a total of 200 triggers of the spell.',100,2,5),
(31764,10049110,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(31765,10049110,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(31766,10049110,'Inflicts 127 poison damage on target instantly and every 6 seconds',100,2,2),
(31767,10049110,'Inflicts 434 poison damage on target',100,2,3),
(31768,10049110,'Cannot be modified except by direct means',100,2,4),
(31769,10049110,'Grants a total of 200 triggers of the spell.',100,2,5),
(31770,116664,'Heals group members (AE) for 45 - 55',100,1,0),
(31771,116664,'This effect cannot be critically applied.',100,2,1),
(31772,116664,'Increases Max Health of group members (AE) by 28.2',100,1,2),
(31773,116664,'The healing of this spell cannot be modified except by direct means',100,1,3),
(31774,10116664,'Heals group members (AE) for 17 - 21',100,1,0),
(31775,10116664,'This effect cannot be critically applied.',100,2,1),
(31776,10116664,'Increases Max Health of group members (AE) by 28.2',100,1,2),
(31777,10116664,'The healing of this spell cannot be modified except by direct means',100,1,3),
(31778,136593,'When Equipped:',100,0,0),
(31779,136593,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31780,136593,'Inflicts 1192 magic damage on target',100,2,2),
(31781,136593,'Cannot be modified except by direct means',100,2,3),
(31782,10136593,'When Equipped:',100,0,0),
(31783,10136593,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31784,10136593,'Inflicts 596 magic damage on target',100,2,2),
(31785,10136593,'Cannot be modified except by direct means',100,2,3),
(31786,47483,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(31787,47483,'Summons a mount to ride',100,1,1),
(31788,47483,'Increases your ground speed by 130%',100,2,2),
(31789,10047483,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(31790,10047483,'Summons a mount to ride',100,1,1),
(31791,10047483,'Increases your ground speed by 130%',100,2,2),
(31792,49016,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(31793,49016,'Launches a firework when used.',100,1,1),
(31794,10049016,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(31795,10049016,'Launches a firework when used.',100,1,1),
(31796,117554,'Inflicts 13680 - 20029 heat damage on target',100,1,0),
(31797,10117554,'Inflicts 6581 - 9674 heat damage on target',100,1,0),
(31798,113734,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(31799,113734,'Inflicts 536 piercing damage on target',100,2,1),
(31800,113734,'Grants a total of 60 triggers of the spell.',100,2,2),
(31801,10113734,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(31802,10113734,'Inflicts 431 piercing damage on target',100,2,1),
(31803,10113734,'Grants a total of 60 triggers of the spell.',100,2,2),
(31804,154032,'When Equipped:',100,0,0),
(31805,154032,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(31806,154032,'Heals caster for 392',100,2,2),
(31807,154032,'Cannot be modified except by direct means',100,2,3),
(31808,10154032,'When Equipped:',100,0,0),
(31809,10154032,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(31810,10154032,'Heals caster for 255',100,2,2),
(31811,10154032,'Cannot be modified except by direct means',100,2,3),
(31812,102895,'Heals caster for 1109',100,1,0),
(31813,102895,'Inflicts 2820 disease damage on targets in Area of Effect',100,1,1),
(31814,10102895,'Heals caster for 583',100,1,0),
(31815,10102895,'Inflicts 2159 disease damage on targets in Area of Effect',100,1,1),
(31816,124261,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(31817,124261,'Increases Damage Per Second of target by 21.9',100,2,1),
(31818,124261,'Increases Attack Speed of target by 21.9',100,2,2),
(31819,124261,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(31820,124261,'Increases Damage Per Second of target by 21.9',100,2,4),
(31821,124261,'Increases Attack Speed of target by 21.9',100,2,5),
(31822,124261,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(31823,124261,'Increases Damage Per Second of target by 21.9',100,2,7),
(31824,124261,'Increases Attack Speed of target by 21.9',100,2,8),
(31825,10124261,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(31826,10124261,'Increases Damage Per Second of target by 21.9',100,2,1),
(31827,10124261,'Increases Attack Speed of target by 21.9',100,2,2),
(31828,10124261,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(31829,10124261,'Increases Damage Per Second of target by 21.9',100,2,4),
(31830,10124261,'Increases Attack Speed of target by 21.9',100,2,5),
(31831,10124261,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(31832,10124261,'Increases Damage Per Second of target by 21.9',100,2,7),
(31833,10124261,'Increases Attack Speed of target by 21.9',100,2,8),
(31834,124545,'Dispels 73 levels of physical hostile effects on caster',100,129,0),
(31835,124545,'Dispels 73 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(31836,10124545,'Dispels 73 levels of physical hostile effects on caster',100,129,0),
(31837,10124545,'Dispels 73 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(31838,87346,'When Equipped:',100,0,0),
(31839,87346,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31840,87346,'Inflicts 192 - 289 magic damage on target',100,2,2),
(31841,87346,'Cannot be modified except by direct means',100,2,3),
(31842,10087346,'When Equipped:',100,0,0),
(31843,10087346,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31844,10087346,'Inflicts 192 - 289 magic damage on target',100,2,2),
(31845,10087346,'Cannot be modified except by direct means',100,2,3),
(31846,122654,'Decreases Defense of target by 4.2',100,1,0),
(31847,122654,'Decreases Mitigation of target vs physical damage by 92',100,1,1),
(31848,10122654,'Decreases Defense of target by 4.2',100,1,0),
(31849,10122654,'Decreases Mitigation of target vs physical damage by 92',100,1,1),
(31850,112358,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(31851,112358,'Inflicts 1323 - 2193 piercing damage on target',100,2,1),
(31852,10112358,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(31853,10112358,'Inflicts 547 - 907 piercing damage on target',100,2,1),
(31854,54387,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(31855,54387,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(31856,54387,'Inflicts 46 heat damage on target',100,2,2),
(31857,54387,'Cannot be modified except by direct means',100,2,3),
(31858,10054387,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(31859,10054387,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(31860,10054387,'Inflicts 46 heat damage on target',100,2,2),
(31861,10054387,'Cannot be modified except by direct means',100,2,3),
(31862,47355,'Applies Ante Mortem when Activated.',100,0,0),
(31863,47355,'The nechronosync will attempt to revert a necromantic conglomeration back to its pre-death form.',100,1,1),
(31864,10047355,'Applies Ante Mortem when Activated.',100,0,0),
(31865,10047355,'The nechronosync will attempt to revert a necromantic conglomeration back to its pre-death form.',100,1,1),
(31866,122278,'Makes targets in Area of Effect afraid',100,1,0),
(31867,122278,'If Target is not Epic',100,2,1),
(31868,122278,'Decreases Threat to targets in Area of Effect by 6,664 ',100,1,2),
(31869,122278,'30% chance to dispel when target takes damage',100,1,3),
(31870,10122278,'Makes targets in Area of Effect afraid',100,1,0),
(31871,10122278,'If Target is not Epic',100,2,1),
(31872,10122278,'Applies Distract.',100,1,2),
(31873,10122278,'Forces target to clear their selected target.',100,2,3),
(31874,10122278,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(31875,10122278,'30% chance to dispel when target takes damage',100,1,5),
(31876,87436,'When Equipped:',100,0,0),
(31877,87436,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31878,87436,'Inflicts 56 - 84 magic damage on target',100,2,2),
(31879,87436,'Cannot be modified except by direct means',100,2,3),
(31880,10087436,'When Equipped:',100,0,0),
(31881,10087436,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31882,10087436,'Inflicts 56 - 84 magic damage on target',100,2,2),
(31883,10087436,'Cannot be modified except by direct means',100,2,3),
(31884,41542,'When Equipped:',100,0,0),
(31885,41542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31886,41542,'Inflicts 215 - 399 magic damage on target',100,2,2),
(31887,41542,'Cannot be modified except by direct means',100,2,3),
(31888,10041542,'When Equipped:',100,0,0),
(31889,10041542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31890,10041542,'Inflicts 215 - 399 magic damage on target',100,2,2),
(31891,10041542,'Cannot be modified except by direct means',100,2,3),
(31892,102193,'Increases Mitigation of group members (AE) vs physical damage by 475',100,1,0),
(31893,10102193,'Increases Mitigation of group members (AE) vs physical damage by 475',100,1,0),
(31894,116971,'Increases Threat to target by 5,391 - 6,084 ',100,1,0),
(31895,116971,'Interrupts target',100,1,1),
(31896,10116971,'Forces target to change their selected target to caster.',100,1,0),
(31897,10116971,'Interrupts target',100,1,1),
(31898,10116971,'Prevents target from changing targets',100,1,2),
(31899,80836,'When Equipped:',100,0,0),
(31900,80836,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31901,80836,'Inflicts 380 - 707 magic damage on target',100,2,2),
(31902,80836,'Cannot be modified except by direct means',100,2,3),
(31903,10080836,'When Equipped:',100,0,0),
(31904,10080836,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31905,10080836,'Inflicts 380 - 707 magic damage on target',100,2,2),
(31906,10080836,'Cannot be modified except by direct means',100,2,3),
(31907,47548,'Applies Poison Hypnosis when Activated.',100,0,0),
(31908,47548,'Updates a specific part of the Quest \"Perception Deception\"',100,1,1),
(31909,10047548,'Applies Poison Hypnosis when Activated.',100,0,0),
(31910,10047548,'Updates a specific part of the Quest \"Perception Deception\"',100,1,1),
(31911,82622,'When Equipped:',100,0,0),
(31912,82622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31913,82622,'Inflicts 136 - 252 magic damage on target',100,2,2),
(31914,82622,'Cannot be modified except by direct means',100,2,3),
(31915,10082622,'When Equipped:',100,0,0),
(31916,10082622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31917,10082622,'Inflicts 136 - 252 magic damage on target',100,2,2),
(31918,10082622,'Cannot be modified except by direct means',100,2,3),
(31919,82534,'When Equipped:',100,0,0),
(31920,82534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31921,82534,'Inflicts 136 - 252 magic damage on target',100,2,2),
(31922,82534,'Cannot be modified except by direct means',100,2,3),
(31923,10082534,'When Equipped:',100,0,0),
(31924,10082534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(31925,10082534,'Inflicts 136 - 252 magic damage on target',100,2,2),
(31926,10082534,'Cannot be modified except by direct means',100,2,3),
(31927,111483,'Increases AGI of caster by 35.0',100,1,0),
(31928,111483,'Increases Attack Speed of caster by 23.4',100,1,1),
(31929,111483,'Increases in-combat movement speed of caster by 5.5%',100,1,2),
(31930,111483,'Adds 17.2% to base avoidance.',100,1,3),
(31931,111483,'Increases Mitigation of caster vs physical damage by 316',100,1,4),
(31932,111483,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,5),
(31933,10111483,'Increases AGI of caster by 35.0',100,1,0),
(31934,10111483,'Increases Attack Speed of caster by 23.4',100,1,1),
(31935,10111483,'Increases speed of caster by 5.5%',100,1,2),
(31936,10111483,'Adds 17.2% to base avoidance.',100,1,3),
(31937,10111483,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,4),
(31938,108881,'Inflicts 2828 - 4114 melee damage on target',100,1,0),
(31939,108881,'Decreases INT of target by 183.0',100,1,1),
(31940,10108881,'Inflicts 1883 - 2863 melee damage on target',100,1,0),
(31941,10108881,'Decreases INT of target by 183.0',100,1,1),
(31942,111740,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(31943,111740,'Inflicts 2245 - 2679 cold damage on target',100,2,1),
(31944,111740,'Grants a total of 3 triggers of the spell.',100,2,2),
(31945,10111740,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(31946,10111740,'Inflicts 1648 - 1985 cold damage on target',100,2,1),
(31947,10111740,'Grants a total of 3 triggers of the spell.',100,2,2),
(31948,72130,'When Equipped:',100,0,0),
(31949,72130,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31950,72130,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(31951,72130,'Cannot be modified except by direct means',100,2,3),
(31952,10072130,'When Equipped:',100,0,0),
(31953,10072130,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(31954,10072130,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(31955,10072130,'Cannot be modified except by direct means',100,2,3),
(31956,112326,'Applies Insolent Gibe.',100,1,0),
(31957,112326,'Increases Threat to targets in Area of Effect by 4,398 - 5,953 ',100,2,1),
(31958,112326,'Applies Insolent Assault.',100,1,2),
(31959,112326,'Inflicts 3528 - 5273 melee damage on targets in area',100,2,3),
(31960,112326,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(31961,112326,'Increases Threat to target encounter by 2,040 - 2,493 ',100,2,5),
(31962,10112326,'Applies Insolent Gibe.',100,1,0),
(31963,10112326,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(31964,10112326,'Applies Insolent Assault.',100,1,2),
(31965,10112326,'Inflicts 2781 - 4156 melee damage on targets in area',100,2,3),
(31966,10112326,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(31967,10112326,'Forces target encounter to change their selected target to caster.',100,2,5),
(31968,36642,'Increases AGI of target by 2.6',100,0,0),
(31969,36642,'Increases Out-of-Combat Health Regeneration of target by 41.0',100,0,1),
(31970,35250,'Increases STR of target by 2.4',100,0,0),
(31971,35250,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(31972,103060,'Inflicts 740 magic damage on target',100,1,0),
(31973,103060,'Inflicts 185 magic damage on target every 4 seconds',100,1,1),
(31974,103060,'Increases power of caster by 36 instantly and every 4 seconds',100,1,2),
(31975,10103060,'Inflicts 540 magic damage on target',100,1,0),
(31976,10103060,'Inflicts 146 magic damage on target every 4 seconds',100,1,1),
(31977,10103060,'Increases power of caster by 36 instantly and every 4 seconds',100,1,2),
(31978,144638,'When Equipped:',100,0,0),
(31979,144638,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31980,144638,'Inflicts 1192 poison damage on target',100,2,2),
(31981,144638,'Cannot be modified except by direct means',100,2,3),
(31982,10144638,'When Equipped:',100,0,0),
(31983,10144638,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(31984,10144638,'Inflicts 596 poison damage on target',100,2,2),
(31985,10144638,'Cannot be modified except by direct means',100,2,3),
(31986,24721,'Adds Succubus (Brigand) to your Dungeon Maker toolbox',100,0,0),
(31987,10024721,'Adds Succubus (Brigand) to your Dungeon Maker toolbox',100,0,0),
(31988,114941,'Decreases Attack Speed of target by 8.0',100,1,0),
(31989,114941,'Inflicts 207 - 330 slashing damage on target',100,1,1),
(31990,114941,'Inflicts 83 slashing damage on target instantly and every 4 seconds',100,1,2),
(31991,10114941,'Decreases Attack Speed of target by 8.0',100,1,0),
(31992,10114941,'Inflicts 198 - 304 slashing damage on target',100,1,1),
(31993,10114941,'Inflicts 65 slashing damage on target instantly and every 4 seconds',100,1,2),
(31994,87714,'When Equipped:',100,0,0),
(31995,87714,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(31996,87714,'Inflicts 39 - 48 magic damage on target',100,2,2),
(31997,87714,'If target is werewolf',100,3,3),
(31998,87714,'Cannot be modified except by direct means',100,2,4),
(31999,10087714,'When Equipped:',100,0,0),
(32000,10087714,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(32001,10087714,'Inflicts 39 - 48 magic damage on target',100,2,2),
(32002,10087714,'If target is werewolf',100,3,3),
(32003,10087714,'Cannot be modified except by direct means',100,2,4),
(32004,100153,'Inflicts 790 - 893 disease damage on target encounter',100,1,0),
(32005,100153,'Inflicts 463 - 565 disease damage on target encounter every 3 seconds',100,1,1),
(32006,100153,'Decreases Mitigation of target encounter vs noxious damage by 861',100,1,2),
(32007,10100153,'Inflicts 496 - 577 disease damage on target encounter',100,1,0),
(32008,10100153,'Inflicts 365 - 446 disease damage on target encounter every 3 seconds',100,1,1),
(32009,10100153,'Decreases Mitigation of target encounter vs noxious damage by 861',100,1,2),
(32010,109477,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(32011,109477,'Increases Attack Speed of caster by 21.0',100,130,1),
(32012,109477,'Increases Ranged, Piercing, Crushing and Slashing of caster by 14.0',100,130,2),
(32013,109477,'Inflicts 2201 - 3004 cold damage on target',100,1,3),
(32014,10109477,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(32015,10109477,'Increases Attack Speed of caster by 21.0',100,130,1),
(32016,10109477,'Increases Ranged, Piercing, Crushing and Slashing of caster by 14.0',100,130,2),
(32017,10109477,'Inflicts 1355 - 1988 cold damage on target',100,1,3),
(32018,104257,'Increases Mitigation of group members (AE) vs physical damage by 485',100,1,0),
(32019,10104257,'Increases Mitigation of group members (AE) vs physical damage by 485',100,1,0),
(32020,112475,'Decreases AGI and WIS of target by 37.8',100,1,0),
(32021,10112475,'Decreases AGI and WIS of target by 37.8',100,1,0),
(32022,120232,'Roots target encounter',100,1,0),
(32023,120232,'15% chance to dispel when target takes damage',100,1,1),
(32024,120232,'Does not affect Epic targets',100,1,2),
(32025,120232,'Resistibility increases against targets higher than level 107.',100,1,3),
(32026,10120232,'Roots target encounter',100,1,0),
(32027,10120232,'15% chance to dispel when target takes damage',100,1,1),
(32028,10120232,'Does not affect Epic targets',100,1,2),
(32029,10120232,'Resistibility increases against targets higher than level 107.',100,1,3),
(32030,48761,'Applies Elixir of the Breezewing  when Activated.',100,0,0),
(32031,48761,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(32032,10048761,'Applies Elixir of the Breezewing  when Activated.',100,0,0),
(32033,10048761,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(32034,112920,'Increases Damage Per Second of caster by 64.2',100,1,0),
(32035,112920,'Increases Ranged of caster by 30.1',100,1,1),
(32036,10112920,'Increases Damage Per Second of caster by 64.2',100,1,0),
(32037,10112920,'Increases Ranged of caster by 30.1',100,1,1),
(32038,189219,'When Equipped:',100,0,0),
(32039,189219,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(32040,189219,'Increases Damage Per Second of caster by 10.0',100,2,2),
(32041,189219,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(32042,189219,'Cannot be modified except by direct means',100,2,4),
(32043,10189219,'When Equipped:',100,0,0),
(32044,10189219,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(32045,10189219,'Increases Damage Per Second of caster by 10.0',100,2,2),
(32046,10189219,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(32047,10189219,'Cannot be modified except by direct means',100,2,4),
(32048,147223,'When Equipped:',100,0,0),
(32049,147223,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(32050,147223,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(32051,147223,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(32052,147223,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,4),
(32053,147223,'Heals caster for 970 - 1072 instantly and every 3 seconds',100,2,5),
(32054,147223,'Must not be engaged in pvp combat',100,2,6),
(32055,147223,'Cannot be modified except by direct means',100,2,7),
(32056,147223,'Must not be engaged in pvp combat',100,1,8),
(32057,10147223,'When Equipped:',100,0,0),
(32058,10147223,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(32059,10147223,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(32060,10147223,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(32061,10147223,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,4),
(32062,10147223,'Heals caster for 1134 - 1254 instantly and every 3 seconds',100,2,5),
(32063,10147223,'Must not be engaged in pvp combat',100,2,6),
(32064,10147223,'Cannot be modified except by direct means',100,2,7),
(32065,10147223,'Must not be engaged in pvp combat',100,1,8),
(32066,104025,'Stifles target',100,1,0),
(32067,104025,'If Target is not Epic',100,2,1),
(32068,104025,'Interrupts target',100,1,2),
(32069,104025,'Decreases Threat to target by 832 - 1,053 ',100,1,3),
(32070,104025,'Resistibility increases against targets higher than level 81.',100,1,4),
(32071,10104025,'Stifles target',100,1,0),
(32072,10104025,'If Target is not Epic',100,2,1),
(32073,10104025,'Interrupts target',100,1,2),
(32074,10104025,'Resistibility increases against targets higher than level 81.',100,1,3),
(32075,27443,'When Equipped:',100,0,0),
(32076,27443,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(32077,27443,'On a spell cast this spell may cast Subterranean Will on caster.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(32078,27443,'Increases power of caster by 186 instantly and every 3 seconds',100,2,3),
(32079,27443,'Increases Max Power of caster by 10.0%',100,2,4),
(32080,27443,'Must not be engaged in pvp combat',100,2,5),
(32081,27443,'Cannot be modified except by direct means',100,2,6),
(32082,27443,'Must not be engaged in pvp combat',100,1,7),
(32083,27443,'Cannot be modified except by direct means',100,1,8),
(32084,10027443,'When Equipped:',100,0,0),
(32085,10027443,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(32086,10027443,'On a spell cast this spell may cast Subterranean Will on caster.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(32087,10027443,'Increases power of caster by 186 instantly and every 3 seconds',100,2,3),
(32088,10027443,'Increases Max Power of caster by 10.0%',100,2,4),
(32089,10027443,'Must not be engaged in pvp combat',100,2,5),
(32090,10027443,'Cannot be modified except by direct means',100,2,6),
(32091,10027443,'Must not be engaged in pvp combat',100,1,7),
(32092,10027443,'Cannot be modified except by direct means',100,1,8),
(32093,45314,'Applies Bite of the Berry when Activated.  Lasts for 12 hours.',100,0,0),
(32094,45314,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(32095,45314,'Inflicts 109 poison damage on target instantly and every 6 seconds',100,2,2),
(32096,45314,'Inflicts 89 poison damage on target',100,2,3),
(32097,45314,'Cannot be modified except by direct means',100,2,4),
(32098,45314,'Grants a total of 100 triggers of the spell.',100,2,5),
(32099,10045314,'Applies Bite of the Berry when Activated.  Lasts for 12 hours.',100,0,0),
(32100,10045314,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(32101,10045314,'Inflicts 67 poison damage on target',100,2,2),
(32102,10045314,'Inflicts 82 poison damage on target instantly and every 6 seconds',100,2,3),
(32103,10045314,'Cannot be modified except by direct means',100,2,4),
(32104,10045314,'Grants a total of 100 triggers of the spell.',100,2,5),
(32105,158819,'When Equipped:',100,0,0),
(32106,158819,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(32107,158819,'Decreases Threat to target by 425 - 709 ',100,2,2),
(32108,158819,'Cannot be modified except by direct means',100,2,3),
(32109,10158819,'When Equipped:',100,0,0),
(32110,10158819,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(32111,10158819,'Cannot be modified except by direct means',100,2,2),
(32112,124330,'Shapechanges caster into a wolf',100,1,0),
(32113,124330,'Grants See Invisibility to caster',100,1,1),
(32114,124330,'Increases Focus of caster by 23.8',100,1,2),
(32115,124330,'Increases Mitigation of caster vs physical damage by 264',100,1,3),
(32116,124330,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1003',100,1,4),
(32117,10124330,'Shapechanges caster into a wolf',100,1,0),
(32118,10124330,'Grants See Invisibility to caster',100,1,1),
(32119,10124330,'Increases Focus of caster by 23.8',100,1,2),
(32120,10124330,'Increases Mitigation of caster vs physical damage by 264',100,1,3),
(32121,10124330,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1003',100,1,4),
(32122,36488,'Increases STR of target by 10.5',100,0,0),
(32123,36488,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(32124,101049,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(32125,101049,'Inflicts 1832 poison damage on target instantly and every 4 seconds',100,2,1),
(32126,101049,'If profession other than Predator',100,1,2),
(32127,101049,'If profession other than Rogue',100,1,3),
(32128,10101049,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(32129,10101049,'Inflicts 1444 poison damage on target instantly and every 4 seconds',100,2,1),
(32130,10101049,'If profession other than Predator',100,1,2),
(32131,10101049,'If profession other than Rogue',100,1,3),
(32132,153954,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(32133,153954,'Decreases Attack Speed of target by 13.0',100,1,1),
(32134,153954,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(32135,10153954,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(32136,10153954,'Decreases Attack Speed of target by 13.0',100,1,1),
(32137,10153954,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(32138,24761,'Adds Wolf (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(32139,10024761,'Adds Wolf (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(32140,81264,'When Equipped:',100,0,0),
(32141,81264,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(32142,81264,'Inflicts 387 - 719 magic damage on target',100,2,2),
(32143,81264,'Decreases Threat to target by 949 ',100,2,3),
(32144,81264,'Must be flanking or behind',100,3,4),
(32145,81264,'Increases Threat to target by 1,409 ',100,2,5),
(32146,81264,'Must be in front of',100,3,6),
(32147,81264,'Cannot be modified except by direct means',100,2,7),
(32148,10081264,'When Equipped:',100,0,0),
(32149,10081264,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(32150,10081264,'Inflicts 387 - 719 magic damage on target',100,2,2),
(32151,10081264,'Cannot be modified except by direct means',100,2,3),
(32152,80364,'When Equipped:',100,0,0),
(32153,80364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32154,80364,'Inflicts 90 - 168 magic damage on target',100,2,2),
(32155,80364,'Cannot be modified except by direct means',100,2,3),
(32156,10080364,'When Equipped:',100,0,0),
(32157,10080364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32158,10080364,'Inflicts 90 - 168 magic damage on target',100,2,2),
(32159,10080364,'Cannot be modified except by direct means',100,2,3),
(32160,105499,'Stuns target encounter',100,1,0),
(32161,105499,'If Target is not Epic',100,2,1),
(32162,105499,'Inflicts 4863 - 8751 poison damage on target encounter',100,1,2),
(32163,105499,'Resistibility increases against targets higher than level 115.',100,1,3),
(32164,10105499,'Stuns target encounter',100,1,0),
(32165,10105499,'If Target is not Epic',100,2,1),
(32166,10105499,'Inflicts 3707 - 6771 poison damage on target encounter',100,1,2),
(32167,10105499,'Resistibility increases against targets higher than level 115.',100,1,3),
(32168,118886,'Inflicts 1279 - 1588 melee damage on target',100,1,0),
(32169,118886,'Inflicts 365 - 605 melee damage on target',100,1,1),
(32170,118886,'Inflicts 365 - 605 melee damage on target',100,1,2),
(32171,118886,'Inflicts 365 - 605 melee damage on target',100,1,3),
(32172,118886,'Inflicts 365 - 605 melee damage on target',100,1,4),
(32173,10118886,'Inflicts 682 - 872 melee damage on target',100,1,0),
(32174,10118886,'Inflicts 287 - 477 melee damage on target',100,1,1),
(32175,10118886,'Inflicts 287 - 477 melee damage on target',100,1,2),
(32176,10118886,'Inflicts 287 - 477 melee damage on target',100,1,3),
(32177,10118886,'Inflicts 287 - 477 melee damage on target',100,1,4),
(32178,146714,'When Equipped:',100,0,0),
(32179,146714,'On a hostile spell cast this spell may cast Ethereal Recovery on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32180,146714,'Increases power of group members by 127 instantly and every 5 seconds',100,2,2),
(32181,146714,'Cannot be modified except by direct means',100,2,3),
(32182,146714,'Reduces reuse time of spells by 5%.',100,1,4),
(32183,10146714,'When Equipped:',100,0,0),
(32184,10146714,'On a hostile spell cast this spell may cast Ethereal Recovery on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32185,10146714,'Increases power of group members by 127 instantly and every 5 seconds',100,2,2),
(32186,10146714,'Cannot be modified except by direct means',100,2,3),
(32187,10146714,'Reduces reuse time of spells by 5%.',100,1,4),
(32188,110112,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(32189,110112,'Inflicts 240 disease damage on target',100,2,1),
(32190,110112,'Heals caster for 90',100,2,2),
(32191,110112,'Decreases INT of target by 137.5',100,1,3),
(32192,110112,'Decreases Attack Speed of target by 25.0',100,1,4),
(32193,110112,'Increases Max Health of target by 16.0%',100,1,5),
(32194,110112,'Increases Hate Gain of target by 46.1%',100,1,6),
(32195,110112,'Increases Aggression of target by 16.8',100,1,7),
(32196,110112,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(32197,110112,'Increases Threat to target encounter by 877 - 1,072 ',100,2,9),
(32198,110112,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,10),
(32199,10110112,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(32200,10110112,'Inflicts 189 disease damage on target',100,2,1),
(32201,10110112,'Heals caster for 46',100,2,2),
(32202,10110112,'Decreases INT of target by 137.5',100,1,3),
(32203,10110112,'Decreases Attack Speed of target by 25.0',100,1,4),
(32204,10110112,'Increases Max Health of target by 16.0%',100,1,5),
(32205,10110112,'Increases Aggression of target by 16.8',100,1,6),
(32206,10110112,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,7),
(32207,45154,'Applies Allmayn''s Sanctification when Activated.  Lasts for 30 minutes.',100,0,0),
(32208,45154,'Increases AGI of caster by 28.8',100,1,1),
(32209,10045154,'Applies Allmayn''s Sanctification when Activated.  Lasts for 30 minutes.',100,0,0),
(32210,10045154,'Increases AGI of caster by 28.8',100,1,1),
(32211,82658,'When Equipped:',100,0,0),
(32212,82658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32213,82658,'Inflicts 136 - 252 magic damage on target',100,2,2),
(32214,82658,'Cannot be modified except by direct means',100,2,3),
(32215,10082658,'When Equipped:',100,0,0),
(32216,10082658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32217,10082658,'Inflicts 136 - 252 magic damage on target',100,2,2),
(32218,10082658,'Cannot be modified except by direct means',100,2,3),
(32219,48656,'Applies Translucent Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(32220,48656,'Increases Max Health of caster by 332.8',100,1,1),
(32221,48656,'Only affects targets level 50 and above',100,1,2),
(32222,10048656,'Applies Translucent Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(32223,10048656,'Increases Max Health of caster by 332.8',100,1,1),
(32224,10048656,'Only affects targets level 50 and above',100,1,2),
(32225,103010,'Inflicts 275 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(32226,103010,'Inflicts 842 - 944 melee damage on target',100,1,1),
(32227,10103010,'Inflicts 217 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(32228,10103010,'Inflicts 476 - 530 melee damage on target',100,1,1),
(32229,37578,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(32230,101542,'Inflicts 289 - 480 melee damage on target',100,1,0),
(32231,101542,'You must be sneaking to use this ability.',100,1,1),
(32232,10101542,'Inflicts 228 - 378 melee damage on target',100,1,0),
(32233,10101542,'You must be sneaking to use this ability.',100,1,1),
(32234,123354,'Heals group members (AE) for 493 - 603',100,1,0),
(32235,10123354,'Heals group members (AE) for 451 - 552',100,1,0),
(32236,105160,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(32237,105160,'Increases AGI of caster by 57.3',100,1,1),
(32238,105160,'Adds 2.5% to base avoidance.',100,1,2),
(32239,105160,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(32240,105160,'Increases Parry of caster by 33.1',100,1,4),
(32241,105160,'Increases Defense of caster by 44.2',100,1,5),
(32242,10105160,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(32243,10105160,'Increases AGI of caster by 57.3',100,1,1),
(32244,10105160,'Adds 2.5% to base avoidance.',100,1,2),
(32245,10105160,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(32246,10105160,'Increases Parry of caster by 33.1',100,1,4),
(32247,10105160,'Increases Defense of caster by 44.2',100,1,5),
(32248,102518,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(32249,102518,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,1),
(32250,102518,'Increases Aggression of caster by 6.7',100,1,2),
(32251,102518,'Increases Defense and Parry of caster by 13.4',100,1,3),
(32252,102518,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(32253,10102518,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(32254,10102518,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,1),
(32255,10102518,'Increases Aggression of caster by 6.7',100,1,2),
(32256,10102518,'Increases Defense and Parry of caster by 13.4',100,1,3),
(32257,10102518,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(32258,118074,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(32259,118074,'Increases Defense of caster by 6.9',100,1,1),
(32260,10118074,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(32261,10118074,'Increases Defense of caster by 6.9',100,1,1),
(32262,112665,'Inflicts 2354 - 3258 disease damage on target',100,1,0),
(32263,112665,'Inflicts 1371 - 2276 disease damage on target',100,1,1),
(32264,112665,'Roots target',100,1,2),
(32265,112665,'If Target is not Epic',100,2,3),
(32266,112665,'15% chance to dispel when target takes damage',100,1,4),
(32267,112665,'If weapon equipped in Ranged',100,1,5),
(32268,112665,'Resistibility increases against targets higher than level 120.',100,1,6),
(32269,10112665,'Inflicts 1205 - 1740 disease damage on target',100,1,0),
(32270,10112665,'Inflicts 810 - 1345 disease damage on target',100,1,1),
(32271,10112665,'Roots target',100,1,2),
(32272,10112665,'If Target is not Epic',100,2,3),
(32273,10112665,'15% chance to dispel when target takes damage',100,1,4),
(32274,10112665,'If weapon equipped in Ranged',100,1,5),
(32275,10112665,'Resistibility increases against targets higher than level 120.',100,1,6),
(32276,121227,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(32277,121227,'Increases Defense and Deflection of caster by 4.6',100,1,1),
(32279,10121227,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(32280,10121227,'Increases Defense and Deflection of caster by 4.6',100,1,1),
(32281,10121227,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(32282,89840,'When Equipped:',100,0,0),
(32283,89840,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32284,89840,'Inflicts 107 - 130 poison damage on target instantly and every 4.8 seconds',100,2,2),
(32285,89840,'Cannot be modified except by direct means',100,2,3),
(32286,10089840,'When Equipped:',100,0,0),
(32287,10089840,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32288,10089840,'Inflicts 107 - 130 poison damage on target instantly and every 4.8 seconds',100,2,2),
(32289,10089840,'Cannot be modified except by direct means',100,2,3),
(32290,114919,'Inflicts 2407 - 3345 melee damage on target',100,1,0),
(32291,114919,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 960',100,1,1),
(32292,114919,'Must be behind',100,1,2),
(32293,10114919,'Inflicts 1517 - 2256 melee damage on target',100,1,0),
(32294,10114919,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 480',100,1,1),
(32295,10114919,'Must be behind',100,1,2),
(32296,48400,'Applies The Collected Potions when Activated.',100,0,0),
(32297,10048400,'Applies The Collected Potions when Activated.',100,0,0),
(32298,82250,'When Equipped:',100,0,0),
(32299,82250,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32300,82250,'Inflicts 55 - 102 magic damage on target',100,2,2),
(32301,82250,'Cannot be modified except by direct means',100,2,3),
(32302,10082250,'When Equipped:',100,0,0),
(32303,10082250,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32304,10082250,'Inflicts 55 - 102 magic damage on target',100,2,2),
(32305,10082250,'Cannot be modified except by direct means',100,2,3),
(32306,107846,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(32307,107846,'Slows target by 35.0%',100,2,1),
(32308,107846,'5% chance to dispel when target receives hostile action',100,2,2),
(32309,107846,'5% chance to dispel when target takes damage',100,2,3),
(32310,107846,'Decreases Mitigation of target vs arcane damage by 261',100,1,4),
(32311,10107846,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(32312,10107846,'Slows target by 35.0%',100,2,1),
(32313,10107846,'5% chance to dispel when target receives hostile action',100,2,2),
(32314,10107846,'5% chance to dispel when target takes damage',100,2,3),
(32315,10107846,'Decreases Mitigation of target vs arcane damage by 261',100,1,4),
(32316,123462,'Shapechanges caster into a bear',100,1,0),
(32317,123462,'Increases WIS of caster by 82.3',100,1,1),
(32318,123462,'Grants See Stealth to caster',100,1,2),
(32319,123462,'Increases Max Health of caster by 360.8',100,1,3),
(32320,123462,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1254',100,1,4),
(32321,10123462,'Shapechanges caster into a bear',100,1,0),
(32322,10123462,'Increases WIS of caster by 82.3',100,1,1),
(32323,10123462,'Grants See Stealth to caster',100,1,2),
(32324,10123462,'Increases Max Health of caster by 360.8',100,1,3),
(32325,10123462,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1254',100,1,4),
(32326,100491,'Increases Attack Speed of group members (AE) by 10.3',100,1,0),
(32327,10100491,'Increases Attack Speed of group members (AE) by 10.3',100,1,0),
(32328,88182,'When Equipped:',100,0,0),
(32329,88182,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(32330,88182,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,2),
(32331,88182,'Must not be engaged in pvp combat',100,2,3),
(32332,88182,'Cannot be modified except by direct means',100,2,4),
(32333,88182,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(32334,88182,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(32335,88182,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,7),
(32336,88182,'Must not be engaged in pvp combat',100,2,8),
(32337,88182,'Cannot be modified except by direct means',100,2,9),
(32338,88182,'Cannot be modified except by direct means',100,1,10),
(32339,10088182,'When Equipped:',100,0,0),
(32340,10088182,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(32341,10088182,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,2),
(32342,10088182,'Must not be engaged in pvp combat',100,2,3),
(32343,10088182,'Cannot be modified except by direct means',100,2,4),
(32344,10088182,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(32345,10088182,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(32346,10088182,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,7),
(32347,10088182,'Must not be engaged in pvp combat',100,2,8),
(32348,10088182,'Cannot be modified except by direct means',100,2,9),
(32349,10088182,'Cannot be modified except by direct means',100,1,10),
(32350,122500,'Inflicts 2940 - 4682 mental damage on targets in Area of Effect',100,1,0),
(32351,10122500,'Inflicts 2191 - 3563 mental damage on targets in Area of Effect',100,1,0),
(32352,80968,'When Equipped:',100,0,0),
(32353,80968,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32354,80968,'Inflicts 369 - 686 magic damage on target',100,2,2),
(32355,80968,'Cannot be modified except by direct means',100,2,3),
(32356,10080968,'When Equipped:',100,0,0),
(32357,10080968,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32358,10080968,'Inflicts 369 - 686 magic damage on target',100,2,2),
(32359,10080968,'Cannot be modified except by direct means',100,2,3),
(32360,100451,'Summons a pet flyingsnake familiar',100,1,0),
(32361,10100451,'Summons a pet flyingsnake familiar',100,1,0),
(32362,100116,'Decreases STR, AGI, WIS and INT of target by 36.7',100,1,0),
(32363,100116,'Decreases Max Health of target by 1.0%',100,1,1),
(32364,10100116,'Decreases STR, AGI, WIS and INT of target by 36.7',100,1,0),
(32365,10100116,'Decreases Max Health of target by 1.0%',100,1,1),
(32366,107947,'Mesmerizes target',100,1,0),
(32367,107947,'Prevents AOE (except when direct) ',100,1,1),
(32368,107947,'Dispelled when target takes damage',100,1,2),
(32369,107947,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(32370,107947,'Resistibility increases against targets higher than level 116.',100,1,4),
(32371,10107947,'Mesmerizes target',100,1,0),
(32372,10107947,'Prevents AOE (except when direct) ',100,1,1),
(32373,10107947,'Dispelled when target takes damage',100,1,2),
(32374,10107947,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(32375,10107947,'Resistibility increases against targets higher than level 116.',100,1,4),
(32376,109619,'Increases Defense of group members'' pets (AE) by 12.1',100,1,0),
(32377,109619,'Increases Mitigation of group members (AE) vs all damage by 194',100,1,1),
(32378,10109619,'Increases Defense of group members'' pets (AE) by 12.1',100,1,0),
(32379,10109619,'Increases Mitigation of group members (AE) vs all damage by 194',100,1,1),
(32380,111117,'Heals target for 20.5 - 25.1% of max health',100,1,0),
(32381,111117,'This effect cannot be critically applied.',100,2,1),
(32382,111117,'Increases Mitigation of target vs physical damage by 499',100,1,2),
(32383,111117,'The healing of this spell cannot be modified except by direct means',100,1,3),
(32384,10111117,'Heals target for 7.7 - 9.4% of max health',100,1,0),
(32385,10111117,'This effect cannot be critically applied.',100,2,1),
(32386,10111117,'Increases Mitigation of target vs physical damage by 499',100,1,2),
(32387,10111117,'The healing of this spell cannot be modified except by direct means',100,1,3),
(32388,113472,'Increases INT of target by 122.8',100,1,0),
(32389,113472,'Increases Max Health of target by 1,019.8',100,1,1),
(32390,10113472,'Increases INT of target by 122.8',100,1,0),
(32391,10113472,'Increases Max Health of target by 1,019.8',100,1,1),
(32392,154205,'When Equipped:',100,0,0),
(32393,154205,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(32394,154205,'Increases caster''s chance to block by 10.0%',100,2,2),
(32395,154205,'Cannot be modified except by direct means',100,2,3),
(32396,154205,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(32397,154205,'Increases caster''s chance to block by 10.0%',100,2,5),
(32398,154205,'Cannot be modified except by direct means',100,2,6),
(32399,154205,'When Equipped:',100,0,7),
(32400,154205,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(32401,154205,'Increases Potency of group members by 7.0%',100,2,9),
(32402,154205,'Cannot be modified except by direct means',100,2,10),
(32403,154205,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(32404,154205,'Increases Potency of group members by 7.0%',100,2,12),
(32405,154205,'Cannot be modified except by direct means',100,2,13),
(32406,154205,'Cannot be modified except by direct means',100,1,14),
(32407,10154205,'When Equipped:',100,0,0),
(32408,10154205,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(32409,10154205,'Increases caster''s chance to block by 10.0%',100,2,2),
(32410,10154205,'Cannot be modified except by direct means',100,2,3),
(32411,10154205,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(32412,10154205,'Increases caster''s chance to block by 10.0%',100,2,5),
(32413,10154205,'Cannot be modified except by direct means',100,2,6),
(32414,10154205,'When Equipped:',100,0,7),
(32415,10154205,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(32416,10154205,'Increases Potency of group members by 7.0%',100,2,9),
(32417,10154205,'Cannot be modified except by direct means',100,2,10),
(32418,10154205,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(32419,10154205,'Increases Potency of group members by 7.0%',100,2,12),
(32420,10154205,'Cannot be modified except by direct means',100,2,13),
(32421,10154205,'Cannot be modified except by direct means',100,1,14),
(32422,106711,'Heals target for 854 - 1044',100,1,0),
(32423,10106711,'Heals target for 713 - 871',100,1,0),
(32424,141800,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(32425,141800,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(32426,141800,'Inflicts 44 heat damage on target',100,2,2),
(32427,141800,'Cannot be modified except by direct means',100,2,3),
(32428,10141800,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(32429,10141800,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(32430,10141800,'Inflicts 44 heat damage on target',100,2,2),
(32431,10141800,'Cannot be modified except by direct means',100,2,3),
(32432,36116,'Increases speed of target by 40.0%',100,0,0),
(32433,36116,'Increases Out-of-Combat Power Regeneration of target by 126.0',100,0,1),
(32434,89051,'Applies Mental Blast when Activated.',100,0,0),
(32435,89051,'Inflicts 339 - 565 mental damage on target',100,1,1),
(32436,89051,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(32437,10089051,'Applies Mental Blast when Activated.',100,0,0),
(32438,10089051,'Inflicts 339 - 565 mental damage on target',100,1,1),
(32439,10089051,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(32440,110467,'Dazes targets in Area of Effect',100,1,0),
(32441,110467,'If Target is not Epic',100,2,1),
(32442,110467,'Decreases Threat to targets in Area of Effect by 10,892 ',100,1,2),
(32443,110467,'Dispelled when target receives hostile action',100,1,3),
(32444,110467,'Dispelled when target takes damage',100,1,4),
(32445,10110467,'Dazes targets in Area of Effect',100,1,0),
(32446,10110467,'If Target is not Epic',100,2,1),
(32447,10110467,'Applies Distract.',100,1,2),
(32448,10110467,'Forces target to clear their selected target.',100,2,3),
(32449,10110467,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(32450,10110467,'Dispelled when target receives hostile action',100,1,5),
(32451,10110467,'Dispelled when target takes damage',100,1,6),
(32452,106081,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(32453,10106081,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(32454,24091,'Adds Chardok: Iksar Skull Candle Holder to your Dungeon Maker toolbox',100,0,0),
(32455,10024091,'Adds Chardok: Iksar Skull Candle Holder to your Dungeon Maker toolbox',100,0,0),
(32456,47720,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(32457,47720,'Increases Max Health of caster by 190.3',100,1,1),
(32458,10047720,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(32459,10047720,'Increases Max Health of caster by 190.3',100,1,1),
(32460,114474,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(32461,114474,'Increases Attack Speed of caster by 21.0',100,130,1),
(32462,114474,'Increases Crushing, Ranged, Slashing and Piercing of caster by 39.7',100,130,2),
(32463,114474,'Inflicts 4724 - 7187 heat damage on target',100,1,3),
(32464,10114474,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(32465,10114474,'Increases Attack Speed of caster by 21.0',100,130,1),
(32466,10114474,'Increases Crushing, Ranged, Slashing and Piercing of caster by 39.7',100,130,2),
(32467,10114474,'Inflicts 3343 - 5285 heat damage on target',100,1,3),
(32468,37512,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(32469,115656,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 990',100,1,0),
(32470,10115656,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 990',100,1,0),
(32471,122836,'Inflicts 4246 - 6398 ranged damage on target',100,1,0),
(32472,122836,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(32473,122836,'Increases Hate Gain of target by 30.0%',100,2,2),
(32474,122836,'Grants a total of 1 trigger of the spell.',100,2,3),
(32475,122836,'Requires bow',100,1,4),
(32476,10122836,'Inflicts 2323 - 3596 ranged damage on target',100,1,0),
(32477,10122836,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(32478,10122836,'Grants a total of 1 trigger of the spell.',100,2,2),
(32479,10122836,'Requires bow',100,1,3),
(32480,139449,'Applies Determination of the Harvester when Activated.  Lasts for 12 hours.',100,0,0),
(32481,139449,'Shapechanges caster into a Rock',100,1,1),
(32482,139449,'Enlarges caster by 32.0%',100,1,2),
(32483,139449,'This effect suspends during combat',100,1,3),
(32484,139449,'The casting time of Determination of the Harvester is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,4),
(32485,139449,'When Equipped:',100,0,5),
(32486,139449,'Reduces maximum falling speed of caster',100,1,6),
(32487,10139449,'Applies Determination of the Harvester when Activated.  Lasts for 12 hours.',100,0,0),
(32488,10139449,'Shapechanges caster into a Rock',100,1,1),
(32489,10139449,'Enlarges caster by 32.0%',100,1,2),
(32490,10139449,'This effect suspends during combat',100,1,3),
(32491,10139449,'The casting time of Determination of the Harvester is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,4),
(32492,10139449,'When Equipped:',100,0,5),
(32493,10139449,'Reduces maximum falling speed of caster',100,1,6),
(32494,102129,'Inflicts 115 - 190 melee damage on target',100,1,0),
(32495,102129,'Inflicts 57 - 95 melee damage on target',100,1,1),
(32496,10102129,'Inflicts 103 - 170 melee damage on target',100,1,0),
(32497,10102129,'Inflicts 45 - 75 melee damage on target',100,1,1),
(32498,155902,'When Equipped:',100,0,0),
(32499,155902,'When damaged this spell has a 10% chance to cast Greater Averted Eyes on target''s attacker.  ',100,1,1),
(32500,155902,'Inflicts 500 - 612 divine damage on target',100,2,2),
(32501,155902,'This effect will not stack with Averted Eyes.',100,2,3),
(32502,155902,'Forces target to clear their selected target.',100,2,4),
(32503,155902,'Only affects targets level 90 and below',100,2,5),
(32504,155902,'Does not affect Epic targets',100,2,6),
(32505,155902,'Cannot be modified except by direct means',100,2,7),
(32506,155902,'This effect can only trigger once every 15 seconds.',100,2,8),
(32507,155902,'Cannot be modified except by direct means',100,1,9),
(32508,10155902,'When Equipped:',100,0,0),
(32509,10155902,'When damaged this spell has a 10% chance to cast Greater Averted Eyes on target''s attacker.  ',100,1,1),
(32510,10155902,'Inflicts 500 - 612 divine damage on target',100,2,2),
(32511,10155902,'This effect will not stack with Averted Eyes.',100,2,3),
(32512,10155902,'Forces target to clear their selected target.',100,2,4),
(32513,10155902,'Only affects targets level 90 and below',100,2,5),
(32514,10155902,'Does not affect Epic targets',100,2,6),
(32515,10155902,'Cannot be modified except by direct means',100,2,7),
(32516,10155902,'This effect can only trigger once every 15 seconds.',100,2,8),
(32517,10155902,'Cannot be modified except by direct means',100,1,9),
(32518,175130,'Applies Sacrilege when Equipped.',100,0,0),
(32519,175130,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(32520,10175130,'Applies Sacrilege when Equipped.',100,0,0),
(32521,10175130,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(32522,36486,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(32523,36338,'Increases AGI of target by 12.7',100,0,0),
(32524,36338,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(32525,113277,'Inflicts 50 - 83 heat damage on target',100,1,0),
(32526,10113277,'Inflicts 60 - 99 heat damage on target',100,1,0),
(32527,80137,'When Equipped:',100,0,0),
(32528,80137,'On a combat hit this spell may cast Frost Gale on target of attack.  Lasts for 0.2 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(32529,80137,'Inflicts 289 - 482 cold damage on targets in Area of Effect',100,2,2),
(32530,80137,'Throws target back',100,2,3),
(32531,80137,'Cannot be modified except by direct means',100,2,4),
(32532,10080137,'When Equipped:',100,0,0),
(32533,10080137,'On a combat hit this spell may cast Frost Gale on target of attack.  Lasts for 0.2 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(32534,10080137,'Inflicts 289 - 482 cold damage on targets in Area of Effect',100,2,2),
(32535,10080137,'Throws target back',100,2,3),
(32536,10080137,'Cannot be modified except by direct means',100,2,4),
(32537,71391,'When Equipped:',100,0,0),
(32538,71391,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32539,71391,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(32540,71391,'Cannot be modified except by direct means',100,2,3),
(32541,10071391,'When Equipped:',100,0,0),
(32542,10071391,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32543,10071391,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(32544,10071391,'Cannot be modified except by direct means',100,2,3),
(32545,138624,'Applies Codex of Rebirth when Activated.  Lasts for 58 minutes 20 seconds.',100,0,0),
(32546,138624,'On death this spell will cast Codex of Genesis on target.  ',100,1,1),
(32547,138624,'Your corpse will automatically resurrect 10 seconds after you die.',100,2,2),
(32548,138624,'Cannot be modified except by direct means',100,2,3),
(32549,138624,'Grants a total of 1 trigger of the spell.',100,2,4),
(32550,138624,'The casting time of Codex of Rebirth is 0.99 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,5),
(32551,10138624,'Applies Codex of Rebirth when Activated.  Lasts for 58 minutes 20 seconds.',100,0,0),
(32552,10138624,'On death this spell will cast Codex of Genesis on target.  ',100,1,1),
(32553,10138624,'Your corpse will automatically resurrect 10 seconds after you die.',100,2,2),
(32554,10138624,'Cannot be modified except by direct means',100,2,3),
(32555,10138624,'Grants a total of 1 trigger of the spell.',100,2,4),
(32556,10138624,'The casting time of Codex of Rebirth is 0.99 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,5),
(32557,124070,'Increases power of caster by 278',100,1,0),
(32558,10124070,'Increases power of caster by 278',100,1,0),
(32559,35612,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(32560,122786,'Heals target for 2096',100,1,0),
(32561,10122786,'Heals target for 1116',100,1,0),
(32562,104363,'Charms target',100,1,0),
(32563,104363,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(32564,104363,'Mesmerizes target',100,2,2),
(32565,104363,'Dispelled when target takes damage',100,2,3),
(32566,104363,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(32567,104363,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(32568,104363,'Grants Sonic Vision to caster',100,2,6),
(32569,104363,'Increases Out-of-Combat Power Regeneration of target by 54.1',100,1,7),
(32570,104363,'Increases Out-of-Combat Health Regeneration of target by 108.2',100,1,8),
(32571,104363,'Certain enemies cannot be charmed',100,1,9),
(32572,104363,'Does not affect Epic targets',100,1,10),
(32573,10104363,'Mesmerizes target',100,1,0),
(32574,10104363,'Prevents AOE (except when direct) ',100,1,1),
(32575,10104363,'Dispelled when target takes damage',100,1,2),
(32576,10104363,'Certain enemies cannot be charmed',100,1,3),
(32577,10104363,'Does not affect Epic targets',100,1,4),
(32578,10104363,'Resistibility increases against targets higher than level 103.',100,1,5),
(32579,123006,'Wards group members (AE) collectively against 6335 total points of all damage',100,1,0),
(32580,10123006,'Wards group members (AE) collectively against 6706 total points of all damage',100,1,0),
(32581,159789,'Applies Lambent Imbued when Equipped.',100,0,0),
(32582,159789,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(32583,159789,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(32584,159789,'Cannot be modified except by direct means',100,2,3),
(32585,10159789,'Applies Lambent Imbued when Equipped.',100,0,0),
(32586,10159789,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(32587,10159789,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(32588,10159789,'Cannot be modified except by direct means',100,2,3),
(32589,110923,'Inflicts 634 - 1052 divine damage on target',100,1,0),
(32590,110923,'Increases Threat to target by 4,669 ',100,1,1),
(32591,110923,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(32592,110923,'Stuns target',100,2,3),
(32593,110923,'Throws target back',100,2,4),
(32594,110923,'Blurs vision of target',100,2,5),
(32595,110923,'Does not affect Epic targets',100,2,6),
(32596,10110923,'Inflicts 500 - 829 divine damage on target',100,1,0),
(32597,10110923,'Prevents target from changing targets',100,1,1),
(32598,10110923,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(32599,10110923,'Blurs vision of target',100,2,3),
(32600,10110923,'Stuns target',100,2,4),
(32601,10110923,'Throws target back',100,2,5),
(32602,10110923,'Does not affect Epic targets',100,2,6),
(32603,10110923,'Forces target to change their selected target to caster.',100,1,7),
(32604,104227,'Decreases WIS of target encounter by 75.2',100,1,0),
(32605,104227,'Inflicts 994 mental damage on target encounter',100,1,1),
(32606,104227,'Inflicts 666 mental damage on target encounter every 6 seconds',100,1,2),
(32607,10104227,'Decreases WIS of target encounter by 75.2',100,1,0),
(32608,10104227,'Inflicts 656 mental damage on target encounter',100,1,1),
(32609,10104227,'Inflicts 525 mental damage on target encounter every 6 seconds',100,1,2),
(32610,123838,'Increases WIS and STR of group members (AE) by 15.0',100,1,0),
(32611,10123838,'Increases WIS and STR of group members (AE) by 15.0',100,1,0),
(32612,36554,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(32613,48042,'Applies Ghost Attractor when Activated.',100,0,0),
(32614,48042,'Updates a specific part of the Quest \"Specter Sweets\"',100,1,1),
(32615,10048042,'Applies Ghost Attractor when Activated.',100,0,0),
(32616,10048042,'Updates a specific part of the Quest \"Specter Sweets\"',100,1,1),
(32617,104758,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(32618,10104758,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(32619,74669,'When Equipped:',100,0,0),
(32620,74669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32621,74669,'Inflicts 85 - 128 magic damage on target',100,2,2),
(32622,74669,'Cannot be modified except by direct means',100,2,3),
(32623,10074669,'When Equipped:',100,0,0),
(32624,10074669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32625,10074669,'Inflicts 85 - 128 magic damage on target',100,2,2),
(32626,10074669,'Cannot be modified except by direct means',100,2,3),
(32627,111500,'Increases AGI of caster by 71.4',100,1,0),
(32628,111500,'Increases Attack Speed of caster by 33.6',100,1,1),
(32629,111500,'Increases in-combat movement speed of caster by 5.5%',100,1,2),
(32630,111500,'Adds 17.2% to base avoidance.',100,1,3),
(32631,111500,'Increases Mitigation of caster vs physical damage by 608',100,1,4),
(32632,111500,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,5),
(32633,10111500,'Increases AGI of caster by 71.4',100,1,0),
(32634,10111500,'Increases Attack Speed of caster by 33.6',100,1,1),
(32635,10111500,'Increases speed of caster by 5.5%',100,1,2),
(32636,10111500,'Adds 17.2% to base avoidance.',100,1,3),
(32637,10111500,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,4),
(32638,122416,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(32639,122416,'Inflicts 166 - 203 piercing damage on target encounter',100,2,1),
(32640,10122416,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(32641,10122416,'Inflicts 131 - 160 piercing damage on target encounter',100,2,1),
(32642,115070,'Heals target for 606 - 740',100,1,0),
(32643,115070,'Heals target for 36 - 44 every second',100,1,1),
(32644,10115070,'Heals target for 624 - 762',100,1,0),
(32645,10115070,'Heals target for 31 - 38 every second',100,1,1),
(32646,80879,'When Equipped:',100,0,0),
(32647,80879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32648,80879,'Inflicts 332 - 617 magic damage on target',100,2,2),
(32649,80879,'Cannot be modified except by direct means',100,2,3),
(32650,10080879,'When Equipped:',100,0,0),
(32651,10080879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32652,10080879,'Inflicts 332 - 617 magic damage on target',100,2,2),
(32653,10080879,'Cannot be modified except by direct means',100,2,3),
(32654,109687,'Inflicts 1733 - 1900 cold damage on target',100,1,0),
(32655,109687,'Inflicts 750 - 917 cold damage on target every 3 seconds',100,1,1),
(32656,10109687,'Inflicts 986 - 1118 cold damage on target',100,1,0),
(32657,10109687,'Inflicts 591 - 723 cold damage on target every 3 seconds',100,1,1),
(32658,105744,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(32659,105744,'Stuns target',100,2,1),
(32660,105744,'Throws target back',100,2,2),
(32661,105744,'Blurs vision of target',100,2,3),
(32662,105744,'Does not affect Epic targets',100,2,4),
(32663,105744,'Inflicts 3571 - 5707 melee damage on targets in area',100,1,5),
(32664,10105744,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(32665,10105744,'Blurs vision of target',100,2,1),
(32666,10105744,'Stuns target',100,2,2),
(32667,10105744,'Throws target back',100,2,3),
(32668,10105744,'Does not affect Epic targets',100,2,4),
(32669,10105744,'Inflicts 2688 - 4371 melee damage on targets in area',100,1,5),
(32670,46041,'Applies Elemental Growth Potion when Activated.',100,0,0),
(32671,10046041,'Applies Elemental Growth Potion when Activated.',100,0,0),
(32672,36057,'Increases STR of target by 4.3',100,0,0),
(32673,36057,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(32674,142824,'When Equipped:',100,0,0),
(32675,142824,'Increases Attack Speed of caster by 20.0',100,1,1),
(32676,10142824,'When Equipped:',100,0,0),
(32677,10142824,'Increases Attack Speed of caster by 20.0',100,1,1),
(32678,82839,'When Equipped:',100,0,0),
(32679,82839,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32680,82839,'Inflicts 449 - 834 magic damage on target',100,2,2),
(32681,82839,'Cannot be modified except by direct means',100,2,3),
(32682,10082839,'When Equipped:',100,0,0),
(32683,10082839,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32684,10082839,'Inflicts 449 - 834 magic damage on target',100,2,2),
(32685,10082839,'Cannot be modified except by direct means',100,2,3),
(32686,159891,'Applies Sanguine Imbued when Equipped.',100,0,0),
(32687,159891,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(32688,159891,'Inflicts 76 heat damage on target',100,2,2),
(32689,159891,'Cannot be modified except by direct means',100,2,3),
(32690,10159891,'Applies Sanguine Imbued when Equipped.',100,0,0),
(32691,10159891,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(32692,10159891,'Inflicts 76 heat damage on target',100,2,2),
(32693,10159891,'Cannot be modified except by direct means',100,2,3),
(32694,110973,'Inflicts 7979 - 12593 ranged damage on target',100,1,0),
(32695,110973,'I need to be stealthed!',100,1,1),
(32696,110973,'Requires bow',100,1,2),
(32697,10110973,'Inflicts 3496 - 5542 ranged damage on target',100,1,0),
(32698,10110973,'I need to be stealthed!',100,1,1),
(32699,10110973,'Requires bow',100,1,2),
(32700,36875,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(32701,82319,'When Equipped:',100,0,0),
(32702,82319,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32703,82319,'Inflicts 343 - 636 magic damage on target',100,2,2),
(32704,82319,'Cannot be modified except by direct means',100,2,3),
(32705,10082319,'When Equipped:',100,0,0),
(32706,10082319,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32707,10082319,'Inflicts 343 - 636 magic damage on target',100,2,2),
(32708,10082319,'Cannot be modified except by direct means',100,2,3),
(32709,121938,'Applies Tap on termination.',100,1,0),
(32710,121938,'Inflicts 6668 disease damage on target',100,2,1),
(32711,121938,'Heals caster for 4.9% of max health',100,2,2),
(32712,121938,'This effect cannot be critically applied.',100,3,3),
(32713,121938,'The healing of this spell cannot be modified except by direct means',100,2,4),
(32714,10121938,'Applies Tap on termination.',100,1,0),
(32715,10121938,'Inflicts 5193 disease damage on target',100,2,1),
(32716,10121938,'Heals caster for 1.7% of max health',100,2,2),
(32717,10121938,'This effect cannot be critically applied.',100,3,3),
(32718,10121938,'The healing of this spell cannot be modified except by direct means',100,2,4),
(32719,52859,'Applies Sanguine Imbued when Equipped.',100,0,0),
(32720,52859,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(32721,52859,'Inflicts 44 heat damage on target',100,2,2),
(32722,52859,'Cannot be modified except by direct means',100,2,3),
(32723,10052859,'Applies Sanguine Imbued when Equipped.',100,0,0),
(32724,10052859,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(32725,10052859,'Inflicts 44 heat damage on target',100,2,2),
(32726,10052859,'Cannot be modified except by direct means',100,2,3),
(32727,187303,'When Equipped:',100,0,0),
(32728,187303,'On a combat hit this spell may cast Aggravate II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(32729,187303,'Increases Threat to target by 1,160 ',100,2,2),
(32730,187303,'Cannot be modified except by direct means',100,2,3),
(32731,10187303,'When Equipped:',100,0,0),
(32732,10187303,'On a combat hit this spell may cast Aggravate II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(32733,10187303,'Cannot be modified except by direct means',100,2,2),
(32734,108967,'Increases INT of group members (AE) by 115.7',100,1,0),
(32735,108967,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.2',100,1,1),
(32736,10108967,'Increases INT of group members (AE) by 115.7',100,1,0),
(32737,10108967,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.2',100,1,1),
(32738,82726,'When Equipped:',100,0,0),
(32739,82726,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32740,82726,'Inflicts 210 - 391 magic damage on target',100,2,2),
(32741,82726,'Cannot be modified except by direct means',100,2,3),
(32742,10082726,'When Equipped:',100,0,0),
(32743,10082726,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32744,10082726,'Inflicts 210 - 391 magic damage on target',100,2,2),
(32745,10082726,'Cannot be modified except by direct means',100,2,3),
(32746,25059,'When Equipped:',100,0,0),
(32747,25059,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(32748,25059,'On a critical combat hit this spell may cast Draft of Velium on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(32749,25059,'Inflicts 2618 - 2894 poison damage on target',100,2,3),
(32750,25059,'Heals caster for 2356 - 2604',100,2,4),
(32751,25059,'When any damage is received this spell has a 10% chance to cast Draught of Stones on target''s attacker.  ',100,2,5),
(32752,25059,'Heals target for 2857 - 3158',100,3,6),
(32753,25059,'This effect cannot be critically applied.',100,4,7),
(32754,25059,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,8),
(32755,25059,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,9),
(32756,25059,'Cannot be modified except by direct means',100,2,10),
(32757,25059,'On a critical spell hit this spell may cast Draft of Velium on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,11),
(32758,25059,'Inflicts 2618 - 2894 poison damage on target',100,2,12),
(32759,25059,'Heals caster for 2356 - 2604',100,2,13),
(32760,25059,'When any damage is received this spell has a 10% chance to cast Draught of Stones on target''s attacker.  ',100,2,14),
(32761,25059,'Heals target for 2857 - 3158',100,3,15),
(32762,25059,'This effect cannot be critically applied.',100,4,16),
(32763,25059,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,17),
(32764,25059,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,18),
(32765,25059,'Cannot be modified except by direct means',100,2,19),
(32766,25059,'Must not be engaged in pvp combat',100,1,20),
(32767,25059,'Cannot be modified except by direct means',100,1,21),
(32768,10025059,'When Equipped:',100,0,0),
(32769,10025059,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(32770,10025059,'On a critical combat hit this spell may cast Draft of Velium on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(32771,10025059,'Inflicts 2618 - 2894 poison damage on target',100,2,3),
(32772,10025059,'Heals caster for 2757 - 3047',100,2,4),
(32773,10025059,'When any damage is received this spell has a 10% chance to cast Draught of Stones on target''s attacker.  ',100,2,5),
(32774,10025059,'Heals target for 2635 - 2912',100,3,6),
(32775,10025059,'This effect cannot be critically applied.',100,4,7),
(32776,10025059,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,8),
(32777,10025059,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,9),
(32778,10025059,'Cannot be modified except by direct means',100,2,10),
(32779,10025059,'On a critical spell hit this spell may cast Draft of Velium on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,11),
(32780,10025059,'Inflicts 2618 - 2894 poison damage on target',100,2,12),
(32781,10025059,'Heals caster for 2757 - 3047',100,2,13),
(32782,10025059,'When any damage is received this spell has a 10% chance to cast Draught of Stones on target''s attacker.  ',100,2,14),
(32783,10025059,'Heals target for 2635 - 2912',100,3,15),
(32784,10025059,'This effect cannot be critically applied.',100,4,16),
(32785,10025059,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,17),
(32786,10025059,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,18),
(32787,10025059,'Cannot be modified except by direct means',100,2,19),
(32788,10025059,'Must not be engaged in pvp combat',100,1,20),
(32789,10025059,'Cannot be modified except by direct means',100,1,21),
(32790,77422,'Applies Fire Ball when Activated.',100,0,0),
(32791,77422,'Inflicts 350 - 583 heat damage on target',100,1,1),
(32792,77422,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(32793,10077422,'Applies Fire Ball when Activated.',100,0,0),
(32794,10077422,'Inflicts 350 - 583 heat damage on target',100,1,1),
(32795,10077422,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(32796,109181,'Applies Blind.  Lasts for 8.0 seconds.',100,1,0),
(32797,109181,'Dazes target',100,2,1),
(32798,109181,'Blurs vision of target',100,2,2),
(32799,109181,'Dispelled when target takes damage',100,2,3),
(32800,109181,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,4),
(32801,109181,'Roots target',100,1,5),
(32802,109181,'5% chance to dispel when target takes damage',100,1,6),
(32803,109181,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,7),
(32804,109181,'Resistibility increases against targets higher than level 90.',100,1,8),
(32805,10109181,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(32806,10109181,'Dazes target',100,2,1),
(32807,10109181,'Blurs vision of target',100,2,2),
(32808,10109181,'Dispelled when target takes damage',100,2,3),
(32809,10109181,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(32810,10109181,'Roots target',100,1,5),
(32811,10109181,'5% chance to dispel when target takes damage',100,1,6),
(32812,10109181,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(32813,10109181,'Resistibility increases against targets higher than level 90.',100,1,8),
(32814,170516,'When Equipped:',100,0,0),
(32815,170516,'Increases Attack Speed of caster by 40.0',100,1,1),
(32816,10170516,'When Equipped:',100,0,0),
(32817,10170516,'Increases Attack Speed of caster by 40.0',100,1,1),
(32818,118415,'Heals target for 2320 - 2836',100,1,0),
(32819,118415,'Increases Max Health of target by 91.4',100,1,1),
(32820,10118415,'Heals target for 1671 - 1985',100,1,0),
(32821,10118415,'Increases Max Health of target by 91.4',100,1,1),
(32822,47664,'Applies Quel''ule Cocktail when Activated.  Lasts for 10.0 seconds.',100,0,0),
(32823,47664,'Inflicts 1560 mental damage on target encounter',100,1,1),
(32824,47664,'Inflicts 1560 disease damage on target encounter',100,1,2),
(32825,47664,'Inflicts 1560 cold damage on target encounter',100,1,3),
(32826,47664,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 4914',100,1,4),
(32827,47664,'Only affects targets level 50 and above',100,1,5),
(32828,10047664,'Applies Quel''ule Cocktail when Activated.  Lasts for 10.0 seconds.',100,0,0),
(32829,10047664,'Decreases Mitigation of target encounter vs elemental damage by 1966',100,1,1),
(32830,10047664,'Inflicts 1300 cold damage on target encounter',100,1,2),
(32831,10047664,'Only affects targets level 50 and above',100,1,3),
(32832,105238,'Decreases STR and INT of target by 72.6',100,1,0),
(32833,105238,'Only affects targets level 20 and above',100,1,1),
(32834,10105238,'Decreases STR and INT of target by 72.6',100,1,0),
(32835,10105238,'Only affects targets level 20 and above',100,1,1),
(32836,124682,'Inflicts 1601 - 1739 cold damage on target',100,1,0),
(32837,124682,'Inflicts 619 - 756 cold damage on target every 4 seconds',100,1,1),
(32838,124682,'Slows target by 75.0%',100,1,2),
(32839,10124682,'Inflicts 882 - 991 cold damage on target',100,1,0),
(32840,10124682,'Inflicts 424 - 518 cold damage on target every 4 seconds',100,1,1),
(32841,10124682,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(32842,10124682,'Slows target by 75.0%',100,2,3),
(32843,159518,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(32844,159518,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(32845,159518,'Inflicts 190 heat damage on target',100,2,2),
(32846,159518,'Cannot be modified except by direct means',100,2,3),
(32847,10159518,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(32848,10159518,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(32849,10159518,'Inflicts 190 heat damage on target',100,2,2),
(32850,10159518,'Cannot be modified except by direct means',100,2,3),
(32851,176651,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(32852,176651,'Decreases AGI, INT, WIS and STR of target by 16.0',100,1,1),
(32853,176651,'Decreases Max Health of target by 1.0%',100,1,2),
(32854,176651,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(32855,10176651,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(32856,10176651,'Decreases AGI, INT, WIS and STR of target by 16.0',100,1,1),
(32857,10176651,'Decreases Max Health of target by 1.0%',100,1,2),
(32858,10176651,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(32859,159517,'Applies Lambent Imbued when Equipped.',100,0,0),
(32860,159517,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(32861,159517,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(32862,159517,'Cannot be modified except by direct means',100,2,3),
(32863,10159517,'Applies Lambent Imbued when Equipped.',100,0,0),
(32864,10159517,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(32865,10159517,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(32866,10159517,'Cannot be modified except by direct means',100,2,3),
(32867,144665,'When Equipped:',100,0,0),
(32868,144665,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(32869,144665,'Inflicts 2648 piercing damage on target',100,2,2),
(32870,144665,'Cannot be modified except by direct means',100,2,3),
(32871,10144665,'When Equipped:',100,0,0),
(32872,10144665,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(32873,10144665,'Inflicts 1324 piercing damage on target',100,2,2),
(32874,10144665,'Cannot be modified except by direct means',100,2,3),
(32875,109791,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(32876,109791,'Heals group members (AE) for 1341',100,2,1),
(32877,10109791,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(32878,10109791,'Heals group members (AE) for 679',100,2,1),
(32879,180885,'When Equipped:',100,0,0),
(32880,180885,'Increases radius of beneficial songs by 5m.',100,1,1),
(32881,10180885,'When Equipped:',100,0,0),
(32882,10180885,'Increases radius of beneficial songs by 5m.',100,1,1),
(32883,109397,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(32884,109397,'Inflicts 370 - 453 cold damage on target',100,2,1),
(32885,109397,'Slows target by 40.7%',100,2,2),
(32886,109397,'5% chance to dispel when target receives hostile action',100,2,3),
(32887,109397,'5% chance to dispel when target takes damage',100,2,4),
(32888,10109397,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(32889,10109397,'Slows target by 40.7%',100,2,1),
(32890,10109397,'Inflicts 292 - 357 cold damage on target',100,2,2),
(32891,10109397,'5% chance to dispel when target receives hostile action',100,2,3),
(32892,10109397,'5% chance to dispel when target takes damage',100,2,4),
(32893,24396,'Adds Elite: Genie (Paladin) to your Dungeon Maker toolbox',100,0,0),
(32894,10024396,'Adds Elite: Genie (Paladin) to your Dungeon Maker toolbox',100,0,0),
(32895,103736,'Increases Max Health of raid and group members (AE) by 502.7',100,1,0),
(32896,103736,'Increases Defense of raid and group members (AE) by 17.0',100,1,1),
(32897,10103736,'Increases Max Health of raid and group members (AE) by 502.7',100,1,0),
(32898,10103736,'Increases Defense of raid and group members (AE) by 17.0',100,1,1),
(32899,106765,'Mesmerizes target',100,1,0),
(32900,106765,'Prevents AOE (except when direct) ',100,1,1),
(32901,106765,'Dispelled when target takes damage',100,1,2),
(32902,106765,'Does not affect Epic targets',100,1,3),
(32903,106765,'Resistibility increases against targets higher than level 69.',100,1,4),
(32904,10106765,'Mesmerizes target',100,1,0),
(32905,10106765,'Prevents AOE (except when direct) ',100,1,1),
(32906,10106765,'Dispelled when target takes damage',100,1,2),
(32907,10106765,'Does not affect Epic targets',100,1,3),
(32908,10106765,'Resistibility increases against targets higher than level 69.',100,1,4),
(32909,104393,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(32910,104393,'Inflicts 1045 - 1277 cold damage on target',100,2,1),
(32911,10104393,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(32912,10104393,'Inflicts 824 - 1007 cold damage on target',100,2,1),
(32913,81528,'When Equipped:',100,0,0),
(32914,81528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32915,81528,'Inflicts 215 - 399 magic damage on target',100,2,2),
(32916,81528,'Cannot be modified except by direct means',100,2,3),
(32917,10081528,'When Equipped:',100,0,0),
(32918,10081528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32919,10081528,'Inflicts 215 - 399 magic damage on target',100,2,2),
(32920,10081528,'Cannot be modified except by direct means',100,2,3),
(32921,51336,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(32922,51336,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(32923,51336,'Inflicts 62 heat damage on target',100,2,2),
(32924,51336,'Cannot be modified except by direct means',100,2,3),
(32925,10051336,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(32926,10051336,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(32927,10051336,'Inflicts 62 heat damage on target',100,2,2),
(32928,10051336,'Cannot be modified except by direct means',100,2,3),
(32929,87112,'When Equipped:',100,0,0),
(32930,87112,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32931,87112,'Inflicts 305 - 457 magic damage on target',100,2,2),
(32932,87112,'Cannot be modified except by direct means',100,2,3),
(32933,10087112,'When Equipped:',100,0,0),
(32934,10087112,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(32935,10087112,'Inflicts 305 - 457 magic damage on target',100,2,2),
(32936,10087112,'Cannot be modified except by direct means',100,2,3),
(32937,26717,'Applies Greater Cognent I when Equipped.',100,0,0),
(32938,26717,'\\#FF0000This effect will not stack with any rank or tier of itself. \\/c',100,1,1),
(32939,26717,'Increases Potency of caster by 4.0%',100,1,2),
(32940,26717,'Must not be engaged in pvp combat',100,1,3),
(32941,10026717,'Applies Greater Cognent I when Equipped.',100,0,0),
(32942,10026717,'\\#FF0000This effect will not stack with any rank or tier of itself. \\/c',100,1,1),
(32943,10026717,'Increases Potency of caster by 4.0%',100,1,2),
(32944,10026717,'Must not be engaged in pvp combat',100,1,3),
(32945,107835,'Causes 12% Threat to transfer to target when in combat',100,1,0),
(32946,107835,'Increases Hate Gain of target by 11.8%',100,1,1),
(32947,71495,'When Equipped:',100,0,0),
(32948,71495,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32949,71495,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(32950,71495,'Cannot be modified except by direct means',100,2,3),
(32951,10071495,'When Equipped:',100,0,0),
(32952,10071495,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(32953,10071495,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(32954,10071495,'Cannot be modified except by direct means',100,2,3),
(32955,26120,'When Equipped:',100,0,0),
(32956,26120,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(32957,26120,'Adds 10% max health to the pet when Rending V is active.',100,1,2),
(32958,10026120,'When Equipped:',100,0,0),
(32959,10026120,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(32960,10026120,'Adds 10% max health to the pet when Rending V is active.',100,1,2),
(32961,159645,'When Equipped:',100,0,0),
(32962,159645,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(32963,159645,'Increases AGI of caster by 11.4',100,2,2),
(32964,159645,'Increases Attack Speed of caster by 17.1',100,2,3),
(32965,159645,'Cannot be modified except by direct means',100,2,4),
(32966,10159645,'When Equipped:',100,0,0),
(32967,10159645,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(32968,10159645,'Increases AGI of caster by 11.4',100,2,2),
(32969,10159645,'Increases Attack Speed of caster by 17.1',100,2,3),
(32970,10159645,'Cannot be modified except by direct means',100,2,4),
(32971,121332,'Inflicts 9378 - 15347 ranged damage on targets in area',100,1,0),
(32972,121332,'Requires bow',100,1,1),
(32973,10121332,'Inflicts 4947 - 8122 ranged damage on targets in area',100,1,0),
(32974,10121332,'Requires bow',100,1,1),
(32975,37025,'Increases INT of target by 4.3',100,0,0),
(32976,37025,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(32977,25890,'When Equipped:',100,0,0),
(32978,25890,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(32979,25890,'Adds 5 Crit Bonus to Velocity IV.',100,1,2),
(32980,10025890,'When Equipped:',100,0,0),
(32981,10025890,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(32982,10025890,'Adds 5 Crit Bonus to Velocity IV.',100,1,2),
(32983,122625,'Makes target afraid',100,1,0),
(32984,122625,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(32985,122625,'Mesmerizes target',100,2,2),
(32986,122625,'Decreases Threat to target by 2,943  instantly and Decreases Threat by 2,943  every 2.2 seconds thereafter',100,2,3),
(32987,122625,'Dispelled when target takes damage',100,2,4),
(32988,122625,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(32989,122625,'Resistibility increases against targets higher than level 104.',100,2,6),
(32990,122625,'30% chance to dispel when target takes damage',100,1,7),
(32991,122625,'Does not affect Epic targets',100,1,8),
(32992,122625,'Resistibility increases against targets higher than level 104.',100,1,9),
(32993,10122625,'Makes target afraid',100,1,0),
(32994,10122625,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(32995,10122625,'Mesmerizes target',100,2,2),
(32996,10122625,'Applies Distract.',100,2,3),
(32997,10122625,'Forces target to clear their selected target.',100,3,4),
(32998,10122625,'Dispelled when target takes damage',100,2,5),
(32999,10122625,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(33000,10122625,'Resistibility increases against targets higher than level 104.',100,2,7),
(33001,10122625,'30% chance to dispel when target takes damage',100,1,8),
(33002,10122625,'Does not affect Epic targets',100,1,9),
(33003,10122625,'Resistibility increases against targets higher than level 104.',100,1,10),
(33004,159888,'Applies Lambent Imbued when Equipped.',100,0,0),
(33005,159888,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33006,159888,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(33007,159888,'Cannot be modified except by direct means',100,2,3),
(33008,10159888,'Applies Lambent Imbued when Equipped.',100,0,0),
(33009,10159888,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33010,10159888,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(33011,10159888,'Cannot be modified except by direct means',100,2,3),
(33012,105720,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(33013,105720,'Stuns target',100,2,1),
(33014,105720,'Throws target back',100,2,2),
(33015,105720,'Blurs vision of target',100,2,3),
(33016,105720,'Does not affect Epic targets',100,2,4),
(33017,105720,'Inflicts 999 - 1441 melee damage on targets in area',100,1,5),
(33018,10105720,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(33019,10105720,'Stuns target',100,2,1),
(33020,10105720,'Throws target back',100,2,2),
(33021,10105720,'Blurs vision of target',100,2,3),
(33022,10105720,'Does not affect Epic targets',100,2,4),
(33023,10105720,'Inflicts 660 - 1009 melee damage on targets in area',100,1,5),
(33024,116088,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(33025,116088,'Heals target for 448 - 548',100,2,1),
(33026,116088,'Grants a total of 5 triggers of the spell.',100,2,2),
(33027,10116088,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(33028,10116088,'Heals target for 239 - 292',100,2,1),
(33029,10116088,'Grants a total of 5 triggers of the spell.',100,2,2),
(33030,71597,'When Equipped:',100,0,0),
(33031,71597,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33032,71597,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(33033,71597,'Cannot be modified except by direct means',100,2,3),
(33034,10071597,'When Equipped:',100,0,0),
(33035,10071597,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33036,10071597,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(33037,10071597,'Cannot be modified except by direct means',100,2,3),
(33038,101729,'Mesmerizes target',100,1,0),
(33039,101729,'Prevents AOE (except when direct) ',100,1,1),
(33040,101729,'Mesmerizes caster',100,1,2),
(33041,101729,'Dispelled when target takes damage',100,1,3),
(33042,101729,'Does not affect Epic targets',100,1,4),
(33043,101729,'Resistibility increases against targets higher than level 96.',100,1,5),
(33044,10101729,'Mesmerizes target',100,1,0),
(33045,10101729,'Prevents AOE (except when direct) ',100,1,1),
(33046,10101729,'Mesmerizes caster',100,1,2),
(33047,10101729,'Dispelled when target takes damage',100,1,3),
(33048,10101729,'Does not affect Epic targets',100,1,4),
(33049,10101729,'Resistibility increases against targets higher than level 96.',100,1,5),
(33050,81551,'When Equipped:',100,0,0),
(33051,81551,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(33052,81551,'Inflicts 215 - 399 magic damage on target',100,2,2),
(33053,81551,'Decreases Threat to target by 376 ',100,2,3),
(33054,81551,'Must be flanking or behind',100,3,4),
(33055,81551,'Increases Threat to target by 658 ',100,2,5),
(33056,81551,'Must be in front of',100,3,6),
(33057,81551,'Cannot be modified except by direct means',100,2,7),
(33058,10081551,'When Equipped:',100,0,0),
(33059,10081551,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(33060,10081551,'Inflicts 215 - 399 magic damage on target',100,2,2),
(33061,10081551,'Cannot be modified except by direct means',100,2,3),
(33062,110741,'Summons a limited pet to aid the caster',100,1,0),
(33063,10110741,'Summons a limited pet to aid the caster',100,1,0),
(33064,35211,'Increases Max Power of target by 68.2',100,0,0),
(33065,35211,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(33066,100365,'Increases Max Health of target by 836.5',100,1,0),
(33067,100365,'Increases Crushing, Piercing, Slashing and Ranged of target by 12.0',100,1,1),
(33068,10100365,'Increases Max Health of target by 836.5',100,1,0),
(33069,10100365,'Increases Crushing, Piercing, Slashing and Ranged of target by 12.0',100,1,1),
(33070,46214,'Applies Petamorph: Vampire Lord when Activated.  Lasts for 2 hours.',100,0,0),
(33071,46214,'Turns the caster''s combat pet into a vampire lord. Does not work on cosmetic pets.',100,1,1),
(33072,10046214,'Applies Petamorph: Vampire Lord when Activated.  Lasts for 2 hours.',100,0,0),
(33073,10046214,'Turns the caster''s combat pet into a vampire lord. Does not work on cosmetic pets.',100,1,1),
(33074,107691,'Inflicts 532 - 880 heat damage on target',100,1,0),
(33075,107691,'You must be sneaking to use this ability.',100,1,1),
(33076,10107691,'Inflicts 475 - 741 heat damage on target',100,1,0),
(33077,10107691,'You must be sneaking to use this ability.',100,1,1),
(33078,120581,'Inflicts 268 - 498 heat damage on target',100,1,0),
(33079,10120581,'Inflicts 230 - 427 heat damage on target',100,1,0),
(33080,46596,'Applies Griblok''s Restoration when Activated.',100,0,0),
(33081,46596,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(33082,10046596,'Applies Griblok''s Restoration when Activated.',100,0,0),
(33083,10046596,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(33084,100418,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(33085,100418,'Inflicts 214 - 357 slashing damage on target',100,2,1),
(33086,100418,'Increases Threat to target by 676 ',100,2,2),
(33087,100418,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(33088,100418,'Increases Threat to target by 676 ',100,2,4),
(33089,100418,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 547',100,1,5),
(33090,10100418,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(33091,10100418,'Inflicts 169 - 282 slashing damage on target',100,2,1),
(33092,10100418,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(33093,10100418,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 547',100,1,3),
(33094,131794,'When Equipped:',100,0,0),
(33095,131794,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(33096,131794,'Increases Max Health of caster by 1,220.0',100,1,2),
(33097,131794,'Cannot be modified except by direct means',100,1,3),
(33098,10131794,'When Equipped:',100,0,0),
(33099,10131794,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(33100,10131794,'Increases Max Health of caster by 1,220.0',100,1,2),
(33101,10131794,'Cannot be modified except by direct means',100,1,3),
(33102,100539,'Heals group members (AE) for 1897 - 2315',100,1,0),
(33103,10100539,'Heals group members (AE) for 1641 - 1987',100,1,0),
(33104,101091,'Increases Mitigation of raid and group members (AE) vs arcane damage by 336',100,1,0),
(33105,10101091,'Increases Mitigation of raid and group members (AE) vs arcane damage by 336',100,1,0),
(33106,122443,'Inflicts 2868 - 4169 magic damage on target',100,1,0),
(33107,10122443,'Inflicts 1901 - 2906 magic damage on target',100,1,0),
(33108,107504,'Inflicts 4448 - 12689 magic damage on targets in Area of Effect',100,1,0),
(33109,107504,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(33110,107504,'Stuns target',100,2,2),
(33111,107504,'Throws target back',100,2,3),
(33112,107504,'Blurs vision of target',100,2,4),
(33113,107504,'Does not affect Epic targets',100,2,5),
(33114,10107504,'Inflicts 3379 - 9874 magic damage on targets in Area of Effect',100,1,0),
(33115,10107504,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(33116,10107504,'Stuns target',100,2,2),
(33117,10107504,'Throws target back',100,2,3),
(33118,10107504,'Blurs vision of target',100,2,4),
(33119,10107504,'Does not affect Epic targets',100,2,5),
(33120,36193,'Increases Out-of-Combat Power Regeneration of target by 24.0',100,0,0),
(33121,83622,'When Equipped:',100,0,0),
(33122,83622,'On a hostile spell cast this spell may cast Karana''s Blade on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(33123,83622,'Inflicts 388 - 581 magic damage on target',100,2,2),
(33124,83622,'Cannot be modified except by direct means',100,2,3),
(33125,10083622,'When Equipped:',100,0,0),
(33126,10083622,'On a hostile spell cast this spell may cast Karana''s Blade on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(33127,10083622,'Inflicts 388 - 581 magic damage on target',100,2,2),
(33128,10083622,'Cannot be modified except by direct means',100,2,3),
(33129,109692,'Inflicts 1668 - 1821 cold damage on target',100,1,0),
(33130,109692,'Inflicts 686 - 838 cold damage on target every 3 seconds',100,1,1),
(33131,10109692,'Inflicts 935 - 1055 cold damage on target',100,1,0),
(33132,10109692,'Inflicts 541 - 661 cold damage on target every 3 seconds',100,1,1),
(33133,104335,'Charms target',100,1,0),
(33134,104335,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(33135,104335,'Mesmerizes target',100,2,2),
(33136,104335,'Dispelled when target takes damage',100,2,3),
(33137,104335,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(33138,104335,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(33139,104335,'Grants Sonic Vision to caster',100,2,6),
(33140,104335,'Increases Out-of-Combat Power Regeneration of target by 8.4',100,1,7),
(33141,104335,'Increases Out-of-Combat Health Regeneration of target by 16.8',100,1,8),
(33142,104335,'Certain enemies cannot be charmed',100,1,9),
(33143,104335,'Does not affect Epic targets',100,1,10),
(33144,10104335,'Mesmerizes target',100,1,0),
(33145,10104335,'Prevents AOE (except when direct) ',100,1,1),
(33146,10104335,'Dispelled when target takes damage',100,1,2),
(33147,10104335,'Certain enemies cannot be charmed',100,1,3),
(33148,10104335,'Does not affect Epic targets',100,1,4),
(33149,10104335,'Resistibility increases against targets higher than level 49.',100,1,5),
(33150,36757,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(33151,87565,'Applies Poison Bolt when Activated.',100,0,0),
(33152,87565,'Inflicts 99 - 164 poison damage on target',100,1,1),
(33153,87565,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(33154,10087565,'Applies Poison Bolt when Activated.',100,0,0),
(33155,10087565,'Inflicts 99 - 164 poison damage on target',100,1,1),
(33156,10087565,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(33157,108046,'Inflicts 1627 magic damage on target',100,1,0),
(33158,108046,'Increases power of caster by 182',100,1,1),
(33159,10108046,'Inflicts 1249 magic damage on target',100,1,0),
(33160,10108046,'Increases power of caster by 182',100,1,1),
(33161,47549,'Applies Poison Inoculation Potion when Activated.',100,0,0),
(33162,10047549,'Applies Poison Inoculation Potion when Activated.',100,0,0),
(33163,106256,'Wards target against 1280 points of all damage',100,1,0),
(33164,10106256,'Wards target against 1050 points of all damage',100,1,0),
(33165,103843,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(33166,103843,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(33167,103843,'Increases Ability Casting Speed of raid and group members (AE) by 7.4%',100,1,2),
(33168,103843,'Increases Attack Speed of raid and group members (AE) by 18.4',100,1,3),
(33169,10103843,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(33170,10103843,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(33171,10103843,'Increases Ability Casting Speed of raid and group members (AE) by 7.4%',100,1,2),
(33172,10103843,'Increases Attack Speed of raid and group members (AE) by 18.4',100,1,3),
(33173,86501,'Applies Holy Strike when Activated.',100,0,0),
(33174,86501,'Inflicts 536 - 894 divine damage on target',100,1,1),
(33175,86501,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(33176,10086501,'Applies Holy Strike when Activated.',100,0,0),
(33177,10086501,'Inflicts 536 - 894 divine damage on target',100,1,1),
(33178,10086501,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(33179,110663,'Heals target for 509',100,1,0),
(33180,110663,'Dispels 14 levels of any hostile effects on target',100,1,1),
(33181,10110663,'Heals target for 284',100,1,0),
(33182,10110663,'Dispels 14 levels of any hostile effects on target',100,1,1),
(33183,53118,'When Equipped:',100,0,0),
(33184,53118,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(33185,53118,'This effect suspends during combat',100,1,2),
(33186,10053118,'When Equipped:',100,0,0),
(33187,10053118,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(33188,10053118,'This effect suspends during combat',100,1,2),
(33189,24382,'Adds Froglok-Undead (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(33190,10024382,'Adds Froglok-Undead (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(33191,121400,'Inflicts 3750 - 4365 magic damage on target',100,1,0),
(33192,121400,'Inflicts 2768 - 3383 magic damage on target every 8 seconds',100,1,1),
(33193,121400,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(33194,121400,'Stuns target',100,2,3),
(33195,121400,'Throws target back',100,2,4),
(33196,121400,'Blurs vision of target',100,2,5),
(33197,121400,'Does not affect Epic targets',100,2,6),
(33198,10121400,'Inflicts 2576 - 3061 magic damage on target',100,1,0),
(33199,10121400,'Inflicts 2182 - 2666 magic damage on target every 8 seconds',100,1,1),
(33200,10121400,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(33201,10121400,'Stuns target',100,2,3),
(33202,10121400,'Throws target back',100,2,4),
(33203,10121400,'Blurs vision of target',100,2,5),
(33204,10121400,'Does not affect Epic targets',100,2,6),
(33205,37387,'Increases STA and INT of target by 4.6',100,0,0),
(33206,37387,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,1),
(33207,101636,'Applies Forceful Headache on termination.',100,1,0),
(33208,101636,'Inflicts 1314 - 2190 mental damage on target',100,2,1),
(33209,101636,'If over 50% power',100,3,2),
(33210,101636,'Inflicts 1433 - 1533 mental damage on target',100,1,3),
(33211,101636,'Inflicts 451 - 551 mental damage on target every 6 seconds',100,1,4),
(33212,101636,'Decreases Mitigation of target vs arcane damage by 700',100,1,5),
(33213,10101636,'Applies Forceful Headache on termination.',100,1,0),
(33214,10101636,'Inflicts 1019 - 1611 mental damage on target',100,2,1),
(33215,10101636,'If over 50% power',100,3,2),
(33216,10101636,'Inflicts 750 - 829 mental damage on target',100,1,3),
(33217,10101636,'Inflicts 355 - 434 mental damage on target every 6 seconds',100,1,4),
(33218,10101636,'Decreases Mitigation of target vs arcane damage by 700',100,1,5),
(33219,109648,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(33220,109648,'Inflicts 124 - 230 poison damage on target encounter',100,2,1),
(33221,10109648,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(33222,10109648,'Inflicts 98 - 181 poison damage on target encounter',100,2,1),
(33223,41609,'When Equipped:',100,0,0),
(33224,41609,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(33225,41609,'Inflicts 523 - 972 magic damage on target',100,2,2),
(33226,41609,'Decreases Threat to target by 994 ',100,2,3),
(33227,41609,'Must be flanking or behind',100,3,4),
(33228,41609,'Increases Threat to target by 1,454 ',100,2,5),
(33229,41609,'Must be in front of',100,3,6),
(33230,41609,'Cannot be modified except by direct means',100,2,7),
(33231,10041609,'When Equipped:',100,0,0),
(33232,10041609,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(33233,10041609,'Inflicts 523 - 972 magic damage on target',100,2,2),
(33234,10041609,'Cannot be modified except by direct means',100,2,3),
(33235,121349,'Inflicts 212 - 259 magic damage on target encounter',100,1,0),
(33236,10121349,'Inflicts 173 - 212 magic damage on target encounter',100,1,0),
(33237,81876,'When Equipped:',100,0,0),
(33238,81876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33239,81876,'Inflicts 210 - 391 magic damage on target',100,2,2),
(33240,81876,'Cannot be modified except by direct means',100,2,3),
(33241,10081876,'When Equipped:',100,0,0),
(33242,10081876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33243,10081876,'Inflicts 210 - 391 magic damage on target',100,2,2),
(33244,10081876,'Cannot be modified except by direct means',100,2,3),
(33245,118744,'Increases INT and WIS of group members (AE) by 10.4',100,1,0),
(33246,118744,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 32',100,1,1),
(33247,10118744,'Increases INT and WIS of group members (AE) by 10.4',100,1,0),
(33248,10118744,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 32',100,1,1),
(33249,25036,'When Equipped:',100,0,0),
(33250,25036,'Increases Max Health of caster by 300.0',100,1,1),
(33251,10025036,'When Equipped:',100,0,0),
(33252,10025036,'Increases Max Health of caster by 300.0',100,1,1),
(33253,37404,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(33254,117620,'Inflicts 3667 - 5438 ranged damage on target',100,1,0),
(33255,117620,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(33256,117620,'Slows target by 54.0%',100,2,2),
(33257,117620,'5% chance to dispel when target receives hostile action',100,2,3),
(33258,117620,'5% chance to dispel when target takes damage',100,2,4),
(33259,117620,'Must be flanking or behind',100,1,5),
(33260,117620,'Requires bow',100,1,6),
(33261,10117620,'Inflicts 1981 - 3028 ranged damage on target',100,1,0),
(33262,10117620,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(33263,10117620,'Slows target by 54.0%',100,2,2),
(33264,10117620,'5% chance to dispel when target receives hostile action',100,2,3),
(33265,10117620,'5% chance to dispel when target takes damage',100,2,4),
(33266,10117620,'Must be flanking or behind',100,1,5),
(33267,10117620,'Requires bow',100,1,6),
(33268,110942,'Inflicts 1117 - 1853 divine damage on target',100,1,0),
(33269,110942,'Increases Threat to target by 6,760 ',100,1,1),
(33270,110942,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(33271,110942,'Stuns target',100,2,3),
(33272,110942,'Throws target back',100,2,4),
(33273,110942,'Blurs vision of target',100,2,5),
(33274,110942,'Does not affect Epic targets',100,2,6),
(33275,10110942,'Inflicts 880 - 1368 divine damage on target',100,1,0),
(33276,10110942,'Prevents target from changing targets',100,1,1),
(33277,10110942,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(33278,10110942,'Stuns target',100,2,3),
(33279,10110942,'Blurs vision of target',100,2,4),
(33280,10110942,'Throws target back',100,2,5),
(33281,10110942,'Does not affect Epic targets',100,2,6),
(33282,10110942,'Forces target to change their selected target to caster.',100,1,7),
(33283,114452,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(33284,114452,'Increases Attack Speed of caster by 21.0',100,130,1),
(33285,114452,'Increases Crushing, Slashing, Ranged and Piercing of caster by 14.0',100,130,2),
(33286,114452,'Inflicts 1103 - 1829 heat damage on target',100,1,3),
(33287,10114452,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(33288,10114452,'Increases Attack Speed of caster by 21.0',100,130,1),
(33289,10114452,'Increases Crushing, Slashing, Ranged and Piercing of caster by 14.0',100,130,2),
(33290,10114452,'Inflicts 868 - 1355 heat damage on target',100,1,3),
(33291,177691,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(33292,177691,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33293,177691,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(33294,177691,'Cannot be modified except by direct means',100,2,3),
(33295,10177691,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(33296,10177691,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33297,10177691,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(33298,10177691,'Cannot be modified except by direct means',100,2,3),
(33299,100162,'Inflicts 1816 - 3092 disease damage on target encounter',100,1,0),
(33300,10100162,'Inflicts 1305 - 2310 disease damage on target encounter',100,1,0),
(33301,180997,'When Equipped:',100,0,0),
(33302,180997,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(33303,180997,'Heals group members (AE) for 2624',100,2,2),
(33304,180997,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(33305,180997,'Must not be engaged in pvp combat',100,2,4),
(33306,180997,'Cannot be modified except by direct means',100,2,5),
(33307,180997,'Must not be engaged in pvp combat',100,1,6),
(33308,10180997,'When Equipped:',100,0,0),
(33309,10180997,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(33310,10180997,'Heals group members (AE) for 3071',100,2,2),
(33311,10180997,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(33312,10180997,'Must not be engaged in pvp combat',100,2,4),
(33313,10180997,'Cannot be modified except by direct means',100,2,5),
(33314,10180997,'Must not be engaged in pvp combat',100,1,6),
(33315,105774,'Inflicts 678 - 828 heat damage on target',100,1,0),
(33316,10105774,'Inflicts 697 - 852 heat damage on target',100,1,0),
(33317,159159,'Applies Lambent Imbued when Equipped.',100,0,0),
(33318,159159,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33319,159159,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(33320,159159,'Cannot be modified except by direct means',100,2,3),
(33321,10159159,'Applies Lambent Imbued when Equipped.',100,0,0),
(33322,10159159,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33323,10159159,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(33324,10159159,'Cannot be modified except by direct means',100,2,3),
(33325,111605,'Inflicts 1072 - 1425 cold damage on target',100,1,0),
(33326,111605,'Inflicts 238 - 443 cold damage on target every 4 seconds',100,1,1),
(33327,111605,'Decreases Mitigation of target vs elemental damage by 770',100,1,2),
(33328,10111605,'Inflicts 582 - 743 cold damage on target',100,1,0),
(33329,10111605,'Inflicts 188 - 349 cold damage on target every 4 seconds',100,1,1),
(33330,10111605,'Decreases Mitigation of target vs elemental damage by 770',100,1,2),
(33331,48513,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(33332,48513,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(33333,48513,'Decreases WIS and INT of target by 7.7',100,2,2),
(33334,48513,'Cannot be modified except by direct means',100,2,3),
(33335,48513,'Grants a total of 30 triggers of the spell.',100,2,4),
(33336,10048513,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(33337,10048513,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(33338,10048513,'Decreases WIS and INT of target by 7.7',100,2,2),
(33339,10048513,'Cannot be modified except by direct means',100,2,3),
(33340,10048513,'Grants a total of 30 triggers of the spell.',100,2,4),
(33341,118680,'Inflicts 845 - 2497 crushing damage on target',100,1,0),
(33342,10118680,'Inflicts 678 - 1735 crushing damage on target',100,1,0),
(33343,47777,'Applies Barbarian Tendencies when Activated.',100,0,0),
(33344,10047777,'Applies Barbarian Tendencies when Activated.',100,0,0),
(33345,138120,'When Equipped:',100,0,0),
(33346,138120,'Increases Attack Speed of caster by 40.0',100,1,1),
(33347,10138120,'When Equipped:',100,0,0),
(33348,10138120,'Increases Attack Speed of caster by 40.0',100,1,1),
(33349,123507,'Decreases Mitigation of target encounter vs noxious damage by 605',100,1,0),
(33350,10123507,'Decreases Mitigation of target encounter vs noxious damage by 605',100,1,0),
(33351,47648,'Applies Release Fumes when Activated.  Lasts for 9.0 seconds.',100,0,0),
(33352,47648,'The fumes from this crystal might clear one''s mind.',100,1,1),
(33353,10047648,'Applies Release Fumes when Activated.  Lasts for 9.0 seconds.',100,0,0),
(33354,10047648,'The fumes from this crystal might clear one''s mind.',100,1,1),
(33355,49055,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(33356,49055,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(33357,49055,'Inflicts 157 poison damage on target',100,2,2),
(33358,49055,'Inflicts 138 poison damage on target instantly and every 6 seconds',100,2,3),
(33359,49055,'Cannot be modified except by direct means',100,2,4),
(33360,49055,'Grants a total of 200 triggers of the spell.',100,2,5),
(33361,10049055,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(33362,10049055,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(33363,10049055,'Inflicts 118 poison damage on target',100,2,2),
(33364,10049055,'Inflicts 103 poison damage on target instantly and every 6 seconds',100,2,3),
(33365,10049055,'Cannot be modified except by direct means',100,2,4),
(33366,10049055,'Grants a total of 200 triggers of the spell.',100,2,5),
(33367,117548,'Increases AGI, INT and WIS of group members (AE) by 88.4',100,1,0),
(33368,117548,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 340',100,1,1),
(33369,10117548,'Increases AGI, INT and WIS of group members (AE) by 88.4',100,1,0),
(33370,10117548,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 340',100,1,1),
(33371,108155,'Inflicts 3884 - 5794 melee damage on target',100,1,0),
(33372,108155,'You must be sneaking to use this ability.',100,1,1),
(33373,108155,'Must be flanking or behind',100,1,2),
(33374,10108155,'Inflicts 1903 - 2896 melee damage on target',100,1,0),
(33375,10108155,'You must be sneaking to use this ability.',100,1,1),
(33376,10108155,'Must be flanking or behind',100,1,2),
(33377,120167,'Applies Life Draw on termination.',100,1,0),
(33378,120167,'Inflicts 625 - 1042 disease damage on target',100,2,1),
(33379,120167,'Heals caster for 9.4 - 11.5% of max health',100,2,2),
(33380,120167,'This effect cannot be critically applied.',100,3,3),
(33381,120167,'The healing of this spell cannot be modified except by direct means',100,2,4),
(33382,120167,'Inflicts 274 - 455 disease damage on target',100,1,5),
(33383,10120167,'Applies Life Draw on termination.',100,1,0),
(33384,10120167,'Inflicts 493 - 821 disease damage on target',100,2,1),
(33385,10120167,'Heals caster for 2.6 - 3.1% of max health',100,2,2),
(33386,10120167,'This effect cannot be critically applied.',100,3,3),
(33387,10120167,'The healing of this spell cannot be modified except by direct means',100,2,4),
(33388,10120167,'Inflicts 216 - 359 disease damage on target',100,1,5),
(33389,114754,'Inflicts 17293 - 28029 melee damage on target',100,1,0),
(33390,114754,'You must be in stealth.',100,1,1),
(33391,10114754,'Inflicts 8053 - 13094 melee damage on target',100,1,0),
(33392,10114754,'You must be in stealth.',100,1,1),
(33393,159076,'Applies Lambent Imbued when Equipped.',100,0,0),
(33394,159076,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33395,159076,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(33396,159076,'Cannot be modified except by direct means',100,2,3),
(33397,10159076,'Applies Lambent Imbued when Equipped.',100,0,0),
(33398,10159076,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33399,10159076,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(33400,10159076,'Cannot be modified except by direct means',100,2,3),
(33401,87268,'When Equipped:',100,0,0),
(33402,87268,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33403,87268,'Inflicts 269 - 404 magic damage on target',100,2,2),
(33404,87268,'Cannot be modified except by direct means',100,2,3),
(33405,10087268,'When Equipped:',100,0,0),
(33406,10087268,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33407,10087268,'Inflicts 269 - 404 magic damage on target',100,2,2),
(33408,10087268,'Cannot be modified except by direct means',100,2,3),
(33409,102255,'Inflicts 818 - 1356 melee damage on targets in area',100,1,0),
(33410,10102255,'Inflicts 658 - 1068 melee damage on targets in area',100,1,0),
(33411,116886,'Wards group members (AE) against 5382 points of noxious damage',100,1,0),
(33412,116886,'Increases Mitigation of group members (AE) vs noxious damage by 895',100,1,1),
(33413,10116886,'Wards group members (AE) against 3994 points of noxious damage',100,1,0),
(33414,10116886,'Increases Mitigation of group members (AE) vs noxious damage by 895',100,1,1),
(33415,150911,'When Equipped:',100,0,0),
(33416,150911,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(33417,150911,'Inflicts 1986 heat damage on target',100,2,2),
(33418,150911,'Cannot be modified except by direct means',100,2,3),
(33419,10150911,'When Equipped:',100,0,0),
(33420,10150911,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(33421,10150911,'Inflicts 993 heat damage on target',100,2,2),
(33422,10150911,'Cannot be modified except by direct means',100,2,3),
(33423,46786,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(33424,46786,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(33425,46786,'Inflicts 23 poison damage on target instantly and every 4 seconds',100,2,2),
(33426,46786,'Cannot be modified except by direct means',100,2,3),
(33427,46786,'Grants a total of 100 triggers of the spell.',100,2,4),
(33428,10046786,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(33429,10046786,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(33430,10046786,'Inflicts 17 poison damage on target instantly and every 4 seconds',100,2,2),
(33431,10046786,'Cannot be modified except by direct means',100,2,3),
(33432,10046786,'Grants a total of 100 triggers of the spell.',100,2,4),
(33433,159735,'When Equipped:',100,0,0),
(33434,159735,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33435,159735,'Increases STR of caster by 15.5',100,2,2),
(33436,159735,'Increases Damage Per Second of caster by 22.2',100,2,3),
(33437,159735,'Cannot be modified except by direct means',100,2,4),
(33438,10159735,'When Equipped:',100,0,0),
(33439,10159735,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33440,10159735,'Increases STR of caster by 15.5',100,2,2),
(33441,10159735,'Increases Damage Per Second of caster by 22.2',100,2,3),
(33442,10159735,'Cannot be modified except by direct means',100,2,4),
(33443,36518,'Increases WIS and STA of target by 9.4',100,0,0),
(33444,36518,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(33445,100576,'Inflicts 538 - 890 melee damage on target',100,1,0),
(33446,100576,'You must be sneaking to use this ability.',100,1,1),
(33447,10100576,'Inflicts 573 - 813 melee damage on target',100,1,0),
(33448,10100576,'You must be sneaking to use this ability.',100,1,1),
(33449,118788,'Wards group members (AE) against 75 points of physical damage',100,1,0),
(33450,118788,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,1),
(33451,10118788,'Wards group members (AE) against 61 points of physical damage',100,1,0),
(33452,10118788,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,1),
(33453,104171,'Increases Threat to target encounter by 1,487 - 1,818 ',100,1,0),
(33454,104171,'Interrupts target encounter',100,1,1),
(33455,10104171,'Forces target encounter to change their selected target to caster.',100,1,0),
(33456,10104171,'Interrupts target encounter',100,1,1),
(33457,10104171,'Prevents target encounter from changing targets',100,1,2),
(33458,73926,'Applies Holy Strike when Activated.',100,0,0),
(33459,73926,'Inflicts 438 - 729 divine damage on target',100,1,1),
(33460,73926,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(33461,10073926,'Applies Holy Strike when Activated.',100,0,0),
(33462,10073926,'Inflicts 438 - 729 divine damage on target',100,1,1),
(33463,10073926,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(33464,46217,'Applies Evital''s Favor when Activated.  Lasts for 30 minutes.',100,0,0),
(33465,46217,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(33466,10046217,'Applies Evital''s Favor when Activated.  Lasts for 30 minutes.',100,0,0),
(33467,10046217,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(33468,24560,'Adds Mummy (Berserker) to your Dungeon Maker toolbox',100,0,0),
(33469,10024560,'Adds Mummy (Berserker) to your Dungeon Maker toolbox',100,0,0),
(33470,47683,'Applies Fishing Technique when Equipped.',100,0,0),
(33471,47683,'Reduces the harvest time for fishing by .2 seconds.',100,1,1),
(33472,10047683,'Applies Fishing Technique when Equipped.',100,0,0),
(33473,10047683,'Reduces the harvest time for fishing by .2 seconds.',100,1,1),
(33474,105786,'Inflicts 4281 - 5013 heat damage on target',100,1,0),
(33475,10105786,'Inflicts 3860 - 4631 heat damage on target',100,1,0),
(33476,107687,'Inflicts 93 - 154 heat damage on target',100,1,0),
(33477,107687,'You must be sneaking to use this ability.',100,1,1),
(33478,10107687,'Inflicts 83 - 138 heat damage on target',100,1,0),
(33479,10107687,'You must be sneaking to use this ability.',100,1,1),
(33480,115067,'Heals target for 379 - 463',100,1,0),
(33481,115067,'Heals target for 23 - 28 every second',100,1,1),
(33482,10115067,'Heals target for 390 - 476',100,1,0),
(33483,10115067,'Heals target for 19 - 24 every second',100,1,1),
(33484,45271,'Applies Illusion: Erudite when Activated.  Lasts for 6 hours.',100,0,0),
(33485,45271,'Shapechanges caster into an erudite',100,1,1),
(33486,10045271,'Applies Illusion: Erudite when Activated.  Lasts for 6 hours.',100,0,0),
(33487,10045271,'Shapechanges caster into an erudite',100,1,1),
(33488,81170,'When Equipped:',100,0,0),
(33489,81170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33490,81170,'Inflicts 261 - 484 magic damage on target',100,2,2),
(33491,81170,'Cannot be modified except by direct means',100,2,3),
(33492,10081170,'When Equipped:',100,0,0),
(33493,10081170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33494,10081170,'Inflicts 261 - 484 magic damage on target',100,2,2),
(33495,10081170,'Cannot be modified except by direct means',100,2,3),
(33496,48808,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(33497,48808,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(33498,48808,'Inflicts 207 poison damage on target',100,2,2),
(33499,48808,'Inflicts 181 poison damage on target instantly and every 6 seconds',100,2,3),
(33500,48808,'Cannot be modified except by direct means',100,2,4),
(33501,48808,'Grants a total of 200 triggers of the spell.',100,2,5),
(33502,10048808,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(33503,10048808,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(33504,10048808,'Inflicts 155 poison damage on target',100,2,2),
(33505,10048808,'Inflicts 136 poison damage on target instantly and every 6 seconds',100,2,3),
(33506,10048808,'Cannot be modified except by direct means',100,2,4),
(33507,10048808,'Grants a total of 200 triggers of the spell.',100,2,5),
(33508,101199,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(33509,101199,'Slows target by 73.9%',100,2,1),
(33510,101199,'5% chance to dispel when target receives hostile action',100,2,2),
(33511,101199,'5% chance to dispel when target takes damage',100,2,3),
(33512,101199,'Inflicts 3149 - 4577 cold damage on target',100,1,4),
(33513,101199,'Inflicts 2166 - 3595 cold damage on target',100,1,5),
(33514,101199,'If weapon equipped in Ranged',100,1,6),
(33515,10101199,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(33516,10101199,'Slows target by 73.9%',100,2,1),
(33517,10101199,'5% chance to dispel when target receives hostile action',100,2,2),
(33518,10101199,'5% chance to dispel when target takes damage',100,2,3),
(33519,10101199,'Inflicts 1675 - 2519 cold damage on target',100,1,4),
(33520,10101199,'Inflicts 1280 - 2125 cold damage on target',100,1,5),
(33521,10101199,'If weapon equipped in Ranged',100,1,6),
(33522,116279,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(33523,116279,'Increases target''s chance to block by 15.0%',100,130,1),
(33524,116279,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(33525,116279,'Inflicts 1813 - 2143 disease damage on caster',100,2,3),
(33526,116279,'Inflicts 495 - 605 disease damage on caster every 2 seconds',100,2,4),
(33527,116279,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(33528,116279,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(33529,116279,'Grants a total of 1 trigger of the spell.',100,3,7),
(33530,10116279,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(33531,10116279,'Increases target''s chance to block by 15.0%',100,130,1),
(33532,10116279,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(33533,10116279,'Inflicts 1302 - 1562 disease damage on caster',100,2,3),
(33534,10116279,'Inflicts 390 - 477 disease damage on caster every 2 seconds',100,2,4),
(33535,10116279,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(33536,10116279,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(33537,10116279,'Grants a total of 1 trigger of the spell.',100,3,7),
(33538,72032,'When Equipped:',100,0,0),
(33539,72032,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33540,72032,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(33541,72032,'Cannot be modified except by direct means',100,2,3),
(33542,10072032,'When Equipped:',100,0,0),
(33543,10072032,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33544,10072032,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(33545,10072032,'Cannot be modified except by direct means',100,2,3),
(33546,106022,'Decreases Defense of target by 12.8',100,1,0),
(33547,106022,'Inflicts 1300 - 1437 divine damage on target',100,1,1),
(33548,106022,'Inflicts 372 - 454 divine damage on target every 3 seconds',100,1,2),
(33549,10106022,'Decreases Defense of target by 12.8',100,1,0),
(33550,10106022,'Inflicts 590 - 633 divine damage on target',100,1,1),
(33551,10106022,'Inflicts 195 - 239 divine damage on target every 3 seconds',100,1,2),
(33552,105812,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(33553,105812,'Inflicts 265 - 441 disease damage on target',100,2,1),
(33554,10105812,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(33555,10105812,'Inflicts 209 - 347 disease damage on target',100,2,1),
(33556,146089,'When Equipped:',100,0,0),
(33557,146089,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(33558,146089,'Inflicts 2648 heat damage on target',100,2,2),
(33559,146089,'Cannot be modified except by direct means',100,2,3),
(33560,10146089,'When Equipped:',100,0,0),
(33561,10146089,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(33562,10146089,'Inflicts 1324 heat damage on target',100,2,2),
(33563,10146089,'Cannot be modified except by direct means',100,2,3),
(33564,47319,'Applies Murky Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(33565,47319,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(33566,47319,'Only affects targets level 50 and above',100,1,2),
(33567,10047319,'Applies Murky Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(33568,10047319,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(33569,10047319,'Only affects targets level 50 and above',100,1,2),
(33570,80851,'When Equipped:',100,0,0),
(33571,80851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33572,80851,'Inflicts 332 - 617 magic damage on target',100,2,2),
(33573,80851,'Cannot be modified except by direct means',100,2,3),
(33574,10080851,'When Equipped:',100,0,0),
(33575,10080851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33576,10080851,'Inflicts 332 - 617 magic damage on target',100,2,2),
(33577,10080851,'Cannot be modified except by direct means',100,2,3),
(33578,111556,'Inflicts 655 - 1216 cold damage on target',100,1,0),
(33579,10111556,'Inflicts 562 - 1034 cold damage on target',100,1,0),
(33580,163941,'When Equipped:',100,0,0),
(33581,163941,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(33582,163941,'Inflicts 372 piercing damage on target',100,2,2),
(33583,163941,'Cannot be modified except by direct means',100,2,3),
(33584,10163941,'When Equipped:',100,0,0),
(33585,10163941,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(33586,10163941,'Inflicts 372 piercing damage on target',100,2,2),
(33587,10163941,'Cannot be modified except by direct means',100,2,3),
(33588,110907,'Inflicts 98 - 162 divine damage on target',100,1,0),
(33589,110907,'Increases Threat to target by 909 ',100,1,1),
(33590,110907,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(33591,110907,'Blurs vision of target',100,2,3),
(33592,110907,'Stuns target',100,2,4),
(33593,110907,'Throws target back',100,2,5),
(33594,110907,'Does not affect Epic targets',100,2,6),
(33595,10110907,'Inflicts 77 - 128 divine damage on target',100,1,0),
(33596,10110907,'Prevents target from changing targets',100,1,1),
(33597,10110907,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(33598,10110907,'Blurs vision of target',100,2,3),
(33599,10110907,'Stuns target',100,2,4),
(33600,10110907,'Throws target back',100,2,5),
(33601,10110907,'Does not affect Epic targets',100,2,6),
(33602,10110907,'Forces target to change their selected target to caster.',100,1,7),
(33603,119052,'Inflicts 3351 - 4911 mental damage on target',100,1,0),
(33604,119052,'Decreases power of target by 2207 - 3679',100,1,1),
(33605,119052,'Increases power of caster by 259 - 431',100,1,2),
(33606,10119052,'Inflicts 2262 - 3491 mental damage on target',100,1,0),
(33607,10119052,'Decreases power of target by 1740 - 2900',100,1,1),
(33608,10119052,'Increases power of caster by 259 - 431',100,1,2),
(33609,107139,'Inflicts 2590 - 2947 divine damage on target',100,1,0),
(33610,107139,'Inflicts 1607 - 1965 divine damage on target',100,1,1),
(33611,107139,'If target is undead',100,2,2),
(33612,10107139,'Inflicts 1662 - 1943 divine damage on target',100,1,0),
(33613,10107139,'Inflicts 1267 - 1548 divine damage on target',100,1,1),
(33614,117820,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(33615,117820,'Heals target for 462 - 492',100,2,1),
(33616,117820,'Heals target for 134 - 164 every 2 seconds',100,2,2),
(33617,117820,'If over 50% Health',100,3,3),
(33618,117820,'Heals target for 596 - 656',100,2,4),
(33619,117820,'Heals target for 269 - 328 every 2 seconds',100,2,5),
(33620,117820,'If at 50% Health or less',100,3,6),
(33621,10117820,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(33622,10117820,'Heals target for 116 - 123',100,2,1),
(33623,10117820,'Heals target for 31 - 38 every 2 seconds',100,2,2),
(33624,10117820,'If over 50% Health',100,3,3),
(33625,10117820,'Heals target for 137 - 149',100,2,4),
(33626,10117820,'Heals target for 52 - 63 every 2 seconds',100,2,5),
(33627,10117820,'If at 50% Health or less',100,3,6),
(33628,139205,'Applies Blurting Obscenities when Activated.',100,0,0),
(33629,139205,'Increases Threat to targets in Area of Effect by 2,960 ',100,1,1),
(33630,139205,'Must be engaged in combat',100,1,2),
(33631,139205,'The casting time of Blurting Obscenities is 0.5 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(33632,139205,'When Equipped:',100,0,4),
(33633,139205,'On a combat hit this spell may cast Infuriating Shout I on target of attack.  Triggers about 0.8 times per minute. ',100,1,5),
(33634,139205,'Increases Threat to target by 700 ',100,2,6),
(33635,139205,'Cannot be modified except by direct means',100,2,7),
(33636,10139205,'Applies Blurting Obscenities when Activated.',100,0,0),
(33637,10139205,'Must be engaged in combat',100,1,1),
(33638,10139205,'The casting time of Blurting Obscenities is 0.5 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(33639,10139205,'When Equipped:',100,0,3),
(33640,10139205,'On a combat hit this spell may cast Infuriating Shout I on target of attack.  Triggers about 0.8 times per minute. ',100,1,4),
(33641,10139205,'Cannot be modified except by direct means',100,2,5),
(33642,106364,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(33643,106364,'Slows target by 40.8%',100,2,1),
(33644,106364,'5% chance to dispel when target receives hostile action',100,2,2),
(33645,106364,'5% chance to dispel when target takes damage',100,2,3),
(33646,106364,'Decreases Mitigation of target vs arcane damage by 1235',100,1,4),
(33647,10106364,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(33648,10106364,'Slows target by 40.8%',100,2,1),
(33649,10106364,'5% chance to dispel when target receives hostile action',100,2,2),
(33650,10106364,'5% chance to dispel when target takes damage',100,2,3),
(33651,10106364,'Decreases Mitigation of target vs arcane damage by 1235',100,1,4),
(33652,111143,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(33653,111143,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 591',100,1,1),
(33654,111143,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,2),
(33655,10111143,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(33656,10111143,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 591',100,1,1),
(33657,10111143,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,2),
(33658,37144,'Increases STA of target by 4.3',100,0,0),
(33659,37144,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(33660,82806,'Applies Imbued Smite when Equipped.',100,0,0),
(33661,82806,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(33662,82806,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(33663,82806,'Cannot be modified except by direct means',100,2,3),
(33664,82806,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(33665,82806,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(33666,82806,'Cannot be modified except by direct means',100,2,6),
(33667,10082806,'Applies Imbued Smite when Equipped.',100,0,0),
(33668,10082806,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(33669,10082806,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(33670,10082806,'Cannot be modified except by direct means',100,2,3),
(33671,10082806,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(33672,10082806,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(33673,10082806,'Cannot be modified except by direct means',100,2,6),
(33674,47424,'Applies Discord''s Approval when Activated.',100,0,0),
(33675,47424,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(33676,47424,'Requires 3828 Health to cast.',100,1,2),
(33677,10047424,'Applies Discord''s Approval when Activated.',100,0,0),
(33678,10047424,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(33679,10047424,'Requires 3828 Health to cast.',100,1,2),
(33680,105303,'Increases AGI of caster by 128.7',100,1,0),
(33681,105303,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(33682,105303,'Inflicts 701 - 1169 mental damage on target',100,2,2),
(33683,105303,'Adds 14.8% to base avoidance.',100,1,3),
(33684,105303,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(33685,105303,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(33686,105303,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(33687,105303,'Inflicts 701 - 1169 mental damage on target',100,2,7),
(33688,10105303,'Increases AGI of caster by 128.7',100,1,0),
(33689,10105303,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(33690,10105303,'Inflicts 553 - 921 mental damage on target',100,2,2),
(33691,10105303,'Adds 14.8% to base avoidance.',100,1,3),
(33692,10105303,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(33693,10105303,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(33694,10105303,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(33695,10105303,'Inflicts 553 - 921 mental damage on target',100,2,7),
(33696,87483,'When Equipped:',100,0,0),
(33697,87483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33698,87483,'Inflicts 248 - 373 magic damage on target',100,2,2),
(33699,87483,'Cannot be modified except by direct means',100,2,3),
(33700,10087483,'When Equipped:',100,0,0),
(33701,10087483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33702,10087483,'Inflicts 248 - 373 magic damage on target',100,2,2),
(33703,10087483,'Cannot be modified except by direct means',100,2,3),
(33704,117927,'Heals target for 64 - 79',100,1,0),
(33705,117927,'Increases Max Health of target by 2.2',100,1,1),
(33706,10117927,'Heals target for 53 - 64',100,1,0),
(33707,10117927,'Increases Max Health of target by 2.2',100,1,1),
(33708,25629,'When Equipped:',100,0,0),
(33709,25629,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(33710,25629,'Reduces the reuse time of Nature''s Embrace VIII by 2.5 seconds.',100,1,2),
(33711,10025629,'When Equipped:',100,0,0),
(33712,10025629,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(33713,10025629,'Reduces the reuse time of Nature''s Embrace VIII by 2.5 seconds.',100,1,2),
(33714,179154,'When Equipped:',100,0,0),
(33715,179154,'On a combat hit this spell may cast Serpent''s Sting on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33716,179154,'Inflicts 466 - 570 poison damage on target',100,2,2),
(33717,179154,'Inflicts 407 - 497 poison damage on target every 4 seconds',100,2,3),
(33718,179154,'Cannot be modified except by direct means',100,2,4),
(33719,10179154,'When Equipped:',100,0,0),
(33720,10179154,'On a combat hit this spell may cast Serpent''s Sting on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(33721,10179154,'Inflicts 466 - 570 poison damage on target',100,2,2),
(33722,10179154,'Inflicts 407 - 497 poison damage on target every 4 seconds',100,2,3),
(33723,10179154,'Cannot be modified except by direct means',100,2,4),
(33724,124171,'Inflicts 124 - 207 melee damage on target',100,1,0),
(33725,10124171,'Inflicts 99 - 165 melee damage on target',100,1,0),
(33726,36867,'Increases WIS of target by 6.2',100,0,0),
(33727,36867,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(33728,106241,'Wards target against 475 points of all damage',100,1,0),
(33729,10106241,'Wards target against 390 points of all damage',100,1,0),
(33730,107783,'Increases Threat to target encounter by 293 - 358 ',100,1,0),
(33731,10107783,'Prevents target encounter from changing targets',100,1,0),
(33732,10107783,'Forces target encounter to change their selected target to caster.',100,1,1),
(33733,24270,'Adds Decrease Tier III (Single) to your Dungeon Maker toolbox',100,0,0),
(33734,10024270,'Adds Decrease Tier III (Single) to your Dungeon Maker toolbox',100,0,0),
(33735,111632,'Inflicts 49 - 60 cold damage on target encounter',100,1,0),
(33736,111632,'Slows target encounter by 30.4%',100,1,1),
(33737,111632,'5% chance to dispel when target takes damage',100,1,2),
(33738,111632,'5% chance to dispel when target receives hostile action',100,1,3),
(33739,10111632,'Inflicts 51 - 62 cold damage on target encounter',100,1,0),
(33740,10111632,'Slows target encounter by 30.4%',100,1,1),
(33741,10111632,'5% chance to dispel when target takes damage',100,1,2),
(33742,10111632,'5% chance to dispel when target receives hostile action',100,1,3),
(33743,138346,'When Equipped:',100,0,0),
(33744,138346,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33745,138346,'Wards target against 1000 points of all damage',100,2,2),
(33746,138346,'Cannot be modified except by direct means',100,2,3),
(33747,10138346,'When Equipped:',100,0,0),
(33748,10138346,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(33749,10138346,'Wards target against 1000 points of all damage',100,2,2),
(33750,10138346,'Cannot be modified except by direct means',100,2,3),
(33751,122582,'Inflicts 563 - 688 mental damage on target',100,1,0),
(33752,122582,'Inflicts 125 - 153 mental damage on target every 3 seconds',100,1,1),
(33753,122582,'Decreases Mitigation of target vs arcane damage by 238',100,1,2),
(33754,10122582,'Inflicts 493 - 515 mental damage on target',100,1,0),
(33755,10122582,'Inflicts 99 - 120 mental damage on target every 3 seconds',100,1,1),
(33756,10122582,'Decreases Mitigation of target vs arcane damage by 238',100,1,2),
(33757,183402,'When Equipped:',100,0,0),
(33758,183402,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(33759,183402,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(33760,183402,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(33761,183402,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(33762,183402,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(33763,183402,'Must not be engaged in pvp combat',100,2,6),
(33764,183402,'Cannot be modified except by direct means',100,2,7),
(33765,183402,'Must not be engaged in pvp combat',100,1,8),
(33766,10183402,'When Equipped:',100,0,0),
(33767,10183402,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(33768,10183402,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(33769,10183402,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(33770,10183402,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(33771,10183402,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(33772,10183402,'Must not be engaged in pvp combat',100,2,6),
(33773,10183402,'Cannot be modified except by direct means',100,2,7),
(33774,10183402,'Must not be engaged in pvp combat',100,1,8),
(33775,117891,'Heals target for 2938 - 3373',100,1,0),
(33776,117891,'Heals target for 1956 - 2391 every 2 seconds',100,1,1),
(33777,10117891,'Heals target for 1259 - 1481',100,1,0),
(33778,10117891,'Heals target for 1002 - 1225 every 2 seconds',100,1,1),
(33779,107118,'Inflicts 162 - 198 divine damage on target',100,1,0),
(33780,107118,'Inflicts 81 - 99 divine damage on target',100,1,1),
(33781,107118,'If target is undead',100,2,2),
(33782,10107118,'Inflicts 145 - 177 divine damage on target',100,1,0),
(33783,10107118,'Inflicts 64 - 78 divine damage on target',100,1,1),
(33784,116506,'Increases Mitigation of target vs physical damage by 114',100,1,0),
(33785,116506,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(33786,10116506,'Increases Mitigation of target vs physical damage by 114',100,1,0),
(33787,10116506,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(33788,46588,'Applies Green C.R.A.S.H. Pad when Activated.',100,0,0),
(33789,46588,'This can be used as a flying mount appearance.',100,1,1),
(33790,46588,'Summons a mount to ride',100,1,2),
(33791,46588,'Increases your ground speed by 130%',100,2,3),
(33792,46588,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,4),
(33793,10046588,'Applies Green C.R.A.S.H. Pad when Activated.',100,0,0),
(33794,10046588,'This can be used as a flying mount appearance.',100,1,1),
(33795,10046588,'Summons a mount to ride',100,1,2),
(33796,10046588,'Increases your ground speed by 130%',100,2,3),
(33797,10046588,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,4),
(33798,48555,'Applies Wings of Flight when Activated.',100,0,0),
(33799,48555,'Increases Subjugation of caster by 5.0',100,1,1),
(33800,48555,'Summons a mount to ride',100,1,2),
(33801,48555,'Increases your ground speed by 75%',100,2,3),
(33802,48555,'Increases your air speed by 150%',100,2,4),
(33803,48555,'Increases Slashing, Aggression, Ranged, Crushing, Ordination, Focus, Ministration, Disruption and Piercing of caster by 5.0',100,1,5),
(33804,10048555,'Applies Wings of Flight when Activated.',100,0,0),
(33805,10048555,'Increases Subjugation of caster by 5.0',100,1,1),
(33806,10048555,'Summons a mount to ride',100,1,2),
(33807,10048555,'Increases your ground speed by 75%',100,2,3),
(33808,10048555,'Increases your air speed by 150%',100,2,4),
(33809,10048555,'Increases Slashing, Aggression, Ranged, Crushing, Ordination, Focus, Ministration, Disruption and Piercing of caster by 5.0',100,1,5),
(33810,120477,'Inflicts 2665 - 3934 ranged damage on target',100,1,0),
(33811,120477,'Slows target by 53.2%',100,1,1),
(33812,120477,'10% chance to dispel when target receives hostile action',100,1,2),
(33813,120477,'Requires bow',100,1,3),
(33814,10120477,'Inflicts 1359 - 1995 ranged damage on target',100,1,0),
(33815,10120477,'Slows target by 53.2%',100,1,1),
(33816,10120477,'10% chance to dispel when target receives hostile action',100,1,2),
(33817,10120477,'Requires bow',100,1,3),
(33818,101843,'Summons a limited pet to aid the caster',100,1,0),
(33819,10101843,'Summons a limited pet to aid the caster',100,1,0),
(33820,110558,'Decreases Attack Speed of target by 11.2',100,1,0),
(33821,110558,'Decreases Crushing, Slashing and Piercing of target by 0.8',100,1,1),
(33822,10110558,'Decreases Attack Speed of target by 11.2',100,1,0),
(33823,10110558,'Decreases Crushing, Slashing and Piercing of target by 0.8',100,1,1),
(33824,87144,'When Equipped:',100,0,0),
(33825,87144,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33826,87144,'Inflicts 97 - 146 magic damage on target',100,2,2),
(33827,87144,'Cannot be modified except by direct means',100,2,3),
(33828,10087144,'When Equipped:',100,0,0),
(33829,10087144,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33830,10087144,'Inflicts 97 - 146 magic damage on target',100,2,2),
(33831,10087144,'Cannot be modified except by direct means',100,2,3),
(33832,111569,'Inflicts 17568 - 31785 cold damage on target',100,1,0),
(33833,111569,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(33834,111569,'Blurs vision of target',100,2,2),
(33835,111569,'Stuns target',100,2,3),
(33836,111569,'Throws target back',100,2,4),
(33837,111569,'Does not affect Epic targets',100,2,5),
(33838,10111569,'Inflicts 9847 - 17949 cold damage on target',100,1,0),
(33839,10111569,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(33840,10111569,'Stuns target',100,2,2),
(33841,10111569,'Throws target back',100,2,3),
(33842,10111569,'Blurs vision of target',100,2,4),
(33843,10111569,'Does not affect Epic targets',100,2,5),
(33844,105154,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(33845,105154,'Increases AGI of caster by 39.4',100,1,1),
(33846,105154,'Adds 2.5% to base avoidance.',100,1,2),
(33847,105154,'Decreases Slashing and Piercing of caster by 16.3',100,1,3),
(33848,105154,'Increases Parry of caster by 23.0',100,1,4),
(33849,105154,'Increases Defense of caster by 30.7',100,1,5),
(33850,10105154,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(33851,10105154,'Increases AGI of caster by 39.4',100,1,1),
(33852,10105154,'Adds 2.5% to base avoidance.',100,1,2),
(33853,10105154,'Decreases Slashing and Piercing of caster by 16.3',100,1,3),
(33854,10105154,'Increases Parry of caster by 23.0',100,1,4),
(33855,10105154,'Increases Defense of caster by 30.7',100,1,5),
(33856,111119,'Heals target for 17.1 - 20.9% of max health',100,1,0),
(33857,111119,'This effect cannot be critically applied.',100,2,1),
(33858,111119,'Increases Mitigation of target vs physical damage by 416',100,1,2),
(33859,111119,'The healing of this spell cannot be modified except by direct means',100,1,3),
(33860,10111119,'Heals target for 6.4 - 7.8% of max health',100,1,0),
(33861,10111119,'This effect cannot be critically applied.',100,2,1),
(33862,10111119,'Increases Mitigation of target vs physical damage by 416',100,1,2),
(33863,10111119,'The healing of this spell cannot be modified except by direct means',100,1,3),
(33864,24078,'Adds Chardok: Di''Zok Pride Rug to your Dungeon Maker toolbox',100,0,0),
(33865,10024078,'Adds Chardok: Di''Zok Pride Rug to your Dungeon Maker toolbox',100,0,0),
(33866,80228,'When Equipped:',100,0,0),
(33867,80228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33868,80228,'Inflicts 300 - 557 magic damage on target',100,2,2),
(33869,80228,'Cannot be modified except by direct means',100,2,3),
(33870,10080228,'When Equipped:',100,0,0),
(33871,10080228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(33872,10080228,'Inflicts 300 - 557 magic damage on target',100,2,2),
(33873,10080228,'Cannot be modified except by direct means',100,2,3),
(33874,117128,'Inflicts 1217 - 1407 heat damage on target',100,1,0),
(33875,117128,'Inflicts 348 - 425 heat damage on target every 4 seconds',100,1,1),
(33876,117128,'Decreases Mitigation of target vs arcane damage by 370',100,1,2),
(33877,10117128,'Inflicts 669 - 730 heat damage on target',100,1,0),
(33878,10117128,'Inflicts 274 - 335 heat damage on target every 4 seconds',100,1,1),
(33879,10117128,'Decreases Mitigation of target vs arcane damage by 370',100,1,2),
(33880,88129,'Applies Celestial Glow when Equipped.',100,0,0),
(33881,10088129,'Applies Celestial Glow when Equipped.',100,0,0),
(33882,109481,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(33883,109481,'Increases Attack Speed of caster by 21.0',100,130,1),
(33884,109481,'Increases Crushing, Slashing, Piercing and Ranged of caster by 20.3',100,130,2),
(33885,109481,'Inflicts 2616 - 3691 cold damage on target',100,1,3),
(33886,10109481,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(33887,10109481,'Increases Attack Speed of caster by 21.0',100,130,1),
(33888,10109481,'Increases Crushing, Slashing, Piercing and Ranged of caster by 20.3',100,130,2),
(33889,10109481,'Inflicts 1682 - 2529 cold damage on target',100,1,3),
(33890,102105,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(33891,102105,'Stuns target',100,2,1),
(33892,102105,'Throws target back',100,2,2),
(33893,102105,'Blurs vision of target',100,2,3),
(33894,102105,'Does not affect Epic targets',100,2,4),
(33895,102105,'Inflicts 1268 - 2104 crushing damage on target',100,1,5),
(33896,10102105,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(33897,10102105,'Blurs vision of target',100,2,1),
(33898,10102105,'Stuns target',100,2,2),
(33899,10102105,'Throws target back',100,2,3),
(33900,10102105,'Does not affect Epic targets',100,2,4),
(33901,10102105,'Inflicts 998 - 1500 crushing damage on target',100,1,5),
(33902,83272,'When Equipped:',100,0,0),
(33903,83272,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(33904,83272,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(33905,83272,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(33906,83272,'Must not be engaged in pvp combat',100,2,4),
(33907,83272,'Cannot be modified except by direct means',100,2,5),
(33908,83272,'Cannot be modified except by direct means',100,1,6),
(33909,83272,'When Equipped:',100,0,7),
(33910,83272,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(33911,83272,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(33912,83272,'Inflicts 2369 - 2618 poison damage on target',100,2,10),
(33913,83272,'Heals caster for 1185 - 1309',100,2,11),
(33914,83272,'Must not be engaged in pvp combat',100,2,12),
(33915,83272,'Cannot be modified except by direct means',100,2,13),
(33916,83272,'Cannot be modified except by direct means',100,1,14),
(33917,10083272,'When Equipped:',100,0,0),
(33918,10083272,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(33919,10083272,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(33920,10083272,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(33921,10083272,'Must not be engaged in pvp combat',100,2,4),
(33922,10083272,'Cannot be modified except by direct means',100,2,5),
(33923,10083272,'Cannot be modified except by direct means',100,1,6),
(33924,10083272,'When Equipped:',100,0,7),
(33925,10083272,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(33926,10083272,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(33927,10083272,'Inflicts 2369 - 2618 poison damage on target',100,2,10),
(33928,10083272,'Heals caster for 1386 - 1532',100,2,11),
(33929,10083272,'Must not be engaged in pvp combat',100,2,12),
(33930,10083272,'Cannot be modified except by direct means',100,2,13),
(33931,10083272,'Cannot be modified except by direct means',100,1,14),
(33932,137691,'When Equipped:',100,0,0),
(33933,137691,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(33934,137691,'Increases power of target by 16',100,2,2),
(33935,137691,'Cannot be modified except by direct means',100,2,3),
(33936,10137691,'When Equipped:',100,0,0),
(33937,10137691,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(33938,10137691,'Increases power of target by 16',100,2,2),
(33939,10137691,'Cannot be modified except by direct means',100,2,3),
(33940,123711,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(33941,123711,'Inflicts 1432 divine damage on target',100,2,1),
(33942,123711,'Grants a total of 5 triggers of the spell.',100,2,2),
(33943,10123711,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(33944,10123711,'Inflicts 1099 divine damage on target',100,2,1),
(33945,10123711,'Grants a total of 5 triggers of the spell.',100,2,2),
(33946,124659,'Inflicts 5123 - 6189 cold damage on target encounter',100,1,0),
(33947,124659,'Decreases Piercing, Slashing and Crushing of target encounter by 28.8',100,1,1),
(33948,10124659,'Inflicts 3911 - 4751 cold damage on target encounter',100,1,0),
(33949,10124659,'Decreases Piercing, Slashing and Crushing of target encounter by 28.8',100,1,1),
(33950,37358,'Increases STA and STR of target by 7.8',100,0,0),
(33951,37358,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(33952,103844,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(33953,103844,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(33954,103844,'Increases Ability Casting Speed of raid and group members (AE) by 10.7%',100,1,2),
(33955,103844,'Increases Attack Speed of raid and group members (AE) by 26.8',100,1,3),
(33956,10103844,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(33957,10103844,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(33958,10103844,'Increases Ability Casting Speed of raid and group members (AE) by 10.7%',100,1,2),
(33959,10103844,'Increases Attack Speed of raid and group members (AE) by 26.8',100,1,3),
(33960,103251,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(33961,103251,'Adds 1.8% to base avoidance.',100,1,1),
(33962,103251,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(33963,103251,'Increases Parry of caster by 31.2',100,1,3),
(33964,103251,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(33965,103251,'Increases Aggression of caster by 23.4',100,1,5),
(33966,103251,'Increases Defense and Deflection of caster by 31.2',100,1,6),
(33967,103251,'Increases Mitigation of caster vs noxious damage by 2086',100,1,7),
(33968,103251,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(33969,103251,'Reduces physical damage done to caster by 5%',100,1,9),
(33970,10103251,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(33971,10103251,'Adds 1.8% to base avoidance.',100,1,1),
(33972,10103251,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(33973,10103251,'Increases Parry of caster by 31.2',100,1,3),
(33974,10103251,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(33975,10103251,'Increases Aggression of caster by 23.4',100,1,5),
(33976,10103251,'Increases Defense and Deflection of caster by 31.2',100,1,6),
(33977,10103251,'Increases Mitigation of caster vs noxious damage by 2086',100,1,7),
(33978,10103251,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(33979,10103251,'Reduces physical damage done to caster by 5%',100,1,9),
(33980,72277,'Applies Astral Blessing when Equipped.',100,0,0),
(33981,72277,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(33982,72277,'Heals target for 442 instantly and every second',100,2,2),
(33983,72277,'Cannot be modified except by direct means',100,2,3),
(33984,72277,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(33985,72277,'Heals caster for 442 instantly and every second',100,2,5),
(33986,72277,'Cannot be modified except by direct means',100,2,6),
(33987,72277,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(33988,72277,'Heals caster for 442 instantly and every second',100,2,8),
(33989,72277,'Cannot be modified except by direct means',100,2,9),
(33990,10072277,'Applies Astral Blessing when Equipped.',100,0,0),
(33991,10072277,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(33992,10072277,'Heals target for 517 instantly and every second',100,2,2),
(33993,10072277,'Cannot be modified except by direct means',100,2,3),
(33994,10072277,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(33995,10072277,'Heals caster for 517 instantly and every second',100,2,5),
(33996,10072277,'Cannot be modified except by direct means',100,2,6),
(33997,10072277,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(33998,10072277,'Heals caster for 517 instantly and every second',100,2,8),
(33999,10072277,'Cannot be modified except by direct means',100,2,9),
(34000,122025,'Inflicts 69 - 116 melee damage on target',100,1,0),
(34001,122025,'Increases Threat to target by 546 - 667 ',100,1,1),
(34002,10122025,'Inflicts 55 - 91 melee damage on target',100,1,0),
(34003,177528,'When Equipped:',100,0,0),
(34004,177528,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34005,177528,'Increases STR of caster by 11.9',100,2,2),
(34006,177528,'Increases Damage Per Second of caster by 17.0',100,2,3),
(34007,177528,'Cannot be modified except by direct means',100,2,4),
(34008,10177528,'When Equipped:',100,0,0),
(34009,10177528,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34010,10177528,'Increases STR of caster by 11.9',100,2,2),
(34011,10177528,'Increases Damage Per Second of caster by 17.0',100,2,3),
(34012,10177528,'Cannot be modified except by direct means',100,2,4),
(34013,108508,'Increases AGI and WIS of group members (AE) by 17.5',100,1,0),
(34014,108508,'Adds 1.8% to base avoidance.',100,1,1),
(34015,108508,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 49',100,1,2),
(34016,10108508,'Increases AGI and WIS of group members (AE) by 17.5',100,1,0),
(34017,10108508,'Adds 1.8% to base avoidance.',100,1,1),
(34018,10108508,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 49',100,1,2),
(34019,116462,'Inflicts 1610 disease damage on target',100,1,0),
(34020,116462,'Inflicts 627 disease damage on target every 4 seconds',100,1,1),
(34021,116462,'Inflicts 627 disease damage on target instantly and every 4 seconds',100,1,2),
(34022,116462,'If target is nightblood',100,2,3),
(34023,116462,'Inflicts 627 disease damage on target instantly and every 4 seconds',100,1,4),
(34024,116462,'If target is shadowed folk',100,2,5),
(34025,10116462,'Inflicts 889 disease damage on target',100,1,0),
(34026,10116462,'Inflicts 495 disease damage on target every 4 seconds',100,1,1),
(34027,159921,'Applies Lambent Imbued when Equipped.',100,0,0),
(34028,159921,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(34029,159921,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(34030,159921,'Cannot be modified except by direct means',100,2,3),
(34031,10159921,'Applies Lambent Imbued when Equipped.',100,0,0),
(34032,10159921,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(34033,10159921,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(34034,10159921,'Cannot be modified except by direct means',100,2,3),
(34035,189983,'When Equipped:',100,0,0),
(34036,189983,'On a healing spell cast this spell may cast Presence of Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34037,189983,'Reduces the power cost of the casters next spell by 100%',100,2,2),
(34038,10189983,'When Equipped:',100,0,0),
(34039,10189983,'On a healing spell cast this spell may cast Presence of Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34040,10189983,'Reduces the power cost of the casters next spell by 100%',100,2,2),
(34041,100565,'Inflicts 119 - 197 melee damage on target',100,1,0),
(34042,100565,'You must be sneaking to use this ability.',100,1,1),
(34043,10100565,'Inflicts 127 - 211 melee damage on target',100,1,0),
(34044,10100565,'You must be sneaking to use this ability.',100,1,1),
(34045,79022,'Applies Frost Blast when Activated.',100,0,0),
(34046,79022,'Inflicts 250 - 417 cold damage on target',100,1,1),
(34047,79022,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(34048,10079022,'Applies Frost Blast when Activated.',100,0,0),
(34049,10079022,'Inflicts 250 - 417 cold damage on target',100,1,1),
(34050,10079022,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(34051,101470,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(34052,101470,'Increases Mitigation of group members (AE) vs arcane damage by 336',100,1,1),
(34053,10101470,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(34054,10101470,'Increases Mitigation of group members (AE) vs arcane damage by 336',100,1,1),
(34055,81998,'When Equipped:',100,0,0),
(34056,81998,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34057,81998,'Inflicts 245 - 454 magic damage on target',100,2,2),
(34058,81998,'Cannot be modified except by direct means',100,2,3),
(34059,10081998,'When Equipped:',100,0,0),
(34060,10081998,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34061,10081998,'Inflicts 245 - 454 magic damage on target',100,2,2),
(34062,10081998,'Cannot be modified except by direct means',100,2,3),
(34063,167700,'When Equipped:',100,0,0),
(34064,167700,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(34065,167700,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,2),
(34066,167700,'Must not be engaged in pvp combat',100,2,3),
(34067,167700,'Cannot be modified except by direct means',100,2,4),
(34068,167700,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(34069,167700,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(34070,167700,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(34071,167700,'Must not be engaged in pvp combat',100,2,8),
(34072,167700,'Cannot be modified except by direct means',100,2,9),
(34073,167700,'Must not be engaged in pvp combat',100,1,10),
(34074,10167700,'When Equipped:',100,0,0),
(34075,10167700,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(34076,10167700,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,2),
(34077,10167700,'Must not be engaged in pvp combat',100,2,3),
(34078,10167700,'Cannot be modified except by direct means',100,2,4),
(34079,10167700,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(34080,10167700,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(34081,10167700,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(34082,10167700,'Must not be engaged in pvp combat',100,2,8),
(34083,10167700,'Cannot be modified except by direct means',100,2,9),
(34084,10167700,'Must not be engaged in pvp combat',100,1,10),
(34085,120923,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(34086,120923,'Inflicts 2150 - 2580 mental damage on target',100,2,1),
(34087,120923,'Grants a total of 3 triggers of the spell.',100,2,2),
(34088,10120923,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(34089,10120923,'Inflicts 1584 - 1907 mental damage on target',100,2,1),
(34090,10120923,'Grants a total of 3 triggers of the spell.',100,2,2),
(34091,146127,'When Equipped:',100,0,0),
(34092,146127,'Increases Potency of caster by 2.0%',100,1,1),
(34093,146127,'Must be engaged in pvp combat',100,1,2),
(34094,146127,'When Equipped:',100,0,3),
(34095,146127,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(34096,146127,'Inflicts 1218 - 1827 poison damage on target',100,2,5),
(34097,146127,'Heals caster for 811 - 1217',100,2,6),
(34098,146127,'Cannot be modified except by direct means',100,2,7),
(34099,146127,'Cannot be modified except by direct means',100,1,8),
(34100,10146127,'When Equipped:',100,0,0),
(34101,10146127,'Increases Potency of caster by 2.0%',100,1,1),
(34102,10146127,'Must be engaged in pvp combat',100,1,2),
(34103,10146127,'When Equipped:',100,0,3),
(34104,10146127,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(34105,10146127,'Inflicts 1218 - 1827 poison damage on target',100,2,5),
(34106,10146127,'Heals caster for 949 - 1424',100,2,6),
(34107,10146127,'Cannot be modified except by direct means',100,2,7),
(34108,10146127,'Cannot be modified except by direct means',100,1,8),
(34109,118572,'Dazes caster',100,1,0),
(34110,118572,'Roots caster',100,1,1),
(34111,118572,'Increases Mitigation of caster vs physical damage by 1556',100,1,2),
(34112,10118572,'Dazes caster',100,1,0),
(34113,10118572,'Roots caster',100,1,1),
(34114,10118572,'Increases Mitigation of caster vs physical damage by 1556',100,1,2),
(34115,164645,'When Equipped:',100,0,0),
(34116,164645,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(34117,164645,'Increases caster''s chance to block by 3.0%',100,1,2),
(34118,164645,'Increases Health Regeneration of caster by 15.0',100,1,3),
(34119,164645,'Increases Max Health of caster by 1,220.0',100,1,4),
(34120,164645,'Cannot be modified except by direct means',100,1,5),
(34121,10164645,'When Equipped:',100,0,0),
(34122,10164645,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(34123,10164645,'Increases caster''s chance to block by 3.0%',100,1,2),
(34124,10164645,'Increases Health Regeneration of caster by 15.0',100,1,3),
(34125,10164645,'Increases Max Health of caster by 1,220.0',100,1,4),
(34126,10164645,'Cannot be modified except by direct means',100,1,5),
(34127,163282,'When Equipped:',100,0,0),
(34128,163282,'On a critical spell hit this spell may cast Call of Solusek IV on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(34129,163282,'Decreases Mitigation of target vs elemental damage by 493',100,2,2),
(34130,163282,'Inflicts 238 - 263 heat damage on target instantly and every 2 seconds',100,2,3),
(34131,163282,'Summons a limited pet to aid the caster',100,2,4),
(34132,163282,'Must not be engaged in pvp combat',100,2,5),
(34133,163282,'Cannot be modified except by direct means',100,2,6),
(34134,163282,'On a critical combat hit this spell may cast Call of Solusek IV on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(34135,163282,'Decreases Mitigation of target vs elemental damage by 493',100,2,8),
(34136,163282,'Inflicts 238 - 263 heat damage on target instantly and every 2 seconds',100,2,9),
(34137,163282,'Summons a limited pet to aid the caster',100,2,10),
(34138,163282,'Must not be engaged in pvp combat',100,2,11),
(34139,163282,'Cannot be modified except by direct means',100,2,12),
(34140,163282,'Must not be engaged in pvp combat',100,1,13),
(34141,10163282,'When Equipped:',100,0,0),
(34142,10163282,'On a critical spell hit this spell may cast Call of Solusek IV on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(34143,10163282,'Decreases Mitigation of target vs elemental damage by 493',100,2,2),
(34144,10163282,'Inflicts 238 - 263 heat damage on target instantly and every 2 seconds',100,2,3),
(34145,10163282,'Summons a limited pet to aid the caster',100,2,4),
(34146,10163282,'Must not be engaged in pvp combat',100,2,5),
(34147,10163282,'Cannot be modified except by direct means',100,2,6),
(34148,10163282,'On a critical combat hit this spell may cast Call of Solusek IV on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(34149,10163282,'Decreases Mitigation of target vs elemental damage by 493',100,2,8),
(34150,10163282,'Inflicts 238 - 263 heat damage on target instantly and every 2 seconds',100,2,9),
(34151,10163282,'Summons a limited pet to aid the caster',100,2,10),
(34152,10163282,'Must not be engaged in pvp combat',100,2,11),
(34153,10163282,'Cannot be modified except by direct means',100,2,12),
(34154,10163282,'Must not be engaged in pvp combat',100,1,13),
(34155,159671,'When Equipped:',100,0,0),
(34156,159671,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34157,159671,'Increases STR of caster by 8.8',100,2,2),
(34158,159671,'Increases Damage Per Second of caster by 15.1',100,2,3),
(34159,159671,'Cannot be modified except by direct means',100,2,4),
(34160,10159671,'When Equipped:',100,0,0),
(34161,10159671,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34162,10159671,'Increases STR of caster by 8.8',100,2,2),
(34163,10159671,'Increases Damage Per Second of caster by 15.1',100,2,3),
(34164,10159671,'Cannot be modified except by direct means',100,2,4),
(34165,41618,'When Equipped:',100,0,0),
(34166,41618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34167,41618,'Inflicts 61 - 114 magic damage on target',100,2,2),
(34168,41618,'Cannot be modified except by direct means',100,2,3),
(34169,10041618,'When Equipped:',100,0,0),
(34170,10041618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34171,10041618,'Inflicts 61 - 114 magic damage on target',100,2,2),
(34172,10041618,'Cannot be modified except by direct means',100,2,3),
(34173,111379,'Inflicts 2392 - 3681 disease damage on target',100,1,0),
(34174,111379,'Heals caster for 883 - 1472',100,1,1),
(34175,10111379,'Inflicts 1706 - 2711 disease damage on target',100,1,0),
(34176,10111379,'Heals caster for 477 - 732',100,1,1),
(34177,109669,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(34178,109669,'Increases Mitigation of group members (AE) vs arcane damage by 150',100,1,1),
(34179,10109669,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(34180,10109669,'Increases Mitigation of group members (AE) vs arcane damage by 150',100,1,1),
(34181,183484,'When Equipped:',100,0,0),
(34182,183484,'Increases Attack Speed of caster by 38.0',100,1,1),
(34183,10183484,'When Equipped:',100,0,0),
(34184,10183484,'Increases Attack Speed of caster by 38.0',100,1,1),
(34185,36776,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(34186,141943,'When Equipped:',100,0,0),
(34187,141943,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(34188,141943,'Increases AGI of caster by 8.8',100,2,2),
(34189,141943,'Increases Attack Speed of caster by 13.2',100,2,3),
(34190,141943,'Cannot be modified except by direct means',100,2,4),
(34191,10141943,'When Equipped:',100,0,0),
(34192,10141943,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(34193,10141943,'Increases AGI of caster by 8.8',100,2,2),
(34194,10141943,'Increases Attack Speed of caster by 13.2',100,2,3),
(34195,10141943,'Cannot be modified except by direct means',100,2,4),
(34196,100029,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(34197,100029,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(34198,100029,'Inflicts 678 - 1125 melee damage on targets in area',100,2,2),
(34199,100029,'Decreases Defense of caster by 19.2',100,1,3),
(34200,100029,'Increases Slashing, Piercing and Crushing of caster by 34.6',100,1,4),
(34201,10100029,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(34202,10100029,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(34203,10100029,'Inflicts 534 - 886 melee damage on targets in area',100,2,2),
(34204,10100029,'Decreases Defense of caster by 19.2',100,1,3),
(34205,10100029,'Increases Slashing, Piercing and Crushing of caster by 34.6',100,1,4),
(34206,81973,'When Equipped:',100,0,0),
(34207,81973,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34208,81973,'Inflicts 523 - 972 magic damage on target',100,2,2),
(34209,81973,'Decreases Threat to target by 994 ',100,2,3),
(34210,81973,'Must be flanking or behind',100,3,4),
(34211,81973,'Increases Threat to target by 1,454 ',100,2,5),
(34212,81973,'Must be in front of',100,3,6),
(34213,81973,'Cannot be modified except by direct means',100,2,7),
(34214,10081973,'When Equipped:',100,0,0),
(34215,10081973,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34216,10081973,'Inflicts 523 - 972 magic damage on target',100,2,2),
(34217,10081973,'Cannot be modified except by direct means',100,2,3),
(34218,165728,'When Equipped:',100,0,0),
(34219,165728,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(34220,165728,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(34221,165728,'Heals group members (AE) for 5384 - 5951',100,2,3),
(34222,165728,'Must not be engaged in pvp combat',100,2,4),
(34223,165728,'Cannot be modified except by direct means',100,2,5),
(34224,165728,'Cannot be modified except by direct means',100,1,6),
(34225,10165728,'When Equipped:',100,0,0),
(34226,10165728,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(34227,10165728,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(34228,10165728,'Heals group members (AE) for 6299 - 6962',100,2,3),
(34229,10165728,'Must not be engaged in pvp combat',100,2,4),
(34230,10165728,'Cannot be modified except by direct means',100,2,5),
(34231,10165728,'Cannot be modified except by direct means',100,1,6),
(34232,113752,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(34233,113752,'Inflicts 1894 piercing damage on target',100,2,1),
(34234,113752,'Grants a total of 60 triggers of the spell.',100,2,2),
(34235,10113752,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(34236,10113752,'Inflicts 1294 piercing damage on target',100,2,1),
(34237,10113752,'Grants a total of 60 triggers of the spell.',100,2,2),
(34238,121791,'Heals target for 1102 - 1346',100,1,0),
(34239,121791,'Heals target for 92 - 112 every second',100,1,1),
(34240,10121791,'Heals target for 1009 - 1176',100,1,0),
(34241,10121791,'Heals target for 63 - 77 every second',100,1,1),
(34242,82469,'When Equipped:',100,0,0),
(34243,82469,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34244,82469,'Inflicts 272 - 505 magic damage on target',100,2,2),
(34245,82469,'Decreases Threat to target by 641 ',100,2,3),
(34246,82469,'Must be flanking or behind',100,3,4),
(34247,82469,'Increases Threat to target by 1,101 ',100,2,5),
(34248,82469,'Must be in front of',100,3,6),
(34249,82469,'Cannot be modified except by direct means',100,2,7),
(34250,10082469,'When Equipped:',100,0,0),
(34251,10082469,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34252,10082469,'Inflicts 272 - 505 magic damage on target',100,2,2),
(34253,10082469,'Cannot be modified except by direct means',100,2,3),
(34254,118356,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(34255,118356,'Clears the reuse of Dragonfire.',100,130,1),
(34256,118356,'Inflicts 1648 - 2087 melee damage on target',100,1,2),
(34257,118356,'Inflicts 663 - 1105 heat damage on target every 2.3 seconds',100,1,3),
(34258,10118356,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(34259,10118356,'Clears the reuse of Dragonfire.',100,130,1),
(34260,10118356,'Inflicts 940 - 1300 melee damage on target',100,1,2),
(34261,10118356,'Inflicts 544 - 906 heat damage on target every 2.3 seconds',100,1,3),
(34262,108981,'Decreases Damage Per Second of target by 16.3',100,1,0),
(34263,108981,'Inflicts 56 - 69 melee damage on target',100,1,1),
(34264,10108981,'Decreases Damage Per Second of target by 16.3',100,1,0),
(34265,10108981,'Inflicts 44 - 54 melee damage on target',100,1,1),
(34266,177563,'When Equipped:',100,0,0),
(34267,177563,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34268,177563,'Increases WIS of caster by 5.5',100,2,2),
(34269,177563,'Increases Focus, Ordination and Ministration of caster by 3.6',100,2,3),
(34270,177563,'Cannot be modified except by direct means',100,2,4),
(34271,10177563,'When Equipped:',100,0,0),
(34272,10177563,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34273,10177563,'Increases WIS of caster by 5.5',100,2,2),
(34274,10177563,'Increases Focus, Ordination and Ministration of caster by 3.6',100,2,3),
(34275,10177563,'Cannot be modified except by direct means',100,2,4),
(34276,120770,'Inflicts 1302 - 1373 divine damage on target',100,1,0),
(34277,120770,'Inflicts 320 - 391 divine damage on target every 3 seconds',100,1,1),
(34278,120770,'Increases power of caster by 69 instantly and every 3 seconds',100,1,2),
(34279,10120770,'Inflicts 647 - 703 divine damage on target',100,1,0),
(34280,10120770,'Inflicts 252 - 308 divine damage on target every 3 seconds',100,1,1),
(34281,10120770,'Increases power of caster by 69 instantly and every 3 seconds',100,1,2),
(34282,46199,'Applies Petamorph: Fae Drake when Activated.  Lasts for 2 hours.',100,0,0),
(34283,46199,'Turns the caster''s combat pet into a fae drake. Does not work on cosmetic pets.',100,1,1),
(34284,10046199,'Applies Petamorph: Fae Drake when Activated.  Lasts for 2 hours.',100,0,0),
(34285,10046199,'Turns the caster''s combat pet into a fae drake. Does not work on cosmetic pets.',100,1,1),
(34286,120425,'Inflicts 745 - 1232 melee damage on target',100,1,0),
(34287,120425,'Inflicts 371 - 616 melee damage on target',100,1,1),
(34288,10120425,'Inflicts 664 - 880 melee damage on target',100,1,0),
(34289,10120425,'Inflicts 292 - 485 melee damage on target',100,1,1),
(34290,144605,'When Equipped:',100,0,0),
(34291,144605,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(34292,144605,'Reduces healing received by 15.00%',100,2,2),
(34293,144605,'Cannot be modified except by direct means',100,2,3),
(34294,144605,'This effect can only trigger once every 1 second.',100,2,4),
(34295,144605,'Must be engaged in pvp combat',100,1,5),
(34296,10144605,'When Equipped:',100,0,0),
(34297,10144605,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(34298,10144605,'Reduces healing received by 15.00%',100,2,2),
(34299,10144605,'Cannot be modified except by direct means',100,2,3),
(34300,10144605,'This effect can only trigger once every 1 second.',100,2,4),
(34301,10144605,'Must be engaged in pvp combat',100,1,5),
(34302,176427,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(34303,176427,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(34304,176427,'Decreases Attack Speed of target by 13.0',100,2,2),
(34305,176427,'Cannot be modified except by direct means',100,2,3),
(34306,176427,'Slows target by 34.1%',100,1,4),
(34307,176427,'5% chance to dispel when target takes damage',100,1,5),
(34308,176427,'5% chance to dispel when target receives hostile action',100,1,6),
(34309,176427,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(34310,10176427,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(34311,10176427,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(34312,10176427,'Decreases Attack Speed of target by 13.0',100,2,2),
(34313,10176427,'Cannot be modified except by direct means',100,2,3),
(34314,10176427,'Slows target by 34.1%',100,1,4),
(34315,10176427,'5% chance to dispel when target takes damage',100,1,5),
(34316,10176427,'5% chance to dispel when target receives hostile action',100,1,6),
(34317,10176427,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(34318,80495,'When Equipped:',100,0,0),
(34319,80495,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34320,80495,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(34321,80495,'Decreases Threat to target by 1,219 ',100,2,3),
(34322,80495,'Must be flanking or behind',100,3,4),
(34323,80495,'Increases Threat to target by 1,679 ',100,2,5),
(34324,80495,'Must be in front of',100,3,6),
(34325,80495,'Cannot be modified except by direct means',100,2,7),
(34326,10080495,'When Equipped:',100,0,0),
(34327,10080495,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34328,10080495,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(34329,10080495,'Cannot be modified except by direct means',100,2,3),
(34330,139795,'When Equipped:',100,0,0),
(34331,139795,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(34332,10139795,'When Equipped:',100,0,0),
(34333,10139795,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(34334,113506,'Inflicts 1532 - 2326 melee damage on targets in area',100,1,0),
(34335,10113506,'Inflicts 1081 - 1706 melee damage on targets in area',100,1,0),
(34336,108963,'Increases INT of group members (AE) by 126.2',100,1,0),
(34337,108963,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 48.2',100,1,1),
(34338,10108963,'Increases INT of group members (AE) by 126.2',100,1,0),
(34339,10108963,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 48.2',100,1,1),
(34340,46216,'Applies Petamorph: Wooly Companion when Activated.  Lasts for 2 hours.',100,0,0),
(34341,46216,'Turns the caster''s combat pet into a sheep. Does not work on cosmetic pets.',100,1,1),
(34342,10046216,'Applies Petamorph: Wooly Companion when Activated.  Lasts for 2 hours.',100,0,0),
(34343,10046216,'Turns the caster''s combat pet into a sheep. Does not work on cosmetic pets.',100,1,1),
(34344,111158,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(34345,111158,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1127',100,1,1),
(34346,111158,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,2),
(34347,10111158,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(34348,10111158,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1127',100,1,1),
(34349,10111158,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,2),
(34350,47063,'Applies Miscalibrated Automated Watersafe Net when Activated.  Lasts for 10 days.',100,0,0),
(34351,47063,'Increases Trapping of caster by 5.0',100,1,1),
(34352,47063,'Reduces the harvest time for fishing and trapping by .2 seconds.',100,1,2),
(34353,47063,'Increases Fishing of caster by 5.0',100,1,3),
(34354,10047063,'Applies Miscalibrated Automated Watersafe Net when Activated.  Lasts for 10 days.',100,0,0),
(34355,10047063,'Increases Trapping of caster by 5.0',100,1,1),
(34356,10047063,'Reduces the harvest time for fishing and trapping by .2 seconds.',100,1,2),
(34357,10047063,'Increases Fishing of caster by 5.0',100,1,3),
(34358,90295,'When Equipped:',100,0,0),
(34359,90295,'On a combat hit this spell may cast Whirling Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34360,90295,'Summons a limited pet to aid the caster',100,2,2),
(34361,90295,'Cannot be modified except by direct means',100,2,3),
(34362,10090295,'When Equipped:',100,0,0),
(34363,10090295,'On a combat hit this spell may cast Whirling Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34364,10090295,'Summons a limited pet to aid the caster',100,2,2),
(34365,10090295,'Cannot be modified except by direct means',100,2,3),
(34366,48801,'Applies Guardsmanship of the Thicket  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(34367,48801,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(34368,48801,'Inflicts 13 magic damage on target',100,2,2),
(34369,48801,'Cannot be modified except by direct means',100,2,3),
(34370,10048801,'Applies Guardsmanship of the Thicket  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(34371,10048801,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(34372,10048801,'Inflicts 13 magic damage on target',100,2,2),
(34373,10048801,'Cannot be modified except by direct means',100,2,3),
(34374,81839,'When Equipped:',100,0,0),
(34375,81839,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34376,81839,'Inflicts 210 - 391 magic damage on target',100,2,2),
(34377,81839,'Decreases Threat to target by 487 ',100,2,3),
(34378,81839,'Must be flanking or behind',100,3,4),
(34379,81839,'Increases Threat to target by 852 ',100,2,5),
(34380,81839,'Must be in front of',100,3,6),
(34381,81839,'Cannot be modified except by direct means',100,2,7),
(34382,10081839,'When Equipped:',100,0,0),
(34383,10081839,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(34384,10081839,'Inflicts 210 - 391 magic damage on target',100,2,2),
(34385,10081839,'Cannot be modified except by direct means',100,2,3),
(34386,52893,'Applies Sanguine Imbued when Equipped.',100,0,0),
(34387,52893,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(34388,52893,'Inflicts 194 heat damage on target',100,2,2),
(34389,52893,'Cannot be modified except by direct means',100,2,3),
(34390,10052893,'Applies Sanguine Imbued when Equipped.',100,0,0),
(34391,10052893,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(34392,10052893,'Inflicts 194 heat damage on target',100,2,2),
(34393,10052893,'Cannot be modified except by direct means',100,2,3),
(34394,118076,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(34395,118076,'Increases Defense of caster by 7.6',100,1,1),
(34396,10118076,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(34397,10118076,'Increases Defense of caster by 7.6',100,1,1),
(34398,183415,'When Equipped:',100,0,0),
(34399,183415,'On a hostile spell cast this spell may cast Act of Survival on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(34400,183415,'Inflicts 253 magic damage on target',100,2,2),
(34401,183415,'Heals caster for 156',100,2,3),
(34402,183415,'Cannot be modified except by direct means',100,2,4),
(34403,10183415,'When Equipped:',100,0,0),
(34404,10183415,'On a hostile spell cast this spell may cast Act of Survival on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(34405,10183415,'Inflicts 253 magic damage on target',100,2,2),
(34406,10183415,'Heals caster for 101',100,2,3),
(34407,10183415,'Cannot be modified except by direct means',100,2,4),
(34408,52892,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(34409,52892,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(34410,52892,'Inflicts 155 heat damage on target',100,2,2),
(34411,52892,'Cannot be modified except by direct means',100,2,3),
(34412,10052892,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(34413,10052892,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(34414,10052892,'Inflicts 155 heat damage on target',100,2,2),
(34415,10052892,'Cannot be modified except by direct means',100,2,3),
(34416,108868,'Inflicts 1335 - 2214 melee damage on target',100,1,0),
(34417,108868,'Decreases INT of target by 95.8',100,1,1),
(34418,10108868,'Inflicts 1051 - 1558 melee damage on target',100,1,0),
(34419,10108868,'Decreases INT of target by 95.8',100,1,1),
(34420,24395,'Adds Genie (Monk) to your Dungeon Maker toolbox',100,0,0),
(34421,10024395,'Adds Genie (Monk) to your Dungeon Maker toolbox',100,0,0),
(34422,114375,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(34423,114375,'Increases Attack Speed of caster by 21.0',100,130,1),
(34424,114375,'Increases Crushing, Slashing, Ranged and Piercing of caster by 23.4',100,130,2),
(34425,114375,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(34426,114375,'Stuns target',100,2,4),
(34427,114375,'Throws target back',100,2,5),
(34428,114375,'Blurs vision of target',100,2,6),
(34429,114375,'Does not affect Epic targets',100,2,7),
(34430,114375,'Inflicts 2533 - 3554 crushing damage on target',100,1,8),
(34431,10114375,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(34432,10114375,'Increases Attack Speed of caster by 21.0',100,130,1),
(34433,10114375,'Increases Crushing, Slashing, Ranged and Piercing of caster by 23.4',100,130,2),
(34434,10114375,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(34435,10114375,'Stuns target',100,2,4),
(34436,10114375,'Throws target back',100,2,5),
(34437,10114375,'Blurs vision of target',100,2,6),
(34438,10114375,'Does not affect Epic targets',100,2,7),
(34439,10114375,'Inflicts 1633 - 2449 crushing damage on target',100,1,8),
(34440,123501,'Decreases Mitigation of target encounter vs noxious damage by 451',100,1,0),
(34441,10123501,'Decreases Mitigation of target encounter vs noxious damage by 451',100,1,0),
(34442,25463,'When Equipped:',100,0,0),
(34443,25463,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(34444,25463,'Adds 10% max health to Death''s Door VII.',100,1,2),
(34445,10025463,'When Equipped:',100,0,0),
(34446,10025463,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(34447,10025463,'Adds 10% max health to Death''s Door VII.',100,1,2),
(34448,119252,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',100,1,0),
(34449,119252,'Reduces all damage done to target by 80% This spell will absorb a total of 1 attack.',100,2,1),
(34450,119252,'Heals target for 27.0% of max health',100,2,2),
(34451,119252,'This effect cannot be critically applied.',100,3,3),
(34452,119252,'When damaged this spell will cast Reinforcement on target''s attacker.  ',100,2,4),
(34453,119252,'Increases threat priority of target by 1 position',100,3,5),
(34454,119252,'Increases Threat to target by 1,398 ',100,3,6),
(34455,119252,'The healing of this spell cannot be modified except by direct means',100,2,7),
(34456,119252,'Grants a total of 1 trigger of the spell.',100,2,8),
(34457,10119252,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',100,1,0),
(34458,10119252,'Reduces all damage done to target by 80% This spell will absorb a total of 1 attack.',100,2,1),
(34459,10119252,'Heals target for 17.5% of max health',100,2,2),
(34460,10119252,'This effect cannot be critically applied.',100,3,3),
(34461,10119252,'When damaged this spell will cast Reinforcement on target''s attacker.  Lasts for 3.0 seconds.  ',100,2,4),
(34462,10119252,'Prevents target from changing targets',100,3,5),
(34463,10119252,'Forces target to change their selected target to caster.',100,3,6),
(34464,10119252,'The healing of this spell cannot be modified except by direct means',100,2,7),
(34465,10119252,'Grants a total of 1 trigger of the spell.',100,2,8),
(34466,103343,'Applies Migraine on termination.',100,1,0),
(34467,103343,'Inflicts 2585 - 3381 mental damage on target',100,2,1),
(34468,103343,'Inflicts 2018 - 2248 mental damage on target',100,1,2),
(34469,103343,'Inflicts 1036 - 1266 mental damage on target every 6 seconds',100,1,3),
(34470,10103343,'Applies Migraine on termination.',100,1,0),
(34471,10103343,'Inflicts 1911 - 2539 mental damage on target',100,2,1),
(34472,10103343,'Inflicts 1211 - 1392 mental damage on target',100,1,2),
(34473,10103343,'Inflicts 816 - 998 mental damage on target every 6 seconds',100,1,3),
(34474,113592,'Summons a limited pet to aid the caster',100,1,0),
(34475,10113592,'Summons a limited pet to aid the caster',100,1,0),
(34476,105943,'Inflicts 1850 - 2852 disease damage on targets in area',100,1,0),
(34477,105943,'Inflicts 980 - 1197 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(34478,10105943,'Inflicts 1358 - 2165 disease damage on targets in area',100,1,0),
(34479,10105943,'Inflicts 727 - 889 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(34480,46073,'Applies Elixir of Energy when Activated.  Lasts for 15 minutes.',100,0,0),
(34481,46073,'Increases Max Power of caster by 32.5',100,1,1),
(34482,10046073,'Applies Elixir of Energy when Activated.  Lasts for 15 minutes.',100,0,0),
(34483,10046073,'Increases Max Power of caster by 32.5',100,1,1),
(34484,114211,'Inflicts 2986 - 4305 melee damage on target',100,1,0),
(34485,114211,'Decreases Slashing, Crushing and Piercing of target by 13.1',100,1,1),
(34486,10114211,'Inflicts 1974 - 3013 melee damage on target',100,1,0),
(34487,10114211,'Decreases Slashing, Crushing and Piercing of target by 13.1',100,1,1),
(34488,111202,'Inflicts 1773 - 2879 divine damage on targets in area',100,1,0),
(34489,111202,'Heals group members (AE) for 2.1% of max health',100,1,1),
(34490,111202,'This effect cannot be critically applied.',100,2,2),
(34491,111202,'The healing of this spell cannot be modified except by direct means',100,1,3),
(34492,10111202,'Inflicts 1384 - 2253 divine damage on targets in area',100,1,0),
(34493,10111202,'Heals group members (AE) for 1.4% of max health',100,1,1),
(34494,10111202,'This effect cannot be critically applied.',100,2,2),
(34495,10111202,'The healing of this spell cannot be modified except by direct means',100,1,3),
(34496,118132,'Heals target for 4680 - 5502',100,1,0),
(34497,10118132,'Heals target for 3701 - 4466',100,1,0),
(34498,118483,'Summons a limited pet to aid the caster',100,1,0),
(34499,10118483,'Summons a limited pet to aid the caster',100,1,0),
(34500,122202,'Increases Damage Per Second of target by 13.8',100,1,0),
(34501,122202,'Increases Max Health of target by 121.7',100,1,1),
(34502,10122202,'Increases Damage Per Second of target by 13.8',100,1,0),
(34503,10122202,'Increases Max Health of target by 121.7',100,1,1),
(34504,37140,'Increases Max Power of target by 22.8',100,0,0),
(34505,37140,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(34506,105276,'Increases Threat to target by 8,575 ',100,1,0),
(34507,105276,'Interrupts target',100,1,1),
(34508,105276,'Dispels 230 levels of arcane beneficial effects on target',100,1,2),
(34509,10105276,'Forces target to change their selected target to caster.',100,1,0),
(34510,10105276,'Interrupts target',100,1,1),
(34511,10105276,'Dispels 230 levels of arcane beneficial effects on target',100,1,2),
(34512,40854,'When Equipped:',100,0,0),
(34513,40854,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(34514,40854,'Inflicts 852 piercing damage on target',100,2,2),
(34515,40854,'Cannot be modified except by direct means',100,2,3),
(34516,10040854,'When Equipped:',100,0,0),
(34517,10040854,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(34518,10040854,'Inflicts 426 piercing damage on target',100,2,2),
(34519,10040854,'Cannot be modified except by direct means',100,2,3),
(34520,81708,'When Equipped:',100,0,0),
(34521,81708,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34522,81708,'Inflicts 210 - 391 magic damage on target',100,2,2),
(34523,81708,'Cannot be modified except by direct means',100,2,3),
(34524,10081708,'When Equipped:',100,0,0),
(34525,10081708,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34526,10081708,'Inflicts 210 - 391 magic damage on target',100,2,2),
(34527,10081708,'Cannot be modified except by direct means',100,2,3),
(34528,107465,'Increases Defense of group members'' pets (AE) by 3.1',100,1,0),
(34529,107465,'Increases Mitigation of group members (AE) vs all damage by 58',100,1,1),
(34530,10107465,'Increases Defense of group members'' pets (AE) by 3.1',100,1,0),
(34531,10107465,'Increases Mitigation of group members (AE) vs all damage by 58',100,1,1),
(34532,155392,'When Equipped:',100,0,0),
(34533,155392,'Increases Attack Speed of caster by 40.0',100,1,1),
(34534,10155392,'When Equipped:',100,0,0),
(34535,10155392,'Increases Attack Speed of caster by 40.0',100,1,1),
(34536,103647,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(34537,103647,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(34538,103647,'Increases STR of raid and group members (AE) by 69.0',100,1,2),
(34539,103647,'Improves the base amount of taunts by 16%.',100,1,3),
(34540,103647,'Improves the base amount of combat arts by 5%.',100,1,4),
(34541,103647,'Increases AGI of raid and group members (AE) by 69.0',100,1,5),
(34542,103647,'Adds 1.6% to base avoidance.',100,1,6),
(34543,10103647,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(34544,10103647,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(34545,10103647,'Increases STR of raid and group members (AE) by 69.0',100,1,2),
(34546,10103647,'Improves the base amount of taunts by 16%.',100,1,3),
(34547,10103647,'Improves the base amount of combat arts by 5%.',100,1,4),
(34548,10103647,'Increases AGI of raid and group members (AE) by 69.0',100,1,5),
(34549,10103647,'Adds 1.6% to base avoidance.',100,1,6),
(34550,107388,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(34551,107388,'Slows target by 41.8%',100,2,1),
(34552,107388,'5% chance to dispel when target receives hostile action',100,2,2),
(34553,107388,'5% chance to dispel when target takes damage',100,2,3),
(34554,107388,'Inflicts 2221 - 3450 disease damage on target',100,1,4),
(34555,10107388,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(34556,10107388,'Slows target by 41.8%',100,2,1),
(34557,10107388,'5% chance to dispel when target receives hostile action',100,2,2),
(34558,10107388,'5% chance to dispel when target takes damage',100,2,3),
(34559,10107388,'Inflicts 1561 - 2339 disease damage on target',100,1,4),
(34560,101078,'Summons 3 limited pets to aid the caster',100,1,0),
(34561,10101078,'Summons 3 limited pets to aid the caster',100,1,0),
(34562,112379,'Increases Crushing, Piercing, Slashing and Ranged of target by 21.8',100,1,0),
(34563,112379,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(34564,112379,'Inflicts 771 - 943 piercing damage on target',100,2,2),
(34565,112379,'Inflicts 386 - 471 piercing damage on target every 3 seconds',100,2,3),
(34566,10112379,'Increases Crushing, Piercing, Slashing and Ranged of target by 21.8',100,1,0),
(34567,10112379,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(34568,10112379,'Inflicts 608 - 743 piercing damage on target',100,2,2),
(34569,10112379,'Inflicts 304 - 371 piercing damage on target every 3 seconds',100,2,3),
(34570,107814,'Increases Threat to target encounter by 5,039 - 5,799 ',100,1,0),
(34571,10107814,'Prevents target encounter from changing targets',100,1,0),
(34572,10107814,'Forces target encounter to change their selected target to caster.',100,1,1),
(34573,113732,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(34574,113732,'Inflicts 487 piercing damage on target',100,2,1),
(34575,113732,'Grants a total of 60 triggers of the spell.',100,2,2),
(34576,10113732,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(34577,10113732,'Inflicts 392 piercing damage on target',100,2,1),
(34578,10113732,'Grants a total of 60 triggers of the spell.',100,2,2),
(34579,74589,'When Equipped:',100,0,0),
(34580,74589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34581,74589,'Inflicts 85 - 128 magic damage on target',100,2,2),
(34582,74589,'Cannot be modified except by direct means',100,2,3),
(34583,10074589,'When Equipped:',100,0,0),
(34584,10074589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34585,10074589,'Inflicts 85 - 128 magic damage on target',100,2,2),
(34586,10074589,'Cannot be modified except by direct means',100,2,3),
(34587,103297,'Applies Migraine on termination.',100,1,0),
(34588,103297,'Inflicts 60 - 82 mental damage on target',100,2,1),
(34589,103297,'Inflicts 83 - 101 mental damage on target',100,1,2),
(34590,103297,'Inflicts 24 - 29 mental damage on target every 6 seconds',100,1,3),
(34591,10103297,'Applies Migraine on termination.',100,1,0),
(34592,10103297,'Inflicts 49 - 67 mental damage on target',100,2,1),
(34593,10103297,'Inflicts 78 - 95 mental damage on target',100,1,2),
(34594,10103297,'Inflicts 19 - 23 mental damage on target every 6 seconds',100,1,3),
(34595,144640,'When Equipped:',100,0,0),
(34596,144640,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(34597,144640,'Reduces healing received by 15.00%',100,2,2),
(34598,144640,'Cannot be modified except by direct means',100,2,3),
(34599,144640,'This effect can only trigger once every 1 second.',100,2,4),
(34600,144640,'Must be engaged in pvp combat',100,1,5),
(34601,10144640,'When Equipped:',100,0,0),
(34602,10144640,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(34603,10144640,'Reduces healing received by 15.00%',100,2,2),
(34604,10144640,'Cannot be modified except by direct means',100,2,3),
(34605,10144640,'This effect can only trigger once every 1 second.',100,2,4),
(34606,10144640,'Must be engaged in pvp combat',100,1,5),
(34607,47016,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(34608,47016,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(34609,47016,'Inflicts 31 poison damage on target instantly and every 6 seconds',100,2,2),
(34610,47016,'Inflicts 35 poison damage on target',100,2,3),
(34611,47016,'Cannot be modified except by direct means',100,2,4),
(34612,47016,'Grants a total of 200 triggers of the spell.',100,2,5),
(34613,10047016,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(34614,10047016,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(34615,10047016,'Inflicts 23 poison damage on target instantly and every 6 seconds',100,2,2),
(34616,10047016,'Inflicts 26 poison damage on target',100,2,3),
(34617,10047016,'Cannot be modified except by direct means',100,2,4),
(34618,10047016,'Grants a total of 200 triggers of the spell.',100,2,5),
(34619,120961,'Inflicts 3855 - 5750 ranged damage on target',100,1,0),
(34620,120961,'If weapon equipped in Ranged',100,1,1),
(34621,120961,'Must be behind',100,1,2),
(34622,10120961,'Inflicts 2093 - 3213 ranged damage on target',100,1,0),
(34623,10120961,'If weapon equipped in Ranged',100,1,1),
(34624,10120961,'Must be behind',100,1,2),
(34625,149125,'When Equipped:',100,0,0),
(34626,149125,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(34627,149125,'Decreases threat priority of target by 1 position',100,2,2),
(34628,149125,'Cannot be modified except by direct means',100,2,3),
(34629,10149125,'When Equipped:',100,0,0),
(34630,10149125,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(34631,10149125,'Cannot be modified except by direct means',100,2,2),
(34632,72052,'When Equipped:',100,0,0),
(34633,72052,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34634,72052,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(34635,72052,'Cannot be modified except by direct means',100,2,3),
(34636,10072052,'When Equipped:',100,0,0),
(34637,10072052,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34638,10072052,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(34639,10072052,'Cannot be modified except by direct means',100,2,3),
(34640,124042,'Increases power of caster by 45',100,1,0),
(34641,10124042,'Increases power of caster by 45',100,1,0),
(34642,110695,'Heals target for 5639',100,1,0),
(34643,110695,'Dispels 117 levels of any hostile effects on target',100,1,1),
(34644,10110695,'Heals target for 2642',100,1,0),
(34645,10110695,'Dispels 117 levels of any hostile effects on target',100,1,1),
(34646,103163,'Throws target back',100,1,0),
(34647,103163,'If Target is not Epic',100,2,1),
(34648,103163,'Inflicts 676 - 1999 crushing damage on target',100,1,2),
(34649,103163,'Stuns target',100,1,3),
(34650,103163,'If Target is not Epic',100,2,4),
(34651,103163,'Resistibility increases against targets higher than level 84.',100,1,5),
(34652,10103163,'Throws target back',100,1,0),
(34653,10103163,'If Target is not Epic',100,2,1),
(34654,10103163,'Inflicts 532 - 1444 crushing damage on target',100,1,2),
(34655,10103163,'Stuns target',100,1,3),
(34656,10103163,'If Target is not Epic',100,2,4),
(34657,10103163,'Resistibility increases against targets higher than level 84.',100,1,5),
(34658,108297,'Inflicts 27 - 44 divine damage on target',100,1,0),
(34659,108297,'Heals caster for 3',100,1,1),
(34660,108297,'This effect cannot be critically applied.',100,2,2),
(34661,108297,'The healing of this spell cannot be modified except by direct means',100,1,3),
(34662,10108297,'Inflicts 21 - 35 divine damage on target',100,1,0),
(34663,10108297,'Heals target for 2',100,1,1),
(34664,10108297,'This effect cannot be critically applied.',100,2,2),
(34665,10108297,'The healing of this spell cannot be modified except by direct means',100,1,3),
(34666,111310,'Inflicts 3683 - 5461 divine damage on target',100,1,0),
(34667,111310,'Inflicts 1075 - 1792 divine damage on target every 4 seconds',100,1,1),
(34668,10111310,'Inflicts 2523 - 3924 divine damage on target',100,1,0),
(34669,10111310,'Inflicts 847 - 1412 divine damage on target every 4 seconds',100,1,1),
(34670,105281,'Increases AGI of caster by 30.5',100,1,0),
(34671,105281,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(34672,105281,'Inflicts 121 - 201 mental damage on target',100,2,2),
(34673,105281,'Adds 17.2% to base avoidance.',100,1,3),
(34674,105281,'Increases Mitigation of caster vs physical damage by 100',100,1,4),
(34675,105281,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,5),
(34676,105281,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(34677,105281,'Inflicts 121 - 201 mental damage on target',100,2,7),
(34678,10105281,'Increases AGI of caster by 30.5',100,1,0),
(34679,10105281,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(34680,10105281,'Inflicts 95 - 159 mental damage on target',100,2,2),
(34681,10105281,'Adds 17.2% to base avoidance.',100,1,3),
(34682,10105281,'Increases Mitigation of caster vs physical damage by 100',100,1,4),
(34683,10105281,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,5),
(34684,10105281,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(34685,10105281,'Inflicts 95 - 159 mental damage on target',100,2,7),
(34686,37364,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(34687,37364,'Increases Max Health of target by 14.0',100,0,1),
(34688,25492,'When Equipped:',100,0,0),
(34689,25492,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(34690,25492,'Improves the base damage of Flash of Steel VIII by 15%.',100,1,2),
(34691,10025492,'When Equipped:',100,0,0),
(34692,10025492,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(34693,10025492,'Improves the base damage of Flash of Steel VIII by 15%.',100,1,2),
(34694,48378,'Applies Tausian Growth when Activated.',100,0,0),
(34695,48378,'This effect cannot be cast during combat',100,1,1),
(34696,10048378,'Applies Tausian Growth when Activated.',100,0,0),
(34697,10048378,'This effect cannot be cast during combat',100,1,1),
(34698,124009,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(34699,124009,'Heals target for 392 - 480',100,2,1),
(34700,124009,'Grants a total of 5 triggers of the spell.',100,2,2),
(34701,10124009,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(34702,10124009,'Heals target for 209 - 255',100,2,1),
(34703,10124009,'Grants a total of 5 triggers of the spell.',100,2,2),
(34704,118608,'Roots target',100,1,0),
(34705,118608,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(34706,118608,'Slows target by 47.1%',100,2,2),
(34707,118608,'5% chance to dispel when target receives hostile action',100,2,3),
(34708,118608,'5% chance to dispel when target takes damage',100,2,4),
(34709,118608,'5% chance to dispel when target takes damage',100,1,5),
(34710,118608,'Does not affect Epic targets',100,1,6),
(34711,118608,'Resistibility increases against targets higher than level 93.',100,1,7),
(34712,10118608,'Roots target',100,1,0),
(34713,10118608,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(34714,10118608,'Slows target by 47.1%',100,2,2),
(34715,10118608,'5% chance to dispel when target receives hostile action',100,2,3),
(34716,10118608,'5% chance to dispel when target takes damage',100,2,4),
(34717,10118608,'5% chance to dispel when target takes damage',100,1,5),
(34718,10118608,'Does not affect Epic targets',100,1,6),
(34719,10118608,'Resistibility increases against targets higher than level 93.',100,1,7),
(34720,101408,'Inflicts 2887 - 4140 melee damage on target',100,1,0),
(34721,101408,'Returns the last arrow used to the ranger.',100,1,1),
(34722,10101408,'Inflicts 1895 - 2883 melee damage on target',100,1,0),
(34723,10101408,'Returns the last arrow used to the ranger.',100,1,1),
(34724,103277,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(34725,103277,'If Fighter',100,2,1),
(34726,103277,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(34727,103277,'Increases power of target by 11 instantly and every 4 seconds',100,2,3),
(34728,103277,'Increases power of caster by 11 instantly and every 4 seconds',100,2,4),
(34729,10103277,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(34730,10103277,'Increases power of target by 11 instantly and every 4 seconds',100,2,1),
(34731,10103277,'Increases power of caster by 11 instantly and every 4 seconds',100,2,2),
(34732,103090,'Inflicts 254 - 421 crushing damage on target',100,1,0),
(34733,103090,'Decreases Attack Speed of target by 11.5',100,1,1),
(34734,10103090,'Inflicts 200 - 332 crushing damage on target',100,1,0),
(34735,10103090,'Decreases Attack Speed of target by 11.5',100,1,1),
(34736,72307,'When Equipped:',100,0,0),
(34737,72307,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34738,72307,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(34739,72307,'Cannot be modified except by direct means',100,2,3),
(34740,10072307,'When Equipped:',100,0,0),
(34741,10072307,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(34742,10072307,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(34743,10072307,'Cannot be modified except by direct means',100,2,3),
(34744,87288,'When Equipped:',100,0,0),
(34745,87288,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34746,87288,'Inflicts 142 - 213 magic damage on target',100,2,2),
(34747,87288,'Cannot be modified except by direct means',100,2,3),
(34748,10087288,'When Equipped:',100,0,0),
(34749,10087288,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34750,10087288,'Inflicts 142 - 213 magic damage on target',100,2,2),
(34751,10087288,'Cannot be modified except by direct means',100,2,3),
(34752,103296,'Heals target for 631',100,1,0),
(34753,103296,'10% chance to apply Bounty of the Virtuous.',100,1,1),
(34754,103296,'Increases power of caster by 45',100,2,2),
(34755,10103296,'Heals target for 352',100,1,0),
(34756,10103296,'10% chance to apply Bounty of the Virtuous.',100,1,1),
(34757,10103296,'Increases power of caster by 45',100,2,2),
(34758,100468,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(34759,100468,'Decreases Threat to target by 169 ',100,2,1),
(34760,100468,'If not fighter',100,2,2),
(34761,100468,'Decreases Hate Gain of group members (AE) by 21.4%',100,1,3),
(34762,100468,'If not fighter',100,2,4),
(34763,10100468,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(34764,10100468,'If not fighter',100,2,1),
(34765,10100468,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(34766,10100468,'Inflicts 123 - 136 crushing damage on target',100,2,3),
(34767,10100468,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(34768,10100468,'If not fighter',100,2,5),
(34769,10100468,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(34770,10100468,'If not fighter',100,2,7),
(34771,10100468,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(34772,10100468,'If not fighter',100,2,9),
(34773,123270,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(34774,123270,'Inflicts 73 - 122 disease damage on target',100,2,1),
(34775,123270,'Heals caster for 7 - 12',100,2,2),
(34776,123270,'This effect cannot be critically applied.',100,3,3),
(34777,123270,'The healing of this spell cannot be modified except by direct means',100,2,4),
(34778,10123270,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(34779,10123270,'Inflicts 58 - 96 disease damage on target',100,2,1),
(34780,10123270,'Heals caster for 3 - 4',100,2,2),
(34781,10123270,'This effect cannot be critically applied.',100,3,3),
(34782,10123270,'The healing of this spell cannot be modified except by direct means',100,2,4),
(34783,105075,'Inflicts 1377 - 1604 magic damage on target',100,1,0),
(34784,10105075,'Inflicts 756 - 884 magic damage on target',100,1,0),
(34785,122882,'Increases Riposte Damage of caster by 25.0',100,129,0),
(34786,122882,'Makes caster immune to strikethrough attacks.',100,1,1),
(34787,122882,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,2),
(34788,10122882,'Increases Riposte Damage of caster by 25.0',100,129,0),
(34789,10122882,'Makes caster immune to strikethrough attacks.',100,1,1),
(34790,10122882,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,2),
(34791,123846,'Increases AGI of caster by 15.5',100,1,0),
(34792,123846,'Adds 25.0% to base avoidance.',100,1,1),
(34793,123846,'Increases Damage Per Second of caster by 33.7',100,1,2),
(34794,123846,'Increases Mitigation of caster vs physical damage by 123',100,1,3),
(34795,123846,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 275',100,1,4),
(34796,10123846,'Increases AGI of caster by 15.5',100,1,0),
(34797,10123846,'Adds 25.0% to base avoidance.',100,1,1),
(34798,10123846,'Increases Damage Per Second of caster by 33.7',100,1,2),
(34799,10123846,'Increases Mitigation of caster vs physical damage by 123',100,1,3),
(34800,10123846,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 275',100,1,4),
(34801,101196,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(34802,101196,'Slows target by 55.4%',100,2,1),
(34803,101196,'5% chance to dispel when target receives hostile action',100,2,2),
(34804,101196,'5% chance to dispel when target takes damage',100,2,3),
(34805,101196,'Inflicts 2607 - 3679 cold damage on target',100,1,4),
(34806,101196,'Inflicts 1625 - 2696 cold damage on target',100,1,5),
(34807,101196,'If weapon equipped in Ranged',100,1,6),
(34808,10101196,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(34809,10101196,'Slows target by 55.4%',100,2,1),
(34810,10101196,'5% chance to dispel when target receives hostile action',100,2,2),
(34811,10101196,'5% chance to dispel when target takes damage',100,2,3),
(34812,10101196,'Inflicts 1355 - 1988 cold damage on target',100,1,4),
(34813,10101196,'Inflicts 960 - 1594 cold damage on target',100,1,5),
(34814,10101196,'If weapon equipped in Ranged',100,1,6),
(34815,132242,'When Equipped:',100,0,0),
(34816,132242,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(34817,132242,'Heals group members (AE) for 580',100,2,2),
(34818,132242,'Cannot be modified except by direct means',100,2,3),
(34819,10132242,'When Equipped:',100,0,0),
(34820,10132242,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(34821,10132242,'Heals group members (AE) for 679',100,2,2),
(34822,10132242,'Cannot be modified except by direct means',100,2,3),
(34823,118555,'Dazes caster',100,1,0),
(34824,118555,'Roots caster',100,1,1),
(34825,118555,'Increases Mitigation of caster vs physical damage by 760',100,1,2),
(34826,10118555,'Dazes caster',100,1,0),
(34827,10118555,'Roots caster',100,1,1),
(34828,10118555,'Increases Mitigation of caster vs physical damage by 760',100,1,2),
(34829,74655,'When Equipped:',100,0,0),
(34830,74655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34831,74655,'Inflicts 85 - 128 magic damage on target',100,2,2),
(34832,74655,'Cannot be modified except by direct means',100,2,3),
(34833,10074655,'When Equipped:',100,0,0),
(34834,10074655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34835,10074655,'Inflicts 85 - 128 magic damage on target',100,2,2),
(34836,10074655,'Cannot be modified except by direct means',100,2,3),
(34837,75296,'When Equipped:',100,0,0),
(34838,75296,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(34839,75296,'Decreases power of target by 253',100,2,2),
(34840,75296,'Increases power of caster by 156',100,2,3),
(34841,75296,'Cannot be modified except by direct means',100,2,4),
(34842,10075296,'When Equipped:',100,0,0),
(34843,10075296,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(34844,10075296,'Decreases power of target by 253',100,2,2),
(34845,10075296,'Increases power of caster by 156',100,2,3),
(34846,10075296,'Cannot be modified except by direct means',100,2,4),
(34847,116513,'Increases Mitigation of target vs physical damage by 153',100,1,0),
(34848,116513,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(34849,10116513,'Increases Mitigation of target vs physical damage by 153',100,1,0),
(34850,10116513,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(34851,45579,'Applies Doradek''s Restoration  when Activated.',100,0,0),
(34852,45579,'Heals caster for 279',100,1,1),
(34853,10045579,'Applies Doradek''s Restoration  when Activated.',100,0,0),
(34854,10045579,'Heals caster for 181',100,1,1),
(34855,47612,'Applies Spray the Termite when Activated.',100,0,0),
(34856,47612,'Must be in The Moors of Ykesha.',100,1,1),
(34857,47612,'Must not be engaged in combat',100,1,2),
(34858,10047612,'Applies Spray the Termite when Activated.',100,0,0),
(34859,10047612,'Must be in The Moors of Ykesha.',100,1,1),
(34860,10047612,'Must not be engaged in combat',100,1,2),
(34861,117657,'Decreases Mitigation of target vs physical damage by 120',100,1,0),
(34862,10117657,'Decreases Mitigation of target vs physical damage by 60',100,1,0),
(34863,106134,'Decreases Defense of target by 67.8',100,1,0),
(34864,106134,'Inflicts 4694 - 7137 melee damage on target',100,1,1),
(34865,106134,'Decreases Parry and Deflection of target by 67.8',100,1,2),
(34866,10106134,'Decreases Defense of target by 67.8',100,1,0),
(34867,10106134,'Inflicts 3319 - 5245 melee damage on target',100,1,1),
(34868,10106134,'Decreases Parry and Deflection of target by 67.8',100,1,2),
(34869,112957,'Inflicts 669 - 1977 crushing damage on target',100,1,0),
(34870,10112957,'Inflicts 538 - 1456 crushing damage on target',100,1,0),
(34871,101308,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(34872,101308,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 31',100,1,1),
(34873,101308,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,2),
(34874,10101308,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(34875,10101308,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 31',100,1,1),
(34876,10101308,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,2),
(34877,107933,'Mesmerizes target',100,1,0),
(34878,107933,'Prevents AOE (except when direct) ',100,1,1),
(34879,107933,'Dispelled when target takes damage',100,1,2),
(34880,107933,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(34881,107933,'Resistibility increases against targets higher than level 81.',100,1,4),
(34882,10107933,'Mesmerizes target',100,1,0),
(34883,10107933,'Prevents AOE (except when direct) ',100,1,1),
(34884,10107933,'Dispelled when target takes damage',100,1,2),
(34885,10107933,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(34886,10107933,'Resistibility increases against targets higher than level 81.',100,1,4),
(34887,89789,'Applies Primal Rumination when Activated.  Lasts for 12.5 seconds.',100,0,0),
(34888,89789,'On a healing spell cast this spell will cast Primal Rumination on target of spell cast.  ',100,1,1),
(34889,89789,'Dispels 120 levels of any hostile effects on target',100,2,2),
(34890,89789,'Cannot be modified except by direct means',100,2,3),
(34891,89789,'Increases Potency of caster by 12.5%',100,1,4),
(34892,89789,'The reuse time of Primal Rumination is 4 minutes 9 seconds',100,1,5),
(34893,10089789,'Applies Primal Rumination when Activated.  Lasts for 12.5 seconds.',100,0,0),
(34894,10089789,'On a healing spell cast this spell will cast Primal Rumination on target of spell cast.  ',100,1,1),
(34895,10089789,'Dispels 120 levels of any hostile effects on target',100,2,2),
(34896,10089789,'Cannot be modified except by direct means',100,2,3),
(34897,10089789,'Increases Potency of caster by 12.5%',100,1,4),
(34898,10089789,'The reuse time of Primal Rumination is 4 minutes 9 seconds',100,1,5),
(34899,108737,'Summons a pet fiery magician',100,1,0),
(34900,10108737,'Summons a pet fiery magician',100,1,0),
(34901,81452,'When Equipped:',100,0,0),
(34902,81452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34903,81452,'Inflicts 140 - 260 magic damage on target',100,2,2),
(34904,81452,'Cannot be modified except by direct means',100,2,3),
(34905,10081452,'When Equipped:',100,0,0),
(34906,10081452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34907,10081452,'Inflicts 140 - 260 magic damage on target',100,2,2),
(34908,10081452,'Cannot be modified except by direct means',100,2,3),
(34909,103539,'Increases In-Combat Power Regeneration of group members (AE) by 11.8',100,1,0),
(34910,10103539,'Increases In-Combat Power Regeneration of group members (AE) by 11.8',100,1,0),
(34911,122821,'Inflicts 1456 - 2417 ranged damage on target',100,1,0),
(34912,122821,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(34913,122821,'Increases Hate Gain of target by 30.0%',100,2,2),
(34914,122821,'Grants a total of 1 trigger of the spell.',100,2,3),
(34915,122821,'Requires bow',100,1,4),
(34916,10122821,'Inflicts 860 - 1347 ranged damage on target',100,1,0),
(34917,10122821,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(34918,10122821,'Grants a total of 1 trigger of the spell.',100,2,2),
(34919,10122821,'Requires bow',100,1,3),
(34920,119376,'Decreases threat priority of target by 1 position',100,1,0),
(34921,119376,'Decreases Threat to target by 922 ',100,1,1),
(34922,119376,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(34923,119376,'Grants stealth to caster',100,2,3),
(34924,119376,'Suspends caster''s movement speed enhancements',100,2,4),
(34925,10119376,'Applies Distract.',100,1,0),
(34926,10119376,'Forces target to clear their selected target.',100,2,1),
(34927,10119376,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(34928,10119376,'Grants stealth to caster',100,2,3),
(34929,10119376,'Suspends caster''s movement speed enhancements',100,2,4),
(34930,108896,'Inflicts 2864 heat damage on target',100,1,0),
(34931,108896,'Inflicts 1881 cold damage on target',100,1,1),
(34932,108896,'Slows target by 59.2%',100,1,2),
(34933,10108896,'Inflicts 1877 heat damage on target',100,1,0),
(34934,10108896,'Inflicts 1483 cold damage on target',100,1,1),
(34935,10108896,'Slows target by 59.2%',100,1,2),
(34936,101166,'Heals target for 937 - 1145',100,1,0),
(34937,10101166,'Heals target for 523 - 639',100,1,0),
(34938,82166,'When Equipped:',100,0,0),
(34939,82166,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34940,82166,'Inflicts 272 - 505 magic damage on target',100,2,2),
(34941,82166,'Cannot be modified except by direct means',100,2,3),
(34942,10082166,'When Equipped:',100,0,0),
(34943,10082166,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34944,10082166,'Inflicts 272 - 505 magic damage on target',100,2,2),
(34945,10082166,'Cannot be modified except by direct means',100,2,3),
(34946,100232,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(34947,100232,'Increases power of caster by 17',100,2,1),
(34948,10100232,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(34949,10100232,'Increases power of caster by 17',100,2,1),
(34950,101629,'Applies Forceful Headache on termination.',100,1,0),
(34951,101629,'Inflicts 1205 - 2008 mental damage on target',100,2,1),
(34952,101629,'If over 50% power',100,3,2),
(34953,101629,'Inflicts 1396 - 1487 mental damage on target',100,1,3),
(34954,101629,'Inflicts 413 - 505 mental damage on target every 6 seconds',100,1,4),
(34955,101629,'Decreases Mitigation of target vs arcane damage by 672',100,1,5),
(34956,10101629,'Applies Forceful Headache on termination.',100,1,0),
(34957,10101629,'Inflicts 946 - 1488 mental damage on target',100,2,1),
(34958,10101629,'If over 50% power',100,3,2),
(34959,10101629,'Inflicts 720 - 793 mental damage on target',100,1,3),
(34960,10101629,'Inflicts 326 - 398 mental damage on target every 6 seconds',100,1,4),
(34961,10101629,'Decreases Mitigation of target vs arcane damage by 672',100,1,5),
(34962,81167,'When Equipped:',100,0,0),
(34963,81167,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34964,81167,'Inflicts 265 - 493 magic damage on target',100,2,2),
(34965,81167,'Cannot be modified except by direct means',100,2,3),
(34966,10081167,'When Equipped:',100,0,0),
(34967,10081167,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(34968,10081167,'Inflicts 265 - 493 magic damage on target',100,2,2),
(34969,10081167,'Cannot be modified except by direct means',100,2,3),
(34970,106937,'Inflicts 3990 - 6567 poison damage on target',100,1,0),
(34971,10106937,'Inflicts 2765 - 4796 poison damage on target',100,1,0),
(34972,119522,'Increases threat priority of target by 2 positions',100,1,0),
(34973,119522,'Stuns caster',100,1,1),
(34974,119522,'Decreases Defense and Parry of caster by 216.0',100,1,2),
(34975,119522,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(34976,119522,'Inflicts 4538 - 7563 piercing damage on target',100,2,4),
(34977,119522,'Grants a total of 1 trigger of the spell.',100,2,5),
(34978,10119522,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(34979,10119522,'Prevents target from changing targets',100,2,1),
(34980,10119522,'Forces target to change their selected target to caster.',100,2,2),
(34981,10119522,'Stuns caster',100,1,3),
(34982,10119522,'Decreases Defense and Parry of caster by 216.0',100,1,4),
(34983,10119522,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(34984,10119522,'Inflicts 2552 - 4254 piercing damage on target',100,2,6),
(34985,10119522,'Grants a total of 1 trigger of the spell.',100,2,7),
(34986,120047,'Decreases power of target encounter by 286 instantly and every 4 seconds',100,1,0),
(34987,120047,'Inflicts 1187 - 1377 mental damage on target encounter',100,1,1),
(34988,120047,'Inflicts 859 - 1050 mental damage on target encounter every 4 seconds',100,1,2),
(34989,10120047,'Decreases power of target encounter by 226 instantly and every 4 seconds',100,1,0),
(34990,10120047,'Inflicts 809 - 959 mental damage on target encounter',100,1,1),
(34991,10120047,'Inflicts 677 - 828 mental damage on target encounter every 4 seconds',100,1,2),
(34992,26491,'When Equipped:',100,0,0),
(34993,26491,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(34994,26491,'On a critical combat hit this spell may cast Pure Viciousness on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(34995,26491,'Increases AGI of caster by 200.0',100,2,3),
(34996,26491,'Increases Attack Speed of caster by 40.0',100,2,4),
(34997,26491,'Increases Damage Per Second of caster by 55.0',100,2,5),
(34998,26491,'Must not be engaged in pvp combat',100,2,6),
(34999,26491,'Cannot be modified except by direct means',100,2,7),
(35000,26491,'On a critical spell hit this spell may cast Pure Viciousness on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,8),
(35001,26491,'Increases AGI of caster by 200.0',100,2,9),
(35002,26491,'Increases Attack Speed of caster by 40.0',100,2,10),
(35003,26491,'Increases Damage Per Second of caster by 55.0',100,2,11),
(35004,26491,'Must not be engaged in pvp combat',100,2,12),
(35005,26491,'Cannot be modified except by direct means',100,2,13),
(35006,10026491,'When Equipped:',100,0,0),
(35007,10026491,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(35008,10026491,'On a critical combat hit this spell may cast Pure Viciousness on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(35009,10026491,'Increases AGI of caster by 200.0',100,2,3),
(35010,10026491,'Increases Attack Speed of caster by 40.0',100,2,4),
(35011,10026491,'Increases Damage Per Second of caster by 55.0',100,2,5),
(35012,10026491,'Must not be engaged in pvp combat',100,2,6),
(35013,10026491,'Cannot be modified except by direct means',100,2,7),
(35014,10026491,'On a critical spell hit this spell may cast Pure Viciousness on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,8),
(35015,10026491,'Increases AGI of caster by 200.0',100,2,9),
(35016,10026491,'Increases Attack Speed of caster by 40.0',100,2,10),
(35017,10026491,'Increases Damage Per Second of caster by 55.0',100,2,11),
(35018,10026491,'Must not be engaged in pvp combat',100,2,12),
(35019,10026491,'Cannot be modified except by direct means',100,2,13),
(35020,104290,'Inflicts 651 - 1079 melee damage on target',100,1,0),
(35021,104290,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(35022,104290,'Stuns target',100,2,2),
(35023,104290,'Throws target back',100,2,3),
(35024,104290,'Blurs vision of target',100,2,4),
(35025,104290,'Does not affect Epic targets',100,2,5),
(35026,10104290,'Inflicts 513 - 851 melee damage on target',100,1,0),
(35027,10104290,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(35028,10104290,'Stuns target',100,2,2),
(35029,10104290,'Throws target back',100,2,3),
(35030,10104290,'Blurs vision of target',100,2,4),
(35031,10104290,'Does not affect Epic targets',100,2,5),
(35032,72205,'When Equipped:',100,0,0),
(35033,72205,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35034,72205,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(35035,72205,'Cannot be modified except by direct means',100,2,3),
(35036,10072205,'When Equipped:',100,0,0),
(35037,10072205,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35038,10072205,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(35039,10072205,'Cannot be modified except by direct means',100,2,3),
(35040,80229,'When Equipped:',100,0,0),
(35041,80229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35042,80229,'Inflicts 333 - 619 magic damage on target',100,2,2),
(35043,80229,'Cannot be modified except by direct means',100,2,3),
(35044,10080229,'When Equipped:',100,0,0),
(35045,10080229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35046,10080229,'Inflicts 333 - 619 magic damage on target',100,2,2),
(35047,10080229,'Cannot be modified except by direct means',100,2,3),
(35048,35399,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(35049,24046,'Adds Boss: Boarfiend (Fury) to your Dungeon Maker toolbox',100,0,0),
(35050,10024046,'Adds Boss: Boarfiend (Fury) to your Dungeon Maker toolbox',100,0,0),
(35051,111186,'Inflicts 570 - 945 divine damage on targets in area',100,1,0),
(35052,111186,'Heals group members (AE) for 1.8% of max health',100,1,1),
(35053,111186,'This effect cannot be critically applied.',100,2,2),
(35054,111186,'The healing of this spell cannot be modified except by direct means',100,1,3),
(35055,10111186,'Inflicts 459 - 761 divine damage on targets in area',100,1,0),
(35056,10111186,'Heals group members (AE) for 1.1% of max health',100,1,1),
(35057,10111186,'This effect cannot be critically applied.',100,2,2),
(35058,10111186,'The healing of this spell cannot be modified except by direct means',100,1,3),
(35059,120155,'Decreases STR and INT of target by 95.0',100,1,0),
(35060,120155,'Increases STR and INT of caster by 95.0',100,1,1),
(35061,10120155,'Decreases STR and INT of target by 95.0',100,1,0),
(35062,10120155,'Increases STR and INT of caster by 95.0',100,1,1),
(35063,114246,'Inflicts 3407 - 3945 mental damage on target',100,1,0),
(35064,114246,'Stuns target',100,1,1),
(35065,114246,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(35066,114246,'Resistibility increases against targets higher than level 84.',100,1,3),
(35067,10114246,'Inflicts 2305 - 2730 mental damage on target',100,1,0),
(35068,10114246,'Requires not being affected by Mesmerize effects.',100,2,1),
(35069,10114246,'Stuns target',100,1,2),
(35070,10114246,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(35071,10114246,'Resistibility increases against targets higher than level 84.',100,1,4),
(35072,73271,'Applies Frost Blast when Activated.',100,0,0),
(35073,73271,'Inflicts 594 - 991 cold damage on target',100,1,1),
(35074,73271,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(35075,10073271,'Applies Frost Blast when Activated.',100,0,0),
(35076,10073271,'Inflicts 594 - 991 cold damage on target',100,1,1),
(35077,10073271,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(35078,100560,'Heals group members (AE) for 5276 - 6375',100,1,0),
(35079,10100560,'Heals group members (AE) for 8673 - 10566',100,1,0),
(35080,108447,'Increases INT, AGI, STR and WIS of group members (AE) by 123.2',100,1,0),
(35081,108447,'Adds 2.7% to base avoidance.',100,1,1),
(35082,108447,'Increases Ability Reuse Speed of group members (AE) by 9.6%',100,1,2),
(35083,108447,'Increases Attack Speed of group members (AE) by 75.2',100,1,3),
(35084,108447,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 364',100,1,4),
(35085,10108447,'Increases INT, AGI, STR and WIS of group members (AE) by 123.2',100,1,0),
(35086,10108447,'Adds 2.7% to base avoidance.',100,1,1),
(35087,10108447,'Increases Ability Reuse Speed of group members (AE) by 9.6%',100,1,2),
(35088,10108447,'Increases Attack Speed of group members (AE) by 75.2',100,1,3),
(35089,10108447,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 364',100,1,4),
(35090,80242,'When Equipped:',100,0,0),
(35091,80242,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35092,80242,'Inflicts 333 - 619 magic damage on target',100,2,2),
(35093,80242,'Cannot be modified except by direct means',100,2,3),
(35094,10080242,'When Equipped:',100,0,0),
(35095,10080242,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35096,10080242,'Inflicts 333 - 619 magic damage on target',100,2,2),
(35097,10080242,'Cannot be modified except by direct means',100,2,3),
(35098,105612,'Inflicts 52 disease damage on target instantly and every 6 seconds',100,1,0),
(35099,105612,'Inflicts 306 - 465 disease damage on target',100,1,1),
(35100,105612,'Inflicts 120 - 200 disease damage on target',100,1,2),
(35101,10105612,'Inflicts 41 disease damage on target instantly and every 6 seconds',100,1,0),
(35102,10105612,'Inflicts 281 - 423 disease damage on target',100,1,1),
(35103,10105612,'Inflicts 95 - 157 disease damage on target',100,1,2),
(35104,46200,'Applies Petamorph: Frog when Activated.  Lasts for 2 hours.',100,0,0),
(35105,46200,'Turns the caster''s combat pet into a frog. Does not work on cosmetic pets.',100,1,1),
(35106,10046200,'Applies Petamorph: Frog when Activated.  Lasts for 2 hours.',100,0,0),
(35107,10046200,'Turns the caster''s combat pet into a frog. Does not work on cosmetic pets.',100,1,1),
(35108,134384,'When Equipped:',100,0,0),
(35109,134384,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(35110,134384,'Inflicts 1986 piercing damage on target',100,2,2),
(35111,134384,'Cannot be modified except by direct means',100,2,3),
(35112,10134384,'When Equipped:',100,0,0),
(35113,10134384,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(35114,10134384,'Inflicts 993 piercing damage on target',100,2,2),
(35115,10134384,'Cannot be modified except by direct means',100,2,3),
(35116,106108,'Inflicts 5613 - 8661 melee damage on target',100,1,0),
(35117,106108,'Decreases Mitigation of target vs physical damage by 3024',100,1,1),
(35118,106108,'Must be behind',100,1,2),
(35119,10106108,'Inflicts 4044 - 6446 melee damage on target',100,1,0),
(35120,10106108,'Decreases Mitigation of target vs physical damage by 756',100,1,1),
(35121,10106108,'Must be behind',100,1,2),
(35122,102438,'Stuns target encounter',100,1,0),
(35123,102438,'Epic targets gain an immunity to Stun effects of 9.8 seconds and duration is reduced to 1.1 seconds.',100,1,1),
(35124,102438,'Resistibility increases against targets higher than level 45.',100,1,2),
(35125,10102438,'Stuns target encounter',100,1,0),
(35126,10102438,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(35127,10102438,'Resistibility increases against targets higher than level 45.',100,1,2),
(35128,71911,'When Equipped:',100,0,0),
(35129,71911,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35130,71911,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(35131,71911,'Cannot be modified except by direct means',100,2,3),
(35132,10071911,'When Equipped:',100,0,0),
(35133,10071911,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35134,10071911,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(35135,10071911,'Cannot be modified except by direct means',100,2,3),
(35136,87540,'Applies Lightning Shock when Activated.',100,0,0),
(35137,87540,'Inflicts 346 - 576 magic damage on target',100,1,1),
(35138,87540,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(35139,10087540,'Applies Lightning Shock when Activated.',100,0,0),
(35140,10087540,'Inflicts 346 - 576 magic damage on target',100,1,1),
(35141,10087540,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(35142,104349,'Charms target',100,1,0),
(35143,104349,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(35144,104349,'Mesmerizes target',100,2,2),
(35145,104349,'Dispelled when target takes damage',100,2,3),
(35146,104349,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(35147,104349,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(35148,104349,'Grants Sonic Vision to caster',100,2,6),
(35149,104349,'Increases Out-of-Combat Power Regeneration of target by 19.5',100,1,7),
(35150,104349,'Increases Out-of-Combat Health Regeneration of target by 39.0',100,1,8),
(35151,104349,'Certain enemies cannot be charmed',100,1,9),
(35152,104349,'Does not affect Epic targets',100,1,10),
(35153,10104349,'Mesmerizes target',100,1,0),
(35154,10104349,'Prevents AOE (except when direct) ',100,1,1),
(35155,10104349,'Dispelled when target takes damage',100,1,2),
(35156,10104349,'Certain enemies cannot be charmed',100,1,3),
(35157,10104349,'Does not affect Epic targets',100,1,4),
(35158,10104349,'Resistibility increases against targets higher than level 76.',100,1,5),
(35159,104878,'Inflicts 419 - 695 magic damage on targets in area',100,1,0),
(35160,10104878,'Inflicts 337 - 559 magic damage on targets in area',100,1,0),
(35161,122945,'Inflicts 482 - 652 mental damage on target',100,1,0),
(35162,10122945,'Inflicts 414 - 560 mental damage on target',100,1,0),
(35163,71968,'When Equipped:',100,0,0),
(35164,71968,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35165,71968,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(35166,71968,'Cannot be modified except by direct means',100,2,3),
(35167,10071968,'When Equipped:',100,0,0),
(35168,10071968,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35169,10071968,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(35170,10071968,'Cannot be modified except by direct means',100,2,3),
(35171,106747,'Heals target for 6437 - 7649',100,1,0),
(35172,10106747,'Heals target for 9558 - 11579',100,1,0),
(35173,105722,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(35174,105722,'Stuns target',100,2,1),
(35175,105722,'Blurs vision of target',100,2,2),
(35176,105722,'Throws target back',100,2,3),
(35177,105722,'Does not affect Epic targets',100,2,4),
(35178,105722,'Inflicts 839 - 1255 melee damage on targets in area',100,1,5),
(35179,10105722,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(35180,10105722,'Blurs vision of target',100,2,1),
(35181,10105722,'Stuns target',100,2,2),
(35182,10105722,'Throws target back',100,2,3),
(35183,10105722,'Does not affect Epic targets',100,2,4),
(35184,10105722,'Inflicts 572 - 863 melee damage on targets in area',100,1,5),
(35185,74549,'When Equipped:',100,0,0),
(35186,74549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35187,74549,'Inflicts 266 - 400 magic damage on target',100,2,2),
(35188,74549,'Cannot be modified except by direct means',100,2,3),
(35189,10074549,'When Equipped:',100,0,0),
(35190,10074549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35191,10074549,'Inflicts 266 - 400 magic damage on target',100,2,2),
(35192,10074549,'Cannot be modified except by direct means',100,2,3),
(35193,101967,'Inflicts 3136 - 4982 heat damage on target',100,1,0),
(35194,10101967,'Inflicts 2092 - 3547 heat damage on target',100,1,0),
(35195,48646,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(35196,48646,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(35197,48646,'Inflicts 229 poison damage on target',100,2,2),
(35198,48646,'Inflicts 37 poison damage on target instantly and every 6 seconds',100,2,3),
(35199,48646,'Cannot be modified except by direct means',100,2,4),
(35200,48646,'Grants a total of 200 triggers of the spell.',100,2,5),
(35201,10048646,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(35202,10048646,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(35203,10048646,'Inflicts 28 poison damage on target instantly and every 6 seconds',100,2,2),
(35204,10048646,'Inflicts 172 poison damage on target',100,2,3),
(35205,10048646,'Cannot be modified except by direct means',100,2,4),
(35206,10048646,'Grants a total of 200 triggers of the spell.',100,2,5),
(35207,100782,'Wards target against 979 points of all damage',100,1,0),
(35208,10100782,'Wards target against 1235 points of all damage',100,1,0),
(35209,121399,'Inflicts 3355 - 3882 magic damage on target',100,1,0),
(35210,121399,'Inflicts 2372 - 2900 magic damage on target every 8 seconds',100,1,1),
(35211,121399,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(35212,121399,'Stuns target',100,2,3),
(35213,121399,'Blurs vision of target',100,2,4),
(35214,121399,'Throws target back',100,2,5),
(35215,121399,'Does not affect Epic targets',100,2,6),
(35216,10121399,'Inflicts 2264 - 2680 magic damage on target',100,1,0),
(35217,10121399,'Inflicts 1870 - 2285 magic damage on target every 8 seconds',100,1,1),
(35218,10121399,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(35219,10121399,'Blurs vision of target',100,2,3),
(35220,10121399,'Stuns target',100,2,4),
(35221,10121399,'Throws target back',100,2,5),
(35222,10121399,'Does not affect Epic targets',100,2,6),
(35223,101940,'Inflicts 747 piercing damage on target instantly and every 4 seconds',100,1,0),
(35224,101940,'Inflicts 3234 - 4717 melee damage on target',100,1,1),
(35225,101940,'Must be behind',100,1,2),
(35226,10101940,'Inflicts 589 piercing damage on target instantly and every 4 seconds',100,1,0),
(35227,10101940,'Inflicts 2169 - 3338 melee damage on target',100,1,1),
(35228,10101940,'Must be behind',100,1,2),
(35229,176108,'When Equipped:',100,0,0),
(35230,176108,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(35231,10176108,'When Equipped:',100,0,0),
(35232,10176108,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(35233,45073,'Applies Fancy Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(35234,45073,'Launches a firework when used.',100,1,1),
(35235,10045073,'Applies Fancy Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(35236,10045073,'Launches a firework when used.',100,1,1),
(35237,115425,'Inflicts 6160 - 9569 melee damage on target',100,1,0),
(35238,115425,'Decreases INT of target by 150.1',100,1,1),
(35239,115425,'You must be sneaking to use this ability.',100,1,2),
(35240,10115425,'Inflicts 4475 - 7162 melee damage on target',100,1,0),
(35241,10115425,'Decreases INT of target by 150.1',100,1,1),
(35242,10115425,'You must be sneaking to use this ability.',100,1,2),
(35243,24104,'Adds Chardok: Translucent Crystal to your Dungeon Maker toolbox',100,0,0),
(35244,10024104,'Adds Chardok: Translucent Crystal to your Dungeon Maker toolbox',100,0,0),
(35245,190834,'When Equipped:',100,0,0),
(35246,190834,'Reduces maximum falling speed of caster',100,1,1),
(35247,10190834,'When Equipped:',100,0,0),
(35248,10190834,'Reduces maximum falling speed of caster',100,1,1),
(35249,114969,'Decreases Attack Speed of target by 8.6',100,1,0),
(35250,114969,'Inflicts 1085 - 1631 slashing damage on target',100,1,1),
(35251,114969,'Inflicts 433 slashing damage on target instantly and every 4 seconds',100,1,2),
(35252,10114969,'Decreases Attack Speed of target by 8.6',100,1,0),
(35253,10114969,'Inflicts 567 - 906 slashing damage on target',100,1,1),
(35254,10114969,'Inflicts 341 slashing damage on target instantly and every 4 seconds',100,1,2),
(35255,109719,'Inflicts 728 - 1208 cold damage on target',100,1,0),
(35256,109719,'If weapon equipped in Ranged',100,1,1),
(35257,10109719,'Inflicts 430 - 714 cold damage on target',100,1,0),
(35258,10109719,'If weapon equipped in Ranged',100,1,1),
(35259,37428,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(35260,161049,'When Equipped:',100,0,0),
(35261,161049,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(35262,161049,'Increases power of target by 25 instantly and every 4 seconds',100,2,2),
(35263,161049,'Cannot be modified except by direct means',100,2,3),
(35264,10161049,'When Equipped:',100,0,0),
(35265,10161049,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(35266,10161049,'Increases power of target by 25 instantly and every 4 seconds',100,2,2),
(35267,10161049,'Cannot be modified except by direct means',100,2,3),
(35268,105056,'Inflicts 109 - 147 magic damage on target',100,1,0),
(35269,10105056,'Inflicts 101 - 137 magic damage on target',100,1,0),
(35270,82188,'When Equipped:',100,0,0),
(35271,82188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35272,82188,'Inflicts 61 - 114 magic damage on target',100,2,2),
(35273,82188,'Cannot be modified except by direct means',100,2,3),
(35274,10082188,'When Equipped:',100,0,0),
(35275,10082188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35276,10082188,'Inflicts 61 - 114 magic damage on target',100,2,2),
(35277,10082188,'Cannot be modified except by direct means',100,2,3),
(35278,120065,'Inflicts 856 - 1417 mental damage on target',100,1,0),
(35279,120065,'Inflicts 427 - 708 mental damage on target',100,1,1),
(35280,120065,'Stifles target',100,1,2),
(35281,120065,'If Target is not Epic',100,2,3),
(35282,120065,'If weapon equipped in Ranged',100,1,4),
(35283,120065,'Resistibility increases against targets higher than level 59.',100,1,5),
(35284,10120065,'Inflicts 731 - 953 mental damage on target',100,1,0),
(35285,10120065,'Inflicts 336 - 558 mental damage on target',100,1,1),
(35286,10120065,'Stifles target',100,1,2),
(35287,10120065,'If Target is not Epic',100,2,3),
(35288,10120065,'If weapon equipped in Ranged',100,1,4),
(35289,10120065,'Resistibility increases against targets higher than level 59.',100,1,5),
(35290,142935,'When Equipped:',100,0,0),
(35291,142935,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(35292,142935,'Increases Ability Modifier of group members by 100.0',100,2,2),
(35293,142935,'Cannot be modified except by direct means',100,2,3),
(35294,142935,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(35295,142935,'Increases Ability Modifier of group members by 100.0',100,2,5),
(35296,142935,'Cannot be modified except by direct means',100,2,6),
(35297,142935,'Cannot be modified except by direct means',100,1,7),
(35298,10142935,'When Equipped:',100,0,0),
(35299,10142935,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(35300,10142935,'Increases Ability Modifier of group members by 100.0',100,2,2),
(35301,10142935,'Cannot be modified except by direct means',100,2,3),
(35302,10142935,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(35303,10142935,'Increases Ability Modifier of group members by 100.0',100,2,5),
(35304,10142935,'Cannot be modified except by direct means',100,2,6),
(35305,10142935,'Cannot be modified except by direct means',100,1,7),
(35306,106807,'Decreases STR and AGI of target encounter by 69.5',100,1,0),
(35307,10106807,'Decreases STR and AGI of target encounter by 69.5',100,1,0),
(35308,153945,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(35309,153945,'Decreases Attack Speed of target by 9.2',100,1,1),
(35310,153945,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(35311,10153945,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(35312,10153945,'Decreases Attack Speed of target by 9.2',100,1,1),
(35313,10153945,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(35314,116580,'Inflicts 470 - 779 divine damage on target',100,1,0),
(35315,10116580,'Inflicts 370 - 614 divine damage on target',100,1,0),
(35316,144722,'When Equipped:',100,0,0),
(35317,144722,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35318,144722,'This effect can be stacked by multiple casters.',100,2,2),
(35319,144722,'Increases target''s chance to block by 10.0%',100,2,3),
(35320,144722,'Cannot be modified except by direct means',100,2,4),
(35321,10144722,'When Equipped:',100,0,0),
(35322,10144722,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35323,10144722,'This effect can be stacked by multiple casters.',100,2,2),
(35324,10144722,'Increases target''s chance to block by 10.0%',100,2,3),
(35325,10144722,'Cannot be modified except by direct means',100,2,4),
(35326,122446,'Inflicts 2915 - 4221 magic damage on target',100,1,0),
(35327,10122446,'Inflicts 1926 - 2947 magic damage on target',100,1,0),
(35328,116163,'Increases Attack Speed of caster by 23.0',100,1,0),
(35329,116163,'Increases Damage Per Second of caster by 26.5',100,1,1),
(35330,10116163,'Increases Attack Speed of caster by 23.0',100,1,0),
(35331,10116163,'Increases Damage Per Second of caster by 26.5',100,1,1),
(35332,159072,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(35333,159072,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(35334,159072,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(35335,159072,'Cannot be modified except by direct means',100,2,3),
(35336,10159072,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(35337,10159072,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(35338,10159072,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(35339,10159072,'Cannot be modified except by direct means',100,2,3),
(35340,116867,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(35341,116867,'Inflicts 4803 - 5798 mental damage on target',100,2,1),
(35342,116867,'Grants a total of 3 triggers of the spell.',100,2,2),
(35343,10116867,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(35344,10116867,'Inflicts 3659 - 4443 mental damage on target',100,2,1),
(35345,10116867,'Grants a total of 3 triggers of the spell.',100,2,2),
(35346,102454,'Stuns target encounter',100,1,0),
(35347,102454,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(35348,102454,'Resistibility increases against targets higher than level 87.',100,1,2),
(35349,10102454,'Stuns target encounter',100,1,0),
(35350,10102454,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(35351,10102454,'Resistibility increases against targets higher than level 87.',100,1,2),
(35352,159839,'Applies Lambent Imbued when Equipped.',100,0,0),
(35353,159839,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(35354,159839,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(35355,159839,'Cannot be modified except by direct means',100,2,3),
(35356,10159839,'Applies Lambent Imbued when Equipped.',100,0,0),
(35357,10159839,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(35358,10159839,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(35359,10159839,'Cannot be modified except by direct means',100,2,3),
(35360,118528,'Inflicts 1223 - 2029 melee damage on target',100,1,0),
(35361,118528,'Decreases STR of target by 25.6',100,1,1),
(35362,118528,'You must be sneaking to use this ability.',100,1,2),
(35363,10118528,'Inflicts 963 - 1460 melee damage on target',100,1,0),
(35364,10118528,'Decreases STR of target by 25.6',100,1,1),
(35365,10118528,'You must be sneaking to use this ability.',100,1,2),
(35366,119673,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(35367,119673,'Stuns target',100,2,1),
(35368,119673,'Throws target back',100,2,2),
(35369,119673,'Blurs vision of target',100,2,3),
(35370,119673,'Does not affect Epic targets',100,2,4),
(35371,119673,'Inflicts 2180 - 5296 melee damage on target',100,1,5),
(35372,10119673,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(35373,10119673,'Blurs vision of target',100,2,1),
(35374,10119673,'Stuns target',100,2,2),
(35375,10119673,'Throws target back',100,2,3),
(35376,10119673,'Does not affect Epic targets',100,2,4),
(35377,10119673,'Inflicts 1545 - 3794 melee damage on target',100,1,5),
(35378,47019,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(35379,47019,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(35380,47019,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(35381,47019,'Cannot be modified except by direct means',100,2,3),
(35382,47019,'Grants a total of 80 triggers of the spell.',100,2,4),
(35383,10047019,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(35384,10047019,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(35385,10047019,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(35386,10047019,'Cannot be modified except by direct means',100,2,3),
(35387,10047019,'Grants a total of 80 triggers of the spell.',100,2,4),
(35388,115699,'Inflicts 2665 - 3497 melee damage on target',100,129,0),
(35389,115699,'Inflicts 444 - 1313 melee damage on target',100,1,1),
(35390,115699,'Inflicts 444 - 1313 melee damage on target',100,1,2),
(35391,115699,'Inflicts 444 - 1313 melee damage on target',100,1,3),
(35392,115699,'Inflicts 444 - 1313 melee damage on target',100,1,4),
(35393,115699,'Inflicts 444 - 1313 melee damage on target',100,1,5),
(35394,115699,'Inflicts 444 - 1313 melee damage on target',100,1,6),
(35395,115699,'Inflicts 444 - 1313 melee damage on target',100,1,7),
(35396,115699,'Inflicts 444 - 1313 melee damage on target',100,1,8),
(35397,10115699,'Inflicts 1744 - 2412 melee damage on target',100,129,0),
(35398,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,1),
(35399,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,2),
(35400,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,3),
(35401,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,4),
(35402,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,5),
(35403,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,6),
(35404,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,7),
(35405,10115699,'Inflicts 356 - 1053 melee damage on target',100,1,8),
(35406,105488,'Stuns target encounter',100,1,0),
(35407,105488,'If Target is not Epic',100,2,1),
(35408,105488,'Inflicts 2947 - 5193 poison damage on target encounter',100,1,2),
(35409,105488,'Resistibility increases against targets higher than level 93.',100,1,3),
(35410,10105488,'Stuns target encounter',100,1,0),
(35411,10105488,'If Target is not Epic',100,2,1),
(35412,10105488,'Inflicts 2196 - 3966 poison damage on target encounter',100,1,2),
(35413,10105488,'Resistibility increases against targets higher than level 93.',100,1,3),
(35414,120669,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 20.5',100,1,0),
(35415,120669,'Increases Focus of group members (AE) by 41.4',100,1,1),
(35416,10120669,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 20.5',100,1,0),
(35417,10120669,'Increases Focus of group members (AE) by 41.4',100,1,1),
(35418,119493,'Dazes target encounter',100,1,0),
(35419,119493,'If Target is not Epic',100,2,1),
(35420,119493,'Inflicts 1100 - 1271 magic damage on target encounter',100,1,2),
(35421,119493,'Inflicts 772 - 944 magic damage on target encounter every second',100,1,3),
(35422,119493,'Resistibility increases against targets higher than level 96.',100,1,4),
(35423,10119493,'Inflicts 932 - 1110 magic damage on target encounter',100,1,0),
(35424,10119493,'Inflicts 609 - 744 magic damage on target encounter every second',100,1,1),
(35425,10119493,'Dazes target encounter',100,1,2),
(35426,10119493,'If Target is not Epic',100,2,3),
(35427,10119493,'Resistibility increases against targets higher than level 96.',100,1,4),
(35428,172801,'When Equipped:',100,0,0),
(35429,172801,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(35430,172801,'Heals caster for 177',100,2,2),
(35431,172801,'Cannot be modified except by direct means',100,2,3),
(35432,10172801,'When Equipped:',100,0,0),
(35433,10172801,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(35434,10172801,'Heals caster for 115',100,2,2),
(35435,10172801,'Cannot be modified except by direct means',100,2,3),
(35436,82688,'When Equipped:',100,0,0),
(35437,82688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35438,82688,'Inflicts 272 - 505 magic damage on target',100,2,2),
(35439,82688,'Cannot be modified except by direct means',100,2,3),
(35440,10082688,'When Equipped:',100,0,0),
(35441,10082688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35442,10082688,'Inflicts 272 - 505 magic damage on target',100,2,2),
(35443,10082688,'Cannot be modified except by direct means',100,2,3),
(35444,84270,'When Equipped:',100,0,0),
(35445,84270,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35446,84270,'Inflicts 173 - 212 mental damage on target',100,2,2),
(35447,84270,'Cannot be modified except by direct means',100,2,3),
(35448,10084270,'When Equipped:',100,0,0),
(35449,10084270,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35450,10084270,'Inflicts 173 - 212 mental damage on target',100,2,2),
(35451,10084270,'Cannot be modified except by direct means',100,2,3),
(35452,119397,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(35453,119397,'Stuns target',100,2,1),
(35454,119397,'Throws target back',100,2,2),
(35455,119397,'Blurs vision of target',100,2,3),
(35456,119397,'Does not affect Epic targets',100,2,4),
(35457,119397,'Inflicts 64 - 106 melee damage on target',100,1,5),
(35458,119397,'You must be sneaking to use this ability.',100,1,6),
(35459,10119397,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(35460,10119397,'Blurs vision of target',100,2,1),
(35461,10119397,'Stuns target',100,2,2),
(35462,10119397,'Throws target back',100,2,3),
(35463,10119397,'Does not affect Epic targets',100,2,4),
(35464,10119397,'Inflicts 50 - 84 melee damage on target',100,1,5),
(35465,10119397,'You must be sneaking to use this ability.',100,1,6),
(35466,109088,'Inflicts 2190 - 2985 melee damage on target',100,1,0),
(35467,109088,'Inflicts 1207 - 2002 melee damage on target',100,1,1),
(35468,109088,'Inflicts 1207 - 2002 melee damage on target',100,1,2),
(35469,109088,'Decreases Mitigation of target vs physical damage by 840',100,1,3),
(35470,10109088,'Inflicts 1346 - 1972 melee damage on target',100,1,0),
(35471,10109088,'Inflicts 951 - 1578 melee damage on target',100,1,1),
(35472,10109088,'Inflicts 951 - 1578 melee damage on target',100,1,2),
(35473,10109088,'Decreases Mitigation of target vs physical damage by 840',100,1,3),
(35474,109595,'Increases Defense of group members'' pets (AE) by 2.1',100,1,0),
(35475,109595,'Increases Mitigation of group members (AE) vs all damage by 40',100,1,1),
(35476,10109595,'Increases Defense of group members'' pets (AE) by 2.1',100,1,0),
(35477,10109595,'Increases Mitigation of group members (AE) vs all damage by 40',100,1,1),
(35478,120804,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(35479,120804,'Stuns target',100,2,1),
(35480,120804,'Throws target back',100,2,2),
(35481,120804,'Blurs vision of target',100,2,3),
(35482,120804,'Does not affect Epic targets',100,2,4),
(35483,120804,'Inflicts 1941 - 3129 piercing damage on target',100,1,5),
(35484,10120804,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(35485,10120804,'Blurs vision of target',100,2,1),
(35486,10120804,'Stuns target',100,2,2),
(35487,10120804,'Throws target back',100,2,3),
(35488,10120804,'Does not affect Epic targets',100,2,4),
(35489,10120804,'Inflicts 1437 - 2123 piercing damage on target',100,1,5),
(35490,47571,'Applies Potion of Advancement when Activated.  Lasts for 2 hours.',100,0,0),
(35491,47571,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(35492,47571,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(35493,47571,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(35494,47571,'You can only have one experience potion active at a time.',100,1,4),
(35495,10047571,'Applies Potion of Advancement when Activated.  Lasts for 2 hours.',100,0,0),
(35496,10047571,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(35497,10047571,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(35498,10047571,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(35499,10047571,'You can only have one experience potion active at a time.',100,1,4),
(35500,107528,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(35501,107528,'Decreases Mitigation of target encounter vs elemental and noxious damage by 416',100,1,1),
(35502,10107528,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(35503,10107528,'Decreases Mitigation of target encounter vs elemental and noxious damage by 416',100,1,1),
(35504,24251,'Adds Cyclops (Mystic) to your Dungeon Maker toolbox',100,0,0),
(35505,10024251,'Adds Cyclops (Mystic) to your Dungeon Maker toolbox',100,0,0),
(35506,75180,'When Equipped:',100,0,0),
(35507,75180,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35508,75180,'Inflicts 299 - 556 cold damage on target',100,2,2),
(35509,75180,'Cannot be modified except by direct means',100,2,3),
(35510,10075180,'When Equipped:',100,0,0),
(35511,10075180,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35512,10075180,'Inflicts 299 - 556 cold damage on target',100,2,2),
(35513,10075180,'Cannot be modified except by direct means',100,2,3),
(35514,107453,'Summons a pet earthen avatar',100,1,0),
(35515,10107453,'Summons a pet earthen avatar',100,1,0),
(35516,35136,'Increases Max Power of target by 68.2',100,0,0),
(35517,35136,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(35518,110029,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(35519,110029,'Inflicts 942 - 1569 disease damage on target',100,2,1),
(35520,110029,'Heals caster for 2.0 - 3.4% of max health',100,2,2),
(35521,110029,'This effect cannot be critically applied.',100,3,3),
(35522,110029,'The healing of this spell cannot be modified except by direct means',100,2,4),
(35523,10110029,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(35524,10110029,'Inflicts 742 - 1237 disease damage on target',100,2,1),
(35525,10110029,'Heals caster for 0.6 - 1.0% of max health',100,2,2),
(35526,10110029,'This effect cannot be critically applied.',100,3,3),
(35527,10110029,'The healing of this spell cannot be modified except by direct means',100,2,4),
(35528,37613,'Increases STR of target by 10.5',100,0,0),
(35529,37613,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(35530,117720,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(35531,117720,'Adds 1.3% to base avoidance.',100,1,1),
(35532,10117720,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(35533,10117720,'Adds 1.3% to base avoidance.',100,1,1),
(35534,49000,'Applies Call Ulteran Prowler when Activated.',100,0,0),
(35535,49000,'Increases Aggression and Piercing of caster by 5.0',100,1,1),
(35536,49000,'Summons a mount to ride',100,1,2),
(35537,49000,'Increases your ground speed by 135%',100,2,3),
(35538,49000,'Increases Subjugation, Ministration, Ordination, Slashing, Crushing, Ranged, Focus and Disruption of caster by 5.0',100,1,4),
(35539,10049000,'Applies Call Ulteran Prowler when Activated.',100,0,0),
(35540,10049000,'Increases Aggression and Piercing of caster by 5.0',100,1,1),
(35541,10049000,'Summons a mount to ride',100,1,2),
(35542,10049000,'Increases your ground speed by 135%',100,2,3),
(35543,10049000,'Increases Subjugation, Ministration, Ordination, Slashing, Crushing, Ranged, Focus and Disruption of caster by 5.0',100,1,4),
(35544,25553,'When Equipped:',100,0,0),
(35545,25553,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(35546,25553,'Inner Calm VII increases the monk''s health by 5%.',100,1,2),
(35547,10025553,'When Equipped:',100,0,0),
(35548,10025553,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(35549,10025553,'Inner Calm VII increases the monk''s health by 5%.',100,1,2),
(35550,104851,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(35551,104851,'If Fighter',100,2,1),
(35552,104851,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(35553,104851,'Increases power of target by 133',100,2,3),
(35554,104851,'Increases power of caster by 133',100,2,4),
(35555,10104851,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(35556,10104851,'Increases power of target by 133',100,2,1),
(35557,10104851,'Increases power of caster by 133',100,2,2),
(35558,108140,'Inflicts 1198 - 1973 melee damage on target',100,1,0),
(35559,108140,'You must be sneaking to use this ability.',100,1,1),
(35560,108140,'Must be flanking or behind',100,1,2),
(35561,10108140,'Inflicts 705 - 910 melee damage on target',100,1,0),
(35562,10108140,'You must be sneaking to use this ability.',100,1,1),
(35563,10108140,'Must be flanking or behind',100,1,2),
(35564,75506,'When Equipped:',100,0,0),
(35565,75506,'On any combat or spell hit this spell may cast Exalted Wave V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(35566,75506,'Inflicts 760 - 840 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(35567,75506,'Heals group members (AE) for 379 - 419 instantly and every 2 seconds',100,2,3),
(35568,75506,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(35569,75506,'Must not be engaged in pvp combat',100,2,5),
(35570,75506,'Cannot be modified except by direct means',100,2,6),
(35571,75506,'Must not be engaged in pvp combat',100,1,7),
(35572,10075506,'When Equipped:',100,0,0),
(35573,10075506,'On any combat or spell hit this spell may cast Exalted Wave V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(35574,10075506,'Inflicts 760 - 840 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(35575,10075506,'Heals group members (AE) for 246 - 272 instantly and every 2 seconds',100,2,3),
(35576,10075506,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(35577,10075506,'Must not be engaged in pvp combat',100,2,5),
(35578,10075506,'Cannot be modified except by direct means',100,2,6),
(35579,10075506,'Must not be engaged in pvp combat',100,1,7),
(35580,47679,'Applies Rasrok''s Revitalization when Activated.',100,0,0),
(35581,47679,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(35582,10047679,'Applies Rasrok''s Revitalization when Activated.',100,0,0),
(35583,10047679,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(35584,81148,'When Equipped:',100,0,0),
(35585,81148,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35586,81148,'Inflicts 290 - 538 magic damage on target',100,2,2),
(35587,81148,'Cannot be modified except by direct means',100,2,3),
(35588,10081148,'When Equipped:',100,0,0),
(35589,10081148,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35590,10081148,'Inflicts 290 - 538 magic damage on target',100,2,2),
(35591,10081148,'Cannot be modified except by direct means',100,2,3),
(35592,82082,'When Equipped:',100,0,0),
(35593,82082,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35594,82082,'Inflicts 245 - 454 magic damage on target',100,2,2),
(35595,82082,'Cannot be modified except by direct means',100,2,3),
(35596,10082082,'When Equipped:',100,0,0),
(35597,10082082,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35598,10082082,'Inflicts 245 - 454 magic damage on target',100,2,2),
(35599,10082082,'Cannot be modified except by direct means',100,2,3),
(35600,71337,'When Equipped:',100,0,0),
(35601,71337,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35602,71337,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(35603,71337,'Cannot be modified except by direct means',100,2,3),
(35604,10071337,'When Equipped:',100,0,0),
(35605,10071337,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35606,10071337,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(35607,10071337,'Cannot be modified except by direct means',100,2,3),
(35608,119668,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(35609,119668,'Stuns target',100,2,1),
(35610,119668,'Throws target back',100,2,2),
(35611,119668,'Blurs vision of target',100,2,3),
(35612,119668,'Does not affect Epic targets',100,2,4),
(35613,119668,'Inflicts 1247 - 3444 melee damage on target',100,1,5),
(35614,10119668,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(35615,10119668,'Stuns target',100,2,1),
(35616,10119668,'Throws target back',100,2,2),
(35617,10119668,'Blurs vision of target',100,2,3),
(35618,10119668,'Does not affect Epic targets',100,2,4),
(35619,10119668,'Inflicts 980 - 2335 melee damage on target',100,1,5),
(35620,107062,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(35621,107062,'Inflicts 1074 - 1790 divine damage on target',100,2,1),
(35622,107062,'Inflicts 1074 - 1790 divine damage on target',100,2,2),
(35623,107062,'If target is undead',100,3,3),
(35624,10107062,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(35625,10107062,'Inflicts 1411 - 2351 divine damage on target',100,2,1),
(35626,80574,'When Equipped:',100,0,0),
(35627,80574,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35628,80574,'Inflicts 155 - 288 magic damage on target',100,2,2),
(35629,80574,'Cannot be modified except by direct means',100,2,3),
(35630,10080574,'When Equipped:',100,0,0),
(35631,10080574,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35632,10080574,'Inflicts 155 - 288 magic damage on target',100,2,2),
(35633,10080574,'Cannot be modified except by direct means',100,2,3),
(35634,112085,'Inflicts 1585 - 1987 heat damage on target',100,1,0),
(35635,112085,'Inflicts 602 - 1004 heat damage on target every 2 seconds',100,1,1),
(35636,10112085,'Inflicts 1559 - 2335 heat damage on target',100,1,0),
(35637,10112085,'Inflicts 1164 - 1940 heat damage on target every 2 seconds',100,1,1),
(35638,110810,'Interrupts target',100,1,0),
(35639,110810,'Inflicts 151 - 205 mental damage on target',100,1,1),
(35640,10110810,'Interrupts target',100,1,0),
(35641,10110810,'Inflicts 130 - 176 mental damage on target',100,1,1),
(35642,118757,'Increases INT and WIS of group members (AE) by 43.4',100,1,0),
(35643,118757,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 129',100,1,1),
(35644,10118757,'Increases INT and WIS of group members (AE) by 43.4',100,1,0),
(35645,10118757,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 129',100,1,1),
(35646,119543,'Wards group members (AE) against 1679 points of arcane damage',100,1,0),
(35647,119543,'Increases Mitigation of group members (AE) vs arcane damage by 319',100,1,1),
(35648,10119543,'Wards group members (AE) against 1377 points of arcane damage',100,1,0),
(35649,10119543,'Increases Mitigation of group members (AE) vs arcane damage by 319',100,1,1),
(35650,81755,'When Equipped:',100,0,0),
(35651,81755,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35652,81755,'Inflicts 189 - 352 magic damage on target',100,2,2),
(35653,81755,'Cannot be modified except by direct means',100,2,3),
(35654,10081755,'When Equipped:',100,0,0),
(35655,10081755,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35656,10081755,'Inflicts 189 - 352 magic damage on target',100,2,2),
(35657,10081755,'Cannot be modified except by direct means',100,2,3),
(35658,118841,'Inflicts 481 - 1422 melee damage on target',100,1,0),
(35659,10118841,'Inflicts 384 - 1136 melee damage on target',100,1,0),
(35660,41697,'When Equipped:',100,0,0),
(35661,41697,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(35662,41697,'Inflicts 468 - 870 magic damage on target',100,2,2),
(35663,41697,'Decreases Threat to target by 1,174 ',100,2,3),
(35664,41697,'Must be flanking or behind',100,3,4),
(35665,41697,'Increases Threat to target by 1,634 ',100,2,5),
(35666,41697,'Must be in front of',100,3,6),
(35667,41697,'Cannot be modified except by direct means',100,2,7),
(35668,10041697,'When Equipped:',100,0,0),
(35669,10041697,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(35670,10041697,'Inflicts 468 - 870 magic damage on target',100,2,2),
(35671,10041697,'Cannot be modified except by direct means',100,2,3),
(35672,117772,'Inflicts 4246 - 6422 divine damage on target',100,1,0),
(35673,10117772,'Inflicts 2967 - 4681 divine damage on target',100,1,0),
(35674,71976,'When Equipped:',100,0,0),
(35675,71976,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35676,71976,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(35677,71976,'Cannot be modified except by direct means',100,2,3),
(35678,10071976,'When Equipped:',100,0,0),
(35679,10071976,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35680,10071976,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(35681,10071976,'Cannot be modified except by direct means',100,2,3),
(35682,47379,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(35683,47379,'This potion will grant you the illusion of being an aqua goblin!',100,1,1),
(35684,10047379,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(35685,10047379,'This potion will grant you the illusion of being an aqua goblin!',100,1,1),
(35686,150896,'Applies Spirit of the Wind when Equipped.',100,0,0),
(35687,150896,'Increases speed of caster by 10.0%',100,1,1),
(35688,150896,'This effect suspends during combat',100,1,2),
(35689,10150896,'Applies Spirit of the Wind when Equipped.',100,0,0),
(35690,10150896,'Increases speed of caster by 10.0%',100,1,1),
(35691,10150896,'This effect suspends during combat',100,1,2),
(35692,160039,'When Equipped:',100,0,0),
(35693,160039,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(35694,160039,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(35695,160039,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(35696,160039,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,4),
(35697,160039,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(35698,160039,'Must not be engaged in pvp combat',100,2,6),
(35699,160039,'Cannot be modified except by direct means',100,2,7),
(35700,160039,'Must not be engaged in pvp combat',100,1,8),
(35701,10160039,'When Equipped:',100,0,0),
(35702,10160039,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(35703,10160039,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(35704,10160039,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(35705,10160039,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,4),
(35706,10160039,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(35707,10160039,'Must not be engaged in pvp combat',100,2,6),
(35708,10160039,'Cannot be modified except by direct means',100,2,7),
(35709,10160039,'Must not be engaged in pvp combat',100,1,8),
(35710,159298,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(35711,159298,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(35712,159298,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(35713,159298,'Cannot be modified except by direct means',100,2,3),
(35714,10159298,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(35715,10159298,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(35716,10159298,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(35717,10159298,'Cannot be modified except by direct means',100,2,3),
(35718,108706,'Inflicts 2025 heat damage on target',100,1,0),
(35719,108706,'Inflicts 233 heat damage on target every 4 seconds',100,1,1),
(35720,10108706,'Inflicts 1545 heat damage on target',100,1,0),
(35721,10108706,'Inflicts 184 heat damage on target every 4 seconds',100,1,1),
(35722,81933,'When Equipped:',100,0,0),
(35723,81933,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35724,81933,'Inflicts 523 - 972 magic damage on target',100,2,2),
(35725,81933,'Cannot be modified except by direct means',100,2,3),
(35726,10081933,'When Equipped:',100,0,0),
(35727,10081933,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(35728,10081933,'Inflicts 523 - 972 magic damage on target',100,2,2),
(35729,10081933,'Cannot be modified except by direct means',100,2,3),
(35730,35879,'Increases WIS of target by 8.4',100,0,0),
(35731,35879,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(35732,47224,'Applies Murky Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(35733,47224,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(35734,47224,'Inflicts 30 magic damage on target',100,2,2),
(35735,47224,'Cannot be modified except by direct means',100,2,3),
(35736,47224,'Only affects targets level 50 and above',100,1,4),
(35737,10047224,'Applies Murky Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(35738,10047224,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(35739,10047224,'Inflicts 30 magic damage on target',100,2,2),
(35740,10047224,'Cannot be modified except by direct means',100,2,3),
(35741,10047224,'Only affects targets level 50 and above',100,1,4),
(35742,72293,'When Equipped:',100,0,0),
(35743,72293,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35744,72293,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(35745,72293,'Cannot be modified except by direct means',100,2,3),
(35746,10072293,'When Equipped:',100,0,0),
(35747,10072293,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35748,10072293,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(35749,10072293,'Cannot be modified except by direct means',100,2,3),
(35750,52811,'Applies Sanguine Imbued when Equipped.',100,0,0),
(35751,52811,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(35752,52811,'Inflicts 106 heat damage on target',100,2,2),
(35753,52811,'Cannot be modified except by direct means',100,2,3),
(35754,10052811,'Applies Sanguine Imbued when Equipped.',100,0,0),
(35755,10052811,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(35756,10052811,'Inflicts 106 heat damage on target',100,2,2),
(35757,10052811,'Cannot be modified except by direct means',100,2,3),
(35758,36785,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(35759,108797,'Inflicts 764 - 1138 heat damage on targets in Area of Effect',100,1,0),
(35760,10108797,'Inflicts 476 - 771 heat damage on targets in Area of Effect',100,1,0),
(35761,115283,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(35762,115283,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(35763,115283,'Inflicts 1725 - 2109 poison damage on target',100,3,2),
(35764,115283,'Grants a total of 1 trigger of the spell.',100,3,3),
(35765,10115283,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(35766,10115283,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(35767,10115283,'Inflicts 1360 - 1662 poison damage on target',100,3,2),
(35768,10115283,'Grants a total of 1 trigger of the spell.',100,3,3),
(35769,106637,'Inflicts 4177 - 4996 disease damage on target',100,1,0),
(35770,106637,'Heals caster for 7.6 - 9.2% of max health',100,1,1),
(35771,106637,'This effect cannot be critically applied.',100,2,2),
(35772,106637,'The healing of this spell cannot be modified except by direct means',100,1,3),
(35773,10106637,'Inflicts 3102 - 3748 disease damage on target',100,1,0),
(35774,10106637,'Heals caster for 4.5 - 5.5% of max health',100,1,1),
(35775,10106637,'This effect cannot be critically applied.',100,2,2),
(35776,10106637,'The healing of this spell cannot be modified except by direct means',100,1,3),
(35777,120140,'Decreases STR and INT of target by 54.5',100,1,0),
(35778,120140,'Increases STR and INT of caster by 54.5',100,1,1),
(35779,10120140,'Decreases STR and INT of target by 54.5',100,1,0),
(35780,10120140,'Increases STR and INT of caster by 54.5',100,1,1),
(35781,106573,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(35782,106573,'Increases Parry of caster by 4.8',100,1,1),
(35783,10106573,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(35784,10106573,'Increases Parry of caster by 4.8',100,1,1),
(35785,177584,'When Equipped:',100,0,0),
(35786,177584,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35787,177584,'Increases STR of caster by 3.6',100,2,2),
(35788,177584,'Increases Damage Per Second of caster by 11.3',100,2,3),
(35789,177584,'Cannot be modified except by direct means',100,2,4),
(35790,10177584,'When Equipped:',100,0,0),
(35791,10177584,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35792,10177584,'Increases STR of caster by 3.6',100,2,2),
(35793,10177584,'Increases Damage Per Second of caster by 11.3',100,2,3),
(35794,10177584,'Cannot be modified except by direct means',100,2,4),
(35795,46585,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(35796,46585,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(35797,46585,'Decreases WIS of target by 19.5',100,2,2),
(35798,46585,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 250',100,2,3),
(35799,46585,'Cannot be modified except by direct means',100,2,4),
(35800,46585,'Grants a total of 60 triggers of the spell.',100,2,5),
(35801,10046585,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(35802,10046585,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(35803,10046585,'Decreases WIS of target by 19.5',100,2,2),
(35804,10046585,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 250',100,2,3),
(35805,10046585,'Cannot be modified except by direct means',100,2,4),
(35806,10046585,'Grants a total of 60 triggers of the spell.',100,2,5),
(35807,124563,'Roots targets in Area of Effect',100,1,0),
(35808,124563,'If Target is not Epic',100,2,1),
(35809,124563,'Decreases Threat to targets in Area of Effect by 835 ',100,1,2),
(35810,124563,'Interrupts targets in Area of Effect',100,1,3),
(35811,10124563,'Roots targets in Area of Effect',100,1,0),
(35812,10124563,'If Target is not Epic',100,2,1),
(35813,10124563,'Applies Distract.',100,1,2),
(35814,10124563,'Forces target to clear their selected target.',100,2,3),
(35815,10124563,'Interrupts targets in Area of Effect',100,1,4),
(35816,10124563,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(35817,116098,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(35818,116098,'Heals target for 938 - 1146',100,2,1),
(35819,116098,'Grants a total of 5 triggers of the spell.',100,2,2),
(35820,10116098,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(35821,10116098,'Heals target for 497 - 589',100,2,1),
(35822,10116098,'Grants a total of 5 triggers of the spell.',100,2,2),
(35823,123198,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(35824,123198,'Inflicts 263 - 321 disease damage on target',100,2,1),
(35825,123198,'Heals caster for 4.0 - 4.8% of max health',100,2,2),
(35826,123198,'This effect cannot be critically applied.',100,3,3),
(35827,123198,'The healing of this spell cannot be modified except by direct means',100,2,4),
(35828,123198,'Grants a total of 5 triggers of the spell.',100,2,5),
(35829,10123198,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(35830,10123198,'Inflicts 211 - 258 disease damage on target',100,2,1),
(35831,10123198,'Heals caster for 1.4 - 1.7% of max health',100,2,2),
(35832,10123198,'This effect cannot be critically applied.',100,3,3),
(35833,10123198,'The healing of this spell cannot be modified except by direct means',100,2,4),
(35834,10123198,'Grants a total of 5 triggers of the spell.',100,2,5),
(35835,115334,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(35836,115334,'Makes target afraid',100,2,1),
(35837,115334,'Slows target by 39.4%',100,2,2),
(35838,115334,'30% chance to dispel when target takes damage',100,2,3),
(35839,115334,'Does not affect Epic targets',100,2,4),
(35840,115334,'Resistibility increases against targets higher than level 76.',100,2,5),
(35841,115334,'Roots target',100,1,6),
(35842,115334,'15% chance to dispel when target takes damage',100,1,7),
(35843,115334,'Does not affect Epic targets',100,1,8),
(35844,115334,'Resistibility increases against targets higher than level 76.',100,1,9),
(35845,10115334,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(35846,10115334,'Makes target afraid',100,2,1),
(35847,10115334,'Slows target by 39.4%',100,2,2),
(35848,10115334,'30% chance to dispel when target takes damage',100,2,3),
(35849,10115334,'Does not affect Epic targets',100,2,4),
(35850,10115334,'Resistibility increases against targets higher than level 76.',100,2,5),
(35851,10115334,'Roots target',100,1,6),
(35852,10115334,'15% chance to dispel when target takes damage',100,1,7),
(35853,10115334,'Does not affect Epic targets',100,1,8),
(35854,10115334,'Resistibility increases against targets higher than level 76.',100,1,9),
(35855,117726,'Decreases Hate Gain of caster by 20.2%',100,1,0),
(35856,123476,'Shapechanges caster into a bear',100,1,0),
(35857,123476,'Increases WIS of caster by 203.3',100,1,1),
(35858,123476,'Grants See Stealth to caster',100,1,2),
(35859,123476,'Increases Max Health of caster by 905.8',100,1,3),
(35860,123476,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2860',100,1,4),
(35861,10123476,'Shapechanges caster into a bear',100,1,0),
(35862,10123476,'Increases WIS of caster by 203.3',100,1,1),
(35863,10123476,'Grants See Stealth to caster',100,1,2),
(35864,10123476,'Increases Max Health of caster by 905.8',100,1,3),
(35865,10123476,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2860',100,1,4),
(35866,48833,'Applies Luminous Translucent Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(35867,48833,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(35868,48833,'Inflicts 13 magic damage on target',100,2,2),
(35869,48833,'Cannot be modified except by direct means',100,2,3),
(35870,10048833,'Applies Luminous Translucent Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(35871,10048833,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(35872,10048833,'Inflicts 13 magic damage on target',100,2,2),
(35873,10048833,'Cannot be modified except by direct means',100,2,3),
(35874,36043,'Increases STA of target by 12.7',100,0,0),
(35875,36043,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(35876,111364,'Inflicts 1190 - 1983 disease damage on target',100,1,0),
(35877,111364,'Heals caster for 395 - 659',100,1,1),
(35878,10111364,'Inflicts 947 - 1448 disease damage on target',100,1,0),
(35879,10111364,'Heals caster for 213 - 356',100,1,1),
(35880,114078,'Inflicts 2948 - 4242 melee damage on target',100,1,0),
(35881,114078,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(35882,114078,'Grants stealth to caster',100,2,2),
(35883,114078,'Suspends caster''s movement speed enhancements',100,2,3),
(35884,114078,'Must be flanking or behind',100,1,4),
(35885,10114078,'Inflicts 2719 - 4249 melee damage on target',100,1,0),
(35886,10114078,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(35887,10114078,'Grants stealth to caster',100,2,2),
(35888,10114078,'Suspends caster''s movement speed enhancements',100,2,3),
(35889,10114078,'Must be flanking or behind',100,1,4),
(35890,114560,'Heals target for 4790 - 5636',100,1,0),
(35891,10114560,'Heals target for 7484 - 9045',100,1,0),
(35892,152840,'When Equipped:',100,0,0),
(35893,152840,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(35894,152840,'Inflicts 48 cold damage on target',100,2,2),
(35895,152840,'Cannot be modified except by direct means',100,2,3),
(35896,10152840,'When Equipped:',100,0,0),
(35897,10152840,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(35898,10152840,'Inflicts 48 cold damage on target',100,2,2),
(35899,10152840,'Cannot be modified except by direct means',100,2,3),
(35900,116903,'Wards target against 45 points of all damage',100,1,0),
(35901,116903,'Decreases INT of target by 28.0',100,1,1),
(35902,116903,'Decreases Attack Speed of target by 25.0',100,1,2),
(35903,116903,'Increases Max Health of target by 11.0%',100,1,3),
(35904,116903,'Increases Hate Gain of target by 14.6%',100,1,4),
(35905,116903,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,5),
(35906,10116903,'Wards target against 36 points of all damage',100,1,0),
(35907,10116903,'Decreases INT of target by 28.0',100,1,1),
(35908,10116903,'Decreases Attack Speed of target by 25.0',100,1,2),
(35909,10116903,'Increases Max Health of target by 11.0%',100,1,3),
(35910,10116903,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,4),
(35911,109165,'Applies Blind.  Lasts for 5.0 seconds.',100,1,0),
(35912,109165,'Blurs vision of target',100,2,1),
(35913,109165,'Dazes target',100,2,2),
(35914,109165,'Dispelled when target takes damage',100,2,3),
(35915,109165,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(35916,109165,'Roots target',100,1,5),
(35917,109165,'5% chance to dispel when target takes damage',100,1,6),
(35918,109165,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,7),
(35919,109165,'Resistibility increases against targets higher than level 48.',100,1,8),
(35920,10109165,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(35921,10109165,'Blurs vision of target',100,2,1),
(35922,10109165,'Dazes target',100,2,2),
(35923,10109165,'Dispelled when target takes damage',100,2,3),
(35924,10109165,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(35925,10109165,'Roots target',100,1,5),
(35926,10109165,'5% chance to dispel when target takes damage',100,1,6),
(35927,10109165,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(35928,10109165,'Resistibility increases against targets higher than level 48.',100,1,8),
(35929,124358,'Inflicts 1171 - 1431 divine damage on target',100,1,0),
(35930,124358,'Inflicts 209 - 256 divine damage on target every 4 seconds',100,1,1),
(35931,10124358,'Inflicts 790 - 878 divine damage on target',100,1,0),
(35932,10124358,'Inflicts 165 - 201 divine damage on target every 4 seconds',100,1,1),
(35933,177771,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(35934,177771,'Decreases Mitigation of target vs physical damage by 180',100,1,1),
(35935,177771,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(35936,10177771,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(35937,10177771,'Decreases Mitigation of target vs physical damage by 180',100,1,1),
(35938,10177771,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(35939,48253,'Applies Call Steed of the Faithful when Activated.',100,0,0),
(35940,48253,'Increases Focus and Slashing of caster by 5.0',100,1,1),
(35941,48253,'Summons a mount to ride',100,1,2),
(35942,48253,'Increases your ground speed by 135%',100,2,3),
(35943,48253,'Increases Ministration, Disruption, Ranged, Crushing, Piercing, Subjugation, Aggression and Ordination of caster by 5.0',100,1,4),
(35944,10048253,'Applies Call Steed of the Faithful when Activated.',100,0,0),
(35945,10048253,'Increases Focus and Slashing of caster by 5.0',100,1,1),
(35946,10048253,'Summons a mount to ride',100,1,2),
(35947,10048253,'Increases your ground speed by 135%',100,2,3),
(35948,10048253,'Increases Ministration, Disruption, Ranged, Crushing, Piercing, Subjugation, Aggression and Ordination of caster by 5.0',100,1,4),
(35949,138518,'When Equipped:',100,0,0),
(35950,138518,'On a hostile spell cast this spell may cast Chaos Rift on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(35951,138518,'Inflicts 467 poison damage on target',100,2,2),
(35952,138518,'Inflicts 467 heat damage on target',100,2,3),
(35953,138518,'Reduces the reuse timers of all caster''s spells by 5%.',100,2,4),
(35954,138518,'Reduces cast time of all caster''s spells by 5%.',100,2,5),
(35955,138518,'Cannot be modified except by direct means',100,2,6),
(35956,138518,'This effect can only trigger once every 10 seconds.',100,2,7),
(35957,138518,'Cannot be modified except by direct means',100,1,8),
(35958,10138518,'When Equipped:',100,0,0),
(35959,10138518,'On a hostile spell cast this spell may cast Chaos Rift on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(35960,10138518,'Inflicts 467 poison damage on target',100,2,2),
(35961,10138518,'Inflicts 467 heat damage on target',100,2,3),
(35962,10138518,'Reduces the reuse timers of all caster''s spells by 5%.',100,2,4),
(35963,10138518,'Reduces cast time of all caster''s spells by 5%.',100,2,5),
(35964,10138518,'Cannot be modified except by direct means',100,2,6),
(35965,10138518,'This effect can only trigger once every 10 seconds.',100,2,7),
(35966,10138518,'Cannot be modified except by direct means',100,1,8),
(35967,177658,'When Equipped:',100,0,0),
(35968,177658,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35969,177658,'Increases WIS of caster by 8.8',100,2,2),
(35970,177658,'Increases Focus, Ordination and Ministration of caster by 5.2',100,2,3),
(35971,177658,'Cannot be modified except by direct means',100,2,4),
(35972,10177658,'When Equipped:',100,0,0),
(35973,10177658,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(35974,10177658,'Increases WIS of caster by 8.8',100,2,2),
(35975,10177658,'Increases Focus, Ordination and Ministration of caster by 5.2',100,2,3),
(35976,10177658,'Cannot be modified except by direct means',100,2,4),
(35977,88650,'When Equipped:',100,0,0),
(35978,88650,'On a melee hit this spell may cast Ferocity on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(35979,88650,'Increases Crit Bonus of caster by 15.0%',100,2,2),
(35980,88650,'Cannot be modified except by direct means',100,2,3),
(35981,10088650,'When Equipped:',100,0,0),
(35982,10088650,'On a melee hit this spell may cast Ferocity on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(35983,10088650,'Increases Crit Bonus of caster by 15.0%',100,2,2),
(35984,10088650,'Cannot be modified except by direct means',100,2,3),
(35985,101753,'Heals group members (AE) for 396 - 484',100,1,0),
(35986,101753,'Heals group members (AE) for 198 - 242 every 2 seconds',100,1,1),
(35987,10101753,'Heals group members (AE) for 187 - 209',100,1,0),
(35988,10101753,'Heals group members (AE) for 101 - 124 every 2 seconds',100,1,1),
(35989,35685,'Increases Max Power of target by 47.2',100,0,0),
(35990,35685,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(35991,48605,'Applies Totem of the Jaguar when Activated.  Lasts for 15 minutes.',100,0,0),
(35992,48605,'Grants stealth to caster',100,1,1),
(35993,48605,'Suspends caster''s movement speed enhancements',100,1,2),
(35994,48605,'Dispelled when target takes damage',100,1,3),
(35995,48605,'This effect cancels during combat',100,1,4),
(35996,48605,'Only affects targets level 30 and above',100,1,5),
(35997,10048605,'Applies Totem of the Jaguar when Activated.  Lasts for 15 minutes.',100,0,0),
(35998,10048605,'Grants stealth to caster',100,1,1),
(35999,10048605,'Suspends caster''s movement speed enhancements',100,1,2),
(36000,10048605,'Dispelled when target takes damage',100,1,3),
(36001,10048605,'This effect cancels during combat',100,1,4),
(36002,10048605,'Only affects targets level 30 and above',100,1,5),
(36003,80921,'When Equipped:',100,0,0),
(36004,80921,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36005,80921,'Inflicts 343 - 636 magic damage on target',100,2,2),
(36006,80921,'Cannot be modified except by direct means',100,2,3),
(36007,10080921,'When Equipped:',100,0,0),
(36008,10080921,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36009,10080921,'Inflicts 343 - 636 magic damage on target',100,2,2),
(36010,10080921,'Cannot be modified except by direct means',100,2,3),
(36011,110892,'Inflicts 2396 - 2855 heat damage on target encounter',100,1,0),
(36012,10110892,'Inflicts 1762 - 2124 heat damage on target encounter',100,1,0),
(36013,113533,'Inflicts 512 - 854 disease damage on target',100,1,0),
(36014,10113533,'Inflicts 440 - 733 disease damage on target',100,1,0),
(36015,24488,'Adds Lair of Scale: Ornamental Stone Bars to your Dungeon Maker toolbox',100,0,0),
(36016,10024488,'Adds Lair of Scale: Ornamental Stone Bars to your Dungeon Maker toolbox',100,0,0),
(36017,47532,'Applies Petrified Wood Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(36018,47532,'Shapechanges caster into a wood elf',100,1,1),
(36019,10047532,'Applies Petrified Wood Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(36020,10047532,'Shapechanges caster into a wood elf',100,1,1),
(36021,53957,'When Equipped:',100,0,0),
(36022,53957,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(36023,53957,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(36024,53957,'Increases Potency of caster by 11.0%',100,2,3),
(36025,53957,'Must not be engaged in pvp combat',100,2,4),
(36026,53957,'Cannot be modified except by direct means',100,2,5),
(36027,53957,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(36028,53957,'Increases Potency of caster by 11.0%',100,2,7),
(36029,53957,'Must not be engaged in pvp combat',100,2,8),
(36030,53957,'Cannot be modified except by direct means',100,2,9),
(36031,53957,'Cannot be modified except by direct means',100,1,10),
(36032,10053957,'When Equipped:',100,0,0),
(36033,10053957,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(36034,10053957,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(36035,10053957,'Increases Potency of caster by 11.0%',100,2,3),
(36036,10053957,'Must not be engaged in pvp combat',100,2,4),
(36037,10053957,'Cannot be modified except by direct means',100,2,5),
(36038,10053957,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(36039,10053957,'Increases Potency of caster by 11.0%',100,2,7),
(36040,10053957,'Must not be engaged in pvp combat',100,2,8),
(36041,10053957,'Cannot be modified except by direct means',100,2,9),
(36042,10053957,'Cannot be modified except by direct means',100,1,10),
(36043,49004,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(36044,49004,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(36045,49004,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(36046,49004,'Cannot be modified except by direct means',100,2,3),
(36047,49004,'Grants a total of 80 triggers of the spell.',100,2,4),
(36048,10049004,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(36049,10049004,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(36050,10049004,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(36051,10049004,'Cannot be modified except by direct means',100,2,3),
(36052,10049004,'Grants a total of 80 triggers of the spell.',100,2,4),
(36053,71541,'When Equipped:',100,0,0),
(36054,71541,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36055,71541,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(36056,71541,'Cannot be modified except by direct means',100,2,3),
(36057,10071541,'When Equipped:',100,0,0),
(36058,10071541,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36059,10071541,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(36060,10071541,'Cannot be modified except by direct means',100,2,3),
(36061,159200,'Applies Lambent Imbued when Equipped.',100,0,0),
(36062,159200,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(36063,159200,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(36064,159200,'Cannot be modified except by direct means',100,2,3),
(36065,10159200,'Applies Lambent Imbued when Equipped.',100,0,0),
(36066,10159200,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(36067,10159200,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(36068,10159200,'Cannot be modified except by direct means',100,2,3),
(36069,116211,'Inflicts 5818 - 9042 mental damage on target',100,1,0),
(36070,10116211,'Inflicts 4206 - 6747 mental damage on target',100,1,0),
(36071,113237,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(36072,113237,'Inflicts 75 - 124 magic damage on target',100,2,1),
(36073,113237,'Grants a total of 8 triggers of the spell.',100,2,2),
(36074,10113237,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(36075,10113237,'Inflicts 60 - 99 magic damage on target',100,2,1),
(36076,10113237,'Grants a total of 8 triggers of the spell.',100,2,2),
(36077,102759,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(36078,102759,'Stuns target',100,2,1),
(36079,102759,'If Target is not Epic',100,3,2),
(36080,102759,'Inflicts 2187 - 3644 divine damage on target',100,2,3),
(36081,102759,'Inflicts 1874 - 3124 divine damage on target',100,2,4),
(36082,102759,'If target is undead',100,3,5),
(36083,10102759,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(36084,10102759,'Stuns target',100,2,1),
(36085,10102759,'Inflicts 2585 - 4309 divine damage on target',100,2,2),
(36086,10102759,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(36087,24425,'Adds Golem-Flesh (Guardian) to your Dungeon Maker toolbox',100,0,0),
(36088,10024425,'Adds Golem-Flesh (Guardian) to your Dungeon Maker toolbox',100,0,0),
(36089,121683,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(36090,121683,'Inflicts 210 - 256 heat damage on target instantly and every second',100,2,1),
(36091,10121683,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(36092,10121683,'Inflicts 165 - 202 heat damage on target instantly and every second',100,2,1),
(36093,40853,'When Equipped:',100,0,0),
(36094,40853,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(36095,40853,'Inflicts 852 piercing damage on target',100,2,2),
(36096,40853,'Cannot be modified except by direct means',100,2,3),
(36097,10040853,'When Equipped:',100,0,0),
(36098,10040853,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(36099,10040853,'Inflicts 426 piercing damage on target',100,2,2),
(36100,10040853,'Cannot be modified except by direct means',100,2,3),
(36101,124611,'Heals group members (AE) for 533 - 651',100,1,0),
(36102,124611,'Heals group members (AE) for 67 - 82 every second',100,1,1),
(36103,10124611,'Heals group members (AE) for 545 - 647',100,1,0),
(36104,10124611,'Heals group members (AE) for 57 - 70 every second',100,1,1),
(36105,112650,'Inflicts 1288 - 2049 disease damage on target',100,1,0),
(36106,112650,'Inflicts 643 - 1067 disease damage on target',100,1,1),
(36107,112650,'Roots target',100,1,2),
(36108,112650,'If Target is not Epic',100,2,3),
(36109,112650,'15% chance to dispel when target takes damage',100,1,4),
(36110,112650,'If weapon equipped in Ranged',100,1,5),
(36111,112650,'Resistibility increases against targets higher than level 87.',100,1,6),
(36112,10112650,'Inflicts 774 - 1025 disease damage on target',100,1,0),
(36113,10112650,'Inflicts 380 - 630 disease damage on target',100,1,1),
(36114,10112650,'Roots target',100,1,2),
(36115,10112650,'If Target is not Epic',100,2,3),
(36116,10112650,'15% chance to dispel when target takes damage',100,1,4),
(36117,10112650,'If weapon equipped in Ranged',100,1,5),
(36118,10112650,'Resistibility increases against targets higher than level 87.',100,1,6),
(36119,37128,'Increases outgoing heal and ward amount by 2%',100,0,0),
(36120,37128,'Increases WIS and STA of target by 16.0',100,0,1),
(36121,37128,'Increases Out-of-Combat Power Regeneration of target by 19.8',100,0,2),
(36122,46767,'Applies Summon Leafy Carpet when Activated.  Lasts for 1 day.',100,0,0),
(36123,46767,'Reduces maximum falling speed of caster',100,1,1),
(36124,46767,'Summons a mount to ride',100,1,2),
(36125,46767,'Increases your ground speed by 130%',100,2,3),
(36126,10046767,'Applies Summon Leafy Carpet when Activated.  Lasts for 1 day.',100,0,0),
(36127,10046767,'Reduces maximum falling speed of caster',100,1,1),
(36128,10046767,'Summons a mount to ride',100,1,2),
(36129,10046767,'Increases your ground speed by 130%',100,2,3),
(36130,47162,'Applies Murky Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(36131,47162,'Increases STA and STR of caster by 35.2',100,1,1),
(36132,47162,'Only affects targets level 50 and above',100,1,2),
(36133,10047162,'Applies Murky Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(36134,10047162,'Increases STA and STR of caster by 35.2',100,1,1),
(36135,10047162,'Only affects targets level 50 and above',100,1,2),
(36136,80450,'When Equipped:',100,0,0),
(36137,80450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36138,80450,'Inflicts 81 - 151 magic damage on target',100,2,2),
(36139,80450,'Cannot be modified except by direct means',100,2,3),
(36140,10080450,'When Equipped:',100,0,0),
(36141,10080450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36142,10080450,'Inflicts 81 - 151 magic damage on target',100,2,2),
(36143,10080450,'Cannot be modified except by direct means',100,2,3),
(36144,117850,'Heals target for 466 - 570',100,1,0),
(36145,117850,'Heals target for 117 - 142 every 2 seconds',100,1,1),
(36146,10117850,'Heals target for 287 - 329',100,1,0),
(36147,10117850,'Heals target for 60 - 73 every 2 seconds',100,1,1),
(36148,80288,'When Equipped:',100,0,0),
(36149,80288,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36150,80288,'Inflicts 333 - 619 magic damage on target',100,2,2),
(36151,80288,'Decreases Threat to target by 801 ',100,2,3),
(36152,80288,'Must be flanking or behind',100,3,4),
(36153,80288,'Increases Threat to target by 1,261 ',100,2,5),
(36154,80288,'Must be in front of',100,3,6),
(36155,80288,'Cannot be modified except by direct means',100,2,7),
(36156,10080288,'When Equipped:',100,0,0),
(36157,10080288,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36158,10080288,'Inflicts 333 - 619 magic damage on target',100,2,2),
(36159,10080288,'Cannot be modified except by direct means',100,2,3),
(36160,121823,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(36161,121823,'Increases Mitigation of group members (AE) vs arcane damage by 450',100,1,1),
(36162,10121823,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(36163,10121823,'Increases Mitigation of group members (AE) vs arcane damage by 450',100,1,1),
(36164,123152,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(36165,123152,'Reduces physical damage done to caster by 5%',100,1,1),
(36166,123152,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(36167,123152,'Increases Aggression of caster by 3.8',100,1,3),
(36168,123152,'Increases Defense and Parry of caster by 7.7',100,1,4),
(36169,123152,'Increases Mitigation of caster vs elemental damage by 553',100,1,5),
(36170,123152,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(36171,10123152,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(36172,10123152,'Reduces physical damage done to caster by 5%',100,1,1),
(36173,10123152,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(36174,10123152,'Increases Aggression of caster by 3.8',100,1,3),
(36175,10123152,'Increases Defense and Parry of caster by 7.7',100,1,4),
(36176,10123152,'Increases Mitigation of caster vs elemental damage by 553',100,1,5),
(36177,10123152,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(36178,113890,'Increases power of target by 166',100,1,0),
(36179,10113890,'Increases power of target by 166',100,1,0),
(36180,106936,'Inflicts 4810 - 8090 poison damage on target',100,1,0),
(36181,10106936,'Inflicts 3411 - 5997 poison damage on target',100,1,0),
(36182,113452,'Increases INT of target by 48.3',100,1,0),
(36183,113452,'Increases Max Health of target by 339.1',100,1,1),
(36184,10113452,'Increases INT of target by 48.3',100,1,0),
(36185,10113452,'Increases Max Health of target by 339.1',100,1,1),
(36186,172918,'When Equipped:',100,0,0),
(36187,172918,'Gives caster a 1.6% chance to strikethrough a successful avoidance check',100,1,1),
(36188,172918,'Increases Additional chance to Riposte of caster by 15.0',100,1,2),
(36189,172918,'Increases Riposte Damage of caster by 15.0',100,1,3),
(36190,172918,'Must not be engaged in pvp combat',100,1,4),
(36191,10172918,'When Equipped:',100,0,0),
(36192,10172918,'Gives caster a 1.6% chance to strikethrough a successful avoidance check',100,1,1),
(36193,10172918,'Increases Additional chance to Riposte of caster by 15.0',100,1,2),
(36194,10172918,'Increases Riposte Damage of caster by 15.0',100,1,3),
(36195,10172918,'Must not be engaged in pvp combat',100,1,4),
(36196,117081,'Summons 4 limited pets to aid the caster',100,1,0),
(36197,10117081,'Summons 4 limited pets to aid the caster',100,1,0),
(36198,25462,'When Equipped:',100,0,0),
(36199,25462,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(36200,25462,'Improves the base damage of Death Swarm by 30% and reduces the target''s critical chance by 5%.',100,1,2),
(36201,10025462,'When Equipped:',100,0,0),
(36202,10025462,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(36203,10025462,'Improves the base damage of Death Swarm by 30% and reduces the target''s critical chance by 5%.',100,1,2),
(36204,36324,'Increases STA and INT of target by 66.0',100,0,0),
(36205,36324,'Increases outgoing damaging spell amount by 2%',100,0,1),
(36206,36324,'Increases Out-of-Combat Power Regeneration of target by 136.8',100,0,2),
(36207,118195,'Increases Damage Per Second of group members (AE) by 19.9',100,1,0),
(36208,10118195,'Increases Damage Per Second of group members (AE) by 19.9',100,1,0),
(36209,27346,'When Equipped:',100,0,0),
(36210,27346,'Increases all cold damage by up to 10.',100,1,1),
(36211,10027346,'When Equipped:',100,0,0),
(36212,10027346,'Increases all cold damage by up to 10.',100,1,1),
(36213,114425,'Mesmerizes target',100,1,0),
(36214,114425,'Prevents AOE (except when direct) ',100,1,1),
(36215,114425,'Dispelled when target takes damage',100,1,2),
(36216,114425,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(36217,114425,'Resistibility increases against targets higher than level 95.',100,1,4),
(36218,10114425,'Mesmerizes target',100,1,0),
(36219,10114425,'Prevents AOE (except when direct) ',100,1,1),
(36220,10114425,'Dispelled when target takes damage',100,1,2),
(36221,10114425,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(36222,10114425,'Resistibility increases against targets higher than level 95.',100,1,4),
(36223,110278,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(36224,110278,'Slows target by 32.9%',100,2,1),
(36225,110278,'5% chance to dispel when target receives hostile action',100,2,2),
(36226,110278,'5% chance to dispel when target takes damage',100,2,3),
(36227,110278,'Decreases Mitigation of target vs arcane damage by 437',100,1,4),
(36228,10110278,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(36229,10110278,'Slows target by 32.9%',100,2,1),
(36230,10110278,'5% chance to dispel when target receives hostile action',100,2,2),
(36231,10110278,'5% chance to dispel when target takes damage',100,2,3),
(36232,10110278,'Decreases Mitigation of target vs arcane damage by 437',100,1,4),
(36233,100158,'Inflicts 1141 - 1322 disease damage on target encounter',100,1,0),
(36234,100158,'Inflicts 814 - 995 disease damage on target encounter every 3 seconds',100,1,1),
(36235,100158,'Decreases Mitigation of target encounter vs noxious damage by 1613',100,1,2),
(36236,10100158,'Inflicts 773 - 915 disease damage on target encounter',100,1,0),
(36237,10100158,'Inflicts 641 - 784 disease damage on target encounter every 3 seconds',100,1,1),
(36238,10100158,'Decreases Mitigation of target encounter vs noxious damage by 1613',100,1,2),
(36239,87340,'When Equipped:',100,0,0),
(36240,87340,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36241,87340,'Inflicts 192 - 289 magic damage on target',100,2,2),
(36242,87340,'Cannot be modified except by direct means',100,2,3),
(36243,10087340,'When Equipped:',100,0,0),
(36244,10087340,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36245,10087340,'Inflicts 192 - 289 magic damage on target',100,2,2),
(36246,10087340,'Cannot be modified except by direct means',100,2,3),
(36247,119767,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(36248,119767,'Inflicts 215 - 263 poison damage on target encounter',100,2,1),
(36249,10119767,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(36250,10119767,'Inflicts 170 - 208 poison damage on target encounter',100,2,1),
(36251,47630,'Applies Call Prankster''s Skystrider when Activated.',100,0,0),
(36252,47630,'Increases Crushing and Piercing of caster by 5.0',100,1,1),
(36253,47630,'Summons a mount to ride',100,1,2),
(36254,47630,'Increases your ground speed by 60%',100,2,3),
(36255,47630,'Increases your air speed by 200%',100,2,4),
(36256,47630,'Increases Slashing, Ministration, Aggression, Ordination, Disruption, Subjugation, Ranged and Focus of caster by 5.0',100,1,5),
(36257,10047630,'Applies Call Prankster''s Skystrider when Activated.',100,0,0),
(36258,10047630,'Increases Crushing and Piercing of caster by 5.0',100,1,1),
(36259,10047630,'Summons a mount to ride',100,1,2),
(36260,10047630,'Increases your ground speed by 60%',100,2,3),
(36261,10047630,'Increases your air speed by 200%',100,2,4),
(36262,10047630,'Increases Slashing, Ministration, Aggression, Ordination, Disruption, Subjugation, Ranged and Focus of caster by 5.0',100,1,5),
(36263,36242,'Increases Out-of-Combat Power Regeneration of target by 168.0',100,0,0),
(36264,115720,'Heals target for 1275',100,1,0),
(36265,115720,'Heals target for 292 every 0.3 seconds',100,1,1),
(36266,115720,'Stifles caster',100,1,2),
(36267,10115720,'Heals target for 406',100,1,0),
(36268,10115720,'Heals target for 150 every 0.3 seconds',100,1,1),
(36269,10115720,'Stifles caster',100,1,2),
(36270,123290,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(36271,123290,'Inflicts 722 - 1203 disease damage on target',100,2,1),
(36272,123290,'Heals caster for 0.9 - 1.5% of max health',100,2,2),
(36273,123290,'This effect cannot be critically applied.',100,3,3),
(36274,123290,'The healing of this spell cannot be modified except by direct means',100,2,4),
(36275,10123290,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(36276,10123290,'Inflicts 569 - 949 disease damage on target',100,2,1),
(36277,10123290,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(36278,10123290,'This effect cannot be critically applied.',100,3,3),
(36279,10123290,'The healing of this spell cannot be modified except by direct means',100,2,4),
(36280,71374,'When Equipped:',100,0,0),
(36281,71374,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36282,71374,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(36283,71374,'Cannot be modified except by direct means',100,2,3),
(36284,10071374,'When Equipped:',100,0,0),
(36285,10071374,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36286,10071374,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(36287,10071374,'Cannot be modified except by direct means',100,2,3),
(36288,47551,'Applies Poisoned Seeds when Activated.  Lasts for 12 hours.',100,0,0),
(36289,47551,'On a combat hit this spell may cast Poisonous Seeds on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(36290,47551,'Inflicts 1625 poison damage on target',100,2,2),
(36291,47551,'Cannot be modified except by direct means',100,2,3),
(36292,47551,'Grants a total of 150 triggers of the spell.',100,2,4),
(36293,10047551,'Applies Poisoned Seeds when Activated.  Lasts for 12 hours.',100,0,0),
(36294,10047551,'On a combat hit this spell may cast Poisonous Seeds on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(36295,10047551,'Inflicts 937 poison damage on target',100,2,2),
(36296,10047551,'Cannot be modified except by direct means',100,2,3),
(36297,10047551,'Grants a total of 150 triggers of the spell.',100,2,4),
(36298,159610,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(36299,159610,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(36300,159610,'Inflicts 168 heat damage on target',100,2,2),
(36301,159610,'Cannot be modified except by direct means',100,2,3),
(36302,10159610,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(36303,10159610,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(36304,10159610,'Inflicts 168 heat damage on target',100,2,2),
(36305,10159610,'Cannot be modified except by direct means',100,2,3),
(36306,45326,'Applies Black Spotted Warg with Blue Saddle when Activated.',100,0,0),
(36307,45326,'Summons a mount to ride',100,1,1),
(36308,45326,'Increases your ground speed by 130%',100,2,2),
(36309,45326,'Increases damage done by spells and combat arts by up to 30.',100,1,3),
(36310,45326,'Increases Disruption, Piercing, Crushing, Ranged and Slashing of caster by 7.0',100,1,4),
(36311,10045326,'Applies Black Spotted Warg with Blue Saddle when Activated.',100,0,0),
(36312,10045326,'Summons a mount to ride',100,1,1),
(36313,10045326,'Increases your ground speed by 130%',100,2,2),
(36314,10045326,'Increases damage done by spells and combat arts by up to 30.',100,1,3),
(36315,10045326,'Increases Disruption, Piercing, Crushing, Ranged and Slashing of caster by 7.0',100,1,4),
(36316,89009,'Applies Change Wield Style when Activated.',100,0,0),
(36317,89009,'Summon 1 The Wurmslayer',100,1,1),
(36318,89009,'This effect cannot be cast during combat',100,1,2),
(36319,89009,'The casting time of Change Wield Style is 1.98 seconds and the reuse time of the spell is 3.45 seconds',100,1,3),
(36320,89009,'When Equipped:',100,0,4),
(36321,89009,'On a combat hit this spell may cast Scale Rend on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(36322,89009,'Inflicts 206 - 308 melee damage on target',100,2,6),
(36323,89009,'Inflicts 206 - 308 melee damage on target',100,2,7),
(36324,89009,'Inflicts 206 - 308 melee damage on target',100,2,8),
(36325,89009,'Inflicts 286 heat damage on target',100,2,9),
(36326,89009,'Inflicts 179 heat damage on target every 6 seconds',100,2,10),
(36327,89009,'If target is draconic',100,2,11),
(36328,89009,'Cannot be modified except by direct means',100,2,12),
(36329,10089009,'Applies Change Wield Style when Activated.',100,0,0),
(36330,10089009,'Summon 1 The Wurmslayer',100,1,1),
(36331,10089009,'This effect cannot be cast during combat',100,1,2),
(36332,10089009,'The casting time of Change Wield Style is 1.98 seconds and the reuse time of the spell is 3.45 seconds',100,1,3),
(36333,10089009,'When Equipped:',100,0,4),
(36334,10089009,'On a combat hit this spell may cast Scale Rend on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(36335,10089009,'Inflicts 206 - 308 melee damage on target',100,2,6),
(36336,10089009,'Inflicts 206 - 308 melee damage on target',100,2,7),
(36337,10089009,'Inflicts 206 - 308 melee damage on target',100,2,8),
(36338,10089009,'Inflicts 286 heat damage on target',100,2,9),
(36339,10089009,'Inflicts 179 heat damage on target every 6 seconds',100,2,10),
(36340,10089009,'If target is draconic',100,2,11),
(36341,10089009,'Cannot be modified except by direct means',100,2,12),
(36342,189979,'When Equipped:',100,0,0),
(36343,189979,'Increases Attack Speed of caster by 40.0',100,1,1),
(36344,10189979,'When Equipped:',100,0,0),
(36345,10189979,'Increases Attack Speed of caster by 40.0',100,1,1),
(36346,113589,'Mesmerizes target',100,1,0),
(36347,113589,'Prevents AOE (except when direct) ',100,1,1),
(36348,113589,'Dispelled when target takes damage',100,1,2),
(36349,113589,'Does not affect Epic targets',100,1,3),
(36350,113589,'Resistibility increases against targets higher than level 119.',100,1,4),
(36351,10113589,'Mesmerizes target',100,1,0),
(36352,10113589,'Prevents AOE (except when direct) ',100,1,1),
(36353,10113589,'Dispelled when target takes damage',100,1,2),
(36354,10113589,'Does not affect Epic targets',100,1,3),
(36355,10113589,'Resistibility increases against targets higher than level 119.',100,1,4),
(36356,144073,'When Equipped:',100,0,0),
(36357,144073,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(36358,144073,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(36359,144073,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(36360,144073,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(36361,144073,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(36362,144073,'Must not be engaged in pvp combat',100,2,6),
(36363,144073,'Cannot be modified except by direct means',100,2,7),
(36364,144073,'Must not be engaged in pvp combat',100,1,8),
(36365,10144073,'When Equipped:',100,0,0),
(36366,10144073,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(36367,10144073,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(36368,10144073,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(36369,10144073,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(36370,10144073,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(36371,10144073,'Must not be engaged in pvp combat',100,2,6),
(36372,10144073,'Cannot be modified except by direct means',100,2,7),
(36373,10144073,'Must not be engaged in pvp combat',100,1,8),
(36374,153769,'When Equipped:',100,0,0),
(36375,153769,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36376,153769,'Inflicts 562 mental damage on target',100,2,2),
(36377,153769,'Must be classified as an undead',100,3,3),
(36378,153769,'Inflicts 281 mental damage on target',100,2,4),
(36379,153769,'Must not be classified as an undead',100,3,5),
(36380,153769,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(36381,153769,'Must be classified as an undead',100,3,7),
(36382,153769,'Cannot be modified except by direct means',100,2,8),
(36383,153769,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(36384,10153769,'When Equipped:',100,0,0),
(36385,10153769,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36386,10153769,'Inflicts 562 mental damage on target',100,2,2),
(36387,10153769,'Must be classified as an undead',100,3,3),
(36388,10153769,'Inflicts 281 mental damage on target',100,2,4),
(36389,10153769,'Must not be classified as an undead',100,3,5),
(36390,10153769,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(36391,10153769,'Must be classified as an undead',100,3,7),
(36392,10153769,'Cannot be modified except by direct means',100,2,8),
(36393,10153769,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(36394,173878,'Applies Scaled Protection when Activated.  Lasts for 10.0 seconds.',100,0,0),
(36395,173878,'Reduces all damage done to caster by 10%',100,1,1),
(36396,173878,'The reuse time of Scaled Protection is 2 minutes 5 seconds',100,1,2),
(36397,10173878,'Applies Scaled Protection when Activated.  Lasts for 10.0 seconds.',100,0,0),
(36398,10173878,'Reduces all damage done to caster by 10%',100,1,1),
(36399,10173878,'The reuse time of Scaled Protection is 2 minutes 5 seconds',100,1,2),
(36400,46403,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(36401,46403,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(36402,46403,'Decreases power of target by 1194',100,2,2),
(36403,46403,'Increases power of caster by 329',100,2,3),
(36404,46403,'Cannot be modified except by direct means',100,2,4),
(36405,46403,'Grants a total of 100 triggers of the spell.',100,2,5),
(36406,10046403,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(36407,10046403,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(36408,10046403,'Decreases power of target by 657',100,2,2),
(36409,10046403,'Increases power of caster by 296',100,2,3),
(36410,10046403,'Cannot be modified except by direct means',100,2,4),
(36411,10046403,'Grants a total of 100 triggers of the spell.',100,2,5),
(36412,87396,'When Equipped:',100,0,0),
(36413,87396,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36414,87396,'Inflicts 248 - 373 magic damage on target',100,2,2),
(36415,87396,'Cannot be modified except by direct means',100,2,3),
(36416,10087396,'When Equipped:',100,0,0),
(36417,10087396,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36418,10087396,'Inflicts 248 - 373 magic damage on target',100,2,2),
(36419,10087396,'Cannot be modified except by direct means',100,2,3),
(36420,104146,'Roots target',100,1,0),
(36421,104146,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(36422,104146,'Makes target afraid',100,2,2),
(36423,104146,'Slows target by 21.2%',100,2,3),
(36424,104146,'30% chance to dispel when target takes damage',100,2,4),
(36425,104146,'Resistibility increases against targets higher than level 102.',100,2,5),
(36426,104146,'15% chance to dispel when target takes damage',100,1,6),
(36427,104146,'Does not affect Epic targets',100,1,7),
(36428,104146,'Resistibility increases against targets higher than level 102.',100,1,8),
(36429,10104146,'Roots target',100,1,0),
(36430,10104146,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(36431,10104146,'Makes target afraid',100,2,2),
(36432,10104146,'Slows target by 21.2%',100,2,3),
(36433,10104146,'30% chance to dispel when target takes damage',100,2,4),
(36434,10104146,'Resistibility increases against targets higher than level 102.',100,2,5),
(36435,10104146,'15% chance to dispel when target takes damage',100,1,6),
(36436,10104146,'Does not affect Epic targets',100,1,7),
(36437,10104146,'Resistibility increases against targets higher than level 102.',100,1,8),
(36438,186988,'Applies Extract Soul when Activated.',100,0,0),
(36439,186988,'This tiara supposedly focuses the effects of a Questioner''s gem.',100,1,1),
(36440,186988,'The casting time of Extract Soul is 0.99 seconds',100,1,2),
(36441,10186988,'Applies Extract Soul when Activated.',100,0,0),
(36442,10186988,'This tiara supposedly focuses the effects of a Questioner''s gem.',100,1,1),
(36443,10186988,'The casting time of Extract Soul is 0.99 seconds',100,1,2),
(36444,75562,'Applies Disease Blast when Activated.',100,0,0),
(36445,75562,'Inflicts 243 - 405 disease damage on target',100,1,1),
(36446,75562,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(36447,10075562,'Applies Disease Blast when Activated.',100,0,0),
(36448,10075562,'Inflicts 243 - 405 disease damage on target',100,1,1),
(36449,10075562,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(36450,117958,'Heals target for 1586 - 1938',100,1,0),
(36451,117958,'Increases Max Health of target by 52.6',100,1,1),
(36452,10117958,'Heals target for 1212 - 1425',100,1,0),
(36453,10117958,'Increases Max Health of target by 52.6',100,1,1),
(36454,45700,'Applies Narron''s Restoration  when Activated.',100,0,0),
(36455,45700,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(36456,10045700,'Applies Narron''s Restoration  when Activated.',100,0,0),
(36457,10045700,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(36458,104489,'Decreases Mitigation of target encounter vs physical damage by 792',100,1,0),
(36459,10104489,'Decreases Mitigation of target encounter vs physical damage by 792',100,1,0),
(36460,104474,'Decreases Mitigation of target encounter vs physical damage by 336',100,1,0),
(36461,10104474,'Decreases Mitigation of target encounter vs physical damage by 336',100,1,0),
(36462,70307,'When Equipped:',100,0,0),
(36463,70307,'On a combat hit this spell may cast Scorpic Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36464,70307,'Inflicts 107 poison damage on target',100,2,2),
(36465,70307,'Inflicts 160 poison damage on target every 4 seconds',100,2,3),
(36466,70307,'Cannot be modified except by direct means',100,2,4),
(36467,10070307,'When Equipped:',100,0,0),
(36468,10070307,'On a combat hit this spell may cast Scorpic Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36469,10070307,'Inflicts 107 poison damage on target',100,2,2),
(36470,10070307,'Inflicts 160 poison damage on target every 4 seconds',100,2,3),
(36471,10070307,'Cannot be modified except by direct means',100,2,4),
(36472,114920,'Inflicts 2977 - 4290 melee damage on target',100,1,0),
(36473,114920,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1344',100,1,1),
(36474,114920,'Must be behind',100,1,2),
(36475,10114920,'Inflicts 1966 - 3001 melee damage on target',100,1,0),
(36476,10114920,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,1),
(36477,10114920,'Must be behind',100,1,2),
(36478,80472,'When Equipped:',100,0,0),
(36479,80472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36480,80472,'Inflicts 77 - 143 magic damage on target',100,2,2),
(36481,80472,'Cannot be modified except by direct means',100,2,3),
(36482,10080472,'When Equipped:',100,0,0),
(36483,10080472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36484,10080472,'Inflicts 77 - 143 magic damage on target',100,2,2),
(36485,10080472,'Cannot be modified except by direct means',100,2,3),
(36486,37561,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(36487,37561,'This effect suspends during combat',100,0,1),
(36488,36949,'Increases WIS of target by 6.2',100,0,0),
(36489,36949,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(36490,111218,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(36491,111218,'Heals target for 159 - 194',100,2,1),
(36492,10111218,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(36493,10111218,'Heals target for 84 - 103',100,2,1),
(36494,184907,'When Equipped:',100,0,0),
(36495,184907,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(36496,184907,'Heals group members (AE) for 178',100,2,2),
(36497,184907,'Cannot be modified except by direct means',100,2,3),
(36498,184907,'Cannot be modified except by direct means',100,1,4),
(36499,10184907,'When Equipped:',100,0,0),
(36500,10184907,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(36501,10184907,'Heals group members (AE) for 116',100,2,2),
(36502,10184907,'Cannot be modified except by direct means',100,2,3),
(36503,10184907,'Cannot be modified except by direct means',100,1,4),
(36504,100144,'Inflicts 714 - 800 disease damage on target encounter',100,1,0),
(36505,100144,'Inflicts 387 - 473 disease damage on target encounter every 3 seconds',100,1,1),
(36506,100144,'Decreases Mitigation of target encounter vs noxious damage by 720',100,1,2),
(36507,10100144,'Inflicts 436 - 504 disease damage on target encounter',100,1,0),
(36508,10100144,'Inflicts 305 - 372 disease damage on target encounter every 3 seconds',100,1,1),
(36509,10100144,'Decreases Mitigation of target encounter vs noxious damage by 720',100,1,2),
(36510,45840,'Applies Consume Essence when Activated.',100,0,0),
(36511,45840,'Heals group members (AE) for 240 - 293',100,1,1),
(36512,45840,'Dispels 76 levels of any hostile effects on caster',100,1,2),
(36513,10045840,'Applies Consume Essence when Activated.',100,0,0),
(36514,10045840,'Heals group members (AE) for 156 - 191',100,1,1),
(36515,10045840,'Dispels 76 levels of any hostile effects on caster',100,1,2),
(36516,122314,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(36517,122314,'Inflicts 2138 - 2568 mental damage on target',100,2,1),
(36518,122314,'Grants a total of 3 triggers of the spell.',100,2,2),
(36519,10122314,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(36520,10122314,'Inflicts 1576 - 1897 mental damage on target',100,2,1),
(36521,10122314,'Grants a total of 3 triggers of the spell.',100,2,2),
(36522,123695,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(36523,123695,'Inflicts 384 divine damage on target',100,2,1),
(36524,123695,'Grants a total of 5 triggers of the spell.',100,2,2),
(36525,10123695,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(36526,10123695,'Inflicts 314 divine damage on target',100,2,1),
(36527,10123695,'Grants a total of 5 triggers of the spell.',100,2,2),
(36528,106023,'Decreases Defense of target by 13.5',100,1,0),
(36529,106023,'Inflicts 1369 - 1460 divine damage on target',100,1,1),
(36530,106023,'Inflicts 391 - 478 divine damage on target every 3 seconds',100,1,2),
(36531,10106023,'Decreases Defense of target by 13.5',100,1,0),
(36532,10106023,'Inflicts 600 - 646 divine damage on target',100,1,1),
(36533,10106023,'Inflicts 206 - 251 divine damage on target every 3 seconds',100,1,2),
(36534,47923,'Applies Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(36535,47923,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(36536,47923,'Only affects targets level 50 and above',100,1,2),
(36537,10047923,'Applies Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(36538,10047923,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(36539,10047923,'Only affects targets level 50 and above',100,1,2),
(36540,45094,'Applies Throw Hot Water when Activated.  Lasts for 25.0 seconds.',100,0,0),
(36541,45094,'Decreases Crit Avoidance of target by 80.0',100,1,1),
(36542,45094,'Decreases Mitigation of target vs elemental damage by 1800',100,1,2),
(36543,10045094,'Applies Throw Hot Water when Activated.  Lasts for 25.0 seconds.',100,0,0),
(36544,10045094,'Decreases Crit Avoidance of target by 80.0',100,1,1),
(36545,10045094,'Decreases Mitigation of target vs elemental damage by 1800',100,1,2),
(36546,109730,'Inflicts 1868 - 3049 cold damage on target',100,1,0),
(36547,109730,'If weapon equipped in Ranged',100,1,1),
(36548,10109730,'Inflicts 1103 - 1616 cold damage on target',100,1,0),
(36549,10109730,'If weapon equipped in Ranged',100,1,1),
(36550,117087,'Mesmerizes target encounter',100,1,0),
(36551,117087,'Prevents AOE (except when direct) ',100,1,1),
(36552,117087,'Dispelled when target takes damage',100,1,2),
(36553,117087,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(36554,117087,'Resistibility increases against targets higher than level 54.',100,1,4),
(36555,10117087,'Mesmerizes target encounter',100,1,0),
(36556,10117087,'Prevents AOE (except when direct) ',100,1,1),
(36557,10117087,'Dispelled when target takes damage',100,1,2),
(36558,10117087,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(36559,10117087,'Resistibility increases against targets higher than level 54.',100,1,4),
(36560,107627,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(36561,107627,'Increases Mitigation of group members (AE) vs elemental damage by 470',100,1,1),
(36562,10107627,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(36563,10107627,'Increases Mitigation of group members (AE) vs elemental damage by 470',100,1,1),
(36564,36458,'Increases INT of target by 17.8',100,0,0),
(36565,36458,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(36566,115864,'Inflicts 3089 - 4930 mental damage on target encounter',100,1,0),
(36567,115864,'Interrupts target encounter',100,1,1),
(36568,10115864,'Inflicts 2308 - 3759 mental damage on target encounter',100,1,0),
(36569,10115864,'Interrupts target encounter',100,1,1),
(36570,159409,'Applies Lambent Imbued when Equipped.',100,0,0),
(36571,159409,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(36572,159409,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(36573,159409,'Cannot be modified except by direct means',100,2,3),
(36574,10159409,'Applies Lambent Imbued when Equipped.',100,0,0),
(36575,10159409,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(36576,10159409,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(36577,10159409,'Cannot be modified except by direct means',100,2,3),
(36578,116517,'Increases Mitigation of target vs physical damage by 192',100,1,0),
(36579,116517,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(36580,10116517,'Increases Mitigation of target vs physical damage by 192',100,1,0),
(36581,10116517,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(36582,81914,'When Equipped:',100,0,0),
(36583,81914,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36584,81914,'Inflicts 523 - 972 magic damage on target',100,2,2),
(36585,81914,'Decreases Threat to target by 994 ',100,2,3),
(36586,81914,'Must be flanking or behind',100,3,4),
(36587,81914,'Increases Threat to target by 1,454 ',100,2,5),
(36588,81914,'Must be in front of',100,3,6),
(36589,81914,'Cannot be modified except by direct means',100,2,7),
(36590,10081914,'When Equipped:',100,0,0),
(36591,10081914,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36592,10081914,'Inflicts 523 - 972 magic damage on target',100,2,2),
(36593,10081914,'Cannot be modified except by direct means',100,2,3),
(36594,24317,'Adds Drake (Assassin) to your Dungeon Maker toolbox',100,0,0),
(36595,10024317,'Adds Drake (Assassin) to your Dungeon Maker toolbox',100,0,0),
(36596,46657,'Applies Summon Hrath Everstill''s Projection when Activated.  Lasts for 1 minute 15 seconds.',100,0,0),
(36597,46657,'Summons a pet Projection of Hrath Everstill',100,1,1),
(36598,46657,'Must be in The Orcish Wastes.',100,1,2),
(36599,10046657,'Applies Summon Hrath Everstill''s Projection when Activated.  Lasts for 1 minute 15 seconds.',100,0,0),
(36600,10046657,'Summons a pet Projection of Hrath Everstill',100,1,1),
(36601,10046657,'Must be in The Orcish Wastes.',100,1,2),
(36602,75558,'Applies Disease Blast when Activated.',100,0,0),
(36603,75558,'Inflicts 723 - 1205 disease damage on target',100,1,1),
(36604,75558,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(36605,10075558,'Applies Disease Blast when Activated.',100,0,0),
(36606,10075558,'Inflicts 723 - 1205 disease damage on target',100,1,1),
(36607,10075558,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(36608,48912,'Applies Translucent Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(36609,48912,'Only affects targets level 50 and above',100,1,1),
(36610,10048912,'Applies Translucent Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(36611,10048912,'Only affects targets level 50 and above',100,1,1),
(36612,123404,'When damaged with a melee weapon this spell has a 7.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(36613,123404,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(36614,10123404,'When damaged with a melee weapon this spell has a 7.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(36615,10123404,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(36616,101820,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(36617,101820,'Decreases Threat to target by 5,148 ',100,2,1),
(36618,10101820,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(36619,10101820,'Inflicts 333 - 368 crushing damage on target',100,2,1),
(36620,52796,'Applies Sanguine Imbued when Equipped.',100,0,0),
(36621,52796,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(36622,52796,'Inflicts 111 heat damage on target',100,2,2),
(36623,52796,'Cannot be modified except by direct means',100,2,3),
(36624,10052796,'Applies Sanguine Imbued when Equipped.',100,0,0),
(36625,10052796,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(36626,10052796,'Inflicts 111 heat damage on target',100,2,2),
(36627,10052796,'Cannot be modified except by direct means',100,2,3),
(36628,85826,'When Equipped:',100,0,0),
(36629,85826,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36630,85826,'Inflicts 173 - 212 cold damage on target',100,2,2),
(36631,85826,'Cannot be modified except by direct means',100,2,3),
(36632,10085826,'When Equipped:',100,0,0),
(36633,10085826,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36634,10085826,'Inflicts 173 - 212 cold damage on target',100,2,2),
(36635,10085826,'Cannot be modified except by direct means',100,2,3),
(36636,89057,'When Equipped:',100,0,0),
(36637,89057,'On a combat hit this spell may cast Back Breaker on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36638,89057,'Inflicts 856 piercing damage on target',100,2,2),
(36639,89057,'Cannot be modified except by direct means',100,2,3),
(36640,10089057,'When Equipped:',100,0,0),
(36641,10089057,'On a combat hit this spell may cast Back Breaker on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36642,10089057,'Inflicts 856 piercing damage on target',100,2,2),
(36643,10089057,'Cannot be modified except by direct means',100,2,3),
(36644,163990,'When Equipped:',100,0,0),
(36645,163990,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(36646,163990,'Inflicts 2648 piercing damage on target',100,2,2),
(36647,163990,'Cannot be modified except by direct means',100,2,3),
(36648,10163990,'When Equipped:',100,0,0),
(36649,10163990,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(36650,10163990,'Inflicts 1324 piercing damage on target',100,2,2),
(36651,10163990,'Cannot be modified except by direct means',100,2,3),
(36652,109924,'Stuns target',100,1,0),
(36653,109924,'Does not affect Epic targets',100,1,1),
(36654,109924,'Resistibility increases against targets higher than level 45.',100,1,2),
(36655,10109924,'Stuns target',100,1,0),
(36656,10109924,'Does not affect Epic targets',100,1,1),
(36657,10109924,'Resistibility increases against targets higher than level 45.',100,1,2),
(36658,174821,'When Equipped:',100,0,0),
(36659,174821,'On a hostile spell cast this spell may cast Retribution of Zou Kunnen on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36660,174821,'Increases INT of caster by 75.0',100,2,2),
(36661,174821,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(36662,174821,'Increases Potency of caster by 5.0%',100,2,4),
(36663,174821,'Cannot be modified except by direct means',100,2,5),
(36664,10174821,'When Equipped:',100,0,0),
(36665,10174821,'On a hostile spell cast this spell may cast Retribution of Zou Kunnen on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36666,10174821,'Increases INT of caster by 75.0',100,2,2),
(36667,10174821,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(36668,10174821,'Increases Potency of caster by 5.0%',100,2,4),
(36669,10174821,'Cannot be modified except by direct means',100,2,5),
(36670,122113,'Interrupts target',100,1,0),
(36671,122113,'Increases Threat to target by 1,750 ',100,1,1),
(36672,122113,'Dispels 24 levels of arcane beneficial effects on target',100,1,2),
(36673,10122113,'Interrupts target',100,1,0),
(36674,10122113,'Forces target to change their selected target to caster.',100,1,1),
(36675,10122113,'Dispels 24 levels of arcane beneficial effects on target',100,1,2),
(36676,24383,'Adds Froglok-Undead (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(36677,10024383,'Adds Froglok-Undead (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(36678,88939,'When Equipped:',100,0,0),
(36679,88939,'On a combat hit this spell may cast Crushing Doom on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36680,88939,'Inflicts 436 - 727 crushing damage on target',100,2,2),
(36681,88939,'Cannot be modified except by direct means',100,2,3),
(36682,10088939,'When Equipped:',100,0,0),
(36683,10088939,'On a combat hit this spell may cast Crushing Doom on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(36684,10088939,'Inflicts 436 - 727 crushing damage on target',100,2,2),
(36685,10088939,'Cannot be modified except by direct means',100,2,3),
(36686,118168,'Inflicts 3412 - 5012 melee damage on target',100,1,0),
(36687,118168,'Dazes target',100,1,1),
(36688,118168,'If Target is not Epic',100,2,2),
(36689,118168,'Resistibility increases against targets higher than level 107.',100,1,3),
(36690,10118168,'Inflicts 2309 - 3570 melee damage on target',100,1,0),
(36691,10118168,'Dazes target',100,1,1),
(36692,10118168,'If Target is not Epic',100,2,2),
(36693,10118168,'Resistibility increases against targets higher than level 107.',100,1,3),
(36694,108316,'Inflicts 953 - 1580 divine damage on target',100,1,0),
(36695,108316,'Heals caster for 1.6% of max health',100,1,1),
(36696,108316,'This effect cannot be critically applied.',100,2,2),
(36697,108316,'The healing of this spell cannot be modified except by direct means',100,1,3),
(36698,10108316,'Inflicts 761 - 1207 divine damage on target',100,1,0),
(36699,10108316,'Heals caster for 0.8% of max health',100,1,1),
(36700,10108316,'This effect cannot be critically applied.',100,2,2),
(36701,10108316,'The healing of this spell cannot be modified except by direct means',100,1,3),
(36702,134873,'When Equipped:',100,0,0),
(36703,134873,'This effect will not stack with any rank or tier of itself.',100,1,1),
(36704,134873,'Increases Spell Weapon Damage Per Second of caster by 5.5',100,1,2),
(36705,134873,'Cannot be modified except by direct means',100,1,3),
(36706,10134873,'When Equipped:',100,0,0),
(36707,10134873,'This effect will not stack with any rank or tier of itself.',100,1,1),
(36708,10134873,'Increases Spell Weapon Damage Per Second of caster by 5.5',100,1,2),
(36709,10134873,'Cannot be modified except by direct means',100,1,3),
(36710,135212,'When Equipped:',100,0,0),
(36711,135212,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(36712,135212,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(36713,135212,'Dispelled when target casts a hostile spell',100,2,3),
(36714,135212,'Dispelled when target casts a combat art',100,2,4),
(36715,135212,'Cannot be modified except by direct means',100,2,5),
(36716,10135212,'When Equipped:',100,0,0),
(36717,10135212,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(36718,10135212,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(36719,10135212,'Dispelled when target casts a hostile spell',100,2,3),
(36720,10135212,'Dispelled when target casts a combat art',100,2,4),
(36721,10135212,'Cannot be modified except by direct means',100,2,5),
(36722,25454,'When Equipped:',100,0,0),
(36723,25454,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(36724,25454,'Improves the base damage of Crystal Blast by 15%.',100,1,2),
(36725,10025454,'When Equipped:',100,0,0),
(36726,10025454,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(36727,10025454,'Improves the base damage of Crystal Blast by 15%.',100,1,2),
(36728,112720,'Inflicts 1430 - 2370 disease damage on target encounter',100,1,0),
(36729,10112720,'Inflicts 1098 - 1742 disease damage on target encounter',100,1,0),
(36730,45963,'Applies Disk of Chaotic Energy when Activated.',100,0,0),
(36731,45963,'Reduces maximum falling speed of caster',100,1,1),
(36732,45963,'Increases Max Power of caster by 200.0',100,1,2),
(36733,45963,'Summons a mount to ride',100,1,3),
(36734,45963,'Increases your ground speed by 130%',100,2,4),
(36735,45963,'Increases Max Health of caster by 200.0',100,1,5),
(36736,10045963,'Applies Disk of Chaotic Energy when Activated.',100,0,0),
(36737,10045963,'Reduces maximum falling speed of caster',100,1,1),
(36738,10045963,'Increases Max Power of caster by 200.0',100,1,2),
(36739,10045963,'Summons a mount to ride',100,1,3),
(36740,10045963,'Increases your ground speed by 130%',100,2,4),
(36741,10045963,'Increases Max Health of caster by 200.0',100,1,5),
(36742,41536,'When Equipped:',100,0,0),
(36743,41536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36744,41536,'Inflicts 215 - 399 magic damage on target',100,2,2),
(36745,41536,'Decreases Threat to target by 376 ',100,2,3),
(36746,41536,'Must be flanking or behind',100,3,4),
(36747,41536,'Increases Threat to target by 658 ',100,2,5),
(36748,41536,'Must be in front of',100,3,6),
(36749,41536,'Cannot be modified except by direct means',100,2,7),
(36750,10041536,'When Equipped:',100,0,0),
(36751,10041536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36752,10041536,'Inflicts 215 - 399 magic damage on target',100,2,2),
(36753,10041536,'Cannot be modified except by direct means',100,2,3),
(36754,100122,'Decreases STR, AGI, WIS and INT of target by 48.2',100,1,0),
(36755,100122,'Decreases Max Health of target by 1.0%',100,1,1),
(36756,10100122,'Decreases STR, AGI, WIS and INT of target by 48.2',100,1,0),
(36757,10100122,'Decreases Max Health of target by 1.0%',100,1,1),
(36758,101178,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(36759,101178,'Slows target by 57.6%',100,2,1),
(36760,101178,'5% chance to dispel when target receives hostile action',100,2,2),
(36761,101178,'5% chance to dispel when target takes damage',100,2,3),
(36762,101178,'Inflicts 1260 - 2026 cold damage on target',100,1,4),
(36763,101178,'Inflicts 629 - 1044 cold damage on target',100,1,5),
(36764,101178,'If weapon equipped in Ranged',100,1,6),
(36765,10101178,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(36766,10101178,'Slows target by 57.6%',100,2,1),
(36767,10101178,'5% chance to dispel when target receives hostile action',100,2,2),
(36768,10101178,'5% chance to dispel when target takes damage',100,2,3),
(36769,10101178,'Inflicts 766 - 1011 cold damage on target',100,1,4),
(36770,10101178,'Inflicts 371 - 617 cold damage on target',100,1,5),
(36771,10101178,'If weapon equipped in Ranged',100,1,6),
(36772,81191,'When Equipped:',100,0,0),
(36773,81191,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36774,81191,'Inflicts 449 - 834 magic damage on target',100,2,2),
(36775,81191,'Decreases Threat to target by 833 ',100,2,3),
(36776,81191,'Must be flanking or behind',100,3,4),
(36777,81191,'Increases Threat to target by 1,293 ',100,2,5),
(36778,81191,'Must be in front of',100,3,6),
(36779,81191,'Cannot be modified except by direct means',100,2,7),
(36780,10081191,'When Equipped:',100,0,0),
(36781,10081191,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36782,10081191,'Inflicts 449 - 834 magic damage on target',100,2,2),
(36783,10081191,'Cannot be modified except by direct means',100,2,3),
(36784,72241,'When Equipped:',100,0,0),
(36785,72241,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36786,72241,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(36787,72241,'Cannot be modified except by direct means',100,2,3),
(36788,10072241,'When Equipped:',100,0,0),
(36789,10072241,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(36790,10072241,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(36791,10072241,'Cannot be modified except by direct means',100,2,3),
(36792,113160,'Inflicts 1392 disease damage on target',100,1,0),
(36793,113160,'Heals caster for 463',100,1,1),
(36794,10113160,'Inflicts 929 disease damage on target',100,1,0),
(36795,10113160,'Heals caster for 306',100,1,1),
(36796,115580,'Interrupts target encounter',100,1,0),
(36797,115580,'Decreases Threat to target encounter by 953 - 1,164 ',100,1,1),
(36798,115580,'Dazes target encounter',100,1,2),
(36799,115580,'If Target is not Epic',100,2,3),
(36800,115580,'Resistibility increases against targets higher than level 67.',100,1,4),
(36801,10115580,'Interrupts target encounter',100,1,0),
(36802,10115580,'Dazes target encounter',100,1,1),
(36803,10115580,'If Target is not Epic',100,2,2),
(36804,10115580,'Resistibility increases against targets higher than level 67.',100,1,3),
(36805,120045,'Decreases power of target encounter by 271 instantly and every 4 seconds',100,1,0),
(36806,120045,'Inflicts 1141 - 1322 mental damage on target encounter',100,1,1),
(36807,120045,'Inflicts 813 - 994 mental damage on target encounter every 4 seconds',100,1,2),
(36808,10120045,'Decreases power of target encounter by 214 instantly and every 4 seconds',100,1,0),
(36809,10120045,'Inflicts 773 - 915 mental damage on target encounter',100,1,1),
(36810,10120045,'Inflicts 641 - 783 mental damage on target encounter every 4 seconds',100,1,2),
(36811,105270,'Increases Threat to target by 6,806 ',100,1,0),
(36812,105270,'Interrupts target',100,1,1),
(36813,105270,'Dispels 179 levels of arcane beneficial effects on target',100,1,2),
(36814,10105270,'Forces target to change their selected target to caster.',100,1,0),
(36815,10105270,'Interrupts target',100,1,1),
(36816,10105270,'Dispels 179 levels of arcane beneficial effects on target',100,1,2),
(36817,112126,'Dispels 55 levels of physical hostile effects on caster',100,129,0),
(36818,112126,'Dispels 55 levels of physical and arcane hostile effects on caster',100,1,1),
(36819,10112126,'Dispels 55 levels of physical hostile effects on caster',100,129,0),
(36820,10112126,'Dispels 55 levels of physical and arcane hostile effects on caster',100,1,1),
(36821,155880,'When Equipped:',100,0,0),
(36822,155880,'When damaged with a melee weapon this spell has a 10% chance to cast Free Movement on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(36823,155880,'Increases in-combat movement speed of caster by 40.0%',100,2,2),
(36824,155880,'Dispels 108 levels of hostile slow effects on caster',100,2,3),
(36825,155880,'Must be engaged in pvp combat',100,2,4),
(36826,155880,'Cannot be modified except by direct means',100,2,5),
(36827,155880,'Cannot be modified except by direct means',100,1,6),
(36828,10155880,'When Equipped:',100,0,0),
(36829,10155880,'When damaged with a melee weapon this spell has a 10% chance to cast Free Movement on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(36830,10155880,'Increases in-combat movement speed of caster by 40.0%',100,2,2),
(36831,10155880,'Dispels 108 levels of hostile slow effects on caster',100,2,3),
(36832,10155880,'Must be engaged in pvp combat',100,2,4),
(36833,10155880,'Cannot be modified except by direct means',100,2,5),
(36834,10155880,'Cannot be modified except by direct means',100,1,6),
(36835,49072,'Applies Totem of the Cat when Activated.  Lasts for 15 minutes.',100,0,0),
(36836,49072,'Shapechanges caster into a cat',100,1,1),
(36837,49072,'Grants See Stealth to caster',100,1,2),
(36838,49072,'Grants See Invisibility to caster',100,1,3),
(36839,10049072,'Applies Totem of the Cat when Activated.  Lasts for 15 minutes.',100,0,0),
(36840,10049072,'Shapechanges caster into a cat',100,1,1),
(36841,10049072,'Grants See Stealth to caster',100,1,2),
(36842,10049072,'Grants See Invisibility to caster',100,1,3),
(36843,111930,'Inflicts 255 - 425 piercing damage on target instantly and every 4 seconds',100,1,0),
(36844,111930,'Inflicts 1856 - 2541 piercing damage on target',100,1,1),
(36845,10111930,'Inflicts 335 - 559 piercing damage on target instantly and every 4 seconds',100,1,0),
(36846,10111930,'Inflicts 1405 - 2070 piercing damage on target',100,1,1),
(36847,160541,'When Equipped:',100,0,0),
(36848,160541,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(36849,160541,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(36850,160541,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(36851,160541,'This effect cannot occur more than once a second',100,2,4),
(36852,160541,'Must be engaged in pvp combat',100,2,5),
(36853,160541,'Cannot be modified except by direct means',100,2,6),
(36854,160541,'Cannot be modified except by direct means',100,1,7),
(36855,160541,'When Equipped:',100,0,8),
(36856,160541,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(36857,160541,'Must be engaged in pvp combat',100,1,10),
(36858,160541,'When Equipped:',100,0,11),
(36859,160541,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(36860,160541,'Must be engaged in pvp combat',100,1,13),
(36861,10160541,'When Equipped:',100,0,0),
(36862,10160541,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(36863,10160541,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(36864,10160541,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(36865,10160541,'This effect cannot occur more than once a second',100,2,4),
(36866,10160541,'Must be engaged in pvp combat',100,2,5),
(36867,10160541,'Cannot be modified except by direct means',100,2,6),
(36868,10160541,'Cannot be modified except by direct means',100,1,7),
(36869,10160541,'When Equipped:',100,0,8),
(36870,10160541,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(36871,10160541,'Must be engaged in pvp combat',100,1,10),
(36872,10160541,'When Equipped:',100,0,11),
(36873,10160541,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(36874,10160541,'Must be engaged in pvp combat',100,1,13),
(36875,24111,'Adds Chokidai (Dirge) to your Dungeon Maker toolbox',100,0,0),
(36876,10024111,'Adds Chokidai (Dirge) to your Dungeon Maker toolbox',100,0,0),
(36877,25974,'When Equipped:',100,0,0),
(36878,25974,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(36879,10025974,'When Equipped:',100,0,0),
(36880,10025974,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(36881,41582,'When Equipped:',100,0,0),
(36882,41582,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36883,41582,'Inflicts 333 - 619 magic damage on target',100,2,2),
(36884,41582,'Decreases Threat to target by 801 ',100,2,3),
(36885,41582,'Must be flanking or behind',100,3,4),
(36886,41582,'Increases Threat to target by 1,261 ',100,2,5),
(36887,41582,'Must be in front of',100,3,6),
(36888,41582,'Cannot be modified except by direct means',100,2,7),
(36889,10041582,'When Equipped:',100,0,0),
(36890,10041582,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(36891,10041582,'Inflicts 333 - 619 magic damage on target',100,2,2),
(36892,10041582,'Cannot be modified except by direct means',100,2,3),
(36893,170671,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(36894,170671,'Decreases Attack Speed of target by 18.0',100,1,1),
(36895,170671,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(36896,10170671,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(36897,10170671,'Decreases Attack Speed of target by 18.0',100,1,1),
(36898,10170671,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(36899,103376,'Decreases power of target by 101 instantly and every 6 seconds',100,1,0),
(36900,103376,'Inflicts 1387 - 1476 mental damage on target',100,1,1),
(36901,103376,'Inflicts 404 - 494 mental damage on target every 6 seconds',100,1,2),
(36902,103376,'Increases power of caster by 90',100,1,3),
(36903,10103376,'Decreases power of target by 80 instantly and every 6 seconds',100,1,0),
(36904,10103376,'Inflicts 713 - 784 mental damage on target',100,1,1),
(36905,10103376,'Inflicts 319 - 389 mental damage on target every 6 seconds',100,1,2),
(36906,10103376,'Increases power of caster by 90',100,1,3),
(36907,123347,'Summons a pet hammer',100,1,0),
(36908,10123347,'Summons a pet hammer',100,1,0),
(36909,114487,'Increases In-Combat Power Regeneration of group members (AE) by 7.7',100,1,0),
(36910,10114487,'Increases In-Combat Power Regeneration of group members (AE) by 7.7',100,1,0),
(36911,117525,'Increases AGI, INT and WIS of group members (AE) by 35.3',100,1,0),
(36912,117525,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 137',100,1,1),
(36913,10117525,'Increases AGI, INT and WIS of group members (AE) by 35.3',100,1,0),
(36914,10117525,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 137',100,1,1),
(36915,40848,'When Equipped:',100,0,0),
(36916,40848,'On a critical spell hit this spell may cast Demolishing Charge VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(36917,40848,'Inflicts 387 - 428 crushing damage on target',100,2,2),
(36918,40848,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(36919,40848,'Stuns target',100,3,4),
(36920,40848,'Throws target back',100,3,5),
(36921,40848,'Blurs vision of target',100,3,6),
(36922,40848,'Does not affect Epic targets',100,3,7),
(36923,40848,'Increases Threat to target by 1,039 - 1,116 ',100,2,8),
(36924,40848,'Must not be engaged in pvp combat',100,2,9),
(36925,40848,'Cannot be modified except by direct means',100,2,10),
(36926,40848,'On a critical combat hit this spell may cast Demolishing Charge VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(36927,40848,'Inflicts 387 - 428 crushing damage on target',100,2,12),
(36928,40848,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,13),
(36929,40848,'Stuns target',100,3,14),
(36930,40848,'Throws target back',100,3,15),
(36931,40848,'Blurs vision of target',100,3,16),
(36932,40848,'Does not affect Epic targets',100,3,17),
(36933,40848,'Increases Threat to target by 1,039 - 1,116 ',100,2,18),
(36934,40848,'Must not be engaged in pvp combat',100,2,19),
(36935,40848,'Cannot be modified except by direct means',100,2,20),
(36936,40848,'Must not be engaged in pvp combat',100,1,21),
(36937,10040848,'When Equipped:',100,0,0),
(36938,10040848,'On a critical spell hit this spell may cast Demolishing Charge VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(36939,10040848,'Inflicts 387 - 428 crushing damage on target',100,2,2),
(36940,10040848,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(36941,10040848,'Stuns target',100,3,4),
(36942,10040848,'Throws target back',100,3,5),
(36943,10040848,'Blurs vision of target',100,3,6),
(36944,10040848,'Does not affect Epic targets',100,3,7),
(36945,10040848,'Must not be engaged in pvp combat',100,2,8),
(36946,10040848,'Cannot be modified except by direct means',100,2,9),
(36947,10040848,'On a critical combat hit this spell may cast Demolishing Charge VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(36948,10040848,'Inflicts 387 - 428 crushing damage on target',100,2,11),
(36949,10040848,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,12),
(36950,10040848,'Stuns target',100,3,13),
(36951,10040848,'Throws target back',100,3,14),
(36952,10040848,'Blurs vision of target',100,3,15),
(36953,10040848,'Does not affect Epic targets',100,3,16),
(36954,10040848,'Must not be engaged in pvp combat',100,2,17),
(36955,10040848,'Cannot be modified except by direct means',100,2,18),
(36956,10040848,'Must not be engaged in pvp combat',100,1,19),
(36957,113777,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(36958,113777,'Heals target for 581 - 710',100,2,1),
(36959,10113777,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(36960,10113777,'Heals target for 309 - 378',100,2,1),
(36961,123540,'Inflicts 1612 - 1927 piercing damage on target',100,1,0),
(36962,123540,'Inflicts 630 - 945 piercing damage on target every 4 seconds',100,1,1),
(36963,123540,'Decreases Defense of target by 30.0',100,1,2),
(36964,10123540,'Inflicts 1090 - 1437 piercing damage on target',100,1,0),
(36965,10123540,'Inflicts 497 - 745 piercing damage on target every 4 seconds',100,1,1),
(36966,10123540,'Decreases Defense of target by 30.0',100,1,2),
(36967,24502,'Adds Lair of Scale: Wayward Energy to your Dungeon Maker toolbox',100,0,0),
(36968,10024502,'Adds Lair of Scale: Wayward Energy to your Dungeon Maker toolbox',100,0,0),
(36969,124530,'Dispels 35 levels of physical hostile effects on caster',100,129,0),
(36970,124530,'Dispels 35 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(36971,10124530,'Dispels 35 levels of physical hostile effects on caster',100,129,0),
(36972,10124530,'Dispels 35 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(36973,159627,'When Equipped:',100,0,0),
(36974,159627,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(36975,159627,'Increases STA of caster by 23.1',100,2,2),
(36976,159627,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(36977,159627,'Cannot be modified except by direct means',100,2,4),
(36978,10159627,'When Equipped:',100,0,0),
(36979,10159627,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(36980,10159627,'Increases STA of caster by 23.1',100,2,2),
(36981,10159627,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(36982,10159627,'Cannot be modified except by direct means',100,2,4),
(36983,108520,'Increases AGI and WIS of group members (AE) by 43.0',100,1,0),
(36984,108520,'Adds 1.8% to base avoidance.',100,1,1),
(36985,108520,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 121',100,1,2),
(36986,10108520,'Increases AGI and WIS of group members (AE) by 43.0',100,1,0),
(36987,10108520,'Adds 1.8% to base avoidance.',100,1,1),
(36988,10108520,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 121',100,1,2),
(36989,45267,'Applies Petamorph: Osseous Corruptor when Activated.  Lasts for 2 hours.',100,0,0),
(36990,45267,'Reanimates the caster''s combat pet into an Awakened Osseous Corruptor. Does not work on cosmetic pets.',100,1,1),
(36991,10045267,'Applies Petamorph: Osseous Corruptor when Activated.  Lasts for 2 hours.',100,0,0),
(36992,10045267,'Reanimates the caster''s combat pet into an Awakened Osseous Corruptor. Does not work on cosmetic pets.',100,1,1),
(36993,179427,'When Equipped:',100,0,0),
(36994,179427,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(36995,179427,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(36996,179427,'Must be engaged in combat',100,3,3),
(36997,179427,'Cannot be modified except by direct means',100,2,4),
(36998,10179427,'When Equipped:',100,0,0),
(36999,10179427,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(37000,10179427,'Cannot be modified except by direct means',100,2,2),
(37001,47624,'Applies Power Root when Activated.',100,0,0),
(37002,47624,'Increases power of caster by 22.0%',100,1,1),
(37003,10047624,'Applies Power Root when Activated.',100,0,0),
(37004,10047624,'Increases power of caster by 22.0%',100,1,1),
(37005,49075,'Applies Vision Totem of the Snake when Activated.  Lasts for 15 minutes.',100,0,0),
(37006,49075,'Grants Infravision to caster',100,1,1),
(37007,10049075,'Applies Vision Totem of the Snake when Activated.  Lasts for 15 minutes.',100,0,0),
(37008,10049075,'Grants Infravision to caster',100,1,1),
(37009,102034,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(37010,102034,'Wards target against 1909 points of all damage',100,2,1),
(37011,10102034,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(37012,10102034,'Wards target against 1504 points of all damage',100,2,1),
(37013,105866,'Inflicts 53 - 88 ranged damage on target',100,1,0),
(37014,105866,'Inflicts 26 - 44 ranged damage on target',100,1,1),
(37015,105866,'If weapon equipped in Ranged',100,1,2),
(37016,10105866,'Inflicts 42 - 70 ranged damage on target',100,1,0),
(37017,10105866,'Inflicts 15 - 26 ranged damage on target',100,1,1),
(37018,10105866,'If weapon equipped in Ranged',100,1,2),
(37019,102080,'Inflicts 120 - 200 crushing damage on target',100,1,0),
(37020,102080,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(37021,102080,'Stuns target',100,2,2),
(37022,102080,'Throws target back',100,2,3),
(37023,102080,'Blurs vision of target',100,2,4),
(37024,102080,'Does not affect Epic targets',100,2,5),
(37025,10102080,'Inflicts 95 - 157 crushing damage on target',100,1,0),
(37026,10102080,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(37027,10102080,'Stuns target',100,2,2),
(37028,10102080,'Blurs vision of target',100,2,3),
(37029,10102080,'Throws target back',100,2,4),
(37030,10102080,'Does not affect Epic targets',100,2,5),
(37031,53379,'When Equipped:',100,0,0),
(37032,53379,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37033,53379,'Inflicts 1031 poison damage on target',100,2,2),
(37034,53379,'Cannot be modified except by direct means',100,2,3),
(37035,10053379,'When Equipped:',100,0,0),
(37036,10053379,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37037,10053379,'Inflicts 516 poison damage on target',100,2,2),
(37038,10053379,'Cannot be modified except by direct means',100,2,3),
(37039,123008,'Wards group members (AE) collectively against 5015 total points of all damage',100,1,0),
(37040,10123008,'Wards group members (AE) collectively against 5391 total points of all damage',100,1,0),
(37041,115789,'Stifles target',100,1,0),
(37042,115789,'If Target is not Epic',100,2,1),
(37043,115789,'Decreases power of target by 89 - 109 instantly and every 1.3 seconds',100,1,2),
(37044,115789,'Resistibility increases against targets higher than level 45.',100,1,3),
(37045,10115789,'Stifles target',100,1,0),
(37046,10115789,'If Target is not Epic',100,2,1),
(37047,10115789,'Decreases power of target by 70 - 86 instantly and every 1.3 seconds',100,1,2),
(37048,10115789,'Resistibility increases against targets higher than level 45.',100,1,3),
(37049,110883,'Inflicts 2079 - 2506 heat damage on target encounter',100,1,0),
(37050,10110883,'Inflicts 1536 - 1848 heat damage on target encounter',100,1,0),
(37051,26951,'When Equipped:',100,0,0),
(37052,26951,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(37053,26951,'Inflicts 478 divine damage on target',100,2,2),
(37054,26951,'Heals caster for 42',100,2,3),
(37055,26951,'Cannot be modified except by direct means',100,2,4),
(37056,10026951,'When Equipped:',100,0,0),
(37057,10026951,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(37058,10026951,'Inflicts 478 divine damage on target',100,2,2),
(37059,10026951,'Heals caster for 27',100,2,3),
(37060,10026951,'Cannot be modified except by direct means',100,2,4),
(37061,45847,'Applies Consume Essence when Activated.',100,0,0),
(37062,45847,'Heals group members (AE) for 344 - 420',100,1,1),
(37063,45847,'Dispels 93 levels of any hostile effects on caster',100,1,2),
(37064,10045847,'Applies Consume Essence when Activated.',100,0,0),
(37065,10045847,'Heals group members (AE) for 224 - 273',100,1,1),
(37066,10045847,'Dispels 93 levels of any hostile effects on caster',100,1,2),
(37067,82133,'When Equipped:',100,0,0),
(37068,82133,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37069,82133,'Inflicts 272 - 505 magic damage on target',100,2,2),
(37070,82133,'Cannot be modified except by direct means',100,2,3),
(37071,10082133,'When Equipped:',100,0,0),
(37072,10082133,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37073,10082133,'Inflicts 272 - 505 magic damage on target',100,2,2),
(37074,10082133,'Cannot be modified except by direct means',100,2,3),
(37075,50770,'When Equipped:',100,0,0),
(37076,50770,'When any damage is received this spell has a 7% chance to cast Confounding on target''s attacker.  ',100,1,1),
(37077,50770,'Decreases Threat to target by 400 ',100,2,2),
(37078,50770,'Cannot be modified except by direct means',100,2,3),
(37079,10050770,'When Equipped:',100,0,0),
(37080,10050770,'When any damage is received this spell has a 7% chance to cast Confounding on target''s attacker.  ',100,1,1),
(37081,10050770,'Cannot be modified except by direct means',100,2,2),
(37082,116183,'Inflicts 1215 - 2025 mental damage on target',100,1,0),
(37083,10116183,'Inflicts 1033 - 1459 mental damage on target',100,1,0),
(37084,106555,'Inflicts 3493 - 4046 melee damage on target',100,1,0),
(37085,106555,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(37086,106555,'Increases Hate Gain of target by 30.0%',100,2,2),
(37087,106555,'Grants a total of 1 trigger of the spell.',100,2,3),
(37088,10106555,'Inflicts 2373 - 2809 melee damage on target',100,1,0),
(37089,10106555,'25% chance to apply Distract on termination.',100,1,1),
(37090,10106555,'Forces target to clear their selected target.',100,2,2),
(37091,107712,'Inflicts 2962 - 4265 heat damage on target',100,1,0),
(37092,107712,'You must be sneaking to use this ability.',100,1,1),
(37093,10107712,'Inflicts 1955 - 2982 heat damage on target',100,1,0),
(37094,10107712,'You must be sneaking to use this ability.',100,1,1),
(37095,110055,'Summons a pet grim sorcerer',100,1,0),
(37096,10110055,'Summons a pet grim sorcerer',100,1,0),
(37097,48690,'Applies Crovsar''s Invigoration  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(37098,48690,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(37099,48690,'Inflicts 2 magic damage on target',100,2,2),
(37100,48690,'Cannot be modified except by direct means',100,2,3),
(37101,10048690,'Applies Crovsar''s Invigoration  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(37102,10048690,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(37103,10048690,'Inflicts 2 magic damage on target',100,2,2),
(37104,10048690,'Cannot be modified except by direct means',100,2,3),
(37105,137483,'When Equipped:',100,0,0),
(37106,137483,'This effect will not stack with itself.',100,1,1),
(37107,137483,'On any combat or spell hit this spell may cast Greater Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(37108,137483,'When damaged this spell will cast Greater Serrated Subterfuge on target''s attacker.  ',100,2,3),
(37109,137483,'Inflicts 6146 piercing damage on target',100,3,4),
(37110,137483,'Must not be engaged in pvp combat',100,3,5),
(37111,137483,'Cannot be modified except by direct means',100,3,6),
(37112,137483,'Grants a total of 5 triggers of the spell.',100,3,7),
(37113,137483,'Must not be engaged in pvp combat',100,2,8),
(37114,137483,'Cannot be modified except by direct means',100,2,9),
(37115,137483,'Must not be engaged in pvp combat',100,1,10),
(37116,10137483,'When Equipped:',100,0,0),
(37117,10137483,'This effect will not stack with itself.',100,1,1),
(37118,10137483,'On any combat or spell hit this spell may cast Greater Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(37119,10137483,'When damaged this spell will cast Greater Serrated Subterfuge on target''s attacker.  ',100,2,3),
(37120,10137483,'Inflicts 6146 piercing damage on target',100,3,4),
(37121,10137483,'Must not be engaged in pvp combat',100,3,5),
(37122,10137483,'Cannot be modified except by direct means',100,3,6),
(37123,10137483,'Grants a total of 5 triggers of the spell.',100,3,7),
(37124,10137483,'Must not be engaged in pvp combat',100,2,8),
(37125,10137483,'Cannot be modified except by direct means',100,2,9),
(37126,10137483,'Must not be engaged in pvp combat',100,1,10),
(37127,121765,'Heals target for 151 - 185',100,1,0),
(37128,121765,'Heals target for 13 - 15 every second',100,1,1),
(37129,10121765,'Heals target for 152 - 186',100,1,0),
(37130,10121765,'Heals target for 9 - 11 every second',100,1,1),
(37131,115204,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(37132,115204,'Decreases Mitigation of target vs noxious damage by 251',100,2,1),
(37133,115204,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(37134,115204,'Decreases Mitigation of target vs noxious damage by 251',100,2,3),
(37135,10115204,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(37136,10115204,'Decreases Mitigation of target vs noxious damage by 251',100,2,1),
(37137,10115204,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(37138,10115204,'Decreases Mitigation of target vs noxious damage by 251',100,2,3),
(37139,119781,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(37140,119781,'Inflicts 488 - 596 poison damage on target encounter',100,2,1),
(37141,10119781,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(37142,10119781,'Inflicts 385 - 470 poison damage on target encounter',100,2,1),
(37143,80792,'When Equipped:',100,0,0),
(37144,80792,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37145,80792,'Inflicts 343 - 636 magic damage on target',100,2,2),
(37146,80792,'Cannot be modified except by direct means',100,2,3),
(37147,10080792,'When Equipped:',100,0,0),
(37148,10080792,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37149,10080792,'Inflicts 343 - 636 magic damage on target',100,2,2),
(37150,10080792,'Cannot be modified except by direct means',100,2,3),
(37151,188247,'When Equipped:',100,0,0),
(37152,188247,'Gives caster a 1.6% chance to strikethrough a successful avoidance check',100,1,1),
(37153,188247,'Increases Riposte Damage of caster by 15.0',100,1,2),
(37154,188247,'Increases Additional chance to Riposte of caster by 15.0',100,1,3),
(37155,188247,'Must not be engaged in pvp combat',100,1,4),
(37156,10188247,'When Equipped:',100,0,0),
(37157,10188247,'Gives caster a 1.6% chance to strikethrough a successful avoidance check',100,1,1),
(37158,10188247,'Increases Riposte Damage of caster by 15.0',100,1,2),
(37159,10188247,'Increases Additional chance to Riposte of caster by 15.0',100,1,3),
(37160,10188247,'Must not be engaged in pvp combat',100,1,4),
(37161,35765,'Increases STR and STA of target by 13.2',100,0,0),
(37162,35765,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(37163,113146,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,0),
(37164,113146,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(37165,113146,'Inflicts 1081 disease damage on target',100,2,2),
(37166,113146,'Heals caster for 359',100,2,3),
(37167,113146,'Shapechanges caster into an archlich',100,1,4),
(37168,10113146,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,0),
(37169,10113146,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(37170,10113146,'Inflicts 852 disease damage on target',100,2,2),
(37171,10113146,'Heals caster for 184',100,2,3),
(37172,10113146,'Shapechanges caster into an archlich',100,1,4),
(37173,113210,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(37174,113210,'Inflicts 402 magic damage on target',100,2,1),
(37175,113210,'Grants a total of 5 triggers of the spell.',100,2,2),
(37176,10113210,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(37177,10113210,'Inflicts 321 magic damage on target',100,2,1),
(37178,10113210,'Grants a total of 5 triggers of the spell.',100,2,2),
(37179,72549,'When Equipped:',100,0,0),
(37180,72549,'On a combat hit this spell may cast Aggravate II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(37181,72549,'Increases Threat to target by 1,160 ',100,2,2),
(37182,72549,'Cannot be modified except by direct means',100,2,3),
(37183,10072549,'When Equipped:',100,0,0),
(37184,10072549,'On a combat hit this spell may cast Aggravate II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(37185,10072549,'Cannot be modified except by direct means',100,2,2),
(37186,113000,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37187,113000,'Reduces physical damage done to caster by 5%',100,1,1),
(37188,113000,'Increases STA of caster by 137.3',100,1,2),
(37189,113000,'Adds 3.7% to base avoidance.',100,1,3),
(37190,113000,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,4),
(37191,113000,'Increases Defense and Aggression of caster by 26.2',100,1,5),
(37192,113000,'Increases Mitigation of caster vs arcane damage by 1814',100,1,6),
(37193,113000,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(37194,10113000,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37195,10113000,'Reduces physical damage done to caster by 5%',100,1,1),
(37196,10113000,'Increases STA of caster by 137.3',100,1,2),
(37197,10113000,'Adds 3.7% to base avoidance.',100,1,3),
(37198,10113000,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,4),
(37199,10113000,'Increases Defense and Aggression of caster by 26.2',100,1,5),
(37200,10113000,'Increases Mitigation of caster vs arcane damage by 1814',100,1,6),
(37201,10113000,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(37202,157882,'When Equipped:',100,0,0),
(37203,157882,'Reduces reuse time of hostile spells by 5 percent.',100,1,1),
(37204,157882,'Applies Rapid Casting when Activated.  Lasts for 20.0 seconds.',100,0,2),
(37205,157882,'Increases Ability Casting Speed of caster by 50.0%',100,1,3),
(37206,157882,'Dispelled when target casts a spell',100,1,4),
(37207,157882,'Must be engaged in pvp combat',100,1,5),
(37208,157882,'The reuse time of Rapid Casting is 2 minutes 5 seconds',100,1,6),
(37209,10157882,'When Equipped:',100,0,0),
(37210,10157882,'Reduces reuse time of hostile spells by 5 percent.',100,1,1),
(37211,10157882,'Applies Rapid Casting when Activated.  Lasts for 20.0 seconds.',100,0,2),
(37212,10157882,'Increases Ability Casting Speed of caster by 50.0%',100,1,3),
(37213,10157882,'Dispelled when target casts a spell',100,1,4),
(37214,10157882,'Must be engaged in pvp combat',100,1,5),
(37215,10157882,'The reuse time of Rapid Casting is 2 minutes 5 seconds',100,1,6),
(37216,54428,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(37217,54428,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(37218,54428,'Inflicts 26 heat damage on target',100,2,2),
(37219,54428,'Cannot be modified except by direct means',100,2,3),
(37220,10054428,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(37221,10054428,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(37222,10054428,'Inflicts 26 heat damage on target',100,2,2),
(37223,10054428,'Cannot be modified except by direct means',100,2,3),
(37224,89932,'When Equipped:',100,0,0),
(37225,89932,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(37226,89932,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(37227,89932,'Cannot be modified except by direct means',100,2,3),
(37228,10089932,'When Equipped:',100,0,0),
(37229,10089932,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(37230,10089932,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(37231,10089932,'Cannot be modified except by direct means',100,2,3),
(37232,102573,'Increases AGI of caster by 81.3',100,1,0),
(37233,102573,'Increases Max Health of caster by 291.4',100,1,1),
(37234,102573,'Adds 15.6% to base avoidance.',100,1,2),
(37235,102573,'Increases Mitigation of caster vs physical damage by 483',100,1,3),
(37236,102573,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,4),
(37237,10102573,'Increases AGI of caster by 81.3',100,1,0),
(37238,10102573,'Increases Max Health of caster by 291.4',100,1,1),
(37239,10102573,'Adds 15.6% to base avoidance.',100,1,2),
(37240,10102573,'Increases Mitigation of caster vs physical damage by 483',100,1,3),
(37241,10102573,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,4),
(37242,147150,'Applies Atheneal Frost when Activated.  Lasts for 30.0 seconds.',100,0,0),
(37243,147150,'All offensive spells deal cold damage.',100,1,1),
(37244,147150,'Must be in Ward of Elements.',100,1,2),
(37245,147150,'The casting time of Atheneal Frost is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,3),
(37246,10147150,'Applies Atheneal Frost when Activated.  Lasts for 30.0 seconds.',100,0,0),
(37247,10147150,'All offensive spells deal cold damage.',100,1,1),
(37248,10147150,'Must be in Ward of Elements.',100,1,2),
(37249,10147150,'The casting time of Atheneal Frost is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,3),
(37250,117593,'Inflicts 3722 - 5525 melee damage on target',100,1,0),
(37251,117593,'Decreases Parry of target by 55.9',100,1,1),
(37252,117593,'Must be in front of or flanking',100,1,2),
(37253,10117593,'Inflicts 2553 - 3975 melee damage on target',100,1,0),
(37254,10117593,'Decreases Parry of target by 55.9',100,1,1),
(37255,10117593,'Must be in front of or flanking',100,1,2),
(37256,102757,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(37257,102757,'Stuns target',100,2,1),
(37258,102757,'If Target is not Epic',100,3,2),
(37259,102757,'Inflicts 1662 - 2769 divine damage on target',100,2,3),
(37260,102757,'Inflicts 1424 - 2374 divine damage on target',100,2,4),
(37261,102757,'If target is undead',100,3,5),
(37262,10102757,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(37263,10102757,'Stuns target',100,2,1),
(37264,10102757,'Inflicts 1965 - 3274 divine damage on target',100,2,2),
(37265,10102757,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(37266,185962,'When Equipped:',100,0,0),
(37267,185962,'On a healing spell cast this spell may cast Foresight of the Ankexfen on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37268,185962,'Increases the amount of your next healing spell by 25%',100,2,2),
(37269,185962,'Dispelled when target casts a heal spell',100,2,3),
(37270,185962,'Cannot be modified except by direct means',100,2,4),
(37271,10185962,'When Equipped:',100,0,0),
(37272,10185962,'On a healing spell cast this spell may cast Foresight of the Ankexfen on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37273,10185962,'Increases the amount of your next healing spell by 25%',100,2,2),
(37274,10185962,'Dispelled when target casts a heal spell',100,2,3),
(37275,10185962,'Cannot be modified except by direct means',100,2,4),
(37276,109728,'Inflicts 1571 - 2608 cold damage on target',100,1,0),
(37277,109728,'If weapon equipped in Ranged',100,1,1),
(37278,10109728,'Inflicts 928 - 1422 cold damage on target',100,1,0),
(37279,10109728,'If weapon equipped in Ranged',100,1,1),
(37280,120969,'Inflicts 7312 - 11485 ranged damage on target',100,1,0),
(37281,120969,'If weapon equipped in Ranged',100,1,1),
(37282,120969,'Must be behind',100,1,2),
(37283,10120969,'Inflicts 4136 - 6603 ranged damage on target',100,1,0),
(37284,10120969,'If weapon equipped in Ranged',100,1,1),
(37285,10120969,'Must be behind',100,1,2),
(37286,166505,'When Equipped:',100,0,0),
(37287,166505,'On a critical combat hit this spell may cast Final Stab IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37288,166505,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(37289,166505,'Must not be engaged in pvp combat',100,2,3),
(37290,166505,'Cannot be modified except by direct means',100,2,4),
(37291,166505,'On a critical spell hit this spell may cast Final Stab IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(37292,166505,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(37293,166505,'Must not be engaged in pvp combat',100,2,7),
(37294,166505,'Cannot be modified except by direct means',100,2,8),
(37295,166505,'Must not be engaged in pvp combat',100,1,9),
(37296,10166505,'When Equipped:',100,0,0),
(37297,10166505,'On a critical combat hit this spell may cast Final Stab IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37298,10166505,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(37299,10166505,'Must not be engaged in pvp combat',100,2,3),
(37300,10166505,'Cannot be modified except by direct means',100,2,4),
(37301,10166505,'On a critical spell hit this spell may cast Final Stab IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(37302,10166505,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(37303,10166505,'Must not be engaged in pvp combat',100,2,7),
(37304,10166505,'Cannot be modified except by direct means',100,2,8),
(37305,10166505,'Must not be engaged in pvp combat',100,1,9),
(37306,146494,'When Equipped:',100,0,0),
(37307,146494,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(37308,146494,'Inflicts 5296 poison damage on target',100,2,2),
(37309,146494,'If under 15% Health',100,2,3),
(37310,146494,'Cannot be modified except by direct means',100,2,4),
(37311,146494,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(37312,146494,'Inflicts 5296 poison damage on target',100,2,6),
(37313,146494,'If under 15% Health',100,2,7),
(37314,146494,'Cannot be modified except by direct means',100,2,8),
(37315,146494,'Cannot be modified except by direct means',100,1,9),
(37316,10146494,'When Equipped:',100,0,0),
(37317,10146494,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(37318,10146494,'Inflicts 5296 poison damage on target',100,2,2),
(37319,10146494,'If under 15% Health',100,2,3),
(37320,10146494,'Cannot be modified except by direct means',100,2,4),
(37321,10146494,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(37322,10146494,'Inflicts 5296 poison damage on target',100,2,6),
(37323,10146494,'If under 15% Health',100,2,7),
(37324,10146494,'Cannot be modified except by direct means',100,2,8),
(37325,10146494,'Cannot be modified except by direct means',100,1,9),
(37326,45481,'Applies Call Cavalry Morgan when Activated.',100,0,0),
(37327,45481,'Increases Focus of caster by 7.0',100,1,1),
(37328,45481,'Summons a mount to ride',100,1,2),
(37329,45481,'Increases your ground speed by 130%',100,2,3),
(37330,45481,'Increases Piercing, Crushing, Ranged and Slashing of caster by 7.0',100,1,4),
(37331,10045481,'Applies Call Cavalry Morgan when Activated.',100,0,0),
(37332,10045481,'Increases Focus of caster by 7.0',100,1,1),
(37333,10045481,'Summons a mount to ride',100,1,2),
(37334,10045481,'Increases your ground speed by 130%',100,2,3),
(37335,10045481,'Increases Piercing, Crushing, Ranged and Slashing of caster by 7.0',100,1,4),
(37336,173488,'When Equipped:',100,0,0),
(37337,173488,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(37338,173488,'Must not be engaged in pvp combat',100,1,2),
(37339,10173488,'When Equipped:',100,0,0),
(37340,10173488,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(37341,10173488,'Must not be engaged in pvp combat',100,1,2),
(37342,104142,'Roots target',100,1,0),
(37343,104142,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(37344,104142,'Makes target afraid',100,2,2),
(37345,104142,'Slows target by 33.8%',100,2,3),
(37346,104142,'30% chance to dispel when target takes damage',100,2,4),
(37347,104142,'Resistibility increases against targets higher than level 90.',100,2,5),
(37348,104142,'15% chance to dispel when target takes damage',100,1,6),
(37349,104142,'Does not affect Epic targets',100,1,7),
(37350,104142,'Resistibility increases against targets higher than level 90.',100,1,8),
(37351,10104142,'Roots target',100,1,0),
(37352,10104142,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(37353,10104142,'Makes target afraid',100,2,2),
(37354,10104142,'Slows target by 33.8%',100,2,3),
(37355,10104142,'30% chance to dispel when target takes damage',100,2,4),
(37356,10104142,'Resistibility increases against targets higher than level 90.',100,2,5),
(37357,10104142,'15% chance to dispel when target takes damage',100,1,6),
(37358,10104142,'Does not affect Epic targets',100,1,7),
(37359,10104142,'Resistibility increases against targets higher than level 90.',100,1,8),
(37360,46128,'Applies Elixir of Vivacity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(37361,46128,'Heals caster for 119',100,1,1),
(37362,46128,'Heals caster for 60 every 5 seconds',100,1,2),
(37363,10046128,'Applies Elixir of Vivacity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(37364,10046128,'Heals caster for 78',100,1,1),
(37365,10046128,'Heals caster for 39 every 5 seconds',100,1,2),
(37366,104893,'Inflicts 1818 - 2913 magic damage on targets in area',100,1,0),
(37367,10104893,'Inflicts 1387 - 2214 magic damage on targets in area',100,1,0),
(37368,114659,'Increases Threat to target by 655 - 801 ',100,1,0),
(37369,114659,'Interrupts target',100,1,1),
(37370,10114659,'Interrupts target',100,1,0),
(37371,10114659,'Forces target to change their selected target to caster.',100,1,1),
(37372,10114659,'Prevents target from changing targets',100,1,2),
(37373,46058,'Applies Elixir of Astuteness when Activated.  Lasts for 15 minutes.',100,0,0),
(37374,46058,'Increases Max Power of caster by 97.5',100,1,1),
(37375,10046058,'Applies Elixir of Astuteness when Activated.  Lasts for 15 minutes.',100,0,0),
(37376,10046058,'Increases Max Power of caster by 97.5',100,1,1),
(37377,36281,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(37378,118901,'Inflicts 2479 - 3464 melee damage on target',100,1,0),
(37379,118901,'Inflicts 1496 - 2481 melee damage on target',100,1,1),
(37380,118901,'Inflicts 1496 - 2481 melee damage on target',100,1,2),
(37381,118901,'Inflicts 1496 - 2481 melee damage on target',100,1,3),
(37382,118901,'Inflicts 1496 - 2481 melee damage on target',100,1,4),
(37383,10118901,'Inflicts 1574 - 2350 melee damage on target',100,1,0),
(37384,10118901,'Inflicts 1179 - 1956 melee damage on target',100,1,1),
(37385,10118901,'Inflicts 1179 - 1956 melee damage on target',100,1,2),
(37386,10118901,'Inflicts 1179 - 1956 melee damage on target',100,1,3),
(37387,10118901,'Inflicts 1179 - 1956 melee damage on target',100,1,4),
(37388,102137,'Inflicts 527 - 872 melee damage on target',100,1,0),
(37389,102137,'Inflicts 262 - 436 melee damage on target',100,1,1),
(37390,10102137,'Inflicts 471 - 738 melee damage on target',100,1,0),
(37391,10102137,'Inflicts 207 - 343 melee damage on target',100,1,1),
(37392,47100,'Applies Most Wanted Poster when Activated.',100,0,0),
(37393,47100,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(37394,47100,'If between levels 70 - 79',100,1,2),
(37395,47100,'Cannot be modified except by direct means',100,1,3),
(37396,10047100,'Applies Most Wanted Poster when Activated.',100,0,0),
(37397,10047100,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(37398,10047100,'If between levels 70 - 79',100,1,2),
(37399,10047100,'Cannot be modified except by direct means',100,1,3),
(37400,75884,'When Equipped:',100,0,0),
(37401,75884,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37402,75884,'Inflicts 107 - 130 poison damage on target instantly and every 4.8 seconds',100,2,2),
(37403,75884,'Cannot be modified except by direct means',100,2,3),
(37404,10075884,'When Equipped:',100,0,0),
(37405,10075884,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37406,10075884,'Inflicts 107 - 130 poison damage on target instantly and every 4.8 seconds',100,2,2),
(37407,10075884,'Cannot be modified except by direct means',100,2,3),
(37408,90083,'When Equipped:',100,0,0),
(37409,90083,'On a combat hit this spell may cast Subterranean Favor on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37410,90083,'Heals caster for 67 - 124',100,2,2),
(37411,90083,'Heals caster for 20 - 36 every 4 seconds',100,2,3),
(37412,90083,'Increases STR of caster by 138.6',100,2,4),
(37413,90083,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,5),
(37414,90083,'Cannot be modified except by direct means',100,2,6),
(37415,90083,'Increases Multi Attack Chance of caster by 6.0',100,1,7),
(37416,10090083,'When Equipped:',100,0,0),
(37417,10090083,'On a combat hit this spell may cast Subterranean Favor on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37418,10090083,'Heals caster for 43 - 80',100,2,2),
(37419,10090083,'Heals caster for 13 - 24 every 4 seconds',100,2,3),
(37420,10090083,'Increases STR of caster by 138.6',100,2,4),
(37421,10090083,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,5),
(37422,10090083,'Cannot be modified except by direct means',100,2,6),
(37423,10090083,'Increases Multi Attack Chance of caster by 6.0',100,1,7),
(37424,24368,'Adds Faro'' Nuk Marauder to your Dungeon Maker toolbox',100,0,0),
(37425,10024368,'Adds Faro'' Nuk Marauder to your Dungeon Maker toolbox',100,0,0),
(37426,108181,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',100,1,0),
(37427,10108181,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',100,1,0),
(37428,102299,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(37429,102299,'Decreases Threat to target by 2,429 ',100,2,1),
(37430,10102299,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(37431,10102299,'Inflicts 174 - 192 crushing damage on target',100,2,1),
(37432,101368,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37433,101368,'Reduces physical damage done to caster by 5%',100,1,1),
(37434,101368,'Adds 1.8% to base avoidance.',100,1,2),
(37435,101368,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,3),
(37436,101368,'Increases Aggression of caster by 15.7',100,1,4),
(37437,101368,'Increases Defense and Parry of caster by 25.1',100,1,5),
(37438,101368,'Increases Mitigation of caster vs noxious and arcane damage by 153',100,1,6),
(37439,101368,'Increases Mitigation of caster vs elemental damage by 1531',100,1,7),
(37440,101368,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(37441,10101368,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37442,10101368,'Reduces physical damage done to caster by 5%',100,1,1),
(37443,10101368,'Adds 1.8% to base avoidance.',100,1,2),
(37444,10101368,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,3),
(37445,10101368,'Increases Aggression of caster by 15.7',100,1,4),
(37446,10101368,'Increases Defense and Parry of caster by 25.1',100,1,5),
(37447,10101368,'Increases Mitigation of caster vs noxious and arcane damage by 153',100,1,6),
(37448,10101368,'Increases Mitigation of caster vs elemental damage by 1531',100,1,7),
(37449,10101368,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(37450,75151,'When Equipped:',100,0,0),
(37451,75151,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(37452,10075151,'When Equipped:',100,0,0),
(37453,10075151,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(37454,118224,'Throws target back',100,1,0),
(37455,118224,'If Target is not Epic',100,2,1),
(37456,118224,'Stuns targets in Area of Effect',100,1,2),
(37457,118224,'If Target is not Epic',100,2,3),
(37458,118224,'Inflicts 9955 - 16374 magic damage on targets in Area of Effect',100,1,4),
(37459,118224,'Resistibility increases against targets higher than level 94.',100,1,5),
(37460,10118224,'Throws target back',100,1,0),
(37461,10118224,'If Target is not Epic',100,2,1),
(37462,10118224,'Stuns targets in Area of Effect',100,1,2),
(37463,10118224,'If Target is not Epic',100,2,3),
(37464,10118224,'Inflicts 7720 - 12779 magic damage on targets in Area of Effect',100,1,4),
(37465,10118224,'Resistibility increases against targets higher than level 94.',100,1,5),
(37466,45504,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(37467,45504,'Charms target',100,1,1),
(37468,45504,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(37469,45504,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(37470,45504,'5% chance to dispel when target takes damage',100,1,4),
(37471,45504,'If target is reptile',100,1,5),
(37472,45504,'Certain enemies cannot be charmed',100,1,6),
(37473,45504,'Does not affect Epic targets',100,1,7),
(37474,10045504,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(37475,10045504,'Charms target',100,1,1),
(37476,10045504,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(37477,10045504,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(37478,10045504,'5% chance to dispel when target takes damage',100,1,4),
(37479,10045504,'If target is reptile',100,1,5),
(37480,10045504,'Certain enemies cannot be charmed',100,1,6),
(37481,10045504,'Does not affect Epic targets',100,1,7),
(37482,81548,'When Equipped:',100,0,0),
(37483,81548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37484,81548,'Inflicts 193 - 359 magic damage on target',100,2,2),
(37485,81548,'Cannot be modified except by direct means',100,2,3),
(37486,10081548,'When Equipped:',100,0,0),
(37487,10081548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37488,10081548,'Inflicts 193 - 359 magic damage on target',100,2,2),
(37489,10081548,'Cannot be modified except by direct means',100,2,3),
(37490,163678,'When Equipped:',100,0,0),
(37491,163678,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(37492,163678,'Inflicts 2648 poison damage on target',100,2,2),
(37493,163678,'If under 15% Health',100,2,3),
(37494,163678,'Cannot be modified except by direct means',100,2,4),
(37495,163678,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(37496,163678,'Inflicts 2648 poison damage on target',100,2,6),
(37497,163678,'If under 15% Health',100,2,7),
(37498,163678,'Cannot be modified except by direct means',100,2,8),
(37499,163678,'Cannot be modified except by direct means',100,1,9),
(37500,10163678,'When Equipped:',100,0,0),
(37501,10163678,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(37502,10163678,'Inflicts 2648 poison damage on target',100,2,2),
(37503,10163678,'If under 15% Health',100,2,3),
(37504,10163678,'Cannot be modified except by direct means',100,2,4),
(37505,10163678,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(37506,10163678,'Inflicts 2648 poison damage on target',100,2,6),
(37507,10163678,'If under 15% Health',100,2,7),
(37508,10163678,'Cannot be modified except by direct means',100,2,8),
(37509,10163678,'Cannot be modified except by direct means',100,1,9),
(37510,100682,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(37511,100682,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(37512,100682,'Heals caster for 1687',100,3,2),
(37513,100682,'Wards caster against 2159 points of all damage',100,3,3),
(37514,100682,'Summons a limited pet to aid the caster',100,2,4),
(37515,100682,'Grants a total of 1 trigger of the spell.',100,2,5),
(37516,10100682,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(37517,10100682,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(37518,10100682,'Heals caster for 864',100,3,2),
(37519,10100682,'Wards caster against 1701 points of all damage',100,3,3),
(37520,10100682,'Summons a limited pet to aid the caster',100,2,4),
(37521,10100682,'Grants a total of 1 trigger of the spell.',100,2,5),
(37522,102369,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(37523,102369,'Increases Damage Per Second of target by 21.4',100,2,1),
(37524,102369,'Increases Attack Speed of target by 21.4',100,2,2),
(37525,102369,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(37526,102369,'Increases Damage Per Second of target by 21.4',100,2,4),
(37527,102369,'Increases Attack Speed of target by 21.4',100,2,5),
(37528,102369,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(37529,102369,'Increases Damage Per Second of target by 21.4',100,2,7),
(37530,102369,'Increases Attack Speed of target by 21.4',100,2,8),
(37531,10102369,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(37532,10102369,'Increases Damage Per Second of target by 21.4',100,2,1),
(37533,10102369,'Increases Attack Speed of target by 21.4',100,2,2),
(37534,10102369,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(37535,10102369,'Increases Damage Per Second of target by 21.4',100,2,4),
(37536,10102369,'Increases Attack Speed of target by 21.4',100,2,5),
(37537,10102369,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(37538,10102369,'Increases Damage Per Second of target by 21.4',100,2,7),
(37539,10102369,'Increases Attack Speed of target by 21.4',100,2,8),
(37540,104752,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(37541,104752,'Increases target''s chance to block by 15.0%',100,130,1),
(37542,104752,'Applies Consecration.',100,1,2),
(37543,104752,'Inflicts 1124 - 1373 divine damage on targets in Area of Effect',100,2,3),
(37544,10104752,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(37545,10104752,'Increases target''s chance to block by 15.0%',100,130,1),
(37546,10104752,'Applies Consecration.',100,1,2),
(37547,10104752,'Inflicts 883 - 1069 divine damage on targets in Area of Effect',100,2,3),
(37548,119585,'Increases power of caster by 25 instantly and every 4 seconds',100,1,0),
(37549,10119585,'Increases power of caster by 25 instantly and every 4 seconds',100,1,0),
(37550,105380,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(37551,105380,'Inflicts 404 melee damage on target',100,2,1),
(37552,105380,'Interrupts target',100,2,2),
(37553,105380,'Decreases Defense of caster by 16.5',100,1,3),
(37554,105380,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.7',100,1,4),
(37555,10105380,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(37556,10105380,'Inflicts 318 melee damage on target',100,2,1),
(37557,10105380,'Interrupts target',100,2,2),
(37558,10105380,'Decreases Defense of caster by 16.5',100,1,3),
(37559,10105380,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.7',100,1,4),
(37560,105690,'Decreases Attack Speed of target encounter by 18.2',100,1,0),
(37561,105690,'Slows target encounter by 25.2%',100,1,1),
(37562,10105690,'Decreases Attack Speed of target encounter by 18.2',100,1,0),
(37563,10105690,'Slows target encounter by 25.2%',100,1,1),
(37564,26216,'When Equipped:',100,0,0),
(37565,26216,'Caster has a 2.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(37566,10026216,'When Equipped:',100,0,0),
(37567,10026216,'Caster has a 2.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(37568,112973,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37569,112973,'Reduces physical damage done to caster by 5%',100,1,1),
(37570,112973,'Increases STA of caster by 12.5',100,1,2),
(37571,112973,'Adds 2.9% to base avoidance.',100,1,3),
(37572,112973,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,4),
(37573,112973,'Increases Defense and Aggression of caster by 1.7',100,1,5),
(37574,112973,'Increases Mitigation of caster vs arcane damage by 146',100,1,6),
(37575,112973,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(37576,10112973,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37577,10112973,'Reduces physical damage done to caster by 5%',100,1,1),
(37578,10112973,'Increases STA of caster by 12.5',100,1,2),
(37579,10112973,'Adds 2.9% to base avoidance.',100,1,3),
(37580,10112973,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,4),
(37581,10112973,'Increases Defense and Aggression of caster by 1.7',100,1,5),
(37582,10112973,'Increases Mitigation of caster vs arcane damage by 146',100,1,6),
(37583,10112973,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(37584,87168,'When Equipped:',100,0,0),
(37585,87168,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37586,87168,'Inflicts 83 - 124 magic damage on target',100,2,2),
(37587,87168,'Cannot be modified except by direct means',100,2,3),
(37588,10087168,'When Equipped:',100,0,0),
(37589,10087168,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37590,10087168,'Inflicts 83 - 124 magic damage on target',100,2,2),
(37591,10087168,'Cannot be modified except by direct means',100,2,3),
(37592,123183,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37593,123183,'Reduces physical damage done to caster by 5%',100,1,1),
(37594,123183,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(37595,123183,'Increases Aggression of caster by 24.8',100,1,3),
(37596,123183,'Increases Defense and Parry of caster by 49.6',100,1,4),
(37597,123183,'Increases Mitigation of caster vs elemental damage by 3238',100,1,5),
(37598,123183,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(37599,10123183,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(37600,10123183,'Reduces physical damage done to caster by 5%',100,1,1),
(37601,10123183,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(37602,10123183,'Increases Aggression of caster by 24.8',100,1,3),
(37603,10123183,'Increases Defense and Parry of caster by 49.6',100,1,4),
(37604,10123183,'Increases Mitigation of caster vs elemental damage by 3238',100,1,5),
(37605,10123183,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(37606,176418,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(37607,176418,'Slows target by 24.8%',100,1,1),
(37608,176418,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(37609,176418,'Decreases Attack Speed of target by 9.2',100,2,3),
(37610,176418,'Cannot be modified except by direct means',100,2,4),
(37611,176418,'5% chance to dispel when target takes damage',100,1,5),
(37612,176418,'5% chance to dispel when target receives hostile action',100,1,6),
(37613,176418,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(37614,10176418,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(37615,10176418,'Slows target by 24.8%',100,1,1),
(37616,10176418,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(37617,10176418,'Decreases Attack Speed of target by 9.2',100,2,3),
(37618,10176418,'Cannot be modified except by direct means',100,2,4),
(37619,10176418,'5% chance to dispel when target takes damage',100,1,5),
(37620,10176418,'5% chance to dispel when target receives hostile action',100,1,6),
(37621,10176418,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(37622,117040,'Inflicts 326 - 540 melee damage on target',100,1,0),
(37623,117040,'Decreases Attack Speed of target by 17.3',100,1,1),
(37624,10117040,'Inflicts 296 - 489 melee damage on target',100,1,0),
(37625,10117040,'Decreases Attack Speed of target by 17.3',100,1,1),
(37626,104164,'Increases Threat to target encounter by 870 - 1,063 ',100,1,0),
(37627,104164,'Interrupts target encounter',100,1,1),
(37628,10104164,'Forces target encounter to change their selected target to caster.',100,1,0),
(37629,10104164,'Interrupts target encounter',100,1,1),
(37630,10104164,'Prevents target encounter from changing targets',100,1,2),
(37631,116190,'Inflicts 3210 - 4695 mental damage on target',100,1,0),
(37632,10116190,'Inflicts 2150 - 3321 mental damage on target',100,1,0),
(37633,36432,'Increases AGI and STA of target by 4.6',100,0,0),
(37634,36432,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(37635,81607,'When Equipped:',100,0,0),
(37636,81607,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(37637,81607,'Inflicts 215 - 399 magic damage on target',100,2,2),
(37638,81607,'Decreases Threat to target by 376 ',100,2,3),
(37639,81607,'Must be flanking or behind',100,3,4),
(37640,81607,'Increases Threat to target by 658 ',100,2,5),
(37641,81607,'Must be in front of',100,3,6),
(37642,81607,'Cannot be modified except by direct means',100,2,7),
(37643,10081607,'When Equipped:',100,0,0),
(37644,10081607,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(37645,10081607,'Inflicts 215 - 399 magic damage on target',100,2,2),
(37646,10081607,'Cannot be modified except by direct means',100,2,3),
(37647,103549,'Increases In-Combat Power Regeneration of group members (AE) by 18.1',100,1,0),
(37648,10103549,'Increases In-Combat Power Regeneration of group members (AE) by 18.1',100,1,0),
(37649,171451,'Applies Call of the Prime V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(37650,171451,'Applies Prime Focus V on termination.  Lasts for 15.0 seconds.',100,1,1),
(37651,171451,'Increases Potency of group members (AE) by 4.0%',100,2,2),
(37652,171451,'Must not be engaged in pvp combat',100,2,3),
(37653,171451,'Cannot be modified except by direct means',100,2,4),
(37654,171451,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(37655,171451,'Must not be engaged in pvp combat',100,1,6),
(37656,171451,'Cannot be modified except by direct means',100,1,7),
(37657,171451,'The reuse time of Call of the Prime V is 10 minutes',100,1,8),
(37658,10171451,'Applies Call of the Prime V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(37659,10171451,'Applies Prime Focus V on termination.  Lasts for 15.0 seconds.',100,1,1),
(37660,10171451,'Increases Potency of group members (AE) by 4.0%',100,2,2),
(37661,10171451,'Must not be engaged in pvp combat',100,2,3),
(37662,10171451,'Cannot be modified except by direct means',100,2,4),
(37663,10171451,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(37664,10171451,'Must not be engaged in pvp combat',100,1,6),
(37665,10171451,'Cannot be modified except by direct means',100,1,7),
(37666,10171451,'The reuse time of Call of the Prime V is 10 minutes',100,1,8),
(37667,179248,'When Equipped:',100,0,0),
(37668,179248,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(37669,179248,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(37670,179248,'Inflicts 599 crushing damage on caster',100,3,3),
(37671,179248,'Cannot be modified except by direct means',100,3,4),
(37672,179248,'Cannot be modified except by direct means',100,2,5),
(37673,179248,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(37674,179248,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(37675,179248,'Inflicts 599 crushing damage on caster',100,3,8),
(37676,179248,'Cannot be modified except by direct means',100,3,9),
(37677,179248,'Cannot be modified except by direct means',100,2,10),
(37678,10179248,'When Equipped:',100,0,0),
(37679,10179248,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(37680,10179248,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(37681,10179248,'Inflicts 533 crushing damage on caster',100,3,3),
(37682,10179248,'Cannot be modified except by direct means',100,3,4),
(37683,10179248,'Cannot be modified except by direct means',100,2,5),
(37684,10179248,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(37685,10179248,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(37686,10179248,'Inflicts 533 crushing damage on caster',100,3,8),
(37687,10179248,'Cannot be modified except by direct means',100,3,9),
(37688,10179248,'Cannot be modified except by direct means',100,2,10),
(37689,71850,'When Equipped:',100,0,0),
(37690,71850,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37691,71850,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(37692,71850,'Cannot be modified except by direct means',100,2,3),
(37693,10071850,'When Equipped:',100,0,0),
(37694,10071850,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(37695,10071850,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(37696,10071850,'Cannot be modified except by direct means',100,2,3),
(37697,141785,'When Equipped:',100,0,0),
(37698,141785,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(37699,141785,'Increases AGI of caster by 3.6',100,2,2),
(37700,141785,'Increases Attack Speed of caster by 9.8',100,2,3),
(37701,141785,'Cannot be modified except by direct means',100,2,4),
(37702,10141785,'When Equipped:',100,0,0),
(37703,10141785,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(37704,10141785,'Increases AGI of caster by 3.6',100,2,2),
(37705,10141785,'Increases Attack Speed of caster by 9.8',100,2,3),
(37706,10141785,'Cannot be modified except by direct means',100,2,4),
(37707,111783,'Shapechanges target into a troll',100,1,0),
(37708,10111783,'Shapechanges target into a troll',100,1,0),
(37709,119575,'Increases power of caster by 17 instantly and every 4 seconds',100,1,0),
(37710,10119575,'Increases power of caster by 17 instantly and every 4 seconds',100,1,0),
(37711,132234,'When Equipped:',100,0,0),
(37712,132234,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(37713,132234,'On any combat or spell hit this spell may cast Spellweave IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(37714,132234,'Increases Ability Casting Speed of caster by 6.0%',100,2,3),
(37715,132234,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1554',100,2,4),
(37716,132234,'Must not be engaged in pvp combat',100,2,5),
(37717,132234,'Cannot be modified except by direct means',100,2,6),
(37718,132234,'On a healing spell cast this spell may cast Spellweave IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(37719,132234,'Increases Ability Casting Speed of caster by 6.0%',100,2,8),
(37720,132234,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1554',100,2,9),
(37721,132234,'Must not be engaged in pvp combat',100,2,10),
(37722,132234,'Cannot be modified except by direct means',100,2,11),
(37723,132234,'Cannot be modified except by direct means',100,1,12),
(37724,132234,'When Equipped:',100,0,13),
(37725,132234,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(37726,132234,'Increases AGI, INT, WIS and STR of caster by 50.0',100,1,15),
(37727,132234,'Increases Potency of caster by 3.5%',100,1,16),
(37728,132234,'Cannot be modified except by direct means',100,1,17),
(37729,10132234,'When Equipped:',100,0,0),
(37730,10132234,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(37731,10132234,'On any combat or spell hit this spell may cast Spellweave IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(37732,10132234,'Increases Ability Casting Speed of caster by 6.0%',100,2,3),
(37733,10132234,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1554',100,2,4),
(37734,10132234,'Must not be engaged in pvp combat',100,2,5),
(37735,10132234,'Cannot be modified except by direct means',100,2,6),
(37736,10132234,'On a healing spell cast this spell may cast Spellweave IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(37737,10132234,'Increases Ability Casting Speed of caster by 6.0%',100,2,8),
(37738,10132234,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1554',100,2,9),
(37739,10132234,'Must not be engaged in pvp combat',100,2,10),
(37740,10132234,'Cannot be modified except by direct means',100,2,11),
(37741,10132234,'Cannot be modified except by direct means',100,1,12),
(37742,10132234,'When Equipped:',100,0,13),
(37743,10132234,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(37744,10132234,'Increases AGI, INT, WIS and STR of caster by 50.0',100,1,15),
(37745,10132234,'Increases Potency of caster by 3.5%',100,1,16),
(37746,10132234,'Cannot be modified except by direct means',100,1,17),
(37747,116520,'Increases Mitigation of target vs physical damage by 324',100,1,0),
(37748,116520,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(37749,10116520,'Increases Mitigation of target vs physical damage by 324',100,1,0),
(37750,10116520,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(37751,123076,'Summons a pet undead knight',100,1,0),
(37752,10123076,'Summons a pet undead knight',100,1,0),
(37753,122489,'Inflicts 1728 - 2796 mental damage on targets in Area of Effect',100,1,0),
(37754,10122489,'Inflicts 1299 - 2077 mental damage on targets in Area of Effect',100,1,0),
(37755,37304,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(37756,37304,'This effect suspends during combat',100,0,1),
(37757,48671,'Applies translucent bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(37758,48671,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(37759,48671,'Inflicts 497 poison damage on target instantly and every 6 seconds',100,2,2),
(37760,48671,'Cannot be modified except by direct means',100,2,3),
(37761,48671,'Grants a total of 4 triggers of the spell.',100,2,4),
(37762,10048671,'Applies translucent bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(37763,10048671,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(37764,10048671,'Inflicts 373 poison damage on target instantly and every 6 seconds',100,2,2),
(37765,10048671,'Cannot be modified except by direct means',100,2,3),
(37766,10048671,'Grants a total of 4 triggers of the spell.',100,2,4),
(37767,124693,'Inflicts 2643 - 3136 cold damage on target',100,1,0),
(37768,10124693,'Inflicts 1783 - 2092 cold damage on target',100,1,0),
(37769,104697,'Decreases Mitigation of target vs all damage by 689',100,1,0),
(37770,10104697,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 689',100,1,0),
(37771,10104697,'Decreases Mitigation of target vs physical damage by 574',100,1,1),
(37772,110088,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(37773,110088,'Inflicts 38 disease damage on target',100,2,1),
(37774,110088,'Heals caster for 14',100,2,2),
(37775,110088,'Decreases INT of target by 28.0',100,1,3),
(37776,110088,'Decreases Attack Speed of target by 25.0',100,1,4),
(37777,110088,'Increases Max Health of target by 16.0%',100,1,5),
(37778,110088,'Increases Hate Gain of target by 21.2%',100,1,6),
(37779,110088,'Increases Aggression of target by 3.4',100,1,7),
(37780,110088,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(37781,110088,'Increases Threat to target encounter by 125 - 153 ',100,2,9),
(37782,110088,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,10),
(37783,10110088,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(37784,10110088,'Inflicts 30 disease damage on target',100,2,1),
(37785,10110088,'Heals caster for 7',100,2,2),
(37786,10110088,'Decreases INT of target by 28.0',100,1,3),
(37787,10110088,'Decreases Attack Speed of target by 25.0',100,1,4),
(37788,10110088,'Increases Max Health of target by 16.0%',100,1,5),
(37789,10110088,'Increases Aggression of target by 3.4',100,1,6),
(37790,10110088,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,7),
(37791,177641,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(37792,177641,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(37793,177641,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(37794,177641,'Cannot be modified except by direct means',100,2,3),
(37795,10177641,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(37796,10177641,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(37797,10177641,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(37798,10177641,'Cannot be modified except by direct means',100,2,3),
(37799,122247,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(37800,122247,'Decreases Damage Per Second of target by 20.0',100,2,1),
(37801,122247,'Decreases Attack Speed of target by 14.9',100,2,2),
(37802,10122247,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(37803,10122247,'Decreases Damage Per Second of target by 20.0',100,2,1),
(37804,10122247,'Decreases Attack Speed of target by 14.9',100,2,2),
(37805,54979,'Applies Void Shift when Activated.',100,0,0),
(37806,54979,'Teleports target to a random location within 10 - 19 meters.',100,1,1),
(37807,54979,'Decreases Threat to targets in Area of Effect by 800 ',100,1,2),
(37808,54979,'The casting time of Void Shift is 1.98 seconds and the reuse time of the spell is 1 minute 23 seconds',100,1,3),
(37809,10054979,'Applies Void Shift when Activated.',100,0,0),
(37810,10054979,'Teleports target to a random location within 10 - 19 meters.',100,1,1),
(37811,10054979,'The casting time of Void Shift is 1.98 seconds and the reuse time of the spell is 1 minute 23 seconds',100,1,2),
(37812,89907,'When Equipped:',100,0,0),
(37813,89907,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37814,89907,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(37815,89907,'Heals caster for 1185 - 1309',100,2,3),
(37816,89907,'Must not be engaged in pvp combat',100,2,4),
(37817,89907,'Cannot be modified except by direct means',100,2,5),
(37818,89907,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(37819,89907,'Cannot be modified except by direct means',100,1,7),
(37820,10089907,'When Equipped:',100,0,0),
(37821,10089907,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37822,10089907,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(37823,10089907,'Heals caster for 1386 - 1532',100,2,3),
(37824,10089907,'Must not be engaged in pvp combat',100,2,4),
(37825,10089907,'Cannot be modified except by direct means',100,2,5),
(37826,10089907,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(37827,10089907,'Cannot be modified except by direct means',100,1,7),
(37828,104305,'Inflicts 2002 - 3197 melee damage on target',100,1,0),
(37829,104305,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(37830,104305,'Stuns target',100,2,2),
(37831,104305,'Throws target back',100,2,3),
(37832,104305,'Blurs vision of target',100,2,4),
(37833,104305,'Does not affect Epic targets',100,2,5),
(37834,10104305,'Inflicts 1447 - 2140 melee damage on target',100,1,0),
(37835,10104305,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(37836,10104305,'Stuns target',100,2,2),
(37837,10104305,'Blurs vision of target',100,2,3),
(37838,10104305,'Throws target back',100,2,4),
(37839,10104305,'Does not affect Epic targets',100,2,5),
(37840,144616,'When Equipped:',100,0,0),
(37841,144616,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37842,144616,'Inflicts 1589 - 2383 poison damage on target',100,2,2),
(37843,144616,'Heals caster for 1058 - 1587',100,2,3),
(37844,144616,'Cannot be modified except by direct means',100,2,4),
(37845,144616,'Cannot be modified except by direct means',100,1,5),
(37846,10144616,'When Equipped:',100,0,0),
(37847,10144616,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37848,10144616,'Inflicts 1589 - 2383 poison damage on target',100,2,2),
(37849,10144616,'Heals caster for 1238 - 1857',100,2,3),
(37850,10144616,'Cannot be modified except by direct means',100,2,4),
(37851,10144616,'Cannot be modified except by direct means',100,1,5),
(37852,112443,'Mesmerizes target',100,1,0),
(37853,112443,'Prevents AOE (except when direct) ',100,1,1),
(37854,112443,'Dispelled when target takes damage',100,1,2),
(37855,112443,'Does not affect Epic targets',100,1,3),
(37856,112443,'Resistibility increases against targets higher than level 81.',100,1,4),
(37857,10112443,'Mesmerizes target',100,1,0),
(37858,10112443,'Prevents AOE (except when direct) ',100,1,1),
(37859,10112443,'Dispelled when target takes damage',100,1,2),
(37860,10112443,'Does not affect Epic targets',100,1,3),
(37861,10112443,'Resistibility increases against targets higher than level 81.',100,1,4),
(37862,120409,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(37863,120409,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37864,120409,'Inflicts 1371 - 2286 heat damage on target',100,2,2),
(37865,120409,'Decreases Defense of caster by 23.0',100,1,3),
(37866,120409,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.5',100,1,4),
(37867,10120409,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(37868,10120409,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(37869,10120409,'Inflicts 1081 - 1801 heat damage on target',100,2,2),
(37870,10120409,'Decreases Defense of caster by 23.0',100,1,3),
(37871,10120409,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.5',100,1,4),
(37872,81795,'When Equipped:',100,0,0),
(37873,81795,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37874,81795,'Inflicts 189 - 352 magic damage on target',100,2,2),
(37875,81795,'Cannot be modified except by direct means',100,2,3),
(37876,10081795,'When Equipped:',100,0,0),
(37877,10081795,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37878,10081795,'Inflicts 189 - 352 magic damage on target',100,2,2),
(37879,10081795,'Cannot be modified except by direct means',100,2,3),
(37880,121858,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(37881,121858,'Increases Mitigation of group members (AE) vs arcane damage by 190',100,1,1),
(37882,10121858,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(37883,10121858,'Increases Mitigation of group members (AE) vs arcane damage by 190',100,1,1),
(37884,117084,'Summons a limited pet to aid the caster',100,1,0),
(37885,117084,'Summons 3 limited pets to aid the caster',100,1,1),
(37886,10117084,'Summons a limited pet to aid the caster',100,1,0),
(37887,10117084,'Summons 3 limited pets to aid the caster',100,1,1),
(37888,112906,'Increases Damage Per Second of caster by 57.9',100,1,0),
(37889,112906,'Increases Ranged of caster by 21.6',100,1,1),
(37890,10112906,'Increases Damage Per Second of caster by 57.9',100,1,0),
(37891,10112906,'Increases Ranged of caster by 21.6',100,1,1),
(37892,46094,'Applies Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(37893,46094,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(37894,46094,'Only affects targets level 50 and above',100,1,2),
(37895,10046094,'Applies Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(37896,10046094,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(37897,10046094,'Only affects targets level 50 and above',100,1,2),
(37898,121351,'Inflicts 166 - 203 magic damage on target encounter',100,1,0),
(37899,10121351,'Inflicts 136 - 166 magic damage on target encounter',100,1,0),
(37900,163582,'When Equipped:',100,0,0),
(37901,163582,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(37902,163582,'Stuns target',100,2,2),
(37903,163582,'Only affects targets level 88 and below',100,2,3),
(37904,163582,'Does not affect Epic targets',100,2,4),
(37905,163582,'Resistibility increases against targets higher than level 112.',100,2,5),
(37906,163582,'Cannot be modified except by direct means',100,2,6),
(37907,10163582,'When Equipped:',100,0,0),
(37908,10163582,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(37909,10163582,'Stuns target',100,2,2),
(37910,10163582,'Only affects targets level 88 and below',100,2,3),
(37911,10163582,'Does not affect Epic targets',100,2,4),
(37912,10163582,'Resistibility increases against targets higher than level 112.',100,2,5),
(37913,10163582,'Cannot be modified except by direct means',100,2,6),
(37914,52927,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(37915,52927,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(37916,52927,'Inflicts 257 heat damage on target',100,2,2),
(37917,52927,'Cannot be modified except by direct means',100,2,3),
(37918,10052927,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(37919,10052927,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(37920,10052927,'Inflicts 257 heat damage on target',100,2,2),
(37921,10052927,'Cannot be modified except by direct means',100,2,3),
(37922,82547,'When Equipped:',100,0,0),
(37923,82547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37924,82547,'Inflicts 151 - 280 magic damage on target',100,2,2),
(37925,82547,'Cannot be modified except by direct means',100,2,3),
(37926,10082547,'When Equipped:',100,0,0),
(37927,10082547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(37928,10082547,'Inflicts 151 - 280 magic damage on target',100,2,2),
(37929,10082547,'Cannot be modified except by direct means',100,2,3),
(37930,123320,'Increases STA of raid and group members (AE) by 24.3',100,1,0),
(37931,123320,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(37932,10123320,'Increases STA of raid and group members (AE) by 24.3',100,1,0),
(37933,10123320,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(37934,106550,'Inflicts 2880 - 3326 melee damage on target',100,1,0),
(37935,106550,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(37936,106550,'Increases Hate Gain of target by 30.0%',100,2,2),
(37937,106550,'Grants a total of 1 trigger of the spell.',100,2,3),
(37938,10106550,'Inflicts 1908 - 2241 melee damage on target',100,1,0),
(37939,10106550,'25% chance to apply Distract on termination.',100,1,1),
(37940,10106550,'Forces target to clear their selected target.',100,2,2),
(37941,37263,'Increases STA of target by 2.1',100,0,0),
(37942,37263,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,1),
(37943,113663,'Inflicts 2788 - 3372 disease damage on target encounter',100,1,0),
(37944,113663,'Inflicts 2625 - 3208 disease damage on target encounter every 5 seconds',100,1,1),
(37945,113663,'Decreases power of target encounter by 437 - 535 instantly and every 5 seconds',100,1,2),
(37946,113663,'Heals group members (AE) for 1617 - 1940',100,1,3),
(37947,113663,'Heals group members (AE) for 1454 - 1777 every 5 seconds',100,1,4),
(37948,113663,'Increases power of group members (AE) by 242 - 296 instantly and every 5 seconds',100,1,5),
(37949,10113663,'Inflicts 2134 - 2594 disease damage on target encounter',100,1,0),
(37950,10113663,'Inflicts 2069 - 2528 disease damage on target encounter every 5 seconds',100,1,1),
(37951,10113663,'Decreases power of target encounter by 345 - 421 instantly and every 5 seconds',100,1,2),
(37952,10113663,'Heals group members (AE) for 787 - 953',100,1,3),
(37953,10113663,'Heals group members (AE) for 745 - 910 every 5 seconds',100,1,4),
(37954,10113663,'Increases power of group members (AE) by 191 - 233 instantly and every 5 seconds',100,1,5),
(37955,45286,'Applies Barodreth''s Refreshment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(37956,45286,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(37957,10045286,'Applies Barodreth''s Refreshment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(37958,10045286,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(37959,101403,'Inflicts 2439 - 3398 melee damage on target',100,1,0),
(37960,101403,'Returns the last arrow used to the ranger.',100,1,1),
(37961,10101403,'Inflicts 1543 - 2299 melee damage on target',100,1,0),
(37962,10101403,'Returns the last arrow used to the ranger.',100,1,1),
(37963,105599,'Decreases power of target encounter by 231 - 282 instantly and every 3 seconds',100,1,0),
(37964,105599,'Inflicts 703 - 1165 poison damage on target encounter',100,1,1),
(37965,105599,'Inflicts 539 - 1002 poison damage on target encounter every 3 seconds',100,1,2),
(37966,105599,'Heals group members (AE) for 298 - 413',100,1,3),
(37967,105599,'Heals group members (AE) for 134 - 250 every 3 seconds',100,1,4),
(37968,105599,'Increases power of group members (AE) by 51 instantly and every 3 seconds',100,1,5),
(37969,10105599,'Decreases power of target encounter by 182 - 223 instantly and every 3 seconds',100,1,0),
(37970,10105599,'Inflicts 491 - 855 poison damage on target encounter',100,1,1),
(37971,10105599,'Inflicts 425 - 789 poison damage on target encounter every 3 seconds',100,1,2),
(37972,10105599,'Heals group members (AE) for 112 - 171',100,1,3),
(37973,10105599,'Heals group members (AE) for 69 - 128 every 3 seconds',100,1,4),
(37974,10105599,'Increases power of group members (AE) by 40 instantly and every 3 seconds',100,1,5),
(37975,52773,'Applies Sanguine Imbued when Equipped.',100,0,0),
(37976,52773,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(37977,52773,'Inflicts 264 heat damage on target',100,2,2),
(37978,52773,'Cannot be modified except by direct means',100,2,3),
(37979,10052773,'Applies Sanguine Imbued when Equipped.',100,0,0),
(37980,10052773,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(37981,10052773,'Inflicts 264 heat damage on target',100,2,2),
(37982,10052773,'Cannot be modified except by direct means',100,2,3),
(37983,80560,'When Equipped:',100,0,0),
(37984,80560,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(37985,80560,'Inflicts 155 - 288 magic damage on target',100,2,2),
(37986,80560,'Decreases Threat to target by 352 ',100,2,3),
(37987,80560,'Must be flanking or behind',100,3,4),
(37988,80560,'Increases Threat to target by 617 ',100,2,5),
(37989,80560,'Must be in front of',100,3,6),
(37990,80560,'Cannot be modified except by direct means',100,2,7),
(37991,10080560,'When Equipped:',100,0,0),
(37992,10080560,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(37993,10080560,'Inflicts 155 - 288 magic damage on target',100,2,2),
(37994,10080560,'Cannot be modified except by direct means',100,2,3),
(37995,114553,'Heals target for 3087 - 3555',100,1,0),
(37996,10114553,'Heals target for 2413 - 2892',100,1,0),
(37997,115929,'Inflicts 1662 - 2757 melee damage on target',100,1,0),
(37998,115929,'Roots target',100,1,1),
(37999,115929,'If Target is not Epic',100,2,2),
(38000,115929,'5% chance to dispel when target takes damage',100,1,3),
(38001,115929,'Resistibility increases against targets higher than level 61.',100,1,4),
(38002,10115929,'Inflicts 1268 - 1843 melee damage on target',100,1,0),
(38003,10115929,'Roots target',100,1,1),
(38004,10115929,'If Target is not Epic',100,2,2),
(38005,10115929,'5% chance to dispel when target takes damage',100,1,3),
(38006,10115929,'Resistibility increases against targets higher than level 61.',100,1,4),
(38007,108607,'Feigns Death with 64% chance of success',100,1,0),
(38008,10108607,'Feigns Death with 64% chance of success',100,1,0),
(38009,26006,'When Equipped:',100,0,0),
(38010,26006,'Increases all divine damage by up to 20.',100,1,1),
(38011,10026006,'When Equipped:',100,0,0),
(38012,10026006,'Increases all divine damage by up to 20.',100,1,1),
(38013,139454,'When Equipped:',100,0,0),
(38014,139454,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(38015,139454,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(38016,139454,'Inflicts 281 mental damage on target',100,2,3),
(38017,139454,'Must not be classified as an undead',100,3,4),
(38018,139454,'Inflicts 562 mental damage on target',100,2,5),
(38019,139454,'Must be classified as an undead',100,3,6),
(38020,139454,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(38021,139454,'Must be classified as an undead',100,3,8),
(38022,139454,'Cannot be modified except by direct means',100,2,9),
(38023,10139454,'When Equipped:',100,0,0),
(38024,10139454,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(38025,10139454,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(38026,10139454,'Inflicts 281 mental damage on target',100,2,3),
(38027,10139454,'Must not be classified as an undead',100,3,4),
(38028,10139454,'Inflicts 562 mental damage on target',100,2,5),
(38029,10139454,'Must be classified as an undead',100,3,6),
(38030,10139454,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(38031,10139454,'Must be classified as an undead',100,3,8),
(38032,10139454,'Cannot be modified except by direct means',100,2,9),
(38033,109843,'Inflicts 3971 - 5938 melee damage on target',100,1,0),
(38034,109843,'Decreases Parry of target by 61.0',100,1,1),
(38035,109843,'Must be in front of or flanking',100,1,2),
(38036,10109843,'Inflicts 2750 - 4300 melee damage on target',100,1,0),
(38037,10109843,'Decreases Parry of target by 61.0',100,1,1),
(38038,10109843,'Must be in front of or flanking',100,1,2),
(38039,35966,'Increases STR of target by 6.2',100,0,0),
(38040,35966,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(38041,72559,'When Equipped:',100,0,0),
(38042,72559,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38043,72559,'Inflicts 35 - 42 disease damage on target',100,2,2),
(38044,72559,'Inflicts 33 - 40 disease damage on target every 6 seconds',100,2,3),
(38045,72559,'Cannot be modified except by direct means',100,2,4),
(38046,10072559,'When Equipped:',100,0,0),
(38047,10072559,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38048,10072559,'Inflicts 35 - 42 disease damage on target',100,2,2),
(38049,10072559,'Inflicts 33 - 40 disease damage on target every 6 seconds',100,2,3),
(38050,10072559,'Cannot be modified except by direct means',100,2,4),
(38051,123884,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(38052,123884,'Slows target by 39.8%',100,2,1),
(38053,123884,'5% chance to dispel when target receives hostile action',100,2,2),
(38054,123884,'5% chance to dispel when target takes damage',100,2,3),
(38055,123884,'Decreases Mitigation of target vs elemental and noxious damage by 207',100,1,4),
(38056,10123884,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(38057,10123884,'Slows target by 39.8%',100,2,1),
(38058,10123884,'5% chance to dispel when target receives hostile action',100,2,2),
(38059,10123884,'5% chance to dispel when target takes damage',100,2,3),
(38060,10123884,'Decreases Mitigation of target vs elemental and noxious damage by 207',100,1,4),
(38061,100308,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(38062,100308,'Inflicts 1060 divine damage on target',100,2,1),
(38063,10100308,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(38064,10100308,'Inflicts 835 divine damage on target',100,2,1),
(38065,104590,'Makes caster immune to Root effects',100,1,0),
(38066,104590,'Makes caster immune to Stun effects',100,1,1),
(38067,104590,'Makes caster immune to Stifle effects',100,1,2),
(38068,104590,'Makes caster immune to Fear effects',100,1,3),
(38069,104590,'Makes caster immune to Daze effects',100,1,4),
(38070,104590,'Makes caster immune to Mesmerize effects',100,1,5),
(38071,10104590,'Makes caster immune to Root effects',100,1,0),
(38072,10104590,'Makes caster immune to Stun effects',100,1,1),
(38073,10104590,'Makes caster immune to Stifle effects',100,1,2),
(38074,10104590,'Makes caster immune to Fear effects',100,1,3),
(38075,10104590,'Makes caster immune to Daze effects',100,1,4),
(38076,10104590,'Makes caster immune to Mesmerize effects',100,1,5),
(38077,10104590,'Makes caster immune to effects that prevent changing targets',100,1,6),
(38078,71569,'When Equipped:',100,0,0),
(38079,71569,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38080,71569,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(38081,71569,'Cannot be modified except by direct means',100,2,3),
(38082,10071569,'When Equipped:',100,0,0),
(38083,10071569,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38084,10071569,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(38085,10071569,'Cannot be modified except by direct means',100,2,3),
(38086,159562,'Applies Sanguine Imbued when Equipped.',100,0,0),
(38087,159562,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(38088,159562,'Inflicts 194 heat damage on target',100,2,2),
(38089,159562,'Cannot be modified except by direct means',100,2,3),
(38090,10159562,'Applies Sanguine Imbued when Equipped.',100,0,0),
(38091,10159562,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(38092,10159562,'Inflicts 194 heat damage on target',100,2,2),
(38093,10159562,'Cannot be modified except by direct means',100,2,3),
(38094,43374,'When Equipped:',100,0,0),
(38095,43374,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(38096,43374,'Wards target against 4400 points of all damage',100,2,2),
(38097,43374,'Must not be engaged in pvp combat',100,2,3),
(38098,43374,'Cannot be modified except by direct means',100,2,4),
(38099,43374,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(38100,43374,'Cannot be modified except by direct means',100,1,6),
(38101,10043374,'When Equipped:',100,0,0),
(38102,10043374,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(38103,10043374,'Wards target against 4400 points of all damage',100,2,2),
(38104,10043374,'Must not be engaged in pvp combat',100,2,3),
(38105,10043374,'Cannot be modified except by direct means',100,2,4),
(38106,10043374,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(38107,10043374,'Cannot be modified except by direct means',100,1,6),
(38108,117809,'Mesmerizes target',100,1,0),
(38109,117809,'Prevents AOE (except when direct) ',100,1,1),
(38110,117809,'Dispelled when target takes damage',100,1,2),
(38111,117809,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(38112,117809,'Resistibility increases against targets higher than level 107.',100,1,4),
(38113,10117809,'Mesmerizes target',100,1,0),
(38114,10117809,'Prevents AOE (except when direct) ',100,1,1),
(38115,10117809,'Dispelled when target takes damage',100,1,2),
(38116,10117809,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(38117,10117809,'Resistibility increases against targets higher than level 107.',100,1,4),
(38118,82151,'When Equipped:',100,0,0),
(38119,82151,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38120,82151,'Inflicts 245 - 454 magic damage on target',100,2,2),
(38121,82151,'Cannot be modified except by direct means',100,2,3),
(38122,10082151,'When Equipped:',100,0,0),
(38123,10082151,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38124,10082151,'Inflicts 245 - 454 magic damage on target',100,2,2),
(38125,10082151,'Cannot be modified except by direct means',100,2,3),
(38126,54446,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(38127,54446,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(38128,54446,'Inflicts 192 heat damage on target',100,2,2),
(38129,54446,'Cannot be modified except by direct means',100,2,3),
(38130,10054446,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(38131,10054446,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(38132,10054446,'Inflicts 192 heat damage on target',100,2,2),
(38133,10054446,'Cannot be modified except by direct means',100,2,3),
(38134,159037,'Applies Sanguine Imbued when Equipped.',100,0,0),
(38135,159037,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(38136,159037,'Inflicts 238 heat damage on target',100,2,2),
(38137,159037,'Cannot be modified except by direct means',100,2,3),
(38138,10159037,'Applies Sanguine Imbued when Equipped.',100,0,0),
(38139,10159037,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(38140,10159037,'Inflicts 238 heat damage on target',100,2,2),
(38141,10159037,'Cannot be modified except by direct means',100,2,3),
(38142,119351,'Inflicts 1726 - 2097 disease damage on target',100,1,0),
(38143,119351,'Inflicts 297 - 446 disease damage on target every 2 seconds',100,1,1),
(38144,10119351,'Inflicts 1004 - 1309 disease damage on target',100,1,0),
(38145,10119351,'Inflicts 244 - 366 disease damage on target every 2 seconds',100,1,1),
(38146,81353,'When Equipped:',100,0,0),
(38147,81353,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(38148,81353,'Inflicts 155 - 288 magic damage on target',100,2,2),
(38149,81353,'Decreases Threat to target by 352 ',100,2,3),
(38150,81353,'Must be flanking or behind',100,3,4),
(38151,81353,'Increases Threat to target by 617 ',100,2,5),
(38152,81353,'Must be in front of',100,3,6),
(38153,81353,'Cannot be modified except by direct means',100,2,7),
(38154,10081353,'When Equipped:',100,0,0),
(38155,10081353,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(38156,10081353,'Inflicts 155 - 288 magic damage on target',100,2,2),
(38157,10081353,'Cannot be modified except by direct means',100,2,3),
(38158,113363,'Applies Stifle.  Lasts for 5.0 seconds.',100,1,0),
(38159,113363,'Blurs vision of target',100,2,1),
(38160,113363,'Stifles target',100,2,2),
(38161,113363,'Dispelled when target takes damage',100,2,3),
(38162,113363,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(38163,113363,'Resistibility increases against targets higher than level 48.',100,2,5),
(38164,113363,'Roots target',100,1,6),
(38165,113363,'5% chance to dispel when target takes damage',100,1,7),
(38166,113363,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,8),
(38167,113363,'Resistibility increases against targets higher than level 48.',100,1,9),
(38168,10113363,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(38169,10113363,'Blurs vision of target',100,2,1),
(38170,10113363,'Stifles target',100,2,2),
(38171,10113363,'Dispelled when target takes damage',100,2,3),
(38172,10113363,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(38173,10113363,'Resistibility increases against targets higher than level 48.',100,2,5),
(38174,10113363,'Roots target',100,1,6),
(38175,10113363,'5% chance to dispel when target takes damage',100,1,7),
(38176,10113363,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(38177,10113363,'Resistibility increases against targets higher than level 48.',100,1,9),
(38178,120143,'Decreases STR and INT of target by 63.6',100,1,0),
(38179,120143,'Increases STR and INT of caster by 63.6',100,1,1),
(38180,10120143,'Decreases STR and INT of target by 63.6',100,1,0),
(38181,10120143,'Increases STR and INT of caster by 63.6',100,1,1),
(38182,113509,'Inflicts 2357 - 3693 melee damage on targets in area',100,1,0),
(38183,10113509,'Inflicts 1731 - 2784 melee damage on targets in area',100,1,0),
(38184,105680,'Decreases Damage Per Second of target by 36.8',100,1,0),
(38185,105680,'Inflicts 3276 - 4786 melee damage on target',100,1,1),
(38186,105680,'Must be flanking or behind',100,1,2),
(38187,10105680,'Decreases Damage Per Second of target by 36.8',100,1,0),
(38188,10105680,'Inflicts 2202 - 3392 melee damage on target',100,1,1),
(38189,10105680,'Must be flanking or behind',100,1,2),
(38190,108506,'Inflicts 5152 - 6070 melee damage on target',100,1,0),
(38191,108506,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(38192,10108506,'Inflicts 2680 - 3184 melee damage on target',100,1,0),
(38193,10108506,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(38194,112917,'Increases Damage Per Second of caster by 90.2',100,1,0),
(38195,112917,'Increases Ranged of caster by 38.9',100,1,1),
(38196,10112917,'Increases Damage Per Second of caster by 90.2',100,1,0),
(38197,10112917,'Increases Ranged of caster by 38.9',100,1,1),
(38198,123713,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(38199,123713,'Inflicts 1670 divine damage on target',100,2,1),
(38200,123713,'Grants a total of 5 triggers of the spell.',100,2,2),
(38201,10123713,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(38202,10123713,'Inflicts 1260 divine damage on target',100,2,1),
(38203,10123713,'Grants a total of 5 triggers of the spell.',100,2,2),
(38204,124343,'Shapechanges caster into a wolf',100,1,0),
(38205,124343,'Grants See Invisibility to caster',100,1,1),
(38206,124343,'Increases Focus of caster by 50.4',100,1,2),
(38207,124343,'Increases Mitigation of caster vs physical damage by 557',100,1,3),
(38208,124343,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1960',100,1,4),
(38209,10124343,'Shapechanges caster into a wolf',100,1,0),
(38210,10124343,'Grants See Invisibility to caster',100,1,1),
(38211,10124343,'Increases Focus of caster by 50.4',100,1,2),
(38212,10124343,'Increases Mitigation of caster vs physical damage by 557',100,1,3),
(38213,10124343,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1960',100,1,4),
(38214,122349,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(38215,122349,'Inflicts 76 - 93 piercing damage on target',100,2,1),
(38216,10122349,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(38217,10122349,'Inflicts 60 - 73 piercing damage on target',100,2,1),
(38218,108307,'Inflicts 359 - 596 divine damage on target',100,1,0),
(38219,108307,'Heals caster for 0.9% of max health',100,1,1),
(38220,108307,'This effect cannot be critically applied.',100,2,2),
(38221,108307,'The healing of this spell cannot be modified except by direct means',100,1,3),
(38222,10108307,'Inflicts 287 - 476 divine damage on target',100,1,0),
(38223,10108307,'Heals caster for 0.5% of max health',100,1,1),
(38224,10108307,'This effect cannot be critically applied.',100,2,2),
(38225,10108307,'The healing of this spell cannot be modified except by direct means',100,1,3),
(38226,35503,'Increases AGI and WIS of target by 15.4',100,0,0),
(38227,35503,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(38228,114957,'Decreases Attack Speed of target by 7.4',100,1,0),
(38229,114957,'Inflicts 684 - 1088 slashing damage on target',100,1,1),
(38230,114957,'Inflicts 273 slashing damage on target instantly and every 4 seconds',100,1,2),
(38231,10114957,'Decreases Attack Speed of target by 7.4',100,1,0),
(38232,10114957,'Inflicts 503 - 716 slashing damage on target',100,1,1),
(38233,10114957,'Inflicts 215 slashing damage on target instantly and every 4 seconds',100,1,2),
(38234,123697,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(38235,123697,'Inflicts 445 divine damage on target',100,2,1),
(38236,123697,'Grants a total of 5 triggers of the spell.',100,2,2),
(38237,10123697,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(38238,10123697,'Inflicts 364 divine damage on target',100,2,1),
(38239,10123697,'Grants a total of 5 triggers of the spell.',100,2,2),
(38240,121831,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(38241,121831,'Increases Mitigation of group members (AE) vs arcane damage by 550',100,1,1),
(38242,10121831,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(38243,10121831,'Increases Mitigation of group members (AE) vs arcane damage by 550',100,1,1),
(38244,118875,'Inflicts 681 - 1126 melee damage on target',100,1,0),
(38245,118875,'Inflicts 194 - 321 melee damage on target',100,1,1),
(38246,118875,'Inflicts 194 - 321 melee damage on target',100,1,2),
(38247,118875,'Inflicts 194 - 321 melee damage on target',100,1,3),
(38248,118875,'Inflicts 194 - 321 melee damage on target',100,1,4),
(38249,10118875,'Inflicts 547 - 648 melee damage on target',100,1,0),
(38250,10118875,'Inflicts 152 - 253 melee damage on target',100,1,1),
(38251,10118875,'Inflicts 152 - 253 melee damage on target',100,1,2),
(38252,10118875,'Inflicts 152 - 253 melee damage on target',100,1,3),
(38253,10118875,'Inflicts 152 - 253 melee damage on target',100,1,4),
(38254,108377,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(38255,108377,'Increases Mitigation of group members (AE) vs arcane damage by 1738',100,1,1),
(38256,10108377,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(38257,10108377,'Increases Mitigation of group members (AE) vs arcane damage by 1738',100,1,1),
(38258,87357,'When Equipped:',100,0,0),
(38259,87357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38260,87357,'Inflicts 192 - 289 magic damage on target',100,2,2),
(38261,87357,'Cannot be modified except by direct means',100,2,3),
(38262,10087357,'When Equipped:',100,0,0),
(38263,10087357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38264,10087357,'Inflicts 192 - 289 magic damage on target',100,2,2),
(38265,10087357,'Cannot be modified except by direct means',100,2,3),
(38266,172190,'When Equipped:',100,0,0),
(38267,172190,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(38268,172190,'Inflicts 2664 disease damage on target encounter',100,2,2),
(38269,172190,'Must not be engaged in pvp combat',100,2,3),
(38270,172190,'Cannot be modified except by direct means',100,2,4),
(38271,10172190,'When Equipped:',100,0,0),
(38272,10172190,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(38273,10172190,'Inflicts 1332 disease damage on target encounter',100,2,2),
(38274,10172190,'Must not be engaged in pvp combat',100,2,3),
(38275,10172190,'Cannot be modified except by direct means',100,2,4),
(38276,46664,'Applies Leash when Activated.',100,0,0),
(38277,10046664,'Applies Leash when Activated.',100,0,0),
(38278,111361,'Inflicts 744 - 1239 disease damage on target',100,1,0),
(38279,111361,'Heals caster for 247 - 412',100,1,1),
(38280,10111361,'Inflicts 618 - 979 disease damage on target',100,1,0),
(38281,10111361,'Heals caster for 133 - 222',100,1,1),
(38282,113660,'Inflicts 1722 - 2068 disease damage on target encounter',100,1,0),
(38283,113660,'Inflicts 1558 - 1905 disease damage on target encounter every 5 seconds',100,1,1),
(38284,113660,'Decreases power of target encounter by 260 - 317 instantly and every 5 seconds',100,1,2),
(38285,113660,'Heals group members (AE) for 1027 - 1219',100,1,3),
(38286,113660,'Heals group members (AE) for 863 - 1055 every 5 seconds',100,1,4),
(38287,113660,'Increases power of group members (AE) by 144 - 176 instantly and every 5 seconds',100,1,5),
(38288,10113660,'Inflicts 1294 - 1567 disease damage on target encounter',100,1,0),
(38289,10113660,'Inflicts 1228 - 1501 disease damage on target encounter every 5 seconds',100,1,1),
(38290,10113660,'Decreases power of target encounter by 205 - 250 instantly and every 5 seconds',100,1,2),
(38291,10113660,'Heals group members (AE) for 485 - 583',100,1,3),
(38292,10113660,'Heals group members (AE) for 442 - 540 every 5 seconds',100,1,4),
(38293,10113660,'Increases power of group members (AE) by 113 - 139 instantly and every 5 seconds',100,1,5),
(38294,105766,'Inflicts 431 - 526 heat damage on target',100,1,0),
(38295,10105766,'Inflicts 443 - 542 heat damage on target',100,1,0),
(38296,74629,'When Equipped:',100,0,0),
(38297,74629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38298,74629,'Inflicts 69 - 103 magic damage on target',100,2,2),
(38299,74629,'Cannot be modified except by direct means',100,2,3),
(38300,10074629,'When Equipped:',100,0,0),
(38301,10074629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38302,10074629,'Inflicts 69 - 103 magic damage on target',100,2,2),
(38303,10074629,'Cannot be modified except by direct means',100,2,3),
(38304,100885,'Makes target afraid',100,1,0),
(38305,100885,'30% chance to dispel when target takes damage',100,1,1),
(38306,100885,'Does not affect Epic targets',100,1,2),
(38307,100885,'Resistibility increases against targets higher than level 106.',100,1,3),
(38308,10100885,'Makes target afraid',100,1,0),
(38309,10100885,'30% chance to dispel when target takes damage',100,1,1),
(38310,10100885,'Does not affect Epic targets',100,1,2),
(38311,10100885,'Resistibility increases against targets higher than level 106.',100,1,3),
(38312,81040,'When Equipped:',100,0,0),
(38313,81040,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(38314,81040,'Inflicts 290 - 538 magic damage on target',100,2,2),
(38315,81040,'Decreases Threat to target by 517 ',100,2,3),
(38316,81040,'Must be flanking or behind',100,3,4),
(38317,81040,'Increases Threat to target by 905 ',100,2,5),
(38318,81040,'Must be in front of',100,3,6),
(38319,81040,'Cannot be modified except by direct means',100,2,7),
(38320,10081040,'When Equipped:',100,0,0),
(38321,10081040,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(38322,10081040,'Inflicts 290 - 538 magic damage on target',100,2,2),
(38323,10081040,'Cannot be modified except by direct means',100,2,3),
(38324,105477,'Stuns target encounter',100,1,0),
(38325,105477,'If Target is not Epic',100,2,1),
(38326,105477,'Inflicts 1336 - 2201 poison damage on target encounter',100,1,2),
(38327,105477,'Resistibility increases against targets higher than level 65.',100,1,3),
(38328,10105477,'Stuns target encounter',100,1,0),
(38329,10105477,'If Target is not Epic',100,2,1),
(38330,10105477,'Inflicts 926 - 1608 poison damage on target encounter',100,1,2),
(38331,10105477,'Resistibility increases against targets higher than level 65.',100,1,3),
(38332,173138,'When Equipped:',100,0,0),
(38333,173138,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(38334,173138,'Inflicts 2664 disease damage on target encounter',100,2,2),
(38335,173138,'Must not be engaged in pvp combat',100,2,3),
(38336,173138,'Cannot be modified except by direct means',100,2,4),
(38337,10173138,'When Equipped:',100,0,0),
(38338,10173138,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(38339,10173138,'Inflicts 1332 disease damage on target encounter',100,2,2),
(38340,10173138,'Must not be engaged in pvp combat',100,2,3),
(38341,10173138,'Cannot be modified except by direct means',100,2,4),
(38342,101526,'Increases WIS of target by 109.0',100,1,0),
(38343,101526,'Increases Max Health of target by 964.3',100,1,1),
(38344,101526,'Increases Mitigation of target vs elemental, noxious and arcane damage by 297',100,1,2),
(38345,10101526,'Increases WIS of target by 109.0',100,1,0),
(38346,10101526,'Increases Max Health of target by 964.3',100,1,1),
(38347,10101526,'Increases Mitigation of target vs elemental, noxious and arcane damage by 297',100,1,2),
(38348,118556,'Dazes caster',100,1,0),
(38349,118556,'Roots caster',100,1,1),
(38350,118556,'Increases Mitigation of caster vs physical damage by 1120',100,1,2),
(38351,10118556,'Dazes caster',100,1,0),
(38352,10118556,'Roots caster',100,1,1),
(38353,10118556,'Increases Mitigation of caster vs physical damage by 1120',100,1,2),
(38354,71776,'When Equipped:',100,0,0),
(38355,71776,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38356,71776,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(38357,71776,'Cannot be modified except by direct means',100,2,3),
(38358,10071776,'When Equipped:',100,0,0),
(38359,10071776,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38360,10071776,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(38361,10071776,'Cannot be modified except by direct means',100,2,3),
(38362,48097,'Applies Draw upon Essence when Activated.',100,0,0),
(38363,48097,'Increases power of caster by 437',100,1,1),
(38364,48097,'Requires 715 Health to cast.',100,1,2),
(38365,10048097,'Applies Draw upon Essence when Activated.',100,0,0),
(38366,10048097,'Increases power of caster by 437',100,1,1),
(38367,10048097,'Requires 715 Health to cast.',100,1,2),
(38368,159287,'Applies Sanguine Imbued when Equipped.',100,0,0),
(38369,159287,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(38370,159287,'Inflicts 108 heat damage on target',100,2,2),
(38371,159287,'Cannot be modified except by direct means',100,2,3),
(38372,10159287,'Applies Sanguine Imbued when Equipped.',100,0,0),
(38373,10159287,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(38374,10159287,'Inflicts 108 heat damage on target',100,2,2),
(38375,10159287,'Cannot be modified except by direct means',100,2,3),
(38376,116949,'Increases Threat to target by 2,696 - 3,179 ',100,1,0),
(38377,116949,'Interrupts target',100,1,1),
(38378,10116949,'Forces target to change their selected target to caster.',100,1,0),
(38379,10116949,'Interrupts target',100,1,1),
(38380,10116949,'Prevents target from changing targets',100,1,2),
(38381,73263,'Applies Frost Blast when Activated.',100,0,0),
(38382,73263,'Inflicts 250 - 417 cold damage on target',100,1,1),
(38383,73263,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(38384,10073263,'Applies Frost Blast when Activated.',100,0,0),
(38385,10073263,'Inflicts 250 - 417 cold damage on target',100,1,1),
(38386,10073263,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(38387,101860,'Stuns target',100,1,0),
(38388,101860,'Does not affect Epic targets',100,1,1),
(38389,101860,'Resistibility increases against targets higher than level 82.',100,1,2),
(38390,10101860,'Stuns target',100,1,0),
(38391,10101860,'Does not affect Epic targets',100,1,1),
(38392,10101860,'Resistibility increases against targets higher than level 82.',100,1,2),
(38393,82489,'When Equipped:',100,0,0),
(38394,82489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38395,82489,'Inflicts 245 - 454 magic damage on target',100,2,2),
(38396,82489,'Cannot be modified except by direct means',100,2,3),
(38397,10082489,'When Equipped:',100,0,0),
(38398,10082489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38399,10082489,'Inflicts 245 - 454 magic damage on target',100,2,2),
(38400,10082489,'Cannot be modified except by direct means',100,2,3),
(38401,116795,'Increases STR, AGI, WIS and INT of target by 67.5',100,1,0),
(38402,116795,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(38403,116795,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(38404,116795,'Increases Attack Speed of target by 52.2',100,2,3),
(38405,116795,'Increases Damage Per Second of target by 52.2',100,2,4),
(38406,116795,'Adds 2.6% to base avoidance.',100,1,5),
(38407,116795,'Increases Mitigation of target vs elemental, noxious and arcane damage by 199',100,1,6),
(38408,10116795,'Increases STR, AGI, WIS and INT of target by 67.5',100,1,0),
(38409,10116795,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(38410,10116795,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(38411,10116795,'Increases Attack Speed of target by 52.2',100,2,3),
(38412,10116795,'Increases Damage Per Second of target by 52.2',100,2,4),
(38413,10116795,'Adds 2.6% to base avoidance.',100,1,5),
(38414,10116795,'Increases Mitigation of target vs elemental, noxious and arcane damage by 199',100,1,6),
(38415,176544,'When Equipped:',100,0,0),
(38416,176544,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(38417,176544,'Inflicts 48 disease damage on target',100,2,2),
(38418,176544,'Cannot be modified except by direct means',100,2,3),
(38419,10176544,'When Equipped:',100,0,0),
(38420,10176544,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(38421,10176544,'Inflicts 48 disease damage on target',100,2,2),
(38422,10176544,'Cannot be modified except by direct means',100,2,3),
(38423,119184,'Inflicts 671 - 1111 heat damage on target',100,1,0),
(38424,119184,'Inflicts 334 - 555 heat damage on target',100,1,1),
(38425,119184,'Requires bow',100,1,2),
(38426,10119184,'Inflicts 661 - 836 heat damage on target',100,1,0),
(38427,10119184,'Inflicts 266 - 442 heat damage on target',100,1,1),
(38428,10119184,'Requires bow',100,1,2),
(38429,123733,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(38430,10123733,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(38431,114163,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(38432,114163,'Heals target for 2918',100,2,1),
(38433,114163,'Grants a total of 1 trigger of the spell.',100,2,2),
(38434,10114163,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(38435,10114163,'Heals target for 1413',100,2,1),
(38436,10114163,'Grants a total of 1 trigger of the spell.',100,2,2),
(38437,81529,'When Equipped:',100,0,0),
(38438,81529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38439,81529,'Inflicts 196 - 364 magic damage on target',100,2,2),
(38440,81529,'Cannot be modified except by direct means',100,2,3),
(38441,10081529,'When Equipped:',100,0,0),
(38442,10081529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38443,10081529,'Inflicts 196 - 364 magic damage on target',100,2,2),
(38444,10081529,'Cannot be modified except by direct means',100,2,3),
(38445,106841,'Decreases Crushing, Piercing, Slashing and Ranged of target by 22.5',100,1,0),
(38446,10106841,'Decreases Crushing, Piercing, Slashing and Ranged of target by 22.5',100,1,0),
(38447,106172,'Wards target against 123 points of all damage',100,1,0),
(38448,106172,'Decreases INT of target by 54.0',100,1,1),
(38449,106172,'Decreases Attack Speed of target by 25.0',100,1,2),
(38450,106172,'Increases Max Health of target by 14.0%',100,1,3),
(38451,106172,'Increases Hate Gain of target by 25.2%',100,1,4),
(38452,106172,'Increases Aggression of target by 5.9',100,1,5),
(38453,106172,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(38454,106172,'Increases Threat to target encounter by 235 - 287 ',100,2,7),
(38455,106172,'Increases Mitigation of target vs elemental, noxious and arcane damage by 392',100,1,8),
(38456,10106172,'Wards target against 98 points of all damage',100,1,0),
(38457,10106172,'Decreases INT of target by 54.0',100,1,1),
(38458,10106172,'Decreases Attack Speed of target by 25.0',100,1,2),
(38459,10106172,'Increases Max Health of target by 14.0%',100,1,3),
(38460,10106172,'Increases Aggression of target by 5.9',100,1,4),
(38461,10106172,'Increases Mitigation of target vs elemental, noxious and arcane damage by 392',100,1,5),
(38462,75139,'When Equipped:',100,0,0),
(38463,75139,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(38464,10075139,'When Equipped:',100,0,0),
(38465,10075139,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(38466,105780,'Inflicts 1324 - 1618 heat damage on target',100,1,0),
(38467,10105780,'Inflicts 1189 - 1366 heat damage on target',100,1,0),
(38468,103305,'Applies Migraine on termination.',100,1,0),
(38469,103305,'Inflicts 159 - 215 mental damage on target',100,2,1),
(38470,103305,'Inflicts 219 - 267 mental damage on target',100,1,2),
(38471,103305,'Inflicts 63 - 76 mental damage on target every 6 seconds',100,1,3),
(38472,10103305,'Applies Migraine on termination.',100,1,0),
(38473,10103305,'Inflicts 130 - 176 mental damage on target',100,2,1),
(38474,10103305,'Inflicts 206 - 251 mental damage on target',100,1,2),
(38475,10103305,'Inflicts 49 - 60 mental damage on target every 6 seconds',100,1,3),
(38476,105106,'Inflicts 2895 - 3570 magic damage on target',100,1,0),
(38477,10105106,'Inflicts 1902 - 2434 magic damage on target',100,1,0),
(38478,154343,'Applies Full Body Elemental Environmental Suit when Equipped.',100,0,0),
(38479,154343,'Converts 4.5% of all elemental damage received into power gain.',100,1,1),
(38480,10154343,'Applies Full Body Elemental Environmental Suit when Equipped.',100,0,0),
(38481,10154343,'Converts 4.5% of all elemental damage received into power gain.',100,1,1),
(38482,113581,'Mesmerizes target',100,1,0),
(38483,113581,'Prevents AOE (except when direct) ',100,1,1),
(38484,113581,'Dispelled when target takes damage',100,1,2),
(38485,113581,'Does not affect Epic x2 targets',100,1,3),
(38486,113581,'Resistibility increases against targets higher than level 99.',100,1,4),
(38487,10113581,'Mesmerizes target',100,1,0),
(38488,10113581,'Prevents AOE (except when direct) ',100,1,1),
(38489,10113581,'Dispelled when target takes damage',100,1,2),
(38490,10113581,'Does not affect Epic x2 targets',100,1,3),
(38491,10113581,'Resistibility increases against targets higher than level 99.',100,1,4),
(38492,90456,'When Equipped:',100,0,0),
(38493,90456,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(38494,90456,'Inflicts 153 - 284 magic damage on target',100,2,2),
(38495,90456,'Cannot be modified except by direct means',100,2,3),
(38496,10090456,'When Equipped:',100,0,0),
(38497,10090456,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(38498,10090456,'Inflicts 153 - 284 magic damage on target',100,2,2),
(38499,10090456,'Cannot be modified except by direct means',100,2,3),
(38500,122903,'Increases STR and INT of group members (AE) by 29.4',100,1,0),
(38501,10122903,'Increases STR and INT of group members (AE) by 29.4',100,1,0),
(38502,107779,'Summons a pet an Enchanted Snowman',100,1,0),
(38503,10107779,'Summons a pet an Enchanted Snowman',100,1,0),
(38504,134720,'When Equipped:',100,0,0),
(38505,134720,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(38506,134720,'Reduces healing received by 15.00%',100,2,2),
(38507,134720,'Cannot be modified except by direct means',100,2,3),
(38508,134720,'This effect can only trigger once every 1 second.',100,2,4),
(38509,134720,'Must be engaged in pvp combat',100,1,5),
(38510,10134720,'When Equipped:',100,0,0),
(38511,10134720,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(38512,10134720,'Reduces healing received by 15.00%',100,2,2),
(38513,10134720,'Cannot be modified except by direct means',100,2,3),
(38514,10134720,'This effect can only trigger once every 1 second.',100,2,4),
(38515,10134720,'Must be engaged in pvp combat',100,1,5),
(38516,101189,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(38517,101189,'Slows target by 45.8%',100,2,1),
(38518,101189,'5% chance to dispel when target receives hostile action',100,2,2),
(38519,101189,'5% chance to dispel when target takes damage',100,2,3),
(38520,101189,'Inflicts 1919 - 2575 cold damage on target',100,1,4),
(38521,101189,'Inflicts 959 - 1592 cold damage on target',100,1,5),
(38522,101189,'If weapon equipped in Ranged',100,1,6),
(38523,10101189,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(38524,10101189,'Slows target by 45.8%',100,2,1),
(38525,10101189,'5% chance to dispel when target receives hostile action',100,2,2),
(38526,10101189,'5% chance to dispel when target takes damage',100,2,3),
(38527,10101189,'Inflicts 961 - 1336 cold damage on target',100,1,4),
(38528,10101189,'Inflicts 567 - 941 cold damage on target',100,1,5),
(38529,10101189,'If weapon equipped in Ranged',100,1,6),
(38530,162725,'Applies Unstable Magics when Equipped.',100,0,0),
(38531,162725,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(38532,10162725,'Applies Unstable Magics when Equipped.',100,0,0),
(38533,10162725,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(38534,177671,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(38535,177671,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(38536,177671,'Inflicts 90 heat damage on target',100,2,2),
(38537,177671,'Cannot be modified except by direct means',100,2,3),
(38538,10177671,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(38539,10177671,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(38540,10177671,'Inflicts 90 heat damage on target',100,2,2),
(38541,10177671,'Cannot be modified except by direct means',100,2,3),
(38542,71309,'When Equipped:',100,0,0),
(38543,71309,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(38544,71309,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(38545,71309,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(38546,71309,'Increases Threat to target by 4,805  instantly and every 4 seconds thereafter',100,2,4),
(38547,71309,'Increases Hate Gain of caster by 12.0%',100,2,5),
(38548,71309,'Must not be engaged in pvp combat',100,2,6),
(38549,71309,'Cannot be modified except by direct means',100,2,7),
(38550,71309,'Must not be engaged in pvp combat',100,1,8),
(38551,10071309,'When Equipped:',100,0,0),
(38552,10071309,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(38553,10071309,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(38554,10071309,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(38555,10071309,'Must not be engaged in pvp combat',100,2,4),
(38556,10071309,'Cannot be modified except by direct means',100,2,5),
(38557,10071309,'Must not be engaged in pvp combat',100,1,6),
(38558,118931,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(38559,118931,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 914',100,1,1),
(38560,118931,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,2),
(38561,10118931,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(38562,10118931,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 914',100,1,1),
(38563,10118931,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,2),
(38564,112778,'Interrupts target',100,1,0),
(38565,112778,'Inflicts 2233 - 3463 divine damage on target',100,1,1),
(38566,10112778,'Interrupts target',100,1,0),
(38567,10112778,'Inflicts 1568 - 2350 divine damage on target',100,1,1),
(38568,113379,'Applies Stifle.  Lasts for 8.0 seconds.',100,1,0),
(38569,113379,'Blurs vision of target',100,2,1),
(38570,113379,'Stifles target',100,2,2),
(38571,113379,'Dispelled when target takes damage',100,2,3),
(38572,113379,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,4),
(38573,113379,'Resistibility increases against targets higher than level 90.',100,2,5),
(38574,113379,'Roots target',100,1,6),
(38575,113379,'5% chance to dispel when target takes damage',100,1,7),
(38576,113379,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,8),
(38577,113379,'Resistibility increases against targets higher than level 90.',100,1,9),
(38578,10113379,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(38579,10113379,'Stifles target',100,2,1),
(38580,10113379,'Blurs vision of target',100,2,2),
(38581,10113379,'Dispelled when target takes damage',100,2,3),
(38582,10113379,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(38583,10113379,'Resistibility increases against targets higher than level 90.',100,2,5),
(38584,10113379,'Roots target',100,1,6),
(38585,10113379,'5% chance to dispel when target takes damage',100,1,7),
(38586,10113379,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(38587,10113379,'Resistibility increases against targets higher than level 90.',100,1,9),
(38588,117910,'Increases In-Combat Health Regeneration of group members (AE) by 105.0',100,1,0),
(38589,117910,'Increases Max Health of group members (AE) by 562.5',100,1,1),
(38590,10117910,'Increases In-Combat Health Regeneration of group members (AE) by 105.0',100,1,0),
(38591,10117910,'Increases Max Health of group members (AE) by 562.5',100,1,1),
(38592,108353,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(38593,108353,'Increases Mitigation of group members (AE) vs arcane damage by 375',100,1,1),
(38594,10108353,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(38595,10108353,'Increases Mitigation of group members (AE) vs arcane damage by 375',100,1,1),
(38596,90430,'When Equipped:',100,0,0),
(38597,90430,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38598,90430,'Slows target by 20.0%',100,2,2),
(38599,90430,'Cannot be modified except by direct means',100,2,3),
(38600,10090430,'When Equipped:',100,0,0),
(38601,10090430,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38602,10090430,'Slows target by 20.0%',100,2,2),
(38603,10090430,'Cannot be modified except by direct means',100,2,3),
(38604,47251,'Applies Murky Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(38605,47251,'Heals caster for 209',100,1,1),
(38606,47251,'Heals caster for 105 every 5 seconds',100,1,2),
(38607,47251,'Only affects targets level 50 and above',100,1,3),
(38608,10047251,'Applies Murky Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(38609,10047251,'Heals caster for 136',100,1,1),
(38610,10047251,'Heals caster for 68 every 5 seconds',100,1,2),
(38611,10047251,'Only affects targets level 50 and above',100,1,3),
(38612,81606,'When Equipped:',100,0,0),
(38613,81606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38614,81606,'Inflicts 196 - 364 magic damage on target',100,2,2),
(38615,81606,'Cannot be modified except by direct means',100,2,3),
(38616,10081606,'When Equipped:',100,0,0),
(38617,10081606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38618,10081606,'Inflicts 196 - 364 magic damage on target',100,2,2),
(38619,10081606,'Cannot be modified except by direct means',100,2,3),
(38620,110262,'Inflicts 2466 - 3712 melee damage on target',100,1,0),
(38621,110262,'Slows target by 65.8%',100,1,1),
(38622,110262,'5% chance to dispel when target receives hostile action',100,1,2),
(38623,110262,'5% chance to dispel when target takes damage',100,1,3),
(38624,10110262,'Inflicts 1691 - 2545 melee damage on target',100,1,0),
(38625,10110262,'Slows target by 65.8%',100,1,1),
(38626,10110262,'5% chance to dispel when target receives hostile action',100,1,2),
(38627,10110262,'5% chance to dispel when target takes damage',100,1,3),
(38628,121999,'Inflicts 667 - 1106 melee damage on targets in area',100,1,0),
(38629,121999,'Increases Threat to target encounter by 3,002 ',100,1,1),
(38630,10121999,'Inflicts 525 - 872 melee damage on targets in area',100,1,0),
(38631,10121999,'Prevents target encounter from changing targets',100,1,1),
(38632,10121999,'Forces target encounter to change their selected target to caster.',100,1,2),
(38633,88130,'Applies Celestial Glow when Equipped.',100,0,0),
(38634,10088130,'Applies Celestial Glow when Equipped.',100,0,0),
(38635,110032,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(38636,110032,'Inflicts 1099 - 1831 disease damage on target',100,2,1),
(38637,110032,'Heals caster for 2.4 - 3.9% of max health',100,2,2),
(38638,110032,'This effect cannot be critically applied.',100,3,3),
(38639,110032,'The healing of this spell cannot be modified except by direct means',100,2,4),
(38640,10110032,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(38641,10110032,'Inflicts 866 - 1443 disease damage on target',100,2,1),
(38642,10110032,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(38643,10110032,'This effect cannot be critically applied.',100,3,3),
(38644,10110032,'The healing of this spell cannot be modified except by direct means',100,2,4),
(38645,122983,'Decreases Damage Per Second of target encounter by 14.2',100,1,0),
(38646,10122983,'Decreases Damage Per Second of target encounter by 14.2',100,1,0),
(38647,102241,'Increases Max Health of group members (AE) by 814.4',100,1,0),
(38648,10102241,'Increases Max Health of group members (AE) by 814.4',100,1,0),
(38649,107365,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(38650,107365,'Increases Threat to target by 2,614 ',100,2,1),
(38651,10107365,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(38652,10107365,'Inflicts 329 - 363 crushing damage on target',100,2,1),
(38653,45666,'Applies Clouded Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(38654,45666,'Increases INT and WIS of caster by 47.0',100,1,1),
(38655,45666,'Only affects targets level 50 and above',100,1,2),
(38656,10045666,'Applies Clouded Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(38657,10045666,'Increases INT and WIS of caster by 47.0',100,1,1),
(38658,10045666,'Only affects targets level 50 and above',100,1,2),
(38659,35936,'Increases AGI of target by 6.2',100,0,0),
(38660,35936,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(38661,26106,'When Equipped:',100,0,0),
(38662,26106,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(38663,26106,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(38664,10026106,'When Equipped:',100,0,0),
(38665,10026106,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(38666,10026106,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(38667,140726,'When Equipped:',100,0,0),
(38668,140726,'Increases Out-of-Combat Health Regeneration of caster by 13.5',100,1,1),
(38669,140726,'This effect suspends during combat',100,1,2),
(38670,10140726,'When Equipped:',100,0,0),
(38671,10140726,'Increases Out-of-Combat Health Regeneration of caster by 13.5',100,1,1),
(38672,10140726,'This effect suspends during combat',100,1,2),
(38673,122412,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(38674,122412,'Inflicts 124 - 152 piercing damage on target encounter',100,2,1),
(38675,10122412,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(38676,10122412,'Inflicts 98 - 120 piercing damage on target encounter',100,2,1),
(38677,120685,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 5.1',100,1,0),
(38678,10120685,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 5.1',100,1,0),
(38679,102209,'Increases Mitigation of group members (AE) vs physical damage by 1247',100,1,0),
(38680,10102209,'Increases Mitigation of group members (AE) vs physical damage by 1247',100,1,0),
(38681,116679,'Heals group members (AE) for 7.7 - 9.4% of max health',100,1,0),
(38682,116679,'This effect cannot be critically applied.',100,2,1),
(38683,116679,'Increases Max Health of group members (AE) by 294.0',100,1,2),
(38684,116679,'The healing of this spell cannot be modified except by direct means',100,1,3),
(38685,10116679,'Heals group members (AE) for 2.4 - 3.0% of max health',100,1,0),
(38686,10116679,'This effect cannot be critically applied.',100,2,1),
(38687,10116679,'Increases Max Health of group members (AE) by 294.0',100,1,2),
(38688,10116679,'The healing of this spell cannot be modified except by direct means',100,1,3),
(38689,141865,'When Equipped:',100,0,0),
(38690,141865,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(38691,141865,'Increases AGI of caster by 8.8',100,2,2),
(38692,141865,'Increases Attack Speed of caster by 13.2',100,2,3),
(38693,141865,'Cannot be modified except by direct means',100,2,4),
(38694,10141865,'When Equipped:',100,0,0),
(38695,10141865,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(38696,10141865,'Increases AGI of caster by 8.8',100,2,2),
(38697,10141865,'Increases Attack Speed of caster by 13.2',100,2,3),
(38698,10141865,'Cannot be modified except by direct means',100,2,4),
(38699,104658,'Decreases Mitigation of target vs all damage by 65',100,1,0),
(38700,10104658,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 65',100,1,0),
(38701,10104658,'Decreases Mitigation of target vs physical damage by 54',100,1,1),
(38702,75502,'When Equipped:',100,0,0),
(38703,75502,'On any combat or spell hit this spell may cast Exalted Wave IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(38704,75502,'Inflicts 491 - 542 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(38705,75502,'Heals group members (AE) for 245 - 270 instantly and every 2 seconds',100,2,3),
(38706,75502,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(38707,75502,'Must not be engaged in pvp combat',100,2,5),
(38708,75502,'Cannot be modified except by direct means',100,2,6),
(38709,75502,'Must not be engaged in pvp combat',100,1,7),
(38710,10075502,'When Equipped:',100,0,0),
(38711,10075502,'On any combat or spell hit this spell may cast Exalted Wave IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(38712,10075502,'Inflicts 491 - 542 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(38713,10075502,'Heals group members (AE) for 159 - 176 instantly and every 2 seconds',100,2,3),
(38714,10075502,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(38715,10075502,'Must not be engaged in pvp combat',100,2,5),
(38716,10075502,'Cannot be modified except by direct means',100,2,6),
(38717,10075502,'Must not be engaged in pvp combat',100,1,7),
(38718,103152,'Throws target back',100,1,0),
(38719,103152,'If Target is not Epic',100,2,1),
(38720,103152,'Inflicts 425 - 1258 crushing damage on target',100,1,2),
(38721,103152,'Stuns target',100,1,3),
(38722,103152,'If Target is not Epic',100,2,4),
(38723,103152,'Resistibility increases against targets higher than level 56.',100,1,5),
(38724,10103152,'Throws target back',100,1,0),
(38725,10103152,'If Target is not Epic',100,2,1),
(38726,10103152,'Inflicts 335 - 991 crushing damage on target',100,1,2),
(38727,10103152,'Stuns target',100,1,3),
(38728,10103152,'If Target is not Epic',100,2,4),
(38729,10103152,'Resistibility increases against targets higher than level 56.',100,1,5),
(38730,112371,'Makes target afraid',100,1,0),
(38731,112371,'30% chance to dispel when target takes damage',100,1,1),
(38732,112371,'Does not affect Epic targets',100,1,2),
(38733,112371,'Resistibility increases against targets higher than level 121.',100,1,3),
(38734,10112371,'Makes target afraid',100,1,0),
(38735,10112371,'30% chance to dispel when target takes damage',100,1,1),
(38736,10112371,'Does not affect Epic targets',100,1,2),
(38737,10112371,'Resistibility increases against targets higher than level 121.',100,1,3),
(38738,123294,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(38739,123294,'Inflicts 662 - 1103 disease damage on target',100,2,1),
(38740,123294,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(38741,123294,'This effect cannot be critically applied.',100,3,3),
(38742,123294,'The healing of this spell cannot be modified except by direct means',100,2,4),
(38743,10123294,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(38744,10123294,'Inflicts 522 - 869 disease damage on target',100,2,1),
(38745,10123294,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(38746,10123294,'This effect cannot be critically applied.',100,3,3),
(38747,10123294,'The healing of this spell cannot be modified except by direct means',100,2,4),
(38748,111703,'Inflicts 3458 - 4008 cold damage on target',100,1,0),
(38749,111703,'Inflicts 2475 - 3026 cold damage on target',100,1,1),
(38750,111703,'If target is elemental',100,2,2),
(38751,10111703,'Inflicts 2067 - 2439 cold damage on target',100,1,0),
(38752,45103,'Applies Distribute Propaganda when Activated.  Lasts for 1.0 second.',100,0,0),
(38753,45103,'Must be in zone Great Divide',100,1,1),
(38754,45103,'If target is gnome',100,1,2),
(38755,10045103,'Applies Distribute Propaganda when Activated.  Lasts for 1.0 second.',100,0,0),
(38756,10045103,'Must be in zone Great Divide',100,1,1),
(38757,10045103,'If target is gnome',100,1,2),
(38758,181455,'When Equipped:',100,0,0),
(38759,181455,'On a damage spell hit this spell may cast Spirit Drain on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(38760,181455,'Inflicts 1261 heat damage on target',100,2,2),
(38761,181455,'Heals caster for 630',100,2,3),
(38762,181455,'Increases power of caster by 317',100,2,4),
(38763,181455,'Cannot be modified except by direct means',100,2,5),
(38764,181455,'Cannot be modified except by direct means',100,1,6),
(38765,10181455,'When Equipped:',100,0,0),
(38766,10181455,'On a damage spell hit this spell may cast Spirit Drain on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(38767,10181455,'Inflicts 1072 heat damage on target',100,2,2),
(38768,10181455,'Heals caster for 348',100,2,3),
(38769,10181455,'Increases power of caster by 317',100,2,4),
(38770,10181455,'Cannot be modified except by direct means',100,2,5),
(38771,10181455,'Cannot be modified except by direct means',100,1,6),
(38772,50127,'When Equipped:',100,0,0),
(38773,50127,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(38774,50127,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(38775,50127,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(38776,50127,'Heals target for 1777',100,3,4),
(38777,50127,'Must not be engaged in pvp combat',100,3,5),
(38778,50127,'Cannot be modified except by direct means',100,3,6),
(38779,50127,'Grants a total of 5 triggers of the spell.',100,3,7),
(38780,50127,'Must not be engaged in pvp combat',100,2,8),
(38781,50127,'Cannot be modified except by direct means',100,2,9),
(38782,50127,'Cannot be modified except by direct means',100,1,10),
(38783,10050127,'When Equipped:',100,0,0),
(38784,10050127,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(38785,10050127,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(38786,10050127,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(38787,10050127,'Heals target for 2080',100,3,4),
(38788,10050127,'Must not be engaged in pvp combat',100,3,5),
(38789,10050127,'Cannot be modified except by direct means',100,3,6),
(38790,10050127,'Grants a total of 5 triggers of the spell.',100,3,7),
(38791,10050127,'Must not be engaged in pvp combat',100,2,8),
(38792,10050127,'Cannot be modified except by direct means',100,2,9),
(38793,10050127,'Cannot be modified except by direct means',100,1,10),
(38794,111475,'Increases AGI of caster by 19.9',100,1,0),
(38795,111475,'Increases Attack Speed of caster by 16.9',100,1,1),
(38796,111475,'Increases in-combat movement speed of caster by 4.7%',100,1,2),
(38797,111475,'Adds 14.8% to base avoidance.',100,1,3),
(38798,111475,'Increases Mitigation of caster vs physical damage by 180',100,1,4),
(38799,111475,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,5),
(38800,10111475,'Increases AGI of caster by 19.9',100,1,0),
(38801,10111475,'Increases Attack Speed of caster by 16.9',100,1,1),
(38802,10111475,'Increases speed of caster by 4.7%',100,1,2),
(38803,10111475,'Adds 14.8% to base avoidance.',100,1,3),
(38804,10111475,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,4),
(38805,110389,'Increases STR and AGI of group members (AE) by 59.6',100,1,0),
(38806,110389,'Adds 1.5% to base avoidance.',100,1,1),
(38807,10110389,'Increases STR and AGI of group members (AE) by 59.6',100,1,0),
(38808,10110389,'Adds 1.5% to base avoidance.',100,1,1),
(38809,115329,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(38810,115329,'Makes target afraid',100,2,1),
(38811,115329,'Slows target by 51.2%',100,2,2),
(38812,115329,'30% chance to dispel when target takes damage',100,2,3),
(38813,115329,'Does not affect Epic targets',100,2,4),
(38814,115329,'Resistibility increases against targets higher than level 62.',100,2,5),
(38815,115329,'Roots target',100,1,6),
(38816,115329,'15% chance to dispel when target takes damage',100,1,7),
(38817,115329,'Does not affect Epic targets',100,1,8),
(38818,115329,'Resistibility increases against targets higher than level 62.',100,1,9),
(38819,10115329,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(38820,10115329,'Makes target afraid',100,2,1),
(38821,10115329,'Slows target by 51.2%',100,2,2),
(38822,10115329,'30% chance to dispel when target takes damage',100,2,3),
(38823,10115329,'Does not affect Epic targets',100,2,4),
(38824,10115329,'Resistibility increases against targets higher than level 62.',100,2,5),
(38825,10115329,'Roots target',100,1,6),
(38826,10115329,'15% chance to dispel when target takes damage',100,1,7),
(38827,10115329,'Does not affect Epic targets',100,1,8),
(38828,10115329,'Resistibility increases against targets higher than level 62.',100,1,9),
(38829,105760,'Inflicts 96 - 117 heat damage on target',100,1,0),
(38830,10105760,'Inflicts 98 - 120 heat damage on target',100,1,0),
(38831,177608,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(38832,177608,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(38833,177608,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(38834,177608,'Cannot be modified except by direct means',100,2,3),
(38835,10177608,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(38836,10177608,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(38837,10177608,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(38838,10177608,'Cannot be modified except by direct means',100,2,3),
(38839,80232,'When Equipped:',100,0,0),
(38840,80232,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(38841,80232,'Inflicts 333 - 619 magic damage on target',100,2,2),
(38842,80232,'Decreases Threat to target by 801 ',100,2,3),
(38843,80232,'Must be flanking or behind',100,3,4),
(38844,80232,'Increases Threat to target by 1,261 ',100,2,5),
(38845,80232,'Must be in front of',100,3,6),
(38846,80232,'Cannot be modified except by direct means',100,2,7),
(38847,10080232,'When Equipped:',100,0,0),
(38848,10080232,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(38849,10080232,'Inflicts 333 - 619 magic damage on target',100,2,2),
(38850,10080232,'Cannot be modified except by direct means',100,2,3),
(38851,103988,'Interrupts targets in Area of Effect',100,1,0),
(38852,103988,'Inflicts 858 - 1312 poison damage on targets in Area of Effect',100,1,1),
(38853,103988,'Inflicts 530 - 985 poison damage on targets in Area of Effect every second',100,1,2),
(38854,10103988,'Interrupts targets in Area of Effect',100,1,0),
(38855,10103988,'Inflicts 549 - 908 poison damage on targets in Area of Effect',100,1,1),
(38856,10103988,'Inflicts 418 - 776 poison damage on targets in Area of Effect every second',100,1,2),
(38857,159850,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(38858,159850,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(38859,159850,'Inflicts 35 heat damage on target',100,2,2),
(38860,159850,'Cannot be modified except by direct means',100,2,3),
(38861,10159850,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(38862,10159850,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(38863,10159850,'Inflicts 35 heat damage on target',100,2,2),
(38864,10159850,'Cannot be modified except by direct means',100,2,3),
(38865,152393,'When Equipped:',100,0,0),
(38866,152393,'On a hostile spell cast this spell may cast Nimble Distraction on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(38867,152393,'Decreases Threat to target by 422 ',100,2,2),
(38868,152393,'Cannot be modified except by direct means',100,2,3),
(38869,10152393,'When Equipped:',100,0,0),
(38870,10152393,'On a hostile spell cast this spell may cast Nimble Distraction on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(38871,10152393,'Forces target to clear their selected target.',100,2,2),
(38872,10152393,'Cannot be modified except by direct means',100,2,3),
(38873,36271,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(38874,104648,'Inflicts 2022 - 3219 crushing damage on target',100,1,0),
(38875,104648,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 30.7',100,1,1),
(38876,10104648,'Inflicts 1458 - 2158 crushing damage on target',100,1,0),
(38877,10104648,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 30.7',100,1,1),
(38878,110649,'Inflicts 5965 - 9251 ranged damage on target',100,1,0),
(38879,110649,'If weapon equipped in Ranged',100,1,1),
(38880,110649,'Must be flanking or behind',100,1,2),
(38881,10110649,'Inflicts 2547 - 3967 ranged damage on target',100,1,0),
(38882,10110649,'If weapon equipped in Ranged',100,1,1),
(38883,10110649,'Must be flanking or behind',100,1,2),
(38884,117065,'Inflicts 1769 - 2287 melee damage on target',100,1,0),
(38885,117065,'Decreases Attack Speed of target by 15.7',100,1,1),
(38886,10117065,'Inflicts 1014 - 1423 melee damage on target',100,1,0),
(38887,10117065,'Decreases Attack Speed of target by 15.7',100,1,1),
(38888,102329,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(38889,102329,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(38890,102329,'Decreases threat priority of target encounter by 1 position',100,2,2),
(38891,102329,'Decreases Threat to target encounter by 1,945 ',100,2,3),
(38892,102329,'Grants a total of 3 triggers of the spell.',100,2,4),
(38893,102329,'If profession other than Fighter',100,1,5),
(38894,10102329,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(38895,10102329,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(38896,10102329,'Target cannot target caster for the duration of this effect.',100,2,2),
(38897,10102329,'Forces target to clear their selected target.',100,2,3),
(38898,10102329,'Grants a total of 3 triggers of the spell.',100,2,4),
(38899,10102329,'If profession other than Fighter',100,1,5),
(38900,137453,'When Equipped:',100,0,0),
(38901,137453,'Reduces maximum falling speed of caster',100,1,1),
(38902,10137453,'When Equipped:',100,0,0),
(38903,10137453,'Reduces maximum falling speed of caster',100,1,1),
(38904,158992,'When Equipped:',100,0,0),
(38905,158992,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(38906,158992,'Inflicts 241 heat damage on target',100,2,2),
(38907,158992,'Cannot be modified except by direct means',100,2,3),
(38908,10158992,'When Equipped:',100,0,0),
(38909,10158992,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(38910,10158992,'Inflicts 241 heat damage on target',100,2,2),
(38911,10158992,'Cannot be modified except by direct means',100,2,3),
(38912,101122,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1384',100,1,0),
(38913,10101122,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1384',100,1,0),
(38914,115948,'Inflicts 4516 - 6842 melee damage on target',100,1,0),
(38915,115948,'Roots target',100,1,1),
(38916,115948,'If Target is not Epic',100,2,2),
(38917,115948,'5% chance to dispel when target takes damage',100,1,3),
(38918,115948,'Resistibility increases against targets higher than level 102.',100,1,4),
(38919,10115948,'Inflicts 3179 - 5013 melee damage on target',100,1,0),
(38920,10115948,'Roots target',100,1,1),
(38921,10115948,'If Target is not Epic',100,2,2),
(38922,10115948,'5% chance to dispel when target takes damage',100,1,3),
(38923,10115948,'Resistibility increases against targets higher than level 102.',100,1,4),
(38924,74680,'When Equipped:',100,0,0),
(38925,74680,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38926,74680,'Inflicts 85 - 128 magic damage on target',100,2,2),
(38927,74680,'Cannot be modified except by direct means',100,2,3),
(38928,10074680,'When Equipped:',100,0,0),
(38929,10074680,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38930,10074680,'Inflicts 85 - 128 magic damage on target',100,2,2),
(38931,10074680,'Cannot be modified except by direct means',100,2,3),
(38932,81694,'When Equipped:',100,0,0),
(38933,81694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38934,81694,'Inflicts 151 - 280 magic damage on target',100,2,2),
(38935,81694,'Cannot be modified except by direct means',100,2,3),
(38936,10081694,'When Equipped:',100,0,0),
(38937,10081694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(38938,10081694,'Inflicts 151 - 280 magic damage on target',100,2,2),
(38939,10081694,'Cannot be modified except by direct means',100,2,3),
(38940,86259,'When Equipped:',100,0,0),
(38941,86259,'On a combat hit this spell may cast Venomous Retribution on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38942,86259,'Inflicts 142 - 237 poison damage on target every 3 seconds',100,2,2),
(38943,86259,'Cannot be modified except by direct means',100,2,3),
(38944,10086259,'When Equipped:',100,0,0),
(38945,10086259,'On a combat hit this spell may cast Venomous Retribution on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38946,10086259,'Inflicts 142 - 237 poison damage on target every 3 seconds',100,2,2),
(38947,10086259,'Cannot be modified except by direct means',100,2,3),
(38948,107426,'Summons a pet earthen avatar',100,1,0),
(38949,10107426,'Summons a pet earthen avatar',100,1,0),
(38950,122970,'Inflicts 1657 - 2242 mental damage on target',100,1,0),
(38951,10122970,'Inflicts 1265 - 1573 mental damage on target',100,1,0),
(38952,115902,'Inflicts 364 - 445 disease damage on target encounter',100,1,0),
(38953,115902,'Inflicts 198 - 243 disease damage on target encounter every 3 seconds',100,1,1),
(38954,10115902,'Inflicts 335 - 380 disease damage on target encounter',100,1,0),
(38955,10115902,'Inflicts 156 - 191 disease damage on target encounter every 3 seconds',100,1,1),
(38956,144288,'When Equipped:',100,0,0),
(38957,144288,'Increases the caster''s heals and wards by 5%.',100,1,1),
(38958,144288,'Must not be engaged in pvp combat',100,1,2),
(38959,10144288,'When Equipped:',100,0,0),
(38960,10144288,'Increases the caster''s heals and wards by 5%.',100,1,1),
(38961,10144288,'Must not be engaged in pvp combat',100,1,2),
(38962,158359,'Applies Hooluk in a Hat when Activated.',100,0,0),
(38963,158359,'Summons a pet Hooluk',100,1,1),
(38964,158359,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(38965,10158359,'Applies Hooluk in a Hat when Activated.',100,0,0),
(38966,10158359,'Summons a pet Hooluk',100,1,1),
(38967,10158359,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(38968,72248,'When Equipped:',100,0,0),
(38969,72248,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38970,72248,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(38971,72248,'Cannot be modified except by direct means',100,2,3),
(38972,10072248,'When Equipped:',100,0,0),
(38973,10072248,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(38974,10072248,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(38975,10072248,'Cannot be modified except by direct means',100,2,3),
(38976,104741,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(38977,104741,'Decreases Mitigation of target vs elemental and arcane damage by 1512',100,2,1),
(38978,104741,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(38979,104741,'Decreases Mitigation of target vs elemental and arcane damage by 1512',100,2,3),
(38980,10104741,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(38981,10104741,'Decreases Mitigation of target vs elemental and arcane damage by 1512',100,2,1),
(38982,10104741,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(38983,10104741,'Decreases Mitigation of target vs elemental and arcane damage by 1512',100,2,3),
(38984,120822,'Inflicts 160 - 217 disease damage on target',100,1,0),
(38985,120822,'Inflicts 46 - 62 disease damage on target every second',100,1,1),
(38986,10120822,'Inflicts 165 - 223 disease damage on target',100,1,0),
(38987,10120822,'Inflicts 36 - 49 disease damage on target every second',100,1,1),
(38988,104690,'Decreases Mitigation of target vs all damage by 610',100,1,0),
(38989,10104690,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 610',100,1,0),
(38990,10104690,'Decreases Mitigation of target vs physical damage by 508',100,1,1),
(38991,181983,'When Equipped:',100,0,0),
(38992,181983,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(38993,181983,'Heals group members (AE) for 240',100,2,2),
(38994,181983,'Cannot be modified except by direct means',100,2,3),
(38995,181983,'Cannot be modified except by direct means',100,1,4),
(38996,10181983,'When Equipped:',100,0,0),
(38997,10181983,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(38998,10181983,'Heals group members (AE) for 156',100,2,2),
(38999,10181983,'Cannot be modified except by direct means',100,2,3),
(39000,10181983,'Cannot be modified except by direct means',100,1,4),
(39001,24719,'Adds Strifewing Stalker to your Dungeon Maker toolbox',100,0,0),
(39002,10024719,'Adds Strifewing Stalker to your Dungeon Maker toolbox',100,0,0),
(39003,153955,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(39004,153955,'Decreases Attack Speed of target by 12.4',100,1,1),
(39005,153955,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(39006,10153955,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(39007,10153955,'Decreases Attack Speed of target by 12.4',100,1,1),
(39008,10153955,'The casting time of Hex of Fright is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(39009,109409,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(39010,109409,'Inflicts 765 - 935 cold damage on target',100,2,1),
(39011,109409,'Slows target by 46.9%',100,2,2),
(39012,109409,'5% chance to dispel when target receives hostile action',100,2,3),
(39013,109409,'5% chance to dispel when target takes damage',100,2,4),
(39014,10109409,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(39015,10109409,'Inflicts 603 - 737 cold damage on target',100,2,1),
(39016,10109409,'Slows target by 46.9%',100,2,2),
(39017,10109409,'5% chance to dispel when target receives hostile action',100,2,3),
(39018,10109409,'5% chance to dispel when target takes damage',100,2,4),
(39019,104278,'Inflicts 176 - 293 melee damage on target',100,1,0),
(39020,104278,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(39021,104278,'Stuns target',100,2,2),
(39022,104278,'Throws target back',100,2,3),
(39023,104278,'Blurs vision of target',100,2,4),
(39024,104278,'Does not affect Epic targets',100,2,5),
(39025,10104278,'Inflicts 139 - 231 melee damage on target',100,1,0),
(39026,10104278,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(39027,10104278,'Stuns target',100,2,2),
(39028,10104278,'Throws target back',100,2,3),
(39029,10104278,'Blurs vision of target',100,2,4),
(39030,10104278,'Does not affect Epic targets',100,2,5),
(39031,81241,'When Equipped:',100,0,0),
(39032,81241,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39033,81241,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(39034,81241,'Decreases Threat to target by 1,219 ',100,2,3),
(39035,81241,'Must be flanking or behind',100,3,4),
(39036,81241,'Increases Threat to target by 1,679 ',100,2,5),
(39037,81241,'Must be in front of',100,3,6),
(39038,81241,'Cannot be modified except by direct means',100,2,7),
(39039,10081241,'When Equipped:',100,0,0),
(39040,10081241,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39041,10081241,'Inflicts 632 - 1174 magic damage on target',100,2,2),
(39042,10081241,'Cannot be modified except by direct means',100,2,3),
(39043,36710,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(39044,101913,'Inflicts 56 piercing damage on target instantly and every 4 seconds',100,1,0),
(39045,101913,'Inflicts 352 - 520 melee damage on target',100,1,1),
(39046,101913,'Must be behind',100,1,2),
(39047,10101913,'Inflicts 44 piercing damage on target instantly and every 4 seconds',100,1,0),
(39048,10101913,'Inflicts 317 - 460 melee damage on target',100,1,1),
(39049,10101913,'Must be behind',100,1,2),
(39050,73662,'When Equipped:',100,0,0),
(39051,73662,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39052,73662,'Increases Attack Speed of caster by 11.9',100,2,2),
(39053,73662,'Cannot be modified except by direct means',100,2,3),
(39054,10073662,'When Equipped:',100,0,0),
(39055,10073662,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39056,10073662,'Increases Attack Speed of caster by 11.9',100,2,2),
(39057,10073662,'Cannot be modified except by direct means',100,2,3),
(39058,80418,'When Equipped:',100,0,0),
(39059,80418,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39060,80418,'Inflicts 80 - 148 magic damage on target',100,2,2),
(39061,80418,'Decreases Threat to target by 135 ',100,2,3),
(39062,80418,'Must be flanking or behind',100,3,4),
(39063,80418,'Increases Threat to target by 236 ',100,2,5),
(39064,80418,'Must be in front of',100,3,6),
(39065,80418,'Cannot be modified except by direct means',100,2,7),
(39066,10080418,'When Equipped:',100,0,0),
(39067,10080418,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39068,10080418,'Inflicts 80 - 148 magic damage on target',100,2,2),
(39069,10080418,'Cannot be modified except by direct means',100,2,3),
(39070,137025,'When Equipped:',100,0,0),
(39071,137025,'Additional equipment with Void Bane improves this effect.',100,1,1),
(39072,137025,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(39073,137025,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(39074,137025,'If any of the following are true:',100,3,4),
(39075,137025,'Must be classified as a void beast',100,4,5),
(39076,137025,'Must be classified as a shadowed folk',100,4,6),
(39077,137025,'Inflicts 1031 mental damage on target',100,2,7),
(39078,137025,'If any of the following are true:',100,3,8),
(39079,137025,'Must be classified as a void beast',100,4,9),
(39080,137025,'Must be classified as a shadowed folk',100,4,10),
(39081,137025,'Inflicts 516 mental damage on target',100,2,11),
(39082,137025,'Must not be classified as a void beast',100,3,12),
(39083,137025,'Must not be classified as a shadowed folk',100,3,13),
(39084,137025,'Cannot be modified except by direct means',100,2,14),
(39085,10137025,'When Equipped:',100,0,0),
(39086,10137025,'Additional equipment with Void Bane improves this effect.',100,1,1),
(39087,10137025,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(39088,10137025,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(39089,10137025,'If any of the following are true:',100,3,4),
(39090,10137025,'Must be classified as a void beast',100,4,5),
(39091,10137025,'Must be classified as a shadowed folk',100,4,6),
(39092,10137025,'Inflicts 1031 mental damage on target',100,2,7),
(39093,10137025,'If any of the following are true:',100,3,8),
(39094,10137025,'Must be classified as a void beast',100,4,9),
(39095,10137025,'Must be classified as a shadowed folk',100,4,10),
(39096,10137025,'Inflicts 516 mental damage on target',100,2,11),
(39097,10137025,'Must not be classified as a void beast',100,3,12),
(39098,10137025,'Must not be classified as a shadowed folk',100,3,13),
(39099,10137025,'Cannot be modified except by direct means',100,2,14),
(39100,141834,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(39101,141834,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(39102,141834,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(39103,141834,'Cannot be modified except by direct means',100,2,3),
(39104,10141834,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(39105,10141834,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(39106,10141834,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(39107,10141834,'Cannot be modified except by direct means',100,2,3),
(39108,104917,'Inflicts 1700 - 2821 ranged damage on target',100,1,0),
(39109,104917,'Decreases Deflection and Parry of target by 20.4',100,1,1),
(39110,104917,'Requires bow',100,1,2),
(39111,10104917,'Inflicts 1004 - 1506 ranged damage on target',100,1,0),
(39112,10104917,'Decreases Deflection and Parry of target by 20.4',100,1,1),
(39113,10104917,'Requires bow',100,1,2),
(39114,116486,'Prevents targets in Area of Effect from changing targets',100,1,0),
(39115,116486,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(39116,116486,'Increases Threat to targets in Area of Effect by 1,230 ',100,1,2),
(39117,10116486,'Prevents targets in Area of Effect from changing targets',100,1,0),
(39118,10116486,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(39119,124072,'Increases power of caster by 321',100,1,0),
(39120,10124072,'Increases power of caster by 321',100,1,0),
(39121,121057,'Increases STR and STA of group members (AE) by 16.1',100,1,0),
(39122,10121057,'Increases STR and STA of group members (AE) by 16.1',100,1,0),
(39123,84243,'Applies Mental Blast when Activated.',100,0,0),
(39124,84243,'Inflicts 250 - 417 mental damage on target',100,1,1),
(39125,84243,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(39126,10084243,'Applies Mental Blast when Activated.',100,0,0),
(39127,10084243,'Inflicts 250 - 417 mental damage on target',100,1,1),
(39128,10084243,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(39129,41395,'When Equipped:',100,0,0),
(39130,41395,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(39131,41395,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(39132,41395,'Heals group members (AE) for 5384 - 5951',100,2,3),
(39133,41395,'Must not be engaged in pvp combat',100,2,4),
(39134,41395,'Cannot be modified except by direct means',100,2,5),
(39135,41395,'Cannot be modified except by direct means',100,1,6),
(39136,10041395,'When Equipped:',100,0,0),
(39137,10041395,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(39138,10041395,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(39139,10041395,'Heals group members (AE) for 6299 - 6962',100,2,3),
(39140,10041395,'Must not be engaged in pvp combat',100,2,4),
(39141,10041395,'Cannot be modified except by direct means',100,2,5),
(39142,10041395,'Cannot be modified except by direct means',100,1,6),
(39143,81915,'When Equipped:',100,0,0),
(39144,81915,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39145,81915,'Inflicts 523 - 972 magic damage on target',100,2,2),
(39146,81915,'Decreases Threat to target by 994 ',100,2,3),
(39147,81915,'Must be flanking or behind',100,3,4),
(39148,81915,'Increases Threat to target by 1,454 ',100,2,5),
(39149,81915,'Must be in front of',100,3,6),
(39150,81915,'Cannot be modified except by direct means',100,2,7),
(39151,10081915,'When Equipped:',100,0,0),
(39152,10081915,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39153,10081915,'Inflicts 523 - 972 magic damage on target',100,2,2),
(39154,10081915,'Cannot be modified except by direct means',100,2,3),
(39155,46853,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(39156,46853,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(39157,46853,'Inflicts 189 poison damage on target instantly and every 6 seconds',100,2,2),
(39158,46853,'Inflicts 216 poison damage on target',100,2,3),
(39159,46853,'Cannot be modified except by direct means',100,2,4),
(39160,46853,'Grants a total of 200 triggers of the spell.',100,2,5),
(39161,10046853,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(39162,10046853,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(39163,10046853,'Inflicts 162 poison damage on target',100,2,2),
(39164,10046853,'Inflicts 142 poison damage on target instantly and every 6 seconds',100,2,3),
(39165,10046853,'Cannot be modified except by direct means',100,2,4),
(39166,10046853,'Grants a total of 200 triggers of the spell.',100,2,5),
(39167,121235,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(39168,121235,'Reduces physical damage done to caster by 5%',100,1,1),
(39169,121235,'Increases STA of caster by 29.0',100,1,2),
(39170,121235,'Adds 3.4% to base avoidance.',100,1,3),
(39171,121235,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(39172,121235,'Increases Defense and Aggression of caster by 5.3',100,1,5),
(39173,121235,'Increases Mitigation of caster vs arcane damage by 380',100,1,6),
(39174,121235,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(39175,10121235,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(39176,10121235,'Reduces physical damage done to caster by 5%',100,1,1),
(39177,10121235,'Increases STA of caster by 29.0',100,1,2),
(39178,10121235,'Adds 3.4% to base avoidance.',100,1,3),
(39179,10121235,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(39180,10121235,'Increases Defense and Aggression of caster by 5.3',100,1,5),
(39181,10121235,'Increases Mitigation of caster vs arcane damage by 380',100,1,6),
(39182,10121235,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(39183,24116,'Adds Clockwork Cleric to your Dungeon Maker toolbox',100,0,0),
(39184,10024116,'Adds Clockwork Cleric to your Dungeon Maker toolbox',100,0,0),
(39185,120865,'Inflicts 316 - 524 mental damage on target',100,1,0),
(39186,120865,'Inflicts 158 - 262 mental damage on target',100,1,1),
(39187,10120865,'Inflicts 283 - 468 mental damage on target',100,1,0),
(39188,10120865,'Inflicts 124 - 206 mental damage on target',100,1,1),
(39189,159816,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(39190,159816,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(39191,159816,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(39192,159816,'Cannot be modified except by direct means',100,2,3),
(39193,10159816,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(39194,10159816,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(39195,10159816,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(39196,10159816,'Cannot be modified except by direct means',100,2,3),
(39197,80937,'When Equipped:',100,0,0),
(39198,80937,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39199,80937,'Inflicts 369 - 686 magic damage on target',100,2,2),
(39200,80937,'Decreases Threat to target by 672 ',100,2,3),
(39201,80937,'Must be flanking or behind',100,3,4),
(39202,80937,'Increases Threat to target by 1,132 ',100,2,5),
(39203,80937,'Must be in front of',100,3,6),
(39204,80937,'Cannot be modified except by direct means',100,2,7),
(39205,10080937,'When Equipped:',100,0,0),
(39206,10080937,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39207,10080937,'Inflicts 369 - 686 magic damage on target',100,2,2),
(39208,10080937,'Cannot be modified except by direct means',100,2,3),
(39209,177538,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(39210,177538,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(39211,177538,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(39212,177538,'Cannot be modified except by direct means',100,2,3),
(39213,10177538,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(39214,10177538,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(39215,10177538,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(39216,10177538,'Cannot be modified except by direct means',100,2,3),
(39217,124157,'Decreases Attack Speed of target by 10.4',100,1,0),
(39218,10124157,'Decreases Attack Speed of target by 10.4',100,1,0),
(39219,108762,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(39220,108762,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(39221,108762,'Inflicts 227 - 277 heat damage on target encounter',100,3,2),
(39222,108762,'Grants a total of 1 trigger of the spell.',100,3,3),
(39223,108762,'Inflicts 51 - 62 heat damage on target instantly and every 4 seconds',100,2,4),
(39224,10108762,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(39225,10108762,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(39226,10108762,'Inflicts 179 - 219 heat damage on target encounter',100,3,2),
(39227,10108762,'Grants a total of 1 trigger of the spell.',100,3,3),
(39228,10108762,'Inflicts 40 - 49 heat damage on target instantly and every 4 seconds',100,2,4),
(39229,46493,'Applies Gnarmy! when Activated.  Lasts for 45.0 seconds.',100,0,0),
(39230,46493,'Summons 4 limited pets to aid the caster',100,1,1),
(39231,46493,'If target is target dummy',100,1,2),
(39232,10046493,'Applies Gnarmy! when Activated.  Lasts for 45.0 seconds.',100,0,0),
(39233,10046493,'Summons 4 limited pets to aid the caster',100,1,1),
(39234,10046493,'If target is target dummy',100,1,2),
(39235,102830,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(39236,102830,'Heals caster for 1.7 - 2.5% of max health',100,2,1),
(39237,102830,'This effect cannot be critically applied.',100,3,2),
(39238,102830,'The healing of this spell cannot be modified except by direct means',100,2,3),
(39239,10102830,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(39240,10102830,'Heals caster for 0.4 - 0.6% of max health',100,2,1),
(39241,10102830,'This effect cannot be critically applied.',100,3,2),
(39242,10102830,'The healing of this spell cannot be modified except by direct means',100,2,3),
(39243,123406,'When damaged with a melee weapon this spell has a 8.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(39244,123406,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(39245,10123406,'When damaged with a melee weapon this spell has a 8.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(39246,10123406,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(39247,71297,'When Equipped:',100,0,0),
(39248,71297,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(39249,71297,'Increases Hate Gain of caster by 10.0%',100,2,2),
(39250,71297,'Cannot be modified except by direct means',100,2,3),
(39251,71297,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(39252,71297,'Increases Hate Gain of caster by 10.0%',100,2,5),
(39253,71297,'Cannot be modified except by direct means',100,2,6),
(39254,10071297,'When Equipped:',100,0,0),
(39255,10071297,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(39256,10071297,'Cannot be modified except by direct means',100,2,2),
(39257,10071297,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,3),
(39258,10071297,'Cannot be modified except by direct means',100,2,4),
(39259,103865,'Decreases Mitigation of target vs noxious damage by 1020',100,1,0),
(39260,103865,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(39261,103865,'Slows target by 40.2%',100,2,2),
(39262,103865,'5% chance to dispel when target receives hostile action',100,2,3),
(39263,103865,'5% chance to dispel when target takes damage',100,2,4),
(39264,10103865,'Decreases Mitigation of target vs noxious damage by 1020',100,1,0),
(39265,10103865,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(39266,10103865,'Slows target by 40.2%',100,2,2),
(39267,10103865,'5% chance to dispel when target receives hostile action',100,2,3),
(39268,10103865,'5% chance to dispel when target takes damage',100,2,4),
(39269,116910,'Summons a limited pet to aid the caster',100,1,0),
(39270,10116910,'Summons a limited pet to aid the caster',100,1,0),
(39271,82112,'When Equipped:',100,0,0),
(39272,82112,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39273,82112,'Inflicts 245 - 454 magic damage on target',100,2,2),
(39274,82112,'Cannot be modified except by direct means',100,2,3),
(39275,10082112,'When Equipped:',100,0,0),
(39276,10082112,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39277,10082112,'Inflicts 245 - 454 magic damage on target',100,2,2),
(39278,10082112,'Cannot be modified except by direct means',100,2,3),
(39279,159696,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(39280,159696,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(39281,159696,'Inflicts 242 heat damage on target',100,2,2),
(39282,159696,'Cannot be modified except by direct means',100,2,3),
(39283,10159696,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(39284,10159696,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(39285,10159696,'Inflicts 242 heat damage on target',100,2,2),
(39286,10159696,'Cannot be modified except by direct means',100,2,3),
(39287,27324,'When Equipped:',100,0,0),
(39288,27324,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(39289,27324,'Inflicts 7 heat damage on target instantly and every 5 seconds',100,2,2),
(39290,27324,'Cannot be modified except by direct means',100,2,3),
(39291,10027324,'When Equipped:',100,0,0),
(39292,10027324,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(39293,10027324,'Inflicts 7 heat damage on target instantly and every 5 seconds',100,2,2),
(39294,10027324,'Cannot be modified except by direct means',100,2,3),
(39295,35712,'Increases WIS of target by 0.6',100,0,0),
(39296,35712,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(39297,121440,'Increases AGI of caster by 17.8',100,1,0),
(39298,121440,'Increases STR of caster by 26.6',100,1,1),
(39299,10121440,'Increases AGI of caster by 17.8',100,1,0),
(39300,10121440,'Increases STR of caster by 26.6',100,1,1),
(39301,114087,'Inflicts 992 - 1645 melee damage on targets in area',100,1,0),
(39302,114087,'You must be in stealth to use this!',100,1,1),
(39303,10114087,'Inflicts 781 - 1243 melee damage on targets in area',100,1,0),
(39304,10114087,'You must be in stealth to use this!',100,1,1),
(39305,107206,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(39306,107206,'Heals target for 1050',100,2,1),
(39307,10107206,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(39308,10107206,'Heals target for 547',100,2,1),
(39309,107689,'Inflicts 108 - 179 heat damage on target',100,1,0),
(39310,107689,'You must be sneaking to use this ability.',100,1,1),
(39311,10107689,'Inflicts 97 - 160 heat damage on target',100,1,0),
(39312,10107689,'You must be sneaking to use this ability.',100,1,1),
(39313,75451,'When Equipped:',100,0,0),
(39314,75451,'On a critical spell hit this spell may cast Endless Wounds VII on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(39315,75451,'Inflicts 90 - 99 cold damage on target',100,2,2),
(39316,75451,'Inflicts 112 - 124 cold damage on target every 2 seconds',100,2,3),
(39317,75451,'Inflicts an additional 22 - 24 cold damage on target every tick',100,2,4),
(39318,75451,'Must not be engaged in pvp combat',100,2,5),
(39319,75451,'Cannot be modified except by direct means',100,2,6),
(39320,75451,'On a critical combat hit this spell may cast Endless Wounds VII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(39321,75451,'Inflicts 90 - 99 cold damage on target',100,2,8),
(39322,75451,'Inflicts 112 - 124 cold damage on target every 2 seconds',100,2,9),
(39323,75451,'Inflicts an additional 22 - 24 cold damage on target every tick',100,2,10),
(39324,75451,'Must not be engaged in pvp combat',100,2,11),
(39325,75451,'Cannot be modified except by direct means',100,2,12),
(39326,75451,'Must not be engaged in pvp combat',100,1,13),
(39327,10075451,'When Equipped:',100,0,0),
(39328,10075451,'On a critical spell hit this spell may cast Endless Wounds VII on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(39329,10075451,'Inflicts 90 - 99 cold damage on target',100,2,2),
(39330,10075451,'Inflicts 112 - 124 cold damage on target every 2 seconds',100,2,3),
(39331,10075451,'Inflicts an additional 22 - 24 cold damage on target every tick',100,2,4),
(39332,10075451,'Must not be engaged in pvp combat',100,2,5),
(39333,10075451,'Cannot be modified except by direct means',100,2,6),
(39334,10075451,'On a critical combat hit this spell may cast Endless Wounds VII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(39335,10075451,'Inflicts 90 - 99 cold damage on target',100,2,8),
(39336,10075451,'Inflicts 112 - 124 cold damage on target every 2 seconds',100,2,9),
(39337,10075451,'Inflicts an additional 22 - 24 cold damage on target every tick',100,2,10),
(39338,10075451,'Must not be engaged in pvp combat',100,2,11),
(39339,10075451,'Cannot be modified except by direct means',100,2,12),
(39340,10075451,'Must not be engaged in pvp combat',100,1,13),
(39341,123378,'Heals group members (AE) for 3016 - 3613',100,1,0),
(39342,10123378,'Heals group members (AE) for 2663 - 3236',100,1,0),
(39343,103735,'Increases Max Health of raid and group members (AE) by 635.0',100,1,0),
(39344,103735,'Increases Defense of raid and group members (AE) by 21.4',100,1,1),
(39345,10103735,'Increases Max Health of raid and group members (AE) by 635.0',100,1,0),
(39346,10103735,'Increases Defense of raid and group members (AE) by 21.4',100,1,1),
(39347,102910,'Heals caster for 2570',100,1,0),
(39348,102910,'Inflicts 5829 disease damage on targets in Area of Effect',100,1,1),
(39349,10102910,'Heals caster for 2148',100,1,0),
(39350,10102910,'Inflicts 4531 disease damage on targets in Area of Effect',100,1,1),
(39351,37417,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(39352,71944,'When Equipped:',100,0,0),
(39353,71944,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39354,71944,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(39355,71944,'Cannot be modified except by direct means',100,2,3),
(39356,10071944,'When Equipped:',100,0,0),
(39357,10071944,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39358,10071944,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(39359,10071944,'Cannot be modified except by direct means',100,2,3),
(39360,46810,'Applies Longshadow Alley Thexian Disguise when Activated.',100,0,0),
(39361,46810,'Shapechanges caster into a Longshadow Alley Thexian Disguise',100,1,1),
(39362,46810,'If any of the following are true:',100,1,2),
(39363,46810,'Must be in zone The City of Freeport',100,2,3),
(39364,46810,'Must be in zone Longshadow Alley: Daeneth Cloister',100,2,4),
(39365,10046810,'Applies Longshadow Alley Thexian Disguise when Activated.',100,0,0),
(39366,10046810,'Shapechanges caster into a Longshadow Alley Thexian Disguise',100,1,1),
(39367,10046810,'If any of the following are true:',100,1,2),
(39368,10046810,'Must be in zone The City of Freeport',100,2,3),
(39369,10046810,'Must be in zone Longshadow Alley: Daeneth Cloister',100,2,4),
(39370,47919,'Applies Santa Glug, a Gigglegibber Illusion Potion when Activated.',100,0,0),
(39371,47919,'This potion will grant you the illusion of being Santa Glug, the Gigglegibber giftgiver!',100,1,1),
(39372,10047919,'Applies Santa Glug, a Gigglegibber Illusion Potion when Activated.',100,0,0),
(39373,10047919,'This potion will grant you the illusion of being Santa Glug, the Gigglegibber giftgiver!',100,1,1),
(39374,25556,'When Equipped:',100,0,0),
(39375,25556,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(39376,25556,'Improves the base damage of Inspired Daring by 15%.',100,1,2),
(39377,10025556,'When Equipped:',100,0,0),
(39378,10025556,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(39379,10025556,'Improves the base damage of Inspired Daring by 15%.',100,1,2),
(39380,36738,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(39381,74787,'When Equipped:',100,0,0),
(39382,74787,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39383,74787,'Inflicts 174 - 261 magic damage on target',100,2,2),
(39384,74787,'Cannot be modified except by direct means',100,2,3),
(39385,10074787,'When Equipped:',100,0,0),
(39386,10074787,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39387,10074787,'Inflicts 174 - 261 magic damage on target',100,2,2),
(39388,10074787,'Cannot be modified except by direct means',100,2,3),
(39389,135832,'When Equipped:',100,0,0),
(39390,135832,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(39391,135832,'Inflicts 1998 disease damage on target encounter',100,2,2),
(39392,135832,'Must not be engaged in pvp combat',100,2,3),
(39393,135832,'Cannot be modified except by direct means',100,2,4),
(39394,10135832,'When Equipped:',100,0,0),
(39395,10135832,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(39396,10135832,'Inflicts 999 disease damage on target encounter',100,2,2),
(39397,10135832,'Must not be engaged in pvp combat',100,2,3),
(39398,10135832,'Cannot be modified except by direct means',100,2,4),
(39399,87478,'When Equipped:',100,0,0),
(39400,87478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39401,87478,'Inflicts 248 - 373 magic damage on target',100,2,2),
(39402,87478,'Cannot be modified except by direct means',100,2,3),
(39403,10087478,'When Equipped:',100,0,0),
(39404,10087478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39405,10087478,'Inflicts 248 - 373 magic damage on target',100,2,2),
(39406,10087478,'Cannot be modified except by direct means',100,2,3),
(39407,82653,'When Equipped:',100,0,0),
(39408,82653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39409,82653,'Inflicts 136 - 252 magic damage on target',100,2,2),
(39410,82653,'Cannot be modified except by direct means',100,2,3),
(39411,10082653,'When Equipped:',100,0,0),
(39412,10082653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39413,10082653,'Inflicts 136 - 252 magic damage on target',100,2,2),
(39414,10082653,'Cannot be modified except by direct means',100,2,3),
(39415,105963,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(39416,105963,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(39417,105963,'Inflicts 326 - 541 piercing damage on target',100,3,2),
(39418,105963,'Grants a total of 5 triggers of the spell.',100,3,3),
(39419,105963,'Grants a total of 1 trigger of the spell.',100,2,4),
(39420,10105963,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(39421,10105963,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(39422,10105963,'Inflicts 257 - 426 piercing damage on target',100,3,2),
(39423,10105963,'Grants a total of 5 triggers of the spell.',100,3,3),
(39424,10105963,'Grants a total of 1 trigger of the spell.',100,2,4),
(39425,113162,'Inflicts 2415 disease damage on target',100,1,0),
(39426,113162,'Heals caster for 959',100,1,1),
(39427,10113162,'Inflicts 1714 disease damage on target',100,1,0),
(39428,10113162,'Heals caster for 554',100,1,1),
(39429,110801,'Interrupts target',100,1,0),
(39430,110801,'Inflicts 64 - 87 mental damage on target',100,1,1),
(39431,10110801,'Interrupts target',100,1,0),
(39432,10110801,'Inflicts 55 - 75 mental damage on target',100,1,1),
(39433,87342,'When Equipped:',100,0,0),
(39434,87342,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39435,87342,'Inflicts 192 - 289 magic damage on target',100,2,2),
(39436,87342,'Cannot be modified except by direct means',100,2,3),
(39437,10087342,'When Equipped:',100,0,0),
(39438,10087342,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39439,10087342,'Inflicts 192 - 289 magic damage on target',100,2,2),
(39440,10087342,'Cannot be modified except by direct means',100,2,3),
(39441,118684,'Inflicts 1295 - 3539 crushing damage on target',100,1,0),
(39442,10118684,'Inflicts 1040 - 2454 crushing damage on target',100,1,0),
(39443,35578,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(39444,110070,'Summons a pet grim sorcerer',100,1,0),
(39445,10110070,'Summons a pet grim sorcerer',100,1,0),
(39446,124348,'Wards group members (AE) collectively against 1304 total points of ',100,1,0),
(39447,10124348,'Wards group members (AE) collectively against 1069 total points of ',100,1,0),
(39448,45448,'Applies Plant ward when Activated.',100,0,0),
(39449,45448,'This effect cannot be cast during combat',100,1,1),
(39450,10045448,'Applies Plant ward when Activated.',100,0,0),
(39451,10045448,'This effect cannot be cast during combat',100,1,1),
(39452,35440,'Increases Max Power of target by 90.0',100,0,0),
(39453,35440,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(39454,106400,'Inflicts 4256 - 6410 melee damage on target',100,1,0),
(39455,106400,'Decreases Defense of target by 32.8',100,1,1),
(39456,106400,'Decreases Defense of caster by 29.8',100,1,2),
(39457,10106400,'Inflicts 2974 - 4673 melee damage on target',100,1,0),
(39458,10106400,'Decreases Defense of target by 32.8',100,1,1),
(39459,10106400,'Decreases Defense of caster by 29.8',100,1,2),
(39460,100664,'Increases AGI, STR and STA of target by 78.7',100,1,0),
(39461,100664,'Adds 1.7% to base avoidance.',100,1,1),
(39462,10100664,'Increases AGI, STR and STA of target by 78.7',100,1,0),
(39463,10100664,'Adds 1.7% to base avoidance.',100,1,1),
(39464,41198,'When Equipped:',100,0,0),
(39465,41198,'This effect will not stack with itself.',100,1,1),
(39466,41198,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(39467,41198,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(39468,41198,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(39469,41198,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(39470,41198,'Must not be engaged in pvp combat',100,2,6),
(39471,41198,'Cannot be modified except by direct means',100,2,7),
(39472,41198,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(39473,41198,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(39474,41198,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(39475,41198,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(39476,41198,'Must not be engaged in pvp combat',100,2,12),
(39477,41198,'Cannot be modified except by direct means',100,2,13),
(39478,41198,'Must not be engaged in pvp combat',100,1,14),
(39479,10041198,'When Equipped:',100,0,0),
(39480,10041198,'This effect will not stack with itself.',100,1,1),
(39481,10041198,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(39482,10041198,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(39483,10041198,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(39484,10041198,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(39485,10041198,'Must not be engaged in pvp combat',100,2,6),
(39486,10041198,'Cannot be modified except by direct means',100,2,7),
(39487,10041198,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(39488,10041198,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(39489,10041198,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(39490,10041198,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(39491,10041198,'Must not be engaged in pvp combat',100,2,12),
(39492,10041198,'Cannot be modified except by direct means',100,2,13),
(39493,10041198,'Must not be engaged in pvp combat',100,1,14),
(39494,143441,'When Equipped:',100,0,0),
(39495,143441,'On a combat hit this spell may cast Darkened Velocity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39496,143441,'Increases Multi Attack Chance of caster by 3.0',100,2,2),
(39497,143441,'Increases Damage Per Second of caster by 3.0',100,2,3),
(39498,143441,'Increases Attack Speed of caster by 3.0',100,2,4),
(39499,143441,'Adds 75 combat art damage.',100,2,5),
(39500,143441,'Cannot be modified except by direct means',100,2,6),
(39501,10143441,'When Equipped:',100,0,0),
(39502,10143441,'On a combat hit this spell may cast Darkened Velocity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39503,10143441,'Increases Multi Attack Chance of caster by 3.0',100,2,2),
(39504,10143441,'Increases Damage Per Second of caster by 3.0',100,2,3),
(39505,10143441,'Increases Attack Speed of caster by 3.0',100,2,4),
(39506,10143441,'Adds 75 combat art damage.',100,2,5),
(39507,10143441,'Cannot be modified except by direct means',100,2,6),
(39508,79849,'When Equipped:',100,0,0),
(39509,79849,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39510,79849,'Inflicts 380 cold damage on target',100,2,2),
(39511,79849,'Cannot be modified except by direct means',100,2,3),
(39512,10079849,'When Equipped:',100,0,0),
(39513,10079849,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39514,10079849,'Inflicts 380 cold damage on target',100,2,2),
(39515,10079849,'Cannot be modified except by direct means',100,2,3),
(39516,120037,'Decreases power of target encounter by 135 instantly and every 4 seconds',100,1,0),
(39517,120037,'Inflicts 733 - 823 mental damage on target encounter',100,1,1),
(39518,120037,'Inflicts 405 - 495 mental damage on target encounter every 4 seconds',100,1,2),
(39519,10120037,'Decreases power of target encounter by 106 instantly and every 4 seconds',100,1,0),
(39520,10120037,'Inflicts 451 - 522 mental damage on target encounter',100,1,1),
(39521,10120037,'Inflicts 319 - 390 mental damage on target encounter every 4 seconds',100,1,2),
(39522,84634,'When Equipped:',100,0,0),
(39523,84634,'On any combat or spell hit this spell may cast Arcane Vortex VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(39524,84634,'Inflicts 874 - 966 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(39525,84634,'Increases power of group members (AE) by 60 - 67 instantly and every 2 seconds',100,2,3),
(39526,84634,'Increases Potency of group members (AE) by 4.5%',100,2,4),
(39527,84634,'Must not be engaged in pvp combat',100,2,5),
(39528,84634,'Cannot be modified except by direct means',100,2,6),
(39529,84634,'Must not be engaged in pvp combat',100,1,7),
(39530,10084634,'When Equipped:',100,0,0),
(39531,10084634,'On any combat or spell hit this spell may cast Arcane Vortex VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(39532,10084634,'Inflicts 874 - 966 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(39533,10084634,'Increases power of group members (AE) by 60 - 67 instantly and every 2 seconds',100,2,3),
(39534,10084634,'Increases Potency of group members (AE) by 4.5%',100,2,4),
(39535,10084634,'Must not be engaged in pvp combat',100,2,5),
(39536,10084634,'Cannot be modified except by direct means',100,2,6),
(39537,10084634,'Must not be engaged in pvp combat',100,1,7),
(39538,45357,'Applies Blessing of Growth when Activated.',100,0,0),
(39539,45357,'This effect cannot be cast during combat',100,1,1),
(39540,10045357,'Applies Blessing of Growth when Activated.',100,0,0),
(39541,10045357,'This effect cannot be cast during combat',100,1,1),
(39542,35233,'Increases Max Power of target by 108.8',100,0,0),
(39543,35233,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(39544,183425,'When Equipped:',100,0,0),
(39545,183425,'On a combat hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39546,183425,'Inflicts 253 magic damage on target',100,2,2),
(39547,183425,'Heals caster for 156',100,2,3),
(39548,183425,'Cannot be modified except by direct means',100,2,4),
(39549,10183425,'When Equipped:',100,0,0),
(39550,10183425,'On a combat hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39551,10183425,'Inflicts 253 magic damage on target',100,2,2),
(39552,10183425,'Heals caster for 101',100,2,3),
(39553,10183425,'Cannot be modified except by direct means',100,2,4),
(39554,114103,'Inflicts 3581 - 5723 melee damage on targets in area',100,1,0),
(39555,114103,'You must be in stealth to use this!',100,1,1),
(39556,10114103,'Inflicts 2696 - 4384 melee damage on targets in area',100,1,0),
(39557,10114103,'You must be in stealth to use this!',100,1,1),
(39558,175112,'When Equipped:',100,0,0),
(39559,175112,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(39560,175112,'Heals group members for 1132',100,2,2),
(39561,175112,'Cannot be modified except by direct means',100,2,3),
(39562,175112,'When Equipped:',100,0,4),
(39563,175112,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(39564,175112,'Wards caster against 1300 points of all damage',100,2,6),
(39565,175112,'This effect stacks with the Runic Deflection line.',100,2,7),
(39566,175112,'Cannot be modified except by direct means',100,2,8),
(39567,10175112,'When Equipped:',100,0,0),
(39568,10175112,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(39569,10175112,'Heals group members for 1324',100,2,2),
(39570,10175112,'Cannot be modified except by direct means',100,2,3),
(39571,10175112,'When Equipped:',100,0,4),
(39572,10175112,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(39573,10175112,'Wards caster against 1300 points of all damage',100,2,6),
(39574,10175112,'This effect stacks with the Runic Deflection line.',100,2,7),
(39575,10175112,'Cannot be modified except by direct means',100,2,8),
(39576,121055,'Increases STR and STA of group members (AE) by 14.6',100,1,0),
(39577,10121055,'Increases STR and STA of group members (AE) by 14.6',100,1,0),
(39578,35599,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(39579,108441,'Increases INT, AGI, STR and WIS of group members (AE) by 92.4',100,1,0),
(39580,108441,'Adds 2.4% to base avoidance.',100,1,1),
(39581,108441,'Increases Ability Reuse Speed of group members (AE) by 8.4%',100,1,2),
(39582,108441,'Increases Attack Speed of group members (AE) by 57.4',100,1,3),
(39583,108441,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,4),
(39584,10108441,'Increases INT, AGI, STR and WIS of group members (AE) by 92.4',100,1,0),
(39585,10108441,'Adds 2.4% to base avoidance.',100,1,1),
(39586,10108441,'Increases Ability Reuse Speed of group members (AE) by 8.4%',100,1,2),
(39587,10108441,'Increases Attack Speed of group members (AE) by 57.4',100,1,3),
(39588,10108441,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,4),
(39589,101485,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(39590,101485,'Increases Mitigation of group members (AE) vs arcane damage by 706',100,1,1),
(39591,10101485,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(39592,10101485,'Increases Mitigation of group members (AE) vs arcane damage by 706',100,1,1),
(39593,114131,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(39594,114131,'Increases Mitigation of group members (AE) vs elemental damage by 660',100,1,1),
(39595,10114131,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(39596,10114131,'Increases Mitigation of group members (AE) vs elemental damage by 660',100,1,1),
(39597,75324,'When Equipped:',100,0,0),
(39598,75324,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39599,75324,'Inflicts 174 - 260 magic damage on target',100,2,2),
(39600,75324,'Decreases power of target by 97 - 119',100,2,3),
(39601,75324,'Increases power of caster by 46 - 62',100,2,4),
(39602,75324,'Cannot be modified except by direct means',100,2,5),
(39603,10075324,'When Equipped:',100,0,0),
(39604,10075324,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39605,10075324,'Inflicts 174 - 260 magic damage on target',100,2,2),
(39606,10075324,'Decreases power of target by 97 - 119',100,2,3),
(39607,10075324,'Increases power of caster by 46 - 62',100,2,4),
(39608,10075324,'Cannot be modified except by direct means',100,2,5),
(39609,48299,'Applies arcane remedy when Activated.',100,0,0),
(39610,48299,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(39611,10048299,'Applies arcane remedy when Activated.',100,0,0),
(39612,10048299,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(39613,101059,'Summons 3 limited pets to aid the caster',100,1,0),
(39614,10101059,'Summons 3 limited pets to aid the caster',100,1,0),
(39615,48463,'Applies Thinning Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(39616,48463,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(39617,48463,'Inflicts 213 poison damage on target instantly and every 6 seconds',100,2,2),
(39618,48463,'Inflicts 726 poison damage on target',100,2,3),
(39619,48463,'Cannot be modified except by direct means',100,2,4),
(39620,48463,'Grants a total of 200 triggers of the spell.',100,2,5),
(39621,48463,'Only affects targets level 50 and above',100,1,6),
(39622,10048463,'Applies Thinning Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(39623,10048463,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(39624,10048463,'Inflicts 160 poison damage on target instantly and every 6 seconds',100,2,2),
(39625,10048463,'Inflicts 544 poison damage on target',100,2,3),
(39626,10048463,'Cannot be modified except by direct means',100,2,4),
(39627,10048463,'Grants a total of 200 triggers of the spell.',100,2,5),
(39628,10048463,'Only affects targets level 50 and above',100,1,6),
(39629,108652,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(39630,108652,'Increases AGI of target by 51.5',100,2,1),
(39631,108652,'Heals target for 1457',100,2,2),
(39632,108652,'Heals target for 364 every 2 seconds',100,2,3),
(39633,108652,'Grants a total of 1 trigger of the spell.',100,2,4),
(39634,10108652,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(39635,10108652,'Increases AGI of target by 51.5',100,2,1),
(39636,10108652,'Heals target for 746',100,2,2),
(39637,10108652,'Heals target for 186 every 2 seconds',100,2,3),
(39638,10108652,'Grants a total of 1 trigger of the spell.',100,2,4),
(39639,109694,'Inflicts 1777 - 1953 cold damage on target',100,1,0),
(39640,109694,'Inflicts 794 - 971 cold damage on target every 3 seconds',100,1,1),
(39641,10109694,'Inflicts 1021 - 1160 cold damage on target',100,1,0),
(39642,10109694,'Inflicts 626 - 765 cold damage on target every 3 seconds',100,1,1),
(39643,112133,'Dispels 61 levels of physical hostile effects on caster',100,129,0),
(39644,112133,'Dispels 61 levels of physical and arcane hostile effects on caster',100,1,1),
(39645,10112133,'Dispels 61 levels of physical hostile effects on caster',100,129,0),
(39646,10112133,'Dispels 61 levels of physical and arcane hostile effects on caster',100,1,1),
(39647,87207,'When Equipped:',100,0,0),
(39648,87207,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39649,87207,'Inflicts 97 - 146 magic damage on target',100,2,2),
(39650,87207,'Cannot be modified except by direct means',100,2,3),
(39651,10087207,'When Equipped:',100,0,0),
(39652,10087207,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39653,10087207,'Inflicts 97 - 146 magic damage on target',100,2,2),
(39654,10087207,'Cannot be modified except by direct means',100,2,3),
(39655,114170,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(39656,114170,'Heals target for 3029',100,2,1),
(39657,114170,'Grants a total of 1 trigger of the spell.',100,2,2),
(39658,10114170,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(39659,10114170,'Heals target for 1469',100,2,1),
(39660,10114170,'Grants a total of 1 trigger of the spell.',100,2,2),
(39661,115284,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(39662,115284,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(39663,115284,'Inflicts 1830 - 2237 poison damage on target',100,3,2),
(39664,115284,'Grants a total of 1 trigger of the spell.',100,3,3),
(39665,10115284,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(39666,10115284,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(39667,10115284,'Inflicts 1442 - 1763 poison damage on target',100,3,2),
(39668,10115284,'Grants a total of 1 trigger of the spell.',100,3,3),
(39669,104964,'Inflicts 6339 - 9866 melee damage on target',100,1,0),
(39670,104964,'Decreases Defense of target by 53.6',100,1,1),
(39671,104964,'Must be behind',100,1,2),
(39672,10104964,'Inflicts 4616 - 7396 melee damage on target',100,1,0),
(39673,10104964,'Decreases Defense of target by 53.6',100,1,1),
(39674,10104964,'Must be behind',100,1,2),
(39675,100625,'Transfers 26% of target''s current Threat to the caster',100,1,0),
(39676,10100625,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(39677,10100625,'10% of all damage received by the caster is prevented.',100,2,1),
(39678,10100625,'This effect can only trigger once every 5 seconds.',100,2,2),
(39679,124788,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(39680,124788,'Increases STR of caster by 46.7',100,1,1),
(39681,124788,'Decreases Defense of caster by 9.6',100,1,2),
(39682,124788,'Increases Crushing, Piercing, Slashing and Disruption of caster by 16.4',100,1,3),
(39683,10124788,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(39684,10124788,'Increases STR of caster by 46.7',100,1,1),
(39685,10124788,'Decreases Defense of caster by 9.6',100,1,2),
(39686,10124788,'Increases Crushing, Piercing, Slashing and Disruption of caster by 16.4',100,1,3),
(39687,112840,'Roots target',100,1,0),
(39688,112840,'5% chance to dispel when target takes damage',100,1,1),
(39689,112840,'Does not affect Epic targets',100,1,2),
(39690,112840,'Resistibility increases against targets higher than level 78.',100,1,3),
(39691,10112840,'Roots target',100,1,0),
(39692,10112840,'5% chance to dispel when target takes damage',100,1,1),
(39693,10112840,'Does not affect Epic targets',100,1,2),
(39694,10112840,'Resistibility increases against targets higher than level 78.',100,1,3),
(39695,36816,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(39696,122570,'Inflicts 46 - 56 mental damage on target',100,1,0),
(39697,122570,'Inflicts 10 - 12 mental damage on target every 3 seconds',100,1,1),
(39698,122570,'Decreases Mitigation of target vs arcane damage by 43',100,1,2),
(39699,10122570,'Inflicts 43 - 53 mental damage on target',100,1,0),
(39700,10122570,'Inflicts 8 - 10 mental damage on target every 3 seconds',100,1,1),
(39701,10122570,'Decreases Mitigation of target vs arcane damage by 43',100,1,2),
(39702,46063,'Applies Elixir of Comprehension when Activated.  Lasts for 30 minutes.',100,0,0),
(39703,10046063,'Applies Elixir of Comprehension when Activated.  Lasts for 30 minutes.',100,0,0),
(39704,100587,'Inflicts 1686 - 2380 melee damage on target',100,1,0),
(39705,100587,'You must be sneaking to use this ability.',100,1,1),
(39706,10100587,'Inflicts 1188 - 1710 melee damage on target',100,1,0),
(39707,10100587,'You must be sneaking to use this ability.',100,1,1),
(39708,114312,'Heals target for 4478 - 5255',100,1,0),
(39709,10114312,'Heals target for 3495 - 4215',100,1,0),
(39710,119069,'Inflicts 2467 - 3713 mental damage on target',100,1,0),
(39711,119069,'Decreases power of target by 1534 - 2557',100,1,1),
(39712,119069,'Increases power of caster by 166 - 276',100,1,2),
(39713,10119069,'Inflicts 1692 - 2546 mental damage on target',100,1,0),
(39714,10119069,'Decreases power of target by 1209 - 2015',100,1,1),
(39715,10119069,'Increases power of caster by 166 - 276',100,1,2),
(39716,115014,'Inflicts 6543 - 10642 ranged damage on targets in area',100,1,0),
(39717,115014,'You must be in stealth to use this!',100,1,1),
(39718,115014,'Requires bow',100,1,2),
(39719,10115014,'Inflicts 3805 - 6228 ranged damage on targets in area',100,1,0),
(39720,10115014,'You must be in stealth to use this!',100,1,1),
(39721,10115014,'Requires bow',100,1,2),
(39722,108675,'Dispels 153 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(39723,10108675,'Dispels 153 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(39724,116548,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(39725,116548,'Inflicts 1094 divine damage on target',100,2,1),
(39726,116548,'Increases Mitigation of raid and group members (AE) vs all damage by 2016',100,1,2),
(39727,10116548,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(39728,10116548,'Inflicts 862 divine damage on target',100,2,1),
(39729,10116548,'Increases Mitigation of raid and group members (AE) vs all damage by 2016',100,1,2),
(39730,164292,'When Equipped:',100,0,0),
(39731,164292,'Increases Attack Speed of caster by 4.0',100,1,1),
(39732,164292,'Increases Damage Per Second of caster by 4.0',100,1,2),
(39733,164292,'Increases in-combat movement speed of caster by 4.0%',100,1,3),
(39734,164292,'Must not be engaged in pvp combat',100,1,4),
(39735,10164292,'When Equipped:',100,0,0),
(39736,10164292,'Increases Attack Speed of caster by 4.0',100,1,1),
(39737,10164292,'Increases Damage Per Second of caster by 4.0',100,1,2),
(39738,10164292,'Increases in-combat movement speed of caster by 4.0%',100,1,3),
(39739,10164292,'Must not be engaged in pvp combat',100,1,4),
(39740,87297,'When Equipped:',100,0,0),
(39741,87297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39742,87297,'Inflicts 142 - 213 magic damage on target',100,2,2),
(39743,87297,'Cannot be modified except by direct means',100,2,3),
(39744,10087297,'When Equipped:',100,0,0),
(39745,10087297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39746,10087297,'Inflicts 142 - 213 magic damage on target',100,2,2),
(39747,10087297,'Cannot be modified except by direct means',100,2,3),
(39748,121128,'Summons a limited pet to aid the caster',100,1,0),
(39749,10121128,'Summons a limited pet to aid the caster',100,1,0),
(39750,121125,'Summons a limited pet to aid the caster',100,1,0),
(39751,10121125,'Summons a limited pet to aid the caster',100,1,0),
(39752,88211,'When Equipped:',100,0,0),
(39753,88211,'On a combat hit this spell may cast Mindlash on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39754,88211,'Inflicts 119 - 198 mental damage on target every 4.8 seconds',100,2,2),
(39755,88211,'Applies Mindlash Bite on termination.',100,2,3),
(39756,88211,'Inflicts 504 - 840 mental damage on target',100,3,4),
(39757,88211,'Cannot be modified except by direct means',100,2,5),
(39758,10088211,'When Equipped:',100,0,0),
(39759,10088211,'On a combat hit this spell may cast Mindlash on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(39760,10088211,'Inflicts 119 - 198 mental damage on target every 4.8 seconds',100,2,2),
(39761,10088211,'Applies Mindlash Bite on termination.',100,2,3),
(39762,10088211,'Inflicts 397 - 662 mental damage on target',100,3,4),
(39763,10088211,'Cannot be modified except by direct means',100,2,5),
(39764,104015,'Stifles target',100,1,0),
(39765,104015,'If Target is not Epic',100,2,1),
(39766,104015,'Interrupts target',100,1,2),
(39767,104015,'Decreases Threat to target by 347 - 424 ',100,1,3),
(39768,104015,'Resistibility increases against targets higher than level 53.',100,1,4),
(39769,10104015,'Stifles target',100,1,0),
(39770,10104015,'If Target is not Epic',100,2,1),
(39771,10104015,'Interrupts target',100,1,2),
(39772,10104015,'Resistibility increases against targets higher than level 53.',100,1,3),
(39773,81675,'When Equipped:',100,0,0),
(39774,81675,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39775,81675,'Inflicts 151 - 280 magic damage on target',100,2,2),
(39776,81675,'Decreases Threat to target by 259 ',100,2,3),
(39777,81675,'Must be flanking or behind',100,3,4),
(39778,81675,'Increases Threat to target by 453 ',100,2,5),
(39779,81675,'Must be in front of',100,3,6),
(39780,81675,'Cannot be modified except by direct means',100,2,7),
(39781,10081675,'When Equipped:',100,0,0),
(39782,10081675,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39783,10081675,'Inflicts 151 - 280 magic damage on target',100,2,2),
(39784,10081675,'Cannot be modified except by direct means',100,2,3),
(39785,109262,'Increases INT and WIS of group members (AE) by 83.2',100,1,0),
(39786,109262,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 233',100,1,1),
(39787,10109262,'Increases INT and WIS of group members (AE) by 83.2',100,1,0),
(39788,10109262,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 233',100,1,1),
(39789,82922,'When Equipped:',100,0,0),
(39790,82922,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39791,82922,'Inflicts 449 - 834 magic damage on target',100,2,2),
(39792,82922,'Decreases Threat to target by 833 ',100,2,3),
(39793,82922,'Must be flanking or behind',100,3,4),
(39794,82922,'Increases Threat to target by 1,293 ',100,2,5),
(39795,82922,'Must be in front of',100,3,6),
(39796,82922,'Cannot be modified except by direct means',100,2,7),
(39797,10082922,'When Equipped:',100,0,0),
(39798,10082922,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39799,10082922,'Inflicts 449 - 834 magic damage on target',100,2,2),
(39800,10082922,'Cannot be modified except by direct means',100,2,3),
(39801,88199,'When Equipped:',100,0,0),
(39802,88199,'Increases magic damage done by spells by up to 50.',100,1,1),
(39803,10088199,'When Equipped:',100,0,0),
(39804,10088199,'Increases magic damage done by spells by up to 50.',100,1,1),
(39805,114189,'Inflicts 1111 - 1842 melee damage on target',100,1,0),
(39806,114189,'Decreases Slashing, Crushing and Piercing of target by 6.0',100,1,1),
(39807,10114189,'Inflicts 875 - 1362 melee damage on target',100,1,0),
(39808,10114189,'Decreases Slashing, Crushing and Piercing of target by 6.0',100,1,1),
(39809,121347,'Inflicts 181 - 336 magic damage on target encounter',100,1,0),
(39810,121347,'Inflicts 44 - 83 magic damage on target encounter every 2 seconds',100,1,1),
(39811,10121347,'Inflicts 167 - 197 magic damage on target encounter',100,1,0),
(39812,10121347,'Inflicts 35 - 65 magic damage on target encounter every 2 seconds',100,1,1),
(39813,81721,'When Equipped:',100,0,0),
(39814,81721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39815,81721,'Inflicts 189 - 352 magic damage on target',100,2,2),
(39816,81721,'Cannot be modified except by direct means',100,2,3),
(39817,10081721,'When Equipped:',100,0,0),
(39818,10081721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39819,10081721,'Inflicts 189 - 352 magic damage on target',100,2,2),
(39820,10081721,'Cannot be modified except by direct means',100,2,3),
(39821,117810,'Mesmerizes target',100,1,0),
(39822,117810,'Prevents AOE (except when direct) ',100,1,1),
(39823,117810,'Dispelled when target takes damage',100,1,2),
(39824,117810,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(39825,117810,'Resistibility increases against targets higher than level 107.',100,1,4),
(39826,10117810,'Mesmerizes target',100,1,0),
(39827,10117810,'Prevents AOE (except when direct) ',100,1,1),
(39828,10117810,'Dispelled when target takes damage',100,1,2),
(39829,10117810,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(39830,10117810,'Resistibility increases against targets higher than level 107.',100,1,4),
(39831,110031,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(39832,110031,'Inflicts 746 - 1243 disease damage on target',100,2,1),
(39833,110031,'Heals caster for 1.6 - 2.7% of max health',100,2,2),
(39834,110031,'This effect cannot be critically applied.',100,3,3),
(39835,110031,'The healing of this spell cannot be modified except by direct means',100,2,4),
(39836,10110031,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(39837,10110031,'Inflicts 588 - 979 disease damage on target',100,2,1),
(39838,10110031,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(39839,10110031,'This effect cannot be critically applied.',100,3,3),
(39840,10110031,'The healing of this spell cannot be modified except by direct means',100,2,4),
(39841,118588,'Roots target',100,1,0),
(39842,118588,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(39843,118588,'Slows target by 32.5%',100,2,2),
(39844,118588,'5% chance to dispel when target receives hostile action',100,2,3),
(39845,118588,'5% chance to dispel when target takes damage',100,2,4),
(39846,118588,'5% chance to dispel when target takes damage',100,1,5),
(39847,118588,'Does not affect Epic targets',100,1,6),
(39848,118588,'Resistibility increases against targets higher than level 50.',100,1,7),
(39849,10118588,'Roots target',100,1,0),
(39850,10118588,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(39851,10118588,'Slows target by 32.5%',100,2,2),
(39852,10118588,'5% chance to dispel when target receives hostile action',100,2,3),
(39853,10118588,'5% chance to dispel when target takes damage',100,2,4),
(39854,10118588,'5% chance to dispel when target takes damage',100,1,5),
(39855,10118588,'Does not affect Epic targets',100,1,6),
(39856,10118588,'Resistibility increases against targets higher than level 50.',100,1,7),
(39857,35844,'Increases STR of target by 8.4',100,0,0),
(39858,35844,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(39859,89423,'When Equipped:',100,0,0),
(39860,89423,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(39861,89423,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(39862,89423,'Inflicts 2433 - 2689 mental damage on target',100,2,3),
(39863,89423,'Decreases Threat to target by 4,662 - 5,153 ',100,2,4),
(39864,89423,'Must not be engaged in pvp combat',100,2,5),
(39865,89423,'Cannot be modified except by direct means',100,2,6),
(39866,89423,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(39867,89423,'Inflicts 2433 - 2689 mental damage on target',100,2,8),
(39868,89423,'Decreases Threat to target by 4,662 - 5,153 ',100,2,9),
(39869,89423,'Must not be engaged in pvp combat',100,2,10),
(39870,89423,'Cannot be modified except by direct means',100,2,11),
(39871,89423,'Cannot be modified except by direct means',100,1,12),
(39872,10089423,'When Equipped:',100,0,0),
(39873,10089423,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(39874,10089423,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(39875,10089423,'Inflicts 2433 - 2689 mental damage on target',100,2,3),
(39876,10089423,'Must not be engaged in pvp combat',100,2,4),
(39877,10089423,'Cannot be modified except by direct means',100,2,5),
(39878,10089423,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(39879,10089423,'Inflicts 2433 - 2689 mental damage on target',100,2,7),
(39880,10089423,'Must not be engaged in pvp combat',100,2,8),
(39881,10089423,'Cannot be modified except by direct means',100,2,9),
(39882,10089423,'Cannot be modified except by direct means',100,1,10),
(39883,108522,'Increases AGI and WIS of group members (AE) by 35.8',100,1,0),
(39884,108522,'Adds 1.5% to base avoidance.',100,1,1),
(39885,108522,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,2),
(39886,10108522,'Increases AGI and WIS of group members (AE) by 35.8',100,1,0),
(39887,10108522,'Adds 1.5% to base avoidance.',100,1,1),
(39888,10108522,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,2),
(39889,109753,'Inflicts 849 - 1296 cold damage on target encounter',100,1,0),
(39890,109753,'Inflicts 522 - 969 cold damage on target encounter every 3 seconds',100,1,1),
(39891,10109753,'Inflicts 543 - 895 cold damage on target encounter',100,1,0),
(39892,10109753,'Inflicts 411 - 764 cold damage on target encounter every 2 seconds',100,1,1),
(39893,36793,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(39894,185461,'When Equipped:',100,0,0),
(39895,185461,'Increases Attack Speed of caster by 40.0',100,1,1),
(39896,10185461,'When Equipped:',100,0,0),
(39897,10185461,'Increases Attack Speed of caster by 40.0',100,1,1),
(39898,122549,'Heals caster for 415',100,1,0),
(39899,122549,'Inflicts 1573 - 2578 melee damage on target',100,1,1),
(39900,10122549,'Heals caster for 212',100,1,0),
(39901,10122549,'Inflicts 1189 - 1842 melee damage on target',100,1,1),
(39902,82108,'When Equipped:',100,0,0),
(39903,82108,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39904,82108,'Inflicts 272 - 505 magic damage on target',100,2,2),
(39905,82108,'Cannot be modified except by direct means',100,2,3),
(39906,10082108,'When Equipped:',100,0,0),
(39907,10082108,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(39908,10082108,'Inflicts 272 - 505 magic damage on target',100,2,2),
(39909,10082108,'Cannot be modified except by direct means',100,2,3),
(39910,107825,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(39911,107825,'Increases Hate Gain of target by 10.6%',100,1,1),
(39912,48907,'Applies Sten''s Invigoration  when Activated.',100,0,0),
(39913,48907,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(39914,10048907,'Applies Sten''s Invigoration  when Activated.',100,0,0),
(39915,10048907,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(39916,24615,'Adds Pandaman (Monk) to your Dungeon Maker toolbox',100,0,0),
(39917,10024615,'Adds Pandaman (Monk) to your Dungeon Maker toolbox',100,0,0),
(39918,103929,'Wards group members (AE) collectively against 5015 total points of all damage',100,1,0),
(39919,10103929,'Wards group members (AE) collectively against 5391 total points of all damage',100,1,0),
(39920,117109,'Mesmerizes target encounter',100,1,0),
(39921,117109,'Prevents AOE (except when direct) ',100,1,1),
(39922,117109,'Dispelled when target takes damage',100,1,2),
(39923,117109,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(39924,117109,'Resistibility increases against targets higher than level 96.',100,1,4),
(39925,10117109,'Mesmerizes target encounter',100,1,0),
(39926,10117109,'Prevents AOE (except when direct) ',100,1,1),
(39927,10117109,'Dispelled when target takes damage',100,1,2),
(39928,10117109,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(39929,10117109,'Resistibility increases against targets higher than level 96.',100,1,4),
(39930,81983,'When Equipped:',100,0,0),
(39931,81983,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39932,81983,'Inflicts 523 - 972 magic damage on target',100,2,2),
(39933,81983,'Decreases Threat to target by 994 ',100,2,3),
(39934,81983,'Must be flanking or behind',100,3,4),
(39935,81983,'Increases Threat to target by 1,454 ',100,2,5),
(39936,81983,'Must be in front of',100,3,6),
(39937,81983,'Cannot be modified except by direct means',100,2,7),
(39938,10081983,'When Equipped:',100,0,0),
(39939,10081983,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(39940,10081983,'Inflicts 523 - 972 magic damage on target',100,2,2),
(39941,10081983,'Cannot be modified except by direct means',100,2,3),
(39942,26119,'When Equipped:',100,0,0),
(39943,26119,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(39944,26119,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(39945,10026119,'When Equipped:',100,0,0),
(39946,10026119,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(39947,10026119,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(39948,121241,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(39949,121241,'Increases Parry of caster by 3.8',100,1,1),
(39950,10121241,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(39951,10121241,'Increases Parry of caster by 3.8',100,1,1),
(39952,105977,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(39953,105977,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(39954,105977,'Inflicts 1005 - 1667 piercing damage on target',100,3,2),
(39955,105977,'Grants a total of 5 triggers of the spell.',100,3,3),
(39956,105977,'Grants a total of 1 trigger of the spell.',100,2,4),
(39957,10105977,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(39958,10105977,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(39959,10105977,'Inflicts 792 - 1258 piercing damage on target',100,3,2),
(39960,10105977,'Grants a total of 5 triggers of the spell.',100,3,3),
(39961,10105977,'Grants a total of 1 trigger of the spell.',100,2,4),
(39962,107009,'Inflicts 531 - 881 melee damage on target',100,1,0),
(39963,107009,'Interrupts target',100,1,1),
(39964,107009,'Must be flanking or behind',100,1,2),
(39965,10107009,'Inflicts 419 - 694 melee damage on target',100,1,0),
(39966,10107009,'Interrupts target',100,1,1),
(39967,10107009,'Must be flanking or behind',100,1,2),
(39968,105026,'Increases WIS of raid and group members (AE) by 25.6',100,1,0),
(39969,105026,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(39970,105026,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 94',100,1,2),
(39971,10105026,'Increases WIS of raid and group members (AE) by 25.6',100,1,0),
(39972,10105026,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(39973,10105026,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 94',100,1,2),
(39974,103048,'Inflicts 211 magic damage on target',100,1,0),
(39975,103048,'Inflicts 53 magic damage on target every 4 seconds',100,1,1),
(39976,103048,'Increases power of caster by 10 instantly and every 4 seconds',100,1,2),
(39977,10103048,'Inflicts 200 magic damage on target',100,1,0),
(39978,10103048,'Inflicts 42 magic damage on target every 4 seconds',100,1,1),
(39979,10103048,'Increases power of caster by 10 instantly and every 4 seconds',100,1,2),
(39980,52766,'Applies Sanguine Imbued when Equipped.',100,0,0),
(39981,52766,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(39982,52766,'Inflicts 207 heat damage on target',100,2,2),
(39983,52766,'Cannot be modified except by direct means',100,2,3),
(39984,10052766,'Applies Sanguine Imbued when Equipped.',100,0,0),
(39985,10052766,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(39986,10052766,'Inflicts 207 heat damage on target',100,2,2),
(39987,10052766,'Cannot be modified except by direct means',100,2,3),
(39988,139310,'When Equipped:',100,0,0),
(39989,139310,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(39990,10139310,'When Equipped:',100,0,0),
(39991,10139310,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(39992,108741,'Summons a pet fiery magician',100,1,0),
(39993,10108741,'Summons a pet fiery magician',100,1,0),
(39994,37571,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(39995,149127,'When Equipped:',100,0,0),
(39996,149127,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(39997,149127,'Heals group members (AE) for 2624',100,2,2),
(39998,149127,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(39999,149127,'Must not be engaged in pvp combat',100,2,4),
(40000,149127,'Cannot be modified except by direct means',100,2,5),
(40001,149127,'Must not be engaged in pvp combat',100,1,6),
(40002,10149127,'When Equipped:',100,0,0),
(40003,10149127,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(40004,10149127,'Heals group members (AE) for 3071',100,2,2),
(40005,10149127,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(40006,10149127,'Must not be engaged in pvp combat',100,2,4),
(40007,10149127,'Cannot be modified except by direct means',100,2,5),
(40008,10149127,'Must not be engaged in pvp combat',100,1,6),
(40009,24324,'Adds Drake (Warlock) to your Dungeon Maker toolbox',100,0,0),
(40010,10024324,'Adds Drake (Warlock) to your Dungeon Maker toolbox',100,0,0),
(40011,121464,'Increases AGI of caster by 130.1',100,1,0),
(40012,121464,'Adds 25.0% to base avoidance.',100,1,1),
(40013,121464,'Increases Mitigation of caster vs physical damage by 1258',100,1,2),
(40014,121464,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,3),
(40015,10121464,'Increases AGI of caster by 130.1',100,1,0),
(40016,10121464,'Adds 25.0% to base avoidance.',100,1,1),
(40017,10121464,'Increases Mitigation of caster vs physical damage by 1258',100,1,2),
(40018,10121464,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,3),
(40019,35742,'Increases AGI of target by 4.3',100,0,0),
(40020,35742,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(40021,121515,'Inflicts 1085 - 1800 melee damage on target',100,1,0),
(40022,121515,'Stuns target',100,1,1),
(40023,121515,'If Target is not Epic',100,2,2),
(40024,121515,'Resistibility increases against targets higher than level 59.',100,1,3),
(40025,10121515,'Inflicts 854 - 1340 melee damage on target',100,1,0),
(40026,10121515,'Stuns target',100,1,1),
(40027,10121515,'If Target is not Epic',100,2,2),
(40028,10121515,'Resistibility increases against targets higher than level 59.',100,1,3),
(40029,102790,'Increases STR of caster by 44.7',100,1,0),
(40030,102790,'Increases Max Health of caster by 264.6',100,1,1),
(40031,102790,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',100,1,2),
(40032,10102790,'Increases STR of caster by 44.7',100,1,0),
(40033,10102790,'Increases Max Health of caster by 264.6',100,1,1),
(40034,10102790,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',100,1,2),
(40035,118480,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(40036,118480,'Inflicts 356 - 435 heat damage on target instantly and every second',100,2,1),
(40037,10118480,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(40038,10118480,'Inflicts 281 - 343 heat damage on target instantly and every second',100,2,1),
(40039,102393,'Inflicts 1925 - 3276 melee damage on targets in area',100,1,0),
(40040,10102393,'Inflicts 1391 - 2455 melee damage on targets in area',100,1,0),
(40041,45487,'When Equipped:',100,0,0),
(40042,45487,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(40043,10045487,'When Equipped:',100,0,0),
(40044,10045487,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(40045,121320,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(40046,10121320,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(40047,110342,'Increases Max Power of target by 410.3',100,1,0),
(40048,110342,'Increases Max Health of target by 836.5',100,1,1),
(40049,10110342,'Increases Max Power of target by 410.3',100,1,0),
(40050,10110342,'Increases Max Health of target by 836.5',100,1,1),
(40051,46892,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(40052,46892,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(40053,46892,'Decreases WIS of target by 58.0',100,2,2),
(40054,46892,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 741',100,2,3),
(40055,46892,'Cannot be modified except by direct means',100,2,4),
(40056,46892,'Grants a total of 60 triggers of the spell.',100,2,5),
(40057,10046892,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(40058,10046892,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(40059,10046892,'Decreases WIS of target by 58.0',100,2,2),
(40060,10046892,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 741',100,2,3),
(40061,10046892,'Cannot be modified except by direct means',100,2,4),
(40062,10046892,'Grants a total of 60 triggers of the spell.',100,2,5),
(40063,45600,'Applies Elixir of Divine Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(40064,10045600,'Applies Elixir of Divine Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(40065,41497,'When Equipped:',100,0,0),
(40066,41497,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40067,41497,'Inflicts 151 - 280 magic damage on target',100,2,2),
(40068,41497,'Cannot be modified except by direct means',100,2,3),
(40069,10041497,'When Equipped:',100,0,0),
(40070,10041497,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40071,10041497,'Inflicts 151 - 280 magic damage on target',100,2,2),
(40072,10041497,'Cannot be modified except by direct means',100,2,3),
(40073,123481,'Decreases Mitigation of target encounter vs noxious damage by 73',100,1,0),
(40074,10123481,'Decreases Mitigation of target encounter vs noxious damage by 73',100,1,0),
(40075,101875,'Stuns target',100,1,0),
(40076,101875,'Does not affect Epic targets',100,1,1),
(40077,101875,'Resistibility increases against targets higher than level 116.',100,1,2),
(40078,10101875,'Stuns target',100,1,0),
(40079,10101875,'Does not affect Epic targets',100,1,1),
(40080,10101875,'Resistibility increases against targets higher than level 116.',100,1,2),
(40081,41886,'When Equipped:',100,0,0),
(40082,41886,'On a combat hit this spell may cast Hollow Bludgeon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40083,41886,'Inflicts 347 - 521 divine damage on target',100,2,2),
(40084,41886,'Cannot be modified except by direct means',100,2,3),
(40085,41886,'Applies Summon Bone Spine when Activated.',100,0,4),
(40086,41886,'Summons 99 bone spines',100,1,5),
(40087,41886,'The casting time of Summon Bone Spine is 3.96 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,6),
(40088,10041886,'When Equipped:',100,0,0),
(40089,10041886,'On a combat hit this spell may cast Hollow Bludgeon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40090,10041886,'Inflicts 347 - 521 divine damage on target',100,2,2),
(40091,10041886,'Cannot be modified except by direct means',100,2,3),
(40092,10041886,'Applies Summon Bone Spine when Activated.',100,0,4),
(40093,10041886,'Summons 99 bone spines',100,1,5),
(40094,10041886,'The casting time of Summon Bone Spine is 3.96 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,6),
(40095,48228,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(40096,48228,'Increases power of caster by 95 instantly and every 4 seconds',100,1,1),
(40097,48228,'Requires 715 Health to cast.',100,1,2),
(40098,10048228,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(40099,10048228,'Increases power of caster by 95 instantly and every 4 seconds',100,1,1),
(40100,10048228,'Requires 715 Health to cast.',100,1,2),
(40101,103554,'Increases In-Combat Power Regeneration of group members (AE) by 32.9',100,1,0),
(40102,10103554,'Increases In-Combat Power Regeneration of group members (AE) by 32.9',100,1,0),
(40103,121315,'Inflicts 248 - 303 divine damage on target',100,1,0),
(40104,121315,'Inflicts 71 - 87 divine damage on target every 3 seconds',100,1,1),
(40105,121315,'Decreases Defense of target by 4.2',100,1,2),
(40106,10121315,'Inflicts 233 - 285 divine damage on target',100,1,0),
(40107,10121315,'Inflicts 56 - 68 divine damage on target every 3 seconds',100,1,1),
(40108,10121315,'Decreases Defense of target by 4.2',100,1,2),
(40109,110874,'Inflicts 803 - 982 heat damage on target encounter',100,1,0),
(40110,10110874,'Inflicts 657 - 795 heat damage on target encounter',100,1,0),
(40111,41510,'When Equipped:',100,0,0),
(40112,41510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40113,41510,'Inflicts 81 - 151 magic damage on target',100,2,2),
(40114,41510,'Cannot be modified except by direct means',100,2,3),
(40115,10041510,'When Equipped:',100,0,0),
(40116,10041510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40117,10041510,'Inflicts 81 - 151 magic damage on target',100,2,2),
(40118,10041510,'Cannot be modified except by direct means',100,2,3),
(40119,123189,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(40120,123189,'Inflicts 69 - 84 disease damage on target',100,2,1),
(40121,123189,'Heals caster for 28 - 34',100,2,2),
(40122,123189,'This effect cannot be critically applied.',100,3,3),
(40123,123189,'The healing of this spell cannot be modified except by direct means',100,2,4),
(40124,123189,'Grants a total of 5 triggers of the spell.',100,2,5),
(40125,10123189,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(40126,10123189,'Inflicts 55 - 68 disease damage on target',100,2,1),
(40127,10123189,'Heals caster for 11 - 13',100,2,2),
(40128,10123189,'This effect cannot be critically applied.',100,3,3),
(40129,10123189,'The healing of this spell cannot be modified except by direct means',100,2,4),
(40130,10123189,'Grants a total of 5 triggers of the spell.',100,2,5),
(40131,108694,'Inflicts 685 heat damage on target',100,1,0),
(40132,108694,'Inflicts 70 heat damage on target every 4 seconds',100,1,1),
(40133,10108694,'Inflicts 717 heat damage on target',100,1,0),
(40134,10108694,'Inflicts 56 heat damage on target every 4 seconds',100,1,1),
(40135,87355,'When Equipped:',100,0,0),
(40136,87355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40137,87355,'Inflicts 192 - 289 magic damage on target',100,2,2),
(40138,87355,'Cannot be modified except by direct means',100,2,3),
(40139,10087355,'When Equipped:',100,0,0),
(40140,10087355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40141,10087355,'Inflicts 192 - 289 magic damage on target',100,2,2),
(40142,10087355,'Cannot be modified except by direct means',100,2,3),
(40143,77416,'Applies Fire Ball when Activated.',100,0,0),
(40144,77416,'Inflicts 240 - 399 heat damage on target',100,1,1),
(40145,77416,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(40146,10077416,'Applies Fire Ball when Activated.',100,0,0),
(40147,10077416,'Inflicts 240 - 399 heat damage on target',100,1,1),
(40148,10077416,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(40149,107519,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(40150,10107519,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(40151,170554,'When Equipped:',100,0,0),
(40152,170554,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(40153,170554,'Inflicts 1998 disease damage on target encounter',100,2,2),
(40154,170554,'Must not be engaged in pvp combat',100,2,3),
(40155,170554,'Cannot be modified except by direct means',100,2,4),
(40156,10170554,'When Equipped:',100,0,0),
(40157,10170554,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(40158,10170554,'Inflicts 999 disease damage on target encounter',100,2,2),
(40159,10170554,'Must not be engaged in pvp combat',100,2,3),
(40160,10170554,'Cannot be modified except by direct means',100,2,4),
(40161,104696,'Decreases Mitigation of target vs all damage by 877',100,1,0),
(40162,10104696,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 877',100,1,0),
(40163,10104696,'Decreases Mitigation of target vs physical damage by 731',100,1,1),
(40164,106149,'Inflicts 1436 - 2379 divine damage on target encounter',100,1,0),
(40165,106149,'Interrupts target encounter',100,1,1),
(40166,10106149,'Inflicts 1102 - 1748 divine damage on target encounter',100,1,0),
(40167,10106149,'Interrupts target encounter',100,1,1),
(40168,107057,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(40169,107057,'Inflicts 604 - 1006 divine damage on target',100,2,1),
(40170,107057,'Inflicts 604 - 1006 divine damage on target',100,2,2),
(40171,107057,'If target is undead',100,3,3),
(40172,10107057,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(40173,10107057,'Inflicts 793 - 1322 divine damage on target',100,2,1),
(40174,46970,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(40175,46970,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(40176,46970,'Inflicts 66 poison damage on target instantly and every 6 seconds',100,2,2),
(40177,46970,'Inflicts 224 poison damage on target',100,2,3),
(40178,46970,'Cannot be modified except by direct means',100,2,4),
(40179,46970,'Grants a total of 200 triggers of the spell.',100,2,5),
(40180,10046970,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(40181,10046970,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(40182,10046970,'Inflicts 168 poison damage on target',100,2,2),
(40183,10046970,'Inflicts 49 poison damage on target instantly and every 6 seconds',100,2,3),
(40184,10046970,'Cannot be modified except by direct means',100,2,4),
(40185,10046970,'Grants a total of 200 triggers of the spell.',100,2,5),
(40186,123217,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(40187,123217,'Inflicts 768 - 939 disease damage on target',100,2,1),
(40188,123217,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(40189,123217,'This effect cannot be critically applied.',100,3,3),
(40190,123217,'The healing of this spell cannot be modified except by direct means',100,2,4),
(40191,123217,'Grants a total of 5 triggers of the spell.',100,2,5),
(40192,10123217,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(40193,10123217,'Inflicts 618 - 749 disease damage on target',100,2,1),
(40194,10123217,'Heals caster for 1.0 - 1.3% of max health',100,2,2),
(40195,10123217,'This effect cannot be critically applied.',100,3,3),
(40196,10123217,'The healing of this spell cannot be modified except by direct means',100,2,4),
(40197,10123217,'Grants a total of 5 triggers of the spell.',100,2,5),
(40198,124278,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(40199,124278,'Increases Attack Speed of target by 32.0',100,2,1),
(40200,124278,'Increases Damage Per Second of target by 32.0',100,2,2),
(40201,124278,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(40202,124278,'Increases Attack Speed of target by 32.0',100,2,4),
(40203,124278,'Increases Damage Per Second of target by 32.0',100,2,5),
(40204,124278,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(40205,124278,'Increases Attack Speed of target by 32.0',100,2,7),
(40206,124278,'Increases Damage Per Second of target by 32.0',100,2,8),
(40207,10124278,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(40208,10124278,'Increases Attack Speed of target by 32.0',100,2,1),
(40209,10124278,'Increases Damage Per Second of target by 32.0',100,2,2),
(40210,10124278,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(40211,10124278,'Increases Attack Speed of target by 32.0',100,2,4),
(40212,10124278,'Increases Damage Per Second of target by 32.0',100,2,5),
(40213,10124278,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(40214,10124278,'Increases Attack Speed of target by 32.0',100,2,7),
(40215,10124278,'Increases Damage Per Second of target by 32.0',100,2,8),
(40216,74594,'When Equipped:',100,0,0),
(40217,74594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40218,74594,'Inflicts 85 - 128 magic damage on target',100,2,2),
(40219,74594,'Cannot be modified except by direct means',100,2,3),
(40220,10074594,'When Equipped:',100,0,0),
(40221,10074594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40222,10074594,'Inflicts 85 - 128 magic damage on target',100,2,2),
(40223,10074594,'Cannot be modified except by direct means',100,2,3),
(40224,117817,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(40225,117817,'Heals target for 443 - 468',100,2,1),
(40226,117817,'Heals target for 115 - 141 every 2 seconds',100,2,2),
(40227,117817,'If over 50% Health',100,3,3),
(40228,117817,'Heals target for 558 - 609',100,2,4),
(40229,117817,'Heals target for 230 - 281 every 2 seconds',100,2,5),
(40230,117817,'If at 50% Health or less',100,3,6),
(40231,10117817,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(40232,10117817,'Heals target for 112 - 118',100,2,1),
(40233,10117817,'Heals target for 27 - 32 every 2 seconds',100,2,2),
(40234,10117817,'If over 50% Health',100,3,3),
(40235,10117817,'Heals target for 130 - 140',100,2,4),
(40236,10117817,'Heals target for 44 - 54 every 2 seconds',100,2,5),
(40237,10117817,'If at 50% Health or less',100,3,6),
(40238,118445,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(40239,118445,'Inflicts 27 - 33 heat damage on target instantly and every second',100,2,1),
(40240,10118445,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(40241,10118445,'Inflicts 22 - 26 heat damage on target instantly and every second',100,2,1),
(40242,82277,'When Equipped:',100,0,0),
(40243,82277,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40244,82277,'Inflicts 55 - 102 magic damage on target',100,2,2),
(40245,82277,'Cannot be modified except by direct means',100,2,3),
(40246,10082277,'When Equipped:',100,0,0),
(40247,10082277,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40248,10082277,'Inflicts 55 - 102 magic damage on target',100,2,2),
(40249,10082277,'Cannot be modified except by direct means',100,2,3),
(40250,103075,'Inflicts 1414 magic damage on target',100,1,0),
(40251,103075,'Inflicts 431 magic damage on target every 4 seconds',100,1,1),
(40252,103075,'Increases power of caster by 82 instantly and every 4 seconds',100,1,2),
(40253,10103075,'Inflicts 735 magic damage on target',100,1,0),
(40254,10103075,'Inflicts 340 magic damage on target every 4 seconds',100,1,1),
(40255,10103075,'Increases power of caster by 82 instantly and every 4 seconds',100,1,2),
(40256,124764,'Inflicts 3085 - 3698 disease damage on target encounter',100,1,0),
(40257,10124764,'Inflicts 2305 - 2788 disease damage on target encounter',100,1,0),
(40258,117961,'Heals target for 1483 - 1812',100,1,0),
(40259,117961,'Increases Max Health of target by 54.2',100,1,1),
(40260,10117961,'Heals target for 1150 - 1349',100,1,0),
(40261,10117961,'Increases Max Health of target by 54.2',100,1,1),
(40262,138703,'When Equipped:',100,0,0),
(40263,138703,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(40264,138703,'Wards caster against 720 points of all damage',100,2,2),
(40265,138703,'Cannot be modified except by direct means',100,2,3),
(40266,138703,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(40267,138703,'Wards caster against 720 points of all damage',100,2,5),
(40268,138703,'Cannot be modified except by direct means',100,2,6),
(40269,10138703,'When Equipped:',100,0,0),
(40270,10138703,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(40271,10138703,'Wards caster against 360 points of all damage',100,2,2),
(40272,10138703,'Cannot be modified except by direct means',100,2,3),
(40273,10138703,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(40274,10138703,'Wards caster against 360 points of all damage',100,2,5),
(40275,10138703,'Cannot be modified except by direct means',100,2,6),
(40276,122937,'Inflicts 211 - 285 mental damage on target',100,1,0),
(40277,10122937,'Inflicts 181 - 245 mental damage on target',100,1,0),
(40278,116536,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(40279,116536,'Inflicts 597 divine damage on target',100,2,1),
(40280,116536,'Increases Mitigation of raid and group members (AE) vs all damage by 1200',100,1,2),
(40281,10116536,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(40282,10116536,'Inflicts 471 divine damage on target',100,2,1),
(40283,10116536,'Increases Mitigation of raid and group members (AE) vs all damage by 1200',100,1,2),
(40284,71478,'When Equipped:',100,0,0),
(40285,71478,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40286,71478,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(40287,71478,'Cannot be modified except by direct means',100,2,3),
(40288,10071478,'When Equipped:',100,0,0),
(40289,10071478,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40290,10071478,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(40291,10071478,'Cannot be modified except by direct means',100,2,3),
(40292,72129,'When Equipped:',100,0,0),
(40293,72129,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40294,72129,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(40295,72129,'Cannot be modified except by direct means',100,2,3),
(40296,10072129,'When Equipped:',100,0,0),
(40297,10072129,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40298,10072129,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(40299,10072129,'Cannot be modified except by direct means',100,2,3),
(40300,113331,'Inflicts 1138 - 1391 divine damage on target encounter',100,1,0),
(40301,113331,'Interrupts target encounter',100,1,1),
(40302,10113331,'Inflicts 900 - 1071 divine damage on target encounter',100,1,0),
(40303,10113331,'Interrupts target encounter',100,1,1),
(40304,119267,'Inflicts 542 - 681 slashing damage on target',100,1,0),
(40305,119267,'Decreases Damage Per Second of target by 8.7',100,1,1),
(40306,119267,'Inflicts 188 slashing damage on target instantly and every 4 seconds',100,1,2),
(40307,10119267,'Inflicts 506 - 580 slashing damage on target',100,1,0),
(40308,10119267,'Decreases Damage Per Second of target by 8.7',100,1,1),
(40309,10119267,'Inflicts 148 slashing damage on target instantly and every 4 seconds',100,1,2),
(40310,105526,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 20.4',100,1,0),
(40311,10105526,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 20.4',100,1,0),
(40312,107790,'Increases Threat to target encounter by 1,218 - 1,489 ',100,1,0),
(40313,10107790,'Prevents target encounter from changing targets',100,1,0),
(40314,10107790,'Forces target encounter to change their selected target to caster.',100,1,1),
(40315,165545,'When Equipped:',100,0,0),
(40316,165545,'Applies Elemental Disruption to qualifying pets.',100,1,1),
(40317,165545,'On a combat hit this spell may cast Elemental Disruption on target of attack.  Triggers about 2.0 times per minute. ',100,2,2),
(40318,165545,'Increases power of group members by 390',100,3,3),
(40319,165545,'Inflicts 1446 poison damage on target encounter',100,3,4),
(40320,165545,'Inflicts 1446 heat damage on target encounter',100,3,5),
(40321,10165545,'When Equipped:',100,0,0),
(40322,10165545,'Applies Elemental Disruption to qualifying pets.',100,1,1),
(40323,10165545,'On a combat hit this spell may cast Elemental Disruption on target of attack.  Triggers about 2.0 times per minute. ',100,2,2),
(40324,10165545,'Increases power of group members by 390',100,3,3),
(40325,10165545,'Inflicts 1140 poison damage on target encounter',100,3,4),
(40326,10165545,'Inflicts 1140 heat damage on target encounter',100,3,5),
(40327,173449,'When Equipped:',100,0,0),
(40328,173449,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40329,173449,'Increases target''s chance to block by 10.0%',100,2,2),
(40330,173449,'This effect can be stacked by multiple casters.',100,2,3),
(40331,173449,'Cannot be modified except by direct means',100,2,4),
(40332,10173449,'When Equipped:',100,0,0),
(40333,10173449,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40334,10173449,'Increases target''s chance to block by 10.0%',100,2,2),
(40335,10173449,'This effect can be stacked by multiple casters.',100,2,3),
(40336,10173449,'Cannot be modified except by direct means',100,2,4),
(40337,119250,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',100,1,0),
(40338,119250,'Reduces all damage done to target by 60% This spell will absorb a total of 1 attack.',100,2,1),
(40339,119250,'Heals target for 15.0% of max health',100,2,2),
(40340,119250,'This effect cannot be critically applied.',100,3,3),
(40341,119250,'When damaged this spell will cast Reinforcement on target''s attacker.  ',100,2,4),
(40342,119250,'Increases threat priority of target by 1 position',100,3,5),
(40343,119250,'Increases Threat to target by 1,048 ',100,3,6),
(40344,119250,'The healing of this spell cannot be modified except by direct means',100,2,7),
(40345,119250,'Grants a total of 1 trigger of the spell.',100,2,8),
(40346,10119250,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',100,1,0),
(40347,10119250,'Reduces all damage done to target by 60% This spell will absorb a total of 1 attack.',100,2,1),
(40348,10119250,'Heals target for 9.8% of max health',100,2,2),
(40349,10119250,'This effect cannot be critically applied.',100,3,3),
(40350,10119250,'When damaged this spell will cast Reinforcement on target''s attacker.  Lasts for 3.0 seconds.  ',100,2,4),
(40351,10119250,'Prevents target from changing targets',100,3,5),
(40352,10119250,'Forces target to change their selected target to caster.',100,3,6),
(40353,10119250,'The healing of this spell cannot be modified except by direct means',100,2,7),
(40354,10119250,'Grants a total of 1 trigger of the spell.',100,2,8),
(40355,41495,'When Equipped:',100,0,0),
(40356,41495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40357,41495,'Inflicts 151 - 280 magic damage on target',100,2,2),
(40358,41495,'Cannot be modified except by direct means',100,2,3),
(40359,10041495,'When Equipped:',100,0,0),
(40360,10041495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40361,10041495,'Inflicts 151 - 280 magic damage on target',100,2,2),
(40362,10041495,'Cannot be modified except by direct means',100,2,3),
(40363,159955,'When Equipped:',100,0,0),
(40364,159955,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40365,159955,'Increases STR of caster by 19.2',100,2,2),
(40366,159955,'Increases Damage Per Second of caster by 24.7',100,2,3),
(40367,159955,'Cannot be modified except by direct means',100,2,4),
(40368,10159955,'When Equipped:',100,0,0),
(40369,10159955,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40370,10159955,'Increases STR of caster by 19.2',100,2,2),
(40371,10159955,'Increases Damage Per Second of caster by 24.7',100,2,3),
(40372,10159955,'Cannot be modified except by direct means',100,2,4),
(40373,120355,'Inflicts 866 - 1058 divine damage on target',100,1,0),
(40374,120355,'Inflicts 192 - 235 divine damage on target every 4 seconds',100,1,1),
(40375,120355,'Decreases WIS of target by 27.0',100,1,2),
(40376,10120355,'Inflicts 546 - 580 divine damage on target',100,1,0),
(40377,10120355,'Inflicts 152 - 185 divine damage on target every 4 seconds',100,1,1),
(40378,10120355,'Decreases WIS of target by 27.0',100,1,2),
(40379,159801,'Applies Sanguine Imbued when Equipped.',100,0,0),
(40380,159801,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(40381,159801,'Inflicts 108 heat damage on target',100,2,2),
(40382,159801,'Cannot be modified except by direct means',100,2,3),
(40383,10159801,'Applies Sanguine Imbued when Equipped.',100,0,0),
(40384,10159801,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(40385,10159801,'Inflicts 108 heat damage on target',100,2,2),
(40386,10159801,'Cannot be modified except by direct means',100,2,3),
(40387,43343,'When Equipped:',100,0,0),
(40388,43343,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(40389,43343,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(40390,43343,'Increases Potency of caster by 11.0%',100,2,3),
(40391,43343,'Must not be engaged in pvp combat',100,2,4),
(40392,43343,'Cannot be modified except by direct means',100,2,5),
(40393,43343,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(40394,43343,'Increases Potency of caster by 11.0%',100,2,7),
(40395,43343,'Must not be engaged in pvp combat',100,2,8),
(40396,43343,'Cannot be modified except by direct means',100,2,9),
(40397,43343,'Cannot be modified except by direct means',100,1,10),
(40398,10043343,'When Equipped:',100,0,0),
(40399,10043343,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(40400,10043343,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(40401,10043343,'Increases Potency of caster by 11.0%',100,2,3),
(40402,10043343,'Must not be engaged in pvp combat',100,2,4),
(40403,10043343,'Cannot be modified except by direct means',100,2,5),
(40404,10043343,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(40405,10043343,'Increases Potency of caster by 11.0%',100,2,7),
(40406,10043343,'Must not be engaged in pvp combat',100,2,8),
(40407,10043343,'Cannot be modified except by direct means',100,2,9),
(40408,10043343,'Cannot be modified except by direct means',100,1,10),
(40409,73269,'Applies Frost Blast when Activated.',100,0,0),
(40410,73269,'Inflicts 243 - 405 cold damage on target',100,1,1),
(40411,73269,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(40412,10073269,'Applies Frost Blast when Activated.',100,0,0),
(40413,10073269,'Inflicts 243 - 405 cold damage on target',100,1,1),
(40414,10073269,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(40415,117405,'Increases Threat to target by 4,992 ',100,1,0),
(40416,117405,'Inflicts 920 - 2719 melee damage on target',100,1,1),
(40417,10117405,'Forces target to change their selected target to caster.',100,1,0),
(40418,10117405,'Inflicts 482 - 1347 melee damage on target',100,1,1),
(40419,159826,'Applies Sanguine Imbued when Equipped.',100,0,0),
(40420,159826,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(40421,159826,'Inflicts 150 heat damage on target',100,2,2),
(40422,159826,'Cannot be modified except by direct means',100,2,3),
(40423,10159826,'Applies Sanguine Imbued when Equipped.',100,0,0),
(40424,10159826,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(40425,10159826,'Inflicts 150 heat damage on target',100,2,2),
(40426,10159826,'Cannot be modified except by direct means',100,2,3),
(40427,49123,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(40428,49123,'Inflicts 6 - 7 melee damage on target',100,1,1),
(40429,49123,'Inflicts 1 - 2 slashing damage on target every 4 seconds',100,1,2),
(40430,10049123,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(40431,10049123,'Inflicts 6 - 7 melee damage on target',100,1,1),
(40432,10049123,'Inflicts 1 - 2 slashing damage on target every 4 seconds',100,1,2),
(40433,35901,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(40434,35901,'Increases Max Power of target by 10.5',100,0,1),
(40435,113376,'Applies Stifle.  Lasts for 7.0 seconds.',100,1,0),
(40436,113376,'Blurs vision of target',100,2,1),
(40437,113376,'Stifles target',100,2,2),
(40438,113376,'Dispelled when target takes damage',100,2,3);
INSERT INTO `item_effects` VALUES
(40439,113376,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,4),
(40440,113376,'Resistibility increases against targets higher than level 76.',100,2,5),
(40441,113376,'Roots target',100,1,6),
(40442,113376,'5% chance to dispel when target takes damage',100,1,7),
(40443,113376,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,8),
(40444,113376,'Resistibility increases against targets higher than level 76.',100,1,9),
(40445,10113376,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(40446,10113376,'Stifles target',100,2,1),
(40447,10113376,'Blurs vision of target',100,2,2),
(40448,10113376,'Dispelled when target takes damage',100,2,3),
(40449,10113376,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(40450,10113376,'Resistibility increases against targets higher than level 76.',100,2,5),
(40451,10113376,'Roots target',100,1,6),
(40452,10113376,'5% chance to dispel when target takes damage',100,1,7),
(40453,10113376,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(40454,10113376,'Resistibility increases against targets higher than level 76.',100,1,9),
(40455,79703,'When Equipped:',100,0,0),
(40456,79703,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(40457,79703,'Reduces healing received by 15.00%',100,2,2),
(40458,79703,'Cannot be modified except by direct means',100,2,3),
(40459,79703,'This effect can only trigger once every 1 second.',100,2,4),
(40460,79703,'Must be engaged in pvp combat',100,1,5),
(40461,10079703,'When Equipped:',100,0,0),
(40462,10079703,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(40463,10079703,'Reduces healing received by 15.00%',100,2,2),
(40464,10079703,'Cannot be modified except by direct means',100,2,3),
(40465,10079703,'This effect can only trigger once every 1 second.',100,2,4),
(40466,10079703,'Must be engaged in pvp combat',100,1,5),
(40467,110244,'Inflicts 1049 - 1739 melee damage on target',100,1,0),
(40468,110244,'Slows target by 48.0%',100,1,1),
(40469,110244,'5% chance to dispel when target receives hostile action',100,1,2),
(40470,110244,'5% chance to dispel when target takes damage',100,1,3),
(40471,10110244,'Inflicts 826 - 1308 melee damage on target',100,1,0),
(40472,10110244,'Slows target by 48.0%',100,1,1),
(40473,10110244,'5% chance to dispel when target receives hostile action',100,1,2),
(40474,10110244,'5% chance to dispel when target takes damage',100,1,3),
(40475,122568,'Inflicts 55 - 67 mental damage on target',100,1,0),
(40476,122568,'Inflicts 12 - 15 mental damage on target every 3 seconds',100,1,1),
(40477,122568,'Decreases Mitigation of target vs arcane damage by 52',100,1,2),
(40478,10122568,'Inflicts 52 - 64 mental damage on target',100,1,0),
(40479,10122568,'Inflicts 10 - 12 mental damage on target every 3 seconds',100,1,1),
(40480,10122568,'Decreases Mitigation of target vs arcane damage by 52',100,1,2),
(40481,37246,'Increases INT of target by 17.8',100,0,0),
(40482,37246,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(40483,108695,'Inflicts 996 heat damage on target',100,1,0),
(40484,108695,'Inflicts 103 heat damage on target every 4 seconds',100,1,1),
(40485,10108695,'Inflicts 901 heat damage on target',100,1,0),
(40486,10108695,'Inflicts 81 heat damage on target every 4 seconds',100,1,1),
(40487,81102,'When Equipped:',100,0,0),
(40488,81102,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40489,81102,'Inflicts 261 - 484 magic damage on target',100,2,2),
(40490,81102,'Cannot be modified except by direct means',100,2,3),
(40491,10081102,'When Equipped:',100,0,0),
(40492,10081102,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40493,10081102,'Inflicts 261 - 484 magic damage on target',100,2,2),
(40494,10081102,'Cannot be modified except by direct means',100,2,3),
(40495,175142,'When Equipped:',100,0,0),
(40496,175142,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(40497,175142,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(40498,175142,'Cannot be modified except by direct means',100,2,3),
(40499,10175142,'When Equipped:',100,0,0),
(40500,10175142,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(40501,10175142,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(40502,10175142,'Cannot be modified except by direct means',100,2,3),
(40503,111204,'Inflicts 2069 - 3332 divine damage on targets in area',100,1,0),
(40504,111204,'Heals group members (AE) for 2.5% of max health',100,1,1),
(40505,111204,'This effect cannot be critically applied.',100,2,2),
(40506,111204,'The healing of this spell cannot be modified except by direct means',100,1,3),
(40507,10111204,'Inflicts 1604 - 2617 divine damage on targets in area',100,1,0),
(40508,10111204,'Heals group members (AE) for 1.6% of max health',100,1,1),
(40509,10111204,'This effect cannot be critically applied.',100,2,2),
(40510,10111204,'The healing of this spell cannot be modified except by direct means',100,1,3),
(40511,117466,'Inflicts 7141 - 11196 melee damage on target',100,1,0),
(40512,117466,'You must be sneaking to use this ability.',100,1,1),
(40513,117466,'Must be flanking or behind',100,1,2),
(40514,10117466,'Inflicts 3404 - 5385 melee damage on target',100,1,0),
(40515,10117466,'You must be sneaking to use this ability.',100,1,1),
(40516,10117466,'Must be flanking or behind',100,1,2),
(40517,36641,'Increases Out-of-Combat Power Regeneration of target by 24.0',100,0,0),
(40518,80698,'When Equipped:',100,0,0),
(40519,80698,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40520,80698,'Inflicts 96 - 178 magic damage on target',100,2,2),
(40521,80698,'Cannot be modified except by direct means',100,2,3),
(40522,10080698,'When Equipped:',100,0,0),
(40523,10080698,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40524,10080698,'Inflicts 96 - 178 magic damage on target',100,2,2),
(40525,10080698,'Cannot be modified except by direct means',100,2,3),
(40526,116153,'When damaged this spell has a 11% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',100,1,0),
(40527,116153,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(40528,10116153,'When damaged this spell has a 11% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',100,1,0),
(40529,10116153,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(40530,113996,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(40531,113996,'Inflicts 257 - 427 melee damage on target',100,2,1),
(40532,113996,'Increases Threat to target by 1,219 ',100,2,2),
(40533,10113996,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(40534,10113996,'Inflicts 203 - 336 melee damage on target',100,2,1),
(40535,45036,'Applies Release the Dragon''s Spirit when Activated.',100,0,0),
(40536,10045036,'Applies Release the Dragon''s Spirit when Activated.',100,0,0),
(40537,37064,'Increases STR of target by 10.5',100,0,0),
(40538,37064,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(40539,109168,'Applies Blind.  Lasts for 6.0 seconds.',100,1,0),
(40540,109168,'Dazes target',100,2,1),
(40541,109168,'Blurs vision of target',100,2,2),
(40542,109168,'Dispelled when target takes damage',100,2,3),
(40543,109168,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,4),
(40544,109168,'Roots target',100,1,5),
(40545,109168,'5% chance to dispel when target takes damage',100,1,6),
(40546,109168,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,7),
(40547,109168,'Resistibility increases against targets higher than level 62.',100,1,8),
(40548,10109168,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(40549,10109168,'Dazes target',100,2,1),
(40550,10109168,'Blurs vision of target',100,2,2),
(40551,10109168,'Dispelled when target takes damage',100,2,3),
(40552,10109168,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(40553,10109168,'Roots target',100,1,5),
(40554,10109168,'5% chance to dispel when target takes damage',100,1,6),
(40555,10109168,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(40556,10109168,'Resistibility increases against targets higher than level 62.',100,1,8),
(40557,109385,'Inflicts 1674 - 3028 melee damage on target',100,1,0),
(40558,109385,'Inflicts 865 - 2557 melee damage on target',100,1,1),
(40559,109385,'Inflicts 1038 - 3068 melee damage on target',100,1,2),
(40560,10109385,'Inflicts 940 - 2006 melee damage on target',100,1,0),
(40561,10109385,'Inflicts 682 - 2015 melee damage on target',100,1,1),
(40562,10109385,'Inflicts 818 - 2418 melee damage on target',100,1,2),
(40563,88937,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(40564,88937,'Heals group members (AE) for 90',100,1,1),
(40565,88937,'Heals group members (AE) for 36 every 5 seconds',100,1,2),
(40566,88937,'Increases Mitigation of group members (AE) vs arcane damage by 144',100,1,3),
(40567,88937,'The casting time of Fyr''Un Flood is 1.98 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,4),
(40568,10088937,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(40569,10088937,'Heals group members (AE) for 58',100,1,1),
(40570,10088937,'Heals group members (AE) for 23 every 5 seconds',100,1,2),
(40571,10088937,'Increases Mitigation of group members (AE) vs arcane damage by 144',100,1,3),
(40572,10088937,'The casting time of Fyr''Un Flood is 1.98 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,4),
(40573,117167,'Inflicts 1060 poison damage on target',100,1,0),
(40574,117167,'Inflicts 235 poison damage on target every 4 seconds',100,1,1),
(40575,117167,'Decreases WIS of target by 41.0',100,1,2),
(40576,10117167,'Inflicts 580 poison damage on target',100,1,0),
(40577,10117167,'Inflicts 186 poison damage on target every 4 seconds',100,1,1),
(40578,10117167,'Decreases WIS of target by 41.0',100,1,2),
(40579,108600,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(40580,108600,'Increases AGI of group members (AE) by 46.9',100,2,1),
(40581,108600,'Heals group members (AE) for 435 - 532 instantly and every 3 seconds',100,2,2),
(40582,108600,'Increases STR, WIS and INT of group members (AE) by 46.9',100,2,3),
(40583,108600,'Increases STA of group members (AE) by 93.7',100,2,4),
(40584,108600,'Adds 0.7% to base avoidance.',100,2,5),
(40585,108600,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 120',100,2,6),
(40586,10108600,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(40587,10108600,'Increases AGI of group members (AE) by 46.9',100,2,1),
(40588,10108600,'Heals group members (AE) for 401 - 490 instantly and every 3 seconds',100,2,2),
(40589,10108600,'Increases STR, WIS and INT of group members (AE) by 46.9',100,2,3),
(40590,10108600,'Increases STA of group members (AE) by 93.7',100,2,4),
(40591,10108600,'Adds 0.7% to base avoidance.',100,2,5),
(40592,10108600,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 120',100,2,6),
(40593,107227,'Inflicts 5234 - 8463 melee damage on targets in area',100,1,0),
(40594,107227,'Dispels 251 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(40595,10107227,'Inflicts 3998 - 6544 melee damage on targets in area',100,1,0),
(40596,10107227,'Reduces healing received of targets in area by 10%',100,1,1),
(40597,114403,'Mesmerizes target',100,1,0),
(40598,114403,'Prevents AOE (except when direct) ',100,1,1),
(40599,114403,'Dispelled when target takes damage',100,1,2),
(40600,114403,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(40601,114403,'Resistibility increases against targets higher than level 41.',100,1,4),
(40602,10114403,'Mesmerizes target',100,1,0),
(40603,10114403,'Prevents AOE (except when direct) ',100,1,1),
(40604,10114403,'Dispelled when target takes damage',100,1,2),
(40605,10114403,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(40606,10114403,'Resistibility increases against targets higher than level 41.',100,1,4),
(40607,133611,'When Equipped:',100,0,0),
(40608,133611,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(40609,133611,'Decreases Damage Per Second of target by 10.0',100,2,2),
(40610,133611,'Cannot be modified except by direct means',100,2,3),
(40611,10133611,'When Equipped:',100,0,0),
(40612,10133611,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(40613,10133611,'Decreases Damage Per Second of target by 10.0',100,2,2),
(40614,10133611,'Cannot be modified except by direct means',100,2,3),
(40615,114875,'Decreases AGI of target by 84.7',100,1,0),
(40616,114875,'Decreases Defense of target by 32.2',100,1,1),
(40617,10114875,'Decreases AGI of target by 84.7',100,1,0),
(40618,10114875,'Decreases Defense of target by 32.2',100,1,1),
(40619,123928,'Increases STR and WIS of target by 76.0',100,1,0),
(40620,123928,'Increases Mitigation of target vs elemental, noxious and arcane damage by 227',100,1,1),
(40621,10123928,'Increases STR and WIS of target by 76.0',100,1,0),
(40622,10123928,'Increases Mitigation of target vs elemental, noxious and arcane damage by 227',100,1,1),
(40623,156931,'When Equipped:',100,0,0),
(40624,156931,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(40625,156931,'Inflicts 1192 cold damage on target encounter',100,2,2),
(40626,156931,'Cannot be modified except by direct means',100,2,3),
(40627,10156931,'When Equipped:',100,0,0),
(40628,10156931,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(40629,10156931,'Inflicts 596 cold damage on target encounter',100,2,2),
(40630,10156931,'Cannot be modified except by direct means',100,2,3),
(40631,46499,'Applies Gnomish Cyclone Generator of Ultimate Evil when Activated.  Lasts for 45.0 seconds.',100,0,0),
(40632,46499,'Calls down the power of the wind to smite your enemies!',100,1,1),
(40633,10046499,'Applies Gnomish Cyclone Generator of Ultimate Evil when Activated.  Lasts for 45.0 seconds.',100,0,0),
(40634,10046499,'Calls down the power of the wind to smite your enemies!',100,1,1),
(40635,102474,'Summons a pet Bixie Companion',100,1,0),
(40636,10102474,'Summons a pet Bixie Companion',100,1,0),
(40637,82667,'When Equipped:',100,0,0),
(40638,82667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40639,82667,'Inflicts 134 - 249 magic damage on target',100,2,2),
(40640,82667,'Cannot be modified except by direct means',100,2,3),
(40641,10082667,'When Equipped:',100,0,0),
(40642,10082667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40643,10082667,'Inflicts 134 - 249 magic damage on target',100,2,2),
(40644,10082667,'Cannot be modified except by direct means',100,2,3),
(40645,108528,'Increases AGI and WIS of group members (AE) by 47.0',100,1,0),
(40646,108528,'Adds 1.5% to base avoidance.',100,1,1),
(40647,108528,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 132',100,1,2),
(40648,10108528,'Increases AGI and WIS of group members (AE) by 47.0',100,1,0),
(40649,10108528,'Adds 1.5% to base avoidance.',100,1,1),
(40650,10108528,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 132',100,1,2),
(40651,46279,'Applies noxious remedy when Activated.',100,0,0),
(40652,46279,'Dispels 88 levels of noxious hostile effects on caster',100,1,1),
(40653,10046279,'Applies noxious remedy when Activated.',100,0,0),
(40654,10046279,'Dispels 88 levels of noxious hostile effects on caster',100,1,1),
(40655,116053,'Shapechanges caster into a lion',100,1,0),
(40656,116053,'Increases STA of caster by 87.5',100,1,1),
(40657,116053,'Adds 2.8% to base avoidance.',100,1,2),
(40658,116053,'Grants See Stealth to caster',100,1,3),
(40659,116053,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1414',100,1,4),
(40660,10116053,'Shapechanges caster into a lion',100,1,0),
(40661,10116053,'Increases STA of caster by 87.5',100,1,1),
(40662,10116053,'Adds 2.8% to base avoidance.',100,1,2),
(40663,10116053,'Grants See Stealth to caster',100,1,3),
(40664,10116053,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1414',100,1,4),
(40665,114205,'Inflicts 3089 - 4476 melee damage on target',100,1,0),
(40666,114205,'Decreases Slashing, Crushing and Piercing of target by 14.1',100,1,1),
(40667,10114205,'Inflicts 2055 - 3148 melee damage on target',100,1,0),
(40668,10114205,'Decreases Slashing, Crushing and Piercing of target by 14.1',100,1,1),
(40669,101319,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(40670,101319,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 83',100,1,1),
(40671,101319,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,2),
(40672,10101319,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(40673,10101319,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 83',100,1,1),
(40674,10101319,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,2),
(40675,116421,'Inflicts 54 piercing damage on target every 4 seconds',100,1,0),
(40676,116421,'Inflicts 448 - 716 melee damage on target',100,1,1),
(40677,10116421,'Inflicts 43 piercing damage on target every 4 seconds',100,1,0),
(40678,10116421,'Inflicts 391 - 620 melee damage on target',100,1,1),
(40679,48583,'Applies Feline Grace when Activated.  Lasts for 54.0 seconds.',100,0,0),
(40680,48583,'Increases AGI of caster by 21.9 - 36.6',100,1,1),
(40681,48583,'Increases Max Power of caster by 131.6 - 219.4',100,1,2),
(40682,10048583,'Applies Feline Grace when Activated.  Lasts for 54.0 seconds.',100,0,0),
(40683,10048583,'Increases AGI of caster by 21.9 - 36.6',100,1,1),
(40684,10048583,'Increases Max Power of caster by 131.6 - 219.4',100,1,2),
(40685,106900,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3080',100,1,0),
(40686,106900,'Inflicts 3351 - 4910 melee damage on target',100,1,1),
(40687,106900,'Decreases Mitigation of target vs physical damage by 3080',100,1,2),
(40688,106900,'Must be behind',100,1,3),
(40689,10106900,'Inflicts 2261 - 3490 melee damage on target',100,1,0),
(40690,10106900,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 963',100,1,1),
(40691,10106900,'Decreases Mitigation of target vs physical damage by 847',100,1,2),
(40692,10106900,'Must be behind',100,1,3),
(40693,109266,'Shapechanges caster into a beaver',100,1,0),
(40694,10109266,'Shapechanges caster into a beaver',100,1,0),
(40695,104314,'Inflicts 2921 - 4217 melee damage on target',100,1,0),
(40696,104314,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(40697,104314,'Stuns target',100,2,2),
(40698,104314,'Throws target back',100,2,3),
(40699,104314,'Blurs vision of target',100,2,4),
(40700,104314,'Does not affect Epic targets',100,2,5),
(40701,10104314,'Inflicts 1932 - 2944 melee damage on target',100,1,0),
(40702,10104314,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(40703,10104314,'Stuns target',100,2,2),
(40704,10104314,'Throws target back',100,2,3),
(40705,10104314,'Blurs vision of target',100,2,4),
(40706,10104314,'Does not affect Epic targets',100,2,5),
(40707,47403,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(40708,47403,'This potion will grant you the illusion of being a skeletal marauder!',100,1,1),
(40709,10047403,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(40710,10047403,'This potion will grant you the illusion of being a skeletal marauder!',100,1,1),
(40711,81230,'When Equipped:',100,0,0),
(40712,81230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40713,81230,'Inflicts 155 - 288 magic damage on target',100,2,2),
(40714,81230,'Cannot be modified except by direct means',100,2,3),
(40715,10081230,'When Equipped:',100,0,0),
(40716,10081230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40717,10081230,'Inflicts 155 - 288 magic damage on target',100,2,2),
(40718,10081230,'Cannot be modified except by direct means',100,2,3),
(40719,24303,'Adds Boss: Djinn Master (Dirge) to your Dungeon Maker toolbox',100,0,0),
(40720,10024303,'Adds Boss: Djinn Master (Dirge) to your Dungeon Maker toolbox',100,0,0),
(40721,113477,'Increases INT of target by 166.3',100,1,0),
(40722,113477,'Increases Max Health of target by 1,385.7',100,1,1),
(40723,10113477,'Increases INT of target by 166.3',100,1,0),
(40724,10113477,'Increases Max Health of target by 1,385.7',100,1,1),
(40725,102928,'Inflicts 682 - 833 disease damage on target',100,1,0),
(40726,102928,'Inflicts 114 - 139 disease damage on target every 4 seconds',100,1,1),
(40727,10102928,'Inflicts 511 - 537 disease damage on target',100,1,0),
(40728,10102928,'Inflicts 90 - 109 disease damage on target every 4 seconds',100,1,1),
(40729,115471,'Summons a pet nightshade',100,1,0),
(40730,10115471,'Summons a pet nightshade',100,1,0),
(40731,118208,'Increases Damage Per Second of group members (AE) by 23.8',100,1,0),
(40732,10118208,'Increases Damage Per Second of group members (AE) by 23.8',100,1,0),
(40733,191989,'When Equipped:',100,0,0),
(40734,191989,'Increases Attack Speed of caster by 22.0',100,1,1),
(40735,10191989,'When Equipped:',100,0,0),
(40736,10191989,'Increases Attack Speed of caster by 22.0',100,1,1),
(40737,117590,'Inflicts 4269 - 6433 melee damage on target',100,1,0),
(40738,117590,'Decreases Parry of target by 68.5',100,1,1),
(40739,117590,'Must be in front of or flanking',100,1,2),
(40740,10117590,'Inflicts 2985 - 4690 melee damage on target',100,1,0),
(40741,10117590,'Decreases Parry of target by 68.5',100,1,1),
(40742,10117590,'Must be in front of or flanking',100,1,2),
(40743,116290,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(40744,116290,'Increases target''s chance to block by 15.0%',100,130,1),
(40745,116290,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(40746,116290,'Inflicts 3380 - 4058 disease damage on caster',100,2,3),
(40747,116290,'Inflicts 1017 - 1244 disease damage on caster every 2 seconds',100,2,4),
(40748,116290,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(40749,116290,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(40750,116290,'Grants a total of 1 trigger of the spell.',100,3,7),
(40751,10116290,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(40752,10116290,'Increases target''s chance to block by 15.0%',100,130,1),
(40753,10116290,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,2),
(40754,10116290,'Inflicts 2537 - 3072 disease damage on caster',100,2,3),
(40755,10116290,'Inflicts 802 - 980 disease damage on caster every 2 seconds',100,2,4),
(40756,10116290,'On death this spell will cast Pestilence Mark on target.  ',100,2,5),
(40757,10116290,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,6),
(40758,10116290,'Grants a total of 1 trigger of the spell.',100,3,7),
(40759,103508,'Charms target',100,1,0),
(40760,103508,'If outside an arena',100,1,1),
(40761,103508,'Certain enemies cannot be charmed',100,1,2),
(40762,103508,'Does not affect Epic targets',100,1,3),
(40763,10103508,'Mesmerizes target',100,1,0),
(40764,10103508,'Prevents AOE (except when direct) ',100,1,1),
(40765,10103508,'Dispelled when target takes damage',100,1,2),
(40766,10103508,'If outside an arena',100,1,3),
(40767,10103508,'Certain enemies cannot be charmed',100,1,4),
(40768,10103508,'Does not affect Epic targets',100,1,5),
(40769,10103508,'Resistibility increases against targets higher than level 63.',100,1,6),
(40770,159677,'When Equipped:',100,0,0),
(40771,159677,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(40772,159677,'Increases AGI of caster by 8.3',100,2,2),
(40773,159677,'Increases Attack Speed of caster by 15.4',100,2,3),
(40774,159677,'Cannot be modified except by direct means',100,2,4),
(40775,10159677,'When Equipped:',100,0,0),
(40776,10159677,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(40777,10159677,'Increases AGI of caster by 8.3',100,2,2),
(40778,10159677,'Increases Attack Speed of caster by 15.4',100,2,3),
(40779,10159677,'Cannot be modified except by direct means',100,2,4),
(40780,88301,'When Equipped:',100,0,0),
(40781,88301,'On a melee hit this spell may cast Shimmering Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40782,88301,'Inflicts 607 - 1416 magic damage on target',100,2,2),
(40783,88301,'Increases damage done by combat arts by up to 150.',100,2,3),
(40784,88301,'Caster will Riposte 10.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,4),
(40785,88301,'Increases Damage Per Second of caster by 25.0',100,2,5),
(40786,88301,'Cannot be modified except by direct means',100,2,6),
(40787,88301,'Caster will Parry 10.0% of incoming attacks',100,1,7),
(40788,10088301,'When Equipped:',100,0,0),
(40789,10088301,'On a melee hit this spell may cast Shimmering Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40790,10088301,'Inflicts 607 - 1416 magic damage on target',100,2,2),
(40791,10088301,'Increases damage done by combat arts by up to 150.',100,2,3),
(40792,10088301,'Caster will Riposte 10.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,4),
(40793,10088301,'Increases Damage Per Second of caster by 25.0',100,2,5),
(40794,10088301,'Cannot be modified except by direct means',100,2,6),
(40795,10088301,'Caster will Parry 10.0% of incoming attacks',100,1,7),
(40796,105121,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(40797,105121,'Summon 1 Crystallized Soul (Expert)',100,2,1),
(40798,10105121,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(40799,10105121,'Summon 1 Crystallized Soul (Expert)',100,2,1),
(40800,121500,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(40801,121500,'Increases Attack Speed of caster by 21.0',100,130,1),
(40802,121500,'Increases Crushing, Slashing, Ranged and Piercing of caster by 29.7',100,130,2),
(40803,121500,'Inflicts 3577 - 5286 melee damage on target',100,1,3),
(40804,121500,'Decreases Defense of target by 9.9',100,1,4),
(40805,10121500,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(40806,10121500,'Increases Attack Speed of caster by 21.0',100,130,1),
(40807,10121500,'Increases Crushing, Slashing, Ranged and Piercing of caster by 29.7',100,130,2),
(40808,10121500,'Inflicts 2468 - 3833 melee damage on target',100,1,3),
(40809,10121500,'Decreases Defense of target by 9.9',100,1,4),
(40810,49126,'Applies Summon Spider when Activated.',100,0,0),
(40811,49126,'Calls forth a spider.',100,1,1),
(40812,10049126,'Applies Summon Spider when Activated.',100,0,0),
(40813,10049126,'Calls forth a spider.',100,1,1),
(40814,110612,'Decreases Focus of target by 29.2',100,1,0),
(40815,110612,'Interrupts target',100,1,1),
(40816,110612,'Inflicts 1024 - 3001 crushing damage on target',100,1,2),
(40817,10110612,'Decreases Focus of target by 29.2',100,1,0),
(40818,10110612,'Interrupts target',100,1,1),
(40819,10110612,'Inflicts 804 - 1985 crushing damage on target',100,1,2),
(40820,35836,'Increases AGI of target by 4.3',100,0,0),
(40821,35836,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(40822,81434,'When Equipped:',100,0,0),
(40823,81434,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(40824,81434,'Inflicts 155 - 288 magic damage on target',100,2,2),
(40825,81434,'Decreases Threat to target by 352 ',100,2,3),
(40826,81434,'Must be flanking or behind',100,3,4),
(40827,81434,'Increases Threat to target by 617 ',100,2,5),
(40828,81434,'Must be in front of',100,3,6),
(40829,81434,'Cannot be modified except by direct means',100,2,7),
(40830,10081434,'When Equipped:',100,0,0),
(40831,10081434,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(40832,10081434,'Inflicts 155 - 288 magic damage on target',100,2,2),
(40833,10081434,'Cannot be modified except by direct means',100,2,3),
(40834,176067,'Applies Power Osmosis when Activated.',100,0,0),
(40835,176067,'Increases power of caster by 7488',100,1,1),
(40836,176067,'This effect cannot be cast during combat',100,1,2),
(40837,176067,'The casting time of Power Osmosis is 4.95 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,3),
(40838,10176067,'Applies Power Osmosis when Activated.',100,0,0),
(40839,10176067,'Increases power of caster by 7488',100,1,1),
(40840,10176067,'This effect cannot be cast during combat',100,1,2),
(40841,10176067,'The casting time of Power Osmosis is 4.95 seconds and the reuse time of the spell is 41 minutes 27 seconds',100,1,3),
(40842,74616,'When Equipped:',100,0,0),
(40843,74616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40844,74616,'Inflicts 72 - 108 magic damage on target',100,2,2),
(40845,74616,'Cannot be modified except by direct means',100,2,3),
(40846,10074616,'When Equipped:',100,0,0),
(40847,10074616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40848,10074616,'Inflicts 72 - 108 magic damage on target',100,2,2),
(40849,10074616,'Cannot be modified except by direct means',100,2,3),
(40850,77418,'Applies Fire Ball when Activated.',100,0,0),
(40851,77418,'Inflicts 613 - 1021 heat damage on target',100,1,1),
(40852,77418,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(40853,10077418,'Applies Fire Ball when Activated.',100,0,0),
(40854,10077418,'Inflicts 613 - 1021 heat damage on target',100,1,1),
(40855,10077418,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(40856,101260,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(40857,101260,'Inflicts 1164 - 1939 mental damage on target',100,2,1),
(40858,10101260,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(40859,10101260,'Inflicts 917 - 1529 mental damage on target',100,2,1),
(40860,104833,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(40861,104833,'If Fighter',100,2,1),
(40862,104833,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(40863,104833,'Increases power of target by 49',100,2,3),
(40864,104833,'Increases power of caster by 49',100,2,4),
(40865,10104833,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(40866,10104833,'Increases power of target by 49',100,2,1),
(40867,10104833,'Increases power of caster by 49',100,2,2),
(40868,185371,'When Equipped:',100,0,0),
(40869,185371,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(40870,185371,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(40871,185371,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(40872,185371,'Increases Ability Modifier of caster by 660.0',100,2,4),
(40873,185371,'Must not be engaged in pvp combat',100,2,5),
(40874,185371,'Cannot be modified except by direct means',100,2,6),
(40875,185371,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(40876,185371,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(40877,185371,'Increases Ability Modifier of caster by 660.0',100,2,9),
(40878,185371,'Must not be engaged in pvp combat',100,2,10),
(40879,185371,'Cannot be modified except by direct means',100,2,11),
(40880,185371,'Cannot be modified except by direct means',100,1,12),
(40881,10185371,'When Equipped:',100,0,0),
(40882,10185371,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(40883,10185371,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(40884,10185371,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(40885,10185371,'Increases Ability Modifier of caster by 660.0',100,2,4),
(40886,10185371,'Must not be engaged in pvp combat',100,2,5),
(40887,10185371,'Cannot be modified except by direct means',100,2,6),
(40888,10185371,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(40889,10185371,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(40890,10185371,'Increases Ability Modifier of caster by 660.0',100,2,9),
(40891,10185371,'Must not be engaged in pvp combat',100,2,10),
(40892,10185371,'Cannot be modified except by direct means',100,2,11),
(40893,10185371,'Cannot be modified except by direct means',100,1,12),
(40894,104249,'Increases Mitigation of group members (AE) vs physical damage by 486',100,1,0),
(40895,10104249,'Increases Mitigation of group members (AE) vs physical damage by 486',100,1,0),
(40896,111032,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(40897,111032,'Increases Threat to target by 1,097 ',100,2,1),
(40898,111032,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(40899,111032,'Increases Threat to target by 1,097 ',100,2,3),
(40900,10111032,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(40901,10111032,'Inflicts 112 - 124 crushing damage on target',100,2,1),
(40902,10111032,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(40903,10111032,'Inflicts 112 - 124 crushing damage on target',100,2,3),
(40904,124800,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(40905,124800,'Increases STR of caster by 94.0',100,1,1),
(40906,124800,'Decreases Defense of caster by 18.0',100,1,2),
(40907,124800,'Increases Crushing, Piercing, Slashing and Disruption of caster by 32.4',100,1,3),
(40908,10124800,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(40909,10124800,'Increases STR of caster by 94.0',100,1,1),
(40910,10124800,'Decreases Defense of caster by 18.0',100,1,2),
(40911,10124800,'Increases Crushing, Piercing, Slashing and Disruption of caster by 32.4',100,1,3),
(40912,120933,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(40913,120933,'Inflicts 2359 - 2810 mental damage on target',100,2,1),
(40914,120933,'Grants a total of 3 triggers of the spell.',100,2,2),
(40915,10120933,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(40916,10120933,'Inflicts 1732 - 2088 mental damage on target',100,2,1),
(40917,10120933,'Grants a total of 3 triggers of the spell.',100,2,2),
(40918,113759,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(40919,113759,'Inflicts 2772 piercing damage on target',100,2,1),
(40920,113759,'Grants a total of 60 triggers of the spell.',100,2,2),
(40921,10113759,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(40922,10113759,'Inflicts 1946 piercing damage on target',100,2,1),
(40923,10113759,'Grants a total of 60 triggers of the spell.',100,2,2),
(40924,100047,'Decreases STR, AGI and WIS of target by 58.6',100,1,0),
(40925,10100047,'Decreases STR, AGI and WIS of target by 58.6',100,1,0),
(40926,109494,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(40927,109494,'Increases Attack Speed of caster by 21.0',100,130,1),
(40928,109494,'Increases Slashing, Crushing, Ranged and Piercing of caster by 33.3',100,130,2),
(40929,109494,'Inflicts 4461 - 6750 cold damage on target',100,1,3),
(40930,10109494,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(40931,10109494,'Increases Attack Speed of caster by 21.0',100,130,1),
(40932,10109494,'Increases Slashing, Crushing, Ranged and Piercing of caster by 33.3',100,130,2),
(40933,10109494,'Inflicts 3136 - 4941 cold damage on target',100,1,3),
(40934,116118,'Inflicts 76 - 126 divine damage on target',100,1,0),
(40935,116118,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(40936,116118,'Blurs vision of target',100,2,2),
(40937,116118,'Stuns target',100,2,3),
(40938,116118,'Throws target back',100,2,4),
(40939,116118,'Does not affect Epic targets',100,2,5),
(40940,10116118,'Inflicts 61 - 101 divine damage on target',100,1,0),
(40941,10116118,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(40942,10116118,'Stuns target',100,2,2),
(40943,10116118,'Throws target back',100,2,3),
(40944,10116118,'Blurs vision of target',100,2,4),
(40945,10116118,'Does not affect Epic targets',100,2,5),
(40946,26544,'When Equipped:',100,0,0),
(40947,26544,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(40948,26544,'Thorncoat VIII grants additional physical mitigation.',100,1,2),
(40949,10026544,'When Equipped:',100,0,0),
(40950,10026544,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(40951,10026544,'Thorncoat VIII grants additional physical mitigation.',100,1,2),
(40952,71517,'When Equipped:',100,0,0),
(40953,71517,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40954,71517,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(40955,71517,'Cannot be modified except by direct means',100,2,3),
(40956,10071517,'When Equipped:',100,0,0),
(40957,10071517,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(40958,10071517,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(40959,10071517,'Cannot be modified except by direct means',100,2,3),
(40960,35956,'Increases AGI of target by 12.7',100,0,0),
(40961,35956,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(40962,108748,'Summons a pet fiery magician',100,1,0),
(40963,10108748,'Summons a pet fiery magician',100,1,0),
(40964,118606,'Roots target',100,1,0),
(40965,118606,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(40966,118606,'Slows target by 40.7%',100,2,2),
(40967,118606,'5% chance to dispel when target receives hostile action',100,2,3),
(40968,118606,'5% chance to dispel when target takes damage',100,2,4),
(40969,118606,'5% chance to dispel when target takes damage',100,1,5),
(40970,118606,'Does not affect Epic targets',100,1,6),
(40971,118606,'Resistibility increases against targets higher than level 93.',100,1,7),
(40972,10118606,'Roots target',100,1,0),
(40973,10118606,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(40974,10118606,'Slows target by 40.7%',100,2,2),
(40975,10118606,'5% chance to dispel when target receives hostile action',100,2,3),
(40976,10118606,'5% chance to dispel when target takes damage',100,2,4),
(40977,10118606,'5% chance to dispel when target takes damage',100,1,5),
(40978,10118606,'Does not affect Epic targets',100,1,6),
(40979,10118606,'Resistibility increases against targets higher than level 93.',100,1,7),
(40980,84387,'When Equipped:',100,0,0),
(40981,84387,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(40982,10084387,'When Equipped:',100,0,0),
(40983,10084387,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(40984,101463,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(40985,101463,'Increases Mitigation of group members (AE) vs arcane damage by 140',100,1,1),
(40986,10101463,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(40987,10101463,'Increases Mitigation of group members (AE) vs arcane damage by 140',100,1,1),
(40988,100056,'Decreases STR, AGI and WIS of target by 84.7',100,1,0),
(40989,10100056,'Decreases STR, AGI and WIS of target by 84.7',100,1,0),
(40990,42566,'When Equipped:',100,0,0),
(40991,42566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40992,42566,'Inflicts 56 - 84 magic damage on target',100,2,2),
(40993,42566,'Cannot be modified except by direct means',100,2,3),
(40994,10042566,'When Equipped:',100,0,0),
(40995,10042566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(40996,10042566,'Inflicts 56 - 84 magic damage on target',100,2,2),
(40997,10042566,'Cannot be modified except by direct means',100,2,3),
(40998,115172,'Heals target for 1007 - 1231',100,1,0),
(40999,10115172,'Heals target for 935 - 1133',100,1,0),
(41000,166498,'When Equipped:',100,0,0),
(41001,166498,'On a critical combat hit this spell may cast Critical Perfection VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(41002,166498,'Decreases Crit Chance of target by 2.0',100,2,2),
(41003,166498,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(41004,166498,'Increases Crit Bonus of caster by 8.0%',100,2,4),
(41005,166498,'Increases Crit Chance of caster by 8.0',100,2,5),
(41006,166498,'Must not be engaged in pvp combat',100,2,6),
(41007,166498,'Cannot be modified except by direct means',100,2,7),
(41008,166498,'On a critical spell hit this spell may cast Critical Perfection VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(41009,166498,'Decreases Crit Chance of target by 2.0',100,2,9),
(41010,166498,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(41011,166498,'Increases Crit Bonus of caster by 8.0%',100,2,11),
(41012,166498,'Increases Crit Chance of caster by 8.0',100,2,12),
(41013,166498,'Must not be engaged in pvp combat',100,2,13),
(41014,166498,'Cannot be modified except by direct means',100,2,14),
(41015,166498,'Must not be engaged in pvp combat',100,1,15),
(41016,10166498,'When Equipped:',100,0,0),
(41017,10166498,'On a critical combat hit this spell may cast Critical Perfection VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(41018,10166498,'Decreases Crit Chance of target by 2.0',100,2,2),
(41019,10166498,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(41020,10166498,'Increases Crit Bonus of caster by 8.0%',100,2,4),
(41021,10166498,'Increases Crit Chance of caster by 8.0',100,2,5),
(41022,10166498,'Must not be engaged in pvp combat',100,2,6),
(41023,10166498,'Cannot be modified except by direct means',100,2,7),
(41024,10166498,'On a critical spell hit this spell may cast Critical Perfection VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(41025,10166498,'Decreases Crit Chance of target by 2.0',100,2,9),
(41026,10166498,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(41027,10166498,'Increases Crit Bonus of caster by 8.0%',100,2,11),
(41028,10166498,'Increases Crit Chance of caster by 8.0',100,2,12),
(41029,10166498,'Must not be engaged in pvp combat',100,2,13),
(41030,10166498,'Cannot be modified except by direct means',100,2,14),
(41031,10166498,'Must not be engaged in pvp combat',100,1,15),
(41032,185489,'When Equipped:',100,0,0),
(41033,185489,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41034,185489,'Inflicts 1998 disease damage on target encounter',100,2,2),
(41035,185489,'Must not be engaged in pvp combat',100,2,3),
(41036,185489,'Cannot be modified except by direct means',100,2,4),
(41037,10185489,'When Equipped:',100,0,0),
(41038,10185489,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41039,10185489,'Inflicts 999 disease damage on target encounter',100,2,2),
(41040,10185489,'Must not be engaged in pvp combat',100,2,3),
(41041,10185489,'Cannot be modified except by direct means',100,2,4),
(41042,116315,'Stuns target',100,1,0),
(41043,116315,'If Target is not Epic',100,2,1),
(41044,116315,'Inflicts 2696 - 3179 magic damage on target',100,1,2),
(41045,116315,'Resistibility increases against targets higher than level 87.',100,1,3),
(41046,10116315,'Stuns target',100,1,0),
(41047,10116315,'If Target is not Epic',100,2,1),
(41048,10116315,'Inflicts 1811 - 2126 magic damage on target',100,1,2),
(41049,10116315,'Resistibility increases against targets higher than level 87.',100,1,3),
(41050,108295,'Inflicts 23 - 38 divine damage on target',100,1,0),
(41051,108295,'Heals caster for 3',100,1,1),
(41052,108295,'This effect cannot be critically applied.',100,2,2),
(41053,108295,'The healing of this spell cannot be modified except by direct means',100,1,3),
(41054,10108295,'Inflicts 18 - 30 divine damage on target',100,1,0),
(41055,10108295,'Heals target for 1',100,1,1),
(41056,10108295,'This effect cannot be critically applied.',100,2,2),
(41057,10108295,'The healing of this spell cannot be modified except by direct means',100,1,3),
(41058,45547,'Applies Aura of the Glade  when Activated.  Lasts for 30 minutes.',100,0,0),
(41059,10045547,'Applies Aura of the Glade  when Activated.  Lasts for 30 minutes.',100,0,0),
(41060,89272,'When Equipped:',100,0,0),
(41061,89272,'On a critical spell hit this spell may cast Vitality Consumption on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(41062,89272,'Inflicts 29 - 32 disease damage on target',100,2,2),
(41063,89272,'Heals caster for 14 - 16',100,2,3),
(41064,89272,'Must not be engaged in pvp combat',100,2,4),
(41065,89272,'Cannot be modified except by direct means',100,2,5),
(41066,89272,'On a critical combat hit this spell may cast Vitality Consumption on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(41067,89272,'Inflicts 29 - 32 disease damage on target',100,2,7),
(41068,89272,'Heals caster for 14 - 16',100,2,8),
(41069,89272,'Must not be engaged in pvp combat',100,2,9),
(41070,89272,'Cannot be modified except by direct means',100,2,10),
(41071,89272,'Must not be engaged in pvp combat',100,1,11),
(41072,10089272,'When Equipped:',100,0,0),
(41073,10089272,'On a critical spell hit this spell may cast Vitality Consumption on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(41074,10089272,'Inflicts 29 - 32 disease damage on target',100,2,2),
(41075,10089272,'Heals caster for 9 - 10',100,2,3),
(41076,10089272,'Must not be engaged in pvp combat',100,2,4),
(41077,10089272,'Cannot be modified except by direct means',100,2,5),
(41078,10089272,'On a critical combat hit this spell may cast Vitality Consumption on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(41079,10089272,'Inflicts 29 - 32 disease damage on target',100,2,7),
(41080,10089272,'Heals caster for 9 - 10',100,2,8),
(41081,10089272,'Must not be engaged in pvp combat',100,2,9),
(41082,10089272,'Cannot be modified except by direct means',100,2,10),
(41083,10089272,'Must not be engaged in pvp combat',100,1,11),
(41084,119435,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(41085,119435,'Stuns target',100,2,1),
(41086,119435,'Throws target back',100,2,2),
(41087,119435,'Blurs vision of target',100,2,3),
(41088,119435,'Does not affect Epic targets',100,2,4),
(41089,119435,'Inflicts 4544 - 6889 melee damage on target',100,1,5),
(41090,119435,'You must be sneaking to use this ability.',100,1,6),
(41091,10119435,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(41092,10119435,'Blurs vision of target',100,2,1),
(41093,10119435,'Stuns target',100,2,2),
(41094,10119435,'Throws target back',100,2,3),
(41095,10119435,'Does not affect Epic targets',100,2,4),
(41096,10119435,'Inflicts 3202 - 5050 melee damage on target',100,1,5),
(41097,10119435,'You must be sneaking to use this ability.',100,1,6),
(41098,121123,'Decreases Threat to targets in Area of Effect by 10,892 ',100,1,0),
(41099,121123,'Mesmerizes targets in Area of Effect',100,1,1),
(41100,121123,'If Target is not Epic',100,2,2),
(41101,121123,'Dispelled when target takes damage',100,1,3),
(41102,10121123,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(41103,10121123,'Applies Distract.',100,1,1),
(41104,10121123,'Forces target to clear their selected target.',100,2,2),
(41105,10121123,'Mesmerizes targets in Area of Effect',100,1,3),
(41106,10121123,'If Target is not Epic',100,2,4),
(41107,10121123,'Dispelled when target takes damage',100,1,5),
(41108,109202,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.7',100,1,0),
(41109,10109202,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.7',100,1,0),
(41110,37477,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(41111,123374,'Heals group members (AE) for 2675 - 3197',100,1,0),
(41112,10123374,'Heals group members (AE) for 2336 - 2836',100,1,0),
(41113,81712,'When Equipped:',100,0,0),
(41114,81712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41115,81712,'Inflicts 189 - 352 magic damage on target',100,2,2),
(41116,81712,'Cannot be modified except by direct means',100,2,3),
(41117,10081712,'When Equipped:',100,0,0),
(41118,10081712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41119,10081712,'Inflicts 189 - 352 magic damage on target',100,2,2),
(41120,10081712,'Cannot be modified except by direct means',100,2,3),
(41121,159361,'Applies Sanguine Imbued when Equipped.',100,0,0),
(41122,159361,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(41123,159361,'Inflicts 210 heat damage on target',100,2,2),
(41124,159361,'Cannot be modified except by direct means',100,2,3),
(41125,10159361,'Applies Sanguine Imbued when Equipped.',100,0,0),
(41126,10159361,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(41127,10159361,'Inflicts 210 heat damage on target',100,2,2),
(41128,10159361,'Cannot be modified except by direct means',100,2,3),
(41129,85331,'Applies Poison Bolt when Activated.',100,0,0),
(41130,85331,'Inflicts 145 - 242 poison damage on target',100,1,1),
(41131,85331,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41132,10085331,'Applies Poison Bolt when Activated.',100,0,0),
(41133,10085331,'Inflicts 145 - 242 poison damage on target',100,1,1),
(41134,10085331,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41135,113325,'Inflicts 3449 - 5073 heat damage on target',100,1,0),
(41136,10113325,'Inflicts 3341 - 5280 heat damage on target',100,1,0),
(41137,159728,'When Equipped:',100,0,0),
(41138,159728,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41139,159728,'Increases INT of caster by 16.3',100,2,2),
(41140,159728,'Increases Subjugation, Disruption and Focus of caster by 9.2',100,2,3),
(41141,159728,'Cannot be modified except by direct means',100,2,4),
(41142,10159728,'When Equipped:',100,0,0),
(41143,10159728,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41144,10159728,'Increases INT of caster by 16.3',100,2,2),
(41145,10159728,'Increases Subjugation, Disruption and Focus of caster by 9.2',100,2,3),
(41146,10159728,'Cannot be modified except by direct means',100,2,4),
(41147,46316,'Applies Fireblight''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(41148,46316,'Heals caster for 167',100,1,1),
(41149,46316,'Heals caster for 84 every 5 seconds',100,1,2),
(41150,10046316,'Applies Fireblight''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(41151,10046316,'Heals caster for 109',100,1,1),
(41152,10046316,'Heals caster for 54 every 5 seconds',100,1,2),
(41153,113106,'Heals target for 51.5 - 62.9% of max health',100,1,0),
(41154,113106,'This effect cannot be critically applied.',100,2,1),
(41155,113106,'Increases Max Health of target by 591.5',100,1,2),
(41156,113106,'Increases Mitigation of target vs physical damage by 682',100,1,3),
(41157,113106,'The healing of this spell cannot be modified except by direct means',100,1,4),
(41158,10113106,'Heals target for 20.6 - 25.2% of max health',100,1,0),
(41159,10113106,'This effect cannot be critically applied.',100,2,1),
(41160,10113106,'Increases Max Health of target by 591.5',100,1,2),
(41161,10113106,'Increases Mitigation of target vs physical damage by 682',100,1,3),
(41162,10113106,'The healing of this spell cannot be modified except by direct means',100,1,4),
(41163,45366,'Applies Blessing of the Craftkeepers when Activated.  Lasts for 30 minutes.',100,0,0),
(41164,45366,'Increases INT and WIS of caster by 23.0',100,1,1),
(41165,10045366,'Applies Blessing of the Craftkeepers when Activated.  Lasts for 30 minutes.',100,0,0),
(41166,10045366,'Increases INT and WIS of caster by 23.0',100,1,1),
(41167,24674,'Adds Sarnak (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(41168,10024674,'Adds Sarnak (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(41169,115024,'Heals target for 615 - 751',100,1,0),
(41170,10115024,'Heals target for 586 - 716',100,1,0),
(41171,101219,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(41172,101219,'Increases Attack Speed of caster by 21.0',100,130,1),
(41173,101219,'Increases Crushing, Piercing, Ranged and Slashing of caster by 26.1',100,130,2),
(41174,101219,'Dazes target',100,1,3),
(41175,101219,'If Target is not Epic',100,2,4),
(41176,101219,'Inflicts 4143 - 6224 cold damage on target',100,1,5),
(41177,101219,'Resistibility increases against targets higher than level 87.',100,1,6),
(41178,10101219,'Applies Arctic Tenacity.  Lasts for 5.0 seconds.',100,129,0),
(41179,10101219,'Increases Attack Speed of caster by 21.0',100,130,1),
(41180,10101219,'Increases Crushing, Piercing, Ranged and Slashing of caster by 26.1',100,130,2),
(41181,10101219,'Dazes target',100,1,3),
(41182,10101219,'If Target is not Epic',100,2,4),
(41183,10101219,'Inflicts 2930 - 4599 cold damage on target',100,1,5),
(41184,10101219,'Resistibility increases against targets higher than level 87.',100,1,6),
(41185,123197,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(41186,123197,'Inflicts 181 - 221 disease damage on target',100,2,1),
(41187,123197,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(41188,123197,'This effect cannot be critically applied.',100,3,3),
(41189,123197,'The healing of this spell cannot be modified except by direct means',100,2,4),
(41190,123197,'Grants a total of 5 triggers of the spell.',100,2,5),
(41191,10123197,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(41192,10123197,'Inflicts 145 - 177 disease damage on target',100,2,1),
(41193,10123197,'Heals caster for 1.0 - 1.2% of max health',100,2,2),
(41194,10123197,'This effect cannot be critically applied.',100,3,3),
(41195,10123197,'The healing of this spell cannot be modified except by direct means',100,2,4),
(41196,10123197,'Grants a total of 5 triggers of the spell.',100,2,5),
(41197,176653,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(41198,176653,'Decreases INT, STR, WIS and AGI of target by 23.0',100,1,1),
(41199,176653,'Decreases Max Health of target by 1.0%',100,1,2),
(41200,176653,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(41201,10176653,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(41202,10176653,'Decreases INT, STR, WIS and AGI of target by 23.0',100,1,1),
(41203,10176653,'Decreases Max Health of target by 1.0%',100,1,2),
(41204,10176653,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(41205,117655,'Decreases Mitigation of target vs physical damage by 144',100,1,0),
(41206,10117655,'Decreases Mitigation of target vs physical damage by 72',100,1,0),
(41207,119691,'Increases Threat to target encounter by 1,392 - 1,701 ',100,1,0),
(41208,10119691,'Prevents target encounter from changing targets',100,1,0),
(41209,10119691,'Forces target encounter to change their selected target to caster.',100,1,1),
(41210,119129,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(41211,119129,'Inflicts 881 - 1077 slashing damage on target',100,2,1),
(41212,119129,'Increases Mitigation of caster vs physical damage by 496',100,1,2),
(41213,10119129,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(41214,10119129,'Inflicts 694 - 849 slashing damage on target',100,2,1),
(41215,10119129,'Increases Mitigation of caster vs physical damage by 496',100,1,2),
(41216,143617,'When Equipped:',100,0,0),
(41217,143617,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41218,143617,'Decreases power of target by 305',100,2,2),
(41219,143617,'Increases power of caster by 203',100,2,3),
(41220,143617,'Cannot be modified except by direct means',100,2,4),
(41221,10143617,'When Equipped:',100,0,0),
(41222,10143617,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41223,10143617,'Decreases power of target by 305',100,2,2),
(41224,10143617,'Increases power of caster by 203',100,2,3),
(41225,10143617,'Cannot be modified except by direct means',100,2,4),
(41226,80388,'When Equipped:',100,0,0),
(41227,80388,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(41228,80388,'Inflicts 90 - 168 magic damage on target',100,2,2),
(41229,80388,'Decreases Threat to target by 153 ',100,2,3),
(41230,80388,'Must be flanking or behind',100,3,4),
(41231,80388,'Increases Threat to target by 267 ',100,2,5),
(41232,80388,'Must be in front of',100,3,6),
(41233,80388,'Cannot be modified except by direct means',100,2,7),
(41234,10080388,'When Equipped:',100,0,0),
(41235,10080388,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(41236,10080388,'Inflicts 90 - 168 magic damage on target',100,2,2),
(41237,10080388,'Cannot be modified except by direct means',100,2,3),
(41238,154871,'When Equipped:',100,0,0),
(41239,154871,'On any combat or spell hit this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41240,154871,'Increases Ability Casting Speed of caster by 7.0%',100,2,2),
(41241,154871,'Increases Ability Recovery Speed of caster by 7.0%',100,2,3),
(41242,154871,'Increases Ability Modifier of caster by 500.0',100,2,4),
(41243,154871,'Must not be engaged in pvp combat',100,2,5),
(41244,154871,'Cannot be modified except by direct means',100,2,6),
(41245,154871,'On a healing spell cast this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(41246,154871,'Increases Ability Casting Speed of caster by 7.0%',100,2,8),
(41247,154871,'Increases Ability Recovery Speed of caster by 7.0%',100,2,9),
(41248,154871,'Increases Ability Modifier of caster by 500.0',100,2,10),
(41249,154871,'Must not be engaged in pvp combat',100,2,11),
(41250,154871,'Cannot be modified except by direct means',100,2,12),
(41251,154871,'Must not be engaged in pvp combat',100,1,13),
(41252,10154871,'When Equipped:',100,0,0),
(41253,10154871,'On any combat or spell hit this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41254,10154871,'Increases Ability Casting Speed of caster by 7.0%',100,2,2),
(41255,10154871,'Increases Ability Recovery Speed of caster by 7.0%',100,2,3),
(41256,10154871,'Increases Ability Modifier of caster by 500.0',100,2,4),
(41257,10154871,'Must not be engaged in pvp combat',100,2,5),
(41258,10154871,'Cannot be modified except by direct means',100,2,6),
(41259,10154871,'On a healing spell cast this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(41260,10154871,'Increases Ability Casting Speed of caster by 7.0%',100,2,8),
(41261,10154871,'Increases Ability Recovery Speed of caster by 7.0%',100,2,9),
(41262,10154871,'Increases Ability Modifier of caster by 500.0',100,2,10),
(41263,10154871,'Must not be engaged in pvp combat',100,2,11),
(41264,10154871,'Cannot be modified except by direct means',100,2,12),
(41265,10154871,'Must not be engaged in pvp combat',100,1,13),
(41266,71736,'When Equipped:',100,0,0),
(41267,71736,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41268,71736,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(41269,71736,'Cannot be modified except by direct means',100,2,3),
(41270,10071736,'When Equipped:',100,0,0),
(41271,10071736,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41272,10071736,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(41273,10071736,'Cannot be modified except by direct means',100,2,3),
(41274,35396,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(41275,81178,'When Equipped:',100,0,0),
(41276,81178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41277,81178,'Inflicts 261 - 484 magic damage on target',100,2,2),
(41278,81178,'Cannot be modified except by direct means',100,2,3),
(41279,10081178,'When Equipped:',100,0,0),
(41280,10081178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41281,10081178,'Inflicts 261 - 484 magic damage on target',100,2,2),
(41282,10081178,'Cannot be modified except by direct means',100,2,3),
(41283,100584,'Inflicts 1056 - 1747 melee damage on target',100,1,0),
(41284,100584,'You must be sneaking to use this ability.',100,1,1),
(41285,10100584,'Inflicts 890 - 1217 melee damage on target',100,1,0),
(41286,10100584,'You must be sneaking to use this ability.',100,1,1),
(41287,74673,'When Equipped:',100,0,0),
(41288,74673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41289,74673,'Inflicts 85 - 128 magic damage on target',100,2,2),
(41290,74673,'Cannot be modified except by direct means',100,2,3),
(41291,10074673,'When Equipped:',100,0,0),
(41292,10074673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41293,10074673,'Inflicts 85 - 128 magic damage on target',100,2,2),
(41294,10074673,'Cannot be modified except by direct means',100,2,3),
(41295,87095,'Applies Fire Ball when Activated.',100,0,0),
(41296,87095,'Inflicts 594 - 991 heat damage on target',100,1,1),
(41297,87095,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41298,10087095,'Applies Fire Ball when Activated.',100,0,0),
(41299,10087095,'Inflicts 594 - 991 heat damage on target',100,1,1),
(41300,10087095,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41301,118272,'Increases Threat to target encounter by 3,071 - 3,533 ',100,1,0),
(41302,118272,'Decreases Mitigation of target encounter vs arcane damage by 608',100,1,1),
(41303,10118272,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(41304,10118272,'Prevents target from changing targets',100,2,1),
(41305,10118272,'Forces target to change their selected target to caster.',100,2,2),
(41306,10118272,'Decreases Mitigation of target encounter vs arcane damage by 608',100,1,3),
(41307,104174,'Increases Threat to target encounter by 2,474 - 2,952 ',100,1,0),
(41308,104174,'Interrupts target encounter',100,1,1),
(41309,10104174,'Forces target encounter to change their selected target to caster.',100,1,0),
(41310,10104174,'Interrupts target encounter',100,1,1),
(41311,10104174,'Prevents target encounter from changing targets',100,1,2),
(41312,104913,'Inflicts 1016 - 1686 ranged damage on target',100,1,0),
(41313,104913,'Decreases Deflection and Parry of target by 13.2',100,1,1),
(41314,104913,'Requires bow',100,1,2),
(41315,10104913,'Inflicts 600 - 997 ranged damage on target',100,1,0),
(41316,10104913,'Decreases Deflection and Parry of target by 13.2',100,1,1),
(41317,10104913,'Requires bow',100,1,2),
(41318,73265,'Applies Frost Blast when Activated.',100,0,0),
(41319,73265,'Inflicts 466 - 777 cold damage on target',100,1,1),
(41320,73265,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41321,10073265,'Applies Frost Blast when Activated.',100,0,0),
(41322,10073265,'Inflicts 466 - 777 cold damage on target',100,1,1),
(41323,10073265,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41324,112820,'Inflicts 8114 - 12809 slashing damage on target',100,1,0),
(41325,112820,'Stifles target',100,1,1),
(41326,112820,'If Target is not Epic',100,2,2),
(41327,112820,'You must be in stealth.',100,1,3),
(41328,112820,'Resistibility increases against targets higher than level 113.',100,1,4),
(41329,10112820,'Inflicts 6015 - 9715 slashing damage on target',100,1,0),
(41330,10112820,'Stifles target',100,1,1),
(41331,10112820,'If Target is not Epic',100,2,2),
(41332,10112820,'You must be in stealth.',100,1,3),
(41333,10112820,'Resistibility increases against targets higher than level 113.',100,1,4),
(41334,104539,'Increases Threat to target by 4,345 - 4,806  instantly and by 725 - 886  every 2 seconds thereafter',100,1,0),
(41335,10104539,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(41336,84139,'When Equipped:',100,0,0),
(41337,84139,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41338,84139,'Inflicts 167 - 278 heat damage on target',100,2,2),
(41339,84139,'Cannot be modified except by direct means',100,2,3),
(41340,10084139,'When Equipped:',100,0,0),
(41341,10084139,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41342,10084139,'Inflicts 167 - 278 heat damage on target',100,2,2),
(41343,10084139,'Cannot be modified except by direct means',100,2,3),
(41344,81137,'When Equipped:',100,0,0),
(41345,81137,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41346,81137,'Inflicts 290 - 538 magic damage on target',100,2,2),
(41347,81137,'Cannot be modified except by direct means',100,2,3),
(41348,10081137,'When Equipped:',100,0,0),
(41349,10081137,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41350,10081137,'Inflicts 290 - 538 magic damage on target',100,2,2),
(41351,10081137,'Cannot be modified except by direct means',100,2,3),
(41352,120740,'Inflicts 4484 - 6789 melee damage on target',100,1,0),
(41353,120740,'Interrupts target',100,1,1),
(41354,10120740,'Inflicts 3204 - 5053 melee damage on target',100,1,0),
(41355,10120740,'Interrupts target',100,1,1),
(41356,116400,'Heals target for 1894 - 2097',100,1,0),
(41357,116400,'Heals target for 912 - 1114 every 2 seconds',100,1,1),
(41358,10116400,'Heals target for 723 - 827',100,1,0),
(41359,10116400,'Heals target for 467 - 571 every 2 seconds',100,1,1),
(41360,100901,'Stuns targets in Area of Effect',20,1,0),
(41361,100901,'If Target is not Epic',100,2,1),
(41362,100901,'Inflicts 1173 - 1955 divine damage on targets in Area of Effect',100,1,2),
(41363,100901,'Resistibility increases against targets higher than level 57.',100,1,3),
(41364,10100901,'Stuns targets in Area of Effect',20,1,0),
(41365,10100901,'If Target is not Epic',100,2,1),
(41366,10100901,'Inflicts 878 - 1375 divine damage on targets in Area of Effect',100,1,2),
(41367,10100901,'Resistibility increases against targets higher than level 57.',100,1,3),
(41368,27045,'When Equipped:',100,0,0),
(41369,27045,'On a parry this spell has a 2% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(41370,27045,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(41371,27045,'Heals caster for 58 - 71',100,3,3),
(41372,27045,'Grants a total of 3 triggers of the spell.',100,3,4),
(41373,27045,'Cannot be modified except by direct means',100,2,5),
(41374,10027045,'When Equipped:',100,0,0),
(41375,10027045,'On a parry this spell has a 2% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(41376,10027045,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(41377,10027045,'Heals caster for 31 - 38',100,3,3),
(41378,10027045,'Grants a total of 3 triggers of the spell.',100,3,4),
(41379,10027045,'Cannot be modified except by direct means',100,2,5),
(41380,100391,'Summons a pet aery hunter',100,1,0),
(41381,10100391,'Summons a pet aery hunter',100,1,0),
(41382,109571,'Makes target afraid',100,1,0),
(41383,109571,'30% chance to dispel when target takes damage',100,1,1),
(41384,109571,'Does not affect Epic targets',100,1,2),
(41385,109571,'Resistibility increases against targets higher than level 83.',100,1,3),
(41386,10109571,'Makes target afraid',100,1,0),
(41387,10109571,'30% chance to dispel when target takes damage',100,1,1),
(41388,10109571,'Does not affect Epic targets',100,1,2),
(41389,10109571,'Resistibility increases against targets higher than level 83.',100,1,3),
(41390,83754,'When Equipped:',100,0,0),
(41391,83754,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41392,83754,'Inflicts 168 - 280 poison damage on target every 4.8 seconds',100,2,2),
(41393,83754,'Cannot be modified except by direct means',100,2,3),
(41394,10083754,'When Equipped:',100,0,0),
(41395,10083754,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41396,10083754,'Inflicts 168 - 280 poison damage on target every 4.8 seconds',100,2,2),
(41397,10083754,'Cannot be modified except by direct means',100,2,3),
(41398,82907,'When Equipped:',100,0,0),
(41399,82907,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(41400,82907,'Inflicts 449 - 834 magic damage on target',100,2,2),
(41401,82907,'Decreases Threat to target by 833 ',100,2,3),
(41402,82907,'Must be flanking or behind',100,3,4),
(41403,82907,'Increases Threat to target by 1,293 ',100,2,5),
(41404,82907,'Must be in front of',100,3,6),
(41405,82907,'Cannot be modified except by direct means',100,2,7),
(41406,10082907,'When Equipped:',100,0,0),
(41407,10082907,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(41408,10082907,'Inflicts 449 - 834 magic damage on target',100,2,2),
(41409,10082907,'Cannot be modified except by direct means',100,2,3),
(41410,177695,'When Equipped:',100,0,0),
(41411,177695,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(41412,177695,'Increases STA of caster by 5.1',100,2,2),
(41413,177695,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(41414,177695,'Cannot be modified except by direct means',100,2,4),
(41415,10177695,'When Equipped:',100,0,0),
(41416,10177695,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(41417,10177695,'Increases STA of caster by 5.1',100,2,2),
(41418,10177695,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(41419,10177695,'Cannot be modified except by direct means',100,2,4),
(41420,171450,'Applies Call of the Prime when Activated.  Lasts for 12.0 seconds.',100,0,0),
(41421,171450,'Applies Prime Focus on termination.  Lasts for 15.0 seconds.',100,1,1),
(41422,171450,'Increases Potency of group members (AE) by 2.0%',100,2,2),
(41423,171450,'Must not be engaged in pvp combat',100,2,3),
(41424,171450,'Cannot be modified except by direct means',100,2,4),
(41425,171450,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(41426,171450,'Must not be engaged in pvp combat',100,1,6),
(41427,171450,'Cannot be modified except by direct means',100,1,7),
(41428,171450,'The reuse time of Call of the Prime is 10 minutes',100,1,8),
(41429,10171450,'Applies Call of the Prime when Activated.  Lasts for 12.0 seconds.',100,0,0),
(41430,10171450,'Applies Prime Focus on termination.  Lasts for 15.0 seconds.',100,1,1),
(41431,10171450,'Increases Potency of group members (AE) by 2.0%',100,2,2),
(41432,10171450,'Must not be engaged in pvp combat',100,2,3),
(41433,10171450,'Cannot be modified except by direct means',100,2,4),
(41434,10171450,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(41435,10171450,'Must not be engaged in pvp combat',100,1,6),
(41436,10171450,'Cannot be modified except by direct means',100,1,7),
(41437,10171450,'The reuse time of Call of the Prime is 10 minutes',100,1,8),
(41438,109270,'Shapechanges caster into a ghost hawk',100,1,0),
(41439,10109270,'Shapechanges caster into a ghost hawk',100,1,0),
(41440,105457,'Inflicts 2582 - 2937 poison damage on target',100,1,0),
(41441,105457,'Inflicts 1599 - 1954 poison damage on target every 4 seconds',100,1,1),
(41442,105457,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(41443,105457,'Summons 3 limited pets to aid the caster',100,2,3),
(41444,105457,'Grants a total of 1 trigger of the spell.',100,2,4),
(41445,10105457,'Inflicts 1655 - 1935 poison damage on target',100,1,0),
(41446,10105457,'Inflicts 1260 - 1540 poison damage on target every 4 seconds',100,1,1),
(41447,10105457,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,2),
(41448,10105457,'Summons 3 limited pets to aid the caster',100,2,3),
(41449,10105457,'Grants a total of 1 trigger of the spell.',100,2,4),
(41450,72244,'When Equipped:',100,0,0),
(41451,72244,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41452,72244,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(41453,72244,'Cannot be modified except by direct means',100,2,3),
(41454,10072244,'When Equipped:',100,0,0),
(41455,10072244,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41456,10072244,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(41457,10072244,'Cannot be modified except by direct means',100,2,3),
(41458,181062,'When Equipped:',100,0,0),
(41459,181062,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(41460,181062,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(41461,181062,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(41462,181062,'Must not be engaged in pvp combat',100,2,4),
(41463,181062,'Cannot be modified except by direct means',100,2,5),
(41464,181062,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(41465,181062,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(41466,181062,'Must not be engaged in pvp combat',100,2,8),
(41467,181062,'Cannot be modified except by direct means',100,2,9),
(41468,181062,'Must not be engaged in pvp combat',100,1,10),
(41469,10181062,'When Equipped:',100,0,0),
(41470,10181062,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(41471,10181062,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(41472,10181062,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(41473,10181062,'Must not be engaged in pvp combat',100,2,4),
(41474,10181062,'Cannot be modified except by direct means',100,2,5),
(41475,10181062,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(41476,10181062,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(41477,10181062,'Must not be engaged in pvp combat',100,2,8),
(41478,10181062,'Cannot be modified except by direct means',100,2,9),
(41479,10181062,'Must not be engaged in pvp combat',100,1,10),
(41480,117025,'Inflicts 1722 - 4386 melee damage on target',100,1,0),
(41481,10117025,'Inflicts 1315 - 3114 melee damage on target',100,1,0),
(41482,159049,'When Equipped:',100,0,0),
(41483,159049,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41484,159049,'Increases INT of caster by 5.8',100,2,2),
(41485,159049,'Increases Subjugation, Disruption and Focus of caster by 3.7',100,2,3),
(41486,159049,'Cannot be modified except by direct means',100,2,4),
(41487,10159049,'When Equipped:',100,0,0),
(41488,10159049,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41489,10159049,'Increases INT of caster by 5.8',100,2,2),
(41490,10159049,'Increases Subjugation, Disruption and Focus of caster by 3.7',100,2,3),
(41491,10159049,'Cannot be modified except by direct means',100,2,4),
(41492,119153,'Inflicts 252 - 467 heat damage on target',100,1,0),
(41493,119153,'Inflicts 56 - 104 heat damage on target every 3 seconds',100,1,1),
(41494,10119153,'Inflicts 240 - 445 heat damage on target',100,1,0),
(41495,10119153,'Inflicts 44 - 82 heat damage on target every 3 seconds',100,1,1),
(41496,111732,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(41497,111732,'Inflicts 2091 - 2518 cold damage on target',100,2,1),
(41498,111732,'Grants a total of 3 triggers of the spell.',100,2,2),
(41499,10111732,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(41500,10111732,'Inflicts 1544 - 1858 cold damage on target',100,2,1),
(41501,10111732,'Grants a total of 3 triggers of the spell.',100,2,2),
(41502,101478,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(41503,101478,'Increases Mitigation of group members (AE) vs arcane damage by 372',100,1,1),
(41504,10101478,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(41505,10101478,'Increases Mitigation of group members (AE) vs arcane damage by 372',100,1,1),
(41506,187369,'When Equipped:',100,0,0),
(41507,187369,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(41508,10187369,'When Equipped:',100,0,0),
(41509,10187369,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(41510,53381,'Applies Heroic Resistance V when Equipped.',100,0,0),
(41511,53381,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(41512,53381,'Cannot be modified except by direct means',100,1,2),
(41513,10053381,'Applies Heroic Resistance V when Equipped.',100,0,0),
(41514,10053381,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(41515,10053381,'Cannot be modified except by direct means',100,1,2),
(41516,35569,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(41517,81487,'When Equipped:',100,0,0),
(41518,81487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41519,81487,'Inflicts 155 - 288 magic damage on target',100,2,2),
(41520,81487,'Cannot be modified except by direct means',100,2,3),
(41521,10081487,'When Equipped:',100,0,0),
(41522,10081487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41523,10081487,'Inflicts 155 - 288 magic damage on target',100,2,2),
(41524,10081487,'Cannot be modified except by direct means',100,2,3),
(41525,104511,'Increases Threat to target by 779 - 918  instantly and by 83 - 102  every 2 seconds thereafter',100,1,0),
(41526,10104511,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(41527,179341,'When Equipped:',100,0,0),
(41528,179341,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41529,179341,'Inflicts 2648 piercing damage on target',100,2,2),
(41530,179341,'Cannot be modified except by direct means',100,2,3),
(41531,10179341,'When Equipped:',100,0,0),
(41532,10179341,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41533,10179341,'Inflicts 1324 piercing damage on target',100,2,2),
(41534,10179341,'Cannot be modified except by direct means',100,2,3),
(41535,108886,'Inflicts 2991 - 4313 melee damage on target',100,1,0),
(41536,108886,'Decreases INT of target by 190.1',100,1,1),
(41537,10108886,'Inflicts 1977 - 3020 melee damage on target',100,1,0),
(41538,10108886,'Decreases INT of target by 190.1',100,1,1),
(41539,102302,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(41540,102302,'Decreases Threat to target by 2,194 ',100,2,1),
(41541,10102302,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(41542,10102302,'Inflicts 153 - 169 crushing damage on target',100,2,1),
(41543,100910,'Stuns targets in Area of Effect',20,1,0),
(41544,100910,'If Target is not Epic',100,2,1),
(41545,100910,'Inflicts 2308 - 3628 divine damage on targets in Area of Effect',100,1,2),
(41546,100910,'Resistibility increases against targets higher than level 85.',100,1,3),
(41547,10100910,'Stuns targets in Area of Effect',20,1,0),
(41548,10100910,'If Target is not Epic',100,2,1),
(41549,10100910,'Inflicts 1601 - 2581 divine damage on targets in Area of Effect',100,1,2),
(41550,10100910,'Resistibility increases against targets higher than level 85.',100,1,3),
(41551,116384,'Heals target for 913 - 1116',100,1,0),
(41552,116384,'Heals target for 228 - 279 every 2 seconds',100,1,1),
(41553,10116384,'Heals target for 373 - 399',100,1,0),
(41554,10116384,'Heals target for 117 - 143 every 2 seconds',100,1,1),
(41555,141871,'When Equipped:',100,0,0),
(41556,141871,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41557,141871,'Increases WIS of caster by 8.8',100,2,2),
(41558,141871,'Increases Ordination, Ministration and Focus of caster by 5.2',100,2,3),
(41559,141871,'Cannot be modified except by direct means',100,2,4),
(41560,10141871,'When Equipped:',100,0,0),
(41561,10141871,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41562,10141871,'Increases WIS of caster by 8.8',100,2,2),
(41563,10141871,'Increases Ordination, Ministration and Focus of caster by 5.2',100,2,3),
(41564,10141871,'Cannot be modified except by direct means',100,2,4),
(41565,114009,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(41566,114009,'Heals target for 44',100,2,1),
(41567,114009,'Heals target for 24 every 2 seconds',100,2,2),
(41568,114009,'Decreases Mitigation of target vs arcane damage by 225',100,1,3),
(41569,10114009,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(41570,10114009,'Heals target for 75',100,2,1),
(41571,10114009,'Heals target for 62 every 2 seconds',100,2,2),
(41572,10114009,'Decreases Mitigation of target vs arcane damage by 225',100,1,3),
(41573,82387,'When Equipped:',100,0,0),
(41574,82387,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41575,82387,'Inflicts 215 - 399 magic damage on target',100,2,2),
(41576,82387,'Cannot be modified except by direct means',100,2,3),
(41577,10082387,'When Equipped:',100,0,0),
(41578,10082387,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41579,10082387,'Inflicts 215 - 399 magic damage on target',100,2,2),
(41580,10082387,'Cannot be modified except by direct means',100,2,3),
(41581,159929,'When Equipped:',100,0,0),
(41582,159929,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41583,159929,'Increases INT of caster by 3.6',100,2,2),
(41584,159929,'Increases Subjugation, Disruption and Focus of caster by 2.2',100,2,3),
(41585,159929,'Cannot be modified except by direct means',100,2,4),
(41586,10159929,'When Equipped:',100,0,0),
(41587,10159929,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41588,10159929,'Increases INT of caster by 3.6',100,2,2),
(41589,10159929,'Increases Subjugation, Disruption and Focus of caster by 2.2',100,2,3),
(41590,10159929,'Cannot be modified except by direct means',100,2,4),
(41591,118255,'Increases Threat to target encounter by 826 - 1,010 ',100,1,0),
(41592,118255,'Decreases Mitigation of target encounter vs arcane damage by 209',100,1,1),
(41593,10118255,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(41594,10118255,'Prevents target from changing targets',100,2,1),
(41595,10118255,'Forces target to change their selected target to caster.',100,2,2),
(41596,10118255,'Decreases Mitigation of target encounter vs arcane damage by 209',100,1,3),
(41597,89922,'When Equipped:',100,0,0),
(41598,89922,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(41599,89922,'Inflicts 225 cold damage on target',100,2,2),
(41600,89922,'Cannot be modified except by direct means',100,2,3),
(41601,89922,'Cannot be modified except by direct means',100,1,4),
(41602,10089922,'When Equipped:',100,0,0),
(41603,10089922,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(41604,10089922,'Inflicts 225 cold damage on target',100,2,2),
(41605,10089922,'Cannot be modified except by direct means',100,2,3),
(41606,10089922,'Cannot be modified except by direct means',100,1,4),
(41607,82831,'When Equipped:',100,0,0),
(41608,82831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41609,82831,'Inflicts 449 - 834 magic damage on target',100,2,2),
(41610,82831,'Cannot be modified except by direct means',100,2,3),
(41611,10082831,'When Equipped:',100,0,0),
(41612,10082831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41613,10082831,'Inflicts 449 - 834 magic damage on target',100,2,2),
(41614,10082831,'Cannot be modified except by direct means',100,2,3),
(41615,141884,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(41616,141884,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(41617,141884,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(41618,141884,'Cannot be modified except by direct means',100,2,3),
(41619,10141884,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(41620,10141884,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(41621,10141884,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(41622,10141884,'Cannot be modified except by direct means',100,2,3),
(41623,72227,'When Equipped:',100,0,0),
(41624,72227,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41625,72227,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(41626,72227,'Cannot be modified except by direct means',100,2,3),
(41627,10072227,'When Equipped:',100,0,0),
(41628,10072227,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41629,10072227,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(41630,10072227,'Cannot be modified except by direct means',100,2,3),
(41631,102291,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(41632,102291,'Decreases Threat to target by 1,331 ',100,2,1),
(41633,10102291,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(41634,10102291,'Inflicts 98 - 108 crushing damage on target',100,2,1),
(41635,138722,'When Equipped:',100,0,0),
(41636,138722,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(41637,138722,'Increases Ability Modifier of caster by 300.0',100,2,2),
(41638,138722,'Cannot be modified except by direct means',100,2,3),
(41639,138722,'When Equipped:',100,0,4),
(41640,138722,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(41641,138722,'Increases Crit Chance of caster by 9.0',100,2,6),
(41642,138722,'Cannot be modified except by direct means',100,2,7),
(41643,10138722,'When Equipped:',100,0,0),
(41644,10138722,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(41645,10138722,'Increases Ability Modifier of caster by 300.0',100,2,2),
(41646,10138722,'Cannot be modified except by direct means',100,2,3),
(41647,10138722,'When Equipped:',100,0,4),
(41648,10138722,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(41649,10138722,'Increases Crit Chance of caster by 9.0',100,2,6),
(41650,10138722,'Cannot be modified except by direct means',100,2,7),
(41651,47535,'Applies Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(41652,47535,'Only affects targets level 50 and above',100,1,1),
(41653,10047535,'Applies Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(41654,10047535,'Only affects targets level 50 and above',100,1,1),
(41655,51316,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(41656,51316,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(41657,51316,'Inflicts 61 heat damage on target',100,2,2),
(41658,51316,'Cannot be modified except by direct means',100,2,3),
(41659,10051316,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(41660,10051316,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(41661,10051316,'Inflicts 61 heat damage on target',100,2,2),
(41662,10051316,'Cannot be modified except by direct means',100,2,3),
(41663,119150,'Inflicts 157 - 292 heat damage on target',100,1,0),
(41664,119150,'Inflicts 35 - 65 heat damage on target every 3 seconds',100,1,1),
(41665,10119150,'Inflicts 150 - 278 heat damage on target',100,1,0),
(41666,10119150,'Inflicts 28 - 51 heat damage on target every 3 seconds',100,1,1),
(41667,81173,'When Equipped:',100,0,0),
(41668,81173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41669,81173,'Inflicts 290 - 538 magic damage on target',100,2,2),
(41670,81173,'Cannot be modified except by direct means',100,2,3),
(41671,10081173,'When Equipped:',100,0,0),
(41672,10081173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41673,10081173,'Inflicts 290 - 538 magic damage on target',100,2,2),
(41674,10081173,'Cannot be modified except by direct means',100,2,3),
(41675,116104,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(41676,116104,'Heals target for 1241 - 1516',100,2,1),
(41677,116104,'Grants a total of 5 triggers of the spell.',100,2,2),
(41678,10116104,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(41679,10116104,'Heals target for 630 - 751',100,2,1),
(41680,10116104,'Grants a total of 5 triggers of the spell.',100,2,2),
(41681,75613,'Applies Holy Strike when Activated.',100,0,0),
(41682,75613,'Inflicts 250 - 417 divine damage on target',100,1,1),
(41683,75613,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41684,10075613,'Applies Holy Strike when Activated.',100,0,0),
(41685,10075613,'Inflicts 250 - 417 divine damage on target',100,1,1),
(41686,10075613,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(41687,160534,'When Equipped:',100,0,0),
(41688,160534,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(41689,160534,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(41690,160534,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(41691,160534,'This effect cannot occur more than once a second',100,2,4),
(41692,160534,'Must be engaged in pvp combat',100,2,5),
(41693,160534,'Cannot be modified except by direct means',100,2,6),
(41694,160534,'Cannot be modified except by direct means',100,1,7),
(41695,160534,'When Equipped:',100,0,8),
(41696,160534,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(41697,160534,'Must be engaged in pvp combat',100,1,10),
(41698,160534,'When Equipped:',100,0,11),
(41699,160534,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(41700,160534,'Must be engaged in pvp combat',100,1,13),
(41701,10160534,'When Equipped:',100,0,0),
(41702,10160534,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(41703,10160534,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(41704,10160534,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(41705,10160534,'This effect cannot occur more than once a second',100,2,4),
(41706,10160534,'Must be engaged in pvp combat',100,2,5),
(41707,10160534,'Cannot be modified except by direct means',100,2,6),
(41708,10160534,'Cannot be modified except by direct means',100,1,7),
(41709,10160534,'When Equipped:',100,0,8),
(41710,10160534,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(41711,10160534,'Must be engaged in pvp combat',100,1,10),
(41712,10160534,'When Equipped:',100,0,11),
(41713,10160534,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(41714,10160534,'Must be engaged in pvp combat',100,1,13),
(41715,118781,'Summons a pet book familiar',100,1,0),
(41716,10118781,'Summons a pet book familiar',100,1,0),
(41717,35640,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(41718,50547,'When Equipped:',100,0,0),
(41719,50547,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41720,50547,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(41721,50547,'Cannot be modified except by direct means',100,2,3),
(41722,10050547,'When Equipped:',100,0,0),
(41723,10050547,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41724,10050547,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(41725,10050547,'Cannot be modified except by direct means',100,2,3),
(41726,74799,'When Equipped:',100,0,0),
(41727,74799,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41728,74799,'Inflicts 168 - 253 magic damage on target',100,2,2),
(41729,74799,'Cannot be modified except by direct means',100,2,3),
(41730,10074799,'When Equipped:',100,0,0),
(41731,10074799,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41732,10074799,'Inflicts 168 - 253 magic damage on target',100,2,2),
(41733,10074799,'Cannot be modified except by direct means',100,2,3),
(41734,27487,'When Equipped:',100,0,0),
(41735,27487,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(41736,27487,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(41737,10027487,'When Equipped:',100,0,0),
(41738,10027487,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(41739,10027487,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(41740,54862,'When Equipped:',100,0,0),
(41741,54862,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(41742,10054862,'When Equipped:',100,0,0),
(41743,10054862,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(41744,122114,'Interrupts target',100,1,0),
(41745,122114,'Increases Threat to target by 1,843 ',100,1,1),
(41746,122114,'Dispels 26 levels of arcane beneficial effects on target',100,1,2),
(41747,10122114,'Interrupts target',100,1,0),
(41748,10122114,'Forces target to change their selected target to caster.',100,1,1),
(41749,10122114,'Dispels 26 levels of arcane beneficial effects on target',100,1,2),
(41750,88014,'When Equipped:',100,0,0),
(41751,88014,'Soulleech will increase its wielders'' crit chance by an additional 5% while attacking living humanoid creatures.',100,1,1),
(41752,10088014,'When Equipped:',100,0,0),
(41753,10088014,'Soulleech will increase its wielders'' crit chance by an additional 5% while attacking living humanoid creatures.',100,1,1),
(41754,166533,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(41755,166533,'Increases Attack Speed of caster by 100.0',100,1,1),
(41756,166533,'Must not be engaged in pvp combat',100,1,2),
(41757,166533,'Cannot be modified except by direct means',100,1,3),
(41758,166533,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(41759,166533,'When Equipped:',100,0,5),
(41760,166533,'On a critical combat hit this spell may cast Umbral Lightning IX on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(41761,166533,'Inflicts 7215 - 8818 magic damage on target',100,2,7),
(41762,166533,'Must not be engaged in pvp combat',100,2,8),
(41763,166533,'Cannot be modified except by direct means',100,2,9),
(41764,166533,'On a critical spell hit this spell may cast Umbral Lightning IX on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(41765,166533,'Inflicts 7215 - 8818 magic damage on target',100,2,11),
(41766,166533,'Must not be engaged in pvp combat',100,2,12),
(41767,166533,'Cannot be modified except by direct means',100,2,13),
(41768,166533,'Must not be engaged in pvp combat',100,1,14),
(41769,166533,'Cannot be modified except by direct means',100,1,15),
(41770,10166533,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(41771,10166533,'Increases Attack Speed of caster by 100.0',100,1,1),
(41772,10166533,'Must not be engaged in pvp combat',100,1,2),
(41773,10166533,'Cannot be modified except by direct means',100,1,3),
(41774,10166533,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(41775,10166533,'When Equipped:',100,0,5),
(41776,10166533,'On a critical combat hit this spell may cast Umbral Lightning IX on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(41777,10166533,'Inflicts 7215 - 8818 magic damage on target',100,2,7),
(41778,10166533,'Must not be engaged in pvp combat',100,2,8),
(41779,10166533,'Cannot be modified except by direct means',100,2,9),
(41780,10166533,'On a critical spell hit this spell may cast Umbral Lightning IX on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(41781,10166533,'Inflicts 7215 - 8818 magic damage on target',100,2,11),
(41782,10166533,'Must not be engaged in pvp combat',100,2,12),
(41783,10166533,'Cannot be modified except by direct means',100,2,13),
(41784,10166533,'Must not be engaged in pvp combat',100,1,14),
(41785,10166533,'Cannot be modified except by direct means',100,1,15),
(41786,161144,'When Equipped:',100,0,0),
(41787,161144,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41788,161144,'Inflicts 1319 - 1612 heat damage on target',100,2,2),
(41789,161144,'Inflicts 1319 - 1612 heat damage on target',100,2,3),
(41790,161144,'Inflicts 1319 - 1612 heat damage on target',100,2,4),
(41791,161144,'Must not be engaged in pvp combat',100,2,5),
(41792,161144,'Cannot be modified except by direct means',100,2,6),
(41793,10161144,'When Equipped:',100,0,0),
(41794,10161144,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41795,10161144,'Inflicts 1319 - 1612 heat damage on target',100,2,2),
(41796,10161144,'Inflicts 1319 - 1612 heat damage on target',100,2,3),
(41797,10161144,'Inflicts 1319 - 1612 heat damage on target',100,2,4),
(41798,10161144,'Must not be engaged in pvp combat',100,2,5),
(41799,10161144,'Cannot be modified except by direct means',100,2,6),
(41800,159679,'When Equipped:',100,0,0),
(41801,159679,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(41802,159679,'Increases STA of caster by 8.3',100,2,2),
(41803,159679,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(41804,159679,'Cannot be modified except by direct means',100,2,4),
(41805,10159679,'When Equipped:',100,0,0),
(41806,10159679,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(41807,10159679,'Increases STA of caster by 8.3',100,2,2),
(41808,10159679,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(41809,10159679,'Cannot be modified except by direct means',100,2,4),
(41810,74905,'When Equipped:',100,0,0),
(41811,74905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41812,74905,'Inflicts 49 - 74 magic damage on target',100,2,2),
(41813,74905,'Cannot be modified except by direct means',100,2,3),
(41814,10074905,'When Equipped:',100,0,0),
(41815,10074905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41816,10074905,'Inflicts 49 - 74 magic damage on target',100,2,2),
(41817,10074905,'Cannot be modified except by direct means',100,2,3),
(41818,82036,'When Equipped:',100,0,0),
(41819,82036,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(41820,82036,'Inflicts 272 - 505 magic damage on target',100,2,2),
(41821,82036,'Decreases Threat to target by 641 ',100,2,3),
(41822,82036,'Must be flanking or behind',100,3,4),
(41823,82036,'Increases Threat to target by 1,101 ',100,2,5),
(41824,82036,'Must be in front of',100,3,6),
(41825,82036,'Cannot be modified except by direct means',100,2,7),
(41826,10082036,'When Equipped:',100,0,0),
(41827,10082036,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(41828,10082036,'Inflicts 272 - 505 magic damage on target',100,2,2),
(41829,10082036,'Cannot be modified except by direct means',100,2,3),
(41830,113111,'Heals target for 51.5 - 62.9% of max health',100,1,0),
(41831,113111,'This effect cannot be critically applied.',100,2,1),
(41832,113111,'Increases Max Health of target by 724.6',100,1,2),
(41833,113111,'Increases Mitigation of target vs physical damage by 855',100,1,3),
(41834,113111,'The healing of this spell cannot be modified except by direct means',100,1,4),
(41835,10113111,'Heals target for 20.6 - 25.2% of max health',100,1,0),
(41836,10113111,'This effect cannot be critically applied.',100,2,1),
(41837,10113111,'Increases Max Health of target by 724.6',100,1,2),
(41838,10113111,'Increases Mitigation of target vs physical damage by 855',100,1,3),
(41839,10113111,'The healing of this spell cannot be modified except by direct means',100,1,4),
(41840,138782,'Applies Mutagenic Aura when Equipped.',100,0,0),
(41841,138782,'On a hostile spell hit this spell may cast Mutagenic Haze on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(41842,138782,'Inflicts 224 - 465 poison damage on target',100,2,2),
(41843,138782,'Cannot be modified except by direct means',100,2,3),
(41844,10138782,'Applies Mutagenic Aura when Equipped.',100,0,0),
(41845,10138782,'On a hostile spell hit this spell may cast Mutagenic Haze on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(41846,10138782,'Inflicts 224 - 465 poison damage on target',100,2,2),
(41847,10138782,'Cannot be modified except by direct means',100,2,3),
(41848,47481,'Applies Call Misty Mustang when Activated.',100,0,0),
(41849,47481,'Summons a mount to ride',100,1,1),
(41850,47481,'Increases your ground speed by 130%',100,2,2),
(41851,10047481,'Applies Call Misty Mustang when Activated.',100,0,0),
(41852,10047481,'Summons a mount to ride',100,1,1),
(41853,10047481,'Increases your ground speed by 130%',100,2,2),
(41854,45619,'Applies Clouded Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(41855,45619,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(41856,45619,'Only affects targets level 50 and above',100,1,2),
(41857,10045619,'Applies Clouded Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(41858,10045619,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(41859,10045619,'Only affects targets level 50 and above',100,1,2),
(41860,81279,'When Equipped:',100,0,0),
(41861,81279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41862,81279,'Inflicts 403 - 748 magic damage on target',100,2,2),
(41863,81279,'Cannot be modified except by direct means',100,2,3),
(41864,10081279,'When Equipped:',100,0,0),
(41865,10081279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41866,10081279,'Inflicts 403 - 748 magic damage on target',100,2,2),
(41867,10081279,'Cannot be modified except by direct means',100,2,3),
(41868,114090,'Inflicts 1158 - 1920 melee damage on targets in area',100,1,0),
(41869,114090,'You must be in stealth to use this!',100,1,1),
(41870,10114090,'Inflicts 912 - 1428 melee damage on targets in area',100,1,0),
(41871,10114090,'You must be in stealth to use this!',100,1,1),
(41872,81058,'When Equipped:',100,0,0),
(41873,81058,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41874,81058,'Inflicts 295 - 547 magic damage on target',100,2,2),
(41875,81058,'Cannot be modified except by direct means',100,2,3),
(41876,10081058,'When Equipped:',100,0,0),
(41877,10081058,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41878,10081058,'Inflicts 295 - 547 magic damage on target',100,2,2),
(41879,10081058,'Cannot be modified except by direct means',100,2,3),
(41880,71967,'When Equipped:',100,0,0),
(41881,71967,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41882,71967,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(41883,71967,'Cannot be modified except by direct means',100,2,3),
(41884,10071967,'When Equipped:',100,0,0),
(41885,10071967,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(41886,10071967,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(41887,10071967,'Cannot be modified except by direct means',100,2,3),
(41888,115596,'Interrupts target encounter',100,1,0),
(41889,115596,'Decreases Threat to target encounter by 1,749 - 2,210 ',100,1,1),
(41890,115596,'Dazes target encounter',100,1,2),
(41891,115596,'If Target is not Epic',100,2,3),
(41892,115596,'Resistibility increases against targets higher than level 106.',100,1,4),
(41893,10115596,'Interrupts target encounter',100,1,0),
(41894,10115596,'Dazes target encounter',100,1,1),
(41895,10115596,'If Target is not Epic',100,2,2),
(41896,10115596,'Resistibility increases against targets higher than level 106.',100,1,3),
(41897,47974,'Applies Scroll of Resurrection when Activated.',100,0,0),
(41898,47974,'Allows the caster to resurrect him or herself.',100,1,1),
(41899,47974,'Special: See Description',100,1,2),
(41900,47974,'You may only be grouped with mercenaries or not grouped.',100,1,3),
(41901,47974,'Must not be engaged in pvp combat',100,1,4),
(41902,47974,'Cannot be modified except by direct means',100,1,5),
(41903,10047974,'Applies Scroll of Resurrection when Activated.',100,0,0),
(41904,10047974,'Allows the caster to resurrect him or herself.',100,1,1),
(41905,10047974,'Special: See Description',100,1,2),
(41906,10047974,'You may only be grouped with mercenaries or not grouped.',100,1,3),
(41907,10047974,'Must not be engaged in pvp combat',100,1,4),
(41908,10047974,'Cannot be modified except by direct means',100,1,5),
(41909,141941,'When Equipped:',100,0,0),
(41910,141941,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(41911,141941,'Increases STA of caster by 19.8',100,2,2),
(41912,141941,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(41913,141941,'Cannot be modified except by direct means',100,2,4),
(41914,10141941,'When Equipped:',100,0,0),
(41915,10141941,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(41916,10141941,'Increases STA of caster by 19.8',100,2,2),
(41917,10141941,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(41918,10141941,'Cannot be modified except by direct means',100,2,4),
(41919,40676,'When Equipped:',100,0,0),
(41920,40676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41921,40676,'Inflicts 49 - 74 magic damage on target',100,2,2),
(41922,40676,'Cannot be modified except by direct means',100,2,3),
(41923,10040676,'When Equipped:',100,0,0),
(41924,10040676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41925,10040676,'Inflicts 49 - 74 magic damage on target',100,2,2),
(41926,10040676,'Cannot be modified except by direct means',100,2,3),
(41927,136545,'When Equipped:',100,0,0),
(41928,136545,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(41929,136545,'This effect stacks with the Runic Deflection line.',100,2,2),
(41930,136545,'Wards target against 700 points of all damage',100,2,3),
(41931,136545,'Cannot be modified except by direct means',100,2,4),
(41932,10136545,'When Equipped:',100,0,0),
(41933,10136545,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(41934,10136545,'This effect stacks with the Runic Deflection line.',100,2,2),
(41935,10136545,'Wards target against 700 points of all damage',100,2,3),
(41936,10136545,'Cannot be modified except by direct means',100,2,4),
(41937,110022,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(41938,110022,'Inflicts 502 - 837 disease damage on target',100,2,1),
(41939,110022,'Heals caster for 2.7 - 4.5% of max health',100,2,2),
(41940,110022,'This effect cannot be critically applied.',100,3,3),
(41941,110022,'The healing of this spell cannot be modified except by direct means',100,2,4),
(41942,10110022,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(41943,10110022,'Inflicts 396 - 660 disease damage on target',100,2,1),
(41944,10110022,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(41945,10110022,'This effect cannot be critically applied.',100,3,3),
(41946,10110022,'The healing of this spell cannot be modified except by direct means',100,2,4),
(41947,117095,'Mesmerizes target encounter',100,1,0),
(41948,117095,'Prevents AOE (except when direct) ',100,1,1),
(41949,117095,'Dispelled when target takes damage',100,1,2),
(41950,117095,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(41951,117095,'Resistibility increases against targets higher than level 68.',100,1,4),
(41952,10117095,'Mesmerizes target encounter',100,1,0),
(41953,10117095,'Prevents AOE (except when direct) ',100,1,1),
(41954,10117095,'Dispelled when target takes damage',100,1,2),
(41955,10117095,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(41956,10117095,'Resistibility increases against targets higher than level 68.',100,1,4),
(41957,105831,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(41958,105831,'Inflicts 746 - 1237 disease damage on target',100,2,1),
(41959,10105831,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(41960,10105831,'Inflicts 588 - 975 disease damage on target',100,2,1),
(41961,119011,'Heals target for 4372 - 5125',100,1,0),
(41962,10119011,'Heals target for 3098 - 3729',100,1,0),
(41963,41068,'When Equipped:',100,0,0),
(41964,41068,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41965,41068,'Inflicts 599 piercing damage on target',100,2,2),
(41966,41068,'Cannot be modified except by direct means',100,2,3),
(41967,10041068,'When Equipped:',100,0,0),
(41968,10041068,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(41969,10041068,'Inflicts 299 piercing damage on target',100,2,2),
(41970,10041068,'Cannot be modified except by direct means',100,2,3),
(41971,36663,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(41972,35282,'Increases AGI of target by 12.7',100,0,0),
(41973,35282,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(41974,80400,'When Equipped:',100,0,0),
(41975,80400,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41976,80400,'Inflicts 77 - 143 magic damage on target',100,2,2),
(41977,80400,'Cannot be modified except by direct means',100,2,3),
(41978,10080400,'When Equipped:',100,0,0),
(41979,10080400,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(41980,10080400,'Inflicts 77 - 143 magic damage on target',100,2,2),
(41981,10080400,'Cannot be modified except by direct means',100,2,3),
(41982,47278,'Applies Pyzin''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(41983,47278,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(41984,10047278,'Applies Pyzin''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(41985,10047278,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(41986,135322,'When Equipped:',100,0,0),
(41987,135322,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(41988,135322,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(41989,135322,'Inflicts 4610 - 5095 heat damage on target',100,2,3),
(41990,135322,'Must not be engaged in pvp combat',100,2,4),
(41991,135322,'Cannot be modified except by direct means',100,2,5),
(41992,135322,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(41993,135322,'Inflicts 4610 - 5095 heat damage on target',100,2,7),
(41994,135322,'Must not be engaged in pvp combat',100,2,8),
(41995,135322,'Cannot be modified except by direct means',100,2,9),
(41996,10135322,'When Equipped:',100,0,0),
(41997,10135322,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(41998,10135322,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(41999,10135322,'Inflicts 4610 - 5095 heat damage on target',100,2,3),
(42000,10135322,'Must not be engaged in pvp combat',100,2,4),
(42001,10135322,'Cannot be modified except by direct means',100,2,5),
(42002,10135322,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(42003,10135322,'Inflicts 4610 - 5095 heat damage on target',100,2,7),
(42004,10135322,'Must not be engaged in pvp combat',100,2,8),
(42005,10135322,'Cannot be modified except by direct means',100,2,9),
(42006,155114,'When Equipped:',100,0,0),
(42007,155114,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(42008,155114,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(42009,155114,'Cannot be modified except by direct means',100,2,3),
(42010,10155114,'When Equipped:',100,0,0),
(42011,10155114,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(42012,10155114,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(42013,10155114,'Cannot be modified except by direct means',100,2,3),
(42014,48332,'Applies essence of power when Activated.',100,0,0),
(42015,48332,'Increases power of caster by 98',100,1,1),
(42016,10048332,'Applies essence of power when Activated.',100,0,0),
(42017,10048332,'Increases power of caster by 77',100,1,1),
(42018,105063,'Inflicts 413 - 559 magic damage on target',100,1,0),
(42019,10105063,'Inflicts 384 - 519 magic damage on target',100,1,0),
(42020,27417,'When Equipped:',100,0,0),
(42021,27417,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(42022,27417,'Inflicts 28 piercing damage on target',100,2,2),
(42023,27417,'Cannot be modified except by direct means',100,2,3),
(42024,10027417,'When Equipped:',100,0,0),
(42025,10027417,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(42026,10027417,'Inflicts 28 piercing damage on target',100,2,2),
(42027,10027417,'Cannot be modified except by direct means',100,2,3),
(42028,113527,'Inflicts 135 - 225 disease damage on target',100,1,0),
(42029,10113527,'Inflicts 116 - 193 disease damage on target',100,1,0),
(42030,48598,'Applies Searing Power when Activated.  Lasts for 12.0 seconds.',100,0,0),
(42031,48598,'Increases Max Health of caster by 8.0%',100,1,1),
(42032,48598,'Increases Max Power of caster by 8.0%',100,1,2),
(42033,48598,'Increases Crit Bonus of caster by 20.0%',100,1,3),
(42034,48598,'Increases Potency of caster by 20.0%',100,1,4),
(42035,48598,'Must not be engaged in pvp combat',100,1,5),
(42036,48598,'Cannot be modified except by direct means',100,1,6),
(42037,10048598,'Applies Searing Power when Activated.  Lasts for 12.0 seconds.',100,0,0),
(42038,10048598,'Increases Max Health of caster by 8.0%',100,1,1),
(42039,10048598,'Increases Max Power of caster by 8.0%',100,1,2),
(42040,10048598,'Increases Crit Bonus of caster by 20.0%',100,1,3),
(42041,10048598,'Increases Potency of caster by 20.0%',100,1,4),
(42042,10048598,'Must not be engaged in pvp combat',100,1,5),
(42043,10048598,'Cannot be modified except by direct means',100,1,6),
(42044,100571,'Inflicts 139 - 230 melee damage on target',100,1,0),
(42045,100571,'You must be sneaking to use this ability.',100,1,1),
(42046,10100571,'Inflicts 149 - 246 melee damage on target',100,1,0),
(42047,10100571,'You must be sneaking to use this ability.',100,1,1),
(42048,103450,'Blurs vision of target encounter',100,1,0),
(42049,103450,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(42050,103450,'Stuns target',100,2,2),
(42051,103450,'Throws target back',100,2,3),
(42052,103450,'Blurs vision of target',100,2,4),
(42053,103450,'Does not affect Epic targets',100,2,5),
(42054,103450,'Interrupts target encounter',100,1,6),
(42055,10103450,'Interrupts target encounter',100,1,0),
(42056,10103450,'Blurs vision of target encounter',100,1,1),
(42057,10103450,'9% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(42058,10103450,'Stuns target',100,2,3),
(42059,10103450,'Throws target back',100,2,4),
(42060,10103450,'Blurs vision of target',100,2,5),
(42061,10103450,'Does not affect Epic targets',100,2,6),
(42062,24555,'Adds Mistmoore: Tome of Secrets to your Dungeon Maker toolbox',100,0,0),
(42063,10024555,'Adds Mistmoore: Tome of Secrets to your Dungeon Maker toolbox',100,0,0),
(42064,24757,'Adds Wolf (Berserker) to your Dungeon Maker toolbox',100,0,0),
(42065,10024757,'Adds Wolf (Berserker) to your Dungeon Maker toolbox',100,0,0),
(42066,191575,'When Equipped:',100,0,0),
(42067,191575,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(42068,191575,'Heals caster for 56',100,2,2),
(42069,191575,'Cannot be modified except by direct means',100,2,3),
(42070,10191575,'When Equipped:',100,0,0),
(42071,10191575,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(42072,10191575,'Heals caster for 36',100,2,2),
(42073,10191575,'Cannot be modified except by direct means',100,2,3),
(42074,24234,'Adds Crushbone: War Hammer to your Dungeon Maker toolbox',100,0,0),
(42075,10024234,'Adds Crushbone: War Hammer to your Dungeon Maker toolbox',100,0,0),
(42076,122327,'Applies Partners in Crime: Increases potency of the partner by 7.5%.',100,1,0),
(42077,122327,'If five combat arts are used within five seconds.',100,2,1),
(42078,122327,'Both Accomplice and Partners in Crime can be active at once.',100,1,2),
(42079,122327,'Applies Accomplice: Increases potency of the partner by 5%.',100,1,3),
(42080,122327,'If three combat arts are used within five seconds.',100,2,4),
(42081,122327,'If not brigand',100,1,5),
(42082,122327,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(42083,10122327,'Applies Partners in Crime: Increases potency of the partner by 7.5%.',100,1,0),
(42084,10122327,'If five combat arts are used within five seconds.',100,2,1),
(42085,10122327,'Both Accomplice and Partners in Crime can be active at once.',100,1,2),
(42086,10122327,'Applies Accomplice: Increases potency of the partner by 5%.',100,1,3),
(42087,10122327,'If three combat arts are used within five seconds.',100,2,4),
(42088,10122327,'If not brigand',100,1,5),
(42089,10122327,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(42090,101427,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(42091,101427,'Increases Mitigation of group members (AE) vs noxious damage by 160',100,1,1),
(42092,10101427,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(42093,10101427,'Increases Mitigation of group members (AE) vs noxious damage by 160',100,1,1),
(42094,109878,'Increases Defense of group members (AE) by 24.4',100,1,0),
(42095,10109878,'Increases Defense of group members (AE) by 24.4',100,1,0),
(42096,82128,'When Equipped:',100,0,0),
(42097,82128,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42098,82128,'Inflicts 272 - 505 magic damage on target',100,2,2),
(42099,82128,'Cannot be modified except by direct means',100,2,3),
(42100,10082128,'When Equipped:',100,0,0),
(42101,10082128,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42102,10082128,'Inflicts 272 - 505 magic damage on target',100,2,2),
(42103,10082128,'Cannot be modified except by direct means',100,2,3),
(42104,45316,'Applies Catch Bixie when Activated.',100,0,0),
(42105,45316,'Catch a bixie and tie a string around it!',100,1,1),
(42106,10045316,'Applies Catch Bixie when Activated.',100,0,0),
(42107,10045316,'Catch a bixie and tie a string around it!',100,1,1),
(42108,116749,'Increases Max Health of target by 173.0',100,1,0),
(42109,116749,'Increases Max Power of target by 202.5',100,1,1),
(42110,10116749,'Increases Max Health of target by 173.0',100,1,0),
(42111,10116749,'Increases Max Power of target by 202.5',100,1,1),
(42112,110502,'Summons a pet gorg',100,1,0),
(42113,10110502,'Summons a pet gorg',100,1,0),
(42114,104723,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(42115,104723,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,1),
(42116,104723,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(42117,104723,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,3),
(42118,10104723,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(42119,10104723,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,1),
(42120,10104723,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(42121,10104723,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,3),
(42122,103909,'Increases power of group members (AE) by 49 instantly and every 6 seconds',100,1,0),
(42123,103909,'Decreases INT of target by 152.5',100,1,1),
(42124,10103909,'Increases power of group members (AE) by 49 instantly and every 6 seconds',100,1,0),
(42125,10103909,'Decreases INT of target by 152.5',100,1,1),
(42126,120396,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(42127,120396,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(42128,120396,'Inflicts 691 - 1152 heat damage on target',100,2,2),
(42129,120396,'Decreases Defense of caster by 14.7',100,1,3),
(42130,120396,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.1',100,1,4),
(42131,10120396,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(42132,10120396,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(42133,10120396,'Inflicts 545 - 908 heat damage on target',100,2,2),
(42134,10120396,'Decreases Defense of caster by 14.7',100,1,3),
(42135,10120396,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.1',100,1,4),
(42136,46626,'Applies Use Heart when Activated.',100,0,0),
(42137,10046626,'Applies Use Heart when Activated.',100,0,0),
(42138,148884,'When Equipped:',100,0,0),
(42139,148884,'On a damage spell hit this spell has a 8% chance to cast Veiled Subtlety on target of spell.  ',100,1,1),
(42140,148884,'Decreases Threat to target by 703 ',100,2,2),
(42141,148884,'Cannot be modified except by direct means',100,2,3),
(42142,10148884,'When Equipped:',100,0,0),
(42143,10148884,'On a damage spell hit this spell has a 8% chance to cast Veiled Subtlety on target of spell.  ',100,1,1),
(42144,10148884,'Cannot be modified except by direct means',100,2,2),
(42145,75027,'Applies Lightning Shock when Activated.',100,0,0),
(42146,75027,'Inflicts 339 - 565 magic damage on target',100,1,1),
(42147,75027,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42148,10075027,'Applies Lightning Shock when Activated.',100,0,0),
(42149,10075027,'Inflicts 339 - 565 magic damage on target',100,1,1),
(42150,10075027,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42151,47313,'Applies Murky Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(42152,47313,'Increases Max Health of caster by 208.0',100,1,1),
(42153,47313,'Only affects targets level 50 and above',100,1,2),
(42154,10047313,'Applies Murky Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(42155,10047313,'Increases Max Health of caster by 208.0',100,1,1),
(42156,10047313,'Only affects targets level 50 and above',100,1,2),
(42157,107251,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(42158,107251,'Summons a limited pet to aid the caster',100,2,1),
(42159,107251,'If profession other than Illusionist',100,1,2),
(42160,107251,'Must be engaged in combat',100,1,3),
(42161,10107251,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(42162,10107251,'Summons a limited pet to aid the caster',100,2,1),
(42163,10107251,'If profession other than Illusionist',100,1,2),
(42164,10107251,'Must be engaged in combat',100,1,3),
(42165,153830,'When Equipped:',100,0,0),
(42166,153830,'When damaged this spell has a 10% chance to cast Champion''s Impedence VII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(42167,153830,'Increases caster''s chance to block by 15.0%',100,2,2),
(42168,153830,'Must not be engaged in pvp combat',100,2,3),
(42169,153830,'Cannot be modified except by direct means',100,2,4),
(42170,153830,'On a block this spell has a 10% chance to cast Champion''s Impedence VII on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(42171,153830,'Increases caster''s chance to block by 15.0%',100,2,6),
(42172,153830,'Must not be engaged in pvp combat',100,2,7),
(42173,153830,'Cannot be modified except by direct means',100,2,8),
(42174,153830,'Must not be engaged in pvp combat',100,1,9),
(42175,10153830,'When Equipped:',100,0,0),
(42176,10153830,'When damaged this spell has a 10% chance to cast Champion''s Impedence VII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(42177,10153830,'Increases caster''s chance to block by 15.0%',100,2,2),
(42178,10153830,'Must not be engaged in pvp combat',100,2,3),
(42179,10153830,'Cannot be modified except by direct means',100,2,4),
(42180,10153830,'On a block this spell has a 10% chance to cast Champion''s Impedence VII on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(42181,10153830,'Increases caster''s chance to block by 15.0%',100,2,6),
(42182,10153830,'Must not be engaged in pvp combat',100,2,7),
(42183,10153830,'Cannot be modified except by direct means',100,2,8),
(42184,10153830,'Must not be engaged in pvp combat',100,1,9),
(42185,49060,'Applies Visage of Splendor when Activated.',100,0,0),
(42186,49060,'Places a splendid halo around the caster''s head.',100,1,1),
(42187,10049060,'Applies Visage of Splendor when Activated.',100,0,0),
(42188,10049060,'Places a splendid halo around the caster''s head.',100,1,1),
(42189,46351,'Applies Seed Geyser when Activated.',100,0,0),
(42190,46351,'This effect cannot be cast during combat',100,1,1),
(42191,10046351,'Applies Seed Geyser when Activated.',100,0,0),
(42192,10046351,'This effect cannot be cast during combat',100,1,1),
(42193,101625,'Applies Forceful Headache on termination.',100,1,0),
(42194,101625,'Inflicts 694 - 1157 mental damage on target',100,2,1),
(42195,101625,'If over 50% power',100,3,2),
(42196,101625,'Inflicts 833 - 1018 mental damage on target',100,1,3),
(42197,101625,'Inflicts 238 - 291 mental damage on target every 6 seconds',100,1,4),
(42198,101625,'Decreases Mitigation of target vs arcane damage by 420',100,1,5),
(42199,10101625,'Applies Forceful Headache on termination.',100,1,0),
(42200,10101625,'Inflicts 568 - 913 mental damage on target',100,2,1),
(42201,10101625,'If over 50% power',100,3,2),
(42202,10101625,'Inflicts 582 - 624 mental damage on target',100,1,3),
(42203,10101625,'Inflicts 188 - 229 mental damage on target every 6 seconds',100,1,4),
(42204,10101625,'Decreases Mitigation of target vs arcane damage by 420',100,1,5),
(42205,116076,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(42206,116076,'Heals target for 173 - 212',100,2,1),
(42207,116076,'Grants a total of 5 triggers of the spell.',100,2,2),
(42208,10116076,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(42209,10116076,'Heals target for 92 - 113',100,2,1),
(42210,10116076,'Grants a total of 5 triggers of the spell.',100,2,2),
(42211,113830,'Inflicts 1578 - 2630 disease damage on target',100,1,0),
(42212,10113830,'Inflicts 1224 - 1777 disease damage on target',100,1,0),
(42213,106071,'Increases AGI of caster by 151.8',100,1,0),
(42214,106071,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(42215,106071,'Inflicts 1181 - 1969 disease damage on target',100,2,2),
(42216,106071,'Adds 25.0% to base avoidance.',100,1,3),
(42217,106071,'Increases Mitigation of caster vs physical damage by 773',100,1,4),
(42218,106071,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,5),
(42219,10106071,'Increases AGI of caster by 151.8',100,1,0),
(42220,10106071,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(42221,10106071,'Inflicts 931 - 1552 disease damage on target',100,2,2),
(42222,10106071,'Adds 25.0% to base avoidance.',100,1,3),
(42223,10106071,'Increases Mitigation of caster vs physical damage by 773',100,1,4),
(42224,10106071,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,5),
(42225,121871,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(42226,121871,'Inflicts 1048 - 1281 mental damage on target',100,2,1),
(42227,121871,'Decreases Threat to target by 1,228 - 1,500 ',100,2,2),
(42228,121871,'If profession other than Fighter',100,3,3),
(42229,10121871,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(42230,10121871,'Inflicts 826 - 1010 mental damage on target',100,2,1),
(42231,124081,'Increases STR and INT of group members (AE) by 14.6',100,1,0),
(42232,10124081,'Increases STR and INT of group members (AE) by 14.6',100,1,0),
(42233,105933,'Inflicts 941 - 1346 disease damage on targets in area',100,1,0),
(42234,105933,'Inflicts 395 - 483 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(42235,10105933,'Inflicts 626 - 952 disease damage on targets in area',100,1,0),
(42236,10105933,'Inflicts 293 - 358 disease damage on targets in Area of Effect every 6 seconds',100,1,1),
(42237,111142,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(42238,111142,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 407',100,1,1),
(42239,111142,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,2),
(42240,10111142,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(42241,10111142,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 407',100,1,1),
(42242,10111142,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,2),
(42243,45415,'Applies Brokenskull Disguise when Activated.',100,0,0),
(42244,45415,'Sets the faction for Clan Brokenskull to 10,000',100,1,1),
(42245,45415,'Shapechanges caster',100,1,2),
(42246,45415,'Dispelled when target drops below 1% health',100,1,3),
(42247,45415,'You already look like a Brokenskull pirate!',100,1,4),
(42248,10045415,'Applies Brokenskull Disguise when Activated.',100,0,0),
(42249,10045415,'Sets the faction for Clan Brokenskull to 10,000',100,1,1),
(42250,10045415,'Shapechanges caster',100,1,2),
(42251,10045415,'Dispelled when target drops below 1% health',100,1,3),
(42252,10045415,'You already look like a Brokenskull pirate!',100,1,4),
(42253,47222,'Applies Elixir of the Stoutheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(42254,47222,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(42255,47222,'Inflicts 8 magic damage on target',100,2,2),
(42256,47222,'Cannot be modified except by direct means',100,2,3),
(42257,10047222,'Applies Elixir of the Stoutheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(42258,10047222,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(42259,10047222,'Inflicts 8 magic damage on target',100,2,2),
(42260,10047222,'Cannot be modified except by direct means',100,2,3),
(42261,27449,'When Equipped:',100,0,0),
(42262,27449,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(42263,27449,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(42264,10027449,'When Equipped:',100,0,0),
(42265,10027449,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(42266,10027449,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(42267,117588,'Inflicts 3858 - 5752 melee damage on target',100,1,0),
(42268,117588,'Decreases Parry of target by 59.9',100,1,1),
(42269,117588,'Must be in front of or flanking',100,1,2),
(42270,10117588,'Inflicts 2661 - 4153 melee damage on target',100,1,0),
(42271,10117588,'Decreases Parry of target by 59.9',100,1,1),
(42272,10117588,'Must be in front of or flanking',100,1,2),
(42273,74635,'When Equipped:',100,0,0),
(42274,74635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42275,74635,'Inflicts 72 - 108 magic damage on target',100,2,2),
(42276,74635,'Cannot be modified except by direct means',100,2,3),
(42277,10074635,'When Equipped:',100,0,0),
(42278,10074635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42279,10074635,'Inflicts 72 - 108 magic damage on target',100,2,2),
(42280,10074635,'Cannot be modified except by direct means',100,2,3),
(42281,100330,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(42282,100330,'Drains power instantly and every 3 seconds.',100,2,1),
(42283,100330,'Cannot be modified except by direct means',100,2,2),
(42284,100330,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(42285,100330,'Adrenaline can only be used while berserk!',100,1,4),
(42286,10100330,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(42287,10100330,'Drains power instantly and every 3 seconds.',100,2,1),
(42288,10100330,'Cannot be modified except by direct means',100,2,2),
(42289,10100330,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(42290,10100330,'Adrenaline can only be used while berserk!',100,1,4),
(42291,120642,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 2.2',100,1,0),
(42292,120642,'Increases Focus of group members (AE) by 4.5',100,1,1),
(42293,10120642,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 2.2',100,1,0),
(42294,10120642,'Increases Focus of group members (AE) by 4.5',100,1,1),
(42295,121909,'Inflicts 477 - 795 mental damage on target encounter',100,1,0),
(42296,121909,'Increases power of group members (AE) by 61 - 101',100,1,1),
(42297,10121909,'Inflicts 390 - 651 mental damage on target encounter',100,1,0),
(42298,10121909,'Increases power of group members (AE) by 61 - 101',100,1,1),
(42299,106536,'Inflicts 1121 - 1368 melee damage on target',100,1,0),
(42300,106536,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(42301,106536,'Increases Hate Gain of target by 30.0%',100,2,2),
(42302,106536,'Grants a total of 1 trigger of the spell.',100,2,3),
(42303,10106536,'Inflicts 883 - 1078 melee damage on target',100,1,0),
(42304,10106536,'25% chance to apply Distract on termination.',100,1,1),
(42305,10106536,'Forces target to clear their selected target.',100,2,2),
(42306,103695,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(42307,103695,'Inflicts 27 - 33 heat damage on target instantly and every second',100,2,1),
(42308,10103695,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(42309,10103695,'Inflicts 22 - 26 heat damage on target instantly and every second',100,2,1),
(42310,100188,'Inflicts 7919 - 14425 disease damage on target encounter',100,1,0),
(42311,10100188,'Inflicts 6115 - 11243 disease damage on target encounter',100,1,0),
(42312,55025,'When Equipped:',100,0,0),
(42313,55025,'On a hostile spell cast this spell may cast Praetor''s Strike on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(42314,55025,'Inflicts 833 mental damage on target',100,2,2),
(42315,55025,'Cannot be modified except by direct means',100,2,3),
(42316,10055025,'When Equipped:',100,0,0),
(42317,10055025,'On a hostile spell cast this spell may cast Praetor''s Strike on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(42318,10055025,'Inflicts 833 mental damage on target',100,2,2),
(42319,10055025,'Cannot be modified except by direct means',100,2,3),
(42320,101540,'Inflicts 366 - 607 melee damage on target',100,1,0),
(42321,101540,'You must be sneaking to use this ability.',100,1,1),
(42322,10101540,'Inflicts 288 - 478 melee damage on target',100,1,0),
(42323,10101540,'You must be sneaking to use this ability.',100,1,1),
(42324,49089,'Applies Flaming Vial when Activated.',100,0,0),
(42325,49089,'Inflicts 5391 heat damage on target',100,1,1),
(42326,10049089,'Applies Flaming Vial when Activated.',100,0,0),
(42327,10049089,'Inflicts 5391 heat damage on target',100,1,1),
(42328,100226,'Increases Threat to target encounter by 5,039 - 5,799 ',100,1,0),
(42329,100226,'Interrupts target encounter',100,1,1),
(42330,10100226,'Interrupts target encounter',100,1,0),
(42331,10100226,'Forces target encounter to change their selected target to caster.',100,1,1),
(42332,10100226,'Prevents target encounter from changing targets',100,1,2),
(42333,109942,'Stuns target',100,1,0),
(42334,109942,'Does not affect Epic targets',100,1,1),
(42335,109942,'Resistibility increases against targets higher than level 87.',100,1,2),
(42336,10109942,'Stuns target',100,1,0),
(42337,10109942,'Does not affect Epic targets',100,1,1),
(42338,10109942,'Resistibility increases against targets higher than level 87.',100,1,2),
(42339,114109,'Inflicts 4835 - 7802 melee damage on targets in area',100,1,0),
(42340,114109,'You must be in stealth to use this!',100,1,1),
(42341,10114109,'Inflicts 3684 - 6023 melee damage on targets in area',100,1,0),
(42342,10114109,'You must be in stealth to use this!',100,1,1),
(42343,107030,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(42344,107030,'Inflicts 63 - 104 divine damage on target',100,2,1),
(42345,107030,'Inflicts 63 - 104 divine damage on target',100,2,2),
(42346,107030,'If target is undead',100,3,3),
(42347,10107030,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(42348,10107030,'Inflicts 82 - 137 divine damage on target',100,2,1),
(42349,112220,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(42350,112220,'Increases Threat to target by 227 ',100,2,1),
(42351,112220,'Inflicts 112 disease damage on target',100,2,2),
(42352,112220,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 970',100,1,3),
(42353,10112220,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(42354,10112220,'Inflicts 89 disease damage on target',100,2,1),
(42355,10112220,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 970',100,1,2),
(42356,36991,'Increases Max Power of target by 90.7',100,0,0),
(42357,36991,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(42358,75452,'When Equipped:',100,0,0),
(42359,75452,'On a critical spell hit this spell may cast Endless Wounds IX on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(42360,75452,'Inflicts 506 - 559 cold damage on target',100,2,2),
(42361,75452,'Inflicts 633 - 699 cold damage on target every 2 seconds',100,2,3),
(42362,75452,'Inflicts an additional 126 - 139 cold damage on target every tick',100,2,4),
(42363,75452,'Must not be engaged in pvp combat',100,2,5),
(42364,75452,'Cannot be modified except by direct means',100,2,6),
(42365,75452,'On a critical combat hit this spell may cast Endless Wounds IX on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(42366,75452,'Inflicts 506 - 559 cold damage on target',100,2,8),
(42367,75452,'Inflicts 633 - 699 cold damage on target every 2 seconds',100,2,9),
(42368,75452,'Inflicts an additional 126 - 139 cold damage on target every tick',100,2,10),
(42369,75452,'Must not be engaged in pvp combat',100,2,11),
(42370,75452,'Cannot be modified except by direct means',100,2,12),
(42371,75452,'Must not be engaged in pvp combat',100,1,13),
(42372,10075452,'When Equipped:',100,0,0),
(42373,10075452,'On a critical spell hit this spell may cast Endless Wounds IX on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(42374,10075452,'Inflicts 506 - 559 cold damage on target',100,2,2),
(42375,10075452,'Inflicts 633 - 699 cold damage on target every 2 seconds',100,2,3),
(42376,10075452,'Inflicts an additional 126 - 139 cold damage on target every tick',100,2,4),
(42377,10075452,'Must not be engaged in pvp combat',100,2,5),
(42378,10075452,'Cannot be modified except by direct means',100,2,6),
(42379,10075452,'On a critical combat hit this spell may cast Endless Wounds IX on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(42380,10075452,'Inflicts 506 - 559 cold damage on target',100,2,8),
(42381,10075452,'Inflicts 633 - 699 cold damage on target every 2 seconds',100,2,9),
(42382,10075452,'Inflicts an additional 126 - 139 cold damage on target every tick',100,2,10),
(42383,10075452,'Must not be engaged in pvp combat',100,2,11),
(42384,10075452,'Cannot be modified except by direct means',100,2,12),
(42385,10075452,'Must not be engaged in pvp combat',100,1,13),
(42386,105279,'Increases AGI of caster by 26.4',100,1,0),
(42387,105279,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(42388,105279,'Inflicts 104 - 174 mental damage on target',100,2,2),
(42389,105279,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(42390,105279,'Inflicts 104 - 174 mental damage on target',100,2,4),
(42391,105279,'Adds 14.8% to base avoidance.',100,1,5),
(42392,105279,'Increases Mitigation of caster vs physical damage by 86',100,1,6),
(42393,105279,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,7),
(42394,10105279,'Increases AGI of caster by 26.4',100,1,0),
(42395,10105279,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(42396,10105279,'Inflicts 82 - 137 mental damage on target',100,2,2),
(42397,10105279,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(42398,10105279,'Inflicts 82 - 137 mental damage on target',100,2,4),
(42399,10105279,'Adds 14.8% to base avoidance.',100,1,5),
(42400,10105279,'Increases Mitigation of caster vs physical damage by 86',100,1,6),
(42401,10105279,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,7),
(42402,118717,'Inflicts 607 - 948 slashing damage on target',100,1,0),
(42403,118717,'Decreases Slashing, Crushing and Piercing of target by 5.8',100,1,1),
(42404,118717,'Inflicts 130 - 159 slashing damage on target every 5 seconds',100,1,2),
(42405,10118717,'Inflicts 539 - 809 slashing damage on target',100,1,0),
(42406,10118717,'Decreases Slashing, Crushing and Piercing of target by 5.8',100,1,1),
(42407,10118717,'Inflicts 102 - 125 slashing damage on target every 5 seconds',100,1,2),
(42408,101888,'Heals target for 5007 - 5902',100,1,0),
(42409,101888,'If over 50% Health',100,2,1),
(42410,101888,'Heals target for 9032 - 10821',100,1,2),
(42411,101888,'If at 50% Health or less',100,2,3),
(42412,10101888,'Heals target for 2318 - 2777',100,1,0),
(42413,10101888,'If over 50% Health',100,2,1),
(42414,10101888,'Heals target for 7473 - 9077',100,1,2),
(42415,10101888,'If at 50% Health or less',100,2,3),
(42416,114701,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(42417,114701,'Decreases Hate Gain of target by 17.2%',100,1,1),
(42418,10114701,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(42419,45450,'Applies Illusion: Charred Bone when Activated.',100,0,0),
(42420,45450,'Shapechanges the user into a skeleton, and provides a shield which damages any melee attacker.',100,1,1),
(42421,10045450,'Applies Illusion: Charred Bone when Activated.',100,0,0),
(42422,10045450,'Shapechanges the user into a skeleton, and provides a shield which damages any melee attacker.',100,1,1),
(42423,117602,'Inflicts 221 - 367 ranged damage on target',100,1,0),
(42424,117602,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(42425,117602,'Slows target by 42.6%',100,2,2),
(42426,117602,'5% chance to dispel when target receives hostile action',100,2,3),
(42427,117602,'5% chance to dispel when target takes damage',100,2,4),
(42428,117602,'Must be flanking or behind',100,1,5),
(42429,117602,'Requires bow',100,1,6),
(42430,10117602,'Inflicts 98 - 162 ranged damage on target',100,1,0),
(42431,10117602,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(42432,10117602,'Slows target by 42.6%',100,2,2),
(42433,10117602,'5% chance to dispel when target receives hostile action',100,2,3),
(42434,10117602,'5% chance to dispel when target takes damage',100,2,4),
(42435,10117602,'Must be flanking or behind',100,1,5),
(42436,10117602,'Requires bow',100,1,6),
(42437,121919,'Inflicts 957 - 1595 mental damage on target encounter',100,1,0),
(42438,121919,'Increases power of group members (AE) by 135 - 225',100,1,1),
(42439,10121919,'Inflicts 778 - 1209 mental damage on target encounter',100,1,0),
(42440,10121919,'Increases power of group members (AE) by 135 - 225',100,1,1),
(42441,110867,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(42442,110867,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,1),
(42443,110867,'Stuns target',100,3,2),
(42444,110867,'Throws target back',100,3,3),
(42445,110867,'Blurs vision of target',100,3,4),
(42446,110867,'Does not affect Epic targets',100,3,5),
(42447,110867,'Inflicts 4121 - 6650 divine damage on target',100,2,6),
(42448,110867,'Grants a total of 3 triggers of the spell.',100,2,7),
(42449,10110867,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(42450,10110867,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,1),
(42451,10110867,'Stuns target',100,3,2),
(42452,10110867,'Throws target back',100,3,3),
(42453,10110867,'Blurs vision of target',100,3,4),
(42454,10110867,'Does not affect Epic targets',100,3,5),
(42455,10110867,'Inflicts 3122 - 5115 divine damage on target',100,2,6),
(42456,10110867,'Grants a total of 3 triggers of the spell.',100,2,7),
(42457,90255,'When Equipped:',100,0,0),
(42458,90255,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(42459,90255,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(42460,90255,'Heals target for 5664 - 6260',100,2,3),
(42461,90255,'Dispels 221 levels of any hostile effects on target',100,2,4),
(42462,90255,'Must not be engaged in pvp combat',100,2,5),
(42463,90255,'Cannot be modified except by direct means',100,2,6),
(42464,90255,'Cannot be modified except by direct means',100,1,7),
(42465,90255,'When Equipped:',100,0,8),
(42466,90255,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(42467,90255,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(42468,90255,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,11),
(42469,90255,'Heals target for 1840',100,3,12),
(42470,90255,'Must not be engaged in pvp combat',100,3,13),
(42471,90255,'Cannot be modified except by direct means',100,3,14),
(42472,90255,'Grants a total of 5 triggers of the spell.',100,3,15),
(42473,90255,'Must not be engaged in pvp combat',100,2,16),
(42474,90255,'Cannot be modified except by direct means',100,2,17),
(42475,90255,'Cannot be modified except by direct means',100,1,18),
(42476,10090255,'When Equipped:',100,0,0),
(42477,10090255,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(42478,10090255,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(42479,10090255,'Heals target for 6626 - 7324',100,2,3),
(42480,10090255,'Dispels 221 levels of any hostile effects on target',100,2,4),
(42481,10090255,'Must not be engaged in pvp combat',100,2,5),
(42482,10090255,'Cannot be modified except by direct means',100,2,6),
(42483,10090255,'Cannot be modified except by direct means',100,1,7),
(42484,10090255,'When Equipped:',100,0,8),
(42485,10090255,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(42486,10090255,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(42487,10090255,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,11),
(42488,10090255,'Heals target for 2153',100,3,12),
(42489,10090255,'Must not be engaged in pvp combat',100,3,13),
(42490,10090255,'Cannot be modified except by direct means',100,3,14),
(42491,10090255,'Grants a total of 5 triggers of the spell.',100,3,15),
(42492,10090255,'Must not be engaged in pvp combat',100,2,16),
(42493,10090255,'Cannot be modified except by direct means',100,2,17),
(42494,10090255,'Cannot be modified except by direct means',100,1,18),
(42495,114167,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(42496,114167,'Heals target for 2702',100,2,1),
(42497,114167,'Grants a total of 1 trigger of the spell.',100,2,2),
(42498,10114167,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(42499,10114167,'Heals target for 1302',100,2,1),
(42500,10114167,'Grants a total of 1 trigger of the spell.',100,2,2),
(42501,142983,'When Equipped:',100,0,0),
(42502,142983,'Increases Ability Modifier of caster by 20.0',100,1,1),
(42503,142983,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 15.0 seconds.  ',100,1,2),
(42504,142983,'Increases Damage Per Second of caster by 10.0',100,2,3),
(42505,142983,'Cannot be modified except by direct means',100,2,4),
(42506,10142983,'When Equipped:',100,0,0),
(42507,10142983,'Increases Ability Modifier of caster by 20.0',100,1,1),
(42508,10142983,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 15.0 seconds.  ',100,1,2),
(42509,10142983,'Increases Damage Per Second of caster by 10.0',100,2,3),
(42510,10142983,'Cannot be modified except by direct means',100,2,4),
(42511,122627,'Makes target afraid',100,1,0),
(42512,122627,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(42513,122627,'Mesmerizes target',100,2,2),
(42514,122627,'Decreases Threat to target by 3,408  instantly and Decreases Threat by 3,408  every 2.2 seconds thereafter',100,2,3),
(42515,122627,'Dispelled when target takes damage',100,2,4),
(42516,122627,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(42517,122627,'Resistibility increases against targets higher than level 104.',100,2,6),
(42518,122627,'30% chance to dispel when target takes damage',100,1,7),
(42519,122627,'Does not affect Epic targets',100,1,8),
(42520,122627,'Resistibility increases against targets higher than level 104.',100,1,9),
(42521,10122627,'Makes target afraid',100,1,0),
(42522,10122627,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(42523,10122627,'Mesmerizes target',100,2,2),
(42524,10122627,'Applies Distract.',100,2,3),
(42525,10122627,'Forces target to clear their selected target.',100,3,4),
(42526,10122627,'Dispelled when target takes damage',100,2,5),
(42527,10122627,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(42528,10122627,'Resistibility increases against targets higher than level 104.',100,2,7),
(42529,10122627,'30% chance to dispel when target takes damage',100,1,8),
(42530,10122627,'Does not affect Epic targets',100,1,9),
(42531,10122627,'Resistibility increases against targets higher than level 104.',100,1,10),
(42532,123793,'Inflicts 48 - 80 magic damage on target',100,1,0),
(42533,123793,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(42534,123793,'Target will lose 12% more power when power is consumed',100,1,2),
(42535,123793,'12% of target''s power consumed will also be drained from target''s health',100,1,3),
(42536,123793,'Decreases Defense of target by 3.1',100,1,4),
(42537,10123793,'Inflicts 41 - 68 magic damage on target',100,1,0),
(42538,10123793,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(42539,10123793,'Target will lose 12% more power when power is consumed',100,1,2),
(42540,10123793,'12% of target''s power consumed will also be drained from target''s health',100,1,3),
(42541,10123793,'Decreases Defense of target by 3.1',100,1,4),
(42542,116388,'Heals target for 1449 - 1552',100,1,0),
(42543,116388,'Heals target for 466 - 570 every 2 seconds',100,1,1),
(42544,10116388,'Heals target for 495 - 549',100,1,0),
(42545,10116388,'Heals target for 239 - 292 every 2 seconds',100,1,1),
(42546,154207,'When Equipped:',100,0,0),
(42547,154207,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(42548,154207,'Inflicts 1986 disease damage on target encounter',100,2,2),
(42549,154207,'Must not be engaged in pvp combat',100,2,3),
(42550,154207,'Cannot be modified except by direct means',100,2,4),
(42551,10154207,'When Equipped:',100,0,0),
(42552,10154207,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(42553,10154207,'Inflicts 993 disease damage on target encounter',100,2,2),
(42554,10154207,'Must not be engaged in pvp combat',100,2,3),
(42555,10154207,'Cannot be modified except by direct means',100,2,4),
(42556,106904,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 4381',100,1,0),
(42557,106904,'Inflicts 4423 - 6688 melee damage on target',100,1,1),
(42558,106904,'Decreases Mitigation of target vs physical damage by 4381',100,1,2),
(42559,106904,'Must be behind',100,1,3),
(42560,10106904,'Inflicts 3106 - 4891 melee damage on target',100,1,0),
(42561,10106904,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1369',100,1,1),
(42562,10106904,'Decreases Mitigation of target vs physical damage by 1205',100,1,2),
(42563,10106904,'Must be behind',100,1,3),
(42564,104821,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(42565,104821,'If Fighter',100,2,1),
(42566,104821,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(42567,104821,'Increases power of target by 16',100,2,3),
(42568,104821,'Increases power of caster by 16',100,2,4),
(42569,10104821,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(42570,10104821,'Increases power of target by 16',100,2,1),
(42571,10104821,'Increases power of caster by 16',100,2,2),
(42572,49157,'Applies essence of power when Activated.',100,0,0),
(42573,49157,'Increases power of caster by 100',100,1,1),
(42574,10049157,'Applies essence of power when Activated.',100,0,0),
(42575,10049157,'Increases power of caster by 79',100,1,1),
(42576,75043,'Applies Poison Bolt when Activated.',100,0,0),
(42577,75043,'Inflicts 250 - 417 poison damage on target',100,1,1),
(42578,75043,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42579,10075043,'Applies Poison Bolt when Activated.',100,0,0),
(42580,10075043,'Inflicts 250 - 417 poison damage on target',100,1,1),
(42581,10075043,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42582,46940,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(42583,46940,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(42584,46940,'Inflicts 61 poison damage on target instantly and every 6 seconds',100,2,2),
(42585,46940,'Inflicts 70 poison damage on target',100,2,3),
(42586,46940,'Cannot be modified except by direct means',100,2,4),
(42587,46940,'Grants a total of 200 triggers of the spell.',100,2,5),
(42588,10046940,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(42589,10046940,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(42590,10046940,'Inflicts 46 poison damage on target instantly and every 6 seconds',100,2,2),
(42591,10046940,'Inflicts 53 poison damage on target',100,2,3),
(42592,10046940,'Cannot be modified except by direct means',100,2,4),
(42593,10046940,'Grants a total of 200 triggers of the spell.',100,2,5),
(42594,115409,'Inflicts 2543 - 3797 melee damage on target',100,1,0),
(42595,115409,'Decreases INT of target by 54.4',100,1,1),
(42596,115409,'You must be sneaking to use this ability.',100,1,2),
(42597,10115409,'Inflicts 1732 - 2613 melee damage on target',100,1,0),
(42598,10115409,'Decreases INT of target by 54.4',100,1,1),
(42599,10115409,'You must be sneaking to use this ability.',100,1,2),
(42600,158295,'When Equipped:',100,0,0),
(42601,158295,'Increases Attack Speed of caster by 35.0',100,1,1),
(42602,10158295,'When Equipped:',100,0,0),
(42603,10158295,'Increases Attack Speed of caster by 35.0',100,1,1),
(42604,25004,'When Equipped:',100,0,0),
(42605,25004,'On a critical combat hit this spell may cast Benefaction on caster.  Lasts for 6.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(42606,25004,'Prevents AOE (except when direct) ',100,2,2),
(42607,25004,'Decreases Hate Gain of caster by 25.0%',100,2,3),
(42608,25004,'Must not be engaged in pvp combat',100,2,4),
(42609,25004,'Cannot be modified except by direct means',100,2,5),
(42610,25004,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(42611,25004,'On a critical spell hit this spell may cast Benefaction on caster.  Lasts for 6.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(42612,25004,'Prevents AOE (except when direct) ',100,2,8),
(42613,25004,'Decreases Hate Gain of caster by 25.0%',100,2,9),
(42614,25004,'Must not be engaged in pvp combat',100,2,10),
(42615,25004,'Cannot be modified except by direct means',100,2,11),
(42616,25004,'Must not be engaged in pvp combat',100,1,12),
(42617,10025004,'When Equipped:',100,0,0),
(42618,10025004,'On a critical combat hit this spell may cast Benefaction on caster.  Lasts for 6.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(42619,10025004,'Prevents AOE (except when direct) ',100,2,2),
(42620,10025004,'Must not be engaged in pvp combat',100,2,3),
(42621,10025004,'Cannot be modified except by direct means',100,2,4),
(42622,10025004,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(42623,10025004,'On a critical spell hit this spell may cast Benefaction on caster.  Lasts for 6.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(42624,10025004,'Prevents AOE (except when direct) ',100,2,7),
(42625,10025004,'Must not be engaged in pvp combat',100,2,8),
(42626,10025004,'Cannot be modified except by direct means',100,2,9),
(42627,10025004,'Must not be engaged in pvp combat',100,1,10),
(42628,110820,'Interrupts target',100,1,0),
(42629,110820,'Inflicts 459 - 621 mental damage on target',100,1,1),
(42630,10110820,'Interrupts target',100,1,0),
(42631,10110820,'Inflicts 394 - 533 mental damage on target',100,1,1),
(42632,112558,'Interrupts target',50,1,0),
(42633,112558,'Inflicts 2120 - 2591 divine damage on target',100,1,1),
(42634,10112558,'Interrupts target',50,1,0),
(42635,10112558,'Inflicts 1827 - 2145 divine damage on target',100,1,1),
(42636,26225,'When Equipped:',100,0,0),
(42637,26225,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(42638,26225,'Decreases Threat to target encounter by 897 ',100,2,2),
(42639,26225,'Cannot be modified except by direct means',100,2,3),
(42640,10026225,'When Equipped:',100,0,0),
(42641,10026225,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(42642,10026225,'Cannot be modified except by direct means',100,2,2),
(42643,47309,'Applies Spirit of the Brute  when Activated.  Lasts for 30 minutes.',100,0,0),
(42644,47309,'Increases STA and STR of caster by 6.7',100,1,1),
(42645,10047309,'Applies Spirit of the Brute  when Activated.  Lasts for 30 minutes.',100,0,0),
(42646,10047309,'Increases STA and STR of caster by 6.7',100,1,1),
(42647,24070,'Adds Chardok: Arcane Coal Burner to your Dungeon Maker toolbox',100,0,0),
(42648,10024070,'Adds Chardok: Arcane Coal Burner to your Dungeon Maker toolbox',100,0,0),
(42649,47872,'Applies Rune of Discord when Activated.  Lasts for 1 minute.',100,0,0),
(42650,47872,'Wards caster against 500 points of all damage',100,1,1),
(42651,47872,'If between levels 20 - 29',100,2,2),
(42652,47872,'Wards caster against 1000 points of all damage',100,1,3),
(42653,47872,'If between levels 30 - 49',100,2,4),
(42654,47872,'Wards caster against 3000 points of all damage',100,1,5),
(42655,47872,'If between levels 50 - 69',100,2,6),
(42656,47872,'Wards caster against 5000 points of all damage',100,1,7),
(42657,47872,'If between levels 70 - 90',100,2,8),
(42658,10047872,'Applies Rune of Discord when Activated.  Lasts for 1 minute.',100,0,0),
(42659,10047872,'Wards caster against 500 points of all damage',100,1,1),
(42660,10047872,'If between levels 20 - 29',100,2,2),
(42661,10047872,'Wards caster against 1000 points of all damage',100,1,3),
(42662,10047872,'If between levels 30 - 49',100,2,4),
(42663,10047872,'Wards caster against 3000 points of all damage',100,1,5),
(42664,10047872,'If between levels 50 - 69',100,2,6),
(42665,10047872,'Wards caster against 5000 points of all damage',100,1,7),
(42666,10047872,'If between levels 70 - 90',100,2,8),
(42667,106166,'Wards target against 58 points of all damage',100,1,0),
(42668,106166,'Decreases INT of target by 28.0',100,1,1),
(42669,106166,'Decreases Attack Speed of target by 25.0',100,1,2),
(42670,106166,'Increases Max Health of target by 14.0%',100,1,3),
(42671,106166,'Increases Hate Gain of target by 18.6%',100,1,4),
(42672,106166,'Increases Aggression of target by 2.9',100,1,5),
(42673,106166,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(42674,106166,'Increases Threat to target encounter by 109 - 134 ',100,2,7),
(42675,106166,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,8),
(42676,10106166,'Wards target against 46 points of all damage',100,1,0),
(42677,10106166,'Decreases INT of target by 28.0',100,1,1),
(42678,10106166,'Decreases Attack Speed of target by 25.0',100,1,2),
(42679,10106166,'Increases Max Health of target by 14.0%',100,1,3),
(42680,10106166,'Increases Aggression of target by 2.9',100,1,4),
(42681,10106166,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,5),
(42682,109819,'Inflicts 813 - 1349 melee damage on target',100,1,0),
(42683,109819,'Decreases Parry of target by 14.4',100,1,1),
(42684,109819,'Must be in front of or flanking',100,1,2),
(42685,10109819,'Inflicts 641 - 1063 melee damage on target',100,1,0),
(42686,10109819,'Decreases Parry of target by 14.4',100,1,1),
(42687,10109819,'Must be in front of or flanking',100,1,2),
(42688,85932,'When Equipped:',100,0,0),
(42689,85932,'Increases Attack Speed of caster by 28.0',100,1,1),
(42690,10085932,'When Equipped:',100,0,0),
(42691,10085932,'Increases Attack Speed of caster by 28.0',100,1,1),
(42692,103753,'Inflicts 10120 - 12296 magic damage on targets in Area of Effect',100,1,0),
(42693,10103753,'Inflicts 7850 - 9565 magic damage on targets in Area of Effect',100,1,0),
(42694,87213,'When Equipped:',100,0,0),
(42695,87213,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42696,87213,'Inflicts 97 - 146 magic damage on target',100,2,2),
(42697,87213,'Cannot be modified except by direct means',100,2,3),
(42698,10087213,'When Equipped:',100,0,0),
(42699,10087213,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42700,10087213,'Inflicts 97 - 146 magic damage on target',100,2,2),
(42701,10087213,'Cannot be modified except by direct means',100,2,3),
(42702,45217,'Applies essence of power when Activated.',100,0,0),
(42703,45217,'Increases power of caster by 42',100,1,1),
(42704,10045217,'Applies essence of power when Activated.',100,0,0),
(42705,10045217,'Increases power of caster by 33',100,1,1),
(42706,114259,'Inflicts 5059 - 5965 mental damage on target',100,1,0),
(42707,114259,'Stuns target',100,1,1),
(42708,114259,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(42709,114259,'Resistibility increases against targets higher than level 118.',100,1,3),
(42710,10114259,'Inflicts 3607 - 4321 mental damage on target',100,1,0),
(42711,10114259,'Requires not being affected by Mesmerize effects.',100,2,1),
(42712,10114259,'Stuns target',100,1,2),
(42713,10114259,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(42714,10114259,'Resistibility increases against targets higher than level 118.',100,1,4),
(42715,116622,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(42716,116622,'Increases Mitigation of group members (AE) vs arcane damage by 266',100,1,1),
(42717,10116622,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(42718,10116622,'Increases Mitigation of group members (AE) vs arcane damage by 266',100,1,1),
(42719,116136,'Inflicts 830 - 1377 divine damage on target',100,1,0),
(42720,116136,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(42721,116136,'Stuns target',100,2,2),
(42722,116136,'Throws target back',100,2,3),
(42723,116136,'Blurs vision of target',100,2,4),
(42724,116136,'Does not affect Epic targets',100,2,5),
(42725,10116136,'Inflicts 669 - 1109 divine damage on target',100,1,0),
(42726,10116136,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(42727,10116136,'Stuns target',100,2,2),
(42728,10116136,'Throws target back',100,2,3),
(42729,10116136,'Blurs vision of target',100,2,4),
(42730,10116136,'Does not affect Epic targets',100,2,5),
(42731,105336,'Inflicts 1317 - 2184 melee damage on target',100,1,0),
(42732,105336,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 290',100,1,1),
(42733,105336,'Must be flanking or behind',100,1,2),
(42734,10105336,'Inflicts 1036 - 1542 melee damage on target',100,1,0),
(42735,10105336,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 290',100,1,1),
(42736,10105336,'Must be flanking or behind',100,1,2),
(42737,124381,'Inflicts 3158 - 3641 divine damage on target',100,1,0),
(42738,124381,'Inflicts 906 - 1108 divine damage on target every 4 seconds',100,1,1),
(42739,10124381,'Inflicts 2109 - 2490 divine damage on target',100,1,0),
(42740,10124381,'Inflicts 714 - 873 divine damage on target every 4 seconds',100,1,1),
(42741,101886,'Heals target for 4504 - 5287',100,1,0),
(42742,101886,'If over 50% Health',100,2,1),
(42743,101886,'Heals target for 8026 - 9591',100,1,2),
(42744,101886,'If at 50% Health or less',100,2,3),
(42745,10101886,'Heals target for 2061 - 2462',100,1,0),
(42746,10101886,'If over 50% Health',100,2,1),
(42747,10101886,'Heals target for 6571 - 7974',100,1,2),
(42748,10101886,'If at 50% Health or less',100,2,3),
(42749,52761,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(42750,52761,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(42751,52761,'Inflicts 165 heat damage on target',100,2,2),
(42752,52761,'Cannot be modified except by direct means',100,2,3),
(42753,10052761,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(42754,10052761,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(42755,10052761,'Inflicts 165 heat damage on target',100,2,2),
(42756,10052761,'Cannot be modified except by direct means',100,2,3),
(42757,101622,'Applies Forceful Headache on termination.',100,1,0),
(42758,101622,'Inflicts 699 - 1166 mental damage on target',100,2,1),
(42759,101622,'If over 50% power',100,3,2),
(42760,101622,'Inflicts 839 - 1026 mental damage on target',100,1,3),
(42761,101622,'Inflicts 240 - 293 mental damage on target every 6 seconds',100,1,4),
(42762,101622,'Decreases Mitigation of target vs arcane damage by 448',100,1,5),
(42763,10101622,'Applies Forceful Headache on termination.',100,1,0),
(42764,10101622,'Inflicts 572 - 919 mental damage on target',100,2,1),
(42765,10101622,'If over 50% power',100,3,2),
(42766,10101622,'Inflicts 584 - 626 mental damage on target',100,1,3),
(42767,10101622,'Inflicts 189 - 231 mental damage on target every 6 seconds',100,1,4),
(42768,10101622,'Decreases Mitigation of target vs arcane damage by 448',100,1,5),
(42769,103535,'Increases In-Combat Power Regeneration of group members (AE) by 4.2',100,1,0),
(42770,10103535,'Increases In-Combat Power Regeneration of group members (AE) by 4.2',100,1,0),
(42771,116087,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(42772,116087,'Heals target for 308 - 377',100,2,1),
(42773,116087,'Grants a total of 5 triggers of the spell.',100,2,2),
(42774,10116087,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(42775,10116087,'Heals target for 164 - 200',100,2,1),
(42776,10116087,'Grants a total of 5 triggers of the spell.',100,2,2),
(42777,24746,'Adds Venomous Power (Multiple) to your Dungeon Maker toolbox',100,0,0),
(42778,10024746,'Adds Venomous Power (Multiple) to your Dungeon Maker toolbox',100,0,0),
(42779,116206,'Inflicts 4974 - 7634 mental damage on target',100,1,0),
(42780,10116206,'Inflicts 3540 - 5637 mental damage on target',100,1,0),
(42781,159659,'When Equipped:',100,0,0),
(42782,159659,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(42783,159659,'Increases WIS of caster by 12.2',100,2,2),
(42784,159659,'Increases Focus, Ministration and Ordination of caster by 7.2',100,2,3),
(42785,159659,'Cannot be modified except by direct means',100,2,4),
(42786,10159659,'When Equipped:',100,0,0),
(42787,10159659,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(42788,10159659,'Increases WIS of caster by 12.2',100,2,2),
(42789,10159659,'Increases Focus, Ministration and Ordination of caster by 7.2',100,2,3),
(42790,10159659,'Cannot be modified except by direct means',100,2,4),
(42791,101056,'Summons 3 limited pets to aid the caster',100,1,0),
(42792,10101056,'Summons 3 limited pets to aid the caster',100,1,0),
(42793,48795,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(42794,48795,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(42795,48795,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(42796,48795,'Cannot be modified except by direct means',100,2,3),
(42797,48795,'Grants a total of 80 triggers of the spell.',100,2,4),
(42798,10048795,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(42799,10048795,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(42800,10048795,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(42801,10048795,'Cannot be modified except by direct means',100,2,3),
(42802,10048795,'Grants a total of 80 triggers of the spell.',100,2,4),
(42803,108504,'Inflicts 5531 - 6533 melee damage on target',100,1,0),
(42804,108504,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(42805,10108504,'Inflicts 2888 - 3437 melee damage on target',100,1,0),
(42806,10108504,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(42807,114034,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(42808,114034,'Heals target for 192',100,2,1),
(42809,114034,'Heals target for 105 every 2 seconds',100,2,2),
(42810,114034,'Decreases Mitigation of target vs arcane damage by 723',100,1,3),
(42811,10114034,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(42812,10114034,'Heals target for 325',100,2,1),
(42813,10114034,'Heals target for 268 every 2 seconds',100,2,2),
(42814,10114034,'Decreases Mitigation of target vs arcane damage by 723',100,1,3),
(42815,84010,'Applies Lightning Shock when Activated.',100,0,0),
(42816,84010,'Inflicts 594 - 991 magic damage on target',100,1,1),
(42817,84010,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42818,10084010,'Applies Lightning Shock when Activated.',100,0,0),
(42819,10084010,'Inflicts 594 - 991 magic damage on target',100,1,1),
(42820,10084010,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42821,100629,'Transfers 28% of target''s current Threat to the caster',100,1,0),
(42822,10100629,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(42823,10100629,'10% of all damage received by the caster is prevented.',100,2,1),
(42824,10100629,'This effect can only trigger once every 5 seconds.',100,2,2),
(42825,26553,'When Equipped:',100,0,0),
(42826,26553,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(42827,26553,'Breeze VI improves the casting speed of the group by 15%.',100,1,2),
(42828,10026553,'When Equipped:',100,0,0),
(42829,10026553,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(42830,10026553,'Breeze VI improves the casting speed of the group by 15%.',100,1,2),
(42831,118988,'Heals target for 999 - 1221',100,1,0),
(42832,10118988,'Heals target for 775 - 939',100,1,0),
(42833,134062,'When Equipped:',100,0,0),
(42834,134062,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(42835,134062,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(42836,134062,'Heals caster for 811 - 1217',100,2,3),
(42837,134062,'Cannot be modified except by direct means',100,2,4),
(42838,134062,'Cannot be modified except by direct means',100,1,5),
(42839,10134062,'When Equipped:',100,0,0),
(42840,10134062,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(42841,10134062,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(42842,10134062,'Heals caster for 949 - 1424',100,2,3),
(42843,10134062,'Cannot be modified except by direct means',100,2,4),
(42844,10134062,'Cannot be modified except by direct means',100,1,5),
(42845,108895,'Inflicts 2276 heat damage on target',100,1,0),
(42846,108895,'Inflicts 1293 cold damage on target',100,1,1),
(42847,108895,'Slows target by 40.7%',100,1,2),
(42848,10108895,'Inflicts 1414 heat damage on target',100,1,0),
(42849,10108895,'Inflicts 1019 cold damage on target',100,1,1),
(42850,10108895,'Slows target by 40.7%',100,1,2),
(42851,45974,'Applies Consume Essence when Activated.',100,0,0),
(42852,45974,'Heals group members (AE) for 222 - 271',100,1,1),
(42853,45974,'Dispels 78 levels of any hostile effects on caster',100,1,2),
(42854,10045974,'Applies Consume Essence when Activated.',100,0,0),
(42855,10045974,'Heals group members (AE) for 144 - 176',100,1,1),
(42856,10045974,'Dispels 78 levels of any hostile effects on caster',100,1,2),
(42857,165469,'When Equipped:',100,0,0),
(42858,165469,'Increases Attack Speed of caster by 40.0',100,1,1),
(42859,10165469,'When Equipped:',100,0,0),
(42860,10165469,'Increases Attack Speed of caster by 40.0',100,1,1),
(42861,115820,'Inflicts 1031 - 1629 melee damage on target',100,1,0),
(42862,115820,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(42863,115820,'Heals caster for 1.9% of max health instantly and every 3 seconds',100,2,2),
(42864,115820,'This effect cannot be critically applied.',100,3,3),
(42865,115820,'The healing of this spell cannot be modified except by direct means',100,2,4),
(42866,115820,'Inflicts 161 disease damage on target every 3 seconds',100,1,5),
(42867,115820,'The healing of this spell cannot be modified except by direct means',100,1,6),
(42868,10115820,'Inflicts 879 - 1198 melee damage on target',100,1,0),
(42869,10115820,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(42870,10115820,'Heals caster for 0.6% of max health instantly and every 3 seconds',100,2,2),
(42871,10115820,'This effect cannot be critically applied.',100,3,3),
(42872,10115820,'The healing of this spell cannot be modified except by direct means',100,2,4),
(42873,10115820,'Inflicts 129 disease damage on target every 3 seconds',100,1,5),
(42874,10115820,'The healing of this spell cannot be modified except by direct means',100,1,6),
(42875,146149,'Applies Enchanter''s Will when Activated.  Lasts for 5 minutes.',100,0,0),
(42876,146149,'Wards caster against 1500 points of all damage',100,1,1),
(42877,146149,'On a hostile spell cast this spell may cast Clear Mind on target of spell.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(42878,146149,'Increases power of caster by 82 every 6 seconds',100,2,3),
(42879,146149,'Cannot be modified except by direct means',100,2,4),
(42880,146149,'Must have Dreamweave Robe equipped.',100,1,5),
(42881,146149,'The casting time of Enchanter''s Will is 0.99 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,6),
(42882,10146149,'Applies Enchanter''s Will when Activated.  Lasts for 5 minutes.',100,0,0),
(42883,10146149,'Wards caster against 1500 points of all damage',100,1,1),
(42884,10146149,'On a hostile spell cast this spell may cast Clear Mind on target of spell.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(42885,10146149,'Increases power of caster by 82 every 6 seconds',100,2,3),
(42886,10146149,'Cannot be modified except by direct means',100,2,4),
(42887,10146149,'Must have Dreamweave Robe equipped.',100,1,5),
(42888,10146149,'The casting time of Enchanter''s Will is 0.99 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,6),
(42889,158339,'Applies Hooluk in a Hat when Activated.',100,0,0),
(42890,158339,'Summons a pet Hooluk',100,1,1),
(42891,158339,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42892,10158339,'Applies Hooluk in a Hat when Activated.',100,0,0),
(42893,10158339,'Summons a pet Hooluk',100,1,1),
(42894,10158339,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(42895,102140,'Inflicts 746 - 1235 melee damage on target',100,1,0),
(42896,102140,'Inflicts 372 - 617 melee damage on target',100,1,1),
(42897,10102140,'Inflicts 666 - 881 melee damage on target',100,1,0),
(42898,10102140,'Inflicts 293 - 486 melee damage on target',100,1,1),
(42899,121098,'Decreases Threat to targets in Area of Effect by 3,665 ',100,1,0),
(42900,121098,'Mesmerizes targets in Area of Effect',100,1,1),
(42901,121098,'If Target is not Epic',100,2,2),
(42902,121098,'Dispelled when target takes damage',100,1,3),
(42903,10121098,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(42904,10121098,'Applies Distract.',100,1,1),
(42905,10121098,'Forces target to clear their selected target.',100,2,2),
(42906,10121098,'Mesmerizes targets in Area of Effect',100,1,3),
(42907,10121098,'If Target is not Epic',100,2,4),
(42908,10121098,'Dispelled when target takes damage',100,1,5),
(42909,116722,'Inflicts 2186 - 3401 melee damage on target',100,1,0),
(42910,10116722,'Inflicts 1544 - 2301 melee damage on target',100,1,0),
(42911,113135,'Shapechanges caster into a lich',100,1,0),
(42912,113135,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,1),
(42913,113135,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(42914,113135,'Inflicts 538 disease damage on target',100,2,3),
(42915,113135,'Heals caster for 179',100,2,4),
(42916,10113135,'Shapechanges caster into a lich',100,1,0),
(42917,10113135,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,1),
(42918,10113135,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(42919,10113135,'Inflicts 424 disease damage on target',100,2,3),
(42920,10113135,'Heals caster for 92',100,2,4),
(42921,100065,'Reduces the amount of durability gained by 8.0.',100,1,0),
(42922,100065,'Increases progress by 20.0',100,1,1),
(42923,10100065,'Reduces the amount of durability gained by 8.0.',100,1,0),
(42924,10100065,'Increases progress by 20.0',100,1,1),
(42925,113567,'Inflicts 6250 - 9761 disease damage on target',100,1,0),
(42926,10113567,'Inflicts 4546 - 7314 disease damage on target',100,1,0),
(42927,114767,'Feigns Death with 68% chance of success',100,1,0),
(42928,10114767,'Feigns Death with 68% chance of success',100,1,0),
(42929,177567,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(42930,177567,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(42931,177567,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(42932,177567,'Cannot be modified except by direct means',100,2,3),
(42933,10177567,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(42934,10177567,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(42935,10177567,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(42936,10177567,'Cannot be modified except by direct means',100,2,3),
(42937,118412,'Heals target for 1417 - 1731',100,1,0),
(42938,118412,'Increases Max Health of target by 43.0',100,1,1),
(42939,10118412,'Heals target for 1120 - 1312',100,1,0),
(42940,10118412,'Increases Max Health of target by 43.0',100,1,1),
(42941,101933,'Inflicts 2139 - 2900 melee damage on target',100,1,0),
(42942,101933,'Inflicts 384 piercing damage on target instantly and every 4 seconds',100,1,1),
(42943,101933,'Must be behind',100,1,2),
(42944,10101933,'Inflicts 1306 - 1906 melee damage on target',100,1,0),
(42945,10101933,'Inflicts 302 piercing damage on target instantly and every 4 seconds',100,1,1),
(42946,10101933,'Must be behind',100,1,2),
(42947,81203,'When Equipped:',100,0,0),
(42948,81203,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42949,81203,'Inflicts 449 - 834 magic damage on target',100,2,2),
(42950,81203,'Cannot be modified except by direct means',100,2,3),
(42951,10081203,'When Equipped:',100,0,0),
(42952,10081203,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42953,10081203,'Inflicts 449 - 834 magic damage on target',100,2,2),
(42954,10081203,'Cannot be modified except by direct means',100,2,3),
(42955,121281,'Inflicts 167 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(42956,121281,'Inflicts 741 - 1165 melee damage on targets in area',100,1,1),
(42957,121281,'You must be in stealth or have Bloody Assault.',100,1,2),
(42958,10121281,'Inflicts 131 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(42959,10121281,'Inflicts 566 - 853 melee damage on targets in area',100,1,1),
(42960,10121281,'You must be in stealth or have Bloody Assault.',100,1,2),
(42961,152818,'When Equipped:',100,0,0),
(42962,152818,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(42963,152818,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(42964,152818,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,3),
(42965,152818,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(42966,152818,'Must not be engaged in pvp combat',100,2,5),
(42967,152818,'Cannot be modified except by direct means',100,2,6),
(42968,152818,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(42969,152818,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,8),
(42970,152818,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(42971,152818,'Must not be engaged in pvp combat',100,2,10),
(42972,152818,'Cannot be modified except by direct means',100,2,11),
(42973,152818,'Cannot be modified except by direct means',100,1,12),
(42974,10152818,'When Equipped:',100,0,0),
(42975,10152818,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(42976,10152818,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(42977,10152818,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,3),
(42978,10152818,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(42979,10152818,'Must not be engaged in pvp combat',100,2,5),
(42980,10152818,'Cannot be modified except by direct means',100,2,6),
(42981,10152818,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(42982,10152818,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,8),
(42983,10152818,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(42984,10152818,'Must not be engaged in pvp combat',100,2,10),
(42985,10152818,'Cannot be modified except by direct means',100,2,11),
(42986,10152818,'Cannot be modified except by direct means',100,1,12),
(42987,36064,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(42988,36064,'Increases Max Health of target by 14.0',100,0,1),
(42989,81067,'When Equipped:',100,0,0),
(42990,81067,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42991,81067,'Inflicts 295 - 547 magic damage on target',100,2,2),
(42992,81067,'Cannot be modified except by direct means',100,2,3),
(42993,10081067,'When Equipped:',100,0,0),
(42994,10081067,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(42995,10081067,'Inflicts 295 - 547 magic damage on target',100,2,2),
(42996,10081067,'Cannot be modified except by direct means',100,2,3),
(42997,177578,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(42998,177578,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(42999,177578,'Inflicts 124 heat damage on target',100,2,2),
(43000,177578,'Cannot be modified except by direct means',100,2,3),
(43001,10177578,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(43002,10177578,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(43003,10177578,'Inflicts 124 heat damage on target',100,2,2),
(43004,10177578,'Cannot be modified except by direct means',100,2,3),
(43005,110647,'Inflicts 5286 - 8124 ranged damage on target',100,1,0),
(43006,110647,'If weapon equipped in Ranged',100,1,1),
(43007,110647,'Must be flanking or behind',100,1,2),
(43008,10110647,'Inflicts 2254 - 3480 ranged damage on target',100,1,0),
(43009,10110647,'If weapon equipped in Ranged',100,1,1),
(43010,10110647,'Must be flanking or behind',100,1,2),
(43011,124695,'Inflicts 2092 - 2557 cold damage on target',100,1,0),
(43012,10124695,'Inflicts 1494 - 1738 cold damage on target',100,1,0),
(43013,116360,'Mesmerizes target encounter',100,1,0),
(43014,116360,'Prevents AOE (except when direct) ',100,1,1),
(43015,116360,'Dispelled when target takes damage',100,1,2),
(43016,116360,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(43017,116360,'Resistibility increases against targets higher than level 94.',100,1,4),
(43018,10116360,'Mesmerizes target encounter',100,1,0),
(43019,10116360,'Prevents AOE (except when direct) ',100,1,1),
(43020,10116360,'Dispelled when target takes damage',100,1,2),
(43021,10116360,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(43022,10116360,'Resistibility increases against targets higher than level 94.',100,1,4),
(43023,137390,'When Equipped:',100,0,0),
(43024,137390,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43025,137390,'Wards target against 1000 points of all damage',100,2,2),
(43026,137390,'Cannot be modified except by direct means',100,2,3),
(43027,10137390,'When Equipped:',100,0,0),
(43028,10137390,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43029,10137390,'Wards target against 1000 points of all damage',100,2,2),
(43030,10137390,'Cannot be modified except by direct means',100,2,3),
(43031,116563,'Inflicts 1158 - 1920 melee damage on targets in area',100,1,0),
(43032,116563,'You must be in stealth to use this!',100,1,1),
(43033,10116563,'Inflicts 912 - 1428 melee damage on targets in area',100,1,0),
(43034,10116563,'You must be in stealth to use this!',100,1,1),
(43035,191326,'When Equipped:',100,0,0),
(43036,191326,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(43037,191326,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(43038,191326,'Inflicts 573 mental damage on target',100,2,3),
(43039,191326,'Must be classified as an undead',100,3,4),
(43040,191326,'Inflicts 287 mental damage on target',100,2,5),
(43041,191326,'Must not be classified as an undead',100,3,6),
(43042,191326,'Decreases Mitigation of target vs arcane damage by 415',100,2,7),
(43043,191326,'Must be classified as an undead',100,3,8),
(43044,191326,'Cannot be modified except by direct means',100,2,9),
(43045,10191326,'When Equipped:',100,0,0),
(43046,10191326,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(43047,10191326,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(43048,10191326,'Inflicts 573 mental damage on target',100,2,3),
(43049,10191326,'Must be classified as an undead',100,3,4),
(43050,10191326,'Inflicts 287 mental damage on target',100,2,5),
(43051,10191326,'Must not be classified as an undead',100,3,6),
(43052,10191326,'Decreases Mitigation of target vs arcane damage by 415',100,2,7),
(43053,10191326,'Must be classified as an undead',100,3,8),
(43054,10191326,'Cannot be modified except by direct means',100,2,9),
(43055,37292,'Increases Out-of-Combat Power Regeneration of target by 48.0',100,0,0),
(43056,107766,'Stuns target',100,1,0),
(43057,107766,'If Target is not Epic',100,2,1),
(43058,107766,'Inflicts 5681 - 8813 cold damage on target',100,1,2),
(43059,107766,'Resistibility increases against targets higher than level 101.',100,1,3),
(43060,10107766,'Stuns target',100,1,0),
(43061,10107766,'If Target is not Epic',100,2,1),
(43062,10107766,'Inflicts 4098 - 6566 cold damage on target',100,1,2),
(43063,10107766,'Resistibility increases against targets higher than level 101.',100,1,3),
(43064,118601,'Roots target',100,1,0),
(43065,118601,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(43066,118601,'Slows target by 55.7%',100,2,2),
(43067,118601,'5% chance to dispel when target receives hostile action',100,2,3),
(43068,118601,'5% chance to dispel when target takes damage',100,2,4),
(43069,118601,'5% chance to dispel when target takes damage',100,1,5),
(43070,118601,'Does not affect Epic targets',100,1,6),
(43071,118601,'Resistibility increases against targets higher than level 78.',100,1,7),
(43072,10118601,'Roots target',100,1,0),
(43073,10118601,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(43074,10118601,'Slows target by 55.7%',100,2,2),
(43075,10118601,'5% chance to dispel when target receives hostile action',100,2,3),
(43076,10118601,'5% chance to dispel when target takes damage',100,2,4),
(43077,10118601,'5% chance to dispel when target takes damage',100,1,5),
(43078,10118601,'Does not affect Epic targets',100,1,6),
(43079,10118601,'Resistibility increases against targets higher than level 78.',100,1,7),
(43080,115217,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(43081,115217,'Decreases Mitigation of target vs noxious damage by 532',100,2,1),
(43082,115217,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(43083,115217,'Decreases Mitigation of target vs noxious damage by 532',100,2,3),
(43084,10115217,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(43085,10115217,'Decreases Mitigation of target vs noxious damage by 532',100,2,1),
(43086,10115217,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(43087,10115217,'Decreases Mitigation of target vs noxious damage by 532',100,2,3),
(43088,87371,'When Equipped:',100,0,0),
(43089,87371,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43090,87371,'Inflicts 192 - 289 magic damage on target',100,2,2),
(43091,87371,'Cannot be modified except by direct means',100,2,3),
(43092,10087371,'When Equipped:',100,0,0),
(43093,10087371,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43094,10087371,'Inflicts 192 - 289 magic damage on target',100,2,2),
(43095,10087371,'Cannot be modified except by direct means',100,2,3),
(43096,113033,'Decreases Damage Per Second of target by 21.2',100,1,0),
(43097,10113033,'Decreases Damage Per Second of target by 21.2',100,1,0),
(43098,46776,'Applies arcane remedy when Activated.',100,0,0),
(43099,46776,'Dispels 18 levels of arcane hostile effects on caster',100,1,1),
(43100,10046776,'Applies arcane remedy when Activated.',100,0,0),
(43101,10046776,'Dispels 18 levels of arcane hostile effects on caster',100,1,1),
(43102,124119,'Increases power of caster by 266',100,1,0),
(43103,10124119,'Increases power of caster by 266',100,1,0),
(43104,117034,'Inflicts 81 - 135 melee damage on target',100,1,0),
(43105,117034,'Decreases Attack Speed of target by 16.2',100,1,1),
(43106,10117034,'Inflicts 74 - 122 melee damage on target',100,1,0),
(43107,10117034,'Decreases Attack Speed of target by 16.2',100,1,1),
(43108,140430,'When Equipped:',100,0,0),
(43109,140430,'Reduces reuse time of Subjugation-based spells by 1 percent.',100,1,1),
(43110,10140430,'When Equipped:',100,0,0),
(43111,10140430,'Reduces reuse time of Subjugation-based spells by 1 percent.',100,1,1),
(43112,106567,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(43113,106567,'Increases Parry of caster by 3.0',100,1,1),
(43114,10106567,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(43115,10106567,'Increases Parry of caster by 3.0',100,1,1),
(43116,108804,'Inflicts 1670 - 2821 heat damage on targets in Area of Effect',100,1,0),
(43117,10108804,'Inflicts 1190 - 2097 heat damage on targets in Area of Effect',100,1,0),
(43118,155198,'When Equipped:',100,0,0),
(43119,155198,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(43120,155198,'Must not be engaged in pvp combat',100,1,2),
(43121,10155198,'When Equipped:',100,0,0),
(43122,10155198,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(43123,10155198,'Must not be engaged in pvp combat',100,1,2),
(43124,81327,'When Equipped:',100,0,0),
(43125,81327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43126,81327,'Inflicts 140 - 260 magic damage on target',100,2,2),
(43127,81327,'Cannot be modified except by direct means',100,2,3),
(43128,10081327,'When Equipped:',100,0,0),
(43129,10081327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43130,10081327,'Inflicts 140 - 260 magic damage on target',100,2,2),
(43131,10081327,'Cannot be modified except by direct means',100,2,3),
(43132,124567,'Roots targets in Area of Effect',100,1,0),
(43133,124567,'If Target is not Epic',100,2,1),
(43134,124567,'Decreases Threat to targets in Area of Effect by 1,599 ',100,1,2),
(43135,124567,'Interrupts targets in Area of Effect',100,1,3),
(43136,10124567,'Roots targets in Area of Effect',100,1,0),
(43137,10124567,'If Target is not Epic',100,2,1),
(43138,10124567,'Applies Distract.',100,1,2),
(43139,10124567,'Forces target to clear their selected target.',100,2,3),
(43140,10124567,'Interrupts targets in Area of Effect',100,1,4),
(43141,10124567,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(43142,41662,'When Equipped:',100,0,0),
(43143,41662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43144,41662,'Inflicts 369 - 686 magic damage on target',100,2,2),
(43145,41662,'Cannot be modified except by direct means',100,2,3),
(43146,10041662,'When Equipped:',100,0,0),
(43147,10041662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43148,10041662,'Inflicts 369 - 686 magic damage on target',100,2,2),
(43149,10041662,'Cannot be modified except by direct means',100,2,3),
(43150,121137,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(43151,121137,'Increases Mitigation of group members (AE) vs noxious damage by 207',100,1,1),
(43152,10121137,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(43153,10121137,'Increases Mitigation of group members (AE) vs noxious damage by 207',100,1,1),
(43154,103631,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(43155,103631,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(43156,103631,'Increases STR of raid and group members (AE) by 33.4',100,1,2),
(43157,103631,'Improves the base amount of taunts by 12%.',100,1,3),
(43158,103631,'Improves the base amount of combat arts by 3.75%.',100,1,4),
(43159,103631,'Increases AGI of raid and group members (AE) by 33.4',100,1,5),
(43160,103631,'Adds 1.2% to base avoidance.',100,1,6),
(43161,10103631,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(43162,10103631,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(43163,10103631,'Increases STR of raid and group members (AE) by 33.4',100,1,2),
(43164,10103631,'Improves the base amount of taunts by 12%.',100,1,3),
(43165,10103631,'Improves the base amount of combat arts by 3.75%.',100,1,4),
(43166,10103631,'Increases AGI of raid and group members (AE) by 33.4',100,1,5),
(43167,10103631,'Adds 1.2% to base avoidance.',100,1,6),
(43168,114512,'Heals target for 62 - 76',100,1,0),
(43169,10114512,'Heals target for 56 - 69',100,1,0),
(43170,144284,'When Equipped:',100,0,0),
(43171,144284,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(43172,144284,'Must not be engaged in pvp combat',100,1,2),
(43173,10144284,'When Equipped:',100,0,0),
(43174,10144284,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(43175,10144284,'Must not be engaged in pvp combat',100,1,2),
(43176,71562,'When Equipped:',100,0,0),
(43177,71562,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43178,71562,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(43179,71562,'Cannot be modified except by direct means',100,2,3),
(43180,10071562,'When Equipped:',100,0,0),
(43181,10071562,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43182,10071562,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(43183,10071562,'Cannot be modified except by direct means',100,2,3),
(43184,114069,'Inflicts 2276 - 3128 melee damage on target',100,1,0),
(43185,114069,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(43186,114069,'Grants stealth to caster',100,2,2),
(43187,114069,'Suspends caster''s movement speed enhancements',100,2,3),
(43188,114069,'Must be flanking or behind',100,1,4),
(43189,10114069,'Inflicts 1924 - 2931 melee damage on target',100,1,0),
(43190,10114069,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(43191,10114069,'Grants stealth to caster',100,2,2),
(43192,10114069,'Suspends caster''s movement speed enhancements',100,2,3),
(43193,10114069,'Must be flanking or behind',100,1,4),
(43194,178874,'When Equipped:',100,0,0),
(43195,178874,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(43196,178874,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(43197,178874,'Inflicts 562 mental damage on target',100,2,3),
(43198,178874,'Must be classified as an undead',100,3,4),
(43199,178874,'Inflicts 281 mental damage on target',100,2,5),
(43200,178874,'Must not be classified as an undead',100,3,6),
(43201,178874,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(43202,178874,'Must be classified as an undead',100,3,8),
(43203,178874,'Cannot be modified except by direct means',100,2,9),
(43204,10178874,'When Equipped:',100,0,0),
(43205,10178874,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(43206,10178874,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(43207,10178874,'Inflicts 562 mental damage on target',100,2,3),
(43208,10178874,'Must be classified as an undead',100,3,4),
(43209,10178874,'Inflicts 281 mental damage on target',100,2,5),
(43210,10178874,'Must not be classified as an undead',100,3,6),
(43211,10178874,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(43212,10178874,'Must be classified as an undead',100,3,8),
(43213,10178874,'Cannot be modified except by direct means',100,2,9),
(43214,47697,'Applies Release the Reets when Activated.',100,0,0),
(43215,10047697,'Applies Release the Reets when Activated.',100,0,0),
(43216,37548,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(43217,102374,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(43218,102374,'Increases Attack Speed of target by 17.6',100,2,1),
(43219,102374,'Increases Damage Per Second of target by 17.6',100,2,2),
(43220,102374,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(43221,102374,'Increases Attack Speed of target by 17.6',100,2,4),
(43222,102374,'Increases Damage Per Second of target by 17.6',100,2,5),
(43223,102374,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(43224,102374,'Increases Attack Speed of target by 17.6',100,2,7),
(43225,102374,'Increases Damage Per Second of target by 17.6',100,2,8),
(43226,10102374,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(43227,10102374,'Increases Attack Speed of target by 17.6',100,2,1),
(43228,10102374,'Increases Damage Per Second of target by 17.6',100,2,2),
(43229,10102374,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(43230,10102374,'Increases Attack Speed of target by 17.6',100,2,4),
(43231,10102374,'Increases Damage Per Second of target by 17.6',100,2,5),
(43232,10102374,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(43233,10102374,'Increases Attack Speed of target by 17.6',100,2,7),
(43234,10102374,'Increases Damage Per Second of target by 17.6',100,2,8),
(43235,111069,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(43236,111069,'Slows target by 41.1%',100,2,1),
(43237,111069,'5% chance to dispel when target receives hostile action',100,2,2),
(43238,111069,'5% chance to dispel when target takes damage',100,2,3),
(43239,111069,'Decreases Mitigation of target vs elemental damage by 814',100,1,4),
(43240,10111069,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(43241,10111069,'Slows target by 41.1%',100,2,1),
(43242,10111069,'5% chance to dispel when target receives hostile action',100,2,2),
(43243,10111069,'5% chance to dispel when target takes damage',100,2,3),
(43244,10111069,'Decreases Mitigation of target vs elemental damage by 814',100,1,4),
(43245,162111,'When Equipped:',100,0,0),
(43246,162111,'When any damage is received this spell has a 7.5% chance to cast Seared on target''s attacker.  Lasts for 21.6 seconds.  ',100,1,1),
(43247,162111,'Decreases Mitigation of target vs elemental damage by 795',100,2,2),
(43248,162111,'Cannot be modified except by direct means',100,2,3),
(43249,10162111,'When Equipped:',100,0,0),
(43250,10162111,'When any damage is received this spell has a 7.5% chance to cast Seared on target''s attacker.  Lasts for 21.6 seconds.  ',100,1,1),
(43251,10162111,'Decreases Mitigation of target vs elemental damage by 795',100,2,2),
(43252,10162111,'Cannot be modified except by direct means',100,2,3),
(43253,111985,'Inflicts 3173 - 3660 disease damage on target',100,1,0),
(43254,111985,'Decreases Mitigation of target vs noxious damage by 1057',100,1,1),
(43255,10111985,'Inflicts 2615 - 3108 disease damage on target',100,1,0),
(43256,10111985,'Decreases Mitigation of target vs noxious damage by 1057',100,1,1),
(43257,119685,'Increases Threat to target encounter by 494 - 604 ',100,1,0),
(43258,10119685,'Prevents target encounter from changing targets',100,1,0),
(43259,10119685,'Forces target encounter to change their selected target to caster.',100,1,1),
(43260,74963,'When Equipped:',100,0,0),
(43261,74963,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43262,74963,'Inflicts 217 - 326 magic damage on target',100,2,2),
(43263,74963,'Cannot be modified except by direct means',100,2,3),
(43264,10074963,'When Equipped:',100,0,0),
(43265,10074963,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43266,10074963,'Inflicts 217 - 326 magic damage on target',100,2,2),
(43267,10074963,'Cannot be modified except by direct means',100,2,3),
(43268,45046,'Applies Immortalize Munzok when Activated.',100,0,0),
(43269,45046,'Summon 1 Trophy: Munzok''s Head',100,1,1),
(43270,45046,'This effect cannot be cast during combat',100,1,2),
(43271,10045046,'Applies Immortalize Munzok when Activated.',100,0,0),
(43272,10045046,'Summon 1 Trophy: Munzok''s Head',100,1,1),
(43273,10045046,'This effect cannot be cast during combat',100,1,2),
(43274,108533,'Increases AGI and WIS of group members (AE) by 55.4',100,1,0),
(43275,108533,'Adds 1.4% to base avoidance.',100,1,1),
(43276,108533,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,1,2),
(43277,10108533,'Increases AGI and WIS of group members (AE) by 55.4',100,1,0),
(43278,10108533,'Adds 1.4% to base avoidance.',100,1,1),
(43279,10108533,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,1,2),
(43280,159579,'Applies Lambent Imbued when Equipped.',100,0,0),
(43281,159579,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43282,159579,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(43283,159579,'Cannot be modified except by direct means',100,2,3),
(43284,10159579,'Applies Lambent Imbued when Equipped.',100,0,0),
(43285,10159579,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43286,10159579,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(43287,10159579,'Cannot be modified except by direct means',100,2,3),
(43288,81939,'When Equipped:',100,0,0),
(43289,81939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43290,81939,'Inflicts 523 - 972 magic damage on target',100,2,2),
(43291,81939,'Cannot be modified except by direct means',100,2,3),
(43292,10081939,'When Equipped:',100,0,0),
(43293,10081939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43294,10081939,'Inflicts 523 - 972 magic damage on target',100,2,2),
(43295,10081939,'Cannot be modified except by direct means',100,2,3),
(43296,54567,'When Equipped:',100,0,0),
(43297,54567,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(43298,10054567,'When Equipped:',100,0,0),
(43299,10054567,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(43300,35579,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(43301,119495,'Dazes target encounter',100,1,0),
(43302,119495,'If Target is not Epic',100,2,1),
(43303,119495,'Inflicts 1222 - 1420 magic damage on target encounter',100,1,2),
(43304,119495,'Inflicts 894 - 1093 magic damage on target encounter every second',100,1,3),
(43305,119495,'Resistibility increases against targets higher than level 96.',100,1,4),
(43306,10119495,'Inflicts 1059 - 1265 magic damage on target encounter',100,1,0),
(43307,10119495,'Inflicts 705 - 861 magic damage on target encounter every second',100,1,1),
(43308,10119495,'Dazes target encounter',100,1,2),
(43309,10119495,'If Target is not Epic',100,2,3),
(43310,10119495,'Resistibility increases against targets higher than level 96.',100,1,4),
(43311,71410,'When Equipped:',100,0,0),
(43312,71410,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43313,71410,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(43314,71410,'Cannot be modified except by direct means',100,2,3),
(43315,10071410,'When Equipped:',100,0,0),
(43316,10071410,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43317,10071410,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(43318,10071410,'Cannot be modified except by direct means',100,2,3),
(43319,84298,'When Equipped:',100,0,0),
(43320,84298,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43321,84298,'Inflicts 119 - 145 disease damage on target',100,2,2),
(43322,84298,'Inflicts 112 - 136 disease damage on target every 6 seconds',100,2,3),
(43323,84298,'Cannot be modified except by direct means',100,2,4),
(43324,10084298,'When Equipped:',100,0,0),
(43325,10084298,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43326,10084298,'Inflicts 119 - 145 disease damage on target',100,2,2),
(43327,10084298,'Inflicts 112 - 136 disease damage on target every 6 seconds',100,2,3),
(43328,10084298,'Cannot be modified except by direct means',100,2,4),
(43329,118411,'Heals target for 1012 - 1237',100,1,0),
(43330,118411,'Increases Max Health of target by 30.7',100,1,1),
(43331,10118411,'Heals target for 836 - 1010',100,1,0),
(43332,10118411,'Increases Max Health of target by 30.7',100,1,1),
(43333,121230,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(43334,121230,'Increases Defense and Deflection of caster by 7.7',100,1,1),
(43336,10121230,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(43337,10121230,'Increases Defense and Deflection of caster by 7.7',100,1,1),
(43338,10121230,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(43339,35067,'Increases AGI of target by 4.3',100,0,0),
(43340,35067,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(43341,116432,'Inflicts 171 disease damage on target',100,1,0),
(43342,116432,'Inflicts 15 disease damage on target every 4 seconds',100,1,1),
(43343,116432,'Inflicts 15 disease damage on target instantly and every 4 seconds',100,1,2),
(43344,116432,'If target is nightblood',100,2,3),
(43345,116432,'Inflicts 15 disease damage on target instantly and every 4 seconds',100,1,4),
(43346,116432,'If target is shadowed folk',100,2,5),
(43347,10116432,'Inflicts 168 disease damage on target',100,1,0),
(43348,10116432,'Inflicts 12 disease damage on target every 4 seconds',100,1,1),
(43349,86174,'When Equipped:',100,0,0),
(43350,86174,'On a combat hit this spell may cast Slashing Claw on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43351,86174,'Inflicts 237 slashing damage on target',100,2,2),
(43352,86174,'Cannot be modified except by direct means',100,2,3),
(43353,10086174,'When Equipped:',100,0,0),
(43354,10086174,'On a combat hit this spell may cast Slashing Claw on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43355,10086174,'Inflicts 237 slashing damage on target',100,2,2),
(43356,10086174,'Cannot be modified except by direct means',100,2,3),
(43357,45950,'Applies Dire Warg Muzzle when Activated.  Lasts for 10 minutes.',100,0,0),
(43358,45950,'Use: Muzzles a Dire Warg that will then follow you back to Wolfmaster Heinrich',100,1,1),
(43359,10045950,'Applies Dire Warg Muzzle when Activated.  Lasts for 10 minutes.',100,0,0),
(43360,10045950,'Use: Muzzles a Dire Warg that will then follow you back to Wolfmaster Heinrich',100,1,1),
(43361,107099,'Inflicts 2312 - 2826 divine damage on target',100,1,0),
(43362,10107099,'Inflicts 1610 - 1880 divine damage on target',100,1,0),
(43363,135735,'Applies Tunare''s Blessing when Activated.  Lasts for 30.0 seconds.',100,0,0),
(43364,135735,'Heals caster for 18 instantly and every 5 seconds',100,1,1),
(43365,135735,'The casting time of Tunare''s Blessing is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(43366,10135735,'Applies Tunare''s Blessing when Activated.  Lasts for 30.0 seconds.',100,0,0),
(43367,10135735,'Heals caster for 12 instantly and every 5 seconds',100,1,1),
(43368,10135735,'The casting time of Tunare''s Blessing is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(43369,104894,'Inflicts 1861 - 2975 magic damage on targets in area',100,1,0),
(43370,10104894,'Inflicts 1417 - 2264 magic damage on targets in area',100,1,0),
(43371,119197,'Inflicts 2077 - 2799 heat damage on target',100,1,0),
(43372,119197,'Inflicts 1095 - 1817 heat damage on target',100,1,1),
(43373,119197,'Requires bow',100,1,2),
(43374,10119197,'Inflicts 1266 - 1840 heat damage on target',100,1,0),
(43375,10119197,'Inflicts 871 - 1446 heat damage on target',100,1,1),
(43376,10119197,'Requires bow',100,1,2),
(43377,83981,'Applies Lightning Shock when Activated.',100,0,0),
(43378,83981,'Inflicts 171 - 285 magic damage on target',100,1,1),
(43379,83981,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43380,10083981,'Applies Lightning Shock when Activated.',100,0,0),
(43381,10083981,'Inflicts 171 - 285 magic damage on target',100,1,1),
(43382,10083981,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43383,87558,'Applies Poison Bolt when Activated.',100,0,0),
(43384,87558,'Inflicts 171 - 285 poison damage on target',100,1,1),
(43385,87558,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43386,10087558,'Applies Poison Bolt when Activated.',100,0,0),
(43387,10087558,'Inflicts 171 - 285 poison damage on target',100,1,1),
(43388,10087558,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43389,24755,'Adds Werewolf (Monk) to your Dungeon Maker toolbox',100,0,0),
(43390,10024755,'Adds Werewolf (Monk) to your Dungeon Maker toolbox',100,0,0),
(43391,177592,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(43392,177592,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43393,177592,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(43394,177592,'Cannot be modified except by direct means',100,2,3),
(43395,10177592,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(43396,10177592,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43397,10177592,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(43398,10177592,'Cannot be modified except by direct means',100,2,3),
(43399,100189,'Inflicts 9184 - 16775 disease damage on target encounter',100,1,0),
(43400,10100189,'Inflicts 7112 - 13095 disease damage on target encounter',100,1,0),
(43401,119893,'Increases INT and AGI of group members (AE) by 71.4',100,1,0),
(43402,119893,'Adds 1.8% to base avoidance.',100,1,1),
(43403,10119893,'Increases INT and AGI of group members (AE) by 71.4',100,1,0),
(43404,10119893,'Adds 1.8% to base avoidance.',100,1,1),
(43405,110138,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(43406,110138,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(43407,110138,'Only affects the caster of Guardian''s Sphere',100,2,2),
(43408,110138,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(43409,110138,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(43410,110138,'If not fighter',100,2,5),
(43411,10110138,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(43412,10110138,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(43413,10110138,'Only affects the caster of Guardian''s Sphere',100,2,2),
(43414,10110138,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(43415,10110138,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(43416,10110138,'If not fighter',100,2,5),
(43417,87172,'When Equipped:',100,0,0),
(43418,87172,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43419,87172,'Inflicts 83 - 124 magic damage on target',100,2,2),
(43420,87172,'Cannot be modified except by direct means',100,2,3),
(43421,10087172,'When Equipped:',100,0,0),
(43422,10087172,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43423,10087172,'Inflicts 83 - 124 magic damage on target',100,2,2),
(43424,10087172,'Cannot be modified except by direct means',100,2,3),
(43425,117119,'Mesmerizes target encounter',100,1,0),
(43426,117119,'Prevents AOE (except when direct) ',100,1,1),
(43427,117119,'Dispelled when target takes damage',100,1,2),
(43428,117119,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(43429,117119,'Resistibility increases against targets higher than level 117.',100,1,4),
(43430,10117119,'Mesmerizes target encounter',100,1,0),
(43431,10117119,'Prevents AOE (except when direct) ',100,1,1),
(43432,10117119,'Dispelled when target takes damage',100,1,2),
(43433,10117119,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(43434,10117119,'Resistibility increases against targets higher than level 117.',100,1,4),
(43435,70949,'When Equipped:',100,0,0),
(43436,70949,'Wards caster against 2420 points of all damage',100,1,1),
(43437,70949,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(43438,70949,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(43439,70949,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(43440,70949,'While active Renewing Bulwark is disabled.',100,2,5),
(43441,70949,'Cannot be modified except by direct means',100,2,6),
(43442,70949,'Must not be engaged in pvp combat',100,1,7),
(43443,70949,'Cannot be modified except by direct means',100,1,8),
(43444,70949,'When Equipped:',100,0,9),
(43445,70949,'This effect will not stack with any rank or tier of itself.',100,1,10),
(43446,70949,'Increases Crit Bonus of caster by 4.0%',100,1,11),
(43447,70949,'Cannot be modified except by direct means',100,1,12),
(43448,10070949,'When Equipped:',100,0,0),
(43449,10070949,'Wards caster against 2420 points of all damage',100,1,1),
(43450,10070949,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(43451,10070949,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(43452,10070949,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(43453,10070949,'While active Renewing Bulwark is disabled.',100,2,5),
(43454,10070949,'Cannot be modified except by direct means',100,2,6),
(43455,10070949,'Must not be engaged in pvp combat',100,1,7),
(43456,10070949,'Cannot be modified except by direct means',100,1,8),
(43457,10070949,'When Equipped:',100,0,9),
(43458,10070949,'This effect will not stack with any rank or tier of itself.',100,1,10),
(43459,10070949,'Increases Crit Bonus of caster by 4.0%',100,1,11),
(43460,10070949,'Cannot be modified except by direct means',100,1,12),
(43461,48333,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(43462,48333,'Heals caster for 104',100,1,1),
(43463,48333,'Heals caster for 52 every 5 seconds',100,1,2),
(43464,10048333,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(43465,10048333,'Heals caster for 68',100,1,1),
(43466,10048333,'Heals caster for 34 every 5 seconds',100,1,2),
(43467,83925,'When Equipped:',100,0,0),
(43468,83925,'This effect will not stack with any rank or tier of itself.',100,1,1),
(43469,83925,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(43470,83925,'Cannot be modified except by direct means',100,1,3),
(43471,10083925,'When Equipped:',100,0,0),
(43472,10083925,'This effect will not stack with any rank or tier of itself.',100,1,1),
(43473,10083925,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(43474,10083925,'Cannot be modified except by direct means',100,1,3),
(43475,103903,'Increases power of group members (AE) by 33 instantly and every 6 seconds',100,1,0),
(43476,103903,'Decreases INT of target by 110.8',100,1,1),
(43477,10103903,'Increases power of group members (AE) by 33 instantly and every 6 seconds',100,1,0),
(43478,10103903,'Decreases INT of target by 110.8',100,1,1),
(43479,41613,'When Equipped:',100,0,0),
(43480,41613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43481,41613,'Inflicts 61 - 114 magic damage on target',100,2,2),
(43482,41613,'Cannot be modified except by direct means',100,2,3),
(43483,10041613,'When Equipped:',100,0,0),
(43484,10041613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43485,10041613,'Inflicts 61 - 114 magic damage on target',100,2,2),
(43486,10041613,'Cannot be modified except by direct means',100,2,3),
(43487,26721,'When Equipped:',100,0,0),
(43488,26721,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(43489,26721,'On a critical combat hit this spell may cast Greater Fervor I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(43490,26721,'Makes caster immune to Stun effects',100,2,3),
(43491,26721,'Makes caster immune to Stifle effects',100,2,4),
(43492,26721,'Must not be engaged in pvp combat',100,2,5),
(43493,26721,'Cannot be modified except by direct means',100,2,6),
(43494,26721,'On a critical spell hit this spell may cast Greater Fervor I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(43495,26721,'Makes caster immune to Stun effects',100,2,8),
(43496,26721,'Makes caster immune to Stifle effects',100,2,9),
(43497,26721,'Must not be engaged in pvp combat',100,2,10),
(43498,26721,'Cannot be modified except by direct means',100,2,11),
(43499,26721,'On a critical healing spell cast this spell may cast Greater Fervor I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(43500,26721,'Makes caster immune to Stun effects',100,2,13),
(43501,26721,'Makes caster immune to Stifle effects',100,2,14),
(43502,26721,'Must not be engaged in pvp combat',100,2,15),
(43503,26721,'Cannot be modified except by direct means',100,2,16),
(43504,26721,'Must not be engaged in pvp combat',100,1,17),
(43505,10026721,'When Equipped:',100,0,0),
(43506,10026721,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(43507,10026721,'On a critical combat hit this spell may cast Greater Fervor I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(43508,10026721,'Makes caster immune to Stun effects',100,2,3),
(43509,10026721,'Makes caster immune to Stifle effects',100,2,4),
(43510,10026721,'Must not be engaged in pvp combat',100,2,5),
(43511,10026721,'Cannot be modified except by direct means',100,2,6),
(43512,10026721,'On a critical spell hit this spell may cast Greater Fervor I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(43513,10026721,'Makes caster immune to Stun effects',100,2,8),
(43514,10026721,'Makes caster immune to Stifle effects',100,2,9),
(43515,10026721,'Must not be engaged in pvp combat',100,2,10),
(43516,10026721,'Cannot be modified except by direct means',100,2,11),
(43517,10026721,'On a critical healing spell cast this spell may cast Greater Fervor I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(43518,10026721,'Makes caster immune to Stun effects',100,2,13),
(43519,10026721,'Makes caster immune to Stifle effects',100,2,14),
(43520,10026721,'Must not be engaged in pvp combat',100,2,15),
(43521,10026721,'Cannot be modified except by direct means',100,2,16),
(43522,10026721,'Must not be engaged in pvp combat',100,1,17),
(43523,173040,'When Equipped:',100,0,0),
(43524,173040,'When damaged in combat this spell has a 7% chance to cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(43525,173040,'Increases Hate Gain of caster by 1.5%',100,2,2),
(43526,173040,'Cannot be modified except by direct means',100,2,3),
(43527,173040,'On any combat or spell hit this spell may cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(43528,173040,'Increases Hate Gain of caster by 1.5%',100,2,5),
(43529,173040,'Cannot be modified except by direct means',100,2,6),
(43530,10173040,'When Equipped:',100,0,0),
(43531,10173040,'When damaged in combat this spell has a 7% chance to cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(43532,10173040,'Cannot be modified except by direct means',100,2,2),
(43533,10173040,'On any combat or spell hit this spell may cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,3),
(43534,10173040,'Cannot be modified except by direct means',100,2,4),
(43535,36154,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(43536,47235,'Applies Favor of the Froglok King  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(43537,47235,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(43538,47235,'Inflicts 18 magic damage on target',100,2,2),
(43539,47235,'Cannot be modified except by direct means',100,2,3),
(43540,10047235,'Applies Favor of the Froglok King  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(43541,10047235,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(43542,10047235,'Inflicts 18 magic damage on target',100,2,2),
(43543,10047235,'Cannot be modified except by direct means',100,2,3),
(43544,192091,'When Equipped:',100,0,0),
(43545,192091,'Reduces physical damage done to target by 5%',100,1,1),
(43546,10192091,'When Equipped:',100,0,0),
(43547,10192091,'Reduces physical damage done to target by 5%',100,1,1),
(43548,104514,'Increases Threat to target by 1,261 - 1,486  instantly and by 135 - 165  every 2 seconds thereafter',100,1,0),
(43549,10104514,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(43550,75036,'Applies Mental Blast when Activated.',100,0,0),
(43551,75036,'Inflicts 346 - 576 mental damage on target',100,1,1),
(43552,75036,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43553,10075036,'Applies Mental Blast when Activated.',100,0,0),
(43554,10075036,'Inflicts 346 - 576 mental damage on target',100,1,1),
(43555,10075036,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43556,118009,'Wards target against 7981 points of all damage',100,1,0),
(43557,10118009,'Wards target against 5910 points of all damage',100,1,0),
(43558,100820,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(43559,100820,'Increases Parry of caster by 3.0',100,1,1),
(43560,10100820,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(43561,10100820,'Increases Parry of caster by 3.0',100,1,1),
(43562,107475,'Inflicts 698 - 2095 magic damage on targets in Area of Effect',100,1,0),
(43563,107475,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(43564,107475,'Blurs vision of target',100,2,2),
(43565,107475,'Stuns target',100,2,3),
(43566,107475,'Throws target back',100,2,4),
(43567,107475,'Does not affect Epic targets',100,2,5),
(43568,10107475,'Inflicts 572 - 1547 magic damage on targets in Area of Effect',100,1,0),
(43569,10107475,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(43570,10107475,'Stuns target',100,2,2),
(43571,10107475,'Blurs vision of target',100,2,3),
(43572,10107475,'Throws target back',100,2,4),
(43573,10107475,'Does not affect Epic targets',100,2,5),
(43574,109018,'Decreases Damage Per Second of target by 30.3',100,1,0),
(43575,109018,'Inflicts 2215 - 2703 melee damage on target',100,1,1),
(43576,10109018,'Decreases Damage Per Second of target by 30.3',100,1,0),
(43577,10109018,'Inflicts 1558 - 1815 melee damage on target',100,1,1),
(43578,119021,'Heals target for 9437 - 11316',100,1,0),
(43579,10119021,'Heals target for 7344 - 8919',100,1,0),
(43580,71640,'When Equipped:',100,0,0),
(43581,71640,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43582,71640,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(43583,71640,'Cannot be modified except by direct means',100,2,3),
(43584,10071640,'When Equipped:',100,0,0),
(43585,10071640,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43586,10071640,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(43587,10071640,'Cannot be modified except by direct means',100,2,3),
(43588,80290,'When Equipped:',100,0,0),
(43589,80290,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(43590,80290,'Inflicts 333 - 619 magic damage on target',100,2,2),
(43591,80290,'Decreases Threat to target by 801 ',100,2,3),
(43592,80290,'Must be flanking or behind',100,3,4),
(43593,80290,'Increases Threat to target by 1,261 ',100,2,5),
(43594,80290,'Must be in front of',100,3,6),
(43595,80290,'Cannot be modified except by direct means',100,2,7),
(43596,10080290,'When Equipped:',100,0,0),
(43597,10080290,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(43598,10080290,'Inflicts 333 - 619 magic damage on target',100,2,2),
(43599,10080290,'Cannot be modified except by direct means',100,2,3),
(43600,100812,'Wards target against 4771 points of all damage',100,1,0),
(43601,10100812,'Wards target against 5305 points of all damage',100,1,0),
(43602,159814,'Applies Sanguine Imbued when Equipped.',100,0,0),
(43603,159814,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(43604,159814,'Inflicts 194 heat damage on target',100,2,2),
(43605,159814,'Cannot be modified except by direct means',100,2,3),
(43606,10159814,'Applies Sanguine Imbued when Equipped.',100,0,0),
(43607,10159814,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(43608,10159814,'Inflicts 194 heat damage on target',100,2,2),
(43609,10159814,'Cannot be modified except by direct means',100,2,3),
(43610,105014,'Increases WIS of raid and group members (AE) by 9.7',100,1,0),
(43611,105014,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(43612,105014,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 36',100,1,2),
(43613,10105014,'Increases WIS of raid and group members (AE) by 9.7',100,1,0),
(43614,10105014,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(43615,10105014,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 36',100,1,2),
(43616,71904,'When Equipped:',100,0,0),
(43617,71904,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43618,71904,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(43619,71904,'Cannot be modified except by direct means',100,2,3),
(43620,10071904,'When Equipped:',100,0,0),
(43621,10071904,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43622,10071904,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(43623,10071904,'Cannot be modified except by direct means',100,2,3),
(43624,45442,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(43625,45442,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(43626,45442,'Decreases AGI of target by 12.3',100,2,2),
(43627,45442,'Cannot be modified except by direct means',100,2,3),
(43628,45442,'Grants a total of 30 triggers of the spell.',100,2,4),
(43629,10045442,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(43630,10045442,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(43631,10045442,'Decreases AGI of target by 12.3',100,2,2),
(43632,10045442,'Cannot be modified except by direct means',100,2,3),
(43633,10045442,'Grants a total of 30 triggers of the spell.',100,2,4),
(43634,117512,'Increases AGI, INT and WIS of group members (AE) by 9.3',100,1,0),
(43635,117512,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 21',100,1,1),
(43636,10117512,'Increases AGI, INT and WIS of group members (AE) by 9.3',100,1,0),
(43637,10117512,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 21',100,1,1),
(43638,159795,'Applies Lambent Imbued when Equipped.',100,0,0),
(43639,159795,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43640,159795,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(43641,159795,'Cannot be modified except by direct means',100,2,3),
(43642,10159795,'Applies Lambent Imbued when Equipped.',100,0,0),
(43643,10159795,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(43644,10159795,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(43645,10159795,'Cannot be modified except by direct means',100,2,3),
(43646,81055,'When Equipped:',100,0,0),
(43647,81055,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43648,81055,'Inflicts 290 - 538 magic damage on target',100,2,2),
(43649,81055,'Cannot be modified except by direct means',100,2,3),
(43650,10081055,'When Equipped:',100,0,0),
(43651,10081055,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43652,10081055,'Inflicts 290 - 538 magic damage on target',100,2,2),
(43653,10081055,'Cannot be modified except by direct means',100,2,3),
(43654,113826,'Inflicts 1188 - 1980 disease damage on target',100,1,0),
(43655,10113826,'Inflicts 1019 - 1435 disease damage on target',100,1,0),
(43656,70566,'When Equipped:',100,0,0),
(43657,70566,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43658,70566,'Inflicts 357 cold damage on target',100,2,2),
(43659,70566,'Cannot be modified except by direct means',100,2,3),
(43660,10070566,'When Equipped:',100,0,0),
(43661,10070566,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43662,10070566,'Inflicts 357 cold damage on target',100,2,2),
(43663,10070566,'Cannot be modified except by direct means',100,2,3),
(43664,35390,'Increases AGI of target by 6.2',100,0,0),
(43665,35390,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(43666,80623,'When Equipped:',100,0,0),
(43667,80623,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43668,80623,'Inflicts 96 - 178 magic damage on target',100,2,2),
(43669,80623,'Cannot be modified except by direct means',100,2,3),
(43670,10080623,'When Equipped:',100,0,0),
(43671,10080623,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43672,10080623,'Inflicts 96 - 178 magic damage on target',100,2,2),
(43673,10080623,'Cannot be modified except by direct means',100,2,3),
(43674,45122,'Applies Aab''I Hayat when Activated.  Lasts for 1 hour.',100,0,0),
(43675,10045122,'Applies Aab''I Hayat when Activated.  Lasts for 1 hour.',100,0,0),
(43676,35191,'Increases INT of target by 4.3',100,0,0),
(43677,35191,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(43678,107188,'Inflicts 1171 - 1942 divine damage on target',100,1,0),
(43679,107188,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(43680,107188,'Stuns target',100,2,2),
(43681,107188,'If Target is not Epic',100,3,3),
(43682,107188,'Inflicts 1813 - 3021 divine damage on target',100,2,4),
(43683,107188,'Inflicts 1554 - 2590 divine damage on target',100,2,5),
(43684,107188,'If target is undead',100,3,6),
(43685,10107188,'Inflicts 615 - 1020 divine damage on target',100,1,0),
(43686,10107188,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(43687,10107188,'Stuns target',100,2,2),
(43688,10107188,'Inflicts 2143 - 3572 divine damage on target',100,2,3),
(43689,10107188,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(43690,136231,'When Equipped:',100,0,0),
(43691,136231,'Increases Attack Speed of caster by 35.0',100,1,1),
(43692,10136231,'When Equipped:',100,0,0),
(43693,10136231,'Increases Attack Speed of caster by 35.0',100,1,1),
(43694,85940,'When Equipped:',100,0,0),
(43695,85940,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(43696,85940,'Inflicts 405 - 675 magic damage on target',100,2,2),
(43697,85940,'Inflicts 405 - 675 divine damage on target',100,2,3),
(43698,85940,'Inflicts 405 - 675 piercing damage on target',100,2,4),
(43699,85940,'Must not be engaged in pvp combat',100,2,5),
(43700,85940,'Cannot be modified except by direct means',100,2,6),
(43701,85940,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(43702,85940,'Inflicts 405 - 675 magic damage on target',100,2,8),
(43703,85940,'Inflicts 405 - 675 divine damage on target',100,2,9),
(43704,85940,'Inflicts 405 - 675 piercing damage on target',100,2,10),
(43705,85940,'Must not be engaged in pvp combat',100,2,11),
(43706,85940,'Cannot be modified except by direct means',100,2,12),
(43707,85940,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(43708,85940,'Inflicts 405 - 675 magic damage on target',100,2,14),
(43709,85940,'Inflicts 405 - 675 divine damage on target',100,2,15),
(43710,85940,'Inflicts 405 - 675 piercing damage on target',100,2,16),
(43711,85940,'Must not be engaged in pvp combat',100,2,17),
(43712,85940,'Cannot be modified except by direct means',100,2,18),
(43713,85940,'Must not be engaged in pvp combat',100,1,19),
(43714,10085940,'When Equipped:',100,0,0),
(43715,10085940,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(43716,10085940,'Inflicts 405 - 675 magic damage on target',100,2,2),
(43717,10085940,'Inflicts 405 - 675 divine damage on target',100,2,3),
(43718,10085940,'Inflicts 405 - 675 piercing damage on target',100,2,4),
(43719,10085940,'Must not be engaged in pvp combat',100,2,5),
(43720,10085940,'Cannot be modified except by direct means',100,2,6),
(43721,10085940,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(43722,10085940,'Inflicts 405 - 675 magic damage on target',100,2,8),
(43723,10085940,'Inflicts 405 - 675 divine damage on target',100,2,9),
(43724,10085940,'Inflicts 405 - 675 piercing damage on target',100,2,10),
(43725,10085940,'Must not be engaged in pvp combat',100,2,11),
(43726,10085940,'Cannot be modified except by direct means',100,2,12),
(43727,10085940,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(43728,10085940,'Inflicts 405 - 675 magic damage on target',100,2,14),
(43729,10085940,'Inflicts 405 - 675 divine damage on target',100,2,15),
(43730,10085940,'Inflicts 405 - 675 piercing damage on target',100,2,16),
(43731,10085940,'Must not be engaged in pvp combat',100,2,17),
(43732,10085940,'Cannot be modified except by direct means',100,2,18),
(43733,10085940,'Must not be engaged in pvp combat',100,1,19),
(43734,118394,'Inflicts 4174 - 6274 melee damage on target',100,1,0),
(43735,118394,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(43736,118394,'Blurs vision of target',100,2,2),
(43737,118394,'Stuns target',100,2,3),
(43738,118394,'Throws target back',100,2,4),
(43739,118394,'Does not affect Epic targets',100,2,5),
(43740,10118394,'Inflicts 2965 - 4657 melee damage on target',100,1,0),
(43741,10118394,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(43742,10118394,'Stuns target',100,2,2),
(43743,10118394,'Blurs vision of target',100,2,3),
(43744,10118394,'Throws target back',100,2,4),
(43745,10118394,'Does not affect Epic targets',100,2,5),
(43746,72075,'When Equipped:',100,0,0),
(43747,72075,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43748,72075,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(43749,72075,'Cannot be modified except by direct means',100,2,3),
(43750,10072075,'When Equipped:',100,0,0),
(43751,10072075,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43752,10072075,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(43753,10072075,'Cannot be modified except by direct means',100,2,3),
(43754,181616,'When Equipped:',100,0,0),
(43755,181616,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(43756,181616,'Heals group members (AE) for 875',100,2,2),
(43757,181616,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(43758,181616,'Must not be engaged in pvp combat',100,2,4),
(43759,181616,'Cannot be modified except by direct means',100,2,5),
(43760,181616,'Must not be engaged in pvp combat',100,1,6),
(43761,10181616,'When Equipped:',100,0,0),
(43762,10181616,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(43763,10181616,'Heals group members (AE) for 1024',100,2,2),
(43764,10181616,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(43765,10181616,'Must not be engaged in pvp combat',100,2,4),
(43766,10181616,'Cannot be modified except by direct means',100,2,5),
(43767,10181616,'Must not be engaged in pvp combat',100,1,6),
(43768,40274,'Applies Boomerang when Activated.  Lasts for 20.0 seconds.',100,0,0),
(43769,40274,'Increases Melee Weapon Range of caster by 100.0%',100,1,1),
(43770,40274,'The reuse time of Boomerang is 4 minutes 9 seconds',100,1,2),
(43771,10040274,'Applies Boomerang when Activated.  Lasts for 20.0 seconds.',100,0,0),
(43772,10040274,'Increases Melee Weapon Range of caster by 100.0%',100,1,1),
(43773,10040274,'The reuse time of Boomerang is 4 minutes 9 seconds',100,1,2),
(43774,123388,'Heals group members (AE) for 3722 - 4476',100,1,0),
(43775,10123388,'Heals group members (AE) for 6011 - 7312',100,1,0),
(43776,118296,'Summons a limited pet to aid the caster',100,1,0),
(43777,10118296,'Summons a limited pet to aid the caster',100,1,0),
(43778,35259,'Increases INT of target by 10.5',100,0,0),
(43779,35259,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(43780,81226,'When Equipped:',100,0,0),
(43781,81226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43782,81226,'Inflicts 140 - 260 magic damage on target',100,2,2),
(43783,81226,'Cannot be modified except by direct means',100,2,3),
(43784,10081226,'When Equipped:',100,0,0),
(43785,10081226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43786,10081226,'Inflicts 140 - 260 magic damage on target',100,2,2),
(43787,10081226,'Cannot be modified except by direct means',100,2,3),
(43788,48533,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(43789,48533,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(43790,48533,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,2),
(43791,48533,'Inflicts 98 poison damage on target',100,2,3),
(43792,48533,'Cannot be modified except by direct means',100,2,4),
(43793,48533,'Grants a total of 200 triggers of the spell.',100,2,5),
(43794,10048533,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(43795,10048533,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(43796,10048533,'Inflicts 22 poison damage on target instantly and every 6 seconds',100,2,2),
(43797,10048533,'Inflicts 74 poison damage on target',100,2,3),
(43798,10048533,'Cannot be modified except by direct means',100,2,4),
(43799,10048533,'Grants a total of 200 triggers of the spell.',100,2,5),
(43800,49007,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(43801,49007,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(43802,49007,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(43803,49007,'Cannot be modified except by direct means',100,2,3),
(43804,49007,'Grants a total of 80 triggers of the spell.',100,2,4),
(43805,10049007,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(43806,10049007,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(43807,10049007,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(43808,10049007,'Cannot be modified except by direct means',100,2,3),
(43809,10049007,'Grants a total of 80 triggers of the spell.',100,2,4),
(43810,41459,'When Equipped:',100,0,0),
(43811,41459,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43812,41459,'Inflicts 86 - 159 magic damage on target',100,2,2),
(43813,41459,'Cannot be modified except by direct means',100,2,3),
(43814,10041459,'When Equipped:',100,0,0),
(43815,10041459,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(43816,10041459,'Inflicts 86 - 159 magic damage on target',100,2,2),
(43817,10041459,'Cannot be modified except by direct means',100,2,3),
(43818,46382,'Applies elemental remedy when Activated.',100,0,0),
(43819,46382,'Dispels 98 levels of elemental hostile effects on caster',100,1,1),
(43820,10046382,'Applies elemental remedy when Activated.',100,0,0),
(43821,10046382,'Dispels 98 levels of elemental hostile effects on caster',100,1,1),
(43822,105032,'Increases WIS of raid and group members (AE) by 31.8',100,1,0),
(43823,105032,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(43824,105032,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 116',100,1,2),
(43825,10105032,'Increases WIS of raid and group members (AE) by 31.8',100,1,0),
(43826,10105032,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(43827,10105032,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 116',100,1,2),
(43828,113128,'Decreases Attack Speed of target encounter by 23.8',100,1,0),
(43829,10113128,'Decreases Attack Speed of target encounter by 23.8',100,1,0),
(43830,110947,'Applies Awakening on termination.',100,1,0),
(43831,110947,'Heals target for 4401 - 5306',100,2,1),
(43832,10110947,'Applies Awakening on termination.',100,1,0),
(43833,10110947,'Heals target for 5093 - 6206',100,2,1),
(43834,118310,'Roots target encounter',100,1,0),
(43835,118310,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(43836,118310,'Slows target by 52.3%',100,2,2),
(43837,118310,'5% chance to dispel when target receives hostile action',100,2,3),
(43838,118310,'5% chance to dispel when target takes damage',100,2,4),
(43839,118310,'20% chance to dispel when target takes damage',100,1,5),
(43840,118310,'Does not affect Epic targets',100,1,6),
(43841,118310,'Resistibility increases against targets higher than level 97.',100,1,7),
(43842,10118310,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(43843,10118310,'Slows target by 52.3%',100,2,1),
(43844,10118310,'5% chance to dispel when target receives hostile action',100,2,2),
(43845,10118310,'5% chance to dispel when target takes damage',100,2,3),
(43846,10118310,'Roots target encounter',100,1,4),
(43847,10118310,'20% chance to dispel when target takes damage',100,1,5),
(43848,10118310,'Does not affect Epic targets',100,1,6),
(43849,10118310,'Resistibility increases against targets higher than level 97.',100,1,7),
(43850,111326,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(43851,111326,'Inflicts 1289 - 1575 mental damage on target',100,2,1),
(43852,111326,'Grants a total of 3 triggers of the spell.',100,2,2),
(43853,10111326,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(43854,10111326,'Inflicts 1002 - 1196 mental damage on target',100,2,1),
(43855,10111326,'Grants a total of 3 triggers of the spell.',100,2,2),
(43856,124502,'Heals group members (AE) for 3659 - 4399',100,1,0),
(43857,10124502,'Heals group members (AE) for 3157 - 3840',100,1,0),
(43858,121723,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(43859,121723,'Increases AGI of caster by 70.0',100,1,1),
(43860,121723,'Adds 1.9% to base avoidance.',100,1,2),
(43861,121723,'Decreases Slashing and Piercing of caster by 25.9',100,1,3),
(43862,121723,'Increases Parry of caster by 40.0',100,1,4),
(43863,121723,'Increases Defense of caster by 53.3',100,1,5),
(43864,10121723,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(43865,10121723,'Increases AGI of caster by 70.0',100,1,1),
(43866,10121723,'Adds 1.9% to base avoidance.',100,1,2),
(43867,10121723,'Decreases Slashing and Piercing of caster by 25.9',100,1,3),
(43868,10121723,'Increases Parry of caster by 40.0',100,1,4),
(43869,10121723,'Increases Defense of caster by 53.3',100,1,5),
(43870,122250,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(43871,122250,'Decreases Damage Per Second of target by 32.0',100,2,1),
(43872,122250,'Decreases Attack Speed of target by 23.8',100,2,2),
(43873,10122250,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(43874,10122250,'Decreases Damage Per Second of target by 32.0',100,2,1),
(43875,10122250,'Decreases Attack Speed of target by 23.8',100,2,2),
(43876,103213,'Increases Mitigation of caster vs physical damage by 528',100,1,0),
(43877,103213,'Roots caster',100,1,1),
(43878,10103213,'Increases Mitigation of caster vs physical damage by 528',100,1,0),
(43879,10103213,'Roots caster',100,1,1),
(43880,20419,'When Equipped:',100,0,0),
(43881,20419,'On a ranged hit this spell will cast Burning Tar on target of attack.  ',100,1,1),
(43882,20419,'Inflicts 32 - 39 heat damage on target',100,2,2),
(43883,20419,'Cannot be modified except by direct means',100,2,3),
(43884,10020419,'When Equipped:',100,0,0),
(43885,10020419,'On a ranged hit this spell will cast Burning Tar on target of attack.  ',100,1,1),
(43886,10020419,'Inflicts 32 - 39 heat damage on target',100,2,2),
(43887,10020419,'Cannot be modified except by direct means',100,2,3),
(43888,119133,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(43889,119133,'Inflicts 1240 - 1516 slashing damage on target',100,2,1),
(43890,119133,'Increases Mitigation of caster vs physical damage by 676',100,1,2),
(43891,10119133,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(43892,10119133,'Inflicts 978 - 1195 slashing damage on target',100,2,1),
(43893,10119133,'Increases Mitigation of caster vs physical damage by 676',100,1,2),
(43894,119145,'Target will lose 49% less power when power is consumed',100,1,0),
(43895,10119145,'Target will lose 49% less power when power is consumed',100,1,0),
(43896,160049,'When Equipped:',100,0,0),
(43897,160049,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(43898,160049,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(43899,160049,'Inflicts 393 divine damage on target',100,2,3),
(43900,160049,'Must not be classified as a vampire',100,3,4),
(43901,160049,'Inflicts 787 divine damage on target',100,2,5),
(43902,160049,'Must be classified as a vampire',100,3,6),
(43903,160049,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(43904,160049,'Must be classified as a vampire',100,3,8),
(43905,160049,'Cannot be modified except by direct means',100,2,9),
(43906,10160049,'When Equipped:',100,0,0),
(43907,10160049,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(43908,10160049,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(43909,10160049,'Inflicts 393 divine damage on target',100,2,3),
(43910,10160049,'Must not be classified as a vampire',100,3,4),
(43911,10160049,'Inflicts 787 divine damage on target',100,2,5),
(43912,10160049,'Must be classified as a vampire',100,3,6),
(43913,10160049,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(43914,10160049,'Must be classified as a vampire',100,3,8),
(43915,10160049,'Cannot be modified except by direct means',100,2,9),
(43916,36544,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(43917,143258,'When Equipped:',100,0,0),
(43918,143258,'When a combat art is used this spell has a 6% chance to cast Hindering Swipe on target of combat art.  Lasts for 16.0 seconds.  ',100,1,1),
(43919,143258,'Decreases Damage Per Second of target by 6.0',100,2,2),
(43920,143258,'Cannot be modified except by direct means',100,2,3),
(43921,10143258,'When Equipped:',100,0,0),
(43922,10143258,'When a combat art is used this spell has a 6% chance to cast Hindering Swipe on target of combat art.  Lasts for 16.0 seconds.  ',100,1,1),
(43923,10143258,'Decreases Damage Per Second of target by 6.0',100,2,2),
(43924,10143258,'Cannot be modified except by direct means',100,2,3),
(43925,112223,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(43926,112223,'Increases Threat to target by 206 ',100,2,1),
(43927,112223,'Inflicts 99 disease damage on target',100,2,2),
(43928,112223,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 788',100,1,3),
(43929,10112223,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(43930,10112223,'Inflicts 78 disease damage on target',100,2,1),
(43931,10112223,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 788',100,1,2),
(43932,118667,'Inflicts 1323 - 2194 slashing damage on target',100,1,0),
(43933,10118667,'Inflicts 1064 - 1572 slashing damage on target',100,1,0),
(43934,121452,'Increases AGI of caster by 76.3',100,1,0),
(43935,121452,'Adds 25.0% to base avoidance.',100,1,1),
(43936,121452,'Increases Mitigation of caster vs physical damage by 748',100,1,2),
(43937,121452,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,3),
(43938,10121452,'Increases AGI of caster by 76.3',100,1,0),
(43939,10121452,'Adds 25.0% to base avoidance.',100,1,1),
(43940,10121452,'Increases Mitigation of caster vs physical damage by 748',100,1,2),
(43941,10121452,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,3),
(43942,103872,'Decreases Mitigation of target vs noxious damage by 1820',100,1,0),
(43943,103872,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(43944,103872,'Slows target by 60.2%',100,2,2),
(43945,103872,'5% chance to dispel when target receives hostile action',100,2,3),
(43946,103872,'5% chance to dispel when target takes damage',100,2,4),
(43947,10103872,'Decreases Mitigation of target vs noxious damage by 1820',100,1,0),
(43948,10103872,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(43949,10103872,'Slows target by 60.2%',100,2,2),
(43950,10103872,'5% chance to dispel when target receives hostile action',100,2,3),
(43951,10103872,'5% chance to dispel when target takes damage',100,2,4),
(43952,47735,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(43953,47735,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(43954,47735,'Decreases Threat to target by 769 - 940 ',100,2,2),
(43955,47735,'Cannot be modified except by direct means',100,2,3),
(43956,47735,'Grants a total of 100 triggers of the spell.',100,2,4),
(43957,10047735,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(43958,10047735,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(43959,10047735,'5% chance to apply Distract.',100,2,2),
(43960,10047735,'Forces target to clear their selected target.',100,3,3),
(43961,10047735,'Cannot be modified except by direct means',100,2,4),
(43962,10047735,'Grants a total of 100 triggers of the spell.',100,2,5),
(43963,174396,'Applies Heroic Resistance X when Equipped.',100,0,0),
(43964,174396,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(43965,174396,'Cannot be modified except by direct means',100,1,2),
(43966,10174396,'Applies Heroic Resistance X when Equipped.',100,0,0),
(43967,10174396,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(43968,10174396,'Cannot be modified except by direct means',100,1,2),
(43969,85328,'Applies Poison Bolt when Activated.',100,0,0),
(43970,85328,'Inflicts 171 - 285 poison damage on target',100,1,1),
(43971,85328,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43972,10085328,'Applies Poison Bolt when Activated.',100,0,0),
(43973,10085328,'Inflicts 171 - 285 poison damage on target',100,1,1),
(43974,10085328,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(43975,159055,'When Equipped:',100,0,0),
(43976,159055,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43977,159055,'Increases STR of caster by 5.8',100,2,2),
(43978,159055,'Increases Damage Per Second of caster by 13.2',100,2,3),
(43979,159055,'Cannot be modified except by direct means',100,2,4),
(43980,10159055,'When Equipped:',100,0,0),
(43981,10159055,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(43982,10159055,'Increases STR of caster by 5.8',100,2,2),
(43983,10159055,'Increases Damage Per Second of caster by 13.2',100,2,3),
(43984,10159055,'Cannot be modified except by direct means',100,2,4),
(43985,47197,'Applies Elixir of Perception  when Activated.  Lasts for 30 minutes.',100,0,0),
(43986,47197,'Increases AGI of caster by 23.0',100,1,1),
(43987,10047197,'Applies Elixir of Perception  when Activated.  Lasts for 30 minutes.',100,0,0),
(43988,10047197,'Increases AGI of caster by 23.0',100,1,1),
(43989,159689,'When Equipped:',100,0,0),
(43990,159689,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(43991,159689,'Increases STA of caster by 19.8',100,2,2),
(43992,159689,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(43993,159689,'Cannot be modified except by direct means',100,2,4),
(43994,10159689,'When Equipped:',100,0,0),
(43995,10159689,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(43996,10159689,'Increases STA of caster by 19.8',100,2,2),
(43997,10159689,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(43998,10159689,'Cannot be modified except by direct means',100,2,4),
(43999,42556,'When Equipped:',100,0,0),
(44000,42556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44001,42556,'Inflicts 136 - 204 magic damage on target',100,2,2),
(44002,42556,'Cannot be modified except by direct means',100,2,3),
(44003,10042556,'When Equipped:',100,0,0),
(44004,10042556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44005,10042556,'Inflicts 136 - 204 magic damage on target',100,2,2),
(44006,10042556,'Cannot be modified except by direct means',100,2,3),
(44007,115035,'Heals target for 1435 - 1754',100,1,0),
(44008,10115035,'Heals target for 1313 - 1547',100,1,0),
(44009,45643,'Applies Elixir of the Clear Mind  when Activated.',100,0,0),
(44010,45643,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(44011,10045643,'Applies Elixir of the Clear Mind  when Activated.',100,0,0),
(44012,10045643,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(44013,158997,'When Equipped:',100,0,0),
(44014,158997,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(44015,10158997,'When Equipped:',100,0,0),
(44016,10158997,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(44017,113813,'Inflicts 432 - 720 disease damage on target',100,1,0),
(44018,10113813,'Inflicts 371 - 618 disease damage on target',100,1,0),
(44019,113442,'Increases INT of target by 15.8',100,1,0),
(44020,113442,'Increases Max Health of target by 46.6',100,1,1),
(44021,10113442,'Increases INT of target by 15.8',100,1,0),
(44022,10113442,'Increases Max Health of target by 46.6',100,1,1),
(44023,84177,'When Equipped:',100,0,0),
(44024,84177,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44025,84177,'Inflicts 289 - 481 magic damage on target',100,2,2),
(44026,84177,'Cannot be modified except by direct means',100,2,3),
(44027,10084177,'When Equipped:',100,0,0),
(44028,10084177,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44029,10084177,'Inflicts 289 - 481 magic damage on target',100,2,2),
(44030,10084177,'Cannot be modified except by direct means',100,2,3),
(44031,152386,'When Equipped:',100,0,0),
(44032,152386,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(44033,152386,'Inflicts 2344 heat damage on target',100,2,2),
(44034,152386,'Heals caster for 2100',100,2,3),
(44035,152386,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(44036,152386,'Cannot be modified except by direct means',100,2,5),
(44037,152386,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(44038,152386,'Inflicts 2344 heat damage on target',100,2,7),
(44039,152386,'Heals caster for 2100',100,2,8),
(44040,152386,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(44041,152386,'Cannot be modified except by direct means',100,2,10),
(44042,10152386,'When Equipped:',100,0,0),
(44043,10152386,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(44044,10152386,'Inflicts 2344 heat damage on target',100,2,2),
(44045,10152386,'Heals caster for 2456',100,2,3),
(44046,10152386,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(44047,10152386,'Cannot be modified except by direct means',100,2,5),
(44048,10152386,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(44049,10152386,'Inflicts 2344 heat damage on target',100,2,7),
(44050,10152386,'Heals caster for 2456',100,2,8),
(44051,10152386,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(44052,10152386,'Cannot be modified except by direct means',100,2,10),
(44053,123641,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(44054,123641,'Slows target by 36.2%',100,2,1),
(44055,123641,'5% chance to dispel when target receives hostile action',100,2,2),
(44056,123641,'5% chance to dispel when target takes damage',100,2,3),
(44057,123641,'Inflicts 1235 - 1510 cold damage on target',100,1,4),
(44058,10123641,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(44059,10123641,'Slows target by 36.2%',100,2,1),
(44060,10123641,'5% chance to dispel when target receives hostile action',100,2,2),
(44061,10123641,'5% chance to dispel when target takes damage',100,2,3),
(44062,10123641,'Inflicts 951 - 1075 cold damage on target',100,1,4),
(44063,75049,'Applies Poison Bolt when Activated.',100,0,0),
(44064,75049,'Inflicts 99 - 164 poison damage on target',100,1,1),
(44065,75049,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(44066,10075049,'Applies Poison Bolt when Activated.',100,0,0),
(44067,10075049,'Inflicts 99 - 164 poison damage on target',100,1,1),
(44068,10075049,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(44069,106603,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(44070,10106603,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(44071,110638,'Inflicts 4938 - 7547 ranged damage on target',100,1,0),
(44072,110638,'If weapon equipped in Ranged',100,1,1),
(44073,110638,'Must be flanking or behind',100,1,2),
(44074,10110638,'Inflicts 2104 - 3231 ranged damage on target',100,1,0),
(44075,10110638,'If weapon equipped in Ranged',100,1,1),
(44076,10110638,'Must be flanking or behind',100,1,2),
(44077,139800,'When Equipped:',100,0,0),
(44078,139800,'Reduces resistibility of all spells by 5%.',100,1,1),
(44079,10139800,'When Equipped:',100,0,0),
(44080,10139800,'Reduces resistibility of all spells by 5%.',100,1,1),
(44081,46327,'Applies Swirling Snowflakes when Activated.  Lasts for 3.0 seconds.',100,0,0),
(44082,46327,'Launches a firework when used.',100,1,1),
(44083,10046327,'Applies Swirling Snowflakes when Activated.  Lasts for 3.0 seconds.',100,0,0),
(44084,10046327,'Launches a firework when used.',100,1,1),
(44085,103220,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(44086,103220,'Adds 2.4% to base avoidance.',100,1,1),
(44087,103220,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(44088,103220,'Increases Parry of caster by 2.9',100,1,3),
(44089,103220,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(44090,103220,'Increases Aggression of caster by 2.2',100,1,5),
(44091,103220,'Increases Defense and Deflection of caster by 2.9',100,1,6),
(44092,103220,'Increases Mitigation of caster vs noxious damage by 246',100,1,7),
(44093,103220,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(44094,103220,'Reduces physical damage done to caster by 5%',100,1,9),
(44095,10103220,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(44096,10103220,'Adds 2.4% to base avoidance.',100,1,1),
(44097,10103220,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(44098,10103220,'Increases Parry of caster by 2.9',100,1,3),
(44099,10103220,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(44100,10103220,'Increases Aggression of caster by 2.2',100,1,5),
(44101,10103220,'Increases Defense and Deflection of caster by 2.9',100,1,6),
(44102,10103220,'Increases Mitigation of caster vs noxious damage by 246',100,1,7),
(44103,10103220,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(44104,10103220,'Reduces physical damage done to caster by 5%',100,1,9),
(44105,37286,'Increases INT of target by 13.2',100,0,0),
(44106,37286,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(44107,82105,'When Equipped:',100,0,0),
(44108,82105,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44109,82105,'Inflicts 272 - 505 magic damage on target',100,2,2),
(44110,82105,'Cannot be modified except by direct means',100,2,3),
(44111,10082105,'When Equipped:',100,0,0),
(44112,10082105,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44113,10082105,'Inflicts 272 - 505 magic damage on target',100,2,2),
(44114,10082105,'Cannot be modified except by direct means',100,2,3),
(44115,100117,'Decreases STR, AGI, WIS and INT of target by 36.1',100,1,0),
(44116,100117,'Decreases Max Health of target by 0.7%',100,1,1),
(44117,10100117,'Decreases STR, AGI, WIS and INT of target by 36.1',100,1,0),
(44118,10100117,'Decreases Max Health of target by 0.7%',100,1,1),
(44119,108532,'Increases AGI and WIS of group members (AE) by 70.0',100,1,0),
(44120,108532,'Adds 1.8% to base avoidance.',100,1,1),
(44121,108532,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 202',100,1,2),
(44122,10108532,'Increases AGI and WIS of group members (AE) by 70.0',100,1,0),
(44123,10108532,'Adds 1.8% to base avoidance.',100,1,1),
(44124,10108532,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 202',100,1,2),
(44125,102502,'Inflicts 3739 - 5553 crushing damage on target',100,1,0),
(44126,102502,'Prevents target from changing direction while active.',100,1,1),
(44127,102502,'If Target is not Epic',100,2,2),
(44128,102502,'Roots target',100,1,3),
(44129,102502,'If Target is not Epic',100,2,4),
(44130,102502,'Resistibility increases against targets higher than level 104.',100,1,5),
(44131,10102502,'Inflicts 2567 - 3997 crushing damage on target',100,1,0),
(44132,10102502,'Prevents target from changing direction while active.',100,1,1),
(44133,10102502,'If Target is not Epic',100,2,2),
(44134,10102502,'Roots target',100,1,3),
(44135,10102502,'If Target is not Epic',100,2,4),
(44136,10102502,'Resistibility increases against targets higher than level 104.',100,1,5),
(44137,123382,'Heals group members (AE) for 2787 - 3334',100,1,0),
(44138,10123382,'Heals group members (AE) for 2444 - 2968',100,1,0),
(44139,117348,'Roots target',100,1,0),
(44140,117348,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(44141,117348,'Slows target by 67.5%',100,2,2),
(44142,117348,'5% chance to dispel when target receives hostile action',100,2,3),
(44143,117348,'5% chance to dispel when target takes damage',100,2,4),
(44144,117348,'15% chance to dispel when target takes damage',100,1,5),
(44145,117348,'Does not affect Epic targets',100,1,6),
(44146,117348,'Resistibility increases against targets higher than level 90.',100,1,7),
(44147,10117348,'Roots target',100,1,0),
(44148,10117348,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(44149,10117348,'Slows target by 67.5%',100,2,2),
(44150,10117348,'10% chance to dispel when target receives hostile action',100,2,3),
(44151,10117348,'10% chance to dispel when target takes damage',100,2,4),
(44152,10117348,'15% chance to dispel when target takes damage',100,1,5),
(44153,10117348,'Does not affect Epic targets',100,1,6),
(44154,10117348,'Resistibility increases against targets higher than level 90.',100,1,7),
(44155,37137,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(44156,37137,'Increases Max Health of target by 14.0',100,0,1),
(44157,159989,'Applies Sanguine Imbued when Equipped.',100,0,0),
(44158,159989,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(44159,159989,'Inflicts 238 heat damage on target',100,2,2),
(44160,159989,'Cannot be modified except by direct means',100,2,3),
(44161,10159989,'Applies Sanguine Imbued when Equipped.',100,0,0),
(44162,10159989,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(44163,10159989,'Inflicts 238 heat damage on target',100,2,2),
(44164,10159989,'Cannot be modified except by direct means',100,2,3),
(44165,105048,'Inflicts 338 - 563 divine damage on targets in Area of Effect',100,1,0),
(44166,10105048,'Inflicts 276 - 461 divine damage on targets in Area of Effect',100,1,0),
(44167,159266,'When Equipped:',100,0,0),
(44168,159266,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(44169,159266,'Increases INT of caster by 4.7',100,2,2),
(44170,159266,'Increases Disruption, Focus and Subjugation of caster by 2.9',100,2,3),
(44171,159266,'Cannot be modified except by direct means',100,2,4),
(44172,10159266,'When Equipped:',100,0,0),
(44173,10159266,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(44174,10159266,'Increases INT of caster by 4.7',100,2,2),
(44175,10159266,'Increases Disruption, Focus and Subjugation of caster by 2.9',100,2,3),
(44176,10159266,'Cannot be modified except by direct means',100,2,4),
(44177,147229,'When Equipped:',100,0,0),
(44178,147229,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(44179,10147229,'When Equipped:',100,0,0),
(44180,10147229,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(44181,24017,'Adds Aviak (Guardian) to your Dungeon Maker toolbox',100,0,0),
(44182,10024017,'Adds Aviak (Guardian) to your Dungeon Maker toolbox',100,0,0),
(44183,107445,'Summons a pet earthen avatar',100,1,0),
(44184,10107445,'Summons a pet earthen avatar',100,1,0),
(44185,116235,'Summons a pet Illusion Ally',100,1,0),
(44186,10116235,'Summons a pet Illusion Ally',100,1,0),
(44187,36550,'Increases Max Power of target by 90.7',100,0,0),
(44188,36550,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(44189,101257,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(44190,101257,'Inflicts 1080 - 1800 mental damage on target',100,2,1),
(44191,10101257,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(44192,10101257,'Inflicts 851 - 1419 mental damage on target',100,2,1),
(44193,157138,'When Equipped:',100,0,0),
(44194,157138,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(44195,10157138,'When Equipped:',100,0,0),
(44196,10157138,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(44197,81979,'When Equipped:',100,0,0),
(44198,81979,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44199,81979,'Inflicts 523 - 972 magic damage on target',100,2,2),
(44200,81979,'Cannot be modified except by direct means',100,2,3),
(44201,10081979,'When Equipped:',100,0,0),
(44202,10081979,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44203,10081979,'Inflicts 523 - 972 magic damage on target',100,2,2),
(44204,10081979,'Cannot be modified except by direct means',100,2,3),
(44205,111223,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(44206,111223,'Heals target for 427 - 522',100,2,1),
(44207,10111223,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(44208,10111223,'Heals target for 227 - 278',100,2,1),
(44209,48386,'Applies Gate: Solusek''s Eye when Activated.',100,0,0),
(44210,48386,'Teleports caster to a random zone location',100,1,1),
(44211,48386,'This effect cannot be cast during combat',100,1,2),
(44212,10048386,'Applies Gate: Solusek''s Eye when Activated.',100,0,0),
(44213,10048386,'Teleports caster to a random zone location',100,1,1),
(44214,10048386,'This effect cannot be cast during combat',100,1,2),
(44215,117970,'Heals target for 3368 - 3898',100,1,0),
(44216,117970,'Increases Max Health of target by 126.3',100,1,1),
(44217,10117970,'Heals target for 2413 - 2892',100,1,0),
(44218,10117970,'Increases Max Health of target by 126.3',100,1,1),
(44219,45000,'Applies Activate !Fluffy when Activated.',100,0,0),
(44220,45000,'This effect cannot be cast during combat',100,1,1),
(44221,10045000,'Applies Activate !Fluffy when Activated.',100,0,0),
(44222,10045000,'This effect cannot be cast during combat',100,1,1),
(44223,103350,'Decreases power of target by 6 instantly and every 6 seconds',100,1,0),
(44224,103350,'Inflicts 107 - 127 mental damage on target',100,1,1),
(44225,103350,'Inflicts 26 - 32 mental damage on target every 6 seconds',100,1,2),
(44226,103350,'Increases power of caster by 6',100,1,3),
(44227,10103350,'Decreases power of target by 5 instantly and every 6 seconds',100,1,0),
(44228,10103350,'Inflicts 101 - 120 mental damage on target',100,1,1),
(44229,10103350,'Inflicts 20 - 25 mental damage on target every 6 seconds',100,1,2),
(44230,10103350,'Increases power of caster by 6',100,1,3),
(44231,148614,'When Equipped:',100,0,0),
(44232,148614,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(44233,10148614,'When Equipped:',100,0,0),
(44234,10148614,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(44235,54036,'When Equipped:',100,0,0),
(44236,54036,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(44237,54036,'Wards caster against 280 points of all damage',100,2,2),
(44238,54036,'Cannot be modified except by direct means',100,2,3),
(44239,10054036,'When Equipped:',100,0,0),
(44240,10054036,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(44241,10054036,'Wards caster against 280 points of all damage',100,2,2),
(44242,10054036,'Cannot be modified except by direct means',100,2,3),
(44243,101772,'Heals group members (AE) for 1271 - 1480',100,1,0),
(44244,101772,'Heals group members (AE) for 943 - 1153 every 2 seconds',100,1,1),
(44245,10101772,'Heals group members (AE) for 569 - 676',100,1,0),
(44246,10101772,'Heals group members (AE) for 483 - 591 every 2 seconds',100,1,1),
(44247,41197,'When Equipped:',100,0,0),
(44248,41197,'This effect will not stack with itself.',100,1,1),
(44249,41197,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(44250,41197,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(44251,41197,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(44252,41197,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(44253,41197,'Must not be engaged in pvp combat',100,2,6),
(44254,41197,'Cannot be modified except by direct means',100,2,7),
(44255,41197,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(44256,41197,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(44257,41197,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(44258,41197,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(44259,41197,'Must not be engaged in pvp combat',100,2,12),
(44260,41197,'Cannot be modified except by direct means',100,2,13),
(44261,41197,'Must not be engaged in pvp combat',100,1,14),
(44262,10041197,'When Equipped:',100,0,0),
(44263,10041197,'This effect will not stack with itself.',100,1,1),
(44264,10041197,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(44265,10041197,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(44266,10041197,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(44267,10041197,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(44268,10041197,'Must not be engaged in pvp combat',100,2,6),
(44269,10041197,'Cannot be modified except by direct means',100,2,7),
(44270,10041197,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(44271,10041197,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(44272,10041197,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(44273,10041197,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(44274,10041197,'Must not be engaged in pvp combat',100,2,12),
(44275,10041197,'Cannot be modified except by direct means',100,2,13),
(44276,10041197,'Must not be engaged in pvp combat',100,1,14),
(44277,110832,'Interrupts target',100,1,0),
(44278,110832,'Inflicts 778 - 1052 mental damage on target',100,1,1),
(44279,10110832,'Interrupts target',100,1,0),
(44280,10110832,'Inflicts 668 - 903 mental damage on target',100,1,1),
(44281,122281,'Makes targets in Area of Effect afraid',100,1,0),
(44282,122281,'If Target is not Epic',100,2,1),
(44283,122281,'Decreases Threat to targets in Area of Effect by 7,764 ',100,1,2),
(44284,122281,'30% chance to dispel when target takes damage',100,1,3),
(44285,10122281,'Makes targets in Area of Effect afraid',100,1,0),
(44286,10122281,'If Target is not Epic',100,2,1),
(44287,10122281,'Applies Distract.',100,1,2),
(44288,10122281,'Forces target to clear their selected target.',100,2,3),
(44289,10122281,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(44290,10122281,'30% chance to dispel when target takes damage',100,1,5),
(44291,115714,'Heals target for 1211',100,1,0),
(44292,115714,'Heals target for 229 every 0.3 seconds',100,1,1),
(44293,115714,'Stifles caster',100,1,2),
(44294,10115714,'Heals target for 374',100,1,0),
(44295,10115714,'Heals target for 117 every 0.3 seconds',100,1,1),
(44296,10115714,'Stifles caster',100,1,2),
(44297,74928,'When Equipped:',100,0,0),
(44298,74928,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44299,74928,'Inflicts 49 - 74 magic damage on target',100,2,2),
(44300,74928,'Cannot be modified except by direct means',100,2,3),
(44301,10074928,'When Equipped:',100,0,0),
(44302,10074928,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44303,10074928,'Inflicts 49 - 74 magic damage on target',100,2,2),
(44304,10074928,'Cannot be modified except by direct means',100,2,3),
(44305,110200,'Interrupts target',100,1,0),
(44306,110200,'Inflicts 275 - 456 crushing damage on target',100,1,1),
(44307,10110200,'Interrupts target',100,1,0),
(44308,10110200,'Inflicts 221 - 367 crushing damage on target',100,1,1),
(44309,49173,'Applies Wyrmsteel - Ro''s Fury when Activated.',100,0,0),
(44310,49173,'Inflicts 361 - 442 heat damage on target',100,1,1),
(44311,49173,'If target is darathar',100,1,2),
(44312,10049173,'Applies Wyrmsteel - Ro''s Fury when Activated.',100,0,0),
(44313,10049173,'Inflicts 361 - 442 heat damage on target',100,1,1),
(44314,10049173,'If target is darathar',100,1,2),
(44315,79467,'When Equipped:',100,0,0),
(44316,79467,'Reduces physical damage done to caster by 10%',100,1,1),
(44317,79467,'When Equipped:',100,0,2),
(44318,79467,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,3),
(44319,79467,'Inflicts 619 - 928 crushing damage on target',100,2,4),
(44320,79467,'Increases Crit Chance of caster by 12.0',100,2,5),
(44321,79467,'Cannot be modified except by direct means',100,2,6),
(44322,79467,'Attacker must be behind or flanking',100,2,7),
(44323,79467,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,8),
(44324,79467,'Increases Threat to target by 3,787 ',100,2,9),
(44325,79467,'Inflicts 550 - 825 crushing damage on target',100,2,10),
(44326,79467,'Increases Crit Chance of caster by 12.0',100,2,11),
(44327,79467,'Cannot be modified except by direct means',100,2,12),
(44328,79467,'Attacker must be in front of',100,2,13),
(44329,79467,'Cannot be modified except by direct means',100,1,14),
(44330,79467,'Applies Unyielding Resolve when Activated.  Lasts for 10.0 seconds.',100,0,15),
(44331,79467,'Heals caster for 10.0% of max health',100,1,16),
(44332,79467,'Heals caster for 5.0% of max health every second',100,1,17),
(44333,79467,'This effect cannot be critically applied.',100,2,18),
(44334,79467,'Caster will Dodge 100.0% of incoming attacks',100,1,19),
(44335,79467,'The reuse time of Unyielding Resolve is 4 minutes 9 seconds',100,1,20),
(44336,10079467,'When Equipped:',100,0,0),
(44337,10079467,'Reduces physical damage done to caster by 10%',100,1,1),
(44338,10079467,'When Equipped:',100,0,2),
(44339,10079467,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,3),
(44340,10079467,'Inflicts 619 - 928 crushing damage on target',100,2,4),
(44341,10079467,'Increases Crit Chance of caster by 12.0',100,2,5),
(44342,10079467,'Cannot be modified except by direct means',100,2,6),
(44343,10079467,'Attacker must be behind or flanking',100,2,7),
(44344,10079467,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,8),
(44345,10079467,'Inflicts 550 - 825 crushing damage on target',100,2,9),
(44346,10079467,'Increases Crit Chance of caster by 12.0',100,2,10),
(44347,10079467,'Cannot be modified except by direct means',100,2,11),
(44348,10079467,'Attacker must be in front of',100,2,12),
(44349,10079467,'Cannot be modified except by direct means',100,1,13),
(44350,10079467,'Applies Unyielding Resolve when Activated.  Lasts for 10.0 seconds.',100,0,14),
(44351,10079467,'Heals caster for 6.5% of max health',100,1,15),
(44352,10079467,'Heals caster for 3.2% of max health every second',100,1,16),
(44353,10079467,'This effect cannot be critically applied.',100,2,17),
(44354,10079467,'Caster will Dodge 100.0% of incoming attacks',100,1,18),
(44355,10079467,'The reuse time of Unyielding Resolve is 4 minutes 9 seconds',100,1,19),
(44356,115777,'Inflicts 1948 - 3137 melee damage on target',100,1,0),
(44357,10115777,'Inflicts 1432 - 2116 melee damage on target',100,1,0),
(44358,106242,'Wards target against 713 points of all damage',100,1,0),
(44359,10106242,'Wards target against 585 points of all damage',100,1,0),
(44360,108385,'Heals target for 199 - 243',100,1,0),
(44361,10108385,'Heals target for 168 - 205',100,1,0),
(44362,45030,'Applies Use Compass when Activated.  Lasts for 1.0 second.',100,0,0),
(44363,45030,'Points you to the nearest loot cache within the Stormgorge!',100,1,1),
(44364,10045030,'Applies Use Compass when Activated.  Lasts for 1.0 second.',100,0,0),
(44365,10045030,'Points you to the nearest loot cache within the Stormgorge!',100,1,1),
(44366,141843,'When Equipped:',100,0,0),
(44367,141843,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(44368,141843,'Increases STA of caster by 8.9',100,2,2),
(44369,141843,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(44370,141843,'Cannot be modified except by direct means',100,2,4),
(44371,10141843,'When Equipped:',100,0,0),
(44372,10141843,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(44373,10141843,'Increases STA of caster by 8.9',100,2,2),
(44374,10141843,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(44375,10141843,'Cannot be modified except by direct means',100,2,4),
(44376,101845,'Summons a limited pet to aid the caster',100,1,0),
(44377,10101845,'Summons a limited pet to aid the caster',100,1,0),
(44378,101320,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(44379,101320,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 116',100,1,1),
(44380,101320,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,2),
(44381,10101320,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(44382,10101320,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 116',100,1,1),
(44383,10101320,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,2),
(44384,102051,'Interrupts targets in Area of Effect',100,1,0),
(44385,102051,'Inflicts 1302 - 2159 melee damage on targets in area',100,1,1),
(44386,10102051,'Interrupts targets in Area of Effect',100,1,0),
(44387,10102051,'Inflicts 1011 - 1590 melee damage on targets in area',100,1,1),
(44388,81395,'When Equipped:',100,0,0),
(44389,81395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44390,81395,'Inflicts 140 - 260 magic damage on target',100,2,2),
(44391,81395,'Cannot be modified except by direct means',100,2,3),
(44392,10081395,'When Equipped:',100,0,0),
(44393,10081395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44394,10081395,'Inflicts 140 - 260 magic damage on target',100,2,2),
(44395,10081395,'Cannot be modified except by direct means',100,2,3),
(44396,111309,'Inflicts 3297 - 4821 divine damage on target',100,1,0),
(44397,111309,'Inflicts 921 - 1536 divine damage on target every 4 seconds',100,1,1),
(44398,10111309,'Inflicts 2219 - 3420 divine damage on target',100,1,0),
(44399,10111309,'Inflicts 726 - 1210 divine damage on target every 4 seconds',100,1,1),
(44400,82201,'When Equipped:',100,0,0),
(44401,82201,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(44402,82201,'Decreases Threat to target by 135 ',100,2,2),
(44403,82201,'Must be flanking or behind',100,3,3),
(44404,82201,'Increases Threat to target by 236 ',100,2,4),
(44405,82201,'Must be in front of',100,3,5),
(44406,82201,'Inflicts 61 - 114 magic damage on target',100,2,6),
(44407,82201,'Cannot be modified except by direct means',100,2,7),
(44408,10082201,'When Equipped:',100,0,0),
(44409,10082201,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(44410,10082201,'Inflicts 61 - 114 magic damage on target',100,2,2),
(44411,10082201,'Cannot be modified except by direct means',100,2,3),
(44412,143482,'When Equipped:',100,0,0),
(44413,143482,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(44414,143482,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(44415,143482,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(44416,143482,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(44417,143482,'Must not be engaged in pvp combat',100,2,5),
(44418,143482,'Cannot be modified except by direct means',100,2,6),
(44419,10143482,'When Equipped:',100,0,0),
(44420,10143482,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(44421,10143482,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(44422,10143482,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(44423,10143482,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(44424,10143482,'Must not be engaged in pvp combat',100,2,5),
(44425,10143482,'Cannot be modified except by direct means',100,2,6),
(44426,46185,'Applies Release when Activated.',100,0,0),
(44427,46185,'This effect cannot be cast during combat',100,1,1),
(44428,10046185,'Applies Release when Activated.',100,0,0),
(44429,10046185,'This effect cannot be cast during combat',100,1,1),
(44430,45802,'Applies Crovsar''s Invigoration when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(44431,45802,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(44432,45802,'Inflicts 2 magic damage on target',100,2,2),
(44433,45802,'Cannot be modified except by direct means',100,2,3),
(44434,10045802,'Applies Crovsar''s Invigoration when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(44435,10045802,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(44436,10045802,'Inflicts 2 magic damage on target',100,2,2),
(44437,10045802,'Cannot be modified except by direct means',100,2,3),
(44438,123314,'Increases STA of raid and group members (AE) by 17.8',100,1,0),
(44439,123314,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(44440,10123314,'Increases STA of raid and group members (AE) by 17.8',100,1,0),
(44441,10123314,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(44442,46577,'Applies essence of health when Activated.',100,0,0),
(44443,46577,'Heals caster for 140',100,1,1),
(44444,10046577,'Applies essence of health when Activated.',100,0,0),
(44445,10046577,'Heals caster for 91',100,1,1),
(44446,102226,'Increases Max Health of group members (AE) by 421.7',100,1,0),
(44447,10102226,'Increases Max Health of group members (AE) by 421.7',100,1,0),
(44448,104136,'Roots target',100,1,0),
(44449,104136,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(44450,104136,'Makes target afraid',100,2,2),
(44451,104136,'Slows target by 21.1%',100,2,3),
(44452,104136,'30% chance to dispel when target takes damage',100,2,4),
(44453,104136,'Resistibility increases against targets higher than level 90.',100,2,5),
(44454,104136,'15% chance to dispel when target takes damage',100,1,6),
(44455,104136,'Does not affect Epic targets',100,1,7),
(44456,104136,'Resistibility increases against targets higher than level 90.',100,1,8),
(44457,10104136,'Roots target',100,1,0),
(44458,10104136,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(44459,10104136,'Makes target afraid',100,2,2),
(44460,10104136,'Slows target by 21.1%',100,2,3),
(44461,10104136,'30% chance to dispel when target takes damage',100,2,4),
(44462,10104136,'Resistibility increases against targets higher than level 90.',100,2,5),
(44463,10104136,'15% chance to dispel when target takes damage',100,1,6),
(44464,10104136,'Does not affect Epic targets',100,1,7),
(44465,10104136,'Resistibility increases against targets higher than level 90.',100,1,8),
(44466,118489,'Summons a limited pet to aid the caster',100,1,0),
(44467,10118489,'Summons a limited pet to aid the caster',100,1,0),
(44468,36384,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,0),
(44469,74882,'When Equipped:',100,0,0),
(44470,74882,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44471,74882,'Inflicts 217 - 326 magic damage on target',100,2,2),
(44472,74882,'Cannot be modified except by direct means',100,2,3),
(44473,10074882,'When Equipped:',100,0,0),
(44474,10074882,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44475,10074882,'Inflicts 217 - 326 magic damage on target',100,2,2),
(44476,10074882,'Cannot be modified except by direct means',100,2,3),
(44477,100212,'Increases Threat to target encounter by 2,294 - 2,731 ',100,1,0),
(44478,100212,'Interrupts target encounter',100,1,1),
(44479,10100212,'Interrupts target encounter',100,1,0),
(44480,10100212,'Forces target encounter to change their selected target to caster.',100,1,1),
(44481,10100212,'Prevents target encounter from changing targets',100,1,2),
(44482,49010,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(44483,49010,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(44484,49010,'Decreases STR of target by 17.7',100,2,2),
(44485,49010,'Cannot be modified except by direct means',100,2,3),
(44486,49010,'Grants a total of 30 triggers of the spell.',100,2,4),
(44487,10049010,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(44488,10049010,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(44489,10049010,'Decreases STR of target by 17.7',100,2,2),
(44490,10049010,'Cannot be modified except by direct means',100,2,3),
(44491,10049010,'Grants a total of 30 triggers of the spell.',100,2,4),
(44492,111707,'Inflicts 3827 - 4460 cold damage on target',100,1,0),
(44493,111707,'Inflicts 2845 - 3477 cold damage on target',100,1,1),
(44494,111707,'If target is elemental',100,2,2),
(44495,10111707,'Inflicts 2317 - 2744 cold damage on target',100,1,0),
(44496,121521,'Inflicts 1611 - 2671 melee damage on target',100,1,0),
(44497,121521,'Stuns target',100,1,1),
(44498,121521,'If Target is not Epic',100,2,2),
(44499,121521,'Resistibility increases against targets higher than level 73.',100,1,3),
(44500,10121521,'Inflicts 1241 - 1798 melee damage on target',100,1,0),
(44501,10121521,'Stuns target',100,1,1),
(44502,10121521,'If Target is not Epic',100,2,2),
(44503,10121521,'Resistibility increases against targets higher than level 73.',100,1,3),
(44504,141699,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(44505,141699,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(44506,141699,'Inflicts 84 heat damage on target',100,2,2),
(44507,141699,'Cannot be modified except by direct means',100,2,3),
(44508,10141699,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(44509,10141699,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(44510,10141699,'Inflicts 84 heat damage on target',100,2,2),
(44511,10141699,'Cannot be modified except by direct means',100,2,3),
(44512,100050,'Decreases STR, AGI and WIS of target by 45.4',100,1,0),
(44513,10100050,'Decreases STR, AGI and WIS of target by 45.4',100,1,0),
(44514,114756,'Inflicts 18197 - 29530 melee damage on target',100,1,0),
(44515,114756,'You must be in stealth.',100,1,1),
(44516,10114756,'Inflicts 8477 - 13798 melee damage on target',100,1,0),
(44517,10114756,'You must be in stealth.',100,1,1),
(44518,103319,'Applies Migraine on termination.',100,1,0),
(44519,103319,'Inflicts 611 - 827 mental damage on target',100,2,1),
(44520,103319,'Inflicts 841 - 1028 mental damage on target',100,1,2),
(44521,103319,'Inflicts 240 - 294 mental damage on target every 6 seconds',100,1,3),
(44522,10103319,'Applies Migraine on termination.',100,1,0),
(44523,10103319,'Inflicts 500 - 677 mental damage on target',100,2,1),
(44524,10103319,'Inflicts 584 - 626 mental damage on target',100,1,2),
(44525,10103319,'Inflicts 189 - 232 mental damage on target every 6 seconds',100,1,3),
(44526,153824,'When Equipped:',100,0,0),
(44527,153824,'On a block this spell has a 10% chance to cast Champion''s Impedence II on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(44528,153824,'Increases caster''s chance to block by 10.0%',100,2,2),
(44529,153824,'Must not be engaged in pvp combat',100,2,3),
(44530,153824,'Cannot be modified except by direct means',100,2,4),
(44531,153824,'When damaged this spell has a 10% chance to cast Champion''s Impedence II on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(44532,153824,'Increases caster''s chance to block by 10.0%',100,2,6),
(44533,153824,'Must not be engaged in pvp combat',100,2,7),
(44534,153824,'Cannot be modified except by direct means',100,2,8),
(44535,153824,'Must not be engaged in pvp combat',100,1,9),
(44536,10153824,'When Equipped:',100,0,0),
(44537,10153824,'On a block this spell has a 10% chance to cast Champion''s Impedence II on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(44538,10153824,'Increases caster''s chance to block by 10.0%',100,2,2),
(44539,10153824,'Must not be engaged in pvp combat',100,2,3),
(44540,10153824,'Cannot be modified except by direct means',100,2,4),
(44541,10153824,'When damaged this spell has a 10% chance to cast Champion''s Impedence II on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(44542,10153824,'Increases caster''s chance to block by 10.0%',100,2,6),
(44543,10153824,'Must not be engaged in pvp combat',100,2,7),
(44544,10153824,'Cannot be modified except by direct means',100,2,8),
(44545,10153824,'Must not be engaged in pvp combat',100,1,9),
(44546,116769,'Increases Max Health of target by 811.2',100,1,0),
(44547,116769,'Increases Max Power of target by 895.1',100,1,1),
(44548,10116769,'Increases Max Health of target by 811.2',100,1,0),
(44549,10116769,'Increases Max Power of target by 895.1',100,1,1),
(44550,36352,'Increases Max Health of target by 80.0',100,0,0),
(44551,36352,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(44552,45473,'Applies Summon Carpet of Clover when Activated.',100,0,0),
(44553,45473,'Reduces maximum falling speed of caster',100,1,1),
(44554,45473,'Summons a mount to ride',100,1,2),
(44555,45473,'Increases your ground speed by 130%',100,2,3),
(44556,10045473,'Applies Summon Carpet of Clover when Activated.',100,0,0),
(44557,10045473,'Reduces maximum falling speed of caster',100,1,1),
(44558,10045473,'Summons a mount to ride',100,1,2),
(44559,10045473,'Increases your ground speed by 130%',100,2,3),
(44560,47766,'Applies Gate: Isle of Mara when Activated.',100,0,0),
(44561,47766,'Teleports caster to a random zone location',100,1,1),
(44562,47766,'This effect cannot be cast during combat',100,1,2),
(44563,10047766,'Applies Gate: Isle of Mara when Activated.',100,0,0),
(44564,10047766,'Teleports caster to a random zone location',100,1,1),
(44565,10047766,'This effect cannot be cast during combat',100,1,2),
(44566,37227,'Increases STR and AGI of target by 15.4',100,0,0),
(44567,37227,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(44568,45698,'Applies Melvil''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(44569,10045698,'Applies Melvil''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(44570,108680,'Inflicts 110 heat damage on target',100,1,0),
(44571,108680,'Inflicts 11 heat damage on target every 4 seconds',100,1,1),
(44572,10108680,'Inflicts 115 heat damage on target',100,1,0),
(44573,10108680,'Inflicts 9 heat damage on target every 4 seconds',100,1,1),
(44574,81571,'When Equipped:',100,0,0),
(44575,81571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44576,81571,'Inflicts 193 - 359 magic damage on target',100,2,2),
(44577,81571,'Cannot be modified except by direct means',100,2,3),
(44578,10081571,'When Equipped:',100,0,0),
(44579,10081571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44580,10081571,'Inflicts 193 - 359 magic damage on target',100,2,2),
(44581,10081571,'Cannot be modified except by direct means',100,2,3),
(44582,105428,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(44583,105428,'Increases STR of caster by 155.1',100,1,1),
(44584,105428,'Decreases Defense of caster by 18.0',100,1,2),
(44585,105428,'Increases Slashing, Piercing, Crushing and Disruption of caster by 35.6',100,1,3),
(44586,10105428,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(44587,10105428,'Increases STR of caster by 155.1',100,1,1),
(44588,10105428,'Decreases Defense of caster by 18.0',100,1,2),
(44589,10105428,'Increases Slashing, Piercing, Crushing and Disruption of caster by 35.6',100,1,3),
(44590,82000,'When Equipped:',100,0,0),
(44591,82000,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44592,82000,'Inflicts 272 - 505 magic damage on target',100,2,2),
(44593,82000,'Cannot be modified except by direct means',100,2,3),
(44594,10082000,'When Equipped:',100,0,0),
(44595,10082000,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44596,10082000,'Inflicts 272 - 505 magic damage on target',100,2,2),
(44597,10082000,'Cannot be modified except by direct means',100,2,3),
(44598,37033,'Increases Max Power of target by 47.2',100,0,0),
(44599,37033,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(44600,37078,'Increases STA of target by 6.2',100,0,0),
(44601,37078,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(44602,104493,'Decreases Mitigation of target encounter vs physical damage by 726',100,1,0),
(44603,10104493,'Decreases Mitigation of target encounter vs physical damage by 726',100,1,0),
(44604,115553,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1389',100,1,0),
(44605,10115553,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1389',100,1,0),
(44606,101802,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(44607,101802,'Decreases Threat to target by 2,125 ',100,2,1),
(44608,10101802,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(44609,10101802,'Inflicts 152 - 168 crushing damage on target',100,2,1),
(44610,36567,'Increases STA and WIS of target by 15.4',100,0,0),
(44611,36567,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(44612,42692,'When Equipped:',100,0,0),
(44613,42692,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(44614,42692,'Inflicts 94 - 114 magic damage on target',100,2,2),
(44615,42692,'Cannot be modified except by direct means',100,2,3),
(44616,10042692,'When Equipped:',100,0,0),
(44617,10042692,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(44618,10042692,'Inflicts 94 - 114 magic damage on target',100,2,2),
(44619,10042692,'Cannot be modified except by direct means',100,2,3),
(44620,121212,'Grants stealth to caster',100,1,0),
(44621,121212,'Suspends caster''s movement speed enhancements',100,1,1),
(44622,121212,'Decreases Threat to target by 2,638 - 5,053 ',100,1,2),
(44623,10121212,'Forces target to clear their selected target.',100,1,0),
(44624,10121212,'Grants stealth to caster',100,1,1),
(44625,10121212,'Suspends caster''s movement speed enhancements',100,1,2),
(44626,115660,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1320',100,1,0),
(44627,10115660,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1320',100,1,0),
(44628,76139,'When Equipped:',100,0,0),
(44629,76139,'On a hostile spell cast this spell has a 9% chance to cast Inferno on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(44630,76139,'Applies Inferno.  Lasts for 12.0 seconds.',100,2,2),
(44631,76139,'Increases Crit Chance of pet by 10.0',100,3,3),
(44632,76139,'Inflicts 390 - 584 heat damage on target',100,2,4),
(44633,76139,'Inflicts 69 - 103 heat damage on target every 3 seconds',100,2,5),
(44634,76139,'Cannot be modified except by direct means',100,2,6),
(44635,76139,'Cannot be modified except by direct means',100,1,7),
(44636,10076139,'When Equipped:',100,0,0),
(44637,10076139,'On a hostile spell cast this spell has a 9% chance to cast Inferno on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(44638,10076139,'Applies Inferno.  Lasts for 12.0 seconds.',100,2,2),
(44639,10076139,'Increases Crit Chance of pet by 10.0',100,3,3),
(44640,10076139,'Inflicts 390 - 584 heat damage on target',100,2,4),
(44641,10076139,'Inflicts 69 - 103 heat damage on target every 3 seconds',100,2,5),
(44642,10076139,'Cannot be modified except by direct means',100,2,6),
(44643,10076139,'Cannot be modified except by direct means',100,1,7),
(44644,26950,'When Equipped:',100,0,0),
(44645,26950,'Increases all divine damage by up to 45.',100,1,1),
(44646,10026950,'When Equipped:',100,0,0),
(44647,10026950,'Increases all divine damage by up to 45.',100,1,1),
(44648,124794,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(44649,124794,'Increases STR of caster by 68.0',100,1,1),
(44650,124794,'Decreases Defense of caster by 13.8',100,1,2),
(44651,124794,'Increases Crushing, Piercing, Slashing and Disruption of caster by 23.6',100,1,3),
(44652,10124794,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(44653,10124794,'Increases STR of caster by 68.0',100,1,1),
(44654,10124794,'Decreases Defense of caster by 13.8',100,1,2),
(44655,10124794,'Increases Crushing, Piercing, Slashing and Disruption of caster by 23.6',100,1,3),
(44656,118424,'Heals target for 3763 - 4381',100,1,0),
(44657,118424,'Increases Max Health of target by 174.2',100,1,1),
(44658,10118424,'Heals target for 2799 - 3364',100,1,0),
(44659,10118424,'Increases Max Health of target by 174.2',100,1,1),
(44660,45687,'Applies Clouded Khalysta''s Restoration when Activated.',100,0,0),
(44661,45687,'Heals caster for 350',100,1,1),
(44662,45687,'Only affects targets level 50 and above',100,1,2),
(44663,10045687,'Applies Clouded Khalysta''s Restoration when Activated.',100,0,0),
(44664,10045687,'Heals caster for 227',100,1,1),
(44665,10045687,'Only affects targets level 50 and above',100,1,2),
(44666,159105,'Applies Lambent Imbued when Equipped.',100,0,0),
(44667,159105,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(44668,159105,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(44669,159105,'Cannot be modified except by direct means',100,2,3),
(44670,10159105,'Applies Lambent Imbued when Equipped.',100,0,0),
(44671,10159105,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(44672,10159105,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(44673,10159105,'Cannot be modified except by direct means',100,2,3),
(44674,72183,'When Equipped:',100,0,0),
(44675,72183,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(44676,72183,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(44677,72183,'Cannot be modified except by direct means',100,2,3),
(44678,10072183,'When Equipped:',100,0,0),
(44679,10072183,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(44680,10072183,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(44681,10072183,'Cannot be modified except by direct means',100,2,3),
(44682,119259,'Inflicts 431 - 542 slashing damage on target',100,1,0),
(44683,119259,'Decreases Damage Per Second of target by 9.3',100,1,1),
(44684,119259,'Inflicts 150 slashing damage on target instantly and every 4 seconds',100,1,2),
(44685,10119259,'Inflicts 407 - 502 slashing damage on target',100,1,0),
(44686,10119259,'Decreases Damage Per Second of target by 9.3',100,1,1),
(44687,10119259,'Inflicts 118 slashing damage on target instantly and every 4 seconds',100,1,2),
(44688,47794,'Applies Aura of the Kerra when Activated.',100,0,0),
(44689,47794,'Casts Aura of the Kerra on the user',100,1,1),
(44690,10047794,'Applies Aura of the Kerra when Activated.',100,0,0),
(44691,10047794,'Casts Aura of the Kerra on the user',100,1,1),
(44692,24438,'Adds Elite: Honor Elf (Coercer) to your Dungeon Maker toolbox',100,0,0),
(44693,10024438,'Adds Elite: Honor Elf (Coercer) to your Dungeon Maker toolbox',100,0,0),
(44694,119801,'Adds 1.1% to base avoidance.',100,1,0),
(44695,119801,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(44696,10119801,'Adds 1.1% to base avoidance.',100,1,0),
(44697,10119801,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(44698,192069,'When Equipped:',100,0,0),
(44699,192069,'When healed this spell has a 5% chance to cast Blessing of Zan Fi on caster.  Lasts for 5 minutes.  ',100,1,1),
(44700,192069,'Wards target against 200 points of all damage',100,2,2),
(44701,192069,'Cannot be modified except by direct means',100,2,3),
(44702,10192069,'When Equipped:',100,0,0),
(44703,10192069,'When healed this spell has a 5% chance to cast Blessing of Zan Fi on caster.  Lasts for 5 minutes.  ',100,1,1),
(44704,10192069,'Wards target against 200 points of all damage',100,2,2),
(44705,10192069,'Cannot be modified except by direct means',100,2,3),
(44706,148725,'When Equipped:',100,0,0),
(44707,148725,'Increases range of hostile spells by 15 percent.',100,1,1),
(44708,10148725,'When Equipped:',100,0,0),
(44709,10148725,'Increases range of hostile spells by 15 percent.',100,1,1),
(44710,52930,'Applies Sanguine Imbued when Equipped.',100,0,0),
(44711,52930,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(44712,52930,'Inflicts 321 heat damage on target',100,2,2),
(44713,52930,'Cannot be modified except by direct means',100,2,3),
(44714,10052930,'Applies Sanguine Imbued when Equipped.',100,0,0),
(44715,10052930,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(44716,10052930,'Inflicts 321 heat damage on target',100,2,2),
(44717,10052930,'Cannot be modified except by direct means',100,2,3),
(44718,54390,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(44719,54390,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(44720,54390,'Inflicts 39 heat damage on target',100,2,2),
(44721,54390,'Cannot be modified except by direct means',100,2,3),
(44722,10054390,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(44723,10054390,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(44724,10054390,'Inflicts 39 heat damage on target',100,2,2),
(44725,10054390,'Cannot be modified except by direct means',100,2,3),
(44726,106942,'Inflicts 1605 - 2969 poison damage on target',100,1,0),
(44727,10106942,'Inflicts 1238 - 1960 poison damage on target',100,1,0),
(44728,118784,'Wards group members (AE) against 15 points of physical damage',100,1,0),
(44729,118784,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,1),
(44730,10118784,'Wards group members (AE) against 12 points of physical damage',100,1,0),
(44731,10118784,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,1),
(44732,118548,'Inflicts 4544 - 6889 melee damage on target',100,1,0),
(44733,118548,'Decreases STR of target by 96.8',100,1,1),
(44734,118548,'You must be sneaking to use this ability.',100,1,2),
(44735,10118548,'Inflicts 3202 - 5050 melee damage on target',100,1,0),
(44736,10118548,'Decreases STR of target by 96.8',100,1,1),
(44737,10118548,'You must be sneaking to use this ability.',100,1,2),
(44738,116418,'Inflicts 34 piercing damage on target every 4 seconds',100,1,0),
(44739,116418,'Inflicts 280 - 447 melee damage on target',100,1,1),
(44740,10116418,'Inflicts 27 piercing damage on target every 4 seconds',100,1,0),
(44741,10116418,'Inflicts 244 - 388 melee damage on target',100,1,1),
(44742,36894,'Increases Out-of-Combat Health Regeneration of target by 76.0',100,0,0),
(44743,36894,'This effect suspends during combat',100,0,1),
(44744,24530,'Adds Mistmoore: Gilded Basin to your Dungeon Maker toolbox',100,0,0),
(44745,10024530,'Adds Mistmoore: Gilded Basin to your Dungeon Maker toolbox',100,0,0),
(44746,119868,'Increases INT and AGI of group members (AE) by 19.2',100,1,0),
(44747,119868,'Adds 1.5% to base avoidance.',100,1,1),
(44748,10119868,'Increases INT and AGI of group members (AE) by 19.2',100,1,0),
(44749,10119868,'Adds 1.5% to base avoidance.',100,1,1),
(44750,80708,'When Equipped:',100,0,0),
(44751,80708,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(44752,80708,'Decreases Threat to target by 236 ',100,2,2),
(44753,80708,'Must be flanking or behind',100,3,3),
(44754,80708,'Increases Threat to target by 414 ',100,2,4),
(44755,80708,'Must be in front of',100,3,5),
(44756,80708,'Inflicts 106 - 197 magic damage on target',100,2,6),
(44757,80708,'Cannot be modified except by direct means',100,2,7),
(44758,10080708,'When Equipped:',100,0,0),
(44759,10080708,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(44760,10080708,'Inflicts 106 - 197 magic damage on target',100,2,2),
(44761,10080708,'Cannot be modified except by direct means',100,2,3),
(44762,113969,'Decreases power of target encounter by 631 instantly and every 4 seconds',100,1,0),
(44763,113969,'Increases power of group members (AE) by 83 instantly and every 4 seconds',100,1,1),
(44764,10113969,'Decreases power of target encounter by 497 instantly and every 4 seconds',100,1,0),
(44765,10113969,'Increases power of group members (AE) by 83 instantly and every 4 seconds',100,1,1),
(44766,123897,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(44767,123897,'Slows target by 66.1%',100,2,1),
(44768,123897,'5% chance to dispel when target receives hostile action',100,2,2),
(44769,123897,'5% chance to dispel when target takes damage',100,2,3),
(44770,123897,'Decreases Mitigation of target vs elemental and noxious damage by 1445',100,1,4),
(44771,10123897,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(44772,10123897,'Slows target by 66.1%',100,2,1),
(44773,10123897,'5% chance to dispel when target receives hostile action',100,2,2),
(44774,10123897,'5% chance to dispel when target takes damage',100,2,3),
(44775,10123897,'Decreases Mitigation of target vs elemental and noxious damage by 1445',100,1,4),
(44776,177494,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(44777,177494,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(44778,177494,'Inflicts 143 heat damage on target',100,2,2),
(44779,177494,'Cannot be modified except by direct means',100,2,3),
(44780,10177494,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(44781,10177494,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(44782,10177494,'Inflicts 143 heat damage on target',100,2,2),
(44783,10177494,'Cannot be modified except by direct means',100,2,3),
(44784,81805,'When Equipped:',100,0,0),
(44785,81805,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44786,81805,'Inflicts 210 - 391 magic damage on target',100,2,2),
(44787,81805,'Cannot be modified except by direct means',100,2,3),
(44788,10081805,'When Equipped:',100,0,0),
(44789,10081805,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44790,10081805,'Inflicts 210 - 391 magic damage on target',100,2,2),
(44791,10081805,'Cannot be modified except by direct means',100,2,3),
(44792,120309,'Increases Threat to target by 1,351 - 1,651 ',100,1,0),
(44793,10120309,'Forces target to change their selected target to caster.',100,1,0),
(44794,10120309,'Prevents target from changing targets',100,1,1),
(44795,87477,'When Equipped:',100,0,0),
(44796,87477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44797,87477,'Inflicts 248 - 373 magic damage on target',100,2,2),
(44798,87477,'Cannot be modified except by direct means',100,2,3),
(44799,10087477,'When Equipped:',100,0,0),
(44800,10087477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44801,10087477,'Inflicts 248 - 373 magic damage on target',100,2,2),
(44802,10087477,'Cannot be modified except by direct means',100,2,3),
(44803,120624,'Inflicts 3463 - 5589 heat damage on target',100,1,0),
(44804,10120624,'Inflicts 2350 - 4025 heat damage on target',100,1,0),
(44805,108365,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(44806,108365,'Increases Mitigation of group members (AE) vs arcane damage by 725',100,1,1),
(44807,10108365,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(44808,10108365,'Increases Mitigation of group members (AE) vs arcane damage by 725',100,1,1),
(44809,104321,'Charms target',100,1,0),
(44810,104321,'Increases Out-of-Combat Power Regeneration of target by 3.0',100,1,1),
(44811,104321,'Increases Out-of-Combat Health Regeneration of target by 6.0',100,1,2),
(44812,104321,'If outside an arena',100,1,3),
(44813,104321,'Certain enemies cannot be charmed',100,1,4),
(44814,104321,'Only affects targets level 24 and below',100,1,5),
(44815,104321,'Does not affect Epic targets',100,1,6),
(44816,10104321,'Charms target',100,1,0),
(44817,10104321,'Increases Out-of-Combat Power Regeneration of target by 3.0',100,1,1),
(44818,10104321,'Increases Out-of-Combat Health Regeneration of target by 6.0',100,1,2),
(44819,10104321,'If outside an arena',100,1,3),
(44820,10104321,'Certain enemies cannot be charmed',100,1,4),
(44821,10104321,'Only affects targets level 24 and below',100,1,5),
(44822,10104321,'Does not affect Epic targets',100,1,6),
(44823,121073,'Increases STR and STA of group members (AE) by 44.6',100,1,0),
(44824,10121073,'Increases STR and STA of group members (AE) by 44.6',100,1,0),
(44825,26975,'When Equipped:',100,0,0),
(44826,26975,'Increases Attack Speed of caster by 2.0',100,1,1),
(44827,10026975,'When Equipped:',100,0,0),
(44828,10026975,'Increases Attack Speed of caster by 2.0',100,1,1),
(44829,81598,'When Equipped:',100,0,0),
(44830,81598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44831,81598,'Inflicts 215 - 399 magic damage on target',100,2,2),
(44832,81598,'Cannot be modified except by direct means',100,2,3),
(44833,10081598,'When Equipped:',100,0,0),
(44834,10081598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44835,10081598,'Inflicts 215 - 399 magic damage on target',100,2,2),
(44836,10081598,'Cannot be modified except by direct means',100,2,3),
(44837,41429,'When Equipped:',100,0,0),
(44838,41429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44839,41429,'Inflicts 96 - 178 magic damage on target',100,2,2),
(44840,41429,'Cannot be modified except by direct means',100,2,3),
(44841,10041429,'When Equipped:',100,0,0),
(44842,10041429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44843,10041429,'Inflicts 96 - 178 magic damage on target',100,2,2),
(44844,10041429,'Cannot be modified except by direct means',100,2,3),
(44845,123440,'Inflicts 2822 - 6570 melee damage on target',100,1,0),
(44846,123440,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(44847,123440,'Stuns target',100,2,2),
(44848,123440,'Throws target back',100,2,3),
(44849,123440,'Blurs vision of target',100,2,4),
(44850,123440,'Does not affect Epic targets',100,2,5),
(44851,10123440,'Inflicts 1911 - 4878 melee damage on target',100,1,0),
(44852,10123440,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(44853,10123440,'Stuns target',100,2,2),
(44854,10123440,'Throws target back',100,2,3),
(44855,10123440,'Blurs vision of target',100,2,4),
(44856,10123440,'Does not affect Epic targets',100,2,5),
(44857,47407,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(44858,47407,'This potion will grant you the illusion of being an undying warrior!',100,1,1),
(44859,10047407,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(44860,10047407,'This potion will grant you the illusion of being an undying warrior!',100,1,1),
(44861,48278,'Applies Spirit of the Troll when Activated.  Lasts for 12 hours.',100,0,0),
(44862,48278,'Hopefully you don''t smell like one, too...',100,1,1),
(44863,10048278,'Applies Spirit of the Troll when Activated.  Lasts for 12 hours.',100,0,0),
(44864,10048278,'Hopefully you don''t smell like one, too...',100,1,1),
(44865,110735,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(44866,110735,'Heals group members (AE) for 3936',100,2,1),
(44867,10110735,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(44868,10110735,'Heals group members (AE) for 1989',100,2,1),
(44869,138558,'Applies Protector of Tranquility when Activated.  Lasts for 10.0 seconds.',100,0,0),
(44870,138558,'Allows caster to deflect all melee attacks.',100,1,1),
(44871,138558,'Allows caster to block all melee attacks.',100,1,2),
(44872,138558,'Dispelled when target successfully blocks an attack',100,1,3),
(44873,138558,'Dispelled when target successfully deflects an attack',100,1,4),
(44874,138558,'The reuse time of Protector of Tranquility is 6 minutes 55 seconds',100,1,5),
(44875,10138558,'Applies Protector of Tranquility when Activated.  Lasts for 10.0 seconds.',100,0,0),
(44876,10138558,'Allows caster to deflect all melee attacks.',100,1,1),
(44877,10138558,'Allows caster to block all melee attacks.',100,1,2),
(44878,10138558,'Dispelled when target successfully blocks an attack',100,1,3),
(44879,10138558,'Dispelled when target successfully deflects an attack',100,1,4),
(44880,10138558,'The reuse time of Protector of Tranquility is 6 minutes 55 seconds',100,1,5),
(44881,113955,'Decreases power of target encounter by 312 instantly and every 4 seconds',100,1,0),
(44882,113955,'Increases power of group members (AE) by 37 instantly and every 4 seconds',100,1,1),
(44883,10113955,'Decreases power of target encounter by 246 instantly and every 4 seconds',100,1,0),
(44884,10113955,'Increases power of group members (AE) by 37 instantly and every 4 seconds',100,1,1),
(44885,121234,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(44886,121234,'Reduces physical damage done to caster by 5%',100,1,1),
(44887,121234,'Increases STA of caster by 37.0',100,1,2),
(44888,121234,'Adds 4.3% to base avoidance.',100,1,3),
(44889,121234,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(44890,121234,'Increases Defense and Aggression of caster by 6.7',100,1,5),
(44891,121234,'Increases Mitigation of caster vs arcane damage by 484',100,1,6),
(44892,121234,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(44893,10121234,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(44894,10121234,'Reduces physical damage done to caster by 5%',100,1,1),
(44895,10121234,'Increases STA of caster by 37.0',100,1,2),
(44896,10121234,'Adds 4.3% to base avoidance.',100,1,3),
(44897,10121234,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(44898,10121234,'Increases Defense and Aggression of caster by 6.7',100,1,5),
(44899,10121234,'Increases Mitigation of caster vs arcane damage by 484',100,1,6),
(44900,10121234,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(44901,76893,'When Equipped:',100,0,0),
(44902,76893,'On any combat or spell hit this spell may cast Greater Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(44903,76893,'Inflicts 3796 - 4196 slashing damage on target encounter',100,2,2),
(44904,76893,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(44905,76893,'Must not be engaged in pvp combat',100,2,4),
(44906,76893,'Cannot be modified except by direct means',100,2,5),
(44907,76893,'Must not be engaged in pvp combat',100,1,6),
(44908,10076893,'When Equipped:',100,0,0),
(44909,10076893,'On any combat or spell hit this spell may cast Greater Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(44910,10076893,'Inflicts 3796 - 4196 slashing damage on target encounter',100,2,2),
(44911,10076893,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(44912,10076893,'Must not be engaged in pvp combat',100,2,4),
(44913,10076893,'Cannot be modified except by direct means',100,2,5),
(44914,10076893,'Must not be engaged in pvp combat',100,1,6),
(44915,123890,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(44916,123890,'Slows target by 38.7%',100,2,1),
(44917,123890,'5% chance to dispel when target receives hostile action',100,2,2),
(44918,123890,'5% chance to dispel when target takes damage',100,2,3),
(44919,123890,'Decreases Mitigation of target vs elemental and noxious damage by 286',100,1,4),
(44920,10123890,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(44921,10123890,'Slows target by 38.7%',100,2,1),
(44922,10123890,'5% chance to dispel when target receives hostile action',100,2,2),
(44923,10123890,'5% chance to dispel when target takes damage',100,2,3),
(44924,10123890,'Decreases Mitigation of target vs elemental and noxious damage by 286',100,1,4),
(44925,119706,'Increases Threat to target encounter by 3,215 - 3,634 ',100,1,0),
(44926,10119706,'Prevents target encounter from changing targets',100,1,0),
(44927,10119706,'Forces target encounter to change their selected target to caster.',100,1,1),
(44928,123098,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(44929,123098,'Roots target',100,2,1),
(44930,123098,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(44931,123098,'Slows target by 56.4%',100,3,3),
(44932,123098,'5% chance to dispel when target receives hostile action',100,3,4),
(44933,123098,'5% chance to dispel when target takes damage',100,3,5),
(44934,123098,'5% chance to dispel when target takes damage',100,2,6),
(44935,123098,'Does not affect Epic targets',100,2,7),
(44936,123098,'Resistibility increases against targets higher than level 114.',100,2,8),
(44937,123098,'Decreases AGI of target encounter by 85.8',100,1,9),
(44938,10123098,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(44939,10123098,'Roots target',100,2,1),
(44940,10123098,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(44941,10123098,'Slows target by 56.4%',100,3,3),
(44942,10123098,'5% chance to dispel when target receives hostile action',100,3,4),
(44943,10123098,'5% chance to dispel when target takes damage',100,3,5),
(44944,10123098,'5% chance to dispel when target takes damage',100,2,6),
(44945,10123098,'Does not affect Epic targets',100,2,7),
(44946,10123098,'Resistibility increases against targets higher than level 114.',100,2,8),
(44947,10123098,'Decreases AGI of target encounter by 85.8',100,1,9),
(44948,45082,'Applies Illusions: Splitpaw Gnoll when Activated.  Lasts for 15 minutes.',100,0,0),
(44949,45082,'Shapechanges caster into a gnoll',100,1,1),
(44950,45082,'This effect cancels during combat',100,1,2),
(44951,10045082,'Applies Illusions: Splitpaw Gnoll when Activated.  Lasts for 15 minutes.',100,0,0),
(44952,10045082,'Shapechanges caster into a gnoll',100,1,1),
(44953,10045082,'This effect cancels during combat',100,1,2),
(44954,113241,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(44955,113241,'Inflicts 134 - 224 magic damage on target',100,2,1),
(44956,113241,'Grants a total of 8 triggers of the spell.',100,2,2),
(44957,10113241,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(44958,10113241,'Inflicts 107 - 179 magic damage on target',100,2,1),
(44959,10113241,'Grants a total of 8 triggers of the spell.',100,2,2),
(44960,118059,'Increases threat priority of target by 3 positions',100,1,0),
(44961,118059,'Increases Threat to target by 22,209 ',100,1,1),
(44962,10118059,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,1,0),
(44963,10118059,'Prevents target from changing targets',100,2,1),
(44964,10118059,'Forces target to change their selected target to caster.',100,2,2),
(44965,40621,'When Equipped:',100,0,0),
(44966,40621,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44967,40621,'Inflicts 124 - 186 magic damage on target',100,2,2),
(44968,40621,'Cannot be modified except by direct means',100,2,3),
(44969,10040621,'When Equipped:',100,0,0),
(44970,10040621,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(44971,10040621,'Inflicts 124 - 186 magic damage on target',100,2,2),
(44972,10040621,'Cannot be modified except by direct means',100,2,3),
(44973,120722,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 31.2',100,1,0),
(44974,10120722,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 31.2',100,1,0),
(44975,110363,'Increases STR and AGI of group members (AE) by 14.4',100,1,0),
(44976,110363,'Adds 2.5% to base avoidance.',100,1,1),
(44977,10110363,'Increases STR and AGI of group members (AE) by 14.4',100,1,0),
(44978,10110363,'Adds 2.5% to base avoidance.',100,1,1),
(44979,71335,'When Equipped:',100,0,0),
(44980,71335,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(44981,71335,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(44982,71335,'Cannot be modified except by direct means',100,2,3),
(44983,10071335,'When Equipped:',100,0,0),
(44984,10071335,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(44985,10071335,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(44986,10071335,'Cannot be modified except by direct means',100,2,3),
(44987,37520,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(44988,106343,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(44989,106343,'Slows target by 50.2%',100,2,1),
(44990,106343,'5% chance to dispel when target receives hostile action',100,2,2),
(44991,106343,'5% chance to dispel when target takes damage',100,2,3),
(44992,106343,'Decreases Mitigation of target vs arcane damage by 349',100,1,4),
(44993,10106343,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(44994,10106343,'Slows target by 50.2%',100,2,1),
(44995,10106343,'5% chance to dispel when target receives hostile action',100,2,2),
(44996,10106343,'5% chance to dispel when target takes damage',100,2,3),
(44997,10106343,'Decreases Mitigation of target vs arcane damage by 349',100,1,4),
(44998,46616,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(44999,46616,'Summons a mount to ride',100,1,1),
(45000,46616,'Increases your ground speed by 130%',100,2,2),
(45001,10046616,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(45002,10046616,'Summons a mount to ride',100,1,1),
(45003,10046616,'Increases your ground speed by 130%',100,2,2),
(45004,114716,'Grants target a 41% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(45005,114716,'Decreases Hate Gain of target by 27.6%',100,1,1),
(45006,10114716,'Grants target a 41% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(45007,141729,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(45008,141729,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(45009,141729,'Inflicts 30 heat damage on target',100,2,2),
(45010,141729,'Cannot be modified except by direct means',100,2,3),
(45011,10141729,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(45012,10141729,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(45013,10141729,'Inflicts 30 heat damage on target',100,2,2),
(45014,10141729,'Cannot be modified except by direct means',100,2,3),
(45015,100670,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(45016,100670,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(45017,100670,'Wards caster against 1122 points of all damage',100,3,2),
(45018,100670,'Heals caster for 877',100,3,3),
(45019,100670,'Summons a limited pet to aid the caster',100,2,4),
(45020,100670,'Grants a total of 1 trigger of the spell.',100,2,5),
(45021,10100670,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(45022,10100670,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(45023,10100670,'Wards caster against 884 points of all damage',100,3,2),
(45024,10100670,'Heals caster for 449',100,3,3),
(45025,10100670,'Summons a limited pet to aid the caster',100,2,4),
(45026,10100670,'Grants a total of 1 trigger of the spell.',100,2,5),
(45027,112019,'Inflicts 4414 - 6673 piercing damage on target',100,1,0),
(45028,10112019,'Inflicts 3099 - 4879 piercing damage on target',100,1,0),
(45029,106715,'Heals target for 877 - 1072',100,1,0),
(45030,10106715,'Heals target for 732 - 894',100,1,0),
(45031,80603,'When Equipped:',100,0,0),
(45032,80603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45033,80603,'Inflicts 96 - 178 magic damage on target',100,2,2),
(45034,80603,'Cannot be modified except by direct means',100,2,3),
(45035,10080603,'When Equipped:',100,0,0),
(45036,10080603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45037,10080603,'Inflicts 96 - 178 magic damage on target',100,2,2),
(45038,10080603,'Cannot be modified except by direct means',100,2,3),
(45039,81072,'When Equipped:',100,0,0),
(45040,81072,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45041,81072,'Inflicts 265 - 493 magic damage on target',100,2,2),
(45042,81072,'Cannot be modified except by direct means',100,2,3),
(45043,10081072,'When Equipped:',100,0,0),
(45044,10081072,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45045,10081072,'Inflicts 265 - 493 magic damage on target',100,2,2),
(45046,10081072,'Cannot be modified except by direct means',100,2,3),
(45047,119191,'Inflicts 1543 - 2262 heat damage on target',100,1,0),
(45048,119191,'Inflicts 771 - 1279 heat damage on target',100,1,1),
(45049,119191,'Requires bow',100,1,2),
(45050,10119191,'Inflicts 1008 - 1412 heat damage on target',100,1,0),
(45051,10119191,'Inflicts 613 - 1018 heat damage on target',100,1,1),
(45052,10119191,'Requires bow',100,1,2),
(45053,111844,'Inflicts 3155 - 4585 melee damage on target',100,1,0),
(45054,111844,'Roots target',100,1,1),
(45055,111844,'If Target is not Epic',100,2,2),
(45056,111844,'Resistibility increases against targets higher than level 98.',100,1,3),
(45057,10111844,'Inflicts 1938 - 2955 melee damage on target',100,1,0),
(45058,10111844,'Roots target',100,1,1),
(45059,10111844,'If Target is not Epic',100,2,2),
(45060,10111844,'Resistibility increases against targets higher than level 98.',100,1,3),
(45061,80891,'When Equipped:',100,0,0),
(45062,80891,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45063,80891,'Inflicts 343 - 636 magic damage on target',100,2,2),
(45064,80891,'Cannot be modified except by direct means',100,2,3),
(45065,10080891,'When Equipped:',100,0,0),
(45066,10080891,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45067,10080891,'Inflicts 343 - 636 magic damage on target',100,2,2),
(45068,10080891,'Cannot be modified except by direct means',100,2,3),
(45069,107157,'Inflicts 6070 - 7200 divine damage on target',100,1,0),
(45070,107157,'Inflicts 5087 - 6218 divine damage on target',100,1,1),
(45071,107157,'If target is undead',100,2,2),
(45072,10107157,'Inflicts 4404 - 5295 divine damage on target',100,1,0),
(45073,10107157,'Inflicts 4009 - 4900 divine damage on target',100,1,1),
(45074,134501,'When Equipped:',100,0,0),
(45075,134501,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(45076,134501,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(45077,134501,'Cannot be modified except by direct means',100,2,3),
(45078,10134501,'When Equipped:',100,0,0),
(45079,10134501,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(45080,10134501,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(45081,10134501,'Cannot be modified except by direct means',100,2,3),
(45082,117448,'Inflicts 2822 - 4034 melee damage on target',100,1,0),
(45083,117448,'You must be sneaking to use this ability.',100,1,1),
(45084,117448,'Must be flanking or behind',100,1,2),
(45085,10117448,'Inflicts 1293 - 1885 melee damage on target',100,1,0),
(45086,10117448,'You must be sneaking to use this ability.',100,1,1),
(45087,10117448,'Must be flanking or behind',100,1,2),
(45088,48658,'Applies Balaksen''s Cure All  when Activated.',100,0,0),
(45089,48658,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(45090,10048658,'Applies Balaksen''s Cure All  when Activated.',100,0,0),
(45091,10048658,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(45092,105153,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(45093,105153,'Increases AGI of caster by 27.1',100,1,1),
(45094,105153,'Adds 1.7% to base avoidance.',100,1,2),
(45095,105153,'Decreases Slashing and Piercing of caster by 16.3',100,1,3),
(45096,105153,'Increases Parry of caster by 15.8',100,1,4),
(45097,105153,'Increases Defense of caster by 21.1',100,1,5),
(45098,10105153,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(45099,10105153,'Increases AGI of caster by 27.1',100,1,1),
(45100,10105153,'Adds 1.7% to base avoidance.',100,1,2),
(45101,10105153,'Decreases Slashing and Piercing of caster by 16.3',100,1,3),
(45102,10105153,'Increases Parry of caster by 15.8',100,1,4),
(45103,10105153,'Increases Defense of caster by 21.1',100,1,5),
(45104,80699,'When Equipped:',100,0,0),
(45105,80699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45106,80699,'Inflicts 106 - 197 magic damage on target',100,2,2),
(45107,80699,'Cannot be modified except by direct means',100,2,3),
(45108,10080699,'When Equipped:',100,0,0),
(45109,10080699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45110,10080699,'Inflicts 106 - 197 magic damage on target',100,2,2),
(45111,10080699,'Cannot be modified except by direct means',100,2,3),
(45112,37389,'Increases STR of target by 4.3',100,0,0),
(45113,37389,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(45114,103391,'Decreases power of target by 266 instantly and every 6 seconds',100,1,0),
(45115,103391,'Inflicts 2041 - 2276 mental damage on target',100,1,1),
(45116,103391,'Inflicts 1058 - 1294 mental damage on target every 6 seconds',100,1,2),
(45117,103391,'Increases power of caster by 262',100,1,3),
(45118,10103391,'Decreases power of target by 209 instantly and every 6 seconds',100,1,0),
(45119,10103391,'Inflicts 1229 - 1414 mental damage on target',100,1,1),
(45120,10103391,'Inflicts 834 - 1020 mental damage on target every 6 seconds',100,1,2),
(45121,10103391,'Increases power of caster by 262',100,1,3),
(45122,110418,'Inflicts 16246 - 26858 disease damage on target',100,1,0),
(45123,10110418,'Inflicts 8735 - 14470 disease damage on target',100,1,0),
(45124,48602,'Applies Totem of the Great Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(45125,48602,'Grants invisibility to caster',100,1,1),
(45126,48602,'Suspends caster''s movement speed enhancements',100,1,2),
(45127,48602,'Increases stealth or invisible movement speed of caster by 15.0%',100,1,3),
(45128,48602,'Dispelled when target takes damage',100,1,4),
(45129,48602,'This effect cancels during combat',100,1,5),
(45130,48602,'Only affects targets level 30 and above',100,1,6),
(45131,10048602,'Applies Totem of the Great Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(45132,10048602,'Grants invisibility to caster',100,1,1),
(45133,10048602,'Suspends caster''s movement speed enhancements',100,1,2),
(45134,10048602,'Increases stealth or invisible movement speed of caster by 15.0%',100,1,3),
(45135,10048602,'Dispelled when target takes damage',100,1,4),
(45136,10048602,'This effect cancels during combat',100,1,5),
(45137,10048602,'Only affects targets level 30 and above',100,1,6),
(45138,141746,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(45139,141746,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(45140,141746,'Inflicts 30 heat damage on target',100,2,2),
(45141,141746,'Cannot be modified except by direct means',100,2,3),
(45142,10141746,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(45143,10141746,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(45144,10141746,'Inflicts 30 heat damage on target',100,2,2),
(45145,10141746,'Cannot be modified except by direct means',100,2,3),
(45146,72160,'When Equipped:',100,0,0),
(45147,72160,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45148,72160,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(45149,72160,'Cannot be modified except by direct means',100,2,3),
(45150,10072160,'When Equipped:',100,0,0),
(45151,10072160,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45152,10072160,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(45153,10072160,'Cannot be modified except by direct means',100,2,3),
(45154,181099,'When Equipped:',100,0,0),
(45155,181099,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(45156,181099,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(45157,181099,'Heals caster for 711',100,3,3),
(45158,181099,'Cannot be modified except by direct means',100,3,4),
(45159,181099,'Grants a total of 2 triggers of the spell.',100,3,5),
(45160,181099,'Cannot be modified except by direct means',100,2,6),
(45161,10181099,'When Equipped:',100,0,0),
(45162,10181099,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(45163,10181099,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(45164,10181099,'Heals caster for 832',100,3,3),
(45165,10181099,'Cannot be modified except by direct means',100,3,4),
(45166,10181099,'Grants a total of 2 triggers of the spell.',100,3,5),
(45167,10181099,'Cannot be modified except by direct means',100,2,6),
(45168,177588,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(45169,177588,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(45170,177588,'Inflicts 67 heat damage on target',100,2,2),
(45171,177588,'Cannot be modified except by direct means',100,2,3),
(45172,10177588,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(45173,10177588,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(45174,10177588,'Inflicts 67 heat damage on target',100,2,2),
(45175,10177588,'Cannot be modified except by direct means',100,2,3),
(45176,117851,'Heals target for 466 - 570',100,1,0),
(45177,117851,'Heals target for 117 - 142 every 2 seconds',100,1,1),
(45178,10117851,'Heals target for 287 - 329',100,1,0),
(45179,10117851,'Heals target for 60 - 73 every 2 seconds',100,1,1),
(45180,102661,'Inflicts 2683 - 3803 melee damage on target',100,1,0),
(45181,102661,'Inflicts 670 heat damage on target every 6 seconds',100,1,1),
(45182,10102661,'Inflicts 1764 - 2666 melee damage on target',100,1,0),
(45183,10102661,'Inflicts 528 heat damage on target every 6 seconds',100,1,1),
(45184,45303,'Applies Call Battlehardened Fire Warg when Activated.',100,0,0),
(45185,45303,'Increases Ranged and Piercing of caster by 5.0',100,1,1),
(45186,45303,'Summons a mount to ride',100,1,2),
(45187,45303,'Increases your ground speed by 135%',100,2,3),
(45188,45303,'Increases Crushing, Slashing, Subjugation, Focus, Disruption, Ministration, Aggression and Ordination of caster by 5.0',100,1,4),
(45189,10045303,'Applies Call Battlehardened Fire Warg when Activated.',100,0,0),
(45190,10045303,'Increases Ranged and Piercing of caster by 5.0',100,1,1),
(45191,10045303,'Summons a mount to ride',100,1,2),
(45192,10045303,'Increases your ground speed by 135%',100,2,3),
(45193,10045303,'Increases Crushing, Slashing, Subjugation, Focus, Disruption, Ministration, Aggression and Ordination of caster by 5.0',100,1,4),
(45194,105872,'Inflicts 298 - 495 ranged damage on target',100,1,0),
(45195,105872,'Inflicts 149 - 247 ranged damage on target',100,1,1),
(45196,105872,'If weapon equipped in Ranged',100,1,2),
(45197,10105872,'Inflicts 237 - 393 ranged damage on target',100,1,0),
(45198,10105872,'Inflicts 88 - 146 ranged damage on target',100,1,1),
(45199,10105872,'If weapon equipped in Ranged',100,1,2),
(45200,107076,'Inflicts 383 - 468 divine damage on target',100,1,0),
(45201,10107076,'Inflicts 329 - 402 divine damage on target',100,1,0),
(45202,36744,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(45203,108176,'Inflicts 9590 - 15256 melee damage on target',100,1,0),
(45204,108176,'You must be sneaking to use this ability.',100,1,1),
(45205,108176,'Must be flanking or behind',100,1,2),
(45206,10108176,'Inflicts 4869 - 7814 melee damage on target',100,1,0),
(45207,10108176,'You must be sneaking to use this ability.',100,1,1),
(45208,10108176,'Must be flanking or behind',100,1,2),
(45209,74627,'When Equipped:',100,0,0),
(45210,74627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45211,74627,'Inflicts 72 - 108 magic damage on target',100,2,2),
(45212,74627,'Cannot be modified except by direct means',100,2,3),
(45213,10074627,'When Equipped:',100,0,0),
(45214,10074627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45215,10074627,'Inflicts 72 - 108 magic damage on target',100,2,2),
(45216,10074627,'Cannot be modified except by direct means',100,2,3),
(45217,81373,'When Equipped:',100,0,0),
(45218,81373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45219,81373,'Inflicts 140 - 260 magic damage on target',100,2,2),
(45220,81373,'Cannot be modified except by direct means',100,2,3),
(45221,10081373,'When Equipped:',100,0,0),
(45222,10081373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45223,10081373,'Inflicts 140 - 260 magic damage on target',100,2,2),
(45224,10081373,'Cannot be modified except by direct means',100,2,3),
(45225,71725,'When Equipped:',100,0,0),
(45226,71725,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45227,71725,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(45228,71725,'Cannot be modified except by direct means',100,2,3),
(45229,10071725,'When Equipped:',100,0,0),
(45230,10071725,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45231,10071725,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(45232,10071725,'Cannot be modified except by direct means',100,2,3),
(45233,124660,'Inflicts 5023 - 6066 cold damage on target encounter',100,1,0),
(45234,124660,'Decreases Piercing, Slashing and Crushing of target encounter by 27.1',100,1,1),
(45235,10124660,'Inflicts 3832 - 4654 cold damage on target encounter',100,1,0),
(45236,10124660,'Decreases Piercing, Slashing and Crushing of target encounter by 27.1',100,1,1),
(45237,118856,'Inflicts 1310 - 3568 melee damage on target',100,1,0),
(45238,10118856,'Inflicts 1043 - 2460 melee damage on target',100,1,0),
(45239,154512,'When Equipped:',100,0,0),
(45240,154512,'On a combat hit this spell may cast Harnessed Power of the Curse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45241,154512,'Inflicts 219 divine damage on target',100,2,2),
(45242,154512,'Heals caster for 114',100,2,3),
(45243,154512,'Cannot be modified except by direct means',100,2,4),
(45244,10154512,'When Equipped:',100,0,0),
(45245,10154512,'On a combat hit this spell may cast Harnessed Power of the Curse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45246,10154512,'Inflicts 219 divine damage on target',100,2,2),
(45247,10154512,'Heals caster for 74',100,2,3),
(45248,10154512,'Cannot be modified except by direct means',100,2,4),
(45249,106726,'Heals target for 1754 - 2143',100,1,0),
(45250,10106726,'Heals target for 1340 - 1580',100,1,0),
(45251,45587,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(45252,45587,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(45253,10045587,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(45254,10045587,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(45255,110445,'Dazes targets in Area of Effect',100,1,0),
(45256,110445,'If Target is not Epic',100,2,1),
(45257,110445,'Decreases Threat to targets in Area of Effect by 4,331 ',100,1,2),
(45258,110445,'Dispelled when target receives hostile action',100,1,3),
(45259,110445,'Dispelled when target takes damage',100,1,4),
(45260,10110445,'Dazes targets in Area of Effect',100,1,0),
(45261,10110445,'If Target is not Epic',100,2,1),
(45262,10110445,'Applies Distract.',100,1,2),
(45263,10110445,'Forces target to clear their selected target.',100,2,3),
(45264,10110445,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(45265,10110445,'Dispelled when target receives hostile action',100,1,5),
(45266,10110445,'Dispelled when target takes damage',100,1,6),
(45267,104192,'Increases Threat to target encounter by 4,751 - 5,448 ',100,1,0),
(45268,104192,'Interrupts target encounter',100,1,1),
(45269,10104192,'Forces target encounter to change their selected target to caster.',100,1,0),
(45270,10104192,'Interrupts target encounter',100,1,1),
(45271,10104192,'Prevents target encounter from changing targets',100,1,2),
(45272,121589,'Stuns target encounter',100,1,0),
(45273,121589,'Epic targets gain an immunity to Stun effects of 16.9 seconds and duration is reduced to 1.9 seconds.',100,1,1),
(45274,121589,'Resistibility increases against targets higher than level 73.',100,1,2),
(45275,10121589,'Stuns target encounter',100,1,0),
(45276,10121589,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(45277,10121589,'Resistibility increases against targets higher than level 73.',100,1,2),
(45278,104660,'Decreases Mitigation of target vs all damage by 74',100,1,0),
(45279,10104660,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 74',100,1,0),
(45280,10104660,'Decreases Mitigation of target vs physical damage by 61',100,1,1),
(45281,25038,'When Equipped:',100,0,0),
(45282,25038,'Increases Crit Chance of caster by 5.0',100,1,1),
(45283,10025038,'When Equipped:',100,0,0),
(45284,10025038,'Increases Crit Chance of caster by 5.0',100,1,1),
(45285,45641,'Applies Elixir of the Breezewing  when Activated.',100,0,0),
(45286,45641,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(45287,10045641,'Applies Elixir of the Breezewing  when Activated.',100,0,0),
(45288,10045641,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(45289,46392,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(45290,46392,'Increases power of caster by 66 instantly and every 5 seconds',100,1,1),
(45291,10046392,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(45292,10046392,'Increases power of caster by 53 instantly and every 5 seconds',100,1,1),
(45293,139556,'When Equipped:',100,0,0),
(45294,139556,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45295,139556,'Increases power of caster by 118 instantly and every 4 seconds',100,2,2),
(45296,139556,'Cannot be modified except by direct means',100,2,3),
(45297,10139556,'When Equipped:',100,0,0),
(45298,10139556,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45299,10139556,'Increases power of caster by 118 instantly and every 4 seconds',100,2,2),
(45300,10139556,'Cannot be modified except by direct means',100,2,3),
(45301,101768,'Heals group members (AE) for 898 - 1025',100,1,0),
(45302,101768,'Heals group members (AE) for 571 - 697 every 2 seconds',100,1,1),
(45303,10101768,'Heals group members (AE) for 378 - 443',100,1,0),
(45304,10101768,'Heals group members (AE) for 292 - 357 every 2 seconds',100,1,1),
(45305,55290,'When Equipped:',100,0,0),
(45306,55290,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,1),
(45307,55290,'Inflicts 2826 - 3124 crushing damage on target',100,2,2),
(45308,55290,'Increases Hate Gain of caster by 12.0%',100,2,3),
(45309,55290,'Increases caster''s chance to block by 20.0%',100,2,4),
(45310,55290,'Enlarges caster by 20.0%',100,2,5),
(45311,55290,'Must not be engaged in pvp combat',100,2,6),
(45312,55290,'Cannot be modified except by direct means',100,2,7),
(45313,55290,'Must not be engaged in pvp combat',100,1,8),
(45314,55290,'When Equipped:',100,0,9),
(45315,55290,'When damaged with a melee weapon this spell will cast Rending Reflection on target''s attacker.  ',100,1,10),
(45316,55290,'Inflicts 128 - 142 crushing damage on target',100,2,11),
(45317,55290,'Must not be engaged in pvp combat',100,2,12),
(45318,55290,'Cannot be modified except by direct means',100,2,13),
(45319,55290,'Must not be engaged in pvp combat',100,1,14),
(45320,10055290,'When Equipped:',100,0,0),
(45321,10055290,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,1),
(45322,10055290,'Inflicts 2826 - 3124 crushing damage on target',100,2,2),
(45323,10055290,'Increases caster''s chance to block by 20.0%',100,2,3),
(45324,10055290,'Enlarges caster by 20.0%',100,2,4),
(45325,10055290,'Must not be engaged in pvp combat',100,2,5),
(45326,10055290,'Cannot be modified except by direct means',100,2,6),
(45327,10055290,'Must not be engaged in pvp combat',100,1,7),
(45328,10055290,'When Equipped:',100,0,8),
(45329,10055290,'When damaged with a melee weapon this spell will cast Rending Reflection on target''s attacker.  ',100,1,9),
(45330,10055290,'Inflicts 128 - 142 crushing damage on target',100,2,10),
(45331,10055290,'Must not be engaged in pvp combat',100,2,11),
(45332,10055290,'Cannot be modified except by direct means',100,2,12),
(45333,10055290,'Must not be engaged in pvp combat',100,1,13),
(45334,81987,'When Equipped:',100,0,0),
(45335,81987,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45336,81987,'Decreases Threat to target by 641 ',100,2,2),
(45337,81987,'Must be flanking or behind',100,3,3),
(45338,81987,'Increases Threat to target by 1,101 ',100,2,4),
(45339,81987,'Must be in front of',100,3,5),
(45340,81987,'Inflicts 272 - 505 magic damage on target',100,2,6),
(45341,81987,'Cannot be modified except by direct means',100,2,7),
(45342,10081987,'When Equipped:',100,0,0),
(45343,10081987,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45344,10081987,'Inflicts 272 - 505 magic damage on target',100,2,2),
(45345,10081987,'Cannot be modified except by direct means',100,2,3),
(45346,114858,'Decreases AGI of target by 38.9',100,1,0),
(45347,114858,'Decreases Defense of target by 15.1',100,1,1),
(45348,10114858,'Decreases AGI of target by 38.9',100,1,0),
(45349,10114858,'Decreases Defense of target by 15.1',100,1,1),
(45350,101311,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(45351,101311,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,1),
(45352,101311,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,2),
(45353,10101311,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(45354,10101311,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,1),
(45355,10101311,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,2),
(45356,118925,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(45357,118925,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 642',100,1,1),
(45358,118925,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,2),
(45359,10118925,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(45360,10118925,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 642',100,1,1),
(45361,10118925,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,2),
(45362,106896,'Decreases Threat to targets in Area of Effect by 13,951 ',100,1,0),
(45363,106896,'Stuns targets in Area of Effect',100,1,1),
(45364,106896,'If Target is not Epic',100,2,2),
(45365,10106896,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(45366,10106896,'Applies Distract.',100,1,1),
(45367,10106896,'Forces target to clear their selected target.',100,2,2),
(45368,10106896,'Stuns targets in Area of Effect',100,1,3),
(45369,10106896,'If Target is not Epic',100,2,4),
(45370,37006,'Increases AGI of target by 4.3',100,0,0),
(45371,37006,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(45372,48369,'Applies Summon Stallion when Activated.',100,0,0),
(45373,48369,'Increases Disruption and Subjugation of caster by 5.0',100,1,1),
(45374,48369,'Summons a mount to ride',100,1,2),
(45375,48369,'Increases your ground speed by 135%',100,2,3),
(45376,48369,'Increases Slashing, Ordination, Focus, Piercing, Crushing, Ministration, Aggression and Ranged of caster by 5.0',100,1,4),
(45377,10048369,'Applies Summon Stallion when Activated.',100,0,0),
(45378,10048369,'Increases Disruption and Subjugation of caster by 5.0',100,1,1),
(45379,10048369,'Summons a mount to ride',100,1,2),
(45380,10048369,'Increases your ground speed by 135%',100,2,3),
(45381,10048369,'Increases Slashing, Ordination, Focus, Piercing, Crushing, Ministration, Aggression and Ranged of caster by 5.0',100,1,4),
(45382,73060,'When Equipped:',100,0,0),
(45383,73060,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(45384,73060,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(45385,73060,'Decreases Threat to target by 4,441 - 4,908 ',100,2,3),
(45386,73060,'Inflicts 2305 - 2548 mental damage on target',100,2,4),
(45387,73060,'Must not be engaged in pvp combat',100,2,5),
(45388,73060,'Cannot be modified except by direct means',100,2,6),
(45389,73060,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(45390,73060,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(45391,73060,'Inflicts 2305 - 2548 mental damage on target',100,2,9),
(45392,73060,'Must not be engaged in pvp combat',100,2,10),
(45393,73060,'Cannot be modified except by direct means',100,2,11),
(45394,73060,'Cannot be modified except by direct means',100,1,12),
(45395,10073060,'When Equipped:',100,0,0),
(45396,10073060,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(45397,10073060,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(45398,10073060,'Inflicts 2305 - 2548 mental damage on target',100,2,3),
(45399,10073060,'Must not be engaged in pvp combat',100,2,4),
(45400,10073060,'Cannot be modified except by direct means',100,2,5),
(45401,10073060,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(45402,10073060,'Inflicts 2305 - 2548 mental damage on target',100,2,7),
(45403,10073060,'Must not be engaged in pvp combat',100,2,8),
(45404,10073060,'Cannot be modified except by direct means',100,2,9),
(45405,10073060,'Cannot be modified except by direct means',100,1,10),
(45406,111743,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(45407,111743,'Inflicts 3568 - 4288 cold damage on target',100,2,1),
(45408,111743,'Grants a total of 3 triggers of the spell.',100,2,2),
(45409,10111743,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(45410,10111743,'Inflicts 2685 - 3253 cold damage on target',100,2,1),
(45411,10111743,'Grants a total of 3 triggers of the spell.',100,2,2),
(45412,81245,'When Equipped:',100,0,0),
(45413,81245,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45414,81245,'Inflicts 403 - 748 magic damage on target',100,2,2),
(45415,81245,'Cannot be modified except by direct means',100,2,3),
(45416,10081245,'When Equipped:',100,0,0),
(45417,10081245,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45418,10081245,'Inflicts 403 - 748 magic damage on target',100,2,2),
(45419,10081245,'Cannot be modified except by direct means',100,2,3),
(45420,134808,'When Equipped:',100,0,0),
(45421,134808,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(45422,134808,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(45423,134808,'Must be engaged in combat',100,3,3),
(45424,134808,'Cannot be modified except by direct means',100,2,4),
(45425,10134808,'When Equipped:',100,0,0),
(45426,10134808,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(45427,10134808,'Cannot be modified except by direct means',100,2,2),
(45428,82821,'When Equipped:',100,0,0),
(45429,82821,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45430,82821,'Decreases Threat to target by 833 ',100,2,2),
(45431,82821,'Must be flanking or behind',100,3,3),
(45432,82821,'Increases Threat to target by 1,293 ',100,2,4),
(45433,82821,'Must be in front of',100,3,5),
(45434,82821,'Inflicts 449 - 834 magic damage on target',100,2,6),
(45435,82821,'Cannot be modified except by direct means',100,2,7),
(45436,10082821,'When Equipped:',100,0,0),
(45437,10082821,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45438,10082821,'Inflicts 449 - 834 magic damage on target',100,2,2),
(45439,10082821,'Cannot be modified except by direct means',100,2,3),
(45440,24191,'Adds Crushbone: Hanging Keys of the Jailer to your Dungeon Maker toolbox',100,0,0),
(45441,10024191,'Adds Crushbone: Hanging Keys of the Jailer to your Dungeon Maker toolbox',100,0,0),
(45442,24056,'Adds Bugbear (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(45443,10024056,'Adds Bugbear (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(45444,106044,'Increases AGI of caster by 18.5',100,1,0),
(45445,106044,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(45446,106044,'Inflicts 104 - 174 disease damage on target',100,2,2),
(45447,106044,'Adds 14.8% to base avoidance.',100,1,3),
(45448,106044,'Increases Mitigation of caster vs physical damage by 86',100,1,4),
(45449,106044,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,5),
(45450,10106044,'Increases AGI of caster by 18.5',100,1,0),
(45451,10106044,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(45452,10106044,'Inflicts 82 - 137 disease damage on target',100,2,2),
(45453,10106044,'Adds 14.8% to base avoidance.',100,1,3),
(45454,10106044,'Increases Mitigation of caster vs physical damage by 86',100,1,4),
(45455,10106044,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,5),
(45456,109689,'Inflicts 1840 - 2031 cold damage on target',100,1,0),
(45457,109689,'Inflicts 858 - 1048 cold damage on target every 3 seconds',100,1,1),
(45458,10109689,'Inflicts 1071 - 1221 cold damage on target',100,1,0),
(45459,10109689,'Inflicts 676 - 826 cold damage on target every 3 seconds',100,1,1),
(45460,118795,'Wards group members (AE) against 111 points of physical damage',100,1,0),
(45461,118795,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,1),
(45462,10118795,'Wards group members (AE) against 91 points of physical damage',100,1,0),
(45463,10118795,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,1),
(45464,25522,'When Equipped:',100,0,0),
(45465,25522,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(45466,25522,'When damaged with a melee weapon this spell has a 8% chance to cast Force of Mind on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,2),
(45467,25522,'Dazes target',100,2,3),
(45468,25522,'Interrupts target',100,2,4),
(45469,25522,'Epic targets gain an immunity to Daze effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,5),
(45470,25522,'Cannot be modified except by direct means',100,2,6),
(45471,25522,'This effect can only trigger once every 15 seconds.',100,2,7),
(45472,25522,'Must be engaged in pvp combat',100,1,8),
(45473,10025522,'When Equipped:',100,0,0),
(45474,10025522,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(45475,10025522,'When damaged with a melee weapon this spell has a 8% chance to cast Force of Mind on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,2),
(45476,10025522,'Dazes target',100,2,3),
(45477,10025522,'Interrupts target',100,2,4),
(45478,10025522,'Epic targets gain an immunity to Daze effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,5),
(45479,10025522,'Cannot be modified except by direct means',100,2,6),
(45480,10025522,'This effect can only trigger once every 15 seconds.',100,2,7),
(45481,10025522,'Must be engaged in pvp combat',100,1,8),
(45482,25345,'When Equipped:',100,0,0),
(45483,25345,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(45484,25345,'Adds a small heal to Caress Feedback.',100,1,2),
(45485,10025345,'When Equipped:',100,0,0),
(45486,10025345,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(45487,10025345,'Adds a small heal to Caress Feedback.',100,1,2),
(45488,158409,'When Equipped:',100,0,0),
(45489,158409,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(45490,158409,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(45491,158409,'Cannot be modified except by direct means',100,2,3),
(45492,10158409,'When Equipped:',100,0,0),
(45493,10158409,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(45494,10158409,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(45495,10158409,'Cannot be modified except by direct means',100,2,3),
(45496,26105,'When Equipped:',100,0,0),
(45497,26105,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(45498,26105,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,2),
(45499,10026105,'When Equipped:',100,0,0),
(45500,10026105,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(45501,10026105,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,2),
(45502,114740,'Inflicts 7160 - 11227 melee damage on target',100,1,0),
(45503,114740,'You must be in stealth.',100,1,1),
(45504,10114740,'Inflicts 3295 - 5205 melee damage on target',100,1,0),
(45505,10114740,'You must be in stealth.',100,1,1),
(45506,141857,'When Equipped:',100,0,0),
(45507,141857,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(45508,141857,'Increases STA of caster by 14.8',100,2,2),
(45509,141857,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(45510,141857,'Cannot be modified except by direct means',100,2,4),
(45511,10141857,'When Equipped:',100,0,0),
(45512,10141857,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(45513,10141857,'Increases STA of caster by 14.8',100,2,2),
(45514,10141857,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(45515,10141857,'Cannot be modified except by direct means',100,2,4),
(45516,105313,'Increases AGI of caster by 265.6',100,1,0),
(45517,105313,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(45518,105313,'Inflicts 1510 - 2516 mental damage on target',100,2,2),
(45519,105313,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(45520,105313,'Inflicts 1510 - 2516 mental damage on target',100,2,4),
(45521,105313,'Adds 21.8% to base avoidance.',100,1,5),
(45522,105313,'Increases Mitigation of caster vs physical damage by 872',100,1,6),
(45523,105313,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,7),
(45524,10105313,'Increases AGI of caster by 265.6',100,1,0),
(45525,10105313,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(45526,10105313,'Inflicts 1190 - 1983 mental damage on target',100,2,2),
(45527,10105313,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(45528,10105313,'Inflicts 1190 - 1983 mental damage on target',100,2,4),
(45529,10105313,'Adds 21.8% to base avoidance.',100,1,5),
(45530,10105313,'Increases Mitigation of caster vs physical damage by 872',100,1,6),
(45531,10105313,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,7),
(45532,124395,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(45533,124395,'Inflicts 325 - 540 melee damage on target',100,2,1),
(45534,124395,'Grants a total of 3 triggers of the spell.',100,2,2),
(45535,10124395,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(45536,10124395,'Inflicts 256 - 425 melee damage on target',100,2,1),
(45537,10124395,'Grants a total of 3 triggers of the spell.',100,2,2),
(45538,107740,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(45539,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,1),
(45540,107740,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(45541,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,3),
(45542,107740,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(45543,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,5),
(45544,107740,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(45545,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,7),
(45546,107740,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(45547,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,9),
(45548,107740,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(45549,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,11),
(45550,107740,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(45551,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,13),
(45552,107740,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(45553,107740,'Inflicts 2049 - 3241 melee damage on target',100,2,15),
(45554,10107740,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(45555,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,1),
(45556,10107740,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(45557,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,3),
(45558,10107740,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(45559,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,5),
(45560,10107740,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(45561,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,7),
(45562,10107740,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(45563,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,9),
(45564,10107740,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(45565,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,11),
(45566,10107740,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(45567,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,13),
(45568,10107740,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(45569,10107740,'Inflicts 915 - 1433 melee damage on target',100,2,15),
(45570,110448,'Dazes targets in Area of Effect',100,1,0),
(45571,110448,'If Target is not Epic',100,2,1),
(45572,110448,'Decreases Threat to targets in Area of Effect by 5,666 ',100,1,2),
(45573,110448,'Dispelled when target receives hostile action',100,1,3),
(45574,110448,'Dispelled when target takes damage',100,1,4),
(45575,10110448,'Dazes targets in Area of Effect',100,1,0),
(45576,10110448,'If Target is not Epic',100,2,1),
(45577,10110448,'Applies Distract.',100,1,2),
(45578,10110448,'Forces target to clear their selected target.',100,2,3),
(45579,10110448,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(45580,10110448,'Dispelled when target receives hostile action',100,1,5),
(45581,10110448,'Dispelled when target takes damage',100,1,6),
(45582,45712,'Applies Rejuvenation of Marr  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(45583,45712,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(45584,10045712,'Applies Rejuvenation of Marr  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(45585,10045712,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(45586,101080,'Summons 3 limited pets to aid the caster',100,1,0),
(45587,10101080,'Summons 3 limited pets to aid the caster',100,1,0),
(45588,46486,'Applies Glare of the Gazer when Activated.',100,0,0),
(45589,46486,'Shapechanges the user into a gazer, and provides a shield which damages any melee attacker.',100,1,1),
(45590,10046486,'Applies Glare of the Gazer when Activated.',100,0,0),
(45591,10046486,'Shapechanges the user into a gazer, and provides a shield which damages any melee attacker.',100,1,1),
(45592,189047,'When Equipped:',100,0,0),
(45593,189047,'Increases Attack Speed of caster by 40.0',100,1,1),
(45594,10189047,'When Equipped:',100,0,0),
(45595,10189047,'Increases Attack Speed of caster by 40.0',100,1,1),
(45596,138555,'When Equipped:',100,0,0),
(45597,138555,'On a healing spell cast this spell may cast Karana''s Thunder on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45598,138555,'Improves the base amount of spells, combat arts and heals by 5%.',100,2,2),
(45599,138555,'Cannot be modified except by direct means',100,2,3),
(45600,138555,'On any combat or spell hit this spell may cast Karana''s Thunder on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(45601,138555,'Improves the base amount of spells, combat arts and heals by 5%.',100,2,5),
(45602,138555,'Cannot be modified except by direct means',100,2,6),
(45603,10138555,'When Equipped:',100,0,0),
(45604,10138555,'On a healing spell cast this spell may cast Karana''s Thunder on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45605,10138555,'Improves the base amount of spells, combat arts and heals by 5%.',100,2,2),
(45606,10138555,'Cannot be modified except by direct means',100,2,3),
(45607,10138555,'On any combat or spell hit this spell may cast Karana''s Thunder on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(45608,10138555,'Improves the base amount of spells, combat arts and heals by 5%.',100,2,5),
(45609,10138555,'Cannot be modified except by direct means',100,2,6),
(45610,27363,'When Equipped:',100,0,0),
(45611,27363,'Increases Damage Per Second of caster by 2.0',100,1,1),
(45612,10027363,'When Equipped:',100,0,0),
(45613,10027363,'Increases Damage Per Second of caster by 2.0',100,1,1),
(45614,107975,'Increases In-Combat Power Regeneration of group members (AE) by 31.4',100,1,0),
(45615,10107975,'Increases In-Combat Power Regeneration of group members (AE) by 31.4',100,1,0),
(45616,106252,'Wards target against 634 points of all damage',100,1,0),
(45617,10106252,'Wards target against 520 points of all damage',100,1,0),
(45618,100167,'Inflicts 2186 - 3779 disease damage on target encounter',100,1,0),
(45619,10100167,'Inflicts 1596 - 2852 disease damage on target encounter',100,1,0),
(45620,117831,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(45621,117831,'Heals target for 724 - 812',100,2,1),
(45622,117831,'Heals target for 396 - 484 every 2 seconds',100,2,2),
(45623,117831,'If at 50% Health or less',100,3,3),
(45624,117831,'Heals target for 526 - 570',100,2,4),
(45625,117831,'Heals target for 198 - 242 every 2 seconds',100,2,5),
(45626,117831,'If over 50% Health',100,3,6),
(45627,10117831,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(45628,10117831,'Heals target for 162 - 179',100,2,1),
(45629,10117831,'Heals target for 76 - 93 every 2 seconds',100,2,2),
(45630,10117831,'If at 50% Health or less',100,3,3),
(45631,10117831,'Heals target for 131 - 141',100,2,4),
(45632,10117831,'Heals target for 46 - 56 every 2 seconds',100,2,5),
(45633,10117831,'If over 50% Health',100,3,6),
(45634,134806,'When Equipped:',100,0,0),
(45635,134806,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(45636,134806,'Heals group members (AE) for 322',100,2,2),
(45637,134806,'Cannot be modified except by direct means',100,2,3),
(45638,134806,'Cannot be modified except by direct means',100,1,4),
(45639,10134806,'When Equipped:',100,0,0),
(45640,10134806,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(45641,10134806,'Heals group members (AE) for 210',100,2,2),
(45642,10134806,'Cannot be modified except by direct means',100,2,3),
(45643,10134806,'Cannot be modified except by direct means',100,1,4),
(45644,109256,'Increases INT and WIS of group members (AE) by 75.2',100,1,0),
(45645,109256,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 211',100,1,1),
(45646,10109256,'Increases INT and WIS of group members (AE) by 75.2',100,1,0),
(45647,10109256,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 211',100,1,1),
(45648,158916,'When Equipped:',100,0,0),
(45649,158916,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(45650,158916,'On a critical spell hit this spell may cast Velium Flames IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(45651,158916,'Decreases Mitigation of target vs elemental damage by 1850',100,2,3),
(45652,158916,'Inflicts 4866 - 5379 heat damage on target',100,2,4),
(45653,158916,'Must not be engaged in pvp combat',100,2,5),
(45654,158916,'Cannot be modified except by direct means',100,2,6),
(45655,158916,'On a critical combat hit this spell may cast Velium Flames IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(45656,158916,'Decreases Mitigation of target vs elemental damage by 1850',100,2,8),
(45657,158916,'Inflicts 4866 - 5379 heat damage on target',100,2,9),
(45658,158916,'Must not be engaged in pvp combat',100,2,10),
(45659,158916,'Cannot be modified except by direct means',100,2,11),
(45660,158916,'Cannot be modified except by direct means',100,1,12),
(45661,10158916,'When Equipped:',100,0,0),
(45662,10158916,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(45663,10158916,'On a critical spell hit this spell may cast Velium Flames IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(45664,10158916,'Decreases Mitigation of target vs elemental damage by 1850',100,2,3),
(45665,10158916,'Inflicts 4866 - 5379 heat damage on target',100,2,4),
(45666,10158916,'Must not be engaged in pvp combat',100,2,5),
(45667,10158916,'Cannot be modified except by direct means',100,2,6),
(45668,10158916,'On a critical combat hit this spell may cast Velium Flames IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(45669,10158916,'Decreases Mitigation of target vs elemental damage by 1850',100,2,8),
(45670,10158916,'Inflicts 4866 - 5379 heat damage on target',100,2,9),
(45671,10158916,'Must not be engaged in pvp combat',100,2,10),
(45672,10158916,'Cannot be modified except by direct means',100,2,11),
(45673,10158916,'Cannot be modified except by direct means',100,1,12),
(45674,82163,'When Equipped:',100,0,0),
(45675,82163,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45676,82163,'Decreases Threat to target by 641 ',100,2,2),
(45677,82163,'Must be flanking or behind',100,3,3),
(45678,82163,'Increases Threat to target by 1,101 ',100,2,4),
(45679,82163,'Must be in front of',100,3,5),
(45680,82163,'Inflicts 272 - 505 magic damage on target',100,2,6),
(45681,82163,'Cannot be modified except by direct means',100,2,7),
(45682,10082163,'When Equipped:',100,0,0),
(45683,10082163,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45684,10082163,'Inflicts 272 - 505 magic damage on target',100,2,2),
(45685,10082163,'Cannot be modified except by direct means',100,2,3),
(45686,138542,'When Equipped:',100,0,0),
(45687,138542,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(45688,138542,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(45689,138542,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,3),
(45690,138542,'Increases Potency of caster by 3.0%',100,2,4),
(45691,138542,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(45692,138542,'Must not be engaged in pvp combat',100,2,6),
(45693,138542,'Cannot be modified except by direct means',100,2,7),
(45694,138542,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(45695,138542,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,9),
(45696,138542,'Increases Potency of caster by 3.0%',100,2,10),
(45697,138542,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(45698,138542,'Must not be engaged in pvp combat',100,2,12),
(45699,138542,'Cannot be modified except by direct means',100,2,13),
(45700,138542,'Cannot be modified except by direct means',100,1,14),
(45701,10138542,'When Equipped:',100,0,0),
(45702,10138542,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(45703,10138542,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(45704,10138542,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,3),
(45705,10138542,'Increases Potency of caster by 3.0%',100,2,4),
(45706,10138542,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(45707,10138542,'Must not be engaged in pvp combat',100,2,6),
(45708,10138542,'Cannot be modified except by direct means',100,2,7),
(45709,10138542,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(45710,10138542,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,9),
(45711,10138542,'Increases Potency of caster by 3.0%',100,2,10),
(45712,10138542,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(45713,10138542,'Must not be engaged in pvp combat',100,2,12),
(45714,10138542,'Cannot be modified except by direct means',100,2,13),
(45715,10138542,'Cannot be modified except by direct means',100,1,14),
(45716,81244,'When Equipped:',100,0,0),
(45717,81244,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45718,81244,'Decreases Threat to target by 949 ',100,2,2),
(45719,81244,'Must be flanking or behind',100,3,3),
(45720,81244,'Increases Threat to target by 1,409 ',100,2,4),
(45721,81244,'Must be in front of',100,3,5),
(45722,81244,'Inflicts 387 - 719 magic damage on target',100,2,6),
(45723,81244,'Cannot be modified except by direct means',100,2,7),
(45724,10081244,'When Equipped:',100,0,0),
(45725,10081244,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(45726,10081244,'Inflicts 387 - 719 magic damage on target',100,2,2),
(45727,10081244,'Cannot be modified except by direct means',100,2,3),
(45728,24047,'Adds Boarfiend (Fury) to your Dungeon Maker toolbox',100,0,0),
(45729,10024047,'Adds Boarfiend (Fury) to your Dungeon Maker toolbox',100,0,0),
(45730,108869,'Inflicts 1049 - 1740 melee damage on target',100,1,0),
(45731,108869,'Decreases INT of target by 75.2',100,1,1),
(45732,10108869,'Inflicts 826 - 1309 melee damage on target',100,1,0),
(45733,10108869,'Decreases INT of target by 75.2',100,1,1),
(45734,122680,'Decreases Defense of target by 21.9',100,1,0),
(45735,122680,'Decreases Mitigation of target vs physical damage by 382',100,1,1),
(45736,10122680,'Decreases Defense of target by 21.9',100,1,0),
(45737,10122680,'Decreases Mitigation of target vs physical damage by 382',100,1,1),
(45738,37194,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(45739,37194,'This effect suspends during combat',100,0,1),
(45740,108683,'Inflicts 176 heat damage on target',100,1,0),
(45741,108683,'Inflicts 18 heat damage on target every 4 seconds',100,1,1),
(45742,10108683,'Inflicts 184 heat damage on target',100,1,0),
(45743,10108683,'Inflicts 14 heat damage on target every 4 seconds',100,1,1),
(45744,116714,'Inflicts 1983 - 3176 melee damage on target',100,1,0),
(45745,10116714,'Inflicts 1437 - 2123 melee damage on target',100,1,0),
(45746,104252,'Increases Mitigation of group members (AE) vs physical damage by 567',100,1,0),
(45747,10104252,'Increases Mitigation of group members (AE) vs physical damage by 567',100,1,0),
(45748,120041,'Decreases power of target encounter by 203 instantly and every 4 seconds',100,1,0),
(45749,120041,'Inflicts 937 - 1073 mental damage on target encounter',100,1,1),
(45750,120041,'Inflicts 610 - 746 mental damage on target encounter every 4 seconds',100,1,2),
(45751,10120041,'Decreases power of target encounter by 160 instantly and every 4 seconds',100,1,0),
(45752,10120041,'Inflicts 612 - 719 mental damage on target encounter',100,1,1),
(45753,10120041,'Inflicts 481 - 588 mental damage on target encounter every 4 seconds',100,1,2),
(45754,102581,'Increases AGI of caster by 155.8',100,1,0),
(45755,102581,'Increases Max Health of caster by 544.2',100,1,1),
(45756,102581,'Adds 25.0% to base avoidance.',100,1,2),
(45757,102581,'Increases Mitigation of caster vs physical damage by 885',100,1,3),
(45758,102581,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,4),
(45759,10102581,'Increases AGI of caster by 155.8',100,1,0),
(45760,10102581,'Increases Max Health of caster by 544.2',100,1,1),
(45761,10102581,'Adds 25.0% to base avoidance.',100,1,2),
(45762,10102581,'Increases Mitigation of caster vs physical damage by 885',100,1,3),
(45763,10102581,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,4),
(45764,120170,'Applies Life Draw on termination.',100,1,0),
(45765,120170,'Inflicts 1053 - 1755 disease damage on target',100,2,1),
(45766,120170,'Heals caster for 15.8 - 19.4% of max health',100,2,2),
(45767,120170,'This effect cannot be critically applied.',100,3,3),
(45768,120170,'The healing of this spell cannot be modified except by direct means',100,2,4),
(45769,120170,'Inflicts 463 - 767 disease damage on target',100,1,5),
(45770,10120170,'Applies Life Draw on termination.',100,1,0),
(45771,10120170,'Inflicts 830 - 1383 disease damage on target',100,2,1),
(45772,10120170,'Heals caster for 4.3 - 5.3% of max health',100,2,2),
(45773,10120170,'This effect cannot be critically applied.',100,3,3),
(45774,10120170,'The healing of this spell cannot be modified except by direct means',100,2,4),
(45775,10120170,'Inflicts 364 - 605 disease damage on target',100,1,5),
(45776,138248,'When Equipped:',100,0,0),
(45777,138248,'This effect will not stack with itself.',100,1,1),
(45778,138248,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(45779,138248,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(45780,138248,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(45781,138248,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(45782,138248,'Must not be engaged in pvp combat',100,2,6),
(45783,138248,'Cannot be modified except by direct means',100,2,7),
(45784,138248,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(45785,138248,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(45786,138248,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(45787,138248,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(45788,138248,'Must not be engaged in pvp combat',100,2,12),
(45789,138248,'Cannot be modified except by direct means',100,2,13),
(45790,138248,'Must not be engaged in pvp combat',100,1,14),
(45791,10138248,'When Equipped:',100,0,0),
(45792,10138248,'This effect will not stack with itself.',100,1,1),
(45793,10138248,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(45794,10138248,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(45795,10138248,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(45796,10138248,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(45797,10138248,'Must not be engaged in pvp combat',100,2,6),
(45798,10138248,'Cannot be modified except by direct means',100,2,7),
(45799,10138248,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(45800,10138248,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(45801,10138248,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(45802,10138248,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(45803,10138248,'Must not be engaged in pvp combat',100,2,12),
(45804,10138248,'Cannot be modified except by direct means',100,2,13),
(45805,10138248,'Must not be engaged in pvp combat',100,1,14),
(45806,109034,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(45807,109034,'Increases Attack Speed of caster by 15.0',100,1,1),
(45808,109034,'Decreases Defense of caster by 4.8',100,1,2),
(45809,109034,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',100,1,3),
(45810,10109034,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(45811,10109034,'Increases Attack Speed of caster by 15.0',100,1,1),
(45812,10109034,'Decreases Defense of caster by 4.8',100,1,2),
(45813,10109034,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',100,1,3),
(45814,141773,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(45815,141773,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(45816,141773,'Inflicts 26 heat damage on target',100,2,2),
(45817,141773,'Cannot be modified except by direct means',100,2,3),
(45818,10141773,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(45819,10141773,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(45820,10141773,'Inflicts 26 heat damage on target',100,2,2),
(45821,10141773,'Cannot be modified except by direct means',100,2,3),
(45822,164996,'When Equipped:',100,0,0),
(45823,164996,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(45824,164996,'Increases STA of target by 6.4',100,2,2),
(45825,164996,'Cannot be modified except by direct means',100,2,3),
(45826,10164996,'When Equipped:',100,0,0),
(45827,10164996,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(45828,10164996,'Increases STA of target by 6.4',100,2,2),
(45829,10164996,'Cannot be modified except by direct means',100,2,3),
(45830,102619,'Increases Threat to target encounter by 5,381 - 6,218 ',100,1,0),
(45831,102619,'Interrupts target encounter',100,1,1),
(45832,102619,'Decreases Mitigation of target encounter vs noxious damage by 908',100,1,2),
(45833,10102619,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(45834,10102619,'Prevents target from changing targets',100,2,1),
(45835,10102619,'Forces target to change their selected target to caster.',100,2,2),
(45836,10102619,'Interrupts target encounter',100,1,3),
(45837,10102619,'Decreases Mitigation of target encounter vs noxious damage by 908',100,1,4),
(45838,117573,'Inflicts 1670 - 2770 melee damage on target',100,1,0),
(45839,117573,'Decreases Parry of target by 27.8',100,1,1),
(45840,117573,'Must be in front of or flanking',100,1,2),
(45841,10117573,'Inflicts 1272 - 1850 melee damage on target',100,1,0),
(45842,10117573,'Decreases Parry of target by 27.8',100,1,1),
(45843,10117573,'Must be in front of or flanking',100,1,2),
(45844,112505,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(45845,112505,'60% of target''s power consumed will also be drained from target''s health',100,2,1),
(45846,112505,'Inflicts 367 disease damage on target instantly and every 4 seconds',100,2,2),
(45847,10112505,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(45848,10112505,'60% of target''s power consumed will also be drained from target''s health',100,2,1),
(45849,10112505,'Inflicts 289 disease damage on target instantly and every 4 seconds',100,2,2),
(45850,36981,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(45851,36981,'Increases Max Power of target by 10.5',100,0,1),
(45852,179208,'When Equipped:',100,0,0),
(45853,179208,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(45854,10179208,'When Equipped:',100,0,0),
(45855,10179208,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(45856,163175,'When Equipped:',100,0,0),
(45857,163175,'Reduces maximum falling speed of caster',100,1,1),
(45858,10163175,'When Equipped:',100,0,0),
(45859,10163175,'Reduces maximum falling speed of caster',100,1,1),
(45860,121961,'Inflicts 523 - 871 disease damage on target',100,1,0),
(45861,121961,'Decreases Defense of target by 21.0',100,1,1),
(45862,121961,'Interrupts target',100,1,2),
(45863,10121961,'Inflicts 449 - 748 disease damage on target',100,1,0),
(45864,10121961,'Decreases Defense of target by 21.0',100,1,1),
(45865,10121961,'Interrupts target',100,1,2),
(45866,37105,'Increases WIS of target by 4.3',100,0,0),
(45867,37105,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(45868,47351,'Applies Narron''s Restoration when Activated.',100,0,0),
(45869,47351,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(45870,10047351,'Applies Narron''s Restoration when Activated.',100,0,0),
(45871,10047351,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(45872,87554,'Applies Mental Blast when Activated.',100,0,0),
(45873,87554,'Inflicts 536 - 894 mental damage on target',100,1,1),
(45874,87554,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(45875,10087554,'Applies Mental Blast when Activated.',100,0,0),
(45876,10087554,'Inflicts 536 - 894 mental damage on target',100,1,1),
(45877,10087554,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(45878,122515,'Heals caster for 12',100,1,0),
(45879,122515,'Inflicts 45 - 75 melee damage on target',100,1,1),
(45880,10122515,'Heals caster for 6',100,1,0),
(45881,10122515,'Inflicts 35 - 59 melee damage on target',100,1,1),
(45882,74729,'When Equipped:',100,0,0),
(45883,74729,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45884,74729,'Inflicts 236 - 354 magic damage on target',100,2,2),
(45885,74729,'Cannot be modified except by direct means',100,2,3),
(45886,10074729,'When Equipped:',100,0,0),
(45887,10074729,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45888,10074729,'Inflicts 236 - 354 magic damage on target',100,2,2),
(45889,10074729,'Cannot be modified except by direct means',100,2,3),
(45890,82285,'When Equipped:',100,0,0),
(45891,82285,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45892,82285,'Inflicts 61 - 114 magic damage on target',100,2,2),
(45893,82285,'Cannot be modified except by direct means',100,2,3),
(45894,10082285,'When Equipped:',100,0,0),
(45895,10082285,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45896,10082285,'Inflicts 61 - 114 magic damage on target',100,2,2),
(45897,10082285,'Cannot be modified except by direct means',100,2,3),
(45898,72131,'When Equipped:',100,0,0),
(45899,72131,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45900,72131,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(45901,72131,'Cannot be modified except by direct means',100,2,3),
(45902,10072131,'When Equipped:',100,0,0),
(45903,10072131,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45904,10072131,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(45905,10072131,'Cannot be modified except by direct means',100,2,3),
(45906,102889,'Heals caster for 781',100,1,0),
(45907,102889,'Inflicts 2026 disease damage on targets in Area of Effect',100,1,1),
(45908,10102889,'Heals caster for 422',100,1,0),
(45909,10102889,'Inflicts 1540 disease damage on targets in Area of Effect',100,1,1),
(45910,113899,'Increases power of target by 284',100,1,0),
(45911,10113899,'Increases power of target by 284',100,1,0),
(45912,115023,'Heals target for 417 - 510',100,1,0),
(45913,10115023,'Heals target for 397 - 486',100,1,0),
(45914,106604,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(45915,10106604,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(45916,100653,'Increases AGI, STR and STA of target by 47.8',100,1,0),
(45917,100653,'Adds 1.5% to base avoidance.',100,1,1),
(45918,10100653,'Increases AGI, STR and STA of target by 47.8',100,1,0),
(45919,10100653,'Adds 1.5% to base avoidance.',100,1,1),
(45920,170700,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(45921,170700,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(45922,170700,'Decreases Attack Speed of target by 12.0',100,2,2),
(45923,170700,'Cannot be modified except by direct means',100,2,3),
(45924,170700,'Slows target by 32.2%',100,1,4),
(45925,170700,'5% chance to dispel when target takes damage',100,1,5),
(45926,170700,'5% chance to dispel when target receives hostile action',100,1,6),
(45927,170700,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(45928,10170700,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(45929,10170700,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(45930,10170700,'Decreases Attack Speed of target by 12.0',100,2,2),
(45931,10170700,'Cannot be modified except by direct means',100,2,3),
(45932,10170700,'Slows target by 32.2%',100,1,4),
(45933,10170700,'5% chance to dispel when target takes damage',100,1,5),
(45934,10170700,'5% chance to dispel when target receives hostile action',100,1,6),
(45935,10170700,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(45936,121622,'Inflicts 1990 - 4917 melee damage on target',100,1,0),
(45937,121622,'Dazes target',100,1,1),
(45938,121622,'If Target is not Epic',100,2,2),
(45939,121622,'Must be flanking or behind',100,1,3),
(45940,121622,'Resistibility increases against targets higher than level 75.',100,1,4),
(45941,10121622,'Inflicts 1444 - 3496 melee damage on target',100,1,0),
(45942,10121622,'Dazes target',100,1,1),
(45943,10121622,'If Target is not Epic',100,2,2),
(45944,10121622,'Must be flanking or behind',100,1,3),
(45945,10121622,'Resistibility increases against targets higher than level 75.',100,1,4),
(45946,189147,'Applies Crystalline Stasis when Activated.  Lasts for 5 minutes 10 seconds.',100,0,0),
(45947,189147,'The target is entombed in a magic crystalline structure.',100,1,1),
(45948,189147,'If target is Greater Sentry of the Void',100,1,2),
(45949,189147,'The casting time of Crystalline Stasis is 0.99 seconds and the reuse time of the spell is 27.62 seconds',100,1,3),
(45950,10189147,'Applies Crystalline Stasis when Activated.  Lasts for 5 minutes 10 seconds.',100,0,0),
(45951,10189147,'The target is entombed in a magic crystalline structure.',100,1,1),
(45952,10189147,'If target is Greater Sentry of the Void',100,1,2),
(45953,10189147,'The casting time of Crystalline Stasis is 0.99 seconds and the reuse time of the spell is 27.62 seconds',100,1,3),
(45954,103183,'Increases Mitigation of caster vs physical damage by 124',100,1,0),
(45955,103183,'Roots caster',100,1,1),
(45956,10103183,'Increases Mitigation of caster vs physical damage by 124',100,1,0),
(45957,10103183,'Roots caster',100,1,1),
(45958,82169,'When Equipped:',100,0,0),
(45959,82169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45960,82169,'Inflicts 61 - 114 magic damage on target',100,2,2),
(45961,82169,'Cannot be modified except by direct means',100,2,3),
(45962,10082169,'When Equipped:',100,0,0),
(45963,10082169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45964,10082169,'Inflicts 61 - 114 magic damage on target',100,2,2),
(45965,10082169,'Cannot be modified except by direct means',100,2,3),
(45966,81564,'When Equipped:',100,0,0),
(45967,81564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45968,81564,'Inflicts 217 - 404 magic damage on target',100,2,2),
(45969,81564,'Cannot be modified except by direct means',100,2,3),
(45970,10081564,'When Equipped:',100,0,0),
(45971,10081564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(45972,10081564,'Inflicts 217 - 404 magic damage on target',100,2,2),
(45973,10081564,'Cannot be modified except by direct means',100,2,3),
(45974,72007,'When Equipped:',100,0,0),
(45975,72007,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45976,72007,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(45977,72007,'Cannot be modified except by direct means',100,2,3),
(45978,10072007,'When Equipped:',100,0,0),
(45979,10072007,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(45980,10072007,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(45981,10072007,'Cannot be modified except by direct means',100,2,3),
(45982,102350,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(45983,102350,'Increases Attack Speed of target by 9.0',100,2,1),
(45984,102350,'Increases Damage Per Second of target by 9.0',100,2,2),
(45985,102350,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(45986,102350,'Increases Attack Speed of target by 9.0',100,2,4),
(45987,102350,'Increases Damage Per Second of target by 9.0',100,2,5),
(45988,102350,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(45989,102350,'Increases Attack Speed of target by 9.0',100,2,7),
(45990,102350,'Increases Damage Per Second of target by 9.0',100,2,8),
(45991,10102350,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(45992,10102350,'Increases Attack Speed of target by 9.0',100,2,1),
(45993,10102350,'Increases Damage Per Second of target by 9.0',100,2,2),
(45994,10102350,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(45995,10102350,'Increases Attack Speed of target by 9.0',100,2,4),
(45996,10102350,'Increases Damage Per Second of target by 9.0',100,2,5),
(45997,10102350,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(45998,10102350,'Increases Attack Speed of target by 9.0',100,2,7),
(45999,10102350,'Increases Damage Per Second of target by 9.0',100,2,8),
(46000,36360,'Increases INT and STA of target by 11.0',100,0,0),
(46001,36360,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(46002,80768,'When Equipped:',100,0,0),
(46003,80768,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46004,80768,'Inflicts 295 - 547 magic damage on target',100,2,2),
(46005,80768,'Cannot be modified except by direct means',100,2,3),
(46006,10080768,'When Equipped:',100,0,0),
(46007,10080768,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46008,10080768,'Inflicts 295 - 547 magic damage on target',100,2,2),
(46009,10080768,'Cannot be modified except by direct means',100,2,3),
(46010,107192,'Inflicts 1561 - 2589 divine damage on target',100,1,0),
(46011,107192,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(46012,107192,'Stuns target',100,2,2),
(46013,107192,'If Target is not Epic',100,3,3),
(46014,107192,'Inflicts 2417 - 4028 divine damage on target',100,2,4),
(46015,107192,'Inflicts 2072 - 3453 divine damage on target',100,2,5),
(46016,107192,'If target is undead',100,3,6),
(46017,10107192,'Inflicts 820 - 1301 divine damage on target',100,1,0),
(46018,10107192,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(46019,10107192,'Stuns target',100,2,2),
(46020,10107192,'Inflicts 2857 - 4762 divine damage on target',100,2,3),
(46021,10107192,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(46022,135198,'When Equipped:',100,0,0),
(46023,135198,'On a beneficial spell cast this spell may cast Astounding Triumph on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(46024,135198,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,2),
(46025,135198,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,3),
(46026,135198,'Increases Ability Reuse Speed of caster by 3.0%',100,2,4),
(46027,135198,'Increases Ability Casting Speed of caster by 5.0%',100,2,5),
(46028,135198,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(46029,135198,'Must not be engaged in pvp combat',100,2,7),
(46030,135198,'Cannot be modified except by direct means',100,2,8),
(46031,135198,'On any combat or spell hit this spell may cast Astounding Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(46032,135198,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,10),
(46033,135198,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,11),
(46034,135198,'Increases Ability Reuse Speed of caster by 3.0%',100,2,12),
(46035,135198,'Increases Ability Casting Speed of caster by 5.0%',100,2,13),
(46036,135198,'Increases Ability Recovery Speed of caster by 10.0%',100,2,14),
(46037,135198,'Must not be engaged in pvp combat',100,2,15),
(46038,135198,'Cannot be modified except by direct means',100,2,16),
(46039,135198,'Must not be engaged in pvp combat',100,1,17),
(46040,10135198,'When Equipped:',100,0,0),
(46041,10135198,'On a beneficial spell cast this spell may cast Astounding Triumph on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(46042,10135198,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,2),
(46043,10135198,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,3),
(46044,10135198,'Increases Ability Reuse Speed of caster by 3.0%',100,2,4),
(46045,10135198,'Increases Ability Casting Speed of caster by 5.0%',100,2,5),
(46046,10135198,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(46047,10135198,'Must not be engaged in pvp combat',100,2,7),
(46048,10135198,'Cannot be modified except by direct means',100,2,8),
(46049,10135198,'On any combat or spell hit this spell may cast Astounding Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(46050,10135198,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,10),
(46051,10135198,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,11),
(46052,10135198,'Increases Ability Reuse Speed of caster by 3.0%',100,2,12),
(46053,10135198,'Increases Ability Casting Speed of caster by 5.0%',100,2,13),
(46054,10135198,'Increases Ability Recovery Speed of caster by 10.0%',100,2,14),
(46055,10135198,'Must not be engaged in pvp combat',100,2,15),
(46056,10135198,'Cannot be modified except by direct means',100,2,16),
(46057,10135198,'Must not be engaged in pvp combat',100,1,17),
(46058,107131,'Inflicts 2246 - 2527 divine damage on target',100,1,0),
(46059,107131,'Inflicts 1264 - 1545 divine damage on target',100,1,1),
(46060,107131,'If target is undead',100,2,2),
(46061,10107131,'Inflicts 1391 - 1612 divine damage on target',100,1,0),
(46062,10107131,'Inflicts 996 - 1217 divine damage on target',100,1,1),
(46063,120906,'Stifles target',100,1,0),
(46064,120906,'Inflicts 4425 - 5190 mental damage on target',100,1,1),
(46065,120906,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(46066,120906,'Resistibility increases against targets higher than level 111.',100,1,3),
(46067,10120906,'Stifles target',100,1,0),
(46068,10120906,'Inflicts 3108 - 3711 mental damage on target',100,1,1),
(46069,10120906,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(46070,10120906,'Resistibility increases against targets higher than level 111.',100,1,3),
(46071,26495,'When Equipped:',100,0,0),
(46072,26495,'On a critical combat hit this spell may cast Quenching Stream on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(46073,26495,'Inflicts 5203 - 5751 cold damage on target',100,2,2),
(46074,26495,'Decreases Mitigation of target vs elemental damage by 816',100,2,3),
(46075,26495,'Must not be engaged in pvp combat',100,2,4),
(46076,26495,'Cannot be modified except by direct means',100,2,5),
(46077,26495,'On a critical spell hit this spell may cast Quenching Stream on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(46078,26495,'Inflicts 5203 - 5751 cold damage on target',100,2,7),
(46079,26495,'Decreases Mitigation of target vs elemental damage by 816',100,2,8),
(46080,26495,'Must not be engaged in pvp combat',100,2,9),
(46081,26495,'Cannot be modified except by direct means',100,2,10),
(46082,26495,'Must not be engaged in pvp combat',100,1,11),
(46083,10026495,'When Equipped:',100,0,0),
(46084,10026495,'On a critical combat hit this spell may cast Quenching Stream on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(46085,10026495,'Inflicts 5203 - 5751 cold damage on target',100,2,2),
(46086,10026495,'Decreases Mitigation of target vs elemental damage by 816',100,2,3),
(46087,10026495,'Must not be engaged in pvp combat',100,2,4),
(46088,10026495,'Cannot be modified except by direct means',100,2,5),
(46089,10026495,'On a critical spell hit this spell may cast Quenching Stream on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(46090,10026495,'Inflicts 5203 - 5751 cold damage on target',100,2,7),
(46091,10026495,'Decreases Mitigation of target vs elemental damage by 816',100,2,8),
(46092,10026495,'Must not be engaged in pvp combat',100,2,9),
(46093,10026495,'Cannot be modified except by direct means',100,2,10),
(46094,10026495,'Must not be engaged in pvp combat',100,1,11),
(46095,35590,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(46096,110526,'Increases Threat to target by 4,190  instantly and by 1,398  every 3 seconds thereafter',100,1,0),
(46097,110526,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(46098,110526,'Stuns target',100,2,2),
(46099,110526,'Throws target back',100,2,3),
(46100,110526,'Blurs vision of target',100,2,4),
(46101,110526,'Does not affect Epic targets',100,2,5),
(46102,110526,'Inflicts 1015 - 1683 disease damage on target',100,1,6),
(46103,10110526,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(46104,10110526,'Stuns target',100,2,1),
(46105,10110526,'Throws target back',100,2,2),
(46106,10110526,'Blurs vision of target',100,2,3),
(46107,10110526,'Does not affect Epic targets',100,2,4),
(46108,10110526,'Forces target to change their selected target to caster.',100,1,5),
(46109,10110526,'Inflicts 666 - 1105 disease damage on target',100,1,6),
(46110,10110526,'Prevents target from changing targets',100,1,7),
(46111,48970,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(46112,48970,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(46113,48970,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(46114,48970,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(46115,48970,'Cannot be modified except by direct means',100,2,4),
(46116,48970,'Grants a total of 80 triggers of the spell.',100,2,5),
(46117,10048970,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(46118,10048970,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(46119,10048970,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(46120,10048970,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(46121,10048970,'Cannot be modified except by direct means',100,2,4),
(46122,10048970,'Grants a total of 80 triggers of the spell.',100,2,5),
(46123,115017,'Heals target for 132 - 161',100,1,0),
(46124,10115017,'Heals target for 126 - 153',100,1,0),
(46125,122958,'Inflicts 735 - 994 mental damage on target',100,1,0),
(46126,10122958,'Inflicts 631 - 853 mental damage on target',100,1,0),
(46127,141689,'When Equipped:',100,0,0),
(46128,141689,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46129,141689,'Increases INT of caster by 5.8',100,2,2),
(46130,141689,'Increases Subjugation, Focus and Disruption of caster by 3.7',100,2,3),
(46131,141689,'Cannot be modified except by direct means',100,2,4),
(46132,10141689,'When Equipped:',100,0,0),
(46133,10141689,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46134,10141689,'Increases INT of caster by 5.8',100,2,2),
(46135,10141689,'Increases Subjugation, Focus and Disruption of caster by 3.7',100,2,3),
(46136,10141689,'Cannot be modified except by direct means',100,2,4),
(46137,101315,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(46138,101315,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 53',100,1,1),
(46139,101315,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,2),
(46140,10101315,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(46141,10101315,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 53',100,1,1),
(46142,10101315,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,2),
(46143,36705,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(46144,118549,'Inflicts 4209 - 6334 melee damage on target',100,1,0),
(46145,118549,'Decreases STR of target by 85.8',100,1,1),
(46146,118549,'You must be sneaking to use this ability.',100,1,2),
(46147,10118549,'Inflicts 2938 - 4612 melee damage on target',100,1,0),
(46148,10118549,'Decreases STR of target by 85.8',100,1,1),
(46149,10118549,'You must be sneaking to use this ability.',100,1,2),
(46150,35365,'Increases Max Power of target by 22.8',100,0,0),
(46151,35365,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(46152,103722,'Increases Max Health of raid and group members (AE) by 368.8',100,1,0),
(46153,103722,'Increases Defense of raid and group members (AE) by 13.7',100,1,1),
(46154,10103722,'Increases Max Health of raid and group members (AE) by 368.8',100,1,0),
(46155,10103722,'Increases Defense of raid and group members (AE) by 13.7',100,1,1),
(46156,120731,'Inflicts 3520 - 5190 melee damage on target',100,1,0),
(46157,120731,'Interrupts target',100,1,1),
(46158,10120731,'Inflicts 2430 - 3770 melee damage on target',100,1,0),
(46159,10120731,'Interrupts target',100,1,1),
(46160,116496,'Prevents targets in Area of Effect from changing targets',100,1,0),
(46161,116496,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(46162,116496,'Increases Threat to targets in Area of Effect by 2,864 ',100,1,2),
(46163,10116496,'Prevents targets in Area of Effect from changing targets',100,1,0),
(46164,10116496,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(46165,109093,'Inflicts 2447 - 3412 melee damage on target',100,1,0),
(46166,109093,'Inflicts 1465 - 2430 melee damage on target',100,1,1),
(46167,109093,'Inflicts 1465 - 2430 melee damage on target',100,1,2),
(46168,109093,'Decreases Mitigation of target vs physical damage by 1097',100,1,3),
(46169,10109093,'Inflicts 1549 - 2309 melee damage on target',100,1,0),
(46170,10109093,'Inflicts 1155 - 1915 melee damage on target',100,1,1),
(46171,10109093,'Inflicts 1155 - 1915 melee damage on target',100,1,2),
(46172,10109093,'Decreases Mitigation of target vs physical damage by 1097',100,1,3),
(46173,46446,'Applies Frozen Fingers when Activated.',100,0,0),
(46174,46446,'Covers the user''s hands in illusory ice.',100,1,1),
(46175,10046446,'Applies Frozen Fingers when Activated.',100,0,0),
(46176,10046446,'Covers the user''s hands in illusory ice.',100,1,1),
(46177,24452,'Adds Iksar Skeleton (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(46178,10024452,'Adds Iksar Skeleton (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(46179,82200,'When Equipped:',100,0,0),
(46180,82200,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46181,82200,'Inflicts 55 - 102 magic damage on target',100,2,2),
(46182,82200,'Cannot be modified except by direct means',100,2,3),
(46183,10082200,'When Equipped:',100,0,0),
(46184,10082200,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46185,10082200,'Inflicts 55 - 102 magic damage on target',100,2,2),
(46186,10082200,'Cannot be modified except by direct means',100,2,3),
(46187,124597,'Roots targets in Area of Effect',100,1,0),
(46188,124597,'If Target is not Epic',100,2,1),
(46189,124597,'Decreases Threat to targets in Area of Effect by 15,991 ',100,1,2),
(46190,124597,'Interrupts targets in Area of Effect',100,1,3),
(46191,10124597,'Roots targets in Area of Effect',100,1,0),
(46192,10124597,'If Target is not Epic',100,2,1),
(46193,10124597,'Applies Distract.',100,1,2),
(46194,10124597,'Forces target to clear their selected target.',100,2,3),
(46195,10124597,'Interrupts targets in Area of Effect',100,1,4),
(46196,10124597,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(46197,100334,'Increases Max Health of target by 29.6',100,1,0),
(46198,100334,'Increases Crushing, Piercing, Slashing and Ranged of target by 0.9',100,1,1),
(46199,10100334,'Increases Max Health of target by 29.6',100,1,0),
(46200,10100334,'Increases Crushing, Piercing, Slashing and Ranged of target by 0.9',100,1,1),
(46201,123285,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(46202,123285,'Inflicts 447 - 744 disease damage on target',100,2,1),
(46203,123285,'Heals caster for 0.8 - 1.3% of max health',100,2,2),
(46204,123285,'This effect cannot be critically applied.',100,3,3),
(46205,123285,'The healing of this spell cannot be modified except by direct means',100,2,4),
(46206,10123285,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(46207,10123285,'Inflicts 352 - 587 disease damage on target',100,2,1),
(46208,10123285,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(46209,10123285,'This effect cannot be critically applied.',100,3,3),
(46210,10123285,'The healing of this spell cannot be modified except by direct means',100,2,4),
(46211,101961,'Inflicts 1887 - 3319 heat damage on target',100,1,0),
(46212,10101961,'Inflicts 1386 - 2236 heat damage on target',100,1,0),
(46213,137037,'When Equipped:',100,0,0),
(46214,137037,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46215,137037,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(46216,137037,'Wards target against 1000 points of all damage',100,2,3),
(46217,137037,'Cannot be modified except by direct means',100,2,4),
(46218,10137037,'When Equipped:',100,0,0),
(46219,10137037,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46220,10137037,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(46221,10137037,'Wards target against 1000 points of all damage',100,2,3),
(46222,10137037,'Cannot be modified except by direct means',100,2,4),
(46223,35170,'Increases AGI of target by 2.4',100,0,0),
(46224,35170,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(46225,141929,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(46226,141929,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(46227,141929,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(46228,141929,'Cannot be modified except by direct means',100,2,3),
(46229,10141929,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(46230,10141929,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(46231,10141929,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(46232,10141929,'Cannot be modified except by direct means',100,2,3),
(46233,75638,'Applies Holy Strike when Activated.',100,0,0),
(46234,75638,'Inflicts 138 - 230 divine damage on target',100,1,1),
(46235,75638,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46236,10075638,'Applies Holy Strike when Activated.',100,0,0),
(46237,10075638,'Inflicts 138 - 230 divine damage on target',100,1,1),
(46238,10075638,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46239,46896,'Applies Overclocked Tools when Equipped.',100,0,0),
(46240,46896,'Increases success chance by 5.0%',100,1,1),
(46241,10046896,'Applies Overclocked Tools when Equipped.',100,0,0),
(46242,10046896,'Increases success chance by 5.0%',100,1,1),
(46243,104663,'Decreases Mitigation of target vs all damage by 68',100,1,0),
(46244,10104663,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 68',100,1,0),
(46245,10104663,'Decreases Mitigation of target vs physical damage by 57',100,1,1),
(46246,120686,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 4.8',100,1,0),
(46247,10120686,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 4.8',100,1,0),
(46248,104404,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(46249,104404,'Inflicts 2035 - 2487 cold damage on target',100,2,1),
(46250,10104404,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(46251,10104404,'Inflicts 1604 - 1960 cold damage on target',100,2,1),
(46252,117341,'Roots target',100,1,0),
(46253,117341,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(46254,117341,'Slows target by 42.2%',100,2,2),
(46255,117341,'5% chance to dispel when target receives hostile action',100,2,3),
(46256,117341,'5% chance to dispel when target takes damage',100,2,4),
(46257,117341,'15% chance to dispel when target takes damage',100,1,5),
(46258,117341,'Does not affect Epic targets',100,1,6),
(46259,117341,'Resistibility increases against targets higher than level 90.',100,1,7),
(46260,10117341,'Roots target',100,1,0),
(46261,10117341,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(46262,10117341,'Slows target by 42.2%',100,2,2),
(46263,10117341,'10% chance to dispel when target receives hostile action',100,2,3),
(46264,10117341,'10% chance to dispel when target takes damage',100,2,4),
(46265,10117341,'15% chance to dispel when target takes damage',100,1,5),
(46266,10117341,'Does not affect Epic targets',100,1,6),
(46267,10117341,'Resistibility increases against targets higher than level 90.',100,1,7),
(46268,47040,'Applies withering spirit when Activated.  Lasts for 12 hours.',100,0,0),
(46269,47040,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(46270,47040,'Inflicts 103 poison damage on target',100,2,2),
(46271,47040,'Inflicts 272 poison damage on target instantly and every 6 seconds',100,2,3),
(46272,47040,'Cannot be modified except by direct means',100,2,4),
(46273,47040,'Grants a total of 200 triggers of the spell.',100,2,5),
(46274,10047040,'Applies withering spirit when Activated.  Lasts for 12 hours.',100,0,0),
(46275,10047040,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(46276,10047040,'Inflicts 77 poison damage on target',100,2,2),
(46277,10047040,'Inflicts 204 poison damage on target instantly and every 6 seconds',100,2,3),
(46278,10047040,'Cannot be modified except by direct means',100,2,4),
(46279,10047040,'Grants a total of 200 triggers of the spell.',100,2,5),
(46280,112264,'Applies Inquisition.',100,1,0),
(46281,112264,'Heals targets in Area of Effect for 1260 - 1516',100,2,1),
(46282,112264,'If Target is closer than 5 meters',100,3,2),
(46283,112264,'Heals targets in Area of Effect for 685 - 812',100,2,3),
(46284,112264,'If Target is between 5 and 10 meters away',100,3,4),
(46285,112264,'Heals targets in Area of Effect for 397 - 461',100,2,5),
(46286,112264,'If Target is between 10 and 20 meters away',100,3,6),
(46287,111907,'Inflicts 68 - 114 piercing damage on target instantly and every 4 seconds',100,1,0),
(46288,111907,'Inflicts 497 - 824 piercing damage on target',100,1,1),
(46289,10111907,'Inflicts 90 - 150 piercing damage on target instantly and every 4 seconds',100,1,0),
(46290,10111907,'Inflicts 640 - 843 piercing damage on target',100,1,1),
(46291,113125,'Decreases Attack Speed of target encounter by 14.9',100,1,0),
(46292,10113125,'Decreases Attack Speed of target encounter by 14.9',100,1,0),
(46293,110880,'Inflicts 1234 - 1509 heat damage on target encounter',100,1,0),
(46294,10110880,'Inflicts 966 - 1151 heat damage on target encounter',100,1,0),
(46295,45219,'Applies noxious remedy when Activated.',100,0,0),
(46296,45219,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(46297,10045219,'Applies noxious remedy when Activated.',100,0,0),
(46298,10045219,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(46299,47205,'Applies Elixir of Replenishment  when Activated.',100,0,0),
(46300,47205,'Heals caster for 74',100,1,1),
(46301,10047205,'Applies Elixir of Replenishment  when Activated.',100,0,0),
(46302,10047205,'Heals caster for 48',100,1,1),
(46303,173583,'When Equipped:',100,0,0),
(46304,173583,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(46305,10173583,'When Equipped:',100,0,0),
(46306,10173583,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(46307,119085,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(46308,119085,'Increases Parry and Deflection of group members (AE) by 14.2',100,1,1),
(46309,119085,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(46310,119085,'Decreases Threat to target encounter by 1,579 - 1,930 ',100,2,3),
(46311,119085,'If not fighter',100,3,4),
(46312,119085,'Increases Threat to target encounter by 2,764 - 3,220 ',100,2,5),
(46313,119085,'If fighter',100,3,6),
(46314,119085,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(46315,119085,'Decreases Threat to target encounter by 1,579 - 1,930 ',100,2,8),
(46316,119085,'If not fighter',100,3,9),
(46317,119085,'Increases Threat to target encounter by 2,764 - 3,220 ',100,2,10),
(46318,119085,'If fighter',100,3,11),
(46319,10119085,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(46320,10119085,'Increases Parry and Deflection of group members (AE) by 14.2',100,1,1),
(46321,10119085,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(46322,10119085,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(46323,159166,'Applies Sanguine Imbued when Equipped.',100,0,0),
(46324,159166,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(46325,159166,'Inflicts 111 heat damage on target',100,2,2),
(46326,159166,'Cannot be modified except by direct means',100,2,3),
(46327,10159166,'Applies Sanguine Imbued when Equipped.',100,0,0),
(46328,10159166,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(46329,10159166,'Inflicts 111 heat damage on target',100,2,2),
(46330,10159166,'Cannot be modified except by direct means',100,2,3),
(46331,45953,'Applies Elemental Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(46332,45953,'Makes caster immune to Stifle effects',100,1,1),
(46333,45953,'Temporarily increases the damage of your hostile spells by 10%',100,1,2),
(46334,45953,'Must have Discord''s Empowered Fetish equipped.',100,1,3),
(46335,45953,'Must be engaged in pvp combat',100,1,4),
(46336,10045953,'Applies Elemental Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(46337,10045953,'Makes caster immune to Stifle effects',100,1,1),
(46338,10045953,'Temporarily increases the damage of your hostile spells by 10%',100,1,2),
(46339,10045953,'Must have Discord''s Empowered Fetish equipped.',100,1,3),
(46340,10045953,'Must be engaged in pvp combat',100,1,4),
(46341,111187,'Inflicts 798 - 1324 divine damage on targets in area',100,1,0),
(46342,111187,'Heals group members (AE) for 2.5% of max health',100,1,1),
(46343,111187,'This effect cannot be critically applied.',100,2,2),
(46344,111187,'The healing of this spell cannot be modified except by direct means',100,1,3),
(46345,10111187,'Inflicts 643 - 1050 divine damage on targets in area',100,1,0),
(46346,10111187,'Heals group members (AE) for 1.6% of max health',100,1,1),
(46347,10111187,'This effect cannot be critically applied.',100,2,2),
(46348,10111187,'The healing of this spell cannot be modified except by direct means',100,1,3),
(46349,87563,'Applies Poison Bolt when Activated.',100,0,0),
(46350,87563,'Inflicts 240 - 399 poison damage on target',100,1,1),
(46351,87563,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46352,10087563,'Applies Poison Bolt when Activated.',100,0,0),
(46353,10087563,'Inflicts 240 - 399 poison damage on target',100,1,1),
(46354,10087563,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46355,120102,'Shapechanges caster into a chaos essence',100,1,0),
(46356,120102,'Increases WIS of caster by 52.4',100,1,1),
(46357,120102,'Grants See Invisibility to caster',100,1,2),
(46358,120102,'Increases Max Health of caster by 207.8',100,1,3),
(46359,120102,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 808',100,1,4),
(46360,10120102,'Shapechanges caster into a chaos essence',100,1,0),
(46361,10120102,'Increases WIS of caster by 52.4',100,1,1),
(46362,10120102,'Grants See Invisibility to caster',100,1,2),
(46363,10120102,'Increases Max Health of caster by 207.8',100,1,3),
(46364,10120102,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 808',100,1,4),
(46365,100548,'Heals group members (AE) for 2133 - 2562',100,1,0),
(46366,10100548,'Heals group members (AE) for 1834 - 2223',100,1,0),
(46367,71599,'When Equipped:',100,0,0),
(46368,71599,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46369,71599,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(46370,71599,'Cannot be modified except by direct means',100,2,3),
(46371,10071599,'When Equipped:',100,0,0),
(46372,10071599,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46373,10071599,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(46374,10071599,'Cannot be modified except by direct means',100,2,3),
(46375,101387,'Inflicts 1633 - 2062 melee damage on target',100,1,0),
(46376,101387,'Returns the last arrow used to the ranger.',100,1,1),
(46377,10101387,'Inflicts 907 - 1245 melee damage on target',100,1,0),
(46378,10101387,'Returns the last arrow used to the ranger.',100,1,1),
(46379,101976,'Inflicts 6414 - 11070 heat damage on target',100,1,0),
(46380,10101976,'Inflicts 4676 - 8345 heat damage on target',100,1,0),
(46381,111205,'Inflicts 1626 - 2653 divine damage on targets in area',100,1,0),
(46382,111205,'Heals group members (AE) for 1.9% of max health',100,1,1),
(46383,111205,'This effect cannot be critically applied.',100,2,2),
(46384,111205,'The healing of this spell cannot be modified except by direct means',100,1,3),
(46385,10111205,'Inflicts 1275 - 2071 divine damage on targets in area',100,1,0),
(46386,10111205,'Heals group members (AE) for 1.3% of max health',100,1,1),
(46387,10111205,'This effect cannot be critically applied.',100,2,2),
(46388,10111205,'The healing of this spell cannot be modified except by direct means',100,1,3),
(46389,45554,'Applies Barodreth''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(46390,45554,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(46391,10045554,'Applies Barodreth''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(46392,10045554,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(46393,136373,'When Equipped:',100,0,0),
(46394,136373,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(46395,136373,'Increases power of target by 23 instantly and every 4 seconds',100,2,2),
(46396,136373,'Cannot be modified except by direct means',100,2,3),
(46397,10136373,'When Equipped:',100,0,0),
(46398,10136373,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(46399,10136373,'Increases power of target by 23 instantly and every 4 seconds',100,2,2),
(46400,10136373,'Cannot be modified except by direct means',100,2,3),
(46401,82708,'When Equipped:',100,0,0),
(46402,82708,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(46403,82708,'Decreases Threat to target by 1,174 ',100,2,2),
(46404,82708,'Must be flanking or behind',100,3,3),
(46405,82708,'Increases Threat to target by 1,634 ',100,2,4),
(46406,82708,'Must be in front of',100,3,5),
(46407,82708,'Inflicts 468 - 870 magic damage on target',100,2,6),
(46408,82708,'Cannot be modified except by direct means',100,2,7),
(46409,10082708,'When Equipped:',100,0,0),
(46410,10082708,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(46411,10082708,'Inflicts 468 - 870 magic damage on target',100,2,2),
(46412,10082708,'Cannot be modified except by direct means',100,2,3),
(46413,81340,'When Equipped:',100,0,0),
(46414,81340,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(46415,81340,'Decreases Threat to target by 352 ',100,2,2),
(46416,81340,'Must be flanking or behind',100,3,3),
(46417,81340,'Increases Threat to target by 617 ',100,2,4),
(46418,81340,'Must be in front of',100,3,5),
(46419,81340,'Inflicts 155 - 288 magic damage on target',100,2,6),
(46420,81340,'Cannot be modified except by direct means',100,2,7),
(46421,10081340,'When Equipped:',100,0,0),
(46422,10081340,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(46423,10081340,'Inflicts 155 - 288 magic damage on target',100,2,2),
(46424,10081340,'Cannot be modified except by direct means',100,2,3),
(46425,100355,'Increases Max Health of target by 705.6',100,1,0),
(46426,100355,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.6',100,1,1),
(46427,10100355,'Increases Max Health of target by 705.6',100,1,0),
(46428,10100355,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.6',100,1,1),
(46429,120103,'Shapechanges caster into a chaos essence',100,1,0),
(46430,120103,'Increases WIS of caster by 73.4',100,1,1),
(46431,120103,'Grants See Invisibility to caster',100,1,2),
(46432,120103,'Increases Max Health of caster by 290.9',100,1,3),
(46433,120103,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1131',100,1,4),
(46434,10120103,'Shapechanges caster into a chaos essence',100,1,0),
(46435,10120103,'Increases WIS of caster by 73.4',100,1,1),
(46436,10120103,'Grants See Invisibility to caster',100,1,2),
(46437,10120103,'Increases Max Health of caster by 290.9',100,1,3),
(46438,10120103,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1131',100,1,4),
(46439,101593,'Inflicts 1734 - 2793 melee damage on targets in area',100,1,0),
(46440,10101593,'Inflicts 1329 - 2117 melee damage on targets in area',100,1,0),
(46441,107564,'Roots target',100,1,0),
(46442,107564,'Inflicts 1283 - 1350 mental damage on target',100,1,1),
(46443,107564,'5% chance to dispel when target takes damage',100,1,2),
(46444,107564,'5% chance to dispel when target receives hostile action',100,1,3),
(46445,107564,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(46446,107564,'Resistibility increases against targets higher than level 40.',100,1,5),
(46447,10107564,'Roots target',100,1,0),
(46448,10107564,'Inflicts 632 - 684 mental damage on target',100,1,1),
(46449,10107564,'5% chance to dispel when target takes damage',100,1,2),
(46450,10107564,'5% chance to dispel when target receives hostile action',100,1,3),
(46451,10107564,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(46452,10107564,'Resistibility increases against targets higher than level 40.',100,1,5),
(46453,105236,'Decreases STR and INT of target by 62.7',100,1,0),
(46454,105236,'Only affects targets level 20 and above',100,1,1),
(46455,10105236,'Decreases STR and INT of target by 62.7',100,1,0),
(46456,10105236,'Only affects targets level 20 and above',100,1,1),
(46457,25008,'When Equipped:',100,0,0),
(46458,25008,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(46459,25008,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(46460,10025008,'When Equipped:',100,0,0),
(46461,10025008,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(46462,10025008,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(46463,108020,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(46464,108020,'Increases Mitigation of group members (AE) vs elemental damage by 1771',100,1,1),
(46465,10108020,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(46466,10108020,'Increases Mitigation of group members (AE) vs elemental damage by 1771',100,1,1),
(46467,105250,'Increases Threat to target by 3,523 ',100,1,0),
(46468,105250,'Interrupts target',100,1,1),
(46469,105250,'Dispels 77 levels of arcane beneficial effects on target',100,1,2),
(46470,10105250,'Forces target to change their selected target to caster.',100,1,0),
(46471,10105250,'Interrupts target',100,1,1),
(46472,10105250,'Dispels 77 levels of arcane beneficial effects on target',100,1,2),
(46473,48586,'Applies Tonic of Animation when Activated.  Lasts for 30 minutes.',100,0,0),
(46474,10048586,'Applies Tonic of Animation when Activated.  Lasts for 30 minutes.',100,0,0),
(46475,89901,'When Equipped:',100,0,0),
(46476,89901,'On a spell cast this spell may cast Plasma Boost on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46477,89901,'Increases the base damage of hostile spells cast by 8%.',100,2,2),
(46478,89901,'Cannot be modified except by direct means',100,2,3),
(46479,10089901,'When Equipped:',100,0,0),
(46480,10089901,'On a spell cast this spell may cast Plasma Boost on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46481,10089901,'Increases the base damage of hostile spells cast by 8%.',100,2,2),
(46482,10089901,'Cannot be modified except by direct means',100,2,3),
(46483,139549,'When Equipped:',100,0,0),
(46484,139549,'On a spell cast this spell may cast Harnessed Power of the Estate on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46485,139549,'Decrease the caster''s spell reuse time by 10%.',100,2,2),
(46486,139549,'Cannot be modified except by direct means',100,2,3),
(46487,10139549,'When Equipped:',100,0,0),
(46488,10139549,'On a spell cast this spell may cast Harnessed Power of the Estate on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46489,10139549,'Decrease the caster''s spell reuse time by 10%.',100,2,2),
(46490,10139549,'Cannot be modified except by direct means',100,2,3),
(46491,180916,'When Equipped:',100,0,0),
(46492,180916,'Completely prevents the wearer from being dominated by evil void beings. 73% of the time, it works every time.',100,1,1),
(46493,10180916,'When Equipped:',100,0,0),
(46494,10180916,'Completely prevents the wearer from being dominated by evil void beings. 73% of the time, it works every time.',100,1,1),
(46495,27491,'When Equipped:',100,0,0),
(46496,27491,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(46497,27491,'On any combat or spell hit this spell may cast Virulent Ire on target of attack.  Triggers about 2.2 times per minute. ',100,1,2),
(46498,27491,'Increases threat priority of target by 1 position',100,2,3),
(46499,27491,'Inflicts 5575 - 6162 mental damage on target',100,2,4),
(46500,27491,'Must not be engaged in pvp combat',100,2,5),
(46501,27491,'Cannot be modified except by direct means',100,2,6),
(46502,27491,'Must not be engaged in pvp combat',100,1,7),
(46503,27491,'Cannot be modified except by direct means',100,1,8),
(46504,10027491,'When Equipped:',100,0,0),
(46505,10027491,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(46506,10027491,'On any combat or spell hit this spell may cast Virulent Ire on target of attack.  Triggers about 2.2 times per minute. ',100,1,2),
(46507,10027491,'Inflicts 5575 - 6162 mental damage on target',100,2,3),
(46508,10027491,'Must not be engaged in pvp combat',100,2,4),
(46509,10027491,'Cannot be modified except by direct means',100,2,5),
(46510,10027491,'Must not be engaged in pvp combat',100,1,6),
(46511,10027491,'Cannot be modified except by direct means',100,1,7),
(46512,103738,'Increases Max Health of raid and group members (AE) by 582.1',100,1,0),
(46513,103738,'Increases Defense of raid and group members (AE) by 19.6',100,1,1),
(46514,10103738,'Increases Max Health of raid and group members (AE) by 582.1',100,1,0),
(46515,10103738,'Increases Defense of raid and group members (AE) by 19.6',100,1,1),
(46516,27193,'When Equipped:',100,0,0),
(46517,27193,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(46518,27193,'Increases power of caster by 111',100,2,2),
(46519,27193,'Cannot be modified except by direct means',100,2,3),
(46520,10027193,'When Equipped:',100,0,0),
(46521,10027193,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(46522,10027193,'Increases power of caster by 111',100,2,2),
(46523,10027193,'Cannot be modified except by direct means',100,2,3),
(46524,120349,'Inflicts 96 - 117 divine damage on target',100,1,0),
(46525,10120349,'Inflicts 82 - 100 divine damage on target',100,1,0),
(46526,79468,'When Equipped:',100,0,0),
(46527,79468,'On any combat or spell hit this spell will cast Shatter on caster.  ',100,1,1),
(46528,79468,'Cannot be modified except by direct means',100,2,2),
(46529,10079468,'When Equipped:',100,0,0),
(46530,10079468,'On any combat or spell hit this spell will cast Shatter on caster.  ',100,1,1),
(46531,10079468,'Cannot be modified except by direct means',100,2,2),
(46532,48688,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(46533,48688,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(46534,48688,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(46535,48688,'Cannot be modified except by direct means',100,2,3),
(46536,48688,'Grants a total of 80 triggers of the spell.',100,2,4),
(46537,10048688,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(46538,10048688,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(46539,10048688,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(46540,10048688,'Cannot be modified except by direct means',100,2,3),
(46541,10048688,'Grants a total of 80 triggers of the spell.',100,2,4),
(46542,24181,'Adds Crushbone: Full Blue Stone Wall Mount to your Dungeon Maker toolbox',100,0,0),
(46543,10024181,'Adds Crushbone: Full Blue Stone Wall Mount to your Dungeon Maker toolbox',100,0,0),
(46544,112970,'Summons a pet shadow lich knight',100,1,0),
(46545,10112970,'Summons a pet shadow lich knight',100,1,0),
(46546,81069,'When Equipped:',100,0,0),
(46547,81069,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46548,81069,'Inflicts 295 - 547 magic damage on target',100,2,2),
(46549,81069,'Cannot be modified except by direct means',100,2,3),
(46550,10081069,'When Equipped:',100,0,0),
(46551,10081069,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46552,10081069,'Inflicts 295 - 547 magic damage on target',100,2,2),
(46553,10081069,'Cannot be modified except by direct means',100,2,3),
(46554,114328,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(46555,114328,'Increases target''s chance to block by 15.0%',100,130,1),
(46556,114328,'Dispels 21 levels of noxious hostile effects on target',100,1,2),
(46557,114328,'Heals target for 307 - 356',100,1,3),
(46558,114328,'This effect cannot be critically applied.',100,2,4),
(46559,114328,'The healing of this spell cannot be modified except by direct means',100,1,5),
(46560,10114328,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(46561,10114328,'Increases target''s chance to block by 15.0%',100,130,1),
(46562,10114328,'Dispels 21 levels of noxious hostile effects on target',100,1,2),
(46563,10114328,'Heals target for 178 - 205',100,1,3),
(46564,10114328,'This effect cannot be critically applied.',100,2,4),
(46565,10114328,'The healing of this spell cannot be modified except by direct means',100,1,5),
(46566,119998,'Increases Threat to target by 4,148 - 4,565 ',100,1,0),
(46567,10119998,'Prevents target from changing targets',100,1,0),
(46568,10119998,'Forces target to change their selected target to caster.',100,1,1),
(46569,37488,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(46570,107881,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(46571,107881,'Slows target by 42.7%',100,2,1),
(46572,107881,'5% chance to dispel when target receives hostile action',100,2,2),
(46573,107881,'5% chance to dispel when target takes damage',100,2,3),
(46574,107881,'Slows target encounter by 51.3%',100,1,4),
(46575,107881,'5% chance to dispel when target takes damage',100,1,5),
(46576,10107881,'Slows target encounter by 51.3%',100,1,0),
(46577,10107881,'5% chance to dispel when target takes damage',100,1,1),
(46578,46178,'Applies Entangle Essence when Activated.',100,0,0),
(46579,46178,'Must be in Sundered Frontier.',100,1,1),
(46580,46178,'Must not be engaged in combat',100,1,2),
(46581,10046178,'Applies Entangle Essence when Activated.',100,0,0),
(46582,10046178,'Must be in Sundered Frontier.',100,1,1),
(46583,10046178,'Must not be engaged in combat',100,1,2),
(46584,123620,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(46585,123620,'Slows target by 30.2%',100,2,1),
(46586,123620,'5% chance to dispel when target receives hostile action',100,2,2),
(46587,123620,'5% chance to dispel when target takes damage',100,2,3),
(46588,123620,'Inflicts 64 - 78 cold damage on target',100,1,4),
(46589,10123620,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(46590,10123620,'Slows target by 30.2%',100,2,1),
(46591,10123620,'5% chance to dispel when target receives hostile action',100,2,2),
(46592,10123620,'5% chance to dispel when target takes damage',100,2,3),
(46593,10123620,'Inflicts 50 - 61 cold damage on target',100,1,4),
(46594,41196,'When Equipped:',100,0,0),
(46595,41196,'This effect will not stack with itself.',100,1,1),
(46596,41196,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(46597,41196,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(46598,41196,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(46599,41196,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(46600,41196,'Must not be engaged in pvp combat',100,2,6),
(46601,41196,'Cannot be modified except by direct means',100,2,7),
(46602,41196,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(46603,41196,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(46604,41196,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(46605,41196,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(46606,41196,'Must not be engaged in pvp combat',100,2,12),
(46607,41196,'Cannot be modified except by direct means',100,2,13),
(46608,41196,'Must not be engaged in pvp combat',100,1,14),
(46609,10041196,'When Equipped:',100,0,0),
(46610,10041196,'This effect will not stack with itself.',100,1,1),
(46611,10041196,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(46612,10041196,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(46613,10041196,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(46614,10041196,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(46615,10041196,'Must not be engaged in pvp combat',100,2,6),
(46616,10041196,'Cannot be modified except by direct means',100,2,7),
(46617,10041196,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(46618,10041196,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(46619,10041196,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(46620,10041196,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(46621,10041196,'Must not be engaged in pvp combat',100,2,12),
(46622,10041196,'Cannot be modified except by direct means',100,2,13),
(46623,10041196,'Must not be engaged in pvp combat',100,1,14),
(46624,79018,'Applies Frost Blast when Activated.',100,0,0),
(46625,79018,'Inflicts 171 - 285 cold damage on target',100,1,1),
(46626,79018,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46627,10079018,'Applies Frost Blast when Activated.',100,0,0),
(46628,10079018,'Inflicts 171 - 285 cold damage on target',100,1,1),
(46629,10079018,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46630,117429,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(46631,117429,'Inflicts 1410 - 2603 melee damage on targets in area',100,2,1),
(46632,117429,'Grants a total of 10 triggers of the spell.',100,2,2),
(46633,10117429,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(46634,10117429,'Inflicts 1112 - 2051 melee damage on targets in area',100,2,1),
(46635,10117429,'Grants a total of 10 triggers of the spell.',100,2,2),
(46636,87417,'When Equipped:',100,0,0),
(46637,87417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46638,87417,'Inflicts 56 - 84 magic damage on target',100,2,2),
(46639,87417,'Cannot be modified except by direct means',100,2,3),
(46640,10087417,'When Equipped:',100,0,0),
(46641,10087417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46642,10087417,'Inflicts 56 - 84 magic damage on target',100,2,2),
(46643,10087417,'Cannot be modified except by direct means',100,2,3),
(46644,114699,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(46645,114699,'Decreases Hate Gain of target by 12.3%',100,1,1),
(46646,10114699,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(46647,107472,'Inflicts 404 - 1213 magic damage on targets in Area of Effect',100,1,0),
(46648,107472,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(46649,107472,'Stuns target',100,2,2),
(46650,107472,'Throws target back',100,2,3),
(46651,107472,'Blurs vision of target',100,2,4),
(46652,107472,'Does not affect Epic targets',100,2,5),
(46653,10107472,'Inflicts 331 - 951 magic damage on targets in Area of Effect',100,1,0),
(46654,10107472,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(46655,10107472,'Stuns target',100,2,2),
(46656,10107472,'Throws target back',100,2,3),
(46657,10107472,'Blurs vision of target',100,2,4),
(46658,10107472,'Does not affect Epic targets',100,2,5),
(46659,73737,'Applies Frost Blast when Activated.',100,0,0),
(46660,73737,'Inflicts 243 - 405 cold damage on target',100,1,1),
(46661,73737,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46662,10073737,'Applies Frost Blast when Activated.',100,0,0),
(46663,10073737,'Inflicts 243 - 405 cold damage on target',100,1,1),
(46664,10073737,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46665,116712,'Inflicts 1231 - 2042 melee damage on target',100,1,0),
(46666,10116712,'Inflicts 969 - 1467 melee damage on target',100,1,0),
(46667,104130,'Roots target',100,1,0),
(46668,104130,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(46669,104130,'Makes target afraid',100,2,2),
(46670,104130,'Slows target by 31.5%',100,2,3),
(46671,104130,'30% chance to dispel when target takes damage',100,2,4),
(46672,104130,'Resistibility increases against targets higher than level 76.',100,2,5),
(46673,104130,'15% chance to dispel when target takes damage',100,1,6),
(46674,104130,'Does not affect Epic targets',100,1,7),
(46675,104130,'Resistibility increases against targets higher than level 76.',100,1,8),
(46676,10104130,'Roots target',100,1,0),
(46677,10104130,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(46678,10104130,'Makes target afraid',100,2,2),
(46679,10104130,'Slows target by 31.5%',100,2,3),
(46680,10104130,'30% chance to dispel when target takes damage',100,2,4),
(46681,10104130,'Resistibility increases against targets higher than level 76.',100,2,5),
(46682,10104130,'15% chance to dispel when target takes damage',100,1,6),
(46683,10104130,'Does not affect Epic targets',100,1,7),
(46684,10104130,'Resistibility increases against targets higher than level 76.',100,1,8),
(46685,81668,'When Equipped:',100,0,0),
(46686,81668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46687,81668,'Inflicts 217 - 404 magic damage on target',100,2,2),
(46688,81668,'Cannot be modified except by direct means',100,2,3),
(46689,10081668,'When Equipped:',100,0,0),
(46690,10081668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46691,10081668,'Inflicts 217 - 404 magic damage on target',100,2,2),
(46692,10081668,'Cannot be modified except by direct means',100,2,3),
(46693,170048,'Applies Skin of Clay when Activated.  Lasts for 15.0 seconds.',100,0,0),
(46694,170048,'Wards caster against 565 points of physical damage',100,1,1),
(46695,170048,'The casting time of Skin of Clay is 0.5 seconds and the reuse time of the spell is 10 minutes 22 seconds',100,1,2),
(46696,10170048,'Applies Skin of Clay when Activated.  Lasts for 15.0 seconds.',100,0,0),
(46697,10170048,'Wards caster against 565 points of physical damage',100,1,1),
(46698,10170048,'The casting time of Skin of Clay is 0.5 seconds and the reuse time of the spell is 10 minutes 22 seconds',100,1,2),
(46699,109799,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(46700,109799,'Heals group members (AE) for 2160',100,2,1),
(46701,10109799,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(46702,10109799,'Heals group members (AE) for 1079',100,2,1),
(46703,164127,'When Equipped:',100,0,0),
(46704,164127,'Increases Attack Speed of caster by 10.0',100,1,1),
(46705,10164127,'When Equipped:',100,0,0),
(46706,10164127,'Increases Attack Speed of caster by 10.0',100,1,1),
(46707,159721,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(46708,159721,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(46709,159721,'Inflicts 52 heat damage on target',100,2,2),
(46710,159721,'Cannot be modified except by direct means',100,2,3),
(46711,10159721,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(46712,10159721,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(46713,10159721,'Inflicts 52 heat damage on target',100,2,2),
(46714,10159721,'Cannot be modified except by direct means',100,2,3),
(46715,123117,'Inflicts 1142 disease damage on targets in Area of Effect',100,1,0),
(46716,123117,'Inflicts 555 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(46717,10123117,'Inflicts 773 disease damage on targets in Area of Effect',100,1,0),
(46718,10123117,'Inflicts 438 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(46719,163384,'When Equipped:',100,0,0),
(46720,163384,'Reduces maximum falling speed of caster',100,1,1),
(46721,10163384,'When Equipped:',100,0,0),
(46722,10163384,'Reduces maximum falling speed of caster',100,1,1),
(46723,107719,'Inflicts 3106 - 4504 heat damage on target',100,1,0),
(46724,107719,'You must be sneaking to use this ability.',100,1,1),
(46725,10107719,'Inflicts 2068 - 3170 heat damage on target',100,1,0),
(46726,10107719,'You must be sneaking to use this ability.',100,1,1),
(46727,104114,'Roots target',100,1,0),
(46728,104114,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(46729,104114,'Makes target afraid',100,2,2),
(46730,104114,'Slows target by 25.6%',100,2,3),
(46731,104114,'30% chance to dispel when target takes damage',100,2,4),
(46732,104114,'Resistibility increases against targets higher than level 62.',100,2,5),
(46733,104114,'15% chance to dispel when target takes damage',100,1,6),
(46734,104114,'Does not affect Epic targets',100,1,7),
(46735,104114,'Resistibility increases against targets higher than level 62.',100,1,8),
(46736,10104114,'Roots target',100,1,0),
(46737,10104114,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(46738,10104114,'Makes target afraid',100,2,2),
(46739,10104114,'Slows target by 25.6%',100,2,3),
(46740,10104114,'30% chance to dispel when target takes damage',100,2,4),
(46741,10104114,'Resistibility increases against targets higher than level 62.',100,2,5),
(46742,10104114,'15% chance to dispel when target takes damage',100,1,6),
(46743,10104114,'Does not affect Epic targets',100,1,7),
(46744,10104114,'Resistibility increases against targets higher than level 62.',100,1,8),
(46745,81025,'When Equipped:',100,0,0),
(46746,81025,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46747,81025,'Inflicts 295 - 547 magic damage on target',100,2,2),
(46748,81025,'Cannot be modified except by direct means',100,2,3),
(46749,10081025,'When Equipped:',100,0,0),
(46750,10081025,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46751,10081025,'Inflicts 295 - 547 magic damage on target',100,2,2),
(46752,10081025,'Cannot be modified except by direct means',100,2,3),
(46753,102103,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(46754,102103,'Stuns target',100,2,1),
(46755,102103,'Throws target back',100,2,2),
(46756,102103,'Blurs vision of target',100,2,3),
(46757,102103,'Does not affect Epic targets',100,2,4),
(46758,102103,'Inflicts 795 - 1319 crushing damage on target',100,1,5),
(46759,10102103,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(46760,10102103,'Stuns target',100,2,1),
(46761,10102103,'Throws target back',100,2,2),
(46762,10102103,'Blurs vision of target',100,2,3),
(46763,10102103,'Does not affect Epic targets',100,2,4),
(46764,10102103,'Inflicts 627 - 1040 crushing damage on target',100,1,5),
(46765,139290,'Applies Comfort when Activated.  Lasts for 12 hours.',100,0,0),
(46766,139290,'Shapechanges caster into a Gigglegibber Comfort Crate',100,1,1),
(46767,139290,'This effect cancels during combat',100,1,2),
(46768,139290,'The casting time of Comfort is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,3),
(46769,139290,'When Equipped:',100,0,4),
(46770,139290,'Reduces maximum falling speed of caster',100,1,5),
(46771,10139290,'Applies Comfort when Activated.  Lasts for 12 hours.',100,0,0),
(46772,10139290,'Shapechanges caster into a Gigglegibber Comfort Crate',100,1,1),
(46773,10139290,'This effect cancels during combat',100,1,2),
(46774,10139290,'The casting time of Comfort is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,3),
(46775,10139290,'When Equipped:',100,0,4),
(46776,10139290,'Reduces maximum falling speed of caster',100,1,5),
(46777,116468,'Inflicts 2108 disease damage on target',100,1,0),
(46778,116468,'Inflicts 1125 disease damage on target every 4 seconds',100,1,1),
(46779,116468,'Inflicts 1125 disease damage on target instantly and every 4 seconds',100,1,2),
(46780,116468,'If target is nightblood',100,2,3),
(46781,116468,'Inflicts 1125 disease damage on target instantly and every 4 seconds',100,1,4),
(46782,116468,'If target is shadowed folk',100,2,5),
(46783,10116468,'Inflicts 1282 disease damage on target',100,1,0),
(46784,10116468,'Inflicts 887 disease damage on target every 4 seconds',100,1,1),
(46785,172201,'When Equipped:',100,0,0),
(46786,172201,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(46787,172201,'Inflicts 2664 disease damage on target encounter',100,2,2),
(46788,172201,'Must not be engaged in pvp combat',100,2,3),
(46789,172201,'Cannot be modified except by direct means',100,2,4),
(46790,10172201,'When Equipped:',100,0,0),
(46791,10172201,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(46792,10172201,'Inflicts 1332 disease damage on target encounter',100,2,2),
(46793,10172201,'Must not be engaged in pvp combat',100,2,3),
(46794,10172201,'Cannot be modified except by direct means',100,2,4),
(46795,102341,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(46796,102341,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(46797,102341,'Decreases threat priority of target encounter by 1 position',100,2,2),
(46798,102341,'Decreases Threat to target encounter by 4,125 ',100,2,3),
(46799,102341,'Grants a total of 3 triggers of the spell.',100,2,4),
(46800,102341,'If profession other than Fighter',100,1,5),
(46801,10102341,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(46802,10102341,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(46803,10102341,'Forces target to clear their selected target.',100,2,2),
(46804,10102341,'Target cannot target caster for the duration of this effect.',100,2,3),
(46805,10102341,'Grants a total of 3 triggers of the spell.',100,2,4),
(46806,10102341,'If profession other than Fighter',100,1,5),
(46807,113834,'Inflicts 2492 - 3751 disease damage on target',100,1,0),
(46808,10113834,'Inflicts 1704 - 2577 disease damage on target',100,1,0),
(46809,121880,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(46810,121880,'Decreases Threat to target by 1,952 - 2,385 ',100,2,1),
(46811,121880,'If profession other than Fighter',100,3,2),
(46812,121880,'Inflicts 1571 - 1920 mental damage on target',100,2,3),
(46813,10121880,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(46814,10121880,'Inflicts 1238 - 1513 mental damage on target',100,2,1),
(46815,119866,'Increases INT and AGI of group members (AE) by 24.2',100,1,0),
(46816,119866,'Adds 1.9% to base avoidance.',100,1,1),
(46817,10119866,'Increases INT and AGI of group members (AE) by 24.2',100,1,0),
(46818,10119866,'Adds 1.9% to base avoidance.',100,1,1),
(46819,153835,'When Equipped:',100,0,0),
(46820,153835,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(46821,153835,'Increases power of target by 45 instantly and every 4 seconds',100,2,2),
(46822,153835,'Cannot be modified except by direct means',100,2,3),
(46823,10153835,'When Equipped:',100,0,0),
(46824,10153835,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(46825,10153835,'Increases power of target by 45 instantly and every 4 seconds',100,2,2),
(46826,10153835,'Cannot be modified except by direct means',100,2,3),
(46827,71573,'When Equipped:',100,0,0),
(46828,71573,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46829,71573,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(46830,71573,'Cannot be modified except by direct means',100,2,3),
(46831,10071573,'When Equipped:',100,0,0),
(46832,10071573,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46833,10071573,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(46834,10071573,'Cannot be modified except by direct means',100,2,3),
(46835,36318,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(46836,36318,'This effect suspends during combat',100,0,1),
(46837,109086,'Inflicts 2039 - 2734 melee damage on target',100,1,0),
(46838,109086,'Inflicts 1056 - 1752 melee damage on target',100,1,1),
(46839,109086,'Inflicts 1056 - 1752 melee damage on target',100,1,2),
(46840,109086,'Decreases Mitigation of target vs physical damage by 735',100,1,3),
(46841,10109086,'Inflicts 1227 - 1775 melee damage on target',100,1,0),
(46842,10109086,'Inflicts 832 - 1381 melee damage on target',100,1,1),
(46843,10109086,'Inflicts 832 - 1381 melee damage on target',100,1,2),
(46844,10109086,'Decreases Mitigation of target vs physical damage by 735',100,1,3),
(46845,113281,'Inflicts 46 - 76 heat damage on target',100,1,0),
(46846,10113281,'Inflicts 55 - 91 heat damage on target',100,1,0),
(46847,110692,'Heals target for 3748',100,1,0),
(46848,110692,'Dispels 70 levels of any hostile effects on target',100,1,1),
(46849,10110692,'Heals target for 1673',100,1,0),
(46850,10110692,'Dispels 70 levels of any hostile effects on target',100,1,1),
(46851,102199,'Increases Mitigation of group members (AE) vs physical damage by 598',100,1,0),
(46852,10102199,'Increases Mitigation of group members (AE) vs physical damage by 598',100,1,0),
(46853,24247,'Adds Cyclops (Fury)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(46854,10024247,'Adds Cyclops (Fury)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(46855,103964,'Interrupts targets in Area of Effect',100,1,0),
(46856,103964,'Inflicts 26 - 48 poison damage on targets in Area of Effect',100,1,1),
(46857,103964,'Inflicts 16 - 29 poison damage on targets in Area of Effect every second',100,1,2),
(46858,10103964,'Interrupts targets in Area of Effect',100,1,0),
(46859,10103964,'Inflicts 23 - 42 poison damage on targets in Area of Effect',100,1,1),
(46860,10103964,'Inflicts 12 - 23 poison damage on targets in Area of Effect every second',100,1,2),
(46861,106385,'Inflicts 2285 - 3511 melee damage on target',100,1,0),
(46862,106385,'Decreases Defense of target by 16.5',100,1,1),
(46863,106385,'Decreases Defense of caster by 17.4',100,1,2),
(46864,10106385,'Inflicts 1596 - 2388 melee damage on target',100,1,0),
(46865,10106385,'Decreases Defense of target by 16.5',100,1,1),
(46866,10106385,'Decreases Defense of caster by 17.4',100,1,2),
(46867,115591,'Interrupts target encounter',100,1,0),
(46868,115591,'Decreases Threat to target encounter by 1,432 - 1,772 ',100,1,1),
(46869,115591,'Dazes target encounter',100,1,2),
(46870,115591,'If Target is not Epic',100,2,3),
(46871,115591,'Resistibility increases against targets higher than level 95.',100,1,4),
(46872,10115591,'Interrupts target encounter',100,1,0),
(46873,10115591,'Dazes target encounter',100,1,1),
(46874,10115591,'If Target is not Epic',100,2,2),
(46875,10115591,'Resistibility increases against targets higher than level 95.',100,1,3),
(46876,35374,'Increases INT and WIS of target by 3.2',100,0,0),
(46877,35374,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(46878,102020,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(46879,102020,'Wards target against 1002 points of all damage',100,2,1),
(46880,10102020,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(46881,10102020,'Wards target against 790 points of all damage',100,2,1),
(46882,88634,'When Equipped:',100,0,0),
(46883,88634,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(46884,88634,'Wards target against 2400 points of all damage',100,2,2),
(46885,88634,'Cannot be modified except by direct means',100,2,3),
(46886,10088634,'When Equipped:',100,0,0),
(46887,10088634,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(46888,10088634,'Wards target against 2400 points of all damage',100,2,2),
(46889,10088634,'Cannot be modified except by direct means',100,2,3),
(46890,104538,'Increases Threat to target by 3,444 - 3,991  instantly and by 492 - 601  every 2 seconds thereafter',100,1,0),
(46891,10104538,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(46892,35132,'Increases AGI of target by 6.2',100,0,0),
(46893,35132,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(46894,85336,'Applies Poison Bolt when Activated.',100,0,0),
(46895,85336,'Inflicts 250 - 417 poison damage on target',100,1,1),
(46896,85336,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46897,10085336,'Applies Poison Bolt when Activated.',100,0,0),
(46898,10085336,'Inflicts 250 - 417 poison damage on target',100,1,1),
(46899,10085336,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(46900,119315,'Roots target',100,1,0),
(46901,119315,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(46902,119315,'Slows target by 63.0%',100,2,2),
(46903,119315,'5% chance to dispel when target receives hostile action',100,2,3),
(46904,119315,'5% chance to dispel when target takes damage',100,2,4),
(46905,119315,'15% chance to dispel when target takes damage',100,1,5),
(46906,119315,'Does not affect Epic targets',100,1,6),
(46907,119315,'Resistibility increases against targets higher than level 76.',100,1,7),
(46908,10119315,'Roots target',100,1,0),
(46909,10119315,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(46910,10119315,'Slows target by 63.0%',100,2,2),
(46911,10119315,'5% chance to dispel when target receives hostile action',100,2,3),
(46912,10119315,'5% chance to dispel when target takes damage',100,2,4),
(46913,10119315,'15% chance to dispel when target takes damage',100,1,5),
(46914,10119315,'Does not affect Epic targets',100,1,6),
(46915,10119315,'Resistibility increases against targets higher than level 76.',100,1,7),
(46916,123579,'Increases STR of group members (AE) by 44.6',100,1,0),
(46917,123579,'Increases Max Health of group members (AE) by 395.2',100,1,1),
(46918,10123579,'Increases STR of group members (AE) by 44.6',100,1,0),
(46919,10123579,'Increases Max Health of group members (AE) by 395.2',100,1,1),
(46920,81339,'When Equipped:',100,0,0),
(46921,81339,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46922,81339,'Inflicts 155 - 288 magic damage on target',100,2,2),
(46923,81339,'Cannot be modified except by direct means',100,2,3),
(46924,10081339,'When Equipped:',100,0,0),
(46925,10081339,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(46926,10081339,'Inflicts 155 - 288 magic damage on target',100,2,2),
(46927,10081339,'Cannot be modified except by direct means',100,2,3),
(46928,159312,'Applies Lambent Imbued when Equipped.',100,0,0),
(46929,159312,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(46930,159312,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(46931,159312,'Cannot be modified except by direct means',100,2,3),
(46932,10159312,'Applies Lambent Imbued when Equipped.',100,0,0),
(46933,10159312,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(46934,10159312,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(46935,10159312,'Cannot be modified except by direct means',100,2,3),
(46936,46770,'Applies Free Character Slot when Activated.',100,0,0),
(46937,46770,'Using this item grants you an additional character slot on the service you are currently playing on (EQII standard or EQII Extended).',100,1,1),
(46938,10046770,'Applies Free Character Slot when Activated.',100,0,0),
(46939,10046770,'Using this item grants you an additional character slot on the service you are currently playing on (EQII standard or EQII Extended).',100,1,1),
(46940,109037,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(46941,109037,'Increases Attack Speed of caster by 24.0',100,1,1),
(46942,109037,'Decreases Defense of caster by 4.8',100,1,2),
(46943,109037,'Increases Slashing, Piercing, Crushing and Ranged of caster by 13.8',100,1,3),
(46944,10109037,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(46945,10109037,'Increases Attack Speed of caster by 24.0',100,1,1),
(46946,10109037,'Decreases Defense of caster by 4.8',100,1,2),
(46947,10109037,'Increases Slashing, Piercing, Crushing and Ranged of caster by 13.8',100,1,3),
(46948,112154,'Increases Threat to target by 927 - 1,283  instantly and by 95 - 142  every 3 seconds thereafter',100,1,0),
(46949,102770,'Increases STR of caster by 26.5',100,1,0),
(46950,102770,'Increases Max Health of caster by 145.6',100,1,1),
(46951,102770,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 728',100,1,2),
(46952,10102770,'Increases STR of caster by 26.5',100,1,0),
(46953,10102770,'Increases Max Health of caster by 145.6',100,1,1),
(46954,10102770,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 728',100,1,2),
(46955,159267,'When Equipped:',100,0,0),
(46956,159267,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46957,159267,'Increases INT of caster by 5.1',100,2,2),
(46958,159267,'Increases Focus, Disruption and Subjugation of caster by 3.3',100,2,3),
(46959,159267,'Cannot be modified except by direct means',100,2,4),
(46960,10159267,'When Equipped:',100,0,0),
(46961,10159267,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(46962,10159267,'Increases INT of caster by 5.1',100,2,2),
(46963,10159267,'Increases Focus, Disruption and Subjugation of caster by 3.3',100,2,3),
(46964,10159267,'Cannot be modified except by direct means',100,2,4),
(46965,101373,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(46966,101373,'Reduces physical damage done to caster by 5%',100,1,1),
(46967,101373,'Adds 2.4% to base avoidance.',100,1,2),
(46968,101373,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,3),
(46969,101373,'Increases Aggression of caster by 20.9',100,1,4),
(46970,101373,'Increases Defense and Parry of caster by 33.4',100,1,5),
(46971,101373,'Increases Mitigation of caster vs noxious and arcane damage by 204',100,1,6),
(46972,101373,'Increases Mitigation of caster vs elemental damage by 2042',100,1,7),
(46973,101373,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(46974,10101373,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(46975,10101373,'Reduces physical damage done to caster by 5%',100,1,1),
(46976,10101373,'Adds 2.4% to base avoidance.',100,1,2),
(46977,10101373,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,3),
(46978,10101373,'Increases Aggression of caster by 20.9',100,1,4),
(46979,10101373,'Increases Defense and Parry of caster by 33.4',100,1,5),
(46980,10101373,'Increases Mitigation of caster vs noxious and arcane damage by 204',100,1,6),
(46981,10101373,'Increases Mitigation of caster vs elemental damage by 2042',100,1,7),
(46982,10101373,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(46983,114344,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(46984,114344,'Increases target''s chance to block by 15.0%',100,130,1),
(46985,114344,'Dispels 142 levels of noxious hostile effects on target',100,1,2),
(46986,114344,'Heals target for 50.2 - 55.8% of max health',100,1,3),
(46987,114344,'This effect cannot be critically applied.',100,2,4),
(46988,114344,'The healing of this spell cannot be modified except by direct means',100,1,5),
(46989,10114344,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(46990,10114344,'Increases target''s chance to block by 15.0%',100,130,1),
(46991,10114344,'Dispels 142 levels of noxious hostile effects on target',100,1,2),
(46992,10114344,'Heals target for 47.4 - 51.4% of max health',100,1,3),
(46993,10114344,'This effect cannot be critically applied.',100,2,4),
(46994,10114344,'The healing of this spell cannot be modified except by direct means',100,1,5),
(46995,116898,'Wards group members (AE) against 9515 points of noxious damage',100,1,0),
(46996,116898,'Increases Mitigation of group members (AE) vs noxious damage by 1602',100,1,1),
(46997,10116898,'Wards group members (AE) against 7120 points of noxious damage',100,1,0),
(46998,10116898,'Increases Mitigation of group members (AE) vs noxious damage by 1602',100,1,1),
(46999,108314,'Inflicts 834 - 1383 divine damage on target',100,1,0),
(47000,108314,'Heals caster for 1.4% of max health',100,1,1),
(47001,108314,'This effect cannot be critically applied.',100,2,2),
(47002,108314,'The healing of this spell cannot be modified except by direct means',100,1,3),
(47003,10108314,'Inflicts 666 - 1081 divine damage on target',100,1,0),
(47004,10108314,'Heals caster for 0.7% of max health',100,1,1),
(47005,10108314,'This effect cannot be critically applied.',100,2,2),
(47006,10108314,'The healing of this spell cannot be modified except by direct means',100,1,3),
(47007,107123,'Inflicts 613 - 749 divine damage on target',100,1,0),
(47008,107123,'Inflicts 306 - 374 divine damage on target',100,1,1),
(47009,107123,'If target is undead',100,2,2),
(47010,10107123,'Inflicts 548 - 669 divine damage on target',100,1,0),
(47011,10107123,'Inflicts 241 - 295 divine damage on target',100,1,1),
(47012,71398,'When Equipped:',100,0,0),
(47013,71398,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47014,71398,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(47015,71398,'Cannot be modified except by direct means',100,2,3),
(47016,10071398,'When Equipped:',100,0,0),
(47017,10071398,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47018,10071398,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(47019,10071398,'Cannot be modified except by direct means',100,2,3),
(47020,113318,'Inflicts 1812 - 2986 heat damage on target',100,1,0),
(47021,10113318,'Inflicts 1837 - 2787 heat damage on target',100,1,0),
(47022,163245,'When Equipped:',100,0,0),
(47023,163245,'On a critical combat hit this spell may cast Overwhelming Power III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(47024,163245,'Decreases Potency of target by 2.0%',100,2,2),
(47025,163245,'Increases Potency of caster by 3.0%',100,2,3),
(47026,163245,'Must not be engaged in pvp combat',100,2,4),
(47027,163245,'Cannot be modified except by direct means',100,2,5),
(47028,163245,'On a critical spell hit this spell may cast Overwhelming Power III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(47029,163245,'Decreases Potency of target by 2.0%',100,2,7),
(47030,163245,'Increases Potency of caster by 3.0%',100,2,8),
(47031,163245,'Must not be engaged in pvp combat',100,2,9),
(47032,163245,'Cannot be modified except by direct means',100,2,10),
(47033,163245,'Must not be engaged in pvp combat',100,1,11),
(47034,10163245,'When Equipped:',100,0,0),
(47035,10163245,'On a critical combat hit this spell may cast Overwhelming Power III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(47036,10163245,'Decreases Potency of target by 2.0%',100,2,2),
(47037,10163245,'Increases Potency of caster by 3.0%',100,2,3),
(47038,10163245,'Must not be engaged in pvp combat',100,2,4),
(47039,10163245,'Cannot be modified except by direct means',100,2,5),
(47040,10163245,'On a critical spell hit this spell may cast Overwhelming Power III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(47041,10163245,'Decreases Potency of target by 2.0%',100,2,7),
(47042,10163245,'Increases Potency of caster by 3.0%',100,2,8),
(47043,10163245,'Must not be engaged in pvp combat',100,2,9),
(47044,10163245,'Cannot be modified except by direct means',100,2,10),
(47045,10163245,'Must not be engaged in pvp combat',100,1,11),
(47046,71477,'When Equipped:',100,0,0),
(47047,71477,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47048,71477,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(47049,71477,'Cannot be modified except by direct means',100,2,3),
(47050,10071477,'When Equipped:',100,0,0),
(47051,10071477,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47052,10071477,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(47053,10071477,'Cannot be modified except by direct means',100,2,3),
(47054,87642,'When Equipped:',100,0,0),
(47055,87642,'Increases Power Regeneration of caster by 15.0',100,1,1),
(47056,87642,'This effect suspends during combat',100,1,2),
(47057,10087642,'When Equipped:',100,0,0),
(47058,10087642,'Increases Power Regeneration of caster by 15.0',100,1,1),
(47059,10087642,'This effect suspends during combat',100,1,2),
(47060,48124,'Applies Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(47061,48124,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(47062,48124,'Inflicts 341 poison damage on target instantly and every 6 seconds',100,2,2),
(47063,48124,'Inflicts 130 poison damage on target',100,2,3),
(47064,48124,'Cannot be modified except by direct means',100,2,4),
(47065,48124,'Grants a total of 200 triggers of the spell.',100,2,5),
(47066,48124,'Only affects targets level 50 and above',100,1,6),
(47067,10048124,'Applies Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(47068,10048124,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(47069,10048124,'Inflicts 97 poison damage on target',100,2,2),
(47070,10048124,'Inflicts 256 poison damage on target instantly and every 6 seconds',100,2,3),
(47071,10048124,'Cannot be modified except by direct means',100,2,4),
(47072,10048124,'Grants a total of 200 triggers of the spell.',100,2,5),
(47073,10048124,'Only affects targets level 50 and above',100,1,6),
(47074,24163,'Adds Crushbone: Captive Wagon to your Dungeon Maker toolbox',100,0,0),
(47075,10024163,'Adds Crushbone: Captive Wagon to your Dungeon Maker toolbox',100,0,0),
(47076,41567,'When Equipped:',100,0,0),
(47077,41567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47078,41567,'Inflicts 151 - 280 magic damage on target',100,2,2),
(47079,41567,'Cannot be modified except by direct means',100,2,3),
(47080,10041567,'When Equipped:',100,0,0),
(47081,10041567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47082,10041567,'Inflicts 151 - 280 magic damage on target',100,2,2),
(47083,10041567,'Cannot be modified except by direct means',100,2,3),
(47084,109736,'Inflicts 2772 - 4053 cold damage on target',100,1,0),
(47085,109736,'If weapon equipped in Ranged',100,1,1),
(47086,10109736,'Inflicts 1488 - 2210 cold damage on target',100,1,0),
(47087,10109736,'If weapon equipped in Ranged',100,1,1),
(47088,72034,'When Equipped:',100,0,0),
(47089,72034,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47090,72034,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(47091,72034,'Cannot be modified except by direct means',100,2,3),
(47092,10072034,'When Equipped:',100,0,0),
(47093,10072034,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47094,10072034,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(47095,10072034,'Cannot be modified except by direct means',100,2,3),
(47096,87407,'When Equipped:',100,0,0),
(47097,87407,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47098,87407,'Inflicts 248 - 373 magic damage on target',100,2,2),
(47099,87407,'Cannot be modified except by direct means',100,2,3),
(47100,10087407,'When Equipped:',100,0,0),
(47101,10087407,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47102,10087407,'Inflicts 248 - 373 magic damage on target',100,2,2),
(47103,10087407,'Cannot be modified except by direct means',100,2,3),
(47104,46599,'Applies Gronk''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(47105,46599,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(47106,10046599,'Applies Gronk''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(47107,10046599,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(47108,109575,'Makes target afraid',100,1,0),
(47109,109575,'30% chance to dispel when target takes damage',100,1,1),
(47110,109575,'Does not affect Epic targets',100,1,2),
(47111,109575,'Resistibility increases against targets higher than level 83.',100,1,3),
(47112,10109575,'Makes target afraid',100,1,0),
(47113,10109575,'30% chance to dispel when target takes damage',100,1,1),
(47114,10109575,'Does not affect Epic targets',100,1,2),
(47115,10109575,'Resistibility increases against targets higher than level 83.',100,1,3),
(47116,108149,'Inflicts 2712 - 3851 melee damage on target',100,1,0),
(47117,108149,'You must be sneaking to use this ability.',100,1,1),
(47118,108149,'Must be flanking or behind',100,1,2),
(47119,10108149,'Inflicts 1293 - 1885 melee damage on target',100,1,0),
(47120,10108149,'You must be sneaking to use this ability.',100,1,1),
(47121,10108149,'Must be flanking or behind',100,1,2),
(47122,124134,'Inflicts 805 disease damage on target encounter',100,1,0),
(47123,124134,'Inflicts 478 disease damage on target encounter every 4 seconds',100,1,1),
(47124,124134,'Applies Banshee''s Scream on termination.',100,1,2),
(47125,124134,'Inflicts 1434 - 2390 disease damage on target',100,2,3),
(47126,10124134,'Inflicts 508 disease damage on target encounter',100,1,0),
(47127,10124134,'Inflicts 377 disease damage on target encounter every 4 seconds',100,1,1),
(47128,10124134,'Applies Banshee''s Scream on termination.',100,1,2),
(47129,10124134,'Inflicts 1130 - 1883 disease damage on target',100,2,3),
(47130,87521,'When Equipped:',100,0,0),
(47131,87521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47132,87521,'Inflicts 410 - 616 magic damage on target',100,2,2),
(47133,87521,'Cannot be modified except by direct means',100,2,3),
(47134,10087521,'When Equipped:',100,0,0),
(47135,10087521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47136,10087521,'Inflicts 410 - 616 magic damage on target',100,2,2),
(47137,10087521,'Cannot be modified except by direct means',100,2,3),
(47138,81103,'When Equipped:',100,0,0),
(47139,81103,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47140,81103,'Inflicts 265 - 493 magic damage on target',100,2,2),
(47141,81103,'Cannot be modified except by direct means',100,2,3),
(47142,10081103,'When Equipped:',100,0,0),
(47143,10081103,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47144,10081103,'Inflicts 265 - 493 magic damage on target',100,2,2),
(47145,10081103,'Cannot be modified except by direct means',100,2,3),
(47146,41620,'When Equipped:',100,0,0),
(47147,41620,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47148,41620,'Decreases Threat to target by 1,174 ',100,2,2),
(47149,41620,'Must be flanking or behind',100,3,3),
(47150,41620,'Increases Threat to target by 1,634 ',100,2,4),
(47151,41620,'Must be in front of',100,3,5),
(47152,41620,'Inflicts 468 - 870 magic damage on target',100,2,6),
(47153,41620,'Cannot be modified except by direct means',100,2,7),
(47154,10041620,'When Equipped:',100,0,0),
(47155,10041620,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47156,10041620,'Inflicts 468 - 870 magic damage on target',100,2,2),
(47157,10041620,'Cannot be modified except by direct means',100,2,3),
(47158,101560,'Inflicts 33039 - 54142 melee damage on target',100,1,0),
(47159,101560,'You must be stealthed to use this ability',100,1,1),
(47160,10101560,'Inflicts 12269 - 20086 melee damage on target',100,1,0),
(47161,10101560,'You must be stealthed to use this ability',100,1,1),
(47162,120899,'Stifles target',100,1,0),
(47163,120899,'Inflicts 4083 - 4772 mental damage on target',100,1,1),
(47164,120899,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,2),
(47165,120899,'Resistibility increases against targets higher than level 101.',100,1,3),
(47166,10120899,'Stifles target',100,1,0),
(47167,10120899,'Inflicts 2839 - 3382 mental damage on target',100,1,1),
(47168,10120899,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(47169,10120899,'Resistibility increases against targets higher than level 101.',100,1,3),
(47170,48254,'Applies Call Steel Armored Rhino with Gold Saddle when Activated.',100,0,0),
(47171,48254,'Summons a mount to ride',100,1,1),
(47172,48254,'Increases your ground speed by 130%',100,2,2),
(47173,48254,'Increases Max Health of caster by 100.0',100,1,3),
(47174,48254,'Increases Defense of caster by 3.0',100,1,4),
(47175,48254,'Increases Slashing, Ranged, Focus, Crushing and Piercing of caster by 7.0',100,1,5),
(47176,10048254,'Applies Call Steel Armored Rhino with Gold Saddle when Activated.',100,0,0),
(47177,10048254,'Summons a mount to ride',100,1,1),
(47178,10048254,'Increases your ground speed by 130%',100,2,2),
(47179,10048254,'Increases Max Health of caster by 100.0',100,1,3),
(47180,10048254,'Increases Defense of caster by 3.0',100,1,4),
(47181,10048254,'Increases Slashing, Ranged, Focus, Crushing and Piercing of caster by 7.0',100,1,5),
(47182,109457,'Roots target',100,1,0),
(47183,109457,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(47184,109457,'Slows target by 32.1%',100,2,2),
(47185,109457,'5% chance to dispel when target receives hostile action',100,2,3),
(47186,109457,'5% chance to dispel when target takes damage',100,2,4),
(47187,109457,'10% chance to dispel when target receives hostile action',100,1,5),
(47188,109457,'10% chance to dispel when target takes damage',100,1,6),
(47189,109457,'Does not affect Epic targets',100,1,7),
(47190,109457,'Resistibility increases against targets higher than level 48.',100,1,8),
(47191,10109457,'Roots target',100,1,0),
(47192,10109457,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(47193,10109457,'Slows target by 32.1%',100,2,2),
(47194,10109457,'5% chance to dispel when target receives hostile action',100,2,3),
(47195,10109457,'5% chance to dispel when target takes damage',100,2,4),
(47196,10109457,'10% chance to dispel when target receives hostile action',100,1,5),
(47197,10109457,'10% chance to dispel when target takes damage',100,1,6),
(47198,10109457,'Does not affect Epic targets',100,1,7),
(47199,10109457,'Resistibility increases against targets higher than level 48.',100,1,8),
(47200,104745,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(47201,104745,'Increases target''s chance to block by 15.0%',100,130,1),
(47202,104745,'Applies Consecration.',100,1,2),
(47203,104745,'Inflicts 746 - 912 divine damage on targets in Area of Effect',100,2,3),
(47204,10104745,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(47205,10104745,'Increases target''s chance to block by 15.0%',100,130,1),
(47206,10104745,'Applies Consecration.',100,1,2),
(47207,10104745,'Inflicts 597 - 725 divine damage on targets in Area of Effect',100,2,3),
(47208,109406,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(47209,109406,'Slows target by 42.6%',100,2,1),
(47210,109406,'Inflicts 696 - 850 cold damage on target',100,2,2),
(47211,109406,'5% chance to dispel when target receives hostile action',100,2,3),
(47212,109406,'5% chance to dispel when target takes damage',100,2,4),
(47213,10109406,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(47214,10109406,'Inflicts 548 - 670 cold damage on target',100,2,1),
(47215,10109406,'Slows target by 42.6%',100,2,2),
(47216,10109406,'5% chance to dispel when target receives hostile action',100,2,3),
(47217,10109406,'5% chance to dispel when target takes damage',100,2,4),
(47218,102442,'Stuns target encounter',100,1,0),
(47219,102442,'Epic targets gain an immunity to Stun effects of 10.5 seconds and duration is reduced to 1.2 seconds.',100,1,1),
(47220,102442,'Resistibility increases against targets higher than level 59.',100,1,2),
(47221,10102442,'Stuns target encounter',100,1,0),
(47222,10102442,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(47223,10102442,'Resistibility increases against targets higher than level 59.',100,1,2),
(47224,24683,'Adds Sister Katey Dalwynn to your Dungeon Maker toolbox',100,0,0),
(47225,10024683,'Adds Sister Katey Dalwynn to your Dungeon Maker toolbox',100,0,0),
(47226,135723,'When Equipped:',100,0,0),
(47227,135723,'On a healing spell cast this spell may cast Prolific Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(47228,135723,'Wards target against 2870 points of all damage',100,2,2),
(47229,135723,'Must not be engaged in pvp combat',100,2,3),
(47230,135723,'Cannot be modified except by direct means',100,2,4),
(47231,135723,'Cannot be modified except by direct means',100,1,5),
(47232,10135723,'When Equipped:',100,0,0),
(47233,10135723,'On a healing spell cast this spell may cast Prolific Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(47234,10135723,'Wards target against 2870 points of all damage',100,2,2),
(47235,10135723,'Must not be engaged in pvp combat',100,2,3),
(47236,10135723,'Cannot be modified except by direct means',100,2,4),
(47237,10135723,'Cannot be modified except by direct means',100,1,5),
(47238,118569,'Dazes caster',100,1,0),
(47239,118569,'Roots caster',100,1,1),
(47240,118569,'Increases Mitigation of caster vs physical damage by 1496',100,1,2),
(47241,10118569,'Dazes caster',100,1,0),
(47242,10118569,'Roots caster',100,1,1),
(47243,10118569,'Increases Mitigation of caster vs physical damage by 1496',100,1,2),
(47244,24330,'Adds Droag (Guardian) to your Dungeon Maker toolbox',100,0,0),
(47245,10024330,'Adds Droag (Guardian) to your Dungeon Maker toolbox',100,0,0),
(47246,134847,'When Equipped:',100,0,0),
(47247,134847,'Increases poison trigger chance by 2.0%',100,1,1),
(47248,134847,'When Equipped:',100,0,2),
(47249,134847,'Decreases Hate Gain of caster by 5.0%',100,1,3),
(47250,10134847,'When Equipped:',100,0,0),
(47251,10134847,'Increases poison trigger chance by 2.0%',100,1,1),
(47252,10134847,'When Equipped:',100,0,2),
(47253,120950,'Inflicts 2811 - 4096 ranged damage on target',100,1,0),
(47254,120950,'If weapon equipped in Ranged',100,1,1),
(47255,120950,'Must be behind',100,1,2),
(47256,10120950,'Inflicts 1503 - 2235 ranged damage on target',100,1,0),
(47257,10120950,'If weapon equipped in Ranged',100,1,1),
(47258,10120950,'Must be behind',100,1,2),
(47259,102481,'Inflicts 1795 - 2967 crushing damage on target',100,1,0),
(47260,102481,'Prevents target from changing direction while active.',100,1,1),
(47261,102481,'If Target is not Epic',100,2,2),
(47262,102481,'Roots target',100,1,3),
(47263,102481,'If Target is not Epic',100,2,4),
(47264,102481,'Resistibility increases against targets higher than level 65.',100,1,5),
(47265,10102481,'Inflicts 1337 - 1958 crushing damage on target',100,1,0),
(47266,10102481,'Prevents target from changing direction while active.',100,1,1),
(47267,10102481,'If Target is not Epic',100,2,2),
(47268,10102481,'Roots target',100,1,3),
(47269,10102481,'If Target is not Epic',100,2,4),
(47270,10102481,'Resistibility increases against targets higher than level 65.',100,1,5),
(47271,100018,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(47272,100018,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47273,100018,'Inflicts 365 - 606 melee damage on targets in area',100,2,2),
(47274,100018,'Decreases Defense of caster by 10.8',100,1,3),
(47275,100018,'Increases Slashing, Piercing and Crushing of caster by 21.4',100,1,4),
(47276,10100018,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(47277,10100018,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47278,10100018,'Inflicts 288 - 477 melee damage on targets in area',100,2,2),
(47279,10100018,'Decreases Defense of caster by 10.8',100,1,3),
(47280,10100018,'Increases Slashing, Piercing and Crushing of caster by 21.4',100,1,4),
(47281,24700,'Adds Snake (Assassin) to your Dungeon Maker toolbox',100,0,0),
(47282,10024700,'Adds Snake (Assassin) to your Dungeon Maker toolbox',100,0,0),
(47283,71046,'When Equipped:',100,0,0),
(47284,71046,'Increases mental damage done by spells by up to 35.',100,1,1),
(47285,10071046,'When Equipped:',100,0,0),
(47286,10071046,'Increases mental damage done by spells by up to 35.',100,1,1),
(47287,25017,'When Equipped:',100,0,0),
(47288,25017,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(47289,25017,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,2),
(47290,10025017,'When Equipped:',100,0,0),
(47291,10025017,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(47292,10025017,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,2),
(47293,115091,'Heals target for 2290 - 2580',100,1,0),
(47294,115091,'Heals target for 168 - 205 every second',100,1,1),
(47295,10115091,'Heals target for 2170 - 2595',100,1,0),
(47296,10115091,'Heals target for 144 - 175 every second',100,1,1),
(47297,139548,'When Equipped:',100,0,0),
(47298,139548,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47299,139548,'Decreases power of target by 305',100,2,2),
(47300,139548,'Increases power of caster by 203',100,2,3),
(47301,139548,'Cannot be modified except by direct means',100,2,4),
(47302,139548,'When Equipped:',100,0,5),
(47303,139548,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(47304,139548,'Increases Multi Attack Chance of caster by 15.0',100,2,7),
(47305,139548,'Cannot be modified except by direct means',100,2,8),
(47306,10139548,'When Equipped:',100,0,0),
(47307,10139548,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47308,10139548,'Decreases power of target by 305',100,2,2),
(47309,10139548,'Increases power of caster by 203',100,2,3),
(47310,10139548,'Cannot be modified except by direct means',100,2,4),
(47311,10139548,'When Equipped:',100,0,5),
(47312,10139548,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(47313,10139548,'Increases Multi Attack Chance of caster by 15.0',100,2,7),
(47314,10139548,'Cannot be modified except by direct means',100,2,8),
(47315,118839,'Inflicts 577 - 1707 melee damage on target',100,1,0),
(47316,10118839,'Inflicts 461 - 1303 melee damage on target',100,1,0),
(47317,113726,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(47318,10113726,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(47319,143424,'When Equipped:',100,0,0),
(47320,143424,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(47321,143424,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(47322,143424,'Cannot be modified except by direct means',100,2,3),
(47323,10143424,'When Equipped:',100,0,0),
(47324,10143424,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(47325,10143424,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(47326,10143424,'Cannot be modified except by direct means',100,2,3),
(47327,118389,'Inflicts 2689 - 3959 melee damage on target',100,1,0),
(47328,118389,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(47329,118389,'Stuns target',100,2,2),
(47330,118389,'Throws target back',100,2,3),
(47331,118389,'Blurs vision of target',100,2,4),
(47332,118389,'Does not affect Epic targets',100,2,5),
(47333,10118389,'Inflicts 1840 - 2792 melee damage on target',100,1,0),
(47334,10118389,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(47335,10118389,'Stuns target',100,2,2),
(47336,10118389,'Throws target back',100,2,3),
(47337,10118389,'Blurs vision of target',100,2,4),
(47338,10118389,'Does not affect Epic targets',100,2,5),
(47339,26934,'When Equipped:',100,0,0),
(47340,26934,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47341,26934,'Decreases power of target by 281',100,2,2),
(47342,26934,'Increases power of caster by 140',100,2,3),
(47343,26934,'Cannot be modified except by direct means',100,2,4),
(47344,10026934,'When Equipped:',100,0,0),
(47345,10026934,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47346,10026934,'Decreases power of target by 281',100,2,2),
(47347,10026934,'Increases power of caster by 140',100,2,3),
(47348,10026934,'Cannot be modified except by direct means',100,2,4),
(47349,37618,'Increases INT of target by 14.9',100,0,0),
(47350,37618,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(47351,115127,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(47352,115127,'Heals target for 1282',100,2,1),
(47353,115127,'Heals target for 320 every 2 seconds',100,2,2),
(47354,115127,'Increases WIS of target by 47.3',100,2,3),
(47355,115127,'Grants a total of 1 trigger of the spell.',100,2,4),
(47356,10115127,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(47357,10115127,'Heals target for 657',100,2,1),
(47358,10115127,'Heals target for 164 every 2 seconds',100,2,2),
(47359,10115127,'Increases WIS of target by 47.3',100,2,3),
(47360,10115127,'Grants a total of 1 trigger of the spell.',100,2,4),
(47361,123606,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(47362,123606,'Increases Defense of target by 19.4',100,1,1),
(47363,10123606,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(47364,10123606,'Increases Defense of target by 19.4',100,1,1),
(47365,177729,'When Equipped:',100,0,0),
(47366,177729,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47367,177729,'Increases STR of caster by 21.4',100,2,2),
(47368,177729,'Increases Damage Per Second of caster by 27.2',100,2,3),
(47369,177729,'Cannot be modified except by direct means',100,2,4),
(47370,10177729,'When Equipped:',100,0,0),
(47371,10177729,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47372,10177729,'Increases STR of caster by 21.4',100,2,2),
(47373,10177729,'Increases Damage Per Second of caster by 27.2',100,2,3),
(47374,10177729,'Cannot be modified except by direct means',100,2,4),
(47375,114668,'Increases Threat to target by 2,247 - 2,746 ',100,1,0),
(47376,114668,'Interrupts target',100,1,1),
(47377,10114668,'Interrupts target',100,1,0),
(47378,10114668,'Forces target to change their selected target to caster.',100,1,1),
(47379,10114668,'Prevents target from changing targets',100,1,2),
(47380,49086,'Applies Activate Voidcraft when Activated.',100,0,0),
(47381,49086,'Causes voidcraft to fire a divination beam down upon the surface of the celestial body it is orbiting.',100,1,1),
(47382,10049086,'Applies Activate Voidcraft when Activated.',100,0,0),
(47383,10049086,'Causes voidcraft to fire a divination beam down upon the surface of the celestial body it is orbiting.',100,1,1),
(47384,70823,'When Equipped:',100,0,0),
(47385,70823,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(47386,70823,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(47387,70823,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,3),
(47388,70823,'Must not be engaged in pvp combat',100,2,4),
(47389,70823,'Cannot be modified except by direct means',100,2,5),
(47390,70823,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(47391,70823,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,7),
(47392,70823,'Must not be engaged in pvp combat',100,2,8),
(47393,70823,'Cannot be modified except by direct means',100,2,9),
(47394,70823,'Cannot be modified except by direct means',100,1,10),
(47395,70823,'When Equipped:',100,0,11),
(47396,70823,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,12),
(47397,70823,'Increases Max Health of caster by 1,220.0',100,1,13),
(47398,70823,'Cannot be modified except by direct means',100,1,14),
(47399,10070823,'When Equipped:',100,0,0),
(47400,10070823,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(47401,10070823,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(47402,10070823,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,3),
(47403,10070823,'Must not be engaged in pvp combat',100,2,4),
(47404,10070823,'Cannot be modified except by direct means',100,2,5),
(47405,10070823,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(47406,10070823,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,7),
(47407,10070823,'Must not be engaged in pvp combat',100,2,8),
(47408,10070823,'Cannot be modified except by direct means',100,2,9),
(47409,10070823,'Cannot be modified except by direct means',100,1,10),
(47410,10070823,'When Equipped:',100,0,11),
(47411,10070823,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,12),
(47412,10070823,'Increases Max Health of caster by 1,220.0',100,1,13),
(47413,10070823,'Cannot be modified except by direct means',100,1,14),
(47414,71943,'When Equipped:',100,0,0),
(47415,71943,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47416,71943,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(47417,71943,'Cannot be modified except by direct means',100,2,3),
(47418,10071943,'When Equipped:',100,0,0),
(47419,10071943,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47420,10071943,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(47421,10071943,'Cannot be modified except by direct means',100,2,3),
(47422,80424,'When Equipped:',100,0,0),
(47423,80424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47424,80424,'Inflicts 81 - 151 magic damage on target',100,2,2),
(47425,80424,'Cannot be modified except by direct means',100,2,3),
(47426,10080424,'When Equipped:',100,0,0),
(47427,10080424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47428,10080424,'Inflicts 81 - 151 magic damage on target',100,2,2),
(47429,10080424,'Cannot be modified except by direct means',100,2,3),
(47430,48052,'Applies Use Net when Activated.',100,0,0),
(47431,10048052,'Applies Use Net when Activated.',100,0,0),
(47432,177701,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(47433,177701,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(47434,177701,'Inflicts 65 heat damage on target',100,2,2),
(47435,177701,'Cannot be modified except by direct means',100,2,3),
(47436,10177701,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(47437,10177701,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(47438,10177701,'Inflicts 65 heat damage on target',100,2,2),
(47439,10177701,'Cannot be modified except by direct means',100,2,3),
(47440,26637,'When Equipped:',100,0,0),
(47441,26637,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(47442,26637,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,2),
(47443,10026637,'When Equipped:',100,0,0),
(47444,10026637,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(47445,10026637,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,2),
(47446,48986,'Applies Cure this Individual when Activated.',100,0,0),
(47447,10048986,'Applies Cure this Individual when Activated.',100,0,0),
(47448,130964,'When Equipped:',100,0,0),
(47449,130964,'When damaged this spell has a 7% chance to cast Calming Ward on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(47450,130964,'Wards caster against 333 points of all damage',100,2,2),
(47451,130964,'Cannot be modified except by direct means',100,2,3),
(47452,10130964,'When Equipped:',100,0,0),
(47453,10130964,'When damaged this spell has a 7% chance to cast Calming Ward on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(47454,10130964,'Wards caster against 333 points of all damage',100,2,2),
(47455,10130964,'Cannot be modified except by direct means',100,2,3),
(47456,104248,'Increases Mitigation of group members (AE) vs physical damage by 480',100,1,0),
(47457,10104248,'Increases Mitigation of group members (AE) vs physical damage by 480',100,1,0),
(47458,109930,'Stuns target',100,1,0),
(47459,109930,'Does not affect Epic targets',100,1,1),
(47460,109930,'Resistibility increases against targets higher than level 59.',100,1,2),
(47461,10109930,'Stuns target',100,1,0),
(47462,10109930,'Does not affect Epic targets',100,1,1),
(47463,10109930,'Resistibility increases against targets higher than level 59.',100,1,2),
(47464,112757,'Interrupts target',100,1,0),
(47465,112757,'Inflicts 692 - 1153 divine damage on target',100,1,1),
(47466,10112757,'Interrupts target',100,1,0),
(47467,10112757,'Inflicts 594 - 990 divine damage on target',100,1,1),
(47468,115295,'Summons a limited pet to aid the caster',100,1,0),
(47469,10115295,'Summons a limited pet to aid the caster',100,1,0),
(47470,37584,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(47471,109718,'Inflicts 926 - 1538 cold damage on target',100,1,0),
(47472,109718,'If weapon equipped in Ranged',100,1,1),
(47473,10109718,'Inflicts 547 - 909 cold damage on target',100,1,0),
(47474,10109718,'If weapon equipped in Ranged',100,1,1),
(47475,109659,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(47476,109659,'Inflicts 222 - 411 poison damage on target encounter',100,2,1),
(47477,10109659,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(47478,10109659,'Inflicts 175 - 324 poison damage on target encounter',100,2,1),
(47479,46147,'Applies Howl of the Freethinker when Activated.',100,0,0),
(47480,10046147,'Applies Howl of the Freethinker when Activated.',100,0,0),
(47481,188526,'When Equipped:',100,0,0),
(47482,188526,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47483,188526,'Inflicts 1192 cold damage on target encounter',100,2,2),
(47484,188526,'Cannot be modified except by direct means',100,2,3),
(47485,10188526,'When Equipped:',100,0,0),
(47486,10188526,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47487,10188526,'Inflicts 596 cold damage on target encounter',100,2,2),
(47488,10188526,'Cannot be modified except by direct means',100,2,3),
(47489,24441,'Adds Hooluk (Fury) to your Dungeon Maker toolbox',100,0,0),
(47490,10024441,'Adds Hooluk (Fury) to your Dungeon Maker toolbox',100,0,0),
(47491,51332,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(47492,51332,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(47493,51332,'Inflicts 18 heat damage on target',100,2,2),
(47494,51332,'Cannot be modified except by direct means',100,2,3),
(47495,10051332,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(47496,10051332,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(47497,10051332,'Inflicts 18 heat damage on target',100,2,2),
(47498,10051332,'Cannot be modified except by direct means',100,2,3),
(47499,108986,'Decreases Damage Per Second of target by 12.4',100,1,0),
(47500,108986,'Inflicts 162 - 198 melee damage on target',100,1,1),
(47501,10108986,'Decreases Damage Per Second of target by 12.4',100,1,0),
(47502,10108986,'Inflicts 128 - 156 melee damage on target',100,1,1),
(47503,81284,'When Equipped:',100,0,0),
(47504,81284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47505,81284,'Inflicts 403 - 748 magic damage on target',100,2,2),
(47506,81284,'Cannot be modified except by direct means',100,2,3),
(47507,10081284,'When Equipped:',100,0,0),
(47508,10081284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47509,10081284,'Inflicts 403 - 748 magic damage on target',100,2,2),
(47510,10081284,'Cannot be modified except by direct means',100,2,3),
(47511,134615,'When Equipped:',100,0,0),
(47512,134615,'On a combat hit this spell may cast Precision Striking on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47513,134615,'Increases Threat to target by 2,221 - 2,613 ',100,2,2),
(47514,134615,'Decreases strikethrough chance of target by 5.0%.',100,2,3),
(47515,134615,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,4),
(47516,134615,'Cannot be modified except by direct means',100,2,5),
(47517,134615,'Cannot be modified except by direct means',100,1,6),
(47518,10134615,'When Equipped:',100,0,0),
(47519,10134615,'On a combat hit this spell may cast Precision Striking on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47520,10134615,'Decreases strikethrough chance of target by 5.0%.',100,2,2),
(47521,10134615,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,3),
(47522,10134615,'Cannot be modified except by direct means',100,2,4),
(47523,10134615,'Cannot be modified except by direct means',100,1,5),
(47524,119106,'Inflicts 1054 - 2475 melee damage on targets in area',100,1,0),
(47525,119106,'Inflicts 726 - 2147 melee damage on targets in area',100,1,1),
(47526,119106,'Inflicts 726 - 2147 melee damage on targets in area',100,1,2),
(47527,119106,'Inflicts 726 - 2147 melee damage on targets in area',100,1,3),
(47528,10119106,'Inflicts 704 - 1824 melee damage on targets in area',100,1,0),
(47529,10119106,'Inflicts 572 - 1692 melee damage on targets in area',100,1,1),
(47530,10119106,'Inflicts 572 - 1692 melee damage on targets in area',100,1,2),
(47531,10119106,'Inflicts 572 - 1692 melee damage on targets in area',100,1,3),
(47532,80932,'When Equipped:',100,0,0),
(47533,80932,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47534,80932,'Decreases Threat to target by 672 ',100,2,2),
(47535,80932,'Must be flanking or behind',100,3,3),
(47536,80932,'Increases Threat to target by 1,132 ',100,2,4),
(47537,80932,'Must be in front of',100,3,5),
(47538,80932,'Inflicts 369 - 686 magic damage on target',100,2,6),
(47539,80932,'Cannot be modified except by direct means',100,2,7),
(47540,10080932,'When Equipped:',100,0,0),
(47541,10080932,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47542,10080932,'Inflicts 369 - 686 magic damage on target',100,2,2),
(47543,10080932,'Cannot be modified except by direct means',100,2,3),
(47544,90309,'When Equipped:',100,0,0),
(47545,90309,'On a combat hit this spell may cast Shadow''s Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47546,90309,'Increases power of target by 49 - 60',100,2,2),
(47547,90309,'Cannot be modified except by direct means',100,2,3),
(47548,10090309,'When Equipped:',100,0,0),
(47549,10090309,'On a combat hit this spell may cast Shadow''s Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47550,10090309,'Increases power of target by 49 - 60',100,2,2),
(47551,10090309,'Cannot be modified except by direct means',100,2,3),
(47552,191473,'When Equipped:',100,0,0),
(47553,191473,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(47554,191473,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(47555,191473,'Cannot be modified except by direct means',100,2,3),
(47556,10191473,'When Equipped:',100,0,0),
(47557,10191473,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(47558,10191473,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(47559,10191473,'Cannot be modified except by direct means',100,2,3),
(47560,117482,'Inflicts 643 - 1009 melee damage on target',100,129,0),
(47561,117482,'Inflicts 207 - 343 melee damage on target',100,1,1),
(47562,117482,'Inflicts 207 - 343 melee damage on target',100,1,2),
(47563,117482,'Inflicts 207 - 343 melee damage on target',100,1,3),
(47564,117482,'Inflicts 207 - 343 melee damage on target',100,1,4),
(47565,117482,'If facing target',100,1,5),
(47566,10117482,'Inflicts 576 - 791 melee damage on target',100,129,0),
(47567,10117482,'Inflicts 166 - 275 melee damage on target',100,1,1),
(47568,10117482,'Inflicts 166 - 275 melee damage on target',100,1,2),
(47569,10117482,'Inflicts 166 - 275 melee damage on target',100,1,3),
(47570,10117482,'Inflicts 166 - 275 melee damage on target',100,1,4),
(47571,10117482,'If facing target',100,1,5),
(47572,118230,'Throws target back',100,1,0),
(47573,118230,'If Target is not Epic',100,2,1),
(47574,118230,'Stuns targets in Area of Effect',100,1,2),
(47575,118230,'If Target is not Epic',100,2,3),
(47576,118230,'Inflicts 14395 - 23774 magic damage on targets in Area of Effect',100,1,4),
(47577,118230,'Resistibility increases against targets higher than level 107.',100,1,5),
(47578,10118230,'Throws target back',100,1,0),
(47579,10118230,'If Target is not Epic',100,2,1),
(47580,10118230,'Stuns targets in Area of Effect',100,1,2),
(47581,10118230,'If Target is not Epic',100,2,3),
(47582,10118230,'Inflicts 11219 - 18611 magic damage on targets in Area of Effect',100,1,4),
(47583,10118230,'Resistibility increases against targets higher than level 107.',100,1,5),
(47584,45278,'Applies Form of the Kromise when Activated.',100,0,0),
(47585,45278,'Shapechanges the user into a frost giant.',100,1,1),
(47586,10045278,'Applies Form of the Kromise when Activated.',100,0,0),
(47587,10045278,'Shapechanges the user into a frost giant.',100,1,1),
(47588,115934,'Inflicts 2558 - 3814 melee damage on target',100,1,0),
(47589,115934,'Roots target',100,1,1),
(47590,115934,'If Target is not Epic',100,2,2),
(47591,115934,'5% chance to dispel when target takes damage',100,1,3),
(47592,115934,'Resistibility increases against targets higher than level 75.',100,1,4),
(47593,10115934,'Inflicts 1740 - 2626 melee damage on target',100,1,0),
(47594,10115934,'Roots target',100,1,1),
(47595,10115934,'If Target is not Epic',100,2,2),
(47596,10115934,'5% chance to dispel when target takes damage',100,1,3),
(47597,10115934,'Resistibility increases against targets higher than level 75.',100,1,4),
(47598,121827,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(47599,121827,'Increases Mitigation of group members (AE) vs arcane damage by 413',100,1,1),
(47600,10121827,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(47601,10121827,'Increases Mitigation of group members (AE) vs arcane damage by 413',100,1,1),
(47602,81307,'When Equipped:',100,0,0),
(47603,81307,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47604,81307,'Decreases Threat to target by 949 ',100,2,2),
(47605,81307,'Must be flanking or behind',100,3,3),
(47606,81307,'Increases Threat to target by 1,409 ',100,2,4),
(47607,81307,'Must be in front of',100,3,5),
(47608,81307,'Inflicts 387 - 719 magic damage on target',100,2,6),
(47609,81307,'Cannot be modified except by direct means',100,2,7),
(47610,10081307,'When Equipped:',100,0,0),
(47611,10081307,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47612,10081307,'Inflicts 387 - 719 magic damage on target',100,2,2),
(47613,10081307,'Cannot be modified except by direct means',100,2,3),
(47614,73664,'When Equipped:',100,0,0),
(47615,73664,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(47616,73664,'Reduces healing received by 15.00%',100,2,2),
(47617,73664,'Cannot be modified except by direct means',100,2,3),
(47618,73664,'This effect can only trigger once every 1 second.',100,2,4),
(47619,73664,'Must be engaged in pvp combat',100,1,5),
(47620,10073664,'When Equipped:',100,0,0),
(47621,10073664,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(47622,10073664,'Reduces healing received by 15.00%',100,2,2),
(47623,10073664,'Cannot be modified except by direct means',100,2,3),
(47624,10073664,'This effect can only trigger once every 1 second.',100,2,4),
(47625,10073664,'Must be engaged in pvp combat',100,1,5),
(47626,118685,'Inflicts 1027 - 3006 crushing damage on target',100,1,0),
(47627,10118685,'Inflicts 824 - 2025 crushing damage on target',100,1,0),
(47628,71390,'When Equipped:',100,0,0),
(47629,71390,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47630,71390,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(47631,71390,'Cannot be modified except by direct means',100,2,3),
(47632,10071390,'When Equipped:',100,0,0),
(47633,10071390,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47634,10071390,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(47635,10071390,'Cannot be modified except by direct means',100,2,3),
(47636,49062,'Applies Vision of the Deep when Activated.',100,0,0),
(47637,49062,'Fills the user''s eyes with visions of the deep.',100,1,1),
(47638,10049062,'Applies Vision of the Deep when Activated.',100,0,0),
(47639,10049062,'Fills the user''s eyes with visions of the deep.',100,1,1),
(47640,87173,'When Equipped:',100,0,0),
(47641,87173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47642,87173,'Inflicts 83 - 124 magic damage on target',100,2,2),
(47643,87173,'Cannot be modified except by direct means',100,2,3),
(47644,10087173,'When Equipped:',100,0,0),
(47645,10087173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47646,10087173,'Inflicts 83 - 124 magic damage on target',100,2,2),
(47647,10087173,'Cannot be modified except by direct means',100,2,3),
(47648,83262,'When Equipped:',100,0,0),
(47649,83262,'On a damage spell hit this spell has a 9% chance to cast Poisonous Blast on target of spell.  Lasts for 10.0 seconds.  ',100,1,1),
(47650,83262,'Applies Poisonous Blast.  Lasts for 10.0 seconds.',100,2,2),
(47651,83262,'Increases Crit Chance of pet by 10.0',100,3,3),
(47652,83262,'Inflicts 481 - 722 poison damage on target',100,2,4),
(47653,83262,'Inflicts 46 - 69 poison damage on target every 3.3 seconds',100,2,5),
(47654,83262,'Cannot be modified except by direct means',100,2,6),
(47655,83262,'Cannot be modified except by direct means',100,1,7),
(47656,10083262,'When Equipped:',100,0,0),
(47657,10083262,'On a damage spell hit this spell has a 9% chance to cast Poisonous Blast on target of spell.  Lasts for 10.0 seconds.  ',100,1,1),
(47658,10083262,'Applies Poisonous Blast.  Lasts for 10.0 seconds.',100,2,2),
(47659,10083262,'Increases Crit Chance of pet by 10.0',100,3,3),
(47660,10083262,'Inflicts 481 - 722 poison damage on target',100,2,4),
(47661,10083262,'Inflicts 46 - 69 poison damage on target every 3.3 seconds',100,2,5),
(47662,10083262,'Cannot be modified except by direct means',100,2,6),
(47663,10083262,'Cannot be modified except by direct means',100,1,7),
(47664,186233,'When Equipped:',100,0,0),
(47665,186233,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(47666,186233,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(47667,186233,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,3),
(47668,186233,'Heals caster for 970 - 1072 instantly and every 3 seconds',100,2,4),
(47669,186233,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(47670,186233,'Must not be engaged in pvp combat',100,2,6),
(47671,186233,'Cannot be modified except by direct means',100,2,7),
(47672,186233,'Must not be engaged in pvp combat',100,1,8),
(47673,10186233,'When Equipped:',100,0,0),
(47674,10186233,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(47675,10186233,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(47676,10186233,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,3),
(47677,10186233,'Heals caster for 1134 - 1254 instantly and every 3 seconds',100,2,4),
(47678,10186233,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(47679,10186233,'Must not be engaged in pvp combat',100,2,6),
(47680,10186233,'Cannot be modified except by direct means',100,2,7),
(47681,10186233,'Must not be engaged in pvp combat',100,1,8),
(47682,81187,'When Equipped:',100,0,0),
(47683,81187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47684,81187,'Inflicts 290 - 538 magic damage on target',100,2,2),
(47685,81187,'Cannot be modified except by direct means',100,2,3),
(47686,10081187,'When Equipped:',100,0,0),
(47687,10081187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47688,10081187,'Inflicts 290 - 538 magic damage on target',100,2,2),
(47689,10081187,'Cannot be modified except by direct means',100,2,3),
(47690,101054,'Summons 3 limited pets to aid the caster',100,1,0),
(47691,10101054,'Summons 3 limited pets to aid the caster',100,1,0),
(47692,102839,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(47693,102839,'Stuns target',100,2,1),
(47694,102839,'Throws target back',100,2,2),
(47695,102839,'Blurs vision of target',100,2,3),
(47696,102839,'Does not affect Epic targets',100,2,4),
(47697,102839,'Inflicts 297 - 795 melee damage on targets in area',100,1,5),
(47698,10102839,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(47699,10102839,'Stuns target',100,2,1),
(47700,10102839,'Throws target back',100,2,2),
(47701,10102839,'Blurs vision of target',100,2,3),
(47702,10102839,'Does not affect Epic targets',100,2,4),
(47703,10102839,'Inflicts 259 - 508 melee damage on targets in area',100,1,5),
(47704,133941,'When Equipped:',100,0,0),
(47705,133941,'On a hostile spell cast this spell may cast Numbing Manacles on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47706,133941,'Slows target encounter by 68.8%',100,2,2),
(47707,133941,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(47708,133941,'Cannot be modified except by direct means',100,2,4),
(47709,10133941,'When Equipped:',100,0,0),
(47710,10133941,'On a hostile spell cast this spell may cast Numbing Manacles on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47711,10133941,'Slows target encounter by 68.8%',100,2,2),
(47712,10133941,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(47713,10133941,'Cannot be modified except by direct means',100,2,4),
(47714,122923,'Increases STR and INT of group members (AE) by 91.1',100,1,0),
(47715,10122923,'Increases STR and INT of group members (AE) by 91.1',100,1,0),
(47716,101828,'Summons a limited pet to aid the caster',100,1,0),
(47717,10101828,'Summons a limited pet to aid the caster',100,1,0),
(47718,104360,'Charms target',100,1,0),
(47719,104360,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(47720,104360,'Mesmerizes target',100,2,2),
(47721,104360,'Dispelled when target takes damage',100,2,3),
(47722,104360,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(47723,104360,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(47724,104360,'Grants Sonic Vision to caster',100,2,6),
(47725,104360,'Increases Out-of-Combat Power Regeneration of target by 32.1',100,1,7),
(47726,104360,'Increases Out-of-Combat Health Regeneration of target by 64.2',100,1,8),
(47727,104360,'Certain enemies cannot be charmed',100,1,9),
(47728,104360,'Does not affect Epic targets',100,1,10),
(47729,10104360,'Mesmerizes target',100,1,0),
(47730,10104360,'Prevents AOE (except when direct) ',100,1,1),
(47731,10104360,'Dispelled when target takes damage',100,1,2),
(47732,10104360,'Certain enemies cannot be charmed',100,1,3),
(47733,10104360,'Does not affect Epic targets',100,1,4),
(47734,10104360,'Resistibility increases against targets higher than level 103.',100,1,5),
(47735,107476,'Inflicts 735 - 2205 magic damage on targets in Area of Effect',100,1,0),
(47736,107476,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(47737,107476,'Stuns target',100,2,2),
(47738,107476,'Throws target back',100,2,3),
(47739,107476,'Blurs vision of target',100,2,4),
(47740,107476,'Does not affect Epic targets',100,2,5),
(47741,10107476,'Inflicts 602 - 1621 magic damage on targets in Area of Effect',100,1,0),
(47742,10107476,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(47743,10107476,'Stuns target',100,2,2),
(47744,10107476,'Throws target back',100,2,3),
(47745,10107476,'Blurs vision of target',100,2,4),
(47746,10107476,'Does not affect Epic targets',100,2,5),
(47747,122885,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',100,1,0),
(47748,122885,'Heals target for 1738',100,2,1),
(47749,122885,'Heals target for 434 every 2 seconds',100,2,2),
(47750,122885,'Increases WIS of target by 65.0',100,2,3),
(47751,122885,'Grants a total of 1 trigger of the spell.',100,2,4),
(47752,10122885,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',100,1,0),
(47753,10122885,'Heals target for 891',100,2,1),
(47754,10122885,'Heals target for 222 every 2 seconds',100,2,2),
(47755,10122885,'Increases WIS of target by 65.0',100,2,3),
(47756,10122885,'Grants a total of 1 trigger of the spell.',100,2,4),
(47757,105996,'Decreases Defense of target by 1.7',100,1,0),
(47758,105996,'Inflicts 74 - 91 divine damage on target',100,1,1),
(47759,105996,'Inflicts 21 - 26 divine damage on target every 3 seconds',100,1,2),
(47760,10105996,'Decreases Defense of target by 1.7',100,1,0),
(47761,10105996,'Inflicts 64 - 79 divine damage on target',100,1,1),
(47762,10105996,'Inflicts 11 - 14 divine damage on target every 3 seconds',100,1,2),
(47763,80521,'When Equipped:',100,0,0),
(47764,80521,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47765,80521,'Decreases Threat to target by 1,174 ',100,2,2),
(47766,80521,'Must be flanking or behind',100,3,3),
(47767,80521,'Increases Threat to target by 1,634 ',100,2,4),
(47768,80521,'Must be in front of',100,3,5),
(47769,80521,'Inflicts 609 - 1131 magic damage on target',100,2,6),
(47770,80521,'Cannot be modified except by direct means',100,2,7),
(47771,10080521,'When Equipped:',100,0,0),
(47772,10080521,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(47773,10080521,'Inflicts 609 - 1131 magic damage on target',100,2,2),
(47774,10080521,'Cannot be modified except by direct means',100,2,3),
(47775,123683,'Increases Damage Per Second of target by 42.3',100,1,0),
(47776,10123683,'Increases Damage Per Second of target by 42.3',100,1,0),
(47777,45176,'Applies Portal to Pothsi when Activated.',100,0,0),
(47778,45176,'Teleports caster to a zone landmark',100,1,1),
(47779,45176,'Must be in Stonebrunt Highlands.',100,1,2),
(47780,10045176,'Applies Portal to Pothsi when Activated.',100,0,0),
(47781,10045176,'Teleports caster to a zone landmark',100,1,1),
(47782,10045176,'Must be in Stonebrunt Highlands.',100,1,2),
(47783,118626,'Inflicts 297 - 880 crushing damage on target',100,1,0),
(47784,10118626,'Inflicts 239 - 708 crushing damage on target',100,1,0),
(47785,173902,'When Equipped:',100,0,0),
(47786,173902,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47787,173902,'Inflicts 1192 magic damage on target',100,2,2),
(47788,173902,'Cannot be modified except by direct means',100,2,3),
(47789,10173902,'When Equipped:',100,0,0),
(47790,10173902,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(47791,10173902,'Inflicts 596 magic damage on target',100,2,2),
(47792,10173902,'Cannot be modified except by direct means',100,2,3),
(47793,177730,'When Equipped:',100,0,0),
(47794,177730,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47795,177730,'Increases STR of caster by 19.8',100,2,2),
(47796,177730,'Increases Damage Per Second of caster by 25.2',100,2,3),
(47797,177730,'Cannot be modified except by direct means',100,2,4),
(47798,10177730,'When Equipped:',100,0,0),
(47799,10177730,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47800,10177730,'Increases STR of caster by 19.8',100,2,2),
(47801,10177730,'Increases Damage Per Second of caster by 25.2',100,2,3),
(47802,10177730,'Cannot be modified except by direct means',100,2,4),
(47803,108928,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(47804,108928,'Inflicts 163 heat damage on target',100,2,1),
(47805,10108928,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(47806,10108928,'Inflicts 133 heat damage on target',100,2,1),
(47807,119327,'Roots target',100,1,0),
(47808,119327,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(47809,119327,'Slows target by 55.9%',100,2,2),
(47810,119327,'5% chance to dispel when target receives hostile action',100,2,3),
(47811,119327,'5% chance to dispel when target takes damage',100,2,4),
(47812,119327,'15% chance to dispel when target takes damage',100,1,5),
(47813,119327,'Does not affect Epic targets',100,1,6),
(47814,119327,'Resistibility increases against targets higher than level 112.',100,1,7),
(47815,10119327,'Roots target',100,1,0),
(47816,10119327,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(47817,10119327,'Slows target by 55.9%',100,2,2),
(47818,10119327,'5% chance to dispel when target receives hostile action',100,2,3),
(47819,10119327,'5% chance to dispel when target takes damage',100,2,4),
(47820,10119327,'15% chance to dispel when target takes damage',100,1,5),
(47821,10119327,'Does not affect Epic targets',100,1,6),
(47822,10119327,'Resistibility increases against targets higher than level 112.',100,1,7),
(47823,105903,'Inflicts 2445 - 3410 ranged damage on target',100,1,0),
(47824,105903,'Inflicts 1463 - 2428 ranged damage on target',100,1,1),
(47825,105903,'If weapon equipped in Ranged',100,1,2),
(47826,10105903,'Inflicts 1259 - 1829 ranged damage on target',100,1,0),
(47827,10105903,'Inflicts 864 - 1435 ranged damage on target',100,1,1),
(47828,10105903,'If weapon equipped in Ranged',100,1,2),
(47829,119503,'Dazes target encounter',100,1,0),
(47830,119503,'If Target is not Epic',100,2,1),
(47831,119503,'Inflicts 2019 - 2395 magic damage on target encounter',100,1,2),
(47832,119503,'Inflicts 1691 - 2067 magic damage on target encounter every second',100,1,3),
(47833,119503,'Resistibility increases against targets higher than level 117.',100,1,4),
(47834,10119503,'Inflicts 1886 - 2275 magic damage on target encounter',100,1,0),
(47835,10119503,'Inflicts 1333 - 1629 magic damage on target encounter every second',100,1,1),
(47836,10119503,'Dazes target encounter',100,1,2),
(47837,10119503,'If Target is not Epic',100,2,3),
(47838,10119503,'Resistibility increases against targets higher than level 117.',100,1,4),
(47839,141726,'When Equipped:',100,0,0),
(47840,141726,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47841,141726,'Increases WIS of caster by 11.9',100,2,2),
(47842,141726,'Increases Focus, Ministration and Ordination of caster by 6.7',100,2,3),
(47843,141726,'Cannot be modified except by direct means',100,2,4),
(47844,10141726,'When Equipped:',100,0,0),
(47845,10141726,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(47846,10141726,'Increases WIS of caster by 11.9',100,2,2),
(47847,10141726,'Increases Focus, Ministration and Ordination of caster by 6.7',100,2,3),
(47848,10141726,'Cannot be modified except by direct means',100,2,4),
(47849,106425,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(47850,106425,'Inflicts 3572 - 4293 mental damage on target',100,2,1),
(47851,106425,'Grants a total of 3 triggers of the spell.',100,2,2),
(47852,10106425,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(47853,10106425,'Inflicts 2689 - 3257 mental damage on target',100,2,1),
(47854,10106425,'Grants a total of 3 triggers of the spell.',100,2,2),
(47855,48334,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(47856,48334,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(47857,48334,'Decreases Attack Speed of target by 16.0',100,2,2),
(47858,48334,'Cannot be modified except by direct means',100,2,3),
(47859,48334,'Grants a total of 60 triggers of the spell.',100,2,4),
(47860,10048334,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(47861,10048334,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(47862,10048334,'Decreases Attack Speed of target by 16.0',100,2,2),
(47863,10048334,'Cannot be modified except by direct means',100,2,3),
(47864,10048334,'Grants a total of 60 triggers of the spell.',100,2,4),
(47865,111898,'Inflicts 33 - 55 piercing damage on target instantly and every 4 seconds',100,1,0),
(47866,111898,'Inflicts 239 - 397 piercing damage on target',100,1,1),
(47867,111898,'If facing target',100,1,2),
(47868,10111898,'Inflicts 26 - 43 piercing damage on target instantly and every 4 seconds',100,1,0),
(47869,10111898,'Inflicts 214 - 354 piercing damage on target',100,1,1),
(47870,10111898,'If facing target',100,1,2),
(47871,114437,'Mesmerizes target',100,1,0),
(47872,114437,'Prevents AOE (except when direct) ',100,1,1),
(47873,114437,'Dispelled when target takes damage',100,1,2),
(47874,114437,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(47875,114437,'Resistibility increases against targets higher than level 116.',100,1,4),
(47876,10114437,'Mesmerizes target',100,1,0),
(47877,10114437,'Prevents AOE (except when direct) ',100,1,1),
(47878,10114437,'Dispelled when target takes damage',100,1,2),
(47879,10114437,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(47880,10114437,'Resistibility increases against targets higher than level 116.',100,1,4),
(47881,120083,'Inflicts 1906 - 2564 mental damage on target',100,1,0),
(47882,120083,'Inflicts 953 - 1581 mental damage on target',100,1,1),
(47883,120083,'Stifles target',100,1,2),
(47884,120083,'If Target is not Epic',100,2,3),
(47885,120083,'If weapon equipped in Ranged',100,1,4),
(47886,120083,'Resistibility increases against targets higher than level 100.',100,1,5),
(47887,10120083,'Inflicts 1146 - 1641 mental damage on target',100,1,0),
(47888,10120083,'Inflicts 751 - 1246 mental damage on target',100,1,1),
(47889,10120083,'Stifles target',100,1,2),
(47890,10120083,'If Target is not Epic',100,2,3),
(47891,10120083,'If weapon equipped in Ranged',100,1,4),
(47892,10120083,'Resistibility increases against targets higher than level 100.',100,1,5),
(47893,47416,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(47894,47416,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(47895,47416,'Inflicts 90 poison damage on target instantly and every 6 seconds',100,2,2),
(47896,47416,'Inflicts 308 poison damage on target',100,2,3),
(47897,47416,'Cannot be modified except by direct means',100,2,4),
(47898,47416,'Grants a total of 200 triggers of the spell.',100,2,5),
(47899,10047416,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(47900,10047416,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(47901,10047416,'Inflicts 231 poison damage on target',100,2,2),
(47902,10047416,'Inflicts 68 poison damage on target instantly and every 6 seconds',100,2,3),
(47903,10047416,'Cannot be modified except by direct means',100,2,4),
(47904,10047416,'Grants a total of 200 triggers of the spell.',100,2,5),
(47905,48104,'Applies Chum when Activated.',100,0,0),
(47906,10048104,'Applies Chum when Activated.',100,0,0),
(47907,159906,'Applies Sanguine Imbued when Equipped.',100,0,0),
(47908,159906,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(47909,159906,'Inflicts 207 heat damage on target',100,2,2),
(47910,159906,'Cannot be modified except by direct means',100,2,3),
(47911,10159906,'Applies Sanguine Imbued when Equipped.',100,0,0),
(47912,10159906,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(47913,10159906,'Inflicts 207 heat damage on target',100,2,2),
(47914,10159906,'Cannot be modified except by direct means',100,2,3),
(47915,47334,'Applies Summon Myron''s Gearskif when Activated.',100,0,0),
(47916,47334,'Summons a mount to ride',100,1,1),
(47917,47334,'Increases your ground speed by 130%',100,2,2),
(47918,10047334,'Applies Summon Myron''s Gearskif when Activated.',100,0,0),
(47919,10047334,'Summons a mount to ride',100,1,1),
(47920,10047334,'Increases your ground speed by 130%',100,2,2),
(47921,81730,'When Equipped:',100,0,0),
(47922,81730,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47923,81730,'Inflicts 210 - 391 magic damage on target',100,2,2),
(47924,81730,'Cannot be modified except by direct means',100,2,3),
(47925,10081730,'When Equipped:',100,0,0),
(47926,10081730,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47927,10081730,'Inflicts 210 - 391 magic damage on target',100,2,2),
(47928,10081730,'Cannot be modified except by direct means',100,2,3),
(47929,112376,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.7',100,1,0),
(47930,112376,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(47931,112376,'Inflicts 661 - 808 piercing damage on target',100,2,2),
(47932,112376,'Inflicts 331 - 404 piercing damage on target every 3 seconds',100,2,3),
(47933,10112376,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.7',100,1,0),
(47934,10112376,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(47935,10112376,'Inflicts 521 - 637 piercing damage on target',100,2,2),
(47936,10112376,'Inflicts 260 - 318 piercing damage on target every 3 seconds',100,2,3),
(47937,79833,'When Equipped:',100,0,0),
(47938,79833,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(47939,79833,'Reduces healing received by 15.00%',100,2,2),
(47940,79833,'Cannot be modified except by direct means',100,2,3),
(47941,79833,'This effect can only trigger once every 1 second.',100,2,4),
(47942,79833,'Must be engaged in pvp combat',100,1,5),
(47943,10079833,'When Equipped:',100,0,0),
(47944,10079833,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(47945,10079833,'Reduces healing received by 15.00%',100,2,2),
(47946,10079833,'Cannot be modified except by direct means',100,2,3),
(47947,10079833,'This effect can only trigger once every 1 second.',100,2,4),
(47948,10079833,'Must be engaged in pvp combat',100,1,5),
(47949,111012,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(47950,111012,'Increases Threat to target by 58 ',100,2,1),
(47951,111012,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(47952,111012,'Increases Threat to target by 58 ',100,2,3),
(47953,10111012,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(47954,10111012,'Inflicts 6 - 7 crushing damage on target',100,2,1),
(47955,10111012,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(47956,10111012,'Inflicts 6 - 7 crushing damage on target',100,2,3),
(47957,72621,'When Equipped:',100,0,0),
(47958,72621,'On a combat hit this spell may cast Taste of Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47959,72621,'Inflicts 97 - 161 heat damage on target',100,2,2),
(47960,72621,'Cannot be modified except by direct means',100,2,3),
(47961,10072621,'When Equipped:',100,0,0),
(47962,10072621,'On a combat hit this spell may cast Taste of Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47963,10072621,'Inflicts 97 - 161 heat damage on target',100,2,2),
(47964,10072621,'Cannot be modified except by direct means',100,2,3),
(47965,143196,'Applies Hooluk in a Hat when Activated.',100,0,0),
(47966,143196,'Summons a pet Hooluk',100,1,1),
(47967,143196,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(47968,10143196,'Applies Hooluk in a Hat when Activated.',100,0,0),
(47969,10143196,'Summons a pet Hooluk',100,1,1),
(47970,10143196,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(47971,81365,'When Equipped:',100,0,0),
(47972,81365,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47973,81365,'Inflicts 140 - 260 magic damage on target',100,2,2),
(47974,81365,'Cannot be modified except by direct means',100,2,3),
(47975,10081365,'When Equipped:',100,0,0),
(47976,10081365,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(47977,10081365,'Inflicts 140 - 260 magic damage on target',100,2,2),
(47978,10081365,'Cannot be modified except by direct means',100,2,3),
(47979,112605,'Increases STA of caster by 24.5',100,1,0),
(47980,112605,'Reduces slow effects on caster by 9.0%',100,1,1),
(47981,112605,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 648',100,1,2),
(47982,10112605,'Increases STA of caster by 24.5',100,1,0),
(47983,10112605,'Reduces slow effects on caster by 9.0%',100,1,1),
(47984,10112605,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 648',100,1,2),
(47985,159116,'Applies Sanguine Imbued when Equipped.',100,0,0),
(47986,159116,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(47987,159116,'Inflicts 65 heat damage on target',100,2,2),
(47988,159116,'Cannot be modified except by direct means',100,2,3),
(47989,10159116,'Applies Sanguine Imbued when Equipped.',100,0,0),
(47990,10159116,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(47991,10159116,'Inflicts 65 heat damage on target',100,2,2),
(47992,10159116,'Cannot be modified except by direct means',100,2,3),
(47993,106743,'Heals target for 4478 - 5255',100,1,0),
(47994,10106743,'Heals target for 3495 - 4215',100,1,0),
(47995,118062,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(47996,118062,'Increases Defense of caster by 3.2',100,1,1),
(47997,10118062,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(47998,10118062,'Increases Defense of caster by 3.2',100,1,1),
(47999,134111,'When Equipped:',100,0,0),
(48000,134111,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48001,134111,'Decreases power of target by 226',100,2,2),
(48002,134111,'Increases power of caster by 150',100,2,3),
(48003,134111,'Cannot be modified except by direct means',100,2,4),
(48004,10134111,'When Equipped:',100,0,0),
(48005,10134111,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48006,10134111,'Decreases power of target by 226',100,2,2),
(48007,10134111,'Increases power of caster by 150',100,2,3),
(48008,10134111,'Cannot be modified except by direct means',100,2,4),
(48009,112822,'Roots target',100,1,0),
(48010,112822,'5% chance to dispel when target takes damage',100,1,1),
(48011,112822,'Does not affect Epic targets',100,1,2),
(48012,112822,'Resistibility increases against targets higher than level 36.',100,1,3),
(48013,10112822,'Roots target',100,1,0),
(48014,10112822,'5% chance to dispel when target takes damage',100,1,1),
(48015,10112822,'Does not affect Epic targets',100,1,2),
(48016,10112822,'Resistibility increases against targets higher than level 36.',100,1,3),
(48017,100318,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(48018,100318,'Inflicts 2249 divine damage on target',100,2,1),
(48019,10100318,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(48020,10100318,'Inflicts 1773 divine damage on target',100,2,1),
(48021,116862,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(48022,116862,'Inflicts 2884 - 3452 mental damage on target',100,2,1),
(48023,116862,'Grants a total of 3 triggers of the spell.',100,2,2),
(48024,10116862,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(48025,10116862,'Inflicts 2146 - 2594 mental damage on target',100,2,1),
(48026,10116862,'Grants a total of 3 triggers of the spell.',100,2,2),
(48027,176147,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(48028,176147,'Roots target',100,1,1),
(48029,176147,'If target is the Djinn Master',100,2,2),
(48030,176147,'Inflicts 1891 magic damage on target',100,1,3),
(48031,176147,'If target is djinn',100,2,4),
(48032,176147,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(48033,176147,'The casting time of Al''Ismak Beni Djinn is 2.48 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,6),
(48034,10176147,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(48035,10176147,'Roots target',100,1,1),
(48036,10176147,'If target is the Djinn Master',100,2,2),
(48037,10176147,'Inflicts 1891 magic damage on target',100,1,3),
(48038,10176147,'If target is djinn',100,2,4),
(48039,10176147,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(48040,10176147,'The casting time of Al''Ismak Beni Djinn is 2.48 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,6),
(48041,118633,'Inflicts 438 - 1295 crushing damage on target',100,1,0),
(48042,10118633,'Inflicts 353 - 1043 crushing damage on target',100,1,0),
(48043,122465,'Inflicts 6680 - 10478 magic damage on target',100,1,0),
(48044,10122465,'Inflicts 4885 - 7878 magic damage on target',100,1,0),
(48045,124732,'Heals group members (AE) for 4416 - 5324',100,1,0),
(48046,10124732,'Heals group members (AE) for 3995 - 4864',100,1,0),
(48047,122977,'Inflicts 2510 - 3246 mental damage on target',100,1,0),
(48048,10122977,'Inflicts 1713 - 2179 mental damage on target',100,1,0),
(48049,104343,'Charms target',100,1,0),
(48050,104343,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(48051,104343,'Mesmerizes target',100,2,2),
(48052,104343,'Dispelled when target takes damage',100,2,3),
(48053,104343,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(48054,104343,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(48055,104343,'Grants Sonic Vision to caster',100,2,6),
(48056,104343,'Increases Out-of-Combat Power Regeneration of target by 12.5',100,1,7),
(48057,104343,'Increases Out-of-Combat Health Regeneration of target by 25.0',100,1,8),
(48058,104343,'Certain enemies cannot be charmed',100,1,9),
(48059,104343,'Does not affect Epic targets',100,1,10),
(48060,10104343,'Mesmerizes target',100,1,0),
(48061,10104343,'Prevents AOE (except when direct) ',100,1,1),
(48062,10104343,'Dispelled when target takes damage',100,1,2),
(48063,10104343,'Certain enemies cannot be charmed',100,1,3),
(48064,10104343,'Does not affect Epic targets',100,1,4),
(48065,10104343,'Resistibility increases against targets higher than level 62.',100,1,5),
(48066,115640,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 333',100,1,0),
(48067,10115640,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 333',100,1,0),
(48068,108331,'Inflicts 2164 - 3364 divine damage on target',100,1,0),
(48069,108331,'Heals caster for 1.6% of max health',100,1,1),
(48070,108331,'This effect cannot be critically applied.',100,2,2),
(48071,108331,'The healing of this spell cannot be modified except by direct means',100,1,3),
(48072,10108331,'Inflicts 1581 - 2493 divine damage on target',100,1,0),
(48073,10108331,'Heals caster for 0.8% of max health',100,1,1),
(48074,10108331,'This effect cannot be critically applied.',100,2,2),
(48075,10108331,'The healing of this spell cannot be modified except by direct means',100,1,3),
(48076,47436,'Applies Call Opalescent Prowler when Activated.',100,0,0),
(48077,47436,'Increases Piercing of caster by 5.0',100,1,1),
(48078,47436,'Summons a mount to ride',100,1,2),
(48079,47436,'Increases your ground speed by 135%',100,2,3),
(48080,47436,'Increases Ministration, Disruption, Ranged, Subjugation, Ordination, Aggression, Crushing, Focus and Slashing of caster by 5.0',100,1,4),
(48081,10047436,'Applies Call Opalescent Prowler when Activated.',100,0,0),
(48082,10047436,'Increases Piercing of caster by 5.0',100,1,1),
(48083,10047436,'Summons a mount to ride',100,1,2),
(48084,10047436,'Increases your ground speed by 135%',100,2,3),
(48085,10047436,'Increases Ministration, Disruption, Ranged, Subjugation, Ordination, Aggression, Crushing, Focus and Slashing of caster by 5.0',100,1,4),
(48086,46202,'Applies Petamorph: Harpy when Activated.  Lasts for 2 hours.',100,0,0),
(48087,46202,'Turns the caster''s combat pet into a harpy. Does not work on cosmetic pets.',100,1,1),
(48088,10046202,'Applies Petamorph: Harpy when Activated.  Lasts for 2 hours.',100,0,0),
(48089,10046202,'Turns the caster''s combat pet into a harpy. Does not work on cosmetic pets.',100,1,1),
(48090,112360,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(48091,112360,'Inflicts 1212 - 2011 piercing damage on target',100,2,1),
(48092,10112360,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(48093,10112360,'Inflicts 501 - 832 piercing damage on target',100,2,1),
(48094,110671,'Heals target for 1185',100,1,0),
(48095,110671,'Dispels 30 levels of any hostile effects on target',100,1,1),
(48096,10110671,'Heals target for 661',100,1,0),
(48097,10110671,'Dispels 30 levels of any hostile effects on target',100,1,1),
(48098,105275,'Increases Threat to target by 6,605 ',100,1,0),
(48099,105275,'Interrupts target',100,1,1),
(48100,105275,'Dispels 158 levels of arcane beneficial effects on target',100,1,2),
(48101,10105275,'Forces target to change their selected target to caster.',100,1,0),
(48102,10105275,'Interrupts target',100,1,1),
(48103,10105275,'Dispels 158 levels of arcane beneficial effects on target',100,1,2),
(48104,113814,'Inflicts 339 - 566 disease damage on target',100,1,0),
(48105,10113814,'Inflicts 291 - 486 disease damage on target',100,1,0),
(48106,36611,'Increases WIS of target by 15.4',100,0,0),
(48107,36611,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(48108,161810,'When Equipped:',100,0,0),
(48109,161810,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(48110,161810,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(48111,161810,'Decreases Threat to target by 4,441 - 4,908 ',100,2,3),
(48112,161810,'Inflicts 2305 - 2548 mental damage on target',100,2,4),
(48113,161810,'Must not be engaged in pvp combat',100,2,5),
(48114,161810,'Cannot be modified except by direct means',100,2,6),
(48115,161810,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(48116,161810,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(48117,161810,'Inflicts 2305 - 2548 mental damage on target',100,2,9),
(48118,161810,'Must not be engaged in pvp combat',100,2,10),
(48119,161810,'Cannot be modified except by direct means',100,2,11),
(48120,161810,'Cannot be modified except by direct means',100,1,12),
(48121,10161810,'When Equipped:',100,0,0),
(48122,10161810,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(48123,10161810,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(48124,10161810,'Inflicts 2305 - 2548 mental damage on target',100,2,3),
(48125,10161810,'Must not be engaged in pvp combat',100,2,4),
(48126,10161810,'Cannot be modified except by direct means',100,2,5),
(48127,10161810,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(48128,10161810,'Inflicts 2305 - 2548 mental damage on target',100,2,7),
(48129,10161810,'Must not be engaged in pvp combat',100,2,8),
(48130,10161810,'Cannot be modified except by direct means',100,2,9),
(48131,10161810,'Cannot be modified except by direct means',100,1,10),
(48132,181017,'When Equipped:',100,0,0),
(48133,181017,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(48134,181017,'Inflicts 2664 cold damage on target encounter',100,2,2),
(48135,181017,'Must not be engaged in pvp combat',100,2,3),
(48136,181017,'Cannot be modified except by direct means',100,2,4),
(48137,181017,'Must not be engaged in pvp combat',100,1,5),
(48138,10181017,'When Equipped:',100,0,0),
(48139,10181017,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(48140,10181017,'Inflicts 1332 cold damage on target encounter',100,2,2),
(48141,10181017,'Must not be engaged in pvp combat',100,2,3),
(48142,10181017,'Cannot be modified except by direct means',100,2,4),
(48143,10181017,'Must not be engaged in pvp combat',100,1,5),
(48144,74922,'When Equipped:',100,0,0),
(48145,74922,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48146,74922,'Inflicts 49 - 74 magic damage on target',100,2,2),
(48147,74922,'Cannot be modified except by direct means',100,2,3),
(48148,10074922,'When Equipped:',100,0,0),
(48149,10074922,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48150,10074922,'Inflicts 49 - 74 magic damage on target',100,2,2),
(48151,10074922,'Cannot be modified except by direct means',100,2,3),
(48152,124107,'Increases power of caster by 114',100,1,0),
(48153,10124107,'Increases power of caster by 114',100,1,0),
(48154,109036,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(48155,109036,'Increases Attack Speed of caster by 16.5',100,1,1),
(48156,109036,'Decreases Defense of caster by 4.8',100,1,2),
(48157,109036,'Increases Slashing, Piercing, Crushing and Ranged of caster by 9.5',100,1,3),
(48158,10109036,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(48159,10109036,'Increases Attack Speed of caster by 16.5',100,1,1),
(48160,10109036,'Decreases Defense of caster by 4.8',100,1,2),
(48161,10109036,'Increases Slashing, Piercing, Crushing and Ranged of caster by 9.5',100,1,3),
(48162,89059,'When Equipped:',100,0,0),
(48163,89059,'On a combat hit this spell may cast Stun IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(48164,89059,'Stuns target',100,2,2),
(48165,89059,'Does not affect Epic targets',100,2,3),
(48166,89059,'Resistibility increases against targets higher than level 106.',100,2,4),
(48167,89059,'Cannot be modified except by direct means',100,2,5),
(48168,89059,'When Equipped:',100,0,6),
(48169,89059,'On a hit this spell may cast Ykesha''s Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(48170,89059,'Stuns target',100,2,8),
(48171,89059,'Inflicts 928 magic damage on target',100,2,9),
(48172,89059,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,10),
(48173,89059,'Resistibility increases against targets higher than level 106.',100,2,11),
(48174,89059,'Cannot be modified except by direct means',100,2,12),
(48175,10089059,'When Equipped:',100,0,0),
(48176,10089059,'On a combat hit this spell may cast Stun IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(48177,10089059,'Stuns target',100,2,2),
(48178,10089059,'Does not affect Epic targets',100,2,3),
(48179,10089059,'Resistibility increases against targets higher than level 106.',100,2,4),
(48180,10089059,'Cannot be modified except by direct means',100,2,5),
(48181,10089059,'When Equipped:',100,0,6),
(48182,10089059,'On a hit this spell may cast Ykesha''s Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(48183,10089059,'Stuns target',100,2,8),
(48184,10089059,'Inflicts 928 magic damage on target',100,2,9),
(48185,10089059,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,10),
(48186,10089059,'Resistibility increases against targets higher than level 106.',100,2,11),
(48187,10089059,'Cannot be modified except by direct means',100,2,12),
(48188,105071,'Inflicts 689 - 932 magic damage on target',100,1,0),
(48189,10105071,'Inflicts 575 - 639 magic damage on target',100,1,0),
(48190,27208,'When Equipped:',100,0,0),
(48191,27208,'Increases In-Combat Health Regeneration of caster by 4.0',100,1,1),
(48192,10027208,'When Equipped:',100,0,0),
(48193,10027208,'Increases In-Combat Health Regeneration of caster by 4.0',100,1,1),
(48194,139334,'When Equipped:',100,0,0),
(48195,139334,'Reduces maximum falling speed of caster',100,1,1),
(48196,139334,'Applies Spirit of Innoruuk''s Chosen when Activated.  Lasts for 1 hour.',100,0,2),
(48197,139334,'Shapechanges caster into a dark elf',100,1,3),
(48198,139334,'The casting time of Spirit of Innoruuk''s Chosen is 0.99 seconds and the reuse time of the spell is 3.45 seconds',100,1,4),
(48199,10139334,'When Equipped:',100,0,0),
(48200,10139334,'Reduces maximum falling speed of caster',100,1,1),
(48201,10139334,'Applies Spirit of Innoruuk''s Chosen when Activated.  Lasts for 1 hour.',100,0,2),
(48202,10139334,'Shapechanges caster into a dark elf',100,1,3),
(48203,10139334,'The casting time of Spirit of Innoruuk''s Chosen is 0.99 seconds and the reuse time of the spell is 3.45 seconds',100,1,4),
(48204,123645,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(48205,123645,'Slows target by 48.4%',100,2,1),
(48206,123645,'5% chance to dispel when target receives hostile action',100,2,2),
(48207,123645,'5% chance to dispel when target takes damage',100,2,3),
(48208,123645,'Inflicts 4247 - 4973 cold damage on target',100,1,4),
(48209,10123645,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(48210,10123645,'Slows target by 48.4%',100,2,1),
(48211,10123645,'5% chance to dispel when target receives hostile action',100,2,2),
(48212,10123645,'5% chance to dispel when target takes damage',100,2,3),
(48213,10123645,'Inflicts 2600 - 3090 cold damage on target',100,1,4),
(48214,104414,'Stifles target encounter',100,1,0),
(48215,104414,'Inflicts 1393 - 1630 mental damage on target encounter',100,1,1),
(48216,104414,'Inflicts 1066 - 1302 mental damage on target encounter every second',100,1,2),
(48217,104414,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(48218,104414,'Resistibility increases against targets higher than level 99.',100,1,4),
(48219,10104414,'Stifles target encounter',100,1,0),
(48220,10104414,'Inflicts 913 - 1086 mental damage on target encounter',100,1,1),
(48221,10104414,'Inflicts 781 - 955 mental damage on target encounter every 0.4 seconds',100,1,2),
(48222,10104414,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(48223,10104414,'Resistibility increases against targets higher than level 99.',100,1,4),
(48224,122243,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(48225,122243,'Decreases Damage Per Second of target by 18.6',100,2,1),
(48226,122243,'Decreases Attack Speed of target by 14.9',100,2,2),
(48227,10122243,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(48228,10122243,'Decreases Damage Per Second of target by 18.6',100,2,1),
(48229,10122243,'Decreases Attack Speed of target by 14.9',100,2,2),
(48230,117681,'Decreases Mitigation of target vs physical damage by 660',100,1,0),
(48231,10117681,'Decreases Mitigation of target vs physical damage by 330',100,1,0),
(48232,75124,'When Equipped:',100,0,0),
(48233,75124,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(48234,10075124,'When Equipped:',100,0,0),
(48235,10075124,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(48236,106056,'Increases AGI of caster by 55.7',100,1,0),
(48237,106056,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(48238,106056,'Inflicts 384 - 640 disease damage on target',100,2,2),
(48239,106056,'Adds 15.6% to base avoidance.',100,1,3),
(48240,106056,'Increases Mitigation of caster vs physical damage by 287',100,1,4),
(48241,106056,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,5),
(48242,10106056,'Increases AGI of caster by 55.7',100,1,0),
(48243,10106056,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(48244,10106056,'Inflicts 303 - 504 disease damage on target',100,2,2),
(48245,10106056,'Adds 15.6% to base avoidance.',100,1,3),
(48246,10106056,'Increases Mitigation of caster vs physical damage by 287',100,1,4),
(48247,10106056,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,5),
(48248,113610,'Summons a limited pet to aid the caster',100,1,0),
(48249,10113610,'Summons a limited pet to aid the caster',100,1,0),
(48250,121064,'Increases STR and STA of group members (AE) by 39.4',100,1,0),
(48251,10121064,'Increases STR and STA of group members (AE) by 39.4',100,1,0),
(48252,190885,'When Equipped:',100,0,0),
(48253,190885,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(48254,10190885,'When Equipped:',100,0,0),
(48255,10190885,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(48256,106544,'Inflicts 2029 - 2475 melee damage on target',100,1,0),
(48257,106544,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(48258,106544,'Increases Hate Gain of target by 30.0%',100,2,2),
(48259,106544,'Grants a total of 1 trigger of the spell.',100,2,3),
(48260,10106544,'Inflicts 1460 - 1695 melee damage on target',100,1,0),
(48261,10106544,'25% chance to apply Distract on termination.',100,1,1),
(48262,10106544,'Forces target to clear their selected target.',100,2,2),
(48263,109927,'Stuns target',100,1,0),
(48264,109927,'Does not affect Epic targets',100,1,1),
(48265,109927,'Resistibility increases against targets higher than level 45.',100,1,2),
(48266,10109927,'Stuns target',100,1,0),
(48267,10109927,'Does not affect Epic targets',100,1,1),
(48268,10109927,'Resistibility increases against targets higher than level 45.',100,1,2),
(48269,36849,'Increases STA and INT of target by 3.2',100,0,0),
(48270,36849,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,1),
(48271,116204,'Inflicts 4429 - 6727 mental damage on target',100,1,0),
(48272,10116204,'Inflicts 3111 - 4923 mental damage on target',100,1,0),
(48273,109169,'Applies Blind.  Lasts for 6.0 seconds.',100,1,0),
(48274,109169,'Dazes target',100,2,1),
(48275,109169,'Blurs vision of target',100,2,2),
(48276,109169,'Dispelled when target takes damage',100,2,3),
(48277,109169,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,4),
(48278,109169,'Roots target',100,1,5),
(48279,109169,'5% chance to dispel when target takes damage',100,1,6),
(48280,109169,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,7),
(48281,109169,'Resistibility increases against targets higher than level 62.',100,1,8),
(48282,10109169,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(48283,10109169,'Dazes target',100,2,1),
(48284,10109169,'Blurs vision of target',100,2,2),
(48285,10109169,'Dispelled when target takes damage',100,2,3),
(48286,10109169,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(48287,10109169,'Roots target',100,1,5),
(48288,10109169,'5% chance to dispel when target takes damage',100,1,6),
(48289,10109169,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(48290,10109169,'Resistibility increases against targets higher than level 62.',100,1,8),
(48291,81977,'When Equipped:',100,0,0),
(48292,81977,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(48293,81977,'Decreases Threat to target by 994 ',100,2,2),
(48294,81977,'Must be flanking or behind',100,3,3),
(48295,81977,'Increases Threat to target by 1,454 ',100,2,4),
(48296,81977,'Must be in front of',100,3,5),
(48297,81977,'Inflicts 523 - 972 magic damage on target',100,2,6),
(48298,81977,'Cannot be modified except by direct means',100,2,7),
(48299,10081977,'When Equipped:',100,0,0),
(48300,10081977,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(48301,10081977,'Inflicts 523 - 972 magic damage on target',100,2,2),
(48302,10081977,'Cannot be modified except by direct means',100,2,3),
(48303,51408,'Applies Heroic Resistance V when Equipped.',100,0,0),
(48304,51408,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(48305,51408,'Cannot be modified except by direct means',100,1,2),
(48306,10051408,'Applies Heroic Resistance V when Equipped.',100,0,0),
(48307,10051408,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(48308,10051408,'Cannot be modified except by direct means',100,1,2),
(48309,72224,'When Equipped:',100,0,0),
(48310,72224,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(48311,72224,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(48312,72224,'Cannot be modified except by direct means',100,2,3),
(48313,10072224,'When Equipped:',100,0,0),
(48314,10072224,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(48315,10072224,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(48316,10072224,'Cannot be modified except by direct means',100,2,3),
(48317,46598,'Applies Leash when Activated.',100,0,0),
(48318,46598,'Updates a specific part of the Quest \"Sharp of Tooth, Long of Tail\"',100,1,1),
(48319,46598,'Must not be engaged in combat',100,1,2),
(48320,10046598,'Applies Leash when Activated.',100,0,0),
(48321,10046598,'Updates a specific part of the Quest \"Sharp of Tooth, Long of Tail\"',100,1,1),
(48322,10046598,'Must not be engaged in combat',100,1,2),
(48323,164217,'When Equipped:',100,0,0),
(48324,164217,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(48325,164217,'Decreases power of target by 186',100,2,2),
(48326,164217,'Increases power of caster by 95',100,2,3),
(48327,164217,'Cannot be modified except by direct means',100,2,4),
(48328,10164217,'When Equipped:',100,0,0),
(48329,10164217,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(48330,10164217,'Decreases power of target by 186',100,2,2),
(48331,10164217,'Increases power of caster by 95',100,2,3),
(48332,10164217,'Cannot be modified except by direct means',100,2,4),
(48333,45995,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(48334,45995,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(48335,45995,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(48336,45995,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(48337,45995,'You can only have one experience potion active at a time.',100,1,4),
(48338,10045995,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(48339,10045995,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(48340,10045995,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(48341,10045995,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(48342,10045995,'You can only have one experience potion active at a time.',100,1,4),
(48343,122099,'Increases STA and INT of group members (AE) by 53.4',100,1,0),
(48344,10122099,'Increases STA and INT of group members (AE) by 53.4',100,1,0),
(48345,159474,'When Equipped:',100,0,0),
(48346,159474,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(48347,159474,'Increases STA of caster by 25.7',100,2,2),
(48348,159474,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(48349,159474,'Cannot be modified except by direct means',100,2,4),
(48350,10159474,'When Equipped:',100,0,0),
(48351,10159474,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(48352,10159474,'Increases STA of caster by 25.7',100,2,2),
(48353,10159474,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(48354,10159474,'Cannot be modified except by direct means',100,2,4),
(48355,121844,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(48356,121844,'Increases Mitigation of group members (AE) vs arcane damage by 1040',100,1,1),
(48357,10121844,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(48358,10121844,'Increases Mitigation of group members (AE) vs arcane damage by 1040',100,1,1),
(48359,110047,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(48360,110047,'Inflicts 2187 - 3644 disease damage on target',100,2,1),
(48361,110047,'Heals caster for 2.4 - 3.9% of max health',100,2,2),
(48362,110047,'This effect cannot be critically applied.',100,3,3),
(48363,110047,'The healing of this spell cannot be modified except by direct means',100,2,4),
(48364,10110047,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(48365,10110047,'Inflicts 1723 - 2872 disease damage on target',100,2,1),
(48366,10110047,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(48367,10110047,'This effect cannot be critically applied.',100,3,3),
(48368,10110047,'The healing of this spell cannot be modified except by direct means',100,2,4),
(48369,105179,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(48370,105179,'Inflicts 178 - 217 poison damage on target encounter',100,2,1),
(48371,10105179,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(48372,10105179,'Inflicts 140 - 171 poison damage on target encounter',100,2,1),
(48373,113021,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(48374,113021,'Stuns target',40,2,1),
(48375,113021,'If Target is not Epic',100,3,2),
(48376,113021,'Inflicts 832 - 2437 melee damage on target',100,2,3),
(48377,113021,'Resistibility increases against targets higher than level 107.',100,2,4),
(48378,10113021,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(48379,10113021,'Inflicts 655 - 1794 melee damage on target',100,2,1),
(48380,121856,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(48381,121856,'Increases Mitigation of group members (AE) vs arcane damage by 173',100,1,1),
(48382,10121856,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(48383,10121856,'Increases Mitigation of group members (AE) vs arcane damage by 173',100,1,1),
(48384,80861,'When Equipped:',100,0,0),
(48385,80861,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48386,80861,'Inflicts 343 - 636 magic damage on target',100,2,2),
(48387,80861,'Cannot be modified except by direct means',100,2,3),
(48388,10080861,'When Equipped:',100,0,0),
(48389,10080861,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48390,10080861,'Inflicts 343 - 636 magic damage on target',100,2,2),
(48391,10080861,'Cannot be modified except by direct means',100,2,3),
(48392,89038,'Applies Mental Blast when Activated.',100,0,0),
(48393,89038,'Inflicts 250 - 417 mental damage on target',100,1,1),
(48394,89038,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(48395,10089038,'Applies Mental Blast when Activated.',100,0,0),
(48396,10089038,'Inflicts 250 - 417 mental damage on target',100,1,1),
(48397,10089038,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(48398,111137,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(48399,111137,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 156',100,1,1),
(48400,111137,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,2),
(48401,10111137,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(48402,10111137,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 156',100,1,1),
(48403,10111137,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,2),
(48404,75929,'When Equipped:',100,0,0),
(48405,75929,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(48406,75929,'Inflicts 53 - 89 piercing damage on target',100,2,2),
(48407,75929,'Inflicts 53 - 89 divine damage on target',100,2,3),
(48408,75929,'Inflicts 53 - 89 magic damage on target',100,2,4),
(48409,75929,'Must not be engaged in pvp combat',100,2,5),
(48410,75929,'Cannot be modified except by direct means',100,2,6),
(48411,75929,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(48412,75929,'Inflicts 53 - 89 piercing damage on target',100,2,8),
(48413,75929,'Inflicts 53 - 89 divine damage on target',100,2,9),
(48414,75929,'Inflicts 53 - 89 magic damage on target',100,2,10),
(48415,75929,'Must not be engaged in pvp combat',100,2,11),
(48416,75929,'Cannot be modified except by direct means',100,2,12),
(48417,75929,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(48418,75929,'Inflicts 53 - 89 piercing damage on target',100,2,14),
(48419,75929,'Inflicts 53 - 89 divine damage on target',100,2,15),
(48420,75929,'Inflicts 53 - 89 magic damage on target',100,2,16),
(48421,75929,'Must not be engaged in pvp combat',100,2,17),
(48422,75929,'Cannot be modified except by direct means',100,2,18),
(48423,75929,'Must not be engaged in pvp combat',100,1,19),
(48424,10075929,'When Equipped:',100,0,0),
(48425,10075929,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(48426,10075929,'Inflicts 53 - 89 piercing damage on target',100,2,2),
(48427,10075929,'Inflicts 53 - 89 divine damage on target',100,2,3),
(48428,10075929,'Inflicts 53 - 89 magic damage on target',100,2,4),
(48429,10075929,'Must not be engaged in pvp combat',100,2,5),
(48430,10075929,'Cannot be modified except by direct means',100,2,6),
(48431,10075929,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(48432,10075929,'Inflicts 53 - 89 piercing damage on target',100,2,8),
(48433,10075929,'Inflicts 53 - 89 divine damage on target',100,2,9),
(48434,10075929,'Inflicts 53 - 89 magic damage on target',100,2,10),
(48435,10075929,'Must not be engaged in pvp combat',100,2,11),
(48436,10075929,'Cannot be modified except by direct means',100,2,12),
(48437,10075929,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(48438,10075929,'Inflicts 53 - 89 piercing damage on target',100,2,14),
(48439,10075929,'Inflicts 53 - 89 divine damage on target',100,2,15),
(48440,10075929,'Inflicts 53 - 89 magic damage on target',100,2,16),
(48441,10075929,'Must not be engaged in pvp combat',100,2,17),
(48442,10075929,'Cannot be modified except by direct means',100,2,18),
(48443,10075929,'Must not be engaged in pvp combat',100,1,19),
(48444,104038,'Stifles target',100,1,0),
(48445,104038,'If Target is not Epic',100,2,1),
(48446,104038,'Interrupts target',100,1,2),
(48447,104038,'Decreases Threat to target by 2,223 - 2,936 ',100,1,3),
(48448,104038,'Resistibility increases against targets higher than level 106.',100,1,4),
(48449,10104038,'Stifles target',100,1,0),
(48450,10104038,'If Target is not Epic',100,2,1),
(48451,10104038,'Interrupts target',100,1,2),
(48452,10104038,'Resistibility increases against targets higher than level 106.',100,1,3),
(48453,121694,'Increases AGI of caster by 17.5',100,1,0),
(48454,121694,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(48455,121694,'Increases Parry of caster by 9.7',100,1,2),
(48456,121694,'Increases Defense of caster by 13.0',100,1,3),
(48457,10121694,'Increases AGI of caster by 17.5',100,1,0),
(48458,10121694,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(48459,10121694,'Increases Parry of caster by 9.7',100,1,2),
(48460,10121694,'Increases Defense of caster by 13.0',100,1,3),
(48461,74898,'When Equipped:',100,0,0),
(48462,74898,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48463,74898,'Inflicts 49 - 74 magic damage on target',100,2,2),
(48464,74898,'Cannot be modified except by direct means',100,2,3),
(48465,10074898,'When Equipped:',100,0,0),
(48466,10074898,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48467,10074898,'Inflicts 49 - 74 magic damage on target',100,2,2),
(48468,10074898,'Cannot be modified except by direct means',100,2,3),
(48469,120688,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 7.1',100,1,0),
(48470,10120688,'Increases Crushing, Slashing, Piercing and Ranged of group members (AE) by 7.1',100,1,0),
(48471,144057,'Applies Spiritshield when Activated.  Lasts for 16.0 seconds.',100,0,0),
(48472,144057,'Reduces all damage done to group members (AE) by 15%',100,1,1),
(48473,144057,'Must not be engaged in pvp combat',100,1,2),
(48474,144057,'Cannot be modified except by direct means',100,1,3),
(48475,144057,'The casting time of Spiritshield is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(48476,10144057,'Applies Spiritshield when Activated.  Lasts for 16.0 seconds.',100,0,0),
(48477,10144057,'Reduces all damage done to group members (AE) by 15%',100,1,1),
(48478,10144057,'Must not be engaged in pvp combat',100,1,2),
(48479,10144057,'Cannot be modified except by direct means',100,1,3),
(48480,10144057,'The casting time of Spiritshield is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(48481,104890,'Inflicts 1137 - 1885 magic damage on targets in area',100,1,0),
(48482,10104890,'Inflicts 915 - 1433 magic damage on targets in area',100,1,0),
(48483,121553,'Inflicts 1468 - 2414 melee damage on targets in area',100,1,0),
(48484,121553,'Stuns target encounter',100,1,1),
(48485,121553,'If Target is not Epic',100,2,2),
(48486,121553,'Resistibility increases against targets higher than level 75.',100,1,3),
(48487,10121553,'Inflicts 1123 - 1776 melee damage on targets in area',100,1,0),
(48488,10121553,'Stuns target encounter',100,1,1),
(48489,10121553,'If Target is not Epic',100,2,2),
(48490,10121553,'Resistibility increases against targets higher than level 75.',100,1,3),
(48491,72250,'When Equipped:',100,0,0),
(48492,72250,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(48493,72250,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(48494,72250,'Cannot be modified except by direct means',100,2,3),
(48495,10072250,'When Equipped:',100,0,0),
(48496,10072250,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(48497,10072250,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(48498,10072250,'Cannot be modified except by direct means',100,2,3),
(48499,103848,'Decreases Mitigation of target vs noxious damage by 306',100,1,0),
(48500,103848,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(48501,103848,'Slows target by 44.0%',100,2,2),
(48502,103848,'5% chance to dispel when target receives hostile action',100,2,3),
(48503,103848,'5% chance to dispel when target takes damage',100,2,4),
(48504,10103848,'Decreases Mitigation of target vs noxious damage by 306',100,1,0),
(48505,10103848,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(48506,10103848,'Slows target by 44.0%',100,2,2),
(48507,10103848,'5% chance to dispel when target receives hostile action',100,2,3),
(48508,10103848,'5% chance to dispel when target takes damage',100,2,4),
(48509,111831,'Inflicts 1165 - 1932 melee damage on target',100,1,0),
(48510,111831,'Roots target',100,1,1),
(48511,111831,'If Target is not Epic',100,2,2),
(48512,111831,'Resistibility increases against targets higher than level 70.',100,1,3),
(48513,10111831,'Inflicts 827 - 1309 melee damage on target',100,1,0),
(48514,10111831,'Roots target',100,1,1),
(48515,10111831,'If Target is not Epic',100,2,2),
(48516,10111831,'Resistibility increases against targets higher than level 70.',100,1,3),
(48517,151024,'When Equipped:',100,0,0),
(48518,151024,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(48519,151024,'Inflicts 1375 magic damage on target',100,2,2),
(48520,151024,'Inflicts 201 magic damage on target every 4 seconds',100,2,3),
(48521,151024,'Must not be engaged in pvp combat',100,2,4),
(48522,151024,'Cannot be modified except by direct means',100,2,5),
(48523,10151024,'When Equipped:',100,0,0),
(48524,10151024,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(48525,10151024,'Inflicts 1375 magic damage on target',100,2,2),
(48526,10151024,'Inflicts 201 magic damage on target every 4 seconds',100,2,3),
(48527,10151024,'Must not be engaged in pvp combat',100,2,4),
(48528,10151024,'Cannot be modified except by direct means',100,2,5),
(48529,109401,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(48530,109401,'Inflicts 484 - 592 cold damage on target',100,2,1),
(48531,109401,'Slows target by 37.8%',100,2,2),
(48532,109401,'5% chance to dispel when target receives hostile action',100,2,3),
(48533,109401,'5% chance to dispel when target takes damage',100,2,4),
(48534,10109401,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(48535,10109401,'Inflicts 381 - 466 cold damage on target',100,2,1),
(48536,10109401,'Slows target by 37.8%',100,2,2),
(48537,10109401,'5% chance to dispel when target receives hostile action',100,2,3),
(48538,10109401,'5% chance to dispel when target takes damage',100,2,4),
(48539,146520,'When Equipped:',100,0,0),
(48540,146520,'On a hostile spell cast this spell may cast Glorious Rout on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(48541,146520,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,2),
(48542,146520,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,3),
(48543,146520,'Increases Crit Bonus of caster by 12.0%',100,2,4),
(48544,146520,'Must not be engaged in pvp combat',100,2,5),
(48545,146520,'Cannot be modified except by direct means',100,2,6),
(48546,146520,'On any combat or spell hit this spell may cast Glorious Rout on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(48547,146520,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,8),
(48548,146520,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,9),
(48549,146520,'Increases Crit Bonus of caster by 12.0%',100,2,10),
(48550,146520,'Must not be engaged in pvp combat',100,2,11),
(48551,146520,'Cannot be modified except by direct means',100,2,12),
(48552,146520,'Must not be engaged in pvp combat',100,1,13),
(48553,10146520,'When Equipped:',100,0,0),
(48554,10146520,'On a hostile spell cast this spell may cast Glorious Rout on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(48555,10146520,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,2),
(48556,10146520,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,3),
(48557,10146520,'Increases Crit Bonus of caster by 12.0%',100,2,4),
(48558,10146520,'Must not be engaged in pvp combat',100,2,5),
(48559,10146520,'Cannot be modified except by direct means',100,2,6),
(48560,10146520,'On any combat or spell hit this spell may cast Glorious Rout on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(48561,10146520,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,8),
(48562,10146520,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,9),
(48563,10146520,'Increases Crit Bonus of caster by 12.0%',100,2,10),
(48564,10146520,'Must not be engaged in pvp combat',100,2,11),
(48565,10146520,'Cannot be modified except by direct means',100,2,12),
(48566,10146520,'Must not be engaged in pvp combat',100,1,13),
(48567,113941,'Increases power of target by 80 instantly and every 4 seconds',100,1,0),
(48568,10113941,'Increases power of target by 80 instantly and every 4 seconds',100,1,0),
(48569,47185,'Applies Murky Elixir of Invigoration when Activated.',100,0,0),
(48570,47185,'Heals caster for 250',100,1,1),
(48571,47185,'Only affects targets level 50 and above',100,1,2),
(48572,10047185,'Applies Murky Elixir of Invigoration when Activated.',100,0,0),
(48573,10047185,'Heals caster for 162',100,1,1),
(48574,10047185,'Only affects targets level 50 and above',100,1,2),
(48575,119322,'Roots target',100,1,0),
(48576,119322,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(48577,119322,'Slows target by 53.5%',100,2,2),
(48578,119322,'5% chance to dispel when target receives hostile action',100,2,3),
(48579,119322,'5% chance to dispel when target takes damage',100,2,4),
(48580,119322,'15% chance to dispel when target takes damage',100,1,5),
(48581,119322,'Does not affect Epic targets',100,1,6),
(48582,119322,'Resistibility increases against targets higher than level 102.',100,1,7),
(48583,10119322,'Roots target',100,1,0),
(48584,10119322,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(48585,10119322,'Slows target by 53.5%',100,2,2),
(48586,10119322,'5% chance to dispel when target receives hostile action',100,2,3),
(48587,10119322,'5% chance to dispel when target takes damage',100,2,4),
(48588,10119322,'15% chance to dispel when target takes damage',100,1,5),
(48589,10119322,'Does not affect Epic targets',100,1,6),
(48590,10119322,'Resistibility increases against targets higher than level 102.',100,1,7),
(48591,119700,'Increases Threat to target encounter by 2,397 - 2,857 ',100,1,0),
(48592,10119700,'Prevents target encounter from changing targets',100,1,0),
(48593,10119700,'Forces target encounter to change their selected target to caster.',100,1,1),
(48594,76832,'Applies Siren''s Stare when Activated.  Lasts for 12 hours.',100,0,0),
(48595,76832,'Adds mental damage to a fighter''s single target and AE taunts.',100,1,1),
(48596,76832,'The reuse time of Siren''s Stare is 6.91 seconds',100,1,2),
(48597,76832,'When Equipped:',100,0,3),
(48598,76832,'Reduces the reuse timers of all spells by 10%',100,1,4),
(48599,76832,'On a damage spell hit this spell has a 12% chance to cast Siren''s Gift on the group.  Lasts for 10.0 seconds.  ',100,1,5),
(48600,76832,'Reduces the power cost of group members'' spells by 20%',100,2,6),
(48601,76832,'Cannot be modified except by direct means',100,2,7),
(48602,76832,'Cannot be modified except by direct means',100,1,8),
(48603,76832,'When Equipped:',100,0,9),
(48604,76832,'Removes the concentration cost of Possess Essence.',100,1,10),
(48605,76832,'Modifies mana flow to be group targeted.  Also reduces duration and fuel cost.',100,1,11),
(48606,10076832,'Applies Siren''s Stare when Activated.  Lasts for 12 hours.',100,0,0),
(48607,10076832,'Adds mental damage to a fighter''s single target and AE taunts.',100,1,1),
(48608,10076832,'The reuse time of Siren''s Stare is 6.91 seconds',100,1,2),
(48609,10076832,'When Equipped:',100,0,3),
(48610,10076832,'Reduces the reuse timers of all spells by 10%',100,1,4),
(48611,10076832,'On a damage spell hit this spell has a 12% chance to cast Siren''s Gift on the group.  Lasts for 10.0 seconds.  ',100,1,5),
(48612,10076832,'Reduces the power cost of group members'' spells by 20%',100,2,6),
(48613,10076832,'Cannot be modified except by direct means',100,2,7),
(48614,10076832,'Cannot be modified except by direct means',100,1,8),
(48615,10076832,'When Equipped:',100,0,9),
(48616,10076832,'Removes the concentration cost of Possess Essence.',100,1,10),
(48617,10076832,'Modifies mana flow to be group targeted.  Also reduces duration and fuel cost.',100,1,11),
(48618,123490,'Decreases Mitigation of target encounter vs noxious damage by 237',100,1,0),
(48619,10123490,'Decreases Mitigation of target encounter vs noxious damage by 237',100,1,0),
(48620,26483,'When Equipped:',100,0,0),
(48621,26483,'On a critical combat hit this spell may cast Prophetic Affliction on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(48622,26483,'Inflicts 5203 - 5751 mental damage on target',100,2,2),
(48623,26483,'Decreases Mitigation of target vs arcane damage by 816',100,2,3),
(48624,26483,'Must not be engaged in pvp combat',100,2,4),
(48625,26483,'Cannot be modified except by direct means',100,2,5),
(48626,26483,'On a critical spell hit this spell may cast Prophetic Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(48627,26483,'Inflicts 5203 - 5751 mental damage on target',100,2,7),
(48628,26483,'Decreases Mitigation of target vs arcane damage by 816',100,2,8),
(48629,26483,'Must not be engaged in pvp combat',100,2,9),
(48630,26483,'Cannot be modified except by direct means',100,2,10),
(48631,26483,'Must not be engaged in pvp combat',100,1,11),
(48632,10026483,'When Equipped:',100,0,0),
(48633,10026483,'On a critical combat hit this spell may cast Prophetic Affliction on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(48634,10026483,'Inflicts 5203 - 5751 mental damage on target',100,2,2),
(48635,10026483,'Decreases Mitigation of target vs arcane damage by 816',100,2,3),
(48636,10026483,'Must not be engaged in pvp combat',100,2,4),
(48637,10026483,'Cannot be modified except by direct means',100,2,5),
(48638,10026483,'On a critical spell hit this spell may cast Prophetic Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(48639,10026483,'Inflicts 5203 - 5751 mental damage on target',100,2,7),
(48640,10026483,'Decreases Mitigation of target vs arcane damage by 816',100,2,8),
(48641,10026483,'Must not be engaged in pvp combat',100,2,9),
(48642,10026483,'Cannot be modified except by direct means',100,2,10),
(48643,10026483,'Must not be engaged in pvp combat',100,1,11),
(48644,153274,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(48645,153274,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(48646,153274,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(48647,153274,'Cannot be modified except by direct means',100,2,3),
(48648,10153274,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(48649,10153274,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(48650,10153274,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(48651,10153274,'Cannot be modified except by direct means',100,2,3),
(48652,46774,'Applies Create Lenses when Activated.',100,0,0),
(48653,46774,'Summon 1 Minute Reflection Amplifiers',100,1,1),
(48654,46774,'This effect cannot be cast during combat',100,1,2),
(48655,10046774,'Applies Create Lenses when Activated.',100,0,0),
(48656,10046774,'Summon 1 Minute Reflection Amplifiers',100,1,1),
(48657,10046774,'This effect cannot be cast during combat',100,1,2),
(48658,109729,'Inflicts 1601 - 2657 cold damage on target',100,1,0),
(48659,109729,'If weapon equipped in Ranged',100,1,1),
(48660,10109729,'Inflicts 946 - 1442 cold damage on target',100,1,0),
(48661,10109729,'If weapon equipped in Ranged',100,1,1),
(48662,118686,'Inflicts 1510 - 3965 crushing damage on target',100,1,0),
(48663,10118686,'Inflicts 1207 - 2797 crushing damage on target',100,1,0),
(48664,46336,'Applies Eat pie when Activated.  Lasts for 5 minutes.',100,0,0),
(48665,46336,'Only the chef knows the secret of the recipe!',100,1,1),
(48666,10046336,'Applies Eat pie when Activated.  Lasts for 5 minutes.',100,0,0),
(48667,10046336,'Only the chef knows the secret of the recipe!',100,1,1),
(48668,36934,'Increases AGI of target by 10.5',100,0,0),
(48669,36934,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(48670,122948,'Inflicts 502 - 679 mental damage on target',100,1,0),
(48671,10122948,'Inflicts 431 - 583 mental damage on target',100,1,0),
(48672,123471,'Shapechanges caster into a bear',100,1,0),
(48673,123471,'Increases WIS of caster by 117.0',100,1,1),
(48674,123471,'Grants See Stealth to caster',100,1,2),
(48675,123471,'Increases Max Health of caster by 519.6',100,1,3),
(48676,123471,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',100,1,4),
(48677,10123471,'Shapechanges caster into a bear',100,1,0),
(48678,10123471,'Increases WIS of caster by 117.0',100,1,1),
(48679,10123471,'Grants See Stealth to caster',100,1,2),
(48680,10123471,'Increases Max Health of caster by 519.6',100,1,3),
(48681,10123471,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',100,1,4),
(48682,24421,'Adds Goblin-Sand (Guardian) to your Dungeon Maker toolbox',100,0,0),
(48683,10024421,'Adds Goblin-Sand (Guardian) to your Dungeon Maker toolbox',100,0,0),
(48684,49177,'Applies Xaliran''s Renewal when Activated.',100,0,0),
(48685,49177,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(48686,10049177,'Applies Xaliran''s Renewal when Activated.',100,0,0),
(48687,10049177,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(48688,101102,'Increases Mitigation of raid and group members (AE) vs arcane damage by 762',100,1,0),
(48689,10101102,'Increases Mitigation of raid and group members (AE) vs arcane damage by 762',100,1,0),
(48690,118896,'Inflicts 1861 - 2439 melee damage on target',100,1,0),
(48691,118896,'Inflicts 878 - 1457 melee damage on target',100,1,1),
(48692,118896,'Inflicts 878 - 1457 melee damage on target',100,1,2),
(48693,118896,'Inflicts 878 - 1457 melee damage on target',100,1,3),
(48694,118896,'Inflicts 878 - 1457 melee damage on target',100,1,4),
(48695,10118896,'Inflicts 1087 - 1543 melee damage on target',100,1,0),
(48696,10118896,'Inflicts 692 - 1148 melee damage on target',100,1,1),
(48697,10118896,'Inflicts 692 - 1148 melee damage on target',100,1,2),
(48698,10118896,'Inflicts 692 - 1148 melee damage on target',100,1,3),
(48699,10118896,'Inflicts 692 - 1148 melee damage on target',100,1,4),
(48700,119442,'Inflicts 299 piercing damage on target instantly and every 4 seconds',100,1,0),
(48701,119442,'Inflicts 996 - 1406 melee damage on target',100,1,1),
(48702,119442,'Must be flanking or behind',100,1,2),
(48703,10119442,'Inflicts 235 piercing damage on target instantly and every 4 seconds',100,1,0),
(48704,10119442,'Inflicts 722 - 937 melee damage on target',100,1,1),
(48705,10119442,'Must be flanking or behind',100,1,2),
(48706,75042,'Applies Poison Bolt when Activated.',100,0,0),
(48707,75042,'Inflicts 145 - 242 poison damage on target',100,1,1),
(48708,75042,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(48709,10075042,'Applies Poison Bolt when Activated.',100,0,0),
(48710,10075042,'Inflicts 145 - 242 poison damage on target',100,1,1),
(48711,10075042,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(48712,104084,'Inflicts 1907 - 2564 mental damage on target',100,1,0),
(48713,104084,'Inflicts 953 - 1581 mental damage on target',100,1,1),
(48714,10104084,'Inflicts 1146 - 1641 mental damage on target',100,1,0),
(48715,10104084,'Inflicts 751 - 1246 mental damage on target',100,1,1),
(48716,185628,'When Equipped:',100,0,0),
(48717,185628,'On a hostile spell cast this spell may cast Memory Lapse on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(48718,185628,'Decreases Threat to target by 500 ',100,2,2),
(48719,185628,'Cannot be modified except by direct means',100,2,3),
(48720,10185628,'When Equipped:',100,0,0),
(48721,10185628,'On a hostile spell cast this spell may cast Memory Lapse on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(48722,10185628,'Cannot be modified except by direct means',100,2,2),
(48723,74776,'When Equipped:',100,0,0),
(48724,74776,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48725,74776,'Inflicts 124 - 186 magic damage on target',100,2,2),
(48726,74776,'Cannot be modified except by direct means',100,2,3),
(48727,10074776,'When Equipped:',100,0,0),
(48728,10074776,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48729,10074776,'Inflicts 124 - 186 magic damage on target',100,2,2),
(48730,10074776,'Cannot be modified except by direct means',100,2,3),
(48731,45127,'Applies Unroll the Abyssal Carpet when Activated.',100,0,0),
(48732,45127,'Summons a mount to ride',100,1,1),
(48733,45127,'Increases your ground speed by 130%',100,2,2),
(48734,45127,'Reduces maximum falling speed of caster',100,1,3),
(48735,45127,'Increases Potency of caster by 1.0%',100,1,4),
(48736,45127,'Increases Max Health of caster by 200.0',100,1,5),
(48737,45127,'Increases Max Power of caster by 200.0',100,1,6),
(48738,10045127,'Applies Unroll the Abyssal Carpet when Activated.',100,0,0),
(48739,10045127,'Summons a mount to ride',100,1,1),
(48740,10045127,'Increases your ground speed by 130%',100,2,2),
(48741,10045127,'Reduces maximum falling speed of caster',100,1,3),
(48742,10045127,'Increases Potency of caster by 1.0%',100,1,4),
(48743,10045127,'Increases Max Health of caster by 200.0',100,1,5),
(48744,10045127,'Increases Max Power of caster by 200.0',100,1,6),
(48745,120872,'Wards target against 566 points of all damage',100,1,0),
(48746,10120872,'Wards target against 465 points of all damage',100,1,0),
(48747,103109,'Increases Max Health of caster by 5.0%',100,129,0),
(48748,103109,'Increases STR of caster by 28.3',100,1,1),
(48749,103109,'Adds 3.9% to base avoidance.',100,1,2),
(48750,103109,'Increases Mitigation of caster vs physical damage by 182',100,1,3),
(48751,103109,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 568',100,1,4),
(48752,10103109,'Increases Max Health of caster by 5.0%',100,129,0),
(48753,10103109,'Increases STR of caster by 28.3',100,1,1),
(48754,10103109,'Adds 3.9% to base avoidance.',100,1,2),
(48755,10103109,'Increases Mitigation of caster vs physical damage by 182',100,1,3),
(48756,10103109,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 568',100,1,4),
(48757,139696,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(48758,139696,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(48759,139696,'Cannot be modified except by direct means',100,1,2),
(48760,10139696,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(48761,10139696,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(48762,10139696,'Cannot be modified except by direct means',100,1,2),
(48763,36852,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(48764,107554,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(48765,107554,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1175',100,1,1),
(48766,10107554,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(48767,10107554,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1175',100,1,1),
(48768,100754,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(48769,100754,'Heals target for 1914',100,2,1),
(48770,100754,'Increases power of target by 442 every 6 seconds',100,2,2),
(48771,100754,'Wards target against 2355 points of all damage',100,2,3),
(48772,100754,'Grants a total of 1 trigger of the spell.',100,2,4),
(48773,10100754,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(48774,10100754,'Heals target for 980',100,2,1),
(48775,10100754,'Increases power of target by 348 every 6 seconds',100,2,2),
(48776,10100754,'Wards target against 1856 points of all damage',100,2,3),
(48777,10100754,'Grants a total of 1 trigger of the spell.',100,2,4),
(48778,24697,'Adds Skeleton (Wizard) to your Dungeon Maker toolbox',100,0,0),
(48779,10024697,'Adds Skeleton (Wizard) to your Dungeon Maker toolbox',100,0,0),
(48780,49043,'Applies Play Unstable Recording: ''Rothgar''s Theme'' when Activated.',100,0,0),
(48781,49043,'Play the recording of ''Rothgar''s Theme''.',100,1,1),
(48782,10049043,'Applies Play Unstable Recording: ''Rothgar''s Theme'' when Activated.',100,0,0),
(48783,10049043,'Play the recording of ''Rothgar''s Theme''.',100,1,1),
(48784,110792,'Heals group members (AE) for 1695 - 1998',100,1,0),
(48785,110792,'Heals group members (AE) for 1367 - 1671 every 2 seconds',100,1,1),
(48786,10110792,'Heals group members (AE) for 786 - 941',100,1,0),
(48787,10110792,'Heals group members (AE) for 700 - 856 every 2 seconds',100,1,1),
(48788,115511,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(48789,115511,'Increases Mitigation of group members (AE) vs noxious damage by 870',100,1,1),
(48790,10115511,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(48791,10115511,'Increases Mitigation of group members (AE) vs noxious damage by 870',100,1,1),
(48792,41599,'When Equipped:',100,0,0),
(48793,41599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48794,41599,'Inflicts 380 - 707 magic damage on target',100,2,2),
(48795,41599,'Cannot be modified except by direct means',100,2,3),
(48796,10041599,'When Equipped:',100,0,0),
(48797,10041599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48798,10041599,'Inflicts 380 - 707 magic damage on target',100,2,2),
(48799,10041599,'Cannot be modified except by direct means',100,2,3),
(48800,121604,'Stuns target encounter',100,1,0),
(48801,121604,'Epic targets gain an immunity to Stun effects of 19.1 seconds and duration is reduced to 2.1 seconds.',100,1,1),
(48802,121604,'Resistibility increases against targets higher than level 100.',100,1,2),
(48803,10121604,'Stuns target encounter',100,1,0),
(48804,10121604,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(48805,10121604,'Resistibility increases against targets higher than level 100.',100,1,2),
(48806,71906,'When Equipped:',100,0,0),
(48807,71906,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(48808,71906,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(48809,71906,'Cannot be modified except by direct means',100,2,3),
(48810,10071906,'When Equipped:',100,0,0),
(48811,10071906,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(48812,10071906,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(48813,10071906,'Cannot be modified except by direct means',100,2,3),
(48814,82723,'When Equipped:',100,0,0),
(48815,82723,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48816,82723,'Inflicts 189 - 352 magic damage on target',100,2,2),
(48817,82723,'Cannot be modified except by direct means',100,2,3),
(48818,10082723,'When Equipped:',100,0,0),
(48819,10082723,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(48820,10082723,'Inflicts 189 - 352 magic damage on target',100,2,2),
(48821,10082723,'Cannot be modified except by direct means',100,2,3),
(48822,138345,'When Equipped:',100,0,0),
(48823,138345,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(48824,138345,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(48825,138345,'Heals caster for 816 - 1224',100,2,3),
(48826,138345,'Cannot be modified except by direct means',100,2,4),
(48827,138345,'Cannot be modified except by direct means',100,1,5),
(48828,10138345,'When Equipped:',100,0,0),
(48829,10138345,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(48830,10138345,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(48831,10138345,'Heals caster for 955 - 1432',100,2,3),
(48832,10138345,'Cannot be modified except by direct means',100,2,4),
(48833,10138345,'Cannot be modified except by direct means',100,1,5),
(48834,119372,'Decreases threat priority of target by 1 position',100,1,0),
(48835,119372,'Decreases Threat to target by 379 ',100,1,1),
(48836,119372,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(48837,119372,'Grants stealth to caster',100,2,3),
(48838,119372,'Suspends caster''s movement speed enhancements',100,2,4),
(48839,10119372,'Applies Distract.',100,1,0),
(48840,10119372,'Forces target to clear their selected target.',100,2,1),
(48841,10119372,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(48842,10119372,'Grants stealth to caster',100,2,3),
(48843,10119372,'Suspends caster''s movement speed enhancements',100,2,4),
(48844,104875,'Inflicts 221 - 367 magic damage on targets in area',100,1,0),
(48845,10104875,'Inflicts 178 - 295 magic damage on targets in area',100,1,0),
(48846,124516,'Inflicts 42 - 69 melee damage on target',100,1,0),
(48847,124516,'If facing target',100,1,1),
(48848,10124516,'Inflicts 33 - 55 melee damage on target',100,1,0),
(48849,10124516,'If facing target',100,1,1),
(48850,47677,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(48851,47677,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(48852,47677,'Inflicts 203 poison damage on target instantly and every 6 seconds',100,2,2),
(48853,47677,'Inflicts 77 poison damage on target',100,2,3),
(48854,47677,'Cannot be modified except by direct means',100,2,4),
(48855,47677,'Grants a total of 200 triggers of the spell.',100,2,5),
(48856,10047677,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(48857,10047677,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(48858,10047677,'Inflicts 58 poison damage on target',100,2,2),
(48859,10047677,'Inflicts 152 poison damage on target instantly and every 6 seconds',100,2,3),
(48860,10047677,'Cannot be modified except by direct means',100,2,4),
(48861,10047677,'Grants a total of 200 triggers of the spell.',100,2,5),
(48862,112695,'Increases Parry of group members (AE) by 53.3',100,1,0),
(48863,10112695,'Increases Parry of group members (AE) by 53.3',100,1,0),
(48864,120320,'Increases Threat to target by 3,379 - 3,911 ',100,1,0),
(48865,10120320,'Forces target to change their selected target to caster.',100,1,0),
(48866,10120320,'Prevents target from changing targets',100,1,1),
(48867,175835,'When Equipped:',100,0,0),
(48868,175835,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(48869,10175835,'When Equipped:',100,0,0),
(48870,10175835,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(48871,105776,'Inflicts 746 - 911 heat damage on target',100,1,0),
(48872,10105776,'Inflicts 767 - 938 heat damage on target',100,1,0),
(48873,173435,'When Equipped:',100,0,0),
(48874,173435,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(48875,10173435,'When Equipped:',100,0,0),
(48876,10173435,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(48877,86500,'Applies Holy Strike when Activated.',100,0,0),
(48878,86500,'Inflicts 346 - 576 divine damage on target',100,1,1),
(48879,86500,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(48880,10086500,'Applies Holy Strike when Activated.',100,0,0),
(48881,10086500,'Inflicts 346 - 576 divine damage on target',100,1,1),
(48882,10086500,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(48883,46965,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(48884,46965,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(48885,46965,'Inflicts 262 poison damage on target',100,2,2),
(48886,46965,'Inflicts 43 poison damage on target instantly and every 6 seconds',100,2,3),
(48887,46965,'Cannot be modified except by direct means',100,2,4),
(48888,46965,'Grants a total of 200 triggers of the spell.',100,2,5),
(48889,10046965,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(48890,10046965,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(48891,10046965,'Inflicts 196 poison damage on target',100,2,2),
(48892,10046965,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,3),
(48893,10046965,'Cannot be modified except by direct means',100,2,4),
(48894,10046965,'Grants a total of 200 triggers of the spell.',100,2,5),
(48895,111698,'Inflicts 3409 - 3949 cold damage on target',100,1,0),
(48896,111698,'Inflicts 2427 - 2966 cold damage on target',100,1,1),
(48897,111698,'If target is elemental',100,2,2),
(48898,10111698,'Inflicts 2034 - 2398 cold damage on target',100,1,0),
(48899,24538,'Adds Mistmoore: Long Marble Bench to your Dungeon Maker toolbox',100,0,0),
(48900,10024538,'Adds Mistmoore: Long Marble Bench to your Dungeon Maker toolbox',100,0,0),
(48901,35060,'Increases WIS of target by 4.5',100,0,0),
(48902,35060,'Increases Out-of-Combat Health Regeneration of target by 76.0',100,0,1),
(48903,107858,'Decreases Mitigation of target vs elemental damage by 1036',100,1,0),
(48904,107858,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(48905,107858,'Slows target by 52.4%',100,2,2),
(48906,107858,'5% chance to dispel when target receives hostile action',100,2,3),
(48907,107858,'5% chance to dispel when target takes damage',100,2,4),
(48908,10107858,'Decreases Mitigation of target vs elemental damage by 1036',100,1,0),
(48909,10107858,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(48910,10107858,'Slows target by 52.4%',100,2,2),
(48911,10107858,'5% chance to dispel when target receives hostile action',100,2,3),
(48912,10107858,'5% chance to dispel when target takes damage',100,2,4),
(48913,175125,'Applies Sacrilege when Equipped.',100,0,0),
(48914,175125,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(48915,10175125,'Applies Sacrilege when Equipped.',100,0,0),
(48916,10175125,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(48917,103926,'Wards group members (AE) collectively against 5838 total points of all damage',100,1,0),
(48918,10103926,'Wards group members (AE) collectively against 6211 total points of all damage',100,1,0),
(48919,143627,'When Equipped:',100,0,0),
(48920,143627,'Wards caster against 506 points of noxious damage',100,1,1),
(48921,143627,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(48922,143627,'Inflicts 253 disease damage on target',100,2,3),
(48923,143627,'Inflicts 253 poison damage on target',100,2,4),
(48924,143627,'Cannot be modified except by direct means',100,2,5),
(48925,10143627,'When Equipped:',100,0,0),
(48926,10143627,'Wards caster against 506 points of noxious damage',100,1,1),
(48927,10143627,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(48928,10143627,'Inflicts 253 disease damage on target',100,2,3),
(48929,10143627,'Inflicts 253 poison damage on target',100,2,4),
(48930,10143627,'Cannot be modified except by direct means',100,2,5),
(48931,124629,'Heals group members (AE) for 1467 - 1720',100,1,0),
(48932,124629,'Heals group members (AE) for 192 - 235 every second',100,1,1),
(48933,10124629,'Heals group members (AE) for 1397 - 1689',100,1,0),
(48934,10124629,'Heals group members (AE) for 164 - 200 every second',100,1,1),
(48935,138000,'When Equipped:',100,0,0),
(48936,138000,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(48937,138000,'Inflicts 1986 magic damage on target',100,2,2),
(48938,138000,'Cannot be modified except by direct means',100,2,3),
(48939,10138000,'When Equipped:',100,0,0),
(48940,10138000,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(48941,10138000,'Inflicts 993 magic damage on target',100,2,2),
(48942,10138000,'Cannot be modified except by direct means',100,2,3),
(48943,120283,'Swaps your current hate position with your target''s hate position.',100,1,0),
(48944,120283,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(48945,120283,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(48946,120283,'Cannot be modified except by direct means',100,2,3),
(48947,120283,'Decreases Threat to target by 5,550 ',100,1,4),
(48948,120283,'If profession other than Fighter',100,2,5),
(48949,120283,'Increases Threat to target by 8,805 ',100,1,6),
(48950,120283,'If Fighter',100,2,7),
(48951,120283,'Must be engaged in combat',100,1,8),
(48952,120283,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(48953,10120283,'Forces target to clear their selected target.',100,1,0),
(48954,10120283,'Must be engaged in combat',100,1,1),
(48955,10120283,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(48956,48136,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(48957,48136,'Increases STR of caster by 92.1',100,1,1),
(48958,10048136,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(48959,10048136,'Increases STR of caster by 92.1',100,1,1),
(48960,113155,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,0),
(48961,113155,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(48962,113155,'Inflicts 1580 disease damage on target',100,2,2),
(48963,113155,'Heals caster for 577',100,2,3),
(48964,113155,'Shapechanges caster into a necrolich',100,1,4),
(48965,10113155,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,0),
(48966,10113155,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(48967,10113155,'Inflicts 1245 disease damage on target',100,2,2),
(48968,10113155,'Heals caster for 532',100,2,3),
(48969,10113155,'Shapechanges caster into a necrolich',100,1,4),
(48970,35673,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(48971,104959,'Inflicts 6320 - 9834 melee damage on target',100,1,0),
(48972,104959,'Decreases Defense of target by 54.2',100,1,1),
(48973,104959,'Must be behind',100,1,2),
(48974,10104959,'Inflicts 4601 - 7371 melee damage on target',100,1,0),
(48975,10104959,'Decreases Defense of target by 54.2',100,1,1),
(48976,10104959,'Must be behind',100,1,2),
(48977,121548,'Inflicts 748 - 1241 melee damage on targets in area',100,1,0),
(48978,121548,'Stuns target encounter',100,1,1),
(48979,121548,'If Target is not Epic',100,2,2),
(48980,121548,'Resistibility increases against targets higher than level 61.',100,1,3),
(48981,10121548,'Inflicts 590 - 970 melee damage on targets in area',100,1,0),
(48982,10121548,'Stuns target encounter',100,1,1),
(48983,10121548,'If Target is not Epic',100,2,2),
(48984,10121548,'Resistibility increases against targets higher than level 61.',100,1,3),
(48985,24061,'Adds Burynai (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(48986,10024061,'Adds Burynai (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(48987,119100,'Inflicts 803 - 1751 melee damage on targets in area',100,1,0),
(48988,119100,'Inflicts 481 - 1423 melee damage on targets in area',100,1,1),
(48989,119100,'Inflicts 481 - 1423 melee damage on targets in area',100,1,2),
(48990,119100,'Inflicts 481 - 1423 melee damage on targets in area',100,1,3),
(48991,10119100,'Inflicts 511 - 1253 melee damage on targets in area',100,1,0),
(48992,10119100,'Inflicts 379 - 1122 melee damage on targets in area',100,1,1),
(48993,10119100,'Inflicts 379 - 1122 melee damage on targets in area',100,1,2),
(48994,10119100,'Inflicts 379 - 1122 melee damage on targets in area',100,1,3),
(48995,147028,'When Equipped:',100,0,0),
(48996,147028,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(48997,147028,'Decreases Threat to target by 350 ',100,2,2),
(48998,147028,'Cannot be modified except by direct means',100,2,3),
(48999,10147028,'When Equipped:',100,0,0),
(49000,10147028,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49001,10147028,'Cannot be modified except by direct means',100,2,2),
(49002,100516,'Increases Attack Speed of group members (AE) by 20.3',100,1,0),
(49003,10100516,'Increases Attack Speed of group members (AE) by 20.3',100,1,0),
(49004,116932,'Increases Threat to target by 185 - 226 ',100,1,0),
(49005,116932,'Interrupts target',100,1,1),
(49006,10116932,'Forces target to change their selected target to caster.',100,1,0),
(49007,10116932,'Interrupts target',100,1,1),
(49008,10116932,'Prevents target from changing targets',100,1,2),
(49009,121305,'Inflicts 668 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(49010,121305,'Inflicts 2544 - 4003 melee damage on targets in area',100,1,1),
(49011,121305,'You must be in stealth or have Bloody Assault.',100,1,2),
(49012,10121305,'Inflicts 527 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(49013,10121305,'Inflicts 1878 - 3028 melee damage on targets in area',100,1,1),
(49014,10121305,'You must be in stealth or have Bloody Assault.',100,1,2),
(49015,45005,'Applies Create Badge when Activated.',100,0,0),
(49016,45005,'Summon 1 Badge of Commendation',100,1,1),
(49017,10045005,'Applies Create Badge when Activated.',100,0,0),
(49018,10045005,'Summon 1 Badge of Commendation',100,1,1),
(49019,104566,'Inflicts 1511 - 2506 disease damage on target',100,1,0),
(49020,104566,'Decreases WIS of target by 70.1',100,1,1),
(49021,10104566,'Inflicts 1188 - 1711 disease damage on target',100,1,0),
(49022,10104566,'Decreases WIS of target by 70.1',100,1,1),
(49023,114160,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(49024,114160,'Heals target for 2526',100,2,1),
(49025,114160,'Grants a total of 1 trigger of the spell.',100,2,2),
(49026,10114160,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(49027,10114160,'Heals target for 1212',100,2,1),
(49028,10114160,'Grants a total of 1 trigger of the spell.',100,2,2),
(49029,120474,'Inflicts 3192 - 4649 ranged damage on target',100,1,0),
(49030,120474,'Slows target by 74.2%',100,1,1),
(49031,120474,'10% chance to dispel when target receives hostile action',100,1,2),
(49032,120474,'Requires bow',100,1,3),
(49033,10120474,'Inflicts 1592 - 2383 ranged damage on target',100,1,0),
(49034,10120474,'Slows target by 74.2%',100,1,1),
(49035,10120474,'10% chance to dispel when target receives hostile action',100,1,2),
(49036,10120474,'Requires bow',100,1,3),
(49037,110034,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(49038,110034,'Inflicts 1256 - 2093 disease damage on target',100,2,1),
(49039,110034,'Heals caster for 2.7 - 4.5% of max health',100,2,2),
(49040,110034,'This effect cannot be critically applied.',100,3,3),
(49041,110034,'The healing of this spell cannot be modified except by direct means',100,2,4),
(49042,10110034,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(49043,10110034,'Inflicts 990 - 1649 disease damage on target',100,2,1),
(49044,10110034,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(49045,10110034,'This effect cannot be critically applied.',100,3,3),
(49046,10110034,'The healing of this spell cannot be modified except by direct means',100,2,4),
(49047,81664,'When Equipped:',100,0,0),
(49048,81664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49049,81664,'Inflicts 196 - 364 magic damage on target',100,2,2),
(49050,81664,'Cannot be modified except by direct means',100,2,3),
(49051,10081664,'When Equipped:',100,0,0),
(49052,10081664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49053,10081664,'Inflicts 196 - 364 magic damage on target',100,2,2),
(49054,10081664,'Cannot be modified except by direct means',100,2,3),
(49055,115989,'Inflicts 3503 - 4763 mental damage on target',100,1,0),
(49056,115989,'Stuns target',100,1,1),
(49057,115989,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(49058,115989,'Resistibility increases against targets higher than level 98.',100,1,3),
(49059,10115989,'Stuns target',100,1,0),
(49060,10115989,'Inflicts 2381 - 3374 mental damage on target',100,1,1),
(49061,10115989,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(49062,10115989,'Resistibility increases against targets higher than level 98.',100,1,3),
(49063,141921,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(49064,141921,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(49065,141921,'Inflicts 18 heat damage on target',100,2,2),
(49066,141921,'Cannot be modified except by direct means',100,2,3),
(49067,10141921,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(49068,10141921,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(49069,10141921,'Inflicts 18 heat damage on target',100,2,2),
(49070,10141921,'Cannot be modified except by direct means',100,2,3),
(49071,105016,'Increases WIS of raid and group members (AE) by 11.2',100,1,0),
(49072,105016,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(49073,105016,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 41',100,1,2),
(49074,10105016,'Increases WIS of raid and group members (AE) by 11.2',100,1,0),
(49075,10105016,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(49076,10105016,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 41',100,1,2),
(49077,36540,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(49078,36540,'This effect suspends during combat',100,0,1),
(49079,136203,'When Equipped:',100,0,0),
(49080,136203,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(49081,136203,'Increases Threat to target by 1,460 ',100,2,2),
(49082,136203,'Cannot be modified except by direct means',100,2,3),
(49083,10136203,'When Equipped:',100,0,0),
(49084,10136203,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(49085,10136203,'Cannot be modified except by direct means',100,2,2),
(49086,109661,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(49087,109661,'Inflicts 292 - 543 poison damage on target encounter',100,2,1),
(49088,10109661,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(49089,10109661,'Inflicts 230 - 428 poison damage on target encounter',100,2,1),
(49090,119291,'Inflicts 1643 - 2079 slashing damage on target',100,1,0),
(49091,119291,'Decreases Damage Per Second of target by 25.2',100,1,1),
(49092,119291,'Inflicts 878 slashing damage on target instantly and every 4 seconds',100,1,2),
(49093,10119291,'Inflicts 915 - 1259 slashing damage on target',100,1,0),
(49094,10119291,'Decreases Damage Per Second of target by 25.2',100,1,1),
(49095,10119291,'Inflicts 692 slashing damage on target instantly and every 4 seconds',100,1,2),
(49096,46935,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(49097,46935,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(49098,46935,'Decreases INT and WIS of target by 23.1',100,2,2),
(49099,46935,'Cannot be modified except by direct means',100,2,3),
(49100,46935,'Grants a total of 30 triggers of the spell.',100,2,4),
(49101,10046935,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(49102,10046935,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(49103,10046935,'Decreases INT and WIS of target by 23.1',100,2,2),
(49104,10046935,'Cannot be modified except by direct means',100,2,3),
(49105,10046935,'Grants a total of 30 triggers of the spell.',100,2,4),
(49106,35646,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(49107,103369,'Decreases power of target by 105 instantly and every 6 seconds',100,1,0),
(49108,103369,'Inflicts 1399 - 1492 mental damage on target',100,1,1),
(49109,103369,'Inflicts 417 - 509 mental damage on target every 6 seconds',100,1,2),
(49110,103369,'Increases power of caster by 93',100,1,3),
(49111,10103369,'Decreases power of target by 82 instantly and every 6 seconds',100,1,0),
(49112,10103369,'Inflicts 723 - 796 mental damage on target',100,1,1),
(49113,10103369,'Inflicts 329 - 402 mental damage on target every 6 seconds',100,1,2),
(49114,10103369,'Increases power of caster by 93',100,1,3),
(49115,72069,'When Equipped:',100,0,0),
(49116,72069,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49117,72069,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(49118,72069,'Cannot be modified except by direct means',100,2,3),
(49119,10072069,'When Equipped:',100,0,0),
(49120,10072069,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49121,10072069,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(49122,10072069,'Cannot be modified except by direct means',100,2,3),
(49123,120325,'Increases Threat to target by 3,852 - 4,276 ',100,1,0),
(49124,10120325,'Forces target to change their selected target to caster.',100,1,0),
(49125,10120325,'Prevents target from changing targets',100,1,1),
(49126,116651,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(49127,116651,'Increases Attack Speed of caster by 21.0',100,130,1),
(49128,116651,'Increases Ranged, Piercing, Slashing and Crushing of caster by 4.5',100,130,2),
(49129,116651,'Inflicts 294 - 488 melee damage on target',100,1,3),
(49130,116651,'Decreases Defense of target by 1.7',100,1,4),
(49131,116651,'If facing target',100,1,5),
(49132,10116651,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(49133,10116651,'Increases Attack Speed of caster by 21.0',100,130,1),
(49134,10116651,'Increases Ranged, Piercing, Slashing and Crushing of caster by 4.5',100,130,2),
(49135,10116651,'Inflicts 235 - 390 melee damage on target',100,1,3),
(49136,10116651,'Decreases Defense of target by 1.7',100,1,4),
(49137,10116651,'If facing target',100,1,5),
(49138,116041,'Shapechanges caster into a lion',100,1,0),
(49139,116041,'Increases STA of caster by 47.2',100,1,1),
(49140,116041,'Adds 2.8% to base avoidance.',100,1,2),
(49141,116041,'Grants See Stealth to caster',100,1,3),
(49142,116041,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 775',100,1,4),
(49143,10116041,'Shapechanges caster into a lion',100,1,0),
(49144,10116041,'Increases STA of caster by 47.2',100,1,1),
(49145,10116041,'Adds 2.8% to base avoidance.',100,1,2),
(49146,10116041,'Grants See Stealth to caster',100,1,3),
(49147,10116041,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 775',100,1,4),
(49148,70919,'When Equipped:',100,0,0),
(49149,70919,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(49150,70919,'Inflicts 289 - 481 heat damage on target',100,2,2),
(49151,70919,'Cannot be modified except by direct means',100,2,3),
(49152,10070919,'When Equipped:',100,0,0),
(49153,10070919,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(49154,10070919,'Inflicts 289 - 481 heat damage on target',100,2,2),
(49155,10070919,'Cannot be modified except by direct means',100,2,3),
(49156,147315,'Applies Deepwater Purity when Activated.  Lasts for 20.0 seconds.',100,0,0),
(49157,147315,'On a healing spell cast this spell will cast Deepwater Purity on target of spell cast.  ',100,1,1),
(49158,147315,'Dispels 120 levels of any hostile effects on target',100,2,2),
(49159,147315,'Cannot be modified except by direct means',100,2,3),
(49160,147315,'Increases Potency of caster by 10.0%',100,1,4),
(49161,147315,'Cannot be modified except by direct means',100,1,5),
(49162,147315,'The reuse time of Deepwater Purity is 5 minutes',100,1,6),
(49163,10147315,'Applies Deepwater Purity when Activated.  Lasts for 20.0 seconds.',100,0,0),
(49164,10147315,'On a healing spell cast this spell will cast Deepwater Purity on target of spell cast.  ',100,1,1),
(49165,10147315,'Dispels 120 levels of any hostile effects on target',100,2,2),
(49166,10147315,'Cannot be modified except by direct means',100,2,3),
(49167,10147315,'Increases Potency of caster by 10.0%',100,1,4),
(49168,10147315,'Cannot be modified except by direct means',100,1,5),
(49169,10147315,'The reuse time of Deepwater Purity is 5 minutes',100,1,6),
(49170,112784,'Interrupts target',100,1,0),
(49171,112784,'Inflicts 3058 - 4442 divine damage on target',100,1,1),
(49172,10112784,'Interrupts target',100,1,0),
(49173,10112784,'Inflicts 2031 - 3121 divine damage on target',100,1,1),
(49174,114385,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(49175,114385,'Increases Attack Speed of caster by 21.0',100,130,1),
(49176,114385,'Increases Ranged, Piercing, Slashing and Crushing of caster by 35.7',100,130,2),
(49177,114385,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(49178,114385,'Stuns target',100,2,4),
(49179,114385,'Throws target back',100,2,5),
(49180,114385,'Blurs vision of target',100,2,6),
(49181,114385,'Does not affect Epic targets',100,2,7),
(49182,114385,'Inflicts 2719 - 3862 crushing damage on target',100,1,8),
(49183,10114385,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(49184,10114385,'Increases Attack Speed of caster by 21.0',100,130,1),
(49185,10114385,'Increases Ranged, Piercing, Slashing and Crushing of caster by 35.7',100,130,2),
(49186,10114385,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(49187,10114385,'Stuns target',100,2,4),
(49188,10114385,'Throws target back',100,2,5),
(49189,10114385,'Blurs vision of target',100,2,6),
(49190,10114385,'Does not affect Epic targets',100,2,7),
(49191,10114385,'Inflicts 1781 - 2695 crushing damage on target',100,1,8),
(49192,122652,'Decreases Defense of target by 3.6',100,1,0),
(49193,122652,'Decreases Mitigation of target vs physical damage by 81',100,1,1),
(49194,10122652,'Decreases Defense of target by 3.6',100,1,0),
(49195,10122652,'Decreases Mitigation of target vs physical damage by 81',100,1,1),
(49196,107364,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(49197,107364,'Increases Threat to target by 2,897 ',100,2,1),
(49198,10107364,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(49199,10107364,'Inflicts 364 - 402 crushing damage on target',100,2,1),
(49200,122954,'Inflicts 3011 - 3727 mental damage on target',100,1,0),
(49201,10122954,'Inflicts 1994 - 2558 mental damage on target',100,1,0),
(49202,110734,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(49203,110734,'Heals group members (AE) for 4212',100,2,1),
(49204,10110734,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(49205,10110734,'Heals group members (AE) for 2131',100,2,1),
(49206,102934,'Inflicts 1204 - 1254 disease damage on target',100,1,0),
(49207,102934,'Inflicts 222 - 271 disease damage on target every 4 seconds',100,1,1),
(49208,10102934,'Inflicts 622 - 672 disease damage on target',100,1,0),
(49209,10102934,'Inflicts 175 - 214 disease damage on target every 4 seconds',100,1,1),
(49210,143517,'When Equipped:',100,0,0),
(49211,143517,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49212,143517,'Wards target against 1000 points of all damage',100,2,2),
(49213,143517,'Cannot be modified except by direct means',100,2,3),
(49214,143517,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(49215,10143517,'When Equipped:',100,0,0),
(49216,10143517,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49217,10143517,'Wards target against 1000 points of all damage',100,2,2),
(49218,10143517,'Cannot be modified except by direct means',100,2,3),
(49219,10143517,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(49220,85112,'When Equipped:',100,0,0),
(49221,85112,'On a melee hit this spell has a 5% chance to cast Wavering Belief on target of attack.  Lasts for 8.0 seconds.  ',100,1,1),
(49222,85112,'Decreases WIS of caster by 32.6',100,2,2),
(49223,85112,'Cannot be modified except by direct means',100,2,3),
(49224,10085112,'When Equipped:',100,0,0),
(49225,10085112,'On a melee hit this spell has a 5% chance to cast Wavering Belief on target of attack.  Lasts for 8.0 seconds.  ',100,1,1),
(49226,10085112,'Decreases WIS of caster by 32.6',100,2,2),
(49227,10085112,'Cannot be modified except by direct means',100,2,3),
(49228,116688,'Heals group members (AE) for 12.3 - 15.1% of max health',100,1,0),
(49229,116688,'This effect cannot be critically applied.',100,2,1),
(49230,116688,'Increases Max Health of group members (AE) by 642.9',100,1,2),
(49231,116688,'The healing of this spell cannot be modified except by direct means',100,1,3),
(49232,10116688,'Heals group members (AE) for 3.9 - 4.7% of max health',100,1,0),
(49233,10116688,'This effect cannot be critically applied.',100,2,1),
(49234,10116688,'Increases Max Health of group members (AE) by 642.9',100,1,2),
(49235,10116688,'The healing of this spell cannot be modified except by direct means',100,1,3),
(49236,36814,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(49237,116193,'Inflicts 3581 - 5314 mental damage on target',100,1,0),
(49238,10116193,'Inflicts 2443 - 3809 mental damage on target',100,1,0),
(49239,107809,'Increases Threat to target encounter by 4,258 - 4,844 ',100,1,0),
(49240,10107809,'Prevents target encounter from changing targets',100,1,0),
(49241,10107809,'Forces target encounter to change their selected target to caster.',100,1,1),
(49242,109249,'Increases INT and WIS of group members (AE) by 39.4',100,1,0),
(49243,109249,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 111',100,1,1),
(49244,10109249,'Increases INT and WIS of group members (AE) by 39.4',100,1,0),
(49245,10109249,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 111',100,1,1),
(49246,41551,'When Equipped:',100,0,0),
(49247,41551,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49248,41551,'Decreases Threat to target by 352 ',100,2,2),
(49249,41551,'Must be flanking or behind',100,3,3),
(49250,41551,'Increases Threat to target by 617 ',100,2,4),
(49251,41551,'Must be in front of',100,3,5),
(49252,41551,'Inflicts 155 - 288 magic damage on target',100,2,6),
(49253,41551,'Cannot be modified except by direct means',100,2,7),
(49254,10041551,'When Equipped:',100,0,0),
(49255,10041551,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49256,10041551,'Inflicts 155 - 288 magic damage on target',100,2,2),
(49257,10041551,'Cannot be modified except by direct means',100,2,3),
(49258,71557,'When Equipped:',100,0,0),
(49259,71557,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49260,71557,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(49261,71557,'Cannot be modified except by direct means',100,2,3),
(49262,10071557,'When Equipped:',100,0,0),
(49263,10071557,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49264,10071557,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(49265,10071557,'Cannot be modified except by direct means',100,2,3),
(49266,45137,'Applies Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(49267,45137,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(49268,45137,'Inflicts 138 poison damage on target instantly and every 6 seconds',100,2,2),
(49269,45137,'Inflicts 847 poison damage on target',100,2,3),
(49270,45137,'Cannot be modified except by direct means',100,2,4),
(49271,45137,'Grants a total of 200 triggers of the spell.',100,2,5),
(49272,45137,'Only affects targets level 50 and above',100,1,6),
(49273,10045137,'Applies Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(49274,10045137,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(49275,10045137,'Inflicts 635 poison damage on target',100,2,2),
(49276,10045137,'Inflicts 104 poison damage on target instantly and every 6 seconds',100,2,3),
(49277,10045137,'Cannot be modified except by direct means',100,2,4),
(49278,10045137,'Grants a total of 200 triggers of the spell.',100,2,5),
(49279,10045137,'Only affects targets level 50 and above',100,1,6),
(49280,107864,'Decreases Mitigation of target vs elemental damage by 1428',100,1,0),
(49281,107864,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(49282,107864,'Slows target by 56.3%',100,2,2),
(49283,107864,'5% chance to dispel when target receives hostile action',100,2,3),
(49284,107864,'5% chance to dispel when target takes damage',100,2,4),
(49285,10107864,'Decreases Mitigation of target vs elemental damage by 1428',100,1,0),
(49286,10107864,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(49287,10107864,'Slows target by 56.3%',100,2,2),
(49288,10107864,'5% chance to dispel when target receives hostile action',100,2,3),
(49289,10107864,'5% chance to dispel when target takes damage',100,2,4),
(49290,104165,'Increases Threat to target encounter by 826 - 1,010 ',100,1,0),
(49291,104165,'Interrupts target encounter',100,1,1),
(49292,10104165,'Forces target encounter to change their selected target to caster.',100,1,0),
(49293,10104165,'Interrupts target encounter',100,1,1),
(49294,10104165,'Prevents target encounter from changing targets',100,1,2),
(49295,124254,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(49296,124254,'Increases Attack Speed of target by 12.5',100,2,1),
(49297,124254,'Increases Damage Per Second of target by 12.5',100,2,2),
(49298,124254,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(49299,124254,'Increases Attack Speed of target by 12.5',100,2,4),
(49300,124254,'Increases Damage Per Second of target by 12.5',100,2,5),
(49301,124254,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(49302,124254,'Increases Attack Speed of target by 12.5',100,2,7),
(49303,124254,'Increases Damage Per Second of target by 12.5',100,2,8),
(49304,10124254,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(49305,10124254,'Increases Attack Speed of target by 12.5',100,2,1),
(49306,10124254,'Increases Damage Per Second of target by 12.5',100,2,2),
(49307,10124254,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(49308,10124254,'Increases Attack Speed of target by 12.5',100,2,4),
(49309,10124254,'Increases Damage Per Second of target by 12.5',100,2,5),
(49310,10124254,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(49311,10124254,'Increases Attack Speed of target by 12.5',100,2,7),
(49312,10124254,'Increases Damage Per Second of target by 12.5',100,2,8),
(49313,82713,'Applies Imbued Smite when Equipped.',100,0,0),
(49314,82713,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(49315,82713,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(49316,82713,'Cannot be modified except by direct means',100,2,3),
(49317,82713,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(49318,82713,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(49319,82713,'Cannot be modified except by direct means',100,2,6),
(49320,10082713,'Applies Imbued Smite when Equipped.',100,0,0),
(49321,10082713,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(49322,10082713,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(49323,10082713,'Cannot be modified except by direct means',100,2,3),
(49324,10082713,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(49325,10082713,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(49326,10082713,'Cannot be modified except by direct means',100,2,6),
(49327,106617,'Inflicts 1309 - 1600 disease damage on target',100,1,0),
(49328,106617,'Heals caster for 5.9 - 7.3% of max health',100,1,1),
(49329,106617,'This effect cannot be critically applied.',100,2,2),
(49330,106617,'The healing of this spell cannot be modified except by direct means',100,1,3),
(49331,10106617,'Inflicts 1022 - 1206 disease damage on target',100,1,0),
(49332,10106617,'Heals caster for 2.0 - 2.4% of max health',100,1,1),
(49333,10106617,'This effect cannot be critically applied.',100,2,2),
(49334,10106617,'The healing of this spell cannot be modified except by direct means',100,1,3),
(49335,47241,'Applies Griblok''s Restoration  when Activated.',100,0,0),
(49336,47241,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(49337,10047241,'Applies Griblok''s Restoration  when Activated.',100,0,0),
(49338,10047241,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(49339,157562,'When Equipped:',100,0,0),
(49340,157562,'Increases Attack Speed of caster by 35.0',100,1,1),
(49341,10157562,'When Equipped:',100,0,0),
(49342,10157562,'Increases Attack Speed of caster by 35.0',100,1,1),
(49343,112602,'Increases STA of caster by 25.9',100,1,0),
(49344,112602,'Reduces slow effects on caster by 12.0%',100,1,1),
(49345,112602,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 691',100,1,2),
(49346,10112602,'Increases STA of caster by 25.9',100,1,0),
(49347,10112602,'Reduces slow effects on caster by 12.0%',100,1,1),
(49348,10112602,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 691',100,1,2),
(49349,36093,'Increases INT and WIS of target by 13.2',100,0,0),
(49350,36093,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(49351,112705,'Inflicts 520 - 866 disease damage on target encounter',100,1,0),
(49352,10112705,'Inflicts 425 - 709 disease damage on target encounter',100,1,0),
(49353,70556,'When Equipped:',100,0,0),
(49354,70556,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(49355,70556,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(49356,70556,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(49357,70556,'Heals caster for 1185 - 1309',100,2,4),
(49358,70556,'Decreases Crushing, Piercing, Ranged and Slashing of target by 22.0',100,2,5),
(49359,70556,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(49360,70556,'Must not be engaged in pvp combat',100,2,7),
(49361,70556,'Cannot be modified except by direct means',100,2,8),
(49362,70556,'Cannot be modified except by direct means',100,1,9),
(49363,70556,'When Equipped:',100,0,10),
(49364,70556,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(49365,70556,'Increases Attack Speed of caster by 6.0',100,2,12),
(49366,70556,'Increases Damage Per Second of caster by 9.0',100,2,13),
(49367,70556,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(49368,70556,'Must not be engaged in pvp combat',100,2,15),
(49369,70556,'Cannot be modified except by direct means',100,2,16),
(49370,70556,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,17),
(49371,70556,'Cannot be modified except by direct means',100,1,18),
(49372,10070556,'When Equipped:',100,0,0),
(49373,10070556,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(49374,10070556,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(49375,10070556,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(49376,10070556,'Heals caster for 1386 - 1532',100,2,4),
(49377,10070556,'Decreases Crushing, Piercing, Ranged and Slashing of target by 22.0',100,2,5),
(49378,10070556,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(49379,10070556,'Must not be engaged in pvp combat',100,2,7),
(49380,10070556,'Cannot be modified except by direct means',100,2,8),
(49381,10070556,'Cannot be modified except by direct means',100,1,9),
(49382,10070556,'When Equipped:',100,0,10),
(49383,10070556,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(49384,10070556,'Increases Attack Speed of caster by 6.0',100,2,12),
(49385,10070556,'Increases Damage Per Second of caster by 9.0',100,2,13),
(49386,10070556,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(49387,10070556,'Must not be engaged in pvp combat',100,2,15),
(49388,10070556,'Cannot be modified except by direct means',100,2,16),
(49389,10070556,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,17),
(49390,10070556,'Cannot be modified except by direct means',100,1,18),
(49391,48950,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(49392,48950,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(49393,48950,'Inflicts 135 poison damage on target instantly and every 6 seconds',100,2,2),
(49394,48950,'Inflicts 154 poison damage on target',100,2,3),
(49395,48950,'Cannot be modified except by direct means',100,2,4),
(49396,48950,'Grants a total of 200 triggers of the spell.',100,2,5),
(49397,10048950,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(49398,10048950,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(49399,10048950,'Inflicts 116 poison damage on target',100,2,2),
(49400,10048950,'Inflicts 101 poison damage on target instantly and every 6 seconds',100,2,3),
(49401,10048950,'Cannot be modified except by direct means',100,2,4),
(49402,10048950,'Grants a total of 200 triggers of the spell.',100,2,5),
(49403,115158,'Heals target for 388 - 475',100,1,0),
(49404,10115158,'Heals target for 360 - 441',100,1,0),
(49405,71874,'When Equipped:',100,0,0),
(49406,71874,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49407,71874,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(49408,71874,'Cannot be modified except by direct means',100,2,3),
(49409,10071874,'When Equipped:',100,0,0),
(49410,10071874,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49411,10071874,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(49412,10071874,'Cannot be modified except by direct means',100,2,3),
(49413,46820,'Applies Luck Potion when Activated.  Lasts for 2 hours.',100,0,0),
(49414,46820,'Increases Loot Coin of caster by 25.0%',100,1,1),
(49415,46820,'Cannot be modified except by direct means',100,1,2),
(49416,10046820,'Applies Luck Potion when Activated.  Lasts for 2 hours.',100,0,0),
(49417,10046820,'Increases Loot Coin of caster by 25.0%',100,1,1),
(49418,10046820,'Cannot be modified except by direct means',100,1,2),
(49419,76432,'When Equipped:',100,0,0),
(49420,76432,'On a combat hit this spell may cast Mark of the Scorn on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49421,76432,'Inflicts 499 - 831 magic damage on target',100,2,2),
(49422,76432,'Cannot be modified except by direct means',100,2,3),
(49423,10076432,'When Equipped:',100,0,0),
(49424,10076432,'On a combat hit this spell may cast Mark of the Scorn on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49425,10076432,'Inflicts 499 - 831 magic damage on target',100,2,2),
(49426,10076432,'Cannot be modified except by direct means',100,2,3),
(49427,103773,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.3',100,1,0),
(49428,10103773,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.3',100,1,0),
(49429,82647,'When Equipped:',100,0,0),
(49430,82647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49431,82647,'Inflicts 149 - 276 magic damage on target',100,2,2),
(49432,82647,'Cannot be modified except by direct means',100,2,3),
(49433,10082647,'When Equipped:',100,0,0),
(49434,10082647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49435,10082647,'Inflicts 149 - 276 magic damage on target',100,2,2),
(49436,10082647,'Cannot be modified except by direct means',100,2,3),
(49437,27459,'When Equipped:',100,0,0),
(49438,27459,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(49439,27459,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(49440,10027459,'When Equipped:',100,0,0),
(49441,10027459,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(49442,10027459,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(49443,103123,'Increases Max Health of caster by 5.0%',100,129,0),
(49444,103123,'Increases STR of caster by 67.5',100,1,1),
(49445,103123,'Adds 4.5% to base avoidance.',100,1,2),
(49446,103123,'Increases Mitigation of caster vs physical damage by 432',100,1,3),
(49447,103123,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1348',100,1,4),
(49448,10103123,'Increases Max Health of caster by 5.0%',100,129,0),
(49449,10103123,'Increases STR of caster by 67.5',100,1,1),
(49450,10103123,'Adds 4.5% to base avoidance.',100,1,2),
(49451,10103123,'Increases Mitigation of caster vs physical damage by 432',100,1,3),
(49452,10103123,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1348',100,1,4),
(49453,173513,'When Equipped:',100,0,0),
(49454,173513,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(49455,173513,'Inflicts 1986 poison damage on target',100,2,2),
(49456,173513,'Cannot be modified except by direct means',100,2,3),
(49457,10173513,'When Equipped:',100,0,0),
(49458,10173513,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(49459,10173513,'Inflicts 993 poison damage on target',100,2,2),
(49460,10173513,'Cannot be modified except by direct means',100,2,3),
(49461,47111,'Applies Allmayn''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(49462,47111,'Increases AGI of caster by 28.8',100,1,1),
(49463,10047111,'Applies Allmayn''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(49464,10047111,'Increases AGI of caster by 28.8',100,1,1),
(49465,87255,'When Equipped:',100,0,0),
(49466,87255,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49467,87255,'Inflicts 338 - 506 magic damage on target',100,2,2),
(49468,87255,'Cannot be modified except by direct means',100,2,3),
(49469,10087255,'When Equipped:',100,0,0),
(49470,10087255,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49471,10087255,'Inflicts 338 - 506 magic damage on target',100,2,2),
(49472,10087255,'Cannot be modified except by direct means',100,2,3),
(49473,47976,'Applies Knowledge of Tracking when Activated.  Lasts for 5 hours.',100,0,0),
(49474,47976,'Temporarily grants the Tracking ability.',100,1,1),
(49475,10047976,'Applies Knowledge of Tracking when Activated.  Lasts for 5 hours.',100,0,0),
(49476,10047976,'Temporarily grants the Tracking ability.',100,1,1),
(49477,108587,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(49478,108587,'Heals group members (AE) for 175 - 214 instantly and every 3 seconds',100,2,1),
(49479,108587,'Increases WIS, INT, AGI and STR of group members (AE) by 22.3',100,2,2),
(49480,108587,'Increases STA of group members (AE) by 44.6',100,2,3),
(49481,108587,'Adds 0.6% to base avoidance.',100,2,4),
(49482,108587,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 57',100,2,5),
(49483,10108587,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(49484,10108587,'Heals group members (AE) for 90 - 110 instantly and every 3 seconds',100,2,1),
(49485,10108587,'Increases WIS, INT, AGI and STR of group members (AE) by 22.3',100,2,2),
(49486,10108587,'Increases STA of group members (AE) by 44.6',100,2,3),
(49487,10108587,'Adds 0.6% to base avoidance.',100,2,4),
(49488,10108587,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 57',100,2,5),
(49489,104491,'Decreases Mitigation of target encounter vs physical damage by 660',100,1,0),
(49490,10104491,'Decreases Mitigation of target encounter vs physical damage by 660',100,1,0),
(49491,100363,'Increases Max Health of target by 722.5',100,1,0),
(49492,100363,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.4',100,1,1),
(49493,10100363,'Increases Max Health of target by 722.5',100,1,0),
(49494,10100363,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.4',100,1,1),
(49495,81493,'When Equipped:',100,0,0),
(49496,81493,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49497,81493,'Decreases Threat to target by 352 ',100,2,2),
(49498,81493,'Must be flanking or behind',100,3,3),
(49499,81493,'Increases Threat to target by 617 ',100,2,4),
(49500,81493,'Must be in front of',100,3,5),
(49501,81493,'Inflicts 155 - 288 magic damage on target',100,2,6),
(49502,81493,'Cannot be modified except by direct means',100,2,7),
(49503,10081493,'When Equipped:',100,0,0),
(49504,10081493,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49505,10081493,'Inflicts 155 - 288 magic damage on target',100,2,2),
(49506,10081493,'Cannot be modified except by direct means',100,2,3),
(49507,119226,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(49508,119226,'If profession other than Fighter',100,1,1),
(49509,119226,'If profession other than Scout',100,1,2),
(49510,10119226,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(49511,10119226,'If profession other than Fighter',100,1,1),
(49512,10119226,'If profession other than Scout',100,1,2),
(49513,109047,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(49514,109047,'Increases Attack Speed of caster by 32.5',100,1,1),
(49515,109047,'Decreases Defense of caster by 14.7',100,1,2),
(49516,109047,'Increases Slashing, Piercing, Crushing and Ranged of caster by 37.0',100,1,3),
(49517,10109047,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(49518,10109047,'Increases Attack Speed of caster by 32.5',100,1,1),
(49519,10109047,'Decreases Defense of caster by 14.7',100,1,2),
(49520,10109047,'Increases Slashing, Piercing, Crushing and Ranged of caster by 37.0',100,1,3),
(49521,141846,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(49522,141846,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(49523,141846,'Heals target for 33 instantly and every 4 seconds',100,2,2),
(49524,141846,'Cannot be modified except by direct means',100,2,3),
(49525,10141846,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(49526,10141846,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(49527,10141846,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(49528,10141846,'Cannot be modified except by direct means',100,2,3),
(49529,47896,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(49530,47896,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(49531,47896,'Inflicts 1102 poison damage on target',100,2,2),
(49532,47896,'Cannot be modified except by direct means',100,2,3),
(49533,47896,'Grants a total of 100 triggers of the spell.',100,2,4),
(49534,10047896,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(49535,10047896,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(49536,10047896,'Inflicts 826 poison damage on target',100,2,2),
(49537,10047896,'Cannot be modified except by direct means',100,2,3),
(49538,10047896,'Grants a total of 100 triggers of the spell.',100,2,4),
(49539,175422,'When Equipped:',100,0,0),
(49540,175422,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(49541,175422,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(49542,175422,'Cannot be modified except by direct means',100,2,3),
(49543,10175422,'When Equipped:',100,0,0),
(49544,10175422,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(49545,10175422,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(49546,10175422,'Cannot be modified except by direct means',100,2,3),
(49547,108669,'Dispels 117 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(49548,10108669,'Dispels 117 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(49549,121010,'Inflicts 1664 - 2408 poison damage on target',100,1,0),
(49550,121010,'Inflicts 214 - 357 poison damage on target instantly and every 4 seconds',100,1,1),
(49551,10121010,'Inflicts 1072 - 1518 poison damage on target',100,1,0),
(49552,10121010,'Inflicts 169 - 281 poison damage on target instantly and every 4 seconds',100,1,1),
(49553,159501,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(49554,159501,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(49555,159501,'Inflicts 120 heat damage on target',100,2,2),
(49556,159501,'Cannot be modified except by direct means',100,2,3),
(49557,10159501,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(49558,10159501,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(49559,10159501,'Inflicts 120 heat damage on target',100,2,2),
(49560,10159501,'Cannot be modified except by direct means',100,2,3),
(49561,113458,'Increases INT of target by 71.8',100,1,0),
(49562,113458,'Increases Max Health of target by 576.2',100,1,1),
(49563,10113458,'Increases INT of target by 71.8',100,1,0),
(49564,10113458,'Increases Max Health of target by 576.2',100,1,1),
(49565,109546,'Inflicts 18895 - 31274 cold damage on targets in Area of Effect',100,1,0),
(49566,109546,'Throws target back',100,1,1),
(49567,109546,'If Target is not Epic',100,2,2),
(49568,109546,'Stuns targets in Area of Effect',100,1,3),
(49569,109546,'If Target is not Epic',100,2,4),
(49570,109546,'Resistibility increases against targets higher than level 94.',100,1,5),
(49571,10109546,'Inflicts 9888 - 16392 cold damage on targets in Area of Effect',100,1,0),
(49572,10109546,'Throws target back',100,1,1),
(49573,10109546,'If Target is not Epic',100,2,2),
(49574,10109546,'Stuns targets in Area of Effect',100,1,3),
(49575,10109546,'If Target is not Epic',100,2,4),
(49576,10109546,'Resistibility increases against targets higher than level 94.',100,1,5),
(49577,108915,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(49578,108915,'Inflicts 39 heat damage on target',100,2,1),
(49579,10108915,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(49580,10108915,'Inflicts 32 heat damage on target',100,2,1),
(49581,41276,'When Equipped:',100,0,0),
(49582,41276,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(49583,10041276,'When Equipped:',100,0,0),
(49584,10041276,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(49585,100582,'Inflicts 1266 - 2030 melee damage on target',100,1,0),
(49586,100582,'You must be sneaking to use this ability.',100,1,1),
(49587,10100582,'Inflicts 989 - 1381 melee damage on target',100,1,0),
(49588,10100582,'You must be sneaking to use this ability.',100,1,1),
(49589,47152,'Applies Edwardian''s Renewal  when Activated.',100,0,0),
(49590,47152,'Heals caster for 104',100,1,1),
(49591,10047152,'Applies Edwardian''s Renewal  when Activated.',100,0,0),
(49592,10047152,'Heals caster for 68',100,1,1),
(49593,116698,'Heals group members (AE) for 9.3 - 11.3% of max health',100,1,0),
(49594,116698,'This effect cannot be critically applied.',100,2,1),
(49595,116698,'Increases Max Health of group members (AE) by 848.4',100,1,2),
(49596,116698,'The healing of this spell cannot be modified except by direct means',100,1,3),
(49597,10116698,'Heals group members (AE) for 5.2 - 6.4% of max health',100,1,0),
(49598,10116698,'This effect cannot be critically applied.',100,2,1),
(49599,10116698,'Increases Max Health of group members (AE) by 848.4',100,1,2),
(49600,10116698,'The healing of this spell cannot be modified except by direct means',100,1,3),
(49601,159427,'Applies Lambent Imbued when Equipped.',100,0,0),
(49602,159427,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(49603,159427,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(49604,159427,'Cannot be modified except by direct means',100,2,3),
(49605,10159427,'Applies Lambent Imbued when Equipped.',100,0,0),
(49606,10159427,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(49607,10159427,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(49608,10159427,'Cannot be modified except by direct means',100,2,3),
(49609,102958,'Inflicts 1939 - 2151 disease damage on target',100,1,0),
(49610,102958,'Inflicts 956 - 1168 disease damage on target every 4 seconds',100,1,1),
(49611,10102958,'Inflicts 1374 - 1592 disease damage on target',100,1,0),
(49612,10102958,'Inflicts 754 - 921 disease damage on target every 4 seconds',100,1,1),
(49613,35941,'Increases STA of target by 2.4',100,0,0),
(49614,35941,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(49615,104520,'Increases Threat to target by 2,330 - 2,630  instantly and by 269 - 329  every 2 seconds thereafter',100,1,0),
(49616,10104520,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(49617,114402,'Mesmerizes target',100,1,0),
(49618,114402,'Prevents AOE (except when direct) ',100,1,1),
(49619,114402,'Dispelled when target takes damage',100,1,2),
(49620,114402,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(49621,114402,'Resistibility increases against targets higher than level 41.',100,1,4),
(49622,10114402,'Mesmerizes target',100,1,0),
(49623,10114402,'Prevents AOE (except when direct) ',100,1,1),
(49624,10114402,'Dispelled when target takes damage',100,1,2),
(49625,10114402,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(49626,10114402,'Resistibility increases against targets higher than level 41.',100,1,4),
(49627,136554,'When Equipped:',100,0,0),
(49628,136554,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(49629,136554,'Inflicts 241 heat damage on target',100,2,2),
(49630,136554,'Cannot be modified except by direct means',100,2,3),
(49631,10136554,'When Equipped:',100,0,0),
(49632,10136554,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(49633,10136554,'Inflicts 241 heat damage on target',100,2,2),
(49634,10136554,'Cannot be modified except by direct means',100,2,3),
(49635,48611,'Applies Totem of the Void when Activated.  Lasts for 10 minutes.',100,0,0),
(49636,48611,'Grants invisibility to group members (AE)',100,1,1),
(49637,48611,'Suspends group members (AE)''s movement speed enhancements',100,1,2),
(49638,48611,'Dispelled when target takes damage',100,1,3),
(49639,48611,'This effect cancels during combat',100,1,4),
(49640,48611,'Only affects targets level 30 and above',100,1,5),
(49641,48611,'Requires 219 Power to cast.',100,1,6),
(49642,10048611,'Applies Totem of the Void when Activated.  Lasts for 10 minutes.',100,0,0),
(49643,10048611,'Grants invisibility to group members (AE)',100,1,1),
(49644,10048611,'Suspends group members (AE)''s movement speed enhancements',100,1,2),
(49645,10048611,'Dispelled when target takes damage',100,1,3),
(49646,10048611,'This effect cancels during combat',100,1,4),
(49647,10048611,'Only affects targets level 30 and above',100,1,5),
(49648,10048611,'Requires 219 Power to cast.',100,1,6),
(49649,109987,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,0),
(49650,109987,'Increases Threat to targets in Area of Effect by 16,052 - 19,260  instantly and by 15,724 - 18,932  every 4 seconds thereafter',100,1,1),
(49651,109987,'Inflicts 7110 - 10502 disease damage on targets in Area of Effect',100,1,2),
(49652,109987,'Inflicts 3391 - 5087 disease damage on targets in Area of Effect every 4 seconds',100,1,3),
(49653,10109987,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(49654,10109987,'Prevents target from changing targets',100,2,1),
(49655,10109987,'Forces target to change their selected target to caster.',100,2,2),
(49656,10109987,'Inflicts 5477 - 8150 disease damage on targets in Area of Effect',100,1,3),
(49657,10109987,'Inflicts 2673 - 4009 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(49658,115251,'Heals target for 1046',100,1,0),
(49659,115251,'Heals target for 87 every second',100,1,1),
(49660,115251,'Dispels 38 levels of any hostile effects on target',100,1,2),
(49661,10115251,'Heals target for 524',100,1,0),
(49662,10115251,'Heals target for 45 every second',100,1,1),
(49663,10115251,'Dispels 38 levels of any hostile effects on target',100,1,2),
(49664,111211,'Applies Holy Ground.',100,1,0),
(49665,111211,'Increases Threat to targets in Area of Effect by 8,848 - 10,504 ',100,2,1),
(49666,111211,'Increases threat priority of targets in Area of Effect by 1 position',100,2,2),
(49667,111211,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',100,1,3),
(49668,111211,'Increases Threat to target by 4,783 - 5,487 ',100,2,4),
(49669,111211,'Inflicts 1684 - 2058 divine damage on target',100,2,5),
(49670,10111211,'Applies Holy Ground.',100,1,0),
(49671,10111211,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  Lasts for 3.0 seconds.  ',100,1,1),
(49672,10111211,'Prevents target from changing targets',100,2,2),
(49673,10111211,'Forces target to change their selected target to caster.',100,2,3),
(49674,10111211,'Inflicts 706 divine damage on target',100,2,4),
(49675,119883,'Increases INT and AGI of group members (AE) by 67.5',100,1,0),
(49676,119883,'Adds 2.6% to base avoidance.',100,1,1),
(49677,10119883,'Increases INT and AGI of group members (AE) by 67.5',100,1,0),
(49678,10119883,'Adds 2.6% to base avoidance.',100,1,1),
(49679,138289,'When Equipped:',100,0,0),
(49680,138289,'Increases Attack Speed of caster by 40.0',100,1,1),
(49681,10138289,'When Equipped:',100,0,0),
(49682,10138289,'Increases Attack Speed of caster by 40.0',100,1,1),
(49683,26264,'When Equipped:',100,0,0),
(49684,26264,'On a parry this spell has a 8% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(49685,26264,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(49686,26264,'Heals caster for 236 - 289',100,3,3),
(49687,26264,'Grants a total of 3 triggers of the spell.',100,3,4),
(49688,26264,'Cannot be modified except by direct means',100,2,5),
(49689,10026264,'When Equipped:',100,0,0),
(49690,10026264,'On a parry this spell has a 8% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(49691,10026264,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(49692,10026264,'Heals caster for 126 - 154',100,3,3),
(49693,10026264,'Grants a total of 3 triggers of the spell.',100,3,4),
(49694,10026264,'Cannot be modified except by direct means',100,2,5),
(49695,123289,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(49696,123289,'Inflicts 715 - 1191 disease damage on target',100,2,1),
(49697,123289,'Heals caster for 1.2 - 2.0% of max health',100,2,2),
(49698,123289,'This effect cannot be critically applied.',100,3,3),
(49699,123289,'The healing of this spell cannot be modified except by direct means',100,2,4),
(49700,10123289,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(49701,10123289,'Inflicts 563 - 939 disease damage on target',100,2,1),
(49702,10123289,'Heals caster for 0.4 - 0.7% of max health',100,2,2),
(49703,10123289,'This effect cannot be critically applied.',100,3,3),
(49704,10123289,'The healing of this spell cannot be modified except by direct means',100,2,4),
(49705,124065,'Increases power of caster by 208',100,1,0),
(49706,10124065,'Increases power of caster by 208',100,1,0),
(49707,75565,'Applies Disease Blast when Activated.',100,0,0),
(49708,75565,'Inflicts 613 - 1021 disease damage on target',100,1,1),
(49709,75565,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(49710,10075565,'Applies Disease Blast when Activated.',100,0,0),
(49711,10075565,'Inflicts 613 - 1021 disease damage on target',100,1,1),
(49712,10075565,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(49713,103563,'Increases In-Combat Power Regeneration of group members (AE) by 44.8',100,1,0),
(49714,10103563,'Increases In-Combat Power Regeneration of group members (AE) by 44.8',100,1,0),
(49715,71714,'When Equipped:',100,0,0),
(49716,71714,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49717,71714,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(49718,71714,'Cannot be modified except by direct means',100,2,3),
(49719,10071714,'When Equipped:',100,0,0),
(49720,10071714,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(49721,10071714,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(49722,10071714,'Cannot be modified except by direct means',100,2,3),
(49723,109771,'Inflicts 2282 - 3958 cold damage on target encounter',100,1,0),
(49724,109771,'Inflicts 1955 - 3630 cold damage on target encounter every 3 seconds',100,1,1),
(49725,10109771,'Inflicts 1672 - 2993 cold damage on target encounter',100,1,0),
(49726,10109771,'Inflicts 1541 - 2861 cold damage on target encounter every 3 seconds',100,1,1),
(49727,111533,'Increases Hate Gain of target by 18.7%',100,1,0),
(49728,111533,'Increases Aggression of target by 11.5',100,1,1),
(49729,10111533,'Increases STR of target by 29.5',100,1,0),
(49730,10111533,'Increases Aggression of target by 11.5',100,1,1),
(49731,118966,'Applies Sacrifice.',100,1,0),
(49732,118966,'Heals group members (AE) for 1739',100,2,1),
(49733,118966,'Increases power of group members (AE) by 466',100,2,2),
(49734,118966,'Stuns target',100,1,3),
(49735,10118966,'Applies Sacrifice.',100,1,0),
(49736,10118966,'Increases power of group members (AE) by 367',100,2,1),
(49737,10118966,'Heals group members (AE) for 1818',100,2,2),
(49738,10118966,'Stuns target',100,1,3),
(49739,117320,'Roots target',100,1,0),
(49740,117320,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(49741,117320,'Slows target by 51.2%',100,2,2),
(49742,117320,'5% chance to dispel when target receives hostile action',100,2,3),
(49743,117320,'5% chance to dispel when target takes damage',100,2,4),
(49744,117320,'15% chance to dispel when target takes damage',100,1,5),
(49745,117320,'Does not affect Epic targets',100,1,6),
(49746,117320,'Resistibility increases against targets higher than level 62.',100,1,7),
(49747,10117320,'Roots target',100,1,0),
(49748,10117320,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(49749,10117320,'Slows target by 51.2%',100,2,2),
(49750,10117320,'10% chance to dispel when target receives hostile action',100,2,3),
(49751,10117320,'10% chance to dispel when target takes damage',100,2,4),
(49752,10117320,'15% chance to dispel when target takes damage',100,1,5),
(49753,10117320,'Does not affect Epic targets',100,1,6),
(49754,10117320,'Resistibility increases against targets higher than level 62.',100,1,7),
(49755,52754,'Applies Sanguine Imbued when Equipped.',100,0,0),
(49756,52754,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(49757,52754,'Inflicts 76 heat damage on target',100,2,2),
(49758,52754,'Cannot be modified except by direct means',100,2,3),
(49759,10052754,'Applies Sanguine Imbued when Equipped.',100,0,0),
(49760,10052754,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(49761,10052754,'Inflicts 76 heat damage on target',100,2,2),
(49762,10052754,'Cannot be modified except by direct means',100,2,3),
(49763,36134,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,0),
(49764,37580,'Increases AGI and STA of target by 7.8',100,0,0),
(49765,37580,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(49766,87193,'When Equipped:',100,0,0),
(49767,87193,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49768,87193,'Inflicts 97 - 146 magic damage on target',100,2,2),
(49769,87193,'Cannot be modified except by direct means',100,2,3),
(49770,10087193,'When Equipped:',100,0,0),
(49771,10087193,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49772,10087193,'Inflicts 97 - 146 magic damage on target',100,2,2),
(49773,10087193,'Cannot be modified except by direct means',100,2,3),
(49774,115042,'Heals target for 3155 - 3637',100,1,0),
(49775,10115042,'Heals target for 2655 - 3188',100,1,0),
(49776,54381,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(49777,54381,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(49778,54381,'Inflicts 143 heat damage on target',100,2,2),
(49779,54381,'Cannot be modified except by direct means',100,2,3),
(49780,10054381,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(49781,10054381,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(49782,10054381,'Inflicts 143 heat damage on target',100,2,2),
(49783,10054381,'Cannot be modified except by direct means',100,2,3),
(49784,82878,'When Equipped:',100,0,0),
(49785,82878,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49786,82878,'Inflicts 449 - 834 magic damage on target',100,2,2),
(49787,82878,'Decreases Threat to target by 833 ',100,2,3),
(49788,82878,'Must be flanking or behind',100,3,4),
(49789,82878,'Increases Threat to target by 1,293 ',100,2,5),
(49790,82878,'Must be in front of',100,3,6),
(49791,82878,'Cannot be modified except by direct means',100,2,7),
(49792,10082878,'When Equipped:',100,0,0),
(49793,10082878,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49794,10082878,'Inflicts 449 - 834 magic damage on target',100,2,2),
(49795,10082878,'Cannot be modified except by direct means',100,2,3),
(49796,123814,'Inflicts 547 - 911 magic damage on target',100,1,0),
(49797,123814,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(49798,123814,'Target will lose 28% more power when power is consumed',100,1,2),
(49799,123814,'28% of target''s power consumed will also be drained from target''s health',100,1,3),
(49800,123814,'Decreases Defense of target by 23.0',100,1,4),
(49801,10123814,'Inflicts 470 - 783 magic damage on target',100,1,0),
(49802,10123814,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(49803,10123814,'Target will lose 28% more power when power is consumed',100,1,2),
(49804,10123814,'28% of target''s power consumed will also be drained from target''s health',100,1,3),
(49805,10123814,'Decreases Defense of target by 23.0',100,1,4),
(49806,51830,'Applies Heroic Resistance III when Equipped.',100,0,0),
(49807,51830,'Reduces the critical damage inflicted by players on caster by 3.0%',100,1,1),
(49808,51830,'Cannot be modified except by direct means',100,1,2),
(49809,10051830,'Applies Heroic Resistance III when Equipped.',100,0,0),
(49810,10051830,'Reduces the critical damage inflicted by players on caster by 3.0%',100,1,1),
(49811,10051830,'Cannot be modified except by direct means',100,1,2),
(49812,36946,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(49813,36946,'Increases Max Health of target by 145.6',100,0,1),
(49814,82237,'When Equipped:',100,0,0),
(49815,82237,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49816,82237,'Inflicts 55 - 102 magic damage on target',100,2,2),
(49817,82237,'Cannot be modified except by direct means',100,2,3),
(49818,10082237,'When Equipped:',100,0,0),
(49819,10082237,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49820,10082237,'Inflicts 55 - 102 magic damage on target',100,2,2),
(49821,10082237,'Cannot be modified except by direct means',100,2,3),
(49822,122612,'Makes target afraid',100,1,0),
(49823,122612,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',100,1,1),
(49824,122612,'Mesmerizes target',100,2,2),
(49825,122612,'Decreases Threat to target by 1,934  instantly and Decreases Threat by 1,934  every 1.8 seconds thereafter',100,2,3),
(49826,122612,'Dispelled when target takes damage',100,2,4),
(49827,122612,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',100,2,5),
(49828,122612,'Resistibility increases against targets higher than level 76.',100,2,6),
(49829,122612,'30% chance to dispel when target takes damage',100,1,7),
(49830,122612,'Does not affect Epic targets',100,1,8),
(49831,122612,'Resistibility increases against targets higher than level 76.',100,1,9),
(49832,10122612,'Makes target afraid',100,1,0),
(49833,10122612,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(49834,10122612,'Mesmerizes target',100,2,2),
(49835,10122612,'Applies Distract.',100,2,3),
(49836,10122612,'Forces target to clear their selected target.',100,3,4),
(49837,10122612,'Dispelled when target takes damage',100,2,5),
(49838,10122612,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(49839,10122612,'Resistibility increases against targets higher than level 76.',100,2,7),
(49840,10122612,'30% chance to dispel when target takes damage',100,1,8),
(49841,10122612,'Does not affect Epic targets',100,1,9),
(49842,10122612,'Resistibility increases against targets higher than level 76.',100,1,10),
(49843,88632,'When Equipped:',100,0,0),
(49844,88632,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(49845,88632,'Increases Hate Gain of caster by 10.0%',100,2,2),
(49846,88632,'Cannot be modified except by direct means',100,2,3),
(49847,88632,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(49848,88632,'Increases Hate Gain of caster by 10.0%',100,2,5),
(49849,88632,'Cannot be modified except by direct means',100,2,6),
(49850,10088632,'When Equipped:',100,0,0),
(49851,10088632,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(49852,10088632,'Cannot be modified except by direct means',100,2,2),
(49853,10088632,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,3),
(49854,10088632,'Cannot be modified except by direct means',100,2,4),
(49855,155028,'When Equipped:',100,0,0),
(49856,155028,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(49857,155028,'Inflicts 1986 magic damage on target',100,2,2),
(49858,155028,'Cannot be modified except by direct means',100,2,3),
(49859,10155028,'When Equipped:',100,0,0),
(49860,10155028,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(49861,10155028,'Inflicts 993 magic damage on target',100,2,2),
(49862,10155028,'Cannot be modified except by direct means',100,2,3),
(49863,102038,'Interrupts targets in Area of Effect',100,1,0),
(49864,102038,'Inflicts 277 - 459 melee damage on targets in area',100,1,1),
(49865,10102038,'Interrupts targets in Area of Effect',100,1,0),
(49866,10102038,'Inflicts 218 - 362 melee damage on targets in area',100,1,1),
(49867,186982,'Applies Hunter''s Desire when Activated.  Lasts for 54.0 seconds.',100,0,0),
(49868,186982,'Summons a limited pet to aid the caster',100,1,1),
(49869,186982,'Must have Truesilver Tunic equipped.',100,1,2),
(49870,186982,'The casting time of Hunter''s Desire is 0.99 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,3),
(49871,10186982,'Applies Hunter''s Desire when Activated.  Lasts for 54.0 seconds.',100,0,0),
(49872,10186982,'Summons a limited pet to aid the caster',100,1,1),
(49873,10186982,'Must have Truesilver Tunic equipped.',100,1,2),
(49874,10186982,'The casting time of Hunter''s Desire is 0.99 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,3),
(49875,80769,'When Equipped:',100,0,0),
(49876,80769,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49877,80769,'Inflicts 290 - 538 magic damage on target',100,2,2),
(49878,80769,'Cannot be modified except by direct means',100,2,3),
(49879,10080769,'When Equipped:',100,0,0),
(49880,10080769,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(49881,10080769,'Inflicts 290 - 538 magic damage on target',100,2,2),
(49882,10080769,'Cannot be modified except by direct means',100,2,3),
(49883,100757,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(49884,100757,'Increases power of target by 515 every 6 seconds',100,2,1),
(49885,100757,'Heals target for 2233',100,2,2),
(49886,100757,'Wards target against 2747 points of all damage',100,2,3),
(49887,100757,'Grants a total of 1 trigger of the spell.',100,2,4),
(49888,10100757,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(49889,10100757,'Increases power of target by 406 every 6 seconds',100,2,1),
(49890,10100757,'Heals target for 1144',100,2,2),
(49891,10100757,'Wards target against 2165 points of all damage',100,2,3),
(49892,10100757,'Grants a total of 1 trigger of the spell.',100,2,4),
(49893,119826,'Dazes target',100,1,0),
(49894,119826,'Does not affect Epic targets',100,1,1),
(49895,119826,'Resistibility increases against targets higher than level 36.',100,1,2),
(49896,10119826,'Dazes target',100,1,0),
(49897,10119826,'Does not affect Epic targets',100,1,1),
(49898,10119826,'Resistibility increases against targets higher than level 36.',100,1,2),
(49899,52921,'Applies Sanguine Imbued when Equipped.',100,0,0),
(49900,52921,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(49901,52921,'Inflicts 150 heat damage on target',100,2,2),
(49902,52921,'Cannot be modified except by direct means',100,2,3),
(49903,10052921,'Applies Sanguine Imbued when Equipped.',100,0,0),
(49904,10052921,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(49905,10052921,'Inflicts 150 heat damage on target',100,2,2),
(49906,10052921,'Cannot be modified except by direct means',100,2,3),
(49907,36253,'Increases INT of target by 20.8',100,0,0),
(49908,36253,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(49909,36253,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,2),
(49910,103348,'Decreases power of target by 6 instantly and every 6 seconds',100,1,0),
(49911,103348,'Inflicts 92 - 110 mental damage on target',100,1,1),
(49912,103348,'Inflicts 22 - 27 mental damage on target every 6 seconds',100,1,2),
(49913,103348,'Increases power of caster by 5',100,1,3),
(49914,10103348,'Decreases power of target by 4 instantly and every 6 seconds',100,1,0),
(49915,10103348,'Inflicts 88 - 104 mental damage on target',100,1,1),
(49916,10103348,'Inflicts 18 - 22 mental damage on target every 6 seconds',100,1,2),
(49917,10103348,'Increases power of caster by 5',100,1,3),
(49918,110007,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(49919,110007,'Slows target by 33.4%',100,2,1),
(49920,110007,'5% chance to dispel when target receives hostile action',100,2,2),
(49921,110007,'5% chance to dispel when target takes damage',100,2,3),
(49922,110007,'Inflicts 387 - 473 cold damage on target',100,1,4),
(49923,10110007,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(49924,10110007,'Slows target by 33.4%',100,2,1),
(49925,10110007,'5% chance to dispel when target receives hostile action',100,2,2),
(49926,10110007,'5% chance to dispel when target takes damage',100,2,3),
(49927,10110007,'Inflicts 333 - 407 cold damage on target',100,1,4),
(49928,103525,'Charms target',100,1,0),
(49929,103525,'If outside an arena',100,1,1),
(49930,103525,'Certain enemies cannot be charmed',100,1,2),
(49931,103525,'Does not affect Epic targets',100,1,3),
(49932,10103525,'Mesmerizes target',100,1,0),
(49933,10103525,'Prevents AOE (except when direct) ',100,1,1),
(49934,10103525,'Dispelled when target takes damage',100,1,2),
(49935,10103525,'If outside an arena',100,1,3),
(49936,10103525,'Certain enemies cannot be charmed',100,1,4),
(49937,10103525,'Does not affect Epic targets',100,1,5),
(49938,10103525,'Resistibility increases against targets higher than level 103.',100,1,6),
(49939,114660,'Increases Threat to target by 953 - 1,165 ',100,1,0),
(49940,114660,'Interrupts target',100,1,1),
(49941,10114660,'Interrupts target',100,1,0),
(49942,10114660,'Forces target to change their selected target to caster.',100,1,1),
(49943,10114660,'Prevents target from changing targets',100,1,2),
(49944,118358,'Inflicts 365 - 606 melee damage on target',100,1,0),
(49945,118358,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(49946,118358,'Stuns target',100,2,2),
(49947,118358,'Throws target back',100,2,3),
(49948,118358,'Blurs vision of target',100,2,4),
(49949,118358,'Does not affect Epic targets',100,2,5),
(49950,10118358,'Inflicts 294 - 488 melee damage on target',100,1,0),
(49951,10118358,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(49952,10118358,'Stuns target',100,2,2),
(49953,10118358,'Throws target back',100,2,3),
(49954,10118358,'Blurs vision of target',100,2,4),
(49955,10118358,'Does not affect Epic targets',100,2,5),
(49956,82781,'When Equipped:',100,0,0),
(49957,82781,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49958,82781,'Inflicts 468 - 870 magic damage on target',100,2,2),
(49959,82781,'Decreases Threat to target by 1,174 ',100,2,3),
(49960,82781,'Must be flanking or behind',100,3,4),
(49961,82781,'Increases Threat to target by 1,634 ',100,2,5),
(49962,82781,'Must be in front of',100,3,6),
(49963,82781,'Cannot be modified except by direct means',100,2,7),
(49964,10082781,'When Equipped:',100,0,0),
(49965,10082781,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(49966,10082781,'Inflicts 468 - 870 magic damage on target',100,2,2),
(49967,10082781,'Cannot be modified except by direct means',100,2,3),
(49968,73666,'When Equipped:',100,0,0),
(49969,73666,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(49970,73666,'Reduces healing received by 15.00%',100,2,2),
(49971,73666,'Cannot be modified except by direct means',100,2,3),
(49972,73666,'This effect can only trigger once every 1 second.',100,2,4),
(49973,73666,'Must be engaged in pvp combat',100,1,5),
(49974,10073666,'When Equipped:',100,0,0),
(49975,10073666,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(49976,10073666,'Reduces healing received by 15.00%',100,2,2),
(49977,10073666,'Cannot be modified except by direct means',100,2,3),
(49978,10073666,'This effect can only trigger once every 1 second.',100,2,4),
(49979,10073666,'Must be engaged in pvp combat',100,1,5),
(49980,174908,'When Equipped:',100,0,0),
(49981,174908,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(49982,174908,'On a critical spell hit this spell may cast Discombobulate IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(49983,174908,'Inflicts 2561 - 2831 mental damage on target',100,2,3),
(49984,174908,'Decreases Threat to target by 4,884 - 5,399 ',100,2,4),
(49985,174908,'Must not be engaged in pvp combat',100,2,5),
(49986,174908,'Cannot be modified except by direct means',100,2,6),
(49987,174908,'On a critical combat hit this spell may cast Discombobulate IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(49988,174908,'Inflicts 2561 - 2831 mental damage on target',100,2,8),
(49989,174908,'Decreases Threat to target by 4,884 - 5,399 ',100,2,9),
(49990,174908,'Must not be engaged in pvp combat',100,2,10),
(49991,174908,'Cannot be modified except by direct means',100,2,11),
(49992,174908,'Cannot be modified except by direct means',100,1,12),
(49993,10174908,'When Equipped:',100,0,0),
(49994,10174908,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(49995,10174908,'On a critical spell hit this spell may cast Discombobulate IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(49996,10174908,'Inflicts 2561 - 2831 mental damage on target',100,2,3),
(49997,10174908,'Must not be engaged in pvp combat',100,2,4),
(49998,10174908,'Cannot be modified except by direct means',100,2,5),
(49999,10174908,'On a critical combat hit this spell may cast Discombobulate IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(50000,10174908,'Inflicts 2561 - 2831 mental damage on target',100,2,7),
(50001,10174908,'Must not be engaged in pvp combat',100,2,8),
(50002,10174908,'Cannot be modified except by direct means',100,2,9),
(50003,10174908,'Cannot be modified except by direct means',100,1,10),
(50004,159883,'Applies Sanguine Imbued when Equipped.',100,0,0),
(50005,159883,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(50006,159883,'Inflicts 111 heat damage on target',100,2,2),
(50007,159883,'Cannot be modified except by direct means',100,2,3),
(50008,10159883,'Applies Sanguine Imbued when Equipped.',100,0,0),
(50009,10159883,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(50010,10159883,'Inflicts 111 heat damage on target',100,2,2),
(50011,10159883,'Cannot be modified except by direct means',100,2,3),
(50012,105343,'Inflicts 2685 - 3955 melee damage on target',100,1,0),
(50013,105343,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 555',100,1,1),
(50014,105343,'Must be flanking or behind',100,1,2),
(50015,10105343,'Inflicts 1807 - 2737 melee damage on target',100,1,0),
(50016,10105343,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 555',100,1,1),
(50017,10105343,'Must be flanking or behind',100,1,2),
(50018,100297,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(50019,100297,'Inflicts 718 divine damage on target',100,2,1),
(50020,10100297,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(50021,10100297,'Inflicts 566 divine damage on target',100,2,1),
(50022,109776,'Inflicts 2183 - 3774 cold damage on target encounter',100,1,0),
(50023,109776,'Inflicts 1856 - 3446 cold damage on target encounter every 3 seconds',100,1,1),
(50024,10109776,'Inflicts 1594 - 2848 cold damage on target encounter',100,1,0),
(50025,10109776,'Inflicts 1463 - 2716 cold damage on target encounter every 3 seconds',100,1,1),
(50026,117714,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(50027,117714,'Adds 1.3% to base avoidance.',100,1,1),
(50028,10117714,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(50029,10117714,'Adds 1.3% to base avoidance.',100,1,1),
(50030,46883,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(50031,46883,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 23.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(50032,46883,'Slows target by 40.4%',100,2,2),
(50033,46883,'Cannot be modified except by direct means',100,2,3),
(50034,46883,'Grants a total of 60 triggers of the spell.',100,2,4),
(50035,10046883,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(50036,10046883,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(50037,10046883,'Slows target by 40.4%',100,2,2),
(50038,10046883,'Cannot be modified except by direct means',100,2,3),
(50039,10046883,'Grants a total of 60 triggers of the spell.',100,2,4),
(50040,81665,'When Equipped:',100,0,0),
(50041,81665,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50042,81665,'Inflicts 215 - 399 magic damage on target',100,2,2),
(50043,81665,'Decreases Threat to target by 376 ',100,2,3),
(50044,81665,'Must be flanking or behind',100,3,4),
(50045,81665,'Increases Threat to target by 658 ',100,2,5),
(50046,81665,'Must be in front of',100,3,6),
(50047,81665,'Cannot be modified except by direct means',100,2,7),
(50048,10081665,'When Equipped:',100,0,0),
(50049,10081665,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50050,10081665,'Inflicts 215 - 399 magic damage on target',100,2,2),
(50051,10081665,'Cannot be modified except by direct means',100,2,3),
(50052,110750,'Summons a limited pet to aid the caster',100,1,0),
(50053,10110750,'Summons a limited pet to aid the caster',100,1,0),
(50054,100273,'Inflicts 972 - 1384 poison damage on target',100,1,0),
(50055,100273,'Inflicts 216 - 401 poison damage on target every 3 seconds',100,1,1),
(50056,10100273,'Inflicts 778 - 1107 poison damage on target',100,1,0),
(50057,10100273,'Inflicts 384 - 712 poison damage on target every 3 seconds',100,1,1),
(50058,121792,'Heals target for 1046 - 1279',100,1,0),
(50059,121792,'Heals target for 87 - 107 every second',100,1,1),
(50060,10121792,'Heals target for 971 - 1130',100,1,0),
(50061,10121792,'Heals target for 60 - 73 every second',100,1,1),
(50062,101449,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(50063,101449,'Increases Mitigation of group members (AE) vs noxious damage by 756',100,1,1),
(50064,10101449,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(50065,10101449,'Increases Mitigation of group members (AE) vs noxious damage by 756',100,1,1),
(50066,138505,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(50067,138505,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,1),
(50068,138505,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(50069,10138505,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(50070,10138505,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,1),
(50071,10138505,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(50072,118161,'Inflicts 2594 - 3854 melee damage on target',100,1,0),
(50073,118161,'Dazes target',100,1,1),
(50074,118161,'If Target is not Epic',100,2,2),
(50075,118161,'Resistibility increases against targets higher than level 97.',100,1,3),
(50076,10118161,'Inflicts 1759 - 2658 melee damage on target',100,1,0),
(50077,10118161,'Dazes target',100,1,1),
(50078,10118161,'If Target is not Epic',100,2,2),
(50079,10118161,'Resistibility increases against targets higher than level 97.',100,1,3),
(50080,46929,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(50081,46929,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(50082,46929,'Inflicts 229 poison damage on target',100,2,2),
(50083,46929,'Inflicts 37 poison damage on target instantly and every 6 seconds',100,2,3),
(50084,46929,'Cannot be modified except by direct means',100,2,4),
(50085,46929,'Grants a total of 200 triggers of the spell.',100,2,5),
(50086,10046929,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(50087,10046929,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(50088,10046929,'Inflicts 172 poison damage on target',100,2,2),
(50089,10046929,'Inflicts 28 poison damage on target instantly and every 6 seconds',100,2,3),
(50090,10046929,'Cannot be modified except by direct means',100,2,4),
(50091,10046929,'Grants a total of 200 triggers of the spell.',100,2,5),
(50092,123327,'Increases STA of raid and group members (AE) by 46.8',100,1,0),
(50093,123327,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(50094,10123327,'Increases STA of raid and group members (AE) by 46.8',100,1,0),
(50095,10123327,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(50096,109629,'Increases Defense of group members'' pets (AE) by 25.8',100,1,0),
(50097,109629,'Increases Mitigation of group members (AE) vs all damage by 409',100,1,1),
(50098,10109629,'Increases Defense of group members'' pets (AE) by 25.8',100,1,0),
(50099,10109629,'Increases Mitigation of group members (AE) vs all damage by 409',100,1,1),
(50100,107435,'Summons a pet earthen avatar',100,1,0),
(50101,10107435,'Summons a pet earthen avatar',100,1,0),
(50102,112071,'Inflicts 262 - 436 heat damage on target',100,1,0),
(50103,112071,'Inflicts 52 - 87 heat damage on target every 2 seconds',100,1,1),
(50104,10112071,'Inflicts 310 - 517 heat damage on target',100,1,0),
(50105,10112071,'Inflicts 101 - 168 heat damage on target every 2 seconds',100,1,1),
(50106,108453,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(50107,108453,'Increases Defense and Parry of caster by 5.4',100,1,1),
(50108,108453,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(50109,10108453,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(50110,10108453,'Increases Defense and Parry of caster by 5.4',100,1,1),
(50111,10108453,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(50112,122153,'Inflicts 87 - 106 cold damage on target',100,1,0),
(50113,122153,'Inflicts 14 - 18 cold damage on target every 2 seconds',100,1,1),
(50114,122153,'Inflicts 14 - 18 cold damage on target instantly and every 2 seconds',100,1,2),
(50115,122153,'If target is elemental',100,2,3),
(50116,10122153,'Inflicts 84 - 102 cold damage on target',100,1,0),
(50117,10122153,'Inflicts 11 - 14 cold damage on target every 2 seconds',100,1,1),
(50118,115568,'Interrupts target encounter',100,1,0),
(50119,115568,'Decreases Threat to target encounter by 149 - 183 ',100,1,1),
(50120,115568,'Dazes target encounter',100,1,2),
(50121,115568,'If Target is not Epic',100,2,3),
(50122,115568,'Resistibility increases against targets higher than level 39.',100,1,4),
(50123,10115568,'Interrupts target encounter',100,1,0),
(50124,10115568,'Dazes target encounter',100,1,1),
(50125,10115568,'If Target is not Epic',100,2,2),
(50126,10115568,'Resistibility increases against targets higher than level 39.',100,1,3),
(50127,106771,'Mesmerizes target',100,1,0),
(50128,106771,'Prevents AOE (except when direct) ',100,1,1),
(50129,106771,'Dispelled when target takes damage',100,1,2),
(50130,106771,'Does not affect Epic targets',100,1,3),
(50131,106771,'Resistibility increases against targets higher than level 83.',100,1,4),
(50132,10106771,'Mesmerizes target',100,1,0),
(50133,10106771,'Prevents AOE (except when direct) ',100,1,1),
(50134,10106771,'Dispelled when target takes damage',100,1,2),
(50135,10106771,'Does not affect Epic targets',100,1,3),
(50136,10106771,'Resistibility increases against targets higher than level 83.',100,1,4),
(50137,48049,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(50138,48049,'Increases speed of caster by 24.7%',100,1,1),
(50139,10048049,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(50140,10048049,'Increases speed of caster by 24.7%',100,1,1),
(50141,82118,'When Equipped:',100,0,0),
(50142,82118,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50143,82118,'Inflicts 272 - 505 magic damage on target',100,2,2),
(50144,82118,'Cannot be modified except by direct means',100,2,3),
(50145,10082118,'When Equipped:',100,0,0),
(50146,10082118,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50147,10082118,'Inflicts 272 - 505 magic damage on target',100,2,2),
(50148,10082118,'Cannot be modified except by direct means',100,2,3),
(50149,40631,'When Equipped:',100,0,0),
(50150,40631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50151,40631,'Inflicts 72 - 108 magic damage on target',100,2,2),
(50152,40631,'Cannot be modified except by direct means',100,2,3),
(50153,10040631,'When Equipped:',100,0,0),
(50154,10040631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50155,10040631,'Inflicts 72 - 108 magic damage on target',100,2,2),
(50156,10040631,'Cannot be modified except by direct means',100,2,3),
(50157,45431,'Applies Brown Warg with Blue Saddle when Activated.',100,0,0),
(50158,45431,'Summons a mount to ride',100,1,1),
(50159,45431,'Increases your ground speed by 130%',100,2,2),
(50160,10045431,'Applies Brown Warg with Blue Saddle when Activated.',100,0,0),
(50161,10045431,'Summons a mount to ride',100,1,1),
(50162,10045431,'Increases your ground speed by 130%',100,2,2),
(50163,123036,'Summons 12 limited pets to aid the caster',100,1,0),
(50164,10123036,'Summons 12 limited pets to aid the caster',100,1,0),
(50165,117250,'Inflicts 194 slashing damage on target every 4 seconds',100,1,0),
(50166,117250,'Inflicts 1614 - 2577 melee damage on target',100,1,1),
(50167,10117250,'Inflicts 153 slashing damage on target every 4 seconds',100,1,0),
(50168,10117250,'Inflicts 1165 - 1672 melee damage on target',100,1,1),
(50169,109476,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(50170,109476,'Increases Attack Speed of caster by 21.0',100,130,1),
(50171,109476,'Increases Crushing, Ranged, Piercing and Slashing of caster by 14.0',100,130,2),
(50172,109476,'Inflicts 2534 - 3556 cold damage on target',100,1,3),
(50173,10109476,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(50174,10109476,'Increases Attack Speed of caster by 21.0',100,130,1),
(50175,10109476,'Increases Crushing, Ranged, Piercing and Slashing of caster by 14.0',100,130,2),
(50176,10109476,'Inflicts 1617 - 2423 cold damage on target',100,1,3),
(50177,115607,'Shapechanges caster into a skeleton',100,1,0),
(50178,10115607,'Shapechanges caster into a skeleton',100,1,0),
(50179,71672,'When Equipped:',100,0,0),
(50180,71672,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50181,71672,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(50182,71672,'Cannot be modified except by direct means',100,2,3),
(50183,10071672,'When Equipped:',100,0,0),
(50184,10071672,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50185,10071672,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(50186,10071672,'Cannot be modified except by direct means',100,2,3),
(50187,111704,'Inflicts 4583 - 5383 cold damage on target',100,1,0),
(50188,111704,'Inflicts 3601 - 4401 cold damage on target',100,1,1),
(50189,111704,'If target is elemental',100,2,2),
(50190,10111704,'Inflicts 2827 - 3368 cold damage on target',100,1,0),
(50191,71627,'When Equipped:',100,0,0),
(50192,71627,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50193,71627,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(50194,71627,'Cannot be modified except by direct means',100,2,3),
(50195,10071627,'When Equipped:',100,0,0),
(50196,10071627,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50197,10071627,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(50198,10071627,'Cannot be modified except by direct means',100,2,3),
(50199,109440,'Inflicts 1668 - 1821 cold damage on target',100,1,0),
(50200,109440,'Inflicts 686 - 838 cold damage on target every 4 seconds',100,1,1),
(50201,109440,'Decreases Mitigation of target vs elemental damage by 618',100,1,2),
(50202,10109440,'Inflicts 935 - 1055 cold damage on target',100,1,0),
(50203,10109440,'Inflicts 541 - 661 cold damage on target every 4 seconds',100,1,1),
(50204,10109440,'Decreases Mitigation of target vs elemental damage by 618',100,1,2),
(50205,118393,'Inflicts 3718 - 5518 melee damage on target',100,1,0),
(50206,118393,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(50207,118393,'Stuns target',100,2,2),
(50208,118393,'Throws target back',100,2,3),
(50209,118393,'Blurs vision of target',100,2,4),
(50210,118393,'Does not affect Epic targets',100,2,5),
(50211,10118393,'Inflicts 2598 - 4048 melee damage on target',100,1,0),
(50212,10118393,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(50213,10118393,'Stuns target',100,2,2),
(50214,10118393,'Throws target back',100,2,3),
(50215,10118393,'Blurs vision of target',100,2,4),
(50216,10118393,'Does not affect Epic targets',100,2,5),
(50217,159535,'Applies Sanguine Imbued when Equipped.',100,0,0),
(50218,159535,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(50219,159535,'Inflicts 374 heat damage on target',100,2,2),
(50220,159535,'Cannot be modified except by direct means',100,2,3),
(50221,10159535,'Applies Sanguine Imbued when Equipped.',100,0,0),
(50222,10159535,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(50223,10159535,'Inflicts 374 heat damage on target',100,2,2),
(50224,10159535,'Cannot be modified except by direct means',100,2,3),
(50225,101877,'Heals target for 2485 - 2818',100,1,0),
(50226,101877,'If over 50% Health',100,2,1),
(50227,101877,'Heals target for 3987 - 4654',100,1,2),
(50228,101877,'If at 50% Health or less',100,2,3),
(50229,10101877,'Heals target for 1026 - 1197',100,1,0),
(50230,10101877,'If over 50% Health',100,2,1),
(50231,10101877,'Heals target for 2950 - 3548',100,1,2),
(50232,10101877,'If at 50% Health or less',100,2,3),
(50233,107940,'Mesmerizes target',100,1,0),
(50234,107940,'Prevents AOE (except when direct) ',100,1,1),
(50235,107940,'Dispelled when target takes damage',100,1,2),
(50236,107940,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(50237,107940,'Resistibility increases against targets higher than level 95.',100,1,4),
(50238,10107940,'Mesmerizes target',100,1,0),
(50239,10107940,'Prevents AOE (except when direct) ',100,1,1),
(50240,10107940,'Dispelled when target takes damage',100,1,2),
(50241,10107940,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(50242,10107940,'Resistibility increases against targets higher than level 95.',100,1,4),
(50243,174013,'When Equipped:',100,0,0),
(50244,174013,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(50245,10174013,'When Equipped:',100,0,0),
(50246,10174013,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(50247,105799,'Inflicts 3625 - 4213 heat damage on target',100,1,0),
(50248,10105799,'Inflicts 3172 - 3789 heat damage on target',100,1,0),
(50249,123019,'Wards group members (AE) collectively against 10438 total points of all damage',100,1,0),
(50250,10123019,'Wards group members (AE) collectively against 11494 total points of all damage',100,1,0),
(50251,71998,'When Equipped:',100,0,0),
(50252,71998,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50253,71998,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(50254,71998,'Cannot be modified except by direct means',100,2,3),
(50255,10071998,'When Equipped:',100,0,0),
(50256,10071998,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50257,10071998,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(50258,10071998,'Cannot be modified except by direct means',100,2,3),
(50259,73912,'Applies Disease Blast when Activated.',100,0,0),
(50260,73912,'Inflicts 536 - 894 disease damage on target',100,1,1),
(50261,73912,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(50262,10073912,'Applies Disease Blast when Activated.',100,0,0),
(50263,10073912,'Inflicts 536 - 894 disease damage on target',100,1,1),
(50264,10073912,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(50265,43218,'When Equipped:',100,0,0),
(50266,43218,'On a critical spell hit this spell may cast Vital Exposure V on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(50267,43218,'Inflicts 63 - 70 disease damage on target instantly and every 2 seconds',100,2,2),
(50268,43218,'Inflicts an additional 6 - 6 disease damage on target every tick',100,2,3),
(50269,43218,'Decreases the target''s physical mitigation over time.',100,2,4),
(50270,43218,'Must not be engaged in pvp combat',100,2,5),
(50271,43218,'Cannot be modified except by direct means',100,2,6),
(50272,43218,'On a critical combat hit this spell may cast Vital Exposure V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(50273,43218,'Inflicts 63 - 70 disease damage on target instantly and every 2 seconds',100,2,8),
(50274,43218,'Inflicts an additional 6 - 6 disease damage on target every tick',100,2,9),
(50275,43218,'Decreases the target''s physical mitigation over time.',100,2,10),
(50276,43218,'Must not be engaged in pvp combat',100,2,11),
(50277,43218,'Cannot be modified except by direct means',100,2,12),
(50278,43218,'Must not be engaged in pvp combat',100,1,13),
(50279,10043218,'When Equipped:',100,0,0),
(50280,10043218,'On a critical spell hit this spell may cast Vital Exposure V on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(50281,10043218,'Inflicts 63 - 70 disease damage on target instantly and every 2 seconds',100,2,2),
(50282,10043218,'Inflicts an additional 6 - 6 disease damage on target every tick',100,2,3),
(50283,10043218,'Decreases the target''s physical mitigation over time.',100,2,4),
(50284,10043218,'Must not be engaged in pvp combat',100,2,5),
(50285,10043218,'Cannot be modified except by direct means',100,2,6),
(50286,10043218,'On a critical combat hit this spell may cast Vital Exposure V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(50287,10043218,'Inflicts 63 - 70 disease damage on target instantly and every 2 seconds',100,2,8),
(50288,10043218,'Inflicts an additional 6 - 6 disease damage on target every tick',100,2,9),
(50289,10043218,'Decreases the target''s physical mitigation over time.',100,2,10),
(50290,10043218,'Must not be engaged in pvp combat',100,2,11),
(50291,10043218,'Cannot be modified except by direct means',100,2,12),
(50292,10043218,'Must not be engaged in pvp combat',100,1,13),
(50293,151065,'Applies Faydark Restorative when Equipped.',100,0,0),
(50294,151065,'Increases Max Health of caster by 29.4',100,1,1),
(50295,10151065,'Applies Faydark Restorative when Equipped.',100,0,0),
(50296,10151065,'Increases Max Health of caster by 29.4',100,1,1),
(50297,36213,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(50298,24359,'Adds Boss: Ettin (Guardian) to your Dungeon Maker toolbox',100,0,0),
(50299,10024359,'Adds Boss: Ettin (Guardian) to your Dungeon Maker toolbox',100,0,0),
(50300,45596,'Applies Clouded Elixir of Constitution when Activated.',100,0,0),
(50301,45596,'Heals caster for 175',100,1,1),
(50302,45596,'Only affects targets level 50 and above',100,1,2),
(50303,10045596,'Applies Clouded Elixir of Constitution when Activated.',100,0,0),
(50304,10045596,'Heals caster for 114',100,1,1),
(50305,10045596,'Only affects targets level 50 and above',100,1,2),
(50306,111554,'Inflicts 573 - 1064 cold damage on target',100,1,0),
(50307,10111554,'Inflicts 492 - 914 cold damage on target',100,1,0),
(50308,81625,'When Equipped:',100,0,0),
(50309,81625,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50310,81625,'Inflicts 215 - 399 magic damage on target',100,2,2),
(50311,81625,'Decreases Threat to target by 376 ',100,2,3),
(50312,81625,'Must be flanking or behind',100,3,4),
(50313,81625,'Increases Threat to target by 658 ',100,2,5),
(50314,81625,'Must be in front of',100,3,6),
(50315,81625,'Cannot be modified except by direct means',100,2,7),
(50316,10081625,'When Equipped:',100,0,0),
(50317,10081625,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50318,10081625,'Inflicts 215 - 399 magic damage on target',100,2,2),
(50319,10081625,'Cannot be modified except by direct means',100,2,3),
(50320,71649,'When Equipped:',100,0,0),
(50321,71649,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50322,71649,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(50323,71649,'Cannot be modified except by direct means',100,2,3),
(50324,10071649,'When Equipped:',100,0,0),
(50325,10071649,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50326,10071649,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(50327,10071649,'Cannot be modified except by direct means',100,2,3),
(50328,37023,'Increases INT of target by 6.2',100,0,0),
(50329,37023,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(50330,123916,'Increases STR and WIS of target by 36.4',100,1,0),
(50331,123916,'Increases Mitigation of target vs elemental, noxious and arcane damage by 109',100,1,1),
(50332,10123916,'Increases STR and WIS of target by 36.4',100,1,0),
(50333,10123916,'Increases Mitigation of target vs elemental, noxious and arcane damage by 109',100,1,1),
(50334,112755,'Interrupts target',100,1,0),
(50335,112755,'Inflicts 629 - 1048 divine damage on target',100,1,1),
(50336,10112755,'Interrupts target',100,1,0),
(50337,10112755,'Inflicts 540 - 900 divine damage on target',100,1,1),
(50338,124500,'Heals group members (AE) for 3204 - 3844',100,1,0),
(50339,10124500,'Heals group members (AE) for 2738 - 3328',100,1,0),
(50340,113478,'Increases INT of target by 130.7',100,1,0),
(50341,113478,'Increases Max Health of target by 1,088.8',100,1,1),
(50342,10113478,'Increases INT of target by 130.7',100,1,0),
(50343,10113478,'Increases Max Health of target by 1,088.8',100,1,1),
(50344,114658,'Increases Threat to target by 834 - 1,020 ',100,1,0),
(50345,114658,'Interrupts target',100,1,1),
(50346,10114658,'Interrupts target',100,1,0),
(50347,10114658,'Forces target to change their selected target to caster.',100,1,1),
(50348,10114658,'Prevents target from changing targets',100,1,2),
(50349,114650,'Decreases WIS of target by 114.4',100,1,0),
(50350,114650,'Inflicts 6900 - 10796 melee damage on target',100,1,1),
(50351,114650,'You must be sneaking to use this ability.',100,1,2),
(50352,10114650,'Decreases WIS of target by 114.4',100,1,0),
(50353,10114650,'Inflicts 5058 - 8129 melee damage on target',100,1,1),
(50354,10114650,'You must be sneaking to use this ability.',100,1,2),
(50355,116942,'Increases Threat to target by 953 - 1,165 ',100,1,0),
(50356,116942,'Interrupts target',100,1,1),
(50357,10116942,'Forces target to change their selected target to caster.',100,1,0),
(50358,10116942,'Interrupts target',100,1,1),
(50359,10116942,'Prevents target from changing targets',100,1,2),
(50360,117364,'Inflicts 423 - 517 divine damage on target',100,1,0),
(50361,117364,'Inflicts 212 - 259 divine damage on target',100,1,1),
(50362,117364,'If target is undead',100,2,2),
(50363,10117364,'Inflicts 378 - 463 divine damage on target',100,1,0),
(50364,10117364,'Inflicts 167 - 204 divine damage on target',100,1,1),
(50365,10117364,'If target is undead',100,2,2),
(50366,118796,'Wards group members (AE) against 117 points of physical damage',100,1,0),
(50367,118796,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,1),
(50368,10118796,'Wards group members (AE) against 96 points of physical damage',100,1,0),
(50369,10118796,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,1),
(50370,117950,'Heals target for 4655 - 5471',100,1,0),
(50371,117950,'Increases Max Health of target by 167.2',100,1,1),
(50372,10117950,'Heals target for 3577 - 4315',100,1,0),
(50373,10117950,'Increases Max Health of target by 167.2',100,1,1),
(50374,117651,'Decreases Mitigation of target vs physical damage by 84',100,1,0),
(50375,10117651,'Decreases Mitigation of target vs physical damage by 42',100,1,0),
(50376,85441,'When Equipped:',100,0,0),
(50377,85441,'Increases Attack Speed of caster by 35.0',100,1,1),
(50378,10085441,'When Equipped:',100,0,0),
(50379,10085441,'Increases Attack Speed of caster by 35.0',100,1,1),
(50380,48518,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(50381,48518,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(50382,48518,'Inflicts 154 poison damage on target',100,2,2),
(50383,48518,'Inflicts 135 poison damage on target instantly and every 6 seconds',100,2,3),
(50384,48518,'Cannot be modified except by direct means',100,2,4),
(50385,48518,'Grants a total of 200 triggers of the spell.',100,2,5),
(50386,10048518,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(50387,10048518,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(50388,10048518,'Inflicts 116 poison damage on target',100,2,2),
(50389,10048518,'Inflicts 101 poison damage on target instantly and every 6 seconds',100,2,3),
(50390,10048518,'Cannot be modified except by direct means',100,2,4),
(50391,10048518,'Grants a total of 200 triggers of the spell.',100,2,5),
(50392,47946,'Applies Draw upon Essence when Activated.',100,0,0),
(50393,47946,'Increases power of caster by 635',100,1,1),
(50394,47946,'Requires 715 Health to cast.',100,1,2),
(50395,10047946,'Applies Draw upon Essence when Activated.',100,0,0),
(50396,10047946,'Increases power of caster by 635',100,1,1),
(50397,10047946,'Requires 715 Health to cast.',100,1,2),
(50398,79352,'When Equipped:',100,0,0),
(50399,79352,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(50400,10079352,'When Equipped:',100,0,0),
(50401,10079352,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(50402,102357,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(50403,102357,'Increases Damage Per Second of target by 14.9',100,2,1),
(50404,102357,'Increases Attack Speed of target by 14.9',100,2,2),
(50405,102357,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(50406,102357,'Increases Damage Per Second of target by 14.9',100,2,4),
(50407,102357,'Increases Attack Speed of target by 14.9',100,2,5),
(50408,102357,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(50409,102357,'Increases Damage Per Second of target by 14.9',100,2,7),
(50410,102357,'Increases Attack Speed of target by 14.9',100,2,8),
(50411,10102357,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(50412,10102357,'Increases Damage Per Second of target by 14.9',100,2,1),
(50413,10102357,'Increases Attack Speed of target by 14.9',100,2,2),
(50414,10102357,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(50415,10102357,'Increases Damage Per Second of target by 14.9',100,2,4),
(50416,10102357,'Increases Attack Speed of target by 14.9',100,2,5),
(50417,10102357,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(50418,10102357,'Increases Damage Per Second of target by 14.9',100,2,7),
(50419,10102357,'Increases Attack Speed of target by 14.9',100,2,8),
(50420,115681,'Inflicts 1115 - 1909 melee damage on target',100,129,0),
(50421,115681,'Inflicts 112 - 332 melee damage on target',100,1,1),
(50422,115681,'Inflicts 112 - 332 melee damage on target',100,1,2),
(50423,115681,'Inflicts 112 - 332 melee damage on target',100,1,3),
(50424,115681,'Inflicts 112 - 332 melee damage on target',100,1,4),
(50425,115681,'Inflicts 112 - 332 melee damage on target',100,1,5),
(50426,115681,'Inflicts 112 - 332 melee damage on target',100,1,6),
(50427,115681,'Inflicts 112 - 332 melee damage on target',100,1,7),
(50428,115681,'Inflicts 112 - 332 melee damage on target',100,1,8),
(50429,10115681,'Inflicts 892 - 1138 melee damage on target',100,129,0),
(50430,10115681,'Inflicts 90 - 266 melee damage on target',100,1,1),
(50431,10115681,'Inflicts 90 - 266 melee damage on target',100,1,2),
(50432,10115681,'Inflicts 90 - 266 melee damage on target',100,1,3),
(50433,10115681,'Inflicts 90 - 266 melee damage on target',100,1,4),
(50434,10115681,'Inflicts 90 - 266 melee damage on target',100,1,5),
(50435,10115681,'Inflicts 90 - 266 melee damage on target',100,1,6),
(50436,10115681,'Inflicts 90 - 266 melee damage on target',100,1,7),
(50437,10115681,'Inflicts 90 - 266 melee damage on target',100,1,8),
(50438,48355,'Applies Clear Voice when Activated.  Lasts for 1 minute.',100,0,0),
(50439,48355,'Makes caster immune to Stifle effects',100,1,1),
(50440,10048355,'Applies Clear Voice when Activated.  Lasts for 1 minute.',100,0,0),
(50441,10048355,'Makes caster immune to Stifle effects',100,1,1),
(50442,111946,'Inflicts 227 - 278 disease damage on target',100,1,0),
(50443,111946,'Decreases Mitigation of target vs noxious damage by 113',100,1,1),
(50444,10111946,'Inflicts 229 - 280 disease damage on target',100,1,0),
(50445,10111946,'Decreases Mitigation of target vs noxious damage by 113',100,1,1),
(50446,45301,'Applies Call Battlehardened Fighting Warg when Activated.',100,0,0),
(50447,45301,'Summons a mount to ride',100,1,1),
(50448,45301,'Increases your ground speed by 130%',100,2,2),
(50449,45301,'Increases Aggression, Crushing, Ranged, Piercing and Slashing of caster by 5.0',100,1,3),
(50450,10045301,'Applies Call Battlehardened Fighting Warg when Activated.',100,0,0),
(50451,10045301,'Summons a mount to ride',100,1,1),
(50452,10045301,'Increases your ground speed by 130%',100,2,2),
(50453,10045301,'Increases Aggression, Crushing, Ranged, Piercing and Slashing of caster by 5.0',100,1,3),
(50454,82173,'When Equipped:',100,0,0),
(50455,82173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50456,82173,'Inflicts 61 - 114 magic damage on target',100,2,2),
(50457,82173,'Cannot be modified except by direct means',100,2,3),
(50458,10082173,'When Equipped:',100,0,0),
(50459,10082173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50460,10082173,'Inflicts 61 - 114 magic damage on target',100,2,2),
(50461,10082173,'Cannot be modified except by direct means',100,2,3),
(50462,122556,'Heals caster for 639',100,1,0),
(50463,122556,'Inflicts 2181 - 3387 melee damage on target',100,1,1),
(50464,10122556,'Heals caster for 327',100,1,0),
(50465,10122556,'Inflicts 1574 - 2480 melee damage on target',100,1,1),
(50466,46075,'Applies Elixir of Focus when Activated.  Lasts for 30.0 seconds.',100,0,0),
(50467,46075,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(50468,10046075,'Applies Elixir of Focus when Activated.  Lasts for 30.0 seconds.',100,0,0),
(50469,10046075,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(50470,100097,'Decreases STR, AGI, WIS and INT of target by 4.7',100,1,0),
(50471,100097,'Decreases Max Health of target by 0.7%',100,1,1),
(50472,10100097,'Decreases STR, AGI, WIS and INT of target by 4.7',100,1,0),
(50473,10100097,'Decreases Max Health of target by 0.7%',100,1,1),
(50474,113960,'Decreases power of target encounter by 416 instantly and every 4 seconds',100,1,0),
(50475,113960,'Increases power of group members (AE) by 49 instantly and every 4 seconds',100,1,1),
(50476,10113960,'Decreases power of target encounter by 328 instantly and every 4 seconds',100,1,0),
(50477,10113960,'Increases power of group members (AE) by 49 instantly and every 4 seconds',100,1,1),
(50478,117695,'Reduces the hate position of all non-fighter group members on target encounter.',100,1,0),
(50479,117695,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',100,1,1),
(50480,10117695,'Forces target encounter to change their selected target to caster.',100,1,0),
(50481,10117695,'Prevents target encounter from changing targets',100,1,1),
(50482,114566,'Heals target for 265 - 324',100,1,0),
(50483,10114566,'Heals target for 148 - 181',100,1,0),
(50484,140275,'When Equipped:',100,0,0),
(50485,140275,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(50486,140275,'Decreases Damage Per Second of target by 10.0',100,2,2),
(50487,140275,'Cannot be modified except by direct means',100,2,3),
(50488,10140275,'When Equipped:',100,0,0),
(50489,10140275,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(50490,10140275,'Decreases Damage Per Second of target by 10.0',100,2,2),
(50491,10140275,'Cannot be modified except by direct means',100,2,3),
(50492,35036,'Increases INT and STA of target by 77.0',100,0,0),
(50493,35036,'Increases outgoing damaging spell amount by 2%',100,0,1),
(50494,35036,'Increases Out-of-Combat Health Regeneration of target by 247.8',100,0,2),
(50495,118022,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(50496,118022,'Stuns target',100,2,1),
(50497,118022,'If Target is not Epic',100,3,2),
(50498,118022,'Inflicts 334 - 557 divine damage on target',100,2,3),
(50499,118022,'Grants a total of 3 triggers of the spell.',100,2,4),
(50500,10118022,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(50501,10118022,'Stuns target',100,2,1),
(50502,10118022,'If Target is not Epic',100,3,2),
(50503,10118022,'Inflicts 263 - 439 divine damage on target',100,2,3),
(50504,10118022,'Grants a total of 3 triggers of the spell.',100,2,4),
(50505,100462,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(50506,100462,'Decreases Threat to target by 98 ',100,2,1),
(50507,100462,'If not fighter',100,2,2),
(50508,100462,'Decreases Hate Gain of group members (AE) by 16.7%',100,1,3),
(50509,100462,'If not fighter',100,2,4),
(50510,10100462,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(50511,10100462,'If not fighter',100,2,1),
(50512,10100462,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(50513,10100462,'Inflicts 73 - 81 crushing damage on target',100,2,3),
(50514,10100462,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(50515,10100462,'If not fighter',100,2,5),
(50516,10100462,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(50517,10100462,'If not fighter',100,2,7),
(50518,10100462,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(50519,10100462,'If not fighter',100,2,9),
(50520,117000,'Inflicts 339 - 1002 melee damage on target',100,1,0),
(50521,10117000,'Inflicts 270 - 800 melee damage on target',100,1,0),
(50522,116732,'Inflicts 3965 - 5928 melee damage on target',100,1,0),
(50523,10116732,'Inflicts 2745 - 4292 melee damage on target',100,1,0),
(50524,80608,'When Equipped:',100,0,0),
(50525,80608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50526,80608,'Inflicts 106 - 197 magic damage on target',100,2,2),
(50527,80608,'Cannot be modified except by direct means',100,2,3),
(50528,10080608,'When Equipped:',100,0,0),
(50529,10080608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50530,10080608,'Inflicts 106 - 197 magic damage on target',100,2,2),
(50531,10080608,'Cannot be modified except by direct means',100,2,3),
(50532,175643,'When Equipped:',100,0,0),
(50533,175643,'Increases Attack Speed of caster by 45.0',100,1,1),
(50534,10175643,'When Equipped:',100,0,0),
(50535,10175643,'Increases Attack Speed of caster by 45.0',100,1,1),
(50536,103314,'Applies Migraine on termination.',100,1,0),
(50537,103314,'Inflicts 455 - 616 mental damage on target',100,2,1),
(50538,103314,'Inflicts 627 - 766 mental damage on target',100,1,2),
(50539,103314,'Inflicts 179 - 219 mental damage on target every 6 seconds',100,1,3),
(50540,10103314,'Applies Migraine on termination.',100,1,0),
(50541,10103314,'Inflicts 373 - 504 mental damage on target',100,2,1),
(50542,10103314,'Inflicts 536 - 567 mental damage on target',100,1,2),
(50543,10103314,'Inflicts 141 - 172 mental damage on target every 6 seconds',100,1,3),
(50544,106111,'Increases Attack Speed of caster by 24.9',100,1,0),
(50545,106111,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(50546,106111,'Stuns target',100,2,2),
(50547,106111,'Throws target back',100,2,3),
(50548,106111,'Blurs vision of target',100,2,4),
(50549,106111,'Does not affect Epic targets',100,2,5),
(50550,10106111,'Increases Attack Speed of caster by 24.9',100,1,0),
(50551,10106111,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(50552,10106111,'Stuns target',100,2,2),
(50553,10106111,'Throws target back',100,2,3),
(50554,10106111,'Blurs vision of target',100,2,4),
(50555,10106111,'Does not affect Epic targets',100,2,5),
(50556,81681,'When Equipped:',100,0,0),
(50557,81681,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50558,81681,'Inflicts 151 - 280 magic damage on target',100,2,2),
(50559,81681,'Decreases Threat to target by 259 ',100,2,3),
(50560,81681,'Must be flanking or behind',100,3,4),
(50561,81681,'Increases Threat to target by 453 ',100,2,5),
(50562,81681,'Must be in front of',100,3,6),
(50563,81681,'Cannot be modified except by direct means',100,2,7),
(50564,10081681,'When Equipped:',100,0,0),
(50565,10081681,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50566,10081681,'Inflicts 151 - 280 magic damage on target',100,2,2),
(50567,10081681,'Cannot be modified except by direct means',100,2,3),
(50568,109191,'Applies Blind.  Lasts for 9.0 seconds.',100,1,0),
(50569,109191,'Dazes target',100,2,1),
(50570,109191,'Blurs vision of target',100,2,2),
(50571,109191,'Dispelled when target takes damage',100,2,3),
(50572,109191,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(50573,109191,'Roots target',100,1,5),
(50574,109191,'5% chance to dispel when target takes damage',100,1,6),
(50575,109191,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(50576,109191,'Resistibility increases against targets higher than level 112.',100,1,8),
(50577,10109191,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(50578,10109191,'Dazes target',100,2,1),
(50579,10109191,'Blurs vision of target',100,2,2),
(50580,10109191,'Dispelled when target takes damage',100,2,3),
(50581,10109191,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(50582,10109191,'Roots target',100,1,5),
(50583,10109191,'5% chance to dispel when target takes damage',100,1,6),
(50584,10109191,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(50585,10109191,'Resistibility increases against targets higher than level 112.',100,1,8),
(50586,124286,'Wards group members (AE) against 2137 points of elemental damage',100,1,0),
(50587,124286,'Increases Mitigation of group members (AE) vs elemental damage by 406',100,1,1),
(50588,10124286,'Wards group members (AE) against 1752 points of elemental damage',100,1,0),
(50589,10124286,'Increases Mitigation of group members (AE) vs elemental damage by 406',100,1,1),
(50590,75611,'Applies Holy Strike when Activated.',100,0,0),
(50591,75611,'Inflicts 145 - 242 divine damage on target',100,1,1),
(50592,75611,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(50593,10075611,'Applies Holy Strike when Activated.',100,0,0),
(50594,10075611,'Inflicts 145 - 242 divine damage on target',100,1,1),
(50595,10075611,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(50596,108934,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(50597,108934,'Inflicts 221 heat damage on target',100,2,1),
(50598,10108934,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(50599,10108934,'Inflicts 180 heat damage on target',100,2,1),
(50600,36195,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(50601,36195,'This effect suspends during combat',100,0,1),
(50602,40782,'When Equipped:',100,0,0),
(50603,40782,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(50604,10040782,'When Equipped:',100,0,0),
(50605,10040782,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(50606,48363,'Applies Summon T''Vosh when Activated.',100,0,0),
(50607,48363,'Summons a mount to ride',100,1,1),
(50608,48363,'Increases your ground speed by 130%',100,2,2),
(50609,48363,'Increases Crit Bonus of caster by 2.0%',100,1,3),
(50610,48363,'Increases Potency of caster by 2.0%',100,1,4),
(50611,48363,'Increases Max Power of caster by 200.0',100,1,5),
(50612,48363,'If above level 80',100,1,6),
(50613,10048363,'Applies Summon T''Vosh when Activated.',100,0,0),
(50614,10048363,'Summons a mount to ride',100,1,1),
(50615,10048363,'Increases your ground speed by 130%',100,2,2),
(50616,10048363,'Increases Crit Bonus of caster by 2.0%',100,1,3),
(50617,10048363,'Increases Potency of caster by 2.0%',100,1,4),
(50618,10048363,'Increases Max Power of caster by 200.0',100,1,5),
(50619,10048363,'If above level 80',100,1,6),
(50620,103173,'Throws target back',100,1,0),
(50621,103173,'If Target is not Epic',100,2,1),
(50622,103173,'Inflicts 1360 - 3668 crushing damage on target',100,1,2),
(50623,103173,'Stuns target',100,1,3),
(50624,103173,'If Target is not Epic',100,2,4),
(50625,103173,'Resistibility increases against targets higher than level 108.',100,1,5),
(50626,10103173,'Throws target back',100,1,0),
(50627,10103173,'If Target is not Epic',100,2,1),
(50628,10103173,'Inflicts 1069 - 2511 crushing damage on target',100,1,2),
(50629,10103173,'Stuns target',100,1,3),
(50630,10103173,'If Target is not Epic',100,2,4),
(50631,10103173,'Resistibility increases against targets higher than level 108.',100,1,5),
(50632,82904,'When Equipped:',100,0,0),
(50633,82904,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50634,82904,'Inflicts 449 - 834 magic damage on target',100,2,2),
(50635,82904,'Decreases Threat to target by 833 ',100,2,3),
(50636,82904,'Must be flanking or behind',100,3,4),
(50637,82904,'Increases Threat to target by 1,293 ',100,2,5),
(50638,82904,'Must be in front of',100,3,6),
(50639,82904,'Cannot be modified except by direct means',100,2,7),
(50640,10082904,'When Equipped:',100,0,0),
(50641,10082904,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50642,10082904,'Inflicts 449 - 834 magic damage on target',100,2,2),
(50643,10082904,'Cannot be modified except by direct means',100,2,3),
(50644,100960,'Dazes target',100,1,0),
(50645,100960,'Inflicts 3720 - 4329 mental damage on target',100,1,1),
(50646,100960,'Epic targets gain an immunity to Daze effects of 31.5 seconds and duration is reduced to 3.5 seconds.',100,1,2),
(50647,100960,'Resistibility increases against targets higher than level 96.',100,1,3),
(50648,10100960,'Dazes target',100,1,0),
(50649,10100960,'Inflicts 2553 - 3032 mental damage on target',100,1,1),
(50650,10100960,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(50651,10100960,'Resistibility increases against targets higher than level 96.',100,1,3),
(50652,123191,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(50653,123191,'Inflicts 80 - 97 disease damage on target',100,2,1),
(50654,123191,'Heals caster for 33 - 40',100,2,2),
(50655,123191,'This effect cannot be critically applied.',100,3,3),
(50656,123191,'The healing of this spell cannot be modified except by direct means',100,2,4),
(50657,123191,'Grants a total of 5 triggers of the spell.',100,2,5),
(50658,10123191,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(50659,10123191,'Inflicts 64 - 78 disease damage on target',100,2,1),
(50660,10123191,'Heals caster for 12 - 15',100,2,2),
(50661,10123191,'This effect cannot be critically applied.',100,3,3),
(50662,10123191,'The healing of this spell cannot be modified except by direct means',100,2,4),
(50663,10123191,'Grants a total of 5 triggers of the spell.',100,2,5),
(50664,108722,'Inflicts 3488 heat damage on target',100,1,0),
(50665,108722,'Inflicts 560 heat damage on target every 4 seconds',100,1,1),
(50666,10108722,'Inflicts 3160 heat damage on target',100,1,0),
(50667,10108722,'Inflicts 441 heat damage on target every 4 seconds',100,1,1),
(50668,123677,'Increases Damage Per Second of target by 35.9',100,1,0),
(50669,10123677,'Increases Damage Per Second of target by 35.9',100,1,0),
(50670,72303,'When Equipped:',100,0,0),
(50671,72303,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50672,72303,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(50673,72303,'Cannot be modified except by direct means',100,2,3),
(50674,10072303,'When Equipped:',100,0,0),
(50675,10072303,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50676,10072303,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(50677,10072303,'Cannot be modified except by direct means',100,2,3),
(50678,120732,'Inflicts 3882 - 5791 melee damage on target',100,1,0),
(50679,120732,'Interrupts target',100,1,1),
(50680,10120732,'Inflicts 2721 - 4252 melee damage on target',100,1,0),
(50681,10120732,'Interrupts target',100,1,1),
(50682,45384,'Applies Call Nightmare when Activated.',100,0,0),
(50683,45384,'Summons a mount to ride',100,1,1),
(50684,45384,'Increases your ground speed by 135%',100,2,2),
(50685,45384,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 450',100,1,3),
(50686,10045384,'Applies Call Nightmare when Activated.',100,0,0),
(50687,10045384,'Summons a mount to ride',100,1,1),
(50688,10045384,'Increases your ground speed by 135%',100,2,2),
(50689,10045384,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 450',100,1,3),
(50690,107440,'Summons a pet earthen avatar',100,1,0),
(50691,10107440,'Summons a pet earthen avatar',100,1,0),
(50692,115674,'Inflicts 597 - 1269 melee damage on target',100,129,0),
(50693,115674,'Inflicts 76 - 226 melee damage on target',100,1,1),
(50694,115674,'Inflicts 76 - 226 melee damage on target',100,1,2),
(50695,115674,'Inflicts 76 - 226 melee damage on target',100,1,3),
(50696,115674,'Inflicts 76 - 226 melee damage on target',100,1,4),
(50697,115674,'Inflicts 76 - 226 melee damage on target',100,1,5),
(50698,115674,'Inflicts 76 - 226 melee damage on target',100,1,6),
(50699,115674,'Inflicts 76 - 226 melee damage on target',100,1,7),
(50700,115674,'Inflicts 76 - 226 melee damage on target',100,1,8),
(50701,10115674,'Inflicts 528 - 791 melee damage on target',100,129,0),
(50702,10115674,'Inflicts 61 - 181 melee damage on target',100,1,1),
(50703,10115674,'Inflicts 61 - 181 melee damage on target',100,1,2),
(50704,10115674,'Inflicts 61 - 181 melee damage on target',100,1,3),
(50705,10115674,'Inflicts 61 - 181 melee damage on target',100,1,4),
(50706,10115674,'Inflicts 61 - 181 melee damage on target',100,1,5),
(50707,10115674,'Inflicts 61 - 181 melee damage on target',100,1,6),
(50708,10115674,'Inflicts 61 - 181 melee damage on target',100,1,7),
(50709,10115674,'Inflicts 61 - 181 melee damage on target',100,1,8),
(50710,102254,'Inflicts 608 - 1009 melee damage on targets in area',100,1,0),
(50711,10102254,'Inflicts 490 - 812 melee damage on targets in area',100,1,0),
(50712,26101,'When Equipped:',100,0,0),
(50713,26101,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(50714,26101,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,2),
(50715,10026101,'When Equipped:',100,0,0),
(50716,10026101,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(50717,10026101,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,2),
(50718,104783,'Charms target',100,1,0),
(50719,104783,'If outside an arena',100,1,1),
(50720,104783,'Certain enemies cannot be charmed',100,1,2),
(50721,104783,'Does not affect Epic targets',100,1,3),
(50722,10104783,'Charms target',100,1,0),
(50723,10104783,'If outside an arena',100,1,1),
(50724,10104783,'Certain enemies cannot be charmed',100,1,2),
(50725,10104783,'Does not affect Epic targets',100,1,3),
(50726,124432,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(50727,124432,'Inflicts 259 - 430 melee damage on target',100,2,1),
(50728,124432,'Decreases Defense of caster by 5.1',100,1,2),
(50729,124432,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.2',100,1,3),
(50730,10124432,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(50731,10124432,'Inflicts 204 - 339 melee damage on target',100,2,1),
(50732,10124432,'Decreases Defense of caster by 5.1',100,1,2),
(50733,10124432,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.2',100,1,3),
(50734,46573,'Applies elemental remedy when Activated.',100,0,0),
(50735,46573,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(50736,10046573,'Applies elemental remedy when Activated.',100,0,0),
(50737,10046573,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(50738,114818,'Dazes caster',100,1,0),
(50739,114818,'Roots caster',100,1,1),
(50740,114818,'Increases Mitigation of caster vs physical damage by 800',100,1,2),
(50741,10114818,'Dazes caster',100,1,0),
(50742,10114818,'Roots caster',100,1,1),
(50743,10114818,'Increases Mitigation of caster vs physical damage by 800',100,1,2),
(50744,121065,'Increases STR and STA of group members (AE) by 43.0',100,1,0),
(50745,10121065,'Increases STR and STA of group members (AE) by 43.0',100,1,0),
(50746,47625,'Applies Power Root when Activated.',100,0,0),
(50747,47625,'Increases power of caster by 16.0%',100,1,1),
(50748,10047625,'Applies Power Root when Activated.',100,0,0),
(50749,10047625,'Increases power of caster by 16.0%',100,1,1),
(50750,24752,'Adds Vultak (Fury) to your Dungeon Maker toolbox',100,0,0),
(50751,10024752,'Adds Vultak (Fury) to your Dungeon Maker toolbox',100,0,0),
(50752,107739,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(50753,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,1),
(50754,107739,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(50755,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,3),
(50756,107739,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(50757,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,5),
(50758,107739,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(50759,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,7),
(50760,107739,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(50761,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,9),
(50762,107739,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(50763,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,11),
(50764,107739,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(50765,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,13),
(50766,107739,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(50767,107739,'Inflicts 2564 - 4036 melee damage on target',100,2,15),
(50768,10107739,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(50769,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,1),
(50770,10107739,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(50771,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,3),
(50772,10107739,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(50773,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,5),
(50774,10107739,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(50775,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,7),
(50776,10107739,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(50777,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,9),
(50778,10107739,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(50779,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,11),
(50780,10107739,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(50781,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,13),
(50782,10107739,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(50783,10107739,'Inflicts 1130 - 1788 melee damage on target',100,2,15),
(50784,105145,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(50785,105145,'Increases AGI of caster by 14.6',100,1,1),
(50786,105145,'Adds 1.5% to base avoidance.',100,1,2),
(50787,105145,'Decreases Slashing and Piercing of caster by 13.8',100,1,3),
(50788,105145,'Increases Parry of caster by 8.1',100,1,4),
(50789,105145,'Increases Defense of caster by 10.8',100,1,5),
(50790,10105145,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(50791,10105145,'Increases AGI of caster by 14.6',100,1,1),
(50792,10105145,'Adds 1.5% to base avoidance.',100,1,2),
(50793,10105145,'Decreases Slashing and Piercing of caster by 13.8',100,1,3),
(50794,10105145,'Increases Parry of caster by 8.1',100,1,4),
(50795,10105145,'Increases Defense of caster by 10.8',100,1,5),
(50796,109986,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,0),
(50797,109986,'Increases Threat to targets in Area of Effect by 11,541 - 13,746  instantly and by 11,213 - 13,419  every 4 seconds thereafter',100,1,1),
(50798,109986,'Inflicts 4991 - 7322 disease damage on targets in Area of Effect',100,1,2),
(50799,109986,'Inflicts 2332 - 3497 disease damage on targets in Area of Effect every 4 seconds',100,1,3),
(50800,10109986,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(50801,10109986,'Prevents target from changing targets',100,2,1),
(50802,10109986,'Forces target to change their selected target to caster.',100,2,2),
(50803,10109986,'Inflicts 3807 - 5645 disease damage on targets in Area of Effect',100,1,3),
(50804,10109986,'Inflicts 1838 - 2757 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(50805,108841,'Inflicts 1349 - 1909 melee damage on target',100,129,0),
(50806,108841,'Inflicts 339 - 563 melee damage on target',100,1,1),
(50807,108841,'Inflicts 339 - 563 melee damage on target',100,1,2),
(50808,108841,'Inflicts 339 - 563 melee damage on target',100,1,3),
(50809,108841,'Inflicts 339 - 563 melee damage on target',100,1,4),
(50810,108841,'Inflicts 339 - 563 melee damage on target',100,1,5),
(50811,10108841,'Inflicts 892 - 1138 melee damage on target',100,129,0),
(50812,10108841,'Inflicts 272 - 451 melee damage on target',100,1,1),
(50813,10108841,'Inflicts 272 - 451 melee damage on target',100,1,2),
(50814,10108841,'Inflicts 272 - 451 melee damage on target',100,1,3),
(50815,10108841,'Inflicts 272 - 451 melee damage on target',100,1,4),
(50816,10108841,'Inflicts 272 - 451 melee damage on target',100,1,5),
(50817,116560,'Inflicts 992 - 1645 melee damage on targets in area',100,1,0),
(50818,116560,'You must be in stealth to use this!',100,1,1),
(50819,10116560,'Inflicts 781 - 1243 melee damage on targets in area',100,1,0),
(50820,10116560,'You must be in stealth to use this!',100,1,1),
(50821,138513,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(50822,138513,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 193',100,1,1),
(50823,138513,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(50824,10138513,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(50825,10138513,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 193',100,1,1),
(50826,10138513,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(50827,45259,'Applies Calibrated Tools when Equipped.',100,0,0),
(50828,45259,'Increases success chance by 2.0%',100,1,1),
(50829,10045259,'Applies Calibrated Tools when Equipped.',100,0,0),
(50830,10045259,'Increases success chance by 2.0%',100,1,1),
(50831,103555,'Increases In-Combat Power Regeneration of group members (AE) by 25.9',100,1,0),
(50832,10103555,'Increases In-Combat Power Regeneration of group members (AE) by 25.9',100,1,0),
(50833,115156,'Heals target for 491 - 600',100,1,0),
(50834,10115156,'Heals target for 455 - 557',100,1,0),
(50835,122479,'Inflicts 572 - 954 mental damage on targets in Area of Effect',100,1,0),
(50836,10122479,'Inflicts 468 - 776 mental damage on targets in Area of Effect',100,1,0),
(50837,70007,'When Equipped:',100,0,0),
(50838,70007,'On a combat hit this spell may cast Ten Thousand Pinholes on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50839,70007,'Inflicts 262 - 392 piercing damage on target',100,2,2),
(50840,70007,'Inflicts 262 - 392 piercing damage on target',100,2,3),
(50841,70007,'Inflicts 262 - 392 piercing damage on target',100,2,4),
(50842,70007,'Inflicts 262 - 392 piercing damage on target',100,2,5),
(50843,70007,'Cannot be modified except by direct means',100,2,6),
(50844,10070007,'When Equipped:',100,0,0),
(50845,10070007,'On a combat hit this spell may cast Ten Thousand Pinholes on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50846,10070007,'Inflicts 262 - 392 piercing damage on target',100,2,2),
(50847,10070007,'Inflicts 262 - 392 piercing damage on target',100,2,3),
(50848,10070007,'Inflicts 262 - 392 piercing damage on target',100,2,4),
(50849,10070007,'Inflicts 262 - 392 piercing damage on target',100,2,5),
(50850,10070007,'Cannot be modified except by direct means',100,2,6),
(50851,101002,'Increases INT of target by 92.1',100,1,0),
(50852,101002,'Increases Attack Speed of target by 36.8',100,1,1),
(50853,101002,'Decreases Defense and Parry of target by 30.1',100,1,2),
(50854,101002,'Increases Slashing, Piercing and Crushing of target by 20.1',100,1,3),
(50855,10101002,'Increases INT of target by 92.1',100,1,0),
(50856,10101002,'Increases Attack Speed of target by 36.8',100,1,1),
(50857,10101002,'Decreases Defense and Parry of target by 30.1',100,1,2),
(50858,10101002,'Increases Slashing, Piercing and Crushing of target by 20.1',100,1,3),
(50859,118102,'Heals target for 225 - 275',100,1,0),
(50860,10118102,'Heals target for 188 - 230',100,1,0),
(50861,40941,'When Equipped:',100,0,0),
(50862,40941,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(50863,40941,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(50864,40941,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,3),
(50865,40941,'Increases Potency of caster by 3.0%',100,2,4),
(50866,40941,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(50867,40941,'Must not be engaged in pvp combat',100,2,6),
(50868,40941,'Cannot be modified except by direct means',100,2,7),
(50869,40941,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(50870,40941,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,9),
(50871,40941,'Increases Potency of caster by 3.0%',100,2,10),
(50872,40941,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(50873,40941,'Must not be engaged in pvp combat',100,2,12),
(50874,40941,'Cannot be modified except by direct means',100,2,13),
(50875,40941,'Cannot be modified except by direct means',100,1,14),
(50876,10040941,'When Equipped:',100,0,0),
(50877,10040941,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(50878,10040941,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(50879,10040941,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,3),
(50880,10040941,'Increases Potency of caster by 3.0%',100,2,4),
(50881,10040941,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(50882,10040941,'Must not be engaged in pvp combat',100,2,6),
(50883,10040941,'Cannot be modified except by direct means',100,2,7),
(50884,10040941,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(50885,10040941,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,9),
(50886,10040941,'Increases Potency of caster by 3.0%',100,2,10),
(50887,10040941,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(50888,10040941,'Must not be engaged in pvp combat',100,2,12),
(50889,10040941,'Cannot be modified except by direct means',100,2,13),
(50890,10040941,'Cannot be modified except by direct means',100,1,14),
(50891,124828,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 684',100,1,0),
(50892,10124828,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 684',100,1,0),
(50893,80799,'When Equipped:',100,0,0),
(50894,80799,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50895,80799,'Inflicts 332 - 617 magic damage on target',100,2,2),
(50896,80799,'Cannot be modified except by direct means',100,2,3),
(50897,10080799,'When Equipped:',100,0,0),
(50898,10080799,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(50899,10080799,'Inflicts 332 - 617 magic damage on target',100,2,2),
(50900,10080799,'Cannot be modified except by direct means',100,2,3),
(50901,110986,'Inflicts 10349 - 16526 ranged damage on target',100,1,0),
(50902,110986,'I need to be stealthed!',100,1,1),
(50903,110986,'Requires bow',100,1,2),
(50904,10110986,'Inflicts 4547 - 7285 ranged damage on target',100,1,0),
(50905,10110986,'I need to be stealthed!',100,1,1),
(50906,10110986,'Requires bow',100,1,2),
(50907,45375,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(50908,45375,'Increases speed of caster by 18.9%',100,1,1),
(50909,45375,'This effect suspends during combat',100,1,2),
(50910,10045375,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(50911,10045375,'Increases speed of caster by 18.9%',100,1,1),
(50912,10045375,'This effect suspends during combat',100,1,2),
(50913,112058,'Inflicts 267 - 496 heat damage on target',100,1,0),
(50914,112058,'Inflicts 59 - 110 heat damage on target every 3 seconds',100,1,1),
(50915,10112058,'Inflicts 255 - 473 heat damage on target',100,1,0),
(50916,10112058,'Inflicts 47 - 87 heat damage on target every 3 seconds',100,1,1),
(50917,105582,'Decreases power of target encounter by 100 - 123 instantly and every 3 seconds',100,1,0),
(50918,105582,'Inflicts 398 - 599 poison damage on target encounter',100,1,1),
(50919,105582,'Inflicts 234 - 435 poison damage on target encounter every 3 seconds',100,1,2),
(50920,105582,'Heals group members (AE) for 146 - 250',100,1,3),
(50921,105582,'Heals group members (AE) for 58 - 108 every 3 seconds',100,1,4),
(50922,105582,'Increases power of group members (AE) by 22 instantly and every 3 seconds',100,1,5),
(50923,10105582,'Decreases power of target encounter by 79 - 97 instantly and every 3 seconds',100,1,0),
(50924,10105582,'Inflicts 250 - 409 poison damage on target encounter',100,1,1),
(50925,10105582,'Inflicts 185 - 343 poison damage on target encounter every 3 seconds',100,1,2),
(50926,10105582,'Heals group members (AE) for 73 - 98',100,1,3),
(50927,10105582,'Heals group members (AE) for 30 - 56 every 3 seconds',100,1,4),
(50928,10105582,'Increases power of group members (AE) by 18 instantly and every 3 seconds',100,1,5),
(50929,25558,'When Equipped:',100,0,0),
(50930,25558,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,1),
(50931,25558,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(50932,10025558,'When Equipped:',100,0,0),
(50933,10025558,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,1),
(50934,10025558,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(50935,114359,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(50936,114359,'Increases Attack Speed of caster by 21.0',100,130,1),
(50937,114359,'Increases Slashing, Ranged, Crushing and Piercing of caster by 4.5',100,130,2),
(50938,114359,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(50939,114359,'Stuns target',100,2,4),
(50940,114359,'Throws target back',100,2,5),
(50941,114359,'Blurs vision of target',100,2,6),
(50942,114359,'Does not affect Epic targets',100,2,7),
(50943,114359,'Inflicts 645 - 1066 crushing damage on target',100,1,8),
(50944,10114359,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(50945,10114359,'Increases Attack Speed of caster by 21.0',100,130,1),
(50946,10114359,'Increases Slashing, Ranged, Crushing and Piercing of caster by 4.5',100,130,2),
(50947,10114359,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(50948,10114359,'Stuns target',100,2,4),
(50949,10114359,'Throws target back',100,2,5),
(50950,10114359,'Blurs vision of target',100,2,6),
(50951,10114359,'Does not affect Epic targets',100,2,7),
(50952,10114359,'Inflicts 586 - 773 crushing damage on target',100,1,8),
(50953,113417,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(50954,113417,'Increases STA of caster by 109.4',100,1,1),
(50955,113417,'Adds 5.0% to base avoidance.',100,1,2),
(50956,113417,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(50957,113417,'Increases Defense and Aggression of caster by 21.1',100,1,4),
(50958,113417,'Increases Mitigation of caster vs noxious damage by 1408',100,1,5),
(50959,113417,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(50960,113417,'Reduces physical damage done to caster by 5%',100,1,7),
(50961,10113417,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(50962,10113417,'Increases STA of caster by 109.4',100,1,1),
(50963,10113417,'Adds 5.0% to base avoidance.',100,1,2),
(50964,10113417,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(50965,10113417,'Increases Defense and Aggression of caster by 21.1',100,1,4),
(50966,10113417,'Increases Mitigation of caster vs noxious damage by 1408',100,1,5),
(50967,10113417,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(50968,10113417,'Reduces physical damage done to caster by 5%',100,1,7),
(50969,121962,'Inflicts 411 - 685 disease damage on target',100,1,0),
(50970,121962,'Decreases Defense of target by 16.5',100,1,1),
(50971,121962,'Interrupts target',100,1,2),
(50972,10121962,'Inflicts 353 - 588 disease damage on target',100,1,0),
(50973,10121962,'Decreases Defense of target by 16.5',100,1,1),
(50974,10121962,'Interrupts target',100,1,2),
(50975,113789,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(50976,113789,'Heals target for 1101 - 1345',100,2,1),
(50977,10113789,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(50978,10113789,'Heals target for 569 - 676',100,2,1),
(50979,116007,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(50980,116007,'Decreases threat priority of target by 1 position',100,2,1),
(50981,116007,'Decreases Hate Gain of target by 11.8%',100,1,2),
(50982,10116007,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(50983,10116007,'Forces target to clear their selected target.',100,2,1),
(50984,82834,'When Equipped:',100,0,0),
(50985,82834,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50986,82834,'Inflicts 449 - 834 magic damage on target',100,2,2),
(50987,82834,'Decreases Threat to target by 833 ',100,2,3),
(50988,82834,'Must be flanking or behind',100,3,4),
(50989,82834,'Increases Threat to target by 1,293 ',100,2,5),
(50990,82834,'Must be in front of',100,3,6),
(50991,82834,'Cannot be modified except by direct means',100,2,7),
(50992,10082834,'When Equipped:',100,0,0),
(50993,10082834,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(50994,10082834,'Inflicts 449 - 834 magic damage on target',100,2,2),
(50995,10082834,'Cannot be modified except by direct means',100,2,3),
(50996,71814,'When Equipped:',100,0,0),
(50997,71814,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(50998,71814,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(50999,71814,'Cannot be modified except by direct means',100,2,3),
(51000,10071814,'When Equipped:',100,0,0),
(51001,10071814,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51002,10071814,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(51003,10071814,'Cannot be modified except by direct means',100,2,3),
(51004,143881,'When Equipped:',100,0,0),
(51005,143881,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(51006,143881,'Heals group members (AE) for 384',100,2,2),
(51007,143881,'Cannot be modified except by direct means',100,2,3),
(51008,143881,'Cannot be modified except by direct means',100,1,4),
(51009,10143881,'When Equipped:',100,0,0),
(51010,10143881,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(51011,10143881,'Heals group members (AE) for 250',100,2,2),
(51012,10143881,'Cannot be modified except by direct means',100,2,3),
(51013,10143881,'Cannot be modified except by direct means',100,1,4),
(51014,109085,'Inflicts 1737 - 2234 melee damage on target',100,1,0),
(51015,109085,'Inflicts 754 - 1251 melee damage on target',100,1,1),
(51016,109085,'Inflicts 754 - 1251 melee damage on target',100,1,2),
(51017,109085,'Decreases Mitigation of target vs physical damage by 525',100,1,3),
(51018,10109085,'Inflicts 989 - 1381 melee damage on target',100,1,0),
(51019,10109085,'Inflicts 594 - 986 melee damage on target',100,1,1),
(51020,10109085,'Inflicts 594 - 986 melee damage on target',100,1,2),
(51021,10109085,'Decreases Mitigation of target vs physical damage by 525',100,1,3),
(51022,102057,'Interrupts targets in Area of Effect',100,1,0),
(51023,102057,'Inflicts 1882 - 3005 melee damage on targets in area',100,1,1),
(51024,10102057,'Interrupts targets in Area of Effect',100,1,0),
(51025,10102057,'Inflicts 1404 - 2241 melee damage on targets in area',100,1,1),
(51026,81612,'When Equipped:',100,0,0),
(51027,81612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51028,81612,'Inflicts 215 - 399 magic damage on target',100,2,2),
(51029,81612,'Cannot be modified except by direct means',100,2,3),
(51030,10081612,'When Equipped:',100,0,0),
(51031,10081612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51032,10081612,'Inflicts 215 - 399 magic damage on target',100,2,2),
(51033,10081612,'Cannot be modified except by direct means',100,2,3),
(51034,119816,'Adds 1.3% to base avoidance.',100,1,0),
(51035,119816,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(51036,10119816,'Adds 1.3% to base avoidance.',100,1,0),
(51037,10119816,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(51038,113399,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(51039,113399,'Increases STA of caster by 21.1',100,1,1),
(51040,113399,'Adds 5.0% to base avoidance.',100,1,2),
(51041,113399,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(51042,113399,'Increases Defense and Aggression of caster by 2.9',100,1,4),
(51043,113399,'Increases Mitigation of caster vs noxious damage by 246',100,1,5),
(51044,113399,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(51045,113399,'Reduces physical damage done to caster by 5%',100,1,7),
(51046,10113399,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(51047,10113399,'Increases STA of caster by 21.1',100,1,1),
(51048,10113399,'Adds 5.0% to base avoidance.',100,1,2),
(51049,10113399,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(51050,10113399,'Increases Defense and Aggression of caster by 2.9',100,1,4),
(51051,10113399,'Increases Mitigation of caster vs noxious damage by 246',100,1,5),
(51052,10113399,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(51053,10113399,'Reduces physical damage done to caster by 5%',100,1,7),
(51054,112291,'Increases Threat to target by 2,380 - 2,691  instantly and by 262 - 321  every 3 seconds thereafter',100,1,0),
(51055,112291,'Inflicts 256 - 313 disease damage on target',100,1,1),
(51056,112291,'Inflicts 90 - 110 disease damage on target every 3 seconds',100,1,2),
(51057,10112291,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,0),
(51058,10112291,'Inflicts 75 - 92 disease damage on target',100,1,1),
(51059,10112291,'Inflicts 71 - 87 disease damage on target every 3 seconds',100,1,2),
(51060,105205,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(51061,105205,'Inflicts 1140 - 1393 poison damage on target encounter',100,2,1),
(51062,10105205,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(51063,10105205,'Inflicts 898 - 1098 poison damage on target encounter',100,2,1),
(51064,104377,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(51065,104377,'Inflicts 360 - 440 cold damage on target',100,2,1),
(51066,10104377,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(51067,10104377,'Inflicts 283 - 346 cold damage on target',100,2,1),
(51068,113604,'Summons a limited pet to aid the caster',100,1,0),
(51069,10113604,'Summons a limited pet to aid the caster',100,1,0),
(51070,113985,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(51071,113985,'Inflicts 186 - 308 melee damage on target',100,2,1),
(51072,113985,'Increases Threat to target by 835 ',100,2,2),
(51073,10113985,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(51074,10113985,'Inflicts 146 - 243 melee damage on target',100,2,1),
(51075,48899,'Applies Spirit of Determination  when Activated.  Lasts for 15 minutes.',100,0,0),
(51076,48899,'Increases Max Health of caster by 172.5',100,1,1),
(51077,10048899,'Applies Spirit of Determination  when Activated.  Lasts for 15 minutes.',100,0,0),
(51078,10048899,'Increases Max Health of caster by 172.5',100,1,1),
(51079,70947,'When Equipped:',100,0,0),
(51080,70947,'On any combat or spell hit this spell may cast Ayonic Hymn on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51081,70947,'Inflicts 435 - 653 mental damage on target',100,2,2),
(51082,70947,'Increases Crit Chance of caster by 8.0',100,2,3),
(51083,70947,'Cannot be modified except by direct means',100,2,4),
(51084,70947,'Cannot be modified except by direct means',100,1,5),
(51085,10070947,'When Equipped:',100,0,0),
(51086,10070947,'On any combat or spell hit this spell may cast Ayonic Hymn on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51087,10070947,'Inflicts 435 - 653 mental damage on target',100,2,2),
(51088,10070947,'Increases Crit Chance of caster by 8.0',100,2,3),
(51089,10070947,'Cannot be modified except by direct means',100,2,4),
(51090,10070947,'Cannot be modified except by direct means',100,1,5),
(51091,138407,'When Equipped:',100,0,0),
(51092,138407,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51093,138407,'This effect can be stacked by multiple casters.',100,2,2),
(51094,138407,'Increases Mitigation of target vs all damage by 940',100,2,3),
(51095,138407,'Cannot be modified except by direct means',100,2,4),
(51096,10138407,'When Equipped:',100,0,0),
(51097,10138407,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51098,10138407,'This effect can be stacked by multiple casters.',100,2,2),
(51099,10138407,'Increases Mitigation of target vs all damage by 940',100,2,3),
(51100,10138407,'Cannot be modified except by direct means',100,2,4),
(51101,153404,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(51102,153404,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51103,153404,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(51104,153404,'Cannot be modified except by direct means',100,2,3),
(51105,10153404,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(51106,10153404,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51107,10153404,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(51108,10153404,'Cannot be modified except by direct means',100,2,3),
(51109,101384,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(51110,101384,'Reduces physical damage done to caster by 5%',100,1,1),
(51111,101384,'Adds 2.1% to base avoidance.',100,1,2),
(51112,101384,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,3),
(51113,101384,'Increases Aggression of caster by 32.5',100,1,4),
(51114,101384,'Increases Defense and Parry of caster by 52.1',100,1,5),
(51115,101384,'Increases Mitigation of caster vs noxious and arcane damage by 312',100,1,6),
(51116,101384,'Increases Mitigation of caster vs elemental damage by 3117',100,1,7),
(51117,101384,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(51118,10101384,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(51119,10101384,'Reduces physical damage done to caster by 5%',100,1,1),
(51120,10101384,'Adds 2.1% to base avoidance.',100,1,2),
(51121,10101384,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,3),
(51122,10101384,'Increases Aggression of caster by 32.5',100,1,4),
(51123,10101384,'Increases Defense and Parry of caster by 52.1',100,1,5),
(51124,10101384,'Increases Mitigation of caster vs noxious and arcane damage by 312',100,1,6),
(51125,10101384,'Increases Mitigation of caster vs elemental damage by 3117',100,1,7),
(51126,10101384,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(51127,104765,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(51128,104765,'Inflicts 1355 disease damage on target',100,2,1),
(51129,104765,'Heals caster for 362',100,2,2),
(51130,104765,'Heals group members'' pets for 362',100,2,3),
(51131,10104765,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(51132,10104765,'Inflicts 1068 disease damage on target',100,2,1),
(51133,10104765,'Heals caster for 185',100,2,2),
(51134,10104765,'Heals group members'' pets for 185',100,2,3),
(51135,100227,'Increases Threat to target encounter by 4,751 - 5,448 ',100,1,0),
(51136,100227,'Interrupts target encounter',100,1,1),
(51137,10100227,'Interrupts target encounter',100,1,0),
(51138,10100227,'Forces target encounter to change their selected target to caster.',100,1,1),
(51139,10100227,'Prevents target encounter from changing targets',100,1,2),
(51140,114056,'Inflicts 613 - 1015 melee damage on target',100,1,0),
(51141,114056,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(51142,114056,'Grants stealth to caster',100,2,2),
(51143,114056,'Suspends caster''s movement speed enhancements',100,2,3),
(51144,114056,'Must be flanking or behind',100,1,4),
(51145,10114056,'Inflicts 756 - 994 melee damage on target',100,1,0),
(51146,10114056,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(51147,10114056,'Grants stealth to caster',100,2,2),
(51148,10114056,'Suspends caster''s movement speed enhancements',100,2,3),
(51149,10114056,'Must be flanking or behind',100,1,4),
(51150,41557,'When Equipped:',100,0,0),
(51151,41557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51152,41557,'Inflicts 155 - 288 magic damage on target',100,2,2),
(51153,41557,'Cannot be modified except by direct means',100,2,3),
(51154,10041557,'When Equipped:',100,0,0),
(51155,10041557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51156,10041557,'Inflicts 155 - 288 magic damage on target',100,2,2),
(51157,10041557,'Cannot be modified except by direct means',100,2,3),
(51158,47906,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(51159,47906,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(51160,47906,'Inflicts 771 poison damage on target',100,2,2),
(51161,47906,'Heals caster for 330',100,2,3),
(51162,47906,'Cannot be modified except by direct means',100,2,4),
(51163,47906,'Grants a total of 100 triggers of the spell.',100,2,5),
(51164,10047906,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(51165,10047906,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(51166,10047906,'Inflicts 551 poison damage on target',100,2,2),
(51167,10047906,'Heals caster for 134',100,2,3),
(51168,10047906,'Cannot be modified except by direct means',100,2,4),
(51169,10047906,'Grants a total of 100 triggers of the spell.',100,2,5),
(51170,82327,'When Equipped:',100,0,0),
(51171,82327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51172,82327,'Inflicts 369 - 686 magic damage on target',100,2,2),
(51173,82327,'Cannot be modified except by direct means',100,2,3),
(51174,10082327,'When Equipped:',100,0,0),
(51175,10082327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51176,10082327,'Inflicts 369 - 686 magic damage on target',100,2,2),
(51177,10082327,'Cannot be modified except by direct means',100,2,3),
(51178,89579,'When Equipped:',100,0,0),
(51179,89579,'On a hostile spell cast this spell may cast Nature''s Fury on target of spell.  Lasts for 4.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51180,89579,'Inflicts 91 poison damage on target instantly and every second',100,2,2),
(51181,89579,'Slows target by 33.0%',100,2,3),
(51182,89579,'Increases your Spell Damage by 143',100,2,4),
(51183,89579,'Only affects targets level 90 and below',100,2,5),
(51184,89579,'Does not affect Epic targets',100,2,6),
(51185,89579,'Cannot be modified except by direct means',100,2,7),
(51186,89579,'Cannot be modified except by direct means',100,1,8),
(51187,10089579,'When Equipped:',100,0,0),
(51188,10089579,'On a hostile spell cast this spell may cast Nature''s Fury on target of spell.  Lasts for 4.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51189,10089579,'Inflicts 91 poison damage on target instantly and every second',100,2,2),
(51190,10089579,'Slows target by 33.0%',100,2,3),
(51191,10089579,'Increases your Spell Damage by 143',100,2,4),
(51192,10089579,'Only affects targets level 90 and below',100,2,5),
(51193,10089579,'Does not affect Epic targets',100,2,6),
(51194,10089579,'Cannot be modified except by direct means',100,2,7),
(51195,10089579,'Cannot be modified except by direct means',100,1,8),
(51196,26128,'When Equipped:',100,0,0),
(51197,26128,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51198,26128,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(51199,10026128,'When Equipped:',100,0,0),
(51200,10026128,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51201,10026128,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(51202,47564,'Applies Portable Sewing Table when Activated.  Lasts for 15 minutes.',100,0,0),
(51203,47564,'Summons Sewing Table & Mannequin',100,1,1),
(51204,47564,'This effect cancels during combat',100,1,2),
(51205,10047564,'Applies Portable Sewing Table when Activated.  Lasts for 15 minutes.',100,0,0),
(51206,10047564,'Summons Sewing Table & Mannequin',100,1,1),
(51207,10047564,'This effect cancels during combat',100,1,2),
(51208,24627,'Adds Poet''s Palace: Brass Chair to your Dungeon Maker toolbox',100,0,0),
(51209,10024627,'Adds Poet''s Palace: Brass Chair to your Dungeon Maker toolbox',100,0,0),
(51210,150097,'When Equipped:',100,0,0),
(51211,150097,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51212,150097,'Inflicts 281 mental damage on target',100,2,2),
(51213,150097,'Must not be classified as an undead',100,3,3),
(51214,150097,'Inflicts 562 mental damage on target',100,2,4),
(51215,150097,'Must be classified as an undead',100,3,5),
(51216,150097,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(51217,150097,'Must be classified as an undead',100,3,7),
(51218,150097,'Cannot be modified except by direct means',100,2,8),
(51219,150097,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(51220,10150097,'When Equipped:',100,0,0),
(51221,10150097,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51222,10150097,'Inflicts 281 mental damage on target',100,2,2),
(51223,10150097,'Must not be classified as an undead',100,3,3),
(51224,10150097,'Inflicts 562 mental damage on target',100,2,4),
(51225,10150097,'Must be classified as an undead',100,3,5),
(51226,10150097,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(51227,10150097,'Must be classified as an undead',100,3,7),
(51228,10150097,'Cannot be modified except by direct means',100,2,8),
(51229,10150097,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(51230,121628,'Inflicts 2775 - 6477 melee damage on target',100,1,0),
(51231,121628,'Dazes target',100,1,1),
(51232,121628,'If Target is not Epic',100,2,2),
(51233,121628,'Must be flanking or behind',100,1,3),
(51234,121628,'Resistibility increases against targets higher than level 89.',100,1,4),
(51235,10121628,'Inflicts 1860 - 4725 melee damage on target',100,1,0),
(51236,10121628,'Dazes target',100,1,1),
(51237,10121628,'If Target is not Epic',100,2,2),
(51238,10121628,'Must be flanking or behind',100,1,3),
(51239,10121628,'Resistibility increases against targets higher than level 89.',100,1,4),
(51240,183240,'When Equipped:',100,0,0),
(51241,183240,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51242,183240,'Inflicts 271 - 452 crushing damage on target',100,2,2),
(51243,183240,'Throws target back',100,2,3),
(51244,183240,'Interrupts target',100,2,4),
(51245,183240,'Cannot be modified except by direct means',100,2,5),
(51246,10183240,'When Equipped:',100,0,0),
(51247,10183240,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51248,10183240,'Inflicts 271 - 452 crushing damage on target',100,2,2),
(51249,10183240,'Throws target back',100,2,3),
(51250,10183240,'Interrupts target',100,2,4),
(51251,10183240,'Cannot be modified except by direct means',100,2,5),
(51252,159416,'Applies Sanguine Imbued when Equipped.',100,0,0),
(51253,159416,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(51254,159416,'Inflicts 276 heat damage on target',100,2,2),
(51255,159416,'Cannot be modified except by direct means',100,2,3),
(51256,10159416,'Applies Sanguine Imbued when Equipped.',100,0,0),
(51257,10159416,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(51258,10159416,'Inflicts 276 heat damage on target',100,2,2),
(51259,10159416,'Cannot be modified except by direct means',100,2,3),
(51260,165133,'Applies Soulbarrier when Activated.  Lasts for 16.0 seconds.',100,0,0),
(51261,165133,'Reduces elemental, noxious and arcane damage done to target by 30%',100,1,1),
(51262,165133,'Must not be engaged in pvp combat',100,1,2),
(51263,165133,'Cannot be modified except by direct means',100,1,3),
(51264,165133,'The casting time of Soulbarrier is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(51265,10165133,'Applies Soulbarrier when Activated.  Lasts for 16.0 seconds.',100,0,0),
(51266,10165133,'Reduces elemental, noxious and arcane damage done to target by 30%',100,1,1),
(51267,10165133,'Must not be engaged in pvp combat',100,1,2),
(51268,10165133,'Cannot be modified except by direct means',100,1,3),
(51269,10165133,'The casting time of Soulbarrier is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(51270,101235,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(51271,101235,'Inflicts 227 - 378 mental damage on target',100,2,1),
(51272,10101235,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(51273,10101235,'Inflicts 179 - 298 mental damage on target',100,2,1),
(51274,74771,'When Equipped:',100,0,0),
(51275,74771,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51276,74771,'Inflicts 124 - 186 magic damage on target',100,2,2),
(51277,74771,'Cannot be modified except by direct means',100,2,3),
(51278,10074771,'When Equipped:',100,0,0),
(51279,10074771,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51280,10074771,'Inflicts 124 - 186 magic damage on target',100,2,2),
(51281,10074771,'Cannot be modified except by direct means',100,2,3),
(51282,87179,'When Equipped:',100,0,0),
(51283,87179,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51284,87179,'Inflicts 78 - 118 magic damage on target',100,2,2),
(51285,87179,'Cannot be modified except by direct means',100,2,3),
(51286,10087179,'When Equipped:',100,0,0),
(51287,10087179,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51288,10087179,'Inflicts 78 - 118 magic damage on target',100,2,2),
(51289,10087179,'Cannot be modified except by direct means',100,2,3),
(51290,35682,'Increases Max Power of target by 47.2',100,0,0),
(51291,35682,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(51292,109453,'Summons a pet a frostpaw kitten',100,1,0),
(51293,10109453,'Summons a pet a frostpaw kitten',100,1,0),
(51294,141791,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(51295,141791,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51296,141791,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(51297,141791,'Cannot be modified except by direct means',100,2,3),
(51298,10141791,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(51299,10141791,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51300,10141791,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(51301,10141791,'Cannot be modified except by direct means',100,2,3),
(51302,111670,'Inflicts 3089 - 3702 cold damage on target encounter',100,1,0),
(51303,111670,'Slows target encounter by 47.2%',100,1,1),
(51304,111670,'5% chance to dispel when target takes damage',100,1,2),
(51305,111670,'5% chance to dispel when target receives hostile action',100,1,3),
(51306,10111670,'Inflicts 3033 - 3678 cold damage on target encounter',100,1,0),
(51307,10111670,'Slows target encounter by 47.2%',100,1,1),
(51308,10111670,'5% chance to dispel when target takes damage',100,1,2),
(51309,10111670,'5% chance to dispel when target receives hostile action',100,1,3),
(51310,73178,'When Equipped:',100,0,0),
(51311,73178,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(51312,10073178,'When Equipped:',100,0,0),
(51313,10073178,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(51314,109933,'Stuns target',100,1,0),
(51315,109933,'Does not affect Epic targets',100,1,1),
(51316,109933,'Resistibility increases against targets higher than level 59.',100,1,2),
(51317,10109933,'Stuns target',100,1,0),
(51318,10109933,'Does not affect Epic targets',100,1,1),
(51319,10109933,'Resistibility increases against targets higher than level 59.',100,1,2),
(51320,104996,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(51321,104996,'Reduces physical damage done to caster by 5%',100,1,1),
(51322,104996,'Adds 2.1% to base avoidance.',100,1,2),
(51323,104996,'Caster will deflect 14.0% of incoming attacks.',100,1,3),
(51324,104996,'Increases Parry of caster by 24.4',100,1,4),
(51325,104996,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,5),
(51326,104996,'Increases Aggression of caster by 14.6',100,1,6),
(51327,104996,'Increases Defense and Deflection of caster by 24.4',100,1,7),
(51328,104996,'Increases Mitigation of caster vs arcane damage by 1624',100,1,8),
(51329,104996,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(51330,10104996,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(51331,10104996,'Reduces physical damage done to caster by 5%',100,1,1),
(51332,10104996,'Adds 2.1% to base avoidance.',100,1,2),
(51333,10104996,'Caster will deflect 14.0% of incoming attacks.',100,1,3),
(51334,10104996,'Increases Parry of caster by 24.4',100,1,4),
(51335,10104996,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,5),
(51336,10104996,'Increases Aggression of caster by 14.6',100,1,6),
(51337,10104996,'Increases Defense and Deflection of caster by 24.4',100,1,7),
(51338,10104996,'Increases Mitigation of caster vs arcane damage by 1624',100,1,8),
(51339,10104996,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(51340,123269,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(51341,123269,'Inflicts 93 - 155 disease damage on target',100,2,1),
(51342,123269,'Heals caster for 9 - 16',100,2,2),
(51343,123269,'This effect cannot be critically applied.',100,3,3),
(51344,123269,'The healing of this spell cannot be modified except by direct means',100,2,4),
(51345,10123269,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(51346,10123269,'Inflicts 73 - 122 disease damage on target',100,2,1),
(51347,10123269,'Heals caster for 3 - 6',100,2,2),
(51348,10123269,'This effect cannot be critically applied.',100,3,3),
(51349,10123269,'The healing of this spell cannot be modified except by direct means',100,2,4),
(51350,102615,'Increases Threat to target encounter by 5,842 - 6,781 ',100,1,0),
(51351,102615,'Interrupts target encounter',100,1,1),
(51352,102615,'Decreases Mitigation of target encounter vs noxious damage by 1024',100,1,2),
(51353,10102615,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(51354,10102615,'Prevents target from changing targets',100,2,1),
(51355,10102615,'Forces target to change their selected target to caster.',100,2,2),
(51356,10102615,'Interrupts target encounter',100,1,3),
(51357,10102615,'Decreases Mitigation of target encounter vs noxious damage by 1024',100,1,4),
(51358,47779,'Applies Erudite Tendencies when Activated.',100,0,0),
(51359,10047779,'Applies Erudite Tendencies when Activated.',100,0,0),
(51360,71608,'When Equipped:',100,0,0),
(51361,71608,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51362,71608,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(51363,71608,'Cannot be modified except by direct means',100,2,3),
(51364,10071608,'When Equipped:',100,0,0),
(51365,10071608,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51366,10071608,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(51367,10071608,'Cannot be modified except by direct means',100,2,3),
(51368,114121,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(51369,114121,'Increases Mitigation of group members (AE) vs elemental damage by 216',100,1,1),
(51370,10114121,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(51371,10114121,'Increases Mitigation of group members (AE) vs elemental damage by 216',100,1,1),
(51372,88960,'When Equipped:',100,0,0),
(51373,88960,'On a damage spell hit this spell may cast Fettering Strike on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51374,88960,'Decreases Damage Per Second of target by 7.0',100,2,2),
(51375,88960,'Cannot be modified except by direct means',100,2,3),
(51376,10088960,'When Equipped:',100,0,0),
(51377,10088960,'On a damage spell hit this spell may cast Fettering Strike on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51378,10088960,'Decreases Damage Per Second of target by 7.0',100,2,2),
(51379,10088960,'Cannot be modified except by direct means',100,2,3),
(51380,48318,'Applies arcane remedy when Activated.',100,0,0),
(51381,48318,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(51382,10048318,'Applies arcane remedy when Activated.',100,0,0),
(51383,10048318,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(51384,159126,'When Equipped:',100,0,0),
(51385,159126,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(51386,159126,'Increases STA of caster by 11.9',100,2,2),
(51387,159126,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(51388,159126,'Cannot be modified except by direct means',100,2,4),
(51389,10159126,'When Equipped:',100,0,0),
(51390,10159126,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(51391,10159126,'Increases STA of caster by 11.9',100,2,2),
(51392,10159126,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(51393,10159126,'Cannot be modified except by direct means',100,2,4),
(51394,88456,'When Equipped:',100,0,0),
(51395,88456,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51396,88456,'Inflicts 128 - 156 poison damage on target',100,2,2),
(51397,88456,'Cannot be modified except by direct means',100,2,3),
(51398,10088456,'When Equipped:',100,0,0),
(51399,10088456,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51400,10088456,'Inflicts 128 - 156 poison damage on target',100,2,2),
(51401,10088456,'Cannot be modified except by direct means',100,2,3),
(51402,105881,'Inflicts 956 - 1584 ranged damage on target',100,1,0),
(51403,105881,'Inflicts 477 - 792 ranged damage on target',100,1,1),
(51404,105881,'If weapon equipped in Ranged',100,1,2),
(51405,10105881,'Inflicts 676 - 862 ranged damage on target',100,1,0),
(51406,10105881,'Inflicts 282 - 468 ranged damage on target',100,1,1),
(51407,10105881,'If weapon equipped in Ranged',100,1,2),
(51408,24564,'Adds Mummy (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(51409,10024564,'Adds Mummy (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(51410,141714,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(51411,141714,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51412,141714,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(51413,141714,'Cannot be modified except by direct means',100,2,3),
(51414,10141714,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(51415,10141714,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51416,10141714,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(51417,10141714,'Cannot be modified except by direct means',100,2,3),
(51418,77410,'Applies Fire Ball when Activated.',100,0,0),
(51419,77410,'Inflicts 138 - 230 heat damage on target',100,1,1),
(51420,77410,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(51421,10077410,'Applies Fire Ball when Activated.',100,0,0),
(51422,10077410,'Inflicts 138 - 230 heat damage on target',100,1,1),
(51423,10077410,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(51424,82472,'When Equipped:',100,0,0),
(51425,82472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51426,82472,'Inflicts 272 - 505 magic damage on target',100,2,2),
(51427,82472,'Cannot be modified except by direct means',100,2,3),
(51428,10082472,'When Equipped:',100,0,0),
(51429,10082472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51430,10082472,'Inflicts 272 - 505 magic damage on target',100,2,2),
(51431,10082472,'Cannot be modified except by direct means',100,2,3),
(51432,48217,'Applies Draw upon Essence when Activated.',100,0,0),
(51433,48217,'Increases power of caster by 556',100,1,1),
(51434,48217,'Requires 715 Health to cast.',100,1,2),
(51435,10048217,'Applies Draw upon Essence when Activated.',100,0,0),
(51436,10048217,'Increases power of caster by 556',100,1,1),
(51437,10048217,'Requires 715 Health to cast.',100,1,2),
(51438,102695,'Inflicts 3218 divine damage on target encounter',100,1,0),
(51439,10102695,'Inflicts 2410 divine damage on target encounter',100,1,0),
(51440,107090,'Inflicts 4247 - 4973 divine damage on target',100,1,0),
(51441,10107090,'Inflicts 2968 - 3540 divine damage on target',100,1,0),
(51442,112959,'Inflicts 774 - 2289 crushing damage on target',100,1,0),
(51443,10112959,'Inflicts 622 - 1624 crushing damage on target',100,1,0),
(51444,81818,'When Equipped:',100,0,0),
(51445,81818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51446,81818,'Inflicts 189 - 352 magic damage on target',100,2,2),
(51447,81818,'Cannot be modified except by direct means',100,2,3),
(51448,10081818,'When Equipped:',100,0,0),
(51449,10081818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51450,10081818,'Inflicts 189 - 352 magic damage on target',100,2,2),
(51451,10081818,'Cannot be modified except by direct means',100,2,3),
(51452,124253,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(51453,124253,'Increases Attack Speed of target by 15.9',100,2,1),
(51454,124253,'Increases Damage Per Second of target by 15.9',100,2,2),
(51455,124253,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(51456,124253,'Increases Attack Speed of target by 15.9',100,2,4),
(51457,124253,'Increases Damage Per Second of target by 15.9',100,2,5),
(51458,124253,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(51459,124253,'Increases Attack Speed of target by 15.9',100,2,7),
(51460,124253,'Increases Damage Per Second of target by 15.9',100,2,8),
(51461,10124253,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(51462,10124253,'Increases Attack Speed of target by 15.9',100,2,1),
(51463,10124253,'Increases Damage Per Second of target by 15.9',100,2,2),
(51464,10124253,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(51465,10124253,'Increases Attack Speed of target by 15.9',100,2,4),
(51466,10124253,'Increases Damage Per Second of target by 15.9',100,2,5),
(51467,10124253,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(51468,10124253,'Increases Attack Speed of target by 15.9',100,2,7),
(51469,10124253,'Increases Damage Per Second of target by 15.9',100,2,8),
(51470,165706,'When Equipped:',100,0,0),
(51471,165706,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(51472,165706,'Reduces resistibility by 10%.',100,2,2),
(51473,165706,'Cannot be modified except by direct means',100,2,3),
(51474,10165706,'When Equipped:',100,0,0),
(51475,10165706,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(51476,10165706,'Reduces resistibility by 10%.',100,2,2),
(51477,10165706,'Cannot be modified except by direct means',100,2,3),
(51478,75962,'When Equipped:',100,0,0),
(51479,75962,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(51480,75962,'Inflicts 19 - 23 divine damage on target',100,2,2),
(51481,75962,'If target is undead',100,2,3),
(51482,75962,'Cannot be modified except by direct means',100,2,4),
(51483,10075962,'When Equipped:',100,0,0),
(51484,10075962,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(51485,10075962,'Inflicts 19 - 23 divine damage on target',100,2,2),
(51486,10075962,'If target is undead',100,2,3),
(51487,10075962,'Cannot be modified except by direct means',100,2,4),
(51488,159215,'Applies Lambent Imbued when Equipped.',100,0,0),
(51489,159215,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51490,159215,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(51491,159215,'Cannot be modified except by direct means',100,2,3),
(51492,10159215,'Applies Lambent Imbued when Equipped.',100,0,0),
(51493,10159215,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(51494,10159215,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(51495,10159215,'Cannot be modified except by direct means',100,2,3),
(51496,88438,'When Equipped:',100,0,0),
(51497,88438,'On a hit this spell may cast Steelrain on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(51498,88438,'Inflicts 1207 piercing damage on target',100,2,2),
(51499,88438,'Cannot be modified except by direct means',100,2,3),
(51500,10088438,'When Equipped:',100,0,0),
(51501,10088438,'On a hit this spell may cast Steelrain on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(51502,10088438,'Inflicts 1207 piercing damage on target',100,2,2),
(51503,10088438,'Cannot be modified except by direct means',100,2,3),
(51504,26673,'When Equipped:',100,0,0),
(51505,26673,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51506,26673,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(51507,10026673,'When Equipped:',100,0,0),
(51508,10026673,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51509,10026673,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(51510,45459,'Applies Call Forth the Kerran Scourge when Activated.',100,0,0),
(51511,45459,'This effect cannot be cast during combat',100,1,1),
(51512,10045459,'Applies Call Forth the Kerran Scourge when Activated.',100,0,0),
(51513,10045459,'This effect cannot be cast during combat',100,1,1),
(51514,138365,'When Equipped:',100,0,0),
(51515,138365,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51516,138365,'Decreases power of target by 307',100,2,2),
(51517,138365,'Increases power of caster by 205',100,2,3),
(51518,138365,'Cannot be modified except by direct means',100,2,4),
(51519,10138365,'When Equipped:',100,0,0),
(51520,10138365,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51521,10138365,'Decreases power of target by 307',100,2,2),
(51522,10138365,'Increases power of caster by 205',100,2,3),
(51523,10138365,'Cannot be modified except by direct means',100,2,4),
(51524,120092,'Inflicts 2977 - 4293 mental damage on target',100,1,0),
(51525,120092,'Inflicts 1995 - 3311 mental damage on target',100,1,1),
(51526,120092,'Stifles target',100,1,2),
(51527,120092,'If Target is not Epic',100,2,3),
(51528,120092,'If weapon equipped in Ranged',100,1,4),
(51529,120092,'Resistibility increases against targets higher than level 120.',100,1,5),
(51530,10120092,'Inflicts 1967 - 3004 mental damage on target',100,1,0),
(51531,10120092,'Inflicts 1572 - 2609 mental damage on target',100,1,1),
(51532,10120092,'Stifles target',100,1,2),
(51533,10120092,'If Target is not Epic',100,2,3),
(51534,10120092,'If weapon equipped in Ranged',100,1,4),
(51535,10120092,'Resistibility increases against targets higher than level 120.',100,1,5),
(51536,112863,'Inflicts 69 - 114 crushing damage on target',100,1,0),
(51537,10112863,'Inflicts 55 - 92 crushing damage on target',100,1,0),
(51538,46744,'Applies The King Card when Activated.  Lasts for 10 minutes.',100,0,0),
(51539,46744,'Increases In-Combat Health Regeneration of caster by 100.0',100,1,1),
(51540,46744,'Increases In-Combat Power Regeneration of caster by 100.0',100,1,2),
(51541,10046744,'Applies The King Card when Activated.  Lasts for 10 minutes.',100,0,0),
(51542,10046744,'Increases In-Combat Health Regeneration of caster by 100.0',100,1,1),
(51543,10046744,'Increases In-Combat Power Regeneration of caster by 100.0',100,1,2),
(51544,120854,'Inflicts 1214 - 1452 disease damage on target',100,1,0),
(51545,120854,'Inflicts 347 - 469 disease damage on target every second',100,1,1),
(51546,10120854,'Inflicts 777 - 912 disease damage on target',100,1,0),
(51547,10120854,'Inflicts 273 - 370 disease damage on target every second',100,1,1),
(51548,164708,'When Equipped:',100,0,0),
(51549,164708,'Reduces maximum falling speed of caster',100,1,1),
(51550,10164708,'When Equipped:',100,0,0),
(51551,10164708,'Reduces maximum falling speed of caster',100,1,1),
(51552,26528,'When Equipped:',100,0,0),
(51553,26528,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51554,26528,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(51555,10026528,'When Equipped:',100,0,0),
(51556,10026528,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51557,10026528,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(51558,158554,'When Equipped:',100,0,0),
(51559,158554,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(51560,158554,'Makes caster immune to Stifle effects',100,2,2),
(51561,158554,'Must not be engaged in pvp combat',100,2,3),
(51562,158554,'Cannot be modified except by direct means',100,2,4),
(51563,158554,'Must not be engaged in pvp combat',100,1,5),
(51564,10158554,'When Equipped:',100,0,0),
(51565,10158554,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(51566,10158554,'Makes caster immune to Stifle effects',100,2,2),
(51567,10158554,'Must not be engaged in pvp combat',100,2,3),
(51568,10158554,'Cannot be modified except by direct means',100,2,4),
(51569,10158554,'Must not be engaged in pvp combat',100,1,5),
(51570,35997,'Increases AGI of target by 6.2',100,0,0),
(51571,35997,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(51572,100575,'Inflicts 162 - 269 melee damage on target',100,1,0),
(51573,100575,'You must be sneaking to use this ability.',100,1,1),
(51574,10100575,'Inflicts 128 - 212 melee damage on target',100,1,0),
(51575,10100575,'You must be sneaking to use this ability.',100,1,1),
(51576,102854,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(51577,102854,'Blurs vision of target',100,2,1),
(51578,102854,'Stuns target',100,2,2),
(51579,102854,'Throws target back',100,2,3),
(51580,102854,'Does not affect Epic targets',100,2,4),
(51581,102854,'Inflicts 1443 - 3625 melee damage on targets in area',100,1,5),
(51582,10102854,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(51583,10102854,'Stuns target',100,2,1),
(51584,10102854,'Throws target back',100,2,2),
(51585,10102854,'Blurs vision of target',100,2,3),
(51586,10102854,'Does not affect Epic targets',100,2,4),
(51587,10102854,'Inflicts 1030 - 2787 melee damage on targets in area',100,1,5),
(51588,37203,'Increases INT of target by 2.1',100,0,0),
(51589,37203,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,1),
(51590,82590,'When Equipped:',100,0,0),
(51591,82590,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51592,82590,'Decreases Threat to target by 259 ',100,2,2),
(51593,82590,'Must be flanking or behind',100,3,3),
(51594,82590,'Increases Threat to target by 453 ',100,2,4),
(51595,82590,'Must be in front of',100,3,5),
(51596,82590,'Inflicts 151 - 280 magic damage on target',100,2,6),
(51597,82590,'Cannot be modified except by direct means',100,2,7),
(51598,10082590,'When Equipped:',100,0,0),
(51599,10082590,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51600,10082590,'Inflicts 151 - 280 magic damage on target',100,2,2),
(51601,10082590,'Cannot be modified except by direct means',100,2,3),
(51602,121038,'Increases AGI of target by 44.9',100,1,0),
(51603,121038,'Adds 1.0% to base avoidance.',100,1,1),
(51604,121038,'Increases In-Combat Power Regeneration of target by 25.4',100,1,2),
(51605,121038,'Increases Max Power of target by 294.2',100,1,3),
(51606,10121038,'Increases AGI of target by 44.9',100,1,0),
(51607,10121038,'Adds 1.0% to base avoidance.',100,1,1),
(51608,10121038,'Increases In-Combat Power Regeneration of target by 25.4',100,1,2),
(51609,10121038,'Increases Max Power of target by 294.2',100,1,3),
(51610,41644,'When Equipped:',100,0,0),
(51611,41644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51612,41644,'Inflicts 333 - 619 magic damage on target',100,2,2),
(51613,41644,'Cannot be modified except by direct means',100,2,3),
(51614,10041644,'When Equipped:',100,0,0),
(51615,10041644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51616,10041644,'Inflicts 333 - 619 magic damage on target',100,2,2),
(51617,10041644,'Cannot be modified except by direct means',100,2,3),
(51618,121301,'Inflicts 801 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(51619,121301,'Inflicts 2984 - 4733 melee damage on targets in area',100,1,1),
(51620,121301,'You must be in stealth or have Bloody Assault.',100,1,2),
(51621,10121301,'Inflicts 631 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(51622,10121301,'Inflicts 2225 - 3603 melee damage on targets in area',100,1,1),
(51623,10121301,'You must be in stealth or have Bloody Assault.',100,1,2),
(51624,113657,'Inflicts 1651 - 1981 disease damage on target encounter',100,1,0),
(51625,113657,'Inflicts 1487 - 1817 disease damage on target encounter every 5 seconds',100,1,1),
(51626,113657,'Decreases power of target encounter by 248 - 303 instantly and every 5 seconds',100,1,2),
(51627,113657,'Heals group members (AE) for 905 - 1070',100,1,3),
(51628,113657,'Heals group members (AE) for 741 - 906 every 5 seconds',100,1,4),
(51629,113657,'Increases power of group members (AE) by 124 - 151 instantly and every 5 seconds',100,1,5),
(51630,10113657,'Inflicts 1238 - 1498 disease damage on target encounter',100,1,0),
(51631,10113657,'Inflicts 1172 - 1432 disease damage on target encounter every 5 seconds',100,1,1),
(51632,10113657,'Decreases power of target encounter by 195 - 239 instantly and every 5 seconds',100,1,2),
(51633,10113657,'Heals group members (AE) for 422 - 507',100,1,3),
(51634,10113657,'Heals group members (AE) for 380 - 464 every 5 seconds',100,1,4),
(51635,10113657,'Increases power of group members (AE) by 97 - 119 instantly and every 5 seconds',100,1,5),
(51636,24417,'Adds Goblin (Mystic) to your Dungeon Maker toolbox',100,0,0),
(51637,10024417,'Adds Goblin (Mystic) to your Dungeon Maker toolbox',100,0,0),
(51638,136234,'When Equipped:',100,0,0),
(51639,136234,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51640,136234,'This effect can be stacked by multiple casters.',100,2,2),
(51641,136234,'Increases target''s chance to block by 5.0%',100,2,3),
(51642,136234,'Cannot be modified except by direct means',100,2,4),
(51643,10136234,'When Equipped:',100,0,0),
(51644,10136234,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51645,10136234,'This effect can be stacked by multiple casters.',100,2,2),
(51646,10136234,'Increases target''s chance to block by 5.0%',100,2,3),
(51647,10136234,'Cannot be modified except by direct means',100,2,4),
(51648,139654,'When Equipped:',100,0,0),
(51649,139654,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(51650,139654,'Increases power of caster by 140',100,2,2),
(51651,139654,'Cannot be modified except by direct means',100,2,3),
(51652,10139654,'When Equipped:',100,0,0),
(51653,10139654,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(51654,10139654,'Increases power of caster by 140',100,2,2),
(51655,10139654,'Cannot be modified except by direct means',100,2,3),
(51656,118029,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(51657,118029,'Stuns target',100,2,1),
(51658,118029,'If Target is not Epic',100,3,2),
(51659,118029,'Inflicts 929 - 1548 divine damage on target',100,2,3),
(51660,118029,'Grants a total of 3 triggers of the spell.',100,2,4),
(51661,10118029,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(51662,10118029,'Stuns target',100,2,1),
(51663,10118029,'If Target is not Epic',100,3,2),
(51664,10118029,'Inflicts 732 - 1220 divine damage on target',100,2,3),
(51665,10118029,'Grants a total of 3 triggers of the spell.',100,2,4),
(51666,118298,'Roots target encounter',100,1,0),
(51667,118298,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(51668,118298,'Slows target by 45.6%',100,2,2),
(51669,118298,'5% chance to dispel when target receives hostile action',100,2,3),
(51670,118298,'5% chance to dispel when target takes damage',100,2,4),
(51671,118298,'20% chance to dispel when target takes damage',100,1,5),
(51672,118298,'Does not affect Epic targets',100,1,6),
(51673,118298,'Resistibility increases against targets higher than level 69.',100,1,7),
(51674,10118298,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(51675,10118298,'Slows target by 45.6%',100,2,1),
(51676,10118298,'5% chance to dispel when target receives hostile action',100,2,2),
(51677,10118298,'5% chance to dispel when target takes damage',100,2,3),
(51678,10118298,'Roots target encounter',100,1,4),
(51679,10118298,'20% chance to dispel when target takes damage',100,1,5),
(51680,10118298,'Does not affect Epic targets',100,1,6),
(51681,10118298,'Resistibility increases against targets higher than level 69.',100,1,7),
(51682,112354,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(51683,112354,'Inflicts 870 - 1442 piercing damage on target',100,2,1),
(51684,10112354,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(51685,10112354,'Inflicts 360 - 597 piercing damage on target',100,2,1),
(51686,36551,'Increases STR of target by 1.1',100,0,0),
(51687,36551,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(51688,48736,'Applies Elixir of Light  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(51689,48736,'Heals caster for 28',100,1,1),
(51690,48736,'Heals caster for 14 every 5 seconds',100,1,2),
(51691,10048736,'Applies Elixir of Light  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(51692,10048736,'Heals caster for 18',100,1,1),
(51693,10048736,'Heals caster for 9 every 5 seconds',100,1,2),
(51694,107404,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(51695,107404,'Slows target by 50.2%',100,2,1),
(51696,107404,'5% chance to dispel when target receives hostile action',100,2,2),
(51697,107404,'5% chance to dispel when target takes damage',100,2,3),
(51698,107404,'Inflicts 4488 - 6826 disease damage on target',100,1,4),
(51699,10107404,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(51700,10107404,'Slows target by 50.2%',100,2,1),
(51701,10107404,'5% chance to dispel when target receives hostile action',100,2,2),
(51702,10107404,'5% chance to dispel when target takes damage',100,2,3),
(51703,10107404,'Inflicts 3158 - 5000 disease damage on target',100,1,4),
(51704,119105,'Inflicts 1252 - 3061 melee damage on targets in area',100,1,0),
(51705,119105,'Inflicts 925 - 2733 melee damage on targets in area',100,1,1),
(51706,119105,'Inflicts 925 - 2733 melee damage on targets in area',100,1,2),
(51707,119105,'Inflicts 925 - 2733 melee damage on targets in area',100,1,3),
(51708,10119105,'Inflicts 860 - 2286 melee damage on targets in area',100,1,0),
(51709,10119105,'Inflicts 729 - 2154 melee damage on targets in area',100,1,1),
(51710,10119105,'Inflicts 729 - 2154 melee damage on targets in area',100,1,2),
(51711,10119105,'Inflicts 729 - 2154 melee damage on targets in area',100,1,3),
(51712,81233,'When Equipped:',100,0,0),
(51713,81233,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51714,81233,'Decreases Threat to target by 352 ',100,2,2),
(51715,81233,'Must be flanking or behind',100,3,3),
(51716,81233,'Increases Threat to target by 617 ',100,2,4),
(51717,81233,'Must be in front of',100,3,5),
(51718,81233,'Inflicts 155 - 288 magic damage on target',100,2,6),
(51719,81233,'Cannot be modified except by direct means',100,2,7),
(51720,10081233,'When Equipped:',100,0,0),
(51721,10081233,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51722,10081233,'Inflicts 155 - 288 magic damage on target',100,2,2),
(51723,10081233,'Cannot be modified except by direct means',100,2,3),
(51724,101077,'Summons 3 limited pets to aid the caster',100,1,0),
(51725,10101077,'Summons 3 limited pets to aid the caster',100,1,0),
(51726,110940,'Inflicts 1219 - 2021 divine damage on target',100,1,0),
(51727,110940,'Increases Threat to target by 7,168 ',100,1,1),
(51728,110940,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(51729,110940,'Stuns target',100,2,3),
(51730,110940,'Throws target back',100,2,4),
(51731,110940,'Blurs vision of target',100,2,5),
(51732,110940,'Does not affect Epic targets',100,2,6),
(51733,10110940,'Inflicts 959 - 1457 divine damage on target',100,1,0),
(51734,10110940,'Prevents target from changing targets',100,1,1),
(51735,10110940,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(51736,10110940,'Blurs vision of target',100,2,3),
(51737,10110940,'Throws target back',100,2,4),
(51738,10110940,'Stuns target',100,2,5),
(51739,10110940,'Does not affect Epic targets',100,2,6),
(51740,10110940,'Forces target to change their selected target to caster.',100,1,7),
(51741,105597,'Decreases power of target encounter by 200 - 244 instantly and every 3 seconds',100,1,0),
(51742,105597,'Inflicts 629 - 1029 poison damage on target encounter',100,1,1),
(51743,105597,'Inflicts 466 - 865 poison damage on target encounter every 3 seconds',100,1,2),
(51744,105597,'Heals group members (AE) for 280 - 379',100,1,3),
(51745,105597,'Heals group members (AE) for 116 - 216 every 3 seconds',100,1,4),
(51746,105597,'Increases power of group members (AE) by 44 instantly and every 3 seconds',100,1,5),
(51747,10105597,'Decreases power of target encounter by 157 - 192 instantly and every 3 seconds',100,1,0),
(51748,10105597,'Inflicts 433 - 747 poison damage on target encounter',100,1,1),
(51749,10105597,'Inflicts 367 - 682 poison damage on target encounter every 3 seconds',100,1,2),
(51750,10105597,'Heals group members (AE) for 102 - 153',100,1,3),
(51751,10105597,'Heals group members (AE) for 59 - 110 every 3 seconds',100,1,4),
(51752,10105597,'Increases power of group members (AE) by 35 instantly and every 3 seconds',100,1,5),
(51753,116215,'Inflicts 6811 - 10697 mental damage on target',100,1,0),
(51754,10116215,'Inflicts 4989 - 8052 mental damage on target',100,1,0),
(51755,35907,'Increases Max Power of target by 47.2',100,0,0),
(51756,35907,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(51757,123850,'Increases AGI of caster by 29.3',100,1,0),
(51758,123850,'Adds 21.8% to base avoidance.',100,1,1),
(51759,123850,'Increases Damage Per Second of caster by 38.1',100,1,2),
(51760,123850,'Increases Mitigation of caster vs physical damage by 265',100,1,3),
(51761,123850,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,4),
(51762,10123850,'Increases AGI of caster by 29.3',100,1,0),
(51763,10123850,'Adds 21.8% to base avoidance.',100,1,1),
(51764,10123850,'Increases Damage Per Second of caster by 38.1',100,1,2),
(51765,10123850,'Increases Mitigation of caster vs physical damage by 265',100,1,3),
(51766,10123850,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,4),
(51767,75149,'When Equipped:',100,0,0),
(51768,75149,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(51769,10075149,'When Equipped:',100,0,0),
(51770,10075149,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(51771,26720,'When Equipped:',100,0,0),
(51772,26720,'\\#FF0000If adorned on the same item, this effect will not stack with itself. \\/c',100,1,1),
(51773,26720,'On a critical spell hit this spell may cast Greater Discombobulate I on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(51774,26720,'Decreases Threat to target by 5,225 - 5,775 ',100,2,3),
(51775,26720,'Inflicts 2594 - 2867 mental damage on target',100,2,4),
(51776,26720,'Must not be engaged in pvp combat',100,2,5),
(51777,26720,'Cannot be modified except by direct means',100,2,6),
(51778,26720,'On a critical combat hit this spell may cast Greater Discombobulate I on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(51779,26720,'Decreases Threat to target by 5,225 - 5,775 ',100,2,8),
(51780,26720,'Inflicts 2594 - 2867 mental damage on target',100,2,9),
(51781,26720,'Must not be engaged in pvp combat',100,2,10),
(51782,26720,'Cannot be modified except by direct means',100,2,11),
(51783,26720,'Must not be engaged in pvp combat',100,1,12),
(51784,10026720,'When Equipped:',100,0,0),
(51785,10026720,'\\#FF0000If adorned on the same item, this effect will not stack with itself. \\/c',100,1,1),
(51786,10026720,'On a critical spell hit this spell may cast Greater Discombobulate I on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(51787,10026720,'Inflicts 2594 - 2867 mental damage on target',100,2,3),
(51788,10026720,'Must not be engaged in pvp combat',100,2,4),
(51789,10026720,'Cannot be modified except by direct means',100,2,5),
(51790,10026720,'On a critical combat hit this spell may cast Greater Discombobulate I on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(51791,10026720,'Inflicts 2594 - 2867 mental damage on target',100,2,7),
(51792,10026720,'Must not be engaged in pvp combat',100,2,8),
(51793,10026720,'Cannot be modified except by direct means',100,2,9),
(51794,10026720,'Must not be engaged in pvp combat',100,1,10),
(51795,47247,'Applies Haldorak''s Rejuvenation  when Activated.',100,0,0),
(51796,47247,'Heals caster for 34',100,1,1),
(51797,10047247,'Applies Haldorak''s Rejuvenation  when Activated.',100,0,0),
(51798,10047247,'Heals caster for 22',100,1,1),
(51799,79280,'When Equipped:',100,0,0),
(51800,79280,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(51801,79280,'Inflicts 94 - 114 magic damage on target',100,2,2),
(51802,79280,'Cannot be modified except by direct means',100,2,3),
(51803,10079280,'When Equipped:',100,0,0),
(51804,10079280,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(51805,10079280,'Inflicts 94 - 114 magic damage on target',100,2,2),
(51806,10079280,'Cannot be modified except by direct means',100,2,3),
(51807,118420,'Heals target for 3045 - 3503',100,1,0),
(51808,118420,'Increases Max Health of target by 121.9',100,1,1),
(51809,10118420,'Heals target for 2142 - 2561',100,1,0),
(51810,10118420,'Increases Max Health of target by 121.9',100,1,1),
(51811,115935,'Inflicts 2693 - 3963 melee damage on target',100,1,0),
(51812,115935,'Roots target',100,1,1),
(51813,115935,'If Target is not Epic',100,2,2),
(51814,115935,'5% chance to dispel when target takes damage',100,1,3),
(51815,115935,'Resistibility increases against targets higher than level 75.',100,1,4),
(51816,10115935,'Inflicts 1811 - 2744 melee damage on target',100,1,0),
(51817,10115935,'Roots target',100,1,1),
(51818,10115935,'If Target is not Epic',100,2,2),
(51819,10115935,'5% chance to dispel when target takes damage',100,1,3),
(51820,10115935,'Resistibility increases against targets higher than level 75.',100,1,4),
(51821,121362,'Inflicts 557 - 753 magic damage on target encounter',100,1,0),
(51822,121362,'Inflicts 229 - 426 magic damage on target encounter every 2 seconds',100,1,1),
(51823,10121362,'Inflicts 312 - 467 magic damage on target encounter',100,1,0),
(51824,10121362,'Inflicts 181 - 336 magic damage on target encounter every 2 seconds',100,1,1),
(51825,124355,'Inflicts 1004 - 1227 divine damage on target',100,1,0),
(51826,124355,'Inflicts 179 - 219 divine damage on target every 4 seconds',100,1,1),
(51827,10124355,'Inflicts 734 - 809 divine damage on target',100,1,0),
(51828,10124355,'Inflicts 141 - 173 divine damage on target every 4 seconds',100,1,1),
(51829,48626,'Applies Transit Key when Activated.',100,0,0),
(51830,48626,'Teleports target to a random zone location',100,1,1),
(51831,48626,'This effect cannot be cast during combat',100,1,2),
(51832,48626,'must be in a particular area',100,1,3),
(51833,10048626,'Applies Transit Key when Activated.',100,0,0),
(51834,10048626,'Teleports target to a random zone location',100,1,1),
(51835,10048626,'This effect cannot be cast during combat',100,1,2),
(51836,10048626,'must be in a particular area',100,1,3),
(51837,115303,'Summons a limited pet to aid the caster',100,1,0),
(51838,10115303,'Summons a limited pet to aid the caster',100,1,0),
(51839,71554,'When Equipped:',100,0,0),
(51840,71554,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51841,71554,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(51842,71554,'Cannot be modified except by direct means',100,2,3),
(51843,10071554,'When Equipped:',100,0,0),
(51844,10071554,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(51845,10071554,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(51846,10071554,'Cannot be modified except by direct means',100,2,3),
(51847,188628,'When Equipped:',100,0,0),
(51848,188628,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(51849,188628,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(51850,188628,'Heals caster for 1277 - 1916',100,2,3),
(51851,188628,'Cannot be modified except by direct means',100,2,4),
(51852,188628,'Cannot be modified except by direct means',100,1,5),
(51853,10188628,'When Equipped:',100,0,0),
(51854,10188628,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(51855,10188628,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(51856,10188628,'Heals caster for 1495 - 2242',100,2,3),
(51857,10188628,'Cannot be modified except by direct means',100,2,4),
(51858,10188628,'Cannot be modified except by direct means',100,1,5),
(51859,48267,'Applies Invoke the Power of Brell when Activated.',100,0,0),
(51860,48267,'This effect cannot be cast during combat',100,1,1),
(51861,10048267,'Applies Invoke the Power of Brell when Activated.',100,0,0),
(51862,10048267,'This effect cannot be cast during combat',100,1,1),
(51863,107248,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(51864,107248,'Slows target by 64.3%',100,2,1),
(51865,107248,'5% chance to dispel when target receives hostile action',100,2,2),
(51866,107248,'5% chance to dispel when target takes damage',100,2,3),
(51867,107248,'Inflicts 735 - 898 disease damage on target',100,1,4),
(51868,107248,'Inflicts 245 - 299 disease damage on target every 4 seconds',100,1,5),
(51869,107248,'Slows target by 64.3%',100,1,6),
(51870,107248,'5% chance to dispel when target receives hostile action',100,1,7),
(51871,107248,'5% chance to dispel when target takes damage',100,1,8),
(51872,10107248,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(51873,10107248,'Slows target by 64.3%',100,2,1),
(51874,10107248,'5% chance to dispel when target receives hostile action',100,2,2),
(51875,10107248,'5% chance to dispel when target takes damage',100,2,3),
(51876,10107248,'Inflicts 395 disease damage on target',100,1,4),
(51877,10107248,'Inflicts 193 - 236 disease damage on target every 2.5 seconds',100,1,5),
(51878,10107248,'Slows target by 64.3%',100,1,6),
(51879,10107248,'5% chance to dispel when target receives hostile action',100,1,7),
(51880,10107248,'5% chance to dispel when target takes damage',100,1,8),
(51881,124546,'Dispels 77 levels of physical hostile effects on caster',100,129,0),
(51882,124546,'Dispels 77 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(51883,10124546,'Dispels 77 levels of physical hostile effects on caster',100,129,0),
(51884,10124546,'Dispels 77 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(51885,118623,'Inflicts 255 - 754 crushing damage on target',100,1,0),
(51886,10118623,'Inflicts 205 - 607 crushing damage on target',100,1,0),
(51887,122828,'Inflicts 3115 - 4522 ranged damage on target',100,1,0),
(51888,122828,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(51889,122828,'Increases Hate Gain of target by 30.0%',100,2,2),
(51890,122828,'Grants a total of 1 trigger of the spell.',100,2,3),
(51891,122828,'Requires bow',100,1,4),
(51892,10122828,'Inflicts 1655 - 2487 ranged damage on target',100,1,0),
(51893,10122828,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(51894,10122828,'Grants a total of 1 trigger of the spell.',100,2,2),
(51895,10122828,'Requires bow',100,1,3),
(51896,35024,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(51897,35024,'This effect suspends during combat',100,0,1),
(51898,81232,'When Equipped:',100,0,0),
(51899,81232,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51900,81232,'Inflicts 155 - 288 magic damage on target',100,2,2),
(51901,81232,'Cannot be modified except by direct means',100,2,3),
(51902,10081232,'When Equipped:',100,0,0),
(51903,10081232,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51904,10081232,'Inflicts 155 - 288 magic damage on target',100,2,2),
(51905,10081232,'Cannot be modified except by direct means',100,2,3),
(51906,25771,'When Equipped:',100,0,0),
(51907,25771,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51908,25771,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(51909,10025771,'When Equipped:',100,0,0),
(51910,10025771,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(51911,10025771,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(51912,82663,'When Equipped:',100,0,0),
(51913,82663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51914,82663,'Inflicts 134 - 249 magic damage on target',100,2,2),
(51915,82663,'Cannot be modified except by direct means',100,2,3),
(51916,10082663,'When Equipped:',100,0,0),
(51917,10082663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(51918,10082663,'Inflicts 134 - 249 magic damage on target',100,2,2),
(51919,10082663,'Cannot be modified except by direct means',100,2,3),
(51920,108039,'Inflicts 1015 magic damage on target',100,1,0),
(51921,108039,'Increases power of caster by 78',100,1,1),
(51922,10108039,'Inflicts 872 magic damage on target',100,1,0),
(51923,10108039,'Increases power of caster by 78',100,1,1),
(51924,103637,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(51925,103637,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(51926,103637,'Increases STR of raid and group members (AE) by 42.8',100,1,2),
(51927,103637,'Improves the base amount of taunts by 12%.',100,1,3),
(51928,103637,'Improves the base amount of combat arts by 3.75%.',100,1,4),
(51929,103637,'Increases AGI of raid and group members (AE) by 42.8',100,1,5),
(51930,103637,'Adds 1.2% to base avoidance.',100,1,6),
(51931,10103637,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(51932,10103637,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(51933,10103637,'Increases STR of raid and group members (AE) by 42.8',100,1,2),
(51934,10103637,'Improves the base amount of taunts by 12%.',100,1,3),
(51935,10103637,'Improves the base amount of combat arts by 3.75%.',100,1,4),
(51936,10103637,'Increases AGI of raid and group members (AE) by 42.8',100,1,5),
(51937,10103637,'Adds 1.2% to base avoidance.',100,1,6),
(51938,112158,'Increases Max Health of caster by 5.0%',100,129,0),
(51939,112158,'Increases STR of caster by 12.5',100,1,1),
(51940,112158,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 281',100,1,2),
(51941,112158,'Increases Mitigation of caster vs physical damage by 84',100,1,3),
(51942,10112158,'Increases Max Health of caster by 5.0%',100,129,0),
(51943,10112158,'Increases STR of caster by 12.5',100,1,1),
(51944,10112158,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 281',100,1,2),
(51945,10112158,'Increases Mitigation of caster vs physical damage by 84',100,1,3),
(51946,139887,'When Equipped:',100,0,0),
(51947,139887,'When damaged this spell has a 5% chance to cast Quick Reprieve on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(51948,139887,'Wards caster against 325 points of all damage',100,2,2),
(51949,139887,'Cannot be modified except by direct means',100,2,3),
(51950,10139887,'When Equipped:',100,0,0),
(51951,10139887,'When damaged this spell has a 5% chance to cast Quick Reprieve on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(51952,10139887,'Wards caster against 325 points of all damage',100,2,2),
(51953,10139887,'Cannot be modified except by direct means',100,2,3),
(51954,82146,'When Equipped:',100,0,0),
(51955,82146,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51956,82146,'Decreases Threat to target by 641 ',100,2,2),
(51957,82146,'Must be flanking or behind',100,3,3),
(51958,82146,'Increases Threat to target by 1,101 ',100,2,4),
(51959,82146,'Must be in front of',100,3,5),
(51960,82146,'Inflicts 272 - 505 magic damage on target',100,2,6),
(51961,82146,'Cannot be modified except by direct means',100,2,7),
(51962,10082146,'When Equipped:',100,0,0),
(51963,10082146,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51964,10082146,'Inflicts 272 - 505 magic damage on target',100,2,2),
(51965,10082146,'Cannot be modified except by direct means',100,2,3),
(51966,27216,'When Equipped:',100,0,0),
(51967,27216,'Increases Crit Chance of caster by 2.0',100,1,1),
(51968,10027216,'When Equipped:',100,0,0),
(51969,10027216,'Increases Crit Chance of caster by 2.0',100,1,1),
(51970,48337,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(51971,48337,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(51972,48337,'Inflicts 232 poison damage on target instantly and every 4 seconds',100,2,2),
(51973,48337,'Cannot be modified except by direct means',100,2,3),
(51974,48337,'Grants a total of 100 triggers of the spell.',100,2,4),
(51975,10048337,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(51976,10048337,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(51977,10048337,'Inflicts 174 poison damage on target instantly and every 4 seconds',100,2,2),
(51978,10048337,'Cannot be modified except by direct means',100,2,3),
(51979,10048337,'Grants a total of 100 triggers of the spell.',100,2,4),
(51980,41573,'When Equipped:',100,0,0),
(51981,41573,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51982,41573,'Decreases Threat to target by 994 ',100,2,2),
(51983,41573,'Must be flanking or behind',100,3,3),
(51984,41573,'Increases Threat to target by 1,454 ',100,2,4),
(51985,41573,'Must be in front of',100,3,5),
(51986,41573,'Inflicts 523 - 972 magic damage on target',100,2,6),
(51987,41573,'Cannot be modified except by direct means',100,2,7),
(51988,10041573,'When Equipped:',100,0,0),
(51989,10041573,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(51990,10041573,'Inflicts 523 - 972 magic damage on target',100,2,2),
(51991,10041573,'Cannot be modified except by direct means',100,2,3),
(51992,140041,'When Equipped:',100,0,0),
(51993,140041,'Increases Attack Speed of caster by 35.0',100,1,1),
(51994,10140041,'When Equipped:',100,0,0),
(51995,10140041,'Increases Attack Speed of caster by 35.0',100,1,1),
(51996,118002,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(51997,118002,'Increases Attack Speed of target by 32.3',100,2,1),
(51998,118002,'Increases Damage Per Second of target by 32.3',100,2,2),
(51999,118002,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(52000,118002,'Increases Attack Speed of target by 32.3',100,2,4),
(52001,118002,'Increases Damage Per Second of target by 32.3',100,2,5),
(52002,118002,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(52003,118002,'Increases Attack Speed of target by 32.3',100,2,7),
(52004,118002,'Increases Damage Per Second of target by 32.3',100,2,8),
(52005,10118002,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(52006,10118002,'Increases Attack Speed of target by 32.3',100,2,1),
(52007,10118002,'Increases Damage Per Second of target by 32.3',100,2,2),
(52008,10118002,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(52009,10118002,'Increases Attack Speed of target by 32.3',100,2,4),
(52010,10118002,'Increases Damage Per Second of target by 32.3',100,2,5),
(52011,10118002,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(52012,10118002,'Increases Attack Speed of target by 32.3',100,2,7),
(52013,10118002,'Increases Damage Per Second of target by 32.3',100,2,8),
(52014,113441,'Increases INT of target by 10.9',100,1,0),
(52015,113441,'Increases Max Health of target by 32.0',100,1,1),
(52016,10113441,'Increases INT of target by 10.9',100,1,0),
(52017,10113441,'Increases Max Health of target by 32.0',100,1,1),
(52018,159350,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(52019,159350,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52020,159350,'Heals target for 67 instantly and every 4 seconds',100,2,2),
(52021,159350,'Cannot be modified except by direct means',100,2,3),
(52022,10159350,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(52023,10159350,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52024,10159350,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(52025,10159350,'Cannot be modified except by direct means',100,2,3),
(52026,105226,'Decreases STR and INT of target by 61.3',100,1,0),
(52027,105226,'Only affects targets level 20 and above',100,1,1),
(52028,10105226,'Decreases STR and INT of target by 61.3',100,1,0),
(52029,10105226,'Only affects targets level 20 and above',100,1,1),
(52030,122222,'Increases Damage Per Second of target by 18.6',100,1,0),
(52031,122222,'Increases Max Health of target by 572.6',100,1,1),
(52032,10122222,'Increases Damage Per Second of target by 18.6',100,1,0),
(52033,10122222,'Increases Max Health of target by 572.6',100,1,1),
(52034,81180,'When Equipped:',100,0,0),
(52035,81180,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52036,81180,'Inflicts 261 - 484 magic damage on target',100,2,2),
(52037,81180,'Cannot be modified except by direct means',100,2,3),
(52038,10081180,'When Equipped:',100,0,0),
(52039,10081180,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52040,10081180,'Inflicts 261 - 484 magic damage on target',100,2,2),
(52041,10081180,'Cannot be modified except by direct means',100,2,3),
(52042,26635,'When Equipped:',100,0,0),
(52043,26635,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52044,26635,'Adds an additional trigger to Repentance VI.',100,1,2),
(52045,10026635,'When Equipped:',100,0,0),
(52046,10026635,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52047,10026635,'Adds an additional trigger to Repentance VI.',100,1,2),
(52048,117978,'Heals target for 4373 - 5127',100,1,0),
(52049,117978,'Increases Max Health of target by 153.3',100,1,1),
(52050,10117978,'Heals target for 5979 - 7206',100,1,0),
(52051,10117978,'Increases Max Health of target by 153.3',100,1,1),
(52052,176097,'When Equipped:',100,0,0),
(52053,176097,'Increases Attack Speed of caster by 25.0',100,1,1),
(52054,10176097,'When Equipped:',100,0,0),
(52055,10176097,'Increases Attack Speed of caster by 25.0',100,1,1),
(52056,116843,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(52057,116843,'Inflicts 1121 - 1370 mental damage on target',100,2,1),
(52058,116843,'Grants a total of 3 triggers of the spell.',100,2,2),
(52059,10116843,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(52060,10116843,'Inflicts 889 - 1057 mental damage on target',100,2,1),
(52061,10116843,'Grants a total of 3 triggers of the spell.',100,2,2),
(52062,120711,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 21.2',100,1,0),
(52063,10120711,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 21.2',100,1,0),
(52064,75823,'When Equipped:',100,0,0),
(52065,75823,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(52066,75823,'Decreases Threat to target by 4,662 - 5,153 ',100,2,2),
(52067,75823,'Inflicts 2433 - 2689 mental damage on target',100,2,3),
(52068,75823,'Must not be engaged in pvp combat',100,2,4),
(52069,75823,'Cannot be modified except by direct means',100,2,5),
(52070,75823,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(52071,75823,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(52072,75823,'Decreases Threat to target by 4,662 - 5,153 ',100,2,8),
(52073,75823,'Inflicts 2433 - 2689 mental damage on target',100,2,9),
(52074,75823,'Must not be engaged in pvp combat',100,2,10),
(52075,75823,'Cannot be modified except by direct means',100,2,11),
(52076,75823,'Cannot be modified except by direct means',100,1,12),
(52077,10075823,'When Equipped:',100,0,0),
(52078,10075823,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(52079,10075823,'Inflicts 2433 - 2689 mental damage on target',100,2,2),
(52080,10075823,'Must not be engaged in pvp combat',100,2,3),
(52081,10075823,'Cannot be modified except by direct means',100,2,4),
(52082,10075823,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(52083,10075823,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(52084,10075823,'Inflicts 2433 - 2689 mental damage on target',100,2,7),
(52085,10075823,'Must not be engaged in pvp combat',100,2,8),
(52086,10075823,'Cannot be modified except by direct means',100,2,9),
(52087,10075823,'Cannot be modified except by direct means',100,1,10),
(52088,36019,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(52089,36019,'Increases Max Power of target by 10.5',100,0,1),
(52090,88169,'When Equipped:',100,0,0),
(52091,88169,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(52092,88169,'Inflicts 1986 poison damage on target',100,2,2),
(52093,88169,'Cannot be modified except by direct means',100,2,3),
(52094,10088169,'When Equipped:',100,0,0),
(52095,10088169,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(52096,10088169,'Inflicts 993 poison damage on target',100,2,2),
(52097,10088169,'Cannot be modified except by direct means',100,2,3),
(52098,103363,'Decreases power of target by 54 instantly and every 6 seconds',100,1,0),
(52099,103363,'Inflicts 881 - 1047 mental damage on target',100,1,1),
(52100,103363,'Inflicts 213 - 261 mental damage on target every 6 seconds',100,1,2),
(52101,103363,'Increases power of caster by 48',100,1,3),
(52102,10103363,'Decreases power of target by 42 instantly and every 6 seconds',100,1,0),
(52103,10103363,'Inflicts 563 - 600 mental damage on target',100,1,1),
(52104,10103363,'Inflicts 168 - 206 mental damage on target every 6 seconds',100,1,2),
(52105,10103363,'Increases power of caster by 48',100,1,3),
(52106,159457,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52107,159457,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52108,159457,'Inflicts 153 heat damage on target',100,2,2),
(52109,159457,'Cannot be modified except by direct means',100,2,3),
(52110,10159457,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52111,10159457,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52112,10159457,'Inflicts 153 heat damage on target',100,2,2),
(52113,10159457,'Cannot be modified except by direct means',100,2,3),
(52114,35893,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(52115,35893,'Increases Max Health of target by 91.0',100,0,1),
(52116,113673,'Stuns target',100,1,0),
(52117,113673,'If Target is not Epic',100,2,1),
(52118,113673,'Inflicts 167 - 278 heat damage on target',100,1,2),
(52119,113673,'Resistibility increases against targets higher than level 31.',100,1,3),
(52120,10113673,'Stuns target',100,1,0),
(52121,10113673,'If Target is not Epic',100,2,1),
(52122,10113673,'Inflicts 143 - 239 heat damage on target',100,1,2),
(52123,10113673,'Resistibility increases against targets higher than level 31.',100,1,3),
(52124,35424,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(52125,35424,'Increases Max Health of target by 120.7',100,0,1),
(52126,111288,'Inflicts 1463 - 2139 divine damage on target',100,1,0),
(52127,111288,'Inflicts 278 - 463 divine damage on target every 4 seconds',100,1,1),
(52128,10111288,'Inflicts 944 - 1306 divine damage on target',100,1,0),
(52129,10111288,'Inflicts 219 - 365 divine damage on target every 4 seconds',100,1,1),
(52130,100588,'Inflicts 2115 - 2861 melee damage on target',100,1,0),
(52131,100588,'You must be sneaking to use this ability.',100,1,1),
(52132,10100588,'Inflicts 1461 - 2163 melee damage on target',100,1,0),
(52133,10100588,'You must be sneaking to use this ability.',100,1,1),
(52134,141839,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(52135,141839,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52136,141839,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(52137,141839,'Cannot be modified except by direct means',100,2,3),
(52138,10141839,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(52139,10141839,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52140,10141839,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(52141,10141839,'Cannot be modified except by direct means',100,2,3),
(52142,37466,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(52143,159837,'Applies Lambent Imbued when Equipped.',100,0,0),
(52144,159837,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52145,159837,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(52146,159837,'Cannot be modified except by direct means',100,2,3),
(52147,10159837,'Applies Lambent Imbued when Equipped.',100,0,0),
(52148,10159837,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52149,10159837,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(52150,10159837,'Cannot be modified except by direct means',100,2,3),
(52151,106288,'Decreases AGI, STR, INT and WIS of target encounter by 90.3',100,1,0),
(52152,106288,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 23.1',100,1,1),
(52153,10106288,'Decreases AGI, STR, INT and WIS of target encounter by 90.3',100,1,0),
(52154,10106288,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 23.1',100,1,1),
(52155,119964,'Increases Threat to target by 158 - 194 ',100,1,0),
(52156,10119964,'Prevents target from changing targets',100,1,0),
(52157,10119964,'Forces target to change their selected target to caster.',100,1,1),
(52158,120452,'Inflicts 2699 - 3828 melee damage on target',100,1,0),
(52159,120452,'Inflicts 1716 - 2846 melee damage on target',100,1,1),
(52160,10120452,'Inflicts 1747 - 2638 melee damage on target',100,1,0),
(52161,10120452,'Inflicts 1352 - 2243 melee damage on target',100,1,1),
(52162,116349,'Mesmerizes target encounter',100,1,0),
(52163,116349,'Prevents AOE (except when direct) ',100,1,1),
(52164,116349,'Dispelled when target takes damage',100,1,2),
(52165,116349,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(52166,116349,'Resistibility increases against targets higher than level 66.',100,1,4),
(52167,10116349,'Mesmerizes target encounter',100,1,0),
(52168,10116349,'Prevents AOE (except when direct) ',100,1,1),
(52169,10116349,'Dispelled when target takes damage',100,1,2),
(52170,10116349,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(52171,10116349,'Resistibility increases against targets higher than level 66.',100,1,4),
(52172,107061,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(52173,107061,'Inflicts 920 - 1534 divine damage on target',100,2,1),
(52174,107061,'Inflicts 920 - 1534 divine damage on target',100,2,2),
(52175,107061,'If target is undead',100,3,3),
(52176,10107061,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(52177,10107061,'Inflicts 1209 - 2015 divine damage on target',100,2,1),
(52178,113948,'Decreases power of target encounter by 199 instantly and every 4 seconds',100,1,0),
(52179,113948,'Increases power of group members (AE) by 24 instantly and every 4 seconds',100,1,1),
(52180,10113948,'Decreases power of target encounter by 157 instantly and every 4 seconds',100,1,0),
(52181,10113948,'Increases power of group members (AE) by 24 instantly and every 4 seconds',100,1,1),
(52182,80963,'When Equipped:',100,0,0),
(52183,80963,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(52184,80963,'Decreases Threat to target by 672 ',100,2,2),
(52185,80963,'Must be flanking or behind',100,3,3),
(52186,80963,'Increases Threat to target by 1,132 ',100,2,4),
(52187,80963,'Must be in front of',100,3,5),
(52188,80963,'Inflicts 369 - 686 magic damage on target',100,2,6),
(52189,80963,'Cannot be modified except by direct means',100,2,7),
(52190,10080963,'When Equipped:',100,0,0),
(52191,10080963,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(52192,10080963,'Inflicts 369 - 686 magic damage on target',100,2,2),
(52193,10080963,'Cannot be modified except by direct means',100,2,3),
(52194,80613,'When Equipped:',100,0,0),
(52195,80613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52196,80613,'Inflicts 106 - 197 magic damage on target',100,2,2),
(52197,80613,'Cannot be modified except by direct means',100,2,3),
(52198,10080613,'When Equipped:',100,0,0),
(52199,10080613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52200,10080613,'Inflicts 106 - 197 magic damage on target',100,2,2),
(52201,10080613,'Cannot be modified except by direct means',100,2,3),
(52202,182339,'When Equipped:',100,0,0),
(52203,182339,'On a healing spell cast this spell may cast Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52204,182339,'Replenishes 100 points of absorption every 5 seconds.',100,2,2),
(52205,182339,'Wards target against 500 points of all damage',100,2,3),
(52206,182339,'Cannot be modified except by direct means',100,2,4),
(52207,182339,'Cannot be modified except by direct means',100,1,5),
(52208,10182339,'When Equipped:',100,0,0),
(52209,10182339,'On a healing spell cast this spell may cast Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52210,10182339,'Replenishes 100 points of absorption every 5 seconds.',100,2,2),
(52211,10182339,'Wards target against 500 points of all damage',100,2,3),
(52212,10182339,'Cannot be modified except by direct means',100,2,4),
(52213,10182339,'Cannot be modified except by direct means',100,1,5),
(52214,40645,'When Equipped:',100,0,0),
(52215,40645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52216,40645,'Inflicts 121 - 181 magic damage on target',100,2,2),
(52217,40645,'Cannot be modified except by direct means',100,2,3),
(52218,10040645,'When Equipped:',100,0,0),
(52219,10040645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52220,10040645,'Inflicts 121 - 181 magic damage on target',100,2,2),
(52221,10040645,'Cannot be modified except by direct means',100,2,3),
(52222,121311,'Summons a pet Stewie the Stirge',100,1,0),
(52223,10121311,'Summons a pet Stewie the Stirge',100,1,0),
(52224,169914,'When Equipped:',100,0,0),
(52225,169914,'Increases disease damage done by spells by up to 50.',100,1,1),
(52226,10169914,'When Equipped:',100,0,0),
(52227,10169914,'Increases disease damage done by spells by up to 50.',100,1,1),
(52228,101536,'Increases WIS of target by 142.6',100,1,0),
(52229,101536,'Increases Max Health of target by 1,272.6',100,1,1),
(52230,101536,'Increases Mitigation of target vs elemental, noxious and arcane damage by 389',100,1,2),
(52231,10101536,'Increases WIS of target by 142.6',100,1,0),
(52232,10101536,'Increases Max Health of target by 1,272.6',100,1,1),
(52233,10101536,'Increases Mitigation of target vs elemental, noxious and arcane damage by 389',100,1,2),
(52234,107844,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(52235,107844,'Slows target by 44.5%',100,2,1),
(52236,107844,'5% chance to dispel when target receives hostile action',100,2,2),
(52237,107844,'5% chance to dispel when target takes damage',100,2,3),
(52238,107844,'Decreases Mitigation of target vs arcane damage by 333',100,1,4),
(52239,10107844,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(52240,10107844,'Slows target by 44.5%',100,2,1),
(52241,10107844,'5% chance to dispel when target receives hostile action',100,2,2),
(52242,10107844,'5% chance to dispel when target takes damage',100,2,3),
(52243,10107844,'Decreases Mitigation of target vs arcane damage by 333',100,1,4),
(52244,159723,'Applies Lambent Imbued when Equipped.',100,0,0),
(52245,159723,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52246,159723,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(52247,159723,'Cannot be modified except by direct means',100,2,3),
(52248,10159723,'Applies Lambent Imbued when Equipped.',100,0,0),
(52249,10159723,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(52250,10159723,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(52251,10159723,'Cannot be modified except by direct means',100,2,3),
(52252,105632,'Inflicts 343 disease damage on target instantly and every 6 seconds',100,1,0),
(52253,105632,'Inflicts 1779 - 2304 disease damage on target',100,1,1),
(52254,105632,'Inflicts 797 - 1321 disease damage on target',100,1,2),
(52255,10105632,'Inflicts 270 disease damage on target instantly and every 6 seconds',100,1,0),
(52256,10105632,'Inflicts 1022 - 1436 disease damage on target',100,1,1),
(52257,10105632,'Inflicts 628 - 1041 disease damage on target',100,1,2),
(52258,119222,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(52259,119222,'Decreases Threat to target by 476 ',100,2,1),
(52260,10119222,'On any combat or spell hit this spell may cast Evade on target of attack.  Lasts for 1.0 second.  Triggers about 4.0 times per minute. ',100,1,0),
(52261,10119222,'Applies Distract.',100,2,1),
(52262,10119222,'Forces target to clear their selected target.',100,3,2),
(52263,10119222,'Prevents target from changing targets',100,2,3),
(52264,102856,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(52265,102856,'Throws target back',100,2,1),
(52266,102856,'Stuns target',100,2,2),
(52267,102856,'Blurs vision of target',100,2,3),
(52268,102856,'Does not affect Epic targets',100,2,4),
(52269,102856,'Inflicts 1210 - 2938 melee damage on targets in area',100,1,5),
(52270,10102856,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(52271,10102856,'Throws target back',100,2,1),
(52272,10102856,'Stuns target',100,2,2),
(52273,10102856,'Blurs vision of target',100,2,3),
(52274,10102856,'Does not affect Epic targets',100,2,4),
(52275,10102856,'Inflicts 843 - 2234 melee damage on targets in area',100,1,5),
(52276,100641,'Wipes target''s memory of any aggression',100,1,0),
(52277,100641,'Stuns target',100,1,1),
(52278,100641,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(52279,100641,'Resistibility increases against targets higher than level 113.',100,1,3),
(52280,10100641,'Forces target to clear their selected target.',100,1,0),
(52281,10100641,'Prevents target from changing targets',100,1,1),
(52282,10100641,'Stuns target',100,1,2),
(52283,10100641,'If Target is not Epic',100,2,3),
(52284,10100641,'Resistibility increases against targets higher than level 113.',100,1,4),
(52285,113328,'Inflicts 711 - 869 divine damage on target encounter',100,1,0),
(52286,113328,'Interrupts target encounter',100,1,1),
(52287,10113328,'Inflicts 582 - 711 divine damage on target encounter',100,1,0),
(52288,10113328,'Interrupts target encounter',100,1,1),
(52289,120935,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(52290,120935,'Inflicts 2998 - 3592 mental damage on target',100,2,1),
(52291,120935,'Grants a total of 3 triggers of the spell.',100,2,2),
(52292,10120935,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(52293,10120935,'Inflicts 2237 - 2704 mental damage on target',100,2,1),
(52294,10120935,'Grants a total of 3 triggers of the spell.',100,2,2),
(52295,45823,'Applies Consume Essence when Activated.',100,0,0),
(52296,45823,'Heals group members (AE) for 373 - 456',100,1,1),
(52297,45823,'Dispels 83 levels of any hostile effects on caster',100,1,2),
(52298,10045823,'Applies Consume Essence when Activated.',100,0,0),
(52299,10045823,'Heals group members (AE) for 242 - 296',100,1,1),
(52300,10045823,'Dispels 83 levels of any hostile effects on caster',100,1,2),
(52301,105128,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(52302,105128,'Summon 1 Crystallized Spirit (Journeyman)',100,2,1),
(52303,10105128,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(52304,10105128,'Summon 1 Crystallized Spirit (Journeyman)',100,2,1),
(52305,111833,'Inflicts 1857 - 3036 melee damage on target',100,1,0),
(52306,111833,'Roots target',100,1,1),
(52307,111833,'If Target is not Epic',100,2,2),
(52308,111833,'Resistibility increases against targets higher than level 84.',100,1,3),
(52309,10111833,'Inflicts 1274 - 1854 melee damage on target',100,1,0),
(52310,10111833,'Roots target',100,1,1),
(52311,10111833,'If Target is not Epic',100,2,2),
(52312,10111833,'Resistibility increases against targets higher than level 84.',100,1,3),
(52313,54384,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(52314,54384,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(52315,54384,'Inflicts 46 heat damage on target',100,2,2),
(52316,54384,'Cannot be modified except by direct means',100,2,3),
(52317,10054384,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(52318,10054384,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(52319,10054384,'Inflicts 46 heat damage on target',100,2,2),
(52320,10054384,'Cannot be modified except by direct means',100,2,3),
(52321,123321,'Increases STA of raid and group members (AE) by 35.9',100,1,0),
(52322,123321,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(52323,10123321,'Increases STA of raid and group members (AE) by 35.9',100,1,0),
(52324,10123321,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(52325,109298,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(52326,109298,'Increases Mitigation of group members (AE) vs elemental damage by 479',100,1,1),
(52327,10109298,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(52328,10109298,'Increases Mitigation of group members (AE) vs elemental damage by 479',100,1,1),
(52329,111203,'Inflicts 1404 - 2313 divine damage on targets in area',100,1,0),
(52330,111203,'Heals group members (AE) for 1.7% of max health',100,1,1),
(52331,111203,'This effect cannot be critically applied.',100,2,2),
(52332,111203,'The healing of this spell cannot be modified except by direct means',100,1,3),
(52333,10111203,'Inflicts 1110 - 1797 divine damage on targets in area',100,1,0),
(52334,10111203,'Heals group members (AE) for 1.1% of max health',100,1,1),
(52335,10111203,'This effect cannot be critically applied.',100,2,2),
(52336,10111203,'The healing of this spell cannot be modified except by direct means',100,1,3),
(52337,155190,'When Equipped:',100,0,0),
(52338,155190,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(52339,155190,'Must not be engaged in pvp combat',100,1,2),
(52340,10155190,'When Equipped:',100,0,0),
(52341,10155190,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(52342,10155190,'Must not be engaged in pvp combat',100,1,2),
(52343,86097,'When Equipped:',100,0,0),
(52344,86097,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(52345,10086097,'When Equipped:',100,0,0),
(52346,10086097,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(52347,47891,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(52348,47891,'Increases power of caster by 82 instantly and every 4 seconds',100,1,1),
(52349,47891,'Requires 715 Health to cast.',100,1,2),
(52350,10047891,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(52351,10047891,'Increases power of caster by 82 instantly and every 4 seconds',100,1,1),
(52352,10047891,'Requires 715 Health to cast.',100,1,2),
(52353,186801,'When Equipped:',100,0,0),
(52354,186801,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(52355,186801,'Increases Max Health of group members by 500.0',100,2,2),
(52356,186801,'Cannot be modified except by direct means',100,2,3),
(52357,186801,'When Equipped:',100,0,4),
(52358,186801,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(52359,186801,'This effect can be stacked by multiple casters.',100,2,6),
(52360,186801,'Increases Mitigation of target vs all damage by 1023',100,2,7),
(52361,186801,'Cannot be modified except by direct means',100,2,8),
(52362,10186801,'When Equipped:',100,0,0),
(52363,10186801,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(52364,10186801,'Increases Max Health of group members by 500.0',100,2,2),
(52365,10186801,'Cannot be modified except by direct means',100,2,3),
(52366,10186801,'When Equipped:',100,0,4),
(52367,10186801,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(52368,10186801,'This effect can be stacked by multiple casters.',100,2,6),
(52369,10186801,'Increases Mitigation of target vs all damage by 1023',100,2,7),
(52370,10186801,'Cannot be modified except by direct means',100,2,8),
(52371,108498,'Inflicts 244 - 405 melee damage on target',100,1,0),
(52372,10108498,'Inflicts 192 - 319 melee damage on target',100,1,0),
(52373,116296,'Stuns target',100,1,0),
(52374,116296,'Does not affect Epic targets',100,1,1),
(52375,116296,'Resistibility increases against targets higher than level 45.',100,1,2),
(52376,10116296,'Stuns target',100,1,0),
(52377,10116296,'Does not affect Epic targets',100,1,1),
(52378,10116296,'Resistibility increases against targets higher than level 45.',100,1,2),
(52379,48005,'Applies Draw upon Essence when Activated.',100,0,0),
(52380,48005,'Increases power of caster by 397',100,1,1),
(52381,48005,'Requires 715 Health to cast.',100,1,2),
(52382,10048005,'Applies Draw upon Essence when Activated.',100,0,0),
(52383,10048005,'Increases power of caster by 397',100,1,1),
(52384,10048005,'Requires 715 Health to cast.',100,1,2),
(52385,114319,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(52386,114319,'Increases target''s chance to block by 15.0%',100,130,1),
(52387,114319,'Dispels 8 levels of noxious hostile effects on target',100,1,2),
(52388,114319,'Heals target for 148 - 162',100,1,3),
(52389,114319,'This effect cannot be critically applied.',100,2,4),
(52390,114319,'The healing of this spell cannot be modified except by direct means',100,1,5),
(52391,10114319,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(52392,10114319,'Increases target''s chance to block by 15.0%',100,130,1),
(52393,10114319,'Dispels 8 levels of noxious hostile effects on target',100,1,2),
(52394,10114319,'Heals target for 91 - 99',100,1,3),
(52395,10114319,'This effect cannot be critically applied.',100,2,4),
(52396,10114319,'The healing of this spell cannot be modified except by direct means',100,1,5),
(52397,46559,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(52398,46559,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(52399,46559,'Inflicts 771 poison damage on target',100,2,2),
(52400,46559,'Heals caster for 330',100,2,3),
(52401,46559,'Cannot be modified except by direct means',100,2,4),
(52402,46559,'Grants a total of 100 triggers of the spell.',100,2,5),
(52403,10046559,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(52404,10046559,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(52405,10046559,'Inflicts 551 poison damage on target',100,2,2),
(52406,10046559,'Heals caster for 134',100,2,3),
(52407,10046559,'Cannot be modified except by direct means',100,2,4),
(52408,10046559,'Grants a total of 100 triggers of the spell.',100,2,5),
(52409,49111,'Applies Warding of the Forest Princess when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(52410,49111,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(52411,49111,'Inflicts 25 magic damage on target',100,2,2),
(52412,49111,'Cannot be modified except by direct means',100,2,3),
(52413,10049111,'Applies Warding of the Forest Princess when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(52414,10049111,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(52415,10049111,'Inflicts 25 magic damage on target',100,2,2),
(52416,10049111,'Cannot be modified except by direct means',100,2,3),
(52417,106441,'Increases Multi Attack Chance of raid and group members (AE) by 5.5',100,1,0),
(52418,10106441,'Increases Multi Attack Chance of raid and group members (AE) by 5.5',100,1,0),
(52419,36143,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(52420,36143,'Increases Out-of-Combat Power Regeneration of target by 108.0',100,0,1),
(52421,111532,'Blurs vision of targets in Area of Effect',100,1,0),
(52422,111532,'Interrupts targets in Area of Effect',100,1,1),
(52423,111532,'19% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(52424,111532,'Throws target back',100,2,3),
(52425,111532,'Stuns target',100,2,4),
(52426,111532,'Blurs vision of target',100,2,5),
(52427,111532,'Does not affect Epic targets',100,2,6),
(52428,10111532,'Blurs vision of targets in Area of Effect',100,1,0),
(52429,10111532,'19% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(52430,10111532,'Throws target back',100,2,2),
(52431,10111532,'Stuns target',100,2,3),
(52432,10111532,'Blurs vision of target',100,2,4),
(52433,10111532,'Does not affect Epic targets',100,2,5),
(52434,10111532,'Interrupts targets in Area of Effect',100,1,6),
(52435,35847,'Increases STR of target by 8.4',100,0,0),
(52436,35847,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(52437,24723,'Adds Succubus (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(52438,10024723,'Adds Succubus (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(52439,47410,'Applies Nightshade Healing Salve when Activated.',100,0,0),
(52440,47410,'Heals caster for 555',100,1,1),
(52441,10047410,'Applies Nightshade Healing Salve when Activated.',100,0,0),
(52442,10047410,'Heals caster for 361',100,1,1),
(52443,114132,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(52444,114132,'Increases Mitigation of group members (AE) vs elemental damage by 523',100,1,1),
(52445,10114132,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(52446,10114132,'Increases Mitigation of group members (AE) vs elemental damage by 523',100,1,1),
(52447,26371,'When Equipped:',100,0,0),
(52448,26371,'Caster has a 1.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(52449,10026371,'When Equipped:',100,0,0),
(52450,10026371,'Caster has a 1.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(52451,115709,'Inflicts 328 - 544 ranged damage on target',100,1,0),
(52452,115709,'Inflicts 164 - 272 ranged damage on target',100,1,1),
(52453,115709,'If weapon equipped in Ranged',100,1,2),
(52454,10115709,'Inflicts 261 - 433 ranged damage on target',100,1,0),
(52455,10115709,'Inflicts 96 - 160 ranged damage on target',100,1,1),
(52456,10115709,'If weapon equipped in Ranged',100,1,2),
(52457,48702,'Applies Translucent Elemental Remedy when Activated.',100,0,0),
(52458,48702,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(52459,48702,'Only affects targets level 50 and above',100,1,2),
(52460,10048702,'Applies Translucent Elemental Remedy when Activated.',100,0,0),
(52461,10048702,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(52462,10048702,'Only affects targets level 50 and above',100,1,2),
(52463,170689,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(52464,170689,'Decreases Mitigation of target vs physical damage by 891',100,1,1),
(52465,170689,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(52466,10170689,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(52467,10170689,'Decreases Mitigation of target vs physical damage by 891',100,1,1),
(52468,10170689,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(52469,35942,'Increases STR of target by 2.4',100,0,0),
(52470,35942,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(52471,47041,'Applies Call Pink-saddled Midnight Mistrunner when Activated.',100,0,0),
(52472,47041,'Increases Max Health of caster by 150.0',100,1,1),
(52473,47041,'Increases Max Power of caster by 150.0',100,1,2),
(52474,47041,'Increases Crushing of caster by 7.0',100,1,3),
(52475,47041,'Summons a mount to ride',100,1,4),
(52476,47041,'Increases your ground speed by 130%',100,2,5),
(52477,47041,'Increases Slashing, Piercing, Disruption and Ranged of caster by 7.0',100,1,6),
(52478,47041,'Requires good alignment',100,1,7),
(52479,10047041,'Applies Call Pink-saddled Midnight Mistrunner when Activated.',100,0,0),
(52480,10047041,'Increases Max Health of caster by 150.0',100,1,1),
(52481,10047041,'Increases Max Power of caster by 150.0',100,1,2),
(52482,10047041,'Increases Crushing of caster by 7.0',100,1,3),
(52483,10047041,'Summons a mount to ride',100,1,4),
(52484,10047041,'Increases your ground speed by 130%',100,2,5),
(52485,10047041,'Increases Slashing, Piercing, Disruption and Ranged of caster by 7.0',100,1,6),
(52486,10047041,'Requires good alignment',100,1,7),
(52487,72118,'Applies Astral Blessing when Equipped.',100,0,0),
(52488,72118,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52489,72118,'Heals target for 442 instantly and every second',100,2,2),
(52490,72118,'Cannot be modified except by direct means',100,2,3),
(52491,72118,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(52492,72118,'Heals caster for 442 instantly and every second',100,2,5),
(52493,72118,'Cannot be modified except by direct means',100,2,6),
(52494,72118,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(52495,72118,'Heals caster for 442 instantly and every second',100,2,8),
(52496,72118,'Cannot be modified except by direct means',100,2,9),
(52497,10072118,'Applies Astral Blessing when Equipped.',100,0,0),
(52498,10072118,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52499,10072118,'Heals target for 517 instantly and every second',100,2,2),
(52500,10072118,'Cannot be modified except by direct means',100,2,3),
(52501,10072118,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(52502,10072118,'Heals caster for 517 instantly and every second',100,2,5),
(52503,10072118,'Cannot be modified except by direct means',100,2,6),
(52504,10072118,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(52505,10072118,'Heals caster for 517 instantly and every second',100,2,8),
(52506,10072118,'Cannot be modified except by direct means',100,2,9),
(52507,109708,'Inflicts 128 - 212 cold damage on target',100,1,0),
(52508,109708,'If weapon equipped in Ranged',100,1,1),
(52509,10109708,'Inflicts 75 - 125 cold damage on target',100,1,0),
(52510,10109708,'If weapon equipped in Ranged',100,1,1),
(52511,36510,'Increases WIS and STA of target by 15.4',100,0,0),
(52512,36510,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(52513,105571,'Inflicts 1979 - 2834 disease damage on target',100,1,0),
(52514,105571,'Inflicts 598 - 1111 disease damage on target every 2 seconds',100,1,1),
(52515,10105571,'Inflicts 1180 - 1854 disease damage on target',100,1,0),
(52516,10105571,'Inflicts 471 - 876 disease damage on target every 2 seconds',100,1,1),
(52517,48920,'Applies thekela''s Rejuvenation  when Activated.',100,0,0),
(52518,48920,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(52519,10048920,'Applies thekela''s Rejuvenation  when Activated.',100,0,0),
(52520,10048920,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(52521,47964,'Applies Scintillation Potion when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(52522,47964,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(52523,47964,'Inflicts 39 magic damage on target',100,2,2),
(52524,47964,'Cannot be modified except by direct means',100,2,3),
(52525,10047964,'Applies Scintillation Potion when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(52526,10047964,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(52527,10047964,'Inflicts 39 magic damage on target',100,2,2),
(52528,10047964,'Cannot be modified except by direct means',100,2,3),
(52529,37077,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(52530,37077,'Increases Max Power of target by 10.5',100,0,1),
(52531,25292,'When Equipped:',100,0,0),
(52532,25292,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52533,25292,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,2),
(52534,10025292,'When Equipped:',100,0,0),
(52535,10025292,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52536,10025292,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,2),
(52537,165641,'When Equipped:',100,0,0),
(52538,165641,'On a melee hit this spell may cast Bleed on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(52539,165641,'Inflicts 153 piercing damage on target instantly and every 2 seconds',100,2,2),
(52540,165641,'Cannot be modified except by direct means',100,2,3),
(52541,10165641,'When Equipped:',100,0,0),
(52542,10165641,'On a melee hit this spell may cast Bleed on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(52543,10165641,'Inflicts 153 piercing damage on target instantly and every 2 seconds',100,2,2),
(52544,10165641,'Cannot be modified except by direct means',100,2,3),
(52545,109662,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(52546,109662,'Inflicts 341 - 634 poison damage on target encounter',100,2,1),
(52547,10109662,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(52548,10109662,'Inflicts 269 - 499 poison damage on target encounter',100,2,1),
(52549,118980,'Heals target for 262 - 321',100,1,0),
(52550,10118980,'Heals target for 203 - 249',100,1,0),
(52551,45468,'Applies Caress of the Phantom when Activated.  Lasts for 12 hours.',100,0,0),
(52552,45468,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(52553,45468,'Inflicts 144 poison damage on target',100,2,2),
(52554,45468,'Inflicts 25 poison damage on target instantly and every 6 seconds',100,2,3),
(52555,45468,'Cannot be modified except by direct means',100,2,4),
(52556,45468,'Grants a total of 100 triggers of the spell.',100,2,5),
(52557,10045468,'Applies Caress of the Phantom when Activated.  Lasts for 12 hours.',100,0,0),
(52558,10045468,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(52559,10045468,'Inflicts 19 poison damage on target instantly and every 6 seconds',100,2,2),
(52560,10045468,'Inflicts 108 poison damage on target',100,2,3),
(52561,10045468,'Cannot be modified except by direct means',100,2,4),
(52562,10045468,'Grants a total of 100 triggers of the spell.',100,2,5),
(52563,75650,'Applies Holy Strike when Activated.',100,0,0),
(52564,75650,'Inflicts 350 - 583 divine damage on target',100,1,1),
(52565,75650,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(52566,10075650,'Applies Holy Strike when Activated.',100,0,0),
(52567,10075650,'Inflicts 350 - 583 divine damage on target',100,1,1),
(52568,10075650,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(52569,119896,'Increases INT and AGI of group members (AE) by 106.3',100,1,0),
(52570,119896,'Adds 2.2% to base avoidance.',100,1,1),
(52571,10119896,'Increases INT and AGI of group members (AE) by 106.3',100,1,0),
(52572,10119896,'Adds 2.2% to base avoidance.',100,1,1),
(52573,103528,'Charms target',100,1,0),
(52574,103528,'If outside an arena',100,1,1),
(52575,103528,'Certain enemies cannot be charmed',100,1,2),
(52576,103528,'Does not affect Epic targets',100,1,3),
(52577,10103528,'Mesmerizes target',100,1,0),
(52578,10103528,'Prevents AOE (except when direct) ',100,1,1),
(52579,10103528,'Dispelled when target takes damage',100,1,2),
(52580,10103528,'If outside an arena',100,1,3),
(52581,10103528,'Certain enemies cannot be charmed',100,1,4),
(52582,10103528,'Does not affect Epic targets',100,1,5),
(52583,10103528,'Resistibility increases against targets higher than level 103.',100,1,6),
(52584,117270,'Inflicts 648 - 1075 melee damage on target',100,1,0),
(52585,117270,'Decreases Damage Per Second of target by 8.1',100,1,1),
(52586,117270,'Decreases Attack Speed of target by 6.8',100,1,2),
(52587,10117270,'Inflicts 510 - 847 melee damage on target',100,1,0),
(52588,10117270,'Decreases Damage Per Second of target by 8.1',100,1,1),
(52589,10117270,'Decreases Attack Speed of target by 6.8',100,1,2),
(52590,121530,'Inflicts 3551 - 5242 melee damage on target',100,1,0),
(52591,121530,'Stuns target',100,1,1),
(52592,121530,'If Target is not Epic',100,2,2),
(52593,121530,'Resistibility increases against targets higher than level 87.',100,1,3),
(52594,10121530,'Inflicts 2419 - 3752 melee damage on target',100,1,0),
(52595,10121530,'Stuns target',100,1,1),
(52596,10121530,'If Target is not Epic',100,2,2),
(52597,10121530,'Resistibility increases against targets higher than level 87.',100,1,3),
(52598,120968,'Inflicts 5334 - 8203 ranged damage on target',100,1,0),
(52599,120968,'If weapon equipped in Ranged',100,1,1),
(52600,120968,'Must be behind',100,1,2),
(52601,10120968,'Inflicts 2966 - 4662 ranged damage on target',100,1,0),
(52602,10120968,'If weapon equipped in Ranged',100,1,1),
(52603,10120968,'Must be behind',100,1,2),
(52604,110542,'Summons a pet attack hawk',100,1,0),
(52605,10110542,'Summons a pet attack hawk',100,1,0),
(52606,80853,'When Equipped:',100,0,0),
(52607,80853,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52608,80853,'Inflicts 343 - 636 magic damage on target',100,2,2),
(52609,80853,'Cannot be modified except by direct means',100,2,3),
(52610,10080853,'When Equipped:',100,0,0),
(52611,10080853,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52612,10080853,'Inflicts 343 - 636 magic damage on target',100,2,2),
(52613,10080853,'Cannot be modified except by direct means',100,2,3),
(52614,37625,'Increases Out-of-Combat Health Regeneration of target by 174.4',100,0,0),
(52615,163942,'When Equipped:',100,0,0),
(52616,163942,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(52617,163942,'Decreases Attack Speed of target by 20.0',100,2,2),
(52618,163942,'Cannot be modified except by direct means',100,2,3),
(52619,10163942,'When Equipped:',100,0,0),
(52620,10163942,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(52621,10163942,'Decreases Attack Speed of target by 20.0',100,2,2),
(52622,10163942,'Cannot be modified except by direct means',100,2,3),
(52623,107323,'Decreases WIS of target by 47.7',100,1,0),
(52624,107323,'Decreases Defense of target by 18.2',100,1,1),
(52625,10107323,'Decreases WIS of target by 47.7',100,1,0),
(52626,10107323,'Decreases Defense of target by 18.2',100,1,1),
(52627,108004,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(52628,108004,'Increases Mitigation of group members (AE) vs elemental damage by 870',100,1,1),
(52629,10108004,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(52630,10108004,'Increases Mitigation of group members (AE) vs elemental damage by 870',100,1,1),
(52631,85821,'When Equipped:',100,0,0),
(52632,85821,'Reduces cast time of all spells by 5 percent.',100,1,1),
(52633,85821,'When Equipped:',100,0,2),
(52634,85821,'On a hostile spell cast this spell may cast Entangling Thorns on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.2 times per minute. ',100,1,3),
(52635,85821,'Roots target',100,2,4),
(52636,85821,'Inflicts 193 - 236 mental damage on target',100,2,5),
(52637,85821,'15% chance to dispel when target takes damage',100,2,6),
(52638,85821,'Only affects targets level 90 and below',100,2,7),
(52639,85821,'Does not affect Epic targets',100,2,8),
(52640,85821,'Resistibility increases against targets higher than level 114.',100,2,9),
(52641,85821,'Cannot be modified except by direct means',100,2,10),
(52642,85821,'Cannot be modified except by direct means',100,1,11),
(52643,10085821,'When Equipped:',100,0,0),
(52644,10085821,'Reduces cast time of all spells by 5 percent.',100,1,1),
(52645,10085821,'When Equipped:',100,0,2),
(52646,10085821,'On a hostile spell cast this spell may cast Entangling Thorns on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.2 times per minute. ',100,1,3),
(52647,10085821,'Roots target',100,2,4),
(52648,10085821,'Inflicts 193 - 236 mental damage on target',100,2,5),
(52649,10085821,'15% chance to dispel when target takes damage',100,2,6),
(52650,10085821,'Only affects targets level 90 and below',100,2,7),
(52651,10085821,'Does not affect Epic targets',100,2,8),
(52652,10085821,'Resistibility increases against targets higher than level 114.',100,2,9),
(52653,10085821,'Cannot be modified except by direct means',100,2,10),
(52654,10085821,'Cannot be modified except by direct means',100,1,11),
(52655,159770,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52656,159770,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52657,159770,'Inflicts 302 heat damage on target',100,2,2),
(52658,159770,'Cannot be modified except by direct means',100,2,3),
(52659,10159770,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52660,10159770,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52661,10159770,'Inflicts 302 heat damage on target',100,2,2),
(52662,10159770,'Cannot be modified except by direct means',100,2,3),
(52663,173358,'When Equipped:',100,0,0),
(52664,173358,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(52665,10173358,'When Equipped:',100,0,0),
(52666,10173358,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(52667,159995,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52668,159995,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52669,159995,'Inflicts 452 heat damage on target',100,2,2),
(52670,159995,'Cannot be modified except by direct means',100,2,3),
(52671,10159995,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52672,10159995,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52673,10159995,'Inflicts 452 heat damage on target',100,2,2),
(52674,10159995,'Cannot be modified except by direct means',100,2,3),
(52675,26573,'When Equipped:',100,0,0),
(52676,26573,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52677,26573,'Adds an additional trigger to Repentance VI.',100,1,2),
(52678,10026573,'When Equipped:',100,0,0),
(52679,10026573,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52680,10026573,'Adds an additional trigger to Repentance VI.',100,1,2),
(52681,112508,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(52682,112508,'Inflicts 428 disease damage on target instantly and every 4 seconds',100,2,1),
(52683,112508,'70% of target''s power consumed will also be drained from target''s health',100,2,2),
(52684,10112508,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(52685,10112508,'Inflicts 338 disease damage on target instantly and every 4 seconds',100,2,1),
(52686,10112508,'70% of target''s power consumed will also be drained from target''s health',100,2,2),
(52687,117559,'Inflicts 23506 - 34768 heat damage on target',100,1,0),
(52688,10117559,'Inflicts 11369 - 16856 heat damage on target',100,1,0),
(52689,81281,'When Equipped:',100,0,0),
(52690,81281,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(52691,81281,'Inflicts 387 - 719 magic damage on target',100,2,2),
(52692,81281,'Decreases Threat to target by 949 ',100,2,3),
(52693,81281,'Must be flanking or behind',100,3,4),
(52694,81281,'Increases Threat to target by 1,409 ',100,2,5),
(52695,81281,'Must be in front of',100,3,6),
(52696,81281,'Cannot be modified except by direct means',100,2,7),
(52697,10081281,'When Equipped:',100,0,0),
(52698,10081281,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(52699,10081281,'Inflicts 387 - 719 magic damage on target',100,2,2),
(52700,10081281,'Cannot be modified except by direct means',100,2,3),
(52701,123543,'Inflicts 1637 - 1964 piercing damage on target',100,1,0),
(52702,123543,'Inflicts 655 - 982 piercing damage on target every 4 seconds',100,1,1),
(52703,123543,'Decreases Defense of target by 30.5',100,1,2),
(52704,10123543,'Inflicts 1117 - 1478 piercing damage on target',100,1,0),
(52705,10123543,'Inflicts 516 - 774 piercing damage on target every 4 seconds',100,1,1),
(52706,10123543,'Decreases Defense of target by 30.5',100,1,2),
(52707,124363,'Inflicts 1360 - 1662 divine damage on target',100,1,0),
(52708,124363,'Inflicts 243 - 297 divine damage on target every 4 seconds',100,1,1),
(52709,10124363,'Inflicts 854 - 956 divine damage on target',100,1,0),
(52710,10124363,'Inflicts 191 - 234 divine damage on target every 4 seconds',100,1,1),
(52711,112409,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 63% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(52712,112409,'If over 50% Health',100,2,1),
(52713,112409,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 63% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(52714,112409,'If at 50% Health or less',100,2,3),
(52715,10112409,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 63% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(52716,10112409,'If over 50% Health',100,2,1),
(52717,10112409,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 63% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(52718,10112409,'If at 50% Health or less',100,2,3),
(52719,35045,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(52720,119746,'Wards group members (AE) against 473 points of elemental, noxious and arcane damage',100,1,0),
(52721,119746,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,1),
(52722,10119746,'Wards group members (AE) against 388 points of elemental, noxious and arcane damage',100,1,0),
(52723,10119746,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,1),
(52724,40213,'When Equipped:',100,0,0),
(52725,40213,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52726,40213,'Increases Max Health of caster by 2,988.0',100,2,2),
(52727,40213,'Must not be engaged in pvp combat',100,2,3),
(52728,40213,'Cannot be modified except by direct means',100,2,4),
(52729,40213,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(52730,40213,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(52731,40213,'Increases Max Health of caster by 2,988.0',100,2,7),
(52732,40213,'Must not be engaged in pvp combat',100,2,8),
(52733,40213,'Cannot be modified except by direct means',100,2,9),
(52734,40213,'Cannot be modified except by direct means',100,1,10),
(52735,10040213,'When Equipped:',100,0,0),
(52736,10040213,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52737,10040213,'Increases Max Health of caster by 2,988.0',100,2,2),
(52738,10040213,'Must not be engaged in pvp combat',100,2,3),
(52739,10040213,'Cannot be modified except by direct means',100,2,4),
(52740,10040213,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(52741,10040213,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(52742,10040213,'Increases Max Health of caster by 2,988.0',100,2,7),
(52743,10040213,'Must not be engaged in pvp combat',100,2,8),
(52744,10040213,'Cannot be modified except by direct means',100,2,9),
(52745,10040213,'Cannot be modified except by direct means',100,1,10),
(52746,122762,'Heals group members (AE) for 2214 - 2647',100,1,0),
(52747,122762,'Increases Max Health of group members (AE) by 133.0',100,1,1),
(52748,10122762,'Heals group members (AE) for 1835 - 2224',100,1,0),
(52749,10122762,'Increases Max Health of group members (AE) by 133.0',100,1,1),
(52750,186248,'When Equipped:',100,0,0),
(52751,186248,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(52752,186248,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(52753,186248,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(52754,186248,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(52755,186248,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(52756,186248,'Must not be engaged in pvp combat',100,2,6),
(52757,186248,'Cannot be modified except by direct means',100,2,7),
(52758,186248,'Must not be engaged in pvp combat',100,1,8),
(52759,10186248,'When Equipped:',100,0,0),
(52760,10186248,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(52761,10186248,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(52762,10186248,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(52763,10186248,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(52764,10186248,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(52765,10186248,'Must not be engaged in pvp combat',100,2,6),
(52766,10186248,'Cannot be modified except by direct means',100,2,7),
(52767,10186248,'Must not be engaged in pvp combat',100,1,8),
(52768,181032,'When Equipped:',100,0,0),
(52769,181032,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(52770,181032,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(52771,181032,'Heals caster for 635 - 952',100,2,3),
(52772,181032,'Cannot be modified except by direct means',100,2,4),
(52773,181032,'Cannot be modified except by direct means',100,1,5),
(52774,10181032,'When Equipped:',100,0,0),
(52775,10181032,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(52776,10181032,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(52777,10181032,'Heals caster for 743 - 1114',100,2,3),
(52778,10181032,'Cannot be modified except by direct means',100,2,4),
(52779,10181032,'Cannot be modified except by direct means',100,1,5),
(52780,35808,'Increases Out-of-Combat Health Regeneration of target by 21.0',100,0,0),
(52781,35808,'This effect suspends during combat',100,0,1),
(52782,105666,'Decreases Damage Per Second of target by 23.5',100,1,0),
(52783,105666,'Inflicts 1663 - 2759 melee damage on target',100,1,1),
(52784,105666,'Must be flanking or behind',100,1,2),
(52785,10105666,'Decreases Damage Per Second of target by 23.5',100,1,0),
(52786,10105666,'Inflicts 1268 - 1844 melee damage on target',100,1,1),
(52787,10105666,'Must be flanking or behind',100,1,2),
(52788,121746,'Causes 10% Threat to transfer to target when in combat',100,1,0),
(52789,10121746,'Applies Swarthy Distraction.',100,1,0),
(52790,10121746,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(52791,10121746,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(52792,110827,'Interrupts target',100,1,0),
(52793,110827,'Inflicts 3680 - 4633 mental damage on target',100,1,1),
(52794,10110827,'Interrupts target',100,1,0),
(52795,10110827,'Inflicts 2521 - 3271 mental damage on target',100,1,1),
(52796,136181,'When Equipped:',100,0,0),
(52797,136181,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,1),
(52798,136181,'Inflicts 435 disease damage on targets in Area of Effect',100,2,2),
(52799,136181,'Cannot be modified except by direct means',100,2,3),
(52800,136181,'Increases Burst effect damage by 33%.',100,1,4),
(52801,10136181,'When Equipped:',100,0,0),
(52802,10136181,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,1),
(52803,10136181,'Inflicts 435 disease damage on targets in Area of Effect',100,2,2),
(52804,10136181,'Cannot be modified except by direct means',100,2,3),
(52805,10136181,'Increases Burst effect damage by 33%.',100,1,4),
(52806,116267,'Summons a pet Illusion Ally',100,1,0),
(52807,10116267,'Summons a pet Illusion Ally',100,1,0),
(52808,115104,'Shapechanges caster into a badger',100,1,0),
(52809,10115104,'Shapechanges caster into a badger',100,1,0),
(52810,36144,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(52811,36144,'Increases Out-of-Combat Power Regeneration of target by 36.0',100,0,1),
(52812,81440,'When Equipped:',100,0,0),
(52813,81440,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52814,81440,'Inflicts 155 - 288 magic damage on target',100,2,2),
(52815,81440,'Cannot be modified except by direct means',100,2,3),
(52816,10081440,'When Equipped:',100,0,0),
(52817,10081440,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52818,10081440,'Inflicts 155 - 288 magic damage on target',100,2,2),
(52819,10081440,'Cannot be modified except by direct means',100,2,3),
(52820,105970,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(52821,105970,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(52822,105970,'Inflicts 841 - 1394 piercing damage on target',100,3,2),
(52823,105970,'Grants a total of 5 triggers of the spell.',100,3,3),
(52824,105970,'Grants a total of 1 trigger of the spell.',100,2,4),
(52825,10105970,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(52826,10105970,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(52827,10105970,'Inflicts 662 - 1073 piercing damage on target',100,3,2),
(52828,10105970,'Grants a total of 5 triggers of the spell.',100,3,3),
(52829,10105970,'Grants a total of 1 trigger of the spell.',100,2,4),
(52830,112930,'Inflicts 250 - 414 crushing damage on target',100,1,0),
(52831,10112930,'Inflicts 201 - 334 crushing damage on target',100,1,0),
(52832,89281,'When Equipped:',100,0,0),
(52833,89281,'On a critical spell hit this spell may cast Infected Strike on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52834,89281,'Inflicts 14 - 16 disease damage on target instantly and every 2 seconds',100,2,2),
(52835,89281,'Decreases AGI, STR, INT and WIS of target by 10.0',100,2,3),
(52836,89281,'Must not be engaged in pvp combat',100,2,4),
(52837,89281,'Cannot be modified except by direct means',100,2,5),
(52838,89281,'On a critical combat hit this spell may cast Infected Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(52839,89281,'Inflicts 14 - 16 disease damage on target instantly and every 2 seconds',100,2,7),
(52840,89281,'Decreases AGI, STR, INT and WIS of target by 10.0',100,2,8),
(52841,89281,'Must not be engaged in pvp combat',100,2,9),
(52842,89281,'Cannot be modified except by direct means',100,2,10),
(52843,89281,'Must not be engaged in pvp combat',100,1,11),
(52844,10089281,'When Equipped:',100,0,0),
(52845,10089281,'On a critical spell hit this spell may cast Infected Strike on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(52846,10089281,'Inflicts 14 - 16 disease damage on target instantly and every 2 seconds',100,2,2),
(52847,10089281,'Decreases AGI, STR, INT and WIS of target by 10.0',100,2,3),
(52848,10089281,'Must not be engaged in pvp combat',100,2,4),
(52849,10089281,'Cannot be modified except by direct means',100,2,5),
(52850,10089281,'On a critical combat hit this spell may cast Infected Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(52851,10089281,'Inflicts 14 - 16 disease damage on target instantly and every 2 seconds',100,2,7),
(52852,10089281,'Decreases AGI, STR, INT and WIS of target by 10.0',100,2,8),
(52853,10089281,'Must not be engaged in pvp combat',100,2,9),
(52854,10089281,'Cannot be modified except by direct means',100,2,10),
(52855,10089281,'Must not be engaged in pvp combat',100,1,11),
(52856,104513,'Increases Threat to target by 890 - 1,049  instantly and by 95 - 116  every 2 seconds thereafter',100,1,0),
(52857,10104513,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(52858,74710,'When Equipped:',100,0,0),
(52859,74710,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52860,74710,'Inflicts 304 - 457 magic damage on target',100,2,2),
(52861,74710,'Cannot be modified except by direct means',100,2,3),
(52862,10074710,'When Equipped:',100,0,0),
(52863,10074710,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52864,10074710,'Inflicts 304 - 457 magic damage on target',100,2,2),
(52865,10074710,'Cannot be modified except by direct means',100,2,3),
(52866,103242,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(52867,103242,'Adds 1.5% to base avoidance.',100,1,1),
(52868,103242,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(52869,103242,'Increases Parry of caster by 17.4',100,1,3),
(52870,103242,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(52871,103242,'Increases Aggression of caster by 13.1',100,1,5),
(52872,103242,'Increases Defense and Deflection of caster by 17.4',100,1,6),
(52873,103242,'Increases Mitigation of caster vs noxious damage by 1160',100,1,7),
(52874,103242,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(52875,103242,'Reduces physical damage done to caster by 5%',100,1,9),
(52876,10103242,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(52877,10103242,'Adds 1.5% to base avoidance.',100,1,1),
(52878,10103242,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(52879,10103242,'Increases Parry of caster by 17.4',100,1,3),
(52880,10103242,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(52881,10103242,'Increases Aggression of caster by 13.1',100,1,5),
(52882,10103242,'Increases Defense and Deflection of caster by 17.4',100,1,6),
(52883,10103242,'Increases Mitigation of caster vs noxious damage by 1160',100,1,7),
(52884,10103242,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(52885,10103242,'Reduces physical damage done to caster by 5%',100,1,9),
(52886,36976,'Increases Max Power of target by 47.2',100,0,0),
(52887,36976,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(52888,35118,'Increases STR of target by 6.2',100,0,0),
(52889,35118,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(52890,84259,'Applies Mental Blast when Activated.',100,0,0),
(52891,84259,'Inflicts 536 - 894 mental damage on target',100,1,1),
(52892,84259,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(52893,10084259,'Applies Mental Blast when Activated.',100,0,0),
(52894,10084259,'Inflicts 536 - 894 mental damage on target',100,1,1),
(52895,10084259,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(52896,82683,'When Equipped:',100,0,0),
(52897,82683,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(52898,82683,'Inflicts 151 - 280 magic damage on target',100,2,2),
(52899,82683,'Decreases Threat to target by 259 ',100,2,3),
(52900,82683,'Must be flanking or behind',100,3,4),
(52901,82683,'Increases Threat to target by 453 ',100,2,5),
(52902,82683,'Must be in front of',100,3,6),
(52903,82683,'Cannot be modified except by direct means',100,2,7),
(52904,10082683,'When Equipped:',100,0,0),
(52905,10082683,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(52906,10082683,'Inflicts 151 - 280 magic damage on target',100,2,2),
(52907,10082683,'Cannot be modified except by direct means',100,2,3),
(52908,110250,'Inflicts 1422 - 2359 melee damage on target',100,1,0),
(52909,110250,'Slows target by 51.4%',100,1,1),
(52910,110250,'5% chance to dispel when target receives hostile action',100,1,2),
(52911,110250,'5% chance to dispel when target takes damage',100,1,3),
(52912,10110250,'Inflicts 1119 - 1634 melee damage on target',100,1,0),
(52913,10110250,'Slows target by 51.4%',100,1,1),
(52914,10110250,'5% chance to dispel when target receives hostile action',100,1,2),
(52915,10110250,'5% chance to dispel when target takes damage',100,1,3),
(52916,103079,'Inflicts 1502 magic damage on target',100,1,0),
(52917,103079,'Inflicts 520 magic damage on target every 4 seconds',100,1,1),
(52918,103079,'Increases power of caster by 98 instantly and every 4 seconds',100,1,2),
(52919,10103079,'Inflicts 804 magic damage on target',100,1,0),
(52920,10103079,'Inflicts 410 magic damage on target every 4 seconds',100,1,1),
(52921,10103079,'Increases power of caster by 98 instantly and every 4 seconds',100,1,2),
(52922,25874,'When Equipped:',100,0,0),
(52923,25874,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52924,25874,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(52925,10025874,'When Equipped:',100,0,0),
(52926,10025874,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(52927,10025874,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(52928,108828,'Inflicts 4750 - 8541 heat damage on targets in Area of Effect',100,1,0),
(52929,10108828,'Inflicts 3617 - 6605 heat damage on targets in Area of Effect',100,1,0),
(52930,121549,'Inflicts 1089 - 1806 melee damage on targets in area',100,1,0),
(52931,121549,'Stuns target encounter',100,1,1),
(52932,121549,'If Target is not Epic',100,2,2),
(52933,121549,'Resistibility increases against targets higher than level 61.',100,1,3),
(52934,10121549,'Inflicts 857 - 1351 melee damage on targets in area',100,1,0),
(52935,10121549,'Stuns target encounter',100,1,1),
(52936,10121549,'If Target is not Epic',100,2,2),
(52937,10121549,'Resistibility increases against targets higher than level 61.',100,1,3),
(52938,36542,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(52939,35072,'Increases STR of target by 14.9',100,0,0),
(52940,35072,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(52941,174853,'When Equipped:',100,0,0),
(52942,174853,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(52943,10174853,'When Equipped:',100,0,0),
(52944,10174853,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(52945,159392,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52946,159392,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52947,159392,'Inflicts 111 heat damage on target',100,2,2),
(52948,159392,'Cannot be modified except by direct means',100,2,3),
(52949,10159392,'Applies Sanguine Imbued when Equipped.',100,0,0),
(52950,10159392,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(52951,10159392,'Inflicts 111 heat damage on target',100,2,2),
(52952,10159392,'Cannot be modified except by direct means',100,2,3),
(52953,122303,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(52954,122303,'Inflicts 1465 - 1791 mental damage on target',100,2,1),
(52955,122303,'Grants a total of 3 triggers of the spell.',100,2,2),
(52956,10122303,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(52957,10122303,'Inflicts 1121 - 1341 mental damage on target',100,2,1),
(52958,10122303,'Grants a total of 3 triggers of the spell.',100,2,2),
(52959,114296,'Heals target for 2071 - 2531',100,1,0),
(52960,10114296,'Heals target for 1536 - 1820',100,1,0),
(52961,36937,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(52962,36937,'Increases Max Health of target by 120.7',100,0,1),
(52963,104465,'Inflicts 8-13 melee damage on targets in area',100,1,0),
(52964,104465,'Interrupts targets in Area of Effect',100,1,1),
(52965,10104465,'Inflicts 262 - 434 melee damage on targets in area',100,1,0),
(52966,10104465,'Interrupts targets in Area of Effect',100,1,1),
(52967,108366,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(52968,108366,'Increases Mitigation of group members (AE) vs arcane damage by 1015',100,1,1),
(52969,10108366,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(52970,10108366,'Increases Mitigation of group members (AE) vs arcane damage by 1015',100,1,1),
(52971,87197,'When Equipped:',100,0,0),
(52972,87197,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52973,87197,'Inflicts 97 - 146 magic damage on target',100,2,2),
(52974,87197,'Cannot be modified except by direct means',100,2,3),
(52975,10087197,'When Equipped:',100,0,0),
(52976,10087197,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(52977,10087197,'Inflicts 97 - 146 magic damage on target',100,2,2),
(52978,10087197,'Cannot be modified except by direct means',100,2,3),
(52979,105237,'Decreases STR and INT of target by 92.4',100,1,0),
(52980,105237,'Only affects targets level 20 and above',100,1,1),
(52981,10105237,'Decreases STR and INT of target by 92.4',100,1,0),
(52982,10105237,'Only affects targets level 20 and above',100,1,1),
(52983,124574,'Roots targets in Area of Effect',100,1,0),
(52984,124574,'If Target is not Epic',100,2,1),
(52985,124574,'Decreases Threat to targets in Area of Effect by 4,331 ',100,1,2),
(52986,124574,'Interrupts targets in Area of Effect',100,1,3),
(52987,10124574,'Roots targets in Area of Effect',100,1,0),
(52988,10124574,'If Target is not Epic',100,2,1),
(52989,10124574,'Applies Distract.',100,1,2),
(52990,10124574,'Forces target to clear their selected target.',100,2,3),
(52991,10124574,'Interrupts targets in Area of Effect',100,1,4),
(52992,10124574,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(52993,191639,'When Equipped:',100,0,0),
(52994,191639,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(52995,191639,'Heals group members (AE) for 875',100,2,2),
(52996,191639,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(52997,191639,'Must not be engaged in pvp combat',100,2,4),
(52998,191639,'Cannot be modified except by direct means',100,2,5),
(52999,191639,'Must not be engaged in pvp combat',100,1,6),
(53000,10191639,'When Equipped:',100,0,0),
(53001,10191639,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(53002,10191639,'Heals group members (AE) for 1024',100,2,2),
(53003,10191639,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(53004,10191639,'Must not be engaged in pvp combat',100,2,4),
(53005,10191639,'Cannot be modified except by direct means',100,2,5),
(53006,10191639,'Must not be engaged in pvp combat',100,1,6),
(53007,103110,'Increases Max Health of caster by 5.0%',100,129,0),
(53008,103110,'Increases STR of caster by 22.2',100,1,1),
(53009,103110,'Adds 3.1% to base avoidance.',100,1,2),
(53010,103110,'Increases Mitigation of caster vs physical damage by 143',100,1,3),
(53011,103110,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 446',100,1,4),
(53012,10103110,'Increases Max Health of caster by 5.0%',100,129,0),
(53013,10103110,'Increases STR of caster by 22.2',100,1,1),
(53014,10103110,'Adds 3.1% to base avoidance.',100,1,2),
(53015,10103110,'Increases Mitigation of caster vs physical damage by 143',100,1,3),
(53016,10103110,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 446',100,1,4),
(53017,120333,'Increases Threat to target by 4,148 - 4,565 ',100,1,0),
(53018,10120333,'Forces target to change their selected target to caster.',100,1,0),
(53019,10120333,'Prevents target from changing targets',100,1,1),
(53020,109343,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(53021,109343,'Increases STR of caster by 160.2',100,1,1),
(53022,109343,'Decreases Defense of caster by 21.8',100,1,2),
(53023,109343,'Increases Slashing, Piercing and Crushing of caster by 54.9',100,1,3),
(53024,10109343,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(53025,10109343,'Increases STR of caster by 160.2',100,1,1),
(53026,10109343,'Decreases Defense of caster by 21.8',100,1,2),
(53027,10109343,'Increases Slashing, Piercing and Crushing of caster by 54.9',100,1,3),
(53028,134775,'When Equipped:',100,0,0),
(53029,134775,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(53030,134775,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(53031,134775,'Inflicts 802 mental damage on target',100,2,3),
(53032,134775,'Must be classified as an undead',100,3,4),
(53033,134775,'Inflicts 401 mental damage on target',100,2,5),
(53034,134775,'Must not be classified as an undead',100,3,6),
(53035,134775,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(53036,134775,'Must be classified as an undead',100,3,8),
(53037,134775,'Cannot be modified except by direct means',100,2,9),
(53038,10134775,'When Equipped:',100,0,0),
(53039,10134775,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(53040,10134775,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(53041,10134775,'Inflicts 802 mental damage on target',100,2,3),
(53042,10134775,'Must be classified as an undead',100,3,4),
(53043,10134775,'Inflicts 401 mental damage on target',100,2,5),
(53044,10134775,'Must not be classified as an undead',100,3,6),
(53045,10134775,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(53046,10134775,'Must be classified as an undead',100,3,8),
(53047,10134775,'Cannot be modified except by direct means',100,2,9),
(53048,120680,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 44.2',100,1,0),
(53049,120680,'Increases Focus of group members (AE) by 99.2',100,1,1),
(53050,10120680,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 44.2',100,1,0),
(53051,10120680,'Increases Focus of group members (AE) by 99.2',100,1,1),
(53052,175475,'When Equipped:',100,0,0),
(53053,175475,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(53054,175475,'Reduces resistibility by 5%.',100,2,2),
(53055,175475,'Cannot be modified except by direct means',100,2,3),
(53056,10175475,'When Equipped:',100,0,0),
(53057,10175475,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(53058,10175475,'Reduces resistibility by 5%.',100,2,2),
(53059,10175475,'Cannot be modified except by direct means',100,2,3),
(53060,141769,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(53061,141769,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(53062,141769,'Inflicts 43 heat damage on target',100,2,2),
(53063,141769,'Cannot be modified except by direct means',100,2,3),
(53064,10141769,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(53065,10141769,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(53066,10141769,'Inflicts 43 heat damage on target',100,2,2),
(53067,10141769,'Cannot be modified except by direct means',100,2,3),
(53068,52837,'Applies Sanguine Imbued when Equipped.',100,0,0),
(53069,52837,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(53070,52837,'Inflicts 44 heat damage on target',100,2,2),
(53071,52837,'Cannot be modified except by direct means',100,2,3),
(53072,10052837,'Applies Sanguine Imbued when Equipped.',100,0,0),
(53073,10052837,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(53074,10052837,'Inflicts 44 heat damage on target',100,2,2),
(53075,10052837,'Cannot be modified except by direct means',100,2,3),
(53076,117231,'Inflicts 76 slashing damage on target every 4 seconds',100,1,0),
(53077,117231,'Inflicts 633 - 1011 melee damage on target',100,1,1),
(53078,10117231,'Inflicts 60 slashing damage on target every 4 seconds',100,1,0),
(53079,10117231,'Inflicts 552 - 876 melee damage on target',100,1,1),
(53080,174820,'When Equipped:',100,0,0),
(53081,174820,'On a hit this spell may cast Agility of Aniquilacion on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53082,174820,'Increases AGI of caster by 75.0',100,2,2),
(53083,174820,'Increases Attack Speed of caster by 40.0',100,2,3),
(53084,174820,'Increases Damage Per Second of caster by 55.0',100,2,4),
(53085,174820,'Cannot be modified except by direct means',100,2,5),
(53086,10174820,'When Equipped:',100,0,0),
(53087,10174820,'On a hit this spell may cast Agility of Aniquilacion on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53088,10174820,'Increases AGI of caster by 75.0',100,2,2),
(53089,10174820,'Increases Attack Speed of caster by 40.0',100,2,3),
(53090,10174820,'Increases Damage Per Second of caster by 55.0',100,2,4),
(53091,10174820,'Cannot be modified except by direct means',100,2,5),
(53092,110113,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(53093,110113,'Inflicts 219 disease damage on target',100,2,1),
(53094,110113,'Heals caster for 91',100,2,2),
(53095,110113,'Decreases INT of target by 165.0',100,1,3),
(53096,110113,'Decreases Attack Speed of target by 25.0',100,1,4),
(53097,110113,'Increases Max Health of target by 12.0%',100,1,5),
(53098,110113,'Increases Hate Gain of target by 46.0%',100,1,6),
(53099,110113,'Increases Aggression of target by 15.0',100,1,7),
(53100,110113,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(53101,110113,'Increases Threat to target encounter by 825 - 1,009 ',100,2,9),
(53102,110113,'Increases Mitigation of target vs elemental, noxious and arcane damage by 960',100,1,10),
(53103,10110113,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(53104,10110113,'Inflicts 172 disease damage on target',100,2,1),
(53105,10110113,'Heals caster for 47',100,2,2),
(53106,10110113,'Decreases INT of target by 165.0',100,1,3),
(53107,10110113,'Decreases Attack Speed of target by 25.0',100,1,4),
(53108,10110113,'Increases Max Health of target by 12.0%',100,1,5),
(53109,10110113,'Increases Aggression of target by 15.0',100,1,6),
(53110,10110113,'Increases Mitigation of target vs elemental, noxious and arcane damage by 960',100,1,7),
(53111,101334,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(53112,101334,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 244',100,1,1),
(53113,101334,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,2),
(53114,10101334,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(53115,10101334,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 244',100,1,1),
(53116,10101334,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,2),
(53117,70490,'When Equipped:',100,0,0),
(53118,70490,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53119,70490,'Stuns target',100,2,2),
(53120,70490,'Throws target back',100,2,3),
(53121,70490,'Does not affect Epic targets',100,2,4),
(53122,70490,'Resistibility increases against targets higher than level 102.',100,2,5),
(53123,70490,'Cannot be modified except by direct means',100,2,6),
(53124,10070490,'When Equipped:',100,0,0),
(53125,10070490,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53126,10070490,'Stuns target',100,2,2),
(53127,10070490,'Throws target back',100,2,3),
(53128,10070490,'Does not affect Epic targets',100,2,4),
(53129,10070490,'Resistibility increases against targets higher than level 102.',100,2,5),
(53130,10070490,'Cannot be modified except by direct means',100,2,6),
(53131,140801,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(53132,140801,'Decreases WIS, STR, AGI and INT of target by 51.0',100,1,1),
(53133,140801,'Decreases Max Health of target by 1.0%',100,1,2),
(53134,140801,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(53135,10140801,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(53136,10140801,'Decreases WIS, STR, AGI and INT of target by 51.0',100,1,1),
(53137,10140801,'Decreases Max Health of target by 1.0%',100,1,2),
(53138,10140801,'The casting time of Hex of Discord is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,3),
(53139,119391,'Decreases threat priority of target by 1 position',100,1,0),
(53140,119391,'Decreases Threat to target by 3,834 ',100,1,1),
(53141,119391,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(53142,119391,'Grants stealth to caster',100,2,3),
(53143,119391,'Suspends caster''s movement speed enhancements',100,2,4),
(53144,10119391,'Applies Distract.',100,1,0),
(53145,10119391,'Forces target to clear their selected target.',100,2,1),
(53146,10119391,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(53147,10119391,'Grants stealth to caster',100,2,3),
(53148,10119391,'Suspends caster''s movement speed enhancements',100,2,4),
(53149,111827,'Inflicts 1271 - 2107 melee damage on target',100,1,0),
(53150,111827,'Roots target',100,1,1),
(53151,111827,'If Target is not Epic',100,2,2),
(53152,111827,'Resistibility increases against targets higher than level 70.',100,1,3),
(53153,10111827,'Inflicts 902 - 1393 melee damage on target',100,1,0),
(53154,10111827,'Roots target',100,1,1),
(53155,10111827,'If Target is not Epic',100,2,2),
(53156,10111827,'Resistibility increases against targets higher than level 70.',100,1,3),
(53157,36304,'Increases AGI of target by 6.2',100,0,0),
(53158,36304,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(53159,114467,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(53160,114467,'Increases Attack Speed of caster by 21.0',100,130,1),
(53161,114467,'Increases Ranged, Crushing, Slashing and Piercing of caster by 26.6',100,130,2),
(53162,114467,'Inflicts 3687 - 5468 heat damage on target',100,1,3),
(53163,10114467,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(53164,10114467,'Increases Attack Speed of caster by 21.0',100,130,1),
(53165,10114467,'Increases Ranged, Crushing, Slashing and Piercing of caster by 26.6',100,130,2),
(53166,10114467,'Inflicts 2526 - 3930 heat damage on target',100,1,3),
(53167,71584,'When Equipped:',100,0,0),
(53168,71584,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53169,71584,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(53170,71584,'Cannot be modified except by direct means',100,2,3),
(53171,10071584,'When Equipped:',100,0,0),
(53172,10071584,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53173,10071584,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(53174,10071584,'Cannot be modified except by direct means',100,2,3),
(53175,117420,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(53176,117420,'Inflicts 555 - 1024 melee damage on targets in area',100,2,1),
(53177,117420,'Grants a total of 10 triggers of the spell.',100,2,2),
(53178,10117420,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(53179,10117420,'Inflicts 437 - 807 melee damage on targets in area',100,2,1),
(53180,10117420,'Grants a total of 10 triggers of the spell.',100,2,2),
(53181,114665,'Increases Threat to target by 1,238 - 1,514 ',100,1,0),
(53182,114665,'Interrupts target',100,1,1),
(53183,10114665,'Interrupts target',100,1,0),
(53184,10114665,'Forces target to change their selected target to caster.',100,1,1),
(53185,10114665,'Prevents target from changing targets',100,1,2),
(53186,81907,'When Equipped:',100,0,0),
(53187,81907,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53188,81907,'Inflicts 523 - 972 magic damage on target',100,2,2),
(53189,81907,'Cannot be modified except by direct means',100,2,3),
(53190,10081907,'When Equipped:',100,0,0),
(53191,10081907,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53192,10081907,'Inflicts 523 - 972 magic damage on target',100,2,2),
(53193,10081907,'Cannot be modified except by direct means',100,2,3),
(53194,121224,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53195,121224,'Reduces physical damage done to caster by 5%',100,1,1),
(53196,121224,'Adds 2.4% to base avoidance.',100,1,2),
(53197,121224,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,3),
(53198,121224,'Increases Aggression of caster by 5.8',100,1,4),
(53199,121224,'Increases Defense and Parry of caster by 9.2',100,1,5),
(53200,121224,'Increases Mitigation of caster vs noxious and arcane damage by 61',100,1,6),
(53201,121224,'Increases Mitigation of caster vs elemental damage by 608',100,1,7),
(53202,121224,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(53203,10121224,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53204,10121224,'Reduces physical damage done to caster by 5%',100,1,1),
(53205,10121224,'Adds 2.4% to base avoidance.',100,1,2),
(53206,10121224,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,3),
(53207,10121224,'Increases Aggression of caster by 5.8',100,1,4),
(53208,10121224,'Increases Defense and Parry of caster by 9.2',100,1,5),
(53209,10121224,'Increases Mitigation of caster vs noxious and arcane damage by 61',100,1,6),
(53210,10121224,'Increases Mitigation of caster vs elemental damage by 608',100,1,7),
(53211,10121224,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,8),
(53212,105913,'Inflicts 4494 - 6806 melee damage on target',100,1,0),
(53213,105913,'If over 33% Health',100,2,1),
(53214,105913,'Inflicts 10536 - 17473 melee damage on target',100,1,2),
(53215,105913,'If under 33% Health',100,2,3),
(53216,105913,'Must be flanking or behind',100,1,4),
(53217,10105913,'Inflicts 3162 - 4985 melee damage on target',100,1,0),
(53218,10105913,'If over 20% Health',100,2,1),
(53219,10105913,'Inflicts 7382 - 12241 melee damage on target',100,1,2),
(53220,10105913,'If under 20% Health',100,2,3),
(53221,10105913,'Must be flanking or behind',100,1,4),
(53222,101073,'Summons 3 limited pets to aid the caster',100,1,0),
(53223,10101073,'Summons 3 limited pets to aid the caster',100,1,0),
(53224,81833,'When Equipped:',100,0,0),
(53225,81833,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53226,81833,'Inflicts 210 - 391 magic damage on target',100,2,2),
(53227,81833,'Cannot be modified except by direct means',100,2,3),
(53228,10081833,'When Equipped:',100,0,0),
(53229,10081833,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53230,10081833,'Inflicts 210 - 391 magic damage on target',100,2,2),
(53231,10081833,'Cannot be modified except by direct means',100,2,3),
(53232,111547,'Increases Hate Gain of target by 21.4%',100,1,0),
(53233,111547,'Increases Aggression of target by 17.1',100,1,1),
(53234,10111547,'Increases STR of target by 44.6',100,1,0),
(53235,10111547,'Increases Aggression of target by 17.1',100,1,1),
(53236,37384,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(53237,37384,'Increases Out-of-Combat Power Regeneration of target by 72.0',100,0,1),
(53238,111890,'Inflicts 3432 - 5531 heat damage on target',100,1,0),
(53239,111890,'Inflicts 918 - 1706 heat damage on target every 2 seconds',100,1,1),
(53240,10111890,'Inflicts 2325 - 3979 heat damage on target',100,1,0),
(53241,10111890,'Inflicts 724 - 1344 heat damage on target every 2 seconds',100,1,1),
(53242,120847,'Inflicts 1172 - 1436 disease damage on target',100,1,0),
(53243,120847,'Inflicts 335 - 453 disease damage on target every second',100,1,1),
(53244,10120847,'Inflicts 764 - 895 disease damage on target',100,1,0),
(53245,10120847,'Inflicts 264 - 357 disease damage on target every second',100,1,1),
(53246,53806,'When Equipped:',100,0,0),
(53247,53806,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(53248,53806,'Inflicts 2726 - 4089 magic damage on target',100,2,2),
(53249,53806,'Heals group members (AE) for 1673 - 2045',100,2,3),
(53250,53806,'Must not be engaged in pvp combat',100,2,4),
(53251,53806,'Cannot be modified except by direct means',100,2,5),
(53252,10053806,'When Equipped:',100,0,0),
(53253,10053806,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(53254,10053806,'Inflicts 2726 - 4089 magic damage on target',100,2,2),
(53255,10053806,'Heals group members (AE) for 1957 - 2392',100,2,3),
(53256,10053806,'Must not be engaged in pvp combat',100,2,4),
(53257,10053806,'Cannot be modified except by direct means',100,2,5),
(53258,115498,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(53259,115498,'Increases Mitigation of group members (AE) vs noxious damage by 238',100,1,1),
(53260,10115498,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(53261,10115498,'Increases Mitigation of group members (AE) vs noxious damage by 238',100,1,1),
(53262,123268,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(53263,123268,'Inflicts 63 - 105 disease damage on target',100,2,1),
(53264,123268,'Heals caster for 6 - 11',100,2,2),
(53265,123268,'This effect cannot be critically applied.',100,3,3),
(53266,123268,'The healing of this spell cannot be modified except by direct means',100,2,4),
(53267,10123268,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(53268,10123268,'Inflicts 50 - 83 disease damage on target',100,2,1),
(53269,10123268,'Heals caster for 2 - 4',100,2,2),
(53270,10123268,'This effect cannot be critically applied.',100,3,3),
(53271,10123268,'The healing of this spell cannot be modified except by direct means',100,2,4),
(53272,105528,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.4',100,1,0),
(53273,10105528,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.4',100,1,0),
(53274,87327,'When Equipped:',100,0,0),
(53275,87327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53276,87327,'Inflicts 199 - 298 magic damage on target',100,2,2),
(53277,87327,'Cannot be modified except by direct means',100,2,3),
(53278,10087327,'When Equipped:',100,0,0),
(53279,10087327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53280,10087327,'Inflicts 199 - 298 magic damage on target',100,2,2),
(53281,10087327,'Cannot be modified except by direct means',100,2,3),
(53282,71395,'When Equipped:',100,0,0),
(53283,71395,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53284,71395,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(53285,71395,'Cannot be modified except by direct means',100,2,3),
(53286,10071395,'When Equipped:',100,0,0),
(53287,10071395,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53288,10071395,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(53289,10071395,'Cannot be modified except by direct means',100,2,3),
(53290,35228,'Increases AGI of target by 4.3',100,0,0),
(53291,35228,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(53292,47301,'Applies Murky Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(53293,47301,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(53294,47301,'Inflicts 21 magic damage on target',100,2,2),
(53295,47301,'Cannot be modified except by direct means',100,2,3),
(53296,10047301,'Applies Murky Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(53297,10047301,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(53298,10047301,'Inflicts 21 magic damage on target',100,2,2),
(53299,10047301,'Cannot be modified except by direct means',100,2,3),
(53300,105324,'Inflicts 483 - 801 melee damage on target',100,1,0),
(53301,105324,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 126',100,1,1),
(53302,105324,'Must be flanking or behind',100,1,2),
(53303,10105324,'Inflicts 381 - 631 melee damage on target',100,1,0),
(53304,10105324,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 126',100,1,1),
(53305,10105324,'Must be flanking or behind',100,1,2),
(53306,102533,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53307,102533,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,1),
(53308,102533,'Increases Aggression of caster by 10.5',100,1,2),
(53309,102533,'Increases Defense and Parry of caster by 21.1',100,1,3),
(53310,102533,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(53311,10102533,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53312,10102533,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,1),
(53313,10102533,'Increases Aggression of caster by 10.5',100,1,2),
(53314,10102533,'Increases Defense and Parry of caster by 21.1',100,1,3),
(53315,10102533,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(53316,100163,'Inflicts 1497 - 2499 disease damage on target encounter',100,1,0),
(53317,10100163,'Inflicts 1053 - 1843 disease damage on target encounter',100,1,0),
(53318,80441,'When Equipped:',100,0,0),
(53319,80441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53320,80441,'Inflicts 86 - 159 magic damage on target',100,2,2),
(53321,80441,'Cannot be modified except by direct means',100,2,3),
(53322,10080441,'When Equipped:',100,0,0),
(53323,10080441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53324,10080441,'Inflicts 86 - 159 magic damage on target',100,2,2),
(53325,10080441,'Cannot be modified except by direct means',100,2,3),
(53326,115335,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(53327,115335,'Makes target afraid',100,2,1),
(53328,115335,'Slows target by 55.2%',100,2,2),
(53329,115335,'30% chance to dispel when target takes damage',100,2,3),
(53330,115335,'Does not affect Epic targets',100,2,4),
(53331,115335,'Resistibility increases against targets higher than level 76.',100,2,5),
(53332,115335,'Roots target',100,1,6),
(53333,115335,'15% chance to dispel when target takes damage',100,1,7),
(53334,115335,'Does not affect Epic targets',100,1,8),
(53335,115335,'Resistibility increases against targets higher than level 76.',100,1,9),
(53336,10115335,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(53337,10115335,'Makes target afraid',100,2,1),
(53338,10115335,'Slows target by 55.2%',100,2,2),
(53339,10115335,'30% chance to dispel when target takes damage',100,2,3),
(53340,10115335,'Does not affect Epic targets',100,2,4),
(53341,10115335,'Resistibility increases against targets higher than level 76.',100,2,5),
(53342,10115335,'Roots target',100,1,6),
(53343,10115335,'15% chance to dispel when target takes damage',100,1,7),
(53344,10115335,'Does not affect Epic targets',100,1,8),
(53345,10115335,'Resistibility increases against targets higher than level 76.',100,1,9),
(53346,106107,'Inflicts 4951 - 7564 melee damage on target',100,1,0),
(53347,106107,'Decreases Mitigation of target vs physical damage by 2592',100,1,1),
(53348,106107,'Must be behind',100,1,2),
(53349,10106107,'Inflicts 3522 - 5582 melee damage on target',100,1,0),
(53350,10106107,'Decreases Mitigation of target vs physical damage by 648',100,1,1),
(53351,10106107,'Must be behind',100,1,2),
(53352,172395,'When Equipped:',100,0,0),
(53353,172395,'On a hostile spell hit this spell may cast Azure Winds on target of spell.  Triggers about 4.0 times per minute. ',100,1,1),
(53354,172395,'Decreases Threat to target by 683 ',100,2,2),
(53355,172395,'Cannot be modified except by direct means',100,2,3),
(53356,10172395,'When Equipped:',100,0,0),
(53357,10172395,'On a hostile spell hit this spell may cast Azure Winds on target of spell.  Triggers about 4.0 times per minute. ',100,1,1),
(53358,10172395,'Forces target to clear their selected target.',100,2,2),
(53359,10172395,'Cannot be modified except by direct means',100,2,3),
(53360,105152,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53361,105152,'Increases AGI of caster by 34.4',100,1,1),
(53362,105152,'Adds 2.2% to base avoidance.',100,1,2),
(53363,105152,'Decreases Slashing and Piercing of caster by 16.3',100,1,3),
(53364,105152,'Increases Parry of caster by 20.2',100,1,4),
(53365,105152,'Increases Defense of caster by 26.9',100,1,5),
(53366,10105152,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53367,10105152,'Increases AGI of caster by 34.4',100,1,1),
(53368,10105152,'Adds 2.2% to base avoidance.',100,1,2),
(53369,10105152,'Decreases Slashing and Piercing of caster by 16.3',100,1,3),
(53370,10105152,'Increases Parry of caster by 20.2',100,1,4),
(53371,10105152,'Increases Defense of caster by 26.9',100,1,5),
(53372,45779,'Applies Concoction of Adventure when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(53373,45779,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(53374,45779,'Inflicts 13 magic damage on target',100,2,2),
(53375,45779,'Cannot be modified except by direct means',100,2,3),
(53376,10045779,'Applies Concoction of Adventure when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(53377,10045779,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(53378,10045779,'Inflicts 13 magic damage on target',100,2,2),
(53379,10045779,'Cannot be modified except by direct means',100,2,3),
(53380,113369,'Applies Stifle.  Lasts for 6.0 seconds.',100,1,0),
(53381,113369,'Stifles target',100,2,1),
(53382,113369,'Blurs vision of target',100,2,2),
(53383,113369,'Dispelled when target takes damage',100,2,3),
(53384,113369,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,4),
(53385,113369,'Resistibility increases against targets higher than level 62.',100,2,5),
(53386,113369,'Roots target',100,1,6),
(53387,113369,'5% chance to dispel when target takes damage',100,1,7),
(53388,113369,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,8),
(53389,113369,'Resistibility increases against targets higher than level 62.',100,1,9),
(53390,10113369,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(53391,10113369,'Stifles target',100,2,1),
(53392,10113369,'Blurs vision of target',100,2,2),
(53393,10113369,'Dispelled when target takes damage',100,2,3),
(53394,10113369,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(53395,10113369,'Resistibility increases against targets higher than level 62.',100,2,5),
(53396,10113369,'Roots target',100,1,6),
(53397,10113369,'5% chance to dispel when target takes damage',100,1,7),
(53398,10113369,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(53399,10113369,'Resistibility increases against targets higher than level 62.',100,1,9),
(53400,105318,'Inflicts 120 - 200 melee damage on target',100,1,0),
(53401,105318,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 56',100,1,1),
(53402,105318,'Must be flanking or behind',100,1,2),
(53403,10105318,'Inflicts 95 - 157 melee damage on target',100,1,0),
(53404,10105318,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 56',100,1,1),
(53405,10105318,'Must be flanking or behind',100,1,2),
(53406,80383,'When Equipped:',100,0,0),
(53407,80383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53408,80383,'Inflicts 81 - 151 magic damage on target',100,2,2),
(53409,80383,'Cannot be modified except by direct means',100,2,3),
(53410,10080383,'When Equipped:',100,0,0),
(53411,10080383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53412,10080383,'Inflicts 81 - 151 magic damage on target',100,2,2),
(53413,10080383,'Cannot be modified except by direct means',100,2,3),
(53414,159788,'Applies Sanguine Imbued when Equipped.',100,0,0),
(53415,159788,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(53416,159788,'Inflicts 335 heat damage on target',100,2,2),
(53417,159788,'Cannot be modified except by direct means',100,2,3),
(53418,10159788,'Applies Sanguine Imbued when Equipped.',100,0,0),
(53419,10159788,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(53420,10159788,'Inflicts 335 heat damage on target',100,2,2),
(53421,10159788,'Cannot be modified except by direct means',100,2,3),
(53422,46880,'Applies essence of power when Activated.',100,0,0),
(53423,46880,'Increases power of caster by 173',100,1,1),
(53424,10046880,'Applies essence of power when Activated.',100,0,0),
(53425,10046880,'Increases power of caster by 136',100,1,1),
(53426,80158,'Applies Artisan''s Escape when Activated.',100,0,0),
(53427,80158,'Teleports caster within the zone',100,1,1),
(53428,80158,'Must not be engaged in combat',100,2,2),
(53429,80158,'Must not be engaged in pvp combat',100,2,3),
(53430,80158,'The casting time of Artisan''s Escape is 4.95 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,4),
(53431,10080158,'Applies Artisan''s Escape when Activated.',100,0,0),
(53432,10080158,'Teleports caster within the zone',100,1,1),
(53433,10080158,'Must not be engaged in combat',100,2,2),
(53434,10080158,'Must not be engaged in pvp combat',100,2,3),
(53435,10080158,'The casting time of Artisan''s Escape is 4.95 seconds and the reuse time of the spell is 13 minutes 49 seconds',100,1,4),
(53436,45909,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(53437,45909,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(53438,45909,'Decreases STR of target by 60.5',100,2,2),
(53439,45909,'Decreases Ranged, Piercing, Slashing and Crushing of target by 23.0',100,2,3),
(53440,45909,'Cannot be modified except by direct means',100,2,4),
(53441,45909,'Grants a total of 60 triggers of the spell.',100,2,5),
(53442,10045909,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(53443,10045909,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(53444,10045909,'Decreases STR of target by 60.5',100,2,2),
(53445,10045909,'Decreases Ranged, Piercing, Slashing and Crushing of target by 23.0',100,2,3),
(53446,10045909,'Cannot be modified except by direct means',100,2,4),
(53447,10045909,'Grants a total of 60 triggers of the spell.',100,2,5),
(53448,104869,'Increases damage of your next stealth attack by 32%',100,1,0),
(53449,104869,'Grants stealth to caster',100,1,1),
(53450,104869,'Suspends caster''s movement speed enhancements',100,1,2),
(53451,104869,'You must execute certain combat arts before you can use this ability.',100,1,3),
(53452,10104869,'Increases damage of your next stealth attack by 32%',100,1,0),
(53453,10104869,'Grants stealth to caster',100,1,1),
(53454,10104869,'Suspends caster''s movement speed enhancements',100,1,2),
(53455,10104869,'You must execute certain combat arts before you can use this ability.',100,1,3),
(53456,119930,'Inflicts 2321 - 2619 mental damage on target',100,1,0),
(53457,119930,'Inflicts 446 - 546 mental damage on target every 2.7 seconds',100,1,1),
(53458,119930,'Stifles target',100,1,2),
(53459,119930,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,3),
(53460,119930,'Resistibility increases against targets higher than level 101.',100,1,4),
(53461,10119930,'Inflicts 1450 - 1684 mental damage on target',100,1,0),
(53462,10119930,'Inflicts 352 - 430 mental damage on target every second',100,1,1),
(53463,10119930,'Stifles target',100,1,2),
(53464,10119930,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(53465,10119930,'Resistibility increases against targets higher than level 101.',100,1,4),
(53466,105771,'Inflicts 574 - 702 heat damage on target',100,1,0),
(53467,10105771,'Inflicts 591 - 722 heat damage on target',100,1,0),
(53468,35593,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(53469,147269,'When Equipped:',100,0,0),
(53470,147269,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(53471,147269,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(53472,147269,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(53473,147269,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(53474,147269,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(53475,147269,'Must not be engaged in pvp combat',100,2,6),
(53476,147269,'Cannot be modified except by direct means',100,2,7),
(53477,147269,'Must not be engaged in pvp combat',100,1,8),
(53478,10147269,'When Equipped:',100,0,0),
(53479,10147269,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(53480,10147269,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(53481,10147269,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(53482,10147269,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(53483,10147269,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(53484,10147269,'Must not be engaged in pvp combat',100,2,6),
(53485,10147269,'Cannot be modified except by direct means',100,2,7),
(53486,10147269,'Must not be engaged in pvp combat',100,1,8),
(53487,46268,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(53488,46268,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(53489,46268,'Decreases STR of target by 81.5',100,2,2),
(53490,46268,'Decreases Ranged, Piercing, Slashing and Crushing of target by 30.9',100,2,3),
(53491,46268,'Cannot be modified except by direct means',100,2,4),
(53492,46268,'Grants a total of 60 triggers of the spell.',100,2,5),
(53493,10046268,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(53494,10046268,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(53495,10046268,'Decreases STR of target by 81.5',100,2,2),
(53496,10046268,'Decreases Ranged, Piercing, Slashing and Crushing of target by 30.9',100,2,3),
(53497,10046268,'Cannot be modified except by direct means',100,2,4),
(53498,10046268,'Grants a total of 60 triggers of the spell.',100,2,5),
(53499,81745,'When Equipped:',100,0,0),
(53500,81745,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53501,81745,'Inflicts 210 - 391 magic damage on target',100,2,2),
(53502,81745,'Cannot be modified except by direct means',100,2,3),
(53503,10081745,'When Equipped:',100,0,0),
(53504,10081745,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53505,10081745,'Inflicts 210 - 391 magic damage on target',100,2,2),
(53506,10081745,'Cannot be modified except by direct means',100,2,3),
(53507,85340,'Applies Poison Bolt when Activated.',100,0,0),
(53508,85340,'Inflicts 466 - 777 poison damage on target',100,1,1),
(53509,85340,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(53510,10085340,'Applies Poison Bolt when Activated.',100,0,0),
(53511,10085340,'Inflicts 466 - 777 poison damage on target',100,1,1),
(53512,10085340,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(53513,80339,'When Equipped:',100,0,0),
(53514,80339,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53515,80339,'Inflicts 81 - 151 magic damage on target',100,2,2),
(53516,80339,'Cannot be modified except by direct means',100,2,3),
(53517,10080339,'When Equipped:',100,0,0),
(53518,10080339,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53519,10080339,'Inflicts 81 - 151 magic damage on target',100,2,2),
(53520,10080339,'Cannot be modified except by direct means',100,2,3),
(53521,143366,'When Equipped:',100,0,0),
(53522,143366,'Increases Attack Speed of caster by 15.0',100,1,1),
(53523,10143366,'When Equipped:',100,0,0),
(53524,10143366,'Increases Attack Speed of caster by 15.0',100,1,1),
(53525,80756,'When Equipped:',100,0,0),
(53526,80756,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53527,80756,'Inflicts 261 - 484 magic damage on target',100,2,2),
(53528,80756,'Cannot be modified except by direct means',100,2,3),
(53529,10080756,'When Equipped:',100,0,0),
(53530,10080756,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53531,10080756,'Inflicts 261 - 484 magic damage on target',100,2,2),
(53532,10080756,'Cannot be modified except by direct means',100,2,3),
(53533,119384,'Decreases threat priority of target by 1 position',100,1,0),
(53534,119384,'Decreases Threat to target by 1,314 ',100,1,1),
(53535,119384,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(53536,119384,'Grants stealth to caster',100,2,3),
(53537,119384,'Suspends caster''s movement speed enhancements',100,2,4),
(53538,10119384,'Applies Distract.',100,1,0),
(53539,10119384,'Forces target to clear their selected target.',100,2,1),
(53540,10119384,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(53541,10119384,'Grants stealth to caster',100,2,3),
(53542,10119384,'Suspends caster''s movement speed enhancements',100,2,4),
(53543,47943,'Applies Draw upon Essence when Activated.',100,0,0),
(53544,47943,'Increases power of caster by 357',100,1,1),
(53545,47943,'Requires 715 Health to cast.',100,1,2),
(53546,10047943,'Applies Draw upon Essence when Activated.',100,0,0),
(53547,10047943,'Increases power of caster by 357',100,1,1),
(53548,10047943,'Requires 715 Health to cast.',100,1,2),
(53549,24572,'Adds Mummy (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(53550,10024572,'Adds Mummy (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(53551,118056,'Increases threat priority of target by 3 positions',100,1,0),
(53552,118056,'Increases Threat to target by 13,844 ',100,1,1),
(53553,10118056,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,1,0),
(53554,10118056,'Prevents target from changing targets',100,2,1),
(53555,10118056,'Forces target to change their selected target to caster.',100,2,2),
(53556,85350,'Applies Poison Bolt when Activated.',100,0,0),
(53557,85350,'Inflicts 613 - 1021 poison damage on target',100,1,1),
(53558,85350,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(53559,10085350,'Applies Poison Bolt when Activated.',100,0,0),
(53560,10085350,'Inflicts 613 - 1021 poison damage on target',100,1,1),
(53561,10085350,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(53562,100546,'Heals group members (AE) for 2637 - 3151',100,1,0),
(53563,10100546,'Heals group members (AE) for 2295 - 2786',100,1,0),
(53564,123586,'Increases STR of group members (AE) by 81.6',100,1,0),
(53565,123586,'Increases Max Health of group members (AE) by 723.8',100,1,1),
(53566,10123586,'Increases STR of group members (AE) by 81.6',100,1,0),
(53567,10123586,'Increases Max Health of group members (AE) by 723.8',100,1,1),
(53568,124378,'Inflicts 2963 - 3403 divine damage on target',100,1,0),
(53569,124378,'Inflicts 825 - 1009 divine damage on target every 4 seconds',100,1,1),
(53570,10124378,'Inflicts 1956 - 2303 divine damage on target',100,1,0),
(53571,10124378,'Inflicts 650 - 795 divine damage on target every 4 seconds',100,1,1),
(53572,80725,'When Equipped:',100,0,0),
(53573,80725,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(53574,80725,'Inflicts 106 - 197 magic damage on target',100,2,2),
(53575,80725,'Decreases Threat to target by 236 ',100,2,3),
(53576,80725,'Must be flanking or behind',100,3,4),
(53577,80725,'Increases Threat to target by 414 ',100,2,5),
(53578,80725,'Must be in front of',100,3,6),
(53579,80725,'Cannot be modified except by direct means',100,2,7),
(53580,10080725,'When Equipped:',100,0,0),
(53581,10080725,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(53582,10080725,'Inflicts 106 - 197 magic damage on target',100,2,2),
(53583,10080725,'Cannot be modified except by direct means',100,2,3),
(53584,71630,'When Equipped:',100,0,0),
(53585,71630,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53586,71630,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(53587,71630,'Cannot be modified except by direct means',100,2,3),
(53588,10071630,'When Equipped:',100,0,0),
(53589,10071630,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53590,10071630,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(53591,10071630,'Cannot be modified except by direct means',100,2,3),
(53592,48394,'Applies Thalz''Iz''Zaz All-Purpose Cleaner when Activated.',100,0,0),
(53593,10048394,'Applies Thalz''Iz''Zaz All-Purpose Cleaner when Activated.',100,0,0),
(53594,116394,'Heals target for 1671 - 1825',100,1,0),
(53595,116394,'Heals target for 689 - 842 every 2 seconds',100,1,1),
(53596,10116394,'Heals target for 609 - 688',100,1,0),
(53597,10116394,'Heals target for 353 - 431 every 2 seconds',100,1,1),
(53598,114571,'Heals target for 170 - 208',100,1,0),
(53599,10114571,'Heals target for 95 - 116',100,1,0),
(53600,83424,'When Equipped:',100,0,0),
(53601,83424,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53602,83424,'Inflicts 289 - 481 magic damage on target',100,2,2),
(53603,83424,'Cannot be modified except by direct means',100,2,3),
(53604,10083424,'When Equipped:',100,0,0),
(53605,10083424,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53606,10083424,'Inflicts 289 - 481 magic damage on target',100,2,2),
(53607,10083424,'Cannot be modified except by direct means',100,2,3),
(53608,104547,'Increases Threat to target by 5,179 - 5,825  instantly and by 1,017 - 1,243  every 2 seconds thereafter',100,1,0),
(53609,10104547,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(53610,47408,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(53611,47408,'This potion will grant you the illusion of being a Vallonite warrior!',100,1,1),
(53612,10047408,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(53613,10047408,'This potion will grant you the illusion of being a Vallonite warrior!',100,1,1),
(53614,185092,'When Equipped:',100,0,0),
(53615,185092,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(53616,185092,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(53617,185092,'Cannot be modified except by direct means',100,2,3),
(53618,185092,'When Equipped:',100,0,4),
(53619,185092,'Additional equipment with Vampire Bane improves this effect.',100,1,5),
(53620,185092,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,6),
(53621,185092,'Inflicts 401 divine damage on target',100,2,7),
(53622,185092,'Must not be classified as a vampire',100,3,8),
(53623,185092,'Inflicts 802 divine damage on target',100,2,9),
(53624,185092,'Must be classified as a vampire',100,3,10),
(53625,185092,'Decreases Mitigation of target vs arcane damage by 581',100,2,11),
(53626,185092,'Must be classified as a vampire',100,3,12),
(53627,185092,'Cannot be modified except by direct means',100,2,13),
(53628,10185092,'When Equipped:',100,0,0),
(53629,10185092,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(53630,10185092,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(53631,10185092,'Cannot be modified except by direct means',100,2,3),
(53632,10185092,'When Equipped:',100,0,4),
(53633,10185092,'Additional equipment with Vampire Bane improves this effect.',100,1,5),
(53634,10185092,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,6),
(53635,10185092,'Inflicts 401 divine damage on target',100,2,7),
(53636,10185092,'Must not be classified as a vampire',100,3,8),
(53637,10185092,'Inflicts 802 divine damage on target',100,2,9),
(53638,10185092,'Must be classified as a vampire',100,3,10),
(53639,10185092,'Decreases Mitigation of target vs arcane damage by 581',100,2,11),
(53640,10185092,'Must be classified as a vampire',100,3,12),
(53641,10185092,'Cannot be modified except by direct means',100,2,13),
(53642,160380,'When Equipped:',100,0,0),
(53643,160380,'On a damage spell hit this spell may cast Shackles on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53644,160380,'Roots target',100,2,2),
(53645,160380,'15% chance to dispel when target takes damage',100,2,3),
(53646,160380,'Only affects targets level 80 and below',100,2,4),
(53647,160380,'Does not affect Epic targets',100,2,5),
(53648,160380,'Resistibility increases against targets higher than level 99.',100,2,6),
(53649,160380,'Cannot be modified except by direct means',100,2,7),
(53650,10160380,'When Equipped:',100,0,0),
(53651,10160380,'On a damage spell hit this spell may cast Shackles on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(53652,10160380,'Roots target',100,2,2),
(53653,10160380,'15% chance to dispel when target takes damage',100,2,3),
(53654,10160380,'Only affects targets level 80 and below',100,2,4),
(53655,10160380,'Does not affect Epic targets',100,2,5),
(53656,10160380,'Resistibility increases against targets higher than level 99.',100,2,6),
(53657,10160380,'Cannot be modified except by direct means',100,2,7),
(53658,145945,'When Equipped:',100,0,0),
(53659,145945,'Increases INT and STR of caster by 50.0',100,1,1),
(53660,145945,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(53661,145945,'Increases AGI and WIS of caster by 50.0',100,1,3),
(53662,145945,'Increases Potency of caster by 3.5%',100,1,4),
(53663,145945,'Cannot be modified except by direct means',100,1,5),
(53664,10145945,'When Equipped:',100,0,0),
(53665,10145945,'Increases INT and STR of caster by 50.0',100,1,1),
(53666,10145945,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(53667,10145945,'Increases AGI and WIS of caster by 50.0',100,1,3),
(53668,10145945,'Increases Potency of caster by 3.5%',100,1,4),
(53669,10145945,'Cannot be modified except by direct means',100,1,5),
(53670,75118,'When Equipped:',100,0,0),
(53671,75118,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(53672,10075118,'When Equipped:',100,0,0),
(53673,10075118,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(53674,46255,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(53675,46255,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(53676,46255,'Inflicts 1334 poison damage on target',100,2,2),
(53677,46255,'Cannot be modified except by direct means',100,2,3),
(53678,46255,'Grants a total of 100 triggers of the spell.',100,2,4),
(53679,10046255,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(53680,10046255,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(53681,10046255,'Inflicts 1001 poison damage on target',100,2,2),
(53682,10046255,'Cannot be modified except by direct means',100,2,3),
(53683,10046255,'Grants a total of 100 triggers of the spell.',100,2,4),
(53684,73267,'Applies Frost Blast when Activated.',100,0,0),
(53685,73267,'Inflicts 723 - 1205 cold damage on target',100,1,1),
(53686,73267,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(53687,10073267,'Applies Frost Blast when Activated.',100,0,0),
(53688,10073267,'Inflicts 723 - 1205 cold damage on target',100,1,1),
(53689,10073267,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(53690,52776,'Applies Sanguine Imbued when Equipped.',100,0,0),
(53691,52776,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(53692,52776,'Inflicts 264 heat damage on target',100,2,2),
(53693,52776,'Cannot be modified except by direct means',100,2,3),
(53694,10052776,'Applies Sanguine Imbued when Equipped.',100,0,0),
(53695,10052776,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(53696,10052776,'Inflicts 264 heat damage on target',100,2,2),
(53697,10052776,'Cannot be modified except by direct means',100,2,3),
(53698,147141,'When Equipped:',100,0,0),
(53699,147141,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(53700,10147141,'When Equipped:',100,0,0),
(53701,10147141,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(53702,26788,'When Equipped:',100,0,0),
(53703,26788,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(53704,26788,'On a critical spell hit this spell may cast Repugnant Cloud I on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(53705,26788,'Inflicts 803 - 887 disease damage on target instantly and every 2 seconds',100,2,3),
(53706,26788,'Must not be engaged in pvp combat',100,2,4),
(53707,26788,'Cannot be modified except by direct means',100,2,5),
(53708,26788,'On a critical combat hit this spell may cast Repugnant Cloud I on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(53709,26788,'Inflicts 803 - 887 disease damage on target instantly and every 2 seconds',100,2,7),
(53710,26788,'Must not be engaged in pvp combat',100,2,8),
(53711,26788,'Cannot be modified except by direct means',100,2,9),
(53712,26788,'Must not be engaged in pvp combat',100,1,10),
(53713,10026788,'When Equipped:',100,0,0),
(53714,10026788,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(53715,10026788,'On a critical spell hit this spell may cast Repugnant Cloud I on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(53716,10026788,'Inflicts 803 - 887 disease damage on target instantly and every 2 seconds',100,2,3),
(53717,10026788,'Must not be engaged in pvp combat',100,2,4),
(53718,10026788,'Cannot be modified except by direct means',100,2,5),
(53719,10026788,'On a critical combat hit this spell may cast Repugnant Cloud I on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(53720,10026788,'Inflicts 803 - 887 disease damage on target instantly and every 2 seconds',100,2,7),
(53721,10026788,'Must not be engaged in pvp combat',100,2,8),
(53722,10026788,'Cannot be modified except by direct means',100,2,9),
(53723,10026788,'Must not be engaged in pvp combat',100,1,10),
(53724,123362,'Heals group members (AE) for 1192 - 1457',100,1,0),
(53725,10123362,'Heals group members (AE) for 1065 - 1283',100,1,0),
(53726,107376,'Inflicts 1368 - 1599 heat damage on targets in Area of Effect',100,129,0),
(53727,107376,'Inflicts 1040 - 1272 heat damage on targets in Area of Effect every 0.6 seconds',100,129,1),
(53728,107376,'Inflicts an additional 216 - 264 heat damage on targets in Area of Effect every tick',100,129,2),
(53729,107376,'Slows targets in Area of Effect by 75.0%',100,129,3),
(53730,107376,'Decreases Ability Casting Speed of targets in Area of Effect by 28.5%',100,1,4),
(53731,107376,'Inflicts 1110 - 1284 heat damage on targets in Area of Effect',100,1,5),
(53732,107376,'Inflicts 782 - 956 heat damage on targets in Area of Effect every 0.6 seconds',100,1,6),
(53733,10107376,'Inflicts 904 - 1075 heat damage on targets in Area of Effect',100,1,0),
(53734,10107376,'Inflicts 772 - 944 heat damage on targets in Area of Effect every 0.6 seconds',100,1,1),
(53735,10107376,'Inflicts an additional 160 - 196 heat damage on targets in Area of Effect every tick',100,1,2),
(53736,10107376,'Decreases Ability Casting Speed of targets in Area of Effect by 28.5%',100,1,3),
(53737,10107376,'Slows targets in Area of Effect by 25.0%',100,1,4),
(53738,10107376,'Inflicts 712 - 841 heat damage on targets in Area of Effect',100,1,5),
(53739,10107376,'Inflicts 581 - 710 heat damage on targets in Area of Effect every 0.6 seconds',100,1,6),
(53740,114317,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(53741,114317,'Increases target''s chance to block by 15.0%',100,130,1),
(53742,114317,'Dispels 10 levels of noxious hostile effects on target',100,1,2),
(53743,114317,'Heals target for 160 - 177',100,1,3),
(53744,114317,'This effect cannot be critically applied.',100,2,4),
(53745,114317,'The healing of this spell cannot be modified except by direct means',100,1,5),
(53746,10114317,'Applies Whirling Deflection.  Lasts for 10.0 seconds.',100,129,0),
(53747,10114317,'Increases target''s chance to block by 15.0%',100,130,1),
(53748,10114317,'Dispels 10 levels of noxious hostile effects on target',100,1,2),
(53749,10114317,'Heals target for 98 - 107',100,1,3),
(53750,10114317,'This effect cannot be critically applied.',100,2,4),
(53751,10114317,'The healing of this spell cannot be modified except by direct means',100,1,5),
(53752,109514,'Inflicts 1503 - 1619 disease damage on target',100,1,0),
(53753,109514,'Inflicts 521 - 636 disease damage on target every 4 seconds',100,1,1),
(53754,109514,'Decreases Attack Speed of target by 7.6',100,1,2),
(53755,10109514,'Inflicts 805 - 896 disease damage on target',100,1,0),
(53756,10109514,'Inflicts 410 - 502 disease damage on target every 4 seconds',100,1,1),
(53757,10109514,'Decreases Attack Speed of target by 7.6',100,1,2),
(53758,121231,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53759,121231,'Reduces physical damage done to caster by 5%',100,1,1),
(53760,121231,'Increases STA of caster by 31.7',100,1,2),
(53761,121231,'Adds 3.7% to base avoidance.',100,1,3),
(53762,121231,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(53763,121231,'Increases Defense and Aggression of caster by 5.8',100,1,5),
(53764,121231,'Increases Mitigation of caster vs arcane damage by 415',100,1,6),
(53765,121231,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(53766,10121231,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(53767,10121231,'Reduces physical damage done to caster by 5%',100,1,1),
(53768,10121231,'Increases STA of caster by 31.7',100,1,2),
(53769,10121231,'Adds 3.7% to base avoidance.',100,1,3),
(53770,10121231,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,4),
(53771,10121231,'Increases Defense and Aggression of caster by 5.8',100,1,5),
(53772,10121231,'Increases Mitigation of caster vs arcane damage by 415',100,1,6),
(53773,10121231,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(53774,52285,'When Equipped:',100,0,0),
(53775,52285,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(53776,52285,'Increases Health Regeneration of caster by 10.0',100,1,2),
(53777,52285,'Increases Max Health of caster by 1,444.4',100,1,3),
(53778,52285,'Cannot be modified except by direct means',100,1,4),
(53779,10052285,'When Equipped:',100,0,0),
(53780,10052285,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(53781,10052285,'Increases Health Regeneration of caster by 10.0',100,1,2),
(53782,10052285,'Increases Max Health of caster by 1,444.4',100,1,3),
(53783,10052285,'Cannot be modified except by direct means',100,1,4),
(53784,105867,'Inflicts 78 - 129 ranged damage on target',100,1,0),
(53785,105867,'Inflicts 39 - 64 ranged damage on target',100,1,1),
(53786,105867,'If weapon equipped in Ranged',100,1,2),
(53787,10105867,'Inflicts 62 - 103 ranged damage on target',100,1,0),
(53788,10105867,'Inflicts 23 - 38 ranged damage on target',100,1,1),
(53789,10105867,'If weapon equipped in Ranged',100,1,2),
(53790,120257,'Inflicts 2492 - 3741 crushing damage on target',100,1,0),
(53791,10120257,'Inflicts 1705 - 2569 crushing damage on target',100,1,0),
(53792,114897,'Causes 14% Threat to transfer to target when in combat',100,1,0),
(53793,123604,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(53794,123604,'Increases Defense of target by 25.9',100,1,1),
(53795,10123604,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(53796,10123604,'Increases Defense of target by 25.9',100,1,1),
(53797,175003,'When Equipped:',100,0,0),
(53798,175003,'Increases Attack Speed of caster by 30.0',100,1,1),
(53799,10175003,'When Equipped:',100,0,0),
(53800,10175003,'Increases Attack Speed of caster by 30.0',100,1,1),
(53801,121161,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(53802,121161,'Increases Hate Gain of caster by 5.0%',100,2,1),
(53803,121161,'Increases Attack Speed of caster by 51.8',100,2,2),
(53804,121161,'Dispelled when target takes damage',100,2,3),
(53805,10121161,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(53806,10121161,'Increases Attack Speed of caster by 51.8',100,2,1),
(53807,10121161,'Dispelled when target takes damage',100,2,2),
(53808,47115,'Applies Arrina''s Resurgence  when Activated.',100,0,0),
(53809,47115,'Heals caster for 140',100,1,1),
(53810,10047115,'Applies Arrina''s Resurgence  when Activated.',100,0,0),
(53811,10047115,'Heals caster for 91',100,1,1),
(53812,24408,'Adds Goatman (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(53813,10024408,'Adds Goatman (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(53814,75224,'When Equipped:',100,0,0),
(53815,75224,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(53816,75224,'Inflicts 40 - 49 magic damage on target',100,2,2),
(53817,75224,'If target is ravasect',100,3,3),
(53818,75224,'Cannot be modified except by direct means',100,2,4),
(53819,10075224,'When Equipped:',100,0,0),
(53820,10075224,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(53821,10075224,'Inflicts 40 - 49 magic damage on target',100,2,2),
(53822,10075224,'If target is ravasect',100,3,3),
(53823,10075224,'Cannot be modified except by direct means',100,2,4),
(53824,114773,'Feigns Death with 78% chance of success',100,1,0),
(53825,10114773,'Feigns Death with 78% chance of success',100,1,0),
(53826,118194,'Increases Damage Per Second of group members (AE) by 13.7',100,1,0),
(53827,10118194,'Increases Damage Per Second of group members (AE) by 13.7',100,1,0),
(53828,117225,'Inflicts 37 slashing damage on target every 4 seconds',100,1,0),
(53829,117225,'Inflicts 308 - 492 melee damage on target',100,1,1),
(53830,10117225,'Inflicts 29 slashing damage on target every 4 seconds',100,1,0),
(53831,10117225,'Inflicts 268 - 426 melee damage on target',100,1,1),
(53832,80636,'When Equipped:',100,0,0);
INSERT INTO `item_effects` VALUES
(53833,80636,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(53834,80636,'Inflicts 106 - 197 magic damage on target',100,2,2),
(53835,80636,'Decreases Threat to target by 236 ',100,2,3),
(53836,80636,'Must be flanking or behind',100,3,4),
(53837,80636,'Increases Threat to target by 414 ',100,2,5),
(53838,80636,'Must be in front of',100,3,6),
(53839,80636,'Cannot be modified except by direct means',100,2,7),
(53840,10080636,'When Equipped:',100,0,0),
(53841,10080636,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(53842,10080636,'Inflicts 106 - 197 magic damage on target',100,2,2),
(53843,10080636,'Cannot be modified except by direct means',100,2,3),
(53844,116977,'Increases Threat to target by 6,794 - 7,799 ',100,1,0),
(53845,116977,'Interrupts target',100,1,1),
(53846,10116977,'Forces target to change their selected target to caster.',100,1,0),
(53847,10116977,'Interrupts target',100,1,1),
(53848,10116977,'Prevents target from changing targets',100,1,2),
(53849,105873,'Inflicts 418 - 693 ranged damage on target',100,1,0),
(53850,105873,'Inflicts 208 - 346 ranged damage on target',100,1,1),
(53851,105873,'If weapon equipped in Ranged',100,1,2),
(53852,10105873,'Inflicts 333 - 551 ranged damage on target',100,1,0),
(53853,10105873,'Inflicts 123 - 204 ranged damage on target',100,1,1),
(53854,10105873,'If weapon equipped in Ranged',100,1,2),
(53855,110962,'Inflicts 4562 - 6922 ranged damage on target',100,1,0),
(53856,110962,'I need to be stealthed!',100,1,1),
(53857,110962,'Requires bow',100,1,2),
(53858,10110962,'Inflicts 1981 - 3028 ranged damage on target',100,1,0),
(53859,10110962,'I need to be stealthed!',100,1,1),
(53860,10110962,'Requires bow',100,1,2),
(53861,177710,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(53862,177710,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(53863,177710,'Inflicts 26 heat damage on target',100,2,2),
(53864,177710,'Cannot be modified except by direct means',100,2,3),
(53865,10177710,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(53866,10177710,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(53867,10177710,'Inflicts 26 heat damage on target',100,2,2),
(53868,10177710,'Cannot be modified except by direct means',100,2,3),
(53869,108368,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(53870,108368,'Increases Mitigation of group members (AE) vs arcane damage by 1160',100,1,1),
(53871,10108368,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(53872,10108368,'Increases Mitigation of group members (AE) vs arcane damage by 1160',100,1,1),
(53873,76127,'When Equipped:',100,0,0),
(53874,76127,'On a combat hit this spell may cast Spirit Siphoning on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53875,76127,'Inflicts 515 - 772 magic damage on target',100,2,2),
(53876,76127,'Decreases power of target by 257 - 385',100,2,3),
(53877,76127,'Increases power of caster by 160 - 195',100,2,4),
(53878,76127,'Heals caster for 320 - 391',100,2,5),
(53879,76127,'Cannot be modified except by direct means',100,2,6),
(53880,10076127,'When Equipped:',100,0,0),
(53881,10076127,'On a combat hit this spell may cast Spirit Siphoning on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(53882,10076127,'Inflicts 515 - 772 magic damage on target',100,2,2),
(53883,10076127,'Decreases power of target by 257 - 385',100,2,3),
(53884,10076127,'Increases power of caster by 160 - 195',100,2,4),
(53885,10076127,'Heals caster for 208 - 254',100,2,5),
(53886,10076127,'Cannot be modified except by direct means',100,2,6),
(53887,45646,'Applies Elixir of the Mastermind  when Activated.  Lasts for 30 minutes.',100,0,0),
(53888,45646,'Increases WIS and INT of caster by 23.3',100,1,1),
(53889,10045646,'Applies Elixir of the Mastermind  when Activated.  Lasts for 30 minutes.',100,0,0),
(53890,10045646,'Increases WIS and INT of caster by 23.3',100,1,1),
(53891,73693,'When Equipped:',100,0,0),
(53892,73693,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(53893,73693,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(53894,73693,'Inflicts 2355 - 2603 poison damage on target',100,2,3),
(53895,73693,'Heals caster for 1178 - 1301',100,2,4),
(53896,73693,'Decreases Slashing, Crushing, Piercing and Ranged of target by 22.0',100,2,5),
(53897,73693,'Decreases Mitigation of target vs physical damage by 523',100,2,6),
(53898,73693,'Must not be engaged in pvp combat',100,2,7),
(53899,73693,'Cannot be modified except by direct means',100,2,8),
(53900,73693,'Cannot be modified except by direct means',100,1,9),
(53901,10073693,'When Equipped:',100,0,0),
(53902,10073693,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(53903,10073693,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(53904,10073693,'Inflicts 2355 - 2603 poison damage on target',100,2,3),
(53905,10073693,'Heals caster for 1378 - 1523',100,2,4),
(53906,10073693,'Decreases Slashing, Crushing, Piercing and Ranged of target by 22.0',100,2,5),
(53907,10073693,'Decreases Mitigation of target vs physical damage by 523',100,2,6),
(53908,10073693,'Must not be engaged in pvp combat',100,2,7),
(53909,10073693,'Cannot be modified except by direct means',100,2,8),
(53910,10073693,'Cannot be modified except by direct means',100,1,9),
(53911,82003,'When Equipped:',100,0,0),
(53912,82003,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(53913,82003,'Inflicts 272 - 505 magic damage on target',100,2,2),
(53914,82003,'Decreases Threat to target by 641 ',100,2,3),
(53915,82003,'Must be flanking or behind',100,3,4),
(53916,82003,'Increases Threat to target by 1,101 ',100,2,5),
(53917,82003,'Must be in front of',100,3,6),
(53918,82003,'Cannot be modified except by direct means',100,2,7),
(53919,10082003,'When Equipped:',100,0,0),
(53920,10082003,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(53921,10082003,'Inflicts 272 - 505 magic damage on target',100,2,2),
(53922,10082003,'Cannot be modified except by direct means',100,2,3),
(53923,120314,'Increases Threat to target by 1,801 - 2,202 ',100,1,0),
(53924,10120314,'Forces target to change their selected target to caster.',100,1,0),
(53925,10120314,'Prevents target from changing targets',100,1,1),
(53926,162721,'Applies Unstable Magics when Equipped.',100,0,0),
(53927,162721,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(53928,10162721,'Applies Unstable Magics when Equipped.',100,0,0),
(53929,10162721,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(53930,116108,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(53931,116108,'Heals target for 1114 - 1362',100,2,1),
(53932,116108,'Grants a total of 5 triggers of the spell.',100,2,2),
(53933,10116108,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(53934,10116108,'Heals target for 575 - 683',100,2,1),
(53935,10116108,'Grants a total of 5 triggers of the spell.',100,2,2),
(53936,118315,'Roots target encounter',100,1,0),
(53937,118315,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(53938,118315,'Slows target by 69.8%',100,2,2),
(53939,118315,'5% chance to dispel when target receives hostile action',100,2,3),
(53940,118315,'5% chance to dispel when target takes damage',100,2,4),
(53941,118315,'20% chance to dispel when target takes damage',100,1,5),
(53942,118315,'Does not affect Epic targets',100,1,6),
(53943,118315,'Resistibility increases against targets higher than level 97.',100,1,7),
(53944,10118315,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(53945,10118315,'Slows target by 69.8%',100,2,1),
(53946,10118315,'5% chance to dispel when target receives hostile action',100,2,2),
(53947,10118315,'5% chance to dispel when target takes damage',100,2,3),
(53948,10118315,'Roots target encounter',100,1,4),
(53949,10118315,'20% chance to dispel when target takes damage',100,1,5),
(53950,10118315,'Does not affect Epic targets',100,1,6),
(53951,10118315,'Resistibility increases against targets higher than level 97.',100,1,7),
(53952,55656,'When Equipped:',100,0,0),
(53953,55656,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(53954,55656,'Reduces resistibility by 7%.',100,2,2),
(53955,55656,'Cannot be modified except by direct means',100,2,3),
(53956,10055656,'When Equipped:',100,0,0),
(53957,10055656,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(53958,10055656,'Reduces resistibility by 7%.',100,2,2),
(53959,10055656,'Cannot be modified except by direct means',100,2,3),
(53960,84622,'When Equipped:',100,0,0),
(53961,84622,'On a critical spell hit this spell may cast Mindsieve II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(53962,84622,'Inflicts 74 - 82 mental damage on target',100,2,2),
(53963,84622,'Increases power of caster by 13',100,2,3),
(53964,84622,'Must not be engaged in pvp combat',100,2,4),
(53965,84622,'Cannot be modified except by direct means',100,2,5),
(53966,84622,'On a critical combat hit this spell may cast Mindsieve II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(53967,84622,'Inflicts 74 - 82 mental damage on target',100,2,7),
(53968,84622,'Increases power of caster by 13',100,2,8),
(53969,84622,'Must not be engaged in pvp combat',100,2,9),
(53970,84622,'Cannot be modified except by direct means',100,2,10),
(53971,84622,'Must not be engaged in pvp combat',100,1,11),
(53972,10084622,'When Equipped:',100,0,0),
(53973,10084622,'On a critical spell hit this spell may cast Mindsieve II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(53974,10084622,'Inflicts 74 - 82 mental damage on target',100,2,2),
(53975,10084622,'Increases power of caster by 13',100,2,3),
(53976,10084622,'Must not be engaged in pvp combat',100,2,4),
(53977,10084622,'Cannot be modified except by direct means',100,2,5),
(53978,10084622,'On a critical combat hit this spell may cast Mindsieve II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(53979,10084622,'Inflicts 74 - 82 mental damage on target',100,2,7),
(53980,10084622,'Increases power of caster by 13',100,2,8),
(53981,10084622,'Must not be engaged in pvp combat',100,2,9),
(53982,10084622,'Cannot be modified except by direct means',100,2,10),
(53983,10084622,'Must not be engaged in pvp combat',100,1,11),
(53984,119457,'Inflicts 1082 piercing damage on target instantly and every 4 seconds',100,1,0),
(53985,119457,'Inflicts 2488 - 3480 melee damage on target',100,1,1),
(53986,119457,'Must be flanking or behind',100,1,2),
(53987,10119457,'Inflicts 853 piercing damage on target instantly and every 4 seconds',100,1,0),
(53988,10119457,'Inflicts 1581 - 2363 melee damage on target',100,1,1),
(53989,10119457,'Must be flanking or behind',100,1,2),
(53990,45968,'Applies Consume Essence when Activated.',100,0,0),
(53991,45968,'Heals group members (AE) for 166 - 203',100,1,1),
(53992,45968,'Dispels 58 levels of any hostile effects on caster',100,1,2),
(53993,10045968,'Applies Consume Essence when Activated.',100,0,0),
(53994,10045968,'Heals group members (AE) for 108 - 132',100,1,1),
(53995,10045968,'Dispels 58 levels of any hostile effects on caster',100,1,2),
(53996,118772,'Increases INT and WIS of group members (AE) by 77.9',100,1,0),
(53997,118772,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 229',100,1,1),
(53998,10118772,'Increases INT and WIS of group members (AE) by 77.9',100,1,0),
(53999,10118772,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 229',100,1,1),
(54000,153777,'When Equipped:',100,0,0),
(54001,153777,'When damaged this spell has a 10% chance to cast Arcane Resolution VIII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(54002,153777,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2241',100,2,2),
(54003,153777,'Must not be engaged in pvp combat',100,2,3),
(54004,153777,'Cannot be modified except by direct means',100,2,4),
(54005,153777,'Must not be engaged in pvp combat',100,1,5),
(54006,10153777,'When Equipped:',100,0,0),
(54007,10153777,'When damaged this spell has a 10% chance to cast Arcane Resolution VIII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(54008,10153777,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2241',100,2,2),
(54009,10153777,'Must not be engaged in pvp combat',100,2,3),
(54010,10153777,'Cannot be modified except by direct means',100,2,4),
(54011,10153777,'Must not be engaged in pvp combat',100,1,5),
(54012,35613,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(54013,138449,'When Equipped:',100,0,0),
(54014,138449,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54015,138449,'Increases power of caster by 80 instantly and every 4 seconds',100,2,2),
(54016,138449,'Cannot be modified except by direct means',100,2,3),
(54017,10138449,'When Equipped:',100,0,0),
(54018,10138449,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54019,10138449,'Increases power of caster by 80 instantly and every 4 seconds',100,2,2),
(54020,10138449,'Cannot be modified except by direct means',100,2,3),
(54021,74531,'Applies Frost Blast when Activated.',100,0,0),
(54022,74531,'Inflicts 138 - 230 cold damage on target',100,1,1),
(54023,74531,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(54024,10074531,'Applies Frost Blast when Activated.',100,0,0),
(54025,10074531,'Inflicts 138 - 230 cold damage on target',100,1,1),
(54026,10074531,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(54027,46876,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(54028,46876,'Increases Max Power of caster by 236.2',100,1,1),
(54029,10046876,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(54030,10046876,'Increases Max Power of caster by 236.2',100,1,1),
(54031,109931,'Stuns target',100,1,0),
(54032,109931,'Does not affect Epic targets',100,1,1),
(54033,109931,'Resistibility increases against targets higher than level 59.',100,1,2),
(54034,10109931,'Stuns target',100,1,0),
(54035,10109931,'Does not affect Epic targets',100,1,1),
(54036,10109931,'Resistibility increases against targets higher than level 59.',100,1,2),
(54037,134747,'Applies Heroic Resistance X when Equipped.',100,0,0),
(54038,134747,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(54039,134747,'Cannot be modified except by direct means',100,1,2),
(54040,10134747,'Applies Heroic Resistance X when Equipped.',100,0,0),
(54041,10134747,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(54042,10134747,'Cannot be modified except by direct means',100,1,2),
(54043,25632,'When Equipped:',100,0,0),
(54044,25632,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(54045,25632,'Improves the base damage of One Hundred Hand Punch VI by 20%.',100,1,2),
(54046,10025632,'When Equipped:',100,0,0),
(54047,10025632,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(54048,10025632,'Improves the base damage of One Hundred Hand Punch VI by 20%.',100,1,2),
(54049,48686,'Applies Concoction of the Wind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(54050,48686,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(54051,48686,'Inflicts 7 magic damage on target',100,2,2),
(54052,48686,'Cannot be modified except by direct means',100,2,3),
(54053,10048686,'Applies Concoction of the Wind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(54054,10048686,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(54055,10048686,'Inflicts 7 magic damage on target',100,2,2),
(54056,10048686,'Cannot be modified except by direct means',100,2,3),
(54057,111599,'Inflicts 734 - 1285 cold damage on target',100,1,0),
(54058,111599,'Inflicts 163 - 303 cold damage on target every 4 seconds',100,1,1),
(54059,111599,'Decreases Mitigation of target vs elemental damage by 574',100,1,2),
(54060,10111599,'Inflicts 523 - 633 cold damage on target',100,1,0),
(54061,10111599,'Inflicts 129 - 239 cold damage on target every 4 seconds',100,1,1),
(54062,10111599,'Decreases Mitigation of target vs elemental damage by 574',100,1,2),
(54063,106098,'Inflicts 3246 - 4737 melee damage on target',100,1,0),
(54064,106098,'Decreases Mitigation of target vs physical damage by 1400',100,1,1),
(54065,106098,'Must be behind',100,1,2),
(54066,10106098,'Inflicts 2179 - 3354 melee damage on target',100,1,0),
(54067,10106098,'Decreases Mitigation of target vs physical damage by 350',100,1,1),
(54068,10106098,'Must be behind',100,1,2),
(54069,107775,'Stuns target',100,1,0),
(54070,107775,'If Target is not Epic',100,2,1),
(54071,107775,'Inflicts 7645 - 12087 cold damage on target',100,1,2),
(54072,107775,'Resistibility increases against targets higher than level 121.',100,1,3),
(54073,10107775,'Stuns target',100,1,0),
(54074,10107775,'If Target is not Epic',100,2,1),
(54075,10107775,'Inflicts 5646 - 9147 cold damage on target',100,1,2),
(54076,10107775,'Resistibility increases against targets higher than level 121.',100,1,3),
(54077,123542,'Inflicts 1702 - 2062 piercing damage on target',100,1,0),
(54078,123542,'Inflicts 720 - 1080 piercing damage on target every 4 seconds',100,1,1),
(54079,123542,'Decreases Defense of target by 34.2',100,1,2),
(54080,10123542,'Inflicts 1189 - 1586 piercing damage on target',100,1,0),
(54081,10123542,'Inflicts 567 - 851 piercing damage on target every 4 seconds',100,1,1),
(54082,10123542,'Decreases Defense of target by 34.2',100,1,2),
(54083,110931,'Inflicts 660 - 1095 divine damage on target',100,1,0),
(54084,110931,'Increases Threat to target by 4,834 ',100,1,1),
(54085,110931,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(54086,110931,'Blurs vision of target',100,2,3),
(54087,110931,'Stuns target',100,2,4),
(54088,110931,'Throws target back',100,2,5),
(54089,110931,'Does not affect Epic targets',100,2,6),
(54090,10110931,'Inflicts 520 - 863 divine damage on target',100,1,0),
(54091,10110931,'Prevents target from changing targets',100,1,1),
(54092,10110931,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(54093,10110931,'Stuns target',100,2,3),
(54094,10110931,'Throws target back',100,2,4),
(54095,10110931,'Blurs vision of target',100,2,5),
(54096,10110931,'Does not affect Epic targets',100,2,6),
(54097,10110931,'Forces target to change their selected target to caster.',100,1,7),
(54098,175715,'When Equipped:',100,0,0),
(54099,175715,'Grants a 2.0% chance to resist Stun effects',100,1,1),
(54100,175715,'Allows caster to breathe under water',100,1,2),
(54101,10175715,'When Equipped:',100,0,0),
(54102,10175715,'Grants a 2.0% chance to resist Stun effects',100,1,1),
(54103,10175715,'Allows caster to breathe under water',100,1,2),
(54104,47169,'Applies Elixir of Contemplation  when Activated.  Lasts for 30 minutes.',100,0,0),
(54105,47169,'Increases WIS and INT of caster by 29.3',100,1,1),
(54106,10047169,'Applies Elixir of Contemplation  when Activated.  Lasts for 30 minutes.',100,0,0),
(54107,10047169,'Increases WIS and INT of caster by 29.3',100,1,1),
(54108,118958,'Applies Sacrifice.',100,1,0),
(54109,118958,'Increases power of group members (AE) by 290',100,2,1),
(54110,118958,'Heals group members (AE) for 1089',100,2,2),
(54111,118958,'Stuns target',100,1,3),
(54112,10118958,'Applies Sacrifice.',100,1,0),
(54113,10118958,'Heals group members (AE) for 1144',100,2,1),
(54114,10118958,'Increases power of group members (AE) by 229',100,2,2),
(54115,10118958,'Stuns target',100,1,3),
(54116,81001,'When Equipped:',100,0,0),
(54117,81001,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54118,81001,'Inflicts 81 - 151 magic damage on target',100,2,2),
(54119,81001,'Cannot be modified except by direct means',100,2,3),
(54120,10081001,'When Equipped:',100,0,0),
(54121,10081001,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54122,10081001,'Inflicts 81 - 151 magic damage on target',100,2,2),
(54123,10081001,'Cannot be modified except by direct means',100,2,3),
(54124,163221,'Applies Lucan''s Favor when Activated.  Lasts for 30.0 seconds.',100,0,0),
(54125,163221,'Heals caster for 18 instantly and every 5 seconds',100,1,1),
(54126,163221,'The casting time of Lucan''s Favor is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(54127,10163221,'Applies Lucan''s Favor when Activated.  Lasts for 30.0 seconds.',100,0,0),
(54128,10163221,'Heals caster for 12 instantly and every 5 seconds',100,1,1),
(54129,10163221,'The casting time of Lucan''s Favor is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(54130,121253,'Inflicts 4835 - 5837 heat damage on target encounter',100,1,0),
(54131,10121253,'Inflicts 3685 - 4474 heat damage on target encounter',100,1,0),
(54132,119382,'Decreases threat priority of target by 1 position',100,1,0),
(54133,119382,'Decreases Threat to target by 1,919 ',100,1,1),
(54134,119382,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(54135,119382,'Grants stealth to caster',100,2,3),
(54136,119382,'Suspends caster''s movement speed enhancements',100,2,4),
(54137,10119382,'Applies Distract.',100,1,0),
(54138,10119382,'Forces target to clear their selected target.',100,2,1),
(54139,10119382,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(54140,10119382,'Grants stealth to caster',100,2,3),
(54141,10119382,'Suspends caster''s movement speed enhancements',100,2,4),
(54142,74662,'When Equipped:',100,0,0),
(54143,74662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54144,74662,'Inflicts 85 - 128 magic damage on target',100,2,2),
(54145,74662,'Cannot be modified except by direct means',100,2,3),
(54146,10074662,'When Equipped:',100,0,0),
(54147,10074662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54148,10074662,'Inflicts 85 - 128 magic damage on target',100,2,2),
(54149,10074662,'Cannot be modified except by direct means',100,2,3),
(54150,36815,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(54151,113340,'Inflicts 1530 - 1870 divine damage on target encounter',100,1,0),
(54152,113340,'Interrupts target encounter',100,1,1),
(54153,10113340,'Inflicts 1165 - 1395 divine damage on target encounter',100,1,0),
(54154,10113340,'Interrupts target encounter',100,1,1),
(54155,110808,'Interrupts target',100,1,0),
(54156,110808,'Inflicts 138 - 186 mental damage on target',100,1,1),
(54157,10110808,'Interrupts target',100,1,0),
(54158,10110808,'Inflicts 118 - 160 mental damage on target',100,1,1),
(54159,103233,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(54160,103233,'Adds 1.8% to base avoidance.',100,1,1),
(54161,103233,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(54162,103233,'Increases Parry of caster by 15.8',100,1,3),
(54163,103233,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(54164,103233,'Increases Aggression of caster by 11.9',100,1,5),
(54165,103233,'Increases Defense and Deflection of caster by 15.8',100,1,6),
(54166,103233,'Increases Mitigation of caster vs noxious damage by 1056',100,1,7),
(54167,103233,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(54168,103233,'Reduces physical damage done to caster by 5%',100,1,9),
(54169,10103233,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(54170,10103233,'Adds 1.8% to base avoidance.',100,1,1),
(54171,10103233,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(54172,10103233,'Increases Parry of caster by 15.8',100,1,3),
(54173,10103233,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(54174,10103233,'Increases Aggression of caster by 11.9',100,1,5),
(54175,10103233,'Increases Defense and Deflection of caster by 15.8',100,1,6),
(54176,10103233,'Increases Mitigation of caster vs noxious damage by 1056',100,1,7),
(54177,10103233,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(54178,10103233,'Reduces physical damage done to caster by 5%',100,1,9),
(54179,103112,'Increases Max Health of caster by 5.0%',100,129,0),
(54180,103112,'Increases STR of caster by 37.2',100,1,1),
(54181,103112,'Adds 3.4% to base avoidance.',100,1,2),
(54182,103112,'Increases Mitigation of caster vs physical damage by 240',100,1,3),
(54183,103112,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 749',100,1,4),
(54184,10103112,'Increases Max Health of caster by 5.0%',100,129,0),
(54185,10103112,'Increases STR of caster by 37.2',100,1,1),
(54186,10103112,'Adds 3.4% to base avoidance.',100,1,2),
(54187,10103112,'Increases Mitigation of caster vs physical damage by 240',100,1,3),
(54188,10103112,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 749',100,1,4),
(54189,109376,'Inflicts 1283 - 2300 melee damage on target',100,1,0),
(54190,109376,'Inflicts 557 - 1647 melee damage on target',100,1,1),
(54191,109376,'Inflicts 669 - 1977 melee damage on target',100,1,2),
(54192,10109376,'Inflicts 746 - 1433 melee damage on target',100,1,0),
(54193,10109376,'Inflicts 439 - 1298 melee damage on target',100,1,1),
(54194,10109376,'Inflicts 527 - 1558 melee damage on target',100,1,2),
(54195,104071,'Inflicts 1232 - 2002 mental damage on target',100,1,0),
(54196,104071,'Inflicts 614 - 1019 mental damage on target',100,1,1),
(54197,10104071,'Inflicts 879 - 1198 mental damage on target',100,1,0),
(54198,10104071,'Inflicts 484 - 803 mental damage on target',100,1,1),
(54199,114365,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(54200,114365,'Increases Attack Speed of caster by 21.0',100,130,1),
(54201,114365,'Increases Ranged, Crushing, Piercing and Slashing of caster by 10.8',100,130,2),
(54202,114365,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(54203,114365,'Blurs vision of target',100,2,4),
(54204,114365,'Stuns target',100,2,5),
(54205,114365,'Throws target back',100,2,6),
(54206,114365,'Does not affect Epic targets',100,2,7),
(54207,114365,'Inflicts 1596 - 2158 crushing damage on target',100,1,8),
(54208,10114365,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(54209,10114365,'Increases Attack Speed of caster by 21.0',100,130,1),
(54210,10114365,'Increases Ranged, Crushing, Piercing and Slashing of caster by 10.8',100,130,2),
(54211,10114365,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(54212,10114365,'Stuns target',100,2,4),
(54213,10114365,'Throws target back',100,2,5),
(54214,10114365,'Blurs vision of target',100,2,6),
(54215,10114365,'Does not affect Epic targets',100,2,7),
(54216,10114365,'Inflicts 961 - 1333 crushing damage on target',100,1,8),
(54217,47579,'Applies Erase Debt when Activated.  Lasts for 1.0 second.',100,0,0),
(54218,47579,'Removes experience debt when used.',100,1,1),
(54219,10047579,'Applies Erase Debt when Activated.  Lasts for 1.0 second.',100,0,0),
(54220,10047579,'Removes experience debt when used.',100,1,1),
(54221,80953,'When Equipped:',100,0,0),
(54222,80953,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(54223,80953,'Inflicts 369 - 686 magic damage on target',100,2,2),
(54224,80953,'Decreases Threat to target by 672 ',100,2,3),
(54225,80953,'Must be flanking or behind',100,3,4),
(54226,80953,'Increases Threat to target by 1,132 ',100,2,5),
(54227,80953,'Must be in front of',100,3,6),
(54228,80953,'Cannot be modified except by direct means',100,2,7),
(54229,10080953,'When Equipped:',100,0,0),
(54230,10080953,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(54231,10080953,'Inflicts 369 - 686 magic damage on target',100,2,2),
(54232,10080953,'Cannot be modified except by direct means',100,2,3),
(54233,155873,'When Equipped:',100,0,0),
(54234,155873,'On a hit this spell may cast Greater Combat Expertise on target of attack.  Lasts for 25.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54235,155873,'This effect will not stack with Combat Expertise.',100,2,2),
(54236,155873,'Interrupts target',100,2,3),
(54237,155873,'Increases Crit Bonus of caster by 5.0%',100,2,4),
(54238,155873,'Increases Crit Chance of caster by 10.0',100,2,5),
(54239,155873,'Increases Ability Modifier of caster by 200.0',100,2,6),
(54240,155873,'Must be engaged in pvp combat',100,2,7),
(54241,155873,'Cannot be modified except by direct means',100,2,8),
(54242,155873,'This effect can only trigger once every 60 seconds.',100,2,9),
(54243,155873,'Cannot be modified except by direct means',100,1,10),
(54244,10155873,'When Equipped:',100,0,0),
(54245,10155873,'On a hit this spell may cast Greater Combat Expertise on target of attack.  Lasts for 25.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54246,10155873,'This effect will not stack with Combat Expertise.',100,2,2),
(54247,10155873,'Interrupts target',100,2,3),
(54248,10155873,'Increases Crit Bonus of caster by 5.0%',100,2,4),
(54249,10155873,'Increases Crit Chance of caster by 10.0',100,2,5),
(54250,10155873,'Increases Ability Modifier of caster by 200.0',100,2,6),
(54251,10155873,'Must be engaged in pvp combat',100,2,7),
(54252,10155873,'Cannot be modified except by direct means',100,2,8),
(54253,10155873,'This effect can only trigger once every 60 seconds.',100,2,9),
(54254,10155873,'Cannot be modified except by direct means',100,1,10),
(54255,159844,'Applies Lambent Imbued when Equipped.',100,0,0),
(54256,159844,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(54257,159844,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(54258,159844,'Cannot be modified except by direct means',100,2,3),
(54259,10159844,'Applies Lambent Imbued when Equipped.',100,0,0),
(54260,10159844,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(54261,10159844,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(54262,10159844,'Cannot be modified except by direct means',100,2,3),
(54263,105508,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.8',100,1,0),
(54264,10105508,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.8',100,1,0),
(54265,100859,'Wards target against 4771 points of all damage',100,1,0),
(54266,10100859,'Wards target against 5305 points of all damage',100,1,0),
(54267,102972,'Increases STR and AGI of group members (AE) by 32.6',100,1,0),
(54268,10102972,'Increases STR and AGI of group members (AE) by 32.6',100,1,0),
(54269,113131,'Decreases Attack Speed of target encounter by 16.3',100,1,0),
(54270,10113131,'Decreases Attack Speed of target encounter by 16.3',100,1,0),
(54271,164620,'Applies Unstable Magics when Equipped.',100,0,0),
(54272,164620,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(54273,10164620,'Applies Unstable Magics when Equipped.',100,0,0),
(54274,10164620,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(54275,114357,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(54276,114357,'Increases Attack Speed of caster by 21.0',100,130,1),
(54277,114357,'Increases Ranged, Crushing, Piercing and Slashing of caster by 4.5',100,130,2),
(54278,114357,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(54279,114357,'Blurs vision of target',100,2,4),
(54280,114357,'Stuns target',100,2,5),
(54281,114357,'Throws target back',100,2,6),
(54282,114357,'Does not affect Epic targets',100,2,7),
(54283,114357,'Inflicts 564 - 933 crushing damage on target',100,1,8),
(54284,10114357,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(54285,10114357,'Increases Attack Speed of caster by 21.0',100,130,1),
(54286,10114357,'Increases Ranged, Crushing, Piercing and Slashing of caster by 4.5',100,130,2),
(54287,10114357,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(54288,10114357,'Stuns target',100,2,4),
(54289,10114357,'Throws target back',100,2,5),
(54290,10114357,'Blurs vision of target',100,2,6),
(54291,10114357,'Does not affect Epic targets',100,2,7),
(54292,10114357,'Inflicts 513 - 726 crushing damage on target',100,1,8),
(54293,41442,'When Equipped:',100,0,0),
(54294,41442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54295,41442,'Inflicts 261 - 484 magic damage on target',100,2,2),
(54296,41442,'Cannot be modified except by direct means',100,2,3),
(54297,10041442,'When Equipped:',100,0,0),
(54298,10041442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54299,10041442,'Inflicts 261 - 484 magic damage on target',100,2,2),
(54300,10041442,'Cannot be modified except by direct means',100,2,3),
(54301,124319,'Shapechanges caster into a wolf',100,1,0),
(54302,124319,'Grants See Invisibility to caster',100,1,1),
(54303,124319,'Increases Focus of caster by 14.4',100,1,2),
(54304,124319,'Increases Mitigation of caster vs physical damage by 160',100,1,3),
(54305,124319,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(54306,10124319,'Shapechanges caster into a wolf',100,1,0),
(54307,10124319,'Grants See Invisibility to caster',100,1,1),
(54308,10124319,'Increases Focus of caster by 14.4',100,1,2),
(54309,10124319,'Increases Mitigation of caster vs physical damage by 160',100,1,3),
(54310,10124319,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(54311,108024,'Inflicts 465 magic damage on target',100,1,0),
(54312,108024,'Increases power of caster by 39',100,1,1),
(54313,10108024,'Inflicts 399 magic damage on target',100,1,0),
(54314,10108024,'Increases power of caster by 39',100,1,1),
(54315,109996,'Heals target for 940 - 1149',100,1,0),
(54316,109996,'Heals target for 235 - 287 every 2 seconds',100,1,1),
(54317,10109996,'Heals target for 377 - 404',100,1,0),
(54318,10109996,'Heals target for 120 - 147 every 2 seconds',100,1,1),
(54319,112865,'Inflicts 76 - 126 crushing damage on target',100,1,0),
(54320,10112865,'Inflicts 61 - 101 crushing damage on target',100,1,0),
(54321,101959,'Inflicts 2384 - 3934 heat damage on target',100,1,0),
(54322,10101959,'Inflicts 1647 - 2721 heat damage on target',100,1,0),
(54323,80975,'When Equipped:',100,0,0),
(54324,80975,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(54325,80975,'Inflicts 369 - 686 magic damage on target',100,2,2),
(54326,80975,'Decreases Threat to target by 672 ',100,2,3),
(54327,80975,'Must be flanking or behind',100,3,4),
(54328,80975,'Increases Threat to target by 1,132 ',100,2,5),
(54329,80975,'Must be in front of',100,3,6),
(54330,80975,'Cannot be modified except by direct means',100,2,7),
(54331,10080975,'When Equipped:',100,0,0),
(54332,10080975,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(54333,10080975,'Inflicts 369 - 686 magic damage on target',100,2,2),
(54334,10080975,'Cannot be modified except by direct means',100,2,3),
(54335,117208,'Inflicts 5 slashing damage on target every 4 seconds',100,1,0),
(54336,117208,'Inflicts 38 - 60 melee damage on target',100,1,1),
(54337,10117208,'Inflicts 4 slashing damage on target every 4 seconds',100,1,0),
(54338,10117208,'Inflicts 33 - 52 melee damage on target',100,1,1),
(54339,115564,'Decreases Threat to targets in Area of Effect by 1,770 ',100,1,0),
(54340,115564,'Applies Disorientation.  Lasts for 10.0 seconds.',100,1,1),
(54341,115564,'Teleports target to a random location within 25 meters.',100,2,2),
(54342,115564,'Slows target by 75.0%',100,2,3),
(54343,115564,'10% chance to dispel when target takes damage',100,2,4),
(54344,115564,'If Target is not Epic',100,2,5),
(54345,10115564,'Applies Disorientation.  Lasts for 2.0 seconds.',100,1,0),
(54346,10115564,'Slows target by 75.0%',100,2,1),
(54347,10115564,'Teleports target to a random location within 25 meters.',100,2,2),
(54348,10115564,'Forces target to clear their selected target.',100,2,3),
(54349,10115564,'10% chance to dispel when target takes damage',100,2,4),
(54350,10115564,'If Target is not Epic',100,2,5),
(54351,122620,'Makes target afraid',100,1,0),
(54352,122620,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',100,1,1),
(54353,122620,'Mesmerizes target',100,2,2),
(54354,122620,'Decreases Threat to target by 2,178  instantly and Decreases Threat by 2,178  every 2 seconds thereafter',100,2,3),
(54355,122620,'Dispelled when target takes damage',100,2,4),
(54356,122620,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(54357,122620,'Resistibility increases against targets higher than level 90.',100,2,6),
(54358,122620,'30% chance to dispel when target takes damage',100,1,7),
(54359,122620,'Does not affect Epic targets',100,1,8),
(54360,122620,'Resistibility increases against targets higher than level 90.',100,1,9),
(54361,10122620,'Makes target afraid',100,1,0),
(54362,10122620,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(54363,10122620,'Mesmerizes target',100,2,2),
(54364,10122620,'Applies Distract.',100,2,3),
(54365,10122620,'Forces target to clear their selected target.',100,3,4),
(54366,10122620,'Dispelled when target takes damage',100,2,5),
(54367,10122620,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(54368,10122620,'Resistibility increases against targets higher than level 90.',100,2,7),
(54369,10122620,'30% chance to dispel when target takes damage',100,1,8),
(54370,10122620,'Does not affect Epic targets',100,1,9),
(54371,10122620,'Resistibility increases against targets higher than level 90.',100,1,10),
(54372,124351,'Wards group members (AE) collectively against 1521 total points of ',100,1,0),
(54373,10124351,'Wards group members (AE) collectively against 1248 total points of ',100,1,0),
(54374,105206,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(54375,105206,'Inflicts 1030 - 1259 poison damage on target encounter',100,2,1),
(54376,10105206,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(54377,10105206,'Inflicts 812 - 992 poison damage on target encounter',100,2,1),
(54378,111037,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(54379,111037,'Increases Threat to target by 2,054 ',100,2,1),
(54380,111037,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(54381,111037,'Increases Threat to target by 2,054 ',100,2,3),
(54382,10111037,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(54383,10111037,'Inflicts 205 - 226 crushing damage on target',100,2,1),
(54384,10111037,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(54385,10111037,'Inflicts 205 - 226 crushing damage on target',100,2,3),
(54386,50683,'When Equipped:',100,0,0),
(54387,50683,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(54388,50683,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(54389,50683,'Heals group members (AE) for 5384 - 5951',100,2,3),
(54390,50683,'Must not be engaged in pvp combat',100,2,4),
(54391,50683,'Cannot be modified except by direct means',100,2,5),
(54392,50683,'Cannot be modified except by direct means',100,1,6),
(54393,50683,'When Equipped:',100,0,7),
(54394,50683,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(54395,50683,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(54396,50683,'Wards group members (AE) against 4400 points of all damage',100,2,10),
(54397,50683,'Must not be engaged in pvp combat',100,2,11),
(54398,50683,'Cannot be modified except by direct means',100,2,12),
(54399,50683,'Cannot be modified except by direct means',100,1,13),
(54400,10050683,'When Equipped:',100,0,0),
(54401,10050683,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(54402,10050683,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(54403,10050683,'Heals group members (AE) for 6299 - 6962',100,2,3),
(54404,10050683,'Must not be engaged in pvp combat',100,2,4),
(54405,10050683,'Cannot be modified except by direct means',100,2,5),
(54406,10050683,'Cannot be modified except by direct means',100,1,6),
(54407,10050683,'When Equipped:',100,0,7),
(54408,10050683,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(54409,10050683,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(54410,10050683,'Wards group members (AE) against 4400 points of all damage',100,2,10),
(54411,10050683,'Must not be engaged in pvp combat',100,2,11),
(54412,10050683,'Cannot be modified except by direct means',100,2,12),
(54413,10050683,'Cannot be modified except by direct means',100,1,13),
(54414,122660,'Decreases Defense of target by 10.6',100,1,0),
(54415,122660,'Decreases Mitigation of target vs physical damage by 176',100,1,1),
(54416,10122660,'Decreases Defense of target by 10.6',100,1,0),
(54417,10122660,'Decreases Mitigation of target vs physical damage by 176',100,1,1),
(54418,36234,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(54419,106864,'Decreases Threat to targets in Area of Effect by 835 ',100,1,0),
(54420,106864,'Stuns targets in Area of Effect',100,1,1),
(54421,106864,'If Target is not Epic',100,2,2),
(54422,10106864,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(54423,10106864,'Applies Distract.',100,1,1),
(54424,10106864,'Forces target to clear their selected target.',100,2,2),
(54425,10106864,'Stuns targets in Area of Effect',100,1,3),
(54426,10106864,'If Target is not Epic',100,2,4),
(54427,71469,'When Equipped:',100,0,0),
(54428,71469,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54429,71469,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(54430,71469,'Cannot be modified except by direct means',100,2,3),
(54431,10071469,'When Equipped:',100,0,0),
(54432,10071469,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54433,10071469,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(54434,10071469,'Cannot be modified except by direct means',100,2,3),
(54435,72061,'When Equipped:',100,0,0),
(54436,72061,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54437,72061,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(54438,72061,'Cannot be modified except by direct means',100,2,3),
(54439,10072061,'When Equipped:',100,0,0),
(54440,10072061,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54441,10072061,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(54442,10072061,'Cannot be modified except by direct means',100,2,3),
(54443,101237,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(54444,101237,'Inflicts 189 - 315 mental damage on target',100,2,1),
(54445,10101237,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(54446,10101237,'Inflicts 149 - 248 mental damage on target',100,2,1),
(54447,120055,'Inflicts 290 - 480 mental damage on target',100,1,0),
(54448,120055,'Inflicts 144 - 240 mental damage on target',100,1,1),
(54449,120055,'Stifles target',100,1,2),
(54450,120055,'If Target is not Epic',100,2,3),
(54451,120055,'If weapon equipped in Ranged',100,1,4),
(54452,120055,'Resistibility increases against targets higher than level 45.',100,1,5),
(54453,10120055,'Inflicts 308 - 510 mental damage on target',100,1,0),
(54454,10120055,'Inflicts 114 - 189 mental damage on target',100,1,1),
(54455,10120055,'Stifles target',100,1,2),
(54456,10120055,'If Target is not Epic',100,2,3),
(54457,10120055,'If weapon equipped in Ranged',100,1,4),
(54458,10120055,'Resistibility increases against targets higher than level 45.',100,1,5),
(54459,48746,'Applies Elixir of Perception  when Activated.  Lasts for 30 minutes.',100,0,0),
(54460,48746,'Increases AGI of caster by 23.0',100,1,1),
(54461,10048746,'Applies Elixir of Perception  when Activated.  Lasts for 30 minutes.',100,0,0),
(54462,10048746,'Increases AGI of caster by 23.0',100,1,1),
(54463,24595,'Adds Nightblood Reaver to your Dungeon Maker toolbox',100,0,0),
(54464,10024595,'Adds Nightblood Reaver to your Dungeon Maker toolbox',100,0,0),
(54465,48860,'Applies Ranjor''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(54466,48860,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(54467,10048860,'Applies Ranjor''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(54468,10048860,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(54469,104241,'Increases Mitigation of group members (AE) vs physical damage by 215',100,1,0),
(54470,10104241,'Increases Mitigation of group members (AE) vs physical damage by 215',100,1,0),
(54471,80285,'When Equipped:',100,0,0),
(54472,80285,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54473,80285,'Inflicts 333 - 619 magic damage on target',100,2,2),
(54474,80285,'Cannot be modified except by direct means',100,2,3),
(54475,10080285,'When Equipped:',100,0,0),
(54476,10080285,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54477,10080285,'Inflicts 333 - 619 magic damage on target',100,2,2),
(54478,10080285,'Cannot be modified except by direct means',100,2,3),
(54479,109388,'Inflicts 2028 - 4072 melee damage on target',100,1,0),
(54480,109388,'Inflicts 1307 - 3862 melee damage on target',100,1,1),
(54481,109388,'Inflicts 1568 - 4635 melee damage on target',100,1,2),
(54482,10109388,'Inflicts 1218 - 2830 melee damage on target',100,1,0),
(54483,10109388,'Inflicts 1030 - 3044 melee damage on target',100,1,1),
(54484,10109388,'Inflicts 1236 - 3653 melee damage on target',100,1,2),
(54485,100458,'Inflicts 520 - 866 mental damage on target encounter',100,1,0),
(54486,10100458,'Inflicts 425 - 709 mental damage on target encounter',100,1,0),
(54487,71538,'When Equipped:',100,0,0),
(54488,71538,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54489,71538,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(54490,71538,'Cannot be modified except by direct means',100,2,3),
(54491,10071538,'When Equipped:',100,0,0),
(54492,10071538,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54493,10071538,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(54494,10071538,'Cannot be modified except by direct means',100,2,3),
(54495,113827,'Inflicts 1728 - 2879 disease damage on target',100,1,0),
(54496,10113827,'Inflicts 1302 - 1908 disease damage on target',100,1,0),
(54497,102805,'Summons 3 limited pets to aid the caster',100,1,0),
(54498,10102805,'Summons 3 limited pets to aid the caster',100,1,0),
(54499,149074,'When Equipped:',100,0,0),
(54500,149074,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(54501,149074,'Decreases Attack Speed of target by 11.1 - 18.5',100,2,2),
(54502,149074,'Only affects targets level 60 and below',100,2,3),
(54503,149074,'Cannot be modified except by direct means',100,2,4),
(54504,10149074,'When Equipped:',100,0,0),
(54505,10149074,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(54506,10149074,'Decreases Attack Speed of target by 11.1 - 18.5',100,2,2),
(54507,10149074,'Only affects targets level 60 and below',100,2,3),
(54508,10149074,'Cannot be modified except by direct means',100,2,4),
(54509,102305,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(54510,102305,'Decreases Threat to target by 3,510 ',100,2,1),
(54511,10102305,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(54512,10102305,'Inflicts 244 - 270 crushing damage on target',100,2,1),
(54513,45470,'Applies Caress of the Spectre when Activated.  Lasts for 12 hours.',100,0,0),
(54514,45470,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(54515,45470,'Inflicts 231 poison damage on target',100,2,2),
(54516,45470,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,3),
(54517,45470,'Cannot be modified except by direct means',100,2,4),
(54518,45470,'Grants a total of 100 triggers of the spell.',100,2,5),
(54519,10045470,'Applies Caress of the Spectre when Activated.  Lasts for 12 hours.',100,0,0),
(54520,10045470,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(54521,10045470,'Inflicts 173 poison damage on target',100,2,2),
(54522,10045470,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,3),
(54523,10045470,'Cannot be modified except by direct means',100,2,4),
(54524,10045470,'Grants a total of 100 triggers of the spell.',100,2,5),
(54525,47868,'Applies combine when Activated.',100,0,0),
(54526,47868,'Summon 1 Gift of Waking Dream',100,1,1),
(54527,47868,'This effect cannot be cast during combat',100,1,2),
(54528,10047868,'Applies combine when Activated.',100,0,0),
(54529,10047868,'Summon 1 Gift of Waking Dream',100,1,1),
(54530,10047868,'This effect cannot be cast during combat',100,1,2),
(54531,124334,'Shapechanges caster into a wolf',100,1,0),
(54532,124334,'Grants See Invisibility to caster',100,1,1),
(54533,124334,'Increases Focus of caster by 26.5',100,1,2),
(54534,124334,'Increases Mitigation of caster vs physical damage by 295',100,1,3),
(54535,124334,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1119',100,1,4),
(54536,10124334,'Shapechanges caster into a wolf',100,1,0),
(54537,10124334,'Grants See Invisibility to caster',100,1,1),
(54538,10124334,'Increases Focus of caster by 26.5',100,1,2),
(54539,10124334,'Increases Mitigation of caster vs physical damage by 295',100,1,3),
(54540,10124334,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1119',100,1,4),
(54541,174480,'When Equipped:',100,0,0),
(54542,174480,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(54543,174480,'Inflicts 418 piercing damage on target',100,2,2),
(54544,174480,'Cannot be modified except by direct means',100,2,3),
(54545,10174480,'When Equipped:',100,0,0),
(54546,10174480,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(54547,10174480,'Inflicts 418 piercing damage on target',100,2,2),
(54548,10174480,'Cannot be modified except by direct means',100,2,3),
(54549,103448,'Blurs vision of target encounter',100,1,0),
(54550,103448,'8% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(54551,103448,'Stuns target',100,2,2),
(54552,103448,'Blurs vision of target',100,2,3),
(54553,103448,'Throws target back',100,2,4),
(54554,103448,'Does not affect Epic targets',100,2,5),
(54555,103448,'Interrupts target encounter',100,1,6),
(54556,10103448,'Interrupts target encounter',100,1,0),
(54557,10103448,'8% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(54558,10103448,'Stuns target',100,2,2),
(54559,10103448,'Throws target back',100,2,3),
(54560,10103448,'Blurs vision of target',100,2,4),
(54561,10103448,'Does not affect Epic targets',100,2,5),
(54562,10103448,'Blurs vision of target encounter',100,1,6),
(54563,112773,'Interrupts target',100,1,0),
(54564,112773,'Inflicts 1938 - 3136 divine damage on target',100,1,1),
(54565,10112773,'Interrupts target',100,1,0),
(54566,10112773,'Inflicts 1413 - 2092 divine damage on target',100,1,1),
(54567,24033,'Adds Beholder (Coercer) to your Dungeon Maker toolbox',100,0,0),
(54568,10024033,'Adds Beholder (Coercer) to your Dungeon Maker toolbox',100,0,0),
(54569,46087,'Applies Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(54570,46087,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(54571,46087,'Only affects targets level 50 and above',100,1,2),
(54572,10046087,'Applies Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(54573,10046087,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(54574,10046087,'Only affects targets level 50 and above',100,1,2),
(54575,109614,'Increases Defense of group members'' pets (AE) by 14.2',100,1,0),
(54576,109614,'Increases Mitigation of group members (AE) vs all damage by 227',100,1,1),
(54577,10109614,'Increases Defense of group members'' pets (AE) by 14.2',100,1,0),
(54578,10109614,'Increases Mitigation of group members (AE) vs all damage by 227',100,1,1),
(54579,80751,'When Equipped:',100,0,0),
(54580,80751,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(54581,80751,'Inflicts 106 - 197 magic damage on target',100,2,2),
(54582,80751,'Decreases Threat to target by 236 ',100,2,3),
(54583,80751,'Must be flanking or behind',100,3,4),
(54584,80751,'Increases Threat to target by 414 ',100,2,5),
(54585,80751,'Must be in front of',100,3,6),
(54586,80751,'Cannot be modified except by direct means',100,2,7),
(54587,10080751,'When Equipped:',100,0,0),
(54588,10080751,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(54589,10080751,'Inflicts 106 - 197 magic damage on target',100,2,2),
(54590,10080751,'Cannot be modified except by direct means',100,2,3),
(54591,108890,'Inflicts 2393 heat damage on target',100,1,0),
(54592,108890,'Inflicts 1411 cold damage on target',100,1,1),
(54593,108890,'Slows target by 44.4%',100,1,2),
(54594,10108890,'Inflicts 1507 heat damage on target',100,1,0),
(54595,10108890,'Inflicts 1112 cold damage on target',100,1,1),
(54596,10108890,'Slows target by 44.4%',100,1,2),
(54597,47180,'Applies Elixir of Ice Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(54598,47180,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(54599,10047180,'Applies Elixir of Ice Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(54600,10047180,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(54601,49136,'Applies Will of the Awakened when Activated.',100,0,0),
(54602,49136,'Shapechanges the user into a Maligonian in full plate worn by officers of the Awakened Legion.',100,1,1),
(54603,10049136,'Applies Will of the Awakened when Activated.',100,0,0),
(54604,10049136,'Shapechanges the user into a Maligonian in full plate worn by officers of the Awakened Legion.',100,1,1),
(54605,25467,'When Equipped:',100,0,0),
(54606,25467,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(54607,25467,'Adds 5 Multi-Attack Chance to Destructive Rage VI.',100,1,2),
(54608,10025467,'When Equipped:',100,0,0),
(54609,10025467,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(54610,10025467,'Adds 5 Multi-Attack Chance to Destructive Rage VI.',100,1,2),
(54611,108111,'Decreases Threat to target by 1,458 - 3,085 ',100,1,0),
(54612,10108111,'Forces target to clear their selected target.',100,1,0),
(54613,10108111,'Target cannot target caster for the duration of this effect.',100,1,1),
(54614,116583,'Inflicts 752 - 1247 divine damage on target',100,1,0),
(54615,10116583,'Inflicts 592 - 983 divine damage on target',100,1,0),
(54616,101964,'Inflicts 3101 - 4917 heat damage on target',100,1,0),
(54617,10101964,'Inflicts 2065 - 3496 heat damage on target',100,1,0),
(54618,113189,'Inflicts 90 - 122 magic damage on target',100,1,0),
(54619,10113189,'Inflicts 78 - 105 magic damage on target',100,1,0),
(54620,121472,'Increases AGI of caster by 125.2',100,1,0),
(54621,121472,'Adds 17.2% to base avoidance.',100,1,1),
(54622,121472,'Increases Mitigation of caster vs physical damage by 1222',100,1,2),
(54623,121472,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,3),
(54624,10121472,'Increases AGI of caster by 125.2',100,1,0),
(54625,10121472,'Adds 17.2% to base avoidance.',100,1,1),
(54626,10121472,'Increases Mitigation of caster vs physical damage by 1222',100,1,2),
(54627,10121472,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,3),
(54628,113002,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(54629,113002,'Reduces physical damage done to caster by 5%',100,1,1),
(54630,113002,'Increases STA of caster by 160.2',100,1,2),
(54631,113002,'Adds 4.3% to base avoidance.',100,1,3),
(54632,113002,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,4),
(54633,113002,'Increases Defense and Aggression of caster by 30.5',100,1,5),
(54634,113002,'Increases Mitigation of caster vs arcane damage by 2117',100,1,6),
(54635,113002,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(54636,10113002,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(54637,10113002,'Reduces physical damage done to caster by 5%',100,1,1),
(54638,10113002,'Increases STA of caster by 160.2',100,1,2),
(54639,10113002,'Adds 4.3% to base avoidance.',100,1,3),
(54640,10113002,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,4),
(54641,10113002,'Increases Defense and Aggression of caster by 30.5',100,1,5),
(54642,10113002,'Increases Mitigation of caster vs arcane damage by 2117',100,1,6),
(54643,10113002,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(54644,47910,'Applies Salve of Marr when Activated.',100,0,0),
(54645,47910,'Heals caster for 576',100,1,1),
(54646,10047910,'Applies Salve of Marr when Activated.',100,0,0),
(54647,10047910,'Heals caster for 374',100,1,1),
(54648,119761,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(54649,119761,'Inflicts 77 - 94 poison damage on target encounter',100,2,1),
(54650,10119761,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(54651,10119761,'Inflicts 61 - 74 poison damage on target encounter',100,2,1),
(54652,113066,'Dazes target',100,1,0),
(54653,113066,'If Target is not Epic',100,2,1),
(54654,113066,'Applies Scream on termination.',100,1,2),
(54655,113066,'Inflicts 1158 - 1930 disease damage on target',100,2,3),
(54656,113066,'Resistibility increases against targets higher than level 77.',100,1,4),
(54657,10113066,'Dazes target',100,1,0),
(54658,10113066,'If Target is not Epic',100,2,1),
(54659,10113066,'Applies Scream on termination.',100,1,2),
(54660,10113066,'Inflicts 912 - 1521 disease damage on target',100,2,3),
(54661,10113066,'Resistibility increases against targets higher than level 77.',100,1,4),
(54662,115312,'Summons a limited pet to aid the caster',100,1,0),
(54663,10115312,'Summons a limited pet to aid the caster',100,1,0),
(54664,123016,'Wards group members (AE) collectively against 7433 total points of all damage',100,1,0),
(54665,10123016,'Wards group members (AE) collectively against 7967 total points of all damage',100,1,0),
(54666,150121,'Applies Force of Will when Activated.',100,0,0),
(54667,150121,'Dispels 129 levels of hostile Root, hostile Stifle, hostile Stun, hostile Fear and hostile Daze effects on caster',100,1,1),
(54668,150121,'The casting time of Force of Will is 0.99 seconds and the reuse time of the spell is 17 minutes 16 seconds',100,1,2),
(54669,10150121,'Applies Force of Will when Activated.',100,0,0),
(54670,10150121,'Dispels 129 levels of hostile Root, hostile Stifle, hostile Stun, hostile Fear and hostile Daze effects on caster',100,1,1),
(54671,10150121,'The casting time of Force of Will is 0.99 seconds and the reuse time of the spell is 17 minutes 16 seconds',100,1,2),
(54672,112887,'Inflicts 1658 - 2023 melee damage on target',100,1,0),
(54673,112887,'Decreases Mitigation of target vs physical damage by 235',100,1,1),
(54674,112887,'Must be flanking or behind',100,1,2),
(54675,10112887,'Inflicts 1265 - 1457 melee damage on target',100,1,0),
(54676,10112887,'Decreases Mitigation of target vs physical damage by 235',100,1,1),
(54677,10112887,'Must be flanking or behind',100,1,2),
(54678,73927,'Applies Holy Strike when Activated.',100,0,0),
(54679,73927,'Inflicts 339 - 565 divine damage on target',100,1,1),
(54680,73927,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(54681,10073927,'Applies Holy Strike when Activated.',100,0,0),
(54682,10073927,'Inflicts 339 - 565 divine damage on target',100,1,1),
(54683,10073927,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(54684,112540,'Interrupts target',50,1,0),
(54685,112540,'Inflicts 838 - 1025 divine damage on target',100,1,1),
(54686,10112540,'Interrupts target',50,1,0),
(54687,10112540,'Inflicts 846 - 1034 divine damage on target',100,1,1),
(54688,117334,'Roots target',100,1,0),
(54689,117334,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(54690,117334,'Slows target by 43.3%',100,2,2),
(54691,117334,'5% chance to dispel when target receives hostile action',100,2,3),
(54692,117334,'5% chance to dispel when target takes damage',100,2,4),
(54693,117334,'15% chance to dispel when target takes damage',100,1,5),
(54694,117334,'Does not affect Epic targets',100,1,6),
(54695,117334,'Resistibility increases against targets higher than level 76.',100,1,7),
(54696,10117334,'Roots target',100,1,0),
(54697,10117334,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(54698,10117334,'Slows target by 43.3%',100,2,2),
(54699,10117334,'10% chance to dispel when target receives hostile action',100,2,3),
(54700,10117334,'10% chance to dispel when target takes damage',100,2,4),
(54701,10117334,'15% chance to dispel when target takes damage',100,1,5),
(54702,10117334,'Does not affect Epic targets',100,1,6),
(54703,10117334,'Resistibility increases against targets higher than level 76.',100,1,7),
(54704,119041,'Inflicts 280 - 464 mental damage on target',100,1,0),
(54705,119041,'Decreases power of target by 174 - 290',100,1,1),
(54706,119041,'Increases power of caster by 19 - 31',100,1,2),
(54707,10119041,'Inflicts 220 - 366 mental damage on target',100,1,0),
(54708,10119041,'Decreases power of target by 137 - 229',100,1,1),
(54709,10119041,'Increases power of caster by 19 - 31',100,1,2),
(54710,82078,'When Equipped:',100,0,0),
(54711,82078,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54712,82078,'Inflicts 245 - 454 magic damage on target',100,2,2),
(54713,82078,'Cannot be modified except by direct means',100,2,3),
(54714,10082078,'When Equipped:',100,0,0),
(54715,10082078,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54716,10082078,'Inflicts 245 - 454 magic damage on target',100,2,2),
(54717,10082078,'Cannot be modified except by direct means',100,2,3),
(54718,55400,'When Equipped:',100,0,0),
(54719,55400,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(54720,55400,'On a critical healing spell cast this spell may cast Aegis III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(54721,55400,'Wards target against 4620 points of all damage',100,2,3),
(54722,55400,'Must not be engaged in pvp combat',100,2,4),
(54723,55400,'Cannot be modified except by direct means',100,2,5),
(54724,55400,'Cannot be modified except by direct means',100,1,6),
(54725,10055400,'When Equipped:',100,0,0),
(54726,10055400,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(54727,10055400,'On a critical healing spell cast this spell may cast Aegis III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(54728,10055400,'Wards target against 4620 points of all damage',100,2,3),
(54729,10055400,'Must not be engaged in pvp combat',100,2,4),
(54730,10055400,'Cannot be modified except by direct means',100,2,5),
(54731,10055400,'Cannot be modified except by direct means',100,1,6),
(54732,35030,'Increases Max Power of target by 47.2',100,0,0),
(54733,35030,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(54734,35636,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(54735,47447,'Applies Summon an Icemare of Rime when Activated.',100,0,0),
(54736,47447,'Summons a mount to ride',100,1,1),
(54737,47447,'Increases your ground speed by 130%',100,2,2),
(54738,47447,'Increases Damage Per Second of caster by 5.0',100,1,3),
(54739,47447,'Increases Max Health of caster by 150.0',100,1,4),
(54740,47447,'Increases Max Power of caster by 150.0',100,1,5),
(54741,10047447,'Applies Summon an Icemare of Rime when Activated.',100,0,0),
(54742,10047447,'Summons a mount to ride',100,1,1),
(54743,10047447,'Increases your ground speed by 130%',100,2,2),
(54744,10047447,'Increases Damage Per Second of caster by 5.0',100,1,3),
(54745,10047447,'Increases Max Health of caster by 150.0',100,1,4),
(54746,10047447,'Increases Max Power of caster by 150.0',100,1,5),
(54747,114993,'Inflicts 2258 - 3531 ranged damage on targets in area',100,1,0),
(54748,114993,'You must be in stealth to use this!',100,1,1),
(54749,114993,'Requires bow',100,1,2),
(54750,10114993,'Inflicts 1272 - 2025 ranged damage on targets in area',100,1,0),
(54751,10114993,'You must be in stealth to use this!',100,1,1),
(54752,10114993,'Requires bow',100,1,2),
(54753,109310,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(54754,109310,'Increases Mitigation of group members (AE) vs elemental damage by 1170',100,1,1),
(54755,10109310,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(54756,10109310,'Increases Mitigation of group members (AE) vs elemental damage by 1170',100,1,1),
(54757,46174,'Applies Escape Root when Activated.',100,0,0),
(54758,46174,'Teleports caster and caster''s group within the zone',95,1,1),
(54759,10046174,'Applies Escape Root when Activated.',100,0,0),
(54760,10046174,'Teleports caster and caster''s group within the zone',95,1,1),
(54761,74789,'When Equipped:',100,0,0),
(54762,74789,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54763,74789,'Inflicts 121 - 181 magic damage on target',100,2,2),
(54764,74789,'Cannot be modified except by direct means',100,2,3),
(54765,10074789,'When Equipped:',100,0,0),
(54766,10074789,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54767,10074789,'Inflicts 121 - 181 magic damage on target',100,2,2),
(54768,10074789,'Cannot be modified except by direct means',100,2,3),
(54769,71510,'When Equipped:',100,0,0),
(54770,71510,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54771,71510,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(54772,71510,'Cannot be modified except by direct means',100,2,3),
(54773,10071510,'When Equipped:',100,0,0),
(54774,10071510,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54775,10071510,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(54776,10071510,'Cannot be modified except by direct means',100,2,3),
(54777,104166,'Increases Threat to target encounter by 1,218 - 1,489 ',100,1,0),
(54778,104166,'Interrupts target encounter',100,1,1),
(54779,10104166,'Forces target encounter to change their selected target to caster.',100,1,0),
(54780,10104166,'Interrupts target encounter',100,1,1),
(54781,10104166,'Prevents target encounter from changing targets',100,1,2),
(54782,110675,'Heals target for 1710',100,1,0),
(54783,110675,'Dispels 39 levels of any hostile effects on target',100,1,1),
(54784,10110675,'Heals target for 840',100,1,0),
(54785,10110675,'Dispels 39 levels of any hostile effects on target',100,1,1),
(54786,82492,'When Equipped:',100,0,0),
(54787,82492,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54788,82492,'Inflicts 272 - 505 magic damage on target',100,2,2),
(54789,82492,'Cannot be modified except by direct means',100,2,3),
(54790,10082492,'When Equipped:',100,0,0),
(54791,10082492,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54792,10082492,'Inflicts 272 - 505 magic damage on target',100,2,2),
(54793,10082492,'Cannot be modified except by direct means',100,2,3),
(54794,24136,'Adds Clockwork Warrior (Fury) to your Dungeon Maker toolbox',100,0,0),
(54795,10024136,'Adds Clockwork Warrior (Fury) to your Dungeon Maker toolbox',100,0,0),
(54796,89866,'When Equipped:',100,0,0),
(54797,89866,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 1.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54798,89866,'Stuns target',100,2,2),
(54799,89866,'Throws target back',100,2,3),
(54800,89866,'Does not affect Epic targets',100,2,4),
(54801,89866,'Resistibility increases against targets higher than level 74.',100,2,5),
(54802,89866,'Cannot be modified except by direct means',100,2,6),
(54803,10089866,'When Equipped:',100,0,0),
(54804,10089866,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 1.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54805,10089866,'Stuns target',100,2,2),
(54806,10089866,'Throws target back',100,2,3),
(54807,10089866,'Does not affect Epic targets',100,2,4),
(54808,10089866,'Resistibility increases against targets higher than level 74.',100,2,5),
(54809,10089866,'Cannot be modified except by direct means',100,2,6),
(54810,157003,'When Equipped:',100,0,0),
(54811,157003,'Applies Frosty Breath',100,1,1),
(54812,10157003,'When Equipped:',100,0,0),
(54813,10157003,'Applies Frosty Breath',100,1,1),
(54814,72804,'When Equipped:',100,0,0),
(54815,72804,'On a critical combat hit this spell may cast Paralyzing Puncture VI on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54816,72804,'Stuns target',100,2,2),
(54817,72804,'If Target is not Epic',100,3,3),
(54818,72804,'Inflicts 697 - 770 heat damage on target',100,2,4),
(54819,72804,'Must not be engaged in pvp combat',100,2,5),
(54820,72804,'Cannot be modified except by direct means',100,2,6),
(54821,72804,'Must not be engaged in pvp combat',100,1,7),
(54822,10072804,'When Equipped:',100,0,0),
(54823,10072804,'On a critical combat hit this spell may cast Paralyzing Puncture VI on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54824,10072804,'Stuns target',100,2,2),
(54825,10072804,'If Target is not Epic',100,3,3),
(54826,10072804,'Inflicts 697 - 770 heat damage on target',100,2,4),
(54827,10072804,'Must not be engaged in pvp combat',100,2,5),
(54828,10072804,'Cannot be modified except by direct means',100,2,6),
(54829,10072804,'Must not be engaged in pvp combat',100,1,7),
(54830,107510,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(54831,10107510,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(54832,159899,'Applies Lambent Imbued when Equipped.',100,0,0),
(54833,159899,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(54834,159899,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(54835,159899,'Cannot be modified except by direct means',100,2,3),
(54836,10159899,'Applies Lambent Imbued when Equipped.',100,0,0),
(54837,10159899,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(54838,10159899,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(54839,10159899,'Cannot be modified except by direct means',100,2,3),
(54840,122147,'Summons a pet earthen avatar',100,1,0),
(54841,10122147,'Summons a pet earthen avatar',100,1,0),
(54842,36873,'Increases WIS and STA of target by 11.0',100,0,0),
(54843,36873,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(54844,113203,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(54845,113203,'Inflicts 183 magic damage on target',100,2,1),
(54846,113203,'Grants a total of 5 triggers of the spell.',100,2,2),
(54847,10113203,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(54848,10113203,'Inflicts 146 magic damage on target',100,2,1),
(54849,10113203,'Grants a total of 5 triggers of the spell.',100,2,2),
(54850,165623,'When Equipped:',100,0,0),
(54851,165623,'Reduces maximum falling speed of caster',100,1,1),
(54852,10165623,'When Equipped:',100,0,0),
(54853,10165623,'Reduces maximum falling speed of caster',100,1,1),
(54854,114254,'Inflicts 3279 - 3789 mental damage on target',100,1,0),
(54855,114254,'Stuns target',100,1,1),
(54856,114254,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(54857,114254,'Resistibility increases against targets higher than level 108.',100,1,3),
(54858,10114254,'Inflicts 2205 - 2607 mental damage on target',100,1,0),
(54859,10114254,'Requires not being affected by Mesmerize effects.',100,2,1),
(54860,10114254,'Stuns target',100,1,2),
(54861,10114254,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(54862,10114254,'Resistibility increases against targets higher than level 108.',100,1,4),
(54863,36399,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(54864,71731,'When Equipped:',100,0,0),
(54865,71731,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54866,71731,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(54867,71731,'Cannot be modified except by direct means',100,2,3),
(54868,10071731,'When Equipped:',100,0,0),
(54869,10071731,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(54870,10071731,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(54871,10071731,'Cannot be modified except by direct means',100,2,3),
(54872,120789,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(54873,120789,'Stuns target',100,2,1),
(54874,120789,'Throws target back',100,2,2),
(54875,120789,'Blurs vision of target',100,2,3),
(54876,120789,'Does not affect Epic targets',100,2,4),
(54877,120789,'Inflicts 717 - 1189 piercing damage on target',100,1,5),
(54878,10120789,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(54879,10120789,'Stuns target',100,2,1),
(54880,10120789,'Throws target back',100,2,2),
(54881,10120789,'Blurs vision of target',100,2,3),
(54882,10120789,'Does not affect Epic targets',100,2,4),
(54883,10120789,'Inflicts 577 - 958 piercing damage on target',100,1,5),
(54884,124139,'Inflicts 965 disease damage on target encounter',100,1,0),
(54885,124139,'Inflicts 637 disease damage on target encounter every 4 seconds',100,1,1),
(54886,124139,'Applies Banshee''s Scream on termination.',100,1,2),
(54887,124139,'Inflicts 1912 - 3186 disease damage on target',100,2,3),
(54888,10124139,'Inflicts 634 disease damage on target encounter',100,1,0),
(54889,10124139,'Inflicts 502 disease damage on target encounter every 4 seconds',100,1,1),
(54890,10124139,'Applies Banshee''s Scream on termination.',100,1,2),
(54891,10124139,'Inflicts 1507 - 2511 disease damage on target',100,2,3),
(54892,117940,'Heals target for 483 - 590',100,1,0),
(54893,117940,'Increases Max Health of target by 12.6',100,1,1),
(54894,10117940,'Heals target for 395 - 483',100,1,0),
(54895,10117940,'Increases Max Health of target by 12.6',100,1,1),
(54896,116918,'Summons a limited pet to aid the caster',100,1,0),
(54897,10116918,'Summons a limited pet to aid the caster',100,1,0),
(54898,120220,'Roots target encounter',100,1,0),
(54899,120220,'15% chance to dispel when target takes damage',100,1,1),
(54900,120220,'Does not affect Epic targets',100,1,2),
(54901,120220,'Resistibility increases against targets higher than level 83.',100,1,3),
(54902,10120220,'Roots target encounter',100,1,0),
(54903,10120220,'15% chance to dispel when target takes damage',100,1,1),
(54904,10120220,'Does not affect Epic targets',100,1,2),
(54905,10120220,'Resistibility increases against targets higher than level 83.',100,1,3),
(54906,123660,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(54907,123660,'Slows target by 44.4%',100,2,1),
(54908,123660,'5% chance to dispel when target receives hostile action',100,2,2),
(54909,123660,'5% chance to dispel when target takes damage',100,2,3),
(54910,123660,'Inflicts 2956 - 3394 cold damage on target',100,1,4),
(54911,10123660,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(54912,10123660,'Slows target by 44.4%',100,2,1),
(54913,10123660,'5% chance to dispel when target receives hostile action',100,2,2),
(54914,10123660,'5% chance to dispel when target takes damage',100,2,3),
(54915,10123660,'Inflicts 1728 - 2024 cold damage on target',100,1,4),
(54916,180539,'When Equipped:',100,0,0),
(54917,180539,'On a damage spell hit this spell may cast Thought Retrieval on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54918,180539,'Increases power of caster by 43 instantly and every 4 seconds',100,2,2),
(54919,180539,'Cannot be modified except by direct means',100,2,3),
(54920,10180539,'When Equipped:',100,0,0),
(54921,10180539,'On a damage spell hit this spell may cast Thought Retrieval on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(54922,10180539,'Increases power of caster by 43 instantly and every 4 seconds',100,2,2),
(54923,10180539,'Cannot be modified except by direct means',100,2,3),
(54924,26685,'When Equipped:',100,0,0),
(54925,26685,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(54926,26685,'On a critical healing spell cast this spell may cast Aegis I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(54927,26685,'Wards target against 4000 points of all damage',100,2,3),
(54928,26685,'Must not be engaged in pvp combat',100,2,4),
(54929,26685,'Cannot be modified except by direct means',100,2,5),
(54930,26685,'Must not be engaged in pvp combat',100,1,6),
(54931,10026685,'When Equipped:',100,0,0),
(54932,10026685,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(54933,10026685,'On a critical healing spell cast this spell may cast Aegis I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(54934,10026685,'Wards target against 4000 points of all damage',100,2,3),
(54935,10026685,'Must not be engaged in pvp combat',100,2,4),
(54936,10026685,'Cannot be modified except by direct means',100,2,5),
(54937,10026685,'Must not be engaged in pvp combat',100,1,6),
(54938,123286,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(54939,123286,'Inflicts 424 - 707 disease damage on target',100,2,1),
(54940,123286,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(54941,123286,'This effect cannot be critically applied.',100,3,3),
(54942,123286,'The healing of this spell cannot be modified except by direct means',100,2,4),
(54943,10123286,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(54944,10123286,'Inflicts 334 - 557 disease damage on target',100,2,1),
(54945,10123286,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(54946,10123286,'This effect cannot be critically applied.',100,3,3),
(54947,10123286,'The healing of this spell cannot be modified except by direct means',100,2,4),
(54948,102489,'Inflicts 2137 - 3347 crushing damage on target',100,1,0),
(54949,102489,'Prevents target from changing direction while active.',100,1,1),
(54950,102489,'If Target is not Epic',100,2,2),
(54951,102489,'Roots target',100,1,3),
(54952,102489,'If Target is not Epic',100,2,4),
(54953,102489,'Resistibility increases against targets higher than level 79.',100,1,5),
(54954,10102489,'Inflicts 1518 - 2258 crushing damage on target',100,1,0),
(54955,10102489,'Prevents target from changing direction while active.',100,1,1),
(54956,10102489,'If Target is not Epic',100,2,2),
(54957,10102489,'Roots target',100,1,3),
(54958,10102489,'If Target is not Epic',100,2,4),
(54959,10102489,'Resistibility increases against targets higher than level 79.',100,1,5),
(54960,122982,'Inflicts 4485 - 5721 mental damage on target',100,1,0),
(54961,10122982,'Inflicts 3155 - 4129 mental damage on target',100,1,0),
(54962,108704,'Inflicts 3425 heat damage on target',100,1,0),
(54963,108704,'Inflicts 546 heat damage on target every 4 seconds',100,1,1),
(54964,10108704,'Inflicts 3090 heat damage on target',100,1,0),
(54965,10108704,'Inflicts 430 heat damage on target every 4 seconds',100,1,1),
(54966,135116,'When Equipped:',100,0,0),
(54967,135116,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(54968,135116,'Inflicts 1986 magic damage on target',100,2,2),
(54969,135116,'Cannot be modified except by direct means',100,2,3),
(54970,10135116,'When Equipped:',100,0,0),
(54971,10135116,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(54972,10135116,'Inflicts 993 magic damage on target',100,2,2),
(54973,10135116,'Cannot be modified except by direct means',100,2,3),
(54974,35116,'Increases STR of target by 10.5',100,0,0),
(54975,35116,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(54976,37252,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(54977,46761,'Applies Lure when Activated.',100,0,0),
(54978,10046761,'Applies Lure when Activated.',100,0,0),
(54979,124159,'Decreases Attack Speed of target by 12.1',100,1,0),
(54980,10124159,'Decreases Attack Speed of target by 12.1',100,1,0),
(54981,112724,'Inflicts 2352 - 3702 disease damage on target encounter',100,1,0),
(54982,10112724,'Inflicts 1728 - 2791 disease damage on target encounter',100,1,0),
(54983,115021,'Heals target for 527 - 644',100,1,0),
(54984,10115021,'Heals target for 502 - 614',100,1,0),
(54985,74851,'When Equipped:',100,0,0),
(54986,74851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54987,74851,'Inflicts 217 - 326 magic damage on target',100,2,2),
(54988,74851,'Cannot be modified except by direct means',100,2,3),
(54989,10074851,'When Equipped:',100,0,0),
(54990,10074851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(54991,10074851,'Inflicts 217 - 326 magic damage on target',100,2,2),
(54992,10074851,'Cannot be modified except by direct means',100,2,3),
(54993,24481,'Adds Lair of Scale: Gilded Bowl of Meditation to your Dungeon Maker toolbox',100,0,0),
(54994,10024481,'Adds Lair of Scale: Gilded Bowl of Meditation to your Dungeon Maker toolbox',100,0,0),
(54995,114019,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(54996,114019,'Heals target for 78',100,2,1),
(54997,114019,'Heals target for 42 every 2 seconds',100,2,2),
(54998,114019,'Decreases Mitigation of target vs arcane damage by 352',100,1,3),
(54999,10114019,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(55000,10114019,'Heals target for 132',100,2,1),
(55001,10114019,'Heals target for 109 every 2 seconds',100,2,2),
(55002,10114019,'Decreases Mitigation of target vs arcane damage by 352',100,1,3),
(55003,110592,'Decreases Focus of target by 7.7',100,1,0),
(55004,110592,'Interrupts target',100,1,1),
(55005,110592,'Inflicts 218 - 645 crushing damage on target',100,1,2),
(55006,10110592,'Decreases Focus of target by 7.7',100,1,0),
(55007,10110592,'Interrupts target',100,1,1),
(55008,10110592,'Inflicts 172 - 508 crushing damage on target',100,1,2),
(55009,138846,'When Equipped:',100,0,0),
(55010,138846,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(55011,138846,'Heals caster for 378',100,2,2),
(55012,138846,'Cannot be modified except by direct means',100,2,3),
(55013,10138846,'When Equipped:',100,0,0),
(55014,10138846,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(55015,10138846,'Heals caster for 246',100,2,2),
(55016,10138846,'Cannot be modified except by direct means',100,2,3),
(55017,191113,'Applies Shade Shuriken when Activated.',100,0,0),
(55018,191113,'Summons 99 shade shurikens',100,1,1),
(55019,191113,'The casting time of Shade Shuriken is 0.99 seconds and the reuse time of the spell is 10 minutes 22 seconds',100,1,2),
(55020,10191113,'Applies Shade Shuriken when Activated.',100,0,0),
(55021,10191113,'Summons 99 shade shurikens',100,1,1),
(55022,10191113,'The casting time of Shade Shuriken is 0.99 seconds and the reuse time of the spell is 10 minutes 22 seconds',100,1,2),
(55023,123948,'Increases STR and WIS of target by 182.2',100,1,0),
(55024,123948,'Increases Mitigation of target vs elemental, noxious and arcane damage by 546',100,1,1),
(55025,10123948,'Increases STR and WIS of target by 182.2',100,1,0),
(55026,10123948,'Increases Mitigation of target vs elemental, noxious and arcane damage by 546',100,1,1),
(55027,47137,'Applies Bulwark of the Storm  when Activated.  Lasts for 30 minutes.',100,0,0),
(55028,10047137,'Applies Bulwark of the Storm  when Activated.  Lasts for 30 minutes.',100,0,0),
(55029,104567,'Inflicts 1187 - 1969 disease damage on target',100,1,0),
(55030,104567,'Decreases WIS of target by 55.1',100,1,1),
(55031,10104567,'Inflicts 935 - 1429 disease damage on target',100,1,0),
(55032,10104567,'Decreases WIS of target by 55.1',100,1,1),
(55033,77477,'When Equipped:',100,0,0),
(55034,77477,'On a combat hit this spell may cast Fright on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55035,77477,'Makes target afraid',100,2,2),
(55036,77477,'25% chance to dispel when target takes damage',100,2,3),
(55037,77477,'25% chance to dispel when target receives hostile action',100,2,4),
(55038,77477,'Does not affect Epic targets',100,2,5),
(55039,77477,'Resistibility increases against targets higher than level 90.',100,2,6),
(55040,77477,'Cannot be modified except by direct means',100,2,7),
(55041,10077477,'When Equipped:',100,0,0),
(55042,10077477,'On a combat hit this spell may cast Fright on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55043,10077477,'Makes target afraid',100,2,2),
(55044,10077477,'25% chance to dispel when target takes damage',100,2,3),
(55045,10077477,'25% chance to dispel when target receives hostile action',100,2,4),
(55046,10077477,'Does not affect Epic targets',100,2,5),
(55047,10077477,'Resistibility increases against targets higher than level 90.',100,2,6),
(55048,10077477,'Cannot be modified except by direct means',100,2,7),
(55049,119346,'Inflicts 1710 - 2074 disease damage on target',100,1,0),
(55050,119346,'Inflicts 291 - 437 disease damage on target every 2 seconds',100,1,1),
(55051,10119346,'Inflicts 991 - 1290 disease damage on target',100,1,0),
(55052,10119346,'Inflicts 239 - 358 disease damage on target every 2 seconds',100,1,1),
(55053,35430,'Increases Max Power of target by 90.0',100,0,0),
(55054,35430,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(55055,24008,'Adds Armadillo (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(55056,10024008,'Adds Armadillo (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(55057,82135,'When Equipped:',100,0,0),
(55058,82135,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(55059,82135,'Inflicts 272 - 505 magic damage on target',100,2,2),
(55060,82135,'Decreases Threat to target by 641 ',100,2,3),
(55061,82135,'Must be flanking or behind',100,3,4),
(55062,82135,'Increases Threat to target by 1,101 ',100,2,5),
(55063,82135,'Must be in front of',100,3,6),
(55064,82135,'Cannot be modified except by direct means',100,2,7),
(55065,10082135,'When Equipped:',100,0,0),
(55066,10082135,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(55067,10082135,'Inflicts 272 - 505 magic damage on target',100,2,2),
(55068,10082135,'Cannot be modified except by direct means',100,2,3),
(55069,105174,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(55070,105174,'Increases AGI of caster by 76.2',100,1,1),
(55071,105174,'Adds 1.7% to base avoidance.',100,1,2),
(55072,105174,'Decreases Slashing and Piercing of caster by 29.2',100,1,3),
(55073,105174,'Increases Parry of caster by 43.7',100,1,4),
(55074,105174,'Increases Defense of caster by 58.3',100,1,5),
(55075,10105174,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(55076,10105174,'Increases AGI of caster by 76.2',100,1,1),
(55077,10105174,'Adds 1.7% to base avoidance.',100,1,2),
(55078,10105174,'Decreases Slashing and Piercing of caster by 29.2',100,1,3),
(55079,10105174,'Increases Parry of caster by 43.7',100,1,4),
(55080,10105174,'Increases Defense of caster by 58.3',100,1,5),
(55081,119926,'Inflicts 2492 - 2828 mental damage on target',100,1,0),
(55082,119926,'Inflicts 503 - 615 mental damage on target every 2.3 seconds',100,1,1),
(55083,119926,'Stifles target',100,1,2),
(55084,119926,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,3),
(55085,119926,'Resistibility increases against targets higher than level 87.',100,1,4),
(55086,10119926,'Inflicts 1585 - 1849 mental damage on target',100,1,0),
(55087,10119926,'Inflicts 397 - 485 mental damage on target every second',100,1,1),
(55088,10119926,'Stifles target',100,1,2),
(55089,10119926,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(55090,10119926,'Resistibility increases against targets higher than level 87.',100,1,4),
(55091,111583,'Inflicts 74 - 137 cold damage on target',100,1,0),
(55092,111583,'Inflicts 16 - 30 cold damage on target every 4 seconds',100,1,1),
(55093,111583,'Decreases Mitigation of target vs elemental damage by 123',100,1,2),
(55094,10111583,'Inflicts 70 - 130 cold damage on target',100,1,0),
(55095,10111583,'Inflicts 13 - 24 cold damage on target every 4 seconds',100,1,1),
(55096,10111583,'Decreases Mitigation of target vs elemental damage by 123',100,1,2),
(55097,183521,'Applies Heroic Resistance X when Equipped.',100,0,0),
(55098,183521,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(55099,183521,'Cannot be modified except by direct means',100,1,2),
(55100,183521,'When Equipped:',100,0,3),
(55101,183521,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(55102,183521,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,5),
(55103,183521,'Cannot be modified except by direct means',100,2,6),
(55104,10183521,'Applies Heroic Resistance X when Equipped.',100,0,0),
(55105,10183521,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(55106,10183521,'Cannot be modified except by direct means',100,1,2),
(55107,10183521,'When Equipped:',100,0,3),
(55108,10183521,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(55109,10183521,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,5),
(55110,10183521,'Cannot be modified except by direct means',100,2,6),
(55111,102999,'Increases STR and AGI of group members (AE) by 147.8',100,1,0),
(55112,10102999,'Increases STR and AGI of group members (AE) by 147.8',100,1,0),
(55113,45360,'Applies Blessing of Growth when Activated.',100,0,0),
(55114,45360,'This effect cannot be cast during combat',100,1,1),
(55115,10045360,'Applies Blessing of Growth when Activated.',100,0,0),
(55116,10045360,'This effect cannot be cast during combat',100,1,1),
(55117,117812,'Mesmerizes target',100,1,0),
(55118,117812,'Prevents AOE (except when direct) ',100,1,1),
(55119,117812,'Dispelled when target takes damage',100,1,2),
(55120,117812,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(55121,117812,'Resistibility increases against targets higher than level 107.',100,1,4),
(55122,10117812,'Mesmerizes target',100,1,0),
(55123,10117812,'Prevents AOE (except when direct) ',100,1,1),
(55124,10117812,'Dispelled when target takes damage',100,1,2),
(55125,10117812,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(55126,10117812,'Resistibility increases against targets higher than level 107.',100,1,4),
(55127,24726,'Adds Boss: Tallonite (Paladin) to your Dungeon Maker toolbox',100,0,0),
(55128,10024726,'Adds Boss: Tallonite (Paladin) to your Dungeon Maker toolbox',100,0,0),
(55129,108433,'Increases INT, AGI, STR and WIS of group members (AE) by 66.0',100,1,0),
(55130,108433,'Adds 2.0% to base avoidance.',100,1,1),
(55131,108433,'Increases Ability Reuse Speed of group members (AE) by 7.2%',100,1,2),
(55132,108433,'Increases Attack Speed of group members (AE) by 45.3',100,1,3),
(55133,108433,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 193',100,1,4),
(55134,10108433,'Increases INT, AGI, STR and WIS of group members (AE) by 66.0',100,1,0),
(55135,10108433,'Adds 2.0% to base avoidance.',100,1,1),
(55136,10108433,'Increases Ability Reuse Speed of group members (AE) by 7.2%',100,1,2),
(55137,10108433,'Increases Attack Speed of group members (AE) by 45.3',100,1,3),
(55138,10108433,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 193',100,1,4),
(55139,45438,'Applies Drop the Bucket of Meat when Activated.',100,0,0),
(55140,45438,'Drop the bucket of meat.',100,1,1),
(55141,10045438,'Applies Drop the Bucket of Meat when Activated.',100,0,0),
(55142,10045438,'Drop the bucket of meat.',100,1,1),
(55143,45051,'Applies Immortalize Vuulan when Activated.',100,0,0),
(55144,45051,'Summon 1 Trophy: Vuulan''s Head',100,1,1),
(55145,45051,'This effect cannot be cast during combat',100,1,2),
(55146,10045051,'Applies Immortalize Vuulan when Activated.',100,0,0),
(55147,10045051,'Summon 1 Trophy: Vuulan''s Head',100,1,1),
(55148,10045051,'This effect cannot be cast during combat',100,1,2),
(55149,109859,'Increases Defense of group members (AE) by 9.6',100,1,0),
(55150,10109859,'Increases Defense of group members (AE) by 9.6',100,1,0),
(55151,110505,'Increases Threat to target by 893  instantly and by 159  every 3 seconds thereafter',100,1,0),
(55152,110505,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(55153,110505,'Stuns target',100,2,2),
(55154,110505,'Throws target back',100,2,3),
(55155,110505,'Blurs vision of target',100,2,4),
(55156,110505,'Does not affect Epic targets',100,2,5),
(55157,110505,'Inflicts 124 - 205 disease damage on target',100,1,6),
(55158,10110505,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(55159,10110505,'Stuns target',100,2,1),
(55160,10110505,'Throws target back',100,2,2),
(55161,10110505,'Blurs vision of target',100,2,3),
(55162,10110505,'Does not affect Epic targets',100,2,4),
(55163,10110505,'Forces target to change their selected target to caster.',100,1,5),
(55164,10110505,'Inflicts 81 - 135 disease damage on target',100,1,6),
(55165,10110505,'Prevents target from changing targets',100,1,7),
(55166,48991,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(55167,48991,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(55168,48991,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(55169,48991,'Cannot be modified except by direct means',100,2,3),
(55170,48991,'Grants a total of 80 triggers of the spell.',100,2,4),
(55171,10048991,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(55172,10048991,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(55173,10048991,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(55174,10048991,'Cannot be modified except by direct means',100,2,3),
(55175,10048991,'Grants a total of 80 triggers of the spell.',100,2,4),
(55176,48158,'Applies Summon Flying Carpet when Activated.',100,0,0),
(55177,48158,'Increases Disruption of caster by 5.0',100,1,1),
(55178,48158,'Summons a mount to ride',100,1,2),
(55179,48158,'Increases your ground speed by 75%',100,2,3),
(55180,48158,'Increases your air speed by 150%',100,2,4),
(55181,48158,'Increases Subjugation, Crushing, Aggression, Focus, Ministration, Ranged, Slashing, Ordination and Piercing of caster by 5.0',100,1,5),
(55182,10048158,'Applies Summon Flying Carpet when Activated.',100,0,0),
(55183,10048158,'Increases Disruption of caster by 5.0',100,1,1),
(55184,10048158,'Summons a mount to ride',100,1,2),
(55185,10048158,'Increases your ground speed by 75%',100,2,3),
(55186,10048158,'Increases your air speed by 150%',100,2,4),
(55187,10048158,'Increases Subjugation, Crushing, Aggression, Focus, Ministration, Ranged, Slashing, Ordination and Piercing of caster by 5.0',100,1,5),
(55188,79756,'When Equipped:',100,0,0),
(55189,79756,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55190,79756,'Inflicts 411 - 763 heat damage on target',100,2,2),
(55191,79756,'Cannot be modified except by direct means',100,2,3),
(55192,10079756,'When Equipped:',100,0,0),
(55193,10079756,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55194,10079756,'Inflicts 411 - 763 heat damage on target',100,2,2),
(55195,10079756,'Cannot be modified except by direct means',100,2,3),
(55196,41073,'Applies Subsistence of Flesh when Activated.  Lasts for 30.0 seconds.',100,0,0),
(55197,41073,'Prevents AOE (except when direct) ',100,1,1),
(55198,41073,'Decreases Hate Gain of caster by 22.5 - 27.5%',100,1,2),
(55199,41073,'Increases Potency of caster by 25.0%',100,1,3),
(55200,41073,'The reuse time of Subsistence of Flesh is 3 minutes 28 seconds',100,1,4),
(55201,10041073,'Applies Subsistence of Flesh when Activated.  Lasts for 30.0 seconds.',100,0,0),
(55202,10041073,'Prevents AOE (except when direct) ',100,1,1),
(55203,10041073,'Increases Potency of caster by 25.0%',100,1,2),
(55204,10041073,'The reuse time of Subsistence of Flesh is 3 minutes 28 seconds',100,1,3),
(55205,71789,'When Equipped:',100,0,0),
(55206,71789,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55207,71789,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(55208,71789,'Cannot be modified except by direct means',100,2,3),
(55209,10071789,'When Equipped:',100,0,0),
(55210,10071789,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55211,10071789,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(55212,10071789,'Cannot be modified except by direct means',100,2,3),
(55213,124484,'Heals group members (AE) for 1937 - 2357',100,1,0),
(55214,10124484,'Heals group members (AE) for 1617 - 1957',100,1,0),
(55215,104153,'Roots target',100,1,0),
(55216,104153,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(55217,104153,'Makes target afraid',100,2,2),
(55218,104153,'Slows target by 28.0%',100,2,3),
(55219,104153,'30% chance to dispel when target takes damage',100,2,4),
(55220,104153,'Resistibility increases against targets higher than level 112.',100,2,5),
(55221,104153,'15% chance to dispel when target takes damage',100,1,6),
(55222,104153,'Does not affect Epic targets',100,1,7),
(55223,104153,'Resistibility increases against targets higher than level 112.',100,1,8),
(55224,10104153,'Roots target',100,1,0),
(55225,10104153,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(55226,10104153,'Makes target afraid',100,2,2),
(55227,10104153,'Slows target by 28.0%',100,2,3),
(55228,10104153,'30% chance to dispel when target takes damage',100,2,4),
(55229,10104153,'Resistibility increases against targets higher than level 112.',100,2,5),
(55230,10104153,'15% chance to dispel when target takes damage',100,1,6),
(55231,10104153,'Does not affect Epic targets',100,1,7),
(55232,10104153,'Resistibility increases against targets higher than level 112.',100,1,8),
(55233,88726,'When Equipped:',100,0,0),
(55234,88726,'On a combat hit this spell may cast Ringing Blow on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55235,88726,'Inflicts 129 - 194 cold damage on target',100,2,2),
(55236,88726,'Increases Threat to target by 350 ',100,2,3),
(55237,88726,'Cannot be modified except by direct means',100,2,4),
(55238,10088726,'When Equipped:',100,0,0),
(55239,10088726,'On a combat hit this spell may cast Ringing Blow on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55240,10088726,'Inflicts 129 - 194 cold damage on target',100,2,2),
(55241,10088726,'Cannot be modified except by direct means',100,2,3),
(55242,109631,'Increases Defense of group members'' pets (AE) by 29.5',100,1,0),
(55243,109631,'Increases Mitigation of group members (AE) vs all damage by 468',100,1,1),
(55244,10109631,'Increases Defense of group members'' pets (AE) by 29.5',100,1,0),
(55245,10109631,'Increases Mitigation of group members (AE) vs all damage by 468',100,1,1),
(55246,122641,'Heals target for 982',100,1,0),
(55247,122641,'Heals target for 755 - 922 every 2 seconds',100,1,1),
(55248,122641,'Wards target against 2578 points of all damage',100,1,2),
(55249,122641,'Decreases Attack Speed of target by 25.0',100,1,3),
(55250,122641,'Slows target by 50.0%',100,1,4),
(55251,10122641,'Heals target for 256',100,1,0),
(55252,10122641,'Heals target for 387 - 473 every 2 seconds',100,1,1),
(55253,10122641,'Wards target against 2115 points of all damage',100,1,2),
(55254,10122641,'Decreases Attack Speed of target by 25.0',100,1,3),
(55255,10122641,'Slows target by 20.0%',100,1,4),
(55256,80221,'When Equipped:',100,0,0),
(55257,80221,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(55258,80221,'Inflicts 333 - 619 magic damage on target',100,2,2),
(55259,80221,'Decreases Threat to target by 801 ',100,2,3),
(55260,80221,'Must be flanking or behind',100,3,4),
(55261,80221,'Increases Threat to target by 1,261 ',100,2,5),
(55262,80221,'Must be in front of',100,3,6),
(55263,80221,'Cannot be modified except by direct means',100,2,7),
(55264,10080221,'When Equipped:',100,0,0),
(55265,10080221,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(55266,10080221,'Inflicts 333 - 619 magic damage on target',100,2,2),
(55267,10080221,'Cannot be modified except by direct means',100,2,3),
(55268,119427,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(55269,119427,'Stuns target',100,2,1),
(55270,119427,'Throws target back',100,2,2),
(55271,119427,'Blurs vision of target',100,2,3),
(55272,119427,'Does not affect Epic targets',100,2,4),
(55273,119427,'Inflicts 2657 - 3924 melee damage on target',100,1,5),
(55274,119427,'You must be sneaking to use this ability.',100,1,6),
(55275,10119427,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(55276,10119427,'Stuns target',100,2,1),
(55277,10119427,'Throws target back',100,2,2),
(55278,10119427,'Blurs vision of target',100,2,3),
(55279,10119427,'Does not affect Epic targets',100,2,4),
(55280,10119427,'Inflicts 1792 - 2713 melee damage on target',100,1,5),
(55281,10119427,'You must be sneaking to use this ability.',100,1,6),
(55282,109062,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(55283,109062,'Increases Attack Speed of caster by 46.2',100,1,1),
(55284,109062,'Decreases Defense of caster by 27.0',100,1,2),
(55285,109062,'Increases Slashing, Piercing, Crushing and Ranged of caster by 69.3',100,1,3),
(55286,10109062,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(55287,10109062,'Increases Attack Speed of caster by 46.2',100,1,1),
(55288,10109062,'Decreases Defense of caster by 27.0',100,1,2),
(55289,10109062,'Increases Slashing, Piercing, Crushing and Ranged of caster by 69.3',100,1,3),
(55290,119844,'Dazes target',100,1,0),
(55291,119844,'Does not affect Epic targets',100,1,1),
(55292,119844,'Resistibility increases against targets higher than level 78.',100,1,2),
(55293,10119844,'Dazes target',100,1,0),
(55294,10119844,'Does not affect Epic targets',100,1,1),
(55295,10119844,'Resistibility increases against targets higher than level 78.',100,1,2),
(55296,113471,'Increases INT of target by 137.3',100,1,0),
(55297,113471,'Increases Max Health of target by 1,135.7',100,1,1),
(55298,10113471,'Increases INT of target by 137.3',100,1,0),
(55299,10113471,'Increases Max Health of target by 1,135.7',100,1,1),
(55300,46352,'Applies Flaming Dragon Breath when Activated.  Lasts for 5.0 seconds.',100,0,0),
(55301,46352,'Not for the faint of heart ... or digestion.',100,1,1),
(55302,10046352,'Applies Flaming Dragon Breath when Activated.  Lasts for 5.0 seconds.',100,0,0),
(55303,10046352,'Not for the faint of heart ... or digestion.',100,1,1),
(55304,36028,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(55305,36028,'Increases Max Health of target by 60.5',100,0,1),
(55306,116266,'Summons a pet Illusion Ally',100,1,0),
(55307,10116266,'Summons a pet Illusion Ally',100,1,0),
(55308,119281,'Inflicts 1188 - 1495 slashing damage on target',100,1,0),
(55309,119281,'Decreases Damage Per Second of target by 13.7',100,1,1),
(55310,119281,'Inflicts 413 slashing damage on target instantly and every 4 seconds',100,1,2),
(55311,10119281,'Inflicts 639 - 801 slashing damage on target',100,1,0),
(55312,10119281,'Decreases Damage Per Second of target by 13.7',100,1,1),
(55313,10119281,'Inflicts 326 slashing damage on target instantly and every 4 seconds',100,1,2),
(55314,110167,'Inflicts 167 - 278 piercing damage on target instantly and every 4 seconds',100,1,0),
(55315,110167,'Inflicts 461 - 764 melee damage on target',100,1,1),
(55316,110167,'Applies Untreated Bleeding on termination.',100,1,2),
(55317,110167,'Inflicts 780 - 1299 piercing damage on target',100,2,3),
(55318,10110167,'Inflicts 132 - 219 piercing damage on target instantly and every 4 seconds',100,1,0),
(55319,10110167,'Inflicts 436 - 540 melee damage on target',100,1,1),
(55320,10110167,'Applies Untreated Bleeding on termination.',100,1,2),
(55321,10110167,'Inflicts 615 - 1024 piercing damage on target',100,2,3),
(55322,138499,'Applies Channel a Kazarian Champion when Activated.',100,0,0),
(55323,138499,'You temporarily become the host for an extremely powerful Sullonite''s essence.',100,1,1),
(55324,138499,'The reuse time of Channel a Kazarian Champion is 4 minutes 9 seconds',100,1,2),
(55325,10138499,'Applies Channel a Kazarian Champion when Activated.',100,0,0),
(55326,10138499,'You temporarily become the host for an extremely powerful Sullonite''s essence.',100,1,1),
(55327,10138499,'The reuse time of Channel a Kazarian Champion is 4 minutes 9 seconds',100,1,2),
(55328,121201,'Grants stealth to caster',100,1,0),
(55329,121201,'Suspends caster''s movement speed enhancements',100,1,1),
(55330,121201,'Decreases Threat to target by 1,473 - 3,111 ',100,1,2),
(55331,10121201,'Forces target to clear their selected target.',100,1,0),
(55332,10121201,'Grants stealth to caster',100,1,1),
(55333,10121201,'Suspends caster''s movement speed enhancements',100,1,2),
(55334,109255,'Increases INT and WIS of group members (AE) by 51.7',100,1,0),
(55335,109255,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 145',100,1,1),
(55336,10109255,'Increases INT and WIS of group members (AE) by 51.7',100,1,0),
(55337,10109255,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 145',100,1,1),
(55338,157408,'Applies Off With His Head! when Equipped.',100,0,0),
(55339,157408,'Decreases Max Health of caster by 20.0%',100,1,1),
(55340,157408,'Increases Potency of caster by 12.0%',100,1,2),
(55341,157408,'On a damage spell hit this spell will cast Behead on caster.  ',100,1,3),
(55342,157408,'Inflicts 5% of max health in focus damage on caster.',100,2,4),
(55343,157408,'When a combat art is used this spell will cast Behead on caster.  ',100,1,5),
(55344,157408,'Inflicts 5% of max health in focus damage on caster.',100,2,6),
(55345,157408,'Cannot be modified except by direct means',100,1,7),
(55346,10157408,'Applies Off With His Head! when Equipped.',100,0,0),
(55347,10157408,'Decreases Max Health of caster by 20.0%',100,1,1),
(55348,10157408,'Increases Potency of caster by 12.0%',100,1,2),
(55349,10157408,'On a damage spell hit this spell will cast Behead on caster.  ',100,1,3),
(55350,10157408,'Inflicts 5% of max health in focus damage on caster.',100,2,4),
(55351,10157408,'When a combat art is used this spell will cast Behead on caster.  ',100,1,5),
(55352,10157408,'Inflicts 5% of max health in focus damage on caster.',100,2,6),
(55353,10157408,'Cannot be modified except by direct means',100,1,7),
(55354,75003,'When Equipped:',100,0,0),
(55355,75003,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55356,75003,'Inflicts 168 - 253 magic damage on target',100,2,2),
(55357,75003,'Cannot be modified except by direct means',100,2,3),
(55358,10075003,'When Equipped:',100,0,0),
(55359,10075003,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55360,10075003,'Inflicts 168 - 253 magic damage on target',100,2,2),
(55361,10075003,'Cannot be modified except by direct means',100,2,3),
(55362,107471,'Inflicts 515 - 1544 magic damage on targets in Area of Effect',100,1,0),
(55363,107471,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(55364,107471,'Stuns target',100,2,2),
(55365,107471,'Blurs vision of target',100,2,3),
(55366,107471,'Throws target back',100,2,4),
(55367,107471,'Does not affect Epic targets',100,2,5),
(55368,10107471,'Inflicts 421 - 1174 magic damage on targets in Area of Effect',100,1,0),
(55369,10107471,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(55370,10107471,'Stuns target',100,2,2),
(55371,10107471,'Throws target back',100,2,3),
(55372,10107471,'Blurs vision of target',100,2,4),
(55373,10107471,'Does not affect Epic targets',100,2,5),
(55374,49144,'Applies Release when Activated.',100,0,0),
(55375,10049144,'Applies Release when Activated.',100,0,0),
(55376,26461,'When Equipped:',100,0,0),
(55377,26461,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55378,26461,'Inflicts 201 divine damage on target',100,2,2),
(55379,26461,'Heals caster for 100',100,2,3),
(55380,26461,'Cannot be modified except by direct means',100,2,4),
(55381,10026461,'When Equipped:',100,0,0),
(55382,10026461,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55383,10026461,'Inflicts 201 divine damage on target',100,2,2),
(55384,10026461,'Heals caster for 65',100,2,3),
(55385,10026461,'Cannot be modified except by direct means',100,2,4),
(55386,144706,'When Equipped:',100,0,0),
(55387,144706,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(55388,144706,'Heals group members (AE) for 580',100,2,2),
(55389,144706,'Cannot be modified except by direct means',100,2,3),
(55390,10144706,'When Equipped:',100,0,0),
(55391,10144706,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(55392,10144706,'Heals group members (AE) for 679',100,2,2),
(55393,10144706,'Cannot be modified except by direct means',100,2,3),
(55394,106984,'Inflicts 6470 - 11174 poison damage on target',100,1,0),
(55395,106984,'Increases power of caster by 98',100,1,1),
(55396,10106984,'Inflicts 4720 - 8427 poison damage on target',100,1,0),
(55397,10106984,'Increases power of caster by 98',100,1,1),
(55398,118217,'Increases Damage Per Second of group members (AE) by 24.3',100,1,0),
(55399,10118217,'Increases Damage Per Second of group members (AE) by 24.3',100,1,0),
(55400,124267,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(55401,124267,'Increases Attack Speed of target by 25.6',100,2,1),
(55402,124267,'Increases Damage Per Second of target by 25.6',100,2,2),
(55403,124267,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(55404,124267,'Increases Attack Speed of target by 25.6',100,2,4),
(55405,124267,'Increases Damage Per Second of target by 25.6',100,2,5),
(55406,124267,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(55407,124267,'Increases Attack Speed of target by 25.6',100,2,7),
(55408,124267,'Increases Damage Per Second of target by 25.6',100,2,8),
(55409,10124267,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(55410,10124267,'Increases Attack Speed of target by 25.6',100,2,1),
(55411,10124267,'Increases Damage Per Second of target by 25.6',100,2,2),
(55412,10124267,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(55413,10124267,'Increases Attack Speed of target by 25.6',100,2,4),
(55414,10124267,'Increases Damage Per Second of target by 25.6',100,2,5),
(55415,10124267,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(55416,10124267,'Increases Attack Speed of target by 25.6',100,2,7),
(55417,10124267,'Increases Damage Per Second of target by 25.6',100,2,8),
(55418,113121,'Decreases Attack Speed of target encounter by 14.9',100,1,0),
(55419,10113121,'Decreases Attack Speed of target encounter by 14.9',100,1,0),
(55420,35475,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(55421,35475,'This effect suspends during combat',100,0,1),
(55422,47025,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(55423,47025,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(55424,47025,'Stuns target',100,2,2),
(55425,47025,'If Target is not Epic',100,3,3),
(55426,47025,'Dispelled when target receives hostile action',100,2,4),
(55427,47025,'Dispelled when target takes damage',100,2,5),
(55428,47025,'Cannot be modified except by direct means',100,2,6),
(55429,47025,'Grants a total of 4 triggers of the spell.',100,2,7),
(55430,10047025,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(55431,10047025,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(55432,10047025,'Stuns target',100,2,2),
(55433,10047025,'If Target is not Epic',100,3,3),
(55434,10047025,'Dispelled when target receives hostile action',100,2,4),
(55435,10047025,'Dispelled when target takes damage',100,2,5),
(55436,10047025,'Cannot be modified except by direct means',100,2,6),
(55437,10047025,'Grants a total of 4 triggers of the spell.',100,2,7),
(55438,107109,'Inflicts 3614 - 4198 divine damage on target',100,1,0),
(55439,10107109,'Inflicts 2468 - 2929 divine damage on target',100,1,0),
(55440,116936,'Increases Threat to target by 1,059 - 1,295 ',100,1,0),
(55441,112932,'Inflicts 65 - 192 crushing damage on target',100,1,0),
(55442,10112932,'Inflicts 52 - 155 crushing damage on target',100,1,0),
(55443,119093,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(55444,119093,'Increases Parry and Deflection of group members (AE) by 14.6',100,1,1),
(55445,119093,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(55446,119093,'Decreases Threat to target encounter by 1,811 - 2,213 ',100,2,3),
(55447,119093,'If not fighter',100,3,4),
(55448,119093,'Increases Threat to target encounter by 3,101 - 3,503 ',100,2,5),
(55449,119093,'If fighter',100,3,6),
(55450,119093,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(55451,119093,'Decreases Threat to target encounter by 1,811 - 2,213 ',100,2,8),
(55452,119093,'If not fighter',100,3,9),
(55453,119093,'Increases Threat to target encounter by 3,101 - 3,503 ',100,2,10),
(55454,119093,'If fighter',100,3,11),
(55455,10119093,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(55456,10119093,'Increases Parry and Deflection of group members (AE) by 14.6',100,1,1),
(55457,10119093,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(55458,10119093,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(55459,114267,'Heals target for 78 - 96',100,1,0),
(55460,10114267,'Heals target for 65 - 80',100,1,0),
(55461,121626,'Inflicts 2524 - 5977 melee damage on target',100,1,0),
(55462,121626,'Dazes target',100,1,1),
(55463,121626,'If Target is not Epic',100,2,2),
(55464,121626,'Must be flanking or behind',100,1,3),
(55465,121626,'Resistibility increases against targets higher than level 89.',100,1,4),
(55466,10121626,'Inflicts 1726 - 4331 melee damage on target',100,1,0),
(55467,10121626,'Dazes target',100,1,1),
(55468,10121626,'If Target is not Epic',100,2,2),
(55469,10121626,'Must be flanking or behind',100,1,3),
(55470,10121626,'Resistibility increases against targets higher than level 89.',100,1,4),
(55471,81504,'When Equipped:',100,0,0),
(55472,81504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55473,81504,'Inflicts 217 - 404 magic damage on target',100,2,2),
(55474,81504,'Cannot be modified except by direct means',100,2,3),
(55475,10081504,'When Equipped:',100,0,0),
(55476,10081504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55477,10081504,'Inflicts 217 - 404 magic damage on target',100,2,2),
(55478,10081504,'Cannot be modified except by direct means',100,2,3),
(55479,75137,'When Equipped:',100,0,0),
(55480,75137,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(55481,10075137,'When Equipped:',100,0,0),
(55482,10075137,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(55483,159177,'Applies Lambent Imbued when Equipped.',100,0,0),
(55484,159177,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(55485,159177,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(55486,159177,'Cannot be modified except by direct means',100,2,3),
(55487,10159177,'Applies Lambent Imbued when Equipped.',100,0,0),
(55488,10159177,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(55489,10159177,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(55490,10159177,'Cannot be modified except by direct means',100,2,3),
(55491,113137,'Shapechanges caster into a lich',100,1,0),
(55492,113137,'Increases power of caster by 0.9% instantly and every 6 seconds',100,1,1),
(55493,113137,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(55494,113137,'Inflicts 426 disease damage on target',100,2,3),
(55495,113137,'Heals caster for 141',100,2,4),
(55496,10113137,'Shapechanges caster into a lich',100,1,0),
(55497,10113137,'Increases power of caster by 0.9% instantly and every 6 seconds',100,1,1),
(55498,10113137,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(55499,10113137,'Inflicts 335 disease damage on target',100,2,3),
(55500,10113137,'Heals caster for 72',100,2,4),
(55501,153783,'When Equipped:',100,0,0),
(55502,153783,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle II on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(55503,153783,'Increases Mitigation of caster vs physical damage by 275',100,2,2),
(55504,153783,'Heals caster for 176 - 215',100,2,3),
(55505,153783,'Must not be engaged in pvp combat',100,2,4),
(55506,153783,'Cannot be modified except by direct means',100,2,5),
(55507,153783,'Must not be engaged in pvp combat',100,1,6),
(55508,10153783,'When Equipped:',100,0,0),
(55509,10153783,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle II on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(55510,10153783,'Increases Mitigation of caster vs physical damage by 275',100,2,2),
(55511,10153783,'Heals caster for 114 - 139',100,2,3),
(55512,10153783,'Must not be engaged in pvp combat',100,2,4),
(55513,10153783,'Cannot be modified except by direct means',100,2,5),
(55514,10153783,'Must not be engaged in pvp combat',100,1,6),
(55515,107391,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(55516,107391,'Slows target by 38.8%',100,2,1),
(55517,107391,'5% chance to dispel when target receives hostile action',100,2,2),
(55518,107391,'5% chance to dispel when target takes damage',100,2,3),
(55519,107391,'Inflicts 2833 - 4130 disease damage on target',100,1,4),
(55520,10107391,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(55521,10107391,'Slows target by 38.8%',100,2,1),
(55522,10107391,'5% chance to dispel when target receives hostile action',100,2,2),
(55523,10107391,'5% chance to dispel when target takes damage',100,2,3),
(55524,10107391,'Inflicts 1883 - 2876 disease damage on target',100,1,4),
(55525,106274,'Wards target against 4049 points of all damage',100,1,0),
(55526,10106274,'Wards target against 3102 points of all damage',100,1,0),
(55527,87160,'When Equipped:',100,0,0),
(55528,87160,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55529,87160,'Inflicts 83 - 124 magic damage on target',100,2,2),
(55530,87160,'Cannot be modified except by direct means',100,2,3),
(55531,10087160,'When Equipped:',100,0,0),
(55532,10087160,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55533,10087160,'Inflicts 83 - 124 magic damage on target',100,2,2),
(55534,10087160,'Cannot be modified except by direct means',100,2,3),
(55535,104914,'Inflicts 1478 - 2453 ranged damage on target',100,1,0),
(55536,104914,'Decreases Deflection and Parry of target by 19.2',100,1,1),
(55537,104914,'Requires bow',100,1,2),
(55538,10104914,'Inflicts 873 - 1361 ranged damage on target',100,1,0),
(55539,10104914,'Decreases Deflection and Parry of target by 19.2',100,1,1),
(55540,10104914,'Requires bow',100,1,2),
(55541,121942,'Inflicts 38 - 63 disease damage on target',100,1,0),
(55542,121942,'Decreases Defense of target by 2.2',100,1,1),
(55543,121942,'Interrupts target',100,1,2),
(55544,10121942,'Inflicts 33 - 54 disease damage on target',100,1,0),
(55545,10121942,'Decreases Defense of target by 2.2',100,1,1),
(55546,10121942,'Interrupts target',100,1,2),
(55547,122889,'Increases STR and INT of group members (AE) by 12.5',100,1,0),
(55548,10122889,'Increases STR and INT of group members (AE) by 12.5',100,1,0),
(55549,108774,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(55550,108774,'Inflicts 138 - 168 heat damage on target instantly and every 4 seconds',100,2,1),
(55551,108774,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(55552,108774,'Inflicts 613 - 749 heat damage on target encounter',100,3,3),
(55553,108774,'Grants a total of 1 trigger of the spell.',100,3,4),
(55554,10108774,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(55555,10108774,'Inflicts 109 - 133 heat damage on target instantly and every 4 seconds',100,2,1),
(55556,10108774,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(55557,10108774,'Inflicts 483 - 590 heat damage on target encounter',100,3,3),
(55558,10108774,'Grants a total of 1 trigger of the spell.',100,3,4),
(55559,118669,'Inflicts 1846 - 3024 slashing damage on target',100,1,0),
(55560,10118669,'Inflicts 1386 - 2039 slashing damage on target',100,1,0),
(55561,102421,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(55562,102421,'Heals target for 148 - 181',100,2,1),
(55563,102421,'Grants a total of 5 triggers of the spell.',100,2,2),
(55564,10102421,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(55565,10102421,'Heals target for 79 - 96',100,2,1),
(55566,10102421,'Grants a total of 5 triggers of the spell.',100,2,2),
(55567,111982,'Inflicts 3614 - 4198 disease damage on target',100,1,0),
(55568,111982,'Decreases Mitigation of target vs noxious damage by 1185',100,1,1),
(55569,10111982,'Inflicts 3061 - 3653 disease damage on target',100,1,0),
(55570,10111982,'Decreases Mitigation of target vs noxious damage by 1185',100,1,1),
(55571,122965,'Inflicts 1705 - 2306 mental damage on target',100,1,0),
(55572,10122965,'Inflicts 1290 - 1606 mental damage on target',100,1,0),
(55573,104087,'Inflicts 1957 - 2605 mental damage on target',100,1,0),
(55574,104087,'Inflicts 978 - 1623 mental damage on target',100,1,1),
(55575,10104087,'Inflicts 1166 - 1673 mental damage on target',100,1,0),
(55576,10104087,'Inflicts 771 - 1279 mental damage on target',100,1,1),
(55577,176586,'When Equipped:',100,0,0),
(55578,176586,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55579,176586,'Inflicts 597 - 729 heat damage on target',100,2,2),
(55580,176586,'Inflicts 597 - 729 heat damage on target',100,2,3),
(55581,176586,'Inflicts 597 - 729 heat damage on target',100,2,4),
(55582,176586,'Must not be engaged in pvp combat',100,2,5),
(55583,176586,'Cannot be modified except by direct means',100,2,6),
(55584,10176586,'When Equipped:',100,0,0),
(55585,10176586,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55586,10176586,'Inflicts 597 - 729 heat damage on target',100,2,2),
(55587,10176586,'Inflicts 597 - 729 heat damage on target',100,2,3),
(55588,10176586,'Inflicts 597 - 729 heat damage on target',100,2,4),
(55589,10176586,'Must not be engaged in pvp combat',100,2,5),
(55590,10176586,'Cannot be modified except by direct means',100,2,6),
(55591,74960,'When Equipped:',100,0,0),
(55592,74960,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55593,74960,'Inflicts 217 - 326 magic damage on target',100,2,2),
(55594,74960,'Cannot be modified except by direct means',100,2,3),
(55595,10074960,'When Equipped:',100,0,0),
(55596,10074960,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55597,10074960,'Inflicts 217 - 326 magic damage on target',100,2,2),
(55598,10074960,'Cannot be modified except by direct means',100,2,3),
(55599,120453,'Inflicts 3479 - 5122 melee damage on target',100,1,0),
(55600,120453,'Inflicts 2496 - 4140 melee damage on target',100,1,1),
(55601,10120453,'Inflicts 2362 - 3657 melee damage on target',100,1,0),
(55602,10120453,'Inflicts 1967 - 3263 melee damage on target',100,1,1),
(55603,35401,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(55604,163206,'When Equipped:',100,0,0),
(55605,163206,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55606,163206,'Inflicts 1199 disease damage on target encounter',100,2,2),
(55607,163206,'Must not be engaged in pvp combat',100,2,3),
(55608,163206,'Cannot be modified except by direct means',100,2,4),
(55609,10163206,'When Equipped:',100,0,0),
(55610,10163206,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55611,10163206,'Inflicts 599 disease damage on target encounter',100,2,2),
(55612,10163206,'Must not be engaged in pvp combat',100,2,3),
(55613,10163206,'Cannot be modified except by direct means',100,2,4),
(55614,37421,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(55615,53158,'When Equipped:',100,0,0),
(55616,53158,'Reduces resistibility of all Subjugation and Ordination spells by 5%.',100,1,1),
(55617,10053158,'When Equipped:',100,0,0),
(55618,10053158,'Reduces resistibility of all Subjugation and Ordination spells by 5%.',100,1,1),
(55619,71957,'When Equipped:',100,0,0),
(55620,71957,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55621,71957,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(55622,71957,'Cannot be modified except by direct means',100,2,3),
(55623,10071957,'When Equipped:',100,0,0),
(55624,10071957,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55625,10071957,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(55626,10071957,'Cannot be modified except by direct means',100,2,3),
(55627,164699,'When Equipped:',100,0,0),
(55628,164699,'Increases Attack Speed of caster by 30.0',100,1,1),
(55629,10164699,'When Equipped:',100,0,0),
(55630,10164699,'Increases Attack Speed of caster by 30.0',100,1,1),
(55631,87265,'When Equipped:',100,0,0),
(55632,87265,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55633,87265,'Inflicts 410 - 616 magic damage on target',100,2,2),
(55634,87265,'Cannot be modified except by direct means',100,2,3),
(55635,10087265,'When Equipped:',100,0,0),
(55636,10087265,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55637,10087265,'Inflicts 410 - 616 magic damage on target',100,2,2),
(55638,10087265,'Cannot be modified except by direct means',100,2,3),
(55639,37597,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(55640,45494,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(55641,45494,'Charms target',100,1,1),
(55642,45494,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(55643,45494,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(55644,45494,'5% chance to dispel when target takes damage',100,1,4),
(55645,45494,'If target is droag',100,1,5),
(55646,45494,'Certain enemies cannot be charmed',100,1,6),
(55647,45494,'Does not affect Epic targets',100,1,7),
(55648,10045494,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(55649,10045494,'Charms target',100,1,1),
(55650,10045494,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(55651,10045494,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(55652,10045494,'5% chance to dispel when target takes damage',100,1,4),
(55653,10045494,'If target is droag',100,1,5),
(55654,10045494,'Certain enemies cannot be charmed',100,1,6),
(55655,10045494,'Does not affect Epic targets',100,1,7),
(55656,80991,'When Equipped:',100,0,0),
(55657,80991,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55658,80991,'Inflicts 134 - 249 magic damage on target',100,2,2),
(55659,80991,'Cannot be modified except by direct means',100,2,3),
(55660,10080991,'When Equipped:',100,0,0),
(55661,10080991,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55662,10080991,'Inflicts 134 - 249 magic damage on target',100,2,2),
(55663,10080991,'Cannot be modified except by direct means',100,2,3),
(55664,51055,'When Equipped:',100,0,0),
(55665,51055,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55666,51055,'Inflicts 342 poison damage on target',100,2,2),
(55667,51055,'Cannot be modified except by direct means',100,2,3),
(55668,10051055,'When Equipped:',100,0,0),
(55669,10051055,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55670,10051055,'Inflicts 171 poison damage on target',100,2,2),
(55671,10051055,'Cannot be modified except by direct means',100,2,3),
(55672,101187,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(55673,101187,'Slows target by 39.5%',100,2,1),
(55674,101187,'5% chance to dispel when target receives hostile action',100,2,2),
(55675,101187,'5% chance to dispel when target takes damage',100,2,3),
(55676,101187,'Inflicts 1658 - 2357 cold damage on target',100,1,4),
(55677,101187,'Inflicts 828 - 1375 cold damage on target',100,1,5),
(55678,101187,'If weapon equipped in Ranged',100,1,6),
(55679,10101187,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(55680,10101187,'Slows target by 39.5%',100,2,1),
(55681,10101187,'5% chance to dispel when target receives hostile action',100,2,2),
(55682,10101187,'5% chance to dispel when target takes damage',100,2,3),
(55683,10101187,'Inflicts 884 - 1207 cold damage on target',100,1,4),
(55684,10101187,'Inflicts 489 - 813 cold damage on target',100,1,5),
(55685,10101187,'If weapon equipped in Ranged',100,1,6),
(55686,72273,'When Equipped:',100,0,0),
(55687,72273,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55688,72273,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(55689,72273,'Cannot be modified except by direct means',100,2,3),
(55690,10072273,'When Equipped:',100,0,0),
(55691,10072273,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55692,10072273,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(55693,10072273,'Cannot be modified except by direct means',100,2,3),
(55694,117637,'Inflicts 7955 - 12553 ranged damage on target',100,1,0),
(55695,117637,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(55696,117637,'Slows target by 73.9%',100,2,2),
(55697,117637,'5% chance to dispel when target receives hostile action',100,2,3),
(55698,117637,'5% chance to dispel when target takes damage',100,2,4),
(55699,117637,'Must be flanking or behind',100,1,5),
(55700,117637,'Requires bow',100,1,6),
(55701,10117637,'Inflicts 4516 - 7234 ranged damage on target',100,1,0),
(55702,10117637,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(55703,10117637,'Slows target by 73.9%',100,2,2),
(55704,10117637,'5% chance to dispel when target receives hostile action',100,2,3),
(55705,10117637,'5% chance to dispel when target takes damage',100,2,4),
(55706,10117637,'Must be flanking or behind',100,1,5),
(55707,10117637,'Requires bow',100,1,6),
(55708,120359,'Inflicts 1368 - 1454 divine damage on target',100,1,0),
(55709,120359,'Inflicts 386 - 472 divine damage on target every 4 seconds',100,1,1),
(55710,120359,'Decreases WIS of target by 49.7',100,1,2),
(55711,10120359,'Inflicts 699 - 766 divine damage on target',100,1,0),
(55712,10120359,'Inflicts 304 - 372 divine damage on target every 4 seconds',100,1,1),
(55713,10120359,'Decreases WIS of target by 49.7',100,1,2),
(55714,115972,'Inflicts 1474 - 2211 mental damage on target',100,1,0),
(55715,115972,'Stuns target',100,1,1),
(55716,115972,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(55717,115972,'Resistibility increases against targets higher than level 70.',100,1,3),
(55718,10115972,'Stuns target',100,1,0),
(55719,10115972,'Inflicts 1169 - 1557 mental damage on target',100,1,1),
(55720,10115972,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(55721,10115972,'Resistibility increases against targets higher than level 70.',100,1,3),
(55722,120357,'Inflicts 952 - 1164 divine damage on target',100,1,0),
(55723,120357,'Inflicts 212 - 259 divine damage on target every 4 seconds',100,1,1),
(55724,120357,'Decreases WIS of target by 29.7',100,1,2),
(55725,10120357,'Inflicts 561 - 598 divine damage on target',100,1,0),
(55726,10120357,'Inflicts 167 - 204 divine damage on target every 4 seconds',100,1,1),
(55727,10120357,'Decreases WIS of target by 29.7',100,1,2),
(55728,123863,'Increases AGI of caster by 47.3',100,1,0),
(55729,123863,'Adds 17.2% to base avoidance.',100,1,1),
(55730,123863,'Increases Damage Per Second of caster by 41.8',100,1,2),
(55731,123863,'Increases Mitigation of caster vs physical damage by 424',100,1,3),
(55732,123863,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,4),
(55733,10123863,'Increases AGI of caster by 47.3',100,1,0),
(55734,10123863,'Adds 17.2% to base avoidance.',100,1,1),
(55735,10123863,'Increases Damage Per Second of caster by 41.8',100,1,2),
(55736,10123863,'Increases Mitigation of caster vs physical damage by 424',100,1,3),
(55737,10123863,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,4),
(55738,173134,'When Equipped:',100,0,0),
(55739,173134,'Increases Attack Speed of caster by 35.0',100,1,1),
(55740,10173134,'When Equipped:',100,0,0),
(55741,10173134,'Increases Attack Speed of caster by 35.0',100,1,1),
(55742,112101,'Inflicts 1271 - 1463 heat damage on target',100,1,0),
(55743,112101,'Inflicts 288 - 480 heat damage on target every 2 seconds',100,1,1),
(55744,10112101,'Inflicts 952 - 1323 heat damage on target',100,1,0),
(55745,10112101,'Inflicts 557 - 928 heat damage on target every 2 seconds',100,1,1),
(55746,36007,'Increases Max Power of target by 22.8',100,0,0),
(55747,36007,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(55748,118877,'Inflicts 1080 - 1493 melee damage on target',100,1,0),
(55749,118877,'Inflicts 308 - 511 melee damage on target',100,1,1),
(55750,118877,'Inflicts 308 - 511 melee damage on target',100,1,2),
(55751,118877,'Inflicts 308 - 511 melee damage on target',100,1,3),
(55752,118877,'Inflicts 308 - 511 melee damage on target',100,1,4),
(55753,10118877,'Inflicts 637 - 797 melee damage on target',100,1,0),
(55754,10118877,'Inflicts 242 - 402 melee damage on target',100,1,1),
(55755,10118877,'Inflicts 242 - 402 melee damage on target',100,1,2),
(55756,10118877,'Inflicts 242 - 402 melee damage on target',100,1,3),
(55757,10118877,'Inflicts 242 - 402 melee damage on target',100,1,4),
(55758,165020,'When Equipped:',100,0,0),
(55759,165020,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55760,165020,'Inflicts 2664 disease damage on target encounter',100,2,2),
(55761,165020,'Must not be engaged in pvp combat',100,2,3),
(55762,165020,'Cannot be modified except by direct means',100,2,4),
(55763,165020,'When Equipped:',100,0,5),
(55764,165020,'This effect will not stack with itself.',100,1,6),
(55765,165020,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(55766,165020,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(55767,165020,'Inflicts 5345 piercing damage on target',100,3,9),
(55768,165020,'Must not be engaged in pvp combat',100,3,10),
(55769,165020,'Cannot be modified except by direct means',100,3,11),
(55770,165020,'Grants a total of 5 triggers of the spell.',100,3,12),
(55771,165020,'Must not be engaged in pvp combat',100,2,13),
(55772,165020,'Cannot be modified except by direct means',100,2,14),
(55773,165020,'Must not be engaged in pvp combat',100,1,15),
(55774,10165020,'When Equipped:',100,0,0),
(55775,10165020,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(55776,10165020,'Inflicts 1332 disease damage on target encounter',100,2,2),
(55777,10165020,'Must not be engaged in pvp combat',100,2,3),
(55778,10165020,'Cannot be modified except by direct means',100,2,4),
(55779,10165020,'When Equipped:',100,0,5),
(55780,10165020,'This effect will not stack with itself.',100,1,6),
(55781,10165020,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(55782,10165020,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(55783,10165020,'Inflicts 5345 piercing damage on target',100,3,9),
(55784,10165020,'Must not be engaged in pvp combat',100,3,10),
(55785,10165020,'Cannot be modified except by direct means',100,3,11),
(55786,10165020,'Grants a total of 5 triggers of the spell.',100,3,12),
(55787,10165020,'Must not be engaged in pvp combat',100,2,13),
(55788,10165020,'Cannot be modified except by direct means',100,2,14),
(55789,10165020,'Must not be engaged in pvp combat',100,1,15),
(55790,100053,'Decreases STR, AGI and WIS of target by 76.5',100,1,0),
(55791,10100053,'Decreases STR, AGI and WIS of target by 76.5',100,1,0),
(55792,101197,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(55793,101197,'Slows target by 64.7%',100,2,1),
(55794,101197,'5% chance to dispel when target receives hostile action',100,2,2),
(55795,101197,'5% chance to dispel when target takes damage',100,2,3),
(55796,101197,'Inflicts 2878 - 4128 cold damage on target',100,1,4),
(55797,101197,'Inflicts 1895 - 3146 cold damage on target',100,1,5),
(55798,101197,'If weapon equipped in Ranged',100,1,6),
(55799,10101197,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(55800,10101197,'Slows target by 64.7%',100,2,1),
(55801,10101197,'5% chance to dispel when target receives hostile action',100,2,2),
(55802,10101197,'5% chance to dispel when target takes damage',100,2,3),
(55803,10101197,'Inflicts 1515 - 2254 cold damage on target',100,1,4),
(55804,10101197,'Inflicts 1120 - 1859 cold damage on target',100,1,5),
(55805,10101197,'If weapon equipped in Ranged',100,1,6),
(55806,115620,'Wards target against 7970 points of all damage',100,1,0),
(55807,10115620,'Wards target against 8655 points of all damage',100,1,0),
(55808,112368,'Makes target afraid',100,1,0),
(55809,112368,'30% chance to dispel when target takes damage',100,1,1),
(55810,112368,'Does not affect Epic targets',100,1,2),
(55811,112368,'Resistibility increases against targets higher than level 59.',100,1,3),
(55812,10112368,'Makes target afraid',100,1,0),
(55813,10112368,'30% chance to dispel when target takes damage',100,1,1),
(55814,10112368,'Does not affect Epic targets',100,1,2),
(55815,10112368,'Resistibility increases against targets higher than level 59.',100,1,3),
(55816,113740,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(55817,113740,'Inflicts 985 piercing damage on target',100,2,1),
(55818,113740,'Grants a total of 60 triggers of the spell.',100,2,2),
(55819,10113740,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(55820,10113740,'Inflicts 687 piercing damage on target',100,2,1),
(55821,10113740,'Grants a total of 60 triggers of the spell.',100,2,2),
(55822,121213,'Grants stealth to caster',100,1,0),
(55823,121213,'Suspends caster''s movement speed enhancements',100,1,1),
(55824,121213,'Decreases Threat to target by 1,862 - 3,759 ',100,1,2),
(55825,10121213,'Forces target to clear their selected target.',100,1,0),
(55826,10121213,'Grants stealth to caster',100,1,1),
(55827,10121213,'Suspends caster''s movement speed enhancements',100,1,2),
(55828,49074,'Applies Vision Totem of the Owl when Activated.  Lasts for 15 minutes.',100,0,0),
(55829,49074,'Grants See Invisibility to caster',100,1,1),
(55830,49074,'Only affects targets level 20 and above',100,1,2),
(55831,10049074,'Applies Vision Totem of the Owl when Activated.  Lasts for 15 minutes.',100,0,0),
(55832,10049074,'Grants See Invisibility to caster',100,1,1),
(55833,10049074,'Only affects targets level 20 and above',100,1,2),
(55834,159732,'When Equipped:',100,0,0),
(55835,159732,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(55836,159732,'Increases STA of caster by 16.3',100,2,2),
(55837,159732,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(55838,159732,'Cannot be modified except by direct means',100,2,4),
(55839,10159732,'When Equipped:',100,0,0),
(55840,10159732,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(55841,10159732,'Increases STA of caster by 16.3',100,2,2),
(55842,10159732,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(55843,10159732,'Cannot be modified except by direct means',100,2,4),
(55844,120459,'Inflicts 1474 - 2447 ranged damage on target',100,1,0),
(55845,120459,'Slows target by 62.1%',100,1,1),
(55846,120459,'10% chance to dispel when target receives hostile action',100,1,2),
(55847,120459,'Requires bow',100,1,3),
(55848,10120459,'Inflicts 799 - 1279 ranged damage on target',100,1,0),
(55849,10120459,'Slows target by 62.1%',100,1,1),
(55850,10120459,'10% chance to dispel when target receives hostile action',100,1,2),
(55851,10120459,'Requires bow',100,1,3),
(55852,109909,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(55853,109909,'Inflicts 427 - 522 poison damage on target instantly and every 4 seconds',100,2,1),
(55854,10109909,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(55855,10109909,'Inflicts 336 - 411 poison damage on target instantly and every 4 seconds',100,2,1),
(55856,118983,'Heals target for 750 - 916',100,1,0),
(55857,10118983,'Heals target for 581 - 710',100,1,0),
(55858,103464,'Increases In-Combat Power Regeneration of group members (AE) by 6.2',100,1,0),
(55859,10103464,'Increases In-Combat Power Regeneration of group members (AE) by 6.2',100,1,0),
(55860,100323,'Inflicts 216 - 265 divine damage on target',100,1,0),
(55861,100323,'Dazes target',100,1,1),
(55862,100323,'If Target is not Epic',100,2,2),
(55863,100323,'Dispelled when target receives hostile action',100,1,3),
(55864,100323,'Dispelled when target takes damage',100,1,4),
(55865,100323,'Resistibility increases against targets higher than level 39.',100,1,5),
(55866,10100323,'Inflicts 186 - 227 divine damage on target',100,1,0),
(55867,10100323,'Dazes target',100,1,1),
(55868,10100323,'If Target is not Epic',100,2,2),
(55869,10100323,'Dispelled when target receives hostile action',100,1,3),
(55870,10100323,'Dispelled when target takes damage',100,1,4),
(55871,10100323,'Resistibility increases against targets higher than level 39.',100,1,5),
(55872,72196,'When Equipped:',100,0,0),
(55873,72196,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55874,72196,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(55875,72196,'Cannot be modified except by direct means',100,2,3),
(55876,10072196,'When Equipped:',100,0,0),
(55877,10072196,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(55878,10072196,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(55879,10072196,'Cannot be modified except by direct means',100,2,3),
(55880,27483,'When Equipped:',100,0,0),
(55881,27483,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(55882,27483,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(55883,10027483,'When Equipped:',100,0,0),
(55884,10027483,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(55885,10027483,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(55886,41693,'When Equipped:',100,0,0),
(55887,41693,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(55888,41693,'Inflicts 210 - 391 magic damage on target',100,2,2),
(55889,41693,'Decreases Threat to target by 487 ',100,2,3),
(55890,41693,'Must be flanking or behind',100,3,4),
(55891,41693,'Increases Threat to target by 852 ',100,2,5),
(55892,41693,'Must be in front of',100,3,6),
(55893,41693,'Cannot be modified except by direct means',100,2,7),
(55894,10041693,'When Equipped:',100,0,0),
(55895,10041693,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(55896,10041693,'Inflicts 210 - 391 magic damage on target',100,2,2),
(55897,10041693,'Cannot be modified except by direct means',100,2,3),
(55898,109166,'Applies Blind.  Lasts for 5.0 seconds.',100,1,0),
(55899,109166,'Dazes target',100,2,1),
(55900,109166,'Blurs vision of target',100,2,2),
(55901,109166,'Dispelled when target takes damage',100,2,3),
(55902,109166,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(55903,109166,'Roots target',100,1,5),
(55904,109166,'5% chance to dispel when target takes damage',100,1,6),
(55905,109166,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,7),
(55906,109166,'Resistibility increases against targets higher than level 48.',100,1,8),
(55907,10109166,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(55908,10109166,'Dazes target',100,2,1),
(55909,10109166,'Blurs vision of target',100,2,2),
(55910,10109166,'Dispelled when target takes damage',100,2,3),
(55911,10109166,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(55912,10109166,'Roots target',100,1,5),
(55913,10109166,'5% chance to dispel when target takes damage',100,1,6),
(55914,10109166,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(55915,10109166,'Resistibility increases against targets higher than level 48.',100,1,8),
(55916,113970,'Inflicts 235 - 389 slashing damage on target',100,1,0),
(55917,113970,'Decreases Slashing, Crushing and Piercing of target by 2.0',100,1,1),
(55918,10113970,'Inflicts 185 - 307 slashing damage on target',100,1,0),
(55919,10113970,'Decreases Slashing, Crushing and Piercing of target by 2.0',100,1,1),
(55920,110757,'Heals group members (AE) for 297 - 363',100,1,0),
(55921,110757,'Heals group members (AE) for 148 - 181 every 2 seconds',100,1,1),
(55922,10110757,'Heals group members (AE) for 162 - 178',100,1,0),
(55923,10110757,'Heals group members (AE) for 76 - 93 every 2 seconds',100,1,1),
(55924,124816,'Summons a pet bat familiar',100,1,0),
(55925,10124816,'Summons a pet bat familiar',100,1,0),
(55926,103596,'Increases Mitigation of caster vs physical damage by 762',100,1,0),
(55927,10103596,'Increases Mitigation of caster vs physical damage by 762',100,1,0),
(55928,117307,'Roots target',100,1,0),
(55929,117307,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(55930,117307,'Slows target by 40.6%',100,2,2),
(55931,117307,'5% chance to dispel when target receives hostile action',100,2,3),
(55932,117307,'5% chance to dispel when target takes damage',100,2,4),
(55933,117307,'15% chance to dispel when target takes damage',100,1,5),
(55934,117307,'Does not affect Epic targets',100,1,6),
(55935,117307,'Resistibility increases against targets higher than level 48.',100,1,7),
(55936,10117307,'Roots target',100,1,0),
(55937,10117307,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(55938,10117307,'Slows target by 40.6%',100,2,2),
(55939,10117307,'10% chance to dispel when target receives hostile action',100,2,3),
(55940,10117307,'10% chance to dispel when target takes damage',100,2,4),
(55941,10117307,'15% chance to dispel when target takes damage',100,1,5),
(55942,10117307,'Does not affect Epic targets',100,1,6),
(55943,10117307,'Resistibility increases against targets higher than level 48.',100,1,7),
(55944,159106,'Applies Lambent Imbued when Equipped.',100,0,0),
(55945,159106,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(55946,159106,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(55947,159106,'Cannot be modified except by direct means',100,2,3),
(55948,10159106,'Applies Lambent Imbued when Equipped.',100,0,0),
(55949,10159106,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(55950,10159106,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(55951,10159106,'Cannot be modified except by direct means',100,2,3),
(55952,109945,'Stuns target',100,1,0),
(55953,109945,'Does not affect Epic targets',100,1,1),
(55954,109945,'Resistibility increases against targets higher than level 87.',100,1,2),
(55955,10109945,'Stuns target',100,1,0),
(55956,10109945,'Does not affect Epic targets',100,1,1),
(55957,10109945,'Resistibility increases against targets higher than level 87.',100,1,2),
(55958,108486,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(55959,108486,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,1),
(55960,108486,'Increases Aggression of caster by 21.2',100,1,2),
(55961,108486,'Increases Defense and Parry of caster by 42.4',100,1,3),
(55962,108486,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(55963,10108486,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(55964,10108486,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,1),
(55965,10108486,'Increases Aggression of caster by 21.2',100,1,2),
(55966,10108486,'Increases Defense and Parry of caster by 42.4',100,1,3),
(55967,10108486,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(55968,40542,'When Equipped:',100,0,0),
(55969,40542,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55970,40542,'Inflicts 50 - 62 heat damage on target encounter',100,2,2),
(55971,40542,'Cannot be modified except by direct means',100,2,3),
(55972,10040542,'When Equipped:',100,0,0),
(55973,10040542,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(55974,10040542,'Inflicts 50 - 62 heat damage on target encounter',100,2,2),
(55975,10040542,'Cannot be modified except by direct means',100,2,3),
(55976,106910,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 6451',100,1,0),
(55977,106910,'Inflicts 5737 - 8866 melee damage on target',100,1,1),
(55978,106910,'Decreases Mitigation of target vs physical damage by 6451',100,1,2),
(55979,106910,'Must be behind',100,1,3),
(55980,10106910,'Inflicts 4142 - 6608 melee damage on target',100,1,0),
(55981,10106910,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2016',100,1,1),
(55982,10106910,'Decreases Mitigation of target vs physical damage by 1774',100,1,2),
(55983,10106910,'Must be behind',100,1,3),
(55984,121027,'Increases AGI of target by 12.8',100,1,0),
(55985,121027,'Adds 0.6% to base avoidance.',100,1,1),
(55986,121027,'Increases In-Combat Power Regeneration of target by 6.4',100,1,2),
(55987,121027,'Increases Max Power of target by 78.4',100,1,3),
(55988,10121027,'Increases AGI of target by 12.8',100,1,0),
(55989,10121027,'Adds 0.6% to base avoidance.',100,1,1),
(55990,10121027,'Increases In-Combat Power Regeneration of target by 6.4',100,1,2),
(55991,10121027,'Increases Max Power of target by 78.4',100,1,3),
(55992,106113,'Increases Attack Speed of caster by 20.7',100,1,0),
(55993,106113,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(55994,106113,'Blurs vision of target',100,2,2),
(55995,106113,'Throws target back',100,2,3),
(55996,106113,'Stuns target',100,2,4),
(55997,106113,'Does not affect Epic targets',100,2,5),
(55998,10106113,'Increases Attack Speed of caster by 20.7',100,1,0),
(55999,10106113,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(56000,10106113,'Throws target back',100,2,2),
(56001,10106113,'Stuns target',100,2,3),
(56002,10106113,'Blurs vision of target',100,2,4),
(56003,10106113,'Does not affect Epic targets',100,2,5),
(56004,112681,'Increases Parry of group members (AE) by 20.7',100,1,0),
(56005,10112681,'Increases Parry of group members (AE) by 20.7',100,1,0),
(56006,108072,'Decreases Threat to target by 88 - 147 ',100,1,0),
(56007,10108072,'Forces target to clear their selected target.',100,1,0),
(56008,10108072,'Target cannot target caster for the duration of this effect.',100,1,1),
(56009,122909,'Increases STR and INT of group members (AE) by 42.2',100,1,0),
(56010,10122909,'Increases STR and INT of group members (AE) by 42.2',100,1,0),
(56011,118070,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(56012,118070,'Increases Defense of caster by 5.3',100,1,1),
(56013,10118070,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(56014,10118070,'Increases Defense of caster by 5.3',100,1,1),
(56015,42564,'When Equipped:',100,0,0),
(56016,42564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56017,42564,'Inflicts 56 - 84 magic damage on target',100,2,2),
(56018,42564,'Cannot be modified except by direct means',100,2,3),
(56019,10042564,'When Equipped:',100,0,0),
(56020,10042564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56021,10042564,'Inflicts 56 - 84 magic damage on target',100,2,2),
(56022,10042564,'Cannot be modified except by direct means',100,2,3),
(56023,110483,'Stifles caster',100,1,0),
(56024,110483,'Increases power of caster by 16 instantly and every second',100,1,1),
(56025,10110483,'Stifles caster',100,1,0),
(56026,10110483,'Increases power of caster by 16 instantly and every second',100,1,1),
(56027,107129,'Inflicts 1448 - 1770 divine damage on target',100,1,0),
(56028,107129,'Inflicts 724 - 885 divine damage on target',100,1,1),
(56029,107129,'If target is undead',100,2,2),
(56030,10107129,'Inflicts 965 - 1092 divine damage on target',100,1,0),
(56031,10107129,'Inflicts 571 - 697 divine damage on target',100,1,1),
(56032,118495,'Summons a limited pet to aid the caster',100,1,0),
(56033,10118495,'Summons a limited pet to aid the caster',100,1,0),
(56034,119296,'Roots target',100,1,0),
(56035,119296,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(56036,119296,'Slows target by 34.1%',100,2,2),
(56037,119296,'5% chance to dispel when target receives hostile action',100,2,3),
(56038,119296,'5% chance to dispel when target takes damage',100,2,4),
(56039,119296,'15% chance to dispel when target takes damage',100,1,5),
(56040,119296,'Does not affect Epic targets',100,1,6),
(56041,119296,'Resistibility increases against targets higher than level 34.',100,1,7),
(56042,10119296,'Roots target',100,1,0),
(56043,10119296,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(56044,10119296,'Slows target by 34.1%',100,2,2),
(56045,10119296,'5% chance to dispel when target receives hostile action',100,2,3),
(56046,10119296,'5% chance to dispel when target takes damage',100,2,4),
(56047,10119296,'15% chance to dispel when target takes damage',100,1,5),
(56048,10119296,'Does not affect Epic targets',100,1,6),
(56049,10119296,'Resistibility increases against targets higher than level 34.',100,1,7),
(56050,36915,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(56051,36915,'Increases Max Health of target by 14.0',100,0,1),
(56052,102326,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(56053,102326,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(56054,102326,'Decreases threat priority of target encounter by 1 position',100,2,2),
(56055,102326,'Decreases Threat to target encounter by 1,152 ',100,2,3),
(56056,102326,'Grants a total of 3 triggers of the spell.',100,2,4),
(56057,102326,'If profession other than Fighter',100,1,5),
(56058,10102326,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(56059,10102326,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(56060,10102326,'Forces target to clear their selected target.',100,2,2),
(56061,10102326,'Target cannot target caster for the duration of this effect.',100,2,3),
(56062,10102326,'Grants a total of 3 triggers of the spell.',100,2,4),
(56063,10102326,'If profession other than Fighter',100,1,5),
(56064,109282,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(56065,109282,'Increases Mitigation of group members (AE) vs elemental damage by 185',100,1,1),
(56066,10109282,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(56067,10109282,'Increases Mitigation of group members (AE) vs elemental damage by 185',100,1,1),
(56068,124744,'Inflicts 237 - 299 slashing damage on target',100,1,0),
(56069,124744,'Decreases Damage Per Second of target by 9.3',100,1,1),
(56070,124744,'Inflicts 83 slashing damage on target instantly and every 4 seconds',100,1,2),
(56071,10124744,'Inflicts 224 - 277 slashing damage on target',100,1,0),
(56072,10124744,'Decreases Damage Per Second of target by 9.3',100,1,1),
(56073,10124744,'Inflicts 65 slashing damage on target instantly and every 4 seconds',100,1,2),
(56074,123305,'Summons a mount to ride',100,1,0),
(56075,123305,'Increases your ground speed by 130%',100,2,1),
(56076,10123305,'Summons a mount to ride',100,1,0),
(56077,10123305,'Increases your ground speed by 130%',100,2,1),
(56078,115122,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(56079,115122,'Increases WIS of target by 50.9',100,2,1),
(56080,115122,'Heals target for 1276',100,2,2),
(56081,115122,'Heals target for 318 every 2 seconds',100,2,3),
(56082,115122,'Grants a total of 1 trigger of the spell.',100,2,4),
(56083,10115122,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(56084,10115122,'Increases WIS of target by 50.9',100,2,1),
(56085,10115122,'Heals target for 654',100,2,2),
(56086,10115122,'Heals target for 163 every 2 seconds',100,2,3),
(56087,10115122,'Grants a total of 1 trigger of the spell.',100,2,4),
(56088,45388,'Applies Bogchild''s Iced Trap when Activated.',100,0,0),
(56089,10045388,'Applies Bogchild''s Iced Trap when Activated.',100,0,0),
(56090,24012,'Adds Aviak (Berserker) to your Dungeon Maker toolbox',100,0,0),
(56091,10024012,'Adds Aviak (Berserker) to your Dungeon Maker toolbox',100,0,0),
(56092,124108,'Increases power of caster by 137',100,1,0),
(56093,10124108,'Increases power of caster by 137',100,1,0),
(56094,48412,'Applies Infusion of Qua''ddathul when Activated.  Lasts for 15 minutes.',100,0,0),
(56095,48412,'Increases AGI, WIS, INT, STA and STR of caster by 1.0',100,1,1),
(56096,48412,'Requires evil alignment',100,1,2),
(56097,10048412,'Applies Infusion of Qua''ddathul when Activated.  Lasts for 15 minutes.',100,0,0),
(56098,10048412,'Increases AGI, WIS, INT, STA and STR of caster by 1.0',100,1,1),
(56099,10048412,'Requires evil alignment',100,1,2),
(56100,118216,'Increases Damage Per Second of group members (AE) by 30.9',100,1,0),
(56101,10118216,'Increases Damage Per Second of group members (AE) by 30.9',100,1,0),
(56102,103006,'Inflicts 96 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(56103,103006,'Inflicts 294 - 329 melee damage on target',100,1,1),
(56104,10103006,'Inflicts 76 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(56105,10103006,'Inflicts 286 - 317 melee damage on target',100,1,1),
(56106,48905,'Applies Translucent Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(56107,48905,'Increases Max Health of caster by 208.0',100,1,1),
(56108,48905,'Only affects targets level 50 and above',100,1,2),
(56109,10048905,'Applies Translucent Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(56110,10048905,'Increases Max Health of caster by 208.0',100,1,1),
(56111,10048905,'Only affects targets level 50 and above',100,1,2),
(56112,104675,'Decreases Mitigation of target vs all damage by 228',100,1,0),
(56113,10104675,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 228',100,1,0),
(56114,10104675,'Decreases Mitigation of target vs physical damage by 190',100,1,1),
(56115,170703,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(56116,170703,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(56117,170703,'Decreases Attack Speed of target by 18.0',100,2,2),
(56118,170703,'Cannot be modified except by direct means',100,2,3),
(56119,170703,'Slows target by 43.5%',100,1,4),
(56120,170703,'5% chance to dispel when target takes damage',100,1,5),
(56121,170703,'5% chance to dispel when target receives hostile action',100,1,6),
(56122,170703,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(56123,10170703,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(56124,10170703,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(56125,10170703,'Decreases Attack Speed of target by 18.0',100,2,2),
(56126,10170703,'Cannot be modified except by direct means',100,2,3),
(56127,10170703,'Slows target by 43.5%',100,1,4),
(56128,10170703,'5% chance to dispel when target takes damage',100,1,5),
(56129,10170703,'5% chance to dispel when target receives hostile action',100,1,6),
(56130,10170703,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(56131,104932,'Inflicts 4777 - 7280 ranged damage on target',100,1,0),
(56132,104932,'Decreases Deflection and Parry of target by 59.5',100,1,1),
(56133,104932,'Requires bow',100,1,2),
(56134,10104932,'Inflicts 2638 - 4117 ranged damage on target',100,1,0),
(56135,10104932,'Decreases Deflection and Parry of target by 59.5',100,1,1),
(56136,10104932,'Requires bow',100,1,2),
(56137,37524,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(56138,35668,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(56139,88996,'When Equipped:',100,0,0),
(56140,88996,'On a combat hit this spell may cast Marr''s Fury on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56141,88996,'Inflicts 490 - 599 divine damage on target',100,2,2),
(56142,88996,'Cannot be modified except by direct means',100,2,3),
(56143,88996,'On a spell cast this spell has a 9% chance to cast Marr''s Favor on caster.  Lasts for 15.0 seconds.  ',100,1,4),
(56144,88996,'Increases the damage of spells by up to 17.5% of your total strength',100,2,5),
(56145,88996,'Cannot be modified except by direct means',100,2,6),
(56146,88996,'Cannot be modified except by direct means',100,1,7),
(56147,10088996,'When Equipped:',100,0,0),
(56148,10088996,'On a combat hit this spell may cast Marr''s Fury on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56149,10088996,'Inflicts 490 - 599 divine damage on target',100,2,2),
(56150,10088996,'Cannot be modified except by direct means',100,2,3),
(56151,10088996,'On a spell cast this spell has a 9% chance to cast Marr''s Favor on caster.  Lasts for 15.0 seconds.  ',100,1,4),
(56152,10088996,'Increases the damage of spells by up to 17.5% of your total strength',100,2,5),
(56153,10088996,'Cannot be modified except by direct means',100,2,6),
(56154,10088996,'Cannot be modified except by direct means',100,1,7),
(56155,115077,'Heals target for 1563 - 1874',100,1,0),
(56156,115077,'Heals target for 94 - 115 every second',100,1,1),
(56157,10115077,'Heals target for 1324 - 1561',100,1,0),
(56158,10115077,'Heals target for 80 - 98 every second',100,1,1),
(56159,77408,'Applies Fire Ball when Activated.',100,0,0),
(56160,77408,'Inflicts 171 - 285 heat damage on target',100,1,1),
(56161,77408,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(56162,10077408,'Applies Fire Ball when Activated.',100,0,0),
(56163,10077408,'Inflicts 171 - 285 heat damage on target',100,1,1),
(56164,10077408,'The casting time of Fire Ball is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(56165,103572,'Summons a pet a briarthorn entraller',100,1,0),
(56166,10103572,'Summons a pet a briarthorn entraller',100,1,0),
(56167,71996,'When Equipped:',100,0,0),
(56168,71996,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56169,71996,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(56170,71996,'Cannot be modified except by direct means',100,2,3),
(56171,10071996,'When Equipped:',100,0,0),
(56172,10071996,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56173,10071996,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(56174,10071996,'Cannot be modified except by direct means',100,2,3),
(56175,177770,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(56176,177770,'Decreases Mitigation of target vs physical damage by 360',100,1,1),
(56177,177770,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(56178,10177770,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(56179,10177770,'Decreases Mitigation of target vs physical damage by 360',100,1,1),
(56180,10177770,'The casting time of Hex of Ruin is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(56181,71509,'When Equipped:',100,0,0),
(56182,71509,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56183,71509,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(56184,71509,'Cannot be modified except by direct means',100,2,3),
(56185,10071509,'When Equipped:',100,0,0),
(56186,10071509,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56187,10071509,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(56188,10071509,'Cannot be modified except by direct means',100,2,3),
(56189,148904,'When Equipped:',100,0,0),
(56190,148904,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(56191,148904,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(56192,148904,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,3),
(56193,148904,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(56194,148904,'Must not be engaged in pvp combat',100,2,5),
(56195,148904,'Cannot be modified except by direct means',100,2,6),
(56196,148904,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(56197,148904,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,8),
(56198,148904,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(56199,148904,'Must not be engaged in pvp combat',100,2,10),
(56200,148904,'Cannot be modified except by direct means',100,2,11),
(56201,148904,'Cannot be modified except by direct means',100,1,12),
(56202,10148904,'When Equipped:',100,0,0),
(56203,10148904,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(56204,10148904,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(56205,10148904,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,3),
(56206,10148904,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(56207,10148904,'Must not be engaged in pvp combat',100,2,5),
(56208,10148904,'Cannot be modified except by direct means',100,2,6),
(56209,10148904,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(56210,10148904,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,8),
(56211,10148904,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(56212,10148904,'Must not be engaged in pvp combat',100,2,10),
(56213,10148904,'Cannot be modified except by direct means',100,2,11),
(56214,10148904,'Cannot be modified except by direct means',100,1,12),
(56215,121518,'Inflicts 1736 - 2880 melee damage on target',100,1,0),
(56216,121518,'Stuns target',100,1,1),
(56217,121518,'If Target is not Epic',100,2,2),
(56218,121518,'Resistibility increases against targets higher than level 59.',100,1,3),
(56219,10121518,'Inflicts 1307 - 1907 melee damage on target',100,1,0),
(56220,10121518,'Stuns target',100,1,1),
(56221,10121518,'If Target is not Epic',100,2,2),
(56222,10121518,'Resistibility increases against targets higher than level 59.',100,1,3),
(56223,24314,'Adds Drachnid (Warlock) to your Dungeon Maker toolbox',100,0,0),
(56224,10024314,'Adds Drachnid (Warlock) to your Dungeon Maker toolbox',100,0,0),
(56225,159201,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(56226,159201,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56227,159201,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(56228,159201,'Cannot be modified except by direct means',100,2,3),
(56229,10159201,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(56230,10159201,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56231,10159201,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(56232,10159201,'Cannot be modified except by direct means',100,2,3),
(56233,35123,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(56234,135088,'When Equipped:',100,0,0),
(56235,135088,'On a spell cast this spell may cast Soothing Rains on the group.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(56236,135088,'Increases power of group members (AE) by 114 - 140 instantly and every 4 seconds',100,2,2),
(56237,135088,'Cannot be modified except by direct means',100,2,3),
(56238,135088,'Cannot be modified except by direct means',100,1,4),
(56239,10135088,'When Equipped:',100,0,0),
(56240,10135088,'On a spell cast this spell may cast Soothing Rains on the group.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(56241,10135088,'Increases power of group members (AE) by 114 - 140 instantly and every 4 seconds',100,2,2),
(56242,10135088,'Cannot be modified except by direct means',100,2,3),
(56243,10135088,'Cannot be modified except by direct means',100,1,4),
(56244,121254,'Inflicts 3869 - 4657 heat damage on target encounter',100,1,0),
(56245,10121254,'Inflicts 2923 - 3544 heat damage on target encounter',100,1,0),
(56246,105850,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(56247,105850,'Increases Damage Per Second of caster by 37.6',100,1,1),
(56248,105850,'Increases Piercing, Slashing and Crushing of caster by 16.2',100,1,2),
(56249,10105850,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(56250,10105850,'Increases Damage Per Second of caster by 37.6',100,1,1),
(56251,10105850,'Increases Piercing, Slashing and Crushing of caster by 16.2',100,1,2),
(56252,101190,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(56253,101190,'Slows target by 66.6%',100,2,1),
(56254,101190,'5% chance to dispel when target receives hostile action',100,2,2),
(56255,101190,'5% chance to dispel when target takes damage',100,2,3),
(56256,101190,'Inflicts 2378 - 3299 cold damage on target',100,1,4),
(56257,101190,'Inflicts 1396 - 2316 cold damage on target',100,1,5),
(56258,101190,'If weapon equipped in Ranged',100,1,6),
(56259,10101190,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(56260,10101190,'Slows target by 66.6%',100,2,1),
(56261,10101190,'5% chance to dispel when target receives hostile action',100,2,2),
(56262,10101190,'5% chance to dispel when target takes damage',100,2,3),
(56263,10101190,'Inflicts 1219 - 1763 cold damage on target',100,1,4),
(56264,10101190,'Inflicts 825 - 1369 cold damage on target',100,1,5),
(56265,10101190,'If weapon equipped in Ranged',100,1,6),
(56266,123727,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(56267,10123727,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(56268,116696,'Heals group members (AE) for 8.5 - 10.4% of max health',100,1,0),
(56269,116696,'This effect cannot be critically applied.',100,2,1),
(56270,116696,'Increases Max Health of group members (AE) by 667.7',100,1,2),
(56271,116696,'The healing of this spell cannot be modified except by direct means',100,1,3),
(56272,10116696,'Heals group members (AE) for 2.7 - 3.3% of max health',100,1,0),
(56273,10116696,'This effect cannot be critically applied.',100,2,1),
(56274,10116696,'Increases Max Health of group members (AE) by 667.7',100,1,2),
(56275,10116696,'The healing of this spell cannot be modified except by direct means',100,1,3),
(56276,157811,'When Equipped:',100,0,0),
(56277,157811,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(56278,157811,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(56279,157811,'Inflicts 516 divine damage on target',100,2,3),
(56280,157811,'Must not be classified as a vampire',100,3,4),
(56281,157811,'Inflicts 1031 divine damage on target',100,2,5),
(56282,157811,'Must be classified as a vampire',100,3,6),
(56283,157811,'Decreases Mitigation of target vs arcane damage by 747',100,2,7),
(56284,157811,'Must be classified as a vampire',100,3,8),
(56285,157811,'Cannot be modified except by direct means',100,2,9),
(56286,10157811,'When Equipped:',100,0,0),
(56287,10157811,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(56288,10157811,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(56289,10157811,'Inflicts 516 divine damage on target',100,2,3),
(56290,10157811,'Must not be classified as a vampire',100,3,4),
(56291,10157811,'Inflicts 1031 divine damage on target',100,2,5),
(56292,10157811,'Must be classified as a vampire',100,3,6),
(56293,10157811,'Decreases Mitigation of target vs arcane damage by 747',100,2,7),
(56294,10157811,'Must be classified as a vampire',100,3,8),
(56295,10157811,'Cannot be modified except by direct means',100,2,9),
(56296,83442,'When Equipped:',100,0,0),
(56297,83442,'On any combat or spell hit this spell may cast Sap of Growth on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56298,83442,'Decreases Attack Speed of target by 10.0',100,2,2),
(56299,83442,'Cannot be modified except by direct means',100,2,3),
(56300,10083442,'When Equipped:',100,0,0),
(56301,10083442,'On any combat or spell hit this spell may cast Sap of Growth on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56302,10083442,'Decreases Attack Speed of target by 10.0',100,2,2),
(56303,10083442,'Cannot be modified except by direct means',100,2,3),
(56304,87953,'When Equipped:',100,0,0),
(56305,87953,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(56306,87953,'Inflicts 27 - 33 poison damage on target',100,2,2),
(56307,87953,'Inflicts 5 - 6 poison damage on target every 4 seconds',100,2,3),
(56308,87953,'Cannot be modified except by direct means',100,2,4),
(56309,10087953,'When Equipped:',100,0,0),
(56310,10087953,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(56311,10087953,'Inflicts 27 - 33 poison damage on target',100,2,2),
(56312,10087953,'Inflicts 5 - 6 poison damage on target every 4 seconds',100,2,3),
(56313,10087953,'Cannot be modified except by direct means',100,2,4),
(56314,121973,'Inflicts 686 - 1143 disease damage on target',100,1,0),
(56315,121973,'Decreases Defense of target by 25.3',100,1,1),
(56316,121973,'Interrupts target',100,1,2),
(56317,10121973,'Inflicts 589 - 981 disease damage on target',100,1,0),
(56318,10121973,'Decreases Defense of target by 25.3',100,1,1),
(56319,10121973,'Interrupts target',100,1,2),
(56320,46181,'Applies essence of health when Activated.',100,0,0),
(56321,46181,'Heals caster for 81',100,1,1),
(56322,10046181,'Applies essence of health when Activated.',100,0,0),
(56323,10046181,'Heals caster for 53',100,1,1),
(56324,121753,'Causes 16% Threat to transfer to target when in combat',100,1,0),
(56325,10121753,'Applies Swarthy Distraction.',100,1,0),
(56326,10121753,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(56327,10121753,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(56328,71518,'When Equipped:',100,0,0),
(56329,71518,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56330,71518,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(56331,71518,'Cannot be modified except by direct means',100,2,3),
(56332,10071518,'When Equipped:',100,0,0),
(56333,10071518,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56334,10071518,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(56335,10071518,'Cannot be modified except by direct means',100,2,3),
(56336,159357,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(56337,159357,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56338,159357,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(56339,159357,'Cannot be modified except by direct means',100,2,3),
(56340,10159357,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(56341,10159357,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56342,10159357,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(56343,10159357,'Cannot be modified except by direct means',100,2,3),
(56344,159590,'When Equipped:',100,0,0),
(56345,159590,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56346,159590,'Increases INT of caster by 8.3',100,2,2),
(56347,159590,'Increases Focus, Subjugation and Disruption of caster by 5.3',100,2,3),
(56348,159590,'Cannot be modified except by direct means',100,2,4),
(56349,10159590,'When Equipped:',100,0,0),
(56350,10159590,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56351,10159590,'Increases INT of caster by 8.3',100,2,2),
(56352,10159590,'Increases Focus, Subjugation and Disruption of caster by 5.3',100,2,3),
(56353,10159590,'Cannot be modified except by direct means',100,2,4),
(56354,144658,'When Equipped:',100,0,0),
(56355,144658,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(56356,144658,'Inflicts 1192 disease damage on target encounter',100,2,2),
(56357,144658,'Must not be engaged in pvp combat',100,2,3),
(56358,144658,'Cannot be modified except by direct means',100,2,4),
(56359,10144658,'When Equipped:',100,0,0),
(56360,10144658,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(56361,10144658,'Inflicts 596 disease damage on target encounter',100,2,2),
(56362,10144658,'Must not be engaged in pvp combat',100,2,3),
(56363,10144658,'Cannot be modified except by direct means',100,2,4),
(56364,111553,'Inflicts 409 - 760 cold damage on target',100,1,0),
(56365,10111553,'Inflicts 352 - 653 cold damage on target',100,1,0),
(56366,103126,'Increases Max Health of caster by 5.0%',100,129,0),
(56367,103126,'Increases STR of caster by 50.7',100,1,1),
(56368,103126,'Adds 2.7% to base avoidance.',100,1,2),
(56369,103126,'Increases Mitigation of caster vs physical damage by 323',100,1,3),
(56370,103126,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1008',100,1,4),
(56371,10103126,'Increases Max Health of caster by 5.0%',100,129,0),
(56372,10103126,'Increases STR of caster by 50.7',100,1,1),
(56373,10103126,'Adds 2.7% to base avoidance.',100,1,2),
(56374,10103126,'Increases Mitigation of caster vs physical damage by 323',100,1,3),
(56375,10103126,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1008',100,1,4),
(56376,110021,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(56377,110021,'Inflicts 345 - 575 disease damage on target',100,2,1),
(56378,110021,'Heals caster for 1.9 - 3.1% of max health',100,2,2),
(56379,110021,'This effect cannot be critically applied.',100,3,3),
(56380,110021,'The healing of this spell cannot be modified except by direct means',100,2,4),
(56381,10110021,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(56382,10110021,'Inflicts 272 - 454 disease damage on target',100,2,1),
(56383,10110021,'Heals caster for 0.6 - 0.9% of max health',100,2,2),
(56384,10110021,'This effect cannot be critically applied.',100,3,3),
(56385,10110021,'The healing of this spell cannot be modified except by direct means',100,2,4),
(56386,52844,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(56387,52844,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(56388,52844,'Inflicts 242 heat damage on target',100,2,2),
(56389,52844,'Cannot be modified except by direct means',100,2,3),
(56390,10052844,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(56391,10052844,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(56392,10052844,'Inflicts 242 heat damage on target',100,2,2),
(56393,10052844,'Cannot be modified except by direct means',100,2,3),
(56394,46840,'Applies Major Salve when Activated.',100,0,0),
(56395,46840,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(56396,10046840,'Applies Major Salve when Activated.',100,0,0),
(56397,10046840,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(56398,100459,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(56399,100459,'Decreases Threat to target by 84 ',100,2,1),
(56400,100459,'If not fighter',100,2,2),
(56401,100459,'Decreases Hate Gain of group members (AE) by 14.3%',100,1,3),
(56402,100459,'If not fighter',100,2,4),
(56403,10100459,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(56404,10100459,'If not fighter',100,2,1),
(56405,10100459,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(56406,10100459,'Inflicts 63 - 69 crushing damage on target',100,2,3),
(56407,10100459,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(56408,10100459,'If not fighter',100,2,5),
(56409,10100459,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(56410,10100459,'If not fighter',100,2,7),
(56411,10100459,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(56412,10100459,'If not fighter',100,2,9),
(56413,123720,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(56414,123720,'Inflicts 2060 divine damage on target',100,2,1),
(56415,123720,'Grants a total of 5 triggers of the spell.',100,2,2),
(56416,10123720,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(56417,10123720,'Inflicts 1523 divine damage on target',100,2,1),
(56418,10123720,'Grants a total of 5 triggers of the spell.',100,2,2),
(56419,117047,'Inflicts 943 - 1560 melee damage on target',100,1,0),
(56420,117047,'Decreases Attack Speed of target by 15.5',100,1,1),
(56421,10117047,'Inflicts 724 - 941 melee damage on target',100,1,0),
(56422,10117047,'Decreases Attack Speed of target by 15.5',100,1,1),
(56423,159994,'Applies Lambent Imbued when Equipped.',100,0,0),
(56424,159994,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56425,159994,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(56426,159994,'Cannot be modified except by direct means',100,2,3),
(56427,10159994,'Applies Lambent Imbued when Equipped.',100,0,0),
(56428,10159994,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56429,10159994,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(56430,10159994,'Cannot be modified except by direct means',100,2,3),
(56431,104035,'Stifles target',100,1,0),
(56432,104035,'If Target is not Epic',100,2,1),
(56433,104035,'Interrupts target',100,1,2),
(56434,104035,'Decreases Threat to target by 2,515 - 3,292 ',100,1,3),
(56435,104035,'Resistibility increases against targets higher than level 106.',100,1,4),
(56436,10104035,'Stifles target',100,1,0),
(56437,10104035,'If Target is not Epic',100,2,1),
(56438,10104035,'Interrupts target',100,1,2),
(56439,10104035,'Resistibility increases against targets higher than level 106.',100,1,3),
(56440,45829,'Applies Consume Essence when Activated.',100,0,0),
(56441,45829,'Heals group members (AE) for 605 - 740',100,1,1),
(56442,45829,'Dispels 119 levels of any hostile effects on caster',100,1,2),
(56443,10045829,'Applies Consume Essence when Activated.',100,0,0),
(56444,10045829,'Heals group members (AE) for 394 - 481',100,1,1),
(56445,10045829,'Dispels 119 levels of any hostile effects on caster',100,1,2),
(56446,117758,'Increases Max Health of target by 101.4',100,1,0),
(56447,117758,'Increases Slashing and Crushing of target by 2.4',100,1,1),
(56448,117758,'Increases Piercing of target by 4.8',100,1,2),
(56449,10117758,'Increases Max Health of target by 101.4',100,1,0),
(56450,10117758,'Increases Slashing and Crushing of target by 2.4',100,1,1),
(56451,10117758,'Increases Piercing of target by 4.8',100,1,2),
(56452,49142,'Applies Call Winter Wolf when Activated.',100,0,0),
(56453,49142,'Summons a mount to ride',100,1,1),
(56454,49142,'Increases your ground speed by 130%',100,2,2),
(56455,49142,'Increases Subjugation, Ministration, Disruption, Ordination, Piercing, Ranged, Crushing, Focus, Slashing and Aggression of caster by 5.0',100,1,3),
(56456,10049142,'Applies Call Winter Wolf when Activated.',100,0,0),
(56457,10049142,'Summons a mount to ride',100,1,1),
(56458,10049142,'Increases your ground speed by 130%',100,2,2),
(56459,10049142,'Increases Subjugation, Ministration, Disruption, Ordination, Piercing, Ranged, Crushing, Focus, Slashing and Aggression of caster by 5.0',100,1,3),
(56460,80980,'When Equipped:',100,0,0),
(56461,80980,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56462,80980,'Inflicts 369 - 686 magic damage on target',100,2,2),
(56463,80980,'Cannot be modified except by direct means',100,2,3),
(56464,10080980,'When Equipped:',100,0,0),
(56465,10080980,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56466,10080980,'Inflicts 369 - 686 magic damage on target',100,2,2),
(56467,10080980,'Cannot be modified except by direct means',100,2,3),
(56468,100524,'Heals group members (AE) for 353 - 432',100,1,0),
(56469,10100524,'Heals group members (AE) for 322 - 394',100,1,0),
(56470,117178,'Inflicts 1393 poison damage on target',100,1,0),
(56471,117178,'Inflicts 411 poison damage on target every 4 seconds',100,1,1),
(56472,117178,'Decreases WIS of target by 62.1',100,1,2),
(56473,10117178,'Inflicts 718 poison damage on target',100,1,0),
(56474,10117178,'Inflicts 324 poison damage on target every 4 seconds',100,1,1),
(56475,10117178,'Decreases WIS of target by 62.1',100,1,2),
(56476,102657,'Inflicts 2094 - 2826 melee damage on target',100,1,0),
(56477,102657,'Inflicts 438 heat damage on target every 6 seconds',100,1,1),
(56478,10102657,'Inflicts 1290 - 1880 melee damage on target',100,1,0),
(56479,10102657,'Inflicts 345 heat damage on target every 6 seconds',100,1,1),
(56480,112211,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(56481,112211,'Inflicts 59 disease damage on target',100,2,1),
(56482,112211,'Increases Threat to target by 115 ',100,2,2),
(56483,112211,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 536',100,1,3),
(56484,10112211,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(56485,10112211,'Inflicts 46 disease damage on target',100,2,1),
(56486,10112211,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 536',100,1,2),
(56487,111059,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(56488,111059,'Slows target by 41.5%',100,2,1),
(56489,111059,'5% chance to dispel when target receives hostile action',100,2,2),
(56490,111059,'5% chance to dispel when target takes damage',100,2,3),
(56491,111059,'Decreases Mitigation of target vs elemental damage by 552',100,1,4),
(56492,10111059,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(56493,10111059,'Slows target by 41.5%',100,2,1),
(56494,10111059,'5% chance to dispel when target receives hostile action',100,2,2),
(56495,10111059,'5% chance to dispel when target takes damage',100,2,3),
(56496,10111059,'Decreases Mitigation of target vs elemental damage by 552',100,1,4),
(56497,105393,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(56498,105393,'Inflicts 510 melee damage on target',100,2,1),
(56499,105393,'Interrupts target',100,2,2),
(56500,105393,'Decreases Defense of caster by 24.6',100,1,3),
(56501,105393,'Increases Piercing, Slashing, Ranged and Crushing of caster by 35.1',100,1,4),
(56502,10105393,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(56503,10105393,'Inflicts 402 melee damage on target',100,2,1),
(56504,10105393,'Interrupts target',100,2,2),
(56505,10105393,'Decreases Defense of caster by 24.6',100,1,3),
(56506,10105393,'Increases Piercing, Slashing, Ranged and Crushing of caster by 35.1',100,1,4),
(56507,26549,'When Equipped:',100,0,0),
(56508,26549,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(56509,26549,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,2),
(56510,10026549,'When Equipped:',100,0,0),
(56511,10026549,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(56512,10026549,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,2),
(56513,106122,'Increases Attack Speed of caster by 38.7',100,1,0),
(56514,106122,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(56515,106122,'Stuns target',100,2,2),
(56516,106122,'Throws target back',100,2,3),
(56517,106122,'Blurs vision of target',100,2,4),
(56518,106122,'Does not affect Epic targets',100,2,5),
(56519,10106122,'Increases Attack Speed of caster by 38.7',100,1,0),
(56520,10106122,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(56521,10106122,'Stuns target',100,2,2),
(56522,10106122,'Throws target back',100,2,3),
(56523,10106122,'Blurs vision of target',100,2,4),
(56524,10106122,'Does not affect Epic targets',100,2,5),
(56525,123622,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(56526,123622,'Slows target by 30.2%',100,2,1),
(56527,123622,'5% chance to dispel when target receives hostile action',100,2,2),
(56528,123622,'5% chance to dispel when target takes damage',100,2,3),
(56529,123622,'Inflicts 51 - 62 cold damage on target',100,1,4),
(56530,10123622,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(56531,10123622,'Slows target by 30.2%',100,2,1),
(56532,10123622,'5% chance to dispel when target receives hostile action',100,2,2),
(56533,10123622,'5% chance to dispel when target takes damage',100,2,3),
(56534,10123622,'Inflicts 40 - 48 cold damage on target',100,1,4),
(56535,103160,'Throws target back',100,1,0),
(56536,103160,'If Target is not Epic',100,2,1),
(56537,103160,'Inflicts 779 - 2303 crushing damage on target',100,1,2),
(56538,103160,'Stuns target',100,1,3),
(56539,103160,'If Target is not Epic',100,2,4),
(56540,103160,'Resistibility increases against targets higher than level 70.',100,1,5),
(56541,10103160,'Throws target back',100,1,0),
(56542,10103160,'If Target is not Epic',100,2,1),
(56543,10103160,'Inflicts 612 - 1604 crushing damage on target',100,1,2),
(56544,10103160,'Stuns target',100,1,3),
(56545,10103160,'If Target is not Epic',100,2,4),
(56546,10103160,'Resistibility increases against targets higher than level 70.',100,1,5),
(56547,114562,'Heals target for 5334 - 6301',100,1,0),
(56548,10114562,'Heals target for 8487 - 10271',100,1,0),
(56549,108143,'Inflicts 1397 - 2139 melee damage on target',100,1,0),
(56550,108143,'You must be sneaking to use this ability.',100,1,1),
(56551,108143,'Must be flanking or behind',100,1,2),
(56552,10108143,'Inflicts 757 - 995 melee damage on target',100,1,0),
(56553,10108143,'You must be sneaking to use this ability.',100,1,1),
(56554,10108143,'Must be flanking or behind',100,1,2),
(56555,74811,'When Equipped:',100,0,0),
(56556,74811,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56557,74811,'Inflicts 168 - 253 magic damage on target',100,2,2),
(56558,74811,'Cannot be modified except by direct means',100,2,3),
(56559,10074811,'When Equipped:',100,0,0),
(56560,10074811,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56561,10074811,'Inflicts 168 - 253 magic damage on target',100,2,2),
(56562,10074811,'Cannot be modified except by direct means',100,2,3),
(56563,181025,'When Equipped:',100,0,0),
(56564,181025,'On a hit this spell may cast Soul Reap on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56565,181025,'Increases power of caster by 233 instantly and every 4 seconds',100,2,2),
(56566,181025,'Cannot be modified except by direct means',100,2,3),
(56567,181025,'Cannot be modified except by direct means',100,1,4),
(56568,10181025,'When Equipped:',100,0,0),
(56569,10181025,'On a hit this spell may cast Soul Reap on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56570,10181025,'Increases power of caster by 233 instantly and every 4 seconds',100,2,2),
(56571,10181025,'Cannot be modified except by direct means',100,2,3),
(56572,10181025,'Cannot be modified except by direct means',100,1,4),
(56573,47824,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(56574,47824,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(56575,47824,'Decreases Attack Speed of target by 29.3',100,2,2),
(56576,47824,'Cannot be modified except by direct means',100,2,3),
(56577,47824,'Grants a total of 60 triggers of the spell.',100,2,4),
(56578,10047824,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(56579,10047824,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(56580,10047824,'Decreases Attack Speed of target by 29.3',100,2,2),
(56581,10047824,'Cannot be modified except by direct means',100,2,3),
(56582,10047824,'Grants a total of 60 triggers of the spell.',100,2,4),
(56583,104826,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(56584,104826,'If Fighter',100,2,1),
(56585,104826,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(56586,104826,'Increases power of target by 22',100,2,3),
(56587,104826,'Increases power of caster by 22',100,2,4),
(56588,10104826,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(56589,10104826,'Increases power of target by 22',100,2,1),
(56590,10104826,'Increases power of caster by 22',100,2,2),
(56591,108962,'Increases INT of group members (AE) by 132.5',100,1,0),
(56592,108962,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 50.9',100,1,1),
(56593,10108962,'Increases INT of group members (AE) by 132.5',100,1,0),
(56594,10108962,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 50.9',100,1,1),
(56595,37549,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(56596,116849,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(56597,116849,'Inflicts 1707 - 2086 mental damage on target',100,2,1),
(56598,116849,'Grants a total of 3 triggers of the spell.',100,2,2),
(56599,10116849,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(56600,10116849,'Inflicts 1285 - 1541 mental damage on target',100,2,1),
(56601,10116849,'Grants a total of 3 triggers of the spell.',100,2,2),
(56602,37568,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(56603,147202,'When Equipped:',100,0,0),
(56604,147202,'On a spell cast this spell may cast Mana Breeze on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(56605,147202,'Increases power of group members by 301',100,2,2),
(56606,147202,'Cannot be modified except by direct means',100,2,3),
(56607,10147202,'When Equipped:',100,0,0),
(56608,10147202,'On a spell cast this spell may cast Mana Breeze on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(56609,10147202,'Increases power of group members by 301',100,2,2),
(56610,10147202,'Cannot be modified except by direct means',100,2,3),
(56611,36361,'Increases STR and AGI of target by 13.2',100,0,0),
(56612,36361,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(56613,81047,'When Equipped:',100,0,0),
(56614,81047,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56615,81047,'Inflicts 261 - 484 magic damage on target',100,2,2),
(56616,81047,'Cannot be modified except by direct means',100,2,3),
(56617,10081047,'When Equipped:',100,0,0),
(56618,10081047,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56619,10081047,'Inflicts 261 - 484 magic damage on target',100,2,2),
(56620,10081047,'Cannot be modified except by direct means',100,2,3),
(56621,106639,'Inflicts 4704 - 5640 disease damage on target',100,1,0),
(56622,106639,'Heals caster for 8.6 - 10.6% of max health',100,1,1),
(56623,106639,'This effect cannot be critically applied.',100,2,2),
(56624,106639,'The healing of this spell cannot be modified except by direct means',100,1,3),
(56625,10106639,'Inflicts 3517 - 4255 disease damage on target',100,1,0),
(56626,10106639,'Heals caster for 5.2 - 6.3% of max health',100,1,1),
(56627,10106639,'This effect cannot be critically applied.',100,2,2),
(56628,10106639,'The healing of this spell cannot be modified except by direct means',100,1,3),
(56629,119624,'Inflicts 7618 - 12478 mental damage on targets in Area of Effect',100,1,0),
(56630,119624,'Stuns targets in Area of Effect',100,1,1),
(56631,119624,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(56632,119624,'Resistibility increases against targets higher than level 109.',100,1,3),
(56633,10119624,'Inflicts 5878 - 9708 mental damage on targets in Area of Effect',100,1,0),
(56634,10119624,'Stuns targets in Area of Effect',100,1,1),
(56635,10119624,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(56636,10119624,'Resistibility increases against targets higher than level 109.',100,1,3),
(56637,116248,'Summons a pet Illusion Ally',100,1,0),
(56638,10116248,'Summons a pet Illusion Ally',100,1,0),
(56639,112507,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(56640,112507,'Inflicts 306 disease damage on target instantly and every 4 seconds',100,2,1),
(56641,112507,'50% of target''s power consumed will also be drained from target''s health',100,2,2),
(56642,10112507,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(56643,10112507,'Inflicts 241 disease damage on target instantly and every 4 seconds',100,2,1),
(56644,10112507,'50% of target''s power consumed will also be drained from target''s health',100,2,2),
(56645,108053,'Inflicts 3068 magic damage on target',100,1,0),
(56646,108053,'Increases power of caster by 263',100,1,1),
(56647,10108053,'Inflicts 2038 magic damage on target',100,1,0),
(56648,10108053,'Increases power of caster by 263',100,1,1),
(56649,103749,'Inflicts 8452 - 10257 magic damage on targets in Area of Effect',100,1,0),
(56650,10103749,'Inflicts 6535 - 7958 magic damage on targets in Area of Effect',100,1,0),
(56651,109910,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(56652,109910,'Inflicts 629 - 769 poison damage on target instantly and every 4 seconds',100,2,1),
(56653,10109910,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(56654,10109910,'Inflicts 496 - 606 poison damage on target instantly and every 4 seconds',100,2,1),
(56655,104557,'Inflicts 822 - 1364 disease damage on target',100,1,0),
(56656,104557,'Decreases WIS of target by 40.1',100,1,1),
(56657,10104557,'Inflicts 648 - 1075 disease damage on target',100,1,0),
(56658,10104557,'Decreases WIS of target by 40.1',100,1,1),
(56659,74638,'When Equipped:',100,0,0),
(56660,74638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56661,74638,'Inflicts 124 - 186 magic damage on target',100,2,2),
(56662,74638,'Cannot be modified except by direct means',100,2,3),
(56663,10074638,'When Equipped:',100,0,0),
(56664,10074638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56665,10074638,'Inflicts 124 - 186 magic damage on target',100,2,2),
(56666,10074638,'Cannot be modified except by direct means',100,2,3),
(56667,120049,'Decreases power of target encounter by 327 instantly and every 4 seconds',100,1,0),
(56668,120049,'Inflicts 1309 - 1527 mental damage on target encounter',100,1,1),
(56669,120049,'Inflicts 982 - 1200 mental damage on target encounter every 4 seconds',100,1,2),
(56670,10120049,'Decreases power of target encounter by 258 instantly and every 4 seconds',100,1,0),
(56671,10120049,'Inflicts 905 - 1077 mental damage on target encounter',100,1,1),
(56672,10120049,'Inflicts 774 - 946 mental damage on target encounter every 4 seconds',100,1,2),
(56673,36506,'Increases STR and WIS of target by 15.4',100,0,0),
(56674,36506,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(56675,81016,'When Equipped:',100,0,0),
(56676,81016,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56677,81016,'Inflicts 295 - 547 magic damage on target',100,2,2),
(56678,81016,'Cannot be modified except by direct means',100,2,3),
(56679,10081016,'When Equipped:',100,0,0),
(56680,10081016,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56681,10081016,'Inflicts 295 - 547 magic damage on target',100,2,2),
(56682,10081016,'Cannot be modified except by direct means',100,2,3),
(56683,106795,'Decreases STR and AGI of target encounter by 42.6',100,1,0),
(56684,10106795,'Decreases STR and AGI of target encounter by 42.6',100,1,0),
(56685,111138,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(56686,111138,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 443',100,1,1),
(56687,111138,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,2),
(56688,10111138,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(56689,10111138,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 443',100,1,1),
(56690,10111138,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,2),
(56691,115669,'Increases STR of caster by 12.2',100,1,0),
(56692,115669,'Decreases Defense of caster by 2.2',100,1,1),
(56693,115669,'Increases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(56694,10115669,'Increases STR of caster by 12.2',100,1,0),
(56695,10115669,'Decreases Defense of caster by 2.2',100,1,1),
(56696,10115669,'Increases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(56697,105307,'Increases AGI of caster by 194.7',100,1,0),
(56698,105307,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(56699,105307,'Inflicts 1074 - 1791 mental damage on target',100,2,2),
(56700,105307,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(56701,105307,'Inflicts 1074 - 1791 mental damage on target',100,2,4),
(56702,105307,'Adds 18.7% to base avoidance.',100,1,5),
(56703,105307,'Increases Mitigation of caster vs physical damage by 664',100,1,6),
(56704,105307,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,7),
(56705,10105307,'Increases AGI of caster by 194.7',100,1,0),
(56706,10105307,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(56707,10105307,'Inflicts 847 - 1411 mental damage on target',100,2,2),
(56708,10105307,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(56709,10105307,'Inflicts 847 - 1411 mental damage on target',100,2,4),
(56710,10105307,'Adds 18.7% to base avoidance.',100,1,5),
(56711,10105307,'Increases Mitigation of caster vs physical damage by 664',100,1,6),
(56712,10105307,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,7),
(56713,117083,'Summons a limited pet to aid the caster',100,1,0),
(56714,117083,'Summons 3 limited pets to aid the caster',100,1,1),
(56715,10117083,'Summons a limited pet to aid the caster',100,1,0),
(56716,10117083,'Summons 3 limited pets to aid the caster',100,1,1),
(56717,160007,'Applies Lambent Imbued when Equipped.',100,0,0),
(56718,160007,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56719,160007,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(56720,160007,'Cannot be modified except by direct means',100,2,3),
(56721,10160007,'Applies Lambent Imbued when Equipped.',100,0,0),
(56722,10160007,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56723,10160007,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(56724,10160007,'Cannot be modified except by direct means',100,2,3),
(56725,121053,'Increases STR and STA of group members (AE) by 17.5',100,1,0),
(56726,10121053,'Increases STR and STA of group members (AE) by 17.5',100,1,0),
(56727,83781,'When Equipped:',100,0,0),
(56728,83781,'On a melee hit this spell may cast Intrepid Strike on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56729,83781,'Increases Potency of caster by 15.0%',100,2,2),
(56730,83781,'Caster has a 15.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(56731,83781,'Cannot be modified except by direct means',100,2,4),
(56732,83781,'Cannot be modified except by direct means',100,1,5),
(56733,10083781,'When Equipped:',100,0,0),
(56734,10083781,'On a melee hit this spell may cast Intrepid Strike on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56735,10083781,'Increases Potency of caster by 15.0%',100,2,2),
(56736,10083781,'Caster has a 15.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(56737,10083781,'Cannot be modified except by direct means',100,2,4),
(56738,10083781,'Cannot be modified except by direct means',100,1,5),
(56739,119925,'Inflicts 2061 - 2301 mental damage on target',100,1,0),
(56740,119925,'Inflicts 359 - 439 mental damage on target every 2.3 seconds',100,1,1),
(56741,119925,'Stifles target',100,1,2),
(56742,119925,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,3),
(56743,119925,'Resistibility increases against targets higher than level 87.',100,1,4),
(56744,10119925,'Inflicts 1245 - 1433 mental damage on target',100,1,0),
(56745,10119925,'Inflicts 283 - 346 mental damage on target every second',100,1,1),
(56746,10119925,'Stifles target',100,1,2),
(56747,10119925,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(56748,10119925,'Resistibility increases against targets higher than level 87.',100,1,4),
(56749,105754,'Stuns target',100,1,0),
(56750,105754,'If Target is not Epic',100,2,1),
(56751,105754,'Decreases power of target by 592 - 724',100,1,2),
(56752,105754,'Resistibility increases against targets higher than level 42.',100,1,3),
(56753,10105754,'Stuns target',100,1,0),
(56754,10105754,'If Target is not Epic',100,2,1),
(56755,10105754,'Decreases power of target by 467 - 571',100,1,2),
(56756,10105754,'Resistibility increases against targets higher than level 42.',100,1,3),
(56757,155821,'When Equipped:',100,0,0),
(56758,155821,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(56759,155821,'Wards caster against 1250 points of all damage',100,2,2),
(56760,155821,'Cannot be modified except by direct means',100,2,3),
(56761,155821,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(56762,155821,'Wards caster against 1250 points of all damage',100,2,5),
(56763,155821,'Cannot be modified except by direct means',100,2,6),
(56764,10155821,'When Equipped:',100,0,0),
(56765,10155821,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(56766,10155821,'Wards caster against 625 points of all damage',100,2,2),
(56767,10155821,'Cannot be modified except by direct means',100,2,3),
(56768,10155821,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(56769,10155821,'Wards caster against 625 points of all damage',100,2,5),
(56770,10155821,'Cannot be modified except by direct means',100,2,6),
(56771,41525,'When Equipped:',100,0,0),
(56772,41525,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56773,41525,'Inflicts 449 - 834 magic damage on target',100,2,2),
(56774,41525,'Cannot be modified except by direct means',100,2,3),
(56775,10041525,'When Equipped:',100,0,0),
(56776,10041525,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56777,10041525,'Inflicts 449 - 834 magic damage on target',100,2,2),
(56778,10041525,'Cannot be modified except by direct means',100,2,3),
(56779,103364,'Decreases power of target by 78 instantly and every 6 seconds',100,1,0),
(56780,103364,'Inflicts 1290 - 1365 mental damage on target',100,1,1),
(56781,103364,'Inflicts 313 - 382 mental damage on target every 6 seconds',100,1,2),
(56782,103364,'Increases power of caster by 70',100,1,3),
(56783,10103364,'Decreases power of target by 62 instantly and every 6 seconds',100,1,0),
(56784,10103364,'Inflicts 641 - 696 mental damage on target',100,1,1),
(56785,10103364,'Inflicts 246 - 301 mental damage on target every 6 seconds',100,1,2),
(56786,10103364,'Increases power of caster by 70',100,1,3),
(56787,141937,'When Equipped:',100,0,0),
(56788,141937,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56789,141937,'Increases WIS of caster by 3.6',100,2,2),
(56790,141937,'Increases Ordination, Focus and Ministration of caster by 2.2',100,2,3),
(56791,141937,'Cannot be modified except by direct means',100,2,4),
(56792,10141937,'When Equipped:',100,0,0),
(56793,10141937,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56794,10141937,'Increases WIS of caster by 3.6',100,2,2),
(56795,10141937,'Increases Ordination, Focus and Ministration of caster by 2.2',100,2,3),
(56796,10141937,'Cannot be modified except by direct means',100,2,4),
(56797,102375,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(56798,102375,'Increases Attack Speed of target by 24.6',100,2,1),
(56799,102375,'Increases Damage Per Second of target by 24.6',100,2,2),
(56800,102375,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(56801,102375,'Increases Attack Speed of target by 24.6',100,2,4),
(56802,102375,'Increases Damage Per Second of target by 24.6',100,2,5),
(56803,102375,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(56804,102375,'Increases Attack Speed of target by 24.6',100,2,7),
(56805,102375,'Increases Damage Per Second of target by 24.6',100,2,8),
(56806,10102375,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(56807,10102375,'Increases Attack Speed of target by 24.6',100,2,1),
(56808,10102375,'Increases Damage Per Second of target by 24.6',100,2,2),
(56809,10102375,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(56810,10102375,'Increases Attack Speed of target by 24.6',100,2,4),
(56811,10102375,'Increases Damage Per Second of target by 24.6',100,2,5),
(56812,10102375,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(56813,10102375,'Increases Attack Speed of target by 24.6',100,2,7),
(56814,10102375,'Increases Damage Per Second of target by 24.6',100,2,8),
(56815,24128,'Adds Clockwork Gnome (Assassin) to your Dungeon Maker toolbox',100,0,0),
(56816,10024128,'Adds Clockwork Gnome (Assassin) to your Dungeon Maker toolbox',100,0,0),
(56817,174768,'When Equipped:',100,0,0),
(56818,174768,'On any combat or spell hit this spell may cast Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(56819,174768,'Inflicts 2913 poison damage on target',100,2,2),
(56820,174768,'Decreases Threat to target by 4,665 ',100,2,3),
(56821,174768,'Increases Ability Reuse Speed of caster by 5.0%',100,2,4),
(56822,174768,'Cannot be modified except by direct means',100,2,5),
(56823,10174768,'When Equipped:',100,0,0),
(56824,10174768,'On any combat or spell hit this spell may cast Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(56825,10174768,'Inflicts 2383 poison damage on target',100,2,2),
(56826,10174768,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(56827,10174768,'Cannot be modified except by direct means',100,2,4),
(56828,123867,'Increases AGI of caster by 54.2',100,1,0),
(56829,123867,'Adds 15.6% to base avoidance.',100,1,1),
(56830,123867,'Increases Damage Per Second of caster by 43.6',100,1,2),
(56831,123867,'Increases Mitigation of caster vs physical damage by 483',100,1,3),
(56832,123867,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,4),
(56833,10123867,'Increases AGI of caster by 54.2',100,1,0),
(56834,10123867,'Adds 15.6% to base avoidance.',100,1,1),
(56835,10123867,'Increases Damage Per Second of caster by 43.6',100,1,2),
(56836,10123867,'Increases Mitigation of caster vs physical damage by 483',100,1,3),
(56837,10123867,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,4),
(56838,135722,'When Equipped:',100,0,0),
(56839,135722,'On a spell cast this spell may cast Protective Sands on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(56840,135722,'Increases Ability Modifier of group members (AE) by 300.0',100,2,2),
(56841,135722,'Must not be engaged in pvp combat',100,2,3),
(56842,135722,'Cannot be modified except by direct means',100,2,4),
(56843,10135722,'When Equipped:',100,0,0),
(56844,10135722,'On a spell cast this spell may cast Protective Sands on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(56845,10135722,'Increases Ability Modifier of group members (AE) by 300.0',100,2,2),
(56846,10135722,'Must not be engaged in pvp combat',100,2,3),
(56847,10135722,'Cannot be modified except by direct means',100,2,4),
(56848,46721,'Applies elemental remedy when Activated.',100,0,0),
(56849,46721,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(56850,10046721,'Applies elemental remedy when Activated.',100,0,0),
(56851,10046721,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(56852,123145,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(56853,123145,'Reduces physical damage done to caster by 5%',100,1,1),
(56854,123145,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(56855,123145,'Increases Aggression of caster by 1.0',100,1,3),
(56856,123145,'Increases Defense and Parry of caster by 2.0',100,1,4),
(56857,123145,'Increases Mitigation of caster vs elemental damage by 169',100,1,5),
(56858,123145,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(56859,10123145,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(56860,10123145,'Reduces physical damage done to caster by 5%',100,1,1),
(56861,10123145,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(56862,10123145,'Increases Aggression of caster by 1.0',100,1,3),
(56863,10123145,'Increases Defense and Parry of caster by 2.0',100,1,4),
(56864,10123145,'Increases Mitigation of caster vs elemental damage by 169',100,1,5),
(56865,10123145,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(56866,48694,'Applies Dargon''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(56867,48694,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(56868,10048694,'Applies Dargon''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(56869,10048694,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(56870,122815,'Inflicts 868 - 1441 ranged damage on target',100,1,0),
(56871,122815,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(56872,122815,'Increases Hate Gain of target by 30.0%',100,2,2),
(56873,122815,'Grants a total of 1 trigger of the spell.',100,2,3),
(56874,122815,'Requires bow',100,1,4),
(56875,10122815,'Inflicts 513 - 851 ranged damage on target',100,1,0),
(56876,10122815,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(56877,10122815,'Grants a total of 1 trigger of the spell.',100,2,2),
(56878,10122815,'Requires bow',100,1,3),
(56879,157982,'When Equipped:',100,0,0),
(56880,157982,'Increases Attack Speed of caster by 18.0',100,1,1),
(56881,10157982,'When Equipped:',100,0,0),
(56882,10157982,'Increases Attack Speed of caster by 18.0',100,1,1),
(56883,102631,'Inflicts 346 - 526 melee damage on target',100,1,0),
(56884,102631,'Inflicts 72 heat damage on target every 6 seconds',100,1,1),
(56885,10102631,'Inflicts 311 - 467 melee damage on target',100,1,0),
(56886,10102631,'Inflicts 57 heat damage on target every 6 seconds',100,1,1),
(56887,121173,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(56888,121173,'Increases Agility of caster by 12.',100,1,1),
(56889,10121173,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(56890,10121173,'Increases Deflection of caster by 3.0',100,1,1),
(56891,119605,'Increases power of caster by 98 instantly and every 4 seconds',100,1,0),
(56892,10119605,'Increases power of caster by 98 instantly and every 4 seconds',100,1,0),
(56893,141751,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(56894,141751,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56895,141751,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(56896,141751,'Cannot be modified except by direct means',100,2,3),
(56897,10141751,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(56898,10141751,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(56899,10141751,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(56900,10141751,'Cannot be modified except by direct means',100,2,3),
(56901,106874,'Decreases Threat to targets in Area of Effect by 2,833 ',100,1,0),
(56902,106874,'Stuns targets in Area of Effect',100,1,1),
(56903,106874,'If Target is not Epic',100,2,2),
(56904,10106874,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(56905,10106874,'Applies Distract.',100,1,1),
(56906,10106874,'Forces target to clear their selected target.',100,2,2),
(56907,10106874,'Stuns targets in Area of Effect',100,1,3),
(56908,10106874,'If Target is not Epic',100,2,4),
(56909,159987,'Applies Sanguine Imbued when Equipped.',100,0,0),
(56910,159987,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(56911,159987,'Inflicts 111 heat damage on target',100,2,2),
(56912,159987,'Cannot be modified except by direct means',100,2,3),
(56913,10159987,'Applies Sanguine Imbued when Equipped.',100,0,0),
(56914,10159987,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(56915,10159987,'Inflicts 111 heat damage on target',100,2,2),
(56916,10159987,'Cannot be modified except by direct means',100,2,3),
(56917,74653,'When Equipped:',100,0,0),
(56918,74653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56919,74653,'Inflicts 85 - 128 magic damage on target',100,2,2),
(56920,74653,'Cannot be modified except by direct means',100,2,3),
(56921,10074653,'When Equipped:',100,0,0),
(56922,10074653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56923,10074653,'Inflicts 85 - 128 magic damage on target',100,2,2),
(56924,10074653,'Cannot be modified except by direct means',100,2,3),
(56925,123464,'Shapechanges caster into a bear',100,1,0),
(56926,123464,'Increases WIS of caster by 116.6',100,1,1),
(56927,123464,'Grants See Stealth to caster',100,1,2),
(56928,123464,'Increases Max Health of caster by 516.2',100,1,3),
(56929,123464,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1767',100,1,4),
(56930,10123464,'Shapechanges caster into a bear',100,1,0),
(56931,10123464,'Increases WIS of caster by 116.6',100,1,1),
(56932,10123464,'Grants See Stealth to caster',100,1,2),
(56933,10123464,'Increases Max Health of caster by 516.2',100,1,3),
(56934,10123464,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1767',100,1,4),
(56935,157094,'When Equipped:',100,0,0),
(56936,157094,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(56937,157094,'Heals caster for 392',100,2,2),
(56938,157094,'Cannot be modified except by direct means',100,2,3),
(56939,10157094,'When Equipped:',100,0,0),
(56940,10157094,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(56941,10157094,'Heals caster for 255',100,2,2),
(56942,10157094,'Cannot be modified except by direct means',100,2,3),
(56943,37599,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(56944,116231,'Increases AGI of caster by 10.5',100,1,0),
(56945,116231,'Increases INT of caster by 26.4',100,1,1),
(56946,10116231,'Increases AGI of caster by 10.5',100,1,0),
(56947,10116231,'Increases INT of caster by 26.4',100,1,1),
(56948,71445,'When Equipped:',100,0,0),
(56949,71445,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56950,71445,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(56951,71445,'Cannot be modified except by direct means',100,2,3),
(56952,10071445,'When Equipped:',100,0,0),
(56953,10071445,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(56954,10071445,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(56955,10071445,'Cannot be modified except by direct means',100,2,3),
(56956,121988,'Increases Threat to target by 145 - 178 ',100,1,0),
(56957,10121988,'Prevents target from changing targets',100,1,0),
(56958,10121988,'Forces target to change their selected target to caster.',100,1,1),
(56959,48937,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(56960,48937,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(56961,48937,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(56962,48937,'Cannot be modified except by direct means',100,2,3),
(56963,48937,'Grants a total of 80 triggers of the spell.',100,2,4),
(56964,10048937,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(56965,10048937,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(56966,10048937,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(56967,10048937,'Cannot be modified except by direct means',100,2,3),
(56968,10048937,'Grants a total of 80 triggers of the spell.',100,2,4),
(56969,36615,'Increases outgoing heal and ward amount by 1.5%',100,0,0),
(56970,36615,'Increases STA and WIS of target by 61.6',100,0,1),
(56971,36615,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,2),
(56972,113071,'Dazes target',100,1,0),
(56973,113071,'If Target is not Epic',100,2,1),
(56974,113071,'Applies Scream on termination.',100,1,2),
(56975,113071,'Inflicts 1080 - 1800 disease damage on target',100,2,3),
(56976,113071,'Resistibility increases against targets higher than level 91.',100,1,4),
(56977,10113071,'Dazes target',100,1,0),
(56978,10113071,'If Target is not Epic',100,2,1),
(56979,10113071,'Applies Scream on termination.',100,1,2),
(56980,10113071,'Inflicts 851 - 1419 disease damage on target',100,2,3),
(56981,10113071,'Resistibility increases against targets higher than level 91.',100,1,4),
(56982,120830,'Inflicts 450 - 609 disease damage on target',100,1,0),
(56983,120830,'Inflicts 129 - 174 disease damage on target every second',100,1,1),
(56984,10120830,'Inflicts 463 - 586 disease damage on target',100,1,0),
(56985,10120830,'Inflicts 101 - 137 disease damage on target every second',100,1,1),
(56986,113566,'Inflicts 5497 - 8507 disease damage on target',100,1,0),
(56987,10113566,'Inflicts 3953 - 6325 disease damage on target',100,1,0),
(56988,42527,'When Equipped:',100,0,0),
(56989,42527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56990,42527,'Inflicts 83 - 124 magic damage on target',100,2,2),
(56991,42527,'Cannot be modified except by direct means',100,2,3),
(56992,10042527,'When Equipped:',100,0,0),
(56993,10042527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(56994,10042527,'Inflicts 83 - 124 magic damage on target',100,2,2),
(56995,10042527,'Cannot be modified except by direct means',100,2,3),
(56996,121422,'Inflicts 10613 - 12880 ranged damage on targets in area',100,1,0),
(56997,10121422,'Inflicts 6211 - 7551 ranged damage on targets in area',100,1,0),
(56998,100448,'Increases INT of target by 34.0',100,1,0),
(56999,100448,'Increases Attack Speed of target by 25.7',100,1,1),
(57000,100448,'Decreases Defense and Parry of target by 4.9',100,1,2),
(57001,100448,'Increases Slashing, Crushing and Piercing of target by 4.6',100,1,3),
(57002,10100448,'Increases INT of target by 34.0',100,1,0),
(57003,10100448,'Increases Attack Speed of target by 25.7',100,1,1),
(57004,10100448,'Decreases Defense and Parry of target by 4.9',100,1,2),
(57005,10100448,'Increases Slashing, Crushing and Piercing of target by 4.6',100,1,3),
(57006,36701,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(57007,105409,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(57008,105409,'Increases STR of caster by 55.4',100,1,1),
(57009,105409,'Decreases Defense of caster by 4.8',100,1,2),
(57010,105409,'Increases Slashing, Piercing, Crushing and Disruption of caster by 12.1',100,1,3),
(57011,10105409,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(57012,10105409,'Increases STR of caster by 55.4',100,1,1),
(57013,10105409,'Decreases Defense of caster by 4.8',100,1,2),
(57014,10105409,'Increases Slashing, Piercing, Crushing and Disruption of caster by 12.1',100,1,3),
(57015,106922,'Inflicts 357 - 663 poison damage on target',100,1,0),
(57016,10106922,'Inflicts 307 - 570 poison damage on target',100,1,0),
(57017,102194,'Increases Mitigation of group members (AE) vs physical damage by 691',100,1,0),
(57018,10102194,'Increases Mitigation of group members (AE) vs physical damage by 691',100,1,0),
(57019,104423,'Stifles target encounter',100,1,0),
(57020,104423,'Inflicts 1884 - 2230 mental damage on target encounter',100,1,1),
(57021,104423,'Inflicts 1557 - 1902 mental damage on target encounter every second',100,1,2),
(57022,104423,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(57023,104423,'Resistibility increases against targets higher than level 119.',100,1,4),
(57024,10104423,'Stifles target encounter',100,1,0),
(57025,10104423,'Inflicts 1273 - 1526 mental damage on target encounter',100,1,1),
(57026,10104423,'Inflicts 1141 - 1395 mental damage on target encounter every 0.4 seconds',100,1,2),
(57027,10104423,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(57028,10104423,'Resistibility increases against targets higher than level 119.',100,1,4),
(57029,100920,'Stuns targets in Area of Effect',20,1,0),
(57030,100920,'If Target is not Epic',100,2,1),
(57031,100920,'Inflicts 2703 - 4287 divine damage on targets in Area of Effect',100,1,2),
(57032,100920,'Resistibility increases against targets higher than level 99.',100,1,3),
(57033,10100920,'Stuns targets in Area of Effect',20,1,0),
(57034,10100920,'If Target is not Epic',100,2,1),
(57035,10100920,'Inflicts 1895 - 3070 divine damage on targets in Area of Effect',100,1,2),
(57036,10100920,'Resistibility increases against targets higher than level 99.',100,1,3),
(57037,120372,'Inflicts 1777 - 1954 divine damage on target',100,1,0),
(57038,120372,'Inflicts 795 - 971 divine damage on target every 4 seconds',100,1,1),
(57039,120372,'Decreases WIS of target by 93.7',100,1,2),
(57040,10120372,'Inflicts 1021 - 1160 divine damage on target',100,1,0),
(57041,10120372,'Inflicts 626 - 766 divine damage on target every 4 seconds',100,1,1),
(57042,10120372,'Decreases WIS of target by 93.7',100,1,2),
(57043,171968,'When Equipped:',100,0,0),
(57044,171968,'On a critical healing spell cast this spell may cast Flockmaster''s Protection IX on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(57045,171968,'This effect applies to both the caster and the target.',100,2,2),
(57046,171968,'When any damage is received this spell will cast Flockmaster''s Protection IX on target.  ',100,2,3),
(57047,171968,'Heals target for 970 - 1072',100,3,4),
(57048,171968,'Must not be engaged in pvp combat',100,3,5),
(57049,171968,'Cannot be modified except by direct means',100,3,6),
(57050,171968,'Grants a total of 5 triggers of the spell.',100,3,7),
(57051,171968,'Must not be engaged in pvp combat',100,2,8),
(57052,171968,'Cannot be modified except by direct means',100,2,9),
(57053,171968,'Must not be engaged in pvp combat',100,1,10),
(57054,10171968,'When Equipped:',100,0,0),
(57055,10171968,'On a critical healing spell cast this spell may cast Flockmaster''s Protection IX on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(57056,10171968,'This effect applies to both the caster and the target.',100,2,2),
(57057,10171968,'When any damage is received this spell will cast Flockmaster''s Protection IX on target.  ',100,2,3),
(57058,10171968,'Heals target for 1134 - 1254',100,3,4),
(57059,10171968,'Must not be engaged in pvp combat',100,3,5),
(57060,10171968,'Cannot be modified except by direct means',100,3,6),
(57061,10171968,'Grants a total of 5 triggers of the spell.',100,3,7),
(57062,10171968,'Must not be engaged in pvp combat',100,2,8),
(57063,10171968,'Cannot be modified except by direct means',100,2,9),
(57064,10171968,'Must not be engaged in pvp combat',100,1,10),
(57065,54510,'When Equipped:',100,0,0),
(57066,54510,'On a melee hit this spell may cast Rush To Battle on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57067,54510,'Reduces physical damage done to caster by 5%',100,2,2),
(57068,54510,'Increases Potency of caster by 10.0%',100,2,3),
(57069,54510,'Cannot be modified except by direct means',100,2,4),
(57070,54510,'Cannot be modified except by direct means',100,1,5),
(57071,10054510,'When Equipped:',100,0,0),
(57072,10054510,'On a melee hit this spell may cast Rush To Battle on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57073,10054510,'Reduces physical damage done to caster by 5%',100,2,2),
(57074,10054510,'Increases Potency of caster by 10.0%',100,2,3),
(57075,10054510,'Cannot be modified except by direct means',100,2,4),
(57076,10054510,'Cannot be modified except by direct means',100,1,5),
(57077,80238,'When Equipped:',100,0,0),
(57078,80238,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57079,80238,'Inflicts 300 - 557 magic damage on target',100,2,2),
(57080,80238,'Cannot be modified except by direct means',100,2,3),
(57081,10080238,'When Equipped:',100,0,0),
(57082,10080238,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57083,10080238,'Inflicts 300 - 557 magic damage on target',100,2,2),
(57084,10080238,'Cannot be modified except by direct means',100,2,3),
(57085,117342,'Roots target',100,1,0),
(57086,117342,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(57087,117342,'Slows target by 42.2%',100,2,2),
(57088,117342,'5% chance to dispel when target receives hostile action',100,2,3),
(57089,117342,'5% chance to dispel when target takes damage',100,2,4),
(57090,117342,'15% chance to dispel when target takes damage',100,1,5),
(57091,117342,'Does not affect Epic targets',100,1,6),
(57092,117342,'Resistibility increases against targets higher than level 90.',100,1,7),
(57093,10117342,'Roots target',100,1,0),
(57094,10117342,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(57095,10117342,'Slows target by 42.2%',100,2,2),
(57096,10117342,'10% chance to dispel when target receives hostile action',100,2,3),
(57097,10117342,'10% chance to dispel when target takes damage',100,2,4),
(57098,10117342,'15% chance to dispel when target takes damage',100,1,5),
(57099,10117342,'Does not affect Epic targets',100,1,6),
(57100,10117342,'Resistibility increases against targets higher than level 90.',100,1,7),
(57101,117101,'Mesmerizes target encounter',100,1,0),
(57102,117101,'Prevents AOE (except when direct) ',100,1,1),
(57103,117101,'Dispelled when target takes damage',100,1,2),
(57104,117101,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(57105,117101,'Resistibility increases against targets higher than level 82.',100,1,4),
(57106,10117101,'Mesmerizes target encounter',100,1,0),
(57107,10117101,'Prevents AOE (except when direct) ',100,1,1),
(57108,10117101,'Dispelled when target takes damage',100,1,2),
(57109,10117101,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(57110,10117101,'Resistibility increases against targets higher than level 82.',100,1,4),
(57111,45272,'Applies Illusion: Froglok when Activated.  Lasts for 6 hours.',100,0,0),
(57112,45272,'Shapechanges caster into a froglok',100,1,1),
(57113,10045272,'Applies Illusion: Froglok when Activated.  Lasts for 6 hours.',100,0,0),
(57114,10045272,'Shapechanges caster into a froglok',100,1,1),
(57115,122434,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(57116,122434,'Stuns target',100,2,1),
(57117,122434,'Throws target back',100,2,2),
(57118,122434,'Blurs vision of target',100,2,3),
(57119,122434,'Does not affect Epic targets',100,2,4),
(57120,122434,'Inflicts 289 - 480 crushing damage on target',100,1,5),
(57121,122434,'If facing target',100,1,6),
(57122,10122434,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(57123,10122434,'Throws target back',100,2,1),
(57124,10122434,'Stuns target',100,2,2),
(57125,10122434,'Blurs vision of target',100,2,3),
(57126,10122434,'Does not affect Epic targets',100,2,4),
(57127,10122434,'Inflicts 233 - 386 crushing damage on target',100,1,5),
(57128,10122434,'If facing target',100,1,6),
(57129,158650,'When Equipped:',100,0,0),
(57130,158650,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(57131,158650,'Increases power of caster by 180',100,2,2),
(57132,158650,'Cannot be modified except by direct means',100,2,3),
(57133,10158650,'When Equipped:',100,0,0),
(57134,10158650,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(57135,10158650,'Increases power of caster by 180',100,2,2),
(57136,10158650,'Cannot be modified except by direct means',100,2,3),
(57137,107314,'Decreases WIS of target by 44.5',100,1,0),
(57138,107314,'Decreases Defense of target by 17.3',100,1,1),
(57139,10107314,'Decreases WIS of target by 44.5',100,1,0),
(57140,10107314,'Decreases Defense of target by 17.3',100,1,1),
(57141,71354,'When Equipped:',100,0,0),
(57142,71354,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57143,71354,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(57144,71354,'Cannot be modified except by direct means',100,2,3),
(57145,10071354,'When Equipped:',100,0,0),
(57146,10071354,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57147,10071354,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(57148,10071354,'Cannot be modified except by direct means',100,2,3),
(57149,82138,'When Equipped:',100,0,0),
(57150,82138,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(57151,82138,'Inflicts 272 - 505 magic damage on target',100,2,2),
(57152,82138,'Decreases Threat to target by 641 ',100,2,3),
(57153,82138,'Must be flanking or behind',100,3,4),
(57154,82138,'Increases Threat to target by 1,101 ',100,2,5),
(57155,82138,'Must be in front of',100,3,6),
(57156,82138,'Cannot be modified except by direct means',100,2,7),
(57157,10082138,'When Equipped:',100,0,0),
(57158,10082138,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(57159,10082138,'Inflicts 272 - 505 magic damage on target',100,2,2),
(57160,10082138,'Cannot be modified except by direct means',100,2,3),
(57161,124022,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(57162,124022,'Heals target for 737 - 901',100,2,1),
(57163,124022,'Grants a total of 5 triggers of the spell.',100,2,2),
(57164,10124022,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(57165,10124022,'Heals target for 392 - 479',100,2,1),
(57166,10124022,'Grants a total of 5 triggers of the spell.',100,2,2),
(57167,108765,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(57168,108765,'Inflicts 86 - 105 heat damage on target instantly and every 4 seconds',100,2,1),
(57169,108765,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(57170,108765,'Inflicts 382 - 467 heat damage on target encounter',100,3,3),
(57171,108765,'Grants a total of 1 trigger of the spell.',100,3,4),
(57172,10108765,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(57173,10108765,'Inflicts 68 - 83 heat damage on target instantly and every 4 seconds',100,2,1),
(57174,10108765,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(57175,10108765,'Inflicts 301 - 368 heat damage on target encounter',100,3,3),
(57176,10108765,'Grants a total of 1 trigger of the spell.',100,3,4),
(57177,45985,'Applies Spirit of the unicorn when Activated.  Lasts for 12 hours.',100,0,0),
(57178,45985,'Shapechanges caster into a unicorn',100,1,1),
(57179,10045985,'Applies Spirit of the unicorn when Activated.  Lasts for 12 hours.',100,0,0),
(57180,10045985,'Shapechanges caster into a unicorn',100,1,1),
(57181,108047,'Inflicts 2377 magic damage on target',100,1,0),
(57182,108047,'Increases power of caster by 200',100,1,1),
(57183,10108047,'Inflicts 1644 magic damage on target',100,1,0),
(57184,10108047,'Increases power of caster by 200',100,1,1),
(57185,148601,'When Equipped:',100,0,0),
(57186,148601,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(57187,148601,'Stuns target',100,2,2),
(57188,148601,'Only affects targets level 95 and below',100,2,3),
(57189,148601,'Does not affect Epic targets',100,2,4),
(57190,148601,'Resistibility increases against targets higher than level 111.',100,2,5),
(57191,148601,'Cannot be modified except by direct means',100,2,6),
(57192,10148601,'When Equipped:',100,0,0),
(57193,10148601,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(57194,10148601,'Stuns target',100,2,2),
(57195,10148601,'Only affects targets level 95 and below',100,2,3),
(57196,10148601,'Does not affect Epic targets',100,2,4),
(57197,10148601,'Resistibility increases against targets higher than level 111.',100,2,5),
(57198,10148601,'Cannot be modified except by direct means',100,2,6),
(57199,107213,'Inflicts 1475 - 2231 melee damage on targets in area',100,1,0),
(57200,107213,'Dispels 76 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(57201,10107213,'Inflicts 1036 - 1632 melee damage on targets in area',100,1,0),
(57202,10107213,'Reduces healing received of targets in area by 10%',100,1,1),
(57203,106724,'Heals target for 1534 - 1875',100,1,0),
(57204,10106724,'Heals target for 1204 - 1415',100,1,0),
(57205,103418,'Slows targets in Area of Effect by 56.0%',100,1,0),
(57206,103418,'Stifles targets in Area of Effect',100,1,1),
(57207,103418,'If Target is not Epic',100,2,2),
(57208,103418,'Decreases Threat to targets in Area of Effect by 7,663 ',100,1,3),
(57209,103418,'10% chance to dispel when target receives hostile action',100,1,4),
(57210,103418,'10% chance to dispel when target takes damage',100,1,5),
(57211,10103418,'Slows targets in Area of Effect by 56.0%',100,1,0),
(57212,10103418,'Stifles targets in Area of Effect',100,1,1),
(57213,10103418,'If Target is not Epic',100,2,2),
(57214,10103418,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(57215,113965,'Decreases power of target encounter by 522 instantly and every 4 seconds',100,1,0),
(57216,113965,'Increases power of group members (AE) by 65 instantly and every 4 seconds',100,1,1),
(57217,10113965,'Decreases power of target encounter by 411 instantly and every 4 seconds',100,1,0),
(57218,10113965,'Increases power of group members (AE) by 65 instantly and every 4 seconds',100,1,1),
(57219,45499,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(57220,45499,'Charms target',100,1,1),
(57221,45499,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(57222,45499,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(57223,45499,'5% chance to dispel when target takes damage',100,1,4),
(57224,45499,'If target is goblin',100,1,5),
(57225,45499,'Certain enemies cannot be charmed',100,1,6),
(57226,45499,'Does not affect Epic targets',100,1,7),
(57227,10045499,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(57228,10045499,'Charms target',100,1,1),
(57229,10045499,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(57230,10045499,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(57231,10045499,'5% chance to dispel when target takes damage',100,1,4),
(57232,10045499,'If target is goblin',100,1,5),
(57233,10045499,'Certain enemies cannot be charmed',100,1,6),
(57234,10045499,'Does not affect Epic targets',100,1,7),
(57235,109496,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(57236,109496,'Increases Attack Speed of caster by 21.0',100,130,1),
(57237,109496,'Increases Crushing, Piercing, Ranged and Slashing of caster by 39.7',100,130,2),
(57238,109496,'Inflicts 5574 - 8597 cold damage on target',100,1,3),
(57239,10109496,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(57240,10109496,'Increases Attack Speed of caster by 21.0',100,130,1),
(57241,10109496,'Increases Crushing, Piercing, Ranged and Slashing of caster by 39.7',100,130,2),
(57242,10109496,'Inflicts 4014 - 6396 cold damage on target',100,1,3),
(57243,116044,'Shapechanges caster into a lion',100,1,0),
(57244,116044,'Increases STA of caster by 55.0',100,1,1),
(57245,116044,'Adds 3.2% to base avoidance.',100,1,2),
(57246,116044,'Grants See Stealth to caster',100,1,3),
(57247,116044,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 904',100,1,4),
(57248,10116044,'Shapechanges caster into a lion',100,1,0),
(57249,10116044,'Increases STA of caster by 55.0',100,1,1),
(57250,10116044,'Adds 3.2% to base avoidance.',100,1,2),
(57251,10116044,'Grants See Stealth to caster',100,1,3),
(57252,10116044,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 904',100,1,4),
(57253,115427,'Inflicts 6900 - 10796 melee damage on target',100,1,0),
(57254,115427,'Decreases INT of target by 171.6',100,1,1),
(57255,115427,'You must be sneaking to use this ability.',100,1,2),
(57256,10115427,'Inflicts 5058 - 8129 melee damage on target',100,1,0),
(57257,10115427,'Decreases INT of target by 171.6',100,1,1),
(57258,10115427,'You must be sneaking to use this ability.',100,1,2),
(57259,75465,'When Equipped:',100,0,0),
(57260,75465,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(57261,75465,'Inflicts 464 piercing damage on target',100,2,2),
(57262,75465,'Cannot be modified except by direct means',100,2,3),
(57263,10075465,'When Equipped:',100,0,0),
(57264,10075465,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(57265,10075465,'Inflicts 232 piercing damage on target',100,2,2),
(57266,10075465,'Cannot be modified except by direct means',100,2,3),
(57267,124059,'Increases power of caster by 166',100,1,0),
(57268,10124059,'Increases power of caster by 166',100,1,0),
(57269,70942,'When Equipped:',100,0,0),
(57270,70942,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(57271,70942,'Inflicts 167 - 278 heat damage on target',100,2,2),
(57272,70942,'Cannot be modified except by direct means',100,2,3),
(57273,10070942,'When Equipped:',100,0,0),
(57274,10070942,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(57275,10070942,'Inflicts 167 - 278 heat damage on target',100,2,2),
(57276,10070942,'Cannot be modified except by direct means',100,2,3),
(57277,85151,'When Equipped:',100,0,0),
(57278,85151,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57279,85151,'Increases Mitigation of target vs all damage by 1116',100,2,2),
(57280,85151,'This effect can be stacked by multiple casters.',100,2,3),
(57281,85151,'Cannot be modified except by direct means',100,2,4),
(57282,85151,'When Equipped:',100,0,5),
(57283,85151,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(57284,85151,'Wards group members (AE) against 3500 points of all damage',100,2,7),
(57285,85151,'Cannot be modified except by direct means',100,2,8),
(57286,10085151,'When Equipped:',100,0,0),
(57287,10085151,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57288,10085151,'Increases Mitigation of target vs all damage by 1116',100,2,2),
(57289,10085151,'This effect can be stacked by multiple casters.',100,2,3),
(57290,10085151,'Cannot be modified except by direct means',100,2,4),
(57291,10085151,'When Equipped:',100,0,5),
(57292,10085151,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(57293,10085151,'Wards group members (AE) against 3500 points of all damage',100,2,7),
(57294,10085151,'Cannot be modified except by direct means',100,2,8),
(57295,36536,'Increases STA and WIS of target by 4.6',100,0,0),
(57296,36536,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,1),
(57297,71610,'When Equipped:',100,0,0),
(57298,71610,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57299,71610,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(57300,71610,'Cannot be modified except by direct means',100,2,3),
(57301,10071610,'When Equipped:',100,0,0),
(57302,10071610,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57303,10071610,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(57304,10071610,'Cannot be modified except by direct means',100,2,3),
(57305,100775,'Summons a limited pet to aid the caster',100,1,0),
(57306,10100775,'Summons a limited pet to aid the caster',100,1,0),
(57307,180676,'Applies Sneakoscopic Goggles when Equipped.',100,0,0),
(57308,180676,'Grants See Invisibility to caster',100,1,1),
(57309,180676,'Grants See Stealth to caster',100,1,2),
(57310,10180676,'Applies Sneakoscopic Goggles when Equipped.',100,0,0),
(57311,10180676,'Grants See Invisibility to caster',100,1,1),
(57312,10180676,'Grants See Stealth to caster',100,1,2),
(57313,103024,'Inflicts 548 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(57314,103024,'Inflicts 1189 - 1325 melee damage on target',100,1,1),
(57315,10103024,'Inflicts 432 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(57316,10103024,'Inflicts 557 - 664 melee damage on target',100,1,1),
(57317,113288,'Inflicts 268 - 445 heat damage on target',100,1,0),
(57318,10113288,'Inflicts 320 - 532 heat damage on target',100,1,0),
(57319,121183,'Grants stealth to caster',100,1,0),
(57320,121183,'Suspends caster''s movement speed enhancements',100,1,1),
(57321,121183,'Decreases Threat to target by 300 - 500 ',100,1,2),
(57322,10121183,'Forces target to clear their selected target.',100,1,0),
(57323,10121183,'Grants stealth to caster',100,1,1),
(57324,10121183,'Suspends caster''s movement speed enhancements',100,1,2),
(57325,47352,'Applies Nature''s Recluse when Activated.',100,0,0),
(57326,47352,'Shapechanges the user into a Drachnid, and provides a shield which damages any melee attacker.',100,1,1),
(57327,10047352,'Applies Nature''s Recluse when Activated.',100,0,0),
(57328,10047352,'Shapechanges the user into a Drachnid, and provides a shield which damages any melee attacker.',100,1,1),
(57329,117365,'Inflicts 446 - 545 divine damage on target',100,1,0),
(57330,117365,'Inflicts 223 - 272 divine damage on target',100,1,1),
(57331,117365,'If target is undead',100,2,2),
(57332,10117365,'Inflicts 398 - 487 divine damage on target',100,1,0),
(57333,10117365,'Inflicts 176 - 215 divine damage on target',100,1,1),
(57334,10117365,'If target is undead',100,2,2),
(57335,102528,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(57336,102528,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(57337,102528,'Increases Aggression of caster by 9.0',100,1,2),
(57338,102528,'Increases Defense and Parry of caster by 18.0',100,1,3),
(57339,102528,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(57340,10102528,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(57341,10102528,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,1),
(57342,10102528,'Increases Aggression of caster by 9.0',100,1,2),
(57343,10102528,'Increases Defense and Parry of caster by 18.0',100,1,3),
(57344,10102528,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(57345,119653,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(57346,119653,'Throws target back',100,2,1),
(57347,119653,'Stuns target',100,2,2),
(57348,119653,'Blurs vision of target',100,2,3),
(57349,119653,'Does not affect Epic targets',100,2,4),
(57350,119653,'Inflicts 854 - 2525 melee damage on target',100,1,5),
(57351,10119653,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(57352,10119653,'Blurs vision of target',100,2,1),
(57353,10119653,'Throws target back',100,2,2),
(57354,10119653,'Stuns target',100,2,3),
(57355,10119653,'Does not affect Epic targets',100,2,4),
(57356,10119653,'Inflicts 671 - 1721 melee damage on target',100,1,5),
(57357,112059,'Inflicts 47 - 78 heat damage on target',100,1,0),
(57358,112059,'Inflicts 9 - 16 heat damage on target every 2 seconds',100,1,1),
(57359,10112059,'Inflicts 55 - 92 heat damage on target',100,1,0),
(57360,10112059,'Inflicts 18 - 30 heat damage on target every 2 seconds',100,1,1),
(57361,74698,'When Equipped:',100,0,0),
(57362,74698,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57363,74698,'Inflicts 295 - 443 magic damage on target',100,2,2),
(57364,74698,'Cannot be modified except by direct means',100,2,3),
(57365,10074698,'When Equipped:',100,0,0),
(57366,10074698,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57367,10074698,'Inflicts 295 - 443 magic damage on target',100,2,2),
(57368,10074698,'Cannot be modified except by direct means',100,2,3),
(57369,46730,'Applies trauma remedy when Activated.',100,0,0),
(57370,46730,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(57371,10046730,'Applies trauma remedy when Activated.',100,0,0),
(57372,10046730,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(57373,47834,'Applies Shatter when Activated.',100,0,0),
(57374,47834,'This effect cannot be cast during combat',100,1,1),
(57375,10047834,'Applies Shatter when Activated.',100,0,0),
(57376,10047834,'This effect cannot be cast during combat',100,1,1),
(57377,103250,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(57378,103250,'Adds 2.4% to base avoidance.',100,1,1),
(57379,103250,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(57380,103250,'Increases Parry of caster by 34.9',100,1,3),
(57381,103250,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(57382,103250,'Increases Aggression of caster by 26.2',100,1,5),
(57383,103250,'Increases Defense and Deflection of caster by 34.9',100,1,6),
(57384,103250,'Increases Mitigation of caster vs noxious damage by 2419',100,1,7),
(57385,103250,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(57386,103250,'Reduces physical damage done to caster by 5%',100,1,9),
(57387,10103250,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(57388,10103250,'Adds 2.4% to base avoidance.',100,1,1),
(57389,10103250,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(57390,10103250,'Increases Parry of caster by 34.9',100,1,3),
(57391,10103250,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(57392,10103250,'Increases Aggression of caster by 26.2',100,1,5),
(57393,10103250,'Increases Defense and Deflection of caster by 34.9',100,1,6),
(57394,10103250,'Increases Mitigation of caster vs noxious damage by 2419',100,1,7),
(57395,10103250,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(57396,10103250,'Reduces physical damage done to caster by 5%',100,1,9),
(57397,36313,'Increases STA and WIS of target by 4.6',100,0,0),
(57398,36313,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,1),
(57399,71959,'When Equipped:',100,0,0),
(57400,71959,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57401,71959,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(57402,71959,'Cannot be modified except by direct means',100,2,3),
(57403,10071959,'When Equipped:',100,0,0),
(57404,10071959,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57405,10071959,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(57406,10071959,'Cannot be modified except by direct means',100,2,3),
(57407,158347,'Applies Hooluk in a Hat when Activated.',100,0,0),
(57408,158347,'Summons a pet Hooluk',100,1,1),
(57409,158347,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(57410,10158347,'Applies Hooluk in a Hat when Activated.',100,0,0),
(57411,10158347,'Summons a pet Hooluk',100,1,1),
(57412,10158347,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(57413,73122,'When Equipped:',100,0,0),
(57414,73122,'On a hit this spell may cast Supressing Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(57415,73122,'Increases Threat to target by 525  instantly and by 87  every 5 seconds thereafter',100,2,2),
(57416,73122,'Cannot be modified except by direct means',100,2,3),
(57417,10073122,'When Equipped:',100,0,0),
(57418,10073122,'On a hit this spell may cast Supressing Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(57419,10073122,'Cannot be modified except by direct means',100,2,2),
(57420,73928,'Applies Holy Strike when Activated.',100,0,0),
(57421,73928,'Inflicts 171 - 285 divine damage on target',100,1,1),
(57422,73928,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(57423,10073928,'Applies Holy Strike when Activated.',100,0,0),
(57424,10073928,'Inflicts 171 - 285 divine damage on target',100,1,1),
(57425,10073928,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(57426,103274,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(57427,103274,'If Fighter',100,2,1),
(57428,103274,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(57429,103274,'Increases power of target by 11 instantly and every 4 seconds',100,2,3),
(57430,103274,'Increases power of caster by 11 instantly and every 4 seconds',100,2,4),
(57431,10103274,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(57432,10103274,'Increases power of target by 11 instantly and every 4 seconds',100,2,1),
(57433,10103274,'Increases power of caster by 11 instantly and every 4 seconds',100,2,2),
(57434,26416,'When Equipped:',100,0,0),
(57435,26416,'On a parry this spell has a 6% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(57436,26416,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(57437,26416,'Heals caster for 185 - 227',100,3,3),
(57438,26416,'Grants a total of 3 triggers of the spell.',100,3,4),
(57439,26416,'Cannot be modified except by direct means',100,2,5),
(57440,10026416,'When Equipped:',100,0,0),
(57441,10026416,'On a parry this spell has a 6% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(57442,10026416,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(57443,10026416,'Heals caster for 99 - 120',100,3,3),
(57444,10026416,'Grants a total of 3 triggers of the spell.',100,3,4),
(57445,10026416,'Cannot be modified except by direct means',100,2,5),
(57446,111048,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(57447,111048,'Increases Threat to target by 3,542 ',100,2,1),
(57448,111048,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(57449,111048,'Increases Threat to target by 3,542 ',100,2,3),
(57450,10111048,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(57451,10111048,'Inflicts 371 - 410 crushing damage on target',100,2,1),
(57452,10111048,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(57453,10111048,'Inflicts 371 - 410 crushing damage on target',100,2,3),
(57454,109126,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(57455,109126,'Increases Attack Speed of caster by 59.1',100,1,1),
(57456,109126,'Increases Damage Per Second of caster by 68.6',100,1,2),
(57457,109126,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(57458,109126,'Increases Ranged of caster by 84.5',100,1,4),
(57459,109126,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(57460,109126,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(57461,109126,'Increases Crushing of group members (AE) by 84.5',100,2,7),
(57462,109126,'Increases Slashing of group members (AE) by 84.5',100,2,8),
(57463,109126,'If profession other than Ranger',100,3,9),
(57464,109126,'Increases Piercing of group members (AE) by 84.5',100,2,10),
(57465,109126,'If profession other than Ranger',100,3,11),
(57466,10109126,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(57467,10109126,'Increases Attack Speed of caster by 59.1',100,1,1),
(57468,10109126,'Increases Damage Per Second of caster by 68.6',100,1,2),
(57469,10109126,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(57470,10109126,'Increases Ranged of caster by 84.5',100,1,4),
(57471,10109126,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(57472,10109126,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(57473,10109126,'Increases Crushing of group members (AE) by 84.5',100,2,7),
(57474,10109126,'Increases Slashing of group members (AE) by 84.5',100,2,8),
(57475,10109126,'If profession other than Ranger',100,3,9),
(57476,10109126,'Increases Piercing of group members (AE) by 84.5',100,2,10),
(57477,10109126,'If profession other than Ranger',100,3,11),
(57478,36249,'Increases Out-of-Combat Power Regeneration of target by 12.0',100,0,0),
(57479,142862,'When Equipped:',100,0,0),
(57480,142862,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(57481,142862,'Increases damage done by combat arts by up to 500.',100,2,2),
(57482,142862,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(57483,142862,'Cannot be modified except by direct means',100,2,4),
(57484,142862,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(57485,142862,'Increases damage done by combat arts by up to 500.',100,2,6),
(57486,142862,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(57487,142862,'Cannot be modified except by direct means',100,2,8),
(57488,142862,'Cannot be modified except by direct means',100,1,9),
(57489,10142862,'When Equipped:',100,0,0),
(57490,10142862,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(57491,10142862,'Increases damage done by combat arts by up to 500.',100,2,2),
(57492,10142862,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(57493,10142862,'Cannot be modified except by direct means',100,2,4),
(57494,10142862,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(57495,10142862,'Increases damage done by combat arts by up to 500.',100,2,6),
(57496,10142862,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(57497,10142862,'Cannot be modified except by direct means',100,2,8),
(57498,10142862,'Cannot be modified except by direct means',100,1,9),
(57499,24431,'Adds Greater Vigor (Multiple) to your Dungeon Maker toolbox',100,0,0),
(57500,10024431,'Adds Greater Vigor (Multiple) to your Dungeon Maker toolbox',100,0,0),
(57501,122679,'Decreases Defense of target by 27.6',100,1,0),
(57502,122679,'Decreases Mitigation of target vs physical damage by 482',100,1,1),
(57503,10122679,'Decreases Defense of target by 27.6',100,1,0),
(57504,10122679,'Decreases Mitigation of target vs physical damage by 482',100,1,1),
(57505,138402,'Applies Heroic Resistance X when Equipped.',100,0,0),
(57506,138402,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(57507,138402,'Cannot be modified except by direct means',100,1,2),
(57508,10138402,'Applies Heroic Resistance X when Equipped.',100,0,0),
(57509,10138402,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(57510,10138402,'Cannot be modified except by direct means',100,1,2),
(57511,116348,'Mesmerizes target encounter',100,1,0),
(57512,116348,'Prevents AOE (except when direct) ',100,1,1),
(57513,116348,'Dispelled when target takes damage',100,1,2),
(57514,116348,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(57515,116348,'Resistibility increases against targets higher than level 66.',100,1,4),
(57516,10116348,'Mesmerizes target encounter',100,1,0),
(57517,10116348,'Prevents AOE (except when direct) ',100,1,1),
(57518,10116348,'Dispelled when target takes damage',100,1,2),
(57519,10116348,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(57520,10116348,'Resistibility increases against targets higher than level 66.',100,1,4),
(57521,71793,'When Equipped:',100,0,0),
(57522,71793,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57523,71793,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(57524,71793,'Cannot be modified except by direct means',100,2,3),
(57525,10071793,'When Equipped:',100,0,0),
(57526,10071793,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57527,10071793,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(57528,10071793,'Cannot be modified except by direct means',100,2,3),
(57529,45151,'Applies Al''Sedhati Vidyut potion when Activated.',100,0,0),
(57530,10045151,'Applies Al''Sedhati Vidyut potion when Activated.',100,0,0),
(57531,72654,'When Equipped:',100,0,0),
(57532,72654,'On a spell cast this spell may cast Intense Focus on the group.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57533,72654,'Reduces the power cost of the group''s next spell by 75%',100,2,2),
(57534,10072654,'When Equipped:',100,0,0),
(57535,10072654,'On a spell cast this spell may cast Intense Focus on the group.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57536,10072654,'Reduces the power cost of the group''s next spell by 75%',100,2,2),
(57537,101943,'Inflicts 806 piercing damage on target instantly and every 4 seconds',100,1,0),
(57538,101943,'Inflicts 3411 - 5010 melee damage on target',100,1,1),
(57539,101943,'Must be behind',100,1,2),
(57540,10101943,'Inflicts 635 piercing damage on target instantly and every 4 seconds',100,1,0),
(57541,10101943,'Inflicts 2309 - 3569 melee damage on target',100,1,1),
(57542,10101943,'Must be behind',100,1,2),
(57543,102555,'Increases AGI of caster by 29.8',100,1,0),
(57544,102555,'Increases Max Health of caster by 73.4',100,1,1),
(57545,102555,'Adds 14.8% to base avoidance.',100,1,2),
(57546,102555,'Increases Mitigation of caster vs physical damage by 180',100,1,3),
(57547,102555,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,4),
(57548,10102555,'Increases AGI of caster by 29.8',100,1,0),
(57549,10102555,'Increases Max Health of caster by 73.4',100,1,1),
(57550,10102555,'Adds 14.8% to base avoidance.',100,1,2),
(57551,10102555,'Increases Mitigation of caster vs physical damage by 180',100,1,3),
(57552,10102555,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,4),
(57553,159463,'Applies Sanguine Imbued when Equipped.',100,0,0),
(57554,159463,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(57555,159463,'Inflicts 153 heat damage on target',100,2,2),
(57556,159463,'Cannot be modified except by direct means',100,2,3),
(57557,10159463,'Applies Sanguine Imbued when Equipped.',100,0,0),
(57558,10159463,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(57559,10159463,'Inflicts 153 heat damage on target',100,2,2),
(57560,10159463,'Cannot be modified except by direct means',100,2,3),
(57561,87497,'When Equipped:',100,0,0),
(57562,87497,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57563,87497,'Inflicts 138 - 207 magic damage on target',100,2,2),
(57564,87497,'Cannot be modified except by direct means',100,2,3),
(57565,10087497,'When Equipped:',100,0,0),
(57566,10087497,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57567,10087497,'Inflicts 138 - 207 magic damage on target',100,2,2),
(57568,10087497,'Cannot be modified except by direct means',100,2,3),
(57569,104031,'Stifles target',100,1,0),
(57570,104031,'If Target is not Epic',100,2,1),
(57571,104031,'Interrupts target',100,1,2),
(57572,104031,'Decreases Threat to target by 1,194 - 1,678 ',100,1,3),
(57573,104031,'Resistibility increases against targets higher than level 95.',100,1,4),
(57574,10104031,'Stifles target',100,1,0),
(57575,10104031,'If Target is not Epic',100,2,1),
(57576,10104031,'Interrupts target',100,1,2),
(57577,10104031,'Resistibility increases against targets higher than level 95.',100,1,3),
(57578,104212,'Decreases WIS of target encounter by 24.6',100,1,0),
(57579,104212,'Inflicts 521 mental damage on target encounter',100,1,1),
(57580,104212,'Inflicts 194 mental damage on target encounter every 6 seconds',100,1,2),
(57581,10104212,'Decreases WIS of target encounter by 24.6',100,1,0),
(57582,10104212,'Inflicts 284 mental damage on target encounter',100,1,1),
(57583,10104212,'Inflicts 153 mental damage on target encounter every 6 seconds',100,1,2),
(57584,112069,'Inflicts 229 - 381 heat damage on target',100,1,0),
(57585,112069,'Inflicts 46 - 76 heat damage on target every 2 seconds',100,1,1),
(57586,10112069,'Inflicts 272 - 453 heat damage on target',100,1,0),
(57587,10112069,'Inflicts 88 - 147 heat damage on target every 2 seconds',100,1,1),
(57588,52652,'When Equipped:',100,0,0),
(57589,52652,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(57590,52652,'When Equipped:',100,0,2),
(57591,52652,'Increases caster''s chance to block by 15.0%',100,1,3),
(57592,10052652,'When Equipped:',100,0,0),
(57593,10052652,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(57594,10052652,'When Equipped:',100,0,2),
(57595,10052652,'Increases caster''s chance to block by 15.0%',100,1,3),
(57596,83991,'Applies Lightning Shock when Activated.',100,0,0),
(57597,83991,'Inflicts 250 - 417 magic damage on target',100,1,1),
(57598,83991,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(57599,10083991,'Applies Lightning Shock when Activated.',100,0,0),
(57600,10083991,'Inflicts 250 - 417 magic damage on target',100,1,1),
(57601,10083991,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(57602,45633,'Applies Elixir of Renewal  when Activated.',100,0,0),
(57603,45633,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(57604,10045633,'Applies Elixir of Renewal  when Activated.',100,0,0),
(57605,10045633,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(57606,119401,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(57607,119401,'Stuns target',100,2,1),
(57608,119401,'Throws target back',100,2,2),
(57609,119401,'Blurs vision of target',100,2,3),
(57610,119401,'Does not affect Epic targets',100,2,4),
(57611,119401,'Inflicts 366 - 607 melee damage on target',100,1,5),
(57612,119401,'You must be sneaking to use this ability.',100,1,6),
(57613,10119401,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(57614,10119401,'Blurs vision of target',100,2,1),
(57615,10119401,'Stuns target',100,2,2),
(57616,10119401,'Throws target back',100,2,3),
(57617,10119401,'Does not affect Epic targets',100,2,4),
(57618,10119401,'Inflicts 288 - 478 melee damage on target',100,1,5),
(57619,10119401,'You must be sneaking to use this ability.',100,1,6),
(57620,81861,'When Equipped:',100,0,0),
(57621,81861,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(57622,81861,'Inflicts 210 - 391 magic damage on target',100,2,2),
(57623,81861,'Decreases Threat to target by 487 ',100,2,3),
(57624,81861,'Must be flanking or behind',100,3,4),
(57625,81861,'Increases Threat to target by 852 ',100,2,5),
(57626,81861,'Must be in front of',100,3,6),
(57627,81861,'Cannot be modified except by direct means',100,2,7),
(57628,10081861,'When Equipped:',100,0,0),
(57629,10081861,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(57630,10081861,'Inflicts 210 - 391 magic damage on target',100,2,2),
(57631,10081861,'Cannot be modified except by direct means',100,2,3),
(57632,165465,'When Equipped:',100,0,0),
(57633,165465,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(57634,10165465,'When Equipped:',100,0,0),
(57635,10165465,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(57636,26255,'When Equipped:',100,0,0),
(57637,26255,'Increases all heat damage by up to 40.',100,1,1),
(57638,10026255,'When Equipped:',100,0,0),
(57639,10026255,'Increases all heat damage by up to 40.',100,1,1),
(57640,119320,'Roots target',100,1,0),
(57641,119320,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(57642,119320,'Slows target by 46.4%',100,2,2),
(57643,119320,'5% chance to dispel when target receives hostile action',100,2,3),
(57644,119320,'5% chance to dispel when target takes damage',100,2,4),
(57645,119320,'15% chance to dispel when target takes damage',100,1,5),
(57646,119320,'Does not affect Epic targets',100,1,6),
(57647,119320,'Resistibility increases against targets higher than level 90.',100,1,7),
(57648,10119320,'Roots target',100,1,0),
(57649,10119320,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(57650,10119320,'Slows target by 46.4%',100,2,2),
(57651,10119320,'5% chance to dispel when target receives hostile action',100,2,3),
(57652,10119320,'5% chance to dispel when target takes damage',100,2,4),
(57653,10119320,'15% chance to dispel when target takes damage',100,1,5),
(57654,10119320,'Does not affect Epic targets',100,1,6),
(57655,10119320,'Resistibility increases against targets higher than level 90.',100,1,7),
(57656,48065,'Applies Fur Pluck when Activated.',100,0,0),
(57657,10048065,'Applies Fur Pluck when Activated.',100,0,0),
(57658,188712,'When Equipped:',100,0,0),
(57659,188712,'Increases Attack Speed of caster by 25.0',100,1,1),
(57660,10188712,'When Equipped:',100,0,0),
(57661,10188712,'Increases Attack Speed of caster by 25.0',100,1,1),
(57662,104824,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(57663,104824,'If Fighter',100,2,1),
(57664,104824,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(57665,104824,'Increases power of target by 19',100,2,3),
(57666,104824,'Increases power of caster by 19',100,2,4),
(57667,10104824,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(57668,10104824,'Increases power of target by 19',100,2,1),
(57669,10104824,'Increases power of caster by 19',100,2,2),
(57670,123784,'Decreases Mitigation of target vs noxious damage by 1815',100,1,0),
(57671,123784,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(57672,123784,'Slows target by 49.7%',100,2,2),
(57673,123784,'5% chance to dispel when target receives hostile action',100,2,3),
(57674,123784,'5% chance to dispel when target takes damage',100,2,4),
(57675,10123784,'Decreases Mitigation of target vs noxious damage by 1815',100,1,0),
(57676,10123784,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(57677,10123784,'Slows target by 49.7%',100,2,2),
(57678,10123784,'5% chance to dispel when target receives hostile action',100,2,3),
(57679,10123784,'5% chance to dispel when target takes damage',100,2,4),
(57680,100224,'Increases Threat to target encounter by 4,611 - 5,276 ',100,1,0),
(57681,100224,'Interrupts target encounter',100,1,1),
(57682,10100224,'Interrupts target encounter',100,1,0),
(57683,10100224,'Forces target encounter to change their selected target to caster.',100,1,1),
(57684,10100224,'Prevents target encounter from changing targets',100,1,2),
(57685,26966,'When Equipped:',100,0,0),
(57686,26966,'Increases all poison damage by up to 45.',100,1,1),
(57687,10026966,'When Equipped:',100,0,0),
(57688,10026966,'Increases all poison damage by up to 45.',100,1,1),
(57689,47672,'Applies Quickness Potion when Activated.  Lasts for 1 hour.',100,0,0),
(57690,47672,'Increases Ground Mount Speed of caster by 25.0%',100,1,1),
(57691,47672,'Increases speed of caster by 25.0%',100,1,2),
(57692,47672,'Cannot be modified except by direct means',100,1,3),
(57693,10047672,'Applies Quickness Potion when Activated.  Lasts for 1 hour.',100,0,0),
(57694,10047672,'Increases Ground Mount Speed of caster by 25.0%',100,1,1),
(57695,10047672,'Increases speed of caster by 25.0%',100,1,2),
(57696,10047672,'Cannot be modified except by direct means',100,1,3),
(57697,116443,'Inflicts 1228 disease damage on target',100,1,0),
(57698,116443,'Inflicts 246 disease damage on target every 4 seconds',100,1,1),
(57699,116443,'Inflicts 246 disease damage on target instantly and every 4 seconds',100,1,2),
(57700,116443,'If target is nightblood',100,2,3),
(57701,116443,'Inflicts 246 disease damage on target instantly and every 4 seconds',100,1,4),
(57702,116443,'If target is shadowed folk',100,2,5),
(57703,10116443,'Inflicts 588 disease damage on target',100,1,0),
(57704,10116443,'Inflicts 194 disease damage on target every 4 seconds',100,1,1),
(57705,165707,'When Equipped:',100,0,0),
(57706,165707,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(57707,165707,'Reduces resistibility by 10%.',100,2,2),
(57708,165707,'Cannot be modified except by direct means',100,2,3),
(57709,10165707,'When Equipped:',100,0,0),
(57710,10165707,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(57711,10165707,'Reduces resistibility by 10%.',100,2,2),
(57712,10165707,'Cannot be modified except by direct means',100,2,3),
(57713,141875,'When Equipped:',100,0,0),
(57714,141875,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57715,141875,'Increases INT of caster by 19.8',100,2,2),
(57716,141875,'Increases Focus, Disruption and Subjugation of caster by 11.1',100,2,3),
(57717,141875,'Cannot be modified except by direct means',100,2,4),
(57718,10141875,'When Equipped:',100,0,0),
(57719,10141875,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(57720,10141875,'Increases INT of caster by 19.8',100,2,2),
(57721,10141875,'Increases Focus, Disruption and Subjugation of caster by 11.1',100,2,3),
(57722,10141875,'Cannot be modified except by direct means',100,2,4),
(57723,37335,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(57724,116638,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(57725,116638,'Increases Mitigation of group members (AE) vs arcane damage by 756',100,1,1),
(57726,10116638,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(57727,10116638,'Increases Mitigation of group members (AE) vs arcane damage by 756',100,1,1),
(57728,118349,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(57729,118349,'Clears the reuse of Dragonfire.',100,130,1),
(57730,118349,'Inflicts 1584 - 1980 melee damage on target',100,1,2),
(57731,118349,'Inflicts 599 - 998 heat damage on target every 2.3 seconds',100,1,3),
(57732,10118349,'50% chance to apply Dragon''s Fury.  Lasts for 5.0 seconds.',100,129,0),
(57733,10118349,'Clears the reuse of Dragonfire.',100,130,1),
(57734,10118349,'Inflicts 888 - 1213 melee damage on target',100,1,2),
(57735,10118349,'Inflicts 491 - 819 heat damage on target every 2.3 seconds',100,1,3),
(57736,111805,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(57737,111805,'Wipes most of the target''s memory of aggression',100,2,1),
(57738,111805,'Summons 6 limited pets to aid the caster',100,1,2),
(57739,10111805,'Applies Distract on termination.',100,1,0),
(57740,10111805,'Forces target to clear their selected target.',100,2,1),
(57741,10111805,'Summons 6 limited pets to aid the caster',100,1,2),
(57742,120319,'Increases Threat to target by 2,471 - 2,996 ',100,1,0),
(57743,10120319,'Forces target to change their selected target to caster.',100,1,0),
(57744,10120319,'Prevents target from changing targets',100,1,1),
(57745,45063,'Applies Siphon Residuum when Activated.',100,0,0),
(57746,45063,'Updates a specific part of the Quest \"Residual Cleansing\"',100,1,1),
(57747,10045063,'Applies Siphon Residuum when Activated.',100,0,0),
(57748,10045063,'Updates a specific part of the Quest \"Residual Cleansing\"',100,1,1),
(57749,79697,'When Equipped:',100,0,0),
(57750,79697,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(57751,79697,'Inflicts 225 cold damage on target',100,2,2),
(57752,79697,'Cannot be modified except by direct means',100,2,3),
(57753,79697,'Cannot be modified except by direct means',100,1,4),
(57754,10079697,'When Equipped:',100,0,0),
(57755,10079697,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(57756,10079697,'Inflicts 225 cold damage on target',100,2,2),
(57757,10079697,'Cannot be modified except by direct means',100,2,3),
(57758,10079697,'Cannot be modified except by direct means',100,1,4),
(57759,157614,'When Equipped:',100,0,0),
(57760,157614,'On a hit this spell may cast Surging Adrenaline on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(57761,157614,'Heals caster for 200',100,2,2),
(57762,157614,'Cannot be modified except by direct means',100,2,3),
(57763,10157614,'When Equipped:',100,0,0),
(57764,10157614,'On a hit this spell may cast Surging Adrenaline on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(57765,10157614,'Heals caster for 130',100,2,2),
(57766,10157614,'Cannot be modified except by direct means',100,2,3),
(57767,163569,'When Equipped:',100,0,0),
(57768,163569,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(57769,10163569,'When Equipped:',100,0,0),
(57770,10163569,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(57771,119544,'Wards group members (AE) against 2442 points of arcane damage',100,1,0),
(57772,119544,'Increases Mitigation of group members (AE) vs arcane damage by 464',100,1,1),
(57773,10119544,'Wards group members (AE) against 2003 points of arcane damage',100,1,0),
(57774,10119544,'Increases Mitigation of group members (AE) vs arcane damage by 464',100,1,1),
(57775,177585,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(57776,177585,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(57777,177585,'Inflicts 92 heat damage on target',100,2,2),
(57778,177585,'Cannot be modified except by direct means',100,2,3),
(57779,10177585,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(57780,10177585,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(57781,10177585,'Inflicts 92 heat damage on target',100,2,2),
(57782,10177585,'Cannot be modified except by direct means',100,2,3),
(57783,82457,'When Equipped:',100,0,0),
(57784,82457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57785,82457,'Inflicts 300 - 557 magic damage on target',100,2,2),
(57786,82457,'Cannot be modified except by direct means',100,2,3),
(57787,10082457,'When Equipped:',100,0,0),
(57788,10082457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57789,10082457,'Inflicts 300 - 557 magic damage on target',100,2,2),
(57790,10082457,'Cannot be modified except by direct means',100,2,3),
(57791,100659,'Increases AGI, STR and STA of target by 84.7',100,1,0),
(57792,100659,'Adds 2.1% to base avoidance.',100,1,1),
(57793,10100659,'Increases AGI, STR and STA of target by 84.7',100,1,0),
(57794,10100659,'Adds 2.1% to base avoidance.',100,1,1),
(57795,48298,'Applies Superb Anti-Venin when Activated.',100,0,0),
(57796,48298,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(57797,10048298,'Applies Superb Anti-Venin when Activated.',100,0,0),
(57798,10048298,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(57799,102908,'Heals caster for 2759',100,1,0),
(57800,102908,'Inflicts 6344 disease damage on targets in Area of Effect',100,1,1),
(57801,10102908,'Heals caster for 2322',100,1,0),
(57802,10102908,'Inflicts 4937 disease damage on targets in Area of Effect',100,1,1),
(57803,109349,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(57804,109349,'Increases STR of caster by 218.2',100,1,1),
(57805,109349,'Decreases Defense of caster by 25.8',100,1,2),
(57806,109349,'Increases Slashing, Piercing and Crushing of caster by 74.9',100,1,3),
(57807,10109349,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(57808,10109349,'Increases STR of caster by 218.2',100,1,1),
(57809,10109349,'Decreases Defense of caster by 25.8',100,1,2),
(57810,10109349,'Increases Slashing, Piercing and Crushing of caster by 74.9',100,1,3),
(57811,36799,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(57812,116105,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(57813,116105,'Heals target for 975 - 1191',100,2,1),
(57814,116105,'Grants a total of 5 triggers of the spell.',100,2,2),
(57815,10116105,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(57816,10116105,'Heals target for 514 - 609',100,2,1),
(57817,10116105,'Grants a total of 5 triggers of the spell.',100,2,2),
(57818,36670,'Increases STA and AGI of target by 9.4',100,0,0),
(57819,36670,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(57820,35985,'Increases Max Power of target by 90.7',100,0,0),
(57821,35985,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(57822,105362,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(57823,105362,'Inflicts 78 melee damage on target',100,2,1),
(57824,105362,'Interrupts target',100,2,2),
(57825,105362,'Decreases Defense of caster by 3.9',100,1,3),
(57826,105362,'Increases Piercing, Slashing, Ranged and Crushing of caster by 7.0',100,1,4),
(57827,10105362,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(57828,10105362,'Inflicts 62 melee damage on target',100,2,1),
(57829,10105362,'Interrupts target',100,2,2),
(57830,10105362,'Decreases Defense of caster by 3.9',100,1,3),
(57831,10105362,'Increases Piercing, Slashing, Ranged and Crushing of caster by 7.0',100,1,4),
(57832,108543,'Makes target afraid',100,1,0),
(57833,108543,'30% chance to dispel when target takes damage',100,1,1),
(57834,108543,'Does not affect Epic targets',100,1,2),
(57835,108543,'Resistibility increases against targets higher than level 53.',100,1,3),
(57836,10108543,'Makes target afraid',100,1,0),
(57837,10108543,'30% chance to dispel when target takes damage',100,1,1),
(57838,10108543,'Does not affect Epic targets',100,1,2),
(57839,10108543,'Resistibility increases against targets higher than level 53.',100,1,3),
(57840,181802,'When Equipped:',100,0,0),
(57841,181802,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(57842,181802,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(57843,181802,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,3),
(57844,181802,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(57845,181802,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(57846,181802,'Must not be engaged in pvp combat',100,2,6),
(57847,181802,'Cannot be modified except by direct means',100,2,7),
(57848,181802,'Must not be engaged in pvp combat',100,1,8),
(57849,10181802,'When Equipped:',100,0,0),
(57850,10181802,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(57851,10181802,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(57852,10181802,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,3),
(57853,10181802,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(57854,10181802,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(57855,10181802,'Must not be engaged in pvp combat',100,2,6),
(57856,10181802,'Cannot be modified except by direct means',100,2,7),
(57857,10181802,'Must not be engaged in pvp combat',100,1,8),
(57858,117097,'Mesmerizes target encounter',100,1,0),
(57859,117097,'Prevents AOE (except when direct) ',100,1,1),
(57860,117097,'Dispelled when target takes damage',100,1,2),
(57861,117097,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(57862,117097,'Resistibility increases against targets higher than level 68.',100,1,4),
(57863,10117097,'Mesmerizes target encounter',100,1,0),
(57864,10117097,'Prevents AOE (except when direct) ',100,1,1),
(57865,10117097,'Dispelled when target takes damage',100,1,2),
(57866,10117097,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(57867,10117097,'Resistibility increases against targets higher than level 68.',100,1,4),
(57868,48647,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(57869,48647,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(57870,48647,'Decreases AGI of target by 17.7',100,2,2),
(57871,48647,'Cannot be modified except by direct means',100,2,3),
(57872,48647,'Grants a total of 30 triggers of the spell.',100,2,4),
(57873,10048647,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(57874,10048647,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(57875,10048647,'Decreases AGI of target by 17.7',100,2,2),
(57876,10048647,'Cannot be modified except by direct means',100,2,3),
(57877,10048647,'Grants a total of 30 triggers of the spell.',100,2,4),
(57878,108822,'Inflicts 4365 - 7825 heat damage on targets in Area of Effect',100,1,0),
(57879,10108822,'Inflicts 3314 - 6041 heat damage on targets in Area of Effect',100,1,0),
(57880,81910,'When Equipped:',100,0,0),
(57881,81910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57882,81910,'Inflicts 523 - 972 magic damage on target',100,2,2),
(57883,81910,'Cannot be modified except by direct means',100,2,3),
(57884,10081910,'When Equipped:',100,0,0),
(57885,10081910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(57886,10081910,'Inflicts 523 - 972 magic damage on target',100,2,2),
(57887,10081910,'Cannot be modified except by direct means',100,2,3),
(57888,110397,'Inflicts 3871 - 6234 disease damage on target',100,1,0),
(57889,10110397,'Inflicts 2047 - 3324 disease damage on target',100,1,0),
(57890,132168,'When Equipped:',100,0,0),
(57891,132168,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(57892,132168,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(57893,132168,'Increases AGI and STR of caster by 44.0',100,2,3),
(57894,132168,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(57895,132168,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(57896,132168,'Must not be engaged in pvp combat',100,2,6),
(57897,132168,'Cannot be modified except by direct means',100,2,7),
(57898,132168,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(57899,132168,'Increases AGI and STR of caster by 44.0',100,2,9),
(57900,132168,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(57901,132168,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(57902,132168,'Must not be engaged in pvp combat',100,2,12),
(57903,132168,'Cannot be modified except by direct means',100,2,13),
(57904,132168,'Cannot be modified except by direct means',100,1,14),
(57905,10132168,'When Equipped:',100,0,0),
(57906,10132168,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(57907,10132168,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(57908,10132168,'Increases AGI and STR of caster by 44.0',100,2,3),
(57909,10132168,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(57910,10132168,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(57911,10132168,'Must not be engaged in pvp combat',100,2,6),
(57912,10132168,'Cannot be modified except by direct means',100,2,7),
(57913,10132168,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(57914,10132168,'Increases AGI and STR of caster by 44.0',100,2,9),
(57915,10132168,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(57916,10132168,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(57917,10132168,'Must not be engaged in pvp combat',100,2,12),
(57918,10132168,'Cannot be modified except by direct means',100,2,13),
(57919,10132168,'Cannot be modified except by direct means',100,1,14),
(57920,110361,'Increases STR and AGI of group members (AE) by 12.6',100,1,0),
(57921,110361,'Adds 2.2% to base avoidance.',100,1,1),
(57922,10110361,'Increases STR and AGI of group members (AE) by 12.6',100,1,0),
(57923,10110361,'Adds 2.2% to base avoidance.',100,1,1),
(57924,26662,'When Equipped:',100,0,0),
(57925,26662,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(57926,26662,'Adds 10% hate gain reduction to Befuddle VI.',100,1,2),
(57927,10026662,'When Equipped:',100,0,0),
(57928,10026662,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(57929,10026662,'Adds 10% hate gain reduction to Befuddle VI.',100,1,2),
(57930,121713,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(57931,121713,'Increases AGI of caster by 35.8',100,1,1),
(57932,121713,'Adds 1.5% to base avoidance.',100,1,2),
(57933,121713,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(57934,121713,'Increases Parry of caster by 20.7',100,1,4),
(57935,121713,'Increases Defense of caster by 27.6',100,1,5),
(57936,10121713,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(57937,10121713,'Increases AGI of caster by 35.8',100,1,1),
(57938,10121713,'Adds 1.5% to base avoidance.',100,1,2),
(57939,10121713,'Decreases Slashing and Piercing of caster by 19.3',100,1,3),
(57940,10121713,'Increases Parry of caster by 20.7',100,1,4),
(57941,10121713,'Increases Defense of caster by 27.6',100,1,5),
(57942,36783,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(57943,124231,'Decreases Attack Speed of caster by 16.9',100,1,0),
(57944,124231,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(57945,124231,'Slows targets in Area of Effect by 43.8%',100,2,2),
(57946,124231,'5% chance to dispel when target receives hostile action',100,2,3),
(57947,124231,'5% chance to dispel when target takes damage',100,2,4),
(57948,124231,'Increases Mitigation of caster vs physical damage by 690',100,1,5),
(57949,10124231,'Decreases Attack Speed of caster by 16.9',100,1,0),
(57950,10124231,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(57951,10124231,'Slows targets in Area of Effect by 32.8%',100,2,2),
(57952,10124231,'5% chance to dispel when target receives hostile action',100,2,3),
(57953,10124231,'5% chance to dispel when target takes damage',100,2,4),
(57954,10124231,'Increases Mitigation of caster vs physical damage by 690',100,1,5),
(57955,24592,'Adds Naga Undead (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(57956,10024592,'Adds Naga Undead (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(57957,114483,'Increases In-Combat Power Regeneration of group members (AE) by 8.4',100,1,0),
(57958,10114483,'Increases In-Combat Power Regeneration of group members (AE) by 8.4',100,1,0),
(57959,117043,'Inflicts 383 - 633 melee damage on target',100,1,0),
(57960,117043,'Decreases Attack Speed of target by 11.5',100,1,1),
(57961,10117043,'Inflicts 347 - 573 melee damage on target',100,1,0),
(57962,10117043,'Decreases Attack Speed of target by 11.5',100,1,1),
(57963,121591,'Stuns target encounter',100,1,0),
(57964,121591,'Epic targets gain an immunity to Stun effects of 16.9 seconds and duration is reduced to 1.9 seconds.',100,1,1),
(57965,121591,'Resistibility increases against targets higher than level 73.',100,1,2),
(57966,10121591,'Stuns target encounter',100,1,0),
(57967,10121591,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(57968,10121591,'Resistibility increases against targets higher than level 73.',100,1,2),
(57969,101391,'Inflicts 1522 - 1972 melee damage on target',100,1,0),
(57970,101391,'Returns the last arrow used to the ranger.',100,1,1),
(57971,10101391,'Inflicts 865 - 1174 melee damage on target',100,1,0),
(57972,10101391,'Returns the last arrow used to the ranger.',100,1,1),
(57973,100113,'Decreases STR, AGI, WIS and INT of target by 21.8',100,1,0),
(57974,100113,'Decreases Max Health of target by 0.6%',100,1,1),
(57975,10100113,'Decreases STR, AGI, WIS and INT of target by 21.8',100,1,0),
(57976,10100113,'Decreases Max Health of target by 0.6%',100,1,1),
(57977,115117,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(57978,115117,'Heals target for 957',100,2,1),
(57979,115117,'Heals target for 239 every 2 seconds',100,2,2),
(57980,115117,'Increases WIS of target by 38.2',100,2,3),
(57981,115117,'Grants a total of 1 trigger of the spell.',100,2,4),
(57982,10115117,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(57983,10115117,'Heals target for 490',100,2,1),
(57984,10115117,'Heals target for 122 every 2 seconds',100,2,2),
(57985,10115117,'Increases WIS of target by 38.2',100,2,3),
(57986,10115117,'Grants a total of 1 trigger of the spell.',100,2,4),
(57987,122168,'Inflicts 1298 - 1369 cold damage on target',100,1,0),
(57988,122168,'Inflicts 316 - 386 cold damage on target every 2 seconds',100,1,1),
(57989,122168,'Inflicts 316 - 386 cold damage on target instantly and every 2 seconds',100,1,2),
(57990,122168,'If target is elemental',100,2,3),
(57991,10122168,'Inflicts 644 - 699 cold damage on target',100,1,0),
(57992,10122168,'Inflicts 249 - 304 cold damage on target every 2 seconds',100,1,1),
(57993,115032,'Heals target for 1265 - 1546',100,1,0),
(57994,10115032,'Heals target for 1187 - 1394',100,1,0),
(57995,47887,'Applies Beyond the Third when Activated.',100,0,0),
(57996,47887,'Increases power of caster by 25.0%',100,1,1),
(57997,47887,'This effect cannot be critically applied.',100,2,2),
(57998,47887,'If any of the following are true:',100,1,3),
(57999,47887,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(58000,47887,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(58001,47887,'Must be in Covenant District [Solo].',100,2,6),
(58002,10047887,'Applies Beyond the Third when Activated.',100,0,0),
(58003,10047887,'Increases power of caster by 25.0%',100,1,1),
(58004,10047887,'This effect cannot be critically applied.',100,2,2),
(58005,10047887,'If any of the following are true:',100,1,3),
(58006,10047887,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(58007,10047887,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(58008,10047887,'Must be in Covenant District [Solo].',100,2,6),
(58009,48645,'Applies Ashlan''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(58010,48645,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(58011,10048645,'Applies Ashlan''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(58012,10048645,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(58013,100848,'Wards target against 3071 points of all damage',100,1,0),
(58014,10100848,'Wards target against 3554 points of all damage',100,1,0),
(58015,157417,'When Equipped:',100,0,0),
(58016,157417,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(58017,157417,'Reduces resistibility of all spells by 1%.',100,2,2),
(58018,157417,'Increases Potency of caster by 11.0%',100,2,3),
(58019,157417,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,4),
(58020,157417,'Must not be engaged in pvp combat',100,2,5),
(58021,157417,'Cannot be modified except by direct means',100,2,6),
(58022,157417,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(58023,157417,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(58024,157417,'Reduces resistibility of all spells by 1%.',100,2,9),
(58025,157417,'Increases Potency of caster by 11.0%',100,2,10),
(58026,157417,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,11),
(58027,157417,'Must not be engaged in pvp combat',100,2,12),
(58028,157417,'Cannot be modified except by direct means',100,2,13),
(58029,157417,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(58030,157417,'Reduces resistibility of all spells by 1%.',100,2,15),
(58031,157417,'Increases Potency of caster by 11.0%',100,2,16),
(58032,157417,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,17),
(58033,157417,'Must not be engaged in pvp combat',100,2,18),
(58034,157417,'Cannot be modified except by direct means',100,2,19),
(58035,157417,'Cannot be modified except by direct means',100,1,20),
(58036,157417,'When Equipped:',100,0,21),
(58037,157417,'This effect will not stack with any rank or tier of itself.',100,1,22),
(58038,157417,'Increases Crit Bonus of caster by 4.0%',100,1,23),
(58039,157417,'Cannot be modified except by direct means',100,1,24),
(58040,10157417,'When Equipped:',100,0,0),
(58041,10157417,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(58042,10157417,'Reduces resistibility of all spells by 1%.',100,2,2),
(58043,10157417,'Increases Potency of caster by 11.0%',100,2,3),
(58044,10157417,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,4),
(58045,10157417,'Must not be engaged in pvp combat',100,2,5),
(58046,10157417,'Cannot be modified except by direct means',100,2,6),
(58047,10157417,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(58048,10157417,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(58049,10157417,'Reduces resistibility of all spells by 1%.',100,2,9),
(58050,10157417,'Increases Potency of caster by 11.0%',100,2,10),
(58051,10157417,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,11),
(58052,10157417,'Must not be engaged in pvp combat',100,2,12),
(58053,10157417,'Cannot be modified except by direct means',100,2,13),
(58054,10157417,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(58055,10157417,'Reduces resistibility of all spells by 1%.',100,2,15),
(58056,10157417,'Increases Potency of caster by 11.0%',100,2,16),
(58057,10157417,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,17),
(58058,10157417,'Must not be engaged in pvp combat',100,2,18),
(58059,10157417,'Cannot be modified except by direct means',100,2,19),
(58060,10157417,'Cannot be modified except by direct means',100,1,20),
(58061,10157417,'When Equipped:',100,0,21),
(58062,10157417,'This effect will not stack with any rank or tier of itself.',100,1,22),
(58063,10157417,'Increases Crit Bonus of caster by 4.0%',100,1,23),
(58064,10157417,'Cannot be modified except by direct means',100,1,24),
(58065,123883,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(58066,123883,'Slows target by 49.9%',100,2,1),
(58067,123883,'5% chance to dispel when target receives hostile action',100,2,2),
(58068,123883,'5% chance to dispel when target takes damage',100,2,3),
(58069,123883,'Decreases Mitigation of target vs elemental and noxious damage by 161',100,1,4),
(58070,10123883,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(58071,10123883,'Slows target by 49.9%',100,2,1),
(58072,10123883,'5% chance to dispel when target receives hostile action',100,2,2),
(58073,10123883,'5% chance to dispel when target takes damage',100,2,3),
(58074,10123883,'Decreases Mitigation of target vs elemental and noxious damage by 161',100,1,4),
(58075,103076,'Inflicts 1414 magic damage on target',100,1,0),
(58076,103076,'Inflicts 431 magic damage on target every 4 seconds',100,1,1),
(58077,103076,'Increases power of caster by 64 instantly and every 4 seconds',100,1,2),
(58078,10103076,'Inflicts 735 magic damage on target',100,1,0),
(58079,10103076,'Inflicts 340 magic damage on target every 4 seconds',100,1,1),
(58080,10103076,'Increases power of caster by 64 instantly and every 4 seconds',100,1,2),
(58081,164117,'When Equipped:',100,0,0),
(58082,164117,'Increases regeneration amount of Bria''s Inspiring Ballad VI.',100,1,1),
(58083,10164117,'When Equipped:',100,0,0),
(58084,10164117,'Increases regeneration amount of Bria''s Inspiring Ballad VI.',100,1,1),
(58085,133839,'Applies Spirit of the Wind when Equipped.',100,0,0),
(58086,133839,'Increases speed of caster by 10.0%',100,1,1),
(58087,133839,'This effect suspends during combat',100,1,2),
(58088,10133839,'Applies Spirit of the Wind when Equipped.',100,0,0),
(58089,10133839,'Increases speed of caster by 10.0%',100,1,1),
(58090,10133839,'This effect suspends during combat',100,1,2),
(58091,115641,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 490',100,1,0),
(58092,10115641,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 490',100,1,0),
(58093,89425,'When Equipped:',100,0,0),
(58094,89425,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(58095,89425,'Inflicts 336 - 559 piercing damage on target',100,2,2),
(58096,89425,'Inflicts 336 - 559 divine damage on target',100,2,3),
(58097,89425,'Inflicts 336 - 559 magic damage on target',100,2,4),
(58098,89425,'Must not be engaged in pvp combat',100,2,5),
(58099,89425,'Cannot be modified except by direct means',100,2,6),
(58100,89425,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(58101,89425,'Inflicts 336 - 559 piercing damage on target',100,2,8),
(58102,89425,'Inflicts 336 - 559 divine damage on target',100,2,9),
(58103,89425,'Inflicts 336 - 559 magic damage on target',100,2,10),
(58104,89425,'Must not be engaged in pvp combat',100,2,11),
(58105,89425,'Cannot be modified except by direct means',100,2,12),
(58106,89425,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(58107,89425,'Inflicts 336 - 559 piercing damage on target',100,2,14),
(58108,89425,'Inflicts 336 - 559 divine damage on target',100,2,15),
(58109,89425,'Inflicts 336 - 559 magic damage on target',100,2,16),
(58110,89425,'Must not be engaged in pvp combat',100,2,17),
(58111,89425,'Cannot be modified except by direct means',100,2,18),
(58112,89425,'Must not be engaged in pvp combat',100,1,19),
(58113,10089425,'When Equipped:',100,0,0),
(58114,10089425,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(58115,10089425,'Inflicts 336 - 559 piercing damage on target',100,2,2),
(58116,10089425,'Inflicts 336 - 559 divine damage on target',100,2,3),
(58117,10089425,'Inflicts 336 - 559 magic damage on target',100,2,4),
(58118,10089425,'Must not be engaged in pvp combat',100,2,5),
(58119,10089425,'Cannot be modified except by direct means',100,2,6),
(58120,10089425,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(58121,10089425,'Inflicts 336 - 559 piercing damage on target',100,2,8),
(58122,10089425,'Inflicts 336 - 559 divine damage on target',100,2,9),
(58123,10089425,'Inflicts 336 - 559 magic damage on target',100,2,10),
(58124,10089425,'Must not be engaged in pvp combat',100,2,11),
(58125,10089425,'Cannot be modified except by direct means',100,2,12),
(58126,10089425,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(58127,10089425,'Inflicts 336 - 559 piercing damage on target',100,2,14),
(58128,10089425,'Inflicts 336 - 559 divine damage on target',100,2,15),
(58129,10089425,'Inflicts 336 - 559 magic damage on target',100,2,16),
(58130,10089425,'Must not be engaged in pvp combat',100,2,17),
(58131,10089425,'Cannot be modified except by direct means',100,2,18),
(58132,10089425,'Must not be engaged in pvp combat',100,1,19),
(58133,115613,'Wards target against 3898 points of all damage',100,1,0),
(58134,10115613,'Wards target against 4306 points of all damage',100,1,0),
(58135,162576,'When Equipped:',100,0,0),
(58136,162576,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(58137,162576,'Increases Hate Gain of caster by 5.0%',100,2,2),
(58138,162576,'Cannot be modified except by direct means',100,2,3),
(58139,162576,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(58140,162576,'Increases Hate Gain of caster by 5.0%',100,2,5),
(58141,162576,'Cannot be modified except by direct means',100,2,6),
(58142,10162576,'When Equipped:',100,0,0),
(58143,10162576,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(58144,10162576,'Cannot be modified except by direct means',100,2,2),
(58145,10162576,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,3),
(58146,10162576,'Cannot be modified except by direct means',100,2,4),
(58147,123804,'Inflicts 223 - 372 magic damage on target',100,1,0),
(58148,123804,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(58149,123804,'Target will lose 16% more power when power is consumed',100,1,2),
(58150,123804,'16% of target''s power consumed will also be drained from target''s health',100,1,3),
(58151,123804,'Decreases Defense of target by 10.8',100,1,4),
(58152,10123804,'Inflicts 192 - 320 magic damage on target',100,1,0),
(58153,10123804,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(58154,10123804,'Target will lose 16% more power when power is consumed',100,1,2),
(58155,10123804,'16% of target''s power consumed will also be drained from target''s health',100,1,3),
(58156,10123804,'Decreases Defense of target by 10.8',100,1,4),
(58157,35490,'Increases STA and AGI of target by 6.2',100,0,0),
(58158,35490,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(58159,123944,'Increases STR and WIS of target by 155.8',100,1,0),
(58160,123944,'Increases Mitigation of target vs elemental, noxious and arcane damage by 465',100,1,1),
(58161,10123944,'Increases STR and WIS of target by 155.8',100,1,0),
(58162,10123944,'Increases Mitigation of target vs elemental, noxious and arcane damage by 465',100,1,1),
(58163,120368,'Inflicts 1652 - 1801 divine damage on target',100,1,0),
(58164,120368,'Inflicts 670 - 818 divine damage on target every 4 seconds',100,1,1),
(58165,120368,'Decreases WIS of target by 80.5',100,1,2),
(58166,10120368,'Inflicts 922 - 1040 divine damage on target',100,1,0),
(58167,10120368,'Inflicts 528 - 645 divine damage on target every 4 seconds',100,1,1),
(58168,10120368,'Decreases WIS of target by 80.5',100,1,2),
(58169,27183,'When Equipped:',100,0,0),
(58170,27183,'Increases all elemental damage by up to 30.',100,1,1),
(58171,10027183,'When Equipped:',100,0,0),
(58172,10027183,'Increases all elemental damage by up to 30.',100,1,1),
(58173,105981,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(58174,105981,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(58175,105981,'Inflicts 1257 - 2084 piercing damage on target',100,3,2),
(58176,105981,'Grants a total of 5 triggers of the spell.',100,3,3),
(58177,105981,'Grants a total of 1 trigger of the spell.',100,2,4),
(58178,10105981,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(58179,10105981,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(58180,10105981,'Inflicts 980 - 1539 piercing damage on target',100,3,2),
(58181,10105981,'Grants a total of 5 triggers of the spell.',100,3,3),
(58182,10105981,'Grants a total of 1 trigger of the spell.',100,2,4),
(58183,48129,'When Equipped:',100,0,0),
(58184,48129,'Increases success chance by 1.1%',100,1,1),
(58185,10048129,'When Equipped:',100,0,0),
(58186,10048129,'Increases success chance by 1.1%',100,1,1),
(58187,162109,'When Equipped:',100,0,0),
(58188,162109,'Reduces maximum falling speed of caster',100,1,1),
(58189,162109,'Applies Illusion: Troll when Activated.  Lasts for 6 hours.',100,0,2),
(58190,162109,'Shapechanges caster into a troll',100,1,3),
(58191,162109,'The casting time of Illusion: Troll is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,4),
(58192,10162109,'When Equipped:',100,0,0),
(58193,10162109,'Reduces maximum falling speed of caster',100,1,1),
(58194,10162109,'Applies Illusion: Troll when Activated.  Lasts for 6 hours.',100,0,2),
(58195,10162109,'Shapechanges caster into a troll',100,1,3),
(58196,10162109,'The casting time of Illusion: Troll is 1.98 seconds and the reuse time of the spell is 1.38 seconds',100,1,4),
(58197,170080,'When Equipped:',100,0,0),
(58198,170080,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(58199,170080,'Decreases threat priority of target by 1 position',100,2,2),
(58200,170080,'Cannot be modified except by direct means',100,2,3),
(58201,10170080,'When Equipped:',100,0,0),
(58202,10170080,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(58203,10170080,'Cannot be modified except by direct means',100,2,2),
(58204,25781,'When Equipped:',100,0,0),
(58205,25781,'Improves the trigger chance of Smoldering Fists by 5%.',100,1,1),
(58206,25781,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(58207,10025781,'When Equipped:',100,0,0),
(58208,10025781,'Improves the trigger chance of Smoldering Fists by 5%.',100,1,1),
(58209,10025781,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(58210,141876,'When Equipped:',100,0,0),
(58211,141876,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58212,141876,'Increases INT of caster by 21.4',100,2,2),
(58213,141876,'Increases Disruption, Subjugation and Focus of caster by 12.0',100,2,3),
(58214,141876,'Cannot be modified except by direct means',100,2,4),
(58215,10141876,'When Equipped:',100,0,0),
(58216,10141876,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58217,10141876,'Increases INT of caster by 21.4',100,2,2),
(58218,10141876,'Increases Disruption, Subjugation and Focus of caster by 12.0',100,2,3),
(58219,10141876,'Cannot be modified except by direct means',100,2,4),
(58220,37155,'Increases STA and AGI of target by 11.0',100,0,0),
(58221,37155,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(58222,109127,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(58223,109127,'Increases Attack Speed of caster by 86.0',100,1,1),
(58224,109127,'Increases Damage Per Second of caster by 99.8',100,1,2),
(58225,109127,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(58226,109127,'Increases Ranged of caster by 122.9',100,1,4),
(58227,109127,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(58228,109127,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(58229,109127,'Increases Crushing of group members (AE) by 122.9',100,2,7),
(58230,109127,'Increases Piercing of group members (AE) by 122.9',100,2,8),
(58231,109127,'If profession other than Ranger',100,3,9),
(58232,109127,'Increases Slashing of group members (AE) by 122.9',100,2,10),
(58233,109127,'If profession other than Ranger',100,3,11),
(58234,10109127,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(58235,10109127,'Increases Attack Speed of caster by 86.0',100,1,1),
(58236,10109127,'Increases Damage Per Second of caster by 99.8',100,1,2),
(58237,10109127,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(58238,10109127,'Increases Ranged of caster by 122.9',100,1,4),
(58239,10109127,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(58240,10109127,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(58241,10109127,'Increases Crushing of group members (AE) by 122.9',100,2,7),
(58242,10109127,'Increases Piercing of group members (AE) by 122.9',100,2,8),
(58243,10109127,'If profession other than Ranger',100,3,9),
(58244,10109127,'Increases Slashing of group members (AE) by 122.9',100,2,10),
(58245,10109127,'If profession other than Ranger',100,3,11),
(58246,26381,'When Equipped:',100,0,0),
(58247,26381,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(58248,26381,'Increases power of caster by 44',100,2,2),
(58249,26381,'Cannot be modified except by direct means',100,2,3),
(58250,10026381,'When Equipped:',100,0,0),
(58251,10026381,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(58252,10026381,'Increases power of caster by 44',100,2,2),
(58253,10026381,'Cannot be modified except by direct means',100,2,3),
(58254,41448,'When Equipped:',100,0,0),
(58255,41448,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58256,41448,'Inflicts 106 - 197 magic damage on target',100,2,2),
(58257,41448,'Decreases Threat to target by 236 ',100,2,3),
(58258,41448,'Must be flanking or behind',100,3,4),
(58259,41448,'Increases Threat to target by 414 ',100,2,5),
(58260,41448,'Must be in front of',100,3,6),
(58261,41448,'Cannot be modified except by direct means',100,2,7),
(58262,10041448,'When Equipped:',100,0,0),
(58263,10041448,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58264,10041448,'Inflicts 106 - 197 magic damage on target',100,2,2),
(58265,10041448,'Cannot be modified except by direct means',100,2,3),
(58266,103371,'Decreases power of target by 363 instantly and every 6 seconds',100,1,0),
(58267,103371,'Inflicts 2428 - 2750 mental damage on target',100,1,1),
(58268,103371,'Inflicts 1446 - 1767 mental damage on target every 6 seconds',100,1,2),
(58269,103371,'Increases power of caster by 354',100,1,3),
(58270,10103371,'Decreases power of target by 286 instantly and every 6 seconds',100,1,0),
(58271,10103371,'Inflicts 1534 - 1787 mental damage on target',100,1,1),
(58272,10103371,'Inflicts 1140 - 1393 mental damage on target every 6 seconds',100,1,2),
(58273,10103371,'Increases power of caster by 354',100,1,3),
(58274,113343,'Inflicts 2426 - 2892 divine damage on target encounter',100,1,0),
(58275,113343,'Interrupts target encounter',100,1,1),
(58276,10113343,'Inflicts 1785 - 2153 divine damage on target encounter',100,1,0),
(58277,10113343,'Interrupts target encounter',100,1,1),
(58278,27481,'When Equipped:',100,0,0),
(58279,27481,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(58280,27481,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(58281,10027481,'When Equipped:',100,0,0),
(58282,10027481,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(58283,10027481,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(58284,105035,'Increases WIS of raid and group members (AE) by 53.5',100,1,0),
(58285,105035,'Increases heal amounts of raid members by 5%.',100,1,1),
(58286,105035,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 195',100,1,2),
(58287,10105035,'Increases WIS of raid and group members (AE) by 53.5',100,1,0),
(58288,10105035,'Increases heal amounts of raid members by 5%.',100,1,1),
(58289,10105035,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 195',100,1,2),
(58290,121748,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(58291,10121748,'Applies Swarthy Distraction.',100,1,0),
(58292,10121748,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(58293,10121748,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(58294,46648,'Applies Hoo''Loh''s Disguise when Activated.  Lasts for 10 minutes.',100,0,0),
(58295,46648,'Shapechanges caster into a vultak',100,1,1),
(58296,46648,'Dispelled when target takes damage',100,1,2),
(58297,46648,'Dispelled when target receives hostile action',100,1,3),
(58298,10046648,'Applies Hoo''Loh''s Disguise when Activated.  Lasts for 10 minutes.',100,0,0),
(58299,10046648,'Shapechanges caster into a vultak',100,1,1),
(58300,10046648,'Dispelled when target takes damage',100,1,2),
(58301,10046648,'Dispelled when target receives hostile action',100,1,3),
(58302,141686,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(58303,141686,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(58304,141686,'Inflicts 95 heat damage on target',100,2,2),
(58305,141686,'Cannot be modified except by direct means',100,2,3),
(58306,10141686,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(58307,10141686,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(58308,10141686,'Inflicts 95 heat damage on target',100,2,2),
(58309,10141686,'Cannot be modified except by direct means',100,2,3),
(58310,117928,'Heals target for 61 - 75',100,1,0),
(58311,117928,'Increases Max Health of target by 2.1',100,1,1),
(58312,10117928,'Heals target for 50 - 61',100,1,0),
(58313,10117928,'Increases Max Health of target by 2.1',100,1,1),
(58314,106253,'Wards target against 951 points of all damage',100,1,0),
(58315,10106253,'Wards target against 780 points of all damage',100,1,0),
(58316,154562,'When Equipped:',100,0,0),
(58317,154562,'On a combat hit this spell may cast Rattle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58318,154562,'Interrupts target',100,2,2),
(58319,154562,'Cannot be modified except by direct means',100,2,3),
(58320,10154562,'When Equipped:',100,0,0),
(58321,10154562,'On a combat hit this spell may cast Rattle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58322,10154562,'Interrupts target',100,2,2),
(58323,10154562,'Cannot be modified except by direct means',100,2,3),
(58324,89283,'When Equipped:',100,0,0),
(58325,89283,'On a critical combat hit this spell may cast Infected Strike III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(58326,89283,'Inflicts 72 - 80 disease damage on target',100,2,2),
(58327,89283,'Inflicts 36 - 40 disease damage on target every 2 seconds',100,2,3),
(58328,89283,'Decreases STR, INT, AGI and WIS of target by 30.0',100,2,4),
(58329,89283,'Must not be engaged in pvp combat',100,2,5),
(58330,89283,'Cannot be modified except by direct means',100,2,6),
(58331,89283,'On a critical spell hit this spell may cast Infected Strike III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(58332,89283,'Inflicts 72 - 80 disease damage on target',100,2,8),
(58333,89283,'Inflicts 36 - 40 disease damage on target every 2 seconds',100,2,9),
(58334,89283,'Decreases STR, INT, AGI and WIS of target by 30.0',100,2,10),
(58335,89283,'Must not be engaged in pvp combat',100,2,11),
(58336,89283,'Cannot be modified except by direct means',100,2,12),
(58337,89283,'Must not be engaged in pvp combat',100,1,13),
(58338,10089283,'When Equipped:',100,0,0),
(58339,10089283,'On a critical combat hit this spell may cast Infected Strike III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(58340,10089283,'Inflicts 72 - 80 disease damage on target',100,2,2),
(58341,10089283,'Inflicts 36 - 40 disease damage on target every 2 seconds',100,2,3),
(58342,10089283,'Decreases STR, INT, AGI and WIS of target by 30.0',100,2,4),
(58343,10089283,'Must not be engaged in pvp combat',100,2,5),
(58344,10089283,'Cannot be modified except by direct means',100,2,6),
(58345,10089283,'On a critical spell hit this spell may cast Infected Strike III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(58346,10089283,'Inflicts 72 - 80 disease damage on target',100,2,8),
(58347,10089283,'Inflicts 36 - 40 disease damage on target every 2 seconds',100,2,9),
(58348,10089283,'Decreases STR, INT, AGI and WIS of target by 30.0',100,2,10),
(58349,10089283,'Must not be engaged in pvp combat',100,2,11),
(58350,10089283,'Cannot be modified except by direct means',100,2,12),
(58351,10089283,'Must not be engaged in pvp combat',100,1,13),
(58352,104956,'Inflicts 4445 - 6724 melee damage on target',100,1,0),
(58353,104956,'Decreases Defense of target by 36.0',100,1,1),
(58354,104956,'Must be behind',100,1,2),
(58355,10104956,'Inflicts 3123 - 4920 melee damage on target',100,1,0),
(58356,10104956,'Decreases Defense of target by 36.0',100,1,1),
(58357,10104956,'Must be behind',100,1,2),
(58358,35508,'Increases STR and WIS of target by 15.4',100,0,0),
(58359,35508,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(58360,155262,'When Equipped:',100,0,0),
(58361,155262,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(58362,155262,'When Equipped:',100,0,2),
(58363,155262,'On a hostile spell hit this spell may cast Leaden Limbs on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,3),
(58364,155262,'Decreases Attack Speed of target by 16.0 - 24.0',100,2,4),
(58365,155262,'Cannot be modified except by direct means',100,2,5),
(58366,10155262,'When Equipped:',100,0,0),
(58367,10155262,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(58368,10155262,'When Equipped:',100,0,2),
(58369,10155262,'On a hostile spell hit this spell may cast Leaden Limbs on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,3),
(58370,10155262,'Decreases Attack Speed of target by 16.0 - 24.0',100,2,4),
(58371,10155262,'Cannot be modified except by direct means',100,2,5),
(58372,150224,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(58373,150224,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(58374,150224,'Cannot be modified except by direct means',100,1,2),
(58375,10150224,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(58376,10150224,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(58377,10150224,'Cannot be modified except by direct means',100,1,2),
(58378,121932,'Applies Tap on termination.',100,1,0),
(58379,121932,'Inflicts 4810 disease damage on target',100,2,1),
(58380,121932,'Heals caster for 4.2% of max health',100,2,2),
(58381,121932,'This effect cannot be critically applied.',100,3,3),
(58382,121932,'The healing of this spell cannot be modified except by direct means',100,2,4),
(58383,10121932,'Applies Tap on termination.',100,1,0),
(58384,10121932,'Inflicts 3728 disease damage on target',100,2,1),
(58385,10121932,'Heals caster for 1.5% of max health',100,2,2),
(58386,10121932,'This effect cannot be critically applied.',100,3,3),
(58387,10121932,'The healing of this spell cannot be modified except by direct means',100,2,4),
(58388,82159,'When Equipped:',100,0,0),
(58389,82159,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58390,82159,'Inflicts 272 - 505 magic damage on target',100,2,2),
(58391,82159,'Cannot be modified except by direct means',100,2,3),
(58392,10082159,'When Equipped:',100,0,0),
(58393,10082159,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58394,10082159,'Inflicts 272 - 505 magic damage on target',100,2,2),
(58395,10082159,'Cannot be modified except by direct means',100,2,3),
(58396,112629,'Increases STA of caster by 92.4',100,1,0),
(58397,112629,'Reduces slow effects on caster by 36.0%',100,1,1),
(58398,112629,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,2),
(58399,10112629,'Increases STA of caster by 92.4',100,1,0),
(58400,10112629,'Reduces slow effects on caster by 36.0%',100,1,1),
(58401,10112629,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,2),
(58402,116781,'Increases STR, AGI, WIS and INT of target by 28.3',100,1,0),
(58403,116781,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(58404,116781,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(58405,116781,'Increases Attack Speed of target by 32.6',100,2,3),
(58406,116781,'Increases Damage Per Second of target by 32.6',100,2,4),
(58407,116781,'Adds 2.2% to base avoidance.',100,1,5),
(58408,116781,'Increases Mitigation of target vs elemental, noxious and arcane damage by 84',100,1,6),
(58409,10116781,'Increases STR, AGI, WIS and INT of target by 28.3',100,1,0),
(58410,10116781,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(58411,10116781,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(58412,10116781,'Increases Attack Speed of target by 32.6',100,2,3),
(58413,10116781,'Increases Damage Per Second of target by 32.6',100,2,4),
(58414,10116781,'Adds 2.2% to base avoidance.',100,1,5),
(58415,10116781,'Increases Mitigation of target vs elemental, noxious and arcane damage by 84',100,1,6),
(58416,123363,'Heals group members (AE) for 1420 - 1735',100,1,0),
(58417,10123363,'Heals group members (AE) for 1252 - 1511',100,1,0),
(58418,70981,'When Equipped:',100,0,0),
(58419,70981,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58420,70981,'Inflicts 79 - 96 poison damage on target instantly and every 4.8 seconds',100,2,2),
(58421,70981,'Cannot be modified except by direct means',100,2,3),
(58422,10070981,'When Equipped:',100,0,0),
(58423,10070981,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58424,10070981,'Inflicts 79 - 96 poison damage on target instantly and every 4.8 seconds',100,2,2),
(58425,10070981,'Cannot be modified except by direct means',100,2,3),
(58426,109590,'Makes target afraid',100,1,0),
(58427,109590,'30% chance to dispel when target takes damage',100,1,1),
(58428,109590,'Does not affect Epic targets',100,1,2),
(58429,109590,'Resistibility increases against targets higher than level 117.',100,1,3),
(58430,10109590,'Makes target afraid',100,1,0),
(58431,10109590,'30% chance to dispel when target takes damage',100,1,1),
(58432,10109590,'Does not affect Epic targets',100,1,2),
(58433,10109590,'Resistibility increases against targets higher than level 117.',100,1,3),
(58434,80688,'When Equipped:',100,0,0),
(58435,80688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58436,80688,'Inflicts 96 - 178 magic damage on target',100,2,2),
(58437,80688,'Cannot be modified except by direct means',100,2,3),
(58438,10080688,'When Equipped:',100,0,0),
(58439,10080688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58440,10080688,'Inflicts 96 - 178 magic damage on target',100,2,2),
(58441,10080688,'Cannot be modified except by direct means',100,2,3),
(58442,81904,'When Equipped:',100,0,0),
(58443,81904,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58444,81904,'Inflicts 523 - 972 magic damage on target',100,2,2),
(58445,81904,'Decreases Threat to target by 994 ',100,2,3),
(58446,81904,'Must be flanking or behind',100,3,4),
(58447,81904,'Increases Threat to target by 1,454 ',100,2,5),
(58448,81904,'Must be in front of',100,3,6),
(58449,81904,'Cannot be modified except by direct means',100,2,7),
(58450,10081904,'When Equipped:',100,0,0),
(58451,10081904,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58452,10081904,'Inflicts 523 - 972 magic damage on target',100,2,2),
(58453,10081904,'Cannot be modified except by direct means',100,2,3),
(58454,117214,'Inflicts 7 slashing damage on target every 4 seconds',100,1,0),
(58455,117214,'Inflicts 59 - 95 melee damage on target',100,1,1),
(58456,10117214,'Inflicts 6 slashing damage on target every 4 seconds',100,1,0),
(58457,10117214,'Inflicts 52 - 82 melee damage on target',100,1,1),
(58458,72401,'When Equipped:',100,0,0),
(58459,72401,'On a melee hit this spell may cast Dark Harvest on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(58460,72401,'Inflicts 339 slashing damage on target instantly and every 4 seconds',100,2,2),
(58461,72401,'Cannot be modified except by direct means',100,2,3),
(58462,10072401,'When Equipped:',100,0,0),
(58463,10072401,'On a melee hit this spell may cast Dark Harvest on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(58464,10072401,'Inflicts 339 slashing damage on target instantly and every 4 seconds',100,2,2),
(58465,10072401,'Cannot be modified except by direct means',100,2,3),
(58466,124189,'Inflicts 1447 - 2400 melee damage on target',100,1,0),
(58467,10124189,'Inflicts 1154 - 1672 melee damage on target',100,1,0),
(58468,119679,'Increases Threat to target encounter by 309 - 377 ',100,1,0),
(58469,10119679,'Prevents target encounter from changing targets',100,1,0),
(58470,10119679,'Forces target encounter to change their selected target to caster.',100,1,1),
(58471,159031,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(58472,159031,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(58473,159031,'Inflicts 190 heat damage on target',100,2,2),
(58474,159031,'Cannot be modified except by direct means',100,2,3),
(58475,10159031,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(58476,10159031,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(58477,10159031,'Inflicts 190 heat damage on target',100,2,2),
(58478,10159031,'Cannot be modified except by direct means',100,2,3),
(58479,81228,'When Equipped:',100,0,0),
(58480,81228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58481,81228,'Inflicts 140 - 260 magic damage on target',100,2,2),
(58482,81228,'Cannot be modified except by direct means',100,2,3),
(58483,10081228,'When Equipped:',100,0,0),
(58484,10081228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58485,10081228,'Inflicts 140 - 260 magic damage on target',100,2,2),
(58486,10081228,'Cannot be modified except by direct means',100,2,3),
(58487,87360,'When Equipped:',100,0,0),
(58488,87360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58489,87360,'Inflicts 192 - 289 magic damage on target',100,2,2),
(58490,87360,'Cannot be modified except by direct means',100,2,3),
(58491,10087360,'When Equipped:',100,0,0),
(58492,10087360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58493,10087360,'Inflicts 192 - 289 magic damage on target',100,2,2),
(58494,10087360,'Cannot be modified except by direct means',100,2,3),
(58495,116129,'Inflicts 690 - 1145 divine damage on target',100,1,0),
(58496,116129,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(58497,116129,'Stuns target',100,2,2),
(58498,116129,'Throws target back',100,2,3),
(58499,116129,'Blurs vision of target',100,2,4),
(58500,116129,'Does not affect Epic targets',100,2,5),
(58501,10116129,'Inflicts 556 - 922 divine damage on target',100,1,0),
(58502,10116129,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(58503,10116129,'Stuns target',100,2,2),
(58504,10116129,'Throws target back',100,2,3),
(58505,10116129,'Blurs vision of target',100,2,4),
(58506,10116129,'Does not affect Epic targets',100,2,5),
(58507,124338,'Shapechanges caster into a wolf',100,1,0),
(58508,124338,'Grants See Invisibility to caster',100,1,1),
(58509,124338,'Increases Focus of caster by 42.1',100,1,2),
(58510,124338,'Increases Mitigation of caster vs physical damage by 479',100,1,3),
(58511,124338,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1732',100,1,4),
(58512,10124338,'Shapechanges caster into a wolf',100,1,0),
(58513,10124338,'Grants See Invisibility to caster',100,1,1),
(58514,10124338,'Increases Focus of caster by 42.1',100,1,2),
(58515,10124338,'Increases Mitigation of caster vs physical damage by 479',100,1,3),
(58516,10124338,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1732',100,1,4),
(58517,103493,'Increases In-Combat Power Regeneration of group members (AE) by 46.3',100,1,0),
(58518,10103493,'Increases In-Combat Power Regeneration of group members (AE) by 46.3',100,1,0),
(58519,35699,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(58520,103618,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(58521,103618,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(58522,103618,'Increases STR of raid and group members (AE) by 9.6',100,1,2),
(58523,103618,'Improves the base amount of taunts by 16%.',100,1,3),
(58524,103618,'Improves the base amount of combat arts by 5%.',100,1,4),
(58525,103618,'Increases AGI of raid and group members (AE) by 9.6',100,1,5),
(58526,103618,'Adds 1.6% to base avoidance.',100,1,6),
(58527,10103618,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(58528,10103618,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(58529,10103618,'Increases STR of raid and group members (AE) by 9.6',100,1,2),
(58530,10103618,'Improves the base amount of taunts by 16%.',100,1,3),
(58531,10103618,'Improves the base amount of combat arts by 5%.',100,1,4),
(58532,10103618,'Increases AGI of raid and group members (AE) by 9.6',100,1,5),
(58533,10103618,'Adds 1.6% to base avoidance.',100,1,6),
(58534,87449,'When Equipped:',100,0,0),
(58535,87449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58536,87449,'Inflicts 56 - 84 magic damage on target',100,2,2),
(58537,87449,'Cannot be modified except by direct means',100,2,3),
(58538,10087449,'When Equipped:',100,0,0),
(58539,10087449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58540,10087449,'Inflicts 56 - 84 magic damage on target',100,2,2),
(58541,10087449,'Cannot be modified except by direct means',100,2,3),
(58542,113166,'Inflicts 2255 disease damage on target',100,1,0),
(58543,113166,'Heals caster for 879',100,1,1),
(58544,10113166,'Inflicts 1587 disease damage on target',100,1,0),
(58545,10113166,'Heals caster for 519',100,1,1),
(58546,105629,'Inflicts 204 disease damage on target instantly and every 6 seconds',100,1,0),
(58547,105629,'Inflicts 1202 - 1767 disease damage on target',100,1,1),
(58548,105629,'Inflicts 473 - 784 disease damage on target',100,1,2),
(58549,10105629,'Inflicts 160 disease damage on target instantly and every 6 seconds',100,1,0),
(58550,10105629,'Inflicts 767 - 1013 disease damage on target',100,1,1),
(58551,10105629,'Inflicts 372 - 618 disease damage on target',100,1,2),
(58552,121127,'Summons a limited pet to aid the caster',100,1,0),
(58553,10121127,'Summons a limited pet to aid the caster',100,1,0),
(58554,48321,'Applies Superior Elemental Ointment when Activated.',100,0,0),
(58555,48321,'Dispels 68 levels of elemental hostile effects on caster',100,1,1),
(58556,10048321,'Applies Superior Elemental Ointment when Activated.',100,0,0),
(58557,10048321,'Dispels 68 levels of elemental hostile effects on caster',100,1,1),
(58558,89947,'When Equipped:',100,0,0),
(58559,89947,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(58560,89947,'Inflicts 289 - 481 heat damage on target',100,2,2),
(58561,89947,'Cannot be modified except by direct means',100,2,3),
(58562,10089947,'When Equipped:',100,0,0),
(58563,10089947,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(58564,10089947,'Inflicts 289 - 481 heat damage on target',100,2,2),
(58565,10089947,'Cannot be modified except by direct means',100,2,3),
(58566,112853,'Roots target',100,1,0),
(58567,112853,'5% chance to dispel when target takes damage',100,1,1),
(58568,112853,'Does not affect Epic targets',100,1,2),
(58569,112853,'Resistibility increases against targets higher than level 105.',100,1,3),
(58570,10112853,'Roots target',100,1,0),
(58571,10112853,'5% chance to dispel when target takes damage',100,1,1),
(58572,10112853,'Does not affect Epic targets',100,1,2),
(58573,10112853,'Resistibility increases against targets higher than level 105.',100,1,3),
(58574,114068,'Inflicts 1849 - 2515 melee damage on target',100,1,0),
(58575,114068,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(58576,114068,'Grants stealth to caster',100,2,2),
(58577,114068,'Suspends caster''s movement speed enhancements',100,2,3),
(58578,114068,'Must be flanking or behind',100,1,4),
(58579,10114068,'Inflicts 1487 - 2206 melee damage on target',100,1,0),
(58580,10114068,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(58581,10114068,'Grants stealth to caster',100,2,2),
(58582,10114068,'Suspends caster''s movement speed enhancements',100,2,3),
(58583,10114068,'Must be flanking or behind',100,1,4),
(58584,45583,'Applies Elixir of Accuracy  when Activated.  Lasts for 30 minutes.',100,0,0),
(58585,45583,'Increases AGI of caster by 16.0',100,1,1),
(58586,10045583,'Applies Elixir of Accuracy  when Activated.  Lasts for 30 minutes.',100,0,0),
(58587,10045583,'Increases AGI of caster by 16.0',100,1,1),
(58588,52919,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(58589,52919,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(58590,52919,'Inflicts 120 heat damage on target',100,2,2),
(58591,52919,'Cannot be modified except by direct means',100,2,3),
(58592,10052919,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(58593,10052919,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(58594,10052919,'Inflicts 120 heat damage on target',100,2,2),
(58595,10052919,'Cannot be modified except by direct means',100,2,3),
(58596,72322,'When Equipped:',100,0,0),
(58597,72322,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58598,72322,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(58599,72322,'Cannot be modified except by direct means',100,2,3),
(58600,10072322,'When Equipped:',100,0,0),
(58601,10072322,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58602,10072322,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(58603,10072322,'Cannot be modified except by direct means',100,2,3),
(58604,81168,'When Equipped:',100,0,0),
(58605,81168,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58606,81168,'Inflicts 295 - 547 magic damage on target',100,2,2),
(58607,81168,'Cannot be modified except by direct means',100,2,3),
(58608,10081168,'When Equipped:',100,0,0),
(58609,10081168,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58610,10081168,'Inflicts 295 - 547 magic damage on target',100,2,2),
(58611,10081168,'Cannot be modified except by direct means',100,2,3),
(58612,82553,'When Equipped:',100,0,0),
(58613,82553,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58614,82553,'Inflicts 151 - 280 magic damage on target',100,2,2),
(58615,82553,'Decreases Threat to target by 259 ',100,2,3),
(58616,82553,'Must be flanking or behind',100,3,4),
(58617,82553,'Increases Threat to target by 453 ',100,2,5),
(58618,82553,'Must be in front of',100,3,6),
(58619,82553,'Cannot be modified except by direct means',100,2,7),
(58620,10082553,'When Equipped:',100,0,0),
(58621,10082553,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58622,10082553,'Inflicts 151 - 280 magic damage on target',100,2,2),
(58623,10082553,'Cannot be modified except by direct means',100,2,3),
(58624,24591,'Adds Naga Undead (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(58625,10024591,'Adds Naga Undead (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(58626,170638,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(58627,170638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 527',100,1,1),
(58628,170638,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(58629,10170638,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(58630,10170638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 527',100,1,1),
(58631,10170638,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(58632,155282,'Applies Mark of Fright when Activated.  Lasts for 30.0 seconds.',100,0,0),
(58633,155282,'Caster will Dodge 2.0% of incoming attacks',100,1,1),
(58634,155282,'The casting time of Mark of Fright is 1.98 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,2),
(58635,10155282,'Applies Mark of Fright when Activated.  Lasts for 30.0 seconds.',100,0,0),
(58636,10155282,'Caster will Dodge 2.0% of incoming attacks',100,1,1),
(58637,10155282,'The casting time of Mark of Fright is 1.98 seconds and the reuse time of the spell is 20 minutes 44 seconds',100,1,2),
(58638,119618,'Inflicts 4458 - 7212 mental damage on targets in Area of Effect',100,1,0),
(58639,119618,'Stuns targets in Area of Effect',100,1,1),
(58640,119618,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(58641,119618,'Resistibility increases against targets higher than level 99.',100,1,3),
(58642,10119618,'Inflicts 3387 - 5557 mental damage on targets in Area of Effect',100,1,0),
(58643,10119618,'Stuns targets in Area of Effect',100,1,1),
(58644,10119618,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(58645,10119618,'Resistibility increases against targets higher than level 99.',100,1,3),
(58646,123240,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(58647,123240,'Increases Mitigation of group members (AE) vs noxious damage by 266',100,1,1),
(58648,10123240,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(58649,10123240,'Increases Mitigation of group members (AE) vs noxious damage by 266',100,1,1),
(58650,80549,'When Equipped:',100,0,0),
(58651,80549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58652,80549,'Inflicts 140 - 260 magic damage on target',100,2,2),
(58653,80549,'Cannot be modified except by direct means',100,2,3),
(58654,10080549,'When Equipped:',100,0,0),
(58655,10080549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58656,10080549,'Inflicts 140 - 260 magic damage on target',100,2,2),
(58657,10080549,'Cannot be modified except by direct means',100,2,3),
(58658,110130,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(58659,110130,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(58660,110130,'Only affects the caster of Guardian''s Sphere',100,2,2),
(58661,110130,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(58662,110130,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(58663,110130,'If not fighter',100,2,5),
(58664,10110130,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(58665,10110130,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(58666,10110130,'Only affects the caster of Guardian''s Sphere',100,2,2),
(58667,10110130,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(58668,10110130,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(58669,10110130,'If not fighter',100,2,5),
(58670,106048,'Increases AGI of caster by 43.9',100,1,0),
(58671,106048,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(58672,106048,'Inflicts 288 - 479 disease damage on target',100,2,2),
(58673,106048,'Adds 18.7% to base avoidance.',100,1,3),
(58674,106048,'Increases Mitigation of caster vs physical damage by 227',100,1,4),
(58675,106048,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,5),
(58676,10106048,'Increases AGI of caster by 43.9',100,1,0),
(58677,10106048,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(58678,10106048,'Inflicts 227 - 378 disease damage on target',100,2,2),
(58679,10106048,'Adds 18.7% to base avoidance.',100,1,3),
(58680,10106048,'Increases Mitigation of caster vs physical damage by 227',100,1,4),
(58681,10106048,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,5),
(58682,90110,'When Equipped:',100,0,0),
(58683,90110,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58684,90110,'Inflicts 107 - 130 poison damage on target instantly and every 4.8 seconds',100,2,2),
(58685,90110,'Cannot be modified except by direct means',100,2,3),
(58686,10090110,'When Equipped:',100,0,0),
(58687,10090110,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58688,10090110,'Inflicts 107 - 130 poison damage on target instantly and every 4.8 seconds',100,2,2),
(58689,10090110,'Cannot be modified except by direct means',100,2,3),
(58690,37148,'Increases WIS and INT of target by 3.2',100,0,0),
(58691,37148,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(58692,80058,'When Equipped:',100,0,0),
(58693,80058,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(58694,80058,'Heals group members for 571',100,2,2),
(58695,80058,'Cannot be modified except by direct means',100,2,3),
(58696,10080058,'When Equipped:',100,0,0),
(58697,10080058,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(58698,10080058,'Heals group members for 371',100,2,2),
(58699,10080058,'Cannot be modified except by direct means',100,2,3),
(58700,35528,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(58701,160767,'When Equipped:',100,0,0),
(58702,160767,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(58703,160767,'Stuns target',100,2,2),
(58704,160767,'Only affects targets level 95 and below',100,2,3),
(58705,160767,'Does not affect Epic targets',100,2,4),
(58706,160767,'Resistibility increases against targets higher than level 111.',100,2,5),
(58707,160767,'Cannot be modified except by direct means',100,2,6),
(58708,10160767,'When Equipped:',100,0,0),
(58709,10160767,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(58710,10160767,'Stuns target',100,2,2),
(58711,10160767,'Only affects targets level 95 and below',100,2,3),
(58712,10160767,'Does not affect Epic targets',100,2,4),
(58713,10160767,'Resistibility increases against targets higher than level 111.',100,2,5),
(58714,10160767,'Cannot be modified except by direct means',100,2,6),
(58715,145009,'When Equipped:',100,0,0),
(58716,145009,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(58717,145009,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(58718,145009,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(58719,145009,'Must not be engaged in pvp combat',100,2,4),
(58720,145009,'Cannot be modified except by direct means',100,2,5),
(58721,145009,'Cannot be modified except by direct means',100,1,6),
(58722,10145009,'When Equipped:',100,0,0),
(58723,10145009,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(58724,10145009,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(58725,10145009,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(58726,10145009,'Must not be engaged in pvp combat',100,2,4),
(58727,10145009,'Cannot be modified except by direct means',100,2,5),
(58728,10145009,'Cannot be modified except by direct means',100,1,6),
(58729,46832,'Applies Maiden of Syl''Tor when Activated.',100,0,0),
(58730,46832,'Shapechanges the user into Tserrina Syl''Tor of Neriak, and provides a shield which damages any melee attacker.',100,1,1),
(58731,10046832,'Applies Maiden of Syl''Tor when Activated.',100,0,0),
(58732,10046832,'Shapechanges the user into Tserrina Syl''Tor of Neriak, and provides a shield which damages any melee attacker.',100,1,1),
(58733,117499,'Increases Attack Speed of target by 40.4',100,1,0),
(58734,10117499,'Increases Attack Speed of target by 40.4',100,1,0),
(58735,108343,'Feigns Death with 86% chance of success',100,1,0),
(58736,10108343,'Feigns Death with 86% chance of success',100,1,0),
(58737,87999,'When Equipped:',100,0,0),
(58738,87999,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(58739,10087999,'When Equipped:',100,0,0),
(58740,10087999,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(58741,159709,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(58742,159709,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(58743,159709,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(58744,159709,'Cannot be modified except by direct means',100,2,3),
(58745,10159709,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(58746,10159709,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(58747,10159709,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(58748,10159709,'Cannot be modified except by direct means',100,2,3),
(58749,104971,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(58750,104971,'Reduces physical damage done to caster by 5%',100,1,1),
(58751,104971,'Adds 1.5% to base avoidance.',100,1,2),
(58752,104971,'Caster will deflect 10.0% of incoming attacks.',100,1,3),
(58753,104971,'Increases Parry of caster by 1.8',100,1,4),
(58754,104971,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,5),
(58755,104971,'Increases Aggression of caster by 1.1',100,1,6),
(58756,104971,'Increases Defense and Deflection of caster by 1.8',100,1,7),
(58757,104971,'Increases Mitigation of caster vs arcane damage by 154',100,1,8),
(58758,104971,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(58759,10104971,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(58760,10104971,'Reduces physical damage done to caster by 5%',100,1,1),
(58761,10104971,'Adds 1.5% to base avoidance.',100,1,2),
(58762,10104971,'Caster will deflect 10.0% of incoming attacks.',100,1,3),
(58763,10104971,'Increases Parry of caster by 1.8',100,1,4),
(58764,10104971,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,5),
(58765,10104971,'Increases Aggression of caster by 1.1',100,1,6),
(58766,10104971,'Increases Defense and Deflection of caster by 1.8',100,1,7),
(58767,10104971,'Increases Mitigation of caster vs arcane damage by 154',100,1,8),
(58768,10104971,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(58769,170699,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(58770,170699,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(58771,170699,'Decreases Attack Speed of target by 11.6',100,2,2),
(58772,170699,'Cannot be modified except by direct means',100,2,3),
(58773,170699,'Slows target by 29.3%',100,1,4),
(58774,170699,'5% chance to dispel when target takes damage',100,1,5),
(58775,170699,'5% chance to dispel when target receives hostile action',100,1,6),
(58776,170699,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(58777,10170699,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(58778,10170699,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(58779,10170699,'Decreases Attack Speed of target by 11.6',100,2,2),
(58780,10170699,'Cannot be modified except by direct means',100,2,3),
(58781,10170699,'Slows target by 29.3%',100,1,4),
(58782,10170699,'5% chance to dispel when target takes damage',100,1,5),
(58783,10170699,'5% chance to dispel when target receives hostile action',100,1,6),
(58784,10170699,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(58785,147228,'When Equipped:',100,0,0),
(58786,147228,'Reduces reuse time of hostile spells by 5 percent.',100,1,1),
(58787,10147228,'When Equipped:',100,0,0),
(58788,10147228,'Reduces reuse time of hostile spells by 5 percent.',100,1,1),
(58789,121895,'Inflicts 262 - 437 mental damage on target encounter',100,1,0),
(58790,121895,'Increases power of group members (AE) by 33 - 56',100,1,1),
(58791,10121895,'Inflicts 215 - 358 mental damage on target encounter',100,1,0),
(58792,10121895,'Increases power of group members (AE) by 33 - 56',100,1,1),
(58793,84587,'When Equipped:',100,0,0),
(58794,84587,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(58795,84587,'Reduces healing received by 15.00%',100,2,2),
(58796,84587,'Cannot be modified except by direct means',100,2,3),
(58797,84587,'This effect can only trigger once every 1 second.',100,2,4),
(58798,84587,'Must be engaged in pvp combat',100,1,5),
(58799,10084587,'When Equipped:',100,0,0),
(58800,10084587,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(58801,10084587,'Reduces healing received by 15.00%',100,2,2),
(58802,10084587,'Cannot be modified except by direct means',100,2,3),
(58803,10084587,'This effect can only trigger once every 1 second.',100,2,4),
(58804,10084587,'Must be engaged in pvp combat',100,1,5),
(58805,116857,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(58806,116857,'Inflicts 2434 - 2902 mental damage on target',100,2,1),
(58807,116857,'Grants a total of 3 triggers of the spell.',100,2,2),
(58808,10116857,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(58809,10116857,'Inflicts 1792 - 2161 mental damage on target',100,2,1),
(58810,10116857,'Grants a total of 3 triggers of the spell.',100,2,2),
(58811,106396,'Inflicts 3778 - 5618 melee damage on target',100,1,0),
(58812,106396,'Decreases Defense of target by 28.4',100,1,1),
(58813,106396,'Decreases Defense of caster by 25.8',100,1,2),
(58814,10106396,'Inflicts 2598 - 4048 melee damage on target',100,1,0),
(58815,10106396,'Decreases Defense of target by 28.4',100,1,1),
(58816,10106396,'Decreases Defense of caster by 25.8',100,1,2),
(58817,107277,'Inflicts 1745 - 2430 ranged damage on target',100,1,0),
(58818,107277,'Inflicts 872 - 1447 ranged damage on target',100,1,1),
(58819,107277,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(58820,107277,'Blurs vision of target',100,2,3),
(58821,107277,'Stuns target',100,2,4),
(58822,107277,'Throws target back',100,2,5),
(58823,107277,'Does not affect Epic targets',100,2,6),
(58824,107277,'If weapon equipped in Ranged',100,1,7),
(58825,10107277,'Inflicts 910 - 1250 ranged damage on target',100,1,0),
(58826,10107277,'Inflicts 515 - 855 ranged damage on target',100,1,1),
(58827,10107277,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(58828,10107277,'Stuns target',100,2,3),
(58829,10107277,'Throws target back',100,2,4),
(58830,10107277,'Blurs vision of target',100,2,5),
(58831,10107277,'Does not affect Epic targets',100,2,6),
(58832,10107277,'If weapon equipped in Ranged',100,1,7),
(58833,74977,'When Equipped:',100,0,0),
(58834,74977,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58835,74977,'Inflicts 119 - 179 magic damage on target',100,2,2),
(58836,74977,'Cannot be modified except by direct means',100,2,3),
(58837,10074977,'When Equipped:',100,0,0),
(58838,10074977,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58839,10074977,'Inflicts 119 - 179 magic damage on target',100,2,2),
(58840,10074977,'Cannot be modified except by direct means',100,2,3),
(58841,121169,'Grants target a 16% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(58842,121169,'Increases Agility of caster by 15.',100,1,1),
(58843,10121169,'Grants target a 16% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(58844,10121169,'Increases Deflection of caster by 3.2',100,1,1),
(58845,155192,'When Equipped:',100,0,0),
(58846,155192,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(58847,155192,'Must not be engaged in pvp combat',100,1,2),
(58848,10155192,'When Equipped:',100,0,0),
(58849,10155192,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(58850,10155192,'Must not be engaged in pvp combat',100,1,2),
(58851,47101,'Applies Most Wanted Poster when Activated.',100,0,0),
(58852,47101,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(58853,47101,'If between levels 60 - 69',100,1,2),
(58854,47101,'Cannot be modified except by direct means',100,1,3),
(58855,10047101,'Applies Most Wanted Poster when Activated.',100,0,0),
(58856,10047101,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(58857,10047101,'If between levels 60 - 69',100,1,2),
(58858,10047101,'Cannot be modified except by direct means',100,1,3),
(58859,46218,'Applies arcane remedy when Activated.',100,0,0),
(58860,46218,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(58861,10046218,'Applies arcane remedy when Activated.',100,0,0),
(58862,10046218,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(58863,122382,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(58864,122382,'Inflicts 12 - 15 piercing damage on target encounter',100,2,1),
(58865,10122382,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(58866,10122382,'Inflicts 10 - 12 piercing damage on target encounter',100,2,1),
(58867,48139,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(58868,48139,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(58869,48139,'Inflicts 105 magic damage on target',100,2,2),
(58870,48139,'Cannot be modified except by direct means',100,2,3),
(58871,10048139,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(58872,10048139,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(58873,10048139,'Inflicts 105 magic damage on target',100,2,2),
(58874,10048139,'Cannot be modified except by direct means',100,2,3),
(58875,100242,'Inflicts 189 - 350 poison damage on target',100,1,0),
(58876,100242,'Inflicts 42 - 78 poison damage on target every 3 seconds',100,1,1),
(58877,10100242,'Inflicts 221 - 411 poison damage on target',100,1,0),
(58878,10100242,'Inflicts 74 - 138 poison damage on target every 3 seconds',100,1,1),
(58879,90340,'When Equipped:',100,0,0),
(58880,90340,'On a combat hit this spell may cast Cold Swelter on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58881,90340,'Inflicts 983 - 1201 cold damage on target',100,2,2),
(58882,90340,'Inflicts 983 - 1201 heat damage on target',100,2,3),
(58883,90340,'Cannot be modified except by direct means',100,2,4),
(58884,10090340,'When Equipped:',100,0,0),
(58885,10090340,'On a combat hit this spell may cast Cold Swelter on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(58886,10090340,'Inflicts 983 - 1201 cold damage on target',100,2,2),
(58887,10090340,'Inflicts 983 - 1201 heat damage on target',100,2,3),
(58888,10090340,'Cannot be modified except by direct means',100,2,4),
(58889,24212,'Adds Crushbone: Poleaxe to your Dungeon Maker toolbox',100,0,0),
(58890,10024212,'Adds Crushbone: Poleaxe to your Dungeon Maker toolbox',100,0,0),
(58891,175327,'When Equipped:',100,0,0),
(58892,175327,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(58893,175327,'Stifles target',100,2,2),
(58894,175327,'Only affects targets level 102 and below',100,2,3),
(58895,175327,'Does not affect Epic targets',100,2,4),
(58896,175327,'Resistibility increases against targets higher than level 111.',100,2,5),
(58897,175327,'Cannot be modified except by direct means',100,2,6),
(58898,10175327,'When Equipped:',100,0,0),
(58899,10175327,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(58900,10175327,'Stifles target',100,2,2),
(58901,10175327,'Only affects targets level 102 and below',100,2,3),
(58902,10175327,'Does not affect Epic targets',100,2,4),
(58903,10175327,'Resistibility increases against targets higher than level 111.',100,2,5),
(58904,10175327,'Cannot be modified except by direct means',100,2,6),
(58905,111207,'Inflicts 2142 - 3444 divine damage on targets in area',100,1,0),
(58906,111207,'Heals group members (AE) for 2.1% of max health',100,1,1),
(58907,111207,'This effect cannot be critically applied.',100,2,2),
(58908,111207,'The healing of this spell cannot be modified except by direct means',100,1,3),
(58909,10111207,'Inflicts 1659 - 2708 divine damage on targets in area',100,1,0),
(58910,10111207,'Heals group members (AE) for 1.4% of max health',100,1,1),
(58911,10111207,'This effect cannot be critically applied.',100,2,2),
(58912,10111207,'The healing of this spell cannot be modified except by direct means',100,1,3),
(58913,35427,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(58914,35427,'Increases Max Health of target by 120.7',100,0,1),
(58915,81892,'When Equipped:',100,0,0),
(58916,81892,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58917,81892,'Inflicts 210 - 391 magic damage on target',100,2,2),
(58918,81892,'Decreases Threat to target by 487 ',100,2,3),
(58919,81892,'Must be flanking or behind',100,3,4),
(58920,81892,'Increases Threat to target by 852 ',100,2,5),
(58921,81892,'Must be in front of',100,3,6),
(58922,81892,'Cannot be modified except by direct means',100,2,7),
(58923,10081892,'When Equipped:',100,0,0),
(58924,10081892,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(58925,10081892,'Inflicts 210 - 391 magic damage on target',100,2,2),
(58926,10081892,'Cannot be modified except by direct means',100,2,3),
(58927,101631,'Applies Forceful Headache on termination.',100,1,0),
(58928,101631,'Inflicts 954 - 1590 mental damage on target',100,2,1),
(58929,101631,'If over 50% power',100,3,2),
(58930,101631,'Inflicts 1145 - 1382 mental damage on target',100,1,3),
(58931,101631,'Inflicts 327 - 400 mental damage on target every 6 seconds',100,1,4),
(58932,101631,'Decreases Mitigation of target vs arcane damage by 532',100,1,5),
(58933,10101631,'Applies Forceful Headache on termination.',100,1,0),
(58934,10101631,'Inflicts 776 - 1206 mental damage on target',100,2,1),
(58935,10101631,'If over 50% power',100,3,2),
(58936,10101631,'Inflicts 652 - 710 mental damage on target',100,1,3),
(58937,10101631,'Inflicts 258 - 315 mental damage on target every 6 seconds',100,1,4),
(58938,10101631,'Decreases Mitigation of target vs arcane damage by 532',100,1,5),
(58939,46579,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(58940,46579,'Heals caster for 53',100,1,1),
(58941,46579,'Heals caster for 26 every 5 seconds',100,1,2),
(58942,10046579,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(58943,10046579,'Heals caster for 34',100,1,1),
(58944,10046579,'Heals caster for 17 every 5 seconds',100,1,2),
(58945,113913,'Inflicts 2981 - 4314 disease damage on target',100,1,0),
(58946,113913,'Inflicts 500 - 833 disease damage on target every 4 seconds',100,1,1),
(58947,113913,'Increases power of caster by 195 - 325',100,1,2),
(58948,113913,'Increases power of caster by 42 - 70 every 4 seconds',100,1,3),
(58949,10113913,'Inflicts 1970 - 3020 disease damage on target',100,1,0),
(58950,10113913,'Inflicts 394 - 656 disease damage on target every 4 seconds',100,1,1),
(58951,10113913,'Increases power of caster by 195 - 325',100,1,2),
(58952,10113913,'Increases power of caster by 42 - 70 every 4 seconds',100,1,3),
(58953,162076,'When Equipped:',100,0,0),
(58954,162076,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(58955,162076,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(58956,162076,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(58957,162076,'Heals caster for 1185 - 1309',100,2,4),
(58958,162076,'Must not be engaged in pvp combat',100,2,5),
(58959,162076,'Cannot be modified except by direct means',100,2,6),
(58960,162076,'Cannot be modified except by direct means',100,1,7),
(58961,10162076,'When Equipped:',100,0,0),
(58962,10162076,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(58963,10162076,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(58964,10162076,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(58965,10162076,'Heals caster for 1386 - 1532',100,2,4),
(58966,10162076,'Must not be engaged in pvp combat',100,2,5),
(58967,10162076,'Cannot be modified except by direct means',100,2,6),
(58968,10162076,'Cannot be modified except by direct means',100,1,7),
(58969,102197,'Increases Mitigation of group members (AE) vs physical damage by 544',100,1,0),
(58970,10102197,'Increases Mitigation of group members (AE) vs physical damage by 544',100,1,0),
(58971,185480,'When Equipped:',100,0,0),
(58972,185480,'Increases Attack Speed of caster by 35.0',100,1,1),
(58973,10185480,'When Equipped:',100,0,0),
(58974,10185480,'Increases Attack Speed of caster by 35.0',100,1,1),
(58975,71914,'When Equipped:',100,0,0),
(58976,71914,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58977,71914,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(58978,71914,'Cannot be modified except by direct means',100,2,3),
(58979,10071914,'When Equipped:',100,0,0),
(58980,10071914,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(58981,10071914,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(58982,10071914,'Cannot be modified except by direct means',100,2,3),
(58983,109869,'Increases Defense of group members (AE) by 21.6',100,1,0),
(58984,10109869,'Increases Defense of group members (AE) by 21.6',100,1,0),
(58985,36942,'Increases STR of target by 12.7',100,0,0),
(58986,36942,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(58987,157964,'When Equipped:',100,0,0),
(58988,157964,'When any damage is received this spell has a 2.5% chance to cast Pritchett''s Aura on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(58989,157964,'Increases AGI and WIS of target by 42.4',100,2,2),
(58990,157964,'Cannot be modified except by direct means',100,2,3),
(58991,10157964,'When Equipped:',100,0,0),
(58992,10157964,'When any damage is received this spell has a 2.5% chance to cast Pritchett''s Aura on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(58993,10157964,'Increases AGI and WIS of target by 42.4',100,2,2),
(58994,10157964,'Cannot be modified except by direct means',100,2,3),
(58995,159594,'When Equipped:',100,0,0),
(58996,159594,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(58997,159594,'Increases STA of caster by 8.9',100,2,2),
(58998,159594,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(58999,159594,'Cannot be modified except by direct means',100,2,4),
(59000,10159594,'When Equipped:',100,0,0),
(59001,10159594,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(59002,10159594,'Increases STA of caster by 8.9',100,2,2),
(59003,10159594,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(59004,10159594,'Cannot be modified except by direct means',100,2,4),
(59005,24526,'Adds Mistmoore: Discarded Scrolls to your Dungeon Maker toolbox',100,0,0),
(59006,10024526,'Adds Mistmoore: Discarded Scrolls to your Dungeon Maker toolbox',100,0,0),
(59007,84287,'When Equipped:',100,0,0),
(59008,84287,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59009,84287,'Inflicts 50 - 62 cold damage on target',100,2,2),
(59010,84287,'Cannot be modified except by direct means',100,2,3),
(59011,10084287,'When Equipped:',100,0,0),
(59012,10084287,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59013,10084287,'Inflicts 50 - 62 cold damage on target',100,2,2),
(59014,10084287,'Cannot be modified except by direct means',100,2,3),
(59015,37283,'Increases INT of target by 13.2',100,0,0),
(59016,37283,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(59017,100068,'Decreases success chance by 7.0%',100,1,0),
(59018,100068,'Increases the amount of durability gained by 20.0.',100,1,1),
(59019,10100068,'Decreases success chance by 7.0%',100,1,0),
(59020,10100068,'Increases the amount of durability gained by 20.0.',100,1,1),
(59021,84261,'Applies Mental Blast when Activated.',100,0,0),
(59022,84261,'Inflicts 438 - 729 mental damage on target',100,1,1),
(59023,84261,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59024,10084261,'Applies Mental Blast when Activated.',100,0,0),
(59025,10084261,'Inflicts 438 - 729 mental damage on target',100,1,1),
(59026,10084261,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59027,81030,'When Equipped:',100,0,0),
(59028,81030,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59029,81030,'Inflicts 261 - 484 magic damage on target',100,2,2),
(59030,81030,'Cannot be modified except by direct means',100,2,3),
(59031,10081030,'When Equipped:',100,0,0),
(59032,10081030,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59033,10081030,'Inflicts 261 - 484 magic damage on target',100,2,2),
(59034,10081030,'Cannot be modified except by direct means',100,2,3),
(59035,36448,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(59036,36448,'This effect suspends during combat',100,0,1),
(59037,107612,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(59038,107612,'Increases Mitigation of group members (AE) vs elemental damage by 122',100,1,1),
(59039,10107612,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(59040,10107612,'Increases Mitigation of group members (AE) vs elemental damage by 122',100,1,1),
(59041,173939,'When Equipped:',100,0,0),
(59042,173939,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59043,173939,'Inflicts 1192 cold damage on target encounter',100,2,2),
(59044,173939,'Cannot be modified except by direct means',100,2,3),
(59045,10173939,'When Equipped:',100,0,0),
(59046,10173939,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59047,10173939,'Inflicts 596 cold damage on target encounter',100,2,2),
(59048,10173939,'Cannot be modified except by direct means',100,2,3),
(59049,47575,'Applies Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(59050,47575,'Increases STR and STA of caster by 23.3',100,1,1),
(59051,10047575,'Applies Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(59052,10047575,'Increases STR and STA of caster by 23.3',100,1,1),
(59053,45879,'Applies Call Treeglider when Activated.',100,0,0),
(59054,45879,'Increases Ranged of caster by 5.0',100,1,1),
(59055,45879,'Summons a mount to ride',100,1,2),
(59056,45879,'Increases your ground speed by 60%',100,2,3),
(59057,45879,'Increases your air speed by 200%',100,2,4),
(59058,45879,'Increases Focus, Subjugation, Crushing, Aggression, Piercing, Ordination, Ministration, Disruption and Slashing of caster by 5.0',100,1,5),
(59059,10045879,'Applies Call Treeglider when Activated.',100,0,0),
(59060,10045879,'Increases Ranged of caster by 5.0',100,1,1),
(59061,10045879,'Summons a mount to ride',100,1,2),
(59062,10045879,'Increases your ground speed by 60%',100,2,3),
(59063,10045879,'Increases your air speed by 200%',100,2,4),
(59064,10045879,'Increases Focus, Subjugation, Crushing, Aggression, Piercing, Ordination, Ministration, Disruption and Slashing of caster by 5.0',100,1,5),
(59065,71979,'When Equipped:',100,0,0),
(59066,71979,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59067,71979,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(59068,71979,'Cannot be modified except by direct means',100,2,3),
(59069,10071979,'When Equipped:',100,0,0),
(59070,10071979,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59071,10071979,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(59072,10071979,'Cannot be modified except by direct means',100,2,3),
(59073,53538,'When Equipped:',100,0,0),
(59074,53538,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59075,53538,'Increases power of caster by 65 instantly and every 4 seconds',100,2,2),
(59076,53538,'Cannot be modified except by direct means',100,2,3),
(59077,10053538,'When Equipped:',100,0,0),
(59078,10053538,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59079,10053538,'Increases power of caster by 65 instantly and every 4 seconds',100,2,2),
(59080,10053538,'Cannot be modified except by direct means',100,2,3),
(59081,186135,'When Equipped:',100,0,0),
(59082,186135,'Increases Attack Speed of caster by 40.0',100,1,1),
(59083,10186135,'When Equipped:',100,0,0),
(59084,10186135,'Increases Attack Speed of caster by 40.0',100,1,1),
(59085,102720,'Inflicts 48 - 80 piercing damage on target instantly and every 4 seconds',100,1,0),
(59086,102720,'Inflicts 156 - 259 melee damage on target',100,1,1),
(59087,102720,'If facing target',100,1,2),
(59088,10102720,'Inflicts 38 - 63 piercing damage on target instantly and every 4 seconds',100,1,0),
(59089,10102720,'Inflicts 151 - 251 melee damage on target',100,1,1),
(59090,10102720,'If facing target',100,1,2),
(59091,111024,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(59092,111024,'Increases Threat to target by 584 ',100,2,1),
(59093,111024,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(59094,111024,'Increases Threat to target by 584 ',100,2,3),
(59095,10111024,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(59096,10111024,'Inflicts 62 - 68 crushing damage on target',100,2,1),
(59097,10111024,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(59098,10111024,'Inflicts 62 - 68 crushing damage on target',100,2,3),
(59099,111121,'Heals target for 18.8 - 23.0% of max health',100,1,0),
(59100,111121,'This effect cannot be critically applied.',100,2,1),
(59101,111121,'Increases Mitigation of target vs physical damage by 458',100,1,2),
(59102,111121,'The healing of this spell cannot be modified except by direct means',100,1,3),
(59103,10111121,'Heals target for 7.1 - 8.6% of max health',100,1,0),
(59104,10111121,'This effect cannot be critically applied.',100,2,1),
(59105,10111121,'Increases Mitigation of target vs physical damage by 458',100,1,2),
(59106,10111121,'The healing of this spell cannot be modified except by direct means',100,1,3),
(59107,40849,'When Equipped:',100,0,0),
(59108,40849,'On a critical combat hit this spell may cast Demolishing Charge IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59109,40849,'Inflicts 245 - 270 crushing damage on target',100,2,2),
(59110,40849,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(59111,40849,'Stuns target',100,3,4),
(59112,40849,'Throws target back',100,3,5),
(59113,40849,'Blurs vision of target',100,3,6),
(59114,40849,'Does not affect Epic targets',100,3,7),
(59115,40849,'Increases Threat to target by 259 - 286 ',100,2,8),
(59116,40849,'Must not be engaged in pvp combat',100,2,9),
(59117,40849,'Cannot be modified except by direct means',100,2,10),
(59118,40849,'On a critical spell hit this spell may cast Demolishing Charge IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(59119,40849,'Inflicts 245 - 270 crushing damage on target',100,2,12),
(59120,40849,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,13),
(59121,40849,'Stuns target',100,3,14),
(59122,40849,'Throws target back',100,3,15),
(59123,40849,'Blurs vision of target',100,3,16),
(59124,40849,'Does not affect Epic targets',100,3,17),
(59125,40849,'Increases Threat to target by 259 - 286 ',100,2,18),
(59126,40849,'Must not be engaged in pvp combat',100,2,19),
(59127,40849,'Cannot be modified except by direct means',100,2,20),
(59128,40849,'Must not be engaged in pvp combat',100,1,21),
(59129,10040849,'When Equipped:',100,0,0),
(59130,10040849,'On a critical combat hit this spell may cast Demolishing Charge IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59131,10040849,'Inflicts 245 - 270 crushing damage on target',100,2,2),
(59132,10040849,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(59133,10040849,'Stuns target',100,3,4),
(59134,10040849,'Throws target back',100,3,5),
(59135,10040849,'Blurs vision of target',100,3,6),
(59136,10040849,'Does not affect Epic targets',100,3,7),
(59137,10040849,'Must not be engaged in pvp combat',100,2,8),
(59138,10040849,'Cannot be modified except by direct means',100,2,9),
(59139,10040849,'On a critical spell hit this spell may cast Demolishing Charge IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,10),
(59140,10040849,'Inflicts 245 - 270 crushing damage on target',100,2,11),
(59141,10040849,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,12),
(59142,10040849,'Stuns target',100,3,13),
(59143,10040849,'Throws target back',100,3,14),
(59144,10040849,'Blurs vision of target',100,3,15),
(59145,10040849,'Does not affect Epic targets',100,3,16),
(59146,10040849,'Must not be engaged in pvp combat',100,2,17),
(59147,10040849,'Cannot be modified except by direct means',100,2,18),
(59148,10040849,'Must not be engaged in pvp combat',100,1,19),
(59149,104036,'Stifles target',100,1,0),
(59150,104036,'If Target is not Epic',100,2,1),
(59151,104036,'Interrupts target',100,1,2),
(59152,104036,'Decreases Threat to target by 1,786 - 2,401 ',100,1,3),
(59153,104036,'Resistibility increases against targets higher than level 106.',100,1,4),
(59154,10104036,'Stifles target',100,1,0),
(59155,10104036,'If Target is not Epic',100,2,1),
(59156,10104036,'Interrupts target',100,1,2),
(59157,10104036,'Resistibility increases against targets higher than level 106.',100,1,3),
(59158,115241,'Heals target for 81',100,1,0),
(59159,115241,'Heals target for 7 every second',100,1,1),
(59160,115241,'Dispels 10 levels of any hostile effects on target',100,1,2),
(59161,10115241,'Heals target for 47',100,1,0),
(59162,10115241,'Heals target for 3 every second',100,1,1),
(59163,10115241,'Dispels 10 levels of any hostile effects on target',100,1,2),
(59164,104060,'Inflicts 248 - 411 mental damage on target',100,1,0),
(59165,104060,'Inflicts 124 - 205 mental damage on target',100,1,1),
(59166,10104060,'Inflicts 222 - 368 mental damage on target',100,1,0),
(59167,10104060,'Inflicts 97 - 162 mental damage on target',100,1,1),
(59168,35187,'Increases INT of target by 6.2',100,0,0),
(59169,35187,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(59170,46551,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(59171,46551,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(59172,46551,'Decreases AGI of target by 68.4',100,2,2),
(59173,46551,'Decreases Deflection, Parry and Defense of target by 26.1',100,2,3),
(59174,46551,'Cannot be modified except by direct means',100,2,4),
(59175,46551,'Grants a total of 60 triggers of the spell.',100,2,5),
(59176,10046551,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(59177,10046551,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(59178,10046551,'Decreases AGI of target by 68.4',100,2,2),
(59179,10046551,'Decreases Deflection, Parry and Defense of target by 26.1',100,2,3),
(59180,10046551,'Cannot be modified except by direct means',100,2,4),
(59181,10046551,'Grants a total of 60 triggers of the spell.',100,2,5),
(59182,40653,'When Equipped:',100,0,0),
(59183,40653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59184,40653,'Inflicts 49 - 74 magic damage on target',100,2,2),
(59185,40653,'Cannot be modified except by direct means',100,2,3),
(59186,10040653,'When Equipped:',100,0,0),
(59187,10040653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59188,10040653,'Inflicts 49 - 74 magic damage on target',100,2,2),
(59189,10040653,'Cannot be modified except by direct means',100,2,3),
(59190,159035,'Applies Sanguine Imbued when Equipped.',100,0,0),
(59191,159035,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(59192,159035,'Inflicts 238 heat damage on target',100,2,2),
(59193,159035,'Cannot be modified except by direct means',100,2,3),
(59194,10159035,'Applies Sanguine Imbued when Equipped.',100,0,0),
(59195,10159035,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(59196,10159035,'Inflicts 238 heat damage on target',100,2,2),
(59197,10159035,'Cannot be modified except by direct means',100,2,3),
(59198,106307,'Decreases INT and STR of target by 15.9',100,1,0),
(59199,10106307,'Decreases INT and STR of target by 15.9',100,1,0),
(59200,113394,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(59201,113394,'Increases STA of caster by 15.8',100,1,1),
(59202,113394,'Adds 3.7% to base avoidance.',100,1,2),
(59203,113394,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(59204,113394,'Increases Defense and Aggression of caster by 2.2',100,1,4),
(59205,113394,'Increases Mitigation of caster vs noxious damage by 184',100,1,5),
(59206,113394,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(59207,113394,'Reduces physical damage done to caster by 5%',100,1,7),
(59208,10113394,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(59209,10113394,'Increases STA of caster by 15.8',100,1,1),
(59210,10113394,'Adds 3.7% to base avoidance.',100,1,2),
(59211,10113394,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(59212,10113394,'Increases Defense and Aggression of caster by 2.2',100,1,4),
(59213,10113394,'Increases Mitigation of caster vs noxious damage by 184',100,1,5),
(59214,10113394,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(59215,10113394,'Reduces physical damage done to caster by 5%',100,1,7),
(59216,41480,'When Equipped:',100,0,0),
(59217,41480,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59218,41480,'Inflicts 403 - 748 magic damage on target',100,2,2),
(59219,41480,'Cannot be modified except by direct means',100,2,3),
(59220,10041480,'When Equipped:',100,0,0),
(59221,10041480,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59222,10041480,'Inflicts 403 - 748 magic damage on target',100,2,2),
(59223,10041480,'Cannot be modified except by direct means',100,2,3),
(59224,112375,'Makes target afraid',100,1,0),
(59225,112375,'30% chance to dispel when target takes damage',100,1,1),
(59226,112375,'Does not affect Epic targets',100,1,2),
(59227,112375,'Resistibility increases against targets higher than level 121.',100,1,3),
(59228,10112375,'Makes target afraid',100,1,0),
(59229,10112375,'30% chance to dispel when target takes damage',100,1,1),
(59230,10112375,'Does not affect Epic targets',100,1,2),
(59231,10112375,'Resistibility increases against targets higher than level 121.',100,1,3),
(59232,102616,'Increases Threat to target encounter by 5,723 - 6,636 ',100,1,0),
(59233,102616,'Interrupts target encounter',100,1,1),
(59234,102616,'Decreases Mitigation of target encounter vs noxious damage by 990',100,1,2),
(59235,10102616,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(59236,10102616,'Prevents target from changing targets',100,2,1),
(59237,10102616,'Forces target to change their selected target to caster.',100,2,2),
(59238,10102616,'Interrupts target encounter',100,1,3),
(59239,10102616,'Decreases Mitigation of target encounter vs noxious damage by 990',100,1,4),
(59240,103055,'Inflicts 740 magic damage on target',100,1,0),
(59241,103055,'Inflicts 185 magic damage on target every 4 seconds',100,1,1),
(59242,103055,'Increases power of caster by 27 instantly and every 4 seconds',100,1,2),
(59243,10103055,'Inflicts 540 magic damage on target',100,1,0),
(59244,10103055,'Inflicts 146 magic damage on target every 4 seconds',100,1,1),
(59245,10103055,'Increases power of caster by 27 instantly and every 4 seconds',100,1,2),
(59246,111848,'Inflicts 2713 - 3986 melee damage on target',100,1,0),
(59247,111848,'Roots target',100,1,1),
(59248,111848,'If Target is not Epic',100,2,2),
(59249,111848,'Resistibility increases against targets higher than level 108.',100,1,3),
(59250,10111848,'Inflicts 1681 - 2529 melee damage on target',100,1,0),
(59251,10111848,'Roots target',100,1,1),
(59252,10111848,'If Target is not Epic',100,2,2),
(59253,10111848,'Resistibility increases against targets higher than level 108.',100,1,3),
(59254,45678,'Applies Iony''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(59255,45678,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(59256,10045678,'Applies Iony''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(59257,10045678,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(59258,82523,'When Equipped:',100,0,0),
(59259,82523,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59260,82523,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59261,82523,'Decreases Threat to target by 259 ',100,2,3),
(59262,82523,'Must be flanking or behind',100,3,4),
(59263,82523,'Increases Threat to target by 453 ',100,2,5),
(59264,82523,'Must be in front of',100,3,6),
(59265,82523,'Cannot be modified except by direct means',100,2,7),
(59266,10082523,'When Equipped:',100,0,0),
(59267,10082523,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59268,10082523,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59269,10082523,'Cannot be modified except by direct means',100,2,3),
(59270,41498,'When Equipped:',100,0,0),
(59271,41498,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59272,41498,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59273,41498,'Decreases Threat to target by 259 ',100,2,3),
(59274,41498,'Must be flanking or behind',100,3,4),
(59275,41498,'Increases Threat to target by 453 ',100,2,5),
(59276,41498,'Must be in front of',100,3,6),
(59277,41498,'Cannot be modified except by direct means',100,2,7),
(59278,10041498,'When Equipped:',100,0,0),
(59279,10041498,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59280,10041498,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59281,10041498,'Cannot be modified except by direct means',100,2,3),
(59282,110657,'Heals target for 73',100,1,0),
(59283,110657,'Dispels 6 levels of any hostile effects on target',100,1,1),
(59284,10110657,'Heals target for 41',100,1,0),
(59285,10110657,'Dispels 6 levels of any hostile effects on target',100,1,1),
(59286,115410,'Inflicts 3484 - 5131 melee damage on target',100,1,0),
(59287,115410,'Decreases INT of target by 80.2',100,1,1),
(59288,115410,'You must be sneaking to use this ability.',100,1,2),
(59289,10115410,'Inflicts 2366 - 3664 melee damage on target',100,1,0),
(59290,10115410,'Decreases INT of target by 80.2',100,1,1),
(59291,10115410,'You must be sneaking to use this ability.',100,1,2),
(59292,82454,'When Equipped:',100,0,0),
(59293,82454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59294,82454,'Inflicts 300 - 557 magic damage on target',100,2,2),
(59295,82454,'Cannot be modified except by direct means',100,2,3),
(59296,10082454,'When Equipped:',100,0,0),
(59297,10082454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59298,10082454,'Inflicts 300 - 557 magic damage on target',100,2,2),
(59299,10082454,'Cannot be modified except by direct means',100,2,3),
(59300,35243,'Increases AGI of target by 8.4',100,0,0),
(59301,35243,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(59302,82649,'When Equipped:',100,0,0),
(59303,82649,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59304,82649,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59305,82649,'Decreases Threat to target by 259 ',100,2,3),
(59306,82649,'Must be flanking or behind',100,3,4),
(59307,82649,'Increases Threat to target by 453 ',100,2,5),
(59308,82649,'Must be in front of',100,3,6),
(59309,82649,'Cannot be modified except by direct means',100,2,7),
(59310,10082649,'When Equipped:',100,0,0),
(59311,10082649,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59312,10082649,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59313,10082649,'Cannot be modified except by direct means',100,2,3),
(59314,163260,'When Equipped:',100,0,0),
(59315,163260,'On any combat or spell hit this spell may cast Fatal Pestilience V on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59316,163260,'Inflicts 63 - 70 disease damage on targets in Area of Effect',100,2,2),
(59317,163260,'Inflicts 79 - 87 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(59318,163260,'Inflicts an additional 6 - 6 disease damage on targets in Area of Effect every tick',100,2,4),
(59319,163260,'Must not be engaged in pvp combat',100,2,5),
(59320,163260,'Cannot be modified except by direct means',100,2,6),
(59321,163260,'Must not be engaged in pvp combat',100,1,7),
(59322,10163260,'When Equipped:',100,0,0),
(59323,10163260,'On any combat or spell hit this spell may cast Fatal Pestilience V on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59324,10163260,'Inflicts 63 - 70 disease damage on targets in Area of Effect',100,2,2),
(59325,10163260,'Inflicts 79 - 87 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(59326,10163260,'Inflicts an additional 6 - 6 disease damage on targets in Area of Effect every tick',100,2,4),
(59327,10163260,'Must not be engaged in pvp combat',100,2,5),
(59328,10163260,'Cannot be modified except by direct means',100,2,6),
(59329,10163260,'Must not be engaged in pvp combat',100,1,7),
(59330,140131,'When Equipped:',100,0,0),
(59331,140131,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59332,140131,'Stuns target',100,2,2),
(59333,140131,'Only affects targets level 125 and below',100,2,3),
(59334,140131,'Does not affect Epic targets',100,2,4),
(59335,140131,'Resistibility increases against targets higher than level 107.',100,2,5),
(59336,140131,'Cannot be modified except by direct means',100,2,6),
(59337,10140131,'When Equipped:',100,0,0),
(59338,10140131,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59339,10140131,'Stuns target',100,2,2),
(59340,10140131,'Only affects targets level 125 and below',100,2,3),
(59341,10140131,'Does not affect Epic targets',100,2,4),
(59342,10140131,'Resistibility increases against targets higher than level 107.',100,2,5),
(59343,10140131,'Cannot be modified except by direct means',100,2,6),
(59344,102303,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(59345,102303,'Decreases Threat to target by 3,071 ',100,2,1),
(59346,10102303,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(59347,10102303,'Inflicts 214 - 236 crushing damage on target',100,2,1),
(59348,72065,'When Equipped:',100,0,0),
(59349,72065,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59350,72065,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(59351,72065,'Cannot be modified except by direct means',100,2,3),
(59352,10072065,'When Equipped:',100,0,0),
(59353,10072065,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59354,10072065,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(59355,10072065,'Cannot be modified except by direct means',100,2,3),
(59356,51403,'When Equipped:',100,0,0),
(59357,51403,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59358,51403,'Increases the amount of your next healing spell or rune by 20%.',100,2,2),
(59359,51403,'Dispelled when target casts a heal spell',100,2,3),
(59360,51403,'Cannot be modified except by direct means',100,2,4),
(59361,10051403,'When Equipped:',100,0,0),
(59362,10051403,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59363,10051403,'Increases the amount of your next healing spell or rune by 20%.',100,2,2),
(59364,10051403,'Dispelled when target casts a heal spell',100,2,3),
(59365,10051403,'Cannot be modified except by direct means',100,2,4),
(59366,118692,'Inflicts 2084 - 5104 crushing damage on target',100,1,0),
(59367,10118692,'Inflicts 1518 - 3714 crushing damage on target',100,1,0),
(59368,124350,'Wards group members (AE) collectively against 1032 total points of ',100,1,0),
(59369,10124350,'Wards group members (AE) collectively against 847 total points of ',100,1,0),
(59370,85346,'Applies Poison Bolt when Activated.',100,0,0),
(59371,85346,'Inflicts 243 - 405 poison damage on target',100,1,1),
(59372,85346,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59373,10085346,'Applies Poison Bolt when Activated.',100,0,0),
(59374,10085346,'Inflicts 243 - 405 poison damage on target',100,1,1),
(59375,10085346,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59376,103167,'Throws target back',100,1,0),
(59377,103167,'If Target is not Epic',100,2,1),
(59378,103167,'Inflicts 1123 - 3197 crushing damage on target',100,1,2),
(59379,103167,'Stuns target',100,1,3),
(59380,103167,'If Target is not Epic',100,2,4),
(59381,103167,'Resistibility increases against targets higher than level 98.',100,1,5),
(59382,10103167,'Throws target back',100,1,0),
(59383,10103167,'If Target is not Epic',100,2,1),
(59384,10103167,'Inflicts 882 - 2140 crushing damage on target',100,1,2),
(59385,10103167,'Stuns target',100,1,3),
(59386,10103167,'If Target is not Epic',100,2,4),
(59387,10103167,'Resistibility increases against targets higher than level 98.',100,1,5),
(59388,140084,'Applies Arcane aura of Community when Equipped.',100,0,0),
(59389,10140084,'Applies Arcane aura of Community when Equipped.',100,0,0),
(59390,26357,'When Equipped:',100,0,0),
(59391,26357,'Increases all arcane damage by up to 10.',100,1,1),
(59392,10026357,'When Equipped:',100,0,0),
(59393,10026357,'Increases all arcane damage by up to 10.',100,1,1),
(59394,159434,'Applies Sanguine Imbued when Equipped.',100,0,0),
(59395,159434,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(59396,159434,'Inflicts 111 heat damage on target',100,2,2),
(59397,159434,'Cannot be modified except by direct means',100,2,3),
(59398,10159434,'Applies Sanguine Imbued when Equipped.',100,0,0),
(59399,10159434,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(59400,10159434,'Inflicts 111 heat damage on target',100,2,2),
(59401,10159434,'Cannot be modified except by direct means',100,2,3),
(59402,111236,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(59403,111236,'Heals target for 771 - 942',100,2,1),
(59404,10111236,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(59405,10111236,'Heals target for 410 - 499',100,2,1),
(59406,159639,'When Equipped:',100,0,0),
(59407,159639,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(59408,159639,'Increases STA of caster by 14.8',100,2,2),
(59409,159639,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(59410,159639,'Cannot be modified except by direct means',100,2,4),
(59411,10159639,'When Equipped:',100,0,0),
(59412,10159639,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(59413,10159639,'Increases STA of caster by 14.8',100,2,2),
(59414,10159639,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(59415,10159639,'Cannot be modified except by direct means',100,2,4),
(59416,108949,'Increases INT of group members (AE) by 42.9',100,1,0),
(59417,108949,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 16.5',100,1,1),
(59418,10108949,'Increases INT of group members (AE) by 42.9',100,1,0),
(59419,10108949,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 16.5',100,1,1),
(59420,71460,'When Equipped:',100,0,0),
(59421,71460,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59422,71460,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(59423,71460,'Cannot be modified except by direct means',100,2,3),
(59424,10071460,'When Equipped:',100,0,0),
(59425,10071460,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(59426,10071460,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(59427,10071460,'Cannot be modified except by direct means',100,2,3),
(59428,151021,'When Equipped:',100,0,0),
(59429,151021,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(59430,151021,'Wards target against 2450 points of all damage',100,2,2),
(59431,151021,'Must not be engaged in pvp combat',100,2,3),
(59432,151021,'Cannot be modified except by direct means',100,2,4),
(59433,151021,'Cannot be modified except by direct means',100,1,5),
(59434,10151021,'When Equipped:',100,0,0),
(59435,10151021,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(59436,10151021,'Wards target against 2450 points of all damage',100,2,2),
(59437,10151021,'Must not be engaged in pvp combat',100,2,3),
(59438,10151021,'Cannot be modified except by direct means',100,2,4),
(59439,10151021,'Cannot be modified except by direct means',100,1,5),
(59440,110434,'Dazes targets in Area of Effect',100,1,0),
(59441,110434,'If Target is not Epic',100,2,1),
(59442,110434,'Decreases Threat to targets in Area of Effect by 835 ',100,1,2),
(59443,110434,'Dispelled when target receives hostile action',100,1,3),
(59444,110434,'Dispelled when target takes damage',100,1,4),
(59445,10110434,'Dazes targets in Area of Effect',100,1,0),
(59446,10110434,'If Target is not Epic',100,2,1),
(59447,10110434,'Applies Distract.',100,1,2),
(59448,10110434,'Forces target to clear their selected target.',100,2,3),
(59449,10110434,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(59450,10110434,'Dispelled when target receives hostile action',100,1,5),
(59451,10110434,'Dispelled when target takes damage',100,1,6),
(59452,107815,'Increases Threat to target encounter by 4,751 - 5,448 ',100,1,0),
(59453,10107815,'Prevents target encounter from changing targets',100,1,0),
(59454,10107815,'Forces target encounter to change their selected target to caster.',100,1,1),
(59455,105344,'Inflicts 2111 - 3318 melee damage on target',100,1,0),
(59456,105344,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 436',100,1,1),
(59457,105344,'Must be flanking or behind',100,1,2),
(59458,10105344,'Inflicts 1504 - 2235 melee damage on target',100,1,0),
(59459,10105344,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 436',100,1,1),
(59460,10105344,'Must be flanking or behind',100,1,2),
(59461,102160,'Inflicts 2278 - 3131 melee damage on target',100,1,0),
(59462,102160,'Inflicts 1295 - 2148 melee damage on target',100,1,1),
(59463,10102160,'Inflicts 1415 - 2088 melee damage on target',100,1,0),
(59464,10102160,'Inflicts 1021 - 1693 melee damage on target',100,1,1),
(59465,121293,'Inflicts 536 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(59466,121293,'Inflicts 2103 - 3272 melee damage on targets in area',100,1,1),
(59467,121293,'You must be in stealth or have Bloody Assault.',100,1,2),
(59468,10121293,'Inflicts 422 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(59469,10121293,'Inflicts 1531 - 2453 melee damage on targets in area',100,1,1),
(59470,10121293,'You must be in stealth or have Bloody Assault.',100,1,2),
(59471,124595,'Roots targets in Area of Effect',100,1,0),
(59472,124595,'If Target is not Epic',100,2,1),
(59473,124595,'Decreases Threat to targets in Area of Effect by 13,951 ',100,1,2),
(59474,124595,'Interrupts targets in Area of Effect',100,1,3),
(59475,10124595,'Roots targets in Area of Effect',100,1,0),
(59476,10124595,'If Target is not Epic',100,2,1),
(59477,10124595,'Applies Distract.',100,1,2),
(59478,10124595,'Forces target to clear their selected target.',100,2,3),
(59479,10124595,'Interrupts targets in Area of Effect',100,1,4),
(59480,10124595,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(59481,36565,'Increases STA of target by 6.2',100,0,0),
(59482,36565,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(59483,36086,'Target will Dodge 2.7% of incoming attacks',100,0,0),
(59484,36086,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(59485,115723,'Heals target for 1420',100,1,0),
(59486,115723,'Heals target for 438 every 0.3 seconds',100,1,1),
(59487,115723,'Stifles caster',100,1,2),
(59488,10115723,'Heals target for 481',100,1,0),
(59489,10115723,'Heals target for 224 every 0.3 seconds',100,1,1),
(59490,10115723,'Stifles caster',100,1,2),
(59491,109675,'Inflicts 1025 - 1252 cold damage on target',100,1,0),
(59492,109675,'Inflicts 293 - 358 cold damage on target every 3 seconds',100,1,1),
(59493,10109675,'Inflicts 625 - 677 cold damage on target',100,1,0),
(59494,10109675,'Inflicts 231 - 282 cold damage on target every 3 seconds',100,1,1),
(59495,123984,'Inflicts 3564 - 5264 melee damage on target',100,1,0),
(59496,123984,'Decreases AGI of target by 57.0',100,1,1),
(59497,123984,'Must be behind',100,1,2),
(59498,10123984,'Inflicts 2429 - 3769 melee damage on target',100,1,0),
(59499,10123984,'Decreases AGI of target by 57.0',100,1,1),
(59500,10123984,'Must be behind',100,1,2),
(59501,118246,'Inflicts 139 - 232 divine damage on target',100,1,0),
(59502,118246,'Applies Blessed Strike on termination.',100,1,1),
(59503,118246,'Inflicts 223 - 371 divine damage on target',100,2,2),
(59504,10118246,'Inflicts 110 - 182 divine damage on target',100,1,0),
(59505,10118246,'Applies Blessed Strike on termination.',100,1,1),
(59506,10118246,'Inflicts 176 - 293 divine damage on target',100,2,2),
(59507,84022,'Applies Lightning Shock when Activated.',100,0,0),
(59508,84022,'Inflicts 350 - 583 magic damage on target',100,1,1),
(59509,84022,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59510,10084022,'Applies Lightning Shock when Activated.',100,0,0),
(59511,10084022,'Inflicts 350 - 583 magic damage on target',100,1,1),
(59512,10084022,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59513,87956,'When Equipped:',100,0,0),
(59514,87956,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59515,87956,'Inflicts 50 - 62 poison damage on target',100,2,2),
(59516,87956,'Cannot be modified except by direct means',100,2,3),
(59517,10087956,'When Equipped:',100,0,0),
(59518,10087956,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59519,10087956,'Inflicts 50 - 62 poison damage on target',100,2,2),
(59520,10087956,'Cannot be modified except by direct means',100,2,3),
(59521,121730,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(59522,121730,'Increases AGI of caster by 76.2',100,1,1),
(59523,121730,'Adds 1.7% to base avoidance.',100,1,2),
(59524,121730,'Decreases Slashing and Piercing of caster by 29.2',100,1,3),
(59525,121730,'Increases Parry of caster by 43.7',100,1,4),
(59526,121730,'Increases Defense of caster by 58.3',100,1,5),
(59527,10121730,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(59528,10121730,'Increases AGI of caster by 76.2',100,1,1),
(59529,10121730,'Adds 1.7% to base avoidance.',100,1,2),
(59530,10121730,'Decreases Slashing and Piercing of caster by 29.2',100,1,3),
(59531,10121730,'Increases Parry of caster by 43.7',100,1,4),
(59532,10121730,'Increases Defense of caster by 58.3',100,1,5),
(59533,113145,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,0),
(59534,113145,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(59535,113145,'Inflicts 743 disease damage on target',100,2,2),
(59536,113145,'Heals caster for 247',100,2,3),
(59537,113145,'Shapechanges caster into an archlich',100,1,4),
(59538,10113145,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,0),
(59539,10113145,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(59540,10113145,'Inflicts 586 disease damage on target',100,2,2),
(59541,10113145,'Heals caster for 127',100,2,3),
(59542,10113145,'Shapechanges caster into an archlich',100,1,4),
(59543,155042,'When Equipped:',100,0,0),
(59544,155042,'Increases Attack Speed of caster by 35.0',100,1,1),
(59545,10155042,'When Equipped:',100,0,0),
(59546,10155042,'Increases Attack Speed of caster by 35.0',100,1,1),
(59547,106512,'Inflicts 4527 - 6860 melee damage on target',100,1,0),
(59548,106512,'Inflicts 280.4% of max health in crushing damage on target',100,1,1),
(59549,106512,'If Target is Standard or weaker',100,2,2),
(59550,10106512,'Inflicts 1791 - 2711 melee damage on target',100,1,0),
(59551,108666,'Dispels 129 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(59552,10108666,'Dispels 129 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(59553,135818,'When Equipped:',100,0,0),
(59554,135818,'Increases Attack Speed of caster by 40.0',100,1,1),
(59555,10135818,'When Equipped:',100,0,0),
(59556,10135818,'Increases Attack Speed of caster by 40.0',100,1,1),
(59557,124827,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 864',100,1,0),
(59558,10124827,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 864',100,1,0),
(59559,81630,'When Equipped:',100,0,0),
(59560,81630,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59561,81630,'Inflicts 215 - 399 magic damage on target',100,2,2),
(59562,81630,'Decreases Threat to target by 376 ',100,2,3),
(59563,81630,'Must be flanking or behind',100,3,4),
(59564,81630,'Increases Threat to target by 658 ',100,2,5),
(59565,81630,'Must be in front of',100,3,6),
(59566,81630,'Cannot be modified except by direct means',100,2,7),
(59567,10081630,'When Equipped:',100,0,0),
(59568,10081630,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59569,10081630,'Inflicts 215 - 399 magic damage on target',100,2,2),
(59570,10081630,'Cannot be modified except by direct means',100,2,3),
(59571,106482,'Decreases STR and AGI of target by 40.5',100,1,0),
(59572,10106482,'Decreases STR and AGI of target by 40.5',100,1,0),
(59573,45955,'Applies Force of Arms when Activated.  Lasts for 12.0 seconds.',100,0,0),
(59574,45955,'Prevents caster from being Interrupted',100,1,1),
(59575,45955,'Temporarily increases the damage of your combat arts by 10%',100,1,2),
(59576,45955,'Must have Discord''s Fallen Foe Bauble equipped.',100,1,3),
(59577,45955,'Must be engaged in pvp combat',100,1,4),
(59578,10045955,'Applies Force of Arms when Activated.  Lasts for 12.0 seconds.',100,0,0),
(59579,10045955,'Prevents caster from being Interrupted',100,1,1),
(59580,10045955,'Temporarily increases the damage of your combat arts by 10%',100,1,2),
(59581,10045955,'Must have Discord''s Fallen Foe Bauble equipped.',100,1,3),
(59582,10045955,'Must be engaged in pvp combat',100,1,4),
(59583,104203,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(59584,10104203,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(59585,40833,'When Equipped:',100,0,0),
(59586,40833,'On any combat or spell hit this spell may cast Destructive Command on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59587,40833,'Increases Ability Reuse Speed of group members (AE) by 5.0%',100,2,2),
(59588,40833,'Increases Damage Per Second of group members (AE) by 25.0',100,2,3),
(59589,40833,'Increases Attack Speed of group members (AE) by 25.0',100,2,4),
(59590,40833,'Must not be engaged in pvp combat',100,2,5),
(59591,40833,'Cannot be modified except by direct means',100,2,6),
(59592,40833,'Must not be engaged in pvp combat',100,1,7),
(59593,40833,'When Equipped:',100,0,8),
(59594,40833,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(59595,40833,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,10),
(59596,40833,'Inflicts an additional 2664 heat damage on target every tick',100,2,11),
(59597,40833,'Increases Threat to target by 4,805  instantly and every 4 seconds thereafter',100,2,12),
(59598,40833,'Increases Hate Gain of caster by 12.0%',100,2,13),
(59599,40833,'Must not be engaged in pvp combat',100,2,14),
(59600,40833,'Cannot be modified except by direct means',100,2,15),
(59601,40833,'Must not be engaged in pvp combat',100,1,16),
(59602,10040833,'When Equipped:',100,0,0),
(59603,10040833,'On any combat or spell hit this spell may cast Destructive Command on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(59604,10040833,'Increases Ability Reuse Speed of group members (AE) by 5.0%',100,2,2),
(59605,10040833,'Increases Damage Per Second of group members (AE) by 25.0',100,2,3),
(59606,10040833,'Increases Attack Speed of group members (AE) by 25.0',100,2,4),
(59607,10040833,'Must not be engaged in pvp combat',100,2,5),
(59608,10040833,'Cannot be modified except by direct means',100,2,6),
(59609,10040833,'Must not be engaged in pvp combat',100,1,7),
(59610,10040833,'When Equipped:',100,0,8),
(59611,10040833,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(59612,10040833,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,10),
(59613,10040833,'Inflicts an additional 2664 heat damage on target every tick',100,2,11),
(59614,10040833,'Must not be engaged in pvp combat',100,2,12),
(59615,10040833,'Cannot be modified except by direct means',100,2,13),
(59616,10040833,'Must not be engaged in pvp combat',100,1,14),
(59617,118835,'Inflicts 290 - 858 melee damage on target',100,1,0),
(59618,10118835,'Inflicts 232 - 685 melee damage on target',100,1,0),
(59619,123721,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(59620,123721,'Inflicts 2388 divine damage on target',100,2,1),
(59621,123721,'Grants a total of 5 triggers of the spell.',100,2,2),
(59622,10123721,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(59623,10123721,'Inflicts 1755 divine damage on target',100,2,1),
(59624,10123721,'Grants a total of 5 triggers of the spell.',100,2,2),
(59625,113539,'Inflicts 1222 - 2037 disease damage on target',100,1,0),
(59626,10113539,'Inflicts 1037 - 1465 disease damage on target',100,1,0),
(59627,74695,'When Equipped:',100,0,0),
(59628,74695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59629,74695,'Inflicts 295 - 443 magic damage on target',100,2,2),
(59630,74695,'Cannot be modified except by direct means',100,2,3),
(59631,10074695,'When Equipped:',100,0,0),
(59632,10074695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59633,10074695,'Inflicts 295 - 443 magic damage on target',100,2,2),
(59634,10074695,'Cannot be modified except by direct means',100,2,3),
(59635,37534,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(59636,109260,'Increases INT and WIS of group members (AE) by 64.1',100,1,0),
(59637,109260,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,1),
(59638,10109260,'Increases INT and WIS of group members (AE) by 64.1',100,1,0),
(59639,10109260,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,1),
(59640,182588,'When Equipped:',100,0,0),
(59641,182588,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59642,182588,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(59643,182588,'Heals caster for 1277 - 1916',100,2,3),
(59644,182588,'Cannot be modified except by direct means',100,2,4),
(59645,182588,'Cannot be modified except by direct means',100,1,5),
(59646,10182588,'When Equipped:',100,0,0),
(59647,10182588,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59648,10182588,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(59649,10182588,'Heals caster for 1495 - 2242',100,2,3),
(59650,10182588,'Cannot be modified except by direct means',100,2,4),
(59651,10182588,'Cannot be modified except by direct means',100,1,5),
(59652,110009,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(59653,110009,'Slows target by 33.4%',100,2,1),
(59654,110009,'5% chance to dispel when target receives hostile action',100,2,2),
(59655,110009,'5% chance to dispel when target takes damage',100,2,3),
(59656,110009,'Inflicts 426 - 521 cold damage on target',100,1,4),
(59657,10110009,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(59658,10110009,'Slows target by 33.4%',100,2,1),
(59659,10110009,'5% chance to dispel when target receives hostile action',100,2,2),
(59660,10110009,'5% chance to dispel when target takes damage',100,2,3),
(59661,10110009,'Inflicts 366 - 447 cold damage on target',100,1,4),
(59662,107400,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(59663,107400,'Slows target by 69.8%',100,2,1),
(59664,107400,'5% chance to dispel when target receives hostile action',100,2,2),
(59665,107400,'5% chance to dispel when target takes damage',100,2,3),
(59666,107400,'Inflicts 5191 - 7997 disease damage on target',100,1,4),
(59667,10107400,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(59668,10107400,'Slows target by 69.8%',100,2,1),
(59669,10107400,'5% chance to dispel when target receives hostile action',100,2,2),
(59670,10107400,'5% chance to dispel when target takes damage',100,2,3),
(59671,10107400,'Inflicts 3712 - 5923 disease damage on target',100,1,4),
(59672,111401,'Increases Attack Speed of target by 30.4',100,1,0),
(59673,111401,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59674,111401,'Inflicts 715 disease damage on target',100,2,2),
(59675,111401,'Heals caster for 119',100,2,3),
(59676,111401,'Decreases Defense and Parry of target by 17.5',100,1,4),
(59677,111401,'Increases Disruption, Subjugation and Focus of target by 19.3',100,1,5),
(59678,10111401,'Increases Attack Speed of target by 30.4',100,1,0),
(59679,10111401,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(59680,10111401,'Inflicts 564 disease damage on target',100,2,2),
(59681,10111401,'Heals caster for 61',100,2,3),
(59682,10111401,'Decreases Defense and Parry of target by 17.5',100,1,4),
(59683,10111401,'Increases Disruption, Subjugation and Focus of target by 19.3',100,1,5),
(59684,112189,'Increases Max Health of caster by 5.0%',100,129,0),
(59685,112189,'Increases STR of caster by 90.9',100,1,1),
(59686,112189,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2157',100,1,2),
(59687,112189,'Increases Mitigation of caster vs physical damage by 581',100,1,3),
(59688,10112189,'Increases Max Health of caster by 5.0%',100,129,0),
(59689,10112189,'Increases STR of caster by 90.9',100,1,1),
(59690,10112189,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2157',100,1,2),
(59691,10112189,'Increases Mitigation of caster vs physical damage by 581',100,1,3),
(59692,26552,'When Equipped:',100,0,0),
(59693,26552,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(59694,26552,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(59695,10026552,'When Equipped:',100,0,0),
(59696,10026552,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(59697,10026552,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(59698,159192,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(59699,159192,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(59700,159192,'Inflicts 61 heat damage on target',100,2,2),
(59701,159192,'Cannot be modified except by direct means',100,2,3),
(59702,10159192,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(59703,10159192,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(59704,10159192,'Inflicts 61 heat damage on target',100,2,2),
(59705,10159192,'Cannot be modified except by direct means',100,2,3),
(59706,80177,'When Equipped:',100,0,0),
(59707,80177,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59708,80177,'Inflicts 300 - 557 magic damage on target',100,2,2),
(59709,80177,'Cannot be modified except by direct means',100,2,3),
(59710,10080177,'When Equipped:',100,0,0),
(59711,10080177,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59712,10080177,'Inflicts 300 - 557 magic damage on target',100,2,2),
(59713,10080177,'Cannot be modified except by direct means',100,2,3),
(59714,118017,'Wards target against 12288 points of all damage',100,1,0),
(59715,10118017,'Wards target against 9305 points of all damage',100,1,0),
(59716,104762,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(59717,104762,'Inflicts 959 disease damage on target',100,2,1),
(59718,104762,'Heals caster for 239',100,2,2),
(59719,104762,'Heals group members'' pets for 239',100,2,3),
(59720,10104762,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(59721,10104762,'Inflicts 756 disease damage on target',100,2,1),
(59722,10104762,'Heals caster for 122',100,2,2),
(59723,10104762,'Heals group members'' pets for 122',100,2,3),
(59724,122266,'Makes targets in Area of Effect afraid',100,1,0),
(59725,122266,'If Target is not Epic',100,2,1),
(59726,122266,'Decreases Threat to targets in Area of Effect by 2,500 ',100,1,2),
(59727,122266,'30% chance to dispel when target takes damage',100,1,3),
(59728,10122266,'Makes targets in Area of Effect afraid',100,1,0),
(59729,10122266,'If Target is not Epic',100,2,1),
(59730,10122266,'Applies Distract.',100,1,2),
(59731,10122266,'Forces target to clear their selected target.',100,2,3),
(59732,10122266,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(59733,10122266,'30% chance to dispel when target takes damage',100,1,5),
(59734,160847,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(59735,160847,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(59736,160847,'Cannot be modified except by direct means',100,1,2),
(59737,10160847,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(59738,10160847,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(59739,10160847,'Cannot be modified except by direct means',100,1,2),
(59740,25776,'When Equipped:',100,0,0),
(59741,25776,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(59742,25776,'Reduces the recast time of Shock Wave IV by 15 seconds.',100,1,2),
(59743,10025776,'When Equipped:',100,0,0),
(59744,10025776,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(59745,10025776,'Reduces the recast time of Shock Wave IV by 15 seconds.',100,1,2),
(59746,107437,'Summons a pet earthen avatar',100,1,0),
(59747,10107437,'Summons a pet earthen avatar',100,1,0),
(59748,122438,'Inflicts 2151 - 3372 magic damage on target',100,1,0),
(59749,10122438,'Inflicts 1525 - 2278 magic damage on target',100,1,0),
(59750,176238,'When Equipped:',100,0,0),
(59751,176238,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(59752,176238,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,2),
(59753,176238,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(59754,176238,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,4),
(59755,176238,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(59756,176238,'Must not be engaged in pvp combat',100,2,6),
(59757,176238,'Cannot be modified except by direct means',100,2,7),
(59758,176238,'Must not be engaged in pvp combat',100,1,8),
(59759,10176238,'When Equipped:',100,0,0),
(59760,10176238,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(59761,10176238,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,2),
(59762,10176238,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(59763,10176238,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,4),
(59764,10176238,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(59765,10176238,'Must not be engaged in pvp combat',100,2,6),
(59766,10176238,'Cannot be modified except by direct means',100,2,7),
(59767,10176238,'Must not be engaged in pvp combat',100,1,8),
(59768,119188,'Inflicts 1324 - 2079 heat damage on target',100,1,0),
(59769,119188,'Inflicts 661 - 1096 heat damage on target',100,1,1),
(59770,119188,'Requires bow',100,1,2),
(59771,10119188,'Inflicts 920 - 1267 heat damage on target',100,1,0),
(59772,10119188,'Inflicts 526 - 872 heat damage on target',100,1,1),
(59773,10119188,'Requires bow',100,1,2),
(59774,36132,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(59775,36047,'Increases AGI of target by 2.4',100,0,0),
(59776,36047,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(59777,37411,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(59778,123607,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(59779,123607,'Increases Defense of target by 20.4',100,1,1),
(59780,10123607,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(59781,10123607,'Increases Defense of target by 20.4',100,1,1),
(59782,111006,'Heals target for 3256 - 3761',100,1,0),
(59783,111006,'Heals target for 2274 - 2779 every 2 seconds',100,1,1),
(59784,111006,'Increases power of target by 177 - 216 instantly and every 2 seconds',100,1,2),
(59785,10111006,'Heals target for 2558 - 3024',100,1,0),
(59786,10111006,'Heals target for 2097 - 2562 every 2 seconds',100,1,1),
(59787,10111006,'Increases power of target by 139 - 170 instantly and every 2 seconds',100,1,2),
(59788,47993,'Applies Shake Shackles of Horror when Activated.',100,0,0),
(59789,47993,'This effect cannot be cast during combat',100,1,1),
(59790,10047993,'Applies Shake Shackles of Horror when Activated.',100,0,0),
(59791,10047993,'This effect cannot be cast during combat',100,1,1),
(59792,82548,'When Equipped:',100,0,0),
(59793,82548,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59794,82548,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59795,82548,'Decreases Threat to target by 259 ',100,2,3),
(59796,82548,'Must be flanking or behind',100,3,4),
(59797,82548,'Increases Threat to target by 453 ',100,2,5),
(59798,82548,'Must be in front of',100,3,6),
(59799,82548,'Cannot be modified except by direct means',100,2,7),
(59800,10082548,'When Equipped:',100,0,0),
(59801,10082548,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(59802,10082548,'Inflicts 151 - 280 magic damage on target',100,2,2),
(59803,10082548,'Cannot be modified except by direct means',100,2,3),
(59804,24498,'Adds Lair of Scale: Set of Scaleborn Tomes to your Dungeon Maker toolbox',100,0,0),
(59805,10024498,'Adds Lair of Scale: Set of Scaleborn Tomes to your Dungeon Maker toolbox',100,0,0),
(59806,116157,'Increases Attack Speed of caster by 19.7',100,1,0),
(59807,116157,'Increases Damage Per Second of caster by 22.7',100,1,1),
(59808,10116157,'Increases Attack Speed of caster by 19.7',100,1,0),
(59809,10116157,'Increases Damage Per Second of caster by 22.7',100,1,1),
(59810,48894,'Applies Solvent of Life  when Activated.  Lasts for 15 minutes.',100,0,0),
(59811,48894,'Increases Max Health of caster by 276.0',100,1,1),
(59812,10048894,'Applies Solvent of Life  when Activated.  Lasts for 15 minutes.',100,0,0),
(59813,10048894,'Increases Max Health of caster by 276.0',100,1,1),
(59814,47469,'Applies Call Pale Armor Rhino when Activated.',100,0,0),
(59815,47469,'Increases Slashing and Crushing of caster by 5.0',100,1,1),
(59816,47469,'Summons a mount to ride',100,1,2),
(59817,47469,'Increases your ground speed by 130%',100,2,3),
(59818,47469,'Increases Piercing, Aggression and Ranged of caster by 5.0',100,1,4),
(59819,10047469,'Applies Call Pale Armor Rhino when Activated.',100,0,0),
(59820,10047469,'Increases Slashing and Crushing of caster by 5.0',100,1,1),
(59821,10047469,'Summons a mount to ride',100,1,2),
(59822,10047469,'Increases your ground speed by 130%',100,2,3),
(59823,10047469,'Increases Piercing, Aggression and Ranged of caster by 5.0',100,1,4),
(59824,42515,'When Equipped:',100,0,0),
(59825,42515,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59826,42515,'Inflicts 97 - 146 magic damage on target',100,2,2),
(59827,42515,'Cannot be modified except by direct means',100,2,3),
(59828,10042515,'When Equipped:',100,0,0),
(59829,10042515,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59830,10042515,'Inflicts 97 - 146 magic damage on target',100,2,2),
(59831,10042515,'Cannot be modified except by direct means',100,2,3),
(59832,122000,'Inflicts 983 - 1630 melee damage on targets in area',100,1,0),
(59833,122000,'Increases Threat to target encounter by 3,869 ',100,1,1),
(59834,10122000,'Inflicts 774 - 1233 melee damage on targets in area',100,1,0),
(59835,10122000,'Prevents target encounter from changing targets',100,1,1),
(59836,10122000,'Forces target encounter to change their selected target to caster.',100,1,2),
(59837,100352,'Increases Max Health of target by 441.0',100,1,0),
(59838,100352,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.6',100,1,1),
(59839,10100352,'Increases Max Health of target by 441.0',100,1,0),
(59840,10100352,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.6',100,1,1),
(59841,115685,'Inflicts 1703 - 2401 melee damage on target',100,129,0),
(59842,115685,'Inflicts 156 - 463 melee damage on target',100,1,1),
(59843,115685,'Inflicts 156 - 463 melee damage on target',100,1,2),
(59844,115685,'Inflicts 156 - 463 melee damage on target',100,1,3),
(59845,115685,'Inflicts 156 - 463 melee damage on target',100,1,4),
(59846,115685,'Inflicts 156 - 463 melee damage on target',100,1,5),
(59847,115685,'Inflicts 156 - 463 melee damage on target',100,1,6),
(59848,115685,'Inflicts 156 - 463 melee damage on target',100,1,7),
(59849,115685,'Inflicts 156 - 463 melee damage on target',100,1,8),
(59850,10115685,'Inflicts 1156 - 1532 melee damage on target',100,129,0),
(59851,10115685,'Inflicts 125 - 371 melee damage on target',100,1,1),
(59852,10115685,'Inflicts 125 - 371 melee damage on target',100,1,2),
(59853,10115685,'Inflicts 125 - 371 melee damage on target',100,1,3),
(59854,10115685,'Inflicts 125 - 371 melee damage on target',100,1,4),
(59855,10115685,'Inflicts 125 - 371 melee damage on target',100,1,5),
(59856,10115685,'Inflicts 125 - 371 melee damage on target',100,1,6),
(59857,10115685,'Inflicts 125 - 371 melee damage on target',100,1,7),
(59858,10115685,'Inflicts 125 - 371 melee damage on target',100,1,8),
(59859,87278,'When Equipped:',100,0,0),
(59860,87278,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59861,87278,'Inflicts 196 - 294 magic damage on target',100,2,2),
(59862,87278,'Cannot be modified except by direct means',100,2,3),
(59863,10087278,'When Equipped:',100,0,0),
(59864,10087278,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59865,10087278,'Inflicts 196 - 294 magic damage on target',100,2,2),
(59866,10087278,'Cannot be modified except by direct means',100,2,3),
(59867,102122,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(59868,102122,'Stuns target',100,2,1),
(59869,102122,'Throws target back',100,2,2),
(59870,102122,'Blurs vision of target',100,2,3),
(59871,102122,'Does not affect Epic targets',100,2,4),
(59872,102122,'Inflicts 2435 - 3678 crushing damage on target',100,1,5),
(59873,10102122,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(59874,10102122,'Stuns target',100,2,1),
(59875,10102122,'Throws target back',100,2,2),
(59876,10102122,'Blurs vision of target',100,2,3),
(59877,10102122,'Does not affect Epic targets',100,2,4),
(59878,10102122,'Inflicts 1675 - 2519 crushing damage on target',100,1,5),
(59879,42587,'When Equipped:',100,0,0),
(59880,42587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59881,42587,'Inflicts 192 - 289 magic damage on target',100,2,2),
(59882,42587,'Cannot be modified except by direct means',100,2,3),
(59883,10042587,'When Equipped:',100,0,0),
(59884,10042587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59885,10042587,'Inflicts 192 - 289 magic damage on target',100,2,2),
(59886,10042587,'Cannot be modified except by direct means',100,2,3),
(59887,24444,'Adds Hyena (Berserker) to your Dungeon Maker toolbox',100,0,0),
(59888,10024444,'Adds Hyena (Berserker) to your Dungeon Maker toolbox',100,0,0),
(59889,75574,'Applies Disease Blast when Activated.',100,0,0),
(59890,75574,'Inflicts 350 - 583 disease damage on target',100,1,1),
(59891,75574,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59892,10075574,'Applies Disease Blast when Activated.',100,0,0),
(59893,10075574,'Inflicts 350 - 583 disease damage on target',100,1,1),
(59894,10075574,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59895,116533,'Increases Mitigation of target vs physical damage by 557',100,1,0),
(59896,116533,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(59897,10116533,'Increases Mitigation of target vs physical damage by 557',100,1,0),
(59898,10116533,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(59899,102365,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(59900,102365,'Increases Damage Per Second of target by 20.8',100,2,1),
(59901,102365,'Increases Attack Speed of target by 20.8',100,2,2),
(59902,102365,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(59903,102365,'Increases Damage Per Second of target by 20.8',100,2,4),
(59904,102365,'Increases Attack Speed of target by 20.8',100,2,5),
(59905,102365,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(59906,102365,'Increases Damage Per Second of target by 20.8',100,2,7),
(59907,102365,'Increases Attack Speed of target by 20.8',100,2,8),
(59908,10102365,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(59909,10102365,'Increases Damage Per Second of target by 20.8',100,2,1),
(59910,10102365,'Increases Attack Speed of target by 20.8',100,2,2),
(59911,10102365,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(59912,10102365,'Increases Damage Per Second of target by 20.8',100,2,4),
(59913,10102365,'Increases Attack Speed of target by 20.8',100,2,5),
(59914,10102365,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(59915,10102365,'Increases Damage Per Second of target by 20.8',100,2,7),
(59916,10102365,'Increases Attack Speed of target by 20.8',100,2,8),
(59917,146187,'When Equipped:',100,0,0),
(59918,146187,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(59919,146187,'Stifles target',100,2,2),
(59920,146187,'Only affects targets level 102 and below',100,2,3),
(59921,146187,'Does not affect Epic targets',100,2,4),
(59922,146187,'Resistibility increases against targets higher than level 107.',100,2,5),
(59923,146187,'Cannot be modified except by direct means',100,2,6),
(59924,10146187,'When Equipped:',100,0,0),
(59925,10146187,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(59926,10146187,'Stifles target',100,2,2),
(59927,10146187,'Only affects targets level 102 and below',100,2,3),
(59928,10146187,'Does not affect Epic targets',100,2,4),
(59929,10146187,'Resistibility increases against targets higher than level 107.',100,2,5),
(59930,10146187,'Cannot be modified except by direct means',100,2,6),
(59931,79851,'When Equipped:',100,0,0),
(59932,79851,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(59933,79851,'Reduces healing received by 15.00%',100,2,2),
(59934,79851,'Cannot be modified except by direct means',100,2,3),
(59935,79851,'This effect can only trigger once every 1 second.',100,2,4),
(59936,79851,'Must be engaged in pvp combat',100,1,5),
(59937,10079851,'When Equipped:',100,0,0),
(59938,10079851,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(59939,10079851,'Reduces healing received by 15.00%',100,2,2),
(59940,10079851,'Cannot be modified except by direct means',100,2,3),
(59941,10079851,'This effect can only trigger once every 1 second.',100,2,4),
(59942,10079851,'Must be engaged in pvp combat',100,1,5),
(59943,80464,'When Equipped:',100,0,0),
(59944,80464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59945,80464,'Inflicts 96 - 178 magic damage on target',100,2,2),
(59946,80464,'Cannot be modified except by direct means',100,2,3),
(59947,10080464,'When Equipped:',100,0,0),
(59948,10080464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(59949,10080464,'Inflicts 96 - 178 magic damage on target',100,2,2),
(59950,10080464,'Cannot be modified except by direct means',100,2,3),
(59951,117787,'Inflicts 7288 - 11492 divine damage on target',100,1,0),
(59952,10117787,'Inflicts 5365 - 8678 divine damage on target',100,1,0),
(59953,159733,'When Equipped:',100,0,0),
(59954,159733,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(59955,159733,'Increases STA of caster by 16.3',100,2,2),
(59956,159733,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(59957,159733,'Cannot be modified except by direct means',100,2,4),
(59958,10159733,'When Equipped:',100,0,0),
(59959,10159733,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(59960,10159733,'Increases STA of caster by 16.3',100,2,2),
(59961,10159733,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(59962,10159733,'Cannot be modified except by direct means',100,2,4),
(59963,116914,'Summons a limited pet to aid the caster',100,1,0),
(59964,10116914,'Summons a limited pet to aid the caster',100,1,0),
(59965,102286,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(59966,102286,'Decreases Threat to target by 524 ',100,2,1),
(59967,10102286,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(59968,10102286,'Inflicts 39 - 44 crushing damage on target',100,2,1),
(59969,107920,'Mesmerizes target',100,1,0),
(59970,107920,'Prevents AOE (except when direct) ',100,1,1),
(59971,107920,'Dispelled when target takes damage',100,1,2),
(59972,107920,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(59973,107920,'Resistibility increases against targets higher than level 53.',100,1,4),
(59974,10107920,'Mesmerizes target',100,1,0),
(59975,10107920,'Prevents AOE (except when direct) ',100,1,1),
(59976,10107920,'Dispelled when target takes damage',100,1,2),
(59977,10107920,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(59978,10107920,'Resistibility increases against targets higher than level 53.',100,1,4),
(59979,110653,'Inflicts 6989 - 10950 ranged damage on target',100,1,0),
(59980,110653,'If weapon equipped in Ranged',100,1,1),
(59981,110653,'Must be flanking or behind',100,1,2),
(59982,10110653,'Inflicts 2990 - 4701 ranged damage on target',100,1,0),
(59983,10110653,'If weapon equipped in Ranged',100,1,1),
(59984,10110653,'Must be flanking or behind',100,1,2),
(59985,75584,'Applies Disease Blast when Activated.',100,0,0),
(59986,75584,'Inflicts 339 - 565 disease damage on target',100,1,1),
(59987,75584,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59988,10075584,'Applies Disease Blast when Activated.',100,0,0),
(59989,10075584,'Inflicts 339 - 565 disease damage on target',100,1,1),
(59990,10075584,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(59991,121157,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(59992,121157,'Increases Hate Gain of caster by 5.0%',100,2,1),
(59993,121157,'Increases Attack Speed of caster by 37.5',100,2,2),
(59994,121157,'Dispelled when target takes damage',100,2,3),
(59995,10121157,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(59996,10121157,'Increases Attack Speed of caster by 37.5',100,2,1),
(59997,10121157,'Dispelled when target takes damage',100,2,2),
(59998,124550,'Dispels 105 levels of physical hostile effects on caster',100,129,0),
(59999,124550,'Dispels 105 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(60000,10124550,'Dispels 105 levels of physical hostile effects on caster',100,129,0),
(60001,10124550,'Dispels 105 levels of elemental, noxious and arcane hostile effects on caster',100,1,1),
(60002,119236,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(60003,119236,'If profession other than Fighter',100,1,1),
(60004,119236,'If profession other than Scout',100,1,2),
(60005,10119236,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(60006,10119236,'If profession other than Fighter',100,1,1),
(60007,10119236,'If profession other than Scout',100,1,2),
(60008,47935,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(60009,47935,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(60010,47935,'Decreases Attack Speed of target by 38.0',100,2,2),
(60011,47935,'Cannot be modified except by direct means',100,2,3),
(60012,47935,'Grants a total of 60 triggers of the spell.',100,2,4),
(60013,10047935,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(60014,10047935,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(60015,10047935,'Decreases Attack Speed of target by 38.0',100,2,2),
(60016,10047935,'Cannot be modified except by direct means',100,2,3),
(60017,10047935,'Grants a total of 60 triggers of the spell.',100,2,4),
(60018,188530,'When Equipped:',100,0,0),
(60019,188530,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60020,188530,'Increases Potency of group members by 9.0%',100,2,2),
(60021,188530,'Cannot be modified except by direct means',100,2,3),
(60022,188530,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(60023,188530,'Increases Potency of group members by 9.0%',100,2,5),
(60024,188530,'Cannot be modified except by direct means',100,2,6),
(60025,188530,'Cannot be modified except by direct means',100,1,7),
(60026,10188530,'When Equipped:',100,0,0),
(60027,10188530,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60028,10188530,'Increases Potency of group members by 9.0%',100,2,2),
(60029,10188530,'Cannot be modified except by direct means',100,2,3),
(60030,10188530,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(60031,10188530,'Increases Potency of group members by 9.0%',100,2,5),
(60032,10188530,'Cannot be modified except by direct means',100,2,6),
(60033,10188530,'Cannot be modified except by direct means',100,1,7),
(60034,36732,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(60035,24267,'Adds Decrease Tier II (Multiple) to your Dungeon Maker toolbox',100,0,0),
(60036,10024267,'Adds Decrease Tier II (Multiple) to your Dungeon Maker toolbox',100,0,0),
(60037,119225,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(60038,119225,'Decreases Threat to target by 762 ',100,2,1),
(60039,10119225,'On any combat or spell hit this spell may cast Evade on target of attack.  Lasts for 1.0 second.  Triggers about 4.0 times per minute. ',100,1,0),
(60040,10119225,'Prevents target from changing targets',100,2,1),
(60041,10119225,'Applies Distract.',100,2,2),
(60042,10119225,'Forces target to clear their selected target.',100,3,3),
(60043,118265,'Increases Threat to target encounter by 2,811 - 3,352 ',100,1,0),
(60044,118265,'Decreases Mitigation of target encounter vs arcane damage by 600',100,1,1),
(60045,10118265,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(60046,10118265,'Prevents target from changing targets',100,2,1),
(60047,10118265,'Forces target to change their selected target to caster.',100,2,2),
(60048,10118265,'Decreases Mitigation of target encounter vs arcane damage by 600',100,1,3),
(60049,42580,'When Equipped:',100,0,0),
(60050,42580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60051,42580,'Inflicts 192 - 289 magic damage on target',100,2,2),
(60052,42580,'Cannot be modified except by direct means',100,2,3),
(60053,10042580,'When Equipped:',100,0,0),
(60054,10042580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60055,10042580,'Inflicts 192 - 289 magic damage on target',100,2,2),
(60056,10042580,'Cannot be modified except by direct means',100,2,3),
(60057,116013,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(60058,116013,'Decreases threat priority of target by 1 position',100,2,1),
(60059,116013,'Decreases Hate Gain of target by 13.6%',100,1,2),
(60060,10116013,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(60061,10116013,'Forces target to clear their selected target.',100,2,1),
(60062,177527,'When Equipped:',100,0,0),
(60063,177527,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(60064,177527,'Increases STA of caster by 11.9',100,2,2),
(60065,177527,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(60066,177527,'Cannot be modified except by direct means',100,2,4),
(60067,10177527,'When Equipped:',100,0,0),
(60068,10177527,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(60069,10177527,'Increases STA of caster by 11.9',100,2,2),
(60070,10177527,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(60071,10177527,'Cannot be modified except by direct means',100,2,4),
(60072,45146,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(60073,45146,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(60074,45146,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(60075,45146,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(60076,45146,'Cannot be modified except by direct means',100,2,4),
(60077,45146,'Grants a total of 80 triggers of the spell.',100,2,5),
(60078,10045146,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(60079,10045146,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(60080,10045146,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(60081,10045146,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(60082,10045146,'Cannot be modified except by direct means',100,2,4),
(60083,10045146,'Grants a total of 80 triggers of the spell.',100,2,5),
(60084,110487,'Stifles caster',100,1,0),
(60085,110487,'Increases power of caster by 27 instantly and every second',100,1,1),
(60086,10110487,'Stifles caster',100,1,0),
(60087,10110487,'Increases power of caster by 27 instantly and every second',100,1,1),
(60088,134429,'When Equipped:',100,0,0),
(60089,134429,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(60090,10134429,'When Equipped:',100,0,0),
(60091,10134429,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(60092,166537,'When Equipped:',100,0,0),
(60093,166537,'On a critical combat hit this spell may cast Umbral Lightning on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60094,166537,'Inflicts 51 - 62 magic damage on target',100,2,2),
(60095,166537,'Must not be engaged in pvp combat',100,2,3),
(60096,166537,'Cannot be modified except by direct means',100,2,4),
(60097,166537,'On a critical spell hit this spell may cast Umbral Lightning on target of spell.  Triggers about 1.8 times per minute. ',100,1,5),
(60098,166537,'Inflicts 51 - 62 magic damage on target',100,2,6),
(60099,166537,'Must not be engaged in pvp combat',100,2,7),
(60100,166537,'Cannot be modified except by direct means',100,2,8),
(60101,166537,'Must not be engaged in pvp combat',100,1,9),
(60102,166537,'Cannot be modified except by direct means',100,1,10),
(60103,166537,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,11),
(60104,166537,'Increases Attack Speed of caster by 100.0',100,1,12),
(60105,166537,'Must not be engaged in pvp combat',100,1,13),
(60106,166537,'Cannot be modified except by direct means',100,1,14),
(60107,166537,'The reuse time of Blurred Strikes is 5 minutes',100,1,15),
(60108,10166537,'When Equipped:',100,0,0),
(60109,10166537,'On a critical combat hit this spell may cast Umbral Lightning on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60110,10166537,'Inflicts 51 - 62 magic damage on target',100,2,2),
(60111,10166537,'Must not be engaged in pvp combat',100,2,3),
(60112,10166537,'Cannot be modified except by direct means',100,2,4),
(60113,10166537,'On a critical spell hit this spell may cast Umbral Lightning on target of spell.  Triggers about 1.8 times per minute. ',100,1,5),
(60114,10166537,'Inflicts 51 - 62 magic damage on target',100,2,6),
(60115,10166537,'Must not be engaged in pvp combat',100,2,7),
(60116,10166537,'Cannot be modified except by direct means',100,2,8),
(60117,10166537,'Must not be engaged in pvp combat',100,1,9),
(60118,10166537,'Cannot be modified except by direct means',100,1,10),
(60119,10166537,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,11),
(60120,10166537,'Increases Attack Speed of caster by 100.0',100,1,12),
(60121,10166537,'Must not be engaged in pvp combat',100,1,13),
(60122,10166537,'Cannot be modified except by direct means',100,1,14),
(60123,10166537,'The reuse time of Blurred Strikes is 5 minutes',100,1,15),
(60124,74567,'When Equipped:',100,0,0),
(60125,74567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60126,74567,'Inflicts 266 - 400 magic damage on target',100,2,2),
(60127,74567,'Cannot be modified except by direct means',100,2,3),
(60128,10074567,'When Equipped:',100,0,0),
(60129,10074567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60130,10074567,'Inflicts 266 - 400 magic damage on target',100,2,2),
(60131,10074567,'Cannot be modified except by direct means',100,2,3),
(60132,36012,'Increases Max Power of target by 90.7',100,0,0),
(60133,36012,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(60134,47253,'Applies Juline''s Resurgence  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(60135,47253,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(60136,10047253,'Applies Juline''s Resurgence  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(60137,10047253,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(60138,152683,'When Equipped:',100,0,0),
(60139,152683,'Increases Attack Speed of caster by 40.0',100,1,1),
(60140,10152683,'When Equipped:',100,0,0),
(60141,10152683,'Increases Attack Speed of caster by 40.0',100,1,1),
(60142,141752,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(60143,141752,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(60144,141752,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(60145,141752,'Cannot be modified except by direct means',100,2,3),
(60146,10141752,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(60147,10141752,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(60148,10141752,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(60149,10141752,'Cannot be modified except by direct means',100,2,3),
(60150,118706,'Inflicts 218 - 341 slashing damage on target',100,1,0),
(60151,118706,'Decreases Slashing, Crushing and Piercing of target by 2.3',100,1,1),
(60152,118706,'Inflicts 47 - 57 slashing damage on target every 5 seconds',100,1,2),
(60153,10118706,'Inflicts 194 - 301 slashing damage on target',100,1,0),
(60154,10118706,'Decreases Slashing, Crushing and Piercing of target by 2.3',100,1,1),
(60155,10118706,'Inflicts 37 - 45 slashing damage on target every 5 seconds',100,1,2),
(60156,159512,'When Equipped:',100,0,0),
(60157,159512,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60158,159512,'Increases STR of caster by 5.8',100,2,2),
(60159,159512,'Increases Damage Per Second of caster by 13.2',100,2,3),
(60160,159512,'Cannot be modified except by direct means',100,2,4),
(60161,10159512,'When Equipped:',100,0,0),
(60162,10159512,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60163,10159512,'Increases STR of caster by 5.8',100,2,2),
(60164,10159512,'Increases Damage Per Second of caster by 13.2',100,2,3),
(60165,10159512,'Cannot be modified except by direct means',100,2,4),
(60166,100857,'Wards target against 4121 points of all damage',100,1,0),
(60167,10100857,'Wards target against 4635 points of all damage',100,1,0),
(60168,117086,'Summons a limited pet to aid the caster',100,1,0),
(60169,117086,'Summons 3 limited pets to aid the caster',100,1,1),
(60170,10117086,'Summons a limited pet to aid the caster',100,1,0),
(60171,10117086,'Summons 3 limited pets to aid the caster',100,1,1),
(60172,119015,'Heals target for 6713 - 7986',100,1,0),
(60173,10119015,'Heals target for 5060 - 6128',100,1,0),
(60174,36731,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(60175,170100,'When Equipped:',100,0,0),
(60176,170100,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60177,170100,'Decreases power of target by 305',100,2,2),
(60178,170100,'Increases power of caster by 203',100,2,3),
(60179,170100,'Cannot be modified except by direct means',100,2,4),
(60180,10170100,'When Equipped:',100,0,0),
(60181,10170100,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60182,10170100,'Decreases power of target by 305',100,2,2),
(60183,10170100,'Increases power of caster by 203',100,2,3),
(60184,10170100,'Cannot be modified except by direct means',100,2,4),
(60185,159596,'When Equipped:',100,0,0),
(60186,159596,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60187,159596,'Increases STR of caster by 7.6',100,2,2),
(60188,159596,'Increases Damage Per Second of caster by 17.2',100,2,3),
(60189,159596,'Cannot be modified except by direct means',100,2,4),
(60190,10159596,'When Equipped:',100,0,0),
(60191,10159596,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60192,10159596,'Increases STR of caster by 7.6',100,2,2),
(60193,10159596,'Increases Damage Per Second of caster by 17.2',100,2,3),
(60194,10159596,'Cannot be modified except by direct means',100,2,4),
(60195,45342,'Applies Black Two Tone Warg with Purple Saddle when Activated.',100,0,0),
(60196,45342,'Summons a mount to ride',100,1,1),
(60197,45342,'Increases your ground speed by 130%',100,2,2),
(60198,45342,'Increases Slashing and Ranged of caster by 7.0',100,1,3),
(60199,45342,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(60200,45342,'Increases Piercing, Disruption and Crushing of caster by 7.0',100,1,5),
(60201,10045342,'Applies Black Two Tone Warg with Purple Saddle when Activated.',100,0,0),
(60202,10045342,'Summons a mount to ride',100,1,1),
(60203,10045342,'Increases your ground speed by 130%',100,2,2),
(60204,10045342,'Increases Slashing and Ranged of caster by 7.0',100,1,3),
(60205,10045342,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(60206,10045342,'Increases Piercing, Disruption and Crushing of caster by 7.0',100,1,5),
(60207,105382,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(60208,105382,'Interrupts target',100,2,1),
(60209,105382,'Inflicts 336 melee damage on target',100,2,2),
(60210,105382,'Decreases Defense of caster by 16.5',100,1,3),
(60211,105382,'Increases Piercing, Slashing, Ranged and Crushing of caster by 24.8',100,1,4),
(60212,10105382,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(60213,10105382,'Interrupts target',100,2,1),
(60214,10105382,'Inflicts 265 melee damage on target',100,2,2),
(60215,10105382,'Decreases Defense of caster by 16.5',100,1,3),
(60216,10105382,'Increases Piercing, Slashing, Ranged and Crushing of caster by 24.8',100,1,4),
(60217,118366,'Inflicts 684 - 1135 melee damage on target',100,1,0),
(60218,118366,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(60219,118366,'Blurs vision of target',100,2,2),
(60220,118366,'Stuns target',100,2,3),
(60221,118366,'Throws target back',100,2,4),
(60222,118366,'Does not affect Epic targets',100,2,5),
(60223,10118366,'Inflicts 551 - 914 melee damage on target',100,1,0),
(60224,10118366,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(60225,10118366,'Stuns target',100,2,2),
(60226,10118366,'Throws target back',100,2,3),
(60227,10118366,'Blurs vision of target',100,2,4),
(60228,10118366,'Does not affect Epic targets',100,2,5),
(60229,138744,'When Equipped:',100,0,0),
(60230,138744,'On a combat hit this spell may cast Malicious Thoughts on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(60231,138744,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(60232,138744,'Must not be engaged in pvp combat',100,1,3),
(60233,138744,'Cannot be modified except by direct means',100,1,4),
(60234,10138744,'When Equipped:',100,0,0),
(60235,10138744,'On a combat hit this spell may cast Malicious Thoughts on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(60236,10138744,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(60237,10138744,'Must not be engaged in pvp combat',100,1,3),
(60238,10138744,'Cannot be modified except by direct means',100,1,4),
(60239,115093,'Heals target for 2420 - 2740',100,1,0),
(60240,115093,'Heals target for 185 - 226 every second',100,1,1),
(60241,10115093,'Heals target for 2361 - 2829',100,1,0),
(60242,10115093,'Heals target for 158 - 193 every second',100,1,1),
(60243,177502,'When Equipped:',100,0,0),
(60244,177502,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60245,177502,'Increases WIS of caster by 5.8',100,2,2),
(60246,177502,'Increases Ministration, Focus and Ordination of caster by 3.7',100,2,3),
(60247,177502,'Cannot be modified except by direct means',100,2,4),
(60248,10177502,'When Equipped:',100,0,0),
(60249,10177502,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60250,10177502,'Increases WIS of caster by 5.8',100,2,2),
(60251,10177502,'Increases Ministration, Focus and Ordination of caster by 3.7',100,2,3),
(60252,10177502,'Cannot be modified except by direct means',100,2,4),
(60253,112433,'Mesmerizes target',100,1,0),
(60254,112433,'Prevents AOE (except when direct) ',100,1,1),
(60255,112433,'Dispelled when target takes damage',100,1,2),
(60256,112433,'Does not affect Epic targets',100,1,3),
(60257,112433,'Resistibility increases against targets higher than level 67.',100,1,4),
(60258,10112433,'Mesmerizes target',100,1,0),
(60259,10112433,'Prevents AOE (except when direct) ',100,1,1),
(60260,10112433,'Dispelled when target takes damage',100,1,2),
(60261,10112433,'Does not affect Epic targets',100,1,3),
(60262,10112433,'Resistibility increases against targets higher than level 67.',100,1,4),
(60263,47588,'Applies Potion of Homesickness when Activated.',100,0,0),
(60264,47588,'A drink of this potion will transport the user back to their home, if they have one.',100,1,1),
(60265,47588,'This effect cannot be cast during combat',100,1,2),
(60266,47588,'Must not be in your house.',100,1,3),
(60267,47588,'If a house is owned',100,1,4),
(60268,10047588,'Applies Potion of Homesickness when Activated.',100,0,0),
(60269,10047588,'A drink of this potion will transport the user back to their home, if they have one.',100,1,1),
(60270,10047588,'This effect cannot be cast during combat',100,1,2),
(60271,10047588,'Must not be in your house.',100,1,3),
(60272,10047588,'If a house is owned',100,1,4),
(60273,101445,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(60274,101445,'Increases Mitigation of group members (AE) vs noxious damage by 504',100,1,1),
(60275,10101445,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(60276,10101445,'Increases Mitigation of group members (AE) vs noxious damage by 504',100,1,1),
(60277,141721,'When Equipped:',100,0,0),
(60278,141721,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60279,141721,'Increases INT of caster by 11.9',100,2,2),
(60280,141721,'Increases Focus, Subjugation and Disruption of caster by 6.7',100,2,3),
(60281,141721,'Cannot be modified except by direct means',100,2,4),
(60282,10141721,'When Equipped:',100,0,0),
(60283,10141721,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60284,10141721,'Increases INT of caster by 11.9',100,2,2),
(60285,10141721,'Increases Focus, Subjugation and Disruption of caster by 6.7',100,2,3),
(60286,10141721,'Cannot be modified except by direct means',100,2,4),
(60287,83955,'Applies Crush of the Hua Mein Monk when Activated.',100,0,0),
(60288,83955,'Shapechanges the user into a Hua Mein Monk.',100,1,1),
(60289,83955,'The casting time of Crush of the Hua Mein Monk is 2.97 seconds and the reuse time of the spell is 6.91 seconds',100,1,2),
(60290,10083955,'Applies Crush of the Hua Mein Monk when Activated.',100,0,0),
(60291,10083955,'Shapechanges the user into a Hua Mein Monk.',100,1,1),
(60292,10083955,'The casting time of Crush of the Hua Mein Monk is 2.97 seconds and the reuse time of the spell is 6.91 seconds',100,1,2),
(60293,124129,'Increases power of caster by 468',100,1,0),
(60294,10124129,'Increases power of caster by 468',100,1,0),
(60295,46227,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(60296,46227,'Increases INT of caster by 51.0',100,1,1),
(60297,10046227,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(60298,10046227,'Increases INT of caster by 51.0',100,1,1),
(60299,106962,'Inflicts 4876 - 8214 poison damage on target',100,1,0),
(60300,10106962,'Inflicts 3464 - 6094 poison damage on target',100,1,0),
(60301,191903,'When Equipped:',100,0,0),
(60302,191903,'On any combat or spell hit this spell may cast Rotting Shield on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60303,191903,'Wards caster against 1000 points of physical damage',100,2,2),
(60304,191903,'Cannot be modified except by direct means',100,2,3),
(60305,191903,'Cannot be modified except by direct means',100,1,4),
(60306,10191903,'When Equipped:',100,0,0),
(60307,10191903,'On any combat or spell hit this spell may cast Rotting Shield on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60308,10191903,'Wards caster against 1000 points of physical damage',100,2,2),
(60309,10191903,'Cannot be modified except by direct means',100,2,3),
(60310,10191903,'Cannot be modified except by direct means',100,1,4),
(60311,106114,'Increases Attack Speed of caster by 29.0',100,1,0),
(60312,106114,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(60313,106114,'Stuns target',100,2,2),
(60314,106114,'Throws target back',100,2,3),
(60315,106114,'Blurs vision of target',100,2,4),
(60316,106114,'Does not affect Epic targets',100,2,5),
(60317,10106114,'Increases Attack Speed of caster by 29.0',100,1,0),
(60318,10106114,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(60319,10106114,'Stuns target',100,2,2),
(60320,10106114,'Throws target back',100,2,3),
(60321,10106114,'Blurs vision of target',100,2,4),
(60322,10106114,'Does not affect Epic targets',100,2,5),
(60323,150037,'When Equipped:',100,0,0),
(60324,150037,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(60325,150037,'Heals group members (AE) for 2304',100,2,2),
(60326,150037,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(60327,150037,'Must not be engaged in pvp combat',100,2,4),
(60328,150037,'Cannot be modified except by direct means',100,2,5),
(60329,150037,'Must not be engaged in pvp combat',100,1,6),
(60330,10150037,'When Equipped:',100,0,0),
(60331,10150037,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(60332,10150037,'Heals group members (AE) for 2695',100,2,2),
(60333,10150037,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(60334,10150037,'Must not be engaged in pvp combat',100,2,4),
(60335,10150037,'Cannot be modified except by direct means',100,2,5),
(60336,10150037,'Must not be engaged in pvp combat',100,1,6),
(60337,104173,'Increases Threat to target encounter by 1,722 - 2,105 ',100,1,0),
(60338,104173,'Interrupts target encounter',100,1,1),
(60339,10104173,'Forces target encounter to change their selected target to caster.',100,1,0),
(60340,10104173,'Interrupts target encounter',100,1,1),
(60341,10104173,'Prevents target encounter from changing targets',100,1,2),
(60342,107356,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(60343,107356,'Increases Threat to target by 1,442 ',100,2,1),
(60344,10107356,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(60345,10107356,'Inflicts 187 - 207 crushing damage on target',100,2,1),
(60346,103763,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.5',100,1,0),
(60347,10103763,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.5',100,1,0),
(60348,113096,'Heals target for 56.2 - 68.6% of max health',100,1,0),
(60349,113096,'This effect cannot be critically applied.',100,2,1),
(60350,113096,'Increases Max Health of target by 492.0',100,1,2),
(60351,113096,'Increases Mitigation of target vs physical damage by 576',100,1,3),
(60352,113096,'The healing of this spell cannot be modified except by direct means',100,1,4),
(60353,10113096,'Heals target for 22.5 - 27.5% of max health',100,1,0),
(60354,10113096,'This effect cannot be critically applied.',100,2,1),
(60355,10113096,'Increases Max Health of target by 492.0',100,1,2),
(60356,10113096,'Increases Mitigation of target vs physical damage by 576',100,1,3),
(60357,10113096,'The healing of this spell cannot be modified except by direct means',100,1,4),
(60358,132296,'Applies Antonia''s Favor when Activated.',100,0,0),
(60359,132296,'Increases power of caster by 73',100,1,1),
(60360,132296,'The casting time of Antonia''s Favor is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(60361,10132296,'Applies Antonia''s Favor when Activated.',100,0,0),
(60362,10132296,'Increases power of caster by 73',100,1,1),
(60363,10132296,'The casting time of Antonia''s Favor is 0.99 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,2),
(60364,49188,'Applies Ykeshan Ritual of Fortune when Activated.',100,0,0),
(60365,49188,'Perhaps this ritual could cancel some powerful magic.',100,1,1),
(60366,10049188,'Applies Ykeshan Ritual of Fortune when Activated.',100,0,0),
(60367,10049188,'Perhaps this ritual could cancel some powerful magic.',100,1,1),
(60368,53291,'When Equipped:',100,0,0),
(60369,53291,'On a hostile spell hit this spell may cast Spirit Feast on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(60370,53291,'Inflicts 657 magic damage on target',100,2,2),
(60371,53291,'Increases power of caster by 328',100,2,3),
(60372,53291,'Cannot be modified except by direct means',100,2,4),
(60373,10053291,'When Equipped:',100,0,0),
(60374,10053291,'On a hostile spell hit this spell may cast Spirit Feast on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(60375,10053291,'Inflicts 657 magic damage on target',100,2,2),
(60376,10053291,'Increases power of caster by 328',100,2,3),
(60377,10053291,'Cannot be modified except by direct means',100,2,4),
(60378,75017,'Applies Lightning Shock when Activated.',100,0,0),
(60379,75017,'Inflicts 250 - 417 magic damage on target',100,1,1),
(60380,75017,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(60381,10075017,'Applies Lightning Shock when Activated.',100,0,0),
(60382,10075017,'Inflicts 250 - 417 magic damage on target',100,1,1),
(60383,10075017,'The casting time of Lightning Shock is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(60384,46625,'Applies Health Potion when Activated.',100,0,0),
(60385,46625,'Heals caster for 100.0% of max health',100,1,1),
(60386,46625,'This effect cannot be critically applied.',100,2,2),
(60387,46625,'You may only be grouped with mercenaries or not grouped.',100,1,3),
(60388,46625,'Must not be engaged in pvp combat',100,1,4),
(60389,46625,'Cannot be modified except by direct means',100,1,5),
(60390,10046625,'Applies Health Potion when Activated.',100,0,0),
(60391,10046625,'Heals caster for 117.0% of max health',100,1,1),
(60392,10046625,'This effect cannot be critically applied.',100,2,2),
(60393,10046625,'You may only be grouped with mercenaries or not grouped.',100,1,3),
(60394,10046625,'Must not be engaged in pvp combat',100,1,4),
(60395,10046625,'Cannot be modified except by direct means',100,1,5),
(60396,74722,'When Equipped:',100,0,0),
(60397,74722,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60398,74722,'Inflicts 359 - 539 magic damage on target',100,2,2),
(60399,74722,'Cannot be modified except by direct means',100,2,3),
(60400,10074722,'When Equipped:',100,0,0),
(60401,10074722,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60402,10074722,'Inflicts 359 - 539 magic damage on target',100,2,2),
(60403,10074722,'Cannot be modified except by direct means',100,2,3),
(60404,35794,'Increases AGI and STA of target by 4.6',100,0,0),
(60405,35794,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(60406,47859,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(60407,47859,'Increases Piercing of caster by 4.7',100,1,1),
(60408,47859,'Summons a mount to ride',100,1,2),
(60409,47859,'Increases your ground speed by 130%',100,2,3),
(60410,47859,'Increases Crushing, Focus and Slashing of caster by 4.7',100,1,4),
(60411,10047859,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(60412,10047859,'Increases Piercing of caster by 4.7',100,1,1),
(60413,10047859,'Summons a mount to ride',100,1,2),
(60414,10047859,'Increases your ground speed by 130%',100,2,3),
(60415,10047859,'Increases Crushing, Focus and Slashing of caster by 4.7',100,1,4),
(60416,118596,'Roots target',100,1,0),
(60417,118596,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(60418,118596,'Slows target by 40.7%',100,2,2),
(60419,118596,'5% chance to dispel when target receives hostile action',100,2,3),
(60420,118596,'5% chance to dispel when target takes damage',100,2,4),
(60421,118596,'5% chance to dispel when target takes damage',100,1,5),
(60422,118596,'Does not affect Epic targets',100,1,6),
(60423,118596,'Resistibility increases against targets higher than level 64.',100,1,7),
(60424,10118596,'Roots target',100,1,0),
(60425,10118596,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(60426,10118596,'Slows target by 40.7%',100,2,2),
(60427,10118596,'5% chance to dispel when target receives hostile action',100,2,3),
(60428,10118596,'5% chance to dispel when target takes damage',100,2,4),
(60429,10118596,'5% chance to dispel when target takes damage',100,1,5),
(60430,10118596,'Does not affect Epic targets',100,1,6),
(60431,10118596,'Resistibility increases against targets higher than level 64.',100,1,7),
(60432,82458,'When Equipped:',100,0,0),
(60433,82458,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60434,82458,'Inflicts 333 - 619 magic damage on target',100,2,2),
(60435,82458,'Cannot be modified except by direct means',100,2,3),
(60436,10082458,'When Equipped:',100,0,0),
(60437,10082458,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60438,10082458,'Inflicts 333 - 619 magic damage on target',100,2,2),
(60439,10082458,'Cannot be modified except by direct means',100,2,3),
(60440,103910,'Increases power of group members (AE) by 71 instantly and every 6 seconds',100,1,0),
(60441,103910,'Decreases INT of target by 221.8',100,1,1),
(60442,10103910,'Increases power of group members (AE) by 71 instantly and every 6 seconds',100,1,0),
(60443,10103910,'Decreases INT of target by 221.8',100,1,1),
(60444,101460,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(60445,101460,'Increases Mitigation of group members (AE) vs arcane damage by 83',100,1,1),
(60446,10101460,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(60447,10101460,'Increases Mitigation of group members (AE) vs arcane damage by 83',100,1,1),
(60448,24714,'Adds Spider (Wizard) to your Dungeon Maker toolbox',100,0,0),
(60449,10024714,'Adds Spider (Wizard) to your Dungeon Maker toolbox',100,0,0),
(60450,117570,'Inflicts 1044 - 1731 melee damage on target',100,1,0),
(60451,117570,'Decreases Parry of target by 17.4',100,1,1),
(60452,117570,'Must be in front of or flanking',100,1,2),
(60453,10117570,'Inflicts 822 - 1304 melee damage on target',100,1,0),
(60454,10117570,'Decreases Parry of target by 17.4',100,1,1),
(60455,10117570,'Must be in front of or flanking',100,1,2),
(60456,123483,'Decreases Mitigation of target encounter vs noxious damage by 84',100,1,0),
(60457,10123483,'Decreases Mitigation of target encounter vs noxious damage by 84',100,1,0),
(60458,109699,'Inflicts 1979 - 2201 cold damage on target',100,1,0),
(60459,109699,'Inflicts 997 - 1219 cold damage on target every 3 seconds',100,1,1),
(60460,10109699,'Inflicts 1180 - 1355 cold damage on target',100,1,0),
(60461,10109699,'Inflicts 786 - 960 cold damage on target every 3 seconds',100,1,1),
(60462,113664,'Inflicts 2533 - 3060 disease damage on target encounter',100,1,0),
(60463,113664,'Inflicts 2369 - 2896 disease damage on target encounter every 5 seconds',100,1,1),
(60464,113664,'Decreases power of target encounter by 395 - 483 instantly and every 5 seconds',100,1,2),
(60465,113664,'Heals group members (AE) for 1463 - 1752',100,1,3),
(60466,113664,'Heals group members (AE) for 1299 - 1588 every 5 seconds',100,1,4),
(60467,113664,'Increases power of group members (AE) by 217 - 265 instantly and every 5 seconds',100,1,5),
(60468,10113664,'Inflicts 1933 - 2348 disease damage on target encounter',100,1,0),
(60469,10113664,'Inflicts 1867 - 2282 disease damage on target encounter every 5 seconds',100,1,1),
(60470,10113664,'Decreases power of target encounter by 311 - 380 instantly and every 5 seconds',100,1,2),
(60471,10113664,'Heals group members (AE) for 1275 - 1541',100,1,3),
(60472,10113664,'Heals group members (AE) for 1198 - 1464 every 5 seconds',100,1,4),
(60473,10113664,'Increases power of group members (AE) by 171 - 209 instantly and every 5 seconds',100,1,5),
(60474,103374,'Decreases power of target by 122 instantly and every 6 seconds',100,1,0),
(60475,103374,'Inflicts 1467 - 1575 mental damage on target',100,1,1),
(60476,103374,'Inflicts 485 - 593 mental damage on target every 6 seconds',100,1,2),
(60477,103374,'Increases power of caster by 108',100,1,3),
(60478,10103374,'Decreases power of target by 96 instantly and every 6 seconds',100,1,0),
(60479,10103374,'Inflicts 777 - 862 mental damage on target',100,1,1),
(60480,10103374,'Inflicts 382 - 467 mental damage on target every 6 seconds',100,1,2),
(60481,10103374,'Increases power of caster by 108',100,1,3),
(60482,162380,'When Equipped:',100,0,0),
(60483,162380,'On a melee hit this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60484,162380,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(60485,162380,'Cannot be modified except by direct means',100,2,3),
(60486,162380,'On a spell cast this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(60487,162380,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(60488,162380,'Cannot be modified except by direct means',100,2,6),
(60489,10162380,'When Equipped:',100,0,0),
(60490,10162380,'On a melee hit this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60491,10162380,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(60492,10162380,'Cannot be modified except by direct means',100,2,3),
(60493,10162380,'On a spell cast this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(60494,10162380,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(60495,10162380,'Cannot be modified except by direct means',100,2,6),
(60496,82428,'When Equipped:',100,0,0),
(60497,82428,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(60498,82428,'Inflicts 387 - 719 magic damage on target',100,2,2),
(60499,82428,'Decreases Threat to target by 949 ',100,2,3),
(60500,82428,'Must be flanking or behind',100,3,4),
(60501,82428,'Increases Threat to target by 1,409 ',100,2,5),
(60502,82428,'Must be in front of',100,3,6),
(60503,82428,'Cannot be modified except by direct means',100,2,7),
(60504,10082428,'When Equipped:',100,0,0),
(60505,10082428,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(60506,10082428,'Inflicts 387 - 719 magic damage on target',100,2,2),
(60507,10082428,'Cannot be modified except by direct means',100,2,3),
(60508,113864,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(60509,113864,'Increases power of caster by 442',100,2,1),
(60510,113864,'Grants a total of 3 triggers of the spell.',100,2,2),
(60511,10113864,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(60512,10113864,'Increases power of caster by 442',100,2,1),
(60513,10113864,'Grants a total of 3 triggers of the spell.',100,2,2),
(60514,107334,'Decreases WIS of target by 78.7',100,1,0),
(60515,107334,'Decreases Defense of target by 29.7',100,1,1),
(60516,10107334,'Decreases WIS of target by 78.7',100,1,0),
(60517,10107334,'Decreases Defense of target by 29.7',100,1,1),
(60518,123669,'Increases Damage Per Second of target by 35.3',100,1,0),
(60519,10123669,'Increases Damage Per Second of target by 35.3',100,1,0),
(60520,155423,'When Equipped:',100,0,0),
(60521,155423,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(60522,155423,'Inflicts 14 mental damage on target',100,2,2),
(60523,155423,'Cannot be modified except by direct means',100,2,3),
(60524,10155423,'When Equipped:',100,0,0),
(60525,10155423,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(60526,10155423,'Inflicts 14 mental damage on target',100,2,2),
(60527,10155423,'Cannot be modified except by direct means',100,2,3),
(60528,112020,'Inflicts 4414 - 6673 piercing damage on target',100,1,0),
(60529,10112020,'Inflicts 3099 - 4879 piercing damage on target',100,1,0),
(60530,189158,'When Equipped:',100,0,0),
(60531,189158,'Increases Attack Speed of caster by 38.0',100,1,1),
(60532,189158,'When Equipped:',100,0,2),
(60533,189158,'Reduces cast time of all spells by 3 percent.',100,1,3),
(60534,10189158,'When Equipped:',100,0,0),
(60535,10189158,'Increases Attack Speed of caster by 38.0',100,1,1),
(60536,10189158,'When Equipped:',100,0,2),
(60537,10189158,'Reduces cast time of all spells by 3 percent.',100,1,3),
(60538,117430,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(60539,117430,'Inflicts 1284 - 2369 melee damage on targets in area',100,2,1),
(60540,117430,'Grants a total of 10 triggers of the spell.',100,2,2),
(60541,10117430,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(60542,10117430,'Inflicts 1012 - 1867 melee damage on targets in area',100,2,1),
(60543,10117430,'Grants a total of 10 triggers of the spell.',100,2,2),
(60544,120364,'Inflicts 1420 - 1517 divine damage on target',100,1,0),
(60545,120364,'Inflicts 437 - 534 divine damage on target every 4 seconds',100,1,1),
(60546,120364,'Decreases WIS of target by 53.3',100,1,2),
(60547,10120364,'Inflicts 739 - 816 divine damage on target',100,1,0),
(60548,10120364,'Inflicts 345 - 421 divine damage on target every 4 seconds',100,1,1),
(60549,10120364,'Decreases WIS of target by 53.3',100,1,2),
(60550,107493,'Inflicts 1984 - 5428 magic damage on targets in Area of Effect',100,1,0),
(60551,107493,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(60552,107493,'Stuns target',100,2,2),
(60553,107493,'Throws target back',100,2,3),
(60554,107493,'Blurs vision of target',100,2,4),
(60555,107493,'Does not affect Epic targets',100,2,5),
(60556,10107493,'Inflicts 1472 - 4152 magic damage on targets in Area of Effect',100,1,0),
(60557,10107493,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(60558,10107493,'Stuns target',100,2,2),
(60559,10107493,'Throws target back',100,2,3),
(60560,10107493,'Blurs vision of target',100,2,4),
(60561,10107493,'Does not affect Epic targets',100,2,5),
(60562,101829,'Summons a limited pet to aid the caster',100,1,0),
(60563,10101829,'Summons a limited pet to aid the caster',100,1,0),
(60564,75640,'Applies Holy Strike when Activated.',100,0,0),
(60565,75640,'Inflicts 250 - 417 divine damage on target',100,1,1),
(60566,75640,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(60567,10075640,'Applies Holy Strike when Activated.',100,0,0),
(60568,10075640,'Inflicts 250 - 417 divine damage on target',100,1,1),
(60569,10075640,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(60570,122140,'Interrupts target',100,1,0),
(60571,122140,'Increases Threat to target by 7,454 ',100,1,1),
(60572,122140,'Dispels 123 levels of arcane beneficial effects on target',100,1,2),
(60573,10122140,'Interrupts target',100,1,0),
(60574,10122140,'Forces target to change their selected target to caster.',100,1,1),
(60575,10122140,'Dispels 123 levels of arcane beneficial effects on target',100,1,2),
(60576,100277,'Inflicts 891 - 1350 poison damage on target',100,1,0),
(60577,100277,'Inflicts 198 - 368 poison damage on target every 3 seconds',100,1,1),
(60578,10100277,'Inflicts 746 - 1048 poison damage on target',100,1,0),
(60579,10100277,'Inflicts 352 - 653 poison damage on target every 3 seconds',100,1,1),
(60580,120025,'Decreases power of target encounter by 66 instantly and every 4 seconds',100,1,0),
(60581,120025,'Inflicts 375 - 448 mental damage on target encounter',100,1,1),
(60582,120025,'Inflicts 198 - 243 mental damage on target encounter every 4 seconds',100,1,2),
(60583,10120025,'Decreases power of target encounter by 52 instantly and every 4 seconds',100,1,0),
(60584,10120025,'Inflicts 288 - 323 mental damage on target encounter',100,1,1),
(60585,10120025,'Inflicts 156 - 191 mental damage on target encounter every 4 seconds',100,1,2),
(60586,101717,'Mesmerizes target',100,1,0),
(60587,101717,'Prevents AOE (except when direct) ',100,1,1),
(60588,101717,'Mesmerizes caster',100,1,2),
(60589,101717,'Dispelled when target takes damage',100,1,3),
(60590,101717,'Does not affect Epic targets',100,1,4),
(60591,101717,'Resistibility increases against targets higher than level 68.',100,1,5),
(60592,10101717,'Mesmerizes target',100,1,0),
(60593,10101717,'Prevents AOE (except when direct) ',100,1,1),
(60594,10101717,'Mesmerizes caster',100,1,2),
(60595,10101717,'Dispelled when target takes damage',100,1,3),
(60596,10101717,'Does not affect Epic targets',100,1,4),
(60597,10101717,'Resistibility increases against targets higher than level 68.',100,1,5),
(60598,37546,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(60599,46695,'When Equipped:',100,0,0),
(60600,46695,'Improves the duration of drink by 10%',100,1,1),
(60601,10046695,'When Equipped:',100,0,0),
(60602,10046695,'Improves the duration of drink by 10%',100,1,1),
(60603,37475,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(60604,114256,'Inflicts 3641 - 4232 mental damage on target',100,1,0),
(60605,114256,'Stuns target',100,1,1),
(60606,114256,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(60607,114256,'Resistibility increases against targets higher than level 108.',100,1,3),
(60608,10114256,'Inflicts 2490 - 2956 mental damage on target',100,1,0),
(60609,10114256,'Requires not being affected by Mesmerize effects.',100,2,1),
(60610,10114256,'Stuns target',100,1,2),
(60611,10114256,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(60612,10114256,'Resistibility increases against targets higher than level 108.',100,1,4),
(60613,109812,'Inflicts 483 - 801 melee damage on target',100,1,0),
(60614,109812,'Decreases Parry of target by 8.6',100,1,1),
(60615,109812,'Must be in front of or flanking',100,1,2),
(60616,10109812,'Inflicts 380 - 631 melee damage on target',100,1,0),
(60617,10109812,'Decreases Parry of target by 8.6',100,1,1),
(60618,10109812,'Must be in front of or flanking',100,1,2),
(60619,120435,'Inflicts 1616 - 2321 melee damage on target',100,1,0),
(60620,120435,'Inflicts 807 - 1339 melee damage on target',100,1,1),
(60621,10120435,'Inflicts 1031 - 1450 melee damage on target',100,1,0),
(60622,10120435,'Inflicts 636 - 1055 melee damage on target',100,1,1),
(60623,122942,'Inflicts 301 - 408 mental damage on target',100,1,0),
(60624,10122942,'Inflicts 259 - 350 mental damage on target',100,1,0),
(60625,108558,'Makes target afraid',100,1,0),
(60626,108558,'30% chance to dispel when target takes damage',100,1,1),
(60627,108558,'Does not affect Epic targets',100,1,2),
(60628,108558,'Resistibility increases against targets higher than level 95.',100,1,3),
(60629,10108558,'Makes target afraid',100,1,0),
(60630,10108558,'30% chance to dispel when target takes damage',100,1,1),
(60631,10108558,'Does not affect Epic targets',100,1,2),
(60632,10108558,'Resistibility increases against targets higher than level 95.',100,1,3),
(60633,115766,'Inflicts 1229 - 2038 melee damage on target',100,1,0),
(60634,10115766,'Inflicts 981 - 1480 melee damage on target',100,1,0),
(60635,180465,'When Equipped:',100,0,0),
(60636,180465,'On a damage spell hit this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60637,180465,'Wards caster against 333 points of all damage',100,2,2),
(60638,180465,'Cannot be modified except by direct means',100,2,3),
(60639,10180465,'When Equipped:',100,0,0),
(60640,10180465,'On a damage spell hit this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60641,10180465,'Wards caster against 333 points of all damage',100,2,2),
(60642,10180465,'Cannot be modified except by direct means',100,2,3),
(60643,121890,'Inflicts 483 - 801 melee damage on target',100,1,0),
(60644,121890,'Decreases power of target by 120 - 200',100,1,1),
(60645,121890,'Must be flanking or behind',100,1,2),
(60646,10121890,'Inflicts 381 - 631 melee damage on target',100,1,0),
(60647,10121890,'Decreases power of target by 95 - 158',100,1,1),
(60648,10121890,'Must be flanking or behind',100,1,2),
(60649,74877,'When Equipped:',100,0,0),
(60650,74877,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60651,74877,'Inflicts 217 - 326 magic damage on target',100,2,2),
(60652,74877,'Cannot be modified except by direct means',100,2,3),
(60653,10074877,'When Equipped:',100,0,0),
(60654,10074877,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60655,10074877,'Inflicts 217 - 326 magic damage on target',100,2,2),
(60656,10074877,'Cannot be modified except by direct means',100,2,3),
(60657,178604,'When Equipped:',100,0,0),
(60658,178604,'When damaged this spell has a 10% chance to cast Averted Eyes on target''s attacker.  ',100,1,1),
(60659,178604,'Inflicts 381 - 466 divine damage on target',100,2,2),
(60660,178604,'Forces target to clear their selected target.',100,2,3),
(60661,178604,'This effect will not stack with Greater Averted Eyes.',100,2,4),
(60662,178604,'Only affects targets level 90 and below',100,2,5),
(60663,178604,'Does not affect Epic targets',100,2,6),
(60664,178604,'Cannot be modified except by direct means',100,2,7),
(60665,178604,'This effect can only trigger once every 15 seconds.',100,2,8),
(60666,178604,'Cannot be modified except by direct means',100,1,9),
(60667,10178604,'When Equipped:',100,0,0),
(60668,10178604,'When damaged this spell has a 10% chance to cast Averted Eyes on target''s attacker.  ',100,1,1),
(60669,10178604,'Inflicts 381 - 466 divine damage on target',100,2,2),
(60670,10178604,'Forces target to clear their selected target.',100,2,3),
(60671,10178604,'This effect will not stack with Greater Averted Eyes.',100,2,4),
(60672,10178604,'Only affects targets level 90 and below',100,2,5),
(60673,10178604,'Does not affect Epic targets',100,2,6),
(60674,10178604,'Cannot be modified except by direct means',100,2,7),
(60675,10178604,'This effect can only trigger once every 15 seconds.',100,2,8),
(60676,10178604,'Cannot be modified except by direct means',100,1,9),
(60677,116669,'Heals group members (AE) for 160 - 195',100,1,0),
(60678,116669,'This effect cannot be critically applied.',100,2,1),
(60679,116669,'Increases Max Health of group members (AE) by 74.4',100,1,2),
(60680,116669,'The healing of this spell cannot be modified except by direct means',100,1,3),
(60681,10116669,'Heals group members (AE) for 58 - 71',100,1,0),
(60682,10116669,'This effect cannot be critically applied.',100,2,1),
(60683,10116669,'Increases Max Health of group members (AE) by 74.4',100,1,2),
(60684,10116669,'The healing of this spell cannot be modified except by direct means',100,1,3),
(60685,79731,'When Equipped:',100,0,0),
(60686,79731,'On a melee hit this spell may cast Greenmist on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60687,79731,'Inflicts 1546 divine damage on target',100,2,2),
(60688,79731,'Decreases Mitigation of target vs physical damage by 676',100,2,3),
(60689,79731,'Cannot be modified except by direct means',100,2,4),
(60690,10079731,'When Equipped:',100,0,0),
(60691,10079731,'On a melee hit this spell may cast Greenmist on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60692,10079731,'Inflicts 1546 divine damage on target',100,2,2),
(60693,10079731,'Decreases Mitigation of target vs physical damage by 676',100,2,3),
(60694,10079731,'Cannot be modified except by direct means',100,2,4),
(60695,80183,'When Equipped:',100,0,0),
(60696,80183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60697,80183,'Inflicts 300 - 557 magic damage on target',100,2,2),
(60698,80183,'Cannot be modified except by direct means',100,2,3),
(60699,10080183,'When Equipped:',100,0,0),
(60700,10080183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60701,10080183,'Inflicts 300 - 557 magic damage on target',100,2,2),
(60702,10080183,'Cannot be modified except by direct means',100,2,3),
(60703,103894,'Increases power of group members (AE) by 20 instantly and every 6 seconds',100,1,0),
(60704,103894,'Decreases INT of target by 78.8',100,1,1),
(60705,10103894,'Increases power of group members (AE) by 20 instantly and every 6 seconds',100,1,0),
(60706,10103894,'Decreases INT of target by 78.8',100,1,1),
(60707,106672,'Heals caster for 56.2 - 68.6% of max health',100,1,0),
(60708,106672,'This effect cannot be critically applied.',100,2,1),
(60709,106672,'Increases Max Health of caster by 416.0',100,1,2),
(60710,106672,'The healing of this spell cannot be modified except by direct means',100,1,3),
(60711,10106672,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(60712,10106672,'This effect cannot be critically applied.',100,2,1),
(60713,10106672,'Increases Max Health of caster by 416.0',100,1,2),
(60714,10106672,'The healing of this spell cannot be modified except by direct means',100,1,3),
(60715,100585,'Inflicts 1476 - 2205 melee damage on target',100,1,0),
(60716,100585,'You must be sneaking to use this ability.',100,1,1),
(60717,10100585,'Inflicts 1088 - 1546 melee damage on target',100,1,0),
(60718,10100585,'You must be sneaking to use this ability.',100,1,1),
(60719,119450,'Inflicts 533 piercing damage on target instantly and every 4 seconds',100,1,0),
(60720,119450,'Inflicts 1724 - 2212 melee damage on target',100,1,1),
(60721,119450,'Must be flanking or behind',100,1,2),
(60722,10119450,'Inflicts 420 piercing damage on target instantly and every 4 seconds',100,1,0),
(60723,10119450,'Inflicts 979 - 1363 melee damage on target',100,1,1),
(60724,10119450,'Must be flanking or behind',100,1,2),
(60725,103235,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(60726,103235,'Adds 1.4% to base avoidance.',100,1,1),
(60727,103235,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(60728,103235,'Increases Parry of caster by 12.5',100,1,3),
(60729,103235,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(60730,103235,'Increases Aggression of caster by 9.4',100,1,5),
(60731,103235,'Increases Defense and Deflection of caster by 12.5',100,1,6),
(60732,103235,'Increases Mitigation of caster vs noxious damage by 836',100,1,7),
(60733,103235,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(60734,103235,'Reduces physical damage done to caster by 5%',100,1,9),
(60735,10103235,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(60736,10103235,'Adds 1.4% to base avoidance.',100,1,1),
(60737,10103235,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(60738,10103235,'Increases Parry of caster by 12.5',100,1,3),
(60739,10103235,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(60740,10103235,'Increases Aggression of caster by 9.4',100,1,5),
(60741,10103235,'Increases Defense and Deflection of caster by 12.5',100,1,6),
(60742,10103235,'Increases Mitigation of caster vs noxious damage by 836',100,1,7),
(60743,10103235,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(60744,10103235,'Reduces physical damage done to caster by 5%',100,1,9),
(60745,121595,'Stuns target encounter',100,1,0),
(60746,121595,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,1),
(60747,121595,'Resistibility increases against targets higher than level 87.',100,1,2),
(60748,10121595,'Stuns target encounter',100,1,0),
(60749,10121595,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(60750,10121595,'Resistibility increases against targets higher than level 87.',100,1,2),
(60751,163274,'When Equipped:',100,0,0),
(60752,163274,'On a critical spell hit this spell may cast Call of Solusek VI on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60753,163274,'Inflicts 532 - 588 heat damage on target instantly and every 2 seconds',100,2,2),
(60754,163274,'Summons a limited pet to aid the caster',100,2,3),
(60755,163274,'Decreases Mitigation of target vs elemental damage by 717',100,2,4),
(60756,163274,'Must not be engaged in pvp combat',100,2,5),
(60757,163274,'Cannot be modified except by direct means',100,2,6),
(60758,163274,'On a critical combat hit this spell may cast Call of Solusek VI on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(60759,163274,'Inflicts 532 - 588 heat damage on target instantly and every 2 seconds',100,2,8),
(60760,163274,'Summons a limited pet to aid the caster',100,2,9),
(60761,163274,'Decreases Mitigation of target vs elemental damage by 717',100,2,10),
(60762,163274,'Must not be engaged in pvp combat',100,2,11),
(60763,163274,'Cannot be modified except by direct means',100,2,12),
(60764,163274,'Must not be engaged in pvp combat',100,1,13),
(60765,10163274,'When Equipped:',100,0,0),
(60766,10163274,'On a critical spell hit this spell may cast Call of Solusek VI on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(60767,10163274,'Inflicts 532 - 588 heat damage on target instantly and every 2 seconds',100,2,2),
(60768,10163274,'Summons a limited pet to aid the caster',100,2,3),
(60769,10163274,'Decreases Mitigation of target vs elemental damage by 717',100,2,4),
(60770,10163274,'Must not be engaged in pvp combat',100,2,5),
(60771,10163274,'Cannot be modified except by direct means',100,2,6),
(60772,10163274,'On a critical combat hit this spell may cast Call of Solusek VI on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(60773,10163274,'Inflicts 532 - 588 heat damage on target instantly and every 2 seconds',100,2,8),
(60774,10163274,'Summons a limited pet to aid the caster',100,2,9),
(60775,10163274,'Decreases Mitigation of target vs elemental damage by 717',100,2,10),
(60776,10163274,'Must not be engaged in pvp combat',100,2,11),
(60777,10163274,'Cannot be modified except by direct means',100,2,12),
(60778,10163274,'Must not be engaged in pvp combat',100,1,13),
(60779,41655,'When Equipped:',100,0,0),
(60780,41655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60781,41655,'Inflicts 245 - 454 magic damage on target',100,2,2),
(60782,41655,'Cannot be modified except by direct means',100,2,3),
(60783,10041655,'When Equipped:',100,0,0),
(60784,10041655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60785,10041655,'Inflicts 245 - 454 magic damage on target',100,2,2),
(60786,10041655,'Cannot be modified except by direct means',100,2,3),
(60787,54191,'When Equipped:',100,0,0),
(60788,54191,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(60789,54191,'This effect suspends during combat',100,1,2),
(60790,10054191,'When Equipped:',100,0,0),
(60791,10054191,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(60792,10054191,'This effect suspends during combat',100,1,2),
(60793,134277,'When Equipped:',100,0,0),
(60794,134277,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(60795,10134277,'When Equipped:',100,0,0),
(60796,10134277,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(60797,80773,'When Equipped:',100,0,0),
(60798,80773,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60799,80773,'Inflicts 261 - 484 magic damage on target',100,2,2),
(60800,80773,'Cannot be modified except by direct means',100,2,3),
(60801,10080773,'When Equipped:',100,0,0),
(60802,10080773,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60803,10080773,'Inflicts 261 - 484 magic damage on target',100,2,2),
(60804,10080773,'Cannot be modified except by direct means',100,2,3),
(60805,37461,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(60806,118591,'Roots target',100,1,0),
(60807,118591,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(60808,118591,'Slows target by 54.7%',100,2,2),
(60809,118591,'5% chance to dispel when target receives hostile action',100,2,3),
(60810,118591,'5% chance to dispel when target takes damage',100,2,4),
(60811,118591,'5% chance to dispel when target takes damage',100,1,5),
(60812,118591,'Does not affect Epic targets',100,1,6),
(60813,118591,'Resistibility increases against targets higher than level 50.',100,1,7),
(60814,10118591,'Roots target',100,1,0),
(60815,10118591,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(60816,10118591,'Slows target by 54.7%',100,2,2),
(60817,10118591,'5% chance to dispel when target receives hostile action',100,2,3),
(60818,10118591,'5% chance to dispel when target takes damage',100,2,4),
(60819,10118591,'5% chance to dispel when target takes damage',100,1,5),
(60820,10118591,'Does not affect Epic targets',100,1,6),
(60821,10118591,'Resistibility increases against targets higher than level 50.',100,1,7),
(60822,100248,'Inflicts 321 - 596 poison damage on target',100,1,0),
(60823,100248,'Inflicts 71 - 132 poison damage on target every 3 seconds',100,1,1),
(60824,10100248,'Inflicts 376 - 630 poison damage on target',100,1,0),
(60825,10100248,'Inflicts 127 - 235 poison damage on target every 3 seconds',100,1,1),
(60826,48054,'Applies Leash when Activated.',100,0,0),
(60827,10048054,'Applies Leash when Activated.',100,0,0),
(60828,122871,'Inflicts 1678 - 2136 ranged damage on target',100,1,0),
(60829,122871,'Inflicts 1391 - 2308 ranged damage on target',100,1,1),
(60830,122871,'Inflicts 2086 - 3462 ranged damage on target',100,1,2),
(60831,122871,'Requires bow',100,1,3),
(60832,10122871,'Inflicts 908 - 1247 ranged damage on target',100,1,0),
(60833,10122871,'Inflicts 1028 - 1705 ranged damage on target',100,1,1),
(60834,10122871,'Inflicts 1542 - 2558 ranged damage on target',100,1,2),
(60835,10122871,'Requires bow',100,1,3),
(60836,123434,'Inflicts 2015 - 4967 melee damage on target',100,1,0),
(60837,123434,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(60838,123434,'Stuns target',100,2,2),
(60839,123434,'Throws target back',100,2,3),
(60840,123434,'Blurs vision of target',100,2,4),
(60841,123434,'Does not affect Epic targets',100,2,5),
(60842,10123434,'Inflicts 1476 - 3591 melee damage on target',100,1,0),
(60843,10123434,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(60844,10123434,'Stuns target',100,2,2),
(60845,10123434,'Throws target back',100,2,3),
(60846,10123434,'Blurs vision of target',100,2,4),
(60847,10123434,'Does not affect Epic targets',100,2,5),
(60848,118737,'Inflicts 2197 - 2996 slashing damage on target',100,1,0),
(60849,118737,'Decreases Slashing, Crushing and Piercing of target by 19.0',100,1,1),
(60850,118737,'Inflicts 497 - 608 slashing damage on target every 5 seconds',100,1,2),
(60851,10118737,'Inflicts 1351 - 1982 slashing damage on target',100,1,0),
(60852,10118737,'Decreases Slashing, Crushing and Piercing of target by 19.0',100,1,1),
(60853,10118737,'Inflicts 392 - 479 slashing damage on target every 5 seconds',100,1,2),
(60854,114999,'Inflicts 3283 - 5232 ranged damage on targets in area',100,1,0),
(60855,114999,'You must be in stealth to use this!',100,1,1),
(60856,114999,'Requires bow',100,1,2),
(60857,10114999,'Inflicts 1878 - 3031 ranged damage on targets in area',100,1,0),
(60858,10114999,'You must be in stealth to use this!',100,1,1),
(60859,10114999,'Requires bow',100,1,2),
(60860,90450,'When Equipped:',100,0,0),
(60861,90450,'Applies Reap the Whirlwind to qualifying pets.',100,1,1),
(60862,90450,'Increases Doublecast Chance of caster by 5.0%',100,2,2),
(60863,90450,'Increases Potency of caster by 10.0%',100,2,3),
(60864,90450,'When Equipped:',100,0,4),
(60865,90450,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(60866,90450,'Inflicts 2648 poison damage on target',100,2,6),
(60867,90450,'Cannot be modified except by direct means',100,2,7),
(60868,10090450,'When Equipped:',100,0,0),
(60869,10090450,'Applies Reap the Whirlwind to qualifying pets.',100,1,1),
(60870,10090450,'Increases Doublecast Chance of caster by 5.0%',100,2,2),
(60871,10090450,'Increases Potency of caster by 10.0%',100,2,3),
(60872,10090450,'When Equipped:',100,0,4),
(60873,10090450,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(60874,10090450,'Inflicts 1324 poison damage on target',100,2,6),
(60875,10090450,'Cannot be modified except by direct means',100,2,7),
(60876,36469,'Increases outgoing heal and ward amount by 2%',100,0,0),
(60877,36469,'Increases STA and WIS of target by 31.0',100,0,1),
(60878,36469,'Increases Out-of-Combat Health Regeneration of target by 86.8',100,0,2),
(60879,102754,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(60880,102754,'Inflicts 1813 - 3021 divine damage on target',100,2,1),
(60881,102754,'Inflicts 1554 - 2590 divine damage on target',100,2,2),
(60882,102754,'If target is undead',100,3,3),
(60883,102754,'Stuns target',100,2,4),
(60884,102754,'If Target is not Epic',100,3,5),
(60885,10102754,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(60886,10102754,'Inflicts 2143 - 3572 divine damage on target',100,2,1),
(60887,10102754,'Stuns target',100,2,2),
(60888,10102754,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(60889,112993,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(60890,112993,'Reduces physical damage done to caster by 5%',100,1,1),
(60891,112993,'Increases STA of caster by 75.2',100,1,2),
(60892,112993,'Adds 3.4% to base avoidance.',100,1,3),
(60893,112993,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,4),
(60894,112993,'Increases Defense and Aggression of caster by 14.5',100,1,5),
(60895,112993,'Increases Mitigation of caster vs arcane damage by 968',100,1,6),
(60896,112993,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(60897,10112993,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(60898,10112993,'Reduces physical damage done to caster by 5%',100,1,1),
(60899,10112993,'Increases STA of caster by 75.2',100,1,2),
(60900,10112993,'Adds 3.4% to base avoidance.',100,1,3),
(60901,10112993,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,4),
(60902,10112993,'Increases Defense and Aggression of caster by 14.5',100,1,5),
(60903,10112993,'Increases Mitigation of caster vs arcane damage by 968',100,1,6),
(60904,10112993,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(60905,113689,'Stuns target',100,1,0),
(60906,113689,'If Target is not Epic',100,2,1),
(60907,113689,'Inflicts 3514 - 5202 heat damage on target',100,1,2),
(60908,113689,'Resistibility increases against targets higher than level 73.',100,1,3),
(60909,10113689,'Stuns target',100,1,0),
(60910,10113689,'If Target is not Epic',100,2,1),
(60911,10113689,'Inflicts 2390 - 3720 heat damage on target',100,1,2),
(60912,10113689,'Resistibility increases against targets higher than level 73.',100,1,3),
(60913,172421,'When Equipped:',100,0,0),
(60914,172421,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(60915,172421,'Increases power of caster by 67',100,2,2),
(60916,172421,'Cannot be modified except by direct means',100,2,3),
(60917,10172421,'When Equipped:',100,0,0),
(60918,10172421,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(60919,10172421,'Increases power of caster by 67',100,2,2),
(60920,10172421,'Cannot be modified except by direct means',100,2,3),
(60921,140523,'When Equipped:',100,0,0),
(60922,140523,'When damaged with a melee weapon this spell has a 4% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(60923,140523,'Mesmerizes target',100,2,2),
(60924,140523,'Dispelled when target takes damage',100,2,3),
(60925,140523,'Only affects targets level 98 and below',100,2,4),
(60926,140523,'Does not affect Epic targets',100,2,5),
(60927,140523,'Resistibility increases against targets higher than level 101.',100,2,6),
(60928,140523,'Cannot be modified except by direct means',100,2,7),
(60929,10140523,'When Equipped:',100,0,0),
(60930,10140523,'When damaged with a melee weapon this spell has a 4% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(60931,10140523,'Mesmerizes target',100,2,2),
(60932,10140523,'Dispelled when target takes damage',100,2,3),
(60933,10140523,'Only affects targets level 98 and below',100,2,4),
(60934,10140523,'Does not affect Epic targets',100,2,5),
(60935,10140523,'Resistibility increases against targets higher than level 101.',100,2,6),
(60936,10140523,'Cannot be modified except by direct means',100,2,7),
(60937,72059,'When Equipped:',100,0,0),
(60938,72059,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60939,72059,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(60940,72059,'Cannot be modified except by direct means',100,2,3),
(60941,10072059,'When Equipped:',100,0,0),
(60942,10072059,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60943,10072059,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(60944,10072059,'Cannot be modified except by direct means',100,2,3),
(60945,45411,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(60946,45411,'Caster will harvest a second time on 4.0% of harvests.',100,1,1),
(60947,45411,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,2),
(60948,10045411,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(60949,10045411,'Caster will harvest a second time on 4.0% of harvests.',100,1,1),
(60950,10045411,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,2),
(60951,110889,'Inflicts 3021 - 3619 heat damage on target encounter',100,1,0),
(60952,10110889,'Inflicts 2254 - 2726 heat damage on target encounter',100,1,0),
(60953,107921,'Mesmerizes target',100,1,0),
(60954,107921,'Prevents AOE (except when direct) ',100,1,1),
(60955,107921,'Dispelled when target takes damage',100,1,2),
(60956,107921,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(60957,107921,'Resistibility increases against targets higher than level 53.',100,1,4),
(60958,10107921,'Mesmerizes target',100,1,0),
(60959,10107921,'Prevents AOE (except when direct) ',100,1,1),
(60960,10107921,'Dispelled when target takes damage',100,1,2),
(60961,10107921,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(60962,10107921,'Resistibility increases against targets higher than level 53.',100,1,4),
(60963,106595,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(60964,10106595,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(60965,82094,'When Equipped:',100,0,0),
(60966,82094,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60967,82094,'Inflicts 245 - 454 magic damage on target',100,2,2),
(60968,82094,'Cannot be modified except by direct means',100,2,3),
(60969,10082094,'When Equipped:',100,0,0),
(60970,10082094,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(60971,10082094,'Inflicts 245 - 454 magic damage on target',100,2,2),
(60972,10082094,'Cannot be modified except by direct means',100,2,3),
(60973,101634,'Applies Forceful Headache on termination.',100,1,0),
(60974,101634,'Inflicts 1607 - 2623 mental damage on target',100,2,1),
(60975,101634,'If over 50% power',100,3,2),
(60976,101634,'Inflicts 1533 - 1656 mental damage on target',100,1,3),
(60977,101634,'Inflicts 551 - 673 mental damage on target every 6 seconds',100,1,4),
(60978,101634,'Decreases Mitigation of target vs arcane damage by 896',100,1,5),
(60979,10101634,'Applies Forceful Headache on termination.',100,1,0),
(60980,10101634,'Inflicts 1217 - 1940 mental damage on target',100,2,1),
(60981,10101634,'If over 50% power',100,3,2),
(60982,10101634,'Inflicts 829 - 925 mental damage on target',100,1,3),
(60983,10101634,'Inflicts 434 - 531 mental damage on target every 6 seconds',100,1,4),
(60984,10101634,'Decreases Mitigation of target vs arcane damage by 896',100,1,5),
(60985,47743,'Applies Remedy of the Desert when Activated.',100,0,0),
(60986,47743,'Heals caster for 107',100,1,1),
(60987,10047743,'Applies Remedy of the Desert when Activated.',100,0,0),
(60988,10047743,'Heals caster for 69',100,1,1),
(60989,106976,'Inflicts 3476 - 5614 poison damage on target',100,1,0),
(60990,106976,'Increases power of caster by 44',100,1,1),
(60991,10106976,'Inflicts 2360 - 4045 poison damage on target',100,1,0),
(60992,10106976,'Increases power of caster by 44',100,1,1),
(60993,113496,'Inflicts 911 - 1334 melee damage on targets in area',100,1,0),
(60994,10113496,'Inflicts 610 - 925 melee damage on targets in area',100,1,0),
(60995,71441,'When Equipped:',100,0,0),
(60996,71441,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(60997,71441,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(60998,71441,'Cannot be modified except by direct means',100,2,3),
(60999,10071441,'When Equipped:',100,0,0),
(61000,10071441,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61001,10071441,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(61002,10071441,'Cannot be modified except by direct means',100,2,3),
(61003,111442,'Decreases Attack Speed of caster by 14.1',100,1,0),
(61004,111442,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(61005,111442,'Roots target',100,2,2),
(61006,111442,'5% chance to dispel when target takes damage',100,2,3),
(61007,111442,'5% chance to dispel when target receives hostile action',100,2,4),
(61008,111442,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(61009,111442,'Increases Mitigation of caster vs physical damage by 410',100,1,6),
(61010,10111442,'Decreases Attack Speed of caster by 14.1',100,1,0),
(61011,10111442,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(61012,10111442,'Roots target',100,2,2),
(61013,10111442,'5% chance to dispel when target takes damage',100,2,3),
(61014,10111442,'5% chance to dispel when target receives hostile action',100,2,4),
(61015,10111442,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(61016,10111442,'Increases Mitigation of caster vs physical damage by 410',100,1,6),
(61017,109990,'Increases the healing and ward of target ally by 28%',100,1,0),
(61018,109990,'Increases the resurrect restoration amount of target ally by 28%',100,1,1),
(61019,109990,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(61020,109990,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(61021,10109990,'Increases the healing and ward of target ally by 28%',100,1,0),
(61022,10109990,'Increases the resurrect restoration amount of target ally by 28%',100,1,1),
(61023,10109990,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(61024,10109990,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(61025,111295,'Inflicts 2395 - 3325 divine damage on target',100,1,0),
(61026,111295,'Inflicts 562 - 937 divine damage on target every 4 seconds',100,1,1),
(61027,10111295,'Inflicts 1508 - 2241 divine damage on target',100,1,0),
(61028,10111295,'Inflicts 443 - 739 divine damage on target every 4 seconds',100,1,1),
(61029,109233,'Increases INT and WIS of group members (AE) by 17.5',100,1,0),
(61030,109233,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 49',100,1,1),
(61031,10109233,'Increases INT and WIS of group members (AE) by 17.5',100,1,0),
(61032,10109233,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 49',100,1,1),
(61033,117788,'Inflicts 5937 - 9240 divine damage on target',100,1,0),
(61034,10117788,'Inflicts 4300 - 6903 divine damage on target',100,1,0),
(61035,111395,'Increases Attack Speed of target by 25.3',100,1,0),
(61036,111395,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(61037,111395,'Inflicts 434 disease damage on target',100,2,2),
(61038,111395,'Heals caster for 72',100,2,3),
(61039,111395,'Decreases Defense and Parry of target by 11.3',100,1,4),
(61040,111395,'Increases Disruption, Subjugation and Focus of target by 12.4',100,1,5),
(61041,10111395,'Increases Attack Speed of target by 25.3',100,1,0),
(61042,10111395,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(61043,10111395,'Inflicts 342 disease damage on target',100,2,2),
(61044,10111395,'Heals caster for 37',100,2,3),
(61045,10111395,'Decreases Defense and Parry of target by 11.3',100,1,4),
(61046,10111395,'Increases Disruption, Subjugation and Focus of target by 12.4',100,1,5),
(61047,110948,'Applies Awakening on termination.',100,1,0),
(61048,110948,'Heals target for 3552 - 4269',100,2,1),
(61049,10110948,'Applies Awakening on termination.',100,1,0),
(61050,10110948,'Heals target for 4050 - 4931',100,2,1),
(61051,159122,'When Equipped:',100,0,0),
(61052,159122,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61053,159122,'Increases INT of caster by 11.9',100,2,2),
(61054,159122,'Increases Disruption, Subjugation and Focus of caster by 6.7',100,2,3),
(61055,159122,'Cannot be modified except by direct means',100,2,4),
(61056,10159122,'When Equipped:',100,0,0),
(61057,10159122,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61058,10159122,'Increases INT of caster by 11.9',100,2,2),
(61059,10159122,'Increases Disruption, Subjugation and Focus of caster by 6.7',100,2,3),
(61060,10159122,'Cannot be modified except by direct means',100,2,4),
(61061,114037,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(61062,114037,'Heals target for 323',100,2,1),
(61063,114037,'Heals target for 176 every 2 seconds',100,2,2),
(61064,114037,'Decreases Mitigation of target vs arcane damage by 1218',100,1,3),
(61065,10114037,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(61066,10114037,'Heals target for 537',100,2,1),
(61067,10114037,'Heals target for 452 every 2 seconds',100,2,2),
(61068,10114037,'Decreases Mitigation of target vs arcane damage by 1218',100,1,3),
(61069,121470,'Increases AGI of caster by 136.6',100,1,0),
(61070,121470,'Adds 18.7% to base avoidance.',100,1,1),
(61071,121470,'Increases Mitigation of caster vs physical damage by 1333',100,1,2),
(61072,121470,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,3),
(61073,10121470,'Increases AGI of caster by 136.6',100,1,0),
(61074,10121470,'Adds 18.7% to base avoidance.',100,1,1),
(61075,10121470,'Increases Mitigation of caster vs physical damage by 1333',100,1,2),
(61076,10121470,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,3),
(61077,122606,'Inflicts 1721 - 1885 mental damage on target',100,1,0),
(61078,122606,'Inflicts 739 - 903 mental damage on target every 3 seconds',100,1,1),
(61079,122606,'Decreases Mitigation of target vs arcane damage by 1217',100,1,2),
(61080,10122606,'Inflicts 977 - 1106 mental damage on target',100,1,0),
(61081,10122606,'Inflicts 582 - 711 mental damage on target every 3 seconds',100,1,1),
(61082,10122606,'Decreases Mitigation of target vs arcane damage by 1217',100,1,2),
(61083,27253,'When Equipped:',100,0,0),
(61084,27253,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(61085,27253,'Inflicts 579 divine damage on target',100,2,2),
(61086,27253,'Heals caster for 55',100,2,3),
(61087,27253,'Cannot be modified except by direct means',100,2,4),
(61088,10027253,'When Equipped:',100,0,0),
(61089,10027253,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(61090,10027253,'Inflicts 579 divine damage on target',100,2,2),
(61091,10027253,'Heals caster for 36',100,2,3),
(61092,10027253,'Cannot be modified except by direct means',100,2,4),
(61093,82083,'When Equipped:',100,0,0),
(61094,82083,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61095,82083,'Inflicts 245 - 454 magic damage on target',100,2,2),
(61096,82083,'Cannot be modified except by direct means',100,2,3),
(61097,10082083,'When Equipped:',100,0,0),
(61098,10082083,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61099,10082083,'Inflicts 245 - 454 magic damage on target',100,2,2),
(61100,10082083,'Cannot be modified except by direct means',100,2,3),
(61101,164793,'When Equipped:',100,0,0),
(61102,164793,'Increases Attack Speed of caster by 35.0',100,1,1),
(61103,10164793,'When Equipped:',100,0,0),
(61104,10164793,'Increases Attack Speed of caster by 35.0',100,1,1),
(61105,109756,'Inflicts 1162 - 1878 cold damage on target encounter',100,1,0),
(61106,109756,'Inflicts 835 - 1550 cold damage on target encounter every 3 seconds',100,1,1),
(61107,10109756,'Inflicts 789 - 1353 cold damage on target encounter',100,1,0),
(61108,10109756,'Inflicts 658 - 1222 cold damage on target encounter every 2 seconds',100,1,1),
(61109,73741,'Applies Frost Blast when Activated.',100,0,0),
(61110,73741,'Inflicts 536 - 894 cold damage on target',100,1,1),
(61111,73741,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61112,10073741,'Applies Frost Blast when Activated.',100,0,0),
(61113,10073741,'Inflicts 536 - 894 cold damage on target',100,1,1),
(61114,10073741,'The casting time of Frost Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61115,123014,'Wards group members (AE) collectively against 6553 total points of all damage',100,1,0),
(61116,10123014,'Wards group members (AE) collectively against 6934 total points of all damage',100,1,0),
(61117,104793,'Increases caster''s chance to block by 10.0%',100,1,0),
(61118,104793,'Decreases Attack Speed of caster by 12.6',100,1,1),
(61119,104793,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(61120,104793,'Increases Parry of caster by 12.5',100,1,3),
(61121,104793,'Increases Defense of caster by 12.5',100,1,4),
(61122,10104793,'Increases caster''s chance to block by 10.0%',100,1,0),
(61123,10104793,'Decreases Attack Speed of caster by 12.6',100,1,1),
(61124,10104793,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(61125,10104793,'Increases Parry of caster by 12.5',100,1,3),
(61126,10104793,'Increases Defense of caster by 12.5',100,1,4),
(61127,121368,'Inflicts 655 - 936 magic damage on target encounter',100,1,0),
(61128,121368,'Inflicts 328 - 609 magic damage on target encounter every 2 seconds',100,1,1),
(61129,10121368,'Inflicts 390 - 611 magic damage on target encounter',100,1,0),
(61130,10121368,'Inflicts 258 - 480 magic damage on target encounter every 2 seconds',100,1,1),
(61131,122054,'Increases Threat to target by 3,839 - 4,267 ',100,1,0),
(61132,122054,'Inflicts 501 - 831 melee damage on target',100,1,1),
(61133,10122054,'Forces target to change their selected target to caster.',100,1,0),
(61134,10122054,'Inflicts 395 - 655 melee damage on target',100,1,1),
(61135,118600,'Roots target',100,1,0),
(61136,118600,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(61137,118600,'Slows target by 37.8%',100,2,2),
(61138,118600,'5% chance to dispel when target receives hostile action',100,2,3),
(61139,118600,'5% chance to dispel when target takes damage',100,2,4),
(61140,118600,'5% chance to dispel when target takes damage',100,1,5),
(61141,118600,'Does not affect Epic targets',100,1,6),
(61142,118600,'Resistibility increases against targets higher than level 78.',100,1,7),
(61143,10118600,'Roots target',100,1,0),
(61144,10118600,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(61145,10118600,'Slows target by 37.8%',100,2,2),
(61146,10118600,'5% chance to dispel when target receives hostile action',100,2,3),
(61147,10118600,'5% chance to dispel when target takes damage',100,2,4),
(61148,10118600,'5% chance to dispel when target takes damage',100,1,5),
(61149,10118600,'Does not affect Epic targets',100,1,6),
(61150,10118600,'Resistibility increases against targets higher than level 78.',100,1,7),
(61151,47455,'Applies Play the Whistle when Activated.',100,0,0),
(61152,47455,'Enables you to play the whistle.',100,1,1),
(61153,10047455,'Applies Play the Whistle when Activated.',100,0,0),
(61154,10047455,'Enables you to play the whistle.',100,1,1),
(61155,45243,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(61156,45243,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(61157,45243,'Inflicts 37 poison damage on target instantly and every 6 seconds',100,2,2),
(61158,45243,'Inflicts 229 poison damage on target',100,2,3),
(61159,45243,'Cannot be modified except by direct means',100,2,4),
(61160,45243,'Grants a total of 200 triggers of the spell.',100,2,5),
(61161,10045243,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(61162,10045243,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(61163,10045243,'Inflicts 28 poison damage on target instantly and every 6 seconds',100,2,2),
(61164,10045243,'Inflicts 172 poison damage on target',100,2,3),
(61165,10045243,'Cannot be modified except by direct means',100,2,4),
(61166,10045243,'Grants a total of 200 triggers of the spell.',100,2,5),
(61167,107155,'Inflicts 5434 - 6423 divine damage on target',100,1,0),
(61168,107155,'Inflicts 4451 - 5440 divine damage on target',100,1,1),
(61169,107155,'If target is undead',100,2,2),
(61170,10107155,'Inflicts 3903 - 4683 divine damage on target',100,1,0),
(61171,10107155,'Inflicts 3508 - 4288 divine damage on target',100,1,1),
(61172,118634,'Inflicts 637 - 1884 crushing damage on target',100,1,0),
(61173,10118634,'Inflicts 512 - 1406 crushing damage on target',100,1,0),
(61174,109359,'Stuns target',100,1,0),
(61175,109359,'If Target is not Epic',100,2,1),
(61176,109359,'Inflicts 1944 - 2376 cold damage on target',100,1,2),
(61177,109359,'Resistibility increases against targets higher than level 45.',100,1,3),
(61178,10109359,'Stuns target',100,1,0),
(61179,10109359,'If Target is not Epic',100,2,1),
(61180,10109359,'Inflicts 1416 - 1643 cold damage on target',100,1,2),
(61181,10109359,'Resistibility increases against targets higher than level 45.',100,1,3),
(61182,160873,'When Equipped:',100,0,0),
(61183,160873,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(61184,160873,'Makes target afraid',100,2,2),
(61185,160873,'25% chance to dispel when target takes damage',100,2,3),
(61186,160873,'25% chance to dispel when target receives hostile action',100,2,4),
(61187,160873,'Does not affect Epic targets',100,2,5),
(61188,160873,'Resistibility increases against targets higher than level 77.',100,2,6),
(61189,160873,'Cannot be modified except by direct means',100,2,7),
(61190,10160873,'When Equipped:',100,0,0),
(61191,10160873,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(61192,10160873,'Makes target afraid',100,2,2),
(61193,10160873,'25% chance to dispel when target takes damage',100,2,3),
(61194,10160873,'25% chance to dispel when target receives hostile action',100,2,4),
(61195,10160873,'Does not affect Epic targets',100,2,5),
(61196,10160873,'Resistibility increases against targets higher than level 77.',100,2,6),
(61197,10160873,'Cannot be modified except by direct means',100,2,7),
(61198,80738,'When Equipped:',100,0,0),
(61199,80738,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61200,80738,'Inflicts 96 - 178 magic damage on target',100,2,2),
(61201,80738,'Cannot be modified except by direct means',100,2,3),
(61202,10080738,'When Equipped:',100,0,0),
(61203,10080738,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61204,10080738,'Inflicts 96 - 178 magic damage on target',100,2,2),
(61205,10080738,'Cannot be modified except by direct means',100,2,3),
(61206,106522,'Inflicts 10302 - 16438 melee damage on target',100,1,0),
(61207,106522,'Inflicts 280.4% of max health in crushing damage on target',100,1,1),
(61208,106522,'If Target is Standard or weaker',100,2,2),
(61209,10106522,'Inflicts 4067 - 6485 melee damage on target',100,1,0),
(61210,118027,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(61211,118027,'Inflicts 813 - 1355 divine damage on target',100,2,1),
(61212,118027,'Stuns target',100,2,2),
(61213,118027,'If Target is not Epic',100,3,3),
(61214,118027,'Grants a total of 3 triggers of the spell.',100,2,4),
(61215,10118027,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(61216,10118027,'Inflicts 641 - 1068 divine damage on target',100,2,1),
(61217,10118027,'Stuns target',100,2,2),
(61218,10118027,'If Target is not Epic',100,3,3),
(61219,10118027,'Grants a total of 3 triggers of the spell.',100,2,4),
(61220,104835,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(61221,104835,'If Fighter',100,2,1),
(61222,104835,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(61223,104835,'Increases power of target by 39',100,2,3),
(61224,104835,'Increases power of caster by 39',100,2,4),
(61225,10104835,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(61226,10104835,'Increases power of target by 39',100,2,1),
(61227,10104835,'Increases power of caster by 39',100,2,2),
(61228,72077,'When Equipped:',100,0,0),
(61229,72077,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61230,72077,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(61231,72077,'Cannot be modified except by direct means',100,2,3),
(61232,10072077,'When Equipped:',100,0,0),
(61233,10072077,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61234,10072077,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(61235,10072077,'Cannot be modified except by direct means',100,2,3),
(61236,124722,'Heals group members (AE) for 2140 - 2569',100,1,0),
(61237,10124722,'Heals group members (AE) for 1839 - 2229',100,1,0),
(61238,109407,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(61239,109407,'Inflicts 661 - 808 cold damage on target',100,2,1),
(61240,109407,'Slows target by 40.5%',100,2,2),
(61241,109407,'5% chance to dispel when target receives hostile action',100,2,3),
(61242,109407,'5% chance to dispel when target takes damage',100,2,4),
(61243,10109407,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(61244,10109407,'Inflicts 521 - 636 cold damage on target',100,2,1),
(61245,10109407,'Slows target by 40.5%',100,2,2),
(61246,10109407,'5% chance to dispel when target receives hostile action',100,2,3),
(61247,10109407,'5% chance to dispel when target takes damage',100,2,4),
(61248,74987,'When Equipped:',100,0,0),
(61249,74987,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61250,74987,'Inflicts 121 - 181 magic damage on target',100,2,2),
(61251,74987,'Cannot be modified except by direct means',100,2,3),
(61252,10074987,'When Equipped:',100,0,0),
(61253,10074987,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61254,10074987,'Inflicts 121 - 181 magic damage on target',100,2,2),
(61255,10074987,'Cannot be modified except by direct means',100,2,3),
(61256,121194,'Grants stealth to caster',100,1,0),
(61257,121194,'Suspends caster''s movement speed enhancements',100,1,1),
(61258,121194,'Decreases Threat to target by 921 - 2,087 ',100,1,2),
(61259,10121194,'Forces target to clear their selected target.',100,1,0),
(61260,10121194,'Grants stealth to caster',100,1,1),
(61261,10121194,'Suspends caster''s movement speed enhancements',100,1,2),
(61262,102785,'Increases STR of caster by 38.8',100,1,0),
(61263,102785,'Increases Max Health of caster by 229.3',100,1,1),
(61264,102785,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1053',100,1,2),
(61265,10102785,'Increases STR of caster by 38.8',100,1,0),
(61266,10102785,'Increases Max Health of caster by 229.3',100,1,1),
(61267,10102785,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1053',100,1,2),
(61268,104451,'Interrupts target encounter',100,1,0),
(61269,104451,'Applies Stumble on termination.',100,1,1),
(61270,104451,'Interrupts target',100,2,2),
(61271,104451,'Inflicts 675 - 823 mental damage on target encounter',100,1,3),
(61272,104451,'Inflicts 405 - 495 mental damage on target encounter every 2 seconds',100,1,4),
(61273,10104451,'Interrupts target encounter',100,1,0),
(61274,10104451,'Applies Stumble on termination.',100,1,1),
(61275,10104451,'Interrupts target',100,2,2),
(61276,10104451,'Inflicts 451 - 522 mental damage on target encounter',100,1,3),
(61277,10104451,'Inflicts 319 - 390 mental damage on target encounter every 2 seconds',100,1,4),
(61278,122700,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 2 attacks.',100,1,0),
(61279,122700,'If towershield equipped in Secondary',100,1,1),
(61280,10122700,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 2 attacks.',100,1,0),
(61281,10122700,'If towershield equipped in Secondary',100,1,1),
(61282,122207,'Increases Damage Per Second of target by 18.4',100,1,0),
(61283,122207,'Increases Max Health of target by 162.2',100,1,1),
(61284,10122207,'Increases Damage Per Second of target by 18.4',100,1,0),
(61285,10122207,'Increases Max Health of target by 162.2',100,1,1),
(61286,46304,'Applies Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(61287,46304,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(61288,46304,'Inflicts 152 poison damage on target instantly and every 6 seconds',100,2,2),
(61289,46304,'Inflicts 518 poison damage on target',100,2,3),
(61290,46304,'Cannot be modified except by direct means',100,2,4),
(61291,46304,'Grants a total of 200 triggers of the spell.',100,2,5),
(61292,46304,'Only affects targets level 50 and above',100,1,6),
(61293,10046304,'Applies Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(61294,10046304,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(61295,10046304,'Inflicts 389 poison damage on target',100,2,2),
(61296,10046304,'Inflicts 114 poison damage on target instantly and every 6 seconds',100,2,3),
(61297,10046304,'Cannot be modified except by direct means',100,2,4),
(61298,10046304,'Grants a total of 200 triggers of the spell.',100,2,5),
(61299,10046304,'Only affects targets level 50 and above',100,1,6),
(61300,100672,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(61301,100672,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(61302,100672,'Heals caster for 1398',100,3,2),
(61303,100672,'Wards caster against 1790 points of all damage',100,3,3),
(61304,100672,'Summons a limited pet to aid the caster',100,2,4),
(61305,100672,'Grants a total of 1 trigger of the spell.',100,2,5),
(61306,10100672,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(61307,10100672,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(61308,10100672,'Heals caster for 716',100,3,2),
(61309,10100672,'Wards caster against 1410 points of all damage',100,3,3),
(61310,10100672,'Summons a limited pet to aid the caster',100,2,4),
(61311,10100672,'Grants a total of 1 trigger of the spell.',100,2,5),
(61312,102937,'Inflicts 2102 - 2351 disease damage on target',100,1,0),
(61313,102937,'Inflicts 1119 - 1368 disease damage on target every 4 seconds',100,1,1),
(61314,10102937,'Inflicts 1541 - 1796 disease damage on target',100,1,0),
(61315,10102937,'Inflicts 882 - 1078 disease damage on target every 4 seconds',100,1,1),
(61316,27492,'When Equipped:',100,0,0),
(61317,27492,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(61318,27492,'On any combat or spell hit this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(61319,27492,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,3),
(61320,27492,'Must not be engaged in pvp combat',100,2,4),
(61321,27492,'Cannot be modified except by direct means',100,2,5),
(61322,27492,'On a healing spell cast this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(61323,27492,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,7),
(61324,27492,'Must not be engaged in pvp combat',100,2,8),
(61325,27492,'Cannot be modified except by direct means',100,2,9),
(61326,27492,'Cannot be modified except by direct means',100,1,10),
(61327,10027492,'When Equipped:',100,0,0),
(61328,10027492,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(61329,10027492,'On any combat or spell hit this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(61330,10027492,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,3),
(61331,10027492,'Must not be engaged in pvp combat',100,2,4),
(61332,10027492,'Cannot be modified except by direct means',100,2,5),
(61333,10027492,'On a healing spell cast this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(61334,10027492,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,7),
(61335,10027492,'Must not be engaged in pvp combat',100,2,8),
(61336,10027492,'Cannot be modified except by direct means',100,2,9),
(61337,10027492,'Cannot be modified except by direct means',100,1,10),
(61338,119135,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(61339,119135,'Inflicts 1418 - 1733 slashing damage on target',100,2,1),
(61340,119135,'Increases Mitigation of caster vs physical damage by 773',100,1,2),
(61341,10119135,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(61342,10119135,'Inflicts 1117 - 1366 slashing damage on target',100,2,1),
(61343,10119135,'Increases Mitigation of caster vs physical damage by 773',100,1,2),
(61344,177733,'When Equipped:',100,0,0),
(61345,177733,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61346,177733,'Increases STR of caster by 8.8',100,2,2),
(61347,177733,'Increases Damage Per Second of caster by 15.1',100,2,3),
(61348,177733,'Cannot be modified except by direct means',100,2,4),
(61349,10177733,'When Equipped:',100,0,0),
(61350,10177733,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61351,10177733,'Increases STR of caster by 8.8',100,2,2),
(61352,10177733,'Increases Damage Per Second of caster by 15.1',100,2,3),
(61353,10177733,'Cannot be modified except by direct means',100,2,4),
(61354,27263,'When Equipped:',100,0,0),
(61355,27263,'Increases heal amount of caster by 40.0',100,1,1),
(61356,10027263,'When Equipped:',100,0,0),
(61357,10027263,'Increases heal amount of caster by 40.0',100,1,1),
(61358,48624,'Applies Release Falcon when Activated.',100,0,0),
(61359,48624,'This effect cannot be cast during combat',100,1,1),
(61360,10048624,'Applies Release Falcon when Activated.',100,0,0),
(61361,10048624,'This effect cannot be cast during combat',100,1,1),
(61362,110105,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(61363,110105,'Inflicts 126 disease damage on target',100,2,1),
(61364,110105,'Heals caster for 47',100,2,2),
(61365,110105,'Decreases INT of target by 109.5',100,1,3),
(61366,110105,'Decreases Attack Speed of target by 25.0',100,1,4),
(61367,110105,'Increases Max Health of target by 11.0%',100,1,5),
(61368,110105,'Increases Hate Gain of target by 29.7%',100,1,6),
(61369,110105,'Increases Aggression of target by 9.2',100,1,7),
(61370,110105,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(61371,110105,'Increases Threat to target encounter by 449 - 549 ',100,2,9),
(61372,110105,'Increases Mitigation of target vs elemental, noxious and arcane damage by 616',100,1,10),
(61373,10110105,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(61374,10110105,'Inflicts 99 disease damage on target',100,2,1),
(61375,10110105,'Heals caster for 24',100,2,2),
(61376,10110105,'Decreases INT of target by 109.5',100,1,3),
(61377,10110105,'Decreases Attack Speed of target by 25.0',100,1,4),
(61378,10110105,'Increases Max Health of target by 11.0%',100,1,5),
(61379,10110105,'Increases Aggression of target by 9.2',100,1,6),
(61380,10110105,'Increases Mitigation of target vs elemental, noxious and arcane damage by 616',100,1,7),
(61381,104464,'Opens a portal that transports adventurers to any Druid Ring in Norrath.',100,1,0),
(61382,10104464,'Opens a portal that transports adventurers to any Druid Ring in Norrath.',100,1,0),
(61383,123091,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',100,1,0),
(61384,123091,'Roots target',100,2,1),
(61385,123091,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(61386,123091,'Slows target by 59.1%',100,3,3),
(61387,123091,'5% chance to dispel when target receives hostile action',100,3,4),
(61388,123091,'5% chance to dispel when target takes damage',100,3,5),
(61389,123091,'5% chance to dispel when target takes damage',100,2,6),
(61390,123091,'Does not affect Epic targets',100,2,7),
(61391,123091,'Resistibility increases against targets higher than level 90.',100,2,8),
(61392,123091,'Decreases AGI of target encounter by 66.9',100,1,9),
(61393,10123091,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(61394,10123091,'Roots target',100,2,1),
(61395,10123091,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(61396,10123091,'Slows target by 59.1%',100,3,3),
(61397,10123091,'5% chance to dispel when target receives hostile action',100,3,4),
(61398,10123091,'5% chance to dispel when target takes damage',100,3,5),
(61399,10123091,'5% chance to dispel when target takes damage',100,2,6),
(61400,10123091,'Does not affect Epic targets',100,2,7),
(61401,10123091,'Resistibility increases against targets higher than level 90.',100,2,8),
(61402,10123091,'Decreases AGI of target encounter by 66.9',100,1,9),
(61403,101908,'Inflicts 466 - 773 melee damage on target',100,1,0),
(61404,101908,'Decreases AGI of target by 8.8',100,1,1),
(61405,101908,'Must be behind',100,1,2),
(61406,10101908,'Inflicts 367 - 609 melee damage on target',100,1,0),
(61407,10101908,'Decreases AGI of target by 8.8',100,1,1),
(61408,10101908,'Must be behind',100,1,2),
(61409,45416,'Applies Brokenskull Disguise when Activated.',100,0,0),
(61410,45416,'Shapechanges caster',100,1,1),
(61411,10045416,'Applies Brokenskull Disguise when Activated.',100,0,0),
(61412,10045416,'Shapechanges caster',100,1,1),
(61413,103816,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(61414,103816,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(61415,103816,'Increases Ability Casting Speed of raid and group members (AE) by 3.7%',100,1,2),
(61416,103816,'Increases Attack Speed of raid and group members (AE) by 9.2',100,1,3),
(61417,10103816,'Raid and group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,129,0),
(61418,10103816,'Reduces resistibility of hostile spells by 5%.',100,129,1),
(61419,10103816,'Increases Ability Casting Speed of raid and group members (AE) by 3.7%',100,1,2),
(61420,10103816,'Increases Attack Speed of raid and group members (AE) by 9.2',100,1,3),
(61421,80948,'When Equipped:',100,0,0),
(61422,80948,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61423,80948,'Decreases Threat to target by 672 ',100,2,2),
(61424,80948,'Must be flanking or behind',100,3,3),
(61425,80948,'Increases Threat to target by 1,132 ',100,2,4),
(61426,80948,'Must be in front of',100,3,5),
(61427,80948,'Inflicts 369 - 686 magic damage on target',100,2,6),
(61428,80948,'Cannot be modified except by direct means',100,2,7),
(61429,10080948,'When Equipped:',100,0,0),
(61430,10080948,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61431,10080948,'Inflicts 369 - 686 magic damage on target',100,2,2),
(61432,10080948,'Cannot be modified except by direct means',100,2,3),
(61433,121511,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(61434,121511,'Increases Attack Speed of caster by 21.0',100,130,1),
(61435,121511,'Increases Ranged, Piercing, Slashing and Crushing of caster by 42.7',100,130,2),
(61436,121511,'Inflicts 5227 - 8021 melee damage on target',100,1,3),
(61437,121511,'Decreases Defense of target by 15.3',100,1,4),
(61438,10121511,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(61439,10121511,'Increases Attack Speed of caster by 21.0',100,130,1),
(61440,10121511,'Increases Ranged, Piercing, Slashing and Crushing of caster by 42.7',100,130,2),
(61441,10121511,'Inflicts 3785 - 6018 melee damage on target',100,1,3),
(61442,10121511,'Decreases Defense of target by 15.3',100,1,4),
(61443,75556,'Applies Disease Blast when Activated.',100,0,0),
(61444,75556,'Inflicts 474 - 791 disease damage on target',100,1,1),
(61445,75556,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61446,10075556,'Applies Disease Blast when Activated.',100,0,0),
(61447,10075556,'Inflicts 474 - 791 disease damage on target',100,1,1),
(61448,10075556,'The casting time of Disease Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61449,51405,'When Equipped:',100,0,0),
(61450,51405,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(61451,51405,'Increases caster''s chance to block by 10.0%',100,2,2),
(61452,51405,'Cannot be modified except by direct means',100,2,3),
(61453,51405,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(61454,51405,'Increases caster''s chance to block by 10.0%',100,2,5),
(61455,51405,'Cannot be modified except by direct means',100,2,6),
(61456,10051405,'When Equipped:',100,0,0),
(61457,10051405,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(61458,10051405,'Increases caster''s chance to block by 10.0%',100,2,2),
(61459,10051405,'Cannot be modified except by direct means',100,2,3),
(61460,10051405,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(61461,10051405,'Increases caster''s chance to block by 10.0%',100,2,5),
(61462,10051405,'Cannot be modified except by direct means',100,2,6),
(61463,46137,'Applies Collect Water Sample when Activated.',100,0,0),
(61464,46137,'Updates a specific part of the Quest \"Questionable Faith\"',100,1,1),
(61465,46137,'You gather a sample of the water near Lodizal.',100,1,2),
(61466,46137,'This effect cannot be cast during combat',100,1,3),
(61467,46137,'You must be near Lodizal in Iceclad Ocean to use this.',100,1,4),
(61468,10046137,'Applies Collect Water Sample when Activated.',100,0,0),
(61469,10046137,'Updates a specific part of the Quest \"Questionable Faith\"',100,1,1),
(61470,10046137,'You gather a sample of the water near Lodizal.',100,1,2),
(61471,10046137,'This effect cannot be cast during combat',100,1,3),
(61472,10046137,'You must be near Lodizal in Iceclad Ocean to use this.',100,1,4),
(61473,118145,'Heals target for 6795 - 8087',100,1,0),
(61474,10118145,'Heals target for 5671 - 6874',100,1,0),
(61475,52913,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(61476,52913,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(61477,52913,'Inflicts 120 heat damage on target',100,2,2),
(61478,52913,'Cannot be modified except by direct means',100,2,3),
(61479,10052913,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(61480,10052913,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(61481,10052913,'Inflicts 120 heat damage on target',100,2,2),
(61482,10052913,'Cannot be modified except by direct means',100,2,3),
(61483,170075,'When Equipped:',100,0,0),
(61484,170075,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(61485,170075,'Decreases Damage Per Second of target by 7.4 - 12.4',100,2,2),
(61486,170075,'Cannot be modified except by direct means',100,2,3),
(61487,10170075,'When Equipped:',100,0,0),
(61488,10170075,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(61489,10170075,'Decreases Damage Per Second of target by 7.4 - 12.4',100,2,2),
(61490,10170075,'Cannot be modified except by direct means',100,2,3),
(61491,110690,'Heals target for 4436',100,1,0),
(61492,110690,'Dispels 103 levels of any hostile effects on target',100,1,1),
(61493,10110690,'Heals target for 2026',100,1,0),
(61494,10110690,'Dispels 103 levels of any hostile effects on target',100,1,1),
(61495,114363,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(61496,114363,'Increases Attack Speed of caster by 21.0',100,130,1),
(61497,114363,'Increases Ranged, Piercing, Slashing and Crushing of caster by 10.8',100,130,2),
(61498,114363,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,3),
(61499,114363,'Throws target back',100,2,4),
(61500,114363,'Stuns target',100,2,5),
(61501,114363,'Blurs vision of target',100,2,6),
(61502,114363,'Does not affect Epic targets',100,2,7),
(61503,114363,'Inflicts 1397 - 2011 crushing damage on target',100,1,8),
(61504,10114363,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(61505,10114363,'Increases Attack Speed of caster by 21.0',100,130,1),
(61506,10114363,'Increases Ranged, Piercing, Slashing and Crushing of caster by 10.8',100,130,2),
(61507,10114363,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,3),
(61508,10114363,'Throws target back',100,2,4),
(61509,10114363,'Stuns target',100,2,5),
(61510,10114363,'Blurs vision of target',100,2,6),
(61511,10114363,'Does not affect Epic targets',100,2,7),
(61512,10114363,'Inflicts 890 - 1216 crushing damage on target',100,1,8),
(61513,188354,'When Equipped:',100,0,0),
(61514,188354,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(61515,188354,'Inflicts 2664 cold damage on target encounter',100,2,2),
(61516,188354,'Must not be engaged in pvp combat',100,2,3),
(61517,188354,'Cannot be modified except by direct means',100,2,4),
(61518,188354,'Must not be engaged in pvp combat',100,1,5),
(61519,10188354,'When Equipped:',100,0,0),
(61520,10188354,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(61521,10188354,'Inflicts 1332 cold damage on target encounter',100,2,2),
(61522,10188354,'Must not be engaged in pvp combat',100,2,3),
(61523,10188354,'Cannot be modified except by direct means',100,2,4),
(61524,10188354,'Must not be engaged in pvp combat',100,1,5),
(61525,124098,'Increases power of caster by 31',100,1,0),
(61526,10124098,'Increases power of caster by 31',100,1,0),
(61527,103145,'Throws target back',100,1,0),
(61528,103145,'If Target is not Epic',100,2,1),
(61529,103145,'Inflicts 85 - 253 crushing damage on target',100,1,2),
(61530,103145,'Stuns target',100,1,3),
(61531,103145,'If Target is not Epic',100,2,4),
(61532,103145,'Resistibility increases against targets higher than level 37.',100,1,5),
(61533,10103145,'Throws target back',100,1,0),
(61534,10103145,'If Target is not Epic',100,2,1),
(61535,10103145,'Inflicts 67 - 199 crushing damage on target',100,1,2),
(61536,10103145,'Stuns target',100,1,3),
(61537,10103145,'If Target is not Epic',100,2,4),
(61538,10103145,'Resistibility increases against targets higher than level 37.',100,1,5),
(61539,35068,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(61540,82703,'When Equipped:',100,0,0),
(61541,82703,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61542,82703,'Decreases Threat to target by 1,174 ',100,2,2),
(61543,82703,'Must be flanking or behind',100,3,3),
(61544,82703,'Increases Threat to target by 1,634 ',100,2,4),
(61545,82703,'Must be in front of',100,3,5),
(61546,82703,'Inflicts 468 - 870 magic damage on target',100,2,6),
(61547,82703,'Cannot be modified except by direct means',100,2,7),
(61548,10082703,'When Equipped:',100,0,0),
(61549,10082703,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61550,10082703,'Inflicts 468 - 870 magic damage on target',100,2,2),
(61551,10082703,'Cannot be modified except by direct means',100,2,3),
(61552,104727,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(61553,104727,'Decreases Mitigation of target vs elemental and arcane damage by 616',100,2,1),
(61554,104727,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(61555,104727,'Decreases Mitigation of target vs elemental and arcane damage by 616',100,2,3),
(61556,10104727,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(61557,10104727,'Decreases Mitigation of target vs elemental and arcane damage by 616',100,2,1),
(61558,10104727,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(61559,10104727,'Decreases Mitigation of target vs elemental and arcane damage by 616',100,2,3),
(61560,159831,'Applies Lambent Imbued when Equipped.',100,0,0),
(61561,159831,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(61562,159831,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(61563,159831,'Cannot be modified except by direct means',100,2,3),
(61564,10159831,'Applies Lambent Imbued when Equipped.',100,0,0),
(61565,10159831,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(61566,10159831,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(61567,10159831,'Cannot be modified except by direct means',100,2,3),
(61568,107290,'Inflicts 2911 - 4183 ranged damage on target',100,1,0),
(61569,107290,'Inflicts 1928 - 3200 ranged damage on target',100,1,1),
(61570,107290,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(61571,107290,'Throws target back',100,2,3),
(61572,107290,'Stuns target',100,2,4),
(61573,107290,'Blurs vision of target',100,2,5),
(61574,107290,'Does not affect Epic targets',100,2,6),
(61575,107290,'If weapon equipped in Ranged',100,1,7),
(61576,10107290,'Inflicts 1534 - 2286 ranged damage on target',100,1,0),
(61577,10107290,'Inflicts 1140 - 1892 ranged damage on target',100,1,1),
(61578,10107290,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(61579,10107290,'Throws target back',100,2,3),
(61580,10107290,'Stuns target',100,2,4),
(61581,10107290,'Blurs vision of target',100,2,5),
(61582,10107290,'Does not affect Epic targets',100,2,6),
(61583,10107290,'If weapon equipped in Ranged',100,1,7),
(61584,122785,'Heals target for 1497',100,1,0),
(61585,10122785,'Heals target for 870',100,1,0),
(61586,122398,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(61587,122398,'Inflicts 46 - 57 piercing damage on target encounter',100,2,1),
(61588,10122398,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(61589,10122398,'Inflicts 37 - 45 piercing damage on target encounter',100,2,1),
(61590,101721,'Mesmerizes target',100,1,0),
(61591,101721,'Prevents AOE (except when direct) ',100,1,1),
(61592,101721,'Mesmerizes caster',100,1,2),
(61593,101721,'Dispelled when target takes damage',100,1,3),
(61594,101721,'Does not affect Epic targets',100,1,4),
(61595,101721,'Resistibility increases against targets higher than level 68.',100,1,5),
(61596,10101721,'Mesmerizes target',100,1,0),
(61597,10101721,'Prevents AOE (except when direct) ',100,1,1),
(61598,10101721,'Mesmerizes caster',100,1,2),
(61599,10101721,'Dispelled when target takes damage',100,1,3),
(61600,10101721,'Does not affect Epic targets',100,1,4),
(61601,10101721,'Resistibility increases against targets higher than level 68.',100,1,5),
(61602,158349,'Applies Hooluk in a Hat when Activated.',100,0,0),
(61603,158349,'Summons a pet Hooluk',100,1,1),
(61604,158349,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61605,10158349,'Applies Hooluk in a Hat when Activated.',100,0,0),
(61606,10158349,'Summons a pet Hooluk',100,1,1),
(61607,10158349,'The casting time of Hooluk in a Hat is 3.96 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61608,46175,'Applies Escape Root when Activated.',100,0,0),
(61609,46175,'Teleports caster and caster''s group within the zone',85,1,1),
(61610,10046175,'Applies Escape Root when Activated.',100,0,0),
(61611,10046175,'Teleports caster and caster''s group within the zone',85,1,1),
(61612,121216,'Grants stealth to caster',100,1,0),
(61613,121216,'Suspends caster''s movement speed enhancements',100,1,1),
(61614,121216,'Decreases Threat to target by 3,374 - 6,279 ',100,1,2),
(61615,10121216,'Forces target to clear their selected target.',100,1,0),
(61616,10121216,'Grants stealth to caster',100,1,1),
(61617,10121216,'Suspends caster''s movement speed enhancements',100,1,2),
(61618,118729,'Inflicts 1198 - 1872 slashing damage on target',100,1,0),
(61619,118729,'Decreases Slashing, Crushing and Piercing of target by 10.1',100,1,1),
(61620,118729,'Inflicts 257 - 314 slashing damage on target every 5 seconds',100,1,2),
(61621,10118729,'Inflicts 888 - 1214 slashing damage on target',100,1,0),
(61622,10118729,'Decreases Slashing, Crushing and Piercing of target by 10.1',100,1,1),
(61623,10118729,'Inflicts 202 - 247 slashing damage on target every 5 seconds',100,1,2),
(61624,89284,'When Equipped:',100,0,0),
(61625,89284,'On a critical combat hit this spell may cast Infected Strike II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(61626,89284,'Decreases INT of target by 20.0',100,2,2),
(61627,89284,'Inflicts 25 - 27 disease damage on target instantly and every 2 seconds',100,2,3),
(61628,89284,'Decreases AGI, WIS and STR of target by 20.0',100,2,4),
(61629,89284,'Must not be engaged in pvp combat',100,2,5),
(61630,89284,'Cannot be modified except by direct means',100,2,6),
(61631,89284,'On a critical spell hit this spell may cast Infected Strike II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(61632,89284,'Decreases INT of target by 20.0',100,2,8),
(61633,89284,'Inflicts 25 - 27 disease damage on target instantly and every 2 seconds',100,2,9),
(61634,89284,'Decreases AGI, WIS and STR of target by 20.0',100,2,10),
(61635,89284,'Must not be engaged in pvp combat',100,2,11),
(61636,89284,'Cannot be modified except by direct means',100,2,12),
(61637,89284,'Must not be engaged in pvp combat',100,1,13),
(61638,10089284,'When Equipped:',100,0,0),
(61639,10089284,'On a critical combat hit this spell may cast Infected Strike II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(61640,10089284,'Decreases INT of target by 20.0',100,2,2),
(61641,10089284,'Inflicts 25 - 27 disease damage on target instantly and every 2 seconds',100,2,3),
(61642,10089284,'Decreases AGI, WIS and STR of target by 20.0',100,2,4),
(61643,10089284,'Must not be engaged in pvp combat',100,2,5),
(61644,10089284,'Cannot be modified except by direct means',100,2,6),
(61645,10089284,'On a critical spell hit this spell may cast Infected Strike II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(61646,10089284,'Decreases INT of target by 20.0',100,2,8),
(61647,10089284,'Inflicts 25 - 27 disease damage on target instantly and every 2 seconds',100,2,9),
(61648,10089284,'Decreases AGI, WIS and STR of target by 20.0',100,2,10),
(61649,10089284,'Must not be engaged in pvp combat',100,2,11),
(61650,10089284,'Cannot be modified except by direct means',100,2,12),
(61651,10089284,'Must not be engaged in pvp combat',100,1,13),
(61652,52883,'Applies Imbued Smite when Equipped.',100,0,0),
(61653,52883,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(61654,52883,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(61655,52883,'Cannot be modified except by direct means',100,2,3),
(61656,52883,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(61657,52883,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(61658,52883,'Cannot be modified except by direct means',100,2,6),
(61659,10052883,'Applies Imbued Smite when Equipped.',100,0,0),
(61660,10052883,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(61661,10052883,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(61662,10052883,'Cannot be modified except by direct means',100,2,3),
(61663,10052883,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(61664,10052883,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(61665,10052883,'Cannot be modified except by direct means',100,2,6),
(61666,106165,'Wards target against 41 points of all damage',100,1,0),
(61667,106165,'Decreases INT of target by 28.0',100,1,1),
(61668,106165,'Decreases Attack Speed of target by 25.0',100,1,2),
(61669,106165,'Increases Max Health of target by 10.0%',100,1,3),
(61670,106165,'Increases Hate Gain of target by 13.3%',100,1,4),
(61671,106165,'Increases Aggression of target by 2.1',100,1,5),
(61672,106165,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(61673,106165,'Increases Threat to target encounter by 78 - 95 ',100,2,7),
(61674,106165,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,8),
(61675,10106165,'Wards target against 33 points of all damage',100,1,0),
(61676,10106165,'Decreases INT of target by 28.0',100,1,1),
(61677,10106165,'Decreases Attack Speed of target by 25.0',100,1,2),
(61678,10106165,'Increases Max Health of target by 10.0%',100,1,3),
(61679,10106165,'Increases Aggression of target by 2.1',100,1,4),
(61680,10106165,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,5),
(61681,89619,'Applies Celestial Glow when Equipped.',100,0,0),
(61682,10089619,'Applies Celestial Glow when Equipped.',100,0,0),
(61683,71723,'When Equipped:',100,0,0),
(61684,71723,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61685,71723,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(61686,71723,'Cannot be modified except by direct means',100,2,3),
(61687,10071723,'When Equipped:',100,0,0),
(61688,10071723,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61689,10071723,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(61690,10071723,'Cannot be modified except by direct means',100,2,3),
(61691,24713,'Adds Spider (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(61692,10024713,'Adds Spider (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(61693,82215,'When Equipped:',100,0,0),
(61694,82215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61695,82215,'Inflicts 61 - 114 magic damage on target',100,2,2),
(61696,82215,'Cannot be modified except by direct means',100,2,3),
(61697,10082215,'When Equipped:',100,0,0),
(61698,10082215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61699,10082215,'Inflicts 61 - 114 magic damage on target',100,2,2),
(61700,10082215,'Cannot be modified except by direct means',100,2,3),
(61701,184790,'Applies Gather Shadows when Activated.  Lasts for 8 minutes.',100,0,0),
(61702,184790,'Grants invisibility to caster',100,1,1),
(61703,184790,'Suspends caster''s movement speed enhancements',100,1,2),
(61704,184790,'Dispelled when target takes damage',100,1,3),
(61705,184790,'This effect cancels during combat',100,1,4),
(61706,184790,'Only affects targets level 80 and above',100,1,5),
(61707,184790,'The casting time of Gather Shadows is 1.98 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,6),
(61708,10184790,'Applies Gather Shadows when Activated.  Lasts for 8 minutes.',100,0,0),
(61709,10184790,'Grants invisibility to caster',100,1,1),
(61710,10184790,'Suspends caster''s movement speed enhancements',100,1,2),
(61711,10184790,'Dispelled when target takes damage',100,1,3),
(61712,10184790,'This effect cancels during combat',100,1,4),
(61713,10184790,'Only affects targets level 80 and above',100,1,5),
(61714,10184790,'The casting time of Gather Shadows is 1.98 seconds and the reuse time of the spell is 6 minutes 55 seconds',100,1,6),
(61715,122309,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(61716,122309,'Inflicts 2257 - 2692 mental damage on target',100,2,1),
(61717,122309,'Grants a total of 3 triggers of the spell.',100,2,2),
(61718,10122309,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(61719,10122309,'Inflicts 1656 - 1995 mental damage on target',100,2,1),
(61720,10122309,'Grants a total of 3 triggers of the spell.',100,2,2),
(61721,121360,'Inflicts 603 - 838 magic damage on target encounter',100,1,0),
(61722,121360,'Inflicts 275 - 511 magic damage on target encounter every 2 seconds',100,1,1),
(61723,10121360,'Inflicts 348 - 534 magic damage on target encounter',100,1,0),
(61724,10121360,'Inflicts 217 - 403 magic damage on target encounter every 2 seconds',100,1,1),
(61725,85332,'Applies Poison Bolt when Activated.',100,0,0),
(61726,85332,'Inflicts 138 - 230 poison damage on target',100,1,1),
(61727,85332,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61728,10085332,'Applies Poison Bolt when Activated.',100,0,0),
(61729,10085332,'Inflicts 138 - 230 poison damage on target',100,1,1),
(61730,10085332,'The casting time of Poison Bolt is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61731,41588,'When Equipped:',100,0,0),
(61732,41588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61733,41588,'Inflicts 300 - 557 magic damage on target',100,2,2),
(61734,41588,'Cannot be modified except by direct means',100,2,3),
(61735,10041588,'When Equipped:',100,0,0),
(61736,10041588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61737,10041588,'Inflicts 300 - 557 magic damage on target',100,2,2),
(61738,10041588,'Cannot be modified except by direct means',100,2,3),
(61739,71744,'When Equipped:',100,0,0),
(61740,71744,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61741,71744,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(61742,71744,'Cannot be modified except by direct means',100,2,3),
(61743,10071744,'When Equipped:',100,0,0),
(61744,10071744,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(61745,10071744,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(61746,10071744,'Cannot be modified except by direct means',100,2,3),
(61747,36434,'Increases AGI of target by 17.8',100,0,0),
(61748,36434,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(61749,47908,'Applies Salvation of the Tranquil when Activated.  Lasts for 30 minutes.',100,0,0),
(61750,47908,'Increases WIS and INT of caster by 16.0',100,1,1),
(61751,10047908,'Applies Salvation of the Tranquil when Activated.  Lasts for 30 minutes.',100,0,0),
(61752,10047908,'Increases WIS and INT of caster by 16.0',100,1,1),
(61753,113516,'Inflicts 2745 - 4337 melee damage on targets in area',100,1,0),
(61754,10113516,'Inflicts 2037 - 3291 melee damage on targets in area',100,1,0),
(61755,108030,'Inflicts 465 magic damage on target',100,1,0),
(61756,108030,'Increases power of caster by 45',100,1,1),
(61757,10108030,'Inflicts 399 magic damage on target',100,1,0),
(61758,10108030,'Increases power of caster by 45',100,1,1),
(61759,100863,'Wards target against 5745 points of all damage',100,1,0),
(61760,10100863,'Wards target against 6306 points of all damage',100,1,0),
(61761,104447,'Interrupts target encounter',100,1,0),
(61762,104447,'Applies Stumble on termination.',100,1,1),
(61763,104447,'Interrupts target',100,2,2),
(61764,104447,'Inflicts 548 - 669 mental damage on target encounter',100,1,3),
(61765,104447,'Inflicts 329 - 402 mental damage on target encounter every 2 seconds',100,1,4),
(61766,10104447,'Interrupts target encounter',100,1,0),
(61767,10104447,'Applies Stumble on termination.',100,1,1),
(61768,10104447,'Interrupts target',100,2,2),
(61769,10104447,'Inflicts 391 - 448 mental damage on target encounter',100,1,3),
(61770,10104447,'Inflicts 259 - 317 mental damage on target encounter every 2 seconds',100,1,4),
(61771,113593,'Summons a limited pet to aid the caster',100,1,0),
(61772,10113593,'Summons a limited pet to aid the caster',100,1,0),
(61773,82811,'Applies Imbued Smite when Equipped.',100,0,0),
(61774,82811,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(61775,82811,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(61776,82811,'Cannot be modified except by direct means',100,2,3),
(61777,82811,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(61778,82811,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(61779,82811,'Cannot be modified except by direct means',100,2,6),
(61780,10082811,'Applies Imbued Smite when Equipped.',100,0,0),
(61781,10082811,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(61782,10082811,'Inflicts 806 divine damage on target instantly and every second',100,2,2),
(61783,10082811,'Cannot be modified except by direct means',100,2,3),
(61784,10082811,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(61785,10082811,'Inflicts 806 divine damage on target instantly and every second',100,2,5),
(61786,10082811,'Cannot be modified except by direct means',100,2,6),
(61787,177704,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(61788,177704,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(61789,177704,'Inflicts 116 heat damage on target',100,2,2),
(61790,177704,'Cannot be modified except by direct means',100,2,3),
(61791,10177704,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(61792,10177704,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(61793,10177704,'Inflicts 116 heat damage on target',100,2,2),
(61794,10177704,'Cannot be modified except by direct means',100,2,3),
(61795,108747,'Summons a pet fiery magician',100,1,0),
(61796,10108747,'Summons a pet fiery magician',100,1,0),
(61797,113036,'Decreases Damage Per Second of target by 24.8',100,1,0),
(61798,10113036,'Decreases Damage Per Second of target by 24.8',100,1,0),
(61799,116629,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(61800,116629,'Increases Mitigation of group members (AE) vs arcane damage by 549',100,1,1),
(61801,10116629,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(61802,10116629,'Increases Mitigation of group members (AE) vs arcane damage by 549',100,1,1),
(61803,121910,'Inflicts 703 - 1171 mental damage on target encounter',100,1,0),
(61804,121910,'Increases power of group members (AE) by 89 - 149',100,1,1),
(61805,10121910,'Inflicts 575 - 923 mental damage on target encounter',100,1,0),
(61806,10121910,'Increases power of group members (AE) by 89 - 149',100,1,1),
(61807,37566,'Increases STR of target by 15.4',100,0,0),
(61808,37566,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(61809,124600,'Increases In-Combat Health Regeneration of group members (AE) by 12.5',100,1,0),
(61810,124600,'Increases Mitigation of group members (AE) vs physical damage by 138',100,1,1),
(61811,10124600,'Increases In-Combat Health Regeneration of group members (AE) by 12.5',100,1,0),
(61812,10124600,'Increases Mitigation of group members (AE) vs physical damage by 138',100,1,1),
(61813,114669,'Increases Threat to target by 2,134 - 2,609 ',100,1,0),
(61814,114669,'Interrupts target',100,1,1),
(61815,10114669,'Interrupts target',100,1,0),
(61816,10114669,'Forces target to change their selected target to caster.',100,1,1),
(61817,10114669,'Prevents target from changing targets',100,1,2),
(61818,120898,'Stifles target',100,1,0),
(61819,120898,'Inflicts 4146 - 4849 mental damage on target',100,1,1),
(61820,120898,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,2),
(61821,120898,'Resistibility increases against targets higher than level 87.',100,1,3),
(61822,10120898,'Stifles target',100,1,0),
(61823,10120898,'Inflicts 2888 - 3442 mental damage on target',100,1,1),
(61824,10120898,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(61825,10120898,'Resistibility increases against targets higher than level 87.',100,1,3),
(61826,75626,'Applies Holy Strike when Activated.',100,0,0),
(61827,75626,'Inflicts 346 - 576 divine damage on target',100,1,1),
(61828,75626,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61829,10075626,'Applies Holy Strike when Activated.',100,0,0),
(61830,10075626,'Inflicts 346 - 576 divine damage on target',100,1,1),
(61831,10075626,'The casting time of Holy Strike is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(61832,161068,'When Equipped:',100,0,0),
(61833,161068,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(61834,161068,'Increases Threat to target by 4,460 ',100,2,2),
(61835,161068,'Inflicts 1390 mental damage on target',100,2,3),
(61836,161068,'Cannot be modified except by direct means',100,2,4),
(61837,161068,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(61838,161068,'Increases Threat to target by 4,460 ',100,2,6),
(61839,161068,'Inflicts 1390 mental damage on target',100,2,7),
(61840,161068,'Cannot be modified except by direct means',100,2,8),
(61841,10161068,'When Equipped:',100,0,0),
(61842,10161068,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(61843,10161068,'Inflicts 1390 mental damage on target',100,2,2),
(61844,10161068,'Cannot be modified except by direct means',100,2,3),
(61845,10161068,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(61846,10161068,'Inflicts 1390 mental damage on target',100,2,5),
(61847,10161068,'Cannot be modified except by direct means',100,2,6),
(61848,45440,'Applies Budo''s Protection when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(61849,45440,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(61850,45440,'Inflicts 18 magic damage on target',100,2,2),
(61851,45440,'Cannot be modified except by direct means',100,2,3),
(61852,10045440,'Applies Budo''s Protection when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(61853,10045440,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(61854,10045440,'Inflicts 18 magic damage on target',100,2,2),
(61855,10045440,'Cannot be modified except by direct means',100,2,3),
(61856,81408,'When Equipped:',100,0,0),
(61857,81408,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61858,81408,'Decreases Threat to target by 352 ',100,2,2),
(61859,81408,'Must be flanking or behind',100,3,3),
(61860,81408,'Increases Threat to target by 617 ',100,2,4),
(61861,81408,'Must be in front of',100,3,5),
(61862,81408,'Inflicts 155 - 288 magic damage on target',100,2,6),
(61863,81408,'Cannot be modified except by direct means',100,2,7),
(61864,10081408,'When Equipped:',100,0,0),
(61865,10081408,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61866,10081408,'Inflicts 155 - 288 magic damage on target',100,2,2),
(61867,10081408,'Cannot be modified except by direct means',100,2,3),
(61868,122297,'Summons a pet The Bat Pack',100,1,0),
(61869,10122297,'Summons a pet The Bat Pack',100,1,0),
(61870,81073,'When Equipped:',100,0,0),
(61871,81073,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61872,81073,'Inflicts 290 - 538 magic damage on target',100,2,2),
(61873,81073,'Cannot be modified except by direct means',100,2,3),
(61874,10081073,'When Equipped:',100,0,0),
(61875,10081073,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(61876,10081073,'Inflicts 290 - 538 magic damage on target',100,2,2),
(61877,10081073,'Cannot be modified except by direct means',100,2,3),
(61878,107019,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(61879,107019,'Increases Threat to target encounter by 5,601 - 7,593 ',100,1,1),
(61880,107019,'Increases threat priority of target encounter by 2 positions',100,1,2),
(61881,10107019,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(61882,105414,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(61883,105414,'Increases STR of caster by 73.8',100,1,1),
(61884,105414,'Decreases Defense of caster by 9.6',100,1,2),
(61885,105414,'Increases Slashing, Piercing, Crushing and Disruption of caster by 17.3',100,1,3),
(61886,10105414,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(61887,10105414,'Increases STR of caster by 73.8',100,1,1),
(61888,10105414,'Decreases Defense of caster by 9.6',100,1,2),
(61889,10105414,'Increases Slashing, Piercing, Crushing and Disruption of caster by 17.3',100,1,3),
(61890,105176,'Summons a pet Curious Little Monkey',100,1,0),
(61891,10105176,'Summons a pet Curious Little Monkey',100,1,0),
(61892,53251,'When Equipped:',100,0,0),
(61893,53251,'On a spell cast this spell may cast Sustenance on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(61894,53251,'Prevents AOE (except when direct) ',100,2,2),
(61895,53251,'Decreases Hate Gain of caster by 25.0%',100,2,3),
(61896,53251,'Must not be engaged in pvp combat',100,2,4),
(61897,53251,'Cannot be modified except by direct means',100,2,5),
(61898,53251,'Must not be engaged in pvp combat',100,1,6),
(61899,10053251,'When Equipped:',100,0,0),
(61900,10053251,'On a spell cast this spell may cast Sustenance on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(61901,10053251,'Prevents AOE (except when direct) ',100,2,2),
(61902,10053251,'Must not be engaged in pvp combat',100,2,3),
(61903,10053251,'Cannot be modified except by direct means',100,2,4),
(61904,10053251,'Must not be engaged in pvp combat',100,1,5),
(61905,81209,'When Equipped:',100,0,0),
(61906,81209,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61907,81209,'Decreases Threat to target by 833 ',100,2,2),
(61908,81209,'Must be flanking or behind',100,3,3),
(61909,81209,'Increases Threat to target by 1,293 ',100,2,4),
(61910,81209,'Must be in front of',100,3,5),
(61911,81209,'Inflicts 449 - 834 magic damage on target',100,2,6),
(61912,81209,'Cannot be modified except by direct means',100,2,7),
(61913,10081209,'When Equipped:',100,0,0),
(61914,10081209,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(61915,10081209,'Inflicts 449 - 834 magic damage on target',100,2,2),
(61916,10081209,'Cannot be modified except by direct means',100,2,3),
(61917,123162,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(61918,123162,'Reduces physical damage done to caster by 5%',100,1,1),
(61919,123162,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(61920,123162,'Increases Aggression of caster by 9.2',100,1,3),
(61921,123162,'Increases Defense and Parry of caster by 18.5',100,1,4),
(61922,123162,'Increases Mitigation of caster vs elemental damage by 1232',100,1,5),
(61923,123162,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(61924,10123162,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(61925,10123162,'Reduces physical damage done to caster by 5%',100,1,1),
(61926,10123162,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(61927,10123162,'Increases Aggression of caster by 9.2',100,1,3),
(61928,10123162,'Increases Defense and Parry of caster by 18.5',100,1,4),
(61929,10123162,'Increases Mitigation of caster vs elemental damage by 1232',100,1,5),
(61930,10123162,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(61931,159785,'Applies Lambent Imbued when Equipped.',100,0,0),
(61932,159785,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(61933,159785,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(61934,159785,'Cannot be modified except by direct means',100,2,3),
(61935,10159785,'Applies Lambent Imbued when Equipped.',100,0,0),
(61936,10159785,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(61937,10159785,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(61938,10159785,'Cannot be modified except by direct means',100,2,3),
(61939,106545,'Inflicts 2949 - 3383 melee damage on target',100,1,0),
(61940,106545,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(61941,106545,'Increases Hate Gain of target by 30.0%',100,2,2),
(61942,106545,'Grants a total of 1 trigger of the spell.',100,2,3),
(61943,10106545,'Inflicts 1945 - 2286 melee damage on target',100,1,0),
(61944,10106545,'25% chance to apply Distract on termination.',100,1,1),
(61945,10106545,'Forces target to clear their selected target.',100,2,2),
(61946,155196,'When Equipped:',100,0,0),
(61947,155196,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(61948,155196,'Must not be engaged in pvp combat',100,1,2),
(61949,10155196,'When Equipped:',100,0,0),
(61950,10155196,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(61951,10155196,'Must not be engaged in pvp combat',100,1,2),
(61952,35162,'Increases STR of target by 6.2',100,0,0),
(61953,35162,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(61954,47158,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(61955,47158,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(61956,10047158,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(61957,10047158,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(61958,184906,'When Equipped:',100,0,0),
(61959,184906,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(61960,184906,'Inflicts 2648 mental damage on target',100,2,2),
(61961,184906,'If over 85% Health',100,2,3),
(61962,184906,'Cannot be modified except by direct means',100,2,4),
(61963,184906,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(61964,184906,'Inflicts 2648 mental damage on target',100,2,6),
(61965,184906,'If over 85% Health',100,2,7),
(61966,184906,'Cannot be modified except by direct means',100,2,8),
(61967,184906,'Cannot be modified except by direct means',100,1,9),
(61968,10184906,'When Equipped:',100,0,0),
(61969,10184906,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(61970,10184906,'Inflicts 2648 mental damage on target',100,2,2),
(61971,10184906,'If over 85% Health',100,2,3),
(61972,10184906,'Cannot be modified except by direct means',100,2,4),
(61973,10184906,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(61974,10184906,'Inflicts 2648 mental damage on target',100,2,6),
(61975,10184906,'If over 85% Health',100,2,7),
(61976,10184906,'Cannot be modified except by direct means',100,2,8),
(61977,10184906,'Cannot be modified except by direct means',100,1,9),
(61978,112365,'Makes target afraid',100,1,0),
(61979,112365,'30% chance to dispel when target takes damage',100,1,1),
(61980,112365,'Does not affect Epic targets',100,1,2),
(61981,112365,'Resistibility increases against targets higher than level 59.',100,1,3),
(61982,10112365,'Makes target afraid',100,1,0),
(61983,10112365,'30% chance to dispel when target takes damage',100,1,1),
(61984,10112365,'Does not affect Epic targets',100,1,2),
(61985,10112365,'Resistibility increases against targets higher than level 59.',100,1,3),
(61986,102379,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(61987,102379,'Increases Attack Speed of target by 18.6',100,2,1),
(61988,102379,'Increases Damage Per Second of target by 18.6',100,2,2),
(61989,102379,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(61990,102379,'Increases Attack Speed of target by 18.6',100,2,4),
(61991,102379,'Increases Damage Per Second of target by 18.6',100,2,5),
(61992,102379,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(61993,102379,'Increases Attack Speed of target by 18.6',100,2,7),
(61994,102379,'Increases Damage Per Second of target by 18.6',100,2,8),
(61995,10102379,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(61996,10102379,'Increases Attack Speed of target by 18.6',100,2,1),
(61997,10102379,'Increases Damage Per Second of target by 18.6',100,2,2),
(61998,10102379,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(61999,10102379,'Increases Attack Speed of target by 18.6',100,2,4),
(62000,10102379,'Increases Damage Per Second of target by 18.6',100,2,5),
(62001,10102379,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(62002,10102379,'Increases Attack Speed of target by 18.6',100,2,7),
(62003,10102379,'Increases Damage Per Second of target by 18.6',100,2,8),
(62004,101762,'Heals group members (AE) for 722 - 810',100,1,0),
(62005,101762,'Heals group members (AE) for 394 - 482 every 2 seconds',100,1,1),
(62006,10101762,'Heals group members (AE) for 288 - 332',100,1,0),
(62007,10101762,'Heals group members (AE) for 202 - 247 every 2 seconds',100,1,1),
(62008,72359,'When Equipped:',100,0,0),
(62009,72359,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(62010,72359,'Inflicts 336 - 559 divine damage on target',100,2,2),
(62011,72359,'Inflicts 336 - 559 magic damage on target',100,2,3),
(62012,72359,'Inflicts 336 - 559 piercing damage on target',100,2,4),
(62013,72359,'Must not be engaged in pvp combat',100,2,5),
(62014,72359,'Cannot be modified except by direct means',100,2,6),
(62015,72359,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(62016,72359,'Inflicts 336 - 559 divine damage on target',100,2,8),
(62017,72359,'Inflicts 336 - 559 magic damage on target',100,2,9),
(62018,72359,'Inflicts 336 - 559 piercing damage on target',100,2,10),
(62019,72359,'Must not be engaged in pvp combat',100,2,11),
(62020,72359,'Cannot be modified except by direct means',100,2,12),
(62021,72359,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(62022,72359,'Inflicts 336 - 559 divine damage on target',100,2,14),
(62023,72359,'Inflicts 336 - 559 magic damage on target',100,2,15),
(62024,72359,'Inflicts 336 - 559 piercing damage on target',100,2,16),
(62025,72359,'Must not be engaged in pvp combat',100,2,17),
(62026,72359,'Cannot be modified except by direct means',100,2,18),
(62027,72359,'Must not be engaged in pvp combat',100,1,19),
(62028,10072359,'When Equipped:',100,0,0),
(62029,10072359,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(62030,10072359,'Inflicts 336 - 559 divine damage on target',100,2,2),
(62031,10072359,'Inflicts 336 - 559 magic damage on target',100,2,3),
(62032,10072359,'Inflicts 336 - 559 piercing damage on target',100,2,4),
(62033,10072359,'Must not be engaged in pvp combat',100,2,5),
(62034,10072359,'Cannot be modified except by direct means',100,2,6),
(62035,10072359,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(62036,10072359,'Inflicts 336 - 559 divine damage on target',100,2,8),
(62037,10072359,'Inflicts 336 - 559 magic damage on target',100,2,9),
(62038,10072359,'Inflicts 336 - 559 piercing damage on target',100,2,10),
(62039,10072359,'Must not be engaged in pvp combat',100,2,11),
(62040,10072359,'Cannot be modified except by direct means',100,2,12),
(62041,10072359,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(62042,10072359,'Inflicts 336 - 559 divine damage on target',100,2,14),
(62043,10072359,'Inflicts 336 - 559 magic damage on target',100,2,15),
(62044,10072359,'Inflicts 336 - 559 piercing damage on target',100,2,16),
(62045,10072359,'Must not be engaged in pvp combat',100,2,17),
(62046,10072359,'Cannot be modified except by direct means',100,2,18),
(62047,10072359,'Must not be engaged in pvp combat',100,1,19),
(62048,106781,'Mesmerizes target',100,1,0),
(62049,106781,'Prevents AOE (except when direct) ',100,1,1),
(62050,106781,'Dispelled when target takes damage',100,1,2),
(62051,106781,'Does not affect Epic targets',100,1,3),
(62052,106781,'Resistibility increases against targets higher than level 107.',100,1,4),
(62053,10106781,'Mesmerizes target',100,1,0),
(62054,10106781,'Prevents AOE (except when direct) ',100,1,1),
(62055,10106781,'Dispelled when target takes damage',100,1,2),
(62056,10106781,'Does not affect Epic targets',100,1,3),
(62057,10106781,'Resistibility increases against targets higher than level 107.',100,1,4),
(62058,80720,'When Equipped:',100,0,0),
(62059,80720,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(62060,80720,'Decreases Threat to target by 236 ',100,2,2),
(62061,80720,'Must be flanking or behind',100,3,3),
(62062,80720,'Increases Threat to target by 414 ',100,2,4),
(62063,80720,'Must be in front of',100,3,5),
(62064,80720,'Inflicts 106 - 197 magic damage on target',100,2,6),
(62065,80720,'Cannot be modified except by direct means',100,2,7),
(62066,10080720,'When Equipped:',100,0,0),
(62067,10080720,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(62068,10080720,'Inflicts 106 - 197 magic damage on target',100,2,2),
(62069,10080720,'Cannot be modified except by direct means',100,2,3),
(62070,35477,'Increases Out-of-Combat Power Regeneration of target by 11.4',100,0,0),
(62071,35477,'This effect suspends during combat',100,0,1),
(62072,120350,'Inflicts 75 - 92 divine damage on target',100,1,0),
(62073,10120350,'Inflicts 65 - 79 divine damage on target',100,1,0),
(62074,107250,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(62075,107250,'Summons a limited pet to aid the caster',100,2,1),
(62076,107250,'If profession other than Illusionist',100,1,2),
(62077,107250,'Must be engaged in combat',100,1,3),
(62078,10107250,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(62079,10107250,'Summons a limited pet to aid the caster',100,2,1),
(62080,10107250,'If profession other than Illusionist',100,1,2),
(62081,10107250,'Must be engaged in combat',100,1,3),
(62082,159146,'Applies Sanguine Imbued when Equipped.',100,0,0),
(62083,159146,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(62084,159146,'Inflicts 452 heat damage on target',100,2,2),
(62085,159146,'Cannot be modified except by direct means',100,2,3),
(62086,10159146,'Applies Sanguine Imbued when Equipped.',100,0,0),
(62087,10159146,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(62088,10159146,'Inflicts 452 heat damage on target',100,2,2),
(62089,10159146,'Cannot be modified except by direct means',100,2,3),
(62090,74557,'When Equipped:',100,0,0),
(62091,74557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62092,74557,'Inflicts 266 - 400 magic damage on target',100,2,2),
(62093,74557,'Cannot be modified except by direct means',100,2,3),
(62094,10074557,'When Equipped:',100,0,0),
(62095,10074557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62096,10074557,'Inflicts 266 - 400 magic damage on target',100,2,2),
(62097,10074557,'Cannot be modified except by direct means',100,2,3),
(62098,104863,'Increases STA of group members (AE) by 7.7',100,1,0),
(62099,104863,'Increases Mitigation of group members (AE) vs physical damage by 74',100,1,1),
(62100,10104863,'Increases STA of group members (AE) by 7.7',100,1,0),
(62101,10104863,'Increases Mitigation of group members (AE) vs physical damage by 74',100,1,1),
(62102,71449,'When Equipped:',100,0,0),
(62103,71449,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62104,71449,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(62105,71449,'Cannot be modified except by direct means',100,2,3),
(62106,10071449,'When Equipped:',100,0,0),
(62107,10071449,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62108,10071449,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(62109,10071449,'Cannot be modified except by direct means',100,2,3),
(62110,118283,'Increases Threat to target encounter by 5,274 - 6,086 ',100,1,0),
(62111,118283,'Decreases Mitigation of target encounter vs arcane damage by 1445',100,1,1),
(62112,10118283,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(62113,10118283,'Forces target to change their selected target to caster.',100,2,1),
(62114,10118283,'Prevents target from changing targets',100,2,2),
(62115,10118283,'Decreases Mitigation of target encounter vs arcane damage by 1445',100,1,3),
(62116,153776,'When Equipped:',100,0,0),
(62117,153776,'When damaged this spell has a 10% chance to cast Arcane Resolution V on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(62118,153776,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 550',100,2,2),
(62119,153776,'Must not be engaged in pvp combat',100,2,3),
(62120,153776,'Cannot be modified except by direct means',100,2,4),
(62121,153776,'Must not be engaged in pvp combat',100,1,5),
(62122,10153776,'When Equipped:',100,0,0),
(62123,10153776,'When damaged this spell has a 10% chance to cast Arcane Resolution V on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(62124,10153776,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 550',100,2,2),
(62125,10153776,'Must not be engaged in pvp combat',100,2,3),
(62126,10153776,'Cannot be modified except by direct means',100,2,4),
(62127,10153776,'Must not be engaged in pvp combat',100,1,5),
(62128,135894,'When Equipped:',100,0,0),
(62129,135894,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(62130,135894,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(62131,135894,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,3),
(62132,135894,'Must not be engaged in pvp combat',100,2,4),
(62133,135894,'Cannot be modified except by direct means',100,2,5),
(62134,135894,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(62135,135894,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(62136,135894,'Must not be engaged in pvp combat',100,2,8),
(62137,135894,'Cannot be modified except by direct means',100,2,9),
(62138,135894,'Must not be engaged in pvp combat',100,1,10),
(62139,10135894,'When Equipped:',100,0,0),
(62140,10135894,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(62141,10135894,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(62142,10135894,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,3),
(62143,10135894,'Must not be engaged in pvp combat',100,2,4),
(62144,10135894,'Cannot be modified except by direct means',100,2,5),
(62145,10135894,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(62146,10135894,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(62147,10135894,'Must not be engaged in pvp combat',100,2,8),
(62148,10135894,'Cannot be modified except by direct means',100,2,9),
(62149,10135894,'Must not be engaged in pvp combat',100,1,10),
(62150,120677,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 33.1',100,1,0),
(62151,120677,'Increases Focus of group members (AE) by 74.4',100,1,1),
(62152,10120677,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 33.1',100,1,0),
(62153,10120677,'Increases Focus of group members (AE) by 74.4',100,1,1),
(62154,186150,'When Equipped:',100,0,0),
(62155,186150,'Increases Potency of caster by 2.0%',100,1,1),
(62156,186150,'Increases Spell Reuse Speed of caster by 2.0%',100,1,2),
(62157,186150,'Must not be engaged in pvp combat',100,1,3),
(62158,10186150,'When Equipped:',100,0,0),
(62159,10186150,'Increases Potency of caster by 2.0%',100,1,1),
(62160,10186150,'Increases Spell Reuse Speed of caster by 2.0%',100,1,2),
(62161,10186150,'Must not be engaged in pvp combat',100,1,3),
(62162,85803,'When Equipped:',100,0,0),
(62163,85803,'On a melee hit this spell may cast Wrath of the Warrior on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(62164,85803,'Reduces physical damage done to caster by 5%',100,2,2),
(62165,85803,'Inflicts 619 - 928 slashing damage on target',100,2,3),
(62166,85803,'Cannot be modified except by direct means',100,2,4),
(62167,85803,'Cannot be modified except by direct means',100,1,5),
(62168,85803,'When Equipped:',100,0,6),
(62169,85803,'Caster is immune to riposte damage.',100,1,7),
(62170,85803,'When Equipped:',100,0,8),
(62171,85803,'On a melee hit this spell may cast Shielding of Vel`Arek on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,9),
(62172,85803,'Makes caster immune to Fear effects',100,2,10),
(62173,85803,'Makes caster immune to Stun effects',100,2,11),
(62174,85803,'Makes caster immune to Stifle effects',100,2,12),
(62175,85803,'Makes caster immune to Daze effects',100,2,13),
(62176,85803,'Makes caster immune to Root effects',100,2,14),
(62177,85803,'Cannot be modified except by direct means',100,2,15),
(62178,85803,'Cannot be modified except by direct means',100,1,16),
(62179,10085803,'When Equipped:',100,0,0),
(62180,10085803,'On a melee hit this spell may cast Wrath of the Warrior on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(62181,10085803,'Reduces physical damage done to caster by 5%',100,2,2),
(62182,10085803,'Inflicts 619 - 928 slashing damage on target',100,2,3),
(62183,10085803,'Cannot be modified except by direct means',100,2,4),
(62184,10085803,'Cannot be modified except by direct means',100,1,5),
(62185,10085803,'When Equipped:',100,0,6),
(62186,10085803,'Caster is immune to riposte damage.',100,1,7),
(62187,10085803,'When Equipped:',100,0,8),
(62188,10085803,'On a melee hit this spell may cast Shielding of Vel`Arek on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,9),
(62189,10085803,'Makes caster immune to Fear effects',100,2,10),
(62190,10085803,'Makes caster immune to Stun effects',100,2,11),
(62191,10085803,'Makes caster immune to Stifle effects',100,2,12),
(62192,10085803,'Makes caster immune to Daze effects',100,2,13),
(62193,10085803,'Makes caster immune to Root effects',100,2,14),
(62194,10085803,'Cannot be modified except by direct means',100,2,15),
(62195,10085803,'Cannot be modified except by direct means',100,1,16),
(62196,104909,'Inflicts 1109 - 1840 ranged damage on target',100,1,0),
(62197,104909,'Decreases Deflection and Parry of target by 14.4',100,1,1),
(62198,104909,'Requires bow',100,1,2),
(62199,10104909,'Inflicts 655 - 1087 ranged damage on target',100,1,0),
(62200,10104909,'Decreases Deflection and Parry of target by 14.4',100,1,1),
(62201,10104909,'Requires bow',100,1,2),
(62202,71409,'When Equipped:',100,0,0),
(62203,71409,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62204,71409,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(62205,71409,'Cannot be modified except by direct means',100,2,3),
(62206,10071409,'When Equipped:',100,0,0),
(62207,10071409,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62208,10071409,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(62209,10071409,'Cannot be modified except by direct means',100,2,3),
(62210,110215,'Interrupts target',100,1,0),
(62211,110215,'Inflicts 1329 - 2203 crushing damage on target',100,1,1),
(62212,10110215,'Interrupts target',100,1,0),
(62213,10110215,'Inflicts 1069 - 1578 crushing damage on target',100,1,1),
(62214,154371,'When Equipped:',100,0,0),
(62215,154371,'Reduces maximum falling speed of caster',100,1,1),
(62216,154371,'Applies Form of the Ghost Bear when Activated.',100,0,2),
(62217,154371,'Shapechanges the user into a Ghost Bear.',100,1,3),
(62218,154371,'The casting time of Form of the Ghost Bear is 2.97 seconds and the reuse time of the spell is 6.91 seconds',100,1,4),
(62219,10154371,'When Equipped:',100,0,0),
(62220,10154371,'Reduces maximum falling speed of caster',100,1,1),
(62221,10154371,'Applies Form of the Ghost Bear when Activated.',100,0,2),
(62222,10154371,'Shapechanges the user into a Ghost Bear.',100,1,3),
(62223,10154371,'The casting time of Form of the Ghost Bear is 2.97 seconds and the reuse time of the spell is 6.91 seconds',100,1,4),
(62224,159007,'When Equipped:',100,0,0),
(62225,159007,'Reduces resistibility of all spells by 5%.',100,1,1),
(62226,10159007,'When Equipped:',100,0,0),
(62227,10159007,'Reduces resistibility of all spells by 5%.',100,1,1),
(62228,47188,'Applies Elixir of Liveliness  when Activated.  Lasts for 15 minutes.',100,0,0),
(62229,47188,'Increases Max Health of caster by 43.0',100,1,1),
(62230,10047188,'Applies Elixir of Liveliness  when Activated.  Lasts for 15 minutes.',100,0,0),
(62231,10047188,'Increases Max Health of caster by 43.0',100,1,1),
(62232,48773,'Applies Translucent Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(62233,48773,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(62234,48773,'Inflicts 30 magic damage on target',100,2,2),
(62235,48773,'Cannot be modified except by direct means',100,2,3),
(62236,48773,'Only affects targets level 50 and above',100,1,4),
(62237,10048773,'Applies Translucent Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(62238,10048773,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(62239,10048773,'Inflicts 30 magic damage on target',100,2,2),
(62240,10048773,'Cannot be modified except by direct means',100,2,3),
(62241,10048773,'Only affects targets level 50 and above',100,1,4),
(62242,150913,'When Equipped:',100,0,0),
(62243,150913,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(62244,150913,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(62245,150913,'Increases Attack Speed of caster by 6.0',100,2,3),
(62246,150913,'Increases Damage Per Second of caster by 9.0',100,2,4),
(62247,150913,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(62248,150913,'Must not be engaged in pvp combat',100,2,6),
(62249,150913,'Cannot be modified except by direct means',100,2,7),
(62250,150913,'Cannot be modified except by direct means',100,1,8),
(62251,10150913,'When Equipped:',100,0,0),
(62252,10150913,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(62253,10150913,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(62254,10150913,'Increases Attack Speed of caster by 6.0',100,2,3),
(62255,10150913,'Increases Damage Per Second of caster by 9.0',100,2,4),
(62256,10150913,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(62257,10150913,'Must not be engaged in pvp combat',100,2,6),
(62258,10150913,'Cannot be modified except by direct means',100,2,7),
(62259,10150913,'Cannot be modified except by direct means',100,1,8),
(62260,141696,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(62261,141696,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(62262,141696,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(62263,141696,'Cannot be modified except by direct means',100,2,3),
(62264,10141696,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(62265,10141696,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(62266,10141696,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(62267,10141696,'Cannot be modified except by direct means',100,2,3),
(62268,102496,'Inflicts 3832 - 5707 crushing damage on target',100,1,0),
(62269,102496,'Prevents target from changing direction while active.',100,1,1),
(62270,102496,'If Target is not Epic',100,2,2),
(62271,102496,'Roots target',100,1,3),
(62272,102496,'If Target is not Epic',100,2,4),
(62273,102496,'Resistibility increases against targets higher than level 93.',100,1,5),
(62274,10102496,'Inflicts 2640 - 4118 crushing damage on target',100,1,0),
(62275,10102496,'Prevents target from changing direction while active.',100,1,1),
(62276,10102496,'If Target is not Epic',100,2,2),
(62277,10102496,'Roots target',100,1,3),
(62278,10102496,'If Target is not Epic',100,2,4),
(62279,10102496,'Resistibility increases against targets higher than level 93.',100,1,5),
(62280,49014,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(62281,49014,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(62282,49014,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(62283,49014,'Cannot be modified except by direct means',100,2,3),
(62284,49014,'Grants a total of 80 triggers of the spell.',100,2,4),
(62285,10049014,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(62286,10049014,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(62287,10049014,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(62288,10049014,'Cannot be modified except by direct means',100,2,3),
(62289,10049014,'Grants a total of 80 triggers of the spell.',100,2,4),
(62290,72789,'When Equipped:',100,0,0),
(62291,72789,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(62292,72789,'Inflicts 1192 disease damage on target encounter',100,2,2),
(62293,72789,'Must not be engaged in pvp combat',100,2,3),
(62294,72789,'Cannot be modified except by direct means',100,2,4),
(62295,10072789,'When Equipped:',100,0,0),
(62296,10072789,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(62297,10072789,'Inflicts 596 disease damage on target encounter',100,2,2),
(62298,10072789,'Must not be engaged in pvp combat',100,2,3),
(62299,10072789,'Cannot be modified except by direct means',100,2,4),
(62300,47384,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(62301,47384,'This potion will grant you the illusion of being a Blackfang gnoll!',100,1,1),
(62302,10047384,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(62303,10047384,'This potion will grant you the illusion of being a Blackfang gnoll!',100,1,1),
(62304,104628,'Inflicts 608 - 1008 crushing damage on target',100,1,0),
(62305,104628,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 11.2',100,1,1),
(62306,10104628,'Inflicts 479 - 794 crushing damage on target',100,1,0),
(62307,10104628,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 11.2',100,1,1),
(62308,134711,'When Equipped:',100,0,0),
(62309,134711,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(62310,134711,'Increases INT, AGI, STR and WIS of caster by 50.0',100,1,2),
(62311,134711,'Increases Potency of caster by 3.5%',100,1,3),
(62312,134711,'Cannot be modified except by direct means',100,1,4),
(62313,10134711,'When Equipped:',100,0,0),
(62314,10134711,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(62315,10134711,'Increases INT, AGI, STR and WIS of caster by 50.0',100,1,2),
(62316,10134711,'Increases Potency of caster by 3.5%',100,1,3),
(62317,10134711,'Cannot be modified except by direct means',100,1,4),
(62318,119353,'Inflicts 1843 - 2273 disease damage on target',100,1,0),
(62319,119353,'Inflicts 344 - 516 disease damage on target every 2 seconds',100,1,1),
(62320,10119353,'Inflicts 1100 - 1453 disease damage on target',100,1,0),
(62321,10119353,'Inflicts 282 - 423 disease damage on target every 2 seconds',100,1,1),
(62322,159364,'Applies Lambent Imbued when Equipped.',100,0,0),
(62323,159364,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(62324,159364,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(62325,159364,'Cannot be modified except by direct means',100,2,3),
(62326,10159364,'Applies Lambent Imbued when Equipped.',100,0,0),
(62327,10159364,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(62328,10159364,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(62329,10159364,'Cannot be modified except by direct means',100,2,3),
(62330,112252,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(62331,112252,'Decreases power of target by 673',100,2,1),
(62332,112252,'Increases power of caster by 100',100,2,2),
(62333,10112252,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(62334,10112252,'Decreases power of target by 530',100,2,1),
(62335,10112252,'Increases power of caster by 80',100,2,2),
(62336,27282,'When Equipped:',100,0,0),
(62337,27282,'Increases Crit Chance of caster by 2.0',100,1,1),
(62338,10027282,'When Equipped:',100,0,0),
(62339,10027282,'Increases Crit Chance of caster by 2.0',100,1,1),
(62340,119736,'Wards group members (AE) against 258 points of elemental, noxious and arcane damage',100,1,0),
(62341,119736,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,1),
(62342,10119736,'Wards group members (AE) against 212 points of elemental, noxious and arcane damage',100,1,0),
(62343,10119736,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,1),
(62344,108459,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(62345,108459,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(62346,108459,'Increases Aggression of caster by 4.3',100,1,2),
(62347,108459,'Increases Defense and Parry of caster by 8.6',100,1,3),
(62348,108459,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(62349,10108459,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(62350,10108459,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(62351,10108459,'Increases Aggression of caster by 4.3',100,1,2),
(62352,10108459,'Increases Defense and Parry of caster by 8.6',100,1,3),
(62353,10108459,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,4),
(62354,109019,'Decreases Damage Per Second of target by 24.0',100,1,0),
(62355,109019,'Inflicts 1753 - 2140 melee damage on target',100,1,1),
(62356,10109019,'Decreases Damage Per Second of target by 24.0',100,1,0),
(62357,10109019,'Inflicts 1316 - 1519 melee damage on target',100,1,1),
(62358,159930,'When Equipped:',100,0,0),
(62359,159930,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62360,159930,'Increases INT of caster by 3.6',100,2,2),
(62361,159930,'Increases Focus, Subjugation and Disruption of caster by 2.2',100,2,3),
(62362,159930,'Cannot be modified except by direct means',100,2,4),
(62363,10159930,'When Equipped:',100,0,0),
(62364,10159930,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62365,10159930,'Increases INT of caster by 3.6',100,2,2),
(62366,10159930,'Increases Focus, Subjugation and Disruption of caster by 2.2',100,2,3),
(62367,10159930,'Cannot be modified except by direct means',100,2,4),
(62368,87202,'When Equipped:',100,0,0),
(62369,87202,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62370,87202,'Inflicts 97 - 146 magic damage on target',100,2,2),
(62371,87202,'Cannot be modified except by direct means',100,2,3),
(62372,10087202,'When Equipped:',100,0,0),
(62373,10087202,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62374,10087202,'Inflicts 97 - 146 magic damage on target',100,2,2),
(62375,10087202,'Cannot be modified except by direct means',100,2,3),
(62376,74904,'When Equipped:',100,0,0),
(62377,74904,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62378,74904,'Inflicts 49 - 74 magic damage on target',100,2,2),
(62379,74904,'Cannot be modified except by direct means',100,2,3),
(62380,10074904,'When Equipped:',100,0,0),
(62381,10074904,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62382,10074904,'Inflicts 49 - 74 magic damage on target',100,2,2),
(62383,10074904,'Cannot be modified except by direct means',100,2,3),
(62384,45099,'Applies Pour Water when Activated.',100,0,0),
(62385,10045099,'Applies Pour Water when Activated.',100,0,0),
(62386,114470,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(62387,114470,'Increases Attack Speed of caster by 21.0',100,130,1),
(62388,114470,'Increases Slashing, Ranged, Crushing and Piercing of caster by 33.3',100,130,2),
(62389,114470,'Inflicts 4074 - 6109 heat damage on target',100,1,3),
(62390,10114470,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(62391,10114470,'Increases Attack Speed of caster by 21.0',100,130,1),
(62392,10114470,'Increases Slashing, Ranged, Crushing and Piercing of caster by 33.3',100,130,2),
(62393,10114470,'Inflicts 2831 - 4435 heat damage on target',100,1,3),
(62394,112526,'Interrupts target',50,1,0),
(62395,112526,'Inflicts 287 - 351 divine damage on target',100,1,1),
(62396,10112526,'Interrupts target',50,1,0),
(62397,10112526,'Inflicts 290 - 354 divine damage on target',100,1,1),
(62398,112953,'Inflicts 559 - 1652 crushing damage on target',100,1,0),
(62399,10112953,'Inflicts 450 - 1282 crushing damage on target',100,1,0),
(62400,41863,'When Equipped:',100,0,0),
(62401,41863,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(62402,41863,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(62403,41863,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(62404,41863,'Must not be engaged in pvp combat',100,2,4),
(62405,41863,'Cannot be modified except by direct means',100,2,5),
(62406,41863,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(62407,41863,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(62408,41863,'Must not be engaged in pvp combat',100,2,8),
(62409,41863,'Cannot be modified except by direct means',100,2,9),
(62410,41863,'Cannot be modified except by direct means',100,1,10),
(62411,10041863,'When Equipped:',100,0,0),
(62412,10041863,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(62413,10041863,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(62414,10041863,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(62415,10041863,'Must not be engaged in pvp combat',100,2,4),
(62416,10041863,'Cannot be modified except by direct means',100,2,5),
(62417,10041863,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(62418,10041863,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(62419,10041863,'Must not be engaged in pvp combat',100,2,8),
(62420,10041863,'Cannot be modified except by direct means',100,2,9),
(62421,10041863,'Cannot be modified except by direct means',100,1,10),
(62422,35458,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(62423,24062,'Adds Burynai (Warlock) to your Dungeon Maker toolbox',100,0,0),
(62424,10024062,'Adds Burynai (Warlock) to your Dungeon Maker toolbox',100,0,0),
(62425,84627,'When Equipped:',100,0,0),
(62426,84627,'On any combat or spell hit this spell may cast Arcane Vortex VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(62427,84627,'Inflicts 311 - 343 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(62428,84627,'Increases power of group members (AE) by 39 - 43 instantly and every 2 seconds',100,2,3),
(62429,84627,'Increases Potency of group members (AE) by 3.5%',100,2,4),
(62430,84627,'Must not be engaged in pvp combat',100,2,5),
(62431,84627,'Cannot be modified except by direct means',100,2,6),
(62432,84627,'Must not be engaged in pvp combat',100,1,7),
(62433,10084627,'When Equipped:',100,0,0),
(62434,10084627,'On any combat or spell hit this spell may cast Arcane Vortex VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(62435,10084627,'Inflicts 311 - 343 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(62436,10084627,'Increases power of group members (AE) by 39 - 43 instantly and every 2 seconds',100,2,3),
(62437,10084627,'Increases Potency of group members (AE) by 3.5%',100,2,4),
(62438,10084627,'Must not be engaged in pvp combat',100,2,5),
(62439,10084627,'Cannot be modified except by direct means',100,2,6),
(62440,10084627,'Must not be engaged in pvp combat',100,1,7),
(62441,36509,'Increases STA and AGI of target by 15.4',100,0,0),
(62442,36509,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(62443,117257,'Inflicts 49 - 82 melee damage on target',100,1,0),
(62444,117257,'Decreases Damage Per Second of target by 5.6',100,1,1),
(62445,117257,'Decreases Attack Speed of target by 4.8',100,1,2),
(62446,10117257,'Inflicts 39 - 64 melee damage on target',100,1,0),
(62447,10117257,'Decreases Damage Per Second of target by 5.6',100,1,1),
(62448,10117257,'Decreases Attack Speed of target by 4.8',100,1,2),
(62449,106317,'Decreases INT and STR of target by 45.8',100,1,0),
(62450,10106317,'Decreases INT and STR of target by 45.8',100,1,0),
(62451,103879,'Decreases Mitigation of target vs noxious damage by 2640',100,1,0),
(62452,103879,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(62453,103879,'Slows target by 72.3%',100,2,2),
(62454,103879,'5% chance to dispel when target receives hostile action',100,2,3),
(62455,103879,'5% chance to dispel when target takes damage',100,2,4),
(62456,10103879,'Decreases Mitigation of target vs noxious damage by 2640',100,1,0),
(62457,10103879,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(62458,10103879,'Slows target by 72.3%',100,2,2),
(62459,10103879,'5% chance to dispel when target receives hostile action',100,2,3),
(62460,10103879,'5% chance to dispel when target takes damage',100,2,4),
(62461,177626,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(62462,177626,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(62463,177626,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(62464,177626,'Cannot be modified except by direct means',100,2,3),
(62465,10177626,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(62466,10177626,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(62467,10177626,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(62468,10177626,'Cannot be modified except by direct means',100,2,3),
(62469,144067,'When Equipped:',100,0,0),
(62470,144067,'Increases Attack Speed of caster by 50.0',100,1,1),
(62471,144067,'Must not be engaged in pvp combat',100,1,2),
(62472,10144067,'When Equipped:',100,0,0),
(62473,10144067,'Increases Attack Speed of caster by 50.0',100,1,1),
(62474,10144067,'Must not be engaged in pvp combat',100,1,2),
(62475,106823,'Decreases STR and AGI of target encounter by 166.3',100,1,0),
(62476,10106823,'Decreases STR and AGI of target encounter by 166.3',100,1,0),
(62477,140372,'When Equipped:',100,0,0),
(62478,140372,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(62479,140372,'Inflicts 758 crushing damage on target',100,2,2),
(62480,140372,'Inflicts 758 disease damage on target',100,2,3),
(62481,140372,'Must not be engaged in pvp combat',100,2,4),
(62482,140372,'Cannot be modified except by direct means',100,2,5),
(62483,10140372,'When Equipped:',100,0,0),
(62484,10140372,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(62485,10140372,'Inflicts 758 crushing damage on target',100,2,2),
(62486,10140372,'Inflicts 758 disease damage on target',100,2,3),
(62487,10140372,'Must not be engaged in pvp combat',100,2,4),
(62488,10140372,'Cannot be modified except by direct means',100,2,5),
(62489,100990,'Increases INT of target by 52.8',100,1,0),
(62490,100990,'Increases Attack Speed of target by 27.7',100,1,1),
(62491,100990,'Decreases Defense and Parry of target by 17.5',100,1,2),
(62492,100990,'Increases Slashing, Piercing and Crushing of target by 11.7',100,1,3),
(62493,10100990,'Increases INT of target by 52.8',100,1,0),
(62494,10100990,'Increases Attack Speed of target by 27.7',100,1,1),
(62495,10100990,'Decreases Defense and Parry of target by 17.5',100,1,2),
(62496,10100990,'Increases Slashing, Piercing and Crushing of target by 11.7',100,1,3),
(62497,105095,'Inflicts 2003 - 2363 magic damage on target',100,1,0),
(62498,10105095,'Inflicts 1199 - 1483 magic damage on target',100,1,0),
(62499,113692,'Stuns target',100,1,0),
(62500,113692,'If Target is not Epic',100,2,1),
(62501,113692,'Inflicts 5033 - 7733 heat damage on target',100,1,2),
(62502,113692,'Resistibility increases against targets higher than level 73.',100,1,3),
(62503,10113692,'Stuns target',100,1,0),
(62504,10113692,'If Target is not Epic',100,2,1),
(62505,10113692,'Inflicts 3587 - 5715 heat damage on target',100,1,2),
(62506,10113692,'Resistibility increases against targets higher than level 73.',100,1,3),
(62507,114116,'Inflicts 6314 - 10255 melee damage on targets in area',100,1,0),
(62508,114116,'You must be in stealth to use this!',100,1,1),
(62509,10114116,'Inflicts 4850 - 7956 melee damage on targets in area',100,1,0),
(62510,10114116,'You must be in stealth to use this!',100,1,1),
(62511,116930,'Increases Threat to target by 629 - 769 ',100,1,0),
(62512,121732,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(62513,10121732,'Applies Swarthy Distraction.',100,1,0),
(62514,10121732,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(62515,10121732,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(62516,71388,'When Equipped:',100,0,0),
(62517,71388,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62518,71388,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(62519,71388,'Cannot be modified except by direct means',100,2,3),
(62520,10071388,'When Equipped:',100,0,0),
(62521,10071388,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62522,10071388,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(62523,10071388,'Cannot be modified except by direct means',100,2,3),
(62524,118734,'Inflicts 1378 - 2153 slashing damage on target',100,1,0),
(62525,118734,'Decreases Slashing, Crushing and Piercing of target by 11.3',100,1,1),
(62526,118734,'Inflicts 295 - 361 slashing damage on target every 5 seconds',100,1,2),
(62527,10118734,'Inflicts 963 - 1337 slashing damage on target',100,1,0),
(62528,10118734,'Decreases Slashing, Crushing and Piercing of target by 11.3',100,1,1),
(62529,10118734,'Inflicts 233 - 284 slashing damage on target every 5 seconds',100,1,2),
(62530,114866,'Decreases AGI of target by 62.4',100,1,0),
(62531,114866,'Decreases Defense of target by 24.0',100,1,1),
(62532,10114866,'Decreases AGI of target by 62.4',100,1,0),
(62533,10114866,'Decreases Defense of target by 24.0',100,1,1),
(62534,80734,'When Equipped:',100,0,0),
(62535,80734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62536,80734,'Inflicts 96 - 178 magic damage on target',100,2,2),
(62537,80734,'Cannot be modified except by direct means',100,2,3),
(62538,10080734,'When Equipped:',100,0,0),
(62539,10080734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62540,10080734,'Inflicts 96 - 178 magic damage on target',100,2,2),
(62541,10080734,'Cannot be modified except by direct means',100,2,3),
(62542,101435,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(62543,101435,'Increases Mitigation of group members (AE) vs noxious damage by 308',100,1,1),
(62544,10101435,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(62545,10101435,'Increases Mitigation of group members (AE) vs noxious damage by 308',100,1,1),
(62546,80299,'When Equipped:',100,0,0),
(62547,80299,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(62548,80299,'Decreases Threat to target by 236 ',100,2,2),
(62549,80299,'Must be flanking or behind',100,3,3),
(62550,80299,'Increases Threat to target by 414 ',100,2,4),
(62551,80299,'Must be in front of',100,3,5),
(62552,80299,'Inflicts 106 - 197 magic damage on target',100,2,6),
(62553,80299,'Cannot be modified except by direct means',100,2,7),
(62554,10080299,'When Equipped:',100,0,0),
(62555,10080299,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(62556,10080299,'Inflicts 106 - 197 magic damage on target',100,2,2),
(62557,10080299,'Cannot be modified except by direct means',100,2,3),
(62558,118273,'Increases Threat to target encounter by 3,215 - 3,634 ',100,1,0),
(62559,118273,'Decreases Mitigation of target encounter vs arcane damage by 640',100,1,1),
(62560,10118273,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(62561,10118273,'Forces target to change their selected target to caster.',100,2,1),
(62562,10118273,'Prevents target from changing targets',100,2,2),
(62563,10118273,'Decreases Mitigation of target encounter vs arcane damage by 640',100,1,3),
(62564,134787,'When Equipped:',100,0,0),
(62565,134787,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(62566,134787,'Heals group members (AE) for 322',100,2,2),
(62567,134787,'Cannot be modified except by direct means',100,2,3),
(62568,134787,'Cannot be modified except by direct means',100,1,4),
(62569,10134787,'When Equipped:',100,0,0),
(62570,10134787,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(62571,10134787,'Heals group members (AE) for 210',100,2,2),
(62572,10134787,'Cannot be modified except by direct means',100,2,3),
(62573,10134787,'Cannot be modified except by direct means',100,1,4),
(62574,47003,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(62575,47003,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(62576,47003,'Inflicts 675 poison damage on target',100,2,2),
(62577,47003,'Inflicts 110 poison damage on target instantly and every 6 seconds',100,2,3),
(62578,47003,'Cannot be modified except by direct means',100,2,4),
(62579,47003,'Grants a total of 200 triggers of the spell.',100,2,5),
(62580,10047003,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(62581,10047003,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(62582,10047003,'Inflicts 83 poison damage on target instantly and every 6 seconds',100,2,2),
(62583,10047003,'Inflicts 506 poison damage on target',100,2,3),
(62584,10047003,'Cannot be modified except by direct means',100,2,4),
(62585,10047003,'Grants a total of 200 triggers of the spell.',100,2,5),
(62586,27186,'When Equipped:',100,0,0),
(62587,27186,'Increases Crit Chance of caster by 2.0',100,1,1),
(62588,10027186,'When Equipped:',100,0,0),
(62589,10027186,'Increases Crit Chance of caster by 2.0',100,1,1),
(62590,114023,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(62591,114023,'Heals target for 109',100,2,1),
(62592,114023,'Heals target for 59 every 2 seconds',100,2,2),
(62593,114023,'Decreases Mitigation of target vs arcane damage by 460',100,1,3),
(62594,10114023,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(62595,10114023,'Heals target for 184',100,2,1),
(62596,10114023,'Heals target for 152 every 2 seconds',100,2,2),
(62597,10114023,'Decreases Mitigation of target vs arcane damage by 460',100,1,3),
(62598,142851,'When Equipped:',100,0,0),
(62599,142851,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(62600,142851,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(62601,142851,'Heals caster for 635 - 952',100,2,3),
(62602,142851,'Cannot be modified except by direct means',100,2,4),
(62603,142851,'Cannot be modified except by direct means',100,1,5),
(62604,10142851,'When Equipped:',100,0,0),
(62605,10142851,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(62606,10142851,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(62607,10142851,'Heals caster for 743 - 1114',100,2,3),
(62608,10142851,'Cannot be modified except by direct means',100,2,4),
(62609,10142851,'Cannot be modified except by direct means',100,1,5),
(62610,105729,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(62611,105729,'Throws target back',100,2,1),
(62612,105729,'Stuns target',100,2,2),
(62613,105729,'Blurs vision of target',100,2,3),
(62614,105729,'Does not affect Epic targets',100,2,4),
(62615,105729,'Inflicts 1769 - 2718 melee damage on targets in area',100,1,5),
(62616,10105729,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(62617,10105729,'Throws target back',100,2,1),
(62618,10105729,'Stuns target',100,2,2),
(62619,10105729,'Blurs vision of target',100,2,3),
(62620,10105729,'Does not affect Epic targets',100,2,4),
(62621,10105729,'Inflicts 1267 - 2016 melee damage on targets in area',100,1,5),
(62622,110450,'Dazes targets in Area of Effect',100,1,0),
(62623,110450,'If Target is not Epic',100,2,1),
(62624,110450,'Decreases Threat to targets in Area of Effect by 4,417 ',100,1,2),
(62625,110450,'Dispelled when target receives hostile action',100,1,3),
(62626,110450,'Dispelled when target takes damage',100,1,4),
(62627,10110450,'Dazes targets in Area of Effect',100,1,0),
(62628,10110450,'If Target is not Epic',100,2,1),
(62629,10110450,'Applies Distract.',100,1,2),
(62630,10110450,'Forces target to clear their selected target.',100,2,3),
(62631,10110450,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(62632,10110450,'Dispelled when target receives hostile action',100,1,5),
(62633,10110450,'Dispelled when target takes damage',100,1,6),
(62634,101313,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(62635,101313,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 48',100,1,1),
(62636,101313,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,2),
(62637,10101313,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(62638,10101313,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 48',100,1,1),
(62639,10101313,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,2),
(62640,101182,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(62641,101182,'Slows target by 54.3%',100,2,1),
(62642,101182,'5% chance to dispel when target receives hostile action',100,2,2),
(62643,101182,'5% chance to dispel when target takes damage',100,2,3),
(62644,101182,'Inflicts 1721 - 2409 cold damage on target',100,1,4),
(62645,101182,'Inflicts 860 - 1427 cold damage on target',100,1,5),
(62646,101182,'If weapon equipped in Ranged',100,1,6),
(62647,10101182,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(62648,10101182,'Slows target by 54.3%',100,2,1),
(62649,10101182,'5% chance to dispel when target receives hostile action',100,2,2),
(62650,10101182,'5% chance to dispel when target takes damage',100,2,3),
(62651,10101182,'Inflicts 903 - 1238 cold damage on target',100,1,4),
(62652,10101182,'Inflicts 508 - 843 cold damage on target',100,1,5),
(62653,10101182,'If weapon equipped in Ranged',100,1,6),
(62654,48466,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(62655,48466,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(62656,48466,'Inflicts 140 poison damage on target',100,2,2),
(62657,48466,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,3),
(62658,48466,'Cannot be modified except by direct means',100,2,4),
(62659,48466,'Grants a total of 200 triggers of the spell.',100,2,5),
(62660,10048466,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(62661,10048466,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(62662,10048466,'Inflicts 31 poison damage on target instantly and every 6 seconds',100,2,2),
(62663,10048466,'Inflicts 105 poison damage on target',100,2,3),
(62664,10048466,'Cannot be modified except by direct means',100,2,4),
(62665,10048466,'Grants a total of 200 triggers of the spell.',100,2,5),
(62666,119583,'Increases power of caster by 22 instantly and every 4 seconds',100,1,0),
(62667,10119583,'Increases power of caster by 22 instantly and every 4 seconds',100,1,0),
(62668,114133,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(62669,114133,'Increases Mitigation of group members (AE) vs elemental damage by 550',100,1,1),
(62670,10114133,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(62671,10114133,'Increases Mitigation of group members (AE) vs elemental damage by 550',100,1,1),
(62672,116275,'Summons a pet Illusion Ally',100,1,0),
(62673,10116275,'Summons a pet Illusion Ally',100,1,0),
(62674,36289,'Increases STA and WIS of target by 6.2',100,0,0),
(62675,36289,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,1),
(62676,101068,'Summons 3 limited pets to aid the caster',100,1,0),
(62677,10101068,'Summons 3 limited pets to aid the caster',100,1,0),
(62678,123580,'Increases STR of group members (AE) by 47.0',100,1,0),
(62679,123580,'Increases Max Health of group members (AE) by 416.0',100,1,1),
(62680,10123580,'Increases STR of group members (AE) by 47.0',100,1,0),
(62681,10123580,'Increases Max Health of group members (AE) by 416.0',100,1,1),
(62682,137658,'When Equipped:',100,0,0),
(62683,137658,'On a damage spell hit this spell may cast Shackles on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62684,137658,'Roots target',100,2,2),
(62685,137658,'15% chance to dispel when target takes damage',100,2,3),
(62686,137658,'Only affects targets level 80 and below',100,2,4),
(62687,137658,'Does not affect Epic targets',100,2,5),
(62688,137658,'Resistibility increases against targets higher than level 99.',100,2,6),
(62689,137658,'Cannot be modified except by direct means',100,2,7),
(62690,10137658,'When Equipped:',100,0,0),
(62691,10137658,'On a damage spell hit this spell may cast Shackles on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62692,10137658,'Roots target',100,2,2),
(62693,10137658,'15% chance to dispel when target takes damage',100,2,3),
(62694,10137658,'Only affects targets level 80 and below',100,2,4),
(62695,10137658,'Does not affect Epic targets',100,2,5),
(62696,10137658,'Resistibility increases against targets higher than level 99.',100,2,6),
(62697,10137658,'Cannot be modified except by direct means',100,2,7),
(62698,104433,'Interrupts target encounter',100,1,0),
(62699,104433,'Applies Stumble on termination.',100,1,1),
(62700,104433,'Interrupts target',100,2,2),
(62701,104433,'Inflicts 189 - 231 mental damage on target encounter',100,1,3),
(62702,104433,'Inflicts 113 - 139 mental damage on target encounter every 2 seconds',100,1,4),
(62703,10104433,'Interrupts target encounter',100,1,0),
(62704,10104433,'Applies Stumble on termination.',100,1,1),
(62705,10104433,'Interrupts target',100,2,2),
(62706,10104433,'Inflicts 165 - 202 mental damage on target encounter',100,1,3),
(62707,10104433,'Inflicts 89 - 109 mental damage on target encounter every 2 seconds',100,1,4),
(62708,102862,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(62709,102862,'Throws target back',100,2,1),
(62710,102862,'Stuns target',100,2,2),
(62711,102862,'Blurs vision of target',100,2,3),
(62712,102862,'Does not affect Epic targets',100,2,4),
(62713,102862,'Inflicts 1533 - 3891 melee damage on targets in area',100,1,5),
(62714,10102862,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(62715,10102862,'Throws target back',100,2,1),
(62716,10102862,'Stuns target',100,2,2),
(62717,10102862,'Blurs vision of target',100,2,3),
(62718,10102862,'Does not affect Epic targets',100,2,4),
(62719,10102862,'Inflicts 1102 - 3002 melee damage on targets in area',100,1,5),
(62720,35152,'Increases STR of target by 8.4',100,0,0),
(62721,35152,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(62722,55382,'When Equipped:',100,0,0),
(62723,55382,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(62724,55382,'Wards caster against 750 points of all damage',100,2,2),
(62725,55382,'Cannot be modified except by direct means',100,2,3),
(62726,55382,'Cannot be modified except by direct means',100,1,4),
(62727,55382,'When Equipped:',100,0,5),
(62728,55382,'When damaged this spell has a 10% chance to cast Juggernaut on caster.  Lasts for 12.0 seconds.  ',100,1,6),
(62729,55382,'Increases your Combat Art Damage by 95',100,2,7),
(62730,55382,'Increases Damage Per Second of caster by 8.0',100,2,8),
(62731,55382,'Cannot be modified except by direct means',100,2,9),
(62732,55382,'Cannot be modified except by direct means',100,1,10),
(62733,10055382,'When Equipped:',100,0,0),
(62734,10055382,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(62735,10055382,'Wards caster against 750 points of all damage',100,2,2),
(62736,10055382,'Cannot be modified except by direct means',100,2,3),
(62737,10055382,'Cannot be modified except by direct means',100,1,4),
(62738,10055382,'When Equipped:',100,0,5),
(62739,10055382,'When damaged this spell has a 10% chance to cast Juggernaut on caster.  Lasts for 12.0 seconds.  ',100,1,6),
(62740,10055382,'Increases your Combat Art Damage by 95',100,2,7),
(62741,10055382,'Increases Damage Per Second of caster by 8.0',100,2,8),
(62742,10055382,'Cannot be modified except by direct means',100,2,9),
(62743,10055382,'Cannot be modified except by direct means',100,1,10),
(62744,47277,'Applies Protection of the Songweaver  when Activated.  Lasts for 30 minutes.',100,0,0),
(62745,10047277,'Applies Protection of the Songweaver  when Activated.  Lasts for 30 minutes.',100,0,0),
(62746,124770,'Inflicts 3592 - 4317 disease damage on target encounter',100,1,0),
(62747,10124770,'Inflicts 2704 - 3276 disease damage on target encounter',100,1,0),
(62748,143780,'When Equipped:',100,0,0),
(62749,143780,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(62750,143780,'Stuns target',100,2,2),
(62751,143780,'Only affects targets level 88 and below',100,2,3),
(62752,143780,'Does not affect Epic targets',100,2,4),
(62753,143780,'Resistibility increases against targets higher than level 111.',100,2,5),
(62754,143780,'Cannot be modified except by direct means',100,2,6),
(62755,10143780,'When Equipped:',100,0,0),
(62756,10143780,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(62757,10143780,'Stuns target',100,2,2),
(62758,10143780,'Only affects targets level 88 and below',100,2,3),
(62759,10143780,'Does not affect Epic targets',100,2,4),
(62760,10143780,'Resistibility increases against targets higher than level 111.',100,2,5),
(62761,10143780,'Cannot be modified except by direct means',100,2,6),
(62762,134242,'When Equipped:',100,0,0),
(62763,134242,'On any combat or spell hit this spell may cast Blood and Ashes on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(62764,134242,'Inflicts 1139 - 1259 slashing damage on target encounter instantly and every 2 seconds',100,2,2),
(62765,134242,'Heals group members (AE) for 1247 - 1378 instantly and every 2 seconds',100,2,3),
(62766,134242,'Decreases Potency of target encounter by 10%.',100,2,4),
(62767,134242,'Increases Potency of group members (AE) by 10%.',100,2,5),
(62768,134242,'Must not be engaged in pvp combat',100,2,6),
(62769,134242,'Cannot be modified except by direct means',100,2,7),
(62770,134242,'Must not be engaged in pvp combat',100,1,8),
(62771,10134242,'When Equipped:',100,0,0),
(62772,10134242,'On any combat or spell hit this spell may cast Blood and Ashes on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(62773,10134242,'Inflicts 1139 - 1259 slashing damage on target encounter instantly and every 2 seconds',100,2,2),
(62774,10134242,'Heals group members (AE) for 1459 - 1612 instantly and every 2 seconds',100,2,3),
(62775,10134242,'Decreases Potency of target encounter by 10%.',100,2,4),
(62776,10134242,'Increases Potency of group members (AE) by 10%.',100,2,5),
(62777,10134242,'Must not be engaged in pvp combat',100,2,6),
(62778,10134242,'Cannot be modified except by direct means',100,2,7),
(62779,10134242,'Must not be engaged in pvp combat',100,1,8),
(62780,121496,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(62781,121496,'Increases Attack Speed of caster by 21.0',100,130,1),
(62782,121496,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.4',100,130,2),
(62783,121496,'Inflicts 3115 - 4518 melee damage on target',100,1,3),
(62784,121496,'Decreases Defense of target by 8.6',100,1,4),
(62785,10121496,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(62786,10121496,'Increases Attack Speed of caster by 21.0',100,130,1),
(62787,10121496,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.4',100,130,2),
(62788,10121496,'Inflicts 2098 - 3219 melee damage on target',100,1,3),
(62789,10121496,'Decreases Defense of target by 8.6',100,1,4),
(62790,74870,'When Equipped:',100,0,0),
(62791,74870,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62792,74870,'Inflicts 217 - 326 magic damage on target',100,2,2),
(62793,74870,'Cannot be modified except by direct means',100,2,3),
(62794,10074870,'When Equipped:',100,0,0),
(62795,10074870,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62796,10074870,'Inflicts 217 - 326 magic damage on target',100,2,2),
(62797,10074870,'Cannot be modified except by direct means',100,2,3),
(62798,106794,'Decreases STR and AGI of target encounter by 28.9',100,1,0),
(62799,10106794,'Decreases STR and AGI of target encounter by 28.9',100,1,0),
(62800,120702,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 13.0',100,1,0),
(62801,10120702,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 13.0',100,1,0),
(62802,79981,'When Equipped:',100,0,0),
(62803,79981,'On a combat hit this spell may cast Detonation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62804,79981,'Inflicts 235 - 392 heat damage on targets in Area of Effect',100,2,2),
(62805,79981,'Cannot be modified except by direct means',100,2,3),
(62806,10079981,'When Equipped:',100,0,0),
(62807,10079981,'On a combat hit this spell may cast Detonation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62808,10079981,'Inflicts 235 - 392 heat damage on targets in Area of Effect',100,2,2),
(62809,10079981,'Cannot be modified except by direct means',100,2,3),
(62810,153832,'When Equipped:',100,0,0),
(62811,153832,'On a block this spell has a 10% chance to cast Champion''s Impedence III on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(62812,153832,'Increases caster''s chance to block by 11.0%',100,2,2),
(62813,153832,'Must not be engaged in pvp combat',100,2,3),
(62814,153832,'Cannot be modified except by direct means',100,2,4),
(62815,153832,'When damaged this spell has a 10% chance to cast Champion''s Impedence III on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(62816,153832,'Increases caster''s chance to block by 11.0%',100,2,6),
(62817,153832,'Must not be engaged in pvp combat',100,2,7),
(62818,153832,'Cannot be modified except by direct means',100,2,8),
(62819,153832,'Must not be engaged in pvp combat',100,1,9),
(62820,10153832,'When Equipped:',100,0,0),
(62821,10153832,'On a block this spell has a 10% chance to cast Champion''s Impedence III on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(62822,10153832,'Increases caster''s chance to block by 11.0%',100,2,2),
(62823,10153832,'Must not be engaged in pvp combat',100,2,3),
(62824,10153832,'Cannot be modified except by direct means',100,2,4),
(62825,10153832,'When damaged this spell has a 10% chance to cast Champion''s Impedence III on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(62826,10153832,'Increases caster''s chance to block by 11.0%',100,2,6),
(62827,10153832,'Must not be engaged in pvp combat',100,2,7),
(62828,10153832,'Cannot be modified except by direct means',100,2,8),
(62829,10153832,'Must not be engaged in pvp combat',100,1,9),
(62830,117412,'Increases Mitigation of group members (AE) vs physical damage by 100',100,1,0),
(62831,10117412,'Increases Mitigation of group members (AE) vs physical damage by 100',100,1,0),
(62832,72203,'When Equipped:',100,0,0),
(62833,72203,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62834,72203,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(62835,72203,'Cannot be modified except by direct means',100,2,3),
(62836,10072203,'When Equipped:',100,0,0),
(62837,10072203,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62838,10072203,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(62839,10072203,'Cannot be modified except by direct means',100,2,3),
(62840,181061,'When Equipped:',100,0,0),
(62841,181061,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(62842,181061,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(62843,181061,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,3),
(62844,181061,'Must not be engaged in pvp combat',100,2,4),
(62845,181061,'Cannot be modified except by direct means',100,2,5),
(62846,181061,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(62847,181061,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(62848,181061,'Must not be engaged in pvp combat',100,2,8),
(62849,181061,'Cannot be modified except by direct means',100,2,9),
(62850,181061,'Must not be engaged in pvp combat',100,1,10),
(62851,10181061,'When Equipped:',100,0,0),
(62852,10181061,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(62853,10181061,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(62854,10181061,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,3),
(62855,10181061,'Must not be engaged in pvp combat',100,2,4),
(62856,10181061,'Cannot be modified except by direct means',100,2,5),
(62857,10181061,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(62858,10181061,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(62859,10181061,'Must not be engaged in pvp combat',100,2,8),
(62860,10181061,'Cannot be modified except by direct means',100,2,9),
(62861,10181061,'Must not be engaged in pvp combat',100,1,10),
(62862,110302,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(62863,110302,'Slows target by 63.3%',100,2,1),
(62864,110302,'5% chance to dispel when target receives hostile action',100,2,2),
(62865,110302,'5% chance to dispel when target takes damage',100,2,3),
(62866,110302,'Decreases Mitigation of target vs arcane damage by 2310',100,1,4),
(62867,10110302,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(62868,10110302,'Slows target by 63.3%',100,2,1),
(62869,10110302,'5% chance to dispel when target receives hostile action',100,2,2),
(62870,10110302,'5% chance to dispel when target takes damage',100,2,3),
(62871,10110302,'Decreases Mitigation of target vs arcane damage by 2310',100,1,4),
(62872,74724,'When Equipped:',100,0,0),
(62873,74724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62874,74724,'Inflicts 236 - 354 magic damage on target',100,2,2),
(62875,74724,'Cannot be modified except by direct means',100,2,3),
(62876,10074724,'When Equipped:',100,0,0),
(62877,10074724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62878,10074724,'Inflicts 236 - 354 magic damage on target',100,2,2),
(62879,10074724,'Cannot be modified except by direct means',100,2,3),
(62880,80588,'When Equipped:',100,0,0),
(62881,80588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62882,80588,'Inflicts 96 - 178 magic damage on target',100,2,2),
(62883,80588,'Cannot be modified except by direct means',100,2,3),
(62884,10080588,'When Equipped:',100,0,0),
(62885,10080588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(62886,10080588,'Inflicts 96 - 178 magic damage on target',100,2,2),
(62887,10080588,'Cannot be modified except by direct means',100,2,3),
(62888,189066,'When Equipped:',100,0,0),
(62889,189066,'Increases Attack Speed of caster by 35.0',100,1,1),
(62890,10189066,'When Equipped:',100,0,0),
(62891,10189066,'Increases Attack Speed of caster by 35.0',100,1,1),
(62892,114757,'Inflicts 14508 - 23412 melee damage on target',100,1,0),
(62893,114757,'You must be in stealth.',100,1,1),
(62894,10114757,'Inflicts 6745 - 10926 melee damage on target',100,1,0),
(62895,10114757,'You must be in stealth.',100,1,1),
(62896,119028,'Inflicts 47 - 78 mental damage on target',100,1,0),
(62897,119028,'Decreases power of target by 30 - 49',100,1,1),
(62898,119028,'Increases power of caster by 3 - 5',100,1,2),
(62899,10119028,'Inflicts 37 - 62 mental damage on target',100,1,0),
(62900,10119028,'Decreases power of target by 23 - 39',100,1,1),
(62901,10119028,'Increases power of caster by 3 - 5',100,1,2),
(62902,48877,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(62903,48877,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(62904,48877,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(62905,48877,'Cannot be modified except by direct means',100,2,3),
(62906,48877,'Grants a total of 80 triggers of the spell.',100,2,4),
(62907,10048877,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(62908,10048877,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(62909,10048877,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(62910,10048877,'Cannot be modified except by direct means',100,2,3),
(62911,10048877,'Grants a total of 80 triggers of the spell.',100,2,4),
(62912,25969,'When Equipped:',100,0,0),
(62913,25969,'On a block this spell has a 4% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(62914,25969,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(62915,25969,'Heals caster for 137 - 168',100,3,3),
(62916,25969,'Grants a total of 3 triggers of the spell.',100,3,4),
(62917,25969,'Cannot be modified except by direct means',100,2,5),
(62918,10025969,'When Equipped:',100,0,0),
(62919,10025969,'On a block this spell has a 4% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(62920,10025969,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(62921,10025969,'Heals caster for 73 - 89',100,3,3),
(62922,10025969,'Grants a total of 3 triggers of the spell.',100,3,4),
(62923,10025969,'Cannot be modified except by direct means',100,2,5),
(62924,35542,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(62925,72182,'When Equipped:',100,0,0),
(62926,72182,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62927,72182,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(62928,72182,'Cannot be modified except by direct means',100,2,3),
(62929,10072182,'When Equipped:',100,0,0),
(62930,10072182,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62931,10072182,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(62932,10072182,'Cannot be modified except by direct means',100,2,3),
(62933,155372,'When Equipped:',100,0,0),
(62934,155372,'Increases Attack Speed of caster by 40.0',100,1,1),
(62935,10155372,'When Equipped:',100,0,0),
(62936,10155372,'Increases Attack Speed of caster by 40.0',100,1,1),
(62937,116841,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(62938,116841,'Inflicts 1416 - 1730 mental damage on target',100,2,1),
(62939,116841,'Grants a total of 3 triggers of the spell.',100,2,2),
(62940,10116841,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(62941,10116841,'Inflicts 1088 - 1301 mental damage on target',100,2,1),
(62942,10116841,'Grants a total of 3 triggers of the spell.',100,2,2),
(62943,120984,'Inflicts 198 - 329 poison damage on target',100,1,0),
(62944,120984,'Inflicts 26 - 43 poison damage on target instantly and every 4 seconds',100,1,1),
(62945,10120984,'Inflicts 177 - 293 poison damage on target',100,1,0),
(62946,10120984,'Inflicts 20 - 34 poison damage on target instantly and every 4 seconds',100,1,1),
(62947,102643,'Inflicts 1348 - 2049 melee damage on target',100,1,0),
(62948,102643,'Inflicts 280 heat damage on target every 6 seconds',100,1,1),
(62949,10102643,'Inflicts 967 - 1345 melee damage on target',100,1,0),
(62950,10102643,'Inflicts 221 heat damage on target every 6 seconds',100,1,1),
(62951,82751,'When Equipped:',100,0,0),
(62952,82751,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(62953,82751,'Decreases Threat to target by 487 ',100,2,2),
(62954,82751,'Must be flanking or behind',100,3,3),
(62955,82751,'Increases Threat to target by 852 ',100,2,4),
(62956,82751,'Must be in front of',100,3,5),
(62957,82751,'Inflicts 210 - 391 magic damage on target',100,2,6),
(62958,82751,'Cannot be modified except by direct means',100,2,7),
(62959,10082751,'When Equipped:',100,0,0),
(62960,10082751,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(62961,10082751,'Inflicts 210 - 391 magic damage on target',100,2,2),
(62962,10082751,'Cannot be modified except by direct means',100,2,3),
(62963,113852,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(62964,113852,'Increases power of caster by 108',100,2,1),
(62965,113852,'Grants a total of 3 triggers of the spell.',100,2,2),
(62966,10113852,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(62967,10113852,'Increases power of caster by 108',100,2,1),
(62968,10113852,'Grants a total of 3 triggers of the spell.',100,2,2),
(62969,123735,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(62970,10123735,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(62971,46274,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(62972,46274,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 26.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(62973,46274,'Slows target by 44.3%',100,2,2),
(62974,46274,'Cannot be modified except by direct means',100,2,3),
(62975,46274,'Grants a total of 60 triggers of the spell.',100,2,4),
(62976,10046274,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(62977,10046274,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(62978,10046274,'Slows target by 44.3%',100,2,2),
(62979,10046274,'Cannot be modified except by direct means',100,2,3),
(62980,10046274,'Grants a total of 60 triggers of the spell.',100,2,4),
(62981,42720,'When Equipped:',100,0,0),
(62982,42720,'On a ranged hit this spell may cast Elevated Shot on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62983,42720,'Inflicts 1261 - 1892 magic damage on target',100,2,2),
(62984,42720,'Increases Damage Per Second of caster by 33.0',100,2,3),
(62985,42720,'Cannot be modified except by direct means',100,2,4),
(62986,10042720,'When Equipped:',100,0,0),
(62987,10042720,'On a ranged hit this spell may cast Elevated Shot on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(62988,10042720,'Inflicts 1261 - 1892 magic damage on target',100,2,2),
(62989,10042720,'Increases Damage Per Second of caster by 33.0',100,2,3),
(62990,10042720,'Cannot be modified except by direct means',100,2,4),
(62991,111285,'Inflicts 1474 - 2148 divine damage on target',100,1,0),
(62992,111285,'Inflicts 280 - 466 divine damage on target every 4 seconds',100,1,1),
(62993,10111285,'Inflicts 948 - 1313 divine damage on target',100,1,0),
(62994,10111285,'Inflicts 220 - 367 divine damage on target every 4 seconds',100,1,1),
(62995,102981,'Increases STR and AGI of group members (AE) by 60.1',100,1,0),
(62996,10102981,'Increases STR and AGI of group members (AE) by 60.1',100,1,0),
(62997,122554,'Heals caster for 550',100,1,0),
(62998,122554,'Inflicts 2056 - 3221 melee damage on target',100,1,1),
(62999,10122554,'Heals caster for 282',100,1,0),
(63000,10122554,'Inflicts 1495 - 2349 melee damage on target',100,1,1),
(63001,41714,'When Equipped:',100,0,0),
(63002,41714,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63003,41714,'Inflicts 210 - 391 magic damage on target',100,2,2),
(63004,41714,'Cannot be modified except by direct means',100,2,3),
(63005,10041714,'When Equipped:',100,0,0),
(63006,10041714,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63007,10041714,'Inflicts 210 - 391 magic damage on target',100,2,2),
(63008,10041714,'Cannot be modified except by direct means',100,2,3),
(63009,49164,'Applies Wormhole - Commonlands when Activated.',100,0,0),
(63010,49164,'Teleports caster to a zone landmark',100,1,1),
(63011,10049164,'Applies Wormhole - Commonlands when Activated.',100,0,0),
(63012,10049164,'Teleports caster to a zone landmark',100,1,1),
(63013,24442,'Adds Hooluk (Ranger) to your Dungeon Maker toolbox',100,0,0),
(63014,10024442,'Adds Hooluk (Ranger) to your Dungeon Maker toolbox',100,0,0),
(63015,107354,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(63016,107354,'Increases Threat to target by 1,731 ',100,2,1),
(63017,10107354,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(63018,10107354,'Inflicts 225 - 249 crushing damage on target',100,2,1),
(63019,80162,'When Equipped:',100,0,0),
(63020,80162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63021,80162,'Inflicts 300 - 557 magic damage on target',100,2,2),
(63022,80162,'Cannot be modified except by direct means',100,2,3),
(63023,10080162,'When Equipped:',100,0,0),
(63024,10080162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63025,10080162,'Inflicts 300 - 557 magic damage on target',100,2,2),
(63026,10080162,'Cannot be modified except by direct means',100,2,3),
(63027,52818,'Applies Sanguine Imbued when Equipped.',100,0,0),
(63028,52818,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(63029,52818,'Inflicts 106 heat damage on target',100,2,2),
(63030,52818,'Cannot be modified except by direct means',100,2,3),
(63031,10052818,'Applies Sanguine Imbued when Equipped.',100,0,0),
(63032,10052818,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(63033,10052818,'Inflicts 106 heat damage on target',100,2,2),
(63034,10052818,'Cannot be modified except by direct means',100,2,3),
(63035,120728,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 34.1',100,1,0),
(63036,10120728,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 34.1',100,1,0),
(63037,109828,'Inflicts 1644 - 2726 melee damage on target',100,1,0),
(63038,109828,'Decreases Parry of target by 25.8',100,1,1),
(63039,109828,'Must be in front of or flanking',100,1,2),
(63040,10109828,'Inflicts 1258 - 1827 melee damage on target',100,1,0),
(63041,10109828,'Decreases Parry of target by 25.8',100,1,1),
(63042,10109828,'Must be in front of or flanking',100,1,2),
(63043,110249,'Inflicts 1399 - 2319 melee damage on target',100,1,0),
(63044,110249,'Slows target by 64.0%',100,1,1),
(63045,110249,'5% chance to dispel when target receives hostile action',100,1,2),
(63046,110249,'5% chance to dispel when target takes damage',100,1,3),
(63047,10110249,'Inflicts 1101 - 1613 melee damage on target',100,1,0),
(63048,10110249,'Slows target by 64.0%',100,1,1),
(63049,10110249,'5% chance to dispel when target receives hostile action',100,1,2),
(63050,10110249,'5% chance to dispel when target takes damage',100,1,3),
(63051,36936,'Increases AGI of target by 12.7',100,0,0),
(63052,36936,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(63053,48759,'Applies Elixir of Subconscious Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(63054,10048759,'Applies Elixir of Subconscious Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(63055,106642,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(63056,106642,'Increases Mitigation of caster vs physical damage by 150',100,2,1),
(63057,106642,'Decreases Mitigation of target encounter vs physical damage by 750',100,1,2),
(63058,10106642,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(63059,10106642,'Increases Mitigation of caster vs physical damage by 150',100,2,1),
(63060,10106642,'Decreases Mitigation of target encounter vs physical damage by 750',100,1,2),
(63061,74764,'When Equipped:',100,0,0),
(63062,74764,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63063,74764,'Inflicts 124 - 186 magic damage on target',100,2,2),
(63064,74764,'Cannot be modified except by direct means',100,2,3),
(63065,10074764,'When Equipped:',100,0,0),
(63066,10074764,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63067,10074764,'Inflicts 124 - 186 magic damage on target',100,2,2),
(63068,10074764,'Cannot be modified except by direct means',100,2,3),
(63069,172924,'When Equipped:',100,0,0),
(63070,172924,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,1,1),
(63071,172924,'Increases Additional chance to Riposte of caster by 27.0',100,1,2),
(63072,172924,'Increases Riposte Damage of caster by 27.0',100,1,3),
(63073,172924,'Must not be engaged in pvp combat',100,1,4),
(63074,10172924,'When Equipped:',100,0,0),
(63075,10172924,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,1,1),
(63076,10172924,'Increases Additional chance to Riposte of caster by 27.0',100,1,2),
(63077,10172924,'Increases Riposte Damage of caster by 27.0',100,1,3),
(63078,10172924,'Must not be engaged in pvp combat',100,1,4),
(63079,109680,'Inflicts 1253 - 1420 cold damage on target',100,1,0),
(63080,109680,'Inflicts 358 - 437 cold damage on target every 3 seconds',100,1,1),
(63081,10109680,'Inflicts 677 - 739 cold damage on target',100,1,0),
(63082,10109680,'Inflicts 282 - 345 cold damage on target every 3 seconds',100,1,1),
(63083,46188,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(63084,46188,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(63085,46188,'Decreases STR of target by 12.3',100,2,2),
(63086,46188,'Cannot be modified except by direct means',100,2,3),
(63087,46188,'Grants a total of 30 triggers of the spell.',100,2,4),
(63088,10046188,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(63089,10046188,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(63090,10046188,'Decreases STR of target by 12.3',100,2,2),
(63091,10046188,'Cannot be modified except by direct means',100,2,3),
(63092,10046188,'Grants a total of 30 triggers of the spell.',100,2,4),
(63093,122771,'Heals group members (AE) for 3472 - 4171',100,1,0),
(63094,122771,'Increases Max Health of group members (AE) by 204.5',100,1,1),
(63095,10122771,'Heals group members (AE) for 2985 - 3629',100,1,0),
(63096,10122771,'Increases Max Health of group members (AE) by 204.5',100,1,1),
(63097,36017,'Increases Max Power of target by 108.8',100,0,0),
(63098,36017,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(63099,108929,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(63100,108929,'Inflicts 128 heat damage on target',100,2,1),
(63101,10108929,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(63102,10108929,'Inflicts 105 heat damage on target',100,2,1),
(63103,112746,'Interrupts target',100,1,0),
(63104,112746,'Inflicts 71 - 118 divine damage on target',100,1,1),
(63105,10112746,'Interrupts target',100,1,0),
(63106,10112746,'Inflicts 61 - 101 divine damage on target',100,1,1),
(63107,122320,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(63108,122320,'Inflicts 3784 - 4553 mental damage on target',100,2,1),
(63109,122320,'Grants a total of 3 triggers of the spell.',100,2,2),
(63110,10122320,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(63111,10122320,'Inflicts 2856 - 3462 mental damage on target',100,2,1),
(63112,10122320,'Grants a total of 3 triggers of the spell.',100,2,2),
(63113,103995,'Interrupts targets in Area of Effect',100,1,0),
(63114,103995,'Inflicts 1337 - 2202 poison damage on targets in Area of Effect',100,1,1),
(63115,103995,'Inflicts 1009 - 1874 poison damage on targets in Area of Effect every second',100,1,2),
(63116,10103995,'Interrupts targets in Area of Effect',100,1,0),
(63117,10103995,'Inflicts 927 - 1609 poison damage on targets in Area of Effect',100,1,1),
(63118,10103995,'Inflicts 796 - 1477 poison damage on targets in Area of Effect every second',100,1,2),
(63119,50653,'When Equipped:',100,0,0),
(63120,50653,'This effect will not stack with any rank or tier of itself.',100,1,1),
(63121,50653,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(63122,50653,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(63123,50653,'Inflicts 200 - 221 piercing damage on target',100,3,4),
(63124,50653,'Must not be engaged in pvp combat',100,3,5),
(63125,50653,'Cannot be modified except by direct means',100,3,6),
(63126,50653,'Must not be engaged in pvp combat',100,2,7),
(63127,50653,'Cannot be modified except by direct means',100,2,8),
(63128,50653,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(63129,50653,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(63130,50653,'Inflicts 200 - 221 piercing damage on target',100,3,11),
(63131,50653,'Must not be engaged in pvp combat',100,3,12),
(63132,50653,'Cannot be modified except by direct means',100,3,13),
(63133,50653,'Must not be engaged in pvp combat',100,2,14),
(63134,50653,'Cannot be modified except by direct means',100,2,15),
(63135,50653,'Cannot be modified except by direct means',100,1,16),
(63136,10050653,'When Equipped:',100,0,0),
(63137,10050653,'This effect will not stack with any rank or tier of itself.',100,1,1),
(63138,10050653,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(63139,10050653,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(63140,10050653,'Inflicts 200 - 221 piercing damage on target',100,3,4),
(63141,10050653,'Must not be engaged in pvp combat',100,3,5),
(63142,10050653,'Cannot be modified except by direct means',100,3,6),
(63143,10050653,'Must not be engaged in pvp combat',100,2,7),
(63144,10050653,'Cannot be modified except by direct means',100,2,8),
(63145,10050653,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(63146,10050653,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(63147,10050653,'Inflicts 200 - 221 piercing damage on target',100,3,11),
(63148,10050653,'Must not be engaged in pvp combat',100,3,12),
(63149,10050653,'Cannot be modified except by direct means',100,3,13),
(63150,10050653,'Must not be engaged in pvp combat',100,2,14),
(63151,10050653,'Cannot be modified except by direct means',100,2,15),
(63152,10050653,'Cannot be modified except by direct means',100,1,16),
(63153,101882,'Heals target for 3673 - 4271',100,1,0),
(63154,101882,'If over 50% Health',100,2,1),
(63155,101882,'Heals target for 6364 - 7560',100,1,2),
(63156,101882,'If at 50% Health or less',100,2,3),
(63157,10101882,'Heals target for 1635 - 1941',100,1,0),
(63158,10101882,'If over 50% Health',100,2,1),
(63159,10101882,'Heals target for 5081 - 6153',100,1,2),
(63160,10101882,'If at 50% Health or less',100,2,3),
(63161,114550,'Heals target for 1874 - 2291',100,1,0),
(63162,10114550,'Heals target for 1537 - 1821',100,1,0),
(63163,111731,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(63164,111731,'Inflicts 1796 - 2195 cold damage on target',100,2,1),
(63165,111731,'Grants a total of 3 triggers of the spell.',100,2,2),
(63166,10111731,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(63167,10111731,'Inflicts 1345 - 1614 cold damage on target',100,2,1),
(63168,10111731,'Grants a total of 3 triggers of the spell.',100,2,2),
(63169,122600,'Inflicts 1410 - 1505 mental damage on target',100,1,0),
(63170,122600,'Inflicts 428 - 523 mental damage on target every 3 seconds',100,1,1),
(63171,122600,'Decreases Mitigation of target vs arcane damage by 670',100,1,2),
(63172,10122600,'Inflicts 732 - 807 mental damage on target',100,1,0),
(63173,10122600,'Inflicts 337 - 412 mental damage on target every 3 seconds',100,1,1),
(63174,10122600,'Decreases Mitigation of target vs arcane damage by 670',100,1,2),
(63175,147310,'When Equipped:',100,0,0),
(63176,147310,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(63177,147310,'Inflicts 70 heat damage on target',100,2,2),
(63178,147310,'Cannot be modified except by direct means',100,2,3),
(63179,10147310,'When Equipped:',100,0,0),
(63180,10147310,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(63181,10147310,'Inflicts 70 heat damage on target',100,2,2),
(63182,10147310,'Cannot be modified except by direct means',100,2,3),
(63183,24553,'Adds Mistmoore: Stone Candlestick to your Dungeon Maker toolbox',100,0,0),
(63184,10024553,'Adds Mistmoore: Stone Candlestick to your Dungeon Maker toolbox',100,0,0),
(63185,142724,'When Equipped:',100,0,0),
(63186,142724,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(63187,10142724,'When Equipped:',100,0,0),
(63188,10142724,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(63189,105258,'Increases Threat to target by 4,122 ',100,1,0),
(63190,105258,'Interrupts target',100,1,1),
(63191,105258,'Dispels 87 levels of arcane beneficial effects on target',100,1,2),
(63192,10105258,'Forces target to change their selected target to caster.',100,1,0),
(63193,10105258,'Interrupts target',100,1,1),
(63194,10105258,'Dispels 87 levels of arcane beneficial effects on target',100,1,2),
(63195,162730,'Applies Unstable Magics when Equipped.',100,0,0),
(63196,162730,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(63197,10162730,'Applies Unstable Magics when Equipped.',100,0,0),
(63198,10162730,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(63199,82560,'When Equipped:',100,0,0),
(63200,82560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63201,82560,'Inflicts 136 - 252 magic damage on target',100,2,2),
(63202,82560,'Cannot be modified except by direct means',100,2,3),
(63203,10082560,'When Equipped:',100,0,0),
(63204,10082560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63205,10082560,'Inflicts 136 - 252 magic damage on target',100,2,2),
(63206,10082560,'Cannot be modified except by direct means',100,2,3),
(63207,35568,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(63208,117836,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(63209,117836,'Heals target for 829 - 940',100,2,1),
(63210,117836,'Heals target for 501 - 612 every 2 seconds',100,2,2),
(63211,117836,'If at 50% Health or less',100,3,3),
(63212,117836,'Heals target for 578 - 634',100,2,4),
(63213,117836,'Heals target for 251 - 306 every 2 seconds',100,2,5),
(63214,117836,'If over 50% Health',100,3,6),
(63215,10117836,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(63216,10117836,'Heals target for 182 - 203',100,2,1),
(63217,10117836,'Heals target for 96 - 118 every 2 seconds',100,2,2),
(63218,10117836,'If at 50% Health or less',100,3,3),
(63219,10117836,'Heals target for 143 - 156',100,2,4),
(63220,10117836,'Heals target for 58 - 71 every 2 seconds',100,2,5),
(63221,10117836,'If over 50% Health',100,3,6),
(63222,117400,'Increases Threat to target by 4,410 ',100,1,0),
(63223,117400,'Inflicts 746 - 2206 melee damage on target',100,1,1),
(63224,10117400,'Forces target to change their selected target to caster.',100,1,0),
(63225,10117400,'Inflicts 392 - 1159 melee damage on target',100,1,1),
(63226,101331,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(63227,101331,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 145',100,1,1),
(63228,101331,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,2),
(63229,10101331,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(63230,10101331,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 145',100,1,1),
(63231,10101331,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,2),
(63232,121990,'Increases Threat to target by 211 - 259 ',100,1,0),
(63233,10121990,'Prevents target from changing targets',100,1,0),
(63234,10121990,'Forces target to change their selected target to caster.',100,1,1),
(63235,48668,'Applies Brendyl''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(63236,48668,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(63237,10048668,'Applies Brendyl''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(63238,10048668,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(63239,35661,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(63240,147152,'Applies Atheneal Poison when Activated.  Lasts for 30.0 seconds.',100,0,0),
(63241,147152,'All offensive spells deal poison damage.',100,1,1),
(63242,147152,'Must be in Ward of Elements.',100,1,2),
(63243,147152,'The casting time of Atheneal Poison is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,3),
(63244,10147152,'Applies Atheneal Poison when Activated.  Lasts for 30.0 seconds.',100,0,0),
(63245,10147152,'All offensive spells deal poison damage.',100,1,1),
(63246,10147152,'Must be in Ward of Elements.',100,1,2),
(63247,10147152,'The casting time of Atheneal Poison is 0.5 seconds and the reuse time of the spell is 2 minutes 5 seconds',100,1,3),
(63248,107525,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(63249,107525,'Decreases Mitigation of target encounter vs elemental and noxious damage by 260',100,1,1),
(63250,10107525,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(63251,10107525,'Decreases Mitigation of target encounter vs elemental and noxious damage by 260',100,1,1),
(63252,122255,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(63253,122255,'Decreases Damage Per Second of target by 25.6',100,2,1),
(63254,122255,'Decreases Attack Speed of target by 17.9',100,2,2),
(63255,10122255,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(63256,10122255,'Decreases Damage Per Second of target by 25.6',100,2,1),
(63257,10122255,'Decreases Attack Speed of target by 17.9',100,2,2),
(63258,101058,'Summons 3 limited pets to aid the caster',100,1,0),
(63259,10101058,'Summons 3 limited pets to aid the caster',100,1,0),
(63260,87415,'When Equipped:',100,0,0),
(63261,87415,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63262,87415,'Inflicts 248 - 373 magic damage on target',100,2,2),
(63263,87415,'Cannot be modified except by direct means',100,2,3),
(63264,10087415,'When Equipped:',100,0,0),
(63265,10087415,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63266,10087415,'Inflicts 248 - 373 magic damage on target',100,2,2),
(63267,10087415,'Cannot be modified except by direct means',100,2,3),
(63268,114161,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(63269,114161,'Heals target for 2015',100,2,1),
(63270,114161,'Grants a total of 1 trigger of the spell.',100,2,2),
(63271,10114161,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(63272,10114161,'Heals target for 970',100,2,1),
(63273,10114161,'Grants a total of 1 trigger of the spell.',100,2,2),
(63274,173156,'When Equipped:',100,0,0),
(63275,173156,'Increases Attack Speed of caster by 25.0',100,1,1),
(63276,10173156,'When Equipped:',100,0,0),
(63277,10173156,'Increases Attack Speed of caster by 25.0',100,1,1),
(63278,175156,'When Equipped:',100,0,0),
(63279,175156,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(63280,175156,'Heals group members (AE) for 1385 - 1531',100,2,2),
(63281,175156,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(63282,175156,'This ward regenerates slowly over time.',100,2,4),
(63283,175156,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(63284,175156,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(63285,175156,'Must not be engaged in pvp combat',100,2,7),
(63286,175156,'Cannot be modified except by direct means',100,2,8),
(63287,175156,'Must not be engaged in pvp combat',100,1,9),
(63288,10175156,'When Equipped:',100,0,0),
(63289,10175156,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(63290,10175156,'Heals group members (AE) for 1621 - 1791',100,2,2),
(63291,10175156,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(63292,10175156,'This ward regenerates slowly over time.',100,2,4),
(63293,10175156,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(63294,10175156,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(63295,10175156,'Must not be engaged in pvp combat',100,2,7),
(63296,10175156,'Cannot be modified except by direct means',100,2,8),
(63297,10175156,'Must not be engaged in pvp combat',100,1,9),
(63298,167941,'Applies Calibrated Gnomish Crosstrainers when Activated.  Lasts for 30.0 seconds.',100,0,0),
(63299,167941,'Heals caster for 10.0% of max health',50,1,1),
(63300,167941,'Increases speed of caster by 55.0%',100,1,2),
(63301,167941,'The reuse time of Calibrated Gnomish Crosstrainers is 6 minutes 55 seconds',100,1,3),
(63302,10167941,'Applies Calibrated Gnomish Crosstrainers when Activated.  Lasts for 30.0 seconds.',100,0,0),
(63303,10167941,'Heals caster for 6.5% of max health',50,1,1),
(63304,10167941,'Increases speed of caster by 55.0%',100,1,2),
(63305,10167941,'The reuse time of Calibrated Gnomish Crosstrainers is 6 minutes 55 seconds',100,1,3),
(63306,108589,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(63307,108589,'Heals group members (AE) for 193 - 236 instantly and every 3 seconds',100,2,1),
(63308,108589,'Increases AGI, WIS, INT and STR of group members (AE) by 24.5',100,2,2),
(63309,108589,'Increases STA of group members (AE) by 49.1',100,2,3),
(63310,108589,'Adds 0.7% to base avoidance.',100,2,4),
(63311,108589,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 63',100,2,5),
(63312,10108589,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(63313,10108589,'Heals group members (AE) for 99 - 121 instantly and every 3 seconds',100,2,1),
(63314,10108589,'Increases AGI, WIS, INT and STR of group members (AE) by 24.5',100,2,2),
(63315,10108589,'Increases STA of group members (AE) by 49.1',100,2,3),
(63316,10108589,'Adds 0.7% to base avoidance.',100,2,4),
(63317,10108589,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 63',100,2,5),
(63318,119469,'Summon 1 Shard of Essence (Apprentice)',100,1,0),
(63319,10119469,'Summon 1 Shard of Essence (Apprentice)',100,1,0),
(63320,37598,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(63321,108658,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(63322,108658,'Heals target for 2944',100,2,1),
(63323,108658,'Heals target for 735 every 2 seconds',100,2,2),
(63324,108658,'Increases AGI of target by 92.4',100,2,3),
(63325,108658,'Grants a total of 1 trigger of the spell.',100,2,4),
(63326,10108658,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(63327,10108658,'Heals target for 1508',100,2,1),
(63328,10108658,'Heals target for 376 every 2 seconds',100,2,2),
(63329,10108658,'Increases AGI of target by 92.4',100,2,3),
(63330,10108658,'Grants a total of 1 trigger of the spell.',100,2,4),
(63331,114420,'Mesmerizes target',100,1,0),
(63332,114420,'Prevents AOE (except when direct) ',100,1,1),
(63333,114420,'Dispelled when target takes damage',100,1,2),
(63334,114420,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(63335,114420,'Resistibility increases against targets higher than level 81.',100,1,4),
(63336,10114420,'Mesmerizes target',100,1,0),
(63337,10114420,'Prevents AOE (except when direct) ',100,1,1),
(63338,10114420,'Dispelled when target takes damage',100,1,2),
(63339,10114420,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(63340,10114420,'Resistibility increases against targets higher than level 81.',100,1,4),
(63341,122397,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(63342,122397,'Inflicts 59 - 72 piercing damage on target encounter',100,2,1),
(63343,10122397,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(63344,10122397,'Inflicts 46 - 57 piercing damage on target encounter',100,2,1),
(63345,177668,'When Equipped:',100,0,0),
(63346,177668,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(63347,177668,'Increases STR of caster by 16.3',100,2,2),
(63348,177668,'Increases Damage Per Second of caster by 22.7',100,2,3),
(63349,177668,'Cannot be modified except by direct means',100,2,4),
(63350,10177668,'When Equipped:',100,0,0),
(63351,10177668,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(63352,10177668,'Increases STR of caster by 16.3',100,2,2),
(63353,10177668,'Increases Damage Per Second of caster by 22.7',100,2,3),
(63354,10177668,'Cannot be modified except by direct means',100,2,4),
(63355,124292,'Wards group members (AE) against 3365 points of elemental damage',100,1,0),
(63356,124292,'Increases Mitigation of group members (AE) vs elemental damage by 602',100,1,1),
(63357,10124292,'Wards group members (AE) against 2645 points of elemental damage',100,1,0),
(63358,10124292,'Increases Mitigation of group members (AE) vs elemental damage by 602',100,1,1),
(63359,147235,'When Equipped:',100,0,0),
(63360,147235,'When damaged with a melee weapon this spell has a 10% chance to cast Free Movement on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(63361,147235,'Dispels 88 levels of hostile Snare effects from you and temporarily increases your in-combat runspeed by 40%. This cannot occur more than once every 30 seconds.',100,2,2),
(63362,147235,'This effect can only trigger once every 30 seconds.',100,2,3),
(63363,147235,'Cannot be modified except by direct means',100,1,4),
(63364,147235,'When Equipped:',100,0,5),
(63365,147235,'Reduces cast time of hostile spells by 5 percent.',100,1,6),
(63366,10147235,'When Equipped:',100,0,0),
(63367,10147235,'When damaged with a melee weapon this spell has a 10% chance to cast Free Movement on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(63368,10147235,'Dispels 88 levels of hostile Snare effects from you and temporarily increases your in-combat runspeed by 40%. This cannot occur more than once every 30 seconds.',100,2,2),
(63369,10147235,'This effect can only trigger once every 30 seconds.',100,2,3),
(63370,10147235,'Cannot be modified except by direct means',100,1,4),
(63371,10147235,'When Equipped:',100,0,5),
(63372,10147235,'Reduces cast time of hostile spells by 5 percent.',100,1,6),
(63373,118969,'Applies Sacrifice.',100,1,0),
(63374,118969,'Increases power of group members (AE) by 540',100,2,1),
(63375,118969,'Heals group members (AE) for 2000',100,2,2),
(63376,118969,'Stuns target',100,1,3),
(63377,10118969,'Applies Sacrifice.',100,1,0),
(63378,10118969,'Heals group members (AE) for 2104',100,2,1),
(63379,10118969,'Increases power of group members (AE) by 426',100,2,2),
(63380,10118969,'Stuns target',100,1,3),
(63381,88666,'When Equipped:',100,0,0),
(63382,88666,'On a hostile spell cast this spell may cast Freezing Spellpower on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(63383,88666,'Inflicts 393 - 481 cold damage on target',100,2,2),
(63384,88666,'Increases your Spell Damage by 98',100,2,3),
(63385,88666,'Cannot be modified except by direct means',100,2,4),
(63386,88666,'Cannot be modified except by direct means',100,1,5),
(63387,10088666,'When Equipped:',100,0,0),
(63388,10088666,'On a hostile spell cast this spell may cast Freezing Spellpower on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(63389,10088666,'Inflicts 393 - 481 cold damage on target',100,2,2),
(63390,10088666,'Increases your Spell Damage by 98',100,2,3),
(63391,10088666,'Cannot be modified except by direct means',100,2,4),
(63392,10088666,'Cannot be modified except by direct means',100,1,5),
(63393,114261,'Inflicts 5641 - 6676 mental damage on target',100,1,0),
(63394,114261,'Stuns target',100,1,1),
(63395,114261,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(63396,114261,'Resistibility increases against targets higher than level 118.',100,1,3),
(63397,10114261,'Inflicts 4066 - 4882 mental damage on target',100,1,0),
(63398,10114261,'Requires not being affected by Mesmerize effects.',100,2,1),
(63399,10114261,'Stuns target',100,1,2),
(63400,10114261,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(63401,10114261,'Resistibility increases against targets higher than level 118.',100,1,4),
(63402,113861,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(63403,113861,'Increases power of caster by 262',100,2,1),
(63404,113861,'Grants a total of 3 triggers of the spell.',100,2,2),
(63405,10113861,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(63406,10113861,'Increases power of caster by 262',100,2,1),
(63407,10113861,'Grants a total of 3 triggers of the spell.',100,2,2),
(63408,107988,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(63409,107988,'Increases Mitigation of group members (AE) vs elemental damage by 205',100,1,1),
(63410,10107988,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(63411,10107988,'Increases Mitigation of group members (AE) vs elemental damage by 205',100,1,1),
(63412,134742,'When Equipped:',100,0,0),
(63413,134742,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(63414,10134742,'When Equipped:',100,0,0),
(63415,10134742,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(63416,107677,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(63417,10107677,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(63418,36393,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,0),
(63419,46519,'Applies Destroy the Egg when Activated.',100,0,0),
(63420,10046519,'Applies Destroy the Egg when Activated.',100,0,0),
(63421,108613,'Feigns Death with 74% chance of success',100,1,0),
(63422,10108613,'Feigns Death with 74% chance of success',100,1,0),
(63423,121197,'Grants stealth to caster',100,1,0),
(63424,121197,'Suspends caster''s movement speed enhancements',100,1,1),
(63425,121197,'Decreases Threat to target by 729 - 1,448 ',100,1,2),
(63426,10121197,'Forces target to clear their selected target.',100,1,0),
(63427,10121197,'Grants stealth to caster',100,1,1),
(63428,10121197,'Suspends caster''s movement speed enhancements',100,1,2),
(63429,111781,'Heals caster for 34.6 - 42.2% of max health',100,1,0),
(63430,111781,'This effect cannot be critically applied.',100,2,1),
(63431,111781,'The healing of this spell cannot be modified except by direct means',100,1,2),
(63432,10111781,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(63433,10111781,'This effect cannot be critically applied.',100,2,1),
(63434,10111781,'The healing of this spell cannot be modified except by direct means',100,1,2),
(63435,140369,'When Equipped:',100,0,0),
(63436,140369,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(63437,140369,'Heals group members (AE) for 372 - 454',100,2,2),
(63438,140369,'Heals group members (AE) for 80 - 97 every 2 seconds',100,2,3),
(63439,140369,'Must not be engaged in pvp combat',100,2,4),
(63440,140369,'Cannot be modified except by direct means',100,2,5),
(63441,140369,'Cannot be modified except by direct means',100,1,6),
(63442,10140369,'When Equipped:',100,0,0),
(63443,10140369,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(63444,10140369,'Heals group members (AE) for 242 - 295',100,2,2),
(63445,10140369,'Heals group members (AE) for 52 - 63 every 2 seconds',100,2,3),
(63446,10140369,'Must not be engaged in pvp combat',100,2,4),
(63447,10140369,'Cannot be modified except by direct means',100,2,5),
(63448,10140369,'Cannot be modified except by direct means',100,1,6),
(63449,106732,'Heals target for 2761 - 3232',100,1,0),
(63450,10106732,'Heals target for 1962 - 2341',100,1,0),
(63451,109900,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(63452,109900,'Inflicts 364 - 445 poison damage on target instantly and every 4 seconds',100,2,1),
(63453,10109900,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(63454,10109900,'Inflicts 287 - 351 poison damage on target instantly and every 4 seconds',100,2,1),
(63455,101255,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(63456,101255,'Inflicts 945 - 1575 mental damage on target',100,2,1),
(63457,10101255,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(63458,10101255,'Inflicts 745 - 1241 mental damage on target',100,2,1),
(63459,121660,'Increases STA, INT, STR, WIS and AGI of caster by 39.6',100,1,0),
(63460,121660,'Summons a pet giant',100,1,1),
(63461,121660,'If follows Rallos Zek',100,1,2),
(63462,10121660,'Increases STA, INT, STR, WIS and AGI of caster by 39.6',100,1,0),
(63463,10121660,'Summons a pet giant',100,1,1),
(63464,10121660,'If follows Rallos Zek',100,1,2),
(63465,75333,'When Equipped:',100,0,0),
(63466,75333,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63467,75333,'Inflicts 50 - 62 mental damage on target',100,2,2),
(63468,75333,'Cannot be modified except by direct means',100,2,3),
(63469,10075333,'When Equipped:',100,0,0),
(63470,10075333,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63471,10075333,'Inflicts 50 - 62 mental damage on target',100,2,2),
(63472,10075333,'Cannot be modified except by direct means',100,2,3),
(63473,114603,'Summon 1 Dark Heart (Expert)',100,1,0),
(63474,114603,'Must not be engaged in combat',100,1,1),
(63475,10114603,'Summon 1 Dark Heart (Expert)',100,1,0),
(63476,10114603,'Must not be engaged in combat',100,1,1),
(63477,41600,'When Equipped:',100,0,0),
(63478,41600,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63479,41600,'Inflicts 369 - 686 magic damage on target',100,2,2),
(63480,41600,'Cannot be modified except by direct means',100,2,3),
(63481,10041600,'When Equipped:',100,0,0),
(63482,10041600,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63483,10041600,'Inflicts 369 - 686 magic damage on target',100,2,2),
(63484,10041600,'Cannot be modified except by direct means',100,2,3),
(63485,100316,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(63486,100316,'Inflicts 2128 divine damage on target',100,2,1),
(63487,10100316,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(63488,10100316,'Inflicts 1677 divine damage on target',100,2,1),
(63489,103941,'Wards group members (AE) collectively against 10438 total points of all damage',100,1,0),
(63490,10103941,'Wards group members (AE) collectively against 11494 total points of all damage',100,1,0),
(63491,45884,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(63492,45884,'Increases power of caster by 95 instantly and every 4 seconds',100,1,1),
(63493,45884,'Requires 715 Health to cast.',100,1,2),
(63494,10045884,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(63495,10045884,'Increases power of caster by 95 instantly and every 4 seconds',100,1,1),
(63496,10045884,'Requires 715 Health to cast.',100,1,2),
(63497,100904,'Stuns targets in Area of Effect',20,1,0),
(63498,100904,'If Target is not Epic',100,2,1),
(63499,100904,'Inflicts 1597 - 2609 divine damage on targets in Area of Effect',100,1,2),
(63500,100904,'Resistibility increases against targets higher than level 71.',100,1,3),
(63501,10100904,'Stuns targets in Area of Effect',20,1,0),
(63502,10100904,'If Target is not Epic',100,2,1),
(63503,10100904,'Inflicts 1147 - 1825 divine damage on targets in Area of Effect',100,1,2),
(63504,10100904,'Resistibility increases against targets higher than level 71.',100,1,3),
(63505,112455,'Mesmerizes target',100,1,0),
(63506,112455,'Prevents AOE (except when direct) ',100,1,1),
(63507,112455,'Dispelled when target takes damage',100,1,2),
(63508,112455,'Does not affect Epic targets',100,1,3),
(63509,112455,'Resistibility increases against targets higher than level 106.',100,1,4),
(63510,10112455,'Mesmerizes target',100,1,0),
(63511,10112455,'Prevents AOE (except when direct) ',100,1,1),
(63512,10112455,'Dispelled when target takes damage',100,1,2),
(63513,10112455,'Does not affect Epic targets',100,1,3),
(63514,10112455,'Resistibility increases against targets higher than level 106.',100,1,4),
(63515,121984,'Increases Threat to target by 251 - 307 ',100,1,0),
(63516,104067,'Inflicts 855 - 1415 mental damage on target',100,1,0),
(63517,104067,'Inflicts 426 - 707 mental damage on target',100,1,1),
(63518,10104067,'Inflicts 731 - 952 mental damage on target',100,1,0),
(63519,10104067,'Inflicts 336 - 557 mental damage on target',100,1,1),
(63520,40669,'When Equipped:',100,0,0),
(63521,40669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63522,40669,'Inflicts 168 - 253 magic damage on target',100,2,2),
(63523,40669,'Cannot be modified except by direct means',100,2,3),
(63524,10040669,'When Equipped:',100,0,0),
(63525,10040669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63526,10040669,'Inflicts 168 - 253 magic damage on target',100,2,2),
(63527,10040669,'Cannot be modified except by direct means',100,2,3),
(63528,112366,'Makes target afraid',100,1,0),
(63529,112366,'30% chance to dispel when target takes damage',100,1,1),
(63530,112366,'Does not affect Epic targets',100,1,2),
(63531,112366,'Resistibility increases against targets higher than level 59.',100,1,3),
(63532,10112366,'Makes target afraid',100,1,0),
(63533,10112366,'30% chance to dispel when target takes damage',100,1,1),
(63534,10112366,'Does not affect Epic targets',100,1,2),
(63535,10112366,'Resistibility increases against targets higher than level 59.',100,1,3),
(63536,88885,'When Equipped:',100,0,0),
(63537,88885,'On a damage spell hit this spell may cast Pestilence on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(63538,88885,'Inflicts 466 - 569 disease damage on target instantly and every 4 seconds',100,2,2),
(63539,88885,'Decreases Mitigation of target vs noxious damage by 1993 - 2436',100,2,3),
(63540,88885,'Cannot be modified except by direct means',100,2,4),
(63541,10088885,'When Equipped:',100,0,0),
(63542,10088885,'On a damage spell hit this spell may cast Pestilence on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(63543,10088885,'Inflicts 466 - 569 disease damage on target instantly and every 4 seconds',100,2,2),
(63544,10088885,'Decreases Mitigation of target vs noxious damage by 1993 - 2436',100,2,3),
(63545,10088885,'Cannot be modified except by direct means',100,2,4),
(63546,107477,'Inflicts 1029 - 2974 magic damage on targets in Area of Effect',100,1,0),
(63547,107477,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(63548,107477,'Throws target back',100,2,2),
(63549,107477,'Stuns target',100,2,3),
(63550,107477,'Blurs vision of target',100,2,4),
(63551,107477,'Does not affect Epic targets',100,2,5),
(63552,10107477,'Inflicts 827 - 2217 magic damage on targets in Area of Effect',100,1,0),
(63553,10107477,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(63554,10107477,'Throws target back',100,2,2),
(63555,10107477,'Stuns target',100,2,3),
(63556,10107477,'Blurs vision of target',100,2,4),
(63557,10107477,'Does not affect Epic targets',100,2,5),
(63558,162439,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(63559,162439,'Increases speed of caster by 10.0%',100,1,1),
(63560,162439,'This effect suspends during combat',100,1,2),
(63561,10162439,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(63562,10162439,'Increases speed of caster by 10.0%',100,1,1),
(63563,10162439,'This effect suspends during combat',100,1,2),
(63564,114700,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(63565,114700,'Decreases Hate Gain of target by 11.7%',100,1,1),
(63566,10114700,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(63567,49167,'Applies Break out the Agate when Activated.',100,0,0),
(63568,49167,'It sure does look like this gem could be important if it were separated from the necklace.',100,1,1),
(63569,10049167,'Applies Break out the Agate when Activated.',100,0,0),
(63570,10049167,'It sure does look like this gem could be important if it were separated from the necklace.',100,1,1),
(63571,159285,'Applies Lambent Imbued when Equipped.',100,0,0),
(63572,159285,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(63573,159285,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(63574,159285,'Cannot be modified except by direct means',100,2,3),
(63575,10159285,'Applies Lambent Imbued when Equipped.',100,0,0),
(63576,10159285,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(63577,10159285,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(63578,10159285,'Cannot be modified except by direct means',100,2,3),
(63579,114520,'Heals target for 511 - 625',100,1,0),
(63580,10114520,'Heals target for 460 - 562',100,1,0),
(63581,187401,'When Equipped:',100,0,0),
(63582,187401,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(63583,187401,'Increases power of caster by 114',100,2,2),
(63584,187401,'Cannot be modified except by direct means',100,2,3),
(63585,187401,'When Equipped:',100,0,4),
(63586,187401,'Reduces reuse time of all spells by 2 percent.',100,1,5),
(63587,10187401,'When Equipped:',100,0,0),
(63588,10187401,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(63589,10187401,'Increases power of caster by 114',100,2,2),
(63590,10187401,'Cannot be modified except by direct means',100,2,3),
(63591,10187401,'When Equipped:',100,0,4),
(63592,10187401,'Reduces reuse time of all spells by 2 percent.',100,1,5),
(63593,191124,'When Equipped:',100,0,0),
(63594,191124,'Increases Attack Speed of caster by 30.0',100,1,1),
(63595,10191124,'When Equipped:',100,0,0),
(63596,10191124,'Increases Attack Speed of caster by 30.0',100,1,1),
(63597,107985,'Summons a pet an Essence of Fear',100,1,0),
(63598,10107985,'Summons a pet an Essence of Fear',100,1,0),
(63599,54559,'When Equipped:',100,0,0),
(63600,54559,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(63601,10054559,'When Equipped:',100,0,0),
(63602,10054559,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(63603,82418,'When Equipped:',100,0,0),
(63604,82418,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63605,82418,'Inflicts 387 - 719 magic damage on target',100,2,2),
(63606,82418,'Decreases Threat to target by 949 ',100,2,3),
(63607,82418,'Must be flanking or behind',100,3,4),
(63608,82418,'Increases Threat to target by 1,409 ',100,2,5),
(63609,82418,'Must be in front of',100,3,6),
(63610,82418,'Cannot be modified except by direct means',100,2,7),
(63611,10082418,'When Equipped:',100,0,0),
(63612,10082418,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63613,10082418,'Inflicts 387 - 719 magic damage on target',100,2,2),
(63614,10082418,'Cannot be modified except by direct means',100,2,3),
(63615,135398,'When Equipped:',100,0,0),
(63616,135398,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(63617,10135398,'When Equipped:',100,0,0),
(63618,10135398,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(63619,122595,'Inflicts 1433 - 1533 mental damage on target',100,1,0),
(63620,122595,'Inflicts 450 - 550 mental damage on target every 3 seconds',100,1,1),
(63621,122595,'Decreases Mitigation of target vs arcane damage by 742',100,1,2),
(63622,10122595,'Inflicts 749 - 828 mental damage on target',100,1,0),
(63623,10122595,'Inflicts 355 - 434 mental damage on target every 3 seconds',100,1,1),
(63624,10122595,'Decreases Mitigation of target vs arcane damage by 742',100,1,2),
(63625,112843,'Roots target',100,1,0),
(63626,112843,'5% chance to dispel when target takes damage',100,1,1),
(63627,112843,'Does not affect Epic targets',100,1,2),
(63628,112843,'Resistibility increases against targets higher than level 78.',100,1,3),
(63629,10112843,'Roots target',100,1,0),
(63630,10112843,'5% chance to dispel when target takes damage',100,1,1),
(63631,10112843,'Does not affect Epic targets',100,1,2),
(63632,10112843,'Resistibility increases against targets higher than level 78.',100,1,3),
(63633,82769,'When Equipped:',100,0,0),
(63634,82769,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63635,82769,'Inflicts 468 - 870 magic damage on target',100,2,2),
(63636,82769,'Decreases Threat to target by 1,174 ',100,2,3),
(63637,82769,'Must be flanking or behind',100,3,4),
(63638,82769,'Increases Threat to target by 1,634 ',100,2,5),
(63639,82769,'Must be in front of',100,3,6),
(63640,82769,'Cannot be modified except by direct means',100,2,7),
(63641,10082769,'When Equipped:',100,0,0),
(63642,10082769,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63643,10082769,'Inflicts 468 - 870 magic damage on target',100,2,2),
(63644,10082769,'Cannot be modified except by direct means',100,2,3),
(63645,118607,'Roots target',100,1,0),
(63646,118607,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(63647,118607,'Slows target by 59.9%',100,2,2),
(63648,118607,'5% chance to dispel when target receives hostile action',100,2,3),
(63649,118607,'5% chance to dispel when target takes damage',100,2,4),
(63650,118607,'5% chance to dispel when target takes damage',100,1,5),
(63651,118607,'Does not affect Epic targets',100,1,6),
(63652,118607,'Resistibility increases against targets higher than level 93.',100,1,7),
(63653,10118607,'Roots target',100,1,0),
(63654,10118607,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(63655,10118607,'Slows target by 59.9%',100,2,2),
(63656,10118607,'5% chance to dispel when target receives hostile action',100,2,3),
(63657,10118607,'5% chance to dispel when target takes damage',100,2,4),
(63658,10118607,'5% chance to dispel when target takes damage',100,1,5),
(63659,10118607,'Does not affect Epic targets',100,1,6),
(63660,10118607,'Resistibility increases against targets higher than level 93.',100,1,7),
(63661,104112,'Roots target',100,1,0),
(63662,104112,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(63663,104112,'Slows target by 17.4%',100,2,2),
(63664,104112,'Makes target afraid',100,2,3),
(63665,104112,'30% chance to dispel when target takes damage',100,2,4),
(63666,104112,'Resistibility increases against targets higher than level 62.',100,2,5),
(63667,104112,'15% chance to dispel when target takes damage',100,1,6),
(63668,104112,'Does not affect Epic targets',100,1,7),
(63669,104112,'Resistibility increases against targets higher than level 62.',100,1,8),
(63670,10104112,'Roots target',100,1,0),
(63671,10104112,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(63672,10104112,'Makes target afraid',100,2,2),
(63673,10104112,'Slows target by 17.4%',100,2,3),
(63674,10104112,'30% chance to dispel when target takes damage',100,2,4),
(63675,10104112,'Resistibility increases against targets higher than level 62.',100,2,5),
(63676,10104112,'15% chance to dispel when target takes damage',100,1,6),
(63677,10104112,'Does not affect Epic targets',100,1,7),
(63678,10104112,'Resistibility increases against targets higher than level 62.',100,1,8),
(63679,138016,'When Equipped:',100,0,0),
(63680,138016,'Increases Attack Speed of caster by 50.0',100,1,1),
(63681,138016,'Must not be engaged in pvp combat',100,1,2),
(63682,10138016,'When Equipped:',100,0,0),
(63683,10138016,'Increases Attack Speed of caster by 50.0',100,1,1),
(63684,10138016,'Must not be engaged in pvp combat',100,1,2),
(63685,26596,'When Equipped:',100,0,0),
(63686,26596,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(63687,26596,'Adds a small heal to Caress Feedback.',100,1,2),
(63688,10026596,'When Equipped:',100,0,0),
(63689,10026596,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(63690,10026596,'Adds a small heal to Caress Feedback.',100,1,2),
(63691,184710,'When Equipped:',100,0,0),
(63692,184710,'Increases Effective Level of caster to 83.',100,1,1),
(63693,184710,'Must be in Munzok''s Material Bastion.',100,1,2),
(63694,184710,'Requires not having an apprentice',100,1,3),
(63695,10184710,'When Equipped:',100,0,0),
(63696,10184710,'Increases Effective Level of caster to 83.',100,1,1),
(63697,10184710,'Must be in Munzok''s Material Bastion.',100,1,2),
(63698,10184710,'Requires not having an apprentice',100,1,3),
(63699,159750,'When Equipped:',100,0,0),
(63700,159750,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(63701,159750,'Increases AGI of caster by 12.2',100,2,2),
(63702,159750,'Increases Attack Speed of caster by 17.5',100,2,3),
(63703,159750,'Cannot be modified except by direct means',100,2,4),
(63704,10159750,'When Equipped:',100,0,0),
(63705,10159750,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(63706,10159750,'Increases AGI of caster by 12.2',100,2,2),
(63707,10159750,'Increases Attack Speed of caster by 17.5',100,2,3),
(63708,10159750,'Cannot be modified except by direct means',100,2,4),
(63709,111025,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(63710,111025,'Increases Threat to target by 861 ',100,2,1),
(63711,111025,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(63712,111025,'Increases Threat to target by 861 ',100,2,3),
(63713,10111025,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(63714,10111025,'Inflicts 91 - 100 crushing damage on target',100,2,1),
(63715,10111025,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(63716,10111025,'Inflicts 91 - 100 crushing damage on target',100,2,3),
(63717,45255,'Applies Aura of the Starwatcher when Activated.  Lasts for 30 minutes.',100,0,0),
(63718,10045255,'Applies Aura of the Starwatcher when Activated.  Lasts for 30 minutes.',100,0,0),
(63719,36759,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(63720,35307,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(63721,35307,'Increases Max Power of target by 10.5',100,0,1),
(63722,109813,'Inflicts 508 - 843 melee damage on target',100,1,0),
(63723,109813,'Decreases Parry of target by 13.5',100,1,1),
(63724,109813,'Must be in front of or flanking',100,1,2),
(63725,10109813,'Inflicts 400 - 664 melee damage on target',100,1,0),
(63726,10109813,'Decreases Parry of target by 13.5',100,1,1),
(63727,10109813,'Must be in front of or flanking',100,1,2),
(63728,113635,'Interrupts target encounter',100,1,0),
(63729,113635,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 30.7',100,1,1),
(63730,10113635,'Interrupts target encounter',100,1,0),
(63731,10113635,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 30.7',100,1,1),
(63732,46452,'Applies Fury of Di''Zok when Activated.',100,0,0),
(63733,46452,'Shapechanges the user into a Sarnak, and provides a shield which damages any melee attacker.',100,1,1),
(63734,10046452,'Applies Fury of Di''Zok when Activated.',100,0,0),
(63735,10046452,'Shapechanges the user into a Sarnak, and provides a shield which damages any melee attacker.',100,1,1),
(63736,188391,'When Equipped:',100,0,0),
(63737,188391,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(63738,10188391,'When Equipped:',100,0,0),
(63739,10188391,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(63740,109655,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(63741,109655,'Inflicts 252 - 468 poison damage on target encounter',100,2,1),
(63742,10109655,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(63743,10109655,'Inflicts 198 - 369 poison damage on target encounter',100,2,1),
(63744,111950,'Inflicts 542 - 663 disease damage on target',100,1,0),
(63745,111950,'Decreases Mitigation of target vs noxious damage by 216',100,1,1),
(63746,10111950,'Inflicts 547 - 669 disease damage on target',100,1,0),
(63747,10111950,'Decreases Mitigation of target vs noxious damage by 216',100,1,1),
(63748,114985,'Inflicts 1229 - 1823 ranged damage on targets in area',100,1,0),
(63749,114985,'You must be in stealth to use this!',100,1,1),
(63750,114985,'Requires bow',100,1,2),
(63751,10114985,'Inflicts 664 - 1016 ranged damage on targets in area',100,1,0),
(63752,10114985,'You must be in stealth to use this!',100,1,1),
(63753,10114985,'Requires bow',100,1,2),
(63754,119231,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(63755,119231,'If profession other than Fighter',100,1,1),
(63756,119231,'If profession other than Scout',100,1,2),
(63757,10119231,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(63758,10119231,'If profession other than Fighter',100,1,1),
(63759,10119231,'If profession other than Scout',100,1,2),
(63760,80385,'When Equipped:',100,0,0),
(63761,80385,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63762,80385,'Inflicts 90 - 168 magic damage on target',100,2,2),
(63763,80385,'Decreases Threat to target by 153 ',100,2,3),
(63764,80385,'Must be flanking or behind',100,3,4),
(63765,80385,'Increases Threat to target by 267 ',100,2,5),
(63766,80385,'Must be in front of',100,3,6),
(63767,80385,'Cannot be modified except by direct means',100,2,7),
(63768,10080385,'When Equipped:',100,0,0),
(63769,10080385,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63770,10080385,'Inflicts 90 - 168 magic damage on target',100,2,2),
(63771,10080385,'Cannot be modified except by direct means',100,2,3),
(63772,84116,'When Equipped:',100,0,0),
(63773,84116,'On a combat hit this spell may cast Cleanse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63774,84116,'Dispels 71 - 86 levels of any beneficial effects on target',100,2,2),
(63775,84116,'Cannot be modified except by direct means',100,2,3),
(63776,10084116,'When Equipped:',100,0,0),
(63777,10084116,'On a combat hit this spell may cast Cleanse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63778,10084116,'Dispels 71 - 86 levels of any beneficial effects on target',100,2,2),
(63779,10084116,'Cannot be modified except by direct means',100,2,3),
(63780,115174,'Heals target for 797 - 975',100,1,0),
(63781,10115174,'Heals target for 740 - 905',100,1,0),
(63782,164696,'When Equipped:',100,0,0),
(63783,164696,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(63784,164696,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(63785,164696,'Inflicts 401 divine damage on target',100,2,3),
(63786,164696,'Must not be classified as a vampire',100,3,4),
(63787,164696,'Inflicts 802 divine damage on target',100,2,5),
(63788,164696,'Must be classified as a vampire',100,3,6),
(63789,164696,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(63790,164696,'Must be classified as a vampire',100,3,8),
(63791,164696,'Cannot be modified except by direct means',100,2,9),
(63792,10164696,'When Equipped:',100,0,0),
(63793,10164696,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(63794,10164696,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(63795,10164696,'Inflicts 401 divine damage on target',100,2,3),
(63796,10164696,'Must not be classified as a vampire',100,3,4),
(63797,10164696,'Inflicts 802 divine damage on target',100,2,5),
(63798,10164696,'Must be classified as a vampire',100,3,6),
(63799,10164696,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(63800,10164696,'Must be classified as a vampire',100,3,8),
(63801,10164696,'Cannot be modified except by direct means',100,2,9),
(63802,36173,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(63803,113902,'Inflicts 2081 - 2814 disease damage on target',100,1,0),
(63804,113902,'Inflicts 275 - 458 disease damage on target every 4 seconds',100,1,1),
(63805,113902,'Increases power of caster by 98 - 163',100,1,2),
(63806,113902,'Increases power of caster by 21 - 35 every 4 seconds',100,1,3),
(63807,10113902,'Inflicts 1260 - 1838 disease damage on target',100,1,0),
(63808,10113902,'Inflicts 216 - 361 disease damage on target every 4 seconds',100,1,1),
(63809,10113902,'Increases power of caster by 98 - 163',100,1,2),
(63810,10113902,'Increases power of caster by 21 - 35 every 4 seconds',100,1,3),
(63811,113675,'Stuns target',100,1,0),
(63812,113675,'If Target is not Epic',100,2,1),
(63813,113675,'Inflicts 1458 - 2430 heat damage on target',100,1,2),
(63814,113675,'Resistibility increases against targets higher than level 45.',100,1,3),
(63815,10113675,'Stuns target',100,1,0),
(63816,10113675,'If Target is not Epic',100,2,1),
(63817,10113675,'Inflicts 1161 - 1672 heat damage on target',100,1,2),
(63818,10113675,'Resistibility increases against targets higher than level 45.',100,1,3),
(63819,107889,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(63820,107889,'Slows target by 38.4%',100,2,1),
(63821,107889,'5% chance to dispel when target receives hostile action',100,2,2),
(63822,107889,'5% chance to dispel when target takes damage',100,2,3),
(63823,107889,'Slows target encounter by 46.1%',100,1,4),
(63824,107889,'5% chance to dispel when target takes damage',100,1,5),
(63825,10107889,'Slows target encounter by 46.1%',100,1,0),
(63826,10107889,'5% chance to dispel when target takes damage',100,1,1),
(63827,108107,'Decreases Threat to target by 1,709 - 3,503 ',100,1,0),
(63828,10108107,'Forces target to clear their selected target.',100,1,0),
(63829,10108107,'Target cannot target caster for the duration of this effect.',100,1,1),
(63830,37500,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(63831,114212,'Inflicts 3897 - 5816 melee damage on target',100,1,0),
(63832,114212,'Decreases Slashing, Crushing and Piercing of target by 19.0',100,1,1),
(63833,10114212,'Inflicts 2692 - 4204 melee damage on target',100,1,0),
(63834,10114212,'Decreases Slashing, Crushing and Piercing of target by 19.0',100,1,1),
(63835,123973,'Inflicts 2819 - 4104 melee damage on target',100,1,0),
(63836,123973,'Decreases AGI of target by 47.0',100,1,1),
(63837,123973,'Must be behind',100,1,2),
(63838,10123973,'Inflicts 1878 - 2855 melee damage on target',100,1,0),
(63839,10123973,'Decreases AGI of target by 47.0',100,1,1),
(63840,10123973,'Must be behind',100,1,2),
(63841,75908,'When Equipped:',100,0,0),
(63842,75908,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(63843,75908,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(63844,75908,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(63845,75908,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(63846,75908,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(63847,75908,'Must not be engaged in pvp combat',100,2,6),
(63848,75908,'Cannot be modified except by direct means',100,2,7),
(63849,75908,'Cannot be modified except by direct means',100,1,8),
(63850,75908,'When Equipped:',100,0,9),
(63851,75908,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(63852,75908,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(63853,75908,'Increases Attack Speed of caster by 6.0',100,2,12),
(63854,75908,'Increases Damage Per Second of caster by 9.0',100,2,13),
(63855,75908,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(63856,75908,'Must not be engaged in pvp combat',100,2,15),
(63857,75908,'Cannot be modified except by direct means',100,2,16),
(63858,75908,'Cannot be modified except by direct means',100,1,17),
(63859,10075908,'When Equipped:',100,0,0),
(63860,10075908,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(63861,10075908,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(63862,10075908,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(63863,10075908,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(63864,10075908,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(63865,10075908,'Must not be engaged in pvp combat',100,2,6),
(63866,10075908,'Cannot be modified except by direct means',100,2,7),
(63867,10075908,'Cannot be modified except by direct means',100,1,8),
(63868,10075908,'When Equipped:',100,0,9),
(63869,10075908,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(63870,10075908,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(63871,10075908,'Increases Attack Speed of caster by 6.0',100,2,12),
(63872,10075908,'Increases Damage Per Second of caster by 9.0',100,2,13),
(63873,10075908,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(63874,10075908,'Must not be engaged in pvp combat',100,2,15),
(63875,10075908,'Cannot be modified except by direct means',100,2,16),
(63876,10075908,'Cannot be modified except by direct means',100,1,17),
(63877,123458,'Shapechanges caster into a bear',100,1,0),
(63878,123458,'Increases WIS of caster by 89.8',100,1,1),
(63879,123458,'Grants See Stealth to caster',100,1,2),
(63880,123458,'Increases Max Health of caster by 393.6',100,1,3),
(63881,123458,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1368',100,1,4),
(63882,10123458,'Shapechanges caster into a bear',100,1,0),
(63883,10123458,'Increases WIS of caster by 89.8',100,1,1),
(63884,10123458,'Grants See Stealth to caster',100,1,2),
(63885,10123458,'Increases Max Health of caster by 393.6',100,1,3),
(63886,10123458,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1368',100,1,4),
(63887,74558,'When Equipped:',100,0,0),
(63888,74558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63889,74558,'Inflicts 266 - 400 magic damage on target',100,2,2),
(63890,74558,'Cannot be modified except by direct means',100,2,3),
(63891,10074558,'When Equipped:',100,0,0),
(63892,10074558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63893,10074558,'Inflicts 266 - 400 magic damage on target',100,2,2),
(63894,10074558,'Cannot be modified except by direct means',100,2,3),
(63895,82296,'When Equipped:',100,0,0),
(63896,82296,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63897,82296,'Inflicts 369 - 686 magic damage on target',100,2,2),
(63898,82296,'Decreases Threat to target by 672 ',100,2,3),
(63899,82296,'Must be flanking or behind',100,3,4),
(63900,82296,'Increases Threat to target by 1,132 ',100,2,5),
(63901,82296,'Must be in front of',100,3,6),
(63902,82296,'Cannot be modified except by direct means',100,2,7),
(63903,10082296,'When Equipped:',100,0,0),
(63904,10082296,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63905,10082296,'Inflicts 369 - 686 magic damage on target',100,2,2),
(63906,10082296,'Cannot be modified except by direct means',100,2,3),
(63907,24183,'Adds Crushbone: Full Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(63908,10024183,'Adds Crushbone: Full Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(63909,110429,'Inflicts 27923 - 46321 disease damage on target',100,1,0),
(63910,10110429,'Inflicts 15046 - 24989 disease damage on target',100,1,0),
(63911,121560,'Inflicts 1610 - 2617 melee damage on targets in area',100,1,0),
(63912,121560,'Stuns target encounter',100,1,1),
(63913,121560,'If Target is not Epic',100,2,2),
(63914,121560,'Resistibility increases against targets higher than level 89.',100,1,3),
(63915,10121560,'Inflicts 1219 - 1936 melee damage on targets in area',100,1,0),
(63916,10121560,'Stuns target encounter',100,1,1),
(63917,10121560,'If Target is not Epic',100,2,2),
(63918,10121560,'Resistibility increases against targets higher than level 89.',100,1,3),
(63919,122057,'Increases Threat to target by 5,022 - 5,633 ',100,1,0),
(63920,122057,'Inflicts 844 - 1400 melee damage on target',100,1,1),
(63921,10122057,'Forces target to change their selected target to caster.',100,1,0),
(63922,10122057,'Inflicts 665 - 1103 melee damage on target',100,1,1),
(63923,124367,'Inflicts 2085 - 2330 divine damage on target',100,1,0),
(63924,124367,'Inflicts 459 - 562 divine damage on target every 4 seconds',100,1,1),
(63925,10124367,'Inflicts 1264 - 1457 divine damage on target',100,1,0),
(63926,10124367,'Inflicts 362 - 443 divine damage on target every 4 seconds',100,1,1),
(63927,165675,'When Equipped:',100,0,0),
(63928,165675,'On a healing spell cast this spell may cast Manawell on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(63929,165675,'Increases power of caster by 120',100,2,2),
(63930,165675,'Cannot be modified except by direct means',100,2,3),
(63931,10165675,'When Equipped:',100,0,0),
(63932,10165675,'On a healing spell cast this spell may cast Manawell on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(63933,10165675,'Increases power of caster by 120',100,2,2),
(63934,10165675,'Cannot be modified except by direct means',100,2,3),
(63935,164621,'Applies Unstable Magics when Equipped.',100,0,0),
(63936,164621,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(63937,10164621,'Applies Unstable Magics when Equipped.',100,0,0),
(63938,10164621,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(63939,114679,'Increases Threat to target by 3,254 - 3,759 ',100,1,0),
(63940,114679,'Interrupts target',100,1,1),
(63941,10114679,'Interrupts target',100,1,0),
(63942,10114679,'Forces target to change their selected target to caster.',100,1,1),
(63943,10114679,'Prevents target from changing targets',100,1,2),
(63944,123628,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(63945,123628,'Slows target by 31.8%',100,2,1),
(63946,123628,'5% chance to dispel when target receives hostile action',100,2,2),
(63947,123628,'5% chance to dispel when target takes damage',100,2,3),
(63948,123628,'Inflicts 227 - 278 cold damage on target',100,1,4),
(63949,10123628,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(63950,10123628,'Slows target by 31.8%',100,2,1),
(63951,10123628,'5% chance to dispel when target receives hostile action',100,2,2),
(63952,10123628,'5% chance to dispel when target takes damage',100,2,3),
(63953,10123628,'Inflicts 178 - 218 cold damage on target',100,1,4),
(63954,123597,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(63955,123597,'Increases Defense of target by 13.2',100,1,1),
(63956,10123597,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(63957,10123597,'Increases Defense of target by 13.2',100,1,1),
(63958,179039,'When Equipped:',100,0,0),
(63959,179039,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(63960,179039,'Decreases Threat to target by 800 ',100,2,2),
(63961,179039,'Cannot be modified except by direct means',100,2,3),
(63962,10179039,'When Equipped:',100,0,0),
(63963,10179039,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(63964,10179039,'Cannot be modified except by direct means',100,2,2),
(63965,41719,'When Equipped:',100,0,0),
(63966,41719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63967,41719,'Inflicts 210 - 391 magic damage on target',100,2,2),
(63968,41719,'Cannot be modified except by direct means',100,2,3),
(63969,10041719,'When Equipped:',100,0,0),
(63970,10041719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(63971,10041719,'Inflicts 210 - 391 magic damage on target',100,2,2),
(63972,10041719,'Cannot be modified except by direct means',100,2,3),
(63973,107972,'Increases In-Combat Power Regeneration of group members (AE) by 29.2',100,1,0),
(63974,10107972,'Increases In-Combat Power Regeneration of group members (AE) by 29.2',100,1,0),
(63975,122144,'Interrupts target',100,1,0),
(63976,122144,'Increases Threat to target by 8,575 ',100,1,1),
(63977,122144,'Dispels 138 levels of arcane beneficial effects on target',100,1,2),
(63978,10122144,'Interrupts target',100,1,0),
(63979,10122144,'Forces target to change their selected target to caster.',100,1,1),
(63980,10122144,'Dispels 138 levels of arcane beneficial effects on target',100,1,2),
(63981,81328,'When Equipped:',100,0,0),
(63982,81328,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63983,81328,'Inflicts 155 - 288 magic damage on target',100,2,2),
(63984,81328,'Decreases Threat to target by 352 ',100,2,3),
(63985,81328,'Must be flanking or behind',100,3,4),
(63986,81328,'Increases Threat to target by 617 ',100,2,5),
(63987,81328,'Must be in front of',100,3,6),
(63988,81328,'Cannot be modified except by direct means',100,2,7),
(63989,10081328,'When Equipped:',100,0,0),
(63990,10081328,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(63991,10081328,'Inflicts 155 - 288 magic damage on target',100,2,2),
(63992,10081328,'Cannot be modified except by direct means',100,2,3),
(63993,123771,'Decreases Mitigation of target vs noxious damage by 969',100,1,0),
(63994,123771,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(63995,123771,'Slows target by 38.2%',100,2,2),
(63996,123771,'5% chance to dispel when target receives hostile action',100,2,3),
(63997,123771,'5% chance to dispel when target takes damage',100,2,4),
(63998,10123771,'Decreases Mitigation of target vs noxious damage by 969',100,1,0),
(63999,10123771,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(64000,10123771,'Slows target by 38.2%',100,2,2),
(64001,10123771,'5% chance to dispel when target receives hostile action',100,2,3),
(64002,10123771,'5% chance to dispel when target takes damage',100,2,4),
(64003,112976,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(64004,112976,'Reduces physical damage done to caster by 5%',100,1,1),
(64005,112976,'Increases STA of caster by 21.1',100,1,2),
(64006,112976,'Adds 5.0% to base avoidance.',100,1,3),
(64007,112976,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,4),
(64008,112976,'Increases Defense and Aggression of caster by 2.9',100,1,5),
(64009,112976,'Increases Mitigation of caster vs arcane damage by 246',100,1,6),
(64010,112976,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(64011,10112976,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(64012,10112976,'Reduces physical damage done to caster by 5%',100,1,1),
(64013,10112976,'Increases STA of caster by 21.1',100,1,2),
(64014,10112976,'Adds 5.0% to base avoidance.',100,1,3),
(64015,10112976,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,4),
(64016,10112976,'Increases Defense and Aggression of caster by 2.9',100,1,5),
(64017,10112976,'Increases Mitigation of caster vs arcane damage by 246',100,1,6),
(64018,10112976,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(64019,118836,'Inflicts 428 - 1264 melee damage on target',100,1,0),
(64020,10118836,'Inflicts 341 - 1010 melee damage on target',100,1,0),
(64021,124786,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(64022,124786,'Increases STR of caster by 59.0',100,1,1),
(64023,124786,'Decreases Defense of caster by 9.6',100,1,2),
(64024,124786,'Increases Crushing, Piercing, Slashing and Disruption of caster by 20.7',100,1,3),
(64025,10124786,'Increases Crit Bonus of caster by 8.0%',100,129,0),
(64026,10124786,'Increases STR of caster by 59.0',100,1,1),
(64027,10124786,'Decreases Defense of caster by 9.6',100,1,2),
(64028,10124786,'Increases Crushing, Piercing, Slashing and Disruption of caster by 20.7',100,1,3),
(64029,80479,'When Equipped:',100,0,0),
(64030,80479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64031,80479,'Inflicts 77 - 143 magic damage on target',100,2,2),
(64032,80479,'Cannot be modified except by direct means',100,2,3),
(64033,10080479,'When Equipped:',100,0,0),
(64034,10080479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64035,10080479,'Inflicts 77 - 143 magic damage on target',100,2,2),
(64036,10080479,'Cannot be modified except by direct means',100,2,3),
(64037,82050,'When Equipped:',100,0,0),
(64038,82050,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64039,82050,'Inflicts 245 - 454 magic damage on target',100,2,2),
(64040,82050,'Cannot be modified except by direct means',100,2,3),
(64041,10082050,'When Equipped:',100,0,0),
(64042,10082050,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64043,10082050,'Inflicts 245 - 454 magic damage on target',100,2,2),
(64044,10082050,'Cannot be modified except by direct means',100,2,3),
(64045,108808,'Inflicts 2193 - 3792 heat damage on targets in Area of Effect',100,1,0),
(64046,10108808,'Inflicts 1602 - 2862 heat damage on targets in Area of Effect',100,1,0),
(64047,105642,'Inflicts 373 disease damage on target instantly and every 6 seconds',100,1,0),
(64048,105642,'Inflicts 1848 - 2419 disease damage on target',100,1,1),
(64049,105642,'Inflicts 866 - 1436 disease damage on target',100,1,2),
(64050,10105642,'Inflicts 294 disease damage on target instantly and every 6 seconds',100,1,0),
(64051,10105642,'Inflicts 1077 - 1526 disease damage on target',100,1,1),
(64052,10105642,'Inflicts 682 - 1132 disease damage on target',100,1,2),
(64053,124085,'Dispels 86 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(64054,10124085,'Dispels 86 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(64055,102044,'Interrupts targets in Area of Effect',100,1,0),
(64056,102044,'Inflicts 585 - 971 melee damage on targets in area',100,1,1),
(64057,10102044,'Interrupts targets in Area of Effect',100,1,0),
(64058,10102044,'Inflicts 461 - 765 melee damage on targets in area',100,1,1),
(64059,154698,'When Equipped:',100,0,0),
(64060,154698,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(64061,154698,'Increases Threat to target by 87 ',100,2,2),
(64062,154698,'Cannot be modified except by direct means',100,2,3),
(64063,10154698,'When Equipped:',100,0,0),
(64064,10154698,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(64065,10154698,'Cannot be modified except by direct means',100,2,2),
(64066,176268,'When Equipped:',100,0,0),
(64067,176268,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(64068,176268,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(64069,176268,'Cannot be modified except by direct means',100,2,3),
(64070,10176268,'When Equipped:',100,0,0),
(64071,10176268,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(64072,10176268,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(64073,10176268,'Cannot be modified except by direct means',100,2,3),
(64074,82225,'When Equipped:',100,0,0),
(64075,82225,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(64076,82225,'Inflicts 61 - 114 magic damage on target',100,2,2),
(64077,82225,'Decreases Threat to target by 135 ',100,2,3),
(64078,82225,'Must be flanking or behind',100,3,4),
(64079,82225,'Increases Threat to target by 236 ',100,2,5),
(64080,82225,'Must be in front of',100,3,6),
(64081,82225,'Cannot be modified except by direct means',100,2,7),
(64082,10082225,'When Equipped:',100,0,0),
(64083,10082225,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(64084,10082225,'Inflicts 61 - 114 magic damage on target',100,2,2),
(64085,10082225,'Cannot be modified except by direct means',100,2,3),
(64086,123284,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(64087,123284,'Inflicts 536 - 893 disease damage on target',100,2,1),
(64088,123284,'Heals caster for 0.9 - 1.5% of max health',100,2,2),
(64089,123284,'This effect cannot be critically applied.',100,3,3),
(64090,123284,'The healing of this spell cannot be modified except by direct means',100,2,4),
(64091,10123284,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(64092,10123284,'Inflicts 422 - 704 disease damage on target',100,2,1),
(64093,10123284,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(64094,10123284,'This effect cannot be critically applied.',100,3,3),
(64095,10123284,'The healing of this spell cannot be modified except by direct means',100,2,4),
(64096,49083,'Applies Void Portal when Activated.',100,0,0),
(64097,49083,'Teleports caster to target',100,1,1),
(64098,49083,'This effect cannot be cast during combat',100,1,2),
(64099,49083,'If target is a player or a mercenary',100,1,3),
(64100,49083,'If target is not possessed',100,1,4),
(64101,10049083,'Applies Void Portal when Activated.',100,0,0),
(64102,10049083,'Teleports caster to target',100,1,1),
(64103,10049083,'This effect cannot be cast during combat',100,1,2),
(64104,10049083,'If target is a player or a mercenary',100,1,3),
(64105,10049083,'If target is not possessed',100,1,4),
(64106,74994,'When Equipped:',100,0,0),
(64107,74994,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64108,74994,'Inflicts 168 - 253 magic damage on target',100,2,2),
(64109,74994,'Cannot be modified except by direct means',100,2,3),
(64110,10074994,'When Equipped:',100,0,0),
(64111,10074994,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64112,10074994,'Inflicts 168 - 253 magic damage on target',100,2,2),
(64113,10074994,'Cannot be modified except by direct means',100,2,3),
(64114,36492,'Increases STR of target by 10.5',100,0,0),
(64115,36492,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(64116,122901,'Increases STR and INT of group members (AE) by 37.2',100,1,0),
(64117,10122901,'Increases STR and INT of group members (AE) by 37.2',100,1,0),
(64118,120931,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(64119,120931,'Inflicts 2046 - 2471 mental damage on target',100,2,1),
(64120,120931,'Grants a total of 3 triggers of the spell.',100,2,2),
(64121,10120931,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(64122,10120931,'Inflicts 1514 - 1821 mental damage on target',100,2,1),
(64123,10120931,'Grants a total of 3 triggers of the spell.',100,2,2),
(64124,104206,'Increases Mitigation of group members (AE) vs physical damage by 99',100,1,0),
(64125,10104206,'Increases Mitigation of group members (AE) vs physical damage by 99',100,1,0),
(64126,48662,'Applies Blagro''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(64127,48662,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(64128,10048662,'Applies Blagro''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(64129,10048662,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(64130,109492,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(64131,109492,'Increases Attack Speed of caster by 21.0',100,130,1),
(64132,109492,'Increases Crushing, Slashing, Piercing and Ranged of caster by 33.3',100,130,2),
(64133,109492,'Inflicts 3986 - 5964 cold damage on target',100,1,3),
(64134,10109492,'Applies Frozen Serenity.  Lasts for 5.0 seconds.',100,129,0),
(64135,10109492,'Increases Attack Speed of caster by 21.0',100,130,1),
(64136,10109492,'Increases Crushing, Slashing, Piercing and Ranged of caster by 33.3',100,130,2),
(64137,10109492,'Inflicts 2762 - 4321 cold damage on target',100,1,3),
(64138,36612,'Increases AGI and WIS of target by 15.4',100,0,0),
(64139,36612,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(64140,108422,'Heals target for 5944 - 7046',100,1,0),
(64141,10108422,'Heals target for 4933 - 5973',100,1,0),
(64142,103184,'Increases Mitigation of caster vs physical damage by 130',100,1,0),
(64143,103184,'Roots caster',100,1,1),
(64144,10103184,'Increases Mitigation of caster vs physical damage by 130',100,1,0),
(64145,10103184,'Roots caster',100,1,1),
(64146,47678,'Applies Ranjor''s Reclamation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(64147,47678,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(64148,10047678,'Applies Ranjor''s Reclamation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(64149,10047678,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(64150,108251,'Inflicts 3321 - 7893 piercing damage on target',100,1,0),
(64151,108251,'Decreases Slashing, Crushing, Piercing and Ranged of target by 60.9',100,1,1),
(64152,10108251,'Inflicts 2237 - 5841 piercing damage on target',100,1,0),
(64153,10108251,'Decreases Slashing, Crushing, Piercing and Ranged of target by 60.9',100,1,1),
(64154,35883,'Increases Max Power of target by 108.8',100,0,0),
(64155,35883,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(64156,173129,'When Equipped:',100,0,0),
(64157,173129,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(64158,173129,'Inflicts 2664 disease damage on target encounter',100,2,2),
(64159,173129,'Must not be engaged in pvp combat',100,2,3),
(64160,173129,'Cannot be modified except by direct means',100,2,4),
(64161,10173129,'When Equipped:',100,0,0),
(64162,10173129,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(64163,10173129,'Inflicts 1332 disease damage on target encounter',100,2,2),
(64164,10173129,'Must not be engaged in pvp combat',100,2,3),
(64165,10173129,'Cannot be modified except by direct means',100,2,4),
(64166,37152,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(64167,108599,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(64168,108599,'Increases AGI of group members (AE) by 53.7',100,2,1),
(64169,108599,'Heals group members (AE) for 494 - 604 instantly and every 3 seconds',100,2,2),
(64170,108599,'Increases STR, WIS and INT of group members (AE) by 53.7',100,2,3),
(64171,108599,'Increases STA of group members (AE) by 107.4',100,2,4),
(64172,108599,'Adds 1.0% to base avoidance.',100,2,5),
(64173,108599,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 137',100,2,6),
(64174,10108599,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(64175,10108599,'Increases AGI of group members (AE) by 53.7',100,2,1),
(64176,10108599,'Heals group members (AE) for 253 - 309 instantly and every 3 seconds',100,2,2),
(64177,10108599,'Increases STR, WIS and INT of group members (AE) by 53.7',100,2,3),
(64178,10108599,'Increases STA of group members (AE) by 107.4',100,2,4),
(64179,10108599,'Adds 1.0% to base avoidance.',100,2,5),
(64180,10108599,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 137',100,2,6),
(64181,157135,'When Equipped:',100,0,0),
(64182,157135,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(64183,157135,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(64184,157135,'Cannot be modified except by direct means',100,2,3),
(64185,10157135,'When Equipped:',100,0,0),
(64186,10157135,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(64187,10157135,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(64188,10157135,'Cannot be modified except by direct means',100,2,3),
(64189,109290,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(64190,109290,'Increases Mitigation of group members (AE) vs elemental damage by 470',100,1,1),
(64191,10109290,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(64192,10109290,'Increases Mitigation of group members (AE) vs elemental damage by 470',100,1,1),
(64193,72291,'When Equipped:',100,0,0),
(64194,72291,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64195,72291,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(64196,72291,'Cannot be modified except by direct means',100,2,3),
(64197,10072291,'When Equipped:',100,0,0),
(64198,10072291,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64199,10072291,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(64200,10072291,'Cannot be modified except by direct means',100,2,3),
(64201,115351,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(64202,115351,'Slows target by 74.6%',100,2,1),
(64203,115351,'Makes target afraid',100,2,2),
(64204,115351,'30% chance to dispel when target takes damage',100,2,3),
(64205,115351,'Does not affect Epic targets',100,2,4),
(64206,115351,'Resistibility increases against targets higher than level 112.',100,2,5),
(64207,115351,'Roots target',100,1,6),
(64208,115351,'15% chance to dispel when target takes damage',100,1,7),
(64209,115351,'Does not affect Epic targets',100,1,8),
(64210,115351,'Resistibility increases against targets higher than level 112.',100,1,9),
(64211,10115351,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(64212,10115351,'Slows target by 74.6%',100,2,1),
(64213,10115351,'Makes target afraid',100,2,2),
(64214,10115351,'30% chance to dispel when target takes damage',100,2,3),
(64215,10115351,'Does not affect Epic targets',100,2,4),
(64216,10115351,'Resistibility increases against targets higher than level 112.',100,2,5),
(64217,10115351,'Roots target',100,1,6),
(64218,10115351,'15% chance to dispel when target takes damage',100,1,7),
(64219,10115351,'Does not affect Epic targets',100,1,8),
(64220,10115351,'Resistibility increases against targets higher than level 112.',100,1,9),
(64221,108709,'Inflicts 2199 heat damage on target',100,1,0),
(64222,108709,'Inflicts 272 heat damage on target every 4 seconds',100,1,1),
(64223,10108709,'Inflicts 1737 heat damage on target',100,1,0),
(64224,10108709,'Inflicts 214 heat damage on target every 4 seconds',100,1,1),
(64225,114032,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(64226,114032,'Heals target for 243',100,2,1),
(64227,114032,'Heals target for 133 every 2 seconds',100,2,2),
(64228,114032,'Decreases Mitigation of target vs arcane damage by 960',100,1,3),
(64229,10114032,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(64230,10114032,'Heals target for 412',100,2,1),
(64231,10114032,'Heals target for 340 every 2 seconds',100,2,2),
(64232,10114032,'Decreases Mitigation of target vs arcane damage by 960',100,1,3),
(64233,164727,'When Equipped:',100,0,0),
(64234,164727,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,1),
(64235,164727,'Inflicts 5296 mental damage on target',100,2,2),
(64236,164727,'If over 85% Health',100,2,3),
(64237,164727,'Cannot be modified except by direct means',100,2,4),
(64238,164727,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,5),
(64239,164727,'Inflicts 5296 mental damage on target',100,2,6),
(64240,164727,'If over 85% Health',100,2,7),
(64241,164727,'Cannot be modified except by direct means',100,2,8),
(64242,164727,'Cannot be modified except by direct means',100,1,9),
(64243,10164727,'When Equipped:',100,0,0),
(64244,10164727,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,1),
(64245,10164727,'Inflicts 5296 mental damage on target',100,2,2),
(64246,10164727,'If over 85% Health',100,2,3),
(64247,10164727,'Cannot be modified except by direct means',100,2,4),
(64248,10164727,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,5),
(64249,10164727,'Inflicts 5296 mental damage on target',100,2,6),
(64250,10164727,'If over 85% Health',100,2,7),
(64251,10164727,'Cannot be modified except by direct means',100,2,8),
(64252,10164727,'Cannot be modified except by direct means',100,1,9),
(64253,80349,'When Equipped:',100,0,0),
(64254,80349,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(64255,80349,'Inflicts 90 - 168 magic damage on target',100,2,2),
(64256,80349,'Decreases Threat to target by 153 ',100,2,3),
(64257,80349,'Must be flanking or behind',100,3,4),
(64258,80349,'Increases Threat to target by 267 ',100,2,5),
(64259,80349,'Must be in front of',100,3,6),
(64260,80349,'Cannot be modified except by direct means',100,2,7),
(64261,10080349,'When Equipped:',100,0,0),
(64262,10080349,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(64263,10080349,'Inflicts 90 - 168 magic damage on target',100,2,2),
(64264,10080349,'Cannot be modified except by direct means',100,2,3),
(64265,141928,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(64266,141928,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(64267,141928,'Inflicts 44 heat damage on target',100,2,2),
(64268,141928,'Cannot be modified except by direct means',100,2,3),
(64269,10141928,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(64270,10141928,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(64271,10141928,'Inflicts 44 heat damage on target',100,2,2),
(64272,10141928,'Cannot be modified except by direct means',100,2,3),
(64273,74990,'When Equipped:',100,0,0),
(64274,74990,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64275,74990,'Inflicts 121 - 181 magic damage on target',100,2,2),
(64276,74990,'Cannot be modified except by direct means',100,2,3),
(64277,10074990,'When Equipped:',100,0,0),
(64278,10074990,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64279,10074990,'Inflicts 121 - 181 magic damage on target',100,2,2),
(64280,10074990,'Cannot be modified except by direct means',100,2,3),
(64281,74871,'When Equipped:',100,0,0),
(64282,74871,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64283,74871,'Inflicts 217 - 326 magic damage on target',100,2,2),
(64284,74871,'Cannot be modified except by direct means',100,2,3),
(64285,10074871,'When Equipped:',100,0,0),
(64286,10074871,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64287,10074871,'Inflicts 217 - 326 magic damage on target',100,2,2),
(64288,10074871,'Cannot be modified except by direct means',100,2,3),
(64289,122564,'Stifles target',100,1,0),
(64290,122564,'If Target is not Epic',100,2,1),
(64291,122564,'Interrupts target',100,1,2),
(64292,122564,'Inflicts 23 - 39 magic damage on target',100,1,3),
(64293,122564,'Resistibility increases against targets higher than level 39.',100,1,4),
(64294,10122564,'Stifles target',100,1,0),
(64295,10122564,'If Target is not Epic',100,2,1),
(64296,10122564,'Interrupts target',100,1,2),
(64297,10122564,'Inflicts 19 - 32 magic damage on target',100,1,3),
(64298,10122564,'Resistibility increases against targets higher than level 39.',100,1,4),
(64299,90353,'When Equipped:',100,0,0),
(64300,90353,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(64301,90353,'Inflicts 2648 mental damage on target',100,2,2),
(64302,90353,'If over 85% Health',100,2,3),
(64303,90353,'Cannot be modified except by direct means',100,2,4),
(64304,90353,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(64305,90353,'Inflicts 2648 mental damage on target',100,2,6),
(64306,90353,'If over 85% Health',100,2,7),
(64307,90353,'Cannot be modified except by direct means',100,2,8),
(64308,90353,'Cannot be modified except by direct means',100,1,9),
(64309,10090353,'When Equipped:',100,0,0),
(64310,10090353,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(64311,10090353,'Inflicts 2648 mental damage on target',100,2,2),
(64312,10090353,'If over 85% Health',100,2,3),
(64313,10090353,'Cannot be modified except by direct means',100,2,4),
(64314,10090353,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(64315,10090353,'Inflicts 2648 mental damage on target',100,2,6),
(64316,10090353,'If over 85% Health',100,2,7),
(64317,10090353,'Cannot be modified except by direct means',100,2,8),
(64318,10090353,'Cannot be modified except by direct means',100,1,9),
(64319,47383,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(64320,47383,'This potion will grant you the illusion of being a Bellywhumper!',100,1,1),
(64321,10047383,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(64322,10047383,'This potion will grant you the illusion of being a Bellywhumper!',100,1,1),
(64323,46531,'Applies elemental remedy when Activated.',100,0,0),
(64324,46531,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(64325,10046531,'Applies elemental remedy when Activated.',100,0,0),
(64326,10046531,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(64327,105146,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(64328,105146,'Increases AGI of caster by 20.4',100,1,1),
(64329,105146,'Adds 2.2% to base avoidance.',100,1,2),
(64330,105146,'Decreases Slashing and Piercing of caster by 13.8',100,1,3),
(64331,105146,'Increases Parry of caster by 11.3',100,1,4),
(64332,105146,'Increases Defense of caster by 15.1',100,1,5),
(64333,10105146,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(64334,10105146,'Increases AGI of caster by 20.4',100,1,1),
(64335,10105146,'Adds 2.2% to base avoidance.',100,1,2),
(64336,10105146,'Decreases Slashing and Piercing of caster by 13.8',100,1,3),
(64337,10105146,'Increases Parry of caster by 11.3',100,1,4),
(64338,10105146,'Increases Defense of caster by 15.1',100,1,5),
(64339,48235,'Applies Pass Out Band Fliers when Activated.',100,0,0),
(64340,10048235,'Applies Pass Out Band Fliers when Activated.',100,0,0),
(64341,47926,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(64342,47926,'Increases STA of caster by 165.0',100,1,1),
(64343,47926,'Increases healing received by 2.00%',100,1,2),
(64344,10047926,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(64345,10047926,'Increases STA of caster by 165.0',100,1,1),
(64346,10047926,'Increases healing received by 2.00%',100,1,2),
(64347,84283,'When Equipped:',100,0,0),
(64348,84283,'Changes Rapidity IV to a group buff and adds 10% double attack.',100,1,1),
(64349,84283,'When Equipped:',100,0,2),
(64350,84283,'On a hostile spell cast this spell has a 12% chance to cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,1,3),
(64351,84283,'On any combat or spell hit this spell will cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,2,4),
(64352,84283,'Increases power of target by 381',100,3,5),
(64353,84283,'Grants a total of 1 trigger of the spell.',100,3,6),
(64354,84283,'Cannot be modified except by direct means',100,2,7),
(64355,84283,'Cannot be modified except by direct means',100,1,8),
(64356,84283,'When Equipped:',100,0,9),
(64357,84283,'Removes the concentration cost of Personae Reflection VII.',100,1,10),
(64358,10084283,'When Equipped:',100,0,0),
(64359,10084283,'Changes Rapidity IV to a group buff and adds 10% double attack.',100,1,1),
(64360,10084283,'When Equipped:',100,0,2),
(64361,10084283,'On a hostile spell cast this spell has a 12% chance to cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,1,3),
(64362,10084283,'On any combat or spell hit this spell will cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,2,4),
(64363,10084283,'Increases power of target by 381',100,3,5),
(64364,10084283,'Grants a total of 1 trigger of the spell.',100,3,6),
(64365,10084283,'Cannot be modified except by direct means',100,2,7),
(64366,10084283,'Cannot be modified except by direct means',100,1,8),
(64367,10084283,'When Equipped:',100,0,9),
(64368,10084283,'Removes the concentration cost of Personae Reflection VII.',100,1,10),
(64369,24170,'Adds Crushbone: Cooking Spit to your Dungeon Maker toolbox',100,0,0),
(64370,10024170,'Adds Crushbone: Cooking Spit to your Dungeon Maker toolbox',100,0,0),
(64371,88472,'When Equipped:',100,0,0),
(64372,88472,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(64373,88472,'Inflicts 3164 - 3497 slashing damage on target encounter',100,2,2),
(64374,88472,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(64375,88472,'Must not be engaged in pvp combat',100,2,4),
(64376,88472,'Cannot be modified except by direct means',100,2,5),
(64377,88472,'Must not be engaged in pvp combat',100,1,6),
(64378,10088472,'When Equipped:',100,0,0),
(64379,10088472,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(64380,10088472,'Inflicts 3164 - 3497 slashing damage on target encounter',100,2,2),
(64381,10088472,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(64382,10088472,'Must not be engaged in pvp combat',100,2,4),
(64383,10088472,'Cannot be modified except by direct means',100,2,5),
(64384,10088472,'Must not be engaged in pvp combat',100,1,6),
(64385,112352,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(64386,112352,'Inflicts 1207 - 2002 piercing damage on target',100,2,1),
(64387,10112352,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(64388,10112352,'Inflicts 499 - 828 piercing damage on target',100,2,1),
(64389,45957,'Applies Savior''s Vitae when Activated.  Lasts for 12.0 seconds.',100,0,0),
(64390,45957,'Makes caster immune to Stifle effects',100,1,1),
(64391,45957,'Temporarily increases the effectiveness of your heals and wards by 10%',100,1,2),
(64392,45957,'Must have Discord''s Herb-lined Skull of the Fallen equipped.',100,1,3),
(64393,45957,'Must be engaged in pvp combat',100,1,4),
(64394,10045957,'Applies Savior''s Vitae when Activated.  Lasts for 12.0 seconds.',100,0,0),
(64395,10045957,'Makes caster immune to Stifle effects',100,1,1),
(64396,10045957,'Temporarily increases the effectiveness of your heals and wards by 10%',100,1,2),
(64397,10045957,'Must have Discord''s Herb-lined Skull of the Fallen equipped.',100,1,3),
(64398,10045957,'Must be engaged in pvp combat',100,1,4),
(64399,161043,'When Equipped:',100,0,0),
(64400,161043,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(64401,161043,'Increases power of caster by 60',100,2,2),
(64402,161043,'Increases power of caster by 34 every 5 seconds',100,2,3),
(64403,161043,'Cannot be modified except by direct means',100,2,4),
(64404,10161043,'When Equipped:',100,0,0),
(64405,10161043,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(64406,10161043,'Increases power of caster by 60',100,2,2),
(64407,10161043,'Increases power of caster by 34 every 5 seconds',100,2,3),
(64408,10161043,'Cannot be modified except by direct means',100,2,4),
(64409,107971,'Increases In-Combat Power Regeneration of group members (AE) by 37.1',100,1,0),
(64410,10107971,'Increases In-Combat Power Regeneration of group members (AE) by 37.1',100,1,0),
(64411,36597,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(64412,36597,'This effect suspends during combat',100,0,1),
(64413,101486,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(64414,101486,'Increases Mitigation of group members (AE) vs arcane damage by 554',100,1,1),
(64415,10101486,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(64416,10101486,'Increases Mitigation of group members (AE) vs arcane damage by 554',100,1,1),
(64417,101155,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(64418,101155,'Inflicts 2192 ranged damage on target',100,2,1),
(64419,101155,'Decreases Defense of caster by 21.8',100,1,2),
(64420,101155,'Increases Crushing, Piercing, Ranged and Slashing of caster by 45.8',100,1,3),
(64421,10101155,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(64422,10101155,'Inflicts 1296 ranged damage on target',100,2,1),
(64423,10101155,'Decreases Defense of caster by 21.8',100,1,2),
(64424,10101155,'Increases Crushing, Piercing, Ranged and Slashing of caster by 45.8',100,1,3),
(64425,35916,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(64426,35916,'Increases Max Power of target by 10.5',100,0,1),
(64427,120963,'Inflicts 4309 - 6503 ranged damage on target',100,1,0),
(64428,120963,'If weapon equipped in Ranged',100,1,1),
(64429,120963,'Must be behind',100,1,2),
(64430,10120963,'Inflicts 2361 - 3658 ranged damage on target',100,1,0),
(64431,10120963,'If weapon equipped in Ranged',100,1,1),
(64432,10120963,'Must be behind',100,1,2),
(64433,106783,'Mesmerizes target',100,1,0),
(64434,106783,'Prevents AOE (except when direct) ',100,1,1),
(64435,106783,'Dispelled when target takes damage',100,1,2),
(64436,106783,'Does not affect Epic targets',100,1,3),
(64437,106783,'Resistibility increases against targets higher than level 117.',100,1,4),
(64438,10106783,'Mesmerizes target',100,1,0),
(64439,10106783,'Prevents AOE (except when direct) ',100,1,1),
(64440,10106783,'Dispelled when target takes damage',100,1,2),
(64441,10106783,'Does not affect Epic targets',100,1,3),
(64442,10106783,'Resistibility increases against targets higher than level 117.',100,1,4),
(64443,120311,'Increases Threat to target by 1,069 - 1,307 ',100,1,0),
(64444,10120311,'Forces target to change their selected target to caster.',100,1,0),
(64445,10120311,'Prevents target from changing targets',100,1,1),
(64446,159729,'When Equipped:',100,0,0),
(64447,159729,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64448,159729,'Increases INT of caster by 16.3',100,2,2),
(64449,159729,'Increases Subjugation, Disruption and Focus of caster by 9.2',100,2,3),
(64450,159729,'Cannot be modified except by direct means',100,2,4),
(64451,10159729,'When Equipped:',100,0,0),
(64452,10159729,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64453,10159729,'Increases INT of caster by 16.3',100,2,2),
(64454,10159729,'Increases Subjugation, Disruption and Focus of caster by 9.2',100,2,3),
(64455,10159729,'Cannot be modified except by direct means',100,2,4),
(64456,80215,'When Equipped:',100,0,0),
(64457,80215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64458,80215,'Inflicts 333 - 619 magic damage on target',100,2,2),
(64459,80215,'Cannot be modified except by direct means',100,2,3),
(64460,10080215,'When Equipped:',100,0,0),
(64461,10080215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64462,10080215,'Inflicts 333 - 619 magic damage on target',100,2,2),
(64463,10080215,'Cannot be modified except by direct means',100,2,3),
(64464,124112,'Increases power of caster by 125',100,1,0),
(64465,10124112,'Increases power of caster by 125',100,1,0),
(64466,122897,'Increases STR and INT of group members (AE) by 20.2',100,1,0),
(64467,10122897,'Increases STR and INT of group members (AE) by 20.2',100,1,0),
(64468,107611,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(64469,107611,'Increases Mitigation of group members (AE) vs elemental damage by 83',100,1,1),
(64470,10107611,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(64471,10107611,'Increases Mitigation of group members (AE) vs elemental damage by 83',100,1,1),
(64472,114694,'Increases Threat to target by 6,794 - 7,799 ',100,1,0),
(64473,114694,'Interrupts target',100,1,1),
(64474,10114694,'Interrupts target',100,1,0),
(64475,10114694,'Forces target to change their selected target to caster.',100,1,1),
(64476,10114694,'Prevents target from changing targets',100,1,2),
(64477,116499,'Prevents targets in Area of Effect from changing targets',100,1,0),
(64478,116499,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(64479,116499,'Increases Threat to targets in Area of Effect by 3,017 ',100,1,2),
(64480,10116499,'Prevents targets in Area of Effect from changing targets',100,1,0),
(64481,10116499,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(64482,117703,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(64483,117703,'Adds 1.0% to base avoidance.',100,1,1),
(64484,10117703,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(64485,10117703,'Adds 1.0% to base avoidance.',100,1,1),
(64486,105664,'Decreases Damage Per Second of target by 18.1',100,1,0),
(64487,105664,'Inflicts 996 - 1652 melee damage on target',100,1,1),
(64488,105664,'Must be flanking or behind',100,1,2),
(64489,10105664,'Decreases Damage Per Second of target by 18.1',100,1,0),
(64490,10105664,'Inflicts 784 - 1262 melee damage on target',100,1,1),
(64491,10105664,'Must be flanking or behind',100,1,2),
(64492,109802,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(64493,109802,'Heals group members (AE) for 2322',100,2,1),
(64494,10109802,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(64495,10109802,'Heals group members (AE) for 1162',100,2,1),
(64496,45877,'Applies Call Black-saddled Dark Red Nightmare when Activated.',100,0,0),
(64497,45877,'Summons a mount to ride',100,1,1),
(64498,45877,'Increases your ground speed by 130%',100,2,2),
(64499,45877,'Increases Max Power of caster by 100.0',100,1,3),
(64500,45877,'Increases Max Health of caster by 100.0',100,1,4),
(64501,45877,'Increases Crushing, Ranged, Slashing, Piercing and Disruption of caster by 7.0',100,1,5),
(64502,45877,'Requires evil alignment',100,1,6),
(64503,10045877,'Applies Call Black-saddled Dark Red Nightmare when Activated.',100,0,0),
(64504,10045877,'Summons a mount to ride',100,1,1),
(64505,10045877,'Increases your ground speed by 130%',100,2,2),
(64506,10045877,'Increases Max Power of caster by 100.0',100,1,3),
(64507,10045877,'Increases Max Health of caster by 100.0',100,1,4),
(64508,10045877,'Increases Crushing, Ranged, Slashing, Piercing and Disruption of caster by 7.0',100,1,5),
(64509,10045877,'Requires evil alignment',100,1,6),
(64510,110996,'Heals target for 1943 - 2156',100,1,0),
(64511,110996,'Heals target for 960 - 1174 every 2 seconds',100,1,1),
(64512,110996,'Increases power of target by 75 - 91 instantly and every 2 seconds',100,1,2),
(64513,10110996,'Heals target for 748 - 858',100,1,0),
(64514,10110996,'Heals target for 492 - 601 every 2 seconds',100,1,1),
(64515,10110996,'Increases power of target by 59 - 72 instantly and every 2 seconds',100,1,2),
(64516,106493,'Decreases STR and AGI of target by 76.4',100,1,0),
(64517,10106493,'Decreases STR and AGI of target by 76.4',100,1,0),
(64518,70321,'When Equipped:',100,0,0),
(64519,70321,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(64520,70321,'Inflicts 289 - 481 heat damage on target',100,2,2),
(64521,70321,'Cannot be modified except by direct means',100,2,3),
(64522,10070321,'When Equipped:',100,0,0),
(64523,10070321,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(64524,10070321,'Inflicts 289 - 481 heat damage on target',100,2,2),
(64525,10070321,'Cannot be modified except by direct means',100,2,3),
(64526,48719,'Applies Elixir of Disease Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(64527,48719,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(64528,10048719,'Applies Elixir of Disease Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(64529,10048719,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(64530,176428,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(64531,176428,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(64532,176428,'Decreases Attack Speed of target by 12.4',100,2,2),
(64533,176428,'Cannot be modified except by direct means',100,2,3),
(64534,176428,'Slows target by 30.8%',100,1,4),
(64535,176428,'5% chance to dispel when target takes damage',100,1,5),
(64536,176428,'5% chance to dispel when target receives hostile action',100,1,6),
(64537,176428,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(64538,10176428,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(64539,10176428,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(64540,10176428,'Decreases Attack Speed of target by 12.4',100,2,2),
(64541,10176428,'Cannot be modified except by direct means',100,2,3),
(64542,10176428,'Slows target by 30.8%',100,1,4),
(64543,10176428,'5% chance to dispel when target takes damage',100,1,5),
(64544,10176428,'5% chance to dispel when target receives hostile action',100,1,6),
(64545,10176428,'The casting time of Hex of Shadows is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,7),
(64546,45764,'Applies Cockatrice Form when Activated.',100,0,0),
(64547,45764,'Shapechanges caster into a cockatrice',100,1,1),
(64548,45764,'Must be in zone Fens of Nathsar',100,2,2),
(64549,45764,'Sets the faction for Thelia''s Pride to 50,000',100,1,3),
(64550,45764,'Must be in zone Fens of Nathsar',100,2,4),
(64551,45764,'Must be in zone Fens of Nathsar',100,1,5),
(64552,10045764,'Applies Cockatrice Form when Activated.',100,0,0),
(64553,10045764,'Shapechanges caster into a cockatrice',100,1,1),
(64554,10045764,'Must be in zone Fens of Nathsar',100,2,2),
(64555,10045764,'Sets the faction for Thelia''s Pride to 50,000',100,1,3),
(64556,10045764,'Must be in zone Fens of Nathsar',100,2,4),
(64557,10045764,'Must be in zone Fens of Nathsar',100,1,5),
(64558,82628,'When Equipped:',100,0,0),
(64559,82628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64560,82628,'Inflicts 149 - 276 magic damage on target',100,2,2),
(64561,82628,'Cannot be modified except by direct means',100,2,3),
(64562,10082628,'When Equipped:',100,0,0),
(64563,10082628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64564,10082628,'Inflicts 149 - 276 magic damage on target',100,2,2),
(64565,10082628,'Cannot be modified except by direct means',100,2,3),
(64566,101548,'Inflicts 13491 - 21726 melee damage on target',100,1,0),
(64567,101548,'You must be stealthed to use this ability',100,1,1),
(64568,10101548,'Inflicts 5028 - 8078 melee damage on target',100,1,0),
(64569,10101548,'You must be stealthed to use this ability',100,1,1),
(64570,109576,'Makes target afraid',100,1,0),
(64571,109576,'30% chance to dispel when target takes damage',100,1,1),
(64572,109576,'Does not affect Epic targets',100,1,2),
(64573,109576,'Resistibility increases against targets higher than level 83.',100,1,3),
(64574,10109576,'Makes target afraid',100,1,0),
(64575,10109576,'30% chance to dispel when target takes damage',100,1,1),
(64576,10109576,'Does not affect Epic targets',100,1,2),
(64577,10109576,'Resistibility increases against targets higher than level 83.',100,1,3),
(64578,54419,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(64579,54419,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(64580,54419,'Inflicts 90 heat damage on target',100,2,2),
(64581,54419,'Cannot be modified except by direct means',100,2,3),
(64582,10054419,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(64583,10054419,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(64584,10054419,'Inflicts 90 heat damage on target',100,2,2),
(64585,10054419,'Cannot be modified except by direct means',100,2,3),
(64586,123114,'Inflicts 1025 disease damage on targets in Area of Effect',100,1,0),
(64587,123114,'Inflicts 476 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(64588,10123114,'Inflicts 682 disease damage on targets in Area of Effect',100,1,0),
(64589,10123114,'Inflicts 375 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(64590,45971,'Applies Consume Essence when Activated.',100,0,0),
(64591,45971,'Heals group members (AE) for 125 - 152',100,1,1),
(64592,45971,'Dispels 44 levels of any hostile effects on caster',100,1,2),
(64593,10045971,'Applies Consume Essence when Activated.',100,0,0),
(64594,10045971,'Heals group members (AE) for 81 - 99',100,1,1),
(64595,10045971,'Dispels 44 levels of any hostile effects on caster',100,1,2),
(64596,115736,'Wards caster against 17044 points of elemental, noxious and arcane damage',100,1,0),
(64597,10115736,'Wards caster against 13307 points of elemental, noxious and arcane damage',100,1,0),
(64598,105551,'Inflicts 1327 - 1804 disease damage on target',100,1,0),
(64599,105551,'Inflicts 265 - 493 disease damage on target every 2 seconds',100,1,1),
(64600,10105551,'Inflicts 743 - 1042 disease damage on target',100,1,0),
(64601,10105551,'Inflicts 209 - 388 disease damage on target every 2 seconds',100,1,1),
(64602,26525,'When Equipped:',100,0,0),
(64603,26525,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(64604,26525,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(64605,10026525,'When Equipped:',100,0,0),
(64606,10026525,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(64607,10026525,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(64608,24263,'Adds Decrease Level IV (Multiple) to your Dungeon Maker toolbox',100,0,0),
(64609,10024263,'Adds Decrease Level IV (Multiple) to your Dungeon Maker toolbox',100,0,0),
(64610,142849,'When Equipped:',100,0,0),
(64611,142849,'On a hit this spell may cast Purest Depravity on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64612,142849,'Increases AGI of caster by 100.0',100,2,2),
(64613,142849,'Increases Attack Speed of caster by 40.0',100,2,3),
(64614,142849,'Increases Damage Per Second of caster by 55.0',100,2,4),
(64615,142849,'Cannot be modified except by direct means',100,2,5),
(64616,10142849,'When Equipped:',100,0,0),
(64617,10142849,'On a hit this spell may cast Purest Depravity on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64618,10142849,'Increases AGI of caster by 100.0',100,2,2),
(64619,10142849,'Increases Attack Speed of caster by 40.0',100,2,3),
(64620,10142849,'Increases Damage Per Second of caster by 55.0',100,2,4),
(64621,10142849,'Cannot be modified except by direct means',100,2,5),
(64622,112080,'Inflicts 543 - 905 heat damage on target',100,1,0),
(64623,112080,'Inflicts 109 - 181 heat damage on target every 2 seconds',100,1,1),
(64624,10112080,'Inflicts 604 - 744 heat damage on target',100,1,0),
(64625,10112080,'Inflicts 210 - 350 heat damage on target every 2 seconds',100,1,1),
(64626,123467,'Shapechanges caster into a bear',100,1,0),
(64627,123467,'Increases WIS of caster by 136.1',100,1,1),
(64628,123467,'Grants See Stealth to caster',100,1,2),
(64629,123467,'Increases Max Health of caster by 602.3',100,1,3),
(64630,123467,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2062',100,1,4),
(64631,10123467,'Shapechanges caster into a bear',100,1,0),
(64632,10123467,'Increases WIS of caster by 136.1',100,1,1),
(64633,10123467,'Grants See Stealth to caster',100,1,2),
(64634,10123467,'Increases Max Health of caster by 602.3',100,1,3),
(64635,10123467,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2062',100,1,4),
(64636,110818,'Interrupts target',100,1,0),
(64637,110818,'Inflicts 551 - 745 mental damage on target',100,1,1),
(64638,10110818,'Interrupts target',100,1,0),
(64639,10110818,'Inflicts 473 - 640 mental damage on target',100,1,1),
(64640,119718,'Increases Threat to target encounter by 5,796 - 6,725 ',100,1,0),
(64641,10119718,'Prevents target encounter from changing targets',100,1,0),
(64642,10119718,'Forces target encounter to change their selected target to caster.',100,1,1),
(64643,116128,'Inflicts 468 - 777 divine damage on target',100,1,0),
(64644,116128,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(64645,116128,'Stuns target',100,2,2),
(64646,116128,'Throws target back',100,2,3),
(64647,116128,'Blurs vision of target',100,2,4),
(64648,116128,'Does not affect Epic targets',100,2,5),
(64649,10116128,'Inflicts 377 - 625 divine damage on target',100,1,0),
(64650,10116128,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(64651,10116128,'Blurs vision of target',100,2,2),
(64652,10116128,'Stuns target',100,2,3),
(64653,10116128,'Throws target back',100,2,4),
(64654,10116128,'Does not affect Epic targets',100,2,5),
(64655,115587,'Interrupts target encounter',100,1,0),
(64656,115587,'Decreases Threat to target encounter by 1,145 - 1,399 ',100,1,1),
(64657,115587,'Dazes target encounter',100,1,2),
(64658,115587,'If Target is not Epic',100,2,3),
(64659,115587,'Resistibility increases against targets higher than level 81.',100,1,4),
(64660,10115587,'Interrupts target encounter',100,1,0),
(64661,10115587,'Dazes target encounter',100,1,1),
(64662,10115587,'If Target is not Epic',100,2,2),
(64663,10115587,'Resistibility increases against targets higher than level 81.',100,1,3),
(64664,120305,'Increases Threat to target by 596 - 728 ',100,1,0),
(64665,10120305,'Forces target to change their selected target to caster.',100,1,0),
(64666,10120305,'Prevents target from changing targets',100,1,1),
(64667,46051,'Applies Spiritual Reawakening when Activated.',100,0,0),
(64668,46051,'You can hear whispers coming from the talisman.',100,1,1),
(64669,10046051,'Applies Spiritual Reawakening when Activated.',100,0,0),
(64670,10046051,'You can hear whispers coming from the talisman.',100,1,1),
(64671,123415,'Inflicts 881 - 2603 melee damage on target',100,1,0),
(64672,123415,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(64673,123415,'Stuns target',100,2,2),
(64674,123415,'Throws target back',100,2,3),
(64675,123415,'Blurs vision of target',100,2,4),
(64676,123415,'Does not affect Epic targets',100,2,5),
(64677,10123415,'Inflicts 704 - 1787 melee damage on target',100,1,0),
(64678,10123415,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(64679,10123415,'Stuns target',100,2,2),
(64680,10123415,'Throws target back',100,2,3),
(64681,10123415,'Blurs vision of target',100,2,4),
(64682,10123415,'Does not affect Epic targets',100,2,5),
(64683,106155,'Inflicts 2528 - 3996 divine damage on target encounter',100,1,0),
(64684,106155,'Interrupts target encounter',100,1,1),
(64685,10106155,'Inflicts 1866 - 3023 divine damage on target encounter',100,1,0),
(64686,10106155,'Interrupts target encounter',100,1,1),
(64687,80550,'When Equipped:',100,0,0),
(64688,80550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64689,80550,'Inflicts 155 - 288 magic damage on target',100,2,2),
(64690,80550,'Cannot be modified except by direct means',100,2,3),
(64691,10080550,'When Equipped:',100,0,0),
(64692,10080550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64693,10080550,'Inflicts 155 - 288 magic damage on target',100,2,2),
(64694,10080550,'Cannot be modified except by direct means',100,2,3),
(64695,41568,'When Equipped:',100,0,0),
(64696,41568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64697,41568,'Inflicts 134 - 249 magic damage on target',100,2,2),
(64698,41568,'Cannot be modified except by direct means',100,2,3),
(64699,10041568,'When Equipped:',100,0,0),
(64700,10041568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64701,10041568,'Inflicts 134 - 249 magic damage on target',100,2,2),
(64702,10041568,'Cannot be modified except by direct means',100,2,3),
(64703,119933,'Inflicts 3238 - 3739 mental damage on target',100,1,0),
(64704,119933,'Inflicts 752 - 919 mental damage on target every 2.7 seconds',100,1,1),
(64705,119933,'Stifles target',100,1,2),
(64706,119933,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,3),
(64707,119933,'Resistibility increases against targets higher than level 101.',100,1,4),
(64708,10119933,'Inflicts 2172 - 2567 mental damage on target',100,1,0),
(64709,10119933,'Inflicts 592 - 724 mental damage on target every second',100,1,1),
(64710,10119933,'Stifles target',100,1,2),
(64711,10119933,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(64712,10119933,'Resistibility increases against targets higher than level 101.',100,1,4),
(64713,142806,'When Equipped:',100,0,0),
(64714,142806,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(64715,142806,'Wards target against 80 points of all damage',100,2,2),
(64716,142806,'Cannot be modified except by direct means',100,2,3),
(64717,10142806,'When Equipped:',100,0,0),
(64718,10142806,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(64719,10142806,'Wards target against 80 points of all damage',100,2,2),
(64720,10142806,'Cannot be modified except by direct means',100,2,3),
(64721,84252,'Applies Mental Blast when Activated.',100,0,0),
(64722,84252,'Inflicts 843 - 1404 mental damage on target',100,1,1),
(64723,84252,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(64724,10084252,'Applies Mental Blast when Activated.',100,0,0),
(64725,10084252,'Inflicts 843 - 1404 mental damage on target',100,1,1),
(64726,10084252,'The casting time of Mental Blast is 7.92 seconds and the reuse time of the spell is 1.38 seconds',100,1,2),
(64727,100152,'Inflicts 916 - 1047 disease damage on target encounter',100,1,0),
(64728,100152,'Inflicts 589 - 720 disease damage on target encounter every 3 seconds',100,1,1),
(64729,100152,'Decreases Mitigation of target encounter vs noxious damage by 1095',100,1,2),
(64730,10100152,'Inflicts 596 - 699 disease damage on target encounter',100,1,0),
(64731,10100152,'Inflicts 464 - 567 disease damage on target encounter every 3 seconds',100,1,1),
(64732,10100152,'Decreases Mitigation of target encounter vs noxious damage by 1095',100,1,2),
(64733,80453,'When Equipped:',100,0,0),
(64734,80453,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64735,80453,'Inflicts 86 - 159 magic damage on target',100,2,2),
(64736,80453,'Cannot be modified except by direct means',100,2,3),
(64737,10080453,'When Equipped:',100,0,0),
(64738,10080453,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64739,10080453,'Inflicts 86 - 159 magic damage on target',100,2,2),
(64740,10080453,'Cannot be modified except by direct means',100,2,3),
(64741,100537,'Heals group members (AE) for 1660 - 2029',100,1,0),
(64742,10100537,'Heals group members (AE) for 1447 - 1749',100,1,0),
(64743,101892,'Heals target for 5647 - 6683',100,1,0),
(64744,101892,'If over 50% Health',100,2,1),
(64745,101892,'Heals target for 10311 - 12384',100,1,2),
(64746,101892,'If at 50% Health or less',100,2,3),
(64747,10101892,'Heals target for 4763 - 5719',100,1,0),
(64748,10101892,'If over 50% Health',100,2,1),
(64749,10101892,'Heals target for 15516 - 18862',100,1,2),
(64750,10101892,'If at 50% Health or less',100,2,3),
(64751,107338,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(64752,107338,'Increases Threat to target by 442 ',100,2,1),
(64753,10107338,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(64754,10107338,'Inflicts 62 - 69 crushing damage on target',100,2,1),
(64755,141874,'When Equipped:',100,0,0),
(64756,141874,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64757,141874,'Increases STR of caster by 8.3',100,2,2),
(64758,141874,'Increases Damage Per Second of caster by 17.7',100,2,3),
(64759,141874,'Cannot be modified except by direct means',100,2,4),
(64760,10141874,'When Equipped:',100,0,0),
(64761,10141874,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64762,10141874,'Increases STR of caster by 8.3',100,2,2),
(64763,10141874,'Increases Damage Per Second of caster by 17.7',100,2,3),
(64764,10141874,'Cannot be modified except by direct means',100,2,4),
(64765,113638,'Interrupts target encounter',100,1,0),
(64766,113638,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 32.4',100,1,1),
(64767,10113638,'Interrupts target encounter',100,1,0),
(64768,10113638,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 32.4',100,1,1),
(64769,82455,'When Equipped:',100,0,0),
(64770,82455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64771,82455,'Inflicts 333 - 619 magic damage on target',100,2,2),
(64772,82455,'Cannot be modified except by direct means',100,2,3),
(64773,10082455,'When Equipped:',100,0,0),
(64774,10082455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64775,10082455,'Inflicts 333 - 619 magic damage on target',100,2,2),
(64776,10082455,'Cannot be modified except by direct means',100,2,3),
(64777,24285,'Adds Dire Bear (Assassin) to your Dungeon Maker toolbox',100,0,0),
(64778,10024285,'Adds Dire Bear (Assassin) to your Dungeon Maker toolbox',100,0,0),
(64779,116829,'Decreases Hate Gain of caster by 19.9%',100,1,0),
(64780,10116829,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(64781,10116829,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(64782,10116829,'This effect can only trigger once every 5 seconds.',100,2,2),
(64783,105200,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(64784,105200,'Inflicts 924 - 1129 poison damage on target encounter',100,2,1),
(64785,10105200,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(64786,10105200,'Inflicts 728 - 890 poison damage on target encounter',100,2,1),
(64787,74756,'When Equipped:',100,0,0),
(64788,74756,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64789,74756,'Inflicts 124 - 186 magic damage on target',100,2,2),
(64790,74756,'Cannot be modified except by direct means',100,2,3),
(64791,10074756,'When Equipped:',100,0,0),
(64792,10074756,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64793,10074756,'Inflicts 124 - 186 magic damage on target',100,2,2),
(64794,10074756,'Cannot be modified except by direct means',100,2,3),
(64795,104995,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(64796,104995,'Reduces physical damage done to caster by 5%',100,1,1),
(64797,104995,'Adds 1.4% to base avoidance.',100,1,2),
(64798,104995,'Caster will deflect 9.5% of incoming attacks.',100,1,3),
(64799,104995,'Increases Parry of caster by 16.5',100,1,4),
(64800,104995,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,5),
(64801,104995,'Increases Aggression of caster by 9.9',100,1,6),
(64802,104995,'Increases Defense and Deflection of caster by 16.5',100,1,7),
(64803,104995,'Increases Mitigation of caster vs arcane damage by 1102',100,1,8),
(64804,104995,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(64805,10104995,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,129,0),
(64806,10104995,'Reduces physical damage done to caster by 5%',100,1,1),
(64807,10104995,'Adds 1.4% to base avoidance.',100,1,2),
(64808,10104995,'Caster will deflect 9.5% of incoming attacks.',100,1,3),
(64809,10104995,'Increases Parry of caster by 16.5',100,1,4),
(64810,10104995,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,5),
(64811,10104995,'Increases Aggression of caster by 9.9',100,1,6),
(64812,10104995,'Increases Defense and Deflection of caster by 16.5',100,1,7),
(64813,10104995,'Increases Mitigation of caster vs arcane damage by 1102',100,1,8),
(64814,10104995,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,9),
(64815,47941,'Applies Draw upon Essence when Activated.',100,0,0),
(64816,47941,'Increases power of caster by 477',100,1,1),
(64817,47941,'Requires 715 Health to cast.',100,1,2),
(64818,10047941,'Applies Draw upon Essence when Activated.',100,0,0),
(64819,10047941,'Increases power of caster by 477',100,1,1),
(64820,10047941,'Requires 715 Health to cast.',100,1,2),
(64821,119589,'Increases power of caster by 33 instantly and every 4 seconds',100,1,0),
(64822,10119589,'Increases power of caster by 33 instantly and every 4 seconds',100,1,0),
(64823,102508,'Summons a pet a black kitten',100,1,0),
(64824,10102508,'Summons a pet a black kitten',100,1,0),
(64825,45526,'Applies Clockwork Contraption when Activated.  Lasts for 1 minute.',100,0,0),
(64826,45526,'Summons a limited pet to aid the caster',100,1,1),
(64827,10045526,'Applies Clockwork Contraption when Activated.  Lasts for 1 minute.',100,0,0),
(64828,10045526,'Summons a limited pet to aid the caster',100,1,1),
(64829,25779,'When Equipped:',100,0,0),
(64830,25779,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(64831,25779,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(64832,10025779,'When Equipped:',100,0,0),
(64833,10025779,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(64834,10025779,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(64835,47477,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(64836,47477,'Summons a mount to ride',100,1,1),
(64837,47477,'Increases your ground speed by 130%',100,2,2),
(64838,10047477,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(64839,10047477,'Summons a mount to ride',100,1,1),
(64840,10047477,'Increases your ground speed by 130%',100,2,2),
(64841,119146,'Target will lose 56% less power when power is consumed',100,1,0),
(64842,10119146,'Target will lose 56% less power when power is consumed',100,1,0),
(64843,51297,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(64844,51297,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(64845,51297,'Inflicts 26 heat damage on target',100,2,2),
(64846,51297,'Cannot be modified except by direct means',100,2,3),
(64847,10051297,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(64848,10051297,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(64849,10051297,'Inflicts 26 heat damage on target',100,2,2),
(64850,10051297,'Cannot be modified except by direct means',100,2,3),
(64851,166422,'When Equipped:',100,0,0),
(64852,166422,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(64853,166422,'Mesmerizes target',100,2,2),
(64854,166422,'Dispelled when target takes damage',100,2,3),
(64855,166422,'Only affects targets level 98 and below',100,2,4),
(64856,166422,'Does not affect Epic targets',100,2,5),
(64857,166422,'Resistibility increases against targets higher than level 112.',100,2,6),
(64858,166422,'Cannot be modified except by direct means',100,2,7),
(64859,10166422,'When Equipped:',100,0,0),
(64860,10166422,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(64861,10166422,'Mesmerizes target',100,2,2),
(64862,10166422,'Dispelled when target takes damage',100,2,3),
(64863,10166422,'Only affects targets level 98 and below',100,2,4),
(64864,10166422,'Does not affect Epic targets',100,2,5),
(64865,10166422,'Resistibility increases against targets higher than level 112.',100,2,6),
(64866,10166422,'Cannot be modified except by direct means',100,2,7),
(64867,152437,'When Equipped:',100,0,0),
(64868,152437,'On a damage spell hit this spell may cast Mind Melting on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(64869,152437,'Inflicts 350 mental damage on target',100,2,2),
(64870,152437,'Decreases Mitigation of target vs all damage by 336',100,2,3),
(64871,152437,'Cannot be modified except by direct means',100,2,4),
(64872,152437,'Cannot be modified except by direct means',100,1,5),
(64873,152437,'When Equipped:',100,0,6),
(64874,152437,'Reduces reuse time of hostile spells by 1 percent.',100,1,7),
(64875,10152437,'When Equipped:',100,0,0),
(64876,10152437,'On a damage spell hit this spell may cast Mind Melting on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(64877,10152437,'Inflicts 350 mental damage on target',100,2,2),
(64878,10152437,'Decreases Mitigation of target vs all damage by 336',100,2,3),
(64879,10152437,'Cannot be modified except by direct means',100,2,4),
(64880,10152437,'Cannot be modified except by direct means',100,1,5),
(64881,10152437,'When Equipped:',100,0,6),
(64882,10152437,'Reduces reuse time of hostile spells by 1 percent.',100,1,7),
(64883,114958,'Decreases Attack Speed of target by 7.8',100,1,0),
(64884,114958,'Inflicts 720 - 1146 slashing damage on target',100,1,1),
(64885,114958,'Inflicts 287 slashing damage on target instantly and every 4 seconds',100,1,2),
(64886,10114958,'Decreases Attack Speed of target by 7.8',100,1,0),
(64887,10114958,'Inflicts 509 - 733 slashing damage on target',100,1,1),
(64888,10114958,'Inflicts 226 slashing damage on target instantly and every 4 seconds',100,1,2),
(64889,123107,'Inflicts 605 disease damage on targets in Area of Effect',100,1,0),
(64890,123107,'Inflicts 189 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(64891,10123107,'Inflicts 350 disease damage on targets in Area of Effect',100,1,0),
(64892,10123107,'Inflicts 149 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(64893,115800,'Inflicts 37 - 58 melee damage on target',100,1,0),
(64894,115800,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(64895,115800,'Heals caster for 3 instantly and every 3 seconds',100,2,2),
(64896,115800,'This effect cannot be critically applied.',100,3,3),
(64897,115800,'The healing of this spell cannot be modified except by direct means',100,2,4),
(64898,115800,'Inflicts 6 disease damage on target every 3 seconds',100,1,5),
(64899,115800,'The healing of this spell cannot be modified except by direct means',100,1,6),
(64900,10115800,'Inflicts 32 - 51 melee damage on target',100,1,0),
(64901,10115800,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(64902,10115800,'Heals caster for 1 instantly and every 3 seconds',100,2,2),
(64903,10115800,'This effect cannot be critically applied.',100,3,3),
(64904,10115800,'The healing of this spell cannot be modified except by direct means',100,2,4),
(64905,10115800,'Inflicts 5 disease damage on target every 3 seconds',100,1,5),
(64906,10115800,'The healing of this spell cannot be modified except by direct means',100,1,6),
(64907,115119,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(64908,115119,'Heals target for 758',100,2,1),
(64909,115119,'Heals target for 189 every 2 seconds',100,2,2),
(64910,115119,'Increases WIS of target by 30.2',100,2,3),
(64911,115119,'Grants a total of 1 trigger of the spell.',100,2,4),
(64912,10115119,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(64913,10115119,'Heals target for 388',100,2,1),
(64914,10115119,'Heals target for 97 every 2 seconds',100,2,2),
(64915,10115119,'Increases WIS of target by 30.2',100,2,3),
(64916,10115119,'Grants a total of 1 trigger of the spell.',100,2,4),
(64917,141797,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(64918,141797,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(64919,141797,'Inflicts 43 heat damage on target',100,2,2),
(64920,141797,'Cannot be modified except by direct means',100,2,3),
(64921,10141797,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(64922,10141797,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(64923,10141797,'Inflicts 43 heat damage on target',100,2,2),
(64924,10141797,'Cannot be modified except by direct means',100,2,3),
(64925,100925,'Stuns targets in Area of Effect',20,1,0),
(64926,100925,'If Target is not Epic',100,2,1),
(64927,100925,'Inflicts 3210 - 5132 divine damage on targets in Area of Effect',100,1,2),
(64928,100925,'Resistibility increases against targets higher than level 109.',100,1,3),
(64929,10100925,'Stuns targets in Area of Effect',20,1,0),
(64930,10100925,'If Target is not Epic',100,2,1),
(64931,10100925,'Inflicts 2271 - 3698 divine damage on targets in Area of Effect',100,1,2),
(64932,10100925,'Resistibility increases against targets higher than level 109.',100,1,3),
(64933,71930,'When Equipped:',100,0,0),
(64934,71930,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64935,71930,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(64936,71930,'Cannot be modified except by direct means',100,2,3),
(64937,10071930,'When Equipped:',100,0,0),
(64938,10071930,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(64939,10071930,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(64940,10071930,'Cannot be modified except by direct means',100,2,3),
(64941,80408,'When Equipped:',100,0,0),
(64942,80408,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64943,80408,'Inflicts 90 - 168 magic damage on target',100,2,2),
(64944,80408,'Cannot be modified except by direct means',100,2,3),
(64945,10080408,'When Equipped:',100,0,0),
(64946,10080408,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(64947,10080408,'Inflicts 90 - 168 magic damage on target',100,2,2),
(64948,10080408,'Cannot be modified except by direct means',100,2,3),
(64949,110284,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(64950,110284,'Slows target by 37.4%',100,2,1),
(64951,110284,'5% chance to dispel when target receives hostile action',100,2,2),
(64952,110284,'5% chance to dispel when target takes damage',100,2,3),
(64953,110284,'Decreases Mitigation of target vs arcane damage by 740',100,1,4),
(64954,10110284,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(64955,10110284,'Slows target by 37.4%',100,2,1),
(64956,10110284,'5% chance to dispel when target receives hostile action',100,2,2),
(64957,10110284,'5% chance to dispel when target takes damage',100,2,3),
(64958,10110284,'Decreases Mitigation of target vs arcane damage by 740',100,1,4),
(64959,53939,'When Equipped:',100,0,0),
(64960,53939,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(64961,10053939,'When Equipped:',100,0,0),
(64962,10053939,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(64963,35003,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(64964,35003,'This effect suspends during combat',100,0,1),
(64965,111549,'Increases Hate Gain of target by 24.8%',100,1,0),
(64966,111549,'Increases Aggression of target by 19.8',100,1,1),
(64967,10111549,'Increases STR of target by 51.7',100,1,0),
(64968,10111549,'Increases Aggression of target by 19.8',100,1,1),
(64969,116649,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(64970,116649,'Increases Attack Speed of caster by 21.0',100,130,1),
(64971,116649,'Increases Slashing, Piercing, Ranged and Crushing of caster by 4.5',100,130,2),
(64972,116649,'Inflicts 254 - 422 melee damage on target',100,1,3),
(64973,116649,'Decreases Defense of target by 1.4',100,1,4),
(64974,116649,'If facing target',100,1,5),
(64975,10116649,'Applies Cobra''s Reflexes.  Lasts for 5.0 seconds.',100,129,0),
(64976,10116649,'Increases Attack Speed of caster by 21.0',100,130,1),
(64977,10116649,'Increases Slashing, Piercing, Ranged and Crushing of caster by 4.5',100,130,2),
(64978,10116649,'Inflicts 203 - 337 melee damage on target',100,1,3),
(64979,10116649,'Decreases Defense of target by 1.4',100,1,4),
(64980,10116649,'If facing target',100,1,5),
(64981,113839,'Inflicts 3197 - 4674 disease damage on target',100,1,0),
(64982,10113839,'Inflicts 2140 - 3304 disease damage on target',100,1,0),
(64983,116305,'Stuns target',100,1,0),
(64984,116305,'If Target is not Epic',100,2,1),
(64985,116305,'Inflicts 1337 - 1634 magic damage on target',100,1,2),
(64986,116305,'Resistibility increases against targets higher than level 59.',100,1,3),
(64987,10116305,'Stuns target',100,1,0),
(64988,10116305,'If Target is not Epic',100,2,1),
(64989,10116305,'Inflicts 1097 - 1253 magic damage on target',100,1,2),
(64990,10116305,'Resistibility increases against targets higher than level 59.',100,1,3),
(64991,159428,'Applies Lambent Imbued when Equipped.',100,0,0),
(64992,159428,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(64993,159428,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(64994,159428,'Cannot be modified except by direct means',100,2,3),
(64995,10159428,'Applies Lambent Imbued when Equipped.',100,0,0),
(64996,10159428,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(64997,10159428,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(64998,10159428,'Cannot be modified except by direct means',100,2,3),
(64999,159519,'Applies Sanguine Imbued when Equipped.',100,0,0),
(65000,159519,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(65001,159519,'Inflicts 238 heat damage on target',100,2,2),
(65002,159519,'Cannot be modified except by direct means',100,2,3),
(65003,10159519,'Applies Sanguine Imbued when Equipped.',100,0,0),
(65004,10159519,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(65005,10159519,'Inflicts 238 heat damage on target',100,2,2),
(65006,10159519,'Cannot be modified except by direct means',100,2,3),
(65007,122914,'Increases STR and INT of group members (AE) by 50.7',100,1,0),
(65008,10122914,'Increases STR and INT of group members (AE) by 50.7',100,1,0),
(65009,105636,'Inflicts 399 disease damage on target instantly and every 6 seconds',100,1,0),
(65010,105636,'Inflicts 1910 - 2521 disease damage on target',100,1,1),
(65011,105636,'Inflicts 928 - 1538 disease damage on target',100,1,2),
(65012,10105636,'Inflicts 315 disease damage on target instantly and every 6 seconds',100,1,0),
(65013,10105636,'Inflicts 1126 - 1607 disease damage on target',100,1,1),
(65014,10105636,'Inflicts 731 - 1212 disease damage on target',100,1,2),
(65015,24576,'Adds Myconid Soother to your Dungeon Maker toolbox',100,0,0),
(65016,10024576,'Adds Myconid Soother to your Dungeon Maker toolbox',100,0,0),
(65017,121546,'Inflicts 646 - 1072 melee damage on targets in area',100,1,0),
(65018,121546,'Stuns target encounter',100,1,1),
(65019,121546,'If Target is not Epic',100,2,2),
(65020,121546,'Resistibility increases against targets higher than level 61.',100,1,3),
(65021,10121546,'Inflicts 509 - 845 melee damage on targets in area',100,1,0),
(65022,10121546,'Stuns target encounter',100,1,1),
(65023,10121546,'If Target is not Epic',100,2,2),
(65024,10121546,'Resistibility increases against targets higher than level 61.',100,1,3),
(65025,173509,'When Equipped:',100,0,0),
(65026,173509,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65027,173509,'Inflicts 1192 magic damage on target',100,2,2),
(65028,173509,'Cannot be modified except by direct means',100,2,3),
(65029,10173509,'When Equipped:',100,0,0),
(65030,10173509,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65031,10173509,'Inflicts 596 magic damage on target',100,2,2),
(65032,10173509,'Cannot be modified except by direct means',100,2,3),
(65033,155207,'When Equipped:',100,0,0),
(65034,155207,'Increases the caster''s heals and wards by 5%.',100,1,1),
(65035,155207,'Must not be engaged in pvp combat',100,1,2),
(65036,10155207,'When Equipped:',100,0,0),
(65037,10155207,'Increases the caster''s heals and wards by 5%.',100,1,1),
(65038,10155207,'Must not be engaged in pvp combat',100,1,2),
(65039,114873,'Decreases AGI of target by 72.6',100,1,0),
(65040,114873,'Decreases Defense of target by 27.6',100,1,1),
(65041,10114873,'Decreases AGI of target by 72.6',100,1,0),
(65042,10114873,'Decreases Defense of target by 27.6',100,1,1),
(65043,89282,'When Equipped:',100,0,0),
(65044,89282,'On a critical combat hit this spell may cast Infected Strike VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65045,89282,'Inflicts 1361 - 1504 disease damage on target',100,2,2),
(65046,89282,'Inflicts 381 - 421 disease damage on target every 2 seconds',100,2,3),
(65047,89282,'Decreases STR, AGI, WIS and INT of target by 80.0',100,2,4),
(65048,89282,'Must not be engaged in pvp combat',100,2,5),
(65049,89282,'Cannot be modified except by direct means',100,2,6),
(65050,89282,'On a critical spell hit this spell may cast Infected Strike VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(65051,89282,'Inflicts 1361 - 1504 disease damage on target',100,2,8),
(65052,89282,'Inflicts 381 - 421 disease damage on target every 2 seconds',100,2,9),
(65053,89282,'Decreases STR, AGI, WIS and INT of target by 80.0',100,2,10),
(65054,89282,'Must not be engaged in pvp combat',100,2,11),
(65055,89282,'Cannot be modified except by direct means',100,2,12),
(65056,89282,'Must not be engaged in pvp combat',100,1,13),
(65057,10089282,'When Equipped:',100,0,0),
(65058,10089282,'On a critical combat hit this spell may cast Infected Strike VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65059,10089282,'Inflicts 1361 - 1504 disease damage on target',100,2,2),
(65060,10089282,'Inflicts 381 - 421 disease damage on target every 2 seconds',100,2,3),
(65061,10089282,'Decreases STR, AGI, WIS and INT of target by 80.0',100,2,4),
(65062,10089282,'Must not be engaged in pvp combat',100,2,5),
(65063,10089282,'Cannot be modified except by direct means',100,2,6),
(65064,10089282,'On a critical spell hit this spell may cast Infected Strike VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(65065,10089282,'Inflicts 1361 - 1504 disease damage on target',100,2,8),
(65066,10089282,'Inflicts 381 - 421 disease damage on target every 2 seconds',100,2,9),
(65067,10089282,'Decreases STR, AGI, WIS and INT of target by 80.0',100,2,10),
(65068,10089282,'Must not be engaged in pvp combat',100,2,11),
(65069,10089282,'Cannot be modified except by direct means',100,2,12),
(65070,10089282,'Must not be engaged in pvp combat',100,1,13),
(65071,110588,'Decreases Attack Speed of target by 18.3',100,1,0),
(65072,110588,'Decreases Crushing, Slashing and Piercing of target by 10.9',100,1,1),
(65073,10110588,'Decreases Attack Speed of target by 18.3',100,1,0),
(65074,10110588,'Decreases Crushing, Slashing and Piercing of target by 10.9',100,1,1),
(65075,119098,'Inflicts 693 - 1557 melee damage on targets in area',100,1,0),
(65076,119098,'Inflicts 416 - 1229 melee damage on targets in area',100,1,1),
(65077,119098,'Inflicts 416 - 1229 melee damage on targets in area',100,1,2),
(65078,119098,'Inflicts 416 - 1229 melee damage on targets in area',100,1,3),
(65079,10119098,'Inflicts 459 - 1100 melee damage on targets in area',100,1,0),
(65080,10119098,'Inflicts 327 - 969 melee damage on targets in area',100,1,1),
(65081,10119098,'Inflicts 327 - 969 melee damage on targets in area',100,1,2),
(65082,10119098,'Inflicts 327 - 969 melee damage on targets in area',100,1,3),
(65083,47139,'Applies Calebgrothiel''s Hope  when Activated.  Lasts for 15 minutes.',100,0,0),
(65084,47139,'Increases Max Health of caster by 138.4',100,1,1),
(65085,10047139,'Applies Calebgrothiel''s Hope  when Activated.  Lasts for 15 minutes.',100,0,0),
(65086,10047139,'Increases Max Health of caster by 138.4',100,1,1),
(65087,101744,'Increases Max Power of target by 76.5',100,1,0),
(65088,101744,'Increases Max Health of target by 101.4',100,1,1),
(65089,10101744,'Increases Max Power of target by 76.5',100,1,0),
(65090,10101744,'Increases Max Health of target by 101.4',100,1,1),
(65091,108820,'Inflicts 3860 - 6888 heat damage on targets in Area of Effect',100,1,0),
(65092,10108820,'Inflicts 2916 - 5302 heat damage on targets in Area of Effect',100,1,0),
(65093,110945,'Applies Awakening on termination.',100,1,0),
(65094,110945,'Heals target for 3463 - 4160',100,2,1),
(65095,10110945,'Applies Awakening on termination.',100,1,0),
(65096,10110945,'Heals target for 3941 - 4798',100,2,1),
(65097,138512,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(65098,138512,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 405',100,1,1),
(65099,138512,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(65100,10138512,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(65101,10138512,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 405',100,1,1),
(65102,10138512,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(65103,71693,'When Equipped:',100,0,0),
(65104,71693,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65105,71693,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(65106,71693,'Cannot be modified except by direct means',100,2,3),
(65107,10071693,'When Equipped:',100,0,0),
(65108,10071693,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65109,10071693,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(65110,10071693,'Cannot be modified except by direct means',100,2,3),
(65111,161105,'When Equipped:',100,0,0),
(65112,161105,'Increases Attack Speed of caster by 30.0',100,1,1),
(65113,10161105,'When Equipped:',100,0,0),
(65114,10161105,'Increases Attack Speed of caster by 30.0',100,1,1),
(65115,157583,'When Equipped:',100,0,0),
(65116,157583,'This effect will not stack with any rank or tier of itself.',100,1,1),
(65117,157583,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,2),
(65118,157583,'Increases Attack Speed of caster by 4.5',100,1,3),
(65119,157583,'Increases Damage Per Second of caster by 11.0',100,1,4),
(65120,157583,'Cannot be modified except by direct means',100,1,5),
(65121,10157583,'When Equipped:',100,0,0),
(65122,10157583,'This effect will not stack with any rank or tier of itself.',100,1,1),
(65123,10157583,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,2),
(65124,10157583,'Increases Attack Speed of caster by 4.5',100,1,3),
(65125,10157583,'Increases Damage Per Second of caster by 11.0',100,1,4),
(65126,10157583,'Cannot be modified except by direct means',100,1,5),
(65127,103080,'Inflicts 1502 magic damage on target',100,1,0),
(65128,103080,'Inflicts 520 magic damage on target every 4 seconds',100,1,1),
(65129,103080,'Increases power of caster by 77 instantly and every 4 seconds',100,1,2),
(65130,10103080,'Inflicts 804 magic damage on target',100,1,0),
(65131,10103080,'Inflicts 410 magic damage on target every 4 seconds',100,1,1),
(65132,10103080,'Increases power of caster by 77 instantly and every 4 seconds',100,1,2),
(65133,122059,'Increases Threat to target by 4,349 - 4,810 ',100,1,0),
(65134,122059,'Inflicts 618 - 1025 melee damage on target',100,1,1),
(65135,10122059,'Forces target to change their selected target to caster.',100,1,0),
(65136,10122059,'Inflicts 487 - 807 melee damage on target',100,1,1),
(65137,101827,'Summons a limited pet to aid the caster',100,1,0),
(65138,10101827,'Summons a limited pet to aid the caster',100,1,0),
(65139,74902,'When Equipped:',100,0,0),
(65140,74902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65141,74902,'Inflicts 49 - 74 magic damage on target',100,2,2),
(65142,74902,'Cannot be modified except by direct means',100,2,3),
(65143,10074902,'When Equipped:',100,0,0),
(65144,10074902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65145,10074902,'Inflicts 49 - 74 magic damage on target',100,2,2),
(65146,10074902,'Cannot be modified except by direct means',100,2,3),
(65147,106615,'Inflicts 1130 - 1381 disease damage on target',100,1,0),
(65148,106615,'Heals caster for 5.1 - 6.3% of max health',100,1,1),
(65149,106615,'This effect cannot be critically applied.',100,2,2),
(65150,106615,'The healing of this spell cannot be modified except by direct means',100,1,3),
(65151,10106615,'Inflicts 910 - 1068 disease damage on target',100,1,0),
(65152,10106615,'Heals caster for 1.7 - 2.1% of max health',100,1,1),
(65153,10106615,'This effect cannot be critically applied.',100,2,2),
(65154,10106615,'The healing of this spell cannot be modified except by direct means',100,1,3),
(65155,123500,'Decreases Mitigation of target encounter vs noxious damage by 574',100,1,0),
(65156,10123500,'Decreases Mitigation of target encounter vs noxious damage by 574',100,1,0),
(65157,75192,'When Equipped:',100,0,0),
(65158,75192,'Increases Attack Speed of caster by 40.0',100,1,1),
(65159,10075192,'When Equipped:',100,0,0),
(65160,10075192,'Increases Attack Speed of caster by 40.0',100,1,1),
(65161,162748,'When Equipped:',100,0,0),
(65162,162748,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(65163,162748,'Wards caster against 280 points of all damage',100,2,2),
(65164,162748,'Cannot be modified except by direct means',100,2,3),
(65165,10162748,'When Equipped:',100,0,0),
(65166,10162748,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(65167,10162748,'Wards caster against 280 points of all damage',100,2,2),
(65168,10162748,'Cannot be modified except by direct means',100,2,3),
(65169,140783,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(65170,140783,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,1),
(65171,140783,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(65172,10140783,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(65173,10140783,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,1),
(65174,10140783,'The casting time of Hex of Chaos is 0.99 seconds and the reuse time of the spell is 3 minutes 28 seconds',100,1,2),
(65175,100976,'Increases INT of target by 20.4',100,1,0),
(65176,100976,'Increases Attack Speed of target by 22.0',100,1,1),
(65177,100976,'Decreases Defense and Parry of target by 4.9',100,1,2),
(65178,100976,'Increases Slashing, Piercing and Crushing of target by 4.0',100,1,3),
(65179,10100976,'Increases INT of target by 20.4',100,1,0),
(65180,10100976,'Increases Attack Speed of target by 22.0',100,1,1),
(65181,10100976,'Decreases Defense and Parry of target by 4.9',100,1,2),
(65182,10100976,'Increases Slashing, Piercing and Crushing of target by 4.0',100,1,3),
(65183,114305,'Heals target for 3291 - 3804',100,1,0),
(65184,10114305,'Heals target for 2395 - 2870',100,1,0),
(65185,124252,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(65186,124252,'Increases Damage Per Second of target by 10.8',100,2,1),
(65187,124252,'Increases Attack Speed of target by 10.8',100,2,2),
(65188,124252,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(65189,124252,'Increases Damage Per Second of target by 10.8',100,2,4),
(65190,124252,'Increases Attack Speed of target by 10.8',100,2,5),
(65191,124252,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(65192,124252,'Increases Damage Per Second of target by 10.8',100,2,7),
(65193,124252,'Increases Attack Speed of target by 10.8',100,2,8),
(65194,10124252,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(65195,10124252,'Increases Damage Per Second of target by 10.8',100,2,1),
(65196,10124252,'Increases Attack Speed of target by 10.8',100,2,2),
(65197,10124252,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(65198,10124252,'Increases Damage Per Second of target by 10.8',100,2,4),
(65199,10124252,'Increases Attack Speed of target by 10.8',100,2,5),
(65200,10124252,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(65201,10124252,'Increases Damage Per Second of target by 10.8',100,2,7),
(65202,10124252,'Increases Attack Speed of target by 10.8',100,2,8),
(65203,113796,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(65204,113796,'Heals target for 1144 - 1399',100,2,1),
(65205,10113796,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(65206,10113796,'Heals target for 588 - 700',100,2,1),
(65207,36254,'Increases INT of target by 15.4',100,0,0),
(65208,36254,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(65209,36254,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,2),
(65210,123339,'Summons a pet hammer',100,1,0),
(65211,10123339,'Summons a pet hammer',100,1,0),
(65212,108415,'Heals target for 1166 - 1425',100,1,0),
(65213,10108415,'Heals target for 1394 - 1704',100,1,0),
(65214,45545,'Applies Aura of Light  when Activated.  Lasts for 15 minutes.',100,0,0),
(65215,45545,'Increases Max Health of caster by 68.8',100,1,1),
(65216,10045545,'Applies Aura of Light  when Activated.  Lasts for 15 minutes.',100,0,0),
(65217,10045545,'Increases Max Health of caster by 68.8',100,1,1),
(65218,48147,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(65219,48147,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 26.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(65220,48147,'Slows target by 46.2%',100,2,2),
(65221,48147,'Cannot be modified except by direct means',100,2,3),
(65222,48147,'Grants a total of 60 triggers of the spell.',100,2,4),
(65223,10048147,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(65224,10048147,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(65225,10048147,'Slows target by 46.2%',100,2,2),
(65226,10048147,'Cannot be modified except by direct means',100,2,3),
(65227,10048147,'Grants a total of 60 triggers of the spell.',100,2,4),
(65228,50488,'When Equipped:',100,0,0),
(65229,50488,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65230,50488,'Increases Attack Speed of caster by 6.0',100,2,2),
(65231,50488,'Increases Damage Per Second of caster by 9.0',100,2,3),
(65232,50488,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(65233,50488,'Must not be engaged in pvp combat',100,2,5),
(65234,50488,'Cannot be modified except by direct means',100,2,6),
(65235,50488,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(65236,50488,'Cannot be modified except by direct means',100,1,8),
(65237,10050488,'When Equipped:',100,0,0),
(65238,10050488,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65239,10050488,'Increases Attack Speed of caster by 6.0',100,2,2),
(65240,10050488,'Increases Damage Per Second of caster by 9.0',100,2,3),
(65241,10050488,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(65242,10050488,'Must not be engaged in pvp combat',100,2,5),
(65243,10050488,'Cannot be modified except by direct means',100,2,6),
(65244,10050488,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(65245,10050488,'Cannot be modified except by direct means',100,1,8),
(65246,103918,'Wards group members (AE) collectively against 973 total points of all damage',100,1,0),
(65247,10103918,'Wards group members (AE) collectively against 1450 total points of all damage',100,1,0),
(65248,86181,'When Equipped:',100,0,0),
(65249,86181,'On any combat or spell hit this spell may cast Greater Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(65250,86181,'Inflicts 3796 - 4196 slashing damage on target encounter',100,2,2),
(65251,86181,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(65252,86181,'Must not be engaged in pvp combat',100,2,4),
(65253,86181,'Cannot be modified except by direct means',100,2,5),
(65254,86181,'Must not be engaged in pvp combat',100,1,6),
(65255,10086181,'When Equipped:',100,0,0),
(65256,10086181,'On any combat or spell hit this spell may cast Greater Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(65257,10086181,'Inflicts 5315 - 5874 slashing damage on target encounter',100,2,2),
(65258,10086181,'Inflicts 886 - 979 slashing damage on target encounter every 2 seconds',100,2,3),
(65259,10086181,'Must not be engaged in pvp combat',100,2,4),
(65260,10086181,'Cannot be modified except by direct means',100,2,5),
(65261,10086181,'Must not be engaged in pvp combat',100,1,6),
(65262,119662,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(65263,119662,'Stuns target',100,2,1),
(65264,119662,'Blurs vision of target',100,2,2),
(65265,119662,'Throws target back',100,2,3),
(65266,119662,'Does not affect Epic targets',100,2,4),
(65267,119662,'Inflicts 206 - 618 melee damage on target',100,1,5),
(65268,10119662,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(65269,10119662,'Stuns target',100,2,1),
(65270,10119662,'Throws target back',100,2,2),
(65271,10119662,'Blurs vision of target',100,2,3),
(65272,10119662,'Does not affect Epic targets',100,2,4),
(65273,10119662,'Inflicts 268 - 804 melee damage on target',100,1,5),
(65274,170281,'When Equipped:',100,0,0),
(65275,170281,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65276,170281,'Inflicts 2648 disease damage on target encounter',100,2,2),
(65277,170281,'Must not be engaged in pvp combat',100,2,3),
(65278,170281,'Cannot be modified except by direct means',100,2,4),
(65279,170281,'When Equipped:',100,0,5),
(65280,170281,'Applies Molten Carnage IV to qualifying pets.',100,1,6),
(65281,170281,'Increases Potency of caster by 4.0%',100,2,7),
(65282,170281,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(65283,10170281,'When Equipped:',100,0,0),
(65284,10170281,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65285,10170281,'Inflicts 1854 disease damage on target encounter',100,2,2),
(65286,10170281,'Must not be engaged in pvp combat',100,2,3),
(65287,10170281,'Cannot be modified except by direct means',100,2,4),
(65288,10170281,'When Equipped:',100,0,5),
(65289,10170281,'Applies Molten Carnage IV to qualifying pets.',100,1,6),
(65290,10170281,'Increases Potency of caster by 4.0%',100,2,7),
(65291,10170281,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(65292,46546,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(65293,46546,'Heals caster for 222',100,1,1),
(65294,46546,'Heals caster for 111 every 5 seconds',100,1,2),
(65295,10046546,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(65296,10046546,'Heals caster for 144',100,1,1),
(65297,10046546,'Heals caster for 72 every 5 seconds',100,1,2),
(65298,117900,'Increases In-Combat Health Regeneration of group members (AE) by 52.8',100,1,0),
(65299,117900,'Increases Max Health of group members (AE) by 276.8',100,1,1),
(65300,10117900,'Increases In-Combat Health Regeneration of group members (AE) by 52.8',100,1,0),
(65301,10117900,'Increases Max Health of group members (AE) by 276.8',100,1,1),
(65302,82155,'When Equipped:',100,0,0),
(65303,82155,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65304,82155,'Inflicts 182 - 339 magic damage on target',100,2,2),
(65305,82155,'Cannot be modified except by direct means',100,2,3),
(65306,10082155,'When Equipped:',100,0,0),
(65307,10082155,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65308,10082155,'Inflicts 255 - 474 magic damage on target',100,2,2),
(65309,10082155,'Cannot be modified except by direct means',100,2,3),
(65310,172469,'When Equipped:',100,0,0),
(65311,172469,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(65312,172469,'Heals caster for 371 - 454',100,2,2),
(65313,172469,'Increases power of caster by 191',100,2,3),
(65314,172469,'Must not be engaged in pvp combat',100,2,4),
(65315,172469,'Cannot be modified except by direct means',100,2,5),
(65316,172469,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(65317,172469,'Heals caster for 371 - 454',100,2,7),
(65318,172469,'Increases power of caster by 191',100,2,8),
(65319,172469,'Must not be engaged in pvp combat',100,2,9),
(65320,172469,'Cannot be modified except by direct means',100,2,10),
(65321,10172469,'When Equipped:',100,0,0),
(65322,10172469,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(65323,10172469,'Heals caster for 241 - 295',100,2,2),
(65324,10172469,'Increases power of caster by 191',100,2,3),
(65325,10172469,'Must not be engaged in pvp combat',100,2,4),
(65326,10172469,'Cannot be modified except by direct means',100,2,5),
(65327,10172469,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(65328,10172469,'Heals caster for 241 - 295',100,2,7),
(65329,10172469,'Increases power of caster by 191',100,2,8),
(65330,10172469,'Must not be engaged in pvp combat',100,2,9),
(65331,10172469,'Cannot be modified except by direct means',100,2,10),
(65332,116150,'Inflicts 259 - 432 divine damage on target',100,1,0),
(65333,116150,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(65334,116150,'Stuns target',100,2,2),
(65335,116150,'Throws target back',100,2,3),
(65336,116150,'Blurs vision of target',100,2,4),
(65337,116150,'Does not affect Epic targets',100,2,5),
(65338,10116150,'Inflicts 337 - 562 divine damage on target',100,1,0),
(65339,10116150,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(65340,10116150,'Stuns target',100,2,2),
(65341,10116150,'Throws target back',100,2,3),
(65342,10116150,'Blurs vision of target',100,2,4),
(65343,10116150,'Does not affect Epic targets',100,2,5),
(65344,87474,'When Equipped:',100,0,0),
(65345,87474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65346,87474,'Inflicts 204 - 307 magic damage on target',100,2,2),
(65347,87474,'Cannot be modified except by direct means',100,2,3),
(65348,10087474,'When Equipped:',100,0,0),
(65349,10087474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65350,10087474,'Inflicts 286 - 429 magic damage on target',100,2,2),
(65351,10087474,'Cannot be modified except by direct means',100,2,3),
(65352,110468,'Dazes targets in Area of Effect',100,1,0),
(65353,110468,'If Target is not Epic',100,2,1),
(65354,110468,'Decreases Threat to targets in Area of Effect by 5,820 ',100,1,2),
(65355,110468,'Dispelled when target receives hostile action',100,1,3),
(65356,110468,'Dispelled when target takes damage',100,1,4),
(65357,10110468,'Dazes targets in Area of Effect',100,1,0),
(65358,10110468,'If Target is not Epic',100,2,1),
(65359,10110468,'Applies Distract.',100,1,2),
(65360,10110468,'Forces target to clear their selected target.',100,2,3),
(65361,10110468,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(65362,10110468,'Dispelled when target receives hostile action',100,1,5),
(65363,10110468,'Dispelled when target takes damage',100,1,6),
(65364,24637,'Adds Poet''s Palace: Golden Genie Bottle to your Dungeon Maker toolbox',100,0,0),
(65365,10024637,'Adds Poet''s Palace: Golden Genie Bottle to your Dungeon Maker toolbox',100,0,0),
(65366,81530,'When Equipped:',100,0,0),
(65367,81530,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65368,81530,'Inflicts 146 - 271 magic damage on target',100,2,2),
(65369,81530,'Cannot be modified except by direct means',100,2,3),
(65370,10081530,'When Equipped:',100,0,0),
(65371,10081530,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65372,10081530,'Inflicts 204 - 379 magic damage on target',100,2,2),
(65373,10081530,'Cannot be modified except by direct means',100,2,3),
(65374,108595,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(65375,108595,'Increases STR, INT, WIS and AGI of group members (AE) by 44.9',100,2,1),
(65376,108595,'Increases STA of group members (AE) by 89.8',100,2,2),
(65377,108595,'Adds 1.0% to base avoidance.',100,2,3),
(65378,108595,'Heals group members (AE) for 133 - 162 instantly and every 3 seconds',100,2,4),
(65379,108595,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 119',100,2,5),
(65380,10108595,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(65381,10108595,'Increases STR, INT, WIS and AGI of group members (AE) by 44.9',100,2,1),
(65382,10108595,'Increases STA of group members (AE) by 89.8',100,2,2),
(65383,10108595,'Adds 1.0% to base avoidance.',100,2,3),
(65384,10108595,'Heals group members (AE) for 86 - 105 instantly and every 3 seconds',100,2,4),
(65385,10108595,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 119',100,2,5),
(65386,81880,'When Equipped:',100,0,0),
(65387,81880,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(65388,81880,'Decreases Threat to target by 487 ',100,2,2),
(65389,81880,'Must be flanking or behind',100,3,3),
(65390,81880,'Increases Threat to target by 488 ',100,2,4),
(65391,81880,'Must be in front of',100,3,5),
(65392,81880,'Inflicts 141 - 262 magic damage on target',100,2,6),
(65393,81880,'Cannot be modified except by direct means',100,2,7),
(65394,10081880,'When Equipped:',100,0,0),
(65395,10081880,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(65396,10081880,'Inflicts 198 - 367 magic damage on target',100,2,2),
(65397,10081880,'Cannot be modified except by direct means',100,2,3),
(65398,35065,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(65399,104478,'Decreases Mitigation of target encounter vs physical damage by 361',100,1,0),
(65400,10104478,'Decreases Mitigation of target encounter vs physical damage by 361',100,1,0),
(65401,106828,'Decreases Crushing, Piercing, Slashing and Ranged of target by 8.6',100,1,0),
(65402,10106828,'Decreases Crushing, Piercing, Slashing and Ranged of target by 8.6',100,1,0),
(65403,116038,'Shapechanges caster into a lion',100,1,0),
(65404,116038,'Increases STA of caster by 33.6',100,1,1),
(65405,116038,'Adds 3.2% to base avoidance.',100,1,2),
(65406,116038,'Grants See Stealth to caster',100,1,3),
(65407,116038,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 532',100,1,4),
(65408,10116038,'Shapechanges caster into a lion',100,1,0),
(65409,10116038,'Increases STA of caster by 33.6',100,1,1),
(65410,10116038,'Adds 3.2% to base avoidance.',100,1,2),
(65411,10116038,'Grants See Stealth to caster',100,1,3),
(65412,10116038,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 532',100,1,4),
(65413,171965,'When Equipped:',100,0,0),
(65414,171965,'On a critical healing spell cast this spell may cast Flockmaster''s Protection II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65415,171965,'This effect applies to both the caster and the target.',100,2,2),
(65416,171965,'When any damage is received this spell will cast Flockmaster''s Protection II on target.  ',100,2,3),
(65417,171965,'Heals target for 86 - 96',100,3,4),
(65418,171965,'Must not be engaged in pvp combat',100,3,5),
(65419,171965,'Cannot be modified except by direct means',100,3,6),
(65420,171965,'Grants a total of 5 triggers of the spell.',100,3,7),
(65421,171965,'Must not be engaged in pvp combat',100,2,8),
(65422,171965,'Cannot be modified except by direct means',100,2,9),
(65423,171965,'Must not be engaged in pvp combat',100,1,10),
(65424,10171965,'When Equipped:',100,0,0),
(65425,10171965,'On a critical healing spell cast this spell may cast Flockmaster''s Protection II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65426,10171965,'This effect applies to both the caster and the target.',100,2,2),
(65427,10171965,'When any damage is received this spell will cast Flockmaster''s Protection II on target.  ',100,2,3),
(65428,10171965,'Heals target for 56 - 62',100,3,4),
(65429,10171965,'Must not be engaged in pvp combat',100,3,5),
(65430,10171965,'Cannot be modified except by direct means',100,3,6),
(65431,10171965,'Grants a total of 5 triggers of the spell.',100,3,7),
(65432,10171965,'Must not be engaged in pvp combat',100,2,8),
(65433,10171965,'Cannot be modified except by direct means',100,2,9),
(65434,10171965,'Must not be engaged in pvp combat',100,1,10),
(65435,25888,'When Equipped:',100,0,0),
(65436,25888,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(65437,25888,'Improves the extra tick of Upbeat Tempo by 1.',100,1,2),
(65438,10025888,'When Equipped:',100,0,0),
(65439,10025888,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(65440,10025888,'Improves the extra tick of Upbeat Tempo by 1.',100,1,2),
(65441,122943,'Inflicts 67 - 91 mental damage on target',100,1,0),
(65442,10122943,'Inflicts 94 - 127 mental damage on target',100,1,0),
(65443,106162,'Summons a pet Dedicated Jack-o-Lantern',100,1,0),
(65444,10106162,'Summons a pet Dedicated Jack-o-Lantern',100,1,0),
(65445,104182,'Increases Threat to target encounter by 559 - 683 ',100,1,0),
(65446,104182,'Interrupts target encounter',100,1,1),
(65447,10104182,'Forces target encounter to change their selected target to caster.',100,1,0),
(65448,10104182,'Interrupts target encounter',100,1,1),
(65449,10104182,'Prevents target encounter from changing targets',100,1,2),
(65450,113526,'Inflicts 20 - 34 disease damage on target',100,1,0),
(65451,10113526,'Inflicts 29 - 48 disease damage on target',100,1,0),
(65452,160444,'When Equipped:',100,0,0),
(65453,160444,'Additional equipment with Void Bane improves this effect.',100,1,1),
(65454,160444,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(65455,160444,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(65456,160444,'If any of the following are true:',100,3,4),
(65457,160444,'Must be classified as a void beast',100,4,5),
(65458,160444,'Must be classified as a shadowed folk',100,4,6),
(65459,160444,'Inflicts 1031 mental damage on target',100,2,7),
(65460,160444,'If any of the following are true:',100,3,8),
(65461,160444,'Must be classified as a void beast',100,4,9),
(65462,160444,'Must be classified as a shadowed folk',100,4,10),
(65463,160444,'Inflicts 516 mental damage on target',100,2,11),
(65464,160444,'Must not be classified as a void beast',100,3,12),
(65465,160444,'Must not be classified as a shadowed folk',100,3,13),
(65466,160444,'Cannot be modified except by direct means',100,2,14),
(65467,10160444,'When Equipped:',100,0,0),
(65468,10160444,'Additional equipment with Void Bane improves this effect.',100,1,1),
(65469,10160444,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(65470,10160444,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(65471,10160444,'If any of the following are true:',100,3,4),
(65472,10160444,'Must be classified as a void beast',100,4,5),
(65473,10160444,'Must be classified as a shadowed folk',100,4,6),
(65474,10160444,'Inflicts 1444 mental damage on target',100,2,7),
(65475,10160444,'If any of the following are true:',100,3,8),
(65476,10160444,'Must be classified as a void beast',100,4,9),
(65477,10160444,'Must be classified as a shadowed folk',100,4,10),
(65478,10160444,'Inflicts 722 mental damage on target',100,2,11),
(65479,10160444,'Must not be classified as a void beast',100,3,12),
(65480,10160444,'Must not be classified as a shadowed folk',100,3,13),
(65481,10160444,'Cannot be modified except by direct means',100,2,14),
(65482,139268,'When Equipped:',100,0,0),
(65483,139268,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(65484,10139268,'When Equipped:',100,0,0),
(65485,10139268,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(65486,109609,'Increases Defense of group members'' pets (AE) by 8.3',100,1,0),
(65487,109609,'Increases Mitigation of group members (AE) vs all damage by 132',100,1,1),
(65488,10109609,'Increases Defense of group members'' pets (AE) by 8.3',100,1,0),
(65489,10109609,'Increases Mitigation of group members (AE) vs all damage by 132',100,1,1),
(65490,172474,'When Equipped:',100,0,0),
(65491,172474,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(65492,172474,'Heals caster for 117 - 143',100,2,2),
(65493,172474,'Increases power of caster by 71',100,2,3),
(65494,172474,'Must not be engaged in pvp combat',100,2,4),
(65495,172474,'Cannot be modified except by direct means',100,2,5),
(65496,172474,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(65497,172474,'Heals caster for 117 - 143',100,2,7),
(65498,172474,'Increases power of caster by 71',100,2,8),
(65499,172474,'Must not be engaged in pvp combat',100,2,9),
(65500,172474,'Cannot be modified except by direct means',100,2,10),
(65501,10172474,'When Equipped:',100,0,0),
(65502,10172474,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(65503,10172474,'Heals caster for 76 - 93',100,2,2),
(65504,10172474,'Increases power of caster by 71',100,2,3),
(65505,10172474,'Must not be engaged in pvp combat',100,2,4),
(65506,10172474,'Cannot be modified except by direct means',100,2,5),
(65507,10172474,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(65508,10172474,'Heals caster for 76 - 93',100,2,7),
(65509,10172474,'Increases power of caster by 71',100,2,8),
(65510,10172474,'Must not be engaged in pvp combat',100,2,9),
(65511,10172474,'Cannot be modified except by direct means',100,2,10),
(65512,105889,'Inflicts 157 - 262 ranged damage on target',100,1,0),
(65513,105889,'Inflicts 157 - 262 ranged damage on target',100,1,1),
(65514,105889,'If weapon equipped in Ranged',100,1,2),
(65515,10105889,'Inflicts 134 - 223 ranged damage on target',100,1,0),
(65516,10105889,'Inflicts 134 - 223 ranged damage on target',100,1,1),
(65517,10105889,'If weapon equipped in Ranged',100,1,2),
(65518,170962,'When Equipped:',100,0,0),
(65519,170962,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65520,170962,'Inflicts 1986 heat damage on target',100,2,2),
(65521,170962,'Cannot be modified except by direct means',100,2,3),
(65522,10170962,'When Equipped:',100,0,0),
(65523,10170962,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65524,10170962,'Inflicts 1390 heat damage on target',100,2,2),
(65525,10170962,'Cannot be modified except by direct means',100,2,3),
(65526,139367,'Applies Glorious Halo when Activated.',100,0,0),
(65527,139367,'Summons a glowing halo.',100,1,1),
(65528,139367,'The casting time of Glorious Halo is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(65529,139367,'When Equipped:',100,0,3),
(65530,139367,'Reduces maximum falling speed of caster',100,1,4),
(65531,10139367,'Applies Glorious Halo when Activated.',100,0,0),
(65532,10139367,'Summons a glowing halo.',100,1,1),
(65533,10139367,'The casting time of Glorious Halo is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(65534,10139367,'When Equipped:',100,0,3),
(65535,10139367,'Reduces maximum falling speed of caster',100,1,4),
(65536,123693,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(65537,123693,'Inflicts 100 divine damage on target',100,2,1),
(65538,123693,'Grants a total of 5 triggers of the spell.',100,2,2),
(65539,10123693,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(65540,10123693,'Inflicts 139 divine damage on target',100,2,1),
(65541,10123693,'Grants a total of 5 triggers of the spell.',100,2,2),
(65542,106764,'Mesmerizes target',100,1,0),
(65543,106764,'Prevents AOE (except when direct) ',100,1,1),
(65544,106764,'Dispelled when target takes damage',100,1,2),
(65545,106764,'Does not affect Epic targets',100,1,3),
(65546,106764,'Resistibility increases against targets higher than level 69.',100,1,4),
(65547,10106764,'Mesmerizes target',100,1,0),
(65548,10106764,'Prevents AOE (except when direct) ',100,1,1),
(65549,10106764,'Dispelled when target takes damage',100,1,2),
(65550,10106764,'Does not affect Epic targets',100,1,3),
(65551,10106764,'Resistibility increases against targets higher than level 69.',100,1,4),
(65552,48090,'Applies Geode of Essence when Activated.',100,0,0),
(65553,48090,'Increases power of caster by 127',100,1,1),
(65554,48090,'Requires 272 Health to cast.',100,1,2),
(65555,10048090,'Applies Geode of Essence when Activated.',100,0,0),
(65556,10048090,'Increases power of caster by 127',100,1,1),
(65557,10048090,'Requires 272 Health to cast.',100,1,2),
(65558,114030,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(65559,114030,'Heals target for 41 instantly and every 2 seconds',100,2,1),
(65560,114030,'Decreases Mitigation of target vs arcane damage by 840',100,1,2),
(65561,10114030,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(65562,10114030,'Heals target for 135 instantly and every 2 seconds',100,2,1),
(65563,10114030,'Decreases Mitigation of target vs arcane damage by 840',100,1,2),
(65564,136628,'When Equipped:',100,0,0),
(65565,136628,'On a melee hit this spell may cast Ward of Security on caster.  Lasts for 12.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(65566,136628,'Wards caster against 200 points of all damage',100,2,2),
(65567,136628,'Cannot be modified except by direct means',100,2,3),
(65568,136628,'When Equipped:',100,0,4),
(65569,136628,'Increases Hate Gain of caster by 5.0%',100,1,5),
(65570,10136628,'When Equipped:',100,0,0),
(65571,10136628,'On a melee hit this spell may cast Ward of Security on caster.  Lasts for 12.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(65572,10136628,'Wards caster against 200 points of all damage',100,2,2),
(65573,10136628,'Cannot be modified except by direct means',100,2,3),
(65574,10136628,'When Equipped:',100,0,4),
(65575,118301,'Roots target encounter',100,1,0),
(65576,118301,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(65577,118301,'Slows target by 53.2%',100,2,2),
(65578,118301,'5% chance to dispel when target receives hostile action',100,2,3),
(65579,118301,'5% chance to dispel when target takes damage',100,2,4),
(65580,118301,'20% chance to dispel when target takes damage',100,1,5),
(65581,118301,'Does not affect Epic targets',100,1,6),
(65582,118301,'Resistibility increases against targets higher than level 69.',100,1,7),
(65583,10118301,'Roots target encounter',100,1,0),
(65584,10118301,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(65585,10118301,'Slows target by 53.2%',100,2,2),
(65586,10118301,'5% chance to dispel when target receives hostile action',100,2,3),
(65587,10118301,'5% chance to dispel when target takes damage',100,2,4),
(65588,10118301,'20% chance to dispel when target takes damage',100,1,5),
(65589,10118301,'Does not affect Epic targets',100,1,6),
(65590,10118301,'Resistibility increases against targets higher than level 69.',100,1,7),
(65591,113891,'Increases power of target by 242',100,1,0),
(65592,10113891,'Increases power of target by 242',100,1,0),
(65593,108521,'Increases AGI and WIS of group members (AE) by 34.0',100,1,0),
(65594,108521,'Adds 1.4% to base avoidance.',100,1,1),
(65595,108521,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 96',100,1,2),
(65596,10108521,'Increases AGI and WIS of group members (AE) by 34.0',100,1,0),
(65597,10108521,'Adds 1.4% to base avoidance.',100,1,1),
(65598,10108521,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 96',100,1,2),
(65599,112089,'Inflicts 38 - 64 heat damage on target instantly and every 2 seconds',100,1,0),
(65600,10112089,'Inflicts 131 - 219 heat damage on target instantly and every 2 seconds',100,1,0),
(65601,71757,'When Equipped:',100,0,0),
(65602,71757,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65603,71757,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(65604,71757,'Cannot be modified except by direct means',100,2,3),
(65605,10071757,'When Equipped:',100,0,0),
(65606,10071757,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65607,10071757,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(65608,10071757,'Cannot be modified except by direct means',100,2,3),
(65609,26642,'When Equipped:',100,0,0),
(65610,26642,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(65611,26642,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(65612,10026642,'When Equipped:',100,0,0),
(65613,10026642,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(65614,10026642,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,2),
(65615,43335,'When Equipped:',100,0,0),
(65616,43335,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(65617,43335,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(65618,43335,'Heals group members (AE) for 5384 - 5951',100,2,3),
(65619,43335,'Must not be engaged in pvp combat',100,2,4),
(65620,43335,'Cannot be modified except by direct means',100,2,5),
(65621,43335,'Cannot be modified except by direct means',100,1,6),
(65622,43335,'When Equipped:',100,0,7),
(65623,43335,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(65624,43335,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(65625,43335,'Wards target against 4840 points of all damage',100,2,10),
(65626,43335,'Must not be engaged in pvp combat',100,2,11),
(65627,43335,'Cannot be modified except by direct means',100,2,12),
(65628,43335,'Cannot be modified except by direct means',100,1,13),
(65629,10043335,'When Equipped:',100,0,0),
(65630,10043335,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(65631,10043335,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(65632,10043335,'Heals group members (AE) for 6299 - 6962',100,2,3),
(65633,10043335,'Must not be engaged in pvp combat',100,2,4),
(65634,10043335,'Cannot be modified except by direct means',100,2,5),
(65635,10043335,'Cannot be modified except by direct means',100,1,6),
(65636,10043335,'When Equipped:',100,0,7),
(65637,10043335,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(65638,10043335,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(65639,10043335,'Wards target against 4840 points of all damage',100,2,10),
(65640,10043335,'Must not be engaged in pvp combat',100,2,11),
(65641,10043335,'Cannot be modified except by direct means',100,2,12),
(65642,10043335,'Cannot be modified except by direct means',100,1,13),
(65643,114639,'Decreases WIS of target by 69.2',100,1,0),
(65644,114639,'Inflicts 813 - 1356 melee damage on target',100,1,1),
(65645,114639,'You must be sneaking to use this ability.',100,1,2),
(65646,10114639,'Decreases WIS of target by 69.2',100,1,0),
(65647,10114639,'Inflicts 1057 - 1762 melee damage on target',100,1,1),
(65648,10114639,'You must be sneaking to use this ability.',100,1,2),
(65649,103192,'Increases Mitigation of caster vs physical damage by 220',100,1,0),
(65650,103192,'Roots caster',100,1,1),
(65651,10103192,'Increases Mitigation of caster vs physical damage by 220',100,1,0),
(65652,10103192,'Roots caster',100,1,1),
(65653,107322,'Decreases WIS of target by 50.2',100,1,0),
(65654,107322,'Decreases Defense of target by 19.2',100,1,1),
(65655,10107322,'Decreases WIS of target by 50.2',100,1,0),
(65656,10107322,'Decreases Defense of target by 19.2',100,1,1),
(65657,101347,'Reduces physical damage done to caster by 5%',100,1,0),
(65658,101347,'Adds 2.1% to base avoidance.',100,1,1),
(65659,101347,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(65660,101347,'Increases Aggression of caster by 1.9',100,1,3),
(65661,101347,'Increases Defense and Parry of caster by 3.0',100,1,4),
(65662,101347,'Increases Mitigation of caster vs noxious and arcane damage by 24',100,1,5),
(65663,101347,'Increases Mitigation of caster vs elemental damage by 237',100,1,6),
(65664,101347,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(65665,10101347,'Reduces physical damage done to caster by 5%',100,1,0),
(65666,10101347,'Adds 2.1% to base avoidance.',100,1,1),
(65667,10101347,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(65668,10101347,'Increases Aggression of caster by 1.9',100,1,3),
(65669,10101347,'Increases Defense and Parry of caster by 3.0',100,1,4),
(65670,10101347,'Increases Mitigation of caster vs noxious and arcane damage by 24',100,1,5),
(65671,10101347,'Increases Mitigation of caster vs elemental damage by 237',100,1,6),
(65672,10101347,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(65673,109562,'Makes target afraid',100,1,0),
(65674,109562,'30% chance to dispel when target takes damage',100,1,1),
(65675,109562,'Does not affect Epic targets',100,1,2),
(65676,109562,'Resistibility increases against targets higher than level 55.',100,1,3),
(65677,10109562,'Makes target afraid',100,1,0),
(65678,10109562,'30% chance to dispel when target takes damage',100,1,1),
(65679,10109562,'Does not affect Epic targets',100,1,2),
(65680,10109562,'Resistibility increases against targets higher than level 55.',100,1,3),
(65681,159904,'Applies Lambent Imbued when Equipped.',100,0,0),
(65682,159904,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(65683,159904,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(65684,159904,'Cannot be modified except by direct means',100,2,3),
(65685,10159904,'Applies Lambent Imbued when Equipped.',100,0,0),
(65686,10159904,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(65687,10159904,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(65688,10159904,'Cannot be modified except by direct means',100,2,3),
(65689,113667,'Inflicts 756 - 924 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(65690,113667,'Decreases power of target encounter by 126 - 154 instantly and every 5 seconds',100,1,1),
(65691,113667,'Heals group members (AE) for 618 - 755 instantly and every 5 seconds',100,1,2),
(65692,113667,'Increases power of group members (AE) by 103 - 126 instantly and every 5 seconds',100,1,3),
(65693,10113667,'Inflicts 1059 - 1294 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(65694,10113667,'Decreases power of target encounter by 126 - 154 instantly and every 5 seconds',100,1,1),
(65695,10113667,'Heals group members (AE) for 723 - 883 instantly and every 5 seconds',100,1,2),
(65696,10113667,'Increases power of group members (AE) by 103 - 126 instantly and every 5 seconds',100,1,3),
(65697,138400,'When Equipped:',100,0,0),
(65698,138400,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65699,138400,'Wards target against 1000 points of all damage',100,2,2),
(65700,138400,'Cannot be modified except by direct means',100,2,3),
(65701,138400,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(65702,10138400,'When Equipped:',100,0,0),
(65703,10138400,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65704,10138400,'Wards target against 1000 points of all damage',100,2,2),
(65705,10138400,'Cannot be modified except by direct means',100,2,3),
(65706,10138400,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(65707,85373,'When Equipped:',100,0,0),
(65708,85373,'On a combat hit this spell may cast Curse of the Vile on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65709,85373,'Inflicts 335 - 558 poison damage on target',100,2,2),
(65710,85373,'Cannot be modified except by direct means',100,2,3),
(65711,10085373,'When Equipped:',100,0,0),
(65712,10085373,'On a combat hit this spell may cast Curse of the Vile on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65713,10085373,'Inflicts 469 - 781 poison damage on target',100,2,2),
(65714,10085373,'Cannot be modified except by direct means',100,2,3),
(65715,159618,'Applies Sanguine Imbued when Equipped.',100,0,0),
(65716,159618,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(65717,159618,'Inflicts 43 heat damage on target',100,2,2),
(65718,159618,'Cannot be modified except by direct means',100,2,3),
(65719,10159618,'Applies Sanguine Imbued when Equipped.',100,0,0),
(65720,10159618,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(65721,10159618,'Inflicts 61 heat damage on target',100,2,2),
(65722,10159618,'Cannot be modified except by direct means',100,2,3),
(65723,117024,'Inflicts 289 - 869 melee damage on target',100,1,0),
(65724,10117024,'Inflicts 376 - 1129 melee damage on target',100,1,0),
(65725,100070,'Increases progress by 20.0',100,1,0),
(65726,10100070,'Increases progress by 20.0',100,1,0),
(65727,84034,'Applies Lightning Shock when Activated.',100,0,0),
(65728,84034,'Inflicts 227 - 379 magic damage on target',100,1,1),
(65729,84034,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(65730,10084034,'Applies Lightning Shock when Activated.',100,0,0),
(65731,10084034,'Inflicts 318 - 531 magic damage on target',100,1,1),
(65732,10084034,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(65733,107542,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(65734,107542,'Decreases Mitigation of target encounter vs elemental and noxious damage by 680',100,1,1),
(65735,10107542,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(65736,10107542,'Decreases Mitigation of target encounter vs elemental and noxious damage by 680',100,1,1),
(65737,115610,'Shapechanges caster into a zombie',100,1,0),
(65738,10115610,'Shapechanges caster into a zombie',100,1,0),
(65739,36376,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(65740,45783,'Applies Conladan''s Awakening when Activated.  Lasts for 15 minutes.',100,0,0),
(65741,45783,'Increases Max Power of caster by 207.2',100,1,1),
(65742,10045783,'Applies Conladan''s Awakening when Activated.  Lasts for 15 minutes.',100,0,0),
(65743,10045783,'Increases Max Power of caster by 207.2',100,1,1),
(65744,108065,'Inflicts 1086 magic damage on target',100,1,0),
(65745,108065,'Increases power of caster by 492',100,1,1),
(65746,10108065,'Inflicts 1521 magic damage on target',100,1,0),
(65747,10108065,'Increases power of caster by 492',100,1,1),
(65748,82405,'When Equipped:',100,0,0),
(65749,82405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65750,82405,'Inflicts 144 - 268 magic damage on target',100,2,2),
(65751,82405,'Cannot be modified except by direct means',100,2,3),
(65752,10082405,'When Equipped:',100,0,0),
(65753,10082405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65754,10082405,'Inflicts 202 - 375 magic damage on target',100,2,2),
(65755,10082405,'Cannot be modified except by direct means',100,2,3),
(65756,173004,'When Equipped:',100,0,0),
(65757,173004,'1% of all damage received by the caster is prevented.',100,1,1),
(65758,173004,'Must not be engaged in pvp combat',100,1,2),
(65759,10173004,'When Equipped:',100,0,0),
(65760,10173004,'1% of all damage received by the caster is prevented.',100,1,1),
(65761,10173004,'Must not be engaged in pvp combat',100,1,2),
(65762,111122,'Heals target for 27.4 - 33.4% of max health',100,1,0),
(65763,111122,'This effect cannot be critically applied.',100,2,1),
(65764,111122,'Increases Mitigation of target vs physical damage by 666',100,1,2),
(65765,111122,'The healing of this spell cannot be modified except by direct means',100,1,3),
(65766,10111122,'Heals target for 10.3 - 12.5% of max health',100,1,0),
(65767,10111122,'This effect cannot be critically applied.',100,2,1),
(65768,10111122,'Increases Mitigation of target vs physical damage by 666',100,1,2),
(65769,10111122,'The healing of this spell cannot be modified except by direct means',100,1,3),
(65770,121164,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(65771,121164,'Increases Hate Gain of caster by 5.0%',100,2,1),
(65772,121164,'Increases Attack Speed of caster by 60.4',100,2,2),
(65773,121164,'Dispelled when target takes damage',100,2,3),
(65774,10121164,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(65775,10121164,'Increases Attack Speed of caster by 60.4',100,2,1),
(65776,10121164,'Dispelled when target takes damage',100,2,2),
(65777,46337,'Applies Eat treat when Activated.  Lasts for 5 minutes.',100,0,0),
(65778,46337,'Only the chef knows the secret of the recipe!',100,1,1),
(65779,10046337,'Applies Eat treat when Activated.  Lasts for 5 minutes.',100,0,0),
(65780,10046337,'Only the chef knows the secret of the recipe!',100,1,1),
(65781,100131,'Decreases STR, AGI, WIS and INT of target by 69.7',100,1,0),
(65782,100131,'Decreases Max Health of target by 1.0%',100,1,1),
(65783,10100131,'Decreases STR, AGI, WIS and INT of target by 69.7',100,1,0),
(65784,10100131,'Decreases Max Health of target by 1.0%',100,1,1),
(65785,116808,'Increases STR, AGI, WIS and INT of target by 106.3',100,1,0),
(65786,116808,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65787,116808,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(65788,116808,'Increases Attack Speed of target by 65.0',100,2,3),
(65789,116808,'Increases Damage Per Second of target by 65.0',100,2,4),
(65790,116808,'Adds 2.2% to base avoidance.',100,1,5),
(65791,116808,'Increases Mitigation of target vs elemental, noxious and arcane damage by 314',100,1,6),
(65792,10116808,'Increases STR, AGI, WIS and INT of target by 106.3',100,1,0),
(65793,10116808,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(65794,10116808,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(65795,10116808,'Increases Attack Speed of target by 65.0',100,2,3),
(65796,10116808,'Increases Damage Per Second of target by 65.0',100,2,4),
(65797,10116808,'Adds 2.2% to base avoidance.',100,1,5),
(65798,10116808,'Increases Mitigation of target vs elemental, noxious and arcane damage by 314',100,1,6),
(65799,48677,'Applies Bulwark of Trueheart  when Activated.  Lasts for 30 minutes.',100,0,0),
(65800,10048677,'Applies Bulwark of Trueheart  when Activated.  Lasts for 30 minutes.',100,0,0),
(65801,41604,'When Equipped:',100,0,0),
(65802,41604,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(65803,41604,'Inflicts 351 - 652 magic damage on target',100,2,2),
(65804,41604,'Decreases Threat to target by 994 ',100,2,3),
(65805,41604,'Must be flanking or behind',100,3,4),
(65806,41604,'Increases Threat to target by 994 ',100,2,5),
(65807,41604,'Must be in front of',100,3,6),
(65808,41604,'Cannot be modified except by direct means',100,2,7),
(65809,10041604,'When Equipped:',100,0,0),
(65810,10041604,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(65811,10041604,'Inflicts 492 - 913 magic damage on target',100,2,2),
(65812,10041604,'Cannot be modified except by direct means',100,2,3),
(65813,144967,'When Equipped:',100,0,0),
(65814,144967,'Increases Attack Speed of caster by 40.0',100,1,1),
(65815,10144967,'When Equipped:',100,0,0),
(65816,10144967,'Increases Attack Speed of caster by 40.0',100,1,1),
(65817,123230,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(65818,123230,'Increases Mitigation of group members (AE) vs noxious damage by 96',100,1,1),
(65819,10123230,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(65820,10123230,'Increases Mitigation of group members (AE) vs noxious damage by 96',100,1,1),
(65821,36588,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(65822,81163,'When Equipped:',100,0,0),
(65823,81163,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(65824,81163,'Inflicts 194 - 361 magic damage on target',100,2,2),
(65825,81163,'Decreases Threat to target by 517 ',100,2,3),
(65826,81163,'Must be flanking or behind',100,3,4),
(65827,81163,'Increases Threat to target by 517 ',100,2,5),
(65828,81163,'Must be in front of',100,3,6),
(65829,81163,'Cannot be modified except by direct means',100,2,7),
(65830,10081163,'When Equipped:',100,0,0),
(65831,10081163,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(65832,10081163,'Inflicts 272 - 505 magic damage on target',100,2,2),
(65833,10081163,'Cannot be modified except by direct means',100,2,3),
(65834,120555,'Decreases Defense of target by 32.8',100,1,0),
(65835,10120555,'Decreases Defense of target by 32.8',100,1,0),
(65836,116927,'Increases Threat to target by 108 - 132 ',100,1,0),
(65837,103574,'Increases Mitigation of caster vs physical damage by 182',100,1,0),
(65838,10103574,'Increases Mitigation of caster vs physical damage by 182',100,1,0),
(65839,159793,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(65840,159793,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(65841,159793,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(65842,159793,'Cannot be modified except by direct means',100,2,3),
(65843,10159793,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(65844,10159793,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(65845,10159793,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(65846,10159793,'Cannot be modified except by direct means',100,2,3),
(65847,103306,'Applies Migraine on termination.',100,1,0),
(65848,103306,'Inflicts 48 - 65 mental damage on target',100,2,1),
(65849,103306,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',100,1,2),
(65850,10103306,'Applies Migraine on termination.',100,1,0),
(65851,10103306,'Inflicts 67 - 91 mental damage on target',100,2,1),
(65852,10103306,'Inflicts 31 - 38 mental damage on target instantly and every 6 seconds',100,1,2),
(65853,102900,'Heals caster for 410',100,1,0),
(65854,102900,'Inflicts 814 disease damage on targets in Area of Effect',100,1,1),
(65855,10102900,'Heals caster for 267',100,1,0),
(65856,10102900,'Inflicts 1140 disease damage on targets in Area of Effect',100,1,1),
(65857,112277,'Increases Defense of group members (AE) by 8.6',100,1,0),
(65858,10112277,'Increases Defense of group members (AE) by 8.6',100,1,0),
(65859,71486,'When Equipped:',100,0,0),
(65860,71486,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65861,71486,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(65862,71486,'Cannot be modified except by direct means',100,2,3),
(65863,10071486,'When Equipped:',100,0,0),
(65864,10071486,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(65865,10071486,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(65866,10071486,'Cannot be modified except by direct means',100,2,3),
(65867,87246,'When Equipped:',100,0,0),
(65868,87246,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65869,87246,'Inflicts 227 - 340 magic damage on target',100,2,2),
(65870,87246,'Cannot be modified except by direct means',100,2,3),
(65871,10087246,'When Equipped:',100,0,0),
(65872,10087246,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65873,10087246,'Inflicts 317 - 476 magic damage on target',100,2,2),
(65874,10087246,'Cannot be modified except by direct means',100,2,3),
(65875,119404,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(65876,119404,'Stuns target',100,2,1),
(65877,119404,'Blurs vision of target',100,2,2),
(65878,119404,'Throws target back',100,2,3),
(65879,119404,'Does not affect Epic targets',100,2,4),
(65880,119404,'Inflicts 67 - 113 melee damage on target',100,1,5),
(65881,119404,'You must be sneaking to use this ability.',100,1,6),
(65882,10119404,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(65883,10119404,'Stuns target',100,2,1),
(65884,10119404,'Blurs vision of target',100,2,2),
(65885,10119404,'Throws target back',100,2,3),
(65886,10119404,'Does not affect Epic targets',100,2,4),
(65887,10119404,'Inflicts 88 - 146 melee damage on target',100,1,5),
(65888,10119404,'You must be sneaking to use this ability.',100,1,6),
(65889,144289,'When Equipped:',100,0,0),
(65890,144289,'Increases the caster''s heals and wards by 5%.',100,1,1),
(65891,144289,'Must not be engaged in pvp combat',100,1,2),
(65892,10144289,'When Equipped:',100,0,0),
(65893,10144289,'Increases the caster''s heals and wards by 5%.',100,1,1),
(65894,10144289,'Must not be engaged in pvp combat',100,1,2),
(65895,118452,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(65896,118452,'Inflicts 12 - 15 heat damage on target instantly and every second',100,2,1),
(65897,10118452,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(65898,10118452,'Inflicts 17 - 21 heat damage on target instantly and every second',100,2,1),
(65899,115287,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(65900,115287,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(65901,115287,'Inflicts 402 - 491 poison damage on target',100,3,2),
(65902,115287,'Grants a total of 1 trigger of the spell.',100,3,3),
(65903,10115287,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(65904,10115287,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(65905,10115287,'Inflicts 562 - 687 poison damage on target',100,3,2),
(65906,10115287,'Grants a total of 1 trigger of the spell.',100,3,3),
(65907,104325,'Charms target',100,1,0),
(65908,104325,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(65909,104325,'Mesmerizes target',100,2,2),
(65910,104325,'Dispelled when target takes damage',100,2,3),
(65911,104325,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(65912,104325,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(65913,104325,'Grants Sonic Vision to caster',100,2,6),
(65914,104325,'Increases Out-of-Combat Power Regeneration of target by 2.4',100,1,7),
(65915,104325,'Increases Out-of-Combat Health Regeneration of target by 4.8',100,1,8),
(65916,104325,'Certain enemies cannot be charmed',100,1,9),
(65917,104325,'Only affects targets level 16 and below',100,1,10),
(65918,104325,'Does not affect Epic targets',100,1,11),
(65919,10104325,'Mesmerizes target',100,1,0),
(65920,10104325,'Prevents AOE (except when direct) ',100,1,1),
(65921,10104325,'Dispelled when target takes damage',100,1,2),
(65922,10104325,'Certain enemies cannot be charmed',100,1,3),
(65923,10104325,'Only affects targets level 16 and below',100,1,4),
(65924,10104325,'Does not affect Epic targets',100,1,5),
(65925,10104325,'Resistibility increases against targets higher than level 31.',100,1,6),
(65926,102106,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(65927,102106,'Stuns target',100,2,1),
(65928,102106,'Blurs vision of target',100,2,2),
(65929,102106,'Throws target back',100,2,3),
(65930,102106,'Does not affect Epic targets',100,2,4),
(65931,102106,'Inflicts 159 - 265 crushing damage on target',100,1,5),
(65932,10102106,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(65933,10102106,'Stuns target',100,2,1),
(65934,10102106,'Blurs vision of target',100,2,2),
(65935,10102106,'Throws target back',100,2,3),
(65936,10102106,'Does not affect Epic targets',100,2,4),
(65937,10102106,'Inflicts 207 - 345 crushing damage on target',100,1,5),
(65938,110098,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(65939,110098,'Inflicts 27 disease damage on target',100,2,1),
(65940,110098,'Heals caster for 15',100,2,2),
(65941,110098,'Decreases INT of target by 81.5',100,1,3),
(65942,110098,'Decreases Attack Speed of target by 25.0',100,1,4),
(65943,110098,'Increases Max Health of target by 14.0%',100,1,5),
(65944,110098,'Increases Hate Gain of target by 31.9%',100,1,6),
(65945,110098,'Increases Aggression of target by 8.8',100,1,7),
(65946,110098,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(65947,110098,'Increases Threat to target encounter by 74 - 90 ',100,2,9),
(65948,110098,'Increases Mitigation of target vs elemental, noxious and arcane damage by 588',100,1,10),
(65949,10110098,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(65950,10110098,'Inflicts 37 disease damage on target',100,2,1),
(65951,10110098,'Heals caster for 10',100,2,2),
(65952,10110098,'Decreases INT of target by 81.5',100,1,3),
(65953,10110098,'Decreases Attack Speed of target by 25.0',100,1,4),
(65954,10110098,'Increases Max Health of target by 14.0%',100,1,5),
(65955,10110098,'Increases Aggression of target by 8.8',100,1,6),
(65956,10110098,'Increases Mitigation of target vs elemental, noxious and arcane damage by 588',100,1,7),
(65957,52706,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(65958,52706,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(65959,52706,'Inflicts 41 heat damage on target',100,2,2),
(65960,52706,'Cannot be modified except by direct means',100,2,3),
(65961,10052706,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(65962,10052706,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(65963,10052706,'Inflicts 57 heat damage on target',100,2,2),
(65964,10052706,'Cannot be modified except by direct means',100,2,3),
(65965,80291,'When Equipped:',100,0,0),
(65966,80291,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65967,80291,'Inflicts 64 - 119 magic damage on target',100,2,2),
(65968,80291,'Cannot be modified except by direct means',100,2,3),
(65969,10080291,'When Equipped:',100,0,0),
(65970,10080291,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(65971,10080291,'Inflicts 90 - 167 magic damage on target',100,2,2),
(65972,10080291,'Cannot be modified except by direct means',100,2,3),
(65973,170590,'When Equipped:',100,0,0),
(65974,170590,'Increases Attack Speed of caster by 35.0',100,1,1),
(65975,10170590,'When Equipped:',100,0,0),
(65976,10170590,'Increases Attack Speed of caster by 35.0',100,1,1),
(65977,43192,'When Equipped:',100,0,0),
(65978,43192,'On a ranged hit this spell may cast Scale Slice on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65979,43192,'Inflicts 609 slashing damage on target',100,2,2),
(65980,43192,'Cannot be modified except by direct means',100,2,3),
(65981,10043192,'When Equipped:',100,0,0),
(65982,10043192,'On a ranged hit this spell may cast Scale Slice on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(65983,10043192,'Inflicts 852 slashing damage on target',100,2,2),
(65984,10043192,'Cannot be modified except by direct means',100,2,3),
(65985,45813,'Applies Crystal Recharge when Activated.',100,0,0),
(65986,45813,'Summon 1 Wand of Flames',100,1,1),
(65987,45813,'This effect cannot be cast during combat',100,1,2),
(65988,10045813,'Applies Crystal Recharge when Activated.',100,0,0),
(65989,10045813,'Summon 1 Wand of Flames',100,1,1),
(65990,10045813,'This effect cannot be cast during combat',100,1,2),
(65991,112134,'Dispels 86 levels of physical and arcane hostile effects on caster',100,1,0),
(65992,10112134,'Dispels 86 levels of physical and arcane hostile effects on caster',100,1,0),
(65993,107723,'Inflicts 634 - 1057 heat damage on target',100,1,0),
(65994,107723,'You must be sneaking to use this ability.',100,1,1),
(65995,10107723,'Inflicts 825 - 1375 heat damage on target',100,1,0),
(65996,10107723,'You must be sneaking to use this ability.',100,1,1),
(65997,119354,'Inflicts 254 - 381 disease damage on target',100,1,0),
(65998,119354,'Inflicts 102 - 153 disease damage on target every 4 seconds',100,1,1),
(65999,10119354,'Inflicts 356 - 534 disease damage on target',100,1,0),
(66000,10119354,'Inflicts 142 - 214 disease damage on target every 4 seconds',100,1,1),
(66001,100214,'Increases Threat to target encounter by 464 - 567 ',100,1,0),
(66002,100214,'Interrupts target encounter',100,1,1),
(66003,10100214,'Interrupts target encounter',100,1,0),
(66004,10100214,'Forces target encounter to change their selected target to caster.',100,1,1),
(66005,10100214,'Prevents target encounter from changing targets',100,1,2),
(66006,110758,'Heals group members (AE) for 62 - 75 instantly and every 2 seconds',100,1,0),
(66007,10110758,'Heals group members (AE) for 40 - 49 instantly and every 2 seconds',100,1,0),
(66008,109353,'Increases STR of caster by 253.4',100,1,0),
(66009,109353,'Decreases Defense of caster by 29.8',100,1,1),
(66010,109353,'Increases Slashing, Piercing and Crushing of caster by 74.4',100,1,2),
(66011,10109353,'Increases STR of caster by 253.4',100,1,0),
(66012,10109353,'Decreases Defense of caster by 29.8',100,1,1),
(66013,10109353,'Increases Slashing, Piercing and Crushing of caster by 74.4',100,1,2),
(66014,36513,'Increases AGI and STA of target by 1.2',100,0,0),
(66015,36513,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(66016,112897,'Inflicts 561 - 686 melee damage on target',100,1,0),
(66017,112897,'Decreases Mitigation of target vs physical damage by 469',100,1,1),
(66018,112897,'Must be flanking or behind',100,1,2),
(66019,10112897,'Inflicts 730 - 892 melee damage on target',100,1,0),
(66020,10112897,'Decreases Mitigation of target vs physical damage by 469',100,1,1),
(66021,10112897,'Must be flanking or behind',100,1,2),
(66022,137143,'When Equipped:',100,0,0),
(66023,137143,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(66024,137143,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(66025,137143,'Heals caster for 2322',100,3,3),
(66026,137143,'Cannot be modified except by direct means',100,3,4),
(66027,137143,'Grants a total of 2 triggers of the spell.',100,3,5),
(66028,137143,'Cannot be modified except by direct means',100,2,6),
(66029,10137143,'When Equipped:',100,0,0),
(66030,10137143,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(66031,10137143,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(66032,10137143,'Heals caster for 2716',100,3,3),
(66033,10137143,'Cannot be modified except by direct means',100,3,4),
(66034,10137143,'Grants a total of 2 triggers of the spell.',100,3,5),
(66035,10137143,'Cannot be modified except by direct means',100,2,6),
(66036,111652,'Inflicts 322 - 393 cold damage on target encounter',100,1,0),
(66037,111652,'Slows target encounter by 40.0%',100,1,1),
(66038,111652,'5% chance to dispel when target takes damage',100,1,2),
(66039,111652,'5% chance to dispel when target receives hostile action',100,1,3),
(66040,10111652,'Inflicts 601 - 734 cold damage on target encounter',100,1,0),
(66041,10111652,'Slows target encounter by 40.0%',100,1,1),
(66042,10111652,'5% chance to dispel when target takes damage',100,1,2),
(66043,10111652,'5% chance to dispel when target receives hostile action',100,1,3),
(66044,116744,'Increases Max Health of target by 94.6',100,1,0),
(66045,116744,'Increases Max Power of target by 107.1',100,1,1),
(66046,10116744,'Increases Max Health of target by 94.6',100,1,0),
(66047,10116744,'Increases Max Power of target by 107.1',100,1,1),
(66048,141775,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(66049,141775,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(66050,141775,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(66051,141775,'Cannot be modified except by direct means',100,2,3),
(66052,10141775,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(66053,10141775,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(66054,10141775,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(66055,10141775,'Cannot be modified except by direct means',100,2,3),
(66056,45012,'Applies Create Medal when Activated.',100,0,0),
(66057,45012,'Summon 1 Emblem of Commendation',100,1,1),
(66058,10045012,'Applies Create Medal when Activated.',100,0,0),
(66059,10045012,'Summon 1 Emblem of Commendation',100,1,1),
(66060,159172,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(66061,159172,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(66062,159172,'Inflicts 24 heat damage on target',100,2,2),
(66063,159172,'Cannot be modified except by direct means',100,2,3),
(66064,10159172,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(66065,10159172,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(66066,10159172,'Inflicts 33 heat damage on target',100,2,2),
(66067,10159172,'Cannot be modified except by direct means',100,2,3),
(66068,122596,'Inflicts 85 - 103 mental damage on target instantly and every 3 seconds',100,1,0),
(66069,122596,'Decreases Mitigation of target vs arcane damage by 583',100,1,1),
(66070,10122596,'Inflicts 119 - 145 mental damage on target instantly and every 3 seconds',100,1,0),
(66071,10122596,'Decreases Mitigation of target vs arcane damage by 583',100,1,1),
(66072,37076,'Increases Max Power of target by 4.1',100,0,0),
(66073,37076,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(66074,117005,'Inflicts 75 - 227 melee damage on target',100,1,0),
(66075,10117005,'Inflicts 98 - 295 melee damage on target',100,1,0),
(66076,109673,'Inflicts 48 - 58 cold damage on target instantly and every 3 seconds',100,1,0),
(66077,10109673,'Inflicts 67 - 81 cold damage on target instantly and every 3 seconds',100,1,0),
(66078,186155,'When Equipped:',100,0,0),
(66079,186155,'Increases Potency of caster by 4.0%',100,1,1),
(66080,186155,'Increases Spell Reuse Speed of caster by 4.0%',100,1,2),
(66081,186155,'Must not be engaged in pvp combat',100,1,3),
(66082,10186155,'When Equipped:',100,0,0),
(66083,10186155,'Increases Potency of caster by 4.0%',100,1,1),
(66084,10186155,'Increases Spell Reuse Speed of caster by 4.0%',100,1,2),
(66085,10186155,'Must not be engaged in pvp combat',100,1,3),
(66086,111360,'Inflicts 135 - 225 disease damage on target',100,1,0),
(66087,111360,'Heals caster for 67 - 112',100,1,1),
(66088,10111360,'Inflicts 189 - 316 disease damage on target',100,1,0),
(66089,10111360,'Heals caster for 44 - 73',100,1,1),
(66090,119000,'Heals target for 817 - 999',100,1,0),
(66091,10119000,'Heals target for 869 - 1063',100,1,0),
(66092,106455,'Increases Multi Attack Chance of raid and group members (AE) by 7.2',100,1,0),
(66093,10106455,'Increases Multi Attack Chance of raid and group members (AE) by 7.2',100,1,0),
(66094,109103,'Inflicts 70 - 117 crushing damage on target',100,1,0),
(66095,10109103,'Inflicts 91 - 153 crushing damage on target',100,1,0),
(66096,115560,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1762',100,1,0),
(66097,10115560,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1762',100,1,0),
(66098,46934,'Applies Middling Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(66099,46934,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(66100,46934,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(66101,46934,'Cannot be modified except by direct means',100,2,3),
(66102,46934,'Grants a total of 80 triggers of the spell.',100,2,4),
(66103,46934,'Only affects targets level 50 and above',100,1,5),
(66104,10046934,'Applies Middling Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(66105,10046934,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(66106,10046934,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(66107,10046934,'Cannot be modified except by direct means',100,2,3),
(66108,10046934,'Grants a total of 80 triggers of the spell.',100,2,4),
(66109,10046934,'Only affects targets level 50 and above',100,1,5),
(66110,141882,'When Equipped:',100,0,0),
(66111,141882,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66112,141882,'Increases STR of caster by 16.3',100,2,2),
(66113,141882,'Increases Damage Per Second of caster by 22.7',100,2,3),
(66114,141882,'Cannot be modified except by direct means',100,2,4),
(66115,10141882,'When Equipped:',100,0,0),
(66116,10141882,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66117,10141882,'Increases STR of caster by 16.3',100,2,2),
(66118,10141882,'Increases Damage Per Second of caster by 22.7',100,2,3),
(66119,10141882,'Cannot be modified except by direct means',100,2,4),
(66120,120549,'Decreases Defense of target by 28.8',100,1,0),
(66121,10120549,'Decreases Defense of target by 28.8',100,1,0),
(66122,115337,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(66123,115337,'Makes target afraid',100,2,1),
(66124,115337,'Slows target by 63.0%',100,2,2),
(66125,115337,'30% chance to dispel when target takes damage',100,2,3),
(66126,115337,'Does not affect Epic targets',100,2,4),
(66127,115337,'Resistibility increases against targets higher than level 76.',100,2,5),
(66128,115337,'Roots target',100,1,6),
(66129,115337,'15% chance to dispel when target takes damage',100,1,7),
(66130,115337,'Does not affect Epic targets',100,1,8),
(66131,115337,'Resistibility increases against targets higher than level 76.',100,1,9),
(66132,10115337,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(66133,10115337,'Makes target afraid',100,2,1),
(66134,10115337,'Slows target by 63.0%',100,2,2),
(66135,10115337,'30% chance to dispel when target takes damage',100,2,3),
(66136,10115337,'Does not affect Epic targets',100,2,4),
(66137,10115337,'Resistibility increases against targets higher than level 76.',100,2,5),
(66138,10115337,'Roots target',100,1,6),
(66139,10115337,'15% chance to dispel when target takes damage',100,1,7),
(66140,10115337,'Does not affect Epic targets',100,1,8),
(66141,10115337,'Resistibility increases against targets higher than level 76.',100,1,9),
(66142,105006,'Reduces physical damage done to caster by 5%',100,1,0),
(66143,105006,'Adds 1.7% to base avoidance.',100,1,1),
(66144,105006,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(66145,105006,'Increases Parry of caster by 28.6',100,1,3),
(66146,105006,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(66147,105006,'Increases Aggression of caster by 17.2',100,1,5),
(66148,105006,'Increases Defense and Deflection of caster by 28.6',100,1,6),
(66149,105006,'Increases Mitigation of caster vs arcane damage by 1912',100,1,7),
(66150,105006,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(66151,10105006,'Reduces physical damage done to caster by 5%',100,1,0),
(66152,10105006,'Adds 1.7% to base avoidance.',100,1,1),
(66153,10105006,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(66154,10105006,'Increases Parry of caster by 28.6',100,1,3),
(66155,10105006,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(66156,10105006,'Increases Aggression of caster by 17.2',100,1,5),
(66157,10105006,'Increases Defense and Deflection of caster by 28.6',100,1,6),
(66158,10105006,'Increases Mitigation of caster vs arcane damage by 1912',100,1,7),
(66159,10105006,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(66160,166379,'When Equipped:',100,0,0),
(66161,166379,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(66162,10166379,'When Equipped:',100,0,0),
(66163,10166379,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(66164,36266,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(66165,114643,'Decreases WIS of target by 57.5',100,1,0),
(66166,114643,'Inflicts 692 - 1154 melee damage on target',100,1,1),
(66167,114643,'You must be sneaking to use this ability.',100,1,2),
(66168,10114643,'Decreases WIS of target by 57.5',100,1,0),
(66169,10114643,'Inflicts 900 - 1500 melee damage on target',100,1,1),
(66170,10114643,'You must be sneaking to use this ability.',100,1,2),
(66171,188246,'When Equipped:',100,0,0),
(66172,188246,'Gives caster a 0.3% chance to strikethrough a successful avoidance check',100,1,1),
(66173,188246,'Increases Riposte Damage of caster by 3.0',100,1,2),
(66174,188246,'Increases Additional chance to Riposte of caster by 3.0',100,1,3),
(66175,188246,'Must not be engaged in pvp combat',100,1,4),
(66176,10188246,'When Equipped:',100,0,0),
(66177,10188246,'Gives caster a 0.3% chance to strikethrough a successful avoidance check',100,1,1),
(66178,10188246,'Increases Riposte Damage of caster by 3.0',100,1,2),
(66179,10188246,'Increases Additional chance to Riposte of caster by 3.0',100,1,3),
(66180,10188246,'Must not be engaged in pvp combat',100,1,4),
(66181,100213,'Increases Threat to target encounter by 590 - 721 ',100,1,0),
(66182,100213,'Interrupts target encounter',100,1,1),
(66183,10100213,'Interrupts target encounter',100,1,0),
(66184,10100213,'Forces target encounter to change their selected target to caster.',100,1,1),
(66185,10100213,'Prevents target encounter from changing targets',100,1,2),
(66186,107412,'Inflicts 45 - 68 magic damage on target',100,1,0),
(66187,10107412,'Inflicts 63 - 95 magic damage on target',100,1,0),
(66188,109965,'Inflicts 391 - 587 disease damage on targets in Area of Effect',100,1,0),
(66189,109965,'Inflicts 196 - 293 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(66190,109965,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(66191,109965,'Increases Threat to targets in Area of Effect by 1,133 - 1,385  instantly and every 4 seconds thereafter',100,1,3),
(66192,10109965,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(66193,10109965,'Prevents target from changing targets',100,2,1),
(66194,10109965,'Forces target to change their selected target to caster.',100,2,2),
(66195,10109965,'Inflicts 548 - 821 disease damage on targets in Area of Effect',100,1,3),
(66196,10109965,'Inflicts 274 - 411 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(66197,45561,'Applies Briana''s Reclamation  when Activated.',100,0,0),
(66198,45561,'Heals caster for 76',100,1,1),
(66199,10045561,'Applies Briana''s Reclamation  when Activated.',100,0,0),
(66200,10045561,'Heals caster for 49',100,1,1),
(66201,124781,'Increases STR of caster by 26.4',100,1,0),
(66202,124781,'Decreases Defense of caster by 4.8',100,1,1),
(66203,124781,'Increases Crushing, Piercing, Slashing and Disruption of caster by 7.2',100,1,2),
(66204,10124781,'Increases STR of caster by 26.4',100,1,0),
(66205,10124781,'Decreases Defense of caster by 4.8',100,1,1),
(66206,10124781,'Increases Crushing, Piercing, Slashing and Disruption of caster by 7.2',100,1,2),
(66207,181234,'When Equipped:',100,0,0),
(66208,181234,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(66209,181234,'Makes target immune to Stifle effects',100,2,2),
(66210,181234,'Cannot be modified except by direct means',100,2,3),
(66211,10181234,'When Equipped:',100,0,0),
(66212,10181234,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(66213,10181234,'Makes target immune to Stifle effects',100,2,2),
(66214,10181234,'Cannot be modified except by direct means',100,2,3),
(66215,170657,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(66216,170657,'Decreases WIS, INT, STR and AGI of target by 75.8',100,1,1),
(66217,170657,'Decreases Max Health of target by 1.0%',100,1,2),
(66218,170657,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(66219,10170657,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(66220,10170657,'Decreases WIS, INT, STR and AGI of target by 75.8',100,1,1),
(66221,10170657,'Decreases Max Health of target by 1.0%',100,1,2),
(66222,10170657,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(66223,173444,'When Equipped:',100,0,0),
(66224,173444,'Increases Attack Speed of caster by 45.0',100,1,1),
(66225,10173444,'When Equipped:',100,0,0),
(66226,10173444,'Increases Attack Speed of caster by 45.0',100,1,1),
(66227,47655,'Applies Proof of Conspiracy when Activated.',100,0,0),
(66228,47655,'Chief Conspirator Puvintinev''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Puvintinev''s wrath. You feel it would be wise to not mention that you gathered this from Puvintinev''s corpse...',100,1,1),
(66229,10047655,'Applies Proof of Conspiracy when Activated.',100,0,0),
(66230,10047655,'Chief Conspirator Puvintinev''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Puvintinev''s wrath. You feel it would be wise to not mention that you gathered this from Puvintinev''s corpse...',100,1,1),
(66231,48608,'Applies Spirit Totem of the Sabertooth when Activated.  Lasts for 30 minutes.',100,0,0),
(66232,48608,'Shapechanges caster into a sabertooth',100,1,1),
(66233,48608,'Increases speed of caster by 55.0%',100,1,2),
(66234,48608,'This effect suspends during combat',100,1,3),
(66235,48608,'Only affects targets level 80 and above',100,1,4),
(66236,10048608,'Applies Spirit Totem of the Sabertooth when Activated.  Lasts for 30 minutes.',100,0,0),
(66237,10048608,'Shapechanges caster into a sabertooth',100,1,1),
(66238,10048608,'Increases speed of caster by 55.0%',100,1,2),
(66239,10048608,'This effect suspends during combat',100,1,3),
(66240,10048608,'Only affects targets level 80 and above',100,1,4),
(66241,101252,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(66242,101252,'Inflicts 194 - 323 mental damage on target',100,2,1),
(66243,10101252,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(66244,10101252,'Inflicts 271 - 452 mental damage on target',100,2,1),
(66245,100060,'Decreases STR, AGI and WIS of target by 100.1',100,1,0),
(66246,10100060,'Decreases STR, AGI and WIS of target by 100.1',100,1,0),
(66247,49135,'Applies Will of Caertax when Activated.',100,0,0),
(66248,49135,'Shapechanges caster into an a Caertaxian reaver',100,1,1),
(66249,10049135,'Applies Will of Caertax when Activated.',100,0,0),
(66250,10049135,'Shapechanges caster into an a Caertaxian reaver',100,1,1),
(66251,82539,'When Equipped:',100,0,0),
(66252,82539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66253,82539,'Inflicts 101 - 188 magic damage on target',100,2,2),
(66254,82539,'Cannot be modified except by direct means',100,2,3),
(66255,10082539,'When Equipped:',100,0,0),
(66256,10082539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66257,10082539,'Inflicts 142 - 263 magic damage on target',100,2,2),
(66258,10082539,'Cannot be modified except by direct means',100,2,3),
(66259,71980,'When Equipped:',100,0,0),
(66260,71980,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66261,71980,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(66262,71980,'Cannot be modified except by direct means',100,2,3),
(66263,10071980,'When Equipped:',100,0,0),
(66264,10071980,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66265,10071980,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(66266,10071980,'Cannot be modified except by direct means',100,2,3),
(66267,191577,'When Equipped:',100,0,0),
(66268,191577,'When any damage is received this spell has a 5% chance to cast Panic on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(66269,191577,'Makes target afraid',100,2,2),
(66270,191577,'25% chance to dispel when target takes damage',100,2,3),
(66271,191577,'25% chance to dispel when target receives hostile action',100,2,4),
(66272,191577,'Does not affect Epic targets',100,2,5),
(66273,191577,'Resistibility increases against targets higher than level 77.',100,2,6),
(66274,191577,'Cannot be modified except by direct means',100,2,7),
(66275,10191577,'When Equipped:',100,0,0),
(66276,10191577,'When any damage is received this spell has a 5% chance to cast Panic on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(66277,10191577,'Makes target afraid',100,2,2),
(66278,10191577,'25% chance to dispel when target takes damage',100,2,3),
(66279,10191577,'25% chance to dispel when target receives hostile action',100,2,4),
(66280,10191577,'Does not affect Epic targets',100,2,5),
(66281,10191577,'Resistibility increases against targets higher than level 77.',100,2,6),
(66282,10191577,'Cannot be modified except by direct means',100,2,7),
(66283,75364,'When Equipped:',100,0,0),
(66284,75364,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(66285,75364,'Reduces healing received by 15.00%',100,2,2),
(66286,75364,'Cannot be modified except by direct means',100,2,3),
(66287,75364,'This effect can only trigger once every 1 second.',100,2,4),
(66288,75364,'Must be engaged in pvp combat',100,1,5),
(66289,10075364,'When Equipped:',100,0,0),
(66290,10075364,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(66291,10075364,'Reduces healing received by 15.00%',100,2,2),
(66292,10075364,'Cannot be modified except by direct means',100,2,3),
(66293,10075364,'This effect can only trigger once every 1 second.',100,2,4),
(66294,10075364,'Must be engaged in pvp combat',100,1,5),
(66295,105837,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(66296,105837,'Inflicts 318 - 530 disease damage on target',100,2,1),
(66297,10105837,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(66298,10105837,'Inflicts 413 - 689 disease damage on target',100,2,1),
(66299,84204,'When Equipped:',100,0,0),
(66300,84204,'On a melee hit this spell may cast Master Wu''s Smite on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66301,84204,'Inflicts 218 divine damage on target',100,2,2),
(66302,84204,'Cannot be modified except by direct means',100,2,3),
(66303,10084204,'When Equipped:',100,0,0),
(66304,10084204,'On a melee hit this spell may cast Master Wu''s Smite on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66305,10084204,'Inflicts 306 divine damage on target',100,2,2),
(66306,10084204,'Cannot be modified except by direct means',100,2,3),
(66307,119628,'Inflicts 2101 - 3501 mental damage on targets in Area of Effect',100,1,0),
(66308,119628,'Stuns targets in Area of Effect',100,1,1),
(66309,119628,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(66310,119628,'Resistibility increases against targets higher than level 119.',100,1,3),
(66311,10119628,'Inflicts 2941 - 4902 mental damage on targets in Area of Effect',100,1,0),
(66312,10119628,'Stuns targets in Area of Effect',100,1,1),
(66313,10119628,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(66314,10119628,'Resistibility increases against targets higher than level 119.',100,1,3),
(66315,103625,'Increases STR of raid and group members (AE) by 24.0',100,1,0),
(66316,103625,'Improves the base amount of taunts by 12%.',100,1,1),
(66317,103625,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(66318,103625,'Increases AGI of raid and group members (AE) by 24.0',100,1,3),
(66319,103625,'Adds 1.2% to base avoidance.',100,1,4),
(66320,10103625,'Increases STR of raid and group members (AE) by 24.0',100,1,0),
(66321,10103625,'Improves the base amount of taunts by 12%.',100,1,1),
(66322,10103625,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(66323,10103625,'Increases AGI of raid and group members (AE) by 24.0',100,1,3),
(66324,10103625,'Adds 1.2% to base avoidance.',100,1,4),
(66325,71575,'When Equipped:',100,0,0),
(66326,71575,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66327,71575,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(66328,71575,'Cannot be modified except by direct means',100,2,3),
(66329,10071575,'When Equipped:',100,0,0),
(66330,10071575,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66331,10071575,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(66332,10071575,'Cannot be modified except by direct means',100,2,3),
(66333,123220,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(66334,123220,'Inflicts 156 - 190 disease damage on target',100,2,1),
(66335,123220,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(66336,123220,'This effect cannot be critically applied.',100,3,3),
(66337,123220,'The healing of this spell cannot be modified except by direct means',100,2,4),
(66338,123220,'Grants a total of 5 triggers of the spell.',100,2,5),
(66339,10123220,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(66340,10123220,'Inflicts 218 - 266 disease damage on target',100,2,1),
(66341,10123220,'Heals caster for 1.0 - 1.2% of max health',100,2,2),
(66342,10123220,'This effect cannot be critically applied.',100,3,3),
(66343,10123220,'The healing of this spell cannot be modified except by direct means',100,2,4),
(66344,10123220,'Grants a total of 5 triggers of the spell.',100,2,5),
(66345,104421,'Stifles target encounter',100,1,0),
(66346,104421,'Inflicts 407 - 497 mental damage on target encounter instantly and every second',100,1,1),
(66347,104421,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(66348,104421,'Resistibility increases against targets higher than level 119.',100,1,3),
(66349,10104421,'Stifles target encounter',100,1,0),
(66350,10104421,'Inflicts 529 - 647 mental damage on target encounter instantly and every 0.4 seconds',100,1,1),
(66351,10104421,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(66352,10104421,'Resistibility increases against targets higher than level 119.',100,1,3),
(66353,159587,'When Equipped:',100,0,0),
(66354,159587,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66355,159587,'Increases INT of caster by 8.3',100,2,2),
(66356,159587,'Increases Disruption, Subjugation and Focus of caster by 5.3',100,2,3),
(66357,159587,'Cannot be modified except by direct means',100,2,4),
(66358,10159587,'When Equipped:',100,0,0),
(66359,10159587,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66360,10159587,'Increases INT of caster by 8.3',100,2,2),
(66361,10159587,'Increases Disruption, Subjugation and Focus of caster by 5.3',100,2,3),
(66362,10159587,'Cannot be modified except by direct means',100,2,4),
(66363,100899,'Stuns targets in Area of Effect',20,1,0),
(66364,100899,'If Target is not Epic',100,2,1),
(66365,100899,'Inflicts 99 - 166 divine damage on targets in Area of Effect',100,1,2),
(66366,100899,'Resistibility increases against targets higher than level 57.',100,1,3),
(66367,10100899,'Stuns targets in Area of Effect',20,1,0),
(66368,10100899,'If Target is not Epic',100,2,1),
(66369,10100899,'Inflicts 139 - 232 divine damage on targets in Area of Effect',100,1,2),
(66370,10100899,'Resistibility increases against targets higher than level 57.',100,1,3),
(66371,114714,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(66372,114714,'Decreases Hate Gain of target by 19.7%',100,1,1),
(66373,10114714,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(66374,103197,'Increases Mitigation of caster vs physical damage by 378',100,1,0),
(66375,103197,'Roots caster',100,1,1),
(66376,10103197,'Increases Mitigation of caster vs physical damage by 378',100,1,0),
(66377,10103197,'Roots caster',100,1,1),
(66378,101375,'Reduces physical damage done to caster by 5%',100,1,0),
(66379,101375,'Adds 1.4% to base avoidance.',100,1,1),
(66380,101375,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(66381,101375,'Increases Aggression of caster by 15.5',100,1,3),
(66382,101375,'Increases Defense and Parry of caster by 24.9',100,1,4),
(66383,101375,'Increases Mitigation of caster vs noxious and arcane damage by 158',100,1,5),
(66384,101375,'Increases Mitigation of caster vs elemental damage by 1580',100,1,6),
(66385,101375,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(66386,10101375,'Reduces physical damage done to caster by 5%',100,1,0),
(66387,10101375,'Adds 1.4% to base avoidance.',100,1,1),
(66388,10101375,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(66389,10101375,'Increases Aggression of caster by 15.5',100,1,3),
(66390,10101375,'Increases Defense and Parry of caster by 24.9',100,1,4),
(66391,10101375,'Increases Mitigation of caster vs noxious and arcane damage by 158',100,1,5),
(66392,10101375,'Increases Mitigation of caster vs elemental damage by 1580',100,1,6),
(66393,10101375,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(66394,103420,'Decreases Threat to targets in Area of Effect by 2,405 ',100,1,0),
(66395,103420,'Slows targets in Area of Effect by 35.0%',100,1,1),
(66396,103420,'Stifles targets in Area of Effect',100,1,2),
(66397,103420,'If Target is not Epic',100,2,3),
(66398,103420,'10% chance to dispel when target receives hostile action',100,1,4),
(66399,103420,'10% chance to dispel when target takes damage',100,1,5),
(66400,10103420,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(66401,10103420,'Slows targets in Area of Effect by 35.0%',100,1,1),
(66402,10103420,'Stifles targets in Area of Effect',100,1,2),
(66403,10103420,'If Target is not Epic',100,2,3),
(66404,112864,'Inflicts 14 - 23 crushing damage on target',100,1,0),
(66405,10112864,'Inflicts 18 - 30 crushing damage on target',100,1,0),
(66406,47502,'Applies Petamorph: Amber Wisp when Activated.  Lasts for 2 hours.',100,0,0),
(66407,47502,'Turns the caster''s combat pet into an amber wisp. Does not work on cosmetic pets.',100,1,1),
(66408,10047502,'Applies Petamorph: Amber Wisp when Activated.  Lasts for 2 hours.',100,0,0),
(66409,10047502,'Turns the caster''s combat pet into an amber wisp. Does not work on cosmetic pets.',100,1,1),
(66410,120215,'Roots target encounter',100,1,0),
(66411,120215,'15% chance to dispel when target takes damage',100,1,1),
(66412,120215,'Does not affect Epic targets',100,1,2),
(66413,120215,'Resistibility increases against targets higher than level 69.',100,1,3),
(66414,10120215,'Roots target encounter',100,1,0),
(66415,10120215,'15% chance to dispel when target takes damage',100,1,1),
(66416,10120215,'Does not affect Epic targets',100,1,2),
(66417,10120215,'Resistibility increases against targets higher than level 69.',100,1,3),
(66418,80224,'When Equipped:',100,0,0),
(66419,80224,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66420,80224,'Inflicts 224 - 415 magic damage on target',100,2,2),
(66421,80224,'Decreases Threat to target by 801 ',100,2,3),
(66422,80224,'Must be flanking or behind',100,3,4),
(66423,80224,'Increases Threat to target by 801 ',100,2,5),
(66424,80224,'Must be in front of',100,3,6),
(66425,80224,'Cannot be modified except by direct means',100,2,7),
(66426,10080224,'When Equipped:',100,0,0),
(66427,10080224,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66428,10080224,'Inflicts 313 - 581 magic damage on target',100,2,2),
(66429,10080224,'Cannot be modified except by direct means',100,2,3),
(66430,172539,'When Equipped:',100,0,0),
(66431,172539,'Increases base Combat Art damage by 8%.',100,1,1),
(66432,10172539,'When Equipped:',100,0,0),
(66433,10172539,'Increases base Combat Art damage by 8%.',100,1,1),
(66434,48705,'Applies Elixir of Affliction Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(66435,48705,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(66436,10048705,'Applies Elixir of Affliction Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(66437,10048705,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(66438,112713,'Inflicts 216 - 359 disease damage on target encounter',100,1,0),
(66439,10112713,'Inflicts 302 - 503 disease damage on target encounter',100,1,0),
(66440,109251,'Increases INT and WIS of group members (AE) by 56.4',100,1,0),
(66441,109251,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 158',100,1,1),
(66442,10109251,'Increases INT and WIS of group members (AE) by 56.4',100,1,0),
(66443,10109251,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 158',100,1,1),
(66444,24290,'Adds Dire Bear (Guardian) to your Dungeon Maker toolbox',100,0,0),
(66445,10024290,'Adds Dire Bear (Guardian) to your Dungeon Maker toolbox',100,0,0),
(66446,45573,'Applies Concoction of the Wind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(66447,45573,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(66448,45573,'Inflicts 4 magic damage on target',100,2,2),
(66449,45573,'Cannot be modified except by direct means',100,2,3),
(66450,10045573,'Applies Concoction of the Wind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(66451,10045573,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(66452,10045573,'Inflicts 6 magic damage on target',100,2,2),
(66453,10045573,'Cannot be modified except by direct means',100,2,3),
(66454,49131,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(66455,49131,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(66456,49131,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(66457,49131,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(66458,49131,'Cannot be modified except by direct means',100,2,4),
(66459,49131,'Grants a total of 80 triggers of the spell.',100,2,5),
(66460,10049131,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(66461,10049131,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(66462,10049131,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(66463,10049131,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(66464,10049131,'Cannot be modified except by direct means',100,2,4),
(66465,10049131,'Grants a total of 80 triggers of the spell.',100,2,5),
(66466,123611,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(66467,123611,'Increases Defense of target by 29.0',100,1,1),
(66468,10123611,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(66469,10123611,'Increases Defense of target by 29.0',100,1,1),
(66470,159145,'Applies Lambent Imbued when Equipped.',100,0,0),
(66471,159145,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(66472,159145,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(66473,159145,'Cannot be modified except by direct means',100,2,3),
(66474,10159145,'Applies Lambent Imbued when Equipped.',100,0,0),
(66475,10159145,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(66476,10159145,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(66477,10159145,'Cannot be modified except by direct means',100,2,3),
(66478,36773,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(66479,24377,'Adds Froglok-Undead (Coercer) to your Dungeon Maker toolbox',100,0,0),
(66480,10024377,'Adds Froglok-Undead (Coercer) to your Dungeon Maker toolbox',100,0,0),
(66481,101223,'Inflicts 356 - 593 cold damage on target',100,1,0),
(66482,101223,'Dazes target',100,1,1),
(66483,101223,'If Target is not Epic',100,2,2),
(66484,101223,'Resistibility increases against targets higher than level 101.',100,1,3),
(66485,10101223,'Inflicts 463 - 771 cold damage on target',100,1,0),
(66486,10101223,'Dazes target',100,1,1),
(66487,10101223,'If Target is not Epic',100,2,2),
(66488,10101223,'Resistibility increases against targets higher than level 101.',100,1,3),
(66489,120780,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(66490,120780,'Stuns target',100,2,1),
(66491,120780,'Throws target back',100,2,2),
(66492,120780,'Blurs vision of target',100,2,3),
(66493,120780,'Does not affect Epic targets',100,2,4),
(66494,120780,'Inflicts 61 - 102 piercing damage on target',100,1,5),
(66495,10120780,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(66496,10120780,'Stuns target',100,2,1),
(66497,10120780,'Blurs vision of target',100,2,2),
(66498,10120780,'Throws target back',100,2,3),
(66499,10120780,'Does not affect Epic targets',100,2,4),
(66500,10120780,'Inflicts 79 - 133 piercing damage on target',100,1,5),
(66501,46489,'Applies Peer at the Stars when Activated.',100,0,0),
(66502,10046489,'Applies Peer at the Stars when Activated.',100,0,0),
(66503,114546,'Heals target for 360 - 440',100,1,0),
(66504,10114546,'Heals target for 468 - 572',100,1,0),
(66505,123539,'Inflicts 102 - 154 piercing damage on target instantly and every 4 seconds',100,1,0),
(66506,123539,'Decreases Defense of target by 20.3',100,1,1),
(66507,10123539,'Inflicts 201 - 301 piercing damage on target',100,1,0),
(66508,10123539,'Inflicts 143 - 215 piercing damage on target every 4 seconds',100,1,1),
(66509,10123539,'Decreases Defense of target by 20.3',100,1,2),
(66510,182202,'When Equipped:',100,0,0),
(66511,182202,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(66512,182202,'Makes target afraid',100,2,2),
(66513,182202,'25% chance to dispel when target takes damage',100,2,3),
(66514,182202,'25% chance to dispel when target receives hostile action',100,2,4),
(66515,182202,'Does not affect Epic targets',100,2,5),
(66516,182202,'Resistibility increases against targets higher than level 77.',100,2,6),
(66517,182202,'Cannot be modified except by direct means',100,2,7),
(66518,10182202,'When Equipped:',100,0,0),
(66519,10182202,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(66520,10182202,'Makes target afraid',100,2,2),
(66521,10182202,'25% chance to dispel when target takes damage',100,2,3),
(66522,10182202,'25% chance to dispel when target receives hostile action',100,2,4),
(66523,10182202,'Does not affect Epic targets',100,2,5),
(66524,10182202,'Resistibility increases against targets higher than level 77.',100,2,6),
(66525,10182202,'Cannot be modified except by direct means',100,2,7),
(66526,124433,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(66527,124433,'Inflicts 51 - 85 melee damage on target',100,2,1),
(66528,124433,'Decreases Defense of caster by 5.1',100,1,2),
(66529,124433,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.7',100,1,3),
(66530,10124433,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(66531,10124433,'Inflicts 66 - 111 melee damage on target',100,2,1),
(66532,10124433,'Decreases Defense of caster by 5.1',100,1,2),
(66533,10124433,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.7',100,1,3),
(66534,113711,'Stuns target',100,1,0),
(66535,113711,'If Target is not Epic',100,2,1),
(66536,113711,'Inflicts 2552 - 4253 heat damage on target',100,1,2),
(66537,113711,'Resistibility increases against targets higher than level 121.',100,1,3),
(66538,10113711,'Stuns target',100,1,0),
(66539,10113711,'If Target is not Epic',100,2,1),
(66540,10113711,'Inflicts 3573 - 5955 heat damage on target',100,1,2),
(66541,10113711,'Resistibility increases against targets higher than level 121.',100,1,3),
(66542,46864,'Applies Master of the Marsh when Activated.',100,0,0),
(66543,46864,'Shapechanges the user into a muck monster, and provides a shield which damages any melee attacker.',100,1,1),
(66544,10046864,'Applies Master of the Marsh when Activated.',100,0,0),
(66545,10046864,'Shapechanges the user into a muck monster, and provides a shield which damages any melee attacker.',100,1,1),
(66546,123141,'Reduces physical damage done to caster by 5%',100,1,0),
(66547,123141,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,1),
(66548,123141,'Increases Aggression of caster by 1.1',100,1,2),
(66549,123141,'Increases Defense and Parry of caster by 2.2',100,1,3),
(66550,123141,'Increases Mitigation of caster vs elemental damage by 184',100,1,4),
(66551,123141,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(66552,10123141,'Reduces physical damage done to caster by 5%',100,1,0),
(66553,10123141,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,1),
(66554,10123141,'Increases Aggression of caster by 1.1',100,1,2),
(66555,10123141,'Increases Defense and Parry of caster by 2.2',100,1,3),
(66556,10123141,'Increases Mitigation of caster vs elemental damage by 184',100,1,4),
(66557,10123141,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(66558,25277,'When Equipped:',100,0,0),
(66559,25277,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(66560,25277,'Improves the heal amount of Alleviation VII by 20%.',100,1,2),
(66561,10025277,'When Equipped:',100,0,0),
(66562,10025277,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(66563,10025277,'Improves the heal amount of Alleviation VII by 20%.',100,1,2),
(66564,82164,'When Equipped:',100,0,0),
(66565,82164,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66566,82164,'Inflicts 182 - 339 magic damage on target',100,2,2),
(66567,82164,'Decreases Threat to target by 641 ',100,2,3),
(66568,82164,'Must be flanking or behind',100,3,4),
(66569,82164,'Increases Threat to target by 641 ',100,2,5),
(66570,82164,'Must be in front of',100,3,6),
(66571,82164,'Cannot be modified except by direct means',100,2,7),
(66572,10082164,'When Equipped:',100,0,0),
(66573,10082164,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66574,10082164,'Inflicts 255 - 474 magic damage on target',100,2,2),
(66575,10082164,'Cannot be modified except by direct means',100,2,3),
(66576,104942,'Inflicts 484 - 808 melee damage on target',100,1,0),
(66577,104942,'Decreases Defense of target by 23.8',100,1,1),
(66578,104942,'Must be behind',100,1,2),
(66579,10104942,'Inflicts 630 - 1050 melee damage on target',100,1,0),
(66580,10104942,'Decreases Defense of target by 23.8',100,1,1),
(66581,10104942,'Must be behind',100,1,2),
(66582,82207,'When Equipped:',100,0,0),
(66583,82207,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66584,82207,'Inflicts 37 - 69 magic damage on target',100,2,2),
(66585,82207,'Cannot be modified except by direct means',100,2,3),
(66586,10082207,'When Equipped:',100,0,0),
(66587,10082207,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66588,10082207,'Inflicts 52 - 96 magic damage on target',100,2,2),
(66589,10082207,'Cannot be modified except by direct means',100,2,3),
(66590,70881,'When Equipped:',100,0,0),
(66591,70881,'On a combat hit this spell may cast Astral Scream on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66592,70881,'Inflicts 446 magic damage on target',100,2,2),
(66593,70881,'Cannot be modified except by direct means',100,2,3),
(66594,10070881,'When Equipped:',100,0,0),
(66595,10070881,'On a combat hit this spell may cast Astral Scream on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66596,10070881,'Inflicts 625 magic damage on target',100,2,2),
(66597,10070881,'Cannot be modified except by direct means',100,2,3),
(66598,105263,'Increases Threat to target by 862 ',100,1,0),
(66599,105263,'Interrupts target',100,1,1),
(66600,105263,'Dispels 104 levels of arcane beneficial effects on target',100,1,2),
(66601,10105263,'Forces target to change their selected target to caster.',100,1,0),
(66602,10105263,'Interrupts target',100,1,1),
(66603,10105263,'Dispels 104 levels of arcane beneficial effects on target',100,1,2),
(66604,113798,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(66605,113798,'Heals target for 405 - 495',100,2,1),
(66606,10113798,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(66607,10113798,'Heals target for 263 - 322',100,2,1),
(66608,104876,'Inflicts 94 - 157 magic damage on targets in area',100,1,0),
(66609,10104876,'Inflicts 122 - 204 magic damage on targets in area',100,1,0),
(66610,111007,'Heals target for 637 - 779 instantly and every 2 seconds',100,1,0),
(66611,111007,'Increases power of target by 50 - 61 instantly and every 2 seconds',100,1,1),
(66612,10111007,'Heals target for 745 - 911 instantly and every 2 seconds',100,1,0),
(66613,10111007,'Increases power of target by 50 - 61 instantly and every 2 seconds',100,1,1),
(66614,123449,'Shapechanges caster into a bear',100,1,0),
(66615,123449,'Increases WIS of caster by 44.8',100,1,1),
(66616,123449,'Grants See Stealth to caster',100,1,2),
(66617,123449,'Increases Max Health of caster by 120.4',100,1,3),
(66618,123449,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 665',100,1,4),
(66619,10123449,'Shapechanges caster into a bear',100,1,0),
(66620,10123449,'Increases WIS of caster by 44.8',100,1,1),
(66621,10123449,'Grants See Stealth to caster',100,1,2),
(66622,10123449,'Increases Max Health of caster by 120.4',100,1,3),
(66623,10123449,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 665',100,1,4),
(66624,106706,'Heals target for 152 - 186',100,1,0),
(66625,10106706,'Heals target for 179 - 219',100,1,0),
(66626,106818,'Decreases STR and AGI of target encounter by 139.9',100,1,0),
(66627,10106818,'Decreases STR and AGI of target encounter by 139.9',100,1,0),
(66628,80314,'When Equipped:',100,0,0),
(66629,80314,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66630,80314,'Inflicts 71 - 132 magic damage on target',100,2,2),
(66631,80314,'Decreases Threat to target by 236 ',100,2,3),
(66632,80314,'Must be flanking or behind',100,3,4),
(66633,80314,'Increases Threat to target by 236 ',100,2,5),
(66634,80314,'Must be in front of',100,3,6),
(66635,80314,'Cannot be modified except by direct means',100,2,7),
(66636,10080314,'When Equipped:',100,0,0),
(66637,10080314,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66638,10080314,'Inflicts 100 - 185 magic damage on target',100,2,2),
(66639,10080314,'Cannot be modified except by direct means',100,2,3),
(66640,102550,'Increases AGI of caster by 23.3',100,1,0),
(66641,102550,'Increases Max Health of caster by 45.7',100,1,1),
(66642,102550,'Adds 21.8% to base avoidance.',100,1,2),
(66643,102550,'Increases Mitigation of caster vs physical damage by 127',100,1,3),
(66644,102550,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,4),
(66645,10102550,'Increases AGI of caster by 23.3',100,1,0),
(66646,10102550,'Increases Max Health of caster by 45.7',100,1,1),
(66647,10102550,'Adds 21.8% to base avoidance.',100,1,2),
(66648,10102550,'Increases Mitigation of caster vs physical damage by 127',100,1,3),
(66649,10102550,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,4),
(66650,82048,'When Equipped:',100,0,0),
(66651,82048,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66652,82048,'Inflicts 182 - 339 magic damage on target',100,2,2),
(66653,82048,'Cannot be modified except by direct means',100,2,3),
(66654,10082048,'When Equipped:',100,0,0),
(66655,10082048,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66656,10082048,'Inflicts 255 - 474 magic damage on target',100,2,2),
(66657,10082048,'Cannot be modified except by direct means',100,2,3),
(66658,36545,'Increases INT and STA of target by 1.2',100,0,0),
(66659,36545,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(66660,100387,'Summons a pet aery hunter',100,1,0),
(66661,10100387,'Summons a pet aery hunter',100,1,0),
(66662,116051,'Shapechanges caster into a lion',100,1,0),
(66663,116051,'Increases STA of caster by 61.7',100,1,1),
(66664,116051,'Adds 2.5% to base avoidance.',100,1,2),
(66665,116051,'Grants See Stealth to caster',100,1,3),
(66666,116051,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1003',100,1,4),
(66667,10116051,'Shapechanges caster into a lion',100,1,0),
(66668,10116051,'Increases STA of caster by 61.7',100,1,1),
(66669,10116051,'Adds 2.5% to base avoidance.',100,1,2),
(66670,10116051,'Grants See Stealth to caster',100,1,3),
(66671,10116051,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1003',100,1,4),
(66672,109870,'Increases Defense of group members (AE) by 17.1',100,1,0),
(66673,10109870,'Increases Defense of group members (AE) by 17.1',100,1,0),
(66674,109724,'Inflicts 655 - 1092 cold damage on target',100,1,0),
(66675,109724,'If weapon equipped in Ranged',100,1,1),
(66676,10109724,'Inflicts 557 - 928 cold damage on target',100,1,0),
(66677,10109724,'If weapon equipped in Ranged',100,1,1),
(66678,137720,'When Equipped:',100,0,0),
(66679,137720,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66680,137720,'Increases INT of target by 41.0',100,2,2),
(66681,137720,'Cannot be modified except by direct means',100,2,3),
(66682,10137720,'When Equipped:',100,0,0),
(66683,10137720,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66684,10137720,'Increases INT of target by 41.0',100,2,2),
(66685,10137720,'Cannot be modified except by direct means',100,2,3),
(66686,49195,'Applies Drop when Activated.',100,0,0),
(66687,49195,'This effect cannot be cast during combat',100,1,1),
(66688,10049195,'Applies Drop when Activated.',100,0,0),
(66689,10049195,'This effect cannot be cast during combat',100,1,1),
(66690,155254,'When Equipped:',100,0,0),
(66691,155254,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(66692,10155254,'When Equipped:',100,0,0),
(66693,10155254,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(66694,51821,'When Equipped:',100,0,0),
(66695,51821,'Increases caster''s chance to block by 15.0%',100,1,1),
(66696,10051821,'When Equipped:',100,0,0),
(66697,10051821,'Increases caster''s chance to block by 15.0%',100,1,1),
(66698,160756,'When Equipped:',100,0,0),
(66699,160756,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(66700,160756,'Slows target by 30.0%',100,2,2),
(66701,160756,'Only affects targets level 103 and below',100,2,3),
(66702,160756,'Does not affect Epic targets',100,2,4),
(66703,160756,'Cannot be modified except by direct means',100,2,5),
(66704,10160756,'When Equipped:',100,0,0),
(66705,10160756,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(66706,10160756,'Slows target by 30.0%',100,2,2),
(66707,10160756,'Only affects targets level 103 and below',100,2,3),
(66708,10160756,'Does not affect Epic targets',100,2,4),
(66709,10160756,'Cannot be modified except by direct means',100,2,5),
(66710,108172,'Inflicts 1699 - 2832 melee damage on target',100,1,0),
(66711,108172,'You must be sneaking to use this ability.',100,1,1),
(66712,108172,'Must be flanking or behind',100,1,2),
(66713,10108172,'Inflicts 1457 - 2428 melee damage on target',100,1,0),
(66714,10108172,'You must be sneaking to use this ability.',100,1,1),
(66715,10108172,'Must be flanking or behind',100,1,2),
(66716,100635,'Wipes target''s memory of any aggression',100,1,0),
(66717,100635,'Stuns target',100,1,1),
(66718,100635,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(66719,100635,'Resistibility increases against targets higher than level 84.',100,1,3),
(66720,10100635,'Forces target to clear their selected target.',100,1,0),
(66721,10100635,'Prevents target from changing targets',100,1,1),
(66722,10100635,'Stuns target',100,1,2),
(66723,10100635,'If Target is not Epic',100,2,3),
(66724,10100635,'Resistibility increases against targets higher than level 84.',100,1,4),
(66725,71686,'When Equipped:',100,0,0),
(66726,71686,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66727,71686,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(66728,71686,'Cannot be modified except by direct means',100,2,3),
(66729,10071686,'When Equipped:',100,0,0),
(66730,10071686,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66731,10071686,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(66732,10071686,'Cannot be modified except by direct means',100,2,3),
(66733,37459,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(66734,73905,'Applies Disease Blast when Activated.',100,0,0),
(66735,73905,'Inflicts 313 - 522 disease damage on target',100,1,1),
(66736,73905,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(66737,10073905,'Applies Disease Blast when Activated.',100,0,0),
(66738,10073905,'Inflicts 438 - 730 disease damage on target',100,1,1),
(66739,10073905,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(66740,108752,'Summons a pet fiery magician',100,1,0),
(66741,10108752,'Summons a pet fiery magician',100,1,0),
(66742,27440,'When Equipped:',100,0,0),
(66743,27440,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(66744,27440,'On a spell cast this spell may cast Steadfast Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(66745,27440,'Makes caster immune to Stifle effects',100,2,3),
(66746,27440,'Must not be engaged in pvp combat',100,2,4),
(66747,27440,'Cannot be modified except by direct means',100,2,5),
(66748,27440,'Must not be engaged in pvp combat',100,1,6),
(66749,10027440,'When Equipped:',100,0,0),
(66750,10027440,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(66751,10027440,'On a spell cast this spell may cast Steadfast Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(66752,10027440,'Makes caster immune to Stifle effects',100,2,3),
(66753,10027440,'Must not be engaged in pvp combat',100,2,4),
(66754,10027440,'Cannot be modified except by direct means',100,2,5),
(66755,10027440,'Must not be engaged in pvp combat',100,1,6),
(66756,82582,'When Equipped:',100,0,0),
(66757,82582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66758,82582,'Inflicts 90 - 167 magic damage on target',100,2,2),
(66759,82582,'Cannot be modified except by direct means',100,2,3),
(66760,10082582,'When Equipped:',100,0,0),
(66761,10082582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66762,10082582,'Inflicts 126 - 234 magic damage on target',100,2,2),
(66763,10082582,'Cannot be modified except by direct means',100,2,3),
(66764,111739,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(66765,111739,'Inflicts 485 - 593 cold damage on target',100,2,1),
(66766,111739,'Grants a total of 3 triggers of the spell.',100,2,2),
(66767,10111739,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(66768,10111739,'Inflicts 679 - 830 cold damage on target',100,2,1),
(66769,10111739,'Grants a total of 3 triggers of the spell.',100,2,2),
(66770,118662,'Inflicts 202 - 337 slashing damage on target',100,1,0),
(66771,10118662,'Inflicts 263 - 438 slashing damage on target',100,1,0),
(66772,175645,'When Equipped:',100,0,0),
(66773,175645,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(66774,175645,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(66775,175645,'Heals caster for 811 - 1217',100,2,3),
(66776,175645,'Cannot be modified except by direct means',100,2,4),
(66777,175645,'Cannot be modified except by direct means',100,1,5),
(66778,10175645,'When Equipped:',100,0,0),
(66779,10175645,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(66780,10175645,'Inflicts 1705 - 2558 poison damage on target',100,2,2),
(66781,10175645,'Heals caster for 949 - 1424',100,2,3),
(66782,10175645,'Cannot be modified except by direct means',100,2,4),
(66783,10175645,'Cannot be modified except by direct means',100,1,5),
(66784,124061,'Increases power of caster by 183',100,1,0),
(66785,10124061,'Increases power of caster by 183',100,1,0),
(66786,112446,'Mesmerizes target',100,1,0),
(66787,112446,'Prevents AOE (except when direct) ',100,1,1),
(66788,112446,'Dispelled when target takes damage',100,1,2),
(66789,112446,'Does not affect Epic targets',100,1,3),
(66790,112446,'Resistibility increases against targets higher than level 95.',100,1,4),
(66791,10112446,'Mesmerizes target',100,1,0),
(66792,10112446,'Prevents AOE (except when direct) ',100,1,1),
(66793,10112446,'Dispelled when target takes damage',100,1,2),
(66794,10112446,'Does not affect Epic targets',100,1,3),
(66795,10112446,'Resistibility increases against targets higher than level 95.',100,1,4),
(66796,47202,'Applies Elixir of Reflection  when Activated.  Lasts for 30 minutes.',100,0,0),
(66797,47202,'Increases STR and STA of caster by 29.3',100,1,1),
(66798,10047202,'Applies Elixir of Reflection  when Activated.  Lasts for 30 minutes.',100,0,0),
(66799,10047202,'Increases STR and STA of caster by 29.3',100,1,1),
(66800,80649,'When Equipped:',100,0,0),
(66801,80649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66802,80649,'Inflicts 64 - 119 magic damage on target',100,2,2),
(66803,80649,'Cannot be modified except by direct means',100,2,3),
(66804,10080649,'When Equipped:',100,0,0),
(66805,10080649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(66806,10080649,'Inflicts 90 - 167 magic damage on target',100,2,2),
(66807,10080649,'Cannot be modified except by direct means',100,2,3),
(66808,124429,'Inflicts 38 - 63 melee damage on targets in area',100,1,0),
(66809,10124429,'Inflicts 49 - 82 melee damage on targets in area',100,1,0),
(66810,107012,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(66811,107012,'Increases Threat to target encounter by 701 - 1,051 ',100,1,1),
(66812,107012,'Increases threat priority of target encounter by 2 positions',100,1,2),
(66813,10107012,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(66817,10122695,'Decreases Slashing, Crushing and Piercing of caster by 1.8',100,1,0),
(66818,10122695,'Increases Defense and Parry of caster by 1.8',100,1,1),
(66819,10122695,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(66820,187425,'When Equipped:',100,0,0),
(66821,187425,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(66822,187425,'Inflicts 24 divine damage on target',100,2,2),
(66823,187425,'Cannot be modified except by direct means',100,2,3),
(66824,10187425,'When Equipped:',100,0,0),
(66825,10187425,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(66826,10187425,'Inflicts 33 divine damage on target',100,2,2),
(66827,10187425,'Cannot be modified except by direct means',100,2,3),
(66828,117389,'Increases Threat to target by 284 ',100,1,0),
(66829,117389,'Inflicts 46 - 138 melee damage on target',100,1,1),
(66830,10117389,'Forces target to change their selected target to caster.',100,1,0),
(66831,10117389,'Inflicts 40 - 120 melee damage on target',100,1,1),
(66832,48135,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(66833,48135,'Increases AGI of caster by 92.1',100,1,1),
(66834,10048135,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(66835,10048135,'Increases AGI of caster by 92.1',100,1,1),
(66836,119092,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(66837,119092,'Increases Parry and Deflection of group members (AE) by 18.5',100,1,1),
(66838,119092,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(66839,119092,'Decreases Threat to target encounter by 822 - 1,004 ',100,2,3),
(66840,119092,'If not fighter',100,3,4),
(66841,119092,'Increases Threat to target encounter by 822 - 1,004 ',100,2,5),
(66842,119092,'If fighter',100,3,6),
(66843,119092,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(66844,119092,'Decreases Threat to target encounter by 822 - 1,004 ',100,2,8),
(66845,119092,'If not fighter',100,3,9),
(66846,119092,'Increases Threat to target encounter by 822 - 1,004 ',100,2,10),
(66847,119092,'If fighter',100,3,11),
(66848,10119092,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(66849,10119092,'Increases Parry and Deflection of group members (AE) by 18.5',100,1,1),
(66850,10119092,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(66851,10119092,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(66852,103407,'Decreases Threat to targets in Area of Effect by 1,424 ',100,1,0),
(66853,103407,'Slows targets in Area of Effect by 42.0%',100,1,1),
(66854,103407,'Stifles targets in Area of Effect',100,1,2),
(66855,103407,'If Target is not Epic',100,2,3),
(66856,103407,'10% chance to dispel when target receives hostile action',100,1,4),
(66857,103407,'10% chance to dispel when target takes damage',100,1,5),
(66858,10103407,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(66859,10103407,'Slows targets in Area of Effect by 42.0%',100,1,1),
(66860,10103407,'Stifles targets in Area of Effect',100,1,2),
(66861,10103407,'If Target is not Epic',100,2,3),
(66862,115748,'Inflicts 15 - 26 melee damage on target',100,1,0),
(66863,10115748,'Inflicts 20 - 34 melee damage on target',100,1,0),
(66864,159650,'When Equipped:',100,0,0),
(66865,159650,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(66866,159650,'Increases STA of caster by 11.4',100,2,2),
(66867,159650,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(66868,159650,'Cannot be modified except by direct means',100,2,4),
(66869,10159650,'When Equipped:',100,0,0),
(66870,10159650,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(66871,10159650,'Increases STA of caster by 11.4',100,2,2),
(66872,10159650,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(66873,10159650,'Cannot be modified except by direct means',100,2,4),
(66874,47414,'Applies Teleport when Activated.',100,0,0),
(66875,47414,'This effect cannot be cast during combat',100,1,1),
(66876,10047414,'Applies Teleport when Activated.',100,0,0),
(66877,10047414,'This effect cannot be cast during combat',100,1,1),
(66878,52755,'Applies Sanguine Imbued when Equipped.',100,0,0),
(66879,52755,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(66880,52755,'Inflicts 51 heat damage on target',100,2,2),
(66881,52755,'Cannot be modified except by direct means',100,2,3),
(66882,10052755,'Applies Sanguine Imbued when Equipped.',100,0,0),
(66883,10052755,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(66884,10052755,'Inflicts 71 heat damage on target',100,2,2),
(66885,10052755,'Cannot be modified except by direct means',100,2,3),
(66886,117197,'Inflicts 42 - 71 melee damage on target',100,1,0),
(66887,117197,'Inflicts 42 - 71 melee damage on target',100,1,1),
(66888,10117197,'Inflicts 55 - 92 melee damage on target',100,1,0),
(66889,10117197,'Inflicts 55 - 92 melee damage on target',100,1,1),
(66890,72048,'When Equipped:',100,0,0),
(66891,72048,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66892,72048,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(66893,72048,'Cannot be modified except by direct means',100,2,3),
(66894,10072048,'When Equipped:',100,0,0),
(66895,10072048,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(66896,10072048,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(66897,10072048,'Cannot be modified except by direct means',100,2,3),
(66898,45861,'Applies Dargon''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(66899,45861,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(66900,10045861,'Applies Dargon''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(66901,10045861,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(66902,114187,'Inflicts 154 - 257 melee damage on target',100,1,0),
(66903,114187,'Decreases Slashing, Crushing and Piercing of target by 5.2',100,1,1),
(66904,10114187,'Inflicts 200 - 334 melee damage on target',100,1,0),
(66905,10114187,'Decreases Slashing, Crushing and Piercing of target by 5.2',100,1,1),
(66906,114696,'Increases Threat to target by 1,900 - 2,323 ',100,1,0),
(66907,114696,'Interrupts target',100,1,1),
(66908,10114696,'Interrupts target',100,1,0),
(66909,10114696,'Forces target to change their selected target to caster.',100,1,1),
(66910,10114696,'Prevents target from changing targets',100,1,2),
(66911,80370,'When Equipped:',100,0,0),
(66912,80370,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66913,80370,'Inflicts 61 - 113 magic damage on target',100,2,2),
(66914,80370,'Decreases Threat to target by 153 ',100,2,3),
(66915,80370,'Must be flanking or behind',100,3,4),
(66916,80370,'Increases Threat to target by 153 ',100,2,5),
(66917,80370,'Must be in front of',100,3,6),
(66918,80370,'Cannot be modified except by direct means',100,2,7),
(66919,10080370,'When Equipped:',100,0,0),
(66920,10080370,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(66921,10080370,'Inflicts 85 - 158 magic damage on target',100,2,2),
(66922,10080370,'Cannot be modified except by direct means',100,2,3),
(66923,104341,'Charms target',100,1,0),
(66924,104341,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(66925,104341,'Mesmerizes target',100,2,2),
(66926,104341,'Dispelled when target takes damage',100,2,3),
(66927,104341,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(66928,104341,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(66929,104341,'Grants Sonic Vision to caster',100,2,6),
(66930,104341,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,1,7),
(66931,104341,'Increases Out-of-Combat Health Regeneration of target by 30.0',100,1,8),
(66932,104341,'Certain enemies cannot be charmed',100,1,9),
(66933,104341,'Does not affect Epic targets',100,1,10),
(66934,10104341,'Mesmerizes target',100,1,0),
(66935,10104341,'Prevents AOE (except when direct) ',100,1,1),
(66936,10104341,'Dispelled when target takes damage',100,1,2),
(66937,10104341,'Certain enemies cannot be charmed',100,1,3),
(66938,10104341,'Does not affect Epic targets',100,1,4),
(66939,10104341,'Resistibility increases against targets higher than level 62.',100,1,5),
(66940,117587,'Inflicts 464 - 774 melee damage on target',100,1,0),
(66941,117587,'Decreases Parry of target by 40.7',100,1,1),
(66942,117587,'Must be in front of or flanking',100,1,2),
(66943,10117587,'Inflicts 604 - 1007 melee damage on target',100,1,0),
(66944,10117587,'Decreases Parry of target by 40.7',100,1,1),
(66945,10117587,'Must be in front of or flanking',100,1,2),
(66946,111054,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(66947,111054,'Slows target by 31.4%',100,2,1),
(66948,111054,'5% chance to dispel when target receives hostile action',100,2,2),
(66949,111054,'5% chance to dispel when target takes damage',100,2,3),
(66950,111054,'Decreases Mitigation of target vs elemental damage by 218',100,1,4),
(66951,10111054,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(66952,10111054,'Slows target by 31.4%',100,2,1),
(66953,10111054,'5% chance to dispel when target receives hostile action',100,2,2),
(66954,10111054,'5% chance to dispel when target takes damage',100,2,3),
(66955,10111054,'Decreases Mitigation of target vs elemental damage by 218',100,1,4),
(66956,115105,'Summons 4 limited pets to aid the caster',100,1,0),
(66957,10115105,'Summons 4 limited pets to aid the caster',100,1,0),
(66958,145300,'When Equipped:',100,0,0),
(66959,145300,'On any combat or spell hit this spell may cast Dread Siphon on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(66960,145300,'Gives caster an extra 3.0% mitigation to their worn armor',100,2,2),
(66961,145300,'Inflicts 345 - 381 disease damage on target instantly and every 2 seconds',100,2,3),
(66962,145300,'Heals caster for 420 - 464 instantly and every 2 seconds',100,2,4),
(66963,145300,'Must not be engaged in pvp combat',100,2,5),
(66964,145300,'Cannot be modified except by direct means',100,2,6),
(66965,145300,'Must not be engaged in pvp combat',100,1,7),
(66966,10145300,'When Equipped:',100,0,0),
(66967,10145300,'On any combat or spell hit this spell may cast Dread Siphon on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(66968,10145300,'Gives caster an extra 3.0% mitigation to their worn armor',100,2,2),
(66969,10145300,'Inflicts 483 - 534 disease damage on target instantly and every 2 seconds',100,2,3),
(66970,10145300,'Heals caster for 491 - 543 instantly and every 2 seconds',100,2,4),
(66971,10145300,'Must not be engaged in pvp combat',100,2,5),
(66972,10145300,'Cannot be modified except by direct means',100,2,6),
(66973,10145300,'Must not be engaged in pvp combat',100,1,7),
(66974,104234,'Inflicts 216 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(66975,104234,'Decreases WIS of target encounter by 97.0',100,1,1),
(66976,10104234,'Inflicts 302 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(66977,10104234,'Decreases WIS of target encounter by 97.0',100,1,1),
(66978,116747,'Increases Max Health of target by 207.6',100,1,0),
(66979,116747,'Increases Max Power of target by 243.0',100,1,1),
(66980,10116747,'Increases Max Health of target by 207.6',100,1,0),
(66981,10116747,'Increases Max Power of target by 243.0',100,1,1),
(66982,115384,'Inflicts 14 - 24 melee damage on target',100,1,0),
(66983,115384,'Decreases INT of target by 8.4',100,1,1),
(66984,115384,'You must be sneaking to use this ability.',100,1,2),
(66985,10115384,'Inflicts 19 - 32 melee damage on target',100,1,0),
(66986,10115384,'Decreases INT of target by 8.4',100,1,1),
(66987,10115384,'You must be sneaking to use this ability.',100,1,2),
(66988,72355,'When Equipped:',100,0,0),
(66989,72355,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(66990,72355,'Inflicts 109 - 182 magic damage on target',100,2,2),
(66991,72355,'Inflicts 109 - 182 divine damage on target',100,2,3),
(66992,72355,'Inflicts 109 - 182 piercing damage on target',100,2,4),
(66993,72355,'Must not be engaged in pvp combat',100,2,5),
(66994,72355,'Cannot be modified except by direct means',100,2,6),
(66995,72355,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(66996,72355,'Inflicts 109 - 182 magic damage on target',100,2,8),
(66997,72355,'Inflicts 109 - 182 divine damage on target',100,2,9),
(66998,72355,'Inflicts 109 - 182 piercing damage on target',100,2,10),
(66999,72355,'Must not be engaged in pvp combat',100,2,11),
(67000,72355,'Cannot be modified except by direct means',100,2,12),
(67001,72355,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(67002,72355,'Inflicts 109 - 182 magic damage on target',100,2,14),
(67003,72355,'Inflicts 109 - 182 divine damage on target',100,2,15),
(67004,72355,'Inflicts 109 - 182 piercing damage on target',100,2,16),
(67005,72355,'Must not be engaged in pvp combat',100,2,17),
(67006,72355,'Cannot be modified except by direct means',100,2,18),
(67007,72355,'Must not be engaged in pvp combat',100,1,19),
(67008,10072355,'When Equipped:',100,0,0),
(67009,10072355,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67010,10072355,'Inflicts 153 - 255 magic damage on target',100,2,2),
(67011,10072355,'Inflicts 153 - 255 divine damage on target',100,2,3),
(67012,10072355,'Inflicts 153 - 255 piercing damage on target',100,2,4),
(67013,10072355,'Must not be engaged in pvp combat',100,2,5),
(67014,10072355,'Cannot be modified except by direct means',100,2,6),
(67015,10072355,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(67016,10072355,'Inflicts 153 - 255 magic damage on target',100,2,8),
(67017,10072355,'Inflicts 153 - 255 divine damage on target',100,2,9),
(67018,10072355,'Inflicts 153 - 255 piercing damage on target',100,2,10),
(67019,10072355,'Must not be engaged in pvp combat',100,2,11),
(67020,10072355,'Cannot be modified except by direct means',100,2,12),
(67021,10072355,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(67022,10072355,'Inflicts 153 - 255 magic damage on target',100,2,14),
(67023,10072355,'Inflicts 153 - 255 divine damage on target',100,2,15),
(67024,10072355,'Inflicts 153 - 255 piercing damage on target',100,2,16),
(67025,10072355,'Must not be engaged in pvp combat',100,2,17),
(67026,10072355,'Cannot be modified except by direct means',100,2,18),
(67027,10072355,'Must not be engaged in pvp combat',100,1,19),
(67028,116291,'Stuns target',100,1,0),
(67029,116291,'If Target is not Epic',100,2,1),
(67030,116291,'Inflicts 116 - 142 magic damage on target',100,1,2),
(67031,116291,'Resistibility increases against targets higher than level 45.',100,1,3),
(67032,10116291,'Stuns target',100,1,0),
(67033,10116291,'If Target is not Epic',100,2,1),
(67034,10116291,'Inflicts 163 - 199 magic damage on target',100,1,2),
(67035,10116291,'Resistibility increases against targets higher than level 45.',100,1,3),
(67036,113971,'Inflicts 31 - 51 slashing damage on target',100,1,0),
(67037,113971,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(67038,10113971,'Inflicts 40 - 67 slashing damage on target',100,1,0),
(67039,10113971,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(67040,72101,'When Equipped:',100,0,0),
(67041,72101,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67042,72101,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(67043,72101,'Cannot be modified except by direct means',100,2,3),
(67044,10072101,'When Equipped:',100,0,0),
(67045,10072101,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67046,10072101,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(67047,10072101,'Cannot be modified except by direct means',100,2,3),
(67048,117432,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(67049,117432,'Inflicts 356 - 661 melee damage on targets in area',100,2,1),
(67050,117432,'Grants a total of 10 triggers of the spell.',100,2,2),
(67051,10117432,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(67052,10117432,'Inflicts 463 - 860 melee damage on targets in area',100,2,1),
(67053,10117432,'Grants a total of 10 triggers of the spell.',100,2,2),
(67054,122317,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(67055,122317,'Inflicts 739 - 903 mental damage on target',100,2,1),
(67056,122317,'Grants a total of 3 triggers of the spell.',100,2,2),
(67057,10122317,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(67058,10122317,'Inflicts 1035 - 1265 mental damage on target',100,2,1),
(67059,10122317,'Grants a total of 3 triggers of the spell.',100,2,2),
(67060,118902,'Inflicts 280 - 466 melee damage on target',100,1,0),
(67061,118902,'Inflicts 280 - 466 melee damage on target',100,1,1),
(67062,118902,'Inflicts 280 - 466 melee damage on target',100,1,2),
(67063,118902,'Inflicts 280 - 466 melee damage on target',100,1,3),
(67064,118902,'Inflicts 280 - 466 melee damage on target',100,1,4),
(67065,10118902,'Inflicts 364 - 606 melee damage on target',100,1,0),
(67066,10118902,'Inflicts 364 - 606 melee damage on target',100,1,1),
(67067,10118902,'Inflicts 364 - 606 melee damage on target',100,1,2),
(67068,10118902,'Inflicts 364 - 606 melee damage on target',100,1,3),
(67069,10118902,'Inflicts 364 - 606 melee damage on target',100,1,4),
(67070,123513,'Decreases Mitigation of target encounter vs noxious damage by 759',100,1,0),
(67071,10123513,'Decreases Mitigation of target encounter vs noxious damage by 759',100,1,0),
(67072,123261,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(67073,123261,'Increases Mitigation of group members (AE) vs noxious damage by 877',100,1,1),
(67074,10123261,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(67075,10123261,'Increases Mitigation of group members (AE) vs noxious damage by 877',100,1,1),
(67076,36003,'Increases Max Power of target by 4.1',100,0,0),
(67077,36003,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(67078,88704,'When Equipped:',100,0,0),
(67079,88704,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(67080,88704,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(67081,88704,'Heals caster for 1185 - 1309',100,2,3),
(67082,88704,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(67083,88704,'Must not be engaged in pvp combat',100,2,5),
(67084,88704,'Cannot be modified except by direct means',100,2,6),
(67085,88704,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(67086,88704,'Cannot be modified except by direct means',100,1,8),
(67087,10088704,'When Equipped:',100,0,0),
(67088,10088704,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(67089,10088704,'Inflicts 3317 - 3666 poison damage on target',100,2,2),
(67090,10088704,'Heals caster for 1386 - 1532',100,2,3),
(67091,10088704,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(67092,10088704,'Must not be engaged in pvp combat',100,2,5),
(67093,10088704,'Cannot be modified except by direct means',100,2,6),
(67094,10088704,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(67095,10088704,'Cannot be modified except by direct means',100,1,8),
(67096,110879,'Inflicts 267 - 326 heat damage on target encounter',100,1,0),
(67097,10110879,'Inflicts 373 - 456 heat damage on target encounter',100,1,0),
(67098,106626,'Inflicts 431 - 527 disease damage on target',100,1,0),
(67099,106626,'Heals caster for 5.4 - 6.6% of max health',100,1,1),
(67100,106626,'This effect cannot be critically applied.',100,2,2),
(67101,106626,'The healing of this spell cannot be modified except by direct means',100,1,3),
(67102,10106626,'Inflicts 604 - 738 disease damage on target',100,1,0),
(67103,10106626,'Heals caster for 1.8 - 2.2% of max health',100,1,1),
(67104,10106626,'This effect cannot be critically applied.',100,2,2),
(67105,10106626,'The healing of this spell cannot be modified except by direct means',100,1,3),
(67106,114726,'Inflicts 706 - 1177 melee damage on target',100,1,0),
(67107,114726,'You must be in stealth.',100,1,1),
(67108,10114726,'Inflicts 547 - 911 melee damage on target',100,1,0),
(67109,10114726,'You must be in stealth.',100,1,1),
(67110,138839,'When Equipped:',100,0,0),
(67111,138839,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67112,138839,'Decreases Mitigation of target vs arcane damage by 415',100,2,2),
(67113,138839,'Must be classified as an undead',100,3,3),
(67114,138839,'Inflicts 573 mental damage on target',100,2,4),
(67115,138839,'Must be classified as an undead',100,3,5),
(67116,138839,'Inflicts 287 mental damage on target',100,2,6),
(67117,138839,'Must not be classified as an undead',100,3,7),
(67118,138839,'Cannot be modified except by direct means',100,2,8),
(67119,138839,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(67120,10138839,'When Equipped:',100,0,0),
(67121,10138839,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67122,10138839,'Decreases Mitigation of target vs arcane damage by 415',100,2,2),
(67123,10138839,'Must be classified as an undead',100,3,3),
(67124,10138839,'Inflicts 802 mental damage on target',100,2,4),
(67125,10138839,'Must be classified as an undead',100,3,5),
(67126,10138839,'Inflicts 401 mental damage on target',100,2,6),
(67127,10138839,'Must not be classified as an undead',100,3,7),
(67128,10138839,'Cannot be modified except by direct means',100,2,8),
(67129,10138839,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(67130,52854,'Applies Sanguine Imbued when Equipped.',100,0,0),
(67131,52854,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(67132,52854,'Inflicts 261 heat damage on target',100,2,2),
(67133,52854,'Cannot be modified except by direct means',100,2,3),
(67134,10052854,'Applies Sanguine Imbued when Equipped.',100,0,0),
(67135,10052854,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(67136,10052854,'Inflicts 365 heat damage on target',100,2,2),
(67137,10052854,'Cannot be modified except by direct means',100,2,3),
(67138,41711,'When Equipped:',100,0,0),
(67139,41711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67140,41711,'Inflicts 141 - 262 magic damage on target',100,2,2),
(67141,41711,'Cannot be modified except by direct means',100,2,3),
(67142,10041711,'When Equipped:',100,0,0),
(67143,10041711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67144,10041711,'Inflicts 198 - 367 magic damage on target',100,2,2),
(67145,10041711,'Cannot be modified except by direct means',100,2,3),
(67146,106939,'Inflicts 219 - 408 poison damage on target',100,1,0),
(67147,10106939,'Inflicts 307 - 571 poison damage on target',100,1,0),
(67148,121714,'Increases AGI of caster by 50.1',100,1,0),
(67149,121714,'Adds 2.2% to base avoidance.',100,1,1),
(67150,121714,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(67151,121714,'Increases Parry of caster by 29.0',100,1,3),
(67152,121714,'Increases Defense of caster by 38.6',100,1,4),
(67153,10121714,'Increases AGI of caster by 50.1',100,1,0),
(67154,10121714,'Adds 2.2% to base avoidance.',100,1,1),
(67155,10121714,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(67156,10121714,'Increases Parry of caster by 29.0',100,1,3),
(67157,10121714,'Increases Defense of caster by 38.6',100,1,4),
(67158,187504,'When Equipped:',100,0,0),
(67159,187504,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(67160,10187504,'When Equipped:',100,0,0),
(67161,10187504,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(67162,75661,'When Equipped:',100,0,0),
(67163,75661,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(67164,75661,'Wards target against 4400 points of all damage',100,2,2),
(67165,75661,'Must not be engaged in pvp combat',100,2,3),
(67166,75661,'Cannot be modified except by direct means',100,2,4),
(67167,75661,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(67168,75661,'Cannot be modified except by direct means',100,1,6),
(67169,10075661,'When Equipped:',100,0,0),
(67170,10075661,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(67171,10075661,'Wards target against 4400 points of all damage',100,2,2),
(67172,10075661,'Must not be engaged in pvp combat',100,2,3),
(67173,10075661,'Cannot be modified except by direct means',100,2,4),
(67174,10075661,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(67175,10075661,'Cannot be modified except by direct means',100,1,6),
(67176,82430,'When Equipped:',100,0,0),
(67177,82430,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67178,82430,'Inflicts 260 - 482 magic damage on target',100,2,2),
(67179,82430,'Decreases Threat to target by 949 ',100,2,3),
(67180,82430,'Must be flanking or behind',100,3,4),
(67181,82430,'Increases Threat to target by 949 ',100,2,5),
(67182,82430,'Must be in front of',100,3,6),
(67183,82430,'Cannot be modified except by direct means',100,2,7),
(67184,10082430,'When Equipped:',100,0,0),
(67185,10082430,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67186,10082430,'Inflicts 364 - 675 magic damage on target',100,2,2),
(67187,10082430,'Cannot be modified except by direct means',100,2,3),
(67188,110118,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(67189,110118,'Inflicts 63 disease damage on target',100,2,1),
(67190,110118,'Heals caster for 39',100,2,2),
(67191,110118,'Decreases INT of target by 192.5',100,1,3),
(67192,110118,'Decreases Attack Speed of target by 25.0',100,1,4),
(67193,110118,'Increases Max Health of target by 12.0%',100,1,5),
(67194,110118,'Increases Hate Gain of target by 46.0%',100,1,6),
(67195,110118,'Increases Aggression of target by 18.0',100,1,7),
(67196,110118,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(67197,110118,'Increases Threat to target encounter by 191 - 234 ',100,2,9),
(67198,110118,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1080',100,1,10),
(67199,10110118,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(67200,10110118,'Inflicts 88 disease damage on target',100,2,1),
(67201,10110118,'Heals caster for 45',100,2,2),
(67202,10110118,'Decreases INT of target by 192.5',100,1,3),
(67203,10110118,'Decreases Attack Speed of target by 25.0',100,1,4),
(67204,10110118,'Increases Max Health of target by 12.0%',100,1,5),
(67205,10110118,'Increases Aggression of target by 18.0',100,1,6),
(67206,10110118,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1080',100,1,7),
(67207,48895,'Applies Soonog''s Refreshment  when Activated.',100,0,0),
(67208,48895,'Heals caster for 95',100,1,1),
(67209,10048895,'Applies Soonog''s Refreshment  when Activated.',100,0,0),
(67210,10048895,'Heals caster for 61',100,1,1),
(67211,102159,'Inflicts 392 - 654 melee damage on target',100,1,0),
(67212,102159,'Inflicts 392 - 654 melee damage on target',100,1,1),
(67213,10102159,'Inflicts 510 - 851 melee damage on target',100,1,0),
(67214,10102159,'Inflicts 510 - 851 melee damage on target',100,1,1),
(67215,106424,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(67216,106424,'Inflicts 534 - 653 mental damage on target',100,2,1),
(67217,106424,'Grants a total of 3 triggers of the spell.',100,2,2),
(67218,10106424,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(67219,10106424,'Inflicts 748 - 914 mental damage on target',100,2,1),
(67220,10106424,'Grants a total of 3 triggers of the spell.',100,2,2),
(67221,81542,'When Equipped:',100,0,0),
(67222,81542,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67223,81542,'Inflicts 144 - 268 magic damage on target',100,2,2),
(67224,81542,'Decreases Threat to target by 376 ',100,2,3),
(67225,81542,'Must be flanking or behind',100,3,4),
(67226,81542,'Increases Threat to target by 376 ',100,2,5),
(67227,81542,'Must be in front of',100,3,6),
(67228,81542,'Cannot be modified except by direct means',100,2,7),
(67229,10081542,'When Equipped:',100,0,0),
(67230,10081542,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67231,10081542,'Inflicts 202 - 375 magic damage on target',100,2,2),
(67232,10081542,'Cannot be modified except by direct means',100,2,3),
(67233,110764,'Heals group members (AE) for 131 - 160 instantly and every 2 seconds',100,1,0),
(67234,10110764,'Heals group members (AE) for 85 - 104 instantly and every 2 seconds',100,1,0),
(67235,71600,'When Equipped:',100,0,0),
(67236,71600,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67237,71600,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(67238,71600,'Cannot be modified except by direct means',100,2,3),
(67239,10071600,'When Equipped:',100,0,0),
(67240,10071600,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67241,10071600,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(67242,10071600,'Cannot be modified except by direct means',100,2,3),
(67243,123397,'When damaged with a melee weapon this spell has a 5.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(67244,123397,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(67245,10123397,'When damaged with a melee weapon this spell has a 5.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(67246,10123397,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(67247,177785,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(67248,177785,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(67249,177785,'Decreases Attack Speed of target by 10.4',100,2,2),
(67250,177785,'Cannot be modified except by direct means',100,2,3),
(67251,177785,'Slows target by 27.0%',100,1,4),
(67252,177785,'5% chance to dispel when target takes damage',100,1,5),
(67253,177785,'5% chance to dispel when target receives hostile action',100,1,6),
(67254,177785,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(67255,10177785,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(67256,10177785,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(67257,10177785,'Decreases Attack Speed of target by 10.4',100,2,2),
(67258,10177785,'Cannot be modified except by direct means',100,2,3),
(67259,10177785,'Slows target by 27.0%',100,1,4),
(67260,10177785,'5% chance to dispel when target takes damage',100,1,5),
(67261,10177785,'5% chance to dispel when target receives hostile action',100,1,6),
(67262,10177785,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(67263,45356,'Applies Blessing of Growth when Activated.',100,0,0),
(67264,45356,'This effect cannot be cast during combat',100,1,1),
(67265,10045356,'Applies Blessing of Growth when Activated.',100,0,0),
(67266,10045356,'This effect cannot be cast during combat',100,1,1),
(67267,152377,'When Equipped:',100,0,0),
(67268,152377,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(67269,152377,'Increases AGI of target by 6.4',100,2,2),
(67270,152377,'Cannot be modified except by direct means',100,2,3),
(67271,10152377,'When Equipped:',100,0,0),
(67272,10152377,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(67273,10152377,'Increases AGI of target by 6.4',100,2,2),
(67274,10152377,'Cannot be modified except by direct means',100,2,3),
(67275,26247,'When Equipped:',100,0,0),
(67276,26247,'Increases Damage Per Second of caster by 8.0',100,1,1),
(67277,10026247,'When Equipped:',100,0,0),
(67278,10026247,'Increases Damage Per Second of caster by 8.0',100,1,1),
(67279,79701,'When Equipped:',100,0,0),
(67280,79701,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(67281,79701,'Reduces healing received by 15.00%',100,2,2),
(67282,79701,'Cannot be modified except by direct means',100,2,3),
(67283,79701,'This effect can only trigger once every 1 second.',100,2,4),
(67284,79701,'Must be engaged in pvp combat',100,1,5),
(67285,10079701,'When Equipped:',100,0,0),
(67286,10079701,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(67287,10079701,'Reduces healing received by 15.00%',100,2,2),
(67288,10079701,'Cannot be modified except by direct means',100,2,3),
(67289,10079701,'This effect can only trigger once every 1 second.',100,2,4),
(67290,10079701,'Must be engaged in pvp combat',100,1,5),
(67291,48392,'Applies Call Terrorbird when Activated.',100,0,0),
(67292,48392,'Increases Ranged of caster by 5.0',100,1,1),
(67293,48392,'Summons a mount to ride',100,1,2),
(67294,48392,'Increases your ground speed by 60%',100,2,3),
(67295,48392,'Increases your air speed by 200%',100,2,4),
(67296,48392,'Increases Aggression, Crushing, Slashing, Piercing, Ordination, Subjugation, Ministration, Focus and Disruption of caster by 5.0',100,1,5),
(67297,10048392,'Applies Call Terrorbird when Activated.',100,0,0),
(67298,10048392,'Increases Ranged of caster by 5.0',100,1,1),
(67299,10048392,'Summons a mount to ride',100,1,2),
(67300,10048392,'Increases your ground speed by 60%',100,2,3),
(67301,10048392,'Increases your air speed by 200%',100,2,4),
(67302,10048392,'Increases Aggression, Crushing, Slashing, Piercing, Ordination, Subjugation, Ministration, Focus and Disruption of caster by 5.0',100,1,5),
(67303,108144,'Inflicts 130 - 217 melee damage on target',100,1,0),
(67304,108144,'You must be sneaking to use this ability.',100,1,1),
(67305,108144,'Must be flanking or behind',100,1,2),
(67306,10108144,'Inflicts 111 - 186 melee damage on target',100,1,0),
(67307,10108144,'You must be sneaking to use this ability.',100,1,1),
(67308,10108144,'Must be flanking or behind',100,1,2),
(67309,115020,'Heals target for 50 - 61',100,1,0),
(67310,10115020,'Heals target for 70 - 86',100,1,0),
(67311,141737,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(67312,141737,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(67313,141737,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(67314,141737,'Cannot be modified except by direct means',100,2,3),
(67315,10141737,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(67316,10141737,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(67317,10141737,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(67318,10141737,'Cannot be modified except by direct means',100,2,3),
(67319,155472,'When Equipped:',100,0,0),
(67320,155472,'On any combat or spell hit this spell may cast Scampish Assault on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(67321,155472,'Summons a limited pet to aid the caster',100,2,2),
(67322,155472,'Must not be engaged in pvp combat',100,2,3),
(67323,155472,'Cannot be modified except by direct means',100,2,4),
(67324,10155472,'When Equipped:',100,0,0),
(67325,10155472,'On any combat or spell hit this spell may cast Scampish Assault on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(67326,10155472,'Summons a limited pet to aid the caster',100,2,2),
(67327,10155472,'Must not be engaged in pvp combat',100,2,3),
(67328,10155472,'Cannot be modified except by direct means',100,2,4),
(67329,123130,'Inflicts 290 disease damage on targets in Area of Effect',100,1,0),
(67330,123130,'Inflicts 198 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(67331,10123130,'Inflicts 406 disease damage on targets in Area of Effect',100,1,0),
(67332,10123130,'Inflicts 277 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(67333,120131,'Decreases STR and INT of target by 32.2',100,1,0),
(67334,120131,'Increases STR and INT of caster by 32.2',100,1,1),
(67335,10120131,'Decreases STR and INT of target by 32.2',100,1,0),
(67336,10120131,'Increases STR and INT of caster by 32.2',100,1,1),
(67337,45751,'Applies Thubir''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(67338,45751,'Increases STA and STR of caster by 9.0',100,1,1),
(67339,10045751,'Applies Thubir''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(67340,10045751,'Increases STA and STR of caster by 9.0',100,1,1),
(67341,186899,'When Equipped:',100,0,0),
(67342,186899,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67343,186899,'Inflicts 1986 disease damage on target encounter',100,2,2),
(67344,186899,'Must not be engaged in pvp combat',100,2,3),
(67345,186899,'Cannot be modified except by direct means',100,2,4),
(67346,10186899,'When Equipped:',100,0,0),
(67347,10186899,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67348,10186899,'Inflicts 1390 disease damage on target encounter',100,2,2),
(67349,10186899,'Must not be engaged in pvp combat',100,2,3),
(67350,10186899,'Cannot be modified except by direct means',100,2,4),
(67351,103176,'Throws target back',100,1,0),
(67352,103176,'If Target is not Epic',100,2,1),
(67353,103176,'Inflicts 196 - 589 crushing damage on target',100,1,2),
(67354,103176,'Stuns target',100,1,3),
(67355,103176,'If Target is not Epic',100,2,4);
INSERT INTO `item_effects` VALUES
(67356,103176,'Resistibility increases against targets higher than level 108.',100,1,5),
(67357,10103176,'Throws target back',100,1,0),
(67358,10103176,'If Target is not Epic',100,2,1),
(67359,10103176,'Inflicts 255 - 766 crushing damage on target',100,1,2),
(67360,10103176,'Stuns target',100,1,3),
(67361,10103176,'If Target is not Epic',100,2,4),
(67362,10103176,'Resistibility increases against targets higher than level 108.',100,1,5),
(67363,82413,'When Equipped:',100,0,0),
(67364,82413,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67365,82413,'Inflicts 270 - 502 magic damage on target',100,2,2),
(67366,82413,'Cannot be modified except by direct means',100,2,3),
(67367,10082413,'When Equipped:',100,0,0),
(67368,10082413,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67369,10082413,'Inflicts 378 - 703 magic damage on target',100,2,2),
(67370,10082413,'Cannot be modified except by direct means',100,2,3),
(67371,110398,'Inflicts 672 - 1119 disease damage on target',100,1,0),
(67372,10110398,'Inflicts 645 - 1075 disease damage on target',100,1,0),
(67373,46650,'Applies Horn of Challenge when Activated.',100,0,0),
(67374,46650,'This effect cannot be cast during combat',100,1,1),
(67375,10046650,'Applies Horn of Challenge when Activated.',100,0,0),
(67376,10046650,'This effect cannot be cast during combat',100,1,1),
(67377,27273,'When Equipped:',100,0,0),
(67378,27273,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(67379,27273,'Inflicts 124 poison damage on target instantly and every 5 seconds',100,2,2),
(67380,27273,'Cannot be modified except by direct means',100,2,3),
(67381,10027273,'When Equipped:',100,0,0),
(67382,10027273,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(67383,10027273,'Inflicts 174 poison damage on target instantly and every 5 seconds',100,2,2),
(67384,10027273,'Cannot be modified except by direct means',100,2,3),
(67385,116552,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(67386,116552,'Inflicts 349 divine damage on target',100,2,1),
(67387,116552,'Increases Mitigation of raid and group members (AE) vs all damage by 2688',100,1,2),
(67388,10116552,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(67389,10116552,'Inflicts 489 divine damage on target',100,2,1),
(67390,10116552,'Increases Mitigation of raid and group members (AE) vs all damage by 2688',100,1,2),
(67391,75439,'When Equipped:',100,0,0),
(67392,75439,'On any combat or spell hit this spell may cast Ruinous Slash VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(67393,75439,'Inflicts 1306 - 1444 heat damage on targets in Area of Effect',100,2,2),
(67394,75439,'Inflicts 435 - 481 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(67395,75439,'Must not be engaged in pvp combat',100,2,4),
(67396,75439,'Cannot be modified except by direct means',100,2,5),
(67397,75439,'Must not be engaged in pvp combat',100,1,6),
(67398,10075439,'When Equipped:',100,0,0),
(67399,10075439,'On any combat or spell hit this spell may cast Ruinous Slash VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(67400,10075439,'Inflicts 1829 - 2022 heat damage on targets in Area of Effect',100,2,2),
(67401,10075439,'Inflicts 610 - 674 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(67402,10075439,'Must not be engaged in pvp combat',100,2,4),
(67403,10075439,'Cannot be modified except by direct means',100,2,5),
(67404,10075439,'Must not be engaged in pvp combat',100,1,6),
(67405,71485,'When Equipped:',100,0,0),
(67406,71485,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67407,71485,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(67408,71485,'Cannot be modified except by direct means',100,2,3),
(67409,10071485,'When Equipped:',100,0,0),
(67410,10071485,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67411,10071485,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(67412,10071485,'Cannot be modified except by direct means',100,2,3),
(67413,71071,'When Equipped:',100,0,0),
(67414,71071,'On a healing spell cast this spell has a 50% chance to cast Nature''s Restoration on caster.  ',100,1,1),
(67415,71071,'Increases power of caster by 365 - 548',100,2,2),
(67416,71071,'Cannot be modified except by direct means',100,2,3),
(67417,71071,'Cannot be modified except by direct means',100,1,4),
(67418,10071071,'When Equipped:',100,0,0),
(67419,10071071,'On a healing spell cast this spell has a 50% chance to cast Nature''s Restoration on caster.  ',100,1,1),
(67420,10071071,'Increases power of caster by 203 - 305',100,2,2),
(67421,10071071,'Cannot be modified except by direct means',100,2,3),
(67422,10071071,'Cannot be modified except by direct means',100,1,4),
(67423,189079,'When Equipped:',100,0,0),
(67424,189079,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67425,189079,'Inflicts 2664 disease damage on target encounter',100,2,2),
(67426,189079,'Must not be engaged in pvp combat',100,2,3),
(67427,189079,'Cannot be modified except by direct means',100,2,4),
(67428,10189079,'When Equipped:',100,0,0),
(67429,10189079,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67430,10189079,'Inflicts 1865 disease damage on target encounter',100,2,2),
(67431,10189079,'Must not be engaged in pvp combat',100,2,3),
(67432,10189079,'Cannot be modified except by direct means',100,2,4),
(67433,50578,'When Equipped:',100,0,0),
(67434,50578,'On a hostile spell cast this spell may cast Wrath of the Brood Watcher on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(67435,50578,'Inflicts 386 - 471 magic damage on target',100,2,2),
(67436,50578,'Cannot be modified except by direct means',100,2,3),
(67437,10050578,'When Equipped:',100,0,0),
(67438,10050578,'On a hostile spell cast this spell may cast Wrath of the Brood Watcher on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(67439,10050578,'Inflicts 540 - 660 magic damage on target',100,2,2),
(67440,10050578,'Cannot be modified except by direct means',100,2,3),
(67441,110696,'Heals target for 1484',100,1,0),
(67442,110696,'Dispels 99 levels of any hostile effects on target',100,1,1),
(67443,10110696,'Heals target for 1737',100,1,0),
(67444,10110696,'Dispels 99 levels of any hostile effects on target',100,1,1),
(67445,116141,'Inflicts 167 - 279 divine damage on target',100,1,0),
(67446,116141,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(67447,116141,'Stuns target',100,2,2),
(67448,116141,'Blurs vision of target',100,2,3),
(67449,116141,'Throws target back',100,2,4),
(67450,116141,'Does not affect Epic targets',100,2,5),
(67451,10116141,'Inflicts 218 - 363 divine damage on target',100,1,0),
(67452,10116141,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(67453,10116141,'Stuns target',100,2,2),
(67454,10116141,'Throws target back',100,2,3),
(67455,10116141,'Blurs vision of target',100,2,4),
(67456,10116141,'Does not affect Epic targets',100,2,5),
(67457,46294,'Applies Fahimah''s Magic Reader V 2.3 when Activated.',100,0,0),
(67458,10046294,'Applies Fahimah''s Magic Reader V 2.3 when Activated.',100,0,0),
(67459,123066,'Summons a pet undead knight',100,1,0),
(67460,10123066,'Summons a pet undead knight',100,1,0),
(67461,47291,'Applies Salinsa''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(67462,47291,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(67463,10047291,'Applies Salinsa''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(67464,10047291,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(67465,109827,'Inflicts 248 - 413 melee damage on target',100,1,0),
(67466,109827,'Decreases Parry of target by 24.5',100,1,1),
(67467,109827,'Must be in front of or flanking',100,1,2),
(67468,10109827,'Inflicts 322 - 537 melee damage on target',100,1,0),
(67469,10109827,'Decreases Parry of target by 24.5',100,1,1),
(67470,10109827,'Must be in front of or flanking',100,1,2),
(67471,48754,'Applies Elixir of Replenishment  when Activated.',100,0,0),
(67472,48754,'Heals caster for 74',100,1,1),
(67473,10048754,'Applies Elixir of Replenishment  when Activated.',100,0,0),
(67474,10048754,'Heals caster for 48',100,1,1),
(67475,108684,'Inflicts 48 heat damage on target',100,1,0),
(67476,108684,'Inflicts 11 heat damage on target every 4 seconds',100,1,1),
(67477,10108684,'Inflicts 95 heat damage on target',100,1,0),
(67478,10108684,'Inflicts 15 heat damage on target every 4 seconds',100,1,1),
(67479,24684,'Adds Sister Leela Prendyn to your Dungeon Maker toolbox',100,0,0),
(67480,10024684,'Adds Sister Leela Prendyn to your Dungeon Maker toolbox',100,0,0),
(67481,72211,'When Equipped:',100,0,0),
(67482,72211,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67483,72211,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(67484,72211,'Cannot be modified except by direct means',100,2,3),
(67485,10072211,'When Equipped:',100,0,0),
(67486,10072211,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67487,10072211,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(67488,10072211,'Cannot be modified except by direct means',100,2,3),
(67489,87471,'When Equipped:',100,0,0),
(67490,87471,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67491,87471,'Inflicts 204 - 307 magic damage on target',100,2,2),
(67492,87471,'Cannot be modified except by direct means',100,2,3),
(67493,10087471,'When Equipped:',100,0,0),
(67494,10087471,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67495,10087471,'Inflicts 286 - 429 magic damage on target',100,2,2),
(67496,10087471,'Cannot be modified except by direct means',100,2,3),
(67497,75052,'Applies Poison Bolt when Activated.',100,0,0),
(67498,75052,'Inflicts 294 - 490 poison damage on target',100,1,1),
(67499,75052,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(67500,10075052,'Applies Poison Bolt when Activated.',100,0,0),
(67501,10075052,'Inflicts 411 - 685 poison damage on target',100,1,1),
(67502,10075052,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(67503,119235,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(67504,119235,'If profession other than Fighter',100,1,1),
(67505,119235,'If profession other than Scout',100,1,2),
(67506,10119235,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(67507,10119235,'If profession other than Fighter',100,1,1),
(67508,10119235,'If profession other than Scout',100,1,2),
(67509,104371,'Inflicts 96 - 117 cold damage on target',100,1,0),
(67510,104371,'Inflicts 96 - 117 cold damage on target',100,1,1),
(67511,104371,'If target is elemental',100,2,2),
(67512,10104371,'Inflicts 134 - 164 cold damage on target',100,1,0),
(67513,10104371,'Inflicts 134 - 164 cold damage on target',100,1,1),
(67514,10104371,'If target is elemental',100,2,2),
(67515,35266,'Increases Max Power of target by 4.1',100,0,0),
(67516,35266,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(67517,116694,'Heals group members (AE) for 9.3 - 11.3% of max health',100,1,0),
(67518,116694,'This effect cannot be critically applied.',100,2,1),
(67519,116694,'Increases Max Health of group members (AE) by 728.4',100,1,2),
(67520,116694,'The healing of this spell cannot be modified except by direct means',100,1,3),
(67521,10116694,'Heals group members (AE) for 2.9 - 3.6% of max health',100,1,0),
(67522,10116694,'This effect cannot be critically applied.',100,2,1),
(67523,10116694,'Increases Max Health of group members (AE) by 728.4',100,1,2),
(67524,10116694,'The healing of this spell cannot be modified except by direct means',100,1,3),
(67525,110259,'Inflicts 254 - 424 melee damage on target',100,1,0),
(67526,110259,'Slows target by 49.5%',100,1,1),
(67527,110259,'5% chance to dispel when target receives hostile action',100,1,2),
(67528,110259,'5% chance to dispel when target takes damage',100,1,3),
(67529,10110259,'Inflicts 331 - 552 melee damage on target',100,1,0),
(67530,10110259,'Slows target by 49.5%',100,1,1),
(67531,10110259,'5% chance to dispel when target receives hostile action',100,1,2),
(67532,10110259,'5% chance to dispel when target takes damage',100,1,3),
(67533,103831,'Increases Ability Casting Speed of raid and group members (AE) by 5.2%',100,1,0),
(67534,103831,'Increases Attack Speed of raid and group members (AE) by 12.9',100,1,1),
(67535,10103831,'Increases Ability Casting Speed of raid and group members (AE) by 5.2%',100,1,0),
(67536,10103831,'Increases Attack Speed of raid and group members (AE) by 12.9',100,1,1),
(67537,106608,'Inflicts 136 - 167 disease damage on target',100,1,0),
(67538,106608,'Heals caster for 5.1 - 6.3% of max health',100,1,1),
(67539,106608,'This effect cannot be critically applied.',100,2,2),
(67540,106608,'The healing of this spell cannot be modified except by direct means',100,1,3),
(67541,10106608,'Inflicts 191 - 233 disease damage on target',100,1,0),
(67542,10106608,'Heals caster for 1.7 - 2.1% of max health',100,1,1),
(67543,10106608,'This effect cannot be critically applied.',100,2,2),
(67544,10106608,'The healing of this spell cannot be modified except by direct means',100,1,3),
(67545,189986,'When Equipped:',100,0,0),
(67546,189986,'Increases Attack Speed of caster by 40.0',100,1,1),
(67547,10189986,'When Equipped:',100,0,0),
(67548,10189986,'Increases Attack Speed of caster by 40.0',100,1,1),
(67549,45942,'Applies Dhala''s Rejuvenating Bloom when Activated.  Lasts for 1 hour.',100,0,0),
(67550,10045942,'Applies Dhala''s Rejuvenating Bloom when Activated.  Lasts for 1 hour.',100,0,0),
(67551,45139,'Applies Rested Body when Activated.',100,0,0),
(67552,45139,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(67553,10045139,'Applies Rested Body when Activated.',100,0,0),
(67554,10045139,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(67555,45648,'Applies Clouded Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(67556,45648,'Increases AGI of caster by 47.0',100,1,1),
(67557,45648,'Only affects targets level 50 and above',100,1,2),
(67558,10045648,'Applies Clouded Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(67559,10045648,'Increases AGI of caster by 47.0',100,1,1),
(67560,10045648,'Only affects targets level 50 and above',100,1,2),
(67561,114389,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(67562,114389,'Stuns target',100,2,1),
(67563,114389,'Blurs vision of target',100,2,2),
(67564,114389,'Throws target back',100,2,3),
(67565,114389,'Does not affect Epic targets',100,2,4),
(67566,114389,'Inflicts 598 - 997 crushing damage on target',100,1,5),
(67567,10114389,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(67568,10114389,'Stuns target',100,2,1),
(67569,10114389,'Throws target back',100,2,2),
(67570,10114389,'Blurs vision of target',100,2,3),
(67571,10114389,'Does not affect Epic targets',100,2,4),
(67572,10114389,'Inflicts 777 - 1296 crushing damage on target',100,1,5),
(67573,116369,'Mesmerizes target encounter',100,1,0),
(67574,116369,'Prevents AOE (except when direct) ',100,1,1),
(67575,116369,'Dispelled when target takes damage',100,1,2),
(67576,116369,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(67577,116369,'Resistibility increases against targets higher than level 116.',100,1,4),
(67578,10116369,'Mesmerizes target encounter',100,1,0),
(67579,10116369,'Prevents AOE (except when direct) ',100,1,1),
(67580,10116369,'Dispelled when target takes damage',100,1,2),
(67581,10116369,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(67582,10116369,'Resistibility increases against targets higher than level 116.',100,1,4),
(67583,103204,'Increases Mitigation of caster vs physical damage by 374',100,1,0),
(67584,103204,'Roots caster',100,1,1),
(67585,10103204,'Increases Mitigation of caster vs physical damage by 374',100,1,0),
(67586,10103204,'Roots caster',100,1,1),
(67587,140059,'When Equipped:',100,0,0),
(67588,140059,'Increases Attack Speed of caster by 40.0',100,1,1),
(67589,10140059,'When Equipped:',100,0,0),
(67590,10140059,'Increases Attack Speed of caster by 40.0',100,1,1),
(67591,122892,'Increases STR and INT of group members (AE) by 14.6',100,1,0),
(67592,10122892,'Increases STR and INT of group members (AE) by 14.6',100,1,0),
(67593,54426,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(67594,54426,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(67595,54426,'Inflicts 106 heat damage on target',100,2,2),
(67596,54426,'Cannot be modified except by direct means',100,2,3),
(67597,10054426,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(67598,10054426,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(67599,10054426,'Inflicts 149 heat damage on target',100,2,2),
(67600,10054426,'Cannot be modified except by direct means',100,2,3),
(67601,191783,'When Equipped:',100,0,0),
(67602,191783,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(67603,191783,'Heals group members for 592',100,2,2),
(67604,191783,'Cannot be modified except by direct means',100,2,3),
(67605,10191783,'When Equipped:',100,0,0),
(67606,10191783,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(67607,10191783,'Heals group members for 385',100,2,2),
(67608,10191783,'Cannot be modified except by direct means',100,2,3),
(67609,108978,'Decreases Damage Per Second of target by 13.9',100,1,0),
(67610,108978,'Inflicts 9 - 11 melee damage on target',100,1,1),
(67611,10108978,'Decreases Damage Per Second of target by 13.9',100,1,0),
(67612,10108978,'Inflicts 11 - 14 melee damage on target',100,1,1),
(67613,109027,'Increases Attack Speed of caster by 11.5',100,1,0),
(67614,109027,'Decreases Defense of caster by 1.8',100,1,1),
(67615,109027,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.6',100,1,2),
(67616,10109027,'Increases Attack Speed of caster by 11.5',100,1,0),
(67617,10109027,'Decreases Defense of caster by 1.8',100,1,1),
(67618,10109027,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.6',100,1,2),
(67619,112147,'Dispels 140 levels of physical and arcane hostile effects on caster',100,1,0),
(67620,10112147,'Dispels 140 levels of physical and arcane hostile effects on caster',100,1,0),
(67621,122978,'Inflicts 583 - 788 mental damage on target',100,1,0),
(67622,10122978,'Inflicts 816 - 1104 mental damage on target',100,1,0),
(67623,82895,'When Equipped:',100,0,0),
(67624,82895,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67625,82895,'Inflicts 301 - 560 magic damage on target',100,2,2),
(67626,82895,'Decreases Threat to target by 833 ',100,2,3),
(67627,82895,'Must be flanking or behind',100,3,4),
(67628,82895,'Increases Threat to target by 833 ',100,2,5),
(67629,82895,'Must be in front of',100,3,6),
(67630,82895,'Cannot be modified except by direct means',100,2,7),
(67631,10082895,'When Equipped:',100,0,0),
(67632,10082895,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67633,10082895,'Inflicts 422 - 783 magic damage on target',100,2,2),
(67634,10082895,'Cannot be modified except by direct means',100,2,3),
(67635,81619,'When Equipped:',100,0,0),
(67636,81619,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67637,81619,'Inflicts 144 - 268 magic damage on target',100,2,2),
(67638,81619,'Decreases Threat to target by 376 ',100,2,3),
(67639,81619,'Must be flanking or behind',100,3,4),
(67640,81619,'Increases Threat to target by 376 ',100,2,5),
(67641,81619,'Must be in front of',100,3,6),
(67642,81619,'Cannot be modified except by direct means',100,2,7),
(67643,10081619,'When Equipped:',100,0,0),
(67644,10081619,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(67645,10081619,'Inflicts 202 - 375 magic damage on target',100,2,2),
(67646,10081619,'Cannot be modified except by direct means',100,2,3),
(67647,111941,'Inflicts 14 - 17 disease damage on target',100,1,0),
(67648,111941,'Decreases Mitigation of target vs noxious damage by 32',100,1,1),
(67649,10111941,'Inflicts 25 - 30 disease damage on target',100,1,0),
(67650,10111941,'Decreases Mitigation of target vs noxious damage by 32',100,1,1),
(67651,159540,'Applies Lambent Imbued when Equipped.',100,0,0),
(67652,159540,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(67653,159540,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(67654,159540,'Cannot be modified except by direct means',100,2,3),
(67655,10159540,'Applies Lambent Imbued when Equipped.',100,0,0),
(67656,10159540,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(67657,10159540,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(67658,10159540,'Cannot be modified except by direct means',100,2,3),
(67659,72793,'When Equipped:',100,0,0),
(67660,72793,'On any combat or spell hit this spell may cast Sundering Smash V on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67661,72793,'Inflicts 379 - 419 heat damage on targets in Area of Effect',100,2,2),
(67662,72793,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(67663,72793,'Stuns target',100,3,4),
(67664,72793,'Blurs vision of target',100,3,5),
(67665,72793,'Throws target back',100,3,6),
(67666,72793,'Does not affect Epic targets',100,3,7),
(67667,72793,'Must not be engaged in pvp combat',100,2,8),
(67668,72793,'Cannot be modified except by direct means',100,2,9),
(67669,72793,'Must not be engaged in pvp combat',100,1,10),
(67670,10072793,'When Equipped:',100,0,0),
(67671,10072793,'On any combat or spell hit this spell may cast Sundering Smash V on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67672,10072793,'Inflicts 531 - 587 heat damage on targets in Area of Effect',100,2,2),
(67673,10072793,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(67674,10072793,'Stuns target',100,3,4),
(67675,10072793,'Throws target back',100,3,5),
(67676,10072793,'Blurs vision of target',100,3,6),
(67677,10072793,'Does not affect Epic targets',100,3,7),
(67678,10072793,'Must not be engaged in pvp combat',100,2,8),
(67679,10072793,'Cannot be modified except by direct means',100,2,9),
(67680,10072793,'Must not be engaged in pvp combat',100,1,10),
(67681,45756,'Applies Veeshan''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(67682,45756,'Increases Max Power of caster by 156.0',100,1,1),
(67683,10045756,'Applies Veeshan''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(67684,10045756,'Increases Max Power of caster by 156.0',100,1,1),
(67685,47245,'Applies Gubaku''s Resurgence  when Activated.',100,0,0),
(67686,47245,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(67687,10047245,'Applies Gubaku''s Resurgence  when Activated.',100,0,0),
(67688,10047245,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(67689,159619,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(67690,159619,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(67691,159619,'Inflicts 35 heat damage on target',100,2,2),
(67692,159619,'Cannot be modified except by direct means',100,2,3),
(67693,10159619,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(67694,10159619,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(67695,10159619,'Inflicts 48 heat damage on target',100,2,2),
(67696,10159619,'Cannot be modified except by direct means',100,2,3),
(67697,179051,'When Equipped:',100,0,0),
(67698,179051,'When damaged this spell has a 5% chance to cast Divine Light on target''s attacker.  ',100,1,1),
(67699,179051,'Inflicts 820 - 1002 divine damage on target',100,2,2),
(67700,179051,'Heals caster for 639 - 781',100,2,3),
(67701,179051,'Cannot be modified except by direct means',100,2,4),
(67702,10179051,'When Equipped:',100,0,0),
(67703,10179051,'When damaged this spell has a 5% chance to cast Divine Light on target''s attacker.  ',100,1,1),
(67704,10179051,'Inflicts 459 - 561 divine damage on target',100,2,2),
(67705,10179051,'Heals caster for 166 - 203',100,2,3),
(67706,10179051,'Cannot be modified except by direct means',100,2,4),
(67707,101029,'Inflicts 727 - 1350 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(67708,10101029,'Inflicts 798 - 1482 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(67709,71406,'When Equipped:',100,0,0),
(67710,71406,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67711,71406,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(67712,71406,'Cannot be modified except by direct means',100,2,3),
(67713,10071406,'When Equipped:',100,0,0),
(67714,10071406,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67715,10071406,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(67716,10071406,'Cannot be modified except by direct means',100,2,3),
(67717,45482,'Applies Call Cavalry Palomino when Activated.',100,0,0),
(67718,45482,'Increases Crushing of caster by 7.0',100,1,1),
(67719,45482,'Summons a mount to ride',100,1,2),
(67720,45482,'Increases your ground speed by 130%',100,2,3),
(67721,45482,'Increases Piercing, Ranged, Focus and Slashing of caster by 7.0',100,1,4),
(67722,10045482,'Applies Call Cavalry Palomino when Activated.',100,0,0),
(67723,10045482,'Increases Crushing of caster by 7.0',100,1,1),
(67724,10045482,'Summons a mount to ride',100,1,2),
(67725,10045482,'Increases your ground speed by 130%',100,2,3),
(67726,10045482,'Increases Piercing, Ranged, Focus and Slashing of caster by 7.0',100,1,4),
(67727,110584,'Decreases Attack Speed of target by 19.9',100,1,0),
(67728,110584,'Decreases Crushing, Slashing and Piercing of target by 11.9',100,1,1),
(67729,10110584,'Decreases Attack Speed of target by 19.9',100,1,0),
(67730,10110584,'Decreases Crushing, Slashing and Piercing of target by 11.9',100,1,1),
(67731,72269,'When Equipped:',100,0,0),
(67732,72269,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67733,72269,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(67734,72269,'Cannot be modified except by direct means',100,2,3),
(67735,10072269,'When Equipped:',100,0,0),
(67736,10072269,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67737,10072269,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(67738,10072269,'Cannot be modified except by direct means',100,2,3),
(67739,112331,'Applies Insolent Gibe.',100,1,0),
(67740,112331,'Increases Threat to targets in Area of Effect by 1,359 - 2,039 ',100,2,1),
(67741,112331,'Applies Insolent Assault.',100,1,2),
(67742,112331,'Inflicts 989 - 1484 melee damage on targets in area',100,2,3),
(67743,112331,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(67744,112331,'Increases Threat to target encounter by 509 - 623 ',100,2,5),
(67745,10112331,'Applies Insolent Gibe.',100,1,0),
(67746,10112331,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(67747,10112331,'Applies Insolent Assault.',100,1,2),
(67748,10112331,'Inflicts 1286 - 1930 melee damage on targets in area',100,2,3),
(67749,10112331,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(67750,10112331,'Forces target encounter to change their selected target to caster.',100,2,5),
(67751,36311,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(67752,24678,'Adds Sarnak (Wizard) to your Dungeon Maker toolbox',100,0,0),
(67753,10024678,'Adds Sarnak (Wizard) to your Dungeon Maker toolbox',100,0,0),
(67754,113783,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(67755,113783,'Heals target for 257 - 314',100,2,1),
(67756,10113783,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(67757,10113783,'Heals target for 167 - 204',100,2,1),
(67758,191705,'When Equipped:',100,0,0),
(67759,191705,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(67760,191705,'Increases power of caster by 272',100,2,2),
(67761,191705,'Cannot be modified except by direct means',100,2,3),
(67762,10191705,'When Equipped:',100,0,0),
(67763,10191705,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(67764,10191705,'Increases power of caster by 272',100,2,2),
(67765,10191705,'Cannot be modified except by direct means',100,2,3),
(67766,103149,'Throws target back',100,1,0),
(67767,103149,'If Target is not Epic',100,2,1),
(67768,103149,'Inflicts 57 - 172 crushing damage on target',100,1,2),
(67769,103149,'Stuns target',100,1,3),
(67770,103149,'If Target is not Epic',100,2,4),
(67771,103149,'Resistibility increases against targets higher than level 56.',100,1,5),
(67772,10103149,'Throws target back',100,1,0),
(67773,10103149,'If Target is not Epic',100,2,1),
(67774,10103149,'Inflicts 74 - 223 crushing damage on target',100,1,2),
(67775,10103149,'Stuns target',100,1,3),
(67776,10103149,'If Target is not Epic',100,2,4),
(67777,10103149,'Resistibility increases against targets higher than level 56.',100,1,5),
(67778,76385,'When Equipped:',100,0,0),
(67779,76385,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(67780,10076385,'When Equipped:',100,0,0),
(67781,10076385,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(67782,25344,'When Equipped:',100,0,0),
(67783,25344,'Adds 5% accuracy to Call to Arms VII.',100,1,1),
(67784,25344,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(67785,10025344,'When Equipped:',100,0,0),
(67786,10025344,'Adds 5% accuracy to Call to Arms VII.',100,1,1),
(67787,10025344,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(67788,87522,'When Equipped:',100,0,0),
(67789,87522,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67790,87522,'Inflicts 276 - 413 magic damage on target',100,2,2),
(67791,87522,'Cannot be modified except by direct means',100,2,3),
(67792,10087522,'When Equipped:',100,0,0),
(67793,10087522,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67794,10087522,'Inflicts 386 - 579 magic damage on target',100,2,2),
(67795,10087522,'Cannot be modified except by direct means',100,2,3),
(67796,120655,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 10.2',100,1,0),
(67797,120655,'Increases Focus of group members (AE) by 20.5',100,1,1),
(67798,10120655,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 10.2',100,1,0),
(67799,10120655,'Increases Focus of group members (AE) by 20.5',100,1,1),
(67800,123307,'Increases STA of raid and group members (AE) by 9.7',100,1,0),
(67801,123307,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(67802,10123307,'Increases STA of raid and group members (AE) by 9.7',100,1,0),
(67803,10123307,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(67804,124539,'Dispels 61 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(67805,10124539,'Dispels 61 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(67806,120825,'Inflicts 18 - 25 disease damage on target instantly and every second',100,1,0),
(67807,10120825,'Inflicts 36 - 49 disease damage on target',100,1,0),
(67808,10120825,'Inflicts 26 - 35 disease damage on target every second',100,1,1),
(67809,118025,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(67810,118025,'Stuns target',100,2,1),
(67811,118025,'If Target is not Epic',100,3,2),
(67812,118025,'Inflicts 139 - 232 divine damage on target',100,2,3),
(67813,118025,'Grants a total of 3 triggers of the spell.',100,2,4),
(67814,10118025,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(67815,10118025,'Stuns target',100,2,1),
(67816,10118025,'If Target is not Epic',100,3,2),
(67817,10118025,'Inflicts 195 - 324 divine damage on target',100,2,3),
(67818,10118025,'Grants a total of 3 triggers of the spell.',100,2,4),
(67819,114234,'Inflicts 248 - 303 mental damage on target',100,1,0),
(67820,114234,'Stuns target',100,1,1),
(67821,114234,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(67822,114234,'Resistibility increases against targets higher than level 56.',100,1,3),
(67823,10114234,'Inflicts 347 - 424 mental damage on target',100,1,0),
(67824,10114234,'Requires not being affected by Mesmerize effects.',100,2,1),
(67825,10114234,'Stuns target',100,1,2),
(67826,10114234,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(67827,10114234,'Resistibility increases against targets higher than level 56.',100,1,4),
(67828,154500,'When Equipped:',100,0,0),
(67829,154500,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67830,154500,'Inflicts 2664 disease damage on target encounter',100,2,2),
(67831,154500,'Must not be engaged in pvp combat',100,2,3),
(67832,154500,'Cannot be modified except by direct means',100,2,4),
(67833,10154500,'When Equipped:',100,0,0),
(67834,10154500,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(67835,10154500,'Inflicts 1865 disease damage on target encounter',100,2,2),
(67836,10154500,'Must not be engaged in pvp combat',100,2,3),
(67837,10154500,'Cannot be modified except by direct means',100,2,4),
(67838,100475,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(67839,100475,'Decreases Threat to target by 72 ',100,2,1),
(67840,100475,'If not fighter',100,2,2),
(67841,100475,'Decreases Hate Gain of group members (AE) by 20.4%',100,1,3),
(67842,100475,'If not fighter',100,2,4),
(67843,10100475,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(67844,10100475,'If not fighter',100,2,1),
(67845,10100475,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(67846,10100475,'Inflicts 61 - 68 crushing damage on target',100,2,3),
(67847,10100475,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(67848,10100475,'If not fighter',100,2,5),
(67849,10100475,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(67850,10100475,'If not fighter',100,2,7),
(67851,10100475,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(67852,10100475,'If not fighter',100,2,9),
(67853,122311,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(67854,122311,'Inflicts 529 - 647 mental damage on target',100,2,1),
(67855,122311,'Grants a total of 3 triggers of the spell.',100,2,2),
(67856,10122311,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(67857,10122311,'Inflicts 741 - 906 mental damage on target',100,2,1),
(67858,10122311,'Grants a total of 3 triggers of the spell.',100,2,2),
(67859,51832,'Applies Heroic Resistance III when Equipped.',100,0,0),
(67860,51832,'Reduces the critical damage inflicted by players on caster by 3.0%',100,1,1),
(67861,51832,'Cannot be modified except by direct means',100,1,2),
(67862,10051832,'Applies Heroic Resistance III when Equipped.',100,0,0),
(67863,10051832,'Reduces the critical damage inflicted by players on caster by 3.0%',100,1,1),
(67864,10051832,'Cannot be modified except by direct means',100,1,2),
(67865,101515,'Increases WIS of target by 61.6',100,1,0),
(67866,101515,'Increases Max Health of target by 529.2',100,1,1),
(67867,101515,'Increases Mitigation of target vs elemental, noxious and arcane damage by 169',100,1,2),
(67868,10101515,'Increases WIS of target by 61.6',100,1,0),
(67869,10101515,'Increases Max Health of target by 529.2',100,1,1),
(67870,10101515,'Increases Mitigation of target vs elemental, noxious and arcane damage by 169',100,1,2),
(67871,75341,'When Equipped:',100,0,0),
(67872,75341,'On a combat hit this spell may cast Curse of the Vile on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67873,75341,'Inflicts 261 - 435 poison damage on target',100,2,2),
(67874,75341,'Cannot be modified except by direct means',100,2,3),
(67875,10075341,'When Equipped:',100,0,0),
(67876,10075341,'On a combat hit this spell may cast Curse of the Vile on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67877,10075341,'Inflicts 365 - 609 poison damage on target',100,2,2),
(67878,10075341,'Cannot be modified except by direct means',100,2,3),
(67879,35176,'Increases STA of target by 1.6',100,0,0),
(67880,35176,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(67881,114313,'Heals target for 1459 - 1783',100,1,0),
(67882,10114313,'Heals target for 3087 - 3773',100,1,0),
(67883,108029,'Inflicts 111 magic damage on target',100,1,0),
(67884,108029,'Increases power of caster by 45',100,1,1),
(67885,10108029,'Inflicts 155 magic damage on target',100,1,0),
(67886,10108029,'Increases power of caster by 45',100,1,1),
(67887,106123,'Increases Attack Speed of caster by 33.1',100,1,0),
(67888,106123,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(67889,106123,'Stuns target',100,2,2),
(67890,106123,'Throws target back',100,2,3),
(67891,106123,'Blurs vision of target',100,2,4),
(67892,106123,'Does not affect Epic targets',100,2,5),
(67893,10106123,'Increases Attack Speed of caster by 33.1',100,1,0),
(67894,10106123,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(67895,10106123,'Stuns target',100,2,2),
(67896,10106123,'Throws target back',100,2,3),
(67897,10106123,'Blurs vision of target',100,2,4),
(67898,10106123,'Does not affect Epic targets',100,2,5),
(67899,103544,'Increases In-Combat Power Regeneration of group members (AE) by 15.7',100,1,0),
(67900,10103544,'Increases In-Combat Power Regeneration of group members (AE) by 15.7',100,1,0),
(67901,160538,'When Equipped:',100,0,0),
(67902,160538,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(67903,160538,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(67904,160538,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(67905,160538,'This effect cannot occur more than once a second',100,2,4),
(67906,160538,'Must be engaged in pvp combat',100,2,5),
(67907,160538,'Cannot be modified except by direct means',100,2,6),
(67908,160538,'Cannot be modified except by direct means',100,1,7),
(67909,160538,'When Equipped:',100,0,8),
(67910,160538,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(67911,160538,'Must be engaged in pvp combat',100,1,10),
(67912,160538,'When Equipped:',100,0,11),
(67913,160538,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(67914,160538,'Must be engaged in pvp combat',100,1,13),
(67915,10160538,'When Equipped:',100,0,0),
(67916,10160538,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(67917,10160538,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(67918,10160538,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(67919,10160538,'This effect cannot occur more than once a second',100,2,4),
(67920,10160538,'Must be engaged in pvp combat',100,2,5),
(67921,10160538,'Cannot be modified except by direct means',100,2,6),
(67922,10160538,'Cannot be modified except by direct means',100,1,7),
(67923,10160538,'When Equipped:',100,0,8),
(67924,10160538,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(67925,10160538,'Must be engaged in pvp combat',100,1,10),
(67926,10160538,'When Equipped:',100,0,11),
(67927,10160538,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(67928,10160538,'Must be engaged in pvp combat',100,1,13),
(67929,112519,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(67930,112519,'Inflicts 185 disease damage on target instantly and every 4 seconds',100,2,1),
(67931,112519,'80% of target''s power consumed will also be drained from target''s health',100,2,2),
(67932,10112519,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(67933,10112519,'Inflicts 259 disease damage on target instantly and every 4 seconds',100,2,1),
(67934,10112519,'80% of target''s power consumed will also be drained from target''s health',100,2,2),
(67935,107772,'Stuns target',100,1,0),
(67936,107772,'If Target is not Epic',100,2,1),
(67937,107772,'Inflicts 1589 - 2649 cold damage on target',100,1,2),
(67938,107772,'Resistibility increases against targets higher than level 111.',100,1,3),
(67939,10107772,'Stuns target',100,1,0),
(67940,10107772,'If Target is not Epic',100,2,1),
(67941,10107772,'Inflicts 2225 - 3708 cold damage on target',100,1,2),
(67942,10107772,'Resistibility increases against targets higher than level 111.',100,1,3),
(67943,71553,'When Equipped:',100,0,0),
(67944,71553,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67945,71553,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(67946,71553,'Cannot be modified except by direct means',100,2,3),
(67947,10071553,'When Equipped:',100,0,0),
(67948,10071553,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67949,10071553,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(67950,10071553,'Cannot be modified except by direct means',100,2,3),
(67951,141944,'When Equipped:',100,0,0),
(67952,141944,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(67953,141944,'Increases STA of caster by 8.8',100,2,2),
(67954,141944,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(67955,141944,'Cannot be modified except by direct means',100,2,4),
(67956,10141944,'When Equipped:',100,0,0),
(67957,10141944,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(67958,10141944,'Increases STA of caster by 8.8',100,2,2),
(67959,10141944,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(67960,10141944,'Cannot be modified except by direct means',100,2,4),
(67961,161059,'When Equipped:',100,0,0),
(67962,161059,'On any combat or spell hit this spell may cast Severe Mistarget on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67963,161059,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,2),
(67964,161059,'Cannot be modified except by direct means',100,2,3),
(67965,10161059,'When Equipped:',100,0,0),
(67966,10161059,'On any combat or spell hit this spell may cast Severe Mistarget on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67967,10161059,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,2),
(67968,10161059,'Cannot be modified except by direct means',100,2,3),
(67969,104431,'Interrupts target encounter',100,1,0),
(67970,104431,'Applies Stumble on termination.',100,1,1),
(67971,104431,'Interrupts target',100,2,2),
(67972,104431,'Inflicts 33 - 40 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(67973,10104431,'Interrupts target encounter',100,1,0),
(67974,10104431,'Applies Stumble on termination.',100,1,1),
(67975,10104431,'Interrupts target',100,2,2),
(67976,10104431,'Inflicts 46 - 56 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(67977,84212,'When Equipped:',100,0,0),
(67978,84212,'On a combat hit this spell may cast Toxicity on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67979,84212,'Inflicts 69 - 115 poison damage on targets in Area of Effect every 4.8 seconds',100,2,2),
(67980,84212,'Cannot be modified except by direct means',100,2,3),
(67981,10084212,'When Equipped:',100,0,0),
(67982,10084212,'On a combat hit this spell may cast Toxicity on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(67983,10084212,'Inflicts 97 - 162 poison damage on targets in Area of Effect every 4.8 seconds',100,2,2),
(67984,10084212,'Cannot be modified except by direct means',100,2,3),
(67985,140031,'When Equipped:',100,0,0),
(67986,140031,'5% of all physical damage received by the caster is prevented.',100,1,1),
(67987,140031,'Increases Ranged Weapon Range of caster by 25.0%',100,1,2),
(67988,10140031,'When Equipped:',100,0,0),
(67989,10140031,'5% of all physical damage received by the caster is prevented.',100,1,1),
(67990,10140031,'Increases Ranged Weapon Range of caster by 25.0%',100,1,2),
(67991,113175,'Inflicts 768 disease damage on target',100,1,0),
(67992,113175,'Heals caster for 380',100,1,1),
(67993,10113175,'Inflicts 1075 disease damage on target',100,1,0),
(67994,10113175,'Heals caster for 321',100,1,1),
(67995,87190,'When Equipped:',100,0,0),
(67996,87190,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(67997,87190,'Inflicts 95 - 143 magic damage on target',100,2,2),
(67998,87190,'Cannot be modified except by direct means',100,2,3),
(67999,10087190,'When Equipped:',100,0,0),
(68000,10087190,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68001,10087190,'Inflicts 133 - 200 magic damage on target',100,2,2),
(68002,10087190,'Cannot be modified except by direct means',100,2,3),
(68003,107164,'Inflicts 47 - 78 divine damage on target',100,1,0),
(68004,107164,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(68005,107164,'Stuns target',100,2,2),
(68006,107164,'If Target is not Epic',100,3,3),
(68007,107164,'Inflicts 110 - 184 divine damage on target',100,2,4),
(68008,107164,'Inflicts 95 - 158 divine damage on target',100,2,5),
(68009,107164,'If target is undead',100,3,6),
(68010,10107164,'Inflicts 40 - 68 divine damage on target',100,1,0),
(68011,10107164,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(68012,10107164,'Stuns target',100,2,2),
(68013,10107164,'Inflicts 232 - 386 divine damage on target',100,2,3),
(68014,10107164,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(68015,113233,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(68016,113233,'Inflicts 11 - 18 magic damage on target',100,2,1),
(68017,113233,'Grants a total of 8 triggers of the spell.',100,2,2),
(68018,10113233,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(68019,10113233,'Inflicts 15 - 25 magic damage on target',100,2,1),
(68020,10113233,'Grants a total of 8 triggers of the spell.',100,2,2),
(68021,45491,'Applies Charged Frost Spike when Activated.',100,0,0),
(68022,45491,'Inflicts 50.0% of max health in mental damage on target',100,1,1),
(68023,45491,'Must be in Hold of Rime: The Ascent.',100,1,2),
(68024,10045491,'Applies Charged Frost Spike when Activated.',100,0,0),
(68025,10045491,'Inflicts 70.0% of max health in mental damage on target',100,1,1),
(68026,10045491,'Must be in Hold of Rime: The Ascent.',100,1,2),
(68027,101921,'Inflicts 37 piercing damage on target instantly and every 4 seconds',100,1,0),
(68028,101921,'Inflicts 110 - 183 melee damage on target',100,1,1),
(68029,101921,'Must be behind',100,1,2),
(68030,10101921,'Inflicts 51 piercing damage on target instantly and every 4 seconds',100,1,0),
(68031,10101921,'Inflicts 143 - 238 melee damage on target',100,1,1),
(68032,10101921,'Must be behind',100,1,2),
(68033,101708,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(68034,101708,'Inflicts 808 - 987 disease damage on target',100,2,1),
(68035,101708,'Grants a total of 3 triggers of the spell.',100,2,2),
(68036,10101708,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(68037,10101708,'Inflicts 1131 - 1382 disease damage on target',100,2,1),
(68038,10101708,'Grants a total of 3 triggers of the spell.',100,2,2),
(68039,173899,'When Equipped:',100,0,0),
(68040,173899,'On a healing spell cast this spell may cast Healing Abundance on target of spell.  Lasts for 18.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(68041,173899,'Heals group members (AE) for 2041',100,2,2),
(68042,173899,'Heals group members (AE) for 583 every 4.5 seconds',100,2,3),
(68043,173899,'Must not be engaged in pvp combat',100,2,4),
(68044,173899,'Cannot be modified except by direct means',100,2,5),
(68045,173899,'Must not be engaged in pvp combat',100,1,6),
(68046,10173899,'When Equipped:',100,0,0),
(68047,10173899,'On a healing spell cast this spell may cast Healing Abundance on target of spell.  Lasts for 18.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(68048,10173899,'Heals group members (AE) for 2388',100,2,2),
(68049,10173899,'Heals group members (AE) for 682 every 4.5 seconds',100,2,3),
(68050,10173899,'Must not be engaged in pvp combat',100,2,4),
(68051,10173899,'Cannot be modified except by direct means',100,2,5),
(68052,10173899,'Must not be engaged in pvp combat',100,1,6),
(68053,109158,'Roots target',100,1,0),
(68054,109158,'Applies Blind.  Lasts for 4.0 seconds.',100,1,1),
(68055,109158,'Dazes target',100,2,2),
(68056,109158,'Blurs vision of target',100,2,3),
(68057,109158,'Dispelled when target takes damage',100,2,4),
(68058,109158,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(68059,109158,'5% chance to dispel when target takes damage',100,1,6),
(68060,109158,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,7),
(68061,109158,'Resistibility increases against targets higher than level 34.',100,1,8),
(68062,10109158,'Roots target',100,1,0),
(68063,10109158,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(68064,10109158,'Dazes target',100,2,2),
(68065,10109158,'Blurs vision of target',100,2,3),
(68066,10109158,'Dispelled when target takes damage',100,2,4),
(68067,10109158,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(68068,10109158,'5% chance to dispel when target takes damage',100,1,6),
(68069,10109158,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(68070,10109158,'Resistibility increases against targets higher than level 34.',100,1,8),
(68071,112445,'Mesmerizes target',100,1,0),
(68072,112445,'Prevents AOE (except when direct) ',100,1,1),
(68073,112445,'Dispelled when target takes damage',100,1,2),
(68074,112445,'Does not affect Epic targets',100,1,3),
(68075,112445,'Resistibility increases against targets higher than level 95.',100,1,4),
(68076,10112445,'Mesmerizes target',100,1,0),
(68077,10112445,'Prevents AOE (except when direct) ',100,1,1),
(68078,10112445,'Dispelled when target takes damage',100,1,2),
(68079,10112445,'Does not affect Epic targets',100,1,3),
(68080,10112445,'Resistibility increases against targets higher than level 95.',100,1,4),
(68081,163711,'When Equipped:',100,0,0),
(68082,163711,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(68083,163711,'Increases power of caster by 272',100,2,2),
(68084,163711,'Cannot be modified except by direct means',100,2,3),
(68085,10163711,'When Equipped:',100,0,0),
(68086,10163711,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(68087,10163711,'Increases power of caster by 272',100,2,2),
(68088,10163711,'Cannot be modified except by direct means',100,2,3),
(68089,112283,'Inflicts 16 - 20 disease damage on target',100,1,0),
(68090,112283,'Inflicts 8 - 10 disease damage on target every 3 seconds',100,1,1),
(68091,112283,'Increases Threat to target by 107 - 131  instantly and by 20 - 24  every 3 seconds thereafter',100,1,2),
(68092,10112283,'Inflicts 11 - 14 disease damage on target every 3 seconds',100,1,0),
(68093,10112283,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(68094,114900,'Causes 14% Threat to transfer to target when in combat',100,1,0),
(68095,10114900,'Applies Shadows.',100,1,0),
(68096,10114900,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target''s attacker.  Lasts for 5.0 seconds.  ',100,2,1),
(68097,10114900,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(68098,170636,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(68099,170636,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 685',100,1,1),
(68100,170636,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(68101,10170636,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(68102,10170636,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 685',100,1,1),
(68103,10170636,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(68104,48477,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(68105,48477,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(68106,48477,'Inflicts 47 poison damage on target',100,2,2),
(68107,48477,'Inflicts 14 poison damage on target instantly and every 6 seconds',100,2,3),
(68108,48477,'Cannot be modified except by direct means',100,2,4),
(68109,48477,'Grants a total of 200 triggers of the spell.',100,2,5),
(68110,10048477,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(68111,10048477,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(68112,10048477,'Inflicts 49 poison damage on target',100,2,2),
(68113,10048477,'Inflicts 14 poison damage on target instantly and every 6 seconds',100,2,3),
(68114,10048477,'Cannot be modified except by direct means',100,2,4),
(68115,10048477,'Grants a total of 200 triggers of the spell.',100,2,5),
(68116,27468,'When Equipped:',100,0,0),
(68117,27468,'On a critical spell hit this spell may cast Unleashed on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(68118,27468,'Increases Ability Modifier of group members by 500.0',100,2,2),
(68119,27468,'Must not be engaged in pvp combat',100,2,3),
(68120,27468,'Cannot be modified except by direct means',100,2,4),
(68121,27468,'On a critical combat hit this spell may cast Unleashed on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(68122,27468,'Increases Ability Modifier of group members by 500.0',100,2,6),
(68123,27468,'Must not be engaged in pvp combat',100,2,7),
(68124,27468,'Cannot be modified except by direct means',100,2,8),
(68125,27468,'On a critical healing spell cast this spell may cast Unleashed on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(68126,27468,'Increases Ability Modifier of group members by 500.0',100,2,10),
(68127,27468,'Must not be engaged in pvp combat',100,2,11),
(68128,27468,'Cannot be modified except by direct means',100,2,12),
(68129,27468,'Must not be engaged in pvp combat',100,1,13),
(68130,27468,'Cannot be modified except by direct means',100,1,14),
(68131,10027468,'When Equipped:',100,0,0),
(68132,10027468,'On a critical spell hit this spell may cast Unleashed on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(68133,10027468,'Increases Ability Modifier of group members by 500.0',100,2,2),
(68134,10027468,'Must not be engaged in pvp combat',100,2,3),
(68135,10027468,'Cannot be modified except by direct means',100,2,4),
(68136,10027468,'On a critical combat hit this spell may cast Unleashed on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(68137,10027468,'Increases Ability Modifier of group members by 500.0',100,2,6),
(68138,10027468,'Must not be engaged in pvp combat',100,2,7),
(68139,10027468,'Cannot be modified except by direct means',100,2,8),
(68140,10027468,'On a critical healing spell cast this spell may cast Unleashed on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(68141,10027468,'Increases Ability Modifier of group members by 500.0',100,2,10),
(68142,10027468,'Must not be engaged in pvp combat',100,2,11),
(68143,10027468,'Cannot be modified except by direct means',100,2,12),
(68144,10027468,'Must not be engaged in pvp combat',100,1,13),
(68145,10027468,'Cannot be modified except by direct means',100,1,14),
(68146,111684,'Inflicts 131 - 160 cold damage on target',100,1,0),
(68147,111684,'Inflicts 131 - 160 cold damage on target',100,1,1),
(68148,111684,'If target is elemental',100,2,2),
(68149,10111684,'Inflicts 157 - 192 cold damage on target',100,1,0),
(68150,81940,'When Equipped:',100,0,0),
(68151,81940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68152,81940,'Inflicts 351 - 652 magic damage on target',100,2,2),
(68153,81940,'Cannot be modified except by direct means',100,2,3),
(68154,10081940,'When Equipped:',100,0,0),
(68155,10081940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68156,10081940,'Inflicts 492 - 913 magic damage on target',100,2,2),
(68157,10081940,'Cannot be modified except by direct means',100,2,3),
(68158,87529,'Applies Lightning Shock when Activated.',100,0,0),
(68159,87529,'Inflicts 115 - 191 magic damage on target',100,1,1),
(68160,87529,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(68161,10087529,'Applies Lightning Shock when Activated.',100,0,0),
(68162,10087529,'Inflicts 161 - 268 magic damage on target',100,1,1),
(68163,10087529,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(68164,48116,'Applies Cinnamon Surprise when Activated.  Lasts for 5.0 seconds.',100,0,0),
(68165,48116,'Not for the faint of heart ... or digestion.',100,1,1),
(68166,10048116,'Applies Cinnamon Surprise when Activated.  Lasts for 5.0 seconds.',100,0,0),
(68167,10048116,'Not for the faint of heart ... or digestion.',100,1,1),
(68168,114687,'Increases Threat to target by 774 - 946 ',100,1,0),
(68169,114687,'Interrupts target',100,1,1),
(68170,10114687,'Interrupts target',100,1,0),
(68171,10114687,'Forces target to change their selected target to caster.',100,1,1),
(68172,10114687,'Prevents target from changing targets',100,1,2),
(68173,104282,'Inflicts 77 - 129 melee damage on target',100,1,0),
(68174,104282,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(68175,104282,'Stuns target',100,2,2),
(68176,104282,'Throws target back',100,2,3),
(68177,104282,'Blurs vision of target',100,2,4),
(68178,104282,'Does not affect Epic targets',100,2,5),
(68179,10104282,'Inflicts 100 - 167 melee damage on target',100,1,0),
(68180,10104282,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(68181,10104282,'Stuns target',100,2,2),
(68182,10104282,'Blurs vision of target',100,2,3),
(68183,10104282,'Throws target back',100,2,4),
(68184,10104282,'Does not affect Epic targets',100,2,5),
(68185,119299,'Roots target',100,1,0),
(68186,119299,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(68187,119299,'Slows target by 33.8%',100,2,2),
(68188,119299,'5% chance to dispel when target receives hostile action',100,2,3),
(68189,119299,'5% chance to dispel when target takes damage',100,2,4),
(68190,119299,'15% chance to dispel when target takes damage',100,1,5),
(68191,119299,'Does not affect Epic targets',100,1,6),
(68192,119299,'Resistibility increases against targets higher than level 48.',100,1,7),
(68193,10119299,'Roots target',100,1,0),
(68194,10119299,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(68195,10119299,'Slows target by 33.8%',100,2,2),
(68196,10119299,'5% chance to dispel when target receives hostile action',100,2,3),
(68197,10119299,'5% chance to dispel when target takes damage',100,2,4),
(68198,10119299,'15% chance to dispel when target takes damage',100,1,5),
(68199,10119299,'Does not affect Epic targets',100,1,6),
(68200,10119299,'Resistibility increases against targets higher than level 48.',100,1,7),
(68201,75682,'When Equipped:',100,0,0),
(68202,75682,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(68203,75682,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(68204,75682,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(68205,75682,'Heals target for 1777',100,3,4),
(68206,75682,'Must not be engaged in pvp combat',100,3,5),
(68207,75682,'Cannot be modified except by direct means',100,3,6),
(68208,75682,'Grants a total of 5 triggers of the spell.',100,3,7),
(68209,75682,'Must not be engaged in pvp combat',100,2,8),
(68210,75682,'Cannot be modified except by direct means',100,2,9),
(68211,75682,'Cannot be modified except by direct means',100,1,10),
(68212,10075682,'When Equipped:',100,0,0),
(68213,10075682,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(68214,10075682,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(68215,10075682,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(68216,10075682,'Heals target for 2080',100,3,4),
(68217,10075682,'Must not be engaged in pvp combat',100,3,5),
(68218,10075682,'Cannot be modified except by direct means',100,3,6),
(68219,10075682,'Grants a total of 5 triggers of the spell.',100,3,7),
(68220,10075682,'Must not be engaged in pvp combat',100,2,8),
(68221,10075682,'Cannot be modified except by direct means',100,2,9),
(68222,10075682,'Cannot be modified except by direct means',100,1,10),
(68223,71382,'When Equipped:',100,0,0),
(68224,71382,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68225,71382,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(68226,71382,'Cannot be modified except by direct means',100,2,3),
(68227,10071382,'When Equipped:',100,0,0),
(68228,10071382,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68229,10071382,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(68230,10071382,'Cannot be modified except by direct means',100,2,3),
(68231,111629,'Inflicts 11 - 13 cold damage on target encounter',100,1,0),
(68232,111629,'Slows target encounter by 30.4%',100,1,1),
(68233,111629,'5% chance to dispel when target takes damage',100,1,2),
(68234,111629,'5% chance to dispel when target receives hostile action',100,1,3),
(68235,10111629,'Inflicts 20 - 25 cold damage on target encounter',100,1,0),
(68236,10111629,'Slows target encounter by 30.4%',100,1,1),
(68237,10111629,'5% chance to dispel when target takes damage',100,1,2),
(68238,10111629,'5% chance to dispel when target receives hostile action',100,1,3),
(68239,109300,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(68240,109300,'Increases Mitigation of group members (AE) vs elemental damage by 554',100,1,1),
(68241,10109300,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(68242,10109300,'Increases Mitigation of group members (AE) vs elemental damage by 554',100,1,1),
(68243,71432,'When Equipped:',100,0,0),
(68244,71432,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68245,71432,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(68246,71432,'Cannot be modified except by direct means',100,2,3),
(68247,10071432,'When Equipped:',100,0,0),
(68248,10071432,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68249,10071432,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(68250,10071432,'Cannot be modified except by direct means',100,2,3),
(68251,119752,'Wards group members (AE) against 266 points of elemental, noxious and arcane damage',100,1,0),
(68252,119752,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,1),
(68253,10119752,'Wards group members (AE) against 266 points of elemental, noxious and arcane damage',100,1,0),
(68254,10119752,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,1),
(68255,140377,'When Equipped:',100,0,0),
(68256,140377,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(68257,140377,'Increases Threat to target by 1,250 ',100,2,2),
(68258,140377,'Inflicts 947 crushing damage on target',100,2,3),
(68259,140377,'Must not be engaged in pvp combat',100,2,4),
(68260,140377,'Cannot be modified except by direct means',100,2,5),
(68261,140377,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(68262,140377,'Increases Threat to target by 1,250 ',100,2,7),
(68263,140377,'Inflicts 947 crushing damage on target',100,2,8),
(68264,140377,'Must not be engaged in pvp combat',100,2,9),
(68265,140377,'Cannot be modified except by direct means',100,2,10),
(68266,10140377,'When Equipped:',100,0,0),
(68267,10140377,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(68268,10140377,'Inflicts 1326 crushing damage on target',100,2,2),
(68269,10140377,'Must not be engaged in pvp combat',100,2,3),
(68270,10140377,'Cannot be modified except by direct means',100,2,4),
(68271,10140377,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(68272,10140377,'Inflicts 1326 crushing damage on target',100,2,6),
(68273,10140377,'Must not be engaged in pvp combat',100,2,7),
(68274,10140377,'Cannot be modified except by direct means',100,2,8),
(68275,165626,'When Equipped:',100,0,0),
(68276,165626,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(68277,10165626,'When Equipped:',100,0,0),
(68278,10165626,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(68279,165165,'When Equipped:',100,0,0),
(68280,165165,'On a healing spell cast this spell may cast Healing Wave on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(68281,165165,'Heals group members for 169 - 254',100,2,2),
(68282,165165,'Cannot be modified except by direct means',100,2,3),
(68283,10165165,'When Equipped:',100,0,0),
(68284,10165165,'On a healing spell cast this spell may cast Healing Wave on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(68285,10165165,'Heals group members for 110 - 165',100,2,2),
(68286,10165165,'Cannot be modified except by direct means',100,2,3),
(68287,165557,'When Equipped:',100,0,0),
(68288,165557,'Wards caster against 516 points of noxious damage',100,1,1),
(68289,165557,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(68290,165557,'Inflicts 258 poison damage on target',100,2,3),
(68291,165557,'Inflicts 258 disease damage on target',100,2,4),
(68292,165557,'Cannot be modified except by direct means',100,2,5),
(68293,10165557,'When Equipped:',100,0,0),
(68294,10165557,'Wards caster against 516 points of noxious damage',100,1,1),
(68295,10165557,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(68296,10165557,'Inflicts 361 poison damage on target',100,2,3),
(68297,10165557,'Inflicts 361 disease damage on target',100,2,4),
(68298,10165557,'Cannot be modified except by direct means',100,2,5),
(68299,113794,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(68300,113794,'Heals target for 449 - 548',100,2,1),
(68301,10113794,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(68302,10113794,'Heals target for 292 - 356',100,2,1),
(68303,24554,'Adds Mistmoore: Stone End Table to your Dungeon Maker toolbox',100,0,0),
(68304,10024554,'Adds Mistmoore: Stone End Table to your Dungeon Maker toolbox',100,0,0),
(68305,108874,'Inflicts 301 - 501 melee damage on target',100,1,0),
(68306,108874,'Decreases INT of target by 127.1',100,1,1),
(68307,10108874,'Inflicts 391 - 652 melee damage on target',100,1,0),
(68308,10108874,'Decreases INT of target by 127.1',100,1,1),
(68309,80239,'When Equipped:',100,0,0),
(68310,80239,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(68311,80239,'Decreases Threat to target by 801 ',100,2,2),
(68312,80239,'Must be flanking or behind',100,3,3),
(68313,80239,'Increases Threat to target by 801 ',100,2,4),
(68314,80239,'Must be in front of',100,3,5),
(68315,80239,'Inflicts 224 - 415 magic damage on target',100,2,6),
(68316,80239,'Cannot be modified except by direct means',100,2,7),
(68317,10080239,'When Equipped:',100,0,0),
(68318,10080239,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(68319,10080239,'Inflicts 313 - 581 magic damage on target',100,2,2),
(68320,10080239,'Cannot be modified except by direct means',100,2,3),
(68321,159531,'Applies Sanguine Imbued when Equipped.',100,0,0),
(68322,159531,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(68323,159531,'Inflicts 251 heat damage on target',100,2,2),
(68324,159531,'Cannot be modified except by direct means',100,2,3),
(68325,10159531,'Applies Sanguine Imbued when Equipped.',100,0,0),
(68326,10159531,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(68327,10159531,'Inflicts 351 heat damage on target',100,2,2),
(68328,10159531,'Cannot be modified except by direct means',100,2,3),
(68329,108901,'Inflicts 808 heat damage on target',100,1,0),
(68330,108901,'Inflicts 808 cold damage on target',100,1,1),
(68331,108901,'Slows target by 53.0%',100,1,2),
(68332,10108901,'Inflicts 1131 heat damage on target',100,1,0),
(68333,10108901,'Inflicts 1131 cold damage on target',100,1,1),
(68334,10108901,'Slows target by 53.0%',100,1,2),
(68335,87420,'When Equipped:',100,0,0),
(68336,87420,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68337,87420,'Inflicts 38 - 56 magic damage on target',100,2,2),
(68338,87420,'Cannot be modified except by direct means',100,2,3),
(68339,10087420,'When Equipped:',100,0,0),
(68340,10087420,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68341,10087420,'Inflicts 53 - 79 magic damage on target',100,2,2),
(68342,10087420,'Cannot be modified except by direct means',100,2,3),
(68343,108717,'Inflicts 469 heat damage on target',100,1,0),
(68344,108717,'Inflicts 105 heat damage on target every 4 seconds',100,1,1),
(68345,10108717,'Inflicts 919 heat damage on target',100,1,0),
(68346,10108717,'Inflicts 147 heat damage on target every 4 seconds',100,1,1),
(68347,52721,'Applies Sanguine Imbued when Equipped.',100,0,0),
(68348,52721,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(68349,52721,'Inflicts 43 heat damage on target',100,2,2),
(68350,52721,'Cannot be modified except by direct means',100,2,3),
(68351,10052721,'Applies Sanguine Imbued when Equipped.',100,0,0),
(68352,10052721,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(68353,10052721,'Inflicts 61 heat damage on target',100,2,2),
(68354,10052721,'Cannot be modified except by direct means',100,2,3),
(68355,36568,'Increases AGI of target by 1.6',100,0,0),
(68356,36568,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(68357,47788,'Applies Aura of the Tinkerer when Activated.',100,0,0),
(68358,47788,'Engulfs user with the aura of the tinkerer',100,1,1),
(68359,10047788,'Applies Aura of the Tinkerer when Activated.',100,0,0),
(68360,10047788,'Engulfs user with the aura of the tinkerer',100,1,1),
(68361,45739,'Applies Spirit of the Hunt  when Activated.',100,0,0),
(68362,45739,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(68363,10045739,'Applies Spirit of the Hunt  when Activated.',100,0,0),
(68364,10045739,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(68365,47568,'Applies Portable Workbench when Activated.  Lasts for 15 minutes.',100,0,0),
(68366,47568,'Summons Work Bench',100,1,1),
(68367,47568,'This effect cancels during combat',100,1,2),
(68368,10047568,'Applies Portable Workbench when Activated.  Lasts for 15 minutes.',100,0,0),
(68369,10047568,'Summons Work Bench',100,1,1),
(68370,10047568,'This effect cancels during combat',100,1,2),
(68371,108891,'Inflicts 267 heat damage on target',100,1,0),
(68372,108891,'Inflicts 267 cold damage on target',100,1,1),
(68373,108891,'Slows target by 35.1%',100,1,2),
(68374,10108891,'Inflicts 374 heat damage on target',100,1,0),
(68375,10108891,'Inflicts 374 cold damage on target',100,1,1),
(68376,10108891,'Slows target by 35.1%',100,1,2),
(68377,45865,'Applies Tinkered Wings of Flight when Activated.',100,0,0),
(68378,45865,'Increases Ordination of caster by 5.0',100,1,1),
(68379,45865,'Summons a mount to ride',100,1,2),
(68380,45865,'Increases your ground speed by 75%',100,2,3),
(68381,45865,'Increases your air speed by 150%',100,2,4),
(68382,45865,'Increases Piercing, Slashing, Crushing, Ministration, Focus, Disruption, Ranged, Aggression and Subjugation of caster by 5.0',100,1,5),
(68383,10045865,'Applies Tinkered Wings of Flight when Activated.',100,0,0),
(68384,10045865,'Increases Ordination of caster by 5.0',100,1,1),
(68385,10045865,'Summons a mount to ride',100,1,2),
(68386,10045865,'Increases your ground speed by 75%',100,2,3),
(68387,10045865,'Increases your air speed by 150%',100,2,4),
(68388,10045865,'Increases Piercing, Slashing, Crushing, Ministration, Focus, Disruption, Ranged, Aggression and Subjugation of caster by 5.0',100,1,5),
(68389,121917,'Inflicts 148 - 247 mental damage on target encounter',100,1,0),
(68390,121917,'Increases power of group members (AE) by 92 - 153',100,1,1),
(68391,10121917,'Inflicts 208 - 346 mental damage on target encounter',100,1,0),
(68392,10121917,'Increases power of group members (AE) by 92 - 153',100,1,1),
(68393,90278,'When Equipped:',100,0,0),
(68394,90278,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68395,90278,'Inflicts 185 - 227 magic damage on target',100,2,2),
(68396,90278,'Cannot be modified except by direct means',100,2,3),
(68397,10090278,'When Equipped:',100,0,0),
(68398,10090278,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68399,10090278,'Inflicts 260 - 317 magic damage on target',100,2,2),
(68400,10090278,'Cannot be modified except by direct means',100,2,3),
(68401,89422,'When Equipped:',100,0,0),
(68402,89422,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68403,89422,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(68404,89422,'Heals caster for 1185 - 1309',100,2,3),
(68405,89422,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(68406,89422,'Must not be engaged in pvp combat',100,2,5),
(68407,89422,'Cannot be modified except by direct means',100,2,6),
(68408,89422,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(68409,89422,'Cannot be modified except by direct means',100,1,8),
(68410,10089422,'When Equipped:',100,0,0),
(68411,10089422,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68412,10089422,'Inflicts 3317 - 3666 poison damage on target',100,2,2),
(68413,10089422,'Heals caster for 1386 - 1532',100,2,3),
(68414,10089422,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(68415,10089422,'Must not be engaged in pvp combat',100,2,5),
(68416,10089422,'Cannot be modified except by direct means',100,2,6),
(68417,10089422,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(68418,10089422,'Cannot be modified except by direct means',100,1,8),
(68419,72062,'When Equipped:',100,0,0),
(68420,72062,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68421,72062,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(68422,72062,'Cannot be modified except by direct means',100,2,3),
(68423,10072062,'When Equipped:',100,0,0),
(68424,10072062,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68425,10072062,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(68426,10072062,'Cannot be modified except by direct means',100,2,3),
(68427,113074,'Applies Scream on termination.',100,1,0),
(68428,113074,'Inflicts 436 - 726 disease damage on target',100,2,1),
(68429,113074,'Dazes target',100,1,2),
(68430,113074,'If Target is not Epic',100,2,3),
(68431,113074,'Resistibility increases against targets higher than level 91.',100,1,4),
(68432,10113074,'Dazes target',100,1,0),
(68433,10113074,'If Target is not Epic',100,2,1),
(68434,10113074,'Applies Scream on termination.',100,1,2),
(68435,10113074,'Inflicts 610 - 1016 disease damage on target',100,2,3),
(68436,10113074,'Resistibility increases against targets higher than level 91.',100,1,4),
(68437,148656,'When Equipped:',100,0,0),
(68438,148656,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68439,148656,'Inflicts 1998 cold damage on target encounter',100,2,2),
(68440,148656,'Must not be engaged in pvp combat',100,2,3),
(68441,148656,'Cannot be modified except by direct means',100,2,4),
(68442,148656,'Must not be engaged in pvp combat',100,1,5),
(68443,10148656,'When Equipped:',100,0,0),
(68444,10148656,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68445,10148656,'Inflicts 1399 cold damage on target encounter',100,2,2),
(68446,10148656,'Must not be engaged in pvp combat',100,2,3),
(68447,10148656,'Cannot be modified except by direct means',100,2,4),
(68448,10148656,'Must not be engaged in pvp combat',100,1,5),
(68449,120697,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.6',100,1,0),
(68450,10120697,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.6',100,1,0),
(68451,120971,'Inflicts 1600 - 2667 ranged damage on target',100,1,0),
(68452,120971,'If weapon equipped in Ranged',100,1,1),
(68453,120971,'Must be behind',100,1,2),
(68454,10120971,'Inflicts 1360 - 2267 ranged damage on target',100,1,0),
(68455,10120971,'If weapon equipped in Ranged',100,1,1),
(68456,10120971,'Must be behind',100,1,2),
(68457,121900,'Inflicts 72 - 120 mental damage on target encounter',100,1,0),
(68458,121900,'Increases power of group members (AE) by 44 - 74',100,1,1),
(68459,10121900,'Inflicts 100 - 167 mental damage on target encounter',100,1,0),
(68460,10121900,'Increases power of group members (AE) by 44 - 74',100,1,1),
(68461,85333,'Applies Poison Bolt when Activated.',100,0,0),
(68462,85333,'Inflicts 168 - 280 poison damage on target',100,1,1),
(68463,85333,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(68464,10085333,'Applies Poison Bolt when Activated.',100,0,0),
(68465,10085333,'Inflicts 235 - 392 poison damage on target',100,1,1),
(68466,10085333,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(68467,113523,'Inflicts 635 - 1059 melee damage on targets in area',100,1,0),
(68468,10113523,'Inflicts 826 - 1376 melee damage on targets in area',100,1,0),
(68469,111505,'Increases AGI of caster by 121.4',100,1,0),
(68470,111505,'Increases Attack Speed of caster by 55.7',100,1,1),
(68471,111505,'Increases in-combat movement speed of caster by 8.0%',100,1,2),
(68472,111505,'Adds 25.0% to base avoidance.',100,1,3),
(68473,111505,'Increases Mitigation of caster vs physical damage by 997',100,1,4),
(68474,111505,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,5),
(68475,10111505,'Increases AGI of caster by 121.4',100,1,0),
(68476,10111505,'Increases Attack Speed of caster by 55.7',100,1,1),
(68477,10111505,'Increases speed of caster by 8.0%',100,1,2),
(68478,10111505,'Adds 25.0% to base avoidance.',100,1,3),
(68479,10111505,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,4),
(68480,27236,'When Equipped:',100,0,0),
(68481,27236,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68482,27236,'Decreases power of target by 229',100,2,2),
(68483,27236,'Increases power of caster by 184',100,2,3),
(68484,27236,'Cannot be modified except by direct means',100,2,4),
(68485,10027236,'When Equipped:',100,0,0),
(68486,10027236,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68487,10027236,'Decreases power of target by 229',100,2,2),
(68488,10027236,'Increases power of caster by 184',100,2,3),
(68489,10027236,'Cannot be modified except by direct means',100,2,4),
(68490,26524,'When Equipped:',100,0,0),
(68491,26524,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(68492,26524,'Adds two additional triggers to Focused Intervention IV.',100,1,2),
(68493,10026524,'When Equipped:',100,0,0),
(68494,10026524,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(68495,10026524,'Adds two additional triggers to Focused Intervention IV.',100,1,2),
(68496,124622,'Heals group members (AE) for 310 - 379',100,1,0),
(68497,124622,'Heals group members (AE) for 52 - 64 every second',100,1,1),
(68498,10124622,'Heals group members (AE) for 453 - 554',100,1,0),
(68499,10124622,'Heals group members (AE) for 57 - 69 every second',100,1,1),
(68500,84629,'When Equipped:',100,0,0),
(68501,84629,'On any combat or spell hit this spell may cast Arcane Vortex V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68502,84629,'Increases Potency of group members (AE) by 3.0%',100,2,2),
(68503,84629,'Inflicts 170 - 188 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,3),
(68504,84629,'Increases power of group members (AE) by 32 - 35 instantly and every 2 seconds',100,2,4),
(68505,84629,'Must not be engaged in pvp combat',100,2,5),
(68506,84629,'Cannot be modified except by direct means',100,2,6),
(68507,84629,'Must not be engaged in pvp combat',100,1,7),
(68508,10084629,'When Equipped:',100,0,0),
(68509,10084629,'On any combat or spell hit this spell may cast Arcane Vortex V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68510,10084629,'Increases Potency of group members (AE) by 3.0%',100,2,2),
(68511,10084629,'Inflicts 238 - 263 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,3),
(68512,10084629,'Increases power of group members (AE) by 32 - 35 instantly and every 2 seconds',100,2,4),
(68513,10084629,'Must not be engaged in pvp combat',100,2,5),
(68514,10084629,'Cannot be modified except by direct means',100,2,6),
(68515,10084629,'Must not be engaged in pvp combat',100,1,7),
(68516,114043,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(68517,114043,'Heals target for 7 instantly and every 2 seconds',100,2,1),
(68518,114043,'Decreases Mitigation of target vs arcane damage by 187',100,1,2),
(68519,10114043,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(68520,10114043,'Heals target for 5 instantly and every 2 seconds',100,2,1),
(68521,10114043,'Decreases Mitigation of target vs arcane damage by 187',100,1,2),
(68522,81599,'When Equipped:',100,0,0),
(68523,81599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68524,81599,'Inflicts 144 - 268 magic damage on target',100,2,2),
(68525,81599,'Cannot be modified except by direct means',100,2,3),
(68526,10081599,'When Equipped:',100,0,0),
(68527,10081599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68528,10081599,'Inflicts 202 - 375 magic damage on target',100,2,2),
(68529,10081599,'Cannot be modified except by direct means',100,2,3),
(68530,160766,'When Equipped:',100,0,0),
(68531,160766,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68532,160766,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(68533,160766,'Heals caster for 1185 - 1309',100,2,3),
(68534,160766,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(68535,160766,'Must not be engaged in pvp combat',100,2,5),
(68536,160766,'Cannot be modified except by direct means',100,2,6),
(68537,160766,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(68538,160766,'Cannot be modified except by direct means',100,1,8),
(68539,10160766,'When Equipped:',100,0,0),
(68540,10160766,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68541,10160766,'Inflicts 3317 - 3666 poison damage on target',100,2,2),
(68542,10160766,'Heals caster for 1386 - 1532',100,2,3),
(68543,10160766,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(68544,10160766,'Must not be engaged in pvp combat',100,2,5),
(68545,10160766,'Cannot be modified except by direct means',100,2,6),
(68546,10160766,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(68547,10160766,'Cannot be modified except by direct means',100,1,8),
(68548,45038,'Applies Immortalize Aiden when Activated.',100,0,0),
(68549,45038,'Summon 1 Trophy: Aiden''s Head',100,1,1),
(68550,45038,'This effect cannot be cast during combat',100,1,2),
(68551,10045038,'Applies Immortalize Aiden when Activated.',100,0,0),
(68552,10045038,'Summon 1 Trophy: Aiden''s Head',100,1,1),
(68553,10045038,'This effect cannot be cast during combat',100,1,2),
(68554,71613,'When Equipped:',100,0,0),
(68555,71613,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68556,71613,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(68557,71613,'Cannot be modified except by direct means',100,2,3),
(68558,10071613,'When Equipped:',100,0,0),
(68559,10071613,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68560,10071613,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(68561,10071613,'Cannot be modified except by direct means',100,2,3),
(68562,114300,'Heals target for 451 - 552',100,1,0),
(68563,10114300,'Heals target for 531 - 648',100,1,0),
(68564,82453,'When Equipped:',100,0,0),
(68565,82453,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(68566,82453,'Decreases Threat to target by 801 ',100,2,2),
(68567,82453,'Must be flanking or behind',100,3,3),
(68568,82453,'Increases Threat to target by 801 ',100,2,4),
(68569,82453,'Must be in front of',100,3,5),
(68570,82453,'Inflicts 224 - 415 magic damage on target',100,2,6),
(68571,82453,'Cannot be modified except by direct means',100,2,7),
(68572,10082453,'When Equipped:',100,0,0),
(68573,10082453,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(68574,10082453,'Inflicts 313 - 581 magic damage on target',100,2,2),
(68575,10082453,'Cannot be modified except by direct means',100,2,3),
(68576,140730,'When Equipped:',100,0,0),
(68577,140730,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(68578,140730,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(68579,140730,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,3),
(68580,140730,'Increases Potency of caster by 3.0%',100,2,4),
(68581,140730,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(68582,140730,'Must not be engaged in pvp combat',100,2,6),
(68583,140730,'Cannot be modified except by direct means',100,2,7),
(68584,140730,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(68585,140730,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,9),
(68586,140730,'Increases Potency of caster by 3.0%',100,2,10),
(68587,140730,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(68588,140730,'Must not be engaged in pvp combat',100,2,12),
(68589,140730,'Cannot be modified except by direct means',100,2,13),
(68590,140730,'Cannot be modified except by direct means',100,1,14),
(68591,10140730,'When Equipped:',100,0,0),
(68592,10140730,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(68593,10140730,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(68594,10140730,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,3),
(68595,10140730,'Increases Potency of caster by 3.0%',100,2,4),
(68596,10140730,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(68597,10140730,'Must not be engaged in pvp combat',100,2,6),
(68598,10140730,'Cannot be modified except by direct means',100,2,7),
(68599,10140730,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(68600,10140730,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,9),
(68601,10140730,'Increases Potency of caster by 3.0%',100,2,10),
(68602,10140730,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(68603,10140730,'Must not be engaged in pvp combat',100,2,12),
(68604,10140730,'Cannot be modified except by direct means',100,2,13),
(68605,10140730,'Cannot be modified except by direct means',100,1,14),
(68606,165013,'When Equipped:',100,0,0),
(68607,165013,'Increases disease damage done by spells by up to 50.',100,1,1),
(68608,10165013,'When Equipped:',100,0,0),
(68609,10165013,'Increases disease damage done by spells by up to 50.',100,1,1),
(68610,112631,'Inflicts 34 - 57 disease damage on target',100,1,0),
(68611,112631,'Inflicts 34 - 57 disease damage on target',100,1,1),
(68612,112631,'Roots target',100,1,2),
(68613,112631,'If Target is not Epic',100,2,3),
(68614,112631,'15% chance to dispel when target takes damage',100,1,4),
(68615,112631,'If weapon equipped in Ranged',100,1,5),
(68616,112631,'Resistibility increases against targets higher than level 45.',100,1,6),
(68617,10112631,'Inflicts 29 - 48 disease damage on target',100,1,0),
(68618,10112631,'Inflicts 29 - 48 disease damage on target',100,1,1),
(68619,10112631,'Roots target',100,1,2),
(68620,10112631,'If Target is not Epic',100,2,3),
(68621,10112631,'15% chance to dispel when target takes damage',100,1,4),
(68622,10112631,'If weapon equipped in Ranged',100,1,5),
(68623,10112631,'Resistibility increases against targets higher than level 45.',100,1,6),
(68624,46099,'Applies Elixir of Refinement when Activated.  Lasts for 15 minutes.',100,0,0),
(68625,46099,'Increases Max Health of caster by 130.0',100,1,1),
(68626,10046099,'Applies Elixir of Refinement when Activated.  Lasts for 15 minutes.',100,0,0),
(68627,10046099,'Increases Max Health of caster by 130.0',100,1,1),
(68628,123812,'Inflicts 59 - 98 magic damage on target',100,1,0),
(68629,123812,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(68630,123812,'Decreases Defense of target by 16.5',100,1,2),
(68631,123812,'Target will lose 22% more power when power is consumed',100,1,3),
(68632,123812,'22% of target''s power consumed will also be drained from target''s health',100,1,4),
(68633,10123812,'Inflicts 83 - 138 magic damage on target',100,1,0),
(68634,10123812,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(68635,10123812,'Decreases Defense of target by 16.5',100,1,2),
(68636,10123812,'Target will lose 22% more power when power is consumed',100,1,3),
(68637,10123812,'22% of target''s power consumed will also be drained from target''s health',100,1,4),
(68638,107218,'Inflicts 673 - 1122 melee damage on targets in area',100,1,0),
(68639,107218,'Dispels 166 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(68640,10107218,'Inflicts 875 - 1459 melee damage on targets in area',100,1,0),
(68641,10107218,'Reduces healing received of targets in area by 10%',100,1,1),
(68642,109678,'Inflicts 103 - 126 cold damage on target instantly and every 3 seconds',100,1,0),
(68643,10109678,'Inflicts 144 - 176 cold damage on target instantly and every 3 seconds',100,1,0),
(68644,133728,'When Equipped:',100,0,0),
(68645,133728,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68646,133728,'Inflicts 947 magic damage on target',100,2,2),
(68647,133728,'Inflicts 95 magic damage on target every 4 seconds',100,2,3),
(68648,133728,'Must not be engaged in pvp combat',100,2,4),
(68649,133728,'Cannot be modified except by direct means',100,2,5),
(68650,10133728,'When Equipped:',100,0,0),
(68651,10133728,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68652,10133728,'Inflicts 1326 magic damage on target',100,2,2),
(68653,10133728,'Inflicts 133 magic damage on target every 4 seconds',100,2,3),
(68654,10133728,'Must not be engaged in pvp combat',100,2,4),
(68655,10133728,'Cannot be modified except by direct means',100,2,5),
(68656,116864,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(68657,116864,'Inflicts 804 - 982 mental damage on target',100,2,1),
(68658,116864,'Grants a total of 3 triggers of the spell.',100,2,2),
(68659,10116864,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(68660,10116864,'Inflicts 1125 - 1375 mental damage on target',100,2,1),
(68661,10116864,'Grants a total of 3 triggers of the spell.',100,2,2),
(68662,104235,'Inflicts 170 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(68663,104235,'Decreases WIS of target encounter by 76.2',100,1,1),
(68664,10104235,'Inflicts 238 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(68665,10104235,'Decreases WIS of target encounter by 76.2',100,1,1),
(68666,112268,'Applies Inquisition.',100,1,0),
(68667,112268,'Heals targets in Area of Effect for 154 - 189',100,2,1),
(68668,112268,'If Target is between 10 and 20 meters away',100,3,2),
(68669,112268,'Heals targets in Area of Effect for 309 - 378',100,2,3),
(68670,112268,'If Target is between 5 and 10 meters away',100,3,4),
(68671,112268,'Heals targets in Area of Effect for 618 - 755',100,2,5),
(68672,112268,'If Target is closer than 5 meters',100,3,6),
(68673,114598,'Inflicts 1006 - 1678 ranged damage on target',100,1,0),
(68674,114598,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(68675,114598,'Requires bow',100,1,2),
(68676,10114598,'Inflicts 1062 - 1770 ranged damage on target',100,1,0),
(68677,10114598,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(68678,10114598,'Requires bow',100,1,2),
(68679,131195,'When Equipped:',100,0,0),
(68680,131195,'Increases INT and AGI of caster by 50.0',100,1,1),
(68681,131195,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(68682,131195,'Increases STR and WIS of caster by 50.0',100,1,3),
(68683,131195,'Increases Potency of caster by 3.5%',100,1,4),
(68684,131195,'Cannot be modified except by direct means',100,1,5),
(68685,10131195,'When Equipped:',100,0,0),
(68686,10131195,'Increases INT and AGI of caster by 50.0',100,1,1),
(68687,10131195,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(68688,10131195,'Increases STR and WIS of caster by 50.0',100,1,3),
(68689,10131195,'Increases Potency of caster by 3.5%',100,1,4),
(68690,10131195,'Cannot be modified except by direct means',100,1,5),
(68691,113190,'Inflicts 12 - 16 magic damage on target',100,1,0),
(68692,10113190,'Inflicts 17 - 23 magic damage on target',100,1,0),
(68693,102355,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(68694,102355,'Increases Attack Speed of target by 10.1',100,2,1),
(68695,102355,'Increases Damage Per Second of target by 10.1',100,2,2),
(68696,102355,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(68697,102355,'Increases Attack Speed of target by 10.1',100,2,4),
(68698,102355,'Increases Damage Per Second of target by 10.1',100,2,5),
(68699,102355,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(68700,102355,'Increases Attack Speed of target by 10.1',100,2,7),
(68701,102355,'Increases Damage Per Second of target by 10.1',100,2,8),
(68702,10102355,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(68703,10102355,'Increases Attack Speed of target by 10.1',100,2,1),
(68704,10102355,'Increases Damage Per Second of target by 10.1',100,2,2),
(68705,10102355,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(68706,10102355,'Increases Attack Speed of target by 10.1',100,2,4),
(68707,10102355,'Increases Damage Per Second of target by 10.1',100,2,5),
(68708,10102355,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(68709,10102355,'Increases Attack Speed of target by 10.1',100,2,7),
(68710,10102355,'Increases Damage Per Second of target by 10.1',100,2,8),
(68711,35146,'Increases STR of target by 1.6',100,0,0),
(68712,35146,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(68713,144266,'When Equipped:',100,0,0),
(68714,144266,'Increases Attack Speed of caster by 35.0',100,1,1),
(68715,10144266,'When Equipped:',100,0,0),
(68716,10144266,'Increases Attack Speed of caster by 35.0',100,1,1),
(68717,101868,'Stuns target',100,1,0),
(68718,101868,'Does not affect Epic targets',100,1,1),
(68719,101868,'Resistibility increases against targets higher than level 96.',100,1,2),
(68720,10101868,'Stuns target',100,1,0),
(68721,10101868,'Does not affect Epic targets',100,1,1),
(68722,10101868,'Resistibility increases against targets higher than level 96.',100,1,2),
(68723,132217,'Applies Water Breathing when Activated.  Lasts for 12 hours.',100,0,0),
(68724,132217,'Allows caster to breathe under water',100,1,1),
(68725,10132217,'Applies Water Breathing when Activated.  Lasts for 12 hours.',100,0,0),
(68726,10132217,'Allows caster to breathe under water',100,1,1),
(68727,101681,'Decreases Attack Speed of target by 23.2',100,1,0),
(68728,101681,'Decreases Damage Per Second of target by 16.8',100,1,1),
(68729,10101681,'Decreases Attack Speed of target by 23.2',100,1,0),
(68730,10101681,'Decreases Damage Per Second of target by 16.8',100,1,1),
(68731,54760,'When Equipped:',100,0,0),
(68732,54760,'On a melee hit this spell may cast Angelic Entourage on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68733,54760,'Summons 3 Angelic Manifestations to heal and protect the caster''s party.',100,2,2),
(68734,10054760,'When Equipped:',100,0,0),
(68735,10054760,'On a melee hit this spell may cast Angelic Entourage on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(68736,10054760,'Summons 3 Angelic Manifestations to heal and protect the caster''s party.',100,2,2),
(68737,81834,'When Equipped:',100,0,0),
(68738,81834,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68739,81834,'Inflicts 141 - 262 magic damage on target',100,2,2),
(68740,81834,'Cannot be modified except by direct means',100,2,3),
(68741,10081834,'When Equipped:',100,0,0),
(68742,10081834,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(68743,10081834,'Inflicts 198 - 367 magic damage on target',100,2,2),
(68744,10081834,'Cannot be modified except by direct means',100,2,3),
(68745,120164,'Applies Life Draw on termination.',100,1,0),
(68746,120164,'Inflicts 107 - 178 disease damage on target',100,2,1),
(68747,120164,'Heals caster for 66 - 110',100,2,2),
(68748,120164,'This effect cannot be critically applied.',100,3,3),
(68749,120164,'The healing of this spell cannot be modified except by direct means',100,2,4),
(68750,120164,'Inflicts 31 - 51 disease damage on target',100,1,5),
(68751,10120164,'Applies Life Draw on termination.',100,1,0),
(68752,10120164,'Inflicts 149 - 249 disease damage on target',100,2,1),
(68753,10120164,'Heals caster for 20 - 33',100,2,2),
(68754,10120164,'This effect cannot be critically applied.',100,3,3),
(68755,10120164,'The healing of this spell cannot be modified except by direct means',100,2,4),
(68756,10120164,'Inflicts 40 - 67 disease damage on target',100,1,5),
(68757,101535,'Increases WIS of target by 163.7',100,1,0),
(68758,101535,'Increases Max Health of target by 1,456.8',100,1,1),
(68759,101535,'Increases Mitigation of target vs elemental, noxious and arcane damage by 445',100,1,2),
(68760,10101535,'Increases WIS of target by 163.7',100,1,0),
(68761,10101535,'Increases Max Health of target by 1,456.8',100,1,1),
(68762,10101535,'Increases Mitigation of target vs elemental, noxious and arcane damage by 445',100,1,2),
(68763,72108,'When Equipped:',100,0,0),
(68764,72108,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68765,72108,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(68766,72108,'Cannot be modified except by direct means',100,2,3),
(68767,10072108,'When Equipped:',100,0,0),
(68768,10072108,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(68769,10072108,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(68770,10072108,'Cannot be modified except by direct means',100,2,3),
(68771,121863,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(68772,121863,'Decreases Threat to target by 246 - 301 ',100,2,1),
(68773,121863,'If profession other than Fighter',100,3,2),
(68774,121863,'Inflicts 145 - 177 mental damage on target',100,2,3),
(68775,10121863,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(68776,10121863,'Inflicts 203 - 248 mental damage on target',100,2,1),
(68777,107598,'Dazes target encounter',100,1,0),
(68778,107598,'Inflicts 655 - 801 mental damage on target encounter',100,1,1),
(68779,107598,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(68780,107598,'Resistibility increases against targets higher than level 96.',100,1,3),
(68781,10107598,'Dazes target encounter',100,1,0),
(68782,10107598,'Inflicts 918 - 1122 mental damage on target encounter',100,1,1),
(68783,10107598,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(68784,10107598,'Resistibility increases against targets higher than level 96.',100,1,3),
(68785,108139,'Increases Attack Speed of caster by 46.5',100,1,0),
(68786,10108139,'Increases Attack Speed of caster by 46.5',100,1,0),
(68787,114457,'Inflicts 271 - 452 heat damage on target',100,1,0),
(68788,10114457,'Inflicts 353 - 588 heat damage on target',100,1,0),
(68789,121583,'Stuns target encounter',100,1,0),
(68790,121583,'Epic targets gain an immunity to Stun effects of 15.8 seconds and duration is reduced to 1.8 seconds.',100,1,1),
(68791,121583,'Resistibility increases against targets higher than level 59.',100,1,2),
(68792,10121583,'Stuns target encounter',100,1,0),
(68793,10121583,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(68794,10121583,'Resistibility increases against targets higher than level 59.',100,1,2),
(68795,109837,'Inflicts 598 - 997 melee damage on target',100,1,0),
(68796,109837,'Decreases Parry of target by 54.7',100,1,1),
(68797,109837,'Must be in front of or flanking',100,1,2),
(68798,10109837,'Inflicts 778 - 1297 melee damage on target',100,1,0),
(68799,10109837,'Decreases Parry of target by 54.7',100,1,1),
(68800,10109837,'Must be in front of or flanking',100,1,2),
(68801,118303,'Roots target encounter',100,1,0),
(68802,118303,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(68803,118303,'Slows target by 60.8%',100,2,2),
(68804,118303,'5% chance to dispel when target receives hostile action',100,2,3),
(68805,118303,'5% chance to dispel when target takes damage',100,2,4),
(68806,118303,'20% chance to dispel when target takes damage',100,1,5),
(68807,118303,'Does not affect Epic targets',100,1,6),
(68808,118303,'Resistibility increases against targets higher than level 69.',100,1,7),
(68809,10118303,'Roots target encounter',100,1,0),
(68810,10118303,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(68811,10118303,'Slows target by 60.8%',100,2,2),
(68812,10118303,'5% chance to dispel when target receives hostile action',100,2,3),
(68813,10118303,'5% chance to dispel when target takes damage',100,2,4),
(68814,10118303,'20% chance to dispel when target takes damage',100,1,5),
(68815,10118303,'Does not affect Epic targets',100,1,6),
(68816,10118303,'Resistibility increases against targets higher than level 69.',100,1,7),
(68817,167748,'Applies Othmir Nimble Fingers when Equipped.',100,0,0),
(68818,167748,'Increases the amount of progress gained by 5.0%.',100,1,1),
(68819,10167748,'Applies Othmir Nimble Fingers when Equipped.',100,0,0),
(68820,10167748,'Increases the amount of progress gained by 5.0%.',100,1,1),
(68821,75172,'When Equipped:',100,0,0),
(68822,75172,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(68823,10075172,'When Equipped:',100,0,0),
(68824,10075172,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(68825,175652,'When Equipped:',100,0,0),
(68826,175652,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68827,175652,'Inflicts 1986 piercing damage on target',100,2,2),
(68828,175652,'Cannot be modified except by direct means',100,2,3),
(68829,10175652,'When Equipped:',100,0,0),
(68830,10175652,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(68831,10175652,'Inflicts 1390 piercing damage on target',100,2,2),
(68832,10175652,'Cannot be modified except by direct means',100,2,3),
(68833,82378,'When Equipped:',100,0,0),
(68834,82378,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(68835,82378,'Decreases Threat to target by 376 ',100,2,2),
(68836,82378,'Must be flanking or behind',100,3,3),
(68837,82378,'Increases Threat to target by 376 ',100,2,4),
(68838,82378,'Must be in front of',100,3,5),
(68839,82378,'Inflicts 144 - 268 magic damage on target',100,2,6),
(68840,82378,'Cannot be modified except by direct means',100,2,7),
(68841,10082378,'When Equipped:',100,0,0),
(68842,10082378,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(68843,10082378,'Inflicts 202 - 375 magic damage on target',100,2,2),
(68844,10082378,'Cannot be modified except by direct means',100,2,3),
(68845,46191,'Applies Spatial Displacement when Activated.',100,0,0),
(68846,46191,'This will only work on a broken ethereal thread.',100,1,1),
(68847,10046191,'Applies Spatial Displacement when Activated.',100,0,0),
(68848,10046191,'This will only work on a broken ethereal thread.',100,1,1),
(68849,45359,'Applies Blessing of Growth when Activated.',100,0,0),
(68850,45359,'This effect cannot be cast during combat',100,1,1),
(68851,10045359,'Applies Blessing of Growth when Activated.',100,0,0),
(68852,10045359,'This effect cannot be cast during combat',100,1,1),
(68853,118381,'Inflicts 410 - 684 melee damage on target',100,1,0),
(68854,118381,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(68855,118381,'Stuns target',100,2,2),
(68856,118381,'Throws target back',100,2,3),
(68857,118381,'Blurs vision of target',100,2,4),
(68858,118381,'Does not affect Epic targets',100,2,5),
(68859,10118381,'Inflicts 533 - 889 melee damage on target',100,1,0),
(68860,10118381,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(68861,10118381,'Stuns target',100,2,2),
(68862,10118381,'Throws target back',100,2,3),
(68863,10118381,'Blurs vision of target',100,2,4),
(68864,10118381,'Does not affect Epic targets',100,2,5),
(68865,124478,'Heals group members (AE) for 373 - 456',100,1,0),
(68866,10124478,'Heals group members (AE) for 436 - 533',100,1,0),
(68867,119775,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(68868,119775,'Inflicts 93 - 114 poison damage on target encounter',100,2,1),
(68869,10119775,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(68870,10119775,'Inflicts 130 - 159 poison damage on target encounter',100,2,1),
(68871,100881,'Makes target afraid',100,1,0),
(68872,100881,'30% chance to dispel when target takes damage',100,1,1),
(68873,100881,'Does not affect Epic targets',100,1,2),
(68874,100881,'Resistibility increases against targets higher than level 96.',100,1,3),
(68875,10100881,'Makes target afraid',100,1,0),
(68876,10100881,'30% chance to dispel when target takes damage',100,1,1),
(68877,10100881,'Does not affect Epic targets',100,1,2),
(68878,10100881,'Resistibility increases against targets higher than level 96.',100,1,3),
(68879,115557,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1197',100,1,0),
(68880,10115557,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1197',100,1,0),
(68881,106413,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(68882,106413,'Inflicts 410 - 501 mental damage on target',100,2,1),
(68883,106413,'Grants a total of 3 triggers of the spell.',100,2,2),
(68884,10106413,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(68885,10106413,'Inflicts 574 - 702 mental damage on target',100,2,1),
(68886,10106413,'Grants a total of 3 triggers of the spell.',100,2,2),
(68887,109625,'Increases Defense of group members'' pets (AE) by 21.5',100,1,0),
(68888,109625,'Increases Mitigation of group members (AE) vs all damage by 348',100,1,1),
(68889,10109625,'Increases Defense of group members'' pets (AE) by 21.5',100,1,0),
(68890,10109625,'Increases Mitigation of group members (AE) vs all damage by 348',100,1,1),
(68891,45310,'Applies Throw Chocolate Cake when Activated.  Lasts for 1.0 second.',100,0,0),
(68892,10045310,'Applies Throw Chocolate Cake when Activated.  Lasts for 1.0 second.',100,0,0),
(68893,101110,'Increases Mitigation of raid and group members (AE) vs arcane damage by 825',100,1,0),
(68894,10101110,'Increases Mitigation of raid and group members (AE) vs arcane damage by 825',100,1,0),
(68895,112228,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(68896,112228,'Increases Threat to target by 60 ',100,2,1),
(68897,112228,'Inflicts 34 disease damage on target',100,2,2),
(68898,112228,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1053',100,1,3),
(68899,10112228,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(68900,10112228,'Inflicts 47 disease damage on target',100,2,1),
(68901,10112228,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1053',100,1,2),
(68902,46008,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(68903,46008,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(68904,46008,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(68905,46008,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(68906,46008,'You can only have one experience potion active at a time.',100,1,4),
(68907,10046008,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(68908,10046008,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(68909,10046008,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(68910,10046008,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(68911,10046008,'You can only have one experience potion active at a time.',100,1,4),
(68912,26575,'When Equipped:',100,0,0),
(68913,26575,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(68914,26575,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,2),
(68915,10026575,'When Equipped:',100,0,0),
(68916,10026575,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(68917,10026575,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,2),
(68918,124418,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(68919,124418,'Inflicts 272 - 454 melee damage on target',100,2,1),
(68920,124418,'Grants a total of 3 triggers of the spell.',100,2,2),
(68921,10124418,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(68922,10124418,'Inflicts 354 - 590 melee damage on target',100,2,1),
(68923,10124418,'Grants a total of 3 triggers of the spell.',100,2,2),
(68924,159911,'Applies Lambent Imbued when Equipped.',100,0,0),
(68925,159911,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(68926,159911,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(68927,159911,'Cannot be modified except by direct means',100,2,3),
(68928,10159911,'Applies Lambent Imbued when Equipped.',100,0,0),
(68929,10159911,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(68930,10159911,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(68931,10159911,'Cannot be modified except by direct means',100,2,3),
(68932,35253,'Increases INT and WIS of target by 1.2',100,0,0),
(68933,35253,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(68934,48285,'Applies Place Barricade when Activated.',100,0,0),
(68935,48285,'This effect cannot be cast during combat',100,1,1),
(68936,10048285,'Applies Place Barricade when Activated.',100,0,0),
(68937,10048285,'This effect cannot be cast during combat',100,1,1),
(68938,116618,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(68939,116618,'Increases Mitigation of group members (AE) vs arcane damage by 185',100,1,1),
(68940,10116618,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(68941,10116618,'Increases Mitigation of group members (AE) vs arcane damage by 185',100,1,1),
(68942,134784,'When Equipped:',100,0,0),
(68943,134784,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(68944,134784,'Increases power of target by 47 instantly and every 4 seconds',100,2,2),
(68945,134784,'Cannot be modified except by direct means',100,2,3),
(68946,10134784,'When Equipped:',100,0,0),
(68947,10134784,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(68948,10134784,'Increases power of target by 47 instantly and every 4 seconds',100,2,2),
(68949,10134784,'Cannot be modified except by direct means',100,2,3),
(68950,110321,'Increases Max Power of target by 162.0',100,1,0),
(68951,110321,'Increases Max Health of target by 311.4',100,1,1),
(68952,10110321,'Increases Max Power of target by 162.0',100,1,0),
(68953,10110321,'Increases Max Health of target by 311.4',100,1,1),
(68954,119180,'Inflicts 46 - 77 heat damage on target',100,1,0),
(68955,119180,'Inflicts 46 - 77 heat damage on target',100,1,1),
(68956,119180,'Requires bow',100,1,2),
(68957,10119180,'Inflicts 52 - 88 heat damage on target',100,1,0),
(68958,10119180,'Inflicts 52 - 88 heat damage on target',100,1,1),
(68959,10119180,'Requires bow',100,1,2),
(68960,25885,'When Equipped:',100,0,0),
(68961,25885,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,1),
(68962,25885,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(68963,10025885,'When Equipped:',100,0,0),
(68964,10025885,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,1),
(68965,10025885,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(68966,179434,'When Equipped:',100,0,0),
(68967,179434,'On a combat hit this spell may cast Infuriating Shout IV on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(68968,179434,'Increases Threat to target by 600 ',100,2,2),
(68969,179434,'Cannot be modified except by direct means',100,2,3),
(68970,10179434,'When Equipped:',100,0,0),
(68971,10179434,'On a combat hit this spell may cast Infuriating Shout IV on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(68972,10179434,'Prevents target from changing targets',100,2,2),
(68973,10179434,'Forces target to change their selected target to caster.',100,2,3),
(68974,10179434,'Cannot be modified except by direct means',100,2,4),
(68975,27217,'When Equipped:',100,0,0),
(68976,27217,'Increases In-Combat Power Regeneration of caster by 4.0',100,1,1),
(68977,10027217,'When Equipped:',100,0,0),
(68978,10027217,'Increases In-Combat Power Regeneration of caster by 4.0',100,1,1),
(68979,113426,'Reduces physical damage done to caster by 5%',100,1,0),
(68980,113426,'Increases STA of caster by 160.2',100,1,1),
(68981,113426,'Adds 4.3% to base avoidance.',100,1,2),
(68982,113426,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(68983,113426,'Increases Defense and Aggression of caster by 30.5',100,1,4),
(68984,113426,'Increases Mitigation of caster vs noxious damage by 2117',100,1,5),
(68985,113426,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(68986,10113426,'Reduces physical damage done to caster by 5%',100,1,0),
(68987,10113426,'Increases STA of caster by 160.2',100,1,1),
(68988,10113426,'Adds 4.3% to base avoidance.',100,1,2),
(68989,10113426,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(68990,10113426,'Increases Defense and Aggression of caster by 30.5',100,1,4),
(68991,10113426,'Increases Mitigation of caster vs noxious damage by 2117',100,1,5),
(68992,10113426,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(68993,112427,'Mesmerizes target',100,1,0),
(68994,112427,'Prevents AOE (except when direct) ',100,1,1),
(68995,112427,'Dispelled when target takes damage',100,1,2),
(68996,112427,'Does not affect Epic targets',100,1,3),
(68997,112427,'Resistibility increases against targets higher than level 53.',100,1,4),
(68998,10112427,'Mesmerizes target',100,1,0),
(68999,10112427,'Prevents AOE (except when direct) ',100,1,1),
(69000,10112427,'Dispelled when target takes damage',100,1,2),
(69001,10112427,'Does not affect Epic targets',100,1,3),
(69002,10112427,'Resistibility increases against targets higher than level 53.',100,1,4),
(69003,26104,'When Equipped:',100,0,0),
(69004,26104,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,1),
(69005,26104,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(69006,10026104,'When Equipped:',100,0,0),
(69007,10026104,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,1),
(69008,10026104,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(69009,159017,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69010,159017,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69011,159017,'Inflicts 177 heat damage on target',100,2,2),
(69012,159017,'Cannot be modified except by direct means',100,2,3),
(69013,10159017,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69014,10159017,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69015,10159017,'Inflicts 248 heat damage on target',100,2,2),
(69016,10159017,'Cannot be modified except by direct means',100,2,3),
(69017,120856,'Inflicts 96 - 130 disease damage on target instantly and every second',100,1,0),
(69018,10120856,'Inflicts 188 - 255 disease damage on target',100,1,0),
(69019,10120856,'Inflicts 135 - 182 disease damage on target every second',100,1,1),
(69020,159433,'Applies Lambent Imbued when Equipped.',100,0,0),
(69021,159433,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(69022,159433,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(69023,159433,'Cannot be modified except by direct means',100,2,3),
(69024,10159433,'Applies Lambent Imbued when Equipped.',100,0,0),
(69025,10159433,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(69026,10159433,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(69027,10159433,'Cannot be modified except by direct means',100,2,3),
(69028,46741,'Applies Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(69029,46741,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(69030,46741,'Stifles target',100,2,2),
(69031,46741,'If Target is not Epic',100,3,3),
(69032,46741,'Cannot be modified except by direct means',100,2,4),
(69033,46741,'Grants a total of 4 triggers of the spell.',100,2,5),
(69034,46741,'Only affects targets level 50 and above',100,1,6),
(69035,10046741,'Applies Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(69036,10046741,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(69037,10046741,'Stifles target',100,2,2),
(69038,10046741,'If Target is not Epic',100,3,3),
(69039,10046741,'Cannot be modified except by direct means',100,2,4),
(69040,10046741,'Grants a total of 4 triggers of the spell.',100,2,5),
(69041,10046741,'Only affects targets level 50 and above',100,1,6),
(69042,124115,'Increases power of caster by 166',100,1,0),
(69043,10124115,'Increases power of caster by 166',100,1,0),
(69044,80380,'When Equipped:',100,0,0),
(69045,80380,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69046,80380,'Inflicts 52 - 96 magic damage on target',100,2,2),
(69047,80380,'Cannot be modified except by direct means',100,2,3),
(69048,10080380,'When Equipped:',100,0,0),
(69049,10080380,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69050,10080380,'Inflicts 73 - 135 magic damage on target',100,2,2),
(69051,10080380,'Cannot be modified except by direct means',100,2,3),
(69052,115205,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(69053,115205,'Decreases Mitigation of target vs noxious damage by 280',100,2,1),
(69054,115205,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(69055,115205,'Decreases Mitigation of target vs noxious damage by 280',100,2,3),
(69056,10115205,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(69057,10115205,'Decreases Mitigation of target vs noxious damage by 280',100,2,1),
(69058,10115205,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(69059,10115205,'Decreases Mitigation of target vs noxious damage by 280',100,2,3),
(69060,48621,'Applies Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(69061,48621,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(69062,48621,'Decreases STR of target by 19.6',100,2,2),
(69063,48621,'Cannot be modified except by direct means',100,2,3),
(69064,48621,'Grants a total of 30 triggers of the spell.',100,2,4),
(69065,48621,'Only affects targets level 50 and above',100,1,5),
(69066,10048621,'Applies Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(69067,10048621,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(69068,10048621,'Decreases STR of target by 19.6',100,2,2),
(69069,10048621,'Cannot be modified except by direct means',100,2,3),
(69070,10048621,'Grants a total of 30 triggers of the spell.',100,2,4),
(69071,10048621,'Only affects targets level 50 and above',100,1,5),
(69072,81698,'When Equipped:',100,0,0),
(69073,81698,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(69074,81698,'Decreases Threat to target by 259 ',100,2,2),
(69075,81698,'Must be flanking or behind',100,3,3),
(69076,81698,'Increases Threat to target by 259 ',100,2,4),
(69077,81698,'Must be in front of',100,3,5),
(69078,81698,'Inflicts 101 - 188 magic damage on target',100,2,6),
(69079,81698,'Cannot be modified except by direct means',100,2,7),
(69080,10081698,'When Equipped:',100,0,0),
(69081,10081698,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(69082,10081698,'Inflicts 142 - 263 magic damage on target',100,2,2),
(69083,10081698,'Cannot be modified except by direct means',100,2,3),
(69084,173242,'When Equipped:',100,0,0),
(69085,173242,'Additional equipment with Void Bane improves this effect.',100,1,1),
(69086,173242,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(69087,173242,'Inflicts 1031 mental damage on target',100,2,3),
(69088,173242,'If any of the following are true:',100,3,4),
(69089,173242,'Must be classified as a void beast',100,4,5),
(69090,173242,'Must be classified as a shadowed folk',100,4,6),
(69091,173242,'Inflicts 516 mental damage on target',100,2,7),
(69092,173242,'Must not be classified as a void beast',100,3,8),
(69093,173242,'Must not be classified as a shadowed folk',100,3,9),
(69094,173242,'Decreases Mitigation of target vs arcane damage by 747',100,2,10),
(69095,173242,'If any of the following are true:',100,3,11),
(69096,173242,'Must be classified as a void beast',100,4,12),
(69097,173242,'Must be classified as a shadowed folk',100,4,13),
(69098,173242,'Cannot be modified except by direct means',100,2,14),
(69099,10173242,'When Equipped:',100,0,0),
(69100,10173242,'Additional equipment with Void Bane improves this effect.',100,1,1),
(69101,10173242,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(69102,10173242,'Inflicts 1444 mental damage on target',100,2,3),
(69103,10173242,'If any of the following are true:',100,3,4),
(69104,10173242,'Must be classified as a void beast',100,4,5),
(69105,10173242,'Must be classified as a shadowed folk',100,4,6),
(69106,10173242,'Inflicts 722 mental damage on target',100,2,7),
(69107,10173242,'Must not be classified as a void beast',100,3,8),
(69108,10173242,'Must not be classified as a shadowed folk',100,3,9),
(69109,10173242,'Decreases Mitigation of target vs arcane damage by 747',100,2,10),
(69110,10173242,'If any of the following are true:',100,3,11),
(69111,10173242,'Must be classified as a void beast',100,4,12),
(69112,10173242,'Must be classified as a shadowed folk',100,4,13),
(69113,10173242,'Cannot be modified except by direct means',100,2,14),
(69114,24095,'Adds Chardok: Powerful Translucent Crystal to your Dungeon Maker toolbox',100,0,0),
(69115,10024095,'Adds Chardok: Powerful Translucent Crystal to your Dungeon Maker toolbox',100,0,0),
(69116,109521,'Inflicts 235 - 287 disease damage on target instantly and every 4 seconds',100,1,0),
(69117,109521,'Decreases Attack Speed of target by 11.6',100,1,1),
(69118,10109521,'Inflicts 329 - 402 disease damage on target instantly and every 4 seconds',100,1,0),
(69119,10109521,'Decreases Attack Speed of target by 11.6',100,1,1),
(69120,80486,'When Equipped:',100,0,0),
(69121,80486,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(69122,80486,'Decreases Threat to target by 153 ',100,2,2),
(69123,80486,'Must be flanking or behind',100,3,3),
(69124,80486,'Increases Threat to target by 153 ',100,2,4),
(69125,80486,'Must be in front of',100,3,5),
(69126,80486,'Inflicts 61 - 113 magic damage on target',100,2,6),
(69127,80486,'Cannot be modified except by direct means',100,2,7),
(69128,10080486,'When Equipped:',100,0,0),
(69129,10080486,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(69130,10080486,'Inflicts 85 - 158 magic damage on target',100,2,2),
(69131,10080486,'Cannot be modified except by direct means',100,2,3),
(69132,106838,'Decreases Crushing, Piercing, Slashing and Ranged of target by 25.2',100,1,0),
(69133,10106838,'Decreases Crushing, Piercing, Slashing and Ranged of target by 25.2',100,1,0),
(69134,112215,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(69135,112215,'Increases Threat to target by 27 ',100,2,1),
(69136,112215,'Inflicts 16 disease damage on target',100,2,2),
(69137,112215,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,3),
(69138,10112215,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(69139,10112215,'Inflicts 22 disease damage on target',100,2,1),
(69140,10112215,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,2),
(69141,105084,'Inflicts 807 - 1092 magic damage on target',100,1,0),
(69142,10105084,'Inflicts 1130 - 1529 magic damage on target',100,1,0),
(69143,46662,'Applies Ice Protection when Activated.  Lasts for 10 minutes.',100,0,0),
(69144,46662,'Dispels 63 levels of elemental hostile effects on caster',100,1,1),
(69145,46662,'Increases Mitigation of caster vs elemental damage by 700',100,1,2),
(69146,10046662,'Applies Ice Protection when Activated.  Lasts for 10 minutes.',100,0,0),
(69147,10046662,'Dispels 63 levels of elemental hostile effects on caster',100,1,1),
(69148,10046662,'Increases Mitigation of caster vs elemental damage by 700',100,1,2),
(69149,120236,'Roots target encounter',100,1,0),
(69150,120236,'15% chance to dispel when target takes damage',100,1,1),
(69151,120236,'Does not affect Epic targets',100,1,2),
(69152,120236,'Resistibility increases against targets higher than level 107.',100,1,3),
(69153,10120236,'Roots target encounter',100,1,0),
(69154,10120236,'15% chance to dispel when target takes damage',100,1,1),
(69155,10120236,'Does not affect Epic targets',100,1,2),
(69156,10120236,'Resistibility increases against targets higher than level 107.',100,1,3),
(69157,112881,'Inflicts 172 - 210 melee damage on target',100,1,0),
(69158,112881,'Decreases Mitigation of target vs physical damage by 165',100,1,1),
(69159,112881,'Must be flanking or behind',100,1,2),
(69160,10112881,'Inflicts 224 - 274 melee damage on target',100,1,0),
(69161,10112881,'Decreases Mitigation of target vs physical damage by 165',100,1,1),
(69162,10112881,'Must be flanking or behind',100,1,2),
(69163,24551,'Adds Mistmoore: Stacked Tomes to your Dungeon Maker toolbox',100,0,0),
(69164,10024551,'Adds Mistmoore: Stacked Tomes to your Dungeon Maker toolbox',100,0,0),
(69165,45350,'Applies Blagro''s Replenishment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(69166,45350,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(69167,10045350,'Applies Blagro''s Replenishment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(69168,10045350,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(69169,114085,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(69170,114085,'Grants stealth to caster',100,2,1),
(69171,114085,'Suspends caster''s movement speed enhancements',100,2,2),
(69172,114085,'Inflicts 519 - 865 melee damage on target',100,1,3),
(69173,114085,'Must be flanking or behind',100,1,4),
(69174,10114085,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(69175,10114085,'Grants stealth to caster',100,2,1),
(69176,10114085,'Suspends caster''s movement speed enhancements',100,2,2),
(69177,10114085,'Inflicts 1012 - 1686 melee damage on target',100,1,3),
(69178,10114085,'Must be flanking or behind',100,1,4),
(69179,114529,'Heals target for 212 - 259',100,1,0),
(69180,10114529,'Heals target for 275 - 336',100,1,0),
(69181,118323,'Roots target encounter',100,1,0),
(69182,118323,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(69183,118323,'Slows target by 52.4%',100,2,2),
(69184,118323,'5% chance to dispel when target receives hostile action',100,2,3),
(69185,118323,'5% chance to dispel when target takes damage',100,2,4),
(69186,118323,'20% chance to dispel when target takes damage',100,1,5),
(69187,118323,'Does not affect Epic targets',100,1,6),
(69188,118323,'Resistibility increases against targets higher than level 117.',100,1,7),
(69189,10118323,'Roots target encounter',100,1,0),
(69190,10118323,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(69191,10118323,'Slows target by 52.4%',100,2,2),
(69192,10118323,'5% chance to dispel when target receives hostile action',100,2,3),
(69193,10118323,'5% chance to dispel when target takes damage',100,2,4),
(69194,10118323,'20% chance to dispel when target takes damage',100,1,5),
(69195,10118323,'Does not affect Epic targets',100,1,6),
(69196,10118323,'Resistibility increases against targets higher than level 117.',100,1,7),
(69197,107536,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(69198,107536,'Decreases Mitigation of target encounter vs elemental and noxious damage by 540',100,1,1),
(69199,10107536,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(69200,10107536,'Decreases Mitigation of target encounter vs elemental and noxious damage by 540',100,1,1),
(69201,116110,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(69202,116110,'Heals target for 394 - 482',100,2,1),
(69203,116110,'Grants a total of 5 triggers of the spell.',100,2,2),
(69204,10116110,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(69205,10116110,'Heals target for 256 - 313',100,2,1),
(69206,10116110,'Grants a total of 5 triggers of the spell.',100,2,2),
(69207,116912,'Summons a limited pet to aid the caster',100,1,0),
(69208,10116912,'Summons a limited pet to aid the caster',100,1,0),
(69209,111609,'Inflicts 51 - 95 cold damage on target instantly and every 4 seconds',100,1,0),
(69210,111609,'Decreases Mitigation of target vs elemental damage by 656',100,1,1),
(69211,10111609,'Inflicts 71 - 132 cold damage on target instantly and every 4 seconds',100,1,0),
(69212,10111609,'Decreases Mitigation of target vs elemental damage by 656',100,1,1),
(69213,107543,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(69214,107543,'Decreases Mitigation of target encounter vs elemental and noxious damage by 646',100,1,1),
(69215,10107543,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(69216,10107543,'Decreases Mitigation of target encounter vs elemental and noxious damage by 646',100,1,1),
(69217,71681,'When Equipped:',100,0,0),
(69218,71681,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(69219,71681,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(69220,71681,'Cannot be modified except by direct means',100,2,3),
(69221,10071681,'When Equipped:',100,0,0),
(69222,10071681,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(69223,10071681,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(69224,10071681,'Cannot be modified except by direct means',100,2,3),
(69225,134450,'When Equipped:',100,0,0),
(69226,134450,'On a combat hit this spell may cast Blood Symphony on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(69227,134450,'When any damage is received this spell has a 10% chance to cast Blood Symphony on target''s attacker.  ',100,2,2),
(69228,134450,'Heals target for 1269',100,3,3),
(69229,134450,'This effect cannot be critically applied.',100,4,4),
(69230,134450,'Cannot be modified except by direct means',100,3,5),
(69231,134450,'Inflicts 1719 poison damage on target',100,2,6),
(69232,134450,'Heals caster for 1375',100,2,7),
(69233,134450,'Cannot be modified except by direct means',100,2,8),
(69234,134450,'Cannot be modified except by direct means',100,1,9),
(69235,10134450,'When Equipped:',100,0,0),
(69236,10134450,'On a combat hit this spell may cast Blood Symphony on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(69237,10134450,'Inflicts 1203 poison damage on target',100,2,2),
(69238,10134450,'Heals caster for 447',100,2,3),
(69239,10134450,'When any damage is received this spell has a 10% chance to cast Blood Symphony on target''s attacker.  ',100,2,4),
(69240,10134450,'Heals target for 82',100,3,5),
(69241,10134450,'This effect cannot be critically applied.',100,4,6),
(69242,10134450,'Cannot be modified except by direct means',100,3,7),
(69243,10134450,'Cannot be modified except by direct means',100,2,8),
(69244,10134450,'Cannot be modified except by direct means',100,1,9),
(69245,87966,'When Equipped:',100,0,0),
(69246,87966,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(69247,87966,'Increases power of caster by 127',100,2,2),
(69248,87966,'Cannot be modified except by direct means',100,2,3),
(69249,10087966,'When Equipped:',100,0,0),
(69250,10087966,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(69251,10087966,'Increases power of caster by 127',100,2,2),
(69252,10087966,'Cannot be modified except by direct means',100,2,3),
(69253,112311,'Inflicts 132 - 161 disease damage on target',100,1,0),
(69254,112311,'Inflicts 66 - 81 disease damage on target every 3 seconds',100,1,1),
(69255,112311,'Increases Threat to target by 936 - 1,144  instantly and by 176 - 215  every 3 seconds thereafter',100,1,2),
(69256,10112311,'Inflicts 92 - 113 disease damage on target every 3 seconds',100,1,0),
(69257,10112311,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(69258,112574,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(69259,112574,'Heals targets in Area of Effect for 109 - 134',100,2,1),
(69260,112574,'Dispels 64 levels of physical hostile effects on target',100,2,2),
(69261,10112574,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(69262,10112574,'Heals targets in Area of Effect for 71 - 87',100,2,1),
(69263,10112574,'Dispels 64 levels of physical hostile effects on target',100,2,2),
(69264,107826,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(69265,107826,'Increases Hate Gain of target by 8.4%',100,1,1),
(69266,101687,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(69267,101687,'Inflicts 258 - 315 disease damage on target',100,2,1),
(69268,101687,'Grants a total of 3 triggers of the spell.',100,2,2),
(69269,10101687,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(69270,10101687,'Inflicts 361 - 441 disease damage on target',100,2,1),
(69271,10101687,'Grants a total of 3 triggers of the spell.',100,2,2),
(69272,37443,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(69273,47619,'Applies Power Root when Activated.',100,0,0),
(69274,47619,'Increases power of caster by 10.0%',100,1,1),
(69275,10047619,'Applies Power Root when Activated.',100,0,0),
(69276,10047619,'Increases power of caster by 10.0%',100,1,1),
(69277,47084,'Applies Most Wanted Poster when Activated.',100,0,0),
(69278,47084,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(69279,47084,'If between levels 40 - 49',100,1,2),
(69280,47084,'Cannot be modified except by direct means',100,1,3),
(69281,10047084,'Applies Most Wanted Poster when Activated.',100,0,0),
(69282,10047084,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(69283,10047084,'If between levels 40 - 49',100,1,2),
(69284,10047084,'Cannot be modified except by direct means',100,1,3),
(69285,106202,'Applies Defile.',100,1,0),
(69286,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,1),
(69287,106202,'If under 10% Health',100,3,2),
(69288,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,3),
(69289,106202,'If under 30% Health',100,3,4),
(69290,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,5),
(69291,106202,'If under 50% Health',100,3,6),
(69292,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,7),
(69293,106202,'If under 40% Health',100,3,8),
(69294,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,9),
(69295,106202,'If under 70% Health',100,3,10),
(69296,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,11),
(69297,106202,'If under 60% Health',100,3,12),
(69298,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,13),
(69299,106202,'If under 20% Health',100,3,14),
(69300,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,15),
(69301,106202,'If under 100% Health',100,3,16),
(69302,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,17),
(69303,106202,'If under 90% Health',100,3,18),
(69304,106202,'Inflicts 59 disease damage on targets in Area of Effect',100,2,19),
(69305,106202,'If under 80% Health',100,3,20),
(69306,10106202,'Applies Defile.',100,1,0),
(69307,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,1),
(69308,10106202,'If over 100% Health',100,3,2),
(69309,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,3),
(69310,10106202,'If at 80% Health or less',100,3,4),
(69311,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,5),
(69312,10106202,'If at 20% Health or less',100,3,6),
(69313,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,7),
(69314,10106202,'If at 40% Health or less',100,3,8),
(69315,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,9),
(69316,10106202,'If at 10% Health or less',100,3,10),
(69317,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,11),
(69318,10106202,'If at 60% Health or less',100,3,12),
(69319,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,13),
(69320,10106202,'If at 30% Health or less',100,3,14),
(69321,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,15),
(69322,10106202,'If at 90% Health or less',100,3,16),
(69323,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,17),
(69324,10106202,'If at 50% Health or less',100,3,18),
(69325,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,19),
(69326,10106202,'If at 100% Health or greater',100,3,20),
(69327,10106202,'Inflicts 83 disease damage on targets in Area of Effect',100,2,21),
(69328,10106202,'If at 70% Health or less',100,3,22),
(69329,103973,'Interrupts targets in Area of Effect',100,1,0),
(69330,103973,'Inflicts 50 - 93 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(69331,10103973,'Interrupts targets in Area of Effect',100,1,0),
(69332,10103973,'Inflicts 70 - 131 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(69333,114834,'Dazes caster',100,1,0),
(69334,114834,'Roots caster',100,1,1),
(69335,114834,'Increases Mitigation of caster vs physical damage by 1966',100,1,2),
(69336,10114834,'Dazes caster',100,1,0),
(69337,10114834,'Roots caster',100,1,1),
(69338,10114834,'Increases Mitigation of caster vs physical damage by 1966',100,1,2),
(69339,106087,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(69340,10106087,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(69341,26967,'When Equipped:',100,0,0),
(69342,26967,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(69343,26967,'Inflicts 102 poison damage on target instantly and every 5 seconds',100,2,2),
(69344,26967,'Cannot be modified except by direct means',100,2,3),
(69345,10026967,'When Equipped:',100,0,0),
(69346,10026967,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(69347,10026967,'Inflicts 143 poison damage on target instantly and every 5 seconds',100,2,2),
(69348,10026967,'Cannot be modified except by direct means',100,2,3),
(69349,52867,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69350,52867,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69351,52867,'Inflicts 103 heat damage on target',100,2,2),
(69352,52867,'Cannot be modified except by direct means',100,2,3),
(69353,10052867,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69354,10052867,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69355,10052867,'Inflicts 144 heat damage on target',100,2,2),
(69356,10052867,'Cannot be modified except by direct means',100,2,3),
(69357,81687,'When Equipped:',100,0,0),
(69358,81687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69359,81687,'Inflicts 101 - 188 magic damage on target',100,2,2),
(69360,81687,'Cannot be modified except by direct means',100,2,3),
(69361,10081687,'When Equipped:',100,0,0),
(69362,10081687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69363,10081687,'Inflicts 142 - 263 magic damage on target',100,2,2),
(69364,10081687,'Cannot be modified except by direct means',100,2,3),
(69365,111593,'Inflicts 24 - 45 cold damage on target instantly and every 4 seconds',100,1,0),
(69366,111593,'Decreases Mitigation of target vs elemental damage by 378',100,1,1),
(69367,10111593,'Inflicts 34 - 63 cold damage on target instantly and every 4 seconds',100,1,0),
(69368,10111593,'Decreases Mitigation of target vs elemental damage by 378',100,1,1),
(69369,115812,'Inflicts 20 disease damage on target every 3 seconds',100,1,0),
(69370,115812,'Inflicts 76 - 127 melee damage on target',100,1,1),
(69371,115812,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(69372,115812,'Heals caster for 1.6% of max health instantly and every 3 seconds',100,2,3),
(69373,115812,'This effect cannot be critically applied.',100,3,4),
(69374,115812,'The healing of this spell cannot be modified except by direct means',100,2,5),
(69375,115812,'The healing of this spell cannot be modified except by direct means',100,1,6),
(69376,10115812,'Inflicts 28 disease damage on target every 3 seconds',100,1,0),
(69377,10115812,'Inflicts 99 - 165 melee damage on target',100,1,1),
(69378,10115812,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(69379,10115812,'Heals caster for 0.5% of max health instantly and every 3 seconds',100,2,3),
(69380,10115812,'This effect cannot be critically applied.',100,3,4),
(69381,10115812,'The healing of this spell cannot be modified except by direct means',100,2,5),
(69382,10115812,'The healing of this spell cannot be modified except by direct means',100,1,6),
(69383,123494,'Decreases Mitigation of target encounter vs noxious damage by 378',100,1,0),
(69384,10123494,'Decreases Mitigation of target encounter vs noxious damage by 378',100,1,0),
(69385,75627,'Applies Holy Strike when Activated.',100,0,0),
(69386,75627,'Inflicts 435 - 725 divine damage on target',100,1,1),
(69387,75627,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69388,10075627,'Applies Holy Strike when Activated.',100,0,0),
(69389,10075627,'Inflicts 609 - 1015 divine damage on target',100,1,1),
(69390,10075627,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69391,77372,'When Equipped:',100,0,0),
(69392,77372,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69393,77372,'Inflicts 201 - 373 cold damage on target',100,2,2),
(69394,77372,'Cannot be modified except by direct means',100,2,3),
(69395,10077372,'When Equipped:',100,0,0),
(69396,10077372,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69397,10077372,'Inflicts 281 - 522 cold damage on target',100,2,2),
(69398,10077372,'Cannot be modified except by direct means',100,2,3),
(69399,46719,'Applies arcane remedy when Activated.',100,0,0),
(69400,46719,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(69401,10046719,'Applies arcane remedy when Activated.',100,0,0),
(69402,10046719,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(69403,111332,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(69404,111332,'Inflicts 396 - 484 mental damage on target',100,2,1),
(69405,111332,'Grants a total of 3 triggers of the spell.',100,2,2),
(69406,10111332,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(69407,10111332,'Inflicts 554 - 678 mental damage on target',100,2,1),
(69408,10111332,'Grants a total of 3 triggers of the spell.',100,2,2),
(69409,46366,'Applies Smokehorn Ritual when Activated.',100,0,0),
(69410,46366,'This effect cannot be cast during combat',100,1,1),
(69411,10046366,'Applies Smokehorn Ritual when Activated.',100,0,0),
(69412,10046366,'This effect cannot be cast during combat',100,1,1),
(69413,116535,'Increases Mitigation of target vs physical damage by 636',100,1,0),
(69414,116535,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(69415,10116535,'Increases Mitigation of target vs physical damage by 636',100,1,0),
(69416,10116535,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(69417,122868,'Inflicts 158 - 263 ranged damage on target',100,1,0),
(69418,122868,'Inflicts 316 - 527 ranged damage on target',100,1,1),
(69419,122868,'Inflicts 474 - 791 ranged damage on target',100,1,2),
(69420,122868,'Requires bow',100,1,3),
(69421,10122868,'Inflicts 168 - 280 ranged damage on target',100,1,0),
(69422,10122868,'Inflicts 336 - 560 ranged damage on target',100,1,1),
(69423,10122868,'Inflicts 504 - 840 ranged damage on target',100,1,2),
(69424,10122868,'Requires bow',100,1,3),
(69425,24525,'Adds Mistmoore: Dark Fabric Bolt to your Dungeon Maker toolbox',100,0,0),
(69426,10024525,'Adds Mistmoore: Dark Fabric Bolt to your Dungeon Maker toolbox',100,0,0),
(69427,46116,'Applies Elixir of the Myrmidon when Activated.  Lasts for 15 minutes.',100,0,0),
(69428,46116,'Increases Max Power of caster by 15.0',100,1,1),
(69429,10046116,'Applies Elixir of the Myrmidon when Activated.  Lasts for 15 minutes.',100,0,0),
(69430,10046116,'Increases Max Power of caster by 15.0',100,1,1),
(69431,109583,'Makes target afraid',100,1,0),
(69432,109583,'30% chance to dispel when target takes damage',100,1,1),
(69433,109583,'Does not affect Epic targets',100,1,2),
(69434,109583,'Resistibility increases against targets higher than level 107.',100,1,3),
(69435,10109583,'Makes target afraid',100,1,0),
(69436,10109583,'30% chance to dispel when target takes damage',100,1,1),
(69437,10109583,'Does not affect Epic targets',100,1,2),
(69438,10109583,'Resistibility increases against targets higher than level 107.',100,1,3),
(69439,114576,'Inflicts 239 - 398 ranged damage on target',100,1,0),
(69440,114576,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(69441,114576,'Requires bow',100,1,2),
(69442,10114576,'Inflicts 252 - 420 ranged damage on target',100,1,0),
(69443,10114576,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(69444,10114576,'Requires bow',100,1,2),
(69445,109099,'Inflicts 44 - 73 crushing damage on target',100,1,0),
(69446,10109099,'Inflicts 57 - 95 crushing damage on target',100,1,0),
(69447,176306,'When Equipped:',100,0,0),
(69448,176306,'On any combat or spell hit this spell may cast Major Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(69449,176306,'When damaged this spell will cast Major Serrated Subterfuge on target''s attacker.  ',100,2,2),
(69450,176306,'Inflicts 4664 piercing damage on target',100,3,3),
(69451,176306,'Must not be engaged in pvp combat',100,3,4),
(69452,176306,'Cannot be modified except by direct means',100,3,5),
(69453,176306,'Grants a total of 5 triggers of the spell.',100,3,6),
(69454,176306,'Must not be engaged in pvp combat',100,2,7),
(69455,176306,'Cannot be modified except by direct means',100,2,8),
(69456,176306,'This effect will not stack with itself.',100,1,9),
(69457,176306,'Must not be engaged in pvp combat',100,1,10),
(69458,10176306,'When Equipped:',100,0,0),
(69459,10176306,'On any combat or spell hit this spell may cast Major Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(69460,10176306,'When damaged this spell will cast Major Serrated Subterfuge on target''s attacker.  ',100,2,2),
(69461,10176306,'Inflicts 6529 piercing damage on target',100,3,3),
(69462,10176306,'Must not be engaged in pvp combat',100,3,4),
(69463,10176306,'Cannot be modified except by direct means',100,3,5),
(69464,10176306,'Grants a total of 5 triggers of the spell.',100,3,6),
(69465,10176306,'Must not be engaged in pvp combat',100,2,7),
(69466,10176306,'Cannot be modified except by direct means',100,2,8),
(69467,10176306,'This effect will not stack with itself.',100,1,9),
(69468,10176306,'Must not be engaged in pvp combat',100,1,10),
(69469,154488,'When Equipped:',100,0,0),
(69470,154488,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(69471,154488,'Inflicts 1199 disease damage on target encounter',100,2,2),
(69472,154488,'Must not be engaged in pvp combat',100,2,3),
(69473,154488,'Cannot be modified except by direct means',100,2,4),
(69474,10154488,'When Equipped:',100,0,0),
(69475,10154488,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(69476,10154488,'Inflicts 839 disease damage on target encounter',100,2,2),
(69477,10154488,'Must not be engaged in pvp combat',100,2,3),
(69478,10154488,'Cannot be modified except by direct means',100,2,4),
(69479,164767,'When Equipped:',100,0,0),
(69480,164767,'When damaged this spell has a 5% chance to cast Lightning Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,1),
(69481,164767,'Increases Damage Per Second of caster by 19.6',100,2,2),
(69482,164767,'Increases Parry of caster by 23.3',100,2,3),
(69483,164767,'Cannot be modified except by direct means',100,2,4),
(69484,10164767,'When Equipped:',100,0,0),
(69485,10164767,'When damaged this spell has a 5% chance to cast Lightning Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,1),
(69486,10164767,'Increases Damage Per Second of caster by 19.6',100,2,2),
(69487,10164767,'Increases Parry of caster by 23.3',100,2,3),
(69488,10164767,'Cannot be modified except by direct means',100,2,4),
(69489,103890,'Increases power of group members (AE) by 22 instantly and every 6 seconds',100,1,0),
(69490,103890,'Decreases INT of target by 85.9',100,1,1),
(69491,10103890,'Increases power of group members (AE) by 22 instantly and every 6 seconds',100,1,0),
(69492,10103890,'Decreases INT of target by 85.9',100,1,1),
(69493,87559,'Applies Poison Bolt when Activated.',100,0,0),
(69494,87559,'Inflicts 98 - 163 poison damage on target',100,1,1),
(69495,87559,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69496,10087559,'Applies Poison Bolt when Activated.',100,0,0),
(69497,10087559,'Inflicts 137 - 228 poison damage on target',100,1,1),
(69498,10087559,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69499,37528,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(69500,111815,'Inflicts 57 - 96 melee damage on target',100,1,0),
(69501,111815,'Roots target',100,1,1),
(69502,111815,'If Target is not Epic',100,2,2),
(69503,111815,'Resistibility increases against targets higher than level 42.',100,1,3),
(69504,10111815,'Inflicts 67 - 112 melee damage on target',100,1,0),
(69505,10111815,'Roots target',100,1,1),
(69506,10111815,'If Target is not Epic',100,2,2),
(69507,10111815,'Resistibility increases against targets higher than level 42.',100,1,3),
(69508,122601,'Inflicts 143 - 175 mental damage on target instantly and every 3 seconds',100,1,0),
(69509,122601,'Decreases Mitigation of target vs arcane damage by 938',100,1,1),
(69510,10122601,'Inflicts 201 - 245 mental damage on target instantly and every 3 seconds',100,1,0),
(69511,10122601,'Decreases Mitigation of target vs arcane damage by 938',100,1,1),
(69512,124227,'Decreases Attack Speed of caster by 15.5',100,1,0),
(69513,124227,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(69514,124227,'Slows targets in Area of Effect by 45.1%',100,2,2),
(69515,124227,'5% chance to dispel when target receives hostile action',100,2,3),
(69516,124227,'5% chance to dispel when target takes damage',100,2,4),
(69517,124227,'Increases Mitigation of caster vs physical damage by 605',100,1,5),
(69518,10124227,'Decreases Attack Speed of caster by 15.5',100,1,0),
(69519,10124227,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(69520,10124227,'Slows targets in Area of Effect by 33.8%',100,2,2),
(69521,10124227,'5% chance to dispel when target receives hostile action',100,2,3),
(69522,10124227,'5% chance to dispel when target takes damage',100,2,4),
(69523,10124227,'Increases Mitigation of caster vs physical damage by 605',100,1,5),
(69524,136792,'When Equipped:',100,0,0),
(69525,136792,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(69526,136792,'Increases AGI of target by 21.2',100,2,2),
(69527,136792,'Cannot be modified except by direct means',100,2,3),
(69528,10136792,'When Equipped:',100,0,0),
(69529,10136792,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(69530,10136792,'Increases AGI of target by 21.2',100,2,2),
(69531,10136792,'Cannot be modified except by direct means',100,2,3),
(69532,115843,'Inflicts 127 - 212 mental damage on target encounter',100,1,0),
(69533,115843,'Interrupts target encounter',100,1,1),
(69534,10115843,'Inflicts 178 - 297 mental damage on target encounter',100,1,0),
(69535,10115843,'Interrupts target encounter',100,1,1),
(69536,102909,'Heals caster for 944',100,1,0),
(69537,102909,'Inflicts 1726 disease damage on targets in Area of Effect',100,1,1),
(69538,10102909,'Heals caster for 1104',100,1,0),
(69539,10102909,'Inflicts 2417 disease damage on targets in Area of Effect',100,1,1),
(69540,74810,'When Equipped:',100,0,0),
(69541,74810,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69542,74810,'Inflicts 113 - 170 magic damage on target',100,2,2),
(69543,74810,'Cannot be modified except by direct means',100,2,3),
(69544,10074810,'When Equipped:',100,0,0),
(69545,10074810,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69546,10074810,'Inflicts 158 - 237 magic damage on target',100,2,2),
(69547,10074810,'Cannot be modified except by direct means',100,2,3),
(69548,117022,'Inflicts 253 - 760 melee damage on target',100,1,0),
(69549,10117022,'Inflicts 329 - 988 melee damage on target',100,1,0),
(69550,120401,'Decreases Defense of caster by 18.9',100,1,0),
(69551,120401,'Increases Crushing and Ranged of caster by 26.9',100,1,1),
(69552,120401,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(69553,120401,'Inflicts 226 - 377 heat damage on target',100,2,3),
(69554,120401,'Increases Slashing and Piercing of caster by 26.9',100,1,4),
(69555,10120401,'Decreases Defense of caster by 18.9',100,1,0),
(69556,10120401,'Increases Crushing and Ranged of caster by 26.9',100,1,1),
(69557,10120401,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(69558,10120401,'Inflicts 316 - 527 heat damage on target',100,2,3),
(69559,10120401,'Increases Slashing and Piercing of caster by 26.9',100,1,4),
(69560,108373,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(69561,108373,'Increases Mitigation of group members (AE) vs arcane damage by 1512',100,1,1),
(69562,10108373,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(69563,10108373,'Increases Mitigation of group members (AE) vs arcane damage by 1512',100,1,1),
(69564,138079,'When Equipped:',100,0,0),
(69565,138079,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(69566,138079,'Inflicts 1998 disease damage on target encounter',100,2,2),
(69567,138079,'Must not be engaged in pvp combat',100,2,3),
(69568,138079,'Cannot be modified except by direct means',100,2,4),
(69569,10138079,'When Equipped:',100,0,0),
(69570,10138079,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(69571,10138079,'Inflicts 1399 disease damage on target encounter',100,2,2),
(69572,10138079,'Must not be engaged in pvp combat',100,2,3),
(69573,10138079,'Cannot be modified except by direct means',100,2,4),
(69574,159186,'Applies Lambent Imbued when Equipped.',100,0,0),
(69575,159186,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(69576,159186,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(69577,159186,'Cannot be modified except by direct means',100,2,3),
(69578,10159186,'Applies Lambent Imbued when Equipped.',100,0,0),
(69579,10159186,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(69580,10159186,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(69581,10159186,'Cannot be modified except by direct means',100,2,3),
(69582,116995,'Inflicts 13 - 41 melee damage on target',100,1,0),
(69583,10116995,'Inflicts 17 - 53 melee damage on target',100,1,0),
(69584,106858,'Decreases Crushing, Piercing, Slashing and Ranged of target by 45.2',100,1,0),
(69585,10106858,'Decreases Crushing, Piercing, Slashing and Ranged of target by 45.2',100,1,0),
(69586,70585,'When Equipped:',100,0,0),
(69587,70585,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(69588,70585,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(69589,70585,'Cannot be modified except by direct means',100,2,3),
(69590,10070585,'When Equipped:',100,0,0),
(69591,10070585,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(69592,10070585,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(69593,10070585,'Cannot be modified except by direct means',100,2,3),
(69594,107737,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(69595,107737,'Inflicts 505 - 841 melee damage on target',100,2,1),
(69596,107737,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(69597,107737,'Inflicts 505 - 841 melee damage on target',100,2,3),
(69598,107737,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(69599,107737,'Inflicts 505 - 841 melee damage on target',100,2,5),
(69600,107737,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(69601,107737,'Inflicts 505 - 841 melee damage on target',100,2,7),
(69602,107737,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(69603,107737,'Inflicts 505 - 841 melee damage on target',100,2,9),
(69604,107737,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(69605,107737,'Inflicts 505 - 841 melee damage on target',100,2,11),
(69606,107737,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(69607,107737,'Inflicts 505 - 841 melee damage on target',100,2,13),
(69608,107737,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(69609,107737,'Inflicts 505 - 841 melee damage on target',100,2,15),
(69610,10107737,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(69611,10107737,'Inflicts 372 - 620 melee damage on target',100,2,1),
(69612,10107737,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(69613,10107737,'Inflicts 372 - 620 melee damage on target',100,2,3),
(69614,10107737,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(69615,10107737,'Inflicts 372 - 620 melee damage on target',100,2,5),
(69616,10107737,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(69617,10107737,'Inflicts 372 - 620 melee damage on target',100,2,7),
(69618,10107737,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(69619,10107737,'Inflicts 372 - 620 melee damage on target',100,2,9),
(69620,10107737,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(69621,10107737,'Inflicts 372 - 620 melee damage on target',100,2,11),
(69622,10107737,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(69623,10107737,'Inflicts 372 - 620 melee damage on target',100,2,13),
(69624,10107737,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(69625,10107737,'Inflicts 372 - 620 melee damage on target',100,2,15),
(69626,120165,'Applies Life Draw on termination.',100,1,0),
(69627,120165,'Inflicts 189 - 315 disease damage on target',100,2,1),
(69628,120165,'Heals caster for 11.9 - 14.5% of max health',100,2,2),
(69629,120165,'This effect cannot be critically applied.',100,3,3),
(69630,120165,'The healing of this spell cannot be modified except by direct means',100,2,4),
(69631,120165,'Inflicts 55 - 91 disease damage on target',100,1,5),
(69632,10120165,'Applies Life Draw on termination.',100,1,0),
(69633,10120165,'Inflicts 265 - 441 disease damage on target',100,2,1),
(69634,10120165,'Heals caster for 3.2 - 4.0% of max health',100,2,2),
(69635,10120165,'This effect cannot be critically applied.',100,3,3),
(69636,10120165,'The healing of this spell cannot be modified except by direct means',100,2,4),
(69637,10120165,'Inflicts 71 - 119 disease damage on target',100,1,5),
(69638,102292,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(69639,102292,'Decreases Threat to target by 373 ',100,2,1),
(69640,10102292,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(69641,10102292,'Inflicts 33 - 36 crushing damage on target',100,2,1),
(69642,80024,'Applies Fire Ball when Activated.',100,0,0),
(69643,80024,'Inflicts 115 - 191 heat damage on target',100,1,1),
(69644,80024,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69645,10080024,'Applies Fire Ball when Activated.',100,0,0),
(69646,10080024,'Inflicts 161 - 268 heat damage on target',100,1,1),
(69647,10080024,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69648,120863,'Inflicts 25 - 42 mental damage on target',100,1,0),
(69649,120863,'Inflicts 25 - 42 mental damage on target',100,1,1),
(69650,10120863,'Inflicts 33 - 55 mental damage on target',100,1,0),
(69651,10120863,'Inflicts 33 - 55 mental damage on target',100,1,1),
(69652,84121,'When Equipped:',100,0,0),
(69653,84121,'On a combat hit this spell may cast Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69654,84121,'Inflicts 316 - 386 divine damage on target',100,2,2),
(69655,84121,'Inflicts 316 - 386 magic damage on target',100,2,3),
(69656,84121,'Cannot be modified except by direct means',100,2,4),
(69657,10084121,'When Equipped:',100,0,0),
(69658,10084121,'On a combat hit this spell may cast Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69659,10084121,'Inflicts 443 - 541 divine damage on target',100,2,2),
(69660,10084121,'Inflicts 443 - 541 magic damage on target',100,2,3),
(69661,10084121,'Cannot be modified except by direct means',100,2,4),
(69662,52756,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69663,52756,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69664,52756,'Inflicts 51 heat damage on target',100,2,2),
(69665,52756,'Cannot be modified except by direct means',100,2,3),
(69666,10052756,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69667,10052756,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69668,10052756,'Inflicts 71 heat damage on target',100,2,2),
(69669,10052756,'Cannot be modified except by direct means',100,2,3),
(69670,101589,'Inflicts 245 - 409 melee damage on targets in area',100,1,0),
(69671,10101589,'Inflicts 319 - 532 melee damage on targets in area',100,1,0),
(69672,112267,'Applies Inquisition.',100,1,0),
(69673,112267,'Heals targets in Area of Effect for 173 - 211',100,2,1),
(69674,112267,'If Target is between 10 and 20 meters away',100,3,2),
(69675,112267,'Heals targets in Area of Effect for 346 - 422',100,2,3),
(69676,112267,'If Target is between 5 and 10 meters away',100,3,4),
(69677,112267,'Heals targets in Area of Effect for 691 - 845',100,2,5),
(69678,112267,'If Target is closer than 5 meters',100,3,6),
(69679,73732,'Applies Frost Blast when Activated.',100,0,0),
(69680,73732,'Inflicts 115 - 191 cold damage on target',100,1,1),
(69681,73732,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69682,10073732,'Applies Frost Blast when Activated.',100,0,0),
(69683,10073732,'Inflicts 161 - 268 cold damage on target',100,1,1),
(69684,10073732,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69685,112954,'Inflicts 117 - 352 crushing damage on target',100,1,0),
(69686,10112954,'Inflicts 152 - 457 crushing damage on target',100,1,0),
(69687,110709,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(69688,110709,'Heals group members (AE) for 238',100,2,1),
(69689,10110709,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(69690,10110709,'Heals group members (AE) for 155',100,2,1),
(69691,104246,'Increases Mitigation of group members (AE) vs physical damage by 420',100,1,0),
(69692,10104246,'Increases Mitigation of group members (AE) vs physical damage by 420',100,1,0),
(69693,115918,'Inflicts 146 - 178 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(69694,10115918,'Inflicts 266 - 325 disease damage on target encounter',100,1,0),
(69695,10115918,'Inflicts 204 - 250 disease damage on target encounter every 3 seconds',100,1,1),
(69696,158081,'When Equipped:',100,0,0),
(69697,158081,'Reduces physical damage done to target by 2%',100,1,1),
(69698,10158081,'When Equipped:',100,0,0),
(69699,10158081,'Reduces physical damage done to target by 2%',100,1,1),
(69700,36238,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(69701,103029,'Inflicts 174 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(69702,103029,'Inflicts 65 - 108 melee damage on target',100,1,1),
(69703,10103029,'Inflicts 243 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(69704,10103029,'Inflicts 84 - 141 melee damage on target',100,1,1),
(69705,81866,'When Equipped:',100,0,0),
(69706,81866,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69707,81866,'Inflicts 141 - 262 magic damage on target',100,2,2),
(69708,81866,'Cannot be modified except by direct means',100,2,3),
(69709,10081866,'When Equipped:',100,0,0),
(69710,10081866,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69711,10081866,'Inflicts 198 - 367 magic damage on target',100,2,2),
(69712,10081866,'Cannot be modified except by direct means',100,2,3),
(69713,159736,'When Equipped:',100,0,0),
(69714,159736,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(69715,159736,'Increases WIS of caster by 15.5',100,2,2),
(69716,159736,'Increases Ordination, Ministration and Focus of caster by 8.8',100,2,3),
(69717,159736,'Cannot be modified except by direct means',100,2,4),
(69718,10159736,'When Equipped:',100,0,0),
(69719,10159736,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(69720,10159736,'Increases WIS of caster by 15.5',100,2,2),
(69721,10159736,'Increases Ordination, Ministration and Focus of caster by 8.8',100,2,3),
(69722,10159736,'Cannot be modified except by direct means',100,2,4),
(69723,120579,'Inflicts 15 - 28 heat damage on target',100,1,0),
(69724,10120579,'Inflicts 21 - 39 heat damage on target',100,1,0),
(69725,142826,'When Equipped:',100,0,0),
(69726,142826,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(69727,142826,'Increases Threat to target by 3,000 ',100,2,2),
(69728,142826,'Inflicts 1192 mental damage on target',100,2,3),
(69729,142826,'Cannot be modified except by direct means',100,2,4),
(69730,142826,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(69731,142826,'Increases Threat to target by 3,000 ',100,2,6),
(69732,142826,'Inflicts 1192 mental damage on target',100,2,7),
(69733,142826,'Cannot be modified except by direct means',100,2,8),
(69734,142826,'When Equipped:',100,0,9),
(69735,142826,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,10),
(69736,142826,'Wards caster against 1250 points of all damage',100,2,11),
(69737,142826,'Cannot be modified except by direct means',100,2,12),
(69738,142826,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,13),
(69739,142826,'Wards caster against 1250 points of all damage',100,2,14),
(69740,142826,'Cannot be modified except by direct means',100,2,15),
(69741,10142826,'When Equipped:',100,0,0),
(69742,10142826,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(69743,10142826,'Inflicts 1668 mental damage on target',100,2,2),
(69744,10142826,'Cannot be modified except by direct means',100,2,3),
(69745,10142826,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(69746,10142826,'Inflicts 1668 mental damage on target',100,2,5),
(69747,10142826,'Cannot be modified except by direct means',100,2,6),
(69748,10142826,'When Equipped:',100,0,7),
(69749,10142826,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,8),
(69750,10142826,'Wards caster against 625 points of all damage',100,2,9),
(69751,10142826,'Cannot be modified except by direct means',100,2,10),
(69752,10142826,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,11),
(69753,10142826,'Wards caster against 625 points of all damage',100,2,12),
(69754,10142826,'Cannot be modified except by direct means',100,2,13),
(69755,46388,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(69756,46388,'Increases WIS of caster by 71.5',100,1,1),
(69757,10046388,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(69758,10046388,'Increases WIS of caster by 71.5',100,1,1),
(69759,46689,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(69760,46689,'Increases AA XP Gain of caster by 50.4%',100,1,1),
(69761,46689,'Increases Tradeskill XP Gain of caster by 50.4%',100,1,2),
(69762,46689,'Increases Combat XP Gain of caster by 50.4%',100,1,3),
(69763,46689,'If between levels 60 - 79',100,1,4),
(69764,46689,'You can only have one experience potion active at a time.',100,1,5),
(69765,10046689,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(69766,10046689,'Increases AA XP Gain of caster by 50.4%',100,1,1),
(69767,10046689,'Increases Tradeskill XP Gain of caster by 50.4%',100,1,2),
(69768,10046689,'Increases Combat XP Gain of caster by 50.4%',100,1,3),
(69769,10046689,'If between levels 60 - 79',100,1,4),
(69770,10046689,'You can only have one experience potion active at a time.',100,1,5),
(69771,109329,'Increases STR of caster by 82.1',100,1,0),
(69772,109329,'Decreases Defense of caster by 13.2',100,1,1),
(69773,109329,'Increases Slashing, Piercing and Crushing of caster by 23.8',100,1,2),
(69774,10109329,'Increases STR of caster by 82.1',100,1,0),
(69775,10109329,'Decreases Defense of caster by 13.2',100,1,1),
(69776,10109329,'Increases Slashing, Piercing and Crushing of caster by 23.8',100,1,2),
(69777,159225,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69778,159225,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69779,159225,'Inflicts 104 heat damage on target',100,2,2),
(69780,159225,'Cannot be modified except by direct means',100,2,3),
(69781,10159225,'Applies Sanguine Imbued when Equipped.',100,0,0),
(69782,10159225,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(69783,10159225,'Inflicts 146 heat damage on target',100,2,2),
(69784,10159225,'Cannot be modified except by direct means',100,2,3),
(69785,106153,'Inflicts 452 - 753 divine damage on target encounter',100,1,0),
(69786,106153,'Interrupts target encounter',100,1,1),
(69787,10106153,'Inflicts 632 - 1054 divine damage on target encounter',100,1,0),
(69788,10106153,'Interrupts target encounter',100,1,1),
(69789,143193,'Applies Hooluk in a Hat when Activated.',100,0,0),
(69790,143193,'Summons a pet Hooluk',100,1,1),
(69791,143193,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69792,10143193,'Applies Hooluk in a Hat when Activated.',100,0,0),
(69793,10143193,'Summons a pet Hooluk',100,1,1),
(69794,10143193,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69795,46766,'Applies Call Stallion when Activated.',100,0,0),
(69796,46766,'Increases Ordination of caster by 5.0',100,1,1),
(69797,46766,'Summons a mount to ride',100,1,2),
(69798,46766,'Increases your ground speed by 130%',100,2,3),
(69799,46766,'Increases Piercing, Ministration, Focus, Disruption, Slashing, Subjugation, Aggression, Ranged and Crushing of caster by 5.0',100,1,4),
(69800,10046766,'Applies Call Stallion when Activated.',100,0,0),
(69801,10046766,'Increases Ordination of caster by 5.0',100,1,1),
(69802,10046766,'Summons a mount to ride',100,1,2),
(69803,10046766,'Increases your ground speed by 130%',100,2,3),
(69804,10046766,'Increases Piercing, Ministration, Focus, Disruption, Slashing, Subjugation, Aggression, Ranged and Crushing of caster by 5.0',100,1,4),
(69805,120015,'Inflicts 11 - 13 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(69806,120015,'Decreases power of target encounter by 4 instantly and every 4 seconds',100,1,1),
(69807,10120015,'Inflicts 15 - 18 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(69808,10120015,'Decreases power of target encounter by 4 instantly and every 4 seconds',100,1,1),
(69809,117162,'Inflicts 19 poison damage on target instantly and every 4 seconds',100,1,0),
(69810,117162,'Decreases WIS of target by 14.5',100,1,1),
(69811,10117162,'Inflicts 26 poison damage on target instantly and every 4 seconds',100,1,0),
(69812,10117162,'Decreases WIS of target by 14.5',100,1,1),
(69813,103990,'Interrupts targets in Area of Effect',100,1,0),
(69814,103990,'Inflicts 181 - 337 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(69815,10103990,'Interrupts targets in Area of Effect',100,1,0),
(69816,10103990,'Inflicts 254 - 471 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(69817,111078,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(69818,111078,'Slows target by 43.0%',100,2,1),
(69819,111078,'5% chance to dispel when target receives hostile action',100,2,2),
(69820,111078,'5% chance to dispel when target takes damage',100,2,3),
(69821,111078,'Decreases Mitigation of target vs elemental damage by 1300',100,1,4),
(69822,10111078,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(69823,10111078,'Slows target by 43.0%',100,2,1),
(69824,10111078,'5% chance to dispel when target receives hostile action',100,2,2),
(69825,10111078,'5% chance to dispel when target takes damage',100,2,3),
(69826,10111078,'Decreases Mitigation of target vs elemental damage by 1300',100,1,4),
(69827,177485,'When Equipped:',100,0,0),
(69828,177485,'Applies Frosty Breath',100,1,1),
(69829,10177485,'When Equipped:',100,0,0),
(69830,10177485,'Applies Frosty Breath',100,1,1),
(69831,111180,'Inflicts 61 - 101 divine damage on targets in area',100,1,0),
(69832,111180,'Heals group members (AE) for 1.7% of max health',100,1,1),
(69833,111180,'This effect cannot be critically applied.',100,2,2),
(69834,111180,'The healing of this spell cannot be modified except by direct means',100,1,3),
(69835,10111180,'Inflicts 79 - 132 divine damage on targets in area',100,1,0),
(69836,10111180,'Heals group members (AE) for 1.1% of max health',100,1,1),
(69837,10111180,'This effect cannot be critically applied.',100,2,2),
(69838,10111180,'The healing of this spell cannot be modified except by direct means',100,1,3),
(69839,116409,'Heals target for 394 - 482 instantly and every 2 seconds',100,1,0),
(69840,10116409,'Heals target for 256 - 313 instantly and every 2 seconds',100,1,0),
(69841,105335,'Inflicts 220 - 366 melee damage on target',100,1,0),
(69842,105335,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 306',100,1,1),
(69843,105335,'Must be flanking or behind',100,1,2),
(69844,10105335,'Inflicts 286 - 477 melee damage on target',100,1,0),
(69845,10105335,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 306',100,1,1),
(69846,10105335,'Must be flanking or behind',100,1,2),
(69847,114191,'Inflicts 172 - 287 melee damage on target',100,1,0),
(69848,114191,'Decreases Slashing, Crushing and Piercing of target by 5.6',100,1,1),
(69849,10114191,'Inflicts 224 - 373 melee damage on target',100,1,0),
(69850,10114191,'Decreases Slashing, Crushing and Piercing of target by 5.6',100,1,1),
(69851,80294,'When Equipped:',100,0,0),
(69852,80294,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(69853,80294,'Decreases Threat to target by 236 ',100,2,2),
(69854,80294,'Must be flanking or behind',100,3,3),
(69855,80294,'Increases Threat to target by 236 ',100,2,4),
(69856,80294,'Must be in front of',100,3,5),
(69857,80294,'Inflicts 71 - 132 magic damage on target',100,2,6),
(69858,80294,'Cannot be modified except by direct means',100,2,7),
(69859,10080294,'When Equipped:',100,0,0),
(69860,10080294,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(69861,10080294,'Inflicts 100 - 185 magic damage on target',100,2,2),
(69862,10080294,'Cannot be modified except by direct means',100,2,3),
(69863,122589,'Inflicts 73 - 89 mental damage on target instantly and every 3 seconds',100,1,0),
(69864,122589,'Decreases Mitigation of target vs arcane damage by 546',100,1,1),
(69865,10122589,'Inflicts 102 - 124 mental damage on target instantly and every 3 seconds',100,1,0),
(69866,10122589,'Decreases Mitigation of target vs arcane damage by 546',100,1,1),
(69867,47420,'Applies Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(69868,47420,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(69869,47420,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(69870,47420,'Cannot be modified except by direct means',100,2,3),
(69871,47420,'Grants a total of 80 triggers of the spell.',100,2,4),
(69872,47420,'Only affects targets level 50 and above',100,1,5),
(69873,10047420,'Applies Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(69874,10047420,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(69875,10047420,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(69876,10047420,'Cannot be modified except by direct means',100,2,3),
(69877,10047420,'Grants a total of 80 triggers of the spell.',100,2,4),
(69878,10047420,'Only affects targets level 50 and above',100,1,5),
(69879,136064,'When Equipped:',100,0,0),
(69880,136064,'Applies Frosty Breath',100,1,1),
(69881,10136064,'When Equipped:',100,0,0),
(69882,10136064,'Applies Frosty Breath',100,1,1),
(69883,89033,'Applies Mental Blast when Activated.',100,0,0),
(69884,89033,'Inflicts 115 - 191 mental damage on target',100,1,1),
(69885,89033,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69886,10089033,'Applies Mental Blast when Activated.',100,0,0),
(69887,10089033,'Inflicts 161 - 268 mental damage on target',100,1,1),
(69888,10089033,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69889,108198,'Increases power of caster by 25 instantly and every 4 seconds',100,1,0),
(69890,10108198,'Increases power of caster by 25 instantly and every 4 seconds',100,1,0),
(69891,42553,'When Equipped:',100,0,0),
(69892,42553,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69893,42553,'Inflicts 95 - 143 magic damage on target',100,2,2),
(69894,42553,'Cannot be modified except by direct means',100,2,3),
(69895,10042553,'When Equipped:',100,0,0),
(69896,10042553,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69897,10042553,'Inflicts 133 - 200 magic damage on target',100,2,2),
(69898,10042553,'Cannot be modified except by direct means',100,2,3),
(69899,24733,'Adds Vampire (Berserker) to your Dungeon Maker toolbox',100,0,0),
(69900,10024733,'Adds Vampire (Berserker) to your Dungeon Maker toolbox',100,0,0),
(69901,25533,'When Equipped:',100,0,0),
(69902,25533,'Improves the base damage of Hail Storm''s damage over time component by 10%.',100,1,1),
(69903,25533,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(69904,10025533,'When Equipped:',100,0,0),
(69905,10025533,'Improves the base damage of Hail Storm''s damage over time component by 10%.',100,1,1),
(69906,10025533,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(69907,108341,'Heals caster for 24',100,1,0),
(69908,108341,'Inflicts 48 - 80 melee damage on target',100,1,1),
(69909,10108341,'Heals caster for 16',100,1,0),
(69910,10108341,'Inflicts 63 - 105 melee damage on target',100,1,1),
(69911,111725,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(69912,111725,'Inflicts 194 - 237 cold damage on target',100,2,1),
(69913,111725,'Grants a total of 3 triggers of the spell.',100,2,2),
(69914,10111725,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(69915,10111725,'Inflicts 271 - 332 cold damage on target',100,2,1),
(69916,10111725,'Grants a total of 3 triggers of the spell.',100,2,2),
(69917,170635,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(69918,170635,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 410',100,1,1),
(69919,170635,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(69920,10170635,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(69921,10170635,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 410',100,1,1),
(69922,10170635,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(69923,122999,'Wards group members (AE) collectively against 1112 total points of all damage',100,1,0),
(69924,10122999,'Wards group members (AE) collectively against 1657 total points of all damage',100,1,0),
(69925,100932,'Dazes target',100,1,0),
(69926,100932,'Inflicts 53 - 65 mental damage on target',100,1,1),
(69927,100932,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',100,1,2),
(69928,100932,'Resistibility increases against targets higher than level 40.',100,1,3),
(69929,10100932,'Dazes target',100,1,0),
(69930,10100932,'Inflicts 75 - 91 mental damage on target',100,1,1),
(69931,10100932,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(69932,10100932,'Resistibility increases against targets higher than level 40.',100,1,3),
(69933,27018,'When Equipped:',100,0,0),
(69934,27018,'Increases all cold damage by up to 5.',100,1,1),
(69935,10027018,'When Equipped:',100,0,0),
(69936,10027018,'Increases all cold damage by up to 5.',100,1,1),
(69937,121699,'Increases AGI of caster by 20.4',100,1,0),
(69938,121699,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(69939,121699,'Increases Parry of caster by 11.3',100,1,2),
(69940,121699,'Increases Defense of caster by 15.1',100,1,3),
(69941,10121699,'Increases AGI of caster by 20.4',100,1,0),
(69942,10121699,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(69943,10121699,'Increases Parry of caster by 11.3',100,1,2),
(69944,10121699,'Increases Defense of caster by 15.1',100,1,3),
(69945,48625,'Applies Trakaraptor Form when Activated.',100,0,0),
(69946,48625,'Sets the faction for Thelia''s Pride to 50,000',100,1,1),
(69947,48625,'Must be in zone Kunzar Jungle',100,2,2),
(69948,48625,'Shapechanges caster into a trakaraptor',100,1,3),
(69949,48625,'Must be in zone Kunzar Jungle',100,2,4),
(69950,48625,'Must be in zone Kunzar Jungle',100,1,5),
(69951,10048625,'Applies Trakaraptor Form when Activated.',100,0,0),
(69952,10048625,'Sets the faction for Thelia''s Pride to 50,000',100,1,1),
(69953,10048625,'Must be in zone Kunzar Jungle',100,2,2),
(69954,10048625,'Shapechanges caster into a trakaraptor',100,1,3),
(69955,10048625,'Must be in zone Kunzar Jungle',100,2,4),
(69956,10048625,'Must be in zone Kunzar Jungle',100,1,5),
(69957,104271,'Inflicts 38 - 63 crushing damage on target',100,1,0),
(69958,104271,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(69959,104271,'Stuns target',100,2,2),
(69960,104271,'Throws target back',100,2,3),
(69961,104271,'Blurs vision of target',100,2,4),
(69962,104271,'Does not affect Epic targets',100,2,5),
(69963,10104271,'Inflicts 49 - 83 crushing damage on target',100,1,0),
(69964,10104271,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(69965,10104271,'Stuns target',100,2,2),
(69966,10104271,'Throws target back',100,2,3),
(69967,10104271,'Blurs vision of target',100,2,4),
(69968,10104271,'Does not affect Epic targets',100,2,5),
(69969,124723,'Heals group members (AE) for 964 - 1178',100,1,0),
(69970,10124723,'Heals group members (AE) for 1170 - 1429',100,1,0),
(69971,82270,'When Equipped:',100,0,0),
(69972,82270,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69973,82270,'Inflicts 41 - 76 magic damage on target',100,2,2),
(69974,82270,'Cannot be modified except by direct means',100,2,3),
(69975,10082270,'When Equipped:',100,0,0),
(69976,10082270,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(69977,10082270,'Inflicts 58 - 107 magic damage on target',100,2,2),
(69978,10082270,'Cannot be modified except by direct means',100,2,3),
(69979,159009,'When Equipped:',100,0,0),
(69980,159009,'Reduces resistibility of all spells by 5%.',100,1,1),
(69981,10159009,'When Equipped:',100,0,0),
(69982,10159009,'Reduces resistibility of all spells by 5%.',100,1,1),
(69983,87564,'Applies Poison Bolt when Activated.',100,0,0),
(69984,87564,'Inflicts 399 - 665 poison damage on target',100,1,1),
(69985,87564,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69986,10087564,'Applies Poison Bolt when Activated.',100,0,0),
(69987,10087564,'Inflicts 559 - 931 poison damage on target',100,1,1),
(69988,10087564,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(69989,103210,'Increases Mitigation of caster vs physical damage by 655',100,1,0),
(69990,103210,'Roots caster',100,1,1),
(69991,10103210,'Increases Mitigation of caster vs physical damage by 655',100,1,0),
(69992,10103210,'Roots caster',100,1,1),
(69993,104313,'Inflicts 319 - 532 melee damage on target',100,1,0),
(69994,104313,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(69995,104313,'Stuns target',100,2,2),
(69996,104313,'Blurs vision of target',100,2,3),
(69997,104313,'Throws target back',100,2,4),
(69998,104313,'Does not affect Epic targets',100,2,5),
(69999,10104313,'Inflicts 415 - 692 melee damage on target',100,1,0),
(70000,10104313,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(70001,10104313,'Stuns target',100,2,2),
(70002,10104313,'Throws target back',100,2,3),
(70003,10104313,'Blurs vision of target',100,2,4),
(70004,10104313,'Does not affect Epic targets',100,2,5),
(70005,80585,'Applies Imbued Smite when Equipped.',100,0,0),
(70006,80585,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(70007,80585,'Inflicts 545 divine damage on target instantly and every second',100,2,2),
(70008,80585,'Cannot be modified except by direct means',100,2,3),
(70009,80585,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(70010,80585,'Inflicts 545 divine damage on target instantly and every second',100,2,5),
(70011,80585,'Cannot be modified except by direct means',100,2,6),
(70012,10080585,'Applies Imbued Smite when Equipped.',100,0,0),
(70013,10080585,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(70014,10080585,'Inflicts 762 divine damage on target instantly and every second',100,2,2),
(70015,10080585,'Cannot be modified except by direct means',100,2,3),
(70016,10080585,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(70017,10080585,'Inflicts 762 divine damage on target instantly and every second',100,2,5),
(70018,10080585,'Cannot be modified except by direct means',100,2,6),
(70019,101605,'Inflicts 437 - 729 melee damage on targets in area',100,1,0),
(70020,10101605,'Inflicts 569 - 948 melee damage on targets in area',100,1,0),
(70021,102642,'Inflicts 126 - 210 melee damage on target',100,1,0),
(70022,102642,'Inflicts 54 heat damage on target every 6 seconds',100,1,1),
(70023,10102642,'Inflicts 163 - 273 melee damage on target',100,1,0),
(70024,10102642,'Inflicts 76 heat damage on target every 6 seconds',100,1,1),
(70025,106152,'Inflicts 496 - 827 divine damage on target encounter',100,1,0),
(70026,106152,'Interrupts target encounter',100,1,1),
(70027,10106152,'Inflicts 695 - 1158 divine damage on target encounter',100,1,0),
(70028,10106152,'Interrupts target encounter',100,1,1),
(70029,102486,'Inflicts 380 - 633 crushing damage on target',100,1,0),
(70030,102486,'Prevents target from changing direction while active.',100,1,1),
(70031,102486,'If Target is not Epic',100,2,2),
(70032,102486,'Roots target',100,1,3),
(70033,102486,'If Target is not Epic',100,2,4),
(70034,102486,'Resistibility increases against targets higher than level 65.',100,1,5),
(70035,10102486,'Inflicts 494 - 823 crushing damage on target',100,1,0),
(70036,10102486,'Prevents target from changing direction while active.',100,1,1),
(70037,10102486,'If Target is not Epic',100,2,2),
(70038,10102486,'Roots target',100,1,3),
(70039,10102486,'If Target is not Epic',100,2,4),
(70040,10102486,'Resistibility increases against targets higher than level 65.',100,1,5),
(70041,183257,'When Equipped:',100,0,0),
(70042,183257,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(70043,183257,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(70044,183257,'Cannot be modified except by direct means',100,2,3),
(70045,10183257,'When Equipped:',100,0,0),
(70046,10183257,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(70047,10183257,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(70048,10183257,'Cannot be modified except by direct means',100,2,3),
(70049,123312,'Increases STA of raid and group members (AE) by 21.3',100,1,0),
(70050,123312,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(70051,10123312,'Increases STA of raid and group members (AE) by 21.3',100,1,0),
(70052,10123312,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(70053,112236,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(70054,112236,'Increases Threat to target by 85 ',100,2,1),
(70055,112236,'Inflicts 45 disease damage on target',100,2,2),
(70056,112236,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1351',100,1,3),
(70057,10112236,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(70058,10112236,'Inflicts 64 disease damage on target',100,2,1),
(70059,10112236,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1351',100,1,2),
(70060,36993,'Increases STA of target by 1.6',100,0,0),
(70061,36993,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(70062,107272,'Inflicts 205 - 341 ranged damage on target',100,1,0),
(70063,107272,'Inflicts 205 - 341 ranged damage on target',100,1,1),
(70064,107272,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(70065,107272,'Stuns target',100,2,3),
(70066,107272,'Blurs vision of target',100,2,4),
(70067,107272,'Throws target back',100,2,5),
(70068,107272,'Does not affect Epic targets',100,2,6),
(70069,107272,'If weapon equipped in Ranged',100,1,7),
(70070,10107272,'Inflicts 174 - 290 ranged damage on target',100,1,0),
(70071,10107272,'Inflicts 174 - 290 ranged damage on target',100,1,1),
(70072,10107272,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(70073,10107272,'Stuns target',100,2,3),
(70074,10107272,'Throws target back',100,2,4),
(70075,10107272,'Blurs vision of target',100,2,5),
(70076,10107272,'Does not affect Epic targets',100,2,6),
(70077,10107272,'If weapon equipped in Ranged',100,1,7),
(70078,124754,'Inflicts 281 - 343 disease damage on target encounter',100,1,0),
(70079,10124754,'Inflicts 393 - 480 disease damage on target encounter',100,1,0),
(70080,111162,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(70081,111162,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1727',100,1,1),
(70082,111162,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,2),
(70083,10111162,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(70084,10111162,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1727',100,1,1),
(70085,10111162,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,2),
(70086,75545,'Applies Disease Blast when Activated.',100,0,0),
(70087,75545,'Inflicts 93 - 155 disease damage on target',100,1,1),
(70088,75545,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(70089,10075545,'Applies Disease Blast when Activated.',100,0,0),
(70090,10075545,'Inflicts 130 - 216 disease damage on target',100,1,1),
(70091,10075545,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(70092,113208,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(70093,113208,'Inflicts 65 magic damage on target',100,2,1),
(70094,113208,'Grants a total of 5 triggers of the spell.',100,2,2),
(70095,10113208,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(70096,10113208,'Inflicts 91 magic damage on target',100,2,1),
(70097,10113208,'Grants a total of 5 triggers of the spell.',100,2,2),
(70098,143974,'Applies Charge of the Deepwater Knight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(70099,143974,'Makes caster immune to Stifle effects',100,1,1),
(70100,143974,'Increases Multi Attack Chance of caster by 40.0',100,1,2),
(70101,143974,'5% of all physical damage received by the caster is prevented.',100,1,3),
(70102,143974,'Must not be engaged in pvp combat',100,1,4),
(70103,143974,'Cannot be modified except by direct means',100,1,5),
(70104,143974,'The casting time of Charge of the Deepwater Knight is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,6),
(70105,10143974,'Applies Charge of the Deepwater Knight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(70106,10143974,'Makes caster immune to Stifle effects',100,1,1),
(70107,10143974,'Increases Multi Attack Chance of caster by 40.0',100,1,2),
(70108,10143974,'5% of all physical damage received by the caster is prevented.',100,1,3),
(70109,10143974,'Must not be engaged in pvp combat',100,1,4),
(70110,10143974,'Cannot be modified except by direct means',100,1,5),
(70111,10143974,'The casting time of Charge of the Deepwater Knight is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,6),
(70112,133755,'When Equipped:',100,0,0),
(70113,133755,'Reduces maximum falling speed of caster',100,1,1),
(70114,133755,'When Equipped:',100,0,2),
(70115,133755,'Grants See Invisibility to caster',100,1,3),
(70116,133755,'Grants See Stealth to caster',100,1,4),
(70117,10133755,'When Equipped:',100,0,0),
(70118,10133755,'Reduces maximum falling speed of caster',100,1,1),
(70119,10133755,'When Equipped:',100,0,2),
(70120,10133755,'Grants See Invisibility to caster',100,1,3),
(70121,10133755,'Grants See Stealth to caster',100,1,4),
(70122,24372,'Adds Flying Snake (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(70123,10024372,'Adds Flying Snake (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(70124,71436,'When Equipped:',100,0,0),
(70125,71436,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70126,71436,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(70127,71436,'Cannot be modified except by direct means',100,2,3),
(70128,10071436,'When Equipped:',100,0,0),
(70129,10071436,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70130,10071436,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(70131,10071436,'Cannot be modified except by direct means',100,2,3),
(70132,112460,'Decreases AGI and WIS of target by 8.5',100,1,0),
(70133,10112460,'Decreases AGI and WIS of target by 8.5',100,1,0),
(70134,113694,'Stuns target',100,1,0),
(70135,113694,'If Target is not Epic',100,2,1),
(70136,113694,'Inflicts 861 - 1434 heat damage on target',100,1,2),
(70137,113694,'Resistibility increases against targets higher than level 87.',100,1,3),
(70138,10113694,'Stuns target',100,1,0),
(70139,10113694,'If Target is not Epic',100,2,1),
(70140,10113694,'Inflicts 1205 - 2008 heat damage on target',100,1,2),
(70141,10113694,'Resistibility increases against targets higher than level 87.',100,1,3),
(70142,37612,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(70143,120544,'Decreases Defense of target by 22.5',100,1,0),
(70144,10120544,'Decreases Defense of target by 22.5',100,1,0),
(70145,124555,'Dispels 118 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(70146,10124555,'Dispels 118 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(70147,117151,'Inflicts 280 - 342 heat damage on target instantly and every 4 seconds',100,1,0),
(70148,117151,'Decreases Mitigation of target vs arcane damage by 1148',100,1,1),
(70149,10117151,'Inflicts 392 - 479 heat damage on target instantly and every 4 seconds',100,1,0),
(70150,10117151,'Decreases Mitigation of target vs arcane damage by 1148',100,1,1),
(70151,102813,'Summons 3 limited pets to aid the caster',100,1,0),
(70152,10102813,'Summons 3 limited pets to aid the caster',100,1,0),
(70153,81935,'When Equipped:',100,0,0),
(70154,81935,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(70155,81935,'Decreases Threat to target by 994 ',100,2,2),
(70156,81935,'Must be flanking or behind',100,3,3),
(70157,81935,'Increases Threat to target by 994 ',100,2,4),
(70158,81935,'Must be in front of',100,3,5),
(70159,81935,'Inflicts 351 - 652 magic damage on target',100,2,6),
(70160,81935,'Cannot be modified except by direct means',100,2,7),
(70161,10081935,'When Equipped:',100,0,0),
(70162,10081935,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(70163,10081935,'Inflicts 492 - 913 magic damage on target',100,2,2),
(70164,10081935,'Cannot be modified except by direct means',100,2,3),
(70165,41672,'When Equipped:',100,0,0),
(70166,41672,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(70167,41672,'Decreases Threat to target by 1,219 ',100,2,2),
(70168,41672,'Must be flanking or behind',100,3,3),
(70169,41672,'Increases Threat to target by 1,219 ',100,2,4),
(70170,41672,'Must be in front of',100,3,5),
(70171,41672,'Inflicts 424 - 788 magic damage on target',100,2,6),
(70172,41672,'Cannot be modified except by direct means',100,2,7),
(70173,10041672,'When Equipped:',100,0,0),
(70174,10041672,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(70175,10041672,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(70176,10041672,'Cannot be modified except by direct means',100,2,3),
(70177,177605,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(70178,177605,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(70179,177605,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(70180,177605,'Cannot be modified except by direct means',100,2,3),
(70181,10177605,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(70182,10177605,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(70183,10177605,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(70184,10177605,'Cannot be modified except by direct means',100,2,3),
(70185,35452,'Increases STR of target by 1.6',100,0,0),
(70186,35452,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(70187,114615,'Decreases WIS of target by 10.8',100,1,0),
(70188,114615,'Inflicts 93 - 155 melee damage on target',100,1,1),
(70189,114615,'You must be sneaking to use this ability.',100,1,2),
(70190,10114615,'Decreases WIS of target by 10.8',100,1,0),
(70191,10114615,'Inflicts 121 - 202 melee damage on target',100,1,1),
(70192,10114615,'You must be sneaking to use this ability.',100,1,2),
(70193,25743,'When Equipped:',100,0,0),
(70194,25743,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(70195,25743,'Adds 4 triggers to Rampage IV.',100,1,2),
(70196,10025743,'When Equipped:',100,0,0),
(70197,10025743,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(70198,10025743,'Adds 4 triggers to Rampage IV.',100,1,2),
(70199,24739,'Adds Vampire (Warlock) to your Dungeon Maker toolbox',100,0,0),
(70200,10024739,'Adds Vampire (Warlock) to your Dungeon Maker toolbox',100,0,0),
(70201,122335,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(70202,122335,'Inflicts 2 piercing damage on target',100,2,1),
(70203,10122335,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(70204,10122335,'Inflicts 3 piercing damage on target',100,2,1),
(70205,24763,'Adds Wolf (Paladin) to your Dungeon Maker toolbox',100,0,0),
(70206,10024763,'Adds Wolf (Paladin) to your Dungeon Maker toolbox',100,0,0),
(70207,152622,'Applies Incorporeal-Vison when Equipped.',100,0,0),
(70208,152622,'Grants Incorporeal-Vision to caster',100,1,1),
(70209,152622,'Grants Ultravision to caster',100,1,2),
(70210,152622,'If any of the following are true:',100,1,3),
(70211,152622,'Must be in The City of Freeport.',100,2,4),
(70212,152622,'Must be in The Graveyard.',100,2,5),
(70213,10152622,'Applies Incorporeal-Vison when Equipped.',100,0,0),
(70214,10152622,'Grants Incorporeal-Vision to caster',100,1,1),
(70215,10152622,'Grants Ultravision to caster',100,1,2),
(70216,10152622,'If any of the following are true:',100,1,3),
(70217,10152622,'Must be in The City of Freeport.',100,2,4),
(70218,10152622,'Must be in The Graveyard.',100,2,5),
(70219,106139,'Inflicts 837 - 1395 melee damage on target',100,1,0),
(70220,106139,'Decreases Defense, Parry and Deflection of target by 62.0',100,1,1),
(70221,10106139,'Inflicts 1088 - 1814 melee damage on target',100,1,0),
(70222,10106139,'Decreases Defense, Parry and Deflection of target by 62.0',100,1,1),
(70223,104187,'Increases Threat to target encounter by 915 - 1,118 ',100,1,0),
(70224,104187,'Interrupts target encounter',100,1,1),
(70225,10104187,'Forces target encounter to change their selected target to caster.',100,1,0),
(70226,10104187,'Interrupts target encounter',100,1,1),
(70227,10104187,'Prevents target encounter from changing targets',100,1,2),
(70228,35937,'Increases Max Health of target by 5.0',100,0,0),
(70229,35937,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(70230,118917,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(70231,118917,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 443',100,1,1),
(70232,118917,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,2),
(70233,10118917,'Increases Max Health of group members (AE) by 97.7',100,1,0),
(70234,10118917,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 443',100,1,1),
(70235,10118917,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,2),
(70236,152041,'When Equipped:',100,0,0),
(70237,152041,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(70238,152041,'Inflicts 2648 poison damage on target',100,2,2),
(70239,152041,'If under 15% Health',100,2,3),
(70240,152041,'Cannot be modified except by direct means',100,2,4),
(70241,152041,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(70242,152041,'Inflicts 2648 poison damage on target',100,2,6),
(70243,152041,'If under 15% Health',100,2,7),
(70244,152041,'Cannot be modified except by direct means',100,2,8),
(70245,152041,'Cannot be modified except by direct means',100,1,9),
(70246,10152041,'When Equipped:',100,0,0),
(70247,10152041,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(70248,10152041,'Inflicts 3707 poison damage on target',100,2,2),
(70249,10152041,'If under 15% Health',100,2,3),
(70250,10152041,'Cannot be modified except by direct means',100,2,4),
(70251,10152041,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(70252,10152041,'Inflicts 3707 poison damage on target',100,2,6),
(70253,10152041,'If under 15% Health',100,2,7),
(70254,10152041,'Cannot be modified except by direct means',100,2,8),
(70255,10152041,'Cannot be modified except by direct means',100,1,9),
(70256,111730,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(70257,111730,'Inflicts 253 - 310 cold damage on target',100,2,1),
(70258,111730,'Grants a total of 3 triggers of the spell.',100,2,2),
(70259,10111730,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(70260,10111730,'Inflicts 355 - 433 cold damage on target',100,2,1),
(70261,10111730,'Grants a total of 3 triggers of the spell.',100,2,2),
(70262,112297,'Inflicts 85 - 103 disease damage on target',100,1,0),
(70263,112297,'Inflicts 42 - 52 disease damage on target every 3 seconds',100,1,1),
(70264,112297,'Increases Threat to target by 568 - 694  instantly and by 106 - 130  every 3 seconds thereafter',100,1,2),
(70265,10112297,'Inflicts 59 - 72 disease damage on target every 3 seconds',100,1,0),
(70266,10112297,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(70267,35364,'Increases AGI of target by 1.6',100,0,0),
(70268,35364,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(70269,122932,'Inflicts 10 - 14 mental damage on target',100,1,0),
(70270,10122932,'Inflicts 14 - 19 mental damage on target',100,1,0),
(70271,105041,'Increases WIS of raid and group members (AE) by 59.1',100,1,0),
(70272,105041,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(70273,105041,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 216',100,1,2),
(70274,10105041,'Increases WIS of raid and group members (AE) by 59.1',100,1,0),
(70275,10105041,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(70276,10105041,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 216',100,1,2),
(70277,108075,'Decreases Threat to target by 162 - 270 ',100,1,0),
(70278,10108075,'Forces target to clear their selected target.',100,1,0),
(70279,10108075,'Target cannot target caster for the duration of this effect.',100,1,1),
(70280,103042,'Inflicts 406 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(70281,103042,'Inflicts 152 - 253 melee damage on target',100,1,1),
(70282,10103042,'Inflicts 568 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(70283,10103042,'Inflicts 197 - 329 melee damage on target',100,1,1),
(70284,105386,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(70285,105386,'Inflicts 127 melee damage on target',100,2,1),
(70286,105386,'Interrupts target',100,2,2),
(70287,105386,'Decreases Defense of caster by 20.7',100,1,3),
(70288,105386,'Increases Piercing, Slashing, Ranged and Crushing of caster by 37.3',100,1,4),
(70289,10105386,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(70290,10105386,'Inflicts 165 melee damage on target',100,2,1),
(70291,10105386,'Interrupts target',100,2,2),
(70292,10105386,'Decreases Defense of caster by 20.7',100,1,3),
(70293,10105386,'Increases Piercing, Slashing, Ranged and Crushing of caster by 37.3',100,1,4),
(70294,109698,'Inflicts 304 - 371 cold damage on target instantly and every 3 seconds',100,1,0),
(70295,10109698,'Inflicts 425 - 520 cold damage on target instantly and every 3 seconds',100,1,0),
(70296,45773,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(70297,45773,'Caster will harvest a second time on 2.0% of harvests.',100,1,1),
(70298,45773,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,2),
(70299,10045773,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(70300,10045773,'Caster will harvest a second time on 2.0% of harvests.',100,1,1),
(70301,10045773,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,2),
(70302,48606,'Applies Totem of the Otter when Activated.  Lasts for 15 minutes.',100,0,0),
(70303,48606,'Allows caster to breathe under water',100,1,1),
(70304,10048606,'Applies Totem of the Otter when Activated.  Lasts for 15 minutes.',100,0,0),
(70305,10048606,'Allows caster to breathe under water',100,1,1),
(70306,45792,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(70307,45792,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(70308,45792,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(70309,45792,'Cannot be modified except by direct means',100,2,3),
(70310,45792,'Grants a total of 80 triggers of the spell.',100,2,4),
(70311,10045792,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(70312,10045792,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(70313,10045792,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(70314,10045792,'Cannot be modified except by direct means',100,2,3),
(70315,10045792,'Grants a total of 80 triggers of the spell.',100,2,4),
(70316,108591,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(70317,108591,'Increases AGI of group members (AE) by 33.7',100,2,1),
(70318,108591,'Heals group members (AE) for 99 - 122 instantly and every 3 seconds',100,2,2),
(70319,108591,'Increases WIS, INT and STR of group members (AE) by 33.7',100,2,3),
(70320,108591,'Increases STA of group members (AE) by 67.3',100,2,4),
(70321,108591,'Adds 0.7% to base avoidance.',100,2,5),
(70322,108591,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 89',100,2,6),
(70323,10108591,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(70324,10108591,'Increases AGI of group members (AE) by 33.7',100,2,1),
(70325,10108591,'Heals group members (AE) for 65 - 79 instantly and every 3 seconds',100,2,2),
(70326,10108591,'Increases WIS, INT and STR of group members (AE) by 33.7',100,2,3),
(70327,10108591,'Increases STA of group members (AE) by 67.3',100,2,4),
(70328,10108591,'Adds 0.7% to base avoidance.',100,2,5),
(70329,10108591,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 89',100,2,6),
(70330,103996,'Interrupts targets in Area of Effect',100,1,0),
(70331,103996,'Inflicts 220 - 408 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(70332,10103996,'Interrupts targets in Area of Effect',100,1,0),
(70333,10103996,'Inflicts 308 - 572 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(70334,114681,'Increases Threat to target by 536 - 655 ',100,1,0),
(70335,114681,'Interrupts target',100,1,1),
(70336,10114681,'Interrupts target',100,1,0),
(70337,10114681,'Forces target to change their selected target to caster.',100,1,1),
(70338,10114681,'Prevents target from changing targets',100,1,2),
(70339,87538,'Applies Lightning Shock when Activated.',100,0,0),
(70340,87538,'Inflicts 66 - 110 magic damage on target',100,1,1),
(70341,87538,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(70342,10087538,'Applies Lightning Shock when Activated.',100,0,0),
(70343,10087538,'Inflicts 93 - 155 magic damage on target',100,1,1),
(70344,10087538,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(70345,109688,'Inflicts 141 - 173 cold damage on target instantly and every 3 seconds',100,1,0),
(70346,10109688,'Inflicts 198 - 242 cold damage on target instantly and every 3 seconds',100,1,0),
(70347,101118,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1197',100,1,0),
(70348,10101118,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1197',100,1,0),
(70349,133840,'When Equipped:',100,0,0),
(70350,133840,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(70351,10133840,'When Equipped:',100,0,0),
(70352,10133840,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(70353,124312,'Wards group members (AE) against 2092 points of elemental damage',100,1,0),
(70354,124312,'Increases Mitigation of group members (AE) vs elemental damage by 1101',100,1,1),
(70355,10124312,'Wards group members (AE) against 2092 points of elemental damage',100,1,0),
(70356,10124312,'Increases Mitigation of group members (AE) vs elemental damage by 1101',100,1,1),
(70357,100450,'Increases INT of target by 38.8',100,1,0),
(70358,100450,'Increases Attack Speed of target by 29.3',100,1,1),
(70359,100450,'Decreases Defense and Parry of target by 4.9',100,1,2),
(70360,100450,'Increases Slashing, Crushing and Piercing of target by 5.3',100,1,3),
(70361,10100450,'Increases INT of target by 38.8',100,1,0),
(70362,10100450,'Increases Attack Speed of target by 29.3',100,1,1),
(70363,10100450,'Decreases Defense and Parry of target by 4.9',100,1,2),
(70364,10100450,'Increases Slashing, Crushing and Piercing of target by 5.3',100,1,3),
(70365,113418,'Reduces physical damage done to caster by 5%',100,1,0),
(70366,113418,'Increases STA of caster by 109.0',100,1,1),
(70367,113418,'Adds 3.7% to base avoidance.',100,1,2),
(70368,113418,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(70369,113418,'Increases Defense and Aggression of caster by 20.9',100,1,4),
(70370,113418,'Increases Mitigation of caster vs noxious damage by 1392',100,1,5),
(70371,113418,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(70372,10113418,'Reduces physical damage done to caster by 5%',100,1,0),
(70373,10113418,'Increases STA of caster by 109.0',100,1,1),
(70374,10113418,'Adds 3.7% to base avoidance.',100,1,2),
(70375,10113418,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(70376,10113418,'Increases Defense and Aggression of caster by 20.9',100,1,4),
(70377,10113418,'Increases Mitigation of caster vs noxious damage by 1392',100,1,5),
(70378,10113418,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(70379,124324,'Shapechanges caster into a wolf',100,1,0),
(70380,124324,'Grants See Invisibility to caster',100,1,1),
(70381,124324,'Increases Focus of caster by 16.8',100,1,2),
(70382,124324,'Increases Mitigation of caster vs physical damage by 187',100,1,3),
(70383,124324,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 710',100,1,4),
(70384,10124324,'Shapechanges caster into a wolf',100,1,0),
(70385,10124324,'Grants See Invisibility to caster',100,1,1),
(70386,10124324,'Increases Focus of caster by 16.8',100,1,2),
(70387,10124324,'Increases Mitigation of caster vs physical damage by 187',100,1,3),
(70388,10124324,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 710',100,1,4),
(70389,113560,'Inflicts 987 - 1645 disease damage on target',100,1,0),
(70390,10113560,'Inflicts 1381 - 2302 disease damage on target',100,1,0),
(70391,106105,'Inflicts 719 - 1199 melee damage on target',100,1,0),
(70392,106105,'Decreases Mitigation of target vs physical damage by 2011',100,1,1),
(70393,106105,'Must be behind',100,1,2),
(70394,10106105,'Inflicts 935 - 1559 melee damage on target',100,1,0),
(70395,10106105,'Decreases Mitigation of target vs physical damage by 503',100,1,1),
(70396,10106105,'Must be behind',100,1,2),
(70397,143319,'When Equipped:',100,0,0),
(70398,143319,'Increases stealth or invisible movement speed of caster by 15.0%',100,1,1),
(70399,143319,'This effect suspends during combat',100,1,2),
(70400,10143319,'When Equipped:',100,0,0),
(70401,10143319,'Increases stealth or invisible movement speed of caster by 15.0%',100,1,1),
(70402,10143319,'This effect suspends during combat',100,1,2),
(70403,163660,'When Equipped:',100,0,0),
(70404,163660,'Increases the base damage of hostile spells by 2%',100,1,1),
(70405,10163660,'When Equipped:',100,0,0),
(70406,10163660,'Increases the base damage of hostile spells by 2%',100,1,1),
(70407,119521,'Increases threat priority of target by 2 positions',100,1,0),
(70408,119521,'Stuns caster',100,1,1),
(70409,119521,'Decreases Defense and Parry of caster by 216.0',100,1,2),
(70410,119521,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(70411,119521,'Inflicts 1383 - 2304 piercing damage on target',100,2,4),
(70412,119521,'Grants a total of 1 trigger of the spell.',100,2,5),
(70413,10119521,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(70414,10119521,'Prevents target from changing targets',100,2,1),
(70415,10119521,'Forces target to change their selected target to caster.',100,2,2),
(70416,10119521,'Stuns caster',100,1,3),
(70417,10119521,'Decreases Defense and Parry of caster by 216.0',100,1,4),
(70418,10119521,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(70419,10119521,'Inflicts 1381 - 2302 piercing damage on target',100,2,6),
(70420,10119521,'Grants a total of 1 trigger of the spell.',100,2,7),
(70421,123902,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(70422,123902,'Slows target by 43.1%',100,2,1),
(70423,123902,'5% chance to dispel when target receives hostile action',100,2,2),
(70424,123902,'5% chance to dispel when target takes damage',100,2,3),
(70425,123902,'Decreases Mitigation of target vs elemental and noxious damage by 506',100,1,4),
(70426,10123902,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(70427,10123902,'Slows target by 43.1%',100,2,1),
(70428,10123902,'5% chance to dispel when target receives hostile action',100,2,2),
(70429,10123902,'5% chance to dispel when target takes damage',100,2,3),
(70430,10123902,'Decreases Mitigation of target vs elemental and noxious damage by 506',100,1,4),
(70431,47488,'Applies Summon Parrot when Activated.',100,0,0),
(70432,47488,'Calls forth a trusty parrot',100,1,1),
(70433,10047488,'Applies Summon Parrot when Activated.',100,0,0),
(70434,10047488,'Calls forth a trusty parrot',100,1,1),
(70435,42342,'When Equipped:',100,0,0),
(70436,42342,'On a kill this spell has a 10% chance to cast Salvaged Shot on caster.  ',100,1,1),
(70437,42342,'Cannot be modified except by direct means',100,2,2),
(70438,10042342,'When Equipped:',100,0,0),
(70439,10042342,'On a kill this spell has a 10% chance to cast Salvaged Shot on caster.  ',100,1,1),
(70440,10042342,'Cannot be modified except by direct means',100,2,2),
(70441,51349,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(70442,51349,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(70443,51349,'Inflicts 40 heat damage on target',100,2,2),
(70444,51349,'Cannot be modified except by direct means',100,2,3),
(70445,10051349,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(70446,10051349,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(70447,10051349,'Inflicts 57 heat damage on target',100,2,2),
(70448,10051349,'Cannot be modified except by direct means',100,2,3),
(70449,102347,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(70450,102347,'Increases Attack Speed of target by 12.5',100,2,1),
(70451,102347,'Increases Damage Per Second of target by 12.5',100,2,2),
(70452,102347,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(70453,102347,'Increases Attack Speed of target by 12.5',100,2,4),
(70454,102347,'Increases Damage Per Second of target by 12.5',100,2,5),
(70455,102347,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(70456,102347,'Increases Attack Speed of target by 12.5',100,2,7),
(70457,102347,'Increases Damage Per Second of target by 12.5',100,2,8),
(70458,10102347,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(70459,10102347,'Increases Attack Speed of target by 12.5',100,2,1),
(70460,10102347,'Increases Damage Per Second of target by 12.5',100,2,2),
(70461,10102347,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(70462,10102347,'Increases Attack Speed of target by 12.5',100,2,4),
(70463,10102347,'Increases Damage Per Second of target by 12.5',100,2,5),
(70464,10102347,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(70465,10102347,'Increases Attack Speed of target by 12.5',100,2,7),
(70466,10102347,'Increases Damage Per Second of target by 12.5',100,2,8),
(70467,135163,'When Equipped:',100,0,0),
(70468,135163,'Increases Attack Speed of caster by 30.0',100,1,1),
(70469,10135163,'When Equipped:',100,0,0),
(70470,10135163,'Increases Attack Speed of caster by 30.0',100,1,1),
(70471,102746,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(70472,102746,'Stuns target',100,2,1),
(70473,102746,'If Target is not Epic',100,3,2),
(70474,102746,'Inflicts 241 - 402 divine damage on target',100,2,3),
(70475,102746,'Inflicts 207 - 344 divine damage on target',100,2,4),
(70476,102746,'If target is undead',100,3,5),
(70477,10102746,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(70478,10102746,'Stuns target',100,2,1),
(70479,10102746,'Inflicts 506 - 844 divine damage on target',100,2,2),
(70480,10102746,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(70481,48730,'Applies Elixir of Incandescent Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(70482,48730,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(70483,10048730,'Applies Elixir of Incandescent Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(70484,10048730,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(70485,113926,'Increases power of target by 34 instantly and every 4 seconds',100,1,0),
(70486,10113926,'Increases power of target by 34 instantly and every 4 seconds',100,1,0),
(70487,89624,'When Equipped:',100,0,0),
(70488,89624,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(70489,89624,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(70490,89624,'Increases Attack Speed of caster by 6.0',100,2,3),
(70491,89624,'Increases Damage Per Second of caster by 9.0',100,2,4),
(70492,89624,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(70493,89624,'Must not be engaged in pvp combat',100,2,6),
(70494,89624,'Cannot be modified except by direct means',100,2,7),
(70495,89624,'Cannot be modified except by direct means',100,1,8),
(70496,10089624,'When Equipped:',100,0,0),
(70497,10089624,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(70498,10089624,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(70499,10089624,'Increases Attack Speed of caster by 6.0',100,2,3),
(70500,10089624,'Increases Damage Per Second of caster by 9.0',100,2,4),
(70501,10089624,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(70502,10089624,'Must not be engaged in pvp combat',100,2,6),
(70503,10089624,'Cannot be modified except by direct means',100,2,7),
(70504,10089624,'Cannot be modified except by direct means',100,1,8),
(70505,118911,'Increases Max Health of group members (AE) by 28.8',100,1,0),
(70506,118911,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 117',100,1,1),
(70507,118911,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,2),
(70508,10118911,'Increases Max Health of group members (AE) by 28.8',100,1,0),
(70509,10118911,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 117',100,1,1),
(70510,10118911,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,2),
(70511,81389,'When Equipped:',100,0,0),
(70512,81389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70513,81389,'Inflicts 104 - 194 magic damage on target',100,2,2),
(70514,81389,'Cannot be modified except by direct means',100,2,3),
(70515,10081389,'When Equipped:',100,0,0),
(70516,10081389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70517,10081389,'Inflicts 146 - 271 magic damage on target',100,2,2),
(70518,10081389,'Cannot be modified except by direct means',100,2,3),
(70519,48296,'Applies Pegasus when Activated.',100,0,0),
(70520,48296,'Increases Slashing and Ministration of caster by 5.0',100,1,1),
(70521,48296,'Summons a mount to ride',100,1,2),
(70522,48296,'Increases your ground speed by 75%',100,2,3),
(70523,48296,'Increases your air speed by 150%',100,2,4),
(70524,48296,'Increases Ordination, Subjugation, Crushing, Ranged, Disruption, Aggression, Focus and Piercing of caster by 5.0',100,1,5),
(70525,10048296,'Applies Pegasus when Activated.',100,0,0),
(70526,10048296,'Increases Slashing and Ministration of caster by 5.0',100,1,1),
(70527,10048296,'Summons a mount to ride',100,1,2),
(70528,10048296,'Increases your ground speed by 75%',100,2,3),
(70529,10048296,'Increases your air speed by 150%',100,2,4),
(70530,10048296,'Increases Ordination, Subjugation, Crushing, Ranged, Disruption, Aggression, Focus and Piercing of caster by 5.0',100,1,5),
(70531,119464,'Inflicts 351 piercing damage on target instantly and every 4 seconds',100,1,0),
(70532,119464,'Inflicts 486 - 810 melee damage on target',100,1,1),
(70533,119464,'Must be flanking or behind',100,1,2),
(70534,10119464,'Inflicts 492 piercing damage on target instantly and every 4 seconds',100,1,0),
(70535,10119464,'Inflicts 631 - 1053 melee damage on target',100,1,1),
(70536,10119464,'Must be flanking or behind',100,1,2),
(70537,111144,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(70538,111144,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 770',100,1,1),
(70539,111144,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,2),
(70540,10111144,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(70541,10111144,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 770',100,1,1),
(70542,10111144,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,2),
(70543,154973,'When Equipped:',100,0,0),
(70544,154973,'On a spell cast this spell may cast Vitae of the Elder on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(70545,154973,'Increases power of group members (AE) by 465',100,2,2),
(70546,154973,'Cannot be modified except by direct means',100,2,3),
(70547,154973,'Cannot be modified except by direct means',100,1,4),
(70548,10154973,'When Equipped:',100,0,0),
(70549,10154973,'On a spell cast this spell may cast Vitae of the Elder on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(70550,10154973,'Increases power of group members (AE) by 465',100,2,2),
(70551,10154973,'Cannot be modified except by direct means',100,2,3),
(70552,10154973,'Cannot be modified except by direct means',100,1,4),
(70553,46247,'Applies trauma remedy when Activated.',100,0,0),
(70554,46247,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(70555,10046247,'Applies trauma remedy when Activated.',100,0,0),
(70556,10046247,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(70557,82550,'When Equipped:',100,0,0),
(70558,82550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70559,82550,'Inflicts 101 - 188 magic damage on target',100,2,2),
(70560,82550,'Cannot be modified except by direct means',100,2,3),
(70561,10082550,'When Equipped:',100,0,0),
(70562,10082550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70563,10082550,'Inflicts 142 - 263 magic damage on target',100,2,2),
(70564,10082550,'Cannot be modified except by direct means',100,2,3),
(70565,109790,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(70566,109790,'Heals group members (AE) for 436',100,2,1),
(70567,10109790,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(70568,10109790,'Heals group members (AE) for 283',100,2,1),
(70569,90360,'When Equipped:',100,0,0),
(70570,90360,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(70571,90360,'Inflicts 21 - 26 magic damage on target',100,2,2),
(70572,90360,'If target is Darathar',100,3,3),
(70573,90360,'Cannot be modified except by direct means',100,2,4),
(70574,10090360,'When Equipped:',100,0,0),
(70575,10090360,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(70576,10090360,'Inflicts 30 - 37 magic damage on target',100,2,2),
(70577,10090360,'If target is Darathar',100,3,3),
(70578,10090360,'Cannot be modified except by direct means',100,2,4),
(70579,100761,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(70580,100761,'Wards target against 790 points of all damage',100,2,1),
(70581,100761,'Increases power of target by 171 every 6 seconds',100,2,2),
(70582,100761,'Heals target for 741',100,2,3),
(70583,100761,'Grants a total of 1 trigger of the spell.',100,2,4),
(70584,10100761,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(70585,10100761,'Wards target against 790 points of all damage',100,2,1),
(70586,10100761,'Increases power of target by 171 every 6 seconds',100,2,2),
(70587,10100761,'Heals target for 482',100,2,3),
(70588,10100761,'Grants a total of 1 trigger of the spell.',100,2,4),
(70589,71592,'When Equipped:',100,0,0),
(70590,71592,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70591,71592,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(70592,71592,'Cannot be modified except by direct means',100,2,3),
(70593,10071592,'When Equipped:',100,0,0),
(70594,10071592,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70595,10071592,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(70596,10071592,'Cannot be modified except by direct means',100,2,3),
(70597,115582,'Interrupts target encounter',100,1,0),
(70598,115582,'Decreases Threat to target encounter by 466 - 569 ',100,1,1),
(70599,115582,'Dazes target encounter',100,1,2),
(70600,115582,'If Target is not Epic',100,2,3),
(70601,115582,'Resistibility increases against targets higher than level 67.',100,1,4),
(70602,10115582,'Interrupts target encounter',100,1,0),
(70603,10115582,'Dazes target encounter',100,1,1),
(70604,10115582,'If Target is not Epic',100,2,2),
(70605,10115582,'Resistibility increases against targets higher than level 67.',100,1,3),
(70606,37451,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(70607,46525,'Applies Call Gorowyn Destrier when Activated.',100,0,0),
(70608,46525,'Summons a mount to ride',100,1,1),
(70609,46525,'Increases your ground speed by 130%',100,2,2),
(70610,10046525,'Applies Call Gorowyn Destrier when Activated.',100,0,0),
(70611,10046525,'Summons a mount to ride',100,1,1),
(70612,10046525,'Increases your ground speed by 130%',100,2,2),
(70613,117383,'Increases Threat to target by 165 ',100,1,0),
(70614,117383,'Inflicts 27 - 82 melee damage on target',100,1,1),
(70615,10117383,'Forces target to change their selected target to caster.',100,1,0),
(70616,10117383,'Inflicts 23 - 71 melee damage on target',100,1,1),
(70617,108369,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(70618,108369,'Increases Mitigation of group members (AE) vs arcane damage by 1134',100,1,1),
(70619,10108369,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(70620,10108369,'Increases Mitigation of group members (AE) vs arcane damage by 1134',100,1,1),
(70621,54163,'When Equipped:',100,0,0),
(70622,54163,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(70623,10054163,'When Equipped:',100,0,0),
(70624,10054163,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(70625,106227,'Inflicts 247 - 742 melee damage on target',100,1,0),
(70626,106227,'Stifles target',100,1,1),
(70627,106227,'If Target is not Epic',100,2,2),
(70628,106227,'Resistibility increases against targets higher than level 97.',100,1,3),
(70629,10106227,'Inflicts 321 - 965 melee damage on target',100,1,0),
(70630,10106227,'Stifles target',100,1,1),
(70631,10106227,'If Target is not Epic',100,2,2),
(70632,10106227,'Resistibility increases against targets higher than level 97.',100,1,3),
(70633,47195,'Applies Elixir of Mythical Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(70634,47195,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(70635,10047195,'Applies Elixir of Mythical Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(70636,10047195,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(70637,114178,'Inflicts 55 - 93 melee damage on target',100,1,0),
(70638,114178,'Decreases Slashing, Crushing and Piercing of target by 2.0',100,1,1),
(70639,10114178,'Inflicts 72 - 121 melee damage on target',100,1,0),
(70640,10114178,'Decreases Slashing, Crushing and Piercing of target by 2.0',100,1,1),
(70641,114850,'Decreases AGI of target by 17.4',100,1,0),
(70642,114850,'Decreases Defense of target by 6.6',100,1,1),
(70643,10114850,'Decreases AGI of target by 17.4',100,1,0),
(70644,10114850,'Decreases Defense of target by 6.6',100,1,1),
(70645,144124,'When Equipped:',100,0,0),
(70646,144124,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70647,144124,'Inflicts 281 mental damage on target',100,2,2),
(70648,144124,'Must not be classified as an undead',100,3,3),
(70649,144124,'Inflicts 562 mental damage on target',100,2,4),
(70650,144124,'Must be classified as an undead',100,3,5),
(70651,144124,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(70652,144124,'Must be classified as an undead',100,3,7),
(70653,144124,'Cannot be modified except by direct means',100,2,8),
(70654,144124,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(70655,144124,'When Equipped:',100,0,10),
(70656,144124,'Reduces reuse time of beneficial spells by 1 percent.',100,1,11),
(70657,10144124,'When Equipped:',100,0,0),
(70658,10144124,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70659,10144124,'Inflicts 393 mental damage on target',100,2,2),
(70660,10144124,'Must not be classified as an undead',100,3,3),
(70661,10144124,'Inflicts 787 mental damage on target',100,2,4),
(70662,10144124,'Must be classified as an undead',100,3,5),
(70663,10144124,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(70664,10144124,'Must be classified as an undead',100,3,7),
(70665,10144124,'Cannot be modified except by direct means',100,2,8),
(70666,10144124,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(70667,10144124,'When Equipped:',100,0,10),
(70668,10144124,'Reduces reuse time of beneficial spells by 1 percent.',100,1,11),
(70669,101322,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(70670,101322,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 132',100,1,1),
(70671,101322,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,2),
(70672,10101322,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(70673,10101322,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 132',100,1,1),
(70674,10101322,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,2),
(70675,45126,'Applies Abrasive Lick when Activated.  Lasts for 12 hours.',100,0,0),
(70676,45126,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(70677,45126,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,2),
(70678,45126,'Inflicts 20 poison damage on target',100,2,3),
(70679,45126,'Cannot be modified except by direct means',100,2,4),
(70680,45126,'Grants a total of 100 triggers of the spell.',100,2,5),
(70681,10045126,'Applies Abrasive Lick when Activated.  Lasts for 12 hours.',100,0,0),
(70682,10045126,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(70683,10045126,'Inflicts 21 poison damage on target',100,2,2),
(70684,10045126,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,3),
(70685,10045126,'Cannot be modified except by direct means',100,2,4),
(70686,10045126,'Grants a total of 100 triggers of the spell.',100,2,5),
(70687,82530,'When Equipped:',100,0,0),
(70688,82530,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70689,82530,'Inflicts 101 - 188 magic damage on target',100,2,2),
(70690,82530,'Cannot be modified except by direct means',100,2,3),
(70691,10082530,'When Equipped:',100,0,0),
(70692,10082530,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70693,10082530,'Inflicts 142 - 263 magic damage on target',100,2,2),
(70694,10082530,'Cannot be modified except by direct means',100,2,3),
(70695,102503,'Inflicts 955 - 1591 crushing damage on target',100,1,0),
(70696,102503,'Prevents target from changing direction while active.',100,1,1),
(70697,102503,'If Target is not Epic',100,2,2),
(70698,102503,'Roots target',100,1,3),
(70699,102503,'If Target is not Epic',100,2,4),
(70700,102503,'Resistibility increases against targets higher than level 104.',100,1,5),
(70701,10102503,'Inflicts 1241 - 2069 crushing damage on target',100,1,0),
(70702,10102503,'Prevents target from changing direction while active.',100,1,1),
(70703,10102503,'If Target is not Epic',100,2,2),
(70704,10102503,'Roots target',100,1,3),
(70705,10102503,'If Target is not Epic',100,2,4),
(70706,10102503,'Resistibility increases against targets higher than level 104.',100,1,5),
(70707,135188,'When Equipped:',100,0,0),
(70708,135188,'Increases Attack Speed of caster by 35.0',100,1,1),
(70709,10135188,'When Equipped:',100,0,0),
(70710,10135188,'Increases Attack Speed of caster by 35.0',100,1,1),
(70711,117237,'Inflicts 31 slashing damage on target every 4 seconds',100,1,0),
(70712,117237,'Inflicts 156 - 261 melee damage on target',100,1,1),
(70713,10117237,'Inflicts 44 slashing damage on target every 4 seconds',100,1,0),
(70714,10117237,'Inflicts 204 - 340 melee damage on target',100,1,1),
(70715,122148,'Summons a pet earthen avatar',100,1,0),
(70716,10122148,'Summons a pet earthen avatar',100,1,0),
(70717,72067,'When Equipped:',100,0,0),
(70718,72067,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70719,72067,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(70720,72067,'Cannot be modified except by direct means',100,2,3),
(70721,10072067,'When Equipped:',100,0,0),
(70722,10072067,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(70723,10072067,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(70724,10072067,'Cannot be modified except by direct means',100,2,3),
(70725,175524,'When Equipped:',100,0,0),
(70726,175524,'Increases Attack Speed of caster by 35.0',100,1,1),
(70727,10175524,'When Equipped:',100,0,0),
(70728,10175524,'Increases Attack Speed of caster by 35.0',100,1,1),
(70729,80976,'When Equipped:',100,0,0),
(70730,80976,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70731,80976,'Inflicts 248 - 460 magic damage on target',100,2,2),
(70732,80976,'Cannot be modified except by direct means',100,2,3),
(70733,10080976,'When Equipped:',100,0,0),
(70734,10080976,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70735,10080976,'Inflicts 347 - 644 magic damage on target',100,2,2),
(70736,10080976,'Cannot be modified except by direct means',100,2,3),
(70737,103028,'Inflicts 208 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(70738,103028,'Inflicts 78 - 130 melee damage on target',100,1,1),
(70739,10103028,'Inflicts 292 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(70740,10103028,'Inflicts 101 - 169 melee damage on target',100,1,1),
(70741,107448,'Summons a pet earthen avatar',100,1,0),
(70742,10107448,'Summons a pet earthen avatar',100,1,0),
(70743,124834,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1031',100,1,0),
(70744,10124834,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1031',100,1,0),
(70745,24096,'Adds Chardok: Shaman Statue to your Dungeon Maker toolbox',100,0,0),
(70746,10024096,'Adds Chardok: Shaman Statue to your Dungeon Maker toolbox',100,0,0),
(70747,121987,'Increases Threat to target by 39 - 48 ',100,1,0),
(70748,120304,'Increases Threat to target by 76 - 94 ',100,1,0),
(70749,10120304,'Forces target to change their selected target to caster.',100,1,0),
(70750,10120304,'Prevents target from changing targets',100,1,1),
(70751,115741,'Wards caster against 10208 points of elemental, noxious and arcane damage',100,1,0),
(70752,10115741,'Wards caster against 10208 points of elemental, noxious and arcane damage',100,1,0),
(70753,45541,'Applies Clouded Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(70754,45541,'Increases Max Power of caster by 248.6',100,1,1),
(70755,45541,'Only affects targets level 50 and above',100,1,2),
(70756,10045541,'Applies Clouded Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(70757,10045541,'Increases Max Power of caster by 248.6',100,1,1),
(70758,10045541,'Only affects targets level 50 and above',100,1,2),
(70759,138517,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(70760,138517,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(70761,138517,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(70762,10138517,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(70763,10138517,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(70764,10138517,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(70765,104622,'Inflicts 57 - 96 crushing damage on target',100,1,0),
(70766,104622,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 7.1',100,1,1),
(70767,10104622,'Inflicts 74 - 124 crushing damage on target',100,1,0),
(70768,10104622,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 7.1',100,1,1),
(70769,123548,'Inflicts 217 - 326 piercing damage on target instantly and every 4 seconds',100,1,0),
(70770,123548,'Decreases Defense of target by 41.2',100,1,1),
(70771,10123548,'Inflicts 425 - 638 piercing damage on target',100,1,0),
(70772,10123548,'Inflicts 304 - 456 piercing damage on target every 4 seconds',100,1,1),
(70773,10123548,'Decreases Defense of target by 41.2',100,1,2),
(70774,36715,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(70775,114218,'Inflicts 11 - 13 mental damage on target',100,1,0),
(70776,114218,'Stuns target',100,1,1),
(70777,114218,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(70778,114218,'Resistibility increases against targets higher than level 31.',100,1,3),
(70779,10114218,'Inflicts 15 - 19 mental damage on target',100,1,0),
(70780,10114218,'Requires not being affected by Mesmerize effects.',100,2,1),
(70781,10114218,'Stuns target',100,1,2),
(70782,10114218,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(70783,10114218,'Resistibility increases against targets higher than level 31.',100,1,4),
(70784,26808,'When Equipped:',100,0,0),
(70785,26808,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(70786,26808,'On a critical combat hit this spell may cast Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(70787,26808,'Caster has a 30.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,3),
(70788,26808,'Must not be engaged in pvp combat',100,2,4),
(70789,26808,'Cannot be modified except by direct means',100,2,5),
(70790,26808,'On a critical spell hit this spell may cast Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(70791,26808,'Caster has a 30.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,7),
(70792,26808,'Must not be engaged in pvp combat',100,2,8),
(70793,26808,'Cannot be modified except by direct means',100,2,9),
(70794,26808,'Must not be engaged in pvp combat',100,1,10),
(70795,10026808,'When Equipped:',100,0,0),
(70796,10026808,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(70797,10026808,'On a critical combat hit this spell may cast Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(70798,10026808,'Caster has a 30.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,3),
(70799,10026808,'Must not be engaged in pvp combat',100,2,4),
(70800,10026808,'Cannot be modified except by direct means',100,2,5),
(70801,10026808,'On a critical spell hit this spell may cast Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(70802,10026808,'Caster has a 30.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,7),
(70803,10026808,'Must not be engaged in pvp combat',100,2,8),
(70804,10026808,'Cannot be modified except by direct means',100,2,9),
(70805,10026808,'Must not be engaged in pvp combat',100,1,10),
(70806,114702,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(70807,114702,'Decreases Hate Gain of target by 13.5%',100,1,1),
(70808,10114702,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(70809,159079,'When Equipped:',100,0,0),
(70810,159079,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(70811,159079,'Increases STA of caster by 17.3',100,2,2),
(70812,159079,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(70813,159079,'Cannot be modified except by direct means',100,2,4),
(70814,10159079,'When Equipped:',100,0,0),
(70815,10159079,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(70816,10159079,'Increases STA of caster by 17.3',100,2,2),
(70817,10159079,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(70818,10159079,'Cannot be modified except by direct means',100,2,4),
(70819,82372,'When Equipped:',100,0,0),
(70820,82372,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(70821,82372,'Decreases Threat to target by 135 ',100,2,2),
(70822,82372,'Must be flanking or behind',100,3,3),
(70823,82372,'Increases Threat to target by 135 ',100,2,4),
(70824,82372,'Must be in front of',100,3,5),
(70825,82372,'Inflicts 41 - 76 magic damage on target',100,2,6),
(70826,82372,'Cannot be modified except by direct means',100,2,7),
(70827,10082372,'When Equipped:',100,0,0),
(70828,10082372,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(70829,10082372,'Inflicts 58 - 107 magic damage on target',100,2,2),
(70830,10082372,'Cannot be modified except by direct means',100,2,3),
(70831,26602,'When Equipped:',100,0,0),
(70832,26602,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(70833,26602,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,2),
(70834,10026602,'When Equipped:',100,0,0),
(70835,10026602,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(70836,10026602,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,2),
(70837,105170,'Increases AGI of caster by 64.1',100,1,0),
(70838,105170,'Adds 1.7% to base avoidance.',100,1,1),
(70839,105170,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(70840,105170,'Increases Parry of caster by 36.6',100,1,3),
(70841,105170,'Increases Defense of caster by 48.8',100,1,4),
(70842,10105170,'Increases AGI of caster by 64.1',100,1,0),
(70843,10105170,'Adds 1.7% to base avoidance.',100,1,1),
(70844,10105170,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(70845,10105170,'Increases Parry of caster by 36.6',100,1,3),
(70846,10105170,'Increases Defense of caster by 48.8',100,1,4),
(70847,159436,'Applies Sanguine Imbued when Equipped.',100,0,0),
(70848,159436,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(70849,159436,'Inflicts 74 heat damage on target',100,2,2),
(70850,159436,'Cannot be modified except by direct means',100,2,3),
(70851,10159436,'Applies Sanguine Imbued when Equipped.',100,0,0),
(70852,10159436,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(70853,10159436,'Inflicts 104 heat damage on target',100,2,2),
(70854,10159436,'Cannot be modified except by direct means',100,2,3),
(70855,123007,'Wards group members (AE) collectively against 1598 total points of all damage',100,1,0),
(70856,10123007,'Wards group members (AE) collectively against 2380 total points of all damage',100,1,0),
(70857,177493,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(70858,177493,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(70859,177493,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(70860,177493,'Cannot be modified except by direct means',100,2,3),
(70861,10177493,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(70862,10177493,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(70863,10177493,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(70864,10177493,'Cannot be modified except by direct means',100,2,3),
(70865,101934,'Inflicts 134 piercing damage on target instantly and every 4 seconds',100,1,0),
(70866,101934,'Inflicts 400 - 667 melee damage on target',100,1,1),
(70867,101934,'Must be behind',100,1,2),
(70868,10101934,'Inflicts 187 piercing damage on target instantly and every 4 seconds',100,1,0),
(70869,10101934,'Inflicts 520 - 868 melee damage on target',100,1,1),
(70870,10101934,'Must be behind',100,1,2),
(70871,124063,'Increases power of caster by 263',100,1,0),
(70872,10124063,'Increases power of caster by 263',100,1,0),
(70873,100752,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(70874,100752,'Wards target against 585 points of all damage',100,2,1),
(70875,100752,'Heals target for 475',100,2,2),
(70876,100752,'Increases power of target by 110 every 6 seconds',100,2,3),
(70877,100752,'Grants a total of 1 trigger of the spell.',100,2,4),
(70878,10100752,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(70879,10100752,'Wards target against 585 points of all damage',100,2,1),
(70880,10100752,'Heals target for 309',100,2,2),
(70881,10100752,'Increases power of target by 110 every 6 seconds',100,2,3),
(70882,10100752,'Grants a total of 1 trigger of the spell.',100,2,4),
(70883,157223,'When Equipped:',100,0,0),
(70884,157223,'Battle Tactics is modified into a raidwide spell and increases the raid''s health by an additional 5%',100,1,1),
(70885,157223,'Must not be engaged in pvp combat',100,1,2),
(70886,157223,'Cannot be modified except by direct means',100,1,3),
(70887,10157223,'When Equipped:',100,0,0),
(70888,10157223,'Battle Tactics is modified into a raidwide spell and increases the raid''s health by an additional 5%',100,1,1),
(70889,10157223,'Must not be engaged in pvp combat',100,1,2),
(70890,10157223,'Cannot be modified except by direct means',100,1,3),
(70891,113799,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(70892,113799,'Heals target for 589 - 720',100,2,1),
(70893,10113799,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(70894,10113799,'Heals target for 383 - 468',100,2,1),
(70895,36925,'Increases STR of target by 1.6',100,0,0),
(70896,36925,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(70897,121953,'Inflicts 38 - 63 disease damage on target',100,1,0),
(70898,121953,'Decreases Defense of target by 10.3',100,1,1),
(70899,121953,'Interrupts target',100,1,2),
(70900,10121953,'Inflicts 53 - 88 disease damage on target',100,1,0),
(70901,10121953,'Decreases Defense of target by 10.3',100,1,1),
(70902,10121953,'Interrupts target',100,1,2),
(70903,41685,'When Equipped:',100,0,0),
(70904,41685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70905,41685,'Inflicts 127 - 236 magic damage on target',100,2,2),
(70906,41685,'Cannot be modified except by direct means',100,2,3),
(70907,10041685,'When Equipped:',100,0,0),
(70908,10041685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70909,10041685,'Inflicts 178 - 331 magic damage on target',100,2,2),
(70910,10041685,'Cannot be modified except by direct means',100,2,3),
(70911,101086,'Roots target',100,1,0),
(70912,101086,'10% chance to dispel when target receives hostile action',100,1,1),
(70913,101086,'10% chance to dispel when target takes damage',100,1,2),
(70914,101086,'Does not affect Epic targets',100,1,3),
(70915,101086,'Resistibility increases against targets higher than level 34.',100,1,4),
(70916,10101086,'Roots target',100,1,0),
(70917,10101086,'10% chance to dispel when target receives hostile action',100,1,1),
(70918,10101086,'10% chance to dispel when target takes damage',100,1,2),
(70919,10101086,'Does not affect Epic targets',100,1,3),
(70920,10101086,'Resistibility increases against targets higher than level 34.',100,1,4),
(70921,35074,'Increases AGI of target by 1.6',100,0,0),
(70922,35074,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(70923,102977,'Increases STR and AGI of group members (AE) by 43.4',100,1,0),
(70924,10102977,'Increases STR and AGI of group members (AE) by 43.4',100,1,0),
(70925,159393,'Applies Lambent Imbued when Equipped.',100,0,0),
(70926,159393,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(70927,159393,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(70928,159393,'Cannot be modified except by direct means',100,2,3),
(70929,10159393,'Applies Lambent Imbued when Equipped.',100,0,0),
(70930,10159393,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(70931,10159393,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(70932,10159393,'Cannot be modified except by direct means',100,2,3),
(70933,123399,'When damaged with a melee weapon this spell has a 7.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(70934,123399,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(70935,10123399,'When damaged with a melee weapon this spell has a 7.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(70936,10123399,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(70937,48260,'Applies Call Steppes Pony when Activated.',100,0,0),
(70938,48260,'Summons a mount to ride',100,1,1),
(70939,48260,'Increases your ground speed by 130%',100,2,2),
(70940,10048260,'Applies Call Steppes Pony when Activated.',100,0,0),
(70941,10048260,'Summons a mount to ride',100,1,1),
(70942,10048260,'Increases your ground speed by 130%',100,2,2),
(70943,45134,'Applies Acidic Goo when Activated.  Lasts for 12 hours.',100,0,0),
(70944,45134,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(70945,45134,'Inflicts 35 poison damage on target instantly and every 6 seconds',100,2,2),
(70946,45134,'Inflicts 60 poison damage on target',100,2,3),
(70947,45134,'Cannot be modified except by direct means',100,2,4),
(70948,45134,'Grants a total of 100 triggers of the spell.',100,2,5),
(70949,10045134,'Applies Acidic Goo when Activated.  Lasts for 12 hours.',100,0,0),
(70950,10045134,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(70951,10045134,'Inflicts 63 poison damage on target',100,2,2),
(70952,10045134,'Inflicts 37 poison damage on target instantly and every 6 seconds',100,2,3),
(70953,10045134,'Cannot be modified except by direct means',100,2,4),
(70954,10045134,'Grants a total of 100 triggers of the spell.',100,2,5),
(70955,106684,'Heals caster for 56.2 - 68.6% of max health',100,1,0),
(70956,106684,'This effect cannot be critically applied.',100,2,1),
(70957,106684,'Increases Max Health of caster by 756.5',100,1,2),
(70958,106684,'The healing of this spell cannot be modified except by direct means',100,1,3),
(70959,10106684,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(70960,10106684,'This effect cannot be critically applied.',100,2,1),
(70961,10106684,'Increases Max Health of caster by 756.5',100,1,2),
(70962,10106684,'The healing of this spell cannot be modified except by direct means',100,1,3),
(70963,82053,'When Equipped:',100,0,0),
(70964,82053,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70965,82053,'Inflicts 164 - 305 magic damage on target',100,2,2),
(70966,82053,'Cannot be modified except by direct means',100,2,3),
(70967,10082053,'When Equipped:',100,0,0),
(70968,10082053,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(70969,10082053,'Inflicts 230 - 427 magic damage on target',100,2,2),
(70970,10082053,'Cannot be modified except by direct means',100,2,3),
(70971,45123,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(70972,45123,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(70973,45123,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(70974,45123,'Cannot be modified except by direct means',100,2,3),
(70975,45123,'Grants a total of 80 triggers of the spell.',100,2,4),
(70976,10045123,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(70977,10045123,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(70978,10045123,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(70979,10045123,'Cannot be modified except by direct means',100,2,3),
(70980,10045123,'Grants a total of 80 triggers of the spell.',100,2,4),
(70981,122813,'Inflicts 174 - 290 ranged damage on target',100,1,0),
(70982,122813,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(70983,122813,'Increases Hate Gain of target by 30.0%',100,2,2),
(70984,122813,'Grants a total of 1 trigger of the spell.',100,2,3),
(70985,122813,'Requires bow',100,1,4),
(70986,10122813,'Inflicts 148 - 246 ranged damage on target',100,1,0),
(70987,10122813,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(70988,10122813,'Grants a total of 1 trigger of the spell.',100,2,2),
(70989,10122813,'Requires bow',100,1,3),
(70990,103916,'Wards group members (AE) collectively against 695 total points of all damage',100,1,0),
(70991,10103916,'Wards group members (AE) collectively against 1036 total points of all damage',100,1,0),
(70992,119660,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(70993,119660,'Stuns target',100,2,1),
(70994,119660,'Throws target back',100,2,2),
(70995,119660,'Blurs vision of target',100,2,3),
(70996,119660,'Does not affect Epic targets',100,2,4),
(70997,119660,'Inflicts 139 - 419 melee damage on target',100,1,5),
(70998,10119660,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(70999,10119660,'Stuns target',100,2,1),
(71000,10119660,'Throws target back',100,2,2),
(71001,10119660,'Blurs vision of target',100,2,3),
(71002,10119660,'Does not affect Epic targets',100,2,4),
(71003,10119660,'Inflicts 181 - 545 melee damage on target',100,1,5),
(71004,115563,'Decreases Threat to targets in Area of Effect by 641 ',100,1,0),
(71005,115563,'Applies Disorientation.  Lasts for 10.0 seconds.',100,1,1),
(71006,115563,'Teleports target to a random location within 25 meters.',100,2,2),
(71007,115563,'Slows target by 75.0%',100,2,3),
(71008,115563,'10% chance to dispel when target takes damage',100,2,4),
(71009,115563,'If Target is not Epic',100,2,5),
(71010,10115563,'Applies Disorientation.  Lasts for 2.0 seconds.',100,1,0),
(71011,10115563,'Slows target by 75.0%',100,2,1),
(71012,10115563,'Teleports target to a random location within 25 meters.',100,2,2),
(71013,10115563,'Forces target to clear their selected target.',100,2,3),
(71014,10115563,'10% chance to dispel when target takes damage',100,2,4),
(71015,10115563,'If Target is not Epic',100,2,5),
(71016,75128,'When Equipped:',100,0,0),
(71017,75128,'Increases Attack Speed of caster by 20.0',100,1,1),
(71018,10075128,'When Equipped:',100,0,0),
(71019,10075128,'Increases Attack Speed of caster by 20.0',100,1,1),
(71020,123728,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(71021,10123728,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(71022,105224,'Decreases STR and INT of target by 41.6',100,1,0),
(71023,105224,'Only affects targets level 20 and above',100,1,1),
(71024,10105224,'Decreases STR and INT of target by 41.6',100,1,0),
(71025,10105224,'Only affects targets level 20 and above',100,1,1),
(71026,104033,'Stifles target',100,1,0),
(71027,104033,'If Target is not Epic',100,2,1),
(71028,104033,'Interrupts target',100,1,2),
(71029,104033,'Decreases Threat to target by 898 - 1,098 ',100,1,3),
(71030,104033,'Resistibility increases against targets higher than level 95.',100,1,4),
(71031,10104033,'Stifles target',100,1,0),
(71032,10104033,'If Target is not Epic',100,2,1),
(71033,10104033,'Interrupts target',100,1,2),
(71034,10104033,'Resistibility increases against targets higher than level 95.',100,1,3),
(71035,100597,'Inflicts 476 - 794 melee damage on target',100,1,0),
(71036,100597,'You must be sneaking to use this ability.',100,1,1),
(71037,10100597,'Inflicts 739 - 1233 melee damage on target',100,1,0),
(71038,10100597,'You must be sneaking to use this ability.',100,1,1),
(71039,114697,'Increases Threat to target by 1,843 - 2,252 ',100,1,0),
(71040,114697,'Interrupts target',100,1,1),
(71041,10114697,'Interrupts target',100,1,0),
(71042,10114697,'Forces target to change their selected target to caster.',100,1,1),
(71043,10114697,'Prevents target from changing targets',100,1,2),
(71044,74699,'When Equipped:',100,0,0),
(71045,74699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71046,74699,'Inflicts 198 - 297 magic damage on target',100,2,2),
(71047,74699,'Cannot be modified except by direct means',100,2,3),
(71048,10074699,'When Equipped:',100,0,0),
(71049,10074699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71050,10074699,'Inflicts 278 - 416 magic damage on target',100,2,2),
(71051,10074699,'Cannot be modified except by direct means',100,2,3),
(71052,117881,'Heals target for 298 - 364 instantly and every 2 seconds',100,1,0),
(71053,10117881,'Heals target for 194 - 237 instantly and every 2 seconds',100,1,0),
(71054,100837,'Wards target against 565 points of all damage',100,1,0),
(71055,10100837,'Wards target against 870 points of all damage',100,1,0),
(71056,123920,'Increases STR and WIS of target by 33.3',100,1,0),
(71057,123920,'Increases Mitigation of target vs elemental, noxious and arcane damage by 100',100,1,1),
(71058,10123920,'Increases STR and WIS of target by 33.3',100,1,0),
(71059,10123920,'Increases Mitigation of target vs elemental, noxious and arcane damage by 100',100,1,1),
(71060,81312,'When Equipped:',100,0,0),
(71061,81312,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(71062,81312,'Decreases Threat to target by 949 ',100,2,2),
(71063,81312,'Must be flanking or behind',100,3,3),
(71064,81312,'Increases Threat to target by 949 ',100,2,4),
(71065,81312,'Must be in front of',100,3,5),
(71066,81312,'Inflicts 260 - 482 magic damage on target',100,2,6),
(71067,81312,'Cannot be modified except by direct means',100,2,7),
(71068,10081312,'When Equipped:',100,0,0),
(71069,10081312,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(71070,10081312,'Inflicts 364 - 675 magic damage on target',100,2,2),
(71071,10081312,'Cannot be modified except by direct means',100,2,3),
(71072,102979,'Increases STR and AGI of group members (AE) by 40.8',100,1,0),
(71073,10102979,'Increases STR and AGI of group members (AE) by 40.8',100,1,0),
(71074,116507,'Increases Mitigation of target vs physical damage by 89',100,1,0),
(71075,116507,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(71076,10116507,'Increases Mitigation of target vs physical damage by 89',100,1,0),
(71077,10116507,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(71078,89013,'When Equipped:',100,0,0),
(71079,89013,'On a combat hit this spell may cast Necroism on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71080,89013,'Cannot be modified except by direct means',100,2,2),
(71081,10089013,'When Equipped:',100,0,0),
(71082,10089013,'On a combat hit this spell may cast Necroism on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71083,10089013,'Cannot be modified except by direct means',100,2,2),
(71084,120075,'Inflicts 153 - 255 mental damage on target',100,1,0),
(71085,120075,'Inflicts 153 - 255 mental damage on target',100,1,1),
(71086,120075,'Stifles target',100,1,2),
(71087,120075,'If Target is not Epic',100,2,3),
(71088,120075,'If weapon equipped in Ranged',100,1,4),
(71089,120075,'Resistibility increases against targets higher than level 87.',100,1,5),
(71090,10120075,'Inflicts 173 - 289 mental damage on target',100,1,0),
(71091,10120075,'Inflicts 173 - 289 mental damage on target',100,1,1),
(71092,10120075,'Stifles target',100,1,2),
(71093,10120075,'If Target is not Epic',100,2,3),
(71094,10120075,'If weapon equipped in Ranged',100,1,4),
(71095,10120075,'Resistibility increases against targets higher than level 87.',100,1,5),
(71096,122899,'Increases STR and INT of group members (AE) by 22.2',100,1,0),
(71097,10122899,'Increases STR and INT of group members (AE) by 22.2',100,1,0),
(71098,118103,'Heals target for 42 - 52',100,1,0),
(71099,10118103,'Heals target for 50 - 61',100,1,0),
(71100,100927,'Stuns targets in Area of Effect',20,1,0),
(71101,100927,'If Target is not Epic',100,2,1),
(71102,100927,'Inflicts 551 - 919 divine damage on targets in Area of Effect',100,1,2),
(71103,100927,'Resistibility increases against targets higher than level 119.',100,1,3),
(71104,10100927,'Stuns targets in Area of Effect',20,1,0),
(71105,10100927,'If Target is not Epic',100,2,1),
(71106,10100927,'Inflicts 772 - 1287 divine damage on targets in Area of Effect',100,1,2),
(71107,10100927,'Resistibility increases against targets higher than level 119.',100,1,3),
(71108,71342,'When Equipped:',100,0,0),
(71109,71342,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71110,71342,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(71111,71342,'Cannot be modified except by direct means',100,2,3),
(71112,10071342,'When Equipped:',100,0,0),
(71113,10071342,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71114,10071342,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(71115,10071342,'Cannot be modified except by direct means',100,2,3),
(71116,107211,'Inflicts 273 - 455 melee damage on targets in area',100,1,0),
(71117,107211,'Dispels 76 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(71118,10107211,'Inflicts 355 - 592 melee damage on targets in area',100,1,0),
(71119,10107211,'Reduces healing received of targets in area by 10%',100,1,1),
(71120,82587,'When Equipped:',100,0,0),
(71121,82587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71122,82587,'Inflicts 90 - 167 magic damage on target',100,2,2),
(71123,82587,'Cannot be modified except by direct means',100,2,3),
(71124,10082587,'When Equipped:',100,0,0),
(71125,10082587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71126,10082587,'Inflicts 126 - 234 magic damage on target',100,2,2),
(71127,10082587,'Cannot be modified except by direct means',100,2,3),
(71128,108818,'Inflicts 574 - 1066 heat damage on targets in Area of Effect',100,1,0),
(71129,10108818,'Inflicts 803 - 1492 heat damage on targets in Area of Effect',100,1,0),
(71130,100955,'Dazes target',100,1,0),
(71131,100955,'Inflicts 492 - 601 mental damage on target',100,1,1),
(71132,100955,'Epic targets gain an immunity to Daze effects of 31.5 seconds and duration is reduced to 3.5 seconds.',100,1,2),
(71133,100955,'Resistibility increases against targets higher than level 96.',100,1,3),
(71134,10100955,'Dazes target',100,1,0),
(71135,10100955,'Inflicts 688 - 841 mental damage on target',100,1,1),
(71136,10100955,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(71137,10100955,'Resistibility increases against targets higher than level 96.',100,1,3),
(71138,103414,'Decreases Threat to targets in Area of Effect by 1,781 ',100,1,0),
(71139,103414,'Slows targets in Area of Effect by 35.0%',100,1,1),
(71140,103414,'Stifles targets in Area of Effect',100,1,2),
(71141,103414,'If Target is not Epic',100,2,3),
(71142,103414,'10% chance to dispel when target receives hostile action',100,1,4),
(71143,103414,'10% chance to dispel when target takes damage',100,1,5),
(71144,10103414,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(71145,10103414,'Slows targets in Area of Effect by 35.0%',100,1,1),
(71146,10103414,'Stifles targets in Area of Effect',100,1,2),
(71147,10103414,'If Target is not Epic',100,2,3),
(71148,108851,'Inflicts 116 - 194 melee damage on target',100,1,0),
(71149,108851,'Inflicts 116 - 194 melee damage on target',100,1,1),
(71150,108851,'Inflicts 116 - 194 melee damage on target',100,1,2),
(71151,108851,'Inflicts 116 - 194 melee damage on target',100,1,3),
(71152,108851,'Inflicts 116 - 194 melee damage on target',100,1,4),
(71153,10108851,'Inflicts 151 - 252 melee damage on target',100,1,0),
(71154,10108851,'Inflicts 151 - 252 melee damage on target',100,1,1),
(71155,10108851,'Inflicts 151 - 252 melee damage on target',100,1,2),
(71156,10108851,'Inflicts 151 - 252 melee damage on target',100,1,3),
(71157,10108851,'Inflicts 151 - 252 melee damage on target',100,1,4),
(71158,159478,'Applies Lambent Imbued when Equipped.',100,0,0),
(71159,159478,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(71160,159478,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(71161,159478,'Cannot be modified except by direct means',100,2,3),
(71162,10159478,'Applies Lambent Imbued when Equipped.',100,0,0),
(71163,10159478,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(71164,10159478,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(71165,10159478,'Cannot be modified except by direct means',100,2,3),
(71166,102874,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(71167,102874,'Stuns target',100,2,1),
(71168,102874,'Throws target back',100,2,2),
(71169,102874,'Blurs vision of target',100,2,3),
(71170,102874,'Does not affect Epic targets',100,2,4),
(71171,102874,'Inflicts 666 - 1999 melee damage on targets in area',100,1,5),
(71172,10102874,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(71173,10102874,'Stuns target',100,2,1),
(71174,10102874,'Blurs vision of target',100,2,2),
(71175,10102874,'Throws target back',100,2,3),
(71176,10102874,'Does not affect Epic targets',100,2,4),
(71177,10102874,'Inflicts 866 - 2599 melee damage on targets in area',100,1,5),
(71178,110774,'Heals group members (AE) for 214 - 262 instantly and every 2 seconds',100,1,0),
(71179,10110774,'Heals group members (AE) for 139 - 170 instantly and every 2 seconds',100,1,0),
(71180,120024,'Inflicts 45 - 55 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(71181,120024,'Decreases power of target encounter by 15 instantly and every 4 seconds',100,1,1),
(71182,10120024,'Inflicts 63 - 77 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(71183,10120024,'Decreases power of target encounter by 15 instantly and every 4 seconds',100,1,1),
(71184,121982,'Increases Threat to target by 17 - 20 ',100,1,0),
(71185,10121982,'Prevents target from changing targets',100,1,0),
(71186,10121982,'Forces target to change their selected target to caster.',100,1,1),
(71187,75578,'Applies Disease Blast when Activated.',100,0,0),
(71188,75578,'Inflicts 294 - 490 disease damage on target',100,1,1),
(71189,75578,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(71190,10075578,'Applies Disease Blast when Activated.',100,0,0),
(71191,10075578,'Inflicts 411 - 685 disease damage on target',100,1,1),
(71192,10075578,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(71193,106168,'Wards target against 22 points of all damage',100,1,0),
(71194,106168,'Decreases INT of target by 28.0',100,1,1),
(71195,106168,'Decreases Attack Speed of target by 25.0',100,1,2),
(71196,106168,'Increases Max Health of target by 16.0%',100,1,3),
(71197,106168,'Increases Hate Gain of target by 21.2%',100,1,4),
(71198,106168,'Increases Aggression of target by 3.4',100,1,5),
(71199,106168,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(71200,106168,'Increases Threat to target encounter by 24 - 29 ',100,2,7),
(71201,106168,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,8),
(71202,10106168,'Wards target against 22 points of all damage',100,1,0),
(71203,10106168,'Decreases INT of target by 28.0',100,1,1),
(71204,10106168,'Decreases Attack Speed of target by 25.0',100,1,2),
(71205,10106168,'Increases Max Health of target by 16.0%',100,1,3),
(71206,10106168,'Increases Aggression of target by 3.4',100,1,4),
(71207,10106168,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,5),
(71208,124387,'Inflicts 718 - 877 divine damage on target',100,1,0),
(71209,124387,'Inflicts 299 - 366 divine damage on target every 4 seconds',100,1,1),
(71210,10124387,'Inflicts 1005 - 1228 divine damage on target',100,1,0),
(71211,10124387,'Inflicts 419 - 512 divine damage on target every 4 seconds',100,1,1),
(71212,161941,'When Equipped:',100,0,0),
(71213,161941,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(71214,10161941,'When Equipped:',100,0,0),
(71215,10161941,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(71216,122221,'Increases Damage Per Second of target by 19.6',100,1,0),
(71217,122221,'Increases Max Health of target by 602.7',100,1,1),
(71218,10122221,'Increases Damage Per Second of target by 19.6',100,1,0),
(71219,10122221,'Increases Max Health of target by 602.7',100,1,1),
(71220,173599,'When Equipped:',100,0,0),
(71221,173599,'On a healing spell cast this spell may cast Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(71222,173599,'When any damage is received this spell will cast Reflexive Restoration on target.  ',100,2,2),
(71223,173599,'Heals caster for 378',100,3,3),
(71224,173599,'Cannot be modified except by direct means',100,3,4),
(71225,173599,'Grants a total of 3 triggers of the spell.',100,3,5),
(71226,173599,'Cannot be modified except by direct means',100,2,6),
(71227,10173599,'When Equipped:',100,0,0),
(71228,10173599,'On a healing spell cast this spell may cast Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(71229,10173599,'When any damage is received this spell will cast Reflexive Restoration on target.  ',100,2,2),
(71230,10173599,'Heals caster for 246',100,3,3),
(71231,10173599,'Cannot be modified except by direct means',100,3,4),
(71232,10173599,'Grants a total of 3 triggers of the spell.',100,3,5),
(71233,10173599,'Cannot be modified except by direct means',100,2,6),
(71234,176543,'When Equipped:',100,0,0),
(71235,176543,'Increases Attack Speed of caster by 30.0',100,1,1),
(71236,10176543,'When Equipped:',100,0,0),
(71237,10176543,'Increases Attack Speed of caster by 30.0',100,1,1),
(71238,80473,'When Equipped:',100,0,0),
(71239,80473,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(71240,80473,'Decreases Threat to target by 153 ',100,2,2),
(71241,80473,'Must be flanking or behind',100,3,3),
(71242,80473,'Increases Threat to target by 153 ',100,2,4),
(71243,80473,'Must be in front of',100,3,5),
(71244,80473,'Inflicts 61 - 113 magic damage on target',100,2,6),
(71245,80473,'Cannot be modified except by direct means',100,2,7),
(71246,10080473,'When Equipped:',100,0,0),
(71247,10080473,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(71248,10080473,'Inflicts 85 - 158 magic damage on target',100,2,2),
(71249,10080473,'Cannot be modified except by direct means',100,2,3),
(71250,100552,'Heals group members (AE) for 1111 - 1357',100,1,0),
(71251,10100552,'Heals group members (AE) for 1348 - 1647',100,1,0),
(71252,166536,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(71253,166536,'Increases Attack Speed of caster by 100.0',100,1,1),
(71254,166536,'Must not be engaged in pvp combat',100,1,2),
(71255,166536,'Cannot be modified except by direct means',100,1,3),
(71256,166536,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(71257,166536,'When Equipped:',100,0,5),
(71258,166536,'On a critical combat hit this spell may cast Umbral Lightning VI on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(71259,166536,'Inflicts 679 - 830 magic damage on target',100,2,7),
(71260,166536,'Must not be engaged in pvp combat',100,2,8),
(71261,166536,'Cannot be modified except by direct means',100,2,9),
(71262,166536,'On a critical spell hit this spell may cast Umbral Lightning VI on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(71263,166536,'Inflicts 679 - 830 magic damage on target',100,2,11),
(71264,166536,'Must not be engaged in pvp combat',100,2,12),
(71265,166536,'Cannot be modified except by direct means',100,2,13),
(71266,166536,'Must not be engaged in pvp combat',100,1,14),
(71267,166536,'Cannot be modified except by direct means',100,1,15),
(71268,10166536,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(71269,10166536,'Increases Attack Speed of caster by 100.0',100,1,1),
(71270,10166536,'Must not be engaged in pvp combat',100,1,2),
(71271,10166536,'Cannot be modified except by direct means',100,1,3),
(71272,10166536,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(71273,10166536,'When Equipped:',100,0,5),
(71274,10166536,'On a critical combat hit this spell may cast Umbral Lightning VI on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(71275,10166536,'Inflicts 950 - 1161 magic damage on target',100,2,7),
(71276,10166536,'Must not be engaged in pvp combat',100,2,8),
(71277,10166536,'Cannot be modified except by direct means',100,2,9),
(71278,10166536,'On a critical spell hit this spell may cast Umbral Lightning VI on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(71279,10166536,'Inflicts 950 - 1161 magic damage on target',100,2,11),
(71280,10166536,'Must not be engaged in pvp combat',100,2,12),
(71281,10166536,'Cannot be modified except by direct means',100,2,13),
(71282,10166536,'Must not be engaged in pvp combat',100,1,14),
(71283,10166536,'Cannot be modified except by direct means',100,1,15),
(71284,115648,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,1,0),
(71285,10115648,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,1,0),
(71286,103975,'Interrupts targets in Area of Effect',100,1,0),
(71287,103975,'Inflicts 70 - 131 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(71288,10103975,'Interrupts targets in Area of Effect',100,1,0),
(71289,10103975,'Inflicts 98 - 183 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(71290,112314,'Inflicts 145 - 177 disease damage on target',100,1,0),
(71291,112314,'Inflicts 72 - 89 disease damage on target every 3 seconds',100,1,1),
(71292,112314,'Increases Threat to target by 1,030 - 1,259  instantly and by 193 - 236  every 3 seconds thereafter',100,1,2),
(71293,10112314,'Inflicts 101 - 124 disease damage on target every 3 seconds',100,1,0),
(71294,10112314,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(71295,159920,'Applies Lambent Imbued when Equipped.',100,0,0),
(71296,159920,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(71297,159920,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(71298,159920,'Cannot be modified except by direct means',100,2,3),
(71299,10159920,'Applies Lambent Imbued when Equipped.',100,0,0),
(71300,10159920,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(71301,10159920,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(71302,10159920,'Cannot be modified except by direct means',100,2,3),
(71303,120440,'Inflicts 241 - 402 melee damage on target',100,1,0),
(71304,120440,'Inflicts 241 - 402 melee damage on target',100,1,1),
(71305,10120440,'Inflicts 314 - 523 melee damage on target',100,1,0),
(71306,10120440,'Inflicts 314 - 523 melee damage on target',100,1,1),
(71307,71882,'When Equipped:',100,0,0),
(71308,71882,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71309,71882,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(71310,71882,'Cannot be modified except by direct means',100,2,3),
(71311,10071882,'When Equipped:',100,0,0),
(71312,10071882,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71313,10071882,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(71314,10071882,'Cannot be modified except by direct means',100,2,3),
(71315,75455,'When Equipped:',100,0,0),
(71316,75455,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(71317,75455,'Inflicts 887 piercing damage on target',100,2,2),
(71318,75455,'Cannot be modified except by direct means',100,2,3),
(71319,10075455,'When Equipped:',100,0,0),
(71320,10075455,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(71321,10075455,'Inflicts 621 piercing damage on target',100,2,2),
(71322,10075455,'Cannot be modified except by direct means',100,2,3),
(71323,75546,'Applies Disease Blast when Activated.',100,0,0),
(71324,75546,'Inflicts 93 - 155 disease damage on target',100,1,1),
(71325,75546,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(71326,10075546,'Applies Disease Blast when Activated.',100,0,0),
(71327,10075546,'Inflicts 130 - 216 disease damage on target',100,1,1),
(71328,10075546,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(71329,102176,'Increases Mitigation of group members (AE) vs physical damage by 178',100,1,0),
(71330,10102176,'Increases Mitigation of group members (AE) vs physical damage by 178',100,1,0),
(71331,105625,'Inflicts 38 disease damage on target instantly and every 6 seconds',100,1,0),
(71332,105625,'Inflicts 87 - 146 disease damage on target',100,1,1),
(71333,105625,'Inflicts 87 - 146 disease damage on target',100,1,2),
(71334,10105625,'Inflicts 53 disease damage on target instantly and every 6 seconds',100,1,0),
(71335,10105625,'Inflicts 114 - 190 disease damage on target',100,1,1),
(71336,10105625,'Inflicts 114 - 190 disease damage on target',100,1,2),
(71337,159879,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(71338,159879,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(71339,159879,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(71340,159879,'Cannot be modified except by direct means',100,2,3),
(71341,10159879,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(71342,10159879,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(71343,10159879,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(71344,10159879,'Cannot be modified except by direct means',100,2,3),
(71345,119044,'Decreases power of target by 74 - 123',100,1,0),
(71346,119044,'Increases power of caster by 33 - 55',100,1,1),
(71347,119044,'Inflicts 78 - 131 mental damage on target',100,1,2),
(71348,10119044,'Decreases power of target by 74 - 123',100,1,0),
(71349,10119044,'Increases power of caster by 33 - 55',100,1,1),
(71350,10119044,'Inflicts 102 - 170 mental damage on target',100,1,2),
(71351,121805,'Heals target for 410 - 501',100,1,0),
(71352,121805,'Heals target for 68 - 84 every second',100,1,1),
(71353,10121805,'Heals target for 711 - 869',100,1,0),
(71354,10121805,'Heals target for 59 - 72 every second',100,1,1),
(71355,103552,'Increases In-Combat Power Regeneration of group members (AE) by 23.5',100,1,0),
(71356,10103552,'Increases In-Combat Power Regeneration of group members (AE) by 23.5',100,1,0),
(71357,101129,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(71358,101129,'Inflicts 82 ranged damage on target',100,2,1),
(71359,101129,'Decreases Defense of caster by 5.1',100,1,2),
(71360,101129,'Increases Crushing, Piercing, Ranged and Slashing of caster by 9.2',100,1,3),
(71361,10101129,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(71362,10101129,'Inflicts 70 ranged damage on target',100,2,1),
(71363,10101129,'Decreases Defense of caster by 5.1',100,1,2),
(71364,10101129,'Increases Crushing, Piercing, Ranged and Slashing of caster by 9.2',100,1,3),
(71365,36527,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(71366,114551,'Heals target for 657 - 803',100,1,0),
(71367,10114551,'Heals target for 854 - 1044',100,1,0),
(71368,24288,'Adds Dire Bear (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(71369,10024288,'Adds Dire Bear (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(71370,105017,'Increases WIS of raid and group members (AE) by 16.4',100,1,0),
(71371,105017,'Increases heal amounts of raid members by 5%.',100,1,1),
(71372,105017,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 60',100,1,2),
(71373,10105017,'Increases WIS of raid and group members (AE) by 16.4',100,1,0),
(71374,10105017,'Increases heal amounts of raid members by 5%.',100,1,1),
(71375,10105017,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 60',100,1,2),
(71376,106935,'Inflicts 785 - 1459 poison damage on target',100,1,0),
(71377,10106935,'Inflicts 1099 - 2042 poison damage on target',100,1,0),
(71378,102339,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(71379,102339,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(71380,102339,'Decreases threat priority of target encounter by 1 position',100,2,2),
(71381,102339,'Decreases Threat to target encounter by 1,321 ',100,2,3),
(71382,102339,'Grants a total of 3 triggers of the spell.',100,2,4),
(71383,102339,'If profession other than Fighter',100,1,5),
(71384,10102339,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(71385,10102339,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(71386,10102339,'Target cannot target caster for the duration of this effect.',100,2,2),
(71387,10102339,'Forces target to clear their selected target.',100,2,3),
(71388,10102339,'Grants a total of 3 triggers of the spell.',100,2,4),
(71389,10102339,'If profession other than Fighter',100,1,5),
(71390,80747,'When Equipped:',100,0,0),
(71391,80747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71392,80747,'Inflicts 71 - 132 magic damage on target',100,2,2),
(71393,80747,'Cannot be modified except by direct means',100,2,3),
(71394,10080747,'When Equipped:',100,0,0),
(71395,10080747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71396,10080747,'Inflicts 100 - 185 magic damage on target',100,2,2),
(71397,10080747,'Cannot be modified except by direct means',100,2,3),
(71398,121964,'Inflicts 97 - 162 disease damage on target',100,1,0),
(71399,121964,'Decreases Defense of target by 23.0',100,1,1),
(71400,121964,'Interrupts target',100,1,2),
(71401,10121964,'Inflicts 136 - 226 disease damage on target',100,1,0),
(71402,10121964,'Decreases Defense of target by 23.0',100,1,1),
(71403,10121964,'Interrupts target',100,1,2),
(71404,115038,'Heals target for 575 - 702',100,1,0),
(71405,10115038,'Heals target for 805 - 984',100,1,0),
(71406,109944,'Stuns target',100,1,0),
(71407,109944,'Does not affect Epic targets',100,1,1),
(71408,109944,'Resistibility increases against targets higher than level 87.',100,1,2),
(71409,10109944,'Stuns target',100,1,0),
(71410,10109944,'Does not affect Epic targets',100,1,1),
(71411,10109944,'Resistibility increases against targets higher than level 87.',100,1,2),
(71412,36347,'Increases Max Power of target by 4.1',100,0,0),
(71413,36347,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(71414,110469,'Stifles caster',100,1,0),
(71415,110469,'Increases power of caster by 9 instantly and every second',100,1,1),
(71416,10110469,'Stifles caster',100,1,0),
(71417,10110469,'Increases power of caster by 9 instantly and every second',100,1,1),
(71418,172489,'When Equipped:',100,0,0),
(71419,172489,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71420,172489,'Wards target against 1000 points of all damage',100,2,2),
(71421,172489,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(71422,172489,'Cannot be modified except by direct means',100,2,4),
(71423,10172489,'When Equipped:',100,0,0),
(71424,10172489,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71425,10172489,'Wards target against 1000 points of all damage',100,2,2),
(71426,10172489,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(71427,10172489,'Cannot be modified except by direct means',100,2,4),
(71428,123794,'Inflicts 6 - 10 magic damage on target',100,1,0),
(71429,123794,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(71430,123794,'Decreases Defense of target by 2.4',100,1,2),
(71431,123794,'Target will lose 9% more power when power is consumed',100,1,3),
(71432,123794,'9% of target''s power consumed will also be drained from target''s health',100,1,4),
(71433,10123794,'Inflicts 8 - 14 magic damage on target',100,1,0),
(71434,10123794,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(71435,10123794,'Decreases Defense of target by 2.4',100,1,2),
(71436,10123794,'Target will lose 9% more power when power is consumed',100,1,3),
(71437,10123794,'9% of target''s power consumed will also be drained from target''s health',100,1,4),
(71438,48327,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(71439,48327,'Increases WIS of caster by 35.0',100,1,1),
(71440,10048327,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(71441,10048327,'Increases WIS of caster by 35.0',100,1,1),
(71442,107313,'Decreases WIS of target by 30.6',100,1,0),
(71443,107313,'Decreases Defense of target by 11.9',100,1,1),
(71444,10107313,'Decreases WIS of target by 30.6',100,1,0),
(71445,10107313,'Decreases Defense of target by 11.9',100,1,1),
(71446,36920,'Increases STR of target by 1.6',100,0,0),
(71447,36920,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(71448,120539,'Decreases Defense of target by 22.7',100,1,0),
(71449,10120539,'Decreases Defense of target by 22.7',100,1,0),
(71450,174310,'When Equipped:',100,0,0),
(71451,174310,'On a hostile spell cast this spell may cast Ethereal Charge on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(71452,174310,'Reduces spell casting time by 50% and resistibility by 10%',100,2,2),
(71453,174310,'Cannot be modified except by direct means',100,2,3),
(71454,10174310,'When Equipped:',100,0,0),
(71455,10174310,'On a hostile spell cast this spell may cast Ethereal Charge on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(71456,10174310,'Reduces spell casting time by 50% and resistibility by 10%',100,2,2),
(71457,10174310,'Cannot be modified except by direct means',100,2,3),
(71458,113982,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(71459,113982,'Inflicts 38 - 63 melee damage on target',100,2,1),
(71460,113982,'Increases Threat to target by 145 ',100,2,2),
(71461,10113982,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(71462,10113982,'Inflicts 49 - 82 melee damage on target',100,2,1),
(71463,122371,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(71464,122371,'Inflicts 60 - 73 piercing damage on target',100,2,1),
(71465,10122371,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(71466,10122371,'Inflicts 83 - 102 piercing damage on target',100,2,1),
(71467,37068,'Increases Max Health of target by 5.0',100,0,0),
(71468,37068,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(71469,191959,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(71470,191959,'Roots target',100,1,1),
(71471,191959,'If target is the Djinn Master',100,2,2),
(71472,191959,'Inflicts 1270 magic damage on target',100,1,3),
(71473,191959,'If target is djinn',100,2,4),
(71474,191959,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(71475,191959,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(71476,10191959,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(71477,10191959,'Roots target',100,1,1),
(71478,10191959,'If target is the Djinn Master',100,2,2),
(71479,10191959,'Inflicts 1777 magic damage on target',100,1,3),
(71480,10191959,'If target is djinn',100,2,4),
(71481,10191959,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(71482,10191959,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(71483,174314,'When Equipped:',100,0,0),
(71484,174314,'Reduces resistibility of all spells by 5%.',100,1,1),
(71485,174314,'Applies Heroic Resistance X when Equipped.',100,0,2),
(71486,174314,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,3),
(71487,174314,'Cannot be modified except by direct means',100,1,4),
(71488,10174314,'When Equipped:',100,0,0),
(71489,10174314,'Reduces resistibility of all spells by 5%.',100,1,1),
(71490,10174314,'Applies Heroic Resistance X when Equipped.',100,0,2),
(71491,10174314,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,3),
(71492,10174314,'Cannot be modified except by direct means',100,1,4),
(71493,100952,'Dazes target',100,1,0),
(71494,100952,'Inflicts 431 - 527 mental damage on target',100,1,1),
(71495,100952,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(71496,100952,'Resistibility increases against targets higher than level 82.',100,1,3),
(71497,10100952,'Dazes target',100,1,0),
(71498,10100952,'Inflicts 603 - 737 mental damage on target',100,1,1),
(71499,10100952,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(71500,10100952,'Resistibility increases against targets higher than level 82.',100,1,3),
(71501,154848,'When Equipped:',100,0,0),
(71502,154848,'When damaged in combat this spell has a 8% chance to cast Scathing Sands on target''s attacker.  ',100,1,1),
(71503,154848,'Inflicts 1986 crushing damage on target',100,2,2),
(71504,154848,'Increases Threat to target by 3,500 ',100,2,3),
(71505,154848,'Must not be engaged in pvp combat',100,2,4),
(71506,154848,'Cannot be modified except by direct means',100,2,5),
(71507,154848,'On any combat or spell hit this spell may cast Scathing Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(71508,154848,'Inflicts 1986 crushing damage on target',100,2,7),
(71509,154848,'Increases Threat to target by 3,500 ',100,2,8),
(71510,154848,'Must not be engaged in pvp combat',100,2,9),
(71511,154848,'Cannot be modified except by direct means',100,2,10),
(71512,10154848,'When Equipped:',100,0,0),
(71513,10154848,'When damaged in combat this spell has a 8% chance to cast Scathing Sands on target''s attacker.  ',100,1,1),
(71514,10154848,'Inflicts 2780 crushing damage on target',100,2,2),
(71515,10154848,'Must not be engaged in pvp combat',100,2,3),
(71516,10154848,'Cannot be modified except by direct means',100,2,4),
(71517,10154848,'On any combat or spell hit this spell may cast Scathing Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(71518,10154848,'Inflicts 2780 crushing damage on target',100,2,6),
(71519,10154848,'Must not be engaged in pvp combat',100,2,7),
(71520,10154848,'Cannot be modified except by direct means',100,2,8),
(71521,36599,'Increases Max Health of target by 6.0',100,0,0),
(71522,36599,'Increases Max Power of target by 6.0',100,0,1),
(71523,36599,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,2),
(71524,117310,'Roots target',100,1,0),
(71525,117310,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(71526,117310,'Slows target by 47.3%',100,2,2),
(71527,117310,'5% chance to dispel when target receives hostile action',100,2,3),
(71528,117310,'5% chance to dispel when target takes damage',100,2,4),
(71529,117310,'15% chance to dispel when target takes damage',100,1,5),
(71530,117310,'Does not affect Epic targets',100,1,6),
(71531,117310,'Resistibility increases against targets higher than level 48.',100,1,7),
(71532,10117310,'Roots target',100,1,0),
(71533,10117310,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(71534,10117310,'Slows target by 47.3%',100,2,2),
(71535,10117310,'10% chance to dispel when target receives hostile action',100,2,3),
(71536,10117310,'10% chance to dispel when target takes damage',100,2,4),
(71537,10117310,'15% chance to dispel when target takes damage',100,1,5),
(71538,10117310,'Does not affect Epic targets',100,1,6),
(71539,10117310,'Resistibility increases against targets higher than level 48.',100,1,7),
(71540,36385,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(71541,80028,'Applies Fire Ball when Activated.',100,0,0),
(71542,80028,'Inflicts 168 - 280 heat damage on target',100,1,1),
(71543,80028,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(71544,10080028,'Applies Fire Ball when Activated.',100,0,0),
(71545,10080028,'Inflicts 235 - 392 heat damage on target',100,1,1),
(71546,10080028,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(71547,24547,'Adds Mistmoore: Sack to your Dungeon Maker toolbox',100,0,0),
(71548,10024547,'Adds Mistmoore: Sack to your Dungeon Maker toolbox',100,0,0),
(71549,123975,'Inflicts 417 - 696 melee damage on target',100,1,0),
(71550,123975,'Decreases AGI of target by 40.6',100,1,1),
(71551,123975,'Must be behind',100,1,2),
(71552,10123975,'Inflicts 542 - 904 melee damage on target',100,1,0),
(71553,10123975,'Decreases AGI of target by 40.6',100,1,1),
(71554,10123975,'Must be behind',100,1,2),
(71555,158932,'Applies Illisia''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(71556,158932,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,1),
(71557,158932,'The casting time of Illisia''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(71558,158932,'When Equipped:',100,0,3),
(71559,158932,'Reduces maximum falling speed of caster',100,1,4),
(71560,10158932,'Applies Illisia''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(71561,10158932,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,1),
(71562,10158932,'The casting time of Illisia''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(71563,10158932,'When Equipped:',100,0,3),
(71564,10158932,'Reduces maximum falling speed of caster',100,1,4),
(71565,119365,'Inflicts 433 - 649 disease damage on target',100,1,0),
(71566,119365,'Inflicts 173 - 260 disease damage on target every 4 seconds',100,1,1),
(71567,10119365,'Inflicts 606 - 909 disease damage on target',100,1,0),
(71568,10119365,'Inflicts 242 - 363 disease damage on target every 4 seconds',100,1,1),
(71569,109319,'Increases STR of caster by 26.4',100,1,0),
(71570,109319,'Decreases Defense of caster by 4.8',100,1,1),
(71571,109319,'Increases Slashing, Piercing and Crushing of caster by 7.2',100,1,2),
(71572,10109319,'Increases STR of caster by 26.4',100,1,0),
(71573,10109319,'Decreases Defense of caster by 4.8',100,1,1),
(71574,10109319,'Increases Slashing, Piercing and Crushing of caster by 7.2',100,1,2),
(71575,48308,'Applies essence of power when Activated.',100,0,0),
(71576,48308,'Increases power of caster by 73',100,1,1),
(71577,10048308,'Applies essence of power when Activated.',100,0,0),
(71578,10048308,'Increases power of caster by 57',100,1,1),
(71579,47045,'Applies elixir of deftness when Activated.  Lasts for 4 hours.',100,0,0),
(71580,47045,'Increases AGI and STA of caster by 148.5',100,1,1),
(71581,47045,'Increases Crit Bonus of caster by 3.0%',100,1,2),
(71582,10047045,'Applies elixir of deftness when Activated.  Lasts for 4 hours.',100,0,0),
(71583,10047045,'Increases AGI and STA of caster by 148.5',100,1,1),
(71584,10047045,'Increases Crit Bonus of caster by 3.0%',100,1,2),
(71585,46675,'Applies Spirit of the dragon when Activated.  Lasts for 6 hours.',100,0,0),
(71586,46675,'Shapechanges caster into a dragon',100,1,1),
(71587,10046675,'Applies Spirit of the dragon when Activated.  Lasts for 6 hours.',100,0,0),
(71588,10046675,'Shapechanges caster into a dragon',100,1,1),
(71589,53218,'When Equipped:',100,0,0),
(71590,53218,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(71591,53218,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,2,2),
(71592,53218,'Cannot be modified except by direct means',100,2,3),
(71593,10053218,'When Equipped:',100,0,0),
(71594,10053218,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(71595,10053218,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,2,2),
(71596,10053218,'Cannot be modified except by direct means',100,2,3),
(71597,119847,'Dazes target',100,1,0),
(71598,119847,'Does not affect Epic targets',100,1,1),
(71599,119847,'Resistibility increases against targets higher than level 93.',100,1,2),
(71600,10119847,'Dazes target',100,1,0),
(71601,10119847,'Does not affect Epic targets',100,1,1),
(71602,10119847,'Resistibility increases against targets higher than level 93.',100,1,2),
(71603,107856,'Decreases Mitigation of target vs elemental damage by 703',100,1,0),
(71604,107856,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(71605,107856,'Slows target by 35.5%',100,2,2),
(71606,107856,'5% chance to dispel when target receives hostile action',100,2,3),
(71607,107856,'5% chance to dispel when target takes damage',100,2,4),
(71608,10107856,'Decreases Mitigation of target vs elemental damage by 703',100,1,0),
(71609,10107856,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(71610,10107856,'Slows target by 35.5%',100,2,2),
(71611,10107856,'5% chance to dispel when target receives hostile action',100,2,3),
(71612,10107856,'5% chance to dispel when target takes damage',100,2,4),
(71613,36541,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(71614,106578,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(71615,106578,'Increases Parry of caster by 6.6',100,1,1),
(71616,10106578,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(71617,10106578,'Increases Parry of caster by 6.6',100,1,1),
(71618,107070,'Inflicts 16 - 19 divine damage on target',100,1,0),
(71619,10107070,'Inflicts 22 - 27 divine damage on target',100,1,0),
(71620,106137,'Inflicts 913 - 1522 melee damage on target',100,1,0),
(71621,106137,'Decreases Defense, Parry and Deflection of target by 67.7',100,1,1),
(71622,10106137,'Inflicts 1187 - 1978 melee damage on target',100,1,0),
(71623,10106137,'Decreases Defense, Parry and Deflection of target by 67.7',100,1,1),
(71624,50616,'When Equipped:',100,0,0),
(71625,50616,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(71626,10050616,'When Equipped:',100,0,0),
(71627,10050616,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(71628,121616,'Inflicts 203 - 611 melee damage on target',100,1,0),
(71629,121616,'Dazes target',100,1,1),
(71630,121616,'If Target is not Epic',100,2,2),
(71631,121616,'Must be flanking or behind',100,1,3),
(71632,121616,'Resistibility increases against targets higher than level 61.',100,1,4),
(71633,10121616,'Inflicts 264 - 794 melee damage on target',100,1,0),
(71634,10121616,'Dazes target',100,1,1),
(71635,10121616,'If Target is not Epic',100,2,2),
(71636,10121616,'Must be flanking or behind',100,1,3),
(71637,10121616,'Resistibility increases against targets higher than level 61.',100,1,4),
(71638,25738,'When Equipped:',100,0,0),
(71639,25738,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(71640,25738,'Adds 10 Crit Bonus to all priest stances.',100,1,2),
(71641,10025738,'When Equipped:',100,0,0),
(71642,10025738,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(71643,10025738,'Adds 10 Crit Bonus to all priest stances.',100,1,2),
(71644,104446,'Interrupts target encounter',100,1,0),
(71645,104446,'Applies Stumble on termination.',100,1,1),
(71646,104446,'Interrupts target',100,2,2),
(71647,104446,'Inflicts 100 - 122 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(71648,10104446,'Interrupts target encounter',100,1,0),
(71649,10104446,'Applies Stumble on termination.',100,1,1),
(71650,10104446,'Interrupts target',100,2,2),
(71651,10104446,'Inflicts 140 - 171 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(71652,188337,'When Equipped:',100,0,0),
(71653,188337,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(71654,188337,'Inflicts 2664 disease damage on target encounter',100,2,2),
(71655,188337,'Must not be engaged in pvp combat',100,2,3),
(71656,188337,'Cannot be modified except by direct means',100,2,4),
(71657,10188337,'When Equipped:',100,0,0),
(71658,10188337,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(71659,10188337,'Inflicts 1865 disease damage on target encounter',100,2,2),
(71660,10188337,'Must not be engaged in pvp combat',100,2,3),
(71661,10188337,'Cannot be modified except by direct means',100,2,4),
(71662,82056,'When Equipped:',100,0,0),
(71663,82056,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71664,82056,'Inflicts 182 - 339 magic damage on target',100,2,2),
(71665,82056,'Cannot be modified except by direct means',100,2,3),
(71666,10082056,'When Equipped:',100,0,0),
(71667,10082056,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71668,10082056,'Inflicts 255 - 474 magic damage on target',100,2,2),
(71669,10082056,'Cannot be modified except by direct means',100,2,3),
(71670,107788,'Increases Threat to target encounter by 144 - 176 ',100,1,0),
(71671,10107788,'Prevents target encounter from changing targets',100,1,0),
(71672,10107788,'Forces target encounter to change their selected target to caster.',100,1,1),
(71673,111613,'Inflicts 86 - 159 cold damage on target instantly and every 4 seconds',100,1,0),
(71674,111613,'Decreases Mitigation of target vs elemental damage by 1104',100,1,1),
(71675,10111613,'Inflicts 120 - 223 cold damage on target instantly and every 4 seconds',100,1,0),
(71676,10111613,'Decreases Mitigation of target vs elemental damage by 1104',100,1,1),
(71677,88519,'When Equipped:',100,0,0),
(71678,88519,'On a combat hit this spell will cast Orcbane on target of attack.  ',100,1,1),
(71679,88519,'Inflicts 9 - 18 magic damage on target',100,2,2),
(71680,88519,'If target is orc',100,2,3),
(71681,88519,'Cannot be modified except by direct means',100,2,4),
(71682,10088519,'When Equipped:',100,0,0),
(71683,10088519,'On a combat hit this spell will cast Orcbane on target of attack.  ',100,1,1),
(71684,10088519,'Inflicts 13 - 25 magic damage on target',100,2,2),
(71685,10088519,'If target is orc',100,2,3),
(71686,10088519,'Cannot be modified except by direct means',100,2,4),
(71687,112927,'Inflicts 46 - 76 crushing damage on target',100,1,0),
(71688,10112927,'Inflicts 59 - 99 crushing damage on target',100,1,0),
(71689,87512,'When Equipped:',100,0,0),
(71690,87512,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71691,87512,'Inflicts 129 - 194 magic damage on target',100,2,2),
(71692,87512,'Cannot be modified except by direct means',100,2,3),
(71693,10087512,'When Equipped:',100,0,0),
(71694,10087512,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71695,10087512,'Inflicts 181 - 271 magic damage on target',100,2,2),
(71696,10087512,'Cannot be modified except by direct means',100,2,3),
(71697,114635,'Decreases WIS of target by 61.1',100,1,0),
(71698,114635,'Inflicts 681 - 1135 melee damage on target',100,1,1),
(71699,114635,'You must be sneaking to use this ability.',100,1,2),
(71700,10114635,'Decreases WIS of target by 61.1',100,1,0),
(71701,10114635,'Inflicts 885 - 1475 melee damage on target',100,1,1),
(71702,10114635,'You must be sneaking to use this ability.',100,1,2),
(71703,104428,'Interrupts target encounter',100,1,0),
(71704,104428,'Applies Stumble on termination.',100,1,1),
(71705,104428,'Interrupts target',100,2,2),
(71706,104428,'Inflicts 14 - 17 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(71707,10104428,'Interrupts target encounter',100,1,0),
(71708,10104428,'Applies Stumble on termination.',100,1,1),
(71709,10104428,'Interrupts target',100,2,2),
(71710,10104428,'Inflicts 19 - 23 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(71711,119525,'Increases threat priority of target by 2 positions',100,1,0),
(71712,119525,'Stuns caster',100,1,1),
(71713,119525,'Decreases Defense and Parry of caster by 279.0',100,1,2),
(71714,119525,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(71715,119525,'Inflicts 1358 - 2263 piercing damage on target',100,2,4),
(71716,119525,'Grants a total of 1 trigger of the spell.',100,2,5),
(71717,10119525,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(71718,10119525,'Prevents target from changing targets',100,2,1),
(71719,10119525,'Forces target to change their selected target to caster.',100,2,2),
(71720,10119525,'Stuns caster',100,1,3),
(71721,10119525,'Decreases Defense and Parry of caster by 279.0',100,1,4),
(71722,10119525,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(71723,10119525,'Inflicts 1357 - 2261 piercing damage on target',100,2,6),
(71724,10119525,'Grants a total of 1 trigger of the spell.',100,2,7),
(71725,170599,'When Equipped:',100,0,0),
(71726,170599,'Increases Attack Speed of caster by 35.0',100,1,1),
(71727,10170599,'When Equipped:',100,0,0),
(71728,10170599,'Increases Attack Speed of caster by 35.0',100,1,1),
(71729,26651,'When Equipped:',100,0,0),
(71730,26651,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(71731,26651,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,2),
(71732,10026651,'When Equipped:',100,0,0),
(71733,10026651,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(71734,10026651,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,2),
(71735,100477,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(71736,100477,'Decreases Threat to target by 108 ',100,2,1),
(71737,100477,'If not fighter',100,2,2),
(71738,100477,'Decreases Hate Gain of group members (AE) by 25.3%',100,1,3),
(71739,100477,'If not fighter',100,2,4),
(71740,10100477,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(71741,10100477,'If not fighter',100,2,1),
(71742,10100477,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(71743,10100477,'Inflicts 89 - 99 crushing damage on target',100,2,3),
(71744,10100477,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(71745,10100477,'If not fighter',100,2,5),
(71746,10100477,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(71747,10100477,'If not fighter',100,2,7),
(71748,10100477,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(71749,10100477,'If not fighter',100,2,9),
(71750,124364,'Inflicts 206 - 251 divine damage on target',100,1,0),
(71751,124364,'Inflicts 86 - 105 divine damage on target every 4 seconds',100,1,1),
(71752,10124364,'Inflicts 288 - 352 divine damage on target',100,1,0),
(71753,10124364,'Inflicts 120 - 147 divine damage on target every 4 seconds',100,1,1),
(71754,122080,'Increases STA and INT of group members (AE) by 20.2',100,1,0),
(71755,10122080,'Increases STA and INT of group members (AE) by 20.2',100,1,0),
(71756,113272,'Inflicts 39 - 53 magic damage on target',100,1,0),
(71757,10113272,'Inflicts 55 - 74 magic damage on target',100,1,0),
(71758,141892,'When Equipped:',100,0,0),
(71759,141892,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71760,141892,'Increases INT of caster by 16.3',100,2,2),
(71761,141892,'Increases Focus, Disruption and Subjugation of caster by 9.2',100,2,3),
(71762,141892,'Cannot be modified except by direct means',100,2,4),
(71763,10141892,'When Equipped:',100,0,0),
(71764,10141892,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71765,10141892,'Increases INT of caster by 16.3',100,2,2),
(71766,10141892,'Increases Focus, Disruption and Subjugation of caster by 9.2',100,2,3),
(71767,10141892,'Cannot be modified except by direct means',100,2,4),
(71768,35546,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(71769,159965,'When Equipped:',100,0,0),
(71770,159965,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(71771,159965,'Increases AGI of caster by 8.8',100,2,2),
(71772,159965,'Increases Attack Speed of caster by 13.2',100,2,3),
(71773,159965,'Cannot be modified except by direct means',100,2,4),
(71774,10159965,'When Equipped:',100,0,0),
(71775,10159965,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(71776,10159965,'Increases AGI of caster by 8.8',100,2,2),
(71777,10159965,'Increases Attack Speed of caster by 13.2',100,2,3),
(71778,10159965,'Cannot be modified except by direct means',100,2,4),
(71779,24166,'Adds Crushbone: Chef''s Counter to your Dungeon Maker toolbox',100,0,0),
(71780,10024166,'Adds Crushbone: Chef''s Counter to your Dungeon Maker toolbox',100,0,0),
(71781,46142,'Applies Throw Axe when Activated.  Lasts for 1.0 second.',100,0,0),
(71782,10046142,'Applies Throw Axe when Activated.  Lasts for 1.0 second.',100,0,0),
(71783,41292,'When Equipped:',100,0,0),
(71784,41292,'On any combat or spell hit this spell may cast Evanescent Defenses on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(71785,41292,'Decreases Parry and Defense of target by 60.0',100,2,2),
(71786,41292,'Increases Parry and Defense of caster by 60.0',100,2,3),
(71787,41292,'Must not be engaged in pvp combat',100,2,4),
(71788,41292,'Cannot be modified except by direct means',100,2,5),
(71789,10041292,'When Equipped:',100,0,0),
(71790,10041292,'On any combat or spell hit this spell may cast Evanescent Defenses on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(71791,10041292,'Decreases Parry and Defense of target by 60.0',100,2,2),
(71792,10041292,'Increases Parry and Defense of caster by 60.0',100,2,3),
(71793,10041292,'Must not be engaged in pvp combat',100,2,4),
(71794,10041292,'Cannot be modified except by direct means',100,2,5),
(71795,35272,'Increases STR of target by 1.6',100,0,0),
(71796,35272,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(71797,71381,'When Equipped:',100,0,0),
(71798,71381,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71799,71381,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(71800,71381,'Cannot be modified except by direct means',100,2,3),
(71801,10071381,'When Equipped:',100,0,0),
(71802,10071381,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71803,10071381,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(71804,10071381,'Cannot be modified except by direct means',100,2,3),
(71805,104801,'Increases caster''s chance to block by 10.0%',100,1,0),
(71806,104801,'Decreases Attack Speed of caster by 15.4',100,1,1),
(71807,104801,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(71808,104801,'Increases Parry of caster by 15.4',100,1,3),
(71809,104801,'Increases Defense of caster by 15.4',100,1,4),
(71810,10104801,'Increases caster''s chance to block by 10.0%',100,1,0),
(71811,10104801,'Decreases Attack Speed of caster by 15.4',100,1,1),
(71812,10104801,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(71813,10104801,'Increases Parry of caster by 15.4',100,1,3),
(71814,10104801,'Increases Defense of caster by 15.4',100,1,4),
(71815,105620,'Inflicts 34 disease damage on target instantly and every 6 seconds',100,1,0),
(71816,105620,'Inflicts 77 - 129 disease damage on target',100,1,1),
(71817,105620,'Inflicts 77 - 129 disease damage on target',100,1,2),
(71818,10105620,'Inflicts 47 disease damage on target instantly and every 6 seconds',100,1,0),
(71819,10105620,'Inflicts 101 - 168 disease damage on target',100,1,1),
(71820,10105620,'Inflicts 101 - 168 disease damage on target',100,1,2),
(71821,103062,'Inflicts 96 magic damage on target instantly and every 4 seconds',100,1,0),
(71822,103062,'Increases power of caster by 32 instantly and every 4 seconds',100,1,1),
(71823,10103062,'Inflicts 135 magic damage on target instantly and every 4 seconds',100,1,0),
(71824,10103062,'Increases power of caster by 32 instantly and every 4 seconds',100,1,1),
(71825,101666,'Decreases Attack Speed of target by 16.6',100,1,0),
(71826,101666,'Decreases Damage Per Second of target by 10.5',100,1,1),
(71827,10101666,'Decreases Attack Speed of target by 16.6',100,1,0),
(71828,10101666,'Decreases Damage Per Second of target by 10.5',100,1,1),
(71829,116810,'Increases STR, AGI, WIS and INT of target by 121.4',100,1,0),
(71830,116810,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(71831,116810,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(71832,116810,'Increases Damage Per Second of target by 74.2',100,2,3),
(71833,116810,'Increases Attack Speed of target by 74.2',100,2,4),
(71834,116810,'Adds 2.6% to base avoidance.',100,1,5),
(71835,116810,'Increases Mitigation of target vs elemental, noxious and arcane damage by 359',100,1,6),
(71836,10116810,'Increases STR, AGI, WIS and INT of target by 121.4',100,1,0),
(71837,10116810,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(71838,10116810,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(71839,10116810,'Increases Damage Per Second of target by 74.2',100,2,3),
(71840,10116810,'Increases Attack Speed of target by 74.2',100,2,4),
(71841,10116810,'Adds 2.6% to base avoidance.',100,1,5),
(71842,10116810,'Increases Mitigation of target vs elemental, noxious and arcane damage by 359',100,1,6),
(71843,105465,'Stuns target encounter',100,1,0),
(71844,105465,'If Target is not Epic',100,2,1),
(71845,105465,'Inflicts 49 - 92 poison damage on target encounter',100,1,2),
(71846,105465,'Resistibility increases against targets higher than level 37.',100,1,3),
(71847,10105465,'Stuns target encounter',100,1,0),
(71848,10105465,'If Target is not Epic',100,2,1),
(71849,10105465,'Inflicts 69 - 128 poison damage on target encounter',100,1,2),
(71850,10105465,'Resistibility increases against targets higher than level 37.',100,1,3),
(71851,109201,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 9.2',100,1,0),
(71852,10109201,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 9.2',100,1,0),
(71853,52832,'Applies Sanguine Imbued when Equipped.',100,0,0),
(71854,52832,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(71855,52832,'Inflicts 130 heat damage on target',100,2,2),
(71856,52832,'Cannot be modified except by direct means',100,2,3),
(71857,10052832,'Applies Sanguine Imbued when Equipped.',100,0,0),
(71858,10052832,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(71859,10052832,'Inflicts 182 heat damage on target',100,2,2),
(71860,10052832,'Cannot be modified except by direct means',100,2,3),
(71861,104011,'Stifles target',100,1,0),
(71862,104011,'If Target is not Epic',100,2,1),
(71863,104011,'Interrupts target',100,1,2),
(71864,104011,'Decreases Threat to target by 270 - 330 ',100,1,3),
(71865,104011,'Resistibility increases against targets higher than level 53.',100,1,4),
(71866,10104011,'Stifles target',100,1,0),
(71867,10104011,'If Target is not Epic',100,2,1),
(71868,10104011,'Interrupts target',100,1,2),
(71869,10104011,'Resistibility increases against targets higher than level 53.',100,1,3),
(71870,100129,'Decreases STR, AGI, WIS and INT of target by 61.0',100,1,0),
(71871,100129,'Decreases Max Health of target by 0.8%',100,1,1),
(71872,10100129,'Decreases STR, AGI, WIS and INT of target by 61.0',100,1,0),
(71873,10100129,'Decreases Max Health of target by 0.8%',100,1,1),
(71874,113296,'Inflicts 102 - 171 heat damage on target',100,1,0),
(71875,10113296,'Inflicts 202 - 337 heat damage on target',100,1,0),
(71876,118612,'Roots target',100,1,0),
(71877,118612,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(71878,118612,'Slows target by 63.3%',100,2,2),
(71879,118612,'5% chance to dispel when target receives hostile action',100,2,3),
(71880,118612,'5% chance to dispel when target takes damage',100,2,4),
(71881,118612,'5% chance to dispel when target takes damage',100,1,5),
(71882,118612,'Does not affect Epic targets',100,1,6),
(71883,118612,'Resistibility increases against targets higher than level 105.',100,1,7),
(71884,10118612,'Roots target',100,1,0),
(71885,10118612,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(71886,10118612,'Slows target by 63.3%',100,2,2),
(71887,10118612,'5% chance to dispel when target receives hostile action',100,2,3),
(71888,10118612,'5% chance to dispel when target takes damage',100,2,4),
(71889,10118612,'5% chance to dispel when target takes damage',100,1,5),
(71890,10118612,'Does not affect Epic targets',100,1,6),
(71891,10118612,'Resistibility increases against targets higher than level 105.',100,1,7),
(71892,154391,'When Equipped:',100,0,0),
(71893,154391,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(71894,154391,'On a critical healing spell cast this spell may cast Aegis III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(71895,154391,'Wards target against 4620 points of all damage',100,2,3),
(71896,154391,'Must not be engaged in pvp combat',100,2,4),
(71897,154391,'Cannot be modified except by direct means',100,2,5),
(71898,154391,'Cannot be modified except by direct means',100,1,6),
(71899,10154391,'When Equipped:',100,0,0),
(71900,10154391,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(71901,10154391,'On a critical healing spell cast this spell may cast Aegis III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(71902,10154391,'Wards target against 4620 points of all damage',100,2,3),
(71903,10154391,'Must not be engaged in pvp combat',100,2,4),
(71904,10154391,'Cannot be modified except by direct means',100,2,5),
(71905,10154391,'Cannot be modified except by direct means',100,1,6),
(71906,114838,'Dazes caster',100,1,0),
(71907,114838,'Roots caster',100,1,1),
(71908,114838,'Increases Mitigation of caster vs physical damage by 2621',100,1,2),
(71909,10114838,'Dazes caster',100,1,0),
(71910,10114838,'Roots caster',100,1,1),
(71911,10114838,'Increases Mitigation of caster vs physical damage by 2621',100,1,2),
(71912,24682,'Adds Sister Aalarya to your Dungeon Maker toolbox',100,0,0),
(71913,10024682,'Adds Sister Aalarya to your Dungeon Maker toolbox',100,0,0),
(71914,75000,'When Equipped:',100,0,0),
(71915,75000,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71916,75000,'Inflicts 113 - 170 magic damage on target',100,2,2),
(71917,75000,'Cannot be modified except by direct means',100,2,3),
(71918,10075000,'When Equipped:',100,0,0),
(71919,10075000,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(71920,10075000,'Inflicts 158 - 237 magic damage on target',100,2,2),
(71921,10075000,'Cannot be modified except by direct means',100,2,3),
(71922,123991,'Inflicts 997 - 1662 melee damage on target',100,1,0),
(71923,123991,'Decreases AGI of target by 88.4',100,1,1),
(71924,123991,'Must be behind',100,1,2),
(71925,10123991,'Inflicts 1296 - 2161 melee damage on target',100,1,0),
(71926,10123991,'Decreases AGI of target by 88.4',100,1,1),
(71927,10123991,'Must be behind',100,1,2),
(71928,71341,'When Equipped:',100,0,0),
(71929,71341,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71930,71341,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(71931,71341,'Cannot be modified except by direct means',100,2,3),
(71932,10071341,'When Equipped:',100,0,0),
(71933,10071341,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71934,10071341,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(71935,10071341,'Cannot be modified except by direct means',100,2,3),
(71936,159869,'When Equipped:',100,0,0),
(71937,159869,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71938,159869,'Increases INT of caster by 17.3',100,2,2),
(71939,159869,'Increases Focus, Disruption and Subjugation of caster by 9.8',100,2,3),
(71940,159869,'Cannot be modified except by direct means',100,2,4),
(71941,10159869,'When Equipped:',100,0,0),
(71942,10159869,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(71943,10159869,'Increases INT of caster by 17.3',100,2,2),
(71944,10159869,'Increases Focus, Disruption and Subjugation of caster by 9.8',100,2,3),
(71945,10159869,'Cannot be modified except by direct means',100,2,4),
(71946,115967,'Inflicts 116 - 174 mental damage on target',100,1,0),
(71947,115967,'Stuns target',100,1,1),
(71948,115967,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(71949,115967,'Resistibility increases against targets higher than level 56.',100,1,3),
(71950,10115967,'Stuns target',100,1,0),
(71951,10115967,'Inflicts 163 - 244 mental damage on target',100,1,1),
(71952,10115967,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(71953,10115967,'Resistibility increases against targets higher than level 56.',100,1,3),
(71954,177570,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(71955,177570,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(71956,177570,'Inflicts 26 heat damage on target',100,2,2),
(71957,177570,'Cannot be modified except by direct means',100,2,3),
(71958,10177570,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(71959,10177570,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(71960,10177570,'Inflicts 36 heat damage on target',100,2,2),
(71961,10177570,'Cannot be modified except by direct means',100,2,3),
(71962,45023,'Applies Create Medal when Activated.',100,0,0),
(71963,45023,'Summon 1 Insignia of Merit',100,1,1),
(71964,10045023,'Applies Create Medal when Activated.',100,0,0),
(71965,10045023,'Summon 1 Insignia of Merit',100,1,1),
(71966,47752,'Applies Research Time Reduction when Activated.',100,0,0),
(71967,47752,'Reduces the time remaining on the spell being actively researched by 12 hours.',100,1,1),
(71968,47752,'Special: See Description',100,1,2),
(71969,47752,'Cannot be modified except by direct means',100,1,3),
(71970,10047752,'Applies Research Time Reduction when Activated.',100,0,0),
(71971,10047752,'Reduces the time remaining on the spell being actively researched by 12 hours.',100,1,1),
(71972,10047752,'Special: See Description',100,1,2),
(71973,10047752,'Cannot be modified except by direct means',100,1,3),
(71974,35220,'Increases Max Power of target by 4.1',100,0,0),
(71975,35220,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(71976,119502,'Dazes target encounter',100,1,0),
(71977,119502,'If Target is not Epic',100,2,1),
(71978,119502,'Inflicts 347 - 424 magic damage on target encounter instantly and every second',100,1,2),
(71979,119502,'Resistibility increases against targets higher than level 117.',100,1,3),
(71980,10119502,'Dazes target encounter',100,1,0),
(71981,10119502,'If Target is not Epic',100,2,1),
(71982,10119502,'Inflicts 639 - 781 magic damage on target encounter',100,1,2),
(71983,10119502,'Inflicts 486 - 594 magic damage on target encounter every second',100,1,3),
(71984,10119502,'Resistibility increases against targets higher than level 117.',100,1,4),
(71985,120502,'Inflicts 253 - 421 melee damage on target',100,1,0),
(71986,120502,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(71987,120502,'Grants stealth to caster',100,2,2),
(71988,120502,'Suspends caster''s movement speed enhancements',100,2,3),
(71989,120502,'Must be flanking or behind',100,1,4),
(71990,10120502,'Inflicts 329 - 548 melee damage on target',100,1,0),
(71991,10120502,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(71992,10120502,'Grants stealth to caster',100,2,2),
(71993,10120502,'Suspends caster''s movement speed enhancements',100,2,3),
(71994,10120502,'Must be flanking or behind',100,1,4),
(71995,35148,'Increases STR of target by 1.6',100,0,0),
(71996,35148,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(71997,141885,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(71998,141885,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(71999,141885,'Inflicts 40 heat damage on target',100,2,2),
(72000,141885,'Cannot be modified except by direct means',100,2,3),
(72001,10141885,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(72002,10141885,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(72003,10141885,'Inflicts 57 heat damage on target',100,2,2),
(72004,10141885,'Cannot be modified except by direct means',100,2,3),
(72005,46468,'Applies Eat Candy when Activated.  Lasts for 5 minutes.',100,0,0),
(72006,46468,'Can you really trust candy from a jack-o-lantern?',100,1,1),
(72007,10046468,'Applies Eat Candy when Activated.  Lasts for 5 minutes.',100,0,0),
(72008,10046468,'Can you really trust candy from a jack-o-lantern?',100,1,1),
(72009,101461,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(72010,101461,'Increases Mitigation of group members (AE) vs arcane damage by 122',100,1,1),
(72011,10101461,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(72012,10101461,'Increases Mitigation of group members (AE) vs arcane damage by 122',100,1,1),
(72013,105522,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 17.8',100,1,0),
(72014,10105522,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 17.8',100,1,0),
(72015,114175,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(72016,114175,'Heals target for 1809',100,2,1),
(72017,114175,'Grants a total of 1 trigger of the spell.',100,2,2),
(72018,10114175,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(72019,10114175,'Heals target for 1176',100,2,1),
(72020,10114175,'Grants a total of 1 trigger of the spell.',100,2,2),
(72021,48319,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(72022,48319,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(72023,48319,'Inflicts 347 poison damage on target',100,2,2),
(72024,48319,'Cannot be modified except by direct means',100,2,3),
(72025,48319,'Grants a total of 100 triggers of the spell.',100,2,4),
(72026,10048319,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(72027,10048319,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(72028,10048319,'Inflicts 364 poison damage on target',100,2,2),
(72029,10048319,'Cannot be modified except by direct means',100,2,3),
(72030,10048319,'Grants a total of 100 triggers of the spell.',100,2,4),
(72031,108475,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(72032,108475,'Increases Aggression of caster by 12.6',100,1,1),
(72033,108475,'Increases Defense and Parry of caster by 25.2',100,1,2),
(72034,108475,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(72035,10108475,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(72036,10108475,'Increases Aggression of caster by 12.6',100,1,1),
(72037,10108475,'Increases Defense and Parry of caster by 25.2',100,1,2),
(72038,10108475,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(72039,131969,'When Equipped:',100,0,0),
(72040,131969,'Increases Attack Speed of caster by 3.0',100,1,1),
(72041,10131969,'When Equipped:',100,0,0),
(72042,10131969,'Increases Attack Speed of caster by 3.0',100,1,1),
(72043,121030,'Increases AGI of target by 21.6',100,1,0),
(72044,121030,'Adds 1.0% to base avoidance.',100,1,1),
(72045,121030,'Increases In-Combat Power Regeneration of target by 10.8',100,1,2),
(72046,121030,'Increases Max Power of target by 132.0',100,1,3),
(72047,10121030,'Increases AGI of target by 21.6',100,1,0),
(72048,10121030,'Adds 1.0% to base avoidance.',100,1,1),
(72049,10121030,'Increases In-Combat Power Regeneration of target by 10.8',100,1,2),
(72050,10121030,'Increases Max Power of target by 132.0',100,1,3),
(72051,112859,'Roots target',100,1,0),
(72052,112859,'5% chance to dispel when target takes damage',100,1,1),
(72053,112859,'Does not affect Epic targets',100,1,2),
(72054,112859,'Resistibility increases against targets higher than level 115.',100,1,3),
(72055,10112859,'Roots target',100,1,0),
(72056,10112859,'5% chance to dispel when target takes damage',100,1,1),
(72057,10112859,'Does not affect Epic targets',100,1,2),
(72058,10112859,'Resistibility increases against targets higher than level 115.',100,1,3),
(72059,52889,'Applies Sanguine Imbued when Equipped.',100,0,0),
(72060,52889,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(72061,52889,'Inflicts 130 heat damage on target',100,2,2),
(72062,52889,'Cannot be modified except by direct means',100,2,3),
(72063,10052889,'Applies Sanguine Imbued when Equipped.',100,0,0),
(72064,10052889,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(72065,10052889,'Inflicts 182 heat damage on target',100,2,2),
(72066,10052889,'Cannot be modified except by direct means',100,2,3),
(72067,182622,'When Equipped:',100,0,0),
(72068,182622,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(72069,182622,'Heals caster for 218',100,2,2),
(72070,182622,'Cannot be modified except by direct means',100,2,3),
(72071,10182622,'When Equipped:',100,0,0),
(72072,10182622,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(72073,10182622,'Heals caster for 142',100,2,2),
(72074,10182622,'Cannot be modified except by direct means',100,2,3),
(72075,116362,'Mesmerizes target encounter',100,1,0),
(72076,116362,'Prevents AOE (except when direct) ',100,1,1),
(72077,116362,'Dispelled when target takes damage',100,1,2),
(72078,116362,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(72079,116362,'Resistibility increases against targets higher than level 106.',100,1,4),
(72080,10116362,'Mesmerizes target encounter',100,1,0),
(72081,10116362,'Prevents AOE (except when direct) ',100,1,1),
(72082,10116362,'Dispelled when target takes damage',100,1,2),
(72083,10116362,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(72084,10116362,'Resistibility increases against targets higher than level 106.',100,1,4),
(72085,102610,'Increases Threat to target encounter by 1,130 - 1,381 ',100,1,0),
(72086,102610,'Interrupts target encounter',100,1,1),
(72087,102610,'Decreases Mitigation of target encounter vs noxious damage by 768',100,1,2),
(72088,10102610,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(72089,10102610,'Prevents target from changing targets',100,2,1),
(72090,10102610,'Forces target to change their selected target to caster.',100,2,2),
(72091,10102610,'Interrupts target encounter',100,1,3),
(72092,10102610,'Decreases Mitigation of target encounter vs noxious damage by 768',100,1,4),
(72093,122047,'Increases Threat to target by 445 - 544 ',100,1,0),
(72094,122047,'Inflicts 62 - 104 melee damage on target',100,1,1),
(72095,10122047,'Forces target to change their selected target to caster.',100,1,0),
(72096,10122047,'Inflicts 81 - 135 melee damage on target',100,1,1),
(72097,162077,'When Equipped:',100,0,0),
(72098,162077,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(72099,162077,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(72100,162077,'Inflicts 2305 - 2548 mental damage on target',100,2,3),
(72101,162077,'Decreases Threat to target by 4,441 - 4,908 ',100,2,4),
(72102,162077,'Must not be engaged in pvp combat',100,2,5),
(72103,162077,'Cannot be modified except by direct means',100,2,6),
(72104,162077,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(72105,162077,'Inflicts 2305 - 2548 mental damage on target',100,2,8),
(72106,162077,'Decreases Threat to target by 4,441 - 4,908 ',100,2,9),
(72107,162077,'Must not be engaged in pvp combat',100,2,10),
(72108,162077,'Cannot be modified except by direct means',100,2,11),
(72109,162077,'Cannot be modified except by direct means',100,1,12),
(72110,10162077,'When Equipped:',100,0,0),
(72111,10162077,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(72112,10162077,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(72113,10162077,'Inflicts 3227 - 3567 mental damage on target',100,2,3),
(72114,10162077,'Must not be engaged in pvp combat',100,2,4),
(72115,10162077,'Cannot be modified except by direct means',100,2,5),
(72116,10162077,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(72117,10162077,'Inflicts 3227 - 3567 mental damage on target',100,2,7),
(72118,10162077,'Must not be engaged in pvp combat',100,2,8),
(72119,10162077,'Cannot be modified except by direct means',100,2,9),
(72120,10162077,'Cannot be modified except by direct means',100,1,10),
(72121,107481,'Inflicts 236 - 707 magic damage on targets in Area of Effect',100,1,0),
(72122,107481,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(72123,107481,'Stuns target',100,2,2),
(72124,107481,'Blurs vision of target',100,2,3),
(72125,107481,'Throws target back',100,2,4),
(72126,107481,'Does not affect Epic targets',100,2,5),
(72127,10107481,'Inflicts 330 - 990 magic damage on targets in Area of Effect',100,1,0),
(72128,10107481,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(72129,10107481,'Stuns target',100,2,2),
(72130,10107481,'Blurs vision of target',100,2,3),
(72131,10107481,'Throws target back',100,2,4),
(72132,10107481,'Does not affect Epic targets',100,2,5),
(72133,100595,'Inflicts 323 - 538 melee damage on target',100,1,0),
(72134,100595,'You must be sneaking to use this ability.',100,1,1),
(72135,10100595,'Inflicts 502 - 836 melee damage on target',100,1,0),
(72136,10100595,'You must be sneaking to use this ability.',100,1,1),
(72137,45232,'Applies Arrina''s Resurgence when Activated.',100,0,0),
(72138,45232,'Heals caster for 140',100,1,1),
(72139,10045232,'Applies Arrina''s Resurgence when Activated.',100,0,0),
(72140,10045232,'Heals caster for 91',100,1,1),
(72141,191053,'When Equipped:',100,0,0),
(72142,191053,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(72143,191053,'Inflicts 2648 poison damage on target',100,2,2),
(72144,191053,'Cannot be modified except by direct means',100,2,3),
(72145,10191053,'When Equipped:',100,0,0),
(72146,10191053,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(72147,10191053,'Inflicts 1854 poison damage on target',100,2,2),
(72148,10191053,'Cannot be modified except by direct means',100,2,3),
(72149,113280,'Inflicts 10 - 18 heat damage on target',100,1,0),
(72150,10113280,'Inflicts 21 - 35 heat damage on target',100,1,0),
(72151,124437,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(72152,124437,'Inflicts 82 - 137 melee damage on target',100,2,1),
(72153,124437,'Decreases Defense of caster by 5.1',100,1,2),
(72154,124437,'Increases Slashing, Piercing, Ranged and Crushing of caster by 12.2',100,1,3),
(72155,10124437,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(72156,10124437,'Inflicts 107 - 178 melee damage on target',100,2,1),
(72157,10124437,'Decreases Defense of caster by 5.1',100,1,2),
(72158,10124437,'Increases Slashing, Piercing, Ranged and Crushing of caster by 12.2',100,1,3),
(72159,45902,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(72160,45902,'Increases Max Health of caster by 268.5',100,1,1),
(72161,10045902,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(72162,10045902,'Increases Max Health of caster by 268.5',100,1,1),
(72163,100079,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(72164,10100079,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(72165,101324,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(72166,101324,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 118',100,1,1),
(72167,101324,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,2),
(72168,10101324,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(72169,10101324,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 118',100,1,1),
(72170,10101324,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,2),
(72171,81676,'When Equipped:',100,0,0),
(72172,81676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72173,81676,'Inflicts 90 - 167 magic damage on target',100,2,2),
(72174,81676,'Cannot be modified except by direct means',100,2,3),
(72175,10081676,'When Equipped:',100,0,0),
(72176,10081676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72177,10081676,'Inflicts 126 - 234 magic damage on target',100,2,2),
(72178,10081676,'Cannot be modified except by direct means',100,2,3),
(72179,80200,'When Equipped:',100,0,0),
(72180,80200,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(72181,80200,'Inflicts 224 - 415 magic damage on target',100,2,2),
(72182,80200,'Decreases Threat to target by 801 ',100,2,3),
(72183,80200,'Must be flanking or behind',100,3,4),
(72184,80200,'Increases Threat to target by 801 ',100,2,5),
(72185,80200,'Must be in front of',100,3,6),
(72186,80200,'Cannot be modified except by direct means',100,2,7),
(72187,10080200,'When Equipped:',100,0,0),
(72188,10080200,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(72189,10080200,'Inflicts 313 - 581 magic damage on target',100,2,2),
(72190,10080200,'Cannot be modified except by direct means',100,2,3),
(72191,47342,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(72192,47342,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(72193,47342,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(72194,47342,'Cannot be modified except by direct means',100,2,3),
(72195,47342,'Grants a total of 80 triggers of the spell.',100,2,4),
(72196,10047342,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(72197,10047342,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(72198,10047342,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(72199,10047342,'Cannot be modified except by direct means',100,2,3),
(72200,10047342,'Grants a total of 80 triggers of the spell.',100,2,4),
(72201,164094,'When Equipped:',100,0,0),
(72202,164094,'Increases Potency of caster by 3.5%',100,1,1),
(72203,164094,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(72204,164094,'Cannot be modified except by direct means',100,1,3),
(72205,10164094,'When Equipped:',100,0,0),
(72206,10164094,'Increases Potency of caster by 3.5%',100,1,1),
(72207,10164094,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(72208,10164094,'Cannot be modified except by direct means',100,1,3),
(72209,110644,'Inflicts 980 - 1633 ranged damage on target',100,1,0),
(72210,110644,'If weapon equipped in Ranged',100,1,1),
(72211,110644,'Must be flanking or behind',100,1,2),
(72212,10110644,'Inflicts 609 - 1015 ranged damage on target',100,1,0),
(72213,10110644,'If weapon equipped in Ranged',100,1,1),
(72214,10110644,'Must be flanking or behind',100,1,2),
(72215,104065,'Inflicts 88 - 148 mental damage on target',100,1,0),
(72216,104065,'Inflicts 88 - 148 mental damage on target',100,1,1),
(72217,10104065,'Inflicts 115 - 192 mental damage on target',100,1,0),
(72218,10104065,'Inflicts 115 - 192 mental damage on target',100,1,1),
(72219,49199,'Applies Zeksworn''s Infernal Concussion when Activated.  Lasts for 2 minutes.',100,0,0),
(72220,49199,'Self targeting spells will only receive partial benefits.',100,1,1),
(72221,49199,'If your next attack is melee-based, it will inflict extraordinary crushing damage.',100,1,2),
(72222,49199,'Dispelled when target casts a combat art',100,1,3),
(72223,49199,'Dispelled when target casts a hostile spell',100,1,4),
(72224,49199,'Dispelled when target takes damage',100,1,5),
(72225,10049199,'Applies Zeksworn''s Infernal Concussion when Activated.  Lasts for 2 minutes.',100,0,0),
(72226,10049199,'Self targeting spells will only receive partial benefits.',100,1,1),
(72227,10049199,'If your next attack is melee-based, it will inflict extraordinary crushing damage.',100,1,2),
(72228,10049199,'Dispelled when target casts a combat art',100,1,3),
(72229,10049199,'Dispelled when target casts a hostile spell',100,1,4),
(72230,10049199,'Dispelled when target takes damage',100,1,5),
(72231,170643,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(72232,170643,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 891',100,1,1),
(72233,170643,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(72234,10170643,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(72235,10170643,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 891',100,1,1),
(72236,10170643,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(72237,40181,'When Equipped:',100,0,0),
(72238,40181,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(72239,40181,'Inflicts 80 - 134 magic damage on target',100,2,2),
(72240,40181,'Inflicts 80 - 134 piercing damage on target',100,2,3),
(72241,40181,'Inflicts 80 - 134 divine damage on target',100,2,4),
(72242,40181,'Must not be engaged in pvp combat',100,2,5),
(72243,40181,'Cannot be modified except by direct means',100,2,6),
(72244,40181,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(72245,40181,'Inflicts 80 - 134 magic damage on target',100,2,8),
(72246,40181,'Inflicts 80 - 134 piercing damage on target',100,2,9),
(72247,40181,'Inflicts 80 - 134 divine damage on target',100,2,10),
(72248,40181,'Must not be engaged in pvp combat',100,2,11),
(72249,40181,'Cannot be modified except by direct means',100,2,12),
(72250,40181,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(72251,40181,'Inflicts 80 - 134 magic damage on target',100,2,14),
(72252,40181,'Inflicts 80 - 134 piercing damage on target',100,2,15),
(72253,40181,'Inflicts 80 - 134 divine damage on target',100,2,16),
(72254,40181,'Must not be engaged in pvp combat',100,2,17),
(72255,40181,'Cannot be modified except by direct means',100,2,18),
(72256,40181,'Must not be engaged in pvp combat',100,1,19),
(72257,10040181,'When Equipped:',100,0,0),
(72258,10040181,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(72259,10040181,'Inflicts 112 - 187 magic damage on target',100,2,2),
(72260,10040181,'Inflicts 112 - 187 piercing damage on target',100,2,3),
(72261,10040181,'Inflicts 112 - 187 divine damage on target',100,2,4),
(72262,10040181,'Must not be engaged in pvp combat',100,2,5),
(72263,10040181,'Cannot be modified except by direct means',100,2,6),
(72264,10040181,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(72265,10040181,'Inflicts 112 - 187 magic damage on target',100,2,8),
(72266,10040181,'Inflicts 112 - 187 piercing damage on target',100,2,9),
(72267,10040181,'Inflicts 112 - 187 divine damage on target',100,2,10),
(72268,10040181,'Must not be engaged in pvp combat',100,2,11),
(72269,10040181,'Cannot be modified except by direct means',100,2,12),
(72270,10040181,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(72271,10040181,'Inflicts 112 - 187 magic damage on target',100,2,14),
(72272,10040181,'Inflicts 112 - 187 piercing damage on target',100,2,15),
(72273,10040181,'Inflicts 112 - 187 divine damage on target',100,2,16),
(72274,10040181,'Must not be engaged in pvp combat',100,2,17),
(72275,10040181,'Cannot be modified except by direct means',100,2,18),
(72276,10040181,'Must not be engaged in pvp combat',100,1,19),
(72277,116042,'Shapechanges caster into a lion',100,1,0),
(72278,116042,'Increases STA of caster by 37.3',100,1,1),
(72279,116042,'Adds 2.2% to base avoidance.',100,1,2),
(72280,116042,'Grants See Stealth to caster',100,1,3),
(72281,116042,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 614',100,1,4),
(72282,10116042,'Shapechanges caster into a lion',100,1,0),
(72283,10116042,'Increases STA of caster by 37.3',100,1,1),
(72284,10116042,'Adds 2.2% to base avoidance.',100,1,2),
(72285,10116042,'Grants See Stealth to caster',100,1,3),
(72286,10116042,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 614',100,1,4),
(72287,110294,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(72288,110294,'Slows target by 51.6%',100,2,1),
(72289,110294,'5% chance to dispel when target receives hostile action',100,2,2),
(72290,110294,'5% chance to dispel when target takes damage',100,2,3),
(72291,110294,'Decreases Mitigation of target vs arcane damage by 1560',100,1,4),
(72292,10110294,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(72293,10110294,'Slows target by 51.6%',100,2,1),
(72294,10110294,'5% chance to dispel when target receives hostile action',100,2,2),
(72295,10110294,'5% chance to dispel when target takes damage',100,2,3),
(72296,10110294,'Decreases Mitigation of target vs arcane damage by 1560',100,1,4),
(72297,111131,'Heals target for 27.4 - 33.4% of max health',100,1,0),
(72298,111131,'This effect cannot be critically applied.',100,2,1),
(72299,111131,'Increases Mitigation of target vs physical damage by 966',100,1,2),
(72300,111131,'The healing of this spell cannot be modified except by direct means',100,1,3),
(72301,10111131,'Heals target for 10.3 - 12.5% of max health',100,1,0),
(72302,10111131,'This effect cannot be critically applied.',100,2,1),
(72303,10111131,'Increases Mitigation of target vs physical damage by 966',100,1,2),
(72304,10111131,'The healing of this spell cannot be modified except by direct means',100,1,3),
(72305,100613,'Inflicts 774 - 1291 melee damage on target',100,1,0),
(72306,100613,'You must be sneaking to use this ability.',100,1,1),
(72307,10100613,'Inflicts 1203 - 2005 melee damage on target',100,1,0),
(72308,10100613,'You must be sneaking to use this ability.',100,1,1),
(72309,139462,'When Equipped:',100,0,0),
(72310,139462,'Increases success chance by 1.4%',100,1,1),
(72311,10139462,'When Equipped:',100,0,0),
(72312,10139462,'Increases success chance by 1.4%',100,1,1),
(72313,35318,'Increases Max Power of target by 4.1',100,0,0),
(72314,35318,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(72315,81017,'When Equipped:',100,0,0),
(72316,81017,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72317,81017,'Inflicts 194 - 361 magic damage on target',100,2,2),
(72318,81017,'Cannot be modified except by direct means',100,2,3),
(72319,10081017,'When Equipped:',100,0,0),
(72320,10081017,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72321,10081017,'Inflicts 272 - 505 magic damage on target',100,2,2),
(72322,10081017,'Cannot be modified except by direct means',100,2,3),
(72323,54519,'When Equipped:',100,0,0),
(72324,54519,'Increases caster''s chance to block by 3.0%',100,1,1),
(72325,10054519,'When Equipped:',100,0,0),
(72326,10054519,'Increases caster''s chance to block by 3.0%',100,1,1),
(72327,114599,'Inflicts 1174 - 1958 ranged damage on target',100,1,0),
(72328,114599,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(72329,114599,'Requires bow',100,1,2),
(72330,10114599,'Inflicts 1239 - 2066 ranged damage on target',100,1,0),
(72331,10114599,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(72332,10114599,'Requires bow',100,1,2),
(72333,109979,'Inflicts 1010 - 1515 disease damage on targets in Area of Effect',100,1,0),
(72334,109979,'Inflicts 505 - 758 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(72335,109979,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(72336,109979,'Increases Threat to targets in Area of Effect by 3,186 - 3,894  instantly and every 4 seconds thereafter',100,1,3),
(72337,10109979,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(72338,10109979,'Prevents target from changing targets',100,2,1),
(72339,10109979,'Forces target to change their selected target to caster.',100,2,2),
(72340,10109979,'Inflicts 1414 - 2122 disease damage on targets in Area of Effect',100,1,3),
(72341,10109979,'Inflicts 707 - 1061 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(72342,117327,'Roots target',100,1,0),
(72343,117327,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(72344,117327,'Slows target by 39.4%',100,2,2),
(72345,117327,'5% chance to dispel when target receives hostile action',100,2,3),
(72346,117327,'5% chance to dispel when target takes damage',100,2,4),
(72347,117327,'15% chance to dispel when target takes damage',100,1,5),
(72348,117327,'Does not affect Epic targets',100,1,6),
(72349,117327,'Resistibility increases against targets higher than level 76.',100,1,7),
(72350,10117327,'Roots target',100,1,0),
(72351,10117327,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(72352,10117327,'Slows target by 39.4%',100,2,2),
(72353,10117327,'10% chance to dispel when target receives hostile action',100,2,3),
(72354,10117327,'10% chance to dispel when target takes damage',100,2,4),
(72355,10117327,'15% chance to dispel when target takes damage',100,1,5),
(72356,10117327,'Does not affect Epic targets',100,1,6),
(72357,10117327,'Resistibility increases against targets higher than level 76.',100,1,7),
(72358,145010,'When Equipped:',100,0,0),
(72359,145010,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(72360,145010,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(72361,145010,'Increases Attack Speed of caster by 6.0',100,2,3),
(72362,145010,'Increases Damage Per Second of caster by 9.0',100,2,4),
(72363,145010,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(72364,145010,'Must not be engaged in pvp combat',100,2,6),
(72365,145010,'Cannot be modified except by direct means',100,2,7),
(72366,145010,'Cannot be modified except by direct means',100,1,8),
(72367,10145010,'When Equipped:',100,0,0),
(72368,10145010,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(72369,10145010,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(72370,10145010,'Increases Attack Speed of caster by 6.0',100,2,3),
(72371,10145010,'Increases Damage Per Second of caster by 9.0',100,2,4),
(72372,10145010,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(72373,10145010,'Must not be engaged in pvp combat',100,2,6),
(72374,10145010,'Cannot be modified except by direct means',100,2,7),
(72375,10145010,'Cannot be modified except by direct means',100,1,8),
(72376,112604,'Increases STA of caster by 23.2',100,1,0),
(72377,112604,'Reduces slow effects on caster by 8.6%',100,1,1),
(72378,112604,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 615',100,1,2),
(72379,10112604,'Increases STA of caster by 23.2',100,1,0),
(72380,10112604,'Reduces slow effects on caster by 8.6%',100,1,1),
(72381,10112604,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 615',100,1,2),
(72382,110896,'Inflicts 772 - 943 heat damage on target encounter',100,1,0),
(72383,10110896,'Inflicts 1080 - 1320 heat damage on target encounter',100,1,0),
(72384,116530,'Increases Mitigation of target vs physical damage by 379',100,1,0),
(72385,116530,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(72386,10116530,'Increases Mitigation of target vs physical damage by 379',100,1,0),
(72387,10116530,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(72388,75384,'When Equipped:',100,0,0),
(72389,75384,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(72390,75384,'1% of all damage received by the caster is prevented.',100,2,2),
(72391,75384,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(72392,75384,'Stuns target',100,3,4),
(72393,75384,'Blurs vision of target',100,3,5),
(72394,75384,'Throws target back',100,3,6),
(72395,75384,'Does not affect Epic targets',100,3,7),
(72396,75384,'Inflicts 1874 - 2072 divine damage on targets in Area of Effect instantly and every second',100,2,8),
(72397,75384,'Increases Hate Gain of caster by 12.0%',100,2,9),
(72398,75384,'Increases Damage Per Second of group members (AE) by 30.0',100,2,10),
(72399,75384,'Must not be engaged in pvp combat',100,2,11),
(72400,75384,'Cannot be modified except by direct means',100,2,12),
(72401,75384,'Must not be engaged in pvp combat',100,1,13),
(72402,75384,'When Equipped:',100,0,14),
(72403,75384,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,15),
(72404,75384,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,16),
(72405,75384,'Inflicts an additional 2664 heat damage on target every tick',100,2,17),
(72406,75384,'Increases Hate Gain of caster by 12.0%',100,2,18),
(72407,75384,'Increases Threat to target by 4,345  instantly and every 4 seconds thereafter',100,2,19),
(72408,75384,'Must not be engaged in pvp combat',100,2,20),
(72409,75384,'Cannot be modified except by direct means',100,2,21),
(72410,75384,'Must not be engaged in pvp combat',100,1,22),
(72411,10075384,'When Equipped:',100,0,0),
(72412,10075384,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(72413,10075384,'1% of all damage received by the caster is prevented.',100,2,2),
(72414,10075384,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(72415,10075384,'Stuns target',100,3,4),
(72416,10075384,'Blurs vision of target',100,3,5),
(72417,10075384,'Throws target back',100,3,6),
(72418,10075384,'Does not affect Epic targets',100,3,7),
(72419,10075384,'Inflicts 2624 - 2901 divine damage on targets in Area of Effect instantly and every second',100,2,8),
(72420,10075384,'Increases Damage Per Second of group members (AE) by 30.0',100,2,9),
(72421,10075384,'Must not be engaged in pvp combat',100,2,10),
(72422,10075384,'Cannot be modified except by direct means',100,2,11),
(72423,10075384,'Must not be engaged in pvp combat',100,1,12),
(72424,10075384,'When Equipped:',100,0,13),
(72425,10075384,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,14),
(72426,10075384,'Inflicts 7459 heat damage on target instantly and every 4 seconds',100,2,15),
(72427,10075384,'Inflicts an additional 2664 heat damage on target every tick',100,2,16),
(72428,10075384,'Must not be engaged in pvp combat',100,2,17),
(72429,10075384,'Cannot be modified except by direct means',100,2,18),
(72430,10075384,'Must not be engaged in pvp combat',100,1,19),
(72431,107141,'Inflicts 423 - 517 divine damage on target',100,1,0),
(72432,107141,'Inflicts 423 - 517 divine damage on target',100,1,1),
(72433,107141,'If target is undead',100,2,2),
(72434,10107141,'Inflicts 593 - 724 divine damage on target',100,1,0),
(72435,10107141,'Inflicts 593 - 724 divine damage on target',100,1,1),
(72436,81713,'When Equipped:',100,0,0),
(72437,81713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72438,81713,'Inflicts 127 - 236 magic damage on target',100,2,2),
(72439,81713,'Cannot be modified except by direct means',100,2,3),
(72440,10081713,'When Equipped:',100,0,0),
(72441,10081713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72442,10081713,'Inflicts 178 - 331 magic damage on target',100,2,2),
(72443,10081713,'Cannot be modified except by direct means',100,2,3),
(72444,27196,'When Equipped:',100,0,0),
(72445,27196,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(72446,27196,'Slows target by 45.4%',100,2,2),
(72447,27196,'Inflicts 388 cold damage on target',100,2,3),
(72448,27196,'Cannot be modified except by direct means',100,2,4),
(72449,10027196,'When Equipped:',100,0,0),
(72450,10027196,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(72451,10027196,'Slows target by 45.4%',100,2,2),
(72452,10027196,'Inflicts 544 cold damage on target',100,2,3),
(72453,10027196,'Cannot be modified except by direct means',100,2,4),
(72454,122955,'Inflicts 706 - 956 mental damage on target',100,1,0),
(72455,10122955,'Inflicts 989 - 1338 mental damage on target',100,1,0),
(72456,47013,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(72457,47013,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72458,47013,'Inflicts 16 poison damage on target',100,2,2),
(72459,47013,'Inflicts 43 poison damage on target instantly and every 6 seconds',100,2,3),
(72460,47013,'Cannot be modified except by direct means',100,2,4),
(72461,47013,'Grants a total of 200 triggers of the spell.',100,2,5),
(72462,10047013,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(72463,10047013,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72464,10047013,'Inflicts 46 poison damage on target instantly and every 6 seconds',100,2,2),
(72465,10047013,'Inflicts 17 poison damage on target',100,2,3),
(72466,10047013,'Cannot be modified except by direct means',100,2,4),
(72467,10047013,'Grants a total of 200 triggers of the spell.',100,2,5),
(72468,115678,'Inflicts 22 - 67 melee damage on target',100,1,0),
(72469,115678,'Inflicts 22 - 67 melee damage on target',100,1,1),
(72470,115678,'Inflicts 22 - 67 melee damage on target',100,1,2),
(72471,115678,'Inflicts 22 - 67 melee damage on target',100,1,3),
(72472,115678,'Inflicts 22 - 67 melee damage on target',100,1,4),
(72473,115678,'Inflicts 22 - 67 melee damage on target',100,1,5),
(72474,115678,'Inflicts 22 - 67 melee damage on target',100,1,6),
(72475,115678,'Inflicts 22 - 67 melee damage on target',100,1,7),
(72476,10115678,'Inflicts 29 - 87 melee damage on target',100,1,0),
(72477,10115678,'Inflicts 29 - 87 melee damage on target',100,1,1),
(72478,10115678,'Inflicts 29 - 87 melee damage on target',100,1,2),
(72479,10115678,'Inflicts 29 - 87 melee damage on target',100,1,3),
(72480,10115678,'Inflicts 29 - 87 melee damage on target',100,1,4),
(72481,10115678,'Inflicts 29 - 87 melee damage on target',100,1,5),
(72482,10115678,'Inflicts 29 - 87 melee damage on target',100,1,6),
(72483,10115678,'Inflicts 29 - 87 melee damage on target',100,1,7),
(72484,116805,'Increases STR, AGI, WIS and INT of target by 71.4',100,1,0),
(72485,116805,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(72486,116805,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(72487,116805,'Increases Damage Per Second of target by 44.8',100,2,3),
(72488,116805,'Increases Attack Speed of target by 44.8',100,2,4),
(72489,116805,'Adds 1.8% to base avoidance.',100,1,5),
(72490,116805,'Increases Mitigation of target vs elemental, noxious and arcane damage by 210',100,1,6),
(72491,10116805,'Increases STR, AGI, WIS and INT of target by 71.4',100,1,0),
(72492,10116805,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(72493,10116805,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(72494,10116805,'Increases Damage Per Second of target by 44.8',100,2,3),
(72495,10116805,'Increases Attack Speed of target by 44.8',100,2,4),
(72496,10116805,'Adds 1.8% to base avoidance.',100,1,5),
(72497,10116805,'Increases Mitigation of target vs elemental, noxious and arcane damage by 210',100,1,6),
(72498,155044,'When Equipped:',100,0,0),
(72499,155044,'On a critical combat hit this spell may cast Poison Coins on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72500,155044,'Inflicts 401 - 745 poison damage on target',100,2,2),
(72501,155044,'Inflicts 401 - 745 poison damage on target',100,2,3),
(72502,155044,'Inflicts 401 - 745 poison damage on target',100,2,4),
(72503,155044,'Inflicts 401 - 745 poison damage on target',100,2,5),
(72504,155044,'Cannot be modified except by direct means',100,2,6),
(72505,155044,'When Equipped:',100,0,7),
(72506,155044,'Increases Attack Speed of caster by 40.0',100,1,8),
(72507,10155044,'When Equipped:',100,0,0),
(72508,10155044,'On a critical combat hit this spell may cast Poison Coins on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72509,10155044,'Inflicts 112 - 209 poison damage on target',100,2,2),
(72510,10155044,'Inflicts 112 - 209 poison damage on target',100,2,3),
(72511,10155044,'Inflicts 112 - 209 poison damage on target',100,2,4),
(72512,10155044,'Inflicts 112 - 209 poison damage on target',100,2,5),
(72513,10155044,'Cannot be modified except by direct means',100,2,6),
(72514,10155044,'When Equipped:',100,0,7),
(72515,10155044,'Increases Attack Speed of caster by 40.0',100,1,8),
(72516,121779,'Heals target for 145 - 177',100,1,0),
(72517,121779,'Heals target for 24 - 30 every second',100,1,1),
(72518,10121779,'Heals target for 252 - 308',100,1,0),
(72519,10121779,'Heals target for 21 - 26 every second',100,1,1),
(72520,105672,'Decreases Damage Per Second of target by 27.4',100,1,0),
(72521,105672,'Inflicts 366 - 610 melee damage on target',100,1,1),
(72522,105672,'Must be flanking or behind',100,1,2),
(72523,10105672,'Decreases Damage Per Second of target by 27.4',100,1,0),
(72524,10105672,'Inflicts 475 - 793 melee damage on target',100,1,1),
(72525,10105672,'Must be flanking or behind',100,1,2),
(72526,105310,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(72527,105310,'Inflicts 236 - 393 mental damage on target',100,2,1),
(72528,105310,'Increases AGI of caster by 178.5',100,1,2),
(72529,105310,'Adds 17.2% to base avoidance.',100,1,3),
(72530,105310,'Increases Mitigation of caster vs physical damage by 608',100,1,4),
(72531,105310,'Increases Mitigation of caster vs elemental and arcane damage by 1356',100,1,5),
(72532,105310,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(72533,105310,'Inflicts 236 - 393 mental damage on target',100,2,7),
(72534,105310,'Increases Mitigation of caster vs noxious damage by 1356',100,1,8),
(72535,10105310,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(72536,10105310,'Inflicts 330 - 550 mental damage on target',100,2,1),
(72537,10105310,'Increases AGI of caster by 178.5',100,1,2),
(72538,10105310,'Adds 17.2% to base avoidance.',100,1,3),
(72539,10105310,'Increases Mitigation of caster vs physical damage by 608',100,1,4),
(72540,10105310,'Increases Mitigation of caster vs elemental and arcane damage by 1356',100,1,5),
(72541,10105310,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(72542,10105310,'Inflicts 330 - 550 mental damage on target',100,2,7),
(72543,10105310,'Increases Mitigation of caster vs noxious damage by 1356',100,1,8),
(72544,48133,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(72545,48133,'Wards caster against 1495 points of elemental damage',100,1,1),
(72546,10048133,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(72547,10048133,'Wards caster against 1495 points of elemental damage',100,1,1),
(72548,111700,'Inflicts 512 - 626 cold damage on target',100,1,0),
(72549,111700,'Inflicts 512 - 626 cold damage on target',100,1,1),
(72550,111700,'If target is elemental',100,2,2),
(72551,10111700,'Inflicts 614 - 751 cold damage on target',100,1,0),
(72552,46704,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(72553,46704,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72554,46704,'Inflicts 241 poison damage on target',100,2,2),
(72555,46704,'Inflicts 39 poison damage on target instantly and every 6 seconds',100,2,3),
(72556,46704,'Cannot be modified except by direct means',100,2,4),
(72557,46704,'Grants a total of 200 triggers of the spell.',100,2,5),
(72558,10046704,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(72559,10046704,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72560,10046704,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,2),
(72561,10046704,'Inflicts 253 poison damage on target',100,2,3),
(72562,10046704,'Cannot be modified except by direct means',100,2,4),
(72563,10046704,'Grants a total of 200 triggers of the spell.',100,2,5),
(72564,102258,'Inflicts 178 - 298 melee damage on targets in area',100,1,0),
(72565,10102258,'Inflicts 232 - 387 melee damage on targets in area',100,1,0),
(72566,124190,'Inflicts 171 - 285 melee damage on target',100,1,0),
(72567,10124190,'Inflicts 222 - 371 melee damage on target',100,1,0),
(72568,52841,'Applies Sanguine Imbued when Equipped.',100,0,0),
(72569,52841,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(72570,52841,'Inflicts 177 heat damage on target',100,2,2),
(72571,52841,'Cannot be modified except by direct means',100,2,3),
(72572,10052841,'Applies Sanguine Imbued when Equipped.',100,0,0),
(72573,10052841,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(72574,10052841,'Inflicts 248 heat damage on target',100,2,2),
(72575,10052841,'Cannot be modified except by direct means',100,2,3),
(72576,102917,'Inflicts 7 - 9 disease damage on target instantly and every 4 seconds',100,1,0),
(72577,10102917,'Inflicts 13 - 16 disease damage on target',100,1,0),
(72578,10102917,'Inflicts 10 - 12 disease damage on target every 4 seconds',100,1,1),
(72579,186241,'When Equipped:',100,0,0),
(72580,186241,'Increases Attack Speed of caster by 50.0',100,1,1),
(72581,186241,'Must not be engaged in pvp combat',100,1,2),
(72582,10186241,'When Equipped:',100,0,0),
(72583,10186241,'Increases Attack Speed of caster by 50.0',100,1,1),
(72584,10186241,'Must not be engaged in pvp combat',100,1,2),
(72585,159986,'Applies Lambent Imbued when Equipped.',100,0,0),
(72586,159986,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(72587,159986,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(72588,159986,'Cannot be modified except by direct means',100,2,3),
(72589,10159986,'Applies Lambent Imbued when Equipped.',100,0,0),
(72590,10159986,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(72591,10159986,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(72592,10159986,'Cannot be modified except by direct means',100,2,3),
(72593,124243,'Decreases Attack Speed of caster by 18.9',100,1,0),
(72594,124243,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72595,124243,'Slows targets in Area of Effect by 76.5%',100,2,2),
(72596,124243,'5% chance to dispel when target receives hostile action',100,2,3),
(72597,124243,'5% chance to dispel when target takes damage',100,2,4),
(72598,124243,'Increases Mitigation of caster vs physical damage by 1559',100,1,5),
(72599,10124243,'Decreases Attack Speed of caster by 18.9',100,1,0),
(72600,10124243,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72601,10124243,'Slows targets in Area of Effect by 57.4%',100,2,2),
(72602,10124243,'5% chance to dispel when target receives hostile action',100,2,3),
(72603,10124243,'5% chance to dispel when target takes damage',100,2,4),
(72604,10124243,'Increases Mitigation of caster vs physical damage by 1559',100,1,5),
(72605,116326,'Stuns target',100,1,0),
(72606,116326,'If Target is not Epic',100,2,1),
(72607,116326,'Inflicts 749 - 916 magic damage on target',100,1,2),
(72608,116326,'Resistibility increases against targets higher than level 111.',100,1,3),
(72609,10116326,'Stuns target',100,1,0),
(72610,10116326,'If Target is not Epic',100,2,1),
(72611,10116326,'Inflicts 1049 - 1282 magic damage on target',100,1,2),
(72612,10116326,'Resistibility increases against targets higher than level 111.',100,1,3),
(72613,137550,'When Equipped:',100,0,0),
(72614,137550,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(72615,137550,'Wards caster against 280 points of all damage',100,2,2),
(72616,137550,'Cannot be modified except by direct means',100,2,3),
(72617,10137550,'When Equipped:',100,0,0),
(72618,10137550,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(72619,10137550,'Wards caster against 280 points of all damage',100,2,2),
(72620,10137550,'Cannot be modified except by direct means',100,2,3),
(72621,46729,'Applies noxious remedy when Activated.',100,0,0),
(72622,46729,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(72623,10046729,'Applies noxious remedy when Activated.',100,0,0),
(72624,10046729,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(72625,36874,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(72626,83949,'When Equipped:',100,0,0),
(72627,83949,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(72628,83949,'Reduces healing received by 15.00%',100,2,2),
(72629,83949,'Cannot be modified except by direct means',100,2,3),
(72630,83949,'This effect can only trigger once every 1 second.',100,2,4),
(72631,83949,'Must be engaged in pvp combat',100,1,5),
(72632,10083949,'When Equipped:',100,0,0),
(72633,10083949,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(72634,10083949,'Reduces healing received by 15.00%',100,2,2),
(72635,10083949,'Cannot be modified except by direct means',100,2,3),
(72636,10083949,'This effect can only trigger once every 1 second.',100,2,4),
(72637,10083949,'Must be engaged in pvp combat',100,1,5),
(72638,162859,'When Equipped:',100,0,0),
(72639,162859,'On a hit this spell may cast Overwhelming Resentment on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(72640,162859,'Increases STR of caster by 80.6',100,2,2),
(72641,162859,'Increases Damage Per Second of caster by 49.1',100,2,3),
(72642,162859,'Cannot be modified except by direct means',100,2,4),
(72643,162859,'Cannot be modified except by direct means',100,1,5),
(72644,10162859,'When Equipped:',100,0,0),
(72645,10162859,'On a hit this spell may cast Overwhelming Resentment on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(72646,10162859,'Increases STR of caster by 80.6',100,2,2),
(72647,10162859,'Increases Damage Per Second of caster by 49.1',100,2,3),
(72648,10162859,'Cannot be modified except by direct means',100,2,4),
(72649,10162859,'Cannot be modified except by direct means',100,1,5),
(72650,74788,'When Equipped:',100,0,0),
(72651,74788,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72652,74788,'Inflicts 115 - 173 magic damage on target',100,2,2),
(72653,74788,'Cannot be modified except by direct means',100,2,3),
(72654,10074788,'When Equipped:',100,0,0),
(72655,10074788,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72656,10074788,'Inflicts 161 - 242 magic damage on target',100,2,2),
(72657,10074788,'Cannot be modified except by direct means',100,2,3),
(72658,151771,'Applies Heroic Resistance X when Equipped.',100,0,0),
(72659,151771,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(72660,151771,'Cannot be modified except by direct means',100,1,2),
(72661,151771,'When Equipped:',100,0,3),
(72662,151771,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(72663,151771,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,5),
(72664,151771,'Grants a 15.0% chance to resist Stifle effects',100,2,6),
(72665,151771,'Cannot be modified except by direct means',100,2,7),
(72666,10151771,'Applies Heroic Resistance X when Equipped.',100,0,0),
(72667,10151771,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(72668,10151771,'Cannot be modified except by direct means',100,1,2),
(72669,10151771,'When Equipped:',100,0,3),
(72670,10151771,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(72671,10151771,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,5),
(72672,10151771,'Grants a 15.0% chance to resist Stifle effects',100,2,6),
(72673,10151771,'Cannot be modified except by direct means',100,2,7),
(72674,182207,'When Equipped:',100,0,0),
(72675,182207,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(72676,182207,'Decreases threat priority of target by 1 position',100,2,2),
(72677,182207,'Cannot be modified except by direct means',100,2,3),
(72678,10182207,'When Equipped:',100,0,0),
(72679,10182207,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(72680,10182207,'Cannot be modified except by direct means',100,2,2),
(72681,120614,'Inflicts 461 - 856 heat damage on target',100,1,0),
(72682,10120614,'Inflicts 645 - 1198 heat damage on target',100,1,0),
(72683,81063,'When Equipped:',100,0,0),
(72684,81063,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(72685,81063,'Inflicts 194 - 361 magic damage on target',100,2,2),
(72686,81063,'Decreases Threat to target by 517 ',100,2,3),
(72687,81063,'Must be flanking or behind',100,3,4),
(72688,81063,'Increases Threat to target by 517 ',100,2,5),
(72689,81063,'Must be in front of',100,3,6),
(72690,81063,'Cannot be modified except by direct means',100,2,7),
(72691,10081063,'When Equipped:',100,0,0),
(72692,10081063,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(72693,10081063,'Inflicts 272 - 505 magic damage on target',100,2,2),
(72694,10081063,'Cannot be modified except by direct means',100,2,3),
(72695,80260,'When Equipped:',100,0,0),
(72696,80260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72697,80260,'Inflicts 201 - 374 magic damage on target',100,2,2),
(72698,80260,'Cannot be modified except by direct means',100,2,3),
(72699,10080260,'When Equipped:',100,0,0),
(72700,10080260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72701,10080260,'Inflicts 282 - 523 magic damage on target',100,2,2),
(72702,10080260,'Cannot be modified except by direct means',100,2,3),
(72703,87737,'When Equipped:',100,0,0),
(72704,87737,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(72705,87737,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(72706,87737,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(72707,87737,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(72708,87737,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(72709,87737,'Must not be engaged in pvp combat',100,2,6),
(72710,87737,'Cannot be modified except by direct means',100,2,7),
(72711,87737,'Cannot be modified except by direct means',100,1,8),
(72712,10087737,'When Equipped:',100,0,0),
(72713,10087737,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(72714,10087737,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(72715,10087737,'Inflicts 1110 - 1227 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(72716,10087737,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(72717,10087737,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(72718,10087737,'Must not be engaged in pvp combat',100,2,6),
(72719,10087737,'Cannot be modified except by direct means',100,2,7),
(72720,10087737,'Cannot be modified except by direct means',100,1,8),
(72721,111702,'Inflicts 754 - 922 cold damage on target',100,1,0),
(72722,111702,'Inflicts 754 - 922 cold damage on target',100,1,1),
(72723,111702,'If target is elemental',100,2,2),
(72724,10111702,'Inflicts 905 - 1106 cold damage on target',100,1,0),
(72725,75256,'When Equipped:',100,0,0),
(72726,75256,'On a damage spell hit this spell will cast Fiery Impact on target of spell.  ',100,1,1),
(72727,75256,'Inflicts 38 heat damage on target',100,2,2),
(72728,75256,'Cannot be modified except by direct means',100,2,3),
(72729,10075256,'When Equipped:',100,0,0),
(72730,10075256,'On a damage spell hit this spell will cast Fiery Impact on target of spell.  ',100,1,1),
(72731,10075256,'Inflicts 54 heat damage on target',100,2,2),
(72732,10075256,'Cannot be modified except by direct means',100,2,3),
(72733,111163,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(72734,111163,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1367',100,1,1),
(72735,111163,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,2),
(72736,10111163,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(72737,10111163,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1367',100,1,1),
(72738,10111163,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,2),
(72739,112907,'Increases Damage Per Second of caster by 48.3',100,1,0),
(72740,112907,'Increases Ranged of caster by 18.0',100,1,1),
(72741,10112907,'Increases Damage Per Second of caster by 48.3',100,1,0),
(72742,10112907,'Increases Ranged of caster by 18.0',100,1,1),
(72743,117754,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(72744,117754,'Increases Max Health of target by 1,133.6',100,2,1),
(72745,117754,'Heals target for 1966',100,2,2),
(72746,117754,'Grants a total of 1 trigger of the spell.',100,2,3),
(72747,10117754,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(72748,10117754,'Increases Max Health of target by 1,133.6',100,2,1),
(72749,10117754,'Heals target for 2301',100,2,2),
(72750,10117754,'Grants a total of 1 trigger of the spell.',100,2,3),
(72751,141687,'When Equipped:',100,0,0),
(72752,141687,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(72753,141687,'Increases AGI of caster by 5.8',100,2,2),
(72754,141687,'Increases Attack Speed of caster by 11.5',100,2,3),
(72755,141687,'Cannot be modified except by direct means',100,2,4),
(72756,10141687,'When Equipped:',100,0,0),
(72757,10141687,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(72758,10141687,'Increases AGI of caster by 5.8',100,2,2),
(72759,10141687,'Increases Attack Speed of caster by 11.5',100,2,3),
(72760,10141687,'Cannot be modified except by direct means',100,2,4),
(72761,74950,'When Equipped:',100,0,0),
(72762,74950,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72763,74950,'Inflicts 179 - 268 magic damage on target',100,2,2),
(72764,74950,'Cannot be modified except by direct means',100,2,3),
(72765,10074950,'When Equipped:',100,0,0),
(72766,10074950,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72767,10074950,'Inflicts 250 - 376 magic damage on target',100,2,2),
(72768,10074950,'Cannot be modified except by direct means',100,2,3),
(72769,36616,'Increases STA of target by 1.6',100,0,0),
(72770,36616,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(72771,41546,'When Equipped:',100,0,0),
(72772,41546,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(72773,41546,'Inflicts 104 - 194 magic damage on target',100,2,2),
(72774,41546,'Decreases Threat to target by 352 ',100,2,3),
(72775,41546,'Must be flanking or behind',100,3,4),
(72776,41546,'Increases Threat to target by 352 ',100,2,5),
(72777,41546,'Must be in front of',100,3,6),
(72778,41546,'Cannot be modified except by direct means',100,2,7),
(72779,10041546,'When Equipped:',100,0,0),
(72780,10041546,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(72781,10041546,'Inflicts 146 - 271 magic damage on target',100,2,2),
(72782,10041546,'Cannot be modified except by direct means',100,2,3),
(72783,105417,'Increases STR of caster by 118.1',100,1,0),
(72784,105417,'Decreases Defense of caster by 9.6',100,1,1),
(72785,105417,'Increases Slashing, Piercing, Crushing and Disruption of caster by 23.0',100,1,2),
(72786,10105417,'Increases STR of caster by 118.1',100,1,0),
(72787,10105417,'Decreases Defense of caster by 9.6',100,1,1),
(72788,10105417,'Increases Slashing, Piercing, Crushing and Disruption of caster by 23.0',100,1,2),
(72789,47639,'Applies Prisoner Key when Activated.',100,0,0),
(72790,47639,'Updates a specific part of the Quest \"Trapped Within the Crystals\"',100,1,1),
(72791,10047639,'Applies Prisoner Key when Activated.',100,0,0),
(72792,10047639,'Updates a specific part of the Quest \"Trapped Within the Crystals\"',100,1,1),
(72793,123005,'Wards group members (AE) collectively against 1767 total points of all damage',100,1,0),
(72794,10123005,'Wards group members (AE) collectively against 2632 total points of all damage',100,1,0),
(72795,143721,'When Equipped:',100,0,0),
(72796,143721,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(72797,10143721,'When Equipped:',100,0,0),
(72798,10143721,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(72799,45250,'Applies Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(72800,45250,'Only affects targets level 50 and above',100,1,1),
(72801,10045250,'Applies Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(72802,10045250,'Only affects targets level 50 and above',100,1,1),
(72803,120240,'Roots target encounter',100,1,0),
(72804,120240,'15% chance to dispel when target takes damage',100,1,1),
(72805,120240,'Does not affect Epic targets',100,1,2),
(72806,120240,'Resistibility increases against targets higher than level 117.',100,1,3),
(72807,10120240,'Roots target encounter',100,1,0),
(72808,10120240,'15% chance to dispel when target takes damage',100,1,1),
(72809,10120240,'Does not affect Epic targets',100,1,2),
(72810,10120240,'Resistibility increases against targets higher than level 117.',100,1,3),
(72811,151100,'When Equipped:',100,0,0),
(72812,151100,'Reduces maximum falling speed of caster',100,1,1),
(72813,151100,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(72814,151100,'Allows caster to jump farther',100,1,3),
(72815,151100,'Cannot be modified except by direct means',100,1,4),
(72816,151100,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(72817,10151100,'When Equipped:',100,0,0),
(72818,10151100,'Reduces maximum falling speed of caster',100,1,1),
(72819,10151100,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(72820,10151100,'Allows caster to jump farther',100,1,3),
(72821,10151100,'Cannot be modified except by direct means',100,1,4),
(72822,10151100,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(72823,159796,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(72824,159796,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(72825,159796,'Inflicts 57 heat damage on target',100,2,2),
(72826,159796,'Cannot be modified except by direct means',100,2,3),
(72827,10159796,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(72828,10159796,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(72829,10159796,'Inflicts 80 heat damage on target',100,2,2),
(72830,10159796,'Cannot be modified except by direct means',100,2,3),
(72831,191676,'When Equipped:',100,0,0),
(72832,191676,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(72833,191676,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,2,2),
(72834,191676,'Cannot be modified except by direct means',100,2,3),
(72835,10191676,'When Equipped:',100,0,0),
(72836,10191676,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(72837,10191676,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,2,2),
(72838,10191676,'Cannot be modified except by direct means',100,2,3),
(72839,186990,'When Equipped:',100,0,0),
(72840,186990,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(72841,186990,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(72842,186990,'Inflicts 599 crushing damage on caster',100,3,3),
(72843,186990,'Cannot be modified except by direct means',100,3,4),
(72844,186990,'Cannot be modified except by direct means',100,2,5),
(72845,186990,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(72846,186990,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(72847,186990,'Inflicts 599 crushing damage on caster',100,3,8),
(72848,186990,'Cannot be modified except by direct means',100,3,9),
(72849,186990,'Cannot be modified except by direct means',100,2,10),
(72850,10186990,'When Equipped:',100,0,0),
(72851,10186990,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(72852,10186990,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(72853,10186990,'Inflicts 746 crushing damage on caster',100,3,3),
(72854,10186990,'Cannot be modified except by direct means',100,3,4),
(72855,10186990,'Cannot be modified except by direct means',100,2,5),
(72856,10186990,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(72857,10186990,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(72858,10186990,'Inflicts 746 crushing damage on caster',100,3,8),
(72859,10186990,'Cannot be modified except by direct means',100,3,9),
(72860,10186990,'Cannot be modified except by direct means',100,2,10),
(72861,139460,'When Equipped:',100,0,0),
(72862,139460,'Increases success chance by 1.4%',100,1,1),
(72863,10139460,'When Equipped:',100,0,0),
(72864,10139460,'Increases success chance by 1.4%',100,1,1),
(72865,48007,'Applies Draw upon Essence when Activated.',100,0,0),
(72866,48007,'Increases power of caster by 5',100,1,1),
(72867,48007,'Requires 24 Health to cast.',100,1,2),
(72868,10048007,'Applies Draw upon Essence when Activated.',100,0,0),
(72869,10048007,'Increases power of caster by 5',100,1,1),
(72870,10048007,'Requires 24 Health to cast.',100,1,2),
(72871,121484,'Inflicts 110 - 183 melee damage on target',100,1,0),
(72872,121484,'Decreases Defense of target by 4.0',100,1,1),
(72873,10121484,'Inflicts 143 - 238 melee damage on target',100,1,0),
(72874,10121484,'Decreases Defense of target by 4.0',100,1,1),
(72875,74551,'When Equipped:',100,0,0),
(72876,74551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72877,74551,'Inflicts 179 - 268 magic damage on target',100,2,2),
(72878,74551,'Cannot be modified except by direct means',100,2,3),
(72879,10074551,'When Equipped:',100,0,0),
(72880,10074551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72881,10074551,'Inflicts 250 - 376 magic damage on target',100,2,2),
(72882,10074551,'Cannot be modified except by direct means',100,2,3),
(72883,103536,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(72884,10103536,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(72885,81920,'When Equipped:',100,0,0),
(72886,81920,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72887,81920,'Inflicts 351 - 652 magic damage on target',100,2,2),
(72888,81920,'Cannot be modified except by direct means',100,2,3),
(72889,10081920,'When Equipped:',100,0,0),
(72890,10081920,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72891,10081920,'Inflicts 492 - 913 magic damage on target',100,2,2),
(72892,10081920,'Cannot be modified except by direct means',100,2,3),
(72893,46968,'Applies Middling Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(72894,46968,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72895,46968,'Inflicts 143 poison damage on target instantly and every 6 seconds',100,2,2),
(72896,46968,'Inflicts 487 poison damage on target',100,2,3),
(72897,46968,'Cannot be modified except by direct means',100,2,4),
(72898,46968,'Grants a total of 200 triggers of the spell.',100,2,5),
(72899,46968,'Only affects targets level 50 and above',100,1,6),
(72900,10046968,'Applies Middling Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(72901,10046968,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72902,10046968,'Inflicts 150 poison damage on target instantly and every 6 seconds',100,2,2),
(72903,10046968,'Inflicts 512 poison damage on target',100,2,3),
(72904,10046968,'Cannot be modified except by direct means',100,2,4),
(72905,10046968,'Grants a total of 200 triggers of the spell.',100,2,5),
(72906,10046968,'Only affects targets level 50 and above',100,1,6),
(72907,35119,'Increases STR of target by 1.6',100,0,0),
(72908,35119,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(72909,103430,'Decreases Threat to targets in Area of Effect by 4,365 ',100,1,0),
(72910,103430,'Slows targets in Area of Effect by 42.0%',100,1,1),
(72911,103430,'Stifles targets in Area of Effect',100,1,2),
(72912,103430,'If Target is not Epic',100,2,3),
(72913,103430,'10% chance to dispel when target receives hostile action',100,1,4),
(72914,103430,'10% chance to dispel when target takes damage',100,1,5),
(72915,10103430,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(72916,10103430,'Slows targets in Area of Effect by 42.0%',100,1,1),
(72917,10103430,'Stifles targets in Area of Effect',100,1,2),
(72918,10103430,'If Target is not Epic',100,2,3),
(72919,113267,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(72920,113267,'Inflicts 102 - 170 magic damage on target',100,2,1),
(72921,113267,'Grants a total of 8 triggers of the spell.',100,2,2),
(72922,10113267,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(72923,10113267,'Inflicts 142 - 237 magic damage on target',100,2,1),
(72924,10113267,'Grants a total of 8 triggers of the spell.',100,2,2),
(72925,102962,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(72926,102962,'Heals caster for 100.0% of max health',100,2,1),
(72927,102962,'This effect cannot be critically applied.',100,3,2),
(72928,102962,'Grants a total of 1 trigger of the spell.',100,2,3),
(72929,102962,'This effect cannot be cast during combat',100,1,4),
(72930,10102962,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(72931,10102962,'Heals caster for 65.0% of max health',100,2,1),
(72932,10102962,'This effect cannot be critically applied.',100,3,2),
(72933,10102962,'Grants a total of 1 trigger of the spell.',100,2,3),
(72934,10102962,'This effect cannot be cast during combat',100,1,4),
(72935,25483,'When Equipped:',100,0,0),
(72936,25483,'Improves the base damage of Explosive Arrow by 15%.',100,1,1),
(72937,25483,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(72938,10025483,'When Equipped:',100,0,0),
(72939,10025483,'Improves the base damage of Explosive Arrow by 15%.',100,1,1),
(72940,10025483,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(72941,102913,'Inflicts 4 - 5 disease damage on target instantly and every 4 seconds',100,1,0),
(72942,10102913,'Inflicts 8 - 9 disease damage on target',100,1,0),
(72943,10102913,'Inflicts 6 - 7 disease damage on target every 4 seconds',100,1,1),
(72944,85501,'When Equipped:',100,0,0),
(72945,85501,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(72946,85501,'Inflicts 80 - 98 disease damage on target',100,2,2),
(72947,85501,'Inflicts 75 - 92 disease damage on target every 6 seconds',100,2,3),
(72948,85501,'Cannot be modified except by direct means',100,2,4),
(72949,10085501,'When Equipped:',100,0,0),
(72950,10085501,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(72951,10085501,'Inflicts 112 - 137 disease damage on target',100,2,2),
(72952,10085501,'Inflicts 105 - 128 disease damage on target every 6 seconds',100,2,3),
(72953,10085501,'Cannot be modified except by direct means',100,2,4),
(72954,49065,'Applies Vision of the Tranquil when Activated.',100,0,0),
(72955,49065,'Fills the user''s eyes with visions of tranquility.',100,1,1),
(72956,10049065,'Applies Vision of the Tranquil when Activated.',100,0,0),
(72957,10049065,'Fills the user''s eyes with visions of tranquility.',100,1,1),
(72958,36299,'Increases STA of target by 1.6',100,0,0),
(72959,36299,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(72960,118193,'Increases Damage Per Second of group members (AE) by 17.4',100,1,0),
(72961,10118193,'Increases Damage Per Second of group members (AE) by 17.4',100,1,0),
(72962,100411,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(72963,100411,'Inflicts 32 - 53 slashing damage on target',100,2,1),
(72964,100411,'Increases Threat to target by 84 ',100,2,2),
(72965,100411,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(72966,100411,'Increases Threat to target by 84 ',100,2,4),
(72967,100411,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 360',100,1,5),
(72968,10100411,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(72969,10100411,'Inflicts 45 - 74 slashing damage on target',100,2,1),
(72970,10100411,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(72971,10100411,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 360',100,1,3),
(72972,80401,'When Equipped:',100,0,0),
(72973,80401,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72974,80401,'Inflicts 61 - 113 magic damage on target',100,2,2),
(72975,80401,'Cannot be modified except by direct means',100,2,3),
(72976,10080401,'When Equipped:',100,0,0),
(72977,10080401,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(72978,10080401,'Inflicts 85 - 158 magic damage on target',100,2,2),
(72979,10080401,'Cannot be modified except by direct means',100,2,3),
(72980,48968,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(72981,48968,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72982,48968,'Inflicts 19 poison damage on target instantly and every 6 seconds',100,2,2),
(72983,48968,'Inflicts 66 poison damage on target',100,2,3),
(72984,48968,'Cannot be modified except by direct means',100,2,4),
(72985,48968,'Grants a total of 200 triggers of the spell.',100,2,5),
(72986,10048968,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(72987,10048968,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(72988,10048968,'Inflicts 20 poison damage on target instantly and every 6 seconds',100,2,2),
(72989,10048968,'Inflicts 69 poison damage on target',100,2,3),
(72990,10048968,'Cannot be modified except by direct means',100,2,4),
(72991,10048968,'Grants a total of 200 triggers of the spell.',100,2,5),
(72992,84002,'Applies Lightning Shock when Activated.',100,0,0),
(72993,84002,'Inflicts 161 - 268 magic damage on target',100,1,1),
(72994,84002,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(72995,10084002,'Applies Lightning Shock when Activated.',100,0,0),
(72996,10084002,'Inflicts 225 - 375 magic damage on target',100,1,1),
(72997,10084002,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(72998,178794,'When Equipped:',100,0,0),
(72999,178794,'On a combat hit this spell may cast Silence V on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(73000,178794,'Stifles target',100,2,2),
(73001,178794,'Does not affect Epic targets',100,2,3),
(73002,178794,'Resistibility increases against targets higher than level 99.',100,2,4),
(73003,178794,'Cannot be modified except by direct means',100,2,5),
(73004,10178794,'When Equipped:',100,0,0),
(73005,10178794,'On a combat hit this spell may cast Silence V on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(73006,10178794,'Stifles target',100,2,2),
(73007,10178794,'Does not affect Epic targets',100,2,3),
(73008,10178794,'Resistibility increases against targets higher than level 99.',100,2,4),
(73009,10178794,'Cannot be modified except by direct means',100,2,5),
(73010,42575,'When Equipped:',100,0,0),
(73011,42575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73012,42575,'Inflicts 167 - 250 magic damage on target',100,2,2),
(73013,42575,'Cannot be modified except by direct means',100,2,3),
(73014,10042575,'When Equipped:',100,0,0),
(73015,10042575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73016,10042575,'Inflicts 233 - 350 magic damage on target',100,2,2),
(73017,10042575,'Cannot be modified except by direct means',100,2,3),
(73018,104225,'Inflicts 140 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(73019,104225,'Decreases WIS of target encounter by 65.8',100,1,1),
(73020,10104225,'Inflicts 195 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(73021,10104225,'Decreases WIS of target encounter by 65.8',100,1,1),
(73022,117508,'Increases AGI, INT and WIS of group members (AE) by 5.5',100,1,0),
(73023,117508,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 12',100,1,1),
(73024,10117508,'Increases AGI, INT and WIS of group members (AE) by 5.5',100,1,0),
(73025,10117508,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 12',100,1,1),
(73026,112478,'Decreases AGI and WIS of target by 45.8',100,1,0),
(73027,10112478,'Decreases AGI and WIS of target by 45.8',100,1,0),
(73028,82561,'When Equipped:',100,0,0),
(73029,82561,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(73030,82561,'Inflicts 101 - 188 magic damage on target',100,2,2),
(73031,82561,'Decreases Threat to target by 259 ',100,2,3),
(73032,82561,'Must be flanking or behind',100,3,4),
(73033,82561,'Increases Threat to target by 259 ',100,2,5),
(73034,82561,'Must be in front of',100,3,6),
(73035,82561,'Cannot be modified except by direct means',100,2,7),
(73036,10082561,'When Equipped:',100,0,0),
(73037,10082561,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(73038,10082561,'Inflicts 142 - 263 magic damage on target',100,2,2),
(73039,10082561,'Cannot be modified except by direct means',100,2,3),
(73040,119494,'Dazes target encounter',100,1,0),
(73041,119494,'If Target is not Epic',100,2,1),
(73042,119494,'Inflicts 272 - 333 magic damage on target encounter instantly and every second',100,1,2),
(73043,119494,'Resistibility increases against targets higher than level 96.',100,1,3),
(73044,10119494,'Dazes target encounter',100,1,0),
(73045,10119494,'If Target is not Epic',100,2,1),
(73046,10119494,'Inflicts 502 - 613 magic damage on target encounter',100,1,2),
(73047,10119494,'Inflicts 381 - 466 magic damage on target encounter every second',100,1,3),
(73048,10119494,'Resistibility increases against targets higher than level 96.',100,1,4),
(73049,101400,'Inflicts 299 - 499 melee damage on target',100,1,0),
(73050,101400,'Returns the last arrow used to the ranger.',100,1,1),
(73051,10101400,'Inflicts 389 - 649 melee damage on target',100,1,0),
(73052,10101400,'Returns the last arrow used to the ranger.',100,1,1),
(73053,120573,'Inflicts 7203 - 12006 ranged damage on target',100,1,0),
(73054,120573,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(73055,120573,'Stuns target',100,2,2),
(73056,120573,'Blurs vision of target',100,2,3),
(73057,120573,'Throws target back',100,2,4),
(73058,120573,'Does not affect Epic targets',100,2,5),
(73059,120573,'I need to be stealthed!',100,1,6),
(73060,120573,'Requires bow',100,1,7),
(73061,10120573,'Inflicts 4113 - 6856 melee damage on target',100,1,0),
(73062,10120573,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(73063,10120573,'Stuns target',100,2,2),
(73064,10120573,'Blurs vision of target',100,2,3),
(73065,10120573,'Throws target back',100,2,4),
(73066,10120573,'Does not affect Epic targets',100,2,5),
(73067,10120573,'I need to be stealthed!',100,1,6),
(73068,100821,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(73069,100821,'Increases Parry of caster by 4.4',100,1,1),
(73070,10100821,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(73071,10100821,'Increases Parry of caster by 4.4',100,1,1),
(73072,122984,'Decreases Damage Per Second of target encounter by 11.2',100,1,0),
(73073,10122984,'Decreases Damage Per Second of target encounter by 11.2',100,1,0),
(73074,81305,'When Equipped:',100,0,0),
(73075,81305,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73076,81305,'Inflicts 270 - 502 magic damage on target',100,2,2),
(73077,81305,'Cannot be modified except by direct means',100,2,3),
(73078,10081305,'When Equipped:',100,0,0),
(73079,10081305,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73080,10081305,'Inflicts 378 - 703 magic damage on target',100,2,2),
(73081,10081305,'Cannot be modified except by direct means',100,2,3),
(73082,48443,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(73083,48443,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(73084,48443,'Inflicts 75 poison damage on target',100,2,2),
(73085,48443,'Inflicts 66 poison damage on target instantly and every 6 seconds',100,2,3),
(73086,48443,'Cannot be modified except by direct means',100,2,4),
(73087,48443,'Grants a total of 200 triggers of the spell.',100,2,5),
(73088,10048443,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(73089,10048443,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(73090,10048443,'Inflicts 79 poison damage on target',100,2,2),
(73091,10048443,'Inflicts 69 poison damage on target instantly and every 6 seconds',100,2,3),
(73092,10048443,'Cannot be modified except by direct means',100,2,4),
(73093,10048443,'Grants a total of 200 triggers of the spell.',100,2,5),
(73094,82432,'Applies Imbued Smite when Equipped.',100,0,0),
(73095,82432,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73096,82432,'Inflicts 545 divine damage on target instantly and every second',100,2,2),
(73097,82432,'Cannot be modified except by direct means',100,2,3),
(73098,82432,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(73099,82432,'Inflicts 545 divine damage on target instantly and every second',100,2,5),
(73100,82432,'Cannot be modified except by direct means',100,2,6),
(73101,10082432,'Applies Imbued Smite when Equipped.',100,0,0),
(73102,10082432,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73103,10082432,'Inflicts 762 divine damage on target instantly and every second',100,2,2),
(73104,10082432,'Cannot be modified except by direct means',100,2,3),
(73105,10082432,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(73106,10082432,'Inflicts 762 divine damage on target instantly and every second',100,2,5),
(73107,10082432,'Cannot be modified except by direct means',100,2,6),
(73108,112073,'Inflicts 13 - 21 heat damage on target instantly and every 2 seconds',100,1,0),
(73109,10112073,'Inflicts 43 - 72 heat damage on target instantly and every 2 seconds',100,1,0),
(73110,47769,'Applies Summon Stallion when Activated.',100,0,0),
(73111,47769,'Summons a mount to ride',100,1,1),
(73112,47769,'Increases your ground speed by 135%',100,2,2),
(73113,47769,'Increases Ministration, Aggression, Disruption, Subjugation, Slashing, Ranged, Focus, Crushing, Ordination and Piercing of caster by 5.0',100,1,3),
(73114,10047769,'Applies Summon Stallion when Activated.',100,0,0),
(73115,10047769,'Summons a mount to ride',100,1,1),
(73116,10047769,'Increases your ground speed by 135%',100,2,2),
(73117,10047769,'Increases Ministration, Aggression, Disruption, Subjugation, Slashing, Ranged, Focus, Crushing, Ordination and Piercing of caster by 5.0',100,1,3),
(73118,124471,'Heals group members (AE) for 120 - 146',100,1,0),
(73119,10124471,'Heals group members (AE) for 140 - 171',100,1,0),
(73120,71487,'When Equipped:',100,0,0),
(73121,71487,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73122,71487,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(73123,71487,'Cannot be modified except by direct means',100,2,3),
(73124,10071487,'When Equipped:',100,0,0),
(73125,10071487,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73126,10071487,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(73127,10071487,'Cannot be modified except by direct means',100,2,3),
(73128,109156,'Roots target',100,1,0),
(73129,109156,'Applies Blind.  Lasts for 4.0 seconds.',100,1,1),
(73130,109156,'Dazes target',100,2,2),
(73131,109156,'Blurs vision of target',100,2,3),
(73132,109156,'Dispelled when target takes damage',100,2,4),
(73133,109156,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(73134,109156,'5% chance to dispel when target takes damage',100,1,6),
(73135,109156,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,7),
(73136,109156,'Resistibility increases against targets higher than level 34.',100,1,8),
(73137,10109156,'Roots target',100,1,0),
(73138,10109156,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(73139,10109156,'Dazes target',100,2,2),
(73140,10109156,'Blurs vision of target',100,2,3),
(73141,10109156,'Dispelled when target takes damage',100,2,4),
(73142,10109156,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(73143,10109156,'5% chance to dispel when target takes damage',100,1,6),
(73144,10109156,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(73145,10109156,'Resistibility increases against targets higher than level 34.',100,1,8),
(73146,100057,'Decreases STR, AGI and WIS of target by 66.6',100,1,0),
(73147,10100057,'Decreases STR, AGI and WIS of target by 66.6',100,1,0),
(73148,163527,'When Equipped:',100,0,0),
(73149,163527,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(73150,163527,'Stuns target',100,2,2),
(73151,163527,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(73152,163527,'Resistibility increases against targets higher than level 44.',100,2,4),
(73153,163527,'Cannot be modified except by direct means',100,2,5),
(73154,10163527,'When Equipped:',100,0,0),
(73155,10163527,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(73156,10163527,'Stuns target',100,2,2),
(73157,10163527,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(73158,10163527,'Resistibility increases against targets higher than level 44.',100,2,4),
(73159,10163527,'Cannot be modified except by direct means',100,2,5),
(73160,107480,'Inflicts 283 - 848 magic damage on targets in Area of Effect',100,1,0),
(73161,107480,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(73162,107480,'Stuns target',100,2,2),
(73163,107480,'Blurs vision of target',100,2,3),
(73164,107480,'Throws target back',100,2,4),
(73165,107480,'Does not affect Epic targets',100,2,5),
(73166,10107480,'Inflicts 396 - 1188 magic damage on targets in Area of Effect',100,1,0),
(73167,10107480,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(73168,10107480,'Stuns target',100,2,2),
(73169,10107480,'Throws target back',100,2,3),
(73170,10107480,'Blurs vision of target',100,2,4),
(73171,10107480,'Does not affect Epic targets',100,2,5),
(73172,107269,'Inflicts 175 - 292 ranged damage on target',100,1,0),
(73173,107269,'Inflicts 175 - 292 ranged damage on target',100,1,1),
(73174,107269,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(73175,107269,'Stuns target',100,2,3),
(73176,107269,'Blurs vision of target',100,2,4),
(73177,107269,'Throws target back',100,2,5),
(73178,107269,'Does not affect Epic targets',100,2,6),
(73179,107269,'If weapon equipped in Ranged',100,1,7),
(73180,10107269,'Inflicts 149 - 248 ranged damage on target',100,1,0),
(73181,10107269,'Inflicts 149 - 248 ranged damage on target',100,1,1),
(73182,10107269,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(73183,10107269,'Stuns target',100,2,3),
(73184,10107269,'Blurs vision of target',100,2,4),
(73185,10107269,'Throws target back',100,2,5),
(73186,10107269,'Does not affect Epic targets',100,2,6),
(73187,10107269,'If weapon equipped in Ranged',100,1,7),
(73188,35329,'Increases STR of target by 1.6',100,0,0),
(73189,35329,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(73190,109501,'Inflicts 49 - 59 disease damage on target instantly and every 4 seconds',100,1,0),
(73191,109501,'Decreases Attack Speed of target by 6.2',100,1,1),
(73192,10109501,'Inflicts 68 - 83 disease damage on target instantly and every 4 seconds',100,1,0),
(73193,10109501,'Decreases Attack Speed of target by 6.2',100,1,1),
(73194,103841,'Increases Ability Casting Speed of raid and group members (AE) by 8.0%',100,1,0),
(73195,103841,'Increases Attack Speed of raid and group members (AE) by 20.1',100,1,1),
(73196,10103841,'Increases Ability Casting Speed of raid and group members (AE) by 8.0%',100,1,0),
(73197,10103841,'Increases Attack Speed of raid and group members (AE) by 20.1',100,1,1),
(73198,47431,'Applies Call Onyx Armored Rhino with Purple Saddle when Activated.',100,0,0),
(73199,47431,'Increases Max Health of caster by 150.0',100,1,1),
(73200,47431,'Summons a mount to ride',100,1,2),
(73201,47431,'Increases your ground speed by 130%',100,2,3),
(73202,47431,'Increases Defense of caster by 5.0',100,1,4),
(73203,47431,'Increases Focus, Slashing, Piercing, Ranged and Crushing of caster by 7.0',100,1,5),
(73204,10047431,'Applies Call Onyx Armored Rhino with Purple Saddle when Activated.',100,0,0),
(73205,10047431,'Increases Max Health of caster by 150.0',100,1,1),
(73206,10047431,'Summons a mount to ride',100,1,2),
(73207,10047431,'Increases your ground speed by 130%',100,2,3),
(73208,10047431,'Increases Defense of caster by 5.0',100,1,4),
(73209,10047431,'Increases Focus, Slashing, Piercing, Ranged and Crushing of caster by 7.0',100,1,5),
(73210,116894,'Wards group members (AE) against 2548 points of noxious damage',100,1,0),
(73211,116894,'Increases Mitigation of group members (AE) vs noxious damage by 1367',100,1,1),
(73212,10116894,'Wards group members (AE) against 2548 points of noxious damage',100,1,0),
(73213,10116894,'Increases Mitigation of group members (AE) vs noxious damage by 1367',100,1,1),
(73214,175118,'When Equipped:',100,0,0),
(73215,175118,'Increases Attack Speed of caster by 35.0',100,1,1),
(73216,10175118,'When Equipped:',100,0,0),
(73217,10175118,'Increases Attack Speed of caster by 35.0',100,1,1),
(73218,118957,'Applies Sacrifice.',100,1,0),
(73219,118957,'Heals group members (AE) for 382',100,2,1),
(73220,118957,'Increases power of group members (AE) by 109',100,2,2),
(73221,118957,'Stuns target',100,1,3),
(73222,10118957,'Applies Sacrifice.',100,1,0),
(73223,10118957,'Increases power of group members (AE) by 109',100,2,1),
(73224,10118957,'Heals group members (AE) for 531',100,2,2),
(73225,10118957,'Stuns target',100,1,3),
(73226,121054,'Increases STR and STA of group members (AE) by 13.9',100,1,0),
(73227,10121054,'Increases STR and STA of group members (AE) by 13.9',100,1,0),
(73228,45841,'Applies Consume Essence when Activated.',100,0,0),
(73229,45841,'Dispels 111 levels of any hostile effects on caster',100,1,1),
(73230,45841,'Heals group members (AE) for 349 - 427',100,1,2),
(73231,10045841,'Applies Consume Essence when Activated.',100,0,0),
(73232,10045841,'Dispels 111 levels of any hostile effects on caster',100,1,1),
(73233,10045841,'Heals group members (AE) for 227 - 277',100,1,2),
(73234,179215,'When Equipped:',100,0,0),
(73235,179215,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(73236,179215,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(73237,179215,'Must not be engaged in pvp combat',100,2,3),
(73238,179215,'Cannot be modified except by direct means',100,2,4),
(73239,179215,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(73240,179215,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(73241,179215,'Must not be engaged in pvp combat',100,2,7),
(73242,179215,'Cannot be modified except by direct means',100,2,8),
(73243,179215,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(73244,179215,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(73245,179215,'Must not be engaged in pvp combat',100,2,11),
(73246,179215,'Cannot be modified except by direct means',100,2,12),
(73247,179215,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(73248,179215,'Inflicts 20 piercing damage on target',100,2,14),
(73249,179215,'Must not be engaged in pvp combat',100,2,15),
(73250,179215,'Cannot be modified except by direct means',100,2,16),
(73251,10179215,'When Equipped:',100,0,0),
(73252,10179215,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(73253,10179215,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(73254,10179215,'Must not be engaged in pvp combat',100,2,3),
(73255,10179215,'Cannot be modified except by direct means',100,2,4),
(73256,10179215,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(73257,10179215,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(73258,10179215,'Must not be engaged in pvp combat',100,2,7),
(73259,10179215,'Cannot be modified except by direct means',100,2,8),
(73260,10179215,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(73261,10179215,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(73262,10179215,'Must not be engaged in pvp combat',100,2,11),
(73263,10179215,'Cannot be modified except by direct means',100,2,12),
(73264,10179215,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(73265,10179215,'Inflicts 28 piercing damage on target',100,2,14),
(73266,10179215,'Must not be engaged in pvp combat',100,2,15),
(73267,10179215,'Cannot be modified except by direct means',100,2,16),
(73268,141897,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(73269,141897,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(73270,141897,'Inflicts 29 heat damage on target',100,2,2),
(73271,141897,'Cannot be modified except by direct means',100,2,3),
(73272,10141897,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(73273,10141897,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(73274,10141897,'Inflicts 40 heat damage on target',100,2,2),
(73275,10141897,'Cannot be modified except by direct means',100,2,3),
(73276,170549,'When Equipped:',100,0,0),
(73277,170549,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(73278,170549,'Inflicts 1998 disease damage on target encounter',100,2,2),
(73279,170549,'Must not be engaged in pvp combat',100,2,3),
(73280,170549,'Cannot be modified except by direct means',100,2,4),
(73281,10170549,'When Equipped:',100,0,0),
(73282,10170549,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(73283,10170549,'Inflicts 1399 disease damage on target encounter',100,2,2),
(73284,10170549,'Must not be engaged in pvp combat',100,2,3),
(73285,10170549,'Cannot be modified except by direct means',100,2,4),
(73286,120287,'Target will lose 60% more power when power is consumed',100,1,0),
(73287,120287,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(73288,120287,'Inflicts 290 - 355 divine damage on target',100,2,2),
(73289,120287,'Grants a total of 3 triggers of the spell.',100,2,3),
(73290,10120287,'Target will lose 60% more power when power is consumed',100,1,0),
(73291,10120287,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(73292,10120287,'Inflicts 406 - 496 divine damage on target',100,2,2),
(73293,10120287,'Grants a total of 3 triggers of the spell.',100,2,3),
(73294,118498,'Summons a limited pet to aid the caster',100,1,0),
(73295,10118498,'Summons a limited pet to aid the caster',100,1,0),
(73296,35931,'Increases AGI of target by 1.6',100,0,0),
(73297,35931,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(73298,156901,'Applies Unstable Magics when Equipped.',100,0,0),
(73299,156901,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(73300,10156901,'Applies Unstable Magics when Equipped.',100,0,0),
(73301,10156901,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(73302,81746,'When Equipped:',100,0,0),
(73303,81746,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73304,81746,'Inflicts 127 - 236 magic damage on target',100,2,2),
(73305,81746,'Cannot be modified except by direct means',100,2,3),
(73306,10081746,'When Equipped:',100,0,0),
(73307,10081746,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73308,10081746,'Inflicts 178 - 331 magic damage on target',100,2,2),
(73309,10081746,'Cannot be modified except by direct means',100,2,3),
(73310,146321,'When Equipped:',100,0,0),
(73311,146321,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(73312,146321,'Decreases Damage Per Second of target by 10.0',100,2,2),
(73313,146321,'Cannot be modified except by direct means',100,2,3),
(73314,10146321,'When Equipped:',100,0,0),
(73315,10146321,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(73316,10146321,'Decreases Damage Per Second of target by 10.0',100,2,2),
(73317,10146321,'Cannot be modified except by direct means',100,2,3),
(73318,152436,'When Equipped:',100,0,0),
(73319,152436,'On a damage spell hit this spell may cast Mind Melting on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73320,152436,'Decreases Mitigation of target vs physical damage by 336',100,2,2),
(73321,152436,'Inflicts 350 mental damage on target',100,2,3),
(73322,152436,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 336',100,2,4),
(73323,152436,'Cannot be modified except by direct means',100,2,5),
(73324,152436,'Cannot be modified except by direct means',100,1,6),
(73325,152436,'When Equipped:',100,0,7),
(73326,152436,'Reduces reuse time of hostile spells by 1 percent.',100,1,8),
(73327,10152436,'When Equipped:',100,0,0),
(73328,10152436,'On a damage spell hit this spell may cast Mind Melting on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73329,10152436,'Decreases Mitigation of target vs physical damage by 336',100,2,2),
(73330,10152436,'Inflicts 491 mental damage on target',100,2,3),
(73331,10152436,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 336',100,2,4),
(73332,10152436,'Cannot be modified except by direct means',100,2,5),
(73333,10152436,'Cannot be modified except by direct means',100,1,6),
(73334,10152436,'When Equipped:',100,0,7),
(73335,10152436,'Reduces reuse time of hostile spells by 1 percent.',100,1,8),
(73336,45848,'Applies Consume Essence when Activated.',100,0,0),
(73337,45848,'Dispels 135 levels of any hostile effects on caster',100,1,1),
(73338,45848,'Heals group members (AE) for 500 - 612',100,1,2),
(73339,10045848,'Applies Consume Essence when Activated.',100,0,0),
(73340,10045848,'Dispels 135 levels of any hostile effects on caster',100,1,1),
(73341,10045848,'Heals group members (AE) for 325 - 398',100,1,2),
(73342,108509,'Increases AGI and WIS of group members (AE) by 13.9',100,1,0),
(73343,108509,'Adds 1.4% to base avoidance.',100,1,1),
(73344,108509,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 39',100,1,2),
(73345,10108509,'Increases AGI and WIS of group members (AE) by 13.9',100,1,0),
(73346,10108509,'Adds 1.4% to base avoidance.',100,1,1),
(73347,10108509,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 39',100,1,2),
(73348,121002,'Inflicts 132 - 220 poison damage on target',100,1,0),
(73349,121002,'Inflicts 33 - 55 poison damage on target instantly and every 4 seconds',100,1,1),
(73350,10121002,'Inflicts 171 - 286 poison damage on target',100,1,0),
(73351,10121002,'Inflicts 46 - 77 poison damage on target instantly and every 4 seconds',100,1,1),
(73352,48919,'Applies Translucent Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(73353,48919,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(73354,48919,'Inflicts 135 poison damage on target instantly and every 6 seconds',100,2,2),
(73355,48919,'Inflicts 261 poison damage on target',100,2,3),
(73356,48919,'Cannot be modified except by direct means',100,2,4),
(73357,48919,'Grants a total of 200 triggers of the spell.',100,2,5),
(73358,48919,'Only affects targets level 50 and above',100,1,6),
(73359,10048919,'Applies Translucent Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(73360,10048919,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(73361,10048919,'Inflicts 141 poison damage on target instantly and every 6 seconds',100,2,2),
(73362,10048919,'Inflicts 274 poison damage on target',100,2,3),
(73363,10048919,'Cannot be modified except by direct means',100,2,4),
(73364,10048919,'Grants a total of 200 triggers of the spell.',100,2,5),
(73365,10048919,'Only affects targets level 50 and above',100,1,6),
(73366,123025,'Wards group members (AE) collectively against 4654 total points of all damage',100,1,0),
(73367,10123025,'Wards group members (AE) collectively against 6932 total points of all damage',100,1,0),
(73368,105352,'Inflicts 660 - 1101 melee damage on target',100,1,0),
(73369,105352,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 917',100,1,1),
(73370,105352,'Must be flanking or behind',100,1,2),
(73371,10105352,'Inflicts 858 - 1431 melee damage on target',100,1,0),
(73372,10105352,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 917',100,1,1),
(73373,10105352,'Must be flanking or behind',100,1,2),
(73374,121387,'Roots caster',100,1,0),
(73375,121387,'Dazes caster',100,1,1),
(73376,121387,'Applies Steel Hail.',100,1,2),
(73377,121387,'Inflicts 483 - 805 ranged damage on target',100,2,3),
(73378,121387,'Stifles caster',100,1,4),
(73379,121387,'If weapon equipped in Ranged',100,1,5),
(73380,121387,'Resistibility increases against targets higher than level 84.',100,1,6),
(73381,10121387,'Roots caster',100,1,0),
(73382,10121387,'Dazes caster',100,1,1),
(73383,10121387,'Applies Steel Hail.',100,1,2),
(73384,10121387,'Inflicts 411 - 685 ranged damage on target',100,2,3),
(73385,10121387,'Stifles caster',100,1,4),
(73386,10121387,'If weapon equipped in Ranged',100,1,5),
(73387,10121387,'Resistibility increases against targets higher than level 84.',100,1,6),
(73388,74947,'When Equipped:',100,0,0),
(73389,74947,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73390,74947,'Inflicts 115 - 173 magic damage on target',100,2,2),
(73391,74947,'Cannot be modified except by direct means',100,2,3),
(73392,10074947,'When Equipped:',100,0,0),
(73393,10074947,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73394,10074947,'Inflicts 161 - 242 magic damage on target',100,2,2),
(73395,10074947,'Cannot be modified except by direct means',100,2,3),
(73396,115359,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(73397,115359,'Increases Parry of caster by 3.8',100,1,1),
(73398,10115359,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(73399,10115359,'Increases Parry of caster by 3.8',100,1,1),
(73400,124200,'Inflicts 395 - 658 melee damage on target',100,1,0),
(73401,10124200,'Inflicts 513 - 856 melee damage on target',100,1,0),
(73402,109672,'Inflicts 60 - 73 cold damage on target instantly and every 3 seconds',100,1,0),
(73403,10109672,'Inflicts 84 - 103 cold damage on target instantly and every 3 seconds',100,1,0),
(73404,25354,'When Equipped:',100,0,0),
(73405,25354,'Reduces the reuse time of Crescent Strike by 10 seconds and increases the base damage by 10%.',100,1,1),
(73406,25354,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(73407,10025354,'When Equipped:',100,0,0),
(73408,10025354,'Reduces the reuse time of Crescent Strike by 10 seconds and increases the base damage by 10%.',100,1,1),
(73409,10025354,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(73410,71845,'When Equipped:',100,0,0),
(73411,71845,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73412,71845,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(73413,71845,'Cannot be modified except by direct means',100,2,3),
(73414,10071845,'When Equipped:',100,0,0),
(73415,10071845,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73416,10071845,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(73417,10071845,'Cannot be modified except by direct means',100,2,3),
(73418,75342,'When Equipped:',100,0,0),
(73419,75342,'On a combat hit this spell may cast Mark of the Scorn on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73420,75342,'Inflicts 335 - 558 magic damage on target',100,2,2),
(73421,75342,'Cannot be modified except by direct means',100,2,3),
(73422,10075342,'When Equipped:',100,0,0),
(73423,10075342,'On a combat hit this spell may cast Mark of the Scorn on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73424,10075342,'Inflicts 469 - 781 magic damage on target',100,2,2),
(73425,10075342,'Cannot be modified except by direct means',100,2,3),
(73426,87308,'When Equipped:',100,0,0),
(73427,87308,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73428,87308,'Inflicts 95 - 143 magic damage on target',100,2,2),
(73429,87308,'Cannot be modified except by direct means',100,2,3),
(73430,10087308,'When Equipped:',100,0,0),
(73431,10087308,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73432,10087308,'Inflicts 133 - 200 magic damage on target',100,2,2),
(73433,10087308,'Cannot be modified except by direct means',100,2,3),
(73434,74891,'When Equipped:',100,0,0),
(73435,74891,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73436,74891,'Inflicts 146 - 219 magic damage on target',100,2,2),
(73437,74891,'Cannot be modified except by direct means',100,2,3),
(73438,10074891,'When Equipped:',100,0,0),
(73439,10074891,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73440,10074891,'Inflicts 204 - 306 magic damage on target',100,2,2),
(73441,10074891,'Cannot be modified except by direct means',100,2,3),
(73442,87277,'When Equipped:',100,0,0),
(73443,87277,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73444,87277,'Inflicts 133 - 200 magic damage on target',100,2,2),
(73445,87277,'Cannot be modified except by direct means',100,2,3),
(73446,10087277,'When Equipped:',100,0,0),
(73447,10087277,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73448,10087277,'Inflicts 187 - 280 magic damage on target',100,2,2),
(73449,10087277,'Cannot be modified except by direct means',100,2,3),
(73450,104380,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(73451,104380,'Inflicts 115 - 140 cold damage on target',100,2,1),
(73452,10104380,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(73453,10104380,'Inflicts 161 - 196 cold damage on target',100,2,1),
(73454,121610,'Roots targets in Area of Effect',100,1,0),
(73455,121610,'Decreases Threat to targets in Area of Effect by 357 ',100,1,1),
(73456,121610,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(73457,10121610,'Roots targets in Area of Effect',100,1,0),
(73458,10121610,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,1),
(73459,82483,'When Equipped:',100,0,0),
(73460,82483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73461,82483,'Inflicts 164 - 305 magic damage on target',100,2,2),
(73462,82483,'Cannot be modified except by direct means',100,2,3),
(73463,10082483,'When Equipped:',100,0,0),
(73464,10082483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73465,10082483,'Inflicts 230 - 427 magic damage on target',100,2,2),
(73466,10082483,'Cannot be modified except by direct means',100,2,3),
(73467,74545,'Applies Fire Ball when Activated.',100,0,0),
(73468,74545,'Inflicts 294 - 490 heat damage on target',100,1,1),
(73469,74545,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(73470,10074545,'Applies Fire Ball when Activated.',100,0,0),
(73471,10074545,'Inflicts 411 - 685 heat damage on target',100,1,1),
(73472,10074545,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(73473,116568,'Inflicts 34 - 57 divine damage on target',100,1,0),
(73474,10116568,'Inflicts 44 - 74 divine damage on target',100,1,0),
(73475,159654,'When Equipped:',100,0,0),
(73476,159654,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73477,159654,'Increases STR of caster by 13.2',100,2,2),
(73478,159654,'Increases Damage Per Second of caster by 21.7',100,2,3),
(73479,159654,'Cannot be modified except by direct means',100,2,4),
(73480,10159654,'When Equipped:',100,0,0),
(73481,10159654,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73482,10159654,'Increases STR of caster by 13.2',100,2,2),
(73483,10159654,'Increases Damage Per Second of caster by 21.7',100,2,3),
(73484,10159654,'Cannot be modified except by direct means',100,2,4),
(73485,105930,'Inflicts 51 - 63 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(73486,105930,'Inflicts 119 - 199 disease damage on targets in area',100,1,1),
(73487,10105930,'Inflicts 72 - 88 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(73488,10105930,'Inflicts 155 - 259 disease damage on targets in area',100,1,1),
(73489,111560,'Inflicts 2531 - 4700 cold damage on target',100,1,0),
(73490,111560,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(73491,111560,'Stuns target',100,2,2),
(73492,111560,'Throws target back',100,2,3),
(73493,111560,'Blurs vision of target',100,2,4),
(73494,111560,'Does not affect Epic targets',100,2,5),
(73495,10111560,'Inflicts 2562 - 4758 cold damage on target',100,1,0),
(73496,10111560,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(73497,10111560,'Stuns target',100,2,2),
(73498,10111560,'Throws target back',100,2,3),
(73499,10111560,'Blurs vision of target',100,2,4),
(73500,10111560,'Does not affect Epic targets',100,2,5),
(73501,107908,'Mesmerizes target',100,1,0),
(73502,107908,'Prevents AOE (except when direct) ',100,1,1),
(73503,107908,'Dispelled when target takes damage',100,1,2),
(73504,107908,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(73505,107908,'Resistibility increases against targets higher than level 30.',100,1,4),
(73506,10107908,'Mesmerizes target',100,1,0),
(73507,10107908,'Prevents AOE (except when direct) ',100,1,1),
(73508,10107908,'Dispelled when target takes damage',100,1,2),
(73509,10107908,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(73510,10107908,'Resistibility increases against targets higher than level 30.',100,1,4),
(73511,152367,'When Equipped:',100,0,0),
(73512,152367,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(73513,152367,'Increases Threat to target by 50 ',100,2,2),
(73514,152367,'Cannot be modified except by direct means',100,2,3),
(73515,10152367,'When Equipped:',100,0,0),
(73516,10152367,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(73517,10152367,'Cannot be modified except by direct means',100,2,2),
(73518,80540,'When Equipped:',100,0,0),
(73519,80540,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(73520,80540,'Inflicts 104 - 194 magic damage on target',100,2,2),
(73521,80540,'Decreases Threat to target by 352 ',100,2,3),
(73522,80540,'Must be flanking or behind',100,3,4),
(73523,80540,'Increases Threat to target by 352 ',100,2,5),
(73524,80540,'Must be in front of',100,3,6),
(73525,80540,'Cannot be modified except by direct means',100,2,7),
(73526,10080540,'When Equipped:',100,0,0),
(73527,10080540,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(73528,10080540,'Inflicts 146 - 271 magic damage on target',100,2,2),
(73529,10080540,'Cannot be modified except by direct means',100,2,3),
(73530,100999,'Increases INT of target by 115.9',100,1,0),
(73531,100999,'Increases Attack Speed of target by 51.6',100,1,1),
(73532,100999,'Decreases Defense and Parry of target by 23.9',100,1,2),
(73533,100999,'Increases Slashing, Piercing and Crushing of target by 25.4',100,1,3),
(73534,10100999,'Increases INT of target by 115.9',100,1,0),
(73535,10100999,'Increases Attack Speed of target by 51.6',100,1,1),
(73536,10100999,'Decreases Defense and Parry of target by 23.9',100,1,2),
(73537,10100999,'Increases Slashing, Piercing and Crushing of target by 25.4',100,1,3),
(73538,109294,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(73539,109294,'Increases Mitigation of group members (AE) vs elemental damage by 431',100,1,1),
(73540,10109294,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(73541,10109294,'Increases Mitigation of group members (AE) vs elemental damage by 431',100,1,1),
(73542,104295,'Inflicts 143 - 239 melee damage on target',100,1,0),
(73543,104295,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(73544,104295,'Stuns target',100,2,2),
(73545,104295,'Throws target back',100,2,3),
(73546,104295,'Blurs vision of target',100,2,4),
(73547,104295,'Does not affect Epic targets',100,2,5),
(73548,10104295,'Inflicts 186 - 311 melee damage on target',100,1,0),
(73549,10104295,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(73550,10104295,'Stuns target',100,2,2),
(73551,10104295,'Throws target back',100,2,3),
(73552,10104295,'Blurs vision of target',100,2,4),
(73553,10104295,'Does not affect Epic targets',100,2,5),
(73554,109212,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.1',100,1,0),
(73555,10109212,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.1',100,1,0),
(73556,35435,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(73557,112879,'Inflicts 207 - 253 melee damage on target',100,1,0),
(73558,112879,'Decreases Mitigation of target vs physical damage by 198',100,1,1),
(73559,112879,'Must be flanking or behind',100,1,2),
(73560,10112879,'Inflicts 269 - 329 melee damage on target',100,1,0),
(73561,10112879,'Decreases Mitigation of target vs physical damage by 198',100,1,1),
(73562,10112879,'Must be flanking or behind',100,1,2),
(73563,48743,'Applies Translucent Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(73564,48743,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(73565,48743,'Only affects targets level 50 and above',100,1,2),
(73566,10048743,'Applies Translucent Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(73567,10048743,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(73568,10048743,'Only affects targets level 50 and above',100,1,2),
(73569,102428,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(73570,102428,'Heals target for 72 - 88',100,2,1),
(73571,102428,'Grants a total of 5 triggers of the spell.',100,2,2),
(73572,10102428,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(73573,10102428,'Heals target for 47 - 57',100,2,1),
(73574,10102428,'Grants a total of 5 triggers of the spell.',100,2,2),
(73575,109578,'Makes target afraid',100,1,0),
(73576,109578,'30% chance to dispel when target takes damage',100,1,1),
(73577,109578,'Does not affect Epic targets',100,1,2),
(73578,109578,'Resistibility increases against targets higher than level 97.',100,1,3),
(73579,10109578,'Makes target afraid',100,1,0),
(73580,10109578,'30% chance to dispel when target takes damage',100,1,1),
(73581,10109578,'Does not affect Epic targets',100,1,2),
(73582,10109578,'Resistibility increases against targets higher than level 97.',100,1,3),
(73583,71772,'When Equipped:',100,0,0),
(73584,71772,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73585,71772,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(73586,71772,'Cannot be modified except by direct means',100,2,3),
(73587,10071772,'When Equipped:',100,0,0),
(73588,10071772,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73589,10071772,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(73590,10071772,'Cannot be modified except by direct means',100,2,3),
(73591,158738,'When Equipped:',100,0,0),
(73592,158738,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73593,158738,'Reduces resistibility by 7%.',100,2,2),
(73594,158738,'Cannot be modified except by direct means',100,2,3),
(73595,10158738,'When Equipped:',100,0,0),
(73596,10158738,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73597,10158738,'Reduces resistibility by 7%.',100,2,2),
(73598,10158738,'Cannot be modified except by direct means',100,2,3),
(73599,108070,'Decreases Threat to target by 45 - 75 ',100,1,0),
(73600,10108070,'Forces target to clear their selected target.',100,1,0),
(73601,10108070,'Target cannot target caster for the duration of this effect.',100,1,1),
(73602,45981,'Applies Guard Dog when Activated.',100,0,0),
(73603,45981,'Summons a pet Guard Dog',100,1,1),
(73604,45981,'Buddy is already with you.',100,1,2),
(73605,45981,'If Betrayer',100,1,3),
(73606,10045981,'Applies Guard Dog when Activated.',100,0,0),
(73607,10045981,'Summons a pet Guard Dog',100,1,1),
(73608,10045981,'Buddy is already with you.',100,1,2),
(73609,10045981,'If Betrayer',100,1,3),
(73610,36243,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(73611,114847,'Decreases AGI of target by 7.5',100,1,0),
(73612,114847,'Decreases Defense of target by 2.4',100,1,1),
(73613,10114847,'Decreases AGI of target by 7.5',100,1,0),
(73614,10114847,'Decreases Defense of target by 2.4',100,1,1),
(73615,105910,'Inflicts 912 - 1521 melee damage on target',100,1,0),
(73616,105910,'If over 33% Health',100,2,1),
(73617,105910,'Inflicts 2737 - 4563 melee damage on target',100,1,2),
(73618,105910,'If under 33% Health',100,2,3),
(73619,105910,'Must be flanking or behind',100,1,4),
(73620,10105910,'Inflicts 1186 - 1977 melee damage on target',100,1,0),
(73621,10105910,'If over 20% Health',100,2,1),
(73622,10105910,'Inflicts 3163 - 5273 melee damage on target',100,1,2),
(73623,10105910,'If under 20% Health',100,2,3),
(73624,10105910,'Must be flanking or behind',100,1,4),
(73625,48393,'Applies Tether to the Disciple when Activated.',100,0,0),
(73626,10048393,'Applies Tether to the Disciple when Activated.',100,0,0),
(73627,115655,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1024',100,1,0),
(73628,10115655,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1024',100,1,0),
(73629,88264,'When Equipped:',100,0,0),
(73630,88264,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(73631,10088264,'When Equipped:',100,0,0),
(73632,10088264,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(73633,104750,'Applies Consecration.',100,1,0),
(73634,104750,'Inflicts 193 - 236 divine damage on targets in Area of Effect',100,2,1),
(73635,10104750,'Applies Consecration.',100,1,0),
(73636,10104750,'Inflicts 270 - 331 divine damage on targets in Area of Effect',100,2,1),
(73637,116731,'Inflicts 608 - 1014 melee damage on target',100,1,0),
(73638,10116731,'Inflicts 791 - 1319 melee damage on target',100,1,0),
(73639,134170,'When Equipped:',100,0,0),
(73640,134170,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(73641,134170,'Wards caster against 2000 points of all damage',100,2,2),
(73642,134170,'Cannot be modified except by direct means',100,2,3),
(73643,134170,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(73644,134170,'Wards caster against 2000 points of all damage',100,2,5),
(73645,134170,'Cannot be modified except by direct means',100,2,6),
(73646,10134170,'When Equipped:',100,0,0),
(73647,10134170,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(73648,10134170,'Wards caster against 1000 points of all damage',100,2,2),
(73649,10134170,'Cannot be modified except by direct means',100,2,3),
(73650,10134170,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(73651,10134170,'Wards caster against 1000 points of all damage',100,2,5),
(73652,10134170,'Cannot be modified except by direct means',100,2,6),
(73653,117254,'Inflicts 71 slashing damage on target every 4 seconds',100,1,0),
(73654,117254,'Inflicts 356 - 594 melee damage on target',100,1,1),
(73655,10117254,'Inflicts 100 slashing damage on target every 4 seconds',100,1,0),
(73656,10117254,'Inflicts 463 - 772 melee damage on target',100,1,1),
(73657,46769,'Applies Bind Book when Activated.',100,0,0),
(73658,46769,'Summon 1 Assistant Researcher''s Notes, Vol. 3, The High Council of Erudin',100,1,1),
(73659,46769,'This effect cannot be cast during combat',100,1,2),
(73660,46769,'Must have 12 Translated Pages',100,1,3),
(73661,46769,'Must have 1 Vial of Enchanted Ink',100,1,4),
(73662,46769,'Must have 1 fine volcanic ash',100,1,5),
(73663,10046769,'Applies Bind Book when Activated.',100,0,0),
(73664,10046769,'Summon 1 Assistant Researcher''s Notes, Vol. 3, The High Council of Erudin',100,1,1),
(73665,10046769,'This effect cannot be cast during combat',100,1,2),
(73666,10046769,'Must have 12 Translated Pages',100,1,3),
(73667,10046769,'Must have 1 Vial of Enchanted Ink',100,1,4),
(73668,10046769,'Must have 1 fine volcanic ash',100,1,5),
(73669,25301,'When Equipped:',100,0,0),
(73670,25301,'Adds 10% hate gain reduction to Befuddle VI.',100,1,1),
(73671,25301,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(73672,10025301,'When Equipped:',100,0,0),
(73673,10025301,'Adds 10% hate gain reduction to Befuddle VI.',100,1,1),
(73674,10025301,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(73675,105682,'Decreases Damage Per Second of target by 42.0',100,1,0),
(73676,105682,'Inflicts 624 - 1040 melee damage on target',100,1,1),
(73677,105682,'Must be flanking or behind',100,1,2),
(73678,10105682,'Decreases Damage Per Second of target by 42.0',100,1,0),
(73679,10105682,'Inflicts 811 - 1352 melee damage on target',100,1,1),
(73680,10105682,'Must be flanking or behind',100,1,2),
(73681,36609,'Increases INT and STA of target by 1.2',100,0,0),
(73682,36609,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(73683,159690,'When Equipped:',100,0,0),
(73684,159690,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73685,159690,'Increases WIS of caster by 21.4',100,2,2),
(73686,159690,'Increases Focus, Ministration and Ordination of caster by 12.0',100,2,3),
(73687,159690,'Cannot be modified except by direct means',100,2,4),
(73688,10159690,'When Equipped:',100,0,0),
(73689,10159690,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(73690,10159690,'Increases WIS of caster by 21.4',100,2,2),
(73691,10159690,'Increases Focus, Ministration and Ordination of caster by 12.0',100,2,3),
(73692,10159690,'Cannot be modified except by direct means',100,2,4),
(73693,25897,'When Equipped:',100,0,0),
(73694,25897,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(73695,25897,'Improves the base ward of Ward of the Untamed by 30%.',100,1,2),
(73696,10025897,'When Equipped:',100,0,0),
(73697,10025897,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(73698,10025897,'Improves the base ward of Ward of the Untamed by 30%.',100,1,2),
(73699,49005,'Applies Call Spectral Servant when Activated.',100,0,0),
(73700,49005,'Summons a mount to ride',100,1,1),
(73701,49005,'Increases your ground speed by 130%',100,2,2),
(73702,10049005,'Applies Call Spectral Servant when Activated.',100,0,0),
(73703,10049005,'Summons a mount to ride',100,1,1),
(73704,10049005,'Increases your ground speed by 130%',100,2,2),
(73705,36435,'Increases STR of target by 1.6',100,0,0),
(73706,36435,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(73707,172475,'When Equipped:',100,0,0),
(73708,172475,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(73709,172475,'Heals caster for 176 - 215',100,2,2),
(73710,172475,'Increases power of caster by 107',100,2,3),
(73711,172475,'Must not be engaged in pvp combat',100,2,4),
(73712,172475,'Cannot be modified except by direct means',100,2,5),
(73713,172475,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(73714,172475,'Heals caster for 176 - 215',100,2,7),
(73715,172475,'Increases power of caster by 107',100,2,8),
(73716,172475,'Must not be engaged in pvp combat',100,2,9),
(73717,172475,'Cannot be modified except by direct means',100,2,10),
(73718,10172475,'When Equipped:',100,0,0),
(73719,10172475,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(73720,10172475,'Heals caster for 115 - 140',100,2,2),
(73721,10172475,'Increases power of caster by 107',100,2,3),
(73722,10172475,'Must not be engaged in pvp combat',100,2,4),
(73723,10172475,'Cannot be modified except by direct means',100,2,5),
(73724,10172475,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(73725,10172475,'Heals caster for 115 - 140',100,2,7),
(73726,10172475,'Increases power of caster by 107',100,2,8),
(73727,10172475,'Must not be engaged in pvp combat',100,2,9),
(73728,10172475,'Cannot be modified except by direct means',100,2,10),
(73729,115057,'Heals target for 1855 - 2267',100,1,0),
(73730,10115057,'Heals target for 2598 - 3176',100,1,0),
(73731,111639,'Inflicts 58 - 71 cold damage on target encounter',100,1,0),
(73732,111639,'Slows target encounter by 31.6%',100,1,1),
(73733,111639,'5% chance to dispel when target takes damage',100,1,2),
(73734,111639,'5% chance to dispel when target receives hostile action',100,1,3),
(73735,10111639,'Inflicts 109 - 133 cold damage on target encounter',100,1,0),
(73736,10111639,'Slows target encounter by 31.6%',100,1,1),
(73737,10111639,'5% chance to dispel when target takes damage',100,1,2),
(73738,10111639,'5% chance to dispel when target receives hostile action',100,1,3),
(73739,106231,'Inflicts 416 - 1250 melee damage on target',100,1,0),
(73740,106231,'Stifles target',100,1,1),
(73741,106231,'If Target is not Epic',100,2,2),
(73742,106231,'Resistibility increases against targets higher than level 97.',100,1,3),
(73743,10106231,'Inflicts 542 - 1626 melee damage on target',100,1,0),
(73744,10106231,'Stifles target',100,1,1),
(73745,10106231,'If Target is not Epic',100,2,2),
(73746,10106231,'Resistibility increases against targets higher than level 97.',100,1,3),
(73747,40348,'When Equipped:',100,0,0),
(73748,40348,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(73749,40348,'Inflicts 167 - 278 heat damage on target',100,2,2),
(73750,40348,'Cannot be modified except by direct means',100,2,3),
(73751,10040348,'When Equipped:',100,0,0),
(73752,10040348,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(73753,10040348,'Inflicts 233 - 389 heat damage on target',100,2,2),
(73754,10040348,'Cannot be modified except by direct means',100,2,3),
(73755,108150,'Inflicts 323 - 539 melee damage on target',100,1,0),
(73756,108150,'You must be sneaking to use this ability.',100,1,1),
(73757,108150,'Must be flanking or behind',100,1,2),
(73758,10108150,'Inflicts 277 - 462 melee damage on target',100,1,0),
(73759,10108150,'You must be sneaking to use this ability.',100,1,1),
(73760,10108150,'Must be flanking or behind',100,1,2),
(73761,88232,'When Equipped:',100,0,0),
(73762,88232,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73763,88232,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(73764,88232,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(73765,88232,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,4),
(73766,88232,'Must not be engaged in pvp combat',100,2,5),
(73767,88232,'Cannot be modified except by direct means',100,2,6),
(73768,88232,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(73769,88232,'Cannot be modified except by direct means',100,1,8),
(73770,88232,'When Equipped:',100,0,9),
(73771,88232,'This effect will not stack with any rank or tier of itself.',100,1,10),
(73772,88232,'Increases Crit Bonus of caster by 4.0%',100,1,11),
(73773,88232,'Cannot be modified except by direct means',100,1,12),
(73774,10088232,'When Equipped:',100,0,0),
(73775,10088232,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(73776,10088232,'Inflicts 1110 - 1227 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(73777,10088232,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(73778,10088232,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,4),
(73779,10088232,'Must not be engaged in pvp combat',100,2,5),
(73780,10088232,'Cannot be modified except by direct means',100,2,6),
(73781,10088232,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(73782,10088232,'Cannot be modified except by direct means',100,1,8),
(73783,10088232,'When Equipped:',100,0,9),
(73784,10088232,'This effect will not stack with any rank or tier of itself.',100,1,10),
(73785,10088232,'Increases Crit Bonus of caster by 4.0%',100,1,11),
(73786,10088232,'Cannot be modified except by direct means',100,1,12),
(73787,47728,'Applies essence of health when Activated.',100,0,0),
(73788,47728,'Heals caster for 359',100,1,1),
(73789,10047728,'Applies essence of health when Activated.',100,0,0),
(73790,10047728,'Heals caster for 233',100,1,1),
(73791,42233,'When Equipped:',100,0,0),
(73792,42233,'Increases Attack Speed of caster by 4.5',100,1,1),
(73793,42233,'This effect will not stack with any rank or tier of itself.',100,1,2),
(73794,42233,'Increases Damage Per Second of caster by 11.0',100,1,3),
(73795,42233,'Cannot be modified except by direct means',100,1,4),
(73796,10042233,'When Equipped:',100,0,0),
(73797,10042233,'Increases Attack Speed of caster by 4.5',100,1,1),
(73798,10042233,'This effect will not stack with any rank or tier of itself.',100,1,2),
(73799,10042233,'Increases Damage Per Second of caster by 11.0',100,1,3),
(73800,10042233,'Cannot be modified except by direct means',100,1,4),
(73801,164697,'When Equipped:',100,0,0),
(73802,164697,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(73803,164697,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(73804,164697,'Inflicts 802 divine damage on target',100,2,3),
(73805,164697,'Must be classified as a vampire',100,3,4),
(73806,164697,'Inflicts 401 divine damage on target',100,2,5),
(73807,164697,'Must not be classified as a vampire',100,3,6),
(73808,164697,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(73809,164697,'Must be classified as a vampire',100,3,8),
(73810,164697,'Cannot be modified except by direct means',100,2,9),
(73811,10164697,'When Equipped:',100,0,0),
(73812,10164697,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(73813,10164697,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(73814,10164697,'Inflicts 1123 divine damage on target',100,2,3),
(73815,10164697,'Must be classified as a vampire',100,3,4),
(73816,10164697,'Inflicts 562 divine damage on target',100,2,5),
(73817,10164697,'Must not be classified as a vampire',100,3,6),
(73818,10164697,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(73819,10164697,'Must be classified as a vampire',100,3,8),
(73820,10164697,'Cannot be modified except by direct means',100,2,9),
(73821,114543,'Heals target for 327 - 400',100,1,0),
(73822,10114543,'Heals target for 426 - 520',100,1,0),
(73823,123453,'Shapechanges caster into a bear',100,1,0),
(73824,123453,'Increases WIS of caster by 49.8',100,1,1),
(73825,123453,'Grants See Stealth to caster',100,1,2),
(73826,123453,'Increases Max Health of caster by 197.4',100,1,3),
(73827,123453,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 767',100,1,4),
(73828,10123453,'Shapechanges caster into a bear',100,1,0),
(73829,10123453,'Increases WIS of caster by 49.8',100,1,1),
(73830,10123453,'Grants See Stealth to caster',100,1,2),
(73831,10123453,'Increases Max Health of caster by 197.4',100,1,3),
(73832,10123453,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 767',100,1,4),
(73833,112597,'Increases STA of caster by 19.4',100,1,0),
(73834,112597,'Reduces slow effects on caster by 9.0%',100,1,1),
(73835,112597,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 518',100,1,2),
(73836,10112597,'Increases STA of caster by 19.4',100,1,0),
(73837,10112597,'Reduces slow effects on caster by 9.0%',100,1,1),
(73838,10112597,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 518',100,1,2),
(73839,117509,'Increases AGI, INT and WIS of group members (AE) by 5.8',100,1,0),
(73840,117509,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 13',100,1,1),
(73841,10117509,'Increases AGI, INT and WIS of group members (AE) by 5.8',100,1,0),
(73842,10117509,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 13',100,1,1),
(73843,124156,'Decreases Attack Speed of target by 11.0',100,1,0),
(73844,10124156,'Decreases Attack Speed of target by 11.0',100,1,0),
(73845,123806,'Inflicts 39 - 65 magic damage on target',100,1,0),
(73846,123806,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(73847,123806,'Decreases Defense of target by 11.9',100,1,2),
(73848,123806,'Target will lose 18% more power when power is consumed',100,1,3),
(73849,123806,'18% of target''s power consumed will also be drained from target''s health',100,1,4),
(73850,10123806,'Inflicts 55 - 91 magic damage on target',100,1,0),
(73851,10123806,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(73852,10123806,'Decreases Defense of target by 11.9',100,1,2),
(73853,10123806,'Target will lose 18% more power when power is consumed',100,1,3),
(73854,10123806,'18% of target''s power consumed will also be drained from target''s health',100,1,4),
(73855,102147,'Inflicts 200 - 334 melee damage on target',100,1,0),
(73856,102147,'Inflicts 200 - 334 melee damage on target',100,1,1),
(73857,10102147,'Inflicts 261 - 435 melee damage on target',100,1,0),
(73858,10102147,'Inflicts 261 - 435 melee damage on target',100,1,1),
(73859,113091,'Heals target for 44.5 - 54.3% of max health',100,1,0),
(73860,113091,'This effect cannot be critically applied.',100,2,1),
(73861,113091,'Increases Max Health of target by 246.8',100,1,2),
(73862,113091,'Increases Mitigation of target vs physical damage by 323',100,1,3),
(73863,113091,'The healing of this spell cannot be modified except by direct means',100,1,4),
(73864,10113091,'Heals target for 17.8 - 21.7% of max health',100,1,0),
(73865,10113091,'This effect cannot be critically applied.',100,2,1),
(73866,10113091,'Increases Max Health of target by 246.8',100,1,2),
(73867,10113091,'Increases Mitigation of target vs physical damage by 323',100,1,3),
(73868,10113091,'The healing of this spell cannot be modified except by direct means',100,1,4),
(73869,119980,'Increases Threat to target by 366 - 447 ',100,1,0),
(73870,10119980,'Prevents target from changing targets',100,1,0),
(73871,10119980,'Forces target to change their selected target to caster.',100,1,1),
(73872,152851,'When Equipped:',100,0,0),
(73873,152851,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(73874,152851,'Decreases power of target by 253',100,2,2),
(73875,152851,'Increases power of caster by 156',100,2,3),
(73876,152851,'Cannot be modified except by direct means',100,2,4),
(73877,10152851,'When Equipped:',100,0,0),
(73878,10152851,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(73879,10152851,'Decreases power of target by 253',100,2,2),
(73880,10152851,'Increases power of caster by 156',100,2,3),
(73881,10152851,'Cannot be modified except by direct means',100,2,4),
(73882,47784,'Applies Aura of the Freeblood when Activated.',100,0,0),
(73883,47784,'Casts aura of the freeblood on the user',100,1,1),
(73884,10047784,'Applies Aura of the Freeblood when Activated.',100,0,0),
(73885,10047784,'Casts aura of the freeblood on the user',100,1,1),
(73886,177553,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(73887,177553,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(73888,177553,'Inflicts 122 heat damage on target',100,2,2),
(73889,177553,'Cannot be modified except by direct means',100,2,3),
(73890,10177553,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(73891,10177553,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(73892,10177553,'Inflicts 171 heat damage on target',100,2,2),
(73893,10177553,'Cannot be modified except by direct means',100,2,3),
(73894,46167,'Applies Intrinsic Mass when Activated.',100,0,0),
(73895,46167,'Heals caster for 50.0% of max health',100,1,1),
(73896,46167,'This effect cannot be critically applied.',100,2,2),
(73897,46167,'If any of the following are true:',100,1,3),
(73898,46167,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(73899,46167,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(73900,46167,'Must be in Covenant District [Solo].',100,2,6),
(73901,10046167,'Applies Intrinsic Mass when Activated.',100,0,0),
(73902,10046167,'Heals caster for 58.5% of max health',100,1,1),
(73903,10046167,'This effect cannot be critically applied.',100,2,2),
(73904,10046167,'If any of the following are true:',100,1,3),
(73905,10046167,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(73906,10046167,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(73907,10046167,'Must be in Covenant District [Solo].',100,2,6),
(73908,112221,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(73909,112221,'Inflicts 30 disease damage on target',100,2,1),
(73910,112221,'Increases Threat to target by 53 ',100,2,2),
(73911,112221,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 996',100,1,3),
(73912,10112221,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(73913,10112221,'Inflicts 42 disease damage on target',100,2,1),
(73914,10112221,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 996',100,1,2),
(73915,107899,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(73916,107899,'Slows target by 52.8%',100,2,1),
(73917,107899,'5% chance to dispel when target receives hostile action',100,2,2),
(73918,107899,'5% chance to dispel when target takes damage',100,2,3),
(73919,107899,'Slows target encounter by 63.4%',100,1,4),
(73920,107899,'5% chance to dispel when target takes damage',100,1,5),
(73921,10107899,'Slows target encounter by 63.4%',100,1,0),
(73922,10107899,'5% chance to dispel when target takes damage',100,1,1),
(73923,121264,'Inflicts 1967 - 2404 heat damage on target encounter',100,1,0),
(73924,10121264,'Inflicts 2754 - 3366 heat damage on target encounter',100,1,0),
(73925,113250,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(73926,113250,'Inflicts 59 - 98 magic damage on target',100,2,1),
(73927,113250,'Grants a total of 8 triggers of the spell.',100,2,2),
(73928,10113250,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(73929,10113250,'Inflicts 83 - 138 magic damage on target',100,2,1),
(73930,10113250,'Grants a total of 8 triggers of the spell.',100,2,2),
(73931,104354,'Charms target',100,1,0),
(73932,104354,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(73933,104354,'Mesmerizes target',100,2,2),
(73934,104354,'Dispelled when target takes damage',100,2,3),
(73935,104354,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(73936,104354,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(73937,104354,'Grants Sonic Vision to caster',100,2,6),
(73938,104354,'Increases Out-of-Combat Power Regeneration of target by 26.5',100,1,7),
(73939,104354,'Increases Out-of-Combat Health Regeneration of target by 53.0',100,1,8),
(73940,104354,'Certain enemies cannot be charmed',100,1,9),
(73941,104354,'Does not affect Epic targets',100,1,10),
(73942,10104354,'Mesmerizes target',100,1,0),
(73943,10104354,'Prevents AOE (except when direct) ',100,1,1),
(73944,10104354,'Dispelled when target takes damage',100,1,2),
(73945,10104354,'Certain enemies cannot be charmed',100,1,3),
(73946,10104354,'Does not affect Epic targets',100,1,4),
(73947,10104354,'Resistibility increases against targets higher than level 90.',100,1,5),
(73948,114771,'Feigns Death with 82% chance of success',100,1,0),
(73949,10114771,'Feigns Death with 82% chance of success',100,1,0),
(73950,121324,'Inflicts 1251 - 2085 ranged damage on targets in area',100,1,0),
(73951,121324,'Requires bow',100,1,1),
(73952,10121324,'Inflicts 957 - 1595 ranged damage on targets in area',100,1,0),
(73953,10121324,'Requires bow',100,1,1),
(73954,24034,'Adds Bertoxxulan Spectre to your Dungeon Maker toolbox',100,0,0),
(73955,10024034,'Adds Bertoxxulan Spectre to your Dungeon Maker toolbox',100,0,0),
(73956,104535,'Increases Threat to target by 584 - 714  instantly and by 116 - 142  every 2 seconds thereafter',100,1,0),
(73957,10104535,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(73958,46102,'Applies Elixir of Renewal when Activated.',100,0,0),
(73959,46102,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(73960,10046102,'Applies Elixir of Renewal when Activated.',100,0,0),
(73961,10046102,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(73962,87379,'When Equipped:',100,0,0),
(73963,87379,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73964,87379,'Inflicts 167 - 250 magic damage on target',100,2,2),
(73965,87379,'Cannot be modified except by direct means',100,2,3),
(73966,10087379,'When Equipped:',100,0,0),
(73967,10087379,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73968,10087379,'Inflicts 233 - 350 magic damage on target',100,2,2),
(73969,10087379,'Cannot be modified except by direct means',100,2,3),
(73970,112144,'Dispels 83 levels of physical and arcane hostile effects on caster',100,1,0),
(73971,10112144,'Dispels 83 levels of physical and arcane hostile effects on caster',100,1,0),
(73972,105162,'Increases AGI of caster by 47.0',100,1,0),
(73973,105162,'Adds 1.5% to base avoidance.',100,1,1),
(73974,105162,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(73975,105162,'Increases Parry of caster by 27.0',100,1,3),
(73976,105162,'Increases Defense of caster by 36.0',100,1,4),
(73977,10105162,'Increases AGI of caster by 47.0',100,1,0),
(73978,10105162,'Adds 1.5% to base avoidance.',100,1,1),
(73979,10105162,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(73980,10105162,'Increases Parry of caster by 27.0',100,1,3),
(73981,10105162,'Increases Defense of caster by 36.0',100,1,4),
(73982,48067,'Applies Silverwind''s Refreshment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(73983,48067,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(73984,10048067,'Applies Silverwind''s Refreshment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(73985,10048067,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(73986,102611,'Increases Threat to target encounter by 894 - 1,093 ',100,1,0),
(73987,102611,'Interrupts target encounter',100,1,1),
(73988,102611,'Decreases Mitigation of target encounter vs noxious damage by 608',100,1,2),
(73989,10102611,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(73990,10102611,'Prevents target from changing targets',100,2,1),
(73991,10102611,'Forces target to change their selected target to caster.',100,2,2),
(73992,10102611,'Interrupts target encounter',100,1,3),
(73993,10102611,'Decreases Mitigation of target encounter vs noxious damage by 608',100,1,4),
(73994,41647,'When Equipped:',100,0,0),
(73995,41647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(73996,41647,'Inflicts 164 - 305 magic damage on target',100,2,2),
(73997,41647,'Cannot be modified except by direct means',100,2,3),
(73998,10041647,'When Equipped:',100,0,0),
(73999,10041647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74000,10041647,'Inflicts 230 - 427 magic damage on target',100,2,2),
(74001,10041647,'Cannot be modified except by direct means',100,2,3),
(74002,141806,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(74003,141806,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(74004,141806,'Inflicts 42 heat damage on target',100,2,2),
(74005,141806,'Cannot be modified except by direct means',100,2,3),
(74006,10141806,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(74007,10141806,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(74008,10141806,'Inflicts 58 heat damage on target',100,2,2),
(74009,10141806,'Cannot be modified except by direct means',100,2,3),
(74010,102377,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(74011,102377,'Increases Attack Speed of target by 28.2',100,2,1),
(74012,102377,'Increases Damage Per Second of target by 28.2',100,2,2),
(74013,102377,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(74014,102377,'Increases Attack Speed of target by 28.2',100,2,4),
(74015,102377,'Increases Damage Per Second of target by 28.2',100,2,5),
(74016,102377,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(74017,102377,'Increases Attack Speed of target by 28.2',100,2,7),
(74018,102377,'Increases Damage Per Second of target by 28.2',100,2,8),
(74019,10102377,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(74020,10102377,'Increases Attack Speed of target by 28.2',100,2,1),
(74021,10102377,'Increases Damage Per Second of target by 28.2',100,2,2),
(74022,10102377,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(74023,10102377,'Increases Attack Speed of target by 28.2',100,2,4),
(74024,10102377,'Increases Damage Per Second of target by 28.2',100,2,5),
(74025,10102377,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(74026,10102377,'Increases Attack Speed of target by 28.2',100,2,7),
(74027,10102377,'Increases Damage Per Second of target by 28.2',100,2,8),
(74028,100494,'Increases Attack Speed of group members (AE) by 17.3',100,1,0),
(74029,10100494,'Increases Attack Speed of group members (AE) by 17.3',100,1,0),
(74030,115347,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(74031,115347,'Makes target afraid',100,2,1),
(74032,115347,'Slows target by 49.1%',100,2,2),
(74033,115347,'30% chance to dispel when target takes damage',100,2,3),
(74034,115347,'Does not affect Epic targets',100,2,4),
(74035,115347,'Resistibility increases against targets higher than level 102.',100,2,5),
(74036,115347,'Roots target',100,1,6),
(74037,115347,'15% chance to dispel when target takes damage',100,1,7),
(74038,115347,'Does not affect Epic targets',100,1,8),
(74039,115347,'Resistibility increases against targets higher than level 102.',100,1,9),
(74040,10115347,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(74041,10115347,'Makes target afraid',100,2,1),
(74042,10115347,'Slows target by 49.1%',100,2,2),
(74043,10115347,'30% chance to dispel when target takes damage',100,2,3),
(74044,10115347,'Does not affect Epic targets',100,2,4),
(74045,10115347,'Resistibility increases against targets higher than level 102.',100,2,5),
(74046,10115347,'Roots target',100,1,6),
(74047,10115347,'15% chance to dispel when target takes damage',100,1,7),
(74048,10115347,'Does not affect Epic targets',100,1,8),
(74049,10115347,'Resistibility increases against targets higher than level 102.',100,1,9),
(74050,116657,'Heals group members (AE) for 119 - 145',100,1,0),
(74051,10116657,'Heals group members (AE) for 77 - 94',100,1,0),
(74052,84011,'Applies Lightning Shock when Activated.',100,0,0),
(74053,84011,'Inflicts 566 - 943 magic damage on target',100,1,1),
(74054,84011,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(74055,10084011,'Applies Lightning Shock when Activated.',100,0,0),
(74056,10084011,'Inflicts 792 - 1320 magic damage on target',100,1,1),
(74057,10084011,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(74058,159539,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74059,159539,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74060,159539,'Inflicts 130 heat damage on target',100,2,2),
(74061,159539,'Cannot be modified except by direct means',100,2,3),
(74062,10159539,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74063,10159539,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74064,10159539,'Inflicts 182 heat damage on target',100,2,2),
(74065,10159539,'Cannot be modified except by direct means',100,2,3),
(74066,103431,'Decreases Threat to targets in Area of Effect by 5,092 ',100,1,0),
(74067,103431,'Slows targets in Area of Effect by 49.0%',100,1,1),
(74068,103431,'Stifles targets in Area of Effect',100,1,2),
(74069,103431,'If Target is not Epic',100,2,3),
(74070,103431,'10% chance to dispel when target receives hostile action',100,1,4),
(74071,103431,'10% chance to dispel when target takes damage',100,1,5),
(74072,10103431,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(74073,10103431,'Slows targets in Area of Effect by 49.0%',100,1,1),
(74074,10103431,'Stifles targets in Area of Effect',100,1,2),
(74075,10103431,'If Target is not Epic',100,2,3),
(74076,106147,'Inflicts 372 - 620 divine damage on target encounter',100,1,0),
(74077,106147,'Interrupts target encounter',100,1,1),
(74078,10106147,'Inflicts 521 - 868 divine damage on target encounter',100,1,0),
(74079,10106147,'Interrupts target encounter',100,1,1),
(74080,136512,'When Equipped:',100,0,0),
(74081,136512,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74082,136512,'Inflicts 2383 poison damage on target',100,2,2),
(74083,136512,'Heals caster for 1907',100,2,3),
(74084,136512,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,4),
(74085,136512,'Heals target for 1741',100,3,5),
(74086,136512,'This effect cannot be critically applied.',100,4,6),
(74087,136512,'Cannot be modified except by direct means',100,3,7),
(74088,136512,'Cannot be modified except by direct means',100,2,8),
(74089,136512,'Cannot be modified except by direct means',100,1,9),
(74090,10136512,'When Equipped:',100,0,0),
(74091,10136512,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74092,10136512,'Inflicts 1668 poison damage on target',100,2,2),
(74093,10136512,'Heals caster for 1115',100,2,3),
(74094,10136512,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,4),
(74095,10136512,'Heals target for 170',100,3,5),
(74096,10136512,'This effect cannot be critically applied.',100,4,6),
(74097,10136512,'Cannot be modified except by direct means',100,3,7),
(74098,10136512,'Cannot be modified except by direct means',100,2,8),
(74099,10136512,'Cannot be modified except by direct means',100,1,9),
(74100,121025,'Increases AGI of target by 13.5',100,1,0),
(74101,121025,'Adds 0.6% to base avoidance.',100,1,1),
(74102,121025,'Increases In-Combat Power Regeneration of target by 6.7',100,1,2),
(74103,121025,'Increases Max Power of target by 82.5',100,1,3),
(74104,10121025,'Increases AGI of target by 13.5',100,1,0),
(74105,10121025,'Adds 0.6% to base avoidance.',100,1,1),
(74106,10121025,'Increases In-Combat Power Regeneration of target by 6.7',100,1,2),
(74107,10121025,'Increases Max Power of target by 82.5',100,1,3),
(74108,121350,'Inflicts 12 - 23 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(74109,10121350,'Inflicts 17 - 32 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(74110,116941,'Increases Threat to target by 89 - 108 ',100,1,0),
(74111,116941,'Interrupts target',100,1,1),
(74112,10116941,'Forces target to change their selected target to caster.',100,1,0),
(74113,10116941,'Interrupts target',100,1,1),
(74114,10116941,'Prevents target from changing targets',100,1,2),
(74115,175786,'When Equipped:',100,0,0),
(74116,175786,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74117,175786,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(74118,175786,'Dispelled when target casts a hostile spell',100,2,3),
(74119,175786,'Dispelled when target casts a combat art',100,2,4),
(74120,175786,'Cannot be modified except by direct means',100,2,5),
(74121,10175786,'When Equipped:',100,0,0),
(74122,10175786,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74123,10175786,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(74124,10175786,'Dispelled when target casts a hostile spell',100,2,3),
(74125,10175786,'Dispelled when target casts a combat art',100,2,4),
(74126,10175786,'Cannot be modified except by direct means',100,2,5),
(74127,122469,'Inflicts 1645 - 2742 magic damage on target',100,1,0),
(74128,10122469,'Inflicts 2303 - 3839 magic damage on target',100,1,0),
(74129,132063,'When Equipped:',100,0,0),
(74130,132063,'Increases STR, INT, AGI and WIS of caster by 50.0',100,1,1),
(74131,132063,'Increases Potency of caster by 3.5%',100,1,2),
(74132,132063,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(74133,132063,'Cannot be modified except by direct means',100,1,4),
(74134,132063,'When Equipped:',100,0,5),
(74135,132063,'Increases Attack Speed of caster by 45.0',100,1,6),
(74136,10132063,'When Equipped:',100,0,0),
(74137,10132063,'Increases STR, INT, AGI and WIS of caster by 50.0',100,1,1),
(74138,10132063,'Increases Potency of caster by 3.5%',100,1,2),
(74139,10132063,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(74140,10132063,'Cannot be modified except by direct means',100,1,4),
(74141,10132063,'When Equipped:',100,0,5),
(74142,10132063,'Increases Attack Speed of caster by 45.0',100,1,6),
(74143,111727,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(74144,111727,'Inflicts 230 - 281 cold damage on target',100,2,1),
(74145,111727,'Grants a total of 3 triggers of the spell.',100,2,2),
(74146,10111727,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(74147,10111727,'Inflicts 322 - 394 cold damage on target',100,2,1),
(74148,10111727,'Grants a total of 3 triggers of the spell.',100,2,2),
(74149,24189,'Adds Crushbone: Gold-rimmed Tome to your Dungeon Maker toolbox',100,0,0),
(74150,10024189,'Adds Crushbone: Gold-rimmed Tome to your Dungeon Maker toolbox',100,0,0),
(74151,104169,'Increases Threat to target encounter by 328 - 401 ',100,1,0),
(74152,104169,'Interrupts target encounter',100,1,1),
(74153,10104169,'Forces target encounter to change their selected target to caster.',100,1,0),
(74154,10104169,'Interrupts target encounter',100,1,1),
(74155,10104169,'Prevents target encounter from changing targets',100,1,2),
(74156,155820,'When Equipped:',100,0,0),
(74157,155820,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(74158,155820,'Reduces the power cost of spells by 10%.',100,2,2),
(74159,155820,'Cannot be modified except by direct means',100,2,3),
(74160,10155820,'When Equipped:',100,0,0),
(74161,10155820,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(74162,10155820,'Reduces the power cost of spells by 10%.',100,2,2),
(74163,10155820,'Cannot be modified except by direct means',100,2,3),
(74164,164369,'When Equipped:',100,0,0),
(74165,164369,'On a critical combat hit this spell may cast Discombobulate IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(74166,164369,'Inflicts 2561 - 2831 mental damage on target',100,2,2),
(74167,164369,'Decreases Threat to target by 4,884 - 5,399 ',100,2,3),
(74168,164369,'Must not be engaged in pvp combat',100,2,4),
(74169,164369,'Cannot be modified except by direct means',100,2,5),
(74170,164369,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(74171,164369,'On a critical spell hit this spell may cast Discombobulate IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(74172,164369,'Inflicts 2561 - 2831 mental damage on target',100,2,8),
(74173,164369,'Decreases Threat to target by 4,884 - 5,399 ',100,2,9),
(74174,164369,'Must not be engaged in pvp combat',100,2,10),
(74175,164369,'Cannot be modified except by direct means',100,2,11),
(74176,164369,'Cannot be modified except by direct means',100,1,12),
(74177,10164369,'When Equipped:',100,0,0),
(74178,10164369,'On a critical combat hit this spell may cast Discombobulate IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(74179,10164369,'Inflicts 3586 - 3963 mental damage on target',100,2,2),
(74180,10164369,'Must not be engaged in pvp combat',100,2,3),
(74181,10164369,'Cannot be modified except by direct means',100,2,4),
(74182,10164369,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(74183,10164369,'On a critical spell hit this spell may cast Discombobulate IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(74184,10164369,'Inflicts 3586 - 3963 mental damage on target',100,2,7),
(74185,10164369,'Must not be engaged in pvp combat',100,2,8),
(74186,10164369,'Cannot be modified except by direct means',100,2,9),
(74187,10164369,'Cannot be modified except by direct means',100,1,10),
(74188,102014,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(74189,102014,'Wards target against 242 points of all damage',100,2,1),
(74190,10102014,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(74191,10102014,'Wards target against 242 points of all damage',100,2,1),
(74192,37199,'Increases STA of target by 0.4',100,0,0),
(74193,37199,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(74194,80567,'When Equipped:',100,0,0),
(74195,80567,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(74196,80567,'Inflicts 104 - 194 magic damage on target',100,2,2),
(74197,80567,'Decreases Threat to target by 352 ',100,2,3),
(74198,80567,'Must be flanking or behind',100,3,4),
(74199,80567,'Increases Threat to target by 352 ',100,2,5),
(74200,80567,'Must be in front of',100,3,6),
(74201,80567,'Cannot be modified except by direct means',100,2,7),
(74202,10080567,'When Equipped:',100,0,0),
(74203,10080567,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(74204,10080567,'Inflicts 146 - 271 magic damage on target',100,2,2),
(74205,10080567,'Cannot be modified except by direct means',100,2,3),
(74206,102984,'Increases STR and AGI of group members (AE) by 59.7',100,1,0),
(74207,10102984,'Increases STR and AGI of group members (AE) by 59.7',100,1,0),
(74208,173359,'When Equipped:',100,0,0),
(74209,173359,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74210,173359,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(74211,173359,'Dispelled when target casts a hostile spell',100,2,3),
(74212,173359,'Dispelled when target casts a combat art',100,2,4),
(74213,173359,'Cannot be modified except by direct means',100,2,5),
(74214,10173359,'When Equipped:',100,0,0),
(74215,10173359,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74216,10173359,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(74217,10173359,'Dispelled when target casts a hostile spell',100,2,3),
(74218,10173359,'Dispelled when target casts a combat art',100,2,4),
(74219,10173359,'Cannot be modified except by direct means',100,2,5),
(74220,119819,'Transfers 27% of group members (AE)''s current Threat to the caster',100,1,0),
(74221,10119819,'When damaged this spell has a 50% chance to cast Annoy on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,0),
(74222,10119819,'Prevents target from changing targets',100,2,1),
(74223,10119819,'Forces target to change their selected target to caster.',100,2,2),
(74224,106018,'Inflicts 335 - 409 divine damage on target instantly and every 3 seconds',100,1,0),
(74225,106018,'Decreases Defense of target by 41.7',100,1,1),
(74226,10106018,'Inflicts 313 - 382 divine damage on target instantly and every 3 seconds',100,1,0),
(74227,10106018,'Decreases Defense of target by 41.7',100,1,1),
(74228,82566,'When Equipped:',100,0,0),
(74229,82566,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(74230,82566,'Inflicts 101 - 188 magic damage on target',100,2,2),
(74231,82566,'Decreases Threat to target by 259 ',100,2,3),
(74232,82566,'Must be flanking or behind',100,3,4),
(74233,82566,'Increases Threat to target by 259 ',100,2,5),
(74234,82566,'Must be in front of',100,3,6),
(74235,82566,'Cannot be modified except by direct means',100,2,7),
(74236,10082566,'When Equipped:',100,0,0),
(74237,10082566,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(74238,10082566,'Inflicts 142 - 263 magic damage on target',100,2,2),
(74239,10082566,'Cannot be modified except by direct means',100,2,3),
(74240,104191,'Increases Threat to target encounter by 1,220 - 1,491 ',100,1,0),
(74241,104191,'Interrupts target encounter',100,1,1),
(74242,10104191,'Forces target encounter to change their selected target to caster.',100,1,0),
(74243,10104191,'Interrupts target encounter',100,1,1),
(74244,10104191,'Prevents target encounter from changing targets',100,1,2),
(74245,40222,'When Equipped:',100,0,0),
(74246,40222,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74247,40222,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(74248,40222,'Cannot be modified except by direct means',100,2,3),
(74249,10040222,'When Equipped:',100,0,0),
(74250,10040222,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74251,10040222,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(74252,10040222,'Cannot be modified except by direct means',100,2,3),
(74253,81991,'When Equipped:',100,0,0),
(74254,81991,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74255,81991,'Inflicts 182 - 339 magic damage on target',100,2,2),
(74256,81991,'Cannot be modified except by direct means',100,2,3),
(74257,10081991,'When Equipped:',100,0,0),
(74258,10081991,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74259,10081991,'Inflicts 255 - 474 magic damage on target',100,2,2),
(74260,10081991,'Cannot be modified except by direct means',100,2,3),
(74261,109179,'Roots target',100,1,0),
(74262,109179,'Applies Blind.  Lasts for 8.0 seconds.',100,1,1),
(74263,109179,'Dazes target',100,2,2),
(74264,109179,'Blurs vision of target',100,2,3),
(74265,109179,'Dispelled when target takes damage',100,2,4),
(74266,109179,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(74267,109179,'5% chance to dispel when target takes damage',100,1,6),
(74268,109179,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,7),
(74269,109179,'Resistibility increases against targets higher than level 90.',100,1,8),
(74270,10109179,'Roots target',100,1,0),
(74271,10109179,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(74272,10109179,'Dazes target',100,2,2),
(74273,10109179,'Blurs vision of target',100,2,3),
(74274,10109179,'Dispelled when target takes damage',100,2,4),
(74275,10109179,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(74276,10109179,'5% chance to dispel when target takes damage',100,1,6),
(74277,10109179,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(74278,10109179,'Resistibility increases against targets higher than level 90.',100,1,8),
(74279,104718,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(74280,104718,'Decreases Mitigation of target vs elemental and arcane damage by 420',100,2,1),
(74281,104718,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(74282,104718,'Decreases Mitigation of target vs elemental and arcane damage by 420',100,2,3),
(74283,10104718,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(74284,10104718,'Decreases Mitigation of target vs elemental and arcane damage by 420',100,2,1),
(74285,10104718,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(74286,10104718,'Decreases Mitigation of target vs elemental and arcane damage by 420',100,2,3),
(74287,101945,'Inflicts 220 piercing damage on target instantly and every 4 seconds',100,1,0),
(74288,101945,'Inflicts 661 - 1102 melee damage on target',100,1,1),
(74289,101945,'Must be behind',100,1,2),
(74290,10101945,'Inflicts 309 piercing damage on target instantly and every 4 seconds',100,1,0),
(74291,10101945,'Inflicts 859 - 1432 melee damage on target',100,1,1),
(74292,10101945,'Must be behind',100,1,2),
(74293,26145,'When Equipped:',100,0,0),
(74294,26145,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(74295,26145,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(74296,10026145,'When Equipped:',100,0,0),
(74297,10026145,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(74298,10026145,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(74299,45718,'Applies Rollian''s Reclamation  when Activated.',100,0,0),
(74300,45718,'Heals caster for 151',100,1,1),
(74301,10045718,'Applies Rollian''s Reclamation  when Activated.',100,0,0),
(74302,10045718,'Heals caster for 98',100,1,1),
(74303,146199,'When Equipped:',100,0,0),
(74304,146199,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(74305,146199,'Stuns target',100,2,2),
(74306,146199,'Only affects targets level 125 and below',100,2,3),
(74307,146199,'Does not affect Epic targets',100,2,4),
(74308,146199,'Resistibility increases against targets higher than level 109.',100,2,5),
(74309,146199,'Cannot be modified except by direct means',100,2,6),
(74310,10146199,'When Equipped:',100,0,0),
(74311,10146199,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(74312,10146199,'Stuns target',100,2,2),
(74313,10146199,'Only affects targets level 125 and below',100,2,3),
(74314,10146199,'Does not affect Epic targets',100,2,4),
(74315,10146199,'Resistibility increases against targets higher than level 109.',100,2,5),
(74316,10146199,'Cannot be modified except by direct means',100,2,6),
(74317,121102,'Decreases Threat to targets in Area of Effect by 1,305 ',100,1,0),
(74318,121102,'Mesmerizes targets in Area of Effect',100,1,1),
(74319,121102,'If Target is not Epic',100,2,2),
(74320,121102,'Dispelled when target takes damage',100,1,3),
(74321,10121102,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(74322,10121102,'Applies Distract.',100,1,1),
(74323,10121102,'Forces target to clear their selected target.',100,2,2),
(74324,10121102,'Mesmerizes targets in Area of Effect',100,1,3),
(74325,10121102,'If Target is not Epic',100,2,4),
(74326,10121102,'Dispelled when target takes damage',100,1,5),
(74327,123369,'Heals group members (AE) for 628 - 767',100,1,0),
(74328,10123369,'Heals group members (AE) for 764 - 934',100,1,0),
(74329,80497,'When Equipped:',100,0,0),
(74330,80497,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(74331,80497,'Inflicts 424 - 788 magic damage on target',100,2,2),
(74332,80497,'Decreases Threat to target by 1,219 ',100,2,3),
(74333,80497,'Must be flanking or behind',100,3,4),
(74334,80497,'Increases Threat to target by 1,219 ',100,2,5),
(74335,80497,'Must be in front of',100,3,6),
(74336,80497,'Cannot be modified except by direct means',100,2,7),
(74337,10080497,'When Equipped:',100,0,0),
(74338,10080497,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(74339,10080497,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(74340,10080497,'Cannot be modified except by direct means',100,2,3),
(74341,87177,'When Equipped:',100,0,0),
(74342,87177,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74343,87177,'Inflicts 65 - 98 magic damage on target',100,2,2),
(74344,87177,'Cannot be modified except by direct means',100,2,3),
(74345,10087177,'When Equipped:',100,0,0),
(74346,10087177,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74347,10087177,'Inflicts 91 - 137 magic damage on target',100,2,2),
(74348,10087177,'Cannot be modified except by direct means',100,2,3),
(74349,160013,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74350,160013,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74351,160013,'Inflicts 215 heat damage on target',100,2,2),
(74352,160013,'Cannot be modified except by direct means',100,2,3),
(74353,10160013,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74354,10160013,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74355,10160013,'Inflicts 301 heat damage on target',100,2,2),
(74356,10160013,'Cannot be modified except by direct means',100,2,3),
(74357,103480,'Increases In-Combat Power Regeneration of group members (AE) by 19.5',100,1,0),
(74358,10103480,'Increases In-Combat Power Regeneration of group members (AE) by 19.5',100,1,0),
(74359,26738,'Applies Greater Uncanny Insight I when Equipped.',100,0,0),
(74360,26738,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,1),
(74361,26738,'\\#FF0000 This effect will not stack with any rank or tier of itself. \\/c',100,1,2),
(74362,26738,'Must not be engaged in pvp combat',100,1,3),
(74363,10026738,'Applies Greater Uncanny Insight I when Equipped.',100,0,0),
(74364,10026738,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,1),
(74365,10026738,'\\#FF0000 This effect will not stack with any rank or tier of itself. \\/c',100,1,2),
(74366,10026738,'Must not be engaged in pvp combat',100,1,3),
(74367,71832,'When Equipped:',100,0,0),
(74368,71832,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(74369,71832,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(74370,71832,'Cannot be modified except by direct means',100,2,3),
(74371,10071832,'When Equipped:',100,0,0),
(74372,10071832,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(74373,10071832,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(74374,10071832,'Cannot be modified except by direct means',100,2,3),
(74375,117323,'Roots target',100,1,0),
(74376,117323,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(74377,117323,'Slows target by 58.6%',100,2,2),
(74378,117323,'5% chance to dispel when target receives hostile action',100,2,3),
(74379,117323,'5% chance to dispel when target takes damage',100,2,4),
(74380,117323,'15% chance to dispel when target takes damage',100,1,5),
(74381,117323,'Does not affect Epic targets',100,1,6),
(74382,117323,'Resistibility increases against targets higher than level 62.',100,1,7),
(74383,10117323,'Roots target',100,1,0),
(74384,10117323,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(74385,10117323,'Slows target by 58.6%',100,2,2),
(74386,10117323,'10% chance to dispel when target receives hostile action',100,2,3),
(74387,10117323,'10% chance to dispel when target takes damage',100,2,4),
(74388,10117323,'15% chance to dispel when target takes damage',100,1,5),
(74389,10117323,'Does not affect Epic targets',100,1,6),
(74390,10117323,'Resistibility increases against targets higher than level 62.',100,1,7),
(74391,122460,'Inflicts 1087 - 1811 magic damage on target',100,1,0),
(74392,10122460,'Inflicts 1521 - 2535 magic damage on target',100,1,0),
(74393,72518,'When Equipped:',100,0,0),
(74394,72518,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(74395,72518,'Heals caster for 172',100,2,2),
(74396,72518,'Cannot be modified except by direct means',100,2,3),
(74397,10072518,'When Equipped:',100,0,0),
(74398,10072518,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(74399,10072518,'Heals caster for 112',100,2,2),
(74400,10072518,'Cannot be modified except by direct means',100,2,3),
(74401,121537,'Inflicts 847 - 1412 melee damage on target',100,1,0),
(74402,121537,'Stuns target',100,1,1),
(74403,121537,'If Target is not Epic',100,2,2),
(74404,121537,'Resistibility increases against targets higher than level 111.',100,1,3),
(74405,10121537,'Inflicts 1101 - 1836 melee damage on target',100,1,0),
(74406,10121537,'Stuns target',100,1,1),
(74407,10121537,'If Target is not Epic',100,2,2),
(74408,10121537,'Resistibility increases against targets higher than level 111.',100,1,3),
(74409,100622,'Transfers 22% of target''s current Threat to the caster',100,1,0),
(74410,10100622,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(74411,10100622,'10% of all damage received by the caster is prevented.',100,2,1),
(74412,10100622,'This effect can only trigger once every 5 seconds.',100,2,2),
(74413,102722,'Inflicts 13 - 22 piercing damage on target instantly and every 4 seconds',100,1,0),
(74414,102722,'Inflicts 6 - 11 melee damage on target',100,1,1),
(74415,102722,'If facing target',100,1,2),
(74416,10102722,'Inflicts 19 - 31 piercing damage on target instantly and every 4 seconds',100,1,0),
(74417,10102722,'Inflicts 8 - 14 melee damage on target',100,1,1),
(74418,10102722,'If facing target',100,1,2),
(74419,26882,'When Equipped:',100,0,0),
(74420,26882,'Increases all elemental damage by up to 25.',100,1,1),
(74421,10026882,'When Equipped:',100,0,0),
(74422,10026882,'Increases all elemental damage by up to 25.',100,1,1),
(74423,101145,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(74424,101145,'Inflicts 228 ranged damage on target',100,2,1),
(74425,101145,'Decreases Defense of caster by 13.5',100,1,2),
(74426,101145,'Increases Crushing, Piercing, Ranged and Slashing of caster by 22.3',100,1,3),
(74427,10101145,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(74428,10101145,'Inflicts 194 ranged damage on target',100,2,1),
(74429,10101145,'Decreases Defense of caster by 13.5',100,1,2),
(74430,10101145,'Increases Crushing, Piercing, Ranged and Slashing of caster by 22.3',100,1,3),
(74431,104315,'Charms target',100,1,0),
(74432,104315,'Increases Out-of-Combat Power Regeneration of target by 3.6',100,1,1),
(74433,104315,'Increases Out-of-Combat Health Regeneration of target by 7.2',100,1,2),
(74434,104315,'If outside an arena',100,1,3),
(74435,104315,'Certain enemies cannot be charmed',100,1,4),
(74436,104315,'Only affects targets level 24 and below',100,1,5),
(74437,104315,'Does not affect Epic targets',100,1,6),
(74438,10104315,'Charms target',100,1,0),
(74439,10104315,'Increases Out-of-Combat Power Regeneration of target by 3.6',100,1,1),
(74440,10104315,'Increases Out-of-Combat Health Regeneration of target by 7.2',100,1,2),
(74441,10104315,'If outside an arena',100,1,3),
(74442,10104315,'Certain enemies cannot be charmed',100,1,4),
(74443,10104315,'Only affects targets level 24 and below',100,1,5),
(74444,10104315,'Does not affect Epic targets',100,1,6),
(74445,139294,'When Equipped:',100,0,0),
(74446,139294,'On a melee hit this spell may cast Otherworldly Assistants on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74447,139294,'Summons 4 Otherworldly Assistants to heal and protect the caster''s party.',100,2,2),
(74448,10139294,'When Equipped:',100,0,0),
(74449,10139294,'On a melee hit this spell may cast Otherworldly Assistants on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74450,10139294,'Summons 4 Otherworldly Assistants to heal and protect the caster''s party.',100,2,2),
(74451,107398,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(74452,107398,'Slows target by 61.0%',100,2,1),
(74453,107398,'5% chance to dispel when target receives hostile action',100,2,2),
(74454,107398,'5% chance to dispel when target takes damage',100,2,3),
(74455,107398,'Inflicts 882 - 1469 disease damage on target',100,1,4),
(74456,10107398,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(74457,10107398,'Slows target by 61.0%',100,2,1),
(74458,10107398,'5% chance to dispel when target receives hostile action',100,2,2),
(74459,10107398,'5% chance to dispel when target takes damage',100,2,3),
(74460,10107398,'Inflicts 1234 - 2057 disease damage on target',100,1,4),
(74461,110729,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(74462,110729,'Heals group members (AE) for 1047',100,2,1),
(74463,10110729,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(74464,10110729,'Heals group members (AE) for 681',100,2,1),
(74465,119620,'Inflicts 1309 - 2182 mental damage on targets in Area of Effect',100,1,0),
(74466,119620,'Stuns targets in Area of Effect',100,1,1),
(74467,119620,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(74468,119620,'Resistibility increases against targets higher than level 109.',100,1,3),
(74469,10119620,'Inflicts 1833 - 3054 mental damage on targets in Area of Effect',100,1,0),
(74470,10119620,'Stuns targets in Area of Effect',100,1,1),
(74471,10119620,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(74472,10119620,'Resistibility increases against targets higher than level 109.',100,1,3),
(74473,159564,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74474,159564,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74475,159564,'Inflicts 29 heat damage on target',100,2,2),
(74476,159564,'Cannot be modified except by direct means',100,2,3),
(74477,10159564,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74478,10159564,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74479,10159564,'Inflicts 41 heat damage on target',100,2,2),
(74480,10159564,'Cannot be modified except by direct means',100,2,3),
(74481,122005,'Inflicts 257 - 428 melee damage on targets in area',100,1,0),
(74482,122005,'Increases Threat to target encounter by 1,055 ',100,1,1),
(74483,10122005,'Inflicts 334 - 556 melee damage on targets in area',100,1,0),
(74484,10122005,'Prevents target encounter from changing targets',100,1,1),
(74485,10122005,'Forces target encounter to change their selected target to caster.',100,1,2),
(74486,119978,'Increases Threat to target by 168 - 205 ',100,1,0),
(74487,10119978,'Prevents target from changing targets',100,1,0),
(74488,10119978,'Forces target to change their selected target to caster.',100,1,1),
(74489,183520,'When Equipped:',100,0,0),
(74490,183520,'Increases damage effect damage by 40%.',100,1,1),
(74491,183520,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,2),
(74492,183520,'Inflicts 639 disease damage on targets in Area of Effect',100,2,3),
(74493,183520,'Cannot be modified except by direct means',100,2,4),
(74494,10183520,'When Equipped:',100,0,0),
(74495,10183520,'Increases damage effect damage by 40%.',100,1,1),
(74496,10183520,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,2),
(74497,10183520,'Inflicts 895 disease damage on targets in Area of Effect',100,2,3),
(74498,10183520,'Cannot be modified except by direct means',100,2,4),
(74499,170951,'When Equipped:',100,0,0),
(74500,170951,'Applies Frosty Breath',100,1,1),
(74501,10170951,'When Equipped:',100,0,0),
(74502,10170951,'Applies Frosty Breath',100,1,1),
(74503,114872,'Decreases AGI of target by 80.3',100,1,0),
(74504,114872,'Decreases Defense of target by 30.7',100,1,1),
(74505,10114872,'Decreases AGI of target by 80.3',100,1,0),
(74506,10114872,'Decreases Defense of target by 30.7',100,1,1),
(74507,107059,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(74508,107059,'Inflicts 167 - 279 divine damage on target',100,2,1),
(74509,107059,'Inflicts 167 - 279 divine damage on target',100,2,2),
(74510,107059,'If target is undead',100,3,3),
(74511,10107059,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(74512,10107059,'Inflicts 390 - 651 divine damage on target',100,2,1),
(74513,49036,'Applies Veteran Revival when Activated.',100,0,0),
(74514,49036,'Revives the targeted group with 20% health and power',100,1,1),
(74515,49036,'Applies Revived Sickness to everyone revived',100,1,2),
(74516,49036,'Cannot be modified except by direct means',100,1,3),
(74517,10049036,'Applies Veteran Revival when Activated.',100,0,0),
(74518,10049036,'Revives the targeted group with 20% health and power',100,1,1),
(74519,10049036,'Applies Revived Sickness to everyone revived',100,1,2),
(74520,10049036,'Cannot be modified except by direct means',100,1,3),
(74521,144613,'When Equipped:',100,0,0),
(74522,144613,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74523,144613,'Decreases power of target by 152',100,2,2),
(74524,144613,'Increases power of caster by 101',100,2,3),
(74525,144613,'Cannot be modified except by direct means',100,2,4),
(74526,10144613,'When Equipped:',100,0,0),
(74527,10144613,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74528,10144613,'Decreases power of target by 152',100,2,2),
(74529,10144613,'Increases power of caster by 101',100,2,3),
(74530,10144613,'Cannot be modified except by direct means',100,2,4),
(74531,177620,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(74532,177620,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(74533,177620,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(74534,177620,'Cannot be modified except by direct means',100,2,3),
(74535,10177620,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(74536,10177620,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(74537,10177620,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(74538,10177620,'Cannot be modified except by direct means',100,2,3),
(74539,146527,'When Equipped:',100,0,0),
(74540,146527,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(74541,146527,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(74542,146527,'Must not be engaged in pvp combat',100,2,3),
(74543,146527,'Cannot be modified except by direct means',100,2,4),
(74544,146527,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(74545,146527,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(74546,146527,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(74547,146527,'Must not be engaged in pvp combat',100,2,8),
(74548,146527,'Cannot be modified except by direct means',100,2,9),
(74549,146527,'Must not be engaged in pvp combat',100,1,10),
(74550,10146527,'When Equipped:',100,0,0),
(74551,10146527,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(74552,10146527,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(74553,10146527,'Must not be engaged in pvp combat',100,2,3),
(74554,10146527,'Cannot be modified except by direct means',100,2,4),
(74555,10146527,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(74556,10146527,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(74557,10146527,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(74558,10146527,'Must not be engaged in pvp combat',100,2,8),
(74559,10146527,'Cannot be modified except by direct means',100,2,9),
(74560,10146527,'Must not be engaged in pvp combat',100,1,10),
(74561,119754,'Wards group members (AE) against 304 points of elemental, noxious and arcane damage',100,1,0),
(74562,119754,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,1),
(74563,10119754,'Wards group members (AE) against 304 points of elemental, noxious and arcane damage',100,1,0),
(74564,10119754,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,1),
(74565,109486,'Inflicts 313 - 521 cold damage on target',100,1,0),
(74566,10109486,'Inflicts 406 - 678 cold damage on target',100,1,0),
(74567,75130,'When Equipped:',100,0,0),
(74568,75130,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(74569,10075130,'When Equipped:',100,0,0),
(74570,10075130,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(74571,118294,'Summons a limited pet to aid the caster',100,1,0),
(74572,10118294,'Summons a limited pet to aid the caster',100,1,0),
(74573,35309,'Increases Max Power of target by 4.1',100,0,0),
(74574,35309,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(74575,74763,'When Equipped:',100,0,0),
(74576,74763,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74577,74763,'Inflicts 83 - 125 magic damage on target',100,2,2),
(74578,74763,'Cannot be modified except by direct means',100,2,3),
(74579,10074763,'When Equipped:',100,0,0),
(74580,10074763,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74581,10074763,'Inflicts 117 - 175 magic damage on target',100,2,2),
(74582,10074763,'Cannot be modified except by direct means',100,2,3),
(74583,101098,'Increases Mitigation of raid and group members (AE) vs arcane damage by 452',100,1,0),
(74584,10101098,'Increases Mitigation of raid and group members (AE) vs arcane damage by 452',100,1,0),
(74585,36457,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(74586,102904,'Heals caster for 688',100,1,0),
(74587,102904,'Inflicts 1247 disease damage on targets in Area of Effect',100,1,1),
(74588,10102904,'Heals caster for 447',100,1,0),
(74589,10102904,'Inflicts 1745 disease damage on targets in Area of Effect',100,1,1),
(74590,122713,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(74591,122713,'Increases Deflection of caster by 3.5',100,1,1),
(74592,10122713,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(74593,10122713,'Increases Deflection of caster by 3.5',100,1,1),
(74594,172671,'When Equipped:',100,0,0),
(74595,172671,'Caster will Riposte 3.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(74596,10172671,'When Equipped:',100,0,0),
(74597,10172671,'Caster will Riposte 3.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(74598,121456,'Increases AGI of caster by 90.3',100,1,0),
(74599,121456,'Adds 21.8% to base avoidance.',100,1,1),
(74600,121456,'Increases Mitigation of caster vs physical damage by 878',100,1,2),
(74601,121456,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,3),
(74602,10121456,'Increases AGI of caster by 90.3',100,1,0),
(74603,10121456,'Adds 21.8% to base avoidance.',100,1,1),
(74604,10121456,'Increases Mitigation of caster vs physical damage by 878',100,1,2),
(74605,10121456,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,3),
(74606,76885,'When Equipped:',100,0,0),
(74607,76885,'On a combat hit this spell may cast Word of Pain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(74608,76885,'Inflicts 312 magic damage on target encounter',100,2,2),
(74609,76885,'Cannot be modified except by direct means',100,2,3),
(74610,10076885,'When Equipped:',100,0,0),
(74611,10076885,'On a combat hit this spell may cast Word of Pain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(74612,10076885,'Inflicts 436 magic damage on target encounter',100,2,2),
(74613,10076885,'Cannot be modified except by direct means',100,2,3),
(74614,138501,'When Equipped:',100,0,0),
(74615,138501,'On any combat or spell hit this spell may cast Aura of the Archmagus on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74616,138501,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,2),
(74617,138501,'Increases Potency of group members (AE) by 10.0%',100,2,3),
(74618,138501,'Increases Ability Casting Speed of group members (AE) by 10.0%',100,2,4),
(74619,138501,'Increases Ability Recovery Speed of group members (AE) by 10.0%',100,2,5),
(74620,138501,'Must not be engaged in pvp combat',100,2,6),
(74621,138501,'Cannot be modified except by direct means',100,2,7),
(74622,138501,'Must not be engaged in pvp combat',100,1,8),
(74623,10138501,'When Equipped:',100,0,0),
(74624,10138501,'On any combat or spell hit this spell may cast Aura of the Archmagus on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(74625,10138501,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,2),
(74626,10138501,'Increases Potency of group members (AE) by 10.0%',100,2,3),
(74627,10138501,'Increases Ability Casting Speed of group members (AE) by 10.0%',100,2,4),
(74628,10138501,'Increases Ability Recovery Speed of group members (AE) by 10.0%',100,2,5),
(74629,10138501,'Must not be engaged in pvp combat',100,2,6),
(74630,10138501,'Cannot be modified except by direct means',100,2,7),
(74631,10138501,'Must not be engaged in pvp combat',100,1,8),
(74632,141915,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(74633,141915,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(74634,141915,'Inflicts 52 heat damage on target',100,2,2),
(74635,141915,'Cannot be modified except by direct means',100,2,3),
(74636,10141915,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(74637,10141915,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(74638,10141915,'Inflicts 73 heat damage on target',100,2,2),
(74639,10141915,'Cannot be modified except by direct means',100,2,3),
(74640,159050,'When Equipped:',100,0,0),
(74641,159050,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(74642,159050,'Increases STA of caster by 5.8',100,2,2),
(74643,159050,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(74644,159050,'Cannot be modified except by direct means',100,2,4),
(74645,10159050,'When Equipped:',100,0,0),
(74646,10159050,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(74647,10159050,'Increases STA of caster by 5.8',100,2,2),
(74648,10159050,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(74649,10159050,'Cannot be modified except by direct means',100,2,4),
(74650,110853,'Inflicts 527 - 713 mental damage on target',100,1,0),
(74651,110853,'Interrupts target',100,1,1),
(74652,10110853,'Inflicts 738 - 998 mental damage on target',100,1,0),
(74653,10110853,'Interrupts target',100,1,1),
(74654,108917,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(74655,108917,'Inflicts 9 heat damage on target',100,2,1),
(74656,10108917,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(74657,10108917,'Inflicts 12 heat damage on target',100,2,1),
(74658,102634,'Inflicts 46 - 77 melee damage on target',100,1,0),
(74659,102634,'Inflicts 20 heat damage on target every 6 seconds',100,1,1),
(74660,10102634,'Inflicts 60 - 101 melee damage on target',100,1,0),
(74661,10102634,'Inflicts 28 heat damage on target every 6 seconds',100,1,1),
(74662,45113,'Applies Leash when Activated.',100,0,0),
(74663,10045113,'Applies Leash when Activated.',100,0,0),
(74664,159803,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74665,159803,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74666,159803,'Inflicts 72 heat damage on target',100,2,2),
(74667,159803,'Cannot be modified except by direct means',100,2,3),
(74668,10159803,'Applies Sanguine Imbued when Equipped.',100,0,0),
(74669,10159803,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(74670,10159803,'Inflicts 101 heat damage on target',100,2,2),
(74671,10159803,'Cannot be modified except by direct means',100,2,3),
(74672,107918,'Mesmerizes target',100,1,0),
(74673,107918,'Prevents AOE (except when direct) ',100,1,1),
(74674,107918,'Dispelled when target takes damage',100,1,2),
(74675,107918,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(74676,107918,'Resistibility increases against targets higher than level 53.',100,1,4),
(74677,10107918,'Mesmerizes target',100,1,0),
(74678,10107918,'Prevents AOE (except when direct) ',100,1,1),
(74679,10107918,'Dispelled when target takes damage',100,1,2),
(74680,10107918,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(74681,10107918,'Resistibility increases against targets higher than level 53.',100,1,4),
(74682,40869,'When Equipped:',100,0,0),
(74683,40869,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(74684,40869,'Reduces healing received by 15.00%',100,2,2),
(74685,40869,'Cannot be modified except by direct means',100,2,3),
(74686,40869,'This effect can only trigger once every 1 second.',100,2,4),
(74687,40869,'Must be engaged in pvp combat',100,1,5),
(74688,10040869,'When Equipped:',100,0,0),
(74689,10040869,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(74690,10040869,'Reduces healing received by 15.00%',100,2,2),
(74691,10040869,'Cannot be modified except by direct means',100,2,3),
(74692,10040869,'This effect can only trigger once every 1 second.',100,2,4),
(74693,10040869,'Must be engaged in pvp combat',100,1,5),
(74694,108609,'Feigns Death with 66% chance of success',100,1,0),
(74695,10108609,'Feigns Death with 66% chance of success',100,1,0),
(74696,163898,'When Equipped:',100,0,0),
(74697,163898,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,1),
(74698,163898,'Inflicts 639 disease damage on targets in Area of Effect',100,2,2),
(74699,163898,'Cannot be modified except by direct means',100,2,3),
(74700,163898,'Increases damage effect damage by 40%.',100,1,4),
(74701,10163898,'When Equipped:',100,0,0),
(74702,10163898,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,1),
(74703,10163898,'Inflicts 895 disease damage on targets in Area of Effect',100,2,2),
(74704,10163898,'Cannot be modified except by direct means',100,2,3),
(74705,10163898,'Increases damage effect damage by 40%.',100,1,4),
(74706,82394,'When Equipped:',100,0,0),
(74707,82394,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74708,82394,'Inflicts 130 - 241 magic damage on target',100,2,2),
(74709,82394,'Cannot be modified except by direct means',100,2,3),
(74710,10082394,'When Equipped:',100,0,0),
(74711,10082394,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74712,10082394,'Inflicts 182 - 337 magic damage on target',100,2,2),
(74713,10082394,'Cannot be modified except by direct means',100,2,3),
(74714,107349,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(74715,107349,'Increases Threat to target by 208 ',100,2,1),
(74716,10107349,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(74717,10107349,'Inflicts 58 - 64 crushing damage on target',100,2,1),
(74718,81714,'When Equipped:',100,0,0),
(74719,81714,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74720,81714,'Inflicts 141 - 262 magic damage on target',100,2,2),
(74721,81714,'Cannot be modified except by direct means',100,2,3),
(74722,10081714,'When Equipped:',100,0,0),
(74723,10081714,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74724,10081714,'Inflicts 198 - 367 magic damage on target',100,2,2),
(74725,10081714,'Cannot be modified except by direct means',100,2,3),
(74726,122806,'Heals target for 1550',100,1,0),
(74727,10122806,'Heals target for 1209',100,1,0),
(74728,119317,'Roots target',100,1,0),
(74729,119317,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(74730,119317,'Slows target by 40.1%',100,2,2),
(74731,119317,'5% chance to dispel when target receives hostile action',100,2,3),
(74732,119317,'5% chance to dispel when target takes damage',100,2,4),
(74733,119317,'15% chance to dispel when target takes damage',100,1,5),
(74734,119317,'Does not affect Epic targets',100,1,6),
(74735,119317,'Resistibility increases against targets higher than level 90.',100,1,7),
(74736,10119317,'Roots target',100,1,0),
(74737,10119317,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(74738,10119317,'Slows target by 40.1%',100,2,2),
(74739,10119317,'5% chance to dispel when target receives hostile action',100,2,3),
(74740,10119317,'5% chance to dispel when target takes damage',100,2,4),
(74741,10119317,'15% chance to dispel when target takes damage',100,1,5),
(74742,10119317,'Does not affect Epic targets',100,1,6),
(74743,10119317,'Resistibility increases against targets higher than level 90.',100,1,7),
(74744,88000,'When Equipped:',100,0,0),
(74745,88000,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(74746,88000,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(74747,88000,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(74748,88000,'Decreases threat priority of target by 1 position',100,2,4),
(74749,88000,'Decreases Threat to target by 4,345  instantly and Decreases Threat by 4,345  every 4 seconds thereafter',100,2,5),
(74750,88000,'Must not be engaged in pvp combat',100,2,6),
(74751,88000,'Cannot be modified except by direct means',100,2,7),
(74752,88000,'Must not be engaged in pvp combat',100,1,8),
(74753,10088000,'When Equipped:',100,0,0),
(74754,10088000,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(74755,10088000,'Inflicts 7459 heat damage on target instantly and every 4 seconds',100,2,2),
(74756,10088000,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(74757,10088000,'Must not be engaged in pvp combat',100,2,4),
(74758,10088000,'Cannot be modified except by direct means',100,2,5),
(74759,10088000,'Must not be engaged in pvp combat',100,1,6),
(74760,112771,'Interrupts target',100,1,0),
(74761,112771,'Inflicts 371 - 619 divine damage on target',100,1,1),
(74762,10112771,'Interrupts target',100,1,0),
(74763,10112771,'Inflicts 520 - 866 divine damage on target',100,1,1),
(74764,106269,'Wards target against 1365 points of all damage',100,1,0),
(74765,10106269,'Wards target against 1365 points of all damage',100,1,0),
(74766,48961,'Applies Warding of the Forest Princess  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(74767,48961,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(74768,48961,'Inflicts 17 magic damage on target',100,2,2),
(74769,48961,'Cannot be modified except by direct means',100,2,3),
(74770,10048961,'Applies Warding of the Forest Princess  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(74771,10048961,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(74772,10048961,'Inflicts 24 magic damage on target',100,2,2),
(74773,10048961,'Cannot be modified except by direct means',100,2,3),
(74774,25460,'When Equipped:',100,0,0),
(74775,25460,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,1),
(74776,25460,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(74777,10025460,'When Equipped:',100,0,0),
(74778,10025460,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,1),
(74779,10025460,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(74780,113480,'Inflicts 15 - 26 melee damage on targets in area',100,1,0),
(74781,10113480,'Inflicts 20 - 34 melee damage on targets in area',100,1,0),
(74782,119554,'Wards group members (AE) against 1459 points of arcane damage',100,1,0),
(74783,119554,'Increases Mitigation of group members (AE) vs arcane damage by 798',100,1,1),
(74784,10119554,'Wards group members (AE) against 1459 points of arcane damage',100,1,0),
(74785,10119554,'Increases Mitigation of group members (AE) vs arcane damage by 798',100,1,1),
(74786,88017,'When Equipped:',100,0,0),
(74787,88017,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74788,88017,'Inflicts 284 heat damage on target',100,2,2),
(74789,88017,'Heals caster for 216',100,2,3),
(74790,88017,'Cannot be modified except by direct means',100,2,4),
(74791,10088017,'When Equipped:',100,0,0),
(74792,10088017,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74793,10088017,'Inflicts 397 heat damage on target',100,2,2),
(74794,10088017,'Heals caster for 140',100,2,3),
(74795,10088017,'Cannot be modified except by direct means',100,2,4),
(74796,145930,'When Equipped:',100,0,0),
(74797,145930,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(74798,145930,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(74799,145930,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(74800,145930,'Heals caster for 1185 - 1309',100,2,4),
(74801,145930,'Must not be engaged in pvp combat',100,2,5),
(74802,145930,'Cannot be modified except by direct means',100,2,6),
(74803,145930,'Cannot be modified except by direct means',100,1,7),
(74804,10145930,'When Equipped:',100,0,0),
(74805,10145930,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(74806,10145930,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(74807,10145930,'Inflicts 3317 - 3666 poison damage on target',100,2,3),
(74808,10145930,'Heals caster for 1386 - 1532',100,2,4),
(74809,10145930,'Must not be engaged in pvp combat',100,2,5),
(74810,10145930,'Cannot be modified except by direct means',100,2,6),
(74811,10145930,'Cannot be modified except by direct means',100,1,7),
(74812,124580,'Decreases Threat to targets in Area of Effect by 2,493 ',100,1,0),
(74813,124580,'Interrupts targets in Area of Effect',100,1,1),
(74814,124580,'Roots targets in Area of Effect',100,1,2),
(74815,124580,'If Target is not Epic',100,2,3),
(74816,10124580,'Applies Distract.',100,1,0),
(74817,10124580,'Forces target to clear their selected target.',100,2,1),
(74818,10124580,'Interrupts targets in Area of Effect',100,1,2),
(74819,10124580,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(74820,10124580,'Roots targets in Area of Effect',100,1,4),
(74821,10124580,'If Target is not Epic',100,2,5),
(74822,111770,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(74823,111770,'This effect cannot be critically applied.',100,2,1),
(74824,111770,'The healing of this spell cannot be modified except by direct means',100,1,2),
(74825,10111770,'Heals caster for 8.6 - 10.6% of max health',100,1,0),
(74826,10111770,'This effect cannot be critically applied.',100,2,1),
(74827,10111770,'The healing of this spell cannot be modified except by direct means',100,1,2),
(74828,47753,'Applies Research Time Reduction when Activated.',100,0,0),
(74829,47753,'Reduces the time remaining on the spell being actively researched by 6 hours.',100,1,1),
(74830,47753,'Special: See Description',100,1,2),
(74831,47753,'Cannot be modified except by direct means',100,1,3),
(74832,10047753,'Applies Research Time Reduction when Activated.',100,0,0),
(74833,10047753,'Reduces the time remaining on the spell being actively researched by 6 hours.',100,1,1),
(74834,10047753,'Special: See Description',100,1,2),
(74835,10047753,'Cannot be modified except by direct means',100,1,3),
(74836,163285,'Applies Burrowing Swarm V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(74837,163285,'Inflicts 60 - 73 poison damage on target',100,1,1),
(74838,163285,'Inflicts 75 - 91 poison damage on target every second',100,1,2),
(74839,163285,'Inflicts an additional 29 - 36 poison damage on target every tick',100,1,3),
(74840,163285,'Applies Boneshatter V on termination.',100,1,4),
(74841,163285,'Inflicts 2401 - 2653 crushing damage on targets in Area of Effect',100,2,5),
(74842,163285,'Must not be engaged in pvp combat',100,2,6),
(74843,163285,'Cannot be modified except by direct means',100,2,7),
(74844,163285,'Must not be engaged in pvp combat',100,1,8),
(74845,163285,'Cannot be modified except by direct means',100,1,9),
(74846,163285,'The reuse time of Burrowing Swarm V is 10 minutes',100,1,10),
(74847,10163285,'Applies Burrowing Swarm V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(74848,10163285,'Inflicts 84 - 102 poison damage on target',100,1,1),
(74849,10163285,'Inflicts 105 - 128 poison damage on target every second',100,1,2),
(74850,10163285,'Inflicts an additional 29 - 36 poison damage on target every tick',100,1,3),
(74851,10163285,'Applies Boneshatter V on termination.',100,1,4),
(74852,10163285,'Inflicts 3361 - 3715 crushing damage on targets in Area of Effect',100,2,5),
(74853,10163285,'Must not be engaged in pvp combat',100,2,6),
(74854,10163285,'Cannot be modified except by direct means',100,2,7),
(74855,10163285,'Must not be engaged in pvp combat',100,1,8),
(74856,10163285,'Cannot be modified except by direct means',100,1,9),
(74857,10163285,'The reuse time of Burrowing Swarm V is 10 minutes',100,1,10),
(74858,106556,'Inflicts 872 - 1066 melee damage on target',100,1,0),
(74859,106556,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(74860,106556,'Increases Hate Gain of target by 30.0%',100,2,2),
(74861,106556,'Grants a total of 1 trigger of the spell.',100,2,3),
(74862,10106556,'Inflicts 1134 - 1386 melee damage on target',100,1,0),
(74863,10106556,'25% chance to apply Distract on termination.',100,1,1),
(74864,10106556,'Forces target to clear their selected target.',100,2,2),
(74865,112033,'Roots target',100,1,0),
(74866,112033,'Stifles target',100,1,1),
(74867,112033,'If Target is not Epic',100,2,2),
(74868,112033,'20% chance to dispel when target takes damage',100,1,3),
(74869,112033,'Does not affect Epic targets',100,1,4),
(74870,112033,'Resistibility increases against targets higher than level 82.',100,1,5),
(74871,10112033,'Roots target',100,1,0),
(74872,10112033,'Stifles target',100,1,1),
(74873,10112033,'If Target is not Epic',100,2,2),
(74874,10112033,'20% chance to dispel when target takes damage',100,1,3),
(74875,10112033,'Does not affect Epic targets',100,1,4),
(74876,10112033,'Resistibility increases against targets higher than level 82.',100,1,5),
(74877,106710,'Heals target for 140 - 171',100,1,0),
(74878,10106710,'Heals target for 164 - 201',100,1,0),
(74879,148789,'When Equipped:',100,0,0),
(74880,148789,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(74881,148789,'Decreases Threat to target by 389 - 649 ',100,2,2),
(74882,148789,'Cannot be modified except by direct means',100,2,3),
(74883,10148789,'When Equipped:',100,0,0),
(74884,10148789,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(74885,10148789,'Cannot be modified except by direct means',100,2,2),
(74886,27283,'When Equipped:',100,0,0),
(74887,27283,'Increases all mental damage by up to 50.',100,1,1),
(74888,10027283,'When Equipped:',100,0,0),
(74889,10027283,'Increases all mental damage by up to 50.',100,1,1),
(74890,101349,'Reduces physical damage done to caster by 5%',100,1,0),
(74891,101349,'Adds 2.4% to base avoidance.',100,1,1),
(74892,101349,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(74893,101349,'Increases Aggression of caster by 2.2',100,1,3),
(74894,101349,'Increases Defense and Parry of caster by 3.5',100,1,4),
(74895,101349,'Increases Mitigation of caster vs noxious and arcane damage by 27',100,1,5),
(74896,101349,'Increases Mitigation of caster vs elemental damage by 270',100,1,6),
(74897,101349,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(74898,10101349,'Reduces physical damage done to caster by 5%',100,1,0),
(74899,10101349,'Adds 2.4% to base avoidance.',100,1,1),
(74900,10101349,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(74901,10101349,'Increases Aggression of caster by 2.2',100,1,3),
(74902,10101349,'Increases Defense and Parry of caster by 3.5',100,1,4),
(74903,10101349,'Increases Mitigation of caster vs noxious and arcane damage by 27',100,1,5),
(74904,10101349,'Increases Mitigation of caster vs elemental damage by 270',100,1,6),
(74905,10101349,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(74906,81888,'When Equipped:',100,0,0),
(74907,81888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74908,81888,'Inflicts 141 - 262 magic damage on target',100,2,2),
(74909,81888,'Cannot be modified except by direct means',100,2,3),
(74910,10081888,'When Equipped:',100,0,0),
(74911,10081888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74912,10081888,'Inflicts 198 - 367 magic damage on target',100,2,2),
(74913,10081888,'Cannot be modified except by direct means',100,2,3),
(74914,37423,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(74915,47470,'Applies Call Pale Farstride Unicorn when Activated.',100,0,0),
(74916,47470,'Increases Focus of caster by 5.0',100,1,1),
(74917,47470,'Summons a mount to ride',100,1,2),
(74918,47470,'Increases your ground speed by 130%',100,2,3),
(74919,47470,'Increases Ordination, Subjugation, Disruption and Ministration of caster by 5.0',100,1,4),
(74920,10047470,'Applies Call Pale Farstride Unicorn when Activated.',100,0,0),
(74921,10047470,'Increases Focus of caster by 5.0',100,1,1),
(74922,10047470,'Summons a mount to ride',100,1,2),
(74923,10047470,'Increases your ground speed by 130%',100,2,3),
(74924,10047470,'Increases Ordination, Subjugation, Disruption and Ministration of caster by 5.0',100,1,4),
(74925,87127,'When Equipped:',100,0,0),
(74926,87127,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74927,87127,'Inflicts 204 - 307 magic damage on target',100,2,2),
(74928,87127,'Cannot be modified except by direct means',100,2,3),
(74929,10087127,'When Equipped:',100,0,0),
(74930,10087127,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74931,10087127,'Inflicts 286 - 429 magic damage on target',100,2,2),
(74932,10087127,'Cannot be modified except by direct means',100,2,3),
(74933,103658,'Interrupts target',100,1,0),
(74934,103658,'Inflicts 32 - 53 melee damage on target',100,1,1),
(74935,103658,'Must be flanking or behind',100,1,2),
(74936,10103658,'Interrupts target',100,1,0),
(74937,10103658,'Inflicts 42 - 70 melee damage on target',100,1,1),
(74938,10103658,'Must be flanking or behind',100,1,2),
(74939,117461,'Inflicts 861 - 1435 melee damage on target',100,1,0),
(74940,117461,'You must be sneaking to use this ability.',100,1,1),
(74941,117461,'Must be flanking or behind',100,1,2),
(74942,10117461,'Inflicts 693 - 1156 melee damage on target',100,1,0),
(74943,10117461,'You must be sneaking to use this ability.',100,1,1),
(74944,10117461,'Must be flanking or behind',100,1,2),
(74945,121418,'Inflicts 1692 - 2068 ranged damage on targets in area',100,1,0),
(74946,10121418,'Inflicts 1438 - 1758 ranged damage on targets in area',100,1,0),
(74947,26560,'When Equipped:',100,0,0),
(74948,26560,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(74949,26560,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(74950,10026560,'When Equipped:',100,0,0),
(74951,10026560,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(74952,10026560,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(74953,118034,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(74954,118034,'Stuns target',100,2,1),
(74955,118034,'If Target is not Epic',100,3,2),
(74956,118034,'Inflicts 236 - 393 divine damage on target',100,2,3),
(74957,118034,'Grants a total of 3 triggers of the spell.',100,2,4),
(74958,10118034,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(74959,10118034,'Stuns target',100,2,1),
(74960,10118034,'If Target is not Epic',100,3,2),
(74961,10118034,'Inflicts 330 - 550 divine damage on target',100,2,3),
(74962,10118034,'Grants a total of 3 triggers of the spell.',100,2,4),
(74963,144662,'When Equipped:',100,0,0),
(74964,144662,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(74965,144662,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(74966,144662,'Heals caster for 811 - 1217',100,2,3),
(74967,144662,'Cannot be modified except by direct means',100,2,4),
(74968,144662,'Cannot be modified except by direct means',100,1,5),
(74969,10144662,'When Equipped:',100,0,0),
(74970,10144662,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(74971,10144662,'Inflicts 1705 - 2558 poison damage on target',100,2,2),
(74972,10144662,'Heals caster for 949 - 1424',100,2,3),
(74973,10144662,'Cannot be modified except by direct means',100,2,4),
(74974,10144662,'Cannot be modified except by direct means',100,1,5),
(74975,25966,'When Equipped:',100,0,0),
(74976,25966,'Increases In-Combat Health Regeneration of caster by 1.0',100,1,1),
(74977,10025966,'When Equipped:',100,0,0),
(74978,10025966,'Increases In-Combat Health Regeneration of caster by 1.0',100,1,1),
(74979,24080,'Adds Chardok: Di''Zok Shrine to your Dungeon Maker toolbox',100,0,0),
(74980,10024080,'Adds Chardok: Di''Zok Shrine to your Dungeon Maker toolbox',100,0,0),
(74981,36558,'Increases INT and STR of target by 1.2',100,0,0),
(74982,36558,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(74983,81565,'When Equipped:',100,0,0),
(74984,81565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74985,81565,'Inflicts 131 - 244 magic damage on target',100,2,2),
(74986,81565,'Cannot be modified except by direct means',100,2,3),
(74987,10081565,'When Equipped:',100,0,0),
(74988,10081565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(74989,10081565,'Inflicts 184 - 342 magic damage on target',100,2,2),
(74990,10081565,'Cannot be modified except by direct means',100,2,3),
(74991,101487,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(74992,101487,'Increases Mitigation of group members (AE) vs arcane damage by 806',100,1,1),
(74993,10101487,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(74994,10101487,'Increases Mitigation of group members (AE) vs arcane damage by 806',100,1,1),
(74995,102439,'Stuns target encounter',100,1,0),
(74996,102439,'Epic targets gain an immunity to Stun effects of 9.8 seconds and duration is reduced to 1.1 seconds.',100,1,1),
(74997,102439,'Resistibility increases against targets higher than level 45.',100,1,2),
(74998,10102439,'Stuns target encounter',100,1,0),
(74999,10102439,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(75000,10102439,'Resistibility increases against targets higher than level 45.',100,1,2),
(75001,89050,'Applies Mental Blast when Activated.',100,0,0),
(75002,89050,'Inflicts 227 - 379 mental damage on target',100,1,1),
(75003,89050,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(75004,10089050,'Applies Mental Blast when Activated.',100,0,0),
(75005,10089050,'Inflicts 318 - 531 mental damage on target',100,1,1),
(75006,10089050,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(75007,114392,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(75008,114392,'Stuns target',100,2,1),
(75009,114392,'Throws target back',100,2,2),
(75010,114392,'Blurs vision of target',100,2,3),
(75011,114392,'Does not affect Epic targets',100,2,4),
(75012,114392,'Inflicts 797 - 1329 crushing damage on target',100,1,5),
(75013,10114392,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(75014,10114392,'Stuns target',100,2,1),
(75015,10114392,'Throws target back',100,2,2),
(75016,10114392,'Blurs vision of target',100,2,3),
(75017,10114392,'Does not affect Epic targets',100,2,4),
(75018,10114392,'Inflicts 1036 - 1728 crushing damage on target',100,1,5),
(75019,71583,'When Equipped:',100,0,0),
(75020,71583,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75021,71583,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(75022,71583,'Cannot be modified except by direct means',100,2,3),
(75023,10071583,'When Equipped:',100,0,0),
(75024,10071583,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75025,10071583,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(75026,10071583,'Cannot be modified except by direct means',100,2,3),
(75027,111903,'Inflicts 13 - 21 piercing damage on target instantly and every 4 seconds',100,1,0),
(75028,111903,'Inflicts 46 - 77 piercing damage on target',100,1,1),
(75029,10111903,'Inflicts 29 - 49 piercing damage on target instantly and every 4 seconds',100,1,0),
(75030,10111903,'Inflicts 81 - 136 piercing damage on target',100,1,1),
(75031,124543,'Dispels 98 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(75032,10124543,'Dispels 98 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(75033,105036,'Increases WIS of raid and group members (AE) by 49.0',100,1,0),
(75034,105036,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(75035,105036,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 184',100,1,2),
(75036,10105036,'Increases WIS of raid and group members (AE) by 49.0',100,1,0),
(75037,10105036,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(75038,10105036,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 184',100,1,2),
(75039,123626,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(75040,123626,'Slows target by 31.8%',100,2,1),
(75041,123626,'5% chance to dispel when target receives hostile action',100,2,2),
(75042,123626,'5% chance to dispel when target takes damage',100,2,3),
(75043,123626,'Inflicts 46 - 56 cold damage on target',100,1,4),
(75044,10123626,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(75045,10123626,'Slows target by 31.8%',100,2,1),
(75046,10123626,'5% chance to dispel when target receives hostile action',100,2,2),
(75047,10123626,'5% chance to dispel when target takes damage',100,2,3),
(75048,10123626,'Inflicts 55 - 67 cold damage on target',100,1,4),
(75049,140782,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(75050,140782,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 468',100,1,1),
(75051,140782,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(75052,10140782,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(75053,10140782,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 468',100,1,1),
(75054,10140782,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(75055,104643,'Inflicts 246 - 410 crushing damage on target',100,1,0),
(75056,104643,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 24.8',100,1,1),
(75057,10104643,'Inflicts 319 - 533 crushing damage on target',100,1,0),
(75058,10104643,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 24.8',100,1,1),
(75059,141756,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(75060,141756,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(75061,141756,'Inflicts 57 heat damage on target',100,2,2),
(75062,141756,'Cannot be modified except by direct means',100,2,3),
(75063,10141756,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(75064,10141756,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(75065,10141756,'Inflicts 79 heat damage on target',100,2,2),
(75066,10141756,'Cannot be modified except by direct means',100,2,3),
(75067,80800,'When Equipped:',100,0,0),
(75068,80800,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75069,80800,'Inflicts 223 - 414 magic damage on target',100,2,2),
(75070,80800,'Cannot be modified except by direct means',100,2,3),
(75071,10080800,'When Equipped:',100,0,0),
(75072,10080800,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75073,10080800,'Inflicts 312 - 580 magic damage on target',100,2,2),
(75074,10080800,'Cannot be modified except by direct means',100,2,3),
(75075,26511,'When Equipped:',100,0,0),
(75076,26511,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(75077,26511,'Increases Unconscious Health of caster by 3,300.0',100,1,2),
(75078,26511,'Cannot be modified except by direct means',100,1,3),
(75079,10026511,'When Equipped:',100,0,0),
(75080,10026511,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(75081,10026511,'Increases Unconscious Health of caster by 3,300.0',100,1,2),
(75082,10026511,'Cannot be modified except by direct means',100,1,3),
(75083,110343,'Increases Max Power of target by 596.7',100,1,0),
(75084,110343,'Increases Max Health of target by 1,216.8',100,1,1),
(75085,10110343,'Increases Max Power of target by 596.7',100,1,0),
(75086,10110343,'Increases Max Health of target by 1,216.8',100,1,1),
(75087,102700,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(75088,102700,'Inflicts 300 - 501 heat damage on target',100,2,1),
(75089,102700,'Grants a total of 5 triggers of the spell.',100,2,2),
(75090,102700,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(75091,102700,'Inflicts 300 - 501 heat damage on target',100,2,4),
(75092,102700,'Grants a total of 5 triggers of the spell.',100,2,5),
(75093,10102700,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(75094,10102700,'Inflicts 420 - 701 heat damage on target',100,2,1),
(75095,10102700,'Grants a total of 5 triggers of the spell.',100,2,2),
(75096,10102700,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(75097,10102700,'Inflicts 420 - 701 heat damage on target',100,2,4),
(75098,10102700,'Grants a total of 5 triggers of the spell.',100,2,5),
(75099,147016,'When Equipped:',100,0,0),
(75100,147016,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(75101,147016,'Makes target afraid',100,2,2),
(75102,147016,'25% chance to dispel when target takes damage',100,2,3),
(75103,147016,'25% chance to dispel when target receives hostile action',100,2,4),
(75104,147016,'Does not affect Epic targets',100,2,5),
(75105,147016,'Resistibility increases against targets higher than level 74.',100,2,6),
(75106,147016,'Cannot be modified except by direct means',100,2,7),
(75107,10147016,'When Equipped:',100,0,0),
(75108,10147016,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(75109,10147016,'Makes target afraid',100,2,2),
(75110,10147016,'25% chance to dispel when target takes damage',100,2,3),
(75111,10147016,'25% chance to dispel when target receives hostile action',100,2,4),
(75112,10147016,'Does not affect Epic targets',100,2,5),
(75113,10147016,'Resistibility increases against targets higher than level 74.',100,2,6),
(75114,10147016,'Cannot be modified except by direct means',100,2,7),
(75115,137528,'When Equipped:',100,0,0),
(75116,137528,'Increases Burst effect damage by 33%.',100,1,1),
(75117,137528,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,2),
(75118,137528,'Inflicts 435 disease damage on targets in Area of Effect',100,2,3),
(75119,137528,'Cannot be modified except by direct means',100,2,4),
(75120,10137528,'When Equipped:',100,0,0),
(75121,10137528,'Increases Burst effect damage by 33%.',100,1,1),
(75122,10137528,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,2),
(75123,10137528,'Inflicts 610 disease damage on targets in Area of Effect',100,2,3),
(75124,10137528,'Cannot be modified except by direct means',100,2,4),
(75125,173110,'When Equipped:',100,0,0),
(75126,173110,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(75127,173110,'Heals group members (AE) for 2624',100,2,2),
(75128,173110,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(75129,173110,'Must not be engaged in pvp combat',100,2,4),
(75130,173110,'Cannot be modified except by direct means',100,2,5),
(75131,173110,'Must not be engaged in pvp combat',100,1,6),
(75132,10173110,'When Equipped:',100,0,0),
(75133,10173110,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(75134,10173110,'Heals group members (AE) for 3071',100,2,2),
(75135,10173110,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(75136,10173110,'Must not be engaged in pvp combat',100,2,4),
(75137,10173110,'Cannot be modified except by direct means',100,2,5),
(75138,10173110,'Must not be engaged in pvp combat',100,1,6),
(75139,106311,'Decreases INT and STR of target by 32.4',100,1,0),
(75140,10106311,'Decreases INT and STR of target by 32.4',100,1,0),
(75141,121639,'Summons a pet Clockwork Surveillance Unit',100,1,0),
(75142,10121639,'Summons a pet Clockwork Surveillance Unit',100,1,0),
(75143,24681,'Adds Seelie Priestess to your Dungeon Maker toolbox',100,0,0),
(75144,10024681,'Adds Seelie Priestess to your Dungeon Maker toolbox',100,0,0),
(75145,108781,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(75146,108781,'Inflicts 62 - 76 heat damage on target instantly and every 4 seconds',100,2,1),
(75147,108781,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(75148,108781,'Inflicts 277 - 338 heat damage on target encounter',100,3,3),
(75149,108781,'Grants a total of 1 trigger of the spell.',100,3,4),
(75150,10108781,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(75151,10108781,'Inflicts 87 - 106 heat damage on target instantly and every 4 seconds',100,2,1),
(75152,10108781,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(75153,10108781,'Inflicts 387 - 473 heat damage on target encounter',100,3,3),
(75154,10108781,'Grants a total of 1 trigger of the spell.',100,3,4),
(75155,100196,'Increases Threat to target encounter by 59 - 72 ',100,1,0),
(75156,100196,'Interrupts target encounter',100,1,1),
(75157,10100196,'Interrupts target encounter',100,1,0),
(75158,10100196,'Forces target encounter to change their selected target to caster.',100,1,1),
(75159,10100196,'Prevents target encounter from changing targets',100,1,2),
(75160,110348,'Increases Max Power of target by 571.9',100,1,0),
(75161,110348,'Increases Max Health of target by 1,272.6',100,1,1),
(75162,10110348,'Increases Max Power of target by 571.9',100,1,0),
(75163,10110348,'Increases Max Health of target by 1,272.6',100,1,1),
(75164,82779,'When Equipped:',100,0,0),
(75165,82779,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(75166,82779,'Inflicts 314 - 584 magic damage on target',100,2,2),
(75167,82779,'Decreases Threat to target by 1,174 ',100,2,3),
(75168,82779,'Must be flanking or behind',100,3,4),
(75169,82779,'Increases Threat to target by 1,174 ',100,2,5),
(75170,82779,'Must be in front of',100,3,6),
(75171,82779,'Cannot be modified except by direct means',100,2,7),
(75172,10082779,'When Equipped:',100,0,0),
(75173,10082779,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(75174,10082779,'Inflicts 440 - 817 magic damage on target',100,2,2),
(75175,10082779,'Cannot be modified except by direct means',100,2,3),
(75176,146139,'When Equipped:',100,0,0),
(75177,146139,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(75178,146139,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(75179,146139,'Applies Dispersion on termination.',100,2,3),
(75180,146139,'Increases power of group members by 224',100,3,4),
(75181,146139,'Cannot be modified except by direct means',100,2,5),
(75182,146139,'Cannot be modified except by direct means',100,1,6),
(75183,10146139,'When Equipped:',100,0,0),
(75184,10146139,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(75185,10146139,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(75186,10146139,'Applies Dispersion on termination.',100,2,3),
(75187,10146139,'Increases power of group members by 224',100,3,4),
(75188,10146139,'Cannot be modified except by direct means',100,2,5),
(75189,10146139,'Cannot be modified except by direct means',100,1,6),
(75190,48783,'Applies Translucent Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(75191,48783,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(75192,48783,'Inflicts 20 magic damage on target',100,2,2),
(75193,48783,'Cannot be modified except by direct means',100,2,3),
(75194,48783,'Only affects targets level 50 and above',100,1,4),
(75195,10048783,'Applies Translucent Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(75196,10048783,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(75197,10048783,'Inflicts 28 magic damage on target',100,2,2),
(75198,10048783,'Cannot be modified except by direct means',100,2,3),
(75199,10048783,'Only affects targets level 50 and above',100,1,4),
(75200,83961,'When Equipped:',100,0,0),
(75201,83961,'On a hostile spell cast this spell may cast Soul Restrain on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(75202,83961,'Decreases Attack Speed of target by 4.0',100,2,2),
(75203,83961,'Cannot be modified except by direct means',100,2,3),
(75204,10083961,'When Equipped:',100,0,0),
(75205,10083961,'On a hostile spell cast this spell may cast Soul Restrain on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(75206,10083961,'Decreases Attack Speed of target by 4.0',100,2,2),
(75207,10083961,'Cannot be modified except by direct means',100,2,3),
(75208,101949,'Inflicts 266 piercing damage on target instantly and every 4 seconds',100,1,0),
(75209,101949,'Inflicts 797 - 1329 melee damage on target',100,1,1),
(75210,101949,'Must be behind',100,1,2),
(75211,10101949,'Inflicts 372 piercing damage on target instantly and every 4 seconds',100,1,0),
(75212,10101949,'Inflicts 1036 - 1728 melee damage on target',100,1,1),
(75213,10101949,'Must be behind',100,1,2),
(75214,134786,'When Equipped:',100,0,0),
(75215,134786,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(75216,134786,'Increases power of caster by 117',100,2,2),
(75217,134786,'Cannot be modified except by direct means',100,2,3),
(75218,10134786,'When Equipped:',100,0,0),
(75219,10134786,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(75220,10134786,'Increases power of caster by 117',100,2,2),
(75221,10134786,'Cannot be modified except by direct means',100,2,3),
(75222,166384,'When Equipped:',100,0,0),
(75223,166384,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(75224,166384,'Heals caster for 392',100,2,2),
(75225,166384,'Cannot be modified except by direct means',100,2,3),
(75226,10166384,'When Equipped:',100,0,0),
(75227,10166384,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(75228,10166384,'Heals caster for 255',100,2,2),
(75229,10166384,'Cannot be modified except by direct means',100,2,3),
(75230,103602,'Increases Mitigation of caster vs physical damage by 806',100,1,0),
(75231,10103602,'Increases Mitigation of caster vs physical damage by 806',100,1,0),
(75232,120786,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(75233,120786,'Stuns target',100,2,1),
(75234,120786,'Throws target back',100,2,2),
(75235,120786,'Blurs vision of target',100,2,3),
(75236,120786,'Does not affect Epic targets',100,2,4),
(75237,120786,'Inflicts 115 - 191 piercing damage on target',100,1,5),
(75238,10120786,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(75239,10120786,'Stuns target',100,2,1),
(75240,10120786,'Throws target back',100,2,2),
(75241,10120786,'Blurs vision of target',100,2,3),
(75242,10120786,'Does not affect Epic targets',100,2,4),
(75243,10120786,'Inflicts 149 - 249 piercing damage on target',100,1,5),
(75244,118755,'Increases INT and WIS of group members (AE) by 29.4',100,1,0),
(75245,118755,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 87',100,1,1),
(75246,10118755,'Increases INT and WIS of group members (AE) by 29.4',100,1,0),
(75247,10118755,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 87',100,1,1),
(75248,75660,'When Equipped:',100,0,0),
(75249,75660,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75250,75660,'Inflicts 1069 - 1182 disease damage on target instantly and every 2 seconds',100,2,2),
(75251,75660,'Must not be engaged in pvp combat',100,2,3),
(75252,75660,'Cannot be modified except by direct means',100,2,4),
(75253,75660,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(75254,75660,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(75255,75660,'Inflicts 1069 - 1182 disease damage on target instantly and every 2 seconds',100,2,7),
(75256,75660,'Must not be engaged in pvp combat',100,2,8),
(75257,75660,'Cannot be modified except by direct means',100,2,9),
(75258,75660,'Cannot be modified except by direct means',100,1,10),
(75259,10075660,'When Equipped:',100,0,0),
(75260,10075660,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75261,10075660,'Inflicts 1497 - 1655 disease damage on target instantly and every 2 seconds',100,2,2),
(75262,10075660,'Must not be engaged in pvp combat',100,2,3),
(75263,10075660,'Cannot be modified except by direct means',100,2,4),
(75264,10075660,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(75265,10075660,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(75266,10075660,'Inflicts 1497 - 1655 disease damage on target instantly and every 2 seconds',100,2,7),
(75267,10075660,'Must not be engaged in pvp combat',100,2,8),
(75268,10075660,'Cannot be modified except by direct means',100,2,9),
(75269,10075660,'Cannot be modified except by direct means',100,1,10),
(75270,116794,'Increases STR, AGI, WIS and INT of target by 46.4',100,1,0),
(75271,116794,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75272,116794,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(75273,116794,'Increases Attack Speed of target by 35.9',100,2,3),
(75274,116794,'Increases Damage Per Second of target by 35.9',100,2,4),
(75275,116794,'Adds 1.8% to base avoidance.',100,1,5),
(75276,116794,'Increases Mitigation of target vs elemental, noxious and arcane damage by 137',100,1,6),
(75277,10116794,'Increases STR, AGI, WIS and INT of target by 46.4',100,1,0),
(75278,10116794,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75279,10116794,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(75280,10116794,'Increases Attack Speed of target by 35.9',100,2,3),
(75281,10116794,'Increases Damage Per Second of target by 35.9',100,2,4),
(75282,10116794,'Adds 1.8% to base avoidance.',100,1,5),
(75283,10116794,'Increases Mitigation of target vs elemental, noxious and arcane damage by 137',100,1,6),
(75284,117240,'Inflicts 37 slashing damage on target every 4 seconds',100,1,0),
(75285,117240,'Inflicts 183 - 305 melee damage on target',100,1,1),
(75286,10117240,'Inflicts 51 slashing damage on target every 4 seconds',100,1,0),
(75287,10117240,'Inflicts 238 - 396 melee damage on target',100,1,1),
(75288,45135,'Applies Acidic Massage when Activated.  Lasts for 12 hours.',100,0,0),
(75289,45135,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(75290,45135,'Inflicts 26 poison damage on target instantly and every 6 seconds',100,2,2),
(75291,45135,'Inflicts 82 poison damage on target',100,2,3),
(75292,45135,'Cannot be modified except by direct means',100,2,4),
(75293,45135,'Grants a total of 100 triggers of the spell.',100,2,5),
(75294,10045135,'Applies Acidic Massage when Activated.  Lasts for 12 hours.',100,0,0),
(75295,10045135,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(75296,10045135,'Inflicts 28 poison damage on target instantly and every 6 seconds',100,2,2),
(75297,10045135,'Inflicts 86 poison damage on target',100,2,3),
(75298,10045135,'Cannot be modified except by direct means',100,2,4),
(75299,10045135,'Grants a total of 100 triggers of the spell.',100,2,5),
(75300,159461,'Applies Sanguine Imbued when Equipped.',100,0,0),
(75301,159461,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(75302,159461,'Inflicts 103 heat damage on target',100,2,2),
(75303,159461,'Cannot be modified except by direct means',100,2,3),
(75304,10159461,'Applies Sanguine Imbued when Equipped.',100,0,0),
(75305,10159461,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(75306,10159461,'Inflicts 144 heat damage on target',100,2,2),
(75307,10159461,'Cannot be modified except by direct means',100,2,3),
(75308,119071,'Decreases power of target by 390 - 649',100,1,0),
(75309,119071,'Increases power of caster by 193 - 321',100,1,1),
(75310,119071,'Inflicts 416 - 693 mental damage on target',100,1,2),
(75311,10119071,'Decreases power of target by 390 - 649',100,1,0),
(75312,10119071,'Increases power of caster by 193 - 321',100,1,1),
(75313,10119071,'Inflicts 540 - 901 mental damage on target',100,1,2),
(75314,114963,'Decreases Attack Speed of target by 8.5',100,1,0),
(75315,114963,'Inflicts 44 - 134 slashing damage on target',100,1,1),
(75316,114963,'Inflicts 90 slashing damage on target instantly and every 4 seconds',100,1,2),
(75317,10114963,'Decreases Attack Speed of target by 8.5',100,1,0),
(75318,10114963,'Inflicts 58 - 175 slashing damage on target',100,1,1),
(75319,10114963,'Inflicts 126 slashing damage on target instantly and every 4 seconds',100,1,2),
(75320,41570,'When Equipped:',100,0,0),
(75321,41570,'This effect will not stack with itself.',100,1,1),
(75322,41570,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(75323,41570,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(75324,41570,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(75325,41570,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(75326,41570,'Must not be engaged in pvp combat',100,2,6),
(75327,41570,'Cannot be modified except by direct means',100,2,7),
(75328,41570,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(75329,41570,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(75330,41570,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(75331,41570,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(75332,41570,'Must not be engaged in pvp combat',100,2,12),
(75333,41570,'Cannot be modified except by direct means',100,2,13),
(75334,41570,'Must not be engaged in pvp combat',100,1,14),
(75335,10041570,'When Equipped:',100,0,0),
(75336,10041570,'This effect will not stack with itself.',100,1,1),
(75337,10041570,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(75338,10041570,'Inflicts 1772 - 1958 slashing damage on target',100,2,3),
(75339,10041570,'Inflicts 974 - 1077 slashing damage on target every 2 seconds',100,2,4),
(75340,10041570,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(75341,10041570,'Must not be engaged in pvp combat',100,2,6),
(75342,10041570,'Cannot be modified except by direct means',100,2,7),
(75343,10041570,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(75344,10041570,'Inflicts 1772 - 1958 slashing damage on target',100,2,9),
(75345,10041570,'Inflicts 974 - 1077 slashing damage on target every 2 seconds',100,2,10),
(75346,10041570,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(75347,10041570,'Must not be engaged in pvp combat',100,2,12),
(75348,10041570,'Cannot be modified except by direct means',100,2,13),
(75349,10041570,'Must not be engaged in pvp combat',100,1,14),
(75350,124078,'Increases STR and INT of group members (AE) by 12.5',100,1,0),
(75351,10124078,'Increases STR and INT of group members (AE) by 12.5',100,1,0),
(75352,116407,'Heals target for 341 - 416 instantly and every 2 seconds',100,1,0),
(75353,10116407,'Heals target for 221 - 271 instantly and every 2 seconds',100,1,0),
(75354,102119,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(75355,102119,'Stuns target',100,2,1),
(75356,102119,'Throws target back',100,2,2),
(75357,102119,'Blurs vision of target',100,2,3),
(75358,102119,'Does not affect Epic targets',100,2,4),
(75359,102119,'Inflicts 375 - 625 crushing damage on target',100,1,5),
(75360,10102119,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(75361,10102119,'Stuns target',100,2,1),
(75362,10102119,'Throws target back',100,2,2),
(75363,10102119,'Blurs vision of target',100,2,3),
(75364,10102119,'Does not affect Epic targets',100,2,4),
(75365,10102119,'Inflicts 487 - 812 crushing damage on target',100,1,5),
(75366,45778,'Applies The Sounding! when Activated.',100,0,0),
(75367,45778,'Must be in Vasty Deep: The Vestigial Cella.',100,1,1),
(75368,10045778,'Applies The Sounding! when Activated.',100,0,0),
(75369,10045778,'Must be in Vasty Deep: The Vestigial Cella.',100,1,1),
(75370,107254,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(75371,107254,'Summons a limited pet to aid the caster',100,2,1),
(75372,107254,'If profession other than Illusionist',100,1,2),
(75373,107254,'Must be engaged in combat',100,1,3),
(75374,10107254,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(75375,10107254,'Summons a limited pet to aid the caster',100,2,1),
(75376,10107254,'If profession other than Illusionist',100,1,2),
(75377,10107254,'Must be engaged in combat',100,1,3),
(75378,107684,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(75379,10107684,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(75380,116784,'Increases STR, AGI, WIS and INT of target by 37.2',100,1,0),
(75381,116784,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75382,116784,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(75383,116784,'Increases Attack Speed of target by 33.6',100,2,3),
(75384,116784,'Increases Damage Per Second of target by 33.6',100,2,4),
(75385,116784,'Adds 1.9% to base avoidance.',100,1,5),
(75386,116784,'Increases Mitigation of target vs elemental, noxious and arcane damage by 110',100,1,6),
(75387,10116784,'Increases STR, AGI, WIS and INT of target by 37.2',100,1,0),
(75388,10116784,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75389,10116784,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(75390,10116784,'Increases Attack Speed of target by 33.6',100,2,3),
(75391,10116784,'Increases Damage Per Second of target by 33.6',100,2,4),
(75392,10116784,'Adds 1.9% to base avoidance.',100,1,5),
(75393,10116784,'Increases Mitigation of target vs elemental, noxious and arcane damage by 110',100,1,6),
(75394,90356,'When Equipped:',100,0,0),
(75395,90356,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(75396,90356,'Inflicts 21 - 26 magic damage on target',100,2,2),
(75397,90356,'If target is Darathar',100,3,3),
(75398,90356,'Cannot be modified except by direct means',100,2,4),
(75399,10090356,'When Equipped:',100,0,0),
(75400,10090356,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(75401,10090356,'Inflicts 30 - 37 magic damage on target',100,2,2),
(75402,10090356,'If target is Darathar',100,3,3),
(75403,10090356,'Cannot be modified except by direct means',100,2,4),
(75404,119701,'Increases Threat to target encounter by 590 - 721 ',100,1,0),
(75405,10119701,'Prevents target encounter from changing targets',100,1,0),
(75406,10119701,'Forces target encounter to change their selected target to caster.',100,1,1),
(75407,36779,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(75408,100372,'Increases Max Health of target by 1,484.7',100,1,0),
(75409,100372,'Increases Crushing, Piercing, Slashing and Ranged of target by 21.7',100,1,1),
(75410,10100372,'Increases Max Health of target by 1,484.7',100,1,0),
(75411,10100372,'Increases Crushing, Piercing, Slashing and Ranged of target by 21.7',100,1,1),
(75412,134150,'When Equipped:',100,0,0),
(75413,134150,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(75414,134150,'Inflicts 1192 magic damage on target',100,2,2),
(75415,134150,'Cannot be modified except by direct means',100,2,3),
(75416,10134150,'When Equipped:',100,0,0),
(75417,10134150,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(75418,10134150,'Inflicts 834 magic damage on target',100,2,2),
(75419,10134150,'Cannot be modified except by direct means',100,2,3),
(75420,76379,'When Equipped:',100,0,0),
(75421,76379,'On a hit this spell may cast Surging Adrenaline on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(75422,76379,'Heals caster for 241',100,2,2),
(75423,76379,'Cannot be modified except by direct means',100,2,3),
(75424,76379,'When Equipped:',100,0,4),
(75425,76379,'On a healing spell cast this spell will cast Regenerating Gift on caster.  ',100,1,5),
(75426,76379,'Heals caster for 21',100,2,6),
(75427,76379,'Cannot be modified except by direct means',100,2,7),
(75428,10076379,'When Equipped:',100,0,0),
(75429,10076379,'On a hit this spell may cast Surging Adrenaline on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(75430,10076379,'Heals caster for 157',100,2,2),
(75431,10076379,'Cannot be modified except by direct means',100,2,3),
(75432,10076379,'When Equipped:',100,0,4),
(75433,10076379,'On a healing spell cast this spell will cast Regenerating Gift on caster.  ',100,1,5),
(75434,10076379,'Heals caster for 14',100,2,6),
(75435,10076379,'Cannot be modified except by direct means',100,2,7),
(75436,108033,'Inflicts 111 magic damage on target',100,1,0),
(75437,108033,'Increases power of caster by 52',100,1,1),
(75438,10108033,'Inflicts 155 magic damage on target',100,1,0),
(75439,10108033,'Increases power of caster by 52',100,1,1),
(75440,71932,'When Equipped:',100,0,0),
(75441,71932,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75442,71932,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(75443,71932,'Cannot be modified except by direct means',100,2,3),
(75444,10071932,'When Equipped:',100,0,0),
(75445,10071932,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75446,10071932,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(75447,10071932,'Cannot be modified except by direct means',100,2,3),
(75448,124342,'Shapechanges caster into a wolf',100,1,0),
(75449,124342,'Grants See Invisibility to caster',100,1,1),
(75450,124342,'Increases Focus of caster by 56.2',100,1,2),
(75451,124342,'Increases Mitigation of caster vs physical damage by 638',100,1,3),
(75452,124342,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2310',100,1,4),
(75453,10124342,'Shapechanges caster into a wolf',100,1,0),
(75454,10124342,'Grants See Invisibility to caster',100,1,1),
(75455,10124342,'Increases Focus of caster by 56.2',100,1,2),
(75456,10124342,'Increases Mitigation of caster vs physical damage by 638',100,1,3),
(75457,10124342,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2310',100,1,4),
(75458,71883,'When Equipped:',100,0,0),
(75459,71883,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75460,71883,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(75461,71883,'Cannot be modified except by direct means',100,2,3),
(75462,10071883,'When Equipped:',100,0,0),
(75463,10071883,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75464,10071883,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(75465,10071883,'Cannot be modified except by direct means',100,2,3),
(75466,35908,'Increases Max Power of target by 4.1',100,0,0),
(75467,35908,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(75468,47183,'Applies Murky Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(75469,47183,'Increases INT and WIS of caster by 35.2',100,1,1),
(75470,47183,'Only affects targets level 50 and above',100,1,2),
(75471,10047183,'Applies Murky Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(75472,10047183,'Increases INT and WIS of caster by 35.2',100,1,1),
(75473,10047183,'Only affects targets level 50 and above',100,1,2),
(75474,120321,'Increases Threat to target by 1,652 - 2,019 ',100,1,0),
(75475,10120321,'Forces target to change their selected target to caster.',100,1,0),
(75476,10120321,'Prevents target from changing targets',100,1,1),
(75477,37004,'Increases AGI of target by 1.6',100,0,0),
(75478,37004,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(75479,118530,'Inflicts 225 - 375 melee damage on target',100,1,0),
(75480,118530,'Decreases STR of target by 29.7',100,1,1),
(75481,118530,'You must be sneaking to use this ability.',100,1,2),
(75482,10118530,'Inflicts 292 - 487 melee damage on target',100,1,0),
(75483,10118530,'Decreases STR of target by 29.7',100,1,1),
(75484,10118530,'You must be sneaking to use this ability.',100,1,2),
(75485,47214,'Applies Elixir of the Clear Mind  when Activated.',100,0,0),
(75486,47214,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(75487,10047214,'Applies Elixir of the Clear Mind  when Activated.',100,0,0),
(75488,10047214,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(75489,74859,'When Equipped:',100,0,0),
(75490,74859,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75491,74859,'Inflicts 146 - 219 magic damage on target',100,2,2),
(75492,74859,'Cannot be modified except by direct means',100,2,3),
(75493,10074859,'When Equipped:',100,0,0),
(75494,10074859,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75495,10074859,'Inflicts 204 - 306 magic damage on target',100,2,2),
(75496,10074859,'Cannot be modified except by direct means',100,2,3),
(75497,118131,'Heals target for 1259 - 1539',100,1,0),
(75498,10118131,'Heals target for 1488 - 1819',100,1,0),
(75499,111997,'Inflicts 159 - 266 piercing damage on target',100,1,0),
(75500,10111997,'Inflicts 207 - 346 piercing damage on target',100,1,0),
(75501,54406,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(75502,54406,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(75503,54406,'Inflicts 85 heat damage on target',100,2,2),
(75504,54406,'Cannot be modified except by direct means',100,2,3),
(75505,10054406,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(75506,10054406,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(75507,10054406,'Inflicts 119 heat damage on target',100,2,2),
(75508,10054406,'Cannot be modified except by direct means',100,2,3),
(75509,187419,'When Equipped:',100,0,0),
(75510,187419,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75511,187419,'Increases Potency of group members by 6.0%',100,2,2),
(75512,187419,'Increases Crit Bonus of group members by 6.0%',100,2,3),
(75513,187419,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(75514,187419,'Must not be engaged in pvp combat',100,2,5),
(75515,187419,'Cannot be modified except by direct means',100,2,6),
(75516,187419,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(75517,187419,'Increases Potency of group members by 6.0%',100,2,8),
(75518,187419,'Increases Crit Bonus of group members by 6.0%',100,2,9),
(75519,187419,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(75520,187419,'Must not be engaged in pvp combat',100,2,11),
(75521,187419,'Cannot be modified except by direct means',100,2,12),
(75522,187419,'Cannot be modified except by direct means',100,1,13),
(75523,10187419,'When Equipped:',100,0,0),
(75524,10187419,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(75525,10187419,'Increases Potency of group members by 6.0%',100,2,2),
(75526,10187419,'Increases Crit Bonus of group members by 6.0%',100,2,3),
(75527,10187419,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(75528,10187419,'Must not be engaged in pvp combat',100,2,5),
(75529,10187419,'Cannot be modified except by direct means',100,2,6),
(75530,10187419,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(75531,10187419,'Increases Potency of group members by 6.0%',100,2,8),
(75532,10187419,'Increases Crit Bonus of group members by 6.0%',100,2,9),
(75533,10187419,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(75534,10187419,'Must not be engaged in pvp combat',100,2,11),
(75535,10187419,'Cannot be modified except by direct means',100,2,12),
(75536,10187419,'Cannot be modified except by direct means',100,1,13),
(75537,103266,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(75538,103266,'If Fighter',100,2,1),
(75539,103266,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(75540,103266,'Increases power of target by 5 instantly and every 4 seconds',100,2,3),
(75541,103266,'Increases power of caster by 5 instantly and every 4 seconds',100,2,4),
(75542,10103266,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(75543,10103266,'Increases power of target by 5 instantly and every 4 seconds',100,2,1),
(75544,10103266,'Increases power of caster by 5 instantly and every 4 seconds',100,2,2),
(75545,25028,'When Equipped:',100,0,0),
(75546,25028,'Increases Multi Attack Chance of caster by 5.0',100,1,1),
(75547,10025028,'When Equipped:',100,0,0),
(75548,10025028,'Increases Multi Attack Chance of caster by 5.0',100,1,1),
(75549,121111,'Decreases Threat to targets in Area of Effect by 2,284 ',100,1,0),
(75550,121111,'Mesmerizes targets in Area of Effect',100,1,1),
(75551,121111,'If Target is not Epic',100,2,2),
(75552,121111,'Dispelled when target takes damage',100,1,3),
(75553,10121111,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(75554,10121111,'Applies Distract.',100,1,1),
(75555,10121111,'Forces target to clear their selected target.',100,2,2),
(75556,10121111,'Mesmerizes targets in Area of Effect',100,1,3),
(75557,10121111,'If Target is not Epic',100,2,4),
(75558,10121111,'Dispelled when target takes damage',100,1,5),
(75559,84286,'When Equipped:',100,0,0),
(75560,84286,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(75561,84286,'Heals caster for 392',100,2,2),
(75562,84286,'Cannot be modified except by direct means',100,2,3),
(75563,10084286,'When Equipped:',100,0,0),
(75564,10084286,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(75565,10084286,'Heals caster for 255',100,2,2),
(75566,10084286,'Cannot be modified except by direct means',100,2,3),
(75567,109998,'Heals target for 96 - 117 instantly and every 2 seconds',100,1,0),
(75568,10109998,'Heals target for 62 - 76 instantly and every 2 seconds',100,1,0),
(75569,119260,'Inflicts 22 - 37 slashing damage on target',100,1,0),
(75570,119260,'Decreases Damage Per Second of target by 7.7',100,1,1),
(75571,119260,'Inflicts 30 slashing damage on target instantly and every 4 seconds',100,1,2),
(75572,10119260,'Inflicts 29 - 48 slashing damage on target',100,1,0),
(75573,10119260,'Decreases Damage Per Second of target by 7.7',100,1,1),
(75574,10119260,'Inflicts 42 slashing damage on target instantly and every 4 seconds',100,1,2),
(75575,87437,'When Equipped:',100,0,0),
(75576,87437,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75577,87437,'Inflicts 38 - 56 magic damage on target',100,2,2),
(75578,87437,'Cannot be modified except by direct means',100,2,3),
(75579,10087437,'When Equipped:',100,0,0),
(75580,10087437,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75581,10087437,'Inflicts 53 - 79 magic damage on target',100,2,2),
(75582,10087437,'Cannot be modified except by direct means',100,2,3),
(75583,25481,'When Equipped:',100,0,0),
(75584,25481,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(75585,25481,'Improves the hate transfer of Enraging Demeanor III by 5%.',100,1,2),
(75586,10025481,'When Equipped:',100,0,0),
(75587,10025481,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(75588,10025481,'Improves the hate transfer of Enraging Demeanor III by 5%.',100,1,2),
(75589,190033,'When Equipped:',100,0,0),
(75590,190033,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75591,190033,'Wards target against 1000 points of all damage',100,2,2),
(75592,190033,'Cannot be modified except by direct means',100,2,3),
(75593,190033,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(75594,10190033,'When Equipped:',100,0,0),
(75595,10190033,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75596,10190033,'Wards target against 1000 points of all damage',100,2,2),
(75597,10190033,'Cannot be modified except by direct means',100,2,3),
(75598,10190033,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(75599,115007,'Inflicts 726 - 1211 ranged damage on targets in area',100,1,0),
(75600,115007,'You must be in stealth to use this!',100,1,1),
(75601,115007,'Requires bow',100,1,2),
(75602,10115007,'Inflicts 617 - 1029 ranged damage on targets in area',100,1,0),
(75603,10115007,'You must be in stealth to use this!',100,1,1),
(75604,10115007,'Requires bow',100,1,2),
(75605,123807,'Inflicts 57 - 95 magic damage on target',100,1,0),
(75606,123807,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(75607,123807,'Decreases Defense of target by 17.3',100,1,2),
(75608,123807,'Target will lose 26% more power when power is consumed',100,1,3),
(75609,123807,'26% of target''s power consumed will also be drained from target''s health',100,1,4),
(75610,10123807,'Inflicts 80 - 133 magic damage on target',100,1,0),
(75611,10123807,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(75612,10123807,'Decreases Defense of target by 17.3',100,1,2),
(75613,10123807,'Target will lose 26% more power when power is consumed',100,1,3),
(75614,10123807,'26% of target''s power consumed will also be drained from target''s health',100,1,4),
(75615,100889,'Makes target afraid',100,1,0),
(75616,100889,'30% chance to dispel when target takes damage',100,1,1),
(75617,100889,'Does not affect Epic targets',100,1,2),
(75618,100889,'Resistibility increases against targets higher than level 116.',100,1,3),
(75619,10100889,'Makes target afraid',100,1,0),
(75620,10100889,'30% chance to dispel when target takes damage',100,1,1),
(75621,10100889,'Does not affect Epic targets',100,1,2),
(75622,10100889,'Resistibility increases against targets higher than level 116.',100,1,3),
(75623,46647,'Applies Drop Beacon when Activated.',100,0,0),
(75624,46647,'This effect cannot be cast during combat',100,1,1),
(75625,10046647,'Applies Drop Beacon when Activated.',100,0,0),
(75626,10046647,'This effect cannot be cast during combat',100,1,1),
(75627,71842,'When Equipped:',100,0,0),
(75628,71842,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75629,71842,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(75630,71842,'Cannot be modified except by direct means',100,2,3),
(75631,10071842,'When Equipped:',100,0,0),
(75632,10071842,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(75633,10071842,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(75634,10071842,'Cannot be modified except by direct means',100,2,3),
(75635,35180,'Increases STR of target by 1.6',100,0,0),
(75636,35180,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(75637,105822,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(75638,105822,'Inflicts 113 - 188 disease damage on target',100,2,1),
(75639,10105822,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(75640,10105822,'Inflicts 147 - 245 disease damage on target',100,2,1),
(75641,121250,'Inflicts 925 - 1131 heat damage on target encounter',100,1,0),
(75642,10121250,'Inflicts 1295 - 1583 heat damage on target encounter',100,1,0),
(75643,26032,'When Equipped:',100,0,0),
(75644,26032,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(75645,26032,'Inflicts 108 divine damage on target',100,2,2),
(75646,26032,'Heals caster for 80',100,2,3),
(75647,26032,'Cannot be modified except by direct means',100,2,4),
(75648,10026032,'When Equipped:',100,0,0),
(75649,10026032,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(75650,10026032,'Inflicts 151 divine damage on target',100,2,2),
(75651,10026032,'Heals caster for 52',100,2,3),
(75652,10026032,'Cannot be modified except by direct means',100,2,4),
(75653,158572,'When Equipped:',100,0,0),
(75654,158572,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(75655,158572,'Increases power of target by 25',100,2,2),
(75656,158572,'Cannot be modified except by direct means',100,2,3),
(75657,158572,'Must be engaged in pvp combat',100,1,4),
(75658,10158572,'When Equipped:',100,0,0),
(75659,10158572,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(75660,10158572,'Increases power of target by 25',100,2,2),
(75661,10158572,'Cannot be modified except by direct means',100,2,3),
(75662,10158572,'Must be engaged in pvp combat',100,1,4),
(75663,119319,'Roots target',100,1,0),
(75664,119319,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(75665,119319,'Slows target by 59.1%',100,2,2),
(75666,119319,'5% chance to dispel when target receives hostile action',100,2,3),
(75667,119319,'5% chance to dispel when target takes damage',100,2,4),
(75668,119319,'15% chance to dispel when target takes damage',100,1,5),
(75669,119319,'Does not affect Epic targets',100,1,6),
(75670,119319,'Resistibility increases against targets higher than level 90.',100,1,7),
(75671,10119319,'Roots target',100,1,0),
(75672,10119319,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(75673,10119319,'Slows target by 59.1%',100,2,2),
(75674,10119319,'5% chance to dispel when target receives hostile action',100,2,3),
(75675,10119319,'5% chance to dispel when target takes damage',100,2,4),
(75676,10119319,'15% chance to dispel when target takes damage',100,1,5),
(75677,10119319,'Does not affect Epic targets',100,1,6),
(75678,10119319,'Resistibility increases against targets higher than level 90.',100,1,7),
(75679,113058,'Applies Scream on termination.',100,1,0),
(75680,113058,'Inflicts 124 - 206 disease damage on target',100,2,1),
(75681,113058,'Dazes target',100,1,2),
(75682,113058,'If Target is not Epic',100,2,3),
(75683,113058,'Resistibility increases against targets higher than level 63.',100,1,4),
(75684,10113058,'Dazes target',100,1,0),
(75685,10113058,'If Target is not Epic',100,2,1),
(75686,10113058,'Applies Scream on termination.',100,1,2),
(75687,10113058,'Inflicts 173 - 288 disease damage on target',100,2,3),
(75688,10113058,'Resistibility increases against targets higher than level 63.',100,1,4),
(75689,176237,'When Equipped:',100,0,0),
(75690,176237,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(75691,176237,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(75692,176237,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,3),
(75693,176237,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(75694,176237,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(75695,176237,'Must not be engaged in pvp combat',100,2,6),
(75696,176237,'Cannot be modified except by direct means',100,2,7),
(75697,176237,'Must not be engaged in pvp combat',100,1,8),
(75698,10176237,'When Equipped:',100,0,0),
(75699,10176237,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(75700,10176237,'Inflicts 4517 - 4993 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(75701,10176237,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,3),
(75702,10176237,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(75703,10176237,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(75704,10176237,'Must not be engaged in pvp combat',100,2,6),
(75705,10176237,'Cannot be modified except by direct means',100,2,7),
(75706,10176237,'Must not be engaged in pvp combat',100,1,8),
(75707,124717,'Heals group members (AE) for 666 - 814',100,1,0),
(75708,10124717,'Heals group members (AE) for 808 - 988',100,1,0),
(75709,37293,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(75710,37293,'This effect suspends during combat',100,0,1),
(75711,123845,'Increases AGI of caster by 10.7',100,1,0),
(75712,123845,'Adds 17.2% to base avoidance.',100,1,1),
(75713,123845,'Increases Damage Per Second of caster by 23.2',100,1,2),
(75714,123845,'Increases Mitigation of caster vs physical damage by 85',100,1,3),
(75715,123845,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 189',100,1,4),
(75716,10123845,'Increases AGI of caster by 10.7',100,1,0),
(75717,10123845,'Adds 17.2% to base avoidance.',100,1,1),
(75718,10123845,'Increases Damage Per Second of caster by 23.2',100,1,2),
(75719,10123845,'Increases Mitigation of caster vs physical damage by 85',100,1,3),
(75720,10123845,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 189',100,1,4),
(75721,144601,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(75722,144601,'Decreases INT, WIS, STR and AGI of target by 69.3',100,1,1),
(75723,144601,'Decreases Max Health of target by 1.0%',100,1,2),
(75724,144601,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(75725,10144601,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(75726,10144601,'Decreases INT, WIS, STR and AGI of target by 69.3',100,1,1),
(75727,10144601,'Decreases Max Health of target by 1.0%',100,1,2),
(75728,10144601,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(75729,82599,'When Equipped:',100,0,0),
(75730,82599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75731,82599,'Inflicts 90 - 167 magic damage on target',100,2,2),
(75732,82599,'Cannot be modified except by direct means',100,2,3),
(75733,10082599,'When Equipped:',100,0,0),
(75734,10082599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75735,10082599,'Inflicts 126 - 234 magic damage on target',100,2,2),
(75736,10082599,'Cannot be modified except by direct means',100,2,3),
(75737,114095,'Inflicts 442 - 738 melee damage on targets in area',100,1,0),
(75738,114095,'You must be in stealth to use this!',100,1,1),
(75739,10114095,'Inflicts 575 - 959 melee damage on targets in area',100,1,0),
(75740,10114095,'You must be in stealth to use this!',100,1,1),
(75741,113319,'Inflicts 424 - 706 heat damage on target',100,1,0),
(75742,10113319,'Inflicts 835 - 1392 heat damage on target',100,1,0),
(75743,116543,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(75744,116543,'Inflicts 180 divine damage on target',100,2,1),
(75745,116543,'Increases Mitigation of raid and group members (AE) vs all damage by 1400',100,1,2),
(75746,10116543,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(75747,10116543,'Inflicts 252 divine damage on target',100,2,1),
(75748,10116543,'Increases Mitigation of raid and group members (AE) vs all damage by 1400',100,1,2),
(75749,110608,'Decreases Focus of target by 31.9',100,1,0),
(75750,110608,'Interrupts target',100,1,1),
(75751,110608,'Inflicts 175 - 527 crushing damage on target',100,1,2),
(75752,10110608,'Decreases Focus of target by 31.9',100,1,0),
(75753,10110608,'Interrupts target',100,1,1),
(75754,10110608,'Inflicts 228 - 685 crushing damage on target',100,1,2),
(75755,124560,'Decreases Threat to targets in Area of Effect by 325 ',100,1,0),
(75756,124560,'Interrupts targets in Area of Effect',100,1,1),
(75757,124560,'Roots targets in Area of Effect',100,1,2),
(75758,124560,'If Target is not Epic',100,2,3),
(75759,10124560,'Applies Distract.',100,1,0),
(75760,10124560,'Forces target to clear their selected target.',100,2,1),
(75761,10124560,'Interrupts targets in Area of Effect',100,1,2),
(75762,10124560,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(75763,10124560,'Roots targets in Area of Effect',100,1,4),
(75764,10124560,'If Target is not Epic',100,2,5),
(75765,157220,'When Equipped:',100,0,0),
(75766,157220,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(75767,157220,'Increases STA of target by 10.4',100,2,2),
(75768,157220,'Cannot be modified except by direct means',100,2,3),
(75769,10157220,'When Equipped:',100,0,0),
(75770,10157220,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(75771,10157220,'Increases STA of target by 10.4',100,2,2),
(75772,10157220,'Cannot be modified except by direct means',100,2,3),
(75773,159607,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(75774,159607,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(75775,159607,'Inflicts 111 heat damage on target',100,2,2),
(75776,159607,'Cannot be modified except by direct means',100,2,3),
(75777,10159607,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(75778,10159607,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(75779,10159607,'Inflicts 155 heat damage on target',100,2,2),
(75780,10159607,'Cannot be modified except by direct means',100,2,3),
(75781,87475,'When Equipped:',100,0,0),
(75782,87475,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75783,87475,'Inflicts 204 - 307 magic damage on target',100,2,2),
(75784,87475,'Cannot be modified except by direct means',100,2,3),
(75785,10087475,'When Equipped:',100,0,0),
(75786,10087475,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75787,10087475,'Inflicts 286 - 429 magic damage on target',100,2,2),
(75788,10087475,'Cannot be modified except by direct means',100,2,3),
(75789,27039,'When Equipped:',100,0,0),
(75790,27039,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(75791,27039,'Inflicts 81 heat damage on target',100,2,2),
(75792,27039,'Inflicts 9 heat damage on target every 5 seconds',100,2,3),
(75793,27039,'Cannot be modified except by direct means',100,2,4),
(75794,10027039,'When Equipped:',100,0,0),
(75795,10027039,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(75796,10027039,'Inflicts 113 heat damage on target',100,2,2),
(75797,10027039,'Inflicts 13 heat damage on target every 5 seconds',100,2,3),
(75798,10027039,'Cannot be modified except by direct means',100,2,4),
(75799,116270,'Summons a pet Illusion Ally',100,1,0),
(75800,10116270,'Summons a pet Illusion Ally',100,1,0),
(75801,123981,'Inflicts 531 - 885 melee damage on target',100,1,0),
(75802,123981,'Decreases AGI of target by 49.2',100,1,1),
(75803,123981,'Must be behind',100,1,2),
(75804,10123981,'Inflicts 690 - 1150 melee damage on target',100,1,0),
(75805,10123981,'Decreases AGI of target by 49.2',100,1,1),
(75806,10123981,'Must be behind',100,1,2),
(75807,87705,'When Equipped:',100,0,0),
(75808,87705,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75809,87705,'Decreases Threat to target by 500 ',100,2,2),
(75810,87705,'Cannot be modified except by direct means',100,2,3),
(75811,10087705,'When Equipped:',100,0,0),
(75812,10087705,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75813,10087705,'Cannot be modified except by direct means',100,2,2),
(75814,105985,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(75815,105985,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(75816,105985,'Inflicts 305 - 509 piercing damage on target',100,3,2),
(75817,105985,'Grants a total of 5 triggers of the spell.',100,3,3),
(75818,105985,'Grants a total of 1 trigger of the spell.',100,2,4),
(75819,10105985,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(75820,10105985,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(75821,10105985,'Inflicts 397 - 662 piercing damage on target',100,3,2),
(75822,10105985,'Grants a total of 5 triggers of the spell.',100,3,3),
(75823,10105985,'Grants a total of 1 trigger of the spell.',100,2,4),
(75824,122467,'Inflicts 1795 - 2991 magic damage on target',100,1,0),
(75825,10122467,'Inflicts 2513 - 4188 magic damage on target',100,1,0),
(75826,141840,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(75827,141840,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(75828,141840,'Inflicts 12 heat damage on target',100,2,2),
(75829,141840,'Cannot be modified except by direct means',100,2,3),
(75830,10141840,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(75831,10141840,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(75832,10141840,'Inflicts 16 heat damage on target',100,2,2),
(75833,10141840,'Cannot be modified except by direct means',100,2,3),
(75834,41580,'When Equipped:',100,0,0),
(75835,41580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75836,41580,'Inflicts 201 - 374 magic damage on target',100,2,2),
(75837,41580,'Cannot be modified except by direct means',100,2,3),
(75838,10041580,'When Equipped:',100,0,0),
(75839,10041580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75840,10041580,'Inflicts 282 - 523 magic damage on target',100,2,2),
(75841,10041580,'Cannot be modified except by direct means',100,2,3),
(75842,24439,'Adds Honor Elf (Paladin) to your Dungeon Maker toolbox',100,0,0),
(75843,10024439,'Adds Honor Elf (Paladin) to your Dungeon Maker toolbox',100,0,0),
(75844,124389,'Decreases STR of target by 10.6',100,1,0),
(75845,10124389,'Decreases STR of target by 10.6',100,1,0),
(75846,46151,'Applies Enfeeblement Emollient when Activated.  Lasts for 1 minute.',100,0,0),
(75847,46151,'Shrinks target by 50.0%',100,1,1),
(75848,10046151,'Applies Enfeeblement Emollient when Activated.  Lasts for 1 minute.',100,0,0),
(75849,10046151,'Shrinks target by 50.0%',100,1,1),
(75850,134344,'When Equipped:',100,0,0),
(75851,134344,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(75852,134344,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(75853,134344,'Increases Attack Speed of caster by 6.0',100,2,3),
(75854,134344,'Increases Damage Per Second of caster by 9.0',100,2,4),
(75855,134344,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(75856,134344,'Must not be engaged in pvp combat',100,2,6),
(75857,134344,'Cannot be modified except by direct means',100,2,7),
(75858,134344,'Cannot be modified except by direct means',100,1,8),
(75859,10134344,'When Equipped:',100,0,0),
(75860,10134344,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(75861,10134344,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(75862,10134344,'Increases Attack Speed of caster by 6.0',100,2,3),
(75863,10134344,'Increases Damage Per Second of caster by 9.0',100,2,4),
(75864,10134344,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(75865,10134344,'Must not be engaged in pvp combat',100,2,6),
(75866,10134344,'Cannot be modified except by direct means',100,2,7),
(75867,10134344,'Cannot be modified except by direct means',100,1,8),
(75868,140280,'When Equipped:',100,0,0),
(75869,140280,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(75870,140280,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(75871,140280,'Must not be engaged in pvp combat',100,2,3),
(75872,140280,'Cannot be modified except by direct means',100,2,4),
(75873,140280,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(75874,140280,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(75875,140280,'Must not be engaged in pvp combat',100,2,7),
(75876,140280,'Cannot be modified except by direct means',100,2,8),
(75877,140280,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(75878,140280,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(75879,140280,'Must not be engaged in pvp combat',100,2,11),
(75880,140280,'Cannot be modified except by direct means',100,2,12),
(75881,140280,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(75882,140280,'Inflicts 13 piercing damage on target',100,2,14),
(75883,140280,'Must not be engaged in pvp combat',100,2,15),
(75884,140280,'Cannot be modified except by direct means',100,2,16),
(75885,10140280,'When Equipped:',100,0,0),
(75886,10140280,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(75887,10140280,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(75888,10140280,'Must not be engaged in pvp combat',100,2,3),
(75889,10140280,'Cannot be modified except by direct means',100,2,4),
(75890,10140280,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(75891,10140280,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(75892,10140280,'Must not be engaged in pvp combat',100,2,7),
(75893,10140280,'Cannot be modified except by direct means',100,2,8),
(75894,10140280,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(75895,10140280,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(75896,10140280,'Must not be engaged in pvp combat',100,2,11),
(75897,10140280,'Cannot be modified except by direct means',100,2,12),
(75898,10140280,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(75899,10140280,'Inflicts 19 piercing damage on target',100,2,14),
(75900,10140280,'Must not be engaged in pvp combat',100,2,15),
(75901,10140280,'Cannot be modified except by direct means',100,2,16),
(75902,112834,'Roots target',100,1,0),
(75903,112834,'5% chance to dispel when target takes damage',100,1,1),
(75904,112834,'Does not affect Epic targets',100,1,2),
(75905,112834,'Resistibility increases against targets higher than level 64.',100,1,3),
(75906,10112834,'Roots target',100,1,0),
(75907,10112834,'5% chance to dispel when target takes damage',100,1,1),
(75908,10112834,'Does not affect Epic targets',100,1,2),
(75909,10112834,'Resistibility increases against targets higher than level 64.',100,1,3),
(75910,35418,'Increases STA and STR of target by 1.2',100,0,0),
(75911,35418,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(75912,35754,'Increases INT and STR of target by 1.2',100,0,0),
(75913,35754,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(75914,103622,'Increases STR of raid and group members (AE) by 17.7',100,1,0),
(75915,103622,'Improves the base amount of taunts by 14%.',100,1,1),
(75916,103622,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(75917,103622,'Increases AGI of raid and group members (AE) by 17.7',100,1,3),
(75918,103622,'Adds 1.4% to base avoidance.',100,1,4),
(75919,10103622,'Increases STR of raid and group members (AE) by 17.7',100,1,0),
(75920,10103622,'Improves the base amount of taunts by 14%.',100,1,1),
(75921,10103622,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(75922,10103622,'Increases AGI of raid and group members (AE) by 17.7',100,1,3),
(75923,10103622,'Adds 1.4% to base avoidance.',100,1,4),
(75924,103396,'Decreases Threat to targets in Area of Effect by 308 ',100,1,0),
(75925,103396,'Slows targets in Area of Effect by 33.2%',100,1,1),
(75926,103396,'Stifles targets in Area of Effect',100,1,2),
(75927,103396,'If Target is not Epic',100,2,3),
(75928,103396,'10% chance to dispel when target receives hostile action',100,1,4),
(75929,103396,'10% chance to dispel when target takes damage',100,1,5),
(75930,10103396,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(75931,10103396,'Slows targets in Area of Effect by 33.2%',100,1,1),
(75932,10103396,'Stifles targets in Area of Effect',100,1,2),
(75933,10103396,'If Target is not Epic',100,2,3),
(75934,112110,'Dispels 15 levels of physical and arcane hostile effects on caster',100,1,0),
(75935,10112110,'Dispels 15 levels of physical and arcane hostile effects on caster',100,1,0),
(75936,106091,'Inflicts 357 - 595 melee damage on target',100,1,0),
(75937,106091,'Decreases Mitigation of target vs physical damage by 1000',100,1,1),
(75938,106091,'Must be behind',100,1,2),
(75939,10106091,'Inflicts 464 - 774 melee damage on target',100,1,0),
(75940,10106091,'Decreases Mitigation of target vs physical damage by 250',100,1,1),
(75941,10106091,'Must be behind',100,1,2),
(75942,100128,'Decreases STR, AGI, WIS and INT of target by 52.3',100,1,0),
(75943,100128,'Decreases Max Health of target by 0.7%',100,1,1),
(75944,10100128,'Decreases STR, AGI, WIS and INT of target by 52.3',100,1,0),
(75945,10100128,'Decreases Max Health of target by 0.7%',100,1,1),
(75946,81290,'When Equipped:',100,0,0),
(75947,81290,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75948,81290,'Inflicts 270 - 502 magic damage on target',100,2,2),
(75949,81290,'Cannot be modified except by direct means',100,2,3),
(75950,10081290,'When Equipped:',100,0,0),
(75951,10081290,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(75952,10081290,'Inflicts 378 - 703 magic damage on target',100,2,2),
(75953,10081290,'Cannot be modified except by direct means',100,2,3),
(75954,118385,'Inflicts 477 - 796 melee damage on target',100,1,0),
(75955,118385,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(75956,118385,'Stuns target',100,2,2),
(75957,118385,'Blurs vision of target',100,2,3),
(75958,118385,'Throws target back',100,2,4),
(75959,118385,'Does not affect Epic targets',100,2,5),
(75960,10118385,'Inflicts 621 - 1035 melee damage on target',100,1,0),
(75961,10118385,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(75962,10118385,'Stuns target',100,2,2),
(75963,10118385,'Throws target back',100,2,3),
(75964,10118385,'Blurs vision of target',100,2,4),
(75965,10118385,'Does not affect Epic targets',100,2,5),
(75966,36884,'Increases Out-of-Combat Health Regeneration of target by 2.0',100,0,0),
(75967,36884,'This effect suspends during combat',100,0,1),
(75968,121251,'Inflicts 732 - 895 heat damage on target encounter',100,1,0),
(75969,10121251,'Inflicts 1025 - 1253 heat damage on target encounter',100,1,0),
(75970,27276,'When Equipped:',100,0,0),
(75971,27276,'Decreases falling damage taken by caster by 40.0%',100,1,1),
(75972,10027276,'When Equipped:',100,0,0),
(75973,10027276,'Decreases falling damage taken by caster by 40.0%',100,1,1),
(75974,112860,'Roots target',100,1,0),
(75975,112860,'5% chance to dispel when target takes damage',100,1,1),
(75976,112860,'Does not affect Epic targets',100,1,2),
(75977,112860,'Resistibility increases against targets higher than level 115.',100,1,3),
(75978,10112860,'Roots target',100,1,0),
(75979,10112860,'5% chance to dispel when target takes damage',100,1,1),
(75980,10112860,'Does not affect Epic targets',100,1,2),
(75981,10112860,'Resistibility increases against targets higher than level 115.',100,1,3),
(75982,48326,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(75983,48326,'Increases INT of caster by 35.0',100,1,1),
(75984,10048326,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(75985,10048326,'Increases INT of caster by 35.0',100,1,1),
(75986,114406,'Mesmerizes target',100,1,0),
(75987,114406,'Prevents AOE (except when direct) ',100,1,1),
(75988,114406,'Dispelled when target takes damage',100,1,2),
(75989,114406,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(75990,114406,'Resistibility increases against targets higher than level 53.',100,1,4),
(75991,10114406,'Mesmerizes target',100,1,0),
(75992,10114406,'Prevents AOE (except when direct) ',100,1,1),
(75993,10114406,'Dispelled when target takes damage',100,1,2),
(75994,10114406,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(75995,10114406,'Resistibility increases against targets higher than level 53.',100,1,4),
(75996,115661,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1238',100,1,0),
(75997,10115661,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1238',100,1,0),
(75998,82595,'When Equipped:',100,0,0),
(75999,82595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76000,82595,'Inflicts 91 - 169 magic damage on target',100,2,2),
(76001,82595,'Cannot be modified except by direct means',100,2,3),
(76002,10082595,'When Equipped:',100,0,0),
(76003,10082595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76004,10082595,'Inflicts 128 - 237 magic damage on target',100,2,2),
(76005,10082595,'Cannot be modified except by direct means',100,2,3),
(76006,121774,'Heals target for 97 - 119',100,1,0),
(76007,121774,'Heals target for 16 - 20 every second',100,1,1),
(76008,10121774,'Heals target for 168 - 206',100,1,0),
(76009,10121774,'Heals target for 14 - 17 every second',100,1,1),
(76010,70270,'When Equipped:',100,0,0),
(76011,70270,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(76012,70270,'Inflicts 53 - 89 piercing damage on target',100,2,2),
(76013,70270,'Inflicts 53 - 89 divine damage on target',100,2,3),
(76014,70270,'Inflicts 53 - 89 magic damage on target',100,2,4),
(76015,70270,'Must not be engaged in pvp combat',100,2,5),
(76016,70270,'Cannot be modified except by direct means',100,2,6),
(76017,70270,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(76018,70270,'Inflicts 53 - 89 piercing damage on target',100,2,8),
(76019,70270,'Inflicts 53 - 89 divine damage on target',100,2,9),
(76020,70270,'Inflicts 53 - 89 magic damage on target',100,2,10),
(76021,70270,'Must not be engaged in pvp combat',100,2,11),
(76022,70270,'Cannot be modified except by direct means',100,2,12),
(76023,70270,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(76024,70270,'Inflicts 53 - 89 piercing damage on target',100,2,14),
(76025,70270,'Inflicts 53 - 89 divine damage on target',100,2,15),
(76026,70270,'Inflicts 53 - 89 magic damage on target',100,2,16),
(76027,70270,'Must not be engaged in pvp combat',100,2,17),
(76028,70270,'Cannot be modified except by direct means',100,2,18),
(76029,70270,'Must not be engaged in pvp combat',100,1,19),
(76030,10070270,'When Equipped:',100,0,0),
(76031,10070270,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(76032,10070270,'Inflicts 74 - 124 piercing damage on target',100,2,2),
(76033,10070270,'Inflicts 74 - 124 divine damage on target',100,2,3),
(76034,10070270,'Inflicts 74 - 124 magic damage on target',100,2,4),
(76035,10070270,'Must not be engaged in pvp combat',100,2,5),
(76036,10070270,'Cannot be modified except by direct means',100,2,6),
(76037,10070270,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(76038,10070270,'Inflicts 74 - 124 piercing damage on target',100,2,8),
(76039,10070270,'Inflicts 74 - 124 divine damage on target',100,2,9),
(76040,10070270,'Inflicts 74 - 124 magic damage on target',100,2,10),
(76041,10070270,'Must not be engaged in pvp combat',100,2,11),
(76042,10070270,'Cannot be modified except by direct means',100,2,12),
(76043,10070270,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(76044,10070270,'Inflicts 74 - 124 piercing damage on target',100,2,14),
(76045,10070270,'Inflicts 74 - 124 divine damage on target',100,2,15),
(76046,10070270,'Inflicts 74 - 124 magic damage on target',100,2,16),
(76047,10070270,'Must not be engaged in pvp combat',100,2,17),
(76048,10070270,'Cannot be modified except by direct means',100,2,18),
(76049,10070270,'Must not be engaged in pvp combat',100,1,19),
(76050,141923,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(76051,141923,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(76052,141923,'Inflicts 12 heat damage on target',100,2,2),
(76053,141923,'Cannot be modified except by direct means',100,2,3),
(76054,10141923,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(76055,10141923,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(76056,10141923,'Inflicts 16 heat damage on target',100,2,2),
(76057,10141923,'Cannot be modified except by direct means',100,2,3),
(76058,157116,'Applies Griz when Equipped.',100,0,0),
(76059,10157116,'Applies Griz when Equipped.',100,0,0),
(76060,72016,'When Equipped:',100,0,0),
(76061,72016,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76062,72016,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(76063,72016,'Cannot be modified except by direct means',100,2,3),
(76064,10072016,'When Equipped:',100,0,0),
(76065,10072016,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76066,10072016,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(76067,10072016,'Cannot be modified except by direct means',100,2,3),
(76068,122414,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(76069,122414,'Inflicts 35 - 42 piercing damage on target encounter',100,2,1),
(76070,10122414,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(76071,10122414,'Inflicts 49 - 59 piercing damage on target encounter',100,2,1),
(76072,105312,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(76073,105312,'Inflicts 310 - 516 mental damage on target',100,2,1),
(76074,105312,'Increases AGI of caster by 227.7',100,1,2),
(76075,105312,'Adds 18.7% to base avoidance.',100,1,3),
(76076,105312,'Increases Mitigation of caster vs physical damage by 748',100,1,4),
(76077,105312,'Increases Mitigation of caster vs elemental and arcane damage by 1666',100,1,5),
(76078,105312,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(76079,105312,'Inflicts 310 - 516 mental damage on target',100,2,7),
(76080,105312,'Increases Mitigation of caster vs noxious damage by 1666',100,1,8),
(76081,10105312,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(76082,10105312,'Inflicts 434 - 723 mental damage on target',100,2,1),
(76083,10105312,'Increases AGI of caster by 227.7',100,1,2),
(76084,10105312,'Adds 18.7% to base avoidance.',100,1,3),
(76085,10105312,'Increases Mitigation of caster vs physical damage by 748',100,1,4),
(76086,10105312,'Increases Mitigation of caster vs elemental and arcane damage by 1666',100,1,5),
(76087,10105312,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(76088,10105312,'Inflicts 434 - 723 mental damage on target',100,2,7),
(76089,10105312,'Increases Mitigation of caster vs noxious damage by 1666',100,1,8),
(76090,113216,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(76091,113216,'Inflicts 131 magic damage on target',100,2,1),
(76092,113216,'Grants a total of 5 triggers of the spell.',100,2,2),
(76093,10113216,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(76094,10113216,'Inflicts 183 magic damage on target',100,2,1),
(76095,10113216,'Grants a total of 5 triggers of the spell.',100,2,2),
(76096,46841,'Applies Makeover when Activated.',100,0,0),
(76097,46841,'Allows a free appearance change once every 24 hours.',100,1,1),
(76098,10046841,'Applies Makeover when Activated.',100,0,0),
(76099,10046841,'Allows a free appearance change once every 24 hours.',100,1,1),
(76100,40989,'When Equipped:',100,0,0),
(76101,40989,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76102,40989,'Inflicts 86 - 105 cold damage on target',100,2,2),
(76103,40989,'Cannot be modified except by direct means',100,2,3),
(76104,10040989,'When Equipped:',100,0,0),
(76105,10040989,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76106,10040989,'Inflicts 120 - 147 cold damage on target',100,2,2),
(76107,10040989,'Cannot be modified except by direct means',100,2,3),
(76108,157295,'When Equipped:',100,0,0),
(76109,157295,'On any combat or spell hit this spell may cast Rejuvenation of Marr on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76110,157295,'Inflicts 802 divine damage on target',100,2,2),
(76111,157295,'Increases power of caster by 381',100,2,3),
(76112,157295,'Cannot be modified except by direct means',100,2,4),
(76113,157295,'Cannot be modified except by direct means',100,1,5),
(76114,10157295,'When Equipped:',100,0,0),
(76115,10157295,'On any combat or spell hit this spell may cast Rejuvenation of Marr on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76116,10157295,'Inflicts 955 divine damage on target',100,2,2),
(76117,10157295,'Increases power of caster by 381',100,2,3),
(76118,10157295,'Cannot be modified except by direct means',100,2,4),
(76119,10157295,'Cannot be modified except by direct means',100,1,5),
(76120,120011,'Inflicts 12 - 14 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(76121,120011,'Decreases power of target encounter by 4 instantly and every 4 seconds',100,1,1),
(76122,10120011,'Inflicts 16 - 20 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(76123,10120011,'Decreases power of target encounter by 4 instantly and every 4 seconds',100,1,1),
(76124,113924,'Increases power of target by 23 instantly and every 4 seconds',100,1,0),
(76125,10113924,'Increases power of target by 23 instantly and every 4 seconds',100,1,0),
(76126,100403,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(76127,100403,'Inflicts 5 - 8 slashing damage on target',100,2,1),
(76128,100403,'Increases Threat to target by 12 ',100,2,2),
(76129,100403,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(76130,100403,'Increases Threat to target by 12 ',100,2,4),
(76131,100403,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 51',100,1,5),
(76132,10100403,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(76133,10100403,'Inflicts 6 - 11 slashing damage on target',100,2,1),
(76134,10100403,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(76135,10100403,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 51',100,1,3),
(76136,115740,'Wards caster against 7018 points of elemental, noxious and arcane damage',100,1,0),
(76137,10115740,'Wards caster against 7018 points of elemental, noxious and arcane damage',100,1,0),
(76138,114903,'Causes 13% Threat to transfer to target when in combat',100,1,0),
(76139,10114903,'Applies Shadows.',100,1,0),
(76140,10114903,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target''s attacker.  Lasts for 5.0 seconds.  ',100,2,1),
(76141,10114903,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(76142,102758,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(76143,102758,'Stuns target',100,2,1),
(76144,102758,'If Target is not Epic',100,3,2),
(76145,102758,'Inflicts 579 - 964 divine damage on target',100,2,3),
(76146,102758,'Inflicts 496 - 827 divine damage on target',100,2,4),
(76147,102758,'If target is undead',100,3,5),
(76148,10102758,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(76149,10102758,'Stuns target',100,2,1),
(76150,10102758,'Inflicts 1215 - 2025 divine damage on target',100,2,2),
(76151,10102758,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(76152,106031,'Inflicts 145 - 177 divine damage on target instantly and every 3 seconds',100,1,0),
(76153,106031,'Decreases Defense of target by 19.5',100,1,1),
(76154,10106031,'Inflicts 135 - 165 divine damage on target instantly and every 3 seconds',100,1,0),
(76155,10106031,'Decreases Defense of target by 19.5',100,1,1),
(76156,117998,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(76157,117998,'Increases Damage Per Second of target by 24.2',100,2,1),
(76158,117998,'Increases Attack Speed of target by 24.2',100,2,2),
(76159,117998,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(76160,117998,'Increases Damage Per Second of target by 24.2',100,2,4),
(76161,117998,'Increases Attack Speed of target by 24.2',100,2,5),
(76162,117998,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(76163,117998,'Increases Damage Per Second of target by 24.2',100,2,7),
(76164,117998,'Increases Attack Speed of target by 24.2',100,2,8),
(76165,10117998,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(76166,10117998,'Increases Damage Per Second of target by 24.2',100,2,1),
(76167,10117998,'Increases Attack Speed of target by 24.2',100,2,2),
(76168,10117998,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(76169,10117998,'Increases Damage Per Second of target by 24.2',100,2,4),
(76170,10117998,'Increases Attack Speed of target by 24.2',100,2,5),
(76171,10117998,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(76172,10117998,'Increases Damage Per Second of target by 24.2',100,2,7),
(76173,10117998,'Increases Attack Speed of target by 24.2',100,2,8),
(76174,109071,'Inflicts 113 - 189 melee damage on target',100,1,0),
(76175,109071,'Inflicts 113 - 189 melee damage on target',100,1,1),
(76176,109071,'Inflicts 113 - 189 melee damage on target',100,1,2),
(76177,109071,'Decreases Mitigation of target vs physical damage by 378',100,1,3),
(76178,10109071,'Inflicts 148 - 246 melee damage on target',100,1,0),
(76179,10109071,'Inflicts 148 - 246 melee damage on target',100,1,1),
(76180,10109071,'Inflicts 148 - 246 melee damage on target',100,1,2),
(76181,10109071,'Decreases Mitigation of target vs physical damage by 378',100,1,3),
(76182,106806,'Decreases STR and AGI of target encounter by 73.2',100,1,0),
(76183,10106806,'Decreases STR and AGI of target encounter by 73.2',100,1,0),
(76184,116654,'Heals group members (AE) for 103 - 125',100,1,0),
(76185,10116654,'Heals group members (AE) for 67 - 81',100,1,0),
(76186,117888,'Heals target for 523 - 639 instantly and every 2 seconds',100,1,0),
(76187,10117888,'Heals target for 340 - 416 instantly and every 2 seconds',100,1,0),
(76188,25464,'When Equipped:',100,0,0),
(76189,25464,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(76190,25464,'Improves the base damage of Debilitate IV by 15% and reduces the recast by 20 seconds.',100,1,2),
(76191,10025464,'When Equipped:',100,0,0),
(76192,10025464,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(76193,10025464,'Improves the base damage of Debilitate IV by 15% and reduces the recast by 20 seconds.',100,1,2),
(76194,171093,'When Equipped:',100,0,0),
(76195,171093,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(76196,171093,'Heals group members (AE) for 583',100,2,2),
(76197,171093,'Cannot be modified except by direct means',100,2,3),
(76198,171093,'When Equipped:',100,0,4),
(76199,171093,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(76200,171093,'Heals group members for 991',100,2,6),
(76201,171093,'Cannot be modified except by direct means',100,2,7),
(76202,10171093,'When Equipped:',100,0,0),
(76203,10171093,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(76204,10171093,'Heals group members (AE) for 682',100,2,2),
(76205,10171093,'Cannot be modified except by direct means',100,2,3),
(76206,10171093,'When Equipped:',100,0,4),
(76207,10171093,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(76208,10171093,'Heals group members for 1160',100,2,6),
(76209,10171093,'Cannot be modified except by direct means',100,2,7),
(76210,117359,'Roots target',100,1,0),
(76211,117359,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(76212,117359,'Slows target by 55.9%',100,2,2),
(76213,117359,'5% chance to dispel when target receives hostile action',100,2,3),
(76214,117359,'5% chance to dispel when target takes damage',100,2,4),
(76215,117359,'15% chance to dispel when target takes damage',100,1,5),
(76216,117359,'Does not affect Epic targets',100,1,6),
(76217,117359,'Resistibility increases against targets higher than level 112.',100,1,7),
(76218,10117359,'Roots target',100,1,0),
(76219,10117359,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(76220,10117359,'Slows target by 55.9%',100,2,2),
(76221,10117359,'10% chance to dispel when target receives hostile action',100,2,3),
(76222,10117359,'10% chance to dispel when target takes damage',100,2,4),
(76223,10117359,'15% chance to dispel when target takes damage',100,1,5),
(76224,10117359,'Does not affect Epic targets',100,1,6),
(76225,10117359,'Resistibility increases against targets higher than level 112.',100,1,7),
(76226,36923,'Increases STR of target by 1.6',100,0,0),
(76227,36923,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(76228,105131,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(76229,105131,'Summon 1 Crystallized Essence (Apprentice)',100,2,1),
(76230,10105131,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(76231,10105131,'Summon 1 Crystallized Essence (Apprentice)',100,2,1),
(76232,84189,'When Equipped:',100,0,0),
(76233,84189,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(76234,84189,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(76235,84189,'Heals caster for 1185 - 1309',100,2,3),
(76236,84189,'Decreases Piercing, Slashing, Crushing and Ranged of target by 22.0',100,2,4),
(76237,84189,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(76238,84189,'Must not be engaged in pvp combat',100,2,6),
(76239,84189,'Cannot be modified except by direct means',100,2,7),
(76240,84189,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(76241,84189,'Cannot be modified except by direct means',100,1,9),
(76242,84189,'When Equipped:',100,0,10),
(76243,84189,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(76244,84189,'Increases Attack Speed of caster by 6.0',100,2,12),
(76245,84189,'Increases Damage Per Second of caster by 9.0',100,2,13),
(76246,84189,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(76247,84189,'Must not be engaged in pvp combat',100,2,15),
(76248,84189,'Cannot be modified except by direct means',100,2,16),
(76249,84189,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,17),
(76250,84189,'Cannot be modified except by direct means',100,1,18),
(76251,10084189,'When Equipped:',100,0,0),
(76252,10084189,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(76253,10084189,'Inflicts 3317 - 3666 poison damage on target',100,2,2),
(76254,10084189,'Heals caster for 1386 - 1532',100,2,3),
(76255,10084189,'Decreases Piercing, Slashing, Crushing and Ranged of target by 22.0',100,2,4),
(76256,10084189,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(76257,10084189,'Must not be engaged in pvp combat',100,2,6),
(76258,10084189,'Cannot be modified except by direct means',100,2,7),
(76259,10084189,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(76260,10084189,'Cannot be modified except by direct means',100,1,9),
(76261,10084189,'When Equipped:',100,0,10),
(76262,10084189,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(76263,10084189,'Increases Attack Speed of caster by 6.0',100,2,12),
(76264,10084189,'Increases Damage Per Second of caster by 9.0',100,2,13),
(76265,10084189,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(76266,10084189,'Must not be engaged in pvp combat',100,2,15),
(76267,10084189,'Cannot be modified except by direct means',100,2,16),
(76268,10084189,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,17),
(76269,10084189,'Cannot be modified except by direct means',100,1,18),
(76270,54757,'When Equipped:',100,0,0),
(76271,54757,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(76272,54757,'On any combat or spell hit this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,2),
(76273,54757,'Increases power of caster by 569',100,2,3),
(76274,54757,'Must not be engaged in pvp combat',100,2,4),
(76275,54757,'Cannot be modified except by direct means',100,2,5),
(76276,54757,'On a healing spell cast this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(76277,54757,'Increases power of caster by 569',100,2,7),
(76278,54757,'Must not be engaged in pvp combat',100,2,8),
(76279,54757,'Cannot be modified except by direct means',100,2,9),
(76280,54757,'Cannot be modified except by direct means',100,1,10),
(76281,10054757,'When Equipped:',100,0,0),
(76282,10054757,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(76283,10054757,'On any combat or spell hit this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,2),
(76284,10054757,'Increases power of caster by 569',100,2,3),
(76285,10054757,'Must not be engaged in pvp combat',100,2,4),
(76286,10054757,'Cannot be modified except by direct means',100,2,5),
(76287,10054757,'On a healing spell cast this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(76288,10054757,'Increases power of caster by 569',100,2,7),
(76289,10054757,'Must not be engaged in pvp combat',100,2,8),
(76290,10054757,'Cannot be modified except by direct means',100,2,9),
(76291,10054757,'Cannot be modified except by direct means',100,1,10),
(76292,107576,'Dazes target encounter',100,1,0),
(76293,107576,'Inflicts 120 - 146 mental damage on target encounter',100,1,1),
(76294,107576,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(76295,107576,'Resistibility increases against targets higher than level 54.',100,1,3),
(76296,10107576,'Dazes target encounter',100,1,0),
(76297,10107576,'Inflicts 168 - 205 mental damage on target encounter',100,1,1),
(76298,10107576,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(76299,10107576,'Resistibility increases against targets higher than level 54.',100,1,3),
(76300,170789,'When Equipped:',100,0,0),
(76301,170789,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(76302,170789,'Heals group members (AE) for 645',100,2,2),
(76303,170789,'Cannot be modified except by direct means',100,2,3),
(76304,170789,'Cannot be modified except by direct means',100,1,4),
(76305,10170789,'When Equipped:',100,0,0),
(76306,10170789,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(76307,10170789,'Heals group members (AE) for 419',100,2,2),
(76308,10170789,'Cannot be modified except by direct means',100,2,3),
(76309,10170789,'Cannot be modified except by direct means',100,1,4),
(76310,135140,'When Equipped:',100,0,0),
(76311,135140,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(76312,135140,'Increases Threat to target by 3,000 ',100,2,2),
(76313,135140,'Inflicts 1192 mental damage on target',100,2,3),
(76314,135140,'Cannot be modified except by direct means',100,2,4),
(76315,135140,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(76316,135140,'Increases Threat to target by 3,000 ',100,2,6),
(76317,135140,'Inflicts 1192 mental damage on target',100,2,7),
(76318,135140,'Cannot be modified except by direct means',100,2,8),
(76319,135140,'When Equipped:',100,0,9),
(76320,135140,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,10),
(76321,135140,'Increases Hate Gain of caster by 15.0%',100,2,11),
(76322,135140,'Cannot be modified except by direct means',100,2,12),
(76323,135140,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,13),
(76324,135140,'Increases Hate Gain of caster by 15.0%',100,2,14),
(76325,135140,'Cannot be modified except by direct means',100,2,15),
(76326,10135140,'When Equipped:',100,0,0),
(76327,10135140,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(76328,10135140,'Inflicts 1668 mental damage on target',100,2,2),
(76329,10135140,'Cannot be modified except by direct means',100,2,3),
(76330,10135140,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(76331,10135140,'Inflicts 1668 mental damage on target',100,2,5),
(76332,10135140,'Cannot be modified except by direct means',100,2,6),
(76333,10135140,'When Equipped:',100,0,7),
(76334,10135140,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,8),
(76335,10135140,'Cannot be modified except by direct means',100,2,9),
(76336,10135140,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,10),
(76337,10135140,'Cannot be modified except by direct means',100,2,11),
(76338,82174,'When Equipped:',100,0,0),
(76339,82174,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(76340,82174,'Inflicts 41 - 76 magic damage on target',100,2,2),
(76341,82174,'Decreases Threat to target by 135 ',100,2,3),
(76342,82174,'Must be flanking or behind',100,3,4),
(76343,82174,'Increases Threat to target by 135 ',100,2,5),
(76344,82174,'Must be in front of',100,3,6),
(76345,82174,'Cannot be modified except by direct means',100,2,7),
(76346,10082174,'When Equipped:',100,0,0),
(76347,10082174,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(76348,10082174,'Inflicts 58 - 107 magic damage on target',100,2,2),
(76349,10082174,'Cannot be modified except by direct means',100,2,3),
(76350,136204,'When Equipped:',100,0,0),
(76351,136204,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(76352,136204,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(76353,136204,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(76354,136204,'Must be classified as a goblin',100,3,4),
(76355,136204,'Inflicts 281 mental damage on target',100,2,5),
(76356,136204,'Must not be classified as a goblin',100,3,6),
(76357,136204,'Inflicts 562 mental damage on target',100,2,7),
(76358,136204,'Must be classified as a goblin',100,3,8),
(76359,136204,'Cannot be modified except by direct means',100,2,9),
(76360,10136204,'When Equipped:',100,0,0),
(76361,10136204,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(76362,10136204,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(76363,10136204,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(76364,10136204,'Must be classified as a goblin',100,3,4),
(76365,10136204,'Inflicts 393 mental damage on target',100,2,5),
(76366,10136204,'Must not be classified as a goblin',100,3,6),
(76367,10136204,'Inflicts 787 mental damage on target',100,2,7),
(76368,10136204,'Must be classified as a goblin',100,3,8),
(76369,10136204,'Cannot be modified except by direct means',100,2,9),
(76370,47537,'Applies Drop Seed when Activated.',100,0,0),
(76371,47537,'This effect cannot be cast during combat',100,1,1),
(76372,10047537,'Applies Drop Seed when Activated.',100,0,0),
(76373,10047537,'This effect cannot be cast during combat',100,1,1),
(76374,121650,'Increases STA of caster by 2.9',100,1,0),
(76375,121650,'Summons a pet wisp',100,1,1),
(76376,121650,'Increases INT, STR, AGI and WIS of caster by 2.9',100,1,2),
(76377,121650,'If follows Tunare',100,1,3),
(76378,10121650,'Increases STA of caster by 2.9',100,1,0),
(76379,10121650,'Summons a pet wisp',100,1,1),
(76380,10121650,'Increases INT, STR, AGI and WIS of caster by 2.9',100,1,2),
(76381,10121650,'If follows Tunare',100,1,3),
(76382,119428,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(76383,119428,'Stuns target',100,2,1),
(76384,119428,'Blurs vision of target',100,2,2),
(76385,119428,'Throws target back',100,2,3),
(76386,119428,'Does not affect Epic targets',100,2,4),
(76387,119428,'Inflicts 591 - 986 melee damage on target',100,1,5),
(76388,119428,'You must be sneaking to use this ability.',100,1,6),
(76389,10119428,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(76390,10119428,'Stuns target',100,2,1),
(76391,10119428,'Blurs vision of target',100,2,2),
(76392,10119428,'Throws target back',100,2,3),
(76393,10119428,'Does not affect Epic targets',100,2,4),
(76394,10119428,'Inflicts 769 - 1281 melee damage on target',100,1,5),
(76395,10119428,'You must be sneaking to use this ability.',100,1,6),
(76396,180631,'When Equipped:',100,0,0),
(76397,180631,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(76398,180631,'Heals group members for 224',100,2,2),
(76399,180631,'Cannot be modified except by direct means',100,2,3),
(76400,180631,'Cannot be modified except by direct means',100,1,4),
(76401,10180631,'When Equipped:',100,0,0),
(76402,10180631,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(76403,10180631,'Heals group members for 146',100,2,2),
(76404,10180631,'Cannot be modified except by direct means',100,2,3),
(76405,10180631,'Cannot be modified except by direct means',100,1,4),
(76406,144690,'When Equipped:',100,0,0),
(76407,144690,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(76408,144690,'Reduces healing received by 15.00%',100,2,2),
(76409,144690,'Cannot be modified except by direct means',100,2,3),
(76410,144690,'This effect can only trigger once every 1 second.',100,2,4),
(76411,144690,'Must be engaged in pvp combat',100,1,5),
(76412,10144690,'When Equipped:',100,0,0),
(76413,10144690,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(76414,10144690,'Reduces healing received by 15.00%',100,2,2),
(76415,10144690,'Cannot be modified except by direct means',100,2,3),
(76416,10144690,'This effect can only trigger once every 1 second.',100,2,4),
(76417,10144690,'Must be engaged in pvp combat',100,1,5),
(76418,154854,'When Equipped:',100,0,0),
(76419,154854,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(76420,154854,'Increases power of caster by 180',100,2,2),
(76421,154854,'Cannot be modified except by direct means',100,2,3),
(76422,10154854,'When Equipped:',100,0,0),
(76423,10154854,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(76424,10154854,'Increases power of caster by 180',100,2,2),
(76425,10154854,'Cannot be modified except by direct means',100,2,3),
(76426,73177,'When Equipped:',100,0,0),
(76427,73177,'On a melee hit this spell may cast Clearcut on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76428,73177,'Inflicts 140 slashing damage on target instantly and every 2 seconds',100,2,2),
(76429,73177,'Cannot be modified except by direct means',100,2,3),
(76430,10073177,'When Equipped:',100,0,0),
(76431,10073177,'On a melee hit this spell may cast Clearcut on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76432,10073177,'Inflicts 196 slashing damage on target instantly and every 2 seconds',100,2,2),
(76433,10073177,'Cannot be modified except by direct means',100,2,3),
(76434,153785,'When Equipped:',100,0,0),
(76435,153785,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle V on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(76436,153785,'Increases Mitigation of caster vs physical damage by 605',100,2,2),
(76437,153785,'Heals caster for 449 - 549',100,2,3),
(76438,153785,'Must not be engaged in pvp combat',100,2,4),
(76439,153785,'Cannot be modified except by direct means',100,2,5),
(76440,153785,'Must not be engaged in pvp combat',100,1,6),
(76441,10153785,'When Equipped:',100,0,0),
(76442,10153785,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle V on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(76443,10153785,'Increases Mitigation of caster vs physical damage by 605',100,2,2),
(76444,10153785,'Heals caster for 292 - 357',100,2,3),
(76445,10153785,'Must not be engaged in pvp combat',100,2,4),
(76446,10153785,'Cannot be modified except by direct means',100,2,5),
(76447,10153785,'Must not be engaged in pvp combat',100,1,6),
(76448,82024,'When Equipped:',100,0,0),
(76449,82024,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76450,82024,'Inflicts 182 - 339 magic damage on target',100,2,2),
(76451,82024,'Cannot be modified except by direct means',100,2,3),
(76452,10082024,'When Equipped:',100,0,0),
(76453,10082024,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76454,10082024,'Inflicts 255 - 474 magic damage on target',100,2,2),
(76455,10082024,'Cannot be modified except by direct means',100,2,3),
(76456,103945,'Wards group members (AE) collectively against 4073 total points of all damage',100,1,0),
(76457,10103945,'Wards group members (AE) collectively against 6066 total points of all damage',100,1,0),
(76458,77419,'Applies Fire Ball when Activated.',100,0,0),
(76459,77419,'Inflicts 66 - 110 heat damage on target',100,1,1),
(76460,77419,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(76461,10077419,'Applies Fire Ball when Activated.',100,0,0),
(76462,10077419,'Inflicts 93 - 155 heat damage on target',100,1,1),
(76463,10077419,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(76464,120017,'Inflicts 33 - 40 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(76465,120017,'Decreases power of target encounter by 11 instantly and every 4 seconds',100,1,1),
(76466,10120017,'Inflicts 46 - 56 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(76467,10120017,'Decreases power of target encounter by 11 instantly and every 4 seconds',100,1,1),
(76468,109042,'Increases Attack Speed of caster by 21.7',100,1,0),
(76469,109042,'Decreases Defense of caster by 10.5',100,1,1),
(76470,109042,'Increases Slashing, Piercing, Crushing and Ranged of caster by 17.3',100,1,2),
(76471,10109042,'Increases Attack Speed of caster by 21.7',100,1,0),
(76472,10109042,'Decreases Defense of caster by 10.5',100,1,1),
(76473,10109042,'Increases Slashing, Piercing, Crushing and Ranged of caster by 17.3',100,1,2),
(76474,123675,'Increases Damage Per Second of target by 43.0',100,1,0),
(76475,10123675,'Increases Damage Per Second of target by 43.0',100,1,0),
(76476,117469,'Inflicts 1549 - 2583 melee damage on target',100,1,0),
(76477,117469,'You must be sneaking to use this ability.',100,1,1),
(76478,117469,'Must be flanking or behind',100,1,2),
(76479,10117469,'Inflicts 1249 - 2081 melee damage on target',100,1,0),
(76480,10117469,'You must be sneaking to use this ability.',100,1,1),
(76481,10117469,'Must be flanking or behind',100,1,2),
(76482,115272,'Heals target for 648',100,1,0),
(76483,115272,'Heals target for 108 every second',100,1,1),
(76484,115272,'Dispels 88 levels of any hostile effects on target',100,1,2),
(76485,10115272,'Heals target for 421',100,1,0),
(76486,10115272,'Heals target for 70 every second',100,1,1),
(76487,10115272,'Dispels 88 levels of any hostile effects on target',100,1,2),
(76488,111234,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(76489,111234,'Heals target for 214 - 262',100,2,1),
(76490,10111234,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(76491,10111234,'Heals target for 139 - 170',100,2,1),
(76492,163184,'When Equipped:',100,0,0),
(76493,163184,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(76494,163184,'Heals group members (AE) for 875',100,2,2),
(76495,163184,'Cannot be modified except by direct means',100,2,3),
(76496,10163184,'When Equipped:',100,0,0),
(76497,10163184,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(76498,10163184,'Heals group members (AE) for 1024',100,2,2),
(76499,10163184,'Cannot be modified except by direct means',100,2,3),
(76500,118628,'Inflicts 49 - 147 crushing damage on target',100,1,0),
(76501,10118628,'Inflicts 63 - 191 crushing damage on target',100,1,0),
(76502,189162,'When Equipped:',100,0,0),
(76503,189162,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(76504,189162,'Inflicts 1031 mental damage on target',100,2,2),
(76505,189162,'If any of the following are true:',100,3,3),
(76506,189162,'Must be classified as a void beast',100,4,4),
(76507,189162,'Must be classified as a shadowed folk',100,4,5),
(76508,189162,'Inflicts 516 mental damage on target',100,2,6),
(76509,189162,'Must not be classified as a void beast',100,3,7),
(76510,189162,'Must not be classified as a shadowed folk',100,3,8),
(76511,189162,'Decreases Mitigation of target vs arcane damage by 747',100,2,9),
(76512,189162,'If any of the following are true:',100,3,10),
(76513,189162,'Must be classified as a void beast',100,4,11),
(76514,189162,'Must be classified as a shadowed folk',100,4,12),
(76515,189162,'Cannot be modified except by direct means',100,2,13),
(76516,189162,'Additional equipment with Void Bane improves this effect.',100,1,14),
(76517,189162,'When Equipped:',100,0,15),
(76518,189162,'Reduces cast time of beneficial spells by 4 percent.',100,1,16),
(76519,10189162,'When Equipped:',100,0,0),
(76520,10189162,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(76521,10189162,'Inflicts 1444 mental damage on target',100,2,2),
(76522,10189162,'If any of the following are true:',100,3,3),
(76523,10189162,'Must be classified as a void beast',100,4,4),
(76524,10189162,'Must be classified as a shadowed folk',100,4,5),
(76525,10189162,'Inflicts 722 mental damage on target',100,2,6),
(76526,10189162,'Must not be classified as a void beast',100,3,7),
(76527,10189162,'Must not be classified as a shadowed folk',100,3,8),
(76528,10189162,'Decreases Mitigation of target vs arcane damage by 747',100,2,9),
(76529,10189162,'If any of the following are true:',100,3,10),
(76530,10189162,'Must be classified as a void beast',100,4,11),
(76531,10189162,'Must be classified as a shadowed folk',100,4,12),
(76532,10189162,'Cannot be modified except by direct means',100,2,13),
(76533,10189162,'Additional equipment with Void Bane improves this effect.',100,1,14),
(76534,10189162,'When Equipped:',100,0,15),
(76535,10189162,'Reduces cast time of beneficial spells by 4 percent.',100,1,16),
(76536,121920,'Inflicts 155 - 259 mental damage on target encounter',100,1,0),
(76537,121920,'Increases power of group members (AE) by 107 - 178',100,1,1),
(76538,10121920,'Inflicts 218 - 363 mental damage on target encounter',100,1,0),
(76539,10121920,'Increases power of group members (AE) by 107 - 178',100,1,1),
(76540,119519,'Increases threat priority of target by 2 positions',100,1,0),
(76541,119519,'Stuns caster',100,1,1),
(76542,119519,'Decreases Defense and Parry of caster by 216.0',100,1,2),
(76543,119519,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(76544,119519,'Inflicts 938 - 1564 piercing damage on target',100,2,4),
(76545,119519,'Grants a total of 1 trigger of the spell.',100,2,5),
(76546,10119519,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(76547,10119519,'Prevents target from changing targets',100,2,1),
(76548,10119519,'Forces target to change their selected target to caster.',100,2,2),
(76549,10119519,'Stuns caster',100,1,3),
(76550,10119519,'Decreases Defense and Parry of caster by 216.0',100,1,4),
(76551,10119519,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(76552,10119519,'Inflicts 937 - 1562 piercing damage on target',100,2,6),
(76553,10119519,'Grants a total of 1 trigger of the spell.',100,2,7),
(76554,35406,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(76555,107036,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(76556,107036,'Inflicts 39 - 66 divine damage on target',100,2,1),
(76557,107036,'Inflicts 39 - 66 divine damage on target',100,2,2),
(76558,107036,'If target is undead',100,3,3),
(76559,10107036,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(76560,10107036,'Inflicts 92 - 153 divine damage on target',100,2,1),
(76561,121875,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(76562,121875,'Decreases Threat to target by 538 - 657 ',100,2,1),
(76563,121875,'If profession other than Fighter',100,3,2),
(76564,121875,'Inflicts 300 - 366 mental damage on target',100,2,3),
(76565,10121875,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(76566,10121875,'Inflicts 420 - 513 mental damage on target',100,2,1),
(76567,114082,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(76568,114082,'Grants stealth to caster',100,2,1),
(76569,114082,'Suspends caster''s movement speed enhancements',100,2,2),
(76570,114082,'Inflicts 624 - 1040 melee damage on target',100,1,3),
(76571,114082,'Must be flanking or behind',100,1,4),
(76572,10114082,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(76573,10114082,'Grants stealth to caster',100,2,1),
(76574,10114082,'Suspends caster''s movement speed enhancements',100,2,2),
(76575,10114082,'Inflicts 1217 - 2029 melee damage on target',100,1,3),
(76576,10114082,'Must be flanking or behind',100,1,4),
(76577,115051,'Heals target for 1232 - 1505',100,1,0),
(76578,10115051,'Heals target for 1725 - 2109',100,1,0),
(76579,159216,'Applies Sanguine Imbued when Equipped.',100,0,0),
(76580,159216,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(76581,159216,'Inflicts 51 heat damage on target',100,2,2),
(76582,159216,'Cannot be modified except by direct means',100,2,3),
(76583,10159216,'Applies Sanguine Imbued when Equipped.',100,0,0),
(76584,10159216,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(76585,10159216,'Inflicts 71 heat damage on target',100,2,2),
(76586,10159216,'Cannot be modified except by direct means',100,2,3),
(76587,52676,'When Equipped:',100,0,0),
(76588,52676,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(76589,52676,'This effect suspends during combat',100,1,2),
(76590,10052676,'When Equipped:',100,0,0),
(76591,10052676,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(76592,10052676,'This effect suspends during combat',100,1,2),
(76593,37622,'Increases STA and STR of target by 1.2',100,0,0),
(76594,37622,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(76595,45496,'Applies Emergency Retreat when Activated.',100,0,0),
(76596,45496,'Teleports caster and caster''s group within the zone',100,1,1),
(76597,45496,'Cannot be modified except by direct means',100,1,2),
(76598,10045496,'Applies Emergency Retreat when Activated.',100,0,0),
(76599,10045496,'Teleports caster and caster''s group within the zone',100,1,1),
(76600,10045496,'Cannot be modified except by direct means',100,1,2),
(76601,71443,'When Equipped:',100,0,0),
(76602,71443,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76603,71443,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(76604,71443,'Cannot be modified except by direct means',100,2,3),
(76605,10071443,'When Equipped:',100,0,0),
(76606,10071443,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76607,10071443,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(76608,10071443,'Cannot be modified except by direct means',100,2,3),
(76609,110443,'Dazes targets in Area of Effect',100,1,0),
(76610,110443,'If Target is not Epic',100,2,1),
(76611,110443,'Decreases Threat to targets in Area of Effect by 1,127 ',100,1,2),
(76612,110443,'Dispelled when target receives hostile action',100,1,3),
(76613,110443,'Dispelled when target takes damage',100,1,4),
(76614,10110443,'Dazes targets in Area of Effect',100,1,0),
(76615,10110443,'If Target is not Epic',100,2,1),
(76616,10110443,'Applies Distract.',100,1,2),
(76617,10110443,'Forces target to clear their selected target.',100,2,3),
(76618,10110443,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(76619,10110443,'Dispelled when target receives hostile action',100,1,5),
(76620,10110443,'Dispelled when target takes damage',100,1,6),
(76621,119987,'Increases Threat to target by 1,927 - 2,356 ',100,1,0),
(76622,10119987,'Prevents target from changing targets',100,1,0),
(76623,10119987,'Forces target to change their selected target to caster.',100,1,1),
(76624,120627,'Inflicts 1088 - 2020 heat damage on target',100,1,0),
(76625,10120627,'Inflicts 1523 - 2828 heat damage on target',100,1,0),
(76626,46916,'Applies Mental Projectormifcator when Activated.  Lasts for 3 minutes.',100,0,0),
(76627,46916,'Increases Threat to caster by 782 ',10,1,1),
(76628,46916,'Charms target',90,1,2),
(76629,46916,'Only affects targets level 65 and below',100,1,3),
(76630,46916,'Does not affect Epic targets',100,1,4),
(76631,10046916,'Applies Mental Projectormifcator when Activated.  Lasts for 3 minutes.',100,0,0),
(76632,10046916,'Charms target',90,1,1),
(76633,10046916,'Only affects targets level 65 and below',100,1,2),
(76634,10046916,'Does not affect Epic targets',100,1,3),
(76635,159415,'Applies Lambent Imbued when Equipped.',100,0,0),
(76636,159415,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(76637,159415,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(76638,159415,'Cannot be modified except by direct means',100,2,3),
(76639,10159415,'Applies Lambent Imbued when Equipped.',100,0,0),
(76640,10159415,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(76641,10159415,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(76642,10159415,'Cannot be modified except by direct means',100,2,3),
(76643,80705,'When Equipped:',100,0,0),
(76644,80705,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76645,80705,'Inflicts 71 - 132 magic damage on target',100,2,2),
(76646,80705,'Cannot be modified except by direct means',100,2,3),
(76647,10080705,'When Equipped:',100,0,0),
(76648,10080705,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76649,10080705,'Inflicts 100 - 185 magic damage on target',100,2,2),
(76650,10080705,'Cannot be modified except by direct means',100,2,3),
(76651,123245,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(76652,123245,'Increases Mitigation of group members (AE) vs noxious damage by 372',100,1,1),
(76653,10123245,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(76654,10123245,'Increases Mitigation of group members (AE) vs noxious damage by 372',100,1,1),
(76655,114731,'Inflicts 941 - 1569 melee damage on target',100,1,0),
(76656,114731,'You must be in stealth.',100,1,1),
(76657,10114731,'Inflicts 729 - 1215 melee damage on target',100,1,0),
(76658,10114731,'You must be in stealth.',100,1,1),
(76659,35020,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(76660,47546,'Applies Wind Up Pocket Iron Golem when Activated.',100,0,0),
(76661,47546,'Summons a pet pocket iron golem',100,1,1),
(76662,10047546,'Applies Wind Up Pocket Iron Golem when Activated.',100,0,0),
(76663,10047546,'Summons a pet pocket iron golem',100,1,1),
(76664,124715,'Heals group members (AE) for 476 - 582',100,1,0),
(76665,10124715,'Heals group members (AE) for 577 - 706',100,1,0),
(76666,115237,'Heals target for 9',100,1,0),
(76667,115237,'Heals target for 1 every second',100,1,1),
(76668,115237,'Dispels 6 levels of any hostile effects on target',100,1,2),
(76669,10115237,'Heals target for 6',100,1,0),
(76670,10115237,'Heals target for 1 every second',100,1,1),
(76671,10115237,'Dispels 6 levels of any hostile effects on target',100,1,2),
(76672,108203,'Increases power of caster by 47 instantly and every 4 seconds',100,1,0),
(76673,10108203,'Increases power of caster by 47 instantly and every 4 seconds',100,1,0),
(76674,170489,'When Equipped:',100,0,0),
(76675,170489,'On any combat or spell hit this spell may cast Fury of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(76676,170489,'Increases Damage Per Second of caster by 25.0',100,2,2),
(76677,170489,'Increases Multi Attack Chance of caster by 25.0',100,2,3),
(76678,170489,'Must not be engaged in pvp combat',100,2,4),
(76679,170489,'Cannot be modified except by direct means',100,2,5),
(76680,170489,'Cannot be modified except by direct means',100,1,6),
(76681,10170489,'When Equipped:',100,0,0),
(76682,10170489,'On any combat or spell hit this spell may cast Fury of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(76683,10170489,'Increases Damage Per Second of caster by 25.0',100,2,2),
(76684,10170489,'Increases Multi Attack Chance of caster by 25.0',100,2,3),
(76685,10170489,'Must not be engaged in pvp combat',100,2,4),
(76686,10170489,'Cannot be modified except by direct means',100,2,5),
(76687,10170489,'Cannot be modified except by direct means',100,1,6),
(76688,159633,'When Equipped:',100,0,0),
(76689,159633,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76690,159633,'Increases INT of caster by 14.8',100,2,2),
(76691,159633,'Increases Subjugation, Disruption and Focus of caster by 8.3',100,2,3),
(76692,159633,'Cannot be modified except by direct means',100,2,4),
(76693,10159633,'When Equipped:',100,0,0),
(76694,10159633,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76695,10159633,'Increases INT of caster by 14.8',100,2,2),
(76696,10159633,'Increases Subjugation, Disruption and Focus of caster by 8.3',100,2,3),
(76697,10159633,'Cannot be modified except by direct means',100,2,4),
(76698,117922,'Increases In-Combat Health Regeneration of group members (AE) by 167.0',100,1,0),
(76699,117922,'Increases Max Health of group members (AE) by 848.4',100,1,1),
(76700,10117922,'Increases In-Combat Health Regeneration of group members (AE) by 167.0',100,1,0),
(76701,10117922,'Increases Max Health of group members (AE) by 848.4',100,1,1),
(76702,121063,'Increases STR and STA of group members (AE) by 27.1',100,1,0),
(76703,10121063,'Increases STR and STA of group members (AE) by 27.1',100,1,0),
(76704,124482,'Heals group members (AE) for 402 - 491',100,1,0),
(76705,10124482,'Heals group members (AE) for 470 - 575',100,1,0),
(76706,40803,'Applies Dagger of Marnek when Activated.',100,0,0),
(76707,40803,'Summons 99 Marnek Daggers',100,1,1),
(76708,40803,'The casting time of Dagger of Marnek is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(76709,10040803,'Applies Dagger of Marnek when Activated.',100,0,0),
(76710,10040803,'Summons 99 Marnek Daggers',100,1,1),
(76711,10040803,'The casting time of Dagger of Marnek is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(76712,108924,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(76713,108924,'Inflicts 25 heat damage on target',100,2,1),
(76714,10108924,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(76715,10108924,'Inflicts 34 heat damage on target',100,2,1),
(76716,120912,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(76717,120912,'Inflicts 224 - 274 mental damage on target',100,2,1),
(76718,120912,'Grants a total of 3 triggers of the spell.',100,2,2),
(76719,10120912,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(76720,10120912,'Inflicts 314 - 383 mental damage on target',100,2,1),
(76721,10120912,'Grants a total of 3 triggers of the spell.',100,2,2),
(76722,81404,'When Equipped:',100,0,0),
(76723,81404,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76724,81404,'Inflicts 104 - 194 magic damage on target',100,2,2),
(76725,81404,'Cannot be modified except by direct means',100,2,3),
(76726,10081404,'When Equipped:',100,0,0),
(76727,10081404,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76728,10081404,'Inflicts 146 - 271 magic damage on target',100,2,2),
(76729,10081404,'Cannot be modified except by direct means',100,2,3),
(76730,106509,'Inflicts 921 - 1535 melee damage on target',100,1,0),
(76731,106509,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(76732,106509,'If Target is Standard or weaker',100,2,2),
(76733,10106509,'Inflicts 598 - 997 melee damage on target',100,1,0),
(76734,26679,'When Equipped:',100,0,0),
(76735,26679,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(76736,26679,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(76737,10026679,'When Equipped:',100,0,0),
(76738,10026679,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(76739,10026679,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(76740,144627,'When Equipped:',100,0,0),
(76741,144627,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(76742,144627,'Heals group members (AE) for 580',100,2,2),
(76743,144627,'Cannot be modified except by direct means',100,2,3),
(76744,10144627,'When Equipped:',100,0,0),
(76745,10144627,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(76746,10144627,'Heals group members (AE) for 679',100,2,2),
(76747,10144627,'Cannot be modified except by direct means',100,2,3),
(76748,139418,'Applies Fighting Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(76749,139418,'The caster''s spells deal 5% more damage.',100,1,1),
(76750,139418,'The casting time of Fighting Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(76751,139418,'When Equipped:',100,0,3),
(76752,139418,'Reduces maximum falling speed of caster',100,1,4),
(76753,10139418,'Applies Fighting Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(76754,10139418,'The caster''s spells deal 5% more damage.',100,1,1),
(76755,10139418,'The casting time of Fighting Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(76756,10139418,'When Equipped:',100,0,3),
(76757,10139418,'Reduces maximum falling speed of caster',100,1,4),
(76758,157559,'When Equipped:',100,0,0),
(76759,157559,'Increases Attack Speed of caster by 35.0',100,1,1),
(76760,10157559,'When Equipped:',100,0,0),
(76761,10157559,'Increases Attack Speed of caster by 35.0',100,1,1),
(76762,141674,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(76763,141674,'Decreases Attack Speed of target by 12.4',100,1,1),
(76764,141674,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(76765,10141674,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(76766,10141674,'Decreases Attack Speed of target by 12.4',100,1,1),
(76767,10141674,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(76768,120910,'Stifles target',100,1,0),
(76769,120910,'Inflicts 965 - 1179 mental damage on target',100,1,1),
(76770,120910,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(76771,120910,'Resistibility increases against targets higher than level 121.',100,1,3),
(76772,10120910,'Stifles target',100,1,0),
(76773,10120910,'Inflicts 1351 - 1651 mental damage on target',100,1,1),
(76774,10120910,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(76775,10120910,'Resistibility increases against targets higher than level 121.',100,1,3),
(76776,24273,'Adds Dervish (Brigand) to your Dungeon Maker toolbox',100,0,0),
(76777,10024273,'Adds Dervish (Brigand) to your Dungeon Maker toolbox',100,0,0),
(76778,116181,'Inflicts 170 - 283 mental damage on target',100,1,0),
(76779,10116181,'Inflicts 238 - 396 mental damage on target',100,1,0),
(76780,105855,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(76781,105855,'Increases Damage Per Second of caster by 40.7',100,1,1),
(76782,105855,'Increases Piercing, Slashing and Crushing of caster by 19.1',100,1,2),
(76783,10105855,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(76784,10105855,'Increases Damage Per Second of caster by 40.7',100,1,1),
(76785,10105855,'Increases Piercing, Slashing and Crushing of caster by 19.1',100,1,2),
(76786,112742,'Interrupts target',100,1,0),
(76787,112742,'Inflicts 7 - 11 divine damage on target',100,1,1),
(76788,10112742,'Interrupts target',100,1,0),
(76789,10112742,'Inflicts 9 - 16 divine damage on target',100,1,1),
(76790,81589,'When Equipped:',100,0,0),
(76791,81589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76792,81589,'Inflicts 146 - 271 magic damage on target',100,2,2),
(76793,81589,'Cannot be modified except by direct means',100,2,3),
(76794,10081589,'When Equipped:',100,0,0),
(76795,10081589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(76796,10081589,'Inflicts 204 - 379 magic damage on target',100,2,2),
(76797,10081589,'Cannot be modified except by direct means',100,2,3),
(76798,109641,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(76799,109641,'Inflicts 25 - 46 poison damage on target encounter',100,2,1),
(76800,10109641,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(76801,10109641,'Inflicts 34 - 64 poison damage on target encounter',100,2,1),
(76802,47300,'Applies Shielding of the Tranquilheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(76803,47300,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(76804,47300,'Inflicts 4 magic damage on target',100,2,2),
(76805,47300,'Cannot be modified except by direct means',100,2,3),
(76806,10047300,'Applies Shielding of the Tranquilheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(76807,10047300,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(76808,10047300,'Inflicts 5 magic damage on target',100,2,2),
(76809,10047300,'Cannot be modified except by direct means',100,2,3),
(76810,157245,'Applies Arcane aura of the Guide when Equipped.',100,0,0),
(76811,10157245,'Applies Arcane aura of the Guide when Equipped.',100,0,0),
(76812,46444,'Applies Summon Unicorn when Activated.',100,0,0),
(76813,46444,'Increases Crushing of caster by 5.0',100,1,1),
(76814,46444,'Summons a mount to ride',100,1,2),
(76815,46444,'Increases your ground speed by 135%',100,2,3),
(76816,46444,'Increases Aggression, Ranged, Focus, Slashing, Subjugation, Ministration, Disruption, Piercing and Ordination of caster by 5.0',100,1,4),
(76817,10046444,'Applies Summon Unicorn when Activated.',100,0,0),
(76818,10046444,'Increases Crushing of caster by 5.0',100,1,1),
(76819,10046444,'Summons a mount to ride',100,1,2),
(76820,10046444,'Increases your ground speed by 135%',100,2,3),
(76821,10046444,'Increases Aggression, Ranged, Focus, Slashing, Subjugation, Ministration, Disruption, Piercing and Ordination of caster by 5.0',100,1,4),
(76822,37104,'Increases WIS of target by 1.6',100,0,0),
(76823,37104,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(76824,119702,'Increases Threat to target encounter by 464 - 567 ',100,1,0),
(76825,10119702,'Prevents target encounter from changing targets',100,1,0),
(76826,10119702,'Forces target encounter to change their selected target to caster.',100,1,1),
(76827,122002,'Inflicts 229 - 382 melee damage on targets in area',100,1,0),
(76828,122002,'Increases Threat to target encounter by 918 ',100,1,1),
(76829,10122002,'Inflicts 298 - 497 melee damage on targets in area',100,1,0),
(76830,10122002,'Prevents target encounter from changing targets',100,1,1),
(76831,10122002,'Forces target encounter to change their selected target to caster.',100,1,2),
(76832,80702,'When Equipped:',100,0,0),
(76833,80702,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(76834,80702,'Inflicts 71 - 132 magic damage on target',100,2,2),
(76835,80702,'Decreases Threat to target by 236 ',100,2,3),
(76836,80702,'Must be flanking or behind',100,3,4),
(76837,80702,'Increases Threat to target by 236 ',100,2,5),
(76838,80702,'Must be in front of',100,3,6),
(76839,80702,'Cannot be modified except by direct means',100,2,7),
(76840,10080702,'When Equipped:',100,0,0),
(76841,10080702,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(76842,10080702,'Inflicts 100 - 185 magic damage on target',100,2,2),
(76843,10080702,'Cannot be modified except by direct means',100,2,3),
(76844,110516,'Increases Threat to target by 284  instantly and by 118  every 3 seconds thereafter',100,1,0),
(76845,110516,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(76846,110516,'Stuns target',100,2,2),
(76847,110516,'Throws target back',100,2,3),
(76848,110516,'Blurs vision of target',100,2,4),
(76849,110516,'Does not affect Epic targets',100,2,5),
(76850,110516,'Inflicts 68 - 114 disease damage on target',100,1,6),
(76851,10110516,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(76852,10110516,'Stuns target',100,2,1),
(76853,10110516,'Throws target back',100,2,2),
(76854,10110516,'Blurs vision of target',100,2,3),
(76855,10110516,'Does not affect Epic targets',100,2,4),
(76856,10110516,'Forces target to change their selected target to caster.',100,1,5),
(76857,10110516,'Inflicts 74 - 124 disease damage on target',100,1,6),
(76858,10110516,'Prevents target from changing targets',100,1,7),
(76859,104149,'Roots target',100,1,0),
(76860,104149,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(76861,104149,'Makes target afraid',100,2,2),
(76862,104149,'Slows target by 24.5%',100,2,3),
(76863,104149,'30% chance to dispel when target takes damage',100,2,4),
(76864,104149,'Resistibility increases against targets higher than level 102.',100,2,5),
(76865,104149,'15% chance to dispel when target takes damage',100,1,6),
(76866,104149,'Does not affect Epic targets',100,1,7),
(76867,104149,'Resistibility increases against targets higher than level 102.',100,1,8),
(76868,10104149,'Roots target',100,1,0),
(76869,10104149,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(76870,10104149,'Makes target afraid',100,2,2),
(76871,10104149,'Slows target by 24.5%',100,2,3),
(76872,10104149,'30% chance to dispel when target takes damage',100,2,4),
(76873,10104149,'Resistibility increases against targets higher than level 102.',100,2,5),
(76874,10104149,'15% chance to dispel when target takes damage',100,1,6),
(76875,10104149,'Does not affect Epic targets',100,1,7),
(76876,10104149,'Resistibility increases against targets higher than level 102.',100,1,8),
(76877,71371,'When Equipped:',100,0,0),
(76878,71371,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76879,71371,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(76880,71371,'Cannot be modified except by direct means',100,2,3),
(76881,10071371,'When Equipped:',100,0,0),
(76882,10071371,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(76883,10071371,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(76884,10071371,'Cannot be modified except by direct means',100,2,3),
(76885,107392,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(76886,107392,'Slows target by 57.1%',100,2,1),
(76887,107392,'5% chance to dispel when target receives hostile action',100,2,2),
(76888,107392,'5% chance to dispel when target takes damage',100,2,3),
(76889,107392,'Inflicts 666 - 1111 disease damage on target',100,1,4),
(76890,10107392,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(76891,10107392,'Slows target by 57.1%',100,2,1),
(76892,10107392,'5% chance to dispel when target receives hostile action',100,2,2),
(76893,10107392,'5% chance to dispel when target takes damage',100,2,3),
(76894,10107392,'Inflicts 933 - 1555 disease damage on target',100,1,4),
(76895,111212,'Applies Holy Ground.',100,1,0),
(76896,111212,'Increases Threat to targets in Area of Effect by 2,103 - 2,570 ',100,2,1),
(76897,111212,'Increases threat priority of targets in Area of Effect by 1 position',100,2,2),
(76898,111212,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',100,1,3),
(76899,111212,'Inflicts 274 - 334 divine damage on target',100,2,4),
(76900,111212,'Increases Threat to target by 893 - 1,092 ',100,2,5),
(76901,10111212,'Applies Holy Ground.',100,1,0),
(76902,10111212,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  Lasts for 3.0 seconds.  ',100,1,1),
(76903,10111212,'Prevents target from changing targets',100,2,2),
(76904,10111212,'Inflicts 193 divine damage on target',100,2,3),
(76905,10111212,'Forces target to change their selected target to caster.',100,2,4),
(76906,36687,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(76907,36687,'This effect suspends during combat',100,0,1),
(76908,117256,'Inflicts 95 slashing damage on target every 4 seconds',100,1,0),
(76909,117256,'Inflicts 475 - 792 melee damage on target',100,1,1),
(76910,10117256,'Inflicts 133 slashing damage on target every 4 seconds',100,1,0),
(76911,10117256,'Inflicts 618 - 1030 melee damage on target',100,1,1),
(76912,73919,'Applies Holy Strike when Activated.',100,0,0),
(76913,73919,'Inflicts 313 - 522 divine damage on target',100,1,1),
(76914,73919,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(76915,10073919,'Applies Holy Strike when Activated.',100,0,0),
(76916,10073919,'Inflicts 438 - 730 divine damage on target',100,1,1),
(76917,10073919,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(76918,123605,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(76919,123605,'Increases Defense of target by 24.5',100,1,1),
(76920,10123605,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(76921,10123605,'Increases Defense of target by 24.5',100,1,1),
(76922,36345,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(76923,116524,'Increases Mitigation of target vs physical damage by 372',100,1,0),
(76924,116524,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(76925,10116524,'Increases Mitigation of target vs physical damage by 372',100,1,0),
(76926,10116524,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(76927,112564,'Interrupts target',50,1,0),
(76928,112564,'Inflicts 630 - 770 divine damage on target',100,1,1),
(76929,10112564,'Interrupts target',50,1,0),
(76930,10112564,'Inflicts 1134 - 1386 divine damage on target',100,1,1),
(76931,47044,'Applies Call Red-saddled Midnight Mistrunner when Activated.',100,0,0),
(76932,47044,'Increases Max Health of caster by 150.0',100,1,1),
(76933,47044,'Summons a mount to ride',100,1,2),
(76934,47044,'Increases your ground speed by 130%',100,2,3),
(76935,47044,'Increases Max Power of caster by 150.0',100,1,4),
(76936,47044,'Increases Ranged, Disruption, Piercing, Slashing and Crushing of caster by 7.0',100,1,5),
(76937,47044,'Requires good alignment',100,1,6),
(76938,10047044,'Applies Call Red-saddled Midnight Mistrunner when Activated.',100,0,0),
(76939,10047044,'Increases Max Health of caster by 150.0',100,1,1),
(76940,10047044,'Summons a mount to ride',100,1,2),
(76941,10047044,'Increases your ground speed by 130%',100,2,3),
(76942,10047044,'Increases Max Power of caster by 150.0',100,1,4),
(76943,10047044,'Increases Ranged, Disruption, Piercing, Slashing and Crushing of caster by 7.0',100,1,5),
(76944,10047044,'Requires good alignment',100,1,6),
(76945,110641,'Inflicts 891 - 1485 ranged damage on target',100,1,0),
(76946,110641,'If weapon equipped in Ranged',100,1,1),
(76947,110641,'Must be flanking or behind',100,1,2),
(76948,10110641,'Inflicts 553 - 922 ranged damage on target',100,1,0),
(76949,10110641,'If weapon equipped in Ranged',100,1,1),
(76950,10110641,'Must be flanking or behind',100,1,2),
(76951,159469,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(76952,159469,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(76953,159469,'Inflicts 83 heat damage on target',100,2,2),
(76954,159469,'Cannot be modified except by direct means',100,2,3),
(76955,10159469,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(76956,10159469,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(76957,10159469,'Inflicts 117 heat damage on target',100,2,2),
(76958,10159469,'Cannot be modified except by direct means',100,2,3),
(76959,115076,'Heals target for 181 - 222',100,1,0),
(76960,115076,'Heals target for 23 - 29 every second',100,1,1),
(76961,10115076,'Heals target for 337 - 412',100,1,0),
(76962,10115076,'Heals target for 25 - 31 every second',100,1,1),
(76963,47932,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(76964,47932,'Increases power of caster by 343 instantly and every 5 seconds',100,1,1),
(76965,10047932,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(76966,10047932,'Increases power of caster by 248 instantly and every 5 seconds',100,1,1),
(76967,119276,'Inflicts 82 - 137 slashing damage on target',100,1,0),
(76968,119276,'Decreases Damage Per Second of target by 17.3',100,1,1),
(76969,119276,'Inflicts 110 slashing damage on target instantly and every 4 seconds',100,1,2),
(76970,10119276,'Inflicts 107 - 178 slashing damage on target',100,1,0),
(76971,10119276,'Decreases Damage Per Second of target by 17.3',100,1,1),
(76972,10119276,'Inflicts 154 slashing damage on target instantly and every 4 seconds',100,1,2),
(76973,176582,'When Equipped:',100,0,0),
(76974,176582,'Increases caster''s chance to block by 8.0%',100,1,1),
(76975,10176582,'When Equipped:',100,0,0),
(76976,10176582,'Increases caster''s chance to block by 8.0%',100,1,1),
(76977,120487,'Inflicts 24 - 40 melee damage on target',100,1,0),
(76978,120487,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(76979,120487,'Grants stealth to caster',100,2,2),
(76980,120487,'Suspends caster''s movement speed enhancements',100,2,3),
(76981,120487,'Must be flanking or behind',100,1,4),
(76982,10120487,'Inflicts 31 - 52 melee damage on target',100,1,0),
(76983,10120487,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(76984,10120487,'Grants stealth to caster',100,2,2),
(76985,10120487,'Suspends caster''s movement speed enhancements',100,2,3),
(76986,10120487,'Must be flanking or behind',100,1,4),
(76987,159715,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(76988,159715,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(76989,159715,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(76990,159715,'Cannot be modified except by direct means',100,2,3),
(76991,10159715,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(76992,10159715,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(76993,10159715,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(76994,10159715,'Cannot be modified except by direct means',100,2,3),
(76995,103984,'Interrupts targets in Area of Effect',100,1,0),
(76996,103984,'Inflicts 138 - 257 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(76997,10103984,'Interrupts targets in Area of Effect',100,1,0),
(76998,10103984,'Inflicts 194 - 360 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(76999,124618,'Heals group members (AE) for 316 - 387',100,1,0),
(77000,124618,'Heals group members (AE) for 53 - 65 every second',100,1,1),
(77001,10124618,'Heals group members (AE) for 462 - 565',100,1,0),
(77002,10124618,'Heals group members (AE) for 58 - 71 every second',100,1,1),
(77003,47987,'Applies Capture Serilian Spirit when Activated.',100,0,0),
(77004,47987,'If target is Serilian Spirit',100,1,1),
(77005,10047987,'Applies Capture Serilian Spirit when Activated.',100,0,0),
(77006,10047987,'If target is Serilian Spirit',100,1,1),
(77007,82879,'When Equipped:',100,0,0),
(77008,82879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77009,82879,'Inflicts 301 - 560 magic damage on target',100,2,2),
(77010,82879,'Cannot be modified except by direct means',100,2,3),
(77011,10082879,'When Equipped:',100,0,0),
(77012,10082879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77013,10082879,'Inflicts 422 - 783 magic damage on target',100,2,2),
(77014,10082879,'Cannot be modified except by direct means',100,2,3),
(77015,46672,'Applies Illusion of the Head Archivist when Activated.',100,0,0),
(77016,46672,'Shapechanges caster into a Head Archivist Rjhere',100,1,1),
(77017,46672,'Dispelled when target takes damage',100,1,2),
(77018,46672,'Dispelled when target receives hostile action',100,1,3),
(77019,46672,'Must be in Ravenscale Repository.',100,1,4),
(77020,10046672,'Applies Illusion of the Head Archivist when Activated.',100,0,0),
(77021,10046672,'Shapechanges caster into a Head Archivist Rjhere',100,1,1),
(77022,10046672,'Dispelled when target takes damage',100,1,2),
(77023,10046672,'Dispelled when target receives hostile action',100,1,3),
(77024,10046672,'Must be in Ravenscale Repository.',100,1,4),
(77025,109889,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(77026,109889,'Inflicts 22 - 27 poison damage on target instantly and every 4 seconds',100,2,1),
(77027,10109889,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(77028,10109889,'Inflicts 31 - 38 poison damage on target instantly and every 4 seconds',100,2,1),
(77029,124417,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(77030,124417,'Inflicts 299 - 499 melee damage on target',100,2,1),
(77031,124417,'Grants a total of 3 triggers of the spell.',100,2,2),
(77032,10124417,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(77033,10124417,'Inflicts 389 - 649 melee damage on target',100,2,1),
(77034,10124417,'Grants a total of 3 triggers of the spell.',100,2,2),
(77035,82268,'When Equipped:',100,0,0),
(77036,82268,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(77037,82268,'Inflicts 41 - 76 magic damage on target',100,2,2),
(77038,82268,'Decreases Threat to target by 135 ',100,2,3),
(77039,82268,'Must be flanking or behind',100,3,4),
(77040,82268,'Increases Threat to target by 135 ',100,2,5),
(77041,82268,'Must be in front of',100,3,6),
(77042,82268,'Cannot be modified except by direct means',100,2,7),
(77043,10082268,'When Equipped:',100,0,0),
(77044,10082268,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(77045,10082268,'Inflicts 58 - 107 magic damage on target',100,2,2),
(77046,10082268,'Cannot be modified except by direct means',100,2,3),
(77047,36423,'Increases AGI and STR of target by 1.2',100,0,0),
(77048,36423,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(77049,119792,'Inflicts 107 - 179 melee damage on target',100,1,0),
(77050,119792,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(77051,119792,'Grants stealth to caster',100,2,2),
(77052,119792,'Suspends caster''s movement speed enhancements',100,2,3),
(77053,119792,'Must be flanking or behind',100,1,4),
(77054,10119792,'Inflicts 139 - 232 melee damage on target',100,1,0),
(77055,10119792,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(77056,10119792,'Grants stealth to caster',100,2,2),
(77057,10119792,'Suspends caster''s movement speed enhancements',100,2,3),
(77058,10119792,'Must be flanking or behind',100,1,4),
(77059,124738,'Heals group members (AE) for 2027 - 2477',100,1,0),
(77060,10124738,'Heals group members (AE) for 4427 - 5411',100,1,0),
(77061,117557,'Inflicts 5119 - 7679 heat damage on target',100,1,0),
(77062,10117557,'Inflicts 4431 - 6646 heat damage on target',100,1,0),
(77063,48897,'Applies Translucent Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(77064,48897,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(77065,48897,'Inflicts 174 poison damage on target',100,2,2),
(77066,48897,'Inflicts 152 poison damage on target instantly and every 6 seconds',100,2,3),
(77067,48897,'Cannot be modified except by direct means',100,2,4),
(77068,48897,'Grants a total of 200 triggers of the spell.',100,2,5),
(77069,48897,'Only affects targets level 50 and above',100,1,6),
(77070,10048897,'Applies Translucent Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(77071,10048897,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(77072,10048897,'Inflicts 160 poison damage on target instantly and every 6 seconds',100,2,2),
(77073,10048897,'Inflicts 183 poison damage on target',100,2,3),
(77074,10048897,'Cannot be modified except by direct means',100,2,4),
(77075,10048897,'Grants a total of 200 triggers of the spell.',100,2,5),
(77076,10048897,'Only affects targets level 50 and above',100,1,6),
(77077,103406,'Decreases Threat to targets in Area of Effect by 1,152 ',100,1,0),
(77078,103406,'Slows targets in Area of Effect by 56.0%',100,1,1),
(77079,103406,'Stifles targets in Area of Effect',100,1,2),
(77080,103406,'If Target is not Epic',100,2,3),
(77081,103406,'10% chance to dispel when target receives hostile action',100,1,4),
(77082,103406,'10% chance to dispel when target takes damage',100,1,5),
(77083,10103406,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(77084,10103406,'Slows targets in Area of Effect by 56.0%',100,1,1),
(77085,10103406,'Stifles targets in Area of Effect',100,1,2),
(77086,10103406,'If Target is not Epic',100,2,3),
(77087,81164,'When Equipped:',100,0,0),
(77088,81164,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77089,81164,'Inflicts 194 - 361 magic damage on target',100,2,2),
(77090,81164,'Cannot be modified except by direct means',100,2,3),
(77091,10081164,'When Equipped:',100,0,0),
(77092,10081164,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77093,10081164,'Inflicts 272 - 505 magic damage on target',100,2,2),
(77094,10081164,'Cannot be modified except by direct means',100,2,3),
(77095,45830,'Applies Consume Essence when Activated.',100,0,0),
(77096,45830,'Dispels 148 levels of any hostile effects on caster',100,1,1),
(77097,45830,'Heals group members (AE) for 663 - 810',100,1,2),
(77098,10045830,'Applies Consume Essence when Activated.',100,0,0),
(77099,10045830,'Dispels 148 levels of any hostile effects on caster',100,1,1),
(77100,10045830,'Heals group members (AE) for 431 - 527',100,1,2),
(77101,52408,'When Equipped:',100,0,0),
(77102,52408,'Increases caster''s chance to block by 25.0%',100,1,1),
(77103,10052408,'When Equipped:',100,0,0),
(77104,10052408,'Increases caster''s chance to block by 25.0%',100,1,1),
(77105,121547,'Inflicts 194 - 324 melee damage on targets in area',100,1,0),
(77106,121547,'Stuns target encounter',100,1,1),
(77107,121547,'If Target is not Epic',100,2,2),
(77108,121547,'Resistibility increases against targets higher than level 61.',100,1,3),
(77109,10121547,'Inflicts 252 - 421 melee damage on targets in area',100,1,0),
(77110,10121547,'Stuns target encounter',100,1,1),
(77111,10121547,'If Target is not Epic',100,2,2),
(77112,10121547,'Resistibility increases against targets higher than level 61.',100,1,3),
(77113,117496,'Increases Attack Speed of target by 34.9',100,1,0),
(77114,10117496,'Increases Attack Speed of target by 34.9',100,1,0),
(77115,100381,'Summons a pet aery hunter',100,1,0),
(77116,10100381,'Summons a pet aery hunter',100,1,0),
(77117,104847,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(77118,104847,'If Fighter',100,2,1),
(77119,104847,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(77120,104847,'Increases power of target by 103',100,2,3),
(77121,104847,'Increases power of caster by 103',100,2,4),
(77122,10104847,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(77123,10104847,'Increases power of target by 103',100,2,1),
(77124,10104847,'Increases power of caster by 103',100,2,2),
(77125,106787,'Shapechanges caster into a dark elf',100,1,0),
(77126,10106787,'Shapechanges caster into a dark elf',100,1,0),
(77127,159317,'Applies Sanguine Imbued when Equipped.',100,0,0),
(77128,159317,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(77129,159317,'Inflicts 74 heat damage on target',100,2,2),
(77130,159317,'Cannot be modified except by direct means',100,2,3),
(77131,10159317,'Applies Sanguine Imbued when Equipped.',100,0,0),
(77132,10159317,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(77133,10159317,'Inflicts 104 heat damage on target',100,2,2),
(77134,10159317,'Cannot be modified except by direct means',100,2,3),
(77135,107941,'Mesmerizes target',100,1,0),
(77136,107941,'Prevents AOE (except when direct) ',100,1,1),
(77137,107941,'Dispelled when target takes damage',100,1,2),
(77138,107941,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(77139,107941,'Resistibility increases against targets higher than level 106.',100,1,4),
(77140,10107941,'Mesmerizes target',100,1,0),
(77141,10107941,'Prevents AOE (except when direct) ',100,1,1),
(77142,10107941,'Dispelled when target takes damage',100,1,2),
(77143,10107941,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(77144,10107941,'Resistibility increases against targets higher than level 106.',100,1,4),
(77145,121542,'Inflicts 779 - 1299 melee damage on target',100,1,0),
(77146,121542,'Stuns target',100,1,1),
(77147,121542,'If Target is not Epic',100,2,2),
(77148,121542,'Resistibility increases against targets higher than level 121.',100,1,3),
(77149,10121542,'Inflicts 1013 - 1689 melee damage on target',100,1,0),
(77150,10121542,'Stuns target',100,1,1),
(77151,10121542,'If Target is not Epic',100,2,2),
(77152,10121542,'Resistibility increases against targets higher than level 121.',100,1,3),
(77153,25053,'When Equipped:',100,0,0),
(77154,25053,'On a critical spell hit this spell may cast Dain''s Legacy on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(77155,25053,'Increases Potency of group members by 10.0%',100,2,2),
(77156,25053,'Must not be engaged in pvp combat',100,2,3),
(77157,25053,'Cannot be modified except by direct means',100,2,4),
(77158,25053,'On a critical combat hit this spell may cast Dain''s Legacy on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(77159,25053,'Increases Potency of group members by 10.0%',100,2,6),
(77160,25053,'Must not be engaged in pvp combat',100,2,7),
(77161,25053,'Cannot be modified except by direct means',100,2,8),
(77162,25053,'Must not be engaged in pvp combat',100,1,9),
(77163,25053,'Cannot be modified except by direct means',100,1,10),
(77164,10025053,'When Equipped:',100,0,0),
(77165,10025053,'On a critical spell hit this spell may cast Dain''s Legacy on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(77166,10025053,'Increases Potency of group members by 10.0%',100,2,2),
(77167,10025053,'Must not be engaged in pvp combat',100,2,3),
(77168,10025053,'Cannot be modified except by direct means',100,2,4),
(77169,10025053,'On a critical combat hit this spell may cast Dain''s Legacy on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(77170,10025053,'Increases Potency of group members by 10.0%',100,2,6),
(77171,10025053,'Must not be engaged in pvp combat',100,2,7),
(77172,10025053,'Cannot be modified except by direct means',100,2,8),
(77173,10025053,'Must not be engaged in pvp combat',100,1,9),
(77174,10025053,'Cannot be modified except by direct means',100,1,10),
(77175,81181,'When Equipped:',100,0,0),
(77176,81181,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77177,81181,'Inflicts 178 - 331 magic damage on target',100,2,2),
(77178,81181,'Cannot be modified except by direct means',100,2,3),
(77179,10081181,'When Equipped:',100,0,0),
(77180,10081181,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77181,10081181,'Inflicts 249 - 463 magic damage on target',100,2,2),
(77182,10081181,'Cannot be modified except by direct means',100,2,3),
(77183,100042,'Decreases STR, AGI and WIS of target by 43.9',100,1,0),
(77184,10100042,'Decreases STR, AGI and WIS of target by 43.9',100,1,0),
(77185,48146,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(77186,48146,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(77187,48146,'Decreases Attack Speed of target by 26.7',100,2,2),
(77188,48146,'Cannot be modified except by direct means',100,2,3),
(77189,48146,'Grants a total of 60 triggers of the spell.',100,2,4),
(77190,10048146,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(77191,10048146,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(77192,10048146,'Decreases Attack Speed of target by 26.7',100,2,2),
(77193,10048146,'Cannot be modified except by direct means',100,2,3),
(77194,10048146,'Grants a total of 60 triggers of the spell.',100,2,4),
(77195,35485,'Increases AGI of target by 1.6',100,0,0),
(77196,35485,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(77197,103989,'Interrupts targets in Area of Effect',100,1,0),
(77198,103989,'Inflicts 185 - 343 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(77199,10103989,'Interrupts targets in Area of Effect',100,1,0),
(77200,10103989,'Inflicts 258 - 480 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(77201,111802,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(77202,111802,'Wipes most of the target''s memory of aggression',100,2,1),
(77203,111802,'Summons 6 limited pets to aid the caster',100,1,2),
(77204,10111802,'Applies Distract on termination.',100,1,0),
(77205,10111802,'Forces target to clear their selected target.',100,2,1),
(77206,10111802,'Summons 6 limited pets to aid the caster',100,1,2),
(77207,113648,'Inflicts 204 - 249 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(77208,113648,'Decreases power of target encounter by 34 - 42 instantly and every 5 seconds',100,1,1),
(77209,113648,'Heals group members (AE) for 151 - 185 instantly and every 5 seconds',100,1,2),
(77210,113648,'Increases power of group members (AE) by 25 - 31 instantly and every 5 seconds',100,1,3),
(77211,10113648,'Inflicts 285 - 349 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(77212,10113648,'Decreases power of target encounter by 34 - 42 instantly and every 5 seconds',100,1,1),
(77213,10113648,'Heals group members (AE) for 98 - 120 instantly and every 5 seconds',100,1,2),
(77214,10113648,'Increases power of group members (AE) by 25 - 31 instantly and every 5 seconds',100,1,3),
(77215,80352,'When Equipped:',100,0,0),
(77216,80352,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(77217,80352,'Inflicts 61 - 113 magic damage on target',100,2,2),
(77218,80352,'Decreases Threat to target by 153 ',100,2,3),
(77219,80352,'Must be flanking or behind',100,3,4),
(77220,80352,'Increases Threat to target by 153 ',100,2,5),
(77221,80352,'Must be in front of',100,3,6),
(77222,80352,'Cannot be modified except by direct means',100,2,7),
(77223,10080352,'When Equipped:',100,0,0),
(77224,10080352,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(77225,10080352,'Inflicts 85 - 158 magic damage on target',100,2,2),
(77226,10080352,'Cannot be modified except by direct means',100,2,3),
(77227,37040,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(77228,104292,'Inflicts 113 - 189 melee damage on target',100,1,0),
(77229,104292,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(77230,104292,'Stuns target',100,2,2),
(77231,104292,'Throws target back',100,2,3),
(77232,104292,'Blurs vision of target',100,2,4),
(77233,104292,'Does not affect Epic targets',100,2,5),
(77234,10104292,'Inflicts 147 - 246 melee damage on target',100,1,0),
(77235,10104292,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(77236,10104292,'Stuns target',100,2,2),
(77237,10104292,'Throws target back',100,2,3),
(77238,10104292,'Blurs vision of target',100,2,4),
(77239,10104292,'Does not affect Epic targets',100,2,5),
(77240,83977,'Applies Lightning Shock when Activated.',100,0,0),
(77241,83977,'Inflicts 115 - 191 magic damage on target',100,1,1),
(77242,83977,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(77243,10083977,'Applies Lightning Shock when Activated.',100,0,0),
(77244,10083977,'Inflicts 161 - 268 magic damage on target',100,1,1),
(77245,10083977,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(77246,54166,'When Equipped:',100,0,0),
(77247,54166,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(77248,54166,'Heals group members for 250',100,2,2),
(77249,54166,'Cannot be modified except by direct means',100,2,3),
(77250,54166,'Cannot be modified except by direct means',100,1,4),
(77251,10054166,'When Equipped:',100,0,0),
(77252,10054166,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(77253,10054166,'Heals group members for 162',100,2,2),
(77254,10054166,'Cannot be modified except by direct means',100,2,3),
(77255,10054166,'Cannot be modified except by direct means',100,1,4),
(77256,102697,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(77257,102697,'Inflicts 257 - 429 heat damage on target',100,2,1),
(77258,102697,'Grants a total of 5 triggers of the spell.',100,2,2),
(77259,102697,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(77260,102697,'Inflicts 257 - 429 heat damage on target',100,2,4),
(77261,102697,'Grants a total of 5 triggers of the spell.',100,2,5),
(77262,10102697,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(77263,10102697,'Inflicts 360 - 601 heat damage on target',100,2,1),
(77264,10102697,'Grants a total of 5 triggers of the spell.',100,2,2),
(77265,10102697,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(77266,10102697,'Inflicts 360 - 601 heat damage on target',100,2,4),
(77267,10102697,'Grants a total of 5 triggers of the spell.',100,2,5),
(77268,104450,'Interrupts target encounter',100,1,0),
(77269,104450,'Applies Stumble on termination.',100,1,1),
(77270,104450,'Interrupts target',100,2,2),
(77271,104450,'Inflicts 92 - 113 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(77272,10104450,'Interrupts target encounter',100,1,0),
(77273,10104450,'Applies Stumble on termination.',100,1,1),
(77274,10104450,'Interrupts target',100,2,2),
(77275,10104450,'Inflicts 129 - 158 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(77276,24634,'Adds Poet''s Palace: Gold Plate to your Dungeon Maker toolbox',100,0,0),
(77277,10024634,'Adds Poet''s Palace: Gold Plate to your Dungeon Maker toolbox',100,0,0),
(77278,120858,'Inflicts 151 - 204 disease damage on target instantly and every second',100,1,0),
(77279,10120858,'Inflicts 296 - 400 disease damage on target',100,1,0),
(77280,10120858,'Inflicts 211 - 286 disease damage on target every second',100,1,1),
(77281,118166,'Inflicts 499 - 833 melee damage on target',100,1,0),
(77282,118166,'Dazes target',100,1,1),
(77283,118166,'If Target is not Epic',100,2,2),
(77284,118166,'Resistibility increases against targets higher than level 107.',100,1,3),
(77285,10118166,'Inflicts 649 - 1083 melee damage on target',100,1,0),
(77286,10118166,'Dazes target',100,1,1),
(77287,10118166,'If Target is not Epic',100,2,2),
(77288,10118166,'Resistibility increases against targets higher than level 107.',100,1,3),
(77289,162695,'When Equipped:',100,0,0),
(77290,162695,'Increases Attack Speed of caster by 2.0',100,1,1),
(77291,10162695,'When Equipped:',100,0,0),
(77292,10162695,'Increases Attack Speed of caster by 2.0',100,1,1),
(77293,115527,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(77294,115527,'Increases Mitigation of group members (AE) vs noxious damage by 1771',100,1,1),
(77295,10115527,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(77296,10115527,'Increases Mitigation of group members (AE) vs noxious damage by 1771',100,1,1),
(77297,118268,'Increases Threat to target encounter by 590 - 721 ',100,1,0),
(77298,118268,'Decreases Mitigation of target encounter vs arcane damage by 700',100,1,1),
(77299,10118268,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(77300,10118268,'Prevents target from changing targets',100,2,1),
(77301,10118268,'Forces target to change their selected target to caster.',100,2,2),
(77302,10118268,'Decreases Mitigation of target encounter vs arcane damage by 700',100,1,3),
(77303,35408,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(77304,119825,'Dazes target',100,1,0),
(77305,119825,'Does not affect Epic targets',100,1,1),
(77306,119825,'Resistibility increases against targets higher than level 36.',100,1,2),
(77307,10119825,'Dazes target',100,1,0),
(77308,10119825,'Does not affect Epic targets',100,1,1),
(77309,10119825,'Resistibility increases against targets higher than level 36.',100,1,2),
(77310,102100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(77311,102100,'Stuns target',100,2,1),
(77312,102100,'Throws target back',100,2,2),
(77313,102100,'Blurs vision of target',100,2,3),
(77314,102100,'Does not affect Epic targets',100,2,4),
(77315,102100,'Inflicts 114 - 191 crushing damage on target',100,1,5),
(77316,10102100,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(77317,10102100,'Stuns target',100,2,1),
(77318,10102100,'Throws target back',100,2,2),
(77319,10102100,'Blurs vision of target',100,2,3),
(77320,10102100,'Does not affect Epic targets',100,2,4),
(77321,10102100,'Inflicts 149 - 248 crushing damage on target',100,1,5),
(77322,155107,'When Equipped:',100,0,0),
(77323,155107,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77324,155107,'Wards target against 2400 points of all damage',100,2,2),
(77325,155107,'Cannot be modified except by direct means',100,2,3),
(77326,10155107,'When Equipped:',100,0,0),
(77327,10155107,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77328,10155107,'Wards target against 2400 points of all damage',100,2,2),
(77329,10155107,'Cannot be modified except by direct means',100,2,3),
(77330,113297,'Inflicts 97 - 162 heat damage on target',100,1,0),
(77331,10113297,'Inflicts 192 - 320 heat damage on target',100,1,0),
(77332,120009,'Increases Threat to target by 1,267 - 1,548 ',100,1,0),
(77333,10120009,'Prevents target from changing targets',100,1,0),
(77334,10120009,'Forces target to change their selected target to caster.',100,1,1),
(77335,123151,'Reduces physical damage done to caster by 5%',100,1,0),
(77336,123151,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(77337,123151,'Increases Aggression of caster by 2.6',100,1,2),
(77338,123151,'Increases Defense and Parry of caster by 5.3',100,1,3),
(77339,123151,'Increases Mitigation of caster vs elemental damage by 380',100,1,4),
(77340,123151,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(77341,10123151,'Reduces physical damage done to caster by 5%',100,1,0),
(77342,10123151,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(77343,10123151,'Increases Aggression of caster by 2.6',100,1,2),
(77344,10123151,'Increases Defense and Parry of caster by 5.3',100,1,3),
(77345,10123151,'Increases Mitigation of caster vs elemental damage by 380',100,1,4),
(77346,10123151,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(77347,116735,'Increases Max Health of target by 25.0',100,1,0),
(77348,116735,'Increases Max Power of target by 29.2',100,1,1),
(77349,10116735,'Increases Max Health of target by 25.0',100,1,0),
(77350,10116735,'Increases Max Power of target by 29.2',100,1,1),
(77351,47699,'Applies Reet''s Revenge when Activated.',100,0,0),
(77352,47699,'Shapechanges the user into a Froglok, and provides a shield which damages any melee attacker.',100,1,1),
(77353,10047699,'Applies Reet''s Revenge when Activated.',100,0,0),
(77354,10047699,'Shapechanges the user into a Froglok, and provides a shield which damages any melee attacker.',100,1,1),
(77355,124436,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(77356,124436,'Inflicts 56 - 94 melee damage on target',100,2,1),
(77357,124436,'Decreases Defense of caster by 5.1',100,1,2),
(77358,124436,'Increases Slashing, Piercing, Ranged and Crushing of caster by 8.4',100,1,3),
(77359,10124436,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(77360,10124436,'Inflicts 73 - 122 melee damage on target',100,2,1),
(77361,10124436,'Decreases Defense of caster by 5.1',100,1,2),
(77362,10124436,'Increases Slashing, Piercing, Ranged and Crushing of caster by 8.4',100,1,3),
(77363,112459,'Mesmerizes target',100,1,0),
(77364,112459,'Prevents AOE (except when direct) ',100,1,1),
(77365,112459,'Dispelled when target takes damage',100,1,2),
(77366,112459,'Does not affect Epic targets',100,1,3),
(77367,112459,'Resistibility increases against targets higher than level 116.',100,1,4),
(77368,10112459,'Mesmerizes target',100,1,0),
(77369,10112459,'Prevents AOE (except when direct) ',100,1,1),
(77370,10112459,'Dispelled when target takes damage',100,1,2),
(77371,10112459,'Does not affect Epic targets',100,1,3),
(77372,10112459,'Resistibility increases against targets higher than level 116.',100,1,4),
(77373,48184,'Applies Spirit of the Beetles when Activated.  Lasts for 30 minutes.',100,0,0),
(77374,48184,'Increases Out-of-Combat Power Regeneration of caster by 12.0',100,1,1),
(77375,48184,'This effect suspends during combat',100,1,2),
(77376,48184,'Only affects targets level 1 and above',100,1,3),
(77377,10048184,'Applies Spirit of the Beetles when Activated.  Lasts for 30 minutes.',100,0,0),
(77378,10048184,'Increases Out-of-Combat Power Regeneration of caster by 12.0',100,1,1),
(77379,10048184,'This effect suspends during combat',100,1,2),
(77380,10048184,'Only affects targets level 1 and above',100,1,3),
(77381,109808,'Decreases Parry of target by 16.2',100,1,0),
(77382,109808,'Inflicts 96 - 161 melee damage on target',100,1,1),
(77383,109808,'Must be in front of or flanking',100,1,2),
(77384,10109808,'Decreases Parry of target by 16.2',100,1,0),
(77385,10109808,'Inflicts 125 - 209 melee damage on target',100,1,1),
(77386,10109808,'Must be in front of or flanking',100,1,2),
(77387,45900,'Applies elemental remedy when Activated.',100,0,0),
(77388,45900,'Dispels 88 levels of elemental hostile effects on caster',100,1,1),
(77389,10045900,'Applies elemental remedy when Activated.',100,0,0),
(77390,10045900,'Dispels 88 levels of elemental hostile effects on caster',100,1,1),
(77391,25002,'When Equipped:',100,0,0),
(77392,25002,'Increases Crit Chance of caster by 3.0',100,1,1),
(77393,10025002,'When Equipped:',100,0,0),
(77394,10025002,'Increases Crit Chance of caster by 3.0',100,1,1),
(77395,35311,'Increases Max Power of target by 4.1',100,0,0),
(77396,35311,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(77397,169173,'When Equipped:',100,0,0),
(77398,169173,'On a combat hit this spell may cast Frenzy of the Dead on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(77399,169173,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(77400,169173,'Cannot be modified except by direct means',100,2,3),
(77401,10169173,'When Equipped:',100,0,0),
(77402,10169173,'On a combat hit this spell may cast Frenzy of the Dead on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(77403,10169173,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(77404,10169173,'Cannot be modified except by direct means',100,2,3),
(77405,143357,'When Equipped:',100,0,0),
(77406,143357,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(77407,143357,'Inflicts 303 piercing damage on target',100,2,2),
(77408,143357,'Cannot be modified except by direct means',100,2,3),
(77409,10143357,'When Equipped:',100,0,0),
(77410,10143357,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(77411,10143357,'Inflicts 424 piercing damage on target',100,2,2),
(77412,10143357,'Cannot be modified except by direct means',100,2,3),
(77413,117464,'Inflicts 1047 - 1746 melee damage on target',100,1,0),
(77414,117464,'You must be sneaking to use this ability.',100,1,1),
(77415,117464,'Must be flanking or behind',100,1,2),
(77416,10117464,'Inflicts 844 - 1407 melee damage on target',100,1,0),
(77417,10117464,'You must be sneaking to use this ability.',100,1,1),
(77418,10117464,'Must be flanking or behind',100,1,2),
(77419,25457,'When Equipped:',100,0,0),
(77420,25457,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(77421,25457,'Adds 10% max health to Daelis'' Dance of Blades VII.',100,1,2),
(77422,10025457,'When Equipped:',100,0,0),
(77423,10025457,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(77424,10025457,'Adds 10% max health to Daelis'' Dance of Blades VII.',100,1,2),
(77425,107409,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(77426,107409,'Slows target by 76.2%',100,2,1),
(77427,107409,'5% chance to dispel when target receives hostile action',100,2,2),
(77428,107409,'5% chance to dispel when target takes damage',100,2,3),
(77429,107409,'Inflicts 1472 - 2453 disease damage on target',100,1,4),
(77430,10107409,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(77431,10107409,'Slows target by 76.2%',100,2,1),
(77432,10107409,'5% chance to dispel when target receives hostile action',100,2,2),
(77433,10107409,'5% chance to dispel when target takes damage',100,2,3),
(77434,10107409,'Inflicts 2060 - 3434 disease damage on target',100,1,4),
(77435,102682,'Inflicts 478 divine damage on target encounter',100,1,0),
(77436,10102682,'Inflicts 670 divine damage on target encounter',100,1,0),
(77437,45174,'Applies Leash when Activated.',100,0,0),
(77438,10045174,'Applies Leash when Activated.',100,0,0),
(77439,111227,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(77440,111227,'Heals target for 141 - 172',100,2,1),
(77441,10111227,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(77442,10111227,'Heals target for 91 - 112',100,2,1),
(77443,80624,'When Equipped:',100,0,0),
(77444,80624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77445,80624,'Inflicts 71 - 132 magic damage on target',100,2,2),
(77446,80624,'Cannot be modified except by direct means',100,2,3),
(77447,10080624,'When Equipped:',100,0,0),
(77448,10080624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77449,10080624,'Inflicts 100 - 185 magic damage on target',100,2,2),
(77450,10080624,'Cannot be modified except by direct means',100,2,3),
(77451,154346,'Applies Full Spectral Goggles when Equipped.',100,0,0),
(77452,154346,'Grants See Invisibility to caster',100,1,1),
(77453,10154346,'Applies Full Spectral Goggles when Equipped.',100,0,0),
(77454,10154346,'Grants See Invisibility to caster',100,1,1),
(77455,120631,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(77456,120631,'Increases Defense and Parry of caster by 4.6',100,1,1),
(77457,120631,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(77458,10120631,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(77459,10120631,'Increases Defense and Parry of caster by 4.6',100,1,1),
(77460,10120631,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(77461,45334,'Applies Black Two Tone Warg with Black Saddle when Activated.',100,0,0),
(77462,45334,'Increases damage done by spells and combat arts by up to 30.',100,1,1),
(77463,45334,'Summons a mount to ride',100,1,2),
(77464,45334,'Increases your ground speed by 130%',100,2,3),
(77465,45334,'Increases Disruption, Slashing, Ranged, Piercing and Crushing of caster by 7.0',100,1,4),
(77466,10045334,'Applies Black Two Tone Warg with Black Saddle when Activated.',100,0,0),
(77467,10045334,'Increases damage done by spells and combat arts by up to 30.',100,1,1),
(77468,10045334,'Summons a mount to ride',100,1,2),
(77469,10045334,'Increases your ground speed by 130%',100,2,3),
(77470,10045334,'Increases Disruption, Slashing, Ranged, Piercing and Crushing of caster by 7.0',100,1,4),
(77471,123743,'Applies Verdict.',100,1,0),
(77472,123743,'Reduces target''s health to 1.',100,2,1),
(77473,123743,'If Target is Weak',100,2,2),
(77474,123743,'If under 50% Health',100,2,3),
(77475,123743,'Applies Verdict.',100,1,4),
(77476,123743,'Reduces target''s health to 1.',100,2,5),
(77477,123743,'Certain creature strengths only',100,2,6),
(77478,123743,'If under 25% Health',100,2,7),
(77479,123743,'Applies Verdict.',100,1,8),
(77480,123743,'Reduces target''s health to 1.',100,2,9),
(77481,123743,'If Target is stronger than Standard',100,2,10),
(77482,123743,'If under 10% Health',100,2,11),
(77483,123743,'Applies Verdict.',100,1,12),
(77484,123743,'Reduces target''s health to 1.',100,2,13),
(77485,123743,'If Target is Epic',100,2,14),
(77486,123743,'If under 2% Health',100,2,15),
(77487,123743,'Cannot be modified except by direct means',100,1,16),
(77488,10123743,'Applies Verdict.',100,1,0),
(77489,10123743,'Reduces target''s health to 1.',100,2,1),
(77490,10123743,'If under 10% Health',100,2,2),
(77491,10123743,'Cannot be modified except by direct means',100,1,3),
(77492,109820,'Inflicts 198 - 331 melee damage on target',100,1,0),
(77493,109820,'Decreases Parry of target by 20.9',100,1,1),
(77494,109820,'Must be in front of or flanking',100,1,2),
(77495,10109820,'Inflicts 258 - 431 melee damage on target',100,1,0),
(77496,10109820,'Decreases Parry of target by 20.9',100,1,1),
(77497,10109820,'Must be in front of or flanking',100,1,2),
(77498,118568,'Dazes caster',100,1,0),
(77499,118568,'Roots caster',100,1,1),
(77500,118568,'Increases Mitigation of caster vs physical damage by 1904',100,1,2),
(77501,10118568,'Dazes caster',100,1,0),
(77502,10118568,'Roots caster',100,1,1),
(77503,10118568,'Increases Mitigation of caster vs physical damage by 1904',100,1,2),
(77504,81869,'When Equipped:',100,0,0),
(77505,81869,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(77506,81869,'Inflicts 141 - 262 magic damage on target',100,2,2),
(77507,81869,'Decreases Threat to target by 487 ',100,2,3),
(77508,81869,'Must be flanking or behind',100,3,4),
(77509,81869,'Increases Threat to target by 487 ',100,2,5),
(77510,81869,'Must be in front of',100,3,6),
(77511,81869,'Cannot be modified except by direct means',100,2,7),
(77512,10081869,'When Equipped:',100,0,0),
(77513,10081869,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(77514,10081869,'Inflicts 198 - 367 magic damage on target',100,2,2),
(77515,10081869,'Cannot be modified except by direct means',100,2,3),
(77516,74755,'When Equipped:',100,0,0),
(77517,74755,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77518,74755,'Inflicts 83 - 125 magic damage on target',100,2,2),
(77519,74755,'Cannot be modified except by direct means',100,2,3),
(77520,10074755,'When Equipped:',100,0,0),
(77521,10074755,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77522,10074755,'Inflicts 117 - 175 magic damage on target',100,2,2),
(77523,10074755,'Cannot be modified except by direct means',100,2,3),
(77524,109950,'Stuns target',100,1,0),
(77525,109950,'Does not affect Epic targets',100,1,1),
(77526,109950,'Resistibility increases against targets higher than level 101.',100,1,2),
(77527,10109950,'Stuns target',100,1,0),
(77528,10109950,'Does not affect Epic targets',100,1,1),
(77529,10109950,'Resistibility increases against targets higher than level 101.',100,1,2),
(77530,46635,'Applies Herlakar the Alluring Wyvern when Activated.',100,0,0),
(77531,46635,'Increases Ministration of caster by 5.0',100,1,1),
(77532,46635,'Summons a mount to ride',100,1,2),
(77533,46635,'Increases your ground speed by 75%',100,2,3),
(77534,46635,'Increases your air speed by 150%',100,2,4),
(77535,46635,'Increases Ordination, Piercing, Disruption, Aggression, Focus, Ranged, Slashing, Crushing and Subjugation of caster by 5.0',100,1,5),
(77536,10046635,'Applies Herlakar the Alluring Wyvern when Activated.',100,0,0),
(77537,10046635,'Increases Ministration of caster by 5.0',100,1,1),
(77538,10046635,'Summons a mount to ride',100,1,2),
(77539,10046635,'Increases your ground speed by 75%',100,2,3),
(77540,10046635,'Increases your air speed by 150%',100,2,4),
(77541,10046635,'Increases Ordination, Piercing, Disruption, Aggression, Focus, Ranged, Slashing, Crushing and Subjugation of caster by 5.0',100,1,5),
(77542,158324,'When Equipped:',100,0,0),
(77543,158324,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(77544,158324,'This effect suspends during combat',100,1,2),
(77545,10158324,'When Equipped:',100,0,0),
(77546,10158324,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(77547,10158324,'This effect suspends during combat',100,1,2),
(77548,45599,'Applies Elixir of Disease Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(77549,45599,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(77550,10045599,'Applies Elixir of Disease Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(77551,10045599,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(77552,108025,'Inflicts 111 magic damage on target',100,1,0),
(77553,108025,'Increases power of caster by 33',100,1,1),
(77554,10108025,'Inflicts 155 magic damage on target',100,1,0),
(77555,10108025,'Increases power of caster by 33',100,1,1),
(77556,148536,'When Equipped:',100,0,0),
(77557,148536,'On any combat or spell hit this spell may cast Battle Prowess on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77558,148536,'Inflicts 917 heat damage on target',100,2,2),
(77559,148536,'Increases Crit Chance of caster by 20.0',100,2,3),
(77560,148536,'Cannot be modified except by direct means',100,2,4),
(77561,148536,'Cannot be modified except by direct means',100,1,5),
(77562,10148536,'When Equipped:',100,0,0),
(77563,10148536,'On any combat or spell hit this spell may cast Battle Prowess on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77564,10148536,'Inflicts 1091 heat damage on target',100,2,2),
(77565,10148536,'Increases Crit Chance of caster by 20.0',100,2,3),
(77566,10148536,'Cannot be modified except by direct means',100,2,4),
(77567,10148536,'Cannot be modified except by direct means',100,1,5),
(77568,106789,'Shapechanges caster into a high elf',100,1,0),
(77569,10106789,'Shapechanges caster into a high elf',100,1,0),
(77570,106951,'Inflicts 495 - 920 poison damage on target',100,1,0),
(77571,10106951,'Inflicts 693 - 1288 poison damage on target',100,1,0),
(77572,81321,'When Equipped:',100,0,0),
(77573,81321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77574,81321,'Inflicts 270 - 502 magic damage on target',100,2,2),
(77575,81321,'Cannot be modified except by direct means',100,2,3),
(77576,10081321,'When Equipped:',100,0,0),
(77577,10081321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77578,10081321,'Inflicts 378 - 703 magic damage on target',100,2,2),
(77579,10081321,'Cannot be modified except by direct means',100,2,3),
(77580,113419,'Reduces physical damage done to caster by 5%',100,1,0),
(77581,113419,'Increases STA of caster by 90.8',100,1,1),
(77582,113419,'Adds 3.1% to base avoidance.',100,1,2),
(77583,113419,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(77584,113419,'Increases Defense and Aggression of caster by 17.4',100,1,4),
(77585,113419,'Increases Mitigation of caster vs noxious damage by 1160',100,1,5),
(77586,113419,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(77587,10113419,'Reduces physical damage done to caster by 5%',100,1,0),
(77588,10113419,'Increases STA of caster by 90.8',100,1,1),
(77589,10113419,'Adds 3.1% to base avoidance.',100,1,2),
(77590,10113419,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(77591,10113419,'Increases Defense and Aggression of caster by 17.4',100,1,4),
(77592,10113419,'Increases Mitigation of caster vs noxious damage by 1160',100,1,5),
(77593,10113419,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(77594,139470,'When Equipped:',100,0,0),
(77595,139470,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77596,139470,'Inflicts 516 divine damage on target',100,2,2),
(77597,139470,'Must not be classified as a vampire',100,3,3),
(77598,139470,'Inflicts 1031 divine damage on target',100,2,4),
(77599,139470,'Must be classified as a vampire',100,3,5),
(77600,139470,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(77601,139470,'Must be classified as a vampire',100,3,7),
(77602,139470,'Cannot be modified except by direct means',100,2,8),
(77603,139470,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(77604,10139470,'When Equipped:',100,0,0),
(77605,10139470,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77606,10139470,'Inflicts 722 divine damage on target',100,2,2),
(77607,10139470,'Must not be classified as a vampire',100,3,3),
(77608,10139470,'Inflicts 1444 divine damage on target',100,2,4),
(77609,10139470,'Must be classified as a vampire',100,3,5),
(77610,10139470,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(77611,10139470,'Must be classified as a vampire',100,3,7),
(77612,10139470,'Cannot be modified except by direct means',100,2,8),
(77613,10139470,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(77614,118542,'Inflicts 464 - 774 melee damage on target',100,1,0),
(77615,118542,'Decreases STR of target by 54.3',100,1,1),
(77616,118542,'You must be sneaking to use this ability.',100,1,2),
(77617,10118542,'Inflicts 604 - 1007 melee damage on target',100,1,0),
(77618,10118542,'Decreases STR of target by 54.3',100,1,1),
(77619,10118542,'You must be sneaking to use this ability.',100,1,2),
(77620,112241,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(77621,112241,'Inflicts 80 disease damage on target',100,2,1),
(77622,112241,'Increases Threat to target by 150 ',100,2,2),
(77623,112241,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,3),
(77624,10112241,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(77625,10112241,'Inflicts 112 disease damage on target',100,2,1),
(77626,10112241,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,2),
(77627,106275,'Wards target against 1806 points of all damage',100,1,0),
(77628,10106275,'Wards target against 1806 points of all damage',100,1,0),
(77629,88964,'When Equipped:',100,0,0),
(77630,88964,'On a beneficial spell cast this spell has a 9% chance to cast Impenetrable Faith on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(77631,88964,'Makes caster immune to Stun effects and increases casting speed by 10%',100,2,2),
(77632,88964,'Cannot be modified except by direct means',100,2,3),
(77633,88964,'Cannot be modified except by direct means',100,1,4),
(77634,10088964,'When Equipped:',100,0,0),
(77635,10088964,'On a beneficial spell cast this spell has a 9% chance to cast Impenetrable Faith on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(77636,10088964,'Makes caster immune to Stun effects and increases casting speed by 10%',100,2,2),
(77637,10088964,'Cannot be modified except by direct means',100,2,3),
(77638,10088964,'Cannot be modified except by direct means',100,1,4),
(77639,124460,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(77640,124460,'Inflicts 449 - 749 melee damage on target',100,2,1),
(77641,124460,'Decreases Defense of caster by 21.8',100,1,2),
(77642,124460,'Increases Slashing, Piercing, Ranged and Crushing of caster by 52.3',100,1,3),
(77643,10124460,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(77644,10124460,'Inflicts 584 - 974 melee damage on target',100,2,1),
(77645,10124460,'Decreases Defense of caster by 21.8',100,1,2),
(77646,10124460,'Increases Slashing, Piercing, Ranged and Crushing of caster by 52.3',100,1,3),
(77647,82369,'When Equipped:',100,0,0),
(77648,82369,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77649,82369,'Inflicts 41 - 76 magic damage on target',100,2,2),
(77650,82369,'Cannot be modified except by direct means',100,2,3),
(77651,10082369,'When Equipped:',100,0,0),
(77652,10082369,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77653,10082369,'Inflicts 58 - 107 magic damage on target',100,2,2),
(77654,10082369,'Cannot be modified except by direct means',100,2,3),
(77655,101614,'Applies Forceful Headache on termination.',100,1,0),
(77656,101614,'Inflicts 59 - 99 mental damage on target',100,2,1),
(77657,101614,'If over 50% power',100,3,2),
(77658,101614,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',100,1,3),
(77659,101614,'Decreases Mitigation of target vs arcane damage by 220',100,1,4),
(77660,10101614,'Applies Forceful Headache on termination.',100,1,0),
(77661,10101614,'Inflicts 83 - 139 mental damage on target',100,2,1),
(77662,10101614,'If over 50% power',100,3,2),
(77663,10101614,'Inflicts 33 - 41 mental damage on target instantly and every 6 seconds',100,1,3),
(77664,10101614,'Decreases Mitigation of target vs arcane damage by 220',100,1,4),
(77665,74814,'When Equipped:',100,0,0),
(77666,74814,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77667,74814,'Inflicts 113 - 170 magic damage on target',100,2,2),
(77668,74814,'Cannot be modified except by direct means',100,2,3),
(77669,10074814,'When Equipped:',100,0,0),
(77670,10074814,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77671,10074814,'Inflicts 158 - 237 magic damage on target',100,2,2),
(77672,10074814,'Cannot be modified except by direct means',100,2,3),
(77673,26792,'When Equipped:',100,0,0),
(77674,26792,'On a critical healing spell cast this spell may cast Restorative Counter I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77675,26792,'When any damage is received this spell will cast Restorative Counter I on target.  ',100,2,2),
(77676,26792,'Heals target for 1372 - 1517',100,3,3),
(77677,26792,'Must not be engaged in pvp combat',100,3,4),
(77678,26792,'Cannot be modified except by direct means',100,3,5),
(77679,26792,'Grants a total of 5 triggers of the spell.',100,3,6),
(77680,26792,'Must not be engaged in pvp combat',100,2,7),
(77681,26792,'Cannot be modified except by direct means',100,2,8),
(77682,26792,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(77683,26792,'Must not be engaged in pvp combat',100,1,10),
(77684,10026792,'When Equipped:',100,0,0),
(77685,10026792,'On a critical healing spell cast this spell may cast Restorative Counter I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(77686,10026792,'When any damage is received this spell will cast Restorative Counter I on target.  ',100,2,2),
(77687,10026792,'Heals target for 1605 - 1774',100,3,3),
(77688,10026792,'Must not be engaged in pvp combat',100,3,4),
(77689,10026792,'Cannot be modified except by direct means',100,3,5),
(77690,10026792,'Grants a total of 5 triggers of the spell.',100,3,6),
(77691,10026792,'Must not be engaged in pvp combat',100,2,7),
(77692,10026792,'Cannot be modified except by direct means',100,2,8),
(77693,10026792,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(77694,10026792,'Must not be engaged in pvp combat',100,1,10),
(77695,106175,'Wards target against 56 points of all damage',100,1,0),
(77696,106175,'Decreases INT of target by 81.5',100,1,1),
(77697,106175,'Decreases Attack Speed of target by 25.0',100,1,2),
(77698,106175,'Increases Max Health of target by 12.0%',100,1,3),
(77699,106175,'Increases Hate Gain of target by 27.3%',100,1,4),
(77700,106175,'Increases Aggression of target by 7.6',100,1,5),
(77701,106175,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(77702,106175,'Increases Threat to target encounter by 63 - 77 ',100,2,7),
(77703,106175,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',100,1,8),
(77704,10106175,'Wards target against 56 points of all damage',100,1,0),
(77705,10106175,'Decreases INT of target by 81.5',100,1,1),
(77706,10106175,'Decreases Attack Speed of target by 25.0',100,1,2),
(77707,10106175,'Increases Max Health of target by 12.0%',100,1,3),
(77708,10106175,'Increases Aggression of target by 7.6',100,1,4),
(77709,10106175,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',100,1,5),
(77710,45231,'Applies Call Armored Pinto when Activated.',100,0,0),
(77711,45231,'Summons a mount to ride',100,1,1),
(77712,45231,'Increases your ground speed by 130%',100,2,2),
(77713,45231,'Applies Friendly Experience.',100,1,3),
(77714,45231,'Increases Combat XP Gain of target by 10.0%',100,2,4),
(77715,10045231,'Applies Call Armored Pinto when Activated.',100,0,0),
(77716,10045231,'Summons a mount to ride',100,1,1),
(77717,10045231,'Increases your ground speed by 130%',100,2,2),
(77718,10045231,'Applies Friendly Experience.',100,1,3),
(77719,10045231,'Increases Combat XP Gain of target by 10.0%',100,2,4),
(77720,101146,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(77721,101146,'Inflicts 332 ranged damage on target',100,2,1),
(77722,101146,'Decreases Defense of caster by 13.5',100,1,2),
(77723,101146,'Increases Crushing, Piercing, Ranged and Slashing of caster by 32.4',100,1,3),
(77724,10101146,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(77725,10101146,'Inflicts 282 ranged damage on target',100,2,1),
(77726,10101146,'Decreases Defense of caster by 13.5',100,1,2),
(77727,10101146,'Increases Crushing, Piercing, Ranged and Slashing of caster by 32.4',100,1,3),
(77728,24429,'Adds Greater Awareness (Multiple) to your Dungeon Maker toolbox',100,0,0),
(77729,10024429,'Adds Greater Awareness (Multiple) to your Dungeon Maker toolbox',100,0,0),
(77730,87490,'When Equipped:',100,0,0),
(77731,87490,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77732,87490,'Inflicts 93 - 139 magic damage on target',100,2,2),
(77733,87490,'Cannot be modified except by direct means',100,2,3),
(77734,10087490,'When Equipped:',100,0,0),
(77735,10087490,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77736,10087490,'Inflicts 130 - 194 magic damage on target',100,2,2),
(77737,10087490,'Cannot be modified except by direct means',100,2,3),
(77738,121522,'Inflicts 377 - 628 melee damage on target',100,1,0),
(77739,121522,'Stuns target',100,1,1),
(77740,121522,'If Target is not Epic',100,2,2),
(77741,121522,'Resistibility increases against targets higher than level 73.',100,1,3),
(77742,10121522,'Inflicts 490 - 816 melee damage on target',100,1,0),
(77743,10121522,'Stuns target',100,1,1),
(77744,10121522,'If Target is not Epic',100,2,2),
(77745,10121522,'Resistibility increases against targets higher than level 73.',100,1,3),
(77746,87377,'When Equipped:',100,0,0),
(77747,87377,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77748,87377,'Inflicts 167 - 250 magic damage on target',100,2,2),
(77749,87377,'Cannot be modified except by direct means',100,2,3),
(77750,10087377,'When Equipped:',100,0,0),
(77751,10087377,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77752,10087377,'Inflicts 233 - 350 magic damage on target',100,2,2),
(77753,10087377,'Cannot be modified except by direct means',100,2,3),
(77754,141877,'When Equipped:',100,0,0),
(77755,141877,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(77756,141877,'Increases STA of caster by 19.8',100,2,2),
(77757,141877,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(77758,141877,'Cannot be modified except by direct means',100,2,4),
(77759,10141877,'When Equipped:',100,0,0),
(77760,10141877,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(77761,10141877,'Increases STA of caster by 19.8',100,2,2),
(77762,10141877,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(77763,10141877,'Cannot be modified except by direct means',100,2,4),
(77764,115046,'Heals target for 734 - 897',100,1,0),
(77765,10115046,'Heals target for 1028 - 1257',100,1,0),
(77766,113040,'Decreases Damage Per Second of target by 19.9',100,1,0),
(77767,10113040,'Decreases Damage Per Second of target by 19.9',100,1,0),
(77768,114868,'Decreases AGI of target by 47.7',100,1,0),
(77769,114868,'Decreases Defense of target by 18.2',100,1,1),
(77770,10114868,'Decreases AGI of target by 47.7',100,1,0),
(77771,10114868,'Decreases Defense of target by 18.2',100,1,1),
(77772,81031,'When Equipped:',100,0,0),
(77773,81031,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77774,81031,'Inflicts 178 - 331 magic damage on target',100,2,2),
(77775,81031,'Cannot be modified except by direct means',100,2,3),
(77776,10081031,'When Equipped:',100,0,0),
(77777,10081031,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77778,10081031,'Inflicts 249 - 463 magic damage on target',100,2,2),
(77779,10081031,'Cannot be modified except by direct means',100,2,3),
(77780,120745,'Heals target for 132',100,1,0),
(77781,10120745,'Heals target for 86',100,1,0),
(77782,35350,'Increases AGI of target by 1.6',100,0,0),
(77783,35350,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(77784,87492,'When Equipped:',100,0,0),
(77785,87492,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77786,87492,'Inflicts 93 - 139 magic damage on target',100,2,2),
(77787,87492,'Cannot be modified except by direct means',100,2,3),
(77788,10087492,'When Equipped:',100,0,0),
(77789,10087492,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77790,10087492,'Inflicts 130 - 194 magic damage on target',100,2,2),
(77791,10087492,'Cannot be modified except by direct means',100,2,3),
(77792,35041,'Increases AGI and STA of target by 5.8',100,0,0),
(77793,35041,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(77794,35041,'Increases Attack Speed of target by 10.0',100,0,2),
(77795,101765,'Heals group members (AE) for 237 - 290 instantly and every 2 seconds',100,1,0),
(77796,10101765,'Heals group members (AE) for 154 - 188 instantly and every 2 seconds',100,1,0),
(77797,103922,'Wards group members (AE) collectively against 1104 total points of all damage',100,1,0),
(77798,10103922,'Wards group members (AE) collectively against 1645 total points of all damage',100,1,0),
(77799,47385,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(77800,47385,'This potion will grant you the illusion of being a Briarstone Ancient!',100,1,1),
(77801,10047385,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(77802,10047385,'This potion will grant you the illusion of being a Briarstone Ancient!',100,1,1),
(77803,112606,'Increases STA of caster by 34.2',100,1,0),
(77804,112606,'Reduces slow effects on caster by 12.6%',100,1,1),
(77805,112606,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 907',100,1,2),
(77806,10112606,'Increases STA of caster by 34.2',100,1,0),
(77807,10112606,'Reduces slow effects on caster by 12.6%',100,1,1),
(77808,10112606,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 907',100,1,2),
(77809,46391,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(77810,46391,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(77811,46391,'Decreases STR of target by 71.5',100,2,2),
(77812,46391,'Decreases Piercing, Crushing, Slashing and Ranged of target by 27.0',100,2,3),
(77813,46391,'Cannot be modified except by direct means',100,2,4),
(77814,46391,'Grants a total of 60 triggers of the spell.',100,2,5),
(77815,10046391,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(77816,10046391,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(77817,10046391,'Decreases STR of target by 71.5',100,2,2),
(77818,10046391,'Decreases Piercing, Crushing, Slashing and Ranged of target by 27.0',100,2,3),
(77819,10046391,'Cannot be modified except by direct means',100,2,4),
(77820,10046391,'Grants a total of 60 triggers of the spell.',100,2,5),
(77821,71982,'When Equipped:',100,0,0),
(77822,71982,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(77823,71982,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(77824,71982,'Cannot be modified except by direct means',100,2,3),
(77825,10071982,'When Equipped:',100,0,0),
(77826,10071982,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(77827,10071982,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(77828,10071982,'Cannot be modified except by direct means',100,2,3),
(77829,159418,'Applies Sanguine Imbued when Equipped.',100,0,0),
(77830,159418,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(77831,159418,'Inflicts 186 heat damage on target',100,2,2),
(77832,159418,'Cannot be modified except by direct means',100,2,3),
(77833,10159418,'Applies Sanguine Imbued when Equipped.',100,0,0),
(77834,10159418,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(77835,10159418,'Inflicts 260 heat damage on target',100,2,2),
(77836,10159418,'Cannot be modified except by direct means',100,2,3),
(77837,49159,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(77838,49159,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(77839,49159,'Inflicts 159 poison damage on target instantly and every 4 seconds',100,2,2),
(77840,49159,'Cannot be modified except by direct means',100,2,3),
(77841,49159,'Grants a total of 100 triggers of the spell.',100,2,4),
(77842,10049159,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(77843,10049159,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(77844,10049159,'Inflicts 167 poison damage on target instantly and every 4 seconds',100,2,2),
(77845,10049159,'Cannot be modified except by direct means',100,2,3),
(77846,10049159,'Grants a total of 100 triggers of the spell.',100,2,4),
(77847,109045,'Increases Attack Speed of caster by 22.1',100,1,0),
(77848,109045,'Decreases Defense of caster by 14.7',100,1,1),
(77849,109045,'Increases Slashing, Piercing, Crushing and Ranged of caster by 20.9',100,1,2),
(77850,10109045,'Increases Attack Speed of caster by 22.1',100,1,0),
(77851,10109045,'Decreases Defense of caster by 14.7',100,1,1),
(77852,10109045,'Increases Slashing, Piercing, Crushing and Ranged of caster by 20.9',100,1,2),
(77853,130056,'When Equipped:',100,0,0),
(77854,130056,'Increases base Combat Art damage by 8%.',100,1,1),
(77855,10130056,'When Equipped:',100,0,0),
(77856,10130056,'Increases base Combat Art damage by 8%.',100,1,1),
(77857,48002,'Applies Draw upon Essence when Activated.',100,0,0),
(77858,48002,'Increases power of caster by 7',100,1,1),
(77859,48002,'Requires 24 Health to cast.',100,1,2),
(77860,10048002,'Applies Draw upon Essence when Activated.',100,0,0),
(77861,10048002,'Increases power of caster by 7',100,1,1),
(77862,10048002,'Requires 24 Health to cast.',100,1,2),
(77863,46331,'Applies Fist of Pestilence when Activated.  Lasts for 1 hour.',100,0,0),
(77864,46331,'If target is a challenge.',100,1,1),
(77865,10046331,'Applies Fist of Pestilence when Activated.  Lasts for 1 hour.',100,0,0),
(77866,10046331,'If target is a challenge.',100,1,1),
(77867,49038,'Applies Play Unstable Recording: ''Domino''s Theme'' when Activated.',100,0,0),
(77868,49038,'Play the recording of ''Domino''s Theme''.',100,1,1),
(77869,10049038,'Applies Play Unstable Recording: ''Domino''s Theme'' when Activated.',100,0,0),
(77870,10049038,'Play the recording of ''Domino''s Theme''.',100,1,1),
(77871,48547,'Applies Confetti firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(77872,48547,'Launches a firework when used.',100,1,1),
(77873,10048547,'Applies Confetti firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(77874,10048547,'Launches a firework when used.',100,1,1),
(77875,35107,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(77876,24578,'Adds Myconoid (Coercer) to your Dungeon Maker toolbox',100,0,0),
(77877,10024578,'Adds Myconoid (Coercer) to your Dungeon Maker toolbox',100,0,0),
(77878,80300,'When Equipped:',100,0,0),
(77879,80300,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77880,80300,'Inflicts 71 - 132 magic damage on target',100,2,2),
(77881,80300,'Cannot be modified except by direct means',100,2,3),
(77882,10080300,'When Equipped:',100,0,0),
(77883,10080300,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77884,10080300,'Inflicts 100 - 185 magic damage on target',100,2,2),
(77885,10080300,'Cannot be modified except by direct means',100,2,3),
(77886,177698,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(77887,177698,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(77888,177698,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(77889,177698,'Cannot be modified except by direct means',100,2,3),
(77890,10177698,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(77891,10177698,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(77892,10177698,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(77893,10177698,'Cannot be modified except by direct means',100,2,3),
(77894,141946,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(77895,141946,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(77896,141946,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(77897,141946,'Cannot be modified except by direct means',100,2,3),
(77898,10141946,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(77899,10141946,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(77900,10141946,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(77901,10141946,'Cannot be modified except by direct means',100,2,3),
(77902,116956,'Increases Threat to target by 1,927 - 2,356 ',100,1,0),
(77903,116956,'Interrupts target',100,1,1),
(77904,10116956,'Forces target to change their selected target to caster.',100,1,0),
(77905,10116956,'Interrupts target',100,1,1),
(77906,10116956,'Prevents target from changing targets',100,1,2),
(77907,164830,'When Equipped:',100,0,0),
(77908,164830,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(77909,164830,'Inflicts 1192 cold damage on target encounter',100,2,2),
(77910,164830,'Cannot be modified except by direct means',100,2,3),
(77911,10164830,'When Equipped:',100,0,0),
(77912,10164830,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(77913,10164830,'Inflicts 834 cold damage on target encounter',100,2,2),
(77914,10164830,'Cannot be modified except by direct means',100,2,3),
(77915,47615,'Applies Power of Darkness when Activated.',100,0,0),
(77916,47615,'Covers the user''s hand in illusory shimmering particles.',100,1,1),
(77917,10047615,'Applies Power of Darkness when Activated.',100,0,0),
(77918,10047615,'Covers the user''s hand in illusory shimmering particles.',100,1,1),
(77919,110437,'Dazes targets in Area of Effect',100,1,0),
(77920,110437,'If Target is not Epic',100,2,1),
(77921,110437,'Decreases Threat to targets in Area of Effect by 720 ',100,1,2),
(77922,110437,'Dispelled when target receives hostile action',100,1,3),
(77923,110437,'Dispelled when target takes damage',100,1,4),
(77924,10110437,'Dazes targets in Area of Effect',100,1,0),
(77925,10110437,'If Target is not Epic',100,2,1),
(77926,10110437,'Applies Distract.',100,1,2),
(77927,10110437,'Forces target to clear their selected target.',100,2,3),
(77928,10110437,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(77929,10110437,'Dispelled when target receives hostile action',100,1,5),
(77930,10110437,'Dispelled when target takes damage',100,1,6),
(77931,100345,'Increases Max Health of target by 259.5',100,1,0),
(77932,100345,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.5',100,1,1),
(77933,10100345,'Increases Max Health of target by 259.5',100,1,0),
(77934,10100345,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.5',100,1,1),
(77935,119596,'Increases power of caster by 61 instantly and every 4 seconds',100,1,0),
(77936,10119596,'Increases power of caster by 61 instantly and every 4 seconds',100,1,0),
(77937,81436,'When Equipped:',100,0,0),
(77938,81436,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77939,81436,'Inflicts 104 - 194 magic damage on target',100,2,2),
(77940,81436,'Cannot be modified except by direct means',100,2,3),
(77941,10081436,'When Equipped:',100,0,0),
(77942,10081436,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(77943,10081436,'Inflicts 146 - 271 magic damage on target',100,2,2),
(77944,10081436,'Cannot be modified except by direct means',100,2,3),
(77945,106568,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(77946,106568,'Increases Parry of caster by 4.4',100,1,1),
(77947,10106568,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(77948,10106568,'Increases Parry of caster by 4.4',100,1,1),
(77949,104304,'Inflicts 218 - 364 melee damage on target',100,1,0),
(77950,104304,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(77951,104304,'Stuns target',100,2,2),
(77952,104304,'Throws target back',100,2,3),
(77953,104304,'Blurs vision of target',100,2,4),
(77954,104304,'Does not affect Epic targets',100,2,5),
(77955,10104304,'Inflicts 284 - 473 melee damage on target',100,1,0),
(77956,10104304,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(77957,10104304,'Blurs vision of target',100,2,2),
(77958,10104304,'Stuns target',100,2,3),
(77959,10104304,'Throws target back',100,2,4),
(77960,10104304,'Does not affect Epic targets',100,2,5),
(77961,106169,'Wards target against 35 points of all damage',100,1,0),
(77962,106169,'Decreases INT of target by 54.0',100,1,1),
(77963,106169,'Decreases Attack Speed of target by 25.0',100,1,2),
(77964,106169,'Increases Max Health of target by 12.0%',100,1,3),
(77965,106169,'Increases Hate Gain of target by 21.6%',100,1,4),
(77966,106169,'Increases Aggression of target by 5.0',100,1,5),
(77967,106169,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(77968,106169,'Increases Threat to target encounter by 38 - 47 ',100,2,7),
(77969,106169,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',100,1,8),
(77970,10106169,'Wards target against 35 points of all damage',100,1,0),
(77971,10106169,'Decreases INT of target by 54.0',100,1,1),
(77972,10106169,'Decreases Attack Speed of target by 25.0',100,1,2),
(77973,10106169,'Increases Max Health of target by 12.0%',100,1,3),
(77974,10106169,'Increases Aggression of target by 5.0',100,1,4),
(77975,10106169,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',100,1,5),
(77976,100823,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(77977,100823,'Increases Parry of caster by 5.0',100,1,1),
(77978,10100823,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(77979,10100823,'Increases Parry of caster by 5.0',100,1,1),
(77980,107722,'Inflicts 807 - 1346 heat damage on target',100,1,0),
(77981,107722,'You must be sneaking to use this ability.',100,1,1),
(77982,10107722,'Inflicts 1050 - 1750 heat damage on target',100,1,0),
(77983,10107722,'You must be sneaking to use this ability.',100,1,1),
(77984,177636,'When Equipped:',100,0,0),
(77985,177636,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(77986,177636,'Increases WIS of caster by 8.9',100,2,2),
(77987,177636,'Increases Ordination, Focus and Ministration of caster by 5.7',100,2,3),
(77988,177636,'Cannot be modified except by direct means',100,2,4),
(77989,10177636,'When Equipped:',100,0,0),
(77990,10177636,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(77991,10177636,'Increases WIS of caster by 8.9',100,2,2),
(77992,10177636,'Increases Ordination, Focus and Ministration of caster by 5.7',100,2,3),
(77993,10177636,'Cannot be modified except by direct means',100,2,4),
(77994,108592,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(77995,108592,'Heals group members (AE) for 79 - 96 instantly and every 3 seconds',100,2,1),
(77996,108592,'Increases STR, INT, AGI and WIS of group members (AE) by 26.6',100,2,2),
(77997,108592,'Increases STA of group members (AE) by 53.3',100,2,3),
(77998,108592,'Adds 0.6% to base avoidance.',100,2,4),
(77999,108592,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 71',100,2,5),
(78000,10108592,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(78001,10108592,'Heals group members (AE) for 51 - 63 instantly and every 3 seconds',100,2,1),
(78002,10108592,'Increases STR, INT, AGI and WIS of group members (AE) by 26.6',100,2,2),
(78003,10108592,'Increases STA of group members (AE) by 53.3',100,2,3),
(78004,10108592,'Adds 0.6% to base avoidance.',100,2,4),
(78005,10108592,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 71',100,2,5),
(78006,102938,'Inflicts 211 - 257 disease damage on target instantly and every 4 seconds',100,1,0),
(78007,10102938,'Inflicts 383 - 468 disease damage on target',100,1,0),
(78008,10102938,'Inflicts 295 - 360 disease damage on target every 4 seconds',100,1,1),
(78009,79021,'Applies Frost Blast when Activated.',100,0,0),
(78010,79021,'Inflicts 168 - 280 cold damage on target',100,1,1),
(78011,79021,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(78012,10079021,'Applies Frost Blast when Activated.',100,0,0),
(78013,10079021,'Inflicts 235 - 392 cold damage on target',100,1,1),
(78014,10079021,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(78015,72079,'When Equipped:',100,0,0),
(78016,72079,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78017,72079,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(78018,72079,'Cannot be modified except by direct means',100,2,3),
(78019,10072079,'When Equipped:',100,0,0),
(78020,10072079,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78021,10072079,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(78022,10072079,'Cannot be modified except by direct means',100,2,3),
(78023,87537,'Applies Lightning Shock when Activated.',100,0,0),
(78024,87537,'Inflicts 399 - 665 magic damage on target',100,1,1),
(78025,87537,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(78026,10087537,'Applies Lightning Shock when Activated.',100,0,0),
(78027,10087537,'Inflicts 559 - 931 magic damage on target',100,1,1),
(78028,10087537,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(78029,48208,'Applies Spirit of the White Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(78030,48208,'Shapechanges caster into a bear',100,1,1),
(78031,48208,'Increases Out-of-Combat Health Regeneration of caster by 42.0',100,1,2),
(78032,48208,'This effect suspends during combat',100,1,3),
(78033,48208,'Only affects targets level 10 and above',100,1,4),
(78034,10048208,'Applies Spirit of the White Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(78035,10048208,'Shapechanges caster into a bear',100,1,1),
(78036,10048208,'Increases Out-of-Combat Health Regeneration of caster by 42.0',100,1,2),
(78037,10048208,'This effect suspends during combat',100,1,3),
(78038,10048208,'Only affects targets level 10 and above',100,1,4),
(78039,106587,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(78040,106587,'Increases Parry of caster by 9.9',100,1,1),
(78041,10106587,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(78042,10106587,'Increases Parry of caster by 9.9',100,1,1),
(78043,142977,'When Equipped:',100,0,0),
(78044,142977,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(78045,142977,'Stuns target',100,2,2),
(78046,142977,'Only affects targets level 95 and below',100,2,3),
(78047,142977,'Does not affect Epic targets',100,2,4),
(78048,142977,'Resistibility increases against targets higher than level 108.',100,2,5),
(78049,142977,'Cannot be modified except by direct means',100,2,6),
(78050,10142977,'When Equipped:',100,0,0),
(78051,10142977,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(78052,10142977,'Stuns target',100,2,2),
(78053,10142977,'Only affects targets level 95 and below',100,2,3),
(78054,10142977,'Does not affect Epic targets',100,2,4),
(78055,10142977,'Resistibility increases against targets higher than level 108.',100,2,5),
(78056,10142977,'Cannot be modified except by direct means',100,2,6),
(78057,166523,'Applies Rising Brutality VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(78058,166523,'Increases the Damage Per Second of the caster over time.',100,1,1),
(78059,166523,'Applies Invigorated Haste VII on termination.  Lasts for 30.0 seconds.',100,1,2),
(78060,166523,'Increases Attack Speed of caster by 80.0',100,2,3),
(78061,166523,'Must not be engaged in pvp combat',100,2,4),
(78062,166523,'Cannot be modified except by direct means',100,2,5),
(78063,166523,'Must not be engaged in pvp combat',100,1,6),
(78064,166523,'Cannot be modified except by direct means',100,1,7),
(78065,166523,'The reuse time of Rising Brutality VII is 10 minutes',100,1,8),
(78066,10166523,'Applies Rising Brutality VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(78067,10166523,'Increases the Damage Per Second of the caster over time.',100,1,1),
(78068,10166523,'Applies Invigorated Haste VII on termination.  Lasts for 30.0 seconds.',100,1,2),
(78069,10166523,'Increases Attack Speed of caster by 80.0',100,2,3),
(78070,10166523,'Must not be engaged in pvp combat',100,2,4),
(78071,10166523,'Cannot be modified except by direct means',100,2,5),
(78072,10166523,'Must not be engaged in pvp combat',100,1,6),
(78073,10166523,'Cannot be modified except by direct means',100,1,7),
(78074,10166523,'The reuse time of Rising Brutality VII is 10 minutes',100,1,8),
(78075,143802,'When Equipped:',100,0,0),
(78076,143802,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78077,143802,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(78078,143802,'Increases damage done by combat arts by up to 500.',100,2,3),
(78079,143802,'Cannot be modified except by direct means',100,2,4),
(78080,143802,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(78081,143802,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(78082,143802,'Increases damage done by combat arts by up to 500.',100,2,7),
(78083,143802,'Cannot be modified except by direct means',100,2,8),
(78084,143802,'Cannot be modified except by direct means',100,1,9),
(78085,10143802,'When Equipped:',100,0,0),
(78086,10143802,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78087,10143802,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(78088,10143802,'Increases damage done by combat arts by up to 500.',100,2,3),
(78089,10143802,'Cannot be modified except by direct means',100,2,4),
(78090,10143802,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(78091,10143802,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(78092,10143802,'Increases damage done by combat arts by up to 500.',100,2,7),
(78093,10143802,'Cannot be modified except by direct means',100,2,8),
(78094,10143802,'Cannot be modified except by direct means',100,1,9),
(78095,107938,'Mesmerizes target',100,1,0),
(78096,107938,'Prevents AOE (except when direct) ',100,1,1),
(78097,107938,'Dispelled when target takes damage',100,1,2),
(78098,107938,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(78099,107938,'Resistibility increases against targets higher than level 95.',100,1,4),
(78100,10107938,'Mesmerizes target',100,1,0),
(78101,10107938,'Prevents AOE (except when direct) ',100,1,1),
(78102,10107938,'Dispelled when target takes damage',100,1,2),
(78103,10107938,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(78104,10107938,'Resistibility increases against targets higher than level 95.',100,1,4),
(78105,87385,'When Equipped:',100,0,0),
(78106,87385,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78107,87385,'Inflicts 167 - 250 magic damage on target',100,2,2),
(78108,87385,'Cannot be modified except by direct means',100,2,3),
(78109,10087385,'When Equipped:',100,0,0),
(78110,10087385,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78111,10087385,'Inflicts 233 - 350 magic damage on target',100,2,2),
(78112,10087385,'Cannot be modified except by direct means',100,2,3),
(78113,110324,'Increases Max Power of target by 189.0',100,1,0),
(78114,110324,'Increases Max Health of target by 363.3',100,1,1),
(78115,10110324,'Increases Max Power of target by 189.0',100,1,0),
(78116,10110324,'Increases Max Health of target by 363.3',100,1,1),
(78117,115012,'Inflicts 1296 - 2160 ranged damage on targets in area',100,1,0),
(78118,115012,'You must be in stealth to use this!',100,1,1),
(78119,115012,'Requires bow',100,1,2),
(78120,10115012,'Inflicts 1101 - 1836 ranged damage on targets in area',100,1,0),
(78121,10115012,'You must be in stealth to use this!',100,1,1),
(78122,10115012,'Requires bow',100,1,2),
(78123,101649,'Decreases Attack Speed of target by 9.7',100,1,0),
(78124,101649,'Decreases Damage Per Second of target by 5.6',100,1,1),
(78125,10101649,'Decreases Attack Speed of target by 9.7',100,1,0),
(78126,10101649,'Decreases Damage Per Second of target by 5.6',100,1,1),
(78127,48829,'Applies Klom''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(78128,48829,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(78129,10048829,'Applies Klom''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(78130,10048829,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(78131,111618,'Inflicts 104 - 193 cold damage on target instantly and every 4 seconds',100,1,0),
(78132,111618,'Decreases Mitigation of target vs elemental damage by 1427',100,1,1),
(78133,10111618,'Inflicts 146 - 270 cold damage on target instantly and every 4 seconds',100,1,0),
(78134,10111618,'Decreases Mitigation of target vs elemental damage by 1427',100,1,1),
(78135,87319,'When Equipped:',100,0,0),
(78136,87319,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78137,87319,'Inflicts 95 - 143 magic damage on target',100,2,2),
(78138,87319,'Cannot be modified except by direct means',100,2,3),
(78139,10087319,'When Equipped:',100,0,0),
(78140,10087319,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78141,10087319,'Inflicts 133 - 200 magic damage on target',100,2,2),
(78142,10087319,'Cannot be modified except by direct means',100,2,3),
(78143,74548,'When Equipped:',100,0,0),
(78144,74548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78145,74548,'Inflicts 179 - 268 magic damage on target',100,2,2),
(78146,74548,'Cannot be modified except by direct means',100,2,3),
(78147,10074548,'When Equipped:',100,0,0),
(78148,10074548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78149,10074548,'Inflicts 250 - 376 magic damage on target',100,2,2),
(78150,10074548,'Cannot be modified except by direct means',100,2,3),
(78151,105851,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(78152,105851,'Increases Damage Per Second of caster by 52.6',100,1,1),
(78153,105851,'Increases Piercing, Slashing and Crushing of caster by 22.7',100,1,2),
(78154,10105851,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(78155,10105851,'Increases Damage Per Second of caster by 52.6',100,1,1),
(78156,10105851,'Increases Piercing, Slashing and Crushing of caster by 22.7',100,1,2),
(78157,107990,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(78158,107990,'Increases Mitigation of group members (AE) vs elemental damage by 238',100,1,1),
(78159,10107990,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(78160,10107990,'Increases Mitigation of group members (AE) vs elemental damage by 238',100,1,1),
(78161,124652,'Inflicts 565 - 691 cold damage on target encounter',100,1,0),
(78162,124652,'Decreases Piercing, Slashing and Crushing of target encounter by 15.2',100,1,1),
(78163,10124652,'Inflicts 791 - 967 cold damage on target encounter',100,1,0),
(78164,10124652,'Decreases Piercing, Slashing and Crushing of target encounter by 15.2',100,1,1),
(78165,24741,'Adds Vampire-Greater (Coercer) to your Dungeon Maker toolbox',100,0,0),
(78166,10024741,'Adds Vampire-Greater (Coercer) to your Dungeon Maker toolbox',100,0,0),
(78167,190718,'When Equipped:',100,0,0),
(78168,190718,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(78169,190718,'Heals group members (AE) for 308 - 377',100,2,2),
(78170,190718,'Heals group members (AE) for 66 - 81 every 2 seconds',100,2,3),
(78171,190718,'Must not be engaged in pvp combat',100,2,4),
(78172,190718,'Cannot be modified except by direct means',100,2,5),
(78173,190718,'Cannot be modified except by direct means',100,1,6),
(78174,10190718,'When Equipped:',100,0,0),
(78175,10190718,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(78176,10190718,'Heals group members (AE) for 200 - 245',100,2,2),
(78177,10190718,'Heals group members (AE) for 43 - 52 every 2 seconds',100,2,3),
(78178,10190718,'Must not be engaged in pvp combat',100,2,4),
(78179,10190718,'Cannot be modified except by direct means',100,2,5),
(78180,10190718,'Cannot be modified except by direct means',100,1,6),
(78181,174277,'When Equipped:',100,0,0),
(78182,174277,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(78183,174277,'Heals group members (AE) for 580',100,2,2),
(78184,174277,'Cannot be modified except by direct means',100,2,3),
(78185,10174277,'When Equipped:',100,0,0),
(78186,10174277,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(78187,10174277,'Heals group members (AE) for 679',100,2,2),
(78188,10174277,'Cannot be modified except by direct means',100,2,3),
(78189,35167,'Increases AGI of target by 1.6',100,0,0),
(78190,35167,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(78191,118833,'Inflicts 54 - 164 melee damage on target',100,1,0),
(78192,10118833,'Inflicts 71 - 213 melee damage on target',100,1,0),
(78193,138080,'When Equipped:',100,0,0),
(78194,138080,'Increases Attack Speed of caster by 40.0',100,1,1),
(78195,10138080,'When Equipped:',100,0,0),
(78196,10138080,'Increases Attack Speed of caster by 40.0',100,1,1),
(78197,170540,'When Equipped:',100,0,0),
(78198,170540,'Increases Attack Speed of caster by 35.0',100,1,1),
(78199,10170540,'When Equipped:',100,0,0),
(78200,10170540,'Increases Attack Speed of caster by 35.0',100,1,1),
(78201,115044,'Heals target for 885 - 1082',100,1,0),
(78202,10115044,'Heals target for 1240 - 1516',100,1,0),
(78203,115999,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(78204,115999,'Decreases threat priority of target by 1 position',100,2,1),
(78205,115999,'Decreases Hate Gain of target by 11.5%',100,1,2),
(78206,10115999,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(78207,10115999,'Forces target to clear their selected target.',100,2,1),
(78208,160823,'When Equipped:',100,0,0),
(78209,160823,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(78210,160823,'Inflicts 2664 cold damage on target encounter',100,2,2),
(78211,160823,'Must not be engaged in pvp combat',100,2,3),
(78212,160823,'Cannot be modified except by direct means',100,2,4),
(78213,160823,'Must not be engaged in pvp combat',100,1,5),
(78214,10160823,'When Equipped:',100,0,0),
(78215,10160823,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(78216,10160823,'Inflicts 1865 cold damage on target encounter',100,2,2),
(78217,10160823,'Must not be engaged in pvp combat',100,2,3),
(78218,10160823,'Cannot be modified except by direct means',100,2,4),
(78219,10160823,'Must not be engaged in pvp combat',100,1,5),
(78220,35366,'Increases Max Power of target by 4.1',100,0,0),
(78221,35366,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(78222,113400,'Reduces physical damage done to caster by 5%',100,1,0),
(78223,113400,'Increases STA of caster by 31.7',100,1,1),
(78224,113400,'Adds 3.7% to base avoidance.',100,1,2),
(78225,113400,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(78226,113400,'Increases Defense and Aggression of caster by 5.8',100,1,4),
(78227,113400,'Increases Mitigation of caster vs noxious damage by 415',100,1,5),
(78228,113400,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(78229,10113400,'Reduces physical damage done to caster by 5%',100,1,0),
(78230,10113400,'Increases STA of caster by 31.7',100,1,1),
(78231,10113400,'Adds 3.7% to base avoidance.',100,1,2),
(78232,10113400,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(78233,10113400,'Increases Defense and Aggression of caster by 5.8',100,1,4),
(78234,10113400,'Increases Mitigation of caster vs noxious damage by 415',100,1,5),
(78235,10113400,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(78236,84625,'When Equipped:',100,0,0),
(78237,84625,'On a critical spell hit this spell may cast Mindsieve VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(78238,84625,'Inflicts 1633 - 1805 mental damage on target',100,2,2),
(78239,84625,'Increases power of caster by 127',100,2,3),
(78240,84625,'Must not be engaged in pvp combat',100,2,4),
(78241,84625,'Cannot be modified except by direct means',100,2,5),
(78242,84625,'On a critical combat hit this spell may cast Mindsieve VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(78243,84625,'Inflicts 1633 - 1805 mental damage on target',100,2,7),
(78244,84625,'Increases power of caster by 127',100,2,8),
(78245,84625,'Must not be engaged in pvp combat',100,2,9),
(78246,84625,'Cannot be modified except by direct means',100,2,10),
(78247,84625,'Must not be engaged in pvp combat',100,1,11),
(78248,10084625,'When Equipped:',100,0,0),
(78249,10084625,'On a critical spell hit this spell may cast Mindsieve VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(78250,10084625,'Inflicts 2286 - 2527 mental damage on target',100,2,2),
(78251,10084625,'Increases power of caster by 127',100,2,3),
(78252,10084625,'Must not be engaged in pvp combat',100,2,4),
(78253,10084625,'Cannot be modified except by direct means',100,2,5),
(78254,10084625,'On a critical combat hit this spell may cast Mindsieve VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(78255,10084625,'Inflicts 2286 - 2527 mental damage on target',100,2,7),
(78256,10084625,'Increases power of caster by 127',100,2,8),
(78257,10084625,'Must not be engaged in pvp combat',100,2,9),
(78258,10084625,'Cannot be modified except by direct means',100,2,10),
(78259,10084625,'Must not be engaged in pvp combat',100,1,11),
(78260,36212,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(78261,70560,'When Equipped:',100,0,0),
(78262,70560,'On a combat hit this spell may cast Lightning Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78263,70560,'Inflicts 236 - 289 magic damage on target',100,2,2),
(78264,70560,'Cannot be modified except by direct means',100,2,3),
(78265,10070560,'When Equipped:',100,0,0),
(78266,10070560,'On a combat hit this spell may cast Lightning Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78267,10070560,'Inflicts 331 - 404 magic damage on target',100,2,2),
(78268,10070560,'Cannot be modified except by direct means',100,2,3),
(78269,70827,'When Equipped:',100,0,0),
(78270,70827,'On a combat hit this spell may cast Pulsating Chain on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78271,70827,'Inflicts 52 - 87 magic damage on target encounter every 4.8 seconds',100,2,2),
(78272,70827,'Inflicts 39 - 66 magic damage on target encounter',100,2,3),
(78273,70827,'Cannot be modified except by direct means',100,2,4),
(78274,10070827,'When Equipped:',100,0,0),
(78275,10070827,'On a combat hit this spell may cast Pulsating Chain on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78276,10070827,'Inflicts 73 - 121 magic damage on target encounter every 4.8 seconds',100,2,2),
(78277,10070827,'Inflicts 55 - 92 magic damage on target encounter',100,2,3),
(78278,10070827,'Cannot be modified except by direct means',100,2,4),
(78279,108340,'Heals caster for 17',100,1,0),
(78280,108340,'Inflicts 33 - 55 melee damage on target',100,1,1),
(78281,10108340,'Heals caster for 11',100,1,0),
(78282,10108340,'Inflicts 43 - 72 melee damage on target',100,1,1),
(78283,101553,'Inflicts 4494 - 7490 melee damage on target',100,1,0),
(78284,101553,'You must be stealthed to use this ability',100,1,1),
(78285,10101553,'Inflicts 2746 - 4576 melee damage on target',100,1,0),
(78286,10101553,'You must be stealthed to use this ability',100,1,1),
(78287,112760,'Interrupts target',100,1,0),
(78288,112760,'Inflicts 153 - 255 divine damage on target',100,1,1),
(78289,10112760,'Interrupts target',100,1,0),
(78290,10112760,'Inflicts 214 - 357 divine damage on target',100,1,1),
(78291,107735,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(78292,107735,'Inflicts 442 - 736 melee damage on target',100,2,1),
(78293,107735,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(78294,107735,'Inflicts 442 - 736 melee damage on target',100,2,3),
(78295,107735,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(78296,107735,'Inflicts 442 - 736 melee damage on target',100,2,5),
(78297,107735,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(78298,107735,'Inflicts 442 - 736 melee damage on target',100,2,7),
(78299,107735,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(78300,107735,'Inflicts 442 - 736 melee damage on target',100,2,9),
(78301,107735,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(78302,107735,'Inflicts 442 - 736 melee damage on target',100,2,11),
(78303,107735,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(78304,107735,'Inflicts 442 - 736 melee damage on target',100,2,13),
(78305,107735,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(78306,107735,'Inflicts 442 - 736 melee damage on target',100,2,15),
(78307,10107735,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(78308,10107735,'Inflicts 325 - 542 melee damage on target',100,2,1),
(78309,10107735,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(78310,10107735,'Inflicts 325 - 542 melee damage on target',100,2,3),
(78311,10107735,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(78312,10107735,'Inflicts 325 - 542 melee damage on target',100,2,5),
(78313,10107735,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(78314,10107735,'Inflicts 325 - 542 melee damage on target',100,2,7),
(78315,10107735,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(78316,10107735,'Inflicts 325 - 542 melee damage on target',100,2,9),
(78317,10107735,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(78318,10107735,'Inflicts 325 - 542 melee damage on target',100,2,11),
(78319,10107735,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(78320,10107735,'Inflicts 325 - 542 melee damage on target',100,2,13),
(78321,10107735,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(78322,10107735,'Inflicts 325 - 542 melee damage on target',100,2,15),
(78323,117407,'Increases Threat to target by 1,108 ',100,1,0),
(78324,117407,'Inflicts 165 - 495 melee damage on target',100,1,1),
(78325,10117407,'Forces target to change their selected target to caster.',100,1,0),
(78326,10117407,'Inflicts 143 - 429 melee damage on target',100,1,1),
(78327,121529,'Inflicts 420 - 701 melee damage on target',100,1,0),
(78328,121529,'Stuns target',100,1,1),
(78329,121529,'If Target is not Epic',100,2,2),
(78330,121529,'Resistibility increases against targets higher than level 87.',100,1,3),
(78331,10121529,'Inflicts 546 - 911 melee damage on target',100,1,0),
(78332,10121529,'Stuns target',100,1,1),
(78333,10121529,'If Target is not Epic',100,2,2),
(78334,10121529,'Resistibility increases against targets higher than level 87.',100,1,3),
(78335,114577,'Inflicts 251 - 419 ranged damage on target',100,1,0),
(78336,114577,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(78337,114577,'Requires bow',100,1,2),
(78338,10114577,'Inflicts 265 - 442 ranged damage on target',100,1,0),
(78339,10114577,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(78340,10114577,'Requires bow',100,1,2),
(78341,113929,'Increases power of target by 40 instantly and every 4 seconds',100,1,0),
(78342,10113929,'Increases power of target by 40 instantly and every 4 seconds',100,1,0),
(78343,82493,'When Equipped:',100,0,0),
(78344,82493,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78345,82493,'Inflicts 182 - 339 magic damage on target',100,2,2),
(78346,82493,'Cannot be modified except by direct means',100,2,3),
(78347,10082493,'When Equipped:',100,0,0),
(78348,10082493,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78349,10082493,'Inflicts 255 - 474 magic damage on target',100,2,2),
(78350,10082493,'Cannot be modified except by direct means',100,2,3),
(78351,87628,'When Equipped:',100,0,0),
(78352,87628,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78353,87628,'Inflicts 116 - 142 poison damage on target',100,2,2),
(78354,87628,'Cannot be modified except by direct means',100,2,3),
(78355,10087628,'When Equipped:',100,0,0),
(78356,10087628,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78357,10087628,'Inflicts 163 - 199 poison damage on target',100,2,2),
(78358,10087628,'Cannot be modified except by direct means',100,2,3),
(78359,46028,'Applies Call Steed when Activated.',100,0,0),
(78360,46028,'Increases Disruption of caster by 5.0',100,1,1),
(78361,46028,'Summons a mount to ride',100,1,2),
(78362,46028,'Increases your ground speed by 130%',100,2,3),
(78363,46028,'Increases Subjugation, Piercing, Focus, Slashing, Crushing, Ordination, Ministration, Ranged and Aggression of caster by 5.0',100,1,4),
(78364,10046028,'Applies Call Steed when Activated.',100,0,0),
(78365,10046028,'Increases Disruption of caster by 5.0',100,1,1),
(78366,10046028,'Summons a mount to ride',100,1,2),
(78367,10046028,'Increases your ground speed by 130%',100,2,3),
(78368,10046028,'Increases Subjugation, Piercing, Focus, Slashing, Crushing, Ordination, Ministration, Ranged and Aggression of caster by 5.0',100,1,4),
(78369,133569,'When Equipped:',100,0,0),
(78370,133569,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(78371,10133569,'When Equipped:',100,0,0),
(78372,10133569,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(78373,112982,'Reduces physical damage done to caster by 5%',100,1,0),
(78374,112982,'Increases STA of caster by 42.2',100,1,1),
(78375,112982,'Adds 5.0% to base avoidance.',100,1,2),
(78376,112982,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(78377,112982,'Increases Defense and Aggression of caster by 7.7',100,1,4),
(78378,112982,'Increases Mitigation of caster vs arcane damage by 553',100,1,5),
(78379,112982,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(78380,10112982,'Reduces physical damage done to caster by 5%',100,1,0),
(78381,10112982,'Increases STA of caster by 42.2',100,1,1),
(78382,10112982,'Adds 5.0% to base avoidance.',100,1,2),
(78383,10112982,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(78384,10112982,'Increases Defense and Aggression of caster by 7.7',100,1,4),
(78385,10112982,'Increases Mitigation of caster vs arcane damage by 553',100,1,5),
(78386,10112982,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(78387,35051,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(78388,109749,'Inflicts 75 - 139 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(78389,10109749,'Inflicts 105 - 194 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(78390,135180,'When Equipped:',100,0,0),
(78391,135180,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(78392,135180,'Inflicts 1986 piercing damage on target',100,2,2),
(78393,135180,'Cannot be modified except by direct means',100,2,3),
(78394,10135180,'When Equipped:',100,0,0),
(78395,10135180,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(78396,10135180,'Inflicts 1390 piercing damage on target',100,2,2),
(78397,10135180,'Cannot be modified except by direct means',100,2,3),
(78398,101554,'Inflicts 4269 - 7116 melee damage on target',100,1,0),
(78399,101554,'You must be stealthed to use this ability',100,1,1),
(78400,10101554,'Inflicts 2608 - 4348 melee damage on target',100,1,0),
(78401,10101554,'You must be stealthed to use this ability',100,1,1),
(78402,37060,'Increases STR of target by 1.6',100,0,0),
(78403,37060,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(78404,174435,'When Equipped:',100,0,0),
(78405,174435,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(78406,174435,'Inflicts 1192 cold damage on target encounter',100,2,2),
(78407,174435,'Cannot be modified except by direct means',100,2,3),
(78408,10174435,'When Equipped:',100,0,0),
(78409,10174435,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(78410,10174435,'Inflicts 834 cold damage on target encounter',100,2,2),
(78411,10174435,'Cannot be modified except by direct means',100,2,3),
(78412,108870,'Inflicts 242 - 404 melee damage on target',100,1,0),
(78413,108870,'Decreases INT of target by 109.4',100,1,1),
(78414,10108870,'Inflicts 315 - 525 melee damage on target',100,1,0),
(78415,10108870,'Decreases INT of target by 109.4',100,1,1),
(78416,102843,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(78417,102843,'Stuns target',100,2,1),
(78418,102843,'Throws target back',100,2,2),
(78419,102843,'Blurs vision of target',100,2,3),
(78420,102843,'Does not affect Epic targets',100,2,4),
(78421,102843,'Inflicts 70 - 211 melee damage on targets in area',100,1,5),
(78422,10102843,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(78423,10102843,'Stuns target',100,2,1),
(78424,10102843,'Throws target back',100,2,2),
(78425,10102843,'Blurs vision of target',100,2,3),
(78426,10102843,'Does not affect Epic targets',100,2,4),
(78427,10102843,'Inflicts 91 - 275 melee damage on targets in area',100,1,5),
(78428,159494,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(78429,159494,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(78430,159494,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(78431,159494,'Cannot be modified except by direct means',100,2,3),
(78432,10159494,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(78433,10159494,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(78434,10159494,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(78435,10159494,'Cannot be modified except by direct means',100,2,3),
(78436,36297,'Increases STR of target by 1.6',100,0,0),
(78437,36297,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(78438,106405,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(78439,106405,'Inflicts 226 - 276 mental damage on target',100,2,1),
(78440,106405,'Grants a total of 3 triggers of the spell.',100,2,2),
(78441,10106405,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(78442,10106405,'Inflicts 316 - 387 mental damage on target',100,2,1),
(78443,10106405,'Grants a total of 3 triggers of the spell.',100,2,2),
(78444,121570,'Inflicts 740 - 1234 melee damage on targets in area',100,1,0),
(78445,121570,'Stuns target encounter',100,1,1),
(78446,121570,'If Target is not Epic',100,2,2),
(78447,121570,'Resistibility increases against targets higher than level 112.',100,1,3),
(78448,10121570,'Inflicts 963 - 1605 melee damage on targets in area',100,1,0),
(78449,10121570,'Stuns target encounter',100,1,1),
(78450,10121570,'If Target is not Epic',100,2,2),
(78451,10121570,'Resistibility increases against targets higher than level 112.',100,1,3),
(78452,35689,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(78453,41571,'When Equipped:',100,0,0),
(78454,41571,'This effect will not stack with itself.',100,1,1),
(78455,41571,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(78456,41571,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(78457,41571,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(78458,41571,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(78459,41571,'Must not be engaged in pvp combat',100,2,6),
(78460,41571,'Cannot be modified except by direct means',100,2,7),
(78461,41571,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(78462,41571,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(78463,41571,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(78464,41571,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(78465,41571,'Must not be engaged in pvp combat',100,2,12),
(78466,41571,'Cannot be modified except by direct means',100,2,13),
(78467,41571,'Must not be engaged in pvp combat',100,1,14),
(78468,10041571,'When Equipped:',100,0,0),
(78469,10041571,'This effect will not stack with itself.',100,1,1),
(78470,10041571,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(78471,10041571,'Inflicts 1772 - 1958 slashing damage on target',100,2,3),
(78472,10041571,'Inflicts 974 - 1077 slashing damage on target every 2 seconds',100,2,4),
(78473,10041571,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(78474,10041571,'Must not be engaged in pvp combat',100,2,6),
(78475,10041571,'Cannot be modified except by direct means',100,2,7),
(78476,10041571,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(78477,10041571,'Inflicts 1772 - 1958 slashing damage on target',100,2,9),
(78478,10041571,'Inflicts 974 - 1077 slashing damage on target every 2 seconds',100,2,10),
(78479,10041571,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(78480,10041571,'Must not be engaged in pvp combat',100,2,12),
(78481,10041571,'Cannot be modified except by direct means',100,2,13),
(78482,10041571,'Must not be engaged in pvp combat',100,1,14),
(78483,46084,'Applies Elixir of Light when Activated.  Lasts for 30.0 seconds.',100,0,0),
(78484,46084,'Heals caster for 28',100,1,1),
(78485,46084,'Heals caster for 14 every 5 seconds',100,1,2),
(78486,10046084,'Applies Elixir of Light when Activated.  Lasts for 30.0 seconds.',100,0,0),
(78487,10046084,'Heals caster for 18',100,1,1),
(78488,10046084,'Heals caster for 9 every 5 seconds',100,1,2),
(78489,46732,'Applies Juline''s Resurgence when Activated.  Lasts for 30.0 seconds.',100,0,0),
(78490,46732,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(78491,10046732,'Applies Juline''s Resurgence when Activated.  Lasts for 30.0 seconds.',100,0,0),
(78492,10046732,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(78493,158816,'When Equipped:',100,0,0),
(78494,158816,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(78495,158816,'Decreases Threat to target by 425 - 709 ',100,2,2),
(78496,158816,'Cannot be modified except by direct means',100,2,3),
(78497,10158816,'When Equipped:',100,0,0),
(78498,10158816,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(78499,10158816,'Cannot be modified except by direct means',100,2,2),
(78500,118019,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(78501,118019,'Stuns target',100,2,1),
(78502,118019,'If Target is not Epic',100,3,2),
(78503,118019,'Inflicts 73 - 121 divine damage on target',100,2,3),
(78504,118019,'Grants a total of 3 triggers of the spell.',100,2,4),
(78505,10118019,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(78506,10118019,'Stuns target',100,2,1),
(78507,10118019,'If Target is not Epic',100,3,2),
(78508,10118019,'Inflicts 102 - 170 divine damage on target',100,2,3),
(78509,10118019,'Grants a total of 3 triggers of the spell.',100,2,4),
(78510,175292,'When Equipped:',100,0,0),
(78511,175292,'Increases Attack Speed of caster by 40.0',100,1,1),
(78512,10175292,'When Equipped:',100,0,0),
(78513,10175292,'Increases Attack Speed of caster by 40.0',100,1,1),
(78514,47528,'Applies Petrified Ogre Eye when Activated.  Lasts for 6 hours.',100,0,0),
(78515,47528,'Shapechanges caster into an ogre',100,1,1),
(78516,10047528,'Applies Petrified Ogre Eye when Activated.  Lasts for 6 hours.',100,0,0),
(78517,10047528,'Shapechanges caster into an ogre',100,1,1),
(78518,36362,'Increases STR and AGI of target by 1.2',100,0,0),
(78519,36362,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(78520,80367,'When Equipped:',100,0,0),
(78521,80367,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(78522,80367,'Inflicts 61 - 113 magic damage on target',100,2,2),
(78523,80367,'Decreases Threat to target by 153 ',100,2,3),
(78524,80367,'Must be flanking or behind',100,3,4),
(78525,80367,'Increases Threat to target by 153 ',100,2,5),
(78526,80367,'Must be in front of',100,3,6),
(78527,80367,'Cannot be modified except by direct means',100,2,7),
(78528,10080367,'When Equipped:',100,0,0),
(78529,10080367,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(78530,10080367,'Inflicts 85 - 158 magic damage on target',100,2,2),
(78531,10080367,'Cannot be modified except by direct means',100,2,3),
(78532,159924,'Applies Lambent Imbued when Equipped.',100,0,0),
(78533,159924,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(78534,159924,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(78535,159924,'Cannot be modified except by direct means',100,2,3),
(78536,10159924,'Applies Lambent Imbued when Equipped.',100,0,0),
(78537,10159924,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(78538,10159924,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(78539,10159924,'Cannot be modified except by direct means',100,2,3),
(78540,159827,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(78541,159827,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(78542,159827,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(78543,159827,'Cannot be modified except by direct means',100,2,3),
(78544,10159827,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(78545,10159827,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(78546,10159827,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(78547,10159827,'Cannot be modified except by direct means',100,2,3),
(78548,103168,'Throws target back',100,1,0),
(78549,103168,'If Target is not Epic',100,2,1),
(78550,103168,'Inflicts 147 - 441 crushing damage on target',100,1,2),
(78551,103168,'Stuns target',100,1,3),
(78552,103168,'If Target is not Epic',100,2,4),
(78553,103168,'Resistibility increases against targets higher than level 98.',100,1,5),
(78554,10103168,'Throws target back',100,1,0),
(78555,10103168,'If Target is not Epic',100,2,1),
(78556,10103168,'Inflicts 191 - 574 crushing damage on target',100,1,2),
(78557,10103168,'Stuns target',100,1,3),
(78558,10103168,'If Target is not Epic',100,2,4),
(78559,10103168,'Resistibility increases against targets higher than level 98.',100,1,5),
(78560,35596,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(78561,107965,'Increases In-Combat Power Regeneration of group members (AE) by 27.3',100,1,0),
(78562,10107965,'Increases In-Combat Power Regeneration of group members (AE) by 27.3',100,1,0),
(78563,79444,'When Equipped:',100,0,0),
(78564,79444,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78565,79444,'Inflicts 116 - 142 divine damage on target',100,2,2),
(78566,79444,'Cannot be modified except by direct means',100,2,3),
(78567,10079444,'When Equipped:',100,0,0),
(78568,10079444,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78569,10079444,'Inflicts 163 - 199 divine damage on target',100,2,2),
(78570,10079444,'Cannot be modified except by direct means',100,2,3),
(78571,146162,'When Equipped:',100,0,0),
(78572,146162,'On a combat hit this spell may cast Healing Wave on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(78573,146162,'Heals group members for 114',100,2,2),
(78574,146162,'Cannot be modified except by direct means',100,2,3),
(78575,10146162,'When Equipped:',100,0,0),
(78576,10146162,'On a combat hit this spell may cast Healing Wave on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(78577,10146162,'Heals group members for 74',100,2,2),
(78578,10146162,'Cannot be modified except by direct means',100,2,3),
(78579,118379,'Inflicts 359 - 598 melee damage on target',100,1,0),
(78580,118379,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(78581,118379,'Stuns target',100,2,2),
(78582,118379,'Throws target back',100,2,3),
(78583,118379,'Blurs vision of target',100,2,4),
(78584,118379,'Does not affect Epic targets',100,2,5),
(78585,10118379,'Inflicts 466 - 778 melee damage on target',100,1,0),
(78586,10118379,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(78587,10118379,'Stuns target',100,2,2),
(78588,10118379,'Throws target back',100,2,3),
(78589,10118379,'Blurs vision of target',100,2,4),
(78590,10118379,'Does not affect Epic targets',100,2,5),
(78591,110292,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(78592,110292,'Slows target by 44.2%',100,2,1),
(78593,110292,'5% chance to dispel when target receives hostile action',100,2,2),
(78594,110292,'5% chance to dispel when target takes damage',100,2,3),
(78595,110292,'Decreases Mitigation of target vs arcane damage by 1122',100,1,4),
(78596,10110292,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(78597,10110292,'Slows target by 44.2%',100,2,1),
(78598,10110292,'5% chance to dispel when target receives hostile action',100,2,2),
(78599,10110292,'5% chance to dispel when target takes damage',100,2,3),
(78600,10110292,'Decreases Mitigation of target vs arcane damage by 1122',100,1,4),
(78601,130926,'When Equipped:',100,0,0),
(78602,130926,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78603,130926,'Increases Ability Reuse Speed of group members by 5.0%',100,2,2),
(78604,130926,'Cannot be modified except by direct means',100,2,3),
(78605,130926,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(78606,130926,'Increases Ability Reuse Speed of group members by 5.0%',100,2,5),
(78607,130926,'Cannot be modified except by direct means',100,2,6),
(78608,130926,'Cannot be modified except by direct means',100,1,7),
(78609,10130926,'When Equipped:',100,0,0),
(78610,10130926,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78611,10130926,'Increases Ability Reuse Speed of group members by 5.0%',100,2,2),
(78612,10130926,'Cannot be modified except by direct means',100,2,3),
(78613,10130926,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(78614,10130926,'Increases Ability Reuse Speed of group members by 5.0%',100,2,5),
(78615,10130926,'Cannot be modified except by direct means',100,2,6),
(78616,10130926,'Cannot be modified except by direct means',100,1,7),
(78617,184776,'When Equipped:',100,0,0),
(78618,184776,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78619,184776,'Increases Ability Modifier of caster by 300.0',100,2,2),
(78620,184776,'Cannot be modified except by direct means',100,2,3),
(78621,184776,'When Equipped:',100,0,4),
(78622,184776,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,5),
(78623,184776,'Decreases power of target by 205',100,2,6),
(78624,184776,'Increases power of caster by 137',100,2,7),
(78625,184776,'Cannot be modified except by direct means',100,2,8),
(78626,10184776,'When Equipped:',100,0,0),
(78627,10184776,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78628,10184776,'Increases Ability Modifier of caster by 300.0',100,2,2),
(78629,10184776,'Cannot be modified except by direct means',100,2,3),
(78630,10184776,'When Equipped:',100,0,4),
(78631,10184776,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,5),
(78632,10184776,'Decreases power of target by 205',100,2,6),
(78633,10184776,'Increases power of caster by 137',100,2,7),
(78634,10184776,'Cannot be modified except by direct means',100,2,8),
(78635,100421,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(78636,100421,'Inflicts 73 - 122 slashing damage on target',100,2,1),
(78637,100421,'Increases Threat to target by 203 ',100,2,2),
(78638,100421,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(78639,100421,'Increases Threat to target by 203 ',100,2,4),
(78640,100421,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 737',100,1,5),
(78641,10100421,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(78642,10100421,'Inflicts 103 - 171 slashing damage on target',100,2,1),
(78643,10100421,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(78644,10100421,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 737',100,1,3),
(78645,114070,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(78646,114070,'Grants stealth to caster',100,2,1),
(78647,114070,'Suspends caster''s movement speed enhancements',100,2,2),
(78648,114070,'Inflicts 242 - 403 melee damage on target',100,1,3),
(78649,114070,'Must be flanking or behind',100,1,4),
(78650,10114070,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(78651,10114070,'Grants stealth to caster',100,2,1),
(78652,10114070,'Suspends caster''s movement speed enhancements',100,2,2),
(78653,10114070,'Inflicts 472 - 787 melee damage on target',100,1,3),
(78654,10114070,'Must be flanking or behind',100,1,4),
(78655,106518,'Inflicts 1277 - 2129 melee damage on target',100,1,0),
(78656,106518,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(78657,106518,'If Target is Standard or weaker',100,2,2),
(78658,10106518,'Inflicts 830 - 1384 melee damage on target',100,1,0),
(78659,109517,'Inflicts 199 - 244 disease damage on target instantly and every 4 seconds',100,1,0),
(78660,109517,'Decreases Attack Speed of target by 12.1',100,1,1),
(78661,10109517,'Inflicts 279 - 341 disease damage on target instantly and every 4 seconds',100,1,0),
(78662,10109517,'Decreases Attack Speed of target by 12.1',100,1,1),
(78663,106157,'Inflicts 602 - 1004 divine damage on target encounter',100,1,0),
(78664,106157,'Interrupts target encounter',100,1,1),
(78665,10106157,'Inflicts 843 - 1405 divine damage on target encounter',100,1,0),
(78666,10106157,'Interrupts target encounter',100,1,1),
(78667,42524,'When Equipped:',100,0,0),
(78668,42524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78669,42524,'Inflicts 65 - 98 magic damage on target',100,2,2),
(78670,42524,'Cannot be modified except by direct means',100,2,3),
(78671,10042524,'When Equipped:',100,0,0),
(78672,10042524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78673,10042524,'Inflicts 91 - 137 magic damage on target',100,2,2),
(78674,10042524,'Cannot be modified except by direct means',100,2,3),
(78675,182713,'When Equipped:',100,0,0),
(78676,182713,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(78677,10182713,'When Equipped:',100,0,0),
(78678,10182713,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(78679,103375,'Decreases power of target by 23 instantly and every 6 seconds',100,1,0),
(78680,103375,'Inflicts 92 - 112 mental damage on target instantly and every 6 seconds',100,1,1),
(78681,103375,'Increases power of caster by 86',100,1,2),
(78682,10103375,'Decreases power of target by 23 instantly and every 6 seconds',100,1,0),
(78683,10103375,'Inflicts 129 - 157 mental damage on target instantly and every 6 seconds',100,1,1),
(78684,10103375,'Increases power of caster by 86',100,1,2),
(78685,124727,'Heals group members (AE) for 901 - 1101',100,1,0),
(78686,10124727,'Heals group members (AE) for 1093 - 1336',100,1,0),
(78687,24329,'Adds Droag (Defiler) to your Dungeon Maker toolbox',100,0,0),
(78688,10024329,'Adds Droag (Defiler) to your Dungeon Maker toolbox',100,0,0),
(78689,36656,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(78690,105424,'Increases STR of caster by 169.2',100,1,0),
(78691,105424,'Decreases Defense of caster by 18.0',100,1,1),
(78692,105424,'Increases Slashing, Piercing, Crushing and Disruption of caster by 32.4',100,1,2),
(78693,10105424,'Increases STR of caster by 169.2',100,1,0),
(78694,10105424,'Decreases Defense of caster by 18.0',100,1,1),
(78695,10105424,'Increases Slashing, Piercing, Crushing and Disruption of caster by 32.4',100,1,2),
(78696,165000,'When Equipped:',100,0,0),
(78697,165000,'On any combat or spell hit this spell may cast Welled Up Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78698,165000,'Increases Crit Chance of caster by 8.0',100,2,2),
(78699,165000,'Inflicts 344 cold damage on target',100,2,3),
(78700,165000,'Inflicts 344 disease damage on target',100,2,4),
(78701,165000,'Inflicts 344 poison damage on target',100,2,5),
(78702,165000,'Cannot be modified except by direct means',100,2,6),
(78703,165000,'Cannot be modified except by direct means',100,1,7),
(78704,10165000,'When Equipped:',100,0,0),
(78705,10165000,'On any combat or spell hit this spell may cast Welled Up Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78706,10165000,'Increases Crit Chance of caster by 8.0',100,2,2),
(78707,10165000,'Inflicts 401 cold damage on target',100,2,3),
(78708,10165000,'Inflicts 401 disease damage on target',100,2,4),
(78709,10165000,'Inflicts 401 poison damage on target',100,2,5),
(78710,10165000,'Cannot be modified except by direct means',100,2,6),
(78711,10165000,'Cannot be modified except by direct means',100,1,7),
(78712,121788,'Heals target for 137 - 168',100,1,0),
(78713,121788,'Heals target for 23 - 28 every second',100,1,1),
(78714,10121788,'Heals target for 238 - 291',100,1,0),
(78715,10121788,'Heals target for 20 - 24 every second',100,1,1),
(78716,109259,'Increases INT and WIS of group members (AE) by 81.6',100,1,0),
(78717,109259,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 236',100,1,1),
(78718,10109259,'Increases INT and WIS of group members (AE) by 81.6',100,1,0),
(78719,10109259,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 236',100,1,1),
(78720,118535,'Inflicts 433 - 722 melee damage on target',100,1,0),
(78721,118535,'Decreases STR of target by 53.5',100,1,1),
(78722,118535,'You must be sneaking to use this ability.',100,1,2),
(78723,10118535,'Inflicts 563 - 938 melee damage on target',100,1,0),
(78724,10118535,'Decreases STR of target by 53.5',100,1,1),
(78725,10118535,'You must be sneaking to use this ability.',100,1,2),
(78726,109605,'Increases Defense of group members'' pets (AE) by 9.0',100,1,0),
(78727,109605,'Increases Mitigation of group members (AE) vs all damage by 144',100,1,1),
(78728,10109605,'Increases Defense of group members'' pets (AE) by 9.0',100,1,0),
(78729,10109605,'Increases Mitigation of group members (AE) vs all damage by 144',100,1,1),
(78730,52807,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(78731,52807,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(78732,52807,'Inflicts 58 heat damage on target',100,2,2),
(78733,52807,'Cannot be modified except by direct means',100,2,3),
(78734,10052807,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(78735,10052807,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(78736,10052807,'Inflicts 81 heat damage on target',100,2,2),
(78737,10052807,'Cannot be modified except by direct means',100,2,3),
(78738,72127,'When Equipped:',100,0,0),
(78739,72127,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78740,72127,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(78741,72127,'Cannot be modified except by direct means',100,2,3),
(78742,10072127,'When Equipped:',100,0,0),
(78743,10072127,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(78744,10072127,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(78745,10072127,'Cannot be modified except by direct means',100,2,3),
(78746,37230,'Increases AGI of target by 1.6',100,0,0),
(78747,37230,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(78748,51680,'Applies Elemental Environmental Suit when Equipped.',100,0,0),
(78749,51680,'Converts 3% of all elemental damage received into power gain.',100,1,1),
(78750,10051680,'Applies Elemental Environmental Suit when Equipped.',100,0,0),
(78751,10051680,'Converts 3% of all elemental damage received into power gain.',100,1,1),
(78752,26791,'When Equipped:',100,0,0),
(78753,26791,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(78754,26791,'On a critical spell hit this spell may cast Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(78755,26791,'Increases Max Health of caster by 2,542.6',100,2,3),
(78756,26791,'Must not be engaged in pvp combat',100,2,4),
(78757,26791,'Cannot be modified except by direct means',100,2,5),
(78758,26791,'On a critical combat hit this spell may cast Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(78759,26791,'Increases Max Health of caster by 2,542.6',100,2,7),
(78760,26791,'Must not be engaged in pvp combat',100,2,8),
(78761,26791,'Cannot be modified except by direct means',100,2,9),
(78762,26791,'On a critical healing spell cast this spell may cast Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(78763,26791,'Increases Max Health of caster by 2,542.6',100,2,11),
(78764,26791,'Must not be engaged in pvp combat',100,2,12),
(78765,26791,'Cannot be modified except by direct means',100,2,13),
(78766,26791,'Must not be engaged in pvp combat',100,1,14),
(78767,10026791,'When Equipped:',100,0,0),
(78768,10026791,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(78769,10026791,'On a critical spell hit this spell may cast Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(78770,10026791,'Increases Max Health of caster by 2,542.6',100,2,3),
(78771,10026791,'Must not be engaged in pvp combat',100,2,4),
(78772,10026791,'Cannot be modified except by direct means',100,2,5),
(78773,10026791,'On a critical combat hit this spell may cast Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(78774,10026791,'Increases Max Health of caster by 2,542.6',100,2,7),
(78775,10026791,'Must not be engaged in pvp combat',100,2,8),
(78776,10026791,'Cannot be modified except by direct means',100,2,9),
(78777,10026791,'On a critical healing spell cast this spell may cast Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(78778,10026791,'Increases Max Health of caster by 2,542.6',100,2,11),
(78779,10026791,'Must not be engaged in pvp combat',100,2,12),
(78780,10026791,'Cannot be modified except by direct means',100,2,13),
(78781,10026791,'Must not be engaged in pvp combat',100,1,14),
(78782,118258,'Increases Threat to target encounter by 243 - 297 ',100,1,0),
(78783,118258,'Decreases Mitigation of target encounter vs arcane damage by 352',100,1,1),
(78784,10118258,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(78785,10118258,'Prevents target from changing targets',100,2,1),
(78786,10118258,'Forces target to change their selected target to caster.',100,2,2),
(78787,10118258,'Decreases Mitigation of target encounter vs arcane damage by 352',100,1,3),
(78788,117696,'Reduces the hate position of all non-fighter group members on target encounter.',100,1,0),
(78789,117696,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',100,1,1),
(78790,10117696,'Forces target encounter to change their selected target to caster.',100,1,0),
(78791,10117696,'Prevents target encounter from changing targets',100,1,1),
(78792,138408,'Applies Heroic Resistance X when Equipped.',100,0,0),
(78793,138408,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(78794,138408,'Cannot be modified except by direct means',100,1,2),
(78795,138408,'When Equipped:',100,0,3),
(78796,138408,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(78797,138408,'Heals group members (AE) for 583',100,2,5),
(78798,138408,'Cannot be modified except by direct means',100,2,6),
(78799,10138408,'Applies Heroic Resistance X when Equipped.',100,0,0),
(78800,10138408,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(78801,10138408,'Cannot be modified except by direct means',100,1,2),
(78802,10138408,'When Equipped:',100,0,3),
(78803,10138408,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(78804,10138408,'Heals group members (AE) for 682',100,2,5),
(78805,10138408,'Cannot be modified except by direct means',100,2,6),
(78806,45477,'Applies Caustic Embrace when Activated.  Lasts for 12 hours.',100,0,0),
(78807,45477,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(78808,45477,'Inflicts 58 poison damage on target instantly and every 6 seconds',100,2,2),
(78809,45477,'Inflicts 180 poison damage on target',100,2,3),
(78810,45477,'Cannot be modified except by direct means',100,2,4),
(78811,45477,'Grants a total of 100 triggers of the spell.',100,2,5),
(78812,10045477,'Applies Caustic Embrace when Activated.  Lasts for 12 hours.',100,0,0),
(78813,10045477,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(78814,10045477,'Inflicts 61 poison damage on target instantly and every 6 seconds',100,2,2),
(78815,10045477,'Inflicts 189 poison damage on target',100,2,3),
(78816,10045477,'Cannot be modified except by direct means',100,2,4),
(78817,10045477,'Grants a total of 100 triggers of the spell.',100,2,5),
(78818,140736,'When Equipped:',100,0,0),
(78819,140736,'Reduces maximum falling speed of caster',100,1,1),
(78820,140736,'Applies Spirit of Cristanos'' Chosen when Activated.  Lasts for 1 hour.',100,0,2),
(78821,140736,'Shapechanges caster into an arasai',100,1,3),
(78822,140736,'The casting time of Spirit of Cristanos'' Chosen is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(78823,10140736,'When Equipped:',100,0,0),
(78824,10140736,'Reduces maximum falling speed of caster',100,1,1),
(78825,10140736,'Applies Spirit of Cristanos'' Chosen when Activated.  Lasts for 1 hour.',100,0,2),
(78826,10140736,'Shapechanges caster into an arasai',100,1,3),
(78827,10140736,'The casting time of Spirit of Cristanos'' Chosen is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(78828,105990,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(78829,105990,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(78830,105990,'Inflicts 545 - 908 piercing damage on target',100,3,2),
(78831,105990,'Grants a total of 5 triggers of the spell.',100,3,3),
(78832,105990,'Grants a total of 1 trigger of the spell.',100,2,4),
(78833,10105990,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(78834,10105990,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(78835,10105990,'Inflicts 708 - 1180 piercing damage on target',100,3,2),
(78836,10105990,'Grants a total of 5 triggers of the spell.',100,3,3),
(78837,10105990,'Grants a total of 1 trigger of the spell.',100,2,4),
(78838,152357,'When Equipped:',100,0,0),
(78839,152357,'Increases cold damage done by spells by up to 45.',100,1,1),
(78840,10152357,'When Equipped:',100,0,0),
(78841,10152357,'Increases cold damage done by spells by up to 45.',100,1,1),
(78842,103264,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(78843,103264,'If Fighter',100,2,1),
(78844,103264,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(78845,103264,'Increases power of target by 4 instantly and every 4 seconds',100,2,3),
(78846,103264,'Increases power of caster by 4 instantly and every 4 seconds',100,2,4),
(78847,10103264,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(78848,10103264,'Increases power of target by 4 instantly and every 4 seconds',100,2,1),
(78849,10103264,'Increases power of caster by 4 instantly and every 4 seconds',100,2,2),
(78850,102325,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(78851,102325,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(78852,102325,'Decreases Threat to target encounter by 458 ',100,2,2),
(78853,102325,'Decreases threat priority of target encounter by 1 position',100,2,3),
(78854,102325,'Grants a total of 3 triggers of the spell.',100,2,4),
(78855,102325,'If profession other than Fighter',100,1,5),
(78856,10102325,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(78857,10102325,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(78858,10102325,'Target cannot target caster for the duration of this effect.',100,2,2),
(78859,10102325,'Forces target to clear their selected target.',100,2,3),
(78860,10102325,'Grants a total of 3 triggers of the spell.',100,2,4),
(78861,10102325,'If profession other than Fighter',100,1,5),
(78862,136579,'When Equipped:',100,0,0),
(78863,136579,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78864,136579,'Increases Ability Reuse Speed of target by 5.0%',100,2,2),
(78865,136579,'Cannot be modified except by direct means',100,2,3),
(78866,10136579,'When Equipped:',100,0,0),
(78867,10136579,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78868,10136579,'Increases Ability Reuse Speed of target by 5.0%',100,2,2),
(78869,10136579,'Cannot be modified except by direct means',100,2,3),
(78870,51295,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(78871,51295,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(78872,51295,'Inflicts 16 heat damage on target',100,2,2),
(78873,51295,'Cannot be modified except by direct means',100,2,3),
(78874,10051295,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(78875,10051295,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(78876,10051295,'Inflicts 23 heat damage on target',100,2,2),
(78877,10051295,'Cannot be modified except by direct means',100,2,3),
(78878,100827,'Wards target against 249 points of all damage',100,1,0),
(78879,10100827,'Wards target against 384 points of all damage',100,1,0),
(78880,102077,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(78881,102077,'Stuns target',100,2,1),
(78882,102077,'Throws target back',100,2,2),
(78883,102077,'Blurs vision of target',100,2,3),
(78884,102077,'Does not affect Epic targets',100,2,4),
(78885,102077,'Inflicts 4 - 7 crushing damage on target',100,1,5),
(78886,10102077,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(78887,10102077,'Stuns target',100,2,1),
(78888,10102077,'Throws target back',100,2,2),
(78889,10102077,'Blurs vision of target',100,2,3),
(78890,10102077,'Does not affect Epic targets',100,2,4),
(78891,10102077,'Inflicts 6 - 10 crushing damage on target',100,1,5),
(78892,121059,'Increases STR and STA of group members (AE) by 29.5',100,1,0),
(78893,10121059,'Increases STR and STA of group members (AE) by 29.5',100,1,0),
(78894,122676,'Decreases Defense of target by 26.9',100,1,0),
(78895,122676,'Decreases Mitigation of target vs physical damage by 448',100,1,1),
(78896,10122676,'Decreases Defense of target by 26.9',100,1,0),
(78897,10122676,'Decreases Mitigation of target vs physical damage by 448',100,1,1),
(78898,26942,'When Equipped:',100,0,0),
(78899,26942,'Increases Attack Speed of caster by 20.  Does not stack with any other haste effect items.',100,1,1),
(78900,10026942,'When Equipped:',100,0,0),
(78901,10026942,'Increases Attack Speed of caster by 20.  Does not stack with any other haste effect items.',100,1,1),
(78902,103451,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(78903,103451,'Stuns target',100,2,1),
(78904,103451,'Throws target back',100,2,2),
(78905,103451,'Blurs vision of target',100,2,3),
(78906,103451,'Does not affect Epic targets',100,2,4),
(78907,103451,'Blurs vision of target encounter',100,1,5),
(78908,103451,'Interrupts target encounter',100,1,6),
(78909,10103451,'Interrupts target encounter',100,1,0),
(78910,10103451,'Blurs vision of target encounter',100,1,1),
(78911,10103451,'14% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(78912,10103451,'Stuns target',100,2,3),
(78913,10103451,'Blurs vision of target',100,2,4),
(78914,10103451,'Throws target back',100,2,5),
(78915,10103451,'Does not affect Epic targets',100,2,6),
(78916,46321,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(78917,46321,'Launches a firework when used.',100,1,1),
(78918,10046321,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(78919,10046321,'Launches a firework when used.',100,1,1),
(78920,118425,'Heals target for 779 - 952',100,1,0),
(78921,118425,'Increases Max Health of target by 136.8',100,1,1),
(78922,10118425,'Heals target for 904 - 1105',100,1,0),
(78923,10118425,'Increases Max Health of target by 136.8',100,1,1),
(78924,45140,'Applies Aegis of Ortallis when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(78925,45140,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(78926,45140,'Inflicts 2 magic damage on target',100,2,2),
(78927,45140,'Cannot be modified except by direct means',100,2,3),
(78928,10045140,'Applies Aegis of Ortallis when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(78929,10045140,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(78930,10045140,'Inflicts 3 magic damage on target',100,2,2),
(78931,10045140,'Cannot be modified except by direct means',100,2,3),
(78932,121721,'Increases AGI of caster by 51.7',100,1,0),
(78933,121721,'Adds 1.7% to base avoidance.',100,1,1),
(78934,121721,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(78935,121721,'Increases Parry of caster by 29.7',100,1,3),
(78936,121721,'Increases Defense of caster by 39.6',100,1,4),
(78937,10121721,'Increases AGI of caster by 51.7',100,1,0),
(78938,10121721,'Adds 1.7% to base avoidance.',100,1,1),
(78939,10121721,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(78940,10121721,'Increases Parry of caster by 29.7',100,1,3),
(78941,10121721,'Increases Defense of caster by 39.6',100,1,4),
(78942,174550,'When Equipped:',100,0,0),
(78943,174550,'On any combat or spell hit this spell may cast Rotting Shield on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78944,174550,'Wards caster against 1000 points of physical damage',100,2,2),
(78945,174550,'Cannot be modified except by direct means',100,2,3),
(78946,174550,'Cannot be modified except by direct means',100,1,4),
(78947,10174550,'When Equipped:',100,0,0),
(78948,10174550,'On any combat or spell hit this spell may cast Rotting Shield on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(78949,10174550,'Wards caster against 1000 points of physical damage',100,2,2),
(78950,10174550,'Cannot be modified except by direct means',100,2,3),
(78951,10174550,'Cannot be modified except by direct means',100,1,4),
(78952,150072,'When Equipped:',100,0,0),
(78953,150072,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(78954,150072,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(78955,150072,'Inflicts 281 mental damage on target',100,2,3),
(78956,150072,'Must not be classified as an undead',100,3,4),
(78957,150072,'Inflicts 562 mental damage on target',100,2,5),
(78958,150072,'Must be classified as an undead',100,3,6),
(78959,150072,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(78960,150072,'Must be classified as an undead',100,3,8),
(78961,150072,'Cannot be modified except by direct means',100,2,9),
(78962,10150072,'When Equipped:',100,0,0),
(78963,10150072,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(78964,10150072,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(78965,10150072,'Inflicts 393 mental damage on target',100,2,3),
(78966,10150072,'Must not be classified as an undead',100,3,4),
(78967,10150072,'Inflicts 787 mental damage on target',100,2,5),
(78968,10150072,'Must be classified as an undead',100,3,6),
(78969,10150072,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(78970,10150072,'Must be classified as an undead',100,3,8),
(78971,10150072,'Cannot be modified except by direct means',100,2,9),
(78972,123332,'Increases STA of raid and group members (AE) by 57.1',100,1,0),
(78973,123332,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(78974,10123332,'Increases STA of raid and group members (AE) by 57.1',100,1,0),
(78975,10123332,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(78976,82034,'When Equipped:',100,0,0),
(78977,82034,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78978,82034,'Inflicts 182 - 339 magic damage on target',100,2,2),
(78979,82034,'Cannot be modified except by direct means',100,2,3),
(78980,10082034,'When Equipped:',100,0,0),
(78981,10082034,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78982,10082034,'Inflicts 255 - 474 magic damage on target',100,2,2),
(78983,10082034,'Cannot be modified except by direct means',100,2,3),
(78984,112410,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 69% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(78985,112410,'If over 50% Health',100,2,1),
(78986,112410,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 69% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(78987,112410,'If at 50% Health or less',100,2,3),
(78988,10112410,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 69% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(78989,10112410,'If over 50% Health',100,2,1),
(78990,10112410,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 69% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(78991,10112410,'If at 50% Health or less',100,2,3),
(78992,35635,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(78993,143768,'When Equipped:',100,0,0),
(78994,143768,'Increases base Combat Art damage by 8%.',100,1,1),
(78995,10143768,'When Equipped:',100,0,0),
(78996,10143768,'Increases base Combat Art damage by 8%.',100,1,1),
(78997,80589,'When Equipped:',100,0,0),
(78998,80589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(78999,80589,'Inflicts 71 - 132 magic damage on target',100,2,2),
(79000,80589,'Cannot be modified except by direct means',100,2,3),
(79001,10080589,'When Equipped:',100,0,0),
(79002,10080589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79003,10080589,'Inflicts 100 - 185 magic damage on target',100,2,2),
(79004,10080589,'Cannot be modified except by direct means',100,2,3),
(79005,109717,'Inflicts 126 - 210 cold damage on target',100,1,0),
(79006,109717,'If weapon equipped in Ranged',100,1,1),
(79007,10109717,'Inflicts 107 - 178 cold damage on target',100,1,0),
(79008,10109717,'If weapon equipped in Ranged',100,1,1),
(79009,121923,'Inflicts 262 - 436 mental damage on target encounter',100,1,0),
(79010,121923,'Increases power of group members (AE) by 180 - 300',100,1,1),
(79011,10121923,'Inflicts 367 - 611 mental damage on target encounter',100,1,0),
(79012,10121923,'Increases power of group members (AE) by 180 - 300',100,1,1),
(79013,135787,'When Equipped:',100,0,0),
(79014,135787,'On a hostile spell cast this spell may cast Blazing Inferno on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79015,135787,'Inflicts 263 - 439 heat damage on target encounter every 4 seconds',100,2,2),
(79016,135787,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(79017,135787,'Cannot be modified except by direct means',100,2,4),
(79018,10135787,'When Equipped:',100,0,0),
(79019,10135787,'On a hostile spell cast this spell may cast Blazing Inferno on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79020,10135787,'Inflicts 369 - 615 heat damage on target encounter every 4 seconds',100,2,2),
(79021,10135787,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(79022,10135787,'Cannot be modified except by direct means',100,2,4),
(79023,116965,'Increases Threat to target by 845 - 1,032 ',100,1,0),
(79024,116965,'Interrupts target',100,1,1),
(79025,10116965,'Forces target to change their selected target to caster.',100,1,0),
(79026,10116965,'Interrupts target',100,1,1),
(79027,10116965,'Prevents target from changing targets',100,1,2),
(79028,25866,'When Equipped:',100,0,0),
(79029,25866,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(79030,25866,'Improves the damage of Synergism by 15%.',100,1,2),
(79031,10025866,'When Equipped:',100,0,0),
(79032,10025866,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(79033,10025866,'Improves the damage of Synergism by 15%.',100,1,2),
(79034,152743,'When Equipped:',100,0,0),
(79035,152743,'On a critical healing spell cast this spell may cast Instinctual Precision on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(79036,152743,'Reduces the resistibility of the target''s spells by 6%.',100,2,2),
(79037,152743,'Target will have their chance to hit with a weapon increased by 4.0%',100,2,3),
(79038,152743,'Cannot be modified except by direct means',100,2,4),
(79039,10152743,'When Equipped:',100,0,0),
(79040,10152743,'On a critical healing spell cast this spell may cast Instinctual Precision on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(79041,10152743,'Reduces the resistibility of the target''s spells by 6%.',100,2,2),
(79042,10152743,'Target will have their chance to hit with a weapon increased by 4.0%',100,2,3),
(79043,10152743,'Cannot be modified except by direct means',100,2,4),
(79044,107487,'Inflicts 318 - 954 magic damage on targets in Area of Effect',100,1,0),
(79045,107487,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(79046,107487,'Stuns target',100,2,2),
(79047,107487,'Throws target back',100,2,3),
(79048,107487,'Blurs vision of target',100,2,4),
(79049,107487,'Does not affect Epic targets',100,2,5),
(79050,10107487,'Inflicts 445 - 1335 magic damage on targets in Area of Effect',100,1,0),
(79051,10107487,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(79052,10107487,'Stuns target',100,2,2),
(79053,10107487,'Blurs vision of target',100,2,3),
(79054,10107487,'Throws target back',100,2,4),
(79055,10107487,'Does not affect Epic targets',100,2,5),
(79056,47600,'Applies Personal Obscuration when Activated.',100,0,0),
(79057,47600,'Makes it less likely for others to detect you.',100,1,1),
(79058,10047600,'Applies Personal Obscuration when Activated.',100,0,0),
(79059,10047600,'Makes it less likely for others to detect you.',100,1,1),
(79060,115030,'Heals target for 263 - 322',100,1,0),
(79061,10115030,'Heals target for 369 - 450',100,1,0),
(79062,47085,'Applies Most Wanted Poster when Activated.',100,0,0),
(79063,47085,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(79064,47085,'If between levels 60 - 69',100,1,2),
(79065,47085,'Cannot be modified except by direct means',100,1,3),
(79066,10047085,'Applies Most Wanted Poster when Activated.',100,0,0),
(79067,10047085,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(79068,10047085,'If between levels 60 - 69',100,1,2),
(79069,10047085,'Cannot be modified except by direct means',100,1,3),
(79070,103347,'Decreases power of target by 1 instantly and every 6 seconds',100,1,0),
(79071,103347,'Inflicts 6 - 7 mental damage on target instantly and every 6 seconds',100,1,1),
(79072,103347,'Increases power of caster by 5',100,1,2),
(79073,10103347,'Decreases power of target by 1 instantly and every 6 seconds',100,1,0),
(79074,10103347,'Inflicts 8 - 10 mental damage on target instantly and every 6 seconds',100,1,1),
(79075,10103347,'Increases power of caster by 5',100,1,2),
(79076,113819,'Inflicts 151 - 251 disease damage on target',100,1,0),
(79077,10113819,'Inflicts 211 - 351 disease damage on target',100,1,0),
(79078,82478,'When Equipped:',100,0,0),
(79079,82478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79080,82478,'Inflicts 164 - 305 magic damage on target',100,2,2),
(79081,82478,'Cannot be modified except by direct means',100,2,3),
(79082,10082478,'When Equipped:',100,0,0),
(79083,10082478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79084,10082478,'Inflicts 230 - 427 magic damage on target',100,2,2),
(79085,10082478,'Cannot be modified except by direct means',100,2,3),
(79086,105838,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(79087,105838,'Inflicts 288 - 480 disease damage on target',100,2,1),
(79088,10105838,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(79089,10105838,'Inflicts 374 - 624 disease damage on target',100,2,1),
(79090,24328,'Adds Droag (Berserker) to your Dungeon Maker toolbox',100,0,0),
(79091,10024328,'Adds Droag (Berserker) to your Dungeon Maker toolbox',100,0,0),
(79092,25021,'When Equipped:',100,0,0),
(79093,25021,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,1),
(79094,25021,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(79095,10025021,'When Equipped:',100,0,0),
(79096,10025021,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,1),
(79097,10025021,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(79098,115927,'Inflicts 333 - 555 melee damage on target',100,1,0),
(79099,115927,'Roots target',100,1,1),
(79100,115927,'If Target is not Epic',100,2,2),
(79101,115927,'5% chance to dispel when target takes damage',100,1,3),
(79102,115927,'Resistibility increases against targets higher than level 61.',100,1,4),
(79103,10115927,'Inflicts 433 - 722 melee damage on target',100,1,0),
(79104,10115927,'Roots target',100,1,1),
(79105,10115927,'If Target is not Epic',100,2,2),
(79106,10115927,'5% chance to dispel when target takes damage',100,1,3),
(79107,10115927,'Resistibility increases against targets higher than level 61.',100,1,4),
(79108,49134,'Applies Summon Snowmane when Activated.',100,0,0),
(79109,49134,'Increases Aggression, Disruption and Piercing of caster by 5.0',100,1,1),
(79110,49134,'Summons a mount to ride',100,1,2),
(79111,49134,'Increases your ground speed by 135%',100,2,3),
(79112,49134,'Increases Ranged, Subjugation, Ministration, Focus, Crushing, Ordination and Slashing of caster by 5.0',100,1,4),
(79113,10049134,'Applies Summon Snowmane when Activated.',100,0,0),
(79114,10049134,'Increases Aggression, Disruption and Piercing of caster by 5.0',100,1,1),
(79115,10049134,'Summons a mount to ride',100,1,2),
(79116,10049134,'Increases your ground speed by 135%',100,2,3),
(79117,10049134,'Increases Ranged, Subjugation, Ministration, Focus, Crushing, Ordination and Slashing of caster by 5.0',100,1,4),
(79118,102729,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(79122,102729,'Inflicts 56 - 70 divine damage on target',100,2,1),
(79124,10102729,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(79125,10102729,'Stuns target',100,2,1),
(79126,10102729,'Inflicts 119 - 198 divine damage on target',100,2,2),
(79127,10102729,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(79128,46520,'Applies Call Gold Armored Rhino with Red Saddle when Activated.',100,0,0),
(79129,46520,'Summons a mount to ride',100,1,1),
(79130,46520,'Increases your ground speed by 130%',100,2,2),
(79131,46520,'Increases Max Health of caster by 150.0',100,1,3),
(79132,46520,'Increases Defense of caster by 5.0',100,1,4),
(79133,46520,'Increases Ranged, Piercing, Focus, Slashing and Crushing of caster by 7.0',100,1,5),
(79134,10046520,'Applies Call Gold Armored Rhino with Red Saddle when Activated.',100,0,0),
(79135,10046520,'Summons a mount to ride',100,1,1),
(79136,10046520,'Increases your ground speed by 130%',100,2,2),
(79137,10046520,'Increases Max Health of caster by 150.0',100,1,3),
(79138,10046520,'Increases Defense of caster by 5.0',100,1,4),
(79139,10046520,'Increases Ranged, Piercing, Focus, Slashing and Crushing of caster by 7.0',100,1,5),
(79140,48723,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(79141,48723,'Increases STA and STR of caster by 12.0',100,1,1),
(79142,10048723,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(79143,10048723,'Increases STA and STR of caster by 12.0',100,1,1),
(79144,117182,'Inflicts 157 poison damage on target instantly and every 4 seconds',100,1,0),
(79145,117182,'Decreases WIS of target by 94.7',100,1,1),
(79146,10117182,'Inflicts 220 poison damage on target instantly and every 4 seconds',100,1,0),
(79147,10117182,'Decreases WIS of target by 94.7',100,1,1),
(79148,114124,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(79149,114124,'Increases Mitigation of group members (AE) vs elemental damage by 346',100,1,1),
(79150,10114124,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(79151,10114124,'Increases Mitigation of group members (AE) vs elemental damage by 346',100,1,1),
(79152,82843,'When Equipped:',100,0,0),
(79153,82843,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79154,82843,'Inflicts 301 - 560 magic damage on target',100,2,2),
(79155,82843,'Cannot be modified except by direct means',100,2,3),
(79156,10082843,'When Equipped:',100,0,0),
(79157,10082843,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79158,10082843,'Inflicts 422 - 783 magic damage on target',100,2,2),
(79159,10082843,'Cannot be modified except by direct means',100,2,3),
(79160,117852,'Heals target for 60 - 74 instantly and every 2 seconds',100,1,0),
(79161,10117852,'Heals target for 39 - 48 instantly and every 2 seconds',100,1,0),
(79162,52633,'When Equipped:',100,0,0),
(79163,52633,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,1),
(79164,52633,'Increases Hate Gain of caster by 12.0%',100,2,2),
(79165,52633,'Inflicts 1874 - 2072 crushing damage on target',100,2,3),
(79166,52633,'Increases caster''s chance to block by 20.0%',100,2,4),
(79167,52633,'Enlarges caster by 20.0%',100,2,5),
(79168,52633,'Must not be engaged in pvp combat',100,2,6),
(79169,52633,'Cannot be modified except by direct means',100,2,7),
(79170,52633,'Must not be engaged in pvp combat',100,1,8),
(79171,10052633,'When Equipped:',100,0,0),
(79172,10052633,'On a block this spell has a 10% chance to cast Insurmountable on target''s victim.  Lasts for 6.0 seconds.  ',100,1,1),
(79173,10052633,'Inflicts 2624 - 2901 crushing damage on target',100,2,2),
(79174,10052633,'Increases caster''s chance to block by 20.0%',100,2,3),
(79175,10052633,'Enlarges caster by 20.0%',100,2,4),
(79176,10052633,'Must not be engaged in pvp combat',100,2,5),
(79177,10052633,'Cannot be modified except by direct means',100,2,6),
(79178,10052633,'Must not be engaged in pvp combat',100,1,7),
(79179,159374,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(79180,159374,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(79181,159374,'Inflicts 113 heat damage on target',100,2,2),
(79182,159374,'Cannot be modified except by direct means',100,2,3),
(79183,10159374,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(79184,10159374,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(79185,10159374,'Inflicts 158 heat damage on target',100,2,2),
(79186,10159374,'Cannot be modified except by direct means',100,2,3),
(79187,104734,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(79188,104734,'Decreases Mitigation of target vs elemental and arcane damage by 1120',100,2,1),
(79189,104734,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(79190,104734,'Decreases Mitigation of target vs elemental and arcane damage by 1120',100,2,3),
(79191,10104734,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(79192,10104734,'Decreases Mitigation of target vs elemental and arcane damage by 1120',100,2,1),
(79193,10104734,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(79194,10104734,'Decreases Mitigation of target vs elemental and arcane damage by 1120',100,2,3),
(79195,120335,'Increases Threat to target by 774 - 946 ',100,1,0),
(79196,10120335,'Forces target to change their selected target to caster.',100,1,0),
(79197,10120335,'Prevents target from changing targets',100,1,1),
(79198,187421,'When Equipped:',100,0,0),
(79199,187421,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(79200,10187421,'When Equipped:',100,0,0),
(79201,10187421,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(79202,24350,'Adds Erollisian Hart of Love (Templar) to your Dungeon Maker toolbox',100,0,0),
(79203,10024350,'Adds Erollisian Hart of Love (Templar) to your Dungeon Maker toolbox',100,0,0),
(79204,80389,'When Equipped:',100,0,0),
(79205,80389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79206,80389,'Inflicts 61 - 113 magic damage on target',100,2,2),
(79207,80389,'Cannot be modified except by direct means',100,2,3),
(79208,10080389,'When Equipped:',100,0,0),
(79209,10080389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79210,10080389,'Inflicts 85 - 158 magic damage on target',100,2,2),
(79211,10080389,'Cannot be modified except by direct means',100,2,3),
(79212,82383,'When Equipped:',100,0,0),
(79213,82383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79214,82383,'Inflicts 146 - 271 magic damage on target',100,2,2),
(79215,82383,'Cannot be modified except by direct means',100,2,3),
(79216,10082383,'When Equipped:',100,0,0),
(79217,10082383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79218,10082383,'Inflicts 204 - 379 magic damage on target',100,2,2),
(79219,10082383,'Cannot be modified except by direct means',100,2,3),
(79220,72797,'When Equipped:',100,0,0),
(79221,72797,'On any combat or spell hit this spell may cast Sundering Smash VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79222,72797,'Inflicts 562 - 621 heat damage on targets in Area of Effect',100,2,2),
(79223,72797,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(79224,72797,'Stuns target',100,3,4),
(79225,72797,'Throws target back',100,3,5),
(79226,72797,'Blurs vision of target',100,3,6),
(79227,72797,'Does not affect Epic targets',100,3,7),
(79228,72797,'Must not be engaged in pvp combat',100,2,8),
(79229,72797,'Cannot be modified except by direct means',100,2,9),
(79230,72797,'Must not be engaged in pvp combat',100,1,10),
(79231,10072797,'When Equipped:',100,0,0),
(79232,10072797,'On any combat or spell hit this spell may cast Sundering Smash VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79233,10072797,'Inflicts 787 - 870 heat damage on targets in Area of Effect',100,2,2),
(79234,10072797,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(79235,10072797,'Stuns target',100,3,4),
(79236,10072797,'Throws target back',100,3,5),
(79237,10072797,'Blurs vision of target',100,3,6),
(79238,10072797,'Does not affect Epic targets',100,3,7),
(79239,10072797,'Must not be engaged in pvp combat',100,2,8),
(79240,10072797,'Cannot be modified except by direct means',100,2,9),
(79241,10072797,'Must not be engaged in pvp combat',100,1,10),
(79242,104238,'Increases Mitigation of group members (AE) vs physical damage by 185',100,1,0),
(79243,10104238,'Increases Mitigation of group members (AE) vs physical damage by 185',100,1,0),
(79244,37083,'Increases AGI of target by 1.6',100,0,0),
(79245,37083,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(79246,111518,'Blurs vision of targets in Area of Effect',100,1,0),
(79247,111518,'Interrupts targets in Area of Effect',100,1,1),
(79248,111518,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(79249,111518,'Stuns target',100,2,3),
(79250,111518,'Throws target back',100,2,4),
(79251,111518,'Blurs vision of target',100,2,5),
(79252,111518,'Does not affect Epic targets',100,2,6),
(79253,10111518,'Blurs vision of targets in Area of Effect',100,1,0),
(79254,10111518,'Interrupts targets in Area of Effect',100,1,1),
(79255,10111518,'7% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(79256,10111518,'Stuns target',100,2,3),
(79257,10111518,'Throws target back',100,2,4),
(79258,10111518,'Blurs vision of target',100,2,5),
(79259,10111518,'Does not affect Epic targets',100,2,6),
(79260,172793,'When Equipped:',100,0,0),
(79261,172793,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(79262,172793,'Wards caster against 280 points of all damage',100,2,2),
(79263,172793,'Cannot be modified except by direct means',100,2,3),
(79264,10172793,'When Equipped:',100,0,0),
(79265,10172793,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(79266,10172793,'Wards caster against 280 points of all damage',100,2,2),
(79267,10172793,'Cannot be modified except by direct means',100,2,3),
(79268,108296,'Inflicts 7 - 12 divine damage on target',100,1,0),
(79269,108296,'Heals caster for 3',100,1,1),
(79270,108296,'This effect cannot be critically applied.',100,2,2),
(79271,108296,'The healing of this spell cannot be modified except by direct means',100,1,3),
(79272,10108296,'Inflicts 9 - 15 divine damage on target',100,1,0),
(79273,10108296,'Heals target for 1',100,1,1),
(79274,10108296,'This effect cannot be critically applied.',100,2,2),
(79275,10108296,'The healing of this spell cannot be modified except by direct means',100,1,3),
(79276,134035,'When Equipped:',100,0,0),
(79277,134035,'Increases Attack Speed of caster by 28.0',100,1,1),
(79278,10134035,'When Equipped:',100,0,0),
(79279,10134035,'Increases Attack Speed of caster by 28.0',100,1,1),
(79280,108242,'Inflicts 377 - 1132 piercing damage on target',100,1,0),
(79281,108242,'Decreases Slashing, Crushing, Piercing and Ranged of target by 44.1',100,1,1),
(79282,10108242,'Inflicts 490 - 1472 piercing damage on target',100,1,0),
(79283,10108242,'Decreases Slashing, Crushing, Piercing and Ranged of target by 44.1',100,1,1),
(79284,146317,'When Equipped:',100,0,0),
(79285,146317,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(79286,146317,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(79287,146317,'Cannot be modified except by direct means',100,1,3),
(79288,10146317,'When Equipped:',100,0,0),
(79289,10146317,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(79290,10146317,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(79291,10146317,'Cannot be modified except by direct means',100,1,3),
(79292,80496,'When Equipped:',100,0,0),
(79293,80496,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79294,80496,'Inflicts 424 - 788 magic damage on target',100,2,2),
(79295,80496,'Decreases Threat to target by 1,219 ',100,2,3),
(79296,80496,'Must be flanking or behind',100,3,4),
(79297,80496,'Increases Threat to target by 1,219 ',100,2,5),
(79298,80496,'Must be in front of',100,3,6),
(79299,80496,'Cannot be modified except by direct means',100,2,7),
(79300,10080496,'When Equipped:',100,0,0),
(79301,10080496,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79302,10080496,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(79303,10080496,'Cannot be modified except by direct means',100,2,3),
(79304,87323,'When Equipped:',100,0,0),
(79305,87323,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79306,87323,'Inflicts 132 - 198 magic damage on target',100,2,2),
(79307,87323,'Cannot be modified except by direct means',100,2,3),
(79308,10087323,'When Equipped:',100,0,0),
(79309,10087323,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79310,10087323,'Inflicts 184 - 277 magic damage on target',100,2,2),
(79311,10087323,'Cannot be modified except by direct means',100,2,3),
(79312,47690,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(79313,47690,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(79314,47690,'Caster will harvest a second time on 10.0% of harvests.',100,1,2),
(79315,10047690,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(79316,10047690,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(79317,10047690,'Caster will harvest a second time on 10.0% of harvests.',100,1,2),
(79318,121445,'Increases AGI of caster by 34.5',100,1,0),
(79319,121445,'Adds 17.2% to base avoidance.',100,1,1),
(79320,121445,'Increases Mitigation of caster vs physical damage by 339',100,1,2),
(79321,121445,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,3),
(79322,10121445,'Increases AGI of caster by 34.5',100,1,0),
(79323,10121445,'Adds 17.2% to base avoidance.',100,1,1),
(79324,10121445,'Increases Mitigation of caster vs physical damage by 339',100,1,2),
(79325,10121445,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,3),
(79326,121896,'Inflicts 43 - 71 mental damage on target encounter',100,1,0),
(79327,121896,'Increases power of group members (AE) by 26 - 44',100,1,1),
(79328,10121896,'Inflicts 60 - 99 mental damage on target encounter',100,1,0),
(79329,10121896,'Increases power of group members (AE) by 26 - 44',100,1,1),
(79330,82305,'When Equipped:',100,0,0),
(79331,82305,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79332,82305,'Inflicts 223 - 414 magic damage on target',100,2,2),
(79333,82305,'Cannot be modified except by direct means',100,2,3),
(79334,10082305,'When Equipped:',100,0,0),
(79335,10082305,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79336,10082305,'Inflicts 312 - 580 magic damage on target',100,2,2),
(79337,10082305,'Cannot be modified except by direct means',100,2,3),
(79338,110676,'Heals target for 569',100,1,0),
(79339,110676,'Dispels 55 levels of any hostile effects on target',100,1,1),
(79340,10110676,'Heals target for 370',100,1,0),
(79341,10110676,'Dispels 55 levels of any hostile effects on target',100,1,1),
(79342,101018,'Inflicts 397 - 737 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(79343,10101018,'Inflicts 436 - 810 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(79344,119035,'Decreases power of target by 22 - 37',100,1,0),
(79345,119035,'Increases power of caster by 10 - 17',100,1,1),
(79346,119035,'Inflicts 23 - 39 mental damage on target',100,1,2),
(79347,10119035,'Decreases power of target by 22 - 37',100,1,0),
(79348,10119035,'Increases power of caster by 10 - 17',100,1,1),
(79349,10119035,'Inflicts 30 - 51 mental damage on target',100,1,2),
(79350,36244,'Increases INT and STA of target by 1.2',100,0,0),
(79351,36244,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(79352,24185,'Adds Crushbone: Gilded Beast Cage to your Dungeon Maker toolbox',100,0,0),
(79353,10024185,'Adds Crushbone: Gilded Beast Cage to your Dungeon Maker toolbox',100,0,0),
(79354,35696,'Increases Max Power of target by 4.1',100,0,0),
(79355,35696,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(79356,104981,'Reduces physical damage done to caster by 5%',100,1,0),
(79357,104981,'Adds 1.8% to base avoidance.',100,1,1),
(79358,104981,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(79359,104981,'Increases Parry of caster by 10.8',100,1,3),
(79360,104981,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(79361,104981,'Increases Aggression of caster by 6.5',100,1,5),
(79362,104981,'Increases Defense and Deflection of caster by 10.8',100,1,6),
(79363,104981,'Increases Mitigation of caster vs arcane damage by 720',100,1,7),
(79364,104981,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(79365,10104981,'Reduces physical damage done to caster by 5%',100,1,0),
(79366,10104981,'Adds 1.8% to base avoidance.',100,1,1),
(79367,10104981,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(79368,10104981,'Increases Parry of caster by 10.8',100,1,3),
(79369,10104981,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(79370,10104981,'Increases Aggression of caster by 6.5',100,1,5),
(79371,10104981,'Increases Defense and Deflection of caster by 10.8',100,1,6),
(79372,10104981,'Increases Mitigation of caster vs arcane damage by 720',100,1,7),
(79373,10104981,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(79374,124604,'Heals group members (AE) for 64 - 78',100,1,0),
(79375,124604,'Heals group members (AE) for 11 - 13 every second',100,1,1),
(79376,10124604,'Heals group members (AE) for 93 - 114',100,1,0),
(79377,10124604,'Heals group members (AE) for 12 - 14 every second',100,1,1),
(79378,103586,'Increases Mitigation of caster vs physical damage by 359',100,1,0),
(79379,10103586,'Increases Mitigation of caster vs physical damage by 359',100,1,0),
(79380,101730,'Mesmerizes target',100,1,0),
(79381,101730,'Prevents AOE (except when direct) ',100,1,1),
(79382,101730,'Mesmerizes caster',100,1,2),
(79383,101730,'Dispelled when target takes damage',100,1,3),
(79384,101730,'Does not affect Epic targets',100,1,4),
(79385,101730,'Resistibility increases against targets higher than level 96.',100,1,5),
(79386,10101730,'Mesmerizes target',100,1,0),
(79387,10101730,'Prevents AOE (except when direct) ',100,1,1),
(79388,10101730,'Mesmerizes caster',100,1,2),
(79389,10101730,'Dispelled when target takes damage',100,1,3),
(79390,10101730,'Does not affect Epic targets',100,1,4),
(79391,10101730,'Resistibility increases against targets higher than level 96.',100,1,5),
(79392,109352,'Increases STR of caster by 174.2',100,1,0),
(79393,109352,'Decreases Defense of caster by 29.8',100,1,1),
(79394,109352,'Increases Slashing, Piercing and Crushing of caster by 51.2',100,1,2),
(79395,10109352,'Increases STR of caster by 174.2',100,1,0),
(79396,10109352,'Decreases Defense of caster by 29.8',100,1,1),
(79397,10109352,'Increases Slashing, Piercing and Crushing of caster by 51.2',100,1,2),
(79398,88518,'When Equipped:',100,0,0),
(79399,88518,'On a combat hit this spell may cast Hostility of Battle on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79400,88518,'Inflicts 2200 piercing damage on target',100,2,2),
(79401,88518,'Cannot be modified except by direct means',100,2,3),
(79402,88518,'Cannot be modified except by direct means',100,1,4),
(79403,10088518,'When Equipped:',100,0,0),
(79404,10088518,'On a combat hit this spell may cast Hostility of Battle on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79405,10088518,'Inflicts 3080 piercing damage on target',100,2,2),
(79406,10088518,'Cannot be modified except by direct means',100,2,3),
(79407,10088518,'Cannot be modified except by direct means',100,1,4),
(79408,49068,'Applies Vision Totem of the Bee when Activated.  Lasts for 15 minutes.',100,0,0),
(79409,49068,'Grants Ultravision to caster',100,1,1),
(79410,10049068,'Applies Vision Totem of the Bee when Activated.  Lasts for 15 minutes.',100,0,0),
(79411,10049068,'Grants Ultravision to caster',100,1,1),
(79412,110145,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 4.9',100,1,0),
(79413,10110145,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 4.9',100,1,0),
(79414,108507,'Inflicts 1449 - 1771 melee damage on target',100,1,0),
(79415,108507,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(79416,10108507,'Inflicts 1310 - 1602 melee damage on target',100,1,0),
(79417,10108507,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(79418,102648,'Inflicts 207 - 345 melee damage on target',100,1,0),
(79419,102648,'Inflicts 89 heat damage on target every 6 seconds',100,1,1),
(79420,10102648,'Inflicts 269 - 449 melee damage on target',100,1,0),
(79421,10102648,'Inflicts 125 heat damage on target every 6 seconds',100,1,1),
(79422,36431,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(79423,89495,'When Equipped:',100,0,0),
(79424,89495,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(79425,10089495,'When Equipped:',100,0,0),
(79426,10089495,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(79427,72072,'When Equipped:',100,0,0),
(79428,72072,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79429,72072,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(79430,72072,'Cannot be modified except by direct means',100,2,3),
(79431,10072072,'When Equipped:',100,0,0),
(79432,10072072,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79433,10072072,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(79434,10072072,'Cannot be modified except by direct means',100,2,3),
(79435,114333,'Dispels 26 levels of noxious hostile effects on target',100,1,0),
(79436,114333,'Heals target for 9.9 - 12.1% of max health',100,1,1),
(79437,114333,'This effect cannot be critically applied.',100,2,2),
(79438,114333,'The healing of this spell cannot be modified except by direct means',100,1,3),
(79439,10114333,'Dispels 26 levels of noxious hostile effects on target',100,1,0),
(79440,10114333,'Heals target for 4.0 - 4.8% of max health',100,1,1),
(79441,10114333,'This effect cannot be critically applied.',100,2,2),
(79442,10114333,'The healing of this spell cannot be modified except by direct means',100,1,3),
(79443,49118,'Applies Wave of Health when Activated.',100,0,0),
(79444,49118,'Heals caster for 54',100,1,1),
(79445,10049118,'Applies Wave of Health when Activated.',100,0,0),
(79446,10049118,'Heals caster for 35',100,1,1),
(79447,81974,'When Equipped:',100,0,0),
(79448,81974,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79449,81974,'Inflicts 351 - 652 magic damage on target',100,2,2),
(79450,81974,'Cannot be modified except by direct means',100,2,3),
(79451,10081974,'When Equipped:',100,0,0),
(79452,10081974,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79453,10081974,'Inflicts 492 - 913 magic damage on target',100,2,2),
(79454,10081974,'Cannot be modified except by direct means',100,2,3),
(79455,117790,'Mesmerizes target',100,1,0),
(79456,117790,'Prevents AOE (except when direct) ',100,1,1),
(79457,117790,'Dispelled when target takes damage',100,1,2),
(79458,117790,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(79459,117790,'Resistibility increases against targets higher than level 69.',100,1,4),
(79460,10117790,'Mesmerizes target',100,1,0),
(79461,10117790,'Prevents AOE (except when direct) ',100,1,1),
(79462,10117790,'Dispelled when target takes damage',100,1,2),
(79463,10117790,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(79464,10117790,'Resistibility increases against targets higher than level 69.',100,1,4),
(79465,87508,'When Equipped:',100,0,0),
(79466,87508,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79467,87508,'Inflicts 129 - 194 magic damage on target',100,2,2),
(79468,87508,'Cannot be modified except by direct means',100,2,3),
(79469,10087508,'When Equipped:',100,0,0),
(79470,10087508,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79471,10087508,'Inflicts 181 - 271 magic damage on target',100,2,2),
(79472,10087508,'Cannot be modified except by direct means',100,2,3),
(79473,111393,'Increases Attack Speed of target by 23.0',100,1,0),
(79474,111393,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79475,111393,'Inflicts 95 disease damage on target',100,2,2),
(79476,111393,'Heals caster for 23',100,2,3),
(79477,111393,'Decreases Defense and Parry of target by 11.3',100,1,4),
(79478,111393,'Increases Disruption, Subjugation and Focus of target by 11.3',100,1,5),
(79479,10111393,'Increases Attack Speed of target by 23.0',100,1,0),
(79480,10111393,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79481,10111393,'Inflicts 132 disease damage on target',100,2,2),
(79482,10111393,'Heals caster for 15',100,2,3),
(79483,10111393,'Decreases Defense and Parry of target by 11.3',100,1,4),
(79484,10111393,'Increases Disruption, Subjugation and Focus of target by 11.3',100,1,5),
(79485,119047,'Decreases power of target by 86 - 143',100,1,0),
(79486,119047,'Increases power of caster by 38 - 64',100,1,1),
(79487,119047,'Inflicts 91 - 152 mental damage on target',100,1,2),
(79488,10119047,'Decreases power of target by 86 - 143',100,1,0),
(79489,10119047,'Increases power of caster by 38 - 64',100,1,1),
(79490,10119047,'Inflicts 118 - 197 mental damage on target',100,1,2),
(79491,106473,'Decreases STR and AGI of target by 12.4',100,1,0),
(79492,10106473,'Decreases STR and AGI of target by 12.4',100,1,0),
(79493,111381,'Inflicts 524 - 873 disease damage on target',100,1,0),
(79494,111381,'Heals caster for 288 - 480',100,1,1),
(79495,10111381,'Inflicts 733 - 1222 disease damage on target',100,1,0),
(79496,10111381,'Heals caster for 187 - 312',100,1,1),
(79497,101106,'Increases Mitigation of raid and group members (AE) vs arcane damage by 941',100,1,0),
(79498,10101106,'Increases Mitigation of raid and group members (AE) vs arcane damage by 941',100,1,0),
(79499,108775,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(79500,108775,'Inflicts 46 - 56 heat damage on target instantly and every 4 seconds',100,2,1),
(79501,108775,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(79502,108775,'Inflicts 205 - 251 heat damage on target encounter',100,3,3),
(79503,108775,'Grants a total of 1 trigger of the spell.',100,3,4),
(79504,10108775,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(79505,10108775,'Inflicts 65 - 79 heat damage on target instantly and every 4 seconds',100,2,1),
(79506,10108775,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(79507,10108775,'Inflicts 287 - 351 heat damage on target encounter',100,3,3),
(79508,10108775,'Grants a total of 1 trigger of the spell.',100,3,4),
(79509,51323,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(79510,51323,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(79511,51323,'Inflicts 52 heat damage on target',100,2,2),
(79512,51323,'Cannot be modified except by direct means',100,2,3),
(79513,10051323,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(79514,10051323,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(79515,10051323,'Inflicts 73 heat damage on target',100,2,2),
(79516,10051323,'Cannot be modified except by direct means',100,2,3),
(79517,82185,'When Equipped:',100,0,0),
(79518,82185,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79519,82185,'Inflicts 41 - 76 magic damage on target',100,2,2),
(79520,82185,'Decreases Threat to target by 135 ',100,2,3),
(79521,82185,'Must be flanking or behind',100,3,4),
(79522,82185,'Increases Threat to target by 135 ',100,2,5),
(79523,82185,'Must be in front of',100,3,6),
(79524,82185,'Cannot be modified except by direct means',100,2,7),
(79525,10082185,'When Equipped:',100,0,0),
(79526,10082185,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79527,10082185,'Inflicts 58 - 107 magic damage on target',100,2,2),
(79528,10082185,'Cannot be modified except by direct means',100,2,3),
(79529,37357,'Increases AGI of target by 1.6',100,0,0),
(79530,37357,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(79531,113470,'Increases INT of target by 94.4',100,1,0),
(79532,113470,'Increases Max Health of target by 780.8',100,1,1),
(79533,10113470,'Increases INT of target by 94.4',100,1,0),
(79534,10113470,'Increases Max Health of target by 780.8',100,1,1),
(79535,110438,'Dazes targets in Area of Effect',100,1,0),
(79536,110438,'If Target is not Epic',100,2,1),
(79537,110438,'Decreases Threat to targets in Area of Effect by 684 ',100,1,2),
(79538,110438,'Dispelled when target receives hostile action',100,1,3),
(79539,110438,'Dispelled when target takes damage',100,1,4),
(79540,10110438,'Dazes targets in Area of Effect',100,1,0),
(79541,10110438,'If Target is not Epic',100,2,1),
(79542,10110438,'Applies Distract.',100,1,2),
(79543,10110438,'Forces target to clear their selected target.',100,2,3),
(79544,10110438,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(79545,10110438,'Dispelled when target receives hostile action',100,1,5),
(79546,10110438,'Dispelled when target takes damage',100,1,6),
(79547,113438,'Increases INT of target by 9.9',100,1,0),
(79548,113438,'Increases Max Health of target by 29.1',100,1,1),
(79549,10113438,'Increases INT of target by 9.9',100,1,0),
(79550,10113438,'Increases Max Health of target by 29.1',100,1,1),
(79551,36708,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(79552,124576,'Decreases Threat to targets in Area of Effect by 1,898 ',100,1,0),
(79553,124576,'Interrupts targets in Area of Effect',100,1,1),
(79554,124576,'Roots targets in Area of Effect',100,1,2),
(79555,124576,'If Target is not Epic',100,2,3),
(79556,10124576,'Applies Distract.',100,1,0),
(79557,10124576,'Forces target to clear their selected target.',100,2,1),
(79558,10124576,'Interrupts targets in Area of Effect',100,1,2),
(79559,10124576,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(79560,10124576,'Roots targets in Area of Effect',100,1,4),
(79561,10124576,'If Target is not Epic',100,2,5),
(79562,124514,'Inflicts 7 - 13 melee damage on target',100,1,0),
(79563,124514,'If facing target',100,1,1),
(79564,10124514,'Inflicts 10 - 17 melee damage on target',100,1,0),
(79565,10124514,'If facing target',100,1,1),
(79566,109306,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(79567,109306,'Increases Mitigation of group members (AE) vs elemental damage by 1008',100,1,1),
(79568,10109306,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(79569,10109306,'Increases Mitigation of group members (AE) vs elemental damage by 1008',100,1,1),
(79570,161707,'When Equipped:',100,0,0),
(79571,161707,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(79572,161707,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(79573,161707,'Heals target for 14 - 16 instantly and every 2 seconds',100,2,3),
(79574,161707,'Must not be engaged in pvp combat',100,2,4),
(79575,161707,'Cannot be modified except by direct means',100,2,5),
(79576,161707,'Cannot be modified except by direct means',100,1,6),
(79577,10161707,'When Equipped:',100,0,0),
(79578,10161707,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(79579,10161707,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(79580,10161707,'Heals target for 9 - 10 instantly and every 2 seconds',100,2,3),
(79581,10161707,'Must not be engaged in pvp combat',100,2,4),
(79582,10161707,'Cannot be modified except by direct means',100,2,5),
(79583,10161707,'Cannot be modified except by direct means',100,1,6),
(79584,81814,'When Equipped:',100,0,0),
(79585,81814,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79586,81814,'Inflicts 127 - 236 magic damage on target',100,2,2),
(79587,81814,'Cannot be modified except by direct means',100,2,3),
(79588,10081814,'When Equipped:',100,0,0),
(79589,10081814,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79590,10081814,'Inflicts 178 - 331 magic damage on target',100,2,2),
(79591,10081814,'Cannot be modified except by direct means',100,2,3),
(79592,109341,'Increases STR of caster by 137.3',100,1,0),
(79593,109341,'Decreases Defense of caster by 21.8',100,1,1),
(79594,109341,'Increases Slashing, Piercing and Crushing of caster by 39.2',100,1,2),
(79595,10109341,'Increases STR of caster by 137.3',100,1,0),
(79596,10109341,'Decreases Defense of caster by 21.8',100,1,1),
(79597,10109341,'Increases Slashing, Piercing and Crushing of caster by 39.2',100,1,2),
(79598,103479,'Increases In-Combat Power Regeneration of group members (AE) by 23.4',100,1,0),
(79599,10103479,'Increases In-Combat Power Regeneration of group members (AE) by 23.4',100,1,0),
(79600,113778,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(79601,113778,'Heals target for 141 - 172',100,2,1),
(79602,10113778,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(79603,10113778,'Heals target for 91 - 112',100,2,1),
(79604,107002,'Decreases Threat to targets in Area of Effect by 455 ',100,1,0),
(79605,107002,'Dazes targets in Area of Effect',100,1,1),
(79606,107002,'If Target is not Epic',100,2,2),
(79607,107002,'Dispelled when target receives hostile action',100,1,3),
(79608,107002,'Dispelled when target takes damage',100,1,4),
(79609,10107002,'Dazes targets in Area of Effect',100,1,0),
(79610,10107002,'If Target is not Epic',100,2,1),
(79611,10107002,'Dispelled when target receives hostile action',100,1,2),
(79612,10107002,'Dispelled when target takes damage',100,1,3),
(79613,50529,'When Equipped:',100,0,0),
(79614,50529,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(79615,50529,'Wards caster against 200 points of all damage',100,2,2),
(79616,50529,'Cannot be modified except by direct means',100,2,3),
(79617,50529,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(79618,10050529,'When Equipped:',100,0,0),
(79619,10050529,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(79620,10050529,'Wards caster against 200 points of all damage',100,2,2),
(79621,10050529,'Cannot be modified except by direct means',100,2,3),
(79622,10050529,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(79623,121285,'Inflicts 60 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(79624,121285,'Inflicts 198 - 330 melee damage on targets in area',100,1,1),
(79625,121285,'You must be in stealth or have Bloody Assault.',100,1,2),
(79626,10121285,'Inflicts 84 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(79627,10121285,'Inflicts 257 - 429 melee damage on targets in area',100,1,1),
(79628,10121285,'You must be in stealth or have Bloody Assault.',100,1,2),
(79629,35474,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(79630,35474,'This effect suspends during combat',100,0,1),
(79631,82755,'When Equipped:',100,0,0),
(79632,82755,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79633,82755,'Inflicts 127 - 236 magic damage on target',100,2,2),
(79634,82755,'Cannot be modified except by direct means',100,2,3),
(79635,10082755,'When Equipped:',100,0,0),
(79636,10082755,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79637,10082755,'Inflicts 178 - 331 magic damage on target',100,2,2),
(79638,10082755,'Cannot be modified except by direct means',100,2,3),
(79639,108044,'Inflicts 387 magic damage on target',100,1,0),
(79640,108044,'Increases power of caster by 159',100,1,1),
(79641,10108044,'Inflicts 541 magic damage on target',100,1,0),
(79642,10108044,'Increases power of caster by 159',100,1,1),
(79643,72292,'When Equipped:',100,0,0),
(79644,72292,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79645,72292,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(79646,72292,'Cannot be modified except by direct means',100,2,3),
(79647,10072292,'When Equipped:',100,0,0),
(79648,10072292,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79649,10072292,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(79650,10072292,'Cannot be modified except by direct means',100,2,3),
(79651,27484,'When Equipped:',100,0,0),
(79652,27484,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(79653,27484,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,2),
(79654,10027484,'When Equipped:',100,0,0),
(79655,10027484,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(79656,10027484,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,2),
(79657,109207,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 13.0',100,1,0),
(79658,10109207,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 13.0',100,1,0),
(79659,112458,'Mesmerizes target',100,1,0),
(79660,112458,'Prevents AOE (except when direct) ',100,1,1),
(79661,112458,'Dispelled when target takes damage',100,1,2),
(79662,112458,'Does not affect Epic targets',100,1,3),
(79663,112458,'Resistibility increases against targets higher than level 116.',100,1,4),
(79664,10112458,'Mesmerizes target',100,1,0),
(79665,10112458,'Prevents AOE (except when direct) ',100,1,1),
(79666,10112458,'Dispelled when target takes damage',100,1,2),
(79667,10112458,'Does not affect Epic targets',100,1,3),
(79668,10112458,'Resistibility increases against targets higher than level 116.',100,1,4),
(79669,35864,'Increases Max Health of target by 5.0',100,0,0),
(79670,35864,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(79671,141919,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(79672,141919,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(79673,141919,'Inflicts 40 heat damage on target',100,2,2),
(79674,141919,'Cannot be modified except by direct means',100,2,3),
(79675,10141919,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(79676,10141919,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(79677,10141919,'Inflicts 57 heat damage on target',100,2,2),
(79678,10141919,'Cannot be modified except by direct means',100,2,3),
(79679,101247,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(79680,101247,'Inflicts 113 - 189 mental damage on target',100,2,1),
(79681,10101247,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(79682,10101247,'Inflicts 159 - 264 mental damage on target',100,2,1),
(79683,120259,'Inflicts 458 - 764 crushing damage on target',100,1,0),
(79684,10120259,'Inflicts 596 - 994 crushing damage on target',100,1,0),
(79685,123178,'Reduces physical damage done to caster by 5%',100,1,0),
(79686,123178,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(79687,123178,'Increases Aggression of caster by 14.3',100,1,2),
(79688,123178,'Increases Defense and Parry of caster by 28.6',100,1,3),
(79689,123178,'Increases Mitigation of caster vs elemental damage by 1912',100,1,4),
(79690,123178,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(79691,10123178,'Reduces physical damage done to caster by 5%',100,1,0),
(79692,10123178,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(79693,10123178,'Increases Aggression of caster by 14.3',100,1,2),
(79694,10123178,'Increases Defense and Parry of caster by 28.6',100,1,3),
(79695,10123178,'Increases Mitigation of caster vs elemental damage by 1912',100,1,4),
(79696,10123178,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(79697,117644,'Decreases Mitigation of target vs physical damage by 114',100,1,0),
(79698,10117644,'Decreases Mitigation of target vs physical damage by 114',100,1,0),
(79699,100566,'Inflicts 11 - 19 melee damage on target',100,1,0),
(79700,100566,'You must be sneaking to use this ability.',100,1,1),
(79701,10100566,'Inflicts 18 - 30 melee damage on target',100,1,0),
(79702,10100566,'You must be sneaking to use this ability.',100,1,1),
(79703,71782,'When Equipped:',100,0,0),
(79704,71782,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79705,71782,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(79706,71782,'Cannot be modified except by direct means',100,2,3),
(79707,10071782,'When Equipped:',100,0,0),
(79708,10071782,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79709,10071782,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(79710,10071782,'Cannot be modified except by direct means',100,2,3),
(79711,172689,'When Equipped:',100,0,0),
(79712,172689,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79713,172689,'Decreases power of target by 116',100,2,2),
(79714,172689,'Increases power of caster by 134',100,2,3),
(79715,172689,'Cannot be modified except by direct means',100,2,4),
(79716,10172689,'When Equipped:',100,0,0),
(79717,10172689,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79718,10172689,'Decreases power of target by 116',100,2,2),
(79719,10172689,'Increases power of caster by 134',100,2,3),
(79720,10172689,'Cannot be modified except by direct means',100,2,4),
(79721,35077,'Increases STR of target by 1.6',100,0,0),
(79722,35077,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(79723,117717,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(79724,117717,'Adds 1.1% to base avoidance.',100,1,1),
(79725,10117717,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(79726,10117717,'Adds 1.1% to base avoidance.',100,1,1),
(79727,116904,'Wards target against 22 points of all damage',100,1,0),
(79728,116904,'Decreases INT of target by 28.0',100,1,1),
(79729,116904,'Decreases Attack Speed of target by 25.0',100,1,2),
(79730,116904,'Increases Max Health of target by 16.0%',100,1,3),
(79731,116904,'Increases Hate Gain of target by 21.2%',100,1,4),
(79732,116904,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,5),
(79733,10116904,'Wards target against 22 points of all damage',100,1,0),
(79734,10116904,'Decreases INT of target by 28.0',100,1,1),
(79735,10116904,'Decreases Attack Speed of target by 25.0',100,1,2),
(79736,10116904,'Increases Max Health of target by 16.0%',100,1,3),
(79737,10116904,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,4),
(79738,115345,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(79739,115345,'Slows target by 42.4%',100,2,1),
(79740,115345,'Makes target afraid',100,2,2),
(79741,115345,'30% chance to dispel when target takes damage',100,2,3),
(79742,115345,'Does not affect Epic targets',100,2,4),
(79743,115345,'Resistibility increases against targets higher than level 102.',100,2,5),
(79744,115345,'Roots target',100,1,6),
(79745,115345,'15% chance to dispel when target takes damage',100,1,7),
(79746,115345,'Does not affect Epic targets',100,1,8),
(79747,115345,'Resistibility increases against targets higher than level 102.',100,1,9),
(79748,10115345,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(79749,10115345,'Makes target afraid',100,2,1),
(79750,10115345,'Slows target by 42.4%',100,2,2),
(79751,10115345,'30% chance to dispel when target takes damage',100,2,3),
(79752,10115345,'Does not affect Epic targets',100,2,4),
(79753,10115345,'Resistibility increases against targets higher than level 102.',100,2,5),
(79754,10115345,'Roots target',100,1,6),
(79755,10115345,'15% chance to dispel when target takes damage',100,1,7),
(79756,10115345,'Does not affect Epic targets',100,1,8),
(79757,10115345,'Resistibility increases against targets higher than level 102.',100,1,9),
(79758,24413,'Adds Goatman (Troubador) to your Dungeon Maker toolbox',100,0,0),
(79759,10024413,'Adds Goatman (Troubador) to your Dungeon Maker toolbox',100,0,0),
(79760,46411,'Applies Absolution when Activated.  Lasts for 0.5 seconds.',100,0,0),
(79761,46411,'Repairs target''s equipment',100,1,1),
(79762,46411,'Removes experience debt when used.',100,1,2),
(79763,10046411,'Applies Absolution when Activated.  Lasts for 0.5 seconds.',100,0,0),
(79764,10046411,'Repairs target''s equipment',100,1,1),
(79765,10046411,'Removes experience debt when used.',100,1,2),
(79766,72097,'When Equipped:',100,0,0),
(79767,72097,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79768,72097,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(79769,72097,'Cannot be modified except by direct means',100,2,3),
(79770,10072097,'When Equipped:',100,0,0),
(79771,10072097,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79772,10072097,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(79773,10072097,'Cannot be modified except by direct means',100,2,3),
(79774,106199,'Wards target against 176 points of all damage',100,1,0),
(79775,106199,'Decreases INT of target by 192.5',100,1,1),
(79776,106199,'Decreases Attack Speed of target by 25.0',100,1,2),
(79777,106199,'Increases Max Health of target by 14.0%',100,1,3),
(79778,106199,'Increases Hate Gain of target by 46.0%',100,1,4),
(79779,106199,'Increases Aggression of target by 21.0',100,1,5),
(79780,106199,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(79781,106199,'Increases Threat to target encounter by 223 - 273 ',100,2,7),
(79782,106199,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1260',100,1,8),
(79783,10106199,'Wards target against 176 points of all damage',100,1,0),
(79784,10106199,'Decreases INT of target by 192.5',100,1,1),
(79785,10106199,'Decreases Attack Speed of target by 25.0',100,1,2),
(79786,10106199,'Increases Max Health of target by 14.0%',100,1,3),
(79787,10106199,'Increases Aggression of target by 21.0',100,1,4),
(79788,10106199,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1260',100,1,5),
(79789,147272,'When Equipped:',100,0,0),
(79790,147272,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(79791,147272,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(79792,147272,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(79793,147272,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(79794,147272,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(79795,147272,'Must not be engaged in pvp combat',100,2,6),
(79796,147272,'Cannot be modified except by direct means',100,2,7),
(79797,147272,'Must not be engaged in pvp combat',100,1,8),
(79798,10147272,'When Equipped:',100,0,0),
(79799,10147272,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(79800,10147272,'Inflicts 7086 - 7832 piercing damage on target encounter',100,2,2),
(79801,10147272,'Inflicts 886 - 979 piercing damage on target encounter every 2 seconds',100,2,3),
(79802,10147272,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(79803,10147272,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(79804,10147272,'Must not be engaged in pvp combat',100,2,6),
(79805,10147272,'Cannot be modified except by direct means',100,2,7),
(79806,10147272,'Must not be engaged in pvp combat',100,1,8),
(79807,105836,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(79808,105836,'Inflicts 218 - 364 disease damage on target',100,2,1),
(79809,10105836,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(79810,10105836,'Inflicts 284 - 474 disease damage on target',100,2,1),
(79811,119859,'Dazes target',100,1,0),
(79812,119859,'Does not affect Epic targets',100,1,1),
(79813,119859,'Resistibility increases against targets higher than level 115.',100,1,2),
(79814,10119859,'Dazes target',100,1,0),
(79815,10119859,'Does not affect Epic targets',100,1,1),
(79816,10119859,'Resistibility increases against targets higher than level 115.',100,1,2),
(79817,37217,'Increases WIS of target by 1.2',100,0,0),
(79818,37217,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(79819,80081,'When Equipped:',100,0,0),
(79820,80081,'On a combat hit this spell may cast Earthquake on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79821,80081,'Inflicts 93 - 114 crushing damage on target encounter',100,2,2),
(79822,80081,'Cannot be modified except by direct means',100,2,3),
(79823,10080081,'When Equipped:',100,0,0),
(79824,10080081,'On a combat hit this spell may cast Earthquake on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79825,10080081,'Inflicts 130 - 159 crushing damage on target encounter',100,2,2),
(79826,10080081,'Cannot be modified except by direct means',100,2,3),
(79827,118133,'Heals target for 1099 - 1343',100,1,0),
(79828,10118133,'Heals target for 1299 - 1587',100,1,0),
(79829,35340,'Increases STR of target by 1.6',100,0,0),
(79830,35340,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(79831,113524,'Inflicts 924 - 1540 melee damage on targets in area',100,1,0),
(79832,10113524,'Inflicts 1201 - 2002 melee damage on targets in area',100,1,0),
(79833,123049,'Summons a pet undead knight',100,1,0),
(79834,10123049,'Summons a pet undead knight',100,1,0),
(79835,119108,'Inflicts 226 - 680 melee damage on targets in area',100,1,0),
(79836,119108,'Inflicts 226 - 680 melee damage on targets in area',100,1,1),
(79837,119108,'Inflicts 226 - 680 melee damage on targets in area',100,1,2),
(79838,119108,'Inflicts 226 - 680 melee damage on targets in area',100,1,3),
(79839,10119108,'Inflicts 294 - 884 melee damage on targets in area',100,1,0),
(79840,10119108,'Inflicts 294 - 884 melee damage on targets in area',100,1,1),
(79841,10119108,'Inflicts 294 - 884 melee damage on targets in area',100,1,2),
(79842,10119108,'Inflicts 294 - 884 melee damage on targets in area',100,1,3),
(79843,107800,'Increases Threat to target encounter by 400 - 489 ',100,1,0),
(79844,10107800,'Prevents target encounter from changing targets',100,1,0),
(79845,10107800,'Forces target encounter to change their selected target to caster.',100,1,1),
(79846,46594,'Applies Grey Warg with Green Saddle when Activated.',100,0,0),
(79847,46594,'Summons a mount to ride',100,1,1),
(79848,46594,'Increases your ground speed by 130%',100,2,2),
(79849,10046594,'Applies Grey Warg with Green Saddle when Activated.',100,0,0),
(79850,10046594,'Summons a mount to ride',100,1,1),
(79851,10046594,'Increases your ground speed by 130%',100,2,2),
(79852,36161,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(79853,106940,'Inflicts 174 - 323 poison damage on target',100,1,0),
(79854,10106940,'Inflicts 243 - 452 poison damage on target',100,1,0),
(79855,82248,'When Equipped:',100,0,0),
(79856,82248,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79857,82248,'Inflicts 41 - 76 magic damage on target',100,2,2),
(79858,82248,'Cannot be modified except by direct means',100,2,3),
(79859,10082248,'When Equipped:',100,0,0),
(79860,10082248,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79861,10082248,'Inflicts 58 - 107 magic damage on target',100,2,2),
(79862,10082248,'Cannot be modified except by direct means',100,2,3),
(79863,47781,'Applies Aura of the Dwarf when Activated.',100,0,0),
(79864,47781,'Casts aura of the Dwarf on the user',100,1,1),
(79865,10047781,'Applies Aura of the Dwarf when Activated.',100,0,0),
(79866,10047781,'Casts aura of the Dwarf on the user',100,1,1),
(79867,80199,'When Equipped:',100,0,0),
(79868,80199,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79869,80199,'Inflicts 224 - 415 magic damage on target',100,2,2),
(79870,80199,'Decreases Threat to target by 801 ',100,2,3),
(79871,80199,'Must be flanking or behind',100,3,4),
(79872,80199,'Increases Threat to target by 801 ',100,2,5),
(79873,80199,'Must be in front of',100,3,6),
(79874,80199,'Cannot be modified except by direct means',100,2,7),
(79875,10080199,'When Equipped:',100,0,0),
(79876,10080199,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79877,10080199,'Inflicts 313 - 581 magic damage on target',100,2,2),
(79878,10080199,'Cannot be modified except by direct means',100,2,3),
(79879,71606,'When Equipped:',100,0,0),
(79880,71606,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79881,71606,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(79882,71606,'Cannot be modified except by direct means',100,2,3),
(79883,10071606,'When Equipped:',100,0,0),
(79884,10071606,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(79885,10071606,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(79886,10071606,'Cannot be modified except by direct means',100,2,3),
(79887,159113,'Applies Lambent Imbued when Equipped.',100,0,0),
(79888,159113,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(79889,159113,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(79890,159113,'Cannot be modified except by direct means',100,2,3),
(79891,10159113,'Applies Lambent Imbued when Equipped.',100,0,0),
(79892,10159113,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(79893,10159113,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(79894,10159113,'Cannot be modified except by direct means',100,2,3),
(79895,123461,'Shapechanges caster into a bear',100,1,0),
(79896,123461,'Increases WIS of caster by 104.7',100,1,1),
(79897,123461,'Grants See Stealth to caster',100,1,2),
(79898,123461,'Increases Max Health of caster by 459.2',100,1,3),
(79899,123461,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1596',100,1,4),
(79900,10123461,'Shapechanges caster into a bear',100,1,0),
(79901,10123461,'Increases WIS of caster by 104.7',100,1,1),
(79902,10123461,'Grants See Stealth to caster',100,1,2),
(79903,10123461,'Increases Max Health of caster by 459.2',100,1,3),
(79904,10123461,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1596',100,1,4),
(79905,177720,'When Equipped:',100,0,0),
(79906,177720,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(79907,177720,'Increases STA of caster by 3.6',100,2,2),
(79908,177720,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(79909,177720,'Cannot be modified except by direct means',100,2,4),
(79910,10177720,'When Equipped:',100,0,0),
(79911,10177720,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(79912,10177720,'Increases STA of caster by 3.6',100,2,2),
(79913,10177720,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(79914,10177720,'Cannot be modified except by direct means',100,2,4),
(79915,82562,'When Equipped:',100,0,0),
(79916,82562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79917,82562,'Inflicts 100 - 185 magic damage on target',100,2,2),
(79918,82562,'Cannot be modified except by direct means',100,2,3),
(79919,10082562,'When Equipped:',100,0,0),
(79920,10082562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79921,10082562,'Inflicts 140 - 260 magic damage on target',100,2,2),
(79922,10082562,'Cannot be modified except by direct means',100,2,3),
(79923,164571,'Applies Unstable Magics when Equipped.',100,0,0),
(79924,164571,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(79925,10164571,'Applies Unstable Magics when Equipped.',100,0,0),
(79926,10164571,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(79927,54416,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(79928,54416,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(79929,54416,'Inflicts 43 heat damage on target',100,2,2),
(79930,54416,'Cannot be modified except by direct means',100,2,3),
(79931,10054416,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(79932,10054416,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(79933,10054416,'Inflicts 60 heat damage on target',100,2,2),
(79934,10054416,'Cannot be modified except by direct means',100,2,3),
(79935,80171,'When Equipped:',100,0,0),
(79936,80171,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79937,80171,'Inflicts 224 - 415 magic damage on target',100,2,2),
(79938,80171,'Decreases Threat to target by 801 ',100,2,3),
(79939,80171,'Must be flanking or behind',100,3,4),
(79940,80171,'Increases Threat to target by 801 ',100,2,5),
(79941,80171,'Must be in front of',100,3,6),
(79942,80171,'Cannot be modified except by direct means',100,2,7),
(79943,10080171,'When Equipped:',100,0,0),
(79944,10080171,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(79945,10080171,'Inflicts 313 - 581 magic damage on target',100,2,2),
(79946,10080171,'Cannot be modified except by direct means',100,2,3),
(79947,112382,'Increases Crushing, Piercing, Slashing and Ranged of target by 28.8',100,1,0),
(79948,112382,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(79949,112382,'Inflicts 256 - 313 piercing damage on target',100,2,2),
(79950,112382,'Inflicts 128 - 156 piercing damage on target every 3 seconds',100,2,3),
(79951,10112382,'Increases Crushing, Piercing, Slashing and Ranged of target by 28.8',100,1,0),
(79952,10112382,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(79953,10112382,'Inflicts 358 - 438 piercing damage on target',100,2,2),
(79954,10112382,'Inflicts 179 - 219 piercing damage on target every 3 seconds',100,2,3),
(79955,83813,'When Equipped:',100,0,0),
(79956,83813,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79957,83813,'Inflicts 59 - 72 divine damage on target',100,2,2),
(79958,83813,'Cannot be modified except by direct means',100,2,3),
(79959,10083813,'When Equipped:',100,0,0),
(79960,10083813,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(79961,10083813,'Inflicts 82 - 100 divine damage on target',100,2,2),
(79962,10083813,'Cannot be modified except by direct means',100,2,3),
(79963,165318,'When Equipped:',100,0,0),
(79964,165318,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(79965,10165318,'When Equipped:',100,0,0),
(79966,10165318,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(79967,159322,'Applies Sanguine Imbued when Equipped.',100,0,0),
(79968,159322,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(79969,159322,'Inflicts 225 heat damage on target',100,2,2),
(79970,159322,'Cannot be modified except by direct means',100,2,3),
(79971,10159322,'Applies Sanguine Imbued when Equipped.',100,0,0),
(79972,10159322,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(79973,10159322,'Inflicts 314 heat damage on target',100,2,2),
(79974,10159322,'Cannot be modified except by direct means',100,2,3),
(79975,174990,'When Equipped:',100,0,0),
(79976,174990,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79977,174990,'Inflicts 1589 - 2383 poison damage on target',100,2,2),
(79978,174990,'Heals caster for 1058 - 1587',100,2,3),
(79979,174990,'Cannot be modified except by direct means',100,2,4),
(79980,174990,'Cannot be modified except by direct means',100,1,5),
(79981,10174990,'When Equipped:',100,0,0),
(79982,10174990,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(79983,10174990,'Inflicts 2224 - 3336 poison damage on target',100,2,2),
(79984,10174990,'Heals caster for 1238 - 1857',100,2,3),
(79985,10174990,'Cannot be modified except by direct means',100,2,4),
(79986,10174990,'Cannot be modified except by direct means',100,1,5),
(79987,108410,'Heals target for 656 - 802',100,1,0),
(79988,10108410,'Heals target for 784 - 959',100,1,0),
(79989,36747,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(79990,43221,'When Equipped:',100,0,0),
(79991,43221,'On a critical spell hit this spell may cast Vital Exposure on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(79992,43221,'Inflicts 14 - 16 disease damage on target instantly and every 2 seconds',100,2,2),
(79993,43221,'Inflicts an additional 1 - 1 disease damage on target every tick',100,2,3),
(79994,43221,'Decreases the target''s physical mitigation over time.',100,2,4),
(79995,43221,'Must not be engaged in pvp combat',100,2,5),
(79996,43221,'Cannot be modified except by direct means',100,2,6),
(79997,43221,'On a critical combat hit this spell may cast Vital Exposure on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(79998,43221,'Inflicts 14 - 16 disease damage on target instantly and every 2 seconds',100,2,8),
(79999,43221,'Inflicts an additional 1 - 1 disease damage on target every tick',100,2,9),
(80000,43221,'Decreases the target''s physical mitigation over time.',100,2,10),
(80001,43221,'Must not be engaged in pvp combat',100,2,11),
(80002,43221,'Cannot be modified except by direct means',100,2,12),
(80003,43221,'Must not be engaged in pvp combat',100,1,13),
(80004,10043221,'When Equipped:',100,0,0),
(80005,10043221,'On a critical spell hit this spell may cast Vital Exposure on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(80006,10043221,'Inflicts 20 - 22 disease damage on target instantly and every 2 seconds',100,2,2),
(80007,10043221,'Inflicts an additional 1 - 1 disease damage on target every tick',100,2,3),
(80008,10043221,'Decreases the target''s physical mitigation over time.',100,2,4),
(80009,10043221,'Must not be engaged in pvp combat',100,2,5),
(80010,10043221,'Cannot be modified except by direct means',100,2,6),
(80011,10043221,'On a critical combat hit this spell may cast Vital Exposure on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(80012,10043221,'Inflicts 20 - 22 disease damage on target instantly and every 2 seconds',100,2,8),
(80013,10043221,'Inflicts an additional 1 - 1 disease damage on target every tick',100,2,9),
(80014,10043221,'Decreases the target''s physical mitigation over time.',100,2,10),
(80015,10043221,'Must not be engaged in pvp combat',100,2,11),
(80016,10043221,'Cannot be modified except by direct means',100,2,12),
(80017,10043221,'Must not be engaged in pvp combat',100,1,13),
(80018,116081,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(80019,116081,'Heals target for 66 - 80',100,2,1),
(80020,116081,'Grants a total of 5 triggers of the spell.',100,2,2),
(80021,10116081,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(80022,10116081,'Heals target for 43 - 52',100,2,1),
(80023,10116081,'Grants a total of 5 triggers of the spell.',100,2,2),
(80024,100402,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(80025,100402,'Inflicts 5 - 9 slashing damage on target',100,2,1),
(80026,100402,'Increases Threat to target by 14 ',100,2,2),
(80027,100402,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(80028,100402,'Increases Threat to target by 14 ',100,2,4),
(80029,100402,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 62',100,1,5),
(80030,10100402,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(80031,10100402,'Inflicts 8 - 13 slashing damage on target',100,2,1),
(80032,10100402,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(80033,10100402,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 62',100,1,3),
(80034,144805,'When Equipped:',100,0,0),
(80035,144805,'Increases Attack Speed of caster by 40.0',100,1,1),
(80036,10144805,'When Equipped:',100,0,0),
(80037,10144805,'Increases Attack Speed of caster by 40.0',100,1,1),
(80038,87395,'When Equipped:',100,0,0),
(80039,87395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80040,87395,'Inflicts 167 - 250 magic damage on target',100,2,2),
(80041,87395,'Cannot be modified except by direct means',100,2,3),
(80042,10087395,'When Equipped:',100,0,0),
(80043,10087395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80044,10087395,'Inflicts 233 - 350 magic damage on target',100,2,2),
(80045,10087395,'Cannot be modified except by direct means',100,2,3),
(80046,137309,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(80047,137309,'Roots target',100,1,1),
(80048,137309,'If target is the Djinn Master',100,2,2),
(80049,137309,'Inflicts 1270 magic damage on target',100,1,3),
(80050,137309,'If target is djinn',100,2,4),
(80051,137309,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(80052,137309,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(80053,10137309,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(80054,10137309,'Roots target',100,1,1),
(80055,10137309,'If target is the Djinn Master',100,2,2),
(80056,10137309,'Inflicts 1777 magic damage on target',100,1,3),
(80057,10137309,'If target is djinn',100,2,4),
(80058,10137309,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(80059,10137309,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(80060,72169,'When Equipped:',100,0,0),
(80061,72169,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80062,72169,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(80063,72169,'Cannot be modified except by direct means',100,2,3),
(80064,10072169,'When Equipped:',100,0,0),
(80065,10072169,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80066,10072169,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(80067,10072169,'Cannot be modified except by direct means',100,2,3),
(80068,101588,'Inflicts 168 - 281 melee damage on targets in area',100,1,0),
(80069,10101588,'Inflicts 219 - 365 melee damage on targets in area',100,1,0),
(80070,117154,'Inflicts 3 poison damage on target instantly and every 4 seconds',100,1,0),
(80071,117154,'Decreases WIS of target by 8.4',100,1,1),
(80072,10117154,'Inflicts 4 poison damage on target instantly and every 4 seconds',100,1,0),
(80073,10117154,'Decreases WIS of target by 8.4',100,1,1),
(80074,118559,'Dazes caster',100,1,0),
(80075,118559,'Roots caster',100,1,1),
(80076,118559,'Increases Mitigation of caster vs physical damage by 1296',100,1,2),
(80077,10118559,'Dazes caster',100,1,0),
(80078,10118559,'Roots caster',100,1,1),
(80079,10118559,'Increases Mitigation of caster vs physical damage by 1296',100,1,2),
(80080,72247,'When Equipped:',100,0,0),
(80081,72247,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80082,72247,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(80083,72247,'Cannot be modified except by direct means',100,2,3),
(80084,10072247,'When Equipped:',100,0,0),
(80085,10072247,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80086,10072247,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(80087,10072247,'Cannot be modified except by direct means',100,2,3),
(80088,109311,'Increases STR of caster by 15.8',100,1,0),
(80089,109311,'Decreases Defense of caster by 1.8',100,1,1),
(80090,109311,'Increases Slashing, Piercing and Crushing of caster by 3.2',100,1,2),
(80091,10109311,'Increases STR of caster by 15.8',100,1,0),
(80092,10109311,'Decreases Defense of caster by 1.8',100,1,1),
(80093,10109311,'Increases Slashing, Piercing and Crushing of caster by 3.2',100,1,2),
(80094,114800,'Decreases WIS of target by 66.2',100,1,0),
(80095,114800,'Increases WIS and STA of caster by 66.2',100,1,1),
(80096,114800,'Decreases Max Health of target by 1.6%',100,1,2),
(80097,114800,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 212',100,1,3),
(80098,114800,'Only affects targets level 17 and above',100,1,4),
(80099,10114800,'Decreases WIS of target by 66.2',100,1,0),
(80100,10114800,'Increases WIS and STA of caster by 66.2',100,1,1),
(80101,10114800,'Decreases Max Health of target by 1.6%',100,1,2),
(80102,10114800,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 212',100,1,3),
(80103,10114800,'Only affects targets level 17 and above',100,1,4),
(80104,101157,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(80105,101157,'Inflicts 599 ranged damage on target',100,2,1),
(80106,101157,'Decreases Defense of caster by 21.8',100,1,2),
(80107,101157,'Increases Crushing, Piercing, Ranged and Slashing of caster by 52.3',100,1,3),
(80108,10101157,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(80109,10101157,'Inflicts 509 ranged damage on target',100,2,1),
(80110,10101157,'Decreases Defense of caster by 21.8',100,1,2),
(80111,10101157,'Increases Crushing, Piercing, Ranged and Slashing of caster by 52.3',100,1,3),
(80112,101346,'Reduces physical damage done to caster by 5%',100,1,0),
(80113,101346,'Adds 1.5% to base avoidance.',100,1,1),
(80114,101346,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(80115,101346,'Increases Aggression of caster by 1.4',100,1,3),
(80116,101346,'Increases Defense and Parry of caster by 2.2',100,1,4),
(80117,101346,'Increases Mitigation of caster vs noxious and arcane damage by 17',100,1,5),
(80118,101346,'Increases Mitigation of caster vs elemental damage by 169',100,1,6),
(80119,101346,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(80120,10101346,'Reduces physical damage done to caster by 5%',100,1,0),
(80121,10101346,'Adds 1.5% to base avoidance.',100,1,1),
(80122,10101346,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(80123,10101346,'Increases Aggression of caster by 1.4',100,1,3),
(80124,10101346,'Increases Defense and Parry of caster by 2.2',100,1,4),
(80125,10101346,'Increases Mitigation of caster vs noxious and arcane damage by 17',100,1,5),
(80126,10101346,'Increases Mitigation of caster vs elemental damage by 169',100,1,6),
(80127,10101346,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(80128,118984,'Heals target for 141 - 172',100,1,0),
(80129,10118984,'Heals target for 150 - 183',100,1,0),
(80130,41648,'When Equipped:',100,0,0),
(80131,41648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80132,41648,'Inflicts 182 - 339 magic damage on target',100,2,2),
(80133,41648,'Cannot be modified except by direct means',100,2,3),
(80134,10041648,'When Equipped:',100,0,0),
(80135,10041648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80136,10041648,'Inflicts 255 - 474 magic damage on target',100,2,2),
(80137,10041648,'Cannot be modified except by direct means',100,2,3),
(80138,84013,'Applies Lightning Shock when Activated.',100,0,0),
(80139,84013,'Inflicts 66 - 110 magic damage on target',100,1,1),
(80140,84013,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(80141,10084013,'Applies Lightning Shock when Activated.',100,0,0),
(80142,10084013,'Inflicts 93 - 155 magic damage on target',100,1,1),
(80143,10084013,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(80144,123823,'Inflicts 98 - 164 magic damage on target',100,1,0),
(80145,123823,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(80146,123823,'Decreases Defense of target by 25.3',100,1,2),
(80147,123823,'Target will lose 28% more power when power is consumed',100,1,3),
(80148,123823,'28% of target''s power consumed will also be drained from target''s health',100,1,4),
(80149,10123823,'Inflicts 138 - 230 magic damage on target',100,1,0),
(80150,10123823,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(80151,10123823,'Decreases Defense of target by 25.3',100,1,2),
(80152,10123823,'Target will lose 28% more power when power is consumed',100,1,3),
(80153,10123823,'28% of target''s power consumed will also be drained from target''s health',100,1,4),
(80154,26080,'When Equipped:',100,0,0),
(80155,26080,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(80156,26080,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(80157,10026080,'When Equipped:',100,0,0),
(80158,10026080,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(80159,10026080,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(80160,24397,'Adds Genie (Warlock) to your Dungeon Maker toolbox',100,0,0),
(80161,10024397,'Adds Genie (Warlock) to your Dungeon Maker toolbox',100,0,0),
(80162,123364,'Heals group members (AE) for 362 - 442',100,1,0),
(80163,10123364,'Heals group members (AE) for 440 - 538',100,1,0),
(80164,40244,'When Equipped:',100,0,0),
(80165,40244,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80166,40244,'Inflicts 1100 - 1650 mental damage on target',100,2,2),
(80167,40244,'Heals caster for 733 - 1099',100,2,3),
(80168,40244,'Cannot be modified except by direct means',100,2,4),
(80169,40244,'Cannot be modified except by direct means',100,1,5),
(80170,10040244,'When Equipped:',100,0,0),
(80171,10040244,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80172,10040244,'Inflicts 1540 - 2310 mental damage on target',100,2,2),
(80173,10040244,'Heals caster for 476 - 714',100,2,3),
(80174,10040244,'Cannot be modified except by direct means',100,2,4),
(80175,10040244,'Cannot be modified except by direct means',100,1,5),
(80176,25056,'When Equipped:',100,0,0),
(80177,25056,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(80178,25056,'On a critical healing spell cast this spell may cast Deathless Devotion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(80179,25056,'Wards target against 4500 points of all damage',100,2,3),
(80180,25056,'Replenishes 600 points of absorption every 2 seconds.',100,2,4),
(80181,25056,'Must not be engaged in pvp combat',100,2,5),
(80182,25056,'Cannot be modified except by direct means',100,2,6),
(80183,25056,'Must not be engaged in pvp combat',100,1,7),
(80184,10025056,'When Equipped:',100,0,0),
(80185,10025056,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(80186,10025056,'On a critical healing spell cast this spell may cast Deathless Devotion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(80187,10025056,'Wards target against 4500 points of all damage',100,2,3),
(80188,10025056,'Replenishes 600 points of absorption every 2 seconds.',100,2,4),
(80189,10025056,'Must not be engaged in pvp combat',100,2,5),
(80190,10025056,'Cannot be modified except by direct means',100,2,6),
(80191,10025056,'Must not be engaged in pvp combat',100,1,7),
(80192,182232,'When Equipped:',100,0,0),
(80193,182232,'Increases Attack Speed of caster by 45.0',100,1,1),
(80194,10182232,'When Equipped:',100,0,0),
(80195,10182232,'Increases Attack Speed of caster by 45.0',100,1,1),
(80196,81293,'When Equipped:',100,0,0),
(80197,81293,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80198,81293,'Inflicts 270 - 502 magic damage on target',100,2,2),
(80199,81293,'Cannot be modified except by direct means',100,2,3),
(80200,10081293,'When Equipped:',100,0,0),
(80201,10081293,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80202,10081293,'Inflicts 378 - 703 magic damage on target',100,2,2),
(80203,10081293,'Cannot be modified except by direct means',100,2,3),
(80204,25889,'When Equipped:',100,0,0),
(80205,25889,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(80206,25889,'Improves the max health given by Vehemence VI by 30%.',100,1,2),
(80207,10025889,'When Equipped:',100,0,0),
(80208,10025889,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(80209,10025889,'Improves the max health given by Vehemence VI by 30%.',100,1,2),
(80210,104779,'Inflicts 28 disease damage on target instantly and every 4 seconds',100,1,0),
(80211,104779,'Inflicts 28 disease damage on target instantly and every 4 seconds',100,1,1),
(80212,104779,'If target is nightblood',100,2,2),
(80213,104779,'Inflicts 28 disease damage on target instantly and every 4 seconds',100,1,3),
(80214,104779,'If target is shadowed folk',100,2,4),
(80215,10104779,'Inflicts 40 disease damage on target instantly and every 4 seconds',100,1,0),
(80216,10104779,'Inflicts 40 disease damage on target instantly and every 4 seconds',100,1,1),
(80217,10104779,'If target is nightblood',100,2,2),
(80218,10104779,'Inflicts 40 disease damage on target instantly and every 4 seconds',100,1,3),
(80219,10104779,'If target is shadowed folk',100,2,4),
(80220,36726,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(80221,118598,'Roots target',100,1,0),
(80222,118598,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(80223,118598,'Slows target by 47.8%',100,2,2),
(80224,118598,'5% chance to dispel when target receives hostile action',100,2,3),
(80225,118598,'5% chance to dispel when target takes damage',100,2,4),
(80226,118598,'5% chance to dispel when target takes damage',100,1,5),
(80227,118598,'Does not affect Epic targets',100,1,6),
(80228,118598,'Resistibility increases against targets higher than level 78.',100,1,7),
(80229,10118598,'Roots target',100,1,0),
(80230,10118598,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(80231,10118598,'Slows target by 47.8%',100,2,2),
(80232,10118598,'5% chance to dispel when target receives hostile action',100,2,3),
(80233,10118598,'5% chance to dispel when target takes damage',100,2,4),
(80234,10118598,'5% chance to dispel when target takes damage',100,1,5),
(80235,10118598,'Does not affect Epic targets',100,1,6),
(80236,10118598,'Resistibility increases against targets higher than level 78.',100,1,7),
(80237,117041,'Inflicts 48 - 80 melee damage on target',100,1,0),
(80238,117041,'Decreases Attack Speed of target by 13.8',100,1,1),
(80239,10117041,'Inflicts 63 - 105 melee damage on target',100,1,0),
(80240,10117041,'Decreases Attack Speed of target by 13.8',100,1,1),
(80241,173461,'When Equipped:',100,0,0),
(80242,173461,'Increases the caster''s heals and wards by 5%.',100,1,1),
(80243,173461,'Must not be engaged in pvp combat',100,1,2),
(80244,10173461,'When Equipped:',100,0,0),
(80245,10173461,'Increases the caster''s heals and wards by 5%.',100,1,1),
(80246,10173461,'Must not be engaged in pvp combat',100,1,2),
(80247,26069,'When Equipped:',100,0,0),
(80248,26069,'On any combat or spell hit this spell may cast Halcyon on the group.  Triggers about 2.2 times per minute. ',100,1,1),
(80249,26069,'Heals group members for 5842 - 6456',100,2,2),
(80250,26069,'Must not be engaged in pvp combat',100,2,3),
(80251,26069,'Cannot be modified except by direct means',100,2,4),
(80252,10026069,'When Equipped:',100,0,0),
(80253,10026069,'On any combat or spell hit this spell may cast Halcyon on the group.  Triggers about 2.2 times per minute. ',100,1,1),
(80254,10026069,'Heals group members for 6835 - 7554',100,2,2),
(80255,10026069,'Must not be engaged in pvp combat',100,2,3),
(80256,10026069,'Cannot be modified except by direct means',100,2,4),
(80257,114336,'Dispels 39 levels of noxious hostile effects on target',100,1,0),
(80258,114336,'Heals target for 13.5 - 16.5% of max health',100,1,1),
(80259,114336,'This effect cannot be critically applied.',100,2,2),
(80260,114336,'The healing of this spell cannot be modified except by direct means',100,1,3),
(80261,10114336,'Dispels 39 levels of noxious hostile effects on target',100,1,0),
(80262,10114336,'Heals target for 5.4 - 6.6% of max health',100,1,1),
(80263,10114336,'This effect cannot be critically applied.',100,2,2),
(80264,10114336,'The healing of this spell cannot be modified except by direct means',100,1,3),
(80265,105301,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(80266,105301,'Inflicts 212 - 354 mental damage on target',100,2,1),
(80267,105301,'Increases AGI of caster by 162.6',100,1,2),
(80268,105301,'Adds 18.7% to base avoidance.',100,1,3),
(80269,105301,'Increases Mitigation of caster vs physical damage by 580',100,1,4),
(80270,105301,'Increases Mitigation of caster vs elemental and arcane damage by 1292',100,1,5),
(80271,105301,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(80272,105301,'Inflicts 212 - 354 mental damage on target',100,2,7),
(80273,105301,'Increases Mitigation of caster vs noxious damage by 1292',100,1,8),
(80274,10105301,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(80275,10105301,'Inflicts 297 - 495 mental damage on target',100,2,1),
(80276,10105301,'Increases AGI of caster by 162.6',100,1,2),
(80277,10105301,'Adds 18.7% to base avoidance.',100,1,3),
(80278,10105301,'Increases Mitigation of caster vs physical damage by 580',100,1,4),
(80279,10105301,'Increases Mitigation of caster vs elemental and arcane damage by 1292',100,1,5),
(80280,10105301,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(80281,10105301,'Inflicts 297 - 495 mental damage on target',100,2,7),
(80282,10105301,'Increases Mitigation of caster vs noxious damage by 1292',100,1,8),
(80283,115826,'Inflicts 52 disease damage on target every 3 seconds',100,1,0),
(80284,115826,'Inflicts 196 - 327 melee damage on target',100,1,1),
(80285,115826,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(80286,115826,'Heals caster for 1.9% of max health instantly and every 3 seconds',100,2,3),
(80287,115826,'This effect cannot be critically applied.',100,3,4),
(80288,115826,'The healing of this spell cannot be modified except by direct means',100,2,5),
(80289,115826,'The healing of this spell cannot be modified except by direct means',100,1,6),
(80290,10115826,'Inflicts 73 disease damage on target every 3 seconds',100,1,0),
(80291,10115826,'Inflicts 255 - 425 melee damage on target',100,1,1),
(80292,10115826,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(80293,10115826,'Heals caster for 0.6% of max health instantly and every 3 seconds',100,2,3),
(80294,10115826,'This effect cannot be critically applied.',100,3,4),
(80295,10115826,'The healing of this spell cannot be modified except by direct means',100,2,5),
(80296,10115826,'The healing of this spell cannot be modified except by direct means',100,1,6),
(80297,106751,'Decreases Defense of target by 3.6',100,1,0),
(80298,106751,'If facing target',100,1,1),
(80299,10106751,'Decreases Defense of target by 3.6',100,1,0),
(80300,10106751,'If facing target',100,1,1),
(80301,50487,'When Equipped:',100,0,0),
(80302,50487,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80303,50487,'Inflicts 562 mental damage on target',100,2,2),
(80304,50487,'Must be classified as an undead',100,3,3),
(80305,50487,'Inflicts 281 mental damage on target',100,2,4),
(80306,50487,'Must not be classified as an undead',100,3,5),
(80307,50487,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(80308,50487,'Must be classified as an undead',100,3,7),
(80309,50487,'Cannot be modified except by direct means',100,2,8),
(80310,50487,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(80311,10050487,'When Equipped:',100,0,0),
(80312,10050487,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80313,10050487,'Inflicts 787 mental damage on target',100,2,2),
(80314,10050487,'Must be classified as an undead',100,3,3),
(80315,10050487,'Inflicts 393 mental damage on target',100,2,4),
(80316,10050487,'Must not be classified as an undead',100,3,5),
(80317,10050487,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(80318,10050487,'Must be classified as an undead',100,3,7),
(80319,10050487,'Cannot be modified except by direct means',100,2,8),
(80320,10050487,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(80321,48579,'When Equipped:',100,0,0),
(80322,48579,'Sets the amount of status contributed to the guild to 11%',100,1,1),
(80323,10048579,'When Equipped:',100,0,0),
(80324,10048579,'Sets the amount of status contributed to the guild to 11%',100,1,1),
(80325,118202,'Increases Damage Per Second of group members (AE) by 20.7',100,1,0),
(80326,10118202,'Increases Damage Per Second of group members (AE) by 20.7',100,1,0),
(80327,52856,'Applies Sanguine Imbued when Equipped.',100,0,0),
(80328,52856,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(80329,52856,'Inflicts 29 heat damage on target',100,2,2),
(80330,52856,'Cannot be modified except by direct means',100,2,3),
(80331,10052856,'Applies Sanguine Imbued when Equipped.',100,0,0),
(80332,10052856,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(80333,10052856,'Inflicts 41 heat damage on target',100,2,2),
(80334,10052856,'Cannot be modified except by direct means',100,2,3),
(80335,25594,'When Equipped:',100,0,0),
(80336,25594,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(80337,25594,'Increases the amount of triggers of Malevolent Diatribe VII by 3.',100,1,2),
(80338,10025594,'When Equipped:',100,0,0),
(80339,10025594,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(80340,10025594,'Increases the amount of triggers of Malevolent Diatribe VII by 3.',100,1,2),
(80341,49156,'Applies essence of health when Activated.',100,0,0),
(80342,49156,'Heals caster for 284',100,1,1),
(80343,10049156,'Applies essence of health when Activated.',100,0,0),
(80344,10049156,'Heals caster for 184',100,1,1),
(80345,140799,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(80346,140799,'Decreases AGI, INT, STR and WIS of target by 29.9',100,1,1),
(80347,140799,'Decreases Max Health of target by 1.0%',100,1,2),
(80348,140799,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(80349,10140799,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(80350,10140799,'Decreases AGI, INT, STR and WIS of target by 29.9',100,1,1),
(80351,10140799,'Decreases Max Health of target by 1.0%',100,1,2),
(80352,10140799,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(80353,173345,'When Equipped:',100,0,0),
(80354,173345,'On a spell cast this spell may cast Mana Breeze on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(80355,173345,'Increases power of group members by 493',100,2,2),
(80356,173345,'Cannot be modified except by direct means',100,2,3),
(80357,10173345,'When Equipped:',100,0,0),
(80358,10173345,'On a spell cast this spell may cast Mana Breeze on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(80359,10173345,'Increases power of group members by 493',100,2,2),
(80360,10173345,'Cannot be modified except by direct means',100,2,3),
(80361,106367,'Decreases Mitigation of target vs arcane damage by 2080',100,1,0),
(80362,106367,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(80363,106367,'Slows target by 68.8%',100,2,2),
(80364,106367,'5% chance to dispel when target receives hostile action',100,2,3),
(80365,106367,'5% chance to dispel when target takes damage',100,2,4),
(80366,10106367,'Decreases Mitigation of target vs arcane damage by 2080',100,1,0),
(80367,10106367,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(80368,10106367,'Slows target by 68.8%',100,2,2),
(80369,10106367,'5% chance to dispel when target receives hostile action',100,2,3),
(80370,10106367,'5% chance to dispel when target takes damage',100,2,4),
(80371,36581,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(80372,177700,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(80373,177700,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(80374,177700,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(80375,177700,'Cannot be modified except by direct means',100,2,3),
(80376,10177700,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(80377,10177700,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(80378,10177700,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(80379,10177700,'Cannot be modified except by direct means',100,2,3),
(80380,27067,'When Equipped:',100,0,0),
(80381,27067,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(80382,27067,'Inflicts 108 magic damage on target',100,2,2),
(80383,27067,'Cannot be modified except by direct means',100,2,3),
(80384,10027067,'When Equipped:',100,0,0),
(80385,10027067,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(80386,10027067,'Inflicts 151 magic damage on target',100,2,2),
(80387,10027067,'Cannot be modified except by direct means',100,2,3),
(80388,109502,'Inflicts 46 - 56 disease damage on target instantly and every 4 seconds',100,1,0),
(80389,109502,'Decreases Attack Speed of target by 5.8',100,1,1),
(80390,10109502,'Inflicts 65 - 79 disease damage on target instantly and every 4 seconds',100,1,0),
(80391,10109502,'Decreases Attack Speed of target by 5.8',100,1,1),
(80392,100484,'Increases Attack Speed of group members (AE) by 8.7',100,1,0),
(80393,10100484,'Increases Attack Speed of group members (AE) by 8.7',100,1,0),
(80394,187145,'When Equipped:',100,0,0),
(80395,187145,'Increases Out-of-Combat Health Regeneration of caster by 20.3',100,1,1),
(80396,187145,'This effect suspends during combat',100,1,2),
(80397,10187145,'When Equipped:',100,0,0),
(80398,10187145,'Increases Out-of-Combat Health Regeneration of caster by 20.3',100,1,1),
(80399,10187145,'This effect suspends during combat',100,1,2),
(80400,122218,'Increases Damage Per Second of target by 18.5',100,1,0),
(80401,122218,'Increases Max Health of target by 485.1',100,1,1),
(80402,10122218,'Increases Damage Per Second of target by 18.5',100,1,0),
(80403,10122218,'Increases Max Health of target by 485.1',100,1,1),
(80404,110458,'Dazes targets in Area of Effect',100,1,0),
(80405,110458,'If Target is not Epic',100,2,1),
(80406,110458,'Decreases Threat to targets in Area of Effect by 2,645 ',100,1,2),
(80407,110458,'Dispelled when target receives hostile action',100,1,3),
(80408,110458,'Dispelled when target takes damage',100,1,4),
(80409,10110458,'Dazes targets in Area of Effect',100,1,0),
(80410,10110458,'If Target is not Epic',100,2,1),
(80411,10110458,'Applies Distract.',100,1,2),
(80412,10110458,'Forces target to clear their selected target.',100,2,3),
(80413,10110458,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(80414,10110458,'Dispelled when target receives hostile action',100,1,5),
(80415,10110458,'Dispelled when target takes damage',100,1,6),
(80416,119070,'Decreases power of target by 334 - 557',100,1,0),
(80417,119070,'Increases power of caster by 165 - 275',100,1,1),
(80418,119070,'Inflicts 356 - 594 mental damage on target',100,1,2),
(80419,10119070,'Decreases power of target by 334 - 557',100,1,0),
(80420,10119070,'Increases power of caster by 165 - 275',100,1,1),
(80421,10119070,'Inflicts 463 - 772 mental damage on target',100,1,2),
(80422,71355,'When Equipped:',100,0,0),
(80423,71355,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80424,71355,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(80425,71355,'Cannot be modified except by direct means',100,2,3),
(80426,10071355,'When Equipped:',100,0,0),
(80427,10071355,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80428,10071355,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(80429,10071355,'Cannot be modified except by direct means',100,2,3),
(80430,80301,'When Equipped:',100,0,0),
(80431,80301,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80432,80301,'Inflicts 64 - 119 magic damage on target',100,2,2),
(80433,80301,'Cannot be modified except by direct means',100,2,3),
(80434,10080301,'When Equipped:',100,0,0),
(80435,10080301,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80436,10080301,'Inflicts 90 - 167 magic damage on target',100,2,2),
(80437,10080301,'Cannot be modified except by direct means',100,2,3),
(80438,103911,'Wards group members (AE) collectively against 394 total points of all damage',100,1,0),
(80439,10103911,'Wards group members (AE) collectively against 588 total points of all damage',100,1,0),
(80440,46678,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(80441,46678,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(80442,46678,'Inflicts 246 poison damage on target',100,2,2),
(80443,46678,'Inflicts 40 poison damage on target instantly and every 6 seconds',100,2,3),
(80444,46678,'Cannot be modified except by direct means',100,2,4),
(80445,46678,'Grants a total of 200 triggers of the spell.',100,2,5),
(80446,10046678,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(80447,10046678,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(80448,10046678,'Inflicts 42 poison damage on target instantly and every 6 seconds',100,2,2),
(80449,10046678,'Inflicts 258 poison damage on target',100,2,3),
(80450,10046678,'Cannot be modified except by direct means',100,2,4),
(80451,10046678,'Grants a total of 200 triggers of the spell.',100,2,5),
(80452,112094,'Inflicts 68 - 113 heat damage on target instantly and every 2 seconds',100,1,0),
(80453,10112094,'Inflicts 234 - 390 heat damage on target instantly and every 2 seconds',100,1,0),
(80454,124654,'Inflicts 861 - 1052 cold damage on target encounter',100,1,0),
(80455,124654,'Decreases Piercing, Slashing and Crushing of target encounter by 21.6',100,1,1),
(80456,10124654,'Inflicts 1205 - 1473 cold damage on target encounter',100,1,0),
(80457,10124654,'Decreases Piercing, Slashing and Crushing of target encounter by 21.6',100,1,1),
(80458,182401,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(80459,182401,'Shapechanges caster into a dwarf',100,1,1),
(80460,182401,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,2),
(80461,182401,'Inflicts 280 magic damage on target',100,2,3),
(80462,182401,'Heals caster for 104',100,2,4),
(80463,182401,'Cannot be modified except by direct means',100,2,5),
(80464,182401,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(80465,10182401,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(80466,10182401,'Shapechanges caster into a dwarf',100,1,1),
(80467,10182401,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,2),
(80468,10182401,'Inflicts 196 magic damage on target',100,2,3),
(80469,10182401,'Heals caster for 34',100,2,4),
(80470,10182401,'Cannot be modified except by direct means',100,2,5),
(80471,10182401,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(80472,101863,'Stuns target',100,1,0),
(80473,101863,'Does not affect Epic targets',100,1,1),
(80474,101863,'Resistibility increases against targets higher than level 96.',100,1,2),
(80475,10101863,'Stuns target',100,1,0),
(80476,10101863,'Does not affect Epic targets',100,1,1),
(80477,10101863,'Resistibility increases against targets higher than level 96.',100,1,2),
(80478,116154,'When damaged this spell has a 12% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',100,1,0),
(80479,116154,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(80480,10116154,'When damaged this spell has a 12% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',100,1,0),
(80481,10116154,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(80482,74559,'When Equipped:',100,0,0),
(80483,74559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80484,74559,'Inflicts 179 - 268 magic damage on target',100,2,2),
(80485,74559,'Cannot be modified except by direct means',100,2,3),
(80486,10074559,'When Equipped:',100,0,0),
(80487,10074559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80488,10074559,'Inflicts 250 - 376 magic damage on target',100,2,2),
(80489,10074559,'Cannot be modified except by direct means',100,2,3),
(80490,118899,'Inflicts 279 - 465 melee damage on target',100,1,0),
(80491,118899,'Inflicts 279 - 465 melee damage on target',100,1,1),
(80492,118899,'Inflicts 279 - 465 melee damage on target',100,1,2),
(80493,118899,'Inflicts 279 - 465 melee damage on target',100,1,3),
(80494,118899,'Inflicts 279 - 465 melee damage on target',100,1,4),
(80495,10118899,'Inflicts 362 - 604 melee damage on target',100,1,0),
(80496,10118899,'Inflicts 362 - 604 melee damage on target',100,1,1),
(80497,10118899,'Inflicts 362 - 604 melee damage on target',100,1,2),
(80498,10118899,'Inflicts 362 - 604 melee damage on target',100,1,3),
(80499,10118899,'Inflicts 362 - 604 melee damage on target',100,1,4),
(80500,36683,'Increases STA and STR of target by 4.6',100,0,0),
(80501,36683,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(80502,36683,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(80503,47514,'Applies Petamorph: Talking Cabbage when Activated.  Lasts for 2 hours.',100,0,0),
(80504,47514,'Turns the caster''s combat pet into a talking cabbage. Does not work on cosmetic pets.',100,1,1),
(80505,10047514,'Applies Petamorph: Talking Cabbage when Activated.  Lasts for 2 hours.',100,0,0),
(80506,10047514,'Turns the caster''s combat pet into a talking cabbage. Does not work on cosmetic pets.',100,1,1),
(80507,80477,'When Equipped:',100,0,0),
(80508,80477,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(80509,80477,'Decreases Threat to target by 153 ',100,2,2),
(80510,80477,'Must be flanking or behind',100,3,3),
(80511,80477,'Increases Threat to target by 153 ',100,2,4),
(80512,80477,'Must be in front of',100,3,5),
(80513,80477,'Inflicts 61 - 113 magic damage on target',100,2,6),
(80514,80477,'Cannot be modified except by direct means',100,2,7),
(80515,10080477,'When Equipped:',100,0,0),
(80516,10080477,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(80517,10080477,'Inflicts 85 - 158 magic damage on target',100,2,2),
(80518,10080477,'Cannot be modified except by direct means',100,2,3),
(80519,46077,'Applies Elixir of Ice Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(80520,46077,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(80521,10046077,'Applies Elixir of Ice Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(80522,10046077,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(80523,118228,'Inflicts 2947 - 4911 magic damage on targets in Area of Effect',100,1,0),
(80524,118228,'Throws target back',100,1,1),
(80525,118228,'If Target is not Epic',100,2,2),
(80526,118228,'Stuns targets in Area of Effect',100,1,3),
(80527,118228,'If Target is not Epic',100,2,4),
(80528,118228,'Resistibility increases against targets higher than level 107.',100,1,5),
(80529,10118228,'Inflicts 4125 - 6876 magic damage on targets in Area of Effect',100,1,0),
(80530,10118228,'Throws target back',100,1,1),
(80531,10118228,'If Target is not Epic',100,2,2),
(80532,10118228,'Stuns targets in Area of Effect',100,1,3),
(80533,10118228,'If Target is not Epic',100,2,4),
(80534,10118228,'Resistibility increases against targets higher than level 107.',100,1,5),
(80535,121893,'Decreases power of target by 46 - 77',100,1,0),
(80536,121893,'Inflicts 122 - 204 melee damage on target',100,1,1),
(80537,121893,'Must be flanking or behind',100,1,2),
(80538,10121893,'Decreases power of target by 46 - 77',100,1,0),
(80539,10121893,'Inflicts 159 - 266 melee damage on target',100,1,1),
(80540,10121893,'Must be flanking or behind',100,1,2),
(80541,88890,'When Equipped:',100,0,0),
(80542,88890,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80543,88890,'Increases Attack Speed of caster by 20.0',100,2,2),
(80544,88890,'Cannot be modified except by direct means',100,2,3),
(80545,10088890,'When Equipped:',100,0,0),
(80546,10088890,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80547,10088890,'Increases Attack Speed of caster by 20.0',100,2,2),
(80548,10088890,'Cannot be modified except by direct means',100,2,3),
(80549,112127,'Dispels 44 levels of physical and arcane hostile effects on caster',100,1,0),
(80550,10112127,'Dispels 44 levels of physical and arcane hostile effects on caster',100,1,0),
(80551,105314,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(80552,105314,'Inflicts 284 - 473 mental damage on target',100,2,1),
(80553,105314,'Increases AGI of caster by 208.7',100,1,2),
(80554,105314,'Adds 17.2% to base avoidance.',100,1,3),
(80555,105314,'Increases Mitigation of caster vs physical damage by 685',100,1,4),
(80556,105314,'Increases Mitigation of caster vs elemental and arcane damage by 1527',100,1,5),
(80557,105314,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(80558,105314,'Inflicts 284 - 473 mental damage on target',100,2,7),
(80559,105314,'Increases Mitigation of caster vs noxious damage by 1527',100,1,8),
(80560,10105314,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(80561,10105314,'Inflicts 398 - 663 mental damage on target',100,2,1),
(80562,10105314,'Increases AGI of caster by 208.7',100,1,2),
(80563,10105314,'Adds 17.2% to base avoidance.',100,1,3),
(80564,10105314,'Increases Mitigation of caster vs physical damage by 685',100,1,4),
(80565,10105314,'Increases Mitigation of caster vs elemental and arcane damage by 1527',100,1,5),
(80566,10105314,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(80567,10105314,'Inflicts 398 - 663 mental damage on target',100,2,7),
(80568,10105314,'Increases Mitigation of caster vs noxious damage by 1527',100,1,8),
(80569,110415,'Inflicts 3266 - 5444 disease damage on target',100,1,0),
(80570,10110415,'Inflicts 3136 - 5226 disease damage on target',100,1,0),
(80571,75031,'Applies Mental Blast when Activated.',100,0,0),
(80572,75031,'Inflicts 313 - 522 mental damage on target',100,1,1),
(80573,75031,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(80574,10075031,'Applies Mental Blast when Activated.',100,0,0),
(80575,10075031,'Inflicts 438 - 730 mental damage on target',100,1,1),
(80576,10075031,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(80577,110959,'Inflicts 615 - 1025 ranged damage on target',100,1,0),
(80578,110959,'I need to be stealthed!',100,1,1),
(80579,110959,'Requires bow',100,1,2),
(80580,10110959,'Inflicts 392 - 653 ranged damage on target',100,1,0),
(80581,10110959,'I need to be stealthed!',100,1,1),
(80582,10110959,'Requires bow',100,1,2),
(80583,154124,'When Equipped:',100,0,0),
(80584,154124,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(80585,154124,'Stuns target',100,2,2),
(80586,154124,'Only affects targets level 125 and below',100,2,3),
(80587,154124,'Does not affect Epic targets',100,2,4),
(80588,154124,'Resistibility increases against targets higher than level 111.',100,2,5),
(80589,154124,'Cannot be modified except by direct means',100,2,6),
(80590,10154124,'When Equipped:',100,0,0),
(80591,10154124,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(80592,10154124,'Stuns target',100,2,2),
(80593,10154124,'Only affects targets level 125 and below',100,2,3),
(80594,10154124,'Does not affect Epic targets',100,2,4),
(80595,10154124,'Resistibility increases against targets higher than level 111.',100,2,5),
(80596,10154124,'Cannot be modified except by direct means',100,2,6),
(80597,121902,'Inflicts 68 - 113 mental damage on target encounter',100,1,0),
(80598,121902,'Increases power of group members (AE) by 42 - 70',100,1,1),
(80599,10121902,'Inflicts 95 - 158 mental damage on target encounter',100,1,0),
(80600,10121902,'Increases power of group members (AE) by 42 - 70',100,1,1),
(80601,52868,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(80602,52868,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(80603,52868,'Inflicts 82 heat damage on target',100,2,2),
(80604,52868,'Cannot be modified except by direct means',100,2,3),
(80605,10052868,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(80606,10052868,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(80607,10052868,'Inflicts 115 heat damage on target',100,2,2),
(80608,10052868,'Cannot be modified except by direct means',100,2,3),
(80609,108760,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(80610,108760,'Inflicts 15 - 19 heat damage on target instantly and every 4 seconds',100,2,1),
(80611,108760,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(80612,108760,'Inflicts 69 - 84 heat damage on target encounter',100,3,3),
(80613,108760,'Grants a total of 1 trigger of the spell.',100,3,4),
(80614,10108760,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(80615,10108760,'Inflicts 22 - 26 heat damage on target instantly and every 4 seconds',100,2,1),
(80616,10108760,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(80617,10108760,'Inflicts 96 - 117 heat damage on target encounter',100,3,3),
(80618,10108760,'Grants a total of 1 trigger of the spell.',100,3,4),
(80619,121590,'Stuns target encounter',100,1,0),
(80620,121590,'Epic targets gain an immunity to Stun effects of 16.9 seconds and duration is reduced to 1.9 seconds.',100,1,1),
(80621,121590,'Resistibility increases against targets higher than level 73.',100,1,2),
(80622,10121590,'Stuns target encounter',100,1,0),
(80623,10121590,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(80624,10121590,'Resistibility increases against targets higher than level 73.',100,1,2),
(80625,105024,'Increases WIS of raid and group members (AE) by 30.7',100,1,0),
(80626,105024,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(80627,105024,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 113',100,1,2),
(80628,10105024,'Increases WIS of raid and group members (AE) by 30.7',100,1,0),
(80629,10105024,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(80630,10105024,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 113',100,1,2),
(80631,82226,'When Equipped:',100,0,0),
(80632,82226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80633,82226,'Inflicts 37 - 69 magic damage on target',100,2,2),
(80634,82226,'Cannot be modified except by direct means',100,2,3),
(80635,10082226,'When Equipped:',100,0,0),
(80636,10082226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80637,10082226,'Inflicts 52 - 96 magic damage on target',100,2,2),
(80638,10082226,'Cannot be modified except by direct means',100,2,3),
(80639,111060,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(80640,111060,'Slows target by 34.6%',100,2,1),
(80641,111060,'5% chance to dispel when target receives hostile action',100,2,2),
(80642,111060,'5% chance to dispel when target takes damage',100,2,3),
(80643,111060,'Decreases Mitigation of target vs elemental damage by 460',100,1,4),
(80644,10111060,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(80645,10111060,'Slows target by 34.6%',100,2,1),
(80646,10111060,'5% chance to dispel when target receives hostile action',100,2,2),
(80647,10111060,'5% chance to dispel when target takes damage',100,2,3),
(80648,10111060,'Decreases Mitigation of target vs elemental damage by 460',100,1,4),
(80649,103670,'Interrupts target',100,1,0),
(80650,103670,'Inflicts 230 - 383 melee damage on target',100,1,1),
(80651,103670,'Must be flanking or behind',100,1,2),
(80652,10103670,'Interrupts target',100,1,0),
(80653,10103670,'Inflicts 299 - 498 melee damage on target',100,1,1),
(80654,10103670,'Must be flanking or behind',100,1,2),
(80655,108467,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(80656,108467,'Increases Aggression of caster by 6.6',100,1,1),
(80657,108467,'Increases Defense and Parry of caster by 13.1',100,1,2),
(80658,108467,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(80659,10108467,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(80660,10108467,'Increases Aggression of caster by 6.6',100,1,1),
(80661,10108467,'Increases Defense and Parry of caster by 13.1',100,1,2),
(80662,10108467,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(80663,42795,'When Equipped:',100,0,0),
(80664,42795,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80665,42795,'Increases Attack Speed of caster by 20.0',100,2,2),
(80666,42795,'Cannot be modified except by direct means',100,2,3),
(80667,10042795,'When Equipped:',100,0,0),
(80668,10042795,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80669,10042795,'Increases Attack Speed of caster by 20.0',100,2,2),
(80670,10042795,'Cannot be modified except by direct means',100,2,3),
(80671,103468,'Increases In-Combat Power Regeneration of group members (AE) by 6.8',100,1,0),
(80672,10103468,'Increases In-Combat Power Regeneration of group members (AE) by 6.8',100,1,0),
(80673,117623,'Inflicts 786 - 1310 ranged damage on target',100,1,0),
(80674,117623,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(80675,117623,'Slows target by 49.7%',100,2,2),
(80676,117623,'5% chance to dispel when target receives hostile action',100,2,3),
(80677,117623,'5% chance to dispel when target takes damage',100,2,4),
(80678,117623,'Must be flanking or behind',100,1,5),
(80679,117623,'Requires bow',100,1,6),
(80680,10117623,'Inflicts 668 - 1113 ranged damage on target',100,1,0),
(80681,10117623,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(80682,10117623,'Slows target by 49.7%',100,2,2),
(80683,10117623,'5% chance to dispel when target receives hostile action',100,2,3),
(80684,10117623,'5% chance to dispel when target takes damage',100,2,4),
(80685,10117623,'Must be flanking or behind',100,1,5),
(80686,10117623,'Requires bow',100,1,6),
(80687,107333,'Decreases WIS of target by 100.1',100,1,0),
(80688,107333,'Decreases Defense of target by 37.8',100,1,1),
(80689,10107333,'Decreases WIS of target by 100.1',100,1,0),
(80690,10107333,'Decreases Defense of target by 37.8',100,1,1),
(80691,87181,'When Equipped:',100,0,0),
(80692,87181,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80693,87181,'Inflicts 53 - 79 magic damage on target',100,2,2),
(80694,87181,'Cannot be modified except by direct means',100,2,3),
(80695,10087181,'When Equipped:',100,0,0),
(80696,10087181,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(80697,10087181,'Inflicts 74 - 111 magic damage on target',100,2,2),
(80698,10087181,'Cannot be modified except by direct means',100,2,3),
(80699,105758,'Decreases power of target by 130 - 159',100,1,0),
(80700,105758,'Stuns target',100,1,1),
(80701,105758,'If Target is not Epic',100,2,2),
(80702,105758,'Resistibility increases against targets higher than level 42.',100,1,3),
(80703,10105758,'Decreases power of target by 130 - 159',100,1,0),
(80704,10105758,'Stuns target',100,1,1),
(80705,10105758,'If Target is not Epic',100,2,2),
(80706,10105758,'Resistibility increases against targets higher than level 42.',100,1,3),
(80707,152662,'When Equipped:',100,0,0),
(80708,152662,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(80709,10152662,'When Equipped:',100,0,0),
(80710,10152662,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(80711,108744,'Summons a pet fiery magician',100,1,0),
(80712,10108744,'Summons a pet fiery magician',100,1,0),
(80713,113909,'Inflicts 409 - 681 disease damage on target',100,1,0),
(80714,113909,'Inflicts 102 - 170 disease damage on target every 4 seconds',100,1,1),
(80715,113909,'Increases power of caster by 168 - 280',100,1,2),
(80716,113909,'Increases power of caster by 36 - 61 every 4 seconds',100,1,3),
(80717,10113909,'Inflicts 572 - 954 disease damage on target',100,1,0),
(80718,10113909,'Inflicts 143 - 238 disease damage on target every 4 seconds',100,1,1),
(80719,10113909,'Increases power of caster by 168 - 280',100,1,2),
(80720,10113909,'Increases power of caster by 36 - 61 every 4 seconds',100,1,3),
(80721,190838,'When Equipped:',100,0,0),
(80722,190838,'Increases divine damage done by spells by up to 50.',100,1,1),
(80723,10190838,'When Equipped:',100,0,0),
(80724,10190838,'Increases divine damage done by spells by up to 50.',100,1,1),
(80725,89794,'When Equipped:',100,0,0),
(80726,89794,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(80727,89794,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(80728,89794,'Must not be engaged in pvp combat',100,2,3),
(80729,89794,'Cannot be modified except by direct means',100,2,4),
(80730,89794,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(80731,89794,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(80732,89794,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(80733,89794,'Must not be engaged in pvp combat',100,2,8),
(80734,89794,'Cannot be modified except by direct means',100,2,9),
(80735,89794,'Cannot be modified except by direct means',100,1,10),
(80736,10089794,'When Equipped:',100,0,0),
(80737,10089794,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(80738,10089794,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(80739,10089794,'Must not be engaged in pvp combat',100,2,3),
(80740,10089794,'Cannot be modified except by direct means',100,2,4),
(80741,10089794,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(80742,10089794,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(80743,10089794,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(80744,10089794,'Must not be engaged in pvp combat',100,2,8),
(80745,10089794,'Cannot be modified except by direct means',100,2,9),
(80746,10089794,'Cannot be modified except by direct means',100,1,10),
(80747,119265,'Inflicts 42 - 71 slashing damage on target',100,1,0),
(80748,119265,'Decreases Damage Per Second of target by 11.0',100,1,1),
(80749,119265,'Inflicts 57 slashing damage on target instantly and every 4 seconds',100,1,2),
(80750,10119265,'Inflicts 55 - 92 slashing damage on target',100,1,0),
(80751,10119265,'Decreases Damage Per Second of target by 11.0',100,1,1),
(80752,10119265,'Inflicts 80 slashing damage on target instantly and every 4 seconds',100,1,2),
(80753,84542,'Applies Artisan''s Escape when Activated.',100,0,0),
(80754,84542,'Teleports caster within the zone',100,1,1),
(80755,84542,'Must not be engaged in combat',100,2,2),
(80756,84542,'Must not be engaged in pvp combat',100,2,3),
(80757,84542,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(80758,10084542,'Applies Artisan''s Escape when Activated.',100,0,0),
(80759,10084542,'Teleports caster within the zone',100,1,1),
(80760,10084542,'Must not be engaged in combat',100,2,2),
(80761,10084542,'Must not be engaged in pvp combat',100,2,3),
(80762,10084542,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(80763,119143,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(80764,119143,'Inflicts 496 - 606 slashing damage on target',100,2,1),
(80765,119143,'Increases Mitigation of caster vs physical damage by 997',100,1,2),
(80766,10119143,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(80767,10119143,'Inflicts 694 - 848 slashing damage on target',100,2,1),
(80768,10119143,'Increases Mitigation of caster vs physical damage by 997',100,1,2),
(80769,117203,'Inflicts 2 slashing damage on target every 4 seconds',100,1,0),
(80770,117203,'Inflicts 7 - 12 melee damage on target',100,1,1),
(80771,10117203,'Inflicts 2 slashing damage on target every 4 seconds',100,1,0),
(80772,10117203,'Inflicts 9 - 16 melee damage on target',100,1,1),
(80773,121490,'Inflicts 184 - 308 melee damage on target',100,1,0),
(80774,121490,'Decreases Defense of target by 6.3',100,1,1),
(80775,10121490,'Inflicts 240 - 400 melee damage on target',100,1,0),
(80776,10121490,'Decreases Defense of target by 6.3',100,1,1),
(80777,109365,'Inflicts 13 - 23 cold damage on target instantly and every 4 seconds',100,1,0),
(80778,109365,'Decreases Mitigation of target vs elemental damage by 237',100,1,1),
(80779,10109365,'Inflicts 18 - 33 cold damage on target instantly and every 4 seconds',100,1,0),
(80780,10109365,'Decreases Mitigation of target vs elemental damage by 237',100,1,1),
(80781,185703,'When Equipped:',100,0,0),
(80782,185703,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80783,185703,'Increases STR of caster by 22.7',100,2,2),
(80784,185703,'Increases Damage Per Second of caster by 25.5',100,2,3),
(80785,185703,'Cannot be modified except by direct means',100,2,4),
(80786,10185703,'When Equipped:',100,0,0),
(80787,10185703,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(80788,10185703,'Increases STR of caster by 22.7',100,2,2),
(80789,10185703,'Increases Damage Per Second of caster by 25.5',100,2,3),
(80790,10185703,'Cannot be modified except by direct means',100,2,4),
(80791,112129,'Dispels 65 levels of physical and arcane hostile effects on caster',100,1,0),
(80792,10112129,'Dispels 65 levels of physical and arcane hostile effects on caster',100,1,0),
(80793,141823,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(80794,141823,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(80795,141823,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(80796,141823,'Cannot be modified except by direct means',100,2,3),
(80797,10141823,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(80798,10141823,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(80799,10141823,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(80800,10141823,'Cannot be modified except by direct means',100,2,3),
(80801,115816,'Inflicts 22 disease damage on target every 3 seconds',100,1,0),
(80802,115816,'Inflicts 81 - 135 melee damage on target',100,1,1),
(80803,115816,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(80804,115816,'Heals caster for 1.1% of max health instantly and every 3 seconds',100,2,3),
(80805,115816,'This effect cannot be critically applied.',100,3,4),
(80806,115816,'The healing of this spell cannot be modified except by direct means',100,2,5),
(80807,115816,'The healing of this spell cannot be modified except by direct means',100,1,6),
(80808,10115816,'Inflicts 30 disease damage on target every 3 seconds',100,1,0),
(80809,10115816,'Inflicts 105 - 176 melee damage on target',100,1,1),
(80810,10115816,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(80811,10115816,'Heals caster for 0.3% of max health instantly and every 3 seconds',100,2,3),
(80812,10115816,'This effect cannot be critically applied.',100,3,4),
(80813,10115816,'The healing of this spell cannot be modified except by direct means',100,2,5),
(80814,10115816,'The healing of this spell cannot be modified except by direct means',100,1,6),
(80815,120791,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(80816,120791,'Stuns target',100,2,1),
(80817,120791,'Throws target back',100,2,2),
(80818,120791,'Blurs vision of target',100,2,3),
(80819,120791,'Does not affect Epic targets',100,2,4),
(80820,120791,'Inflicts 121 - 201 piercing damage on target',100,1,5),
(80821,10120791,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(80822,10120791,'Stuns target',100,2,1),
(80823,10120791,'Throws target back',100,2,2),
(80824,10120791,'Blurs vision of target',100,2,3),
(80825,10120791,'Does not affect Epic targets',100,2,4),
(80826,10120791,'Inflicts 157 - 262 piercing damage on target',100,1,5),
(80827,103135,'Increases STR of caster by 91.1',100,1,0),
(80828,103135,'Adds 3.4% to base avoidance.',100,1,1),
(80829,103135,'Increases Mitigation of caster vs physical damage by 585',100,1,2),
(80830,103135,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,3),
(80831,10103135,'Increases STR of caster by 91.1',100,1,0),
(80832,10103135,'Adds 3.4% to base avoidance.',100,1,1),
(80833,10103135,'Increases Mitigation of caster vs physical damage by 585',100,1,2),
(80834,10103135,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,3),
(80835,106697,'Heals target for 24 - 29',100,1,0),
(80836,10106697,'Heals target for 28 - 34',100,1,0);
INSERT INTO `item_effects` VALUES
(80837,118465,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(80838,118465,'Inflicts 43 - 53 heat damage on target instantly and every second',100,2,1),
(80839,10118465,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(80840,10118465,'Inflicts 60 - 74 heat damage on target instantly and every second',100,2,1),
(80841,119182,'Inflicts 100 - 168 heat damage on target',100,1,0),
(80842,119182,'Inflicts 100 - 168 heat damage on target',100,1,1),
(80843,119182,'Requires bow',100,1,2),
(80844,10119182,'Inflicts 115 - 192 heat damage on target',100,1,0),
(80845,10119182,'Inflicts 115 - 192 heat damage on target',100,1,1),
(80846,10119182,'Requires bow',100,1,2),
(80847,27435,'When Equipped:',100,0,0),
(80848,27435,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(80849,27435,'Inflicts 137 disease damage on target',100,2,2),
(80850,27435,'Cancels up to 7.6% of target''s speed buffs',100,2,3),
(80851,27435,'Cannot be modified except by direct means',100,2,4),
(80852,10027435,'When Equipped:',100,0,0),
(80853,10027435,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(80854,10027435,'Inflicts 192 disease damage on target',100,2,2),
(80855,10027435,'Cancels up to 7.6% of target''s speed buffs',100,2,3),
(80856,10027435,'Cannot be modified except by direct means',100,2,4),
(80857,110260,'Inflicts 370 - 618 melee damage on target',100,1,0),
(80858,110260,'Slows target by 72.0%',100,1,1),
(80859,110260,'5% chance to dispel when target receives hostile action',100,1,2),
(80860,110260,'5% chance to dispel when target takes damage',100,1,3),
(80861,10110260,'Inflicts 482 - 803 melee damage on target',100,1,0),
(80862,10110260,'Slows target by 72.0%',100,1,1),
(80863,10110260,'5% chance to dispel when target receives hostile action',100,1,2),
(80864,10110260,'5% chance to dispel when target takes damage',100,1,3),
(80865,118879,'Inflicts 83 - 139 melee damage on target',100,1,0),
(80866,118879,'Inflicts 83 - 139 melee damage on target',100,1,1),
(80867,118879,'Inflicts 83 - 139 melee damage on target',100,1,2),
(80868,118879,'Inflicts 83 - 139 melee damage on target',100,1,3),
(80869,118879,'Inflicts 83 - 139 melee damage on target',100,1,4),
(80870,10118879,'Inflicts 109 - 181 melee damage on target',100,1,0),
(80871,10118879,'Inflicts 109 - 181 melee damage on target',100,1,1),
(80872,10118879,'Inflicts 109 - 181 melee damage on target',100,1,2),
(80873,10118879,'Inflicts 109 - 181 melee damage on target',100,1,3),
(80874,10118879,'Inflicts 109 - 181 melee damage on target',100,1,4),
(80875,159332,'Applies Lambent Imbued when Equipped.',100,0,0),
(80876,159332,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(80877,159332,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(80878,159332,'Cannot be modified except by direct means',100,2,3),
(80879,10159332,'Applies Lambent Imbued when Equipped.',100,0,0),
(80880,10159332,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(80881,10159332,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(80882,10159332,'Cannot be modified except by direct means',100,2,3),
(80883,107983,'Summons a pet raven familiar',100,1,0),
(80884,10107983,'Summons a pet raven familiar',100,1,0),
(80885,116623,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(80886,116623,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(80887,10116623,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(80888,10116623,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(80889,113489,'Inflicts 87 - 145 melee damage on targets in area',100,1,0),
(80890,10113489,'Inflicts 113 - 188 melee damage on targets in area',100,1,0),
(80891,122574,'Inflicts 16 - 20 mental damage on target instantly and every 3 seconds',100,1,0),
(80892,122574,'Decreases Mitigation of target vs arcane damage by 156',100,1,1),
(80893,10122574,'Inflicts 22 - 27 mental damage on target instantly and every 3 seconds',100,1,0),
(80894,10122574,'Decreases Mitigation of target vs arcane damage by 156',100,1,1),
(80895,116774,'Increases Max Health of target by 848.4',100,1,0),
(80896,116774,'Increases Max Power of target by 857.8',100,1,1),
(80897,10116774,'Increases Max Health of target by 848.4',100,1,0),
(80898,10116774,'Increases Max Power of target by 857.8',100,1,1),
(80899,108481,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(80900,108481,'Increases Aggression of caster by 12.2',100,1,1),
(80901,108481,'Increases Defense and Parry of caster by 24.4',100,1,2),
(80902,108481,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(80903,10108481,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(80904,10108481,'Increases Aggression of caster by 12.2',100,1,1),
(80905,10108481,'Increases Defense and Parry of caster by 24.4',100,1,2),
(80906,10108481,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(80907,35825,'Increases Max Power of target by 4.1',100,0,0),
(80908,35825,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(80909,24650,'Adds Poet''s Palace: Squat Brass Vase to your Dungeon Maker toolbox',100,0,0),
(80910,10024650,'Adds Poet''s Palace: Squat Brass Vase to your Dungeon Maker toolbox',100,0,0),
(80911,24060,'Adds Burynai (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(80912,10024060,'Adds Burynai (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(80913,115213,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(80914,115213,'Decreases Mitigation of target vs noxious damage by 462',100,2,1),
(80915,115213,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(80916,115213,'Decreases Mitigation of target vs noxious damage by 462',100,2,3),
(80917,10115213,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(80918,10115213,'Decreases Mitigation of target vs noxious damage by 462',100,2,1),
(80919,10115213,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(80920,10115213,'Decreases Mitigation of target vs noxious damage by 462',100,2,3),
(80921,103050,'Inflicts 41 magic damage on target instantly and every 4 seconds',100,1,0),
(80922,103050,'Increases power of caster by 14 instantly and every 4 seconds',100,1,1),
(80923,10103050,'Inflicts 58 magic damage on target instantly and every 4 seconds',100,1,0),
(80924,10103050,'Increases power of caster by 14 instantly and every 4 seconds',100,1,1),
(80925,105931,'Inflicts 69 - 84 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(80926,105931,'Inflicts 161 - 268 disease damage on targets in area',100,1,1),
(80927,10105931,'Inflicts 97 - 118 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(80928,10105931,'Inflicts 209 - 349 disease damage on targets in area',100,1,1),
(80929,102275,'Inflicts 463 - 772 melee damage on targets in area',100,1,0),
(80930,10102275,'Inflicts 602 - 1004 melee damage on targets in area',100,1,0),
(80931,104322,'Charms target',100,1,0),
(80932,104322,'Increases Out-of-Combat Power Regeneration of target by 4.2',100,1,1),
(80933,104322,'Increases Out-of-Combat Health Regeneration of target by 8.4',100,1,2),
(80934,104322,'If outside an arena',100,1,3),
(80935,104322,'Certain enemies cannot be charmed',100,1,4),
(80936,104322,'Only affects targets level 24 and below',100,1,5),
(80937,104322,'Does not affect Epic targets',100,1,6),
(80938,10104322,'Charms target',100,1,0),
(80939,10104322,'Increases Out-of-Combat Power Regeneration of target by 4.2',100,1,1),
(80940,10104322,'Increases Out-of-Combat Health Regeneration of target by 8.4',100,1,2),
(80941,10104322,'If outside an arena',100,1,3),
(80942,10104322,'Certain enemies cannot be charmed',100,1,4),
(80943,10104322,'Only affects targets level 24 and below',100,1,5),
(80944,10104322,'Does not affect Epic targets',100,1,6),
(80945,47273,'Applies Murky Noxious Remedy when Activated.',100,0,0),
(80946,47273,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(80947,47273,'Only affects targets level 50 and above',100,1,2),
(80948,10047273,'Applies Murky Noxious Remedy when Activated.',100,0,0),
(80949,10047273,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(80950,10047273,'Only affects targets level 50 and above',100,1,2),
(80951,45407,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(80952,45407,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,1),
(80953,45407,'Caster will harvest a second time on 4.0% of harvests.',100,1,2),
(80954,10045407,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(80955,10045407,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,1),
(80956,10045407,'Caster will harvest a second time on 4.0% of harvests.',100,1,2),
(80957,174790,'When Equipped:',100,0,0),
(80958,174790,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(80959,174790,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(80960,174790,'Cannot be modified except by direct means',100,2,3),
(80961,10174790,'When Equipped:',100,0,0),
(80962,10174790,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(80963,10174790,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(80964,10174790,'Cannot be modified except by direct means',100,2,3),
(80965,35760,'Increases AGI of target by 1.2',100,0,0),
(80966,35760,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(80967,102098,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(80968,102098,'Stuns target',100,2,1),
(80969,102098,'Throws target back',100,2,2),
(80970,102098,'Blurs vision of target',100,2,3),
(80971,102098,'Does not affect Epic targets',100,2,4),
(80972,102098,'Inflicts 114 - 191 crushing damage on target',100,1,5),
(80973,10102098,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(80974,10102098,'Stuns target',100,2,1),
(80975,10102098,'Throws target back',100,2,2),
(80976,10102098,'Blurs vision of target',100,2,3),
(80977,10102098,'Does not affect Epic targets',100,2,4),
(80978,10102098,'Inflicts 149 - 248 crushing damage on target',100,1,5),
(80979,103001,'Increases STR and AGI of group members (AE) by 152.5',100,1,0),
(80980,10103001,'Increases STR and AGI of group members (AE) by 152.5',100,1,0),
(80981,120893,'Stifles target',100,1,0),
(80982,120893,'Inflicts 568 - 694 mental damage on target',100,1,1),
(80983,120893,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,2),
(80984,120893,'Resistibility increases against targets higher than level 87.',100,1,3),
(80985,10120893,'Stifles target',100,1,0),
(80986,10120893,'Inflicts 795 - 972 mental damage on target',100,1,1),
(80987,10120893,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(80988,10120893,'Resistibility increases against targets higher than level 87.',100,1,3),
(80989,106625,'Inflicts 518 - 633 disease damage on target',100,1,0),
(80990,106625,'Heals caster for 6.5 - 7.9% of max health',100,1,1),
(80991,106625,'This effect cannot be critically applied.',100,2,2),
(80992,106625,'The healing of this spell cannot be modified except by direct means',100,1,3),
(80993,10106625,'Inflicts 725 - 886 disease damage on target',100,1,0),
(80994,10106625,'Heals caster for 2.2 - 2.6% of max health',100,1,1),
(80995,10106625,'This effect cannot be critically applied.',100,2,2),
(80996,10106625,'The healing of this spell cannot be modified except by direct means',100,1,3),
(80997,85352,'Applies Poison Bolt when Activated.',100,0,0),
(80998,85352,'Inflicts 66 - 110 poison damage on target',100,1,1),
(80999,85352,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81000,10085352,'Applies Poison Bolt when Activated.',100,0,0),
(81001,10085352,'Inflicts 93 - 155 poison damage on target',100,1,1),
(81002,10085352,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81003,82060,'When Equipped:',100,0,0),
(81004,82060,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81005,82060,'Decreases Threat to target by 641 ',100,2,2),
(81006,82060,'Must be flanking or behind',100,3,3),
(81007,82060,'Increases Threat to target by 641 ',100,2,4),
(81008,82060,'Must be in front of',100,3,5),
(81009,82060,'Inflicts 182 - 339 magic damage on target',100,2,6),
(81010,82060,'Cannot be modified except by direct means',100,2,7),
(81011,10082060,'When Equipped:',100,0,0),
(81012,10082060,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81013,10082060,'Inflicts 255 - 474 magic damage on target',100,2,2),
(81014,10082060,'Cannot be modified except by direct means',100,2,3),
(81015,139041,'When Equipped:',100,0,0),
(81016,139041,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(81017,139041,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(81018,139041,'Increases in-combat movement speed of caster by 10.0%',100,2,3),
(81019,139041,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(81020,139041,'Must not be engaged in pvp combat',100,2,5),
(81021,139041,'Cannot be modified except by direct means',100,2,6),
(81022,139041,'This effect will not stack with itself.',100,1,7),
(81023,139041,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(81024,139041,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(81025,139041,'Increases in-combat movement speed of caster by 10.0%',100,2,10),
(81026,139041,'Increases Ability Recovery Speed of caster by 10.0%',100,2,11),
(81027,139041,'Must not be engaged in pvp combat',100,2,12),
(81028,139041,'Cannot be modified except by direct means',100,2,13),
(81029,139041,'Must not be engaged in pvp combat',100,1,14),
(81030,10139041,'When Equipped:',100,0,0),
(81031,10139041,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(81032,10139041,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(81033,10139041,'Increases in-combat movement speed of caster by 10.0%',100,2,3),
(81034,10139041,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(81035,10139041,'Must not be engaged in pvp combat',100,2,5),
(81036,10139041,'Cannot be modified except by direct means',100,2,6),
(81037,10139041,'This effect will not stack with itself.',100,1,7),
(81038,10139041,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(81039,10139041,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(81040,10139041,'Increases in-combat movement speed of caster by 10.0%',100,2,10),
(81041,10139041,'Increases Ability Recovery Speed of caster by 10.0%',100,2,11),
(81042,10139041,'Must not be engaged in pvp combat',100,2,12),
(81043,10139041,'Cannot be modified except by direct means',100,2,13),
(81044,10139041,'Must not be engaged in pvp combat',100,1,14),
(81045,82876,'When Equipped:',100,0,0),
(81046,82876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81047,82876,'Inflicts 301 - 560 magic damage on target',100,2,2),
(81048,82876,'Cannot be modified except by direct means',100,2,3),
(81049,10082876,'When Equipped:',100,0,0),
(81050,10082876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81051,10082876,'Inflicts 422 - 783 magic damage on target',100,2,2),
(81052,10082876,'Cannot be modified except by direct means',100,2,3),
(81053,120675,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 27.1',100,1,0),
(81054,120675,'Increases Focus of group members (AE) by 57.2',100,1,1),
(81055,10120675,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 27.1',100,1,0),
(81056,10120675,'Increases Focus of group members (AE) by 57.2',100,1,1),
(81057,119975,'Increases Threat to target by 145 - 177 ',100,1,0),
(81058,10119975,'Prevents target from changing targets',100,1,0),
(81059,10119975,'Forces target to change their selected target to caster.',100,1,1),
(81060,35995,'Increases Max Health of target by 5.0',100,0,0),
(81061,35995,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(81062,141709,'When Equipped:',100,0,0),
(81063,141709,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(81064,141709,'Increases AGI of caster by 14.8',100,2,2),
(81065,141709,'Increases Attack Speed of caster by 16.5',100,2,3),
(81066,141709,'Cannot be modified except by direct means',100,2,4),
(81067,10141709,'When Equipped:',100,0,0),
(81068,10141709,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(81069,10141709,'Increases AGI of caster by 14.8',100,2,2),
(81070,10141709,'Increases Attack Speed of caster by 16.5',100,2,3),
(81071,10141709,'Cannot be modified except by direct means',100,2,4),
(81072,101697,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(81073,101697,'Inflicts 362 - 442 disease damage on target',100,2,1),
(81074,101697,'Grants a total of 3 triggers of the spell.',100,2,2),
(81075,10101697,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(81076,10101697,'Inflicts 506 - 619 disease damage on target',100,2,1),
(81077,10101697,'Grants a total of 3 triggers of the spell.',100,2,2),
(81078,74568,'When Equipped:',100,0,0),
(81079,74568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81080,74568,'Inflicts 179 - 268 magic damage on target',100,2,2),
(81081,74568,'Cannot be modified except by direct means',100,2,3),
(81082,10074568,'When Equipped:',100,0,0),
(81083,10074568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81084,10074568,'Inflicts 250 - 376 magic damage on target',100,2,2),
(81085,10074568,'Cannot be modified except by direct means',100,2,3),
(81086,120495,'Inflicts 92 - 154 melee damage on target',100,1,0),
(81087,120495,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(81088,120495,'Grants stealth to caster',100,2,2),
(81089,120495,'Suspends caster''s movement speed enhancements',100,2,3),
(81090,120495,'Must be flanking or behind',100,1,4),
(81091,10120495,'Inflicts 120 - 201 melee damage on target',100,1,0),
(81092,10120495,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(81093,10120495,'Grants stealth to caster',100,2,2),
(81094,10120495,'Suspends caster''s movement speed enhancements',100,2,3),
(81095,10120495,'Must be flanking or behind',100,1,4),
(81096,118852,'Inflicts 127 - 383 melee damage on target',100,1,0),
(81097,10118852,'Inflicts 166 - 498 melee damage on target',100,1,0),
(81098,101792,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(81099,101792,'Decreases Threat to target by 272 ',100,2,1),
(81100,10101792,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(81101,10101792,'Inflicts 24 - 27 crushing damage on target',100,2,1),
(81102,82591,'When Equipped:',100,0,0),
(81103,82591,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81104,82591,'Decreases Threat to target by 259 ',100,2,2),
(81105,82591,'Must be flanking or behind',100,3,3),
(81106,82591,'Increases Threat to target by 259 ',100,2,4),
(81107,82591,'Must be in front of',100,3,5),
(81108,82591,'Inflicts 101 - 188 magic damage on target',100,2,6),
(81109,82591,'Cannot be modified except by direct means',100,2,7),
(81110,10082591,'When Equipped:',100,0,0),
(81111,10082591,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81112,10082591,'Inflicts 142 - 263 magic damage on target',100,2,2),
(81113,10082591,'Cannot be modified except by direct means',100,2,3),
(81114,48472,'Applies Thinning Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(81115,48472,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(81116,48472,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(81117,48472,'Cannot be modified except by direct means',100,2,3),
(81118,48472,'Grants a total of 80 triggers of the spell.',100,2,4),
(81119,48472,'Only affects targets level 50 and above',100,1,5),
(81120,10048472,'Applies Thinning Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(81121,10048472,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(81122,10048472,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(81123,10048472,'Cannot be modified except by direct means',100,2,3),
(81124,10048472,'Grants a total of 80 triggers of the spell.',100,2,4),
(81125,10048472,'Only affects targets level 50 and above',100,1,5),
(81126,116564,'Inflicts 185 - 309 melee damage on targets in area',100,1,0),
(81127,116564,'You must be in stealth to use this!',100,1,1),
(81128,10116564,'Inflicts 241 - 402 melee damage on targets in area',100,1,0),
(81129,10116564,'You must be in stealth to use this!',100,1,1),
(81130,106902,'Inflicts 702 - 1170 melee damage on target',100,1,0),
(81131,106902,'Decreases Mitigation of target vs all damage by 3755',100,1,1),
(81132,106902,'Must be behind',100,1,2),
(81133,10106902,'Inflicts 913 - 1522 melee damage on target',100,1,0),
(81134,10106902,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1173',100,1,1),
(81135,10106902,'Decreases Mitigation of target vs physical damage by 1033',100,1,2),
(81136,10106902,'Must be behind',100,1,3),
(81137,46018,'Applies Dressmaker''s Trainer when Activated.',100,0,0),
(81138,46018,'Shapechanges the user into a female mannequin.',100,1,1),
(81139,10046018,'Applies Dressmaker''s Trainer when Activated.',100,0,0),
(81140,10046018,'Shapechanges the user into a female mannequin.',100,1,1),
(81141,115649,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 800',100,1,0),
(81142,10115649,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 800',100,1,0),
(81143,124024,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(81144,124024,'Heals target for 325 - 397',100,2,1),
(81145,124024,'Grants a total of 5 triggers of the spell.',100,2,2),
(81146,10124024,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(81147,10124024,'Heals target for 211 - 258',100,2,1),
(81148,10124024,'Grants a total of 5 triggers of the spell.',100,2,2),
(81149,81815,'When Equipped:',100,0,0),
(81150,81815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81151,81815,'Inflicts 141 - 262 magic damage on target',100,2,2),
(81152,81815,'Cannot be modified except by direct means',100,2,3),
(81153,10081815,'When Equipped:',100,0,0),
(81154,10081815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81155,10081815,'Inflicts 198 - 367 magic damage on target',100,2,2),
(81156,10081815,'Cannot be modified except by direct means',100,2,3),
(81157,35141,'Increases AGI of target by 1.6',100,0,0),
(81158,35141,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(81159,103129,'Increases STR of caster by 85.4',100,1,0),
(81160,103129,'Adds 4.5% to base avoidance.',100,1,1),
(81161,103129,'Increases Mitigation of caster vs physical damage by 544',100,1,2),
(81162,103129,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1697',100,1,3),
(81163,10103129,'Increases STR of caster by 85.4',100,1,0),
(81164,10103129,'Adds 4.5% to base avoidance.',100,1,1),
(81165,10103129,'Increases Mitigation of caster vs physical damage by 544',100,1,2),
(81166,10103129,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1697',100,1,3),
(81167,159976,'Applies Lambent Imbued when Equipped.',100,0,0),
(81168,159976,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(81169,159976,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(81170,159976,'Cannot be modified except by direct means',100,2,3),
(81171,10159976,'Applies Lambent Imbued when Equipped.',100,0,0),
(81172,10159976,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(81173,10159976,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(81174,10159976,'Cannot be modified except by direct means',100,2,3),
(81175,100082,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(81176,10100082,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(81177,81061,'When Equipped:',100,0,0),
(81178,81061,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81179,81061,'Decreases Threat to target by 517 ',100,2,2),
(81180,81061,'Must be flanking or behind',100,3,3),
(81181,81061,'Increases Threat to target by 517 ',100,2,4),
(81182,81061,'Must be in front of',100,3,5),
(81183,81061,'Inflicts 194 - 361 magic damage on target',100,2,6),
(81184,81061,'Cannot be modified except by direct means',100,2,7),
(81185,10081061,'When Equipped:',100,0,0),
(81186,10081061,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81187,10081061,'Inflicts 272 - 505 magic damage on target',100,2,2),
(81188,10081061,'Cannot be modified except by direct means',100,2,3),
(81189,80263,'When Equipped:',100,0,0),
(81190,80263,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81191,80263,'Inflicts 201 - 374 magic damage on target',100,2,2),
(81192,80263,'Cannot be modified except by direct means',100,2,3),
(81193,10080263,'When Equipped:',100,0,0),
(81194,10080263,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81195,10080263,'Inflicts 282 - 523 magic damage on target',100,2,2),
(81196,10080263,'Cannot be modified except by direct means',100,2,3),
(81197,37261,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(81198,74612,'When Equipped:',100,0,0),
(81199,74612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81200,74612,'Inflicts 46 - 69 magic damage on target',100,2,2),
(81201,74612,'Cannot be modified except by direct means',100,2,3),
(81202,10074612,'When Equipped:',100,0,0),
(81203,10074612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81204,10074612,'Inflicts 65 - 97 magic damage on target',100,2,2),
(81205,10074612,'Cannot be modified except by direct means',100,2,3),
(81206,103582,'Increases Mitigation of caster vs physical damage by 392',100,1,0),
(81207,10103582,'Increases Mitigation of caster vs physical damage by 392',100,1,0),
(81208,81176,'When Equipped:',100,0,0),
(81209,81176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81210,81176,'Inflicts 194 - 361 magic damage on target',100,2,2),
(81211,81176,'Cannot be modified except by direct means',100,2,3),
(81212,10081176,'When Equipped:',100,0,0),
(81213,10081176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81214,10081176,'Inflicts 272 - 505 magic damage on target',100,2,2),
(81215,10081176,'Cannot be modified except by direct means',100,2,3),
(81216,35917,'Increases Max Power of target by 4.1',100,0,0),
(81217,35917,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(81218,108623,'Feigns Death with 90% chance of success',100,1,0),
(81219,10108623,'Feigns Death with 90% chance of success',100,1,0),
(81220,35526,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(81221,120593,'Inflicts 143 - 265 heat damage on target',100,1,0),
(81222,10120593,'Inflicts 200 - 371 heat damage on target',100,1,0),
(81223,123277,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(81224,123277,'Inflicts 67 - 111 disease damage on target',100,2,1),
(81225,123277,'Heals caster for 1.2 - 2.0% of max health',100,2,2),
(81226,123277,'This effect cannot be critically applied.',100,3,3),
(81227,123277,'The healing of this spell cannot be modified except by direct means',100,2,4),
(81228,10123277,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(81229,10123277,'Inflicts 93 - 156 disease damage on target',100,2,1),
(81230,10123277,'Heals caster for 0.4 - 0.7% of max health',100,2,2),
(81231,10123277,'This effect cannot be critically applied.',100,3,3),
(81232,10123277,'The healing of this spell cannot be modified except by direct means',100,2,4),
(81233,24316,'Adds Dracurion Spearman to your Dungeon Maker toolbox',100,0,0),
(81234,10024316,'Adds Dracurion Spearman to your Dungeon Maker toolbox',100,0,0),
(81235,74677,'When Equipped:',100,0,0),
(81236,74677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81237,74677,'Inflicts 57 - 86 magic damage on target',100,2,2),
(81238,74677,'Cannot be modified except by direct means',100,2,3),
(81239,10074677,'When Equipped:',100,0,0),
(81240,10074677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81241,10074677,'Inflicts 80 - 120 magic damage on target',100,2,2),
(81242,10074677,'Cannot be modified except by direct means',100,2,3),
(81243,81594,'When Equipped:',100,0,0),
(81244,81594,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81245,81594,'Decreases Threat to target by 376 ',100,2,2),
(81246,81594,'Must be flanking or behind',100,3,3),
(81247,81594,'Increases Threat to target by 376 ',100,2,4),
(81248,81594,'Must be in front of',100,3,5),
(81249,81594,'Inflicts 144 - 268 magic damage on target',100,2,6),
(81250,81594,'Cannot be modified except by direct means',100,2,7),
(81251,10081594,'When Equipped:',100,0,0),
(81252,10081594,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81253,10081594,'Inflicts 202 - 375 magic damage on target',100,2,2),
(81254,10081594,'Cannot be modified except by direct means',100,2,3),
(81255,71846,'When Equipped:',100,0,0),
(81256,71846,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81257,71846,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(81258,71846,'Cannot be modified except by direct means',100,2,3),
(81259,10071846,'When Equipped:',100,0,0),
(81260,10071846,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81261,10071846,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(81262,10071846,'Cannot be modified except by direct means',100,2,3),
(81263,119385,'Decreases threat priority of target by 1 position',100,1,0),
(81264,119385,'Decreases Threat to target by 1,207 ',100,1,1),
(81265,119385,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(81266,119385,'Grants stealth to caster',100,2,3),
(81267,119385,'Suspends caster''s movement speed enhancements',100,2,4),
(81268,10119385,'Applies Distract.',100,1,0),
(81269,10119385,'Forces target to clear their selected target.',100,2,1),
(81270,10119385,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(81271,10119385,'Grants stealth to caster',100,2,3),
(81272,10119385,'Suspends caster''s movement speed enhancements',100,2,4),
(81273,47070,'Applies Flurry of Souls when Activated.',100,0,0),
(81274,47070,'An intervening force that disables some powerful magics.',100,1,1),
(81275,47070,'If target is Venril Sathir',100,1,2),
(81276,47070,'Your target must be energized by arcane powers.',100,1,3),
(81277,10047070,'Applies Flurry of Souls when Activated.',100,0,0),
(81278,10047070,'An intervening force that disables some powerful magics.',100,1,1),
(81279,10047070,'If target is Venril Sathir',100,1,2),
(81280,10047070,'Your target must be energized by arcane powers.',100,1,3),
(81281,82917,'When Equipped:',100,0,0),
(81282,82917,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81283,82917,'Decreases Threat to target by 833 ',100,2,2),
(81284,82917,'Must be flanking or behind',100,3,3),
(81285,82917,'Increases Threat to target by 833 ',100,2,4),
(81286,82917,'Must be in front of',100,3,5),
(81287,82917,'Inflicts 301 - 560 magic damage on target',100,2,6),
(81288,82917,'Cannot be modified except by direct means',100,2,7),
(81289,10082917,'When Equipped:',100,0,0),
(81290,10082917,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81291,10082917,'Inflicts 422 - 783 magic damage on target',100,2,2),
(81292,10082917,'Cannot be modified except by direct means',100,2,3),
(81293,119993,'Increases Threat to target by 682 - 833 ',100,1,0),
(81294,10119993,'Prevents target from changing targets',100,1,0),
(81295,10119993,'Forces target to change their selected target to caster.',100,1,1),
(81296,114270,'Heals target for 56 - 69',100,1,0),
(81297,10114270,'Heals target for 66 - 81',100,1,0),
(81298,114596,'Inflicts 762 - 1271 ranged damage on target',100,1,0),
(81299,114596,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(81300,114596,'Requires bow',100,1,2),
(81301,10114596,'Inflicts 804 - 1341 ranged damage on target',100,1,0),
(81302,10114596,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(81303,10114596,'Requires bow',100,1,2),
(81304,82353,'When Equipped:',100,0,0),
(81305,82353,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81306,82353,'Decreases Threat to target by 135 ',100,2,2),
(81307,82353,'Must be flanking or behind',100,3,3),
(81308,82353,'Increases Threat to target by 135 ',100,2,4),
(81309,82353,'Must be in front of',100,3,5),
(81310,82353,'Inflicts 41 - 76 magic damage on target',100,2,6),
(81311,82353,'Cannot be modified except by direct means',100,2,7),
(81312,10082353,'When Equipped:',100,0,0),
(81313,10082353,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81314,10082353,'Inflicts 58 - 107 magic damage on target',100,2,2),
(81315,10082353,'Cannot be modified except by direct means',100,2,3),
(81316,113911,'Inflicts 375 - 624 disease damage on target',100,1,0),
(81317,113911,'Inflicts 94 - 156 disease damage on target every 4 seconds',100,1,1),
(81318,113911,'Increases power of caster by 154 - 257',100,1,2),
(81319,113911,'Increases power of caster by 33 - 56 every 4 seconds',100,1,3),
(81320,10113911,'Inflicts 524 - 874 disease damage on target',100,1,0),
(81321,10113911,'Inflicts 131 - 219 disease damage on target every 4 seconds',100,1,1),
(81322,10113911,'Increases power of caster by 154 - 257',100,1,2),
(81323,10113911,'Increases power of caster by 33 - 56 every 4 seconds',100,1,3),
(81324,117700,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(81325,117700,'Adds 0.9% to base avoidance.',100,1,1),
(81326,10117700,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(81327,10117700,'Adds 0.9% to base avoidance.',100,1,1),
(81328,46441,'Applies Call Frost Horse when Activated.',100,0,0),
(81329,46441,'Increases Piercing and Crushing of caster by 5.0',100,1,1),
(81330,46441,'Summons a mount to ride',100,1,2),
(81331,46441,'Increases your ground speed by 130%',100,2,3),
(81332,46441,'Increases Slashing, Aggression and Ranged of caster by 5.0',100,1,4),
(81333,10046441,'Applies Call Frost Horse when Activated.',100,0,0),
(81334,10046441,'Increases Piercing and Crushing of caster by 5.0',100,1,1),
(81335,10046441,'Summons a mount to ride',100,1,2),
(81336,10046441,'Increases your ground speed by 130%',100,2,3),
(81337,10046441,'Increases Slashing, Aggression and Ranged of caster by 5.0',100,1,4),
(81338,100507,'Increases Attack Speed of group members (AE) by 20.4',100,1,0),
(81339,10100507,'Increases Attack Speed of group members (AE) by 20.4',100,1,0),
(81340,173492,'When Equipped:',100,0,0),
(81341,173492,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(81342,173492,'Must not be engaged in pvp combat',100,1,2),
(81343,10173492,'When Equipped:',100,0,0),
(81344,10173492,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(81345,10173492,'Must not be engaged in pvp combat',100,1,2),
(81346,120414,'Decreases Defense of caster by 27.0',100,1,0),
(81347,120414,'Increases Crushing and Ranged of caster by 66.0',100,1,1),
(81348,120414,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(81349,120414,'Inflicts 577 - 962 heat damage on target',100,2,3),
(81350,120414,'Increases Slashing and Piercing of caster by 66.0',100,1,4),
(81351,10120414,'Decreases Defense of caster by 27.0',100,1,0),
(81352,10120414,'Increases Crushing and Ranged of caster by 66.0',100,1,1),
(81353,10120414,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(81354,10120414,'Inflicts 808 - 1346 heat damage on target',100,2,3),
(81355,10120414,'Increases Slashing and Piercing of caster by 66.0',100,1,4),
(81356,72022,'When Equipped:',100,0,0),
(81357,72022,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81358,72022,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(81359,72022,'Cannot be modified except by direct means',100,2,3),
(81360,10072022,'When Equipped:',100,0,0),
(81361,10072022,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81362,10072022,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(81363,10072022,'Cannot be modified except by direct means',100,2,3),
(81364,103653,'Interrupts target',100,1,0),
(81365,103653,'Inflicts 24 - 40 melee damage on target',100,1,1),
(81366,103653,'Must be flanking or behind',100,1,2),
(81367,10103653,'Interrupts target',100,1,0),
(81368,10103653,'Inflicts 31 - 52 melee damage on target',100,1,1),
(81369,10103653,'Must be flanking or behind',100,1,2),
(81370,181429,'When Equipped:',100,0,0),
(81371,181429,'On a hit this spell may cast Power from Flesh on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81372,181429,'Increases power of caster by 197 instantly and every 4 seconds',100,2,2),
(81373,181429,'Cannot be modified except by direct means',100,2,3),
(81374,181429,'Cannot be modified except by direct means',100,1,4),
(81375,10181429,'When Equipped:',100,0,0),
(81376,10181429,'On a hit this spell may cast Power from Flesh on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81377,10181429,'Increases power of caster by 197 instantly and every 4 seconds',100,2,2),
(81378,10181429,'Cannot be modified except by direct means',100,2,3),
(81379,10181429,'Cannot be modified except by direct means',100,1,4),
(81380,119356,'Inflicts 205 - 307 disease damage on target',100,1,0),
(81381,119356,'Inflicts 82 - 123 disease damage on target every 4 seconds',100,1,1),
(81382,10119356,'Inflicts 287 - 430 disease damage on target',100,1,0),
(81383,10119356,'Inflicts 115 - 172 disease damage on target every 4 seconds',100,1,1),
(81384,123250,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(81385,123250,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(81386,10123250,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(81387,10123250,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(81388,120591,'Inflicts 78 - 146 heat damage on target',100,1,0),
(81389,10120591,'Inflicts 110 - 204 heat damage on target',100,1,0),
(81390,47951,'Applies Curse of the Damned when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(81391,47951,'Decreases STR of target encounter by 35.6 - 66.1',100,1,1),
(81392,47951,'Decreases Attack Speed of target encounter by 12.7 - 21.1',100,1,2),
(81393,10047951,'Applies Curse of the Damned when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(81394,10047951,'Decreases STR of target encounter by 35.6 - 66.1',100,1,1),
(81395,10047951,'Decreases Attack Speed of target encounter by 12.7 - 21.1',100,1,2),
(81396,122826,'Inflicts 345 - 575 ranged damage on target',100,1,0),
(81397,122826,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(81398,122826,'Increases Hate Gain of target by 30.0%',100,2,2),
(81399,122826,'Grants a total of 1 trigger of the spell.',100,2,3),
(81400,122826,'Requires bow',100,1,4),
(81401,10122826,'Inflicts 293 - 488 ranged damage on target',100,1,0),
(81402,10122826,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(81403,10122826,'Grants a total of 1 trigger of the spell.',100,2,2),
(81404,10122826,'Requires bow',100,1,3),
(81405,43198,'When Equipped:',100,0,0),
(81406,43198,'On a ranged hit this spell may cast Rain of Stone on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(81407,43198,'Inflicts 888 - 1086 crushing damage on targets in Area of Effect',100,2,2),
(81408,43198,'Cannot be modified except by direct means',100,2,3),
(81409,10043198,'When Equipped:',100,0,0),
(81410,10043198,'On a ranged hit this spell may cast Rain of Stone on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(81411,10043198,'Inflicts 1244 - 1520 crushing damage on targets in Area of Effect',100,2,2),
(81412,10043198,'Cannot be modified except by direct means',100,2,3),
(81413,108382,'Heals target for 41 - 50',100,1,0),
(81414,10108382,'Heals target for 48 - 59',100,1,0),
(81415,36650,'Increases STR of target by 1.6',100,0,0),
(81416,36650,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(81417,122482,'Inflicts 198 - 330 mental damage on targets in Area of Effect',100,1,0),
(81418,10122482,'Inflicts 277 - 462 mental damage on targets in Area of Effect',100,1,0),
(81419,27298,'When Equipped:',100,0,0),
(81420,27298,'Increases all disease damage by up to 50.',100,1,1),
(81421,10027298,'When Equipped:',100,0,0),
(81422,10027298,'Increases all disease damage by up to 50.',100,1,1),
(81423,82204,'When Equipped:',100,0,0),
(81424,82204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81425,82204,'Inflicts 37 - 69 magic damage on target',100,2,2),
(81426,82204,'Cannot be modified except by direct means',100,2,3),
(81427,10082204,'When Equipped:',100,0,0),
(81428,10082204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81429,10082204,'Inflicts 52 - 96 magic damage on target',100,2,2),
(81430,10082204,'Cannot be modified except by direct means',100,2,3),
(81431,80997,'When Equipped:',100,0,0),
(81432,80997,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81433,80997,'Inflicts 90 - 167 magic damage on target',100,2,2),
(81434,80997,'Cannot be modified except by direct means',100,2,3),
(81435,10080997,'When Equipped:',100,0,0),
(81436,10080997,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81437,10080997,'Inflicts 126 - 234 magic damage on target',100,2,2),
(81438,10080997,'Cannot be modified except by direct means',100,2,3),
(81439,157086,'When Equipped:',100,0,0),
(81440,157086,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(81441,157086,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(81442,157086,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,3),
(81443,157086,'Must not be engaged in pvp combat',100,2,4),
(81444,157086,'Cannot be modified except by direct means',100,2,5),
(81445,157086,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(81446,157086,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(81447,157086,'Must not be engaged in pvp combat',100,2,8),
(81448,157086,'Cannot be modified except by direct means',100,2,9),
(81449,157086,'Must not be engaged in pvp combat',100,1,10),
(81450,10157086,'When Equipped:',100,0,0),
(81451,10157086,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(81452,10157086,'On a healing spell cast this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(81453,10157086,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,3),
(81454,10157086,'Must not be engaged in pvp combat',100,2,4),
(81455,10157086,'Cannot be modified except by direct means',100,2,5),
(81456,10157086,'On any combat or spell hit this spell may cast Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(81457,10157086,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,7),
(81458,10157086,'Must not be engaged in pvp combat',100,2,8),
(81459,10157086,'Cannot be modified except by direct means',100,2,9),
(81460,10157086,'Must not be engaged in pvp combat',100,1,10),
(81461,118238,'Inflicts 51 - 84 divine damage on target',100,1,0),
(81462,118238,'Interrupts target',100,1,1),
(81463,10118238,'Inflicts 71 - 118 divine damage on target',100,1,0),
(81464,10118238,'Interrupts target',100,1,1),
(81465,115155,'Heals target for 73 - 89',100,1,0),
(81466,10115155,'Heals target for 98 - 120',100,1,0),
(81467,75164,'When Equipped:',100,0,0),
(81468,75164,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81469,75164,'Inflicts 116 - 142 cold damage on target',100,2,2),
(81470,75164,'Cannot be modified except by direct means',100,2,3),
(81471,10075164,'When Equipped:',100,0,0),
(81472,10075164,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81473,10075164,'Inflicts 163 - 199 cold damage on target',100,2,2),
(81474,10075164,'Cannot be modified except by direct means',100,2,3),
(81475,122526,'Heals caster for 22',100,1,0),
(81476,122526,'Inflicts 44 - 74 melee damage on target',100,1,1),
(81477,10122526,'Heals caster for 14',100,1,0),
(81478,10122526,'Inflicts 57 - 96 melee damage on target',100,1,1),
(81479,47375,'Applies Call Nightmare when Activated.',100,0,0),
(81480,47375,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(81481,47375,'Summons a mount to ride',100,1,2),
(81482,47375,'Increases your ground speed by 130%',100,2,3),
(81483,47375,'Increases Mitigation of caster vs elemental and arcane damage by 200',100,1,4),
(81484,47375,'Requires evil alignment',100,1,5),
(81485,10047375,'Applies Call Nightmare when Activated.',100,0,0),
(81486,10047375,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(81487,10047375,'Summons a mount to ride',100,1,2),
(81488,10047375,'Increases your ground speed by 130%',100,2,3),
(81489,10047375,'Increases Mitigation of caster vs elemental and arcane damage by 200',100,1,4),
(81490,10047375,'Requires evil alignment',100,1,5),
(81491,105843,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(81492,105843,'Increases Damage Per Second of caster by 32.2',100,1,1),
(81493,105843,'Increases Piercing, Slashing and Crushing of caster by 12.0',100,1,2),
(81494,10105843,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(81495,10105843,'Increases Damage Per Second of caster by 32.2',100,1,1),
(81496,10105843,'Increases Piercing, Slashing and Crushing of caster by 12.0',100,1,2),
(81497,82320,'When Equipped:',100,0,0),
(81498,82320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81499,82320,'Inflicts 223 - 414 magic damage on target',100,2,2),
(81500,82320,'Cannot be modified except by direct means',100,2,3),
(81501,10082320,'When Equipped:',100,0,0),
(81502,10082320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81503,10082320,'Inflicts 312 - 580 magic damage on target',100,2,2),
(81504,10082320,'Cannot be modified except by direct means',100,2,3),
(81505,101506,'Increases WIS of target by 27.7',100,1,0),
(81506,101506,'Increases Max Health of target by 142.0',100,1,1),
(81507,101506,'Increases Mitigation of target vs elemental, noxious and arcane damage by 77',100,1,2),
(81508,10101506,'Increases WIS of target by 27.7',100,1,0),
(81509,10101506,'Increases Max Health of target by 142.0',100,1,1),
(81510,10101506,'Increases Mitigation of target vs elemental, noxious and arcane damage by 77',100,1,2),
(81511,109806,'Increases Threat to target by 198 - 242 ',100,1,0),
(81512,109806,'10% chance to apply Goading Gesture on termination.',100,1,1),
(81513,109806,'Increases Threat to target by 198 - 242 ',100,2,2),
(81514,10109806,'10% chance to apply Goading Gesture on termination.  Lasts for 3.0 seconds.',100,1,0),
(81515,10109806,'Prevents target from changing targets',100,2,1),
(81516,10109806,'Forces target to change their selected target to caster.',100,1,2),
(81517,46439,'Applies Call Frost Dire Bear when Activated.',100,0,0),
(81518,46439,'Increases Aggression and Crushing of caster by 5.0',100,1,1),
(81519,46439,'Summons a mount to ride',100,1,2),
(81520,46439,'Increases your ground speed by 130%',100,2,3),
(81521,46439,'Increases Ranged, Piercing and Slashing of caster by 5.0',100,1,4),
(81522,10046439,'Applies Call Frost Dire Bear when Activated.',100,0,0),
(81523,10046439,'Increases Aggression and Crushing of caster by 5.0',100,1,1),
(81524,10046439,'Summons a mount to ride',100,1,2),
(81525,10046439,'Increases your ground speed by 130%',100,2,3),
(81526,10046439,'Increases Ranged, Piercing and Slashing of caster by 5.0',100,1,4),
(81527,42528,'When Equipped:',100,0,0),
(81528,42528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81529,42528,'Inflicts 53 - 79 magic damage on target',100,2,2),
(81530,42528,'Cannot be modified except by direct means',100,2,3),
(81531,10042528,'When Equipped:',100,0,0),
(81532,10042528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81533,10042528,'Inflicts 74 - 111 magic damage on target',100,2,2),
(81534,10042528,'Cannot be modified except by direct means',100,2,3),
(81535,114750,'Inflicts 2913 - 4856 melee damage on target',100,1,0),
(81536,114750,'You must be in stealth.',100,1,1),
(81537,10114750,'Inflicts 2256 - 3760 melee damage on target',100,1,0),
(81538,10114750,'You must be in stealth.',100,1,1),
(81539,88675,'When Equipped:',100,0,0),
(81540,88675,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(81541,88675,'Reduces resistibility of all spells by 6%.',100,1,2),
(81542,88675,'Cannot be modified except by direct means',100,1,3),
(81543,88675,'When Equipped:',100,0,4),
(81544,88675,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(81545,88675,'Increases INT, AGI, STR and WIS of caster by 5.0',100,1,6),
(81546,88675,'Increases Potency of caster by 3.5%',100,1,7),
(81547,88675,'Cannot be modified except by direct means',100,1,8),
(81548,10088675,'When Equipped:',100,0,0),
(81549,10088675,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(81550,10088675,'Reduces resistibility of all spells by 6%.',100,1,2),
(81551,10088675,'Cannot be modified except by direct means',100,1,3),
(81552,10088675,'When Equipped:',100,0,4),
(81553,10088675,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(81554,10088675,'Increases INT, AGI, STR and WIS of caster by 5.0',100,1,6),
(81555,10088675,'Increases Potency of caster by 3.5%',100,1,7),
(81556,10088675,'Cannot be modified except by direct means',100,1,8),
(81557,177637,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(81558,177637,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(81559,177637,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(81560,177637,'Cannot be modified except by direct means',100,2,3),
(81561,10177637,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(81562,10177637,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(81563,10177637,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(81564,10177637,'Cannot be modified except by direct means',100,2,3),
(81565,119779,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(81566,119779,'Inflicts 85 - 104 poison damage on target encounter',100,2,1),
(81567,10119779,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(81568,10119779,'Inflicts 119 - 146 poison damage on target encounter',100,2,1),
(81569,105266,'Increases Threat to target by 998 ',100,1,0),
(81570,105266,'Interrupts target',100,1,1),
(81571,105266,'Dispels 121 levels of arcane beneficial effects on target',100,1,2),
(81572,10105266,'Forces target to change their selected target to caster.',100,1,0),
(81573,10105266,'Interrupts target',100,1,1),
(81574,10105266,'Dispels 121 levels of arcane beneficial effects on target',100,1,2),
(81575,158573,'When Equipped:',100,0,0),
(81576,158573,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(81577,158573,'Inflicts 1589 - 2383 poison damage on target',100,2,2),
(81578,158573,'Heals caster for 1058 - 1587',100,2,3),
(81579,158573,'Cannot be modified except by direct means',100,2,4),
(81580,158573,'Cannot be modified except by direct means',100,1,5),
(81581,10158573,'When Equipped:',100,0,0),
(81582,10158573,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(81583,10158573,'Inflicts 2224 - 3336 poison damage on target',100,2,2),
(81584,10158573,'Heals caster for 1238 - 1857',100,2,3),
(81585,10158573,'Cannot be modified except by direct means',100,2,4),
(81586,10158573,'Cannot be modified except by direct means',100,1,5),
(81587,122674,'Decreases Defense of target by 18.2',100,1,0),
(81588,122674,'Decreases Mitigation of target vs physical damage by 304',100,1,1),
(81589,10122674,'Decreases Defense of target by 18.2',100,1,0),
(81590,10122674,'Decreases Mitigation of target vs physical damage by 304',100,1,1),
(81591,47745,'Applies Remedy of the Forest when Activated.',100,0,0),
(81592,47745,'Heals caster for 61',100,1,1),
(81593,10047745,'Applies Remedy of the Forest when Activated.',100,0,0),
(81594,10047745,'Heals caster for 40',100,1,1),
(81595,77417,'Applies Fire Ball when Activated.',100,0,0),
(81596,77417,'Inflicts 411 - 685 heat damage on target',100,1,1),
(81597,77417,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81598,10077417,'Applies Fire Ball when Activated.',100,0,0),
(81599,10077417,'Inflicts 576 - 959 heat damage on target',100,1,1),
(81600,10077417,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81601,73932,'Applies Fire Ball when Activated.',100,0,0),
(81602,73932,'Inflicts 115 - 191 heat damage on target',100,1,1),
(81603,73932,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81604,10073932,'Applies Fire Ball when Activated.',100,0,0),
(81605,10073932,'Inflicts 161 - 268 heat damage on target',100,1,1),
(81606,10073932,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81607,48584,'Applies Elemental Dominion when Activated.  Lasts for 10.0 seconds.',100,0,0),
(81608,48584,'Makes caster immune to Stifle effects',100,1,1),
(81609,48584,'Temporarily increases the casting speed of your pet-summoning spells by 50%',100,1,2),
(81610,48584,'Must have Tome of Elemental Dominion equipped.',100,1,3),
(81611,48584,'Must be engaged in pvp combat',100,1,4),
(81612,10048584,'Applies Elemental Dominion when Activated.  Lasts for 10.0 seconds.',100,0,0),
(81613,10048584,'Makes caster immune to Stifle effects',100,1,1),
(81614,10048584,'Temporarily increases the casting speed of your pet-summoning spells by 50%',100,1,2),
(81615,10048584,'Must have Tome of Elemental Dominion equipped.',100,1,3),
(81616,10048584,'Must be engaged in pvp combat',100,1,4),
(81617,114604,'Summon 1 Dark Heart (Journeyman)',100,1,0),
(81618,114604,'Must not be engaged in combat',100,1,1),
(81619,10114604,'Summon 1 Dark Heart (Journeyman)',100,1,0),
(81620,10114604,'Must not be engaged in combat',100,1,1),
(81621,74837,'When Equipped:',100,0,0),
(81622,74837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81623,74837,'Inflicts 146 - 219 magic damage on target',100,2,2),
(81624,74837,'Cannot be modified except by direct means',100,2,3),
(81625,10074837,'When Equipped:',100,0,0),
(81626,10074837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81627,10074837,'Inflicts 204 - 306 magic damage on target',100,2,2),
(81628,10074837,'Cannot be modified except by direct means',100,2,3),
(81629,121847,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(81630,121847,'Increases Mitigation of group members (AE) vs arcane damage by 1521',100,1,1),
(81631,10121847,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(81632,10121847,'Increases Mitigation of group members (AE) vs arcane damage by 1521',100,1,1),
(81633,123827,'Inflicts 119 - 198 magic damage on target',100,1,0),
(81634,123827,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(81635,123827,'Decreases Defense of target by 29.7',100,1,2),
(81636,123827,'Target will lose 31% more power when power is consumed',100,1,3),
(81637,123827,'31% of target''s power consumed will also be drained from target''s health',100,1,4),
(81638,10123827,'Inflicts 167 - 278 magic damage on target',100,1,0),
(81639,10123827,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(81640,10123827,'Decreases Defense of target by 29.7',100,1,2),
(81641,10123827,'Target will lose 31% more power when power is consumed',100,1,3),
(81642,10123827,'31% of target''s power consumed will also be drained from target''s health',100,1,4),
(81643,111304,'Inflicts 458 - 763 divine damage on target',100,1,0),
(81644,111304,'Inflicts 183 - 305 divine damage on target every 4 seconds',100,1,1),
(81645,10111304,'Inflicts 595 - 992 divine damage on target',100,1,0),
(81646,10111304,'Inflicts 257 - 428 divine damage on target every 4 seconds',100,1,1),
(81647,159783,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(81648,159783,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(81649,159783,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(81650,159783,'Cannot be modified except by direct means',100,2,3),
(81651,10159783,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(81652,10159783,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(81653,10159783,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(81654,10159783,'Cannot be modified except by direct means',100,2,3),
(81655,82220,'When Equipped:',100,0,0),
(81656,82220,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81657,82220,'Decreases Threat to target by 135 ',100,2,2),
(81658,82220,'Must be flanking or behind',100,3,3),
(81659,82220,'Increases Threat to target by 135 ',100,2,4),
(81660,82220,'Must be in front of',100,3,5),
(81661,82220,'Inflicts 41 - 76 magic damage on target',100,2,6),
(81662,82220,'Cannot be modified except by direct means',100,2,7),
(81663,10082220,'When Equipped:',100,0,0),
(81664,10082220,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(81665,10082220,'Inflicts 58 - 107 magic damage on target',100,2,2),
(81666,10082220,'Cannot be modified except by direct means',100,2,3),
(81667,180618,'When Equipped:',100,0,0),
(81668,180618,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(81669,180618,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,2),
(81670,180618,'Must not be engaged in pvp combat',100,2,3),
(81671,180618,'Cannot be modified except by direct means',100,2,4),
(81672,180618,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(81673,180618,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(81674,180618,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,7),
(81675,180618,'Must not be engaged in pvp combat',100,2,8),
(81676,180618,'Cannot be modified except by direct means',100,2,9),
(81677,180618,'Cannot be modified except by direct means',100,1,10),
(81678,10180618,'When Equipped:',100,0,0),
(81679,10180618,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(81680,10180618,'Inflicts 1515 - 1674 disease damage on target instantly and every 2 seconds',100,2,2),
(81681,10180618,'Must not be engaged in pvp combat',100,2,3),
(81682,10180618,'Cannot be modified except by direct means',100,2,4),
(81683,10180618,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(81684,10180618,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(81685,10180618,'Inflicts 1515 - 1674 disease damage on target instantly and every 2 seconds',100,2,7),
(81686,10180618,'Must not be engaged in pvp combat',100,2,8),
(81687,10180618,'Cannot be modified except by direct means',100,2,9),
(81688,10180618,'Cannot be modified except by direct means',100,1,10),
(81689,113072,'Applies Scream on termination.',100,1,0),
(81690,113072,'Inflicts 381 - 635 disease damage on target',100,2,1),
(81691,113072,'Dazes target',100,1,2),
(81692,113072,'If Target is not Epic',100,2,3),
(81693,113072,'Resistibility increases against targets higher than level 91.',100,1,4),
(81694,10113072,'Dazes target',100,1,0),
(81695,10113072,'If Target is not Epic',100,2,1),
(81696,10113072,'Applies Scream on termination.',100,1,2),
(81697,10113072,'Inflicts 534 - 889 disease damage on target',100,2,3),
(81698,10113072,'Resistibility increases against targets higher than level 91.',100,1,4),
(81699,87365,'When Equipped:',100,0,0),
(81700,87365,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81701,87365,'Inflicts 129 - 194 magic damage on target',100,2,2),
(81702,87365,'Cannot be modified except by direct means',100,2,3),
(81703,10087365,'When Equipped:',100,0,0),
(81704,10087365,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81705,10087365,'Inflicts 181 - 271 magic damage on target',100,2,2),
(81706,10087365,'Cannot be modified except by direct means',100,2,3),
(81707,114025,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(81708,114025,'Heals target for 23 instantly and every 2 seconds',100,2,1),
(81709,114025,'Decreases Mitigation of target vs arcane damage by 506',100,1,2),
(81710,10114025,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(81711,10114025,'Heals target for 76 instantly and every 2 seconds',100,2,1),
(81712,10114025,'Decreases Mitigation of target vs arcane damage by 506',100,1,2),
(81713,123325,'Increases STA of raid and group members (AE) by 33.5',100,1,0),
(81714,123325,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(81715,10123325,'Increases STA of raid and group members (AE) by 33.5',100,1,0),
(81716,10123325,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(81717,100333,'Increases Max Health of target by 31.2',100,1,0),
(81718,100333,'Increases Crushing, Piercing, Slashing and Ranged of target by 0.9',100,1,1),
(81719,10100333,'Increases Max Health of target by 31.2',100,1,0),
(81720,10100333,'Increases Crushing, Piercing, Slashing and Ranged of target by 0.9',100,1,1),
(81721,46205,'Applies Petamorph: Icemaiden when Activated.  Lasts for 2 hours.',100,0,0),
(81722,46205,'Turns the caster''s combat pet into a ice maiden. Does not work on cosmetic pets.',100,1,1),
(81723,10046205,'Applies Petamorph: Icemaiden when Activated.  Lasts for 2 hours.',100,0,0),
(81724,10046205,'Turns the caster''s combat pet into a ice maiden. Does not work on cosmetic pets.',100,1,1),
(81725,45199,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(81726,45199,'Increases WIS of caster by 45.7',100,1,1),
(81727,10045199,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(81728,10045199,'Increases WIS of caster by 45.7',100,1,1),
(81729,71072,'Applies Infuriating Thorns when Activated.  Lasts for 12.0 seconds.',100,0,0),
(81730,71072,'Will absorb all damage. ',100,1,1),
(81731,71072,'When damaged this spell will cast Infuriating Thorns on target''s attacker.  ',100,1,2),
(81732,71072,'Inflicts 888 piercing damage on target',100,2,3),
(81733,71072,'Cannot be modified except by direct means',100,2,4),
(81734,71072,'Grants a total of 3 triggers of the spell.',100,2,5),
(81735,71072,'The casting time of Infuriating Thorns is 2.0 seconds and the reuse time of the spell is 3 minutes',100,1,6),
(81736,71072,'When Equipped:',100,0,7),
(81737,71072,'On a healing spell cast this spell has a 50% chance to cast Nature''s Restoration on caster.  ',100,1,8),
(81738,71072,'Increases power of caster by 388 - 582',100,2,9),
(81739,71072,'Cannot be modified except by direct means',100,2,10),
(81740,71072,'Cannot be modified except by direct means',100,1,11),
(81741,71072,'When Equipped:',100,0,12),
(81742,71072,'Heal over time spells increase healing with each tick.  Healing ceases to increase after 5 ticks.',100,1,13),
(81743,10071072,'Applies Infuriating Thorns when Activated.  Lasts for 12.0 seconds.',100,0,0),
(81744,10071072,'Will absorb all damage. ',100,1,1),
(81745,10071072,'When damaged this spell will cast Infuriating Thorns on target''s attacker.  ',100,1,2),
(81746,10071072,'Inflicts 1243 piercing damage on target',100,2,3),
(81747,10071072,'Cannot be modified except by direct means',100,2,4),
(81748,10071072,'Grants a total of 3 triggers of the spell.',100,2,5),
(81749,10071072,'The casting time of Infuriating Thorns is 2.0 seconds and the reuse time of the spell is 3 minutes',100,1,6),
(81750,10071072,'When Equipped:',100,0,7),
(81751,10071072,'On a healing spell cast this spell has a 50% chance to cast Nature''s Restoration on caster.  ',100,1,8),
(81752,10071072,'Increases power of caster by 216 - 324',100,2,9),
(81753,10071072,'Cannot be modified except by direct means',100,2,10),
(81754,10071072,'Cannot be modified except by direct means',100,1,11),
(81755,10071072,'When Equipped:',100,0,12),
(81756,10071072,'Heal over time spells increase healing with each tick.  Healing ceases to increase after 5 ticks.',100,1,13),
(81757,109809,'Inflicts 96 - 161 melee damage on target',100,1,0),
(81758,109809,'Decreases Parry of target by 10.8',100,1,1),
(81759,109809,'Must be in front of or flanking',100,1,2),
(81760,10109809,'Inflicts 125 - 209 melee damage on target',100,1,0),
(81761,10109809,'Decreases Parry of target by 10.8',100,1,1),
(81762,10109809,'Must be in front of or flanking',100,1,2),
(81763,122533,'Heals caster for 66',100,1,0),
(81764,122533,'Inflicts 132 - 221 melee damage on target',100,1,1),
(81765,10122533,'Heals caster for 43',100,1,0),
(81766,10122533,'Inflicts 172 - 287 melee damage on target',100,1,1),
(81767,47131,'Applies Brendyl''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(81768,47131,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(81769,10047131,'Applies Brendyl''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(81770,10047131,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(81771,46111,'Applies Elixir of the Champion when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(81772,46111,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(81773,46111,'Inflicts 3 magic damage on target',100,2,2),
(81774,46111,'Cannot be modified except by direct means',100,2,3),
(81775,10046111,'Applies Elixir of the Champion when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(81776,10046111,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(81777,10046111,'Inflicts 4 magic damage on target',100,2,2),
(81778,10046111,'Cannot be modified except by direct means',100,2,3),
(81779,118660,'Inflicts 177 - 295 slashing damage on target',100,1,0),
(81780,10118660,'Inflicts 230 - 384 slashing damage on target',100,1,0),
(81781,100388,'Summons a pet aery hunter',100,1,0),
(81782,10100388,'Summons a pet aery hunter',100,1,0),
(81783,46589,'Applies Summon Grell when Activated.',100,0,0),
(81784,46589,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(81785,46589,'Increases Potency of caster by 2.0%',100,1,2),
(81786,46589,'Summons a mount to ride',100,1,3),
(81787,46589,'Increases your ground speed by 130%',100,2,4),
(81788,46589,'Increases Max Health of caster by 250.0',100,1,5),
(81789,46589,'If above level 80',100,1,6),
(81790,10046589,'Applies Summon Grell when Activated.',100,0,0),
(81791,10046589,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(81792,10046589,'Increases Potency of caster by 2.0%',100,1,2),
(81793,10046589,'Summons a mount to ride',100,1,3),
(81794,10046589,'Increases your ground speed by 130%',100,2,4),
(81795,10046589,'Increases Max Health of caster by 250.0',100,1,5),
(81796,10046589,'If above level 80',100,1,6),
(81797,170678,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(81798,170678,'Decreases Mitigation of target vs physical damage by 149',100,1,1),
(81799,170678,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(81800,10170678,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(81801,10170678,'Decreases Mitigation of target vs physical damage by 149',100,1,1),
(81802,10170678,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(81803,119264,'Inflicts 35 - 59 slashing damage on target',100,1,0),
(81804,119264,'Decreases Damage Per Second of target by 12.4',100,1,1),
(81805,119264,'Inflicts 48 slashing damage on target instantly and every 4 seconds',100,1,2),
(81806,10119264,'Inflicts 46 - 77 slashing damage on target',100,1,0),
(81807,10119264,'Decreases Damage Per Second of target by 12.4',100,1,1),
(81808,10119264,'Inflicts 67 slashing damage on target instantly and every 4 seconds',100,1,2),
(81809,35863,'Increases AGI of target by 1.6',100,0,0),
(81810,35863,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(81811,36106,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(81812,36106,'This effect suspends during combat',100,0,1),
(81813,162362,'When Equipped:',100,0,0),
(81814,162362,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(81815,162362,'Increases power of caster by 80 instantly and every 4 seconds',100,2,2),
(81816,162362,'Cannot be modified except by direct means',100,2,3),
(81817,10162362,'When Equipped:',100,0,0),
(81818,10162362,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(81819,10162362,'Increases power of caster by 80 instantly and every 4 seconds',100,2,2),
(81820,10162362,'Cannot be modified except by direct means',100,2,3),
(81821,81626,'When Equipped:',100,0,0),
(81822,81626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81823,81626,'Inflicts 131 - 244 magic damage on target',100,2,2),
(81824,81626,'Cannot be modified except by direct means',100,2,3),
(81825,10081626,'When Equipped:',100,0,0),
(81826,10081626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81827,10081626,'Inflicts 184 - 342 magic damage on target',100,2,2),
(81828,10081626,'Cannot be modified except by direct means',100,2,3),
(81829,159595,'When Equipped:',100,0,0),
(81830,159595,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81831,159595,'Increases STR of caster by 8.9',100,2,2),
(81832,159595,'Increases Damage Per Second of caster by 19.0',100,2,3),
(81833,159595,'Cannot be modified except by direct means',100,2,4),
(81834,10159595,'When Equipped:',100,0,0),
(81835,10159595,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(81836,10159595,'Increases STR of caster by 8.9',100,2,2),
(81837,10159595,'Increases Damage Per Second of caster by 19.0',100,2,3),
(81838,10159595,'Cannot be modified except by direct means',100,2,4),
(81839,123522,'Decreases Mitigation of target encounter vs noxious damage by 1175',100,1,0),
(81840,10123522,'Decreases Mitigation of target encounter vs noxious damage by 1175',100,1,0),
(81841,115225,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(81842,115225,'Decreases Mitigation of target vs noxious damage by 770',100,2,1),
(81843,115225,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(81844,115225,'Decreases Mitigation of target vs noxious damage by 770',100,2,3),
(81845,10115225,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(81846,10115225,'Decreases Mitigation of target vs noxious damage by 770',100,2,1),
(81847,10115225,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(81848,10115225,'Decreases Mitigation of target vs noxious damage by 770',100,2,3),
(81849,109703,'Inflicts 288 - 352 cold damage on target instantly and every 3 seconds',100,1,0),
(81850,10109703,'Inflicts 403 - 493 cold damage on target instantly and every 3 seconds',100,1,0),
(81851,46235,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(81852,46235,'Heals caster for 165',100,1,1),
(81853,46235,'Heals caster for 82 every 5 seconds',100,1,2),
(81854,10046235,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(81855,10046235,'Heals caster for 107',100,1,1),
(81856,10046235,'Heals caster for 54 every 5 seconds',100,1,2),
(81857,153846,'When Equipped:',100,0,0),
(81858,153846,'When any damage is received this spell has a 7.5% chance to cast Stumble on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(81859,153846,'Decreases AGI of target by 35.0',100,2,2),
(81860,153846,'Cannot be modified except by direct means',100,2,3),
(81861,10153846,'When Equipped:',100,0,0),
(81862,10153846,'When any damage is received this spell has a 7.5% chance to cast Stumble on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(81863,10153846,'Decreases AGI of target by 35.0',100,2,2),
(81864,10153846,'Cannot be modified except by direct means',100,2,3),
(81865,175359,'When Equipped:',100,0,0),
(81866,175359,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(81867,175359,'Inflicts 47 heat damage on target',100,2,2),
(81868,175359,'Cannot be modified except by direct means',100,2,3),
(81869,10175359,'When Equipped:',100,0,0),
(81870,10175359,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(81871,10175359,'Inflicts 66 heat damage on target',100,2,2),
(81872,10175359,'Cannot be modified except by direct means',100,2,3),
(81873,115755,'Inflicts 65 - 108 melee damage on target',100,1,0),
(81874,10115755,'Inflicts 84 - 140 melee damage on target',100,1,0),
(81875,37058,'Increases Max Power of target by 4.1',100,0,0),
(81876,37058,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(81877,85353,'Applies Poison Bolt when Activated.',100,0,0),
(81878,85353,'Inflicts 66 - 110 poison damage on target',100,1,1),
(81879,85353,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81880,10085353,'Applies Poison Bolt when Activated.',100,0,0),
(81881,10085353,'Inflicts 93 - 155 poison damage on target',100,1,1),
(81882,10085353,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(81883,81850,'When Equipped:',100,0,0),
(81884,81850,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81885,81850,'Inflicts 127 - 236 magic damage on target',100,2,2),
(81886,81850,'Cannot be modified except by direct means',100,2,3),
(81887,10081850,'When Equipped:',100,0,0),
(81888,10081850,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81889,10081850,'Inflicts 178 - 331 magic damage on target',100,2,2),
(81890,10081850,'Cannot be modified except by direct means',100,2,3),
(81891,112790,'Inflicts 172 - 287 slashing damage on target',100,1,0),
(81892,112790,'Stifles target',100,1,1),
(81893,112790,'If Target is not Epic',100,2,2),
(81894,112790,'You must be in stealth.',100,1,3),
(81895,112790,'Resistibility increases against targets higher than level 49.',100,1,4),
(81896,10112790,'Inflicts 224 - 374 slashing damage on target',100,1,0),
(81897,10112790,'Stifles target',100,1,1),
(81898,10112790,'If Target is not Epic',100,2,2),
(81899,10112790,'You must be in stealth.',100,1,3),
(81900,10112790,'Resistibility increases against targets higher than level 49.',100,1,4),
(81901,143831,'When Equipped:',100,0,0),
(81902,143831,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(81903,143831,'Reduces healing received by 15.00%',100,2,2),
(81904,143831,'Cannot be modified except by direct means',100,2,3),
(81905,143831,'This effect can only trigger once every 1 second.',100,2,4),
(81906,143831,'Must be engaged in pvp combat',100,1,5),
(81907,10143831,'When Equipped:',100,0,0),
(81908,10143831,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(81909,10143831,'Reduces healing received by 15.00%',100,2,2),
(81910,10143831,'Cannot be modified except by direct means',100,2,3),
(81911,10143831,'This effect can only trigger once every 1 second.',100,2,4),
(81912,10143831,'Must be engaged in pvp combat',100,1,5),
(81913,111086,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(81914,111086,'Slows target by 49.7%',100,2,1),
(81915,111086,'5% chance to dispel when target receives hostile action',100,2,2),
(81916,111086,'5% chance to dispel when target takes damage',100,2,3),
(81917,111086,'Decreases Mitigation of target vs elemental damage by 1815',100,1,4),
(81918,10111086,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(81919,10111086,'Slows target by 49.7%',100,2,1),
(81920,10111086,'5% chance to dispel when target receives hostile action',100,2,2),
(81921,10111086,'5% chance to dispel when target takes damage',100,2,3),
(81922,10111086,'Decreases Mitigation of target vs elemental damage by 1815',100,1,4),
(81923,41443,'When Equipped:',100,0,0),
(81924,41443,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81925,41443,'Inflicts 64 - 119 magic damage on target',100,2,2),
(81926,41443,'Cannot be modified except by direct means',100,2,3),
(81927,10041443,'When Equipped:',100,0,0),
(81928,10041443,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81929,10041443,'Inflicts 90 - 167 magic damage on target',100,2,2),
(81930,10041443,'Cannot be modified except by direct means',100,2,3),
(81931,81104,'When Equipped:',100,0,0),
(81932,81104,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81933,81104,'Inflicts 194 - 361 magic damage on target',100,2,2),
(81934,81104,'Cannot be modified except by direct means',100,2,3),
(81935,10081104,'When Equipped:',100,0,0),
(81936,10081104,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81937,10081104,'Inflicts 272 - 505 magic damage on target',100,2,2),
(81938,10081104,'Cannot be modified except by direct means',100,2,3),
(81939,160442,'When Equipped:',100,0,0),
(81940,160442,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(81941,160442,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(81942,160442,'Decreases Defense of target encounter by 10.0',100,2,3),
(81943,160442,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(81944,160442,'Decreases Parry of target encounter by 10.0',100,2,5),
(81945,160442,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,6),
(81946,160442,'Must not be engaged in pvp combat',100,2,7),
(81947,160442,'Cannot be modified except by direct means',100,2,8),
(81948,160442,'Cannot be modified except by direct means',100,1,9),
(81949,10160442,'When Equipped:',100,0,0),
(81950,10160442,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(81951,10160442,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(81952,10160442,'Decreases Defense of target encounter by 10.0',100,2,3),
(81953,10160442,'Inflicts 1110 - 1227 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(81954,10160442,'Decreases Parry of target encounter by 10.0',100,2,5),
(81955,10160442,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,6),
(81956,10160442,'Must not be engaged in pvp combat',100,2,7),
(81957,10160442,'Cannot be modified except by direct means',100,2,8),
(81958,10160442,'Cannot be modified except by direct means',100,1,9),
(81959,35716,'Increases AGI of target by 1.6',100,0,0),
(81960,35716,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(81961,107102,'Inflicts 431 - 526 divine damage on target',100,1,0),
(81962,10107102,'Inflicts 603 - 737 divine damage on target',100,1,0),
(81963,76117,'When Equipped:',100,0,0),
(81964,76117,'On a combat hit this spell may cast Frigid Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81965,76117,'Inflicts 335 - 558 cold damage on target',100,2,2),
(81966,76117,'Cannot be modified except by direct means',100,2,3),
(81967,10076117,'When Equipped:',100,0,0),
(81968,10076117,'On a combat hit this spell may cast Frigid Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(81969,10076117,'Inflicts 469 - 781 cold damage on target',100,2,2),
(81970,10076117,'Cannot be modified except by direct means',100,2,3),
(81971,109425,'Inflicts 80 - 98 cold damage on target instantly and every 4 seconds',100,1,0),
(81972,109425,'Decreases Mitigation of target vs elemental damage by 368',100,1,1),
(81973,10109425,'Inflicts 112 - 137 cold damage on target instantly and every 4 seconds',100,1,0),
(81974,10109425,'Decreases Mitigation of target vs elemental damage by 368',100,1,1),
(81975,142988,'When Equipped:',100,0,0),
(81976,142988,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(81977,142988,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(81978,142988,'Cannot be modified except by direct means',100,2,3),
(81979,10142988,'When Equipped:',100,0,0),
(81980,10142988,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(81981,10142988,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(81982,10142988,'Cannot be modified except by direct means',100,2,3),
(81983,107872,'Decreases Mitigation of target vs elemental damage by 2080',100,1,0),
(81984,107872,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(81985,107872,'Slows target by 68.8%',100,2,2),
(81986,107872,'5% chance to dispel when target receives hostile action',100,2,3),
(81987,107872,'5% chance to dispel when target takes damage',100,2,4),
(81988,10107872,'Decreases Mitigation of target vs elemental damage by 2080',100,1,0),
(81989,10107872,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(81990,10107872,'Slows target by 68.8%',100,2,2),
(81991,10107872,'5% chance to dispel when target receives hostile action',100,2,3),
(81992,10107872,'5% chance to dispel when target takes damage',100,2,4),
(81993,159429,'Applies Sanguine Imbued when Equipped.',100,0,0),
(81994,159429,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(81995,159429,'Inflicts 74 heat damage on target',100,2,2),
(81996,159429,'Cannot be modified except by direct means',100,2,3),
(81997,10159429,'Applies Sanguine Imbued when Equipped.',100,0,0),
(81998,10159429,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(81999,10159429,'Inflicts 104 heat damage on target',100,2,2),
(82000,10159429,'Cannot be modified except by direct means',100,2,3),
(82001,104137,'Roots target',100,1,0),
(82002,104137,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(82003,104137,'Makes target afraid',100,2,2),
(82004,104137,'Slows target by 29.5%',100,2,3),
(82005,104137,'30% chance to dispel when target takes damage',100,2,4),
(82006,104137,'Resistibility increases against targets higher than level 90.',100,2,5),
(82007,104137,'15% chance to dispel when target takes damage',100,1,6),
(82008,104137,'Does not affect Epic targets',100,1,7),
(82009,104137,'Resistibility increases against targets higher than level 90.',100,1,8),
(82010,10104137,'Roots target',100,1,0),
(82011,10104137,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(82012,10104137,'Makes target afraid',100,2,2),
(82013,10104137,'Slows target by 29.5%',100,2,3),
(82014,10104137,'30% chance to dispel when target takes damage',100,2,4),
(82015,10104137,'Resistibility increases against targets higher than level 90.',100,2,5),
(82016,10104137,'15% chance to dispel when target takes damage',100,1,6),
(82017,10104137,'Does not affect Epic targets',100,1,7),
(82018,10104137,'Resistibility increases against targets higher than level 90.',100,1,8),
(82019,117887,'Heals target for 574 - 701 instantly and every 2 seconds',100,1,0),
(82020,10117887,'Heals target for 373 - 456 instantly and every 2 seconds',100,1,0),
(82021,107017,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(82022,107017,'Increases Threat to target encounter by 1,243 - 1,864 ',100,1,1),
(82023,107017,'Increases threat priority of target encounter by 2 positions',100,1,2),
(82024,10107017,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(82025,24043,'Adds Boar (Ranger) to your Dungeon Maker toolbox',100,0,0),
(82026,10024043,'Adds Boar (Ranger) to your Dungeon Maker toolbox',100,0,0),
(82027,154115,'When Equipped:',100,0,0),
(82028,154115,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(82029,10154115,'When Equipped:',100,0,0),
(82030,10154115,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(82031,81374,'When Equipped:',100,0,0),
(82032,81374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82033,81374,'Inflicts 104 - 194 magic damage on target',100,2,2),
(82034,81374,'Cannot be modified except by direct means',100,2,3),
(82035,10081374,'When Equipped:',100,0,0),
(82036,10081374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82037,10081374,'Inflicts 146 - 271 magic damage on target',100,2,2),
(82038,10081374,'Cannot be modified except by direct means',100,2,3),
(82039,114727,'Inflicts 588 - 981 melee damage on target',100,1,0),
(82040,114727,'You must be in stealth.',100,1,1),
(82041,10114727,'Inflicts 455 - 759 melee damage on target',100,1,0),
(82042,10114727,'You must be in stealth.',100,1,1),
(82043,48985,'Applies Tserrina''s Piercing Gaze when Activated.  Lasts for 2 minutes.',100,0,0),
(82044,48985,'If your next attack is melee-based, it will inflict extraordinary piercing damage.',100,1,1),
(82045,48985,'Dispelled when target casts a combat art',100,1,2),
(82046,48985,'Dispelled when target casts a hostile spell',100,1,3),
(82047,48985,'Dispelled when target takes damage',100,1,4),
(82048,10048985,'Applies Tserrina''s Piercing Gaze when Activated.  Lasts for 2 minutes.',100,0,0),
(82049,10048985,'If your next attack is melee-based, it will inflict extraordinary piercing damage.',100,1,1),
(82050,10048985,'Dispelled when target casts a combat art',100,1,2),
(82051,10048985,'Dispelled when target casts a hostile spell',100,1,3),
(82052,10048985,'Dispelled when target takes damage',100,1,4),
(82053,49078,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(82054,49078,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(82055,49078,'Stuns target',100,2,2),
(82056,49078,'If Target is not Epic',100,3,3),
(82057,49078,'Dispelled when target receives hostile action',100,2,4),
(82058,49078,'Dispelled when target takes damage',100,2,5),
(82059,49078,'Cannot be modified except by direct means',100,2,6),
(82060,49078,'Grants a total of 4 triggers of the spell.',100,2,7),
(82061,10049078,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(82062,10049078,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(82063,10049078,'Stuns target',100,2,2),
(82064,10049078,'If Target is not Epic',100,3,3),
(82065,10049078,'Dispelled when target receives hostile action',100,2,4),
(82066,10049078,'Dispelled when target takes damage',100,2,5),
(82067,10049078,'Cannot be modified except by direct means',100,2,6),
(82068,10049078,'Grants a total of 4 triggers of the spell.',100,2,7),
(82069,104200,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(82070,10104200,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(82071,81409,'When Equipped:',100,0,0),
(82072,81409,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82073,81409,'Inflicts 104 - 194 magic damage on target',100,2,2),
(82074,81409,'Cannot be modified except by direct means',100,2,3),
(82075,10081409,'When Equipped:',100,0,0),
(82076,10081409,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82077,10081409,'Inflicts 146 - 271 magic damage on target',100,2,2),
(82078,10081409,'Cannot be modified except by direct means',100,2,3),
(82079,135178,'When Equipped:',100,0,0),
(82080,135178,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82081,135178,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(82082,135178,'Cannot be modified except by direct means',100,2,3),
(82083,10135178,'When Equipped:',100,0,0),
(82084,10135178,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82085,10135178,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(82086,10135178,'Cannot be modified except by direct means',100,2,3),
(82087,46190,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(82088,46190,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(82089,46190,'Inflicts 49 poison damage on target',100,2,2),
(82090,46190,'Inflicts 25 poison damage on target instantly and every 6 seconds',100,2,3),
(82091,46190,'Cannot be modified except by direct means',100,2,4),
(82092,46190,'Grants a total of 200 triggers of the spell.',100,2,5),
(82093,10046190,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(82094,10046190,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(82095,10046190,'Inflicts 52 poison damage on target',100,2,2),
(82096,10046190,'Inflicts 27 poison damage on target instantly and every 6 seconds',100,2,3),
(82097,10046190,'Cannot be modified except by direct means',100,2,4),
(82098,10046190,'Grants a total of 200 triggers of the spell.',100,2,5),
(82099,124540,'Dispels 58 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(82100,10124540,'Dispels 58 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(82101,45398,'Applies Bottled Intellect when Activated.  Lasts for 1 minute.',100,0,0),
(82102,45398,'Reduces power cost by 10%',100,1,1),
(82103,45398,'Increases power of caster by 15.0%',100,1,2),
(82104,10045398,'Applies Bottled Intellect when Activated.  Lasts for 1 minute.',100,0,0),
(82105,10045398,'Reduces power cost by 10%',100,1,1),
(82106,10045398,'Increases power of caster by 15.0%',100,1,2),
(82107,101398,'Inflicts 323 - 538 melee damage on target',100,1,0),
(82108,101398,'Returns the last arrow used to the ranger.',100,1,1),
(82109,10101398,'Inflicts 420 - 700 melee damage on target',100,1,0),
(82110,10101398,'Returns the last arrow used to the ranger.',100,1,1),
(82111,54391,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(82112,54391,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(82113,54391,'Inflicts 25 heat damage on target',100,2,2),
(82114,54391,'Cannot be modified except by direct means',100,2,3),
(82115,10054391,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(82116,10054391,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(82117,10054391,'Inflicts 35 heat damage on target',100,2,2),
(82118,10054391,'Cannot be modified except by direct means',100,2,3),
(82119,82254,'When Equipped:',100,0,0),
(82120,82254,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82121,82254,'Inflicts 41 - 76 magic damage on target',100,2,2),
(82122,82254,'Cannot be modified except by direct means',100,2,3),
(82123,10082254,'When Equipped:',100,0,0),
(82124,10082254,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82125,10082254,'Inflicts 58 - 107 magic damage on target',100,2,2),
(82126,10082254,'Cannot be modified except by direct means',100,2,3),
(82127,105158,'Increases AGI of caster by 50.1',100,1,0),
(82128,105158,'Adds 2.2% to base avoidance.',100,1,1),
(82129,105158,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(82130,105158,'Increases Parry of caster by 29.0',100,1,3),
(82131,105158,'Increases Defense of caster by 38.6',100,1,4),
(82132,10105158,'Increases AGI of caster by 50.1',100,1,0),
(82133,10105158,'Adds 2.2% to base avoidance.',100,1,1),
(82134,10105158,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(82135,10105158,'Increases Parry of caster by 29.0',100,1,3),
(82136,10105158,'Increases Defense of caster by 38.6',100,1,4),
(82137,46661,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(82138,46661,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(82139,46661,'Inflicts 122 poison damage on target instantly and every 6 seconds',100,2,2),
(82140,46661,'Inflicts 139 poison damage on target',100,2,3),
(82141,46661,'Cannot be modified except by direct means',100,2,4),
(82142,46661,'Grants a total of 200 triggers of the spell.',100,2,5),
(82143,10046661,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(82144,10046661,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(82145,10046661,'Inflicts 128 poison damage on target instantly and every 6 seconds',100,2,2),
(82146,10046661,'Inflicts 146 poison damage on target',100,2,3),
(82147,10046661,'Cannot be modified except by direct means',100,2,4),
(82148,10046661,'Grants a total of 200 triggers of the spell.',100,2,5),
(82149,119979,'Increases Threat to target by 244 - 299 ',100,1,0),
(82150,10119979,'Prevents target from changing targets',100,1,0),
(82151,10119979,'Forces target to change their selected target to caster.',100,1,1),
(82152,82544,'When Equipped:',100,0,0),
(82153,82544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82154,82544,'Inflicts 100 - 185 magic damage on target',100,2,2),
(82155,82544,'Cannot be modified except by direct means',100,2,3),
(82156,10082544,'When Equipped:',100,0,0),
(82157,10082544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82158,10082544,'Inflicts 140 - 260 magic damage on target',100,2,2),
(82159,10082544,'Cannot be modified except by direct means',100,2,3),
(82160,120291,'Target will lose 47% more power when power is consumed',100,1,0),
(82161,120291,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(82162,120291,'Inflicts 334 - 408 divine damage on target',100,2,2),
(82163,120291,'Grants a total of 3 triggers of the spell.',100,2,3),
(82164,10120291,'Target will lose 47% more power when power is consumed',100,1,0),
(82165,10120291,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(82166,10120291,'Inflicts 467 - 571 divine damage on target',100,2,2),
(82167,10120291,'Grants a total of 3 triggers of the spell.',100,2,3),
(82168,81549,'When Equipped:',100,0,0),
(82169,81549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82170,81549,'Inflicts 146 - 271 magic damage on target',100,2,2),
(82171,81549,'Cannot be modified except by direct means',100,2,3),
(82172,10081549,'When Equipped:',100,0,0),
(82173,10081549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82174,10081549,'Inflicts 204 - 379 magic damage on target',100,2,2),
(82175,10081549,'Cannot be modified except by direct means',100,2,3),
(82176,110353,'Increases STR and AGI of group members (AE) by 5.5',100,1,0),
(82177,110353,'Adds 1.5% to base avoidance.',100,1,1),
(82178,10110353,'Increases STR and AGI of group members (AE) by 5.5',100,1,0),
(82179,10110353,'Adds 1.5% to base avoidance.',100,1,1),
(82180,37120,'Increases AGI of target by 1.6',100,0,0),
(82181,37120,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(82182,116803,'Increases STR, AGI, WIS and INT of target by 61.7',100,1,0),
(82183,116803,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82184,116803,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(82185,116803,'Increases Damage Per Second of target by 38.7',100,2,3),
(82186,116803,'Increases Attack Speed of target by 38.7',100,2,4),
(82187,116803,'Adds 1.5% to base avoidance.',100,1,5),
(82188,116803,'Increases Mitigation of target vs elemental, noxious and arcane damage by 181',100,1,6),
(82189,10116803,'Increases STR, AGI, WIS and INT of target by 61.7',100,1,0),
(82190,10116803,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82191,10116803,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(82192,10116803,'Increases Damage Per Second of target by 38.7',100,2,3),
(82193,10116803,'Increases Attack Speed of target by 38.7',100,2,4),
(82194,10116803,'Adds 1.5% to base avoidance.',100,1,5),
(82195,10116803,'Increases Mitigation of target vs elemental, noxious and arcane damage by 181',100,1,6),
(82196,54123,'When Equipped:',100,0,0),
(82197,54123,'Increases caster''s chance to block by 15.0%',100,1,1),
(82198,10054123,'When Equipped:',100,0,0),
(82199,10054123,'Increases caster''s chance to block by 15.0%',100,1,1),
(82200,101663,'Decreases Attack Speed of target by 17.4',100,1,0),
(82201,101663,'Decreases Damage Per Second of target by 10.4',100,1,1),
(82202,10101663,'Decreases Attack Speed of target by 17.4',100,1,0),
(82203,10101663,'Decreases Damage Per Second of target by 10.4',100,1,1),
(82204,118353,'Inflicts 162 - 270 melee damage on target',100,1,0),
(82205,118353,'Inflicts 162 - 270 heat damage on target every 4 seconds',100,1,1),
(82206,10118353,'Inflicts 210 - 351 melee damage on target',100,1,0),
(82207,10118353,'Inflicts 227 - 379 heat damage on target every 4 seconds',100,1,1),
(82208,108096,'Decreases Threat to target by 418 - 697 ',100,1,0),
(82209,10108096,'Forces target to clear their selected target.',100,1,0),
(82210,10108096,'Target cannot target caster for the duration of this effect.',100,1,1),
(82211,71941,'When Equipped:',100,0,0),
(82212,71941,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(82213,71941,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(82214,71941,'Cannot be modified except by direct means',100,2,3),
(82215,10071941,'When Equipped:',100,0,0),
(82216,10071941,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(82217,10071941,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(82218,10071941,'Cannot be modified except by direct means',100,2,3),
(82219,115535,'Increases Mitigation of raid and group members (AE) vs noxious damage by 448',100,1,0),
(82220,10115535,'Increases Mitigation of raid and group members (AE) vs noxious damage by 448',100,1,0),
(82221,115366,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(82222,115366,'Increases Parry of caster by 4.8',100,1,1),
(82223,10115366,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(82224,10115366,'Increases Parry of caster by 4.8',100,1,1),
(82225,111758,'Heals caster for 41 - 51',100,1,0),
(82226,111758,'This effect cannot be critically applied.',100,2,1),
(82227,111758,'The healing of this spell cannot be modified except by direct means',100,1,2),
(82228,10111758,'Heals caster for 21 - 25',100,1,0),
(82229,10111758,'This effect cannot be critically applied.',100,2,1),
(82230,10111758,'The healing of this spell cannot be modified except by direct means',100,1,2),
(82231,45265,'Applies an Awakened Drakota Mount when Activated.',100,0,0),
(82232,45265,'Summons a mount to ride',100,1,1),
(82233,45265,'Increases your ground speed by 75%',100,2,2),
(82234,45265,'Increases your air speed by 150%',100,2,3),
(82235,45265,'Increases Potency of caster by 6.0%',100,1,4),
(82236,45265,'Increases Crit Bonus of caster by 6.0%',100,1,5),
(82237,45265,'Increases Crit Chance of caster by 20.0',100,1,6),
(82238,45265,'Increases Max Health of caster by 600.0',100,1,7),
(82239,45265,'Increases Max Power of caster by 600.0',100,1,8),
(82240,10045265,'Applies an Awakened Drakota Mount when Activated.',100,0,0),
(82241,10045265,'Summons a mount to ride',100,1,1),
(82242,10045265,'Increases your ground speed by 75%',100,2,2),
(82243,10045265,'Increases your air speed by 150%',100,2,3),
(82244,10045265,'Increases Potency of caster by 6.0%',100,1,4),
(82245,10045265,'Increases Crit Bonus of caster by 6.0%',100,1,5),
(82246,10045265,'Increases Crit Chance of caster by 20.0',100,1,6),
(82247,10045265,'Increases Max Health of caster by 600.0',100,1,7),
(82248,10045265,'Increases Max Power of caster by 600.0',100,1,8),
(82249,118266,'Increases Threat to target encounter by 400 - 489 ',100,1,0),
(82250,118266,'Decreases Mitigation of target encounter vs arcane damage by 475',100,1,1),
(82251,10118266,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(82252,10118266,'Prevents target from changing targets',100,2,1),
(82253,10118266,'Forces target to change their selected target to caster.',100,2,2),
(82254,10118266,'Decreases Mitigation of target encounter vs arcane damage by 475',100,1,3),
(82255,35085,'Increases STA and STR of target by 1.2',100,0,0),
(82256,35085,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(82257,109161,'Roots target',100,1,0),
(82258,109161,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(82259,109161,'Dazes target',100,2,2),
(82260,109161,'Blurs vision of target',100,2,3),
(82261,109161,'Dispelled when target takes damage',100,2,4),
(82262,109161,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(82263,109161,'5% chance to dispel when target takes damage',100,1,6),
(82264,109161,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,7),
(82265,109161,'Resistibility increases against targets higher than level 48.',100,1,8),
(82266,10109161,'Roots target',100,1,0),
(82267,10109161,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(82268,10109161,'Dazes target',100,2,2),
(82269,10109161,'Blurs vision of target',100,2,3),
(82270,10109161,'Dispelled when target takes damage',100,2,4),
(82271,10109161,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(82272,10109161,'5% chance to dispel when target takes damage',100,1,6),
(82273,10109161,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(82274,10109161,'Resistibility increases against targets higher than level 48.',100,1,8),
(82275,109043,'Increases Attack Speed of caster by 31.6',100,1,0),
(82276,109043,'Decreases Defense of caster by 10.5',100,1,1),
(82277,109043,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.2',100,1,2),
(82278,10109043,'Increases Attack Speed of caster by 31.6',100,1,0),
(82279,10109043,'Decreases Defense of caster by 10.5',100,1,1),
(82280,10109043,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.2',100,1,2),
(82281,102238,'Increases Max Health of group members (AE) by 992.6',100,1,0),
(82282,10102238,'Increases Max Health of group members (AE) by 992.6',100,1,0),
(82283,46387,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(82284,46387,'Increases INT of caster by 71.5',100,1,1),
(82285,10046387,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(82286,10046387,'Increases INT of caster by 71.5',100,1,1),
(82287,108159,'Inflicts 735 - 1226 melee damage on target',100,1,0),
(82288,108159,'You must be sneaking to use this ability.',100,1,1),
(82289,108159,'Must be flanking or behind',100,1,2),
(82290,10108159,'Inflicts 630 - 1051 melee damage on target',100,1,0),
(82291,10108159,'You must be sneaking to use this ability.',100,1,1),
(82292,10108159,'Must be flanking or behind',100,1,2),
(82293,36199,'Increases Max Power of target by 6.0',100,0,0),
(82294,36199,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(82295,122741,'Applies Tranquil Healing.',100,1,0),
(82296,122741,'Heals target for 872',100,2,1),
(82297,122741,'Dispels 116 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(82298,122741,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(82299,122741,'Heals target for 872',100,3,4),
(82300,10122741,'Applies Tranquil Healing.',100,1,0),
(82301,10122741,'Heals target for 351',100,2,1),
(82302,10122741,'Dispels 116 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(82303,10122741,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(82304,10122741,'Heals target for 351',100,3,4),
(82305,37596,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(82306,114226,'Inflicts 99 - 121 mental damage on target',100,1,0),
(82307,114226,'Stuns target',100,1,1),
(82308,114226,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(82309,114226,'Resistibility increases against targets higher than level 42.',100,1,3),
(82310,10114226,'Inflicts 139 - 170 mental damage on target',100,1,0),
(82311,10114226,'Requires not being affected by Mesmerize effects.',100,2,1),
(82312,10114226,'Stuns target',100,1,2),
(82313,10114226,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(82314,10114226,'Resistibility increases against targets higher than level 42.',100,1,4),
(82315,121565,'Inflicts 420 - 701 melee damage on targets in area',100,1,0),
(82316,121565,'Stuns target encounter',100,1,1),
(82317,121565,'If Target is not Epic',100,2,2),
(82318,121565,'Resistibility increases against targets higher than level 102.',100,1,3),
(82319,10121565,'Inflicts 547 - 911 melee damage on targets in area',100,1,0),
(82320,10121565,'Stuns target encounter',100,1,1),
(82321,10121565,'If Target is not Epic',100,2,2),
(82322,10121565,'Resistibility increases against targets higher than level 102.',100,1,3),
(82323,101922,'Inflicts 53 piercing damage on target instantly and every 4 seconds',100,1,0),
(82324,101922,'Inflicts 160 - 267 melee damage on target',100,1,1),
(82325,101922,'Must be behind',100,1,2),
(82326,10101922,'Inflicts 75 piercing damage on target instantly and every 4 seconds',100,1,0),
(82327,10101922,'Inflicts 208 - 347 melee damage on target',100,1,1),
(82328,10101922,'Must be behind',100,1,2),
(82329,173992,'When Equipped:',100,0,0),
(82330,173992,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82331,173992,'Makes caster immune to Stifle effects',100,2,2),
(82332,173992,'Must not be engaged in pvp combat',100,2,3),
(82333,173992,'Cannot be modified except by direct means',100,2,4),
(82334,173992,'Must not be engaged in pvp combat',100,1,5),
(82335,10173992,'When Equipped:',100,0,0),
(82336,10173992,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82337,10173992,'Makes caster immune to Stifle effects',100,2,2),
(82338,10173992,'Must not be engaged in pvp combat',100,2,3),
(82339,10173992,'Cannot be modified except by direct means',100,2,4),
(82340,10173992,'Must not be engaged in pvp combat',100,1,5),
(82341,104715,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(82342,104715,'Decreases Mitigation of target vs elemental and arcane damage by 308',100,2,1),
(82343,104715,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(82344,104715,'Decreases Mitigation of target vs elemental and arcane damage by 308',100,2,3),
(82345,10104715,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(82346,10104715,'Decreases Mitigation of target vs elemental and arcane damage by 308',100,2,1),
(82347,10104715,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(82348,10104715,'Decreases Mitigation of target vs elemental and arcane damage by 308',100,2,3),
(82349,124163,'Inflicts 5 - 8 melee damage on target',100,1,0),
(82350,10124163,'Inflicts 6 - 11 melee damage on target',100,1,0),
(82351,122853,'Inflicts 72 - 120 ranged damage on target',100,1,0),
(82352,122853,'Inflicts 144 - 240 ranged damage on target',100,1,1),
(82353,122853,'Inflicts 216 - 360 ranged damage on target',100,1,2),
(82354,122853,'Requires bow',100,1,3),
(82355,10122853,'Inflicts 76 - 127 ranged damage on target',100,1,0),
(82356,10122853,'Inflicts 153 - 255 ranged damage on target',100,1,1),
(82357,10122853,'Inflicts 229 - 383 ranged damage on target',100,1,2),
(82358,10122853,'Requires bow',100,1,3),
(82359,27454,'When Equipped:',100,0,0),
(82360,27454,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,1),
(82361,27454,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(82362,10027454,'When Equipped:',100,0,0),
(82363,10027454,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,1),
(82364,10027454,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(82365,101851,'Stuns target',100,1,0),
(82366,101851,'Does not affect Epic targets',100,1,1),
(82367,101851,'Resistibility increases against targets higher than level 68.',100,1,2),
(82368,10101851,'Stuns target',100,1,0),
(82369,10101851,'Does not affect Epic targets',100,1,1),
(82370,10101851,'Resistibility increases against targets higher than level 68.',100,1,2),
(82371,114112,'Inflicts 1178 - 1963 melee damage on targets in area',100,1,0),
(82372,114112,'You must be in stealth to use this!',100,1,1),
(82373,10114112,'Inflicts 1531 - 2553 melee damage on targets in area',100,1,0),
(82374,10114112,'You must be in stealth to use this!',100,1,1),
(82375,41715,'When Equipped:',100,0,0),
(82376,41715,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82377,41715,'Decreases Threat to target by 487 ',100,2,2),
(82378,41715,'Must be flanking or behind',100,3,3),
(82379,41715,'Increases Threat to target by 487 ',100,2,4),
(82380,41715,'Must be in front of',100,3,5),
(82381,41715,'Inflicts 141 - 262 magic damage on target',100,2,6),
(82382,41715,'Cannot be modified except by direct means',100,2,7),
(82383,10041715,'When Equipped:',100,0,0),
(82384,10041715,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82385,10041715,'Inflicts 198 - 367 magic damage on target',100,2,2),
(82386,10041715,'Cannot be modified except by direct means',100,2,3),
(82387,45252,'Applies Aura of the Glade when Activated.  Lasts for 30 minutes.',100,0,0),
(82388,10045252,'Applies Aura of the Glade when Activated.  Lasts for 30 minutes.',100,0,0),
(82389,110623,'Inflicts 338 - 563 ranged damage on target',100,1,0),
(82390,110623,'If weapon equipped in Ranged',100,1,1),
(82391,110623,'Must be flanking or behind',100,1,2),
(82392,10110623,'Inflicts 210 - 350 ranged damage on target',100,1,0),
(82393,10110623,'If weapon equipped in Ranged',100,1,1),
(82394,10110623,'Must be flanking or behind',100,1,2),
(82395,24695,'Adds Skeleton (Troubador) to your Dungeon Maker toolbox',100,0,0),
(82396,10024695,'Adds Skeleton (Troubador) to your Dungeon Maker toolbox',100,0,0),
(82397,41639,'When Equipped:',100,0,0),
(82398,41639,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82399,41639,'Decreases Threat to target by 949 ',100,2,2),
(82400,41639,'Must be flanking or behind',100,3,3),
(82401,41639,'Increases Threat to target by 949 ',100,2,4),
(82402,41639,'Must be in front of',100,3,5),
(82403,41639,'Inflicts 260 - 482 magic damage on target',100,2,6),
(82404,41639,'Cannot be modified except by direct means',100,2,7),
(82405,10041639,'When Equipped:',100,0,0),
(82406,10041639,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82407,10041639,'Inflicts 364 - 675 magic damage on target',100,2,2),
(82408,10041639,'Cannot be modified except by direct means',100,2,3),
(82409,35155,'Increases STR of target by 1.6',100,0,0),
(82410,35155,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(82411,24665,'Adds Raptor (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(82412,10024665,'Adds Raptor (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(82413,116745,'Increases Max Health of target by 74.4',100,1,0),
(82414,116745,'Increases Max Power of target by 84.2',100,1,1),
(82415,10116745,'Increases Max Health of target by 74.4',100,1,0),
(82416,10116745,'Increases Max Power of target by 84.2',100,1,1),
(82417,105348,'Inflicts 546 - 910 melee damage on target',100,1,0),
(82418,105348,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 712',100,1,1),
(82419,105348,'Must be flanking or behind',100,1,2),
(82420,10105348,'Inflicts 710 - 1183 melee damage on target',100,1,0),
(82421,10105348,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 712',100,1,1),
(82422,10105348,'Must be flanking or behind',100,1,2),
(82423,87223,'When Equipped:',100,0,0),
(82424,87223,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82425,87223,'Inflicts 65 - 98 magic damage on target',100,2,2),
(82426,87223,'Cannot be modified except by direct means',100,2,3),
(82427,10087223,'When Equipped:',100,0,0),
(82428,10087223,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82429,10087223,'Inflicts 91 - 137 magic damage on target',100,2,2),
(82430,10087223,'Cannot be modified except by direct means',100,2,3),
(82431,74791,'When Equipped:',100,0,0),
(82432,74791,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82433,74791,'Inflicts 81 - 122 magic damage on target',100,2,2),
(82434,74791,'Cannot be modified except by direct means',100,2,3),
(82435,10074791,'When Equipped:',100,0,0),
(82436,10074791,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82437,10074791,'Inflicts 113 - 170 magic damage on target',100,2,2),
(82438,10074791,'Cannot be modified except by direct means',100,2,3),
(82439,124686,'Inflicts 179 - 219 cold damage on target instantly and every 4 seconds',100,1,0),
(82440,124686,'Slows target by 75.0%',100,1,1),
(82441,10124686,'Inflicts 251 - 306 cold damage on target',100,1,0),
(82442,10124686,'Inflicts 218 - 266 cold damage on target every 4 seconds',100,1,1),
(82443,10124686,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(82444,10124686,'Slows target by 75.0%',100,2,3),
(82445,147200,'When Equipped:',100,0,0),
(82446,147200,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82447,147200,'Increases Crit Bonus of caster by 7.0%',100,2,2),
(82448,147200,'Cannot be modified except by direct means',100,2,3),
(82449,147200,'When Equipped:',100,0,4),
(82450,147200,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(82451,147200,'Inflicts 2648 magic damage on target',100,2,6),
(82452,147200,'Cannot be modified except by direct means',100,2,7),
(82453,10147200,'When Equipped:',100,0,0),
(82454,10147200,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(82455,10147200,'Increases Crit Bonus of caster by 7.0%',100,2,2),
(82456,10147200,'Cannot be modified except by direct means',100,2,3),
(82457,10147200,'When Equipped:',100,0,4),
(82458,10147200,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(82459,10147200,'Inflicts 1854 magic damage on target',100,2,6),
(82460,10147200,'Cannot be modified except by direct means',100,2,7),
(82461,118560,'Dazes caster',100,1,0),
(82462,118560,'Roots caster',100,1,1),
(82463,118560,'Increases Mitigation of caster vs physical damage by 1080',100,1,2),
(82464,10118560,'Dazes caster',100,1,0),
(82465,10118560,'Roots caster',100,1,1),
(82466,10118560,'Increases Mitigation of caster vs physical damage by 1080',100,1,2),
(82467,176419,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(82468,176419,'Slows target by 40.0%',100,1,1),
(82469,176419,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(82470,176419,'Decreases Attack Speed of target by 16.1',100,2,3),
(82471,176419,'Cannot be modified except by direct means',100,2,4),
(82472,176419,'5% chance to dispel when target takes damage',100,1,5),
(82473,176419,'5% chance to dispel when target receives hostile action',100,1,6),
(82474,176419,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(82475,10176419,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(82476,10176419,'Slows target by 40.0%',100,1,1),
(82477,10176419,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(82478,10176419,'Decreases Attack Speed of target by 16.1',100,2,3),
(82479,10176419,'Cannot be modified except by direct means',100,2,4),
(82480,10176419,'5% chance to dispel when target takes damage',100,1,5),
(82481,10176419,'5% chance to dispel when target receives hostile action',100,1,6),
(82482,10176419,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(82483,88271,'When Equipped:',100,0,0),
(82484,88271,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(82485,88271,'Decreases threat priority of target by 1 position',100,2,2),
(82486,88271,'Decreases Threat to target by 4,345  instantly and Decreases Threat by 4,345  every 4 seconds thereafter',100,2,3),
(82487,88271,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,4),
(82488,88271,'Inflicts an additional 2664 heat damage on target every tick',100,2,5),
(82489,88271,'Must not be engaged in pvp combat',100,2,6),
(82490,88271,'Cannot be modified except by direct means',100,2,7),
(82491,88271,'Must not be engaged in pvp combat',100,1,8),
(82492,10088271,'When Equipped:',100,0,0),
(82493,10088271,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(82494,10088271,'Inflicts 7459 heat damage on target instantly and every 4 seconds',100,2,2),
(82495,10088271,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(82496,10088271,'Must not be engaged in pvp combat',100,2,4),
(82497,10088271,'Cannot be modified except by direct means',100,2,5),
(82498,10088271,'Must not be engaged in pvp combat',100,1,6),
(82499,110935,'Inflicts 160 - 267 divine damage on target',100,1,0),
(82500,110935,'Increases Threat to target by 1,446 ',100,1,1),
(82501,110935,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(82502,110935,'Stuns target',100,2,3),
(82503,110935,'Throws target back',100,2,4),
(82504,110935,'Blurs vision of target',100,2,5),
(82505,110935,'Does not affect Epic targets',100,2,6),
(82506,10110935,'Inflicts 208 - 348 divine damage on target',100,1,0),
(82507,10110935,'Prevents target from changing targets',100,1,1),
(82508,10110935,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(82509,10110935,'Stuns target',100,2,3),
(82510,10110935,'Throws target back',100,2,4),
(82511,10110935,'Blurs vision of target',100,2,5),
(82512,10110935,'Does not affect Epic targets',100,2,6),
(82513,10110935,'Forces target to change their selected target to caster.',100,1,7),
(82514,110439,'Dazes targets in Area of Effect',100,1,0),
(82515,110439,'If Target is not Epic',100,2,1),
(82516,110439,'Decreases Threat to targets in Area of Effect by 1,008 ',100,1,2),
(82517,110439,'Dispelled when target receives hostile action',100,1,3),
(82518,110439,'Dispelled when target takes damage',100,1,4),
(82519,10110439,'Dazes targets in Area of Effect',100,1,0),
(82520,10110439,'If Target is not Epic',100,2,1),
(82521,10110439,'Applies Distract.',100,1,2),
(82522,10110439,'Forces target to clear their selected target.',100,2,3),
(82523,10110439,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(82524,10110439,'Dispelled when target receives hostile action',100,1,5),
(82525,10110439,'Dispelled when target takes damage',100,1,6),
(82526,110079,'Summons a pet grim sorcerer',100,1,0),
(82527,10110079,'Summons a pet grim sorcerer',100,1,0),
(82528,173601,'When Equipped:',100,0,0),
(82529,173601,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(82530,10173601,'When Equipped:',100,0,0),
(82531,10173601,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(82532,25550,'When Equipped:',100,0,0),
(82533,25550,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(82534,25550,'Iceshield VI will increase the target''s Block Chance by 10%.',100,1,2),
(82535,10025550,'When Equipped:',100,0,0),
(82536,10025550,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(82537,10025550,'Iceshield VI will increase the target''s Block Chance by 10%.',100,1,2),
(82538,82927,'When Equipped:',100,0,0),
(82539,82927,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82540,82927,'Inflicts 271 - 504 magic damage on target',100,2,2),
(82541,82927,'Cannot be modified except by direct means',100,2,3),
(82542,10082927,'When Equipped:',100,0,0),
(82543,10082927,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82544,10082927,'Inflicts 380 - 705 magic damage on target',100,2,2),
(82545,10082927,'Cannot be modified except by direct means',100,2,3),
(82546,100810,'Wards target against 1247 points of all damage',100,1,0),
(82547,10100810,'Wards target against 1919 points of all damage',100,1,0),
(82548,88510,'When Equipped:',100,0,0),
(82549,88510,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(82550,88510,'Inflicts 3164 - 3497 slashing damage on target encounter',100,2,2),
(82551,88510,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(82552,88510,'Must not be engaged in pvp combat',100,2,4),
(82553,88510,'Cannot be modified except by direct means',100,2,5),
(82554,88510,'Must not be engaged in pvp combat',100,1,6),
(82555,10088510,'When Equipped:',100,0,0),
(82556,10088510,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(82557,10088510,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(82558,10088510,'Inflicts 886 - 979 slashing damage on target encounter every 2 seconds',100,2,3),
(82559,10088510,'Must not be engaged in pvp combat',100,2,4),
(82560,10088510,'Cannot be modified except by direct means',100,2,5),
(82561,10088510,'Must not be engaged in pvp combat',100,1,6),
(82562,119709,'Increases Threat to target encounter by 941 - 1,151 ',100,1,0),
(82563,10119709,'Prevents target encounter from changing targets',100,1,0),
(82564,10119709,'Forces target encounter to change their selected target to caster.',100,1,1),
(82565,121675,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(82566,121675,'Inflicts 31 - 38 heat damage on target instantly and every second',100,2,1),
(82567,10121675,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(82568,10121675,'Inflicts 44 - 54 heat damage on target instantly and every second',100,2,1),
(82569,105614,'Inflicts 14 disease damage on target instantly and every 6 seconds',100,1,0),
(82570,105614,'Inflicts 32 - 54 disease damage on target',100,1,1),
(82571,105614,'Inflicts 32 - 54 disease damage on target',100,1,2),
(82572,10105614,'Inflicts 20 disease damage on target instantly and every 6 seconds',100,1,0),
(82573,10105614,'Inflicts 42 - 71 disease damage on target',100,1,1),
(82574,10105614,'Inflicts 42 - 71 disease damage on target',100,1,2),
(82575,52986,'When Equipped:',100,0,0),
(82576,52986,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(82577,52986,'Inflicts 501 piercing damage on target',100,2,2),
(82578,52986,'Cannot be modified except by direct means',100,2,3),
(82579,10052986,'When Equipped:',100,0,0),
(82580,10052986,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(82581,10052986,'Inflicts 701 piercing damage on target',100,2,2),
(82582,10052986,'Cannot be modified except by direct means',100,2,3),
(82583,82572,'When Equipped:',100,0,0),
(82584,82572,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82585,82572,'Decreases Threat to target by 259 ',100,2,2),
(82586,82572,'Must be flanking or behind',100,3,3),
(82587,82572,'Increases Threat to target by 259 ',100,2,4),
(82588,82572,'Must be in front of',100,3,5),
(82589,82572,'Inflicts 101 - 188 magic damage on target',100,2,6),
(82590,82572,'Cannot be modified except by direct means',100,2,7),
(82591,10082572,'When Equipped:',100,0,0),
(82592,10082572,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82593,10082572,'Inflicts 142 - 263 magic damage on target',100,2,2),
(82594,10082572,'Cannot be modified except by direct means',100,2,3),
(82595,101962,'Inflicts 444 - 824 heat damage on target',100,1,0),
(82596,10101962,'Inflicts 621 - 1154 heat damage on target',100,1,0),
(82597,102049,'Interrupts targets in Area of Effect',100,1,0),
(82598,102049,'Inflicts 180 - 300 melee damage on targets in area',100,1,1),
(82599,10102049,'Interrupts targets in Area of Effect',100,1,0),
(82600,10102049,'Inflicts 234 - 390 melee damage on targets in area',100,1,1),
(82601,120072,'Inflicts 124 - 208 mental damage on target',100,1,0),
(82602,120072,'Inflicts 124 - 208 mental damage on target',100,1,1),
(82603,120072,'Stifles target',100,1,2),
(82604,120072,'If Target is not Epic',100,2,3),
(82605,120072,'If weapon equipped in Ranged',100,1,4),
(82606,120072,'Resistibility increases against targets higher than level 73.',100,1,5),
(82607,10120072,'Inflicts 141 - 236 mental damage on target',100,1,0),
(82608,10120072,'Inflicts 141 - 236 mental damage on target',100,1,1),
(82609,10120072,'Stifles target',100,1,2),
(82610,10120072,'If Target is not Epic',100,2,3),
(82611,10120072,'If weapon equipped in Ranged',100,1,4),
(82612,10120072,'Resistibility increases against targets higher than level 73.',100,1,5),
(82613,113562,'Inflicts 710 - 1183 disease damage on target',100,1,0),
(82614,10113562,'Inflicts 994 - 1656 disease damage on target',100,1,0),
(82615,108819,'Inflicts 604 - 1122 heat damage on targets in Area of Effect',100,1,0),
(82616,10108819,'Inflicts 846 - 1571 heat damage on targets in Area of Effect',100,1,0),
(82617,118362,'Inflicts 48 - 81 melee damage on target',100,1,0),
(82618,118362,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(82619,118362,'Stuns target',100,2,2),
(82620,118362,'Throws target back',100,2,3),
(82621,118362,'Blurs vision of target',100,2,4),
(82622,118362,'Does not affect Epic targets',100,2,5),
(82623,10118362,'Inflicts 63 - 105 melee damage on target',100,1,0),
(82624,10118362,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(82625,10118362,'Stuns target',100,2,2),
(82626,10118362,'Throws target back',100,2,3),
(82627,10118362,'Blurs vision of target',100,2,4),
(82628,10118362,'Does not affect Epic targets',100,2,5),
(82629,47206,'Applies Elixir of Resurgence  when Activated.',100,0,0),
(82630,47206,'Heals caster for 34',100,1,1),
(82631,10047206,'Applies Elixir of Resurgence  when Activated.',100,0,0),
(82632,10047206,'Heals caster for 22',100,1,1),
(82633,81366,'When Equipped:',100,0,0),
(82634,81366,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82635,81366,'Inflicts 104 - 194 magic damage on target',100,2,2),
(82636,81366,'Cannot be modified except by direct means',100,2,3),
(82637,10081366,'When Equipped:',100,0,0),
(82638,10081366,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(82639,10081366,'Inflicts 146 - 271 magic damage on target',100,2,2),
(82640,10081366,'Cannot be modified except by direct means',100,2,3),
(82641,47149,'Applies Dargon''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(82642,47149,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(82643,10047149,'Applies Dargon''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(82644,10047149,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(82645,119875,'Increases INT and AGI of group members (AE) by 43.4',100,1,0),
(82646,119875,'Adds 2.2% to base avoidance.',100,1,1),
(82647,10119875,'Increases INT and AGI of group members (AE) by 43.4',100,1,0),
(82648,10119875,'Adds 2.2% to base avoidance.',100,1,1),
(82649,107845,'Decreases Mitigation of target vs elemental damage by 240',100,1,0),
(82650,107845,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(82651,107845,'Slows target by 34.5%',100,2,2),
(82652,107845,'5% chance to dispel when target receives hostile action',100,2,3),
(82653,107845,'5% chance to dispel when target takes damage',100,2,4),
(82654,10107845,'Decreases Mitigation of target vs elemental damage by 240',100,1,0),
(82655,10107845,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(82656,10107845,'Slows target by 34.5%',100,2,2),
(82657,10107845,'5% chance to dispel when target receives hostile action',100,2,3),
(82658,10107845,'5% chance to dispel when target takes damage',100,2,4),
(82659,87646,'When Equipped:',100,0,0),
(82660,87646,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(82661,87646,'Increases power of caster by 80',100,2,2),
(82662,87646,'Cannot be modified except by direct means',100,2,3),
(82663,10087646,'When Equipped:',100,0,0),
(82664,10087646,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(82665,10087646,'Increases power of caster by 80',100,2,2),
(82666,10087646,'Cannot be modified except by direct means',100,2,3),
(82667,71910,'When Equipped:',100,0,0),
(82668,71910,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(82669,71910,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(82670,71910,'Cannot be modified except by direct means',100,2,3),
(82671,10071910,'When Equipped:',100,0,0),
(82672,10071910,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(82673,10071910,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(82674,10071910,'Cannot be modified except by direct means',100,2,3),
(82675,153946,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(82676,153946,'Decreases Attack Speed of target by 16.1',100,1,1),
(82677,153946,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(82678,10153946,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(82679,10153946,'Decreases Attack Speed of target by 16.1',100,1,1),
(82680,10153946,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(82681,121749,'Causes 16% Threat to transfer to target when in combat',100,1,0),
(82682,10121749,'Applies Swarthy Distraction.',100,1,0),
(82683,10121749,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(82684,10121749,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(82685,106471,'Decreases STR and AGI of target by 8.4',100,1,0),
(82686,10106471,'Decreases STR and AGI of target by 8.4',100,1,0),
(82687,159268,'When Equipped:',100,0,0),
(82688,159268,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(82689,159268,'Increases STA of caster by 5.1',100,2,2),
(82690,159268,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(82691,159268,'Cannot be modified except by direct means',100,2,4),
(82692,10159268,'When Equipped:',100,0,0),
(82693,10159268,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(82694,10159268,'Increases STA of caster by 5.1',100,2,2),
(82695,10159268,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(82696,10159268,'Cannot be modified except by direct means',100,2,4),
(82697,121968,'Inflicts 89 - 148 disease damage on target',100,1,0),
(82698,121968,'Decreases Defense of target by 21.1',100,1,1),
(82699,121968,'Interrupts target',100,1,2),
(82700,10121968,'Inflicts 124 - 207 disease damage on target',100,1,0),
(82701,10121968,'Decreases Defense of target by 21.1',100,1,1),
(82702,10121968,'Interrupts target',100,1,2),
(82703,82079,'When Equipped:',100,0,0),
(82704,82079,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82705,82079,'Decreases Threat to target by 641 ',100,2,2),
(82706,82079,'Must be flanking or behind',100,3,3),
(82707,82079,'Increases Threat to target by 641 ',100,2,4),
(82708,82079,'Must be in front of',100,3,5),
(82709,82079,'Inflicts 182 - 339 magic damage on target',100,2,6),
(82710,82079,'Cannot be modified except by direct means',100,2,7),
(82711,10082079,'When Equipped:',100,0,0),
(82712,10082079,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82713,10082079,'Inflicts 255 - 474 magic damage on target',100,2,2),
(82714,10082079,'Cannot be modified except by direct means',100,2,3),
(82715,123105,'Inflicts 58 disease damage on targets in Area of Effect',100,1,0),
(82716,123105,'Inflicts 40 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(82717,10123105,'Inflicts 81 disease damage on targets in Area of Effect',100,1,0),
(82718,10123105,'Inflicts 55 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(82719,147289,'Applies Blurting Obscenities when Activated.',100,0,0),
(82720,147289,'Increases Threat to targets in Area of Effect by 2,500 ',100,1,1),
(82721,147289,'Must be engaged in combat',100,1,2),
(82722,147289,'The casting time of Blurting Obscenities is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,3),
(82723,10147289,'Applies Blurting Obscenities when Activated.',100,0,0),
(82724,10147289,'Must be engaged in combat',100,1,1),
(82725,10147289,'The casting time of Blurting Obscenities is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,2),
(82726,110134,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(82727,110134,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(82728,110134,'Only affects the caster of Guardian''s Sphere',100,2,2),
(82729,110134,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(82730,110134,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(82731,110134,'If not fighter',100,2,5),
(82732,10110134,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(82733,10110134,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(82734,10110134,'Only affects the caster of Guardian''s Sphere',100,2,2),
(82735,10110134,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(82736,10110134,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(82737,10110134,'If not fighter',100,2,5),
(82738,122998,'Wards group members (AE) collectively against 765 total points of all damage',100,1,0),
(82739,10122998,'Wards group members (AE) collectively against 1139 total points of all damage',100,1,0),
(82740,116121,'Inflicts 36 - 60 divine damage on target',100,1,0),
(82741,116121,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(82742,116121,'Stuns target',100,2,2),
(82743,116121,'Throws target back',100,2,3),
(82744,116121,'Blurs vision of target',100,2,4),
(82745,116121,'Does not affect Epic targets',100,2,5),
(82746,10116121,'Inflicts 47 - 78 divine damage on target',100,1,0),
(82747,10116121,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(82748,10116121,'Stuns target',100,2,2),
(82749,10116121,'Throws target back',100,2,3),
(82750,10116121,'Blurs vision of target',100,2,4),
(82751,10116121,'Does not affect Epic targets',100,2,5),
(82752,100205,'Increases Threat to target encounter by 259 - 317 ',100,1,0),
(82753,100205,'Interrupts target encounter',100,1,1),
(82754,10100205,'Interrupts target encounter',100,1,0),
(82755,10100205,'Forces target encounter to change their selected target to caster.',100,1,1),
(82756,10100205,'Prevents target encounter from changing targets',100,1,2),
(82757,114975,'Decreases Attack Speed of target by 10.4',100,1,0),
(82758,114975,'Inflicts 72 - 216 slashing damage on target',100,1,1),
(82759,114975,'Inflicts 144 slashing damage on target instantly and every 4 seconds',100,1,2),
(82760,10114975,'Decreases Attack Speed of target by 10.4',100,1,0),
(82761,10114975,'Inflicts 93 - 281 slashing damage on target',100,1,1),
(82762,10114975,'Inflicts 202 slashing damage on target instantly and every 4 seconds',100,1,2),
(82763,121421,'Inflicts 1668 - 2039 ranged damage on targets in area',100,1,0),
(82764,10121421,'Inflicts 1418 - 1733 ranged damage on targets in area',100,1,0),
(82765,102534,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(82766,102534,'Increases Aggression of caster by 15.5',100,1,1),
(82767,102534,'Increases Defense and Parry of caster by 31.1',100,1,2),
(82768,102534,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(82769,10102534,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(82770,10102534,'Increases Aggression of caster by 15.5',100,1,1),
(82771,10102534,'Increases Defense and Parry of caster by 31.1',100,1,2),
(82772,10102534,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(82773,100954,'Dazes target',100,1,0),
(82774,100954,'Inflicts 493 - 602 mental damage on target',100,1,1),
(82775,100954,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(82776,100954,'Resistibility increases against targets higher than level 82.',100,1,3),
(82777,10100954,'Dazes target',100,1,0),
(82778,10100954,'Inflicts 690 - 843 mental damage on target',100,1,1),
(82779,10100954,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(82780,10100954,'Resistibility increases against targets higher than level 82.',100,1,3),
(82781,117272,'Inflicts 117 - 196 melee damage on target',100,1,0),
(82782,117272,'Decreases Damage Per Second of target by 9.2',100,1,1),
(82783,117272,'Decreases Attack Speed of target by 7.8',100,1,2),
(82784,10117272,'Inflicts 152 - 254 melee damage on target',100,1,0),
(82785,10117272,'Decreases Damage Per Second of target by 9.2',100,1,1),
(82786,10117272,'Decreases Attack Speed of target by 7.8',100,1,2),
(82787,106218,'Inflicts 146 - 439 melee damage on target',100,1,0),
(82788,106218,'Stifles target',100,1,1),
(82789,106218,'If Target is not Epic',100,2,2),
(82790,106218,'Resistibility increases against targets higher than level 69.',100,1,3),
(82791,10106218,'Inflicts 190 - 571 melee damage on target',100,1,0),
(82792,10106218,'Stifles target',100,1,1),
(82793,10106218,'If Target is not Epic',100,2,2),
(82794,10106218,'Resistibility increases against targets higher than level 69.',100,1,3),
(82795,113103,'Heals target for 46.8 - 57.2% of max health',100,1,0),
(82796,113103,'This effect cannot be critically applied.',100,2,1),
(82797,113103,'Increases Max Health of target by 537.7',100,1,2),
(82798,113103,'Increases Mitigation of target vs physical damage by 620',100,1,3),
(82799,113103,'The healing of this spell cannot be modified except by direct means',100,1,4),
(82800,10113103,'Heals target for 18.7 - 22.9% of max health',100,1,0),
(82801,10113103,'This effect cannot be critically applied.',100,2,1),
(82802,10113103,'Increases Max Health of target by 537.7',100,1,2),
(82803,10113103,'Increases Mitigation of target vs physical damage by 620',100,1,3),
(82804,10113103,'The healing of this spell cannot be modified except by direct means',100,1,4),
(82805,109081,'Inflicts 151 - 251 melee damage on target',100,1,0),
(82806,109081,'Inflicts 151 - 251 melee damage on target',100,1,1),
(82807,109081,'Inflicts 151 - 251 melee damage on target',100,1,2),
(82808,109081,'Decreases Mitigation of target vs physical damage by 462',100,1,3),
(82809,10109081,'Inflicts 196 - 327 melee damage on target',100,1,0),
(82810,10109081,'Inflicts 196 - 327 melee damage on target',100,1,1),
(82811,10109081,'Inflicts 196 - 327 melee damage on target',100,1,2),
(82812,10109081,'Decreases Mitigation of target vs physical damage by 462',100,1,3),
(82813,144291,'When Equipped:',100,0,0),
(82814,144291,'Increases the caster''s heals and wards by 5%.',100,1,1),
(82815,144291,'Must not be engaged in pvp combat',100,1,2),
(82816,10144291,'When Equipped:',100,0,0),
(82817,10144291,'Increases the caster''s heals and wards by 5%.',100,1,1),
(82818,10144291,'Must not be engaged in pvp combat',100,1,2),
(82819,106538,'Inflicts 206 - 252 melee damage on target',100,1,0),
(82820,106538,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(82821,106538,'Increases Hate Gain of target by 30.0%',100,2,2),
(82822,106538,'Grants a total of 1 trigger of the spell.',100,2,3),
(82823,10106538,'Inflicts 268 - 328 melee damage on target',100,1,0),
(82824,10106538,'25% chance to apply Distract on termination.',100,1,1),
(82825,10106538,'Forces target to clear their selected target.',100,2,2),
(82826,101271,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(82827,101271,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,1),
(82828,10101271,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(82829,10101271,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,1),
(82830,48869,'Applies Translucent Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(82831,48869,'Heals caster for 150',100,1,1),
(82832,48869,'Heals caster for 75 every 5 seconds',100,1,2),
(82833,48869,'Only affects targets level 50 and above',100,1,3),
(82834,10048869,'Applies Translucent Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(82835,10048869,'Heals caster for 97',100,1,1),
(82836,10048869,'Heals caster for 49 every 5 seconds',100,1,2),
(82837,10048869,'Only affects targets level 50 and above',100,1,3),
(82838,36790,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(82839,158318,'When Equipped:',100,0,0),
(82840,158318,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(82841,158318,'This effect suspends during combat',100,1,2),
(82842,10158318,'When Equipped:',100,0,0),
(82843,10158318,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(82844,10158318,'This effect suspends during combat',100,1,2),
(82845,139148,'When Equipped:',100,0,0),
(82846,139148,'Reduces maximum falling speed of caster',100,1,1),
(82847,10139148,'When Equipped:',100,0,0),
(82848,10139148,'Reduces maximum falling speed of caster',100,1,1),
(82849,47506,'Applies Petamorph: Ice Boar when Activated.  Lasts for 2 hours.',100,0,0),
(82850,47506,'Turns the caster''s combat pet into an ice boar. Does not work on cosmetic pets.',100,1,1),
(82851,10047506,'Applies Petamorph: Ice Boar when Activated.  Lasts for 2 hours.',100,0,0),
(82852,10047506,'Turns the caster''s combat pet into an ice boar. Does not work on cosmetic pets.',100,1,1),
(82853,115390,'Inflicts 66 - 111 melee damage on target',100,1,0),
(82854,115390,'Decreases INT of target by 11.6',100,1,1),
(82855,115390,'You must be sneaking to use this ability.',100,1,2),
(82856,10115390,'Inflicts 86 - 144 melee damage on target',100,1,0),
(82857,10115390,'Decreases INT of target by 11.6',100,1,1),
(82858,10115390,'You must be sneaking to use this ability.',100,1,2),
(82859,36860,'Increases WIS of target by 1.6',100,0,0),
(82860,36860,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(82861,115148,'Heals target for 14 - 17',100,1,0),
(82862,10115148,'Heals target for 19 - 24',100,1,0),
(82863,52894,'Applies Sanguine Imbued when Equipped.',100,0,0),
(82864,52894,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(82865,52894,'Inflicts 130 heat damage on target',100,2,2),
(82866,52894,'Cannot be modified except by direct means',100,2,3),
(82867,10052894,'Applies Sanguine Imbued when Equipped.',100,0,0),
(82868,10052894,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(82869,10052894,'Inflicts 182 heat damage on target',100,2,2),
(82870,10052894,'Cannot be modified except by direct means',100,2,3),
(82871,104275,'Inflicts 61 - 102 crushing damage on target',100,1,0),
(82872,104275,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(82873,104275,'Stuns target',100,2,2),
(82874,104275,'Throws target back',100,2,3),
(82875,104275,'Blurs vision of target',100,2,4),
(82876,104275,'Does not affect Epic targets',100,2,5),
(82877,10104275,'Inflicts 79 - 133 crushing damage on target',100,1,0),
(82878,10104275,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(82879,10104275,'Stuns target',100,2,2),
(82880,10104275,'Throws target back',100,2,3),
(82881,10104275,'Blurs vision of target',100,2,4),
(82882,10104275,'Does not affect Epic targets',100,2,5),
(82883,187431,'When Equipped:',100,0,0),
(82884,187431,'Increases Attack Speed of caster by 40.0',100,1,1),
(82885,10187431,'When Equipped:',100,0,0),
(82886,10187431,'Increases Attack Speed of caster by 40.0',100,1,1),
(82887,72437,'When Equipped:',100,0,0),
(82888,72437,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(82889,72437,'Reduces healing received by 15.00%',100,2,2),
(82890,72437,'Cannot be modified except by direct means',100,2,3),
(82891,72437,'This effect can only trigger once every 1 second.',100,2,4),
(82892,72437,'Must be engaged in pvp combat',100,1,5),
(82893,10072437,'When Equipped:',100,0,0),
(82894,10072437,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(82895,10072437,'Reduces healing received by 15.00%',100,2,2),
(82896,10072437,'Cannot be modified except by direct means',100,2,3),
(82897,10072437,'This effect can only trigger once every 1 second.',100,2,4),
(82898,10072437,'Must be engaged in pvp combat',100,1,5),
(82899,105501,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 3.6',100,1,0),
(82900,10105501,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 3.6',100,1,0),
(82901,72238,'When Equipped:',100,0,0),
(82902,72238,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(82903,72238,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(82904,72238,'Cannot be modified except by direct means',100,2,3),
(82905,10072238,'When Equipped:',100,0,0),
(82906,10072238,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(82907,10072238,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(82908,10072238,'Cannot be modified except by direct means',100,2,3),
(82909,106588,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(82910,106588,'Increases Parry of caster by 14.4',100,1,1),
(82911,10106588,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(82912,10106588,'Increases Parry of caster by 14.4',100,1,1),
(82913,47020,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(82914,47020,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(82915,47020,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(82916,47020,'Cannot be modified except by direct means',100,2,3),
(82917,47020,'Grants a total of 80 triggers of the spell.',100,2,4),
(82918,10047020,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(82919,10047020,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(82920,10047020,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(82921,10047020,'Cannot be modified except by direct means',100,2,3),
(82922,10047020,'Grants a total of 80 triggers of the spell.',100,2,4),
(82923,186152,'When Equipped:',100,0,0),
(82924,186152,'Increases Potency of caster by 1.3%',100,1,1),
(82925,186152,'Increases Spell Reuse Speed of caster by 1.3%',100,1,2),
(82926,186152,'Must not be engaged in pvp combat',100,1,3),
(82927,10186152,'When Equipped:',100,0,0),
(82928,10186152,'Increases Potency of caster by 1.3%',100,1,1),
(82929,10186152,'Increases Spell Reuse Speed of caster by 1.3%',100,1,2),
(82930,10186152,'Must not be engaged in pvp combat',100,1,3),
(82931,82113,'When Equipped:',100,0,0),
(82932,82113,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82933,82113,'Decreases Threat to target by 641 ',100,2,2),
(82934,82113,'Must be flanking or behind',100,3,3),
(82935,82113,'Increases Threat to target by 641 ',100,2,4),
(82936,82113,'Must be in front of',100,3,5),
(82937,82113,'Inflicts 182 - 339 magic damage on target',100,2,6),
(82938,82113,'Cannot be modified except by direct means',100,2,7),
(82939,10082113,'When Equipped:',100,0,0),
(82940,10082113,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(82941,10082113,'Inflicts 255 - 474 magic damage on target',100,2,2),
(82942,10082113,'Cannot be modified except by direct means',100,2,3),
(82943,104239,'Increases Mitigation of group members (AE) vs physical damage by 195',100,1,0),
(82944,10104239,'Increases Mitigation of group members (AE) vs physical damage by 195',100,1,0),
(82945,118715,'Inflicts 90 - 151 slashing damage on target',100,1,0),
(82946,118715,'Decreases Slashing, Crushing and Piercing of target by 7.0',100,1,1),
(82947,118715,'Inflicts 37 - 46 slashing damage on target every 5 seconds',100,1,2),
(82948,10118715,'Inflicts 118 - 196 slashing damage on target',100,1,0),
(82949,10118715,'Decreases Slashing, Crushing and Piercing of target by 7.0',100,1,1),
(82950,10118715,'Inflicts 52 - 64 slashing damage on target every 5 seconds',100,1,2),
(82951,110499,'Stifles caster',100,1,0),
(82952,110499,'Increases power of caster by 50 instantly and every second',100,1,1),
(82953,10110499,'Stifles caster',100,1,0),
(82954,10110499,'Increases power of caster by 50 instantly and every second',100,1,1),
(82955,48068,'Applies Summon Pie when Activated.',100,0,0),
(82956,48068,'Summons 3 Fresh Pies.',100,1,1),
(82957,10048068,'Applies Summon Pie when Activated.',100,0,0),
(82958,10048068,'Summons 3 Fresh Pies.',100,1,1),
(82959,108480,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(82960,108480,'Increases Aggression of caster by 15.5',100,1,1),
(82961,108480,'Increases Defense and Parry of caster by 31.1',100,1,2),
(82962,108480,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(82963,10108480,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(82964,10108480,'Increases Aggression of caster by 15.5',100,1,1),
(82965,10108480,'Increases Defense and Parry of caster by 31.1',100,1,2),
(82966,10108480,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(82967,118668,'Inflicts 280 - 467 slashing damage on target',100,1,0),
(82968,10118668,'Inflicts 364 - 608 slashing damage on target',100,1,0),
(82969,102075,'Inflicts 24 - 40 crushing damage on target',100,1,0),
(82970,102075,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(82971,102075,'Stuns target',100,2,2),
(82972,102075,'Throws target back',100,2,3),
(82973,102075,'Blurs vision of target',100,2,4),
(82974,102075,'Does not affect Epic targets',100,2,5),
(82975,10102075,'Inflicts 31 - 52 crushing damage on target',100,1,0),
(82976,10102075,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(82977,10102075,'Stuns target',100,2,2),
(82978,10102075,'Throws target back',100,2,3),
(82979,10102075,'Blurs vision of target',100,2,4),
(82980,10102075,'Does not affect Epic targets',100,2,5),
(82981,123470,'Shapechanges caster into a bear',100,1,0),
(82982,123470,'Increases WIS of caster by 147.8',100,1,1),
(82983,123470,'Grants See Stealth to caster',100,1,2),
(82984,123470,'Increases Max Health of caster by 656.4',100,1,3),
(82985,123470,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2166',100,1,4),
(82986,10123470,'Shapechanges caster into a bear',100,1,0),
(82987,10123470,'Increases WIS of caster by 147.8',100,1,1),
(82988,10123470,'Grants See Stealth to caster',100,1,2),
(82989,10123470,'Increases Max Health of caster by 656.4',100,1,3),
(82990,10123470,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2166',100,1,4),
(82991,107492,'Inflicts 514 - 1542 magic damage on targets in Area of Effect',100,1,0),
(82992,107492,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(82993,107492,'Stuns target',100,2,2),
(82994,107492,'Throws target back',100,2,3),
(82995,107492,'Blurs vision of target',100,2,4),
(82996,107492,'Does not affect Epic targets',100,2,5),
(82997,10107492,'Inflicts 720 - 2159 magic damage on targets in Area of Effect',100,1,0),
(82998,10107492,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(82999,10107492,'Stuns target',100,2,2),
(83000,10107492,'Throws target back',100,2,3),
(83001,10107492,'Blurs vision of target',100,2,4),
(83002,10107492,'Does not affect Epic targets',100,2,5),
(83003,35626,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(83004,71735,'When Equipped:',100,0,0),
(83005,71735,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(83006,71735,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(83007,71735,'Cannot be modified except by direct means',100,2,3),
(83008,10071735,'When Equipped:',100,0,0),
(83009,10071735,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(83010,10071735,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(83011,10071735,'Cannot be modified except by direct means',100,2,3),
(83012,89761,'When Equipped:',100,0,0),
(83013,89761,'On a combat hit this spell may cast Fear III on target of attack.  Lasts for 2.0 seconds.  Triggers about 0.8 times per minute. ',100,1,1),
(83014,89761,'Makes target afraid',100,2,2),
(83015,89761,'Does not affect Epic targets',100,2,3),
(83016,89761,'Resistibility increases against targets higher than level 103.',100,2,4),
(83017,89761,'Cannot be modified except by direct means',100,2,5),
(83018,10089761,'When Equipped:',100,0,0),
(83019,10089761,'On a combat hit this spell may cast Fear III on target of attack.  Lasts for 2.0 seconds.  Triggers about 0.8 times per minute. ',100,1,1),
(83020,10089761,'Makes target afraid',100,2,2),
(83021,10089761,'Does not affect Epic targets',100,2,3),
(83022,10089761,'Resistibility increases against targets higher than level 103.',100,2,4),
(83023,10089761,'Cannot be modified except by direct means',100,2,5),
(83024,82507,'When Equipped:',100,0,0),
(83025,82507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83026,82507,'Inflicts 248 - 460 magic damage on target',100,2,2),
(83027,82507,'Cannot be modified except by direct means',100,2,3),
(83028,10082507,'When Equipped:',100,0,0),
(83029,10082507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83030,10082507,'Inflicts 347 - 644 magic damage on target',100,2,2),
(83031,10082507,'Cannot be modified except by direct means',100,2,3),
(83032,100601,'Inflicts 464 - 774 melee damage on target',100,1,0),
(83033,100601,'You must be sneaking to use this ability.',100,1,1),
(83034,10100601,'Inflicts 721 - 1202 melee damage on target',100,1,0),
(83035,10100601,'You must be sneaking to use this ability.',100,1,1),
(83036,107939,'Mesmerizes target',100,1,0),
(83037,107939,'Prevents AOE (except when direct) ',100,1,1),
(83038,107939,'Dispelled when target takes damage',100,1,2),
(83039,107939,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(83040,107939,'Resistibility increases against targets higher than level 95.',100,1,4),
(83041,10107939,'Mesmerizes target',100,1,0),
(83042,10107939,'Prevents AOE (except when direct) ',100,1,1),
(83043,10107939,'Dispelled when target takes damage',100,1,2),
(83044,10107939,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(83045,10107939,'Resistibility increases against targets higher than level 95.',100,1,4),
(83046,113306,'Inflicts 153 - 255 heat damage on target',100,1,0),
(83047,10113306,'Inflicts 302 - 504 heat damage on target',100,1,0),
(83048,35881,'Increases INT of target by 1.6',100,0,0),
(83049,35881,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(83050,121477,'Inflicts 56 - 94 melee damage on target',100,1,0),
(83051,121477,'Decreases Defense of target by 2.1',100,1,1),
(83052,10121477,'Inflicts 73 - 122 melee damage on target',100,1,0),
(83053,10121477,'Decreases Defense of target by 2.1',100,1,1),
(83054,136592,'When Equipped:',100,0,0),
(83055,136592,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(83056,136592,'Increases caster''s chance to block by 8.0%',100,2,2),
(83057,136592,'Cannot be modified except by direct means',100,2,3),
(83058,136592,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(83059,136592,'Increases caster''s chance to block by 8.0%',100,2,5),
(83060,136592,'Cannot be modified except by direct means',100,2,6),
(83061,10136592,'When Equipped:',100,0,0),
(83062,10136592,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(83063,10136592,'Increases caster''s chance to block by 8.0%',100,2,2),
(83064,10136592,'Cannot be modified except by direct means',100,2,3),
(83065,10136592,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(83066,10136592,'Increases caster''s chance to block by 8.0%',100,2,5),
(83067,10136592,'Cannot be modified except by direct means',100,2,6),
(83068,35492,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(83069,52835,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(83070,52835,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(83071,52835,'Inflicts 24 heat damage on target',100,2,2),
(83072,52835,'Cannot be modified except by direct means',100,2,3),
(83073,10052835,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(83074,10052835,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(83075,10052835,'Inflicts 33 heat damage on target',100,2,2),
(83076,10052835,'Cannot be modified except by direct means',100,2,3),
(83077,82067,'When Equipped:',100,0,0),
(83078,82067,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83079,82067,'Inflicts 182 - 339 magic damage on target',100,2,2),
(83080,82067,'Cannot be modified except by direct means',100,2,3),
(83081,10082067,'When Equipped:',100,0,0),
(83082,10082067,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83083,10082067,'Inflicts 255 - 474 magic damage on target',100,2,2),
(83084,10082067,'Cannot be modified except by direct means',100,2,3),
(83085,121228,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(83086,121228,'Increases Defense and Deflection of caster by 6.7',100,1,1),
(83088,10121228,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(83089,10121228,'Increases Defense and Deflection of caster by 6.7',100,1,1),
(83090,10121228,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(83091,116308,'Stuns target',100,1,0),
(83092,116308,'If Target is not Epic',100,2,1),
(83093,116308,'Inflicts 303 - 370 magic damage on target',100,1,2),
(83094,116308,'Resistibility increases against targets higher than level 73.',100,1,3),
(83095,10116308,'Stuns target',100,1,0),
(83096,10116308,'If Target is not Epic',100,2,1),
(83097,10116308,'Inflicts 424 - 518 magic damage on target',100,1,2),
(83098,10116308,'Resistibility increases against targets higher than level 73.',100,1,3),
(83099,48024,'Applies A Close Shave when Activated.',100,0,0),
(83100,48024,'Using this item opens a customization window used to change your current appearance. If used while a playable-race illusion is active, the customizations will affect that race and be saved until changed. Before using, please make sure you do not have any active illusions that are hidden. Happy Customizing!',100,1,1),
(83101,10048024,'Applies A Close Shave when Activated.',100,0,0),
(83102,10048024,'Using this item opens a customization window used to change your current appearance. If used while a playable-race illusion is active, the customizations will affect that race and be saved until changed. Before using, please make sure you do not have any active illusions that are hidden. Happy Customizing!',100,1,1),
(83103,123477,'Shapechanges caster into a bear',100,1,0),
(83104,123477,'Increases WIS of caster by 159.7',100,1,1),
(83105,123477,'Grants See Stealth to caster',100,1,2),
(83106,123477,'Increases Max Health of caster by 711.7',100,1,3),
(83107,123477,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2247',100,1,4),
(83108,10123477,'Shapechanges caster into a bear',100,1,0),
(83109,10123477,'Increases WIS of caster by 159.7',100,1,1),
(83110,10123477,'Grants See Stealth to caster',100,1,2),
(83111,10123477,'Increases Max Health of caster by 711.7',100,1,3),
(83112,10123477,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2247',100,1,4),
(83113,37482,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(83114,139354,'Applies Summon Pie when Activated.',100,0,0),
(83115,139354,'Temporarily summons a fresh apple pie!',100,1,1),
(83116,139354,'The casting time of Summon Pie is 1.0 second and the reuse time of the spell is 1 minute',100,1,2),
(83117,10139354,'Applies Summon Pie when Activated.',100,0,0),
(83118,10139354,'Temporarily summons a fresh apple pie!',100,1,1),
(83119,10139354,'The casting time of Summon Pie is 1.0 second and the reuse time of the spell is 1 minute',100,1,2),
(83120,162726,'Applies Unstable Magics when Equipped.',100,0,0),
(83121,162726,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(83122,10162726,'Applies Unstable Magics when Equipped.',100,0,0),
(83123,10162726,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(83124,121780,'Heals target for 594 - 726',100,1,0),
(83125,121780,'Heals target for 99 - 121 every second',100,1,1),
(83126,10121780,'Heals target for 1030 - 1259',100,1,0),
(83127,10121780,'Heals target for 86 - 105 every second',100,1,1),
(83128,46791,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(83129,46791,'Increases Attack Speed of caster by 18.0',100,1,1),
(83130,10046791,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(83131,10046791,'Increases Attack Speed of caster by 18.0',100,1,1),
(83132,187417,'When Equipped:',100,0,0),
(83133,187417,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(83134,187417,'Increases Crit Bonus of group members by 6.0%',100,2,2),
(83135,187417,'Increases Potency of group members by 6.0%',100,2,3),
(83136,187417,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(83137,187417,'Must not be engaged in pvp combat',100,2,5),
(83138,187417,'Cannot be modified except by direct means',100,2,6),
(83139,187417,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(83140,187417,'Increases Crit Bonus of group members by 6.0%',100,2,8),
(83141,187417,'Increases Potency of group members by 6.0%',100,2,9),
(83142,187417,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(83143,187417,'Must not be engaged in pvp combat',100,2,11),
(83144,187417,'Cannot be modified except by direct means',100,2,12),
(83145,187417,'Cannot be modified except by direct means',100,1,13),
(83146,10187417,'When Equipped:',100,0,0),
(83147,10187417,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(83148,10187417,'Increases Crit Bonus of group members by 6.0%',100,2,2),
(83149,10187417,'Increases Potency of group members by 6.0%',100,2,3),
(83150,10187417,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(83151,10187417,'Must not be engaged in pvp combat',100,2,5),
(83152,10187417,'Cannot be modified except by direct means',100,2,6),
(83153,10187417,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(83154,10187417,'Increases Crit Bonus of group members by 6.0%',100,2,8),
(83155,10187417,'Increases Potency of group members by 6.0%',100,2,9),
(83156,10187417,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(83157,10187417,'Must not be engaged in pvp combat',100,2,11),
(83158,10187417,'Cannot be modified except by direct means',100,2,12),
(83159,10187417,'Cannot be modified except by direct means',100,1,13),
(83160,45566,'Applies Bulwark of the Storm  when Activated.  Lasts for 30 minutes.',100,0,0),
(83161,10045566,'Applies Bulwark of the Storm  when Activated.  Lasts for 30 minutes.',100,0,0),
(83162,102731,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(83163,102731,'Stuns target',100,2,1),
(83164,102731,'If Target is not Epic',100,3,2),
(83165,102731,'Inflicts 88 - 146 divine damage on target',100,2,3),
(83166,102731,'Inflicts 75 - 125 divine damage on target',100,2,4),
(83167,102731,'If target is undead',100,3,5),
(83168,10102731,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(83169,10102731,'Stuns target',100,2,1),
(83170,10102731,'Inflicts 184 - 307 divine damage on target',100,2,2),
(83171,10102731,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(83172,159466,'Applies Lambent Imbued when Equipped.',100,0,0),
(83173,159466,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(83174,159466,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(83175,159466,'Cannot be modified except by direct means',100,2,3),
(83176,10159466,'Applies Lambent Imbued when Equipped.',100,0,0),
(83177,10159466,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(83178,10159466,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(83179,10159466,'Cannot be modified except by direct means',100,2,3),
(83180,71907,'When Equipped:',100,0,0),
(83181,71907,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(83182,71907,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(83183,71907,'Cannot be modified except by direct means',100,2,3),
(83184,10071907,'When Equipped:',100,0,0),
(83185,10071907,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(83186,10071907,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(83187,10071907,'Cannot be modified except by direct means',100,2,3),
(83188,110301,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(83189,110301,'Slows target by 42.9%',100,2,1),
(83190,110301,'5% chance to dispel when target receives hostile action',100,2,2),
(83191,110301,'5% chance to dispel when target takes damage',100,2,3),
(83192,110301,'Decreases Mitigation of target vs arcane damage by 1568',100,1,4),
(83193,10110301,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(83194,10110301,'Slows target by 42.9%',100,2,1),
(83195,10110301,'5% chance to dispel when target receives hostile action',100,2,2),
(83196,10110301,'5% chance to dispel when target takes damage',100,2,3),
(83197,10110301,'Decreases Mitigation of target vs arcane damage by 1568',100,1,4),
(83198,105444,'Summon 1 Dark Heart (Master)',100,1,0),
(83199,10105444,'Summon 1 Dark Heart (Master)',100,1,0),
(83200,26305,'When Equipped:',100,0,0),
(83201,26305,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(83202,26305,'Inflicts 47 piercing damage on target',100,2,2),
(83203,26305,'Cannot be modified except by direct means',100,2,3),
(83204,10026305,'When Equipped:',100,0,0),
(83205,10026305,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(83206,10026305,'Inflicts 66 piercing damage on target',100,2,2),
(83207,10026305,'Cannot be modified except by direct means',100,2,3),
(83208,120510,'Inflicts 318 - 531 melee damage on target',100,1,0),
(83209,120510,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(83210,120510,'Grants stealth to caster',100,2,2),
(83211,120510,'Suspends caster''s movement speed enhancements',100,2,3),
(83212,120510,'Must be flanking or behind',100,1,4),
(83213,10120510,'Inflicts 414 - 690 melee damage on target',100,1,0),
(83214,10120510,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(83215,10120510,'Grants stealth to caster',100,2,2),
(83216,10120510,'Suspends caster''s movement speed enhancements',100,2,3),
(83217,10120510,'Must be flanking or behind',100,1,4),
(83218,110104,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(83219,110104,'Inflicts 38 disease damage on target',100,2,1),
(83220,110104,'Heals caster for 21',100,2,2),
(83221,110104,'Decreases INT of target by 109.5',100,1,3),
(83222,110104,'Decreases Attack Speed of target by 25.0',100,1,4),
(83223,110104,'Increases Max Health of target by 14.0%',100,1,5),
(83224,110104,'Increases Hate Gain of target by 37.8%',100,1,6),
(83225,110104,'Increases Aggression of target by 11.8',100,1,7),
(83226,110104,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(83227,110104,'Increases Threat to target encounter by 110 - 134 ',100,2,9),
(83228,110104,'Increases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,10),
(83229,10110104,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(83230,10110104,'Inflicts 54 disease damage on target',100,2,1),
(83231,10110104,'Heals caster for 14',100,2,2),
(83232,10110104,'Decreases INT of target by 109.5',100,1,3),
(83233,10110104,'Decreases Attack Speed of target by 25.0',100,1,4),
(83234,10110104,'Increases Max Health of target by 14.0%',100,1,5),
(83235,10110104,'Increases Aggression of target by 11.8',100,1,6),
(83236,10110104,'Increases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,7),
(83237,182356,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(83238,182356,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,1),
(83239,182356,'Inflicts 272 magic damage on target',100,2,2),
(83240,182356,'Heals caster for 101',100,2,3),
(83241,182356,'Cannot be modified except by direct means',100,2,4),
(83242,182356,'Shapechanges caster into a dwarf',100,1,5),
(83243,182356,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(83244,10182356,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(83245,10182356,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,1),
(83246,10182356,'Inflicts 190 magic damage on target',100,2,2),
(83247,10182356,'Heals caster for 33',100,2,3),
(83248,10182356,'Cannot be modified except by direct means',100,2,4),
(83249,10182356,'Shapechanges caster into a dwarf',100,1,5),
(83250,10182356,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(83251,87368,'When Equipped:',100,0,0),
(83252,87368,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83253,87368,'Inflicts 129 - 194 magic damage on target',100,2,2),
(83254,87368,'Cannot be modified except by direct means',100,2,3),
(83255,10087368,'When Equipped:',100,0,0),
(83256,10087368,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83257,10087368,'Inflicts 181 - 271 magic damage on target',100,2,2),
(83258,10087368,'Cannot be modified except by direct means',100,2,3),
(83259,109992,'Increases the healing and ward of target ally by 32%',100,1,0),
(83260,109992,'Increases the resurrect restoration amount of target ally by 32%',100,1,1),
(83261,109992,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(83262,109992,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(83263,10109992,'Increases the healing and ward of target ally by 32%',100,1,0),
(83264,10109992,'Increases the resurrect restoration amount of target ally by 32%',100,1,1),
(83265,10109992,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(83266,10109992,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(83267,104895,'Inflicts 276 - 460 magic damage on targets in area',100,1,0),
(83268,10104895,'Inflicts 359 - 598 magic damage on targets in area',100,1,0),
(83269,48486,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(83270,48486,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(83271,48486,'Decreases STR of target by 7.7',100,2,2),
(83272,48486,'Cannot be modified except by direct means',100,2,3),
(83273,48486,'Grants a total of 30 triggers of the spell.',100,2,4),
(83274,10048486,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(83275,10048486,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(83276,10048486,'Decreases STR of target by 7.7',100,2,2),
(83277,10048486,'Cannot be modified except by direct means',100,2,3),
(83278,10048486,'Grants a total of 30 triggers of the spell.',100,2,4),
(83279,123657,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(83280,123657,'Slows target by 41.8%',100,2,1),
(83281,123657,'5% chance to dispel when target receives hostile action',100,2,2),
(83282,123657,'5% chance to dispel when target takes damage',100,2,3),
(83283,123657,'Inflicts 431 - 526 cold damage on target',100,1,4),
(83284,10123657,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(83285,10123657,'Slows target by 41.8%',100,2,1),
(83286,10123657,'5% chance to dispel when target receives hostile action',100,2,2),
(83287,10123657,'5% chance to dispel when target takes damage',100,2,3),
(83288,10123657,'Inflicts 517 - 631 cold damage on target',100,1,4),
(83289,120129,'Decreases STR and INT of target by 23.0',100,1,0),
(83290,120129,'Increases STR and INT of caster by 23.0',100,1,1),
(83291,10120129,'Decreases STR and INT of target by 23.0',100,1,0),
(83292,10120129,'Increases STR and INT of caster by 23.0',100,1,1),
(83293,100382,'Summons a pet aery hunter',100,1,0),
(83294,10100382,'Summons a pet aery hunter',100,1,0),
(83295,108352,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(83296,108352,'Increases Mitigation of group members (AE) vs arcane damage by 356',100,1,1),
(83297,10108352,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(83298,10108352,'Increases Mitigation of group members (AE) vs arcane damage by 356',100,1,1),
(83299,123125,'Inflicts 322 disease damage on targets in Area of Effect',100,1,0),
(83300,123125,'Inflicts 220 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(83301,10123125,'Inflicts 451 disease damage on targets in Area of Effect',100,1,0),
(83302,10123125,'Inflicts 308 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(83303,152850,'When Equipped:',100,0,0),
(83304,152850,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(83305,152850,'Heals group members (AE) for 580',100,2,2),
(83306,152850,'Cannot be modified except by direct means',100,2,3),
(83307,10152850,'When Equipped:',100,0,0),
(83308,10152850,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(83309,10152850,'Heals group members (AE) for 679',100,2,2),
(83310,10152850,'Cannot be modified except by direct means',100,2,3),
(83311,25190,'When Equipped:',100,0,0),
(83312,25190,'On a riposte this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(83313,25190,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(83314,25190,'Heals caster for 7 - 9',100,3,3),
(83315,25190,'Grants a total of 3 triggers of the spell.',100,3,4),
(83316,25190,'Cannot be modified except by direct means',100,2,5),
(83317,10025190,'When Equipped:',100,0,0),
(83318,10025190,'On a riposte this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(83319,10025190,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(83320,10025190,'Heals caster for 5 - 6',100,3,3),
(83321,10025190,'Grants a total of 3 triggers of the spell.',100,3,4),
(83322,10025190,'Cannot be modified except by direct means',100,2,5),
(83323,121076,'Increases STR and STA of group members (AE) by 75.2',100,1,0),
(83324,10121076,'Increases STR and STA of group members (AE) by 75.2',100,1,0),
(83325,110537,'Increases Threat to target by 1,156  instantly and by 482  every 3 seconds thereafter',100,1,0),
(83326,110537,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(83327,110537,'Blurs vision of target',100,2,2),
(83328,110537,'Stuns target',100,2,3),
(83329,110537,'Throws target back',100,2,4),
(83330,110537,'Does not affect Epic targets',100,2,5),
(83331,110537,'Inflicts 257 - 428 disease damage on target',100,1,6),
(83332,10110537,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(83333,10110537,'Stuns target',100,2,1),
(83334,10110537,'Throws target back',100,2,2),
(83335,10110537,'Blurs vision of target',100,2,3),
(83336,10110537,'Does not affect Epic targets',100,2,4),
(83337,10110537,'Forces target to change their selected target to caster.',100,1,5),
(83338,10110537,'Inflicts 278 - 464 disease damage on target',100,1,6),
(83339,10110537,'Prevents target from changing targets',100,1,7),
(83340,114099,'Inflicts 484 - 807 melee damage on targets in area',100,1,0),
(83341,114099,'You must be in stealth to use this!',100,1,1),
(83342,10114099,'Inflicts 629 - 1049 melee damage on targets in area',100,1,0),
(83343,10114099,'You must be in stealth to use this!',100,1,1),
(83344,51290,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(83345,51290,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(83346,51290,'Inflicts 20 heat damage on target',100,2,2),
(83347,51290,'Cannot be modified except by direct means',100,2,3),
(83348,10051290,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(83349,10051290,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(83350,10051290,'Inflicts 29 heat damage on target',100,2,2),
(83351,10051290,'Cannot be modified except by direct means',100,2,3),
(83352,159209,'Applies Sanguine Imbued when Equipped.',100,0,0),
(83353,159209,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(83354,159209,'Inflicts 51 heat damage on target',100,2,2),
(83355,159209,'Cannot be modified except by direct means',100,2,3),
(83356,10159209,'Applies Sanguine Imbued when Equipped.',100,0,0),
(83357,10159209,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(83358,10159209,'Inflicts 71 heat damage on target',100,2,2),
(83359,10159209,'Cannot be modified except by direct means',100,2,3),
(83360,158365,'When Equipped:',100,0,0),
(83361,158365,'When any damage is received this spell has a 10% chance to cast Chaos Burst on target''s attacker.  ',100,1,1),
(83362,158365,'Inflicts 435 disease damage on targets in Area of Effect',100,2,2),
(83363,158365,'Cannot be modified except by direct means',100,2,3),
(83364,10158365,'When Equipped:',100,0,0),
(83365,10158365,'When any damage is received this spell has a 10% chance to cast Chaos Burst on target''s attacker.  ',100,1,1),
(83366,10158365,'Inflicts 610 disease damage on targets in Area of Effect',100,2,2),
(83367,10158365,'Cannot be modified except by direct means',100,2,3),
(83368,164729,'When Equipped:',100,0,0),
(83369,164729,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(83370,164729,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(83371,164729,'Must not be engaged in pvp combat',100,2,3),
(83372,164729,'Cannot be modified except by direct means',100,2,4),
(83373,164729,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(83374,164729,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(83375,164729,'Must not be engaged in pvp combat',100,2,7),
(83376,164729,'Cannot be modified except by direct means',100,2,8),
(83377,164729,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(83378,164729,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(83379,164729,'Must not be engaged in pvp combat',100,2,11),
(83380,164729,'Cannot be modified except by direct means',100,2,12),
(83381,164729,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(83382,164729,'Inflicts 47 piercing damage on target',100,2,14),
(83383,164729,'Must not be engaged in pvp combat',100,2,15),
(83384,164729,'Cannot be modified except by direct means',100,2,16),
(83385,10164729,'When Equipped:',100,0,0),
(83386,10164729,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(83387,10164729,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(83388,10164729,'Must not be engaged in pvp combat',100,2,3),
(83389,10164729,'Cannot be modified except by direct means',100,2,4),
(83390,10164729,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(83391,10164729,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(83392,10164729,'Must not be engaged in pvp combat',100,2,7),
(83393,10164729,'Cannot be modified except by direct means',100,2,8),
(83394,10164729,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(83395,10164729,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(83396,10164729,'Must not be engaged in pvp combat',100,2,11),
(83397,10164729,'Cannot be modified except by direct means',100,2,12),
(83398,10164729,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(83399,10164729,'Inflicts 65 piercing damage on target',100,2,14),
(83400,10164729,'Must not be engaged in pvp combat',100,2,15),
(83401,10164729,'Cannot be modified except by direct means',100,2,16),
(83402,164611,'Applies Unstable Magics when Equipped.',100,0,0),
(83403,164611,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(83404,10164611,'Applies Unstable Magics when Equipped.',100,0,0),
(83405,10164611,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(83406,121118,'Decreases Threat to targets in Area of Effect by 4,217 ',100,1,0),
(83407,121118,'Mesmerizes targets in Area of Effect',100,1,1),
(83408,121118,'If Target is not Epic',100,2,2),
(83409,121118,'Dispelled when target takes damage',100,1,3),
(83410,10121118,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(83411,10121118,'Applies Distract.',100,1,1),
(83412,10121118,'Forces target to clear their selected target.',100,2,2),
(83413,10121118,'Mesmerizes targets in Area of Effect',100,1,3),
(83414,10121118,'If Target is not Epic',100,2,4),
(83415,10121118,'Dispelled when target takes damage',100,1,5),
(83416,45740,'Applies Clouded Spirit of the Ox when Activated.',100,0,0),
(83417,45740,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(83418,10045740,'Applies Clouded Spirit of the Ox when Activated.',100,0,0),
(83419,10045740,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(83420,80305,'When Equipped:',100,0,0),
(83421,80305,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83422,80305,'Decreases Threat to target by 236 ',100,2,2),
(83423,80305,'Must be flanking or behind',100,3,3),
(83424,80305,'Increases Threat to target by 236 ',100,2,4),
(83425,80305,'Must be in front of',100,3,5),
(83426,80305,'Inflicts 71 - 132 magic damage on target',100,2,6),
(83427,80305,'Cannot be modified except by direct means',100,2,7),
(83428,10080305,'When Equipped:',100,0,0),
(83429,10080305,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83430,10080305,'Inflicts 100 - 185 magic damage on target',100,2,2),
(83431,10080305,'Cannot be modified except by direct means',100,2,3),
(83432,109543,'Summons a limited pet to aid the caster',100,1,0),
(83433,10109543,'Summons a limited pet to aid the caster',100,1,0),
(83434,163310,'When Equipped:',100,0,0),
(83435,163310,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(83436,163310,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(83437,163310,'Increases Attack Speed of caster by 6.0',100,2,3),
(83438,163310,'Increases Damage Per Second of caster by 9.0',100,2,4),
(83439,163310,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(83440,163310,'Must not be engaged in pvp combat',100,2,6),
(83441,163310,'Cannot be modified except by direct means',100,2,7),
(83442,163310,'Cannot be modified except by direct means',100,1,8),
(83443,10163310,'When Equipped:',100,0,0),
(83444,10163310,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(83445,10163310,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(83446,10163310,'Increases Attack Speed of caster by 6.0',100,2,3),
(83447,10163310,'Increases Damage Per Second of caster by 9.0',100,2,4),
(83448,10163310,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(83449,10163310,'Must not be engaged in pvp combat',100,2,6),
(83450,10163310,'Cannot be modified except by direct means',100,2,7),
(83451,10163310,'Cannot be modified except by direct means',100,1,8),
(83452,115665,'Increases STR of caster by 13.3',100,1,0),
(83453,115665,'Decreases Defense of caster by 2.2',100,1,1),
(83454,115665,'Increases Slashing, Piercing and Crushing of caster by 5.3',100,1,2),
(83455,10115665,'Increases STR of caster by 13.3',100,1,0),
(83456,10115665,'Decreases Defense of caster by 2.2',100,1,1),
(83457,10115665,'Increases Slashing, Piercing and Crushing of caster by 5.3',100,1,2),
(83458,119704,'Increases Threat to target encounter by 706 - 863 ',100,1,0),
(83459,10119704,'Prevents target encounter from changing targets',100,1,0),
(83460,10119704,'Forces target encounter to change their selected target to caster.',100,1,1),
(83461,151038,'When Equipped:',100,0,0),
(83462,151038,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(83463,151038,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(83464,151038,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(83465,151038,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(83466,151038,'Must not be engaged in pvp combat',100,2,5),
(83467,151038,'Cannot be modified except by direct means',100,2,6),
(83468,10151038,'When Equipped:',100,0,0),
(83469,10151038,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(83470,10151038,'Inflicts 1300 - 1588 heat damage on target',100,2,2),
(83471,10151038,'Inflicts 1300 - 1588 heat damage on target',100,2,3),
(83472,10151038,'Inflicts 1300 - 1588 heat damage on target',100,2,4),
(83473,10151038,'Must not be engaged in pvp combat',100,2,5),
(83474,10151038,'Cannot be modified except by direct means',100,2,6),
(83475,109552,'Inflicts 5209 - 8682 cold damage on targets in Area of Effect',100,1,0),
(83476,109552,'Throws target back',100,1,1),
(83477,109552,'If Target is not Epic',100,2,2),
(83478,109552,'Stuns targets in Area of Effect',100,1,3),
(83479,109552,'If Target is not Epic',100,2,4),
(83480,109552,'Resistibility increases against targets higher than level 107.',100,1,5),
(83481,10109552,'Inflicts 7293 - 12155 cold damage on targets in Area of Effect',100,1,0),
(83482,10109552,'Throws target back',100,1,1),
(83483,10109552,'If Target is not Epic',100,2,2),
(83484,10109552,'Stuns targets in Area of Effect',100,1,3),
(83485,10109552,'If Target is not Epic',100,2,4),
(83486,10109552,'Resistibility increases against targets higher than level 107.',100,1,5),
(83487,135642,'Applies Round on Brell when Activated.',100,0,0),
(83488,135642,'Once an hour, Brell may be called upon to treat his disciples to a round of spirits... to raise their spirits!',100,1,1),
(83489,135642,'The casting time of Round on Brell is 3.0 seconds and the reuse time of the spell is 1 hour',100,1,2),
(83490,10135642,'Applies Round on Brell when Activated.',100,0,0),
(83491,10135642,'Once an hour, Brell may be called upon to treat his disciples to a round of spirits... to raise their spirits!',100,1,1),
(83492,10135642,'The casting time of Round on Brell is 3.0 seconds and the reuse time of the spell is 1 hour',100,1,2),
(83493,108853,'Inflicts 163 - 272 melee damage on target',100,1,0),
(83494,108853,'Inflicts 163 - 272 melee damage on target',100,1,1),
(83495,108853,'Inflicts 163 - 272 melee damage on target',100,1,2),
(83496,108853,'Inflicts 163 - 272 melee damage on target',100,1,3),
(83497,108853,'Inflicts 163 - 272 melee damage on target',100,1,4),
(83498,10108853,'Inflicts 212 - 353 melee damage on target',100,1,0),
(83499,10108853,'Inflicts 212 - 353 melee damage on target',100,1,1),
(83500,10108853,'Inflicts 212 - 353 melee damage on target',100,1,2),
(83501,10108853,'Inflicts 212 - 353 melee damage on target',100,1,3),
(83502,10108853,'Inflicts 212 - 353 melee damage on target',100,1,4),
(83503,105034,'Increases WIS of raid and group members (AE) by 36.8',100,1,0),
(83504,105034,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(83505,105034,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 134',100,1,2),
(83506,10105034,'Increases WIS of raid and group members (AE) by 36.8',100,1,0),
(83507,10105034,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(83508,10105034,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 134',100,1,2),
(83509,74646,'When Equipped:',100,0,0),
(83510,74646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83511,74646,'Inflicts 57 - 86 magic damage on target',100,2,2),
(83512,74646,'Cannot be modified except by direct means',100,2,3),
(83513,10074646,'When Equipped:',100,0,0),
(83514,10074646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83515,10074646,'Inflicts 80 - 120 magic damage on target',100,2,2),
(83516,10074646,'Cannot be modified except by direct means',100,2,3),
(83517,87513,'When Equipped:',100,0,0),
(83518,87513,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83519,87513,'Inflicts 129 - 194 magic damage on target',100,2,2),
(83520,87513,'Cannot be modified except by direct means',100,2,3),
(83521,10087513,'When Equipped:',100,0,0),
(83522,10087513,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83523,10087513,'Inflicts 181 - 271 magic damage on target',100,2,2),
(83524,10087513,'Cannot be modified except by direct means',100,2,3),
(83525,102333,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(83526,102333,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(83527,102333,'Decreases Threat to target encounter by 973 ',100,2,2),
(83528,102333,'Decreases threat priority of target encounter by 1 position',100,2,3),
(83529,102333,'Grants a total of 3 triggers of the spell.',100,2,4),
(83530,102333,'If profession other than Fighter',100,1,5),
(83531,10102333,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(83532,10102333,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(83533,10102333,'Target cannot target caster for the duration of this effect.',100,2,2),
(83534,10102333,'Forces target to clear their selected target.',100,2,3),
(83535,10102333,'Grants a total of 3 triggers of the spell.',100,2,4),
(83536,10102333,'If profession other than Fighter',100,1,5),
(83537,43541,'When Equipped:',100,0,0),
(83538,43541,'On a combat hit this spell will cast Draconic Wrath on target of attack.  ',100,1,1),
(83539,43541,'Inflicts 33 - 41 divine damage on target',100,2,2),
(83540,43541,'If target is draconic',100,3,3),
(83541,43541,'Cannot be modified except by direct means',100,2,4),
(83542,10043541,'When Equipped:',100,0,0),
(83543,10043541,'On a combat hit this spell will cast Draconic Wrath on target of attack.  ',100,1,1),
(83544,10043541,'Inflicts 47 - 57 divine damage on target',100,2,2),
(83545,10043541,'If target is draconic',100,3,3),
(83546,10043541,'Cannot be modified except by direct means',100,2,4),
(83547,46788,'Applies Lethal Grasp when Activated.  Lasts for 12 hours.',100,0,0),
(83548,46788,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(83549,46788,'Inflicts 303 poison damage on target',100,2,2),
(83550,46788,'Inflicts 97 poison damage on target instantly and every 6 seconds',100,2,3),
(83551,46788,'Cannot be modified except by direct means',100,2,4),
(83552,46788,'Grants a total of 100 triggers of the spell.',100,2,5),
(83553,10046788,'Applies Lethal Grasp when Activated.  Lasts for 12 hours.',100,0,0),
(83554,10046788,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(83555,10046788,'Inflicts 102 poison damage on target instantly and every 6 seconds',100,2,2),
(83556,10046788,'Inflicts 318 poison damage on target',100,2,3),
(83557,10046788,'Cannot be modified except by direct means',100,2,4),
(83558,10046788,'Grants a total of 100 triggers of the spell.',100,2,5),
(83559,121291,'Inflicts 92 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(83560,121291,'Inflicts 302 - 503 melee damage on targets in area',100,1,1),
(83561,121291,'You must be in stealth or have Bloody Assault.',100,1,2),
(83562,10121291,'Inflicts 128 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(83563,10121291,'Inflicts 392 - 654 melee damage on targets in area',100,1,1),
(83564,10121291,'You must be in stealth or have Bloody Assault.',100,1,2),
(83565,135136,'When Equipped:',100,0,0),
(83566,135136,'Decreases Hate Gain of caster by 5.0%',100,1,1),
(83567,10135136,'When Equipped:',100,0,0),
(83568,114012,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(83569,114012,'Heals target for 10 instantly and every 2 seconds',100,2,1),
(83570,114012,'Decreases Mitigation of target vs arcane damage by 262',100,1,2),
(83571,10114012,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(83572,10114012,'Heals target for 33 instantly and every 2 seconds',100,2,1),
(83573,10114012,'Decreases Mitigation of target vs arcane damage by 262',100,1,2),
(83574,121640,'Summons 5 Sacred Sustenance - Waters',100,1,0),
(83575,121640,'Summons 5 Sacred Sustenance - Foods',100,1,1),
(83576,121640,'This effect cannot be cast during combat',100,1,2),
(83577,10121640,'Summons 5 Sacred Sustenance - Waters',100,1,0),
(83578,10121640,'Summons 5 Sacred Sustenance - Foods',100,1,1),
(83579,10121640,'This effect cannot be cast during combat',100,1,2),
(83580,117980,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(83581,117980,'Increases Damage Per Second of target by 16.8',100,2,1),
(83582,117980,'Increases Attack Speed of target by 16.8',100,2,2),
(83583,117980,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(83584,117980,'Increases Damage Per Second of target by 16.8',100,2,4),
(83585,117980,'Increases Attack Speed of target by 16.8',100,2,5),
(83586,117980,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(83587,117980,'Increases Damage Per Second of target by 16.8',100,2,7),
(83588,117980,'Increases Attack Speed of target by 16.8',100,2,8),
(83589,10117980,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(83590,10117980,'Increases Damage Per Second of target by 16.8',100,2,1),
(83591,10117980,'Increases Attack Speed of target by 16.8',100,2,2),
(83592,10117980,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(83593,10117980,'Increases Damage Per Second of target by 16.8',100,2,4),
(83594,10117980,'Increases Attack Speed of target by 16.8',100,2,5),
(83595,10117980,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(83596,10117980,'Increases Damage Per Second of target by 16.8',100,2,7),
(83597,10117980,'Increases Attack Speed of target by 16.8',100,2,8),
(83598,136621,'When Equipped:',100,0,0),
(83599,136621,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(83600,136621,'Decreases Threat to target by 400 ',100,2,2),
(83601,136621,'Cannot be modified except by direct means',100,2,3),
(83602,10136621,'When Equipped:',100,0,0),
(83603,10136621,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(83604,10136621,'Cannot be modified except by direct means',100,2,2),
(83605,133639,'When Equipped:',100,0,0),
(83606,133639,'Applies Toxic Avenger to qualifying pets.',100,1,1),
(83607,133639,'Wards caster against 506 points of noxious damage',100,2,2),
(83608,133639,'On any combat or spell hit this spell may cast Toxic Revenge on target of attack.  Triggers about 2.0 times per minute. ',100,2,3),
(83609,133639,'Inflicts 225 disease damage on target',100,3,4),
(83610,133639,'Inflicts 225 poison damage on target',100,3,5),
(83611,133639,'When Equipped:',100,0,6),
(83612,133639,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,7),
(83613,133639,'Inflicts 253 poison damage on target',100,2,8),
(83614,133639,'Inflicts 253 disease damage on target',100,2,9),
(83615,133639,'Cannot be modified except by direct means',100,2,10),
(83616,133639,'Wards caster against 506 points of noxious damage',100,1,11),
(83617,10133639,'When Equipped:',100,0,0),
(83618,10133639,'Applies Toxic Avenger to qualifying pets.',100,1,1),
(83619,10133639,'Wards caster against 506 points of noxious damage',100,2,2),
(83620,10133639,'On any combat or spell hit this spell may cast Toxic Revenge on target of attack.  Triggers about 2.0 times per minute. ',100,2,3),
(83621,10133639,'Inflicts 315 disease damage on target',100,3,4),
(83622,10133639,'Inflicts 315 poison damage on target',100,3,5),
(83623,10133639,'When Equipped:',100,0,6),
(83624,10133639,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,7),
(83625,10133639,'Inflicts 354 poison damage on target',100,2,8),
(83626,10133639,'Inflicts 354 disease damage on target',100,2,9),
(83627,10133639,'Cannot be modified except by direct means',100,2,10),
(83628,10133639,'Wards caster against 506 points of noxious damage',100,1,11),
(83629,118664,'Inflicts 166 - 277 slashing damage on target',100,1,0),
(83630,10118664,'Inflicts 216 - 361 slashing damage on target',100,1,0),
(83631,103117,'Increases STR of caster by 49.6',100,1,0),
(83632,103117,'Adds 4.5% to base avoidance.',100,1,1),
(83633,103117,'Increases Mitigation of caster vs physical damage by 320',100,1,2),
(83634,103117,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 998',100,1,3),
(83635,10103117,'Increases STR of caster by 49.6',100,1,0),
(83636,10103117,'Adds 4.5% to base avoidance.',100,1,1),
(83637,10103117,'Increases Mitigation of caster vs physical damage by 320',100,1,2),
(83638,10103117,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 998',100,1,3),
(83639,81883,'When Equipped:',100,0,0),
(83640,81883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83641,81883,'Inflicts 141 - 262 magic damage on target',100,2,2),
(83642,81883,'Cannot be modified except by direct means',100,2,3),
(83643,10081883,'When Equipped:',100,0,0),
(83644,10081883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83645,10081883,'Inflicts 198 - 367 magic damage on target',100,2,2),
(83646,10081883,'Cannot be modified except by direct means',100,2,3),
(83647,111177,'Inflicts 33 - 56 divine damage on targets in area',100,1,0),
(83648,111177,'Heals group members (AE) for 22',100,1,1),
(83649,111177,'This effect cannot be critically applied.',100,2,2),
(83650,111177,'The healing of this spell cannot be modified except by direct means',100,1,3),
(83651,10111177,'Inflicts 44 - 73 divine damage on targets in area',100,1,0),
(83652,10111177,'Heals group members (AE) for 15',100,1,1),
(83653,10111177,'This effect cannot be critically applied.',100,2,2),
(83654,10111177,'The healing of this spell cannot be modified except by direct means',100,1,3),
(83655,124186,'Inflicts 186 - 311 melee damage on target',100,1,0),
(83656,10124186,'Inflicts 243 - 405 melee damage on target',100,1,0),
(83657,86502,'Applies Holy Strike when Activated.',100,0,0),
(83658,86502,'Inflicts 294 - 490 divine damage on target',100,1,1),
(83659,86502,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(83660,10086502,'Applies Holy Strike when Activated.',100,0,0),
(83661,10086502,'Inflicts 411 - 685 divine damage on target',100,1,1),
(83662,10086502,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(83663,82791,'When Equipped:',100,0,0),
(83664,82791,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83665,82791,'Decreases Threat to target by 1,174 ',100,2,2),
(83666,82791,'Must be flanking or behind',100,3,3),
(83667,82791,'Increases Threat to target by 1,174 ',100,2,4),
(83668,82791,'Must be in front of',100,3,5),
(83669,82791,'Inflicts 314 - 584 magic damage on target',100,2,6),
(83670,82791,'Cannot be modified except by direct means',100,2,7),
(83671,10082791,'When Equipped:',100,0,0),
(83672,10082791,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83673,10082791,'Inflicts 440 - 817 magic damage on target',100,2,2),
(83674,10082791,'Cannot be modified except by direct means',100,2,3),
(83675,161953,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(83676,161953,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(83677,161953,'Cannot be modified except by direct means',100,1,2),
(83678,10161953,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(83679,10161953,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(83680,10161953,'Cannot be modified except by direct means',100,1,2),
(83681,159567,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(83682,159567,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(83683,159567,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(83684,159567,'Cannot be modified except by direct means',100,2,3),
(83685,10159567,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(83686,10159567,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(83687,10159567,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(83688,10159567,'Cannot be modified except by direct means',100,2,3),
(83689,79027,'Applies Frost Blast when Activated.',100,0,0),
(83690,79027,'Inflicts 411 - 685 cold damage on target',100,1,1),
(83691,79027,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(83692,10079027,'Applies Frost Blast when Activated.',100,0,0),
(83693,10079027,'Inflicts 576 - 959 cold damage on target',100,1,1),
(83694,10079027,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(83695,103107,'Increases STR of caster by 20.2',100,1,0),
(83696,103107,'Adds 2.8% to base avoidance.',100,1,1),
(83697,103107,'Increases Mitigation of caster vs physical damage by 130',100,1,2),
(83698,103107,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 406',100,1,3),
(83699,10103107,'Increases STR of caster by 20.2',100,1,0),
(83700,10103107,'Adds 2.8% to base avoidance.',100,1,1),
(83701,10103107,'Increases Mitigation of caster vs physical damage by 130',100,1,2),
(83702,10103107,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 406',100,1,3),
(83703,117750,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(83704,117750,'Heals target for 1650',100,2,1),
(83705,117750,'Increases Max Health of target by 968.6',100,2,2),
(83706,117750,'Grants a total of 1 trigger of the spell.',100,2,3),
(83707,10117750,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(83708,10117750,'Heals target for 1073',100,2,1),
(83709,10117750,'Increases Max Health of target by 968.6',100,2,2),
(83710,10117750,'Grants a total of 1 trigger of the spell.',100,2,3),
(83711,46303,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(83712,46303,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(83713,46303,'Inflicts 18 poison damage on target instantly and every 6 seconds',100,2,2),
(83714,46303,'Inflicts 35 poison damage on target',100,2,3),
(83715,46303,'Cannot be modified except by direct means',100,2,4),
(83716,46303,'Grants a total of 200 triggers of the spell.',100,2,5),
(83717,10046303,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(83718,10046303,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(83719,10046303,'Inflicts 37 poison damage on target',100,2,2),
(83720,10046303,'Inflicts 19 poison damage on target instantly and every 6 seconds',100,2,3),
(83721,10046303,'Cannot be modified except by direct means',100,2,4),
(83722,10046303,'Grants a total of 200 triggers of the spell.',100,2,5),
(83723,121688,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(83724,121688,'Inflicts 64 - 79 heat damage on target instantly and every second',100,2,1),
(83725,10121688,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(83726,10121688,'Inflicts 90 - 110 heat damage on target instantly and every second',100,2,1),
(83727,121600,'Stuns target encounter',100,1,0),
(83728,121600,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,1),
(83729,121600,'Resistibility increases against targets higher than level 87.',100,1,2),
(83730,10121600,'Stuns target encounter',100,1,0),
(83731,10121600,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(83732,10121600,'Resistibility increases against targets higher than level 87.',100,1,2),
(83733,118318,'Roots target encounter',100,1,0),
(83734,118318,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(83735,118318,'Slows target by 63.8%',100,2,2),
(83736,118318,'5% chance to dispel when target receives hostile action',100,2,3),
(83737,118318,'5% chance to dispel when target takes damage',100,2,4),
(83738,118318,'20% chance to dispel when target takes damage',100,1,5),
(83739,118318,'Does not affect Epic targets',100,1,6),
(83740,118318,'Resistibility increases against targets higher than level 107.',100,1,7),
(83741,10118318,'Roots target encounter',100,1,0),
(83742,10118318,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(83743,10118318,'Slows target by 63.8%',100,2,2),
(83744,10118318,'5% chance to dispel when target receives hostile action',100,2,3),
(83745,10118318,'5% chance to dispel when target takes damage',100,2,4),
(83746,10118318,'20% chance to dispel when target takes damage',100,1,5),
(83747,10118318,'Does not affect Epic targets',100,1,6),
(83748,10118318,'Resistibility increases against targets higher than level 107.',100,1,7),
(83749,118304,'Roots target encounter',100,1,0),
(83750,118304,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(83751,118304,'Slows target by 49.0%',100,2,2),
(83752,118304,'5% chance to dispel when target receives hostile action',100,2,3),
(83753,118304,'5% chance to dispel when target takes damage',100,2,4),
(83754,118304,'20% chance to dispel when target takes damage',100,1,5),
(83755,118304,'Does not affect Epic targets',100,1,6),
(83756,118304,'Resistibility increases against targets higher than level 83.',100,1,7),
(83757,10118304,'Roots target encounter',100,1,0),
(83758,10118304,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(83759,10118304,'Slows target by 49.0%',100,2,2),
(83760,10118304,'5% chance to dispel when target receives hostile action',100,2,3),
(83761,10118304,'5% chance to dispel when target takes damage',100,2,4),
(83762,10118304,'20% chance to dispel when target takes damage',100,1,5),
(83763,10118304,'Does not affect Epic targets',100,1,6),
(83764,10118304,'Resistibility increases against targets higher than level 83.',100,1,7),
(83765,45540,'Applies Antana''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(83766,45540,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(83767,10045540,'Applies Antana''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(83768,10045540,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(83769,102494,'Inflicts 484 - 808 crushing damage on target',100,1,0),
(83770,102494,'Prevents target from changing direction while active.',100,1,1),
(83771,102494,'If Target is not Epic',100,2,2),
(83772,102494,'Roots target',100,1,3),
(83773,102494,'If Target is not Epic',100,2,4),
(83774,102494,'Resistibility increases against targets higher than level 93.',100,1,5),
(83775,10102494,'Inflicts 630 - 1050 crushing damage on target',100,1,0),
(83776,10102494,'Prevents target from changing direction while active.',100,1,1),
(83777,10102494,'If Target is not Epic',100,2,2),
(83778,10102494,'Roots target',100,1,3),
(83779,10102494,'If Target is not Epic',100,2,4),
(83780,10102494,'Resistibility increases against targets higher than level 93.',100,1,5),
(83781,102632,'Inflicts 31 - 52 melee damage on target',100,1,0),
(83782,102632,'Inflicts 14 heat damage on target every 6 seconds',100,1,1),
(83783,10102632,'Inflicts 41 - 68 melee damage on target',100,1,0),
(83784,10102632,'Inflicts 19 heat damage on target every 6 seconds',100,1,1),
(83785,119425,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(83786,119425,'Stuns target',100,2,1),
(83787,119425,'Throws target back',100,2,2),
(83788,119425,'Blurs vision of target',100,2,3),
(83789,119425,'Does not affect Epic targets',100,2,4),
(83790,119425,'Inflicts 507 - 845 melee damage on target',100,1,5),
(83791,119425,'You must be sneaking to use this ability.',100,1,6),
(83792,10119425,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(83793,10119425,'Stuns target',100,2,1),
(83794,10119425,'Throws target back',100,2,2),
(83795,10119425,'Blurs vision of target',100,2,3),
(83796,10119425,'Does not affect Epic targets',100,2,4),
(83797,10119425,'Inflicts 659 - 1098 melee damage on target',100,1,5),
(83798,10119425,'You must be sneaking to use this ability.',100,1,6),
(83799,123254,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(83800,123254,'Increases Mitigation of group members (AE) vs noxious damage by 554',100,1,1),
(83801,10123254,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(83802,10123254,'Increases Mitigation of group members (AE) vs noxious damage by 554',100,1,1),
(83803,89462,'When Equipped:',100,0,0),
(83804,89462,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83805,89462,'Increases Threat to target by 600 ',100,2,2),
(83806,89462,'Cannot be modified except by direct means',100,2,3),
(83807,10089462,'When Equipped:',100,0,0),
(83808,10089462,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83809,10089462,'Cannot be modified except by direct means',100,2,2),
(83810,119715,'Increases Threat to target encounter by 1,117 - 1,366 ',100,1,0),
(83811,10119715,'Prevents target encounter from changing targets',100,1,0),
(83812,10119715,'Forces target encounter to change their selected target to caster.',100,1,1),
(83813,115480,'Summons a pet nightshade',100,1,0),
(83814,10115480,'Summons a pet nightshade',100,1,0),
(83815,53816,'When Equipped:',100,0,0),
(83816,53816,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(83817,53816,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(83818,53816,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,3),
(83819,53816,'Increases Potency of caster by 3.0%',100,2,4),
(83820,53816,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(83821,53816,'Must not be engaged in pvp combat',100,2,6),
(83822,53816,'Cannot be modified except by direct means',100,2,7),
(83823,53816,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(83824,53816,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,9),
(83825,53816,'Increases Potency of caster by 3.0%',100,2,10),
(83826,53816,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(83827,53816,'Must not be engaged in pvp combat',100,2,12),
(83828,53816,'Cannot be modified except by direct means',100,2,13),
(83829,53816,'Cannot be modified except by direct means',100,1,14),
(83830,53816,'When Equipped:',100,0,15),
(83831,53816,'Wards caster against 2310 points of all damage',100,1,16),
(83832,53816,'Regenerates 231 points of shielding every 2 seconds',100,1,17),
(83833,53816,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,18),
(83834,53816,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,19),
(83835,53816,'While active Renewing Bulwark is disabled.',100,2,20),
(83836,53816,'Cannot be modified except by direct means',100,2,21),
(83837,53816,'Must not be engaged in pvp combat',100,1,22),
(83838,53816,'Cannot be modified except by direct means',100,1,23),
(83839,10053816,'When Equipped:',100,0,0),
(83840,10053816,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(83841,10053816,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(83842,10053816,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,3),
(83843,10053816,'Increases Potency of caster by 3.0%',100,2,4),
(83844,10053816,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(83845,10053816,'Must not be engaged in pvp combat',100,2,6),
(83846,10053816,'Cannot be modified except by direct means',100,2,7),
(83847,10053816,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(83848,10053816,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,9),
(83849,10053816,'Increases Potency of caster by 3.0%',100,2,10),
(83850,10053816,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(83851,10053816,'Must not be engaged in pvp combat',100,2,12),
(83852,10053816,'Cannot be modified except by direct means',100,2,13),
(83853,10053816,'Cannot be modified except by direct means',100,1,14),
(83854,10053816,'When Equipped:',100,0,15),
(83855,10053816,'Wards caster against 2310 points of all damage',100,1,16),
(83856,10053816,'Regenerates 231 points of shielding every 2 seconds',100,1,17),
(83857,10053816,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,18),
(83858,10053816,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,19),
(83859,10053816,'While active Renewing Bulwark is disabled.',100,2,20),
(83860,10053816,'Cannot be modified except by direct means',100,2,21),
(83861,10053816,'Must not be engaged in pvp combat',100,1,22),
(83862,10053816,'Cannot be modified except by direct means',100,1,23),
(83863,112809,'Inflicts 979 - 1633 slashing damage on target',100,1,0),
(83864,112809,'Stifles target',100,1,1),
(83865,112809,'If Target is not Epic',100,2,2),
(83866,112809,'You must be in stealth.',100,1,3),
(83867,112809,'Resistibility increases against targets higher than level 91.',100,1,4),
(83868,10112809,'Inflicts 1273 - 2123 slashing damage on target',100,1,0),
(83869,10112809,'Stifles target',100,1,1),
(83870,10112809,'If Target is not Epic',100,2,2),
(83871,10112809,'You must be in stealth.',100,1,3),
(83872,10112809,'Resistibility increases against targets higher than level 91.',100,1,4),
(83873,26607,'When Equipped:',100,0,0),
(83874,26607,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(83875,26607,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(83876,10026607,'When Equipped:',100,0,0),
(83877,10026607,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(83878,10026607,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(83879,122880,'Makes caster immune to strikethrough attacks.',100,1,0),
(83880,122880,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(83881,10122880,'Makes caster immune to strikethrough attacks.',100,1,0),
(83882,10122880,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(83883,103705,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(83884,103705,'Inflicts 83 - 139 disease damage on target',100,2,1),
(83885,103705,'Increases Attack Speed of group members (AE) by 43.7',100,1,2),
(83886,10103705,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(83887,10103705,'Inflicts 108 - 181 disease damage on target',100,2,1),
(83888,10103705,'Increases Attack Speed of group members (AE) by 43.7',100,1,2),
(83889,114093,'Inflicts 316 - 527 melee damage on targets in area',100,1,0),
(83890,114093,'You must be in stealth to use this!',100,1,1),
(83891,10114093,'Inflicts 411 - 685 melee damage on targets in area',100,1,0),
(83892,10114093,'You must be in stealth to use this!',100,1,1),
(83893,111437,'Decreases Attack Speed of caster by 12.7',100,1,0),
(83894,111437,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(83895,111437,'Roots target',100,2,2),
(83896,111437,'5% chance to dispel when target takes damage',100,2,3),
(83897,111437,'5% chance to dispel when target receives hostile action',100,2,4),
(83898,111437,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(83899,111437,'Increases Mitigation of caster vs physical damage by 378',100,1,6),
(83900,10111437,'Decreases Attack Speed of caster by 12.7',100,1,0),
(83901,10111437,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(83902,10111437,'Roots target',100,2,2),
(83903,10111437,'5% chance to dispel when target takes damage',100,2,3),
(83904,10111437,'5% chance to dispel when target receives hostile action',100,2,4),
(83905,10111437,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(83906,10111437,'Increases Mitigation of caster vs physical damage by 378',100,1,6),
(83907,26312,'When Equipped:',100,0,0),
(83908,26312,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(83909,26312,'Inflicts 161 divine damage on target',100,2,2),
(83910,26312,'Heals caster for 120',100,2,3),
(83911,26312,'Cannot be modified except by direct means',100,2,4),
(83912,10026312,'When Equipped:',100,0,0),
(83913,10026312,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(83914,10026312,'Inflicts 225 divine damage on target',100,2,2),
(83915,10026312,'Heals caster for 78',100,2,3),
(83916,10026312,'Cannot be modified except by direct means',100,2,4),
(83917,51312,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(83918,51312,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(83919,51312,'Inflicts 56 heat damage on target',100,2,2),
(83920,51312,'Cannot be modified except by direct means',100,2,3),
(83921,10051312,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(83922,10051312,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(83923,10051312,'Inflicts 78 heat damage on target',100,2,2),
(83924,10051312,'Cannot be modified except by direct means',100,2,3),
(83925,160747,'When Equipped:',100,0,0),
(83926,160747,'On any combat or spell hit this spell may cast Distracting Blow on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83927,160747,'Decreases Threat to target by 400 ',100,2,2),
(83928,160747,'Cannot be modified except by direct means',100,2,3),
(83929,10160747,'When Equipped:',100,0,0),
(83930,10160747,'On any combat or spell hit this spell may cast Distracting Blow on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(83931,10160747,'Cannot be modified except by direct means',100,2,2),
(83932,55109,'When Equipped:',100,0,0),
(83933,55109,'On a hostile spell cast this spell may cast Natural Spark on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(83934,55109,'Inflicts 102 heat damage on target',100,2,2),
(83935,55109,'Cannot be modified except by direct means',100,2,3),
(83936,10055109,'When Equipped:',100,0,0),
(83937,10055109,'On a hostile spell cast this spell may cast Natural Spark on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(83938,10055109,'Inflicts 143 heat damage on target',100,2,2),
(83939,10055109,'Cannot be modified except by direct means',100,2,3),
(83940,176144,'When Equipped:',100,0,0),
(83941,176144,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(83942,176144,'Stifles target',100,2,2),
(83943,176144,'Only affects targets level 121 and below',100,2,3),
(83944,176144,'Does not affect Epic targets',100,2,4),
(83945,176144,'Resistibility increases against targets higher than level 107.',100,2,5),
(83946,176144,'Cannot be modified except by direct means',100,2,6),
(83947,10176144,'When Equipped:',100,0,0),
(83948,10176144,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(83949,10176144,'Stifles target',100,2,2),
(83950,10176144,'Only affects targets level 121 and below',100,2,3),
(83951,10176144,'Does not affect Epic targets',100,2,4),
(83952,10176144,'Resistibility increases against targets higher than level 107.',100,2,5),
(83953,10176144,'Cannot be modified except by direct means',100,2,6),
(83954,26110,'When Equipped:',100,0,0),
(83955,26110,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(83956,26110,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(83957,10026110,'When Equipped:',100,0,0),
(83958,10026110,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(83959,10026110,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(83960,51090,'When Equipped:',100,0,0),
(83961,51090,'On a block this spell has a 9% chance to cast Crested Thirst on target''s victim.  ',100,1,1),
(83962,51090,'Inflicts 223 magic damage on target',100,2,2),
(83963,51090,'Heals caster for 166',100,2,3),
(83964,51090,'Cannot be modified except by direct means',100,2,4),
(83965,10051090,'When Equipped:',100,0,0),
(83966,10051090,'On a block this spell has a 9% chance to cast Crested Thirst on target''s victim.  ',100,1,1),
(83967,10051090,'Inflicts 312 magic damage on target',100,2,2),
(83968,10051090,'Heals caster for 108',100,2,3),
(83969,10051090,'Cannot be modified except by direct means',100,2,4),
(83970,82624,'When Equipped:',100,0,0),
(83971,82624,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83972,82624,'Decreases Threat to target by 259 ',100,2,2),
(83973,82624,'Must be flanking or behind',100,3,3),
(83974,82624,'Increases Threat to target by 259 ',100,2,4),
(83975,82624,'Must be in front of',100,3,5),
(83976,82624,'Inflicts 101 - 188 magic damage on target',100,2,6),
(83977,82624,'Cannot be modified except by direct means',100,2,7),
(83978,10082624,'When Equipped:',100,0,0),
(83979,10082624,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(83980,10082624,'Inflicts 142 - 263 magic damage on target',100,2,2),
(83981,10082624,'Cannot be modified except by direct means',100,2,3),
(83982,113994,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(83983,113994,'Inflicts 77 - 129 melee damage on target',100,2,1),
(83984,113994,'Increases Threat to target by 313 ',100,2,2),
(83985,10113994,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(83986,10113994,'Inflicts 100 - 168 melee damage on target',100,2,1),
(83987,102898,'Heals caster for 533',100,1,0),
(83988,102898,'Inflicts 1071 disease damage on targets in Area of Effect',100,1,1),
(83989,10102898,'Heals caster for 346',100,1,0),
(83990,10102898,'Inflicts 1499 disease damage on targets in Area of Effect',100,1,1),
(83991,170656,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(83992,170656,'Decreases WIS, AGI, STR and INT of target by 43.0',100,1,1),
(83993,170656,'Decreases Max Health of target by 1.0%',100,1,2),
(83994,170656,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(83995,10170656,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(83996,10170656,'Decreases WIS, AGI, STR and INT of target by 43.0',100,1,1),
(83997,10170656,'Decreases Max Health of target by 1.0%',100,1,2),
(83998,10170656,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(83999,36901,'Increases Max Power of target by 4.1',100,0,0),
(84000,36901,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(84001,107560,'Heals target for 159 - 194',100,1,0),
(84002,107560,'Heals target for 20 - 25 every second',100,1,1),
(84003,10107560,'Heals target for 103 - 126',100,1,0),
(84004,10107560,'Heals target for 13 - 16 every second',100,1,1),
(84005,79358,'When Equipped:',100,0,0),
(84006,79358,'Increases caster''s chance to block by 4.0%',100,1,1),
(84007,10079358,'When Equipped:',100,0,0),
(84008,10079358,'Increases caster''s chance to block by 4.0%',100,1,1),
(84009,158610,'When Equipped:',100,0,0),
(84010,158610,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(84011,158610,'When Equipped:',100,0,2),
(84012,158610,'On a healing spell cast this spell may cast Blood Nourishment on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(84013,158610,'Wards target against 1520 points of all damage',100,2,4),
(84014,158610,'Cannot be modified except by direct means',100,2,5),
(84015,158610,'Cannot be modified except by direct means',100,1,6),
(84016,10158610,'When Equipped:',100,0,0),
(84017,10158610,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(84018,10158610,'When Equipped:',100,0,2),
(84019,10158610,'On a healing spell cast this spell may cast Blood Nourishment on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(84020,10158610,'Wards target against 1520 points of all damage',100,2,4),
(84021,10158610,'Cannot be modified except by direct means',100,2,5),
(84022,10158610,'Cannot be modified except by direct means',100,1,6),
(84023,112000,'Inflicts 227 - 378 piercing damage on target',100,1,0),
(84024,10112000,'Inflicts 295 - 492 piercing damage on target',100,1,0),
(84025,114864,'Decreases AGI of target by 54.6',100,1,0),
(84026,114864,'Decreases Defense of target by 21.0',100,1,1),
(84027,10114864,'Decreases AGI of target by 54.6',100,1,0),
(84028,10114864,'Decreases Defense of target by 21.0',100,1,1),
(84029,109087,'Inflicts 197 - 329 melee damage on target',100,1,0),
(84030,109087,'Inflicts 197 - 329 melee damage on target',100,1,1),
(84031,109087,'Inflicts 197 - 329 melee damage on target',100,1,2),
(84032,109087,'Decreases Mitigation of target vs physical damage by 578',100,1,3),
(84033,10109087,'Inflicts 257 - 428 melee damage on target',100,1,0),
(84034,10109087,'Inflicts 257 - 428 melee damage on target',100,1,1),
(84035,10109087,'Inflicts 257 - 428 melee damage on target',100,1,2),
(84036,10109087,'Decreases Mitigation of target vs physical damage by 578',100,1,3),
(84037,105555,'Inflicts 97 - 180 disease damage on target',100,1,0),
(84038,105555,'Inflicts 58 - 108 disease damage on target every 2 seconds',100,1,1),
(84039,10105555,'Inflicts 136 - 252 disease damage on target',100,1,0),
(84040,10105555,'Inflicts 82 - 151 disease damage on target every 2 seconds',100,1,1),
(84041,107203,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(84042,107203,'Heals target for 301',100,2,1),
(84043,10107203,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(84044,10107203,'Heals target for 196',100,2,1),
(84045,157743,'When Equipped:',100,0,0),
(84046,157743,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(84047,157743,'Increases Threat to target by 50 ',100,2,2),
(84048,157743,'Cannot be modified except by direct means',100,2,3),
(84049,10157743,'When Equipped:',100,0,0),
(84050,10157743,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(84051,10157743,'Cannot be modified except by direct means',100,2,2),
(84052,106647,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(84053,106647,'Increases Mitigation of caster vs physical damage by 210',100,2,1),
(84054,106647,'Decreases Mitigation of target encounter vs physical damage by 1050',100,1,2),
(84055,10106647,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(84056,10106647,'Increases Mitigation of caster vs physical damage by 210',100,2,1),
(84057,10106647,'Decreases Mitigation of target encounter vs physical damage by 1050',100,1,2),
(84058,48756,'Applies Elixir of Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(84059,48756,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(84060,10048756,'Applies Elixir of Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(84061,10048756,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(84062,159193,'Applies Lambent Imbued when Equipped.',100,0,0),
(84063,159193,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(84064,159193,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(84065,159193,'Cannot be modified except by direct means',100,2,3),
(84066,10159193,'Applies Lambent Imbued when Equipped.',100,0,0),
(84067,10159193,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(84068,10159193,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(84069,10159193,'Cannot be modified except by direct means',100,2,3),
(84070,107774,'Stuns target',100,1,0),
(84071,107774,'If Target is not Epic',100,2,1),
(84072,107774,'Inflicts 1816 - 3027 cold damage on target',100,1,2),
(84073,107774,'Resistibility increases against targets higher than level 111.',100,1,3),
(84074,10107774,'Stuns target',100,1,0),
(84075,10107774,'If Target is not Epic',100,2,1),
(84076,10107774,'Inflicts 2543 - 4238 cold damage on target',100,1,2),
(84077,10107774,'Resistibility increases against targets higher than level 111.',100,1,3),
(84078,188188,'When Equipped:',100,0,0),
(84079,188188,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(84080,188188,'Decreases Threat to target by 350 ',100,2,2),
(84081,188188,'Cannot be modified except by direct means',100,2,3),
(84082,10188188,'When Equipped:',100,0,0),
(84083,10188188,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(84084,10188188,'Cannot be modified except by direct means',100,2,2),
(84085,106532,'Inflicts 2546 - 4244 melee damage on target',100,1,0),
(84086,106532,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(84087,106532,'If Target is Standard or weaker',100,2,2),
(84088,10106532,'Inflicts 1655 - 2758 melee damage on target',100,1,0),
(84089,80240,'When Equipped:',100,0,0),
(84090,80240,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84091,80240,'Inflicts 201 - 374 magic damage on target',100,2,2),
(84092,80240,'Cannot be modified except by direct means',100,2,3),
(84093,10080240,'When Equipped:',100,0,0),
(84094,10080240,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84095,10080240,'Inflicts 282 - 523 magic damage on target',100,2,2),
(84096,10080240,'Cannot be modified except by direct means',100,2,3),
(84097,121313,'Inflicts 12 - 14 divine damage on target instantly and every 3 seconds',100,1,0),
(84098,121313,'Decreases Defense of target by 2.8',100,1,1),
(84099,10121313,'Inflicts 16 - 20 divine damage on target instantly and every 3 seconds',100,1,0),
(84100,10121313,'Decreases Defense of target by 2.8',100,1,1),
(84101,106095,'Inflicts 572 - 953 melee damage on target',100,1,0),
(84102,106095,'Decreases Mitigation of target vs physical damage by 1600',100,1,1),
(84103,106095,'Must be behind',100,1,2),
(84104,10106095,'Inflicts 743 - 1239 melee damage on target',100,1,0),
(84105,10106095,'Decreases Mitigation of target vs physical damage by 400',100,1,1),
(84106,10106095,'Must be behind',100,1,2),
(84107,107688,'Inflicts 16 - 27 heat damage on target',100,1,0),
(84108,107688,'You must be sneaking to use this ability.',100,1,1),
(84109,10107688,'Inflicts 21 - 35 heat damage on target',100,1,0),
(84110,10107688,'You must be sneaking to use this ability.',100,1,1),
(84111,103334,'Applies Migraine on termination.',100,1,0),
(84112,103334,'Inflicts 349 - 472 mental damage on target',100,2,1),
(84113,103334,'Inflicts 160 - 195 mental damage on target instantly and every 6 seconds',100,1,2),
(84114,10103334,'Applies Migraine on termination.',100,1,0),
(84115,10103334,'Inflicts 488 - 660 mental damage on target',100,2,1),
(84116,10103334,'Inflicts 224 - 274 mental damage on target instantly and every 6 seconds',100,1,2),
(84117,110048,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(84118,110048,'Inflicts 411 - 685 disease damage on target',100,2,1),
(84119,110048,'Heals caster for 1.9 - 3.1% of max health',100,2,2),
(84120,110048,'This effect cannot be critically applied.',100,3,3),
(84121,110048,'The healing of this spell cannot be modified except by direct means',100,2,4),
(84122,10110048,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(84123,10110048,'Inflicts 576 - 960 disease damage on target',100,2,1),
(84124,10110048,'Heals caster for 0.6 - 0.9% of max health',100,2,2),
(84125,10110048,'This effect cannot be critically applied.',100,3,3),
(84126,10110048,'The healing of this spell cannot be modified except by direct means',100,2,4),
(84127,103591,'Increases Mitigation of caster vs physical damage by 571',100,1,0),
(84128,10103591,'Increases Mitigation of caster vs physical damage by 571',100,1,0),
(84129,189030,'When Equipped:',100,0,0),
(84130,189030,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84131,189030,'Replenishes 600 points of absorption every 2 seconds.',100,2,2),
(84132,189030,'Wards target against 2800 points of all damage',100,2,3),
(84133,189030,'Cannot be modified except by direct means',100,2,4),
(84134,10189030,'When Equipped:',100,0,0),
(84135,10189030,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84136,10189030,'Replenishes 600 points of absorption every 2 seconds.',100,2,2),
(84137,10189030,'Wards target against 2800 points of all damage',100,2,3),
(84138,10189030,'Cannot be modified except by direct means',100,2,4),
(84139,109231,'Inflicts 36 - 61 melee damage on target',100,1,0),
(84140,10109231,'Inflicts 47 - 79 melee damage on target',100,1,0),
(84141,108168,'Inflicts 1083 - 1805 melee damage on target',100,1,0),
(84142,108168,'You must be sneaking to use this ability.',100,1,1),
(84143,108168,'Must be flanking or behind',100,1,2),
(84144,10108168,'Inflicts 929 - 1548 melee damage on target',100,1,0),
(84145,10108168,'You must be sneaking to use this ability.',100,1,1),
(84146,10108168,'Must be flanking or behind',100,1,2),
(84147,87316,'When Equipped:',100,0,0),
(84148,87316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84149,87316,'Inflicts 95 - 143 magic damage on target',100,2,2),
(84150,87316,'Cannot be modified except by direct means',100,2,3),
(84151,10087316,'When Equipped:',100,0,0),
(84152,10087316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84153,10087316,'Inflicts 133 - 200 magic damage on target',100,2,2),
(84154,10087316,'Cannot be modified except by direct means',100,2,3),
(84155,82114,'When Equipped:',100,0,0),
(84156,82114,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84157,82114,'Inflicts 164 - 305 magic damage on target',100,2,2),
(84158,82114,'Cannot be modified except by direct means',100,2,3),
(84159,10082114,'When Equipped:',100,0,0),
(84160,10082114,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84161,10082114,'Inflicts 230 - 427 magic damage on target',100,2,2),
(84162,10082114,'Cannot be modified except by direct means',100,2,3),
(84163,112171,'Increases STR of caster by 31.0',100,1,0),
(84164,112171,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 780',100,1,1),
(84165,112171,'Increases Mitigation of caster vs physical damage by 200',100,1,2),
(84166,10112171,'Increases STR of caster by 31.0',100,1,0),
(84167,10112171,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 780',100,1,1),
(84168,10112171,'Increases Mitigation of caster vs physical damage by 200',100,1,2),
(84169,108444,'Increases INT, AGI, STR and WIS of group members (AE) by 92.4',100,1,0),
(84170,108444,'Adds 2.0% to base avoidance.',100,1,1),
(84171,108444,'Increases Ability Reuse Speed of group members (AE) by 7.2%',100,1,2),
(84172,108444,'Increases Attack Speed of group members (AE) by 56.4',100,1,3),
(84173,108444,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 273',100,1,4),
(84174,10108444,'Increases INT, AGI, STR and WIS of group members (AE) by 92.4',100,1,0),
(84175,10108444,'Adds 2.0% to base avoidance.',100,1,1),
(84176,10108444,'Increases Ability Reuse Speed of group members (AE) by 7.2%',100,1,2),
(84177,10108444,'Increases Attack Speed of group members (AE) by 56.4',100,1,3),
(84178,10108444,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 273',100,1,4),
(84179,80760,'When Equipped:',100,0,0),
(84180,80760,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84181,80760,'Inflicts 198 - 367 magic damage on target',100,2,2),
(84182,80760,'Cannot be modified except by direct means',100,2,3),
(84183,10080760,'When Equipped:',100,0,0),
(84184,10080760,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84185,10080760,'Inflicts 277 - 514 magic damage on target',100,2,2),
(84186,10080760,'Cannot be modified except by direct means',100,2,3),
(84187,108568,'Makes target afraid',100,1,0),
(84188,108568,'30% chance to dispel when target takes damage',100,1,1),
(84189,108568,'Does not affect Epic targets',100,1,2),
(84190,108568,'Resistibility increases against targets higher than level 106.',100,1,3),
(84191,10108568,'Makes target afraid',100,1,0),
(84192,10108568,'30% chance to dispel when target takes damage',100,1,1),
(84193,10108568,'Does not affect Epic targets',100,1,2),
(84194,10108568,'Resistibility increases against targets higher than level 106.',100,1,3),
(84195,111449,'Decreases Attack Speed of caster by 15.5',100,1,0),
(84196,111449,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(84197,111449,'Roots target',100,2,2),
(84198,111449,'5% chance to dispel when target takes damage',100,2,3),
(84199,111449,'5% chance to dispel when target receives hostile action',100,2,4),
(84200,111449,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(84201,111449,'Increases Mitigation of caster vs physical damage by 770',100,1,6),
(84202,10111449,'Decreases Attack Speed of caster by 15.5',100,1,0),
(84203,10111449,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(84204,10111449,'Roots target',100,2,2),
(84205,10111449,'5% chance to dispel when target takes damage',100,2,3),
(84206,10111449,'5% chance to dispel when target receives hostile action',100,2,4),
(84207,10111449,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(84208,10111449,'Increases Mitigation of caster vs physical damage by 770',100,1,6),
(84209,35538,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(84210,102441,'Stuns target encounter',100,1,0),
(84211,102441,'Epic targets gain an immunity to Stun effects of 10.5 seconds and duration is reduced to 1.2 seconds.',100,1,1),
(84212,102441,'Resistibility increases against targets higher than level 59.',100,1,2),
(84213,10102441,'Stuns target encounter',100,1,0),
(84214,10102441,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(84215,10102441,'Resistibility increases against targets higher than level 59.',100,1,2),
(84216,117641,'Inflicts 1972 - 3287 ranged damage on target',100,1,0),
(84217,117641,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(84218,117641,'Slows target by 77.1%',100,2,2),
(84219,117641,'5% chance to dispel when target receives hostile action',100,2,3),
(84220,117641,'5% chance to dispel when target takes damage',100,2,4),
(84221,117641,'Must be flanking or behind',100,1,5),
(84222,117641,'Requires bow',100,1,6),
(84223,10117641,'Inflicts 1676 - 2794 ranged damage on target',100,1,0),
(84224,10117641,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(84225,10117641,'Slows target by 77.1%',100,2,2),
(84226,10117641,'5% chance to dispel when target receives hostile action',100,2,3),
(84227,10117641,'5% chance to dispel when target takes damage',100,2,4),
(84228,10117641,'Must be flanking or behind',100,1,5),
(84229,10117641,'Requires bow',100,1,6),
(84230,188509,'When Equipped:',100,0,0),
(84231,188509,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(84232,188509,'Heals group members (AE) for 2304',100,2,2),
(84233,188509,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(84234,188509,'Must not be engaged in pvp combat',100,2,4),
(84235,188509,'Cannot be modified except by direct means',100,2,5),
(84236,188509,'Must not be engaged in pvp combat',100,1,6),
(84237,10188509,'When Equipped:',100,0,0),
(84238,10188509,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(84239,10188509,'Heals group members (AE) for 2695',100,2,2),
(84240,10188509,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(84241,10188509,'Must not be engaged in pvp combat',100,2,4),
(84242,10188509,'Cannot be modified except by direct means',100,2,5),
(84243,10188509,'Must not be engaged in pvp combat',100,1,6),
(84244,121695,'Increases AGI of caster by 13.9',100,1,0),
(84245,121695,'Adds 1.5% to base avoidance.',100,1,1),
(84246,121695,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(84247,121695,'Increases Parry of caster by 7.7',100,1,3),
(84248,121695,'Increases Defense of caster by 10.3',100,1,4),
(84249,10121695,'Increases AGI of caster by 13.9',100,1,0),
(84250,10121695,'Adds 1.5% to base avoidance.',100,1,1),
(84251,10121695,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(84252,10121695,'Increases Parry of caster by 7.7',100,1,3),
(84253,10121695,'Increases Defense of caster by 10.3',100,1,4),
(84254,71711,'When Equipped:',100,0,0),
(84255,71711,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84256,71711,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(84257,71711,'Cannot be modified except by direct means',100,2,3),
(84258,10071711,'When Equipped:',100,0,0),
(84259,10071711,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84260,10071711,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(84261,10071711,'Cannot be modified except by direct means',100,2,3),
(84262,120069,'Inflicts 113 - 189 mental damage on target',100,1,0),
(84263,120069,'Inflicts 113 - 189 mental damage on target',100,1,1),
(84264,120069,'Stifles target',100,1,2),
(84265,120069,'If Target is not Epic',100,2,3),
(84266,120069,'If weapon equipped in Ranged',100,1,4),
(84267,120069,'Resistibility increases against targets higher than level 73.',100,1,5),
(84268,10120069,'Inflicts 128 - 214 mental damage on target',100,1,0),
(84269,10120069,'Inflicts 128 - 214 mental damage on target',100,1,1),
(84270,10120069,'Stifles target',100,1,2),
(84271,10120069,'If Target is not Epic',100,2,3),
(84272,10120069,'If weapon equipped in Ranged',100,1,4),
(84273,10120069,'Resistibility increases against targets higher than level 73.',100,1,5),
(84274,36560,'Increases AGI and WIS of target by 1.2',100,0,0),
(84275,36560,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(84276,116824,'Decreases Hate Gain of caster by 13.8%',100,1,0),
(84277,10116824,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(84278,10116824,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(84279,10116824,'This effect can only trigger once every 5 seconds.',100,2,2),
(84280,108259,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(84281,108259,'Inflicts 70 heat damage on target',100,2,1),
(84282,108259,'Grants a total of 3 triggers of the spell.',100,2,2),
(84283,10108259,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(84284,10108259,'Inflicts 99 heat damage on target',100,2,1),
(84285,10108259,'Grants a total of 3 triggers of the spell.',100,2,2),
(84286,82854,'When Equipped:',100,0,0),
(84287,82854,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84288,82854,'Inflicts 301 - 560 magic damage on target',100,2,2),
(84289,82854,'Cannot be modified except by direct means',100,2,3),
(84290,10082854,'When Equipped:',100,0,0),
(84291,10082854,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84292,10082854,'Inflicts 422 - 783 magic damage on target',100,2,2),
(84293,10082854,'Cannot be modified except by direct means',100,2,3),
(84294,119983,'Increases Threat to target by 427 - 522 ',100,1,0),
(84295,10119983,'Prevents target from changing targets',100,1,0),
(84296,10119983,'Forces target to change their selected target to caster.',100,1,1),
(84297,48641,'Applies Antana''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(84298,48641,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(84299,10048641,'Applies Antana''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(84300,10048641,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(84301,71358,'When Equipped:',100,0,0),
(84302,71358,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84303,71358,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(84304,71358,'Cannot be modified except by direct means',100,2,3),
(84305,10071358,'When Equipped:',100,0,0),
(84306,10071358,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84307,10071358,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(84308,10071358,'Cannot be modified except by direct means',100,2,3),
(84309,48180,'Applies Spirit of the Bat when Activated.  Lasts for 30 minutes.',100,0,0),
(84310,48180,'Shapechanges caster into a bat',100,1,1),
(84311,48180,'Increases Out-of-Combat Power Regeneration of caster by 48.0',100,1,2),
(84312,48180,'This effect suspends during combat',100,1,3),
(84313,48180,'Only affects targets level 30 and above',100,1,4),
(84314,10048180,'Applies Spirit of the Bat when Activated.  Lasts for 30 minutes.',100,0,0),
(84315,10048180,'Shapechanges caster into a bat',100,1,1),
(84316,10048180,'Increases Out-of-Combat Power Regeneration of caster by 48.0',100,1,2),
(84317,10048180,'This effect suspends during combat',100,1,3),
(84318,10048180,'Only affects targets level 30 and above',100,1,4),
(84319,111691,'Inflicts 243 - 297 cold damage on target',100,1,0),
(84320,111691,'Inflicts 243 - 297 cold damage on target',100,1,1),
(84321,111691,'If target is elemental',100,2,2),
(84322,10111691,'Inflicts 291 - 356 cold damage on target',100,1,0),
(84323,46080,'Applies Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(84324,46080,'Increases INT and WIS of caster by 35.2',100,1,1),
(84325,46080,'Only affects targets level 50 and above',100,1,2),
(84326,10046080,'Applies Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(84327,10046080,'Increases INT and WIS of caster by 35.2',100,1,1),
(84328,10046080,'Only affects targets level 50 and above',100,1,2),
(84329,141787,'When Equipped:',100,0,0),
(84330,141787,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84331,141787,'Increases STR of caster by 3.6',100,2,2),
(84332,141787,'Increases Damage Per Second of caster by 11.3',100,2,3),
(84333,141787,'Cannot be modified except by direct means',100,2,4),
(84334,10141787,'When Equipped:',100,0,0),
(84335,10141787,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84336,10141787,'Increases STR of caster by 3.6',100,2,2),
(84337,10141787,'Increases Damage Per Second of caster by 11.3',100,2,3),
(84338,10141787,'Cannot be modified except by direct means',100,2,4),
(84339,86316,'Applies Frost Blast when Activated.',100,0,0),
(84340,86316,'Inflicts 399 - 665 cold damage on target',100,1,1),
(84341,86316,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(84342,10086316,'Applies Frost Blast when Activated.',100,0,0),
(84343,10086316,'Inflicts 559 - 931 cold damage on target',100,1,1),
(84344,10086316,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(84345,123194,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(84346,123194,'Inflicts 36 - 44 disease damage on target',100,2,1),
(84347,123194,'Heals caster for 2.5 - 3.0% of max health',100,2,2),
(84348,123194,'This effect cannot be critically applied.',100,3,3),
(84349,123194,'The healing of this spell cannot be modified except by direct means',100,2,4),
(84350,123194,'Grants a total of 5 triggers of the spell.',100,2,5),
(84351,10123194,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(84352,10123194,'Inflicts 51 - 62 disease damage on target',100,2,1),
(84353,10123194,'Heals caster for 0.9 - 1.1% of max health',100,2,2),
(84354,10123194,'This effect cannot be critically applied.',100,3,3),
(84355,10123194,'The healing of this spell cannot be modified except by direct means',100,2,4),
(84356,10123194,'Grants a total of 5 triggers of the spell.',100,2,5),
(84357,117088,'Mesmerizes target encounter',100,1,0),
(84358,117088,'Prevents AOE (except when direct) ',100,1,1),
(84359,117088,'Dispelled when target takes damage',100,1,2),
(84360,117088,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(84361,117088,'Resistibility increases against targets higher than level 54.',100,1,4),
(84362,10117088,'Mesmerizes target encounter',100,1,0),
(84363,10117088,'Prevents AOE (except when direct) ',100,1,1),
(84364,10117088,'Dispelled when target takes damage',100,1,2),
(84365,10117088,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(84366,10117088,'Resistibility increases against targets higher than level 54.',100,1,4),
(84367,112548,'Interrupts target',50,1,0),
(84368,112548,'Inflicts 262 - 320 divine damage on target',100,1,1),
(84369,10112548,'Interrupts target',50,1,0),
(84370,10112548,'Inflicts 472 - 577 divine damage on target',100,1,1),
(84371,100384,'Summons a pet aery hunter',100,1,0),
(84372,10100384,'Summons a pet aery hunter',100,1,0),
(84373,181284,'When Equipped:',100,0,0),
(84374,181284,'On a damage spell hit this spell may cast Ethereal Strands on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(84375,181284,'Increases power of target by 103',100,2,2),
(84376,181284,'Cannot be modified except by direct means',100,2,3),
(84377,10181284,'When Equipped:',100,0,0),
(84378,10181284,'On a damage spell hit this spell may cast Ethereal Strands on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(84379,10181284,'Increases power of target by 103',100,2,2),
(84380,10181284,'Cannot be modified except by direct means',100,2,3),
(84381,103594,'Increases Mitigation of caster vs physical damage by 666',100,1,0),
(84382,10103594,'Increases Mitigation of caster vs physical damage by 666',100,1,0),
(84383,121615,'Inflicts 259 - 778 melee damage on target',100,1,0),
(84384,121615,'Dazes target',100,1,1),
(84385,121615,'If Target is not Epic',100,2,2),
(84386,121615,'Must be flanking or behind',100,1,3),
(84387,121615,'Resistibility increases against targets higher than level 61.',100,1,4),
(84388,10121615,'Inflicts 337 - 1011 melee damage on target',100,1,0),
(84389,10121615,'Dazes target',100,1,1),
(84390,10121615,'If Target is not Epic',100,2,2),
(84391,10121615,'Must be flanking or behind',100,1,3),
(84392,10121615,'Resistibility increases against targets higher than level 61.',100,1,4),
(84393,110790,'Heals group members (AE) for 532 - 650 instantly and every 2 seconds',100,1,0),
(84394,10110790,'Heals group members (AE) for 346 - 423 instantly and every 2 seconds',100,1,0),
(84395,48022,'Applies Stake Through the Heart when Activated.',100,0,0),
(84396,48022,'Inflicts 2.7% of max health in piercing damage on target',100,1,1),
(84397,48022,'If target is Greater Vampire',100,1,2),
(84398,48022,'If under 6% Health',100,1,3),
(84399,10048022,'Applies Stake Through the Heart when Activated.',100,0,0),
(84400,10048022,'Inflicts 3.8% of max health in piercing damage on target',100,1,1),
(84401,10048022,'If target is Greater Vampire',100,1,2),
(84402,10048022,'If under 6% Health',100,1,3),
(84403,152435,'When Equipped:',100,0,0),
(84404,152435,'On a hostile spell cast this spell may cast Massive Concussive Shock on target of spell.  Lasts for 7.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(84405,152435,'Stuns target encounter',100,2,2),
(84406,152435,'Must not be engaged in pvp combat',100,2,3),
(84407,152435,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,4),
(84408,152435,'Resistibility increases against targets higher than level 112.',100,2,5),
(84409,152435,'Cannot be modified except by direct means',100,2,6),
(84410,152435,'Must not be engaged in pvp combat',100,1,7),
(84411,10152435,'When Equipped:',100,0,0),
(84412,10152435,'On a hostile spell cast this spell may cast Massive Concussive Shock on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(84413,10152435,'Stuns target encounter',100,2,2),
(84414,10152435,'Must not be engaged in pvp combat',100,2,3),
(84415,10152435,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,4),
(84416,10152435,'Resistibility increases against targets higher than level 112.',100,2,5),
(84417,10152435,'Cannot be modified except by direct means',100,2,6),
(84418,10152435,'Must not be engaged in pvp combat',100,1,7),
(84419,103640,'Increases STR of raid and group members (AE) by 50.0',100,1,0),
(84420,103640,'Improves the base amount of taunts by 14%.',100,1,1),
(84421,103640,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(84422,103640,'Increases AGI of raid and group members (AE) by 50.0',100,1,3),
(84423,103640,'Adds 1.4% to base avoidance.',100,1,4),
(84424,10103640,'Increases STR of raid and group members (AE) by 50.0',100,1,0),
(84425,10103640,'Improves the base amount of taunts by 14%.',100,1,1),
(84426,10103640,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(84427,10103640,'Increases AGI of raid and group members (AE) by 50.0',100,1,3),
(84428,10103640,'Adds 1.4% to base avoidance.',100,1,4),
(84429,107704,'Inflicts 222 - 371 heat damage on target',100,1,0),
(84430,107704,'You must be sneaking to use this ability.',100,1,1),
(84431,10107704,'Inflicts 289 - 482 heat damage on target',100,1,0),
(84432,10107704,'You must be sneaking to use this ability.',100,1,1),
(84433,124698,'Inflicts 562 - 687 cold damage on target',100,1,0),
(84434,10124698,'Inflicts 787 - 962 cold damage on target',100,1,0),
(84435,112095,'Inflicts 54 - 90 heat damage on target instantly and every 2 seconds',100,1,0),
(84436,10112095,'Inflicts 185 - 308 heat damage on target instantly and every 2 seconds',100,1,0),
(84437,115293,'Summons a limited pet to aid the caster',100,1,0),
(84438,10115293,'Summons a limited pet to aid the caster',100,1,0),
(84439,105827,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(84440,105827,'Inflicts 193 - 323 disease damage on target',100,2,1),
(84441,10105827,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(84442,10105827,'Inflicts 252 - 420 disease damage on target',100,2,1),
(84443,25019,'When Equipped:',100,0,0),
(84444,25019,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,1),
(84445,25019,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(84446,10025019,'When Equipped:',100,0,0),
(84447,10025019,'Adds 5% additional riposte chance to Shrug Off IV.',100,1,1),
(84448,10025019,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(84449,37219,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(84450,37219,'This effect suspends during combat',100,0,1),
(84451,109051,'Increases Attack Speed of caster by 25.3',100,1,0),
(84452,109051,'Decreases Defense of caster by 18.9',100,1,1),
(84453,109051,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.9',100,1,2),
(84454,10109051,'Increases Attack Speed of caster by 25.3',100,1,0),
(84455,10109051,'Decreases Defense of caster by 18.9',100,1,1),
(84456,10109051,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.9',100,1,2),
(84457,146518,'When Equipped:',100,0,0),
(84458,146518,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(84459,146518,'Inflicts 32 divine damage on target',100,2,2),
(84460,146518,'Cannot be modified except by direct means',100,2,3),
(84461,10146518,'When Equipped:',100,0,0),
(84462,10146518,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(84463,10146518,'Inflicts 45 divine damage on target',100,2,2),
(84464,10146518,'Cannot be modified except by direct means',100,2,3),
(84465,37036,'Increases STR of target by 1.6',100,0,0),
(84466,37036,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(84467,116173,'Inflicts 29 - 48 mental damage on target',100,1,0),
(84468,10116173,'Inflicts 40 - 67 mental damage on target',100,1,0),
(84469,107239,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(84470,107239,'Slows target by 37.2%',100,2,1),
(84471,107239,'5% chance to dispel when target receives hostile action',100,2,2),
(84472,107239,'5% chance to dispel when target takes damage',100,2,3),
(84473,107239,'Inflicts 24 - 29 disease damage on target every 4 seconds',100,1,4),
(84474,107239,'Slows target by 37.2%',100,1,5),
(84475,107239,'5% chance to dispel when target receives hostile action',100,1,6),
(84476,107239,'5% chance to dispel when target takes damage',100,1,7),
(84477,10107239,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(84478,10107239,'Slows target by 37.2%',100,2,1),
(84479,10107239,'5% chance to dispel when target receives hostile action',100,2,2),
(84480,10107239,'5% chance to dispel when target takes damage',100,2,3),
(84481,10107239,'Inflicts 33 - 41 disease damage on target every 2.5 seconds',100,1,4),
(84482,10107239,'Slows target by 37.2%',100,1,5),
(84483,10107239,'5% chance to dispel when target receives hostile action',100,1,6),
(84484,10107239,'5% chance to dispel when target takes damage',100,1,7),
(84485,117612,'Inflicts 275 - 459 ranged damage on target',100,1,0),
(84486,117612,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(84487,117612,'Slows target by 34.0%',100,2,2),
(84488,117612,'5% chance to dispel when target receives hostile action',100,2,3),
(84489,117612,'5% chance to dispel when target takes damage',100,2,4),
(84490,117612,'Must be flanking or behind',100,1,5),
(84491,117612,'Requires bow',100,1,6),
(84492,10117612,'Inflicts 234 - 390 ranged damage on target',100,1,0),
(84493,10117612,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(84494,10117612,'Slows target by 34.0%',100,2,2),
(84495,10117612,'5% chance to dispel when target receives hostile action',100,2,3),
(84496,10117612,'5% chance to dispel when target takes damage',100,2,4),
(84497,10117612,'Must be flanking or behind',100,1,5),
(84498,10117612,'Requires bow',100,1,6),
(84499,70925,'When Equipped:',100,0,0),
(84500,70925,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(84501,70925,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(84502,70925,'Increases STR and AGI of caster by 44.0',100,2,3),
(84503,70925,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(84504,70925,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(84505,70925,'Must not be engaged in pvp combat',100,2,6),
(84506,70925,'Cannot be modified except by direct means',100,2,7),
(84507,70925,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(84508,70925,'Increases STR and AGI of caster by 44.0',100,2,9),
(84509,70925,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(84510,70925,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(84511,70925,'Must not be engaged in pvp combat',100,2,12),
(84512,70925,'Cannot be modified except by direct means',100,2,13),
(84513,70925,'Cannot be modified except by direct means',100,1,14),
(84514,10070925,'When Equipped:',100,0,0),
(84515,10070925,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(84516,10070925,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(84517,10070925,'Increases STR and AGI of caster by 44.0',100,2,3),
(84518,10070925,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(84519,10070925,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(84520,10070925,'Must not be engaged in pvp combat',100,2,6),
(84521,10070925,'Cannot be modified except by direct means',100,2,7),
(84522,10070925,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(84523,10070925,'Increases STR and AGI of caster by 44.0',100,2,9),
(84524,10070925,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(84525,10070925,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(84526,10070925,'Must not be engaged in pvp combat',100,2,12),
(84527,10070925,'Cannot be modified except by direct means',100,2,13),
(84528,10070925,'Cannot be modified except by direct means',100,1,14),
(84529,108667,'Dispels 147 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(84530,10108667,'Dispels 147 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(84531,108885,'Inflicts 544 - 908 melee damage on target',100,1,0),
(84532,108885,'Decreases INT of target by 218.2',100,1,1),
(84533,10108885,'Inflicts 708 - 1180 melee damage on target',100,1,0),
(84534,10108885,'Decreases INT of target by 218.2',100,1,1),
(84535,26672,'When Equipped:',100,0,0),
(84536,26672,'Removes the stifle from Oration of Sacrifice.',100,1,1),
(84537,26672,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(84538,26672,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(84539,10026672,'When Equipped:',100,0,0),
(84540,10026672,'Removes the stifle from Oration of Sacrifice.',100,1,1),
(84541,10026672,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(84542,10026672,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(84543,108723,'Inflicts 545 heat damage on target',100,1,0),
(84544,108723,'Inflicts 122 heat damage on target every 4 seconds',100,1,1),
(84545,10108723,'Inflicts 1068 heat damage on target',100,1,0),
(84546,10108723,'Inflicts 170 heat damage on target every 4 seconds',100,1,1),
(84547,113771,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(84548,113771,'Heals target for 112 - 137',100,2,1),
(84549,10113771,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(84550,10113771,'Heals target for 73 - 89',100,2,1),
(84551,168968,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(84552,168968,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(84553,168968,'Cannot be modified except by direct means',100,1,2),
(84554,10168968,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(84555,10168968,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(84556,10168968,'Cannot be modified except by direct means',100,1,2),
(84557,46497,'Applies Calibrated Tools when Equipped.',100,0,0),
(84558,46497,'Increases success chance by 2.0%',100,1,1),
(84559,10046497,'Applies Calibrated Tools when Equipped.',100,0,0),
(84560,10046497,'Increases success chance by 2.0%',100,1,1),
(84561,100649,'Increases AGI, STR and STA of target by 40.3',100,1,0),
(84562,100649,'Adds 1.7% to base avoidance.',100,1,1),
(84563,10100649,'Increases AGI, STR and STA of target by 40.3',100,1,0),
(84564,10100649,'Adds 1.7% to base avoidance.',100,1,1),
(84565,82746,'When Equipped:',100,0,0),
(84566,82746,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84567,82746,'Inflicts 127 - 236 magic damage on target',100,2,2),
(84568,82746,'Cannot be modified except by direct means',100,2,3),
(84569,10082746,'When Equipped:',100,0,0),
(84570,10082746,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84571,10082746,'Inflicts 178 - 331 magic damage on target',100,2,2),
(84572,10082746,'Cannot be modified except by direct means',100,2,3),
(84573,47688,'Applies Red Two Tone Warg with Purple Saddle when Activated.',100,0,0),
(84574,47688,'Increases Ranged and Crushing of caster by 7.0',100,1,1),
(84575,47688,'Summons a mount to ride',100,1,2),
(84576,47688,'Increases your ground speed by 130%',100,2,3),
(84577,47688,'Increases Disruption, Piercing and Slashing of caster by 7.0',100,1,4),
(84578,47688,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(84579,10047688,'Applies Red Two Tone Warg with Purple Saddle when Activated.',100,0,0),
(84580,10047688,'Increases Ranged and Crushing of caster by 7.0',100,1,1),
(84581,10047688,'Summons a mount to ride',100,1,2),
(84582,10047688,'Increases your ground speed by 130%',100,2,3),
(84583,10047688,'Increases Disruption, Piercing and Slashing of caster by 7.0',100,1,4),
(84584,10047688,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(84585,122668,'Decreases Defense of target by 14.3',100,1,0),
(84586,122668,'Decreases Mitigation of target vs physical damage by 238',100,1,1),
(84587,10122668,'Decreases Defense of target by 14.3',100,1,0),
(84588,10122668,'Decreases Mitigation of target vs physical damage by 238',100,1,1),
(84589,132313,'When Equipped:',100,0,0),
(84590,132313,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(84591,132313,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(84592,132313,'Cannot be modified except by direct means',100,2,3),
(84593,10132313,'When Equipped:',100,0,0),
(84594,10132313,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(84595,10132313,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(84596,10132313,'Cannot be modified except by direct means',100,2,3),
(84597,143732,'When Equipped:',100,0,0),
(84598,143732,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84599,143732,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(84600,143732,'Dispelled when target casts a heal spell',100,2,3),
(84601,143732,'Cannot be modified except by direct means',100,2,4),
(84602,10143732,'When Equipped:',100,0,0),
(84603,10143732,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84604,10143732,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(84605,10143732,'Dispelled when target casts a heal spell',100,2,3),
(84606,10143732,'Cannot be modified except by direct means',100,2,4),
(84607,109431,'Inflicts 137 - 168 cold damage on target instantly and every 4 seconds',100,1,0),
(84608,109431,'Decreases Mitigation of target vs elemental damage by 592',100,1,1),
(84609,10109431,'Inflicts 192 - 235 cold damage on target instantly and every 4 seconds',100,1,0),
(84610,10109431,'Decreases Mitigation of target vs elemental damage by 592',100,1,1),
(84611,119714,'Increases Threat to target encounter by 1,220 - 1,491 ',100,1,0),
(84612,10119714,'Prevents target encounter from changing targets',100,1,0),
(84613,10119714,'Forces target encounter to change their selected target to caster.',100,1,1),
(84614,122516,'Heals caster for 13',100,1,0),
(84615,122516,'Inflicts 25 - 43 melee damage on target',100,1,1),
(84616,10122516,'Heals caster for 8',100,1,0),
(84617,10122516,'Inflicts 33 - 56 melee damage on target',100,1,1),
(84618,100829,'Wards target against 345 points of all damage',100,1,0),
(84619,10100829,'Wards target against 532 points of all damage',100,1,0),
(84620,119110,'Inflicts 264 - 794 melee damage on targets in area',100,1,0),
(84621,119110,'Inflicts 264 - 794 melee damage on targets in area',100,1,1),
(84622,119110,'Inflicts 264 - 794 melee damage on targets in area',100,1,2),
(84623,119110,'Inflicts 264 - 794 melee damage on targets in area',100,1,3),
(84624,10119110,'Inflicts 344 - 1032 melee damage on targets in area',100,1,0),
(84625,10119110,'Inflicts 344 - 1032 melee damage on targets in area',100,1,1),
(84626,10119110,'Inflicts 344 - 1032 melee damage on targets in area',100,1,2),
(84627,10119110,'Inflicts 344 - 1032 melee damage on targets in area',100,1,3),
(84628,103806,'Increases Ability Casting Speed of raid and group members (AE) by 3.2%',100,1,0),
(84629,103806,'Increases Attack Speed of raid and group members (AE) by 8.0',100,1,1),
(84630,10103806,'Increases Ability Casting Speed of raid and group members (AE) by 3.2%',100,1,0),
(84631,10103806,'Increases Attack Speed of raid and group members (AE) by 8.0',100,1,1),
(84632,141827,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(84633,141827,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(84634,141827,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(84635,141827,'Cannot be modified except by direct means',100,2,3),
(84636,10141827,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(84637,10141827,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(84638,10141827,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(84639,10141827,'Cannot be modified except by direct means',100,2,3),
(84640,122376,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(84641,122376,'Inflicts 1 piercing damage on target encounter',100,2,1),
(84642,10122376,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(84643,10122376,'Inflicts 2 piercing damage on target encounter',100,2,1),
(84644,89278,'When Equipped:',100,0,0),
(84645,89278,'On a critical combat hit this spell may cast Infected Strike V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(84646,89278,'Decreases INT, AGI and STR of target by 50.0',100,2,2),
(84647,89278,'Inflicts 253 - 279 disease damage on target',100,2,3),
(84648,89278,'Inflicts 63 - 70 disease damage on target every 2 seconds',100,2,4),
(84649,89278,'Decreases WIS of target by 50.0',100,2,5),
(84650,89278,'Must not be engaged in pvp combat',100,2,6),
(84651,89278,'Cannot be modified except by direct means',100,2,7),
(84652,89278,'On a critical spell hit this spell may cast Infected Strike V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(84653,89278,'Decreases INT, AGI and STR of target by 50.0',100,2,9),
(84654,89278,'Inflicts 253 - 279 disease damage on target',100,2,10),
(84655,89278,'Inflicts 63 - 70 disease damage on target every 2 seconds',100,2,11),
(84656,89278,'Decreases WIS of target by 50.0',100,2,12),
(84657,89278,'Must not be engaged in pvp combat',100,2,13),
(84658,89278,'Cannot be modified except by direct means',100,2,14),
(84659,89278,'Must not be engaged in pvp combat',100,1,15),
(84660,10089278,'When Equipped:',100,0,0),
(84661,10089278,'On a critical combat hit this spell may cast Infected Strike V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(84662,10089278,'Decreases INT, AGI and STR of target by 50.0',100,2,2),
(84663,10089278,'Inflicts 354 - 391 disease damage on target',100,2,3),
(84664,10089278,'Inflicts 88 - 98 disease damage on target every 2 seconds',100,2,4),
(84665,10089278,'Decreases WIS of target by 50.0',100,2,5),
(84666,10089278,'Must not be engaged in pvp combat',100,2,6),
(84667,10089278,'Cannot be modified except by direct means',100,2,7),
(84668,10089278,'On a critical spell hit this spell may cast Infected Strike V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(84669,10089278,'Decreases INT, AGI and STR of target by 50.0',100,2,9),
(84670,10089278,'Inflicts 354 - 391 disease damage on target',100,2,10),
(84671,10089278,'Inflicts 88 - 98 disease damage on target every 2 seconds',100,2,11),
(84672,10089278,'Decreases WIS of target by 50.0',100,2,12),
(84673,10089278,'Must not be engaged in pvp combat',100,2,13),
(84674,10089278,'Cannot be modified except by direct means',100,2,14),
(84675,10089278,'Must not be engaged in pvp combat',100,1,15),
(84676,101055,'Summons 3 limited pets to aid the caster',100,1,0),
(84677,10101055,'Summons 3 limited pets to aid the caster',100,1,0),
(84678,118496,'Summons a limited pet to aid the caster',100,1,0),
(84679,10118496,'Summons a limited pet to aid the caster',100,1,0),
(84680,100616,'Transfers 17% of target''s current Threat to the caster',100,1,0),
(84681,10100616,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(84682,10100616,'10% of all damage received by the caster is prevented.',100,2,1),
(84683,10100616,'This effect can only trigger once every 5 seconds.',100,2,2),
(84684,116354,'Mesmerizes target encounter',100,1,0),
(84685,116354,'Prevents AOE (except when direct) ',100,1,1),
(84686,116354,'Dispelled when target takes damage',100,1,2),
(84687,116354,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(84688,116354,'Resistibility increases against targets higher than level 80.',100,1,4),
(84689,10116354,'Mesmerizes target encounter',100,1,0),
(84690,10116354,'Prevents AOE (except when direct) ',100,1,1),
(84691,10116354,'Dispelled when target takes damage',100,1,2),
(84692,10116354,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(84693,10116354,'Resistibility increases against targets higher than level 80.',100,1,4),
(84694,104733,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(84695,104733,'Decreases Mitigation of target vs elemental and arcane damage by 770',100,2,1),
(84696,104733,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(84697,104733,'Decreases Mitigation of target vs elemental and arcane damage by 770',100,2,3),
(84698,10104733,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(84699,10104733,'Decreases Mitigation of target vs elemental and arcane damage by 770',100,2,1),
(84700,10104733,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(84701,10104733,'Decreases Mitigation of target vs elemental and arcane damage by 770',100,2,3),
(84702,114763,'Feigns Death with 61% chance of success',100,1,0),
(84703,10114763,'Feigns Death with 61% chance of success',100,1,0),
(84704,120112,'Shapechanges caster into a chaos essence',100,1,0),
(84705,120112,'Increases WIS of caster by 116.6',100,1,1),
(84706,120112,'Grants See Invisibility to caster',100,1,2),
(84707,120112,'Increases Max Health of caster by 516.2',100,1,3),
(84708,120112,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1767',100,1,4),
(84709,10120112,'Shapechanges caster into a chaos essence',100,1,0),
(84710,10120112,'Increases WIS of caster by 116.6',100,1,1),
(84711,10120112,'Grants See Invisibility to caster',100,1,2),
(84712,10120112,'Increases Max Health of caster by 516.2',100,1,3),
(84713,10120112,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1767',100,1,4),
(84714,103924,'Wards group members (AE) collectively against 1546 total points of all damage',100,1,0),
(84715,10103924,'Wards group members (AE) collectively against 2303 total points of all damage',100,1,0),
(84716,116336,'Decreases Threat to targets in Area of Effect by 357 ',100,1,0),
(84717,116336,'Makes targets in Area of Effect afraid',100,1,1),
(84718,116336,'30% chance to dispel when target takes damage',100,1,2),
(84719,10116336,'Makes targets in Area of Effect afraid',100,1,0),
(84720,10116336,'30% chance to dispel when target takes damage',100,1,1),
(84721,112467,'Decreases AGI and WIS of target by 16.7',100,1,0),
(84722,10112467,'Decreases AGI and WIS of target by 16.7',100,1,0),
(84723,143464,'When Equipped:',100,0,0),
(84724,143464,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(84725,10143464,'When Equipped:',100,0,0),
(84726,10143464,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(84727,107276,'Inflicts 197 - 329 ranged damage on target',100,1,0),
(84728,107276,'Inflicts 197 - 329 ranged damage on target',100,1,1),
(84729,107276,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(84730,107276,'Stuns target',100,2,3),
(84731,107276,'Throws target back',100,2,4),
(84732,107276,'Blurs vision of target',100,2,5),
(84733,107276,'Does not affect Epic targets',100,2,6),
(84734,107276,'If weapon equipped in Ranged',100,1,7),
(84735,10107276,'Inflicts 167 - 279 ranged damage on target',100,1,0),
(84736,10107276,'Inflicts 167 - 279 ranged damage on target',100,1,1),
(84737,10107276,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(84738,10107276,'Stuns target',100,2,3),
(84739,10107276,'Throws target back',100,2,4),
(84740,10107276,'Blurs vision of target',100,2,5),
(84741,10107276,'Does not affect Epic targets',100,2,6),
(84742,10107276,'If weapon equipped in Ranged',100,1,7),
(84743,37166,'Increases INT and AGI of target by 1.2',100,0,0),
(84744,37166,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(84745,112717,'Inflicts 345 - 575 disease damage on target encounter',100,1,0),
(84746,10112717,'Inflicts 483 - 805 disease damage on target encounter',100,1,0),
(84747,110953,'Applies Awakening on termination.',100,1,0),
(84748,110953,'Heals target for 2107 - 2576',100,2,1),
(84749,10110953,'Applies Awakening on termination.',100,1,0),
(84750,10110953,'Heals target for 3287 - 4018',100,2,1),
(84751,111028,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(84752,111028,'Increases Threat to target by 243 ',100,2,1),
(84753,111028,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(84754,111028,'Increases Threat to target by 243 ',100,2,3),
(84755,10111028,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(84756,10111028,'Inflicts 52 - 58 crushing damage on target',100,2,1),
(84757,10111028,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(84758,10111028,'Inflicts 52 - 58 crushing damage on target',100,2,3),
(84759,81077,'When Equipped:',100,0,0),
(84760,81077,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84761,81077,'Inflicts 175 - 325 magic damage on target',100,2,2),
(84762,81077,'Cannot be modified except by direct means',100,2,3),
(84763,10081077,'When Equipped:',100,0,0),
(84764,10081077,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84765,10081077,'Inflicts 245 - 455 magic damage on target',100,2,2),
(84766,10081077,'Cannot be modified except by direct means',100,2,3),
(84767,159900,'Applies Sanguine Imbued when Equipped.',100,0,0),
(84768,159900,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(84769,159900,'Inflicts 215 heat damage on target',100,2,2),
(84770,159900,'Cannot be modified except by direct means',100,2,3),
(84771,10159900,'Applies Sanguine Imbued when Equipped.',100,0,0),
(84772,10159900,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(84773,10159900,'Inflicts 301 heat damage on target',100,2,2),
(84774,10159900,'Cannot be modified except by direct means',100,2,3),
(84775,110943,'Inflicts 258 - 430 divine damage on target',100,1,0),
(84776,110943,'Increases Threat to target by 2,328 ',100,1,1),
(84777,110943,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(84778,110943,'Stuns target',100,2,3),
(84779,110943,'Throws target back',100,2,4),
(84780,110943,'Blurs vision of target',100,2,5),
(84781,110943,'Does not affect Epic targets',100,2,6),
(84782,10110943,'Inflicts 335 - 559 divine damage on target',100,1,0),
(84783,10110943,'Prevents target from changing targets',100,1,1),
(84784,10110943,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(84785,10110943,'Stuns target',100,2,3),
(84786,10110943,'Throws target back',100,2,4),
(84787,10110943,'Blurs vision of target',100,2,5),
(84788,10110943,'Does not affect Epic targets',100,2,6),
(84789,10110943,'Forces target to change their selected target to caster.',100,1,7),
(84790,136779,'When Equipped:',100,0,0),
(84791,136779,'On a damage spell hit this spell may cast Nature''s Hindrance on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84792,136779,'Decreases Attack Speed of target by 6.0',100,2,2),
(84793,136779,'Cannot be modified except by direct means',100,2,3),
(84794,10136779,'When Equipped:',100,0,0),
(84795,10136779,'On a damage spell hit this spell may cast Nature''s Hindrance on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84796,10136779,'Decreases Attack Speed of target by 6.0',100,2,2),
(84797,10136779,'Cannot be modified except by direct means',100,2,3),
(84798,47695,'Applies Redwood Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(84799,47695,'Repairs target''s equipment',100,1,1),
(84800,47695,'Must have an item that is at lower than 50 condition',100,1,2),
(84801,10047695,'Applies Redwood Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(84802,10047695,'Repairs target''s equipment',100,1,1),
(84803,10047695,'Must have an item that is at lower than 50 condition',100,1,2),
(84804,106983,'Inflicts 1300 - 2415 poison damage on target',100,1,0),
(84805,106983,'Increases power of caster by 97',100,1,1),
(84806,10106983,'Inflicts 1820 - 3381 poison damage on target',100,1,0),
(84807,10106983,'Increases power of caster by 97',100,1,1),
(84808,120062,'Inflicts 87 - 145 mental damage on target',100,1,0),
(84809,120062,'Inflicts 87 - 145 mental damage on target',100,1,1),
(84810,120062,'Stifles target',100,1,2),
(84811,120062,'If Target is not Epic',100,2,3),
(84812,120062,'If weapon equipped in Ranged',100,1,4),
(84813,120062,'Resistibility increases against targets higher than level 59.',100,1,5),
(84814,10120062,'Inflicts 98 - 164 mental damage on target',100,1,0),
(84815,10120062,'Inflicts 98 - 164 mental damage on target',100,1,1),
(84816,10120062,'Stifles target',100,1,2),
(84817,10120062,'If Target is not Epic',100,2,3),
(84818,10120062,'If weapon equipped in Ranged',100,1,4),
(84819,10120062,'Resistibility increases against targets higher than level 59.',100,1,5),
(84820,80216,'When Equipped:',100,0,0),
(84821,80216,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84822,80216,'Inflicts 201 - 374 magic damage on target',100,2,2),
(84823,80216,'Cannot be modified except by direct means',100,2,3),
(84824,10080216,'When Equipped:',100,0,0),
(84825,10080216,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84826,10080216,'Inflicts 282 - 523 magic damage on target',100,2,2),
(84827,10080216,'Cannot be modified except by direct means',100,2,3),
(84828,113901,'Inflicts 225 - 376 disease damage on target',100,1,0),
(84829,113901,'Inflicts 56 - 94 disease damage on target every 4 seconds',100,1,1),
(84830,113901,'Increases power of caster by 84 - 140',100,1,2),
(84831,113901,'Increases power of caster by 18 - 30 every 4 seconds',100,1,3),
(84832,10113901,'Inflicts 316 - 526 disease damage on target',100,1,0),
(84833,10113901,'Inflicts 79 - 132 disease damage on target every 4 seconds',100,1,1),
(84834,10113901,'Increases power of caster by 84 - 140',100,1,2),
(84835,10113901,'Increases power of caster by 18 - 30 every 4 seconds',100,1,3),
(84836,102244,'Inflicts 22 - 37 melee damage on targets in area',100,1,0),
(84837,10102244,'Inflicts 29 - 48 melee damage on targets in area',100,1,0),
(84838,172609,'When Equipped:',100,0,0),
(84839,172609,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(84840,10172609,'When Equipped:',100,0,0),
(84841,10172609,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(84842,112748,'Interrupts target',100,1,0),
(84843,112748,'Inflicts 44 - 73 divine damage on target',100,1,1),
(84844,10112748,'Interrupts target',100,1,0),
(84845,10112748,'Inflicts 61 - 102 divine damage on target',100,1,1),
(84846,109237,'Increases INT and WIS of group members (AE) by 16.1',100,1,0),
(84847,109237,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 45',100,1,1),
(84848,10109237,'Increases INT and WIS of group members (AE) by 16.1',100,1,0),
(84849,10109237,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 45',100,1,1),
(84850,124178,'Inflicts 75 - 126 melee damage on target',100,1,0),
(84851,10124178,'Inflicts 98 - 164 melee damage on target',100,1,0),
(84852,112603,'Increases STA of caster by 29.3',100,1,0),
(84853,112603,'Reduces slow effects on caster by 10.8%',100,1,1),
(84854,112603,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 777',100,1,2),
(84855,10112603,'Increases STA of caster by 29.3',100,1,0),
(84856,10112603,'Reduces slow effects on caster by 10.8%',100,1,1),
(84857,10112603,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 777',100,1,2),
(84858,116972,'Increases Threat to target by 880 - 1,076 ',100,1,0),
(84859,116972,'Interrupts target',100,1,1),
(84860,10116972,'Forces target to change their selected target to caster.',100,1,0),
(84861,10116972,'Interrupts target',100,1,1),
(84862,10116972,'Prevents target from changing targets',100,1,2),
(84863,100482,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(84864,100482,'Decreases Threat to target by 145 ',100,2,1),
(84865,100482,'If not fighter',100,2,2),
(84866,100482,'Decreases Hate Gain of group members (AE) by 33.8%',100,1,3),
(84867,100482,'If not fighter',100,2,4),
(84868,10100482,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(84869,10100482,'If not fighter',100,2,1),
(84870,10100482,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(84871,10100482,'Inflicts 119 - 131 crushing damage on target',100,2,3),
(84872,10100482,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(84873,10100482,'If not fighter',100,2,5),
(84874,10100482,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(84875,10100482,'If not fighter',100,2,7),
(84876,10100482,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(84877,10100482,'If not fighter',100,2,9),
(84878,104168,'Increases Threat to target encounter by 243 - 297 ',100,1,0),
(84879,104168,'Interrupts target encounter',100,1,1),
(84880,10104168,'Forces target encounter to change their selected target to caster.',100,1,0),
(84881,10104168,'Interrupts target encounter',100,1,1),
(84882,10104168,'Prevents target encounter from changing targets',100,1,2),
(84883,190029,'When Equipped:',100,0,0),
(84884,190029,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84885,190029,'Increases Mitigation of target vs noxious and arcane damage by 930',100,2,2),
(84886,190029,'This effect can be stacked by multiple casters.',100,2,3),
(84887,190029,'Increases Mitigation of target vs physical and elemental damage by 930',100,2,4),
(84888,190029,'Cannot be modified except by direct means',100,2,5),
(84889,10190029,'When Equipped:',100,0,0),
(84890,10190029,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84891,10190029,'Increases Mitigation of target vs noxious and arcane damage by 930',100,2,2),
(84892,10190029,'This effect can be stacked by multiple casters.',100,2,3),
(84893,10190029,'Increases Mitigation of target vs physical and elemental damage by 930',100,2,4),
(84894,10190029,'Cannot be modified except by direct means',100,2,5),
(84895,120201,'Decreases STR and INT of target by 68.6',100,1,0),
(84896,120201,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(84897,120201,'Grants a total of 1 trigger of the spell.',100,2,2),
(84898,10120201,'Decreases STR and INT of target by 68.6',100,1,0),
(84899,10120201,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(84900,10120201,'Grants a total of 1 trigger of the spell.',100,2,2),
(84901,176657,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(84902,176657,'Decreases WIS, INT, STR and AGI of target by 39.0',100,1,1),
(84903,176657,'Decreases Max Health of target by 1.0%',100,1,2),
(84904,176657,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(84905,10176657,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(84906,10176657,'Decreases WIS, INT, STR and AGI of target by 39.0',100,1,1),
(84907,10176657,'Decreases Max Health of target by 1.0%',100,1,2),
(84908,10176657,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(84909,177627,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(84910,177627,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(84911,177627,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(84912,177627,'Cannot be modified except by direct means',100,2,3),
(84913,10177627,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(84914,10177627,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(84915,10177627,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(84916,10177627,'Cannot be modified except by direct means',100,2,3),
(84917,170077,'When Equipped:',100,0,0),
(84918,170077,'When any damage is received this spell has a 5% chance to cast Poisoning on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(84919,170077,'Inflicts 116 - 193 poison damage on target every 4.8 seconds',100,2,2),
(84920,170077,'Cannot be modified except by direct means',100,2,3),
(84921,10170077,'When Equipped:',100,0,0),
(84922,10170077,'When any damage is received this spell has a 5% chance to cast Poisoning on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(84923,10170077,'Inflicts 162 - 270 poison damage on target every 4.8 seconds',100,2,2),
(84924,10170077,'Cannot be modified except by direct means',100,2,3),
(84925,36505,'Increases INT of target by 1.2',100,0,0),
(84926,36505,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(84927,119594,'Increases power of caster by 42 instantly and every 4 seconds',100,1,0),
(84928,10119594,'Increases power of caster by 42 instantly and every 4 seconds',100,1,0),
(84929,114223,'Inflicts 85 - 104 mental damage on target',100,1,0),
(84930,114223,'Stuns target',100,1,1),
(84931,114223,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(84932,114223,'Resistibility increases against targets higher than level 42.',100,1,3),
(84933,10114223,'Inflicts 119 - 146 mental damage on target',100,1,0),
(84934,10114223,'Requires not being affected by Mesmerize effects.',100,2,1),
(84935,10114223,'Stuns target',100,1,2),
(84936,10114223,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(84937,10114223,'Resistibility increases against targets higher than level 42.',100,1,4),
(84938,87221,'When Equipped:',100,0,0),
(84939,87221,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84940,87221,'Inflicts 65 - 98 magic damage on target',100,2,2),
(84941,87221,'Cannot be modified except by direct means',100,2,3),
(84942,10087221,'When Equipped:',100,0,0),
(84943,10087221,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(84944,10087221,'Inflicts 91 - 137 magic damage on target',100,2,2),
(84945,10087221,'Cannot be modified except by direct means',100,2,3),
(84946,141809,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(84947,141809,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(84948,141809,'Inflicts 41 heat damage on target',100,2,2),
(84949,141809,'Cannot be modified except by direct means',100,2,3),
(84950,10141809,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(84951,10141809,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(84952,10141809,'Inflicts 58 heat damage on target',100,2,2),
(84953,10141809,'Cannot be modified except by direct means',100,2,3),
(84954,136543,'When Equipped:',100,0,0),
(84955,136543,'On any combat or spell hit this spell may cast Arcane Energy Barrier on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84956,136543,'Makes caster immune to Root effects',100,2,2),
(84957,136543,'Makes caster immune to Stifle effects',100,2,3),
(84958,136543,'Makes caster immune to Stun effects',100,2,4),
(84959,136543,'Makes caster immune to Daze effects',100,2,5),
(84960,136543,'Makes caster immune to Mesmerize effects',100,2,6),
(84961,136543,'Makes caster immune to Fear effects',100,2,7),
(84962,136543,'Must not be engaged in pvp combat',100,2,8),
(84963,136543,'Cannot be modified except by direct means',100,2,9),
(84964,136543,'Must not be engaged in pvp combat',100,1,10),
(84965,136543,'Cannot be modified except by direct means',100,1,11),
(84966,10136543,'When Equipped:',100,0,0),
(84967,10136543,'On any combat or spell hit this spell may cast Arcane Energy Barrier on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84968,10136543,'Makes caster immune to Root effects',100,2,2),
(84969,10136543,'Makes caster immune to Stifle effects',100,2,3),
(84970,10136543,'Makes caster immune to Stun effects',100,2,4),
(84971,10136543,'Makes caster immune to Daze effects',100,2,5),
(84972,10136543,'Makes caster immune to Mesmerize effects',100,2,6),
(84973,10136543,'Makes caster immune to Fear effects',100,2,7),
(84974,10136543,'Must not be engaged in pvp combat',100,2,8),
(84975,10136543,'Cannot be modified except by direct means',100,2,9),
(84976,10136543,'Must not be engaged in pvp combat',100,1,10),
(84977,10136543,'Cannot be modified except by direct means',100,1,11),
(84978,71773,'When Equipped:',100,0,0),
(84979,71773,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84980,71773,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(84981,71773,'Cannot be modified except by direct means',100,2,3),
(84982,10071773,'When Equipped:',100,0,0),
(84983,10071773,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(84984,10071773,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(84985,10071773,'Cannot be modified except by direct means',100,2,3),
(84986,26310,'When Equipped:',100,0,0),
(84987,26310,'Increases all mental damage by up to 40.',100,1,1),
(84988,10026310,'When Equipped:',100,0,0),
(84989,10026310,'Increases all mental damage by up to 40.',100,1,1),
(84990,166466,'When Equipped:',100,0,0),
(84991,166466,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(84992,166466,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,2),
(84993,166466,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,3),
(84994,166466,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(84995,166466,'Must not be engaged in pvp combat',100,2,5),
(84996,166466,'Cannot be modified except by direct means',100,2,6),
(84997,166466,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(84998,166466,'Must not be engaged in pvp combat',100,1,8),
(84999,166466,'When Equipped:',100,0,9),
(85000,166466,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(85001,166466,'Inflicts 2664 cold damage on target encounter',100,2,11),
(85002,166466,'Must not be engaged in pvp combat',100,2,12),
(85003,166466,'Cannot be modified except by direct means',100,2,13),
(85004,166466,'Must not be engaged in pvp combat',100,1,14),
(85005,10166466,'When Equipped:',100,0,0),
(85006,10166466,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(85007,10166466,'Inflicts 974 - 1077 piercing damage on target instantly and every 3 seconds',100,2,2),
(85008,10166466,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,3),
(85009,10166466,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(85010,10166466,'Must not be engaged in pvp combat',100,2,5),
(85011,10166466,'Cannot be modified except by direct means',100,2,6),
(85012,10166466,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(85013,10166466,'Must not be engaged in pvp combat',100,1,8),
(85014,10166466,'When Equipped:',100,0,9),
(85015,10166466,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(85016,10166466,'Inflicts 1865 cold damage on target encounter',100,2,11),
(85017,10166466,'Must not be engaged in pvp combat',100,2,12),
(85018,10166466,'Cannot be modified except by direct means',100,2,13),
(85019,10166466,'Must not be engaged in pvp combat',100,1,14),
(85020,89797,'When Equipped:',100,0,0),
(85021,89797,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(85022,89797,'This effect will not stack with any rank or tier of itself.',100,1,2),
(85023,89797,'Cannot be modified except by direct means',100,1,3),
(85024,10089797,'When Equipped:',100,0,0),
(85025,10089797,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(85026,10089797,'This effect will not stack with any rank or tier of itself.',100,1,2),
(85027,10089797,'Cannot be modified except by direct means',100,1,3),
(85028,155191,'When Equipped:',100,0,0),
(85029,155191,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(85030,155191,'Must not be engaged in pvp combat',100,1,2),
(85031,10155191,'When Equipped:',100,0,0),
(85032,10155191,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(85033,10155191,'Must not be engaged in pvp combat',100,1,2),
(85034,106393,'Inflicts 799 - 1332 melee damage on target',100,1,0),
(85035,106393,'Decreases Defense of target by 34.9',100,1,1),
(85036,106393,'Decreases Defense of caster by 21.8',100,1,2),
(85037,10106393,'Inflicts 1039 - 1732 melee damage on target',100,1,0),
(85038,10106393,'Decreases Defense of target by 34.9',100,1,1),
(85039,10106393,'Decreases Defense of caster by 21.8',100,1,2),
(85040,45663,'Applies Evital''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(85041,45663,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(85042,10045663,'Applies Evital''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(85043,10045663,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(85044,26123,'When Equipped:',100,0,0),
(85045,26123,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,1),
(85046,26123,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(85047,10026123,'When Equipped:',100,0,0),
(85048,10026123,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,1),
(85049,10026123,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(85050,109227,'Inflicts 39 - 66 melee damage on target',100,1,0),
(85051,10109227,'Inflicts 51 - 86 melee damage on target',100,1,0),
(85052,41481,'When Equipped:',100,0,0),
(85053,41481,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(85054,41481,'Decreases Threat to target by 949 ',100,2,2),
(85055,41481,'Must be flanking or behind',100,3,3),
(85056,41481,'Increases Threat to target by 949 ',100,2,4),
(85057,41481,'Must be in front of',100,3,5),
(85058,41481,'Inflicts 260 - 482 magic damage on target',100,2,6),
(85059,41481,'Cannot be modified except by direct means',100,2,7),
(85060,10041481,'When Equipped:',100,0,0),
(85061,10041481,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(85062,10041481,'Inflicts 364 - 675 magic damage on target',100,2,2),
(85063,10041481,'Cannot be modified except by direct means',100,2,3),
(85064,104871,'Inflicts 24 - 41 magic damage on targets in area',100,1,0),
(85065,10104871,'Inflicts 32 - 53 magic damage on targets in area',100,1,0),
(85066,46723,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(85067,46723,'Increases Max Power of caster by 91.2',100,1,1),
(85068,10046723,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(85069,10046723,'Increases Max Power of caster by 91.2',100,1,1),
(85070,108500,'Inflicts 621 - 759 melee damage on target',100,1,0),
(85071,108500,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(85072,10108500,'Inflicts 565 - 691 melee damage on target',100,1,0),
(85073,10108500,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(85074,82238,'When Equipped:',100,0,0),
(85075,82238,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85076,82238,'Inflicts 41 - 76 magic damage on target',100,2,2),
(85077,82238,'Cannot be modified except by direct means',100,2,3),
(85078,10082238,'When Equipped:',100,0,0),
(85079,10082238,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85080,10082238,'Inflicts 58 - 107 magic damage on target',100,2,2),
(85081,10082238,'Cannot be modified except by direct means',100,2,3),
(85082,101890,'Heals target for 1456 - 1779',100,1,0),
(85083,101890,'If over 50% Health',100,2,1),
(85084,101890,'Heals target for 2911 - 3558',100,1,2),
(85085,101890,'If at 50% Health or less',100,2,3),
(85086,10101890,'Heals target for 1703 - 2081',100,1,0),
(85087,10101890,'If over 50% Health',100,2,1),
(85088,10101890,'Heals target for 5960 - 7285',100,1,2),
(85089,10101890,'If at 50% Health or less',100,2,3),
(85090,101905,'Decreases AGI of target by 11.2',100,1,0),
(85091,101905,'Inflicts 94 - 157 melee damage on target',100,1,1),
(85092,101905,'Must be behind',100,1,2),
(85093,10101905,'Decreases AGI of target by 11.2',100,1,0),
(85094,10101905,'Inflicts 122 - 204 melee damage on target',100,1,1),
(85095,10101905,'Must be behind',100,1,2),
(85096,113254,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(85097,113254,'Inflicts 54 - 90 magic damage on target',100,2,1),
(85098,113254,'Grants a total of 8 triggers of the spell.',100,2,2),
(85099,10113254,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(85100,10113254,'Inflicts 76 - 126 magic damage on target',100,2,1),
(85101,10113254,'Grants a total of 8 triggers of the spell.',100,2,2),
(85102,26681,'When Equipped:',100,0,0),
(85103,26681,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(85104,26681,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(85105,10026681,'When Equipped:',100,0,0),
(85106,10026681,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(85107,10026681,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(85108,162300,'When Equipped:',100,0,0),
(85109,162300,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Reflection on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(85110,162300,'Wards caster against 425 points of all damage',100,2,2),
(85111,162300,'Cannot be modified except by direct means',100,2,3),
(85112,10162300,'When Equipped:',100,0,0),
(85113,10162300,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Reflection on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(85114,10162300,'Wards caster against 425 points of all damage',100,2,2),
(85115,10162300,'Cannot be modified except by direct means',100,2,3),
(85116,123688,'Increases Damage Per Second of target by 49.0',100,1,0),
(85117,10123688,'Increases Damage Per Second of target by 49.0',100,1,0),
(85118,36280,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(85119,82603,'When Equipped:',100,0,0),
(85120,82603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85121,82603,'Inflicts 90 - 167 magic damage on target',100,2,2),
(85122,82603,'Cannot be modified except by direct means',100,2,3),
(85123,10082603,'When Equipped:',100,0,0),
(85124,10082603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85125,10082603,'Inflicts 126 - 234 magic damage on target',100,2,2),
(85126,10082603,'Cannot be modified except by direct means',100,2,3),
(85127,112421,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 12% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(85128,112421,'If over 50% Health',100,2,1),
(85129,112421,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 12% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(85130,112421,'If at 50% Health or less',100,2,3),
(85131,10112421,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 12% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(85132,10112421,'If over 50% Health',100,2,1),
(85133,10112421,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 12% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(85134,10112421,'If at 50% Health or less',100,2,3),
(85135,124212,'Decreases Attack Speed of caster by 12.7',100,1,0),
(85136,124212,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(85137,124212,'Slows targets in Area of Effect by 33.6%',100,2,2),
(85138,124212,'5% chance to dispel when target receives hostile action',100,2,3),
(85139,124212,'5% chance to dispel when target takes damage',100,2,4),
(85140,124212,'Increases Mitigation of caster vs physical damage by 257',100,1,5),
(85141,10124212,'Decreases Attack Speed of caster by 12.7',100,1,0),
(85142,10124212,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(85143,10124212,'Slows targets in Area of Effect by 25.2%',100,2,2),
(85144,10124212,'5% chance to dispel when target receives hostile action',100,2,3),
(85145,10124212,'5% chance to dispel when target takes damage',100,2,4),
(85146,10124212,'Increases Mitigation of caster vs physical damage by 257',100,1,5),
(85147,24617,'Adds Pandaman (Ranger) to your Dungeon Maker toolbox',100,0,0),
(85148,10024617,'Adds Pandaman (Ranger) to your Dungeon Maker toolbox',100,0,0),
(85149,46473,'Applies Gigglegibber Giggle Giver when Activated.',100,0,0),
(85150,10046473,'Applies Gigglegibber Giggle Giver when Activated.',100,0,0),
(85151,101702,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(85152,101702,'Inflicts 573 - 700 disease damage on target',100,2,1),
(85153,101702,'Grants a total of 3 triggers of the spell.',100,2,2),
(85154,10101702,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(85155,10101702,'Inflicts 802 - 981 disease damage on target',100,2,1),
(85156,10101702,'Grants a total of 3 triggers of the spell.',100,2,2),
(85160,10122698,'Decreases Slashing, Crushing and Piercing of caster by 1.8',100,1,0),
(85161,10122698,'Increases Defense and Parry of caster by 2.0',100,1,1),
(85162,10122698,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(85163,120300,'Increases Threat to target by 25 - 30 ',100,1,0),
(85164,10120300,'Forces target to change their selected target to caster.',100,1,0),
(85165,10120300,'Prevents target from changing targets',100,1,1),
(85166,47806,'Applies Necromantic Resurrection when Activated.',100,0,0),
(85167,10047806,'Applies Necromantic Resurrection when Activated.',100,0,0),
(85168,170282,'When Equipped:',100,0,0),
(85169,170282,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(85170,170282,'Inflicts 2648 disease damage on target encounter',100,2,2),
(85171,170282,'Must not be engaged in pvp combat',100,2,3),
(85172,170282,'Cannot be modified except by direct means',100,2,4),
(85173,170282,'When Equipped:',100,0,5),
(85174,170282,'Applies Molten Carnage IV to qualifying pets.',100,1,6),
(85175,170282,'Increases Potency of caster by 4.0%',100,2,7),
(85176,170282,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(85177,10170282,'When Equipped:',100,0,0),
(85178,10170282,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(85179,10170282,'Inflicts 1854 disease damage on target encounter',100,2,2),
(85180,10170282,'Must not be engaged in pvp combat',100,2,3),
(85181,10170282,'Cannot be modified except by direct means',100,2,4),
(85182,10170282,'When Equipped:',100,0,5),
(85183,10170282,'Applies Molten Carnage IV to qualifying pets.',100,1,6),
(85184,10170282,'Increases Potency of caster by 4.0%',100,2,7),
(85185,10170282,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(85186,187447,'When Equipped:',100,0,0),
(85187,187447,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(85188,10187447,'When Equipped:',100,0,0),
(85189,10187447,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(85190,81780,'When Equipped:',100,0,0),
(85191,81780,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85192,81780,'Inflicts 141 - 262 magic damage on target',100,2,2),
(85193,81780,'Cannot be modified except by direct means',100,2,3),
(85194,10081780,'When Equipped:',100,0,0),
(85195,10081780,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85196,10081780,'Inflicts 198 - 367 magic damage on target',100,2,2),
(85197,10081780,'Cannot be modified except by direct means',100,2,3),
(85198,46805,'Applies Record the location when Activated.',100,0,0),
(85199,10046805,'Applies Record the location when Activated.',100,0,0),
(85200,107340,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(85201,107340,'Increases Threat to target by 99 ',100,2,1),
(85202,10107340,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(85203,10107340,'Inflicts 29 - 32 crushing damage on target',100,2,1),
(85204,26567,'When Equipped:',100,0,0),
(85205,26567,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(85206,26567,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(85207,10026567,'When Equipped:',100,0,0),
(85208,10026567,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(85209,10026567,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(85210,71803,'When Equipped:',100,0,0),
(85211,71803,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85212,71803,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(85213,71803,'Cannot be modified except by direct means',100,2,3),
(85214,10071803,'When Equipped:',100,0,0),
(85215,10071803,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85216,10071803,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(85217,10071803,'Cannot be modified except by direct means',100,2,3),
(85218,104131,'Roots target',100,1,0),
(85219,104131,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(85220,104131,'Makes target afraid',100,2,2),
(85221,104131,'Slows target by 25.3%',100,2,3),
(85222,104131,'30% chance to dispel when target takes damage',100,2,4),
(85223,104131,'Resistibility increases against targets higher than level 90.',100,2,5),
(85224,104131,'15% chance to dispel when target takes damage',100,1,6),
(85225,104131,'Does not affect Epic targets',100,1,7),
(85226,104131,'Resistibility increases against targets higher than level 90.',100,1,8),
(85227,10104131,'Roots target',100,1,0),
(85228,10104131,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(85229,10104131,'Makes target afraid',100,2,2),
(85230,10104131,'Slows target by 25.3%',100,2,3),
(85231,10104131,'30% chance to dispel when target takes damage',100,2,4),
(85232,10104131,'Resistibility increases against targets higher than level 90.',100,2,5),
(85233,10104131,'15% chance to dispel when target takes damage',100,1,6),
(85234,10104131,'Does not affect Epic targets',100,1,7),
(85235,10104131,'Resistibility increases against targets higher than level 90.',100,1,8),
(85236,116028,'Prevents target from changing targets',100,1,0),
(85237,116028,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(85238,116028,'Increases Threat to target by 1,704 - 2,083  instantly and by 1,084 - 1,325  every 4 seconds thereafter',100,2,2),
(85239,116028,'Increases Threat to target by 3,099 - 3,788  instantly and by 1,937 - 2,367  every 2 seconds thereafter',100,1,3),
(85240,116028,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(85241,116028,'Increases threat priority of target by 4 positions',100,1,5),
(85242,116028,'Must be not at the top of the hate list of your current target.',100,1,6),
(85243,10116028,'Prevents target from changing targets',100,1,0),
(85244,10116028,'Forces target to change their selected target to caster.',100,1,1),
(85245,10116028,'Must be not at the top of the hate list of your current target.',100,1,2),
(85246,112709,'Inflicts 192 - 319 disease damage on target encounter',100,1,0),
(85247,10112709,'Inflicts 268 - 447 disease damage on target encounter',100,1,0),
(85248,102848,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(85249,102848,'Stuns target',100,2,1),
(85250,102848,'Throws target back',100,2,2),
(85251,102848,'Blurs vision of target',100,2,3),
(85252,102848,'Does not affect Epic targets',100,2,4),
(85253,102848,'Inflicts 159 - 478 melee damage on targets in area',100,1,5),
(85254,10102848,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(85255,10102848,'Stuns target',100,2,1),
(85256,10102848,'Throws target back',100,2,2),
(85257,10102848,'Blurs vision of target',100,2,3),
(85258,10102848,'Does not affect Epic targets',100,2,4),
(85259,10102848,'Inflicts 207 - 622 melee damage on targets in area',100,1,5),
(85260,37529,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(85261,35034,'Increases outgoing heal and ward amount by 2%',100,0,0),
(85262,35034,'Increases WIS and STA of target by 5.8',100,0,1),
(85263,35034,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(85264,100378,'Summons a pet aery hunter',100,1,0),
(85265,10100378,'Summons a pet aery hunter',100,1,0),
(85266,35868,'Increases STA of target by 1.6',100,0,0),
(85267,35868,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(85268,147156,'When Equipped:',100,0,0),
(85269,147156,'On a combat hit this spell may cast Greater Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(85270,147156,'Heals group members for 872',100,2,2),
(85271,147156,'Cannot be modified except by direct means',100,2,3),
(85272,10147156,'When Equipped:',100,0,0),
(85273,10147156,'On a combat hit this spell may cast Greater Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(85274,10147156,'Heals group members for 567',100,2,2),
(85275,10147156,'Cannot be modified except by direct means',100,2,3),
(85276,106457,'Increases Multi Attack Chance of raid and group members (AE) by 8.4',100,1,0),
(85277,10106457,'Increases Multi Attack Chance of raid and group members (AE) by 8.4',100,1,0),
(85278,120705,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 16.2',100,1,0),
(85279,10120705,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 16.2',100,1,0),
(85280,106281,'Wards target against 1691 points of all damage',100,1,0),
(85281,10106281,'Wards target against 1691 points of all damage',100,1,0),
(85282,124802,'Increases STR of caster by 103.4',100,1,0),
(85283,124802,'Decreases Defense of caster by 18.0',100,1,1),
(85284,124802,'Increases Crushing, Piercing, Slashing and Disruption of caster by 29.7',100,1,2),
(85285,10124802,'Increases STR of caster by 103.4',100,1,0),
(85286,10124802,'Decreases Defense of caster by 18.0',100,1,1),
(85287,10124802,'Increases Crushing, Piercing, Slashing and Disruption of caster by 29.7',100,1,2),
(85288,41145,'When Equipped:',100,0,0),
(85289,41145,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85290,41145,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(85291,41145,'Must not be engaged in pvp combat',100,2,3),
(85292,41145,'Cannot be modified except by direct means',100,2,4),
(85293,41145,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(85294,41145,'Increases Crit Bonus of caster by 11.0%',100,2,6),
(85295,41145,'Must not be engaged in pvp combat',100,2,7),
(85296,41145,'Cannot be modified except by direct means',100,2,8),
(85297,41145,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(85298,41145,'Cannot be modified except by direct means',100,1,10),
(85299,10041145,'When Equipped:',100,0,0),
(85300,10041145,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85301,10041145,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(85302,10041145,'Must not be engaged in pvp combat',100,2,3),
(85303,10041145,'Cannot be modified except by direct means',100,2,4),
(85304,10041145,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(85305,10041145,'Increases Crit Bonus of caster by 11.0%',100,2,6),
(85306,10041145,'Must not be engaged in pvp combat',100,2,7),
(85307,10041145,'Cannot be modified except by direct means',100,2,8),
(85308,10041145,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(85309,10041145,'Cannot be modified except by direct means',100,1,10),
(85310,106731,'Heals target for 451 - 552',100,1,0),
(85311,10106731,'Heals target for 531 - 648',100,1,0),
(85312,88823,'When Equipped:',100,0,0),
(85313,88823,'On a hostile spell cast this spell may cast Twisted Thoughts on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(85314,88823,'Decreases Threat to target by 1,250 ',100,2,2),
(85315,88823,'Cannot be modified except by direct means',100,2,3),
(85316,10088823,'When Equipped:',100,0,0),
(85317,10088823,'On a hostile spell cast this spell may cast Twisted Thoughts on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(85318,10088823,'Cannot be modified except by direct means',100,2,2),
(85319,164612,'Applies Unstable Magics when Equipped.',100,0,0),
(85320,164612,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(85321,10164612,'Applies Unstable Magics when Equipped.',100,0,0),
(85322,10164612,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(85323,82205,'When Equipped:',100,0,0),
(85324,82205,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(85325,82205,'Decreases Threat to target by 135 ',100,2,2),
(85326,82205,'Must be flanking or behind',100,3,3),
(85327,82205,'Increases Threat to target by 135 ',100,2,4),
(85328,82205,'Must be in front of',100,3,5),
(85329,82205,'Inflicts 41 - 76 magic damage on target',100,2,6),
(85330,82205,'Cannot be modified except by direct means',100,2,7),
(85331,10082205,'When Equipped:',100,0,0),
(85332,10082205,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(85333,10082205,'Inflicts 58 - 107 magic damage on target',100,2,2),
(85334,10082205,'Cannot be modified except by direct means',100,2,3),
(85335,177624,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(85336,177624,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(85337,177624,'Inflicts 18 heat damage on target',100,2,2),
(85338,177624,'Cannot be modified except by direct means',100,2,3),
(85339,10177624,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(85340,10177624,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(85341,10177624,'Inflicts 25 heat damage on target',100,2,2),
(85342,10177624,'Cannot be modified except by direct means',100,2,3),
(85343,114625,'Decreases WIS of target by 27.0',100,1,0),
(85344,114625,'Inflicts 281 - 468 melee damage on target',100,1,1),
(85345,114625,'You must be sneaking to use this ability.',100,1,2),
(85346,10114625,'Decreases WIS of target by 27.0',100,1,0),
(85347,10114625,'Inflicts 365 - 609 melee damage on target',100,1,1),
(85348,10114625,'You must be sneaking to use this ability.',100,1,2),
(85349,123433,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(85350,123433,'Stuns target',100,2,1),
(85351,123433,'Blurs vision of target',100,2,2),
(85352,123433,'Throws target back',100,2,3),
(85353,123433,'Does not affect Epic targets',100,2,4),
(85354,123433,'Inflicts 374 - 1124 melee damage on target',100,1,5),
(85355,10123433,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(85356,10123433,'Stuns target',100,2,1),
(85357,10123433,'Throws target back',100,2,2),
(85358,10123433,'Blurs vision of target',100,2,3),
(85359,10123433,'Does not affect Epic targets',100,2,4),
(85360,10123433,'Inflicts 487 - 1462 melee damage on target',100,1,5),
(85361,115878,'Increases power of caster by 33',100,1,0),
(85362,10115878,'Increases power of caster by 33',100,1,0),
(85363,45924,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(85364,45924,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(85365,45924,'Decreases WIS of target by 60.5',100,2,2),
(85366,45924,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 804',100,2,3),
(85367,45924,'Cannot be modified except by direct means',100,2,4),
(85368,45924,'Grants a total of 60 triggers of the spell.',100,2,5),
(85369,10045924,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(85370,10045924,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(85371,10045924,'Decreases WIS of target by 60.5',100,2,2),
(85372,10045924,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 804',100,2,3),
(85373,10045924,'Cannot be modified except by direct means',100,2,4),
(85374,10045924,'Grants a total of 60 triggers of the spell.',100,2,5),
(85375,48523,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(85376,48523,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(85377,48523,'Inflicts 33 poison damage on target',100,2,2),
(85378,48523,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,3),
(85379,48523,'Cannot be modified except by direct means',100,2,4),
(85380,48523,'Grants a total of 200 triggers of the spell.',100,2,5),
(85381,10048523,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(85382,10048523,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(85383,10048523,'Inflicts 35 poison damage on target',100,2,2),
(85384,10048523,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,3),
(85385,10048523,'Cannot be modified except by direct means',100,2,4),
(85386,10048523,'Grants a total of 200 triggers of the spell.',100,2,5),
(85387,101412,'Inflicts 549 - 915 melee damage on target',100,1,0),
(85388,101412,'Returns the last arrow used to the ranger.',100,1,1),
(85389,10101412,'Inflicts 714 - 1190 melee damage on target',100,1,0),
(85390,10101412,'Returns the last arrow used to the ranger.',100,1,1),
(85391,109117,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(85392,109117,'Increases Attack Speed of caster by 44.6',100,1,1),
(85393,109117,'Increases Damage Per Second of caster by 51.3',100,1,2),
(85394,109117,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(85395,109117,'Increases Ranged of caster by 57.0',100,1,4),
(85396,109117,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(85397,109117,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(85398,109117,'Increases Crushing of group members (AE) by 57.0',100,2,7),
(85399,109117,'Increases Piercing of group members (AE) by 57.0',100,2,8),
(85400,109117,'If profession other than Ranger',100,3,9),
(85401,109117,'Increases Slashing of group members (AE) by 57.0',100,2,10),
(85402,109117,'If profession other than Ranger',100,3,11),
(85403,10109117,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(85404,10109117,'Increases Attack Speed of caster by 44.6',100,1,1),
(85405,10109117,'Increases Damage Per Second of caster by 51.3',100,1,2),
(85406,10109117,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(85407,10109117,'Increases Ranged of caster by 57.0',100,1,4),
(85408,10109117,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(85409,10109117,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(85410,10109117,'Increases Crushing of group members (AE) by 57.0',100,2,7),
(85411,10109117,'Increases Piercing of group members (AE) by 57.0',100,2,8),
(85412,10109117,'If profession other than Ranger',100,3,9),
(85413,10109117,'Increases Slashing of group members (AE) by 57.0',100,2,10),
(85414,10109117,'If profession other than Ranger',100,3,11),
(85415,116890,'Wards group members (AE) against 2172 points of noxious damage',100,1,0),
(85416,116890,'Increases Mitigation of group members (AE) vs noxious damage by 1193',100,1,1),
(85417,10116890,'Wards group members (AE) against 2172 points of noxious damage',100,1,0),
(85418,10116890,'Increases Mitigation of group members (AE) vs noxious damage by 1193',100,1,1),
(85419,117981,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(85420,117981,'Increases Attack Speed of target by 13.3',100,2,1),
(85421,117981,'Increases Damage Per Second of target by 13.3',100,2,2),
(85422,117981,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(85423,117981,'Increases Attack Speed of target by 13.3',100,2,4),
(85424,117981,'Increases Damage Per Second of target by 13.3',100,2,5),
(85425,117981,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(85426,117981,'Increases Attack Speed of target by 13.3',100,2,7),
(85427,117981,'Increases Damage Per Second of target by 13.3',100,2,8),
(85428,10117981,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(85429,10117981,'Increases Attack Speed of target by 13.3',100,2,1),
(85430,10117981,'Increases Damage Per Second of target by 13.3',100,2,2),
(85431,10117981,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(85432,10117981,'Increases Attack Speed of target by 13.3',100,2,4),
(85433,10117981,'Increases Damage Per Second of target by 13.3',100,2,5),
(85434,10117981,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(85435,10117981,'Increases Attack Speed of target by 13.3',100,2,7),
(85436,10117981,'Increases Damage Per Second of target by 13.3',100,2,8),
(85437,24147,'Adds Elite: Coldain-Ghost (Fury) to your Dungeon Maker toolbox',100,0,0),
(85438,10024147,'Adds Elite: Coldain-Ghost (Fury) to your Dungeon Maker toolbox',100,0,0),
(85439,183413,'When Equipped:',100,0,0),
(85440,183413,'When any damage is received this spell has a 8% chance to cast Act of Survival on target''s attacker.  ',100,1,1),
(85441,183413,'Inflicts 253 magic damage on target',100,2,2),
(85442,183413,'Heals caster for 156',100,2,3),
(85443,183413,'Cannot be modified except by direct means',100,2,4),
(85444,10183413,'When Equipped:',100,0,0),
(85445,10183413,'When any damage is received this spell has a 8% chance to cast Act of Survival on target''s attacker.  ',100,1,1),
(85446,10183413,'Inflicts 354 magic damage on target',100,2,2),
(85447,10183413,'Heals caster for 101',100,2,3),
(85448,10183413,'Cannot be modified except by direct means',100,2,4),
(85449,175822,'When Equipped:',100,0,0),
(85450,175822,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85451,175822,'Decreases Damage Per Second of target by 20.0',100,2,2),
(85452,175822,'Inflicts 2398 magic damage on target',100,2,3),
(85453,175822,'Cannot be modified except by direct means',100,2,4),
(85454,175822,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(85455,175822,'Decreases Damage Per Second of target by 20.0',100,2,6),
(85456,175822,'Inflicts 2398 magic damage on target',100,2,7),
(85457,175822,'Cannot be modified except by direct means',100,2,8),
(85458,10175822,'When Equipped:',100,0,0),
(85459,10175822,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85460,10175822,'Decreases Damage Per Second of target by 20.0',100,2,2),
(85461,10175822,'Inflicts 3357 magic damage on target',100,2,3),
(85462,10175822,'Cannot be modified except by direct means',100,2,4),
(85463,10175822,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(85464,10175822,'Decreases Damage Per Second of target by 20.0',100,2,6),
(85465,10175822,'Inflicts 3357 magic damage on target',100,2,7),
(85466,10175822,'Cannot be modified except by direct means',100,2,8),
(85467,124097,'Increases power of caster by 33',100,1,0),
(85468,10124097,'Increases power of caster by 33',100,1,0),
(85469,119233,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(85470,119233,'If profession other than Fighter',100,1,1),
(85471,119233,'If profession other than Scout',100,1,2),
(85472,10119233,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(85473,10119233,'If profession other than Fighter',100,1,1),
(85474,10119233,'If profession other than Scout',100,1,2),
(85475,46742,'Applies Khalysta''s Restoration when Activated.',100,0,0),
(85476,46742,'Heals caster for 350',100,1,1),
(85477,46742,'Only affects targets level 50 and above',100,1,2),
(85478,10046742,'Applies Khalysta''s Restoration when Activated.',100,0,0),
(85479,10046742,'Heals caster for 227',100,1,1),
(85480,10046742,'Only affects targets level 50 and above',100,1,2),
(85481,101404,'Inflicts 504 - 841 melee damage on target',100,1,0),
(85482,101404,'Returns the last arrow used to the ranger.',100,1,1),
(85483,10101404,'Inflicts 656 - 1093 melee damage on target',100,1,0),
(85484,10101404,'Returns the last arrow used to the ranger.',100,1,1),
(85485,106629,'Inflicts 475 - 580 disease damage on target',100,1,0),
(85486,106629,'Heals caster for 5.9 - 7.3% of max health',100,1,1),
(85487,106629,'This effect cannot be critically applied.',100,2,2),
(85488,106629,'The healing of this spell cannot be modified except by direct means',100,1,3),
(85489,10106629,'Inflicts 664 - 812 disease damage on target',100,1,0),
(85490,10106629,'Heals caster for 2.0 - 2.4% of max health',100,1,1),
(85491,10106629,'This effect cannot be critically applied.',100,2,2),
(85492,10106629,'The healing of this spell cannot be modified except by direct means',100,1,3),
(85493,100298,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(85494,100298,'Inflicts 135 divine damage on target',100,2,1),
(85495,10100298,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(85496,10100298,'Inflicts 189 divine damage on target',100,2,1),
(85497,26026,'When Equipped:',100,0,0),
(85498,26026,'Decreases falling damage taken by caster by 20.0%',100,1,1),
(85499,10026026,'When Equipped:',100,0,0),
(85500,10026026,'Decreases falling damage taken by caster by 20.0%',100,1,1),
(85501,35223,'Increases Max Power of target by 4.1',100,0,0),
(85502,35223,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(85503,45172,'Applies Soul Steal when Activated.',100,0,0),
(85504,45172,'Summon 1 Do''ellin''s phylactery',100,1,1),
(85505,10045172,'Applies Soul Steal when Activated.',100,0,0),
(85506,10045172,'Summon 1 Do''ellin''s phylactery',100,1,1),
(85507,117649,'Decreases Mitigation of target vs physical damage by 108',100,1,0),
(85508,10117649,'Decreases Mitigation of target vs physical damage by 54',100,1,0),
(85509,121663,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(85510,121663,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,1),
(85511,121663,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(85512,121663,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,3),
(85513,10121663,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(85514,10121663,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,1),
(85515,10121663,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(85516,10121663,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,3),
(85517,122808,'Heals target for 1421',100,1,0),
(85518,10122808,'Heals target for 1109',100,1,0),
(85519,24121,'Adds Clockwork Copter (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(85520,10024121,'Adds Clockwork Copter (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(85521,101659,'Decreases Attack Speed of target by 17.6',100,1,0),
(85522,101659,'Decreases Damage Per Second of target by 10.1',100,1,1),
(85523,10101659,'Decreases Attack Speed of target by 17.6',100,1,0),
(85524,10101659,'Decreases Damage Per Second of target by 10.1',100,1,1),
(85525,134689,'When Equipped:',100,0,0),
(85526,134689,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85527,134689,'Gives target an extra 5.0% mitigation to their worn armor',100,2,2),
(85528,134689,'Increases Max Health of target by 500.0',100,2,3),
(85529,134689,'Cannot be modified except by direct means',100,2,4),
(85530,134689,'Cannot be modified except by direct means',100,1,5),
(85531,10134689,'When Equipped:',100,0,0),
(85532,10134689,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85533,10134689,'Gives target an extra 5.0% mitigation to their worn armor',100,2,2),
(85534,10134689,'Increases Max Health of target by 500.0',100,2,3),
(85535,10134689,'Cannot be modified except by direct means',100,2,4),
(85536,10134689,'Cannot be modified except by direct means',100,1,5),
(85537,114459,'Inflicts 400 - 667 heat damage on target',100,1,0),
(85538,10114459,'Inflicts 520 - 867 heat damage on target',100,1,0),
(85539,100336,'Increases Max Health of target by 34.3',100,1,0),
(85540,100336,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.0',100,1,1),
(85541,10100336,'Increases Max Health of target by 34.3',100,1,0),
(85542,10100336,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.0',100,1,1),
(85543,111721,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(85544,111721,'Inflicts 115 - 141 cold damage on target',100,2,1),
(85545,111721,'Grants a total of 3 triggers of the spell.',100,2,2),
(85546,10111721,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(85547,10111721,'Inflicts 161 - 197 cold damage on target',100,2,1),
(85548,10111721,'Grants a total of 3 triggers of the spell.',100,2,2),
(85549,26517,'When Equipped:',100,0,0),
(85550,26517,'Improves the reuse time of Consumption III by 30 seconds.',100,1,1),
(85551,26517,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(85552,10026517,'When Equipped:',100,0,0),
(85553,10026517,'Improves the reuse time of Consumption III by 30 seconds.',100,1,1),
(85554,10026517,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(85555,113723,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(85556,10113723,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(85557,121559,'Inflicts 418 - 697 melee damage on targets in area',100,1,0),
(85558,121559,'Stuns target encounter',100,1,1),
(85559,121559,'If Target is not Epic',100,2,2),
(85560,121559,'Resistibility increases against targets higher than level 89.',100,1,3),
(85561,10121559,'Inflicts 544 - 906 melee damage on targets in area',100,1,0),
(85562,10121559,'Stuns target encounter',100,1,1),
(85563,10121559,'If Target is not Epic',100,2,2),
(85564,10121559,'Resistibility increases against targets higher than level 89.',100,1,3),
(85565,115500,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(85566,115500,'Increases Mitigation of group members (AE) vs noxious damage by 356',100,1,1),
(85567,10115500,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(85568,10115500,'Increases Mitigation of group members (AE) vs noxious damage by 356',100,1,1),
(85569,156836,'When Equipped:',100,0,0),
(85570,156836,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(85571,156836,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(85572,156836,'Inflicts 787 divine damage on target',100,2,3),
(85573,156836,'Must be classified as a vampire',100,3,4),
(85574,156836,'Inflicts 393 divine damage on target',100,2,5),
(85575,156836,'Must not be classified as a vampire',100,3,6),
(85576,156836,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(85577,156836,'Must be classified as a vampire',100,3,8),
(85578,156836,'Cannot be modified except by direct means',100,2,9),
(85579,10156836,'When Equipped:',100,0,0),
(85580,10156836,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(85581,10156836,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(85582,10156836,'Inflicts 1102 divine damage on target',100,2,3),
(85583,10156836,'Must be classified as a vampire',100,3,4),
(85584,10156836,'Inflicts 551 divine damage on target',100,2,5),
(85585,10156836,'Must not be classified as a vampire',100,3,6),
(85586,10156836,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(85587,10156836,'Must be classified as a vampire',100,3,8),
(85588,10156836,'Cannot be modified except by direct means',100,2,9),
(85589,48946,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(85590,48946,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(85591,48946,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(85592,48946,'Cannot be modified except by direct means',100,2,3),
(85593,48946,'Grants a total of 80 triggers of the spell.',100,2,4),
(85594,10048946,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(85595,10048946,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(85596,10048946,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(85597,10048946,'Cannot be modified except by direct means',100,2,3),
(85598,10048946,'Grants a total of 80 triggers of the spell.',100,2,4),
(85599,120694,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 4.8',100,1,0),
(85600,10120694,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 4.8',100,1,0),
(85601,123115,'Inflicts 139 disease damage on targets in Area of Effect',100,1,0),
(85602,123115,'Inflicts 95 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(85603,10123115,'Inflicts 195 disease damage on targets in Area of Effect',100,1,0),
(85604,10123115,'Inflicts 133 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(85605,108839,'Inflicts 51 - 85 melee damage on target',100,1,0),
(85606,108839,'Inflicts 51 - 85 melee damage on target',100,1,1),
(85607,108839,'Inflicts 51 - 85 melee damage on target',100,1,2),
(85608,108839,'Inflicts 51 - 85 melee damage on target',100,1,3),
(85609,108839,'Inflicts 51 - 85 melee damage on target',100,1,4),
(85610,10108839,'Inflicts 66 - 111 melee damage on target',100,1,0),
(85611,10108839,'Inflicts 66 - 111 melee damage on target',100,1,1),
(85612,10108839,'Inflicts 66 - 111 melee damage on target',100,1,2),
(85613,10108839,'Inflicts 66 - 111 melee damage on target',100,1,3),
(85614,10108839,'Inflicts 66 - 111 melee damage on target',100,1,4),
(85615,119497,'Dazes target encounter',100,1,0),
(85616,119497,'If Target is not Epic',100,2,1),
(85617,119497,'Inflicts 288 - 352 magic damage on target encounter instantly and every second',100,1,2),
(85618,119497,'Resistibility increases against targets higher than level 107.',100,1,3),
(85619,10119497,'Dazes target encounter',100,1,0),
(85620,10119497,'If Target is not Epic',100,2,1),
(85621,10119497,'Inflicts 530 - 648 magic damage on target encounter',100,1,2),
(85622,10119497,'Inflicts 403 - 493 magic damage on target encounter every second',100,1,3),
(85623,10119497,'Resistibility increases against targets higher than level 107.',100,1,4),
(85624,109276,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(85625,109276,'Increases Mitigation of group members (AE) vs elemental damage by 96',100,1,1),
(85626,10109276,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(85627,10109276,'Increases Mitigation of group members (AE) vs elemental damage by 96',100,1,1),
(85628,106846,'Decreases Crushing, Piercing, Slashing and Ranged of target by 27.4',100,1,0),
(85629,10106846,'Decreases Crushing, Piercing, Slashing and Ranged of target by 27.4',100,1,0),
(85630,71726,'When Equipped:',100,0,0),
(85631,71726,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85632,71726,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(85633,71726,'Cannot be modified except by direct means',100,2,3),
(85634,10071726,'When Equipped:',100,0,0),
(85635,10071726,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85636,10071726,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(85637,10071726,'Cannot be modified except by direct means',100,2,3),
(85638,139316,'When Equipped:',100,0,0),
(85639,139316,'Increases Attack Speed of caster by 25.0',100,1,1),
(85640,10139316,'When Equipped:',100,0,0),
(85641,10139316,'Increases Attack Speed of caster by 25.0',100,1,1),
(85642,124130,'Increases power of caster by 422',100,1,0),
(85643,10124130,'Increases power of caster by 422',100,1,0),
(85644,37455,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(85645,101498,'Increases WIS of target by 9.9',100,1,0),
(85646,101498,'Increases Max Health of target by 31.2',100,1,1),
(85647,101498,'Increases Mitigation of target vs elemental, noxious and arcane damage by 25',100,1,2),
(85648,10101498,'Increases WIS of target by 9.9',100,1,0),
(85649,10101498,'Increases Max Health of target by 31.2',100,1,1),
(85650,10101498,'Increases Mitigation of target vs elemental, noxious and arcane damage by 25',100,1,2),
(85651,82359,'When Equipped:',100,0,0),
(85652,82359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85653,82359,'Inflicts 41 - 76 magic damage on target',100,2,2),
(85654,82359,'Cannot be modified except by direct means',100,2,3),
(85655,10082359,'When Equipped:',100,0,0),
(85656,10082359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85657,10082359,'Inflicts 58 - 107 magic damage on target',100,2,2),
(85658,10082359,'Cannot be modified except by direct means',100,2,3),
(85659,105552,'Inflicts 88 - 164 disease damage on target',100,1,0),
(85660,105552,'Inflicts 53 - 98 disease damage on target every 2 seconds',100,1,1),
(85661,10105552,'Inflicts 124 - 229 disease damage on target',100,1,0),
(85662,10105552,'Inflicts 74 - 138 disease damage on target every 2 seconds',100,1,1),
(85663,158261,'When Equipped:',100,0,0),
(85664,158261,'When a combat art is used this spell has a 5% chance to cast Jolt of Hindrance on target of combat art.  Lasts for 2.0 seconds.  ',100,1,1),
(85665,158261,'Stuns target',100,2,2),
(85666,158261,'Does not affect Epic targets',100,2,3),
(85667,158261,'Resistibility increases against targets higher than level 101.',100,2,4),
(85668,158261,'Cannot be modified except by direct means',100,2,5),
(85669,10158261,'When Equipped:',100,0,0),
(85670,10158261,'When a combat art is used this spell has a 5% chance to cast Jolt of Hindrance on target of combat art.  Lasts for 2.0 seconds.  ',100,1,1),
(85671,10158261,'Stuns target',100,2,2),
(85672,10158261,'Does not affect Epic targets',100,2,3),
(85673,10158261,'Resistibility increases against targets higher than level 101.',100,2,4),
(85674,10158261,'Cannot be modified except by direct means',100,2,5),
(85675,122189,'Inflicts 265 - 324 cold damage on target instantly and every 2 seconds',100,1,0),
(85676,122189,'Inflicts 265 - 324 cold damage on target instantly and every 2 seconds',100,1,1),
(85677,122189,'If target is elemental',100,2,2),
(85678,10122189,'Inflicts 371 - 454 cold damage on target instantly and every 2 seconds',100,1,0),
(85679,120951,'Inflicts 351 - 585 ranged damage on target',100,1,0),
(85680,120951,'If weapon equipped in Ranged',100,1,1),
(85681,120951,'Must be behind',100,1,2),
(85682,10120951,'Inflicts 298 - 497 ranged damage on target',100,1,0),
(85683,10120951,'If weapon equipped in Ranged',100,1,1),
(85684,10120951,'Must be behind',100,1,2),
(85685,102714,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(85686,102714,'Inflicts 567 - 945 heat damage on target',100,2,1),
(85687,102714,'Grants a total of 5 triggers of the spell.',100,2,2),
(85688,102714,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(85689,102714,'Inflicts 567 - 945 heat damage on target',100,2,4),
(85690,102714,'Grants a total of 5 triggers of the spell.',100,2,5),
(85691,10102714,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(85692,10102714,'Inflicts 794 - 1324 heat damage on target',100,2,1),
(85693,10102714,'Grants a total of 5 triggers of the spell.',100,2,2),
(85694,10102714,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(85695,10102714,'Inflicts 794 - 1324 heat damage on target',100,2,4),
(85696,10102714,'Grants a total of 5 triggers of the spell.',100,2,5),
(85697,122511,'Heals caster for 3',100,1,0),
(85698,122511,'Inflicts 5 - 9 melee damage on target',100,1,1),
(85699,10122511,'Heals caster for 2',100,1,0),
(85700,10122511,'Inflicts 7 - 12 melee damage on target',100,1,1),
(85701,136339,'When Equipped:',100,0,0),
(85702,136339,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85703,136339,'Wards caster against 300 points of all damage',100,2,2),
(85704,136339,'Cannot be modified except by direct means',100,2,3),
(85705,136339,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(85706,10136339,'When Equipped:',100,0,0),
(85707,10136339,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85708,10136339,'Wards caster against 300 points of all damage',100,2,2),
(85709,10136339,'Cannot be modified except by direct means',100,2,3),
(85710,10136339,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(85711,107427,'Summons a pet earthen avatar',100,1,0),
(85712,10107427,'Summons a pet earthen avatar',100,1,0),
(85713,83259,'When Equipped:',100,0,0),
(85714,83259,'On a melee hit this spell may cast Sparkling Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85715,83259,'Inflicts 341 magic damage on target encounter',100,2,2),
(85716,83259,'Cannot be modified except by direct means',100,2,3),
(85717,10083259,'When Equipped:',100,0,0),
(85718,10083259,'On a melee hit this spell may cast Sparkling Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85719,10083259,'Inflicts 477 magic damage on target encounter',100,2,2),
(85720,10083259,'Cannot be modified except by direct means',100,2,3),
(85721,110369,'Increases STR and AGI of group members (AE) by 30.1',100,1,0),
(85722,110369,'Adds 2.5% to base avoidance.',100,1,1),
(85723,10110369,'Increases STR and AGI of group members (AE) by 30.1',100,1,0),
(85724,10110369,'Adds 2.5% to base avoidance.',100,1,1),
(85725,108968,'Increases INT of group members (AE) by 168.3',100,1,0),
(85726,108968,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 64.3',100,1,1),
(85727,10108968,'Increases INT of group members (AE) by 168.3',100,1,0),
(85728,10108968,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 64.3',100,1,1),
(85729,71643,'When Equipped:',100,0,0),
(85730,71643,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85731,71643,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(85732,71643,'Cannot be modified except by direct means',100,2,3),
(85733,10071643,'When Equipped:',100,0,0),
(85734,10071643,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85735,10071643,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(85736,10071643,'Cannot be modified except by direct means',100,2,3),
(85737,163262,'When Equipped:',100,0,0),
(85738,163262,'On any combat or spell hit this spell may cast Fatal Pestilience II on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85739,163262,'Inflicts 25 - 27 disease damage on targets in Area of Effect',100,2,2),
(85740,163262,'Inflicts 31 - 34 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(85741,163262,'Inflicts an additional 2 - 2 disease damage on targets in Area of Effect every tick',100,2,4),
(85742,163262,'Must not be engaged in pvp combat',100,2,5),
(85743,163262,'Cannot be modified except by direct means',100,2,6),
(85744,163262,'Must not be engaged in pvp combat',100,1,7),
(85745,10163262,'When Equipped:',100,0,0),
(85746,10163262,'On any combat or spell hit this spell may cast Fatal Pestilience II on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85747,10163262,'Inflicts 35 - 38 disease damage on targets in Area of Effect',100,2,2),
(85748,10163262,'Inflicts 43 - 48 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(85749,10163262,'Inflicts an additional 2 - 2 disease damage on targets in Area of Effect every tick',100,2,4),
(85750,10163262,'Must not be engaged in pvp combat',100,2,5),
(85751,10163262,'Cannot be modified except by direct means',100,2,6),
(85752,10163262,'Must not be engaged in pvp combat',100,1,7),
(85753,109050,'Increases Attack Speed of caster by 32.0',100,1,0),
(85754,109050,'Decreases Defense of caster by 18.9',100,1,1),
(85755,109050,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.0',100,1,2),
(85756,10109050,'Increases Attack Speed of caster by 32.0',100,1,0),
(85757,10109050,'Decreases Defense of caster by 18.9',100,1,1),
(85758,10109050,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.0',100,1,2),
(85759,25761,'When Equipped:',100,0,0),
(85760,25761,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,1),
(85761,25761,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(85762,10025761,'When Equipped:',100,0,0),
(85763,10025761,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,1),
(85764,10025761,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(85765,159026,'Applies Lambent Imbued when Equipped.',100,0,0),
(85766,159026,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(85767,159026,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(85768,159026,'Cannot be modified except by direct means',100,2,3),
(85769,10159026,'Applies Lambent Imbued when Equipped.',100,0,0),
(85770,10159026,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(85771,10159026,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(85772,10159026,'Cannot be modified except by direct means',100,2,3),
(85773,48805,'Applies Haldorak''s Rejuvenation  when Activated.',100,0,0),
(85774,48805,'Heals caster for 34',100,1,1),
(85775,10048805,'Applies Haldorak''s Rejuvenation  when Activated.',100,0,0),
(85776,10048805,'Heals caster for 22',100,1,1),
(85777,118490,'Summons a limited pet to aid the caster',100,1,0),
(85778,10118490,'Summons a limited pet to aid the caster',100,1,0),
(85779,116387,'Heals target for 137 - 168 instantly and every 2 seconds',100,1,0),
(85780,10116387,'Heals target for 89 - 109 instantly and every 2 seconds',100,1,0),
(85781,45065,'Applies Darkpaw Sniffer when Activated.',100,0,0),
(85782,45065,'Summons a pet a Darkpaw Sniffer',100,1,1),
(85783,45065,'Must be in Blackburrow.',100,1,2),
(85784,45065,'You can only release the Sniffer at the main entrance to Blackburrow.',100,1,3),
(85785,10045065,'Applies Darkpaw Sniffer when Activated.',100,0,0),
(85786,10045065,'Summons a pet a Darkpaw Sniffer',100,1,1),
(85787,10045065,'Must be in Blackburrow.',100,1,2),
(85788,10045065,'You can only release the Sniffer at the main entrance to Blackburrow.',100,1,3),
(85789,116950,'Increases Threat to target by 290 - 354 ',100,1,0),
(85790,116950,'Interrupts target',100,1,1),
(85791,10116950,'Forces target to change their selected target to caster.',100,1,0),
(85792,10116950,'Interrupts target',100,1,1),
(85793,10116950,'Prevents target from changing targets',100,1,2),
(85794,35959,'Increases Max Power of target by 4.1',100,0,0),
(85795,35959,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(85796,117493,'Increases Attack Speed of target by 34.3',100,1,0),
(85797,10117493,'Increases Attack Speed of target by 34.3',100,1,0),
(85798,119256,'Inflicts 14 - 24 slashing damage on target',100,1,0),
(85799,119256,'Decreases Damage Per Second of target by 9.3',100,1,1),
(85800,119256,'Inflicts 20 slashing damage on target instantly and every 4 seconds',100,1,2),
(85801,10119256,'Inflicts 19 - 32 slashing damage on target',100,1,0),
(85802,10119256,'Decreases Damage Per Second of target by 9.3',100,1,1),
(85803,10119256,'Inflicts 28 slashing damage on target instantly and every 4 seconds',100,1,2),
(85804,119580,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(85805,10119580,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(85806,111516,'Blurs vision of targets in Area of Effect',100,1,0),
(85807,111516,'Interrupts targets in Area of Effect',100,1,1),
(85808,111516,'3% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(85809,111516,'Stuns target',100,2,3),
(85810,111516,'Throws target back',100,2,4),
(85811,111516,'Blurs vision of target',100,2,5),
(85812,111516,'Does not affect Epic targets',100,2,6),
(85813,10111516,'Blurs vision of targets in Area of Effect',100,1,0),
(85814,10111516,'3% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(85815,10111516,'Stuns target',100,2,2),
(85816,10111516,'Throws target back',100,2,3),
(85817,10111516,'Blurs vision of target',100,2,4),
(85818,10111516,'Does not affect Epic targets',100,2,5),
(85819,10111516,'Interrupts targets in Area of Effect',100,1,6),
(85820,107149,'Inflicts 758 - 926 divine damage on target',100,1,0),
(85821,107149,'Inflicts 758 - 926 divine damage on target',100,1,1),
(85822,107149,'If target is undead',100,2,2),
(85823,10107149,'Inflicts 1061 - 1297 divine damage on target',100,1,0),
(85824,10107149,'Inflicts 1061 - 1297 divine damage on target',100,1,1),
(85825,124331,'Shapechanges caster into a wolf',100,1,0),
(85826,124331,'Grants See Invisibility to caster',100,1,1),
(85827,124331,'Increases Focus of caster by 34.6',100,1,2),
(85828,124331,'Increases Mitigation of caster vs physical damage by 384',100,1,3),
(85829,124331,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',100,1,4),
(85830,10124331,'Shapechanges caster into a wolf',100,1,0),
(85831,10124331,'Grants See Invisibility to caster',100,1,1),
(85832,10124331,'Increases Focus of caster by 34.6',100,1,2),
(85833,10124331,'Increases Mitigation of caster vs physical damage by 384',100,1,3),
(85834,10124331,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',100,1,4),
(85835,116631,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(85836,116631,'Increases Mitigation of group members (AE) vs arcane damage by 627',100,1,1),
(85837,10116631,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(85838,10116631,'Increases Mitigation of group members (AE) vs arcane damage by 627',100,1,1),
(85839,115705,'Inflicts 42 - 71 ranged damage on target',100,1,0),
(85840,115705,'Inflicts 42 - 71 ranged damage on target',100,1,1),
(85841,115705,'If weapon equipped in Ranged',100,1,2),
(85842,10115705,'Inflicts 36 - 60 ranged damage on target',100,1,0),
(85843,10115705,'Inflicts 36 - 60 ranged damage on target',100,1,1),
(85844,10115705,'If weapon equipped in Ranged',100,1,2),
(85845,120715,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 19.5',100,1,0),
(85846,10120715,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 19.5',100,1,0),
(85847,163991,'When Equipped:',100,0,0),
(85848,163991,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85849,163991,'Increases Potency of caster by 9.0%',100,2,2),
(85850,163991,'Cannot be modified except by direct means',100,2,3),
(85851,10163991,'When Equipped:',100,0,0),
(85852,10163991,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85853,10163991,'Increases Potency of caster by 9.0%',100,2,2),
(85854,10163991,'Cannot be modified except by direct means',100,2,3),
(85855,47142,'Applies Clendin''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(85856,47142,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(85857,10047142,'Applies Clendin''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(85858,10047142,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(85859,132719,'When Equipped:',100,0,0),
(85860,132719,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(85861,132719,'Inflicts 96 - 160 heat damage on target every 4.8 seconds',100,2,2),
(85862,132719,'Inflicts 234 - 391 heat damage on target',100,2,3),
(85863,132719,'Cannot be modified except by direct means',100,2,4),
(85864,10132719,'When Equipped:',100,0,0),
(85865,10132719,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(85866,10132719,'Inflicts 134 - 224 heat damage on target every 4.8 seconds',100,2,2),
(85867,10132719,'Inflicts 328 - 547 heat damage on target',100,2,3),
(85868,10132719,'Cannot be modified except by direct means',100,2,4),
(85869,114888,'Causes 9% Threat to transfer to target when in combat',100,1,0),
(85870,182063,'When Equipped:',100,0,0),
(85871,182063,'On a healing spell cast this spell may cast Planar Mender''s Aura on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85872,182063,'Increases healing received by 3.00%',100,2,2),
(85873,182063,'Wards group members (AE) against 3500 points of all damage',100,2,3),
(85874,182063,'Increases the caster''s heals and wards by 10%.',100,2,4),
(85875,182063,'Must not be engaged in pvp combat',100,2,5),
(85876,182063,'Cannot be modified except by direct means',100,2,6),
(85877,182063,'Must not be engaged in pvp combat',100,1,7),
(85878,10182063,'When Equipped:',100,0,0),
(85879,10182063,'On a healing spell cast this spell may cast Planar Mender''s Aura on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(85880,10182063,'Increases healing received by 3.00%',100,2,2),
(85881,10182063,'Wards group members (AE) against 3500 points of all damage',100,2,3),
(85882,10182063,'Increases the caster''s heals and wards by 10%.',100,2,4),
(85883,10182063,'Must not be engaged in pvp combat',100,2,5),
(85884,10182063,'Cannot be modified except by direct means',100,2,6),
(85885,10182063,'Must not be engaged in pvp combat',100,1,7),
(85886,116466,'Inflicts 236 disease damage on target instantly and every 4 seconds',100,1,0),
(85887,116466,'Inflicts 236 disease damage on target instantly and every 4 seconds',100,1,1),
(85888,116466,'If target is nightblood',100,2,2),
(85889,116466,'Inflicts 236 disease damage on target instantly and every 4 seconds',100,1,3),
(85890,116466,'If target is shadowed folk',100,2,4),
(85891,10116466,'Inflicts 330 disease damage on target instantly and every 4 seconds',100,1,0),
(85892,105959,'Applies On the March.  Lasts for 10.0 seconds.',100,1,0),
(85893,105959,'Increases INT of group members (AE) by 127.1',100,2,1),
(85894,105959,'Increases Damage Per Second of group members (AE) by 54.9',100,2,2),
(85895,105959,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',100,2,3),
(85896,105959,'Increases Ability Casting Speed of group members (AE) by 54.9%',100,2,4),
(85897,105959,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',100,1,5),
(85898,105959,'Increases INT of group members (AE) by 127.1',100,2,6),
(85899,105959,'Increases Damage Per Second of group members (AE) by 54.9',100,2,7),
(85900,105959,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',100,2,8),
(85901,105959,'Increases Ability Casting Speed of group members (AE) by 54.9%',100,2,9),
(85902,10105959,'Applies On the March.  Lasts for 10.0 seconds.',100,1,0),
(85903,10105959,'Increases INT of group members (AE) by 127.1',100,2,1),
(85904,10105959,'Increases Damage Per Second of group members (AE) by 54.9',100,2,2),
(85905,10105959,'Makes group members (AE) immune to Stifle effects',100,2,3),
(85906,10105959,'Makes group members (AE) immune to Daze effects',100,2,4),
(85907,10105959,'Makes group members (AE) immune to Root effects',100,2,5),
(85908,10105959,'Makes group members (AE) immune to Stun effects',100,2,6),
(85909,10105959,'Makes group members (AE) immune to Fear effects',100,2,7),
(85910,10105959,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,2,8),
(85911,10105959,'Makes Group members (AE) immune to taunt effects.',100,3,9),
(85912,10105959,'Applies Lost Focus.  Lasts for 1 minute.',100,3,10),
(85913,10105959,'You cannot be affected by Commanding Roar.',100,4,11),
(85914,10105959,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,3,12),
(85915,10105959,'You cannot be affected by Commanding Roar.',100,4,13),
(85916,10105959,'Increases Ability Casting Speed of group members (AE) by 54.9%',100,2,14),
(85917,10105959,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',100,1,15),
(85918,10105959,'Increases INT of group members (AE) by 127.1',100,2,16),
(85919,10105959,'Increases Damage Per Second of group members (AE) by 54.9',100,2,17),
(85920,10105959,'Makes group members (AE) immune to Stifle effects',100,2,18),
(85921,10105959,'Makes group members (AE) immune to Daze effects',100,2,19),
(85922,10105959,'Makes group members (AE) immune to Root effects',100,2,20),
(85923,10105959,'Makes group members (AE) immune to Stun effects',100,2,21),
(85924,10105959,'Makes group members (AE) immune to Fear effects',100,2,22),
(85925,10105959,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,2,23),
(85926,10105959,'Makes Group members (AE) immune to taunt effects.',100,3,24),
(85927,10105959,'Applies Lost Focus.  Lasts for 1 minute.',100,3,25),
(85928,10105959,'You cannot be affected by Commanding Roar.',100,4,26),
(85929,10105959,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,3,27),
(85930,10105959,'You cannot be affected by Commanding Roar.',100,4,28),
(85931,10105959,'Increases Ability Casting Speed of group members (AE) by 54.9%',100,2,29),
(85932,112768,'Interrupts target',100,1,0),
(85933,112768,'Inflicts 329 - 549 divine damage on target',100,1,1),
(85934,10112768,'Interrupts target',100,1,0),
(85935,10112768,'Inflicts 461 - 768 divine damage on target',100,1,1),
(85936,41572,'When Equipped:',100,0,0),
(85937,41572,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85938,41572,'Inflicts 365 - 678 magic damage on target',100,2,2),
(85939,41572,'Cannot be modified except by direct means',100,2,3),
(85940,10041572,'When Equipped:',100,0,0),
(85941,10041572,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85942,10041572,'Inflicts 511 - 949 magic damage on target',100,2,2),
(85943,10041572,'Cannot be modified except by direct means',100,2,3),
(85944,104928,'Inflicts 565 - 942 ranged damage on target',100,1,0),
(85945,104928,'Decreases Deflection and Parry of target by 37.2',100,1,1),
(85946,104928,'Requires bow',100,1,2),
(85947,10104928,'Inflicts 480 - 800 ranged damage on target',100,1,0),
(85948,10104928,'Decreases Deflection and Parry of target by 37.2',100,1,1),
(85949,10104928,'Requires bow',100,1,2),
(85950,108357,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(85951,108357,'Increases Mitigation of group members (AE) vs arcane damage by 660',100,1,1),
(85952,10108357,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(85953,10108357,'Increases Mitigation of group members (AE) vs arcane damage by 660',100,1,1),
(85954,102047,'Interrupts targets in Area of Effect',100,1,0),
(85955,102047,'Inflicts 191 - 318 melee damage on targets in area',100,1,1),
(85956,10102047,'Interrupts targets in Area of Effect',100,1,0),
(85957,10102047,'Inflicts 248 - 414 melee damage on targets in area',100,1,1),
(85958,110965,'Inflicts 995 - 1659 ranged damage on target',100,1,0),
(85959,110965,'I need to be stealthed!',100,1,1),
(85960,110965,'Requires bow',100,1,2),
(85961,10110965,'Inflicts 634 - 1057 ranged damage on target',100,1,0),
(85962,10110965,'I need to be stealthed!',100,1,1),
(85963,10110965,'Requires bow',100,1,2),
(85964,138373,'When Equipped:',100,0,0),
(85965,138373,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(85966,138373,'Inflicts 1199 piercing damage on target',100,2,2),
(85967,138373,'Cannot be modified except by direct means',100,2,3),
(85968,10138373,'When Equipped:',100,0,0),
(85969,10138373,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(85970,10138373,'Inflicts 839 piercing damage on target',100,2,2),
(85971,10138373,'Cannot be modified except by direct means',100,2,3),
(85972,74848,'When Equipped:',100,0,0),
(85973,74848,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85974,74848,'Inflicts 146 - 219 magic damage on target',100,2,2),
(85975,74848,'Cannot be modified except by direct means',100,2,3),
(85976,10074848,'When Equipped:',100,0,0),
(85977,10074848,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(85978,10074848,'Inflicts 204 - 306 magic damage on target',100,2,2),
(85979,10074848,'Cannot be modified except by direct means',100,2,3),
(85980,103691,'Interrupts target',100,1,0),
(85981,103691,'Inflicts 754 - 1258 melee damage on target',100,1,1),
(85982,103691,'Must be flanking or behind',100,1,2),
(85983,10103691,'Interrupts target',100,1,0),
(85984,10103691,'Inflicts 981 - 1635 melee damage on target',100,1,1),
(85985,10103691,'Must be flanking or behind',100,1,2),
(85986,75567,'Applies Disease Blast when Activated.',100,0,0),
(85987,75567,'Inflicts 66 - 110 disease damage on target',100,1,1),
(85988,75567,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(85989,10075567,'Applies Disease Blast when Activated.',100,0,0),
(85990,10075567,'Inflicts 93 - 155 disease damage on target',100,1,1),
(85991,10075567,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(85992,71935,'When Equipped:',100,0,0),
(85993,71935,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85994,71935,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(85995,71935,'Cannot be modified except by direct means',100,2,3),
(85996,10071935,'When Equipped:',100,0,0),
(85997,10071935,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(85998,10071935,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(85999,10071935,'Cannot be modified except by direct means',100,2,3),
(86000,105143,'Increases AGI of caster by 17.5',100,1,0),
(86001,105143,'Adds 1.9% to base avoidance.',100,1,1),
(86002,105143,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(86003,105143,'Increases Parry of caster by 9.7',100,1,3),
(86004,105143,'Increases Defense of caster by 13.0',100,1,4),
(86005,10105143,'Increases AGI of caster by 17.5',100,1,0),
(86006,10105143,'Adds 1.9% to base avoidance.',100,1,1),
(86007,10105143,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(86008,10105143,'Increases Parry of caster by 9.7',100,1,3),
(86009,10105143,'Increases Defense of caster by 13.0',100,1,4),
(86010,110076,'Summons a pet grim sorcerer',100,1,0),
(86011,10110076,'Summons a pet grim sorcerer',100,1,0),
(86012,141777,'When Equipped:',100,0,0),
(86013,141777,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(86014,141777,'Increases STA of caster by 11.9',100,2,2),
(86015,141777,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(86016,141777,'Cannot be modified except by direct means',100,2,4),
(86017,10141777,'When Equipped:',100,0,0),
(86018,10141777,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(86019,10141777,'Increases STA of caster by 11.9',100,2,2),
(86020,10141777,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(86021,10141777,'Cannot be modified except by direct means',100,2,4),
(86022,120576,'Inflicts 14 - 26 heat damage on target',100,1,0),
(86023,10120576,'Inflicts 19 - 36 heat damage on target',100,1,0),
(86024,139477,'When Equipped:',100,0,0),
(86025,139477,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86026,139477,'Increases Ability Modifier of group members by 200.0',100,2,2),
(86027,139477,'Cannot be modified except by direct means',100,2,3),
(86028,139477,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(86029,139477,'Increases Ability Modifier of group members by 200.0',100,2,5),
(86030,139477,'Cannot be modified except by direct means',100,2,6),
(86031,139477,'Cannot be modified except by direct means',100,1,7),
(86032,10139477,'When Equipped:',100,0,0),
(86033,10139477,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86034,10139477,'Increases Ability Modifier of group members by 200.0',100,2,2),
(86035,10139477,'Cannot be modified except by direct means',100,2,3),
(86036,10139477,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(86037,10139477,'Increases Ability Modifier of group members by 200.0',100,2,5),
(86038,10139477,'Cannot be modified except by direct means',100,2,6),
(86039,10139477,'Cannot be modified except by direct means',100,1,7),
(86040,171262,'When Equipped:',100,0,0),
(86041,171262,'On a critical healing spell cast this spell may cast Ward of Duality II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86042,171262,'Wards target against 200 points of all damage',100,2,2),
(86043,171262,'Wards caster against 100 points of all damage',100,2,3),
(86044,171262,'Must not be engaged in pvp combat',100,2,4),
(86045,171262,'Cannot be modified except by direct means',100,2,5),
(86046,171262,'Must not be engaged in pvp combat',100,1,6),
(86047,10171262,'When Equipped:',100,0,0),
(86048,10171262,'On a critical healing spell cast this spell may cast Ward of Duality II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86049,10171262,'Wards target against 200 points of all damage',100,2,2),
(86050,10171262,'Wards caster against 100 points of all damage',100,2,3),
(86051,10171262,'Must not be engaged in pvp combat',100,2,4),
(86052,10171262,'Cannot be modified except by direct means',100,2,5),
(86053,10171262,'Must not be engaged in pvp combat',100,1,6),
(86054,113598,'Summons a limited pet to aid the caster',100,1,0),
(86055,10113598,'Summons a limited pet to aid the caster',100,1,0),
(86056,40604,'When Equipped:',100,0,0),
(86057,40604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86058,40604,'Inflicts 57 - 86 magic damage on target',100,2,2),
(86059,40604,'Cannot be modified except by direct means',100,2,3),
(86060,10040604,'When Equipped:',100,0,0),
(86061,10040604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86062,10040604,'Inflicts 80 - 120 magic damage on target',100,2,2),
(86063,10040604,'Cannot be modified except by direct means',100,2,3),
(86064,120234,'Roots target encounter',100,1,0),
(86065,120234,'15% chance to dispel when target takes damage',100,1,1),
(86066,120234,'Does not affect Epic targets',100,1,2),
(86067,120234,'Resistibility increases against targets higher than level 107.',100,1,3),
(86068,10120234,'Roots target encounter',100,1,0),
(86069,10120234,'15% chance to dispel when target takes damage',100,1,1),
(86070,10120234,'Does not affect Epic targets',100,1,2),
(86071,10120234,'Resistibility increases against targets higher than level 107.',100,1,3),
(86072,27490,'When Equipped:',100,0,0),
(86073,27490,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(86074,27490,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(86075,10027490,'When Equipped:',100,0,0),
(86076,10027490,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(86077,10027490,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(86078,100045,'Decreases STR, AGI and WIS of target by 51.2',100,1,0),
(86079,10100045,'Decreases STR, AGI and WIS of target by 51.2',100,1,0),
(86080,106985,'Inflicts 1040 - 1932 poison damage on target',100,1,0),
(86081,106985,'Increases power of caster by 77',100,1,1),
(86082,10106985,'Inflicts 1456 - 2704 poison damage on target',100,1,0),
(86083,10106985,'Increases power of caster by 77',100,1,1),
(86084,83940,'When Equipped:',100,0,0),
(86085,83940,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(86086,83940,'Reduces healing received by 15.00%',100,2,2),
(86087,83940,'Cannot be modified except by direct means',100,2,3),
(86088,83940,'This effect can only trigger once every 1 second.',100,2,4),
(86089,83940,'Must be engaged in pvp combat',100,1,5),
(86090,10083940,'When Equipped:',100,0,0),
(86091,10083940,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(86092,10083940,'Reduces healing received by 15.00%',100,2,2),
(86093,10083940,'Cannot be modified except by direct means',100,2,3),
(86094,10083940,'This effect can only trigger once every 1 second.',100,2,4),
(86095,10083940,'Must be engaged in pvp combat',100,1,5),
(86096,86319,'Applies Frost Blast when Activated.',100,0,0),
(86097,86319,'Inflicts 360 - 600 cold damage on target',100,1,1),
(86098,86319,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86099,10086319,'Applies Frost Blast when Activated.',100,0,0),
(86100,10086319,'Inflicts 504 - 840 cold damage on target',100,1,1),
(86101,10086319,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86102,84620,'When Equipped:',100,0,0),
(86103,84620,'On a critical spell hit this spell may cast Mindsieve V on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(86104,84620,'Inflicts 379 - 419 mental damage on target',100,2,2),
(86105,84620,'Increases power of caster by 33',100,2,3),
(86106,84620,'Must not be engaged in pvp combat',100,2,4),
(86107,84620,'Cannot be modified except by direct means',100,2,5),
(86108,84620,'On a critical combat hit this spell may cast Mindsieve V on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(86109,84620,'Inflicts 379 - 419 mental damage on target',100,2,7),
(86110,84620,'Increases power of caster by 33',100,2,8),
(86111,84620,'Must not be engaged in pvp combat',100,2,9),
(86112,84620,'Cannot be modified except by direct means',100,2,10),
(86113,84620,'Must not be engaged in pvp combat',100,1,11),
(86114,10084620,'When Equipped:',100,0,0),
(86115,10084620,'On a critical spell hit this spell may cast Mindsieve V on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(86116,10084620,'Inflicts 531 - 587 mental damage on target',100,2,2),
(86117,10084620,'Increases power of caster by 33',100,2,3),
(86118,10084620,'Must not be engaged in pvp combat',100,2,4),
(86119,10084620,'Cannot be modified except by direct means',100,2,5),
(86120,10084620,'On a critical combat hit this spell may cast Mindsieve V on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(86121,10084620,'Inflicts 531 - 587 mental damage on target',100,2,7),
(86122,10084620,'Increases power of caster by 33',100,2,8),
(86123,10084620,'Must not be engaged in pvp combat',100,2,9),
(86124,10084620,'Cannot be modified except by direct means',100,2,10),
(86125,10084620,'Must not be engaged in pvp combat',100,1,11),
(86126,106513,'Inflicts 1228 - 2046 melee damage on target',100,1,0),
(86127,106513,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(86128,106513,'If Target is Standard or weaker',100,2,2),
(86129,10106513,'Inflicts 798 - 1330 melee damage on target',100,1,0),
(86130,138691,'When Equipped:',100,0,0),
(86131,138691,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86132,138691,'Increases Damage Per Second of caster by 10.0',100,2,2),
(86133,138691,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(86134,138691,'Cannot be modified except by direct means',100,2,4),
(86135,138691,'Applies Heroic Resistance X when Equipped.',100,0,5),
(86136,138691,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(86137,138691,'Cannot be modified except by direct means',100,1,7),
(86138,10138691,'When Equipped:',100,0,0),
(86139,10138691,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86140,10138691,'Increases Damage Per Second of caster by 10.0',100,2,2),
(86141,10138691,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(86142,10138691,'Cannot be modified except by direct means',100,2,4),
(86143,10138691,'Applies Heroic Resistance X when Equipped.',100,0,5),
(86144,10138691,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(86145,10138691,'Cannot be modified except by direct means',100,1,7),
(86146,48915,'Applies Translucent Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(86147,48915,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(86148,48915,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(86149,48915,'Cannot be modified except by direct means',100,2,3),
(86150,48915,'Grants a total of 80 triggers of the spell.',100,2,4),
(86151,48915,'Only affects targets level 50 and above',100,1,5),
(86152,10048915,'Applies Translucent Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(86153,10048915,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(86154,10048915,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(86155,10048915,'Cannot be modified except by direct means',100,2,3),
(86156,10048915,'Grants a total of 80 triggers of the spell.',100,2,4),
(86157,10048915,'Only affects targets level 50 and above',100,1,5),
(86158,47880,'Applies Russet Warg when Activated.',100,0,0),
(86159,47880,'Increases Ranged of caster by 7.0',100,1,1),
(86160,47880,'Summons a mount to ride',100,1,2),
(86161,47880,'Increases your ground speed by 135%',100,2,3),
(86162,47880,'Increases Crushing, Disruption, Piercing and Slashing of caster by 7.0',100,1,4),
(86163,47880,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(86164,10047880,'Applies Russet Warg when Activated.',100,0,0),
(86165,10047880,'Increases Ranged of caster by 7.0',100,1,1),
(86166,10047880,'Summons a mount to ride',100,1,2),
(86167,10047880,'Increases your ground speed by 135%',100,2,3),
(86168,10047880,'Increases Crushing, Disruption, Piercing and Slashing of caster by 7.0',100,1,4),
(86169,10047880,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(86170,111507,'Increases AGI of caster by 9.2',100,1,0),
(86171,111507,'Increases Damage Per Second of caster by 20.0',100,1,1),
(86172,10111507,'Increases AGI of caster by 9.2',100,1,0),
(86173,10111507,'Increases Damage Per Second of caster by 20.0',100,1,1),
(86174,26094,'When Equipped:',100,0,0),
(86175,26094,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(86176,26094,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(86177,10026094,'When Equipped:',100,0,0),
(86178,10026094,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(86179,10026094,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(86180,107120,'Inflicts 63 - 77 divine damage on target',100,1,0),
(86181,107120,'Inflicts 63 - 77 divine damage on target',100,1,1),
(86182,107120,'If target is undead',100,2,2),
(86183,10107120,'Inflicts 89 - 108 divine damage on target',100,1,0),
(86184,10107120,'Inflicts 89 - 108 divine damage on target',100,1,1),
(86185,48689,'Applies Translucent Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(86186,48689,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(86187,48689,'Decreases AGI of target by 19.6',100,2,2),
(86188,48689,'Cannot be modified except by direct means',100,2,3),
(86189,48689,'Grants a total of 30 triggers of the spell.',100,2,4),
(86190,48689,'Only affects targets level 50 and above',100,1,5),
(86191,10048689,'Applies Translucent Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(86192,10048689,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(86193,10048689,'Decreases AGI of target by 19.6',100,2,2),
(86194,10048689,'Cannot be modified except by direct means',100,2,3),
(86195,10048689,'Grants a total of 30 triggers of the spell.',100,2,4),
(86196,10048689,'Only affects targets level 50 and above',100,1,5),
(86197,37249,'Increases AGI and WIS of target by 1.2',100,0,0),
(86198,37249,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(86199,113320,'Inflicts 333 - 555 heat damage on target',100,1,0),
(86200,10113320,'Inflicts 656 - 1094 heat damage on target',100,1,0),
(86201,46271,'Applies essence of power when Activated.',100,0,0),
(86202,46271,'Increases power of caster by 275',100,1,1),
(86203,10046271,'Applies essence of power when Activated.',100,0,0),
(86204,10046271,'Increases power of caster by 216',100,1,1),
(86205,82716,'When Equipped:',100,0,0),
(86206,82716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86207,82716,'Inflicts 41 - 76 magic damage on target',100,2,2),
(86208,82716,'Cannot be modified except by direct means',100,2,3),
(86209,10082716,'When Equipped:',100,0,0),
(86210,10082716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86211,10082716,'Inflicts 58 - 107 magic damage on target',100,2,2),
(86212,10082716,'Cannot be modified except by direct means',100,2,3),
(86213,105507,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.4',100,1,0),
(86214,10105507,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.4',100,1,0),
(86215,122935,'Inflicts 24 - 33 mental damage on target',100,1,0),
(86216,10122935,'Inflicts 34 - 46 mental damage on target',100,1,0),
(86217,112254,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(86218,112254,'Decreases power of target by 230',100,2,1),
(86219,112254,'Increases power of caster by 147',100,2,2),
(86220,10112254,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(86221,10112254,'Decreases power of target by 230',100,2,1),
(86222,10112254,'Increases power of caster by 118',100,2,2),
(86223,46646,'Applies No Place Like Home when Activated.',100,0,0),
(86224,46646,'This effect cannot be cast during combat',100,1,1),
(86225,10046646,'Applies No Place Like Home when Activated.',100,0,0),
(86226,10046646,'This effect cannot be cast during combat',100,1,1),
(86227,106978,'Inflicts 975 - 1811 poison damage on target',100,1,0),
(86228,106978,'Increases power of caster by 73',100,1,1),
(86229,10106978,'Inflicts 1365 - 2536 poison damage on target',100,1,0),
(86230,10106978,'Increases power of caster by 73',100,1,1),
(86231,47223,'Applies Elixir of the Wise  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(86232,47223,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(86233,10047223,'Applies Elixir of the Wise  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(86234,10047223,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(86235,36351,'Increases Max Power of target by 4.1',100,0,0),
(86236,36351,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(86237,40846,'When Equipped:',100,0,0),
(86238,40846,'On a critical combat hit this spell may cast Demolishing Charge V on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(86239,40846,'Increases Threat to target by 297 - 328 ',100,2,2),
(86240,40846,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(86241,40846,'Stuns target',100,3,4),
(86242,40846,'Throws target back',100,3,5),
(86243,40846,'Blurs vision of target',100,3,6),
(86244,40846,'Does not affect Epic targets',100,3,7),
(86245,40846,'Inflicts 316 - 349 crushing damage on target',100,2,8),
(86246,40846,'Must not be engaged in pvp combat',100,2,9),
(86247,40846,'Cannot be modified except by direct means',100,2,10),
(86248,40846,'On a critical spell hit this spell may cast Demolishing Charge V on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(86249,40846,'Increases Threat to target by 297 - 328 ',100,2,12),
(86250,40846,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,13),
(86251,40846,'Stuns target',100,3,14),
(86252,40846,'Throws target back',100,3,15),
(86253,40846,'Blurs vision of target',100,3,16),
(86254,40846,'Does not affect Epic targets',100,3,17),
(86255,40846,'Inflicts 316 - 349 crushing damage on target',100,2,18),
(86256,40846,'Must not be engaged in pvp combat',100,2,19),
(86257,40846,'Cannot be modified except by direct means',100,2,20),
(86258,40846,'Must not be engaged in pvp combat',100,1,21),
(86259,10040846,'When Equipped:',100,0,0),
(86260,10040846,'On a critical combat hit this spell may cast Demolishing Charge V on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(86261,10040846,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,2),
(86262,10040846,'Stuns target',100,3,3),
(86263,10040846,'Throws target back',100,3,4),
(86264,10040846,'Blurs vision of target',100,3,5),
(86265,10040846,'Does not affect Epic targets',100,3,6),
(86266,10040846,'Inflicts 442 - 489 crushing damage on target',100,2,7),
(86267,10040846,'Must not be engaged in pvp combat',100,2,8),
(86268,10040846,'Cannot be modified except by direct means',100,2,9),
(86269,10040846,'On a critical spell hit this spell may cast Demolishing Charge V on target of spell.  Triggers about 2.0 times per minute. ',100,1,10),
(86270,10040846,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,11),
(86271,10040846,'Stuns target',100,3,12),
(86272,10040846,'Throws target back',100,3,13),
(86273,10040846,'Blurs vision of target',100,3,14),
(86274,10040846,'Does not affect Epic targets',100,3,15),
(86275,10040846,'Inflicts 442 - 489 crushing damage on target',100,2,16),
(86276,10040846,'Must not be engaged in pvp combat',100,2,17),
(86277,10040846,'Cannot be modified except by direct means',100,2,18),
(86278,10040846,'Must not be engaged in pvp combat',100,1,19),
(86279,114942,'Decreases Attack Speed of target by 6.3',100,1,0),
(86280,114942,'Inflicts 7 - 23 slashing damage on target',100,1,1),
(86281,114942,'Inflicts 16 slashing damage on target instantly and every 4 seconds',100,1,2),
(86282,10114942,'Decreases Attack Speed of target by 6.3',100,1,0),
(86283,10114942,'Inflicts 10 - 30 slashing damage on target',100,1,1),
(86284,10114942,'Inflicts 22 slashing damage on target instantly and every 4 seconds',100,1,2),
(86285,107944,'Mesmerizes target',100,1,0),
(86286,107944,'Prevents AOE (except when direct) ',100,1,1),
(86287,107944,'Dispelled when target takes damage',100,1,2),
(86288,107944,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(86289,107944,'Resistibility increases against targets higher than level 106.',100,1,4),
(86290,10107944,'Mesmerizes target',100,1,0),
(86291,10107944,'Prevents AOE (except when direct) ',100,1,1),
(86292,10107944,'Dispelled when target takes damage',100,1,2),
(86293,10107944,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(86294,10107944,'Resistibility increases against targets higher than level 106.',100,1,4),
(86295,116024,'Decreases Hate Gain of target by 14.9%',100,1,0),
(86296,116024,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(86297,116024,'Decreases threat priority of target by 1 position',100,2,2),
(86298,10116024,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(86299,10116024,'Forces target to clear their selected target.',100,2,1),
(86300,88223,'When Equipped:',100,0,0),
(86301,88223,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(86302,88223,'Inflicts 194 - 323 heat damage on target',100,2,2),
(86303,88223,'Cannot be modified except by direct means',100,2,3),
(86304,10088223,'When Equipped:',100,0,0),
(86305,10088223,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(86306,10088223,'Inflicts 271 - 452 heat damage on target',100,2,2),
(86307,10088223,'Cannot be modified except by direct means',100,2,3),
(86308,108904,'Inflicts 741 heat damage on target',100,1,0),
(86309,108904,'Inflicts 741 cold damage on target',100,1,1),
(86310,108904,'Slows target by 48.6%',100,1,2),
(86311,10108904,'Inflicts 1037 heat damage on target',100,1,0),
(86312,10108904,'Inflicts 1037 cold damage on target',100,1,1),
(86313,10108904,'Slows target by 48.6%',100,1,2),
(86314,24403,'Adds Gnoll (Ranger) to your Dungeon Maker toolbox',100,0,0),
(86315,10024403,'Adds Gnoll (Ranger) to your Dungeon Maker toolbox',100,0,0),
(86316,112397,'Increases Crushing, Piercing, Slashing and Ranged of target by 57.1',100,1,0),
(86317,112397,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(86318,112397,'Inflicts 584 - 713 piercing damage on target',100,2,2),
(86319,112397,'Inflicts 292 - 357 piercing damage on target every 3 seconds',100,2,3),
(86320,10112397,'Increases Crushing, Piercing, Slashing and Ranged of target by 57.1',100,1,0),
(86321,10112397,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(86322,10112397,'Inflicts 817 - 999 piercing damage on target',100,2,2),
(86323,10112397,'Inflicts 409 - 499 piercing damage on target every 3 seconds',100,2,3),
(86324,124552,'Dispels 122 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(86325,10124552,'Dispels 122 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(86326,110062,'Summons a pet grim sorcerer',100,1,0),
(86327,10110062,'Summons a pet grim sorcerer',100,1,0),
(86328,171092,'When Equipped:',100,0,0),
(86329,171092,'On a damage spell hit this spell may cast Overflow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(86330,171092,'Heals group members for 846',100,2,2),
(86331,171092,'Cannot be modified except by direct means',100,2,3),
(86332,171092,'When Equipped:',100,0,4),
(86333,171092,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,5),
(86334,171092,'Heals group members (AE) for 583',100,2,6),
(86335,171092,'Cannot be modified except by direct means',100,2,7),
(86336,10171092,'When Equipped:',100,0,0),
(86337,10171092,'On a damage spell hit this spell may cast Overflow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(86338,10171092,'Heals group members for 989',100,2,2),
(86339,10171092,'Cannot be modified except by direct means',100,2,3),
(86340,10171092,'When Equipped:',100,0,4),
(86341,10171092,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,5),
(86342,10171092,'Heals group members (AE) for 682',100,2,6),
(86343,10171092,'Cannot be modified except by direct means',100,2,7),
(86344,24221,'Adds Crushbone: Spear to your Dungeon Maker toolbox',100,0,0),
(86345,10024221,'Adds Crushbone: Spear to your Dungeon Maker toolbox',100,0,0),
(86346,100199,'Increases Threat to target encounter by 152 - 185 ',100,1,0),
(86347,100199,'Interrupts target encounter',100,1,1),
(86348,10100199,'Interrupts target encounter',100,1,0),
(86349,10100199,'Forces target encounter to change their selected target to caster.',100,1,1),
(86350,10100199,'Prevents target encounter from changing targets',100,1,2),
(86351,121286,'Inflicts 63 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(86352,121286,'Inflicts 208 - 348 melee damage on targets in area',100,1,1),
(86353,121286,'You must be in stealth or have Bloody Assault.',100,1,2),
(86354,10121286,'Inflicts 89 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(86355,10121286,'Inflicts 271 - 452 melee damage on targets in area',100,1,1),
(86356,10121286,'You must be in stealth or have Bloody Assault.',100,1,2),
(86357,109200,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 11.0',100,1,0),
(86358,10109200,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 11.0',100,1,0),
(86359,154861,'When Equipped:',100,0,0),
(86360,154861,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(86361,10154861,'When Equipped:',100,0,0),
(86362,10154861,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(86363,120071,'Inflicts 159 - 265 mental damage on target',100,1,0),
(86364,120071,'Inflicts 159 - 265 mental damage on target',100,1,1),
(86365,120071,'Stifles target',100,1,2),
(86366,120071,'If Target is not Epic',100,2,3),
(86367,120071,'If weapon equipped in Ranged',100,1,4),
(86368,120071,'Resistibility increases against targets higher than level 73.',100,1,5),
(86369,10120071,'Inflicts 180 - 300 mental damage on target',100,1,0),
(86370,10120071,'Inflicts 180 - 300 mental damage on target',100,1,1),
(86371,10120071,'Stifles target',100,1,2),
(86372,10120071,'If Target is not Epic',100,2,3),
(86373,10120071,'If weapon equipped in Ranged',100,1,4),
(86374,10120071,'Resistibility increases against targets higher than level 73.',100,1,5),
(86375,46039,'Applies Summon Elemental Disc of Flame when Activated.',100,0,0),
(86376,46039,'Increases Ranged, Subjugation, Ministration and Ordination of caster by 5.0',100,1,1),
(86377,46039,'Summons a mount to ride',100,1,2),
(86378,46039,'Increases your ground speed by 75%',100,2,3),
(86379,46039,'Increases your air speed by 150%',100,2,4),
(86380,46039,'Increases Slashing, Focus, Aggression, Piercing, Crushing and Disruption of caster by 5.0',100,1,5),
(86381,10046039,'Applies Summon Elemental Disc of Flame when Activated.',100,0,0),
(86382,10046039,'Increases Ranged, Subjugation, Ministration and Ordination of caster by 5.0',100,1,1),
(86383,10046039,'Summons a mount to ride',100,1,2),
(86384,10046039,'Increases your ground speed by 75%',100,2,3),
(86385,10046039,'Increases your air speed by 150%',100,2,4),
(86386,10046039,'Increases Slashing, Focus, Aggression, Piercing, Crushing and Disruption of caster by 5.0',100,1,5),
(86387,123303,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(86388,123303,'Inflicts 236 - 393 disease damage on target',100,2,1),
(86389,123303,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(86390,123303,'This effect cannot be critically applied.',100,3,3),
(86391,123303,'The healing of this spell cannot be modified except by direct means',100,2,4),
(86392,10123303,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(86393,10123303,'Inflicts 330 - 550 disease damage on target',100,2,1),
(86394,10123303,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(86395,10123303,'This effect cannot be critically applied.',100,3,3),
(86396,10123303,'The healing of this spell cannot be modified except by direct means',100,2,4),
(86397,159802,'Applies Lambent Imbued when Equipped.',100,0,0),
(86398,159802,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(86399,159802,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(86400,159802,'Cannot be modified except by direct means',100,2,3),
(86401,10159802,'Applies Lambent Imbued when Equipped.',100,0,0),
(86402,10159802,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(86403,10159802,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(86404,10159802,'Cannot be modified except by direct means',100,2,3),
(86405,82643,'When Equipped:',100,0,0),
(86406,82643,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(86407,82643,'Decreases Threat to target by 259 ',100,2,2),
(86408,82643,'Must be flanking or behind',100,3,3),
(86409,82643,'Increases Threat to target by 259 ',100,2,4),
(86410,82643,'Must be in front of',100,3,5),
(86411,82643,'Inflicts 101 - 188 magic damage on target',100,2,6),
(86412,82643,'Cannot be modified except by direct means',100,2,7),
(86413,10082643,'When Equipped:',100,0,0),
(86414,10082643,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(86415,10082643,'Inflicts 142 - 263 magic damage on target',100,2,2),
(86416,10082643,'Cannot be modified except by direct means',100,2,3),
(86417,102304,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(86418,102304,'Decreases Threat to target by 860 ',100,2,1),
(86419,10102304,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(86420,10102304,'Inflicts 71 - 79 crushing damage on target',100,2,1),
(86421,123956,'Inflicts 80 - 134 melee damage on target',100,1,0),
(86422,123956,'Decreases AGI of target by 9.6',100,1,1),
(86423,123956,'Must be behind',100,1,2),
(86424,10123956,'Inflicts 105 - 175 melee damage on target',100,1,0),
(86425,10123956,'Decreases AGI of target by 9.6',100,1,1),
(86426,10123956,'Must be behind',100,1,2),
(86427,82440,'When Equipped:',100,0,0),
(86428,82440,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(86429,82440,'Decreases Threat to target by 801 ',100,2,2),
(86430,82440,'Must be flanking or behind',100,3,3),
(86431,82440,'Increases Threat to target by 801 ',100,2,4),
(86432,82440,'Must be in front of',100,3,5),
(86433,82440,'Inflicts 224 - 415 magic damage on target',100,2,6),
(86434,82440,'Cannot be modified except by direct means',100,2,7),
(86435,10082440,'When Equipped:',100,0,0),
(86436,10082440,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(86437,10082440,'Inflicts 313 - 581 magic damage on target',100,2,2),
(86438,10082440,'Cannot be modified except by direct means',100,2,3),
(86439,117473,'Inflicts 2066 - 3444 melee damage on target',100,1,0),
(86440,117473,'You must be sneaking to use this ability.',100,1,1),
(86441,117473,'Must be flanking or behind',100,1,2),
(86442,10117473,'Inflicts 1665 - 2775 melee damage on target',100,1,0),
(86443,10117473,'You must be sneaking to use this ability.',100,1,1),
(86444,10117473,'Must be flanking or behind',100,1,2),
(86445,158471,'When Equipped:',100,0,0),
(86446,158471,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86447,158471,'Makes caster immune to Stifle effects',100,2,2),
(86448,158471,'Must not be engaged in pvp combat',100,2,3),
(86449,158471,'Cannot be modified except by direct means',100,2,4),
(86450,158471,'Must not be engaged in pvp combat',100,1,5),
(86451,10158471,'When Equipped:',100,0,0),
(86452,10158471,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86453,10158471,'Makes caster immune to Stifle effects',100,2,2),
(86454,10158471,'Must not be engaged in pvp combat',100,2,3),
(86455,10158471,'Cannot be modified except by direct means',100,2,4),
(86456,10158471,'Must not be engaged in pvp combat',100,1,5),
(86457,47990,'Applies Server Transfer when Activated.',100,0,0),
(86458,47990,'Character transfer service requires that character remains on its existing active Station Account (which must be more than sixty (60) days old). ',100,1,1),
(86459,47990,'Allows moving a character to another server on the same account.',100,1,2),
(86460,47990,'Shared bank items and housing items belonging to other characters will not be transferred with the character and will be deleted. Deleted contents will not be replaced or reimbursed.',100,1,3),
(86461,47990,'Transfer cannot be completed for characters who currently have items for sale on or coin available for collection from an in-game broker or who have in-game mail; please remove or collect any such items prior to initiating character transfer. ',100,1,4),
(86462,47990,'Character names are not guaranteed upon transfer; if characterâ€™s name already exists on destination server, a new name will need to be entered in the provided name change field.',100,1,5),
(86463,47990,'Character''s guild affiliation will be removed.',100,1,6),
(86464,47990,'Token and related transfer are not refundable. ',100,1,7),
(86465,47990,'For complete terms and conditions, please see the EQII Character Server Transfer Service rules available upon logging in to http://everquest2.com/shop/charactertransfer',100,1,8),
(86466,10047990,'Applies Server Transfer when Activated.',100,0,0),
(86467,10047990,'Character transfer service requires that character remains on its existing active Station Account (which must be more than sixty (60) days old). ',100,1,1),
(86468,10047990,'Allows moving a character to another server on the same account.',100,1,2),
(86469,10047990,'Shared bank items and housing items belonging to other characters will not be transferred with the character and will be deleted. Deleted contents will not be replaced or reimbursed.',100,1,3),
(86470,10047990,'Transfer cannot be completed for characters who currently have items for sale on or coin available for collection from an in-game broker or who have in-game mail; please remove or collect any such items prior to initiating character transfer. ',100,1,4),
(86471,10047990,'Character names are not guaranteed upon transfer; if characterâ€™s name already exists on destination server, a new name will need to be entered in the provided name change field.',100,1,5),
(86472,10047990,'Character''s guild affiliation will be removed.',100,1,6),
(86473,10047990,'Token and related transfer are not refundable. ',100,1,7),
(86474,10047990,'For complete terms and conditions, please see the EQII Character Server Transfer Service rules available upon logging in to http://everquest2.com/shop/charactertransfer',100,1,8),
(86475,101763,'Heals group members (AE) for 207 - 253 instantly and every 2 seconds',100,1,0),
(86476,10101763,'Heals group members (AE) for 135 - 165 instantly and every 2 seconds',100,1,0),
(86477,81632,'When Equipped:',100,0,0),
(86478,81632,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(86479,81632,'Decreases Threat to target by 376 ',100,2,2),
(86480,81632,'Must be flanking or behind',100,3,3),
(86481,81632,'Increases Threat to target by 376 ',100,2,4),
(86482,81632,'Must be in front of',100,3,5),
(86483,81632,'Inflicts 144 - 268 magic damage on target',100,2,6),
(86484,81632,'Cannot be modified except by direct means',100,2,7),
(86485,10081632,'When Equipped:',100,0,0),
(86486,10081632,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(86487,10081632,'Inflicts 202 - 375 magic damage on target',100,2,2),
(86488,10081632,'Cannot be modified except by direct means',100,2,3),
(86489,71571,'When Equipped:',100,0,0),
(86490,71571,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86491,71571,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(86492,71571,'Cannot be modified except by direct means',100,2,3),
(86493,10071571,'When Equipped:',100,0,0),
(86494,10071571,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86495,10071571,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(86496,10071571,'Cannot be modified except by direct means',100,2,3),
(86497,48480,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(86498,48480,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(86499,48480,'Inflicts 113 poison damage on target instantly and every 6 seconds',100,2,2),
(86500,48480,'Cannot be modified except by direct means',100,2,3),
(86501,48480,'Grants a total of 4 triggers of the spell.',100,2,4),
(86502,10048480,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(86503,10048480,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(86504,10048480,'Inflicts 119 poison damage on target instantly and every 6 seconds',100,2,2),
(86505,10048480,'Cannot be modified except by direct means',100,2,3),
(86506,10048480,'Grants a total of 4 triggers of the spell.',100,2,4),
(86507,35000,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(86508,35000,'This effect suspends during combat',100,0,1),
(86509,114965,'Decreases Attack Speed of target by 11.9',100,1,0),
(86510,114965,'Inflicts 62 - 188 slashing damage on target',100,1,1),
(86511,114965,'Inflicts 126 slashing damage on target instantly and every 4 seconds',100,1,2),
(86512,10114965,'Decreases Attack Speed of target by 11.9',100,1,0),
(86513,10114965,'Inflicts 81 - 245 slashing damage on target',100,1,1),
(86514,10114965,'Inflicts 176 slashing damage on target instantly and every 4 seconds',100,1,2),
(86515,111546,'Increases Hate Gain of target by 22.5%',100,1,0),
(86516,111546,'Increases Aggression of target by 18.0',100,1,1),
(86517,10111546,'Increases STR of target by 47.0',100,1,0),
(86518,10111546,'Increases Aggression of target by 18.0',100,1,1),
(86519,116630,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(86520,116630,'Increases Mitigation of group members (AE) vs arcane damage by 431',100,1,1),
(86521,10116630,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(86522,10116630,'Increases Mitigation of group members (AE) vs arcane damage by 431',100,1,1),
(86523,105554,'Inflicts 124 - 229 disease damage on target',100,1,0),
(86524,105554,'Inflicts 74 - 138 disease damage on target every 2 seconds',100,1,1),
(86525,10105554,'Inflicts 173 - 321 disease damage on target',100,1,0),
(86526,10105554,'Inflicts 104 - 193 disease damage on target every 2 seconds',100,1,1),
(86527,133887,'When Equipped:',100,0,0),
(86528,133887,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(86529,133887,'Inflicts 1998 cold damage on target encounter',100,2,2),
(86530,133887,'Must not be engaged in pvp combat',100,2,3),
(86531,133887,'Cannot be modified except by direct means',100,2,4),
(86532,133887,'Must not be engaged in pvp combat',100,1,5),
(86533,10133887,'When Equipped:',100,0,0),
(86534,10133887,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(86535,10133887,'Inflicts 1399 cold damage on target encounter',100,2,2),
(86536,10133887,'Must not be engaged in pvp combat',100,2,3),
(86537,10133887,'Cannot be modified except by direct means',100,2,4),
(86538,10133887,'Must not be engaged in pvp combat',100,1,5),
(86539,177622,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(86540,177622,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(86541,177622,'Inflicts 78 heat damage on target',100,2,2),
(86542,177622,'Cannot be modified except by direct means',100,2,3),
(86543,10177622,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(86544,10177622,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(86545,10177622,'Inflicts 109 heat damage on target',100,2,2),
(86546,10177622,'Cannot be modified except by direct means',100,2,3),
(86547,82848,'When Equipped:',100,0,0),
(86548,82848,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86549,82848,'Inflicts 271 - 504 magic damage on target',100,2,2),
(86550,82848,'Cannot be modified except by direct means',100,2,3),
(86551,10082848,'When Equipped:',100,0,0),
(86552,10082848,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86553,10082848,'Inflicts 380 - 705 magic damage on target',100,2,2),
(86554,10082848,'Cannot be modified except by direct means',100,2,3),
(86555,111788,'Shapechanges caster into a dwarf',100,1,0),
(86556,10111788,'Shapechanges caster into a dwarf',100,1,0),
(86557,157679,'When Equipped:',100,0,0),
(86558,157679,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(86559,157679,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(86560,157679,'Increases Potency of caster by 3.0%',100,2,3),
(86561,157679,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(86562,157679,'Increases Ability Modifier of caster by 780.0',100,2,5),
(86563,157679,'Must not be engaged in pvp combat',100,2,6),
(86564,157679,'Cannot be modified except by direct means',100,2,7),
(86565,157679,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(86566,157679,'Increases Potency of caster by 3.0%',100,2,9),
(86567,157679,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(86568,157679,'Increases Ability Modifier of caster by 780.0',100,2,11),
(86569,157679,'Must not be engaged in pvp combat',100,2,12),
(86570,157679,'Cannot be modified except by direct means',100,2,13),
(86571,157679,'Cannot be modified except by direct means',100,1,14),
(86572,10157679,'When Equipped:',100,0,0),
(86573,10157679,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(86574,10157679,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(86575,10157679,'Increases Potency of caster by 3.0%',100,2,3),
(86576,10157679,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(86577,10157679,'Increases Ability Modifier of caster by 780.0',100,2,5),
(86578,10157679,'Must not be engaged in pvp combat',100,2,6),
(86579,10157679,'Cannot be modified except by direct means',100,2,7),
(86580,10157679,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(86581,10157679,'Increases Potency of caster by 3.0%',100,2,9),
(86582,10157679,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(86583,10157679,'Increases Ability Modifier of caster by 780.0',100,2,11),
(86584,10157679,'Must not be engaged in pvp combat',100,2,12),
(86585,10157679,'Cannot be modified except by direct means',100,2,13),
(86586,10157679,'Cannot be modified except by direct means',100,1,14),
(86587,48220,'Applies Draw upon Essence when Activated.',100,0,0),
(86588,48220,'Increases power of caster by 6',100,1,1),
(86589,48220,'Requires 24 Health to cast.',100,1,2),
(86590,10048220,'Applies Draw upon Essence when Activated.',100,0,0),
(86591,10048220,'Increases power of caster by 6',100,1,1),
(86592,10048220,'Requires 24 Health to cast.',100,1,2),
(86593,47472,'Applies Call Green-saddled Pale Mistrunner when Activated.',100,0,0),
(86594,47472,'Increases Max Health of caster by 100.0',100,1,1),
(86595,47472,'Increases Max Power of caster by 100.0',100,1,2),
(86596,47472,'Increases Crushing, Piercing, Ranged and Disruption of caster by 7.0',100,1,3),
(86597,47472,'Summons a mount to ride',100,1,4),
(86598,47472,'Increases your ground speed by 130%',100,2,5),
(86599,47472,'Increases Slashing of caster by 7.0',100,1,6),
(86600,47472,'Requires good alignment',100,1,7),
(86601,10047472,'Applies Call Green-saddled Pale Mistrunner when Activated.',100,0,0),
(86602,10047472,'Increases Max Health of caster by 100.0',100,1,1),
(86603,10047472,'Increases Max Power of caster by 100.0',100,1,2),
(86604,10047472,'Increases Crushing, Piercing, Ranged and Disruption of caster by 7.0',100,1,3),
(86605,10047472,'Summons a mount to ride',100,1,4),
(86606,10047472,'Increases your ground speed by 130%',100,2,5),
(86607,10047472,'Increases Slashing of caster by 7.0',100,1,6),
(86608,10047472,'Requires good alignment',100,1,7),
(86609,120724,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 28.6',100,1,0),
(86610,10120724,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 28.6',100,1,0),
(86611,115368,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(86612,115368,'Increases Parry of caster by 6.7',100,1,1),
(86613,10115368,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(86614,10115368,'Increases Parry of caster by 6.7',100,1,1),
(86615,122260,'Decreases Threat to targets in Area of Effect by 455 ',100,1,0),
(86616,122260,'Makes targets in Area of Effect afraid',100,1,1),
(86617,122260,'If Target is not Epic',100,2,2),
(86618,122260,'30% chance to dispel when target takes damage',100,1,3),
(86619,10122260,'Applies Distract.',100,1,0),
(86620,10122260,'Forces target to clear their selected target.',100,2,1),
(86621,10122260,'Makes targets in Area of Effect afraid',100,1,2),
(86622,10122260,'If Target is not Epic',100,2,3),
(86623,10122260,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(86624,10122260,'30% chance to dispel when target takes damage',100,1,5),
(86625,82293,'When Equipped:',100,0,0),
(86626,82293,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86627,82293,'Inflicts 223 - 414 magic damage on target',100,2,2),
(86628,82293,'Cannot be modified except by direct means',100,2,3),
(86629,10082293,'When Equipped:',100,0,0),
(86630,10082293,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86631,10082293,'Inflicts 312 - 580 magic damage on target',100,2,2),
(86632,10082293,'Cannot be modified except by direct means',100,2,3),
(86633,71828,'When Equipped:',100,0,0),
(86634,71828,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86635,71828,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(86636,71828,'Cannot be modified except by direct means',100,2,3),
(86637,10071828,'When Equipped:',100,0,0),
(86638,10071828,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86639,10071828,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(86640,10071828,'Cannot be modified except by direct means',100,2,3),
(86641,105976,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(86642,105976,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(86643,105976,'Inflicts 261 - 435 piercing damage on target',100,3,2),
(86644,105976,'Grants a total of 5 triggers of the spell.',100,3,3),
(86645,105976,'Grants a total of 1 trigger of the spell.',100,2,4),
(86646,10105976,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(86647,10105976,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(86648,10105976,'Inflicts 339 - 566 piercing damage on target',100,3,2),
(86649,10105976,'Grants a total of 5 triggers of the spell.',100,3,3),
(86650,10105976,'Grants a total of 1 trigger of the spell.',100,2,4),
(86651,35491,'Increases STA and INT of target by 1.2',100,0,0),
(86652,35491,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(86653,87101,'When Equipped:',100,0,0),
(86654,87101,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86655,87101,'Inflicts 204 - 307 magic damage on target',100,2,2),
(86656,87101,'Cannot be modified except by direct means',100,2,3),
(86657,10087101,'When Equipped:',100,0,0),
(86658,10087101,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86659,10087101,'Inflicts 286 - 429 magic damage on target',100,2,2),
(86660,10087101,'Cannot be modified except by direct means',100,2,3),
(86661,106237,'Inflicts 456 - 1370 melee damage on target',100,1,0),
(86662,106237,'Stifles target',100,1,1),
(86663,106237,'If Target is not Epic',100,2,2),
(86664,106237,'Resistibility increases against targets higher than level 117.',100,1,3),
(86665,10106237,'Inflicts 593 - 1781 melee damage on target',100,1,0),
(86666,10106237,'Stifles target',100,1,1),
(86667,10106237,'If Target is not Epic',100,2,2),
(86668,10106237,'Resistibility increases against targets higher than level 117.',100,1,3),
(86669,50795,'When Equipped:',100,0,0),
(86670,50795,'When damaged with a melee weapon this spell has a 5% chance to cast Writhing Viscera on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(86671,50795,'Decreases Attack Speed of target by 5.0',100,2,2),
(86672,50795,'Cannot be modified except by direct means',100,2,3),
(86673,10050795,'When Equipped:',100,0,0),
(86674,10050795,'When damaged with a melee weapon this spell has a 5% chance to cast Writhing Viscera on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(86675,10050795,'Decreases Attack Speed of target by 5.0',100,2,2),
(86676,10050795,'Cannot be modified except by direct means',100,2,3),
(86677,46092,'Applies Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(86678,46092,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(86679,46092,'Only affects targets level 50 and above',100,1,2),
(86680,10046092,'Applies Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(86681,10046092,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(86682,10046092,'Only affects targets level 50 and above',100,1,2),
(86683,177601,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(86684,177601,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(86685,177601,'Inflicts 63 heat damage on target',100,2,2),
(86686,177601,'Cannot be modified except by direct means',100,2,3),
(86687,10177601,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(86688,10177601,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(86689,10177601,'Inflicts 88 heat damage on target',100,2,2),
(86690,10177601,'Cannot be modified except by direct means',100,2,3),
(86691,100012,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(86692,100012,'Inflicts 35 - 59 melee damage on targets in area',100,2,1),
(86693,100012,'Decreases Defense of caster by 4.8',100,1,2),
(86694,100012,'Increases Slashing, Piercing and Crushing of caster by 7.9',100,1,3),
(86695,10100012,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(86696,10100012,'Inflicts 46 - 77 melee damage on targets in area',100,2,1),
(86697,10100012,'Decreases Defense of caster by 4.8',100,1,2),
(86698,10100012,'Increases Slashing, Piercing and Crushing of caster by 7.9',100,1,3),
(86699,147143,'When Equipped:',100,0,0),
(86700,147143,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86701,147143,'Increases Potency of caster by 5.0%',100,2,2),
(86702,147143,'Cannot be modified except by direct means',100,2,3),
(86703,10147143,'When Equipped:',100,0,0),
(86704,10147143,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86705,10147143,'Increases Potency of caster by 5.0%',100,2,2),
(86706,10147143,'Cannot be modified except by direct means',100,2,3),
(86707,45147,'Applies Extract when Activated.',100,0,0),
(86708,10045147,'Applies Extract when Activated.',100,0,0),
(86709,36854,'Increases STR of target by 0.4',100,0,0),
(86710,36854,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(86711,121679,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(86712,121679,'Inflicts 31 - 38 heat damage on target instantly and every second',100,2,1),
(86713,10121679,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(86714,10121679,'Inflicts 44 - 54 heat damage on target instantly and every second',100,2,1),
(86715,80043,'Applies Fire Ball when Activated.',100,0,0),
(86716,80043,'Inflicts 435 - 725 heat damage on target',100,1,1),
(86717,80043,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86718,10080043,'Applies Fire Ball when Activated.',100,0,0),
(86719,10080043,'Inflicts 609 - 1015 heat damage on target',100,1,1),
(86720,10080043,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86721,108367,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(86722,108367,'Increases Mitigation of group members (AE) vs arcane damage by 798',100,1,1),
(86723,10108367,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(86724,10108367,'Increases Mitigation of group members (AE) vs arcane damage by 798',100,1,1),
(86725,102505,'Inflicts 1009 - 1682 crushing damage on target',100,1,0),
(86726,102505,'Prevents target from changing direction while active.',100,1,1),
(86727,102505,'If Target is not Epic',100,2,2),
(86728,102505,'Roots target',100,1,3),
(86729,102505,'If Target is not Epic',100,2,4),
(86730,102505,'Resistibility increases against targets higher than level 114.',100,1,5),
(86731,10102505,'Inflicts 1312 - 2187 crushing damage on target',100,1,0),
(86732,10102505,'Prevents target from changing direction while active.',100,1,1),
(86733,10102505,'If Target is not Epic',100,2,2),
(86734,10102505,'Roots target',100,1,3),
(86735,10102505,'If Target is not Epic',100,2,4),
(86736,10102505,'Resistibility increases against targets higher than level 114.',100,1,5),
(86737,80402,'When Equipped:',100,0,0),
(86738,80402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86739,80402,'Inflicts 52 - 96 magic damage on target',100,2,2),
(86740,80402,'Cannot be modified except by direct means',100,2,3),
(86741,10080402,'When Equipped:',100,0,0),
(86742,10080402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86743,10080402,'Inflicts 73 - 135 magic damage on target',100,2,2),
(86744,10080402,'Cannot be modified except by direct means',100,2,3),
(86745,112342,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(86746,112342,'Inflicts 119 - 198 piercing damage on target',100,2,1),
(86747,10112342,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(86748,10112342,'Inflicts 81 - 135 piercing damage on target',100,2,1),
(86749,46206,'Applies Petamorph: Lamia when Activated.  Lasts for 2 hours.',100,0,0),
(86750,46206,'Turns the caster''s combat pet into a lamia. Does not work on cosmetic pets.',100,1,1),
(86751,10046206,'Applies Petamorph: Lamia when Activated.  Lasts for 2 hours.',100,0,0),
(86752,10046206,'Turns the caster''s combat pet into a lamia. Does not work on cosmetic pets.',100,1,1),
(86753,116069,'Inflicts 39 - 58 magic damage on target',100,1,0),
(86754,116069,'Inflicts 9 - 13 magic damage on target every 4 seconds',100,1,1),
(86755,10116069,'Inflicts 54 - 81 magic damage on target',100,1,0),
(86756,10116069,'Inflicts 12 - 18 magic damage on target every 4 seconds',100,1,1),
(86757,116713,'Inflicts 284 - 474 melee damage on target',100,1,0),
(86758,10116713,'Inflicts 369 - 616 melee damage on target',100,1,0),
(86759,113278,'Inflicts 7 - 12 heat damage on target',100,1,0),
(86760,10113278,'Inflicts 14 - 24 heat damage on target',100,1,0),
(86761,36902,'Increases Max Power of target by 4.1',100,0,0),
(86762,36902,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(86763,115072,'Heals target for 113 - 139',100,1,0),
(86764,115072,'Heals target for 15 - 18 every second',100,1,1),
(86765,10115072,'Heals target for 211 - 257',100,1,0),
(86766,10115072,'Heals target for 16 - 19 every second',100,1,1),
(86767,107616,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(86768,107616,'Increases Mitigation of group members (AE) vs elemental damage by 168',100,1,1),
(86769,10107616,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(86770,10107616,'Increases Mitigation of group members (AE) vs elemental damage by 168',100,1,1),
(86771,75029,'Applies Mental Blast when Activated.',100,0,0),
(86772,75029,'Inflicts 98 - 163 mental damage on target',100,1,1),
(86773,75029,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86774,10075029,'Applies Mental Blast when Activated.',100,0,0),
(86775,10075029,'Inflicts 137 - 228 mental damage on target',100,1,1),
(86776,10075029,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86777,90349,'When Equipped:',100,0,0),
(86778,90349,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86779,90349,'Increases Attack Speed of caster by 20.0',100,2,2),
(86780,90349,'Cannot be modified except by direct means',100,2,3),
(86781,10090349,'When Equipped:',100,0,0),
(86782,10090349,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86783,10090349,'Increases Attack Speed of caster by 20.0',100,2,2),
(86784,10090349,'Cannot be modified except by direct means',100,2,3),
(86785,121269,'Inflicts 1869 - 2284 heat damage on target encounter',100,1,0),
(86786,10121269,'Inflicts 2616 - 3197 heat damage on target encounter',100,1,0),
(86787,152544,'When Equipped:',100,0,0),
(86788,152544,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86789,152544,'Decreases Mitigation of target vs arcane damage by 574',100,2,2),
(86790,152544,'Must be classified as a vampire',100,3,3),
(86791,152544,'Inflicts 393 divine damage on target',100,2,4),
(86792,152544,'Must not be classified as a vampire',100,3,5),
(86793,152544,'Inflicts 787 divine damage on target',100,2,6),
(86794,152544,'Must be classified as a vampire',100,3,7),
(86795,152544,'Cannot be modified except by direct means',100,2,8),
(86796,152544,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(86797,10152544,'When Equipped:',100,0,0),
(86798,10152544,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(86799,10152544,'Decreases Mitigation of target vs arcane damage by 574',100,2,2),
(86800,10152544,'Must be classified as a vampire',100,3,3),
(86801,10152544,'Inflicts 551 divine damage on target',100,2,4),
(86802,10152544,'Must not be classified as a vampire',100,3,5),
(86803,10152544,'Inflicts 1102 divine damage on target',100,2,6),
(86804,10152544,'Must be classified as a vampire',100,3,7),
(86805,10152544,'Cannot be modified except by direct means',100,2,8),
(86806,10152544,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(86807,120428,'Inflicts 123 - 206 melee damage on target',100,1,0),
(86808,120428,'Inflicts 123 - 206 melee damage on target',100,1,1),
(86809,10120428,'Inflicts 160 - 268 melee damage on target',100,1,0),
(86810,10120428,'Inflicts 160 - 268 melee damage on target',100,1,1),
(86811,109956,'Inflicts 209 - 313 disease damage on targets in Area of Effect',100,1,0),
(86812,109956,'Inflicts 104 - 157 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(86813,109956,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(86814,109956,'Increases Threat to targets in Area of Effect by 589 - 720  instantly and every 4 seconds thereafter',100,1,3),
(86815,10109956,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(86816,10109956,'Prevents target from changing targets',100,2,1),
(86817,10109956,'Forces target to change their selected target to caster.',100,2,2),
(86818,10109956,'Inflicts 292 - 438 disease damage on targets in Area of Effect',100,1,3),
(86819,10109956,'Inflicts 146 - 219 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(86820,117003,'Inflicts 80 - 242 melee damage on target',100,1,0),
(86821,10117003,'Inflicts 105 - 315 melee damage on target',100,1,0),
(86822,111669,'Inflicts 661 - 808 cold damage on target encounter',100,1,0),
(86823,111669,'Slows target encounter by 47.2%',100,1,1),
(86824,111669,'5% chance to dispel when target takes damage',100,1,2),
(86825,111669,'5% chance to dispel when target receives hostile action',100,1,3),
(86826,10111669,'Inflicts 1234 - 1508 cold damage on target encounter',100,1,0),
(86827,10111669,'Slows target encounter by 47.2%',100,1,1),
(86828,10111669,'5% chance to dispel when target takes damage',100,1,2),
(86829,10111669,'5% chance to dispel when target receives hostile action',100,1,3),
(86830,108013,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(86831,108013,'Increases Mitigation of group members (AE) vs elemental damage by 1040',100,1,1),
(86832,10108013,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(86833,10108013,'Increases Mitigation of group members (AE) vs elemental damage by 1040',100,1,1),
(86834,177697,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(86835,177697,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(86836,177697,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(86837,177697,'Cannot be modified except by direct means',100,2,3),
(86838,10177697,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(86839,10177697,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(86840,10177697,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(86841,10177697,'Cannot be modified except by direct means',100,2,3),
(86842,120598,'Inflicts 190 - 353 heat damage on target',100,1,0),
(86843,10120598,'Inflicts 266 - 494 heat damage on target',100,1,0),
(86844,114883,'Causes 6% Threat to transfer to target when in combat',100,1,0),
(86845,53039,'When Equipped:',100,0,0),
(86846,53039,'On any combat or spell hit this spell may cast Overflowing Wonderment on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(86847,53039,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(86848,53039,'Increases Attack Speed of caster by 10.0',100,2,3),
(86849,53039,'Must not be engaged in pvp combat',100,2,4),
(86850,53039,'Cannot be modified except by direct means',100,2,5),
(86851,53039,'Cannot be modified except by direct means',100,1,6),
(86852,10053039,'When Equipped:',100,0,0),
(86853,10053039,'On any combat or spell hit this spell may cast Overflowing Wonderment on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(86854,10053039,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(86855,10053039,'Increases Attack Speed of caster by 10.0',100,2,3),
(86856,10053039,'Must not be engaged in pvp combat',100,2,4),
(86857,10053039,'Cannot be modified except by direct means',100,2,5),
(86858,10053039,'Cannot be modified except by direct means',100,1,6),
(86859,74935,'Applies Lightning Shock when Activated.',100,0,0),
(86860,74935,'Inflicts 485 - 809 magic damage on target',100,1,1),
(86861,74935,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86862,10074935,'Applies Lightning Shock when Activated.',100,0,0),
(86863,10074935,'Inflicts 679 - 1132 magic damage on target',100,1,1),
(86864,10074935,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(86865,119290,'Inflicts 108 - 180 slashing damage on target',100,1,0),
(86866,119290,'Decreases Damage Per Second of target by 17.3',100,1,1),
(86867,119290,'Inflicts 144 slashing damage on target instantly and every 4 seconds',100,1,2),
(86868,10119290,'Inflicts 140 - 234 slashing damage on target',100,1,0),
(86869,10119290,'Decreases Damage Per Second of target by 17.3',100,1,1),
(86870,10119290,'Inflicts 202 slashing damage on target instantly and every 4 seconds',100,1,2),
(86871,70839,'When Equipped:',100,0,0),
(86872,70839,'On any combat or spell hit this spell may cast Glorious Advance on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86873,70839,'Inflicts 2069 - 2287 divine damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(86874,70839,'Heals group members (AE) for 1678 - 1855 instantly and every 2 seconds',100,2,3),
(86875,70839,'Increases Potency of group members (AE) by 12.0%',100,2,4),
(86876,70839,'Must not be engaged in pvp combat',100,2,5),
(86877,70839,'Cannot be modified except by direct means',100,2,6),
(86878,70839,'Must not be engaged in pvp combat',100,1,7),
(86879,10070839,'When Equipped:',100,0,0),
(86880,10070839,'On any combat or spell hit this spell may cast Glorious Advance on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86881,10070839,'Inflicts 2897 - 3202 divine damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(86882,10070839,'Heals group members (AE) for 1963 - 2170 instantly and every 2 seconds',100,2,3),
(86883,10070839,'Increases Potency of group members (AE) by 12.0%',100,2,4),
(86884,10070839,'Must not be engaged in pvp combat',100,2,5),
(86885,10070839,'Cannot be modified except by direct means',100,2,6),
(86886,10070839,'Must not be engaged in pvp combat',100,1,7),
(86887,121363,'Inflicts 77 - 143 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(86888,10121363,'Inflicts 108 - 200 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(86889,101587,'Inflicts 214 - 358 melee damage on targets in area',100,1,0),
(86890,10101587,'Inflicts 279 - 465 melee damage on targets in area',100,1,0),
(86891,107244,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(86892,107244,'Slows target by 40.2%',100,2,1),
(86893,107244,'5% chance to dispel when target receives hostile action',100,2,2),
(86894,107244,'5% chance to dispel when target takes damage',100,2,3),
(86895,107244,'Inflicts 37 - 45 disease damage on target every 4 seconds',100,1,4),
(86896,107244,'Slows target by 40.2%',100,1,5),
(86897,107244,'5% chance to dispel when target receives hostile action',100,1,6),
(86898,107244,'5% chance to dispel when target takes damage',100,1,7),
(86899,10107244,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(86900,10107244,'Slows target by 40.2%',100,2,1),
(86901,10107244,'5% chance to dispel when target receives hostile action',100,2,2),
(86902,10107244,'5% chance to dispel when target takes damage',100,2,3),
(86903,10107244,'Inflicts 51 - 63 disease damage on target every 2.5 seconds',100,1,4),
(86904,10107244,'Slows target by 40.2%',100,1,5),
(86905,10107244,'5% chance to dispel when target receives hostile action',100,1,6),
(86906,10107244,'5% chance to dispel when target takes damage',100,1,7),
(86907,103161,'Throws target back',100,1,0),
(86908,103161,'If Target is not Epic',100,2,1),
(86909,103161,'Inflicts 134 - 402 crushing damage on target',100,1,2),
(86910,103161,'Stuns target',100,1,3),
(86911,103161,'If Target is not Epic',100,2,4),
(86912,103161,'Resistibility increases against targets higher than level 84.',100,1,5),
(86913,10103161,'Throws target back',100,1,0),
(86914,10103161,'If Target is not Epic',100,2,1),
(86915,10103161,'Inflicts 174 - 523 crushing damage on target',100,1,2),
(86916,10103161,'Stuns target',100,1,3),
(86917,10103161,'If Target is not Epic',100,2,4),
(86918,10103161,'Resistibility increases against targets higher than level 84.',100,1,5),
(86919,36985,'Increases Max Power of target by 4.1',100,0,0),
(86920,36985,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(86921,81783,'When Equipped:',100,0,0),
(86922,81783,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86923,81783,'Inflicts 141 - 262 magic damage on target',100,2,2),
(86924,81783,'Cannot be modified except by direct means',100,2,3),
(86925,10081783,'When Equipped:',100,0,0),
(86926,10081783,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(86927,10081783,'Inflicts 198 - 367 magic damage on target',100,2,2),
(86928,10081783,'Cannot be modified except by direct means',100,2,3),
(86929,117368,'Inflicts 85 - 104 divine damage on target',100,1,0),
(86930,117368,'Inflicts 85 - 104 divine damage on target',100,1,1),
(86931,117368,'If target is undead',100,2,2),
(86932,10117368,'Inflicts 119 - 146 divine damage on target',100,1,0),
(86933,10117368,'Inflicts 119 - 146 divine damage on target',100,1,1),
(86934,10117368,'If target is undead',100,2,2),
(86935,52781,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(86936,52781,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(86937,52781,'Inflicts 111 heat damage on target',100,2,2),
(86938,52781,'Cannot be modified except by direct means',100,2,3),
(86939,10052781,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(86940,10052781,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(86941,10052781,'Inflicts 155 heat damage on target',100,2,2),
(86942,10052781,'Cannot be modified except by direct means',100,2,3),
(86943,122463,'Inflicts 1178 - 1963 magic damage on target',100,1,0),
(86944,10122463,'Inflicts 1649 - 2748 magic damage on target',100,1,0),
(86945,35070,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(86946,24455,'Adds Elite: Iksar-Skeleton (Defiler) to your Dungeon Maker toolbox',100,0,0),
(86947,10024455,'Adds Elite: Iksar-Skeleton (Defiler) to your Dungeon Maker toolbox',100,0,0),
(86948,158720,'When Equipped:',100,0,0),
(86949,158720,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86950,158720,'Increases Ability Modifier of group members by 100.0',100,2,2),
(86951,158720,'Cannot be modified except by direct means',100,2,3),
(86952,158720,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(86953,158720,'Increases Ability Modifier of group members by 100.0',100,2,5),
(86954,158720,'Cannot be modified except by direct means',100,2,6),
(86955,158720,'Cannot be modified except by direct means',100,1,7),
(86956,10158720,'When Equipped:',100,0,0),
(86957,10158720,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86958,10158720,'Increases Ability Modifier of group members by 100.0',100,2,2),
(86959,10158720,'Cannot be modified except by direct means',100,2,3),
(86960,10158720,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(86961,10158720,'Increases Ability Modifier of group members by 100.0',100,2,5),
(86962,10158720,'Cannot be modified except by direct means',100,2,6),
(86963,10158720,'Cannot be modified except by direct means',100,1,7),
(86964,104562,'Inflicts 174 - 290 disease damage on target',100,1,0),
(86965,104562,'Decreases WIS of target by 53.5',100,1,1),
(86966,10104562,'Inflicts 226 - 377 disease damage on target',100,1,0),
(86967,10104562,'Decreases WIS of target by 53.5',100,1,1),
(86968,124195,'Inflicts 224 - 373 melee damage on target',100,1,0),
(86969,10124195,'Inflicts 291 - 485 melee damage on target',100,1,0),
(86970,161978,'When Equipped:',100,0,0),
(86971,161978,'Increases Attack Speed of caster by 40.0',100,1,1),
(86972,10161978,'When Equipped:',100,0,0),
(86973,10161978,'Increases Attack Speed of caster by 40.0',100,1,1),
(86974,177102,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(86975,177102,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(86976,177102,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(86977,177102,'Cannot be modified except by direct means',100,2,3),
(86978,10177102,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(86979,10177102,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(86980,10177102,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(86981,10177102,'Cannot be modified except by direct means',100,2,3),
(86982,35871,'Increases STR of target by 1.6',100,0,0),
(86983,35871,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(86984,46170,'Applies Escape Root when Activated.',100,0,0),
(86985,46170,'Teleports caster and caster''s group within the zone',75,1,1),
(86986,10046170,'Applies Escape Root when Activated.',100,0,0),
(86987,10046170,'Teleports caster and caster''s group within the zone',75,1,1),
(86988,50705,'When Equipped:',100,0,0),
(86989,50705,'On a healing spell cast this spell may cast Monstrous Warding on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86990,50705,'Increases Max Health of target by 10.0%',100,2,2),
(86991,50705,'Wards target against 5000 points of all damage',100,2,3),
(86992,50705,'Must not be engaged in pvp combat',100,2,4),
(86993,50705,'Cannot be modified except by direct means',100,2,5),
(86994,50705,'Must not be engaged in pvp combat',100,1,6),
(86995,10050705,'When Equipped:',100,0,0),
(86996,10050705,'On a healing spell cast this spell may cast Monstrous Warding on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(86997,10050705,'Increases Max Health of target by 10.0%',100,2,2),
(86998,10050705,'Wards target against 5000 points of all damage',100,2,3),
(86999,10050705,'Must not be engaged in pvp combat',100,2,4),
(87000,10050705,'Cannot be modified except by direct means',100,2,5),
(87001,10050705,'Must not be engaged in pvp combat',100,1,6),
(87002,81092,'When Equipped:',100,0,0),
(87003,81092,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87004,81092,'Inflicts 194 - 361 magic damage on target',100,2,2),
(87005,81092,'Cannot be modified except by direct means',100,2,3),
(87006,10081092,'When Equipped:',100,0,0),
(87007,10081092,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87008,10081092,'Inflicts 272 - 505 magic damage on target',100,2,2),
(87009,10081092,'Cannot be modified except by direct means',100,2,3),
(87010,107212,'Inflicts 287 - 479 melee damage on targets in area',100,1,0),
(87011,107212,'Dispels 80 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(87012,10107212,'Inflicts 374 - 623 melee damage on targets in area',100,1,0),
(87013,10107212,'Reduces healing received of targets in area by 10%',100,1,1),
(87014,110377,'Increases STR and AGI of group members (AE) by 40.6',100,1,0),
(87015,110377,'Adds 1.5% to base avoidance.',100,1,1),
(87016,10110377,'Increases STR and AGI of group members (AE) by 40.6',100,1,0),
(87017,10110377,'Adds 1.5% to base avoidance.',100,1,1),
(87018,109252,'Increases INT and WIS of group members (AE) by 47.0',100,1,0),
(87019,109252,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 132',100,1,1),
(87020,10109252,'Increases INT and WIS of group members (AE) by 47.0',100,1,0),
(87021,10109252,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 132',100,1,1),
(87022,45754,'Applies Clouded Trauma Remedy when Activated.',100,0,0),
(87023,45754,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(87024,45754,'Only affects targets level 50 and above',100,1,2),
(87025,10045754,'Applies Clouded Trauma Remedy when Activated.',100,0,0),
(87026,10045754,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(87027,10045754,'Only affects targets level 50 and above',100,1,2),
(87028,72300,'When Equipped:',100,0,0),
(87029,72300,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87030,72300,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(87031,72300,'Cannot be modified except by direct means',100,2,3),
(87032,10072300,'When Equipped:',100,0,0),
(87033,10072300,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87034,10072300,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(87035,10072300,'Cannot be modified except by direct means',100,2,3),
(87036,48061,'Applies Touch of Life when Activated.  Lasts for 6.0 seconds.',100,0,0),
(87037,48061,'Heals caster for 577 - 705',100,1,1),
(87038,48061,'Heals caster for 96 - 117 every second',100,1,2),
(87039,48061,'Requires 178 Power to cast.',100,1,3),
(87040,10048061,'Applies Touch of Life when Activated.  Lasts for 6.0 seconds.',100,0,0),
(87041,10048061,'Heals caster for 375 - 458',100,1,1),
(87042,10048061,'Heals caster for 62 - 76 every second',100,1,2),
(87043,10048061,'Requires 178 Power to cast.',100,1,3),
(87044,71873,'When Equipped:',100,0,0),
(87045,71873,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87046,71873,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(87047,71873,'Cannot be modified except by direct means',100,2,3),
(87048,10071873,'When Equipped:',100,0,0),
(87049,10071873,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87050,10071873,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(87051,10071873,'Cannot be modified except by direct means',100,2,3),
(87052,177661,'When Equipped:',100,0,0),
(87053,177661,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87054,177661,'Increases STR of caster by 8.3',100,2,2),
(87055,177661,'Increases Damage Per Second of caster by 17.7',100,2,3),
(87056,177661,'Cannot be modified except by direct means',100,2,4),
(87057,10177661,'When Equipped:',100,0,0),
(87058,10177661,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87059,10177661,'Increases STR of caster by 8.3',100,2,2),
(87060,10177661,'Increases Damage Per Second of caster by 17.7',100,2,3),
(87061,10177661,'Cannot be modified except by direct means',100,2,4),
(87062,114594,'Inflicts 658 - 1097 ranged damage on target',100,1,0),
(87063,114594,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(87064,114594,'Requires bow',100,1,2),
(87065,10114594,'Inflicts 695 - 1158 ranged damage on target',100,1,0),
(87066,10114594,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(87067,10114594,'Requires bow',100,1,2),
(87068,88633,'When Equipped:',100,0,0),
(87069,88633,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87070,88633,'Inflicts 1192 disease damage on target encounter',100,2,2),
(87071,88633,'Must not be engaged in pvp combat',100,2,3),
(87072,88633,'Cannot be modified except by direct means',100,2,4),
(87073,10088633,'When Equipped:',100,0,0),
(87074,10088633,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87075,10088633,'Inflicts 834 disease damage on target encounter',100,2,2),
(87076,10088633,'Must not be engaged in pvp combat',100,2,3),
(87077,10088633,'Cannot be modified except by direct means',100,2,4),
(87078,101694,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(87079,101694,'Inflicts 307 - 375 disease damage on target',100,2,1),
(87080,101694,'Grants a total of 3 triggers of the spell.',100,2,2),
(87081,10101694,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(87082,10101694,'Inflicts 429 - 525 disease damage on target',100,2,1),
(87083,10101694,'Grants a total of 3 triggers of the spell.',100,2,2),
(87084,47023,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(87085,47023,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(87086,47023,'Inflicts 91 poison damage on target instantly and every 6 seconds',100,2,2),
(87087,47023,'Inflicts 103 poison damage on target',100,2,3),
(87088,47023,'Cannot be modified except by direct means',100,2,4),
(87089,47023,'Grants a total of 200 triggers of the spell.',100,2,5),
(87090,10047023,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(87091,10047023,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(87092,10047023,'Inflicts 109 poison damage on target',100,2,2),
(87093,10047023,'Inflicts 95 poison damage on target instantly and every 6 seconds',100,2,3),
(87094,10047023,'Cannot be modified except by direct means',100,2,4),
(87095,10047023,'Grants a total of 200 triggers of the spell.',100,2,5),
(87096,124054,'Increases power of caster by 159',100,1,0),
(87097,10124054,'Increases power of caster by 159',100,1,0),
(87098,42447,'When Equipped:',100,0,0),
(87099,42447,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(87100,42447,'Inflicts 1265 - 1399 slashing damage on target',100,2,2),
(87101,42447,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,3),
(87102,42447,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,4),
(87103,42447,'Must not be engaged in pvp combat',100,2,5),
(87104,42447,'Cannot be modified except by direct means',100,2,6),
(87105,42447,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(87106,42447,'Inflicts 1265 - 1399 slashing damage on target',100,2,8),
(87107,42447,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,9),
(87108,42447,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,10),
(87109,42447,'Must not be engaged in pvp combat',100,2,11),
(87110,42447,'Cannot be modified except by direct means',100,2,12),
(87111,42447,'This effect will not stack with itself.',100,1,13),
(87112,42447,'Must not be engaged in pvp combat',100,1,14),
(87113,10042447,'When Equipped:',100,0,0),
(87114,10042447,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(87115,10042447,'Inflicts 1772 - 1958 slashing damage on target',100,2,2),
(87116,10042447,'Inflicts 974 - 1077 slashing damage on target every 2 seconds',100,2,3),
(87117,10042447,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,4),
(87118,10042447,'Must not be engaged in pvp combat',100,2,5),
(87119,10042447,'Cannot be modified except by direct means',100,2,6),
(87120,10042447,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(87121,10042447,'Inflicts 1772 - 1958 slashing damage on target',100,2,8),
(87122,10042447,'Inflicts 974 - 1077 slashing damage on target every 2 seconds',100,2,9),
(87123,10042447,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,10),
(87124,10042447,'Must not be engaged in pvp combat',100,2,11),
(87125,10042447,'Cannot be modified except by direct means',100,2,12),
(87126,10042447,'This effect will not stack with itself.',100,1,13),
(87127,10042447,'Must not be engaged in pvp combat',100,1,14),
(87128,105736,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(87129,105736,'Stuns target',100,2,1),
(87130,105736,'Blurs vision of target',100,2,2),
(87131,105736,'Throws target back',100,2,3),
(87132,105736,'Does not affect Epic targets',100,2,4),
(87133,105736,'Inflicts 410 - 684 melee damage on targets in area',100,1,5),
(87134,10105736,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(87135,10105736,'Stuns target',100,2,1),
(87136,10105736,'Throws target back',100,2,2),
(87137,10105736,'Blurs vision of target',100,2,3),
(87138,10105736,'Does not affect Epic targets',100,2,4),
(87139,10105736,'Inflicts 533 - 889 melee damage on targets in area',100,1,5),
(87140,35857,'Increases Max Power of target by 4.1',100,0,0),
(87141,35857,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(87142,37593,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(87143,119949,'Inflicts 323 - 539 melee damage on target',100,1,0),
(87144,119949,'Stifles target',100,1,1),
(87145,119949,'If Target is not Epic',100,2,2),
(87146,119949,'Resistibility increases against targets higher than level 99.',100,1,3),
(87147,10119949,'Inflicts 420 - 701 melee damage on target',100,1,0),
(87148,10119949,'Stifles target',100,1,1),
(87149,10119949,'If Target is not Epic',100,2,2),
(87150,10119949,'Resistibility increases against targets higher than level 99.',100,1,3),
(87151,103155,'Throws target back',100,1,0),
(87152,103155,'If Target is not Epic',100,2,1),
(87153,103155,'Inflicts 91 - 275 crushing damage on target',100,1,2),
(87154,103155,'Stuns target',100,1,3),
(87155,103155,'If Target is not Epic',100,2,4),
(87156,103155,'Resistibility increases against targets higher than level 70.',100,1,5),
(87157,10103155,'Throws target back',100,1,0),
(87158,10103155,'If Target is not Epic',100,2,1),
(87159,10103155,'Inflicts 119 - 358 crushing damage on target',100,1,2),
(87160,10103155,'Stuns target',100,1,3),
(87161,10103155,'If Target is not Epic',100,2,4),
(87162,10103155,'Resistibility increases against targets higher than level 70.',100,1,5),
(87163,124019,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(87164,124019,'Heals target for 205 - 250',100,2,1),
(87165,124019,'Grants a total of 5 triggers of the spell.',100,2,2),
(87166,10124019,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(87167,10124019,'Heals target for 133 - 163',100,2,1),
(87168,10124019,'Grants a total of 5 triggers of the spell.',100,2,2),
(87169,27231,'When Equipped:',100,0,0),
(87170,27231,'Increases Damage Per Second of caster by 10.0',100,1,1),
(87171,10027231,'When Equipped:',100,0,0),
(87172,10027231,'Increases Damage Per Second of caster by 10.0',100,1,1),
(87173,37309,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(87174,141690,'When Equipped:',100,0,0),
(87175,141690,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(87176,141690,'Increases STA of caster by 5.8',100,2,2),
(87177,141690,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(87178,141690,'Cannot be modified except by direct means',100,2,4),
(87179,10141690,'When Equipped:',100,0,0),
(87180,10141690,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(87181,10141690,'Increases STA of caster by 5.8',100,2,2),
(87182,10141690,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(87183,10141690,'Cannot be modified except by direct means',100,2,4),
(87184,115227,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(87185,115227,'Decreases Mitigation of target vs noxious damage by 1097',100,2,1),
(87186,115227,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(87187,115227,'Decreases Mitigation of target vs noxious damage by 1097',100,2,3),
(87188,10115227,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(87189,10115227,'Decreases Mitigation of target vs noxious damage by 1097',100,2,1),
(87190,10115227,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(87191,10115227,'Decreases Mitigation of target vs noxious damage by 1097',100,2,3),
(87192,36075,'Increases WIS and INT of target by 1.2',100,0,0),
(87193,36075,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(87194,101279,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(87195,101279,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,1),
(87196,10101279,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(87197,10101279,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,1),
(87198,45206,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(87199,45206,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 19.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(87200,45206,'Slows target by 38.4%',100,2,2),
(87201,45206,'Cannot be modified except by direct means',100,2,3),
(87202,45206,'Grants a total of 60 triggers of the spell.',100,2,4),
(87203,10045206,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(87204,10045206,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(87205,10045206,'Slows target by 38.4%',100,2,2),
(87206,10045206,'Cannot be modified except by direct means',100,2,3),
(87207,10045206,'Grants a total of 60 triggers of the spell.',100,2,4),
(87208,74661,'When Equipped:',100,0,0),
(87209,74661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87210,74661,'Inflicts 57 - 86 magic damage on target',100,2,2),
(87211,74661,'Cannot be modified except by direct means',100,2,3),
(87212,10074661,'When Equipped:',100,0,0),
(87213,10074661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87214,10074661,'Inflicts 80 - 120 magic damage on target',100,2,2),
(87215,10074661,'Cannot be modified except by direct means',100,2,3),
(87216,113925,'Increases power of target by 24 instantly and every 4 seconds',100,1,0),
(87217,10113925,'Increases power of target by 24 instantly and every 4 seconds',100,1,0),
(87218,116779,'Increases STR, AGI, WIS and INT of target by 20.2',100,1,0),
(87219,116779,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87220,116779,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(87221,116779,'Increases Damage Per Second of target by 23.3',100,2,3),
(87222,116779,'Increases Attack Speed of target by 23.3',100,2,4),
(87223,116779,'Adds 1.6% to base avoidance.',100,1,5),
(87224,116779,'Increases Mitigation of target vs elemental, noxious and arcane damage by 60',100,1,6),
(87225,10116779,'Increases STR, AGI, WIS and INT of target by 20.2',100,1,0),
(87226,10116779,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87227,10116779,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(87228,10116779,'Increases Damage Per Second of target by 23.3',100,2,3),
(87229,10116779,'Increases Attack Speed of target by 23.3',100,2,4),
(87230,10116779,'Adds 1.6% to base avoidance.',100,1,5),
(87231,10116779,'Increases Mitigation of target vs elemental, noxious and arcane damage by 60',100,1,6),
(87232,121528,'Inflicts 535 - 892 melee damage on target',100,1,0),
(87233,121528,'Stuns target',100,1,1),
(87234,121528,'If Target is not Epic',100,2,2),
(87235,121528,'Resistibility increases against targets higher than level 87.',100,1,3),
(87236,10121528,'Inflicts 696 - 1160 melee damage on target',100,1,0),
(87237,10121528,'Stuns target',100,1,1),
(87238,10121528,'If Target is not Epic',100,2,2),
(87239,10121528,'Resistibility increases against targets higher than level 87.',100,1,3),
(87240,48001,'Applies Draw upon Essence when Activated.',100,0,0),
(87241,48001,'Increases power of caster by 8',100,1,1),
(87242,48001,'Requires 24 Health to cast.',100,1,2),
(87243,10048001,'Applies Draw upon Essence when Activated.',100,0,0),
(87244,10048001,'Increases power of caster by 8',100,1,1),
(87245,10048001,'Requires 24 Health to cast.',100,1,2),
(87246,116079,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(87247,116079,'Heals target for 72 - 88',100,2,1),
(87248,116079,'Grants a total of 5 triggers of the spell.',100,2,2),
(87249,10116079,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(87250,10116079,'Heals target for 47 - 57',100,2,1),
(87251,10116079,'Grants a total of 5 triggers of the spell.',100,2,2),
(87252,118391,'Inflicts 454 - 757 melee damage on target',100,1,0),
(87253,118391,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(87254,118391,'Stuns target',100,2,2),
(87255,118391,'Blurs vision of target',100,2,3),
(87256,118391,'Throws target back',100,2,4),
(87257,118391,'Does not affect Epic targets',100,2,5),
(87258,10118391,'Inflicts 591 - 985 melee damage on target',100,1,0),
(87259,10118391,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(87260,10118391,'Stuns target',100,2,2),
(87261,10118391,'Throws target back',100,2,3),
(87262,10118391,'Blurs vision of target',100,2,4),
(87263,10118391,'Does not affect Epic targets',100,2,5),
(87264,100135,'Inflicts 50 - 61 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(87265,100135,'Decreases Mitigation of target encounter vs noxious damage by 448',100,1,1),
(87266,10100135,'Inflicts 70 - 86 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(87267,10100135,'Decreases Mitigation of target encounter vs noxious damage by 448',100,1,1),
(87268,35380,'Increases AGI and INT of target by 1.2',100,0,0),
(87269,35380,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(87270,107183,'Inflicts 128 - 213 divine damage on target',100,1,0),
(87271,107183,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(87272,107183,'Stuns target',100,2,2),
(87273,107183,'If Target is not Epic',100,3,3),
(87274,107183,'Inflicts 299 - 498 divine damage on target',100,2,4),
(87275,107183,'Inflicts 256 - 427 divine damage on target',100,2,5),
(87276,107183,'If target is undead',100,3,6),
(87277,10107183,'Inflicts 110 - 184 divine damage on target',100,1,0),
(87278,10107183,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(87279,10107183,'Stuns target',100,2,2),
(87280,10107183,'Inflicts 627 - 1045 divine damage on target',100,2,3),
(87281,10107183,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(87282,184903,'When Equipped:',100,0,0),
(87283,184903,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(87284,184903,'Wards caster against 200 points of all damage',100,2,2),
(87285,184903,'Cannot be modified except by direct means',100,2,3),
(87286,184903,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(87287,10184903,'When Equipped:',100,0,0),
(87288,10184903,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(87289,10184903,'Wards caster against 200 points of all damage',100,2,2),
(87290,10184903,'Cannot be modified except by direct means',100,2,3),
(87291,10184903,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(87292,100567,'Inflicts 16 - 26 melee damage on target',100,1,0),
(87293,100567,'You must be sneaking to use this ability.',100,1,1),
(87294,10100567,'Inflicts 20 - 34 melee damage on target',100,1,0),
(87295,10100567,'You must be sneaking to use this ability.',100,1,1),
(87296,48292,'Applies Sultan''s Fancy when Activated.',100,0,0),
(87297,48292,'Shapechanges the user into a courtesan.',100,1,1),
(87298,10048292,'Applies Sultan''s Fancy when Activated.',100,0,0),
(87299,10048292,'Shapechanges the user into a courtesan.',100,1,1),
(87300,117856,'Heals target for 84 - 102 instantly and every 2 seconds',100,1,0),
(87301,10117856,'Heals target for 54 - 67 instantly and every 2 seconds',100,1,0),
(87302,104769,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(87303,104769,'Inflicts 433 disease damage on target',100,2,1),
(87304,104769,'Heals caster for 172',100,2,2),
(87305,104769,'Heals group members'' pets for 172',100,2,3),
(87306,10104769,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(87307,10104769,'Inflicts 606 disease damage on target',100,2,1),
(87308,10104769,'Heals caster for 112',100,2,2),
(87309,10104769,'Heals group members'' pets for 112',100,2,3),
(87310,189963,'When Equipped:',100,0,0),
(87311,189963,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(87312,10189963,'When Equipped:',100,0,0),
(87313,10189963,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(87314,80910,'When Equipped:',100,0,0),
(87315,80910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87316,80910,'Inflicts 248 - 460 magic damage on target',100,2,2),
(87317,80910,'Cannot be modified except by direct means',100,2,3),
(87318,10080910,'When Equipped:',100,0,0),
(87319,10080910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87320,10080910,'Inflicts 347 - 644 magic damage on target',100,2,2),
(87321,10080910,'Cannot be modified except by direct means',100,2,3),
(87322,42416,'Applies Vindication of Conflict when Activated.  Lasts for 10.0 seconds.',100,0,0),
(87323,42416,'Dispels 518 levels of hostile Stun and hostile Stifle effects on caster',100,1,1),
(87324,42416,'Makes caster immune to Fear effects',100,1,2),
(87325,42416,'Makes caster immune to Daze effects',100,1,3),
(87326,42416,'Makes caster immune to Mesmerize effects',100,1,4),
(87327,42416,'Makes caster immune to Stun effects',100,1,5),
(87328,42416,'Makes caster immune to Root effects',100,1,6),
(87329,42416,'Makes caster immune to Stifle effects',100,1,7),
(87330,42416,'Dispels 518 levels of hostile Daze, hostile Fear, hostile Mesmerize and hostile Root effects on caster',100,1,8),
(87331,42416,'Must not be engaged in pvp combat',100,1,9),
(87332,42416,'The casting time of Vindication of Conflict is 1.0 second and the reuse time of the spell is 8 minutes 20 seconds',100,1,10),
(87333,10042416,'Applies Vindication of Conflict when Activated.  Lasts for 10.0 seconds.',100,0,0),
(87334,10042416,'Dispels 518 levels of hostile Stun and hostile Stifle effects on caster',100,1,1),
(87335,10042416,'Makes caster immune to Fear effects',100,1,2),
(87336,10042416,'Makes caster immune to Daze effects',100,1,3),
(87337,10042416,'Makes caster immune to Mesmerize effects',100,1,4),
(87338,10042416,'Makes caster immune to Stun effects',100,1,5),
(87339,10042416,'Makes caster immune to Root effects',100,1,6),
(87340,10042416,'Makes caster immune to Stifle effects',100,1,7),
(87341,10042416,'Dispels 518 levels of hostile Daze, hostile Fear, hostile Mesmerize and hostile Root effects on caster',100,1,8),
(87342,10042416,'Must not be engaged in pvp combat',100,1,9),
(87343,10042416,'The casting time of Vindication of Conflict is 1.0 second and the reuse time of the spell is 8 minutes 20 seconds',100,1,10),
(87344,102233,'Increases Max Health of group members (AE) by 812.4',100,1,0),
(87345,10102233,'Increases Max Health of group members (AE) by 812.4',100,1,0),
(87346,104256,'Increases Mitigation of group members (AE) vs physical damage by 510',100,1,0),
(87347,10104256,'Increases Mitigation of group members (AE) vs physical damage by 510',100,1,0),
(87348,113401,'Reduces physical damage done to caster by 5%',100,1,0),
(87349,113401,'Increases STA of caster by 26.4',100,1,1),
(87350,113401,'Adds 3.1% to base avoidance.',100,1,2),
(87351,113401,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(87352,113401,'Increases Defense and Aggression of caster by 4.8',100,1,4),
(87353,113401,'Increases Mitigation of caster vs noxious damage by 346',100,1,5),
(87354,113401,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(87355,10113401,'Reduces physical damage done to caster by 5%',100,1,0),
(87356,10113401,'Increases STA of caster by 26.4',100,1,1),
(87357,10113401,'Adds 3.1% to base avoidance.',100,1,2),
(87358,10113401,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(87359,10113401,'Increases Defense and Aggression of caster by 4.8',100,1,4),
(87360,10113401,'Increases Mitigation of caster vs noxious damage by 346',100,1,5),
(87361,10113401,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(87362,121437,'Increases AGI of caster by 12.2',100,1,0),
(87363,121437,'Increases STR of caster by 18.3',100,1,1),
(87364,10121437,'Increases AGI of caster by 12.2',100,1,0),
(87365,10121437,'Increases STR of caster by 18.3',100,1,1),
(87366,83853,'When Equipped:',100,0,0),
(87367,83853,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87368,83853,'Increases Damage Per Second of group members (AE) by 30.0',100,2,2),
(87369,83853,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(87370,83853,'Stuns target',100,3,4),
(87371,83853,'Blurs vision of target',100,3,5),
(87372,83853,'Throws target back',100,3,6),
(87373,83853,'Does not affect Epic targets',100,3,7),
(87374,83853,'1% of all damage received by the caster is prevented.',100,2,8),
(87375,83853,'Inflicts 1874 - 2072 divine damage on targets in Area of Effect instantly and every second',100,2,9),
(87376,83853,'Increases Hate Gain of caster by 12.0%',100,2,10),
(87377,83853,'Must not be engaged in pvp combat',100,2,11),
(87378,83853,'Cannot be modified except by direct means',100,2,12),
(87379,83853,'Must not be engaged in pvp combat',100,1,13),
(87380,10083853,'When Equipped:',100,0,0),
(87381,10083853,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87382,10083853,'Increases Damage Per Second of group members (AE) by 30.0',100,2,2),
(87383,10083853,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(87384,10083853,'Stuns target',100,3,4),
(87385,10083853,'Throws target back',100,3,5),
(87386,10083853,'Blurs vision of target',100,3,6),
(87387,10083853,'Does not affect Epic targets',100,3,7),
(87388,10083853,'1% of all damage received by the caster is prevented.',100,2,8),
(87389,10083853,'Inflicts 2624 - 2901 divine damage on targets in Area of Effect instantly and every second',100,2,9),
(87390,10083853,'Must not be engaged in pvp combat',100,2,10),
(87391,10083853,'Cannot be modified except by direct means',100,2,11),
(87392,10083853,'Must not be engaged in pvp combat',100,1,12),
(87393,118160,'Inflicts 434 - 723 melee damage on target',100,1,0),
(87394,118160,'Dazes target',100,1,1),
(87395,118160,'If Target is not Epic',100,2,2),
(87396,118160,'Resistibility increases against targets higher than level 97.',100,1,3),
(87397,10118160,'Inflicts 564 - 940 melee damage on target',100,1,0),
(87398,10118160,'Dazes target',100,1,1),
(87399,10118160,'If Target is not Epic',100,2,2),
(87400,10118160,'Resistibility increases against targets higher than level 97.',100,1,3),
(87401,35349,'Increases AGI of target by 1.6',100,0,0),
(87402,35349,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(87403,122688,'Heals target for 122 - 149',100,1,0),
(87404,122688,'Increases Max Health of target by 15.1',100,1,1),
(87405,10122688,'Heals target for 79 - 97',100,1,0),
(87406,10122688,'Increases Max Health of target by 15.1',100,1,1),
(87407,72805,'When Equipped:',100,0,0),
(87408,72805,'On a critical combat hit this spell may cast Paralyzing Puncture IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87409,72805,'Stuns target',100,2,2),
(87410,72805,'If Target is not Epic',100,3,3),
(87411,72805,'Inflicts 245 - 270 heat damage on target',100,2,4),
(87412,72805,'Must not be engaged in pvp combat',100,2,5),
(87413,72805,'Cannot be modified except by direct means',100,2,6),
(87414,72805,'Must not be engaged in pvp combat',100,1,7),
(87415,10072805,'When Equipped:',100,0,0),
(87416,10072805,'On a critical combat hit this spell may cast Paralyzing Puncture IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87417,10072805,'Stuns target',100,2,2),
(87418,10072805,'If Target is not Epic',100,3,3),
(87419,10072805,'Inflicts 342 - 379 heat damage on target',100,2,4),
(87420,10072805,'Must not be engaged in pvp combat',100,2,5),
(87421,10072805,'Cannot be modified except by direct means',100,2,6),
(87422,10072805,'Must not be engaged in pvp combat',100,1,7),
(87423,107033,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(87424,107033,'Inflicts 36 - 60 divine damage on target',100,2,1),
(87425,107033,'Inflicts 36 - 60 divine damage on target',100,2,2),
(87426,107033,'If target is undead',100,3,3),
(87427,10107033,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(87428,10107033,'Inflicts 83 - 139 divine damage on target',100,2,1),
(87429,87562,'Applies Poison Bolt when Activated.',100,0,0),
(87430,87562,'Inflicts 163 - 272 poison damage on target',100,1,1),
(87431,87562,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(87432,10087562,'Applies Poison Bolt when Activated.',100,0,0),
(87433,10087562,'Inflicts 228 - 380 poison damage on target',100,1,1),
(87434,10087562,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(87435,105341,'Inflicts 289 - 482 melee damage on target',100,1,0),
(87436,105341,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 377',100,1,1),
(87437,105341,'Must be flanking or behind',100,1,2),
(87438,10105341,'Inflicts 376 - 627 melee damage on target',100,1,0),
(87439,10105341,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 377',100,1,1),
(87440,10105341,'Must be flanking or behind',100,1,2),
(87441,46847,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(87442,46847,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(87443,46847,'Inflicts 150 poison damage on target',100,2,2),
(87444,46847,'Inflicts 44 poison damage on target instantly and every 6 seconds',100,2,3),
(87445,46847,'Cannot be modified except by direct means',100,2,4),
(87446,46847,'Grants a total of 200 triggers of the spell.',100,2,5),
(87447,10046847,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(87448,10046847,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(87449,10046847,'Inflicts 158 poison damage on target',100,2,2),
(87450,10046847,'Inflicts 46 poison damage on target instantly and every 6 seconds',100,2,3),
(87451,10046847,'Cannot be modified except by direct means',100,2,4),
(87452,10046847,'Grants a total of 200 triggers of the spell.',100,2,5),
(87453,101612,'Applies Forceful Headache on termination.',100,1,0),
(87454,101612,'Inflicts 42 - 71 mental damage on target',100,2,1),
(87455,101612,'If over 50% power',100,3,2),
(87456,101612,'Inflicts 17 - 21 mental damage on target instantly and every 6 seconds',100,1,3),
(87457,101612,'Decreases Mitigation of target vs arcane damage by 157',100,1,4),
(87458,10101612,'Applies Forceful Headache on termination.',100,1,0),
(87459,10101612,'Inflicts 59 - 99 mental damage on target',100,2,1),
(87460,10101612,'If over 50% power',100,3,2),
(87461,10101612,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',100,1,3),
(87462,10101612,'Decreases Mitigation of target vs arcane damage by 157',100,1,4),
(87463,139464,'When Equipped:',100,0,0),
(87464,139464,'Increases success chance by 1.4%',100,1,1),
(87465,10139464,'When Equipped:',100,0,0),
(87466,10139464,'Increases success chance by 1.4%',100,1,1),
(87467,116943,'Increases Threat to target by 183 - 224 ',100,1,0),
(87468,116943,'Interrupts target',100,1,1),
(87469,10116943,'Forces target to change their selected target to caster.',100,1,0),
(87470,10116943,'Interrupts target',100,1,1),
(87471,10116943,'Prevents target from changing targets',100,1,2),
(87472,177577,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(87473,177577,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(87474,177577,'Heals target for 38 instantly and every 4 seconds',100,2,2),
(87475,177577,'Cannot be modified except by direct means',100,2,3),
(87476,10177577,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(87477,10177577,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(87478,10177577,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(87479,10177577,'Cannot be modified except by direct means',100,2,3),
(87480,112308,'Inflicts 103 - 126 disease damage on target',100,1,0),
(87481,112308,'Inflicts 51 - 63 disease damage on target every 3 seconds',100,1,1),
(87482,112308,'Increases Threat to target by 712 - 871  instantly and by 134 - 163  every 3 seconds thereafter',100,1,2),
(87483,10112308,'Inflicts 72 - 88 disease damage on target every 3 seconds',100,1,0),
(87484,10112308,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(87485,88980,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(87486,88980,'Heals group members (AE) for 40',100,1,1),
(87487,88980,'Heals group members (AE) for 16 every 5 seconds',100,1,2),
(87488,88980,'Increases Mitigation of group members (AE) vs arcane damage by 64',100,1,3),
(87489,88980,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(87490,10088980,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(87491,10088980,'Heals group members (AE) for 26',100,1,1),
(87492,10088980,'Heals group members (AE) for 10 every 5 seconds',100,1,2),
(87493,10088980,'Increases Mitigation of group members (AE) vs arcane damage by 64',100,1,3),
(87494,10088980,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(87495,120105,'Shapechanges caster into a chaos essence',100,1,0),
(87496,120105,'Increases WIS of caster by 83.8',100,1,1),
(87497,120105,'Grants See Invisibility to caster',100,1,2),
(87498,120105,'Increases Max Health of caster by 332.5',100,1,3),
(87499,120105,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(87500,10120105,'Shapechanges caster into a chaos essence',100,1,0),
(87501,10120105,'Increases WIS of caster by 83.8',100,1,1),
(87502,10120105,'Grants See Invisibility to caster',100,1,2),
(87503,10120105,'Increases Max Health of caster by 332.5',100,1,3),
(87504,10120105,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(87505,71515,'When Equipped:',100,0,0),
(87506,71515,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87507,71515,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(87508,71515,'Cannot be modified except by direct means',100,2,3),
(87509,10071515,'When Equipped:',100,0,0),
(87510,10071515,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87511,10071515,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(87512,10071515,'Cannot be modified except by direct means',100,2,3),
(87513,80671,'When Equipped:',100,0,0),
(87514,80671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87515,80671,'Inflicts 71 - 132 magic damage on target',100,2,2),
(87516,80671,'Cannot be modified except by direct means',100,2,3),
(87517,10080671,'When Equipped:',100,0,0),
(87518,10080671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87519,10080671,'Inflicts 100 - 185 magic damage on target',100,2,2),
(87520,10080671,'Cannot be modified except by direct means',100,2,3),
(87521,105809,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(87522,105809,'Inflicts 54 - 90 disease damage on target',100,2,1),
(87523,10105809,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(87524,10105809,'Inflicts 70 - 117 disease damage on target',100,2,1),
(87525,124011,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(87526,124011,'Heals target for 137 - 168',100,2,1),
(87527,124011,'Grants a total of 5 triggers of the spell.',100,2,2),
(87528,10124011,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(87529,10124011,'Heals target for 89 - 109',100,2,1),
(87530,10124011,'Grants a total of 5 triggers of the spell.',100,2,2),
(87531,105989,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(87532,105989,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(87533,105989,'Inflicts 467 - 778 piercing damage on target',100,3,2),
(87534,105989,'Grants a total of 5 triggers of the spell.',100,3,3),
(87535,105989,'Grants a total of 1 trigger of the spell.',100,2,4),
(87536,10105989,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(87537,10105989,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(87538,10105989,'Inflicts 607 - 1012 piercing damage on target',100,3,2),
(87539,10105989,'Grants a total of 5 triggers of the spell.',100,3,3),
(87540,10105989,'Grants a total of 1 trigger of the spell.',100,2,4),
(87541,159119,'When Equipped:',100,0,0),
(87542,159119,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87543,159119,'Increases INT of caster by 11.9',100,2,2),
(87544,159119,'Increases Disruption, Focus and Subjugation of caster by 6.7',100,2,3),
(87545,159119,'Cannot be modified except by direct means',100,2,4),
(87546,10159119,'When Equipped:',100,0,0),
(87547,10159119,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87548,10159119,'Increases INT of caster by 11.9',100,2,2),
(87549,10159119,'Increases Disruption, Focus and Subjugation of caster by 6.7',100,2,3),
(87550,10159119,'Cannot be modified except by direct means',100,2,4),
(87551,103408,'Decreases Threat to targets in Area of Effect by 1,127 ',100,1,0),
(87552,103408,'Slows targets in Area of Effect by 33.2%',100,1,1),
(87553,103408,'Stifles targets in Area of Effect',100,1,2),
(87554,103408,'If Target is not Epic',100,2,3),
(87555,103408,'10% chance to dispel when target receives hostile action',100,1,4),
(87556,103408,'10% chance to dispel when target takes damage',100,1,5),
(87557,10103408,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(87558,10103408,'Slows targets in Area of Effect by 33.2%',100,1,1),
(87559,10103408,'Stifles targets in Area of Effect',100,1,2),
(87560,10103408,'If Target is not Epic',100,2,3),
(87561,47468,'Applies Call Pale Armor Albino Warg when Activated.',100,0,0),
(87562,47468,'Summons a mount to ride',100,1,1),
(87563,47468,'Increases your ground speed by 130%',100,2,2),
(87564,47468,'Increases Piercing, Ranged, Aggression, Slashing and Crushing of caster by 5.0',100,1,3),
(87565,10047468,'Applies Call Pale Armor Albino Warg when Activated.',100,0,0),
(87566,10047468,'Summons a mount to ride',100,1,1),
(87567,10047468,'Increases your ground speed by 130%',100,2,2),
(87568,10047468,'Increases Piercing, Ranged, Aggression, Slashing and Crushing of caster by 5.0',100,1,3),
(87569,103785,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.8',100,1,0),
(87570,10103785,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.8',100,1,0),
(87571,45564,'Applies Bulwark of the Forestrunner  when Activated.  Lasts for 30 minutes.',100,0,0),
(87572,45564,'Increases AGI of caster by 11.3',100,1,1),
(87573,10045564,'Applies Bulwark of the Forestrunner  when Activated.  Lasts for 30 minutes.',100,0,0),
(87574,10045564,'Increases AGI of caster by 11.3',100,1,1),
(87575,112698,'Increases Parry of group members (AE) by 43.7',100,1,0),
(87576,10112698,'Increases Parry of group members (AE) by 43.7',100,1,0),
(87577,36497,'Increases AGI of target by 1.6',100,0,0),
(87578,36497,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(87579,163243,'When Equipped:',100,0,0),
(87580,163243,'On a critical combat hit this spell may cast Overwhelming Power VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87581,163243,'Decreases Potency of target by 2.0%',100,2,2),
(87582,163243,'Increases Potency of caster by 7.0%',100,2,3),
(87583,163243,'Must not be engaged in pvp combat',100,2,4),
(87584,163243,'Cannot be modified except by direct means',100,2,5),
(87585,163243,'On a critical spell hit this spell may cast Overwhelming Power VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(87586,163243,'Decreases Potency of target by 2.0%',100,2,7),
(87587,163243,'Increases Potency of caster by 7.0%',100,2,8),
(87588,163243,'Must not be engaged in pvp combat',100,2,9),
(87589,163243,'Cannot be modified except by direct means',100,2,10),
(87590,163243,'Must not be engaged in pvp combat',100,1,11),
(87591,10163243,'When Equipped:',100,0,0),
(87592,10163243,'On a critical combat hit this spell may cast Overwhelming Power VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87593,10163243,'Decreases Potency of target by 2.0%',100,2,2),
(87594,10163243,'Increases Potency of caster by 7.0%',100,2,3),
(87595,10163243,'Must not be engaged in pvp combat',100,2,4),
(87596,10163243,'Cannot be modified except by direct means',100,2,5),
(87597,10163243,'On a critical spell hit this spell may cast Overwhelming Power VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(87598,10163243,'Decreases Potency of target by 2.0%',100,2,7),
(87599,10163243,'Increases Potency of caster by 7.0%',100,2,8),
(87600,10163243,'Must not be engaged in pvp combat',100,2,9),
(87601,10163243,'Cannot be modified except by direct means',100,2,10),
(87602,10163243,'Must not be engaged in pvp combat',100,1,11),
(87603,123608,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(87604,123608,'Increases Defense of target by 28.6',100,1,1),
(87605,10123608,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(87606,10123608,'Increases Defense of target by 28.6',100,1,1),
(87607,117827,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(87608,117827,'Heals target for 57 - 70 instantly and every 2 seconds',100,2,1),
(87609,117827,'If over 50% Health',100,3,2),
(87610,117827,'Heals target for 114 - 139 instantly and every 2 seconds',100,2,3),
(87611,117827,'If at 50% Health or less',100,3,4),
(87612,10117827,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(87613,10117827,'Heals target for 28 - 34 instantly and every 2 seconds',100,2,1),
(87614,10117827,'If at 50% Health or less',100,3,2),
(87615,10117827,'Heals target for 17 - 20 instantly and every 2 seconds',100,2,3),
(87616,10117827,'If over 50% Health',100,3,4),
(87617,74888,'When Equipped:',100,0,0),
(87618,74888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87619,74888,'Inflicts 146 - 219 magic damage on target',100,2,2),
(87620,74888,'Cannot be modified except by direct means',100,2,3),
(87621,10074888,'When Equipped:',100,0,0),
(87622,10074888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87623,10074888,'Inflicts 204 - 306 magic damage on target',100,2,2),
(87624,10074888,'Cannot be modified except by direct means',100,2,3),
(87625,83963,'When Equipped:',100,0,0),
(87626,83963,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87627,83963,'Inflicts 167 - 278 heat damage on target',100,2,2),
(87628,83963,'Cannot be modified except by direct means',100,2,3),
(87629,10083963,'When Equipped:',100,0,0),
(87630,10083963,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87631,10083963,'Inflicts 233 - 389 heat damage on target',100,2,2),
(87632,10083963,'Cannot be modified except by direct means',100,2,3),
(87633,153844,'When Equipped:',100,0,0),
(87634,153844,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(87635,153844,'Makes target afraid',100,2,2),
(87636,153844,'25% chance to dispel when target takes damage',100,2,3),
(87637,153844,'25% chance to dispel when target receives hostile action',100,2,4),
(87638,153844,'Does not affect Epic targets',100,2,5),
(87639,153844,'Resistibility increases against targets higher than level 74.',100,2,6),
(87640,153844,'Cannot be modified except by direct means',100,2,7),
(87641,10153844,'When Equipped:',100,0,0),
(87642,10153844,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(87643,10153844,'Makes target afraid',100,2,2),
(87644,10153844,'25% chance to dispel when target takes damage',100,2,3),
(87645,10153844,'25% chance to dispel when target receives hostile action',100,2,4),
(87646,10153844,'Does not affect Epic targets',100,2,5),
(87647,10153844,'Resistibility increases against targets higher than level 74.',100,2,6),
(87648,10153844,'Cannot be modified except by direct means',100,2,7),
(87649,112691,'Increases Parry of group members (AE) by 40.0',100,1,0),
(87650,10112691,'Increases Parry of group members (AE) by 40.0',100,1,0),
(87651,27035,'When Equipped:',100,0,0),
(87652,27035,'Increases Damage Per Second of caster by 1.0',100,1,1),
(87653,10027035,'When Equipped:',100,0,0),
(87654,10027035,'Increases Damage Per Second of caster by 1.0',100,1,1),
(87655,107532,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(87656,107532,'Decreases Mitigation of target encounter vs elemental and noxious damage by 560',100,1,1),
(87657,10107532,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(87658,10107532,'Decreases Mitigation of target encounter vs elemental and noxious damage by 560',100,1,1),
(87659,26615,'When Equipped:',100,0,0),
(87660,26615,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,1),
(87661,26615,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(87662,10026615,'When Equipped:',100,0,0),
(87663,10026615,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,1),
(87664,10026615,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(87665,71457,'When Equipped:',100,0,0),
(87666,71457,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87667,71457,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(87668,71457,'Cannot be modified except by direct means',100,2,3),
(87669,10071457,'When Equipped:',100,0,0),
(87670,10071457,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87671,10071457,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(87672,10071457,'Cannot be modified except by direct means',100,2,3),
(87673,75925,'When Equipped:',100,0,0),
(87674,75925,'On a beneficial spell cast this spell has a 9% chance to cast Tribal Spirit on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(87675,75925,'Reduces elemental, noxious and arcane damage done to group members (AE) by 5%',100,2,2),
(87676,75925,'Improves the value of healing and ward spells by 5%.',100,2,3),
(87677,75925,'Cannot be modified except by direct means',100,2,4),
(87678,75925,'Cannot be modified except by direct means',100,1,5),
(87679,10075925,'When Equipped:',100,0,0),
(87680,10075925,'On a beneficial spell cast this spell has a 9% chance to cast Tribal Spirit on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(87681,10075925,'Reduces elemental, noxious and arcane damage done to group members (AE) by 5%',100,2,2),
(87682,10075925,'Improves the value of healing and ward spells by 5%.',100,2,3),
(87683,10075925,'Cannot be modified except by direct means',100,2,4),
(87684,10075925,'Cannot be modified except by direct means',100,1,5),
(87685,100311,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(87686,100311,'Inflicts 406 divine damage on target',100,2,1),
(87687,10100311,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(87688,10100311,'Inflicts 568 divine damage on target',100,2,1),
(87689,80676,'When Equipped:',100,0,0),
(87690,80676,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(87691,80676,'Decreases Threat to target by 236 ',100,2,2),
(87692,80676,'Must be flanking or behind',100,3,3),
(87693,80676,'Increases Threat to target by 236 ',100,2,4),
(87694,80676,'Must be in front of',100,3,5),
(87695,80676,'Inflicts 71 - 132 magic damage on target',100,2,6),
(87696,80676,'Cannot be modified except by direct means',100,2,7),
(87697,10080676,'When Equipped:',100,0,0),
(87698,10080676,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(87699,10080676,'Inflicts 100 - 185 magic damage on target',100,2,2),
(87700,10080676,'Cannot be modified except by direct means',100,2,3),
(87701,112598,'Increases STA of caster by 16.2',100,1,0),
(87702,112598,'Reduces slow effects on caster by 7.5%',100,1,1),
(87703,112598,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 432',100,1,2),
(87704,10112598,'Increases STA of caster by 16.2',100,1,0),
(87705,10112598,'Reduces slow effects on caster by 7.5%',100,1,1),
(87706,10112598,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 432',100,1,2),
(87707,110054,'Summons a pet grim sorcerer',100,1,0),
(87708,10110054,'Summons a pet grim sorcerer',100,1,0),
(87709,80901,'When Equipped:',100,0,0),
(87710,80901,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87711,80901,'Inflicts 248 - 460 magic damage on target',100,2,2),
(87712,80901,'Cannot be modified except by direct means',100,2,3),
(87713,10080901,'When Equipped:',100,0,0),
(87714,10080901,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87715,10080901,'Inflicts 347 - 644 magic damage on target',100,2,2),
(87716,10080901,'Cannot be modified except by direct means',100,2,3),
(87717,101781,'Heals group members (AE) for 405 - 495 instantly and every 2 seconds',100,1,0),
(87718,10101781,'Heals group members (AE) for 263 - 322 instantly and every 2 seconds',100,1,0),
(87719,158354,'Applies Hooluk in a Hat when Activated.',100,0,0),
(87720,158354,'Summons a pet Hooluk',100,1,1),
(87721,158354,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(87722,10158354,'Applies Hooluk in a Hat when Activated.',100,0,0),
(87723,10158354,'Summons a pet Hooluk',100,1,1),
(87724,10158354,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(87725,108315,'Inflicts 118 - 197 divine damage on target',100,1,0),
(87726,108315,'Heals caster for 1.1% of max health',100,1,1),
(87727,108315,'This effect cannot be critically applied.',100,2,2),
(87728,108315,'The healing of this spell cannot be modified except by direct means',100,1,3),
(87729,10108315,'Inflicts 154 - 256 divine damage on target',100,1,0),
(87730,10108315,'Heals caster for 0.6% of max health',100,1,1),
(87731,10108315,'This effect cannot be critically applied.',100,2,2),
(87732,10108315,'The healing of this spell cannot be modified except by direct means',100,1,3),
(87733,113850,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(87734,113850,'Increases power of caster by 114',100,2,1),
(87735,113850,'Grants a total of 3 triggers of the spell.',100,2,2),
(87736,10113850,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(87737,10113850,'Increases power of caster by 114',100,2,1),
(87738,10113850,'Grants a total of 3 triggers of the spell.',100,2,2),
(87739,117102,'Mesmerizes target encounter',100,1,0),
(87740,117102,'Prevents AOE (except when direct) ',100,1,1),
(87741,117102,'Dispelled when target takes damage',100,1,2),
(87742,117102,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(87743,117102,'Resistibility increases against targets higher than level 82.',100,1,4),
(87744,10117102,'Mesmerizes target encounter',100,1,0),
(87745,10117102,'Prevents AOE (except when direct) ',100,1,1),
(87746,10117102,'Dispelled when target takes damage',100,1,2),
(87747,10117102,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(87748,10117102,'Resistibility increases against targets higher than level 82.',100,1,4),
(87749,100350,'Increases Max Health of target by 529.2',100,1,0),
(87750,100350,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.9',100,1,1),
(87751,10100350,'Increases Max Health of target by 529.2',100,1,0),
(87752,10100350,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.9',100,1,1),
(87753,81976,'When Equipped:',100,0,0),
(87754,81976,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87755,81976,'Inflicts 351 - 652 magic damage on target',100,2,2),
(87756,81976,'Cannot be modified except by direct means',100,2,3),
(87757,10081976,'When Equipped:',100,0,0),
(87758,10081976,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87759,10081976,'Inflicts 492 - 913 magic damage on target',100,2,2),
(87760,10081976,'Cannot be modified except by direct means',100,2,3),
(87761,123978,'Inflicts 459 - 765 melee damage on target',100,1,0),
(87762,123978,'Decreases AGI of target by 44.7',100,1,1),
(87763,123978,'Must be behind',100,1,2),
(87764,10123978,'Inflicts 597 - 995 melee damage on target',100,1,0),
(87765,10123978,'Decreases AGI of target by 44.7',100,1,1),
(87766,10123978,'Must be behind',100,1,2),
(87767,114932,'Inflicts 643 - 1073 melee damage on target',100,1,0),
(87768,114932,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1721',100,1,1),
(87769,114932,'Must be behind',100,1,2),
(87770,10114932,'Inflicts 837 - 1395 melee damage on target',100,1,0),
(87771,10114932,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 861',100,1,1),
(87772,10114932,'Must be behind',100,1,2),
(87773,123685,'Increases Damage Per Second of target by 46.5',100,1,0),
(87774,10123685,'Increases Damage Per Second of target by 46.5',100,1,0),
(87775,80774,'When Equipped:',100,0,0),
(87776,80774,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87777,80774,'Inflicts 194 - 361 magic damage on target',100,2,2),
(87778,80774,'Cannot be modified except by direct means',100,2,3),
(87779,10080774,'When Equipped:',100,0,0),
(87780,10080774,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87781,10080774,'Inflicts 272 - 505 magic damage on target',100,2,2),
(87782,10080774,'Cannot be modified except by direct means',100,2,3),
(87783,172867,'When Equipped:',100,0,0),
(87784,172867,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(87785,172867,'Decreases Damage Per Second of target by 10.0',100,2,2),
(87786,172867,'Cannot be modified except by direct means',100,2,3),
(87787,10172867,'When Equipped:',100,0,0),
(87788,10172867,'When damaged with a melee weapon this spell has a 7% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(87789,10172867,'Decreases Damage Per Second of target by 10.0',100,2,2),
(87790,10172867,'Cannot be modified except by direct means',100,2,3),
(87791,115672,'Inflicts 11 - 34 melee damage on target',100,1,0),
(87792,115672,'Inflicts 11 - 34 melee damage on target',100,1,1),
(87793,115672,'Inflicts 11 - 34 melee damage on target',100,1,2),
(87794,115672,'Inflicts 11 - 34 melee damage on target',100,1,3),
(87795,115672,'Inflicts 11 - 34 melee damage on target',100,1,4),
(87796,115672,'Inflicts 11 - 34 melee damage on target',100,1,5),
(87797,115672,'Inflicts 11 - 34 melee damage on target',100,1,6),
(87798,115672,'Inflicts 11 - 34 melee damage on target',100,1,7),
(87799,10115672,'Inflicts 14 - 44 melee damage on target',100,1,0),
(87800,10115672,'Inflicts 14 - 44 melee damage on target',100,1,1),
(87801,10115672,'Inflicts 14 - 44 melee damage on target',100,1,2),
(87802,10115672,'Inflicts 14 - 44 melee damage on target',100,1,3),
(87803,10115672,'Inflicts 14 - 44 melee damage on target',100,1,4),
(87804,10115672,'Inflicts 14 - 44 melee damage on target',100,1,5),
(87805,10115672,'Inflicts 14 - 44 melee damage on target',100,1,6),
(87806,10115672,'Inflicts 14 - 44 melee damage on target',100,1,7),
(87807,116785,'Increases STR, AGI, WIS and INT of target by 31.0',100,1,0),
(87808,116785,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87809,116785,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(87810,116785,'Increases Damage Per Second of target by 28.0',100,2,3),
(87811,116785,'Increases Attack Speed of target by 28.0',100,2,4),
(87812,116785,'Adds 1.6% to base avoidance.',100,1,5),
(87813,116785,'Increases Mitigation of target vs elemental, noxious and arcane damage by 92',100,1,6),
(87814,10116785,'Increases STR, AGI, WIS and INT of target by 31.0',100,1,0),
(87815,10116785,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(87816,10116785,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(87817,10116785,'Increases Damage Per Second of target by 28.0',100,2,3),
(87818,10116785,'Increases Attack Speed of target by 28.0',100,2,4),
(87819,10116785,'Adds 1.6% to base avoidance.',100,1,5),
(87820,10116785,'Increases Mitigation of target vs elemental, noxious and arcane damage by 92',100,1,6),
(87821,153774,'When Equipped:',100,0,0),
(87822,153774,'When damaged this spell has a 10% chance to cast Arcane Resolution II on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(87823,153774,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 250',100,2,2),
(87824,153774,'Must not be engaged in pvp combat',100,2,3),
(87825,153774,'Cannot be modified except by direct means',100,2,4),
(87826,153774,'Must not be engaged in pvp combat',100,1,5),
(87827,10153774,'When Equipped:',100,0,0),
(87828,10153774,'When damaged this spell has a 10% chance to cast Arcane Resolution II on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(87829,10153774,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 250',100,2,2),
(87830,10153774,'Must not be engaged in pvp combat',100,2,3),
(87831,10153774,'Cannot be modified except by direct means',100,2,4),
(87832,10153774,'Must not be engaged in pvp combat',100,1,5),
(87833,157287,'When Equipped:',100,0,0),
(87834,157287,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(87835,157287,'Decreases STR of target by 50.2',100,2,2),
(87836,157287,'Cannot be modified except by direct means',100,2,3),
(87837,10157287,'When Equipped:',100,0,0),
(87838,10157287,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(87839,10157287,'Decreases STR of target by 50.2',100,2,2),
(87840,10157287,'Cannot be modified except by direct means',100,2,3),
(87841,117660,'Decreases Mitigation of target vs physical damage by 192',100,1,0),
(87842,10117660,'Decreases Mitigation of target vs physical damage by 96',100,1,0),
(87843,104634,'Inflicts 149 - 249 crushing damage on target',100,1,0),
(87844,104634,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 16.2',100,1,1),
(87845,10104634,'Inflicts 194 - 324 crushing damage on target',100,1,0),
(87846,10104634,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 16.2',100,1,1),
(87847,26512,'When Equipped:',100,0,0),
(87848,26512,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,1),
(87849,26512,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(87850,10026512,'When Equipped:',100,0,0),
(87851,10026512,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,1),
(87852,10026512,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(87853,48167,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(87854,48167,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(87855,48167,'Inflicts 77 poison damage on target',100,2,2),
(87856,48167,'Inflicts 13 poison damage on target instantly and every 6 seconds',100,2,3),
(87857,48167,'Cannot be modified except by direct means',100,2,4),
(87858,48167,'Grants a total of 200 triggers of the spell.',100,2,5),
(87859,10048167,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(87860,10048167,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(87861,10048167,'Inflicts 81 poison damage on target',100,2,2),
(87862,10048167,'Inflicts 13 poison damage on target instantly and every 6 seconds',100,2,3),
(87863,10048167,'Cannot be modified except by direct means',100,2,4),
(87864,10048167,'Grants a total of 200 triggers of the spell.',100,2,5),
(87865,81988,'When Equipped:',100,0,0),
(87866,81988,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87867,81988,'Inflicts 182 - 339 magic damage on target',100,2,2),
(87868,81988,'Cannot be modified except by direct means',100,2,3),
(87869,10081988,'When Equipped:',100,0,0),
(87870,10081988,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(87871,10081988,'Inflicts 255 - 474 magic damage on target',100,2,2),
(87872,10081988,'Cannot be modified except by direct means',100,2,3),
(87873,148579,'When Equipped:',100,0,0),
(87874,148579,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87875,148579,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(87876,148579,'Heals caster for 5 instantly and every 3 seconds',100,2,3),
(87877,148579,'Cannot be modified except by direct means',100,2,4),
(87878,148579,'Cannot be modified except by direct means',100,1,5),
(87879,10148579,'When Equipped:',100,0,0),
(87880,10148579,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(87881,10148579,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(87882,10148579,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(87883,10148579,'Cannot be modified except by direct means',100,2,4),
(87884,10148579,'Cannot be modified except by direct means',100,1,5),
(87885,112588,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(87886,112588,'Heals targets in Area of Effect for 179 - 218',100,2,1),
(87887,112588,'Dispels 79 levels of physical hostile effects on target',100,2,2),
(87888,10112588,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(87889,10112588,'Heals targets in Area of Effect for 116 - 142',100,2,1),
(87890,10112588,'Dispels 79 levels of physical hostile effects on target',100,2,2),
(87891,36283,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(87892,47307,'Applies Soonog''s Refreshment  when Activated.',100,0,0),
(87893,47307,'Heals caster for 95',100,1,1),
(87894,10047307,'Applies Soonog''s Refreshment  when Activated.',100,0,0),
(87895,10047307,'Heals caster for 61',100,1,1),
(87896,181211,'When Equipped:',100,0,0),
(87897,181211,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87898,181211,'Inflicts 1311 - 1602 heat damage on target',100,2,2),
(87899,181211,'Inflicts 1311 - 1602 heat damage on target',100,2,3),
(87900,181211,'Inflicts 1311 - 1602 heat damage on target',100,2,4),
(87901,181211,'Must not be engaged in pvp combat',100,2,5),
(87902,181211,'Cannot be modified except by direct means',100,2,6),
(87903,10181211,'When Equipped:',100,0,0),
(87904,10181211,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87905,10181211,'Inflicts 1835 - 2243 heat damage on target',100,2,2),
(87906,10181211,'Inflicts 1835 - 2243 heat damage on target',100,2,3),
(87907,10181211,'Inflicts 1835 - 2243 heat damage on target',100,2,4),
(87908,10181211,'Must not be engaged in pvp combat',100,2,5),
(87909,10181211,'Cannot be modified except by direct means',100,2,6),
(87910,112831,'Roots target',100,1,0),
(87911,112831,'5% chance to dispel when target takes damage',100,1,1),
(87912,112831,'Does not affect Epic targets',100,1,2),
(87913,112831,'Resistibility increases against targets higher than level 50.',100,1,3),
(87914,10112831,'Roots target',100,1,0),
(87915,10112831,'5% chance to dispel when target takes damage',100,1,1),
(87916,10112831,'Does not affect Epic targets',100,1,2),
(87917,10112831,'Resistibility increases against targets higher than level 50.',100,1,3),
(87918,101714,'Mesmerizes target',100,1,0),
(87919,101714,'Prevents AOE (except when direct) ',100,1,1),
(87920,101714,'Mesmerizes caster',100,1,2),
(87921,101714,'Dispelled when target takes damage',100,1,3),
(87922,101714,'Does not affect Epic targets',100,1,4),
(87923,101714,'Resistibility increases against targets higher than level 54.',100,1,5),
(87924,10101714,'Mesmerizes target',100,1,0),
(87925,10101714,'Prevents AOE (except when direct) ',100,1,1),
(87926,10101714,'Mesmerizes caster',100,1,2),
(87927,10101714,'Dispelled when target takes damage',100,1,3),
(87928,10101714,'Does not affect Epic targets',100,1,4),
(87929,10101714,'Resistibility increases against targets higher than level 54.',100,1,5),
(87930,105193,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(87931,105193,'Inflicts 114 - 140 poison damage on target encounter',100,2,1),
(87932,10105193,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(87933,10105193,'Inflicts 160 - 196 poison damage on target encounter',100,2,1),
(87934,52735,'Applies Sanguine Imbued when Equipped.',100,0,0),
(87935,52735,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(87936,52735,'Inflicts 303 heat damage on target',100,2,2),
(87937,52735,'Cannot be modified except by direct means',100,2,3),
(87938,10052735,'Applies Sanguine Imbued when Equipped.',100,0,0),
(87939,10052735,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(87940,10052735,'Inflicts 424 heat damage on target',100,2,2),
(87941,10052735,'Cannot be modified except by direct means',100,2,3),
(87942,103309,'Applies Migraine on termination.',100,1,0),
(87943,103309,'Inflicts 70 - 95 mental damage on target',100,2,1),
(87944,103309,'Inflicts 32 - 39 mental damage on target instantly and every 6 seconds',100,1,2),
(87945,10103309,'Applies Migraine on termination.',100,1,0),
(87946,10103309,'Inflicts 98 - 133 mental damage on target',100,2,1),
(87947,10103309,'Inflicts 45 - 55 mental damage on target instantly and every 6 seconds',100,1,2),
(87948,173914,'When Equipped:',100,0,0),
(87949,173914,'On a block this spell has a 10% chance to cast Soul Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(87950,173914,'Wards caster against 1000 points of all damage',100,2,2),
(87951,173914,'Must not be engaged in pvp combat',100,2,3),
(87952,173914,'Cannot be modified except by direct means',100,2,4),
(87953,173914,'Must not be engaged in pvp combat',100,1,5),
(87954,173914,'Cannot be modified except by direct means',100,1,6),
(87955,10173914,'When Equipped:',100,0,0),
(87956,10173914,'On a block this spell has a 10% chance to cast Soul Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(87957,10173914,'Wards caster against 1000 points of all damage',100,2,2),
(87958,10173914,'Must not be engaged in pvp combat',100,2,3),
(87959,10173914,'Cannot be modified except by direct means',100,2,4),
(87960,10173914,'Must not be engaged in pvp combat',100,1,5),
(87961,10173914,'Cannot be modified except by direct means',100,1,6),
(87962,24458,'Adds Iron Golem (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(87963,10024458,'Adds Iron Golem (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(87964,124060,'Increases power of caster by 233',100,1,0),
(87965,10124060,'Increases power of caster by 233',100,1,0),
(87966,111412,'Increases Attack Speed of target by 40.5',100,1,0),
(87967,111412,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87968,111412,'Inflicts 338 disease damage on target',100,2,2),
(87969,111412,'Heals caster for 84',100,2,3),
(87970,111412,'Decreases Defense and Parry of target by 30.1',100,1,4),
(87971,111412,'Increases Disruption, Subjugation and Focus of target by 33.2',100,1,5),
(87972,10111412,'Increases Attack Speed of target by 40.5',100,1,0),
(87973,10111412,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(87974,10111412,'Inflicts 473 disease damage on target',100,2,2),
(87975,10111412,'Heals caster for 54',100,2,3),
(87976,10111412,'Decreases Defense and Parry of target by 30.1',100,1,4),
(87977,10111412,'Increases Disruption, Subjugation and Focus of target by 33.2',100,1,5),
(87978,110916,'Inflicts 57 - 95 divine damage on target',100,1,0),
(87979,110916,'Increases Threat to target by 462 ',100,1,1),
(87980,110916,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(87981,110916,'Stuns target',100,2,3),
(87982,110916,'Throws target back',100,2,4),
(87983,110916,'Blurs vision of target',100,2,5),
(87984,110916,'Does not affect Epic targets',100,2,6),
(87985,10110916,'Inflicts 74 - 124 divine damage on target',100,1,0),
(87986,10110916,'Prevents target from changing targets',100,1,1),
(87987,10110916,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(87988,10110916,'Stuns target',100,2,3),
(87989,10110916,'Throws target back',100,2,4),
(87990,10110916,'Blurs vision of target',100,2,5),
(87991,10110916,'Does not affect Epic targets',100,2,6),
(87992,10110916,'Forces target to change their selected target to caster.',100,1,7),
(87993,111786,'Shapechanges caster',100,1,0),
(87994,111786,'Enlarges caster by 27.0%',100,1,1),
(87995,111786,'This effect cannot be cast during combat',100,1,2),
(87996,10111786,'Shapechanges caster',100,1,0),
(87997,10111786,'Enlarges caster by 27.0%',100,1,1),
(87998,10111786,'This effect cannot be cast during combat',100,1,2),
(87999,134477,'When Equipped:',100,0,0),
(88000,134477,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(88001,134477,'Increases WIS, STR, INT and AGI of caster by 50.0',100,1,2),
(88002,134477,'Increases Potency of caster by 3.5%',100,1,3),
(88003,134477,'Cannot be modified except by direct means',100,1,4),
(88004,10134477,'When Equipped:',100,0,0),
(88005,10134477,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(88006,10134477,'Increases WIS, STR, INT and AGI of caster by 50.0',100,1,2),
(88007,10134477,'Increases Potency of caster by 3.5%',100,1,3),
(88008,10134477,'Cannot be modified except by direct means',100,1,4),
(88009,124740,'Heals group members (AE) for 2317 - 2831',100,1,0),
(88010,10124740,'Heals group members (AE) for 5059 - 6184',100,1,0),
(88011,80036,'Applies Fire Ball when Activated.',100,0,0),
(88012,80036,'Inflicts 399 - 665 heat damage on target',100,1,1),
(88013,80036,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(88014,10080036,'Applies Fire Ball when Activated.',100,0,0),
(88015,10080036,'Inflicts 559 - 931 heat damage on target',100,1,1),
(88016,10080036,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(88017,122427,'Sets a trap',100,1,0),
(88018,10122427,'Sets a trap',100,1,0),
(88019,161109,'When Equipped:',100,0,0),
(88020,161109,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(88021,161109,'Stuns target',100,2,2),
(88022,161109,'Does not affect Epic targets',100,2,3),
(88023,161109,'Resistibility increases against targets higher than level 99.',100,2,4),
(88024,161109,'Cannot be modified except by direct means',100,2,5),
(88025,10161109,'When Equipped:',100,0,0),
(88026,10161109,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(88027,10161109,'Stuns target',100,2,2),
(88028,10161109,'Does not affect Epic targets',100,2,3),
(88029,10161109,'Resistibility increases against targets higher than level 99.',100,2,4),
(88030,10161109,'Cannot be modified except by direct means',100,2,5),
(88031,122381,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(88032,122381,'Inflicts 2 piercing damage on target encounter',100,2,1),
(88033,10122381,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(88034,10122381,'Inflicts 2 - 3 piercing damage on target encounter',100,2,1),
(88035,139401,'When Equipped:',100,0,0),
(88036,139401,'Increases spell damage by 65.',100,1,1),
(88037,10139401,'When Equipped:',100,0,0),
(88038,10139401,'Increases spell damage by 65.',100,1,1),
(88039,72799,'When Equipped:',100,0,0),
(88040,72799,'On any combat or spell hit this spell may cast Sundering Smash III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(88041,72799,'Inflicts 144 - 160 heat damage on targets in Area of Effect',100,2,2),
(88042,72799,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(88043,72799,'Stuns target',100,3,4),
(88044,72799,'Throws target back',100,3,5),
(88045,72799,'Blurs vision of target',100,3,6),
(88046,72799,'Does not affect Epic targets',100,3,7),
(88047,72799,'Must not be engaged in pvp combat',100,2,8),
(88048,72799,'Cannot be modified except by direct means',100,2,9),
(88049,72799,'Must not be engaged in pvp combat',100,1,10),
(88050,10072799,'When Equipped:',100,0,0),
(88051,10072799,'On any combat or spell hit this spell may cast Sundering Smash III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(88052,10072799,'Inflicts 202 - 223 heat damage on targets in Area of Effect',100,2,2),
(88053,10072799,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(88054,10072799,'Stuns target',100,3,4),
(88055,10072799,'Throws target back',100,3,5),
(88056,10072799,'Blurs vision of target',100,3,6),
(88057,10072799,'Does not affect Epic targets',100,3,7),
(88058,10072799,'Must not be engaged in pvp combat',100,2,8),
(88059,10072799,'Cannot be modified except by direct means',100,2,9),
(88060,10072799,'Must not be engaged in pvp combat',100,1,10),
(88061,118326,'Inflicts 21 - 35 melee damage on target',100,1,0),
(88062,118326,'Inflicts 21 - 36 heat damage on target every 4 seconds',100,1,1),
(88063,10118326,'Inflicts 27 - 46 melee damage on target',100,1,0),
(88064,10118326,'Inflicts 30 - 50 heat damage on target every 4 seconds',100,1,1),
(88065,176138,'When Equipped:',100,0,0),
(88066,176138,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(88067,10176138,'When Equipped:',100,0,0),
(88068,10176138,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(88069,134046,'When Equipped:',100,0,0),
(88070,134046,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88071,134046,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,2),
(88072,134046,'Inflicts 201 - 222 piercing damage on target',100,3,3),
(88073,134046,'Must not be engaged in pvp combat',100,3,4),
(88074,134046,'Cannot be modified except by direct means',100,3,5),
(88075,134046,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,6),
(88076,134046,'Must not be engaged in pvp combat',100,2,7),
(88077,134046,'Cannot be modified except by direct means',100,2,8),
(88078,134046,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(88079,134046,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,10),
(88080,134046,'Inflicts 201 - 222 piercing damage on target',100,3,11),
(88081,134046,'Must not be engaged in pvp combat',100,3,12),
(88082,134046,'Cannot be modified except by direct means',100,3,13),
(88083,134046,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,14),
(88084,134046,'Must not be engaged in pvp combat',100,2,15),
(88085,134046,'Cannot be modified except by direct means',100,2,16),
(88086,134046,'This effect will not stack with any rank or tier of itself.',100,1,17),
(88087,134046,'Cannot be modified except by direct means',100,1,18),
(88088,10134046,'When Equipped:',100,0,0),
(88089,10134046,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88090,10134046,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,2),
(88091,10134046,'Inflicts 281 - 311 piercing damage on target',100,3,3),
(88092,10134046,'Must not be engaged in pvp combat',100,3,4),
(88093,10134046,'Cannot be modified except by direct means',100,3,5),
(88094,10134046,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,6),
(88095,10134046,'Must not be engaged in pvp combat',100,2,7),
(88096,10134046,'Cannot be modified except by direct means',100,2,8),
(88097,10134046,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(88098,10134046,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,10),
(88099,10134046,'Inflicts 281 - 311 piercing damage on target',100,3,11),
(88100,10134046,'Must not be engaged in pvp combat',100,3,12),
(88101,10134046,'Cannot be modified except by direct means',100,3,13),
(88102,10134046,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,14),
(88103,10134046,'Must not be engaged in pvp combat',100,2,15),
(88104,10134046,'Cannot be modified except by direct means',100,2,16),
(88105,10134046,'This effect will not stack with any rank or tier of itself.',100,1,17),
(88106,10134046,'Cannot be modified except by direct means',100,1,18),
(88107,147268,'When Equipped:',100,0,0),
(88108,147268,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(88109,147268,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(88110,147268,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(88111,147268,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(88112,147268,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(88113,147268,'Must not be engaged in pvp combat',100,2,6),
(88114,147268,'Cannot be modified except by direct means',100,2,7),
(88115,147268,'Must not be engaged in pvp combat',100,1,8),
(88116,10147268,'When Equipped:',100,0,0),
(88117,10147268,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(88118,10147268,'Inflicts 7086 - 7832 piercing damage on target encounter',100,2,2),
(88119,10147268,'Inflicts 886 - 979 piercing damage on target encounter every 2 seconds',100,2,3),
(88120,10147268,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(88121,10147268,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(88122,10147268,'Must not be engaged in pvp combat',100,2,6),
(88123,10147268,'Cannot be modified except by direct means',100,2,7),
(88124,10147268,'Must not be engaged in pvp combat',100,1,8),
(88125,114762,'Feigns Death with 64% chance of success',100,1,0),
(88126,10114762,'Feigns Death with 64% chance of success',100,1,0),
(88127,115413,'Inflicts 697 - 1162 melee damage on target',100,1,0),
(88128,115413,'Decreases INT of target by 88.9',100,1,1),
(88129,115413,'You must be sneaking to use this ability.',100,1,2),
(88130,10115413,'Inflicts 906 - 1511 melee damage on target',100,1,0),
(88131,10115413,'Decreases INT of target by 88.9',100,1,1),
(88132,10115413,'You must be sneaking to use this ability.',100,1,2),
(88133,162249,'When Equipped:',100,0,0),
(88134,162249,'On a damage spell hit this spell may cast Arcane Silence V on target of spell.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88135,162249,'Stifles target',100,2,2),
(88136,162249,'Does not affect Epic targets',100,2,3),
(88137,162249,'Resistibility increases against targets higher than level 99.',100,2,4),
(88138,162249,'Cannot be modified except by direct means',100,2,5),
(88139,10162249,'When Equipped:',100,0,0),
(88140,10162249,'On a damage spell hit this spell may cast Arcane Silence V on target of spell.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88141,10162249,'Stifles target',100,2,2),
(88142,10162249,'Does not affect Epic targets',100,2,3),
(88143,10162249,'Resistibility increases against targets higher than level 99.',100,2,4),
(88144,10162249,'Cannot be modified except by direct means',100,2,5),
(88145,122587,'Inflicts 49 - 60 mental damage on target instantly and every 3 seconds',100,1,0),
(88146,122587,'Decreases Mitigation of target vs arcane damage by 371',100,1,1),
(88147,10122587,'Inflicts 69 - 84 mental damage on target instantly and every 3 seconds',100,1,0),
(88148,10122587,'Decreases Mitigation of target vs arcane damage by 371',100,1,1),
(88149,137283,'When Equipped:',100,0,0),
(88150,137283,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88151,137283,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 555',100,2,2),
(88152,137283,'Cannot be modified except by direct means',100,2,3),
(88153,10137283,'When Equipped:',100,0,0),
(88154,10137283,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88155,10137283,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 555',100,2,2),
(88156,10137283,'Cannot be modified except by direct means',100,2,3),
(88157,48127,'Applies Apply Soulsand when Activated.',100,0,0),
(88158,48127,'Must be in zone Skyshrine: Betrayal in the Underdepths',100,1,1),
(88159,10048127,'Applies Apply Soulsand when Activated.',100,0,0),
(88160,10048127,'Must be in zone Skyshrine: Betrayal in the Underdepths',100,1,1),
(88161,24085,'Adds Chardok: Empty Di''Zok Arms-Bearer to your Dungeon Maker toolbox',100,0,0),
(88162,10024085,'Adds Chardok: Empty Di''Zok Arms-Bearer to your Dungeon Maker toolbox',100,0,0),
(88163,108068,'Summons a pet Prowler Kitten',100,1,0),
(88164,10108068,'Summons a pet Prowler Kitten',100,1,0),
(88165,138297,'When Equipped:',100,0,0),
(88166,138297,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(88167,138297,'Inflicts 16 divine damage on target',100,2,2),
(88168,138297,'Cannot be modified except by direct means',100,2,3),
(88169,10138297,'When Equipped:',100,0,0),
(88170,10138297,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(88171,10138297,'Inflicts 23 divine damage on target',100,2,2),
(88172,10138297,'Cannot be modified except by direct means',100,2,3),
(88173,121881,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(88174,121881,'Inflicts 295 - 361 mental damage on target',100,2,1),
(88175,121881,'Decreases Threat to target by 546 - 668 ',100,2,2),
(88176,121881,'If profession other than Fighter',100,3,3),
(88177,10121881,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(88178,10121881,'Inflicts 414 - 506 mental damage on target',100,2,1),
(88179,157252,'Applies Guise of the Deceiver when Activated.  Lasts for 2 hours.',100,0,0),
(88180,157252,'Shapechanges caster into a dark elf',100,1,1),
(88181,157252,'The casting time of Guise of the Deceiver is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,2),
(88182,10157252,'Applies Guise of the Deceiver when Activated.  Lasts for 2 hours.',100,0,0),
(88183,10157252,'Shapechanges caster into a dark elf',100,1,1),
(88184,10157252,'The casting time of Guise of the Deceiver is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,2),
(88185,119811,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(88186,119811,'Adds 1.0% to base avoidance.',100,1,1),
(88187,10119811,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(88188,10119811,'Adds 1.0% to base avoidance.',100,1,1),
(88189,112549,'Interrupts target',50,1,0),
(88190,112549,'Inflicts 208 - 254 divine damage on target',100,1,1),
(88191,10112549,'Interrupts target',50,1,0),
(88192,10112549,'Inflicts 374 - 457 divine damage on target',100,1,1),
(88193,122078,'Increases STA and INT of group members (AE) by 16.6',100,1,0),
(88194,10122078,'Increases STA and INT of group members (AE) by 16.6',100,1,0),
(88195,110767,'Heals group members (AE) for 178 - 217 instantly and every 2 seconds',100,1,0),
(88196,10110767,'Heals group members (AE) for 115 - 141 instantly and every 2 seconds',100,1,0),
(88197,52722,'Applies Sanguine Imbued when Equipped.',100,0,0),
(88198,52722,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(88199,52722,'Inflicts 43 heat damage on target',100,2,2),
(88200,52722,'Cannot be modified except by direct means',100,2,3),
(88201,10052722,'Applies Sanguine Imbued when Equipped.',100,0,0),
(88202,10052722,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(88203,10052722,'Inflicts 61 heat damage on target',100,2,2),
(88204,10052722,'Cannot be modified except by direct means',100,2,3),
(88205,109430,'Inflicts 94 - 115 cold damage on target instantly and every 4 seconds',100,1,0),
(88206,109430,'Decreases Mitigation of target vs elemental damage by 407',100,1,1),
(88207,10109430,'Inflicts 132 - 161 cold damage on target instantly and every 4 seconds',100,1,0),
(88208,10109430,'Decreases Mitigation of target vs elemental damage by 407',100,1,1),
(88209,122716,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(88210,122716,'Increases Deflection of caster by 4.8',100,1,1),
(88211,10122716,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(88212,10122716,'Increases Deflection of caster by 4.8',100,1,1),
(88213,115167,'Heals target for 232 - 284',100,1,0),
(88214,10115167,'Heals target for 314 - 384',100,1,0),
(88215,35114,'Increases STR of target by 1.6',100,0,0),
(88216,35114,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(88217,109527,'Inflicts 232 - 283 disease damage on target instantly and every 4 seconds',100,1,0),
(88218,109527,'Decreases Attack Speed of target by 9.7',100,1,1),
(88219,10109527,'Inflicts 325 - 397 disease damage on target instantly and every 4 seconds',100,1,0),
(88220,10109527,'Decreases Attack Speed of target by 9.7',100,1,1),
(88221,101975,'Inflicts 894 - 1660 heat damage on target',100,1,0),
(88222,10101975,'Inflicts 1252 - 2324 heat damage on target',100,1,0),
(88223,35076,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(88224,115566,'Interrupts target encounter',100,1,0),
(88225,115566,'Decreases Threat to target encounter by 81 - 99 ',100,1,1),
(88226,115566,'Dazes target encounter',100,1,2),
(88227,115566,'If Target is not Epic',100,2,3),
(88228,115566,'Resistibility increases against targets higher than level 39.',100,1,4),
(88229,10115566,'Interrupts target encounter',100,1,0),
(88230,10115566,'Dazes target encounter',100,1,1),
(88231,10115566,'If Target is not Epic',100,2,2),
(88232,10115566,'Resistibility increases against targets higher than level 39.',100,1,3),
(88233,72296,'When Equipped:',100,0,0),
(88234,72296,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88235,72296,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(88236,72296,'Cannot be modified except by direct means',100,2,3),
(88237,10072296,'When Equipped:',100,0,0),
(88238,10072296,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88239,10072296,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(88240,10072296,'Cannot be modified except by direct means',100,2,3),
(88241,185102,'When Equipped:',100,0,0),
(88242,185102,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(88243,185102,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(88244,185102,'Inflicts 393 divine damage on target',100,2,3),
(88245,185102,'Must not be classified as a vampire',100,3,4),
(88246,185102,'Inflicts 787 divine damage on target',100,2,5),
(88247,185102,'Must be classified as a vampire',100,3,6),
(88248,185102,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(88249,185102,'Must be classified as a vampire',100,3,8),
(88250,185102,'Cannot be modified except by direct means',100,2,9),
(88251,10185102,'When Equipped:',100,0,0),
(88252,10185102,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(88253,10185102,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(88254,10185102,'Inflicts 551 divine damage on target',100,2,3),
(88255,10185102,'Must not be classified as a vampire',100,3,4),
(88256,10185102,'Inflicts 1102 divine damage on target',100,2,5),
(88257,10185102,'Must be classified as a vampire',100,3,6),
(88258,10185102,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(88259,10185102,'Must be classified as a vampire',100,3,8),
(88260,10185102,'Cannot be modified except by direct means',100,2,9),
(88261,166511,'When Equipped:',100,0,0),
(88262,166511,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(88263,10166511,'When Equipped:',100,0,0),
(88264,10166511,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(88265,159554,'Applies Sanguine Imbued when Equipped.',100,0,0),
(88266,159554,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(88267,159554,'Inflicts 130 heat damage on target',100,2,2),
(88268,159554,'Cannot be modified except by direct means',100,2,3),
(88269,10159554,'Applies Sanguine Imbued when Equipped.',100,0,0),
(88270,10159554,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(88271,10159554,'Inflicts 182 heat damage on target',100,2,2),
(88272,10159554,'Cannot be modified except by direct means',100,2,3),
(88273,106084,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(88274,10106084,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(88275,121839,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(88276,121839,'Increases Mitigation of group members (AE) vs arcane damage by 798',100,1,1),
(88277,10121839,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(88278,10121839,'Increases Mitigation of group members (AE) vs arcane damage by 798',100,1,1),
(88279,109522,'Inflicts 185 - 226 disease damage on target instantly and every 4 seconds',100,1,0),
(88280,109522,'Decreases Attack Speed of target by 9.1',100,1,1),
(88281,10109522,'Inflicts 259 - 316 disease damage on target instantly and every 4 seconds',100,1,0),
(88282,10109522,'Decreases Attack Speed of target by 9.1',100,1,1),
(88283,135491,'When Equipped:',100,0,0),
(88284,135491,'On a beneficial spell cast this spell may cast Purifying Persistence on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(88285,135491,'Dispels 100 levels of any hostile effects on target',100,2,2),
(88286,135491,'Cannot be modified except by direct means',100,2,3),
(88287,135491,'On a beneficial spell cast this spell may cast Purifying Persistence on caster.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,4),
(88288,135491,'Increases the heal or ward amount of the caster''s next beneficial spell by 10%.',100,2,5),
(88289,135491,'Dispelled when target casts a beneficial spell',100,2,6),
(88290,135491,'Cannot be modified except by direct means',100,2,7),
(88291,10135491,'When Equipped:',100,0,0),
(88292,10135491,'On a beneficial spell cast this spell may cast Purifying Persistence on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(88293,10135491,'Dispels 100 levels of any hostile effects on target',100,2,2),
(88294,10135491,'Cannot be modified except by direct means',100,2,3),
(88295,10135491,'On a beneficial spell cast this spell may cast Purifying Persistence on caster.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,4),
(88296,10135491,'Increases the heal or ward amount of the caster''s next beneficial spell by 10%.',100,2,5),
(88297,10135491,'Dispelled when target casts a beneficial spell',100,2,6),
(88298,10135491,'Cannot be modified except by direct means',100,2,7),
(88299,27380,'When Equipped:',100,0,0),
(88300,27380,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(88301,27380,'Decreases power of target by 81',100,2,2),
(88302,27380,'Increases power of caster by 60',100,2,3),
(88303,27380,'Cannot be modified except by direct means',100,2,4),
(88304,10027380,'When Equipped:',100,0,0),
(88305,10027380,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(88306,10027380,'Decreases power of target by 81',100,2,2),
(88307,10027380,'Increases power of caster by 60',100,2,3),
(88308,10027380,'Cannot be modified except by direct means',100,2,4),
(88309,104303,'Inflicts 278 - 463 melee damage on target',100,1,0),
(88310,104303,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(88311,104303,'Stuns target',100,2,2),
(88312,104303,'Throws target back',100,2,3),
(88313,104303,'Blurs vision of target',100,2,4),
(88314,104303,'Does not affect Epic targets',100,2,5),
(88315,10104303,'Inflicts 361 - 603 melee damage on target',100,1,0),
(88316,10104303,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(88317,10104303,'Stuns target',100,2,2),
(88318,10104303,'Throws target back',100,2,3),
(88319,10104303,'Blurs vision of target',100,2,4),
(88320,10104303,'Does not affect Epic targets',100,2,5),
(88321,115785,'Decreases power of target by 23 - 28 instantly and every 1.3 seconds',100,1,0),
(88322,115785,'Stifles target',100,1,1),
(88323,115785,'If Target is not Epic',100,2,2),
(88324,115785,'Resistibility increases against targets higher than level 45.',100,1,3),
(88325,10115785,'Decreases power of target by 23 - 28 instantly and every 1.3 seconds',100,1,0),
(88326,10115785,'Stifles target',100,1,1),
(88327,10115785,'If Target is not Epic',100,2,2),
(88328,10115785,'Resistibility increases against targets higher than level 45.',100,1,3),
(88329,158442,'When Equipped:',100,0,0),
(88330,158442,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(88331,158442,'Increases power of target by 32 instantly and every 4 seconds',100,2,2),
(88332,158442,'Cannot be modified except by direct means',100,2,3),
(88333,10158442,'When Equipped:',100,0,0),
(88334,10158442,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(88335,10158442,'Increases power of target by 32 instantly and every 4 seconds',100,2,2),
(88336,10158442,'Cannot be modified except by direct means',100,2,3),
(88337,111525,'Blurs vision of targets in Area of Effect',100,1,0),
(88338,111525,'Interrupts targets in Area of Effect',100,1,1),
(88339,111525,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(88340,111525,'Stuns target',100,2,3),
(88341,111525,'Blurs vision of target',100,2,4),
(88342,111525,'Throws target back',100,2,5),
(88343,111525,'Does not affect Epic targets',100,2,6),
(88344,10111525,'Blurs vision of targets in Area of Effect',100,1,0),
(88345,10111525,'Interrupts targets in Area of Effect',100,1,1),
(88346,10111525,'9% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(88347,10111525,'Stuns target',100,2,3),
(88348,10111525,'Throws target back',100,2,4),
(88349,10111525,'Blurs vision of target',100,2,5),
(88350,10111525,'Does not affect Epic targets',100,2,6),
(88351,40946,'When Equipped:',100,0,0),
(88352,40946,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88353,40946,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(88354,40946,'Heals caster for 1185 - 1309',100,2,3),
(88355,40946,'Decreases Slashing, Piercing, Crushing and Ranged of target by 22.0',100,2,4),
(88356,40946,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(88357,40946,'Must not be engaged in pvp combat',100,2,6),
(88358,40946,'Cannot be modified except by direct means',100,2,7),
(88359,40946,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(88360,40946,'Cannot be modified except by direct means',100,1,9),
(88361,40946,'When Equipped:',100,0,10),
(88362,40946,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(88363,40946,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,12),
(88364,40946,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,13),
(88365,40946,'Inflicts 201 - 222 piercing damage on target',100,3,14),
(88366,40946,'Must not be engaged in pvp combat',100,3,15),
(88367,40946,'Cannot be modified except by direct means',100,3,16),
(88368,40946,'Must not be engaged in pvp combat',100,2,17),
(88369,40946,'Cannot be modified except by direct means',100,2,18),
(88370,40946,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,19),
(88371,40946,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,20),
(88372,40946,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,21),
(88373,40946,'Inflicts 201 - 222 piercing damage on target',100,3,22),
(88374,40946,'Must not be engaged in pvp combat',100,3,23),
(88375,40946,'Cannot be modified except by direct means',100,3,24),
(88376,40946,'Must not be engaged in pvp combat',100,2,25),
(88377,40946,'Cannot be modified except by direct means',100,2,26),
(88378,40946,'This effect will not stack with any rank or tier of itself.',100,1,27),
(88379,40946,'Cannot be modified except by direct means',100,1,28),
(88380,10040946,'When Equipped:',100,0,0),
(88381,10040946,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(88382,10040946,'Inflicts 3317 - 3666 poison damage on target',100,2,2),
(88383,10040946,'Heals caster for 1386 - 1532',100,2,3),
(88384,10040946,'Decreases Slashing, Piercing, Crushing and Ranged of target by 22.0',100,2,4),
(88385,10040946,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(88386,10040946,'Must not be engaged in pvp combat',100,2,6),
(88387,10040946,'Cannot be modified except by direct means',100,2,7),
(88388,10040946,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(88389,10040946,'Cannot be modified except by direct means',100,1,9),
(88390,10040946,'When Equipped:',100,0,10),
(88391,10040946,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(88392,10040946,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,12),
(88393,10040946,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,13),
(88394,10040946,'Inflicts 281 - 311 piercing damage on target',100,3,14),
(88395,10040946,'Must not be engaged in pvp combat',100,3,15),
(88396,10040946,'Cannot be modified except by direct means',100,3,16),
(88397,10040946,'Must not be engaged in pvp combat',100,2,17),
(88398,10040946,'Cannot be modified except by direct means',100,2,18),
(88399,10040946,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,19),
(88400,10040946,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,20),
(88401,10040946,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,21),
(88402,10040946,'Inflicts 281 - 311 piercing damage on target',100,3,22),
(88403,10040946,'Must not be engaged in pvp combat',100,3,23),
(88404,10040946,'Cannot be modified except by direct means',100,3,24),
(88405,10040946,'Must not be engaged in pvp combat',100,2,25),
(88406,10040946,'Cannot be modified except by direct means',100,2,26),
(88407,10040946,'This effect will not stack with any rank or tier of itself.',100,1,27),
(88408,10040946,'Cannot be modified except by direct means',100,1,28),
(88409,121851,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(88410,121851,'Increases Mitigation of group members (AE) vs arcane damage by 1771',100,1,1),
(88411,10121851,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(88412,10121851,'Increases Mitigation of group members (AE) vs arcane damage by 1771',100,1,1),
(88413,121083,'Increases STR and STA of group members (AE) by 97.0',100,1,0),
(88414,10121083,'Increases STR and STA of group members (AE) by 97.0',100,1,0),
(88415,104344,'Charms target',100,1,0),
(88416,104344,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(88417,104344,'Mesmerizes target',100,2,2),
(88418,104344,'Dispelled when target takes damage',100,2,3),
(88419,104344,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(88420,104344,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(88421,104344,'Grants Sonic Vision to caster',100,2,6),
(88422,104344,'Increases Out-of-Combat Power Regeneration of target by 17.5',100,1,7),
(88423,104344,'Increases Out-of-Combat Health Regeneration of target by 35.0',100,1,8),
(88424,104344,'Certain enemies cannot be charmed',100,1,9),
(88425,104344,'Does not affect Epic targets',100,1,10),
(88426,10104344,'Mesmerizes target',100,1,0),
(88427,10104344,'Prevents AOE (except when direct) ',100,1,1),
(88428,10104344,'Dispelled when target takes damage',100,1,2),
(88429,10104344,'Certain enemies cannot be charmed',100,1,3),
(88430,10104344,'Does not affect Epic targets',100,1,4),
(88431,10104344,'Resistibility increases against targets higher than level 62.',100,1,5),
(88432,162435,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(88433,162435,'Increases speed of caster by 10.0%',100,1,1),
(88434,162435,'This effect suspends during combat',100,1,2),
(88435,10162435,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(88436,10162435,'Increases speed of caster by 10.0%',100,1,1),
(88437,10162435,'This effect suspends during combat',100,1,2),
(88438,105201,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(88439,105201,'Inflicts 205 - 250 poison damage on target encounter',100,2,1),
(88440,10105201,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(88441,10105201,'Inflicts 286 - 350 poison damage on target encounter',100,2,1),
(88442,36377,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(88443,139498,'When Equipped:',100,0,0),
(88444,139498,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(88445,10139498,'When Equipped:',100,0,0),
(88446,10139498,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(88447,47985,'Applies Sepulcher Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(88448,47985,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(88449,47985,'Inflicts 218 poison damage on target instantly and every 6 seconds',100,2,2),
(88450,47985,'Inflicts 55 poison damage on target',100,2,3),
(88451,47985,'Cannot be modified except by direct means',100,2,4),
(88452,47985,'Grants a total of 100 triggers of the spell.',100,2,5),
(88453,10047985,'Applies Sepulcher Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(88454,10047985,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(88455,10047985,'Inflicts 58 poison damage on target',100,2,2),
(88456,10047985,'Inflicts 229 poison damage on target instantly and every 6 seconds',100,2,3),
(88457,10047985,'Cannot be modified except by direct means',100,2,4),
(88458,10047985,'Grants a total of 100 triggers of the spell.',100,2,5),
(88459,105225,'Decreases STR and INT of target by 43.8',100,1,0),
(88460,105225,'Only affects targets level 20 and above',100,1,1),
(88461,10105225,'Decreases STR and INT of target by 43.8',100,1,0),
(88462,10105225,'Only affects targets level 20 and above',100,1,1),
(88463,81627,'When Equipped:',100,0,0),
(88464,81627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(88465,81627,'Inflicts 130 - 241 magic damage on target',100,2,2),
(88466,81627,'Cannot be modified except by direct means',100,2,3),
(88467,10081627,'When Equipped:',100,0,0),
(88468,10081627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(88469,10081627,'Inflicts 182 - 337 magic damage on target',100,2,2),
(88470,10081627,'Cannot be modified except by direct means',100,2,3),
(88471,48700,'Applies Durak''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(88472,48700,'Increases AGI of caster by 20.0',100,1,1),
(88473,10048700,'Applies Durak''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(88474,10048700,'Increases AGI of caster by 20.0',100,1,1),
(88475,107823,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(88476,107823,'Increases Hate Gain of target by 7.5%',100,1,1),
(88477,113820,'Inflicts 118 - 197 disease damage on target',100,1,0),
(88478,10113820,'Inflicts 166 - 276 disease damage on target',100,1,0),
(88479,72504,'When Equipped:',100,0,0),
(88480,72504,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(88481,72504,'Wards caster against 1250 points of all damage',100,2,2),
(88482,72504,'Cannot be modified except by direct means',100,2,3),
(88483,72504,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(88484,72504,'Wards caster against 1250 points of all damage',100,2,5),
(88485,72504,'Cannot be modified except by direct means',100,2,6),
(88486,10072504,'When Equipped:',100,0,0),
(88487,10072504,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(88488,10072504,'Wards caster against 625 points of all damage',100,2,2),
(88489,10072504,'Cannot be modified except by direct means',100,2,3),
(88490,10072504,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(88491,10072504,'Wards caster against 625 points of all damage',100,2,5),
(88492,10072504,'Cannot be modified except by direct means',100,2,6),
(88493,121035,'Increases AGI of target by 26.6',100,1,0),
(88494,121035,'Adds 0.6% to base avoidance.',100,1,1),
(88495,121035,'Increases In-Combat Power Regeneration of target by 15.1',100,1,2),
(88496,121035,'Increases Max Power of target by 174.7',100,1,3),
(88497,10121035,'Increases AGI of target by 26.6',100,1,0),
(88498,10121035,'Adds 0.6% to base avoidance.',100,1,1),
(88499,10121035,'Increases In-Combat Power Regeneration of target by 15.1',100,1,2),
(88500,10121035,'Increases Max Power of target by 174.7',100,1,3),
(88501,80212,'When Equipped:',100,0,0),
(88502,80212,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88503,80212,'Inflicts 224 - 415 magic damage on target',100,2,2),
(88504,80212,'Decreases Threat to target by 801 ',100,2,3),
(88505,80212,'Must be flanking or behind',100,3,4),
(88506,80212,'Increases Threat to target by 802 ',100,2,5),
(88507,80212,'Must be in front of',100,3,6),
(88508,80212,'Cannot be modified except by direct means',100,2,7),
(88509,10080212,'When Equipped:',100,0,0),
(88510,10080212,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88511,10080212,'Inflicts 313 - 581 magic damage on target',100,2,2),
(88512,10080212,'Cannot be modified except by direct means',100,2,3),
(88513,80333,'When Equipped:',100,0,0),
(88514,80333,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88515,80333,'Inflicts 61 - 113 magic damage on target',100,2,2),
(88516,80333,'Decreases Threat to target by 153 ',100,2,3),
(88517,80333,'Must be flanking or behind',100,3,4),
(88518,80333,'Increases Threat to target by 154 ',100,2,5),
(88519,80333,'Must be in front of',100,3,6),
(88520,80333,'Cannot be modified except by direct means',100,2,7),
(88521,10080333,'When Equipped:',100,0,0),
(88522,10080333,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88523,10080333,'Inflicts 85 - 158 magic damage on target',100,2,2),
(88524,10080333,'Cannot be modified except by direct means',100,2,3),
(88525,25286,'When Equipped:',100,0,0),
(88526,25286,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(88527,25286,'Adds 9% trigger chance to Aria of Magic VI.',100,1,2),
(88528,10025286,'When Equipped:',100,0,0),
(88529,10025286,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(88530,10025286,'Adds 9% trigger chance to Aria of Magic VI.',100,1,2),
(88531,172757,'When Equipped:',100,0,0),
(88532,172757,'Applies Frosty Breath',100,1,1),
(88533,10172757,'When Equipped:',100,0,0),
(88534,10172757,'Applies Frosty Breath',100,1,1),
(88535,179196,'When Equipped:',100,0,0),
(88536,179196,'On any combat or spell hit this spell may cast Craft of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(88537,179196,'Increases WIS and INT of caster by 150.0',100,2,2),
(88538,179196,'Increases Potency of caster by 10.0%',100,2,3),
(88539,179196,'Must not be engaged in pvp combat',100,2,4),
(88540,179196,'Cannot be modified except by direct means',100,2,5),
(88541,179196,'Cannot be modified except by direct means',100,1,6),
(88542,10179196,'When Equipped:',100,0,0),
(88543,10179196,'On any combat or spell hit this spell may cast Craft of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(88544,10179196,'Increases WIS and INT of caster by 150.0',100,2,2),
(88545,10179196,'Increases Potency of caster by 10.0%',100,2,3),
(88546,10179196,'Must not be engaged in pvp combat',100,2,4),
(88547,10179196,'Cannot be modified except by direct means',100,2,5),
(88548,10179196,'Cannot be modified except by direct means',100,1,6),
(88549,100460,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(88550,100460,'Decreases Threat to target by 25 ',100,2,1),
(88551,100460,'If not fighter',100,2,2),
(88552,100460,'Decreases Hate Gain of group members (AE) by 11.9%',100,1,3),
(88553,100460,'If not fighter',100,2,4),
(88554,10100460,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(88555,10100460,'If not fighter',100,2,1),
(88556,10100460,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(88557,10100460,'Inflicts 22 - 25 crushing damage on target',100,2,3),
(88558,10100460,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(88559,10100460,'If not fighter',100,2,5),
(88560,10100460,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(88561,10100460,'If not fighter',100,2,7),
(88562,10100460,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(88563,10100460,'If not fighter',100,2,9),
(88564,25880,'When Equipped:',100,0,0),
(88565,25880,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(88566,25880,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(88567,10025880,'When Equipped:',100,0,0),
(88568,10025880,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(88569,10025880,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(88570,81311,'When Equipped:',100,0,0),
(88571,81311,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88572,81311,'Inflicts 260 - 482 magic damage on target',100,2,2),
(88573,81311,'Decreases Threat to target by 949 ',100,2,3),
(88574,81311,'Must be flanking or behind',100,3,4),
(88575,81311,'Increases Threat to target by 950 ',100,2,5),
(88576,81311,'Must be in front of',100,3,6),
(88577,81311,'Cannot be modified except by direct means',100,2,7),
(88578,10081311,'When Equipped:',100,0,0),
(88579,10081311,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88580,10081311,'Inflicts 364 - 675 magic damage on target',100,2,2),
(88581,10081311,'Cannot be modified except by direct means',100,2,3),
(88582,111173,'Inflicts 20 - 33 divine damage on targets in area',100,1,0),
(88583,111173,'Heals group members (AE) for 13',100,1,1),
(88584,111173,'This effect cannot be critically applied.',100,2,2),
(88585,111173,'The healing of this spell cannot be modified except by direct means',100,1,3),
(88586,10111173,'Inflicts 26 - 43 divine damage on targets in area',100,1,0),
(88587,10111173,'Heals group members (AE) for 9',100,1,1),
(88588,10111173,'This effect cannot be critically applied.',100,2,2),
(88589,10111173,'The healing of this spell cannot be modified except by direct means',100,1,3),
(88590,152595,'When Equipped:',100,0,0),
(88591,152595,'On a combat hit this spell may cast Frenzy of the Dead on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(88592,152595,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(88593,152595,'Cannot be modified except by direct means',100,2,3),
(88594,10152595,'When Equipped:',100,0,0),
(88595,10152595,'On a combat hit this spell may cast Frenzy of the Dead on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(88596,10152595,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(88597,10152595,'Cannot be modified except by direct means',100,2,3),
(88598,81769,'When Equipped:',100,0,0),
(88599,81769,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(88600,81769,'Inflicts 127 - 236 magic damage on target',100,2,2),
(88601,81769,'Cannot be modified except by direct means',100,2,3),
(88602,10081769,'When Equipped:',100,0,0),
(88603,10081769,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(88604,10081769,'Inflicts 178 - 331 magic damage on target',100,2,2),
(88605,10081769,'Cannot be modified except by direct means',100,2,3),
(88606,122639,'Heals target for 188 - 230 every 2 seconds',100,1,0),
(88607,122639,'Wards target against 607 points of all damage',100,1,1),
(88608,122639,'Decreases Attack Speed of target by 25.0',100,1,2),
(88609,122639,'Slows target by 50.0%',100,1,3),
(88610,10122639,'Heals target for 123 - 150 every 2 seconds',100,1,0),
(88611,10122639,'Wards target against 607 points of all damage',100,1,1),
(88612,10122639,'Decreases Attack Speed of target by 25.0',100,1,2),
(88613,10122639,'Slows target by 20.0%',100,1,3),
(88614,114992,'Inflicts 316 - 527 ranged damage on targets in area',100,1,0),
(88615,114992,'You must be in stealth to use this!',100,1,1),
(88616,114992,'Requires bow',100,1,2),
(88617,10114992,'Inflicts 268 - 448 ranged damage on targets in area',100,1,0),
(88618,10114992,'You must be in stealth to use this!',100,1,1),
(88619,10114992,'Requires bow',100,1,2),
(88620,117942,'Heals target for 126 - 154',100,1,0),
(88621,117942,'Increases Max Health of target by 13.9',100,1,1),
(88622,10117942,'Heals target for 145 - 177',100,1,0),
(88623,10117942,'Increases Max Health of target by 13.9',100,1,1),
(88624,37399,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(88625,116209,'Inflicts 1000 - 1666 mental damage on target',100,1,0),
(88626,10116209,'Inflicts 1400 - 2333 mental damage on target',100,1,0),
(88627,112576,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(88628,112576,'Heals targets in Area of Effect for 104 - 127',100,2,1),
(88629,112576,'Dispels 55 levels of physical hostile effects on target',100,2,2),
(88630,10112576,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(88631,10112576,'Heals targets in Area of Effect for 67 - 82',100,2,1),
(88632,10112576,'Dispels 55 levels of physical hostile effects on target',100,2,2),
(88633,116435,'Inflicts 17 disease damage on target instantly and every 4 seconds',100,1,0),
(88634,116435,'Inflicts 17 disease damage on target instantly and every 4 seconds',100,1,1),
(88635,116435,'If target is nightblood',100,2,2),
(88636,116435,'Inflicts 17 disease damage on target instantly and every 4 seconds',100,1,3),
(88637,116435,'If target is shadowed folk',100,2,4),
(88638,10116435,'Inflicts 24 disease damage on target instantly and every 4 seconds',100,1,0),
(88639,121132,'Summons a limited pet to aid the caster',100,1,0),
(88640,10121132,'Summons a limited pet to aid the caster',100,1,0),
(88641,122985,'Decreases Damage Per Second of target encounter by 11.2',100,1,0),
(88642,10122985,'Decreases Damage Per Second of target encounter by 11.2',100,1,0),
(88643,138450,'When Equipped:',100,0,0),
(88644,138450,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(88645,10138450,'When Equipped:',100,0,0),
(88646,10138450,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(88647,46696,'Applies Intellectual Regeneration when Activated.  Lasts for 1 minute.',100,0,0),
(88648,46696,'Increases power of caster by 15.0%',100,1,1),
(88649,46696,'Reduces power cost by 10%',100,1,2),
(88650,10046696,'Applies Intellectual Regeneration when Activated.  Lasts for 1 minute.',100,0,0),
(88651,10046696,'Increases power of caster by 15.0%',100,1,1),
(88652,10046696,'Reduces power cost by 10%',100,1,2),
(88653,81762,'When Equipped:',100,0,0),
(88654,81762,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88655,81762,'Inflicts 141 - 262 magic damage on target',100,2,2),
(88656,81762,'Decreases Threat to target by 487 ',100,2,3),
(88657,81762,'Must be flanking or behind',100,3,4),
(88658,81762,'Increases Threat to target by 488 ',100,2,5),
(88659,81762,'Must be in front of',100,3,6),
(88660,81762,'Cannot be modified except by direct means',100,2,7),
(88661,10081762,'When Equipped:',100,0,0),
(88662,10081762,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88663,10081762,'Inflicts 198 - 367 magic damage on target',100,2,2),
(88664,10081762,'Cannot be modified except by direct means',100,2,3),
(88665,108939,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(88666,108939,'Inflicts 45 heat damage on target',100,2,1),
(88667,10108939,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(88668,10108939,'Inflicts 62 heat damage on target',100,2,1),
(88669,37070,'Increases AGI of target by 1.6',100,0,0),
(88670,37070,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(88671,117571,'Inflicts 232 - 386 melee damage on target',100,1,0),
(88672,117571,'Decreases Parry of target by 24.4',100,1,1),
(88673,117571,'Must be in front of or flanking',100,1,2),
(88674,10117571,'Inflicts 301 - 502 melee damage on target',100,1,0),
(88675,10117571,'Decreases Parry of target by 24.4',100,1,1),
(88676,10117571,'Must be in front of or flanking',100,1,2),
(88677,105918,'Inflicts 1468 - 2448 melee damage on target',100,1,0),
(88678,105918,'If over 33% Health',100,2,1),
(88679,105918,'Inflicts 4406 - 7344 melee damage on target',100,1,2),
(88680,105918,'If under 33% Health',100,2,3),
(88681,105918,'Must be flanking or behind',100,1,4),
(88682,10105918,'Inflicts 1909 - 3182 melee damage on target',100,1,0),
(88683,10105918,'If over 20% Health',100,2,1),
(88684,10105918,'Inflicts 5092 - 8487 melee damage on target',100,1,2),
(88685,10105918,'If under 20% Health',100,2,3),
(88686,10105918,'Must be flanking or behind',100,1,4),
(88687,119350,'Inflicts 159 - 238 disease damage on target',100,1,0),
(88688,119350,'Inflicts 64 - 95 disease damage on target every 4 seconds',100,1,1),
(88689,10119350,'Inflicts 222 - 334 disease damage on target',100,1,0),
(88690,10119350,'Inflicts 89 - 133 disease damage on target every 4 seconds',100,1,1),
(88691,120183,'Applies Life Draw on termination.',100,1,0),
(88692,120183,'Inflicts 614 - 1024 disease damage on target',100,2,1),
(88693,120183,'Heals caster for 11.9 - 14.5% of max health',100,2,2),
(88694,120183,'This effect cannot be critically applied.',100,3,3),
(88695,120183,'The healing of this spell cannot be modified except by direct means',100,2,4),
(88696,120183,'Inflicts 179 - 298 disease damage on target',100,1,5),
(88697,10120183,'Applies Life Draw on termination.',100,1,0),
(88698,10120183,'Inflicts 860 - 1434 disease damage on target',100,2,1),
(88699,10120183,'Heals caster for 3.2 - 4.0% of max health',100,2,2),
(88700,10120183,'This effect cannot be critically applied.',100,3,3),
(88701,10120183,'The healing of this spell cannot be modified except by direct means',100,2,4),
(88702,10120183,'Inflicts 232 - 388 disease damage on target',100,1,5),
(88703,82242,'When Equipped:',100,0,0),
(88704,82242,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88705,82242,'Inflicts 41 - 76 magic damage on target',100,2,2),
(88706,82242,'Decreases Threat to target by 135 ',100,2,3),
(88707,82242,'Must be flanking or behind',100,3,4),
(88708,82242,'Increases Threat to target by 136 ',100,2,5),
(88709,82242,'Must be in front of',100,3,6),
(88710,82242,'Cannot be modified except by direct means',100,2,7),
(88711,10082242,'When Equipped:',100,0,0),
(88712,10082242,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88713,10082242,'Inflicts 58 - 107 magic damage on target',100,2,2),
(88714,10082242,'Cannot be modified except by direct means',100,2,3),
(88715,104647,'Inflicts 218 - 363 crushing damage on target',100,1,0),
(88716,104647,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 20.8',100,1,1),
(88717,10104647,'Inflicts 283 - 472 crushing damage on target',100,1,0),
(88718,10104647,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 20.8',100,1,1),
(88719,45345,'Applies Black Two Tone Warg with Yellow Armor when Activated.',100,0,0),
(88720,45345,'Increases Ranged of caster by 7.0',100,1,1),
(88721,45345,'Summons a mount to ride',100,1,2),
(88722,45345,'Increases your ground speed by 130%',100,2,3),
(88723,45345,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(88724,45345,'Increases Disruption, Crushing, Piercing and Slashing of caster by 7.0',100,1,5),
(88725,10045345,'Applies Black Two Tone Warg with Yellow Armor when Activated.',100,0,0),
(88726,10045345,'Increases Ranged of caster by 7.0',100,1,1),
(88727,10045345,'Summons a mount to ride',100,1,2),
(88728,10045345,'Increases your ground speed by 130%',100,2,3),
(88729,10045345,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(88730,10045345,'Increases Disruption, Crushing, Piercing and Slashing of caster by 7.0',100,1,5),
(88731,105773,'Inflicts 88 - 108 heat damage on target',100,1,0),
(88732,10105773,'Inflicts 164 - 201 heat damage on target',100,1,0),
(88733,117514,'Increases AGI, INT and WIS of group members (AE) by 9.0',100,1,0),
(88734,117514,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 36',100,1,1),
(88735,10117514,'Increases AGI, INT and WIS of group members (AE) by 9.0',100,1,0),
(88736,10117514,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 36',100,1,1),
(88737,105161,'Increases AGI of caster by 56.4',100,1,0),
(88738,105161,'Adds 1.9% to base avoidance.',100,1,1),
(88739,105161,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(88740,105161,'Increases Parry of caster by 32.4',100,1,3),
(88741,105161,'Increases Defense of caster by 43.2',100,1,4),
(88742,10105161,'Increases AGI of caster by 56.4',100,1,0),
(88743,10105161,'Adds 1.9% to base avoidance.',100,1,1),
(88744,10105161,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(88745,10105161,'Increases Parry of caster by 32.4',100,1,3),
(88746,10105161,'Increases Defense of caster by 43.2',100,1,4),
(88747,112251,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(88748,112251,'Decreases power of target by 205',100,2,1),
(88749,112251,'Increases power of caster by 127',100,2,2),
(88750,10112251,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(88751,10112251,'Decreases power of target by 205',100,2,1),
(88752,10112251,'Increases power of caster by 102',100,2,2),
(88753,55284,'When Equipped:',100,0,0),
(88754,55284,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(88755,55284,'Decreases STR of target by 35.0',100,2,2),
(88756,55284,'Cannot be modified except by direct means',100,2,3),
(88757,55284,'When Equipped:',100,0,4),
(88758,55284,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(88759,55284,'Inflicts 53 - 89 heat damage on target every 4.8 seconds',100,2,6),
(88760,55284,'Inflicts 130 - 217 heat damage on target',100,2,7),
(88761,55284,'Cannot be modified except by direct means',100,2,8),
(88762,10055284,'When Equipped:',100,0,0),
(88763,10055284,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(88764,10055284,'Decreases STR of target by 35.0',100,2,2),
(88765,10055284,'Cannot be modified except by direct means',100,2,3),
(88766,10055284,'When Equipped:',100,0,4),
(88767,10055284,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(88768,10055284,'Inflicts 75 - 124 heat damage on target every 4.8 seconds',100,2,6),
(88769,10055284,'Inflicts 182 - 303 heat damage on target',100,2,7),
(88770,10055284,'Cannot be modified except by direct means',100,2,8),
(88771,159163,'Applies Sanguine Imbued when Equipped.',100,0,0),
(88772,159163,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(88773,159163,'Inflicts 74 heat damage on target',100,2,2),
(88774,159163,'Cannot be modified except by direct means',100,2,3),
(88775,10159163,'Applies Sanguine Imbued when Equipped.',100,0,0),
(88776,10159163,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(88777,10159163,'Inflicts 104 heat damage on target',100,2,2),
(88778,10159163,'Cannot be modified except by direct means',100,2,3),
(88779,48416,'Applies thernig''s Rejuvenation when Activated.',100,0,0),
(88780,48416,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(88781,10048416,'Applies thernig''s Rejuvenation when Activated.',100,0,0),
(88782,10048416,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(88783,107072,'Inflicts 36 - 44 divine damage on target',100,1,0),
(88784,10107072,'Inflicts 51 - 62 divine damage on target',100,1,0),
(88785,112862,'Inflicts 9 - 15 crushing damage on target',100,1,0),
(88786,10112862,'Inflicts 12 - 20 crushing damage on target',100,1,0),
(88787,82776,'When Equipped:',100,0,0),
(88788,82776,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88789,82776,'Inflicts 314 - 584 magic damage on target',100,2,2),
(88790,82776,'Decreases Threat to target by 1,174 ',100,2,3),
(88791,82776,'Must be flanking or behind',100,3,4),
(88792,82776,'Increases Threat to target by 1,175 ',100,2,5),
(88793,82776,'Must be in front of',100,3,6),
(88794,82776,'Cannot be modified except by direct means',100,2,7),
(88795,10082776,'When Equipped:',100,0,0),
(88796,10082776,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88797,10082776,'Inflicts 440 - 817 magic damage on target',100,2,2),
(88798,10082776,'Cannot be modified except by direct means',100,2,3),
(88799,159640,'When Equipped:',100,0,0),
(88800,159640,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88801,159640,'Increases WIS of caster by 14.8',100,2,2),
(88802,159640,'Increases Focus, Ministration and Ordination of caster by 8.3',100,2,3),
(88803,159640,'Cannot be modified except by direct means',100,2,4),
(88804,10159640,'When Equipped:',100,0,0),
(88805,10159640,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88806,10159640,'Increases WIS of caster by 14.8',100,2,2),
(88807,10159640,'Increases Focus, Ministration and Ordination of caster by 8.3',100,2,3),
(88808,10159640,'Cannot be modified except by direct means',100,2,4),
(88809,83798,'When Equipped:',100,0,0),
(88810,83798,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(88811,83798,'Inflicts 116 - 142 heat damage on target encounter',100,2,2),
(88812,83798,'Cannot be modified except by direct means',100,2,3),
(88813,10083798,'When Equipped:',100,0,0),
(88814,10083798,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(88815,10083798,'Inflicts 163 - 199 heat damage on target encounter',100,2,2),
(88816,10083798,'Cannot be modified except by direct means',100,2,3),
(88817,71700,'When Equipped:',100,0,0),
(88818,71700,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88819,71700,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(88820,71700,'Cannot be modified except by direct means',100,2,3),
(88821,10071700,'When Equipped:',100,0,0),
(88822,10071700,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88823,10071700,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(88824,10071700,'Cannot be modified except by direct means',100,2,3),
(88825,36826,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(88826,108792,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(88827,108792,'Inflicts 108 - 132 heat damage on target instantly and every 4 seconds',100,2,1),
(88828,108792,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(88829,108792,'Inflicts 479 - 585 heat damage on target encounter',100,3,3),
(88830,108792,'Grants a total of 1 trigger of the spell.',100,3,4),
(88831,10108792,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(88832,10108792,'Inflicts 151 - 184 heat damage on target instantly and every 4 seconds',100,2,1),
(88833,10108792,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(88834,10108792,'Inflicts 670 - 819 heat damage on target encounter',100,3,3),
(88835,10108792,'Grants a total of 1 trigger of the spell.',100,3,4),
(88836,36049,'Increases AGI of target by 1.6',100,0,0),
(88837,36049,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(88838,106686,'Heals caster for 33.3 - 40.8% of max health',100,1,0),
(88839,106686,'This effect cannot be critically applied.',100,2,1),
(88840,106686,'Increases Max Health of caster by 538.6',100,1,2),
(88841,106686,'The healing of this spell cannot be modified except by direct means',100,1,3),
(88842,10106686,'Heals caster for 10.3 - 12.5% of max health',100,1,0),
(88843,10106686,'This effect cannot be critically applied.',100,2,1),
(88844,10106686,'Increases Max Health of caster by 538.6',100,1,2),
(88845,10106686,'The healing of this spell cannot be modified except by direct means',100,1,3),
(88846,88970,'When Equipped:',100,0,0),
(88847,88970,'Increases Crit Chance of caster by 2.0',100,1,1),
(88848,88970,'When a combat art is used this spell will cast Firesong on target of combat art.  ',100,1,2),
(88849,88970,'Inflicts 65 heat damage on target',100,2,3),
(88850,88970,'Cannot be modified except by direct means',100,2,4),
(88851,10088970,'When Equipped:',100,0,0),
(88852,10088970,'Increases Crit Chance of caster by 2.0',100,1,1),
(88853,10088970,'When a combat art is used this spell will cast Firesong on target of combat art.  ',100,1,2),
(88854,10088970,'Inflicts 91 heat damage on target',100,2,3),
(88855,10088970,'Cannot be modified except by direct means',100,2,4),
(88856,109921,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(88857,109921,'Inflicts 256 - 313 poison damage on target instantly and every 4 seconds',100,2,1),
(88858,10109921,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(88859,10109921,'Inflicts 358 - 438 poison damage on target instantly and every 4 seconds',100,2,1),
(88860,123505,'Decreases Mitigation of target encounter vs noxious damage by 523',100,1,0),
(88861,10123505,'Decreases Mitigation of target encounter vs noxious damage by 523',100,1,0),
(88862,105789,'Inflicts 281 - 343 heat damage on target',100,1,0),
(88863,10105789,'Inflicts 524 - 641 heat damage on target',100,1,0),
(88864,24673,'Adds Rootblight Defiler to your Dungeon Maker toolbox',100,0,0),
(88865,10024673,'Adds Rootblight Defiler to your Dungeon Maker toolbox',100,0,0),
(88866,115997,'Inflicts 606 - 909 mental damage on target',100,1,0),
(88867,115997,'Stuns target',100,1,1),
(88868,115997,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(88869,115997,'Resistibility increases against targets higher than level 118.',100,1,3),
(88870,10115997,'Stuns target',100,1,0),
(88871,10115997,'Inflicts 848 - 1272 mental damage on target',100,1,1),
(88872,10115997,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(88873,10115997,'Resistibility increases against targets higher than level 118.',100,1,3),
(88874,100084,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(88875,10100084,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(88876,159673,'When Equipped:',100,0,0),
(88877,159673,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88878,159673,'Increases WIS of caster by 8.8',100,2,2),
(88879,159673,'Increases Focus, Ministration and Ordination of caster by 5.2',100,2,3),
(88880,159673,'Cannot be modified except by direct means',100,2,4),
(88881,10159673,'When Equipped:',100,0,0),
(88882,10159673,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88883,10159673,'Increases WIS of caster by 8.8',100,2,2),
(88884,10159673,'Increases Focus, Ministration and Ordination of caster by 5.2',100,2,3),
(88885,10159673,'Cannot be modified except by direct means',100,2,4),
(88886,110318,'Increases Max Power of target by 71.4',100,1,0),
(88887,110318,'Increases Max Health of target by 142.0',100,1,1),
(88888,10110318,'Increases Max Power of target by 71.4',100,1,0),
(88889,10110318,'Increases Max Health of target by 142.0',100,1,1),
(88890,36264,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(88891,48240,'Applies Plant the Arcane Protection Standard when Activated.',100,0,0),
(88892,48240,'This guild standard grants the area a bonus to arcane resistances.',100,1,1),
(88893,10048240,'Applies Plant the Arcane Protection Standard when Activated.',100,0,0),
(88894,10048240,'This guild standard grants the area a bonus to arcane resistances.',100,1,1),
(88895,72171,'When Equipped:',100,0,0),
(88896,72171,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88897,72171,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(88898,72171,'Cannot be modified except by direct means',100,2,3),
(88899,10072171,'When Equipped:',100,0,0),
(88900,10072171,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(88901,10072171,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(88902,10072171,'Cannot be modified except by direct means',100,2,3),
(88903,47394,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(88904,47394,'This potion will grant you the illusion of being a human ghost!',100,1,1),
(88905,10047394,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(88906,10047394,'This potion will grant you the illusion of being a human ghost!',100,1,1),
(88907,105540,'Inflicts 20 - 37 disease damage on target',100,1,0),
(88908,105540,'Inflicts 12 - 22 disease damage on target every 2 seconds',100,1,1),
(88909,10105540,'Inflicts 28 - 52 disease damage on target',100,1,0),
(88910,10105540,'Inflicts 17 - 31 disease damage on target every 2 seconds',100,1,1),
(88911,117874,'Heals target for 287 - 350 instantly and every 2 seconds',100,1,0),
(88912,10117874,'Heals target for 186 - 228 instantly and every 2 seconds',100,1,0),
(88913,113933,'Increases power of target by 37 instantly and every 4 seconds',100,1,0),
(88914,10113933,'Increases power of target by 37 instantly and every 4 seconds',100,1,0),
(88915,120446,'Inflicts 292 - 488 melee damage on target',100,1,0),
(88916,120446,'Inflicts 292 - 488 melee damage on target',100,1,1),
(88917,10120446,'Inflicts 380 - 634 melee damage on target',100,1,0),
(88918,10120446,'Inflicts 380 - 634 melee damage on target',100,1,1),
(88919,117057,'Inflicts 156 - 261 melee damage on target',100,1,0),
(88920,117057,'Decreases Attack Speed of target by 17.2',100,1,1),
(88921,10117057,'Inflicts 204 - 340 melee damage on target',100,1,0),
(88922,10117057,'Decreases Attack Speed of target by 17.2',100,1,1),
(88923,37056,'Increases Max Power of target by 4.1',100,0,0),
(88924,37056,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(88925,46081,'Applies Elixir of Invigoration when Activated.  Lasts for 15 minutes.',100,0,0),
(88926,46081,'Increases Max Health of caster by 208.0',100,1,1),
(88927,10046081,'Applies Elixir of Invigoration when Activated.  Lasts for 15 minutes.',100,0,0),
(88928,10046081,'Increases Max Health of caster by 208.0',100,1,1),
(88929,36737,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(88930,105097,'Inflicts 382 - 517 magic damage on target',100,1,0),
(88931,10105097,'Inflicts 535 - 723 magic damage on target',100,1,0),
(88932,24489,'Adds Lair of Scale: Ornate Bowl of Meditation to your Dungeon Maker toolbox',100,0,0),
(88933,10024489,'Adds Lair of Scale: Ornate Bowl of Meditation to your Dungeon Maker toolbox',100,0,0),
(88934,123157,'Reduces physical damage done to caster by 5%',100,1,0),
(88935,123157,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(88936,123157,'Increases Aggression of caster by 5.0',100,1,2),
(88937,123157,'Increases Defense and Parry of caster by 9.9',100,1,3),
(88938,123157,'Increases Mitigation of caster vs elemental damage by 660',100,1,4),
(88939,123157,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(88940,10123157,'Reduces physical damage done to caster by 5%',100,1,0),
(88941,10123157,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(88942,10123157,'Increases Aggression of caster by 5.0',100,1,2),
(88943,10123157,'Increases Defense and Parry of caster by 9.9',100,1,3),
(88944,10123157,'Increases Mitigation of caster vs elemental damage by 660',100,1,4),
(88945,10123157,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(88946,110887,'Inflicts 564 - 690 heat damage on target encounter',100,1,0),
(88947,10110887,'Inflicts 790 - 965 heat damage on target encounter',100,1,0),
(88948,79844,'When Equipped:',100,0,0),
(88949,79844,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(88950,79844,'Reduces healing received by 15.00%',100,2,2),
(88951,79844,'Cannot be modified except by direct means',100,2,3),
(88952,79844,'This effect can only trigger once every 1 second.',100,2,4),
(88953,79844,'Must be engaged in pvp combat',100,1,5),
(88954,10079844,'When Equipped:',100,0,0),
(88955,10079844,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(88956,10079844,'Reduces healing received by 15.00%',100,2,2),
(88957,10079844,'Cannot be modified except by direct means',100,2,3),
(88958,10079844,'This effect can only trigger once every 1 second.',100,2,4),
(88959,10079844,'Must be engaged in pvp combat',100,1,5),
(88960,109691,'Inflicts 173 - 211 cold damage on target instantly and every 3 seconds',100,1,0),
(88961,10109691,'Inflicts 242 - 296 cold damage on target instantly and every 3 seconds',100,1,0),
(88962,116514,'Increases Mitigation of target vs physical damage by 223',100,1,0),
(88963,116514,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(88964,10116514,'Increases Mitigation of target vs physical damage by 223',100,1,0),
(88965,10116514,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(88966,105613,'Inflicts 10 disease damage on target instantly and every 6 seconds',100,1,0),
(88967,105613,'Inflicts 22 - 37 disease damage on target',100,1,1),
(88968,105613,'Inflicts 22 - 37 disease damage on target',100,1,2),
(88969,10105613,'Inflicts 14 disease damage on target instantly and every 6 seconds',100,1,0),
(88970,10105613,'Inflicts 29 - 48 disease damage on target',100,1,1),
(88971,10105613,'Inflicts 29 - 48 disease damage on target',100,1,2),
(88972,124240,'Decreases Attack Speed of caster by 18.9',100,1,0),
(88973,124240,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(88974,124240,'Slows targets in Area of Effect by 57.4%',100,2,2),
(88975,124240,'5% chance to dispel when target receives hostile action',100,2,3),
(88976,124240,'5% chance to dispel when target takes damage',100,2,4),
(88977,124240,'Increases Mitigation of caster vs physical damage by 1169',100,1,5),
(88978,10124240,'Decreases Attack Speed of caster by 18.9',100,1,0),
(88979,10124240,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(88980,10124240,'Slows targets in Area of Effect by 43.0%',100,2,2),
(88981,10124240,'5% chance to dispel when target receives hostile action',100,2,3),
(88982,10124240,'5% chance to dispel when target takes damage',100,2,4),
(88983,10124240,'Increases Mitigation of caster vs physical damage by 1169',100,1,5),
(88984,52255,'When Equipped:',100,0,0),
(88985,52255,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(88986,52255,'Wards caster against 50 points of all damage',100,2,2),
(88987,52255,'Cannot be modified except by direct means',100,2,3),
(88988,10052255,'When Equipped:',100,0,0),
(88989,10052255,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(88990,10052255,'Wards caster against 50 points of all damage',100,2,2),
(88991,10052255,'Cannot be modified except by direct means',100,2,3),
(88992,41688,'When Equipped:',100,0,0),
(88993,41688,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(88994,41688,'Inflicts 141 - 262 magic damage on target',100,2,2),
(88995,41688,'Decreases Threat to target by 487 ',100,2,3),
(88996,41688,'Must be flanking or behind',100,3,4),
(88997,41688,'Increases Threat to target by 488 ',100,2,5),
(88998,41688,'Must be in front of',100,3,6),
(88999,41688,'Cannot be modified except by direct means',100,2,7),
(89000,10041688,'When Equipped:',100,0,0),
(89001,10041688,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89002,10041688,'Inflicts 198 - 367 magic damage on target',100,2,2),
(89003,10041688,'Cannot be modified except by direct means',100,2,3),
(89004,111380,'Inflicts 360 - 600 disease damage on target',100,1,0),
(89005,111380,'Heals caster for 198 - 330',100,1,1),
(89006,10111380,'Inflicts 504 - 840 disease damage on target',100,1,0),
(89007,10111380,'Heals caster for 129 - 214',100,1,1),
(89008,47140,'Applies Murky Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(89009,47140,'Increases AGI of caster by 58.7',100,1,1),
(89010,47140,'Only affects targets level 50 and above',100,1,2),
(89011,10047140,'Applies Murky Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(89012,10047140,'Increases AGI of caster by 58.7',100,1,1),
(89013,10047140,'Only affects targets level 50 and above',100,1,2),
(89014,35842,'Increases Max Health of target by 5.0',100,0,0),
(89015,35842,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(89016,45882,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(89017,45882,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(89018,45882,'Requires 24 Health to cast.',100,1,2),
(89019,10045882,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(89020,10045882,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(89021,10045882,'Requires 24 Health to cast.',100,1,2),
(89022,113253,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(89023,113253,'Inflicts 69 - 115 magic damage on target',100,2,1),
(89024,113253,'Grants a total of 8 triggers of the spell.',100,2,2),
(89025,10113253,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(89026,10113253,'Inflicts 96 - 161 magic damage on target',100,2,1),
(89027,10113253,'Grants a total of 8 triggers of the spell.',100,2,2),
(89028,108035,'Inflicts 241 magic damage on target',100,1,0),
(89029,108035,'Increases power of caster by 85',100,1,1),
(89030,10108035,'Inflicts 338 magic damage on target',100,1,0),
(89031,10108035,'Increases power of caster by 85',100,1,1),
(89032,152939,'When Equipped:',100,0,0),
(89033,152939,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(89034,152939,'Inflicts 2664 disease damage on target encounter',100,2,2),
(89035,152939,'Must not be engaged in pvp combat',100,2,3),
(89036,152939,'Cannot be modified except by direct means',100,2,4),
(89037,10152939,'When Equipped:',100,0,0),
(89038,10152939,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(89039,10152939,'Inflicts 1865 disease damage on target encounter',100,2,2),
(89040,10152939,'Must not be engaged in pvp combat',100,2,3),
(89041,10152939,'Cannot be modified except by direct means',100,2,4),
(89042,158329,'Applies Hooluk in a Hat when Activated.',100,0,0),
(89043,158329,'Summons a pet Hooluk',100,1,1),
(89044,158329,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(89045,10158329,'Applies Hooluk in a Hat when Activated.',100,0,0),
(89046,10158329,'Summons a pet Hooluk',100,1,1),
(89047,10158329,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(89048,103494,'Increases In-Combat Power Regeneration of group members (AE) by 36.4',100,1,0),
(89049,10103494,'Increases In-Combat Power Regeneration of group members (AE) by 36.4',100,1,0),
(89050,105964,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(89051,105964,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(89052,105964,'Inflicts 93 - 155 piercing damage on target',100,3,2),
(89053,105964,'Grants a total of 5 triggers of the spell.',100,3,3),
(89054,105964,'Grants a total of 1 trigger of the spell.',100,2,4),
(89055,10105964,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(89056,10105964,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(89057,10105964,'Inflicts 121 - 202 piercing damage on target',100,3,2),
(89058,10105964,'Grants a total of 5 triggers of the spell.',100,3,3),
(89059,10105964,'Grants a total of 1 trigger of the spell.',100,2,4),
(89060,187128,'When Equipped:',100,0,0),
(89061,187128,'When damaged this spell has a 5% chance to cast Ballad of Dual Thought on target''s attacker.  ',100,1,1),
(89062,187128,'Inflicts 546 mental damage on target',100,2,2),
(89063,187128,'Inflicts 546 mental damage on target',100,2,3),
(89064,187128,'Cannot be modified except by direct means',100,2,4),
(89065,10187128,'When Equipped:',100,0,0),
(89066,10187128,'When damaged this spell has a 5% chance to cast Ballad of Dual Thought on target''s attacker.  ',100,1,1),
(89067,10187128,'Inflicts 710 mental damage on target',100,2,2),
(89068,10187128,'Inflicts 710 mental damage on target',100,2,3),
(89069,10187128,'Cannot be modified except by direct means',100,2,4),
(89070,116872,'Wards group members (AE) against 508 points of noxious damage',100,1,0),
(89071,116872,'Increases Mitigation of group members (AE) vs noxious damage by 319',100,1,1),
(89072,10116872,'Wards group members (AE) against 508 points of noxious damage',100,1,0),
(89073,10116872,'Increases Mitigation of group members (AE) vs noxious damage by 319',100,1,1),
(89074,41534,'When Equipped:',100,0,0),
(89075,41534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89076,41534,'Inflicts 130 - 241 magic damage on target',100,2,2),
(89077,41534,'Cannot be modified except by direct means',100,2,3),
(89078,10041534,'When Equipped:',100,0,0),
(89079,10041534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89080,10041534,'Inflicts 182 - 337 magic damage on target',100,2,2),
(89081,10041534,'Cannot be modified except by direct means',100,2,3),
(89082,159847,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(89083,159847,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89084,159847,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(89085,159847,'Cannot be modified except by direct means',100,2,3),
(89086,10159847,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(89087,10159847,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89088,10159847,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(89089,10159847,'Cannot be modified except by direct means',100,2,3),
(89090,41698,'When Equipped:',100,0,0),
(89091,41698,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89092,41698,'Inflicts 314 - 584 magic damage on target',100,2,2),
(89093,41698,'Decreases Threat to target by 1,174 ',100,2,3),
(89094,41698,'Must be flanking or behind',100,3,4),
(89095,41698,'Increases Threat to target by 1,175 ',100,2,5),
(89096,41698,'Must be in front of',100,3,6),
(89097,41698,'Cannot be modified except by direct means',100,2,7),
(89098,10041698,'When Equipped:',100,0,0),
(89099,10041698,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89100,10041698,'Inflicts 440 - 817 magic damage on target',100,2,2),
(89101,10041698,'Cannot be modified except by direct means',100,2,3),
(89102,103764,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.1',100,1,0),
(89103,10103764,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.1',100,1,0),
(89104,82881,'When Equipped:',100,0,0),
(89105,82881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89106,82881,'Inflicts 301 - 560 magic damage on target',100,2,2),
(89107,82881,'Cannot be modified except by direct means',100,2,3),
(89108,10082881,'When Equipped:',100,0,0),
(89109,10082881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89110,10082881,'Inflicts 422 - 783 magic damage on target',100,2,2),
(89111,10082881,'Cannot be modified except by direct means',100,2,3),
(89112,137889,'When Equipped:',100,0,0),
(89113,137889,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(89114,137889,'Mesmerizes target',100,2,2),
(89115,137889,'Dispelled when target takes damage',100,2,3),
(89116,137889,'Only affects targets level 98 and below',100,2,4),
(89117,137889,'Does not affect Epic targets',100,2,5),
(89118,137889,'Resistibility increases against targets higher than level 111.',100,2,6),
(89119,137889,'Cannot be modified except by direct means',100,2,7),
(89120,10137889,'When Equipped:',100,0,0),
(89121,10137889,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(89122,10137889,'Mesmerizes target',100,2,2),
(89123,10137889,'Dispelled when target takes damage',100,2,3),
(89124,10137889,'Only affects targets level 98 and below',100,2,4),
(89125,10137889,'Does not affect Epic targets',100,2,5),
(89126,10137889,'Resistibility increases against targets higher than level 111.',100,2,6),
(89127,10137889,'Cannot be modified except by direct means',100,2,7),
(89128,45041,'Applies Immortalize Toxxulia when Activated.',100,0,0),
(89129,45041,'Summon 1 Trophy: Effigy of Toxxulia',100,1,1),
(89130,45041,'This effect cannot be cast during combat',100,1,2),
(89131,10045041,'Applies Immortalize Toxxulia when Activated.',100,0,0),
(89132,10045041,'Summon 1 Trophy: Effigy of Toxxulia',100,1,1),
(89133,10045041,'This effect cannot be cast during combat',100,1,2),
(89134,110285,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(89135,110285,'Slows target by 52.4%',100,2,1),
(89136,110285,'5% chance to dispel when target receives hostile action',100,2,2),
(89137,110285,'5% chance to dispel when target takes damage',100,2,3),
(89138,110285,'Decreases Mitigation of target vs arcane damage by 1036',100,1,4),
(89139,10110285,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(89140,10110285,'Slows target by 52.4%',100,2,1),
(89141,10110285,'5% chance to dispel when target receives hostile action',100,2,2),
(89142,10110285,'5% chance to dispel when target takes damage',100,2,3),
(89143,10110285,'Decreases Mitigation of target vs arcane damage by 1036',100,1,4),
(89144,140032,'When Equipped:',100,0,0),
(89145,140032,'Increases the range and radius of spells by 10%, reduces casting time and power cost by 5%.',100,1,1),
(89146,10140032,'When Equipped:',100,0,0),
(89147,10140032,'Increases the range and radius of spells by 10%, reduces casting time and power cost by 5%.',100,1,1),
(89148,113007,'Reduces physical damage done to caster by 5%',100,1,0),
(89149,113007,'Increases STA of caster by 218.2',100,1,1),
(89150,113007,'Adds 5.0% to base avoidance.',100,1,2),
(89151,113007,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(89152,113007,'Increases Defense and Aggression of caster by 41.6',100,1,4),
(89153,113007,'Increases Mitigation of caster vs arcane damage by 2781',100,1,5),
(89154,113007,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(89155,10113007,'Reduces physical damage done to caster by 5%',100,1,0),
(89156,10113007,'Increases STA of caster by 218.2',100,1,1),
(89157,10113007,'Adds 5.0% to base avoidance.',100,1,2),
(89158,10113007,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(89159,10113007,'Increases Defense and Aggression of caster by 41.6',100,1,4),
(89160,10113007,'Increases Mitigation of caster vs arcane damage by 2781',100,1,5),
(89161,10113007,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(89162,104318,'Charms target',100,1,0),
(89163,104318,'Increases Out-of-Combat Power Regeneration of target by 2.8',100,1,1),
(89164,104318,'Increases Out-of-Combat Health Regeneration of target by 5.7',100,1,2),
(89165,104318,'If outside an arena',100,1,3),
(89166,104318,'Certain enemies cannot be charmed',100,1,4),
(89167,104318,'Only affects targets level 24 and below',100,1,5),
(89168,104318,'Does not affect Epic targets',100,1,6),
(89169,10104318,'Charms target',100,1,0),
(89170,10104318,'Increases Out-of-Combat Power Regeneration of target by 2.8',100,1,1),
(89171,10104318,'Increases Out-of-Combat Health Regeneration of target by 5.7',100,1,2),
(89172,10104318,'If outside an arena',100,1,3),
(89173,10104318,'Certain enemies cannot be charmed',100,1,4),
(89174,10104318,'Only affects targets level 24 and below',100,1,5),
(89175,10104318,'Does not affect Epic targets',100,1,6),
(89176,103092,'Decreases Attack Speed of target by 12.7',100,1,0),
(89177,103092,'Inflicts 44 - 74 crushing damage on target',100,1,1),
(89178,10103092,'Decreases Attack Speed of target by 12.7',100,1,0),
(89179,10103092,'Inflicts 57 - 96 crushing damage on target',100,1,1),
(89180,46234,'Applies essence of power when Activated.',100,0,0),
(89181,46234,'Increases power of caster by 156',100,1,1),
(89182,10046234,'Applies essence of power when Activated.',100,0,0),
(89183,10046234,'Increases power of caster by 122',100,1,1),
(89184,76834,'When Equipped:',100,0,0),
(89185,76834,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(89186,10076834,'When Equipped:',100,0,0),
(89187,10076834,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(89188,80826,'When Equipped:',100,0,0),
(89189,80826,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89190,80826,'Inflicts 248 - 460 magic damage on target',100,2,2),
(89191,80826,'Decreases Threat to target by 672 ',100,2,3),
(89192,80826,'Must be flanking or behind',100,3,4),
(89193,80826,'Increases Threat to target by 673 ',100,2,5),
(89194,80826,'Must be in front of',100,3,6),
(89195,80826,'Cannot be modified except by direct means',100,2,7),
(89196,10080826,'When Equipped:',100,0,0),
(89197,10080826,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89198,10080826,'Inflicts 347 - 644 magic damage on target',100,2,2),
(89199,10080826,'Cannot be modified except by direct means',100,2,3),
(89200,112490,'Decreases AGI and WIS of target by 73.9',100,1,0),
(89201,10112490,'Decreases AGI and WIS of target by 73.9',100,1,0),
(89202,81723,'When Equipped:',100,0,0),
(89203,81723,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89204,81723,'Inflicts 141 - 262 magic damage on target',100,2,2),
(89205,81723,'Decreases Threat to target by 487 ',100,2,3),
(89206,81723,'Must be flanking or behind',100,3,4),
(89207,81723,'Increases Threat to target by 488 ',100,2,5),
(89208,81723,'Must be in front of',100,3,6),
(89209,81723,'Cannot be modified except by direct means',100,2,7),
(89210,10081723,'When Equipped:',100,0,0),
(89211,10081723,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89212,10081723,'Inflicts 198 - 367 magic damage on target',100,2,2),
(89213,10081723,'Cannot be modified except by direct means',100,2,3),
(89214,133817,'When Equipped:',100,0,0),
(89215,133817,'On a healing spell cast this spell may cast Servant of the Dead on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(89216,133817,'Summons a limited pet to aid the caster',100,2,2),
(89217,133817,'Must not be engaged in pvp combat',100,2,3),
(89218,133817,'Cannot be modified except by direct means',100,2,4),
(89219,133817,'On any combat or spell hit this spell may cast Servant of the Dead on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,5),
(89220,133817,'Summons a limited pet to aid the caster',100,2,6),
(89221,133817,'Must not be engaged in pvp combat',100,2,7),
(89222,133817,'Cannot be modified except by direct means',100,2,8),
(89223,10133817,'When Equipped:',100,0,0),
(89224,10133817,'On a healing spell cast this spell may cast Servant of the Dead on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(89225,10133817,'Summons a limited pet to aid the caster',100,2,2),
(89226,10133817,'Must not be engaged in pvp combat',100,2,3),
(89227,10133817,'Cannot be modified except by direct means',100,2,4),
(89228,10133817,'On any combat or spell hit this spell may cast Servant of the Dead on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,5),
(89229,10133817,'Summons a limited pet to aid the caster',100,2,6),
(89230,10133817,'Must not be engaged in pvp combat',100,2,7),
(89231,10133817,'Cannot be modified except by direct means',100,2,8),
(89232,115993,'Inflicts 503 - 754 mental damage on target',100,1,0),
(89233,115993,'Stuns target',100,1,1),
(89234,115993,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(89235,115993,'Resistibility increases against targets higher than level 108.',100,1,3),
(89236,10115993,'Stuns target',100,1,0),
(89237,10115993,'Inflicts 704 - 1056 mental damage on target',100,1,1),
(89238,10115993,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(89239,10115993,'Resistibility increases against targets higher than level 108.',100,1,3),
(89240,109550,'Inflicts 4499 - 7498 cold damage on targets in Area of Effect',100,1,0),
(89241,109550,'Throws target back',100,1,1),
(89242,109550,'If Target is not Epic',100,2,2),
(89243,109550,'Stuns targets in Area of Effect',100,1,3),
(89244,109550,'If Target is not Epic',100,2,4),
(89245,109550,'Resistibility increases against targets higher than level 107.',100,1,5),
(89246,10109550,'Inflicts 6299 - 10498 cold damage on targets in Area of Effect',100,1,0),
(89247,10109550,'Throws target back',100,1,1),
(89248,10109550,'If Target is not Epic',100,2,2),
(89249,10109550,'Stuns targets in Area of Effect',100,1,3),
(89250,10109550,'If Target is not Epic',100,2,4),
(89251,10109550,'Resistibility increases against targets higher than level 107.',100,1,5),
(89252,159755,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(89253,159755,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89254,159755,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(89255,159755,'Cannot be modified except by direct means',100,2,3),
(89256,10159755,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(89257,10159755,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89258,10159755,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(89259,10159755,'Cannot be modified except by direct means',100,2,3),
(89260,107830,'Causes 14% Threat to transfer to target when in combat',100,1,0),
(89261,107830,'Increases Hate Gain of target by 14.1%',100,1,1),
(89262,35965,'Increases Max Power of target by 4.1',100,0,0),
(89263,35965,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(89264,119208,'Inflicts 463 - 771 heat damage on target',100,1,0),
(89265,119208,'Inflicts 463 - 771 heat damage on target',100,1,1),
(89266,119208,'Requires bow',100,1,2),
(89267,10119208,'Inflicts 529 - 882 heat damage on target',100,1,0),
(89268,10119208,'Inflicts 529 - 882 heat damage on target',100,1,1),
(89269,10119208,'Requires bow',100,1,2),
(89270,108502,'Inflicts 719 - 879 melee damage on target',100,1,0),
(89271,108502,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(89272,10108502,'Inflicts 655 - 800 melee damage on target',100,1,0),
(89273,10108502,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(89274,121658,'Increases WIS of caster by 2.9',100,1,0),
(89275,121658,'Summons a pet Underfoot Attendant',100,1,1),
(89276,121658,'Increases STR, AGI, INT and STA of caster by 2.9',100,1,2),
(89277,121658,'If follows Brell Serilis',100,1,3),
(89278,10121658,'Increases WIS of caster by 2.9',100,1,0),
(89279,10121658,'Summons a pet Underfoot Attendant',100,1,1),
(89280,10121658,'Increases STR, AGI, INT and STA of caster by 2.9',100,1,2),
(89281,10121658,'If follows Brell Serilis',100,1,3),
(89282,81756,'When Equipped:',100,0,0),
(89283,81756,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89284,81756,'Inflicts 127 - 236 magic damage on target',100,2,2),
(89285,81756,'Cannot be modified except by direct means',100,2,3),
(89286,10081756,'When Equipped:',100,0,0),
(89287,10081756,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89288,10081756,'Inflicts 178 - 331 magic damage on target',100,2,2),
(89289,10081756,'Cannot be modified except by direct means',100,2,3),
(89290,159476,'Applies Lambent Imbued when Equipped.',100,0,0),
(89291,159476,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89292,159476,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(89293,159476,'Cannot be modified except by direct means',100,2,3),
(89294,10159476,'Applies Lambent Imbued when Equipped.',100,0,0),
(89295,10159476,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89296,10159476,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(89297,10159476,'Cannot be modified except by direct means',100,2,3),
(89298,119486,'Dazes target encounter',100,1,0),
(89299,119486,'If Target is not Epic',100,2,1),
(89300,119486,'Inflicts 146 - 179 magic damage on target encounter instantly and every second',100,1,2),
(89301,119486,'Resistibility increases against targets higher than level 82.',100,1,3),
(89302,10119486,'Dazes target encounter',100,1,0),
(89303,10119486,'If Target is not Epic',100,2,1),
(89304,10119486,'Inflicts 269 - 329 magic damage on target encounter',100,1,2),
(89305,10119486,'Inflicts 205 - 250 magic damage on target encounter every second',100,1,3),
(89306,10119486,'Resistibility increases against targets higher than level 82.',100,1,4),
(89307,114948,'Decreases Attack Speed of target by 7.0',100,1,0),
(89308,114948,'Inflicts 16 - 49 slashing damage on target',100,1,1),
(89309,114948,'Inflicts 33 slashing damage on target instantly and every 4 seconds',100,1,2),
(89310,10114948,'Decreases Attack Speed of target by 7.0',100,1,0),
(89311,10114948,'Inflicts 21 - 64 slashing damage on target',100,1,1),
(89312,10114948,'Inflicts 46 slashing damage on target instantly and every 4 seconds',100,1,2),
(89313,48087,'Applies Slice-O-Matic when Activated.',100,0,0),
(89314,48087,'Surrounds an Icemaul''s Siege coldain with deadly whirling blades!',100,1,1),
(89315,48087,'Cannot be modified except by direct means',100,1,2),
(89316,10048087,'Applies Slice-O-Matic when Activated.',100,0,0),
(89317,10048087,'Surrounds an Icemaul''s Siege coldain with deadly whirling blades!',100,1,1),
(89318,10048087,'Cannot be modified except by direct means',100,1,2),
(89319,149189,'When Equipped:',100,0,0),
(89320,149189,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(89321,149189,'Heals caster for 152 instantly and every 5 seconds',100,2,2),
(89322,149189,'Cannot be modified except by direct means',100,2,3),
(89323,10149189,'When Equipped:',100,0,0),
(89324,10149189,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(89325,10149189,'Heals caster for 98 instantly and every 5 seconds',100,2,2),
(89326,10149189,'Cannot be modified except by direct means',100,2,3),
(89327,106234,'Inflicts 442 - 1326 melee damage on target',100,1,0),
(89328,106234,'Stifles target',100,1,1),
(89329,106234,'If Target is not Epic',100,2,2),
(89330,106234,'Resistibility increases against targets higher than level 107.',100,1,3),
(89331,10106234,'Inflicts 574 - 1723 melee damage on target',100,1,0),
(89332,10106234,'Stifles target',100,1,1),
(89333,10106234,'If Target is not Epic',100,2,2),
(89334,10106234,'Resistibility increases against targets higher than level 107.',100,1,3),
(89335,47138,'Applies Bulwark of Trueheart  when Activated.  Lasts for 30 minutes.',100,0,0),
(89336,10047138,'Applies Bulwark of Trueheart  when Activated.  Lasts for 30 minutes.',100,0,0),
(89337,103030,'Inflicts 165 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(89338,103030,'Inflicts 61 - 103 melee damage on target',100,1,1),
(89339,10103030,'Inflicts 231 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(89340,10103030,'Inflicts 80 - 134 melee damage on target',100,1,1),
(89341,101813,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(89342,101813,'Decreases Threat to target by 1,442 ',100,2,1),
(89343,10101813,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(89344,10101813,'Inflicts 116 - 129 crushing damage on target',100,2,1),
(89345,80490,'When Equipped:',100,0,0),
(89346,80490,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89347,80490,'Inflicts 61 - 113 magic damage on target',100,2,2),
(89348,80490,'Decreases Threat to target by 153 ',100,2,3),
(89349,80490,'Must be flanking or behind',100,3,4),
(89350,80490,'Increases Threat to target by 154 ',100,2,5),
(89351,80490,'Must be in front of',100,3,6),
(89352,80490,'Cannot be modified except by direct means',100,2,7),
(89353,10080490,'When Equipped:',100,0,0),
(89354,10080490,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89355,10080490,'Inflicts 85 - 158 magic damage on target',100,2,2),
(89356,10080490,'Cannot be modified except by direct means',100,2,3),
(89357,111278,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(89358,111278,'Increases Mitigation of target vs physical damage by 1584',100,2,1),
(89359,111278,'Heals target for 2860',100,2,2),
(89360,111278,'Grants a total of 1 trigger of the spell.',100,2,3),
(89361,10111278,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(89362,10111278,'Increases Mitigation of target vs physical damage by 1584',100,2,1),
(89363,10111278,'Heals target for 3346',100,2,2),
(89364,10111278,'Grants a total of 1 trigger of the spell.',100,2,3),
(89365,190000,'When Equipped:',100,0,0),
(89366,190000,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(89367,190000,'Inflicts 1998 disease damage on target encounter',100,2,2),
(89368,190000,'Must not be engaged in pvp combat',100,2,3),
(89369,190000,'Cannot be modified except by direct means',100,2,4),
(89370,10190000,'When Equipped:',100,0,0),
(89371,10190000,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(89372,10190000,'Inflicts 1399 disease damage on target encounter',100,2,2),
(89373,10190000,'Must not be engaged in pvp combat',100,2,3),
(89374,10190000,'Cannot be modified except by direct means',100,2,4),
(89375,101635,'Applies Forceful Headache on termination.',100,1,0),
(89376,101635,'Inflicts 256 - 427 mental damage on target',100,2,1),
(89377,101635,'If over 50% power',100,3,2),
(89378,101635,'Inflicts 102 - 125 mental damage on target instantly and every 6 seconds',100,1,3),
(89379,101635,'Decreases Mitigation of target vs arcane damage by 665',100,1,4),
(89380,10101635,'Applies Forceful Headache on termination.',100,1,0),
(89381,10101635,'Inflicts 359 - 598 mental damage on target',100,2,1),
(89382,10101635,'If over 50% power',100,3,2),
(89383,10101635,'Inflicts 143 - 175 mental damage on target instantly and every 6 seconds',100,1,3),
(89384,10101635,'Decreases Mitigation of target vs arcane damage by 665',100,1,4),
(89385,80752,'When Equipped:',100,0,0),
(89386,80752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89387,80752,'Inflicts 194 - 361 magic damage on target',100,2,2),
(89388,80752,'Cannot be modified except by direct means',100,2,3),
(89389,10080752,'When Equipped:',100,0,0),
(89390,10080752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89391,10080752,'Inflicts 272 - 505 magic damage on target',100,2,2),
(89392,10080752,'Cannot be modified except by direct means',100,2,3),
(89393,113154,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,0),
(89394,113154,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(89395,113154,'Inflicts 260 disease damage on target',100,2,2),
(89396,113154,'Heals caster for 142',100,2,3),
(89397,113154,'Shapechanges caster into a necrolich',100,1,4),
(89398,10113154,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,0),
(89399,10113154,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(89400,10113154,'Inflicts 364 disease damage on target',100,2,2),
(89401,10113154,'Heals caster for 166',100,2,3),
(89402,10113154,'Shapechanges caster into a necrolich',100,1,4),
(89403,106489,'Decreases STR and AGI of target by 47.7',100,1,0),
(89404,10106489,'Decreases STR and AGI of target by 47.7',100,1,0),
(89405,49096,'Applies Plant the Seedling when Activated.',100,0,0),
(89406,49096,'This effect cannot be cast during combat',100,1,1),
(89407,10049096,'Applies Plant the Seedling when Activated.',100,0,0),
(89408,10049096,'This effect cannot be cast during combat',100,1,1),
(89409,107027,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(89410,107027,'Inflicts 13 - 22 divine damage on target',100,2,1),
(89411,107027,'Inflicts 13 - 22 divine damage on target',100,2,2),
(89412,107027,'If target is undead',100,3,3),
(89413,10107027,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(89414,10107027,'Inflicts 30 - 50 divine damage on target',100,2,1),
(89415,104179,'Increases Threat to target encounter by 464 - 567 ',100,1,0),
(89416,104179,'Interrupts target encounter',100,1,1),
(89417,10104179,'Forces target encounter to change their selected target to caster.',100,1,0),
(89418,10104179,'Interrupts target encounter',100,1,1),
(89419,10104179,'Prevents target encounter from changing targets',100,1,2),
(89420,53272,'When Equipped:',100,0,0),
(89421,53272,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(89422,10053272,'When Equipped:',100,0,0),
(89423,10053272,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(89424,35557,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(89425,71558,'When Equipped:',100,0,0),
(89426,71558,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89427,71558,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(89428,71558,'Cannot be modified except by direct means',100,2,3),
(89429,10071558,'When Equipped:',100,0,0),
(89430,10071558,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89431,10071558,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(89432,10071558,'Cannot be modified except by direct means',100,2,3),
(89433,71964,'When Equipped:',100,0,0),
(89434,71964,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89435,71964,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(89436,71964,'Cannot be modified except by direct means',100,2,3),
(89437,10071964,'When Equipped:',100,0,0),
(89438,10071964,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89439,10071964,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(89440,10071964,'Cannot be modified except by direct means',100,2,3),
(89441,52402,'When Equipped:',100,0,0),
(89442,52402,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(89443,52402,'When Equipped:',100,0,2),
(89444,52402,'Reduces reuse time of hostile spells by 1 percent.',100,1,3),
(89445,10052402,'When Equipped:',100,0,0),
(89446,10052402,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(89447,10052402,'When Equipped:',100,0,2),
(89448,10052402,'Reduces reuse time of hostile spells by 1 percent.',100,1,3),
(89449,80499,'When Equipped:',100,0,0),
(89450,80499,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89451,80499,'Inflicts 424 - 788 magic damage on target',100,2,2),
(89452,80499,'Decreases Threat to target by 1,219 ',100,2,3),
(89453,80499,'Must be flanking or behind',100,3,4),
(89454,80499,'Increases Threat to target by 1,219 ',100,2,5),
(89455,80499,'Must be in front of',100,3,6),
(89456,80499,'Cannot be modified except by direct means',100,2,7),
(89457,10080499,'When Equipped:',100,0,0),
(89458,10080499,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(89459,10080499,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(89460,10080499,'Cannot be modified except by direct means',100,2,3),
(89461,105008,'Reduces physical damage done to caster by 5%',100,1,0),
(89462,105008,'Adds 1.8% to base avoidance.',100,1,1),
(89463,105008,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(89464,105008,'Increases Parry of caster by 37.2',100,1,3),
(89465,105008,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(89466,105008,'Increases Aggression of caster by 22.3',100,1,5),
(89467,105008,'Increases Defense and Deflection of caster by 37.2',100,1,6),
(89468,105008,'Increases Mitigation of caster vs arcane damage by 2429',100,1,7),
(89469,105008,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(89470,10105008,'Reduces physical damage done to caster by 5%',100,1,0),
(89471,10105008,'Adds 1.8% to base avoidance.',100,1,1),
(89472,10105008,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(89473,10105008,'Increases Parry of caster by 37.2',100,1,3),
(89474,10105008,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(89475,10105008,'Increases Aggression of caster by 22.3',100,1,5),
(89476,10105008,'Increases Defense and Deflection of caster by 37.2',100,1,6),
(89477,10105008,'Increases Mitigation of caster vs arcane damage by 2429',100,1,7),
(89478,10105008,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(89479,80222,'When Equipped:',100,0,0),
(89480,80222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89481,80222,'Inflicts 201 - 374 magic damage on target',100,2,2),
(89482,80222,'Cannot be modified except by direct means',100,2,3),
(89483,10080222,'When Equipped:',100,0,0),
(89484,10080222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89485,10080222,'Inflicts 282 - 523 magic damage on target',100,2,2),
(89486,10080222,'Cannot be modified except by direct means',100,2,3),
(89487,76132,'When Equipped:',100,0,0),
(89488,76132,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(89489,76132,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(89490,76132,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(89491,76132,'Must not be engaged in pvp combat',100,2,4),
(89492,76132,'Cannot be modified except by direct means',100,2,5),
(89493,76132,'Cannot be modified except by direct means',100,1,6),
(89494,10076132,'When Equipped:',100,0,0),
(89495,10076132,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(89496,10076132,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(89497,10076132,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(89498,10076132,'Must not be engaged in pvp combat',100,2,4),
(89499,10076132,'Cannot be modified except by direct means',100,2,5),
(89500,10076132,'Cannot be modified except by direct means',100,1,6),
(89501,102130,'Inflicts 10 - 17 melee damage on target',100,1,0),
(89502,102130,'Inflicts 10 - 17 melee damage on target',100,1,1),
(89503,10102130,'Inflicts 13 - 23 melee damage on target',100,1,0),
(89504,10102130,'Inflicts 13 - 23 melee damage on target',100,1,1),
(89505,47748,'Applies Remedy of the Plains when Activated.',100,0,0),
(89506,47748,'Heals caster for 42',100,1,1),
(89507,10047748,'Applies Remedy of the Plains when Activated.',100,0,0),
(89508,10047748,'Heals caster for 27',100,1,1),
(89509,47124,'Applies Baelin''s Refreshment  when Activated.',100,0,0),
(89510,47124,'Heals caster for 24',100,1,1),
(89511,10047124,'Applies Baelin''s Refreshment  when Activated.',100,0,0),
(89512,10047124,'Heals caster for 15',100,1,1),
(89513,109515,'Inflicts 175 - 213 disease damage on target instantly and every 4 seconds',100,1,0),
(89514,109515,'Decreases Attack Speed of target by 10.6',100,1,1),
(89515,10109515,'Inflicts 244 - 299 disease damage on target instantly and every 4 seconds',100,1,0),
(89516,10109515,'Decreases Attack Speed of target by 10.6',100,1,1),
(89517,101104,'Increases Mitigation of raid and group members (AE) vs arcane damage by 638',100,1,0),
(89518,10101104,'Increases Mitigation of raid and group members (AE) vs arcane damage by 638',100,1,0),
(89519,172537,'When Equipped:',100,0,0),
(89520,172537,'On any combat or spell hit this spell may cast Increased Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89521,172537,'Increases Damage Per Second of caster by 5.0',100,2,2),
(89522,172537,'Increases Multi Attack Chance of caster by 12.0',100,2,3),
(89523,172537,'Cannot be modified except by direct means',100,2,4),
(89524,10172537,'When Equipped:',100,0,0),
(89525,10172537,'On any combat or spell hit this spell may cast Increased Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89526,10172537,'Increases Damage Per Second of caster by 5.0',100,2,2),
(89527,10172537,'Increases Multi Attack Chance of caster by 12.0',100,2,3),
(89528,10172537,'Cannot be modified except by direct means',100,2,4),
(89529,159217,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(89530,159217,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(89531,159217,'Inflicts 41 heat damage on target',100,2,2),
(89532,159217,'Cannot be modified except by direct means',100,2,3),
(89533,10159217,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(89534,10159217,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(89535,10159217,'Inflicts 57 heat damage on target',100,2,2),
(89536,10159217,'Cannot be modified except by direct means',100,2,3),
(89537,185889,'When Equipped:',100,0,0),
(89538,185889,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(89539,10185889,'When Equipped:',100,0,0),
(89540,10185889,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(89541,100671,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(89542,100671,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(89543,100671,'Heals caster for 455',100,3,2),
(89544,100671,'Wards caster against 582 points of all damage',100,3,3),
(89545,100671,'Summons a limited pet to aid the caster',100,2,4),
(89546,100671,'Grants a total of 1 trigger of the spell.',100,2,5),
(89547,10100671,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(89548,10100671,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(89549,10100671,'Heals caster for 296',100,3,2),
(89550,10100671,'Wards caster against 582 points of all damage',100,3,3),
(89551,10100671,'Summons a limited pet to aid the caster',100,2,4),
(89552,10100671,'Grants a total of 1 trigger of the spell.',100,2,5),
(89553,121789,'Heals target for 200 - 244',100,1,0),
(89554,121789,'Heals target for 33 - 41 every second',100,1,1),
(89555,10121789,'Heals target for 346 - 423',100,1,0),
(89556,10121789,'Heals target for 29 - 35 every second',100,1,1),
(89557,105548,'Inflicts 74 - 137 disease damage on target',100,1,0),
(89558,105548,'Inflicts 44 - 82 disease damage on target every 2 seconds',100,1,1),
(89559,10105548,'Inflicts 103 - 191 disease damage on target',100,1,0),
(89560,10105548,'Inflicts 62 - 115 disease damage on target every 2 seconds',100,1,1),
(89561,166488,'When Equipped:',100,0,0),
(89562,166488,'Increases STR of caster by 50.0',100,1,1),
(89563,166488,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(89564,166488,'Increases INT, WIS and AGI of caster by 50.0',100,1,3),
(89565,166488,'Increases Potency of caster by 3.5%',100,1,4),
(89566,166488,'Cannot be modified except by direct means',100,1,5),
(89567,10166488,'When Equipped:',100,0,0),
(89568,10166488,'Increases STR of caster by 50.0',100,1,1),
(89569,10166488,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(89570,10166488,'Increases INT, WIS and AGI of caster by 50.0',100,1,3),
(89571,10166488,'Increases Potency of caster by 3.5%',100,1,4),
(89572,10166488,'Cannot be modified except by direct means',100,1,5),
(89573,159842,'Applies Lambent Imbued when Equipped.',100,0,0),
(89574,159842,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89575,159842,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(89576,159842,'Cannot be modified except by direct means',100,2,3),
(89577,10159842,'Applies Lambent Imbued when Equipped.',100,0,0),
(89578,10159842,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(89579,10159842,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(89580,10159842,'Cannot be modified except by direct means',100,2,3),
(89581,109199,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.6',100,1,0),
(89582,10109199,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.6',100,1,0),
(89583,173763,'When Equipped:',100,0,0),
(89584,173763,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(89585,173763,'Increases Potency of caster by 3.5%',100,1,2),
(89586,173763,'Cannot be modified except by direct means',100,1,3),
(89587,10173763,'When Equipped:',100,0,0),
(89588,10173763,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(89589,10173763,'Increases Potency of caster by 3.5%',100,1,2),
(89590,10173763,'Cannot be modified except by direct means',100,1,3),
(89591,110784,'Heals group members (AE) for 449 - 548 instantly and every 2 seconds',100,1,0),
(89592,10110784,'Heals group members (AE) for 292 - 356 instantly and every 2 seconds',100,1,0),
(89593,82410,'When Equipped:',100,0,0),
(89594,82410,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89595,82410,'Inflicts 146 - 271 magic damage on target',100,2,2),
(89596,82410,'Cannot be modified except by direct means',100,2,3),
(89597,10082410,'When Equipped:',100,0,0),
(89598,10082410,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89599,10082410,'Inflicts 204 - 379 magic damage on target',100,2,2),
(89600,10082410,'Cannot be modified except by direct means',100,2,3),
(89601,114570,'Heals target for 38 - 47',100,1,0),
(89602,10114570,'Heals target for 25 - 31',100,1,0),
(89603,146198,'When Equipped:',100,0,0),
(89604,146198,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89605,146198,'Stuns target',100,2,2),
(89606,146198,'Only affects targets level 125 and below',100,2,3),
(89607,146198,'Does not affect Epic targets',100,2,4),
(89608,146198,'Resistibility increases against targets higher than level 102.',100,2,5),
(89609,146198,'Cannot be modified except by direct means',100,2,6),
(89610,10146198,'When Equipped:',100,0,0),
(89611,10146198,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89612,10146198,'Stuns target',100,2,2),
(89613,10146198,'Only affects targets level 125 and below',100,2,3),
(89614,10146198,'Does not affect Epic targets',100,2,4),
(89615,10146198,'Resistibility increases against targets higher than level 102.',100,2,5),
(89616,10146198,'Cannot be modified except by direct means',100,2,6),
(89617,113668,'Summons a pet shadow lich mage',100,1,0),
(89618,10113668,'Summons a pet shadow lich mage',100,1,0),
(89619,135371,'When Equipped:',100,0,0),
(89620,135371,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(89621,10135371,'When Equipped:',100,0,0),
(89622,10135371,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(89623,121220,'Reduces physical damage done to caster by 5%',100,1,0),
(89624,121220,'Adds 1.5% to base avoidance.',100,1,1),
(89625,121220,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(89626,121220,'Increases Aggression of caster by 3.6',100,1,3),
(89627,121220,'Increases Defense and Parry of caster by 5.8',100,1,4),
(89628,121220,'Increases Mitigation of caster vs noxious and arcane damage by 38',100,1,5),
(89629,121220,'Increases Mitigation of caster vs elemental damage by 380',100,1,6),
(89630,121220,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(89631,10121220,'Reduces physical damage done to caster by 5%',100,1,0),
(89632,10121220,'Adds 1.5% to base avoidance.',100,1,1),
(89633,10121220,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(89634,10121220,'Increases Aggression of caster by 3.6',100,1,3),
(89635,10121220,'Increases Defense and Parry of caster by 5.8',100,1,4),
(89636,10121220,'Increases Mitigation of caster vs noxious and arcane damage by 38',100,1,5),
(89637,10121220,'Increases Mitigation of caster vs elemental damage by 380',100,1,6),
(89638,10121220,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(89639,151819,'When Equipped:',100,0,0),
(89640,151819,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(89641,10151819,'When Equipped:',100,0,0),
(89642,10151819,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(89643,118097,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(89644,10118097,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(89645,100667,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(89646,100667,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(89647,100667,'Heals caster for 284',100,3,2),
(89648,100667,'Wards caster against 364 points of all damage',100,3,3),
(89649,100667,'Summons a limited pet to aid the caster',100,2,4),
(89650,100667,'Grants a total of 1 trigger of the spell.',100,2,5),
(89651,10100667,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(89652,10100667,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(89653,10100667,'Heals caster for 185',100,3,2),
(89654,10100667,'Wards caster against 364 points of all damage',100,3,3),
(89655,10100667,'Summons a limited pet to aid the caster',100,2,4),
(89656,10100667,'Grants a total of 1 trigger of the spell.',100,2,5),
(89657,117868,'Heals target for 194 - 237 instantly and every 2 seconds',100,1,0),
(89658,10117868,'Heals target for 126 - 154 instantly and every 2 seconds',100,1,0),
(89659,120550,'Decreases Defense of target by 27.4',100,1,0),
(89660,10120550,'Decreases Defense of target by 27.4',100,1,0),
(89661,109651,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(89662,109651,'Inflicts 38 - 70 poison damage on target encounter',100,2,1),
(89663,10109651,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(89664,10109651,'Inflicts 53 - 98 poison damage on target encounter',100,2,1),
(89665,101357,'Reduces physical damage done to caster by 5%',100,1,0),
(89666,101357,'Adds 1.4% to base avoidance.',100,1,1),
(89667,101357,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(89668,101357,'Increases Aggression of caster by 6.4',100,1,3),
(89669,101357,'Increases Defense and Parry of caster by 10.3',100,1,4),
(89670,101357,'Increases Mitigation of caster vs noxious and arcane damage by 63',100,1,5),
(89671,101357,'Increases Mitigation of caster vs elemental damage by 627',100,1,6),
(89672,101357,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(89673,10101357,'Reduces physical damage done to caster by 5%',100,1,0),
(89674,10101357,'Adds 1.4% to base avoidance.',100,1,1),
(89675,10101357,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(89676,10101357,'Increases Aggression of caster by 6.4',100,1,3),
(89677,10101357,'Increases Defense and Parry of caster by 10.3',100,1,4),
(89678,10101357,'Increases Mitigation of caster vs noxious and arcane damage by 63',100,1,5),
(89679,10101357,'Increases Mitigation of caster vs elemental damage by 627',100,1,6),
(89680,10101357,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(89681,102879,'Heals caster for 83',100,1,0),
(89682,102879,'Inflicts 166 disease damage on targets in Area of Effect',100,1,1),
(89683,10102879,'Heals caster for 54',100,1,0),
(89684,10102879,'Inflicts 232 disease damage on targets in Area of Effect',100,1,1),
(89685,105134,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(89686,105134,'Summon 1 Crystallized Essence (Master)',100,2,1),
(89687,10105134,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(89688,10105134,'Summon 1 Crystallized Essence (Master)',100,2,1),
(89689,109220,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 29.5',100,1,0),
(89690,10109220,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 29.5',100,1,0),
(89691,26565,'When Equipped:',100,0,0),
(89692,26565,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,1),
(89693,26565,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(89694,10026565,'When Equipped:',100,0,0),
(89695,10026565,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,1),
(89696,10026565,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(89697,100346,'Increases Max Health of target by 246.5',100,1,0),
(89698,100346,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.3',100,1,1),
(89699,10100346,'Increases Max Health of target by 246.5',100,1,0),
(89700,10100346,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.3',100,1,1),
(89701,71384,'When Equipped:',100,0,0),
(89702,71384,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89703,71384,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(89704,71384,'Cannot be modified except by direct means',100,2,3),
(89705,10071384,'When Equipped:',100,0,0),
(89706,10071384,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89707,10071384,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(89708,10071384,'Cannot be modified except by direct means',100,2,3),
(89709,25763,'When Equipped:',100,0,0),
(89710,25763,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(89711,25763,'Improves the damage of Rush X by 10%.',100,1,2),
(89712,10025763,'When Equipped:',100,0,0),
(89713,10025763,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(89714,10025763,'Improves the damage of Rush X by 10%.',100,1,2),
(89715,120633,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(89716,120633,'Increases Defense and Parry of caster by 6.7',100,1,1),
(89717,120633,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(89718,10120633,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(89719,10120633,'Increases Defense and Parry of caster by 6.7',100,1,1),
(89720,10120633,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(89721,109273,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(89722,109273,'Increases Mitigation of group members (AE) vs elemental damage by 83',100,1,1),
(89723,10109273,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(89724,10109273,'Increases Mitigation of group members (AE) vs elemental damage by 83',100,1,1),
(89725,120635,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(89726,120635,'Increases Defense and Parry of caster by 7.7',100,1,1),
(89727,120635,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(89728,10120635,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(89729,10120635,'Increases Defense and Parry of caster by 7.7',100,1,1),
(89730,10120635,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(89731,118884,'Inflicts 94 - 158 melee damage on target',100,1,0),
(89732,118884,'Inflicts 94 - 158 melee damage on target',100,1,1),
(89733,118884,'Inflicts 94 - 158 melee damage on target',100,1,2),
(89734,118884,'Inflicts 94 - 158 melee damage on target',100,1,3),
(89735,118884,'Inflicts 94 - 158 melee damage on target',100,1,4),
(89736,10118884,'Inflicts 123 - 205 melee damage on target',100,1,0),
(89737,10118884,'Inflicts 123 - 205 melee damage on target',100,1,1),
(89738,10118884,'Inflicts 123 - 205 melee damage on target',100,1,2),
(89739,10118884,'Inflicts 123 - 205 melee damage on target',100,1,3),
(89740,10118884,'Inflicts 123 - 205 melee damage on target',100,1,4),
(89741,102405,'Inflicts 719 - 1336 melee damage on targets in area',100,1,0),
(89742,10102405,'Inflicts 935 - 1737 melee damage on targets in area',100,1,0),
(89743,27033,'When Equipped:',100,0,0),
(89744,27033,'Increases Damage Per Second of caster by 1.0',100,1,1),
(89745,10027033,'When Equipped:',100,0,0),
(89746,10027033,'Increases Damage Per Second of caster by 1.0',100,1,1),
(89747,102175,'Increases Mitigation of group members (AE) vs physical damage by 122',100,1,0),
(89748,10102175,'Increases Mitigation of group members (AE) vs physical damage by 122',100,1,0),
(89749,81673,'When Equipped:',100,0,0),
(89750,81673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89751,81673,'Inflicts 90 - 167 magic damage on target',100,2,2),
(89752,81673,'Cannot be modified except by direct means',100,2,3),
(89753,10081673,'When Equipped:',100,0,0),
(89754,10081673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89755,10081673,'Inflicts 126 - 234 magic damage on target',100,2,2),
(89756,10081673,'Cannot be modified except by direct means',100,2,3),
(89757,176558,'When Equipped:',100,0,0),
(89758,176558,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(89759,176558,'Heals group members (AE) for 875',100,2,2),
(89760,176558,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(89761,176558,'Must not be engaged in pvp combat',100,2,4),
(89762,176558,'Cannot be modified except by direct means',100,2,5),
(89763,176558,'Must not be engaged in pvp combat',100,1,6),
(89764,10176558,'When Equipped:',100,0,0),
(89765,10176558,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(89766,10176558,'Heals group members (AE) for 1024',100,2,2),
(89767,10176558,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(89768,10176558,'Must not be engaged in pvp combat',100,2,4),
(89769,10176558,'Cannot be modified except by direct means',100,2,5),
(89770,10176558,'Must not be engaged in pvp combat',100,1,6),
(89771,104059,'Inflicts 37 - 62 mental damage on target',100,1,0),
(89772,104059,'Inflicts 37 - 62 mental damage on target',100,1,1),
(89773,10104059,'Inflicts 48 - 81 mental damage on target',100,1,0),
(89774,10104059,'Inflicts 48 - 81 mental damage on target',100,1,1),
(89775,35469,'Increases INT of target by 1.6',100,0,0),
(89776,35469,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(89777,159133,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(89778,159133,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(89779,159133,'Inflicts 41 heat damage on target',100,2,2),
(89780,159133,'Cannot be modified except by direct means',100,2,3),
(89781,10159133,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(89782,10159133,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(89783,10159133,'Inflicts 57 heat damage on target',100,2,2),
(89784,10159133,'Cannot be modified except by direct means',100,2,3),
(89785,160005,'Applies Sanguine Imbued when Equipped.',100,0,0),
(89786,160005,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(89787,160005,'Inflicts 215 heat damage on target',100,2,2),
(89788,160005,'Cannot be modified except by direct means',100,2,3),
(89789,10160005,'Applies Sanguine Imbued when Equipped.',100,0,0),
(89790,10160005,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(89791,10160005,'Inflicts 301 heat damage on target',100,2,2),
(89792,10160005,'Cannot be modified except by direct means',100,2,3),
(89793,173507,'Applies Aura of Rhaondrilliis when Activated.',100,0,0),
(89794,173507,'Grants invisibility to caster',100,1,1),
(89795,173507,'Suspends caster''s movement speed enhancements',100,1,2),
(89796,173507,'The casting time of Aura of Rhaondrilliis is 2.0 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(89797,173507,'Requires 17 Health to cast and 17 Health every 5.0 seconds.',100,1,4),
(89798,173507,'Requires 27 Power to cast and 27 Power every 5.0 seconds.',100,1,5),
(89799,10173507,'Applies Aura of Rhaondrilliis when Activated.',100,0,0),
(89800,10173507,'Grants invisibility to caster',100,1,1),
(89801,10173507,'Suspends caster''s movement speed enhancements',100,1,2),
(89802,10173507,'The casting time of Aura of Rhaondrilliis is 2.0 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(89803,10173507,'Requires 17 Health to cast and 17 Health every 5.0 seconds.',100,1,4),
(89804,10173507,'Requires 27 Power to cast and 27 Power every 5.0 seconds.',100,1,5),
(89805,40940,'When Equipped:',100,0,0),
(89806,40940,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89807,40940,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,2),
(89808,40940,'Increases Potency of caster by 3.0%',100,2,3),
(89809,40940,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(89810,40940,'Must not be engaged in pvp combat',100,2,5),
(89811,40940,'Cannot be modified except by direct means',100,2,6),
(89812,40940,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(89813,40940,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,8),
(89814,40940,'Increases Potency of caster by 3.0%',100,2,9),
(89815,40940,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(89816,40940,'Must not be engaged in pvp combat',100,2,11),
(89817,40940,'Cannot be modified except by direct means',100,2,12),
(89818,40940,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(89819,40940,'Cannot be modified except by direct means',100,1,14),
(89820,10040940,'When Equipped:',100,0,0),
(89821,10040940,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89822,10040940,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,2),
(89823,10040940,'Increases Potency of caster by 3.0%',100,2,3),
(89824,10040940,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(89825,10040940,'Must not be engaged in pvp combat',100,2,5),
(89826,10040940,'Cannot be modified except by direct means',100,2,6),
(89827,10040940,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(89828,10040940,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,8),
(89829,10040940,'Increases Potency of caster by 3.0%',100,2,9),
(89830,10040940,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(89831,10040940,'Must not be engaged in pvp combat',100,2,11),
(89832,10040940,'Cannot be modified except by direct means',100,2,12),
(89833,10040940,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(89834,10040940,'Cannot be modified except by direct means',100,1,14),
(89835,119910,'Stifles target',100,1,0),
(89836,119910,'Inflicts 93 - 114 mental damage on target',100,1,1),
(89837,119910,'Inflicts 31 - 38 mental damage on target every 1.3 seconds',100,1,2),
(89838,119910,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,3),
(89839,119910,'Resistibility increases against targets higher than level 45.',100,1,4),
(89840,10119910,'Stifles target',100,1,0),
(89841,10119910,'Inflicts 130 - 159 mental damage on target',100,1,1),
(89842,10119910,'Inflicts 43 - 53 mental damage on target every second',100,1,2),
(89843,10119910,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(89844,10119910,'Resistibility increases against targets higher than level 45.',100,1,4),
(89845,102265,'Inflicts 212 - 354 melee damage on targets in area',100,1,0),
(89846,10102265,'Inflicts 276 - 460 melee damage on targets in area',100,1,0),
(89847,111480,'Increases AGI of caster by 30.2',100,1,0),
(89848,111480,'Increases Attack Speed of caster by 20.2',100,1,1),
(89849,111480,'Increases in-combat movement speed of caster by 4.7%',100,1,2),
(89850,111480,'Adds 14.8% to base avoidance.',100,1,3),
(89851,111480,'Increases Mitigation of caster vs physical damage by 273',100,1,4),
(89852,111480,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,5),
(89853,10111480,'Increases AGI of caster by 30.2',100,1,0),
(89854,10111480,'Increases Attack Speed of caster by 20.2',100,1,1),
(89855,10111480,'Increases speed of caster by 4.7%',100,1,2),
(89856,10111480,'Adds 14.8% to base avoidance.',100,1,3),
(89857,10111480,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(89858,107428,'Summons a pet earthen avatar',100,1,0),
(89859,10107428,'Summons a pet earthen avatar',100,1,0),
(89860,46305,'Applies Splash Othmir when Activated.',100,0,0),
(89861,46305,'Use on othmir in Fina''s Retreat in Great Divide in Velious. ',100,1,1),
(89862,10046305,'Applies Splash Othmir when Activated.',100,0,0),
(89863,10046305,'Use on othmir in Fina''s Retreat in Great Divide in Velious. ',100,1,1),
(89864,40175,'When Equipped:',100,0,0),
(89865,40175,'On a ranged hit this spell may cast Exacting Eye on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89866,40175,'Decreases Multi Attack Chance of target by 5.0',100,2,2),
(89867,40175,'Inflicts 530 poison damage on target instantly and every 5 seconds',100,2,3),
(89868,40175,'Inflicts 530 heat damage on target instantly and every 5 seconds',100,2,4),
(89869,40175,'Inflicts 530 piercing damage on target instantly and every 5 seconds',100,2,5),
(89870,40175,'Cannot be modified except by direct means',100,2,6),
(89871,10040175,'When Equipped:',100,0,0),
(89872,10040175,'On a ranged hit this spell may cast Exacting Eye on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(89873,10040175,'Inflicts 315 poison damage on target instantly and every 5 seconds',100,2,2),
(89874,10040175,'Inflicts 315 heat damage on target instantly and every 5 seconds',100,2,3),
(89875,10040175,'Inflicts 315 piercing damage on target instantly and every 5 seconds',100,2,4),
(89876,10040175,'Decreases Multi Attack Chance of target by 5.0',100,2,5),
(89877,10040175,'Cannot be modified except by direct means',100,2,6),
(89878,107469,'Inflicts 72 - 215 magic damage on targets in Area of Effect',100,1,0),
(89879,107469,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(89880,107469,'Stuns target',100,2,2),
(89881,107469,'Throws target back',100,2,3),
(89882,107469,'Blurs vision of target',100,2,4),
(89883,107469,'Does not affect Epic targets',100,2,5),
(89884,10107469,'Inflicts 100 - 301 magic damage on targets in Area of Effect',100,1,0),
(89885,10107469,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(89886,10107469,'Stuns target',100,2,2),
(89887,10107469,'Blurs vision of target',100,2,3),
(89888,10107469,'Throws target back',100,2,4),
(89889,10107469,'Does not affect Epic targets',100,2,5),
(89890,50541,'When Equipped:',100,0,0),
(89891,50541,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89892,50541,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(89893,50541,'Cannot be modified except by direct means',100,2,3),
(89894,10050541,'When Equipped:',100,0,0),
(89895,10050541,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89896,10050541,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(89897,10050541,'Cannot be modified except by direct means',100,2,3),
(89898,87191,'When Equipped:',100,0,0),
(89899,87191,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89900,87191,'Inflicts 95 - 143 magic damage on target',100,2,2),
(89901,87191,'Cannot be modified except by direct means',100,2,3),
(89902,10087191,'When Equipped:',100,0,0),
(89903,10087191,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89904,10087191,'Inflicts 133 - 200 magic damage on target',100,2,2),
(89905,10087191,'Cannot be modified except by direct means',100,2,3),
(89906,122944,'Inflicts 53 - 72 mental damage on target',100,1,0),
(89907,10122944,'Inflicts 74 - 100 mental damage on target',100,1,0),
(89908,81950,'When Equipped:',100,0,0),
(89909,81950,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89910,81950,'Inflicts 351 - 652 magic damage on target',100,2,2),
(89911,81950,'Cannot be modified except by direct means',100,2,3),
(89912,10081950,'When Equipped:',100,0,0),
(89913,10081950,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89914,10081950,'Inflicts 492 - 913 magic damage on target',100,2,2),
(89915,10081950,'Cannot be modified except by direct means',100,2,3),
(89916,76452,'When Equipped:',100,0,0),
(89917,76452,'On a combat hit this spell may cast Soul Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89918,76452,'Decreases power of target by 270',100,2,2),
(89919,76452,'Increases power of caster by 200',100,2,3),
(89920,76452,'Cannot be modified except by direct means',100,2,4),
(89921,10076452,'When Equipped:',100,0,0),
(89922,10076452,'On a combat hit this spell may cast Soul Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89923,10076452,'Decreases power of target by 270',100,2,2),
(89924,10076452,'Increases power of caster by 200',100,2,3),
(89925,10076452,'Cannot be modified except by direct means',100,2,4),
(89926,72448,'When Equipped:',100,0,0),
(89927,72448,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89928,72448,'Inflicts 34 - 41 heat damage on target encounter',100,2,2),
(89929,72448,'Cannot be modified except by direct means',100,2,3),
(89930,10072448,'When Equipped:',100,0,0),
(89931,10072448,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89932,10072448,'Inflicts 47 - 58 heat damage on target encounter',100,2,2),
(89933,10072448,'Cannot be modified except by direct means',100,2,3),
(89934,116610,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(89935,116610,'Increases Mitigation of group members (AE) vs arcane damage by 83',100,1,1),
(89936,10116610,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(89937,10116610,'Increases Mitigation of group members (AE) vs arcane damage by 83',100,1,1),
(89938,71464,'When Equipped:',100,0,0),
(89939,71464,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89940,71464,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(89941,71464,'Cannot be modified except by direct means',100,2,3),
(89942,10071464,'When Equipped:',100,0,0),
(89943,10071464,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(89944,10071464,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(89945,10071464,'Cannot be modified except by direct means',100,2,3),
(89946,35371,'Increases STR of target by 1.6',100,0,0),
(89947,35371,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(89948,84137,'When Equipped:',100,0,0),
(89949,84137,'On a combat hit this spell may cast Frost Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89950,84137,'Inflicts 431 - 719 cold damage on target',100,2,2),
(89951,84137,'Cannot be modified except by direct means',100,2,3),
(89952,10084137,'When Equipped:',100,0,0),
(89953,10084137,'On a combat hit this spell may cast Frost Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89954,10084137,'Inflicts 604 - 1006 cold damage on target',100,2,2),
(89955,10084137,'Cannot be modified except by direct means',100,2,3),
(89956,114541,'Heals target for 333 - 407',100,1,0),
(89957,10114541,'Heals target for 432 - 529',100,1,0),
(89958,102002,'Summons 3 limited pets to aid the caster',100,1,0),
(89959,10102002,'Summons 3 limited pets to aid the caster',100,1,0),
(89960,113487,'Inflicts 59 - 98 melee damage on targets in area',100,1,0),
(89961,10113487,'Inflicts 76 - 128 melee damage on targets in area',100,1,0),
(89962,110203,'Interrupts target',100,1,0),
(89963,110203,'Inflicts 67 - 112 crushing damage on target',100,1,1),
(89964,10110203,'Interrupts target',100,1,0),
(89965,10110203,'Inflicts 87 - 146 crushing damage on target',100,1,1),
(89966,81349,'When Equipped:',100,0,0),
(89967,81349,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89968,81349,'Inflicts 104 - 194 magic damage on target',100,2,2),
(89969,81349,'Cannot be modified except by direct means',100,2,3),
(89970,10081349,'When Equipped:',100,0,0),
(89971,10081349,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89972,10081349,'Inflicts 146 - 271 magic damage on target',100,2,2),
(89973,10081349,'Cannot be modified except by direct means',100,2,3),
(89974,83663,'When Equipped:',100,0,0),
(89975,83663,'On a combat hit this spell may cast Frigid Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89976,83663,'Inflicts 87 cold damage on target',100,2,2),
(89977,83663,'Cannot be modified except by direct means',100,2,3),
(89978,10083663,'When Equipped:',100,0,0),
(89979,10083663,'On a combat hit this spell may cast Frigid Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89980,10083663,'Inflicts 122 cold damage on target',100,2,2),
(89981,10083663,'Cannot be modified except by direct means',100,2,3),
(89982,116842,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(89983,116842,'Inflicts 242 - 296 mental damage on target',100,2,1),
(89984,116842,'Grants a total of 3 triggers of the spell.',100,2,2),
(89985,10116842,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(89986,10116842,'Inflicts 339 - 414 mental damage on target',100,2,1),
(89987,10116842,'Grants a total of 3 triggers of the spell.',100,2,2),
(89988,87281,'When Equipped:',100,0,0),
(89989,87281,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89990,87281,'Inflicts 95 - 143 magic damage on target',100,2,2),
(89991,87281,'Cannot be modified except by direct means',100,2,3),
(89992,10087281,'When Equipped:',100,0,0),
(89993,10087281,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(89994,10087281,'Inflicts 133 - 200 magic damage on target',100,2,2),
(89995,10087281,'Cannot be modified except by direct means',100,2,3),
(89996,47401,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(89997,47401,'This potion will grant you the illusion of being a shambling mound!',100,1,1),
(89998,10047401,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(89999,10047401,'This potion will grant you the illusion of being a shambling mound!',100,1,1),
(90000,159123,'When Equipped:',100,0,0),
(90001,159123,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(90002,159123,'Increases STA of caster by 11.9',100,2,2),
(90003,159123,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(90004,159123,'Cannot be modified except by direct means',100,2,4),
(90005,10159123,'When Equipped:',100,0,0),
(90006,10159123,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(90007,10159123,'Increases STA of caster by 11.9',100,2,2),
(90008,10159123,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(90009,10159123,'Cannot be modified except by direct means',100,2,4),
(90010,42884,'When Equipped:',100,0,0),
(90011,42884,'Increases Ranged Weapon Range of caster by 5.0%',100,1,1),
(90012,10042884,'When Equipped:',100,0,0),
(90013,10042884,'Increases Ranged Weapon Range of caster by 5.0%',100,1,1),
(90014,109876,'Increases Defense of group members (AE) by 21.1',100,1,0),
(90015,10109876,'Increases Defense of group members (AE) by 21.1',100,1,0),
(90016,35323,'Increases INT and WIS of target by 1.2',100,0,0),
(90017,35323,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(90018,105538,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 42.7',100,1,0),
(90019,10105538,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 42.7',100,1,0),
(90020,24400,'Adds Gnoll (Assassin) to your Dungeon Maker toolbox',100,0,0),
(90021,10024400,'Adds Gnoll (Assassin) to your Dungeon Maker toolbox',100,0,0),
(90022,45580,'Applies Durak''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(90023,45580,'Increases AGI of caster by 20.0',100,1,1),
(90024,10045580,'Applies Durak''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(90025,10045580,'Increases AGI of caster by 20.0',100,1,1),
(90026,110476,'Stifles caster',100,1,0),
(90027,110476,'Increases power of caster by 11 instantly and every second',100,1,1),
(90028,10110476,'Stifles caster',100,1,0),
(90029,10110476,'Increases power of caster by 11 instantly and every second',100,1,1),
(90030,111460,'Decreases Attack Speed of caster by 17.9',100,1,0),
(90031,111460,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(90032,111460,'Roots target',100,2,2),
(90033,111460,'5% chance to dispel when target takes damage',100,2,3),
(90034,111460,'5% chance to dispel when target receives hostile action',100,2,4),
(90035,111460,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(90036,111460,'Increases Mitigation of caster vs physical damage by 1161',100,1,6),
(90037,10111460,'Decreases Attack Speed of caster by 17.9',100,1,0),
(90038,10111460,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(90039,10111460,'Roots target',100,2,2),
(90040,10111460,'5% chance to dispel when target takes damage',100,2,3),
(90041,10111460,'5% chance to dispel when target receives hostile action',100,2,4),
(90042,10111460,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(90043,10111460,'Increases Mitigation of caster vs physical damage by 1161',100,1,6),
(90044,123069,'Summons a pet undead knight',100,1,0),
(90045,10123069,'Summons a pet undead knight',100,1,0),
(90046,47200,'Applies Elixir of Purity  when Activated.  Lasts for 30 minutes.',100,0,0),
(90047,47200,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(90048,10047200,'Applies Elixir of Purity  when Activated.  Lasts for 30 minutes.',100,0,0),
(90049,10047200,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(90050,109507,'Inflicts 79 - 97 disease damage on target instantly and every 4 seconds',100,1,0),
(90051,109507,'Decreases Attack Speed of target by 6.5',100,1,1),
(90052,10109507,'Inflicts 111 - 135 disease damage on target instantly and every 4 seconds',100,1,0),
(90053,10109507,'Decreases Attack Speed of target by 6.5',100,1,1),
(90054,124233,'Decreases Attack Speed of caster by 16.9',100,1,0),
(90055,124233,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(90056,124233,'Slows targets in Area of Effect by 48.2%',100,2,2),
(90057,124233,'5% chance to dispel when target receives hostile action',100,2,3),
(90058,124233,'5% chance to dispel when target takes damage',100,2,4),
(90059,124233,'Increases Mitigation of caster vs physical damage by 759',100,1,5),
(90060,10124233,'Decreases Attack Speed of caster by 16.9',100,1,0),
(90061,10124233,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(90062,10124233,'Slows targets in Area of Effect by 36.1%',100,2,2),
(90063,10124233,'5% chance to dispel when target receives hostile action',100,2,3),
(90064,10124233,'5% chance to dispel when target takes damage',100,2,4),
(90065,10124233,'Increases Mitigation of caster vs physical damage by 759',100,1,5),
(90066,25147,'When Equipped:',100,0,0),
(90067,25147,'On a block this spell has a 1% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(90068,25147,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(90069,25147,'Heals caster for 7 - 9',100,3,3),
(90070,25147,'Grants a total of 3 triggers of the spell.',100,3,4),
(90071,25147,'Cannot be modified except by direct means',100,2,5),
(90072,10025147,'When Equipped:',100,0,0),
(90073,10025147,'On a block this spell has a 1% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(90074,10025147,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(90075,10025147,'Heals caster for 5 - 6',100,3,3),
(90076,10025147,'Grants a total of 3 triggers of the spell.',100,3,4),
(90077,10025147,'Cannot be modified except by direct means',100,2,5),
(90078,179246,'When Equipped:',100,0,0),
(90079,179246,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(90080,10179246,'When Equipped:',100,0,0),
(90081,10179246,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(90082,111692,'Inflicts 353 - 431 cold damage on target',100,1,0),
(90083,111692,'Inflicts 353 - 431 cold damage on target',100,1,1),
(90084,111692,'If target is elemental',100,2,2),
(90085,10111692,'Inflicts 424 - 518 cold damage on target',100,1,0),
(90086,107450,'Summons a pet earthen avatar',100,1,0),
(90087,10107450,'Summons a pet earthen avatar',100,1,0),
(90088,107655,'Increases Mitigation of raid and group members (AE) vs elemental damage by 812',100,1,0),
(90089,10107655,'Increases Mitigation of raid and group members (AE) vs elemental damage by 812',100,1,0),
(90090,161873,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(90091,161873,'Roots target',100,1,1),
(90092,161873,'If target is the Djinn Master',100,2,2),
(90093,161873,'Inflicts 1270 magic damage on target',100,1,3),
(90094,161873,'If target is djinn',100,2,4),
(90095,161873,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(90096,161873,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(90097,10161873,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(90098,10161873,'Roots target',100,1,1),
(90099,10161873,'If target is the Djinn Master',100,2,2),
(90100,10161873,'Inflicts 1777 magic damage on target',100,1,3),
(90101,10161873,'If target is djinn',100,2,4),
(90102,10161873,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(90103,10161873,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(90104,109814,'Decreases Parry of target by 18.9',100,1,0),
(90105,109814,'Inflicts 113 - 188 melee damage on target',100,1,1),
(90106,109814,'Must be in front of or flanking',100,1,2),
(90107,10109814,'Decreases Parry of target by 18.9',100,1,0),
(90108,10109814,'Inflicts 146 - 244 melee damage on target',100,1,1),
(90109,10109814,'Must be in front of or flanking',100,1,2),
(90110,101041,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(90111,101041,'Inflicts 394 poison damage on target instantly and every 4 seconds',100,2,1),
(90112,101041,'If profession other than Predator',100,1,2),
(90113,101041,'If profession other than Rogue',100,1,3),
(90114,10101041,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(90115,10101041,'Inflicts 551 poison damage on target instantly and every 4 seconds',100,2,1),
(90116,10101041,'If profession other than Predator',100,1,2),
(90117,10101041,'If profession other than Rogue',100,1,3),
(90118,184898,'When Equipped:',100,0,0),
(90119,184898,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(90120,184898,'Decreases Threat to targets in Area of Effect by 300 ',100,2,2),
(90121,184898,'Must be engaged in combat',100,3,3),
(90122,184898,'Cannot be modified except by direct means',100,2,4),
(90123,10184898,'When Equipped:',100,0,0),
(90124,10184898,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(90125,10184898,'Cannot be modified except by direct means',100,2,2),
(90126,121700,'Increases AGI of caster by 20.4',100,1,0),
(90127,121700,'Adds 2.2% to base avoidance.',100,1,1),
(90128,121700,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(90129,121700,'Increases Parry of caster by 11.3',100,1,3),
(90130,121700,'Increases Defense of caster by 15.1',100,1,4),
(90131,10121700,'Increases AGI of caster by 20.4',100,1,0),
(90132,10121700,'Adds 2.2% to base avoidance.',100,1,1),
(90133,10121700,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(90134,10121700,'Increases Parry of caster by 11.3',100,1,3),
(90135,10121700,'Increases Defense of caster by 15.1',100,1,4),
(90136,48300,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(90137,48300,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(90138,48300,'Inflicts 256 poison damage on target',100,2,2),
(90139,48300,'Cannot be modified except by direct means',100,2,3),
(90140,48300,'Grants a total of 100 triggers of the spell.',100,2,4),
(90141,10048300,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(90142,10048300,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(90143,10048300,'Inflicts 269 poison damage on target',100,2,2),
(90144,10048300,'Cannot be modified except by direct means',100,2,3),
(90145,10048300,'Grants a total of 100 triggers of the spell.',100,2,4),
(90146,24599,'Adds Orc-Snow (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(90147,10024599,'Adds Orc-Snow (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(90148,87499,'When Equipped:',100,0,0),
(90149,87499,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90150,87499,'Inflicts 93 - 139 magic damage on target',100,2,2),
(90151,87499,'Cannot be modified except by direct means',100,2,3),
(90152,10087499,'When Equipped:',100,0,0),
(90153,10087499,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90154,10087499,'Inflicts 130 - 194 magic damage on target',100,2,2),
(90155,10087499,'Cannot be modified except by direct means',100,2,3),
(90156,112284,'Inflicts 16 - 19 disease damage on target',100,1,0),
(90157,112284,'Inflicts 8 - 9 disease damage on target every 3 seconds',100,1,1),
(90158,112284,'Increases Threat to target by 102 - 125  instantly and by 19 - 23  every 3 seconds thereafter',100,1,2),
(90159,10112284,'Inflicts 11 - 13 disease damage on target every 3 seconds',100,1,0),
(90160,10112284,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(90161,107875,'Decreases Mitigation of target vs elemental damage by 2310',100,1,0),
(90162,107875,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(90163,107875,'Slows target by 63.3%',100,2,2),
(90164,107875,'5% chance to dispel when target receives hostile action',100,2,3),
(90165,107875,'5% chance to dispel when target takes damage',100,2,4),
(90166,10107875,'Decreases Mitigation of target vs elemental damage by 2310',100,1,0),
(90167,10107875,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(90168,10107875,'Slows target by 63.3%',100,2,2),
(90169,10107875,'5% chance to dispel when target receives hostile action',100,2,3),
(90170,10107875,'5% chance to dispel when target takes damage',100,2,4),
(90171,102735,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(90172,102735,'Stuns target',100,2,1),
(90173,102735,'If Target is not Epic',100,3,2),
(90174,102735,'Inflicts 140 - 234 divine damage on target',100,2,3),
(90175,102735,'Inflicts 120 - 200 divine damage on target',100,2,4),
(90176,102735,'If target is undead',100,3,5),
(90177,10102735,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(90178,10102735,'Stuns target',100,2,1),
(90179,10102735,'Inflicts 295 - 491 divine damage on target',100,2,2),
(90180,10102735,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(90181,106310,'Decreases INT and STR of target by 26.7',100,1,0),
(90182,10106310,'Decreases INT and STR of target by 26.7',100,1,0),
(90183,123035,'Summons 12 limited pets to aid the caster',100,1,0),
(90184,10123035,'Summons 12 limited pets to aid the caster',100,1,0),
(90185,191385,'When Equipped:',100,0,0),
(90186,191385,'Increases healing received by 3.00%',100,1,1),
(90187,191385,'Increases Max Health of caster by 3.0%',100,1,2),
(90188,191385,'Must not be engaged in pvp combat',100,1,3),
(90189,10191385,'When Equipped:',100,0,0),
(90190,10191385,'Increases healing received by 3.00%',100,1,1),
(90191,10191385,'Increases Max Health of caster by 3.0%',100,1,2),
(90192,10191385,'Must not be engaged in pvp combat',100,1,3),
(90193,81120,'When Equipped:',100,0,0),
(90194,81120,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90195,81120,'Inflicts 178 - 331 magic damage on target',100,2,2),
(90196,81120,'Cannot be modified except by direct means',100,2,3),
(90197,10081120,'When Equipped:',100,0,0),
(90198,10081120,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90199,10081120,'Inflicts 249 - 463 magic damage on target',100,2,2),
(90200,10081120,'Cannot be modified except by direct means',100,2,3),
(90201,81555,'When Equipped:',100,0,0),
(90202,81555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90203,81555,'Inflicts 144 - 268 magic damage on target',100,2,2),
(90204,81555,'Cannot be modified except by direct means',100,2,3),
(90205,10081555,'When Equipped:',100,0,0),
(90206,10081555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90207,10081555,'Inflicts 202 - 375 magic damage on target',100,2,2),
(90208,10081555,'Cannot be modified except by direct means',100,2,3),
(90209,106333,'Decreases INT and STR of target by 98.6',100,1,0),
(90210,10106333,'Decreases INT and STR of target by 98.6',100,1,0),
(90211,113139,'Shapechanges caster into a lich',100,1,0),
(90212,113139,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,1),
(90213,113139,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(90214,113139,'Inflicts 118 disease damage on target',100,2,3),
(90215,113139,'Heals caster for 58',100,2,4),
(90216,10113139,'Shapechanges caster into a lich',100,1,0),
(90217,10113139,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,1),
(90218,10113139,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(90219,10113139,'Inflicts 165 disease damage on target',100,2,3),
(90220,10113139,'Heals caster for 38',100,2,4),
(90221,37556,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(90222,120248,'Inflicts 253 - 422 crushing damage on target',100,1,0),
(90223,10120248,'Inflicts 329 - 549 crushing damage on target',100,1,0),
(90224,123447,'Shapechanges caster into a bear',100,1,0),
(90225,123447,'Increases WIS of caster by 30.4',100,1,1),
(90226,123447,'Grants See Stealth to caster',100,1,2),
(90227,123447,'Increases Max Health of caster by 81.7',100,1,3),
(90228,123447,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 451',100,1,4),
(90229,10123447,'Shapechanges caster into a bear',100,1,0),
(90230,10123447,'Increases WIS of caster by 30.4',100,1,1),
(90231,10123447,'Grants See Stealth to caster',100,1,2),
(90232,10123447,'Increases Max Health of caster by 81.7',100,1,3),
(90233,10123447,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 451',100,1,4),
(90234,112661,'Inflicts 275 - 459 disease damage on target',100,1,0),
(90235,112661,'Inflicts 275 - 459 disease damage on target',100,1,1),
(90236,112661,'Roots target',100,1,2),
(90237,112661,'If Target is not Epic',100,2,3),
(90238,112661,'15% chance to dispel when target takes damage',100,1,4),
(90239,112661,'If weapon equipped in Ranged',100,1,5),
(90240,112661,'Resistibility increases against targets higher than level 110.',100,1,6),
(90241,10112661,'Inflicts 234 - 390 disease damage on target',100,1,0),
(90242,10112661,'Inflicts 234 - 390 disease damage on target',100,1,1),
(90243,10112661,'Roots target',100,1,2),
(90244,10112661,'If Target is not Epic',100,2,3),
(90245,10112661,'15% chance to dispel when target takes damage',100,1,4),
(90246,10112661,'If weapon equipped in Ranged',100,1,5),
(90247,10112661,'Resistibility increases against targets higher than level 110.',100,1,6),
(90248,116032,'Prevents target from changing targets',100,1,0),
(90249,116032,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(90250,116032,'Increases Threat to target by 2,051 - 2,507  instantly and by 1,305 - 1,595  every 4 seconds thereafter',100,2,2),
(90251,116032,'Increases Threat to target by 3,729 - 4,558  instantly and by 2,331 - 2,849  every 2 seconds thereafter',100,1,3),
(90252,116032,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(90253,116032,'Increases threat priority of target by 4 positions',100,1,5),
(90254,116032,'Must be not at the top of the hate list of your current target.',100,1,6),
(90255,10116032,'Prevents target from changing targets',100,1,0),
(90256,10116032,'Forces target to change their selected target to caster.',100,1,1),
(90257,10116032,'Must be not at the top of the hate list of your current target.',100,1,2),
(90258,47086,'Applies Most Wanted Poster when Activated.',100,0,0),
(90259,47086,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(90260,47086,'If between levels 40 - 49',100,1,2),
(90261,47086,'Cannot be modified except by direct means',100,1,3),
(90262,10047086,'Applies Most Wanted Poster when Activated.',100,0,0),
(90263,10047086,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(90264,10047086,'If between levels 40 - 49',100,1,2),
(90265,10047086,'Cannot be modified except by direct means',100,1,3),
(90266,104797,'Increases caster''s chance to block by 10.0%',100,1,0),
(90267,104797,'Decreases Attack Speed of caster by 14.0',100,1,1),
(90268,104797,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(90269,104797,'Increases Parry of caster by 16.8',100,1,3),
(90270,104797,'Increases Defense of caster by 16.8',100,1,4),
(90271,10104797,'Increases caster''s chance to block by 10.0%',100,1,0),
(90272,10104797,'Decreases Attack Speed of caster by 14.0',100,1,1),
(90273,10104797,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(90274,10104797,'Increases Parry of caster by 16.8',100,1,3),
(90275,10104797,'Increases Defense of caster by 16.8',100,1,4),
(90276,110355,'Increases STR and AGI of group members (AE) by 8.1',100,1,0),
(90277,110355,'Adds 2.2% to base avoidance.',100,1,1),
(90278,10110355,'Increases STR and AGI of group members (AE) by 8.1',100,1,0),
(90279,10110355,'Adds 2.2% to base avoidance.',100,1,1),
(90280,159880,'Applies Lambent Imbued when Equipped.',100,0,0),
(90281,159880,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(90282,159880,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(90283,159880,'Cannot be modified except by direct means',100,2,3),
(90284,10159880,'Applies Lambent Imbued when Equipped.',100,0,0),
(90285,10159880,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(90286,10159880,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(90287,10159880,'Cannot be modified except by direct means',100,2,3),
(90288,46322,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(90289,46322,'Launches a firework when used.',100,1,1),
(90290,10046322,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(90291,10046322,'Launches a firework when used.',100,1,1),
(90292,119923,'Stifles target',100,1,0),
(90293,119923,'Inflicts 310 - 379 mental damage on target',100,1,1),
(90294,119923,'Inflicts 103 - 126 mental damage on target every 2.3 seconds',100,1,2),
(90295,119923,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,3),
(90296,119923,'Resistibility increases against targets higher than level 87.',100,1,4),
(90297,10119923,'Stifles target',100,1,0),
(90298,10119923,'Inflicts 434 - 530 mental damage on target',100,1,1),
(90299,10119923,'Inflicts 145 - 177 mental damage on target every second',100,1,2),
(90300,10119923,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(90301,10119923,'Resistibility increases against targets higher than level 87.',100,1,4),
(90302,163367,'When Equipped:',100,0,0),
(90303,163367,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(90304,163367,'Inflicts 2344 heat damage on target',100,2,2),
(90305,163367,'Heals caster for 2100',100,2,3),
(90306,163367,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(90307,163367,'Cannot be modified except by direct means',100,2,5),
(90308,163367,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(90309,163367,'Inflicts 2344 heat damage on target',100,2,7),
(90310,163367,'Heals caster for 2100',100,2,8),
(90311,163367,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(90312,163367,'Cannot be modified except by direct means',100,2,10),
(90313,10163367,'When Equipped:',100,0,0),
(90314,10163367,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(90315,10163367,'Inflicts 3282 heat damage on target',100,2,2),
(90316,10163367,'Heals caster for 2456',100,2,3),
(90317,10163367,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(90318,10163367,'Cannot be modified except by direct means',100,2,5),
(90319,10163367,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(90320,10163367,'Inflicts 3282 heat damage on target',100,2,7),
(90321,10163367,'Heals caster for 2456',100,2,8),
(90322,10163367,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(90323,10163367,'Cannot be modified except by direct means',100,2,10),
(90324,26880,'When Equipped:',100,0,0),
(90325,26880,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(90326,10026880,'When Equipped:',100,0,0),
(90327,10026880,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(90328,79447,'When Equipped:',100,0,0),
(90329,79447,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90330,79447,'Inflicts 34 - 41 divine damage on target',100,2,2),
(90331,79447,'Cannot be modified except by direct means',100,2,3),
(90332,10079447,'When Equipped:',100,0,0),
(90333,10079447,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90334,10079447,'Inflicts 47 - 58 divine damage on target',100,2,2),
(90335,10079447,'Cannot be modified except by direct means',100,2,3),
(90336,80741,'When Equipped:',100,0,0),
(90337,80741,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90338,80741,'Inflicts 71 - 132 magic damage on target',100,2,2),
(90339,80741,'Cannot be modified except by direct means',100,2,3),
(90340,10080741,'When Equipped:',100,0,0),
(90341,10080741,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90342,10080741,'Inflicts 100 - 185 magic damage on target',100,2,2),
(90343,10080741,'Cannot be modified except by direct means',100,2,3),
(90344,103093,'Decreases Attack Speed of target by 18.4',100,1,0),
(90345,103093,'Inflicts 64 - 107 crushing damage on target',100,1,1),
(90346,10103093,'Decreases Attack Speed of target by 18.4',100,1,0),
(90347,10103093,'Inflicts 84 - 140 crushing damage on target',100,1,1),
(90348,106840,'Decreases Crushing, Piercing, Slashing and Ranged of target by 21.4',100,1,0),
(90349,10106840,'Decreases Crushing, Piercing, Slashing and Ranged of target by 21.4',100,1,0),
(90350,101701,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(90351,101701,'Inflicts 609 - 744 disease damage on target',100,2,1),
(90352,101701,'Grants a total of 3 triggers of the spell.',100,2,2),
(90353,10101701,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(90354,10101701,'Inflicts 852 - 1042 disease damage on target',100,2,1),
(90355,10101701,'Grants a total of 3 triggers of the spell.',100,2,2),
(90356,119793,'Inflicts 84 - 140 melee damage on target',100,1,0),
(90357,119793,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(90358,119793,'Grants stealth to caster',100,2,2),
(90359,119793,'Suspends caster''s movement speed enhancements',100,2,3),
(90360,119793,'Must be flanking or behind',100,1,4),
(90361,10119793,'Inflicts 109 - 182 melee damage on target',100,1,0),
(90362,10119793,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(90363,10119793,'Grants stealth to caster',100,2,2),
(90364,10119793,'Suspends caster''s movement speed enhancements',100,2,3),
(90365,10119793,'Must be flanking or behind',100,1,4),
(90366,36477,'Increases AGI and STA of target by 5.8',100,0,0),
(90367,36477,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(90368,36477,'Increases Attack Speed of target by 10.0',100,0,2),
(90369,118494,'Summons a limited pet to aid the caster',100,1,0),
(90370,10118494,'Summons a limited pet to aid the caster',100,1,0),
(90371,117534,'Increases AGI, INT and WIS of group members (AE) by 56.8',100,1,0),
(90372,117534,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 218',100,1,1),
(90373,10117534,'Increases AGI, INT and WIS of group members (AE) by 56.8',100,1,0),
(90374,10117534,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 218',100,1,1),
(90375,79871,'When Equipped:',100,0,0),
(90376,79871,'On a hostile spell hit this spell may cast Hammer of the Tribunal on target of spell.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90377,79871,'Stuns target',100,2,2),
(90378,79871,'Inflicts 260 - 390 divine damage on target',100,2,3),
(90379,79871,'Epic targets gain an immunity to Stun effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(90380,79871,'Resistibility increases against targets higher than level 103.',100,2,5),
(90381,79871,'Cannot be modified except by direct means',100,2,6),
(90382,10079871,'When Equipped:',100,0,0),
(90383,10079871,'On a hostile spell hit this spell may cast Hammer of the Tribunal on target of spell.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90384,10079871,'Stuns target',100,2,2),
(90385,10079871,'Inflicts 364 - 546 divine damage on target',100,2,3),
(90386,10079871,'Epic targets gain an immunity to Stun effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(90387,10079871,'Resistibility increases against targets higher than level 103.',100,2,5),
(90388,10079871,'Cannot be modified except by direct means',100,2,6),
(90389,111614,'Inflicts 78 - 145 cold damage on target instantly and every 4 seconds',100,1,0),
(90390,111614,'Decreases Mitigation of target vs elemental damage by 1070',100,1,1),
(90391,10111614,'Inflicts 109 - 203 cold damage on target instantly and every 4 seconds',100,1,0),
(90392,10111614,'Decreases Mitigation of target vs elemental damage by 1070',100,1,1),
(90393,26452,'When Equipped:',100,0,0),
(90394,26452,'Increases all poison damage by up to 30.',100,1,1),
(90395,10026452,'When Equipped:',100,0,0),
(90396,10026452,'Increases all poison damage by up to 30.',100,1,1),
(90397,122092,'Increases STA and INT of group members (AE) by 42.2',100,1,0),
(90398,10122092,'Increases STA and INT of group members (AE) by 42.2',100,1,0),
(90399,135210,'When Equipped:',100,0,0),
(90400,135210,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(90401,135210,'Wards target against 2800 points of all damage',100,2,2),
(90402,135210,'Cannot be modified except by direct means',100,2,3),
(90403,10135210,'When Equipped:',100,0,0),
(90404,10135210,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(90405,10135210,'Wards target against 2800 points of all damage',100,2,2),
(90406,10135210,'Cannot be modified except by direct means',100,2,3),
(90407,52774,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(90408,52774,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(90409,52774,'Inflicts 142 heat damage on target',100,2,2),
(90410,52774,'Cannot be modified except by direct means',100,2,3),
(90411,10052774,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(90412,10052774,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(90413,10052774,'Inflicts 198 heat damage on target',100,2,2),
(90414,10052774,'Cannot be modified except by direct means',100,2,3),
(90415,51322,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(90416,51322,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(90417,51322,'Inflicts 40 heat damage on target',100,2,2),
(90418,51322,'Cannot be modified except by direct means',100,2,3),
(90419,10051322,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(90420,10051322,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(90421,10051322,'Inflicts 57 heat damage on target',100,2,2),
(90422,10051322,'Cannot be modified except by direct means',100,2,3),
(90423,113643,'Interrupts target encounter',100,1,0),
(90424,113643,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 36.7',100,1,1),
(90425,10113643,'Interrupts target encounter',100,1,0),
(90426,10113643,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 36.7',100,1,1),
(90427,177511,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(90428,177511,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(90429,177511,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(90430,177511,'Cannot be modified except by direct means',100,2,3),
(90431,10177511,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(90432,10177511,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(90433,10177511,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(90434,10177511,'Cannot be modified except by direct means',100,2,3),
(90435,110225,'Interrupts target',100,1,0),
(90436,110225,'Inflicts 236 - 393 crushing damage on target',100,1,1),
(90437,10110225,'Interrupts target',100,1,0),
(90438,10110225,'Inflicts 306 - 511 crushing damage on target',100,1,1),
(90439,100478,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(90440,100478,'Decreases Threat to target by 86 ',100,2,1),
(90441,100478,'If not fighter',100,2,2),
(90442,100478,'Decreases Hate Gain of group members (AE) by 20.1%',100,1,3),
(90443,100478,'If not fighter',100,2,4),
(90444,10100478,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(90445,10100478,'If not fighter',100,2,1),
(90446,10100478,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(90447,10100478,'Inflicts 71 - 78 crushing damage on target',100,2,3),
(90448,10100478,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(90449,10100478,'If not fighter',100,2,5),
(90450,10100478,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(90451,10100478,'If not fighter',100,2,7),
(90452,10100478,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(90453,10100478,'If not fighter',100,2,9),
(90454,106492,'Decreases STR and AGI of target by 52.5',100,1,0),
(90455,10106492,'Decreases STR and AGI of target by 52.5',100,1,0),
(90456,112922,'Increases Damage Per Second of caster by 70.6',100,1,0),
(90457,112922,'Increases Ranged of caster by 33.2',100,1,1),
(90458,10112922,'Increases Damage Per Second of caster by 70.6',100,1,0),
(90459,10112922,'Increases Ranged of caster by 33.2',100,1,1),
(90460,159555,'Applies Lambent Imbued when Equipped.',100,0,0),
(90461,159555,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(90462,159555,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(90463,159555,'Cannot be modified except by direct means',100,2,3),
(90464,10159555,'Applies Lambent Imbued when Equipped.',100,0,0),
(90465,10159555,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(90466,10159555,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(90467,10159555,'Cannot be modified except by direct means',100,2,3),
(90468,113684,'Stuns target',100,1,0),
(90469,113684,'If Target is not Epic',100,2,1),
(90470,113684,'Inflicts 543 - 905 heat damage on target',100,1,2),
(90471,113684,'Resistibility increases against targets higher than level 59.',100,1,3),
(90472,10113684,'Stuns target',100,1,0),
(90473,10113684,'If Target is not Epic',100,2,1),
(90474,10113684,'Inflicts 760 - 1267 heat damage on target',100,1,2),
(90475,10113684,'Resistibility increases against targets higher than level 59.',100,1,3),
(90476,48293,'Applies Summon Ally when Activated.',100,0,0),
(90477,48293,'Teleports target to caster',100,1,1),
(90478,48293,'This effect cannot be cast during combat',100,1,2),
(90479,10048293,'Applies Summon Ally when Activated.',100,0,0),
(90480,10048293,'Teleports target to caster',100,1,1),
(90481,10048293,'This effect cannot be cast during combat',100,1,2),
(90482,124657,'Inflicts 1005 - 1228 cold damage on target encounter',100,1,0),
(90483,124657,'Decreases Piercing, Slashing and Crushing of target encounter by 25.2',100,1,1),
(90484,10124657,'Inflicts 1406 - 1719 cold damage on target encounter',100,1,0),
(90485,10124657,'Decreases Piercing, Slashing and Crushing of target encounter by 25.2',100,1,1),
(90486,107558,'Heals target for 113 - 139',100,1,0),
(90487,107558,'Heals target for 15 - 18 every second',100,1,1),
(90488,10107558,'Heals target for 74 - 90',100,1,0),
(90489,10107558,'Heals target for 9 - 12 every second',100,1,1),
(90490,108442,'Increases INT, AGI, STR and WIS of group members (AE) by 72.6',100,1,0),
(90491,108442,'Adds 1.9% to base avoidance.',100,1,1),
(90492,108442,'Increases Ability Reuse Speed of group members (AE) by 6.6%',100,1,2),
(90493,108442,'Increases Attack Speed of group members (AE) by 45.1',100,1,3),
(90494,108442,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 213',100,1,4),
(90495,10108442,'Increases INT, AGI, STR and WIS of group members (AE) by 72.6',100,1,0),
(90496,10108442,'Adds 1.9% to base avoidance.',100,1,1),
(90497,10108442,'Increases Ability Reuse Speed of group members (AE) by 6.6%',100,1,2),
(90498,10108442,'Increases Attack Speed of group members (AE) by 45.1',100,1,3),
(90499,10108442,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 213',100,1,4),
(90500,123737,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(90501,10123737,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(90502,81516,'When Equipped:',100,0,0),
(90503,81516,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(90504,81516,'Inflicts 144 - 268 magic damage on target',100,2,2),
(90505,81516,'Decreases Threat to target by 376 ',100,2,3),
(90506,81516,'Must be flanking or behind',100,3,4),
(90507,81516,'Increases Threat to target by 376 ',100,2,5),
(90508,81516,'Must be in front of',100,3,6),
(90509,81516,'Cannot be modified except by direct means',100,2,7),
(90510,10081516,'When Equipped:',100,0,0),
(90511,10081516,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(90512,10081516,'Inflicts 202 - 375 magic damage on target',100,2,2),
(90513,10081516,'Cannot be modified except by direct means',100,2,3),
(90514,111115,'Heals target for 18.8 - 23.0% of max health',100,1,0),
(90515,111115,'This effect cannot be critically applied.',100,2,1),
(90516,111115,'Increases Mitigation of target vs physical damage by 358',100,1,2),
(90517,111115,'The healing of this spell cannot be modified except by direct means',100,1,3),
(90518,10111115,'Heals target for 7.1 - 8.6% of max health',100,1,0),
(90519,10111115,'This effect cannot be critically applied.',100,2,1),
(90520,10111115,'Increases Mitigation of target vs physical damage by 358',100,1,2),
(90521,10111115,'The healing of this spell cannot be modified except by direct means',100,1,3),
(90522,108826,'Inflicts 806 - 1497 heat damage on targets in Area of Effect',100,1,0),
(90523,10108826,'Inflicts 1129 - 2096 heat damage on targets in Area of Effect',100,1,0),
(90524,35894,'Increases AGI of target by 1.6',100,0,0),
(90525,35894,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(90526,110813,'Inflicts 44 - 59 mental damage on target',100,1,0),
(90527,110813,'Interrupts target',100,1,1),
(90528,10110813,'Inflicts 62 - 83 mental damage on target',100,1,0),
(90529,10110813,'Interrupts target',100,1,1),
(90530,117626,'Inflicts 917 - 1528 ranged damage on target',100,1,0),
(90531,117626,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(90532,117626,'Slows target by 58.0%',100,2,2),
(90533,117626,'5% chance to dispel when target receives hostile action',100,2,3),
(90534,117626,'5% chance to dispel when target takes damage',100,2,4),
(90535,117626,'Must be flanking or behind',100,1,5),
(90536,117626,'Requires bow',100,1,6),
(90537,10117626,'Inflicts 779 - 1299 ranged damage on target',100,1,0),
(90538,10117626,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(90539,10117626,'Slows target by 58.0%',100,2,2),
(90540,10117626,'5% chance to dispel when target receives hostile action',100,2,3),
(90541,10117626,'5% chance to dispel when target takes damage',100,2,4),
(90542,10117626,'Must be flanking or behind',100,1,5),
(90543,10117626,'Requires bow',100,1,6),
(90544,45489,'Applies Chaos Spark when Activated.  Lasts for 25.0 seconds.',100,0,0),
(90545,45489,'Inflicts 5.0% of max health in disease damage on caster instantly and every 5 seconds',100,1,1),
(90546,10045489,'Applies Chaos Spark when Activated.  Lasts for 25.0 seconds.',100,0,0),
(90547,10045489,'Inflicts 7.0% of max health in disease damage on caster instantly and every 5 seconds',100,1,1),
(90548,51319,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(90549,51319,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(90550,51319,'Inflicts 29 heat damage on target',100,2,2),
(90551,51319,'Cannot be modified except by direct means',100,2,3),
(90552,10051319,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(90553,10051319,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(90554,10051319,'Inflicts 41 heat damage on target',100,2,2),
(90555,10051319,'Cannot be modified except by direct means',100,2,3),
(90556,89499,'When Equipped:',100,0,0),
(90557,89499,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(90558,10089499,'When Equipped:',100,0,0),
(90559,10089499,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(90560,121341,'Inflicts 3151 - 5252 ranged damage on targets in area',100,1,0),
(90561,121341,'Requires bow',100,1,1),
(90562,10121341,'Inflicts 2410 - 4017 ranged damage on targets in area',100,1,0),
(90563,10121341,'Requires bow',100,1,1),
(90564,27370,'When Equipped:',100,0,0),
(90565,27370,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(90566,27370,'Inflicts 121 heat damage on target',100,2,2),
(90567,27370,'Inflicts 15 heat damage on target every 5 seconds',100,2,3),
(90568,27370,'Cannot be modified except by direct means',100,2,4),
(90569,10027370,'When Equipped:',100,0,0),
(90570,10027370,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(90571,10027370,'Inflicts 170 heat damage on target',100,2,2),
(90572,10027370,'Inflicts 21 heat damage on target every 5 seconds',100,2,3),
(90573,10027370,'Cannot be modified except by direct means',100,2,4),
(90574,152577,'When Equipped:',100,0,0),
(90575,152577,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(90576,10152577,'When Equipped:',100,0,0),
(90577,10152577,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(90578,110835,'Inflicts 169 - 228 mental damage on target',100,1,0),
(90579,110835,'Interrupts target',100,1,1),
(90580,10110835,'Inflicts 236 - 320 mental damage on target',100,1,0),
(90581,10110835,'Interrupts target',100,1,1),
(90582,111840,'Inflicts 307 - 512 melee damage on target',100,1,0),
(90583,111840,'Roots target',100,1,1),
(90584,111840,'If Target is not Epic',100,2,2),
(90585,111840,'Resistibility increases against targets higher than level 98.',100,1,3),
(90586,10111840,'Inflicts 360 - 600 melee damage on target',100,1,0),
(90587,10111840,'Roots target',100,1,1),
(90588,10111840,'If Target is not Epic',100,2,2),
(90589,10111840,'Resistibility increases against targets higher than level 98.',100,1,3),
(90590,107819,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(90591,107819,'Increases Hate Gain of target by 8.2%',100,1,1),
(90592,124141,'Inflicts 144 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(90593,124141,'Applies Banshee''s Scream on termination.',100,1,1),
(90594,124141,'Inflicts 431 - 719 disease damage on target',100,2,2),
(90595,10124141,'Inflicts 201 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(90596,10124141,'Applies Banshee''s Scream on termination.',100,1,1),
(90597,10124141,'Inflicts 604 - 1007 disease damage on target',100,2,2),
(90598,45791,'Applies Expand Vault when Activated.',100,0,0),
(90599,45791,'Increases the maximum vault storage in a house by 1.',100,1,1),
(90600,45791,'Must be in your own house.',100,1,2),
(90601,10045791,'Applies Expand Vault when Activated.',100,0,0),
(90602,10045791,'Increases the maximum vault storage in a house by 1.',100,1,1),
(90603,10045791,'Must be in your own house.',100,1,2),
(90604,80189,'When Equipped:',100,0,0),
(90605,80189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90606,80189,'Inflicts 201 - 374 magic damage on target',100,2,2),
(90607,80189,'Cannot be modified except by direct means',100,2,3),
(90608,10080189,'When Equipped:',100,0,0),
(90609,10080189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90610,10080189,'Inflicts 282 - 523 magic damage on target',100,2,2),
(90611,10080189,'Cannot be modified except by direct means',100,2,3),
(90612,35723,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(90613,108180,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',100,1,0),
(90614,10108180,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',100,1,0),
(90615,103153,'Throws target back',100,1,0),
(90616,103153,'If Target is not Epic',100,2,1),
(90617,103153,'Inflicts 52 - 157 crushing damage on target',100,1,2),
(90618,103153,'Stuns target',100,1,3),
(90619,103153,'If Target is not Epic',100,2,4),
(90620,103153,'Resistibility increases against targets higher than level 56.',100,1,5),
(90621,10103153,'Throws target back',100,1,0),
(90622,10103153,'If Target is not Epic',100,2,1),
(90623,10103153,'Inflicts 68 - 205 crushing damage on target',100,1,2),
(90624,10103153,'Stuns target',100,1,3),
(90625,10103153,'If Target is not Epic',100,2,4),
(90626,10103153,'Resistibility increases against targets higher than level 56.',100,1,5),
(90627,111292,'Inflicts 288 - 480 divine damage on target',100,1,0),
(90628,111292,'Inflicts 115 - 192 divine damage on target every 4 seconds',100,1,1),
(90629,10111292,'Inflicts 374 - 624 divine damage on target',100,1,0),
(90630,10111292,'Inflicts 162 - 269 divine damage on target every 4 seconds',100,1,1),
(90631,159365,'Applies Sanguine Imbued when Equipped.',100,0,0),
(90632,159365,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(90633,159365,'Inflicts 139 heat damage on target',100,2,2),
(90634,159365,'Cannot be modified except by direct means',100,2,3),
(90635,10159365,'Applies Sanguine Imbued when Equipped.',100,0,0),
(90636,10159365,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(90637,10159365,'Inflicts 194 heat damage on target',100,2,2),
(90638,10159365,'Cannot be modified except by direct means',100,2,3),
(90639,71985,'When Equipped:',100,0,0),
(90640,71985,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90641,71985,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(90642,71985,'Cannot be modified except by direct means',100,2,3),
(90643,10071985,'When Equipped:',100,0,0),
(90644,10071985,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90645,10071985,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(90646,10071985,'Cannot be modified except by direct means',100,2,3),
(90647,50537,'When Equipped:',100,0,0),
(90648,50537,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90649,50537,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(90650,50537,'Cannot be modified except by direct means',100,2,3),
(90651,10050537,'When Equipped:',100,0,0),
(90652,10050537,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90653,10050537,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(90654,10050537,'Cannot be modified except by direct means',100,2,3),
(90655,26114,'When Equipped:',100,0,0),
(90656,26114,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(90657,26114,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(90658,10026114,'When Equipped:',100,0,0),
(90659,10026114,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(90660,10026114,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(90661,45474,'Applies Unroll Carpet of El''khazi when Activated.',100,0,0),
(90662,45474,'Reduces maximum falling speed of caster',100,1,1),
(90663,45474,'Summons a mount to ride',100,1,2),
(90664,45474,'Increases your ground speed by 130%',100,2,3),
(90665,10045474,'Applies Unroll Carpet of El''khazi when Activated.',100,0,0),
(90666,10045474,'Reduces maximum falling speed of caster',100,1,1),
(90667,10045474,'Summons a mount to ride',100,1,2),
(90668,10045474,'Increases your ground speed by 130%',100,2,3),
(90669,109336,'Increases STR of caster by 86.3',100,1,0),
(90670,109336,'Decreases Defense of caster by 17.4',100,1,1),
(90671,109336,'Increases Slashing, Piercing and Crushing of caster by 24.8',100,1,2),
(90672,10109336,'Increases STR of caster by 86.3',100,1,0),
(90673,10109336,'Decreases Defense of caster by 17.4',100,1,1),
(90674,10109336,'Increases Slashing, Piercing and Crushing of caster by 24.8',100,1,2),
(90675,112578,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(90676,112578,'Heals targets in Area of Effect for 145 - 177',100,2,1),
(90677,112578,'Dispels 77 levels of physical hostile effects on target',100,2,2),
(90678,10112578,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(90679,10112578,'Heals targets in Area of Effect for 94 - 115',100,2,1),
(90680,10112578,'Dispels 77 levels of physical hostile effects on target',100,2,2),
(90681,82013,'When Equipped:',100,0,0),
(90682,82013,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90683,82013,'Inflicts 182 - 339 magic damage on target',100,2,2),
(90684,82013,'Cannot be modified except by direct means',100,2,3),
(90685,10082013,'When Equipped:',100,0,0),
(90686,10082013,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90687,10082013,'Inflicts 255 - 474 magic damage on target',100,2,2),
(90688,10082013,'Cannot be modified except by direct means',100,2,3),
(90689,113196,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(90690,113196,'Inflicts 19 magic damage on target',100,2,1),
(90691,113196,'Grants a total of 5 triggers of the spell.',100,2,2),
(90692,10113196,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(90693,10113196,'Inflicts 27 magic damage on target',100,2,1),
(90694,10113196,'Grants a total of 5 triggers of the spell.',100,2,2),
(90695,113303,'Inflicts 479 - 799 heat damage on target',100,1,0),
(90696,10113303,'Inflicts 944 - 1574 heat damage on target',100,1,0),
(90697,48194,'Applies Spirit of the Cockatrice when Activated.  Lasts for 30 minutes.',100,0,0),
(90698,48194,'Shapechanges caster into a cockatrice',100,1,1),
(90699,48194,'Increases Out-of-Combat Health Regeneration of caster by 228.0',100,1,2),
(90700,48194,'This effect suspends during combat',100,1,3),
(90701,48194,'Only affects targets level 70 and above',100,1,4),
(90702,10048194,'Applies Spirit of the Cockatrice when Activated.  Lasts for 30 minutes.',100,0,0),
(90703,10048194,'Shapechanges caster into a cockatrice',100,1,1),
(90704,10048194,'Increases Out-of-Combat Health Regeneration of caster by 228.0',100,1,2),
(90705,10048194,'This effect suspends during combat',100,1,3),
(90706,10048194,'Only affects targets level 70 and above',100,1,4),
(90707,103822,'Increases Ability Casting Speed of raid and group members (AE) by 4.5%',100,1,0),
(90708,103822,'Increases Attack Speed of raid and group members (AE) by 11.1',100,1,1),
(90709,10103822,'Increases Ability Casting Speed of raid and group members (AE) by 4.5%',100,1,0),
(90710,10103822,'Increases Attack Speed of raid and group members (AE) by 11.1',100,1,1),
(90711,36696,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(90712,48246,'Applies Plant the Statistics Standard when Activated.',100,0,0),
(90713,48246,'This guild standard grants the area a bonus to strength, agility, wisdom, and intelligence.',100,1,1),
(90714,10048246,'Applies Plant the Statistics Standard when Activated.',100,0,0),
(90715,10048246,'This guild standard grants the area a bonus to strength, agility, wisdom, and intelligence.',100,1,1),
(90716,80413,'When Equipped:',100,0,0),
(90717,80413,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(90718,80413,'Inflicts 61 - 113 magic damage on target',100,2,2),
(90719,80413,'Decreases Threat to target by 153 ',100,2,3),
(90720,80413,'Must be flanking or behind',100,3,4),
(90721,80413,'Increases Threat to target by 153 ',100,2,5),
(90722,80413,'Must be in front of',100,3,6),
(90723,80413,'Cannot be modified except by direct means',100,2,7),
(90724,10080413,'When Equipped:',100,0,0),
(90725,10080413,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(90726,10080413,'Inflicts 85 - 158 magic damage on target',100,2,2),
(90727,10080413,'Cannot be modified except by direct means',100,2,3),
(90728,35397,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(90729,110763,'Heals group members (AE) for 89 - 108 instantly and every 2 seconds',100,1,0),
(90730,10110763,'Heals group members (AE) for 58 - 70 instantly and every 2 seconds',100,1,0),
(90731,116474,'Applies Plane Shift: Earth.  Lasts for 1 minute.',100,1,0),
(90732,116474,'Makes target immune to Daze effects',100,2,1),
(90733,116474,'Makes target immune to Stifle effects',100,2,2),
(90734,116474,'Makes target immune to Fear effects',100,2,3),
(90735,116474,'Makes target immune to Root effects',100,2,4),
(90736,116474,'Makes target immune to Stun effects',100,2,5),
(90737,116474,'Shapechanges target into an Earth Construct',100,2,6),
(90738,116474,'Increases All Attributes of target by 56.0%',100,2,7),
(90739,116474,'Increases In-Combat Health Regeneration of target by 399.0',100,2,8),
(90740,116474,'Greatly increases maximum health',100,2,9),
(90741,116474,'Applies Plane Shift: Fire.  Lasts for 1 minute.',100,1,10),
(90742,116474,'Makes target immune to Stifle effects',100,2,11),
(90743,116474,'Enlarges target by 25.0%',100,2,12),
(90744,116474,'Shapechanges target into a Fire Devil',100,2,13),
(90745,116474,'Increases Crit Chance of target by 56.0',100,2,14),
(90746,116474,'Increases Ability Casting Speed of target by 56.0%',100,2,15),
(90747,116474,'Increases Attack Speed of target by 56.0',100,2,16),
(90748,116474,'Greatly increases maximum health',100,2,17),
(90749,116474,'Applies Plane Shift: Air.  Lasts for 1 minute.',100,1,18),
(90750,116474,'Shapechanges target into an Air Avenger',100,2,19),
(90751,116474,'Enlarges target by 25.0%',100,2,20),
(90752,116474,'Increases Attack Speed of target by 56.0',100,2,21),
(90753,116474,'Increases Crit Chance of target by 56.0',100,2,22),
(90754,116474,'Increases Ability Reuse Speed of target by 56.0%',100,2,23),
(90755,116474,'Increases in-combat movement speed of target by 84.0%',100,2,24),
(90756,116474,'Greatly increases maximum health',100,2,25),
(90757,116474,'Applies Plane Shift: Water.  Lasts for 1 minute.',100,1,26),
(90758,116474,'Makes target immune to Stifle effects',100,2,27),
(90759,116474,'Shapechanges target into a Water Construct',100,2,28),
(90760,116474,'Increases Attack Speed of target by 56.0',100,2,29),
(90761,116474,'Increases Ability Casting Speed of target by 56.0%',100,2,30),
(90762,116474,'Increases Crit Chance of target by 140.0',100,2,31),
(90763,116474,'Enlarges target by 350.0%',100,2,32),
(90764,116474,'Greatly increases maximum health',100,2,33),
(90765,116474,'You cannot cast Plane Shift immediately after Soulburn.',100,1,34),
(90766,10116474,'Applies Plane Shift: Earth.  Lasts for 1 minute.',100,1,0),
(90767,10116474,'Makes target immune to Daze effects',100,2,1),
(90768,10116474,'Makes target immune to Stifle effects',100,2,2),
(90769,10116474,'Makes target immune to Fear effects',100,2,3),
(90770,10116474,'Makes target immune to Root effects',100,2,4),
(90771,10116474,'Makes target immune to Stun effects',100,2,5),
(90772,10116474,'Shapechanges target into an Earth Construct',100,2,6),
(90773,10116474,'Increases All Attributes of target by 56.0%',100,2,7),
(90774,10116474,'Increases In-Combat Health Regeneration of target by 399.0',100,2,8),
(90775,10116474,'Greatly increases maximum health',100,2,9),
(90776,10116474,'Applies Plane Shift: Fire.  Lasts for 1 minute.',100,1,10),
(90777,10116474,'Makes target immune to Stifle effects',100,2,11),
(90778,10116474,'Enlarges target by 25.0%',100,2,12),
(90779,10116474,'Shapechanges target into a Fire Devil',100,2,13),
(90780,10116474,'Increases Crit Chance of target by 56.0',100,2,14),
(90781,10116474,'Increases Ability Casting Speed of target by 56.0%',100,2,15),
(90782,10116474,'Increases Attack Speed of target by 56.0',100,2,16),
(90783,10116474,'Greatly increases maximum health',100,2,17),
(90784,10116474,'Applies Plane Shift: Air.  Lasts for 1 minute.',100,1,18),
(90785,10116474,'Shapechanges target into an Air Avenger',100,2,19),
(90786,10116474,'Enlarges target by 25.0%',100,2,20),
(90787,10116474,'Increases Attack Speed of target by 56.0',100,2,21),
(90788,10116474,'Increases Crit Chance of target by 56.0',100,2,22),
(90789,10116474,'Increases Ability Reuse Speed of target by 56.0%',100,2,23),
(90790,10116474,'Increases in-combat movement speed of target by 84.0%',100,2,24),
(90791,10116474,'Greatly increases maximum health',100,2,25),
(90792,10116474,'Applies Plane Shift: Water.  Lasts for 1 minute.',100,1,26),
(90793,10116474,'Makes target immune to Stifle effects',100,2,27),
(90794,10116474,'Shapechanges target into a Water Construct',100,2,28),
(90795,10116474,'Increases Attack Speed of target by 56.0',100,2,29),
(90796,10116474,'Increases Ability Casting Speed of target by 56.0%',100,2,30),
(90797,10116474,'Increases Crit Chance of target by 140.0',100,2,31),
(90798,10116474,'Enlarges target by 350.0%',100,2,32),
(90799,10116474,'Greatly increases maximum health',100,2,33),
(90800,10116474,'You cannot cast Plane Shift immediately after Soulburn.',100,1,34),
(90801,150054,'When Equipped:',100,0,0),
(90802,150054,'This effect will not stack with itself.',100,1,1),
(90803,150054,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(90804,150054,'Heals target for 277 - 306 instantly and every 2 seconds',100,2,3),
(90805,150054,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(90806,150054,'Wards target against 4000 points of all damage',100,2,5),
(90807,150054,'Must not be engaged in pvp combat',100,2,6),
(90808,150054,'Cannot be modified except by direct means',100,2,7),
(90809,150054,'Must not be engaged in pvp combat',100,1,8),
(90810,150054,'When Equipped:',100,0,9),
(90811,150054,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(90812,150054,'Heals group members (AE) for 2624',100,2,11),
(90813,150054,'Heals group members (AE) for 875 every 5 seconds',100,2,12),
(90814,150054,'Must not be engaged in pvp combat',100,2,13),
(90815,150054,'Cannot be modified except by direct means',100,2,14),
(90816,150054,'Must not be engaged in pvp combat',100,1,15),
(90817,10150054,'When Equipped:',100,0,0),
(90818,10150054,'This effect will not stack with itself.',100,1,1),
(90819,10150054,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(90820,10150054,'Heals target for 324 - 358 instantly and every 2 seconds',100,2,3),
(90821,10150054,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(90822,10150054,'Wards target against 4000 points of all damage',100,2,5),
(90823,10150054,'Must not be engaged in pvp combat',100,2,6),
(90824,10150054,'Cannot be modified except by direct means',100,2,7),
(90825,10150054,'Must not be engaged in pvp combat',100,1,8),
(90826,10150054,'When Equipped:',100,0,9),
(90827,10150054,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(90828,10150054,'Heals group members (AE) for 3071',100,2,11),
(90829,10150054,'Heals group members (AE) for 1024 every 5 seconds',100,2,12),
(90830,10150054,'Must not be engaged in pvp combat',100,2,13),
(90831,10150054,'Cannot be modified except by direct means',100,2,14),
(90832,10150054,'Must not be engaged in pvp combat',100,1,15),
(90833,138451,'When Equipped:',100,0,0),
(90834,138451,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(90835,10138451,'When Equipped:',100,0,0),
(90836,10138451,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(90837,107923,'Mesmerizes target',100,1,0),
(90838,107923,'Prevents AOE (except when direct) ',100,1,1),
(90839,107923,'Dispelled when target takes damage',100,1,2),
(90840,107923,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(90841,107923,'Resistibility increases against targets higher than level 67.',100,1,4),
(90842,10107923,'Mesmerizes target',100,1,0),
(90843,10107923,'Prevents AOE (except when direct) ',100,1,1),
(90844,10107923,'Dispelled when target takes damage',100,1,2),
(90845,10107923,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(90846,10107923,'Resistibility increases against targets higher than level 67.',100,1,4),
(90847,82046,'When Equipped:',100,0,0),
(90848,82046,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90849,82046,'Inflicts 182 - 339 magic damage on target',100,2,2),
(90850,82046,'Cannot be modified except by direct means',100,2,3),
(90851,10082046,'When Equipped:',100,0,0),
(90852,10082046,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90853,10082046,'Inflicts 255 - 474 magic damage on target',100,2,2),
(90854,10082046,'Cannot be modified except by direct means',100,2,3),
(90855,134455,'When Equipped:',100,0,0),
(90856,134455,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(90857,134455,'Inflicts 1986 piercing damage on target',100,2,2),
(90858,134455,'Cannot be modified except by direct means',100,2,3),
(90859,10134455,'When Equipped:',100,0,0),
(90860,10134455,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(90861,10134455,'Inflicts 1390 piercing damage on target',100,2,2),
(90862,10134455,'Cannot be modified except by direct means',100,2,3),
(90863,83439,'When Equipped:',100,0,0),
(90864,83439,'On a hostile spell cast this spell may cast Malisement on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90865,83439,'Decreases Mitigation of target vs elemental and noxious damage by 936 - 1144',100,2,2),
(90866,83439,'Cannot be modified except by direct means',100,2,3),
(90867,10083439,'When Equipped:',100,0,0),
(90868,10083439,'On a hostile spell cast this spell may cast Malisement on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(90869,10083439,'Decreases Mitigation of target vs elemental and noxious damage by 936 - 1144',100,2,2),
(90870,10083439,'Cannot be modified except by direct means',100,2,3),
(90871,27172,'When Equipped:',100,0,0),
(90872,27172,'Increases Crit Chance of caster by 3.0',100,1,1),
(90873,10027172,'When Equipped:',100,0,0),
(90874,10027172,'Increases Crit Chance of caster by 3.0',100,1,1),
(90875,108466,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(90876,108466,'Increases Aggression of caster by 8.3',100,1,1),
(90877,108466,'Increases Defense and Parry of caster by 16.6',100,1,2),
(90878,108466,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(90879,10108466,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(90880,10108466,'Increases Aggression of caster by 8.3',100,1,1),
(90881,10108466,'Increases Defense and Parry of caster by 16.6',100,1,2),
(90882,10108466,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(90883,110477,'Stifles caster',100,1,0),
(90884,110477,'Increases power of caster by 12 instantly and every second',100,1,1),
(90885,10110477,'Stifles caster',100,1,0),
(90886,10110477,'Increases power of caster by 12 instantly and every second',100,1,1),
(90887,103883,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(90888,103883,'Slows target by 75.5%',100,2,1),
(90889,103883,'5% chance to dispel when target receives hostile action',100,2,2),
(90890,103883,'5% chance to dispel when target takes damage',100,2,3),
(90891,103883,'Decreases Mitigation of target vs noxious damage by 3302',100,1,4),
(90892,10103883,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(90893,10103883,'Slows target by 75.5%',100,2,1),
(90894,10103883,'5% chance to dispel when target receives hostile action',100,2,2),
(90895,10103883,'5% chance to dispel when target takes damage',100,2,3),
(90896,10103883,'Decreases Mitigation of target vs noxious damage by 3302',100,1,4),
(90897,113194,'Inflicts 19 - 26 magic damage on target',100,1,0),
(90898,10113194,'Inflicts 27 - 36 magic damage on target',100,1,0),
(90899,136065,'When Equipped:',100,0,0),
(90900,136065,'Applies Frosty Breath',100,1,1),
(90901,10136065,'When Equipped:',100,0,0),
(90902,10136065,'Applies Frosty Breath',100,1,1),
(90903,104700,'Inflicts 95 - 176 heat damage on targets in Area of Effect',100,1,0),
(90904,10104700,'Inflicts 133 - 247 heat damage on targets in Area of Effect',100,1,0),
(90905,41547,'When Equipped:',100,0,0),
(90906,41547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90907,41547,'Inflicts 104 - 194 magic damage on target',100,2,2),
(90908,41547,'Cannot be modified except by direct means',100,2,3),
(90909,10041547,'When Equipped:',100,0,0),
(90910,10041547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90911,10041547,'Inflicts 146 - 271 magic damage on target',100,2,2),
(90912,10041547,'Cannot be modified except by direct means',100,2,3),
(90913,121632,'Inflicts 714 - 2142 melee damage on target',100,1,0),
(90914,121632,'Dazes target',100,1,1),
(90915,121632,'If Target is not Epic',100,2,2),
(90916,121632,'Must be flanking or behind',100,1,3),
(90917,121632,'Resistibility increases against targets higher than level 102.',100,1,4),
(90918,10121632,'Inflicts 928 - 2785 melee damage on target',100,1,0),
(90919,10121632,'Dazes target',100,1,1),
(90920,10121632,'If Target is not Epic',100,2,2),
(90921,10121632,'Must be flanking or behind',100,1,3),
(90922,10121632,'Resistibility increases against targets higher than level 102.',100,1,4),
(90923,54412,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(90924,54412,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(90925,54412,'Inflicts 45 heat damage on target',100,2,2),
(90926,54412,'Cannot be modified except by direct means',100,2,3),
(90927,10054412,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(90928,10054412,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(90929,10054412,'Inflicts 63 heat damage on target',100,2,2),
(90930,10054412,'Cannot be modified except by direct means',100,2,3),
(90931,37344,'Increases STR of target by 1.6',100,0,0),
(90932,37344,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(90933,45973,'Applies Consume Essence when Activated.',100,0,0),
(90934,45973,'Heals group members (AE) for 152 - 186',100,1,1),
(90935,45973,'Dispels 53 levels of any hostile effects on caster',100,1,2),
(90936,10045973,'Applies Consume Essence when Activated.',100,0,0),
(90937,10045973,'Heals group members (AE) for 99 - 121',100,1,1),
(90938,10045973,'Dispels 53 levels of any hostile effects on caster',100,1,2),
(90939,123031,'Summons 12 limited pets to aid the caster',100,1,0),
(90940,10123031,'Summons 12 limited pets to aid the caster',100,1,0),
(90941,104237,'Increases Mitigation of group members (AE) vs physical damage by 234',100,1,0),
(90942,10104237,'Increases Mitigation of group members (AE) vs physical damage by 234',100,1,0),
(90943,81994,'When Equipped:',100,0,0),
(90944,81994,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(90945,81994,'Inflicts 182 - 339 magic damage on target',100,2,2),
(90946,81994,'Decreases Threat to target by 641 ',100,2,3),
(90947,81994,'Must be flanking or behind',100,3,4),
(90948,81994,'Increases Threat to target by 641 ',100,2,5),
(90949,81994,'Must be in front of',100,3,6),
(90950,81994,'Cannot be modified except by direct means',100,2,7),
(90951,10081994,'When Equipped:',100,0,0),
(90952,10081994,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(90953,10081994,'Inflicts 255 - 474 magic damage on target',100,2,2),
(90954,10081994,'Cannot be modified except by direct means',100,2,3),
(90955,79755,'When Equipped:',100,0,0),
(90956,79755,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90957,79755,'Inflicts 276 - 512 heat damage on target',100,2,2),
(90958,79755,'Cannot be modified except by direct means',100,2,3),
(90959,10079755,'When Equipped:',100,0,0),
(90960,10079755,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(90961,10079755,'Inflicts 386 - 717 heat damage on target',100,2,2),
(90962,10079755,'Cannot be modified except by direct means',100,2,3),
(90963,101004,'Increases INT of target by 101.3',100,1,0),
(90964,101004,'Increases Attack Speed of target by 40.5',100,1,1),
(90965,101004,'Decreases Defense and Parry of target by 30.1',100,1,2),
(90966,101004,'Increases Slashing, Piercing and Crushing of target by 22.1',100,1,3),
(90967,10101004,'Increases INT of target by 101.3',100,1,0),
(90968,10101004,'Increases Attack Speed of target by 40.5',100,1,1),
(90969,10101004,'Decreases Defense and Parry of target by 30.1',100,1,2),
(90970,10101004,'Increases Slashing, Piercing and Crushing of target by 22.1',100,1,3),
(90971,159262,'When Equipped:',100,0,0),
(90972,159262,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(90973,159262,'Increases AGI of caster by 4.7',100,2,2),
(90974,159262,'Increases Attack Speed of caster by 12.8',100,2,3),
(90975,159262,'Cannot be modified except by direct means',100,2,4),
(90976,10159262,'When Equipped:',100,0,0),
(90977,10159262,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(90978,10159262,'Increases AGI of caster by 4.7',100,2,2),
(90979,10159262,'Increases Attack Speed of caster by 12.8',100,2,3),
(90980,10159262,'Cannot be modified except by direct means',100,2,4),
(90981,115565,'Decreases Threat to targets in Area of Effect by 855 ',100,1,0),
(90982,115565,'Applies Disorientation.  Lasts for 10.0 seconds.',100,1,1),
(90983,115565,'Slows target by 75.0%',100,2,2),
(90984,115565,'Teleports target to a random location within 25 meters.',100,2,3),
(90985,115565,'10% chance to dispel when target takes damage',100,2,4),
(90986,115565,'If Target is not Epic',100,2,5),
(90987,10115565,'Applies Disorientation.  Lasts for 2.0 seconds.',100,1,0),
(90988,10115565,'Teleports target to a random location within 25 meters.',100,2,1),
(90989,10115565,'Forces target to clear their selected target.',100,2,2),
(90990,10115565,'Slows target by 75.0%',100,2,3),
(90991,10115565,'10% chance to dispel when target takes damage',100,2,4),
(90992,10115565,'If Target is not Epic',100,2,5),
(90993,24313,'Adds Drachnid (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(90994,10024313,'Adds Drachnid (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(90995,104109,'Roots target',100,1,0),
(90996,104109,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(90997,104109,'Makes target afraid',100,2,2),
(90998,104109,'Slows target by 17.4%',100,2,3),
(90999,104109,'30% chance to dispel when target takes damage',100,2,4),
(91000,104109,'Resistibility increases against targets higher than level 62.',100,2,5),
(91001,104109,'15% chance to dispel when target takes damage',100,1,6),
(91002,104109,'Does not affect Epic targets',100,1,7),
(91003,104109,'Resistibility increases against targets higher than level 62.',100,1,8),
(91004,10104109,'Roots target',100,1,0),
(91005,10104109,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(91006,10104109,'Makes target afraid',100,2,2),
(91007,10104109,'Slows target by 17.4%',100,2,3),
(91008,10104109,'30% chance to dispel when target takes damage',100,2,4),
(91009,10104109,'Resistibility increases against targets higher than level 62.',100,2,5),
(91010,10104109,'15% chance to dispel when target takes damage',100,1,6),
(91011,10104109,'Does not affect Epic targets',100,1,7),
(91012,10104109,'Resistibility increases against targets higher than level 62.',100,1,8),
(91013,25024,'When Equipped:',100,0,0),
(91014,25024,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(91015,10025024,'When Equipped:',100,0,0),
(91016,10025024,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(91017,111132,'Increases Max Health of group members (AE) by 28.8',100,1,0),
(91018,111132,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 117',100,1,1),
(91019,111132,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,2),
(91020,10111132,'Increases Max Health of group members (AE) by 28.8',100,1,0),
(91021,10111132,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 117',100,1,1),
(91022,10111132,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,2),
(91023,108406,'Heals target for 716 - 875',100,1,0),
(91024,10108406,'Heals target for 856 - 1046',100,1,0),
(91025,139899,'Applies Rampage when Activated.  Lasts for 1 minute.',100,0,0),
(91026,139899,'Enlarges caster by 30.0%',100,1,1),
(91027,139899,'Increases Damage Per Second of caster by 50.0',100,1,2),
(91028,139899,'Shapechanges caster into a Void Ripper',100,1,3),
(91029,139899,'When a combat art is used this spell will cast Rampage on target of combat art.  ',100,1,4),
(91030,139899,'Inflicts 1146 disease damage on target',100,2,5),
(91031,139899,'Heals caster for 917',100,2,6),
(91032,139899,'Cannot be modified except by direct means',100,2,7),
(91033,139899,'Cannot be modified except by direct means',100,1,8),
(91034,139899,'The reuse time of Rampage is 5 minutes',100,1,9),
(91035,10139899,'Applies Rampage when Activated.  Lasts for 1 minute.',100,0,0),
(91036,10139899,'Enlarges caster by 30.0%',100,1,1),
(91037,10139899,'Increases Damage Per Second of caster by 50.0',100,1,2),
(91038,10139899,'Shapechanges caster into a Void Ripper',100,1,3),
(91039,10139899,'When a combat art is used this spell will cast Rampage on target of combat art.  ',100,1,4),
(91040,10139899,'Inflicts 321 disease damage on target',100,2,5),
(91041,10139899,'Heals caster for 119',100,2,6),
(91042,10139899,'Cannot be modified except by direct means',100,2,7),
(91043,10139899,'Cannot be modified except by direct means',100,1,8),
(91044,10139899,'The reuse time of Rampage is 5 minutes',100,1,9),
(91045,107266,'Inflicts 131 - 218 ranged damage on target',100,1,0),
(91046,107266,'Inflicts 131 - 218 ranged damage on target',100,1,1),
(91047,107266,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(91048,107266,'Stuns target',100,2,3),
(91049,107266,'Throws target back',100,2,4),
(91050,107266,'Blurs vision of target',100,2,5),
(91051,107266,'Does not affect Epic targets',100,2,6),
(91052,107266,'If weapon equipped in Ranged',100,1,7),
(91053,10107266,'Inflicts 111 - 185 ranged damage on target',100,1,0),
(91054,10107266,'Inflicts 111 - 185 ranged damage on target',100,1,1),
(91055,10107266,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(91056,10107266,'Stuns target',100,2,3),
(91057,10107266,'Throws target back',100,2,4),
(91058,10107266,'Blurs vision of target',100,2,5),
(91059,10107266,'Does not affect Epic targets',100,2,6),
(91060,10107266,'If weapon equipped in Ranged',100,1,7),
(91061,185217,'When Equipped:',100,0,0),
(91062,185217,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(91063,185217,'Inflicts 1192 piercing damage on target',100,2,2),
(91064,185217,'Cannot be modified except by direct means',100,2,3),
(91065,10185217,'When Equipped:',100,0,0),
(91066,10185217,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(91067,10185217,'Inflicts 834 piercing damage on target',100,2,2),
(91068,10185217,'Cannot be modified except by direct means',100,2,3),
(91069,36904,'Increases AGI of target by 1.6',100,0,0),
(91070,36904,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(91071,46845,'Applies Summon Malevolent Disc when Activated.',100,0,0),
(91072,46845,'Reduces maximum falling speed of caster',100,1,1),
(91073,46845,'Increases Slashing of caster by 5.0',100,1,2),
(91074,46845,'Summons a mount to ride',100,1,3),
(91075,46845,'Increases your ground speed by 135%',100,2,4),
(91076,46845,'Increases Crushing, Ministration, Ordination, Aggression, Ranged, Focus, Subjugation, Disruption and Piercing of caster by 5.0',100,1,5),
(91077,10046845,'Applies Summon Malevolent Disc when Activated.',100,0,0),
(91078,10046845,'Reduces maximum falling speed of caster',100,1,1),
(91079,10046845,'Increases Slashing of caster by 5.0',100,1,2),
(91080,10046845,'Summons a mount to ride',100,1,3),
(91081,10046845,'Increases your ground speed by 135%',100,2,4),
(91082,10046845,'Increases Crushing, Ministration, Ordination, Aggression, Ranged, Focus, Subjugation, Disruption and Piercing of caster by 5.0',100,1,5),
(91083,108165,'Inflicts 985 - 1641 melee damage on target',100,1,0),
(91084,108165,'You must be sneaking to use this ability.',100,1,1),
(91085,108165,'Must be flanking or behind',100,1,2),
(91086,10108165,'Inflicts 844 - 1407 melee damage on target',100,1,0),
(91087,10108165,'You must be sneaking to use this ability.',100,1,1),
(91088,10108165,'Must be flanking or behind',100,1,2),
(91089,146467,'When Equipped:',100,0,0),
(91090,146467,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91091,146467,'Summons a limited pet to aid the caster',100,2,2),
(91092,146467,'Cannot be modified except by direct means',100,2,3),
(91093,146467,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(91094,146467,'Summons a limited pet to aid the caster',100,2,5),
(91095,146467,'Cannot be modified except by direct means',100,2,6),
(91096,10146467,'When Equipped:',100,0,0),
(91097,10146467,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91098,10146467,'Summons a limited pet to aid the caster',100,2,2),
(91099,10146467,'Cannot be modified except by direct means',100,2,3),
(91100,10146467,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(91101,10146467,'Summons a limited pet to aid the caster',100,2,5),
(91102,10146467,'Cannot be modified except by direct means',100,2,6),
(91103,74914,'When Equipped:',100,0,0),
(91104,74914,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91105,74914,'Inflicts 33 - 49 magic damage on target',100,2,2),
(91106,74914,'Cannot be modified except by direct means',100,2,3),
(91107,10074914,'When Equipped:',100,0,0),
(91108,10074914,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91109,10074914,'Inflicts 46 - 69 magic damage on target',100,2,2),
(91110,10074914,'Cannot be modified except by direct means',100,2,3),
(91111,181484,'When Equipped:',100,0,0),
(91112,181484,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(91113,10181484,'When Equipped:',100,0,0),
(91114,10181484,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(91115,107406,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(91116,107406,'Slows target by 57.1%',100,2,1),
(91117,107406,'5% chance to dispel when target receives hostile action',100,2,2),
(91118,107406,'5% chance to dispel when target takes damage',100,2,3),
(91119,107406,'Inflicts 1104 - 1839 disease damage on target',100,1,4),
(91120,10107406,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(91121,10107406,'Slows target by 57.1%',100,2,1),
(91122,10107406,'5% chance to dispel when target receives hostile action',100,2,2),
(91123,10107406,'5% chance to dispel when target takes damage',100,2,3),
(91124,10107406,'Inflicts 1545 - 2575 disease damage on target',100,1,4),
(91125,123968,'Inflicts 336 - 560 melee damage on target',100,1,0),
(91126,123968,'Decreases AGI of target by 35.3',100,1,1),
(91127,123968,'Must be behind',100,1,2),
(91128,10123968,'Inflicts 437 - 728 melee damage on target',100,1,0),
(91129,10123968,'Decreases AGI of target by 35.3',100,1,1),
(91130,10123968,'Must be behind',100,1,2),
(91131,153944,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(91132,153944,'Decreases Attack Speed of target by 10.8',100,1,1),
(91133,153944,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(91134,10153944,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(91135,10153944,'Decreases Attack Speed of target by 10.8',100,1,1),
(91136,10153944,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(91137,107591,'Dazes target encounter',100,1,0),
(91138,107591,'Inflicts 339 - 414 mental damage on target encounter',100,1,1),
(91139,107591,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(91140,107591,'Resistibility increases against targets higher than level 82.',100,1,3),
(91141,10107591,'Dazes target encounter',100,1,0),
(91142,10107591,'Inflicts 474 - 579 mental damage on target encounter',100,1,1),
(91143,10107591,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(91144,10107591,'Resistibility increases against targets higher than level 82.',100,1,3),
(91145,71407,'When Equipped:',100,0,0),
(91146,71407,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91147,71407,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(91148,71407,'Cannot be modified except by direct means',100,2,3),
(91149,10071407,'When Equipped:',100,0,0),
(91150,10071407,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91151,10071407,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(91152,10071407,'Cannot be modified except by direct means',100,2,3),
(91153,106403,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(91154,106403,'Inflicts 161 - 197 mental damage on target',100,2,1),
(91155,106403,'Grants a total of 3 triggers of the spell.',100,2,2),
(91156,10106403,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(91157,10106403,'Inflicts 226 - 276 mental damage on target',100,2,1),
(91158,10106403,'Grants a total of 3 triggers of the spell.',100,2,2),
(91159,36703,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(91160,112793,'Inflicts 290 - 484 slashing damage on target',100,1,0),
(91161,112793,'Stifles target',100,1,1),
(91162,112793,'If Target is not Epic',100,2,2),
(91163,112793,'You must be in stealth.',100,1,3),
(91164,112793,'Resistibility increases against targets higher than level 49.',100,1,4),
(91165,10112793,'Inflicts 378 - 630 slashing damage on target',100,1,0),
(91166,10112793,'Stifles target',100,1,1),
(91167,10112793,'If Target is not Epic',100,2,2),
(91168,10112793,'You must be in stealth.',100,1,3),
(91169,10112793,'Resistibility increases against targets higher than level 49.',100,1,4),
(91170,158678,'When Equipped:',100,0,0),
(91171,158678,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(91172,158678,'Inflicts 1390 mental damage on target',100,2,2),
(91173,158678,'Increases Threat to target by 4,000 ',100,2,3),
(91174,158678,'Cannot be modified except by direct means',100,2,4),
(91175,158678,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(91176,158678,'Inflicts 1390 mental damage on target',100,2,6),
(91177,158678,'Increases Threat to target by 4,000 ',100,2,7),
(91178,158678,'Cannot be modified except by direct means',100,2,8),
(91179,10158678,'When Equipped:',100,0,0),
(91180,10158678,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(91181,10158678,'Inflicts 1946 mental damage on target',100,2,2),
(91182,10158678,'Cannot be modified except by direct means',100,2,3),
(91183,10158678,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(91184,10158678,'Inflicts 1946 mental damage on target',100,2,5),
(91185,10158678,'Cannot be modified except by direct means',100,2,6),
(91186,113947,'Decreases power of target encounter by 33 instantly and every 4 seconds',100,1,0),
(91187,113947,'Increases power of group members (AE) by 16 instantly and every 4 seconds',100,1,1),
(91188,10113947,'Decreases power of target encounter by 33 instantly and every 4 seconds',100,1,0),
(91189,10113947,'Increases power of group members (AE) by 16 instantly and every 4 seconds',100,1,1),
(91190,35289,'Increases Max Power of target by 4.1',100,0,0),
(91191,35289,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(91192,113966,'Decreases power of target encounter by 113 instantly and every 4 seconds',100,1,0),
(91193,113966,'Increases power of group members (AE) by 62 instantly and every 4 seconds',100,1,1),
(91194,10113966,'Decreases power of target encounter by 113 instantly and every 4 seconds',100,1,0),
(91195,10113966,'Increases power of group members (AE) by 62 instantly and every 4 seconds',100,1,1),
(91196,114526,'Heals target for 181 - 222',100,1,0),
(91197,10114526,'Heals target for 236 - 288',100,1,0),
(91198,72112,'When Equipped:',100,0,0),
(91199,72112,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91200,72112,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(91201,72112,'Cannot be modified except by direct means',100,2,3),
(91202,10072112,'When Equipped:',100,0,0),
(91203,10072112,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91204,10072112,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(91205,10072112,'Cannot be modified except by direct means',100,2,3),
(91206,52803,'Applies Sanguine Imbued when Equipped.',100,0,0),
(91207,52803,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(91208,52803,'Inflicts 103 heat damage on target',100,2,2),
(91209,52803,'Cannot be modified except by direct means',100,2,3),
(91210,10052803,'Applies Sanguine Imbued when Equipped.',100,0,0),
(91211,10052803,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(91212,10052803,'Inflicts 144 heat damage on target',100,2,2),
(91213,10052803,'Cannot be modified except by direct means',100,2,3),
(91214,81704,'When Equipped:',100,0,0),
(91215,81704,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(91216,81704,'Inflicts 101 - 188 magic damage on target',100,2,2),
(91217,81704,'Decreases Threat to target by 259 ',100,2,3),
(91218,81704,'Must be flanking or behind',100,3,4),
(91219,81704,'Increases Threat to target by 259 ',100,2,5),
(91220,81704,'Must be in front of',100,3,6),
(91221,81704,'Cannot be modified except by direct means',100,2,7),
(91222,10081704,'When Equipped:',100,0,0),
(91223,10081704,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(91224,10081704,'Inflicts 142 - 263 magic damage on target',100,2,2),
(91225,10081704,'Cannot be modified except by direct means',100,2,3),
(91226,87111,'When Equipped:',100,0,0),
(91227,87111,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91228,87111,'Inflicts 204 - 307 magic damage on target',100,2,2),
(91229,87111,'Cannot be modified except by direct means',100,2,3),
(91230,10087111,'When Equipped:',100,0,0),
(91231,10087111,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91232,10087111,'Inflicts 286 - 429 magic damage on target',100,2,2),
(91233,10087111,'Cannot be modified except by direct means',100,2,3),
(91234,146130,'When Equipped:',100,0,0),
(91235,146130,'Increases Attack Speed of caster by 40.0',100,1,1),
(91236,10146130,'When Equipped:',100,0,0),
(91237,10146130,'Increases Attack Speed of caster by 40.0',100,1,1),
(91238,24516,'Adds Mistmoore: Blue Chair to your Dungeon Maker toolbox',100,0,0),
(91239,10024516,'Adds Mistmoore: Blue Chair to your Dungeon Maker toolbox',100,0,0),
(91240,88636,'When Equipped:',100,0,0),
(91241,88636,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(91242,88636,'Inflicts 1986 piercing damage on target',100,2,2),
(91243,88636,'Cannot be modified except by direct means',100,2,3),
(91244,10088636,'When Equipped:',100,0,0),
(91245,10088636,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(91246,10088636,'Inflicts 1390 piercing damage on target',100,2,2),
(91247,10088636,'Cannot be modified except by direct means',100,2,3),
(91248,177694,'When Equipped:',100,0,0),
(91249,177694,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(91250,177694,'Increases AGI of caster by 5.1',100,2,2),
(91251,177694,'Increases Attack Speed of caster by 13.2',100,2,3),
(91252,177694,'Cannot be modified except by direct means',100,2,4),
(91253,10177694,'When Equipped:',100,0,0),
(91254,10177694,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(91255,10177694,'Increases AGI of caster by 5.1',100,2,2),
(91256,10177694,'Increases Attack Speed of caster by 13.2',100,2,3),
(91257,10177694,'Cannot be modified except by direct means',100,2,4),
(91258,103979,'Interrupts targets in Area of Effect',100,1,0),
(91259,103979,'Inflicts 76 - 141 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(91260,10103979,'Interrupts targets in Area of Effect',100,1,0),
(91261,10103979,'Inflicts 106 - 197 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(91262,24594,'Adds Necronstructed Versifier to your Dungeon Maker toolbox',100,0,0),
(91263,10024594,'Adds Necronstructed Versifier to your Dungeon Maker toolbox',100,0,0),
(91264,123682,'Increases Damage Per Second of target by 40.2',100,1,0),
(91265,10123682,'Increases Damage Per Second of target by 40.2',100,1,0),
(91266,191683,'When Equipped:',100,0,0),
(91267,191683,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(91268,191683,'Heals group members (AE) for 580',100,2,2),
(91269,191683,'Cannot be modified except by direct means',100,2,3),
(91270,10191683,'When Equipped:',100,0,0),
(91271,10191683,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(91272,10191683,'Heals group members (AE) for 679',100,2,2),
(91273,10191683,'Cannot be modified except by direct means',100,2,3),
(91274,141911,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(91275,141911,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(91276,141911,'Inflicts 29 heat damage on target',100,2,2),
(91277,141911,'Cannot be modified except by direct means',100,2,3),
(91278,10141911,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(91279,10141911,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(91280,10141911,'Inflicts 41 heat damage on target',100,2,2),
(91281,10141911,'Cannot be modified except by direct means',100,2,3),
(91282,123358,'Heals group members (AE) for 216 - 264',100,1,0),
(91283,10123358,'Heals group members (AE) for 263 - 322',100,1,0),
(91284,115043,'Heals target for 609 - 744',100,1,0),
(91285,10115043,'Heals target for 853 - 1042',100,1,0),
(91286,26810,'When Equipped:',100,0,0),
(91287,26810,'Increases Crit Chance of caster by 3.0',100,1,1),
(91288,10026810,'When Equipped:',100,0,0),
(91289,10026810,'Increases Crit Chance of caster by 3.0',100,1,1),
(91290,107171,'Inflicts 64 - 108 divine damage on target',100,1,0),
(91291,107171,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(91292,107171,'Stuns target',100,2,2),
(91293,107171,'If Target is not Epic',100,3,3),
(91294,107171,'Inflicts 151 - 252 divine damage on target',100,2,4),
(91295,107171,'Inflicts 130 - 216 divine damage on target',100,2,5),
(91296,107171,'If target is undead',100,3,6),
(91297,10107171,'Inflicts 56 - 93 divine damage on target',100,1,0),
(91298,10107171,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(91299,10107171,'Stuns target',100,2,2),
(91300,10107171,'Inflicts 318 - 530 divine damage on target',100,2,3),
(91301,10107171,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(91302,120670,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 30.2',100,1,0),
(91303,120670,'Increases Focus of group members (AE) by 61.0',100,1,1),
(91304,10120670,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 30.2',100,1,0),
(91305,10120670,'Increases Focus of group members (AE) by 61.0',100,1,1),
(91306,71561,'When Equipped:',100,0,0),
(91307,71561,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91308,71561,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(91309,71561,'Cannot be modified except by direct means',100,2,3),
(91310,10071561,'When Equipped:',100,0,0),
(91311,10071561,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91312,10071561,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(91313,10071561,'Cannot be modified except by direct means',100,2,3),
(91314,103744,'Inflicts 1304 - 1594 magic damage on targets in Area of Effect',100,1,0),
(91315,10103744,'Inflicts 1825 - 2231 magic damage on targets in Area of Effect',100,1,0),
(91316,48269,'Applies Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(91317,48269,'Only affects targets level 50 and above',100,1,1),
(91318,10048269,'Applies Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(91319,10048269,'Only affects targets level 50 and above',100,1,1),
(91320,48674,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(91321,48674,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(91322,48674,'Decreases AGI of target by 12.3',100,2,2),
(91323,48674,'Cannot be modified except by direct means',100,2,3),
(91324,48674,'Grants a total of 30 triggers of the spell.',100,2,4),
(91325,10048674,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(91326,10048674,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(91327,10048674,'Decreases AGI of target by 12.3',100,2,2),
(91328,10048674,'Cannot be modified except by direct means',100,2,3),
(91329,10048674,'Grants a total of 30 triggers of the spell.',100,2,4),
(91330,106749,'Decreases Defense of target by 2.6',100,1,0),
(91331,106749,'If facing target',100,1,1),
(91332,10106749,'Decreases Defense of target by 2.6',100,1,0),
(91333,10106749,'If facing target',100,1,1),
(91334,176421,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(91335,176421,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(91336,176421,'Decreases Attack Speed of target by 14.0',100,2,2),
(91337,176421,'Cannot be modified except by direct means',100,2,3),
(91338,176421,'Slows target by 36.1%',100,1,4),
(91339,176421,'5% chance to dispel when target takes damage',100,1,5),
(91340,176421,'5% chance to dispel when target receives hostile action',100,1,6),
(91341,176421,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(91342,10176421,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(91343,10176421,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(91344,10176421,'Decreases Attack Speed of target by 14.0',100,2,2),
(91345,10176421,'Cannot be modified except by direct means',100,2,3),
(91346,10176421,'Slows target by 36.1%',100,1,4),
(91347,10176421,'5% chance to dispel when target takes damage',100,1,5),
(91348,10176421,'5% chance to dispel when target receives hostile action',100,1,6),
(91349,10176421,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(91350,114351,'Increases Attack Speed of group members (AE) by 9.6',100,1,0),
(91351,10114351,'Increases Attack Speed of group members (AE) by 9.6',100,1,0),
(91352,26807,'When Equipped:',100,0,0),
(91353,26807,'On a critical spell hit this spell may cast Waning Might I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(91354,26807,'Decreases STR of target by 134.0',100,2,2),
(91355,26807,'Inflicts 2075 - 2293 disease damage on target',100,2,3),
(91356,26807,'Must not be engaged in pvp combat',100,2,4),
(91357,26807,'Cannot be modified except by direct means',100,2,5),
(91358,26807,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(91359,26807,'On a critical combat hit this spell may cast Waning Might I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(91360,26807,'Decreases STR of target by 134.0',100,2,8),
(91361,26807,'Inflicts 2075 - 2293 disease damage on target',100,2,9),
(91362,26807,'Must not be engaged in pvp combat',100,2,10),
(91363,26807,'Cannot be modified except by direct means',100,2,11),
(91364,26807,'Must not be engaged in pvp combat',100,1,12),
(91365,10026807,'When Equipped:',100,0,0),
(91366,10026807,'On a critical spell hit this spell may cast Waning Might I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(91367,10026807,'Decreases STR of target by 134.0',100,2,2),
(91368,10026807,'Inflicts 2905 - 3210 disease damage on target',100,2,3),
(91369,10026807,'Must not be engaged in pvp combat',100,2,4),
(91370,10026807,'Cannot be modified except by direct means',100,2,5),
(91371,10026807,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(91372,10026807,'On a critical combat hit this spell may cast Waning Might I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(91373,10026807,'Decreases STR of target by 134.0',100,2,8),
(91374,10026807,'Inflicts 2905 - 3210 disease damage on target',100,2,9),
(91375,10026807,'Must not be engaged in pvp combat',100,2,10),
(91376,10026807,'Cannot be modified except by direct means',100,2,11),
(91377,10026807,'Must not be engaged in pvp combat',100,1,12),
(91378,123396,'When damaged with a melee weapon this spell has a 6.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(91379,123396,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(91380,10123396,'When damaged with a melee weapon this spell has a 6.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(91381,10123396,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(91382,112902,'Inflicts 679 - 830 melee damage on target',100,1,0),
(91383,112902,'Decreases Mitigation of target vs physical damage by 605',100,1,1),
(91384,112902,'Must be flanking or behind',100,1,2),
(91385,10112902,'Inflicts 883 - 1079 melee damage on target',100,1,0),
(91386,10112902,'Decreases Mitigation of target vs physical damage by 605',100,1,1),
(91387,10112902,'Must be flanking or behind',100,1,2),
(91388,42546,'When Equipped:',100,0,0),
(91389,42546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91390,42546,'Inflicts 276 - 413 magic damage on target',100,2,2),
(91391,42546,'Cannot be modified except by direct means',100,2,3),
(91392,10042546,'When Equipped:',100,0,0),
(91393,10042546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91394,10042546,'Inflicts 386 - 579 magic damage on target',100,2,2),
(91395,10042546,'Cannot be modified except by direct means',100,2,3),
(91396,109348,'Increases STR of caster by 150.0',100,1,0),
(91397,109348,'Decreases Defense of caster by 25.8',100,1,1),
(91398,109348,'Increases Slashing, Piercing and Crushing of caster by 42.9',100,1,2),
(91399,10109348,'Increases STR of caster by 150.0',100,1,0),
(91400,10109348,'Decreases Defense of caster by 25.8',100,1,1),
(91401,10109348,'Increases Slashing, Piercing and Crushing of caster by 42.9',100,1,2),
(91402,100900,'Stuns targets in Area of Effect',20,1,0),
(91403,100900,'If Target is not Epic',100,2,1),
(91404,100900,'Inflicts 105 - 174 divine damage on targets in Area of Effect',100,1,2),
(91405,100900,'Resistibility increases against targets higher than level 57.',100,1,3),
(91406,10100900,'Stuns targets in Area of Effect',20,1,0),
(91407,10100900,'If Target is not Epic',100,2,1),
(91408,10100900,'Inflicts 146 - 244 divine damage on targets in Area of Effect',100,1,2),
(91409,10100900,'Resistibility increases against targets higher than level 57.',100,1,3),
(91410,159676,'When Equipped:',100,0,0),
(91411,159676,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(91412,159676,'Increases AGI of caster by 8.3',100,2,2),
(91413,159676,'Increases Attack Speed of caster by 15.4',100,2,3),
(91414,159676,'Cannot be modified except by direct means',100,2,4),
(91415,10159676,'When Equipped:',100,0,0),
(91416,10159676,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(91417,10159676,'Increases AGI of caster by 8.3',100,2,2),
(91418,10159676,'Increases Attack Speed of caster by 15.4',100,2,3),
(91419,10159676,'Cannot be modified except by direct means',100,2,4),
(91420,35283,'Increases Max Power of target by 4.1',100,0,0),
(91421,35283,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(91422,110068,'Summons a pet grim sorcerer',100,1,0),
(91423,10110068,'Summons a pet grim sorcerer',100,1,0),
(91424,26580,'When Equipped:',100,0,0),
(91425,26580,'Thorncoat VIII grants additional physical mitigation.',100,1,1),
(91426,26580,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(91427,10026580,'When Equipped:',100,0,0),
(91428,10026580,'Thorncoat VIII grants additional physical mitigation.',100,1,1),
(91429,10026580,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(91430,45233,'Applies Enter Scholarship Zone when Activated.',100,0,0),
(91431,45233,'Must not be engaged in combat',100,1,1),
(91432,10045233,'Applies Enter Scholarship Zone when Activated.',100,0,0),
(91433,10045233,'Must not be engaged in combat',100,1,1),
(91434,103331,'Applies Migraine on termination.',100,1,0),
(91435,103331,'Inflicts 299 - 404 mental damage on target',100,2,1),
(91436,103331,'Inflicts 137 - 168 mental damage on target instantly and every 6 seconds',100,1,2),
(91437,10103331,'Applies Migraine on termination.',100,1,0),
(91438,10103331,'Inflicts 418 - 566 mental damage on target',100,2,1),
(91439,10103331,'Inflicts 192 - 235 mental damage on target instantly and every 6 seconds',100,1,2),
(91440,119141,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(91441,119141,'Inflicts 434 - 530 slashing damage on target',100,2,1),
(91442,119141,'Increases Mitigation of caster vs physical damage by 872',100,1,2),
(91443,10119141,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(91444,10119141,'Inflicts 607 - 742 slashing damage on target',100,2,1),
(91445,10119141,'Increases Mitigation of caster vs physical damage by 872',100,1,2),
(91446,42516,'When Equipped:',100,0,0),
(91447,42516,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91448,42516,'Inflicts 65 - 98 magic damage on target',100,2,2),
(91449,42516,'Cannot be modified except by direct means',100,2,3),
(91450,10042516,'When Equipped:',100,0,0),
(91451,10042516,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91452,10042516,'Inflicts 91 - 137 magic damage on target',100,2,2),
(91453,10042516,'Cannot be modified except by direct means',100,2,3),
(91454,121992,'Inflicts 101 - 168 melee damage on targets in area',100,1,0),
(91455,121992,'Increases Threat to target encounter by 393 ',100,1,1),
(91456,10121992,'Inflicts 131 - 218 melee damage on targets in area',100,1,0),
(91457,10121992,'Prevents target encounter from changing targets',100,1,1),
(91458,10121992,'Forces target encounter to change their selected target to caster.',100,1,2),
(91459,117808,'Mesmerizes target',100,1,0),
(91460,117808,'Prevents AOE (except when direct) ',100,1,1),
(91461,117808,'Dispelled when target takes damage',100,1,2),
(91462,117808,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(91463,117808,'Resistibility increases against targets higher than level 107.',100,1,4),
(91464,10117808,'Mesmerizes target',100,1,0),
(91465,10117808,'Prevents AOE (except when direct) ',100,1,1),
(91466,10117808,'Dispelled when target takes damage',100,1,2),
(91467,10117808,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(91468,10117808,'Resistibility increases against targets higher than level 107.',100,1,4),
(91469,87309,'When Equipped:',100,0,0),
(91470,87309,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91471,87309,'Inflicts 95 - 143 magic damage on target',100,2,2),
(91472,87309,'Cannot be modified except by direct means',100,2,3),
(91473,10087309,'When Equipped:',100,0,0),
(91474,10087309,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91475,10087309,'Inflicts 133 - 200 magic damage on target',100,2,2),
(91476,10087309,'Cannot be modified except by direct means',100,2,3),
(91477,80323,'When Equipped:',100,0,0),
(91478,80323,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91479,80323,'Inflicts 194 - 361 magic damage on target',100,2,2),
(91480,80323,'Cannot be modified except by direct means',100,2,3),
(91481,10080323,'When Equipped:',100,0,0),
(91482,10080323,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91483,10080323,'Inflicts 272 - 505 magic damage on target',100,2,2),
(91484,10080323,'Cannot be modified except by direct means',100,2,3),
(91485,114449,'Inflicts 151 - 251 heat damage on target',100,1,0),
(91486,10114449,'Inflicts 196 - 327 heat damage on target',100,1,0),
(91487,119509,'Increases threat priority of target by 2 positions',100,1,0),
(91488,119509,'Stuns caster',100,1,1),
(91489,119509,'Decreases Defense and Parry of caster by 90.0',100,1,2),
(91490,119509,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(91491,119509,'Inflicts 494 - 823 piercing damage on target',100,2,4),
(91492,119509,'Grants a total of 1 trigger of the spell.',100,2,5),
(91493,10119509,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(91494,10119509,'Prevents target from changing targets',100,2,1),
(91495,10119509,'Forces target to change their selected target to caster.',100,2,2),
(91496,10119509,'Stuns caster',100,1,3),
(91497,10119509,'Decreases Defense and Parry of caster by 90.0',100,1,4),
(91498,10119509,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(91499,10119509,'Inflicts 493 - 822 piercing damage on target',100,2,6),
(91500,10119509,'Grants a total of 1 trigger of the spell.',100,2,7),
(91501,141938,'When Equipped:',100,0,0),
(91502,141938,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(91503,141938,'Increases AGI of caster by 19.8',100,2,2),
(91504,141938,'Increases Attack Speed of caster by 21.8',100,2,3),
(91505,141938,'Cannot be modified except by direct means',100,2,4),
(91506,10141938,'When Equipped:',100,0,0),
(91507,10141938,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(91508,10141938,'Increases AGI of caster by 19.8',100,2,2),
(91509,10141938,'Increases Attack Speed of caster by 21.8',100,2,3),
(91510,10141938,'Cannot be modified except by direct means',100,2,4),
(91511,172865,'When Equipped:',100,0,0),
(91512,172865,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(91513,172865,'Decreases Threat to target by 350 ',100,2,2),
(91514,172865,'Cannot be modified except by direct means',100,2,3),
(91515,10172865,'When Equipped:',100,0,0),
(91516,10172865,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(91517,10172865,'Cannot be modified except by direct means',100,2,2),
(91518,173311,'When Equipped:',100,0,0),
(91519,173311,'Increases Ranged Weapon Range of caster by 5.0%',100,1,1),
(91520,10173311,'When Equipped:',100,0,0),
(91521,10173311,'Increases Ranged Weapon Range of caster by 5.0%',100,1,1),
(91522,26621,'When Equipped:',100,0,0),
(91523,26621,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,1),
(91524,26621,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(91525,10026621,'When Equipped:',100,0,0),
(91526,10026621,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,1),
(91527,10026621,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(91528,111777,'Heals caster for 21.6 - 26.4% of max health',100,1,0),
(91529,111777,'This effect cannot be critically applied.',100,2,1),
(91530,111777,'The healing of this spell cannot be modified except by direct means',100,1,2),
(91531,10111777,'Heals caster for 10.8 - 13.2% of max health',100,1,0),
(91532,10111777,'This effect cannot be critically applied.',100,2,1),
(91533,10111777,'The healing of this spell cannot be modified except by direct means',100,1,2),
(91534,27032,'When Equipped:',100,0,0),
(91535,27032,'On a block this spell has a 2% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(91536,27032,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(91537,27032,'Heals caster for 18 - 22',100,3,3),
(91538,27032,'Grants a total of 3 triggers of the spell.',100,3,4),
(91539,27032,'Cannot be modified except by direct means',100,2,5),
(91540,10027032,'When Equipped:',100,0,0),
(91541,10027032,'On a block this spell has a 2% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(91542,10027032,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(91543,10027032,'Heals caster for 11 - 14',100,3,3),
(91544,10027032,'Grants a total of 3 triggers of the spell.',100,3,4),
(91545,10027032,'Cannot be modified except by direct means',100,2,5),
(91546,121533,'Inflicts 699 - 1166 melee damage on target',100,1,0),
(91547,121533,'Stuns target',100,1,1),
(91548,121533,'If Target is not Epic',100,2,2),
(91549,121533,'Resistibility increases against targets higher than level 101.',100,1,3),
(91550,10121533,'Inflicts 909 - 1516 melee damage on target',100,1,0),
(91551,10121533,'Stuns target',100,1,1),
(91552,10121533,'If Target is not Epic',100,2,2),
(91553,10121533,'Resistibility increases against targets higher than level 101.',100,1,3),
(91554,81671,'When Equipped:',100,0,0),
(91555,81671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91556,81671,'Inflicts 130 - 241 magic damage on target',100,2,2),
(91557,81671,'Cannot be modified except by direct means',100,2,3),
(91558,10081671,'When Equipped:',100,0,0),
(91559,10081671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(91560,10081671,'Inflicts 182 - 337 magic damage on target',100,2,2),
(91561,10081671,'Cannot be modified except by direct means',100,2,3),
(91562,112334,'Applies Insolent Gibe.',100,1,0),
(91563,112334,'Increases Threat to targets in Area of Effect by 2,150 - 3,225 ',100,2,1),
(91564,112334,'Applies Insolent Assault.',100,1,2),
(91565,112334,'Inflicts 1525 - 2288 melee damage on targets in area',100,2,3),
(91566,112334,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(91567,112334,'Increases Threat to target encounter by 806 - 985 ',100,2,5),
(91568,10112334,'Applies Insolent Gibe.',100,1,0),
(91569,10112334,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(91570,10112334,'Applies Insolent Assault.',100,1,2),
(91571,10112334,'Inflicts 1983 - 2975 melee damage on targets in area',100,2,3),
(91572,10112334,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(91573,10112334,'Forces target encounter to change their selected target to caster.',100,2,5),
(91574,101043,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(91575,101043,'Inflicts 450 poison damage on target instantly and every 4 seconds',100,2,1),
(91576,101043,'If profession other than Predator',100,1,2),
(91577,101043,'If profession other than Rogue',100,1,3),
(91578,10101043,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(91579,10101043,'Inflicts 630 poison damage on target instantly and every 4 seconds',100,2,1),
(91580,10101043,'If profession other than Predator',100,1,2),
(91581,10101043,'If profession other than Rogue',100,1,3),
(91582,105920,'Inflicts 10 - 12 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(91583,105920,'Inflicts 23 - 39 disease damage on targets in area',100,1,1),
(91584,10105920,'Inflicts 14 - 17 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(91585,10105920,'Inflicts 30 - 50 disease damage on targets in area',100,1,1),
(91586,124379,'Inflicts 446 - 546 divine damage on target',100,1,0),
(91587,124379,'Inflicts 186 - 227 divine damage on target every 4 seconds',100,1,1),
(91588,10124379,'Inflicts 625 - 764 divine damage on target',100,1,0),
(91589,10124379,'Inflicts 260 - 318 divine damage on target every 4 seconds',100,1,1),
(91590,102431,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(91591,102431,'Heals target for 84 - 102',100,2,1),
(91592,102431,'Grants a total of 5 triggers of the spell.',100,2,2),
(91593,10102431,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(91594,10102431,'Heals target for 54 - 67',100,2,1),
(91595,10102431,'Grants a total of 5 triggers of the spell.',100,2,2),
(91596,101621,'Applies Forceful Headache on termination.',100,1,0),
(91597,101621,'Inflicts 99 - 164 mental damage on target',100,2,1),
(91598,101621,'If over 50% power',100,3,2),
(91599,101621,'Inflicts 39 - 48 mental damage on target instantly and every 6 seconds',100,1,3),
(91600,101621,'Decreases Mitigation of target vs arcane damage by 308',100,1,4),
(91601,10101621,'Applies Forceful Headache on termination.',100,1,0),
(91602,10101621,'Inflicts 138 - 230 mental damage on target',100,2,1),
(91603,10101621,'If over 50% power',100,3,2),
(91604,10101621,'Inflicts 55 - 68 mental damage on target instantly and every 6 seconds',100,1,3),
(91605,10101621,'Decreases Mitigation of target vs arcane damage by 308',100,1,4),
(91606,117029,'Inflicts 7 - 12 melee damage on target',100,1,0),
(91607,117029,'Decreases Attack Speed of target by 12.1',100,1,1),
(91608,10117029,'Inflicts 9 - 16 melee damage on target',100,1,0),
(91609,10117029,'Decreases Attack Speed of target by 12.1',100,1,1),
(91610,124472,'Heals group members (AE) for 176 - 216',100,1,0),
(91611,10124472,'Heals group members (AE) for 206 - 252',100,1,0),
(91612,100639,'Wipes target''s memory of any aggression',100,1,0),
(91613,100639,'Stuns target',100,1,1),
(91614,100639,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(91615,100639,'Resistibility increases against targets higher than level 103.',100,1,3),
(91616,10100639,'Forces target to clear their selected target.',100,1,0),
(91617,10100639,'Prevents target from changing targets',100,1,1),
(91618,10100639,'Stuns target',100,1,2),
(91619,10100639,'If Target is not Epic',100,2,3),
(91620,10100639,'Resistibility increases against targets higher than level 103.',100,1,4),
(91621,104342,'Charms target',100,1,0),
(91622,104342,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(91623,104342,'Mesmerizes target',100,2,2),
(91624,104342,'Dispelled when target takes damage',100,2,3),
(91625,104342,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(91626,104342,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(91627,104342,'Grants Sonic Vision to caster',100,2,6),
(91628,104342,'Increases Out-of-Combat Power Regeneration of target by 11.9',100,1,7),
(91629,104342,'Increases Out-of-Combat Health Regeneration of target by 23.8',100,1,8),
(91630,104342,'Certain enemies cannot be charmed',100,1,9),
(91631,104342,'Does not affect Epic targets',100,1,10),
(91632,10104342,'Mesmerizes target',100,1,0),
(91633,10104342,'Prevents AOE (except when direct) ',100,1,1),
(91634,10104342,'Dispelled when target takes damage',100,1,2),
(91635,10104342,'Certain enemies cannot be charmed',100,1,3),
(91636,10104342,'Does not affect Epic targets',100,1,4),
(91637,10104342,'Resistibility increases against targets higher than level 62.',100,1,5),
(91638,114439,'Inflicts 15 - 26 heat damage on target',100,1,0),
(91639,10114439,'Inflicts 20 - 34 heat damage on target',100,1,0),
(91640,120307,'Increases Threat to target by 89 - 108 ',100,1,0),
(91641,10120307,'Forces target to change their selected target to caster.',100,1,0),
(91642,10120307,'Prevents target from changing targets',100,1,1),
(91643,107309,'Decreases WIS of target by 33.4',100,1,0),
(91644,107309,'Decreases Defense of target by 13.0',100,1,1),
(91645,10107309,'Decreases WIS of target by 33.4',100,1,0),
(91646,10107309,'Decreases Defense of target by 13.0',100,1,1),
(91647,141837,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(91648,141837,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(91649,141837,'Inflicts 12 heat damage on target',100,2,2),
(91650,141837,'Cannot be modified except by direct means',100,2,3),
(91651,10141837,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(91652,10141837,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(91653,10141837,'Inflicts 16 heat damage on target',100,2,2),
(91654,10141837,'Cannot be modified except by direct means',100,2,3),
(91655,102182,'Increases Mitigation of group members (AE) vs physical damage by 333',100,1,0),
(91656,10102182,'Increases Mitigation of group members (AE) vs physical damage by 333',100,1,0),
(91657,116818,'Decreases Hate Gain of caster by 11.0%',100,1,0),
(91658,10116818,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(91659,10116818,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(91660,10116818,'This effect can only trigger once every 5 seconds.',100,2,2),
(91661,141685,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(91662,141685,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(91663,141685,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(91664,141685,'Cannot be modified except by direct means',100,2,3),
(91665,10141685,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(91666,10141685,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(91667,10141685,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(91668,10141685,'Cannot be modified except by direct means',100,2,3),
(91669,112896,'Inflicts 585 - 715 melee damage on target',100,1,0),
(91670,112896,'Decreases Mitigation of target vs physical damage by 488',100,1,1),
(91671,112896,'Must be flanking or behind',100,1,2),
(91672,10112896,'Inflicts 761 - 930 melee damage on target',100,1,0),
(91673,10112896,'Decreases Mitigation of target vs physical damage by 488',100,1,1),
(91674,10112896,'Must be flanking or behind',100,1,2),
(91675,106287,'Decreases AGI, STR, INT and WIS of target encounter by 77.4',100,1,0),
(91676,106287,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 19.8',100,1,1),
(91677,10106287,'Decreases AGI, STR, INT and WIS of target encounter by 77.4',100,1,0),
(91678,10106287,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 19.8',100,1,1),
(91679,47426,'Applies Official Defenders of the Seal Scouting Uniform when Activated.  Lasts for 1 minute.',100,0,0),
(91680,47426,'Roots caster',100,1,1),
(91681,47426,'Sets the faction for Guardians of the Underfoot to 50,000',100,1,2),
(91682,47426,'Shapechanges caster',100,1,3),
(91683,47426,'Must be in zone The Hole',100,2,4),
(91684,47426,'This does not apply with the Gruengach Illusion.',100,1,5),
(91685,10047426,'Applies Official Defenders of the Seal Scouting Uniform when Activated.  Lasts for 1 minute.',100,0,0),
(91686,10047426,'Roots caster',100,1,1),
(91687,10047426,'Sets the faction for Guardians of the Underfoot to 50,000',100,1,2),
(91688,10047426,'Shapechanges caster',100,1,3),
(91689,10047426,'Must be in zone The Hole',100,2,4),
(91690,10047426,'This does not apply with the Gruengach Illusion.',100,1,5),
(91691,45864,'Applies Dark C.R.A.S.H. Pad when Activated.',100,0,0),
(91692,45864,'This can be used as a flying mount appearance.',100,1,1),
(91693,45864,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,2),
(91694,45864,'Summons a mount to ride',100,1,3),
(91695,45864,'Increases your ground speed by 130%',100,2,4),
(91696,10045864,'Applies Dark C.R.A.S.H. Pad when Activated.',100,0,0),
(91697,10045864,'This can be used as a flying mount appearance.',100,1,1),
(91698,10045864,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,2),
(91699,10045864,'Summons a mount to ride',100,1,3),
(91700,10045864,'Increases your ground speed by 130%',100,2,4),
(91701,118977,'Heals target for 53 - 65',100,1,0),
(91702,10118977,'Heals target for 57 - 69',100,1,0),
(91703,116858,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(91704,116858,'Inflicts 734 - 897 mental damage on target',100,2,1),
(91705,116858,'Grants a total of 3 triggers of the spell.',100,2,2),
(91706,10116858,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(91707,10116858,'Inflicts 1027 - 1255 mental damage on target',100,2,1),
(91708,10116858,'Grants a total of 3 triggers of the spell.',100,2,2),
(91709,36562,'Increases STR and INT of target by 1.2',100,0,0),
(91710,36562,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(91711,189316,'When Equipped:',100,0,0),
(91712,189316,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(91713,189316,'Heals target for 15 - 17 instantly and every 2 seconds',100,2,2),
(91714,189316,'Must not be engaged in pvp combat',100,2,3),
(91715,189316,'Cannot be modified except by direct means',100,2,4),
(91716,189316,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(91717,189316,'Cannot be modified except by direct means',100,1,6),
(91718,189316,'When Equipped:',100,0,7),
(91719,189316,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(91720,189316,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(91721,189316,'Decreases Threat to target by 4,662 - 5,153 ',100,2,10),
(91722,189316,'Inflicts 2433 - 2689 mental damage on target',100,2,11),
(91723,189316,'Must not be engaged in pvp combat',100,2,12),
(91724,189316,'Cannot be modified except by direct means',100,2,13),
(91725,189316,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,14),
(91726,189316,'Decreases Threat to target by 4,662 - 5,153 ',100,2,15),
(91727,189316,'Inflicts 2433 - 2689 mental damage on target',100,2,16),
(91728,189316,'Must not be engaged in pvp combat',100,2,17),
(91729,189316,'Cannot be modified except by direct means',100,2,18),
(91730,189316,'Cannot be modified except by direct means',100,1,19),
(91731,10189316,'When Equipped:',100,0,0),
(91732,10189316,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(91733,10189316,'Heals target for 10 - 11 instantly and every 2 seconds',100,2,2),
(91734,10189316,'Must not be engaged in pvp combat',100,2,3),
(91735,10189316,'Cannot be modified except by direct means',100,2,4),
(91736,10189316,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(91737,10189316,'Cannot be modified except by direct means',100,1,6),
(91738,10189316,'When Equipped:',100,0,7),
(91739,10189316,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(91740,10189316,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(91741,10189316,'Inflicts 3406 - 3765 mental damage on target',100,2,10),
(91742,10189316,'Must not be engaged in pvp combat',100,2,11),
(91743,10189316,'Cannot be modified except by direct means',100,2,12),
(91744,10189316,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(91745,10189316,'Inflicts 3406 - 3765 mental damage on target',100,2,14),
(91746,10189316,'Must not be engaged in pvp combat',100,2,15),
(91747,10189316,'Cannot be modified except by direct means',100,2,16),
(91748,10189316,'Cannot be modified except by direct means',100,1,17),
(91749,175268,'When Equipped:',100,0,0),
(91750,175268,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(91751,175268,'Heals group members (AE) for 372 - 454',100,2,2),
(91752,175268,'Heals group members (AE) for 80 - 97 every 2 seconds',100,2,3),
(91753,175268,'Must not be engaged in pvp combat',100,2,4),
(91754,175268,'Cannot be modified except by direct means',100,2,5),
(91755,175268,'Cannot be modified except by direct means',100,1,6),
(91756,10175268,'When Equipped:',100,0,0),
(91757,10175268,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(91758,10175268,'Heals group members (AE) for 242 - 295',100,2,2),
(91759,10175268,'Heals group members (AE) for 52 - 63 every 2 seconds',100,2,3),
(91760,10175268,'Must not be engaged in pvp combat',100,2,4),
(91761,10175268,'Cannot be modified except by direct means',100,2,5),
(91762,10175268,'Cannot be modified except by direct means',100,1,6),
(91763,161082,'When Equipped:',100,0,0),
(91764,161082,'When any damage is received this spell has a 3% chance to cast Intimidated on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(91765,161082,'Dazes target',100,2,2),
(91766,161082,'Epic targets gain an immunity to Daze effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,3),
(91767,161082,'Resistibility increases against targets higher than level 80.',100,2,4),
(91768,161082,'Cannot be modified except by direct means',100,2,5),
(91769,10161082,'When Equipped:',100,0,0),
(91770,10161082,'When any damage is received this spell has a 3% chance to cast Intimidated on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(91771,10161082,'Dazes target',100,2,2),
(91772,10161082,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,3),
(91773,10161082,'Resistibility increases against targets higher than level 80.',100,2,4),
(91774,10161082,'Cannot be modified except by direct means',100,2,5),
(91775,104119,'Roots target',100,1,0),
(91776,104119,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(91777,104119,'Slows target by 23.6%',100,2,2),
(91778,104119,'Makes target afraid',100,2,3),
(91779,104119,'30% chance to dispel when target takes damage',100,2,4),
(91780,104119,'Resistibility increases against targets higher than level 76.',100,2,5),
(91781,104119,'15% chance to dispel when target takes damage',100,1,6),
(91782,104119,'Does not affect Epic targets',100,1,7),
(91783,104119,'Resistibility increases against targets higher than level 76.',100,1,8),
(91784,10104119,'Roots target',100,1,0),
(91785,10104119,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(91786,10104119,'Makes target afraid',100,2,2),
(91787,10104119,'Slows target by 23.6%',100,2,3),
(91788,10104119,'30% chance to dispel when target takes damage',100,2,4),
(91789,10104119,'Resistibility increases against targets higher than level 76.',100,2,5),
(91790,10104119,'15% chance to dispel when target takes damage',100,1,6),
(91791,10104119,'Does not affect Epic targets',100,1,7),
(91792,10104119,'Resistibility increases against targets higher than level 76.',100,1,8),
(91793,116522,'Increases Mitigation of target vs physical damage by 266',100,1,0),
(91794,116522,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(91795,10116522,'Increases Mitigation of target vs physical damage by 266',100,1,0),
(91796,10116522,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(91797,108277,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(91798,108277,'Inflicts 265 heat damage on target',100,2,1),
(91799,108277,'Grants a total of 3 triggers of the spell.',100,2,2),
(91800,10108277,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(91801,10108277,'Inflicts 371 heat damage on target',100,2,1),
(91802,10108277,'Grants a total of 3 triggers of the spell.',100,2,2),
(91803,48506,'Applies Thinning Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(91804,48506,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(91805,48506,'Decreases STR of target by 19.6',100,2,2),
(91806,48506,'Cannot be modified except by direct means',100,2,3),
(91807,48506,'Grants a total of 30 triggers of the spell.',100,2,4),
(91808,48506,'Only affects targets level 50 and above',100,1,5),
(91809,10048506,'Applies Thinning Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(91810,10048506,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(91811,10048506,'Decreases STR of target by 19.6',100,2,2),
(91812,10048506,'Cannot be modified except by direct means',100,2,3),
(91813,10048506,'Grants a total of 30 triggers of the spell.',100,2,4),
(91814,10048506,'Only affects targets level 50 and above',100,1,5),
(91815,118051,'When receiving a hostile spell this spell has a 10% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',100,1,0),
(91816,118051,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,1),
(91817,118051,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,2),
(91818,10118051,'When receiving a hostile spell this spell has a 10% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',100,1,0),
(91819,10118051,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,1),
(91820,10118051,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,2),
(91821,117189,'Inflicts 153 poison damage on target instantly and every 4 seconds',100,1,0),
(91822,117189,'Decreases WIS of target by 90.9',100,1,1),
(91823,10117189,'Inflicts 215 poison damage on target instantly and every 4 seconds',100,1,0),
(91824,10117189,'Decreases WIS of target by 90.9',100,1,1),
(91825,152897,'When Equipped:',100,0,0),
(91826,152897,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(91827,152897,'Heals group members (AE) for 875',100,2,2),
(91828,152897,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(91829,152897,'Must not be engaged in pvp combat',100,2,4),
(91830,152897,'Cannot be modified except by direct means',100,2,5),
(91831,152897,'Must not be engaged in pvp combat',100,1,6),
(91832,10152897,'When Equipped:',100,0,0),
(91833,10152897,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(91834,10152897,'Heals group members (AE) for 1024',100,2,2),
(91835,10152897,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(91836,10152897,'Must not be engaged in pvp combat',100,2,4),
(91837,10152897,'Cannot be modified except by direct means',100,2,5),
(91838,10152897,'Must not be engaged in pvp combat',100,1,6),
(91839,87096,'Applies Fire Ball when Activated.',100,0,0),
(91840,87096,'Inflicts 66 - 110 heat damage on target',100,1,1),
(91841,87096,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(91842,10087096,'Applies Fire Ball when Activated.',100,0,0),
(91843,10087096,'Inflicts 93 - 155 heat damage on target',100,1,1),
(91844,10087096,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(91845,100290,'Inflicts 113 - 210 poison damage on target instantly and every 3 seconds',100,1,0),
(91846,10100290,'Inflicts 356 - 661 poison damage on target instantly and every 3 seconds',100,1,0),
(91847,102769,'Increases STR of caster by 22.6',100,1,0),
(91848,102769,'Increases Max Health of caster by 96.6',100,1,1),
(91849,102769,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 613',100,1,2),
(91850,10102769,'Increases STR of caster by 22.6',100,1,0),
(91851,10102769,'Increases Max Health of caster by 96.6',100,1,1),
(91852,10102769,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 613',100,1,2),
(91853,159439,'Applies Lambent Imbued when Equipped.',100,0,0),
(91854,159439,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(91855,159439,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(91856,159439,'Cannot be modified except by direct means',100,2,3),
(91857,10159439,'Applies Lambent Imbued when Equipped.',100,0,0),
(91858,10159439,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(91859,10159439,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(91860,10159439,'Cannot be modified except by direct means',100,2,3),
(91861,72358,'When Equipped:',100,0,0),
(91862,72358,'On any combat or spell hit this spell may cast Savagery I on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91863,72358,'Increases Damage Per Second of caster by 20.0',100,2,2),
(91864,72358,'Cannot be modified except by direct means',100,2,3),
(91865,10072358,'When Equipped:',100,0,0),
(91866,10072358,'On any combat or spell hit this spell may cast Savagery I on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(91867,10072358,'Increases Damage Per Second of caster by 20.0',100,2,2),
(91868,10072358,'Cannot be modified except by direct means',100,2,3),
(91869,36928,'Increases STR of target by 1.6',100,0,0),
(91870,36928,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(91871,75618,'Applies Holy Strike when Activated.',100,0,0),
(91872,75618,'Inflicts 163 - 272 divine damage on target',100,1,1),
(91873,75618,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(91874,10075618,'Applies Holy Strike when Activated.',100,0,0),
(91875,10075618,'Inflicts 228 - 380 divine damage on target',100,1,1),
(91876,10075618,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(91877,172200,'When Equipped:',100,0,0),
(91878,172200,'Increases Attack Speed of caster by 35.0',100,1,1),
(91879,10172200,'When Equipped:',100,0,0),
(91880,10172200,'Increases Attack Speed of caster by 35.0',100,1,1),
(91881,73105,'When Equipped:',100,0,0),
(91882,73105,'On a damage spell hit this spell may cast Cherista''s Domination on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(91883,73105,'Decreases power of target by 212 instantly and every 2 seconds',100,2,2),
(91884,73105,'Increases power of caster by 165 instantly and every 2 seconds',100,2,3),
(91885,73105,'Cannot be modified except by direct means',100,2,4),
(91886,10073105,'When Equipped:',100,0,0),
(91887,10073105,'On a damage spell hit this spell may cast Cherista''s Domination on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(91888,10073105,'Decreases power of target by 212 instantly and every 2 seconds',100,2,2),
(91889,10073105,'Increases power of caster by 165 instantly and every 2 seconds',100,2,3),
(91890,10073105,'Cannot be modified except by direct means',100,2,4),
(91891,116758,'Increases Max Health of target by 470.4',100,1,0),
(91892,116758,'Increases Max Power of target by 529.4',100,1,1),
(91893,10116758,'Increases Max Health of target by 470.4',100,1,0),
(91894,10116758,'Increases Max Power of target by 529.4',100,1,1),
(91895,122591,'Inflicts 83 - 101 mental damage on target instantly and every 3 seconds',100,1,0),
(91896,122591,'Decreases Mitigation of target vs arcane damage by 624',100,1,1),
(91897,10122591,'Inflicts 116 - 142 mental damage on target instantly and every 3 seconds',100,1,0),
(91898,10122591,'Decreases Mitigation of target vs arcane damage by 624',100,1,1),
(91899,177471,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(91900,177471,'Decreases Attack Speed of target by 11.2',100,1,1),
(91901,177471,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(91902,10177471,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(91903,10177471,'Decreases Attack Speed of target by 11.2',100,1,1),
(91904,10177471,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(91905,35817,'Increases STA of target by 1.6',100,0,0),
(91906,35817,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(91907,105372,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(91908,105372,'Inflicts 37 melee damage on target',100,2,1),
(91909,105372,'Interrupts target',100,2,2),
(91910,105372,'Decreases Defense of caster by 8.1',100,1,3),
(91911,105372,'Increases Piercing, Slashing, Ranged and Crushing of caster by 13.4',100,1,4),
(91912,10105372,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(91913,10105372,'Inflicts 49 melee damage on target',100,2,1),
(91914,10105372,'Interrupts target',100,2,2),
(91915,10105372,'Decreases Defense of caster by 8.1',100,1,3),
(91916,10105372,'Increases Piercing, Slashing, Ranged and Crushing of caster by 13.4',100,1,4),
(91917,109647,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(91918,109647,'Inflicts 38 - 70 poison damage on target encounter',100,2,1),
(91919,10109647,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(91920,10109647,'Inflicts 53 - 98 poison damage on target encounter',100,2,1),
(91921,108478,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(91922,108478,'Increases Aggression of caster by 13.3',100,1,1),
(91923,108478,'Increases Defense and Parry of caster by 26.6',100,1,2),
(91924,108478,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(91925,10108478,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(91926,10108478,'Increases Aggression of caster by 13.3',100,1,1),
(91927,10108478,'Increases Defense and Parry of caster by 26.6',100,1,2),
(91928,10108478,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(91929,109557,'Inflicts 9134 - 15223 cold damage on targets in Area of Effect',100,1,0),
(91930,109557,'Throws target back',100,1,1),
(91931,109557,'If Target is not Epic',100,2,2),
(91932,109557,'Stuns targets in Area of Effect',100,1,3),
(91933,109557,'If Target is not Epic',100,2,4),
(91934,109557,'Resistibility increases against targets higher than level 117.',100,1,5),
(91935,10109557,'Inflicts 8525 - 14208 cold damage on targets in Area of Effect',100,1,0),
(91936,10109557,'Throws target back',100,1,1),
(91937,10109557,'If Target is not Epic',100,2,2),
(91938,10109557,'Stuns targets in Area of Effect',100,1,3),
(91939,10109557,'If Target is not Epic',100,2,4),
(91940,10109557,'Resistibility increases against targets higher than level 117.',100,1,5),
(91941,102394,'Inflicts 300 - 558 melee damage on targets in area',100,1,0),
(91942,10102394,'Inflicts 391 - 726 melee damage on targets in area',100,1,0),
(91943,45615,'Applies Elixir of Life  when Activated.',100,0,0),
(91944,45615,'Heals caster for 17',100,1,1),
(91945,10045615,'Applies Elixir of Life  when Activated.',100,0,0),
(91946,10045615,'Heals caster for 11',100,1,1),
(91947,26284,'When Equipped:',100,0,0),
(91948,26284,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(91949,26284,'Inflicts 275 divine damage on target',100,2,2),
(91950,26284,'Heals caster for 36',100,2,3),
(91951,26284,'Cannot be modified except by direct means',100,2,4),
(91952,10026284,'When Equipped:',100,0,0),
(91953,10026284,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(91954,10026284,'Inflicts 385 divine damage on target',100,2,2),
(91955,10026284,'Heals caster for 23',100,2,3),
(91956,10026284,'Cannot be modified except by direct means',100,2,4),
(91957,111526,'Blurs vision of targets in Area of Effect',100,1,0),
(91958,111526,'Interrupts targets in Area of Effect',100,1,1),
(91959,111526,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(91960,111526,'Stuns target',100,2,3),
(91961,111526,'Throws target back',100,2,4),
(91962,111526,'Blurs vision of target',100,2,5),
(91963,111526,'Does not affect Epic targets',100,2,6),
(91964,10111526,'Blurs vision of targets in Area of Effect',100,1,0),
(91965,10111526,'Interrupts targets in Area of Effect',100,1,1),
(91966,10111526,'14% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(91967,10111526,'Stuns target',100,2,3),
(91968,10111526,'Throws target back',100,2,4),
(91969,10111526,'Blurs vision of target',100,2,5),
(91970,10111526,'Does not affect Epic targets',100,2,6),
(91971,45163,'Applies healing tonic when Activated.',100,0,0),
(91972,45163,'Updates a specific part of the Quest \"The Triumph of Fear\"',100,1,1),
(91973,10045163,'Applies healing tonic when Activated.',100,0,0),
(91974,10045163,'Updates a specific part of the Quest \"The Triumph of Fear\"',100,1,1),
(91975,110733,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(91976,110733,'Heals group members (AE) for 1006',100,2,1),
(91977,10110733,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(91978,10110733,'Heals group members (AE) for 654',100,2,1),
(91979,117191,'Inflicts 178 poison damage on target instantly and every 4 seconds',100,1,0),
(91980,117191,'Decreases WIS of target by 105.3',100,1,1),
(91981,10117191,'Inflicts 249 poison damage on target instantly and every 4 seconds',100,1,0),
(91982,10117191,'Decreases WIS of target by 105.3',100,1,1),
(91983,176234,'When Equipped:',100,0,0),
(91984,176234,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(91985,176234,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,2),
(91986,176234,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(91987,176234,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,4),
(91988,176234,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(91989,176234,'Must not be engaged in pvp combat',100,2,6),
(91990,176234,'Cannot be modified except by direct means',100,2,7),
(91991,176234,'Must not be engaged in pvp combat',100,1,8),
(91992,10176234,'When Equipped:',100,0,0),
(91993,10176234,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(91994,10176234,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,2),
(91995,10176234,'Inflicts 4517 - 4993 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(91996,10176234,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,4),
(91997,10176234,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(91998,10176234,'Must not be engaged in pvp combat',100,2,6),
(91999,10176234,'Cannot be modified except by direct means',100,2,7),
(92000,10176234,'Must not be engaged in pvp combat',100,1,8),
(92001,144932,'When Equipped:',100,0,0),
(92002,144932,'Increases Attack Speed of caster by 50.0',100,1,1),
(92003,144932,'Must not be engaged in pvp combat',100,1,2),
(92004,10144932,'When Equipped:',100,0,0),
(92005,10144932,'Increases Attack Speed of caster by 50.0',100,1,1),
(92006,10144932,'Must not be engaged in pvp combat',100,1,2),
(92007,107049,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(92008,107049,'Inflicts 147 - 244 divine damage on target',100,2,1),
(92009,107049,'Inflicts 147 - 244 divine damage on target',100,2,2),
(92010,107049,'If target is undead',100,3,3),
(92011,10107049,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(92012,10107049,'Inflicts 342 - 570 divine damage on target',100,2,1),
(92013,159678,'When Equipped:',100,0,0),
(92014,159678,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(92015,159678,'Increases STA of caster by 8.3',100,2,2),
(92016,159678,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(92017,159678,'Cannot be modified except by direct means',100,2,4),
(92018,10159678,'When Equipped:',100,0,0),
(92019,10159678,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(92020,10159678,'Increases STA of caster by 8.3',100,2,2),
(92021,10159678,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(92022,10159678,'Cannot be modified except by direct means',100,2,4),
(92023,35011,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(92024,35011,'This effect suspends during combat',100,0,1),
(92025,100359,'Increases Max Health of target by 843.8',100,1,0),
(92026,100359,'Increases Crushing, Piercing, Slashing and Ranged of target by 12.2',100,1,1),
(92027,10100359,'Increases Max Health of target by 843.8',100,1,0),
(92028,10100359,'Increases Crushing, Piercing, Slashing and Ranged of target by 12.2',100,1,1),
(92029,24242,'Adds Cyclops (Bruiser)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(92030,10024242,'Adds Cyclops (Bruiser)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(92031,110030,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(92032,110030,'Inflicts 188 - 313 disease damage on target',100,2,1),
(92033,110030,'Heals caster for 1.7 - 2.8% of max health',100,2,2),
(92034,110030,'This effect cannot be critically applied.',100,3,3),
(92035,110030,'The healing of this spell cannot be modified except by direct means',100,2,4),
(92036,10110030,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(92037,10110030,'Inflicts 263 - 438 disease damage on target',100,2,1),
(92038,10110030,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(92039,10110030,'This effect cannot be critically applied.',100,3,3),
(92040,10110030,'The healing of this spell cannot be modified except by direct means',100,2,4),
(92041,108278,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(92042,108278,'Inflicts 240 heat damage on target',100,2,1),
(92043,108278,'Grants a total of 3 triggers of the spell.',100,2,2),
(92044,10108278,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(92045,10108278,'Inflicts 337 heat damage on target',100,2,1),
(92046,10108278,'Grants a total of 3 triggers of the spell.',100,2,2),
(92047,46506,'Applies Gnomish Matron''s Mechanicized Facade when Activated.  Lasts for 30 minutes.',100,0,0),
(92048,46506,'When you absolutely, positively have to be a clockwork gnome.  In 10 seconds or less.',100,1,1),
(92049,10046506,'Applies Gnomish Matron''s Mechanicized Facade when Activated.  Lasts for 30 minutes.',100,0,0),
(92050,10046506,'When you absolutely, positively have to be a clockwork gnome.  In 10 seconds or less.',100,1,1),
(92051,106462,'Increases Multi Attack Chance of raid and group members (AE) by 12.0',100,1,0),
(92052,10106462,'Increases Multi Attack Chance of raid and group members (AE) by 12.0',100,1,0),
(92053,82484,'When Equipped:',100,0,0),
(92054,82484,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92055,82484,'Decreases Threat to target by 641 ',100,2,2),
(92056,82484,'Must be flanking or behind',100,3,3),
(92057,82484,'Increases Threat to target by 641 ',100,2,4),
(92058,82484,'Must be in front of',100,3,5),
(92059,82484,'Inflicts 182 - 339 magic damage on target',100,2,6),
(92060,82484,'Cannot be modified except by direct means',100,2,7),
(92061,10082484,'When Equipped:',100,0,0),
(92062,10082484,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92063,10082484,'Inflicts 255 - 474 magic damage on target',100,2,2),
(92064,10082484,'Cannot be modified except by direct means',100,2,3),
(92065,110602,'Decreases Focus of target by 24.3',100,1,0),
(92066,110602,'Interrupts target',100,1,1),
(92067,110602,'Inflicts 124 - 374 crushing damage on target',100,1,2),
(92068,10110602,'Decreases Focus of target by 24.3',100,1,0),
(92069,10110602,'Interrupts target',100,1,1),
(92070,10110602,'Inflicts 162 - 486 crushing damage on target',100,1,2),
(92071,100700,'Dispels 121 levels of any hostile effects on target',100,1,0),
(92072,100700,'Dispels 121 levels of hostile Fear effects on target',100,1,1),
(92073,100700,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(92074,100700,'Makes target immune to Fear effects',100,3,3),
(92075,100700,'Dispels 121 levels of hostile Daze effects on target',100,1,4),
(92076,100700,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(92077,100700,'Makes target immune to Daze effects',100,3,6),
(92078,100700,'Dispels 121 levels of hostile Root effects on target',100,1,7),
(92079,100700,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(92080,100700,'Makes target immune to Root effects',100,3,9),
(92081,100700,'Dispels 121 levels of hostile Stifle effects on target',100,1,10),
(92082,100700,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(92083,100700,'Makes target immune to Stifle effects',100,3,12),
(92084,100700,'Dispels 121 levels of hostile Stun effects on target',100,1,13),
(92085,100700,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(92086,100700,'Makes target immune to Stun effects',100,3,15),
(92087,10100700,'Dispels 121 levels of any hostile effects on target',100,1,0),
(92088,10100700,'Dispels 121 levels of hostile Fear effects on target',100,1,1),
(92089,10100700,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(92090,10100700,'Makes target immune to Fear effects',100,3,3),
(92091,10100700,'Dispels 121 levels of hostile Daze effects on target',100,1,4),
(92092,10100700,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(92093,10100700,'Makes target immune to Daze effects',100,3,6),
(92094,10100700,'Dispels 121 levels of hostile Root effects on target',100,1,7),
(92095,10100700,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(92096,10100700,'Makes target immune to Root effects',100,3,9),
(92097,10100700,'Dispels 121 levels of hostile Stifle effects on target',100,1,10),
(92098,10100700,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(92099,10100700,'Makes target immune to Stifle effects',100,3,12),
(92100,10100700,'Dispels 121 levels of hostile Stun effects on target',100,1,13),
(92101,10100700,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(92102,10100700,'Makes target immune to Stun effects',100,3,15),
(92103,27235,'When Equipped:',100,0,0),
(92104,27235,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92105,27235,'Decreases power of target by 229',100,2,2),
(92106,27235,'Increases power of caster by 184',100,2,3),
(92107,27235,'Cannot be modified except by direct means',100,2,4),
(92108,10027235,'When Equipped:',100,0,0),
(92109,10027235,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92110,10027235,'Decreases power of target by 229',100,2,2),
(92111,10027235,'Increases power of caster by 184',100,2,3),
(92112,10027235,'Cannot be modified except by direct means',100,2,4),
(92113,104477,'Decreases Mitigation of target encounter vs physical damage by 456',100,1,0),
(92114,10104477,'Decreases Mitigation of target encounter vs physical damage by 456',100,1,0),
(92115,172464,'When Equipped:',100,0,0),
(92116,172464,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(92117,172464,'Heals caster for 664 - 811',100,2,2),
(92118,172464,'Increases power of caster by 295',100,2,3),
(92119,172464,'Must not be engaged in pvp combat',100,2,4),
(92120,172464,'Cannot be modified except by direct means',100,2,5),
(92121,172464,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(92122,172464,'Heals caster for 664 - 811',100,2,7),
(92123,172464,'Increases power of caster by 295',100,2,8),
(92124,172464,'Must not be engaged in pvp combat',100,2,9),
(92125,172464,'Cannot be modified except by direct means',100,2,10),
(92126,10172464,'When Equipped:',100,0,0),
(92127,10172464,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(92128,10172464,'Heals caster for 431 - 527',100,2,2),
(92129,10172464,'Increases power of caster by 295',100,2,3),
(92130,10172464,'Must not be engaged in pvp combat',100,2,4),
(92131,10172464,'Cannot be modified except by direct means',100,2,5),
(92132,10172464,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(92133,10172464,'Heals caster for 431 - 527',100,2,7),
(92134,10172464,'Increases power of caster by 295',100,2,8),
(92135,10172464,'Must not be engaged in pvp combat',100,2,9),
(92136,10172464,'Cannot be modified except by direct means',100,2,10),
(92137,108864,'Inflicts 283 - 471 melee damage on target',100,1,0),
(92138,108864,'Inflicts 283 - 471 melee damage on target',100,1,1),
(92139,108864,'Inflicts 283 - 471 melee damage on target',100,1,2),
(92140,108864,'Inflicts 283 - 471 melee damage on target',100,1,3),
(92141,108864,'Inflicts 283 - 471 melee damage on target',100,1,4),
(92142,10108864,'Inflicts 368 - 613 melee damage on target',100,1,0),
(92143,10108864,'Inflicts 368 - 613 melee damage on target',100,1,1),
(92144,10108864,'Inflicts 368 - 613 melee damage on target',100,1,2),
(92145,10108864,'Inflicts 368 - 613 melee damage on target',100,1,3),
(92146,10108864,'Inflicts 368 - 613 melee damage on target',100,1,4),
(92147,81572,'When Equipped:',100,0,0),
(92148,81572,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92149,81572,'Decreases Threat to target by 376 ',100,2,2),
(92150,81572,'Must be flanking or behind',100,3,3),
(92151,81572,'Increases Threat to target by 376 ',100,2,4),
(92152,81572,'Must be in front of',100,3,5),
(92153,81572,'Inflicts 144 - 268 magic damage on target',100,2,6),
(92154,81572,'Cannot be modified except by direct means',100,2,7),
(92155,10081572,'When Equipped:',100,0,0),
(92156,10081572,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92157,10081572,'Inflicts 202 - 375 magic damage on target',100,2,2),
(92158,10081572,'Cannot be modified except by direct means',100,2,3),
(92159,164185,'When Equipped:',100,0,0),
(92160,164185,'On a spell cast this spell may cast Unflinching Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(92161,164185,'Makes caster immune to Stun effects',100,2,2),
(92162,164185,'Must not be engaged in pvp combat',100,2,3),
(92163,164185,'Cannot be modified except by direct means',100,2,4),
(92164,164185,'Must not be engaged in pvp combat',100,1,5),
(92165,10164185,'When Equipped:',100,0,0),
(92166,10164185,'On a spell cast this spell may cast Unflinching Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(92167,10164185,'Makes caster immune to Stun effects',100,2,2),
(92168,10164185,'Must not be engaged in pvp combat',100,2,3),
(92169,10164185,'Cannot be modified except by direct means',100,2,4),
(92170,10164185,'Must not be engaged in pvp combat',100,1,5),
(92171,124244,'Decreases power of target by 18 - 30',100,1,0),
(92172,124244,'Inflicts 48 - 80 mental damage on target',100,1,1),
(92173,10124244,'Decreases power of target by 18 - 30',100,1,0),
(92174,10124244,'Inflicts 63 - 105 mental damage on target',100,1,1),
(92175,153812,'Applies Indomitable VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(92176,153812,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(92177,153812,'Wards caster against 2500 points of all damage',100,2,2),
(92178,153812,'Must not be engaged in pvp combat',100,2,3),
(92179,153812,'Cannot be modified except by direct means',100,2,4),
(92180,153812,'Increases the caster''s physical mitigation over time.',100,1,5),
(92181,153812,'Must not be engaged in pvp combat',100,1,6),
(92182,153812,'Cannot be modified except by direct means',100,1,7),
(92183,153812,'The reuse time of Indomitable VIII is 10 minutes',100,1,8),
(92184,10153812,'Applies Indomitable VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(92185,10153812,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(92186,10153812,'Wards caster against 2500 points of all damage',100,2,2),
(92187,10153812,'Must not be engaged in pvp combat',100,2,3),
(92188,10153812,'Cannot be modified except by direct means',100,2,4),
(92189,10153812,'Increases the caster''s physical mitigation over time.',100,1,5),
(92190,10153812,'Must not be engaged in pvp combat',100,1,6),
(92191,10153812,'Cannot be modified except by direct means',100,1,7),
(92192,10153812,'The reuse time of Indomitable VIII is 10 minutes',100,1,8),
(92193,79820,'When Equipped:',100,0,0),
(92194,79820,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(92195,79820,'Heals group members for 1132',100,2,2),
(92196,79820,'Cannot be modified except by direct means',100,2,3),
(92197,10079820,'When Equipped:',100,0,0),
(92198,10079820,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(92199,10079820,'Heals group members for 1324',100,2,2),
(92200,10079820,'Cannot be modified except by direct means',100,2,3),
(92201,170583,'When Equipped:',100,0,0),
(92202,170583,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92203,170583,'Inflicts 1998 disease damage on target encounter',100,2,2),
(92204,170583,'Must not be engaged in pvp combat',100,2,3),
(92205,170583,'Cannot be modified except by direct means',100,2,4),
(92206,10170583,'When Equipped:',100,0,0),
(92207,10170583,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92208,10170583,'Inflicts 1399 disease damage on target encounter',100,2,2),
(92209,10170583,'Must not be engaged in pvp combat',100,2,3),
(92210,10170583,'Cannot be modified except by direct means',100,2,4),
(92211,107517,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(92212,10107517,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(92213,79395,'Applies Power of Time when Equipped.',100,0,0),
(92214,79395,'On a combat hit this spell may cast Power of Time on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92215,79395,'Decreases Attack Speed of target by 14.0',100,2,2),
(92216,79395,'Cannot be modified except by direct means',100,2,3),
(92217,10079395,'Applies Power of Time when Equipped.',100,0,0),
(92218,10079395,'On a combat hit this spell may cast Power of Time on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92219,10079395,'Decreases Attack Speed of target by 14.0',100,2,2),
(92220,10079395,'Cannot be modified except by direct means',100,2,3),
(92221,124228,'Decreases Attack Speed of caster by 15.5',100,1,0),
(92222,124228,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(92223,124228,'Slows targets in Area of Effect by 65.6%',100,2,2),
(92224,124228,'5% chance to dispel when target receives hostile action',100,2,3),
(92225,124228,'5% chance to dispel when target takes damage',100,2,4),
(92226,124228,'Increases Mitigation of caster vs physical damage by 880',100,1,5),
(92227,10124228,'Decreases Attack Speed of caster by 15.5',100,1,0),
(92228,10124228,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(92229,10124228,'Slows targets in Area of Effect by 49.2%',100,2,2),
(92230,10124228,'5% chance to dispel when target receives hostile action',100,2,3),
(92231,10124228,'5% chance to dispel when target takes damage',100,2,4),
(92232,10124228,'Increases Mitigation of caster vs physical damage by 880',100,1,5),
(92233,80272,'When Equipped:',100,0,0),
(92234,80272,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92235,80272,'Decreases Threat to target by 801 ',100,2,2),
(92236,80272,'Must be flanking or behind',100,3,3),
(92237,80272,'Increases Threat to target by 801 ',100,2,4),
(92238,80272,'Must be in front of',100,3,5),
(92239,80272,'Inflicts 224 - 415 magic damage on target',100,2,6),
(92240,80272,'Cannot be modified except by direct means',100,2,7),
(92241,10080272,'When Equipped:',100,0,0),
(92242,10080272,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92243,10080272,'Inflicts 313 - 581 magic damage on target',100,2,2),
(92244,10080272,'Cannot be modified except by direct means',100,2,3),
(92245,25287,'When Equipped:',100,0,0),
(92246,25287,'Removes the concentration of Aria of Magic VI.',100,1,1),
(92247,25287,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(92248,10025287,'When Equipped:',100,0,0),
(92249,10025287,'Removes the concentration of Aria of Magic VI.',100,1,1),
(92250,10025287,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(92251,141926,'When Equipped:',100,0,0),
(92252,141926,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(92253,141926,'Increases STA of caster by 17.3',100,2,2),
(92254,141926,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(92255,141926,'Cannot be modified except by direct means',100,2,4),
(92256,10141926,'When Equipped:',100,0,0),
(92257,10141926,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(92258,10141926,'Increases STA of caster by 17.3',100,2,2),
(92259,10141926,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(92260,10141926,'Cannot be modified except by direct means',100,2,4),
(92261,118312,'Roots target encounter',100,1,0),
(92262,118312,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(92263,118312,'Slows target by 43.6%',100,2,2),
(92264,118312,'5% chance to dispel when target receives hostile action',100,2,3),
(92265,118312,'5% chance to dispel when target takes damage',100,2,4),
(92266,118312,'20% chance to dispel when target takes damage',100,1,5),
(92267,118312,'Does not affect Epic targets',100,1,6),
(92268,118312,'Resistibility increases against targets higher than level 97.',100,1,7),
(92269,10118312,'Roots target encounter',100,1,0),
(92270,10118312,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(92271,10118312,'Slows target by 43.6%',100,2,2),
(92272,10118312,'5% chance to dispel when target receives hostile action',100,2,3),
(92273,10118312,'5% chance to dispel when target takes damage',100,2,4),
(92274,10118312,'20% chance to dispel when target takes damage',100,1,5),
(92275,10118312,'Does not affect Epic targets',100,1,6),
(92276,10118312,'Resistibility increases against targets higher than level 97.',100,1,7),
(92277,106923,'Inflicts 86 - 159 poison damage on target',100,1,0),
(92278,10106923,'Inflicts 120 - 222 poison damage on target',100,1,0),
(92279,82239,'When Equipped:',100,0,0),
(92280,82239,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92281,82239,'Inflicts 37 - 69 magic damage on target',100,2,2),
(92282,82239,'Cannot be modified except by direct means',100,2,3),
(92283,10082239,'When Equipped:',100,0,0),
(92284,10082239,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92285,10082239,'Inflicts 52 - 96 magic damage on target',100,2,2),
(92286,10082239,'Cannot be modified except by direct means',100,2,3),
(92287,47032,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(92288,47032,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(92289,47032,'Inflicts 114 poison damage on target instantly and every 6 seconds',100,2,2),
(92290,47032,'Inflicts 388 poison damage on target',100,2,3),
(92291,47032,'Cannot be modified except by direct means',100,2,4),
(92292,47032,'Grants a total of 200 triggers of the spell.',100,2,5),
(92293,10047032,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(92294,10047032,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(92295,10047032,'Inflicts 408 poison damage on target',100,2,2),
(92296,10047032,'Inflicts 120 poison damage on target instantly and every 6 seconds',100,2,3),
(92297,10047032,'Cannot be modified except by direct means',100,2,4),
(92298,10047032,'Grants a total of 200 triggers of the spell.',100,2,5),
(92299,27489,'When Equipped:',100,0,0),
(92300,27489,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,1),
(92301,27489,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(92302,10027489,'When Equipped:',100,0,0),
(92303,10027489,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,1),
(92304,10027489,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(92305,113048,'Decreases Damage Per Second of target by 33.9',100,1,0),
(92306,10113048,'Decreases Damage Per Second of target by 33.9',100,1,0),
(92307,120270,'Inflicts 780 - 1301 crushing damage on target',100,1,0),
(92308,10120270,'Inflicts 1015 - 1691 crushing damage on target',100,1,0),
(92309,73093,'When Equipped:',100,0,0),
(92310,73093,'On a melee hit this spell may cast Swarthy Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92311,73093,'Inflicts 275 - 413 piercing damage on target',100,2,2),
(92312,73093,'Inflicts 69 - 103 piercing damage on target every 3 seconds',100,2,3),
(92313,73093,'Adds an additional 4% hate transfer to Swarthy Deception IV',100,2,4),
(92314,73093,'Cannot be modified except by direct means',100,2,5),
(92315,73093,'Cannot be modified except by direct means',100,1,6),
(92316,10073093,'When Equipped:',100,0,0),
(92317,10073093,'On a melee hit this spell may cast Swarthy Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92318,10073093,'Inflicts 385 - 578 piercing damage on target',100,2,2),
(92319,10073093,'Inflicts 96 - 144 piercing damage on target every 3 seconds',100,2,3),
(92320,10073093,'Adds an additional 4% hate transfer to Swarthy Deception IV',100,2,4),
(92321,10073093,'Cannot be modified except by direct means',100,2,5),
(92322,10073093,'Cannot be modified except by direct means',100,1,6),
(92323,110506,'Increases Threat to target by 109  instantly and by 45  every 3 seconds thereafter',100,1,0),
(92324,110506,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(92325,110506,'Stuns target',100,2,2),
(92326,110506,'Blurs vision of target',100,2,3),
(92327,110506,'Throws target back',100,2,4),
(92328,110506,'Does not affect Epic targets',100,2,5),
(92329,110506,'Inflicts 27 - 45 disease damage on target',100,1,6),
(92330,10110506,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(92331,10110506,'Stuns target',100,2,1),
(92332,10110506,'Throws target back',100,2,2),
(92333,10110506,'Blurs vision of target',100,2,3),
(92334,10110506,'Does not affect Epic targets',100,2,4),
(92335,10110506,'Forces target to change their selected target to caster.',100,1,5),
(92336,10110506,'Inflicts 29 - 49 disease damage on target',100,1,6),
(92337,10110506,'Prevents target from changing targets',100,1,7),
(92338,108530,'Increases AGI and WIS of group members (AE) by 51.7',100,1,0),
(92339,108530,'Adds 1.7% to base avoidance.',100,1,1),
(92340,108530,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 145',100,1,2),
(92341,10108530,'Increases AGI and WIS of group members (AE) by 51.7',100,1,0),
(92342,10108530,'Adds 1.7% to base avoidance.',100,1,1),
(92343,10108530,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 145',100,1,2),
(92344,104299,'Inflicts 241 - 402 melee damage on target',100,1,0),
(92345,104299,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(92346,104299,'Stuns target',100,2,2),
(92347,104299,'Blurs vision of target',100,2,3),
(92348,104299,'Throws target back',100,2,4),
(92349,104299,'Does not affect Epic targets',100,2,5),
(92350,10104299,'Inflicts 314 - 523 melee damage on target',100,1,0),
(92351,10104299,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(92352,10104299,'Stuns target',100,2,2),
(92353,10104299,'Throws target back',100,2,3),
(92354,10104299,'Blurs vision of target',100,2,4),
(92355,10104299,'Does not affect Epic targets',100,2,5),
(92356,106712,'Heals target for 190 - 232',100,1,0),
(92357,10106712,'Heals target for 223 - 272',100,1,0),
(92358,190736,'When Equipped:',100,0,0),
(92359,190736,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92360,190736,'Inflicts 652 crushing damage on target',100,2,2),
(92361,190736,'Inflicts 652 disease damage on target',100,2,3),
(92362,190736,'Must not be engaged in pvp combat',100,2,4),
(92363,190736,'Cannot be modified except by direct means',100,2,5),
(92364,10190736,'When Equipped:',100,0,0),
(92365,10190736,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92366,10190736,'Inflicts 913 crushing damage on target',100,2,2),
(92367,10190736,'Inflicts 913 disease damage on target',100,2,3),
(92368,10190736,'Must not be engaged in pvp combat',100,2,4),
(92369,10190736,'Cannot be modified except by direct means',100,2,5),
(92370,111991,'Heals target for 111 - 136',100,1,0),
(92371,10111991,'Heals target for 72 - 88',100,1,0),
(92372,122295,'Decreases Threat to targets in Area of Effect by 5,820 ',100,1,0),
(92373,122295,'Makes targets in Area of Effect afraid',100,1,1),
(92374,122295,'If Target is not Epic',100,2,2),
(92375,122295,'30% chance to dispel when target takes damage',100,1,3),
(92376,10122295,'Applies Distract.',100,1,0),
(92377,10122295,'Forces target to clear their selected target.',100,2,1),
(92378,10122295,'Makes targets in Area of Effect afraid',100,1,2),
(92379,10122295,'If Target is not Epic',100,2,3),
(92380,10122295,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(92381,10122295,'30% chance to dispel when target takes damage',100,1,5),
(92382,25991,'When Equipped:',100,0,0),
(92383,25991,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92384,25991,'Decreases power of target by 108',100,2,2),
(92385,25991,'Increases power of caster by 80',100,2,3),
(92386,25991,'Cannot be modified except by direct means',100,2,4),
(92387,10025991,'When Equipped:',100,0,0),
(92388,10025991,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92389,10025991,'Decreases power of target by 108',100,2,2),
(92390,10025991,'Increases power of caster by 80',100,2,3),
(92391,10025991,'Cannot be modified except by direct means',100,2,4),
(92392,117188,'Inflicts 194 poison damage on target instantly and every 4 seconds',100,1,0),
(92393,117188,'Decreases WIS of target by 114.8',100,1,1),
(92394,10117188,'Inflicts 271 poison damage on target instantly and every 4 seconds',100,1,0),
(92395,10117188,'Decreases WIS of target by 114.8',100,1,1),
(92396,109145,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(92397,109145,'Heals target for 1004 - 1227',100,2,1),
(92398,109145,'Grants a total of 8 triggers of the spell.',100,2,2),
(92399,10109145,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(92400,10109145,'Heals target for 1175 - 1436',100,2,1),
(92401,10109145,'Grants a total of 8 triggers of the spell.',100,2,2),
(92402,164573,'Applies Unstable Magics when Equipped.',100,0,0),
(92403,164573,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(92404,10164573,'Applies Unstable Magics when Equipped.',100,0,0),
(92405,10164573,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(92406,45100,'Applies Cleanse when Activated.',100,0,0),
(92407,45100,'Summon 1 Eye of Thalger',100,1,1),
(92408,10045100,'Applies Cleanse when Activated.',100,0,0),
(92409,10045100,'Summon 1 Eye of Thalger',100,1,1),
(92410,48913,'Applies Stormfeather''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(92411,48913,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(92412,48913,'Inflicts 20 magic damage on target',100,2,2),
(92413,48913,'Cannot be modified except by direct means',100,2,3),
(92414,10048913,'Applies Stormfeather''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(92415,10048913,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(92416,10048913,'Inflicts 28 magic damage on target',100,2,2),
(92417,10048913,'Cannot be modified except by direct means',100,2,3),
(92418,46045,'Applies Elemental Resonance when Activated.',100,0,0),
(92419,46045,'Must be in The Barren Sky.',100,1,1),
(92420,10046045,'Applies Elemental Resonance when Activated.',100,0,0),
(92421,10046045,'Must be in The Barren Sky.',100,1,1),
(92422,26993,'When Equipped:',100,0,0),
(92423,26993,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(92424,26993,'Cancels up to 16.7% of target''s speed buffs',100,2,2),
(92425,26993,'Inflicts 321 disease damage on target',100,2,3),
(92426,26993,'Cannot be modified except by direct means',100,2,4),
(92427,10026993,'When Equipped:',100,0,0),
(92428,10026993,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(92429,10026993,'Cancels up to 16.7% of target''s speed buffs',100,2,2),
(92430,10026993,'Inflicts 449 disease damage on target',100,2,3),
(92431,10026993,'Cannot be modified except by direct means',100,2,4),
(92432,88300,'When Equipped:',100,0,0),
(92433,88300,'On a melee hit this spell may cast Shimmering Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92434,88300,'Inflicts 337 - 786 magic damage on target',100,2,2),
(92435,88300,'Increases damage done by combat arts by up to 150.',100,2,3),
(92436,88300,'Caster will Riposte 10.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,4),
(92437,88300,'Increases Damage Per Second of caster by 25.0',100,2,5),
(92438,88300,'Cannot be modified except by direct means',100,2,6),
(92439,88300,'Increases Multi Attack Chance of caster by 5.0',100,1,7),
(92440,10088300,'When Equipped:',100,0,0),
(92441,10088300,'On a melee hit this spell may cast Shimmering Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92442,10088300,'Inflicts 471 - 1100 magic damage on target',100,2,2),
(92443,10088300,'Increases damage done by combat arts by up to 150.',100,2,3),
(92444,10088300,'Caster will Riposte 10.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,4),
(92445,10088300,'Increases Damage Per Second of caster by 25.0',100,2,5),
(92446,10088300,'Cannot be modified except by direct means',100,2,6),
(92447,10088300,'Increases Multi Attack Chance of caster by 5.0',100,1,7),
(92448,71971,'When Equipped:',100,0,0),
(92449,71971,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92450,71971,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(92451,71971,'Cannot be modified except by direct means',100,2,3),
(92452,10071971,'When Equipped:',100,0,0),
(92453,10071971,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92454,10071971,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(92455,10071971,'Cannot be modified except by direct means',100,2,3),
(92456,133801,'When Equipped:',100,0,0),
(92457,133801,'Increases Attack Speed of caster by 50.0',100,1,1),
(92458,133801,'Must not be engaged in pvp combat',100,1,2),
(92459,10133801,'When Equipped:',100,0,0),
(92460,10133801,'Increases Attack Speed of caster by 50.0',100,1,1),
(92461,10133801,'Must not be engaged in pvp combat',100,1,2),
(92462,37248,'Increases WIS of target by 0.4',100,0,0),
(92463,37248,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(92464,119053,'Decreases power of target by 147 - 245',100,1,0),
(92465,119053,'Increases power of caster by 65 - 109',100,1,1),
(92466,119053,'Inflicts 156 - 261 mental damage on target',100,1,2),
(92467,10119053,'Decreases power of target by 147 - 245',100,1,0),
(92468,10119053,'Increases power of caster by 65 - 109',100,1,1),
(92469,10119053,'Inflicts 204 - 340 mental damage on target',100,1,2),
(92470,124282,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(92471,124282,'Increases Damage Per Second of target by 36.2',100,2,1),
(92472,124282,'Increases Attack Speed of target by 36.2',100,2,2),
(92473,124282,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(92474,124282,'Increases Damage Per Second of target by 36.2',100,2,4),
(92475,124282,'Increases Attack Speed of target by 36.2',100,2,5),
(92476,124282,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(92477,124282,'Increases Damage Per Second of target by 36.2',100,2,7),
(92478,124282,'Increases Attack Speed of target by 36.2',100,2,8),
(92479,10124282,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(92480,10124282,'Increases Damage Per Second of target by 36.2',100,2,1),
(92481,10124282,'Increases Attack Speed of target by 36.2',100,2,2),
(92482,10124282,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(92483,10124282,'Increases Damage Per Second of target by 36.2',100,2,4),
(92484,10124282,'Increases Attack Speed of target by 36.2',100,2,5),
(92485,10124282,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(92486,10124282,'Increases Damage Per Second of target by 36.2',100,2,7),
(92487,10124282,'Increases Attack Speed of target by 36.2',100,2,8),
(92488,26579,'When Equipped:',100,0,0),
(92489,26579,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,1),
(92490,26579,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(92491,10026579,'When Equipped:',100,0,0),
(92492,10026579,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,1),
(92493,10026579,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(92494,101479,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(92495,101479,'Increases Mitigation of group members (AE) vs arcane damage by 549',100,1,1),
(92496,10101479,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(92497,10101479,'Increases Mitigation of group members (AE) vs arcane damage by 549',100,1,1),
(92498,81234,'When Equipped:',100,0,0),
(92499,81234,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92500,81234,'Inflicts 424 - 788 magic damage on target',100,2,2),
(92501,81234,'Decreases Threat to target by 1,219 ',100,2,3),
(92502,81234,'Must be flanking or behind',100,3,4),
(92503,81234,'Increases Threat to target by 1,219 ',100,2,5),
(92504,81234,'Must be in front of',100,3,6),
(92505,81234,'Cannot be modified except by direct means',100,2,7),
(92506,10081234,'When Equipped:',100,0,0),
(92507,10081234,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92508,10081234,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(92509,10081234,'Cannot be modified except by direct means',100,2,3),
(92510,122753,'Heals group members (AE) for 253 - 309',100,1,0),
(92511,122753,'Increases Max Health of group members (AE) by 44.3',100,1,1),
(92512,10122753,'Heals group members (AE) for 296 - 362',100,1,0),
(92513,10122753,'Increases Max Health of group members (AE) by 44.3',100,1,1),
(92514,52989,'When Equipped:',100,0,0),
(92515,52989,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(92516,52989,'Wards caster against 1000 points of all damage',100,2,2),
(92517,52989,'Cannot be modified except by direct means',100,2,3),
(92518,10052989,'When Equipped:',100,0,0),
(92519,10052989,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(92520,10052989,'Wards caster against 1000 points of all damage',100,2,2),
(92521,10052989,'Cannot be modified except by direct means',100,2,3),
(92522,48179,'Applies Spirit Totem of the Bamboo when Activated.  Lasts for 30 minutes.',100,0,0),
(92523,48179,'Increases Out-of-Combat Power Regeneration of caster by 108.0',100,1,1),
(92524,48179,'This effect suspends during combat',100,1,2),
(92525,48179,'Only affects targets level 80 and above',100,1,3),
(92526,10048179,'Applies Spirit Totem of the Bamboo when Activated.  Lasts for 30 minutes.',100,0,0),
(92527,10048179,'Increases Out-of-Combat Power Regeneration of caster by 108.0',100,1,1),
(92528,10048179,'This effect suspends during combat',100,1,2),
(92529,10048179,'Only affects targets level 80 and above',100,1,3),
(92530,181012,'When Equipped:',100,0,0),
(92531,181012,'Increases Attack Speed of caster by 35.0',100,1,1),
(92532,10181012,'When Equipped:',100,0,0),
(92533,10181012,'Increases Attack Speed of caster by 35.0',100,1,1),
(92534,113341,'Inflicts 439 - 537 divine damage on target encounter',100,1,0),
(92535,113341,'Interrupts target encounter',100,1,1),
(92536,10113341,'Inflicts 615 - 752 divine damage on target encounter',100,1,0),
(92537,10113341,'Interrupts target encounter',100,1,1),
(92538,157832,'When Equipped:',100,0,0),
(92539,157832,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,1),
(92540,157832,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(92541,157832,'Cannot be modified except by direct means',100,1,3),
(92542,10157832,'When Equipped:',100,0,0),
(92543,10157832,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,1),
(92544,10157832,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(92545,10157832,'Cannot be modified except by direct means',100,1,3),
(92546,103610,'Inflicts 84 - 141 melee damage on target',100,1,0),
(92547,103610,'If facing target',100,1,1),
(92548,10103610,'Inflicts 110 - 184 melee damage on target',100,1,0),
(92549,10103610,'If facing target',100,1,1),
(92550,54737,'Applies Aegis of Impalement when Activated.  Lasts for 10 minutes.',100,0,0),
(92551,54737,'Increases In-Combat Power Regeneration of caster by 3.0',100,1,1),
(92552,54737,'When damaged with a melee weapon this spell will cast Aegis of Impalement on target''s attacker.  ',100,1,2),
(92553,54737,'Inflicts 5 magic damage on target',100,2,3),
(92554,54737,'Cannot be modified except by direct means',100,2,4),
(92555,54737,'The casting time of Aegis of Impalement is 6.0 seconds and the reuse time of the spell is 20 minutes',100,1,5),
(92556,10054737,'Applies Aegis of Impalement when Activated.  Lasts for 10 minutes.',100,0,0),
(92557,10054737,'Increases In-Combat Power Regeneration of caster by 3.0',100,1,1),
(92558,10054737,'When damaged with a melee weapon this spell will cast Aegis of Impalement on target''s attacker.  ',100,1,2),
(92559,10054737,'Inflicts 7 magic damage on target',100,2,3),
(92560,10054737,'Cannot be modified except by direct means',100,2,4),
(92561,10054737,'The casting time of Aegis of Impalement is 6.0 seconds and the reuse time of the spell is 20 minutes',100,1,5),
(92562,37072,'Increases STR of target by 1.6',100,0,0),
(92563,37072,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(92564,163238,'When Equipped:',100,0,0),
(92565,163238,'On a critical spell hit this spell may cast Arcane Vulnerability IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(92566,163238,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1880',100,2,2),
(92567,163238,'Must not be engaged in pvp combat',100,2,3),
(92568,163238,'Cannot be modified except by direct means',100,2,4),
(92569,163238,'On a critical combat hit this spell may cast Arcane Vulnerability IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(92570,163238,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1880',100,2,6),
(92571,163238,'Must not be engaged in pvp combat',100,2,7),
(92572,163238,'Cannot be modified except by direct means',100,2,8),
(92573,163238,'Must not be engaged in pvp combat',100,1,9),
(92574,10163238,'When Equipped:',100,0,0),
(92575,10163238,'On a critical spell hit this spell may cast Arcane Vulnerability IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(92576,10163238,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1880',100,2,2),
(92577,10163238,'Must not be engaged in pvp combat',100,2,3),
(92578,10163238,'Cannot be modified except by direct means',100,2,4),
(92579,10163238,'On a critical combat hit this spell may cast Arcane Vulnerability IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(92580,10163238,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1880',100,2,6),
(92581,10163238,'Must not be engaged in pvp combat',100,2,7),
(92582,10163238,'Cannot be modified except by direct means',100,2,8),
(92583,10163238,'Must not be engaged in pvp combat',100,1,9),
(92584,82700,'When Equipped:',100,0,0),
(92585,82700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92586,82700,'Inflicts 141 - 262 magic damage on target',100,2,2),
(92587,82700,'Cannot be modified except by direct means',100,2,3),
(92588,10082700,'When Equipped:',100,0,0),
(92589,10082700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92590,10082700,'Inflicts 198 - 367 magic damage on target',100,2,2),
(92591,10082700,'Cannot be modified except by direct means',100,2,3),
(92592,124779,'Increases STR of caster by 21.1',100,1,0),
(92593,124779,'Decreases Defense of caster by 1.8',100,1,1),
(92594,124779,'Increases Crushing, Piercing, Slashing and Disruption of caster by 4.3',100,1,2),
(92595,10124779,'Increases STR of caster by 21.1',100,1,0),
(92596,10124779,'Decreases Defense of caster by 1.8',100,1,1),
(92597,10124779,'Increases Crushing, Piercing, Slashing and Disruption of caster by 4.3',100,1,2),
(92598,107185,'Inflicts 179 - 298 divine damage on target',100,1,0),
(92599,107185,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(92600,107185,'Stuns target',100,2,2),
(92601,107185,'If Target is not Epic',100,3,3),
(92602,107185,'Inflicts 418 - 697 divine damage on target',100,2,4),
(92603,107185,'Inflicts 358 - 597 divine damage on target',100,2,5),
(92604,107185,'If target is undead',100,3,6),
(92605,10107185,'Inflicts 155 - 258 divine damage on target',100,1,0),
(92606,10107185,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(92607,10107185,'Stuns target',100,2,2),
(92608,10107185,'Inflicts 878 - 1464 divine damage on target',100,2,3),
(92609,10107185,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(92610,74654,'When Equipped:',100,0,0),
(92611,74654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92612,74654,'Inflicts 57 - 86 magic damage on target',100,2,2),
(92613,74654,'Cannot be modified except by direct means',100,2,3),
(92614,10074654,'When Equipped:',100,0,0),
(92615,10074654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92616,10074654,'Inflicts 80 - 120 magic damage on target',100,2,2),
(92617,10074654,'Cannot be modified except by direct means',100,2,3),
(92618,189994,'When Equipped:',100,0,0),
(92619,189994,'Increases Attack Speed of caster by 35.0',100,1,1),
(92620,10189994,'When Equipped:',100,0,0),
(92621,10189994,'Increases Attack Speed of caster by 35.0',100,1,1),
(92622,48152,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(92623,48152,'Wards caster against 1495 points of noxious damage',100,1,1),
(92624,10048152,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(92625,10048152,'Wards caster against 1495 points of noxious damage',100,1,1),
(92626,112170,'Increases STR of caster by 37.2',100,1,0),
(92627,112170,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 936',100,1,1),
(92628,112170,'Increases Mitigation of caster vs physical damage by 240',100,1,2),
(92629,10112170,'Increases STR of caster by 37.2',100,1,0),
(92630,10112170,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 936',100,1,1),
(92631,10112170,'Increases Mitigation of caster vs physical damage by 240',100,1,2),
(92632,36918,'Increases STA of target by 1.6',100,0,0),
(92633,36918,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(92634,159202,'Applies Sanguine Imbued when Equipped.',100,0,0),
(92635,159202,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(92636,159202,'Inflicts 51 heat damage on target',100,2,2),
(92637,159202,'Cannot be modified except by direct means',100,2,3),
(92638,10159202,'Applies Sanguine Imbued when Equipped.',100,0,0),
(92639,10159202,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(92640,10159202,'Inflicts 71 heat damage on target',100,2,2),
(92641,10159202,'Cannot be modified except by direct means',100,2,3),
(92642,48844,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(92643,48844,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(92644,48844,'Inflicts 99 poison damage on target',100,2,2),
(92645,48844,'Inflicts 51 poison damage on target instantly and every 6 seconds',100,2,3),
(92646,48844,'Cannot be modified except by direct means',100,2,4),
(92647,48844,'Grants a total of 200 triggers of the spell.',100,2,5),
(92648,10048844,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(92649,10048844,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(92650,10048844,'Inflicts 104 poison damage on target',100,2,2),
(92651,10048844,'Inflicts 54 poison damage on target instantly and every 6 seconds',100,2,3),
(92652,10048844,'Cannot be modified except by direct means',100,2,4),
(92653,10048844,'Grants a total of 200 triggers of the spell.',100,2,5),
(92654,82253,'When Equipped:',100,0,0),
(92655,82253,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92656,82253,'Inflicts 41 - 76 magic damage on target',100,2,2),
(92657,82253,'Decreases Threat to target by 135 ',100,2,3),
(92658,82253,'Must be flanking or behind',100,3,4),
(92659,82253,'Increases Threat to target by 135 ',100,2,5),
(92660,82253,'Must be in front of',100,3,6),
(92661,82253,'Cannot be modified except by direct means',100,2,7),
(92662,10082253,'When Equipped:',100,0,0),
(92663,10082253,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92664,10082253,'Inflicts 58 - 107 magic damage on target',100,2,2),
(92665,10082253,'Cannot be modified except by direct means',100,2,3),
(92666,104461,'Interrupts target encounter',100,1,0),
(92667,104461,'Applies Stumble on termination.',100,1,1),
(92668,104461,'Interrupts target',100,2,2),
(92669,104461,'Inflicts 206 - 251 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(92670,10104461,'Interrupts target encounter',100,1,0),
(92671,10104461,'Applies Stumble on termination.',100,1,1),
(92672,10104461,'Interrupts target',100,2,2),
(92673,10104461,'Inflicts 288 - 352 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(92674,121019,'Wards group members (AE) against 19 points of physical damage',100,1,0),
(92675,121019,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(92676,10121019,'Wards group members (AE) against 19 points of physical damage',100,1,0),
(92677,10121019,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(92678,75919,'When Equipped:',100,0,0),
(92679,75919,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(92680,75919,'Reduces healing received by 15.00%',100,2,2),
(92681,75919,'Cannot be modified except by direct means',100,2,3),
(92682,75919,'This effect can only trigger once every 1 second.',100,2,4),
(92683,75919,'Must be engaged in pvp combat',100,1,5),
(92684,10075919,'When Equipped:',100,0,0),
(92685,10075919,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(92686,10075919,'Reduces healing received by 15.00%',100,2,2),
(92687,10075919,'Cannot be modified except by direct means',100,2,3),
(92688,10075919,'This effect can only trigger once every 1 second.',100,2,4),
(92689,10075919,'Must be engaged in pvp combat',100,1,5),
(92690,71676,'When Equipped:',100,0,0),
(92691,71676,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92692,71676,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(92693,71676,'Cannot be modified except by direct means',100,2,3),
(92694,10071676,'When Equipped:',100,0,0),
(92695,10071676,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92696,10071676,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(92697,10071676,'Cannot be modified except by direct means',100,2,3),
(92698,116569,'Inflicts 45 - 75 divine damage on target',100,1,0),
(92699,116569,'Decreases Parry of target by 4.5',100,1,1),
(92700,116569,'If Two-Handed weapon equipped in Primary',100,1,2),
(92701,10116569,'Inflicts 59 - 98 divine damage on target',100,1,0),
(92702,10116569,'Decreases Parry of target by 4.5',100,1,1),
(92703,10116569,'If Two-Handed weapon equipped in Primary',100,1,2),
(92704,116690,'Heals group members (AE) for 7.3 - 9.0% of max health',100,1,0),
(92705,116690,'This effect cannot be critically applied.',100,2,1),
(92706,116690,'Increases Max Health of group members (AE) by 481.6',100,1,2),
(92707,116690,'The healing of this spell cannot be modified except by direct means',100,1,3),
(92708,10116690,'Heals group members (AE) for 2.3 - 2.8% of max health',100,1,0),
(92709,10116690,'This effect cannot be critically applied.',100,2,1),
(92710,10116690,'Increases Max Health of group members (AE) by 481.6',100,1,2),
(92711,10116690,'The healing of this spell cannot be modified except by direct means',100,1,3),
(92712,118197,'Increases Damage Per Second of group members (AE) by 14.8',100,1,0),
(92713,10118197,'Increases Damage Per Second of group members (AE) by 14.8',100,1,0),
(92714,105479,'Stuns target encounter',100,1,0),
(92715,105479,'If Target is not Epic',100,2,1),
(92716,105479,'Inflicts 396 - 736 poison damage on target encounter',100,1,2),
(92717,105479,'Resistibility increases against targets higher than level 79.',100,1,3),
(92718,10105479,'Stuns target encounter',100,1,0),
(92719,10105479,'If Target is not Epic',100,2,1),
(92720,10105479,'Inflicts 555 - 1031 poison damage on target encounter',100,1,2),
(92721,10105479,'Resistibility increases against targets higher than level 79.',100,1,3),
(92722,159462,'Applies Lambent Imbued when Equipped.',100,0,0),
(92723,159462,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(92724,159462,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(92725,159462,'Cannot be modified except by direct means',100,2,3),
(92726,10159462,'Applies Lambent Imbued when Equipped.',100,0,0),
(92727,10159462,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(92728,10159462,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(92729,10159462,'Cannot be modified except by direct means',100,2,3),
(92730,36272,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(92731,36272,'This effect suspends during combat',100,0,1),
(92732,159716,'Applies Lambent Imbued when Equipped.',100,0,0),
(92733,159716,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(92734,159716,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(92735,159716,'Cannot be modified except by direct means',100,2,3),
(92736,10159716,'Applies Lambent Imbued when Equipped.',100,0,0),
(92737,10159716,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(92738,10159716,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(92739,10159716,'Cannot be modified except by direct means',100,2,3),
(92740,119031,'Decreases power of target by 24 - 40',100,1,0),
(92741,119031,'Increases power of caster by 11 - 18',100,1,1),
(92742,119031,'Inflicts 25 - 43 mental damage on target',100,1,2),
(92743,10119031,'Decreases power of target by 24 - 40',100,1,0),
(92744,10119031,'Increases power of caster by 11 - 18',100,1,1),
(92745,10119031,'Inflicts 33 - 56 mental damage on target',100,1,2),
(92746,107264,'Inflicts 89 - 148 ranged damage on target',100,1,0),
(92747,107264,'Inflicts 89 - 148 ranged damage on target',100,1,1),
(92748,107264,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(92749,107264,'Stuns target',100,2,3),
(92750,107264,'Blurs vision of target',100,2,4),
(92751,107264,'Throws target back',100,2,5),
(92752,107264,'Does not affect Epic targets',100,2,6),
(92753,107264,'If weapon equipped in Ranged',100,1,7),
(92754,10107264,'Inflicts 75 - 126 ranged damage on target',100,1,0),
(92755,10107264,'Inflicts 75 - 126 ranged damage on target',100,1,1),
(92756,10107264,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(92757,10107264,'Stuns target',100,2,3),
(92758,10107264,'Throws target back',100,2,4),
(92759,10107264,'Blurs vision of target',100,2,5),
(92760,10107264,'Does not affect Epic targets',100,2,6),
(92761,10107264,'If weapon equipped in Ranged',100,1,7),
(92762,114345,'Dispels 59 levels of noxious hostile effects on target',100,1,0),
(92763,114345,'Heals target for 19.8 - 24.2% of max health',100,1,1),
(92764,114345,'This effect cannot be critically applied.',100,2,2),
(92765,114345,'The healing of this spell cannot be modified except by direct means',100,1,3),
(92766,10114345,'Dispels 59 levels of noxious hostile effects on target',100,1,0),
(92767,10114345,'Heals target for 7.9 - 9.7% of max health',100,1,1),
(92768,10114345,'This effect cannot be critically applied.',100,2,2),
(92769,10114345,'The healing of this spell cannot be modified except by direct means',100,1,3),
(92770,82194,'When Equipped:',100,0,0),
(92771,82194,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92772,82194,'Inflicts 41 - 76 magic damage on target',100,2,2),
(92773,82194,'Decreases Threat to target by 135 ',100,2,3),
(92774,82194,'Must be flanking or behind',100,3,4),
(92775,82194,'Increases Threat to target by 135 ',100,2,5),
(92776,82194,'Must be in front of',100,3,6),
(92777,82194,'Cannot be modified except by direct means',100,2,7),
(92778,10082194,'When Equipped:',100,0,0),
(92779,10082194,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92780,10082194,'Inflicts 58 - 107 magic damage on target',100,2,2),
(92781,10082194,'Cannot be modified except by direct means',100,2,3),
(92782,121226,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(92783,121226,'Increases Defense and Deflection of caster by 4.8',100,1,1),
(92785,10121226,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(92786,10121226,'Increases Defense and Deflection of caster by 4.8',100,1,1),
(92787,10121226,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(92788,111250,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(92789,111250,'Heals target for 488 - 596',100,2,1),
(92790,10111250,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(92791,10111250,'Heals target for 317 - 387',100,2,1),
(92792,172039,'When Equipped:',100,0,0),
(92793,172039,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92794,172039,'Inflicts 1986 disease damage on target encounter',100,2,2),
(92795,172039,'Must not be engaged in pvp combat',100,2,3),
(92796,172039,'Cannot be modified except by direct means',100,2,4),
(92797,10172039,'When Equipped:',100,0,0),
(92798,10172039,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92799,10172039,'Inflicts 1390 disease damage on target encounter',100,2,2),
(92800,10172039,'Must not be engaged in pvp combat',100,2,3),
(92801,10172039,'Cannot be modified except by direct means',100,2,4),
(92802,159482,'Applies Sanguine Imbued when Equipped.',100,0,0),
(92803,159482,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(92804,159482,'Inflicts 101 heat damage on target',100,2,2),
(92805,159482,'Cannot be modified except by direct means',100,2,3),
(92806,10159482,'Applies Sanguine Imbued when Equipped.',100,0,0),
(92807,10159482,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(92808,10159482,'Inflicts 141 heat damage on target',100,2,2),
(92809,10159482,'Cannot be modified except by direct means',100,2,3),
(92810,83258,'When Equipped:',100,0,0),
(92811,83258,'On a combat hit this spell may cast Darkness of the Void on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92812,83258,'Inflicts 972 - 1188 cold damage on target',100,2,2),
(92813,83258,'Inflicts 972 - 1188 magic damage on target',100,2,3),
(92814,83258,'Inflicts 972 - 1188 poison damage on target',100,2,4),
(92815,83258,'Cannot be modified except by direct means',100,2,5),
(92816,10083258,'When Equipped:',100,0,0),
(92817,10083258,'On a combat hit this spell may cast Darkness of the Void on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92818,10083258,'Inflicts 1147 - 1402 magic damage on target',100,2,2),
(92819,10083258,'Inflicts 1147 - 1402 poison damage on target',100,2,3),
(92820,10083258,'Inflicts 1147 - 1402 cold damage on target',100,2,4),
(92821,10083258,'Cannot be modified except by direct means',100,2,5),
(92822,117760,'Increases Max Health of target by 111.5',100,1,0),
(92823,117760,'Increases Slashing and Crushing of target by 2.6',100,1,1),
(92824,117760,'Increases Piercing of target by 5.3',100,1,2),
(92825,10117760,'Increases Max Health of target by 111.5',100,1,0),
(92826,10117760,'Increases Slashing and Crushing of target by 2.6',100,1,1),
(92827,10117760,'Increases Piercing of target by 5.3',100,1,2),
(92828,173912,'When Equipped:',100,0,0),
(92829,173912,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92830,173912,'Inflicts 1986 heat damage on target',100,2,2),
(92831,173912,'Cannot be modified except by direct means',100,2,3),
(92832,10173912,'When Equipped:',100,0,0),
(92833,10173912,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92834,10173912,'Inflicts 1390 heat damage on target',100,2,2),
(92835,10173912,'Cannot be modified except by direct means',100,2,3),
(92836,135039,'When Equipped:',100,0,0),
(92837,135039,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(92838,10135039,'When Equipped:',100,0,0),
(92839,10135039,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(92840,121989,'Increases Threat to target by 57 - 70 ',100,1,0),
(92841,173490,'When Equipped:',100,0,0),
(92842,173490,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(92843,173490,'Must not be engaged in pvp combat',100,1,2),
(92844,10173490,'When Equipped:',100,0,0),
(92845,10173490,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(92846,10173490,'Must not be engaged in pvp combat',100,1,2),
(92847,117213,'Inflicts 12 - 21 melee damage on target',100,1,0),
(92848,10117213,'Inflicts 16 - 28 melee damage on target',100,1,0),
(92849,108843,'Inflicts 86 - 143 melee damage on target',100,1,0),
(92850,108843,'Inflicts 86 - 143 melee damage on target',100,1,1),
(92851,108843,'Inflicts 86 - 143 melee damage on target',100,1,2),
(92852,108843,'Inflicts 86 - 143 melee damage on target',100,1,3),
(92853,108843,'Inflicts 86 - 143 melee damage on target',100,1,4),
(92854,10108843,'Inflicts 112 - 186 melee damage on target',100,1,0),
(92855,10108843,'Inflicts 112 - 186 melee damage on target',100,1,1),
(92856,10108843,'Inflicts 112 - 186 melee damage on target',100,1,2),
(92857,10108843,'Inflicts 112 - 186 melee damage on target',100,1,3),
(92858,10108843,'Inflicts 112 - 186 melee damage on target',100,1,4),
(92859,35688,'Increases Max Power of target by 4.1',100,0,0),
(92860,35688,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(92861,103022,'Inflicts 158 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(92862,103022,'Inflicts 59 - 98 melee damage on target',100,1,1),
(92863,10103022,'Inflicts 221 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(92864,10103022,'Inflicts 76 - 128 melee damage on target',100,1,1),
(92865,188367,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(92866,188367,'Increases amount healed by up to 300.',100,1,1),
(92867,188367,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(92868,10188367,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(92869,10188367,'Increases amount healed by up to 300.',100,1,1),
(92870,10188367,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(92871,71476,'When Equipped:',100,0,0),
(92872,71476,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92873,71476,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(92874,71476,'Cannot be modified except by direct means',100,2,3),
(92875,10071476,'When Equipped:',100,0,0),
(92876,10071476,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(92877,10071476,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(92878,10071476,'Cannot be modified except by direct means',100,2,3),
(92879,111656,'Inflicts 295 - 361 cold damage on target encounter',100,1,0),
(92880,111656,'Slows target encounter by 40.0%',100,1,1),
(92881,111656,'5% chance to dispel when target takes damage',100,1,2),
(92882,111656,'5% chance to dispel when target receives hostile action',100,1,3),
(92883,10111656,'Inflicts 551 - 673 cold damage on target encounter',100,1,0),
(92884,10111656,'Slows target encounter by 40.0%',100,1,1),
(92885,10111656,'5% chance to dispel when target takes damage',100,1,2),
(92886,10111656,'5% chance to dispel when target receives hostile action',100,1,3),
(92887,37355,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(92888,37355,'This effect suspends during combat',100,0,1),
(92889,40866,'When Equipped:',100,0,0),
(92890,40866,'On a critical spell hit this spell may cast Imposing Righteousness VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(92891,40866,'Decreases Potency of target by 2.0%',100,2,2),
(92892,40866,'Increases Potency of caster by 9.0%',100,2,3),
(92893,40866,'Must not be engaged in pvp combat',100,2,4),
(92894,40866,'Cannot be modified except by direct means',100,2,5),
(92895,40866,'On a critical combat hit this spell may cast Imposing Righteousness VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(92896,40866,'Decreases Potency of target by 2.0%',100,2,7),
(92897,40866,'Increases Potency of caster by 9.0%',100,2,8),
(92898,40866,'Must not be engaged in pvp combat',100,2,9),
(92899,40866,'Cannot be modified except by direct means',100,2,10),
(92900,40866,'Must not be engaged in pvp combat',100,1,11),
(92901,10040866,'When Equipped:',100,0,0),
(92902,10040866,'On a critical spell hit this spell may cast Imposing Righteousness VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(92903,10040866,'Decreases Potency of target by 2.0%',100,2,2),
(92904,10040866,'Increases Potency of caster by 9.0%',100,2,3),
(92905,10040866,'Must not be engaged in pvp combat',100,2,4),
(92906,10040866,'Cannot be modified except by direct means',100,2,5),
(92907,10040866,'On a critical combat hit this spell may cast Imposing Righteousness VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(92908,10040866,'Decreases Potency of target by 2.0%',100,2,7),
(92909,10040866,'Increases Potency of caster by 9.0%',100,2,8),
(92910,10040866,'Must not be engaged in pvp combat',100,2,9),
(92911,10040866,'Cannot be modified except by direct means',100,2,10),
(92912,10040866,'Must not be engaged in pvp combat',100,1,11),
(92913,116230,'Increases AGI of caster by 11.1',100,1,0),
(92914,116230,'Increases INT of caster by 27.8',100,1,1),
(92915,10116230,'Increases AGI of caster by 11.1',100,1,0),
(92916,10116230,'Increases INT of caster by 27.8',100,1,1),
(92917,36058,'Increases Max Health of target by 5.0',100,0,0),
(92918,36058,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(92919,124599,'Increases In-Combat Health Regeneration of group members (AE) by 13.2',100,1,0),
(92920,124599,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(92921,10124599,'Increases In-Combat Health Regeneration of group members (AE) by 13.2',100,1,0),
(92922,10124599,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(92923,106378,'Inflicts 255 - 426 melee damage on target',100,1,0),
(92924,106378,'Decreases Defense of target by 12.5',100,1,1),
(92925,106378,'Decreases Defense of caster by 13.2',100,1,2),
(92926,10106378,'Inflicts 332 - 554 melee damage on target',100,1,0),
(92927,10106378,'Decreases Defense of target by 12.5',100,1,1),
(92928,10106378,'Decreases Defense of caster by 13.2',100,1,2),
(92929,122683,'Decreases Defense of target by 36.8',100,1,0),
(92930,122683,'Decreases Mitigation of target vs physical damage by 643',100,1,1),
(92931,10122683,'Decreases Defense of target by 36.8',100,1,0),
(92932,10122683,'Decreases Mitigation of target vs physical damage by 643',100,1,1),
(92933,87411,'When Equipped:',100,0,0),
(92934,87411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92935,87411,'Inflicts 167 - 250 magic damage on target',100,2,2),
(92936,87411,'Cannot be modified except by direct means',100,2,3),
(92937,10087411,'When Equipped:',100,0,0),
(92938,10087411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(92939,10087411,'Inflicts 233 - 350 magic damage on target',100,2,2),
(92940,10087411,'Cannot be modified except by direct means',100,2,3),
(92941,101728,'Mesmerizes target',100,1,0),
(92942,101728,'Prevents AOE (except when direct) ',100,1,1),
(92943,101728,'Mesmerizes caster',100,1,2),
(92944,101728,'Dispelled when target takes damage',100,1,3),
(92945,101728,'Does not affect Epic targets',100,1,4),
(92946,101728,'Resistibility increases against targets higher than level 82.',100,1,5),
(92947,10101728,'Mesmerizes target',100,1,0),
(92948,10101728,'Prevents AOE (except when direct) ',100,1,1),
(92949,10101728,'Mesmerizes caster',100,1,2),
(92950,10101728,'Dispelled when target takes damage',100,1,3),
(92951,10101728,'Does not affect Epic targets',100,1,4),
(92952,10101728,'Resistibility increases against targets higher than level 82.',100,1,5),
(92953,183216,'When Equipped:',100,0,0),
(92954,183216,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92955,183216,'Inflicts 2664 disease damage on target encounter',100,2,2),
(92956,183216,'Must not be engaged in pvp combat',100,2,3),
(92957,183216,'Cannot be modified except by direct means',100,2,4),
(92958,10183216,'When Equipped:',100,0,0),
(92959,10183216,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(92960,10183216,'Inflicts 1865 disease damage on target encounter',100,2,2),
(92961,10183216,'Must not be engaged in pvp combat',100,2,3),
(92962,10183216,'Cannot be modified except by direct means',100,2,4),
(92963,115601,'Interrupts target encounter',100,1,0),
(92964,115601,'Decreases Threat to target encounter by 1,327 - 1,622 ',100,1,1),
(92965,115601,'Dazes target encounter',100,1,2),
(92966,115601,'If Target is not Epic',100,2,3),
(92967,115601,'Resistibility increases against targets higher than level 116.',100,1,4),
(92968,10115601,'Interrupts target encounter',100,1,0),
(92969,10115601,'Dazes target encounter',100,1,1),
(92970,10115601,'If Target is not Epic',100,2,2),
(92971,10115601,'Resistibility increases against targets higher than level 116.',100,1,3),
(92972,80785,'When Equipped:',100,0,0),
(92973,80785,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92974,80785,'Inflicts 194 - 361 magic damage on target',100,2,2),
(92975,80785,'Decreases Threat to target by 517 ',100,2,3),
(92976,80785,'Must be flanking or behind',100,3,4),
(92977,80785,'Increases Threat to target by 517 ',100,2,5),
(92978,80785,'Must be in front of',100,3,6),
(92979,80785,'Cannot be modified except by direct means',100,2,7),
(92980,10080785,'When Equipped:',100,0,0),
(92981,10080785,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(92982,10080785,'Inflicts 272 - 505 magic damage on target',100,2,2),
(92983,10080785,'Cannot be modified except by direct means',100,2,3),
(92984,75099,'Applies Mental Blast when Activated.',100,0,0),
(92985,75099,'Inflicts 411 - 685 mental damage on target',100,1,1),
(92986,75099,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(92987,10075099,'Applies Mental Blast when Activated.',100,0,0),
(92988,10075099,'Inflicts 576 - 959 mental damage on target',100,1,1),
(92989,10075099,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(92990,73931,'Applies Holy Strike when Activated.',100,0,0),
(92991,73931,'Inflicts 227 - 379 divine damage on target',100,1,1),
(92992,73931,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(92993,10073931,'Applies Holy Strike when Activated.',100,0,0),
(92994,10073931,'Inflicts 318 - 531 divine damage on target',100,1,1),
(92995,10073931,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(92996,106229,'Inflicts 364 - 1094 melee damage on target',100,1,0),
(92997,106229,'Stifles target',100,1,1),
(92998,106229,'If Target is not Epic',100,2,2),
(92999,106229,'Resistibility increases against targets higher than level 97.',100,1,3),
(93000,10106229,'Inflicts 474 - 1422 melee damage on target',100,1,0),
(93001,10106229,'Stifles target',100,1,1),
(93002,10106229,'If Target is not Epic',100,2,2),
(93003,10106229,'Resistibility increases against targets higher than level 97.',100,1,3),
(93004,151883,'When Equipped:',100,0,0),
(93005,151883,'Increases Attack Speed of caster by 40.0',100,1,1),
(93006,10151883,'When Equipped:',100,0,0),
(93007,10151883,'Increases Attack Speed of caster by 40.0',100,1,1),
(93008,176346,'When Equipped:',100,0,0),
(93009,176346,'On a melee hit this spell may cast Blood Frenzy on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93010,176346,'Increases Damage Per Second of caster by 15.0',100,2,2),
(93011,176346,'Cannot be modified except by direct means',100,2,3),
(93012,176346,'Cannot be modified except by direct means',100,1,4),
(93013,176346,'When Equipped:',100,0,5),
(93014,176346,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,6),
(93015,176346,'Wards caster against 400 points of all damage',100,2,7),
(93016,176346,'Cannot be modified except by direct means',100,2,8),
(93017,176346,'This effect can only trigger once every 15 seconds.',100,2,9),
(93018,176346,'Cannot be modified except by direct means',100,1,10),
(93019,10176346,'When Equipped:',100,0,0),
(93020,10176346,'On a melee hit this spell may cast Blood Frenzy on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93021,10176346,'Increases Damage Per Second of caster by 15.0',100,2,2),
(93022,10176346,'Cannot be modified except by direct means',100,2,3),
(93023,10176346,'Cannot be modified except by direct means',100,1,4),
(93024,10176346,'When Equipped:',100,0,5),
(93025,10176346,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,6),
(93026,10176346,'Wards caster against 400 points of all damage',100,2,7),
(93027,10176346,'Cannot be modified except by direct means',100,2,8),
(93028,10176346,'This effect can only trigger once every 15 seconds.',100,2,9),
(93029,10176346,'Cannot be modified except by direct means',100,1,10),
(93030,120790,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(93031,120790,'Stuns target',100,2,1),
(93032,120790,'Blurs vision of target',100,2,2),
(93033,120790,'Throws target back',100,2,3),
(93034,120790,'Does not affect Epic targets',100,2,4),
(93035,120790,'Inflicts 154 - 256 piercing damage on target',100,1,5),
(93036,10120790,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(93037,10120790,'Stuns target',100,2,1),
(93038,10120790,'Throws target back',100,2,2),
(93039,10120790,'Blurs vision of target',100,2,3),
(93040,10120790,'Does not affect Epic targets',100,2,4),
(93041,10120790,'Inflicts 200 - 333 piercing damage on target',100,1,5),
(93042,37245,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(93043,163217,'When Equipped:',100,0,0),
(93044,163217,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(93045,163217,'Inflicts 1998 poison damage on target',100,2,2),
(93046,163217,'Cannot be modified except by direct means',100,2,3),
(93047,10163217,'When Equipped:',100,0,0),
(93048,10163217,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(93049,10163217,'Inflicts 1399 poison damage on target',100,2,2),
(93050,10163217,'Cannot be modified except by direct means',100,2,3),
(93051,178674,'When Equipped:',100,0,0),
(93052,178674,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(93053,178674,'Makes target immune to Stifle effects',100,2,2),
(93054,178674,'Cannot be modified except by direct means',100,2,3),
(93055,10178674,'When Equipped:',100,0,0),
(93056,10178674,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(93057,10178674,'Makes target immune to Stifle effects',100,2,2),
(93058,10178674,'Cannot be modified except by direct means',100,2,3),
(93059,82605,'When Equipped:',100,0,0),
(93060,82605,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(93061,82605,'Inflicts 101 - 188 magic damage on target',100,2,2),
(93062,82605,'Decreases Threat to target by 259 ',100,2,3),
(93063,82605,'Must be flanking or behind',100,3,4),
(93064,82605,'Increases Threat to target by 259 ',100,2,5),
(93065,82605,'Must be in front of',100,3,6),
(93066,82605,'Cannot be modified except by direct means',100,2,7),
(93067,10082605,'When Equipped:',100,0,0),
(93068,10082605,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(93069,10082605,'Inflicts 142 - 263 magic damage on target',100,2,2),
(93070,10082605,'Cannot be modified except by direct means',100,2,3),
(93071,120380,'Decreases Defense of caster by 1.8',100,1,0),
(93072,120380,'Increases Crushing and Ranged of caster by 3.0',100,1,1),
(93073,120380,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(93074,120380,'Inflicts 13 - 22 heat damage on target',100,2,3),
(93075,120380,'Increases Slashing and Piercing of caster by 3.0',100,1,4),
(93076,10120380,'Decreases Defense of caster by 1.8',100,1,0),
(93077,10120380,'Increases Crushing and Ranged of caster by 3.0',100,1,1),
(93078,10120380,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(93079,10120380,'Inflicts 19 - 31 heat damage on target',100,2,3),
(93080,10120380,'Increases Slashing and Piercing of caster by 3.0',100,1,4),
(93081,48174,'Applies Call Spirit Steed when Activated.',100,0,0),
(93082,48174,'Summons a mount to ride',100,1,1),
(93083,48174,'Increases your ground speed by 130%',100,2,2),
(93084,10048174,'Applies Call Spirit Steed when Activated.',100,0,0),
(93085,10048174,'Summons a mount to ride',100,1,1),
(93086,10048174,'Increases your ground speed by 130%',100,2,2),
(93087,108639,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(93088,108639,'Increases AGI of target by 31.8',100,2,1),
(93089,108639,'Heals target for 284',100,2,2),
(93090,108639,'Heals target for 71 every 2 seconds',100,2,3),
(93091,108639,'Grants a total of 1 trigger of the spell.',100,2,4),
(93092,10108639,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(93093,10108639,'Increases AGI of target by 31.8',100,2,1),
(93094,10108639,'Heals target for 185',100,2,2),
(93095,10108639,'Heals target for 46 every 2 seconds',100,2,3),
(93096,10108639,'Grants a total of 1 trigger of the spell.',100,2,4),
(93097,115750,'Inflicts 13 - 22 melee damage on target',100,1,0),
(93098,10115750,'Inflicts 17 - 28 melee damage on target',100,1,0),
(93099,46401,'Applies Focused MCE Ray when Activated.',100,0,0),
(93100,46401,'This effect cannot be cast during combat',100,1,1),
(93101,10046401,'Applies Focused MCE Ray when Activated.',100,0,0),
(93102,10046401,'This effect cannot be cast during combat',100,1,1),
(93103,102092,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(93104,102092,'Stuns target',100,2,1),
(93105,102092,'Throws target back',100,2,2),
(93106,102092,'Blurs vision of target',100,2,3),
(93107,102092,'Does not affect Epic targets',100,2,4),
(93108,102092,'Inflicts 32 - 53 crushing damage on target',100,1,5),
(93109,10102092,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(93110,10102092,'Stuns target',100,2,1),
(93111,10102092,'Throws target back',100,2,2),
(93112,10102092,'Blurs vision of target',100,2,3),
(93113,10102092,'Does not affect Epic targets',100,2,4),
(93114,10102092,'Inflicts 42 - 70 crushing damage on target',100,1,5),
(93115,80812,'When Equipped:',100,0,0),
(93116,80812,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93117,80812,'Inflicts 248 - 460 magic damage on target',100,2,2),
(93118,80812,'Cannot be modified except by direct means',100,2,3),
(93119,10080812,'When Equipped:',100,0,0),
(93120,10080812,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93121,10080812,'Inflicts 347 - 644 magic damage on target',100,2,2),
(93122,10080812,'Cannot be modified except by direct means',100,2,3),
(93123,144680,'When Equipped:',100,0,0),
(93124,144680,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(93125,144680,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(93126,144680,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(93127,144680,'This effect cannot occur more than once a second',100,2,4),
(93128,144680,'Must be engaged in pvp combat',100,2,5),
(93129,144680,'Cannot be modified except by direct means',100,2,6),
(93130,144680,'Cannot be modified except by direct means',100,1,7),
(93131,144680,'When Equipped:',100,0,8),
(93132,144680,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(93133,144680,'Must be engaged in pvp combat',100,1,10),
(93134,144680,'When Equipped:',100,0,11),
(93135,144680,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(93136,144680,'Must be engaged in pvp combat',100,1,13),
(93137,10144680,'When Equipped:',100,0,0),
(93138,10144680,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(93139,10144680,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(93140,10144680,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(93141,10144680,'This effect cannot occur more than once a second',100,2,4),
(93142,10144680,'Must be engaged in pvp combat',100,2,5),
(93143,10144680,'Cannot be modified except by direct means',100,2,6),
(93144,10144680,'Cannot be modified except by direct means',100,1,7),
(93145,10144680,'When Equipped:',100,0,8),
(93146,10144680,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(93147,10144680,'Must be engaged in pvp combat',100,1,10),
(93148,10144680,'When Equipped:',100,0,11),
(93149,10144680,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(93150,10144680,'Must be engaged in pvp combat',100,1,13),
(93151,104767,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(93152,104767,'Inflicts 379 disease damage on target',100,2,1),
(93153,104767,'Heals caster for 151',100,2,2),
(93154,104767,'Heals group members'' pets for 151',100,2,3),
(93155,10104767,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(93156,10104767,'Inflicts 530 disease damage on target',100,2,1),
(93157,10104767,'Heals caster for 98',100,2,2),
(93158,10104767,'Heals group members'' pets for 98',100,2,3),
(93159,35531,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(93160,36429,'Increases STR and AGI of target by 1.2',100,0,0),
(93161,36429,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(93162,107854,'Decreases Mitigation of target vs elemental damage by 736',100,1,0),
(93163,107854,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(93164,107854,'Slows target by 55.4%',100,2,2),
(93165,107854,'5% chance to dispel when target receives hostile action',100,2,3),
(93166,107854,'5% chance to dispel when target takes damage',100,2,4),
(93167,10107854,'Decreases Mitigation of target vs elemental damage by 736',100,1,0),
(93168,10107854,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(93169,10107854,'Slows target by 55.4%',100,2,2),
(93170,10107854,'5% chance to dispel when target receives hostile action',100,2,3),
(93171,10107854,'5% chance to dispel when target takes damage',100,2,4),
(93172,121743,'Causes 13% Threat to transfer to target when in combat',100,1,0),
(93173,10121743,'Applies Swarthy Distraction.',100,1,0),
(93174,10121743,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(93175,10121743,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(93176,123831,'Increases WIS of target by 18.8',100,1,0),
(93177,123831,'Increases Max Power of target by 72.7',100,1,1),
(93178,10123831,'Increases WIS of target by 18.8',100,1,0),
(93179,10123831,'Increases Max Power of target by 72.7',100,1,1),
(93180,110231,'Summons a pet a halasian mauler',100,1,0),
(93181,10110231,'Summons a pet a halasian mauler',100,1,0),
(93182,72104,'When Equipped:',100,0,0),
(93183,72104,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93184,72104,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(93185,72104,'Cannot be modified except by direct means',100,2,3),
(93186,10072104,'When Equipped:',100,0,0),
(93187,10072104,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93188,10072104,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(93189,10072104,'Cannot be modified except by direct means',100,2,3),
(93190,87120,'When Equipped:',100,0,0),
(93191,87120,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93192,87120,'Inflicts 204 - 307 magic damage on target',100,2,2),
(93193,87120,'Cannot be modified except by direct means',100,2,3),
(93194,10087120,'When Equipped:',100,0,0),
(93195,10087120,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93196,10087120,'Inflicts 286 - 429 magic damage on target',100,2,2),
(93197,10087120,'Cannot be modified except by direct means',100,2,3),
(93198,124610,'Heals group members (AE) for 135 - 165',100,1,0),
(93199,124610,'Heals group members (AE) for 23 - 28 every second',100,1,1),
(93200,10124610,'Heals group members (AE) for 197 - 241',100,1,0),
(93201,10124610,'Heals group members (AE) for 25 - 30 every second',100,1,1),
(93202,118274,'Increases Threat to target encounter by 824 - 1,007 ',100,1,0),
(93203,118274,'Decreases Mitigation of target encounter vs arcane damage by 896',100,1,1),
(93204,10118274,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(93205,10118274,'Prevents target from changing targets',100,2,1),
(93206,10118274,'Forces target to change their selected target to caster.',100,2,2),
(93207,10118274,'Decreases Mitigation of target encounter vs arcane damage by 896',100,1,3),
(93208,102715,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(93209,102715,'Inflicts 662 - 1103 heat damage on target',100,2,1),
(93210,102715,'Grants a total of 5 triggers of the spell.',100,2,2),
(93211,102715,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(93212,102715,'Inflicts 662 - 1103 heat damage on target',100,2,4),
(93213,102715,'Grants a total of 5 triggers of the spell.',100,2,5),
(93214,10102715,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(93215,10102715,'Inflicts 926 - 1544 heat damage on target',100,2,1),
(93216,10102715,'Grants a total of 5 triggers of the spell.',100,2,2),
(93217,10102715,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(93218,10102715,'Inflicts 926 - 1544 heat damage on target',100,2,4),
(93219,10102715,'Grants a total of 5 triggers of the spell.',100,2,5),
(93220,108529,'Increases AGI and WIS of group members (AE) by 65.8',100,1,0),
(93221,108529,'Adds 2.1% to base avoidance.',100,1,1),
(93222,108529,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,2),
(93223,10108529,'Increases AGI and WIS of group members (AE) by 65.8',100,1,0),
(93224,10108529,'Adds 2.1% to base avoidance.',100,1,1),
(93225,10108529,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,2),
(93226,123071,'Summons a pet undead knight',100,1,0),
(93227,10123071,'Summons a pet undead knight',100,1,0),
(93228,123817,'Inflicts 102 - 170 magic damage on target',100,1,0),
(93229,123817,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(93230,123817,'Decreases Defense of target by 26.9',100,1,2),
(93231,123817,'Target will lose 32% more power when power is consumed',100,1,3),
(93232,123817,'32% of target''s power consumed will also be drained from target''s health',100,1,4),
(93233,10123817,'Inflicts 143 - 238 magic damage on target',100,1,0),
(93234,10123817,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(93235,10123817,'Decreases Defense of target by 26.9',100,1,2),
(93236,10123817,'Target will lose 32% more power when power is consumed',100,1,3),
(93237,10123817,'32% of target''s power consumed will also be drained from target''s health',100,1,4),
(93238,102422,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(93239,102422,'Heals target for 36 - 44',100,2,1),
(93240,102422,'Grants a total of 5 triggers of the spell.',100,2,2),
(93241,10102422,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(93242,10102422,'Heals target for 23 - 29',100,2,1),
(93243,10102422,'Grants a total of 5 triggers of the spell.',100,2,2),
(93244,108708,'Inflicts 208 heat damage on target',100,1,0),
(93245,108708,'Inflicts 46 heat damage on target every 4 seconds',100,1,1),
(93246,10108708,'Inflicts 408 heat damage on target',100,1,0),
(93247,10108708,'Inflicts 65 heat damage on target every 4 seconds',100,1,1),
(93248,41602,'When Equipped:',100,0,0),
(93249,41602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93250,41602,'Inflicts 351 - 652 magic damage on target',100,2,2),
(93251,41602,'Cannot be modified except by direct means',100,2,3),
(93252,10041602,'When Equipped:',100,0,0),
(93253,10041602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93254,10041602,'Inflicts 492 - 913 magic damage on target',100,2,2),
(93255,10041602,'Cannot be modified except by direct means',100,2,3),
(93256,113615,'Inflicts 486 - 811 melee damage on target',100,1,0),
(93257,113615,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 56.2',100,1,1),
(93258,113615,'Must be flanking or behind',100,1,2),
(93259,10113615,'Inflicts 632 - 1054 melee damage on target',100,1,0),
(93260,10113615,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 56.2',100,1,1),
(93261,10113615,'Must be flanking or behind',100,1,2),
(93262,45298,'Applies Bastion of Truth''s Disc of Journey when Activated.',100,0,0),
(93263,45298,'Reduces maximum falling speed of caster',100,1,1),
(93264,45298,'Increases Crit Chance of caster by 2.0',100,1,2),
(93265,45298,'Increases Ability Casting Speed of caster by 2.0%',100,1,3),
(93266,45298,'Increases Max Health of caster by 200.0',100,1,4),
(93267,45298,'Summons a mount to ride',100,1,5),
(93268,45298,'Increases your ground speed by 130%',100,2,6),
(93269,45298,'Increases Max Power of caster by 200.0',100,1,7),
(93270,10045298,'Applies Bastion of Truth''s Disc of Journey when Activated.',100,0,0),
(93271,10045298,'Reduces maximum falling speed of caster',100,1,1),
(93272,10045298,'Increases Crit Chance of caster by 2.0',100,1,2),
(93273,10045298,'Increases Ability Casting Speed of caster by 2.0%',100,1,3),
(93274,10045298,'Increases Max Health of caster by 200.0',100,1,4),
(93275,10045298,'Summons a mount to ride',100,1,5),
(93276,10045298,'Increases your ground speed by 130%',100,2,6),
(93277,10045298,'Increases Max Power of caster by 200.0',100,1,7),
(93278,102734,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(93279,102734,'Stuns target',100,2,1),
(93280,102734,'If Target is not Epic',100,3,2),
(93281,102734,'Inflicts 96 - 161 divine damage on target',100,2,3),
(93282,102734,'Inflicts 83 - 138 divine damage on target',100,2,4),
(93283,102734,'If target is undead',100,3,5),
(93284,10102734,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(93285,10102734,'Stuns target',100,2,1),
(93286,10102734,'Inflicts 203 - 338 divine damage on target',100,2,2),
(93287,10102734,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(93288,182159,'When Equipped:',100,0,0),
(93289,182159,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(93290,10182159,'When Equipped:',100,0,0),
(93291,10182159,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(93292,100430,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(93293,100430,'Inflicts 116 - 193 slashing damage on target',100,2,1),
(93294,100430,'Increases Threat to target by 328 ',100,2,2),
(93295,100430,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(93296,100430,'Increases Threat to target by 328 ',100,2,4),
(93297,100430,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1074',100,1,5),
(93298,10100430,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(93299,10100430,'Inflicts 162 - 270 slashing damage on target',100,2,1),
(93300,10100430,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(93301,10100430,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1074',100,1,3),
(93302,106592,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(93303,10106592,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(93304,100805,'Wards target against 1118 points of all damage',100,1,0),
(93305,10100805,'Wards target against 1720 points of all damage',100,1,0),
(93306,189950,'When Equipped:',100,0,0),
(93307,189950,'On a healing spell cast this spell may cast Phantasmic Ward on target of spell cast.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93308,189950,'Wards target against 200 points of all damage',100,2,2),
(93309,189950,'Cannot be modified except by direct means',100,2,3),
(93310,10189950,'When Equipped:',100,0,0),
(93311,10189950,'On a healing spell cast this spell may cast Phantasmic Ward on target of spell cast.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93312,10189950,'Wards target against 200 points of all damage',100,2,2),
(93313,10189950,'Cannot be modified except by direct means',100,2,3),
(93314,104873,'Inflicts 36 - 60 magic damage on targets in area',100,1,0),
(93315,10104873,'Inflicts 47 - 78 magic damage on targets in area',100,1,0),
(93316,100712,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(93317,100712,'Increases Mitigation of group members (AE) vs noxious damage by 375',100,1,1),
(93318,10100712,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(93319,10100712,'Increases Mitigation of group members (AE) vs noxious damage by 375',100,1,1),
(93320,100815,'Wards target against 2213 points of all damage',100,1,0),
(93321,10100815,'Wards target against 3404 points of all damage',100,1,0),
(93322,116675,'Heals group members (AE) for 8.5 - 10.4% of max health',100,1,0),
(93323,116675,'This effect cannot be critically applied.',100,2,1),
(93324,116675,'Increases Max Health of group members (AE) by 190.3',100,1,2),
(93325,116675,'The healing of this spell cannot be modified except by direct means',100,1,3),
(93326,10116675,'Heals group members (AE) for 2.7 - 3.3% of max health',100,1,0),
(93327,10116675,'This effect cannot be critically applied.',100,2,1),
(93328,10116675,'Increases Max Health of group members (AE) by 190.3',100,1,2),
(93329,10116675,'The healing of this spell cannot be modified except by direct means',100,1,3),
(93330,109541,'Summons a limited pet to aid the caster',100,1,0),
(93331,10109541,'Summons a limited pet to aid the caster',100,1,0),
(93332,35113,'Increases STR of target by 1.6',100,0,0),
(93333,35113,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(93334,52822,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(93335,52822,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(93336,52822,'Inflicts 81 heat damage on target',100,2,2),
(93337,52822,'Cannot be modified except by direct means',100,2,3),
(93338,10052822,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(93339,10052822,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(93340,10052822,'Inflicts 113 heat damage on target',100,2,2),
(93341,10052822,'Cannot be modified except by direct means',100,2,3),
(93342,74971,'When Equipped:',100,0,0),
(93343,74971,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93344,74971,'Inflicts 80 - 120 magic damage on target',100,2,2),
(93345,74971,'Cannot be modified except by direct means',100,2,3),
(93346,10074971,'When Equipped:',100,0,0),
(93347,10074971,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93348,10074971,'Inflicts 112 - 168 magic damage on target',100,2,2),
(93349,10074971,'Cannot be modified except by direct means',100,2,3),
(93350,75464,'When Equipped:',100,0,0),
(93351,75464,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(93352,75464,'Reduces healing received by 15.00%',100,2,2),
(93353,75464,'Cannot be modified except by direct means',100,2,3),
(93354,75464,'This effect can only trigger once every 1 second.',100,2,4),
(93355,75464,'Must be engaged in pvp combat',100,1,5),
(93356,10075464,'When Equipped:',100,0,0),
(93357,10075464,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(93358,10075464,'Reduces healing received by 15.00%',100,2,2),
(93359,10075464,'Cannot be modified except by direct means',100,2,3),
(93360,10075464,'This effect can only trigger once every 1 second.',100,2,4),
(93361,10075464,'Must be engaged in pvp combat',100,1,5),
(93362,35516,'Increases Max Health of target by 6.0',100,0,0),
(93363,35516,'Increases Max Power of target by 6.0',100,0,1),
(93364,35516,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(93365,26118,'When Equipped:',100,0,0),
(93366,26118,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,1),
(93367,26118,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(93368,10026118,'When Equipped:',100,0,0),
(93369,10026118,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,1),
(93370,10026118,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(93371,117688,'Decreases Mitigation of target vs physical damage by 932',100,1,0),
(93372,10117688,'Decreases Mitigation of target vs physical damage by 466',100,1,0),
(93373,114857,'Decreases AGI of target by 27.8',100,1,0),
(93374,114857,'Decreases Defense of target by 10.8',100,1,1),
(93375,10114857,'Decreases AGI of target by 27.8',100,1,0),
(93376,10114857,'Decreases Defense of target by 10.8',100,1,1),
(93377,35964,'Increases INT and STA of target by 5.8',100,0,0),
(93378,35964,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,1),
(93379,35964,'Increases outgoing damaging spell amount by 2%',100,0,2),
(93380,148968,'Applies Cold Stare when Activated.  Lasts for 24.0 seconds.',100,0,0),
(93381,148968,'Inflicts 34 - 41 cold damage on target every 4 seconds',100,1,1),
(93382,148968,'The casting time of Cold Stare is 3.0 seconds and the reuse time of the spell is 6.0 seconds',100,1,2),
(93383,10148968,'Applies Cold Stare when Activated.  Lasts for 24.0 seconds.',100,0,0),
(93384,10148968,'Inflicts 48 - 58 cold damage on target every 4 seconds',100,1,1),
(93385,10148968,'The casting time of Cold Stare is 3.0 seconds and the reuse time of the spell is 6.0 seconds',100,1,2),
(93386,37464,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(93387,83689,'When Equipped:',100,0,0),
(93388,83689,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(93389,83689,'When Equipped:',100,0,2),
(93390,83689,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,3),
(93391,83689,'Decreases Threat to target by 800 ',100,2,4),
(93392,83689,'Cannot be modified except by direct means',100,2,5),
(93393,10083689,'When Equipped:',100,0,0),
(93394,10083689,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(93395,10083689,'When Equipped:',100,0,2),
(93396,10083689,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,3),
(93397,10083689,'Cannot be modified except by direct means',100,2,4),
(93398,113101,'Heals target for 74.9 - 91.5% of max health',100,1,0),
(93399,113101,'This effect cannot be critically applied.',100,2,1),
(93400,113101,'Increases Max Health of target by 656.0',100,1,2),
(93401,113101,'Increases Mitigation of target vs physical damage by 768',100,1,3),
(93402,113101,'The healing of this spell cannot be modified except by direct means',100,1,4),
(93403,10113101,'Heals target for 30.0 - 36.6% of max health',100,1,0),
(93404,10113101,'This effect cannot be critically applied.',100,2,1),
(93405,10113101,'Increases Max Health of target by 656.0',100,1,2),
(93406,10113101,'Increases Mitigation of target vs physical damage by 768',100,1,3),
(93407,10113101,'The healing of this spell cannot be modified except by direct means',100,1,4),
(93408,119527,'Increases threat priority of target by 2 positions',100,1,0),
(93409,119527,'Stuns caster',100,1,1),
(93410,119527,'Decreases Defense and Parry of caster by 279.0',100,1,2),
(93411,119527,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(93412,119527,'Inflicts 1901 - 3168 piercing damage on target',100,2,4),
(93413,119527,'Grants a total of 1 trigger of the spell.',100,2,5),
(93414,10119527,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(93415,10119527,'Prevents target from changing targets',100,2,1),
(93416,10119527,'Forces target to change their selected target to caster.',100,2,2),
(93417,10119527,'Stuns caster',100,1,3),
(93418,10119527,'Decreases Defense and Parry of caster by 279.0',100,1,4),
(93419,10119527,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(93420,10119527,'Inflicts 1899 - 3165 piercing damage on target',100,2,6),
(93421,10119527,'Grants a total of 1 trigger of the spell.',100,2,7),
(93422,159927,'When Equipped:',100,0,0),
(93423,159927,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93424,159927,'Increases INT of caster by 3.6',100,2,2),
(93425,159927,'Increases Disruption, Subjugation and Focus of caster by 2.2',100,2,3),
(93426,159927,'Cannot be modified except by direct means',100,2,4),
(93427,10159927,'When Equipped:',100,0,0),
(93428,10159927,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93429,10159927,'Increases INT of caster by 3.6',100,2,2),
(93430,10159927,'Increases Disruption, Subjugation and Focus of caster by 2.2',100,2,3),
(93431,10159927,'Cannot be modified except by direct means',100,2,4),
(93432,140030,'When Equipped:',100,0,0),
(93433,140030,'Increases Ranged Weapon Range of caster by 25.0%',100,1,1),
(93434,140030,'Reduces the reuse of bard songs by 5%.',100,1,2),
(93435,140030,'Increases trigger chance of poisons by 10%.',100,1,3),
(93436,10140030,'When Equipped:',100,0,0),
(93437,10140030,'Increases Ranged Weapon Range of caster by 25.0%',100,1,1),
(93438,10140030,'Reduces the reuse of bard songs by 5%.',100,1,2),
(93439,10140030,'Increases trigger chance of poisons by 10%.',100,1,3),
(93440,75579,'Applies Disease Blast when Activated.',100,0,0),
(93441,75579,'Inflicts 294 - 490 disease damage on target',100,1,1),
(93442,75579,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(93443,10075579,'Applies Disease Blast when Activated.',100,0,0),
(93444,10075579,'Inflicts 411 - 685 disease damage on target',100,1,1),
(93445,10075579,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(93446,112289,'Inflicts 31 - 38 disease damage on target',100,1,0),
(93447,112289,'Inflicts 15 - 19 disease damage on target every 3 seconds',100,1,1),
(93448,112289,'Increases Threat to target by 203 - 248  instantly and by 38 - 46  every 3 seconds thereafter',100,1,2),
(93449,10112289,'Inflicts 22 - 26 disease damage on target every 3 seconds',100,1,0),
(93450,10112289,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(93451,121661,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(93452,121661,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,1),
(93453,121661,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(93454,121661,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,3),
(93455,10121661,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(93456,10121661,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,1),
(93457,10121661,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(93458,10121661,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,3),
(93459,87135,'When Equipped:',100,0,0),
(93460,87135,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93461,87135,'Inflicts 204 - 307 magic damage on target',100,2,2),
(93462,87135,'Cannot be modified except by direct means',100,2,3),
(93463,10087135,'When Equipped:',100,0,0),
(93464,10087135,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93465,10087135,'Inflicts 286 - 429 magic damage on target',100,2,2),
(93466,10087135,'Cannot be modified except by direct means',100,2,3),
(93467,123208,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(93468,123208,'Inflicts 121 - 148 disease damage on target',100,2,1),
(93469,123208,'Heals caster for 3.5 - 4.2% of max health',100,2,2),
(93470,123208,'This effect cannot be critically applied.',100,3,3),
(93471,123208,'The healing of this spell cannot be modified except by direct means',100,2,4),
(93472,123208,'Grants a total of 5 triggers of the spell.',100,2,5),
(93473,10123208,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(93474,10123208,'Inflicts 170 - 208 disease damage on target',100,2,1),
(93475,10123208,'Heals caster for 1.2 - 1.5% of max health',100,2,2),
(93476,10123208,'This effect cannot be critically applied.',100,3,3),
(93477,10123208,'The healing of this spell cannot be modified except by direct means',100,2,4),
(93478,10123208,'Grants a total of 5 triggers of the spell.',100,2,5),
(93479,37197,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(93480,37197,'This effect suspends during combat',100,0,1),
(93481,72040,'When Equipped:',100,0,0),
(93482,72040,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93483,72040,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(93484,72040,'Cannot be modified except by direct means',100,2,3),
(93485,10072040,'When Equipped:',100,0,0),
(93486,10072040,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93487,10072040,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(93488,10072040,'Cannot be modified except by direct means',100,2,3),
(93489,48531,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(93490,48531,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(93491,48531,'Decreases INT and WIS of target by 4.6',100,2,2),
(93492,48531,'Cannot be modified except by direct means',100,2,3),
(93493,48531,'Grants a total of 30 triggers of the spell.',100,2,4),
(93494,10048531,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(93495,10048531,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(93496,10048531,'Decreases INT and WIS of target by 4.6',100,2,2),
(93497,10048531,'Cannot be modified except by direct means',100,2,3),
(93498,10048531,'Grants a total of 30 triggers of the spell.',100,2,4),
(93499,111893,'Inflicts 9 - 16 piercing damage on target instantly and every 4 seconds',100,1,0),
(93500,111893,'Inflicts 34 - 57 piercing damage on target',100,1,1),
(93501,10111893,'Inflicts 22 - 37 piercing damage on target instantly and every 4 seconds',100,1,0),
(93502,10111893,'Inflicts 61 - 102 piercing damage on target',100,1,1),
(93503,124262,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(93504,124262,'Increases Attack Speed of target by 19.2',100,2,1),
(93505,124262,'Increases Damage Per Second of target by 19.2',100,2,2),
(93506,124262,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(93507,124262,'Increases Attack Speed of target by 19.2',100,2,4),
(93508,124262,'Increases Damage Per Second of target by 19.2',100,2,5),
(93509,124262,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(93510,124262,'Increases Attack Speed of target by 19.2',100,2,7),
(93511,124262,'Increases Damage Per Second of target by 19.2',100,2,8),
(93512,10124262,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(93513,10124262,'Increases Attack Speed of target by 19.2',100,2,1),
(93514,10124262,'Increases Damage Per Second of target by 19.2',100,2,2),
(93515,10124262,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(93516,10124262,'Increases Attack Speed of target by 19.2',100,2,4),
(93517,10124262,'Increases Damage Per Second of target by 19.2',100,2,5),
(93518,10124262,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(93519,10124262,'Increases Attack Speed of target by 19.2',100,2,7),
(93520,10124262,'Increases Damage Per Second of target by 19.2',100,2,8),
(93521,141818,'When Equipped:',100,0,0),
(93522,141818,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(93523,141818,'Increases AGI of caster by 5.8',100,2,2),
(93524,141818,'Increases Attack Speed of caster by 11.5',100,2,3),
(93525,141818,'Cannot be modified except by direct means',100,2,4),
(93526,10141818,'When Equipped:',100,0,0),
(93527,10141818,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(93528,10141818,'Increases AGI of caster by 5.8',100,2,2),
(93529,10141818,'Increases Attack Speed of caster by 11.5',100,2,3),
(93530,10141818,'Cannot be modified except by direct means',100,2,4),
(93531,187418,'When Equipped:',100,0,0),
(93532,187418,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93533,187418,'Increases Potency of group members by 6.0%',100,2,2),
(93534,187418,'Increases Crit Bonus of group members by 6.0%',100,2,3),
(93535,187418,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(93536,187418,'Must not be engaged in pvp combat',100,2,5),
(93537,187418,'Cannot be modified except by direct means',100,2,6),
(93538,187418,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(93539,187418,'Increases Potency of group members by 6.0%',100,2,8),
(93540,187418,'Increases Crit Bonus of group members by 6.0%',100,2,9),
(93541,187418,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(93542,187418,'Must not be engaged in pvp combat',100,2,11),
(93543,187418,'Cannot be modified except by direct means',100,2,12),
(93544,187418,'Cannot be modified except by direct means',100,1,13),
(93545,10187418,'When Equipped:',100,0,0),
(93546,10187418,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93547,10187418,'Increases Potency of group members by 6.0%',100,2,2),
(93548,10187418,'Increases Crit Bonus of group members by 6.0%',100,2,3),
(93549,10187418,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(93550,10187418,'Must not be engaged in pvp combat',100,2,5),
(93551,10187418,'Cannot be modified except by direct means',100,2,6),
(93552,10187418,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(93553,10187418,'Increases Potency of group members by 6.0%',100,2,8),
(93554,10187418,'Increases Crit Bonus of group members by 6.0%',100,2,9),
(93555,10187418,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(93556,10187418,'Must not be engaged in pvp combat',100,2,11),
(93557,10187418,'Cannot be modified except by direct means',100,2,12),
(93558,10187418,'Cannot be modified except by direct means',100,1,13),
(93559,121629,'Inflicts 637 - 1913 melee damage on target',100,1,0),
(93560,121629,'Dazes target',100,1,1),
(93561,121629,'If Target is not Epic',100,2,2),
(93562,121629,'Must be flanking or behind',100,1,3),
(93563,121629,'Resistibility increases against targets higher than level 89.',100,1,4),
(93564,10121629,'Inflicts 829 - 2487 melee damage on target',100,1,0),
(93565,10121629,'Dazes target',100,1,1),
(93566,10121629,'If Target is not Epic',100,2,2),
(93567,10121629,'Must be flanking or behind',100,1,3),
(93568,10121629,'Resistibility increases against targets higher than level 89.',100,1,4),
(93569,162018,'When Equipped:',100,0,0),
(93570,162018,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(93571,162018,'Inflicts 1199 disease damage on target encounter',100,2,2),
(93572,162018,'Must not be engaged in pvp combat',100,2,3),
(93573,162018,'Cannot be modified except by direct means',100,2,4),
(93574,10162018,'When Equipped:',100,0,0),
(93575,10162018,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(93576,10162018,'Inflicts 839 disease damage on target encounter',100,2,2),
(93577,10162018,'Must not be engaged in pvp combat',100,2,3),
(93578,10162018,'Cannot be modified except by direct means',100,2,4),
(93579,117806,'Mesmerizes target',100,1,0),
(93580,117806,'Prevents AOE (except when direct) ',100,1,1),
(93581,117806,'Dispelled when target takes damage',100,1,2),
(93582,117806,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(93583,117806,'Resistibility increases against targets higher than level 97.',100,1,4),
(93584,10117806,'Mesmerizes target',100,1,0),
(93585,10117806,'Prevents AOE (except when direct) ',100,1,1),
(93586,10117806,'Dispelled when target takes damage',100,1,2),
(93587,10117806,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(93588,10117806,'Resistibility increases against targets higher than level 97.',100,1,4),
(93589,109456,'Roots target',100,1,0),
(93590,109456,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(93591,109456,'Slows target by 33.8%',100,2,2),
(93592,109456,'5% chance to dispel when target receives hostile action',100,2,3),
(93593,109456,'5% chance to dispel when target takes damage',100,2,4),
(93594,109456,'10% chance to dispel when target receives hostile action',100,1,5),
(93595,109456,'10% chance to dispel when target takes damage',100,1,6),
(93596,109456,'Does not affect Epic targets',100,1,7),
(93597,109456,'Resistibility increases against targets higher than level 48.',100,1,8),
(93598,10109456,'Roots target',100,1,0),
(93599,10109456,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(93600,10109456,'Slows target by 33.8%',100,2,2),
(93601,10109456,'5% chance to dispel when target receives hostile action',100,2,3),
(93602,10109456,'5% chance to dispel when target takes damage',100,2,4),
(93603,10109456,'10% chance to dispel when target receives hostile action',100,1,5),
(93604,10109456,'10% chance to dispel when target takes damage',100,1,6),
(93605,10109456,'Does not affect Epic targets',100,1,7),
(93606,10109456,'Resistibility increases against targets higher than level 48.',100,1,8),
(93607,36257,'Increases STA and AGI of target by 4.6',100,0,0),
(93608,36257,'Increases Attack Speed of target by 8.0',100,0,1),
(93609,36257,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(93610,100329,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(93611,100329,'Drains power instantly and every 3 seconds.',100,2,1),
(93612,100329,'Cannot be modified except by direct means',100,2,2),
(93613,100329,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(93614,100329,'Adrenaline can only be used while berserk!',100,1,4),
(93615,10100329,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(93616,10100329,'Drains power instantly and every 3 seconds.',100,2,1),
(93617,10100329,'Cannot be modified except by direct means',100,2,2),
(93618,10100329,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(93619,10100329,'Adrenaline can only be used while berserk!',100,1,4),
(93620,158310,'When Equipped:',100,0,0),
(93621,158310,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(93622,10158310,'When Equipped:',100,0,0),
(93623,10158310,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(93624,89508,'When Equipped:',100,0,0),
(93625,89508,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(93626,10089508,'When Equipped:',100,0,0),
(93627,10089508,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(93628,100008,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(93629,100008,'Inflicts 38 - 64 melee damage on targets in area',100,2,1),
(93630,100008,'Decreases Defense of caster by 4.8',100,1,2),
(93631,100008,'Increases Slashing, Piercing and Crushing of caster by 8.6',100,1,3),
(93632,10100008,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(93633,10100008,'Inflicts 50 - 84 melee damage on targets in area',100,2,1),
(93634,10100008,'Decreases Defense of caster by 4.8',100,1,2),
(93635,10100008,'Increases Slashing, Piercing and Crushing of caster by 8.6',100,1,3),
(93636,134529,'When Equipped:',100,0,0),
(93637,134529,'Increases Attack Speed of caster by 21.0',100,1,1),
(93638,10134529,'When Equipped:',100,0,0),
(93639,10134529,'Increases Attack Speed of caster by 21.0',100,1,1),
(93640,121687,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(93641,121687,'Inflicts 44 - 54 heat damage on target instantly and every second',100,2,1),
(93642,10121687,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(93643,10121687,'Inflicts 62 - 76 heat damage on target instantly and every second',100,2,1),
(93644,107806,'Increases Threat to target encounter by 559 - 683 ',100,1,0),
(93645,10107806,'Prevents target encounter from changing targets',100,1,0),
(93646,10107806,'Forces target encounter to change their selected target to caster.',100,1,1),
(93647,116456,'Inflicts 113 disease damage on target instantly and every 4 seconds',100,1,0),
(93648,116456,'Inflicts 113 disease damage on target instantly and every 4 seconds',100,1,1),
(93649,116456,'If target is nightblood',100,2,2),
(93650,116456,'Inflicts 113 disease damage on target instantly and every 4 seconds',100,1,3),
(93651,116456,'If target is shadowed folk',100,2,4),
(93652,10116456,'Inflicts 158 disease damage on target instantly and every 4 seconds',100,1,0),
(93653,122746,'Heals group members (AE) for 126 - 154',100,1,0),
(93654,122746,'Increases Max Health of group members (AE) by 17.5',100,1,1),
(93655,10122746,'Heals group members (AE) for 147 - 180',100,1,0),
(93656,10122746,'Increases Max Health of group members (AE) by 17.5',100,1,1),
(93657,115388,'Inflicts 23 - 39 melee damage on target',100,1,0),
(93658,115388,'Decreases INT of target by 13.4',100,1,1),
(93659,115388,'You must be sneaking to use this ability.',100,1,2),
(93660,10115388,'Inflicts 30 - 51 melee damage on target',100,1,0),
(93661,10115388,'Decreases INT of target by 13.4',100,1,1),
(93662,10115388,'You must be sneaking to use this ability.',100,1,2),
(93663,121883,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(93664,121883,'Inflicts 389 - 476 mental damage on target',100,2,1),
(93665,121883,'Decreases Threat to target by 731 - 894 ',100,2,2),
(93666,121883,'If profession other than Fighter',100,3,3),
(93667,10121883,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(93668,10121883,'Inflicts 545 - 666 mental damage on target',100,2,1),
(93669,177516,'When Equipped:',100,0,0),
(93670,177516,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93671,177516,'Increases STR of caster by 14.8',100,2,2),
(93672,177516,'Increases Damage Per Second of caster by 19.0',100,2,3),
(93673,177516,'Cannot be modified except by direct means',100,2,4),
(93674,10177516,'When Equipped:',100,0,0),
(93675,10177516,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93676,10177516,'Increases STR of caster by 14.8',100,2,2),
(93677,10177516,'Increases Damage Per Second of caster by 19.0',100,2,3),
(93678,10177516,'Cannot be modified except by direct means',100,2,4),
(93679,35398,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(93680,45403,'Applies Brell''s Blessing when Activated.',100,0,0),
(93681,45403,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(93682,10045403,'Applies Brell''s Blessing when Activated.',100,0,0),
(93683,10045403,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(93684,100950,'Dazes target',100,1,0),
(93685,100950,'Inflicts 308 - 376 mental damage on target',100,1,1),
(93686,100950,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(93687,100950,'Resistibility increases against targets higher than level 82.',100,1,3),
(93688,10100950,'Dazes target',100,1,0),
(93689,10100950,'Inflicts 431 - 527 mental damage on target',100,1,1),
(93690,10100950,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(93691,10100950,'Resistibility increases against targets higher than level 82.',100,1,3),
(93692,104346,'Charms target',100,1,0),
(93693,104346,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(93694,104346,'Mesmerizes target',100,2,2),
(93695,104346,'Dispelled when target takes damage',100,2,3),
(93696,104346,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(93697,104346,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(93698,104346,'Grants Sonic Vision to caster',100,2,6),
(93699,104346,'Increases Out-of-Combat Power Regeneration of target by 20.0',100,1,7),
(93700,104346,'Increases Out-of-Combat Health Regeneration of target by 40.0',100,1,8),
(93701,104346,'Certain enemies cannot be charmed',100,1,9),
(93702,104346,'Does not affect Epic targets',100,1,10),
(93703,10104346,'Mesmerizes target',100,1,0),
(93704,10104346,'Prevents AOE (except when direct) ',100,1,1),
(93705,10104346,'Dispelled when target takes damage',100,1,2),
(93706,10104346,'Certain enemies cannot be charmed',100,1,3),
(93707,10104346,'Does not affect Epic targets',100,1,4),
(93708,10104346,'Resistibility increases against targets higher than level 62.',100,1,5),
(93709,110126,'Shapechanges group members (AE) into a human',100,1,0),
(93710,10110126,'Shapechanges group members (AE) into a human',100,1,0),
(93711,35929,'Increases outgoing damaging spell amount by 2%',100,0,0),
(93712,35929,'Increases INT and STA of target by 5.8',100,0,1),
(93713,35929,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(93714,36684,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(93715,36684,'This effect suspends during combat',100,0,1),
(93716,82731,'When Equipped:',100,0,0),
(93717,82731,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93718,82731,'Inflicts 127 - 236 magic damage on target',100,2,2),
(93719,82731,'Cannot be modified except by direct means',100,2,3),
(93720,10082731,'When Equipped:',100,0,0),
(93721,10082731,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93722,10082731,'Inflicts 178 - 331 magic damage on target',100,2,2),
(93723,10082731,'Cannot be modified except by direct means',100,2,3),
(93724,174826,'When Equipped:',100,0,0),
(93725,174826,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(93726,174826,'Inflicts 24 divine damage on target',100,2,2),
(93727,174826,'Cannot be modified except by direct means',100,2,3),
(93728,10174826,'When Equipped:',100,0,0),
(93729,10174826,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(93730,10174826,'Inflicts 33 divine damage on target',100,2,2),
(93731,10174826,'Cannot be modified except by direct means',100,2,3),
(93732,138562,'When Equipped:',100,0,0),
(93733,138562,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(93734,138562,'When Equipped:',100,0,2),
(93735,138562,'On a healing spell cast this spell may cast Saving Grace on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(93736,138562,'Heals group members (AE) for 1904',100,2,4),
(93737,138562,'If under 33% Health',100,3,5),
(93738,138562,'Heals group members (AE) for 888',100,2,6),
(93739,138562,'If over 33% Health',100,3,7),
(93740,138562,'Cannot be modified except by direct means',100,2,8),
(93741,10138562,'When Equipped:',100,0,0),
(93742,10138562,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(93743,10138562,'When Equipped:',100,0,2),
(93744,10138562,'On a healing spell cast this spell may cast Saving Grace on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(93745,10138562,'Heals group members (AE) for 1237',100,2,4),
(93746,10138562,'If under 33% Health',100,3,5),
(93747,10138562,'Heals group members (AE) for 577',100,2,6),
(93748,10138562,'If over 33% Health',100,3,7),
(93749,10138562,'Cannot be modified except by direct means',100,2,8),
(93750,131420,'When Equipped:',100,0,0),
(93751,131420,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93752,131420,'This effect can be stacked by multiple casters.',100,2,2),
(93753,131420,'Increases target''s chance to block by 7.0%',100,2,3),
(93754,131420,'Cannot be modified except by direct means',100,2,4),
(93755,10131420,'When Equipped:',100,0,0),
(93756,10131420,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93757,10131420,'This effect can be stacked by multiple casters.',100,2,2),
(93758,10131420,'Increases target''s chance to block by 7.0%',100,2,3),
(93759,10131420,'Cannot be modified except by direct means',100,2,4),
(93760,81534,'When Equipped:',100,0,0),
(93761,81534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93762,81534,'Inflicts 130 - 241 magic damage on target',100,2,2),
(93763,81534,'Cannot be modified except by direct means',100,2,3),
(93764,10081534,'When Equipped:',100,0,0),
(93765,10081534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93766,10081534,'Inflicts 182 - 337 magic damage on target',100,2,2),
(93767,10081534,'Cannot be modified except by direct means',100,2,3),
(93768,82908,'When Equipped:',100,0,0),
(93769,82908,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93770,82908,'Inflicts 271 - 504 magic damage on target',100,2,2),
(93771,82908,'Cannot be modified except by direct means',100,2,3),
(93772,10082908,'When Equipped:',100,0,0),
(93773,10082908,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(93774,10082908,'Inflicts 380 - 705 magic damage on target',100,2,2),
(93775,10082908,'Cannot be modified except by direct means',100,2,3),
(93776,110139,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(93777,110139,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(93778,110139,'Only affects the caster of Guardian''s Sphere',100,2,2),
(93779,110139,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(93780,110139,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(93781,110139,'If not fighter',100,2,5),
(93782,10110139,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(93783,10110139,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(93784,10110139,'Only affects the caster of Guardian''s Sphere',100,2,2),
(93785,10110139,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(93786,10110139,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(93787,10110139,'If not fighter',100,2,5),
(93788,37106,'Increases WIS of target by 1.6',100,0,0),
(93789,37106,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(93790,138554,'When Equipped:',100,0,0),
(93791,138554,'Reduces cast time of all spells by 5 percent.',100,1,1),
(93792,138554,'When Equipped:',100,0,2),
(93793,138554,'On a hostile spell cast this spell may cast Frenzy of Innoruuk on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(93794,138554,'Increases Potency of caster by 5.0%',100,2,4),
(93795,138554,'Cannot be modified except by direct means',100,2,5),
(93796,138554,'On a combat hit this spell may cast Frenzy of Innoruuk on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,6),
(93797,138554,'Increases Potency of caster by 5.0%',100,2,7),
(93798,138554,'Cannot be modified except by direct means',100,2,8),
(93799,10138554,'When Equipped:',100,0,0),
(93800,10138554,'Reduces cast time of all spells by 5 percent.',100,1,1),
(93801,10138554,'When Equipped:',100,0,2),
(93802,10138554,'On a hostile spell cast this spell may cast Frenzy of Innoruuk on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(93803,10138554,'Increases Potency of caster by 5.0%',100,2,4),
(93804,10138554,'Cannot be modified except by direct means',100,2,5),
(93805,10138554,'On a combat hit this spell may cast Frenzy of Innoruuk on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,6),
(93806,10138554,'Increases Potency of caster by 5.0%',100,2,7),
(93807,10138554,'Cannot be modified except by direct means',100,2,8),
(93808,159087,'Applies Lambent Imbued when Equipped.',100,0,0),
(93809,159087,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(93810,159087,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(93811,159087,'Cannot be modified except by direct means',100,2,3),
(93812,10159087,'Applies Lambent Imbued when Equipped.',100,0,0),
(93813,10159087,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(93814,10159087,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(93815,10159087,'Cannot be modified except by direct means',100,2,3),
(93816,103798,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.7',100,1,0),
(93817,10103798,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.7',100,1,0),
(93818,106012,'Inflicts 57 - 70 divine damage on target instantly and every 3 seconds',100,1,0),
(93819,106012,'Decreases Defense of target by 8.8',100,1,1),
(93820,10106012,'Inflicts 54 - 65 divine damage on target instantly and every 3 seconds',100,1,0),
(93821,10106012,'Decreases Defense of target by 8.8',100,1,1),
(93822,123633,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(93823,123633,'Slows target by 33.4%',100,2,1),
(93824,123633,'5% chance to dispel when target receives hostile action',100,2,2),
(93825,123633,'5% chance to dispel when target takes damage',100,2,3),
(93826,123633,'Inflicts 72 - 88 cold damage on target',100,1,4),
(93827,10123633,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(93828,10123633,'Slows target by 33.4%',100,2,1),
(93829,10123633,'5% chance to dispel when target receives hostile action',100,2,2),
(93830,10123633,'5% chance to dispel when target takes damage',100,2,3),
(93831,10123633,'Inflicts 87 - 106 cold damage on target',100,1,4),
(93832,52764,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(93833,52764,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(93834,52764,'Inflicts 113 heat damage on target',100,2,2),
(93835,52764,'Cannot be modified except by direct means',100,2,3),
(93836,10052764,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(93837,10052764,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(93838,10052764,'Inflicts 158 heat damage on target',100,2,2),
(93839,10052764,'Cannot be modified except by direct means',100,2,3),
(93840,107793,'Increases Threat to target encounter by 328 - 401 ',100,1,0),
(93841,10107793,'Prevents target encounter from changing targets',100,1,0),
(93842,10107793,'Forces target encounter to change their selected target to caster.',100,1,1),
(93843,106972,'Inflicts 651 - 1209 poison damage on target',100,1,0),
(93844,106972,'Increases power of caster by 48',100,1,1),
(93845,10106972,'Inflicts 912 - 1693 poison damage on target',100,1,0),
(93846,10106972,'Increases power of caster by 48',100,1,1),
(93847,35186,'Increases WIS of target by 1.6',100,0,0),
(93848,35186,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(93849,45703,'Applies Clouded Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(93850,45703,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(93851,45703,'Inflicts 45 magic damage on target',100,2,2),
(93852,45703,'Cannot be modified except by direct means',100,2,3),
(93853,45703,'Only affects targets level 50 and above',100,1,4),
(93854,10045703,'Applies Clouded Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(93855,10045703,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(93856,10045703,'Inflicts 64 magic damage on target',100,2,2),
(93857,10045703,'Cannot be modified except by direct means',100,2,3),
(93858,10045703,'Only affects targets level 50 and above',100,1,4),
(93859,81298,'When Equipped:',100,0,0),
(93860,81298,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(93861,81298,'Inflicts 260 - 482 magic damage on target',100,2,2),
(93862,81298,'Decreases Threat to target by 949 ',100,2,3),
(93863,81298,'Must be flanking or behind',100,3,4),
(93864,81298,'Increases Threat to target by 949 ',100,2,5),
(93865,81298,'Must be in front of',100,3,6),
(93866,81298,'Cannot be modified except by direct means',100,2,7),
(93867,10081298,'When Equipped:',100,0,0),
(93868,10081298,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(93869,10081298,'Inflicts 364 - 675 magic damage on target',100,2,2),
(93870,10081298,'Cannot be modified except by direct means',100,2,3),
(93871,87951,'When Equipped:',100,0,0),
(93872,87951,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93873,87951,'Inflicts 18 - 22 poison damage on target',100,2,2),
(93874,87951,'Inflicts 3 - 4 poison damage on target every 4 seconds',100,2,3),
(93875,87951,'Cannot be modified except by direct means',100,2,4),
(93876,10087951,'When Equipped:',100,0,0),
(93877,10087951,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93878,10087951,'Inflicts 26 - 31 poison damage on target',100,2,2),
(93879,10087951,'Inflicts 4 - 5 poison damage on target every 4 seconds',100,2,3),
(93880,10087951,'Cannot be modified except by direct means',100,2,4),
(93881,112025,'Inflicts 956 - 1594 piercing damage on target',100,1,0),
(93882,10112025,'Inflicts 1244 - 2073 piercing damage on target',100,1,0),
(93883,122040,'Increases Threat to target by 349 - 427 ',100,1,0),
(93884,122040,'Inflicts 50 - 84 melee damage on target',100,1,1),
(93885,10122040,'Forces target to change their selected target to caster.',100,1,0),
(93886,10122040,'Inflicts 65 - 109 melee damage on target',100,1,1),
(93887,172462,'When Equipped:',100,0,0),
(93888,172462,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(93889,172462,'Heals caster for 2716 - 3319',100,2,2),
(93890,172462,'Increases power of caster by 442',100,2,3),
(93891,172462,'Must not be engaged in pvp combat',100,2,4),
(93892,172462,'Cannot be modified except by direct means',100,2,5),
(93893,172462,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(93894,172462,'Heals caster for 2716 - 3319',100,2,7),
(93895,172462,'Increases power of caster by 442',100,2,8),
(93896,172462,'Must not be engaged in pvp combat',100,2,9),
(93897,172462,'Cannot be modified except by direct means',100,2,10),
(93898,10172462,'When Equipped:',100,0,0),
(93899,10172462,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(93900,10172462,'Heals caster for 3178 - 3884',100,2,2),
(93901,10172462,'Increases power of caster by 442',100,2,3),
(93902,10172462,'Must not be engaged in pvp combat',100,2,4),
(93903,10172462,'Cannot be modified except by direct means',100,2,5),
(93904,10172462,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(93905,10172462,'Heals caster for 3178 - 3884',100,2,7),
(93906,10172462,'Increases power of caster by 442',100,2,8),
(93907,10172462,'Must not be engaged in pvp combat',100,2,9),
(93908,10172462,'Cannot be modified except by direct means',100,2,10),
(93909,123029,'Summons 12 limited pets to aid the caster',100,1,0),
(93910,10123029,'Summons 12 limited pets to aid the caster',100,1,0),
(93911,190961,'When Equipped:',100,0,0),
(93912,190961,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93913,190961,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(93914,190961,'Dispelled when target casts a hostile spell',100,2,3),
(93915,190961,'Dispelled when target casts a combat art',100,2,4),
(93916,190961,'Cannot be modified except by direct means',100,2,5),
(93917,10190961,'When Equipped:',100,0,0),
(93918,10190961,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(93919,10190961,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(93920,10190961,'Dispelled when target casts a hostile spell',100,2,3),
(93921,10190961,'Dispelled when target casts a combat art',100,2,4),
(93922,10190961,'Cannot be modified except by direct means',100,2,5),
(93923,115486,'Summons a pet nightshade',100,1,0),
(93924,10115486,'Summons a pet nightshade',100,1,0),
(93925,105726,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(93926,105726,'Stuns target',100,2,1),
(93927,105726,'Throws target back',100,2,2),
(93928,105726,'Blurs vision of target',100,2,3),
(93929,105726,'Does not affect Epic targets',100,2,4),
(93930,105726,'Inflicts 294 - 490 melee damage on targets in area',100,1,5),
(93931,10105726,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(93932,10105726,'Stuns target',100,2,1),
(93933,10105726,'Throws target back',100,2,2),
(93934,10105726,'Blurs vision of target',100,2,3),
(93935,10105726,'Does not affect Epic targets',100,2,4),
(93936,10105726,'Inflicts 382 - 637 melee damage on targets in area',100,1,5),
(93937,154348,'When Equipped:',100,0,0),
(93938,154348,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(93939,154348,'Wards caster against 2000 points of all damage',100,2,2),
(93940,154348,'Cannot be modified except by direct means',100,2,3),
(93941,154348,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(93942,154348,'Wards caster against 2000 points of all damage',100,2,5),
(93943,154348,'Cannot be modified except by direct means',100,2,6),
(93944,10154348,'When Equipped:',100,0,0),
(93945,10154348,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(93946,10154348,'Wards caster against 1000 points of all damage',100,2,2),
(93947,10154348,'Cannot be modified except by direct means',100,2,3),
(93948,10154348,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(93949,10154348,'Wards caster against 1000 points of all damage',100,2,5),
(93950,10154348,'Cannot be modified except by direct means',100,2,6),
(93951,155127,'When Equipped:',100,0,0),
(93952,155127,'Increases Attack Speed of caster by 20.0',100,1,1),
(93953,10155127,'When Equipped:',100,0,0),
(93954,10155127,'Increases Attack Speed of caster by 20.0',100,1,1),
(93955,112961,'Inflicts 156 - 468 crushing damage on target',100,1,0),
(93956,10112961,'Inflicts 202 - 608 crushing damage on target',100,1,0),
(93957,159648,'When Equipped:',100,0,0),
(93958,159648,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93959,159648,'Increases INT of caster by 13.2',100,2,2),
(93960,159648,'Increases Focus, Subjugation and Disruption of caster by 7.8',100,2,3),
(93961,159648,'Cannot be modified except by direct means',100,2,4),
(93962,10159648,'When Equipped:',100,0,0),
(93963,10159648,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93964,10159648,'Increases INT of caster by 13.2',100,2,2),
(93965,10159648,'Increases Focus, Subjugation and Disruption of caster by 7.8',100,2,3),
(93966,10159648,'Cannot be modified except by direct means',100,2,4),
(93967,120098,'Shapechanges caster into a chaos essence',100,1,0),
(93968,120098,'Increases WIS of caster by 35.2',100,1,1),
(93969,120098,'Grants See Invisibility to caster',100,1,2),
(93970,120098,'Increases Max Health of caster by 94.6',100,1,3),
(93971,120098,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 523',100,1,4),
(93972,10120098,'Shapechanges caster into a chaos essence',100,1,0),
(93973,10120098,'Increases WIS of caster by 35.2',100,1,1),
(93974,10120098,'Grants See Invisibility to caster',100,1,2),
(93975,10120098,'Increases Max Health of caster by 94.6',100,1,3),
(93976,10120098,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 523',100,1,4),
(93977,85413,'When Equipped:',100,0,0),
(93978,85413,'On a combat hit this spell may cast Summon the Pride on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93979,85413,'Summons a limited pet to aid the caster',100,2,2),
(93980,85413,'Summons a limited pet to aid the caster',100,2,3),
(93981,85413,'Cannot be modified except by direct means',100,2,4),
(93982,10085413,'When Equipped:',100,0,0),
(93983,10085413,'On a combat hit this spell may cast Summon the Pride on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93984,10085413,'Summons a limited pet to aid the caster',100,2,2),
(93985,10085413,'Summons a limited pet to aid the caster',100,2,3),
(93986,10085413,'Cannot be modified except by direct means',100,2,4),
(93987,177651,'When Equipped:',100,0,0),
(93988,177651,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93989,177651,'Increases INT of caster by 12.2',100,2,2),
(93990,177651,'Increases Focus, Subjugation and Disruption of caster by 7.2',100,2,3),
(93991,177651,'Cannot be modified except by direct means',100,2,4),
(93992,10177651,'When Equipped:',100,0,0),
(93993,10177651,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(93994,10177651,'Increases INT of caster by 12.2',100,2,2),
(93995,10177651,'Increases Focus, Subjugation and Disruption of caster by 7.2',100,2,3),
(93996,10177651,'Cannot be modified except by direct means',100,2,4),
(93997,107289,'Inflicts 516 - 860 ranged damage on target',100,1,0),
(93998,107289,'Inflicts 516 - 860 ranged damage on target',100,1,1),
(93999,107289,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(94000,107289,'Stuns target',100,2,3),
(94001,107289,'Blurs vision of target',100,2,4),
(94002,107289,'Throws target back',100,2,5),
(94003,107289,'Does not affect Epic targets',100,2,6),
(94004,107289,'If weapon equipped in Ranged',100,1,7),
(94005,10107289,'Inflicts 438 - 731 ranged damage on target',100,1,0),
(94006,10107289,'Inflicts 438 - 731 ranged damage on target',100,1,1),
(94007,10107289,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(94008,10107289,'Stuns target',100,2,3),
(94009,10107289,'Throws target back',100,2,4),
(94010,10107289,'Blurs vision of target',100,2,5),
(94011,10107289,'Does not affect Epic targets',100,2,6),
(94012,10107289,'If weapon equipped in Ranged',100,1,7),
(94013,37073,'Increases Max Health of target by 5.0',100,0,0),
(94014,37073,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(94015,36301,'Increases Max Health of target by 6.0',100,0,0),
(94016,36301,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(94017,117261,'Inflicts 27 - 45 melee damage on target',100,1,0),
(94018,117261,'Decreases Damage Per Second of target by 5.9',100,1,1),
(94019,117261,'Decreases Attack Speed of target by 5.1',100,1,2),
(94020,10117261,'Inflicts 35 - 59 melee damage on target',100,1,0),
(94021,10117261,'Decreases Damage Per Second of target by 5.9',100,1,1),
(94022,10117261,'Decreases Attack Speed of target by 5.1',100,1,2),
(94023,106501,'Decreases STR and AGI of target by 73.2',100,1,0),
(94024,10106501,'Decreases STR and AGI of target by 73.2',100,1,0),
(94025,37322,'Increases STR and INT of target by 1.2',100,0,0),
(94026,37322,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(94027,123472,'Shapechanges caster into a bear',100,1,0),
(94028,123472,'Increases WIS of caster by 172.5',100,1,1),
(94029,123472,'Grants See Stealth to caster',100,1,2),
(94030,123472,'Increases Max Health of caster by 765.8',100,1,3),
(94031,123472,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2527',100,1,4),
(94032,10123472,'Shapechanges caster into a bear',100,1,0),
(94033,10123472,'Increases WIS of caster by 172.5',100,1,1),
(94034,10123472,'Grants See Stealth to caster',100,1,2),
(94035,10123472,'Increases Max Health of caster by 765.8',100,1,3),
(94036,10123472,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2527',100,1,4),
(94037,46306,'Applies Repair when Activated.  Lasts for 1.0 second.',100,0,0),
(94038,46306,'Repairs armor that is currently equipped, in your inventory or in the overflow slot.',100,1,1),
(94039,10046306,'Applies Repair when Activated.  Lasts for 1.0 second.',100,0,0),
(94040,10046306,'Repairs armor that is currently equipped, in your inventory or in the overflow slot.',100,1,1),
(94041,108048,'Inflicts 565 magic damage on target',100,1,0),
(94042,108048,'Increases power of caster by 158',100,1,1),
(94043,10108048,'Inflicts 791 magic damage on target',100,1,0),
(94044,10108048,'Increases power of caster by 158',100,1,1),
(94045,102236,'Increases Max Health of group members (AE) by 868.6',100,1,0),
(94046,10102236,'Increases Max Health of group members (AE) by 868.6',100,1,0),
(94047,35437,'Increases Max Health of target by 5.0',100,0,0),
(94048,35437,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(94049,47083,'Applies Mortuary Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(94050,47083,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(94051,47083,'Inflicts 130 poison damage on target instantly and every 6 seconds',100,2,2),
(94052,47083,'Inflicts 33 poison damage on target',100,2,3),
(94053,47083,'Cannot be modified except by direct means',100,2,4),
(94054,47083,'Grants a total of 100 triggers of the spell.',100,2,5),
(94055,10047083,'Applies Mortuary Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(94056,10047083,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(94057,10047083,'Inflicts 34 poison damage on target',100,2,2),
(94058,10047083,'Inflicts 136 poison damage on target instantly and every 6 seconds',100,2,3),
(94059,10047083,'Cannot be modified except by direct means',100,2,4),
(94060,10047083,'Grants a total of 100 triggers of the spell.',100,2,5),
(94061,105166,'Increases AGI of caster by 75.2',100,1,0),
(94062,105166,'Adds 2.5% to base avoidance.',100,1,1),
(94063,105166,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(94064,105166,'Increases Parry of caster by 43.2',100,1,3),
(94065,105166,'Increases Defense of caster by 57.6',100,1,4),
(94066,10105166,'Increases AGI of caster by 75.2',100,1,0),
(94067,10105166,'Adds 2.5% to base avoidance.',100,1,1),
(94068,10105166,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(94069,10105166,'Increases Parry of caster by 43.2',100,1,3),
(94070,10105166,'Increases Defense of caster by 57.6',100,1,4),
(94071,37575,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(94072,111842,'Inflicts 452 - 754 melee damage on target',100,1,0),
(94073,111842,'Roots target',100,1,1),
(94074,111842,'If Target is not Epic',100,2,2),
(94075,111842,'Resistibility increases against targets higher than level 98.',100,1,3),
(94076,10111842,'Inflicts 530 - 884 melee damage on target',100,1,0),
(94077,10111842,'Roots target',100,1,1),
(94078,10111842,'If Target is not Epic',100,2,2),
(94079,10111842,'Resistibility increases against targets higher than level 98.',100,1,3),
(94080,117773,'Inflicts 614 - 1023 divine damage on target',100,1,0),
(94081,10117773,'Inflicts 859 - 1432 divine damage on target',100,1,0),
(94082,113188,'Inflicts 1959 disease damage on target',100,1,0),
(94083,113188,'Heals caster for 1070',100,1,1),
(94084,10113188,'Inflicts 2742 disease damage on target',100,1,0),
(94085,10113188,'Heals caster for 904',100,1,1),
(94086,103025,'Inflicts 184 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(94087,103025,'Inflicts 68 - 114 melee damage on target',100,1,1),
(94088,10103025,'Inflicts 257 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(94089,10103025,'Inflicts 89 - 149 melee damage on target',100,1,1),
(94090,46469,'Applies Place Gift Befitting Chief Ry''Gorr when Activated.',100,0,0),
(94091,46469,'This effect cannot be cast during combat',100,1,1),
(94092,10046469,'Applies Place Gift Befitting Chief Ry''Gorr when Activated.',100,0,0),
(94093,10046469,'This effect cannot be cast during combat',100,1,1),
(94094,118679,'Inflicts 115 - 347 crushing damage on target',100,1,0),
(94095,10118679,'Inflicts 150 - 452 crushing damage on target',100,1,0),
(94096,116493,'Prevents targets in Area of Effect from changing targets',100,1,0),
(94097,116493,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(94098,116493,'Increases Threat to targets in Area of Effect by 448 ',100,1,2),
(94099,10116493,'Prevents targets in Area of Effect from changing targets',100,1,0),
(94100,10116493,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(94101,115297,'Summons a limited pet to aid the caster',100,1,0),
(94102,10115297,'Summons a limited pet to aid the caster',100,1,0),
(94103,104637,'Inflicts 174 - 291 crushing damage on target',100,1,0),
(94104,104637,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 18.9',100,1,1),
(94105,10104637,'Inflicts 227 - 378 crushing damage on target',100,1,0),
(94106,10104637,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 18.9',100,1,1),
(94107,121783,'Heals target for 793 - 969',100,1,0),
(94108,121783,'Heals target for 132 - 161 every second',100,1,1),
(94109,10121783,'Heals target for 1374 - 1679',100,1,0),
(94110,10121783,'Heals target for 114 - 140 every second',100,1,1),
(94111,113983,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(94112,113983,'Inflicts 31 - 52 melee damage on target',100,2,1),
(94113,113983,'Increases Threat to target by 121 ',100,2,2),
(94114,10113983,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(94115,10113983,'Inflicts 41 - 68 melee damage on target',100,2,1),
(94116,41619,'When Equipped:',100,0,0),
(94117,41619,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(94118,41619,'Inflicts 41 - 76 magic damage on target',100,2,2),
(94119,41619,'Decreases Threat to target by 135 ',100,2,3),
(94120,41619,'Must be flanking or behind',100,3,4),
(94121,41619,'Increases Threat to target by 135 ',100,2,5),
(94122,41619,'Must be in front of',100,3,6),
(94123,41619,'Cannot be modified except by direct means',100,2,7),
(94124,10041619,'When Equipped:',100,0,0),
(94125,10041619,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(94126,10041619,'Inflicts 58 - 107 magic damage on target',100,2,2),
(94127,10041619,'Cannot be modified except by direct means',100,2,3),
(94128,110235,'Inflicts 73 - 122 melee damage on target',100,1,0),
(94129,110235,'Slows target by 48.2%',100,1,1),
(94130,110235,'5% chance to dispel when target receives hostile action',100,1,2),
(94131,110235,'5% chance to dispel when target takes damage',100,1,3),
(94132,10110235,'Inflicts 95 - 159 melee damage on target',100,1,0),
(94133,10110235,'Slows target by 48.2%',100,1,1),
(94134,10110235,'5% chance to dispel when target receives hostile action',100,1,2),
(94135,10110235,'5% chance to dispel when target takes damage',100,1,3),
(94136,101318,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(94137,101318,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 78',100,1,1),
(94138,101318,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,2),
(94139,10101318,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(94140,10101318,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 78',100,1,1),
(94141,10101318,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,2),
(94142,148888,'When Equipped:',100,0,0),
(94143,148888,'On a hostile spell cast this spell has a 8% chance to cast Calming Aura on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(94144,148888,'Decreases Hate Gain of caster by 10.0%',100,2,2),
(94145,148888,'Cannot be modified except by direct means',100,2,3),
(94146,10148888,'When Equipped:',100,0,0),
(94147,10148888,'On a hostile spell cast this spell has a 8% chance to cast Calming Aura on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(94148,10148888,'Cannot be modified except by direct means',100,2,2),
(94149,120648,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.1',100,1,0),
(94150,120648,'Increases Focus of group members (AE) by 14.3',100,1,1),
(94151,10120648,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.1',100,1,0),
(94152,10120648,'Increases Focus of group members (AE) by 14.3',100,1,1),
(94153,106351,'Decreases Mitigation of target vs arcane damage by 740',100,1,0),
(94154,106351,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(94155,106351,'Slows target by 37.4%',100,2,2),
(94156,106351,'5% chance to dispel when target receives hostile action',100,2,3),
(94157,106351,'5% chance to dispel when target takes damage',100,2,4),
(94158,10106351,'Decreases Mitigation of target vs arcane damage by 740',100,1,0),
(94159,10106351,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(94160,10106351,'Slows target by 37.4%',100,2,2),
(94161,10106351,'5% chance to dispel when target receives hostile action',100,2,3),
(94162,10106351,'5% chance to dispel when target takes damage',100,2,4),
(94163,101168,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(94164,101168,'Slows target by 33.2%',100,2,1),
(94165,101168,'5% chance to dispel when target receives hostile action',100,2,2),
(94166,101168,'5% chance to dispel when target takes damage',100,2,3),
(94167,101168,'Inflicts 46 - 78 cold damage on target',100,1,4),
(94168,101168,'Inflicts 46 - 78 cold damage on target',100,1,5),
(94169,101168,'If weapon equipped in Ranged',100,1,6),
(94170,10101168,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(94171,10101168,'Slows target by 33.2%',100,2,1),
(94172,10101168,'5% chance to dispel when target receives hostile action',100,2,2),
(94173,10101168,'5% chance to dispel when target takes damage',100,2,3),
(94174,10101168,'Inflicts 39 - 66 cold damage on target',100,1,4),
(94175,10101168,'Inflicts 39 - 66 cold damage on target',100,1,5),
(94176,10101168,'If weapon equipped in Ranged',100,1,6),
(94177,115196,'Heals target for 1304 - 1593',100,1,0),
(94178,10115196,'Heals target for 3178 - 3884',100,1,0),
(94179,113930,'Increases power of target by 32 instantly and every 4 seconds',100,1,0),
(94180,10113930,'Increases power of target by 32 instantly and every 4 seconds',100,1,0),
(94181,83279,'When Equipped:',100,0,0),
(94182,83279,'On a combat hit this spell may cast Suffocate on target of attack.  Lasts for 3.6 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94183,83279,'Stifles target encounter',100,2,2),
(94184,83279,'Does not affect Epic targets',100,2,3),
(94185,83279,'Resistibility increases against targets higher than level 74.',100,2,4),
(94186,83279,'Cannot be modified except by direct means',100,2,5),
(94187,10083279,'When Equipped:',100,0,0),
(94188,10083279,'On a combat hit this spell may cast Suffocate on target of attack.  Lasts for 3.6 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94189,10083279,'Stifles target encounter',100,2,2),
(94190,10083279,'Does not affect Epic targets',100,2,3),
(94191,10083279,'Resistibility increases against targets higher than level 74.',100,2,4),
(94192,10083279,'Cannot be modified except by direct means',100,2,5),
(94193,181432,'When Equipped:',100,0,0),
(94194,181432,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(94195,10181432,'When Equipped:',100,0,0),
(94196,10181432,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(94197,106051,'Increases AGI of caster by 51.2',100,1,0),
(94198,106051,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(94199,106051,'Inflicts 80 - 134 disease damage on target',100,2,2),
(94200,106051,'Adds 21.8% to base avoidance.',100,1,3),
(94201,106051,'Increases Mitigation of caster vs physical damage by 265',100,1,4),
(94202,106051,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,5),
(94203,10106051,'Increases AGI of caster by 51.2',100,1,0),
(94204,10106051,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(94205,10106051,'Inflicts 112 - 187 disease damage on target',100,2,2),
(94206,10106051,'Adds 21.8% to base avoidance.',100,1,3),
(94207,10106051,'Increases Mitigation of caster vs physical damage by 265',100,1,4),
(94208,10106051,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,5),
(94209,141904,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(94210,141904,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(94211,141904,'Inflicts 71 heat damage on target',100,2,2),
(94212,141904,'Cannot be modified except by direct means',100,2,3),
(94213,10141904,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(94214,10141904,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(94215,10141904,'Inflicts 99 heat damage on target',100,2,2),
(94216,10141904,'Cannot be modified except by direct means',100,2,3),
(94217,122910,'Increases STR and INT of group members (AE) by 59.1',100,1,0),
(94218,10122910,'Increases STR and INT of group members (AE) by 59.1',100,1,0),
(94219,115461,'Inflicts 144 - 176 mental damage on target instantly and every 6 seconds',100,1,0),
(94220,115461,'Decreases Mitigation of target vs arcane damage by 1006',100,1,1),
(94221,10115461,'Inflicts 202 - 246 mental damage on target instantly and every 6 seconds',100,1,0),
(94222,10115461,'Decreases Mitigation of target vs arcane damage by 1006',100,1,1),
(94223,118363,'Inflicts 71 - 118 melee damage on target',100,1,0),
(94224,118363,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(94225,118363,'Stuns target',100,2,2),
(94226,118363,'Blurs vision of target',100,2,3),
(94227,118363,'Throws target back',100,2,4),
(94228,118363,'Does not affect Epic targets',100,2,5),
(94229,10118363,'Inflicts 92 - 154 melee damage on target',100,1,0),
(94230,10118363,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(94231,10118363,'Stuns target',100,2,2),
(94232,10118363,'Throws target back',100,2,3),
(94233,10118363,'Blurs vision of target',100,2,4),
(94234,10118363,'Does not affect Epic targets',100,2,5),
(94235,109898,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(94236,109898,'Inflicts 76 - 93 poison damage on target instantly and every 4 seconds',100,2,1),
(94237,10109898,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(94238,10109898,'Inflicts 107 - 130 poison damage on target instantly and every 4 seconds',100,2,1),
(94239,52920,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(94240,52920,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(94241,52920,'Inflicts 81 heat damage on target',100,2,2),
(94242,52920,'Cannot be modified except by direct means',100,2,3),
(94243,10052920,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(94244,10052920,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(94245,10052920,'Inflicts 113 heat damage on target',100,2,2),
(94246,10052920,'Cannot be modified except by direct means',100,2,3),
(94247,37019,'Increases Max Health of target by 5.0',100,0,0),
(94248,37019,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(94249,119479,'Dazes target encounter',100,1,0),
(94250,119479,'If Target is not Epic',100,2,1),
(94251,119479,'Inflicts 118 - 145 magic damage on target encounter instantly and every second',100,1,2),
(94252,119479,'Resistibility increases against targets higher than level 68.',100,1,3),
(94253,10119479,'Dazes target encounter',100,1,0),
(94254,10119479,'If Target is not Epic',100,2,1),
(94255,10119479,'Inflicts 218 - 266 magic damage on target encounter',100,1,2),
(94256,10119479,'Inflicts 166 - 202 magic damage on target encounter every second',100,1,3),
(94257,10119479,'Resistibility increases against targets higher than level 68.',100,1,4),
(94258,108938,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(94259,108938,'Inflicts 39 heat damage on target',100,2,1),
(94260,10108938,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(94261,10108938,'Inflicts 54 heat damage on target',100,2,1),
(94262,47871,'Applies Rune of Devastation when Activated.  Lasts for 20.0 seconds.',100,0,0),
(94263,47871,'Will absorb all attacks from NPC enemies that are not heroic or epic.',100,1,1),
(94264,47871,'On any combat or spell hit this spell will cast Rune of Devastation on target of attack.  ',100,1,2),
(94265,47871,'Inflicts 5.0% of max health in heat damage on target',100,2,3),
(94266,47871,'This effect cannot be critically applied.',100,3,4),
(94267,47871,'If Target is not named',100,2,5);
INSERT INTO `item_effects` VALUES
(94268,47871,'If Target is not a boss',100,2,6),
(94269,47871,'Does not affect Epic targets',100,2,7),
(94270,47871,'Cannot be modified except by direct means',100,2,8),
(94271,47871,'Increases Potency of caster by 25.0%',100,1,9),
(94272,47871,'Cannot be modified except by direct means',100,1,10),
(94273,10047871,'Applies Rune of Devastation when Activated.  Lasts for 20.0 seconds.',100,0,0),
(94274,10047871,'Will absorb all attacks from NPC enemies that are not heroic or epic.',100,1,1),
(94275,10047871,'On any combat or spell hit this spell will cast Rune of Devastation on target of attack.  ',100,1,2),
(94276,10047871,'Inflicts 7.0% of max health in heat damage on target',100,2,3),
(94277,10047871,'This effect cannot be critically applied.',100,3,4),
(94278,10047871,'If Target is not named',100,2,5),
(94279,10047871,'If Target is not a boss',100,2,6),
(94280,10047871,'Does not affect Epic targets',100,2,7),
(94281,10047871,'Cannot be modified except by direct means',100,2,8),
(94282,10047871,'Increases Potency of caster by 25.0%',100,1,9),
(94283,10047871,'Cannot be modified except by direct means',100,1,10),
(94284,114202,'Inflicts 430 - 716 melee damage on target',100,1,0),
(94285,114202,'Decreases Slashing, Crushing and Piercing of target by 12.1',100,1,1),
(94286,10114202,'Inflicts 559 - 931 melee damage on target',100,1,0),
(94287,10114202,'Decreases Slashing, Crushing and Piercing of target by 12.1',100,1,1),
(94288,159395,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(94289,159395,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(94290,159395,'Inflicts 60 heat damage on target',100,2,2),
(94291,159395,'Cannot be modified except by direct means',100,2,3),
(94292,10159395,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(94293,10159395,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(94294,10159395,'Inflicts 83 heat damage on target',100,2,2),
(94295,10159395,'Cannot be modified except by direct means',100,2,3),
(94296,144615,'When Equipped:',100,0,0),
(94297,144615,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94298,144615,'Wards target against 1000 points of all damage',100,2,2),
(94299,144615,'Cannot be modified except by direct means',100,2,3),
(94300,10144615,'When Equipped:',100,0,0),
(94301,10144615,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94302,10144615,'Wards target against 1000 points of all damage',100,2,2),
(94303,10144615,'Cannot be modified except by direct means',100,2,3),
(94304,116149,'Inflicts 330 - 550 divine damage on target',100,1,0),
(94305,116149,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(94306,116149,'Stuns target',100,2,2),
(94307,116149,'Blurs vision of target',100,2,3),
(94308,116149,'Throws target back',100,2,4),
(94309,116149,'Does not affect Epic targets',100,2,5),
(94310,10116149,'Inflicts 429 - 715 divine damage on target',100,1,0),
(94311,10116149,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(94312,10116149,'Stuns target',100,2,2),
(94313,10116149,'Throws target back',100,2,3),
(94314,10116149,'Blurs vision of target',100,2,4),
(94315,10116149,'Does not affect Epic targets',100,2,5),
(94316,86509,'Applies Fire Ball when Activated.',100,0,0),
(94317,86509,'Inflicts 411 - 685 heat damage on target',100,1,1),
(94318,86509,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(94319,10086509,'Applies Fire Ball when Activated.',100,0,0),
(94320,10086509,'Inflicts 576 - 959 heat damage on target',100,1,1),
(94321,10086509,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(94322,159341,'Applies Sanguine Imbued when Equipped.',100,0,0),
(94323,159341,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(94324,159341,'Inflicts 215 heat damage on target',100,2,2),
(94325,159341,'Cannot be modified except by direct means',100,2,3),
(94326,10159341,'Applies Sanguine Imbued when Equipped.',100,0,0),
(94327,10159341,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(94328,10159341,'Inflicts 301 heat damage on target',100,2,2),
(94329,10159341,'Cannot be modified except by direct means',100,2,3),
(94330,45828,'Applies Consume Essence when Activated.',100,0,0),
(94331,45828,'Heals group members (AE) for 456 - 557',100,1,1),
(94332,45828,'Dispels 102 levels of any hostile effects on caster',100,1,2),
(94333,10045828,'Applies Consume Essence when Activated.',100,0,0),
(94334,10045828,'Heals group members (AE) for 296 - 362',100,1,1),
(94335,10045828,'Dispels 102 levels of any hostile effects on caster',100,1,2),
(94336,111092,'Summons a pet holy acolyte',100,1,0),
(94337,10111092,'Summons a pet holy acolyte',100,1,0),
(94338,24521,'Adds Mistmoore: Bundle of Candlesticks to your Dungeon Maker toolbox',100,0,0),
(94339,10024521,'Adds Mistmoore: Bundle of Candlesticks to your Dungeon Maker toolbox',100,0,0),
(94340,159823,'Applies Lambent Imbued when Equipped.',100,0,0),
(94341,159823,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94342,159823,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(94343,159823,'Cannot be modified except by direct means',100,2,3),
(94344,10159823,'Applies Lambent Imbued when Equipped.',100,0,0),
(94345,10159823,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94346,10159823,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(94347,10159823,'Cannot be modified except by direct means',100,2,3),
(94348,159992,'Applies Lambent Imbued when Equipped.',100,0,0),
(94349,159992,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94350,159992,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(94351,159992,'Cannot be modified except by direct means',100,2,3),
(94352,10159992,'Applies Lambent Imbued when Equipped.',100,0,0),
(94353,10159992,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94354,10159992,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(94355,10159992,'Cannot be modified except by direct means',100,2,3),
(94356,26526,'When Equipped:',100,0,0),
(94357,26526,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,1),
(94358,26526,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(94359,10026526,'When Equipped:',100,0,0),
(94360,10026526,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,1),
(94361,10026526,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(94362,159855,'Applies Lambent Imbued when Equipped.',100,0,0),
(94363,159855,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94364,159855,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(94365,159855,'Cannot be modified except by direct means',100,2,3),
(94366,10159855,'Applies Lambent Imbued when Equipped.',100,0,0),
(94367,10159855,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94368,10159855,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(94369,10159855,'Cannot be modified except by direct means',100,2,3),
(94370,46425,'Applies Overclocked Tools when Equipped.',100,0,0),
(94371,46425,'Increases success chance by 5.0%',100,1,1),
(94372,10046425,'Applies Overclocked Tools when Equipped.',100,0,0),
(94373,10046425,'Increases success chance by 5.0%',100,1,1),
(94374,112023,'Inflicts 837 - 1395 piercing damage on target',100,1,0),
(94375,10112023,'Inflicts 1088 - 1814 piercing damage on target',100,1,0),
(94376,111055,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(94377,111055,'Slows target by 29.8%',100,2,1),
(94378,111055,'5% chance to dispel when target receives hostile action',100,2,2),
(94379,111055,'5% chance to dispel when target takes damage',100,2,3),
(94380,111055,'Decreases Mitigation of target vs elemental damage by 207',100,1,4),
(94381,10111055,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(94382,10111055,'Slows target by 29.8%',100,2,1),
(94383,10111055,'5% chance to dispel when target receives hostile action',100,2,2),
(94384,10111055,'5% chance to dispel when target takes damage',100,2,3),
(94385,10111055,'Decreases Mitigation of target vs elemental damage by 207',100,1,4),
(94386,112833,'Roots target',100,1,0),
(94387,112833,'5% chance to dispel when target takes damage',100,1,1),
(94388,112833,'Does not affect Epic targets',100,1,2),
(94389,112833,'Resistibility increases against targets higher than level 50.',100,1,3),
(94390,10112833,'Roots target',100,1,0),
(94391,10112833,'5% chance to dispel when target takes damage',100,1,1),
(94392,10112833,'Does not affect Epic targets',100,1,2),
(94393,10112833,'Resistibility increases against targets higher than level 50.',100,1,3),
(94394,107896,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(94395,107896,'Slows target by 57.7%',100,2,1),
(94396,107896,'5% chance to dispel when target receives hostile action',100,2,2),
(94397,107896,'5% chance to dispel when target takes damage',100,2,3),
(94398,107896,'Slows target encounter by 69.2%',100,1,4),
(94399,107896,'5% chance to dispel when target takes damage',100,1,5),
(94400,10107896,'Slows target encounter by 69.2%',100,1,0),
(94401,10107896,'5% chance to dispel when target takes damage',100,1,1),
(94402,189317,'When Equipped:',100,0,0),
(94403,189317,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94404,189317,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(94405,189317,'Heals caster for 1185 - 1309',100,2,3),
(94406,189317,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(94407,189317,'Must not be engaged in pvp combat',100,2,5),
(94408,189317,'Cannot be modified except by direct means',100,2,6),
(94409,189317,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(94410,189317,'Cannot be modified except by direct means',100,1,8),
(94411,189317,'When Equipped:',100,0,9),
(94412,189317,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,10),
(94413,189317,'Increases Health Regeneration of caster by 10.0',100,1,11),
(94414,189317,'Increases Max Health of caster by 1,444.4',100,1,12),
(94415,189317,'Cannot be modified except by direct means',100,1,13),
(94416,10189317,'When Equipped:',100,0,0),
(94417,10189317,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94418,10189317,'Inflicts 3317 - 3666 poison damage on target',100,2,2),
(94419,10189317,'Heals caster for 1386 - 1532',100,2,3),
(94420,10189317,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(94421,10189317,'Must not be engaged in pvp combat',100,2,5),
(94422,10189317,'Cannot be modified except by direct means',100,2,6),
(94423,10189317,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(94424,10189317,'Cannot be modified except by direct means',100,1,8),
(94425,10189317,'When Equipped:',100,0,9),
(94426,10189317,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,10),
(94427,10189317,'Increases Health Regeneration of caster by 10.0',100,1,11),
(94428,10189317,'Increases Max Health of caster by 1,444.4',100,1,12),
(94429,10189317,'Cannot be modified except by direct means',100,1,13),
(94430,105681,'Decreases Damage Per Second of target by 28.9',100,1,0),
(94431,105681,'Inflicts 429 - 715 melee damage on target',100,1,1),
(94432,105681,'Must be flanking or behind',100,1,2),
(94433,10105681,'Decreases Damage Per Second of target by 28.9',100,1,0),
(94434,10105681,'Inflicts 558 - 930 melee damage on target',100,1,1),
(94435,10105681,'Must be flanking or behind',100,1,2),
(94436,104069,'Inflicts 99 - 165 mental damage on target',100,1,0),
(94437,104069,'Inflicts 99 - 165 mental damage on target',100,1,1),
(94438,10104069,'Inflicts 129 - 215 mental damage on target',100,1,0),
(94439,10104069,'Inflicts 129 - 215 mental damage on target',100,1,1),
(94440,103038,'Inflicts 337 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(94441,103038,'Inflicts 126 - 210 melee damage on target',100,1,1),
(94442,10103038,'Inflicts 471 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(94443,10103038,'Inflicts 164 - 273 melee damage on target',100,1,1),
(94444,111176,'Inflicts 23 - 38 divine damage on targets in area',100,1,0),
(94445,111176,'Heals group members (AE) for 15',100,1,1),
(94446,111176,'This effect cannot be critically applied.',100,2,2),
(94447,111176,'The healing of this spell cannot be modified except by direct means',100,1,3),
(94448,10111176,'Inflicts 30 - 50 divine damage on targets in area',100,1,0),
(94449,10111176,'Heals group members (AE) for 10',100,1,1),
(94450,10111176,'This effect cannot be critically applied.',100,2,2),
(94451,10111176,'The healing of this spell cannot be modified except by direct means',100,1,3),
(94452,110460,'Dazes targets in Area of Effect',100,1,0),
(94453,110460,'If Target is not Epic',100,2,1),
(94454,110460,'Decreases Threat to targets in Area of Effect by 3,615 ',100,1,2),
(94455,110460,'Dispelled when target receives hostile action',100,1,3),
(94456,110460,'Dispelled when target takes damage',100,1,4),
(94457,10110460,'Dazes targets in Area of Effect',100,1,0),
(94458,10110460,'If Target is not Epic',100,2,1),
(94459,10110460,'Applies Distract.',100,1,2),
(94460,10110460,'Forces target to clear their selected target.',100,2,3),
(94461,10110460,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(94462,10110460,'Dispelled when target receives hostile action',100,1,5),
(94463,10110460,'Dispelled when target takes damage',100,1,6),
(94464,107887,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(94465,107887,'Slows target by 46.1%',100,2,1),
(94466,107887,'5% chance to dispel when target receives hostile action',100,2,2),
(94467,107887,'5% chance to dispel when target takes damage',100,2,3),
(94468,107887,'Slows target encounter by 55.3%',100,1,4),
(94469,107887,'5% chance to dispel when target takes damage',100,1,5),
(94470,10107887,'Slows target encounter by 55.3%',100,1,0),
(94471,10107887,'5% chance to dispel when target takes damage',100,1,1),
(94472,159479,'Applies Lambent Imbued when Equipped.',100,0,0),
(94473,159479,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94474,159479,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(94475,159479,'Cannot be modified except by direct means',100,2,3),
(94476,10159479,'Applies Lambent Imbued when Equipped.',100,0,0),
(94477,10159479,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(94478,10159479,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(94479,10159479,'Cannot be modified except by direct means',100,2,3),
(94480,48909,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(94481,48909,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(94482,48909,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(94483,48909,'Inflicts 115 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(94484,48909,'Grants a total of 2 triggers of the spell.',100,3,4),
(94485,48909,'Cannot be modified except by direct means',100,2,5),
(94486,48909,'Grants a total of 4 triggers of the spell.',100,2,6),
(94487,10048909,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(94488,10048909,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(94489,10048909,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(94490,10048909,'Inflicts 161 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(94491,10048909,'Grants a total of 2 triggers of the spell.',100,3,4),
(94492,10048909,'Cannot be modified except by direct means',100,2,5),
(94493,10048909,'Grants a total of 4 triggers of the spell.',100,2,6),
(94494,84188,'When Equipped:',100,0,0),
(94495,84188,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94496,84188,'Decreases Defense of target encounter by 10.0',100,2,2),
(94497,84188,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(94498,84188,'Decreases Parry of target encounter by 10.0',100,2,4),
(94499,84188,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(94500,84188,'Must not be engaged in pvp combat',100,2,6),
(94501,84188,'Cannot be modified except by direct means',100,2,7),
(94502,84188,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(94503,84188,'Cannot be modified except by direct means',100,1,9),
(94504,84188,'When Equipped:',100,0,10),
(94505,84188,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(94506,84188,'Inflicts 2369 - 2618 poison damage on target',100,2,12),
(94507,84188,'Heals caster for 1185 - 1309',100,2,13),
(94508,84188,'Decreases Piercing, Crushing, Slashing and Ranged of target by 22.0',100,2,14),
(94509,84188,'Decreases Mitigation of target vs physical damage by 528',100,2,15),
(94510,84188,'Must not be engaged in pvp combat',100,2,16),
(94511,84188,'Cannot be modified except by direct means',100,2,17),
(94512,84188,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,18),
(94513,84188,'Cannot be modified except by direct means',100,1,19),
(94514,10084188,'When Equipped:',100,0,0),
(94515,10084188,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94516,10084188,'Decreases Defense of target encounter by 10.0',100,2,2),
(94517,10084188,'Inflicts 1110 - 1227 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(94518,10084188,'Decreases Parry of target encounter by 10.0',100,2,4),
(94519,10084188,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(94520,10084188,'Must not be engaged in pvp combat',100,2,6),
(94521,10084188,'Cannot be modified except by direct means',100,2,7),
(94522,10084188,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(94523,10084188,'Cannot be modified except by direct means',100,1,9),
(94524,10084188,'When Equipped:',100,0,10),
(94525,10084188,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(94526,10084188,'Inflicts 3317 - 3666 poison damage on target',100,2,12),
(94527,10084188,'Heals caster for 1386 - 1532',100,2,13),
(94528,10084188,'Decreases Piercing, Crushing, Slashing and Ranged of target by 22.0',100,2,14),
(94529,10084188,'Decreases Mitigation of target vs physical damage by 528',100,2,15),
(94530,10084188,'Must not be engaged in pvp combat',100,2,16),
(94531,10084188,'Cannot be modified except by direct means',100,2,17),
(94532,10084188,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,18),
(94533,10084188,'Cannot be modified except by direct means',100,1,19),
(94534,84262,'Applies Mental Blast when Activated.',100,0,0),
(94535,84262,'Inflicts 227 - 379 mental damage on target',100,1,1),
(94536,84262,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(94537,10084262,'Applies Mental Blast when Activated.',100,0,0),
(94538,10084262,'Inflicts 318 - 531 mental damage on target',100,1,1),
(94539,10084262,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(94540,154481,'When Equipped:',100,0,0),
(94541,154481,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(94542,154481,'Inflicts 2664 disease damage on target encounter',100,2,2),
(94543,154481,'Must not be engaged in pvp combat',100,2,3),
(94544,154481,'Cannot be modified except by direct means',100,2,4),
(94545,10154481,'When Equipped:',100,0,0),
(94546,10154481,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(94547,10154481,'Inflicts 1865 disease damage on target encounter',100,2,2),
(94548,10154481,'Must not be engaged in pvp combat',100,2,3),
(94549,10154481,'Cannot be modified except by direct means',100,2,4),
(94550,191701,'When Equipped:',100,0,0),
(94551,191701,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(94552,191701,'Wards caster against 2000 points of all damage',100,2,2),
(94553,191701,'Cannot be modified except by direct means',100,2,3),
(94554,191701,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(94555,191701,'Wards caster against 2000 points of all damage',100,2,5),
(94556,191701,'Cannot be modified except by direct means',100,2,6),
(94557,10191701,'When Equipped:',100,0,0),
(94558,10191701,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(94559,10191701,'Wards caster against 1000 points of all damage',100,2,2),
(94560,10191701,'Cannot be modified except by direct means',100,2,3),
(94561,10191701,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(94562,10191701,'Wards caster against 1000 points of all damage',100,2,5),
(94563,10191701,'Cannot be modified except by direct means',100,2,6),
(94564,116508,'Increases Mitigation of target vs physical damage by 130',100,1,0),
(94565,116508,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(94566,10116508,'Increases Mitigation of target vs physical damage by 130',100,1,0),
(94567,10116508,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(94568,118780,'Increases INT and WIS of group members (AE) by 121.4',100,1,0),
(94569,118780,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 359',100,1,1),
(94570,10118780,'Increases INT and WIS of group members (AE) by 121.4',100,1,0),
(94571,10118780,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 359',100,1,1),
(94572,49171,'Applies Wyrmsteel - Discordant Winds when Activated.  Lasts for 2.5 seconds.',100,0,0),
(94573,49171,'Stuns target',100,1,1),
(94574,49171,'If target is Darathar',100,1,2),
(94575,49171,'Epic targets gain an immunity to Stun effects of 7.5 seconds and duration is reduced to 0.8 seconds.',100,1,3),
(94576,10049171,'Applies Wyrmsteel - Discordant Winds when Activated.  Lasts for 2.5 seconds.',100,0,0),
(94577,10049171,'Stuns target',100,1,1),
(94578,10049171,'If target is Darathar',100,1,2),
(94579,10049171,'Epic targets gain an immunity to Stun effects of 7.5 seconds and duration is reduced to 0.8 seconds.',100,1,3),
(94580,102559,'Increases AGI of caster by 57.2',100,1,0),
(94581,102559,'Increases Max Health of caster by 165.6',100,1,1),
(94582,102559,'Adds 18.7% to base avoidance.',100,1,2),
(94583,102559,'Increases Mitigation of caster vs physical damage by 344',100,1,3),
(94584,102559,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,4),
(94585,10102559,'Increases AGI of caster by 57.2',100,1,0),
(94586,10102559,'Increases Max Health of caster by 165.6',100,1,1),
(94587,10102559,'Adds 18.7% to base avoidance.',100,1,2),
(94588,10102559,'Increases Mitigation of caster vs physical damage by 344',100,1,3),
(94589,10102559,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,4),
(94590,121050,'Increases STR and STA of group members (AE) by 20.4',100,1,0),
(94591,10121050,'Increases STR and STA of group members (AE) by 20.4',100,1,0),
(94592,75157,'When Equipped:',100,0,0),
(94593,75157,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(94594,10075157,'When Equipped:',100,0,0),
(94595,10075157,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(94596,100375,'Summons a pet aery hunter',100,1,0),
(94597,10100375,'Summons a pet aery hunter',100,1,0),
(94598,35004,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(94599,45522,'Applies Respec Class AA Tree when Activated.',100,0,0),
(94600,45522,'Resets the Bard AA tree.',100,1,1),
(94601,45522,'This effect cannot be cast during combat',100,1,2),
(94602,45522,'Only affects targets level 10 and above',100,1,3),
(94603,10045522,'Applies Respec Class AA Tree when Activated.',100,0,0),
(94604,10045522,'Resets the Bard AA tree.',100,1,1),
(94605,10045522,'This effect cannot be cast during combat',100,1,2),
(94606,10045522,'Only affects targets level 10 and above',100,1,3),
(94607,101377,'Reduces physical damage done to caster by 5%',100,1,0),
(94608,101377,'Adds 1.7% to base avoidance.',100,1,1),
(94609,101377,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(94610,101377,'Increases Aggression of caster by 18.0',100,1,3),
(94611,101377,'Increases Defense and Parry of caster by 28.8',100,1,4),
(94612,101377,'Increases Mitigation of caster vs noxious and arcane damage by 183',100,1,5),
(94613,101377,'Increases Mitigation of caster vs elemental damage by 1830',100,1,6),
(94614,101377,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(94615,10101377,'Reduces physical damage done to caster by 5%',100,1,0),
(94616,10101377,'Adds 1.7% to base avoidance.',100,1,1),
(94617,10101377,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(94618,10101377,'Increases Aggression of caster by 18.0',100,1,3),
(94619,10101377,'Increases Defense and Parry of caster by 28.8',100,1,4),
(94620,10101377,'Increases Mitigation of caster vs noxious and arcane damage by 183',100,1,5),
(94621,10101377,'Increases Mitigation of caster vs elemental damage by 1830',100,1,6),
(94622,10101377,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(94623,47069,'Applies Mist Generator when Activated.  Lasts for 45.0 seconds.',100,0,0),
(94624,47069,'Summons a limited pet to aid the caster',100,1,1),
(94625,10047069,'Applies Mist Generator when Activated.  Lasts for 45.0 seconds.',100,0,0),
(94626,10047069,'Summons a limited pet to aid the caster',100,1,1),
(94627,101354,'Reduces physical damage done to caster by 5%',100,1,0),
(94628,101354,'Adds 1.7% to base avoidance.',100,1,1),
(94629,101354,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(94630,101354,'Increases Aggression of caster by 4.0',100,1,3),
(94631,101354,'Increases Defense and Parry of caster by 6.3',100,1,4),
(94632,101354,'Increases Mitigation of caster vs noxious and arcane damage by 42',100,1,5),
(94633,101354,'Increases Mitigation of caster vs elemental damage by 418',100,1,6),
(94634,101354,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(94635,10101354,'Reduces physical damage done to caster by 5%',100,1,0),
(94636,10101354,'Adds 1.7% to base avoidance.',100,1,1),
(94637,10101354,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(94638,10101354,'Increases Aggression of caster by 4.0',100,1,3),
(94639,10101354,'Increases Defense and Parry of caster by 6.3',100,1,4),
(94640,10101354,'Increases Mitigation of caster vs noxious and arcane damage by 42',100,1,5),
(94641,10101354,'Increases Mitigation of caster vs elemental damage by 418',100,1,6),
(94642,10101354,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(94643,36473,'Increases STR and STA of target by 5.8',100,0,0),
(94644,36473,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(94645,36473,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(94646,102742,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(94647,102742,'Stuns target',100,2,1),
(94648,102742,'If Target is not Epic',100,3,2),
(94649,102742,'Inflicts 263 - 438 divine damage on target',100,2,3),
(94650,102742,'Inflicts 225 - 376 divine damage on target',100,2,4),
(94651,102742,'If target is undead',100,3,5),
(94652,10102742,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(94653,10102742,'Stuns target',100,2,1),
(94654,10102742,'Inflicts 552 - 921 divine damage on target',100,2,2),
(94655,10102742,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(94656,103438,'Heals group members (AE) for 119 - 145',100,1,0),
(94657,103438,'Increases Max Health of group members (AE) by 19.3',100,1,1),
(94658,10103438,'Heals group members (AE) for 77 - 94',100,1,0),
(94659,10103438,'Increases Max Health of group members (AE) by 19.3',100,1,1),
(94660,36763,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(94661,80514,'When Equipped:',100,0,0),
(94662,80514,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(94663,80514,'Inflicts 424 - 788 magic damage on target',100,2,2),
(94664,80514,'Decreases Threat to target by 1,219 ',100,2,3),
(94665,80514,'Must be flanking or behind',100,3,4),
(94666,80514,'Increases Threat to target by 1,219 ',100,2,5),
(94667,80514,'Must be in front of',100,3,6),
(94668,80514,'Cannot be modified except by direct means',100,2,7),
(94669,10080514,'When Equipped:',100,0,0),
(94670,10080514,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(94671,10080514,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(94672,10080514,'Cannot be modified except by direct means',100,2,3),
(94673,37611,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(94674,108615,'Feigns Death with 76% chance of success',100,1,0),
(94675,10108615,'Feigns Death with 76% chance of success',100,1,0),
(94676,102148,'Inflicts 157 - 263 melee damage on target',100,1,0),
(94677,102148,'Inflicts 157 - 263 melee damage on target',100,1,1),
(94678,10102148,'Inflicts 205 - 342 melee damage on target',100,1,0),
(94679,10102148,'Inflicts 205 - 342 melee damage on target',100,1,1),
(94680,25176,'When Equipped:',100,0,0),
(94681,25176,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(94682,25176,'Inflicts 11 heat damage on target',100,2,2),
(94683,25176,'Inflicts 3 heat damage on target every 5 seconds',100,2,3),
(94684,25176,'Cannot be modified except by direct means',100,2,4),
(94685,10025176,'When Equipped:',100,0,0),
(94686,10025176,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(94687,10025176,'Inflicts 15 heat damage on target',100,2,2),
(94688,10025176,'Inflicts 4 heat damage on target every 5 seconds',100,2,3),
(94689,10025176,'Cannot be modified except by direct means',100,2,4),
(94690,106793,'Decreases STR and AGI of target encounter by 36.5',100,1,0),
(94691,10106793,'Decreases STR and AGI of target encounter by 36.5',100,1,0),
(94692,41716,'When Equipped:',100,0,0),
(94693,41716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94694,41716,'Inflicts 127 - 236 magic damage on target',100,2,2),
(94695,41716,'Cannot be modified except by direct means',100,2,3),
(94696,10041716,'When Equipped:',100,0,0),
(94697,10041716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94698,10041716,'Inflicts 178 - 331 magic damage on target',100,2,2),
(94699,10041716,'Cannot be modified except by direct means',100,2,3),
(94700,161776,'When Equipped:',100,0,0),
(94701,161776,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94702,161776,'Stuns target',100,2,2),
(94703,161776,'Only affects targets level 125 and below',100,2,3),
(94704,161776,'Does not affect Epic targets',100,2,4),
(94705,161776,'Resistibility increases against targets higher than level 105.',100,2,5),
(94706,161776,'Cannot be modified except by direct means',100,2,6),
(94707,10161776,'When Equipped:',100,0,0),
(94708,10161776,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94709,10161776,'Stuns target',100,2,2),
(94710,10161776,'Only affects targets level 125 and below',100,2,3),
(94711,10161776,'Does not affect Epic targets',100,2,4),
(94712,10161776,'Resistibility increases against targets higher than level 105.',100,2,5),
(94713,10161776,'Cannot be modified except by direct means',100,2,6),
(94714,45542,'Applies Clouded Arcane Remedy when Activated.',100,0,0),
(94715,45542,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(94716,45542,'Only affects targets level 50 and above',100,1,2),
(94717,10045542,'Applies Clouded Arcane Remedy when Activated.',100,0,0),
(94718,10045542,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(94719,10045542,'Only affects targets level 50 and above',100,1,2),
(94720,42559,'When Equipped:',100,0,0),
(94721,42559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94722,42559,'Inflicts 204 - 307 magic damage on target',100,2,2),
(94723,42559,'Cannot be modified except by direct means',100,2,3),
(94724,10042559,'When Equipped:',100,0,0),
(94725,10042559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94726,10042559,'Inflicts 286 - 429 magic damage on target',100,2,2),
(94727,10042559,'Cannot be modified except by direct means',100,2,3),
(94728,114953,'Decreases Attack Speed of target by 9.9',100,1,0),
(94729,114953,'Inflicts 33 - 99 slashing damage on target',100,1,1),
(94730,114953,'Inflicts 66 slashing damage on target instantly and every 4 seconds',100,1,2),
(94731,10114953,'Decreases Attack Speed of target by 9.9',100,1,0),
(94732,10114953,'Inflicts 43 - 129 slashing damage on target',100,1,1),
(94733,10114953,'Inflicts 93 slashing damage on target instantly and every 4 seconds',100,1,2),
(94734,115449,'Inflicts 115 - 141 mental damage on target instantly and every 6 seconds',100,1,0),
(94735,115449,'Decreases Mitigation of target vs arcane damage by 784',100,1,1),
(94736,10115449,'Inflicts 162 - 197 mental damage on target instantly and every 6 seconds',100,1,0),
(94737,10115449,'Decreases Mitigation of target vs arcane damage by 784',100,1,1),
(94738,162542,'When Equipped:',100,0,0),
(94739,162542,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94740,162542,'Inflicts 562 mental damage on target',100,2,2),
(94741,162542,'Must be classified as an undead',100,3,3),
(94742,162542,'Inflicts 281 mental damage on target',100,2,4),
(94743,162542,'Must not be classified as an undead',100,3,5),
(94744,162542,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(94745,162542,'Must be classified as an undead',100,3,7),
(94746,162542,'Cannot be modified except by direct means',100,2,8),
(94747,162542,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(94748,10162542,'When Equipped:',100,0,0),
(94749,10162542,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94750,10162542,'Inflicts 787 mental damage on target',100,2,2),
(94751,10162542,'Must be classified as an undead',100,3,3),
(94752,10162542,'Inflicts 393 mental damage on target',100,2,4),
(94753,10162542,'Must not be classified as an undead',100,3,5),
(94754,10162542,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(94755,10162542,'Must be classified as an undead',100,3,7),
(94756,10162542,'Cannot be modified except by direct means',100,2,8),
(94757,10162542,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(94758,45625,'Applies Clouded Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(94759,45625,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(94760,45625,'Only affects targets level 50 and above',100,1,2),
(94761,10045625,'Applies Clouded Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(94762,10045625,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(94763,10045625,'Only affects targets level 50 and above',100,1,2),
(94764,100938,'Dazes target',100,1,0),
(94765,100938,'Inflicts 120 - 146 mental damage on target',100,1,1),
(94766,100938,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(94767,100938,'Resistibility increases against targets higher than level 54.',100,1,3),
(94768,10100938,'Dazes target',100,1,0),
(94769,10100938,'Inflicts 168 - 205 mental damage on target',100,1,1),
(94770,10100938,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(94771,10100938,'Resistibility increases against targets higher than level 54.',100,1,3),
(94772,115423,'Inflicts 1166 - 1944 melee damage on target',100,1,0),
(94773,115423,'Decreases INT of target by 145.2',100,1,1),
(94774,115423,'You must be sneaking to use this ability.',100,1,2),
(94775,10115423,'Inflicts 1516 - 2527 melee damage on target',100,1,0),
(94776,10115423,'Decreases INT of target by 145.2',100,1,1),
(94777,10115423,'You must be sneaking to use this ability.',100,1,2),
(94778,107063,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(94779,107063,'Inflicts 202 - 337 divine damage on target',100,2,1),
(94780,107063,'Inflicts 202 - 337 divine damage on target',100,2,2),
(94781,107063,'If target is undead',100,3,3),
(94782,10107063,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(94783,10107063,'Inflicts 471 - 785 divine damage on target',100,2,1),
(94784,35301,'Increases AGI of target by 1.6',100,0,0),
(94785,35301,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(94786,102127,'Inflicts 9 - 15 melee damage on target',100,1,0),
(94787,102127,'Inflicts 9 - 15 melee damage on target',100,1,1),
(94788,10102127,'Inflicts 12 - 20 melee damage on target',100,1,0),
(94789,10102127,'Inflicts 12 - 20 melee damage on target',100,1,1),
(94790,26581,'When Equipped:',100,0,0),
(94791,26581,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(94792,26581,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(94793,10026581,'When Equipped:',100,0,0),
(94794,10026581,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(94795,10026581,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(94796,83635,'Applies Slash of the Hua Mein Warrior when Activated.',100,0,0),
(94797,83635,'Shapechanges the user into a Hua Mein Warrior.',100,1,1),
(94798,83635,'The casting time of Slash of the Hua Mein Warrior is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(94799,10083635,'Applies Slash of the Hua Mein Warrior when Activated.',100,0,0),
(94800,10083635,'Shapechanges the user into a Hua Mein Warrior.',100,1,1),
(94801,10083635,'The casting time of Slash of the Hua Mein Warrior is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(94802,121478,'Inflicts 44 - 74 melee damage on target',100,1,0),
(94803,121478,'Decreases Defense of target by 1.7',100,1,1),
(94804,10121478,'Inflicts 57 - 96 melee damage on target',100,1,0),
(94805,10121478,'Decreases Defense of target by 1.7',100,1,1),
(94806,141979,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(94807,141979,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(94808,141979,'Decreases Attack Speed of target by 9.6',100,2,2),
(94809,141979,'Cannot be modified except by direct means',100,2,3),
(94810,141979,'Slows target by 25.5%',100,1,4),
(94811,141979,'5% chance to dispel when target takes damage',100,1,5),
(94812,141979,'5% chance to dispel when target receives hostile action',100,1,6),
(94813,141979,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(94814,10141979,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(94815,10141979,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(94816,10141979,'Decreases Attack Speed of target by 9.6',100,2,2),
(94817,10141979,'Cannot be modified except by direct means',100,2,3),
(94818,10141979,'Slows target by 25.5%',100,1,4),
(94819,10141979,'5% chance to dispel when target takes damage',100,1,5),
(94820,10141979,'5% chance to dispel when target receives hostile action',100,1,6),
(94821,10141979,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(94822,161133,'When Equipped:',100,0,0),
(94823,161133,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94824,161133,'Increases Potency of caster by 11.0%',100,2,2),
(94825,161133,'Must not be engaged in pvp combat',100,2,3),
(94826,161133,'Cannot be modified except by direct means',100,2,4),
(94827,161133,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(94828,161133,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(94829,161133,'Increases Potency of caster by 11.0%',100,2,7),
(94830,161133,'Must not be engaged in pvp combat',100,2,8),
(94831,161133,'Cannot be modified except by direct means',100,2,9),
(94832,161133,'Cannot be modified except by direct means',100,1,10),
(94833,10161133,'When Equipped:',100,0,0),
(94834,10161133,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(94835,10161133,'Increases Potency of caster by 11.0%',100,2,2),
(94836,10161133,'Must not be engaged in pvp combat',100,2,3),
(94837,10161133,'Cannot be modified except by direct means',100,2,4),
(94838,10161133,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(94839,10161133,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(94840,10161133,'Increases Potency of caster by 11.0%',100,2,7),
(94841,10161133,'Must not be engaged in pvp combat',100,2,8),
(94842,10161133,'Cannot be modified except by direct means',100,2,9),
(94843,10161133,'Cannot be modified except by direct means',100,1,10),
(94844,47978,'Applies Seafury Buccaneer when Activated.',100,0,0),
(94845,47978,'Shapechanges the user into a Seafury Buccaneer.',100,1,1),
(94846,10047978,'Applies Seafury Buccaneer when Activated.',100,0,0),
(94847,10047978,'Shapechanges the user into a Seafury Buccaneer.',100,1,1),
(94848,35832,'Increases Max Health of target by 5.0',100,0,0),
(94849,35832,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(94850,89494,'When Equipped:',100,0,0),
(94851,89494,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94852,89494,'Increases Attack Speed of caster by 20.0',100,2,2),
(94853,89494,'Cannot be modified except by direct means',100,2,3),
(94854,10089494,'When Equipped:',100,0,0),
(94855,10089494,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94856,10089494,'Increases Attack Speed of caster by 20.0',100,2,2),
(94857,10089494,'Cannot be modified except by direct means',100,2,3),
(94858,104437,'Interrupts target encounter',100,1,0),
(94859,104437,'Applies Stumble on termination.',100,1,1),
(94860,104437,'Interrupts target',100,2,2),
(94861,104437,'Inflicts 57 - 70 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(94862,10104437,'Interrupts target encounter',100,1,0),
(94863,10104437,'Applies Stumble on termination.',100,1,1),
(94864,10104437,'Interrupts target',100,2,2),
(94865,10104437,'Inflicts 80 - 98 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(94866,114923,'Inflicts 559 - 933 melee damage on target',100,1,0),
(94867,114923,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1488',100,1,1),
(94868,114923,'Must be behind',100,1,2),
(94869,10114923,'Inflicts 727 - 1213 melee damage on target',100,1,0),
(94870,10114923,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 744',100,1,1),
(94871,10114923,'Must be behind',100,1,2),
(94872,139357,'Applies Repair when Activated.',100,0,0),
(94873,139357,'This effect cancels during combat',100,1,1),
(94874,139357,'The casting time of Repair is 5.0 seconds and the reuse time of the spell is 1 day',100,1,2),
(94875,10139357,'Applies Repair when Activated.',100,0,0),
(94876,10139357,'This effect cancels during combat',100,1,1),
(94877,10139357,'The casting time of Repair is 5.0 seconds and the reuse time of the spell is 1 day',100,1,2),
(94878,123717,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(94879,123717,'Inflicts 416 divine damage on target',100,2,1),
(94880,123717,'Grants a total of 5 triggers of the spell.',100,2,2),
(94881,10123717,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(94882,10123717,'Inflicts 582 divine damage on target',100,2,1),
(94883,10123717,'Grants a total of 5 triggers of the spell.',100,2,2),
(94884,40678,'When Equipped:',100,0,0),
(94885,40678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94886,40678,'Inflicts 113 - 170 magic damage on target',100,2,2),
(94887,40678,'Cannot be modified except by direct means',100,2,3),
(94888,10040678,'When Equipped:',100,0,0),
(94889,10040678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94890,10040678,'Inflicts 158 - 237 magic damage on target',100,2,2),
(94891,10040678,'Cannot be modified except by direct means',100,2,3),
(94892,116225,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(94893,116225,'Inflicts 397 - 485 mental damage on target',100,2,1),
(94894,116225,'Increases INT of group members (AE) by 87.1',100,1,2),
(94895,10116225,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(94896,10116225,'Inflicts 555 - 679 mental damage on target',100,2,1),
(94897,10116225,'Increases INT of group members (AE) by 87.1',100,1,2),
(94898,112164,'Increases STR of caster by 24.2',100,1,0),
(94899,112164,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,1),
(94900,112164,'Increases Mitigation of caster vs physical damage by 156',100,1,2),
(94901,10112164,'Increases STR of caster by 24.2',100,1,0),
(94902,10112164,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,1),
(94903,10112164,'Increases Mitigation of caster vs physical damage by 156',100,1,2),
(94904,121506,'Inflicts 578 - 964 melee damage on target',100,1,0),
(94905,121506,'Decreases Defense of target by 16.7',100,1,1),
(94906,10121506,'Inflicts 752 - 1253 melee damage on target',100,1,0),
(94907,10121506,'Decreases Defense of target by 16.7',100,1,1),
(94908,116559,'Summons a pet possessed essence',100,1,0),
(94909,10116559,'Summons a pet possessed essence',100,1,0),
(94910,106961,'Inflicts 864 - 1604 poison damage on target',100,1,0),
(94911,10106961,'Inflicts 1209 - 2246 poison damage on target',100,1,0),
(94912,46278,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(94913,46278,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(94914,46278,'Decreases power of target by 895',100,2,2),
(94915,46278,'Increases power of caster by 360',100,2,3),
(94916,46278,'Cannot be modified except by direct means',100,2,4),
(94917,46278,'Grants a total of 100 triggers of the spell.',100,2,5),
(94918,10046278,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(94919,10046278,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(94920,10046278,'Decreases power of target by 493',100,2,2),
(94921,10046278,'Increases power of caster by 324',100,2,3),
(94922,10046278,'Cannot be modified except by direct means',100,2,4),
(94923,10046278,'Grants a total of 100 triggers of the spell.',100,2,5),
(94924,123781,'Decreases Mitigation of target vs noxious damage by 1980',100,1,0),
(94925,123781,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(94926,123781,'Slows target by 54.2%',100,2,2),
(94927,123781,'5% chance to dispel when target receives hostile action',100,2,3),
(94928,123781,'5% chance to dispel when target takes damage',100,2,4),
(94929,10123781,'Decreases Mitigation of target vs noxious damage by 1980',100,1,0),
(94930,10123781,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(94931,10123781,'Slows target by 54.2%',100,2,2),
(94932,10123781,'5% chance to dispel when target receives hostile action',100,2,3),
(94933,10123781,'5% chance to dispel when target takes damage',100,2,4),
(94934,107177,'Inflicts 91 - 152 divine damage on target',100,1,0),
(94935,107177,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(94936,107177,'Stuns target',100,2,2),
(94937,107177,'If Target is not Epic',100,3,3),
(94938,107177,'Inflicts 213 - 355 divine damage on target',100,2,4),
(94939,107177,'Inflicts 183 - 305 divine damage on target',100,2,5),
(94940,107177,'If target is undead',100,3,6),
(94941,10107177,'Inflicts 79 - 132 divine damage on target',100,1,0),
(94942,10107177,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(94943,10107177,'Stuns target',100,2,2),
(94944,10107177,'Inflicts 448 - 746 divine damage on target',100,2,3),
(94945,10107177,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(94946,106969,'Inflicts 444 - 824 poison damage on target',100,1,0),
(94947,106969,'Increases power of caster by 33',100,1,1),
(94948,10106969,'Inflicts 621 - 1154 poison damage on target',100,1,0),
(94949,10106969,'Increases power of caster by 33',100,1,1),
(94950,46601,'Applies Place Grouped Training Dummies when Activated.',100,0,0),
(94951,46601,'This effect cannot be cast during combat',100,1,1),
(94952,10046601,'Applies Place Grouped Training Dummies when Activated.',100,0,0),
(94953,10046601,'This effect cannot be cast during combat',100,1,1),
(94954,82867,'When Equipped:',100,0,0),
(94955,82867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94956,82867,'Inflicts 271 - 504 magic damage on target',100,2,2),
(94957,82867,'Cannot be modified except by direct means',100,2,3),
(94958,10082867,'When Equipped:',100,0,0),
(94959,10082867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(94960,10082867,'Inflicts 380 - 705 magic damage on target',100,2,2),
(94961,10082867,'Cannot be modified except by direct means',100,2,3),
(94962,107065,'Inflicts 12 - 14 divine damage on target',100,1,0),
(94963,10107065,'Inflicts 17 - 20 divine damage on target',100,1,0),
(94964,141844,'When Equipped:',100,0,0),
(94965,141844,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94966,141844,'Increases WIS of caster by 8.3',100,2,2),
(94967,141844,'Increases Focus, Ordination and Ministration of caster by 5.3',100,2,3),
(94968,141844,'Cannot be modified except by direct means',100,2,4),
(94969,10141844,'When Equipped:',100,0,0),
(94970,10141844,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(94971,10141844,'Increases WIS of caster by 8.3',100,2,2),
(94972,10141844,'Increases Focus, Ordination and Ministration of caster by 5.3',100,2,3),
(94973,10141844,'Cannot be modified except by direct means',100,2,4),
(94974,27441,'When Equipped:',100,0,0),
(94975,27441,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(94976,27441,'On a critical healing spell cast this spell may cast Storm Essence on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(94977,27441,'Increases INT, WIS, AGI, STR and STA of target by 138.6',100,2,3),
(94978,27441,'Increases Max Health of target by 12.0%',100,2,4),
(94979,27441,'Increases Max Power of target by 12.0%',100,2,5),
(94980,27441,'Must not be engaged in pvp combat',100,2,6),
(94981,27441,'Cannot be modified except by direct means',100,2,7),
(94982,27441,'Must not be engaged in pvp combat',100,1,8),
(94983,27441,'Cannot be modified except by direct means',100,1,9),
(94984,10027441,'When Equipped:',100,0,0),
(94985,10027441,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(94986,10027441,'On a critical healing spell cast this spell may cast Storm Essence on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(94987,10027441,'Increases INT, WIS, AGI, STR and STA of target by 138.6',100,2,3),
(94988,10027441,'Increases Max Health of target by 12.0%',100,2,4),
(94989,10027441,'Increases Max Power of target by 12.0%',100,2,5),
(94990,10027441,'Must not be engaged in pvp combat',100,2,6),
(94991,10027441,'Cannot be modified except by direct means',100,2,7),
(94992,10027441,'Must not be engaged in pvp combat',100,1,8),
(94993,10027441,'Cannot be modified except by direct means',100,1,9),
(94994,24114,'Adds Clay Golem (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(94995,10024114,'Adds Clay Golem (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(94996,102521,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(94997,102521,'Increases Aggression of caster by 8.3',100,1,1),
(94998,102521,'Increases Defense and Parry of caster by 16.6',100,1,2),
(94999,102521,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(95000,10102521,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(95001,10102521,'Increases Aggression of caster by 8.3',100,1,1),
(95002,10102521,'Increases Defense and Parry of caster by 16.6',100,1,2),
(95003,10102521,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(95004,102885,'Heals caster for 165',100,1,0),
(95005,102885,'Inflicts 332 disease damage on targets in Area of Effect',100,1,1),
(95006,10102885,'Heals caster for 107',100,1,0),
(95007,10102885,'Inflicts 465 disease damage on targets in Area of Effect',100,1,1),
(95008,75046,'Applies Poison Bolt when Activated.',100,0,0),
(95009,75046,'Inflicts 163 - 272 poison damage on target',100,1,1),
(95010,75046,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(95011,10075046,'Applies Poison Bolt when Activated.',100,0,0),
(95012,10075046,'Inflicts 228 - 380 poison damage on target',100,1,1),
(95013,10075046,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(95014,160591,'When Equipped:',100,0,0),
(95015,160591,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(95016,160591,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(95017,160591,'Dispelled when target casts a hostile spell',100,2,3),
(95018,160591,'Dispelled when target casts a combat art',100,2,4),
(95019,160591,'Cannot be modified except by direct means',100,2,5),
(95020,10160591,'When Equipped:',100,0,0),
(95021,10160591,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(95022,10160591,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(95023,10160591,'Dispelled when target casts a hostile spell',100,2,3),
(95024,10160591,'Dispelled when target casts a combat art',100,2,4),
(95025,10160591,'Cannot be modified except by direct means',100,2,5),
(95026,80584,'Applies Imbued Smite when Equipped.',100,0,0),
(95027,80584,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(95028,80584,'Inflicts 545 divine damage on target instantly and every second',100,2,2),
(95029,80584,'Cannot be modified except by direct means',100,2,3),
(95030,80584,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(95031,80584,'Inflicts 545 divine damage on target instantly and every second',100,2,5),
(95032,80584,'Cannot be modified except by direct means',100,2,6),
(95033,10080584,'Applies Imbued Smite when Equipped.',100,0,0),
(95034,10080584,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(95035,10080584,'Inflicts 762 divine damage on target instantly and every second',100,2,2),
(95036,10080584,'Cannot be modified except by direct means',100,2,3),
(95037,10080584,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(95038,10080584,'Inflicts 762 divine damage on target instantly and every second',100,2,5),
(95039,10080584,'Cannot be modified except by direct means',100,2,6),
(95040,35295,'Increases STR of target by 1.6',100,0,0),
(95041,35295,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(95042,114185,'Inflicts 110 - 183 melee damage on target',100,1,0),
(95043,114185,'Decreases Slashing, Crushing and Piercing of target by 3.7',100,1,1),
(95044,10114185,'Inflicts 143 - 238 melee damage on target',100,1,0),
(95045,10114185,'Decreases Slashing, Crushing and Piercing of target by 3.7',100,1,1),
(95046,86318,'Applies Frost Blast when Activated.',100,0,0),
(95047,86318,'Inflicts 232 - 387 cold damage on target',100,1,1),
(95048,86318,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(95049,10086318,'Applies Frost Blast when Activated.',100,0,0),
(95050,10086318,'Inflicts 325 - 541 cold damage on target',100,1,1),
(95051,10086318,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(95052,35954,'Increases INT of target by 1.6',100,0,0),
(95053,35954,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(95054,90448,'When Equipped:',100,0,0),
(95055,90448,'On a combat hit this spell may cast Viperous Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95056,90448,'Inflicts 124 - 151 poison damage on target instantly and every 4.8 seconds',100,2,2),
(95057,90448,'Cannot be modified except by direct means',100,2,3),
(95058,10090448,'When Equipped:',100,0,0),
(95059,10090448,'On a combat hit this spell may cast Viperous Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95060,10090448,'Inflicts 173 - 212 poison damage on target instantly and every 4.8 seconds',100,2,2),
(95061,10090448,'Cannot be modified except by direct means',100,2,3),
(95062,112732,'Inflicts 784 - 1306 disease damage on target encounter',100,1,0),
(95063,10112732,'Inflicts 1097 - 1828 disease damage on target encounter',100,1,0),
(95064,111709,'Inflicts 789 - 964 cold damage on target',100,1,0),
(95065,111709,'Inflicts 789 - 964 cold damage on target',100,1,1),
(95066,111709,'If target is elemental',100,2,2),
(95067,10111709,'Inflicts 946 - 1157 cold damage on target',100,1,0),
(95068,111376,'Inflicts 431 - 719 disease damage on target',100,1,0),
(95069,111376,'Heals caster for 214 - 356',100,1,1),
(95070,10111376,'Inflicts 604 - 1007 disease damage on target',100,1,0),
(95071,10111376,'Heals caster for 139 - 231',100,1,1),
(95072,24622,'Adds Poet''s Palace: Blue Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(95073,10024622,'Adds Poet''s Palace: Blue Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(95074,40287,'When Equipped:',100,0,0),
(95075,40287,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95076,40287,'Inflicts 173 - 211 poison damage on target',100,2,2),
(95077,40287,'Cannot be modified except by direct means',100,2,3),
(95078,10040287,'When Equipped:',100,0,0),
(95079,10040287,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95080,10040287,'Inflicts 242 - 296 poison damage on target',100,2,2),
(95081,10040287,'Cannot be modified except by direct means',100,2,3),
(95082,119857,'Dazes target',100,1,0),
(95083,119857,'Does not affect Epic targets',100,1,1),
(95084,119857,'Resistibility increases against targets higher than level 115.',100,1,2),
(95085,10119857,'Dazes target',100,1,0),
(95086,10119857,'Does not affect Epic targets',100,1,1),
(95087,10119857,'Resistibility increases against targets higher than level 115.',100,1,2),
(95088,103521,'Charms target',100,1,0),
(95089,103521,'If outside an arena',100,1,1),
(95090,103521,'Certain enemies cannot be charmed',100,1,2),
(95091,103521,'Does not affect Epic targets',100,1,3),
(95092,10103521,'Mesmerizes target',100,1,0),
(95093,10103521,'Prevents AOE (except when direct) ',100,1,1),
(95094,10103521,'Dispelled when target takes damage',100,1,2),
(95095,10103521,'If outside an arena',100,1,3),
(95096,10103521,'Certain enemies cannot be charmed',100,1,4),
(95097,10103521,'Does not affect Epic targets',100,1,5),
(95098,10103521,'Resistibility increases against targets higher than level 91.',100,1,6),
(95099,110968,'Inflicts 1260 - 2100 ranged damage on target',100,1,0),
(95100,110968,'I need to be stealthed!',100,1,1),
(95101,110968,'Requires bow',100,1,2),
(95102,10110968,'Inflicts 803 - 1339 ranged damage on target',100,1,0),
(95103,10110968,'I need to be stealthed!',100,1,1),
(95104,10110968,'Requires bow',100,1,2),
(95105,71448,'When Equipped:',100,0,0),
(95106,71448,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95107,71448,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(95108,71448,'Cannot be modified except by direct means',100,2,3),
(95109,10071448,'When Equipped:',100,0,0),
(95110,10071448,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95111,10071448,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(95112,10071448,'Cannot be modified except by direct means',100,2,3),
(95113,37253,'Increases WIS and AGI of target by 1.2',100,0,0),
(95114,37253,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(95115,104117,'Roots target',100,1,0),
(95116,104117,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(95117,104117,'Makes target afraid',100,2,2),
(95118,104117,'Slows target by 29.3%',100,2,3),
(95119,104117,'30% chance to dispel when target takes damage',100,2,4),
(95120,104117,'Resistibility increases against targets higher than level 62.',100,2,5),
(95121,104117,'15% chance to dispel when target takes damage',100,1,6),
(95122,104117,'Does not affect Epic targets',100,1,7),
(95123,104117,'Resistibility increases against targets higher than level 62.',100,1,8),
(95124,10104117,'Roots target',100,1,0),
(95125,10104117,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(95126,10104117,'Makes target afraid',100,2,2),
(95127,10104117,'Slows target by 29.3%',100,2,3),
(95128,10104117,'30% chance to dispel when target takes damage',100,2,4),
(95129,10104117,'Resistibility increases against targets higher than level 62.',100,2,5),
(95130,10104117,'15% chance to dispel when target takes damage',100,1,6),
(95131,10104117,'Does not affect Epic targets',100,1,7),
(95132,10104117,'Resistibility increases against targets higher than level 62.',100,1,8),
(95133,37167,'Increases STR and INT of target by 1.2',100,0,0),
(95134,37167,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(95135,121031,'Increases AGI of target by 24.8',100,1,0),
(95136,121031,'Adds 0.7% to base avoidance.',100,1,1),
(95137,121031,'Increases In-Combat Power Regeneration of target by 13.5',100,1,2),
(95138,121031,'Increases Max Power of target by 164.7',100,1,3),
(95139,10121031,'Increases AGI of target by 24.8',100,1,0),
(95140,10121031,'Adds 0.7% to base avoidance.',100,1,1),
(95141,10121031,'Increases In-Combat Power Regeneration of target by 13.5',100,1,2),
(95142,10121031,'Increases Max Power of target by 164.7',100,1,3),
(95143,107018,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(95144,107018,'Increases Threat to target encounter by 976 - 1,465 ',100,1,1),
(95145,107018,'Increases threat priority of target encounter by 2 positions',100,1,2),
(95146,10107018,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(95147,47796,'Applies Human Spirit when Activated.',100,0,0),
(95148,47796,'Casts Human Spirit on caster',100,1,1),
(95149,10047796,'Applies Human Spirit when Activated.',100,0,0),
(95150,10047796,'Casts Human Spirit on caster',100,1,1),
(95151,41589,'When Equipped:',100,0,0),
(95152,41589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95153,41589,'Inflicts 201 - 374 magic damage on target',100,2,2),
(95154,41589,'Cannot be modified except by direct means',100,2,3),
(95155,10041589,'When Equipped:',100,0,0),
(95156,10041589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95157,10041589,'Inflicts 282 - 523 magic damage on target',100,2,2),
(95158,10041589,'Cannot be modified except by direct means',100,2,3),
(95159,104001,'Interrupts targets in Area of Effect',100,1,0),
(95160,104001,'Inflicts 265 - 492 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(95161,10104001,'Interrupts targets in Area of Effect',100,1,0),
(95162,10104001,'Inflicts 371 - 688 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(95163,159536,'Applies Lambent Imbued when Equipped.',100,0,0),
(95164,159536,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95165,159536,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(95166,159536,'Cannot be modified except by direct means',100,2,3),
(95167,10159536,'Applies Lambent Imbued when Equipped.',100,0,0),
(95168,10159536,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95169,10159536,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(95170,10159536,'Cannot be modified except by direct means',100,2,3),
(95171,117532,'Increases AGI, INT and WIS of group members (AE) by 38.6',100,1,0),
(95172,117532,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 148',100,1,1),
(95173,10117532,'Increases AGI, INT and WIS of group members (AE) by 38.6',100,1,0),
(95174,10117532,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 148',100,1,1),
(95175,110582,'Decreases Attack Speed of target by 16.7',100,1,0),
(95176,110582,'Decreases Crushing, Slashing and Piercing of target by 8.6',100,1,1),
(95177,10110582,'Decreases Attack Speed of target by 16.7',100,1,0),
(95178,10110582,'Decreases Crushing, Slashing and Piercing of target by 8.6',100,1,1),
(95179,114366,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(95180,114366,'Stuns target',100,2,1),
(95181,114366,'Throws target back',100,2,2),
(95182,114366,'Blurs vision of target',100,2,3),
(95183,114366,'Does not affect Epic targets',100,2,4),
(95184,114366,'Inflicts 201 - 336 crushing damage on target',100,1,5),
(95185,10114366,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(95186,10114366,'Stuns target',100,2,1),
(95187,10114366,'Throws target back',100,2,2),
(95188,10114366,'Blurs vision of target',100,2,3),
(95189,10114366,'Does not affect Epic targets',100,2,4),
(95190,10114366,'Inflicts 262 - 436 crushing damage on target',100,1,5),
(95191,120410,'Decreases Defense of caster by 23.0',100,1,0),
(95192,120410,'Increases Crushing and Ranged of caster by 55.2',100,1,1),
(95193,120410,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(95194,120410,'Inflicts 478 - 796 heat damage on target',100,2,3),
(95195,120410,'Increases Slashing and Piercing of caster by 55.2',100,1,4),
(95196,10120410,'Decreases Defense of caster by 23.0',100,1,0),
(95197,10120410,'Increases Crushing and Ranged of caster by 55.2',100,1,1),
(95198,10120410,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(95199,10120410,'Inflicts 669 - 1114 heat damage on target',100,2,3),
(95200,10120410,'Increases Slashing and Piercing of caster by 55.2',100,1,4),
(95201,139318,'When Equipped:',100,0,0),
(95202,139318,'Allows caster to breathe under water',100,1,1),
(95203,139318,'When Equipped:',100,0,2),
(95204,139318,'Reduces maximum falling speed of caster',100,1,3),
(95205,10139318,'When Equipped:',100,0,0),
(95206,10139318,'Allows caster to breathe under water',100,1,1),
(95207,10139318,'When Equipped:',100,0,2),
(95208,10139318,'Reduces maximum falling speed of caster',100,1,3),
(95209,103119,'Increases STR of caster by 40.1',100,1,0),
(95210,103119,'Adds 2.7% to base avoidance.',100,1,1),
(95211,103119,'Increases Mitigation of caster vs physical damage by 257',100,1,2),
(95212,103119,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 800',100,1,3),
(95213,10103119,'Increases STR of caster by 40.1',100,1,0),
(95214,10103119,'Adds 2.7% to base avoidance.',100,1,1),
(95215,10103119,'Increases Mitigation of caster vs physical damage by 257',100,1,2),
(95216,10103119,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 800',100,1,3),
(95217,117173,'Inflicts 93 poison damage on target instantly and every 4 seconds',100,1,0),
(95218,117173,'Decreases WIS of target by 63.4',100,1,1),
(95219,10117173,'Inflicts 130 poison damage on target instantly and every 4 seconds',100,1,0),
(95220,10117173,'Decreases WIS of target by 63.4',100,1,1),
(95221,116756,'Increases Max Health of target by 411.6',100,1,0),
(95222,116756,'Increases Max Power of target by 463.3',100,1,1),
(95223,10116756,'Increases Max Health of target by 411.6',100,1,0),
(95224,10116756,'Increases Max Power of target by 463.3',100,1,1),
(95225,49034,'When Equipped:',100,0,0),
(95226,49034,'Increases success chance by 1.1%',100,1,1),
(95227,10049034,'When Equipped:',100,0,0),
(95228,10049034,'Increases success chance by 1.1%',100,1,1),
(95229,123138,'Inflicts 539 disease damage on targets in Area of Effect',100,1,0),
(95230,123138,'Inflicts 368 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(95231,10123138,'Inflicts 755 disease damage on targets in Area of Effect',100,1,0),
(95232,10123138,'Inflicts 515 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(95233,75096,'Applies Mental Blast when Activated.',100,0,0),
(95234,75096,'Inflicts 93 - 155 mental damage on target',100,1,1),
(95235,75096,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(95236,10075096,'Applies Mental Blast when Activated.',100,0,0),
(95237,10075096,'Inflicts 130 - 216 mental damage on target',100,1,1),
(95238,10075096,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(95239,48150,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(95240,48150,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(95241,48150,'Decreases Threat to target by 1,972 - 2,410 ',100,2,2),
(95242,48150,'Cannot be modified except by direct means',100,2,3),
(95243,48150,'Grants a total of 100 triggers of the spell.',100,2,4),
(95244,10048150,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(95245,10048150,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(95246,10048150,'5% chance to apply Distract.',100,2,2),
(95247,10048150,'Forces target to clear their selected target.',100,3,3),
(95248,10048150,'Cannot be modified except by direct means',100,2,4),
(95249,10048150,'Grants a total of 100 triggers of the spell.',100,2,5),
(95250,123582,'Increases STR of group members (AE) by 51.7',100,1,0),
(95251,123582,'Increases Max Health of group members (AE) by 457.6',100,1,1),
(95252,10123582,'Increases STR of group members (AE) by 51.7',100,1,0),
(95253,10123582,'Increases Max Health of group members (AE) by 457.6',100,1,1),
(95254,24145,'Adds Coldain (Templar) to your Dungeon Maker toolbox',100,0,0),
(95255,10024145,'Adds Coldain (Templar) to your Dungeon Maker toolbox',100,0,0),
(95256,111965,'Inflicts 893 - 1092 disease damage on target',100,1,0),
(95257,111965,'Decreases Mitigation of target vs noxious damage by 1766',100,1,1),
(95258,10111965,'Inflicts 1608 - 1965 disease damage on target',100,1,0),
(95259,10111965,'Decreases Mitigation of target vs noxious damage by 1766',100,1,1),
(95260,186258,'When Equipped:',100,0,0),
(95261,186258,'Increases Attack Speed of caster by 45.0',100,1,1),
(95262,10186258,'When Equipped:',100,0,0),
(95263,10186258,'Increases Attack Speed of caster by 45.0',100,1,1),
(95264,119192,'Inflicts 144 - 240 heat damage on target',100,1,0),
(95265,119192,'Inflicts 144 - 240 heat damage on target',100,1,1),
(95266,119192,'Requires bow',100,1,2),
(95267,10119192,'Inflicts 165 - 275 heat damage on target',100,1,0),
(95268,10119192,'Inflicts 165 - 275 heat damage on target',100,1,1),
(95269,10119192,'Requires bow',100,1,2),
(95270,80243,'When Equipped:',100,0,0),
(95271,80243,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95272,80243,'Inflicts 201 - 374 magic damage on target',100,2,2),
(95273,80243,'Cannot be modified except by direct means',100,2,3),
(95274,10080243,'When Equipped:',100,0,0),
(95275,10080243,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95276,10080243,'Inflicts 282 - 523 magic damage on target',100,2,2),
(95277,10080243,'Cannot be modified except by direct means',100,2,3),
(95278,45674,'Applies Gubaku''s Resurgence  when Activated.',100,0,0),
(95279,45674,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(95280,10045674,'Applies Gubaku''s Resurgence  when Activated.',100,0,0),
(95281,10045674,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(95282,112319,'Inflicts 186 - 227 disease damage on target',100,1,0),
(95283,112319,'Inflicts 93 - 113 disease damage on target every 3 seconds',100,1,1),
(95284,112319,'Increases Threat to target by 1,356 - 1,657  instantly and by 254 - 311  every 3 seconds thereafter',100,1,2),
(95285,10112319,'Inflicts 130 - 159 disease damage on target every 3 seconds',100,1,0),
(95286,10112319,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(95287,159295,'Applies Sanguine Imbued when Equipped.',100,0,0),
(95288,159295,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(95289,159295,'Inflicts 43 heat damage on target',100,2,2),
(95290,159295,'Cannot be modified except by direct means',100,2,3),
(95291,10159295,'Applies Sanguine Imbued when Equipped.',100,0,0),
(95292,10159295,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(95293,10159295,'Inflicts 61 heat damage on target',100,2,2),
(95294,10159295,'Cannot be modified except by direct means',100,2,3),
(95295,48581,'Applies Token of Ry''Gorr Loyalty when Activated.  Lasts for 1.1 seconds.',100,0,0),
(95296,48581,'Using this token will grant the user maximum faction with Clan Ry''Gorr!',100,1,1),
(95297,10048581,'Applies Token of Ry''Gorr Loyalty when Activated.  Lasts for 1.1 seconds.',100,0,0),
(95298,10048581,'Using this token will grant the user maximum faction with Clan Ry''Gorr!',100,1,1),
(95299,111378,'Inflicts 311 - 518 disease damage on target',100,1,0),
(95300,111378,'Heals caster for 171 - 285',100,1,1),
(95301,10111378,'Inflicts 435 - 725 disease damage on target',100,1,0),
(95302,10111378,'Heals caster for 111 - 185',100,1,1),
(95303,164164,'When Equipped:',100,0,0),
(95304,164164,'Reduces reuse time of Subjugation-based spells by 3 percent.',100,1,1),
(95305,10164164,'When Equipped:',100,0,0),
(95306,10164164,'Reduces reuse time of Subjugation-based spells by 3 percent.',100,1,1),
(95307,105119,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(95308,105119,'Summon 1 Crystallized Soul (Apprentice)',100,2,1),
(95309,10105119,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(95310,10105119,'Summon 1 Crystallized Soul (Apprentice)',100,2,1),
(95311,122962,'Inflicts 233 - 315 mental damage on target',100,1,0),
(95312,10122962,'Inflicts 326 - 442 mental damage on target',100,1,0),
(95313,119444,'Inflicts 83 piercing damage on target instantly and every 4 seconds',100,1,0),
(95314,119444,'Inflicts 114 - 191 melee damage on target',100,1,1),
(95315,119444,'Must be flanking or behind',100,1,2),
(95316,10119444,'Inflicts 116 piercing damage on target instantly and every 4 seconds',100,1,0),
(95317,10119444,'Inflicts 149 - 248 melee damage on target',100,1,1),
(95318,10119444,'Must be flanking or behind',100,1,2),
(95319,111249,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(95320,111249,'Heals target for 620 - 758',100,2,1),
(95321,10111249,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(95322,10111249,'Heals target for 403 - 493',100,2,1),
(95323,116370,'Mesmerizes target encounter',100,1,0),
(95324,116370,'Prevents AOE (except when direct) ',100,1,1),
(95325,116370,'Dispelled when target takes damage',100,1,2),
(95326,116370,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(95327,116370,'Resistibility increases against targets higher than level 116.',100,1,4),
(95328,10116370,'Mesmerizes target encounter',100,1,0),
(95329,10116370,'Prevents AOE (except when direct) ',100,1,1),
(95330,10116370,'Dispelled when target takes damage',100,1,2),
(95331,10116370,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(95332,10116370,'Resistibility increases against targets higher than level 116.',100,1,4),
(95333,117018,'Inflicts 209 - 627 melee damage on target',100,1,0),
(95334,10117018,'Inflicts 271 - 815 melee damage on target',100,1,0),
(95335,122116,'Interrupts target',100,1,0),
(95336,122116,'Increases Threat to target by 275 ',100,1,1),
(95337,122116,'Dispels 28 levels of arcane beneficial effects on target',100,1,2),
(95338,10122116,'Interrupts target',100,1,0),
(95339,10122116,'Forces target to change their selected target to caster.',100,1,1),
(95340,10122116,'Dispels 28 levels of arcane beneficial effects on target',100,1,2),
(95341,141743,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(95342,141743,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95343,141743,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(95344,141743,'Cannot be modified except by direct means',100,2,3),
(95345,10141743,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(95346,10141743,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95347,10141743,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(95348,10141743,'Cannot be modified except by direct means',100,2,3),
(95349,25892,'When Equipped:',100,0,0),
(95350,25892,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(95351,25892,'Villainy VII will add 10% max health to the assassin.',100,1,2),
(95352,10025892,'When Equipped:',100,0,0),
(95353,10025892,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(95354,10025892,'Villainy VII will add 10% max health to the assassin.',100,1,2),
(95355,123858,'Increases AGI of caster by 50.9',100,1,0),
(95356,123858,'Adds 25.0% to base avoidance.',100,1,1),
(95357,123858,'Increases Damage Per Second of caster by 52.1',100,1,2),
(95358,123858,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(95359,123858,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(95360,10123858,'Increases AGI of caster by 50.9',100,1,0),
(95361,10123858,'Adds 25.0% to base avoidance.',100,1,1),
(95362,10123858,'Increases Damage Per Second of caster by 52.1',100,1,2),
(95363,10123858,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(95364,10123858,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(95365,41552,'When Equipped:',100,0,0),
(95366,41552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95367,41552,'Inflicts 94 - 174 magic damage on target',100,2,2),
(95368,41552,'Cannot be modified except by direct means',100,2,3),
(95369,10041552,'When Equipped:',100,0,0),
(95370,10041552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95371,10041552,'Inflicts 131 - 244 magic damage on target',100,2,2),
(95372,10041552,'Cannot be modified except by direct means',100,2,3),
(95373,123552,'Summons a limited pet to aid the caster',100,1,0),
(95374,10123552,'Summons a limited pet to aid the caster',100,1,0),
(95375,119408,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(95376,119408,'Stuns target',100,2,1),
(95377,119408,'Throws target back',100,2,2),
(95378,119408,'Blurs vision of target',100,2,3),
(95379,119408,'Does not affect Epic targets',100,2,4),
(95380,119408,'Inflicts 114 - 190 melee damage on target',100,1,5),
(95381,119408,'You must be sneaking to use this ability.',100,1,6),
(95382,10119408,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(95383,10119408,'Stuns target',100,2,1),
(95384,10119408,'Throws target back',100,2,2),
(95385,10119408,'Blurs vision of target',100,2,3),
(95386,10119408,'Does not affect Epic targets',100,2,4),
(95387,10119408,'Inflicts 148 - 247 melee damage on target',100,1,5),
(95388,10119408,'You must be sneaking to use this ability.',100,1,6),
(95389,100132,'Inflicts 43 - 53 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(95390,100132,'Decreases Mitigation of target encounter vs noxious damage by 384',100,1,1),
(95391,10100132,'Inflicts 60 - 74 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(95392,10100132,'Decreases Mitigation of target encounter vs noxious damage by 384',100,1,1),
(95393,100276,'Inflicts 60 - 112 poison damage on target instantly and every 3 seconds',100,1,0),
(95394,10100276,'Inflicts 190 - 353 poison damage on target instantly and every 3 seconds',100,1,0),
(95395,107936,'Mesmerizes target',100,1,0),
(95396,107936,'Prevents AOE (except when direct) ',100,1,1),
(95397,107936,'Dispelled when target takes damage',100,1,2),
(95398,107936,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(95399,107936,'Resistibility increases against targets higher than level 95.',100,1,4),
(95400,10107936,'Mesmerizes target',100,1,0),
(95401,10107936,'Prevents AOE (except when direct) ',100,1,1),
(95402,10107936,'Dispelled when target takes damage',100,1,2),
(95403,10107936,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(95404,10107936,'Resistibility increases against targets higher than level 95.',100,1,4),
(95405,100723,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(95406,100723,'Increases Mitigation of group members (AE) vs noxious damage by 870',100,1,1),
(95407,10100723,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(95408,10100723,'Increases Mitigation of group members (AE) vs noxious damage by 870',100,1,1),
(95409,53201,'When Equipped:',100,0,0),
(95410,53201,'Increases caster''s chance to block by 15.0%',100,1,1),
(95411,10053201,'When Equipped:',100,0,0),
(95412,10053201,'Increases caster''s chance to block by 15.0%',100,1,1),
(95413,121777,'Heals target for 127 - 155',100,1,0),
(95414,121777,'Heals target for 21 - 26 every second',100,1,1),
(95415,10121777,'Heals target for 220 - 269',100,1,0),
(95416,10121777,'Heals target for 18 - 22 every second',100,1,1),
(95417,136404,'When Equipped:',100,0,0),
(95418,136404,'On a combat hit this spell may cast Stun II on target of attack.  Lasts for 1.0 second.  Triggers about 1.0 times per minute. ',100,1,1),
(95419,136404,'Stuns target',100,2,2),
(95420,136404,'Does not affect Epic targets',100,2,3),
(95421,136404,'Resistibility increases against targets higher than level 102.',100,2,4),
(95422,136404,'Cannot be modified except by direct means',100,2,5),
(95423,10136404,'When Equipped:',100,0,0),
(95424,10136404,'On a combat hit this spell may cast Stun II on target of attack.  Lasts for 1.0 second.  Triggers about 1.0 times per minute. ',100,1,1),
(95425,10136404,'Stuns target',100,2,2),
(95426,10136404,'Does not affect Epic targets',100,2,3),
(95427,10136404,'Resistibility increases against targets higher than level 102.',100,2,4),
(95428,10136404,'Cannot be modified except by direct means',100,2,5),
(95429,101401,'Inflicts 315 - 525 melee damage on target',100,1,0),
(95430,101401,'Returns the last arrow used to the ranger.',100,1,1),
(95431,10101401,'Inflicts 410 - 683 melee damage on target',100,1,0),
(95432,10101401,'Returns the last arrow used to the ranger.',100,1,1),
(95433,120558,'Decreases Defense of target by 55.2',100,1,0),
(95434,10120558,'Decreases Defense of target by 55.2',100,1,0),
(95435,115923,'Inflicts 176 - 215 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(95436,10115923,'Inflicts 321 - 392 disease damage on target encounter',100,1,0),
(95437,10115923,'Inflicts 247 - 302 disease damage on target encounter every 3 seconds',100,1,1),
(95438,103577,'Increases Mitigation of caster vs physical damage by 200',100,1,0),
(95439,10103577,'Increases Mitigation of caster vs physical damage by 200',100,1,0),
(95440,123639,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(95441,123639,'Slows target by 36.2%',100,2,1),
(95442,123639,'5% chance to dispel when target receives hostile action',100,2,2),
(95443,123639,'5% chance to dispel when target takes damage',100,2,3),
(95444,123639,'Inflicts 134 - 164 cold damage on target',100,1,4),
(95445,10123639,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(95446,10123639,'Slows target by 36.2%',100,2,1),
(95447,10123639,'5% chance to dispel when target receives hostile action',100,2,2),
(95448,10123639,'5% chance to dispel when target takes damage',100,2,3),
(95449,10123639,'Inflicts 161 - 196 cold damage on target',100,1,4),
(95450,155694,'When Equipped:',100,0,0),
(95451,155694,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(95452,155694,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(95453,155694,'Must not be engaged in pvp combat',100,2,3),
(95454,155694,'Cannot be modified except by direct means',100,2,4),
(95455,155694,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(95456,155694,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(95457,155694,'Must not be engaged in pvp combat',100,2,7),
(95458,155694,'Cannot be modified except by direct means',100,2,8),
(95459,155694,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(95460,155694,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(95461,155694,'Must not be engaged in pvp combat',100,2,11),
(95462,155694,'Cannot be modified except by direct means',100,2,12),
(95463,155694,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(95464,155694,'Inflicts 27 piercing damage on target',100,2,14),
(95465,155694,'Must not be engaged in pvp combat',100,2,15),
(95466,155694,'Cannot be modified except by direct means',100,2,16),
(95467,10155694,'When Equipped:',100,0,0),
(95468,10155694,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(95469,10155694,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(95470,10155694,'Must not be engaged in pvp combat',100,2,3),
(95471,10155694,'Cannot be modified except by direct means',100,2,4),
(95472,10155694,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(95473,10155694,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(95474,10155694,'Must not be engaged in pvp combat',100,2,7),
(95475,10155694,'Cannot be modified except by direct means',100,2,8),
(95476,10155694,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(95477,10155694,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(95478,10155694,'Must not be engaged in pvp combat',100,2,11),
(95479,10155694,'Cannot be modified except by direct means',100,2,12),
(95480,10155694,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(95481,10155694,'Inflicts 37 piercing damage on target',100,2,14),
(95482,10155694,'Must not be engaged in pvp combat',100,2,15),
(95483,10155694,'Cannot be modified except by direct means',100,2,16),
(95484,118689,'Inflicts 226 - 679 crushing damage on target',100,1,0),
(95485,10118689,'Inflicts 294 - 883 crushing damage on target',100,1,0),
(95486,72049,'When Equipped:',100,0,0),
(95487,72049,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95488,72049,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(95489,72049,'Cannot be modified except by direct means',100,2,3),
(95490,10072049,'When Equipped:',100,0,0),
(95491,10072049,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95492,10072049,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(95493,10072049,'Cannot be modified except by direct means',100,2,3),
(95494,120235,'Roots target encounter',100,1,0),
(95495,120235,'15% chance to dispel when target takes damage',100,1,1),
(95496,120235,'Does not affect Epic targets',100,1,2),
(95497,120235,'Resistibility increases against targets higher than level 107.',100,1,3),
(95498,10120235,'Roots target encounter',100,1,0),
(95499,10120235,'15% chance to dispel when target takes damage',100,1,1),
(95500,10120235,'Does not affect Epic targets',100,1,2),
(95501,10120235,'Resistibility increases against targets higher than level 107.',100,1,3),
(95502,46477,'Applies Gigglegibber''s Secret of Death when Activated.  Lasts for 3 minutes.',100,0,0),
(95503,46477,'Feigns Death with 99% chance of success',100,1,1),
(95504,10046477,'Applies Gigglegibber''s Secret of Death when Activated.  Lasts for 3 minutes.',100,0,0),
(95505,10046477,'Feigns Death with 99% chance of success',100,1,1),
(95506,36111,'Increases INT of target by 1.6',100,0,0),
(95507,36111,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(95508,36630,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(95509,24259,'Adds Decrease Level II (Multiple) to your Dungeon Maker toolbox',100,0,0),
(95510,10024259,'Adds Decrease Level II (Multiple) to your Dungeon Maker toolbox',100,0,0),
(95511,102545,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(95512,102545,'Inflicts 56 - 94 melee damage on target',100,2,1),
(95513,102545,'Decreases Defense of caster by 5.1',100,1,2),
(95514,102545,'Increases Slashing, Piercing, Ranged and Crushing of caster by 8.4',100,1,3),
(95515,10102545,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(95516,10102545,'Inflicts 73 - 122 melee damage on target',100,2,1),
(95517,10102545,'Decreases Defense of caster by 5.1',100,1,2),
(95518,10102545,'Increases Slashing, Piercing, Ranged and Crushing of caster by 8.4',100,1,3),
(95519,82431,'When Equipped:',100,0,0),
(95520,82431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95521,82431,'Inflicts 270 - 502 magic damage on target',100,2,2),
(95522,82431,'Cannot be modified except by direct means',100,2,3),
(95523,10082431,'When Equipped:',100,0,0),
(95524,10082431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95525,10082431,'Inflicts 378 - 703 magic damage on target',100,2,2),
(95526,10082431,'Cannot be modified except by direct means',100,2,3),
(95527,24774,'Adds Yeti (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(95528,10024774,'Adds Yeti (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(95529,35684,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(95530,55397,'When Equipped:',100,0,0),
(95531,55397,'When damaged with a melee weapon this spell has a 10% chance to cast Fear-guard of Thule on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(95532,55397,'Makes caster immune to Fear effects',100,2,2),
(95533,55397,'Wards caster against 250 points of physical damage',100,2,3),
(95534,55397,'Cannot be modified except by direct means',100,2,4),
(95535,10055397,'When Equipped:',100,0,0),
(95536,10055397,'When damaged with a melee weapon this spell has a 10% chance to cast Fear-guard of Thule on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(95537,10055397,'Makes caster immune to Fear effects',100,2,2),
(95538,10055397,'Wards caster against 250 points of physical damage',100,2,3),
(95539,10055397,'Cannot be modified except by direct means',100,2,4),
(95540,159425,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(95541,159425,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95542,159425,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(95543,159425,'Cannot be modified except by direct means',100,2,3),
(95544,10159425,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(95545,10159425,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95546,10159425,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(95547,10159425,'Cannot be modified except by direct means',100,2,3),
(95548,121314,'Inflicts 12 - 15 divine damage on target instantly and every 3 seconds',100,1,0),
(95549,121314,'Decreases Defense of target by 3.0',100,1,1),
(95550,10121314,'Inflicts 17 - 21 divine damage on target instantly and every 3 seconds',100,1,0),
(95551,10121314,'Decreases Defense of target by 3.0',100,1,1),
(95552,107538,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(95553,107538,'Decreases Mitigation of target encounter vs elemental and noxious damage by 756',100,1,1),
(95554,10107538,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(95555,10107538,'Decreases Mitigation of target encounter vs elemental and noxious damage by 756',100,1,1),
(95556,84641,'When Equipped:',100,0,0),
(95557,84641,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(95558,84641,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(95559,84641,'Increases AGI and STR of caster by 44.0',100,2,3),
(95560,84641,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(95561,84641,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(95562,84641,'Must not be engaged in pvp combat',100,2,6),
(95563,84641,'Cannot be modified except by direct means',100,2,7),
(95564,84641,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(95565,84641,'Increases AGI and STR of caster by 44.0',100,2,9),
(95566,84641,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(95567,84641,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(95568,84641,'Must not be engaged in pvp combat',100,2,12),
(95569,84641,'Cannot be modified except by direct means',100,2,13),
(95570,84641,'Cannot be modified except by direct means',100,1,14),
(95571,10084641,'When Equipped:',100,0,0),
(95572,10084641,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(95573,10084641,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(95574,10084641,'Increases AGI and STR of caster by 44.0',100,2,3),
(95575,10084641,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(95576,10084641,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(95577,10084641,'Must not be engaged in pvp combat',100,2,6),
(95578,10084641,'Cannot be modified except by direct means',100,2,7),
(95579,10084641,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(95580,10084641,'Increases AGI and STR of caster by 44.0',100,2,9),
(95581,10084641,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(95582,10084641,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(95583,10084641,'Must not be engaged in pvp combat',100,2,12),
(95584,10084641,'Cannot be modified except by direct means',100,2,13),
(95585,10084641,'Cannot be modified except by direct means',100,1,14),
(95586,179171,'When Equipped:',100,0,0),
(95587,179171,'Applies Essence Infusion to qualifying pets.',100,1,1),
(95588,179171,'On a combat hit this spell may cast Essence Infusion on target of attack.  Triggers about 2.0 times per minute. ',100,2,2),
(95589,179171,'Increases power of caster by 343',100,3,3),
(95590,179171,'Inflicts 229 heat damage on target encounter',100,3,4),
(95591,179171,'Inflicts 229 poison damage on target encounter',100,3,5),
(95592,10179171,'When Equipped:',100,0,0),
(95593,10179171,'Applies Essence Infusion to qualifying pets.',100,1,1),
(95594,10179171,'On a combat hit this spell may cast Essence Infusion on target of attack.  Triggers about 2.0 times per minute. ',100,2,2),
(95595,10179171,'Increases power of caster by 343',100,3,3),
(95596,10179171,'Inflicts 321 heat damage on target encounter',100,3,4),
(95597,10179171,'Inflicts 321 poison damage on target encounter',100,3,5),
(95598,112614,'Increases STA of caster by 52.6',100,1,0),
(95599,112614,'Reduces slow effects on caster by 18.4%',100,1,1),
(95600,112614,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1382',100,1,2),
(95601,10112614,'Increases STA of caster by 52.6',100,1,0),
(95602,10112614,'Reduces slow effects on caster by 18.4%',100,1,1),
(95603,10112614,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1382',100,1,2),
(95604,108416,'Heals target for 916 - 1119',100,1,0),
(95605,10108416,'Heals target for 1095 - 1339',100,1,0),
(95606,120813,'Inflicts 4 - 5 disease damage on target instantly and every second',100,1,0),
(95607,10120813,'Inflicts 7 - 9 disease damage on target',100,1,0),
(95608,10120813,'Inflicts 5 - 7 disease damage on target every second',100,1,1),
(95609,111151,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(95610,111151,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 914',100,1,1),
(95611,111151,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,2),
(95612,10111151,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(95613,10111151,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 914',100,1,1),
(95614,10111151,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,2),
(95615,113737,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(95616,113737,'Inflicts 99 piercing damage on target',100,2,1),
(95617,113737,'Grants a total of 60 triggers of the spell.',100,2,2),
(95618,10113737,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(95619,10113737,'Inflicts 139 piercing damage on target',100,2,1),
(95620,10113737,'Grants a total of 60 triggers of the spell.',100,2,2),
(95621,115810,'Inflicts 14 disease damage on target every 3 seconds',100,1,0),
(95622,115810,'Inflicts 51 - 86 melee damage on target',100,1,1),
(95623,115810,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(95624,115810,'Heals caster for 1.1% of max health instantly and every 3 seconds',100,2,3),
(95625,115810,'This effect cannot be critically applied.',100,3,4),
(95626,115810,'The healing of this spell cannot be modified except by direct means',100,2,5),
(95627,115810,'The healing of this spell cannot be modified except by direct means',100,1,6),
(95628,10115810,'Inflicts 19 disease damage on target every 3 seconds',100,1,0),
(95629,10115810,'Inflicts 67 - 112 melee damage on target',100,1,1),
(95630,10115810,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(95631,10115810,'Heals caster for 0.3% of max health instantly and every 3 seconds',100,2,3),
(95632,10115810,'This effect cannot be critically applied.',100,3,4),
(95633,10115810,'The healing of this spell cannot be modified except by direct means',100,2,5),
(95634,10115810,'The healing of this spell cannot be modified except by direct means',100,1,6),
(95635,48992,'Applies Turmoil Warts when Equipped.',100,0,0),
(95636,10048992,'Applies Turmoil Warts when Equipped.',100,0,0),
(95637,49139,'Applies Windup Golden Monkey when Activated.  Lasts for 45.0 seconds.',100,0,0),
(95638,49139,'Haven''t you always wanted a monkey?',100,1,1),
(95639,10049139,'Applies Windup Golden Monkey when Activated.  Lasts for 45.0 seconds.',100,0,0),
(95640,10049139,'Haven''t you always wanted a monkey?',100,1,1),
(95641,82580,'When Equipped:',100,0,0),
(95642,82580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95643,82580,'Inflicts 90 - 167 magic damage on target',100,2,2),
(95644,82580,'Cannot be modified except by direct means',100,2,3),
(95645,10082580,'When Equipped:',100,0,0),
(95646,10082580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95647,10082580,'Inflicts 126 - 234 magic damage on target',100,2,2),
(95648,10082580,'Cannot be modified except by direct means',100,2,3),
(95649,51467,'When Equipped:',100,0,0),
(95650,51467,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(95651,51467,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(95652,51467,'Increases WIS and INT of caster by 44.0',100,2,3),
(95653,51467,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(95654,51467,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(95655,51467,'Must not be engaged in pvp combat',100,2,6),
(95656,51467,'Cannot be modified except by direct means',100,2,7),
(95657,51467,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(95658,51467,'Increases WIS and INT of caster by 44.0',100,2,9),
(95659,51467,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(95660,51467,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(95661,51467,'Must not be engaged in pvp combat',100,2,12),
(95662,51467,'Cannot be modified except by direct means',100,2,13),
(95663,51467,'Cannot be modified except by direct means',100,1,14),
(95664,10051467,'When Equipped:',100,0,0),
(95665,10051467,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(95666,10051467,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(95667,10051467,'Increases WIS and INT of caster by 44.0',100,2,3),
(95668,10051467,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(95669,10051467,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(95670,10051467,'Must not be engaged in pvp combat',100,2,6),
(95671,10051467,'Cannot be modified except by direct means',100,2,7),
(95672,10051467,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(95673,10051467,'Increases WIS and INT of caster by 44.0',100,2,9),
(95674,10051467,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(95675,10051467,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(95676,10051467,'Must not be engaged in pvp combat',100,2,12),
(95677,10051467,'Cannot be modified except by direct means',100,2,13),
(95678,10051467,'Cannot be modified except by direct means',100,1,14),
(95679,103790,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 18.4',100,1,0),
(95680,10103790,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 18.4',100,1,0),
(95681,100542,'Heals group members (AE) for 524 - 641',100,1,0),
(95682,10100542,'Heals group members (AE) for 636 - 778',100,1,0),
(95683,163658,'When Equipped:',100,0,0),
(95684,163658,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(95685,163658,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(95686,163658,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(95687,163658,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(95688,163658,'Must not be engaged in pvp combat',100,2,5),
(95689,163658,'Cannot be modified except by direct means',100,2,6),
(95690,163658,'Cannot be modified except by direct means',100,1,7),
(95691,10163658,'When Equipped:',100,0,0),
(95692,10163658,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(95693,10163658,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(95694,10163658,'Inflicts 5827 - 6440 heat damage on target encounter',100,2,3),
(95695,10163658,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(95696,10163658,'Must not be engaged in pvp combat',100,2,5),
(95697,10163658,'Cannot be modified except by direct means',100,2,6),
(95698,10163658,'Cannot be modified except by direct means',100,1,7),
(95699,121335,'Inflicts 2290 - 3817 ranged damage on targets in area',100,1,0),
(95700,121335,'Requires bow',100,1,1),
(95701,10121335,'Inflicts 1752 - 2920 ranged damage on targets in area',100,1,0),
(95702,10121335,'Requires bow',100,1,1),
(95703,141665,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(95704,141665,'Decreases Attack Speed of target by 9.6',100,1,1),
(95705,141665,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(95706,10141665,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(95707,10141665,'Decreases Attack Speed of target by 9.6',100,1,1),
(95708,10141665,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(95709,79977,'When Equipped:',100,0,0),
(95710,79977,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(95711,79977,'Inflicts 194 - 323 heat damage on target',100,2,2),
(95712,79977,'Cannot be modified except by direct means',100,2,3),
(95713,10079977,'When Equipped:',100,0,0),
(95714,10079977,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(95715,10079977,'Inflicts 271 - 452 heat damage on target',100,2,2),
(95716,10079977,'Cannot be modified except by direct means',100,2,3),
(95717,159403,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(95718,159403,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95719,159403,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(95720,159403,'Cannot be modified except by direct means',100,2,3),
(95721,10159403,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(95722,10159403,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(95723,10159403,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(95724,10159403,'Cannot be modified except by direct means',100,2,3),
(95725,109289,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(95726,109289,'Increases Mitigation of group members (AE) vs elemental damage by 448',100,1,1),
(95727,10109289,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(95728,10109289,'Increases Mitigation of group members (AE) vs elemental damage by 448',100,1,1),
(95729,107565,'Dazes target encounter',100,1,0),
(95730,107565,'Inflicts 53 - 65 mental damage on target encounter',100,1,1),
(95731,107565,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,2),
(95732,107565,'Resistibility increases against targets higher than level 40.',100,1,3),
(95733,10107565,'Dazes target encounter',100,1,0),
(95734,10107565,'Inflicts 75 - 91 mental damage on target encounter',100,1,1),
(95735,10107565,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(95736,10107565,'Resistibility increases against targets higher than level 40.',100,1,3),
(95737,159773,'When Equipped:',100,0,0),
(95738,159773,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(95739,159773,'Increases AGI of caster by 5.1',100,2,2),
(95740,159773,'Increases Attack Speed of caster by 13.2',100,2,3),
(95741,159773,'Cannot be modified except by direct means',100,2,4),
(95742,10159773,'When Equipped:',100,0,0),
(95743,10159773,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(95744,10159773,'Increases AGI of caster by 5.1',100,2,2),
(95745,10159773,'Increases Attack Speed of caster by 13.2',100,2,3),
(95746,10159773,'Cannot be modified except by direct means',100,2,4),
(95747,45222,'Applies Aquatic Essence when Activated.  Lasts for 30 minutes.',100,0,0),
(95748,45222,'Allows caster to breathe under water',100,1,1),
(95749,10045222,'Applies Aquatic Essence when Activated.  Lasts for 30 minutes.',100,0,0),
(95750,10045222,'Allows caster to breathe under water',100,1,1),
(95751,48578,'Applies Marr''s Defense when Activated.  Lasts for 54.0 seconds.',100,0,0),
(95752,48578,'Increases Defense of caster by 16.3',100,1,1),
(95753,48578,'Increases Mitigation of caster vs physical damage by 78',100,1,2),
(95754,10048578,'Applies Marr''s Defense when Activated.  Lasts for 54.0 seconds.',100,0,0),
(95755,10048578,'Increases Defense of caster by 16.3',100,1,1),
(95756,10048578,'Increases Mitigation of caster vs physical damage by 78',100,1,2),
(95757,107295,'Reapplies Swear',100,1,0),
(95758,107295,'Reapplies Boot Dagger',100,1,1),
(95759,107295,'Reapplies Traumatic Swipe',100,1,2),
(95760,107295,'Reapplies Coule',100,1,3),
(95761,107295,'Reapplies Thieving Essence',100,1,4),
(95762,107295,'Reapplies Evasive Maneuvers',100,1,5),
(95763,107295,'Reapplies Will to Survive',100,1,6),
(95764,107295,'Reapplies Deft Disarm',100,1,7),
(95765,107295,'Reapplies Desperate Thrust II',100,1,8),
(95766,107295,'Reapplies Stunning Blow VI',100,1,9),
(95767,107295,'Reapplies Puncture VI',100,1,10),
(95768,107295,'Reapplies Gouge IV',100,1,11),
(95769,107295,'Reapplies Barroom Negotiation IV',100,1,12),
(95770,107295,'Reapplies Battery and Assault V',100,1,13),
(95771,107295,'Reapplies Backstab V',100,1,14),
(95772,107295,'Reapplies Shank II',100,1,15),
(95773,107295,'Reapplies Bum Rush IV',100,1,16),
(95774,107295,'Reapplies Murderous Rake III',100,1,17),
(95775,107295,'Reapplies Rob V',100,1,18),
(95776,107295,'Reapplies Debilitate',100,1,19),
(95777,107295,'Reapplies Black Jack III',100,1,20),
(95778,107295,'Reapplies Dispatch',100,1,21),
(95779,107295,'Reapplies Cuss III',100,1,22),
(95780,107295,'Reapplies Shadow Slip III',100,1,23),
(95781,107295,'Reapplies Cheap Shot',100,1,24),
(95782,107295,'Reapplies Evade IV',100,1,25),
(95783,107295,'Reapplies Sinister Strike',100,1,26),
(95784,107295,'Reapplies Torporous Strike',100,1,27),
(95785,107295,'Reapplies Walk the Plank',100,1,28),
(95786,107295,'You must execute certain combat arts before you can use this ability.',100,1,29),
(95787,10107295,'Reapplies Swear',100,1,0),
(95788,10107295,'Reapplies Boot Dagger',100,1,1),
(95789,10107295,'Reapplies Traumatic Swipe',100,1,2),
(95790,10107295,'Reapplies Coule',100,1,3),
(95791,10107295,'Reapplies Thieving Essence',100,1,4),
(95792,10107295,'Reapplies Evasive Maneuvers',100,1,5),
(95793,10107295,'Reapplies Will to Survive',100,1,6),
(95794,10107295,'Reapplies Deft Disarm',100,1,7),
(95795,10107295,'Reapplies Desperate Thrust II',100,1,8),
(95796,10107295,'Reapplies Stunning Blow VI',100,1,9),
(95797,10107295,'Reapplies Puncture VI',100,1,10),
(95798,10107295,'Reapplies Gouge IV',100,1,11),
(95799,10107295,'Reapplies Barroom Negotiation IV',100,1,12),
(95800,10107295,'Reapplies Battery and Assault V',100,1,13),
(95801,10107295,'Reapplies Backstab V',100,1,14),
(95802,10107295,'Reapplies Shank II',100,1,15),
(95803,10107295,'Reapplies Bum Rush IV',100,1,16),
(95804,10107295,'Reapplies Murderous Rake III',100,1,17),
(95805,10107295,'Reapplies Rob V',100,1,18),
(95806,10107295,'Reapplies Debilitate',100,1,19),
(95807,10107295,'Reapplies Black Jack III',100,1,20),
(95808,10107295,'Reapplies Dispatch',100,1,21),
(95809,10107295,'Reapplies Cuss III',100,1,22),
(95810,10107295,'Reapplies Shadow Slip III',100,1,23),
(95811,10107295,'Reapplies Cheap Shot',100,1,24),
(95812,10107295,'Reapplies Evade IV',100,1,25),
(95813,10107295,'Reapplies Sinister Strike',100,1,26),
(95814,10107295,'Reapplies Torporous Strike',100,1,27),
(95815,10107295,'Reapplies Walk the Plank',100,1,28),
(95816,10107295,'You must execute certain combat arts before you can use this ability.',100,1,29),
(95817,26230,'When Equipped:',100,0,0),
(95818,26230,'Increases all cold damage by up to 40.',100,1,1),
(95819,10026230,'When Equipped:',100,0,0),
(95820,10026230,'Increases all cold damage by up to 40.',100,1,1),
(95821,115765,'Inflicts 172 - 287 melee damage on target',100,1,0),
(95822,10115765,'Inflicts 224 - 373 melee damage on target',100,1,0),
(95823,112787,'All combat arts have their damage increased by 17%',100,1,0),
(95824,112787,'Increases Crit Bonus of caster by 23.8%',100,1,1),
(95825,112787,'Decreases Defense and Parry of caster by 27.9',100,1,2),
(95826,112787,'Decreases Mitigation of caster vs all damage by 929',100,1,3),
(95827,112787,'This ability can only be used while berserk!',100,1,4),
(95828,10112787,'All combat arts have their damage increased by 17%',100,1,0),
(95829,10112787,'Increases Crit Bonus of caster by 23.8%',100,1,1),
(95830,10112787,'Decreases Defense and Parry of caster by 27.9',100,1,2),
(95831,10112787,'Decreases Mitigation of caster vs all damage by 929',100,1,3),
(95832,10112787,'This ability can only be used while berserk!',100,1,4),
(95833,114917,'Inflicts 407 - 678 melee damage on target',100,1,0),
(95834,114917,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1152',100,1,1),
(95835,114917,'Must be behind',100,1,2),
(95836,10114917,'Inflicts 529 - 882 melee damage on target',100,1,0),
(95837,10114917,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 576',100,1,1),
(95838,10114917,'Must be behind',100,1,2),
(95839,35887,'Increases WIS of target by 1.6',100,0,0),
(95840,35887,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(95841,47071,'Applies Mistress of Nizara when Activated.',100,0,0),
(95842,47071,'Shapechanges the user into a Naiad, and provides a shield which damages any melee attacker.',100,1,1),
(95843,10047071,'Applies Mistress of Nizara when Activated.',100,0,0),
(95844,10047071,'Shapechanges the user into a Naiad, and provides a shield which damages any melee attacker.',100,1,1),
(95845,71940,'When Equipped:',100,0,0),
(95846,71940,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95847,71940,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(95848,71940,'Cannot be modified except by direct means',100,2,3),
(95849,10071940,'When Equipped:',100,0,0),
(95850,10071940,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95851,10071940,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(95852,10071940,'Cannot be modified except by direct means',100,2,3),
(95853,74936,'When Equipped:',100,0,0),
(95854,74936,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95855,74936,'Inflicts 33 - 49 magic damage on target',100,2,2),
(95856,74936,'Cannot be modified except by direct means',100,2,3),
(95857,10074936,'When Equipped:',100,0,0),
(95858,10074936,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(95859,10074936,'Inflicts 46 - 69 magic damage on target',100,2,2),
(95860,10074936,'Cannot be modified except by direct means',100,2,3),
(95861,43458,'When Equipped:',100,0,0),
(95862,43458,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(95863,43458,'Stuns target',100,2,2),
(95864,43458,'Only affects targets level 95 and below',100,2,3),
(95865,43458,'Does not affect Epic targets',100,2,4),
(95866,43458,'Resistibility increases against targets higher than level 111.',100,2,5),
(95867,43458,'Cannot be modified except by direct means',100,2,6),
(95868,10043458,'When Equipped:',100,0,0),
(95869,10043458,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(95870,10043458,'Stuns target',100,2,2),
(95871,10043458,'Only affects targets level 95 and below',100,2,3),
(95872,10043458,'Does not affect Epic targets',100,2,4),
(95873,10043458,'Resistibility increases against targets higher than level 111.',100,2,5),
(95874,10043458,'Cannot be modified except by direct means',100,2,6),
(95875,116613,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(95876,116613,'Increases Mitigation of group members (AE) vs arcane damage by 96',100,1,1),
(95877,10116613,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(95878,10116613,'Increases Mitigation of group members (AE) vs arcane damage by 96',100,1,1),
(95879,71461,'When Equipped:',100,0,0),
(95880,71461,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95881,71461,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(95882,71461,'Cannot be modified except by direct means',100,2,3),
(95883,10071461,'When Equipped:',100,0,0),
(95884,10071461,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95885,10071461,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(95886,10071461,'Cannot be modified except by direct means',100,2,3),
(95887,179278,'When Equipped:',100,0,0),
(95888,179278,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(95889,179278,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(95890,179278,'Cannot be modified except by direct means',100,2,3),
(95891,10179278,'When Equipped:',100,0,0),
(95892,10179278,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(95893,10179278,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(95894,10179278,'Cannot be modified except by direct means',100,2,3),
(95895,140795,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(95896,140795,'Decreases WIS, AGI, STR and INT of target by 68.4',100,1,1),
(95897,140795,'Decreases Max Health of target by 1.0%',100,1,2),
(95898,140795,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(95899,10140795,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(95900,10140795,'Decreases WIS, AGI, STR and INT of target by 68.4',100,1,1),
(95901,10140795,'Decreases Max Health of target by 1.0%',100,1,2),
(95902,10140795,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(95903,159269,'When Equipped:',100,0,0),
(95904,159269,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(95905,159269,'Increases STA of caster by 5.5',100,2,2),
(95906,159269,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(95907,159269,'Cannot be modified except by direct means',100,2,4),
(95908,10159269,'When Equipped:',100,0,0),
(95909,10159269,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(95910,10159269,'Increases STA of caster by 5.5',100,2,2),
(95911,10159269,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(95912,10159269,'Cannot be modified except by direct means',100,2,4),
(95913,82782,'When Equipped:',100,0,0),
(95914,82782,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(95915,82782,'Decreases Threat to target by 1,174 ',100,2,2),
(95916,82782,'Must be flanking or behind',100,3,3),
(95917,82782,'Increases Threat to target by 1,174 ',100,2,4),
(95918,82782,'Must be in front of',100,3,5),
(95919,82782,'Inflicts 314 - 584 magic damage on target',100,2,6),
(95920,82782,'Cannot be modified except by direct means',100,2,7),
(95921,10082782,'When Equipped:',100,0,0),
(95922,10082782,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(95923,10082782,'Inflicts 440 - 817 magic damage on target',100,2,2),
(95924,10082782,'Cannot be modified except by direct means',100,2,3),
(95925,101732,'Mesmerizes target',100,1,0),
(95926,101732,'Prevents AOE (except when direct) ',100,1,1),
(95927,101732,'Mesmerizes caster',100,1,2),
(95928,101732,'Dispelled when target takes damage',100,1,3),
(95929,101732,'Does not affect Epic targets',100,1,4),
(95930,101732,'Resistibility increases against targets higher than level 96.',100,1,5),
(95931,10101732,'Mesmerizes target',100,1,0),
(95932,10101732,'Prevents AOE (except when direct) ',100,1,1),
(95933,10101732,'Mesmerizes caster',100,1,2),
(95934,10101732,'Dispelled when target takes damage',100,1,3),
(95935,10101732,'Does not affect Epic targets',100,1,4),
(95936,10101732,'Resistibility increases against targets higher than level 96.',100,1,5),
(95937,45835,'Applies Consume Essence when Activated.',100,0,0),
(95938,45835,'Heals group members (AE) for 262 - 320',100,1,1),
(95939,45835,'Dispels 83 levels of any hostile effects on caster',100,1,2),
(95940,10045835,'Applies Consume Essence when Activated.',100,0,0),
(95941,10045835,'Heals group members (AE) for 170 - 208',100,1,1),
(95942,10045835,'Dispels 83 levels of any hostile effects on caster',100,1,2),
(95943,107751,'Stuns target',100,1,0),
(95944,107751,'If Target is not Epic',100,2,1),
(95945,107751,'Inflicts 452 - 754 cold damage on target',100,1,2),
(95946,107751,'Resistibility increases against targets higher than level 59.',100,1,3),
(95947,10107751,'Stuns target',100,1,0),
(95948,10107751,'If Target is not Epic',100,2,1),
(95949,10107751,'Inflicts 633 - 1056 cold damage on target',100,1,2),
(95950,10107751,'Resistibility increases against targets higher than level 59.',100,1,3),
(95951,114922,'Inflicts 542 - 904 melee damage on target',100,1,0),
(95952,114922,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1536',100,1,1),
(95953,114922,'Must be behind',100,1,2),
(95954,10114922,'Inflicts 705 - 1176 melee damage on target',100,1,0),
(95955,10114922,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 768',100,1,1),
(95956,10114922,'Must be behind',100,1,2),
(95957,116615,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(95958,116615,'Increases Mitigation of group members (AE) vs arcane damage by 202',100,1,1),
(95959,10116615,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(95960,10116615,'Increases Mitigation of group members (AE) vs arcane damage by 202',100,1,1),
(95961,116970,'Increases Threat to target by 1,126 - 1,377 ',100,1,0),
(95962,116970,'Interrupts target',100,1,1),
(95963,10116970,'Forces target to change their selected target to caster.',100,1,0),
(95964,10116970,'Interrupts target',100,1,1),
(95965,10116970,'Prevents target from changing targets',100,1,2),
(95966,45269,'Applies Free Snowfang Gnoll when Activated.',100,0,0),
(95967,45269,'Awakens the enthralled Snowfang gnoll.',100,1,1),
(95968,10045269,'Applies Free Snowfang Gnoll when Activated.',100,0,0),
(95969,10045269,'Awakens the enthralled Snowfang gnoll.',100,1,1),
(95970,123136,'Inflicts 512 disease damage on targets in Area of Effect',100,1,0),
(95971,123136,'Inflicts 349 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(95972,10123136,'Inflicts 717 disease damage on targets in Area of Effect',100,1,0),
(95973,10123136,'Inflicts 489 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(95974,124666,'Inflicts 1585 - 1938 cold damage on target encounter',100,1,0),
(95975,124666,'Decreases Piercing, Slashing and Crushing of target encounter by 37.2',100,1,1),
(95976,10124666,'Inflicts 2220 - 2713 cold damage on target encounter',100,1,0),
(95977,10124666,'Decreases Piercing, Slashing and Crushing of target encounter by 37.2',100,1,1),
(95978,172797,'When Equipped:',100,0,0),
(95979,172797,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(95980,172797,'Decreases power of target by 208',100,2,2),
(95981,172797,'Increases power of caster by 114',100,2,3),
(95982,172797,'Cannot be modified except by direct means',100,2,4),
(95983,10172797,'When Equipped:',100,0,0),
(95984,10172797,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(95985,10172797,'Decreases power of target by 208',100,2,2),
(95986,10172797,'Increases power of caster by 114',100,2,3),
(95987,10172797,'Cannot be modified except by direct means',100,2,4),
(95988,124687,'Inflicts 260 - 318 cold damage on target instantly and every 4 seconds',100,1,0),
(95989,124687,'Slows target by 75.0%',100,1,1),
(95990,10124687,'Inflicts 365 - 446 cold damage on target',100,1,0),
(95991,10124687,'Inflicts 317 - 388 cold damage on target every 4 seconds',100,1,1),
(95992,10124687,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(95993,10124687,'Slows target by 75.0%',100,2,3),
(95994,72076,'When Equipped:',100,0,0),
(95995,72076,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(95996,72076,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(95997,72076,'Cannot be modified except by direct means',100,2,3),
(95998,10072076,'When Equipped:',100,0,0),
(95999,10072076,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96000,10072076,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(96001,10072076,'Cannot be modified except by direct means',100,2,3),
(96002,123175,'Reduces physical damage done to caster by 5%',100,1,0),
(96003,123175,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(96004,123175,'Increases Aggression of caster by 17.4',100,1,2),
(96005,123175,'Increases Defense and Parry of caster by 34.9',100,1,3),
(96006,123175,'Increases Mitigation of caster vs elemental damage by 2419',100,1,4),
(96007,123175,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(96008,10123175,'Reduces physical damage done to caster by 5%',100,1,0),
(96009,10123175,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(96010,10123175,'Increases Aggression of caster by 17.4',100,1,2),
(96011,10123175,'Increases Defense and Parry of caster by 34.9',100,1,3),
(96012,10123175,'Increases Mitigation of caster vs elemental damage by 2419',100,1,4),
(96013,10123175,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(96014,45842,'Applies Consume Essence when Activated.',100,0,0),
(96015,45842,'Heals group members (AE) for 375 - 459',100,1,1),
(96016,45842,'Dispels 101 levels of any hostile effects on caster',100,1,2),
(96017,10045842,'Applies Consume Essence when Activated.',100,0,0),
(96018,10045842,'Heals group members (AE) for 244 - 298',100,1,1),
(96019,10045842,'Dispels 101 levels of any hostile effects on caster',100,1,2),
(96020,117560,'Inflicts 4237 - 6355 heat damage on target',100,1,0),
(96021,10117560,'Inflicts 3667 - 5500 heat damage on target',100,1,0),
(96022,191578,'When Equipped:',100,0,0),
(96023,191578,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(96024,191578,'Decreases Attack Speed of target by 11.1 - 18.5',100,2,2),
(96025,191578,'Only affects targets level 60 and below',100,2,3),
(96026,191578,'Cannot be modified except by direct means',100,2,4),
(96027,10191578,'When Equipped:',100,0,0),
(96028,10191578,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(96029,10191578,'Decreases Attack Speed of target by 11.1 - 18.5',100,2,2),
(96030,10191578,'Only affects targets level 60 and below',100,2,3),
(96031,10191578,'Cannot be modified except by direct means',100,2,4),
(96032,123342,'Summons a pet hammer',100,1,0),
(96033,10123342,'Summons a pet hammer',100,1,0),
(96034,48493,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(96035,48493,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(96036,48493,'Decreases AGI of target by 7.7',100,2,2),
(96037,48493,'Cannot be modified except by direct means',100,2,3),
(96038,48493,'Grants a total of 30 triggers of the spell.',100,2,4),
(96039,10048493,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(96040,10048493,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(96041,10048493,'Decreases AGI of target by 7.7',100,2,2),
(96042,10048493,'Cannot be modified except by direct means',100,2,3),
(96043,10048493,'Grants a total of 30 triggers of the spell.',100,2,4),
(96044,117427,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(96045,117427,'Inflicts 293 - 545 melee damage on targets in area',100,2,1),
(96046,117427,'Grants a total of 10 triggers of the spell.',100,2,2),
(96047,10117427,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(96048,10117427,'Inflicts 381 - 708 melee damage on targets in area',100,2,1),
(96049,10117427,'Grants a total of 10 triggers of the spell.',100,2,2),
(96050,159974,'Applies Lambent Imbued when Equipped.',100,0,0),
(96051,159974,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(96052,159974,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(96053,159974,'Cannot be modified except by direct means',100,2,3),
(96054,10159974,'Applies Lambent Imbued when Equipped.',100,0,0),
(96055,10159974,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(96056,10159974,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(96057,10159974,'Cannot be modified except by direct means',100,2,3),
(96058,110579,'Decreases Attack Speed of target by 15.2',100,1,0),
(96059,110579,'Decreases Crushing, Slashing and Piercing of target by 7.8',100,1,1),
(96060,10110579,'Decreases Attack Speed of target by 15.2',100,1,0),
(96061,10110579,'Decreases Crushing, Slashing and Piercing of target by 7.8',100,1,1),
(96062,165441,'When Equipped:',100,0,0),
(96063,165441,'When damaged in combat this spell has a 5% chance to cast Pure Blood on caster.  ',100,1,1),
(96064,165441,'Dispels 80 levels of noxious and arcane hostile effects on caster',100,2,2),
(96065,165441,'Cannot be modified except by direct means',100,2,3),
(96066,10165441,'When Equipped:',100,0,0),
(96067,10165441,'When damaged in combat this spell has a 5% chance to cast Pure Blood on caster.  ',100,1,1),
(96068,10165441,'Dispels 80 levels of noxious and arcane hostile effects on caster',100,2,2),
(96069,10165441,'Cannot be modified except by direct means',100,2,3),
(96070,78985,'When Equipped:',100,0,0),
(96071,78985,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(96072,10078985,'When Equipped:',100,0,0),
(96073,10078985,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(96074,101894,'Inflicts 155 - 259 ranged damage on target',100,1,0),
(96075,101894,'If weapon equipped in Ranged',100,1,1),
(96076,101894,'Must be behind',100,1,2),
(96077,10101894,'Inflicts 132 - 220 ranged damage on target',100,1,0),
(96078,10101894,'If weapon equipped in Ranged',100,1,1),
(96079,10101894,'Must be behind',100,1,2),
(96080,106225,'Inflicts 315 - 945 melee damage on target',100,1,0),
(96081,106225,'Stifles target',100,1,1),
(96082,106225,'If Target is not Epic',100,2,2),
(96083,106225,'Resistibility increases against targets higher than level 83.',100,1,3),
(96084,10106225,'Inflicts 409 - 1228 melee damage on target',100,1,0),
(96085,10106225,'Stifles target',100,1,1),
(96086,10106225,'If Target is not Epic',100,2,2),
(96087,10106225,'Resistibility increases against targets higher than level 83.',100,1,3),
(96088,90426,'When Equipped:',100,0,0),
(96089,90426,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(96090,90426,'Stuns target',100,2,2),
(96091,90426,'Only affects targets level 95 and below',100,2,3),
(96092,90426,'Does not affect Epic targets',100,2,4),
(96093,90426,'Resistibility increases against targets higher than level 111.',100,2,5),
(96094,90426,'Cannot be modified except by direct means',100,2,6),
(96095,10090426,'When Equipped:',100,0,0),
(96096,10090426,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(96097,10090426,'Stuns target',100,2,2),
(96098,10090426,'Only affects targets level 95 and below',100,2,3),
(96099,10090426,'Does not affect Epic targets',100,2,4),
(96100,10090426,'Resistibility increases against targets higher than level 111.',100,2,5),
(96101,10090426,'Cannot be modified except by direct means',100,2,6),
(96102,100064,'Decreases progress by 8.0',100,1,0),
(96103,100064,'Increases the amount of durability gained by 20.0.',100,1,1),
(96104,10100064,'Decreases progress by 8.0',100,1,0),
(96105,10100064,'Increases the amount of durability gained by 20.0.',100,1,1),
(96106,122737,'Applies Tranquil Healing.',100,1,0),
(96107,122737,'Heals target for 568',100,2,1),
(96108,122737,'Dispels 82 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(96109,122737,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(96110,122737,'Heals target for 568',100,3,4),
(96111,10122737,'Applies Tranquil Healing.',100,1,0),
(96112,10122737,'Heals target for 228',100,2,1),
(96113,10122737,'Dispels 82 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(96114,10122737,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(96115,10122737,'Heals target for 228',100,3,4),
(96116,102145,'Inflicts 143 - 239 melee damage on target',100,1,0),
(96117,102145,'Inflicts 143 - 239 melee damage on target',100,1,1),
(96118,10102145,'Inflicts 186 - 311 melee damage on target',100,1,0),
(96119,10102145,'Inflicts 186 - 311 melee damage on target',100,1,1),
(96120,81082,'When Equipped:',100,0,0),
(96121,81082,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96122,81082,'Inflicts 175 - 325 magic damage on target',100,2,2),
(96123,81082,'Cannot be modified except by direct means',100,2,3),
(96124,10081082,'When Equipped:',100,0,0),
(96125,10081082,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96126,10081082,'Inflicts 245 - 455 magic damage on target',100,2,2),
(96127,10081082,'Cannot be modified except by direct means',100,2,3),
(96128,36484,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(96129,116789,'Increases STR, AGI, WIS and INT of target by 49.6',100,1,0),
(96130,116789,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96131,116789,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(96132,116789,'Increases Attack Speed of target by 44.8',100,2,3),
(96133,116789,'Increases Damage Per Second of target by 44.8',100,2,4),
(96134,116789,'Adds 2.6% to base avoidance.',100,1,5),
(96135,116789,'Increases Mitigation of target vs elemental, noxious and arcane damage by 147',100,1,6),
(96136,10116789,'Increases STR, AGI, WIS and INT of target by 49.6',100,1,0),
(96137,10116789,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96138,10116789,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(96139,10116789,'Increases Attack Speed of target by 44.8',100,2,3),
(96140,10116789,'Increases Damage Per Second of target by 44.8',100,2,4),
(96141,10116789,'Adds 2.6% to base avoidance.',100,1,5),
(96142,10116789,'Increases Mitigation of target vs elemental, noxious and arcane damage by 147',100,1,6),
(96143,120629,'Inflicts 1243 - 2308 heat damage on target',100,1,0),
(96144,10120629,'Inflicts 1740 - 3231 heat damage on target',100,1,0),
(96145,41444,'When Equipped:',100,0,0),
(96146,41444,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(96147,41444,'Decreases Threat to target by 236 ',100,2,2),
(96148,41444,'Must be flanking or behind',100,3,3),
(96149,41444,'Increases Threat to target by 236 ',100,2,4),
(96150,41444,'Must be in front of',100,3,5),
(96151,41444,'Inflicts 71 - 132 magic damage on target',100,2,6),
(96152,41444,'Cannot be modified except by direct means',100,2,7),
(96153,10041444,'When Equipped:',100,0,0),
(96154,10041444,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(96155,10041444,'Inflicts 100 - 185 magic damage on target',100,2,2),
(96156,10041444,'Cannot be modified except by direct means',100,2,3),
(96157,35818,'Increases STR of target by 1.6',100,0,0),
(96158,35818,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(96159,46062,'Applies Elixir of Clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(96160,46062,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(96161,10046062,'Applies Elixir of Clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(96162,10046062,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(96163,72063,'When Equipped:',100,0,0),
(96164,72063,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96165,72063,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(96166,72063,'Cannot be modified except by direct means',100,2,3),
(96167,10072063,'When Equipped:',100,0,0),
(96168,10072063,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96169,10072063,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(96170,10072063,'Cannot be modified except by direct means',100,2,3),
(96171,152931,'When Equipped:',100,0,0),
(96172,152931,'Increases Attack Speed of caster by 35.0',100,1,1),
(96173,10152931,'When Equipped:',100,0,0),
(96174,10152931,'Increases Attack Speed of caster by 35.0',100,1,1),
(96175,25562,'When Equipped:',100,0,0),
(96176,25562,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(96177,25562,'Improves the base damage of Judgment VIII by 20%.',100,1,2),
(96178,10025562,'When Equipped:',100,0,0),
(96179,10025562,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(96180,10025562,'Improves the base damage of Judgment VIII by 20%.',100,1,2),
(96181,109567,'Makes target afraid',100,1,0),
(96182,109567,'30% chance to dispel when target takes damage',100,1,1),
(96183,109567,'Does not affect Epic targets',100,1,2),
(96184,109567,'Resistibility increases against targets higher than level 69.',100,1,3),
(96185,10109567,'Makes target afraid',100,1,0),
(96186,10109567,'30% chance to dispel when target takes damage',100,1,1),
(96187,10109567,'Does not affect Epic targets',100,1,2),
(96188,10109567,'Resistibility increases against targets higher than level 69.',100,1,3),
(96189,111597,'Inflicts 26 - 49 cold damage on target instantly and every 4 seconds',100,1,0),
(96190,111597,'Decreases Mitigation of target vs elemental damage by 390',100,1,1),
(96191,10111597,'Inflicts 37 - 69 cold damage on target instantly and every 4 seconds',100,1,0),
(96192,10111597,'Decreases Mitigation of target vs elemental damage by 390',100,1,1),
(96193,111955,'Inflicts 115 - 141 disease damage on target',100,1,0),
(96194,111955,'Decreases Mitigation of target vs noxious damage by 288',100,1,1),
(96195,10111955,'Inflicts 208 - 254 disease damage on target',100,1,0),
(96196,10111955,'Decreases Mitigation of target vs noxious damage by 288',100,1,1),
(96197,117259,'Inflicts 8 - 13 melee damage on target',100,1,0),
(96198,117259,'Decreases Damage Per Second of target by 5.1',100,1,1),
(96199,117259,'Decreases Attack Speed of target by 4.4',100,1,2),
(96200,10117259,'Inflicts 10 - 18 melee damage on target',100,1,0),
(96201,10117259,'Decreases Damage Per Second of target by 5.1',100,1,1),
(96202,10117259,'Decreases Attack Speed of target by 4.4',100,1,2),
(96203,110040,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(96204,110040,'Inflicts 402 - 671 disease damage on target',100,2,1),
(96205,110040,'Heals caster for 2.7 - 4.5% of max health',100,2,2),
(96206,110040,'This effect cannot be critically applied.',100,3,3),
(96207,110040,'The healing of this spell cannot be modified except by direct means',100,2,4),
(96208,10110040,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(96209,10110040,'Inflicts 563 - 939 disease damage on target',100,2,1),
(96210,10110040,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(96211,10110040,'This effect cannot be critically applied.',100,3,3),
(96212,10110040,'The healing of this spell cannot be modified except by direct means',100,2,4),
(96213,100878,'Makes target afraid',100,1,0),
(96214,100878,'30% chance to dispel when target takes damage',100,1,1),
(96215,100878,'Does not affect Epic targets',100,1,2),
(96216,100878,'Resistibility increases against targets higher than level 96.',100,1,3),
(96217,10100878,'Makes target afraid',100,1,0),
(96218,10100878,'30% chance to dispel when target takes damage',100,1,1),
(96219,10100878,'Does not affect Epic targets',100,1,2),
(96220,10100878,'Resistibility increases against targets higher than level 96.',100,1,3),
(96221,81569,'When Equipped:',100,0,0),
(96222,81569,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(96223,81569,'Decreases Threat to target by 376 ',100,2,2),
(96224,81569,'Must be flanking or behind',100,3,3),
(96225,81569,'Increases Threat to target by 376 ',100,2,4),
(96226,81569,'Must be in front of',100,3,5),
(96227,81569,'Inflicts 144 - 268 magic damage on target',100,2,6),
(96228,81569,'Cannot be modified except by direct means',100,2,7),
(96229,10081569,'When Equipped:',100,0,0),
(96230,10081569,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(96231,10081569,'Inflicts 202 - 375 magic damage on target',100,2,2),
(96232,10081569,'Cannot be modified except by direct means',100,2,3),
(96233,177643,'When Equipped:',100,0,0),
(96234,177643,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(96235,177643,'Increases STA of caster by 23.1',100,2,2),
(96236,177643,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(96237,177643,'Cannot be modified except by direct means',100,2,4),
(96238,10177643,'When Equipped:',100,0,0),
(96239,10177643,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(96240,10177643,'Increases STA of caster by 23.1',100,2,2),
(96241,10177643,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(96242,10177643,'Cannot be modified except by direct means',100,2,4),
(96243,107604,'Dazes target encounter',100,1,0),
(96244,107604,'Inflicts 731 - 893 mental damage on target encounter',100,1,1),
(96245,107604,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(96246,107604,'Resistibility increases against targets higher than level 117.',100,1,3),
(96247,10107604,'Dazes target encounter',100,1,0),
(96248,10107604,'Inflicts 1023 - 1250 mental damage on target encounter',100,1,1),
(96249,10107604,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(96250,10107604,'Resistibility increases against targets higher than level 117.',100,1,3),
(96251,113568,'Inflicts 991 - 1651 disease damage on target',100,1,0),
(96252,10113568,'Inflicts 1387 - 2312 disease damage on target',100,1,0),
(96253,113051,'Applies Scream on termination.',100,1,0),
(96254,113051,'Inflicts 85 - 141 disease damage on target',100,2,1),
(96255,113051,'Dazes target',100,1,2),
(96256,113051,'If Target is not Epic',100,2,3),
(96257,113051,'Resistibility increases against targets higher than level 49.',100,1,4),
(96258,10113051,'Dazes target',100,1,0),
(96259,10113051,'If Target is not Epic',100,2,1),
(96260,10113051,'Applies Scream on termination.',100,1,2),
(96261,10113051,'Inflicts 119 - 198 disease damage on target',100,2,3),
(96262,10113051,'Resistibility increases against targets higher than level 49.',100,1,4),
(96263,102994,'Increases STR and AGI of group members (AE) by 122.4',100,1,0),
(96264,10102994,'Increases STR and AGI of group members (AE) by 122.4',100,1,0),
(96265,72110,'When Equipped:',100,0,0),
(96266,72110,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96267,72110,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(96268,72110,'Cannot be modified except by direct means',100,2,3),
(96269,10072110,'When Equipped:',100,0,0),
(96270,10072110,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96271,10072110,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(96272,10072110,'Cannot be modified except by direct means',100,2,3),
(96273,102916,'Inflicts 5 - 6 disease damage on target instantly and every 4 seconds',100,1,0),
(96274,10102916,'Inflicts 9 - 11 disease damage on target',100,1,0),
(96275,10102916,'Inflicts 7 - 8 disease damage on target every 4 seconds',100,1,1),
(96276,119482,'Dazes target encounter',100,1,0),
(96277,119482,'If Target is not Epic',100,2,1),
(96278,119482,'Inflicts 138 - 169 magic damage on target encounter instantly and every second',100,1,2),
(96279,119482,'Resistibility increases against targets higher than level 68.',100,1,3),
(96280,10119482,'Dazes target encounter',100,1,0),
(96281,10119482,'If Target is not Epic',100,2,1),
(96282,10119482,'Inflicts 254 - 311 magic damage on target encounter',100,1,2),
(96283,10119482,'Inflicts 193 - 236 magic damage on target encounter every second',100,1,3),
(96284,10119482,'Resistibility increases against targets higher than level 68.',100,1,4),
(96285,121666,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(96286,121666,'Inflicts 18 - 21 heat damage on target instantly and every second',100,2,1),
(96287,10121666,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(96288,10121666,'Inflicts 25 - 30 heat damage on target instantly and every second',100,2,1),
(96289,122407,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(96290,122407,'Inflicts 20 - 25 piercing damage on target encounter',100,2,1),
(96291,10122407,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(96292,10122407,'Inflicts 28 - 34 piercing damage on target encounter',100,2,1),
(96293,121405,'Inflicts 736 - 900 magic damage on target instantly and every 8 seconds',100,1,0),
(96294,121405,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(96295,121405,'Stuns target',100,2,2),
(96296,121405,'Throws target back',100,2,3),
(96297,121405,'Blurs vision of target',100,2,4),
(96298,121405,'Does not affect Epic targets',100,2,5),
(96299,10121405,'Inflicts 1031 - 1260 magic damage on target instantly and every 8 seconds',100,1,0),
(96300,10121405,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(96301,10121405,'Blurs vision of target',100,2,2),
(96302,10121405,'Stuns target',100,2,3),
(96303,10121405,'Throws target back',100,2,4),
(96304,10121405,'Does not affect Epic targets',100,2,5),
(96305,36119,'Increases WIS and STA of target by 1.2',100,0,0),
(96306,36119,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(96307,48233,'Applies Release the Constructs when Activated.',100,0,0),
(96308,10048233,'Applies Release the Constructs when Activated.',100,0,0),
(96309,120070,'Inflicts 107 - 179 mental damage on target',100,1,0),
(96310,120070,'Inflicts 107 - 179 mental damage on target',100,1,1),
(96311,120070,'Stifles target',100,1,2),
(96312,120070,'If Target is not Epic',100,2,3),
(96313,120070,'If weapon equipped in Ranged',100,1,4),
(96314,120070,'Resistibility increases against targets higher than level 73.',100,1,5),
(96315,10120070,'Inflicts 122 - 203 mental damage on target',100,1,0),
(96316,10120070,'Inflicts 122 - 203 mental damage on target',100,1,1),
(96317,10120070,'Stifles target',100,1,2),
(96318,10120070,'If Target is not Epic',100,2,3),
(96319,10120070,'If weapon equipped in Ranged',100,1,4),
(96320,10120070,'Resistibility increases against targets higher than level 73.',100,1,5),
(96321,108605,'Feigns Death with 59% chance of success',100,1,0),
(96322,10108605,'Feigns Death with 59% chance of success',100,1,0),
(96323,109914,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(96324,109914,'Inflicts 126 - 154 poison damage on target instantly and every 4 seconds',100,2,1),
(96325,10109914,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(96326,10109914,'Inflicts 176 - 216 poison damage on target instantly and every 4 seconds',100,2,1),
(96327,107249,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(96328,107249,'Summons a limited pet to aid the caster',100,2,1),
(96329,107249,'If profession other than Illusionist',100,1,2),
(96330,107249,'Must be engaged in combat',100,1,3),
(96331,10107249,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(96332,10107249,'Summons a limited pet to aid the caster',100,2,1),
(96333,10107249,'If profession other than Illusionist',100,1,2),
(96334,10107249,'Must be engaged in combat',100,1,3),
(96335,135026,'When Equipped:',100,0,0),
(96336,135026,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(96337,135026,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,2),
(96338,135026,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,3),
(96339,135026,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(96340,135026,'Must not be engaged in pvp combat',100,2,5),
(96341,135026,'Cannot be modified except by direct means',100,2,6),
(96342,135026,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(96343,135026,'Must not be engaged in pvp combat',100,1,8),
(96344,135026,'When Equipped:',100,0,9),
(96345,135026,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(96346,135026,'Inflicts 2664 cold damage on target encounter',100,2,11),
(96347,135026,'Must not be engaged in pvp combat',100,2,12),
(96348,135026,'Cannot be modified except by direct means',100,2,13),
(96349,135026,'Must not be engaged in pvp combat',100,1,14),
(96350,10135026,'When Equipped:',100,0,0),
(96351,10135026,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(96352,10135026,'Inflicts 974 - 1077 piercing damage on target instantly and every 3 seconds',100,2,2),
(96353,10135026,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,3),
(96354,10135026,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(96355,10135026,'Must not be engaged in pvp combat',100,2,5),
(96356,10135026,'Cannot be modified except by direct means',100,2,6),
(96357,10135026,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(96358,10135026,'Must not be engaged in pvp combat',100,1,8),
(96359,10135026,'When Equipped:',100,0,9),
(96360,10135026,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(96361,10135026,'Inflicts 1865 cold damage on target encounter',100,2,11),
(96362,10135026,'Must not be engaged in pvp combat',100,2,12),
(96363,10135026,'Cannot be modified except by direct means',100,2,13),
(96364,10135026,'Must not be engaged in pvp combat',100,1,14),
(96365,182538,'When Equipped:',100,0,0),
(96366,182538,'On a hit this spell may cast Storm of Memories on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96367,182538,'Increases Damage Per Second of caster by 35.0',100,2,2),
(96368,182538,'Increases Attack Speed of caster by 35.0',100,2,3),
(96369,182538,'Cannot be modified except by direct means',100,2,4),
(96370,10182538,'When Equipped:',100,0,0),
(96371,10182538,'On a hit this spell may cast Storm of Memories on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96372,10182538,'Increases Damage Per Second of caster by 35.0',100,2,2),
(96373,10182538,'Increases Attack Speed of caster by 35.0',100,2,3),
(96374,10182538,'Cannot be modified except by direct means',100,2,4),
(96375,113153,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,0),
(96376,113153,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(96377,113153,'Inflicts 331 disease damage on target',100,2,2),
(96378,113153,'Heals caster for 180',100,2,3),
(96379,113153,'Shapechanges caster into a necrolich',100,1,4),
(96380,10113153,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,0),
(96381,10113153,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(96382,10113153,'Inflicts 463 disease damage on target',100,2,2),
(96383,10113153,'Heals caster for 211',100,2,3),
(96384,10113153,'Shapechanges caster into a necrolich',100,1,4),
(96385,100166,'Inflicts 468 - 870 disease damage on target encounter',100,1,0),
(96386,10100166,'Inflicts 656 - 1218 disease damage on target encounter',100,1,0),
(96387,36079,'Increases STA of target by 5.8',100,0,0),
(96388,36079,'Increases outgoing damaging spell amount by 2%',100,0,1),
(96389,36079,'Increases INT of target by 5.8',100,0,2),
(96390,36079,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,3),
(96391,100636,'Wipes target''s memory of any aggression',100,1,0),
(96392,100636,'Stuns target',100,1,1),
(96393,100636,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(96394,100636,'Resistibility increases against targets higher than level 103.',100,1,3),
(96395,10100636,'Forces target to clear their selected target.',100,1,0),
(96396,10100636,'Prevents target from changing targets',100,1,1),
(96397,10100636,'Stuns target',100,1,2),
(96398,10100636,'If Target is not Epic',100,2,3),
(96399,10100636,'Resistibility increases against targets higher than level 103.',100,1,4),
(96400,119996,'Increases Threat to target by 845 - 1,032 ',100,1,0),
(96401,10119996,'Prevents target from changing targets',100,1,0),
(96402,10119996,'Forces target to change their selected target to caster.',100,1,1),
(96403,80568,'When Equipped:',100,0,0),
(96404,80568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96405,80568,'Inflicts 104 - 194 magic damage on target',100,2,2),
(96406,80568,'Cannot be modified except by direct means',100,2,3),
(96407,10080568,'When Equipped:',100,0,0),
(96408,10080568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96409,10080568,'Inflicts 146 - 271 magic damage on target',100,2,2),
(96410,10080568,'Cannot be modified except by direct means',100,2,3),
(96411,122682,'Decreases Defense of target by 25.3',100,1,0),
(96412,122682,'Decreases Mitigation of target vs physical damage by 442',100,1,1),
(96413,10122682,'Decreases Defense of target by 25.3',100,1,0),
(96414,10122682,'Decreases Mitigation of target vs physical damage by 442',100,1,1),
(96415,103666,'Interrupts target',100,1,0),
(96416,103666,'Inflicts 143 - 239 melee damage on target',100,1,1),
(96417,103666,'Must be flanking or behind',100,1,2),
(96418,10103666,'Interrupts target',100,1,0),
(96419,10103666,'Inflicts 186 - 311 melee damage on target',100,1,1),
(96420,10103666,'Must be flanking or behind',100,1,2),
(96421,120904,'Stifles target',100,1,0),
(96422,120904,'Inflicts 899 - 1099 mental damage on target',100,1,1),
(96423,120904,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(96424,120904,'Resistibility increases against targets higher than level 111.',100,1,3),
(96425,10120904,'Stifles target',100,1,0),
(96426,10120904,'Inflicts 1259 - 1538 mental damage on target',100,1,1),
(96427,10120904,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(96428,10120904,'Resistibility increases against targets higher than level 111.',100,1,3),
(96429,108538,'Increases AGI and WIS of group members (AE) by 97.0',100,1,0),
(96430,108538,'Adds 2.1% to base avoidance.',100,1,1),
(96431,108538,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 272',100,1,2),
(96432,10108538,'Increases AGI and WIS of group members (AE) by 97.0',100,1,0),
(96433,10108538,'Adds 2.1% to base avoidance.',100,1,1),
(96434,10108538,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 272',100,1,2),
(96435,37560,'Increases AGI and STA of target by 4.6',100,0,0),
(96436,37560,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,1),
(96437,37560,'Increases Attack Speed of target by 8.0',100,0,2),
(96438,48075,'Applies Possessed Rat when Activated.',100,0,0),
(96439,48075,'Prevents AOE (except when direct) ',100,1,1),
(96440,48075,'Summons a pet Sir Gnawser Chow',100,1,2),
(96441,48075,'Feigns Death with 100% chance of success',100,1,3),
(96442,48075,'Updates a specific part of the Quest \"A Rat''s a Rat''s a Rat\"',100,1,4),
(96443,48075,'must be in a particular area',100,1,5),
(96444,10048075,'Applies Possessed Rat when Activated.',100,0,0),
(96445,10048075,'Prevents AOE (except when direct) ',100,1,1),
(96446,10048075,'Summons a pet Sir Gnawser Chow',100,1,2),
(96447,10048075,'Feigns Death with 100% chance of success',100,1,3),
(96448,10048075,'Updates a specific part of the Quest \"A Rat''s a Rat''s a Rat\"',100,1,4),
(96449,10048075,'must be in a particular area',100,1,5),
(96450,114532,'Heals target for 991 - 1211',100,1,0),
(96451,10114532,'Heals target for 1288 - 1574',100,1,0),
(96452,116253,'Summons a pet Illusion Ally',100,1,0),
(96453,10116253,'Summons a pet Illusion Ally',100,1,0),
(96454,108579,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(96455,108579,'Increases AGI, STR, WIS and INT of group members (AE) by 20.0',100,2,1),
(96456,108579,'Increases STA of group members (AE) by 40.1',100,2,2),
(96457,108579,'Adds 0.7% to base avoidance.',100,2,3),
(96458,108579,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 52',100,2,4),
(96459,108579,'Heals group members (AE) for 52 - 64 instantly and every 3 seconds',100,2,5),
(96460,10108579,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(96461,10108579,'Increases AGI, STR, WIS and INT of group members (AE) by 20.0',100,2,1),
(96462,10108579,'Increases STA of group members (AE) by 40.1',100,2,2),
(96463,10108579,'Adds 0.7% to base avoidance.',100,2,3),
(96464,10108579,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 52',100,2,4),
(96465,10108579,'Heals group members (AE) for 34 - 42 instantly and every 3 seconds',100,2,5),
(96466,114582,'Inflicts 368 - 614 ranged damage on target',100,1,0),
(96467,114582,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(96468,114582,'Requires bow',100,1,2),
(96469,10114582,'Inflicts 389 - 648 ranged damage on target',100,1,0),
(96470,10114582,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(96471,10114582,'Requires bow',100,1,2),
(96472,103147,'Throws target back',100,1,0),
(96473,103147,'If Target is not Epic',100,2,1),
(96474,103147,'Inflicts 14 - 44 crushing damage on target',100,1,2),
(96475,103147,'Stuns target',100,1,3),
(96476,103147,'If Target is not Epic',100,2,4),
(96477,103147,'Resistibility increases against targets higher than level 37.',100,1,5),
(96478,10103147,'Throws target back',100,1,0),
(96479,10103147,'If Target is not Epic',100,2,1),
(96480,10103147,'Inflicts 19 - 57 crushing damage on target',100,1,2),
(96481,10103147,'Stuns target',100,1,3),
(96482,10103147,'If Target is not Epic',100,2,4),
(96483,10103147,'Resistibility increases against targets higher than level 37.',100,1,5),
(96484,101380,'Reduces physical damage done to caster by 5%',100,1,0),
(96485,101380,'Adds 2.1% to base avoidance.',100,1,1),
(96486,101380,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(96487,101380,'Increases Aggression of caster by 27.3',100,1,3),
(96488,101380,'Increases Defense and Parry of caster by 43.7',100,1,4),
(96489,101380,'Increases Mitigation of caster vs noxious and arcane damage by 268',100,1,5),
(96490,101380,'Increases Mitigation of caster vs elemental damage by 2677',100,1,6),
(96491,101380,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(96492,10101380,'Reduces physical damage done to caster by 5%',100,1,0),
(96493,10101380,'Adds 2.1% to base avoidance.',100,1,1),
(96494,10101380,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(96495,10101380,'Increases Aggression of caster by 27.3',100,1,3),
(96496,10101380,'Increases Defense and Parry of caster by 43.7',100,1,4),
(96497,10101380,'Increases Mitigation of caster vs noxious and arcane damage by 268',100,1,5),
(96498,10101380,'Increases Mitigation of caster vs elemental damage by 2677',100,1,6),
(96499,10101380,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(96500,113330,'Inflicts 161 - 196 divine damage on target encounter',100,1,0),
(96501,113330,'Interrupts target encounter',100,1,1),
(96502,10113330,'Inflicts 225 - 275 divine damage on target encounter',100,1,0),
(96503,10113330,'Interrupts target encounter',100,1,1),
(96504,108104,'Decreases Threat to target by 600 - 1,000 ',100,1,0),
(96505,10108104,'Forces target to clear their selected target.',100,1,0),
(96506,10108104,'Target cannot target caster for the duration of this effect.',100,1,1),
(96507,87514,'When Equipped:',100,0,0),
(96508,87514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96509,87514,'Inflicts 276 - 413 magic damage on target',100,2,2),
(96510,87514,'Cannot be modified except by direct means',100,2,3),
(96511,10087514,'When Equipped:',100,0,0),
(96512,10087514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96513,10087514,'Inflicts 386 - 579 magic damage on target',100,2,2),
(96514,10087514,'Cannot be modified except by direct means',100,2,3),
(96515,76859,'When Equipped:',100,0,0),
(96516,76859,'Increases the damage of stealth attacks by 30%.',100,1,1),
(96517,76859,'When Equipped:',100,0,2),
(96518,76859,'Caster has a 15.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,3),
(96519,76859,'When Equipped:',100,0,4),
(96520,76859,'On a combat hit this spell may cast Flurry of Poison on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(96521,76859,'Increases Crit Chance of caster by 15.0',100,2,6),
(96522,76859,'Inflicts 619 - 928 poison damage on target',100,2,7),
(96523,76859,'Cannot be modified except by direct means',100,2,8),
(96524,76859,'Cannot be modified except by direct means',100,1,9),
(96525,10076859,'When Equipped:',100,0,0),
(96526,10076859,'Increases the damage of stealth attacks by 30%.',100,1,1),
(96527,10076859,'When Equipped:',100,0,2),
(96528,10076859,'Caster has a 15.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,3),
(96529,10076859,'When Equipped:',100,0,4),
(96530,10076859,'On a combat hit this spell may cast Flurry of Poison on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(96531,10076859,'Increases Crit Chance of caster by 15.0',100,2,6),
(96532,10076859,'Inflicts 866 - 1300 poison damage on target',100,2,7),
(96533,10076859,'Cannot be modified except by direct means',100,2,8),
(96534,10076859,'Cannot be modified except by direct means',100,1,9),
(96535,102055,'Interrupts targets in Area of Effect',100,1,0),
(96536,102055,'Inflicts 274 - 457 melee damage on targets in area',100,1,1),
(96537,10102055,'Interrupts targets in Area of Effect',100,1,0),
(96538,10102055,'Inflicts 357 - 595 melee damage on targets in area',100,1,1),
(96539,110751,'Heals target for 243 - 297',100,1,0),
(96540,110751,'Increases Max Health of target by 36.9',100,1,1),
(96541,10110751,'Heals target for 158 - 193',100,1,0),
(96542,10110751,'Increases Max Health of target by 36.9',100,1,1),
(96543,47610,'Applies Rested Mind and Body when Activated.',100,0,0),
(96544,47610,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(96545,10047610,'Applies Rested Mind and Body when Activated.',100,0,0),
(96546,10047610,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(96547,118117,'Heals target for 374 - 457',100,1,0),
(96548,10118117,'Heals target for 442 - 541',100,1,0),
(96549,79355,'When Equipped:',100,0,0),
(96550,79355,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(96551,10079355,'When Equipped:',100,0,0),
(96552,10079355,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(96553,109665,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(96554,109665,'Increases Mitigation of group members (AE) vs arcane damage by 164',100,1,1),
(96555,10109665,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(96556,10109665,'Increases Mitigation of group members (AE) vs arcane damage by 164',100,1,1),
(96557,111843,'Inflicts 355 - 592 melee damage on target',100,1,0),
(96558,111843,'Roots target',100,1,1),
(96559,111843,'If Target is not Epic',100,2,2),
(96560,111843,'Resistibility increases against targets higher than level 98.',100,1,3),
(96561,10111843,'Inflicts 417 - 695 melee damage on target',100,1,0),
(96562,10111843,'Roots target',100,1,1),
(96563,10111843,'If Target is not Epic',100,2,2),
(96564,10111843,'Resistibility increases against targets higher than level 98.',100,1,3),
(96565,45083,'Applies Release Tainted Crawler when Activated.',100,0,0),
(96566,10045083,'Applies Release Tainted Crawler when Activated.',100,0,0),
(96567,172811,'When Equipped:',100,0,0),
(96568,172811,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96569,172811,'Wards caster against 1300 points of all damage',100,2,2),
(96570,172811,'This effect stacks with the Runic Deflection line.',100,2,3),
(96571,172811,'Cannot be modified except by direct means',100,2,4),
(96572,10172811,'When Equipped:',100,0,0),
(96573,10172811,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96574,10172811,'Wards caster against 1300 points of all damage',100,2,2),
(96575,10172811,'This effect stacks with the Runic Deflection line.',100,2,3),
(96576,10172811,'Cannot be modified except by direct means',100,2,4),
(96577,121952,'Inflicts 48 - 79 disease damage on target',100,1,0),
(96578,121952,'Decreases Defense of target by 13.0',100,1,1),
(96579,121952,'Interrupts target',100,1,2),
(96580,10121952,'Inflicts 67 - 111 disease damage on target',100,1,0),
(96581,10121952,'Decreases Defense of target by 13.0',100,1,1),
(96582,10121952,'Interrupts target',100,1,2),
(96583,100716,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(96584,100716,'Increases Mitigation of group members (AE) vs noxious damage by 600',100,1,1),
(96585,10100716,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(96586,10100716,'Increases Mitigation of group members (AE) vs noxious damage by 600',100,1,1),
(96587,105398,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(96588,105398,'Inflicts 216 melee damage on target',100,2,1),
(96589,105398,'Interrupts target',100,2,2),
(96590,105398,'Decreases Defense of caster by 28.6',100,1,3),
(96591,105398,'Increases Piercing, Slashing, Ranged and Crushing of caster by 62.0',100,1,4),
(96592,10105398,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(96593,10105398,'Inflicts 281 melee damage on target',100,2,1),
(96594,10105398,'Interrupts target',100,2,2),
(96595,10105398,'Decreases Defense of caster by 28.6',100,1,3),
(96596,10105398,'Increases Piercing, Slashing, Ranged and Crushing of caster by 62.0',100,1,4),
(96597,47731,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(96598,47731,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(96599,47731,'Decreases Attack Speed of target by 17.1',100,2,2),
(96600,47731,'Cannot be modified except by direct means',100,2,3),
(96601,47731,'Grants a total of 60 triggers of the spell.',100,2,4),
(96602,10047731,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(96603,10047731,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(96604,10047731,'Decreases Attack Speed of target by 17.1',100,2,2),
(96605,10047731,'Cannot be modified except by direct means',100,2,3),
(96606,10047731,'Grants a total of 60 triggers of the spell.',100,2,4),
(96607,102741,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(96608,102741,'Stuns target',100,2,1),
(96609,102741,'If Target is not Epic',100,3,2),
(96610,102741,'Inflicts 235 - 392 divine damage on target',100,2,3),
(96611,102741,'Inflicts 202 - 336 divine damage on target',100,2,4),
(96612,102741,'If target is undead',100,3,5),
(96613,10102741,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(96614,10102741,'Stuns target',100,2,1),
(96615,10102741,'Inflicts 494 - 824 divine damage on target',100,2,2),
(96616,10102741,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(96617,46533,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(96618,46533,'Increases Max Health of caster by 372.6',100,1,1),
(96619,10046533,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(96620,10046533,'Increases Max Health of caster by 372.6',100,1,1),
(96621,189177,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(96622,189177,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(96623,189177,'Decreases Threat to target encounter by 388 - 646 ',100,2,2),
(96624,189177,'Cannot be modified except by direct means',100,2,3),
(96625,189177,'The reuse time of Distracting Aura is 30 minutes',100,1,4),
(96626,10189177,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(96627,10189177,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(96628,10189177,'Applies Distract.',100,2,2),
(96629,10189177,'Forces target to clear their selected target.',100,3,3),
(96630,10189177,'Cannot be modified except by direct means',100,2,4),
(96631,10189177,'The reuse time of Distracting Aura is 30 minutes',100,1,5),
(96632,120848,'Inflicts 63 - 86 disease damage on target instantly and every second',100,1,0),
(96633,10120848,'Inflicts 124 - 168 disease damage on target',100,1,0),
(96634,10120848,'Inflicts 89 - 120 disease damage on target every second',100,1,1),
(96635,47317,'Applies Stormfeather''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(96636,47317,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(96637,47317,'Inflicts 20 magic damage on target',100,2,2),
(96638,47317,'Cannot be modified except by direct means',100,2,3),
(96639,10047317,'Applies Stormfeather''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(96640,10047317,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(96641,10047317,'Inflicts 28 magic damage on target',100,2,2),
(96642,10047317,'Cannot be modified except by direct means',100,2,3),
(96643,79351,'When Equipped:',100,0,0),
(96644,79351,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(96645,10079351,'When Equipped:',100,0,0),
(96646,10079351,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(96647,122355,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(96648,122355,'Inflicts 27 - 33 piercing damage on target',100,2,1),
(96649,10122355,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(96650,10122355,'Inflicts 38 - 46 piercing damage on target',100,2,1),
(96651,41535,'When Equipped:',100,0,0),
(96652,41535,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96653,41535,'Inflicts 144 - 268 magic damage on target',100,2,2),
(96654,41535,'Cannot be modified except by direct means',100,2,3),
(96655,10041535,'When Equipped:',100,0,0),
(96656,10041535,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96657,10041535,'Inflicts 202 - 375 magic damage on target',100,2,2),
(96658,10041535,'Cannot be modified except by direct means',100,2,3),
(96659,159779,'Applies Sanguine Imbued when Equipped.',100,0,0),
(96660,159779,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(96661,159779,'Inflicts 130 heat damage on target',100,2,2),
(96662,159779,'Cannot be modified except by direct means',100,2,3),
(96663,10159779,'Applies Sanguine Imbued when Equipped.',100,0,0),
(96664,10159779,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(96665,10159779,'Inflicts 182 heat damage on target',100,2,2),
(96666,10159779,'Cannot be modified except by direct means',100,2,3),
(96667,106801,'Decreases STR and AGI of target encounter by 71.1',100,1,0),
(96668,10106801,'Decreases STR and AGI of target encounter by 71.1',100,1,0),
(96669,49080,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(96670,49080,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(96671,49080,'Decreases power of target by 69',100,2,2),
(96672,49080,'Cannot be modified except by direct means',100,2,3),
(96673,49080,'Grants a total of 4 triggers of the spell.',100,2,4),
(96674,10049080,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(96675,10049080,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(96676,10049080,'Decreases power of target by 69',100,2,2),
(96677,10049080,'Cannot be modified except by direct means',100,2,3),
(96678,10049080,'Grants a total of 4 triggers of the spell.',100,2,4),
(96679,140793,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(96680,140793,'Decreases WIS, AGI, STR and INT of target by 23.0',100,1,1),
(96681,140793,'Decreases Max Health of target by 1.0%',100,1,2),
(96682,140793,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(96683,10140793,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(96684,10140793,'Decreases WIS, AGI, STR and INT of target by 23.0',100,1,1),
(96685,10140793,'Decreases Max Health of target by 1.0%',100,1,2),
(96686,10140793,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(96687,122430,'Sets a trap',100,1,0),
(96688,10122430,'Sets a trap',100,1,0),
(96689,122166,'Inflicts 66 - 81 cold damage on target instantly and every 2 seconds',100,1,0),
(96690,122166,'Inflicts 66 - 81 cold damage on target instantly and every 2 seconds',100,1,1),
(96691,122166,'If target is elemental',100,2,2),
(96692,10122166,'Inflicts 93 - 113 cold damage on target instantly and every 2 seconds',100,1,0),
(96693,103726,'Increases Max Health of raid and group members (AE) by 477.7',100,1,0),
(96694,103726,'Increases Defense of raid and group members (AE) by 16.4',100,1,1),
(96695,10103726,'Increases Max Health of raid and group members (AE) by 477.7',100,1,0),
(96696,10103726,'Increases Defense of raid and group members (AE) by 16.4',100,1,1),
(96697,107811,'Increases Threat to target encounter by 724 - 885 ',100,1,0),
(96698,10107811,'Prevents target encounter from changing targets',100,1,0),
(96699,10107811,'Forces target encounter to change their selected target to caster.',100,1,1),
(96700,154480,'When Equipped:',100,0,0),
(96701,154480,'Increases Attack Speed of caster by 45.0',100,1,1),
(96702,10154480,'When Equipped:',100,0,0),
(96703,10154480,'Increases Attack Speed of caster by 45.0',100,1,1),
(96704,52711,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(96705,52711,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(96706,52711,'Inflicts 41 heat damage on target',100,2,2),
(96707,52711,'Cannot be modified except by direct means',100,2,3),
(96708,10052711,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(96709,10052711,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(96710,10052711,'Inflicts 57 heat damage on target',100,2,2),
(96711,10052711,'Cannot be modified except by direct means',100,2,3),
(96712,124467,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(96713,124467,'Inflicts 438 - 731 melee damage on target',100,2,1),
(96714,124467,'Decreases Defense of caster by 29.8',100,1,2),
(96715,124467,'Increases Slashing, Piercing, Ranged and Crushing of caster by 51.2',100,1,3),
(96716,10124467,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(96717,10124467,'Inflicts 570 - 950 melee damage on target',100,2,1),
(96718,10124467,'Decreases Defense of caster by 29.8',100,1,2),
(96719,10124467,'Increases Slashing, Piercing, Ranged and Crushing of caster by 51.2',100,1,3),
(96720,40630,'When Equipped:',100,0,0),
(96721,40630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96722,40630,'Inflicts 48 - 73 magic damage on target',100,2,2),
(96723,40630,'Cannot be modified except by direct means',100,2,3),
(96724,10040630,'When Equipped:',100,0,0),
(96725,10040630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96726,10040630,'Inflicts 68 - 102 magic damage on target',100,2,2),
(96727,10040630,'Cannot be modified except by direct means',100,2,3),
(96728,119749,'Wards group members (AE) against 241 points of elemental, noxious and arcane damage',100,1,0),
(96729,119749,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,1),
(96730,10119749,'Wards group members (AE) against 241 points of elemental, noxious and arcane damage',100,1,0),
(96731,10119749,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,1),
(96732,147466,'When Equipped:',100,0,0),
(96733,147466,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(96734,147466,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(96735,147466,'Dispelled when target casts a hostile spell',100,2,3),
(96736,147466,'Dispelled when target casts a combat art',100,2,4),
(96737,147466,'Cannot be modified except by direct means',100,2,5),
(96738,10147466,'When Equipped:',100,0,0),
(96739,10147466,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(96740,10147466,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(96741,10147466,'Dispelled when target casts a hostile spell',100,2,3),
(96742,10147466,'Dispelled when target casts a combat art',100,2,4),
(96743,10147466,'Cannot be modified except by direct means',100,2,5),
(96744,109710,'Inflicts 53 - 89 cold damage on target',100,1,0),
(96745,109710,'If weapon equipped in Ranged',100,1,1),
(96746,10109710,'Inflicts 45 - 75 cold damage on target',100,1,0),
(96747,10109710,'If weapon equipped in Ranged',100,1,1),
(96748,118040,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(96749,118040,'Stuns target',100,2,1),
(96750,118040,'If Target is not Epic',100,3,2),
(96751,118040,'Inflicts 329 - 548 divine damage on target',100,2,3),
(96752,118040,'Grants a total of 3 triggers of the spell.',100,2,4),
(96753,10118040,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(96754,10118040,'Stuns target',100,2,1),
(96755,10118040,'If Target is not Epic',100,3,2),
(96756,10118040,'Inflicts 460 - 767 divine damage on target',100,2,3),
(96757,10118040,'Grants a total of 3 triggers of the spell.',100,2,4),
(96758,107395,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(96759,107395,'Slows target by 52.3%',100,2,1),
(96760,107395,'5% chance to dispel when target receives hostile action',100,2,2),
(96761,107395,'5% chance to dispel when target takes damage',100,2,3),
(96762,107395,'Inflicts 756 - 1259 disease damage on target',100,1,4),
(96763,10107395,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(96764,10107395,'Slows target by 52.3%',100,2,1),
(96765,10107395,'5% chance to dispel when target receives hostile action',100,2,2),
(96766,10107395,'5% chance to dispel when target takes damage',100,2,3),
(96767,10107395,'Inflicts 1058 - 1763 disease damage on target',100,1,4),
(96768,111990,'Heals target for 142 - 173',100,1,0),
(96769,10111990,'Heals target for 92 - 113',100,1,0),
(96770,41447,'When Equipped:',100,0,0),
(96771,41447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96772,41447,'Inflicts 64 - 119 magic damage on target',100,2,2),
(96773,41447,'Cannot be modified except by direct means',100,2,3),
(96774,10041447,'When Equipped:',100,0,0),
(96775,10041447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96776,10041447,'Inflicts 90 - 167 magic damage on target',100,2,2),
(96777,10041447,'Cannot be modified except by direct means',100,2,3),
(96778,115126,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(96779,115126,'Increases WIS of target by 60.2',100,2,1),
(96780,115126,'Heals target for 582',100,2,2),
(96781,115126,'Heals target for 145 every 2 seconds',100,2,3),
(96782,115126,'Grants a total of 1 trigger of the spell.',100,2,4),
(96783,10115126,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(96784,10115126,'Increases WIS of target by 60.2',100,2,1),
(96785,10115126,'Heals target for 378',100,2,2),
(96786,10115126,'Heals target for 94 every 2 seconds',100,2,3),
(96787,10115126,'Grants a total of 1 trigger of the spell.',100,2,4),
(96788,115549,'Increases Mitigation of raid and group members (AE) vs noxious damage by 868',100,1,0),
(96789,10115549,'Increases Mitigation of raid and group members (AE) vs noxious damage by 868',100,1,0),
(96790,47754,'Applies Research Time Reduction when Activated.',100,0,0),
(96791,47754,'Reduces the time remaining on the spell being actively researched by one day.',100,1,1),
(96792,47754,'Special: See Description',100,1,2),
(96793,47754,'Cannot be modified except by direct means',100,1,3),
(96794,10047754,'Applies Research Time Reduction when Activated.',100,0,0),
(96795,10047754,'Reduces the time remaining on the spell being actively researched by one day.',100,1,1),
(96796,10047754,'Special: See Description',100,1,2),
(96797,10047754,'Cannot be modified except by direct means',100,1,3),
(96798,117801,'Mesmerizes target',100,1,0),
(96799,117801,'Prevents AOE (except when direct) ',100,1,1),
(96800,117801,'Dispelled when target takes damage',100,1,2),
(96801,117801,'Epic targets gain an immunity to Mesmerize effects of 52.5 seconds and duration is reduced to 5.8 seconds.',100,1,3),
(96802,117801,'Resistibility increases against targets higher than level 83.',100,1,4),
(96803,10117801,'Mesmerizes target',100,1,0),
(96804,10117801,'Prevents AOE (except when direct) ',100,1,1),
(96805,10117801,'Dispelled when target takes damage',100,1,2),
(96806,10117801,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(96807,10117801,'Resistibility increases against targets higher than level 83.',100,1,4),
(96808,46812,'Applies Loosely Wired Heart Stopper when Activated.  Lasts for 3 minutes.',100,0,0),
(96809,46812,'Feigns Death with 50% chance of success',100,1,1),
(96810,46812,'Increases Threat to caster by 200 ',50,1,2),
(96811,10046812,'Applies Loosely Wired Heart Stopper when Activated.  Lasts for 3 minutes.',100,0,0),
(96812,10046812,'Feigns Death with 50% chance of success',100,1,1),
(96813,82762,'When Equipped:',100,0,0),
(96814,82762,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(96815,82762,'Decreases Threat to target by 1,174 ',100,2,2),
(96816,82762,'Must be flanking or behind',100,3,3),
(96817,82762,'Increases Threat to target by 1,174 ',100,2,4),
(96818,82762,'Must be in front of',100,3,5),
(96819,82762,'Inflicts 314 - 584 magic damage on target',100,2,6),
(96820,82762,'Cannot be modified except by direct means',100,2,7),
(96821,10082762,'When Equipped:',100,0,0),
(96822,10082762,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(96823,10082762,'Inflicts 440 - 817 magic damage on target',100,2,2),
(96824,10082762,'Cannot be modified except by direct means',100,2,3),
(96825,152472,'When Equipped:',100,0,0),
(96826,152472,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(96827,10152472,'When Equipped:',100,0,0),
(96828,10152472,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(96829,189910,'When Equipped:',100,0,0),
(96830,189910,'On a hit this spell may cast Bladed Fury on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96831,189910,'Inflicts 337 slashing damage on target',100,2,2),
(96832,189910,'Inflicts 108 slashing damage on target every 3 seconds',100,2,3),
(96833,189910,'Increases Damage Per Second of caster by 14.0',100,2,4),
(96834,189910,'Cannot be modified except by direct means',100,2,5),
(96835,10189910,'When Equipped:',100,0,0),
(96836,10189910,'On a hit this spell may cast Bladed Fury on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96837,10189910,'Inflicts 471 slashing damage on target',100,2,2),
(96838,10189910,'Inflicts 151 slashing damage on target every 3 seconds',100,2,3),
(96839,10189910,'Increases Damage Per Second of caster by 14.0',100,2,4),
(96840,10189910,'Cannot be modified except by direct means',100,2,5),
(96841,108824,'Inflicts 696 - 1293 heat damage on targets in Area of Effect',100,1,0),
(96842,10108824,'Inflicts 975 - 1811 heat damage on targets in Area of Effect',100,1,0),
(96843,89486,'When Equipped:',100,0,0),
(96844,89486,'On a combat hit this spell may cast Turadramin''s Venom on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96845,89486,'Inflicts 94 - 115 poison damage on target',100,2,2),
(96846,89486,'Inflicts 62 - 76 poison damage on target every 4 seconds',100,2,3),
(96847,89486,'Cannot be modified except by direct means',100,2,4),
(96848,10089486,'When Equipped:',100,0,0),
(96849,10089486,'On a combat hit this spell may cast Turadramin''s Venom on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(96850,10089486,'Inflicts 132 - 161 poison damage on target',100,2,2),
(96851,10089486,'Inflicts 87 - 106 poison damage on target every 4 seconds',100,2,3),
(96852,10089486,'Cannot be modified except by direct means',100,2,4),
(96853,120119,'Shapechanges caster into a chaos essence',100,1,0),
(96854,120119,'Increases WIS of caster by 117.0',100,1,1),
(96855,120119,'Grants See Invisibility to caster',100,1,2),
(96856,120119,'Increases Max Health of caster by 519.6',100,1,3),
(96857,120119,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',100,1,4),
(96858,10120119,'Shapechanges caster into a chaos essence',100,1,0),
(96859,10120119,'Increases WIS of caster by 117.0',100,1,1),
(96860,10120119,'Grants See Invisibility to caster',100,1,2),
(96861,10120119,'Increases Max Health of caster by 519.6',100,1,3),
(96862,10120119,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',100,1,4),
(96863,163265,'When Equipped:',100,0,0),
(96864,163265,'On any combat or spell hit this spell may cast Fatal Pestilience VIII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96865,163265,'Inflicts 218 - 241 disease damage on targets in Area of Effect',100,2,2),
(96866,163265,'Inflicts 272 - 301 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(96867,163265,'Inflicts an additional 10 - 12 disease damage on targets in Area of Effect every tick',100,2,4),
(96868,163265,'Must not be engaged in pvp combat',100,2,5),
(96869,163265,'Cannot be modified except by direct means',100,2,6),
(96870,163265,'Must not be engaged in pvp combat',100,1,7),
(96871,10163265,'When Equipped:',100,0,0),
(96872,10163265,'On any combat or spell hit this spell may cast Fatal Pestilience VIII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96873,10163265,'Inflicts 305 - 337 disease damage on targets in Area of Effect',100,2,2),
(96874,10163265,'Inflicts 381 - 421 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(96875,10163265,'Inflicts an additional 10 - 12 disease damage on targets in Area of Effect every tick',100,2,4),
(96876,10163265,'Must not be engaged in pvp combat',100,2,5),
(96877,10163265,'Cannot be modified except by direct means',100,2,6),
(96878,10163265,'Must not be engaged in pvp combat',100,1,7),
(96879,119539,'Wards group members (AE) against 554 points of arcane damage',100,1,0),
(96880,119539,'Increases Mitigation of group members (AE) vs arcane damage by 348',100,1,1),
(96881,10119539,'Wards group members (AE) against 554 points of arcane damage',100,1,0),
(96882,10119539,'Increases Mitigation of group members (AE) vs arcane damage by 348',100,1,1),
(96883,112703,'Inflicts 93 - 156 disease damage on target encounter',100,1,0),
(96884,10112703,'Inflicts 131 - 218 disease damage on target encounter',100,1,0),
(96885,102223,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(96886,10102223,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(96887,100463,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(96888,100463,'Decreases Threat to target by 27 ',100,2,1),
(96889,100463,'If not fighter',100,2,2),
(96890,100463,'Decreases Hate Gain of group members (AE) by 13.1%',100,1,3),
(96891,100463,'If not fighter',100,2,4),
(96892,10100463,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(96893,10100463,'If not fighter',100,2,1),
(96894,10100463,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(96895,10100463,'Inflicts 24 - 27 crushing damage on target',100,2,3),
(96896,10100463,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(96897,10100463,'If not fighter',100,2,5),
(96898,10100463,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(96899,10100463,'If not fighter',100,2,7),
(96900,10100463,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(96901,10100463,'If not fighter',100,2,9),
(96902,110924,'Inflicts 79 - 132 divine damage on target',100,1,0),
(96903,110924,'Increases Threat to target by 676 ',100,1,1),
(96904,110924,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(96905,110924,'Stuns target',100,2,3),
(96906,110924,'Throws target back',100,2,4),
(96907,110924,'Blurs vision of target',100,2,5),
(96908,110924,'Does not affect Epic targets',100,2,6),
(96909,10110924,'Inflicts 103 - 172 divine damage on target',100,1,0),
(96910,10110924,'Prevents target from changing targets',100,1,1),
(96911,10110924,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(96912,10110924,'Stuns target',100,2,3),
(96913,10110924,'Throws target back',100,2,4),
(96914,10110924,'Blurs vision of target',100,2,5),
(96915,10110924,'Does not affect Epic targets',100,2,6),
(96916,10110924,'Forces target to change their selected target to caster.',100,1,7),
(96917,81695,'When Equipped:',100,0,0),
(96918,81695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96919,81695,'Inflicts 90 - 167 magic damage on target',100,2,2),
(96920,81695,'Cannot be modified except by direct means',100,2,3),
(96921,10081695,'When Equipped:',100,0,0),
(96922,10081695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(96923,10081695,'Inflicts 126 - 234 magic damage on target',100,2,2),
(96924,10081695,'Cannot be modified except by direct means',100,2,3),
(96925,110643,'Inflicts 1247 - 2079 ranged damage on target',100,1,0),
(96926,110643,'If weapon equipped in Ranged',100,1,1),
(96927,110643,'Must be flanking or behind',100,1,2),
(96928,10110643,'Inflicts 775 - 1292 ranged damage on target',100,1,0),
(96929,10110643,'If weapon equipped in Ranged',100,1,1),
(96930,10110643,'Must be flanking or behind',100,1,2),
(96931,24321,'Adds Drake (Defiler) to your Dungeon Maker toolbox',100,0,0),
(96932,10024321,'Adds Drake (Defiler) to your Dungeon Maker toolbox',100,0,0),
(96933,54433,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(96934,54433,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(96935,54433,'Inflicts 62 heat damage on target',100,2,2),
(96936,54433,'Cannot be modified except by direct means',100,2,3),
(96937,10054433,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(96938,10054433,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(96939,10054433,'Inflicts 86 heat damage on target',100,2,2),
(96940,10054433,'Cannot be modified except by direct means',100,2,3),
(96941,106020,'Inflicts 383 - 468 divine damage on target instantly and every 3 seconds',100,1,0),
(96942,106020,'Decreases Defense of target by 47.7',100,1,1),
(96943,10106020,'Inflicts 357 - 437 divine damage on target instantly and every 3 seconds',100,1,0),
(96944,10106020,'Decreases Defense of target by 47.7',100,1,1),
(96945,146215,'When Equipped:',100,0,0),
(96946,146215,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(96947,10146215,'When Equipped:',100,0,0),
(96948,10146215,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(96949,40882,'When Equipped:',100,0,0),
(96950,40882,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(96951,40882,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(96952,40882,'Inflicts 4113 - 4545 heat damage on target encounter',100,2,3),
(96953,40882,'Must not be engaged in pvp combat',100,2,4),
(96954,40882,'Cannot be modified except by direct means',100,2,5),
(96955,10040882,'When Equipped:',100,0,0),
(96956,10040882,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(96957,10040882,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(96958,10040882,'Inflicts 5758 - 6364 heat damage on target encounter',100,2,3),
(96959,10040882,'Must not be engaged in pvp combat',100,2,4),
(96960,10040882,'Cannot be modified except by direct means',100,2,5),
(96961,104646,'Inflicts 275 - 459 crushing damage on target',100,1,0),
(96962,104646,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 26.3',100,1,1),
(96963,10104646,'Inflicts 358 - 596 crushing damage on target',100,1,0),
(96964,10104646,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 26.3',100,1,1),
(96965,36072,'Increases STR of target by 1.6',100,0,0),
(96966,36072,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(96967,122514,'Heals caster for 3',100,1,0),
(96968,122514,'Inflicts 6 - 11 melee damage on target',100,1,1),
(96969,10122514,'Heals caster for 2',100,1,0),
(96970,10122514,'Inflicts 8 - 14 melee damage on target',100,1,1),
(96971,168865,'When Equipped:',100,0,0),
(96972,168865,'Increases Attack Speed of caster by 35.0',100,1,1),
(96973,10168865,'When Equipped:',100,0,0),
(96974,10168865,'Increases Attack Speed of caster by 35.0',100,1,1),
(96975,166515,'When Equipped:',100,0,0),
(96976,166515,'On a critical combat hit this spell may cast Martial Vulnerability IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96977,166515,'Decreases Mitigation of target vs physical damage by 1880',100,2,2),
(96978,166515,'Must not be engaged in pvp combat',100,2,3),
(96979,166515,'Cannot be modified except by direct means',100,2,4),
(96980,166515,'On a critical spell hit this spell may cast Martial Vulnerability IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(96981,166515,'Decreases Mitigation of target vs physical damage by 1880',100,2,6),
(96982,166515,'Must not be engaged in pvp combat',100,2,7),
(96983,166515,'Cannot be modified except by direct means',100,2,8),
(96984,166515,'Must not be engaged in pvp combat',100,1,9),
(96985,10166515,'When Equipped:',100,0,0),
(96986,10166515,'On a critical combat hit this spell may cast Martial Vulnerability IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(96987,10166515,'Decreases Mitigation of target vs physical damage by 1880',100,2,2),
(96988,10166515,'Must not be engaged in pvp combat',100,2,3),
(96989,10166515,'Cannot be modified except by direct means',100,2,4),
(96990,10166515,'On a critical spell hit this spell may cast Martial Vulnerability IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(96991,10166515,'Decreases Mitigation of target vs physical damage by 1880',100,2,6),
(96992,10166515,'Must not be engaged in pvp combat',100,2,7),
(96993,10166515,'Cannot be modified except by direct means',100,2,8),
(96994,10166515,'Must not be engaged in pvp combat',100,1,9),
(96995,102628,'Inflicts 48 - 88 heat damage on target',100,1,0),
(96996,102628,'Inflicts 18 - 33 heat damage on target every 2 seconds',100,1,1),
(96997,10102628,'Inflicts 67 - 124 heat damage on target',100,1,0),
(96998,10102628,'Inflicts 25 - 46 heat damage on target every 2 seconds',100,1,1),
(96999,45899,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(97000,45899,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(97001,45899,'Decreases INT of target by 60.5',100,2,2),
(97002,45899,'Decreases Subjugation, Ordination, Ministration and Disruption of target by 23.0',100,2,3),
(97003,45899,'Cannot be modified except by direct means',100,2,4),
(97004,45899,'Grants a total of 60 triggers of the spell.',100,2,5),
(97005,10045899,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(97006,10045899,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(97007,10045899,'Decreases INT of target by 60.5',100,2,2),
(97008,10045899,'Decreases Subjugation, Ordination, Ministration and Disruption of target by 23.0',100,2,3),
(97009,10045899,'Cannot be modified except by direct means',100,2,4),
(97010,10045899,'Grants a total of 60 triggers of the spell.',100,2,5),
(97011,185070,'When Equipped:',100,0,0),
(97012,185070,'On a damage spell hit this spell may cast Fiery Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(97013,185070,'Inflicts 630 heat damage on target',100,2,2),
(97014,185070,'Cannot be modified except by direct means',100,2,3),
(97015,185070,'Cannot be modified except by direct means',100,1,4),
(97016,10185070,'When Equipped:',100,0,0),
(97017,10185070,'On a damage spell hit this spell may cast Fiery Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(97018,10185070,'Inflicts 882 heat damage on target',100,2,2),
(97019,10185070,'Cannot be modified except by direct means',100,2,3),
(97020,10185070,'Cannot be modified except by direct means',100,1,4),
(97021,89919,'When Equipped:',100,0,0),
(97022,89919,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97023,89919,'Inflicts 116 - 142 divine damage on target',100,2,2),
(97024,89919,'Cannot be modified except by direct means',100,2,3),
(97025,10089919,'When Equipped:',100,0,0),
(97026,10089919,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97027,10089919,'Inflicts 163 - 199 divine damage on target',100,2,2),
(97028,10089919,'Cannot be modified except by direct means',100,2,3),
(97029,113440,'Increases INT of target by 13.9',100,1,0),
(97030,113440,'Increases Max Health of target by 40.8',100,1,1),
(97031,10113440,'Increases INT of target by 13.9',100,1,0),
(97032,10113440,'Increases Max Health of target by 40.8',100,1,1),
(97033,48286,'Applies Throw Sturdy Fruitcake when Activated.  Lasts for 1.0 second.',100,0,0),
(97034,48286,'The gift that keeps on being given!',100,1,1),
(97035,10048286,'Applies Throw Sturdy Fruitcake when Activated.  Lasts for 1.0 second.',100,0,0),
(97036,10048286,'The gift that keeps on being given!',100,1,1),
(97037,101616,'Applies Forceful Headache on termination.',100,1,0),
(97038,101616,'Inflicts 68 - 113 mental damage on target',100,2,1),
(97039,101616,'If over 50% power',100,3,2),
(97040,101616,'Inflicts 27 - 33 mental damage on target instantly and every 6 seconds',100,1,3),
(97041,101616,'Decreases Mitigation of target vs arcane damage by 251',100,1,4),
(97042,10101616,'Applies Forceful Headache on termination.',100,1,0),
(97043,10101616,'Inflicts 95 - 158 mental damage on target',100,2,1),
(97044,10101616,'If over 50% power',100,3,2),
(97045,10101616,'Inflicts 38 - 46 mental damage on target instantly and every 6 seconds',100,1,3),
(97046,10101616,'Decreases Mitigation of target vs arcane damage by 251',100,1,4),
(97047,102605,'Increases Threat to target encounter by 675 - 825 ',100,1,0),
(97048,102605,'Interrupts target encounter',100,1,1),
(97049,102605,'Decreases Mitigation of target encounter vs noxious damage by 500',100,1,2),
(97050,10102605,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(97051,10102605,'Prevents target from changing targets',100,2,1),
(97052,10102605,'Forces target to change their selected target to caster.',100,2,2),
(97053,10102605,'Interrupts target encounter',100,1,3),
(97054,10102605,'Decreases Mitigation of target encounter vs noxious damage by 500',100,1,4),
(97055,80336,'When Equipped:',100,0,0),
(97056,80336,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97057,80336,'Inflicts 61 - 113 magic damage on target',100,2,2),
(97058,80336,'Cannot be modified except by direct means',100,2,3),
(97059,10080336,'When Equipped:',100,0,0),
(97060,10080336,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97061,10080336,'Inflicts 85 - 158 magic damage on target',100,2,2),
(97062,10080336,'Cannot be modified except by direct means',100,2,3),
(97063,104645,'Inflicts 281 - 468 crushing damage on target',100,1,0),
(97064,104645,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 28.3',100,1,1),
(97065,10104645,'Inflicts 365 - 609 crushing damage on target',100,1,0),
(97066,10104645,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 28.3',100,1,1),
(97067,162397,'When Equipped:',100,0,0),
(97068,162397,'On any combat or spell hit this spell may cast Strengthened Tether on caster.  Lasts for 15.0 seconds.  Triggers about 0.2 times per minute. ',100,1,1),
(97069,162397,'Increases Crit Bonus and Potency of caster by 10 then adds additional Crit Bonus and Potency every second for 15 seconds.',100,2,2),
(97070,162397,'Cannot be modified except by direct means',100,1,3),
(97071,10162397,'When Equipped:',100,0,0),
(97072,10162397,'On any combat or spell hit this spell may cast Strengthened Tether on caster.  Lasts for 15.0 seconds.  Triggers about 0.2 times per minute. ',100,1,1),
(97073,10162397,'Increases Crit Bonus and Potency of caster by 10 then adds additional Crit Bonus and Potency every second for 15 seconds.',100,2,2),
(97074,10162397,'Cannot be modified except by direct means',100,1,3),
(97075,138353,'When Equipped:',100,0,0),
(97076,138353,'Increases Potency of caster by 5.0%',100,1,1),
(97077,138353,'Must be engaged in pvp combat',100,1,2),
(97078,138353,'When Equipped:',100,0,3),
(97079,138353,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(97080,138353,'This effect can be stacked by multiple casters.',100,2,5),
(97081,138353,'Increases Mitigation of target vs all damage by 940',100,2,6),
(97082,138353,'Cannot be modified except by direct means',100,2,7),
(97083,10138353,'When Equipped:',100,0,0),
(97084,10138353,'Increases Potency of caster by 5.0%',100,1,1),
(97085,10138353,'Must be engaged in pvp combat',100,1,2),
(97086,10138353,'When Equipped:',100,0,3),
(97087,10138353,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(97088,10138353,'This effect can be stacked by multiple casters.',100,2,5),
(97089,10138353,'Increases Mitigation of target vs all damage by 940',100,2,6),
(97090,10138353,'Cannot be modified except by direct means',100,2,7),
(97091,121147,'Summon 1 Splinter of Essence (Apprentice IV)',100,1,0),
(97092,10121147,'Summon 1 Splinter of Essence (Apprentice IV)',100,1,0),
(97093,81613,'When Equipped:',100,0,0),
(97094,81613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97095,81613,'Inflicts 144 - 268 magic damage on target',100,2,2),
(97096,81613,'Cannot be modified except by direct means',100,2,3),
(97097,10081613,'When Equipped:',100,0,0),
(97098,10081613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97099,10081613,'Inflicts 202 - 375 magic damage on target',100,2,2),
(97100,10081613,'Cannot be modified except by direct means',100,2,3),
(97101,120599,'Inflicts 785 - 1459 heat damage on target',100,1,0),
(97102,10120599,'Inflicts 1099 - 2042 heat damage on target',100,1,0),
(97103,116763,'Increases Max Health of target by 442.0',100,1,0),
(97104,116763,'Increases Max Power of target by 495.7',100,1,1),
(97105,10116763,'Increases Max Health of target by 442.0',100,1,0),
(97106,10116763,'Increases Max Power of target by 495.7',100,1,1),
(97107,51347,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(97108,51347,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(97109,51347,'Inflicts 40 heat damage on target',100,2,2),
(97110,51347,'Cannot be modified except by direct means',100,2,3),
(97111,10051347,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(97112,10051347,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(97113,10051347,'Inflicts 57 heat damage on target',100,2,2),
(97114,10051347,'Cannot be modified except by direct means',100,2,3),
(97115,108400,'Heals target for 464 - 568',100,1,0),
(97116,10108400,'Heals target for 555 - 679',100,1,0),
(97117,47765,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(97118,47765,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(97119,47765,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(97120,47765,'Cannot be modified except by direct means',100,2,3),
(97121,47765,'Grants a total of 80 triggers of the spell.',100,2,4),
(97122,10047765,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(97123,10047765,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(97124,10047765,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(97125,10047765,'Cannot be modified except by direct means',100,2,3),
(97126,10047765,'Grants a total of 80 triggers of the spell.',100,2,4),
(97127,35008,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(97128,107915,'Mesmerizes target',100,1,0),
(97129,107915,'Prevents AOE (except when direct) ',100,1,1),
(97130,107915,'Dispelled when target takes damage',100,1,2),
(97131,107915,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(97132,107915,'Resistibility increases against targets higher than level 41.',100,1,4),
(97133,10107915,'Mesmerizes target',100,1,0),
(97134,10107915,'Prevents AOE (except when direct) ',100,1,1),
(97135,10107915,'Dispelled when target takes damage',100,1,2),
(97136,10107915,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(97137,10107915,'Resistibility increases against targets higher than level 41.',100,1,4),
(97138,146133,'When Equipped:',100,0,0),
(97139,146133,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(97140,146133,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(97141,146133,'Cannot be modified except by direct means',100,2,3),
(97142,10146133,'When Equipped:',100,0,0),
(97143,10146133,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(97144,10146133,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(97145,10146133,'Cannot be modified except by direct means',100,2,3),
(97146,170090,'When Equipped:',100,0,0),
(97147,170090,'This effect will not stack with any rank or tier of itself.',100,1,1),
(97148,170090,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(97149,170090,'Cannot be modified except by direct means',100,1,3),
(97150,10170090,'When Equipped:',100,0,0),
(97151,10170090,'This effect will not stack with any rank or tier of itself.',100,1,1),
(97152,10170090,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(97153,10170090,'Cannot be modified except by direct means',100,1,3),
(97154,163278,'When Equipped:',100,0,0),
(97155,163278,'On a critical combat hit this spell may cast Call of Solusek II on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(97156,163278,'Summons a limited pet to aid the caster',100,2,2),
(97157,163278,'Inflicts 71 - 78 heat damage on target instantly and every 2 seconds',100,2,3),
(97158,163278,'Decreases Mitigation of target vs elemental damage by 269',100,2,4),
(97159,163278,'Must not be engaged in pvp combat',100,2,5),
(97160,163278,'Cannot be modified except by direct means',100,2,6),
(97161,163278,'On a critical spell hit this spell may cast Call of Solusek II on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(97162,163278,'Summons a limited pet to aid the caster',100,2,8),
(97163,163278,'Inflicts 71 - 78 heat damage on target instantly and every 2 seconds',100,2,9),
(97164,163278,'Decreases Mitigation of target vs elemental damage by 269',100,2,10),
(97165,163278,'Must not be engaged in pvp combat',100,2,11),
(97166,163278,'Cannot be modified except by direct means',100,2,12),
(97167,163278,'Must not be engaged in pvp combat',100,1,13),
(97168,10163278,'When Equipped:',100,0,0),
(97169,10163278,'On a critical combat hit this spell may cast Call of Solusek II on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(97170,10163278,'Summons a limited pet to aid the caster',100,2,2),
(97171,10163278,'Inflicts 99 - 109 heat damage on target instantly and every 2 seconds',100,2,3),
(97172,10163278,'Decreases Mitigation of target vs elemental damage by 269',100,2,4),
(97173,10163278,'Must not be engaged in pvp combat',100,2,5),
(97174,10163278,'Cannot be modified except by direct means',100,2,6),
(97175,10163278,'On a critical spell hit this spell may cast Call of Solusek II on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(97176,10163278,'Summons a limited pet to aid the caster',100,2,8),
(97177,10163278,'Inflicts 99 - 109 heat damage on target instantly and every 2 seconds',100,2,9),
(97178,10163278,'Decreases Mitigation of target vs elemental damage by 269',100,2,10),
(97179,10163278,'Must not be engaged in pvp combat',100,2,11),
(97180,10163278,'Cannot be modified except by direct means',100,2,12),
(97181,10163278,'Must not be engaged in pvp combat',100,1,13),
(97182,121959,'Inflicts 57 - 94 disease damage on target',100,1,0),
(97183,121959,'Decreases Defense of target by 14.3',100,1,1),
(97184,121959,'Interrupts target',100,1,2),
(97185,10121959,'Inflicts 79 - 132 disease damage on target',100,1,0),
(97186,10121959,'Decreases Defense of target by 14.3',100,1,1),
(97187,10121959,'Interrupts target',100,1,2),
(97188,45128,'Applies Account to Account Transfer when Activated.',100,0,0),
(97189,45128,'Account to Account character transfers must first be approved by contacting customer service. Please contact us via a /petition before purchase of this service as verification is needed. ',100,1,1),
(97190,45128,'This service requires that both accounts are owned by you and have been active for at least 60 days before being eligible for an account to account transfer. ',100,1,2),
(97191,45128,'This service is meant for character account to account transfers only. ',100,1,3),
(97192,45128,'Upon verification and approval, this service should be purchased and left in one of your bags for customer service to remove as payment for the account to account transfer. ',100,1,4),
(97193,45128,'Character must have any items they want to take with them in their inventory or in their house. This includes items in the shared bank. ',100,1,5),
(97194,45128,'If character is also moving servers please remove all items including coin, boxes and containers from the character''s broker. ',100,1,6),
(97195,45128,'Token and related transfer are non refundable.',100,1,7),
(97196,45128,'Character''s guild affiliation will be removed. ',100,1,8),
(97197,45128,'For complete terms and conditions, please see the EQII Character Transfer Service rules available at: http://everquest2.com/shop/charactertransfer',100,1,9),
(97198,10045128,'Applies Account to Account Transfer when Activated.',100,0,0),
(97199,10045128,'Account to Account character transfers must first be approved by contacting customer service. Please contact us via a /petition before purchase of this service as verification is needed. ',100,1,1),
(97200,10045128,'This service requires that both accounts are owned by you and have been active for at least 60 days before being eligible for an account to account transfer. ',100,1,2),
(97201,10045128,'This service is meant for character account to account transfers only. ',100,1,3),
(97202,10045128,'Upon verification and approval, this service should be purchased and left in one of your bags for customer service to remove as payment for the account to account transfer. ',100,1,4),
(97203,10045128,'Character must have any items they want to take with them in their inventory or in their house. This includes items in the shared bank. ',100,1,5),
(97204,10045128,'If character is also moving servers please remove all items including coin, boxes and containers from the character''s broker. ',100,1,6),
(97205,10045128,'Token and related transfer are non refundable.',100,1,7),
(97206,10045128,'Character''s guild affiliation will be removed. ',100,1,8),
(97207,10045128,'For complete terms and conditions, please see the EQII Character Transfer Service rules available at: http://everquest2.com/shop/charactertransfer',100,1,9),
(97208,121665,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(97209,121665,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,1),
(97210,121665,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(97211,121665,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,3),
(97212,10121665,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(97213,10121665,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,1),
(97214,10121665,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(97215,10121665,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,3),
(97216,90432,'When Equipped:',100,0,0),
(97217,90432,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97218,90432,'Increases Attack Speed of caster by 20.0',100,2,2),
(97219,90432,'Cannot be modified except by direct means',100,2,3),
(97220,10090432,'When Equipped:',100,0,0),
(97221,10090432,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97222,10090432,'Increases Attack Speed of caster by 20.0',100,2,2),
(97223,10090432,'Cannot be modified except by direct means',100,2,3),
(97224,134832,'When Equipped:',100,0,0),
(97225,134832,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97226,134832,'Inflicts 401 mental damage on target',100,2,2),
(97227,134832,'Must not be classified as a void beast',100,3,3),
(97228,134832,'Must not be classified as a shadowed folk',100,3,4),
(97229,134832,'Inflicts 802 mental damage on target',100,2,5),
(97230,134832,'If any of the following are true:',100,3,6),
(97231,134832,'Must be classified as a void beast',100,4,7),
(97232,134832,'Must be classified as a shadowed folk',100,4,8),
(97233,134832,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(97234,134832,'If any of the following are true:',100,3,10),
(97235,134832,'Must be classified as a void beast',100,4,11),
(97236,134832,'Must be classified as a shadowed folk',100,4,12),
(97237,134832,'Cannot be modified except by direct means',100,2,13),
(97238,134832,'Additional equipment with Void Bane improves this effect.',100,1,14),
(97239,10134832,'When Equipped:',100,0,0),
(97240,10134832,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97241,10134832,'Inflicts 562 mental damage on target',100,2,2),
(97242,10134832,'Must not be classified as a void beast',100,3,3),
(97243,10134832,'Must not be classified as a shadowed folk',100,3,4),
(97244,10134832,'Inflicts 1123 mental damage on target',100,2,5),
(97245,10134832,'If any of the following are true:',100,3,6),
(97246,10134832,'Must be classified as a void beast',100,4,7),
(97247,10134832,'Must be classified as a shadowed folk',100,4,8),
(97248,10134832,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(97249,10134832,'If any of the following are true:',100,3,10),
(97250,10134832,'Must be classified as a void beast',100,4,11),
(97251,10134832,'Must be classified as a shadowed folk',100,4,12),
(97252,10134832,'Cannot be modified except by direct means',100,2,13),
(97253,10134832,'Additional equipment with Void Bane improves this effect.',100,1,14),
(97254,108697,'Inflicts 134 heat damage on target',100,1,0),
(97255,108697,'Inflicts 30 heat damage on target every 4 seconds',100,1,1),
(97256,10108697,'Inflicts 263 heat damage on target',100,1,0),
(97257,10108697,'Inflicts 42 heat damage on target every 4 seconds',100,1,1),
(97258,45844,'Applies Consume Essence when Activated.',100,0,0),
(97259,45844,'Heals group members (AE) for 281 - 344',100,1,1),
(97260,45844,'Dispels 76 levels of any hostile effects on caster',100,1,2),
(97261,10045844,'Applies Consume Essence when Activated.',100,0,0),
(97262,10045844,'Heals group members (AE) for 183 - 224',100,1,1),
(97263,10045844,'Dispels 76 levels of any hostile effects on caster',100,1,2),
(97264,114414,'Mesmerizes target',100,1,0),
(97265,114414,'Prevents AOE (except when direct) ',100,1,1),
(97266,114414,'Dispelled when target takes damage',100,1,2),
(97267,114414,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(97268,114414,'Resistibility increases against targets higher than level 67.',100,1,4),
(97269,10114414,'Mesmerizes target',100,1,0),
(97270,10114414,'Prevents AOE (except when direct) ',100,1,1),
(97271,10114414,'Dispelled when target takes damage',100,1,2),
(97272,10114414,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(97273,10114414,'Resistibility increases against targets higher than level 67.',100,1,4),
(97274,81018,'When Equipped:',100,0,0),
(97275,81018,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97276,81018,'Inflicts 175 - 325 magic damage on target',100,2,2),
(97277,81018,'Cannot be modified except by direct means',100,2,3),
(97278,10081018,'When Equipped:',100,0,0),
(97279,10081018,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97280,10081018,'Inflicts 245 - 455 magic damage on target',100,2,2),
(97281,10081018,'Cannot be modified except by direct means',100,2,3),
(97282,105381,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(97283,105381,'Inflicts 76 melee damage on target',100,2,1),
(97284,105381,'Interrupts target',100,2,2),
(97285,105381,'Decreases Defense of caster by 16.5',100,1,3),
(97286,105381,'Increases Piercing, Slashing, Ranged and Crushing of caster by 23.5',100,1,4),
(97287,10105381,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(97288,10105381,'Inflicts 99 melee damage on target',100,2,1),
(97289,10105381,'Interrupts target',100,2,2),
(97290,10105381,'Decreases Defense of caster by 16.5',100,1,3),
(97291,10105381,'Increases Piercing, Slashing, Ranged and Crushing of caster by 23.5',100,1,4),
(97292,88977,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(97293,88977,'Heals group members (AE) for 430',100,1,1),
(97294,88977,'Heals group members (AE) for 172 every 5 seconds',100,1,2),
(97295,88977,'Increases Mitigation of group members (AE) vs arcane damage by 544',100,1,3),
(97296,88977,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(97297,10088977,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(97298,10088977,'Heals group members (AE) for 280',100,1,1),
(97299,10088977,'Heals group members (AE) for 112 every 5 seconds',100,1,2),
(97300,10088977,'Increases Mitigation of group members (AE) vs arcane damage by 544',100,1,3),
(97301,10088977,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(97302,45837,'Applies Consume Essence when Activated.',100,0,0),
(97303,45837,'Heals group members (AE) for 196 - 240',100,1,1),
(97304,45837,'Dispels 63 levels of any hostile effects on caster',100,1,2),
(97305,10045837,'Applies Consume Essence when Activated.',100,0,0),
(97306,10045837,'Heals group members (AE) for 128 - 156',100,1,1),
(97307,10045837,'Dispels 63 levels of any hostile effects on caster',100,1,2),
(97308,122423,'Sets a trap',100,1,0),
(97309,10122423,'Sets a trap',100,1,0),
(97310,133863,'When Equipped:',100,0,0),
(97311,133863,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(97312,133863,'Inflicts 1998 cold damage on target encounter',100,2,2),
(97313,133863,'Must not be engaged in pvp combat',100,2,3),
(97314,133863,'Cannot be modified except by direct means',100,2,4),
(97315,133863,'Must not be engaged in pvp combat',100,1,5),
(97316,10133863,'When Equipped:',100,0,0),
(97317,10133863,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(97318,10133863,'Inflicts 1399 cold damage on target encounter',100,2,2),
(97319,10133863,'Must not be engaged in pvp combat',100,2,3),
(97320,10133863,'Cannot be modified except by direct means',100,2,4),
(97321,10133863,'Must not be engaged in pvp combat',100,1,5),
(97322,112104,'Inflicts 116 - 194 heat damage on target instantly and every 2 seconds',100,1,0),
(97323,10112104,'Inflicts 399 - 665 heat damage on target instantly and every 2 seconds',100,1,0),
(97324,107530,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(97325,107530,'Decreases Mitigation of target encounter vs elemental and noxious damage by 380',100,1,1),
(97326,10107530,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(97327,10107530,'Decreases Mitigation of target encounter vs elemental and noxious damage by 380',100,1,1),
(97328,48085,'Applies Slate''s Awakening when Activated.',100,0,0),
(97329,48085,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(97330,10048085,'Applies Slate''s Awakening when Activated.',100,0,0),
(97331,10048085,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(97332,46308,'Applies Call Fiery Dire Bear when Activated.',100,0,0),
(97333,46308,'Increases Ordination of caster by 5.0',100,1,1),
(97334,46308,'Summons a mount to ride',100,1,2),
(97335,46308,'Increases your ground speed by 130%',100,2,3),
(97336,46308,'Increases Focus, Subjugation, Ministration and Disruption of caster by 5.0',100,1,4),
(97337,10046308,'Applies Call Fiery Dire Bear when Activated.',100,0,0),
(97338,10046308,'Increases Ordination of caster by 5.0',100,1,1),
(97339,10046308,'Summons a mount to ride',100,1,2),
(97340,10046308,'Increases your ground speed by 130%',100,2,3),
(97341,10046308,'Increases Focus, Subjugation, Ministration and Disruption of caster by 5.0',100,1,4),
(97342,46609,'Applies Overclocked Tools when Equipped.',100,0,0),
(97343,46609,'Increases success chance by 5.0%',100,1,1),
(97344,10046609,'Applies Overclocked Tools when Equipped.',100,0,0),
(97345,10046609,'Increases success chance by 5.0%',100,1,1),
(97346,106362,'Decreases Mitigation of target vs arcane damage by 1560',100,1,0),
(97347,106362,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(97348,106362,'Slows target by 51.6%',100,2,2),
(97349,106362,'5% chance to dispel when target receives hostile action',100,2,3),
(97350,106362,'5% chance to dispel when target takes damage',100,2,4),
(97351,10106362,'Decreases Mitigation of target vs arcane damage by 1560',100,1,0),
(97352,10106362,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(97353,10106362,'Slows target by 51.6%',100,2,2),
(97354,10106362,'5% chance to dispel when target receives hostile action',100,2,3),
(97355,10106362,'5% chance to dispel when target takes damage',100,2,4),
(97356,24642,'Adds Poet''s Palace: Ornate Pedestal to your Dungeon Maker toolbox',100,0,0),
(97357,10024642,'Adds Poet''s Palace: Ornate Pedestal to your Dungeon Maker toolbox',100,0,0),
(97358,110334,'Increases Max Power of target by 300.4',100,1,0),
(97359,110334,'Increases Max Health of target by 602.7',100,1,1),
(97360,10110334,'Increases Max Power of target by 300.4',100,1,0),
(97361,10110334,'Increases Max Health of target by 602.7',100,1,1),
(97362,164429,'When Equipped:',100,0,0),
(97363,164429,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(97364,164429,'Makes target afraid',100,2,2),
(97365,164429,'25% chance to dispel when target takes damage',100,2,3),
(97366,164429,'25% chance to dispel when target receives hostile action',100,2,4),
(97367,164429,'Does not affect Epic targets',100,2,5),
(97368,164429,'Resistibility increases against targets higher than level 74.',100,2,6),
(97369,164429,'Cannot be modified except by direct means',100,2,7),
(97370,10164429,'When Equipped:',100,0,0),
(97371,10164429,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(97372,10164429,'Makes target afraid',100,2,2),
(97373,10164429,'25% chance to dispel when target takes damage',100,2,3),
(97374,10164429,'25% chance to dispel when target receives hostile action',100,2,4),
(97375,10164429,'Does not affect Epic targets',100,2,5),
(97376,10164429,'Resistibility increases against targets higher than level 74.',100,2,6),
(97377,10164429,'Cannot be modified except by direct means',100,2,7),
(97378,120212,'Decreases STR and INT of target by 87.1',100,1,0),
(97379,120212,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(97380,120212,'Grants a total of 1 trigger of the spell.',100,2,2),
(97381,10120212,'Decreases STR and INT of target by 87.1',100,1,0),
(97382,10120212,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(97383,10120212,'Grants a total of 1 trigger of the spell.',100,2,2),
(97384,113263,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(97385,113263,'Inflicts 86 - 143 magic damage on target',100,2,1),
(97386,113263,'Grants a total of 8 triggers of the spell.',100,2,2),
(97387,10113263,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(97388,10113263,'Inflicts 120 - 200 magic damage on target',100,2,1),
(97389,10113263,'Grants a total of 8 triggers of the spell.',100,2,2),
(97390,41482,'When Equipped:',100,0,0),
(97391,41482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97392,41482,'Inflicts 270 - 502 magic damage on target',100,2,2),
(97393,41482,'Cannot be modified except by direct means',100,2,3),
(97394,10041482,'When Equipped:',100,0,0),
(97395,10041482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97396,10041482,'Inflicts 378 - 703 magic damage on target',100,2,2),
(97397,10041482,'Cannot be modified except by direct means',100,2,3),
(97398,161725,'When Equipped:',100,0,0),
(97399,161725,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(97400,161725,'Increases Damage Per Second of caster by 10.0',100,2,2),
(97401,161725,'Cannot be modified except by direct means',100,2,3),
(97402,161725,'Increases Ability Modifier of caster by 20.0',100,1,4),
(97403,10161725,'When Equipped:',100,0,0),
(97404,10161725,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(97405,10161725,'Increases Damage Per Second of caster by 10.0',100,2,2),
(97406,10161725,'Cannot be modified except by direct means',100,2,3),
(97407,10161725,'Increases Ability Modifier of caster by 20.0',100,1,4),
(97408,106392,'Inflicts 549 - 916 melee damage on target',100,1,0),
(97409,106392,'Decreases Defense of target by 24.0',100,1,1),
(97410,106392,'Decreases Defense of caster by 21.8',100,1,2),
(97411,10106392,'Inflicts 714 - 1191 melee damage on target',100,1,0),
(97412,10106392,'Decreases Defense of target by 24.0',100,1,1),
(97413,10106392,'Decreases Defense of caster by 21.8',100,1,2),
(97414,46431,'Applies Eat Candy when Activated.  Lasts for 5 minutes.',100,0,0),
(97415,46431,'Can you really trust candy stored in a skull?',100,1,1),
(97416,10046431,'Applies Eat Candy when Activated.  Lasts for 5 minutes.',100,0,0),
(97417,10046431,'Can you really trust candy stored in a skull?',100,1,1),
(97418,87443,'When Equipped:',100,0,0),
(97419,87443,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97420,87443,'Inflicts 38 - 56 magic damage on target',100,2,2),
(97421,87443,'Cannot be modified except by direct means',100,2,3),
(97422,10087443,'When Equipped:',100,0,0),
(97423,10087443,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97424,10087443,'Inflicts 53 - 79 magic damage on target',100,2,2),
(97425,10087443,'Cannot be modified except by direct means',100,2,3),
(97426,82675,'When Equipped:',100,0,0),
(97427,82675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97428,82675,'Inflicts 101 - 188 magic damage on target',100,2,2),
(97429,82675,'Cannot be modified except by direct means',100,2,3),
(97430,10082675,'When Equipped:',100,0,0),
(97431,10082675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97432,10082675,'Inflicts 142 - 263 magic damage on target',100,2,2),
(97433,10082675,'Cannot be modified except by direct means',100,2,3),
(97434,45669,'Applies Goriba''s Reclamation  when Activated.',100,0,0),
(97435,45669,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(97436,10045669,'Applies Goriba''s Reclamation  when Activated.',100,0,0),
(97437,10045669,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(97438,54402,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(97439,54402,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(97440,54402,'Inflicts 31 heat damage on target',100,2,2),
(97441,54402,'Cannot be modified except by direct means',100,2,3),
(97442,10054402,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(97443,10054402,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(97444,10054402,'Inflicts 43 heat damage on target',100,2,2),
(97445,10054402,'Cannot be modified except by direct means',100,2,3),
(97446,43518,'When Equipped:',100,0,0),
(97447,43518,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(97448,43518,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(97449,43518,'Inflicts 4137 - 4573 heat damage on target encounter',100,2,3),
(97450,43518,'Must not be engaged in pvp combat',100,2,4),
(97451,43518,'Cannot be modified except by direct means',100,2,5),
(97452,10043518,'When Equipped:',100,0,0),
(97453,10043518,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(97454,10043518,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(97455,10043518,'Inflicts 5792 - 6402 heat damage on target encounter',100,2,3),
(97456,10043518,'Must not be engaged in pvp combat',100,2,4),
(97457,10043518,'Cannot be modified except by direct means',100,2,5),
(97458,122527,'Heals caster for 32',100,1,0),
(97459,122527,'Inflicts 64 - 107 melee damage on target',100,1,1),
(97460,10122527,'Heals caster for 21',100,1,0),
(97461,10122527,'Inflicts 84 - 140 melee damage on target',100,1,1),
(97462,119973,'Increases Threat to target by 129 - 158 ',100,1,0),
(97463,10119973,'Prevents target from changing targets',100,1,0),
(97464,10119973,'Forces target to change their selected target to caster.',100,1,1),
(97465,119835,'Dazes target',100,1,0),
(97466,119835,'Does not affect Epic targets',100,1,1),
(97467,119835,'Resistibility increases against targets higher than level 64.',100,1,2),
(97468,10119835,'Dazes target',100,1,0),
(97469,10119835,'Does not affect Epic targets',100,1,1),
(97470,10119835,'Resistibility increases against targets higher than level 64.',100,1,2),
(97471,25275,'When Equipped:',100,0,0),
(97472,25275,'Increases the effectiveness of Aegolism VII by 30%.',100,1,1),
(97473,25275,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(97474,10025275,'When Equipped:',100,0,0),
(97475,10025275,'Increases the effectiveness of Aegolism VII by 30%.',100,1,1),
(97476,10025275,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(97477,117507,'Increases AGI, INT and WIS of group members (AE) by 7.0',100,1,0),
(97478,117507,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 16',100,1,1),
(97479,10117507,'Increases AGI, INT and WIS of group members (AE) by 7.0',100,1,0),
(97480,10117507,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 16',100,1,1),
(97481,72111,'When Equipped:',100,0,0),
(97482,72111,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97483,72111,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(97484,72111,'Cannot be modified except by direct means',100,2,3),
(97485,10072111,'When Equipped:',100,0,0),
(97486,10072111,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97487,10072111,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(97488,10072111,'Cannot be modified except by direct means',100,2,3),
(97489,72163,'When Equipped:',100,0,0),
(97490,72163,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97491,72163,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(97492,72163,'Cannot be modified except by direct means',100,2,3),
(97493,10072163,'When Equipped:',100,0,0),
(97494,10072163,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97495,10072163,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(97496,10072163,'Cannot be modified except by direct means',100,2,3),
(97497,47783,'Applies Aura of the Flirtatious when Activated.',100,0,0),
(97498,47783,'Casts aura of the flirtatious',100,1,1),
(97499,10047783,'Applies Aura of the Flirtatious when Activated.',100,0,0),
(97500,10047783,'Casts aura of the flirtatious',100,1,1),
(97501,109542,'Summons a limited pet to aid the caster',100,1,0),
(97502,10109542,'Summons a limited pet to aid the caster',100,1,0),
(97503,36585,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(97504,136686,'When Equipped:',100,0,0),
(97505,136686,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(97506,10136686,'When Equipped:',100,0,0),
(97507,10136686,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(97508,116342,'Mesmerizes target encounter',100,1,0),
(97509,116342,'Prevents AOE (except when direct) ',100,1,1),
(97510,116342,'Dispelled when target takes damage',100,1,2),
(97511,116342,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(97512,116342,'Resistibility increases against targets higher than level 52.',100,1,4),
(97513,10116342,'Mesmerizes target encounter',100,1,0),
(97514,10116342,'Prevents AOE (except when direct) ',100,1,1),
(97515,10116342,'Dispelled when target takes damage',100,1,2),
(97516,10116342,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(97517,10116342,'Resistibility increases against targets higher than level 52.',100,1,4),
(97518,47484,'Applies Call Steppes Pony when Activated.',100,0,0),
(97519,47484,'Summons a mount to ride',100,1,1),
(97520,47484,'Increases your ground speed by 130%',100,2,2),
(97521,10047484,'Applies Call Steppes Pony when Activated.',100,0,0),
(97522,10047484,'Summons a mount to ride',100,1,1),
(97523,10047484,'Increases your ground speed by 130%',100,2,2),
(97524,112711,'Inflicts 219 - 365 disease damage on target encounter',100,1,0),
(97525,10112711,'Inflicts 307 - 511 disease damage on target encounter',100,1,0),
(97526,48134,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(97527,48134,'Increases Max Health of caster by 525.6',100,1,1),
(97528,10048134,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(97529,10048134,'Increases Max Health of caster by 525.6',100,1,1),
(97530,114432,'Mesmerizes target',100,1,0),
(97531,114432,'Prevents AOE (except when direct) ',100,1,1),
(97532,114432,'Dispelled when target takes damage',100,1,2),
(97533,114432,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(97534,114432,'Resistibility increases against targets higher than level 106.',100,1,4),
(97535,10114432,'Mesmerizes target',100,1,0),
(97536,10114432,'Prevents AOE (except when direct) ',100,1,1),
(97537,10114432,'Dispelled when target takes damage',100,1,2),
(97538,10114432,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(97539,10114432,'Resistibility increases against targets higher than level 106.',100,1,4),
(97540,117951,'Heals target for 1029 - 1258',100,1,0),
(97541,117951,'Increases Max Health of target by 131.3',100,1,1),
(97542,10117951,'Heals target for 1181 - 1443',100,1,0),
(97543,10117951,'Increases Max Health of target by 131.3',100,1,1),
(97544,50477,'When Equipped:',100,0,0),
(97545,50477,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(97546,50477,'Increases Threat to target by 275 ',100,2,2),
(97547,50477,'Cannot be modified except by direct means',100,2,3),
(97548,10050477,'When Equipped:',100,0,0),
(97549,10050477,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(97550,10050477,'Forces target to change their selected target to caster.',100,2,2),
(97551,10050477,'Cannot be modified except by direct means',100,2,3),
(97552,134432,'When Equipped:',100,0,0),
(97553,134432,'On any combat or spell hit this spell may cast Mental Overload on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(97554,134432,'Increases Potency of caster by 12.0%',100,2,2),
(97555,134432,'Increases Ability Modifier of caster by 250.0',100,2,3),
(97556,134432,'Must not be engaged in pvp combat',100,2,4),
(97557,134432,'Cannot be modified except by direct means',100,2,5),
(97558,134432,'Must not be engaged in pvp combat',100,1,6),
(97559,10134432,'When Equipped:',100,0,0),
(97560,10134432,'On any combat or spell hit this spell may cast Mental Overload on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(97561,10134432,'Increases Potency of caster by 12.0%',100,2,2),
(97562,10134432,'Increases Ability Modifier of caster by 250.0',100,2,3),
(97563,10134432,'Must not be engaged in pvp combat',100,2,4),
(97564,10134432,'Cannot be modified except by direct means',100,2,5),
(97565,10134432,'Must not be engaged in pvp combat',100,1,6),
(97566,80897,'When Equipped:',100,0,0),
(97567,80897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97568,80897,'Inflicts 248 - 460 magic damage on target',100,2,2),
(97569,80897,'Cannot be modified except by direct means',100,2,3),
(97570,10080897,'When Equipped:',100,0,0),
(97571,10080897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97572,10080897,'Inflicts 347 - 644 magic damage on target',100,2,2),
(97573,10080897,'Cannot be modified except by direct means',100,2,3),
(97574,106356,'Decreases Mitigation of target vs arcane damage by 1224',100,1,0),
(97575,106356,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(97576,106356,'Slows target by 48.2%',100,2,2),
(97577,106356,'5% chance to dispel when target receives hostile action',100,2,3),
(97578,106356,'5% chance to dispel when target takes damage',100,2,4),
(97579,10106356,'Decreases Mitigation of target vs arcane damage by 1224',100,1,0),
(97580,10106356,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(97581,10106356,'Slows target by 48.2%',100,2,2),
(97582,10106356,'5% chance to dispel when target receives hostile action',100,2,3),
(97583,10106356,'5% chance to dispel when target takes damage',100,2,4),
(97584,35338,'Increases AGI of target by 1.6',100,0,0),
(97585,35338,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(97586,132161,'When Equipped:',100,0,0),
(97587,132161,'This effect will not stack with itself.',100,1,1),
(97588,132161,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(97589,132161,'Inflicts 4049 - 4476 piercing damage on target encounter',100,2,3),
(97590,132161,'Heals group members (AE) for 4432 - 4899',100,2,4),
(97591,132161,'Must not be engaged in pvp combat',100,2,5),
(97592,132161,'Cannot be modified except by direct means',100,2,6),
(97593,132161,'Must not be engaged in pvp combat',100,1,7),
(97594,10132161,'When Equipped:',100,0,0),
(97595,10132161,'This effect will not stack with itself.',100,1,1),
(97596,10132161,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(97597,10132161,'Inflicts 5669 - 6266 piercing damage on target encounter',100,2,3),
(97598,10132161,'Heals group members (AE) for 5186 - 5732',100,2,4),
(97599,10132161,'Must not be engaged in pvp combat',100,2,5),
(97600,10132161,'Cannot be modified except by direct means',100,2,6),
(97601,10132161,'Must not be engaged in pvp combat',100,1,7),
(97602,140080,'When Equipped:',100,0,0),
(97603,140080,'Increases Attack Speed of caster by 40.0',100,1,1),
(97604,10140080,'When Equipped:',100,0,0),
(97605,10140080,'Increases Attack Speed of caster by 40.0',100,1,1),
(97606,102070,'Interrupts targets in Area of Effect',100,1,0),
(97607,102070,'Inflicts 698 - 1163 melee damage on targets in area',100,1,1),
(97608,10102070,'Interrupts targets in Area of Effect',100,1,0),
(97609,10102070,'Inflicts 907 - 1512 melee damage on targets in area',100,1,1),
(97610,104782,'Charms target',100,1,0),
(97611,104782,'If outside an arena',100,1,1),
(97612,104782,'Certain enemies cannot be charmed',100,1,2),
(97613,104782,'Does not affect Epic targets',100,1,3),
(97614,10104782,'Charms target',100,1,0),
(97615,10104782,'If outside an arena',100,1,1),
(97616,10104782,'Certain enemies cannot be charmed',100,1,2),
(97617,10104782,'Does not affect Epic targets',100,1,3),
(97618,121300,'Inflicts 132 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(97619,121300,'Inflicts 435 - 725 melee damage on targets in area',100,1,1),
(97620,121300,'You must be in stealth or have Bloody Assault.',100,1,2),
(97621,10121300,'Inflicts 185 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(97622,10121300,'Inflicts 565 - 942 melee damage on targets in area',100,1,1),
(97623,10121300,'You must be in stealth or have Bloody Assault.',100,1,2),
(97624,101339,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(97625,101339,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 311',100,1,1),
(97626,101339,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,2),
(97627,10101339,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(97628,10101339,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 311',100,1,1),
(97629,10101339,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,2),
(97630,162772,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(97631,162772,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(97632,162772,'Cannot be modified except by direct means',100,1,2),
(97633,10162772,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(97634,10162772,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(97635,10162772,'Cannot be modified except by direct means',100,1,2),
(97636,102464,'Stuns target encounter',100,1,0),
(97637,102464,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(97638,102464,'Resistibility increases against targets higher than level 110.',100,1,2),
(97639,10102464,'Stuns target encounter',100,1,0),
(97640,10102464,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(97641,10102464,'Resistibility increases against targets higher than level 110.',100,1,2),
(97642,107526,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(97643,107526,'Decreases Mitigation of target encounter vs elemental and noxious damage by 364',100,1,1),
(97644,10107526,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(97645,10107526,'Decreases Mitigation of target encounter vs elemental and noxious damage by 364',100,1,1),
(97646,104362,'Charms target',100,1,0),
(97647,104362,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(97648,104362,'Mesmerizes target',100,2,2),
(97649,104362,'Dispelled when target takes damage',100,2,3),
(97650,104362,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(97651,104362,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(97652,104362,'Grants Sonic Vision to caster',100,2,6),
(97653,104362,'Increases Out-of-Combat Power Regeneration of target by 37.2',100,1,7),
(97654,104362,'Increases Out-of-Combat Health Regeneration of target by 74.4',100,1,8),
(97655,104362,'Certain enemies cannot be charmed',100,1,9),
(97656,104362,'Does not affect Epic targets',100,1,10),
(97657,10104362,'Mesmerizes target',100,1,0),
(97658,10104362,'Prevents AOE (except when direct) ',100,1,1),
(97659,10104362,'Dispelled when target takes damage',100,1,2),
(97660,10104362,'Certain enemies cannot be charmed',100,1,3),
(97661,10104362,'Does not affect Epic targets',100,1,4),
(97662,10104362,'Resistibility increases against targets higher than level 103.',100,1,5),
(97663,80786,'When Equipped:',100,0,0),
(97664,80786,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97665,80786,'Inflicts 194 - 361 magic damage on target',100,2,2),
(97666,80786,'Cannot be modified except by direct means',100,2,3),
(97667,10080786,'When Equipped:',100,0,0),
(97668,10080786,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97669,10080786,'Inflicts 272 - 505 magic damage on target',100,2,2),
(97670,10080786,'Cannot be modified except by direct means',100,2,3),
(97671,26616,'When Equipped:',100,0,0),
(97672,26616,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(97673,26616,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(97674,10026616,'When Equipped:',100,0,0),
(97675,10026616,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(97676,10026616,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(97677,48012,'Applies Draw upon Essence when Activated.',100,0,0),
(97678,48012,'Increases power of caster by 9',100,1,1),
(97679,48012,'Requires 24 Health to cast.',100,1,2),
(97680,10048012,'Applies Draw upon Essence when Activated.',100,0,0),
(97681,10048012,'Increases power of caster by 9',100,1,1),
(97682,10048012,'Requires 24 Health to cast.',100,1,2),
(97683,26493,'When Equipped:',100,0,0),
(97684,26493,'Increases Crit Chance of caster by 4.0',100,1,1),
(97685,10026493,'When Equipped:',100,0,0),
(97686,10026493,'Increases Crit Chance of caster by 4.0',100,1,1),
(97687,113144,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,0),
(97688,113144,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(97689,113144,'Inflicts 227 disease damage on target',100,2,2),
(97690,113144,'Heals caster for 112',100,2,3),
(97691,113144,'Shapechanges caster into an archlich',100,1,4),
(97692,10113144,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,0),
(97693,10113144,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(97694,10113144,'Inflicts 317 disease damage on target',100,2,2),
(97695,10113144,'Heals caster for 73',100,2,3),
(97696,10113144,'Shapechanges caster into an archlich',100,1,4),
(97697,88629,'When Equipped:',100,0,0),
(97698,88629,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(97699,88629,'Inflicts 1986 piercing damage on target',100,2,2),
(97700,88629,'Cannot be modified except by direct means',100,2,3),
(97701,10088629,'When Equipped:',100,0,0),
(97702,10088629,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(97703,10088629,'Inflicts 1390 piercing damage on target',100,2,2),
(97704,10088629,'Cannot be modified except by direct means',100,2,3),
(97705,115977,'Inflicts 314 - 471 mental damage on target',100,1,0),
(97706,115977,'Stuns target',100,1,1),
(97707,115977,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(97708,115977,'Resistibility increases against targets higher than level 70.',100,1,3),
(97709,10115977,'Stuns target',100,1,0),
(97710,10115977,'Inflicts 439 - 659 mental damage on target',100,1,1),
(97711,10115977,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(97712,10115977,'Resistibility increases against targets higher than level 70.',100,1,3),
(97713,102671,'Inflicts 176 divine damage on target encounter',100,1,0),
(97714,10102671,'Inflicts 246 divine damage on target encounter',100,1,0),
(97715,141981,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(97716,141981,'Slows target by 27.0%',100,1,1),
(97717,141981,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(97718,141981,'Decreases Attack Speed of target by 10.4',100,2,3),
(97719,141981,'Cannot be modified except by direct means',100,2,4),
(97720,141981,'5% chance to dispel when target takes damage',100,1,5),
(97721,141981,'5% chance to dispel when target receives hostile action',100,1,6),
(97722,141981,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(97723,10141981,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(97724,10141981,'Slows target by 27.0%',100,1,1),
(97725,10141981,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(97726,10141981,'Decreases Attack Speed of target by 10.4',100,2,3),
(97727,10141981,'Cannot be modified except by direct means',100,2,4),
(97728,10141981,'5% chance to dispel when target takes damage',100,1,5),
(97729,10141981,'5% chance to dispel when target receives hostile action',100,1,6),
(97730,10141981,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(97731,116534,'Increases Mitigation of target vs physical damage by 438',100,1,0),
(97732,116534,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(97733,10116534,'Increases Mitigation of target vs physical damage by 438',100,1,0),
(97734,10116534,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(97735,118622,'Inflicts 12 - 38 crushing damage on target',100,1,0),
(97736,10118622,'Inflicts 16 - 50 crushing damage on target',100,1,0),
(97737,79848,'When Equipped:',100,0,0),
(97738,79848,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(97739,79848,'Reduces healing received by 15.00%',100,2,2),
(97740,79848,'Cannot be modified except by direct means',100,2,3),
(97741,79848,'This effect can only trigger once every 1 second.',100,2,4),
(97742,79848,'Must be engaged in pvp combat',100,1,5),
(97743,10079848,'When Equipped:',100,0,0),
(97744,10079848,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(97745,10079848,'Reduces healing received by 15.00%',100,2,2),
(97746,10079848,'Cannot be modified except by direct means',100,2,3),
(97747,10079848,'This effect can only trigger once every 1 second.',100,2,4),
(97748,10079848,'Must be engaged in pvp combat',100,1,5),
(97749,26895,'When Equipped:',100,0,0),
(97750,26895,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(97751,26895,'Inflicts 321 cold damage on target',100,2,2),
(97752,26895,'Slows target by 43.4%',100,2,3),
(97753,26895,'Cannot be modified except by direct means',100,2,4),
(97754,10026895,'When Equipped:',100,0,0),
(97755,10026895,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(97756,10026895,'Inflicts 449 cold damage on target',100,2,2),
(97757,10026895,'Slows target by 43.4%',100,2,3),
(97758,10026895,'Cannot be modified except by direct means',100,2,4),
(97759,47835,'Applies Roglio''s Awakening when Activated.',100,0,0),
(97760,47835,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(97761,10047835,'Applies Roglio''s Awakening when Activated.',100,0,0),
(97762,10047835,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(97763,172688,'When Equipped:',100,0,0),
(97764,172688,'This effect will not stack with any rank or tier of itself.',100,1,1),
(97765,172688,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(97766,172688,'Cannot be modified except by direct means',100,1,3),
(97767,10172688,'When Equipped:',100,0,0),
(97768,10172688,'This effect will not stack with any rank or tier of itself.',100,1,1),
(97769,10172688,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(97770,10172688,'Cannot be modified except by direct means',100,1,3),
(97771,159937,'When Equipped:',100,0,0),
(97772,159937,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97773,159937,'Increases WIS of caster by 3.6',100,2,2),
(97774,159937,'Increases Focus, Ordination and Ministration of caster by 2.2',100,2,3),
(97775,159937,'Cannot be modified except by direct means',100,2,4),
(97776,10159937,'When Equipped:',100,0,0),
(97777,10159937,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97778,10159937,'Increases WIS of caster by 3.6',100,2,2),
(97779,10159937,'Increases Focus, Ordination and Ministration of caster by 2.2',100,2,3),
(97780,10159937,'Cannot be modified except by direct means',100,2,4),
(97781,35054,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(97782,105345,'Inflicts 488 - 813 melee damage on target',100,1,0),
(97783,105345,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 634',100,1,1),
(97784,105345,'Must be flanking or behind',100,1,2),
(97785,10105345,'Inflicts 634 - 1057 melee damage on target',100,1,0),
(97786,10105345,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 634',100,1,1),
(97787,10105345,'Must be flanking or behind',100,1,2),
(97788,71724,'When Equipped:',100,0,0),
(97789,71724,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97790,71724,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(97791,71724,'Cannot be modified except by direct means',100,2,3),
(97792,10071724,'When Equipped:',100,0,0),
(97793,10071724,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97794,10071724,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(97795,10071724,'Cannot be modified except by direct means',100,2,3),
(97796,36916,'Increases STA of target by 1.6',100,0,0),
(97797,36916,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(97798,174726,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(97799,174726,'Decreases Mitigation of target vs physical damage by 193',100,1,1),
(97800,174726,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(97801,10174726,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(97802,10174726,'Decreases Mitigation of target vs physical damage by 193',100,1,1),
(97803,10174726,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(97804,103380,'Decreases power of target by 41 instantly and every 6 seconds',100,1,0),
(97805,103380,'Inflicts 163 - 200 mental damage on target instantly and every 6 seconds',100,1,1),
(97806,103380,'Increases power of caster by 152',100,1,2),
(97807,10103380,'Decreases power of target by 41 instantly and every 6 seconds',100,1,0),
(97808,10103380,'Inflicts 229 - 280 mental damage on target instantly and every 6 seconds',100,1,1),
(97809,10103380,'Increases power of caster by 152',100,1,2),
(97810,120218,'Roots target encounter',100,1,0),
(97811,120218,'15% chance to dispel when target takes damage',100,1,1),
(97812,120218,'Does not affect Epic targets',100,1,2),
(97813,120218,'Resistibility increases against targets higher than level 69.',100,1,3),
(97814,10120218,'Roots target encounter',100,1,0),
(97815,10120218,'15% chance to dispel when target takes damage',100,1,1),
(97816,10120218,'Does not affect Epic targets',100,1,2),
(97817,10120218,'Resistibility increases against targets higher than level 69.',100,1,3),
(97818,87515,'When Equipped:',100,0,0),
(97819,87515,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97820,87515,'Inflicts 276 - 413 magic damage on target',100,2,2),
(97821,87515,'Cannot be modified except by direct means',100,2,3),
(97822,10087515,'When Equipped:',100,0,0),
(97823,10087515,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(97824,10087515,'Inflicts 386 - 579 magic damage on target',100,2,2),
(97825,10087515,'Cannot be modified except by direct means',100,2,3),
(97826,76121,'When Equipped:',100,0,0),
(97827,76121,'On a combat hit this spell may cast Subterranean Favor on target.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97828,76121,'Increases STR of caster by 116.6',100,2,2),
(97829,76121,'Heals caster for 52 - 96',100,2,3),
(97830,76121,'Heals caster for 15 - 28 every 4 seconds',100,2,4),
(97831,76121,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,5),
(97832,76121,'Cannot be modified except by direct means',100,2,6),
(97833,76121,'Increases Multi Attack Chance of caster by 5.0',100,1,7),
(97834,10076121,'When Equipped:',100,0,0),
(97835,10076121,'On a combat hit this spell may cast Subterranean Favor on target.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(97836,10076121,'Increases STR of caster by 116.6',100,2,2),
(97837,10076121,'Heals caster for 34 - 62',100,2,3),
(97838,10076121,'Heals caster for 10 - 18 every 4 seconds',100,2,4),
(97839,10076121,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,5),
(97840,10076121,'Cannot be modified except by direct means',100,2,6),
(97841,10076121,'Increases Multi Attack Chance of caster by 5.0',100,1,7),
(97842,80289,'When Equipped:',100,0,0),
(97843,80289,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(97844,80289,'Decreases Threat to target by 801 ',100,2,2),
(97845,80289,'Must be flanking or behind',100,3,3),
(97846,80289,'Increases Threat to target by 801 ',100,2,4),
(97847,80289,'Must be in front of',100,3,5),
(97848,80289,'Inflicts 224 - 415 magic damage on target',100,2,6),
(97849,80289,'Cannot be modified except by direct means',100,2,7),
(97850,10080289,'When Equipped:',100,0,0),
(97851,10080289,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(97852,10080289,'Inflicts 313 - 581 magic damage on target',100,2,2),
(97853,10080289,'Cannot be modified except by direct means',100,2,3),
(97854,123592,'Increases STR of group members (AE) by 110.9',100,1,0),
(97855,123592,'Increases Max Health of group members (AE) by 987.2',100,1,1),
(97856,10123592,'Increases STR of group members (AE) by 110.9',100,1,0),
(97857,10123592,'Increases Max Health of group members (AE) by 987.2',100,1,1),
(97858,142872,'When Equipped:',100,0,0),
(97859,142872,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(97860,142872,'When Equipped:',100,0,2),
(97861,142872,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(97862,10142872,'When Equipped:',100,0,0),
(97863,10142872,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(97864,10142872,'When Equipped:',100,0,2),
(97865,10142872,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(97866,123155,'Reduces physical damage done to caster by 5%',100,1,0),
(97867,123155,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(97868,123155,'Increases Aggression of caster by 4.5',100,1,2),
(97869,123155,'Increases Defense and Parry of caster by 9.0',100,1,3),
(97870,123155,'Increases Mitigation of caster vs elemental damage by 600',100,1,4),
(97871,123155,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(97872,10123155,'Reduces physical damage done to caster by 5%',100,1,0),
(97873,10123155,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(97874,10123155,'Increases Aggression of caster by 4.5',100,1,2),
(97875,10123155,'Increases Defense and Parry of caster by 9.0',100,1,3),
(97876,10123155,'Increases Mitigation of caster vs elemental damage by 600',100,1,4),
(97877,10123155,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(97878,105994,'Inflicts 4 - 5 divine damage on target instantly and every 3 seconds',100,1,0),
(97879,105994,'Decreases Defense of target by 1.2',100,1,1),
(97880,10105994,'Inflicts 4 - 5 divine damage on target instantly and every 3 seconds',100,1,0),
(97881,10105994,'Decreases Defense of target by 1.2',100,1,1),
(97882,103020,'Inflicts 98 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(97883,103020,'Inflicts 36 - 61 melee damage on target',100,1,1),
(97884,10103020,'Inflicts 137 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(97885,10103020,'Inflicts 47 - 79 melee damage on target',100,1,1),
(97886,123866,'Increases AGI of caster by 51.5',100,1,0),
(97887,123866,'Adds 14.8% to base avoidance.',100,1,1),
(97888,123866,'Increases Damage Per Second of caster by 41.4',100,1,2),
(97889,123866,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(97890,123866,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(97891,10123866,'Increases AGI of caster by 51.5',100,1,0),
(97892,10123866,'Adds 14.8% to base avoidance.',100,1,1),
(97893,10123866,'Increases Damage Per Second of caster by 41.4',100,1,2),
(97894,10123866,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(97895,10123866,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(97896,124360,'Inflicts 137 - 168 divine damage on target',100,1,0),
(97897,124360,'Inflicts 57 - 70 divine damage on target every 4 seconds',100,1,1),
(97898,10124360,'Inflicts 192 - 235 divine damage on target',100,1,0),
(97899,10124360,'Inflicts 80 - 98 divine damage on target every 4 seconds',100,1,1),
(97900,115372,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(97901,115372,'Increases Parry of caster by 6.6',100,1,1),
(97902,10115372,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(97903,10115372,'Increases Parry of caster by 6.6',100,1,1),
(97904,121330,'Inflicts 1887 - 3146 ranged damage on targets in area',100,1,0),
(97905,121330,'Requires bow',100,1,1),
(97906,10121330,'Inflicts 1444 - 2406 ranged damage on targets in area',100,1,0),
(97907,10121330,'Requires bow',100,1,1),
(97908,102479,'Inflicts 149 - 248 crushing damage on target',100,1,0),
(97909,102479,'Prevents target from changing direction while active.',100,1,1),
(97910,102479,'If Target is not Epic',100,2,2),
(97911,102479,'Roots target',100,1,3),
(97912,102479,'If Target is not Epic',100,2,4),
(97913,102479,'Resistibility increases against targets higher than level 51.',100,1,5),
(97914,10102479,'Inflicts 194 - 323 crushing damage on target',100,1,0),
(97915,10102479,'Prevents target from changing direction while active.',100,1,1),
(97916,10102479,'If Target is not Epic',100,2,2),
(97917,10102479,'Roots target',100,1,3),
(97918,10102479,'If Target is not Epic',100,2,4),
(97919,10102479,'Resistibility increases against targets higher than level 51.',100,1,5),
(97920,116017,'Decreases Hate Gain of target by 16.3%',100,1,0),
(97921,116017,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(97922,116017,'Decreases threat priority of target by 1 position',100,2,2),
(97923,10116017,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(97924,10116017,'Forces target to clear their selected target.',100,2,1),
(97925,120467,'Inflicts 258 - 430 ranged damage on target',100,1,0),
(97926,120467,'Slows target by 42.2%',100,1,1),
(97927,120467,'10% chance to dispel when target receives hostile action',100,1,2),
(97928,120467,'Requires bow',100,1,3),
(97929,10120467,'Inflicts 201 - 335 ranged damage on target',100,1,0),
(97930,10120467,'Slows target by 42.2%',100,1,1),
(97931,10120467,'10% chance to dispel when target receives hostile action',100,1,2),
(97932,10120467,'Requires bow',100,1,3),
(97933,106491,'Decreases STR and AGI of target by 66.8',100,1,0),
(97934,10106491,'Decreases STR and AGI of target by 66.8',100,1,0),
(97935,111110,'Heals target for 27.4 - 33.4% of max health',100,1,0),
(97936,111110,'This effect cannot be critically applied.',100,2,1),
(97937,111110,'Increases Mitigation of target vs physical damage by 374',100,1,2),
(97938,111110,'The healing of this spell cannot be modified except by direct means',100,1,3),
(97939,10111110,'Heals target for 10.3 - 12.5% of max health',100,1,0),
(97940,10111110,'This effect cannot be critically applied.',100,2,1),
(97941,10111110,'Increases Mitigation of target vs physical damage by 374',100,1,2),
(97942,10111110,'The healing of this spell cannot be modified except by direct means',100,1,3),
(97943,101997,'Summons 3 limited pets to aid the caster',100,1,0),
(97944,10101997,'Summons 3 limited pets to aid the caster',100,1,0),
(97945,100933,'Dazes target',100,1,0),
(97946,100933,'Inflicts 51 - 62 mental damage on target',100,1,1),
(97947,100933,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',100,1,2),
(97948,100933,'Resistibility increases against targets higher than level 40.',100,1,3),
(97949,10100933,'Dazes target',100,1,0),
(97950,10100933,'Inflicts 71 - 87 mental damage on target',100,1,1),
(97951,10100933,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(97952,10100933,'Resistibility increases against targets higher than level 40.',100,1,3),
(97953,101907,'Inflicts 3 piercing damage on target instantly and every 4 seconds',100,1,0),
(97954,101907,'Inflicts 8 - 14 melee damage on target',100,1,1),
(97955,101907,'Must be behind',100,1,2),
(97956,10101907,'Inflicts 4 piercing damage on target instantly and every 4 seconds',100,1,0),
(97957,10101907,'Inflicts 11 - 19 melee damage on target',100,1,1),
(97958,10101907,'Must be behind',100,1,2),
(97959,143022,'When Equipped:',100,0,0),
(97960,143022,'On a combat hit this spell may cast Aggravate I on target of attack.  Triggers about 0.8 times per minute. ',100,1,1),
(97961,143022,'Increases Threat to target by 600 ',100,2,2),
(97962,143022,'Cannot be modified except by direct means',100,2,3),
(97963,10143022,'When Equipped:',100,0,0),
(97964,10143022,'On a combat hit this spell may cast Aggravate I on target of attack.  Triggers about 0.8 times per minute. ',100,1,1),
(97965,10143022,'Cannot be modified except by direct means',100,2,2),
(97966,115040,'Heals target for 553 - 676',100,1,0),
(97967,10115040,'Heals target for 775 - 947',100,1,0),
(97968,187309,'When Equipped:',100,0,0),
(97969,187309,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(97970,187309,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(97971,187309,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(97972,187309,'Must be classified as a goblin',100,3,4),
(97973,187309,'Inflicts 562 mental damage on target',100,2,5),
(97974,187309,'Must be classified as a goblin',100,3,6),
(97975,187309,'Inflicts 281 mental damage on target',100,2,7),
(97976,187309,'Must not be classified as a goblin',100,3,8),
(97977,187309,'Cannot be modified except by direct means',100,2,9),
(97978,10187309,'When Equipped:',100,0,0),
(97979,10187309,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(97980,10187309,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(97981,10187309,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(97982,10187309,'Must be classified as a goblin',100,3,4),
(97983,10187309,'Inflicts 787 mental damage on target',100,2,5),
(97984,10187309,'Must be classified as a goblin',100,3,6),
(97985,10187309,'Inflicts 393 mental damage on target',100,2,7),
(97986,10187309,'Must not be classified as a goblin',100,3,8),
(97987,10187309,'Cannot be modified except by direct means',100,2,9),
(97988,112027,'Roots target',100,1,0),
(97989,112027,'Stifles target',100,1,1),
(97990,112027,'If Target is not Epic',100,2,2),
(97991,112027,'20% chance to dispel when target takes damage',100,1,3),
(97992,112027,'Does not affect Epic targets',100,1,4),
(97993,112027,'Resistibility increases against targets higher than level 68.',100,1,5),
(97994,10112027,'Roots target',100,1,0),
(97995,10112027,'Stifles target',100,1,1),
(97996,10112027,'If Target is not Epic',100,2,2),
(97997,10112027,'20% chance to dispel when target takes damage',100,1,3),
(97998,10112027,'Does not affect Epic targets',100,1,4),
(97999,10112027,'Resistibility increases against targets higher than level 68.',100,1,5),
(98000,105025,'Increases WIS of raid and group members (AE) by 24.3',100,1,0),
(98001,105025,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(98002,105025,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 89',100,1,2),
(98003,10105025,'Increases WIS of raid and group members (AE) by 24.3',100,1,0),
(98004,10105025,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(98005,10105025,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 89',100,1,2),
(98006,48969,'Applies Welno''s Resurgence  when Activated.',100,0,0),
(98007,48969,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(98008,10048969,'Applies Welno''s Resurgence  when Activated.',100,0,0),
(98009,10048969,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(98010,26804,'Applies Uncanny Insight I when Equipped.',100,0,0),
(98011,26804,'Gives caster a 4.0% chance to strikethrough a successful avoidance check',100,1,1),
(98012,26804,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(98013,26804,'Must not be engaged in pvp combat',100,1,3),
(98014,10026804,'Applies Uncanny Insight I when Equipped.',100,0,0),
(98015,10026804,'Gives caster a 4.0% chance to strikethrough a successful avoidance check',100,1,1),
(98016,10026804,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(98017,10026804,'Must not be engaged in pvp combat',100,1,3),
(98018,117204,'Inflicts 9 - 16 melee damage on target',100,1,0),
(98019,10117204,'Inflicts 12 - 21 melee damage on target',100,1,0),
(98020,101640,'Applies Forceful Headache on termination.',100,1,0),
(98021,101640,'Inflicts 311 - 518 mental damage on target',100,2,1),
(98022,101640,'If over 50% power',100,3,2),
(98023,101640,'Inflicts 124 - 152 mental damage on target instantly and every 6 seconds',100,1,3),
(98024,101640,'Decreases Mitigation of target vs arcane damage by 869',100,1,4),
(98025,10101640,'Applies Forceful Headache on termination.',100,1,0),
(98026,10101640,'Inflicts 435 - 725 mental damage on target',100,2,1),
(98027,10101640,'If over 50% power',100,3,2),
(98028,10101640,'Inflicts 174 - 213 mental damage on target instantly and every 6 seconds',100,1,3),
(98029,10101640,'Decreases Mitigation of target vs arcane damage by 869',100,1,4),
(98030,101376,'Reduces physical damage done to caster by 5%',100,1,0),
(98031,101376,'Adds 2.1% to base avoidance.',100,1,1),
(98032,101376,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(98033,101376,'Increases Aggression of caster by 22.9',100,1,3),
(98034,101376,'Increases Defense and Parry of caster by 36.6',100,1,4),
(98035,101376,'Increases Mitigation of caster vs noxious and arcane damage by 233',100,1,5),
(98036,101376,'Increases Mitigation of caster vs elemental damage by 2328',100,1,6),
(98037,101376,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(98038,10101376,'Reduces physical damage done to caster by 5%',100,1,0),
(98039,10101376,'Adds 2.1% to base avoidance.',100,1,1),
(98040,10101376,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(98041,10101376,'Increases Aggression of caster by 22.9',100,1,3),
(98042,10101376,'Increases Defense and Parry of caster by 36.6',100,1,4),
(98043,10101376,'Increases Mitigation of caster vs noxious and arcane damage by 233',100,1,5),
(98044,10101376,'Increases Mitigation of caster vs elemental damage by 2328',100,1,6),
(98045,10101376,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(98046,124468,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(98047,124468,'Inflicts 637 - 1063 melee damage on target',100,2,1),
(98048,124468,'Decreases Defense of caster by 29.8',100,1,2),
(98049,124468,'Increases Slashing, Piercing, Ranged and Crushing of caster by 74.4',100,1,3),
(98050,10124468,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(98051,10124468,'Inflicts 829 - 1382 melee damage on target',100,2,1),
(98052,10124468,'Decreases Defense of caster by 29.8',100,1,2),
(98053,10124468,'Increases Slashing, Piercing, Ranged and Crushing of caster by 74.4',100,1,3),
(98054,106699,'Heals target for 27 - 33',100,1,0),
(98055,10106699,'Heals target for 32 - 39',100,1,0),
(98056,106552,'Inflicts 654 - 800 melee damage on target',100,1,0),
(98057,106552,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(98058,106552,'Increases Hate Gain of target by 30.0%',100,2,2),
(98059,106552,'Grants a total of 1 trigger of the spell.',100,2,3),
(98060,10106552,'Inflicts 850 - 1040 melee damage on target',100,1,0),
(98061,10106552,'25% chance to apply Distract on termination.',100,1,1),
(98062,10106552,'Forces target to clear their selected target.',100,2,2),
(98063,74826,'When Equipped:',100,0,0),
(98064,74826,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98065,74826,'Inflicts 113 - 170 magic damage on target',100,2,2),
(98066,74826,'Cannot be modified except by direct means',100,2,3),
(98067,10074826,'When Equipped:',100,0,0),
(98068,10074826,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98069,10074826,'Inflicts 158 - 237 magic damage on target',100,2,2),
(98070,10074826,'Cannot be modified except by direct means',100,2,3),
(98071,104438,'Interrupts target encounter',100,1,0),
(98072,104438,'Applies Stumble on termination.',100,1,1),
(98073,104438,'Interrupts target',100,2,2),
(98074,104438,'Inflicts 48 - 58 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(98075,10104438,'Interrupts target encounter',100,1,0),
(98076,10104438,'Applies Stumble on termination.',100,1,1),
(98077,10104438,'Interrupts target',100,2,2),
(98078,10104438,'Inflicts 67 - 81 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(98079,107792,'Increases Threat to target encounter by 243 - 297 ',100,1,0),
(98080,10107792,'Prevents target encounter from changing targets',100,1,0),
(98081,10107792,'Forces target encounter to change their selected target to caster.',100,1,1),
(98082,113052,'Applies Scream on termination.',100,1,0),
(98083,113052,'Inflicts 71 - 118 disease damage on target',100,2,1),
(98084,113052,'Dazes target',100,1,2),
(98085,113052,'If Target is not Epic',100,2,3),
(98086,113052,'Resistibility increases against targets higher than level 49.',100,1,4),
(98087,10113052,'Dazes target',100,1,0),
(98088,10113052,'If Target is not Epic',100,2,1),
(98089,10113052,'Applies Scream on termination.',100,1,2),
(98090,10113052,'Inflicts 99 - 165 disease damage on target',100,2,3),
(98091,10113052,'Resistibility increases against targets higher than level 49.',100,1,4),
(98092,155631,'Applies Gnomish Diving Goggles when Equipped.',100,0,0),
(98093,155631,'Grants Fish Vision to caster',100,1,1),
(98094,10155631,'Applies Gnomish Diving Goggles when Equipped.',100,0,0),
(98095,10155631,'Grants Fish Vision to caster',100,1,1),
(98096,114601,'Summon 1 Dark Heart (Adept)',100,1,0),
(98097,114601,'Must not be engaged in combat',100,1,1),
(98098,10114601,'Summon 1 Dark Heart (Adept)',100,1,0),
(98099,10114601,'Must not be engaged in combat',100,1,1),
(98100,116498,'Prevents targets in Area of Effect from changing targets',100,1,0),
(98101,116498,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(98102,116498,'Increases Threat to targets in Area of Effect by 590 ',100,1,2),
(98103,10116498,'Prevents targets in Area of Effect from changing targets',100,1,0),
(98104,10116498,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(98105,105941,'Inflicts 96 - 117 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(98106,105941,'Inflicts 223 - 372 disease damage on targets in area',100,1,1),
(98107,10105941,'Inflicts 134 - 164 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(98108,10105941,'Inflicts 290 - 484 disease damage on targets in area',100,1,1),
(98109,173938,'When Equipped:',100,0,0),
(98110,173938,'Increases Attack Speed of caster by 35.0',100,1,1),
(98111,10173938,'When Equipped:',100,0,0),
(98112,10173938,'Increases Attack Speed of caster by 35.0',100,1,1),
(98113,80761,'When Equipped:',100,0,0),
(98114,80761,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(98115,80761,'Decreases Threat to target by 517 ',100,2,2),
(98116,80761,'Must be flanking or behind',100,3,3),
(98117,80761,'Increases Threat to target by 517 ',100,2,4),
(98118,80761,'Must be in front of',100,3,5),
(98119,80761,'Inflicts 194 - 361 magic damage on target',100,2,6),
(98120,80761,'Cannot be modified except by direct means',100,2,7),
(98121,10080761,'When Equipped:',100,0,0),
(98122,10080761,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(98123,10080761,'Inflicts 272 - 505 magic damage on target',100,2,2),
(98124,10080761,'Cannot be modified except by direct means',100,2,3),
(98125,118127,'Heals target for 748 - 914',100,1,0),
(98126,10118127,'Heals target for 884 - 1080',100,1,0),
(98127,24148,'Adds Elite: Construct (Dirge) to your Dungeon Maker toolbox',100,0,0),
(98128,10024148,'Adds Elite: Construct (Dirge) to your Dungeon Maker toolbox',100,0,0),
(98129,80726,'When Equipped:',100,0,0),
(98130,80726,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(98131,80726,'Decreases Threat to target by 236 ',100,2,2),
(98132,80726,'Must be flanking or behind',100,3,3),
(98133,80726,'Increases Threat to target by 236 ',100,2,4),
(98134,80726,'Must be in front of',100,3,5),
(98135,80726,'Inflicts 71 - 132 magic damage on target',100,2,6),
(98136,80726,'Cannot be modified except by direct means',100,2,7),
(98137,10080726,'When Equipped:',100,0,0),
(98138,10080726,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(98139,10080726,'Inflicts 100 - 185 magic damage on target',100,2,2),
(98140,10080726,'Cannot be modified except by direct means',100,2,3),
(98141,88259,'When Equipped:',100,0,0),
(98142,88259,'On a hostile spell cast this spell may cast Wrath of the Pumpkin King on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98143,88259,'Inflicts 134 heat damage on target instantly and every 2 seconds',100,2,2),
(98144,88259,'Decreases Mitigation of target vs elemental damage by 422 - 516',100,2,3),
(98145,88259,'Cannot be modified except by direct means',100,2,4),
(98146,10088259,'When Equipped:',100,0,0),
(98147,10088259,'On a hostile spell cast this spell may cast Wrath of the Pumpkin King on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98148,10088259,'Inflicts 187 heat damage on target instantly and every 2 seconds',100,2,2),
(98149,10088259,'Decreases Mitigation of target vs elemental damage by 422 - 516',100,2,3),
(98150,10088259,'Cannot be modified except by direct means',100,2,4),
(98151,50629,'When Equipped:',100,0,0),
(98152,50629,'When caster is damaged by a spell, this spell has a 5% chance to absorb 1000 damage.',100,1,1),
(98153,10050629,'When Equipped:',100,0,0),
(98154,10050629,'When caster is damaged by a spell, this spell has a 5% chance to absorb 1000 damage.',100,1,1),
(98155,159028,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(98156,159028,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(98157,159028,'Heals target for 50 instantly and every 4 seconds',100,2,2),
(98158,159028,'Cannot be modified except by direct means',100,2,3),
(98159,10159028,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(98160,10159028,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(98161,10159028,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(98162,10159028,'Cannot be modified except by direct means',100,2,3),
(98163,25941,'When Equipped:',100,0,0),
(98164,25941,'On a block this spell has a 4% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(98165,25941,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(98166,25941,'Heals caster for 42 - 51',100,3,3),
(98167,25941,'Grants a total of 3 triggers of the spell.',100,3,4),
(98168,25941,'Cannot be modified except by direct means',100,2,5),
(98169,10025941,'When Equipped:',100,0,0),
(98170,10025941,'On a block this spell has a 4% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(98171,10025941,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(98172,10025941,'Heals caster for 27 - 33',100,3,3),
(98173,10025941,'Grants a total of 3 triggers of the spell.',100,3,4),
(98174,10025941,'Cannot be modified except by direct means',100,2,5),
(98175,24643,'Adds Poet''s Palace: Round Blue Pillow to your Dungeon Maker toolbox',100,0,0),
(98176,10024643,'Adds Poet''s Palace: Round Blue Pillow to your Dungeon Maker toolbox',100,0,0),
(98177,104812,'Increases caster''s chance to block by 10.0%',100,1,0),
(98178,104812,'Decreases Attack Speed of caster by 17.8',100,1,1),
(98179,104812,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(98180,104812,'Increases Parry of caster by 29.0',100,1,3),
(98181,104812,'Increases Defense of caster by 29.0',100,1,4),
(98182,10104812,'Increases caster''s chance to block by 10.0%',100,1,0),
(98183,10104812,'Decreases Attack Speed of caster by 17.8',100,1,1),
(98184,10104812,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(98185,10104812,'Increases Parry of caster by 29.0',100,1,3),
(98186,10104812,'Increases Defense of caster by 29.0',100,1,4),
(98187,24543,'Adds Mistmoore: Open Tome to your Dungeon Maker toolbox',100,0,0),
(98188,10024543,'Adds Mistmoore: Open Tome to your Dungeon Maker toolbox',100,0,0),
(98189,48490,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(98190,48490,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(98191,48490,'Inflicts 170 poison damage on target instantly and every 6 seconds',100,2,2),
(98192,48490,'Inflicts 194 poison damage on target',100,2,3),
(98193,48490,'Cannot be modified except by direct means',100,2,4),
(98194,48490,'Grants a total of 200 triggers of the spell.',100,2,5),
(98195,10048490,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(98196,10048490,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(98197,10048490,'Inflicts 179 poison damage on target instantly and every 6 seconds',100,2,2),
(98198,10048490,'Inflicts 204 poison damage on target',100,2,3),
(98199,10048490,'Cannot be modified except by direct means',100,2,4),
(98200,10048490,'Grants a total of 200 triggers of the spell.',100,2,5),
(98201,82559,'When Equipped:',100,0,0),
(98202,82559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98203,82559,'Inflicts 101 - 188 magic damage on target',100,2,2),
(98204,82559,'Cannot be modified except by direct means',100,2,3),
(98205,10082559,'When Equipped:',100,0,0),
(98206,10082559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98207,10082559,'Inflicts 142 - 263 magic damage on target',100,2,2),
(98208,10082559,'Cannot be modified except by direct means',100,2,3),
(98209,135825,'When Equipped:',100,0,0),
(98210,135825,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(98211,135825,'Inflicts 1199 disease damage on target encounter',100,2,2),
(98212,135825,'Must not be engaged in pvp combat',100,2,3),
(98213,135825,'Cannot be modified except by direct means',100,2,4),
(98214,10135825,'When Equipped:',100,0,0),
(98215,10135825,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(98216,10135825,'Inflicts 839 disease damage on target encounter',100,2,2),
(98217,10135825,'Must not be engaged in pvp combat',100,2,3),
(98218,10135825,'Cannot be modified except by direct means',100,2,4),
(98219,159218,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(98220,159218,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(98221,159218,'Inflicts 41 heat damage on target',100,2,2),
(98222,159218,'Cannot be modified except by direct means',100,2,3),
(98223,10159218,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(98224,10159218,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(98225,10159218,'Inflicts 57 heat damage on target',100,2,2),
(98226,10159218,'Cannot be modified except by direct means',100,2,3),
(98227,71563,'When Equipped:',100,0,0),
(98228,71563,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98229,71563,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(98230,71563,'Cannot be modified except by direct means',100,2,3),
(98231,10071563,'When Equipped:',100,0,0),
(98232,10071563,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98233,10071563,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(98234,10071563,'Cannot be modified except by direct means',100,2,3),
(98235,48481,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(98236,48481,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(98237,48481,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(98238,48481,'Cannot be modified except by direct means',100,2,3),
(98239,48481,'Grants a total of 80 triggers of the spell.',100,2,4),
(98240,10048481,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(98241,10048481,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(98242,10048481,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(98243,10048481,'Cannot be modified except by direct means',100,2,3),
(98244,10048481,'Grants a total of 80 triggers of the spell.',100,2,4),
(98245,108583,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(98246,108583,'Increases WIS and STR of group members (AE) by 18.4',100,2,1),
(98247,108583,'Heals group members (AE) for 48 - 59 instantly and every 3 seconds',100,2,2),
(98248,108583,'Increases AGI and INT of group members (AE) by 18.4',100,2,3),
(98249,108583,'Increases STA of group members (AE) by 36.7',100,2,4),
(98250,108583,'Adds 0.7% to base avoidance.',100,2,5),
(98251,108583,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 47',100,2,6),
(98252,10108583,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(98253,10108583,'Increases WIS and STR of group members (AE) by 18.4',100,2,1),
(98254,10108583,'Heals group members (AE) for 31 - 38 instantly and every 3 seconds',100,2,2),
(98255,10108583,'Increases AGI and INT of group members (AE) by 18.4',100,2,3),
(98256,10108583,'Increases STA of group members (AE) by 36.7',100,2,4),
(98257,10108583,'Adds 0.7% to base avoidance.',100,2,5),
(98258,10108583,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 47',100,2,6),
(98259,48768,'Applies Translucent Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(98260,48768,'Increases AGI of caster by 47.0',100,1,1),
(98261,48768,'Only affects targets level 50 and above',100,1,2),
(98262,10048768,'Applies Translucent Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(98263,10048768,'Increases AGI of caster by 47.0',100,1,1),
(98264,10048768,'Only affects targets level 50 and above',100,1,2),
(98265,72240,'When Equipped:',100,0,0),
(98266,72240,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98267,72240,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(98268,72240,'Cannot be modified except by direct means',100,2,3),
(98269,10072240,'When Equipped:',100,0,0),
(98270,10072240,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98271,10072240,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(98272,10072240,'Cannot be modified except by direct means',100,2,3),
(98273,118714,'Inflicts 73 - 122 slashing damage on target',100,1,0),
(98274,118714,'Decreases Slashing, Crushing and Piercing of target by 6.0',100,1,1),
(98275,118714,'Inflicts 30 - 37 slashing damage on target every 5 seconds',100,1,2),
(98276,10118714,'Inflicts 95 - 159 slashing damage on target',100,1,0),
(98277,10118714,'Decreases Slashing, Crushing and Piercing of target by 6.0',100,1,1),
(98278,10118714,'Inflicts 42 - 52 slashing damage on target every 5 seconds',100,1,2),
(98279,116856,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(98280,116856,'Inflicts 642 - 784 mental damage on target',100,2,1),
(98281,116856,'Grants a total of 3 triggers of the spell.',100,2,2),
(98282,10116856,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(98283,10116856,'Inflicts 899 - 1098 mental damage on target',100,2,1),
(98284,10116856,'Grants a total of 3 triggers of the spell.',100,2,2),
(98285,123302,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(98286,123302,'Inflicts 300 - 500 disease damage on target',100,2,1),
(98287,123302,'Heals caster for 1.0 - 1.8% of max health',100,2,2),
(98288,123302,'This effect cannot be critically applied.',100,3,3),
(98289,123302,'The healing of this spell cannot be modified except by direct means',100,2,4),
(98290,10123302,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(98291,10123302,'Inflicts 420 - 700 disease damage on target',100,2,1),
(98292,10123302,'Heals caster for 0.4 - 0.6% of max health',100,2,2),
(98293,10123302,'This effect cannot be critically applied.',100,3,3),
(98294,10123302,'The healing of this spell cannot be modified except by direct means',100,2,4),
(98295,26566,'When Equipped:',100,0,0),
(98296,26566,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(98297,26566,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,2),
(98298,10026566,'When Equipped:',100,0,0),
(98299,10026566,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(98300,10026566,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,2),
(98301,124099,'Increases power of caster by 45',100,1,0),
(98302,10124099,'Increases power of caster by 45',100,1,0),
(98303,79322,'When Equipped:',100,0,0),
(98304,79322,'On a combat hit this spell will cast Power of Ghoulbane on target of attack.  ',100,1,1),
(98305,79322,'Inflicts 20 - 24 divine damage on target',100,2,2),
(98306,79322,'If target is undead',100,3,3),
(98307,79322,'Cannot be modified except by direct means',100,2,4),
(98308,10079322,'When Equipped:',100,0,0),
(98309,10079322,'On a combat hit this spell will cast Power of Ghoulbane on target of attack.  ',100,1,1),
(98310,10079322,'Inflicts 28 - 34 divine damage on target',100,2,2),
(98311,10079322,'If target is undead',100,3,3),
(98312,10079322,'Cannot be modified except by direct means',100,2,4),
(98313,113725,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(98314,10113725,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(98315,88200,'When Equipped:',100,0,0),
(98316,88200,'On any combat or spell hit this spell may cast Mental Overload on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98317,88200,'Increases Potency of caster by 12.0%',100,2,2),
(98318,88200,'Increases Ability Modifier of caster by 250.0',100,2,3),
(98319,88200,'Must not be engaged in pvp combat',100,2,4),
(98320,88200,'Cannot be modified except by direct means',100,2,5),
(98321,88200,'Must not be engaged in pvp combat',100,1,6),
(98322,88200,'When Equipped:',100,0,7),
(98323,88200,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(98324,88200,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,9),
(98325,88200,'Inflicts an additional 2664 heat damage on target every tick',100,2,10),
(98326,88200,'Decreases Threat to target by 4,345  instantly and Decreases Threat by 4,345  every 4 seconds thereafter',100,2,11),
(98327,88200,'Decreases threat priority of target by 1 position',100,2,12),
(98328,88200,'Must not be engaged in pvp combat',100,2,13),
(98329,88200,'Cannot be modified except by direct means',100,2,14),
(98330,88200,'Must not be engaged in pvp combat',100,1,15),
(98331,10088200,'When Equipped:',100,0,0),
(98332,10088200,'On any combat or spell hit this spell may cast Mental Overload on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98333,10088200,'Increases Potency of caster by 12.0%',100,2,2),
(98334,10088200,'Increases Ability Modifier of caster by 250.0',100,2,3),
(98335,10088200,'Must not be engaged in pvp combat',100,2,4),
(98336,10088200,'Cannot be modified except by direct means',100,2,5),
(98337,10088200,'Must not be engaged in pvp combat',100,1,6),
(98338,10088200,'When Equipped:',100,0,7),
(98339,10088200,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(98340,10088200,'Inflicts 7459 heat damage on target instantly and every 4 seconds',100,2,9),
(98341,10088200,'Inflicts an additional 2664 heat damage on target every tick',100,2,10),
(98342,10088200,'Must not be engaged in pvp combat',100,2,11),
(98343,10088200,'Cannot be modified except by direct means',100,2,12),
(98344,10088200,'Must not be engaged in pvp combat',100,1,13),
(98345,37044,'Increases AGI of target by 1.6',100,0,0),
(98346,37044,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(98347,35598,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(98348,107243,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(98349,107243,'Slows target by 59.5%',100,2,1),
(98350,107243,'5% chance to dispel when target receives hostile action',100,2,2),
(98351,107243,'5% chance to dispel when target takes damage',100,2,3),
(98352,107243,'Inflicts 38 - 46 disease damage on target every 4 seconds',100,1,4),
(98353,107243,'Slows target by 59.5%',100,1,5),
(98354,107243,'5% chance to dispel when target receives hostile action',100,1,6),
(98355,107243,'5% chance to dispel when target takes damage',100,1,7),
(98356,10107243,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(98357,10107243,'Slows target by 59.5%',100,2,1),
(98358,10107243,'5% chance to dispel when target receives hostile action',100,2,2),
(98359,10107243,'5% chance to dispel when target takes damage',100,2,3),
(98360,10107243,'Inflicts 53 - 65 disease damage on target every 2.5 seconds',100,1,4),
(98361,10107243,'Slows target by 59.5%',100,1,5),
(98362,10107243,'5% chance to dispel when target receives hostile action',100,1,6),
(98363,10107243,'5% chance to dispel when target takes damage',100,1,7),
(98364,159272,'When Equipped:',100,0,0),
(98365,159272,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98366,159272,'Increases STR of caster by 4.7',100,2,2),
(98367,159272,'Increases Damage Per Second of caster by 14.7',100,2,3),
(98368,159272,'Cannot be modified except by direct means',100,2,4),
(98369,10159272,'When Equipped:',100,0,0),
(98370,10159272,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98371,10159272,'Increases STR of caster by 4.7',100,2,2),
(98372,10159272,'Increases Damage Per Second of caster by 14.7',100,2,3),
(98373,10159272,'Cannot be modified except by direct means',100,2,4),
(98374,106958,'Inflicts 513 - 952 poison damage on target',100,1,0),
(98375,10106958,'Inflicts 718 - 1333 poison damage on target',100,1,0),
(98376,114091,'Inflicts 185 - 309 melee damage on targets in area',100,1,0),
(98377,114091,'You must be in stealth to use this!',100,1,1),
(98378,10114091,'Inflicts 241 - 402 melee damage on targets in area',100,1,0),
(98379,10114091,'You must be in stealth to use this!',100,1,1),
(98380,70900,'When Equipped:',100,0,0),
(98381,70900,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98382,70900,'Increases INT and WIS of caster by 44.0',100,2,2),
(98383,70900,'Increases Ability Casting Speed of caster by 1.5%',100,2,3),
(98384,70900,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(98385,70900,'Must not be engaged in pvp combat',100,2,5),
(98386,70900,'Cannot be modified except by direct means',100,2,6),
(98387,70900,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(98388,70900,'Increases INT and WIS of caster by 44.0',100,2,8),
(98389,70900,'Increases Ability Casting Speed of caster by 1.5%',100,2,9),
(98390,70900,'Increases Crit Bonus of caster by 11.5%',100,2,10),
(98391,70900,'Must not be engaged in pvp combat',100,2,11),
(98392,70900,'Cannot be modified except by direct means',100,2,12),
(98393,70900,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(98394,70900,'Cannot be modified except by direct means',100,1,14),
(98395,70900,'When Equipped:',100,0,15),
(98396,70900,'This effect will not stack with any rank or tier of itself.',100,1,16),
(98397,70900,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(98398,70900,'Cannot be modified except by direct means',100,1,18),
(98399,10070900,'When Equipped:',100,0,0),
(98400,10070900,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98401,10070900,'Increases INT and WIS of caster by 44.0',100,2,2),
(98402,10070900,'Increases Ability Casting Speed of caster by 1.5%',100,2,3),
(98403,10070900,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(98404,10070900,'Must not be engaged in pvp combat',100,2,5),
(98405,10070900,'Cannot be modified except by direct means',100,2,6),
(98406,10070900,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(98407,10070900,'Increases INT and WIS of caster by 44.0',100,2,8),
(98408,10070900,'Increases Ability Casting Speed of caster by 1.5%',100,2,9),
(98409,10070900,'Increases Crit Bonus of caster by 11.5%',100,2,10),
(98410,10070900,'Must not be engaged in pvp combat',100,2,11),
(98411,10070900,'Cannot be modified except by direct means',100,2,12),
(98412,10070900,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(98413,10070900,'Cannot be modified except by direct means',100,1,14),
(98414,10070900,'When Equipped:',100,0,15),
(98415,10070900,'This effect will not stack with any rank or tier of itself.',100,1,16),
(98416,10070900,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(98417,10070900,'Cannot be modified except by direct means',100,1,18),
(98418,37150,'Increases STR of target by 1.6',100,0,0),
(98419,37150,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(98420,109579,'Makes target afraid',100,1,0),
(98421,109579,'30% chance to dispel when target takes damage',100,1,1),
(98422,109579,'Does not affect Epic targets',100,1,2),
(98423,109579,'Resistibility increases against targets higher than level 97.',100,1,3),
(98424,10109579,'Makes target afraid',100,1,0),
(98425,10109579,'30% chance to dispel when target takes damage',100,1,1),
(98426,10109579,'Does not affect Epic targets',100,1,2),
(98427,10109579,'Resistibility increases against targets higher than level 97.',100,1,3),
(98428,117711,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(98429,117711,'Adds 1.1% to base avoidance.',100,1,1),
(98430,10117711,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(98431,10117711,'Adds 1.1% to base avoidance.',100,1,1),
(98432,107021,'Distributes the group members'' total combined health evenly among all the members',100,1,0),
(98433,10107021,'Distributes the group members'' total combined health evenly among all the members',100,1,0),
(98434,148944,'Applies Erud''s Warding when Activated.  Lasts for 36.0 seconds.',100,0,0),
(98435,148944,'Wards caster against 72 points of all damage',100,1,1),
(98436,148944,'The casting time of Erud''s Warding is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(98437,10148944,'Applies Erud''s Warding when Activated.  Lasts for 36.0 seconds.',100,0,0),
(98438,10148944,'Wards caster against 72 points of all damage',100,1,1),
(98439,10148944,'The casting time of Erud''s Warding is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(98440,106440,'Increases Multi Attack Chance of raid and group members (AE) by 5.8',100,1,0),
(98441,10106440,'Increases Multi Attack Chance of raid and group members (AE) by 5.8',100,1,0),
(98442,102196,'Increases Mitigation of group members (AE) vs physical damage by 517',100,1,0),
(98443,10102196,'Increases Mitigation of group members (AE) vs physical damage by 517',100,1,0),
(98444,113614,'Inflicts 458 - 764 melee damage on target',100,1,0),
(98445,113614,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 55.7',100,1,1),
(98446,113614,'Must be flanking or behind',100,1,2),
(98447,10113614,'Inflicts 596 - 994 melee damage on target',100,1,0),
(98448,10113614,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 55.7',100,1,1),
(98449,10113614,'Must be flanking or behind',100,1,2),
(98450,100098,'Decreases STR, AGI, WIS and INT of target by 6.8',100,1,0),
(98451,100098,'Decreases Max Health of target by 1.0%',100,1,1),
(98452,10100098,'Decreases STR, AGI, WIS and INT of target by 6.8',100,1,0),
(98453,10100098,'Decreases Max Health of target by 1.0%',100,1,1),
(98454,138399,'Applies Heroic Resistance X when Equipped.',100,0,0),
(98455,138399,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(98456,138399,'Cannot be modified except by direct means',100,1,2),
(98457,10138399,'Applies Heroic Resistance X when Equipped.',100,0,0),
(98458,10138399,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(98459,10138399,'Cannot be modified except by direct means',100,1,2),
(98460,142866,'When Equipped:',100,0,0),
(98461,142866,'On a healing spell cast this spell may cast Infusion of the Void Mender on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98462,142866,'Increases Crit Chance of caster by 3.0',100,2,2),
(98463,142866,'Increases the base amount of heals and wards by 3%.',100,2,3),
(98464,142866,'Cannot be modified except by direct means',100,2,4),
(98465,142866,'Cannot be modified except by direct means',100,1,5),
(98466,10142866,'When Equipped:',100,0,0),
(98467,10142866,'On a healing spell cast this spell may cast Infusion of the Void Mender on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98468,10142866,'Increases Crit Chance of caster by 3.0',100,2,2),
(98469,10142866,'Increases the base amount of heals and wards by 3%.',100,2,3),
(98470,10142866,'Cannot be modified except by direct means',100,2,4),
(98471,10142866,'Cannot be modified except by direct means',100,1,5),
(98472,164519,'When Equipped:',100,0,0),
(98473,164519,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(98474,10164519,'When Equipped:',100,0,0),
(98475,10164519,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(98476,116052,'Shapechanges caster into a lion',100,1,0),
(98477,116052,'Increases STA of caster by 89.8',100,1,1),
(98478,116052,'Adds 3.7% to base avoidance.',100,1,2),
(98479,116052,'Grants See Stealth to caster',100,1,3),
(98480,116052,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',100,1,4),
(98481,10116052,'Shapechanges caster into a lion',100,1,0),
(98482,10116052,'Increases STA of caster by 89.8',100,1,1),
(98483,10116052,'Adds 3.7% to base avoidance.',100,1,2),
(98484,10116052,'Grants See Stealth to caster',100,1,3),
(98485,10116052,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',100,1,4),
(98486,103398,'Decreases Threat to targets in Area of Effect by 455 ',100,1,0),
(98487,103398,'Slows targets in Area of Effect by 49.0%',100,1,1),
(98488,103398,'Stifles targets in Area of Effect',100,1,2),
(98489,103398,'If Target is not Epic',100,2,3),
(98490,103398,'10% chance to dispel when target receives hostile action',100,1,4),
(98491,103398,'10% chance to dispel when target takes damage',100,1,5),
(98492,10103398,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(98493,10103398,'Slows targets in Area of Effect by 49.0%',100,1,1),
(98494,10103398,'Stifles targets in Area of Effect',100,1,2),
(98495,10103398,'If Target is not Epic',100,2,3),
(98496,124464,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(98497,124464,'Inflicts 544 - 908 melee damage on target',100,2,1),
(98498,124464,'Decreases Defense of caster by 25.8',100,1,2),
(98499,124464,'Increases Slashing, Piercing, Ranged and Crushing of caster by 62.4',100,1,3),
(98500,10124464,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(98501,10124464,'Inflicts 708 - 1180 melee damage on target',100,2,1),
(98502,10124464,'Decreases Defense of caster by 25.8',100,1,2),
(98503,10124464,'Increases Slashing, Piercing, Ranged and Crushing of caster by 62.4',100,1,3),
(98504,110303,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(98505,110303,'Slows target by 49.7%',100,2,1),
(98506,110303,'5% chance to dispel when target receives hostile action',100,2,2),
(98507,110303,'5% chance to dispel when target takes damage',100,2,3),
(98508,110303,'Decreases Mitigation of target vs arcane damage by 1815',100,1,4),
(98509,10110303,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(98510,10110303,'Slows target by 49.7%',100,2,1),
(98511,10110303,'5% chance to dispel when target receives hostile action',100,2,2),
(98512,10110303,'5% chance to dispel when target takes damage',100,2,3),
(98513,10110303,'Decreases Mitigation of target vs arcane damage by 1815',100,1,4),
(98514,47364,'Applies Call Neriak Destrier when Activated.',100,0,0),
(98515,47364,'Summons a mount to ride',100,1,1),
(98516,47364,'Increases your ground speed by 25%',100,2,2),
(98517,10047364,'Applies Call Neriak Destrier when Activated.',100,0,0),
(98518,10047364,'Summons a mount to ride',100,1,1),
(98519,10047364,'Increases your ground speed by 25%',100,2,2),
(98520,118858,'Inflicts 179 - 538 melee damage on target',100,1,0),
(98521,10118858,'Inflicts 233 - 700 melee damage on target',100,1,0),
(98522,103310,'Applies Migraine on termination.',100,1,0),
(98523,103310,'Inflicts 55 - 75 mental damage on target',100,2,1),
(98524,103310,'Inflicts 25 - 31 mental damage on target instantly and every 6 seconds',100,1,2),
(98525,10103310,'Applies Migraine on termination.',100,1,0),
(98526,10103310,'Inflicts 78 - 105 mental damage on target',100,2,1),
(98527,10103310,'Inflicts 36 - 44 mental damage on target instantly and every 6 seconds',100,1,2),
(98528,141713,'When Equipped:',100,0,0),
(98529,141713,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98530,141713,'Increases STR of caster by 14.8',100,2,2),
(98531,141713,'Increases Damage Per Second of caster by 19.0',100,2,3),
(98532,141713,'Cannot be modified except by direct means',100,2,4),
(98533,10141713,'When Equipped:',100,0,0),
(98534,10141713,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98535,10141713,'Increases STR of caster by 14.8',100,2,2),
(98536,10141713,'Increases Damage Per Second of caster by 19.0',100,2,3),
(98537,10141713,'Cannot be modified except by direct means',100,2,4),
(98538,47581,'Applies Potion of Enlargement when Activated.  Lasts for 1 day.',100,0,0),
(98539,47581,'Enlarges caster by 60.0%',100,1,1),
(98540,10047581,'Applies Potion of Enlargement when Activated.  Lasts for 1 day.',100,0,0),
(98541,10047581,'Enlarges caster by 60.0%',100,1,1),
(98542,171267,'When Equipped:',100,0,0),
(98543,171267,'On a critical healing spell cast this spell may cast Ward of Duality V on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98544,171267,'Wards target against 500 points of all damage',100,2,2),
(98545,171267,'Wards caster against 250 points of all damage',100,2,3),
(98546,171267,'Must not be engaged in pvp combat',100,2,4),
(98547,171267,'Cannot be modified except by direct means',100,2,5),
(98548,171267,'Must not be engaged in pvp combat',100,1,6),
(98549,10171267,'When Equipped:',100,0,0),
(98550,10171267,'On a critical healing spell cast this spell may cast Ward of Duality V on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98551,10171267,'Wards target against 500 points of all damage',100,2,2),
(98552,10171267,'Wards caster against 250 points of all damage',100,2,3),
(98553,10171267,'Must not be engaged in pvp combat',100,2,4),
(98554,10171267,'Cannot be modified except by direct means',100,2,5),
(98555,10171267,'Must not be engaged in pvp combat',100,1,6),
(98556,24410,'Adds Goatman (Mystic) to your Dungeon Maker toolbox',100,0,0),
(98557,10024410,'Adds Goatman (Mystic) to your Dungeon Maker toolbox',100,0,0),
(98558,45432,'Applies Call Treeglider when Activated.',100,0,0),
(98559,45432,'Increases Crushing and Focus of caster by 5.0',100,1,1),
(98560,45432,'Summons a mount to ride',100,1,2),
(98561,45432,'Increases your ground speed by 60%',100,2,3),
(98562,45432,'Increases your air speed by 200%',100,2,4),
(98563,45432,'Increases Slashing, Ordination, Ministration, Piercing, Disruption, Subjugation, Aggression and Ranged of caster by 5.0',100,1,5),
(98564,10045432,'Applies Call Treeglider when Activated.',100,0,0),
(98565,10045432,'Increases Crushing and Focus of caster by 5.0',100,1,1),
(98566,10045432,'Summons a mount to ride',100,1,2),
(98567,10045432,'Increases your ground speed by 60%',100,2,3),
(98568,10045432,'Increases your air speed by 200%',100,2,4),
(98569,10045432,'Increases Slashing, Ordination, Ministration, Piercing, Disruption, Subjugation, Aggression and Ranged of caster by 5.0',100,1,5),
(98570,103125,'Increases STR of caster by 53.4',100,1,0),
(98571,103125,'Adds 2.8% to base avoidance.',100,1,1),
(98572,103125,'Increases Mitigation of caster vs physical damage by 340',100,1,2),
(98573,103125,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1061',100,1,3),
(98574,10103125,'Increases STR of caster by 53.4',100,1,0),
(98575,10103125,'Adds 2.8% to base avoidance.',100,1,1),
(98576,10103125,'Increases Mitigation of caster vs physical damage by 340',100,1,2),
(98577,10103125,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1061',100,1,3),
(98578,121525,'Inflicts 458 - 764 melee damage on target',100,1,0),
(98579,121525,'Stuns target',100,1,1),
(98580,121525,'If Target is not Epic',100,2,2),
(98581,121525,'Resistibility increases against targets higher than level 87.',100,1,3),
(98582,10121525,'Inflicts 596 - 994 melee damage on target',100,1,0),
(98583,10121525,'Stuns target',100,1,1),
(98584,10121525,'If Target is not Epic',100,2,2),
(98585,10121525,'Resistibility increases against targets higher than level 87.',100,1,3),
(98586,87607,'Applies Mental Blast when Activated.',100,0,0),
(98587,87607,'Inflicts 115 - 191 mental damage on target',100,1,1),
(98588,87607,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(98589,10087607,'Applies Mental Blast when Activated.',100,0,0),
(98590,10087607,'Inflicts 161 - 268 mental damage on target',100,1,1),
(98591,10087607,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(98592,24649,'Adds Poet''s Palace: Small Yellow Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(98593,10024649,'Adds Poet''s Palace: Small Yellow Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(98594,120590,'Inflicts 100 - 185 heat damage on target',100,1,0),
(98595,10120590,'Inflicts 140 - 259 heat damage on target',100,1,0),
(98596,138651,'When Equipped:',100,0,0),
(98597,138651,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98598,138651,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(98599,138651,'Cannot be modified except by direct means',100,2,3),
(98600,10138651,'When Equipped:',100,0,0),
(98601,10138651,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98602,10138651,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(98603,10138651,'Cannot be modified except by direct means',100,2,3),
(98604,35388,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(98605,35388,'Increases speed of target by 40.0%',100,0,1),
(98606,114242,'Inflicts 345 - 421 mental damage on target',100,1,0),
(98607,114242,'Stuns target',100,1,1),
(98608,114242,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(98609,114242,'Resistibility increases against targets higher than level 84.',100,1,3),
(98610,10114242,'Inflicts 482 - 590 mental damage on target',100,1,0),
(98611,10114242,'Requires not being affected by Mesmerize effects.',100,2,1),
(98612,10114242,'Stuns target',100,1,2),
(98613,10114242,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(98614,10114242,'Resistibility increases against targets higher than level 84.',100,1,4),
(98615,113316,'Inflicts 370 - 617 heat damage on target',100,1,0),
(98616,10113316,'Inflicts 730 - 1216 heat damage on target',100,1,0),
(98617,117736,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(98618,117736,'Increases Max Health of target by 570.7',100,2,1),
(98619,117736,'Heals target for 831',100,2,2),
(98620,117736,'Grants a total of 1 trigger of the spell.',100,2,3),
(98621,10117736,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(98622,10117736,'Increases Max Health of target by 570.7',100,2,1),
(98623,10117736,'Heals target for 540',100,2,2),
(98624,10117736,'Grants a total of 1 trigger of the spell.',100,2,3),
(98625,117972,'Heals target for 669 - 818',100,1,0),
(98626,117972,'Increases Max Health of target by 94.4',100,1,1),
(98627,10117972,'Heals target for 768 - 938',100,1,0),
(98628,10117972,'Increases Max Health of target by 94.4',100,1,1),
(98629,114826,'Dazes caster',100,1,0),
(98630,114826,'Roots caster',100,1,1),
(98631,114826,'Increases Mitigation of caster vs physical damage by 1188',100,1,2),
(98632,10114826,'Dazes caster',100,1,0),
(98633,10114826,'Roots caster',100,1,1),
(98634,10114826,'Increases Mitigation of caster vs physical damage by 1188',100,1,2),
(98635,132203,'When Equipped:',100,0,0),
(98636,132203,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(98637,132203,'Inflicts 1998 disease damage on target encounter',100,2,2),
(98638,132203,'Must not be engaged in pvp combat',100,2,3),
(98639,132203,'Cannot be modified except by direct means',100,2,4),
(98640,10132203,'When Equipped:',100,0,0),
(98641,10132203,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(98642,10132203,'Inflicts 1399 disease damage on target encounter',100,2,2),
(98643,10132203,'Must not be engaged in pvp combat',100,2,3),
(98644,10132203,'Cannot be modified except by direct means',100,2,4),
(98645,121778,'Heals target for 100 - 122',100,1,0),
(98646,121778,'Heals target for 17 - 20 every second',100,1,1),
(98647,10121778,'Heals target for 173 - 211',100,1,0),
(98648,10121778,'Heals target for 14 - 18 every second',100,1,1),
(98649,166497,'When Equipped:',100,0,0),
(98650,166497,'On a critical combat hit this spell may cast Critical Perfection on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98651,166497,'Decreases Crit Chance of target by 2.0',100,2,2),
(98652,166497,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(98653,166497,'Increases Crit Bonus of caster by 2.0%',100,2,4),
(98654,166497,'Increases Crit Chance of caster by 2.0',100,2,5),
(98655,166497,'Must not be engaged in pvp combat',100,2,6),
(98656,166497,'Cannot be modified except by direct means',100,2,7),
(98657,166497,'On a critical spell hit this spell may cast Critical Perfection on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(98658,166497,'Decreases Crit Chance of target by 2.0',100,2,9),
(98659,166497,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(98660,166497,'Increases Crit Bonus of caster by 2.0%',100,2,11),
(98661,166497,'Increases Crit Chance of caster by 2.0',100,2,12),
(98662,166497,'Must not be engaged in pvp combat',100,2,13),
(98663,166497,'Cannot be modified except by direct means',100,2,14),
(98664,166497,'Must not be engaged in pvp combat',100,1,15),
(98665,10166497,'When Equipped:',100,0,0),
(98666,10166497,'On a critical combat hit this spell may cast Critical Perfection on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98667,10166497,'Decreases Crit Chance of target by 2.0',100,2,2),
(98668,10166497,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(98669,10166497,'Increases Crit Bonus of caster by 2.0%',100,2,4),
(98670,10166497,'Increases Crit Chance of caster by 2.0',100,2,5),
(98671,10166497,'Must not be engaged in pvp combat',100,2,6),
(98672,10166497,'Cannot be modified except by direct means',100,2,7),
(98673,10166497,'On a critical spell hit this spell may cast Critical Perfection on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(98674,10166497,'Decreases Crit Chance of target by 2.0',100,2,9),
(98675,10166497,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(98676,10166497,'Increases Crit Bonus of caster by 2.0%',100,2,11),
(98677,10166497,'Increases Crit Chance of caster by 2.0',100,2,12),
(98678,10166497,'Must not be engaged in pvp combat',100,2,13),
(98679,10166497,'Cannot be modified except by direct means',100,2,14),
(98680,10166497,'Must not be engaged in pvp combat',100,1,15),
(98681,45563,'Applies Bulwark of Jaggedpine  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(98682,45563,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(98683,45563,'Inflicts 36 magic damage on target',100,2,2),
(98684,45563,'Cannot be modified except by direct means',100,2,3),
(98685,10045563,'Applies Bulwark of Jaggedpine  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(98686,10045563,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(98687,10045563,'Inflicts 51 magic damage on target',100,2,2),
(98688,10045563,'Cannot be modified except by direct means',100,2,3),
(98689,103221,'Reduces physical damage done to caster by 5%',100,1,0),
(98690,103221,'Adds 1.8% to base avoidance.',100,1,1),
(98691,103221,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(98692,103221,'Increases Parry of caster by 5.8',100,1,3),
(98693,103221,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(98694,103221,'Increases Aggression of caster by 4.3',100,1,5),
(98695,103221,'Increases Defense and Deflection of caster by 5.8',100,1,6),
(98696,103221,'Increases Mitigation of caster vs noxious damage by 415',100,1,7),
(98697,103221,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(98698,10103221,'Reduces physical damage done to caster by 5%',100,1,0),
(98699,10103221,'Adds 1.8% to base avoidance.',100,1,1),
(98700,10103221,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(98701,10103221,'Increases Parry of caster by 5.8',100,1,3),
(98702,10103221,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(98703,10103221,'Increases Aggression of caster by 4.3',100,1,5),
(98704,10103221,'Increases Defense and Deflection of caster by 5.8',100,1,6),
(98705,10103221,'Increases Mitigation of caster vs noxious damage by 415',100,1,7),
(98706,10103221,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(98707,115886,'Inflicts 3 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(98708,10115886,'Inflicts 5 - 6 disease damage on target encounter',100,1,0),
(98709,10115886,'Inflicts 4 - 5 disease damage on target encounter every 3 seconds',100,1,1),
(98710,102028,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(98711,102028,'Wards target against 615 points of all damage',100,2,1),
(98712,10102028,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(98713,10102028,'Wards target against 615 points of all damage',100,2,1),
(98714,141667,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(98715,141667,'Decreases Attack Speed of target by 10.4',100,1,1),
(98716,141667,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(98717,10141667,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(98718,10141667,'Decreases Attack Speed of target by 10.4',100,1,1),
(98719,10141667,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(98720,110920,'Inflicts 80 - 134 divine damage on target',100,1,0),
(98721,110920,'Increases Threat to target by 664 ',100,1,1),
(98722,110920,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(98723,110920,'Stuns target',100,2,3),
(98724,110920,'Throws target back',100,2,4),
(98725,110920,'Blurs vision of target',100,2,5),
(98726,110920,'Does not affect Epic targets',100,2,6),
(98727,10110920,'Inflicts 104 - 174 divine damage on target',100,1,0),
(98728,10110920,'Prevents target from changing targets',100,1,1),
(98729,10110920,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(98730,10110920,'Stuns target',100,2,3),
(98731,10110920,'Blurs vision of target',100,2,4),
(98732,10110920,'Throws target back',100,2,5),
(98733,10110920,'Does not affect Epic targets',100,2,6),
(98734,10110920,'Forces target to change their selected target to caster.',100,1,7),
(98735,100278,'Inflicts 69 - 128 poison damage on target instantly and every 3 seconds',100,1,0),
(98736,10100278,'Inflicts 217 - 404 poison damage on target instantly and every 3 seconds',100,1,0),
(98737,120330,'Increases Threat to target by 779 - 953 ',100,1,0),
(98738,10120330,'Forces target to change their selected target to caster.',100,1,0),
(98739,10120330,'Prevents target from changing targets',100,1,1),
(98740,104857,'Decreases the damage done by the next spell cast by 40 percent',100,1,0),
(98741,104857,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 68.7%',100,1,1),
(98742,10104857,'Decreases the damage done by the next spell cast by 40 percent',100,1,0),
(98743,10104857,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 68.7%',100,1,1),
(98744,111013,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(98745,111013,'Increases Threat to target by 16 ',100,2,1),
(98746,111013,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(98747,111013,'Increases Threat to target by 16 ',100,2,3),
(98748,10111013,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(98749,10111013,'Inflicts 4 crushing damage on target',100,2,1),
(98750,10111013,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(98751,10111013,'Inflicts 4 crushing damage on target',100,2,3),
(98752,85354,'Applies Poison Bolt when Activated.',100,0,0),
(98753,85354,'Inflicts 66 - 110 poison damage on target',100,1,1),
(98754,85354,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(98755,10085354,'Applies Poison Bolt when Activated.',100,0,0),
(98756,10085354,'Inflicts 93 - 155 poison damage on target',100,1,1),
(98757,10085354,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(98758,45391,'Applies Bonedigger Disguise when Activated.',100,0,0),
(98759,45391,'Shapechanges the user into a Bonedigger.',100,1,1),
(98760,10045391,'Applies Bonedigger Disguise when Activated.',100,0,0),
(98761,10045391,'Shapechanges the user into a Bonedigger.',100,1,1),
(98762,113335,'Inflicts 315 - 385 divine damage on target encounter',100,1,0),
(98763,113335,'Interrupts target encounter',100,1,1),
(98764,10113335,'Inflicts 441 - 539 divine damage on target encounter',100,1,0),
(98765,10113335,'Interrupts target encounter',100,1,1),
(98766,100243,'Inflicts 8 - 16 poison damage on target instantly and every 3 seconds',100,1,0),
(98767,10100243,'Inflicts 26 - 49 poison damage on target instantly and every 3 seconds',100,1,0),
(98768,108233,'Inflicts 247 - 741 piercing damage on target',100,1,0),
(98769,108233,'Decreases Slashing, Crushing, Piercing and Ranged of target by 30.2',100,1,1),
(98770,10108233,'Inflicts 321 - 964 piercing damage on target',100,1,0),
(98771,10108233,'Decreases Slashing, Crushing, Piercing and Ranged of target by 30.2',100,1,1),
(98772,82147,'When Equipped:',100,0,0),
(98773,82147,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98774,82147,'Inflicts 164 - 305 magic damage on target',100,2,2),
(98775,82147,'Cannot be modified except by direct means',100,2,3),
(98776,10082147,'When Equipped:',100,0,0),
(98777,10082147,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98778,10082147,'Inflicts 230 - 427 magic damage on target',100,2,2),
(98779,10082147,'Cannot be modified except by direct means',100,2,3),
(98780,45761,'Applies Xaliran''s Renewal  when Activated.',100,0,0),
(98781,45761,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(98782,10045761,'Applies Xaliran''s Renewal  when Activated.',100,0,0),
(98783,10045761,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(98784,102597,'Increases Threat to target encounter by 389 - 475 ',100,1,0),
(98785,102597,'Interrupts target encounter',100,1,1),
(98786,102597,'Decreases Mitigation of target encounter vs noxious damage by 352',100,1,2),
(98787,10102597,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(98788,10102597,'Prevents target from changing targets',100,2,1),
(98789,10102597,'Forces target to change their selected target to caster.',100,2,2),
(98790,10102597,'Interrupts target encounter',100,1,3),
(98791,10102597,'Decreases Mitigation of target encounter vs noxious damage by 352',100,1,4),
(98792,113921,'Increases power of target by 17 instantly and every 4 seconds',100,1,0),
(98793,10113921,'Increases power of target by 17 instantly and every 4 seconds',100,1,0),
(98794,100124,'Decreases STR, AGI, WIS and INT of target by 35.1',100,1,0),
(98795,100124,'Decreases Max Health of target by 0.6%',100,1,1),
(98796,10100124,'Decreases STR, AGI, WIS and INT of target by 35.1',100,1,0),
(98797,10100124,'Decreases Max Health of target by 0.6%',100,1,1),
(98798,159061,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(98799,159061,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(98800,159061,'Inflicts 83 heat damage on target',100,2,2),
(98801,159061,'Cannot be modified except by direct means',100,2,3),
(98802,10159061,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(98803,10159061,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(98804,10159061,'Inflicts 117 heat damage on target',100,2,2),
(98805,10159061,'Cannot be modified except by direct means',100,2,3),
(98806,117902,'Increases In-Combat Health Regeneration of group members (AE) by 54.0',100,1,0),
(98807,117902,'Increases Max Health of group members (AE) by 294.0',100,1,1),
(98808,10117902,'Increases In-Combat Health Regeneration of group members (AE) by 54.0',100,1,0),
(98809,10117902,'Increases Max Health of group members (AE) by 294.0',100,1,1),
(98810,43521,'When Equipped:',100,0,0),
(98811,43521,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(98812,43521,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(98813,43521,'Increases Ability Modifier of caster by 660.0',100,2,3),
(98814,43521,'Must not be engaged in pvp combat',100,2,4),
(98815,43521,'Cannot be modified except by direct means',100,2,5),
(98816,43521,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(98817,43521,'Increases Ability Modifier of caster by 660.0',100,2,7),
(98818,43521,'Must not be engaged in pvp combat',100,2,8),
(98819,43521,'Cannot be modified except by direct means',100,2,9),
(98820,43521,'Cannot be modified except by direct means',100,1,10),
(98821,10043521,'When Equipped:',100,0,0),
(98822,10043521,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(98823,10043521,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(98824,10043521,'Increases Ability Modifier of caster by 660.0',100,2,3),
(98825,10043521,'Must not be engaged in pvp combat',100,2,4),
(98826,10043521,'Cannot be modified except by direct means',100,2,5),
(98827,10043521,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(98828,10043521,'Increases Ability Modifier of caster by 660.0',100,2,7),
(98829,10043521,'Must not be engaged in pvp combat',100,2,8),
(98830,10043521,'Cannot be modified except by direct means',100,2,9),
(98831,10043521,'Cannot be modified except by direct means',100,1,10),
(98832,130881,'When Equipped:',100,0,0),
(98833,130881,'On a hostile spell cast this spell may cast Weave Barrier on caster.  Lasts for 1 minute.  Triggers about 1.8 times per minute. ',100,1,1),
(98834,130881,'Increases Mitigation of caster vs physical damage by 740',100,2,2),
(98835,130881,'Cannot be modified except by direct means',100,2,3),
(98836,10130881,'When Equipped:',100,0,0),
(98837,10130881,'On a hostile spell cast this spell may cast Weave Barrier on caster.  Lasts for 1 minute.  Triggers about 1.8 times per minute. ',100,1,1),
(98838,10130881,'Increases Mitigation of caster vs physical damage by 740',100,2,2),
(98839,10130881,'Cannot be modified except by direct means',100,2,3),
(98840,135490,'When Equipped:',100,0,0),
(98841,135490,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(98842,135490,'Inflicts 1986 poison damage on target',100,2,2),
(98843,135490,'Cannot be modified except by direct means',100,2,3),
(98844,10135490,'When Equipped:',100,0,0),
(98845,10135490,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(98846,10135490,'Inflicts 1390 poison damage on target',100,2,2),
(98847,10135490,'Cannot be modified except by direct means',100,2,3),
(98848,114801,'Decreases WIS of target by 63.1',100,1,0),
(98849,114801,'Increases WIS and STA of caster by 63.1',100,1,1),
(98850,114801,'Decreases Max Health of target by 1.2%',100,1,2),
(98851,114801,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 201',100,1,3),
(98852,114801,'Only affects targets level 17 and above',100,1,4),
(98853,10114801,'Decreases WIS of target by 63.1',100,1,0),
(98854,10114801,'Increases WIS and STA of caster by 63.1',100,1,1),
(98855,10114801,'Decreases Max Health of target by 1.2%',100,1,2),
(98856,10114801,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 201',100,1,3),
(98857,10114801,'Only affects targets level 17 and above',100,1,4),
(98858,105978,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(98859,105978,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(98860,105978,'Inflicts 298 - 497 piercing damage on target',100,3,2),
(98861,105978,'Grants a total of 5 triggers of the spell.',100,3,3),
(98862,105978,'Grants a total of 1 trigger of the spell.',100,2,4),
(98863,10105978,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(98864,10105978,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(98865,10105978,'Inflicts 388 - 647 piercing damage on target',100,3,2),
(98866,10105978,'Grants a total of 5 triggers of the spell.',100,3,3),
(98867,10105978,'Grants a total of 1 trigger of the spell.',100,2,4),
(98868,124000,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(98869,124000,'Heals target for 42 - 51',100,2,1),
(98870,124000,'Grants a total of 5 triggers of the spell.',100,2,2),
(98871,10124000,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(98872,10124000,'Heals target for 27 - 33',100,2,1),
(98873,10124000,'Grants a total of 5 triggers of the spell.',100,2,2),
(98874,105564,'Inflicts 167 - 311 disease damage on target',100,1,0),
(98875,105564,'Inflicts 100 - 186 disease damage on target every 2 seconds',100,1,1),
(98876,10105564,'Inflicts 234 - 435 disease damage on target',100,1,0),
(98877,10105564,'Inflicts 140 - 261 disease damage on target every 2 seconds',100,1,1),
(98878,155875,'When Equipped:',100,0,0),
(98879,155875,'When damaged this spell has a 10% chance to cast Baleful Countenance on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(98880,155875,'Makes target afraid',100,2,2),
(98881,155875,'Only affects targets level 90 and below',100,2,3),
(98882,155875,'Does not affect Epic targets',100,2,4),
(98883,155875,'Resistibility increases against targets higher than level 122.',100,2,5),
(98884,155875,'Cannot be modified except by direct means',100,2,6),
(98885,155875,'This effect can only trigger once every 30 seconds.',100,2,7),
(98886,155875,'Cannot be modified except by direct means',100,1,8),
(98887,10155875,'When Equipped:',100,0,0),
(98888,10155875,'When damaged this spell has a 10% chance to cast Baleful Countenance on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(98889,10155875,'Makes target afraid',100,2,2),
(98890,10155875,'Only affects targets level 90 and below',100,2,3),
(98891,10155875,'Does not affect Epic targets',100,2,4),
(98892,10155875,'Resistibility increases against targets higher than level 122.',100,2,5),
(98893,10155875,'Cannot be modified except by direct means',100,2,6),
(98894,10155875,'This effect can only trigger once every 30 seconds.',100,2,7),
(98895,10155875,'Cannot be modified except by direct means',100,1,8),
(98896,172550,'When Equipped:',100,0,0),
(98897,172550,'This effect will not stack with itself.',100,1,1),
(98898,172550,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(98899,172550,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(98900,172550,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(98901,172550,'Increases Ability Casting Speed of caster by 12.0%',100,2,5),
(98902,172550,'Must not be engaged in pvp combat',100,2,6),
(98903,172550,'Cannot be modified except by direct means',100,2,7),
(98904,172550,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(98905,172550,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(98906,172550,'Increases Ability Recovery Speed of caster by 12.0%',100,2,10),
(98907,172550,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(98908,172550,'Must not be engaged in pvp combat',100,2,12),
(98909,172550,'Cannot be modified except by direct means',100,2,13),
(98910,172550,'Must not be engaged in pvp combat',100,1,14),
(98911,10172550,'When Equipped:',100,0,0),
(98912,10172550,'This effect will not stack with itself.',100,1,1),
(98913,10172550,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(98914,10172550,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(98915,10172550,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(98916,10172550,'Increases Ability Casting Speed of caster by 12.0%',100,2,5),
(98917,10172550,'Must not be engaged in pvp combat',100,2,6),
(98918,10172550,'Cannot be modified except by direct means',100,2,7),
(98919,10172550,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(98920,10172550,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(98921,10172550,'Increases Ability Recovery Speed of caster by 12.0%',100,2,10),
(98922,10172550,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(98923,10172550,'Must not be engaged in pvp combat',100,2,12),
(98924,10172550,'Cannot be modified except by direct means',100,2,13),
(98925,10172550,'Must not be engaged in pvp combat',100,1,14),
(98926,175487,'When Equipped:',100,0,0),
(98927,175487,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(98928,10175487,'When Equipped:',100,0,0),
(98929,10175487,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(98930,164574,'Applies Unstable Magics when Equipped.',100,0,0),
(98931,164574,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(98932,10164574,'Applies Unstable Magics when Equipped.',100,0,0),
(98933,10164574,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(98934,117705,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(98935,117705,'Adds 1.1% to base avoidance.',100,1,1),
(98936,10117705,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(98937,10117705,'Adds 1.1% to base avoidance.',100,1,1),
(98938,149043,'When Equipped:',100,0,0),
(98939,149043,'Increases Attack Speed of caster by 50.0',100,1,1),
(98940,149043,'Must not be engaged in pvp combat',100,1,2),
(98941,10149043,'When Equipped:',100,0,0),
(98942,10149043,'Increases Attack Speed of caster by 50.0',100,1,1),
(98943,10149043,'Must not be engaged in pvp combat',100,1,2),
(98944,85444,'When Equipped:',100,0,0),
(98945,85444,'On a critical combat hit this spell may cast Ykeshan Obliteration Smite on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98946,85444,'Stuns target',100,2,2),
(98947,85444,'If Target is not Epic',100,3,3),
(98948,85444,'Inflicts 1898 - 2098 magic damage on target',100,2,4),
(98949,85444,'Resistibility increases against targets higher than level 123.',100,2,5),
(98950,85444,'Cannot be modified except by direct means',100,2,6),
(98951,85444,'Must not be engaged in pvp combat',100,1,7),
(98952,10085444,'When Equipped:',100,0,0),
(98953,10085444,'On a critical combat hit this spell may cast Ykeshan Obliteration Smite on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(98954,10085444,'Stuns target',100,2,2),
(98955,10085444,'If Target is not Epic',100,3,3),
(98956,10085444,'Inflicts 2657 - 2937 magic damage on target',100,2,4),
(98957,10085444,'Resistibility increases against targets higher than level 123.',100,2,5),
(98958,10085444,'Cannot be modified except by direct means',100,2,6),
(98959,10085444,'Must not be engaged in pvp combat',100,1,7),
(98960,114822,'Dazes caster',100,1,0),
(98961,114822,'Roots caster',100,1,1),
(98962,114822,'Increases Mitigation of caster vs physical damage by 1296',100,1,2),
(98963,10114822,'Dazes caster',100,1,0),
(98964,10114822,'Roots caster',100,1,1),
(98965,10114822,'Increases Mitigation of caster vs physical damage by 1296',100,1,2),
(98966,106909,'Inflicts 778 - 1297 melee damage on target',100,1,0),
(98967,106909,'Decreases Mitigation of target vs all damage by 4435',100,1,1),
(98968,106909,'Must be behind',100,1,2),
(98969,10106909,'Inflicts 1012 - 1686 melee damage on target',100,1,0),
(98970,10106909,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1386',100,1,1),
(98971,10106909,'Decreases Mitigation of target vs physical damage by 1220',100,1,2),
(98972,10106909,'Must be behind',100,1,3),
(98973,81929,'When Equipped:',100,0,0),
(98974,81929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98975,81929,'Inflicts 351 - 652 magic damage on target',100,2,2),
(98976,81929,'Cannot be modified except by direct means',100,2,3),
(98977,10081929,'When Equipped:',100,0,0),
(98978,10081929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(98979,10081929,'Inflicts 492 - 913 magic damage on target',100,2,2),
(98980,10081929,'Cannot be modified except by direct means',100,2,3),
(98981,45196,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(98982,45196,'Increases AGI of caster by 45.7',100,1,1),
(98983,10045196,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(98984,10045196,'Increases AGI of caster by 45.7',100,1,1),
(98985,105765,'Inflicts 20 - 25 heat damage on target',100,1,0),
(98986,10105765,'Inflicts 38 - 46 heat damage on target',100,1,0),
(98987,173772,'Applies Hand of Fate when Activated.',100,0,0),
(98988,10173772,'Applies Hand of Fate when Activated.',100,0,0),
(98989,71483,'When Equipped:',100,0,0),
(98990,71483,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98991,71483,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(98992,71483,'Cannot be modified except by direct means',100,2,3),
(98993,10071483,'When Equipped:',100,0,0),
(98994,10071483,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(98995,10071483,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(98996,10071483,'Cannot be modified except by direct means',100,2,3),
(98997,45692,'Applies Lenya''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(98998,45692,'Increases Max Power of caster by 108.0',100,1,1),
(98999,10045692,'Applies Lenya''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(99000,10045692,'Increases Max Power of caster by 108.0',100,1,1),
(99001,47029,'Applies Middling Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(99002,47029,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(99003,47029,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(99004,47029,'Inflicts 138 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(99005,47029,'Grants a total of 2 triggers of the spell.',100,3,4),
(99006,47029,'Cannot be modified except by direct means',100,2,5),
(99007,47029,'Grants a total of 4 triggers of the spell.',100,2,6),
(99008,47029,'Only affects targets level 50 and above',100,1,7),
(99009,10047029,'Applies Middling Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(99010,10047029,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(99011,10047029,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(99012,10047029,'Inflicts 193 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(99013,10047029,'Grants a total of 2 triggers of the spell.',100,3,4),
(99014,10047029,'Cannot be modified except by direct means',100,2,5),
(99015,10047029,'Grants a total of 4 triggers of the spell.',100,2,6),
(99016,10047029,'Only affects targets level 50 and above',100,1,7),
(99017,146587,'When Equipped:',100,0,0),
(99018,146587,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99019,146587,'Wards target against 2400 points of all damage',100,2,2),
(99020,146587,'Cannot be modified except by direct means',100,2,3),
(99021,10146587,'When Equipped:',100,0,0),
(99022,10146587,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99023,10146587,'Wards target against 2400 points of all damage',100,2,2),
(99024,10146587,'Cannot be modified except by direct means',100,2,3),
(99025,108324,'Inflicts 191 - 319 divine damage on target',100,1,0),
(99026,108324,'Heals caster for 0.9% of max health',100,1,1),
(99027,108324,'This effect cannot be critically applied.',100,2,2),
(99028,108324,'The healing of this spell cannot be modified except by direct means',100,1,3),
(99029,10108324,'Inflicts 249 - 415 divine damage on target',100,1,0),
(99030,10108324,'Heals caster for 0.5% of max health',100,1,1),
(99031,10108324,'This effect cannot be critically applied.',100,2,2),
(99032,10108324,'The healing of this spell cannot be modified except by direct means',100,1,3),
(99033,101624,'Applies Forceful Headache on termination.',100,1,0),
(99034,101624,'Inflicts 135 - 225 mental damage on target',100,2,1),
(99035,101624,'If over 50% power',100,3,2),
(99036,101624,'Inflicts 54 - 66 mental damage on target instantly and every 6 seconds',100,1,3),
(99037,101624,'Decreases Mitigation of target vs arcane damage by 399',100,1,4),
(99038,10101624,'Applies Forceful Headache on termination.',100,1,0),
(99039,10101624,'Inflicts 189 - 316 mental damage on target',100,2,1),
(99040,10101624,'If over 50% power',100,3,2),
(99041,10101624,'Inflicts 76 - 93 mental damage on target instantly and every 6 seconds',100,1,3),
(99042,10101624,'Decreases Mitigation of target vs arcane damage by 399',100,1,4),
(99043,46358,'Applies Flask of Adventuring I when Activated.  Lasts for 4 hours.',100,0,0),
(99044,46358,'Increases Combat XP Gain of caster by 20.0%',100,1,1),
(99045,46358,'Increases AA XP Gain of caster by 20.0%',100,1,2),
(99046,46358,'Increases Tradeskill XP Gain of caster by 20.0%',100,1,3),
(99047,46358,'You can only have one experience potion active at a time.',100,1,4),
(99048,10046358,'Applies Flask of Adventuring I when Activated.  Lasts for 4 hours.',100,0,0),
(99049,10046358,'Increases Combat XP Gain of caster by 20.0%',100,1,1),
(99050,10046358,'Increases AA XP Gain of caster by 20.0%',100,1,2),
(99051,10046358,'Increases Tradeskill XP Gain of caster by 20.0%',100,1,3),
(99052,10046358,'You can only have one experience potion active at a time.',100,1,4),
(99053,120420,'Inflicts 56 - 94 melee damage on target',100,1,0),
(99054,120420,'Inflicts 56 - 94 melee damage on target',100,1,1),
(99055,10120420,'Inflicts 73 - 123 melee damage on target',100,1,0),
(99056,10120420,'Inflicts 73 - 123 melee damage on target',100,1,1),
(99057,46976,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(99058,46976,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(99059,46976,'Inflicts 61 poison damage on target instantly and every 6 seconds',100,2,2),
(99060,46976,'Inflicts 207 poison damage on target',100,2,3),
(99061,46976,'Cannot be modified except by direct means',100,2,4),
(99062,46976,'Grants a total of 200 triggers of the spell.',100,2,5),
(99063,10046976,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(99064,10046976,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(99065,10046976,'Inflicts 64 poison damage on target instantly and every 6 seconds',100,2,2),
(99066,10046976,'Inflicts 217 poison damage on target',100,2,3),
(99067,10046976,'Cannot be modified except by direct means',100,2,4),
(99068,10046976,'Grants a total of 200 triggers of the spell.',100,2,5),
(99069,41592,'When Equipped:',100,0,0),
(99070,41592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99071,41592,'Inflicts 230 - 427 magic damage on target',100,2,2),
(99072,41592,'Cannot be modified except by direct means',100,2,3),
(99073,10041592,'When Equipped:',100,0,0),
(99074,10041592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99075,10041592,'Inflicts 322 - 598 magic damage on target',100,2,2),
(99076,10041592,'Cannot be modified except by direct means',100,2,3),
(99077,103156,'Throws target back',100,1,0),
(99078,103156,'If Target is not Epic',100,2,1),
(99079,103156,'Inflicts 76 - 229 crushing damage on target',100,1,2),
(99080,103156,'Stuns target',100,1,3),
(99081,103156,'If Target is not Epic',100,2,4),
(99082,103156,'Resistibility increases against targets higher than level 70.',100,1,5),
(99083,10103156,'Throws target back',100,1,0),
(99084,10103156,'If Target is not Epic',100,2,1),
(99085,10103156,'Inflicts 99 - 298 crushing damage on target',100,1,2),
(99086,10103156,'Stuns target',100,1,3),
(99087,10103156,'If Target is not Epic',100,2,4),
(99088,10103156,'Resistibility increases against targets higher than level 70.',100,1,5),
(99089,108548,'Makes target afraid',100,1,0),
(99090,108548,'30% chance to dispel when target takes damage',100,1,1),
(99091,108548,'Does not affect Epic targets',100,1,2),
(99092,108548,'Resistibility increases against targets higher than level 67.',100,1,3),
(99093,10108548,'Makes target afraid',100,1,0),
(99094,10108548,'30% chance to dispel when target takes damage',100,1,1),
(99095,10108548,'Does not affect Epic targets',100,1,2),
(99096,10108548,'Resistibility increases against targets higher than level 67.',100,1,3),
(99097,104683,'Decreases Mitigation of target vs all damage by 499',100,1,0),
(99098,10104683,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 499',100,1,0),
(99099,10104683,'Decreases Mitigation of target vs physical damage by 416',100,1,1),
(99100,81192,'When Equipped:',100,0,0),
(99101,81192,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99102,81192,'Inflicts 271 - 504 magic damage on target',100,2,2),
(99103,81192,'Cannot be modified except by direct means',100,2,3),
(99104,10081192,'When Equipped:',100,0,0),
(99105,10081192,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99106,10081192,'Inflicts 380 - 705 magic damage on target',100,2,2),
(99107,10081192,'Cannot be modified except by direct means',100,2,3),
(99108,107441,'Summons a pet earthen avatar',100,1,0),
(99109,10107441,'Summons a pet earthen avatar',100,1,0),
(99110,48643,'Applies Translucent Arcane Remedy when Activated.',100,0,0),
(99111,48643,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(99112,48643,'Only affects targets level 50 and above',100,1,2),
(99113,10048643,'Applies Translucent Arcane Remedy when Activated.',100,0,0),
(99114,10048643,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(99115,10048643,'Only affects targets level 50 and above',100,1,2),
(99116,116836,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(99117,116836,'Inflicts 145 - 177 mental damage on target',100,2,1),
(99118,116836,'Grants a total of 3 triggers of the spell.',100,2,2),
(99119,10116836,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(99120,10116836,'Inflicts 203 - 248 mental damage on target',100,2,1),
(99121,10116836,'Grants a total of 3 triggers of the spell.',100,2,2),
(99122,137743,'When Equipped:',100,0,0),
(99123,137743,'On a hit this spell may cast D''Raethe''s Seething Hatred on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99124,137743,'Increases Threat to target by 726 ',100,2,2),
(99125,137743,'Cannot be modified except by direct means',100,2,3),
(99126,10137743,'When Equipped:',100,0,0),
(99127,10137743,'On a hit this spell may cast D''Raethe''s Seething Hatred on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99128,10137743,'Cannot be modified except by direct means',100,2,2),
(99129,103386,'Decreases power of target by 52 instantly and every 6 seconds',100,1,0),
(99130,103386,'Inflicts 209 - 256 mental damage on target instantly and every 6 seconds',100,1,1),
(99131,103386,'Increases power of caster by 200',100,1,2),
(99132,10103386,'Decreases power of target by 52 instantly and every 6 seconds',100,1,0),
(99133,10103386,'Inflicts 293 - 358 mental damage on target instantly and every 6 seconds',100,1,1),
(99134,10103386,'Increases power of caster by 200',100,1,2),
(99135,102718,'Inflicts 15 - 24 piercing damage on target instantly and every 4 seconds',100,1,0),
(99136,102718,'Inflicts 7 - 12 melee damage on target',100,1,1),
(99137,102718,'If facing target',100,1,2),
(99138,10102718,'Inflicts 20 - 34 piercing damage on target instantly and every 4 seconds',100,1,0),
(99139,10102718,'Inflicts 9 - 15 melee damage on target',100,1,1),
(99140,10102718,'If facing target',100,1,2),
(99141,155687,'Applies Goggles of the Bat when Equipped.',100,0,0),
(99142,155687,'Grants Sonic Vision to caster',100,1,1),
(99143,10155687,'Applies Goggles of the Bat when Equipped.',100,0,0),
(99144,10155687,'Grants Sonic Vision to caster',100,1,1),
(99145,82233,'When Equipped:',100,0,0),
(99146,82233,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(99147,82233,'Decreases Threat to target by 135 ',100,2,2),
(99148,82233,'Must be flanking or behind',100,3,3),
(99149,82233,'Increases Threat to target by 136 ',100,2,4),
(99150,82233,'Must be in front of',100,3,5),
(99151,82233,'Inflicts 41 - 76 magic damage on target',100,2,6),
(99152,82233,'Cannot be modified except by direct means',100,2,7),
(99153,10082233,'When Equipped:',100,0,0),
(99154,10082233,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(99155,10082233,'Inflicts 58 - 107 magic damage on target',100,2,2),
(99156,10082233,'Cannot be modified except by direct means',100,2,3),
(99157,112209,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(99158,112209,'Increases Threat to target by 16 ',100,2,1),
(99159,112209,'Inflicts 10 disease damage on target',100,2,2),
(99160,112209,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 383',100,1,3),
(99161,10112209,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(99162,10112209,'Inflicts 14 disease damage on target',100,2,1),
(99163,10112209,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 383',100,1,2),
(99164,41488,'When Equipped:',100,0,0),
(99165,41488,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99166,41488,'Inflicts 198 - 367 magic damage on target',100,2,2),
(99167,41488,'Cannot be modified except by direct means',100,2,3),
(99168,10041488,'When Equipped:',100,0,0),
(99169,10041488,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99170,10041488,'Inflicts 277 - 514 magic damage on target',100,2,2),
(99171,10041488,'Cannot be modified except by direct means',100,2,3),
(99172,111834,'Inflicts 245 - 409 melee damage on target',100,1,0),
(99173,111834,'Roots target',100,1,1),
(99174,111834,'If Target is not Epic',100,2,2),
(99175,111834,'Resistibility increases against targets higher than level 84.',100,1,3),
(99176,10111834,'Inflicts 288 - 480 melee damage on target',100,1,0),
(99177,10111834,'Roots target',100,1,1),
(99178,10111834,'If Target is not Epic',100,2,2),
(99179,10111834,'Resistibility increases against targets higher than level 84.',100,1,3),
(99180,106916,'Inflicts 22 - 41 poison damage on target',100,1,0),
(99181,10106916,'Inflicts 31 - 57 poison damage on target',100,1,0),
(99182,35697,'Increases Max Power of target by 4.1',100,0,0),
(99183,35697,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(99184,171435,'Applies Call of the Prime VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(99185,171435,'Applies Prime Focus VI on termination.  Lasts for 15.0 seconds.',100,1,1),
(99186,171435,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(99187,171435,'Must not be engaged in pvp combat',100,2,3),
(99188,171435,'Cannot be modified except by direct means',100,2,4),
(99189,171435,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(99190,171435,'Must not be engaged in pvp combat',100,1,6),
(99191,171435,'Cannot be modified except by direct means',100,1,7),
(99192,171435,'The reuse time of Call of the Prime VI is 10 minutes',100,1,8),
(99193,10171435,'Applies Call of the Prime VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(99194,10171435,'Applies Prime Focus VI on termination.  Lasts for 15.0 seconds.',100,1,1),
(99195,10171435,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(99196,10171435,'Must not be engaged in pvp combat',100,2,3),
(99197,10171435,'Cannot be modified except by direct means',100,2,4),
(99198,10171435,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(99199,10171435,'Must not be engaged in pvp combat',100,1,6),
(99200,10171435,'Cannot be modified except by direct means',100,1,7),
(99201,10171435,'The reuse time of Call of the Prime VI is 10 minutes',100,1,8),
(99202,47051,'Applies Mineral Core Sampler when Activated.',100,0,0),
(99203,10047051,'Applies Mineral Core Sampler when Activated.',100,0,0),
(99204,82182,'When Equipped:',100,0,0),
(99205,82182,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99206,82182,'Inflicts 37 - 69 magic damage on target',100,2,2),
(99207,82182,'Cannot be modified except by direct means',100,2,3),
(99208,10082182,'When Equipped:',100,0,0),
(99209,10082182,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99210,10082182,'Inflicts 52 - 96 magic damage on target',100,2,2),
(99211,10082182,'Cannot be modified except by direct means',100,2,3),
(99212,108682,'Inflicts 13 heat damage on target',100,1,0),
(99213,108682,'Inflicts 3 heat damage on target every 4 seconds',100,1,1),
(99214,10108682,'Inflicts 26 heat damage on target',100,1,0),
(99215,10108682,'Inflicts 4 heat damage on target every 4 seconds',100,1,1),
(99216,81355,'When Equipped:',100,0,0),
(99217,81355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99218,81355,'Inflicts 94 - 174 magic damage on target',100,2,2),
(99219,81355,'Cannot be modified except by direct means',100,2,3),
(99220,10081355,'When Equipped:',100,0,0),
(99221,10081355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99222,10081355,'Inflicts 131 - 244 magic damage on target',100,2,2),
(99223,10081355,'Cannot be modified except by direct means',100,2,3),
(99224,49022,'Applies scatter ashes when Activated.',100,0,0),
(99225,49022,'This effect cannot be cast during combat',100,1,1),
(99226,49022,'The ashes must be released at the peak of the cliff to the east of Herga''s Choke.',100,1,2),
(99227,10049022,'Applies scatter ashes when Activated.',100,0,0),
(99228,10049022,'This effect cannot be cast during combat',100,1,1),
(99229,10049022,'The ashes must be released at the peak of the cliff to the east of Herga''s Choke.',100,1,2),
(99230,116834,'Decreases Hate Gain of caster by 26.6%',100,1,0),
(99231,10116834,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(99232,10116834,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(99233,10116834,'This effect can only trigger once every 5 seconds.',100,2,2),
(99234,159244,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99235,159244,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99236,159244,'Inflicts 177 heat damage on target',100,2,2),
(99237,159244,'Cannot be modified except by direct means',100,2,3),
(99238,10159244,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99239,10159244,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99240,10159244,'Inflicts 248 heat damage on target',100,2,2),
(99241,10159244,'Cannot be modified except by direct means',100,2,3),
(99242,71972,'When Equipped:',100,0,0),
(99243,71972,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(99244,71972,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(99245,71972,'Cannot be modified except by direct means',100,2,3),
(99246,10071972,'When Equipped:',100,0,0),
(99247,10071972,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(99248,10071972,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(99249,10071972,'Cannot be modified except by direct means',100,2,3),
(99250,115360,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(99251,115360,'Increases Parry of caster by 3.0',100,1,1),
(99252,10115360,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(99253,10115360,'Increases Parry of caster by 3.0',100,1,1),
(99254,115467,'Summons a pet nightshade',100,1,0),
(99255,10115467,'Summons a pet nightshade',100,1,0),
(99256,100989,'Increases INT of target by 50.2',100,1,0),
(99257,100989,'Increases Attack Speed of target by 26.3',100,1,1),
(99258,100989,'Decreases Defense and Parry of target by 17.5',100,1,2),
(99259,100989,'Increases Slashing, Piercing and Crushing of target by 11.1',100,1,3),
(99260,10100989,'Increases INT of target by 50.2',100,1,0),
(99261,10100989,'Increases Attack Speed of target by 26.3',100,1,1),
(99262,10100989,'Decreases Defense and Parry of target by 17.5',100,1,2),
(99263,10100989,'Increases Slashing, Piercing and Crushing of target by 11.1',100,1,3),
(99264,83779,'When Equipped:',100,0,0),
(99265,83779,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99266,83779,'Inflicts 34 - 41 cold damage on target',100,2,2),
(99267,83779,'Cannot be modified except by direct means',100,2,3),
(99268,10083779,'When Equipped:',100,0,0),
(99269,10083779,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99270,10083779,'Inflicts 47 - 58 cold damage on target',100,2,2),
(99271,10083779,'Cannot be modified except by direct means',100,2,3),
(99272,123452,'Shapechanges caster into a bear',100,1,0),
(99273,123452,'Increases WIS of caster by 62.9',100,1,1),
(99274,123452,'Grants See Stealth to caster',100,1,2),
(99275,123452,'Increases Max Health of caster by 249.4',100,1,3),
(99276,123452,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',100,1,4),
(99277,10123452,'Shapechanges caster into a bear',100,1,0),
(99278,10123452,'Increases WIS of caster by 62.9',100,1,1),
(99279,10123452,'Grants See Stealth to caster',100,1,2),
(99280,10123452,'Increases Max Health of caster by 249.4',100,1,3),
(99281,10123452,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',100,1,4),
(99282,102828,'Summons 3 limited pets to aid the caster',100,1,0),
(99283,10102828,'Summons 3 limited pets to aid the caster',100,1,0),
(99284,110797,'Inflicts 8 - 11 mental damage on target',100,1,0),
(99285,110797,'Interrupts target',100,1,1),
(99286,10110797,'Inflicts 11 - 15 mental damage on target',100,1,0),
(99287,10110797,'Interrupts target',100,1,1),
(99288,116265,'Summons a pet Illusion Ally',100,1,0),
(99289,10116265,'Summons a pet Illusion Ally',100,1,0),
(99290,40644,'When Equipped:',100,0,0),
(99291,40644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99292,40644,'Inflicts 80 - 120 magic damage on target',100,2,2),
(99293,40644,'Cannot be modified except by direct means',100,2,3),
(99294,10040644,'When Equipped:',100,0,0),
(99295,10040644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99296,10040644,'Inflicts 112 - 168 magic damage on target',100,2,2),
(99297,10040644,'Cannot be modified except by direct means',100,2,3),
(99298,47847,'Applies Capture Seagull when Activated.',100,0,0),
(99299,47847,'Use on seagulls flying over Fina''s Retreat in Great Divide in Velious. ',100,1,1),
(99300,10047847,'Applies Capture Seagull when Activated.',100,0,0),
(99301,10047847,'Use on seagulls flying over Fina''s Retreat in Great Divide in Velious. ',100,1,1),
(99302,45090,'Applies Focus Energy when Activated.',100,0,0),
(99303,45090,'Destroys undead portals.',100,1,1),
(99304,10045090,'Applies Focus Energy when Activated.',100,0,0),
(99305,10045090,'Destroys undead portals.',100,1,1),
(99306,121574,'Stuns target encounter',100,1,0),
(99307,121574,'Epic targets gain an immunity to Stun effects of 14.6 seconds and duration is reduced to 1.6 seconds.',100,1,1),
(99308,121574,'Resistibility increases against targets higher than level 45.',100,1,2),
(99309,10121574,'Stuns target encounter',100,1,0),
(99310,10121574,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(99311,10121574,'Resistibility increases against targets higher than level 45.',100,1,2),
(99312,105132,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(99313,105132,'Summon 1 Crystallized Essence (Expert)',100,2,1),
(99314,10105132,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(99315,10105132,'Summon 1 Crystallized Essence (Expert)',100,2,1),
(99316,108134,'Increases Attack Speed of caster by 41.4',100,1,0),
(99317,10108134,'Increases Attack Speed of caster by 41.4',100,1,0),
(99318,75142,'When Equipped:',100,0,0),
(99319,75142,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(99320,10075142,'When Equipped:',100,0,0),
(99321,10075142,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(99322,162107,'When Equipped:',100,0,0),
(99323,162107,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(99324,162107,'Inflicts 1986 heat damage on target',100,2,2),
(99325,162107,'Cannot be modified except by direct means',100,2,3),
(99326,10162107,'When Equipped:',100,0,0),
(99327,10162107,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(99328,10162107,'Inflicts 1390 heat damage on target',100,2,2),
(99329,10162107,'Cannot be modified except by direct means',100,2,3),
(99330,104672,'Decreases Mitigation of target vs all damage by 230',100,1,0),
(99331,10104672,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 230',100,1,0),
(99332,10104672,'Decreases Mitigation of target vs physical damage by 192',100,1,1),
(99333,166516,'When Equipped:',100,0,0),
(99334,166516,'On a critical spell hit this spell may cast Martial Vulnerability V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99335,166516,'Decreases Mitigation of target vs physical damage by 550',100,2,2),
(99336,166516,'Must not be engaged in pvp combat',100,2,3),
(99337,166516,'Cannot be modified except by direct means',100,2,4),
(99338,166516,'On a critical combat hit this spell may cast Martial Vulnerability V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(99339,166516,'Decreases Mitigation of target vs physical damage by 550',100,2,6),
(99340,166516,'Must not be engaged in pvp combat',100,2,7),
(99341,166516,'Cannot be modified except by direct means',100,2,8),
(99342,166516,'Must not be engaged in pvp combat',100,1,9),
(99343,10166516,'When Equipped:',100,0,0),
(99344,10166516,'On a critical spell hit this spell may cast Martial Vulnerability V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99345,10166516,'Decreases Mitigation of target vs physical damage by 550',100,2,2),
(99346,10166516,'Must not be engaged in pvp combat',100,2,3),
(99347,10166516,'Cannot be modified except by direct means',100,2,4),
(99348,10166516,'On a critical combat hit this spell may cast Martial Vulnerability V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(99349,10166516,'Decreases Mitigation of target vs physical damage by 550',100,2,6),
(99350,10166516,'Must not be engaged in pvp combat',100,2,7),
(99351,10166516,'Cannot be modified except by direct means',100,2,8),
(99352,10166516,'Must not be engaged in pvp combat',100,1,9),
(99353,45665,'Applies Fireblight''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(99354,45665,'Heals caster for 167',100,1,1),
(99355,45665,'Heals caster for 84 every 5 seconds',100,1,2),
(99356,10045665,'Applies Fireblight''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(99357,10045665,'Heals caster for 109',100,1,1),
(99358,10045665,'Heals caster for 54 every 5 seconds',100,1,2),
(99359,120504,'Inflicts 230 - 383 melee damage on target',100,1,0),
(99360,120504,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(99361,120504,'Grants stealth to caster',100,2,2),
(99362,120504,'Suspends caster''s movement speed enhancements',100,2,3),
(99363,120504,'Must be flanking or behind',100,1,4),
(99364,10120504,'Inflicts 299 - 498 melee damage on target',100,1,0),
(99365,10120504,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(99366,10120504,'Grants stealth to caster',100,2,2),
(99367,10120504,'Suspends caster''s movement speed enhancements',100,2,3),
(99368,10120504,'Must be flanking or behind',100,1,4),
(99369,104649,'Inflicts 252 - 420 crushing damage on target',100,1,0),
(99370,104649,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 24.1',100,1,1),
(99371,10104649,'Inflicts 328 - 547 crushing damage on target',100,1,0),
(99372,10104649,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 24.1',100,1,1),
(99373,119471,'Summon 1 Shard of Essence (Journeyman)',100,1,0),
(99374,10119471,'Summon 1 Shard of Essence (Journeyman)',100,1,0),
(99375,124527,'Dispels 32 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(99376,10124527,'Dispels 32 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(99377,115780,'Inflicts 391 - 652 melee damage on target',100,1,0),
(99378,10115780,'Inflicts 509 - 848 melee damage on target',100,1,0),
(99379,102021,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(99380,102021,'Wards target against 520 points of all damage',100,2,1),
(99381,10102021,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(99382,10102021,'Wards target against 520 points of all damage',100,2,1),
(99383,118748,'Increases INT and WIS of group members (AE) by 24.2',100,1,0),
(99384,118748,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 72',100,1,1),
(99385,10118748,'Increases INT and WIS of group members (AE) by 24.2',100,1,0),
(99386,10118748,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 72',100,1,1),
(99387,105543,'Inflicts 23 - 43 disease damage on target',100,1,0),
(99388,105543,'Inflicts 14 - 26 disease damage on target every 2 seconds',100,1,1),
(99389,10105543,'Inflicts 33 - 61 disease damage on target',100,1,0),
(99390,10105543,'Inflicts 20 - 36 disease damage on target every 2 seconds',100,1,1),
(99391,162829,'When Equipped:',100,0,0),
(99392,162829,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(99393,162829,'When Equipped:',100,0,2),
(99394,162829,'Reduces cast time of beneficial spells by 2 percent.',100,1,3),
(99395,10162829,'When Equipped:',100,0,0),
(99396,10162829,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(99397,10162829,'When Equipped:',100,0,2),
(99398,10162829,'Reduces cast time of beneficial spells by 2 percent.',100,1,3),
(99399,115612,'Wards target against 1121 points of all damage',100,1,0),
(99400,10115612,'Wards target against 1681 points of all damage',100,1,0),
(99401,113223,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(99402,113223,'Inflicts 196 magic damage on target',100,2,1),
(99403,113223,'Grants a total of 5 triggers of the spell.',100,2,2),
(99404,10113223,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(99405,10113223,'Inflicts 274 magic damage on target',100,2,1),
(99406,10113223,'Grants a total of 5 triggers of the spell.',100,2,2),
(99407,71751,'When Equipped:',100,0,0),
(99408,71751,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(99409,71751,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(99410,71751,'Cannot be modified except by direct means',100,2,3),
(99411,10071751,'When Equipped:',100,0,0),
(99412,10071751,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(99413,10071751,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(99414,10071751,'Cannot be modified except by direct means',100,2,3),
(99415,105684,'Decreases Damage Per Second of target by 41.4',100,1,0),
(99416,105684,'Inflicts 660 - 1101 melee damage on target',100,1,1),
(99417,105684,'Must be flanking or behind',100,1,2),
(99418,10105684,'Decreases Damage Per Second of target by 41.4',100,1,0),
(99419,10105684,'Inflicts 858 - 1431 melee damage on target',100,1,1),
(99420,10105684,'Must be flanking or behind',100,1,2),
(99421,112895,'Inflicts 402 - 492 melee damage on target',100,1,0),
(99422,112895,'Decreases Mitigation of target vs physical damage by 336',100,1,1),
(99423,112895,'Must be flanking or behind',100,1,2),
(99424,10112895,'Inflicts 523 - 639 melee damage on target',100,1,0),
(99425,10112895,'Decreases Mitigation of target vs physical damage by 336',100,1,1),
(99426,10112895,'Must be flanking or behind',100,1,2),
(99427,114628,'Decreases WIS of target by 29.7',100,1,0),
(99428,114628,'Inflicts 309 - 515 melee damage on target',100,1,1),
(99429,114628,'You must be sneaking to use this ability.',100,1,2),
(99430,10114628,'Decreases WIS of target by 29.7',100,1,0),
(99431,10114628,'Inflicts 402 - 670 melee damage on target',100,1,1),
(99432,10114628,'You must be sneaking to use this ability.',100,1,2),
(99433,70590,'When Equipped:',100,0,0),
(99434,70590,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(99435,70590,'Reduces healing received by 15.00%',100,2,2),
(99436,70590,'Cannot be modified except by direct means',100,2,3),
(99437,70590,'This effect can only trigger once every 1 second.',100,2,4),
(99438,70590,'Must be engaged in pvp combat',100,1,5),
(99439,10070590,'When Equipped:',100,0,0),
(99440,10070590,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(99441,10070590,'Reduces healing received by 15.00%',100,2,2),
(99442,10070590,'Cannot be modified except by direct means',100,2,3),
(99443,10070590,'This effect can only trigger once every 1 second.',100,2,4),
(99444,10070590,'Must be engaged in pvp combat',100,1,5),
(99445,54552,'When Equipped:',100,0,0),
(99446,54552,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(99447,54552,'Makes target afraid',100,2,2),
(99448,54552,'25% chance to dispel when target takes damage',100,2,3),
(99449,54552,'25% chance to dispel when target receives hostile action',100,2,4),
(99450,54552,'Does not affect Epic targets',100,2,5),
(99451,54552,'Resistibility increases against targets higher than level 77.',100,2,6),
(99452,54552,'Cannot be modified except by direct means',100,2,7),
(99453,10054552,'When Equipped:',100,0,0),
(99454,10054552,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(99455,10054552,'Makes target afraid',100,2,2),
(99456,10054552,'25% chance to dispel when target takes damage',100,2,3),
(99457,10054552,'25% chance to dispel when target receives hostile action',100,2,4),
(99458,10054552,'Does not affect Epic targets',100,2,5),
(99459,10054552,'Resistibility increases against targets higher than level 77.',100,2,6),
(99460,10054552,'Cannot be modified except by direct means',100,2,7),
(99461,104070,'Inflicts 104 - 174 mental damage on target',100,1,0),
(99462,104070,'Inflicts 104 - 174 mental damage on target',100,1,1),
(99463,10104070,'Inflicts 135 - 226 mental damage on target',100,1,0),
(99464,10104070,'Inflicts 135 - 226 mental damage on target',100,1,1),
(99465,49119,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(99466,49119,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(99467,49119,'Decreases STR of target by 4.6',100,2,2),
(99468,49119,'Cannot be modified except by direct means',100,2,3),
(99469,49119,'Grants a total of 30 triggers of the spell.',100,2,4),
(99470,10049119,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(99471,10049119,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(99472,10049119,'Decreases STR of target by 4.6',100,2,2),
(99473,10049119,'Cannot be modified except by direct means',100,2,3),
(99474,10049119,'Grants a total of 30 triggers of the spell.',100,2,4),
(99475,114841,'Dazes caster',100,1,0),
(99476,114841,'Roots caster',100,1,1),
(99477,114841,'Increases Mitigation of caster vs physical damage by 2110',100,1,2),
(99478,10114841,'Dazes caster',100,1,0),
(99479,10114841,'Roots caster',100,1,1),
(99480,10114841,'Increases Mitigation of caster vs physical damage by 2110',100,1,2),
(99481,159057,'When Equipped:',100,0,0),
(99482,159057,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(99483,159057,'Increases WIS of caster by 5.8',100,2,2),
(99484,159057,'Increases Focus, Ministration and Ordination of caster by 3.7',100,2,3),
(99485,159057,'Cannot be modified except by direct means',100,2,4),
(99486,10159057,'When Equipped:',100,0,0),
(99487,10159057,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(99488,10159057,'Increases WIS of caster by 5.8',100,2,2),
(99489,10159057,'Increases Focus, Ministration and Ordination of caster by 3.7',100,2,3),
(99490,10159057,'Cannot be modified except by direct means',100,2,4),
(99491,80217,'When Equipped:',100,0,0),
(99492,80217,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(99493,80217,'Decreases Threat to target by 801 ',100,2,2),
(99494,80217,'Must be flanking or behind',100,3,3),
(99495,80217,'Increases Threat to target by 801 ',100,2,4),
(99496,80217,'Must be in front of',100,3,5),
(99497,80217,'Inflicts 224 - 415 magic damage on target',100,2,6),
(99498,80217,'Cannot be modified except by direct means',100,2,7),
(99499,10080217,'When Equipped:',100,0,0),
(99500,10080217,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(99501,10080217,'Inflicts 313 - 581 magic damage on target',100,2,2),
(99502,10080217,'Cannot be modified except by direct means',100,2,3),
(99503,27234,'When Equipped:',100,0,0),
(99504,27234,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(99505,27234,'Decreases power of target by 229',100,2,2),
(99506,27234,'Increases power of caster by 184',100,2,3),
(99507,27234,'Cannot be modified except by direct means',100,2,4),
(99508,10027234,'When Equipped:',100,0,0),
(99509,10027234,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(99510,10027234,'Decreases power of target by 229',100,2,2),
(99511,10027234,'Increases power of caster by 184',100,2,3),
(99512,10027234,'Cannot be modified except by direct means',100,2,4),
(99513,112479,'Decreases AGI and WIS of target by 38.2',100,1,0),
(99514,10112479,'Decreases AGI and WIS of target by 38.2',100,1,0),
(99515,87333,'When Equipped:',100,0,0),
(99516,87333,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99517,87333,'Inflicts 129 - 194 magic damage on target',100,2,2),
(99518,87333,'Cannot be modified except by direct means',100,2,3),
(99519,10087333,'When Equipped:',100,0,0),
(99520,10087333,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99521,10087333,'Inflicts 181 - 271 magic damage on target',100,2,2),
(99522,10087333,'Cannot be modified except by direct means',100,2,3),
(99523,100705,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(99524,100705,'Increases Mitigation of group members (AE) vs noxious damage by 259',100,1,1),
(99525,10100705,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(99526,10100705,'Increases Mitigation of group members (AE) vs noxious damage by 259',100,1,1),
(99527,103402,'Decreases Threat to targets in Area of Effect by 720 ',100,1,0),
(99528,103402,'Slows targets in Area of Effect by 35.0%',100,1,1),
(99529,103402,'Stifles targets in Area of Effect',100,1,2),
(99530,103402,'If Target is not Epic',100,2,3),
(99531,103402,'10% chance to dispel when target receives hostile action',100,1,4),
(99532,103402,'10% chance to dispel when target takes damage',100,1,5),
(99533,10103402,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(99534,10103402,'Slows targets in Area of Effect by 35.0%',100,1,1),
(99535,10103402,'Stifles targets in Area of Effect',100,1,2),
(99536,10103402,'If Target is not Epic',100,2,3),
(99537,159533,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99538,159533,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99539,159533,'Inflicts 251 heat damage on target',100,2,2),
(99540,159533,'Cannot be modified except by direct means',100,2,3),
(99541,10159533,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99542,10159533,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99543,10159533,'Inflicts 351 heat damage on target',100,2,2),
(99544,10159533,'Cannot be modified except by direct means',100,2,3),
(99545,48397,'Applies Big Flying Cephalopod 3000 when Activated.  Lasts for 45.0 seconds.',100,0,0),
(99546,48397,'\"Walk softly, and carry a B.F.C. 3000\"',100,1,1),
(99547,10048397,'Applies Big Flying Cephalopod 3000 when Activated.  Lasts for 45.0 seconds.',100,0,0),
(99548,10048397,'\"Walk softly, and carry a B.F.C. 3000\"',100,1,1),
(99549,106399,'Inflicts 992 - 1653 melee damage on target',100,1,0),
(99550,106399,'Decreases Defense of target by 41.7',100,1,1),
(99551,106399,'Decreases Defense of caster by 29.8',100,1,2),
(99552,10106399,'Inflicts 1290 - 2150 melee damage on target',100,1,0),
(99553,10106399,'Decreases Defense of target by 41.7',100,1,1),
(99554,10106399,'Decreases Defense of caster by 29.8',100,1,2),
(99555,114556,'Heals target for 870 - 1064',100,1,0),
(99556,10114556,'Heals target for 1131 - 1383',100,1,0),
(99557,121198,'Grants stealth to caster',100,1,0),
(99558,121198,'Suspends caster''s movement speed enhancements',100,1,1),
(99559,121198,'Decreases Threat to target by 766 - 1,277 ',100,1,2),
(99560,10121198,'Forces target to clear their selected target.',100,1,0),
(99561,10121198,'Grants stealth to caster',100,1,1),
(99562,10121198,'Suspends caster''s movement speed enhancements',100,1,2),
(99563,81046,'When Equipped:',100,0,0),
(99564,81046,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99565,81046,'Inflicts 194 - 361 magic damage on target',100,2,2),
(99566,81046,'Cannot be modified except by direct means',100,2,3),
(99567,10081046,'When Equipped:',100,0,0),
(99568,10081046,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99569,10081046,'Inflicts 272 - 505 magic damage on target',100,2,2),
(99570,10081046,'Cannot be modified except by direct means',100,2,3),
(99571,121733,'Causes 6% Threat to transfer to target when in combat',100,1,0),
(99572,10121733,'Applies Swarthy Distraction.',100,1,0),
(99573,10121733,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(99574,10121733,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(99575,82819,'When Equipped:',100,0,0),
(99576,82819,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99577,82819,'Inflicts 271 - 504 magic damage on target',100,2,2),
(99578,82819,'Cannot be modified except by direct means',100,2,3),
(99579,10082819,'When Equipped:',100,0,0),
(99580,10082819,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99581,10082819,'Inflicts 380 - 705 magic damage on target',100,2,2),
(99582,10082819,'Cannot be modified except by direct means',100,2,3),
(99583,107764,'Stuns target',100,1,0),
(99584,107764,'If Target is not Epic',100,2,1),
(99585,107764,'Inflicts 789 - 1315 cold damage on target',100,1,2),
(99586,107764,'Resistibility increases against targets higher than level 87.',100,1,3),
(99587,10107764,'Stuns target',100,1,0),
(99588,10107764,'If Target is not Epic',100,2,1),
(99589,10107764,'Inflicts 1104 - 1841 cold damage on target',100,1,2),
(99590,10107764,'Resistibility increases against targets higher than level 87.',100,1,3),
(99591,115260,'Heals target for 367',100,1,0),
(99592,115260,'Heals target for 61 every second',100,1,1),
(99593,115260,'Dispels 62 levels of any hostile effects on target',100,1,2),
(99594,10115260,'Heals target for 239',100,1,0),
(99595,10115260,'Heals target for 40 every second',100,1,1),
(99596,10115260,'Dispels 62 levels of any hostile effects on target',100,1,2),
(99597,48435,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(99598,48435,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(99599,48435,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,2),
(99600,48435,'Inflicts 47 poison damage on target',100,2,3),
(99601,48435,'Cannot be modified except by direct means',100,2,4),
(99602,48435,'Grants a total of 200 triggers of the spell.',100,2,5),
(99603,10048435,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(99604,10048435,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(99605,10048435,'Inflicts 49 poison damage on target',100,2,2),
(99606,10048435,'Inflicts 43 poison damage on target instantly and every 6 seconds',100,2,3),
(99607,10048435,'Cannot be modified except by direct means',100,2,4),
(99608,10048435,'Grants a total of 200 triggers of the spell.',100,2,5),
(99609,102607,'Increases Threat to target encounter by 945 - 1,155 ',100,1,0),
(99610,102607,'Interrupts target encounter',100,1,1),
(99611,102607,'Decreases Mitigation of target encounter vs noxious damage by 700',100,1,2),
(99612,10102607,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(99613,10102607,'Prevents target from changing targets',100,2,1),
(99614,10102607,'Forces target to change their selected target to caster.',100,2,2),
(99615,10102607,'Interrupts target encounter',100,1,3),
(99616,10102607,'Decreases Mitigation of target encounter vs noxious damage by 700',100,1,4),
(99617,41615,'When Equipped:',100,0,0),
(99618,41615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99619,41615,'Inflicts 37 - 69 magic damage on target',100,2,2),
(99620,41615,'Cannot be modified except by direct means',100,2,3),
(99621,10041615,'When Equipped:',100,0,0),
(99622,10041615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99623,10041615,'Inflicts 52 - 96 magic damage on target',100,2,2),
(99624,10041615,'Cannot be modified except by direct means',100,2,3),
(99625,48821,'Applies Kaglari''s Awakening  when Activated.  Lasts for 30 minutes.',100,0,0),
(99626,48821,'Increases INT and WIS of caster by 39.0',100,1,1),
(99627,10048821,'Applies Kaglari''s Awakening  when Activated.  Lasts for 30 minutes.',100,0,0),
(99628,10048821,'Increases INT and WIS of caster by 39.0',100,1,1),
(99629,74575,'When Equipped:',100,0,0),
(99630,74575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99631,74575,'Inflicts 179 - 268 magic damage on target',100,2,2),
(99632,74575,'Cannot be modified except by direct means',100,2,3),
(99633,10074575,'When Equipped:',100,0,0),
(99634,10074575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99635,10074575,'Inflicts 250 - 376 magic damage on target',100,2,2),
(99636,10074575,'Cannot be modified except by direct means',100,2,3),
(99637,113427,'Reduces physical damage done to caster by 5%',100,1,0),
(99638,113427,'Increases STA of caster by 125.8',100,1,1),
(99639,113427,'Adds 3.4% to base avoidance.',100,1,2),
(99640,113427,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(99641,113427,'Increases Defense and Aggression of caster by 24.0',100,1,4),
(99642,113427,'Increases Mitigation of caster vs noxious damage by 1663',100,1,5),
(99643,113427,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(99644,10113427,'Reduces physical damage done to caster by 5%',100,1,0),
(99645,10113427,'Increases STA of caster by 125.8',100,1,1),
(99646,10113427,'Adds 3.4% to base avoidance.',100,1,2),
(99647,10113427,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(99648,10113427,'Increases Defense and Aggression of caster by 24.0',100,1,4),
(99649,10113427,'Increases Mitigation of caster vs noxious damage by 1663',100,1,5),
(99650,10113427,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(99651,159071,'Applies Lambent Imbued when Equipped.',100,0,0),
(99652,159071,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(99653,159071,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(99654,159071,'Cannot be modified except by direct means',100,2,3),
(99655,10159071,'Applies Lambent Imbued when Equipped.',100,0,0),
(99656,10159071,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(99657,10159071,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(99658,10159071,'Cannot be modified except by direct means',100,2,3),
(99659,119447,'Inflicts 116 piercing damage on target instantly and every 4 seconds',100,1,0),
(99660,119447,'Inflicts 160 - 267 melee damage on target',100,1,1),
(99661,119447,'Must be flanking or behind',100,1,2),
(99662,10119447,'Inflicts 162 piercing damage on target instantly and every 4 seconds',100,1,0),
(99663,10119447,'Inflicts 208 - 347 melee damage on target',100,1,1),
(99664,10119447,'Must be flanking or behind',100,1,2),
(99665,36453,'Increases STR of target by 1.6',100,0,0),
(99666,36453,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(99667,107348,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(99668,107348,'Increases Threat to target by 262 ',100,2,1),
(99669,10107348,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(99670,10107348,'Inflicts 73 - 81 crushing damage on target',100,2,1),
(99671,37096,'Increases STR of target by 1.6',100,0,0),
(99672,37096,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(99673,122834,'Inflicts 680 - 1134 ranged damage on target',100,1,0),
(99674,122834,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(99675,122834,'Increases Hate Gain of target by 30.0%',100,2,2),
(99676,122834,'Grants a total of 1 trigger of the spell.',100,2,3),
(99677,122834,'Requires bow',100,1,4),
(99678,10122834,'Inflicts 578 - 964 ranged damage on target',100,1,0),
(99679,10122834,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(99680,10122834,'Grants a total of 1 trigger of the spell.',100,2,2),
(99681,10122834,'Requires bow',100,1,3),
(99682,124414,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(99683,124414,'Inflicts 178 - 296 melee damage on target',100,2,1),
(99684,124414,'Grants a total of 3 triggers of the spell.',100,2,2),
(99685,10124414,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(99686,10124414,'Inflicts 231 - 385 melee damage on target',100,2,1),
(99687,10124414,'Grants a total of 3 triggers of the spell.',100,2,2),
(99688,107458,'Summons a pet earthen avatar',100,1,0),
(99689,10107458,'Summons a pet earthen avatar',100,1,0),
(99690,26531,'When Equipped:',100,0,0),
(99691,26531,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(99692,26531,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(99693,10026531,'When Equipped:',100,0,0),
(99694,10026531,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(99695,10026531,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(99696,159313,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99697,159313,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99698,159313,'Inflicts 215 heat damage on target',100,2,2),
(99699,159313,'Cannot be modified except by direct means',100,2,3),
(99700,10159313,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99701,10159313,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99702,10159313,'Inflicts 301 heat damage on target',100,2,2),
(99703,10159313,'Cannot be modified except by direct means',100,2,3),
(99704,159288,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(99705,159288,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(99706,159288,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(99707,159288,'Cannot be modified except by direct means',100,2,3),
(99708,10159288,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(99709,10159288,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(99710,10159288,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(99711,10159288,'Cannot be modified except by direct means',100,2,3),
(99712,120507,'Inflicts 266 - 444 melee damage on target',100,1,0),
(99713,120507,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(99714,120507,'Grants stealth to caster',100,2,2),
(99715,120507,'Suspends caster''s movement speed enhancements',100,2,3),
(99716,120507,'Must be flanking or behind',100,1,4),
(99717,10120507,'Inflicts 346 - 577 melee damage on target',100,1,0),
(99718,10120507,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(99719,10120507,'Grants stealth to caster',100,2,2),
(99720,10120507,'Suspends caster''s movement speed enhancements',100,2,3),
(99721,10120507,'Must be flanking or behind',100,1,4),
(99722,101558,'Inflicts 6544 - 10908 melee damage on target',100,1,0),
(99723,101558,'You must be stealthed to use this ability',100,1,1),
(99724,10101558,'Inflicts 3998 - 6664 melee damage on target',100,1,0),
(99725,10101558,'You must be stealthed to use this ability',100,1,1),
(99726,118895,'Inflicts 225 - 376 melee damage on target',100,1,0),
(99727,118895,'Inflicts 225 - 376 melee damage on target',100,1,1),
(99728,118895,'Inflicts 225 - 376 melee damage on target',100,1,2),
(99729,118895,'Inflicts 225 - 376 melee damage on target',100,1,3),
(99730,118895,'Inflicts 225 - 376 melee damage on target',100,1,4),
(99731,10118895,'Inflicts 293 - 489 melee damage on target',100,1,0),
(99732,10118895,'Inflicts 293 - 489 melee damage on target',100,1,1),
(99733,10118895,'Inflicts 293 - 489 melee damage on target',100,1,2),
(99734,10118895,'Inflicts 293 - 489 melee damage on target',100,1,3),
(99735,10118895,'Inflicts 293 - 489 melee damage on target',100,1,4),
(99736,55133,'When Equipped:',100,0,0),
(99737,55133,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(99738,55133,'Increases caster''s chance to block by 8.0%',100,2,2),
(99739,55133,'Cannot be modified except by direct means',100,2,3),
(99740,55133,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(99741,55133,'Increases caster''s chance to block by 8.0%',100,2,5),
(99742,55133,'Cannot be modified except by direct means',100,2,6),
(99743,10055133,'When Equipped:',100,0,0),
(99744,10055133,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(99745,10055133,'Increases caster''s chance to block by 8.0%',100,2,2),
(99746,10055133,'Cannot be modified except by direct means',100,2,3),
(99747,10055133,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(99748,10055133,'Increases caster''s chance to block by 8.0%',100,2,5),
(99749,10055133,'Cannot be modified except by direct means',100,2,6),
(99750,80138,'When Equipped:',100,0,0),
(99751,80138,'On a combat hit this spell may cast Frost Gale on target of attack.  Lasts for 0.2 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99752,80138,'Throws target back',100,2,2),
(99753,80138,'Inflicts 194 - 323 cold damage on targets in Area of Effect',100,2,3),
(99754,80138,'Cannot be modified except by direct means',100,2,4),
(99755,10080138,'When Equipped:',100,0,0),
(99756,10080138,'On a combat hit this spell may cast Frost Gale on target of attack.  Lasts for 0.2 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99757,10080138,'Throws target back',100,2,2),
(99758,10080138,'Inflicts 272 - 453 cold damage on targets in Area of Effect',100,2,3),
(99759,10080138,'Cannot be modified except by direct means',100,2,4),
(99760,159189,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99761,159189,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99762,159189,'Inflicts 51 heat damage on target',100,2,2),
(99763,159189,'Cannot be modified except by direct means',100,2,3),
(99764,10159189,'Applies Sanguine Imbued when Equipped.',100,0,0),
(99765,10159189,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(99766,10159189,'Inflicts 71 heat damage on target',100,2,2),
(99767,10159189,'Cannot be modified except by direct means',100,2,3),
(99768,85427,'Applies Prismatic Glow when Equipped.',100,0,0),
(99769,85427,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(99770,85427,'When Equipped:',100,0,2),
(99771,85427,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(99772,85427,'Inflicts 191 - 354 magic damage on target',100,2,4),
(99773,85427,'Cannot be modified except by direct means',100,2,5),
(99774,10085427,'Applies Prismatic Glow when Equipped.',100,0,0),
(99775,10085427,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(99776,10085427,'When Equipped:',100,0,2),
(99777,10085427,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(99778,10085427,'Inflicts 267 - 496 magic damage on target',100,2,4),
(99779,10085427,'Cannot be modified except by direct means',100,2,5),
(99780,106769,'Mesmerizes target',100,1,0),
(99781,106769,'Prevents AOE (except when direct) ',100,1,1),
(99782,106769,'Dispelled when target takes damage',100,1,2),
(99783,106769,'Does not affect Epic targets',100,1,3),
(99784,106769,'Resistibility increases against targets higher than level 83.',100,1,4),
(99785,10106769,'Mesmerizes target',100,1,0),
(99786,10106769,'Prevents AOE (except when direct) ',100,1,1),
(99787,10106769,'Dispelled when target takes damage',100,1,2),
(99788,10106769,'Does not affect Epic targets',100,1,3),
(99789,10106769,'Resistibility increases against targets higher than level 83.',100,1,4),
(99790,47715,'Applies arcane remedy when Activated.',100,0,0),
(99791,47715,'Dispels 68 levels of arcane hostile effects on caster',100,1,1),
(99792,10047715,'Applies arcane remedy when Activated.',100,0,0),
(99793,10047715,'Dispels 68 levels of arcane hostile effects on caster',100,1,1),
(99794,80320,'When Equipped:',100,0,0),
(99795,80320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99796,80320,'Inflicts 71 - 132 magic damage on target',100,2,2),
(99797,80320,'Cannot be modified except by direct means',100,2,3),
(99798,10080320,'When Equipped:',100,0,0),
(99799,10080320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99800,10080320,'Inflicts 100 - 185 magic damage on target',100,2,2),
(99801,10080320,'Cannot be modified except by direct means',100,2,3),
(99802,83997,'Applies Lightning Shock when Activated.',100,0,0),
(99803,83997,'Inflicts 485 - 809 magic damage on target',100,1,1),
(99804,83997,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(99805,10083997,'Applies Lightning Shock when Activated.',100,0,0),
(99806,10083997,'Inflicts 679 - 1132 magic damage on target',100,1,1),
(99807,10083997,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(99808,37169,'Increases STA of target by 1.6',100,0,0),
(99809,37169,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(99810,117939,'Heals target for 109 - 133',100,1,0),
(99811,117939,'Increases Max Health of target by 12.0',100,1,1),
(99812,10117939,'Heals target for 125 - 153',100,1,0),
(99813,10117939,'Increases Max Health of target by 12.0',100,1,1),
(99814,103765,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.2',100,1,0),
(99815,10103765,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.2',100,1,0),
(99816,107837,'Decreases Mitigation of target vs elemental damage by 262',100,1,0),
(99817,107837,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(99818,107837,'Slows target by 37.7%',100,2,2),
(99819,107837,'5% chance to dispel when target receives hostile action',100,2,3),
(99820,107837,'5% chance to dispel when target takes damage',100,2,4),
(99821,10107837,'Decreases Mitigation of target vs elemental damage by 262',100,1,0),
(99822,10107837,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(99823,10107837,'Slows target by 37.7%',100,2,2),
(99824,10107837,'5% chance to dispel when target receives hostile action',100,2,3),
(99825,10107837,'5% chance to dispel when target takes damage',100,2,4),
(99826,102737,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(99827,102737,'Stuns target',100,2,1),
(99828,102737,'If Target is not Epic',100,3,2),
(99829,102737,'Inflicts 147 - 245 divine damage on target',100,2,3),
(99830,102737,'Inflicts 126 - 210 divine damage on target',100,2,4),
(99831,102737,'If target is undead',100,3,5),
(99832,10102737,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(99833,10102737,'Stuns target',100,2,1),
(99834,10102737,'Inflicts 309 - 515 divine damage on target',100,2,2),
(99835,10102737,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(99836,75100,'Applies Mental Blast when Activated.',100,0,0),
(99837,75100,'Inflicts 66 - 110 mental damage on target',100,1,1),
(99838,75100,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(99839,10075100,'Applies Mental Blast when Activated.',100,0,0),
(99840,10075100,'Inflicts 93 - 155 mental damage on target',100,1,1),
(99841,10075100,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(99842,114348,'Increases Attack Speed of group members (AE) by 8.7',100,1,0),
(99843,10114348,'Increases Attack Speed of group members (AE) by 8.7',100,1,0),
(99844,114475,'Inflicts 700 - 1167 heat damage on target',100,1,0),
(99845,10114475,'Inflicts 910 - 1517 heat damage on target',100,1,0),
(99846,70835,'When Equipped:',100,0,0),
(99847,70835,'Increases Attack Speed of caster by 23.0',100,1,1),
(99848,10070835,'When Equipped:',100,0,0),
(99849,10070835,'Increases Attack Speed of caster by 23.0',100,1,1),
(99850,24014,'Adds Aviak (Dirge) to your Dungeon Maker toolbox',100,0,0),
(99851,10024014,'Adds Aviak (Dirge) to your Dungeon Maker toolbox',100,0,0),
(99852,82208,'When Equipped:',100,0,0),
(99853,82208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99854,82208,'Inflicts 37 - 69 magic damage on target',100,2,2),
(99855,82208,'Cannot be modified except by direct means',100,2,3),
(99856,10082208,'When Equipped:',100,0,0),
(99857,10082208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99858,10082208,'Inflicts 52 - 96 magic damage on target',100,2,2),
(99859,10082208,'Cannot be modified except by direct means',100,2,3),
(99860,105066,'Inflicts 38 - 52 magic damage on target',100,1,0),
(99861,10105066,'Inflicts 54 - 73 magic damage on target',100,1,0),
(99862,104616,'Inflicts 49 - 82 crushing damage on target',100,1,0),
(99863,104616,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 6.1',100,1,1),
(99864,10104616,'Inflicts 64 - 107 crushing damage on target',100,1,0),
(99865,10104616,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 6.1',100,1,1),
(99866,81642,'When Equipped:',100,0,0),
(99867,81642,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(99868,81642,'Decreases Threat to target by 376 ',100,2,2),
(99869,81642,'Must be flanking or behind',100,3,3),
(99870,81642,'Increases Threat to target by 376 ',100,2,4),
(99871,81642,'Must be in front of',100,3,5),
(99872,81642,'Inflicts 144 - 268 magic damage on target',100,2,6),
(99873,81642,'Cannot be modified except by direct means',100,2,7),
(99874,10081642,'When Equipped:',100,0,0),
(99875,10081642,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(99876,10081642,'Inflicts 202 - 375 magic damage on target',100,2,2),
(99877,10081642,'Cannot be modified except by direct means',100,2,3),
(99878,117838,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(99879,117838,'Heals target for 207 - 253 instantly and every 2 seconds',100,2,1),
(99880,117838,'If at 50% Health or less',100,3,2),
(99881,117838,'Heals target for 103 - 126 instantly and every 2 seconds',100,2,3),
(99882,117838,'If over 50% Health',100,3,4),
(99883,10117838,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(99884,10117838,'Heals target for 50 - 62 instantly and every 2 seconds',100,2,1),
(99885,10117838,'If at 50% Health or less',100,3,2),
(99886,10117838,'Heals target for 30 - 37 instantly and every 2 seconds',100,2,3),
(99887,10117838,'If over 50% Health',100,3,4),
(99888,121195,'Grants stealth to caster',100,1,0),
(99889,121195,'Suspends caster''s movement speed enhancements',100,1,1),
(99890,121195,'Decreases Threat to target by 520 - 866 ',100,1,2),
(99891,10121195,'Forces target to clear their selected target.',100,1,0),
(99892,10121195,'Grants stealth to caster',100,1,1),
(99893,10121195,'Suspends caster''s movement speed enhancements',100,1,2),
(99894,114911,'Inflicts 267 - 446 melee damage on target',100,1,0),
(99895,114911,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 816',100,1,1),
(99896,114911,'Must be behind',100,1,2),
(99897,10114911,'Inflicts 347 - 579 melee damage on target',100,1,0),
(99898,10114911,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 408',100,1,1),
(99899,10114911,'Must be behind',100,1,2),
(99900,112653,'Inflicts 258 - 430 disease damage on target',100,1,0),
(99901,112653,'Inflicts 258 - 430 disease damage on target',100,1,1),
(99902,112653,'Roots target',100,1,2),
(99903,112653,'If Target is not Epic',100,2,3),
(99904,112653,'15% chance to dispel when target takes damage',100,1,4),
(99905,112653,'If weapon equipped in Ranged',100,1,5),
(99906,112653,'Resistibility increases against targets higher than level 87.',100,1,6),
(99907,10112653,'Inflicts 219 - 365 disease damage on target',100,1,0),
(99908,10112653,'Inflicts 219 - 365 disease damage on target',100,1,1),
(99909,10112653,'Roots target',100,1,2),
(99910,10112653,'If Target is not Epic',100,2,3),
(99911,10112653,'15% chance to dispel when target takes damage',100,1,4),
(99912,10112653,'If weapon equipped in Ranged',100,1,5),
(99913,10112653,'Resistibility increases against targets higher than level 87.',100,1,6),
(99914,173974,'When Equipped:',100,0,0),
(99915,173974,'Reduces the reuse timers of all spells and combat arts by 5%.',100,1,1),
(99916,10173974,'When Equipped:',100,0,0),
(99917,10173974,'Reduces the reuse timers of all spells and combat arts by 5%.',100,1,1),
(99918,37198,'Increases STA of target by 1.6',100,0,0),
(99919,37198,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(99920,116172,'Increases Attack Speed of caster by 44.2',100,1,0),
(99921,116172,'Increases Damage Per Second of caster by 51.4',100,1,1),
(99922,10116172,'Increases Attack Speed of caster by 44.2',100,1,0),
(99923,10116172,'Increases Damage Per Second of caster by 51.4',100,1,1),
(99924,75314,'When Equipped:',100,0,0),
(99925,75314,'On a combat hit this spell may cast Siphon Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99926,75314,'Inflicts 117 - 175 magic damage on target',100,2,2),
(99927,75314,'Decreases power of target by 65 - 80',100,2,3),
(99928,75314,'Heals caster for 97 - 119',100,2,4),
(99929,75314,'Cannot be modified except by direct means',100,2,5),
(99930,10075314,'When Equipped:',100,0,0),
(99931,10075314,'On a combat hit this spell may cast Siphon Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99932,10075314,'Inflicts 163 - 245 magic damage on target',100,2,2),
(99933,10075314,'Decreases power of target by 65 - 80',100,2,3),
(99934,10075314,'Heals caster for 63 - 77',100,2,4),
(99935,10075314,'Cannot be modified except by direct means',100,2,5),
(99936,83828,'When Equipped:',100,0,0),
(99937,83828,'On a combat hit this spell may cast Lifespike on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99938,83828,'Inflicts 1146 mental damage on target',100,2,2),
(99939,83828,'Heals caster for 917',100,2,3),
(99940,83828,'When any damage is received this spell has a 10% chance to cast Lifesource on target''s attacker.  ',100,2,4),
(99941,83828,'Heals target for 1015',100,3,5),
(99942,83828,'Cannot be modified except by direct means',100,2,6),
(99943,10083828,'When Equipped:',100,0,0),
(99944,10083828,'On a combat hit this spell may cast Lifespike on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(99945,10083828,'Inflicts 1604 mental damage on target',100,2,2),
(99946,10083828,'Heals caster for 596',100,2,3),
(99947,10083828,'When any damage is received this spell has a 10% chance to cast Lifesource on target''s attacker.  ',100,2,4),
(99948,10083828,'Heals target for 660',100,3,5),
(99949,10083828,'Cannot be modified except by direct means',100,2,6),
(99950,41418,'Applies Summon Viscid Globs when Activated.',100,0,0),
(99951,41418,'Summons 100 viscid globs',100,1,1),
(99952,41418,'The casting time of Summon Viscid Globs is 4.0 seconds and the reuse time of the spell is 5 minutes',100,1,2),
(99953,41418,'When Equipped:',100,0,3),
(99954,41418,'On a combat hit this spell may cast Viscid Mire on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(99955,41418,'Cancels up to 20.0% of target''s speed buffs',100,2,5),
(99956,41418,'Cannot be modified except by direct means',100,2,6),
(99957,10041418,'Applies Summon Viscid Globs when Activated.',100,0,0),
(99958,10041418,'Summons 100 viscid globs',100,1,1),
(99959,10041418,'The casting time of Summon Viscid Globs is 4.0 seconds and the reuse time of the spell is 5 minutes',100,1,2),
(99960,10041418,'When Equipped:',100,0,3),
(99961,10041418,'On a combat hit this spell may cast Viscid Mire on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(99962,10041418,'Cancels up to 20.0% of target''s speed buffs',100,2,5),
(99963,10041418,'Cannot be modified except by direct means',100,2,6),
(99964,123537,'Inflicts 105 - 158 piercing damage on target instantly and every 4 seconds',100,1,0),
(99965,123537,'Decreases Defense of target by 22.3',100,1,1),
(99966,10123537,'Inflicts 206 - 310 piercing damage on target',100,1,0),
(99967,10123537,'Inflicts 147 - 221 piercing damage on target every 4 seconds',100,1,1),
(99968,10123537,'Decreases Defense of target by 22.3',100,1,2),
(99969,82148,'When Equipped:',100,0,0),
(99970,82148,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99971,82148,'Inflicts 182 - 339 magic damage on target',100,2,2),
(99972,82148,'Cannot be modified except by direct means',100,2,3),
(99973,10082148,'When Equipped:',100,0,0),
(99974,10082148,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(99975,10082148,'Inflicts 255 - 474 magic damage on target',100,2,2),
(99976,10082148,'Cannot be modified except by direct means',100,2,3),
(99977,100508,'Increases Attack Speed of group members (AE) by 16.2',100,1,0),
(99978,10100508,'Increases Attack Speed of group members (AE) by 16.2',100,1,0),
(99979,100215,'Increases Threat to target encounter by 675 - 825 ',100,1,0),
(99980,100215,'Interrupts target encounter',100,1,1),
(99981,10100215,'Interrupts target encounter',100,1,0),
(99982,10100215,'Forces target encounter to change their selected target to caster.',100,1,1),
(99983,10100215,'Prevents target encounter from changing targets',100,1,2),
(99984,159139,'Applies Lambent Imbued when Equipped.',100,0,0),
(99985,159139,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(99986,159139,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(99987,159139,'Cannot be modified except by direct means',100,2,3),
(99988,10159139,'Applies Lambent Imbued when Equipped.',100,0,0),
(99989,10159139,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(99990,10159139,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(99991,10159139,'Cannot be modified except by direct means',100,2,3),
(99992,47217,'Applies Elixir of the Mastermind  when Activated.  Lasts for 30 minutes.',100,0,0),
(99993,47217,'Increases WIS and INT of caster by 23.3',100,1,1),
(99994,10047217,'Applies Elixir of the Mastermind  when Activated.  Lasts for 30 minutes.',100,0,0),
(99995,10047217,'Increases WIS and INT of caster by 23.3',100,1,1),
(99996,48324,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(99997,48324,'Increases AGI of caster by 35.0',100,1,1),
(99998,10048324,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(99999,10048324,'Increases AGI of caster by 35.0',100,1,1),
(100000,118825,'Inflicts 3 - 11 melee damage on target',100,1,0),
(100001,10118825,'Inflicts 4 - 14 melee damage on target',100,1,0),
(100002,35409,'Increases AGI of target by 1.6',100,0,0),
(100003,35409,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(100004,111839,'Inflicts 388 - 646 melee damage on target',100,1,0),
(100005,111839,'Roots target',100,1,1),
(100006,111839,'If Target is not Epic',100,2,2),
(100007,111839,'Resistibility increases against targets higher than level 98.',100,1,3),
(100008,10111839,'Inflicts 454 - 758 melee damage on target',100,1,0),
(100009,10111839,'Roots target',100,1,1),
(100010,10111839,'If Target is not Epic',100,2,2),
(100011,10111839,'Resistibility increases against targets higher than level 98.',100,1,3),
(100012,82847,'When Equipped:',100,0,0),
(100013,82847,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100014,82847,'Decreases Threat to target by 833 ',100,2,2),
(100015,82847,'Must be flanking or behind',100,3,3),
(100016,82847,'Increases Threat to target by 833 ',100,2,4),
(100017,82847,'Must be in front of',100,3,5),
(100018,82847,'Inflicts 301 - 560 magic damage on target',100,2,6),
(100019,82847,'Cannot be modified except by direct means',100,2,7),
(100020,10082847,'When Equipped:',100,0,0),
(100021,10082847,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100022,10082847,'Inflicts 422 - 783 magic damage on target',100,2,2),
(100023,10082847,'Cannot be modified except by direct means',100,2,3),
(100024,45088,'Applies Magic Makeover when Activated.  Lasts for 3.0 seconds.',100,0,0),
(100025,45088,'Gives the owner of the mirror a complete makeover of their choice.',100,1,1),
(100026,10045088,'Applies Magic Makeover when Activated.  Lasts for 3.0 seconds.',100,0,0),
(100027,10045088,'Gives the owner of the mirror a complete makeover of their choice.',100,1,1),
(100028,106135,'Inflicts 694 - 1157 melee damage on target',100,1,0),
(100029,106135,'Decreases Defense, Parry and Deflection of target by 53.2',100,1,1),
(100030,10106135,'Inflicts 902 - 1504 melee damage on target',100,1,0),
(100031,10106135,'Decreases Defense, Parry and Deflection of target by 53.2',100,1,1),
(100032,75053,'Applies Poison Bolt when Activated.',100,0,0),
(100033,75053,'Inflicts 294 - 490 poison damage on target',100,1,1),
(100034,75053,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(100035,10075053,'Applies Poison Bolt when Activated.',100,0,0),
(100036,10075053,'Inflicts 411 - 685 poison damage on target',100,1,1),
(100037,10075053,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(100038,45245,'When Equipped:',100,0,0),
(100039,45245,'Increases success chance by 1.1%',100,1,1),
(100040,10045245,'When Equipped:',100,0,0),
(100041,10045245,'Increases success chance by 1.1%',100,1,1),
(100042,119373,'Decreases threat priority of target by 1 position',100,1,0),
(100043,119373,'Decreases Threat to target by 399 ',100,1,1),
(100044,119373,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(100045,119373,'Grants stealth to caster',100,2,3),
(100046,119373,'Suspends caster''s movement speed enhancements',100,2,4),
(100047,10119373,'Applies Distract.',100,1,0),
(100048,10119373,'Forces target to clear their selected target.',100,2,1),
(100049,10119373,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(100050,10119373,'Grants stealth to caster',100,2,3),
(100051,10119373,'Suspends caster''s movement speed enhancements',100,2,4),
(100052,144705,'When Equipped:',100,0,0),
(100053,144705,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100054,144705,'This effect can be stacked by multiple casters.',100,2,2),
(100055,144705,'Increases Mitigation of target vs all damage by 930',100,2,3),
(100056,144705,'Cannot be modified except by direct means',100,2,4),
(100057,10144705,'When Equipped:',100,0,0),
(100058,10144705,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100059,10144705,'This effect can be stacked by multiple casters.',100,2,2),
(100060,10144705,'Increases Mitigation of target vs all damage by 930',100,2,3),
(100061,10144705,'Cannot be modified except by direct means',100,2,4),
(100062,173569,'When Equipped:',100,0,0),
(100063,173569,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(100064,173569,'Heals caster for 183',100,2,2),
(100065,173569,'Cannot be modified except by direct means',100,2,3),
(100066,10173569,'When Equipped:',100,0,0),
(100067,10173569,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(100068,10173569,'Heals caster for 119',100,2,2),
(100069,10173569,'Cannot be modified except by direct means',100,2,3),
(100070,101051,'Summons 3 limited pets to aid the caster',100,1,0),
(100071,10101051,'Summons 3 limited pets to aid the caster',100,1,0),
(100072,119470,'Summon 1 Shard of Essence (Expert)',100,1,0),
(100073,10119470,'Summon 1 Shard of Essence (Expert)',100,1,0),
(100074,177590,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(100075,177590,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(100076,177590,'Inflicts 43 heat damage on target',100,2,2),
(100077,177590,'Cannot be modified except by direct means',100,2,3),
(100078,10177590,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(100079,10177590,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(100080,10177590,'Inflicts 61 heat damage on target',100,2,2),
(100081,10177590,'Cannot be modified except by direct means',100,2,3),
(100082,37624,'Increases STA and WIS of target by 1.2',100,0,0),
(100083,37624,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(100084,114637,'Decreases WIS of target by 46.9',100,1,0),
(100085,114637,'Inflicts 552 - 920 melee damage on target',100,1,1),
(100086,114637,'You must be sneaking to use this ability.',100,1,2),
(100087,10114637,'Decreases WIS of target by 46.9',100,1,0),
(100088,10114637,'Inflicts 717 - 1196 melee damage on target',100,1,1),
(100089,10114637,'You must be sneaking to use this ability.',100,1,2),
(100090,102829,'Summons 3 limited pets to aid the caster',100,1,0),
(100091,10102829,'Summons 3 limited pets to aid the caster',100,1,0),
(100092,46979,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(100093,46979,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(100094,46979,'Stifles target',100,2,2),
(100095,46979,'If Target is not Epic',100,3,3),
(100096,46979,'Cannot be modified except by direct means',100,2,4),
(100097,46979,'Grants a total of 4 triggers of the spell.',100,2,5),
(100098,10046979,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(100099,10046979,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(100100,10046979,'Stifles target',100,2,2),
(100101,10046979,'If Target is not Epic',100,3,3),
(100102,10046979,'Cannot be modified except by direct means',100,2,4),
(100103,10046979,'Grants a total of 4 triggers of the spell.',100,2,5),
(100104,134139,'When Equipped:',100,0,0),
(100105,134139,'On any combat or spell hit this spell may cast Pain of Necrosis on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(100106,134139,'This effect can be stacked by multiple casters.',100,2,2),
(100107,134139,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,3),
(100108,134139,'Cannot be modified except by direct means',100,2,4),
(100109,10134139,'When Equipped:',100,0,0),
(100110,10134139,'On any combat or spell hit this spell may cast Pain of Necrosis on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(100111,10134139,'This effect can be stacked by multiple casters.',100,2,2),
(100112,10134139,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,3),
(100113,10134139,'Cannot be modified except by direct means',100,2,4),
(100114,45211,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(100115,45211,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(100116,45211,'Decreases WIS of target by 47.6',100,2,2),
(100117,45211,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 611',100,2,3),
(100118,45211,'Cannot be modified except by direct means',100,2,4),
(100119,45211,'Grants a total of 60 triggers of the spell.',100,2,5),
(100120,10045211,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(100121,10045211,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(100122,10045211,'Decreases WIS of target by 47.6',100,2,2),
(100123,10045211,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 611',100,2,3),
(100124,10045211,'Cannot be modified except by direct means',100,2,4),
(100125,10045211,'Grants a total of 60 triggers of the spell.',100,2,5),
(100126,24213,'Adds Crushbone: Red Candle to your Dungeon Maker toolbox',100,0,0),
(100127,10024213,'Adds Crushbone: Red Candle to your Dungeon Maker toolbox',100,0,0),
(100128,74584,'When Equipped:',100,0,0),
(100129,74584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100130,74584,'Inflicts 179 - 268 magic damage on target',100,2,2),
(100131,74584,'Cannot be modified except by direct means',100,2,3),
(100132,10074584,'When Equipped:',100,0,0),
(100133,10074584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100134,10074584,'Inflicts 250 - 376 magic damage on target',100,2,2),
(100135,10074584,'Cannot be modified except by direct means',100,2,3),
(100136,136521,'When Equipped:',100,0,0),
(100137,136521,'Increases Unconscious Health of caster by 1,800.0',100,1,1),
(100138,10136521,'When Equipped:',100,0,0),
(100139,10136521,'Increases Unconscious Health of caster by 1,800.0',100,1,1),
(100140,188425,'When Equipped:',100,0,0),
(100141,188425,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(100142,188425,'Inflicts 2344 heat damage on target',100,2,2),
(100143,188425,'Heals caster for 2100',100,2,3),
(100144,188425,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(100145,188425,'Cannot be modified except by direct means',100,2,5),
(100146,188425,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(100147,188425,'Inflicts 2344 heat damage on target',100,2,7),
(100148,188425,'Heals caster for 2100',100,2,8),
(100149,188425,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(100150,188425,'Cannot be modified except by direct means',100,2,10),
(100151,10188425,'When Equipped:',100,0,0),
(100152,10188425,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(100153,10188425,'Inflicts 3282 heat damage on target',100,2,2),
(100154,10188425,'Heals caster for 2456',100,2,3),
(100155,10188425,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(100156,10188425,'Cannot be modified except by direct means',100,2,5),
(100157,10188425,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(100158,10188425,'Inflicts 3282 heat damage on target',100,2,7),
(100159,10188425,'Heals caster for 2456',100,2,8),
(100160,10188425,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(100161,10188425,'Cannot be modified except by direct means',100,2,10),
(100162,115084,'Heals target for 317 - 388',100,1,0),
(100163,115084,'Heals target for 41 - 50 every second',100,1,1),
(100164,10115084,'Heals target for 589 - 720',100,1,0),
(100165,10115084,'Heals target for 44 - 54 every second',100,1,1),
(100166,175128,'Applies Sacrilege when Equipped.',100,0,0),
(100167,175128,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(100168,10175128,'Applies Sacrilege when Equipped.',100,0,0),
(100169,10175128,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(100170,82859,'When Equipped:',100,0,0),
(100171,82859,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100172,82859,'Decreases Threat to target by 833 ',100,2,2),
(100173,82859,'Must be flanking or behind',100,3,3),
(100174,82859,'Increases Threat to target by 833 ',100,2,4),
(100175,82859,'Must be in front of',100,3,5),
(100176,82859,'Inflicts 301 - 560 magic damage on target',100,2,6),
(100177,82859,'Cannot be modified except by direct means',100,2,7),
(100178,10082859,'When Equipped:',100,0,0),
(100179,10082859,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100180,10082859,'Inflicts 422 - 783 magic damage on target',100,2,2),
(100181,10082859,'Cannot be modified except by direct means',100,2,3),
(100182,117672,'Decreases Mitigation of target vs physical damage by 608',100,1,0),
(100183,10117672,'Decreases Mitigation of target vs physical damage by 304',100,1,0),
(100184,100081,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(100185,10100081,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(100186,100694,'Dispels 81 levels of any hostile effects on target',100,1,0),
(100187,100694,'Dispels 81 levels of hostile Fear effects on target',100,1,1),
(100188,100694,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(100189,100694,'Makes target immune to Fear effects',100,3,3),
(100190,100694,'Dispels 81 levels of hostile Daze effects on target',100,1,4),
(100191,100694,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(100192,100694,'Makes target immune to Daze effects',100,3,6),
(100193,100694,'Dispels 81 levels of hostile Root effects on target',100,1,7),
(100194,100694,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(100195,100694,'Makes target immune to Root effects',100,3,9),
(100196,100694,'Dispels 81 levels of hostile Stifle effects on target',100,1,10),
(100197,100694,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(100198,100694,'Makes target immune to Stifle effects',100,3,12),
(100199,100694,'Dispels 81 levels of hostile Stun effects on target',100,1,13),
(100200,100694,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(100201,100694,'Makes target immune to Stun effects',100,3,15),
(100202,10100694,'Dispels 81 levels of any hostile effects on target',100,1,0),
(100203,10100694,'Dispels 81 levels of hostile Fear effects on target',100,1,1),
(100204,10100694,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(100205,10100694,'Makes target immune to Fear effects',100,3,3),
(100206,10100694,'Dispels 81 levels of hostile Daze effects on target',100,1,4),
(100207,10100694,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(100208,10100694,'Makes target immune to Daze effects',100,3,6),
(100209,10100694,'Dispels 81 levels of hostile Root effects on target',100,1,7),
(100210,10100694,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(100211,10100694,'Makes target immune to Root effects',100,3,9),
(100212,10100694,'Dispels 81 levels of hostile Stifle effects on target',100,1,10),
(100213,10100694,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(100214,10100694,'Makes target immune to Stifle effects',100,3,12),
(100215,10100694,'Dispels 81 levels of hostile Stun effects on target',100,1,13),
(100216,10100694,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(100217,10100694,'Makes target immune to Stun effects',100,3,15),
(100218,110674,'Heals target for 386',100,1,0),
(100219,110674,'Dispels 37 levels of any hostile effects on target',100,1,1),
(100220,10110674,'Heals target for 251',100,1,0),
(100221,10110674,'Dispels 37 levels of any hostile effects on target',100,1,1),
(100222,72262,'When Equipped:',100,0,0),
(100223,72262,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100224,72262,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(100225,72262,'Cannot be modified except by direct means',100,2,3),
(100226,10072262,'When Equipped:',100,0,0),
(100227,10072262,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100228,10072262,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(100229,10072262,'Cannot be modified except by direct means',100,2,3),
(100230,100759,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(100231,100759,'Wards target against 1120 points of all damage',100,2,1),
(100232,100759,'Heals target for 910',100,2,2),
(100233,100759,'Increases power of target by 210 every 6 seconds',100,2,3),
(100234,100759,'Grants a total of 1 trigger of the spell.',100,2,4),
(100235,10100759,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(100236,10100759,'Wards target against 1120 points of all damage',100,2,1),
(100237,10100759,'Heals target for 592',100,2,2),
(100238,10100759,'Increases power of target by 210 every 6 seconds',100,2,3),
(100239,10100759,'Grants a total of 1 trigger of the spell.',100,2,4),
(100240,107649,'Increases Mitigation of raid and group members (AE) vs elemental damage by 585',100,1,0),
(100241,10107649,'Increases Mitigation of raid and group members (AE) vs elemental damage by 585',100,1,0),
(100242,89647,'When Equipped:',100,0,0),
(100243,89647,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100244,89647,'Inflicts 113 - 188 poison damage on target every 4.8 seconds',100,2,2),
(100245,89647,'Cannot be modified except by direct means',100,2,3),
(100246,10089647,'When Equipped:',100,0,0),
(100247,10089647,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100248,10089647,'Inflicts 158 - 263 poison damage on target every 4.8 seconds',100,2,2),
(100249,10089647,'Cannot be modified except by direct means',100,2,3),
(100250,102975,'Increases STR and AGI of group members (AE) by 38.0',100,1,0),
(100251,10102975,'Increases STR and AGI of group members (AE) by 38.0',100,1,0),
(100252,105665,'Decreases Damage Per Second of target by 26.3',100,1,0),
(100253,105665,'Inflicts 230 - 383 melee damage on target',100,1,1),
(100254,105665,'Must be flanking or behind',100,1,2),
(100255,10105665,'Decreases Damage Per Second of target by 26.3',100,1,0),
(100256,10105665,'Inflicts 299 - 498 melee damage on target',100,1,1),
(100257,10105665,'Must be flanking or behind',100,1,2),
(100258,121686,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(100259,121686,'Inflicts 56 - 69 heat damage on target instantly and every second',100,2,1),
(100260,10121686,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(100261,10121686,'Inflicts 79 - 96 heat damage on target instantly and every second',100,2,1),
(100262,108923,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(100263,108923,'Inflicts 17 heat damage on target',100,2,1),
(100264,10108923,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(100265,10108923,'Inflicts 24 heat damage on target',100,2,1),
(100266,141753,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(100267,141753,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(100268,141753,'Inflicts 41 heat damage on target',100,2,2),
(100269,141753,'Cannot be modified except by direct means',100,2,3),
(100270,10141753,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(100271,10141753,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(100272,10141753,'Inflicts 58 heat damage on target',100,2,2),
(100273,10141753,'Cannot be modified except by direct means',100,2,3),
(100274,85355,'Applies Poison Bolt when Activated.',100,0,0),
(100275,85355,'Inflicts 66 - 110 poison damage on target',100,1,1),
(100276,85355,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(100277,10085355,'Applies Poison Bolt when Activated.',100,0,0),
(100278,10085355,'Inflicts 93 - 155 poison damage on target',100,1,1),
(100279,10085355,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(100280,112412,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 56% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(100281,112412,'If over 50% Health',100,2,1),
(100282,112412,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 56% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(100283,112412,'If at 50% Health or less',100,2,3),
(100284,10112412,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 56% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(100285,10112412,'If over 50% Health',100,2,1),
(100286,10112412,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 56% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(100287,10112412,'If at 50% Health or less',100,2,3),
(100288,47742,'Applies Remedy of Rodcet when Activated.',100,0,0),
(100289,47742,'Heals caster for 83',100,1,1),
(100290,10047742,'Applies Remedy of Rodcet when Activated.',100,0,0),
(100291,10047742,'Heals caster for 54',100,1,1),
(100292,116916,'Summons a limited pet to aid the caster',100,1,0),
(100293,10116916,'Summons a limited pet to aid the caster',100,1,0),
(100294,100156,'Inflicts 170 - 208 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(100295,100156,'Decreases Mitigation of target encounter vs noxious damage by 1411',100,1,1),
(100296,10100156,'Inflicts 239 - 292 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(100297,10100156,'Decreases Mitigation of target encounter vs noxious damage by 1411',100,1,1),
(100298,35071,'Increases AGI of target by 1.6',100,0,0),
(100299,35071,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(100300,122878,'Inflicts 336 - 560 ranged damage on target',100,1,0),
(100301,122878,'Inflicts 672 - 1120 ranged damage on target',100,1,1),
(100302,122878,'Inflicts 1008 - 1680 ranged damage on target',100,1,2),
(100303,122878,'Requires bow',100,1,3),
(100304,10122878,'Inflicts 357 - 595 ranged damage on target',100,1,0),
(100305,10122878,'Inflicts 714 - 1190 ranged damage on target',100,1,1),
(100306,10122878,'Inflicts 1071 - 1785 ranged damage on target',100,1,2),
(100307,10122878,'Requires bow',100,1,3),
(100308,82096,'When Equipped:',100,0,0),
(100309,82096,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100310,82096,'Inflicts 182 - 339 magic damage on target',100,2,2),
(100311,82096,'Cannot be modified except by direct means',100,2,3),
(100312,10082096,'When Equipped:',100,0,0),
(100313,10082096,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100314,10082096,'Inflicts 255 - 474 magic damage on target',100,2,2),
(100315,10082096,'Cannot be modified except by direct means',100,2,3),
(100316,105107,'Inflicts 666 - 901 magic damage on target',100,1,0),
(100317,10105107,'Inflicts 932 - 1261 magic damage on target',100,1,0),
(100318,37388,'Increases STA of target by 1.6',100,0,0),
(100319,37388,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(100320,117932,'Heals target for 64 - 79',100,1,0),
(100321,117932,'Increases Max Health of target by 7.3',100,1,1),
(100322,10117932,'Heals target for 74 - 90',100,1,0),
(100323,10117932,'Increases Max Health of target by 7.3',100,1,1),
(100324,81130,'When Equipped:',100,0,0),
(100325,81130,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100326,81130,'Inflicts 178 - 331 magic damage on target',100,2,2),
(100327,81130,'Cannot be modified except by direct means',100,2,3),
(100328,10081130,'When Equipped:',100,0,0),
(100329,10081130,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100330,10081130,'Inflicts 249 - 463 magic damage on target',100,2,2),
(100331,10081130,'Cannot be modified except by direct means',100,2,3),
(100332,55296,'When Equipped:',100,0,0),
(100333,55296,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(100334,55296,'Decreases power of target by 226',100,2,2),
(100335,55296,'Increases power of caster by 135',100,2,3),
(100336,55296,'Cannot be modified except by direct means',100,2,4),
(100337,10055296,'When Equipped:',100,0,0),
(100338,10055296,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(100339,10055296,'Decreases power of target by 226',100,2,2),
(100340,10055296,'Increases power of caster by 135',100,2,3),
(100341,10055296,'Cannot be modified except by direct means',100,2,4),
(100342,123996,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(100343,123996,'Heals caster for 4.2% of max health instantly and every second',100,2,1),
(100344,123996,'This effect cannot be critically applied.',100,3,2),
(100345,123996,'If target is not berserk',100,3,3),
(100346,123996,'Heals caster for 21.0% of max health instantly and every second',100,2,4),
(100347,123996,'This effect cannot be critically applied.',100,3,5),
(100348,123996,'If target is berserk',100,3,6),
(100349,123996,'The healing of this spell cannot be modified except by direct means',100,2,7),
(100350,123996,'Grants a total of 1 trigger of the spell.',100,2,8),
(100351,10123996,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(100352,10123996,'Heals caster for 10.5% of max health instantly and every second',100,2,1),
(100353,10123996,'This effect cannot be critically applied.',100,3,2),
(100354,10123996,'If target is berserk',100,3,3),
(100355,10123996,'Must not be engaged in pvp combat',100,3,4),
(100356,10123996,'Heals caster for 4.2% of max health instantly and every second',100,2,5),
(100357,10123996,'This effect cannot be critically applied.',100,3,6),
(100358,10123996,'Must be engaged in pvp combat',100,3,7),
(100359,10123996,'If target is berserk',100,3,8),
(100360,10123996,'Heals caster for 2.1% of max health instantly and every second',100,2,9),
(100361,10123996,'This effect cannot be critically applied.',100,3,10),
(100362,10123996,'If target is not berserk',100,3,11),
(100363,10123996,'The healing of this spell cannot be modified except by direct means',100,2,12),
(100364,10123996,'Grants a total of 1 trigger of the spell.',100,2,13),
(100365,152441,'When Equipped:',100,0,0),
(100366,152441,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(100367,10152441,'When Equipped:',100,0,0),
(100368,10152441,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(100369,120141,'Decreases STR and INT of target by 43.1',100,1,0),
(100370,120141,'Increases STR and INT of caster by 43.1',100,1,1),
(100371,10120141,'Decreases STR and INT of target by 43.1',100,1,0),
(100372,10120141,'Increases STR and INT of caster by 43.1',100,1,1),
(100373,119569,'Increases power of caster by 8 instantly and every 4 seconds',100,1,0),
(100374,10119569,'Increases power of caster by 8 instantly and every 4 seconds',100,1,0),
(100375,37562,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(100376,135729,'When Equipped:',100,0,0),
(100377,135729,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(100378,135729,'Applies Rapid Casting when Activated.  Lasts for 20.0 seconds.',100,0,2),
(100379,135729,'Increases Ability Casting Speed of caster by 50.0%',100,1,3),
(100380,135729,'Dispelled when target casts a spell',100,1,4),
(100381,135729,'Must be engaged in pvp combat',100,1,5),
(100382,135729,'The reuse time of Rapid Casting is 3 minutes',100,1,6),
(100383,10135729,'When Equipped:',100,0,0),
(100384,10135729,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(100385,10135729,'Applies Rapid Casting when Activated.  Lasts for 20.0 seconds.',100,0,2),
(100386,10135729,'Increases Ability Casting Speed of caster by 50.0%',100,1,3),
(100387,10135729,'Dispelled when target casts a spell',100,1,4),
(100388,10135729,'Must be engaged in pvp combat',100,1,5),
(100389,10135729,'The reuse time of Rapid Casting is 3 minutes',100,1,6),
(100390,47337,'Applies What''s Inside?! when Activated.',100,0,0),
(100391,10047337,'Applies What''s Inside?! when Activated.',100,0,0),
(100392,144252,'When Equipped:',100,0,0),
(100393,144252,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(100394,144252,'Increases Potency of caster by 5.0%',100,2,2),
(100395,144252,'Cannot be modified except by direct means',100,2,3),
(100396,10144252,'When Equipped:',100,0,0),
(100397,10144252,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(100398,10144252,'Increases Potency of caster by 5.0%',100,2,2),
(100399,10144252,'Cannot be modified except by direct means',100,2,3),
(100400,110271,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(100401,110271,'Slows target by 31.4%',100,2,1),
(100402,110271,'5% chance to dispel when target receives hostile action',100,2,2),
(100403,110271,'5% chance to dispel when target takes damage',100,2,3),
(100404,110271,'Decreases Mitigation of target vs arcane damage by 218',100,1,4),
(100405,10110271,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(100406,10110271,'Slows target by 31.4%',100,2,1),
(100407,10110271,'5% chance to dispel when target receives hostile action',100,2,2),
(100408,10110271,'5% chance to dispel when target takes damage',100,2,3),
(100409,10110271,'Decreases Mitigation of target vs arcane damage by 218',100,1,4),
(100410,106330,'Decreases INT and STR of target by 58.5',100,1,0),
(100411,10106330,'Decreases INT and STR of target by 58.5',100,1,0),
(100412,80832,'When Equipped:',100,0,0),
(100413,80832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100414,80832,'Inflicts 230 - 427 magic damage on target',100,2,2),
(100415,80832,'Cannot be modified except by direct means',100,2,3),
(100416,10080832,'When Equipped:',100,0,0),
(100417,10080832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100418,10080832,'Inflicts 322 - 598 magic damage on target',100,2,2),
(100419,10080832,'Cannot be modified except by direct means',100,2,3),
(100420,117201,'Inflicts 39 - 65 melee damage on target',100,1,0),
(100421,117201,'Inflicts 39 - 65 melee damage on target',100,1,1),
(100422,10117201,'Inflicts 50 - 84 melee damage on target',100,1,0),
(100423,10117201,'Inflicts 50 - 84 melee damage on target',100,1,1),
(100424,159697,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(100425,159697,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(100426,159697,'Heals target for 63 instantly and every 4 seconds',100,2,2),
(100427,159697,'Cannot be modified except by direct means',100,2,3),
(100428,10159697,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(100429,10159697,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(100430,10159697,'Heals target for 41 instantly and every 4 seconds',100,2,2),
(100431,10159697,'Cannot be modified except by direct means',100,2,3),
(100432,116445,'Inflicts 67 disease damage on target instantly and every 4 seconds',100,1,0),
(100433,116445,'Inflicts 67 disease damage on target instantly and every 4 seconds',100,1,1),
(100434,116445,'If target is nightblood',100,2,2),
(100435,116445,'Inflicts 67 disease damage on target instantly and every 4 seconds',100,1,3),
(100436,116445,'If target is shadowed folk',100,2,4),
(100437,10116445,'Inflicts 94 disease damage on target instantly and every 4 seconds',100,1,0),
(100438,35178,'Increases STA of target by 1.6',100,0,0),
(100439,35178,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(100440,123037,'Summons 12 limited pets to aid the caster',100,1,0),
(100441,10123037,'Summons 12 limited pets to aid the caster',100,1,0),
(100442,114423,'Mesmerizes target',100,1,0),
(100443,114423,'Prevents AOE (except when direct) ',100,1,1),
(100444,114423,'Dispelled when target takes damage',100,1,2),
(100445,114423,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(100446,114423,'Resistibility increases against targets higher than level 95.',100,1,4),
(100447,10114423,'Mesmerizes target',100,1,0),
(100448,10114423,'Prevents AOE (except when direct) ',100,1,1),
(100449,10114423,'Dispelled when target takes damage',100,1,2),
(100450,10114423,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(100451,10114423,'Resistibility increases against targets higher than level 95.',100,1,4),
(100452,100319,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(100453,100319,'Inflicts 423 divine damage on target',100,2,1),
(100454,10100319,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(100455,10100319,'Inflicts 592 divine damage on target',100,2,1),
(100456,51320,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(100457,51320,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(100458,51320,'Inflicts 29 heat damage on target',100,2,2),
(100459,51320,'Cannot be modified except by direct means',100,2,3),
(100460,10051320,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(100461,10051320,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(100462,10051320,'Inflicts 40 heat damage on target',100,2,2),
(100463,10051320,'Cannot be modified except by direct means',100,2,3),
(100464,174722,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(100465,174722,'Decreases Mitigation of target vs physical damage by 761',100,1,1),
(100466,174722,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(100467,10174722,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(100468,10174722,'Decreases Mitigation of target vs physical damage by 761',100,1,1),
(100469,10174722,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(100470,176649,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(100471,176649,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(100472,176649,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(100473,10176649,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(100474,10176649,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(100475,10176649,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(100476,110794,'Inflicts 10 - 14 mental damage on target',100,1,0),
(100477,110794,'Interrupts target',100,1,1),
(100478,10110794,'Inflicts 14 - 19 mental damage on target',100,1,0),
(100479,10110794,'Interrupts target',100,1,1),
(100480,112495,'Decreases AGI and WIS of target by 87.1',100,1,0),
(100481,10112495,'Decreases AGI and WIS of target by 87.1',100,1,0),
(100482,148410,'When Equipped:',100,0,0),
(100483,148410,'Increases Attack Speed of caster by 45.0',100,1,1),
(100484,10148410,'When Equipped:',100,0,0),
(100485,10148410,'Increases Attack Speed of caster by 45.0',100,1,1),
(100486,165138,'When Equipped:',100,0,0),
(100487,165138,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(100488,165138,'Increases power of caster by 183',100,2,2),
(100489,165138,'Cannot be modified except by direct means',100,2,3),
(100490,10165138,'When Equipped:',100,0,0),
(100491,10165138,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(100492,10165138,'Increases power of caster by 183',100,2,2),
(100493,10165138,'Cannot be modified except by direct means',100,2,3),
(100494,48657,'Applies Baelin''s Refreshment  when Activated.',100,0,0),
(100495,48657,'Heals caster for 24',100,1,1),
(100496,10048657,'Applies Baelin''s Refreshment  when Activated.',100,0,0),
(100497,10048657,'Heals caster for 15',100,1,1),
(100498,108299,'Inflicts 15 - 26 divine damage on target',100,1,0),
(100499,108299,'Heals caster for 7',100,1,1),
(100500,108299,'This effect cannot be critically applied.',100,2,2),
(100501,108299,'The healing of this spell cannot be modified except by direct means',100,1,3),
(100502,10108299,'Inflicts 20 - 34 divine damage on target',100,1,0),
(100503,10108299,'Heals target for 3',100,1,1),
(100504,10108299,'This effect cannot be critically applied.',100,2,2),
(100505,10108299,'The healing of this spell cannot be modified except by direct means',100,1,3),
(100506,102728,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(100509,102728,'Inflicts 36 - 47 divine damage on target',100,2,1),
(100512,10102728,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(100513,10102728,'Stuns target',100,2,1),
(100514,10102728,'Inflicts 82 - 136 divine damage on target',100,2,2),
(100515,10102728,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(100516,183290,'Applies Flesh to Ice when Activated.  Lasts for 1 minute.',100,0,0),
(100517,183290,'Shapechanges target into an ice golem',100,1,1),
(100518,183290,'When damaged with a melee weapon this spell will cast Ice Burn on target''s attacker.  ',100,1,2),
(100519,183290,'Inflicts 31 cold damage on target',100,2,3),
(100520,183290,'Cannot be modified except by direct means',100,2,4),
(100521,183290,'The casting time of Flesh to Ice is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,5),
(100522,10183290,'Applies Flesh to Ice when Activated.  Lasts for 1 minute.',100,0,0),
(100523,10183290,'Shapechanges target into an ice golem',100,1,1),
(100524,10183290,'When damaged with a melee weapon this spell will cast Ice Burn on target''s attacker.  ',100,1,2),
(100525,10183290,'Inflicts 44 cold damage on target',100,2,3),
(100526,10183290,'Cannot be modified except by direct means',100,2,4),
(100527,10183290,'The casting time of Flesh to Ice is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,5),
(100528,110912,'Inflicts 35 - 59 divine damage on target',100,1,0),
(100529,110912,'Increases Threat to target by 288 ',100,1,1),
(100530,110912,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(100531,110912,'Stuns target',100,2,3),
(100532,110912,'Throws target back',100,2,4),
(100533,110912,'Blurs vision of target',100,2,5),
(100534,110912,'Does not affect Epic targets',100,2,6),
(100535,10110912,'Inflicts 46 - 77 divine damage on target',100,1,0),
(100536,10110912,'Prevents target from changing targets',100,1,1),
(100537,10110912,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(100538,10110912,'Stuns target',100,2,3),
(100539,10110912,'Throws target back',100,2,4),
(100540,10110912,'Blurs vision of target',100,2,5),
(100541,10110912,'Does not affect Epic targets',100,2,6),
(100542,10110912,'Forces target to change their selected target to caster.',100,1,7),
(100543,115166,'Heals target for 160 - 195',100,1,0),
(100544,10115166,'Heals target for 216 - 264',100,1,0),
(100545,104410,'Stifles target encounter',100,1,0),
(100546,104410,'Inflicts 246 - 301 mental damage on target encounter instantly and every second',100,1,1),
(100547,104410,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(100548,104410,'Resistibility increases against targets higher than level 79.',100,1,3),
(100549,10104410,'Stifles target encounter',100,1,0),
(100550,10104410,'Inflicts 320 - 392 mental damage on target encounter instantly and every 0.4 seconds',100,1,1),
(100551,10104410,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(100552,10104410,'Resistibility increases against targets higher than level 79.',100,1,3),
(100553,101981,'Inflicts 1204 - 2236 heat damage on target',100,1,0),
(100554,10101981,'Inflicts 1686 - 3131 heat damage on target',100,1,0),
(100555,117513,'Increases AGI, INT and WIS of group members (AE) by 10.8',100,1,0),
(100556,117513,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 43',100,1,1),
(100557,10117513,'Increases AGI, INT and WIS of group members (AE) by 10.8',100,1,0),
(100558,10117513,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 43',100,1,1),
(100559,150182,'When Equipped:',100,0,0),
(100560,150182,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(100561,150182,'Increases power of caster by 142',100,2,2),
(100562,150182,'Cannot be modified except by direct means',100,2,3),
(100563,10150182,'When Equipped:',100,0,0),
(100564,10150182,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(100565,10150182,'Increases power of caster by 142',100,2,2),
(100566,10150182,'Cannot be modified except by direct means',100,2,3),
(100567,24668,'Adds Ravasect (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(100568,10024668,'Adds Ravasect (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(100569,141948,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(100570,141948,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(100571,141948,'Inflicts 86 heat damage on target',100,2,2),
(100572,141948,'Cannot be modified except by direct means',100,2,3),
(100573,10141948,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(100574,10141948,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(100575,10141948,'Inflicts 121 heat damage on target',100,2,2),
(100576,10141948,'Cannot be modified except by direct means',100,2,3),
(100577,87447,'When Equipped:',100,0,0),
(100578,87447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100579,87447,'Inflicts 38 - 56 magic damage on target',100,2,2),
(100580,87447,'Cannot be modified except by direct means',100,2,3),
(100581,10087447,'When Equipped:',100,0,0),
(100582,10087447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100583,10087447,'Inflicts 53 - 79 magic damage on target',100,2,2),
(100584,10087447,'Cannot be modified except by direct means',100,2,3),
(100585,102929,'Inflicts 40 - 48 disease damage on target instantly and every 4 seconds',100,1,0),
(100586,10102929,'Inflicts 72 - 88 disease damage on target',100,1,0),
(100587,10102929,'Inflicts 55 - 68 disease damage on target every 4 seconds',100,1,1),
(100588,105808,'Inflicts 981 - 1199 heat damage on target',100,1,0),
(100589,10105808,'Inflicts 1831 - 2238 heat damage on target',100,1,0),
(100590,24256,'Adds Cyclops (Warden) to your Dungeon Maker toolbox',100,0,0),
(100591,10024256,'Adds Cyclops (Warden) to your Dungeon Maker toolbox',100,0,0),
(100592,173437,'When Equipped:',100,0,0),
(100593,173437,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(100594,173437,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(100595,173437,'Increases WIS and INT of caster by 44.0',100,2,3),
(100596,173437,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(100597,173437,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(100598,173437,'Must not be engaged in pvp combat',100,2,6),
(100599,173437,'Cannot be modified except by direct means',100,2,7),
(100600,173437,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(100601,173437,'Increases WIS and INT of caster by 44.0',100,2,9),
(100602,173437,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(100603,173437,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(100604,173437,'Must not be engaged in pvp combat',100,2,12),
(100605,173437,'Cannot be modified except by direct means',100,2,13),
(100606,173437,'Cannot be modified except by direct means',100,1,14),
(100607,10173437,'When Equipped:',100,0,0),
(100608,10173437,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(100609,10173437,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(100610,10173437,'Increases WIS and INT of caster by 44.0',100,2,3),
(100611,10173437,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(100612,10173437,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(100613,10173437,'Must not be engaged in pvp combat',100,2,6),
(100614,10173437,'Cannot be modified except by direct means',100,2,7),
(100615,10173437,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(100616,10173437,'Increases WIS and INT of caster by 44.0',100,2,9),
(100617,10173437,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(100618,10173437,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(100619,10173437,'Must not be engaged in pvp combat',100,2,12),
(100620,10173437,'Cannot be modified except by direct means',100,2,13),
(100621,10173437,'Cannot be modified except by direct means',100,1,14),
(100622,46133,'Applies Courage of the Truthbringer when Activated.',100,0,0),
(100623,46133,'Inflicts 112.5% of max health in divine damage on target',100,1,1),
(100624,46133,'If target is Aspect of Fear',100,1,2),
(100625,10046133,'Applies Courage of the Truthbringer when Activated.',100,0,0),
(100626,10046133,'Inflicts 157.5% of max health in divine damage on target',100,1,1),
(100627,10046133,'If target is Aspect of Fear',100,1,2),
(100628,123946,'Increases STR and WIS of target by 159.4',100,1,0),
(100629,123946,'Increases Mitigation of target vs elemental, noxious and arcane damage by 478',100,1,1),
(100630,10123946,'Increases STR and WIS of target by 159.4',100,1,0),
(100631,10123946,'Increases Mitigation of target vs elemental, noxious and arcane damage by 478',100,1,1),
(100632,106709,'Heals target for 178 - 217',100,1,0),
(100633,10106709,'Heals target for 209 - 255',100,1,0),
(100634,36591,'Increases Max Power of target by 4.1',100,0,0),
(100635,36591,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(100636,25877,'When Equipped:',100,0,0),
(100637,25877,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(100638,25877,'Reduces the penalties of Torpor III by 50% and adds an additional tick.',100,1,2),
(100639,10025877,'When Equipped:',100,0,0),
(100640,10025877,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(100641,10025877,'Reduces the penalties of Torpor III by 50% and adds an additional tick.',100,1,2),
(100642,87543,'Applies Lightning Shock when Activated.',100,0,0),
(100643,87543,'Inflicts 227 - 379 magic damage on target',100,1,1),
(100644,87543,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(100645,10087543,'Applies Lightning Shock when Activated.',100,0,0),
(100646,10087543,'Inflicts 318 - 531 magic damage on target',100,1,1),
(100647,10087543,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(100648,74670,'When Equipped:',100,0,0),
(100649,74670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100650,74670,'Inflicts 57 - 86 magic damage on target',100,2,2),
(100651,74670,'Cannot be modified except by direct means',100,2,3),
(100652,10074670,'When Equipped:',100,0,0),
(100653,10074670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100654,10074670,'Inflicts 80 - 120 magic damage on target',100,2,2),
(100655,10074670,'Cannot be modified except by direct means',100,2,3),
(100656,102512,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(100657,102512,'Increases Aggression of caster by 3.8',100,1,1),
(100658,102512,'Increases Defense and Parry of caster by 7.6',100,1,2),
(100659,102512,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(100660,10102512,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(100661,10102512,'Increases Aggression of caster by 3.8',100,1,1),
(100662,10102512,'Increases Defense and Parry of caster by 7.6',100,1,2),
(100663,10102512,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(100664,26727,'When Equipped:',100,0,0),
(100665,26727,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(100666,26727,'On a critical healing spell cast this spell may cast Greater  Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(100667,26727,'Increases Potency of caster by 12.0%',100,2,3),
(100668,26727,'Must not be engaged in pvp combat',100,2,4),
(100669,26727,'Cannot be modified except by direct means',100,2,5),
(100670,26727,'On a critical combat hit this spell may cast Greater  Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(100671,26727,'Increases Potency of caster by 12.0%',100,2,7),
(100672,26727,'Must not be engaged in pvp combat',100,2,8),
(100673,26727,'Cannot be modified except by direct means',100,2,9),
(100674,26727,'On a critical spell hit this spell may cast Greater  Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(100675,26727,'Increases Potency of caster by 12.0%',100,2,11),
(100676,26727,'Must not be engaged in pvp combat',100,2,12),
(100677,26727,'Cannot be modified except by direct means',100,2,13),
(100678,26727,'Must not be engaged in pvp combat',100,1,14),
(100679,10026727,'When Equipped:',100,0,0),
(100680,10026727,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(100681,10026727,'On a critical healing spell cast this spell may cast Greater  Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(100682,10026727,'Increases Potency of caster by 12.0%',100,2,3),
(100683,10026727,'Must not be engaged in pvp combat',100,2,4),
(100684,10026727,'Cannot be modified except by direct means',100,2,5),
(100685,10026727,'On a critical combat hit this spell may cast Greater  Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(100686,10026727,'Increases Potency of caster by 12.0%',100,2,7),
(100687,10026727,'Must not be engaged in pvp combat',100,2,8),
(100688,10026727,'Cannot be modified except by direct means',100,2,9),
(100689,10026727,'On a critical spell hit this spell may cast Greater  Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(100690,10026727,'Increases Potency of caster by 12.0%',100,2,11),
(100691,10026727,'Must not be engaged in pvp combat',100,2,12),
(100692,10026727,'Cannot be modified except by direct means',100,2,13),
(100693,10026727,'Must not be engaged in pvp combat',100,1,14),
(100694,83437,'When Equipped:',100,0,0),
(100695,83437,'On a combat hit this spell may cast Bloody Cleave on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100696,83437,'Inflicts 262 - 437 slashing damage on target',100,2,2),
(100697,83437,'Cannot be modified except by direct means',100,2,3),
(100698,10083437,'When Equipped:',100,0,0),
(100699,10083437,'On a combat hit this spell may cast Bloody Cleave on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100700,10083437,'Inflicts 367 - 612 slashing damage on target',100,2,2),
(100701,10083437,'Cannot be modified except by direct means',100,2,3),
(100702,159575,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(100703,159575,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(100704,159575,'Inflicts 24 heat damage on target',100,2,2),
(100705,159575,'Cannot be modified except by direct means',100,2,3),
(100706,10159575,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(100707,10159575,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(100708,10159575,'Inflicts 33 heat damage on target',100,2,2),
(100709,10159575,'Cannot be modified except by direct means',100,2,3),
(100710,138350,'When Equipped:',100,0,0),
(100711,138350,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(100712,138350,'Inflicts 1199 piercing damage on target',100,2,2),
(100713,138350,'Cannot be modified except by direct means',100,2,3),
(100714,10138350,'When Equipped:',100,0,0),
(100715,10138350,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(100716,10138350,'Inflicts 839 piercing damage on target',100,2,2),
(100717,10138350,'Cannot be modified except by direct means',100,2,3),
(100718,112448,'Mesmerizes target',100,1,0),
(100719,112448,'Prevents AOE (except when direct) ',100,1,1),
(100720,112448,'Dispelled when target takes damage',100,1,2),
(100721,112448,'Does not affect Epic targets',100,1,3),
(100722,112448,'Resistibility increases against targets higher than level 95.',100,1,4),
(100723,10112448,'Mesmerizes target',100,1,0),
(100724,10112448,'Prevents AOE (except when direct) ',100,1,1),
(100725,10112448,'Dispelled when target takes damage',100,1,2),
(100726,10112448,'Does not affect Epic targets',100,1,3),
(100727,10112448,'Resistibility increases against targets higher than level 95.',100,1,4),
(100728,114983,'Inflicts 145 - 243 ranged damage on targets in area',100,1,0),
(100729,114983,'You must be in stealth to use this!',100,1,1),
(100730,114983,'Requires bow',100,1,2),
(100731,10114983,'Inflicts 123 - 206 ranged damage on targets in area',100,1,0),
(100732,10114983,'You must be in stealth to use this!',100,1,1),
(100733,10114983,'Requires bow',100,1,2),
(100734,155695,'When Equipped:',100,0,0),
(100735,155695,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(100736,155695,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(100737,155695,'Must not be engaged in pvp combat',100,2,3),
(100738,155695,'Cannot be modified except by direct means',100,2,4),
(100739,155695,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(100740,155695,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(100741,155695,'Must not be engaged in pvp combat',100,2,7),
(100742,155695,'Cannot be modified except by direct means',100,2,8),
(100743,155695,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(100744,155695,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(100745,155695,'Must not be engaged in pvp combat',100,2,11),
(100746,155695,'Cannot be modified except by direct means',100,2,12),
(100747,155695,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(100748,155695,'Inflicts 27 piercing damage on target',100,2,14),
(100749,155695,'Must not be engaged in pvp combat',100,2,15),
(100750,155695,'Cannot be modified except by direct means',100,2,16),
(100751,10155695,'When Equipped:',100,0,0),
(100752,10155695,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(100753,10155695,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(100754,10155695,'Must not be engaged in pvp combat',100,2,3),
(100755,10155695,'Cannot be modified except by direct means',100,2,4),
(100756,10155695,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(100757,10155695,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(100758,10155695,'Must not be engaged in pvp combat',100,2,7),
(100759,10155695,'Cannot be modified except by direct means',100,2,8),
(100760,10155695,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(100761,10155695,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(100762,10155695,'Must not be engaged in pvp combat',100,2,11),
(100763,10155695,'Cannot be modified except by direct means',100,2,12),
(100764,10155695,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(100765,10155695,'Inflicts 37 piercing damage on target',100,2,14),
(100766,10155695,'Must not be engaged in pvp combat',100,2,15),
(100767,10155695,'Cannot be modified except by direct means',100,2,16),
(100768,177732,'When Equipped:',100,0,0),
(100769,177732,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(100770,177732,'Increases STA of caster by 8.8',100,2,2),
(100771,177732,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(100772,177732,'Cannot be modified except by direct means',100,2,4),
(100773,10177732,'When Equipped:',100,0,0),
(100774,10177732,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(100775,10177732,'Increases STA of caster by 8.8',100,2,2),
(100776,10177732,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(100777,10177732,'Cannot be modified except by direct means',100,2,4),
(100778,70320,'When Equipped:',100,0,0),
(100779,70320,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100780,70320,'Inflicts 194 - 323 magic damage on target',100,2,2),
(100781,70320,'Cannot be modified except by direct means',100,2,3),
(100782,10070320,'When Equipped:',100,0,0),
(100783,10070320,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(100784,10070320,'Inflicts 271 - 452 magic damage on target',100,2,2),
(100785,10070320,'Cannot be modified except by direct means',100,2,3),
(100786,106654,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(100787,106654,'Increases Mitigation of caster vs physical damage by 336',100,2,1),
(100788,106654,'Decreases Mitigation of target encounter vs physical damage by 1920',100,1,2),
(100789,10106654,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(100790,10106654,'Increases Mitigation of caster vs physical damage by 336',100,2,1),
(100791,10106654,'Decreases Mitigation of target encounter vs physical damage by 1920',100,1,2),
(100792,119658,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(100793,119658,'Stuns target',100,2,1),
(100794,119658,'Throws target back',100,2,2),
(100795,119658,'Blurs vision of target',100,2,3),
(100796,119658,'Does not affect Epic targets',100,2,4),
(100797,119658,'Inflicts 179 - 537 melee damage on target',100,1,5),
(100798,10119658,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(100799,10119658,'Stuns target',100,2,1),
(100800,10119658,'Throws target back',100,2,2),
(100801,10119658,'Blurs vision of target',100,2,3),
(100802,10119658,'Does not affect Epic targets',100,2,4),
(100803,10119658,'Inflicts 232 - 698 melee damage on target',100,1,5),
(100804,80511,'When Equipped:',100,0,0),
(100805,80511,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100806,80511,'Decreases Threat to target by 1,219 ',100,2,2),
(100807,80511,'Must be flanking or behind',100,3,3),
(100808,80511,'Increases Threat to target by 1,219 ',100,2,4),
(100809,80511,'Must be in front of',100,3,5),
(100810,80511,'Inflicts 424 - 788 magic damage on target',100,2,6),
(100811,80511,'Cannot be modified except by direct means',100,2,7),
(100812,10080511,'When Equipped:',100,0,0),
(100813,10080511,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100814,10080511,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(100815,10080511,'Cannot be modified except by direct means',100,2,3),
(100816,159530,'Applies Lambent Imbued when Equipped.',100,0,0),
(100817,159530,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(100818,159530,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(100819,159530,'Cannot be modified except by direct means',100,2,3),
(100820,10159530,'Applies Lambent Imbued when Equipped.',100,0,0),
(100821,10159530,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(100822,10159530,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(100823,10159530,'Cannot be modified except by direct means',100,2,3),
(100824,109144,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(100825,109144,'Heals target for 1123 - 1373',100,2,1),
(100826,109144,'Grants a total of 8 triggers of the spell.',100,2,2),
(100827,10109144,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(100828,10109144,'Heals target for 730 - 892',100,2,1),
(100829,10109144,'Grants a total of 8 triggers of the spell.',100,2,2),
(100830,165427,'When Equipped:',100,0,0),
(100831,165427,'Grants See Invisibility to caster',100,1,1),
(100832,10165427,'When Equipped:',100,0,0),
(100833,10165427,'Grants See Invisibility to caster',100,1,1),
(100834,117709,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(100835,117709,'Adds 1.0% to base avoidance.',100,1,1),
(100836,10117709,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(100837,10117709,'Adds 1.0% to base avoidance.',100,1,1),
(100838,82149,'When Equipped:',100,0,0),
(100839,82149,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100840,82149,'Decreases Threat to target by 641 ',100,2,2),
(100841,82149,'Must be flanking or behind',100,3,3),
(100842,82149,'Increases Threat to target by 641 ',100,2,4),
(100843,82149,'Must be in front of',100,3,5),
(100844,82149,'Inflicts 182 - 339 magic damage on target',100,2,6),
(100845,82149,'Cannot be modified except by direct means',100,2,7),
(100846,10082149,'When Equipped:',100,0,0),
(100847,10082149,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(100848,10082149,'Inflicts 255 - 474 magic damage on target',100,2,2),
(100849,10082149,'Cannot be modified except by direct means',100,2,3),
(100850,100003,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(100851,100003,'Inflicts 7 - 12 melee damage on targets in area',100,2,1),
(100852,100003,'Decreases Defense of caster by 1.8',100,1,2),
(100853,100003,'Increases Slashing, Piercing and Crushing of caster by 2.6',100,1,3),
(100854,10100003,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(100855,10100003,'Inflicts 9 - 16 melee damage on targets in area',100,2,1),
(100856,10100003,'Decreases Defense of caster by 1.8',100,1,2),
(100857,10100003,'Increases Slashing, Piercing and Crushing of caster by 2.6',100,1,3),
(100858,46418,'Applies Form of the Life Leech when Activated.',100,0,0),
(100859,46418,'Shapechanges caster into an a life leech',100,1,1),
(100860,10046418,'Applies Form of the Life Leech when Activated.',100,0,0),
(100861,10046418,'Shapechanges caster into an a life leech',100,1,1),
(100862,71695,'When Equipped:',100,0,0),
(100863,71695,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100864,71695,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(100865,71695,'Cannot be modified except by direct means',100,2,3),
(100866,10071695,'When Equipped:',100,0,0),
(100867,10071695,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100868,10071695,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(100869,10071695,'Cannot be modified except by direct means',100,2,3),
(100870,101692,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(100871,101692,'Inflicts 279 - 341 disease damage on target',100,2,1),
(100872,101692,'Grants a total of 3 triggers of the spell.',100,2,2),
(100873,10101692,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(100874,10101692,'Inflicts 390 - 477 disease damage on target',100,2,1),
(100875,10101692,'Grants a total of 3 triggers of the spell.',100,2,2),
(100876,106257,'Wards target against 571 points of all damage',100,1,0),
(100877,10106257,'Wards target against 571 points of all damage',100,1,0),
(100878,37237,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(100879,37237,'This effect suspends during combat',100,0,1),
(100880,25624,'When Equipped:',100,0,0),
(100881,25624,'Adds 6% Riposte Chance to Crouching Tiger VII.',100,1,1),
(100882,25624,'Requires Monk',100,1,2),
(100883,25624,'Adds 8% Crit Bonus to Flow Like Wind VII.',100,1,3),
(100884,25624,'Adds 4% Crit Bonus and 3% Riposte Chance to Black Widow Stance IV.',100,1,4),
(100885,10025624,'When Equipped:',100,0,0),
(100886,10025624,'Adds 6% Riposte Chance to Crouching Tiger VII.',100,1,1),
(100887,10025624,'Requires Monk',100,1,2),
(100888,10025624,'Adds 8% Crit Bonus to Flow Like Wind VII.',100,1,3),
(100889,10025624,'Adds 4% Crit Bonus and 3% Riposte Chance to Black Widow Stance IV.',100,1,4),
(100890,80068,'When Equipped:',100,0,0),
(100891,80068,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(100892,80068,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,2),
(100893,80068,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,3),
(100894,80068,'Increases Hate Gain of group members (AE) by 5.0%',100,2,4),
(100895,80068,'If fighter',100,3,5),
(100896,80068,'Inflicts 1022 - 1130 heat damage on target encounter instantly and every 2 seconds',100,2,6),
(100897,80068,'Decreases Hate Gain of group members (AE) by 5.0%',100,2,7),
(100898,80068,'If not fighter',100,3,8),
(100899,80068,'Increases Attack Speed of group members (AE) by 20.0',100,2,9),
(100900,80068,'Must not be engaged in pvp combat',100,2,10),
(100901,80068,'Cannot be modified except by direct means',100,2,11),
(100902,80068,'Must not be engaged in pvp combat',100,1,12),
(100903,10080068,'When Equipped:',100,0,0),
(100904,10080068,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(100905,10080068,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,2),
(100906,10080068,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,3),
(100907,10080068,'Inflicts 1431 - 1582 heat damage on target encounter instantly and every 2 seconds',100,2,4),
(100908,10080068,'Increases Attack Speed of group members (AE) by 20.0',100,2,5),
(100909,10080068,'Must not be engaged in pvp combat',100,2,6),
(100910,10080068,'Cannot be modified except by direct means',100,2,7),
(100911,10080068,'Must not be engaged in pvp combat',100,1,8),
(100912,191806,'When Equipped:',100,0,0),
(100913,191806,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(100914,191806,'When Equipped:',100,0,2),
(100915,191806,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(100916,10191806,'When Equipped:',100,0,0),
(100917,10191806,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(100918,10191806,'When Equipped:',100,0,2),
(100919,10191806,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(100920,123213,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(100921,123213,'Inflicts 115 - 140 disease damage on target',100,2,1),
(100922,123213,'Heals caster for 2.5 - 3.0% of max health',100,2,2),
(100923,123213,'This effect cannot be critically applied.',100,3,3),
(100924,123213,'The healing of this spell cannot be modified except by direct means',100,2,4),
(100925,123213,'Grants a total of 5 triggers of the spell.',100,2,5),
(100926,10123213,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(100927,10123213,'Inflicts 161 - 196 disease damage on target',100,2,1),
(100928,10123213,'Heals caster for 0.9 - 1.1% of max health',100,2,2),
(100929,10123213,'This effect cannot be critically applied.',100,3,3),
(100930,10123213,'The healing of this spell cannot be modified except by direct means',100,2,4),
(100931,10123213,'Grants a total of 5 triggers of the spell.',100,2,5),
(100932,112392,'Increases Crushing, Piercing, Slashing and Ranged of target by 35.6',100,1,0),
(100933,112392,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(100934,112392,'Inflicts 347 - 424 piercing damage on target',100,2,2),
(100935,112392,'Inflicts 173 - 212 piercing damage on target every 3 seconds',100,2,3),
(100936,10112392,'Increases Crushing, Piercing, Slashing and Ranged of target by 35.6',100,1,0),
(100937,10112392,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(100938,10112392,'Inflicts 485 - 593 piercing damage on target',100,2,2),
(100939,10112392,'Inflicts 243 - 297 piercing damage on target every 3 seconds',100,2,3),
(100940,104918,'Inflicts 378 - 630 ranged damage on target',100,1,0),
(100941,104918,'Decreases Deflection and Parry of target by 28.6',100,1,1),
(100942,104918,'Requires bow',100,1,2),
(100943,10104918,'Inflicts 321 - 535 ranged damage on target',100,1,0),
(100944,10104918,'Decreases Deflection and Parry of target by 28.6',100,1,1),
(100945,10104918,'Requires bow',100,1,2),
(100946,116277,'Summons a pet Illusion Ally',100,1,0),
(100947,10116277,'Summons a pet Illusion Ally',100,1,0),
(100948,78986,'When Equipped:',100,0,0),
(100949,78986,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(100950,10078986,'When Equipped:',100,0,0),
(100951,10078986,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(100952,116835,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(100953,116835,'Inflicts 183 - 224 mental damage on target',100,2,1),
(100954,116835,'Grants a total of 3 triggers of the spell.',100,2,2),
(100955,10116835,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(100956,10116835,'Inflicts 256 - 313 mental damage on target',100,2,1),
(100957,10116835,'Grants a total of 3 triggers of the spell.',100,2,2),
(100958,24269,'Adds Decrease Tier III (Multiple) to your Dungeon Maker toolbox',100,0,0),
(100959,10024269,'Adds Decrease Tier III (Multiple) to your Dungeon Maker toolbox',100,0,0),
(100960,122035,'Increases Threat to target by 160 - 196 ',100,1,0),
(100961,122035,'Inflicts 23 - 39 melee damage on target',100,1,1),
(100962,10122035,'Forces target to change their selected target to caster.',100,1,0),
(100963,10122035,'Inflicts 30 - 51 melee damage on target',100,1,1),
(100964,112689,'Increases Parry of group members (AE) by 29.7',100,1,0),
(100965,10112689,'Increases Parry of group members (AE) by 29.7',100,1,0),
(100966,106839,'Decreases Crushing, Piercing, Slashing and Ranged of target by 27.0',100,1,0),
(100967,10106839,'Decreases Crushing, Piercing, Slashing and Ranged of target by 27.0',100,1,0),
(100968,71738,'When Equipped:',100,0,0),
(100969,71738,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100970,71738,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(100971,71738,'Cannot be modified except by direct means',100,2,3),
(100972,10071738,'When Equipped:',100,0,0),
(100973,10071738,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(100974,10071738,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(100975,10071738,'Cannot be modified except by direct means',100,2,3),
(100976,118367,'Inflicts 147 - 245 melee damage on target',100,1,0),
(100977,118367,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(100978,118367,'Stuns target',100,2,2),
(100979,118367,'Blurs vision of target',100,2,3),
(100980,118367,'Throws target back',100,2,4),
(100981,118367,'Does not affect Epic targets',100,2,5),
(100982,10118367,'Inflicts 191 - 318 melee damage on target',100,1,0),
(100983,10118367,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(100984,10118367,'Stuns target',100,2,2),
(100985,10118367,'Throws target back',100,2,3),
(100986,10118367,'Blurs vision of target',100,2,4),
(100987,10118367,'Does not affect Epic targets',100,2,5),
(100988,47467,'Applies Call Unicorn when Activated.',100,0,0),
(100989,47467,'Summons a mount to ride',100,1,1),
(100990,47467,'Increases your ground speed by 130%',100,2,2),
(100991,47467,'Increases Fishing, Transmuting, Gathering, Mining, Trapping and Foresting of caster by 47.5',100,1,3),
(100992,10047467,'Applies Call Unicorn when Activated.',100,0,0),
(100993,10047467,'Summons a mount to ride',100,1,1),
(100994,10047467,'Increases your ground speed by 130%',100,2,2),
(100995,10047467,'Increases Fishing, Transmuting, Gathering, Mining, Trapping and Foresting of caster by 47.5',100,1,3),
(100996,103142,'Throws target back',100,1,0),
(100997,103142,'If Target is not Epic',100,2,1),
(100998,103142,'Inflicts 5 - 16 crushing damage on target',100,1,2),
(100999,103142,'Stuns target',100,1,3),
(101000,103142,'If Target is not Epic',100,2,4),
(101001,103142,'Resistibility increases against targets higher than level 31.',100,1,5),
(101002,10103142,'Throws target back',100,1,0),
(101003,10103142,'If Target is not Epic',100,2,1),
(101004,10103142,'Inflicts 7 - 21 crushing damage on target',100,1,2),
(101005,10103142,'Stuns target',100,1,3),
(101006,10103142,'If Target is not Epic',100,2,4),
(101007,10103142,'Resistibility increases against targets higher than level 31.',100,1,5),
(101008,118475,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(101009,118475,'Inflicts 49 - 59 heat damage on target instantly and every second',100,2,1),
(101010,10118475,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(101011,10118475,'Inflicts 68 - 83 heat damage on target instantly and every second',100,2,1),
(101012,106820,'Decreases STR and AGI of target encounter by 163.2',100,1,0),
(101013,10106820,'Decreases STR and AGI of target encounter by 163.2',100,1,0),
(101014,48886,'Applies Shielding of Dragonkind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(101015,48886,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(101016,48886,'Inflicts 27 magic damage on target',100,2,2),
(101017,48886,'Cannot be modified except by direct means',100,2,3),
(101018,10048886,'Applies Shielding of Dragonkind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(101019,10048886,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(101020,10048886,'Inflicts 38 magic damage on target',100,2,2),
(101021,10048886,'Cannot be modified except by direct means',100,2,3),
(101022,123306,'Increases STA of raid and group members (AE) by 12.3',100,1,0),
(101023,123306,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(101024,10123306,'Increases STA of raid and group members (AE) by 12.3',100,1,0),
(101025,10123306,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(101026,104545,'Increases Threat to target by 764 - 934  instantly and by 152 - 186  every 2 seconds thereafter',100,1,0),
(101027,10104545,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(101028,121918,'Inflicts 216 - 360 mental damage on target encounter',100,1,0),
(101029,121918,'Increases power of group members (AE) by 134 - 223',100,1,1),
(101030,10121918,'Inflicts 302 - 503 mental damage on target encounter',100,1,0),
(101031,10121918,'Increases power of group members (AE) by 134 - 223',100,1,1),
(101032,71463,'When Equipped:',100,0,0),
(101033,71463,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101034,71463,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(101035,71463,'Cannot be modified except by direct means',100,2,3),
(101036,10071463,'When Equipped:',100,0,0),
(101037,10071463,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101038,10071463,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(101039,10071463,'Cannot be modified except by direct means',100,2,3),
(101040,121415,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(101041,121415,'Slows target by 36.5%',100,2,1),
(101042,121415,'5% chance to dispel when target receives hostile action',100,2,2),
(101043,121415,'5% chance to dispel when target takes damage',100,2,3),
(101044,121415,'Inflicts 56 - 94 ranged damage on target',100,1,4),
(101045,121415,'Inflicts 56 - 94 ranged damage on target',100,1,5),
(101046,121415,'If weapon equipped in Ranged',100,1,6),
(101047,10121415,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(101048,10121415,'Slows target by 36.5%',100,2,1),
(101049,10121415,'5% chance to dispel when target receives hostile action',100,2,2),
(101050,10121415,'5% chance to dispel when target takes damage',100,2,3),
(101051,10121415,'Inflicts 48 - 80 ranged damage on target',100,1,4),
(101052,10121415,'Inflicts 48 - 80 ranged damage on target',100,1,5),
(101053,10121415,'If weapon equipped in Ranged',100,1,6),
(101054,35495,'Increases Max Health of target by 5.0',100,0,0),
(101055,35495,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(101056,24222,'Adds Crushbone: Spiked Sconce to your Dungeon Maker toolbox',100,0,0),
(101057,10024222,'Adds Crushbone: Spiked Sconce to your Dungeon Maker toolbox',100,0,0),
(101058,71953,'When Equipped:',100,0,0),
(101059,71953,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101060,71953,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(101061,71953,'Cannot be modified except by direct means',100,2,3),
(101062,10071953,'When Equipped:',100,0,0),
(101063,10071953,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101064,10071953,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(101065,10071953,'Cannot be modified except by direct means',100,2,3),
(101066,169110,'When Equipped:',100,0,0),
(101067,169110,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(101068,10169110,'When Equipped:',100,0,0),
(101069,10169110,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(101070,35988,'Increases Max Power of target by 4.1',100,0,0),
(101071,35988,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(101072,121018,'Wards group members (AE) against 22 points of physical damage',100,1,0),
(101073,121018,'Increases Mitigation of group members (AE) vs physical damage by 174',100,1,1),
(101074,10121018,'Wards group members (AE) against 22 points of physical damage',100,1,0),
(101075,10121018,'Increases Mitigation of group members (AE) vs physical damage by 174',100,1,1),
(101076,48455,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(101077,48455,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(101078,48455,'Inflicts 139 poison damage on target',100,2,2),
(101079,48455,'Inflicts 122 poison damage on target instantly and every 6 seconds',100,2,3),
(101080,48455,'Cannot be modified except by direct means',100,2,4),
(101081,48455,'Grants a total of 200 triggers of the spell.',100,2,5),
(101082,10048455,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(101083,10048455,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(101084,10048455,'Inflicts 146 poison damage on target',100,2,2),
(101085,10048455,'Inflicts 128 poison damage on target instantly and every 6 seconds',100,2,3),
(101086,10048455,'Cannot be modified except by direct means',100,2,4),
(101087,10048455,'Grants a total of 200 triggers of the spell.',100,2,5),
(101088,26739,'When Equipped:',100,0,0),
(101089,26739,'\\#FF0000If adorned on the same item, this effect will not stack with itself. \\/c',100,1,1),
(101090,26739,'On a critical combat hit this spell may cast Greater  Velium Flames I on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(101091,26739,'Inflicts 5249 - 5801 heat damage on target',100,2,3),
(101092,26739,'Must not be engaged in pvp combat',100,2,4),
(101093,26739,'Cannot be modified except by direct means',100,2,5),
(101094,26739,'On a critical spell hit this spell may cast Greater  Velium Flames I on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(101095,26739,'Inflicts 5249 - 5801 heat damage on target',100,2,7),
(101096,26739,'Must not be engaged in pvp combat',100,2,8),
(101097,26739,'Cannot be modified except by direct means',100,2,9),
(101098,26739,'Must not be engaged in pvp combat',100,1,10),
(101099,10026739,'When Equipped:',100,0,0),
(101100,10026739,'\\#FF0000If adorned on the same item, this effect will not stack with itself. \\/c',100,1,1),
(101101,10026739,'On a critical combat hit this spell may cast Greater  Velium Flames I on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(101102,10026739,'Inflicts 7348 - 8122 heat damage on target',100,2,3),
(101103,10026739,'Must not be engaged in pvp combat',100,2,4),
(101104,10026739,'Cannot be modified except by direct means',100,2,5),
(101105,10026739,'On a critical spell hit this spell may cast Greater  Velium Flames I on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(101106,10026739,'Inflicts 7348 - 8122 heat damage on target',100,2,7),
(101107,10026739,'Must not be engaged in pvp combat',100,2,8),
(101108,10026739,'Cannot be modified except by direct means',100,2,9),
(101109,10026739,'Must not be engaged in pvp combat',100,1,10),
(101110,159212,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(101111,159212,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(101112,159212,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(101113,159212,'Cannot be modified except by direct means',100,2,3),
(101114,10159212,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(101115,10159212,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(101116,10159212,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(101117,10159212,'Cannot be modified except by direct means',100,2,3),
(101118,159541,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(101119,159541,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(101120,159541,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(101121,159541,'Cannot be modified except by direct means',100,2,3),
(101122,10159541,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(101123,10159541,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(101124,10159541,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(101125,10159541,'Cannot be modified except by direct means',100,2,3),
(101126,100369,'Increases Max Health of target by 1,001.6',100,1,0),
(101127,100369,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.3',100,1,1),
(101128,10100369,'Increases Max Health of target by 1,001.6',100,1,0),
(101129,10100369,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.3',100,1,1),
(101130,163566,'When Equipped:',100,0,0),
(101131,163566,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(101132,10163566,'When Equipped:',100,0,0),
(101133,10163566,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(101134,108007,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(101135,108007,'Increases Mitigation of group members (AE) vs elemental damage by 1015',100,1,1),
(101136,10108007,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(101137,10108007,'Increases Mitigation of group members (AE) vs elemental damage by 1015',100,1,1),
(101138,74803,'When Equipped:',100,0,0),
(101139,74803,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101140,74803,'Inflicts 113 - 170 magic damage on target',100,2,2),
(101141,74803,'Cannot be modified except by direct means',100,2,3),
(101142,10074803,'When Equipped:',100,0,0),
(101143,10074803,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101144,10074803,'Inflicts 158 - 237 magic damage on target',100,2,2),
(101145,10074803,'Cannot be modified except by direct means',100,2,3),
(101146,75542,'Applies Disease Blast when Activated.',100,0,0),
(101147,75542,'Inflicts 115 - 191 disease damage on target',100,1,1),
(101148,75542,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(101149,10075542,'Applies Disease Blast when Activated.',100,0,0),
(101150,10075542,'Inflicts 161 - 268 disease damage on target',100,1,1),
(101151,10075542,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(101152,45885,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(101153,45885,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(101154,45885,'Requires 24 Health to cast.',100,1,2),
(101155,10045885,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(101156,10045885,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(101157,10045885,'Requires 24 Health to cast.',100,1,2),
(101158,47968,'Applies Overclocked Tools when Equipped.',100,0,0),
(101159,47968,'Increases success chance by 5.0%',100,1,1),
(101160,10047968,'Applies Overclocked Tools when Equipped.',100,0,0),
(101161,10047968,'Increases success chance by 5.0%',100,1,1),
(101162,118164,'Inflicts 694 - 1158 melee damage on target',100,1,0),
(101163,118164,'Dazes target',100,1,1),
(101164,118164,'If Target is not Epic',100,2,2),
(101165,118164,'Resistibility increases against targets higher than level 97.',100,1,3),
(101166,10118164,'Inflicts 903 - 1505 melee damage on target',100,1,0),
(101167,10118164,'Dazes target',100,1,1),
(101168,10118164,'If Target is not Epic',100,2,2),
(101169,10118164,'Resistibility increases against targets higher than level 97.',100,1,3),
(101170,81310,'When Equipped:',100,0,0),
(101171,81310,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101172,81310,'Inflicts 270 - 502 magic damage on target',100,2,2),
(101173,81310,'Cannot be modified except by direct means',100,2,3),
(101174,10081310,'When Equipped:',100,0,0),
(101175,10081310,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101176,10081310,'Inflicts 378 - 703 magic damage on target',100,2,2),
(101177,10081310,'Cannot be modified except by direct means',100,2,3),
(101178,159884,'Applies Lambent Imbued when Equipped.',100,0,0),
(101179,159884,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(101180,159884,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(101181,159884,'Cannot be modified except by direct means',100,2,3),
(101182,10159884,'Applies Lambent Imbued when Equipped.',100,0,0),
(101183,10159884,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(101184,10159884,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(101185,10159884,'Cannot be modified except by direct means',100,2,3),
(101186,135179,'When Equipped:',100,0,0),
(101187,135179,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(101188,135179,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(101189,135179,'Cannot be modified except by direct means',100,2,3),
(101190,10135179,'When Equipped:',100,0,0),
(101191,10135179,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(101192,10135179,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(101193,10135179,'Cannot be modified except by direct means',100,2,3),
(101194,81622,'When Equipped:',100,0,0),
(101195,81622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101196,81622,'Inflicts 146 - 271 magic damage on target',100,2,2),
(101197,81622,'Cannot be modified except by direct means',100,2,3),
(101198,10081622,'When Equipped:',100,0,0),
(101199,10081622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101200,10081622,'Inflicts 204 - 379 magic damage on target',100,2,2),
(101201,10081622,'Cannot be modified except by direct means',100,2,3),
(101202,45508,'Applies Chiller Bomb when Activated.  Lasts for 36.0 seconds.',100,0,0),
(101203,45508,'Inflicts 4714 cold damage on targets in Area of Effect',100,1,1),
(101204,45508,'Slows targets in Area of Effect by 46.2%',100,1,2),
(101205,10045508,'Applies Chiller Bomb when Activated.  Lasts for 36.0 seconds.',100,0,0),
(101206,10045508,'Inflicts 6599 cold damage on targets in Area of Effect',100,1,1),
(101207,10045508,'Slows targets in Area of Effect by 46.2%',100,1,2),
(101208,139395,'When Equipped:',100,0,0),
(101209,139395,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(101210,139395,'Increases damage done by combat arts by up to 500.',100,2,2),
(101211,139395,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(101212,139395,'Cannot be modified except by direct means',100,2,4),
(101213,139395,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(101214,139395,'Increases damage done by combat arts by up to 500.',100,2,6),
(101215,139395,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(101216,139395,'Cannot be modified except by direct means',100,2,8),
(101217,139395,'Cannot be modified except by direct means',100,1,9),
(101218,10139395,'When Equipped:',100,0,0),
(101219,10139395,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(101220,10139395,'Increases damage done by combat arts by up to 500.',100,2,2),
(101221,10139395,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(101222,10139395,'Cannot be modified except by direct means',100,2,4),
(101223,10139395,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(101224,10139395,'Increases damage done by combat arts by up to 500.',100,2,6),
(101225,10139395,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(101226,10139395,'Cannot be modified except by direct means',100,2,8),
(101227,10139395,'Cannot be modified except by direct means',100,1,9),
(101228,103285,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(101229,103285,'If Fighter',100,2,1),
(101230,103285,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(101231,103285,'Increases power of target by 17 instantly and every 4 seconds',100,2,3),
(101232,103285,'Increases power of caster by 17 instantly and every 4 seconds',100,2,4),
(101233,10103285,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(101234,10103285,'Increases power of target by 17 instantly and every 4 seconds',100,2,1),
(101235,10103285,'Increases power of caster by 17 instantly and every 4 seconds',100,2,2),
(101236,108713,'Inflicts 293 heat damage on target',100,1,0),
(101237,108713,'Inflicts 65 heat damage on target every 4 seconds',100,1,1),
(101238,10108713,'Inflicts 574 heat damage on target',100,1,0),
(101239,10108713,'Inflicts 92 heat damage on target every 4 seconds',100,1,1),
(101240,35694,'Increases Max Power of target by 4.1',100,0,0),
(101241,35694,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(101242,123797,'Inflicts 20 - 34 magic damage on target',100,1,0),
(101243,123797,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(101244,123797,'Decreases Defense of target by 6.6',100,1,2),
(101245,123797,'Target will lose 13% more power when power is consumed',100,1,3),
(101246,123797,'13% of target''s power consumed will also be drained from target''s health',100,1,4),
(101247,10123797,'Inflicts 29 - 48 magic damage on target',100,1,0),
(101248,10123797,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(101249,10123797,'Decreases Defense of target by 6.6',100,1,2),
(101250,10123797,'Target will lose 13% more power when power is consumed',100,1,3),
(101251,10123797,'13% of target''s power consumed will also be drained from target''s health',100,1,4),
(101252,47413,'Applies Throw Fun Disk when Activated.',100,0,0),
(101253,47413,'Tosses the Fun Disk to your friend.  It''s fun for the entire family!',100,1,1),
(101254,10047413,'Applies Throw Fun Disk when Activated.',100,0,0),
(101255,10047413,'Tosses the Fun Disk to your friend.  It''s fun for the entire family!',100,1,1),
(101256,107867,'Decreases Mitigation of target vs elemental damage by 1560',100,1,0),
(101257,107867,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(101258,107867,'Slows target by 51.6%',100,2,2),
(101259,107867,'5% chance to dispel when target receives hostile action',100,2,3),
(101260,107867,'5% chance to dispel when target takes damage',100,2,4),
(101261,10107867,'Decreases Mitigation of target vs elemental damage by 1560',100,1,0),
(101262,10107867,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(101263,10107867,'Slows target by 51.6%',100,2,2),
(101264,10107867,'5% chance to dispel when target receives hostile action',100,2,3),
(101265,10107867,'5% chance to dispel when target takes damage',100,2,4),
(101266,164852,'When Equipped:',100,0,0),
(101267,164852,'On a damage spell hit this spell may cast Arcane Languid Pace V on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(101268,164852,'Decreases Attack Speed of target by 14.0',100,2,2),
(101269,164852,'Cannot be modified except by direct means',100,2,3),
(101270,10164852,'When Equipped:',100,0,0),
(101271,10164852,'On a damage spell hit this spell may cast Arcane Languid Pace V on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(101272,10164852,'Decreases Attack Speed of target by 14.0',100,2,2),
(101273,10164852,'Cannot be modified except by direct means',100,2,3),
(101274,107489,'Inflicts 469 - 1406 magic damage on targets in Area of Effect',100,1,0),
(101275,107489,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(101276,107489,'Blurs vision of target',100,2,2),
(101277,107489,'Stuns target',100,2,3),
(101278,107489,'Throws target back',100,2,4),
(101279,107489,'Does not affect Epic targets',100,2,5),
(101280,10107489,'Inflicts 656 - 1968 magic damage on targets in Area of Effect',100,1,0),
(101281,10107489,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(101282,10107489,'Stuns target',100,2,2),
(101283,10107489,'Throws target back',100,2,3),
(101284,10107489,'Blurs vision of target',100,2,4),
(101285,10107489,'Does not affect Epic targets',100,2,5),
(101286,120268,'Inflicts 674 - 1123 crushing damage on target',100,1,0),
(101287,10120268,'Inflicts 876 - 1461 crushing damage on target',100,1,0),
(101288,115825,'Inflicts 36 disease damage on target every 3 seconds',100,1,0),
(101289,115825,'Inflicts 135 - 225 melee damage on target',100,1,1),
(101290,115825,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(101291,115825,'Heals caster for 1.3% of max health instantly and every 3 seconds',100,2,3),
(101292,115825,'This effect cannot be critically applied.',100,3,4),
(101293,115825,'The healing of this spell cannot be modified except by direct means',100,2,5),
(101294,115825,'The healing of this spell cannot be modified except by direct means',100,1,6),
(101295,10115825,'Inflicts 50 disease damage on target every 3 seconds',100,1,0),
(101296,10115825,'Inflicts 175 - 292 melee damage on target',100,1,1),
(101297,10115825,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(101298,10115825,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(101299,10115825,'This effect cannot be critically applied.',100,3,4),
(101300,10115825,'The healing of this spell cannot be modified except by direct means',100,2,5),
(101301,10115825,'The healing of this spell cannot be modified except by direct means',100,1,6),
(101302,113214,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(101303,113214,'Inflicts 89 magic damage on target',100,2,1),
(101304,113214,'Grants a total of 5 triggers of the spell.',100,2,2),
(101305,10113214,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(101306,10113214,'Inflicts 124 magic damage on target',100,2,1),
(101307,10113214,'Grants a total of 5 triggers of the spell.',100,2,2),
(101308,35476,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(101309,35476,'This effect suspends during combat',100,0,1),
(101310,159703,'When Equipped:',100,0,0),
(101311,159703,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(101312,159703,'Increases STA of caster by 16.3',100,2,2),
(101313,159703,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(101314,159703,'Cannot be modified except by direct means',100,2,4),
(101315,10159703,'When Equipped:',100,0,0),
(101316,10159703,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(101317,10159703,'Increases STA of caster by 16.3',100,2,2),
(101318,10159703,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(101319,10159703,'Cannot be modified except by direct means',100,2,4),
(101320,85329,'Applies Poison Bolt when Activated.',100,0,0),
(101321,85329,'Inflicts 93 - 155 poison damage on target',100,1,1),
(101322,85329,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(101323,10085329,'Applies Poison Bolt when Activated.',100,0,0),
(101324,10085329,'Inflicts 130 - 216 poison damage on target',100,1,1),
(101325,10085329,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(101326,111465,'Decreases Attack Speed of caster by 18.9',100,1,0),
(101327,111465,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(101328,111465,'Roots target',100,2,2),
(101329,111465,'5% chance to dispel when target takes damage',100,2,3),
(101330,111465,'5% chance to dispel when target receives hostile action',100,2,4),
(101331,111465,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(101332,111465,'Increases Mitigation of caster vs physical damage by 1072',100,1,6),
(101333,10111465,'Decreases Attack Speed of caster by 18.9',100,1,0),
(101334,10111465,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(101335,10111465,'Roots target',100,2,2),
(101336,10111465,'5% chance to dispel when target takes damage',100,2,3),
(101337,10111465,'5% chance to dispel when target receives hostile action',100,2,4),
(101338,10111465,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(101339,10111465,'Increases Mitigation of caster vs physical damage by 1072',100,1,6),
(101340,49028,'Applies Geonid Focus when Activated.',100,0,0),
(101341,10049028,'Applies Geonid Focus when Activated.',100,0,0),
(101342,159197,'Applies Sanguine Imbued when Equipped.',100,0,0),
(101343,159197,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(101344,159197,'Inflicts 51 heat damage on target',100,2,2),
(101345,159197,'Cannot be modified except by direct means',100,2,3),
(101346,10159197,'Applies Sanguine Imbued when Equipped.',100,0,0),
(101347,10159197,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(101348,10159197,'Inflicts 71 heat damage on target',100,2,2),
(101349,10159197,'Cannot be modified except by direct means',100,2,3),
(101350,139468,'When Equipped:',100,0,0),
(101351,139468,'Increases success chance by 1.4%',100,1,1),
(101352,10139468,'When Equipped:',100,0,0),
(101353,10139468,'Increases success chance by 1.4%',100,1,1),
(101354,52699,'Applies Sanguine Imbued when Equipped.',100,0,0),
(101355,52699,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(101356,52699,'Inflicts 160 heat damage on target',100,2,2),
(101357,52699,'Cannot be modified except by direct means',100,2,3),
(101358,10052699,'Applies Sanguine Imbued when Equipped.',100,0,0),
(101359,10052699,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(101360,10052699,'Inflicts 224 heat damage on target',100,2,2),
(101361,10052699,'Cannot be modified except by direct means',100,2,3),
(101362,86503,'Applies Holy Strike when Activated.',100,0,0),
(101363,86503,'Inflicts 227 - 379 divine damage on target',100,1,1),
(101364,86503,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(101365,10086503,'Applies Holy Strike when Activated.',100,0,0),
(101366,10086503,'Inflicts 318 - 531 divine damage on target',100,1,1),
(101367,10086503,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(101368,151881,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(101369,151881,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(101370,151881,'Cannot be modified except by direct means',100,1,2),
(101371,10151881,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(101372,10151881,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(101373,10151881,'Cannot be modified except by direct means',100,1,2),
(101374,118464,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(101375,118464,'Inflicts 30 - 36 heat damage on target instantly and every second',100,2,1),
(101376,10118464,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(101377,10118464,'Inflicts 41 - 51 heat damage on target instantly and every second',100,2,1),
(101378,116987,'Inflicts 3 - 11 melee damage on target',100,1,0),
(101379,10116987,'Inflicts 4 - 14 melee damage on target',100,1,0),
(101380,189067,'When Equipped:',100,0,0),
(101381,189067,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(101382,189067,'Inflicts 1199 disease damage on target encounter',100,2,2),
(101383,189067,'Must not be engaged in pvp combat',100,2,3),
(101384,189067,'Cannot be modified except by direct means',100,2,4),
(101385,10189067,'When Equipped:',100,0,0),
(101386,10189067,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(101387,10189067,'Inflicts 839 disease damage on target encounter',100,2,2),
(101388,10189067,'Must not be engaged in pvp combat',100,2,3),
(101389,10189067,'Cannot be modified except by direct means',100,2,4),
(101390,74690,'When Equipped:',100,0,0),
(101391,74690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101392,74690,'Inflicts 155 - 233 magic damage on target',100,2,2),
(101393,74690,'Cannot be modified except by direct means',100,2,3),
(101394,10074690,'When Equipped:',100,0,0),
(101395,10074690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101396,10074690,'Inflicts 218 - 327 magic damage on target',100,2,2),
(101397,10074690,'Cannot be modified except by direct means',100,2,3),
(101398,118028,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(101399,118028,'Stuns target',100,2,1),
(101400,118028,'If Target is not Epic',100,3,2),
(101401,118028,'Inflicts 153 - 255 divine damage on target',100,2,3),
(101402,118028,'Grants a total of 3 triggers of the spell.',100,2,4),
(101403,10118028,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(101404,10118028,'Stuns target',100,2,1),
(101405,10118028,'If Target is not Epic',100,3,2),
(101406,10118028,'Inflicts 214 - 357 divine damage on target',100,2,3),
(101407,10118028,'Grants a total of 3 triggers of the spell.',100,2,4),
(101408,114294,'Heals target for 287 - 350',100,1,0),
(101409,10114294,'Heals target for 337 - 412',100,1,0),
(101410,35100,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(101411,35100,'This effect suspends during combat',100,0,1),
(101412,101211,'Inflicts 191 - 319 cold damage on target',100,1,0),
(101413,101211,'Dazes target',100,1,1),
(101414,101211,'If Target is not Epic',100,2,2),
(101415,101211,'Resistibility increases against targets higher than level 73.',100,1,3),
(101416,10101211,'Inflicts 249 - 415 cold damage on target',100,1,0),
(101417,10101211,'Dazes target',100,1,1),
(101418,10101211,'If Target is not Epic',100,2,2),
(101419,10101211,'Resistibility increases against targets higher than level 73.',100,1,3),
(101420,109076,'Inflicts 151 - 253 melee damage on target',100,1,0),
(101421,109076,'Inflicts 151 - 253 melee damage on target',100,1,1),
(101422,109076,'Inflicts 151 - 253 melee damage on target',100,1,2),
(101423,109076,'Decreases Mitigation of target vs physical damage by 504',100,1,3),
(101424,10109076,'Inflicts 197 - 329 melee damage on target',100,1,0),
(101425,10109076,'Inflicts 197 - 329 melee damage on target',100,1,1),
(101426,10109076,'Inflicts 197 - 329 melee damage on target',100,1,2),
(101427,10109076,'Decreases Mitigation of target vs physical damage by 504',100,1,3),
(101428,49198,'Applies Zek''s Blessing when Activated.',100,0,0),
(101429,49198,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(101430,10049198,'Applies Zek''s Blessing when Activated.',100,0,0),
(101431,10049198,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(101432,49002,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(101433,49002,'Increases Piercing, Disruption, Ministration and Ranged of caster by 5.0',100,1,1),
(101434,49002,'Summons a mount to ride',100,1,2),
(101435,49002,'Increases your ground speed by 135%',100,2,3),
(101436,49002,'Increases Focus, Ordination, Subjugation, Aggression, Crushing and Slashing of caster by 5.0',100,1,4),
(101437,10049002,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(101438,10049002,'Increases Piercing, Disruption, Ministration and Ranged of caster by 5.0',100,1,1),
(101439,10049002,'Summons a mount to ride',100,1,2),
(101440,10049002,'Increases your ground speed by 135%',100,2,3),
(101441,10049002,'Increases Focus, Ordination, Subjugation, Aggression, Crushing and Slashing of caster by 5.0',100,1,4),
(101442,176101,'Applies Flames of the Gathering when Activated.',100,0,0),
(101443,176101,'Send fireworks into the sky!',100,1,1),
(101444,176101,'The casting time of Flames of the Gathering is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(101445,10176101,'Applies Flames of the Gathering when Activated.',100,0,0),
(101446,10176101,'Send fireworks into the sky!',100,1,1),
(101447,10176101,'The casting time of Flames of the Gathering is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(101448,121152,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(101449,121152,'Increases Hate Gain of caster by 5.0%',100,2,1),
(101450,121152,'Increases Attack Speed of caster by 44.3',100,2,2),
(101451,121152,'Dispelled when target takes damage',100,2,3),
(101452,10121152,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(101453,10121152,'Increases Attack Speed of caster by 44.3',100,2,1),
(101454,10121152,'Dispelled when target takes damage',100,2,2),
(101455,115797,'Inflicts 1 disease damage on target every 3 seconds',100,1,0),
(101456,115797,'Inflicts 4 - 8 melee damage on target',100,1,1),
(101457,115797,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(101458,115797,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(101459,115797,'This effect cannot be critically applied.',100,3,4),
(101460,115797,'The healing of this spell cannot be modified except by direct means',100,2,5),
(101461,115797,'The healing of this spell cannot be modified except by direct means',100,1,6),
(101462,10115797,'Inflicts 2 disease damage on target every 3 seconds',100,1,0),
(101463,10115797,'Inflicts 6 - 10 melee damage on target',100,1,1),
(101464,10115797,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(101465,10115797,'Heals caster for 1 instantly and every 3 seconds',100,2,3),
(101466,10115797,'This effect cannot be critically applied.',100,3,4),
(101467,10115797,'The healing of this spell cannot be modified except by direct means',100,2,5),
(101468,10115797,'The healing of this spell cannot be modified except by direct means',100,1,6),
(101469,105150,'Increases AGI of caster by 24.6',100,1,0),
(101470,105150,'Adds 1.5% to base avoidance.',100,1,1),
(101471,105150,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(101472,105150,'Increases Parry of caster by 14.4',100,1,3),
(101473,105150,'Increases Defense of caster by 19.2',100,1,4),
(101474,10105150,'Increases AGI of caster by 24.6',100,1,0),
(101475,10105150,'Adds 1.5% to base avoidance.',100,1,1),
(101476,10105150,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(101477,10105150,'Increases Parry of caster by 14.4',100,1,3),
(101478,10105150,'Increases Defense of caster by 19.2',100,1,4),
(101479,109697,'Inflicts 206 - 252 cold damage on target instantly and every 3 seconds',100,1,0),
(101480,10109697,'Inflicts 289 - 353 cold damage on target instantly and every 3 seconds',100,1,0),
(101481,108113,'Decreases Threat to target by 1,174 - 1,957 ',100,1,0),
(101482,10108113,'Forces target to clear their selected target.',100,1,0),
(101483,10108113,'Target cannot target caster for the duration of this effect.',100,1,1),
(101484,35069,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(101485,74582,'When Equipped:',100,0,0),
(101486,74582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101487,74582,'Inflicts 179 - 268 magic damage on target',100,2,2),
(101488,74582,'Cannot be modified except by direct means',100,2,3),
(101489,10074582,'When Equipped:',100,0,0),
(101490,10074582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101491,10074582,'Inflicts 250 - 376 magic damage on target',100,2,2),
(101492,10074582,'Cannot be modified except by direct means',100,2,3),
(101493,111849,'Inflicts 627 - 1045 melee damage on target',100,1,0),
(101494,111849,'Roots target',100,1,1),
(101495,111849,'If Target is not Epic',100,2,2),
(101496,111849,'Resistibility increases against targets higher than level 108.',100,1,3),
(101497,10111849,'Inflicts 735 - 1225 melee damage on target',100,1,0),
(101498,10111849,'Roots target',100,1,1),
(101499,10111849,'If Target is not Epic',100,2,2),
(101500,10111849,'Resistibility increases against targets higher than level 108.',100,1,3),
(101501,42584,'When Equipped:',100,0,0),
(101502,42584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101503,42584,'Inflicts 38 - 56 magic damage on target',100,2,2),
(101504,42584,'Cannot be modified except by direct means',100,2,3),
(101505,10042584,'When Equipped:',100,0,0),
(101506,10042584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101507,10042584,'Inflicts 53 - 79 magic damage on target',100,2,2),
(101508,10042584,'Cannot be modified except by direct means',100,2,3),
(101509,40605,'When Equipped:',100,0,0),
(101510,40605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101511,40605,'Inflicts 57 - 86 magic damage on target',100,2,2),
(101512,40605,'Cannot be modified except by direct means',100,2,3),
(101513,10040605,'When Equipped:',100,0,0),
(101514,10040605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101515,10040605,'Inflicts 80 - 120 magic damage on target',100,2,2),
(101516,10040605,'Cannot be modified except by direct means',100,2,3),
(101517,115540,'Increases Mitigation of raid and group members (AE) vs noxious damage by 524',100,1,0),
(101518,10115540,'Increases Mitigation of raid and group members (AE) vs noxious damage by 524',100,1,0),
(101519,100216,'Increases Threat to target encounter by 706 - 863 ',100,1,0),
(101520,100216,'Interrupts target encounter',100,1,1),
(101521,10100216,'Interrupts target encounter',100,1,0),
(101522,10100216,'Forces target encounter to change their selected target to caster.',100,1,1),
(101523,10100216,'Prevents target encounter from changing targets',100,1,2),
(101524,119904,'Increases INT and WIS of group members (AE) by 16.6',100,1,0),
(101525,10119904,'Increases INT and WIS of group members (AE) by 16.6',100,1,0),
(101526,104579,'Inflicts 514 - 856 disease damage on target',100,1,0),
(101527,104579,'Decreases WIS of target by 134.6',100,1,1),
(101528,10104579,'Inflicts 668 - 1113 disease damage on target',100,1,0),
(101529,10104579,'Decreases WIS of target by 134.6',100,1,1),
(101530,104291,'Inflicts 144 - 241 melee damage on target',100,1,0),
(101531,104291,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(101532,104291,'Stuns target',100,2,2),
(101533,104291,'Throws target back',100,2,3),
(101534,104291,'Blurs vision of target',100,2,4),
(101535,104291,'Does not affect Epic targets',100,2,5),
(101536,10104291,'Inflicts 188 - 313 melee damage on target',100,1,0),
(101537,10104291,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(101538,10104291,'Stuns target',100,2,2),
(101539,10104291,'Throws target back',100,2,3),
(101540,10104291,'Blurs vision of target',100,2,4),
(101541,10104291,'Does not affect Epic targets',100,2,5),
(101542,117071,'Inflicts 343 - 571 melee damage on target',100,1,0),
(101543,117071,'Decreases Attack Speed of target by 23.9',100,1,1),
(101544,10117071,'Inflicts 446 - 743 melee damage on target',100,1,0),
(101545,10117071,'Decreases Attack Speed of target by 23.9',100,1,1),
(101546,48884,'Applies Scintillation Potion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(101547,48884,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(101548,48884,'Inflicts 26 magic damage on target',100,2,2),
(101549,48884,'Cannot be modified except by direct means',100,2,3),
(101550,10048884,'Applies Scintillation Potion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(101551,10048884,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(101552,10048884,'Inflicts 36 magic damage on target',100,2,2),
(101553,10048884,'Cannot be modified except by direct means',100,2,3),
(101554,145007,'When Equipped:',100,0,0),
(101555,145007,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(101556,145007,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(101557,145007,'Increases Potency of caster by 11.0%',100,2,3),
(101558,145007,'Increases Ministration and Disruption of caster by 11.5',100,2,4),
(101559,145007,'Reduces resistibility of all spells by 1%.',100,2,5),
(101560,145007,'Increases Ordination and Subjugation of caster by 11.5',100,2,6),
(101561,145007,'Must not be engaged in pvp combat',100,2,7),
(101562,145007,'Cannot be modified except by direct means',100,2,8),
(101563,145007,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(101564,145007,'Increases Potency of caster by 11.0%',100,2,10),
(101565,145007,'Increases Ministration and Disruption of caster by 11.5',100,2,11),
(101566,145007,'Reduces resistibility of all spells by 1%.',100,2,12),
(101567,145007,'Increases Ordination and Subjugation of caster by 11.5',100,2,13),
(101568,145007,'Must not be engaged in pvp combat',100,2,14),
(101569,145007,'Cannot be modified except by direct means',100,2,15),
(101570,145007,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(101571,145007,'Increases Potency of caster by 11.0%',100,2,17),
(101572,145007,'Increases Ministration and Disruption of caster by 11.5',100,2,18),
(101573,145007,'Reduces resistibility of all spells by 1%.',100,2,19),
(101574,145007,'Increases Ordination and Subjugation of caster by 11.5',100,2,20),
(101575,145007,'Must not be engaged in pvp combat',100,2,21),
(101576,145007,'Cannot be modified except by direct means',100,2,22),
(101577,145007,'Cannot be modified except by direct means',100,1,23),
(101578,10145007,'When Equipped:',100,0,0),
(101579,10145007,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(101580,10145007,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(101581,10145007,'Increases Potency of caster by 11.0%',100,2,3),
(101582,10145007,'Increases Ministration and Disruption of caster by 11.5',100,2,4),
(101583,10145007,'Reduces resistibility of all spells by 1%.',100,2,5),
(101584,10145007,'Increases Ordination and Subjugation of caster by 11.5',100,2,6),
(101585,10145007,'Must not be engaged in pvp combat',100,2,7),
(101586,10145007,'Cannot be modified except by direct means',100,2,8),
(101587,10145007,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(101588,10145007,'Increases Potency of caster by 11.0%',100,2,10),
(101589,10145007,'Increases Ministration and Disruption of caster by 11.5',100,2,11),
(101590,10145007,'Reduces resistibility of all spells by 1%.',100,2,12),
(101591,10145007,'Increases Ordination and Subjugation of caster by 11.5',100,2,13),
(101592,10145007,'Must not be engaged in pvp combat',100,2,14),
(101593,10145007,'Cannot be modified except by direct means',100,2,15),
(101594,10145007,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(101595,10145007,'Increases Potency of caster by 11.0%',100,2,17),
(101596,10145007,'Increases Ministration and Disruption of caster by 11.5',100,2,18),
(101597,10145007,'Reduces resistibility of all spells by 1%.',100,2,19),
(101598,10145007,'Increases Ordination and Subjugation of caster by 11.5',100,2,20),
(101599,10145007,'Must not be engaged in pvp combat',100,2,21),
(101600,10145007,'Cannot be modified except by direct means',100,2,22),
(101601,10145007,'Cannot be modified except by direct means',100,1,23),
(101602,115160,'Heals target for 107 - 131',100,1,0),
(101603,10115160,'Heals target for 145 - 177',100,1,0),
(101604,109390,'Inflicts 281 - 845 melee damage on target',100,1,0),
(101605,109390,'Inflicts 352 - 1056 melee damage on target',100,1,1),
(101606,109390,'Inflicts 422 - 1268 melee damage on target',100,1,2),
(101607,10109390,'Inflicts 366 - 1099 melee damage on target',100,1,0),
(101608,10109390,'Inflicts 457 - 1373 melee damage on target',100,1,1),
(101609,10109390,'Inflicts 549 - 1648 melee damage on target',100,1,2),
(101610,82914,'When Equipped:',100,0,0),
(101611,82914,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(101612,82914,'Decreases Threat to target by 833 ',100,2,2),
(101613,82914,'Must be flanking or behind',100,3,3),
(101614,82914,'Increases Threat to target by 833 ',100,2,4),
(101615,82914,'Must be in front of',100,3,5),
(101616,82914,'Inflicts 301 - 560 magic damage on target',100,2,6),
(101617,82914,'Cannot be modified except by direct means',100,2,7),
(101618,10082914,'When Equipped:',100,0,0),
(101619,10082914,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(101620,10082914,'Inflicts 422 - 783 magic damage on target',100,2,2),
(101621,10082914,'Cannot be modified except by direct means',100,2,3),
(101622,88287,'When Equipped:',100,0,0),
(101623,88287,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101624,88287,'Inflicts 106 - 177 poison damage on target every 4.8 seconds',100,2,2),
(101625,88287,'Cannot be modified except by direct means',100,2,3),
(101626,10088287,'When Equipped:',100,0,0),
(101627,10088287,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101628,10088287,'Inflicts 149 - 248 poison damage on target every 4.8 seconds',100,2,2),
(101629,10088287,'Cannot be modified except by direct means',100,2,3),
(101630,187305,'When Equipped:',100,0,0),
(101631,187305,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(101632,187305,'Inflicts 32 divine damage on target',100,2,2),
(101633,187305,'Cannot be modified except by direct means',100,2,3),
(101634,10187305,'When Equipped:',100,0,0),
(101635,10187305,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(101636,10187305,'Inflicts 45 divine damage on target',100,2,2),
(101637,10187305,'Cannot be modified except by direct means',100,2,3),
(101638,120996,'Inflicts 227 - 378 poison damage on target',100,1,0),
(101639,120996,'Inflicts 57 - 95 poison damage on target instantly and every 4 seconds',100,1,1),
(101640,10120996,'Inflicts 295 - 492 poison damage on target',100,1,0),
(101641,10120996,'Inflicts 80 - 133 poison damage on target instantly and every 4 seconds',100,1,1),
(101642,159949,'When Equipped:',100,0,0),
(101643,159949,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(101644,159949,'Increases STA of caster by 21.4',100,2,2),
(101645,159949,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(101646,159949,'Cannot be modified except by direct means',100,2,4),
(101647,10159949,'When Equipped:',100,0,0),
(101648,10159949,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(101649,10159949,'Increases STA of caster by 21.4',100,2,2),
(101650,10159949,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(101651,10159949,'Cannot be modified except by direct means',100,2,4),
(101652,114098,'Inflicts 581 - 968 melee damage on targets in area',100,1,0),
(101653,114098,'You must be in stealth to use this!',100,1,1),
(101654,10114098,'Inflicts 755 - 1259 melee damage on targets in area',100,1,0),
(101655,10114098,'You must be in stealth to use this!',100,1,1),
(101656,74744,'When Equipped:',100,0,0),
(101657,74744,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101658,74744,'Inflicts 83 - 125 magic damage on target',100,2,2),
(101659,74744,'Cannot be modified except by direct means',100,2,3),
(101660,10074744,'When Equipped:',100,0,0),
(101661,10074744,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101662,10074744,'Inflicts 117 - 175 magic damage on target',100,2,2),
(101663,10074744,'Cannot be modified except by direct means',100,2,3),
(101664,48004,'Applies Draw upon Essence when Activated.',100,0,0),
(101665,48004,'Increases power of caster by 5',100,1,1),
(101666,48004,'Requires 24 Health to cast.',100,1,2),
(101667,10048004,'Applies Draw upon Essence when Activated.',100,0,0),
(101668,10048004,'Increases power of caster by 5',100,1,1),
(101669,10048004,'Requires 24 Health to cast.',100,1,2),
(101670,124057,'Increases power of caster by 200',100,1,0),
(101671,10124057,'Increases power of caster by 200',100,1,0),
(101672,146826,'When Equipped:',100,0,0),
(101673,146826,'Reduces resistibility of all spells by 10%.',100,1,1),
(101674,10146826,'When Equipped:',100,0,0),
(101675,10146826,'Reduces resistibility of all spells by 10%.',100,1,1),
(101676,48536,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(101677,48536,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(101678,48536,'Inflicts 24 poison damage on target',100,2,2),
(101679,48536,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,3),
(101680,48536,'Cannot be modified except by direct means',100,2,4),
(101681,48536,'Grants a total of 200 triggers of the spell.',100,2,5),
(101682,10048536,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(101683,10048536,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(101684,10048536,'Inflicts 25 poison damage on target',100,2,2),
(101685,10048536,'Inflicts 65 poison damage on target instantly and every 6 seconds',100,2,3),
(101686,10048536,'Cannot be modified except by direct means',100,2,4),
(101687,10048536,'Grants a total of 200 triggers of the spell.',100,2,5),
(101688,105606,'Decreases power of target encounter by 105 - 128 instantly and every 3 seconds',100,1,0),
(101689,105606,'Inflicts 244 - 454 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(101690,105606,'Heals group members (AE) for 100 - 186 instantly and every 3 seconds',100,1,2),
(101691,105606,'Increases power of group members (AE) by 38 instantly and every 3 seconds',100,1,3),
(101692,10105606,'Decreases power of target encounter by 105 - 128 instantly and every 3 seconds',100,1,0),
(101693,10105606,'Inflicts 342 - 635 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(101694,10105606,'Heals group members (AE) for 65 - 121 instantly and every 3 seconds',100,1,2),
(101695,10105606,'Increases power of group members (AE) by 38 instantly and every 3 seconds',100,1,3),
(101696,47892,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(101697,47892,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(101698,47892,'Requires 24 Health to cast.',100,1,2),
(101699,10047892,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(101700,10047892,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(101701,10047892,'Requires 24 Health to cast.',100,1,2),
(101702,36699,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(101703,191470,'When Equipped:',100,0,0),
(101704,191470,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(101705,10191470,'When Equipped:',100,0,0),
(101706,10191470,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(101707,48875,'Applies Romiak''s Renewal  when Activated.',100,0,0),
(101708,48875,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(101709,10048875,'Applies Romiak''s Renewal  when Activated.',100,0,0),
(101710,10048875,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(101711,120771,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(101712,120771,'Stuns target',100,2,1),
(101713,120771,'Throws target back',100,2,2),
(101714,120771,'Blurs vision of target',100,2,3),
(101715,120771,'Does not affect Epic targets',100,2,4),
(101716,120771,'Inflicts 12 - 20 piercing damage on target',100,1,5),
(101717,10120771,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(101718,10120771,'Stuns target',100,2,1),
(101719,10120771,'Throws target back',100,2,2),
(101720,10120771,'Blurs vision of target',100,2,3),
(101721,10120771,'Does not affect Epic targets',100,2,4),
(101722,10120771,'Inflicts 15 - 26 piercing damage on target',100,1,5),
(101723,121873,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(101724,121873,'Decreases Threat to target by 384 - 469 ',100,2,1),
(101725,121873,'If profession other than Fighter',100,3,2),
(101726,121873,'Inflicts 214 - 262 mental damage on target',100,2,3),
(101727,10121873,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(101728,10121873,'Inflicts 300 - 366 mental damage on target',100,2,1),
(101729,25296,'When Equipped:',100,0,0),
(101730,25296,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(101731,25296,'Improves the base damage and hit rate of Battery and Assault VIII by 15%.',100,1,2),
(101732,10025296,'When Equipped:',100,0,0),
(101733,10025296,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(101734,10025296,'Improves the base damage and hit rate of Battery and Assault VIII by 15%.',100,1,2),
(101735,37095,'Increases STA of target by 1.6',100,0,0),
(101736,37095,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(101737,114138,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(101738,114138,'Increases Mitigation of group members (AE) vs elemental damage by 689',100,1,1),
(101739,10114138,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(101740,10114138,'Increases Mitigation of group members (AE) vs elemental damage by 689',100,1,1),
(101741,166540,'When Equipped:',100,0,0),
(101742,166540,'On a critical combat hit this spell may cast Umbral Lightning II on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101743,166540,'Inflicts 90 - 110 magic damage on target',100,2,2),
(101744,166540,'Must not be engaged in pvp combat',100,2,3),
(101745,166540,'Cannot be modified except by direct means',100,2,4),
(101746,166540,'On a critical spell hit this spell may cast Umbral Lightning II on target of spell.  Triggers about 1.8 times per minute. ',100,1,5),
(101747,166540,'Inflicts 90 - 110 magic damage on target',100,2,6),
(101748,166540,'Must not be engaged in pvp combat',100,2,7),
(101749,166540,'Cannot be modified except by direct means',100,2,8),
(101750,166540,'Must not be engaged in pvp combat',100,1,9),
(101751,166540,'Cannot be modified except by direct means',100,1,10),
(101752,166540,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,11),
(101753,166540,'Increases Attack Speed of caster by 100.0',100,1,12),
(101754,166540,'Must not be engaged in pvp combat',100,1,13),
(101755,166540,'Cannot be modified except by direct means',100,1,14),
(101756,166540,'The reuse time of Blurred Strikes is 5 minutes',100,1,15),
(101757,10166540,'When Equipped:',100,0,0),
(101758,10166540,'On a critical combat hit this spell may cast Umbral Lightning II on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101759,10166540,'Inflicts 126 - 154 magic damage on target',100,2,2),
(101760,10166540,'Must not be engaged in pvp combat',100,2,3),
(101761,10166540,'Cannot be modified except by direct means',100,2,4),
(101762,10166540,'On a critical spell hit this spell may cast Umbral Lightning II on target of spell.  Triggers about 1.8 times per minute. ',100,1,5),
(101763,10166540,'Inflicts 126 - 154 magic damage on target',100,2,6),
(101764,10166540,'Must not be engaged in pvp combat',100,2,7),
(101765,10166540,'Cannot be modified except by direct means',100,2,8),
(101766,10166540,'Must not be engaged in pvp combat',100,1,9),
(101767,10166540,'Cannot be modified except by direct means',100,1,10),
(101768,10166540,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,11),
(101769,10166540,'Increases Attack Speed of caster by 100.0',100,1,12),
(101770,10166540,'Must not be engaged in pvp combat',100,1,13),
(101771,10166540,'Cannot be modified except by direct means',100,1,14),
(101772,10166540,'The reuse time of Blurred Strikes is 5 minutes',100,1,15),
(101773,154945,'When Equipped:',100,0,0),
(101774,154945,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101775,154945,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(101776,154945,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(101777,154945,'Increases Crit Chance of caster by 25.0',100,2,4),
(101778,154945,'Cannot be modified except by direct means',100,2,5),
(101779,10154945,'When Equipped:',100,0,0),
(101780,10154945,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(101781,10154945,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(101782,10154945,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(101783,10154945,'Increases Crit Chance of caster by 25.0',100,2,4),
(101784,10154945,'Cannot be modified except by direct means',100,2,5),
(101785,115022,'Heals target for 104 - 128',100,1,0),
(101786,10115022,'Heals target for 146 - 179',100,1,0),
(101787,46148,'Applies Gear Throw when Activated.',100,0,0),
(101788,46148,'If target is Master Clockwork Protocol',100,1,1),
(101789,10046148,'Applies Gear Throw when Activated.',100,0,0),
(101790,10046148,'If target is Master Clockwork Protocol',100,1,1),
(101791,143846,'When Equipped:',100,0,0),
(101792,143846,'When damaged in combat this spell has a 8% chance to cast Scouring Sands on target''s attacker.  ',100,1,1),
(101793,143846,'Increases Threat to target by 2,250 ',100,2,2),
(101794,143846,'Inflicts 1375 crushing damage on target',100,2,3),
(101795,143846,'Must not be engaged in pvp combat',100,2,4),
(101796,143846,'Cannot be modified except by direct means',100,2,5),
(101797,143846,'On any combat or spell hit this spell may cast Scouring Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(101798,143846,'Increases Threat to target by 2,250 ',100,2,7),
(101799,143846,'Inflicts 1375 crushing damage on target',100,2,8),
(101800,143846,'Must not be engaged in pvp combat',100,2,9),
(101801,143846,'Cannot be modified except by direct means',100,2,10),
(101802,10143846,'When Equipped:',100,0,0),
(101803,10143846,'When damaged in combat this spell has a 8% chance to cast Scouring Sands on target''s attacker.  ',100,1,1),
(101804,10143846,'Inflicts 1925 crushing damage on target',100,2,2),
(101805,10143846,'Must not be engaged in pvp combat',100,2,3),
(101806,10143846,'Cannot be modified except by direct means',100,2,4),
(101807,10143846,'On any combat or spell hit this spell may cast Scouring Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(101808,10143846,'Inflicts 1925 crushing damage on target',100,2,6),
(101809,10143846,'Must not be engaged in pvp combat',100,2,7),
(101810,10143846,'Cannot be modified except by direct means',100,2,8),
(101811,111970,'Inflicts 240 - 294 disease damage on target',100,1,0),
(101812,111970,'Decreases Mitigation of target vs noxious damage by 495',100,1,1),
(101813,10111970,'Inflicts 433 - 529 disease damage on target',100,1,0),
(101814,10111970,'Decreases Mitigation of target vs noxious damage by 495',100,1,1),
(101815,101798,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(101816,101798,'Decreases Threat to target by 542 ',100,2,1),
(101817,10101798,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(101818,10101798,'Inflicts 48 - 53 crushing damage on target',100,2,1),
(101819,46122,'Applies Elixir of the Wise when Activated.  Lasts for 30.0 seconds.',100,0,0),
(101820,46122,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(101821,10046122,'Applies Elixir of the Wise when Activated.  Lasts for 30.0 seconds.',100,0,0),
(101822,10046122,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(101823,82479,'When Equipped:',100,0,0),
(101824,82479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101825,82479,'Inflicts 182 - 339 magic damage on target',100,2,2),
(101826,82479,'Cannot be modified except by direct means',100,2,3),
(101827,10082479,'When Equipped:',100,0,0),
(101828,10082479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101829,10082479,'Inflicts 255 - 474 magic damage on target',100,2,2),
(101830,10082479,'Cannot be modified except by direct means',100,2,3),
(101831,116148,'Inflicts 283 - 471 divine damage on target',100,1,0),
(101832,116148,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(101833,116148,'Stuns target',100,2,2),
(101834,116148,'Throws target back',100,2,3),
(101835,116148,'Blurs vision of target',100,2,4),
(101836,116148,'Does not affect Epic targets',100,2,5),
(101837,10116148,'Inflicts 368 - 613 divine damage on target',100,1,0),
(101838,10116148,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(101839,10116148,'Stuns target',100,2,2),
(101840,10116148,'Throws target back',100,2,3),
(101841,10116148,'Blurs vision of target',100,2,4),
(101842,10116148,'Does not affect Epic targets',100,2,5),
(101843,105719,'Grants Infravision to caster',100,1,0),
(101844,10105719,'Grants Infravision to caster',100,1,0),
(101845,81843,'When Equipped:',100,0,0),
(101846,81843,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101847,81843,'Inflicts 141 - 262 magic damage on target',100,2,2),
(101848,81843,'Cannot be modified except by direct means',100,2,3),
(101849,10081843,'When Equipped:',100,0,0),
(101850,10081843,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(101851,10081843,'Inflicts 198 - 367 magic damage on target',100,2,2),
(101852,10081843,'Cannot be modified except by direct means',100,2,3),
(101853,121209,'Grants stealth to caster',100,1,0),
(101854,121209,'Suspends caster''s movement speed enhancements',100,1,1),
(101855,121209,'Decreases Threat to target by 1,176 - 1,960 ',100,1,2),
(101856,10121209,'Forces target to clear their selected target.',100,1,0),
(101857,10121209,'Grants stealth to caster',100,1,1),
(101858,10121209,'Suspends caster''s movement speed enhancements',100,1,2),
(101859,45534,'Applies Aegis of the Air Queen  when Activated.  Lasts for 30 minutes.',100,0,0),
(101860,45534,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(101861,10045534,'Applies Aegis of the Air Queen  when Activated.  Lasts for 30 minutes.',100,0,0),
(101862,10045534,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(101863,111397,'Increases Attack Speed of target by 33.2',100,1,0),
(101864,111397,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(101865,111397,'Inflicts 187 disease damage on target',100,2,2),
(101866,111397,'Heals caster for 46',100,2,3),
(101867,111397,'Decreases Defense and Parry of target by 17.5',100,1,4),
(101868,111397,'Increases Disruption, Subjugation and Focus of target by 21.1',100,1,5),
(101869,10111397,'Increases Attack Speed of target by 33.2',100,1,0),
(101870,10111397,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(101871,10111397,'Inflicts 261 disease damage on target',100,2,2),
(101872,10111397,'Heals caster for 30',100,2,3),
(101873,10111397,'Decreases Defense and Parry of target by 17.5',100,1,4),
(101874,10111397,'Increases Disruption, Subjugation and Focus of target by 21.1',100,1,5),
(101875,183455,'When Equipped:',100,0,0),
(101876,183455,'Increases Attack Speed of caster by 35.0',100,1,1),
(101877,10183455,'When Equipped:',100,0,0),
(101878,10183455,'Increases Attack Speed of caster by 35.0',100,1,1),
(101879,108852,'Inflicts 110 - 184 melee damage on target',100,1,0),
(101880,108852,'Inflicts 110 - 184 melee damage on target',100,1,1),
(101881,108852,'Inflicts 110 - 184 melee damage on target',100,1,2),
(101882,108852,'Inflicts 110 - 184 melee damage on target',100,1,3),
(101883,108852,'Inflicts 110 - 184 melee damage on target',100,1,4),
(101884,10108852,'Inflicts 144 - 240 melee damage on target',100,1,0),
(101885,10108852,'Inflicts 144 - 240 melee damage on target',100,1,1),
(101886,10108852,'Inflicts 144 - 240 melee damage on target',100,1,2),
(101887,10108852,'Inflicts 144 - 240 melee damage on target',100,1,3),
(101888,10108852,'Inflicts 144 - 240 melee damage on target',100,1,4),
(101889,110358,'Increases STR and AGI of group members (AE) by 10.8',100,1,0),
(101890,110358,'Adds 1.9% to base avoidance.',100,1,1),
(101891,10110358,'Increases STR and AGI of group members (AE) by 10.8',100,1,0),
(101892,10110358,'Adds 1.9% to base avoidance.',100,1,1),
(101893,54421,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(101894,54421,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(101895,54421,'Inflicts 78 heat damage on target',100,2,2),
(101896,54421,'Cannot be modified except by direct means',100,2,3),
(101897,10054421,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(101898,10054421,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(101899,10054421,'Inflicts 109 heat damage on target',100,2,2),
(101900,10054421,'Cannot be modified except by direct means',100,2,3),
(101901,188571,'When Equipped:',100,0,0),
(101902,188571,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(101903,188571,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(101904,188571,'Dispelled when target casts a hostile spell',100,2,3),
(101905,188571,'Dispelled when target casts a combat art',100,2,4),
(101906,188571,'Cannot be modified except by direct means',100,2,5),
(101907,10188571,'When Equipped:',100,0,0),
(101908,10188571,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(101909,10188571,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(101910,10188571,'Dispelled when target casts a hostile spell',100,2,3),
(101911,10188571,'Dispelled when target casts a combat art',100,2,4),
(101912,10188571,'Cannot be modified except by direct means',100,2,5),
(101913,83913,'When Equipped:',100,0,0),
(101914,83913,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(101915,83913,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(101916,83913,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(101917,83913,'Must not be engaged in pvp combat',100,2,4),
(101918,83913,'Cannot be modified except by direct means',100,2,5),
(101919,83913,'Cannot be modified except by direct means',100,1,6),
(101920,10083913,'When Equipped:',100,0,0),
(101921,10083913,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(101922,10083913,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(101923,10083913,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(101924,10083913,'Must not be engaged in pvp combat',100,2,4),
(101925,10083913,'Cannot be modified except by direct means',100,2,5),
(101926,10083913,'Cannot be modified except by direct means',100,1,6),
(101927,169007,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(101928,169007,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(101929,169007,'Cannot be modified except by direct means',100,1,2),
(101930,10169007,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(101931,10169007,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(101932,10169007,'Cannot be modified except by direct means',100,1,2),
(101933,41590,'When Equipped:',100,0,0),
(101934,41590,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(101935,41590,'Decreases Threat to target by 801 ',100,2,2),
(101936,41590,'Must be flanking or behind',100,3,3),
(101937,41590,'Increases Threat to target by 801 ',100,2,4),
(101938,41590,'Must be in front of',100,3,5),
(101939,41590,'Inflicts 224 - 415 magic damage on target',100,2,6),
(101940,41590,'Cannot be modified except by direct means',100,2,7),
(101941,10041590,'When Equipped:',100,0,0),
(101942,10041590,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(101943,10041590,'Inflicts 313 - 581 magic damage on target',100,2,2),
(101944,10041590,'Cannot be modified except by direct means',100,2,3),
(101945,124062,'Increases power of caster by 266',100,1,0),
(101946,10124062,'Increases power of caster by 266',100,1,0),
(101947,112795,'Inflicts 317 - 529 slashing damage on target',100,1,0),
(101948,112795,'Stifles target',100,1,1),
(101949,112795,'If Target is not Epic',100,2,2),
(101950,112795,'You must be in stealth.',100,1,3),
(101951,112795,'Resistibility increases against targets higher than level 63.',100,1,4),
(101952,10112795,'Inflicts 413 - 688 slashing damage on target',100,1,0),
(101953,10112795,'Stifles target',100,1,1),
(101954,10112795,'If Target is not Epic',100,2,2),
(101955,10112795,'You must be in stealth.',100,1,3),
(101956,10112795,'Resistibility increases against targets higher than level 63.',100,1,4),
(101957,164602,'Applies Unstable Magics when Equipped.',100,0,0),
(101958,164602,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(101959,10164602,'Applies Unstable Magics when Equipped.',100,0,0),
(101960,10164602,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(101961,122617,'Makes target afraid',100,1,0),
(101962,122617,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',100,1,1),
(101963,122617,'Mesmerizes target',100,2,2),
(101964,122617,'Decreases Threat to target by 919  instantly and Decreases Threat by 919  every 1.8 seconds thereafter',100,2,3),
(101965,122617,'Dispelled when target takes damage',100,2,4),
(101966,122617,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',100,2,5),
(101967,122617,'Resistibility increases against targets higher than level 76.',100,2,6),
(101968,122617,'30% chance to dispel when target takes damage',100,1,7),
(101969,122617,'Does not affect Epic targets',100,1,8),
(101970,122617,'Resistibility increases against targets higher than level 76.',100,1,9),
(101971,10122617,'Makes target afraid',100,1,0),
(101972,10122617,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(101973,10122617,'Mesmerizes target',100,2,2),
(101974,10122617,'Applies Distract.',100,2,3),
(101975,10122617,'Forces target to clear their selected target.',100,3,4),
(101976,10122617,'Dispelled when target takes damage',100,2,5),
(101977,10122617,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(101978,10122617,'Resistibility increases against targets higher than level 76.',100,2,7),
(101979,10122617,'30% chance to dispel when target takes damage',100,1,8),
(101980,10122617,'Does not affect Epic targets',100,1,9),
(101981,10122617,'Resistibility increases against targets higher than level 76.',100,1,10),
(101982,36807,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(101983,159440,'Applies Sanguine Imbued when Equipped.',100,0,0),
(101984,159440,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(101985,159440,'Inflicts 74 heat damage on target',100,2,2),
(101986,159440,'Cannot be modified except by direct means',100,2,3),
(101987,10159440,'Applies Sanguine Imbued when Equipped.',100,0,0),
(101988,10159440,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(101989,10159440,'Inflicts 104 heat damage on target',100,2,2),
(101990,10159440,'Cannot be modified except by direct means',100,2,3),
(101991,48491,'Applies Thinning Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(101992,48491,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(101993,48491,'Inflicts 321 poison damage on target instantly and every 6 seconds',100,2,2),
(101994,48491,'Inflicts 122 poison damage on target',100,2,3),
(101995,48491,'Cannot be modified except by direct means',100,2,4),
(101996,48491,'Grants a total of 200 triggers of the spell.',100,2,5),
(101997,48491,'Only affects targets level 50 and above',100,1,6),
(101998,10048491,'Applies Thinning Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(101999,10048491,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(102000,10048491,'Inflicts 128 poison damage on target',100,2,2),
(102001,10048491,'Inflicts 337 poison damage on target instantly and every 6 seconds',100,2,3),
(102002,10048491,'Cannot be modified except by direct means',100,2,4),
(102003,10048491,'Grants a total of 200 triggers of the spell.',100,2,5),
(102004,10048491,'Only affects targets level 50 and above',100,1,6),
(102005,104353,'Charms target',100,1,0),
(102006,104353,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(102007,104353,'Mesmerizes target',100,2,2),
(102008,104353,'Dispelled when target takes damage',100,2,3),
(102009,104353,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(102010,104353,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(102011,104353,'Grants Sonic Vision to caster',100,2,6),
(102012,104353,'Increases Out-of-Combat Power Regeneration of target by 31.8',100,1,7),
(102013,104353,'Increases Out-of-Combat Health Regeneration of target by 63.6',100,1,8),
(102014,104353,'Certain enemies cannot be charmed',100,1,9),
(102015,104353,'Does not affect Epic targets',100,1,10),
(102016,10104353,'Mesmerizes target',100,1,0),
(102017,10104353,'Prevents AOE (except when direct) ',100,1,1),
(102018,10104353,'Dispelled when target takes damage',100,1,2),
(102019,10104353,'Certain enemies cannot be charmed',100,1,3),
(102020,10104353,'Does not affect Epic targets',100,1,4),
(102021,10104353,'Resistibility increases against targets higher than level 90.',100,1,5),
(102022,123836,'Increases WIS and STR of group members (AE) by 10.2',100,1,0),
(102023,10123836,'Increases WIS and STR of group members (AE) by 10.2',100,1,0),
(102024,112418,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 31% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(102025,112418,'If over 50% Health',100,2,1),
(102026,112418,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 31% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(102027,112418,'If at 50% Health or less',100,2,3),
(102028,10112418,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 31% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(102029,10112418,'If over 50% Health',100,2,1),
(102030,10112418,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 31% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(102031,10112418,'If at 50% Health or less',100,2,3),
(102032,107045,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(102033,107045,'Inflicts 87 - 145 divine damage on target',100,2,1),
(102034,107045,'Inflicts 87 - 145 divine damage on target',100,2,2),
(102035,107045,'If target is undead',100,3,3),
(102036,10107045,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(102037,10107045,'Inflicts 203 - 339 divine damage on target',100,2,1),
(102038,48242,'Applies Plant the Debasement Standard when Activated.',100,0,0),
(102039,48242,'This guild standard grants the area a bonus to DPS.',100,1,1),
(102040,10048242,'Applies Plant the Debasement Standard when Activated.',100,0,0),
(102041,10048242,'This guild standard grants the area a bonus to DPS.',100,1,1),
(102042,119067,'Decreases power of target by 321 - 536',100,1,0),
(102043,119067,'Increases power of caster by 145 - 242',100,1,1),
(102044,119067,'Inflicts 343 - 571 mental damage on target',100,1,2),
(102045,10119067,'Decreases power of target by 321 - 536',100,1,0),
(102046,10119067,'Increases power of caster by 145 - 242',100,1,1),
(102047,10119067,'Inflicts 446 - 743 mental damage on target',100,1,2),
(102048,35385,'Increases STA of target by 1.6',100,0,0),
(102049,35385,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(102050,108417,'Heals target for 1332 - 1628',100,1,0),
(102051,10108417,'Heals target for 1593 - 1947',100,1,0),
(102052,88649,'When Equipped:',100,0,0),
(102053,88649,'On a melee hit this spell may cast Ferocity on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(102054,88649,'Increases Crit Bonus of caster by 15.0%',100,2,2),
(102055,88649,'Cannot be modified except by direct means',100,2,3),
(102056,10088649,'When Equipped:',100,0,0),
(102057,10088649,'On a melee hit this spell may cast Ferocity on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(102058,10088649,'Increases Crit Bonus of caster by 15.0%',100,2,2),
(102059,10088649,'Cannot be modified except by direct means',100,2,3),
(102060,110783,'Heals group members (AE) for 308 - 377 instantly and every 2 seconds',100,1,0),
(102061,10110783,'Heals group members (AE) for 200 - 245 instantly and every 2 seconds',100,1,0),
(102062,137351,'When Equipped:',100,0,0),
(102063,137351,'Increases Attack Speed of caster by 35.0',100,1,1),
(102064,10137351,'When Equipped:',100,0,0),
(102065,10137351,'Increases Attack Speed of caster by 35.0',100,1,1),
(102066,120403,'Decreases Defense of caster by 18.9',100,1,0),
(102067,120403,'Increases Crushing and Ranged of caster by 39.7',100,1,1),
(102068,120403,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(102069,120403,'Inflicts 333 - 555 heat damage on target',100,2,3),
(102070,120403,'Increases Slashing and Piercing of caster by 39.7',100,1,4),
(102071,10120403,'Decreases Defense of caster by 18.9',100,1,0),
(102072,10120403,'Increases Crushing and Ranged of caster by 39.7',100,1,1),
(102073,10120403,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(102074,10120403,'Inflicts 466 - 777 heat damage on target',100,2,3),
(102075,10120403,'Increases Slashing and Piercing of caster by 39.7',100,1,4),
(102076,114273,'Heals target for 65 - 80',100,1,0),
(102077,10114273,'Heals target for 77 - 94',100,1,0),
(102078,80949,'When Equipped:',100,0,0),
(102079,80949,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102080,80949,'Inflicts 223 - 414 magic damage on target',100,2,2),
(102081,80949,'Cannot be modified except by direct means',100,2,3),
(102082,10080949,'When Equipped:',100,0,0),
(102083,10080949,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102084,10080949,'Inflicts 312 - 580 magic damage on target',100,2,2),
(102085,10080949,'Cannot be modified except by direct means',100,2,3),
(102086,153753,'When Equipped:',100,0,0),
(102087,153753,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(102088,153753,'Decreases Threat to targets in Area of Effect by 500 ',100,2,2),
(102089,153753,'Cannot be modified except by direct means',100,2,3),
(102090,10153753,'When Equipped:',100,0,0),
(102091,10153753,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(102092,10153753,'Cannot be modified except by direct means',100,2,2),
(102093,26736,'When Equipped:',100,0,0),
(102094,26736,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(102095,26736,'On a critical spell hit this spell may cast Greater Sorcerer''s Bore I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(102096,26736,'Decreases Mitigation of target vs noxious damage by 1769',100,2,3),
(102097,26736,'Decreases Mitigation of target vs arcane damage by 1769',100,2,4),
(102098,26736,'Decreases Mitigation of target vs elemental damage by 1769',100,2,5),
(102099,26736,'Must not be engaged in pvp combat',100,2,6),
(102100,26736,'Cannot be modified except by direct means',100,2,7),
(102101,26736,'On a critical combat hit this spell may cast Greater Sorcerer''s Bore I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(102102,26736,'Decreases Mitigation of target vs noxious damage by 1769',100,2,9),
(102103,26736,'Decreases Mitigation of target vs arcane damage by 1769',100,2,10),
(102104,26736,'Decreases Mitigation of target vs elemental damage by 1769',100,2,11),
(102105,26736,'Must not be engaged in pvp combat',100,2,12),
(102106,26736,'Cannot be modified except by direct means',100,2,13),
(102107,26736,'Must not be engaged in pvp combat',100,1,14),
(102108,10026736,'When Equipped:',100,0,0),
(102109,10026736,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(102110,10026736,'On a critical spell hit this spell may cast Greater Sorcerer''s Bore I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(102111,10026736,'Decreases Mitigation of target vs noxious damage by 1769',100,2,3),
(102112,10026736,'Decreases Mitigation of target vs arcane damage by 1769',100,2,4),
(102113,10026736,'Decreases Mitigation of target vs elemental damage by 1769',100,2,5),
(102114,10026736,'Must not be engaged in pvp combat',100,2,6),
(102115,10026736,'Cannot be modified except by direct means',100,2,7),
(102116,10026736,'On a critical combat hit this spell may cast Greater Sorcerer''s Bore I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(102117,10026736,'Decreases Mitigation of target vs noxious damage by 1769',100,2,9),
(102118,10026736,'Decreases Mitigation of target vs arcane damage by 1769',100,2,10),
(102119,10026736,'Decreases Mitigation of target vs elemental damage by 1769',100,2,11),
(102120,10026736,'Must not be engaged in pvp combat',100,2,12),
(102121,10026736,'Cannot be modified except by direct means',100,2,13),
(102122,10026736,'Must not be engaged in pvp combat',100,1,14),
(102123,74628,'When Equipped:',100,0,0),
(102124,74628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102125,74628,'Inflicts 48 - 73 magic damage on target',100,2,2),
(102126,74628,'Cannot be modified except by direct means',100,2,3),
(102127,10074628,'When Equipped:',100,0,0),
(102128,10074628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102129,10074628,'Inflicts 68 - 102 magic damage on target',100,2,2),
(102130,10074628,'Cannot be modified except by direct means',100,2,3),
(102131,113686,'Stuns target',100,1,0),
(102132,113686,'If Target is not Epic',100,2,1),
(102133,113686,'Inflicts 621 - 1034 heat damage on target',100,1,2),
(102134,113686,'Resistibility increases against targets higher than level 59.',100,1,3),
(102135,10113686,'Stuns target',100,1,0),
(102136,10113686,'If Target is not Epic',100,2,1),
(102137,10113686,'Inflicts 869 - 1448 heat damage on target',100,1,2),
(102138,10113686,'Resistibility increases against targets higher than level 59.',100,1,3),
(102139,170011,'When Equipped:',100,0,0),
(102140,170011,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102141,170011,'Inflicts 1830 - 2744 magic damage on target',100,2,2),
(102142,170011,'Heals group members (AE) for 1673 - 2045',100,2,3),
(102143,170011,'Must not be engaged in pvp combat',100,2,4),
(102144,170011,'Cannot be modified except by direct means',100,2,5),
(102145,10170011,'When Equipped:',100,0,0),
(102146,10170011,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102147,10170011,'Inflicts 2561 - 3842 magic damage on target',100,2,2),
(102148,10170011,'Heals group members (AE) for 1957 - 2392',100,2,3),
(102149,10170011,'Must not be engaged in pvp combat',100,2,4),
(102150,10170011,'Cannot be modified except by direct means',100,2,5),
(102151,80353,'When Equipped:',100,0,0),
(102152,80353,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102153,80353,'Inflicts 55 - 101 magic damage on target',100,2,2),
(102154,80353,'Cannot be modified except by direct means',100,2,3),
(102155,10080353,'When Equipped:',100,0,0),
(102156,10080353,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102157,10080353,'Inflicts 76 - 142 magic damage on target',100,2,2),
(102158,10080353,'Cannot be modified except by direct means',100,2,3),
(102159,182359,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(102160,182359,'Shapechanges caster into a dwarf',100,1,1),
(102161,182359,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,2),
(102162,182359,'Inflicts 232 magic damage on target',100,2,3),
(102163,182359,'Heals caster for 86',100,2,4),
(102164,182359,'Cannot be modified except by direct means',100,2,5),
(102165,182359,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(102166,10182359,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(102167,10182359,'Shapechanges caster into a dwarf',100,1,1),
(102168,10182359,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,2),
(102169,10182359,'Inflicts 162 magic damage on target',100,2,3),
(102170,10182359,'Heals caster for 28',100,2,4),
(102171,10182359,'Cannot be modified except by direct means',100,2,5),
(102172,10182359,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(102173,26261,'When Equipped:',100,0,0),
(102174,26261,'Increases all noxious damage by up to 20.',100,1,1),
(102175,10026261,'When Equipped:',100,0,0),
(102176,10026261,'Increases all noxious damage by up to 20.',100,1,1),
(102177,120392,'Decreases Defense of caster by 10.5',100,1,0),
(102178,120392,'Increases Crushing and Ranged of caster by 17.3',100,1,1),
(102179,120392,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(102180,120392,'Inflicts 127 - 211 heat damage on target',100,2,3),
(102181,120392,'Increases Slashing and Piercing of caster by 17.3',100,1,4),
(102182,10120392,'Decreases Defense of caster by 10.5',100,1,0),
(102183,10120392,'Increases Crushing and Ranged of caster by 17.3',100,1,1),
(102184,10120392,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(102185,10120392,'Inflicts 177 - 296 heat damage on target',100,2,3),
(102186,10120392,'Increases Slashing and Piercing of caster by 17.3',100,1,4),
(102187,114108,'Inflicts 738 - 1230 melee damage on targets in area',100,1,0),
(102188,114108,'You must be in stealth to use this!',100,1,1),
(102189,10114108,'Inflicts 959 - 1599 melee damage on targets in area',100,1,0),
(102190,10114108,'You must be in stealth to use this!',100,1,1),
(102191,122343,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(102192,122343,'Inflicts 11 - 13 piercing damage on target',100,2,1),
(102193,10122343,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(102194,10122343,'Inflicts 15 - 19 piercing damage on target',100,2,1),
(102195,106459,'Increases Multi Attack Chance of raid and group members (AE) by 13.1',100,1,0),
(102196,10106459,'Increases Multi Attack Chance of raid and group members (AE) by 13.1',100,1,0),
(102197,26916,'When Equipped:',100,0,0),
(102198,26916,'Increases In-Combat Power Regeneration of caster by 3.0',100,1,1),
(102199,10026916,'When Equipped:',100,0,0),
(102200,10026916,'Increases In-Combat Power Regeneration of caster by 3.0',100,1,1),
(102201,37020,'Increases STR of target by 1.6',100,0,0),
(102202,37020,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(102203,24535,'Adds Mistmoore: Iron Shackle to your Dungeon Maker toolbox',100,0,0),
(102204,10024535,'Adds Mistmoore: Iron Shackle to your Dungeon Maker toolbox',100,0,0),
(102205,118354,'Inflicts 146 - 244 melee damage on target',100,1,0),
(102206,118354,'Inflicts 147 - 245 heat damage on target every 4 seconds',100,1,1),
(102207,10118354,'Inflicts 190 - 318 melee damage on target',100,1,0),
(102208,10118354,'Inflicts 206 - 343 heat damage on target every 4 seconds',100,1,1),
(102209,81140,'When Equipped:',100,0,0),
(102210,81140,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102211,81140,'Inflicts 175 - 325 magic damage on target',100,2,2),
(102212,81140,'Cannot be modified except by direct means',100,2,3),
(102213,10081140,'When Equipped:',100,0,0),
(102214,10081140,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102215,10081140,'Inflicts 245 - 455 magic damage on target',100,2,2),
(102216,10081140,'Cannot be modified except by direct means',100,2,3),
(102217,48019,'Applies Planar Banishment when Activated.',100,0,0),
(102218,48019,'Banishes the target to its plane of origin.',100,1,1),
(102219,10048019,'Applies Planar Banishment when Activated.',100,0,0),
(102220,10048019,'Banishes the target to its plane of origin.',100,1,1),
(102221,113611,'Summons a limited pet to aid the caster',100,1,0),
(102222,10113611,'Summons a limited pet to aid the caster',100,1,0),
(102223,50409,'When Equipped:',100,0,0),
(102224,50409,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(102225,50409,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(102226,50409,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(102227,50409,'Must not be engaged in pvp combat',100,2,4),
(102228,50409,'Cannot be modified except by direct means',100,2,5),
(102229,50409,'Cannot be modified except by direct means',100,1,6),
(102230,10050409,'When Equipped:',100,0,0),
(102231,10050409,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(102232,10050409,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(102233,10050409,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(102234,10050409,'Must not be engaged in pvp combat',100,2,4),
(102235,10050409,'Cannot be modified except by direct means',100,2,5),
(102236,10050409,'Cannot be modified except by direct means',100,1,6),
(102237,164626,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(102238,164626,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(102239,164626,'Cannot be modified except by direct means',100,1,2),
(102240,10164626,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(102241,10164626,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(102242,10164626,'Cannot be modified except by direct means',100,1,2),
(102243,117379,'Increases Threat to target by 180 ',100,1,0),
(102244,117379,'Inflicts 30 - 90 melee damage on target',100,1,1),
(102245,10117379,'Forces target to change their selected target to caster.',100,1,0),
(102246,10117379,'Inflicts 26 - 78 melee damage on target',100,1,1),
(102247,114725,'Summons a pet Lizard',100,1,0),
(102248,10114725,'Summons a pet Lizard',100,1,0),
(102249,170963,'When Equipped:',100,0,0),
(102250,170963,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102251,170963,'Inflicts 1986 heat damage on target',100,2,2),
(102252,170963,'Cannot be modified except by direct means',100,2,3),
(102253,10170963,'When Equipped:',100,0,0),
(102254,10170963,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102255,10170963,'Inflicts 1390 heat damage on target',100,2,2),
(102256,10170963,'Cannot be modified except by direct means',100,2,3),
(102257,84018,'Applies Lightning Shock when Activated.',100,0,0),
(102258,84018,'Inflicts 232 - 387 magic damage on target',100,1,1),
(102259,84018,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(102260,10084018,'Applies Lightning Shock when Activated.',100,0,0),
(102261,10084018,'Inflicts 325 - 541 magic damage on target',100,1,1),
(102262,10084018,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(102263,118870,'Inflicts 19 - 32 melee damage on target',100,1,0),
(102264,118870,'Inflicts 19 - 32 melee damage on target',100,1,1),
(102265,118870,'Inflicts 19 - 32 melee damage on target',100,1,2),
(102266,118870,'Inflicts 19 - 32 melee damage on target',100,1,3),
(102267,118870,'Inflicts 19 - 32 melee damage on target',100,1,4),
(102268,10118870,'Inflicts 25 - 42 melee damage on target',100,1,0),
(102269,10118870,'Inflicts 25 - 42 melee damage on target',100,1,1),
(102270,10118870,'Inflicts 25 - 42 melee damage on target',100,1,2),
(102271,10118870,'Inflicts 25 - 42 melee damage on target',100,1,3),
(102272,10118870,'Inflicts 25 - 42 melee damage on target',100,1,4),
(102273,112137,'Dispels 92 levels of physical and arcane hostile effects on caster',100,1,0),
(102274,10112137,'Dispels 92 levels of physical and arcane hostile effects on caster',100,1,0),
(102275,116399,'Heals target for 328 - 400 instantly and every 2 seconds',100,1,0),
(102276,10116399,'Heals target for 213 - 260 instantly and every 2 seconds',100,1,0),
(102277,153952,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(102278,153952,'Decreases Attack Speed of target by 11.6',100,1,1),
(102279,153952,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(102280,10153952,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(102281,10153952,'Decreases Attack Speed of target by 11.6',100,1,1),
(102282,10153952,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(102283,46908,'Applies Mending Root when Activated.',100,0,0),
(102284,46908,'Heals caster for 60 - 90',100,1,1),
(102285,10046908,'Applies Mending Root when Activated.',100,0,0),
(102286,10046908,'Heals caster for 39 - 58',100,1,1),
(102287,87394,'When Equipped:',100,0,0),
(102288,87394,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102289,87394,'Inflicts 167 - 250 magic damage on target',100,2,2),
(102290,87394,'Cannot be modified except by direct means',100,2,3),
(102291,10087394,'When Equipped:',100,0,0),
(102292,10087394,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102293,10087394,'Inflicts 233 - 350 magic damage on target',100,2,2),
(102294,10087394,'Cannot be modified except by direct means',100,2,3),
(102295,102865,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(102296,102865,'Stuns target',100,2,1),
(102297,102865,'Throws target back',100,2,2),
(102298,102865,'Blurs vision of target',100,2,3),
(102299,102865,'Does not affect Epic targets',100,2,4),
(102300,102865,'Inflicts 439 - 1319 melee damage on targets in area',100,1,5),
(102301,10102865,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(102302,10102865,'Stuns target',100,2,1),
(102303,10102865,'Throws target back',100,2,2),
(102304,10102865,'Blurs vision of target',100,2,3),
(102305,10102865,'Does not affect Epic targets',100,2,4),
(102306,10102865,'Inflicts 571 - 1715 melee damage on targets in area',100,1,5),
(102307,113218,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(102308,113218,'Inflicts 150 magic damage on target',100,2,1),
(102309,113218,'Grants a total of 5 triggers of the spell.',100,2,2),
(102310,10113218,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(102311,10113218,'Inflicts 210 magic damage on target',100,2,1),
(102312,10113218,'Grants a total of 5 triggers of the spell.',100,2,2),
(102313,84309,'When Equipped:',100,0,0),
(102314,84309,'Increases Attack Speed of caster by 10.0',100,1,1),
(102315,10084309,'When Equipped:',100,0,0),
(102316,10084309,'Increases Attack Speed of caster by 10.0',100,1,1),
(102317,36137,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(102318,36137,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(102319,106013,'Inflicts 60 - 74 divine damage on target instantly and every 3 seconds',100,1,0),
(102320,106013,'Decreases Defense of target by 9.3',100,1,1),
(102321,10106013,'Inflicts 56 - 69 divine damage on target instantly and every 3 seconds',100,1,0),
(102322,10106013,'Decreases Defense of target by 9.3',100,1,1),
(102323,155322,'When Equipped:',100,0,0),
(102324,155322,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(102325,10155322,'When Equipped:',100,0,0),
(102326,10155322,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(102327,82588,'When Equipped:',100,0,0),
(102328,82588,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102329,82588,'Decreases Threat to target by 259 ',100,2,2),
(102330,82588,'Must be flanking or behind',100,3,3),
(102331,82588,'Increases Threat to target by 259 ',100,2,4),
(102332,82588,'Must be in front of',100,3,5),
(102333,82588,'Inflicts 101 - 188 magic damage on target',100,2,6),
(102334,82588,'Cannot be modified except by direct means',100,2,7),
(102335,10082588,'When Equipped:',100,0,0),
(102336,10082588,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102337,10082588,'Inflicts 142 - 263 magic damage on target',100,2,2),
(102338,10082588,'Cannot be modified except by direct means',100,2,3),
(102339,119164,'Inflicts 165 disease damage on target every 3 seconds',100,1,0),
(102340,119164,'Inflicts 825 - 1376 melee damage on target',100,1,1),
(102341,119164,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(102342,119164,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,3),
(102343,119164,'Inflicts 495 disease damage on target every 3 seconds',100,3,4),
(102344,119164,'Inflicts 330 disease damage on target every 3 seconds',100,2,5),
(102345,119164,'You must be sneaking to use this ability.',100,1,6),
(102346,119164,'Must be behind',100,1,7),
(102347,10119164,'Inflicts 231 disease damage on target every 3 seconds',100,1,0),
(102348,10119164,'Inflicts 1073 - 1789 melee damage on target',100,1,1),
(102349,10119164,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(102350,10119164,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,3),
(102351,10119164,'Inflicts 694 disease damage on target every 3 seconds',100,3,4),
(102352,10119164,'Inflicts 462 disease damage on target every 3 seconds',100,2,5),
(102353,10119164,'You must be sneaking to use this ability.',100,1,6),
(102354,10119164,'Must be behind',100,1,7),
(102355,121584,'Stuns target encounter',100,1,0),
(102356,121584,'Epic targets gain an immunity to Stun effects of 15.8 seconds and duration is reduced to 1.8 seconds.',100,1,1),
(102357,121584,'Resistibility increases against targets higher than level 59.',100,1,2),
(102358,10121584,'Stuns target encounter',100,1,0),
(102359,10121584,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(102360,10121584,'Resistibility increases against targets higher than level 59.',100,1,2),
(102361,82611,'When Equipped:',100,0,0),
(102362,82611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102363,82611,'Inflicts 100 - 185 magic damage on target',100,2,2),
(102364,82611,'Cannot be modified except by direct means',100,2,3),
(102365,10082611,'When Equipped:',100,0,0),
(102366,10082611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102367,10082611,'Inflicts 140 - 260 magic damage on target',100,2,2),
(102368,10082611,'Cannot be modified except by direct means',100,2,3),
(102369,111655,'Inflicts 375 - 459 cold damage on target encounter',100,1,0),
(102370,111655,'Slows target encounter by 40.0%',100,1,1),
(102371,111655,'5% chance to dispel when target takes damage',100,1,2),
(102372,111655,'5% chance to dispel when target receives hostile action',100,1,3),
(102373,10111655,'Inflicts 701 - 857 cold damage on target encounter',100,1,0),
(102374,10111655,'Slows target encounter by 40.0%',100,1,1),
(102375,10111655,'5% chance to dispel when target takes damage',100,1,2),
(102376,10111655,'5% chance to dispel when target receives hostile action',100,1,3),
(102377,100686,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(102378,100686,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(102379,100686,'Wards caster against 1164 points of all damage',100,3,2),
(102380,100686,'Heals caster for 1050',100,3,3),
(102381,100686,'Summons a limited pet to aid the caster',100,2,4),
(102382,100686,'Grants a total of 1 trigger of the spell.',100,2,5),
(102383,10100686,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(102384,10100686,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(102385,10100686,'Wards caster against 1164 points of all damage',100,3,2),
(102386,10100686,'Heals caster for 683',100,3,3),
(102387,10100686,'Summons a limited pet to aid the caster',100,2,4),
(102388,10100686,'Grants a total of 1 trigger of the spell.',100,2,5),
(102389,114742,'Inflicts 1618 - 2697 melee damage on target',100,1,0),
(102390,114742,'You must be in stealth.',100,1,1),
(102391,10114742,'Inflicts 1253 - 2089 melee damage on target',100,1,0),
(102392,10114742,'You must be in stealth.',100,1,1),
(102393,111562,'Inflicts 2892 - 5371 cold damage on target',100,1,0),
(102394,111562,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(102395,111562,'Stuns target',100,2,2),
(102396,111562,'Throws target back',100,2,3),
(102397,111562,'Blurs vision of target',100,2,4),
(102398,111562,'Does not affect Epic targets',100,2,5),
(102399,10111562,'Inflicts 2928 - 5437 cold damage on target',100,1,0),
(102400,10111562,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(102401,10111562,'Stuns target',100,2,2),
(102402,10111562,'Throws target back',100,2,3),
(102403,10111562,'Blurs vision of target',100,2,4),
(102404,10111562,'Does not affect Epic targets',100,2,5),
(102405,36741,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(102406,87334,'When Equipped:',100,0,0),
(102407,87334,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102408,87334,'Inflicts 129 - 194 magic damage on target',100,2,2),
(102409,87334,'Cannot be modified except by direct means',100,2,3),
(102410,10087334,'When Equipped:',100,0,0),
(102411,10087334,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102412,10087334,'Inflicts 181 - 271 magic damage on target',100,2,2),
(102413,10087334,'Cannot be modified except by direct means',100,2,3),
(102414,107051,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(102415,107051,'Inflicts 123 - 206 divine damage on target',100,2,1),
(102416,107051,'Inflicts 123 - 206 divine damage on target',100,2,2),
(102417,107051,'If target is undead',100,3,3),
(102418,10107051,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(102419,10107051,'Inflicts 288 - 480 divine damage on target',100,2,1),
(102420,82785,'When Equipped:',100,0,0),
(102421,82785,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102422,82785,'Decreases Threat to target by 1,174 ',100,2,2),
(102423,82785,'Must be flanking or behind',100,3,3),
(102424,82785,'Increases Threat to target by 1,174 ',100,2,4),
(102425,82785,'Must be in front of',100,3,5),
(102426,82785,'Inflicts 314 - 584 magic damage on target',100,2,6),
(102427,82785,'Cannot be modified except by direct means',100,2,7),
(102428,10082785,'When Equipped:',100,0,0),
(102429,10082785,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102430,10082785,'Inflicts 440 - 817 magic damage on target',100,2,2),
(102431,10082785,'Cannot be modified except by direct means',100,2,3),
(102432,116015,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(102433,116015,'Decreases threat priority of target by 1 position',100,2,1),
(102434,116015,'Decreases Hate Gain of target by 14.9%',100,1,2),
(102435,10116015,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(102436,10116015,'Forces target to clear their selected target.',100,2,1),
(102437,71647,'When Equipped:',100,0,0),
(102438,71647,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102439,71647,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(102440,71647,'Cannot be modified except by direct means',100,2,3),
(102441,10071647,'When Equipped:',100,0,0),
(102442,10071647,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102443,10071647,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(102444,10071647,'Cannot be modified except by direct means',100,2,3),
(102445,144666,'When Equipped:',100,0,0),
(102446,144666,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102447,144666,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(102448,144666,'Heals caster for 811 - 1217',100,2,3),
(102449,144666,'Cannot be modified except by direct means',100,2,4),
(102450,144666,'Cannot be modified except by direct means',100,1,5),
(102451,10144666,'When Equipped:',100,0,0),
(102452,10144666,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102453,10144666,'Inflicts 1705 - 2558 poison damage on target',100,2,2),
(102454,10144666,'Heals caster for 949 - 1424',100,2,3),
(102455,10144666,'Cannot be modified except by direct means',100,2,4),
(102456,10144666,'Cannot be modified except by direct means',100,1,5),
(102457,121540,'Inflicts 850 - 1417 melee damage on target',100,1,0),
(102458,121540,'Stuns target',100,1,1),
(102459,121540,'If Target is not Epic',100,2,2),
(102460,121540,'Resistibility increases against targets higher than level 121.',100,1,3),
(102461,10121540,'Inflicts 1105 - 1842 melee damage on target',100,1,0),
(102462,10121540,'Stuns target',100,1,1),
(102463,10121540,'If Target is not Epic',100,2,2),
(102464,10121540,'Resistibility increases against targets higher than level 121.',100,1,3),
(102465,119328,'Roots target',100,1,0),
(102466,119328,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(102467,119328,'Slows target by 65.2%',100,2,2),
(102468,119328,'5% chance to dispel when target receives hostile action',100,2,3),
(102469,119328,'5% chance to dispel when target takes damage',100,2,4),
(102470,119328,'15% chance to dispel when target takes damage',100,1,5),
(102471,119328,'Does not affect Epic targets',100,1,6),
(102472,119328,'Resistibility increases against targets higher than level 112.',100,1,7),
(102473,10119328,'Roots target',100,1,0),
(102474,10119328,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(102475,10119328,'Slows target by 65.2%',100,2,2),
(102476,10119328,'5% chance to dispel when target receives hostile action',100,2,3),
(102477,10119328,'5% chance to dispel when target takes damage',100,2,4),
(102478,10119328,'15% chance to dispel when target takes damage',100,1,5),
(102479,10119328,'Does not affect Epic targets',100,1,6),
(102480,10119328,'Resistibility increases against targets higher than level 112.',100,1,7),
(102481,52700,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(102482,52700,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(102483,52700,'Inflicts 128 heat damage on target',100,2,2),
(102484,52700,'Cannot be modified except by direct means',100,2,3),
(102485,10052700,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(102486,10052700,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(102487,10052700,'Inflicts 179 heat damage on target',100,2,2),
(102488,10052700,'Cannot be modified except by direct means',100,2,3),
(102489,159337,'When Equipped:',100,0,0),
(102490,159337,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(102491,159337,'Increases STA of caster by 11.9',100,2,2),
(102492,159337,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(102493,159337,'Cannot be modified except by direct means',100,2,4),
(102494,10159337,'When Equipped:',100,0,0),
(102495,10159337,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(102496,10159337,'Increases STA of caster by 11.9',100,2,2),
(102497,10159337,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(102498,10159337,'Cannot be modified except by direct means',100,2,4),
(102499,114421,'Mesmerizes target',100,1,0),
(102500,114421,'Prevents AOE (except when direct) ',100,1,1),
(102501,114421,'Dispelled when target takes damage',100,1,2),
(102502,114421,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(102503,114421,'Resistibility increases against targets higher than level 81.',100,1,4),
(102504,10114421,'Mesmerizes target',100,1,0),
(102505,10114421,'Prevents AOE (except when direct) ',100,1,1),
(102506,10114421,'Dispelled when target takes damage',100,1,2),
(102507,10114421,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(102508,10114421,'Resistibility increases against targets higher than level 81.',100,1,4),
(102509,105743,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(102510,105743,'Stuns target',100,2,1),
(102511,105743,'Throws target back',100,2,2),
(102512,105743,'Blurs vision of target',100,2,3),
(102513,105743,'Does not affect Epic targets',100,2,4),
(102514,105743,'Inflicts 821 - 1368 melee damage on targets in area',100,1,5),
(102515,10105743,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(102516,10105743,'Stuns target',100,2,1),
(102517,10105743,'Throws target back',100,2,2),
(102518,10105743,'Blurs vision of target',100,2,3),
(102519,10105743,'Does not affect Epic targets',100,2,4),
(102520,10105743,'Inflicts 1067 - 1779 melee damage on targets in area',100,1,5),
(102521,24076,'Adds Chardok: Di''Zok Honor Banner to your Dungeon Maker toolbox',100,0,0),
(102522,10024076,'Adds Chardok: Di''Zok Honor Banner to your Dungeon Maker toolbox',100,0,0),
(102523,80006,'Applies String of Insults when Activated.  Lasts for 24.0 seconds.',100,0,0),
(102524,80006,'Increases Hate Gain of caster by 5.0%',100,1,1),
(102525,80006,'The casting time of String of Insults is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(102526,80006,'When Equipped:',100,0,3),
(102527,80006,'Additional equipment with Vampire Bane improves this effect.',100,1,4),
(102528,80006,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(102529,80006,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(102530,80006,'Must be classified as a vampire',100,3,7),
(102531,80006,'Inflicts 787 divine damage on target',100,2,8),
(102532,80006,'Must be classified as a vampire',100,3,9),
(102533,80006,'Inflicts 393 divine damage on target',100,2,10),
(102534,80006,'Must not be classified as a vampire',100,3,11),
(102535,80006,'Cannot be modified except by direct means',100,2,12),
(102536,10080006,'Applies String of Insults when Activated.  Lasts for 24.0 seconds.',100,0,0),
(102537,10080006,'When Equipped:',100,0,1),
(102538,10080006,'Additional equipment with Vampire Bane improves this effect.',100,1,2),
(102539,10080006,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(102540,10080006,'Decreases Mitigation of target vs arcane damage by 574',100,2,4),
(102541,10080006,'Must be classified as a vampire',100,3,5),
(102542,10080006,'Inflicts 1102 divine damage on target',100,2,6),
(102543,10080006,'Must be classified as a vampire',100,3,7),
(102544,10080006,'Inflicts 551 divine damage on target',100,2,8),
(102545,10080006,'Must not be classified as a vampire',100,3,9),
(102546,10080006,'Cannot be modified except by direct means',100,2,10),
(102547,81870,'When Equipped:',100,0,0),
(102548,81870,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102549,81870,'Decreases Threat to target by 487 ',100,2,2),
(102550,81870,'Must be flanking or behind',100,3,3),
(102551,81870,'Increases Threat to target by 487 ',100,2,4),
(102552,81870,'Must be in front of',100,3,5),
(102553,81870,'Inflicts 141 - 262 magic damage on target',100,2,6),
(102554,81870,'Cannot be modified except by direct means',100,2,7),
(102555,10081870,'When Equipped:',100,0,0),
(102556,10081870,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102557,10081870,'Inflicts 198 - 367 magic damage on target',100,2,2),
(102558,10081870,'Cannot be modified except by direct means',100,2,3),
(102559,119552,'Wards group members (AE) against 990 points of arcane damage',100,1,0),
(102560,119552,'Increases Mitigation of group members (AE) vs arcane damage by 542',100,1,1),
(102561,10119552,'Wards group members (AE) against 990 points of arcane damage',100,1,0),
(102562,10119552,'Increases Mitigation of group members (AE) vs arcane damage by 542',100,1,1),
(102563,113765,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(102564,113765,'Inflicts 388 piercing damage on target',100,2,1),
(102565,113765,'Grants a total of 60 triggers of the spell.',100,2,2),
(102566,10113765,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(102567,10113765,'Inflicts 543 piercing damage on target',100,2,1),
(102568,10113765,'Grants a total of 60 triggers of the spell.',100,2,2),
(102569,36905,'Increases Max Health of target by 5.0',100,0,0),
(102570,36905,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(102571,47321,'Applies Thernig''s Rejuvenation  when Activated.',100,0,0),
(102572,47321,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(102573,10047321,'Applies Thernig''s Rejuvenation  when Activated.',100,0,0),
(102574,10047321,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(102575,121096,'Decreases Threat to targets in Area of Effect by 792 ',100,1,0),
(102576,121096,'Mesmerizes targets in Area of Effect',100,1,1),
(102577,121096,'If Target is not Epic',100,2,2),
(102578,121096,'Dispelled when target takes damage',100,1,3),
(102579,10121096,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(102580,10121096,'Applies Distract.',100,1,1),
(102581,10121096,'Forces target to clear their selected target.',100,2,2),
(102582,10121096,'Mesmerizes targets in Area of Effect',100,1,3),
(102583,10121096,'If Target is not Epic',100,2,4),
(102584,10121096,'Dispelled when target takes damage',100,1,5),
(102585,47376,'Applies Call Nightmare when Activated.',100,0,0),
(102586,47376,'Increases Mitigation of caster vs arcane damage by 200',100,1,1),
(102587,47376,'Summons a mount to ride',100,1,2),
(102588,47376,'Increases your ground speed by 130%',100,2,3),
(102589,47376,'Increases Mitigation of caster vs elemental and noxious damage by 200',100,1,4),
(102590,47376,'Requires evil alignment',100,1,5),
(102591,10047376,'Applies Call Nightmare when Activated.',100,0,0),
(102592,10047376,'Increases Mitigation of caster vs arcane damage by 200',100,1,1),
(102593,10047376,'Summons a mount to ride',100,1,2),
(102594,10047376,'Increases your ground speed by 130%',100,2,3),
(102595,10047376,'Increases Mitigation of caster vs elemental and noxious damage by 200',100,1,4),
(102596,10047376,'Requires evil alignment',100,1,5),
(102597,101761,'Heals group members (AE) for 148 - 181 instantly and every 2 seconds',100,1,0),
(102598,10101761,'Heals group members (AE) for 96 - 118 instantly and every 2 seconds',100,1,0),
(102599,36943,'Increases STA of target by 1.6',100,0,0),
(102600,36943,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(102601,24144,'Adds Boss: Coldain (Paladin) to your Dungeon Maker toolbox',100,0,0),
(102602,10024144,'Adds Boss: Coldain (Paladin) to your Dungeon Maker toolbox',100,0,0),
(102603,108671,'Dispels 135 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(102604,10108671,'Dispels 135 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(102605,47940,'Applies Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(102606,47940,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(102607,47940,'Inflicts 365 poison damage on target',100,2,2),
(102608,47940,'Inflicts 189 poison damage on target instantly and every 6 seconds',100,2,3),
(102609,47940,'Cannot be modified except by direct means',100,2,4),
(102610,47940,'Grants a total of 200 triggers of the spell.',100,2,5),
(102611,47940,'Only affects targets level 50 and above',100,1,6),
(102612,10047940,'Applies Scalding Blood when Activated.  Lasts for 12 hours.',100,0,0),
(102613,10047940,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(102614,10047940,'Inflicts 198 poison damage on target instantly and every 6 seconds',100,2,2),
(102615,10047940,'Inflicts 384 poison damage on target',100,2,3),
(102616,10047940,'Cannot be modified except by direct means',100,2,4),
(102617,10047940,'Grants a total of 200 triggers of the spell.',100,2,5),
(102618,10047940,'Only affects targets level 50 and above',100,1,6),
(102619,35014,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(102620,52712,'Applies Sanguine Imbued when Equipped.',100,0,0),
(102621,52712,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(102622,52712,'Inflicts 51 heat damage on target',100,2,2),
(102623,52712,'Cannot be modified except by direct means',100,2,3),
(102624,10052712,'Applies Sanguine Imbued when Equipped.',100,0,0),
(102625,10052712,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(102626,10052712,'Inflicts 71 heat damage on target',100,2,2),
(102627,10052712,'Cannot be modified except by direct means',100,2,3),
(102628,100051,'Decreases STR, AGI and WIS of target by 66.9',100,1,0),
(102629,10100051,'Decreases STR, AGI and WIS of target by 66.9',100,1,0),
(102630,36315,'Increases AGI, STA, STR, WIS and INT of target by 1.7',100,0,0),
(102631,36315,'Increases Out-of-Combat Power Regeneration of target by 16.8',100,0,1),
(102632,80172,'When Equipped:',100,0,0),
(102633,80172,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102634,80172,'Decreases Threat to target by 801 ',100,2,2),
(102635,80172,'Must be flanking or behind',100,3,3),
(102636,80172,'Increases Threat to target by 801 ',100,2,4),
(102637,80172,'Must be in front of',100,3,5),
(102638,80172,'Inflicts 224 - 415 magic damage on target',100,2,6),
(102639,80172,'Cannot be modified except by direct means',100,2,7),
(102640,10080172,'When Equipped:',100,0,0),
(102641,10080172,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(102642,10080172,'Inflicts 313 - 581 magic damage on target',100,2,2),
(102643,10080172,'Cannot be modified except by direct means',100,2,3),
(102644,25979,'When Equipped:',100,0,0),
(102645,25979,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(102646,25979,'Inflicts 162 heat damage on target',100,2,2),
(102647,25979,'Inflicts 19 heat damage on target every 5 seconds',100,2,3),
(102648,25979,'Cannot be modified except by direct means',100,2,4),
(102649,10025979,'When Equipped:',100,0,0),
(102650,10025979,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(102651,10025979,'Inflicts 226 heat damage on target',100,2,2),
(102652,10025979,'Inflicts 27 heat damage on target every 5 seconds',100,2,3),
(102653,10025979,'Cannot be modified except by direct means',100,2,4),
(102654,102133,'Inflicts 37 - 61 melee damage on target',100,1,0),
(102655,102133,'Inflicts 37 - 61 melee damage on target',100,1,1),
(102656,10102133,'Inflicts 48 - 80 melee damage on target',100,1,0),
(102657,10102133,'Inflicts 48 - 80 melee damage on target',100,1,1),
(102658,72096,'When Equipped:',100,0,0),
(102659,72096,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102660,72096,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(102661,72096,'Cannot be modified except by direct means',100,2,3),
(102662,10072096,'When Equipped:',100,0,0),
(102663,10072096,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102664,10072096,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(102665,10072096,'Cannot be modified except by direct means',100,2,3),
(102666,116859,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(102667,116859,'Inflicts 668 - 816 mental damage on target',100,2,1),
(102668,116859,'Grants a total of 3 triggers of the spell.',100,2,2),
(102669,10116859,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(102670,10116859,'Inflicts 935 - 1142 mental damage on target',100,2,1),
(102671,10116859,'Grants a total of 3 triggers of the spell.',100,2,2),
(102672,47591,'Applies Lesser Regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(102673,47591,'Heals caster for 16 instantly and every 5 seconds',100,1,1),
(102674,10047591,'Applies Lesser Regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(102675,10047591,'Heals caster for 10 instantly and every 5 seconds',100,1,1),
(102676,185443,'When Equipped:',100,0,0),
(102677,185443,'Adds an additional trigger chance increase to Cacophony of Blades II and Perfection of the Maestro II.',100,1,1),
(102678,10185443,'When Equipped:',100,0,0),
(102679,10185443,'Adds an additional trigger chance increase to Cacophony of Blades II and Perfection of the Maestro II.',100,1,1),
(102680,72035,'When Equipped:',100,0,0),
(102681,72035,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102682,72035,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(102683,72035,'Cannot be modified except by direct means',100,2,3),
(102684,10072035,'When Equipped:',100,0,0),
(102685,10072035,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102686,10072035,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(102687,10072035,'Cannot be modified except by direct means',100,2,3),
(102688,120890,'Stifles target',100,1,0),
(102689,120890,'Inflicts 467 - 570 mental damage on target',100,1,1),
(102690,120890,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,2),
(102691,120890,'Resistibility increases against targets higher than level 73.',100,1,3),
(102692,10120890,'Stifles target',100,1,0),
(102693,10120890,'Inflicts 653 - 798 mental damage on target',100,1,1),
(102694,10120890,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(102695,10120890,'Resistibility increases against targets higher than level 73.',100,1,3),
(102696,171084,'When Equipped:',100,0,0),
(102697,171084,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102698,171084,'Inflicts 1998 poison damage on target',100,2,2),
(102699,171084,'Cannot be modified except by direct means',100,2,3),
(102700,10171084,'When Equipped:',100,0,0),
(102701,10171084,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(102702,10171084,'Inflicts 1399 poison damage on target',100,2,2),
(102703,10171084,'Cannot be modified except by direct means',100,2,3),
(102704,114988,'Inflicts 345 - 575 ranged damage on targets in area',100,1,0),
(102705,114988,'You must be in stealth to use this!',100,1,1),
(102706,114988,'Requires bow',100,1,2),
(102707,10114988,'Inflicts 293 - 489 ranged damage on targets in area',100,1,0),
(102708,10114988,'You must be in stealth to use this!',100,1,1),
(102709,10114988,'Requires bow',100,1,2),
(102710,117871,'Heals target for 246 - 300 instantly and every 2 seconds',100,1,0),
(102711,10117871,'Heals target for 160 - 195 instantly and every 2 seconds',100,1,0),
(102712,106899,'Inflicts 483 - 805 melee damage on target',100,1,0),
(102713,106899,'Decreases Mitigation of target vs all damage by 2640',100,1,1),
(102714,106899,'Must be behind',100,1,2),
(102715,10106899,'Inflicts 628 - 1047 melee damage on target',100,1,0),
(102716,10106899,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 825',100,1,1),
(102717,10106899,'Decreases Mitigation of target vs physical damage by 726',100,1,2),
(102718,10106899,'Must be behind',100,1,3),
(102719,173439,'When Equipped:',100,0,0),
(102720,173439,'On a healing spell cast this spell may cast Embodied Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(102721,173439,'Increases Defense of caster by 35.0',100,2,2),
(102722,173439,'Heals caster for 964',100,2,3),
(102723,173439,'Must not be engaged in pvp combat',100,2,4),
(102724,173439,'Cannot be modified except by direct means',100,2,5),
(102725,173439,'On any combat or spell hit this spell may cast Embodied Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(102726,173439,'Increases Defense of caster by 35.0',100,2,7),
(102727,173439,'Heals caster for 964',100,2,8),
(102728,173439,'Must not be engaged in pvp combat',100,2,9),
(102729,173439,'Cannot be modified except by direct means',100,2,10),
(102730,10173439,'When Equipped:',100,0,0),
(102731,10173439,'On a healing spell cast this spell may cast Embodied Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(102732,10173439,'Increases Defense of caster by 35.0',100,2,2),
(102733,10173439,'Heals caster for 627',100,2,3),
(102734,10173439,'Must not be engaged in pvp combat',100,2,4),
(102735,10173439,'Cannot be modified except by direct means',100,2,5),
(102736,10173439,'On any combat or spell hit this spell may cast Embodied Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(102737,10173439,'Increases Defense of caster by 35.0',100,2,7),
(102738,10173439,'Heals caster for 627',100,2,8),
(102739,10173439,'Must not be engaged in pvp combat',100,2,9),
(102740,10173439,'Cannot be modified except by direct means',100,2,10),
(102741,36138,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(102742,36138,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(102743,115947,'Inflicts 1071 - 1785 melee damage on target',100,1,0),
(102744,115947,'Roots target',100,1,1),
(102745,115947,'If Target is not Epic',100,2,2),
(102746,115947,'5% chance to dispel when target takes damage',100,1,3),
(102747,115947,'Resistibility increases against targets higher than level 102.',100,1,4),
(102748,10115947,'Inflicts 1392 - 2321 melee damage on target',100,1,0),
(102749,10115947,'Roots target',100,1,1),
(102750,10115947,'If Target is not Epic',100,2,2),
(102751,10115947,'5% chance to dispel when target takes damage',100,1,3),
(102752,10115947,'Resistibility increases against targets higher than level 102.',100,1,4),
(102753,102710,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(102754,102710,'Inflicts 373 - 622 heat damage on target',100,2,1),
(102755,102710,'Grants a total of 5 triggers of the spell.',100,2,2),
(102756,102710,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(102757,102710,'Inflicts 373 - 622 heat damage on target',100,2,4),
(102758,102710,'Grants a total of 5 triggers of the spell.',100,2,5),
(102759,10102710,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(102760,10102710,'Inflicts 522 - 870 heat damage on target',100,2,1),
(102761,10102710,'Grants a total of 5 triggers of the spell.',100,2,2),
(102762,10102710,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(102763,10102710,'Inflicts 522 - 870 heat damage on target',100,2,4),
(102764,10102710,'Grants a total of 5 triggers of the spell.',100,2,5),
(102765,122462,'Inflicts 1488 - 2480 magic damage on target',100,1,0),
(102766,10122462,'Inflicts 2083 - 3472 magic damage on target',100,1,0),
(102767,113307,'Inflicts 161 - 269 heat damage on target',100,1,0),
(102768,10113307,'Inflicts 318 - 530 heat damage on target',100,1,0),
(102769,107299,'Decreases WIS of target by 6.5',100,1,0),
(102770,107299,'Decreases Defense of target by 2.1',100,1,1),
(102771,10107299,'Decreases WIS of target by 6.5',100,1,0),
(102772,10107299,'Decreases Defense of target by 2.1',100,1,1),
(102773,118024,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(102774,118024,'Stuns target',100,2,1),
(102775,118024,'If Target is not Epic',100,3,2),
(102776,118024,'Inflicts 167 - 278 divine damage on target',100,2,3),
(102777,118024,'Grants a total of 3 triggers of the spell.',100,2,4),
(102778,10118024,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(102779,10118024,'Stuns target',100,2,1),
(102780,10118024,'If Target is not Epic',100,3,2),
(102781,10118024,'Inflicts 233 - 389 divine damage on target',100,2,3),
(102782,10118024,'Grants a total of 3 triggers of the spell.',100,2,4),
(102783,119244,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(102784,119244,'If profession other than Fighter',100,1,1),
(102785,119244,'If profession other than Scout',100,1,2),
(102786,10119244,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(102787,10119244,'If profession other than Fighter',100,1,1),
(102788,10119244,'If profession other than Scout',100,1,2),
(102789,46029,'Applies Echo''s Call when Activated.  Lasts for 2.0 seconds.',100,0,0),
(102790,46029,'Removes echo infused curse effects.',100,1,1),
(102791,46029,'Interrupts target',100,1,2),
(102792,46029,'Inflicts 108 magic damage on target',100,1,3),
(102793,46029,'If any of the following are true:',100,1,4),
(102794,46029,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(102795,46029,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(102796,46029,'Cannot be modified except by direct means',100,1,7),
(102797,10046029,'Applies Echo''s Call when Activated.  Lasts for 2.0 seconds.',100,0,0),
(102798,10046029,'Removes echo infused curse effects.',100,1,1),
(102799,10046029,'Interrupts target',100,1,2),
(102800,10046029,'Inflicts 151 magic damage on target',100,1,3),
(102801,10046029,'If any of the following are true:',100,1,4),
(102802,10046029,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(102803,10046029,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(102804,10046029,'Cannot be modified except by direct means',100,1,7),
(102805,136660,'When Equipped:',100,0,0),
(102806,136660,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(102807,136660,'Wards caster against 720 points of all damage',100,2,2),
(102808,136660,'Cannot be modified except by direct means',100,2,3),
(102809,136660,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(102810,136660,'Wards caster against 720 points of all damage',100,2,5),
(102811,136660,'Cannot be modified except by direct means',100,2,6),
(102812,10136660,'When Equipped:',100,0,0),
(102813,10136660,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(102814,10136660,'Wards caster against 360 points of all damage',100,2,2),
(102815,10136660,'Cannot be modified except by direct means',100,2,3),
(102816,10136660,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(102817,10136660,'Wards caster against 360 points of all damage',100,2,5),
(102818,10136660,'Cannot be modified except by direct means',100,2,6),
(102819,153982,'When Equipped:',100,0,0),
(102820,153982,'Increases Attack Speed of caster by 25.0',100,1,1),
(102821,10153982,'When Equipped:',100,0,0),
(102822,10153982,'Increases Attack Speed of caster by 25.0',100,1,1),
(102823,101147,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(102824,101147,'Inflicts 351 ranged damage on target',100,2,1),
(102825,101147,'Decreases Defense of caster by 17.7',100,1,2),
(102826,101147,'Increases Crushing, Piercing, Ranged and Slashing of caster by 31.9',100,1,3),
(102827,10101147,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(102828,10101147,'Inflicts 298 ranged damage on target',100,2,1),
(102829,10101147,'Decreases Defense of caster by 17.7',100,1,2),
(102830,10101147,'Increases Crushing, Piercing, Ranged and Slashing of caster by 31.9',100,1,3),
(102831,107927,'Mesmerizes target',100,1,0),
(102832,107927,'Prevents AOE (except when direct) ',100,1,1),
(102833,107927,'Dispelled when target takes damage',100,1,2),
(102834,107927,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(102835,107927,'Resistibility increases against targets higher than level 67.',100,1,4),
(102836,10107927,'Mesmerizes target',100,1,0),
(102837,10107927,'Prevents AOE (except when direct) ',100,1,1),
(102838,10107927,'Dispelled when target takes damage',100,1,2),
(102839,10107927,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(102840,10107927,'Resistibility increases against targets higher than level 67.',100,1,4),
(102841,106599,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(102842,10106599,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(102843,102433,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(102844,102433,'Heals target for 96 - 117',100,2,1),
(102845,102433,'Grants a total of 5 triggers of the spell.',100,2,2),
(102846,10102433,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(102847,10102433,'Heals target for 62 - 76',100,2,1),
(102848,10102433,'Grants a total of 5 triggers of the spell.',100,2,2),
(102849,112733,'Inflicts 698 - 1163 disease damage on target encounter',100,1,0),
(102850,10112733,'Inflicts 977 - 1628 disease damage on target encounter',100,1,0),
(102851,105286,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(102852,105286,'Inflicts 80 - 134 mental damage on target',100,2,1),
(102853,105286,'Increases AGI of caster by 73.2',100,1,2),
(102854,105286,'Adds 21.8% to base avoidance.',100,1,3),
(102855,105286,'Increases Mitigation of caster vs physical damage by 265',100,1,4),
(102856,105286,'Increases Mitigation of caster vs elemental and arcane damage by 590',100,1,5),
(102857,105286,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(102858,105286,'Inflicts 80 - 134 mental damage on target',100,2,7),
(102859,105286,'Increases Mitigation of caster vs noxious damage by 590',100,1,8),
(102860,10105286,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(102861,10105286,'Inflicts 112 - 187 mental damage on target',100,2,1),
(102862,10105286,'Increases AGI of caster by 73.2',100,1,2),
(102863,10105286,'Adds 21.8% to base avoidance.',100,1,3),
(102864,10105286,'Increases Mitigation of caster vs physical damage by 265',100,1,4),
(102865,10105286,'Increases Mitigation of caster vs elemental and arcane damage by 590',100,1,5),
(102866,10105286,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(102867,10105286,'Inflicts 112 - 187 mental damage on target',100,2,7),
(102868,10105286,'Increases Mitigation of caster vs noxious damage by 590',100,1,8),
(102869,71900,'When Equipped:',100,0,0),
(102870,71900,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102871,71900,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(102872,71900,'Cannot be modified except by direct means',100,2,3),
(102873,10071900,'When Equipped:',100,0,0),
(102874,10071900,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(102875,10071900,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(102876,10071900,'Cannot be modified except by direct means',100,2,3),
(102877,81367,'When Equipped:',100,0,0),
(102878,81367,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102879,81367,'Inflicts 94 - 174 magic damage on target',100,2,2),
(102880,81367,'Cannot be modified except by direct means',100,2,3),
(102881,10081367,'When Equipped:',100,0,0),
(102882,10081367,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(102883,10081367,'Inflicts 131 - 244 magic damage on target',100,2,2),
(102884,10081367,'Cannot be modified except by direct means',100,2,3),
(102885,35130,'Increases Max Power of target by 4.1',100,0,0),
(102886,35130,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(102887,70855,'Applies Artisan''s Escape when Activated.',100,0,0),
(102888,70855,'Teleports caster within the zone',100,1,1),
(102889,70855,'Must not be engaged in combat',100,2,2),
(102890,70855,'Must not be engaged in pvp combat',100,2,3),
(102891,70855,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(102892,10070855,'Applies Artisan''s Escape when Activated.',100,0,0),
(102893,10070855,'Teleports caster within the zone',100,1,1),
(102894,10070855,'Must not be engaged in combat',100,2,2),
(102895,10070855,'Must not be engaged in pvp combat',100,2,3),
(102896,10070855,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(102897,113880,'Increases power of target by 131',100,1,0),
(102898,10113880,'Increases power of target by 131',100,1,0),
(102899,163696,'When Equipped:',100,0,0),
(102900,163696,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(102901,163696,'Increases Threat to target by 4,000 ',100,2,2),
(102902,163696,'Inflicts 1390 mental damage on target',100,2,3),
(102903,163696,'Cannot be modified except by direct means',100,2,4),
(102904,163696,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(102905,163696,'Increases Threat to target by 4,000 ',100,2,6),
(102906,163696,'Inflicts 1390 mental damage on target',100,2,7),
(102907,163696,'Cannot be modified except by direct means',100,2,8),
(102908,10163696,'When Equipped:',100,0,0),
(102909,10163696,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(102910,10163696,'Inflicts 1946 mental damage on target',100,2,2),
(102911,10163696,'Cannot be modified except by direct means',100,2,3),
(102912,10163696,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(102913,10163696,'Inflicts 1946 mental damage on target',100,2,5),
(102914,10163696,'Cannot be modified except by direct means',100,2,6),
(102915,118810,'Wards group members (AE) against 83 points of physical damage',100,1,0),
(102916,118810,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,1),
(102917,10118810,'Wards group members (AE) against 83 points of physical damage',100,1,0),
(102918,10118810,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,1),
(102919,46466,'Applies Call Ghostly Dark Armor Albino Warg when Activated.',100,0,0),
(102920,46466,'Increases Ordination, Subjugation, Focus, Ministration and Disruption of caster by 5.0',100,1,1),
(102921,46466,'Summons a mount to ride',100,1,2),
(102922,46466,'Increases your ground speed by 130%',100,2,3),
(102923,10046466,'Applies Call Ghostly Dark Armor Albino Warg when Activated.',100,0,0),
(102924,10046466,'Increases Ordination, Subjugation, Focus, Ministration and Disruption of caster by 5.0',100,1,1),
(102925,10046466,'Summons a mount to ride',100,1,2),
(102926,10046466,'Increases your ground speed by 130%',100,2,3),
(102927,111263,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(102928,111263,'Increases Mitigation of target vs physical damage by 880',100,2,1),
(102929,111263,'Heals target for 1330',100,2,2),
(102930,111263,'Grants a total of 1 trigger of the spell.',100,2,3),
(102931,10111263,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(102932,10111263,'Increases Mitigation of target vs physical damage by 880',100,2,1),
(102933,10111263,'Heals target for 864',100,2,2),
(102934,10111263,'Grants a total of 1 trigger of the spell.',100,2,3),
(102935,122378,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(102936,122378,'Inflicts 1 piercing damage on target encounter',100,2,1),
(102937,10122378,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(102938,10122378,'Inflicts 1 - 2 piercing damage on target encounter',100,2,1),
(102939,104426,'Interrupts target encounter',100,1,0),
(102940,104426,'Applies Stumble on termination.',100,1,1),
(102941,104426,'Interrupts target',100,2,2),
(102942,104426,'Inflicts 9 - 11 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(102943,10104426,'Interrupts target encounter',100,1,0),
(102944,10104426,'Applies Stumble on termination.',100,1,1),
(102945,10104426,'Interrupts target',100,2,2),
(102946,10104426,'Inflicts 13 - 16 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(102947,36327,'Increases AGI and STA of target by 5.8',100,0,0),
(102948,36327,'Increases Damage Per Second of target by 10.0',100,0,1),
(102949,36327,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(102950,102800,'Summons 3 limited pets to aid the caster',100,1,0),
(102951,10102800,'Summons 3 limited pets to aid the caster',100,1,0),
(102952,47249,'Applies Iony''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(102953,47249,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(102954,10047249,'Applies Iony''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(102955,10047249,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(102956,103873,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(102957,103873,'Slows target by 47.3%',100,2,1),
(102958,103873,'5% chance to dispel when target receives hostile action',100,2,2),
(102959,103873,'5% chance to dispel when target takes damage',100,2,3),
(102960,103873,'Decreases Mitigation of target vs noxious damage by 1430',100,1,4),
(102961,10103873,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(102962,10103873,'Slows target by 47.3%',100,2,1),
(102963,10103873,'5% chance to dispel when target receives hostile action',100,2,2),
(102964,10103873,'5% chance to dispel when target takes damage',100,2,3),
(102965,10103873,'Decreases Mitigation of target vs noxious damage by 1430',100,1,4),
(102966,100223,'Increases Threat to target encounter by 724 - 885 ',100,1,0),
(102967,100223,'Interrupts target encounter',100,1,1),
(102968,10100223,'Interrupts target encounter',100,1,0),
(102969,10100223,'Forces target encounter to change their selected target to caster.',100,1,1),
(102970,10100223,'Prevents target encounter from changing targets',100,1,2),
(102971,100961,'Dazes target',100,1,0),
(102972,100961,'Inflicts 606 - 741 mental damage on target',100,1,1),
(102973,100961,'Epic targets gain an immunity to Daze effects of 39.2 seconds and duration is reduced to 4.4 seconds.',100,1,2),
(102974,100961,'Resistibility increases against targets higher than level 107.',100,1,3),
(102975,10100961,'Dazes target',100,1,0),
(102976,10100961,'Inflicts 849 - 1037 mental damage on target',100,1,1),
(102977,10100961,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(102978,10100961,'Resistibility increases against targets higher than level 107.',100,1,3),
(102979,45535,'Applies Aegis of the Silverback  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(102980,45535,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(102981,45535,'Inflicts 4 magic damage on target',100,2,2),
(102982,45535,'Cannot be modified except by direct means',100,2,3),
(102983,10045535,'Applies Aegis of the Silverback  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(102984,10045535,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(102985,10045535,'Inflicts 5 magic damage on target',100,2,2),
(102986,10045535,'Cannot be modified except by direct means',100,2,3),
(102987,120135,'Decreases STR and INT of target by 34.2',100,1,0),
(102988,120135,'Increases STR and INT of caster by 34.2',100,1,1),
(102989,10120135,'Decreases STR and INT of target by 34.2',100,1,0),
(102990,10120135,'Increases STR and INT of caster by 34.2',100,1,1),
(102991,109466,'Inflicts 21 - 36 cold damage on target',100,1,0),
(102992,10109466,'Inflicts 28 - 47 cold damage on target',100,1,0),
(102993,157325,'When Equipped:',100,0,0),
(102994,157325,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(102995,157325,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(102996,157325,'Dispelled when target casts a hostile spell',100,2,3),
(102997,157325,'Dispelled when target casts a combat art',100,2,4),
(102998,157325,'Cannot be modified except by direct means',100,2,5),
(102999,10157325,'When Equipped:',100,0,0),
(103000,10157325,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(103001,10157325,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(103002,10157325,'Dispelled when target casts a hostile spell',100,2,3),
(103003,10157325,'Dispelled when target casts a combat art',100,2,4),
(103004,10157325,'Cannot be modified except by direct means',100,2,5),
(103005,114000,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(103006,114000,'Inflicts 97 - 162 melee damage on target',100,2,1),
(103007,114000,'Increases Threat to target by 406 ',100,2,2),
(103008,10114000,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(103009,10114000,'Inflicts 126 - 210 melee damage on target',100,2,1),
(103010,121058,'Increases STR and STA of group members (AE) by 23.4',100,1,0),
(103011,10121058,'Increases STR and STA of group members (AE) by 23.4',100,1,0),
(103012,105304,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(103013,105304,'Inflicts 247 - 412 mental damage on target',100,2,1),
(103014,105304,'Increases AGI of caster by 189.7',100,1,2),
(103015,105304,'Adds 21.8% to base avoidance.',100,1,3),
(103016,105304,'Increases Mitigation of caster vs physical damage by 676',100,1,4),
(103017,105304,'Increases Mitigation of caster vs elemental and arcane damage by 1507',100,1,5),
(103018,105304,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(103019,105304,'Inflicts 247 - 412 mental damage on target',100,2,7),
(103020,105304,'Increases Mitigation of caster vs noxious damage by 1507',100,1,8),
(103021,10105304,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(103022,10105304,'Inflicts 346 - 577 mental damage on target',100,2,1),
(103023,10105304,'Increases AGI of caster by 189.7',100,1,2),
(103024,10105304,'Adds 21.8% to base avoidance.',100,1,3),
(103025,10105304,'Increases Mitigation of caster vs physical damage by 676',100,1,4),
(103026,10105304,'Increases Mitigation of caster vs elemental and arcane damage by 1507',100,1,5),
(103027,10105304,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(103028,10105304,'Inflicts 346 - 577 mental damage on target',100,2,7),
(103029,10105304,'Increases Mitigation of caster vs noxious damage by 1507',100,1,8),
(103030,123293,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(103031,123293,'Inflicts 202 - 336 disease damage on target',100,2,1),
(103032,123293,'Heals caster for 1.0 - 1.8% of max health',100,2,2),
(103033,123293,'This effect cannot be critically applied.',100,3,3),
(103034,123293,'The healing of this spell cannot be modified except by direct means',100,2,4),
(103035,10123293,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(103036,10123293,'Inflicts 282 - 471 disease damage on target',100,2,1),
(103037,10123293,'Heals caster for 0.4 - 0.6% of max health',100,2,2),
(103038,10123293,'This effect cannot be critically applied.',100,3,3),
(103039,10123293,'The healing of this spell cannot be modified except by direct means',100,2,4),
(103040,104476,'Decreases Mitigation of target encounter vs physical damage by 384',100,1,0),
(103041,10104476,'Decreases Mitigation of target encounter vs physical damage by 384',100,1,0),
(103042,107321,'Decreases WIS of target by 60.2',100,1,0),
(103043,107321,'Decreases Defense of target by 23.0',100,1,1),
(103044,10107321,'Decreases WIS of target by 60.2',100,1,0),
(103045,10107321,'Decreases Defense of target by 23.0',100,1,1),
(103046,124151,'Inflicts 252 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(103047,124151,'Applies Banshee''s Scream on termination.',100,1,1),
(103048,124151,'Inflicts 756 - 1260 disease damage on target',100,2,2),
(103049,10124151,'Inflicts 353 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(103050,10124151,'Applies Banshee''s Scream on termination.',100,1,1),
(103051,10124151,'Inflicts 1059 - 1765 disease damage on target',100,2,2),
(103052,124260,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(103053,124260,'Increases Attack Speed of target by 15.0',100,2,1),
(103054,124260,'Increases Damage Per Second of target by 15.0',100,2,2),
(103055,124260,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(103056,124260,'Increases Attack Speed of target by 15.0',100,2,4),
(103057,124260,'Increases Damage Per Second of target by 15.0',100,2,5),
(103058,124260,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(103059,124260,'Increases Attack Speed of target by 15.0',100,2,7),
(103060,124260,'Increases Damage Per Second of target by 15.0',100,2,8),
(103061,10124260,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(103062,10124260,'Increases Attack Speed of target by 15.0',100,2,1),
(103063,10124260,'Increases Damage Per Second of target by 15.0',100,2,2),
(103064,10124260,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(103065,10124260,'Increases Attack Speed of target by 15.0',100,2,4),
(103066,10124260,'Increases Damage Per Second of target by 15.0',100,2,5),
(103067,10124260,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(103068,10124260,'Increases Attack Speed of target by 15.0',100,2,7),
(103069,10124260,'Increases Damage Per Second of target by 15.0',100,2,8),
(103070,172359,'When Equipped:',100,0,0),
(103071,172359,'When damaged with a melee weapon this spell has a 5% chance to cast Leviathan''s Revenge on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(103072,172359,'Applies Leviathan''s Burnout on termination.',100,2,2),
(103073,172359,'Inflicts 25.0% of max health in mental damage on caster',100,3,3),
(103074,172359,'Increases Hate Gain of caster by 20.0%',100,2,4),
(103075,172359,'Enlarges caster by 30.0%',100,2,5),
(103076,172359,'Increases damage done by Combat Arts by up to 300.',100,2,6),
(103077,172359,'Cannot be modified except by direct means',100,2,7),
(103078,10172359,'When Equipped:',100,0,0),
(103079,10172359,'When damaged with a melee weapon this spell has a 5% chance to cast Leviathan''s Revenge on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(103080,10172359,'Applies Leviathan''s Burnout on termination.',100,2,2),
(103081,10172359,'Inflicts 35.0% of max health in mental damage on caster',100,3,3),
(103082,10172359,'Enlarges caster by 30.0%',100,2,4),
(103083,10172359,'Increases damage done by Combat Arts by up to 300.',100,2,5),
(103084,10172359,'Cannot be modified except by direct means',100,2,6),
(103085,119874,'Increases INT and AGI of group members (AE) by 31.0',100,1,0),
(103086,119874,'Adds 1.6% to base avoidance.',100,1,1),
(103087,10119874,'Increases INT and AGI of group members (AE) by 31.0',100,1,0),
(103088,10119874,'Adds 1.6% to base avoidance.',100,1,1),
(103089,87115,'When Equipped:',100,0,0),
(103090,87115,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103091,87115,'Inflicts 204 - 307 magic damage on target',100,2,2),
(103092,87115,'Cannot be modified except by direct means',100,2,3),
(103093,10087115,'When Equipped:',100,0,0),
(103094,10087115,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103095,10087115,'Inflicts 286 - 429 magic damage on target',100,2,2),
(103096,10087115,'Cannot be modified except by direct means',100,2,3),
(103097,87099,'Applies Fire Ball when Activated.',100,0,0),
(103098,87099,'Inflicts 294 - 490 heat damage on target',100,1,1),
(103099,87099,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(103100,10087099,'Applies Fire Ball when Activated.',100,0,0),
(103101,10087099,'Inflicts 411 - 685 heat damage on target',100,1,1),
(103102,10087099,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(103103,171121,'When Equipped:',100,0,0),
(103104,171121,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(103105,10171121,'When Equipped:',100,0,0),
(103106,10171121,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(103107,121482,'Inflicts 100 - 166 melee damage on target',100,1,0),
(103108,121482,'Decreases Defense of target by 3.6',100,1,1),
(103109,10121482,'Inflicts 130 - 217 melee damage on target',100,1,0),
(103110,10121482,'Decreases Defense of target by 3.6',100,1,1),
(103111,159625,'When Equipped:',100,0,0),
(103112,159625,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(103113,159625,'Increases STA of caster by 23.1',100,2,2),
(103114,159625,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(103115,159625,'Cannot be modified except by direct means',100,2,4),
(103116,10159625,'When Equipped:',100,0,0),
(103117,10159625,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(103118,10159625,'Increases STA of caster by 23.1',100,2,2),
(103119,10159625,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(103120,10159625,'Cannot be modified except by direct means',100,2,4),
(103121,187507,'When Equipped:',100,0,0),
(103122,187507,'Increases base Healing amount by 8%.',100,1,1),
(103123,10187507,'When Equipped:',100,0,0),
(103124,10187507,'Increases base Healing amount by 8%.',100,1,1),
(103125,113896,'Increases power of target by 324',100,1,0),
(103126,10113896,'Increases power of target by 324',100,1,0),
(103127,80524,'When Equipped:',100,0,0),
(103128,80524,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(103129,80524,'Decreases Threat to target by 1,219 ',100,2,2),
(103130,80524,'Must be flanking or behind',100,3,3),
(103131,80524,'Increases Threat to target by 1,219 ',100,2,4),
(103132,80524,'Must be in front of',100,3,5),
(103133,80524,'Inflicts 424 - 788 magic damage on target',100,2,6),
(103134,80524,'Cannot be modified except by direct means',100,2,7),
(103135,10080524,'When Equipped:',100,0,0),
(103136,10080524,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(103137,10080524,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(103138,10080524,'Cannot be modified except by direct means',100,2,3),
(103139,102965,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(103140,102965,'Heals caster for 100.0% of max health',100,2,1),
(103141,102965,'This effect cannot be critically applied.',100,3,2),
(103142,102965,'Grants a total of 1 trigger of the spell.',100,2,3),
(103143,102965,'This effect cannot be cast during combat',100,1,4),
(103144,10102965,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(103145,10102965,'Heals caster for 65.0% of max health',100,2,1),
(103146,10102965,'This effect cannot be critically applied.',100,3,2),
(103147,10102965,'Grants a total of 1 trigger of the spell.',100,2,3),
(103148,10102965,'This effect cannot be cast during combat',100,1,4),
(103149,163237,'When Equipped:',100,0,0),
(103150,163237,'On a critical spell hit this spell may cast Arcane Vulnerability II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103151,163237,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 250',100,2,2),
(103152,163237,'Must not be engaged in pvp combat',100,2,3),
(103153,163237,'Cannot be modified except by direct means',100,2,4),
(103154,163237,'On a critical combat hit this spell may cast Arcane Vulnerability II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(103155,163237,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 250',100,2,6),
(103156,163237,'Must not be engaged in pvp combat',100,2,7),
(103157,163237,'Cannot be modified except by direct means',100,2,8),
(103158,163237,'Must not be engaged in pvp combat',100,1,9),
(103159,10163237,'When Equipped:',100,0,0),
(103160,10163237,'On a critical spell hit this spell may cast Arcane Vulnerability II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103161,10163237,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 250',100,2,2),
(103162,10163237,'Must not be engaged in pvp combat',100,2,3),
(103163,10163237,'Cannot be modified except by direct means',100,2,4),
(103164,10163237,'On a critical combat hit this spell may cast Arcane Vulnerability II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(103165,10163237,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 250',100,2,6),
(103166,10163237,'Must not be engaged in pvp combat',100,2,7),
(103167,10163237,'Cannot be modified except by direct means',100,2,8),
(103168,10163237,'Must not be engaged in pvp combat',100,1,9),
(103169,121672,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(103170,121672,'Inflicts 27 - 33 heat damage on target instantly and every second',100,2,1),
(103171,10121672,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(103172,10121672,'Inflicts 38 - 46 heat damage on target instantly and every second',100,2,1),
(103173,46680,'Applies Incandescent Elixir when Activated.',100,0,0),
(103174,46680,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(103175,10046680,'Applies Incandescent Elixir when Activated.',100,0,0),
(103176,10046680,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(103177,103312,'Applies Migraine on termination.',100,1,0),
(103178,103312,'Inflicts 82 - 111 mental damage on target',100,2,1),
(103179,103312,'Inflicts 37 - 46 mental damage on target instantly and every 6 seconds',100,1,2),
(103180,10103312,'Applies Migraine on termination.',100,1,0),
(103181,10103312,'Inflicts 114 - 155 mental damage on target',100,2,1),
(103182,10103312,'Inflicts 52 - 64 mental damage on target instantly and every 6 seconds',100,1,2),
(103183,45709,'Applies Rasrok''s Revitalization  when Activated.',100,0,0),
(103184,45709,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(103185,10045709,'Applies Rasrok''s Revitalization  when Activated.',100,0,0),
(103186,10045709,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(103187,101409,'Inflicts 659 - 1099 melee damage on target',100,1,0),
(103188,101409,'Returns the last arrow used to the ranger.',100,1,1),
(103189,10101409,'Inflicts 857 - 1429 melee damage on target',100,1,0),
(103190,10101409,'Returns the last arrow used to the ranger.',100,1,1),
(103191,106021,'Inflicts 112 - 137 divine damage on target instantly and every 3 seconds',100,1,0),
(103192,106021,'Decreases Defense of target by 16.2',100,1,1),
(103193,10106021,'Inflicts 105 - 128 divine damage on target instantly and every 3 seconds',100,1,0),
(103194,10106021,'Decreases Defense of target by 16.2',100,1,1),
(103195,24454,'Adds Iksar Skeleton (Warlock) to your Dungeon Maker toolbox',100,0,0),
(103196,10024454,'Adds Iksar Skeleton (Warlock) to your Dungeon Maker toolbox',100,0,0),
(103197,121257,'Inflicts 1022 - 1250 heat damage on target encounter',100,1,0),
(103198,10121257,'Inflicts 1431 - 1750 heat damage on target encounter',100,1,0),
(103199,105421,'Increases STR of caster by 150.4',100,1,0),
(103200,105421,'Decreases Defense of caster by 13.8',100,1,1),
(103201,105421,'Increases Slashing, Piercing, Crushing and Disruption of caster by 29.0',100,1,2),
(103202,10105421,'Increases STR of caster by 150.4',100,1,0),
(103203,10105421,'Decreases Defense of caster by 13.8',100,1,1),
(103204,10105421,'Increases Slashing, Piercing, Crushing and Disruption of caster by 29.0',100,1,2),
(103205,114641,'Decreases WIS of target by 79.0',100,1,0),
(103206,114641,'Inflicts 929 - 1549 melee damage on target',100,1,1),
(103207,114641,'You must be sneaking to use this ability.',100,1,2),
(103208,10114641,'Decreases WIS of target by 79.0',100,1,0),
(103209,10114641,'Inflicts 1208 - 2014 melee damage on target',100,1,1),
(103210,10114641,'You must be sneaking to use this ability.',100,1,2),
(103211,81246,'When Equipped:',100,0,0),
(103212,81246,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103213,81246,'Inflicts 270 - 502 magic damage on target',100,2,2),
(103214,81246,'Cannot be modified except by direct means',100,2,3),
(103215,10081246,'When Equipped:',100,0,0),
(103216,10081246,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103217,10081246,'Inflicts 378 - 703 magic damage on target',100,2,2),
(103218,10081246,'Cannot be modified except by direct means',100,2,3),
(103219,122718,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(103220,122718,'Increases Deflection of caster by 6.7',100,1,1),
(103221,10122718,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(103222,10122718,'Increases Deflection of caster by 6.7',100,1,1),
(103223,87312,'When Equipped:',100,0,0),
(103224,87312,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103225,87312,'Inflicts 95 - 143 magic damage on target',100,2,2),
(103226,87312,'Cannot be modified except by direct means',100,2,3),
(103227,10087312,'When Equipped:',100,0,0),
(103228,10087312,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103229,10087312,'Inflicts 133 - 200 magic damage on target',100,2,2),
(103230,10087312,'Cannot be modified except by direct means',100,2,3),
(103231,42523,'When Equipped:',100,0,0),
(103232,42523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103233,42523,'Inflicts 65 - 98 magic damage on target',100,2,2),
(103234,42523,'Cannot be modified except by direct means',100,2,3),
(103235,10042523,'When Equipped:',100,0,0),
(103236,10042523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103237,10042523,'Inflicts 91 - 137 magic damage on target',100,2,2),
(103238,10042523,'Cannot be modified except by direct means',100,2,3),
(103239,112561,'Interrupts target',50,1,0),
(103240,112561,'Inflicts 374 - 457 divine damage on target',100,1,1),
(103241,10112561,'Interrupts target',50,1,0),
(103242,10112561,'Inflicts 673 - 823 divine damage on target',100,1,1),
(103243,115627,'Wards target against 3328 points of all damage',100,1,0),
(103244,10115627,'Wards target against 4992 points of all damage',100,1,0),
(103245,87955,'When Equipped:',100,0,0),
(103246,87955,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103247,87955,'Inflicts 18 - 22 poison damage on target',100,2,2),
(103248,87955,'Inflicts 3 - 4 poison damage on target every 4 seconds',100,2,3),
(103249,87955,'Cannot be modified except by direct means',100,2,4),
(103250,10087955,'When Equipped:',100,0,0),
(103251,10087955,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103252,10087955,'Inflicts 26 - 31 poison damage on target',100,2,2),
(103253,10087955,'Inflicts 4 - 5 poison damage on target every 4 seconds',100,2,3),
(103254,10087955,'Cannot be modified except by direct means',100,2,4),
(103255,80840,'When Equipped:',100,0,0),
(103256,80840,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(103257,80840,'Decreases Threat to target by 672 ',100,2,2),
(103258,80840,'Must be flanking or behind',100,3,3),
(103259,80840,'Increases Threat to target by 672 ',100,2,4),
(103260,80840,'Must be in front of',100,3,5),
(103261,80840,'Inflicts 248 - 460 magic damage on target',100,2,6),
(103262,80840,'Cannot be modified except by direct means',100,2,7),
(103263,10080840,'When Equipped:',100,0,0),
(103264,10080840,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(103265,10080840,'Inflicts 347 - 644 magic damage on target',100,2,2),
(103266,10080840,'Cannot be modified except by direct means',100,2,3),
(103267,119422,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(103268,119422,'Stuns target',100,2,1),
(103269,119422,'Throws target back',100,2,2),
(103270,119422,'Blurs vision of target',100,2,3),
(103271,119422,'Does not affect Epic targets',100,2,4),
(103272,119422,'Inflicts 433 - 722 melee damage on target',100,1,5),
(103273,119422,'You must be sneaking to use this ability.',100,1,6),
(103274,10119422,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(103275,10119422,'Stuns target',100,2,1),
(103276,10119422,'Throws target back',100,2,2),
(103277,10119422,'Blurs vision of target',100,2,3),
(103278,10119422,'Does not affect Epic targets',100,2,4),
(103279,10119422,'Inflicts 563 - 938 melee damage on target',100,1,5),
(103280,10119422,'You must be sneaking to use this ability.',100,1,6),
(103281,157717,'Applies Aggregate Mana when Activated.',100,0,0),
(103282,157717,'Increases power of caster by 476',100,1,1),
(103283,157717,'The casting time of Aggregate Mana is 2.0 seconds and the reuse time of the spell is 11 minutes 40 seconds',100,1,2),
(103284,10157717,'Applies Aggregate Mana when Activated.',100,0,0),
(103285,10157717,'Increases power of caster by 476',100,1,1),
(103286,10157717,'The casting time of Aggregate Mana is 2.0 seconds and the reuse time of the spell is 11 minutes 40 seconds',100,1,2),
(103287,100349,'Increases Max Health of target by 415.2',100,1,0),
(103288,100349,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.2',100,1,1),
(103289,10100349,'Increases Max Health of target by 415.2',100,1,0),
(103290,10100349,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.2',100,1,1),
(103291,24401,'Adds Gnoll (Coercer) to your Dungeon Maker toolbox',100,0,0),
(103292,10024401,'Adds Gnoll (Coercer) to your Dungeon Maker toolbox',100,0,0),
(103293,189152,'When Equipped:',100,0,0),
(103294,189152,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103295,189152,'Decreases Mitigation of target vs arcane damage by 747',100,2,2),
(103296,189152,'If any of the following are true:',100,3,3),
(103297,189152,'Must be classified as a void beast',100,4,4),
(103298,189152,'Must be classified as a shadowed folk',100,4,5),
(103299,189152,'Inflicts 1031 mental damage on target',100,2,6),
(103300,189152,'If any of the following are true:',100,3,7),
(103301,189152,'Must be classified as a void beast',100,4,8),
(103302,189152,'Must be classified as a shadowed folk',100,4,9),
(103303,189152,'Inflicts 516 mental damage on target',100,2,10),
(103304,189152,'Must not be classified as a void beast',100,3,11),
(103305,189152,'Must not be classified as a shadowed folk',100,3,12),
(103306,189152,'Cannot be modified except by direct means',100,2,13),
(103307,189152,'Additional equipment with Void Bane improves this effect.',100,1,14),
(103308,10189152,'When Equipped:',100,0,0),
(103309,10189152,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103310,10189152,'Decreases Mitigation of target vs arcane damage by 747',100,2,2),
(103311,10189152,'If any of the following are true:',100,3,3),
(103312,10189152,'Must be classified as a void beast',100,4,4),
(103313,10189152,'Must be classified as a shadowed folk',100,4,5),
(103314,10189152,'Inflicts 1444 mental damage on target',100,2,6),
(103315,10189152,'If any of the following are true:',100,3,7),
(103316,10189152,'Must be classified as a void beast',100,4,8),
(103317,10189152,'Must be classified as a shadowed folk',100,4,9),
(103318,10189152,'Inflicts 722 mental damage on target',100,2,10),
(103319,10189152,'Must not be classified as a void beast',100,3,11),
(103320,10189152,'Must not be classified as a shadowed folk',100,3,12),
(103321,10189152,'Cannot be modified except by direct means',100,2,13),
(103322,10189152,'Additional equipment with Void Bane improves this effect.',100,1,14),
(103323,122841,'Inflicts 958 - 1598 ranged damage on target',100,1,0),
(103324,122841,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(103325,122841,'Increases Hate Gain of target by 30.0%',100,2,2),
(103326,122841,'Grants a total of 1 trigger of the spell.',100,2,3),
(103327,122841,'Requires bow',100,1,4),
(103328,10122841,'Inflicts 815 - 1358 ranged damage on target',100,1,0),
(103329,10122841,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(103330,10122841,'Grants a total of 1 trigger of the spell.',100,2,2),
(103331,10122841,'Requires bow',100,1,3),
(103332,46703,'Applies Irontoe''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(103333,46703,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(103334,10046703,'Applies Irontoe''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(103335,10046703,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(103336,35213,'Increases Max Power of target by 4.1',100,0,0),
(103337,35213,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(103338,35713,'Increases WIS of target by 0.4',100,0,0),
(103339,35713,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(103340,124533,'Dispels 46 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(103341,10124533,'Dispels 46 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(103342,37214,'Increases AGI of target by 1.2',100,0,0),
(103343,37214,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(103344,103985,'Interrupts targets in Area of Effect',100,1,0),
(103345,103985,'Inflicts 115 - 214 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(103346,10103985,'Interrupts targets in Area of Effect',100,1,0),
(103347,10103985,'Inflicts 162 - 300 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(103348,107633,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(103349,107633,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(103350,10107633,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(103351,10107633,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(103352,117764,'Inflicts 378 - 630 divine damage on target',100,1,0),
(103353,10117764,'Inflicts 529 - 881 divine damage on target',100,1,0),
(103354,105217,'Decreases STR and INT of target by 39.1',100,1,0),
(103355,105217,'Only affects targets level 20 and above',100,1,1),
(103356,10105217,'Decreases STR and INT of target by 39.1',100,1,0),
(103357,10105217,'Only affects targets level 20 and above',100,1,1),
(103358,118834,'Inflicts 45 - 136 melee damage on target',100,1,0),
(103359,10118834,'Inflicts 59 - 177 melee damage on target',100,1,0),
(103360,46211,'Applies Petamorph: Sarnak when Activated.  Lasts for 2 hours.',100,0,0),
(103361,46211,'Turns the caster''s combat pet into a sarnak. Does not work on cosmetic pets.',100,1,1),
(103362,10046211,'Applies Petamorph: Sarnak when Activated.  Lasts for 2 hours.',100,0,0),
(103363,10046211,'Turns the caster''s combat pet into a sarnak. Does not work on cosmetic pets.',100,1,1),
(103364,107001,'Decreases Threat to targets in Area of Effect by 308 ',100,1,0),
(103365,107001,'Dazes targets in Area of Effect',100,1,1),
(103366,107001,'If Target is not Epic',100,2,2),
(103367,107001,'Dispelled when target receives hostile action',100,1,3),
(103368,107001,'Dispelled when target takes damage',100,1,4),
(103369,10107001,'Dazes targets in Area of Effect',100,1,0),
(103370,10107001,'If Target is not Epic',100,2,1),
(103371,10107001,'Dispelled when target receives hostile action',100,1,2),
(103372,10107001,'Dispelled when target takes damage',100,1,3),
(103373,123921,'Increases STR and WIS of target by 48.5',100,1,0),
(103374,123921,'Increases Mitigation of target vs elemental, noxious and arcane damage by 146',100,1,1),
(103375,10123921,'Increases STR and WIS of target by 48.5',100,1,0),
(103376,10123921,'Increases Mitigation of target vs elemental, noxious and arcane damage by 146',100,1,1),
(103377,35237,'Increases Max Health of target by 5.0',100,0,0),
(103378,35237,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(103379,51421,'When Equipped:',100,0,0),
(103380,51421,'This effect will not stack with any rank or tier of itself.',100,1,1),
(103381,51421,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(103382,51421,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(103383,51421,'Inflicts 200 - 221 piercing damage on target',100,3,4),
(103384,51421,'Must not be engaged in pvp combat',100,3,5),
(103385,51421,'Cannot be modified except by direct means',100,3,6),
(103386,51421,'Must not be engaged in pvp combat',100,2,7),
(103387,51421,'Cannot be modified except by direct means',100,2,8),
(103388,51421,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(103389,51421,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(103390,51421,'Inflicts 200 - 221 piercing damage on target',100,3,11),
(103391,51421,'Must not be engaged in pvp combat',100,3,12),
(103392,51421,'Cannot be modified except by direct means',100,3,13),
(103393,51421,'Must not be engaged in pvp combat',100,2,14),
(103394,51421,'Cannot be modified except by direct means',100,2,15),
(103395,51421,'Cannot be modified except by direct means',100,1,16),
(103396,10051421,'When Equipped:',100,0,0),
(103397,10051421,'This effect will not stack with any rank or tier of itself.',100,1,1),
(103398,10051421,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(103399,10051421,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(103400,10051421,'Inflicts 280 - 309 piercing damage on target',100,3,4),
(103401,10051421,'Must not be engaged in pvp combat',100,3,5),
(103402,10051421,'Cannot be modified except by direct means',100,3,6),
(103403,10051421,'Must not be engaged in pvp combat',100,2,7),
(103404,10051421,'Cannot be modified except by direct means',100,2,8),
(103405,10051421,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(103406,10051421,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(103407,10051421,'Inflicts 280 - 309 piercing damage on target',100,3,11),
(103408,10051421,'Must not be engaged in pvp combat',100,3,12),
(103409,10051421,'Cannot be modified except by direct means',100,3,13),
(103410,10051421,'Must not be engaged in pvp combat',100,2,14),
(103411,10051421,'Cannot be modified except by direct means',100,2,15),
(103412,10051421,'Cannot be modified except by direct means',100,1,16),
(103413,108887,'Inflicts 558 - 930 melee damage on target',100,1,0),
(103414,108887,'Decreases INT of target by 221.8',100,1,1),
(103415,10108887,'Inflicts 725 - 1209 melee damage on target',100,1,0),
(103416,10108887,'Decreases INT of target by 221.8',100,1,1),
(103417,170659,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(103418,170659,'Decreases Attack Speed of target by 10.8',100,1,1),
(103419,170659,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(103420,10170659,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(103421,10170659,'Decreases Attack Speed of target by 10.8',100,1,1),
(103422,10170659,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(103423,35639,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(103424,85478,'When Equipped:',100,0,0),
(103425,85478,'On any combat or spell hit this spell may cast Claymore Divinity on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103426,85478,'Inflicts 412 - 687 divine damage on target encounter',100,2,2),
(103427,85478,'Cannot be modified except by direct means',100,2,3),
(103428,85478,'On a riposte this spell has a 35% chance to cast Claymore Counterattack on target''s victim.  ',100,1,4),
(103429,85478,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,2,5),
(103430,85478,'Stuns target',100,3,6),
(103431,85478,'Throws target back',100,3,7),
(103432,85478,'Blurs vision of target',100,3,8),
(103433,85478,'Does not affect Epic targets',100,3,9),
(103434,85478,'Target will Parry 0.0% of incoming attacks',100,2,10),
(103435,85478,'Inflicts 450 - 750 crushing damage on target',100,2,11),
(103436,85478,'Cannot be modified except by direct means',100,2,12),
(103437,10085478,'When Equipped:',100,0,0),
(103438,10085478,'On any combat or spell hit this spell may cast Claymore Divinity on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103439,10085478,'Inflicts 577 - 962 divine damage on target encounter',100,2,2),
(103440,10085478,'Cannot be modified except by direct means',100,2,3),
(103441,10085478,'On a riposte this spell has a 35% chance to cast Claymore Counterattack on target''s victim.  ',100,1,4),
(103442,10085478,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,5),
(103443,10085478,'Stuns target',100,3,6),
(103444,10085478,'Throws target back',100,3,7),
(103445,10085478,'Blurs vision of target',100,3,8),
(103446,10085478,'Does not affect Epic targets',100,3,9),
(103447,10085478,'Target will Parry 0.0% of incoming attacks',100,2,10),
(103448,10085478,'Inflicts 630 - 1050 crushing damage on target',100,2,11),
(103449,10085478,'Cannot be modified except by direct means',100,2,12),
(103450,101057,'Summons 3 limited pets to aid the caster',100,1,0),
(103451,10101057,'Summons 3 limited pets to aid the caster',100,1,0),
(103452,124087,'Dispels 98 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(103453,10124087,'Dispels 98 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(103454,121684,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(103455,121684,'Inflicts 48 - 59 heat damage on target instantly and every second',100,2,1),
(103456,10121684,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(103457,10121684,'Inflicts 67 - 82 heat damage on target instantly and every second',100,2,1),
(103458,115106,'Summons 4 limited pets to aid the caster',100,1,0),
(103459,10115106,'Summons 4 limited pets to aid the caster',100,1,0),
(103460,104759,'Increases power of caster by 9 instantly and every 4 seconds',100,1,0),
(103461,10104759,'Increases power of caster by 9 instantly and every 4 seconds',100,1,0),
(103462,26626,'When Equipped:',100,0,0),
(103463,26626,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(103464,26626,'Adds a positional threat reduction component to Miracle Shot V.',100,1,2),
(103465,10026626,'When Equipped:',100,0,0),
(103466,10026626,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(103467,10026626,'Adds a positional threat reduction component to Miracle Shot V.',100,1,2),
(103468,109593,'Increases Defense of group members'' pets (AE) by 2.7',100,1,0),
(103469,109593,'Increases Mitigation of group members (AE) vs all damage by 50',100,1,1),
(103470,10109593,'Increases Defense of group members'' pets (AE) by 2.7',100,1,0),
(103471,10109593,'Increases Mitigation of group members (AE) vs all damage by 50',100,1,1),
(103472,117185,'Inflicts 183 poison damage on target instantly and every 4 seconds',100,1,0),
(103473,117185,'Decreases WIS of target by 110.5',100,1,1),
(103474,10117185,'Inflicts 256 poison damage on target instantly and every 4 seconds',100,1,0),
(103475,10117185,'Decreases WIS of target by 110.5',100,1,1),
(103476,82575,'When Equipped:',100,0,0),
(103477,82575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103478,82575,'Inflicts 91 - 169 magic damage on target',100,2,2),
(103479,82575,'Cannot be modified except by direct means',100,2,3),
(103480,10082575,'When Equipped:',100,0,0),
(103481,10082575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103482,10082575,'Inflicts 128 - 237 magic damage on target',100,2,2),
(103483,10082575,'Cannot be modified except by direct means',100,2,3),
(103484,159153,'Applies Lambent Imbued when Equipped.',100,0,0),
(103485,159153,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(103486,159153,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(103487,159153,'Cannot be modified except by direct means',100,2,3),
(103488,10159153,'Applies Lambent Imbued when Equipped.',100,0,0),
(103489,10159153,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(103490,10159153,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(103491,10159153,'Cannot be modified except by direct means',100,2,3),
(103492,153817,'Applies Indomitable III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(103493,153817,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(103494,153817,'Wards caster against 300 points of all damage',100,2,2),
(103495,153817,'Must not be engaged in pvp combat',100,2,3),
(103496,153817,'Cannot be modified except by direct means',100,2,4),
(103497,153817,'Increases the caster''s physical mitigation over time.',100,1,5),
(103498,153817,'Must not be engaged in pvp combat',100,1,6),
(103499,153817,'Cannot be modified except by direct means',100,1,7),
(103500,153817,'The reuse time of Indomitable III is 10 minutes',100,1,8),
(103501,10153817,'Applies Indomitable III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(103502,10153817,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(103503,10153817,'Wards caster against 300 points of all damage',100,2,2),
(103504,10153817,'Must not be engaged in pvp combat',100,2,3),
(103505,10153817,'Cannot be modified except by direct means',100,2,4),
(103506,10153817,'Increases the caster''s physical mitigation over time.',100,1,5),
(103507,10153817,'Must not be engaged in pvp combat',100,1,6),
(103508,10153817,'Cannot be modified except by direct means',100,1,7),
(103509,10153817,'The reuse time of Indomitable III is 10 minutes',100,1,8),
(103510,122916,'Increases STR and INT of group members (AE) by 58.7',100,1,0),
(103511,10122916,'Increases STR and INT of group members (AE) by 58.7',100,1,0),
(103512,105524,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 24.5',100,1,0),
(103513,10105524,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 24.5',100,1,0),
(103514,119864,'Increases INT and AGI of group members (AE) by 11.4',100,1,0),
(103515,119864,'Adds 1.8% to base avoidance.',100,1,1),
(103516,10119864,'Increases INT and AGI of group members (AE) by 11.4',100,1,0),
(103517,10119864,'Adds 1.8% to base avoidance.',100,1,1),
(103518,112679,'Increases Parry of group members (AE) by 24.8',100,1,0),
(103519,10112679,'Increases Parry of group members (AE) by 24.8',100,1,0),
(103520,107383,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',100,1,0),
(103521,107383,'Inflicts 231 - 283 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(103522,10107383,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',100,1,0),
(103523,10107383,'Inflicts 324 - 396 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(103524,118085,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(103525,10118085,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(103526,54445,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(103527,54445,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(103528,54445,'Inflicts 61 heat damage on target',100,2,2),
(103529,54445,'Cannot be modified except by direct means',100,2,3),
(103530,10054445,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(103531,10054445,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(103532,10054445,'Inflicts 85 heat damage on target',100,2,2),
(103533,10054445,'Cannot be modified except by direct means',100,2,3),
(103534,115815,'Inflicts 27 disease damage on target every 3 seconds',100,1,0),
(103535,115815,'Inflicts 102 - 171 melee damage on target',100,1,1),
(103536,115815,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(103537,115815,'Heals caster for 1.4% of max health instantly and every 3 seconds',100,2,3),
(103538,115815,'This effect cannot be critically applied.',100,3,4),
(103539,115815,'The healing of this spell cannot be modified except by direct means',100,2,5),
(103540,115815,'The healing of this spell cannot be modified except by direct means',100,1,6),
(103541,10115815,'Inflicts 38 disease damage on target every 3 seconds',100,1,0),
(103542,10115815,'Inflicts 133 - 222 melee damage on target',100,1,1),
(103543,10115815,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(103544,10115815,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(103545,10115815,'This effect cannot be critically applied.',100,3,4),
(103546,10115815,'The healing of this spell cannot be modified except by direct means',100,2,5),
(103547,10115815,'The healing of this spell cannot be modified except by direct means',100,1,6),
(103548,173001,'When Equipped:',100,0,0),
(103549,173001,'1% of all damage received by the caster is prevented.',100,1,1),
(103550,173001,'Must not be engaged in pvp combat',100,1,2),
(103551,10173001,'When Equipped:',100,0,0),
(103552,10173001,'1% of all damage received by the caster is prevented.',100,1,1),
(103553,10173001,'Must not be engaged in pvp combat',100,1,2),
(103554,117472,'Inflicts 1420 - 2367 melee damage on target',100,1,0),
(103555,117472,'You must be sneaking to use this ability.',100,1,1),
(103556,117472,'Must be flanking or behind',100,1,2),
(103557,10117472,'Inflicts 1145 - 1908 melee damage on target',100,1,0),
(103558,10117472,'You must be sneaking to use this ability.',100,1,1),
(103559,10117472,'Must be flanking or behind',100,1,2),
(103560,123848,'Increases AGI of caster by 20.9',100,1,0),
(103561,123848,'Adds 15.6% to base avoidance.',100,1,1),
(103562,123848,'Increases Damage Per Second of caster by 27.2',100,1,2),
(103563,123848,'Increases Mitigation of caster vs physical damage by 189',100,1,3),
(103564,123848,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,4),
(103565,10123848,'Increases AGI of caster by 20.9',100,1,0),
(103566,10123848,'Adds 15.6% to base avoidance.',100,1,1),
(103567,10123848,'Increases Damage Per Second of caster by 27.2',100,1,2),
(103568,10123848,'Increases Mitigation of caster vs physical damage by 189',100,1,3),
(103569,10123848,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,4),
(103570,124303,'Wards group members (AE) against 1900 points of elemental damage',100,1,0),
(103571,124303,'Increases Mitigation of group members (AE) vs elemental damage by 1044',100,1,1),
(103572,10124303,'Wards group members (AE) against 1900 points of elemental damage',100,1,0),
(103573,10124303,'Increases Mitigation of group members (AE) vs elemental damage by 1044',100,1,1),
(103574,47331,'Applies Welno''s Resurgence  when Activated.',100,0,0),
(103575,47331,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(103576,10047331,'Applies Welno''s Resurgence  when Activated.',100,0,0),
(103577,10047331,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(103578,115497,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(103579,115497,'Increases Mitigation of group members (AE) vs noxious damage by 302',100,1,1),
(103580,10115497,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(103581,10115497,'Increases Mitigation of group members (AE) vs noxious damage by 302',100,1,1),
(103582,118409,'Heals target for 289 - 353',100,1,0),
(103583,118409,'Increases Max Health of target by 36.9',100,1,1),
(103584,10118409,'Heals target for 335 - 409',100,1,0),
(103585,10118409,'Increases Max Health of target by 36.9',100,1,1),
(103586,55257,'When Equipped:',100,0,0),
(103587,55257,'Hocus-Pocus Focus: Reduces cast time of spells by 33% and power cost by 50%.',100,1,1),
(103588,55257,'Razzle-Dazzle: Restores power to the caster''s group.',100,1,2),
(103589,55257,'Chicanery: Reduces hate gain of caster by 50%.',100,1,3),
(103590,55257,'On a spell cast this spell may cast Bristlebane''s Shenanigans on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(103591,55257,'This effect may trigger Chicanery, Razzle-Dazzle, or Hocus-Pocus Focus on the spell caster.',100,2,5),
(103592,10055257,'When Equipped:',100,0,0),
(103593,10055257,'Hocus-Pocus Focus: Reduces cast time of spells by 33% and power cost by 50%.',100,1,1),
(103594,10055257,'Razzle-Dazzle: Restores power to the caster''s group.',100,1,2),
(103595,10055257,'Chicanery: Reduces hate gain of caster by 50%.',100,1,3),
(103596,10055257,'On a spell cast this spell may cast Bristlebane''s Shenanigans on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(103597,10055257,'This effect may trigger Chicanery, Razzle-Dazzle, or Hocus-Pocus Focus on the spell caster.',100,2,5),
(103598,24720,'Adds Succubus (Berserker) to your Dungeon Maker toolbox',100,0,0),
(103599,10024720,'Adds Succubus (Berserker) to your Dungeon Maker toolbox',100,0,0),
(103600,117219,'Inflicts 5 slashing damage on target every 4 seconds',100,1,0),
(103601,117219,'Inflicts 23 - 39 melee damage on target',100,1,1),
(103602,10117219,'Inflicts 7 slashing damage on target every 4 seconds',100,1,0),
(103603,10117219,'Inflicts 30 - 51 melee damage on target',100,1,1),
(103604,105590,'Decreases power of target encounter by 38 - 46 instantly and every 3 seconds',100,1,0),
(103605,105590,'Inflicts 88 - 163 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(103606,105590,'Heals group members (AE) for 33 - 60 instantly and every 3 seconds',100,1,2),
(103607,105590,'Increases power of group members (AE) by 12 instantly and every 3 seconds',100,1,3),
(103608,10105590,'Decreases power of target encounter by 38 - 46 instantly and every 3 seconds',100,1,0),
(103609,10105590,'Inflicts 123 - 228 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(103610,10105590,'Heals group members (AE) for 21 - 39 instantly and every 3 seconds',100,1,2),
(103611,10105590,'Increases power of group members (AE) by 12 instantly and every 3 seconds',100,1,3),
(103612,122173,'Inflicts 86 - 105 cold damage on target instantly and every 2 seconds',100,1,0),
(103613,122173,'Inflicts 86 - 105 cold damage on target instantly and every 2 seconds',100,1,1),
(103614,122173,'If target is elemental',100,2,2),
(103615,10122173,'Inflicts 120 - 146 cold damage on target instantly and every 2 seconds',100,1,0),
(103616,120522,'Inflicts 570 - 951 melee damage on target',100,1,0),
(103617,120522,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(103618,120522,'Grants stealth to caster',100,2,2),
(103619,120522,'Suspends caster''s movement speed enhancements',100,2,3),
(103620,120522,'Must be flanking or behind',100,1,4),
(103621,10120522,'Inflicts 742 - 1237 melee damage on target',100,1,0),
(103622,10120522,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(103623,10120522,'Grants stealth to caster',100,2,2),
(103624,10120522,'Suspends caster''s movement speed enhancements',100,2,3),
(103625,10120522,'Must be flanking or behind',100,1,4),
(103626,108305,'Inflicts 82 - 136 divine damage on target',100,1,0),
(103627,108305,'Heals caster for 1.2% of max health',100,1,1),
(103628,108305,'This effect cannot be critically applied.',100,2,2),
(103629,108305,'The healing of this spell cannot be modified except by direct means',100,1,3),
(103630,10108305,'Inflicts 106 - 177 divine damage on target',100,1,0),
(103631,10108305,'Heals caster for 0.6% of max health',100,1,1),
(103632,10108305,'This effect cannot be critically applied.',100,2,2),
(103633,10108305,'The healing of this spell cannot be modified except by direct means',100,1,3),
(103634,104709,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(103635,104709,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,1),
(103636,104709,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(103637,104709,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,3),
(103638,10104709,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(103639,10104709,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,1),
(103640,10104709,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(103641,10104709,'Decreases Mitigation of target vs elemental and arcane damage by 172',100,2,3),
(103642,100499,'Increases Attack Speed of group members (AE) by 14.2',100,1,0),
(103643,10100499,'Increases Attack Speed of group members (AE) by 14.2',100,1,0),
(103644,71514,'Applies Astral Blessing when Equipped.',100,0,0),
(103645,71514,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103646,71514,'Heals target for 442 instantly and every second',100,2,2),
(103647,71514,'Cannot be modified except by direct means',100,2,3),
(103648,71514,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(103649,71514,'Heals caster for 442 instantly and every second',100,2,5),
(103650,71514,'Cannot be modified except by direct means',100,2,6),
(103651,71514,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(103652,71514,'Heals caster for 442 instantly and every second',100,2,8),
(103653,71514,'Cannot be modified except by direct means',100,2,9),
(103654,10071514,'Applies Astral Blessing when Equipped.',100,0,0),
(103655,10071514,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103656,10071514,'Heals target for 517 instantly and every second',100,2,2),
(103657,10071514,'Cannot be modified except by direct means',100,2,3),
(103658,10071514,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(103659,10071514,'Heals caster for 517 instantly and every second',100,2,5),
(103660,10071514,'Cannot be modified except by direct means',100,2,6),
(103661,10071514,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(103662,10071514,'Heals caster for 517 instantly and every second',100,2,8),
(103663,10071514,'Cannot be modified except by direct means',100,2,9),
(103664,119012,'Heals target for 1758 - 2149',100,1,0),
(103665,10119012,'Heals target for 1870 - 2286',100,1,0),
(103666,130302,'When Equipped:',100,0,0),
(103667,130302,'On a combat hit this spell may cast Adrenaline Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103668,130302,'Increases Damage Per Second of caster by 5.0',100,2,2),
(103669,130302,'Cannot be modified except by direct means',100,2,3),
(103670,10130302,'When Equipped:',100,0,0),
(103671,10130302,'On a combat hit this spell may cast Adrenaline Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103672,10130302,'Increases Damage Per Second of caster by 5.0',100,2,2),
(103673,10130302,'Cannot be modified except by direct means',100,2,3),
(103674,119032,'Decreases power of target by 20 - 34',100,1,0),
(103675,119032,'Increases power of caster by 9 - 15',100,1,1),
(103676,119032,'Inflicts 21 - 35 mental damage on target',100,1,2),
(103677,10119032,'Decreases power of target by 20 - 34',100,1,0),
(103678,10119032,'Increases power of caster by 9 - 15',100,1,1),
(103679,10119032,'Inflicts 28 - 46 mental damage on target',100,1,2),
(103680,115523,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(103681,115523,'Increases Mitigation of group members (AE) vs noxious damage by 1521',100,1,1),
(103682,10115523,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(103683,10115523,'Increases Mitigation of group members (AE) vs noxious damage by 1521',100,1,1),
(103684,82364,'When Equipped:',100,0,0),
(103685,82364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103686,82364,'Inflicts 41 - 76 magic damage on target',100,2,2),
(103687,82364,'Cannot be modified except by direct means',100,2,3),
(103688,10082364,'When Equipped:',100,0,0),
(103689,10082364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103690,10082364,'Inflicts 58 - 107 magic damage on target',100,2,2),
(103691,10082364,'Cannot be modified except by direct means',100,2,3),
(103692,85974,'When Equipped:',100,0,0),
(103693,85974,'On a combat hit this spell may cast Bleed on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(103694,85974,'Inflicts 55 - 67 slashing damage on target every 4 seconds',100,2,2),
(103695,85974,'Cannot be modified except by direct means',100,2,3),
(103696,10085974,'When Equipped:',100,0,0),
(103697,10085974,'On a combat hit this spell may cast Bleed on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(103698,10085974,'Inflicts 77 - 94 slashing damage on target every 4 seconds',100,2,2),
(103699,10085974,'Cannot be modified except by direct means',100,2,3),
(103700,105140,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(103701,105140,'Summon 1 Crystallized Essence (Expert)',100,2,1),
(103702,10105140,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(103703,10105140,'Summon 1 Crystallized Essence (Expert)',100,2,1),
(103704,106458,'Increases Multi Attack Chance of raid and group members (AE) by 12.2',100,1,0),
(103705,10106458,'Increases Multi Attack Chance of raid and group members (AE) by 12.2',100,1,0),
(103706,79718,'When Equipped:',100,0,0),
(103707,79718,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103708,79718,'Inflicts 116 - 142 divine damage on target',100,2,2),
(103709,79718,'Cannot be modified except by direct means',100,2,3),
(103710,10079718,'When Equipped:',100,0,0),
(103711,10079718,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103712,10079718,'Inflicts 163 - 199 divine damage on target',100,2,2),
(103713,10079718,'Cannot be modified except by direct means',100,2,3),
(103714,105657,'Decreases Damage Per Second of target by 19.5',100,1,0),
(103715,105657,'Inflicts 107 - 179 melee damage on target',100,1,1),
(103716,105657,'Must be flanking or behind',100,1,2),
(103717,10105657,'Decreases Damage Per Second of target by 19.5',100,1,0),
(103718,10105657,'Inflicts 139 - 232 melee damage on target',100,1,1),
(103719,10105657,'Must be flanking or behind',100,1,2),
(103720,120656,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.9',100,1,0),
(103721,120656,'Increases Focus of group members (AE) by 29.8',100,1,1),
(103722,10120656,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.9',100,1,0),
(103723,10120656,'Increases Focus of group members (AE) by 29.8',100,1,1),
(103724,114616,'Decreases WIS of target by 8.5',100,1,0),
(103725,114616,'Inflicts 73 - 122 melee damage on target',100,1,1),
(103726,114616,'You must be sneaking to use this ability.',100,1,2),
(103727,10114616,'Decreases WIS of target by 8.5',100,1,0),
(103728,10114616,'Inflicts 95 - 158 melee damage on target',100,1,1),
(103729,10114616,'You must be sneaking to use this ability.',100,1,2),
(103730,119674,'Increases Threat to target encounter by 64 - 79 ',100,1,0),
(103731,81481,'When Equipped:',100,0,0),
(103732,81481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103733,81481,'Inflicts 94 - 174 magic damage on target',100,2,2),
(103734,81481,'Cannot be modified except by direct means',100,2,3),
(103735,10081481,'When Equipped:',100,0,0),
(103736,10081481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103737,10081481,'Inflicts 131 - 244 magic damage on target',100,2,2),
(103738,10081481,'Cannot be modified except by direct means',100,2,3),
(103739,105076,'Inflicts 87 - 118 magic damage on target',100,1,0),
(103740,10105076,'Inflicts 122 - 165 magic damage on target',100,1,0),
(103741,85347,'Applies Poison Bolt when Activated.',100,0,0),
(103742,85347,'Inflicts 411 - 685 poison damage on target',100,1,1),
(103743,85347,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(103744,10085347,'Applies Poison Bolt when Activated.',100,0,0),
(103745,10085347,'Inflicts 576 - 959 poison damage on target',100,1,1),
(103746,10085347,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(103747,54962,'When Equipped:',100,0,0),
(103748,54962,'When damaged this spell has a 5% chance to cast Implements of War on caster.  Lasts for 10 minutes.  ',100,1,1),
(103749,54962,'Applies Implements of War on termination.',100,2,2),
(103750,54962,'Increases power of group members by 1021',100,3,3),
(103751,54962,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 4 attacks.',100,2,4),
(103752,54962,'Cannot be modified except by direct means',100,2,5),
(103753,10054962,'When Equipped:',100,0,0),
(103754,10054962,'When damaged this spell has a 5% chance to cast Implements of War on caster.  Lasts for 10 minutes.  ',100,1,1),
(103755,10054962,'Applies Implements of War on termination.',100,2,2),
(103756,10054962,'Increases power of group members by 1021',100,3,3),
(103757,10054962,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 4 attacks.',100,2,4),
(103758,10054962,'Cannot be modified except by direct means',100,2,5),
(103759,24427,'Adds Gorilla (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(103760,10024427,'Adds Gorilla (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(103761,104075,'Inflicts 147 - 245 mental damage on target',100,1,0),
(103762,104075,'Inflicts 147 - 245 mental damage on target',100,1,1),
(103763,10104075,'Inflicts 191 - 319 mental damage on target',100,1,0),
(103764,10104075,'Inflicts 191 - 319 mental damage on target',100,1,1),
(103765,105735,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(103766,105735,'Throws target back',100,2,1),
(103767,105735,'Stuns target',100,2,2),
(103768,105735,'Blurs vision of target',100,2,3),
(103769,105735,'Does not affect Epic targets',100,2,4),
(103770,105735,'Inflicts 522 - 871 melee damage on targets in area',100,1,5),
(103771,10105735,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(103772,10105735,'Throws target back',100,2,1),
(103773,10105735,'Stuns target',100,2,2),
(103774,10105735,'Blurs vision of target',100,2,3),
(103775,10105735,'Does not affect Epic targets',100,2,4),
(103776,10105735,'Inflicts 679 - 1132 melee damage on targets in area',100,1,5),
(103777,82526,'When Equipped:',100,0,0),
(103778,82526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103779,82526,'Inflicts 90 - 167 magic damage on target',100,2,2),
(103780,82526,'Cannot be modified except by direct means',100,2,3),
(103781,10082526,'When Equipped:',100,0,0),
(103782,10082526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(103783,10082526,'Inflicts 126 - 234 magic damage on target',100,2,2),
(103784,10082526,'Cannot be modified except by direct means',100,2,3),
(103785,104543,'Increases Threat to target by 660 - 807  instantly and by 132 - 161  every 2 seconds thereafter',100,1,0),
(103786,10104543,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(103787,155770,'When Equipped:',100,0,0),
(103788,155770,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103789,155770,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(103790,155770,'Dispelled when target casts a hostile spell',100,2,3),
(103791,155770,'Dispelled when target casts a combat art',100,2,4),
(103792,155770,'Cannot be modified except by direct means',100,2,5),
(103793,155770,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(103794,155770,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(103795,155770,'Dispelled when target casts a hostile spell',100,2,8),
(103796,155770,'Dispelled when target casts a combat art',100,2,9),
(103797,155770,'Cannot be modified except by direct means',100,2,10),
(103798,10155770,'When Equipped:',100,0,0),
(103799,10155770,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(103800,10155770,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(103801,10155770,'Dispelled when target casts a hostile spell',100,2,3),
(103802,10155770,'Dispelled when target casts a combat art',100,2,4),
(103803,10155770,'Cannot be modified except by direct means',100,2,5),
(103804,10155770,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(103805,10155770,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(103806,10155770,'Dispelled when target casts a hostile spell',100,2,8),
(103807,10155770,'Dispelled when target casts a combat art',100,2,9),
(103808,10155770,'Cannot be modified except by direct means',100,2,10),
(103809,24494,'Adds Lair of Scale: Scaleborn, Soon To Be to your Dungeon Maker toolbox',100,0,0),
(103810,10024494,'Adds Lair of Scale: Scaleborn, Soon To Be to your Dungeon Maker toolbox',100,0,0),
(103811,107535,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(103812,107535,'Decreases Mitigation of target encounter vs elemental and noxious damage by 648',100,1,1),
(103813,10107535,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(103814,10107535,'Decreases Mitigation of target encounter vs elemental and noxious damage by 648',100,1,1),
(103815,142794,'When Equipped:',100,0,0),
(103816,142794,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(103817,142794,'Decreases STR of target by 35.0',100,2,2),
(103818,142794,'Cannot be modified except by direct means',100,2,3),
(103819,142794,'When Equipped:',100,0,4),
(103820,142794,'When a combat art is used this spell has a 5% chance to cast Lethargy on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,5),
(103821,142794,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,6),
(103822,142794,'Only affects targets level 60 and below',100,2,7),
(103823,142794,'Cannot be modified except by direct means',100,2,8),
(103824,142794,'When a combat art is used this spell has a 5% chance to cast Ice Blast on target of combat art.  ',100,1,9),
(103825,142794,'Inflicts 182 - 303 cold damage on target',100,2,10),
(103826,142794,'Cannot be modified except by direct means',100,2,11),
(103827,142794,'On a hostile spell hit this spell may cast Lethargy on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,12),
(103828,142794,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,13),
(103829,142794,'Only affects targets level 60 and below',100,2,14),
(103830,142794,'Cannot be modified except by direct means',100,2,15),
(103831,142794,'On a hostile spell hit this spell may cast Ice Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,16),
(103832,142794,'Inflicts 182 - 303 cold damage on target',100,2,17),
(103833,142794,'Cannot be modified except by direct means',100,2,18),
(103834,10142794,'When Equipped:',100,0,0),
(103835,10142794,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(103836,10142794,'Decreases STR of target by 35.0',100,2,2),
(103837,10142794,'Cannot be modified except by direct means',100,2,3),
(103838,10142794,'When Equipped:',100,0,4),
(103839,10142794,'When a combat art is used this spell has a 5% chance to cast Lethargy on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,5),
(103840,10142794,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,6),
(103841,10142794,'Only affects targets level 60 and below',100,2,7),
(103842,10142794,'Cannot be modified except by direct means',100,2,8),
(103843,10142794,'When a combat art is used this spell has a 5% chance to cast Ice Blast on target of combat art.  ',100,1,9),
(103844,10142794,'Inflicts 255 - 425 cold damage on target',100,2,10),
(103845,10142794,'Cannot be modified except by direct means',100,2,11),
(103846,10142794,'On a hostile spell hit this spell may cast Lethargy on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,12),
(103847,10142794,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,13),
(103848,10142794,'Only affects targets level 60 and below',100,2,14),
(103849,10142794,'Cannot be modified except by direct means',100,2,15),
(103850,10142794,'On a hostile spell hit this spell may cast Ice Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,16),
(103851,10142794,'Inflicts 255 - 425 cold damage on target',100,2,17),
(103852,10142794,'Cannot be modified except by direct means',100,2,18),
(103853,124639,'Heals group members (AE) for 962 - 1176',100,1,0),
(103854,124639,'Heals group members (AE) for 162 - 198 every second',100,1,1),
(103855,10124639,'Heals group members (AE) for 2530 - 3092',100,1,0),
(103856,10124639,'Heals group members (AE) for 316 - 386 every second',100,1,1),
(103857,144678,'When Equipped:',100,0,0),
(103858,144678,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(103859,144678,'Elemental Barrier cannot proc more than once per second.',100,2,2),
(103860,144678,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,3),
(103861,144678,'This effect cannot occur more than once a second',100,2,4),
(103862,144678,'Must be engaged in pvp combat',100,2,5),
(103863,144678,'Cannot be modified except by direct means',100,2,6),
(103864,144678,'Cannot be modified except by direct means',100,1,7),
(103865,144678,'When Equipped:',100,0,8),
(103866,144678,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(103867,144678,'Must be engaged in pvp combat',100,1,10),
(103868,144678,'When Equipped:',100,0,11),
(103869,144678,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(103870,144678,'Must be engaged in pvp combat',100,1,13),
(103871,10144678,'When Equipped:',100,0,0),
(103872,10144678,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(103873,10144678,'Elemental Barrier cannot proc more than once per second.',100,2,2),
(103874,10144678,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,3),
(103875,10144678,'This effect cannot occur more than once a second',100,2,4),
(103876,10144678,'Must be engaged in pvp combat',100,2,5),
(103877,10144678,'Cannot be modified except by direct means',100,2,6),
(103878,10144678,'Cannot be modified except by direct means',100,1,7),
(103879,10144678,'When Equipped:',100,0,8),
(103880,10144678,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(103881,10144678,'Must be engaged in pvp combat',100,1,10),
(103882,10144678,'When Equipped:',100,0,11),
(103883,10144678,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(103884,10144678,'Must be engaged in pvp combat',100,1,13),
(103885,108468,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(103886,108468,'Increases Aggression of caster by 6.9',100,1,1),
(103887,108468,'Increases Defense and Parry of caster by 13.8',100,1,2),
(103888,108468,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(103889,10108468,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(103890,10108468,'Increases Aggression of caster by 6.9',100,1,1),
(103891,10108468,'Increases Defense and Parry of caster by 13.8',100,1,2),
(103892,10108468,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(103893,53169,'When Equipped:',100,0,0),
(103894,53169,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(103895,53169,'When Equipped:',100,0,2),
(103896,53169,'Reduces reuse time of all spells by 2 percent.',100,1,3),
(103897,10053169,'When Equipped:',100,0,0),
(103898,10053169,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(103899,10053169,'When Equipped:',100,0,2),
(103900,10053169,'Reduces reuse time of all spells by 2 percent.',100,1,3),
(103901,116420,'Inflicts 9 piercing damage on target every 4 seconds',100,1,0),
(103902,116420,'Inflicts 44 - 74 melee damage on target',100,1,1),
(103903,10116420,'Inflicts 12 piercing damage on target every 4 seconds',100,1,0),
(103904,10116420,'Inflicts 57 - 96 melee damage on target',100,1,1),
(103905,118746,'Increases INT and WIS of group members (AE) by 11.4',100,1,0),
(103906,118746,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 35',100,1,1),
(103907,10118746,'Increases INT and WIS of group members (AE) by 11.4',100,1,0),
(103908,10118746,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 35',100,1,1),
(103909,109581,'Makes target afraid',100,1,0),
(103910,109581,'30% chance to dispel when target takes damage',100,1,1),
(103911,109581,'Does not affect Epic targets',100,1,2),
(103912,109581,'Resistibility increases against targets higher than level 97.',100,1,3),
(103913,10109581,'Makes target afraid',100,1,0),
(103914,10109581,'30% chance to dispel when target takes damage',100,1,1),
(103915,10109581,'Does not affect Epic targets',100,1,2),
(103916,10109581,'Resistibility increases against targets higher than level 97.',100,1,3),
(103917,111697,'Inflicts 399 - 488 cold damage on target',100,1,0),
(103918,111697,'Inflicts 399 - 488 cold damage on target',100,1,1),
(103919,111697,'If target is elemental',100,2,2),
(103920,10111697,'Inflicts 479 - 586 cold damage on target',100,1,0),
(103921,26971,'When Equipped:',100,0,0),
(103922,26971,'Increases Crit Chance of caster by 1.0',100,1,1),
(103923,10026971,'When Equipped:',100,0,0),
(103924,10026971,'Increases Crit Chance of caster by 1.0',100,1,1),
(103925,167676,'When Equipped:',100,0,0),
(103926,167676,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(103927,167676,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(103928,167676,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,3),
(103929,167676,'Increases Potency of caster by 3.0%',100,2,4),
(103930,167676,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(103931,167676,'Must not be engaged in pvp combat',100,2,6),
(103932,167676,'Cannot be modified except by direct means',100,2,7),
(103933,167676,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(103934,167676,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,9),
(103935,167676,'Increases Potency of caster by 3.0%',100,2,10),
(103936,167676,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(103937,167676,'Must not be engaged in pvp combat',100,2,12),
(103938,167676,'Cannot be modified except by direct means',100,2,13),
(103939,167676,'Cannot be modified except by direct means',100,1,14),
(103940,167676,'When Equipped:',100,0,15),
(103941,167676,'This effect will not stack with any rank or tier of itself.',100,1,16),
(103942,167676,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(103943,167676,'Cannot be modified except by direct means',100,1,18),
(103944,10167676,'When Equipped:',100,0,0),
(103945,10167676,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(103946,10167676,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(103947,10167676,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,3),
(103948,10167676,'Increases Potency of caster by 3.0%',100,2,4),
(103949,10167676,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(103950,10167676,'Must not be engaged in pvp combat',100,2,6),
(103951,10167676,'Cannot be modified except by direct means',100,2,7),
(103952,10167676,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(103953,10167676,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,9),
(103954,10167676,'Increases Potency of caster by 3.0%',100,2,10),
(103955,10167676,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(103956,10167676,'Must not be engaged in pvp combat',100,2,12),
(103957,10167676,'Cannot be modified except by direct means',100,2,13),
(103958,10167676,'Cannot be modified except by direct means',100,1,14),
(103959,10167676,'When Equipped:',100,0,15),
(103960,10167676,'This effect will not stack with any rank or tier of itself.',100,1,16),
(103961,10167676,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(103962,10167676,'Cannot be modified except by direct means',100,1,18),
(103963,144657,'When Equipped:',100,0,0),
(103964,144657,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(103965,144657,'Reduces healing received by 15.00%',100,2,2),
(103966,144657,'Cannot be modified except by direct means',100,2,3),
(103967,144657,'This effect can only trigger once every 1 second.',100,2,4),
(103968,144657,'Must be engaged in pvp combat',100,1,5),
(103969,10144657,'When Equipped:',100,0,0),
(103970,10144657,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(103971,10144657,'Reduces healing received by 15.00%',100,2,2),
(103972,10144657,'Cannot be modified except by direct means',100,2,3),
(103973,10144657,'This effect can only trigger once every 1 second.',100,2,4),
(103974,10144657,'Must be engaged in pvp combat',100,1,5),
(103975,103148,'Throws target back',100,1,0),
(103976,103148,'If Target is not Epic',100,2,1),
(103977,103148,'Inflicts 21 - 64 crushing damage on target',100,1,2),
(103978,103148,'Stuns target',100,1,3),
(103979,103148,'If Target is not Epic',100,2,4),
(103980,103148,'Resistibility increases against targets higher than level 37.',100,1,5),
(103981,10103148,'Throws target back',100,1,0),
(103982,10103148,'If Target is not Epic',100,2,1),
(103983,10103148,'Inflicts 28 - 84 crushing damage on target',100,1,2),
(103984,10103148,'Stuns target',100,1,3),
(103985,10103148,'If Target is not Epic',100,2,4),
(103986,10103148,'Resistibility increases against targets higher than level 37.',100,1,5),
(103987,141972,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(103988,141972,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(103989,141972,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(103990,10141972,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(103991,10141972,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(103992,10141972,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(103993,122276,'Decreases Threat to targets in Area of Effect by 1,692 ',100,1,0),
(103994,122276,'Makes targets in Area of Effect afraid',100,1,1),
(103995,122276,'If Target is not Epic',100,2,2),
(103996,122276,'30% chance to dispel when target takes damage',100,1,3),
(103997,10122276,'Applies Distract.',100,1,0),
(103998,10122276,'Forces target to clear their selected target.',100,2,1),
(103999,10122276,'Makes targets in Area of Effect afraid',100,1,2),
(104000,10122276,'If Target is not Epic',100,2,3),
(104001,10122276,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(104002,10122276,'30% chance to dispel when target takes damage',100,1,5),
(104003,108213,'Increases power of caster by 56 instantly and every 4 seconds',100,1,0),
(104004,10108213,'Increases power of caster by 56 instantly and every 4 seconds',100,1,0),
(104005,36736,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(104006,47739,'Applies trauma remedy when Activated.',100,0,0),
(104007,47739,'Dispels 68 levels of physical hostile effects on caster',100,1,1),
(104008,10047739,'Applies trauma remedy when Activated.',100,0,0),
(104009,10047739,'Dispels 68 levels of physical hostile effects on caster',100,1,1),
(104010,110490,'Stifles caster',100,1,0),
(104011,110490,'Increases power of caster by 31 instantly and every second',100,1,1),
(104012,10110490,'Stifles caster',100,1,0),
(104013,10110490,'Increases power of caster by 31 instantly and every second',100,1,1),
(104014,108825,'Inflicts 1026 - 1906 heat damage on targets in Area of Effect',100,1,0),
(104015,10108825,'Inflicts 1437 - 2668 heat damage on targets in Area of Effect',100,1,0),
(104016,123734,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(104017,10123734,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(104018,75982,'When Equipped:',100,0,0),
(104019,75982,'On any combat or spell hit this spell may cast Earthshaker on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104020,75982,'Inflicts 1061 - 1296 crushing damage on target encounter',100,2,2),
(104021,75982,'Cannot be modified except by direct means',100,2,3),
(104022,10075982,'When Equipped:',100,0,0),
(104023,10075982,'On any combat or spell hit this spell may cast Earthshaker on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104024,10075982,'Inflicts 1485 - 1815 crushing damage on target encounter',100,2,2),
(104025,10075982,'Cannot be modified except by direct means',100,2,3),
(104026,120785,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(104027,120785,'Throws target back',100,2,1),
(104028,120785,'Stuns target',100,2,2),
(104029,120785,'Blurs vision of target',100,2,3),
(104030,120785,'Does not affect Epic targets',100,2,4),
(104031,120785,'Inflicts 79 - 131 piercing damage on target',100,1,5),
(104032,10120785,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(104033,10120785,'Throws target back',100,2,1),
(104034,10120785,'Stuns target',100,2,2),
(104035,10120785,'Blurs vision of target',100,2,3),
(104036,10120785,'Does not affect Epic targets',100,2,4),
(104037,10120785,'Inflicts 102 - 171 piercing damage on target',100,1,5),
(104038,41689,'When Equipped:',100,0,0),
(104039,41689,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104040,41689,'Inflicts 127 - 236 magic damage on target',100,2,2),
(104041,41689,'Cannot be modified except by direct means',100,2,3),
(104042,10041689,'When Equipped:',100,0,0),
(104043,10041689,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104044,10041689,'Inflicts 178 - 331 magic damage on target',100,2,2),
(104045,10041689,'Cannot be modified except by direct means',100,2,3),
(104046,117993,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(104047,117993,'Increases Attack Speed of target by 18.6',100,2,1),
(104048,117993,'Increases Damage Per Second of target by 18.6',100,2,2),
(104049,117993,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(104050,117993,'Increases Attack Speed of target by 18.6',100,2,4),
(104051,117993,'Increases Damage Per Second of target by 18.6',100,2,5),
(104052,117993,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(104053,117993,'Increases Attack Speed of target by 18.6',100,2,7),
(104054,117993,'Increases Damage Per Second of target by 18.6',100,2,8),
(104055,10117993,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(104056,10117993,'Increases Attack Speed of target by 18.6',100,2,1),
(104057,10117993,'Increases Damage Per Second of target by 18.6',100,2,2),
(104058,10117993,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(104059,10117993,'Increases Attack Speed of target by 18.6',100,2,4),
(104060,10117993,'Increases Damage Per Second of target by 18.6',100,2,5),
(104061,10117993,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(104062,10117993,'Increases Attack Speed of target by 18.6',100,2,7),
(104063,10117993,'Increases Damage Per Second of target by 18.6',100,2,8),
(104064,120189,'Applies Life Draw on termination.',100,1,0),
(104065,120189,'Inflicts 744 - 1240 disease damage on target',100,2,1),
(104066,120189,'Heals caster for 11.9 - 14.5% of max health',100,2,2),
(104067,120189,'This effect cannot be critically applied.',100,3,3),
(104068,120189,'The healing of this spell cannot be modified except by direct means',100,2,4),
(104069,120189,'Inflicts 216 - 361 disease damage on target',100,1,5),
(104070,10120189,'Applies Life Draw on termination.',100,1,0),
(104071,10120189,'Inflicts 1041 - 1736 disease damage on target',100,2,1),
(104072,10120189,'Heals caster for 3.2 - 4.0% of max health',100,2,2),
(104073,10120189,'This effect cannot be critically applied.',100,3,3),
(104074,10120189,'The healing of this spell cannot be modified except by direct means',100,2,4),
(104075,10120189,'Inflicts 282 - 470 disease damage on target',100,1,5),
(104076,120606,'Inflicts 256 - 476 heat damage on target',100,1,0),
(104077,10120606,'Inflicts 359 - 666 heat damage on target',100,1,0),
(104078,104879,'Inflicts 110 - 183 magic damage on targets in area',100,1,0),
(104079,10104879,'Inflicts 143 - 238 magic damage on targets in area',100,1,0),
(104080,117581,'Inflicts 355 - 592 melee damage on target',100,1,0),
(104081,117581,'Decreases Parry of target by 32.5',100,1,1),
(104082,117581,'Must be in front of or flanking',100,1,2),
(104083,10117581,'Inflicts 462 - 770 melee damage on target',100,1,0),
(104084,10117581,'Decreases Parry of target by 32.5',100,1,1),
(104085,10117581,'Must be in front of or flanking',100,1,2),
(104086,161132,'When Equipped:',100,0,0),
(104087,161132,'When damaged in combat this spell has a 8% chance to cast Scathing Sands on target''s attacker.  ',100,1,1),
(104088,161132,'Increases Threat to target by 3,500 ',100,2,2),
(104089,161132,'Inflicts 1998 crushing damage on target',100,2,3),
(104090,161132,'Must not be engaged in pvp combat',100,2,4),
(104091,161132,'Cannot be modified except by direct means',100,2,5),
(104092,161132,'On any combat or spell hit this spell may cast Scathing Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(104093,161132,'Increases Threat to target by 3,500 ',100,2,7),
(104094,161132,'Inflicts 1998 crushing damage on target',100,2,8),
(104095,161132,'Must not be engaged in pvp combat',100,2,9),
(104096,161132,'Cannot be modified except by direct means',100,2,10),
(104097,10161132,'When Equipped:',100,0,0),
(104098,10161132,'When damaged in combat this spell has a 8% chance to cast Scathing Sands on target''s attacker.  ',100,1,1),
(104099,10161132,'Inflicts 2797 crushing damage on target',100,2,2),
(104100,10161132,'Must not be engaged in pvp combat',100,2,3),
(104101,10161132,'Cannot be modified except by direct means',100,2,4),
(104102,10161132,'On any combat or spell hit this spell may cast Scathing Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(104103,10161132,'Inflicts 2797 crushing damage on target',100,2,6),
(104104,10161132,'Must not be engaged in pvp combat',100,2,7),
(104105,10161132,'Cannot be modified except by direct means',100,2,8),
(104106,111167,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(104107,111167,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1961',100,1,1),
(104108,111167,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,2),
(104109,10111167,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(104110,10111167,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1961',100,1,1),
(104111,10111167,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,2),
(104112,139236,'When Equipped:',100,0,0),
(104113,139236,'On a healing spell cast this spell may cast Monstrous Warding on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104114,139236,'Wards target against 5000 points of all damage',100,2,2),
(104115,139236,'Increases Max Health of target by 10.0%',100,2,3),
(104116,139236,'Must not be engaged in pvp combat',100,2,4),
(104117,139236,'Cannot be modified except by direct means',100,2,5),
(104118,139236,'Must not be engaged in pvp combat',100,1,6),
(104119,10139236,'When Equipped:',100,0,0),
(104120,10139236,'On a healing spell cast this spell may cast Monstrous Warding on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104121,10139236,'Wards target against 5000 points of all damage',100,2,2),
(104122,10139236,'Increases Max Health of target by 10.0%',100,2,3),
(104123,10139236,'Must not be engaged in pvp combat',100,2,4),
(104124,10139236,'Cannot be modified except by direct means',100,2,5),
(104125,10139236,'Must not be engaged in pvp combat',100,1,6),
(104126,112562,'Interrupts target',50,1,0),
(104127,112562,'Inflicts 551 - 674 divine damage on target',100,1,1),
(104128,10112562,'Interrupts target',50,1,0),
(104129,10112562,'Inflicts 992 - 1212 divine damage on target',100,1,1),
(104130,102064,'Interrupts targets in Area of Effect',100,1,0),
(104131,102064,'Inflicts 395 - 659 melee damage on targets in area',100,1,1),
(104132,10102064,'Interrupts targets in Area of Effect',100,1,0),
(104133,10102064,'Inflicts 514 - 856 melee damage on targets in area',100,1,1),
(104134,106291,'Decreases AGI, STR, INT and WIS of target encounter by 84.6',100,1,0),
(104135,106291,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 21.5',100,1,1),
(104136,106291,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 21.1',100,1,2),
(104137,10106291,'Decreases AGI, STR, INT and WIS of target encounter by 84.6',100,1,0),
(104138,10106291,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 21.5',100,1,1),
(104139,10106291,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 21.1',100,1,2),
(104140,26797,'When Equipped:',100,0,0),
(104141,26797,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(104142,26797,'On a critical combat hit this spell may cast Sorcerer''s Bore I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(104143,26797,'Decreases Mitigation of target vs noxious damage by 1497',100,2,3),
(104144,26797,'Decreases Mitigation of target vs arcane damage by 1497',100,2,4),
(104145,26797,'Decreases Mitigation of target vs elemental damage by 1497',100,2,5),
(104146,26797,'Must not be engaged in pvp combat',100,2,6),
(104147,26797,'Cannot be modified except by direct means',100,2,7),
(104148,26797,'On a critical spell hit this spell may cast Sorcerer''s Bore I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(104149,26797,'Decreases Mitigation of target vs noxious damage by 1497',100,2,9),
(104150,26797,'Decreases Mitigation of target vs arcane damage by 1497',100,2,10),
(104151,26797,'Decreases Mitigation of target vs elemental damage by 1497',100,2,11),
(104152,26797,'Must not be engaged in pvp combat',100,2,12),
(104153,26797,'Cannot be modified except by direct means',100,2,13),
(104154,26797,'Must not be engaged in pvp combat',100,1,14),
(104155,10026797,'When Equipped:',100,0,0),
(104156,10026797,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(104157,10026797,'On a critical combat hit this spell may cast Sorcerer''s Bore I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(104158,10026797,'Decreases Mitigation of target vs noxious damage by 1497',100,2,3),
(104159,10026797,'Decreases Mitigation of target vs arcane damage by 1497',100,2,4),
(104160,10026797,'Decreases Mitigation of target vs elemental damage by 1497',100,2,5),
(104161,10026797,'Must not be engaged in pvp combat',100,2,6),
(104162,10026797,'Cannot be modified except by direct means',100,2,7),
(104163,10026797,'On a critical spell hit this spell may cast Sorcerer''s Bore I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(104164,10026797,'Decreases Mitigation of target vs noxious damage by 1497',100,2,9),
(104165,10026797,'Decreases Mitigation of target vs arcane damage by 1497',100,2,10),
(104166,10026797,'Decreases Mitigation of target vs elemental damage by 1497',100,2,11),
(104167,10026797,'Must not be engaged in pvp combat',100,2,12),
(104168,10026797,'Cannot be modified except by direct means',100,2,13),
(104169,10026797,'Must not be engaged in pvp combat',100,1,14),
(104170,114003,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(104171,114003,'Increases Threat to target by 372 ',100,2,1),
(104172,114003,'Inflicts 89 - 148 melee damage on target',100,2,2),
(104173,10114003,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(104174,10114003,'Inflicts 116 - 193 melee damage on target',100,2,1),
(104175,80837,'When Equipped:',100,0,0),
(104176,80837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104177,80837,'Inflicts 248 - 460 magic damage on target',100,2,2),
(104178,80837,'Cannot be modified except by direct means',100,2,3),
(104179,10080837,'When Equipped:',100,0,0),
(104180,10080837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104181,10080837,'Inflicts 347 - 644 magic damage on target',100,2,2),
(104182,10080837,'Cannot be modified except by direct means',100,2,3),
(104183,108796,'Inflicts 133 - 247 heat damage on targets in Area of Effect',100,1,0),
(104184,10108796,'Inflicts 186 - 346 heat damage on targets in Area of Effect',100,1,0),
(104185,146685,'When Equipped:',100,0,0),
(104186,146685,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(104187,146685,'Increases Hate Gain of caster by 10.0%',100,2,2),
(104188,146685,'Cannot be modified except by direct means',100,2,3),
(104189,146685,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(104190,146685,'Increases Hate Gain of caster by 10.0%',100,2,5),
(104191,146685,'Cannot be modified except by direct means',100,2,6),
(104192,10146685,'When Equipped:',100,0,0),
(104193,10146685,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(104194,10146685,'Cannot be modified except by direct means',100,2,2),
(104195,10146685,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,3),
(104196,10146685,'Cannot be modified except by direct means',100,2,4),
(104197,82564,'When Equipped:',100,0,0),
(104198,82564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104199,82564,'Inflicts 90 - 167 magic damage on target',100,2,2),
(104200,82564,'Cannot be modified except by direct means',100,2,3),
(104201,10082564,'When Equipped:',100,0,0),
(104202,10082564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104203,10082564,'Inflicts 126 - 234 magic damage on target',100,2,2),
(104204,10082564,'Cannot be modified except by direct means',100,2,3),
(104205,105054,'Inflicts 47 - 71 magic damage on target',100,1,0),
(104206,10105054,'Inflicts 66 - 100 magic damage on target',100,1,0),
(104207,170421,'When Equipped:',100,0,0),
(104208,170421,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(104209,170421,'Heals group members (AE) for 174',100,2,2),
(104210,170421,'Cannot be modified except by direct means',100,2,3),
(104211,170421,'Cannot be modified except by direct means',100,1,4),
(104212,10170421,'When Equipped:',100,0,0),
(104213,10170421,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(104214,10170421,'Heals group members (AE) for 113',100,2,2),
(104215,10170421,'Cannot be modified except by direct means',100,2,3),
(104216,10170421,'Cannot be modified except by direct means',100,1,4),
(104217,103970,'Interrupts targets in Area of Effect',100,1,0),
(104218,103970,'Inflicts 26 - 49 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(104219,10103970,'Interrupts targets in Area of Effect',100,1,0),
(104220,10103970,'Inflicts 37 - 68 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(104221,47133,'Applies Briana''s Reclamation  when Activated.',100,0,0),
(104222,47133,'Heals caster for 76',100,1,1),
(104223,10047133,'Applies Briana''s Reclamation  when Activated.',100,0,0),
(104224,10047133,'Heals caster for 49',100,1,1),
(104225,35551,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(104226,120815,'Inflicts 5 - 7 disease damage on target instantly and every second',100,1,0),
(104227,10120815,'Inflicts 11 - 15 disease damage on target',100,1,0),
(104228,10120815,'Inflicts 8 - 10 disease damage on target every second',100,1,1),
(104229,24704,'Adds Sphinx (Paladin) to your Dungeon Maker toolbox',100,0,0),
(104230,10024704,'Adds Sphinx (Paladin) to your Dungeon Maker toolbox',100,0,0),
(104231,71704,'When Equipped:',100,0,0),
(104232,71704,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104233,71704,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(104234,71704,'Cannot be modified except by direct means',100,2,3),
(104235,10071704,'When Equipped:',100,0,0),
(104236,10071704,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104237,10071704,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(104238,10071704,'Cannot be modified except by direct means',100,2,3),
(104239,117968,'Heals target for 744 - 910',100,1,0),
(104240,117968,'Increases Max Health of target by 110.5',100,1,1),
(104241,10117968,'Heals target for 854 - 1044',100,1,0),
(104242,10117968,'Increases Max Health of target by 110.5',100,1,1),
(104243,113915,'Inflicts 439 - 731 disease damage on target',100,1,0),
(104244,113915,'Inflicts 110 - 183 disease damage on target every 4 seconds',100,1,1),
(104245,113915,'Increases power of caster by 179 - 298',100,1,2),
(104246,113915,'Increases power of caster by 39 - 65 every 4 seconds',100,1,3),
(104247,10113915,'Inflicts 614 - 1023 disease damage on target',100,1,0),
(104248,10113915,'Inflicts 154 - 256 disease damage on target every 4 seconds',100,1,1),
(104249,10113915,'Increases power of caster by 179 - 298',100,1,2),
(104250,10113915,'Increases power of caster by 39 - 65 every 4 seconds',100,1,3),
(104251,74944,'When Equipped:',100,0,0),
(104252,74944,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104253,74944,'Inflicts 115 - 173 magic damage on target',100,2,2),
(104254,74944,'Cannot be modified except by direct means',100,2,3),
(104255,10074944,'When Equipped:',100,0,0),
(104256,10074944,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104257,10074944,'Inflicts 161 - 242 magic damage on target',100,2,2),
(104258,10074944,'Cannot be modified except by direct means',100,2,3),
(104259,108197,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(104260,10108197,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(104261,47229,'Applies Elixir of Vivacity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(104262,47229,'Heals caster for 119',100,1,1),
(104263,47229,'Heals caster for 60 every 5 seconds',100,1,2),
(104264,10047229,'Applies Elixir of Vivacity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(104265,10047229,'Heals caster for 78',100,1,1),
(104266,10047229,'Heals caster for 39 every 5 seconds',100,1,2),
(104267,48757,'Applies Elixir of Sharpness  when Activated.  Lasts for 30 minutes.',100,0,0),
(104268,48757,'Increases AGI of caster by 31.0',100,1,1),
(104269,10048757,'Applies Elixir of Sharpness  when Activated.  Lasts for 30 minutes.',100,0,0),
(104270,10048757,'Increases AGI of caster by 31.0',100,1,1),
(104271,118387,'Inflicts 546 - 910 melee damage on target',100,1,0),
(104272,118387,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(104273,118387,'Throws target back',100,2,2),
(104274,118387,'Stuns target',100,2,3),
(104275,118387,'Blurs vision of target',100,2,4),
(104276,118387,'Does not affect Epic targets',100,2,5),
(104277,10118387,'Inflicts 710 - 1183 melee damage on target',100,1,0),
(104278,10118387,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(104279,10118387,'Throws target back',100,2,2),
(104280,10118387,'Stuns target',100,2,3),
(104281,10118387,'Blurs vision of target',100,2,4),
(104282,10118387,'Does not affect Epic targets',100,2,5),
(104283,113887,'Increases power of target by 151',100,1,0),
(104284,10113887,'Increases power of target by 151',100,1,0),
(104285,48648,'Applies Aura of Light  when Activated.  Lasts for 15 minutes.',100,0,0),
(104286,48648,'Increases Max Health of caster by 68.8',100,1,1),
(104287,10048648,'Applies Aura of Light  when Activated.  Lasts for 15 minutes.',100,0,0),
(104288,10048648,'Increases Max Health of caster by 68.8',100,1,1),
(104289,106873,'Decreases Threat to targets in Area of Effect by 1,186 ',100,1,0),
(104290,106873,'Stuns targets in Area of Effect',100,1,1),
(104291,106873,'If Target is not Epic',100,2,2),
(104292,10106873,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(104293,10106873,'Applies Distract.',100,1,1),
(104294,10106873,'Forces target to clear their selected target.',100,2,2),
(104295,10106873,'Stuns targets in Area of Effect',100,1,3),
(104296,10106873,'If Target is not Epic',100,2,4),
(104297,51459,'Applies Heroic Resistance V when Equipped.',100,0,0),
(104298,51459,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(104299,51459,'Cannot be modified except by direct means',100,1,2),
(104300,10051459,'Applies Heroic Resistance V when Equipped.',100,0,0),
(104301,10051459,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(104302,10051459,'Cannot be modified except by direct means',100,1,2),
(104303,48809,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(104304,48809,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(104305,48809,'Inflicts 40 poison damage on target instantly and every 6 seconds',100,2,2),
(104306,48809,'Inflicts 246 poison damage on target',100,2,3),
(104307,48809,'Cannot be modified except by direct means',100,2,4),
(104308,48809,'Grants a total of 200 triggers of the spell.',100,2,5),
(104309,10048809,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(104310,10048809,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(104311,10048809,'Inflicts 42 poison damage on target instantly and every 6 seconds',100,2,2),
(104312,10048809,'Inflicts 258 poison damage on target',100,2,3),
(104313,10048809,'Cannot be modified except by direct means',100,2,4),
(104314,10048809,'Grants a total of 200 triggers of the spell.',100,2,5),
(104315,103395,'Decreases Threat to targets in Area of Effect by 390 ',100,1,0),
(104316,103395,'Slows targets in Area of Effect by 42.0%',100,1,1),
(104317,103395,'Stifles targets in Area of Effect',100,1,2),
(104318,103395,'If Target is not Epic',100,2,3),
(104319,103395,'10% chance to dispel when target receives hostile action',100,1,4),
(104320,103395,'10% chance to dispel when target takes damage',100,1,5),
(104321,10103395,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(104322,10103395,'Slows targets in Area of Effect by 42.0%',100,1,1),
(104323,10103395,'Stifles targets in Area of Effect',100,1,2),
(104324,10103395,'If Target is not Epic',100,2,3),
(104325,48585,'Applies Record when Activated.',100,0,0),
(104326,10048585,'Applies Record when Activated.',100,0,0),
(104327,80295,'When Equipped:',100,0,0),
(104328,80295,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104329,80295,'Inflicts 64 - 119 magic damage on target',100,2,2),
(104330,80295,'Cannot be modified except by direct means',100,2,3),
(104331,10080295,'When Equipped:',100,0,0),
(104332,10080295,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104333,10080295,'Inflicts 90 - 167 magic damage on target',100,2,2),
(104334,10080295,'Cannot be modified except by direct means',100,2,3),
(104335,114593,'Inflicts 832 - 1386 ranged damage on target',100,1,0),
(104336,114593,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(104337,114593,'Requires bow',100,1,2),
(104338,10114593,'Inflicts 878 - 1463 ranged damage on target',100,1,0),
(104339,10114593,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(104340,10114593,'Requires bow',100,1,2),
(104341,104469,'Interrupts targets in Area of Effect',100,1,0),
(104342,104469,'Inflicts 7-12 melee damage on targets in area',100,1,1),
(104343,10104469,'Interrupts targets in Area of Effect',100,1,0),
(104344,10104469,'Inflicts 80 - 134 melee damage on targets in area',100,1,1),
(104345,177674,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(104346,177674,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(104347,177674,'Inflicts 26 heat damage on target',100,2,2),
(104348,177674,'Cannot be modified except by direct means',100,2,3),
(104349,10177674,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(104350,10177674,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(104351,10177674,'Inflicts 36 heat damage on target',100,2,2),
(104352,10177674,'Cannot be modified except by direct means',100,2,3),
(104353,170402,'When Equipped:',100,0,0),
(104354,170402,'Increases Attack Speed of caster by 40.0',100,1,1),
(104355,10170402,'When Equipped:',100,0,0),
(104356,10170402,'Increases Attack Speed of caster by 40.0',100,1,1),
(104357,41496,'When Equipped:',100,0,0),
(104358,41496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104359,41496,'Inflicts 91 - 169 magic damage on target',100,2,2),
(104360,41496,'Cannot be modified except by direct means',100,2,3),
(104361,10041496,'When Equipped:',100,0,0),
(104362,10041496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104363,10041496,'Inflicts 128 - 237 magic damage on target',100,2,2),
(104364,10041496,'Cannot be modified except by direct means',100,2,3),
(104365,159243,'Applies Lambent Imbued when Equipped.',100,0,0),
(104366,159243,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(104367,159243,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(104368,159243,'Cannot be modified except by direct means',100,2,3),
(104369,10159243,'Applies Lambent Imbued when Equipped.',100,0,0),
(104370,10159243,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(104371,10159243,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(104372,10159243,'Cannot be modified except by direct means',100,2,3),
(104373,37491,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(104374,117908,'Increases In-Combat Health Regeneration of group members (AE) by 75.0',100,1,0),
(104375,117908,'Increases Max Health of group members (AE) by 401.8',100,1,1),
(104376,10117908,'Increases In-Combat Health Regeneration of group members (AE) by 75.0',100,1,0),
(104377,10117908,'Increases Max Health of group members (AE) by 401.8',100,1,1),
(104378,35619,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(104379,70308,'When Equipped:',100,0,0),
(104380,70308,'Increases Attack Speed of caster by 17.1 - 20.9',100,1,1),
(104381,10070308,'When Equipped:',100,0,0),
(104382,10070308,'Increases Attack Speed of caster by 17.1 - 20.9',100,1,1),
(104383,107087,'Inflicts 155 - 189 divine damage on target',100,1,0),
(104384,10107087,'Inflicts 217 - 265 divine damage on target',100,1,0),
(104385,111333,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(104386,111333,'Inflicts 313 - 383 mental damage on target',100,2,1),
(104387,111333,'Grants a total of 3 triggers of the spell.',100,2,2),
(104388,10111333,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(104389,10111333,'Inflicts 439 - 536 mental damage on target',100,2,1),
(104390,10111333,'Grants a total of 3 triggers of the spell.',100,2,2),
(104391,104244,'Increases Mitigation of group members (AE) vs physical damage by 300',100,1,0),
(104392,10104244,'Increases Mitigation of group members (AE) vs physical damage by 300',100,1,0),
(104393,115078,'Heals target for 206 - 252',100,1,0),
(104394,115078,'Heals target for 26 - 32 every second',100,1,1),
(104395,10115078,'Heals target for 382 - 467',100,1,0),
(104396,10115078,'Heals target for 29 - 35 every second',100,1,1),
(104397,158298,'When Equipped:',100,0,0),
(104398,158298,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104399,158298,'Wards caster against 300 points of all damage',100,2,2),
(104400,158298,'Cannot be modified except by direct means',100,2,3),
(104401,158298,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(104402,10158298,'When Equipped:',100,0,0),
(104403,10158298,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104404,10158298,'Wards caster against 300 points of all damage',100,2,2),
(104405,10158298,'Cannot be modified except by direct means',100,2,3),
(104406,10158298,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(104407,177536,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(104408,177536,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(104409,177536,'Inflicts 18 heat damage on target',100,2,2),
(104410,177536,'Cannot be modified except by direct means',100,2,3),
(104411,10177536,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(104412,10177536,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(104413,10177536,'Inflicts 25 heat damage on target',100,2,2),
(104414,10177536,'Cannot be modified except by direct means',100,2,3),
(104415,118918,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(104416,118918,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 351',100,1,1),
(104417,118918,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,2),
(104418,10118918,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(104419,10118918,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 351',100,1,1),
(104420,10118918,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,2),
(104421,123832,'Increases WIS of target by 27.7',100,1,0),
(104422,123832,'Increases Max Power of target by 107.1',100,1,1),
(104423,10123832,'Increases WIS of target by 27.7',100,1,0),
(104424,10123832,'Increases Max Power of target by 107.1',100,1,1),
(104425,85823,'When Equipped:',100,0,0),
(104426,85823,'On a combat hit this spell may cast Wrath of the Priestess on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104427,85823,'Inflicts 275 - 337 magic damage on target',100,2,2),
(104428,85823,'Inflicts 275 - 337 divine damage on target',100,2,3),
(104429,85823,'Cannot be modified except by direct means',100,2,4),
(104430,10085823,'When Equipped:',100,0,0),
(104431,10085823,'On a combat hit this spell may cast Wrath of the Priestess on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104432,10085823,'Inflicts 386 - 471 magic damage on target',100,2,2),
(104433,10085823,'Inflicts 386 - 471 divine damage on target',100,2,3),
(104434,10085823,'Cannot be modified except by direct means',100,2,4),
(104435,35499,'Increases Max Power of target by 4.1',100,0,0),
(104436,35499,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(104437,140281,'When Equipped:',100,0,0),
(104438,140281,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(104439,140281,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(104440,140281,'Must not be engaged in pvp combat',100,2,3),
(104441,140281,'Cannot be modified except by direct means',100,2,4),
(104442,140281,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(104443,140281,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(104444,140281,'Must not be engaged in pvp combat',100,2,7),
(104445,140281,'Cannot be modified except by direct means',100,2,8),
(104446,140281,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(104447,140281,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(104448,140281,'Must not be engaged in pvp combat',100,2,11),
(104449,140281,'Cannot be modified except by direct means',100,2,12),
(104450,140281,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(104451,140281,'Inflicts 13 piercing damage on target',100,2,14),
(104452,140281,'Must not be engaged in pvp combat',100,2,15),
(104453,140281,'Cannot be modified except by direct means',100,2,16),
(104454,10140281,'When Equipped:',100,0,0),
(104455,10140281,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(104456,10140281,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(104457,10140281,'Must not be engaged in pvp combat',100,2,3),
(104458,10140281,'Cannot be modified except by direct means',100,2,4),
(104459,10140281,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(104460,10140281,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(104461,10140281,'Must not be engaged in pvp combat',100,2,7),
(104462,10140281,'Cannot be modified except by direct means',100,2,8),
(104463,10140281,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(104464,10140281,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(104465,10140281,'Must not be engaged in pvp combat',100,2,11),
(104466,10140281,'Cannot be modified except by direct means',100,2,12),
(104467,10140281,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(104468,10140281,'Inflicts 19 piercing damage on target',100,2,14),
(104469,10140281,'Must not be engaged in pvp combat',100,2,15),
(104470,10140281,'Cannot be modified except by direct means',100,2,16),
(104471,106861,'Decreases Threat to targets in Area of Effect by 325 ',100,1,0),
(104472,106861,'Stuns targets in Area of Effect',100,1,1),
(104473,106861,'If Target is not Epic',100,2,2),
(104474,10106861,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(104475,10106861,'Applies Distract.',100,1,1),
(104476,10106861,'Forces target to clear their selected target.',100,2,2),
(104477,10106861,'Stuns targets in Area of Effect',100,1,3),
(104478,10106861,'If Target is not Epic',100,2,4),
(104479,40677,'When Equipped:',100,0,0),
(104480,40677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104481,40677,'Inflicts 113 - 170 magic damage on target',100,2,2),
(104482,40677,'Cannot be modified except by direct means',100,2,3),
(104483,10040677,'When Equipped:',100,0,0),
(104484,10040677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104485,10040677,'Inflicts 158 - 237 magic damage on target',100,2,2),
(104486,10040677,'Cannot be modified except by direct means',100,2,3),
(104487,24735,'Adds Vampire (Dirge) to your Dungeon Maker toolbox',100,0,0),
(104488,10024735,'Adds Vampire (Dirge) to your Dungeon Maker toolbox',100,0,0),
(104489,108318,'Inflicts 154 - 257 divine damage on target',100,1,0),
(104490,108318,'Heals caster for 1.0% of max health',100,1,1),
(104491,108318,'This effect cannot be critically applied.',100,2,2),
(104492,108318,'The healing of this spell cannot be modified except by direct means',100,1,3),
(104493,10108318,'Inflicts 200 - 334 divine damage on target',100,1,0),
(104494,10108318,'Heals caster for 0.5% of max health',100,1,1),
(104495,10108318,'This effect cannot be critically applied.',100,2,2),
(104496,10108318,'The healing of this spell cannot be modified except by direct means',100,1,3),
(104497,103538,'Increases In-Combat Power Regeneration of group members (AE) by 6.7',100,1,0),
(104498,10103538,'Increases In-Combat Power Regeneration of group members (AE) by 6.7',100,1,0),
(104499,122122,'Interrupts target',100,1,0),
(104500,122122,'Increases Threat to target by 474 ',100,1,1),
(104501,122122,'Dispels 43 levels of arcane beneficial effects on target',100,1,2),
(104502,10122122,'Interrupts target',100,1,0),
(104503,10122122,'Forces target to change their selected target to caster.',100,1,1),
(104504,10122122,'Dispels 43 levels of arcane beneficial effects on target',100,1,2),
(104505,25833,'When Equipped:',100,0,0),
(104506,25833,'This effect will not stack with itself.',100,1,1),
(104507,25833,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(104508,10025833,'When Equipped:',100,0,0),
(104509,10025833,'This effect will not stack with itself.',100,1,1),
(104510,10025833,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(104511,107449,'Summons a pet earthen avatar',100,1,0),
(104512,10107449,'Summons a pet earthen avatar',100,1,0),
(104513,179102,'When Equipped:',100,0,0),
(104514,179102,'Increases Attack Speed of caster by 33.0',100,1,1),
(104515,10179102,'When Equipped:',100,0,0),
(104516,10179102,'Increases Attack Speed of caster by 33.0',100,1,1),
(104517,141706,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(104518,141706,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(104519,141706,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(104520,141706,'Cannot be modified except by direct means',100,2,3),
(104521,10141706,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(104522,10141706,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(104523,10141706,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(104524,10141706,'Cannot be modified except by direct means',100,2,3),
(104525,157099,'When Equipped:',100,0,0),
(104526,157099,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(104527,10157099,'When Equipped:',100,0,0),
(104528,10157099,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(104529,121334,'Inflicts 1554 - 2590 ranged damage on targets in area',100,1,0),
(104530,121334,'Requires bow',100,1,1),
(104531,10121334,'Inflicts 1189 - 1981 ranged damage on targets in area',100,1,0),
(104532,10121334,'Requires bow',100,1,1),
(104533,87274,'When Equipped:',100,0,0),
(104534,87274,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104535,87274,'Inflicts 276 - 413 magic damage on target',100,2,2),
(104536,87274,'Cannot be modified except by direct means',100,2,3),
(104537,10087274,'When Equipped:',100,0,0),
(104538,10087274,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104539,10087274,'Inflicts 386 - 579 magic damage on target',100,2,2),
(104540,10087274,'Cannot be modified except by direct means',100,2,3),
(104541,47886,'Applies Scatter Marbles when Activated.  Lasts for 1 minute.',100,0,0),
(104542,47886,'Slows targets in Area of Effect by 50.0%',100,1,1),
(104543,47886,'Only affects targets level 74 and below',100,1,2),
(104544,47886,'Does not affect Epic targets',100,1,3),
(104545,10047886,'Applies Scatter Marbles when Activated.  Lasts for 1 minute.',100,0,0),
(104546,10047886,'Slows targets in Area of Effect by 50.0%',100,1,1),
(104547,10047886,'Only affects targets level 74 and below',100,1,2),
(104548,10047886,'Does not affect Epic targets',100,1,3),
(104549,186268,'When Equipped:',100,0,0),
(104550,186268,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(104551,186268,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(104552,186268,'Cannot be modified except by direct means',100,1,3),
(104553,10186268,'When Equipped:',100,0,0),
(104554,10186268,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(104555,10186268,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(104556,10186268,'Cannot be modified except by direct means',100,1,3),
(104557,121021,'Wards group members (AE) against 26 points of physical damage',100,1,0),
(104558,121021,'Increases Mitigation of group members (AE) vs physical damage by 203',100,1,1),
(104559,10121021,'Wards group members (AE) against 26 points of physical damage',100,1,0),
(104560,10121021,'Increases Mitigation of group members (AE) vs physical damage by 203',100,1,1),
(104561,41456,'When Equipped:',100,0,0),
(104562,41456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104563,41456,'Inflicts 61 - 113 magic damage on target',100,2,2),
(104564,41456,'Cannot be modified except by direct means',100,2,3),
(104565,10041456,'When Equipped:',100,0,0),
(104566,10041456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104567,10041456,'Inflicts 85 - 158 magic damage on target',100,2,2),
(104568,10041456,'Cannot be modified except by direct means',100,2,3),
(104569,74760,'When Equipped:',100,0,0),
(104570,74760,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104571,74760,'Inflicts 83 - 125 magic damage on target',100,2,2),
(104572,74760,'Cannot be modified except by direct means',100,2,3),
(104573,10074760,'When Equipped:',100,0,0),
(104574,10074760,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104575,10074760,'Inflicts 117 - 175 magic damage on target',100,2,2),
(104576,10074760,'Cannot be modified except by direct means',100,2,3),
(104577,103900,'Increases power of group members (AE) by 28 instantly and every 6 seconds',100,1,0),
(104578,103900,'Decreases INT of target by 103.4',100,1,1),
(104579,10103900,'Increases power of group members (AE) by 28 instantly and every 6 seconds',100,1,0),
(104580,10103900,'Decreases INT of target by 103.4',100,1,1),
(104581,177599,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(104582,177599,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(104583,177599,'Inflicts 45 heat damage on target',100,2,2),
(104584,177599,'Cannot be modified except by direct means',100,2,3),
(104585,10177599,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(104586,10177599,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(104587,10177599,'Inflicts 63 heat damage on target',100,2,2),
(104588,10177599,'Cannot be modified except by direct means',100,2,3),
(104589,82817,'When Equipped:',100,0,0),
(104590,82817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104591,82817,'Inflicts 271 - 504 magic damage on target',100,2,2),
(104592,82817,'Cannot be modified except by direct means',100,2,3),
(104593,10082817,'When Equipped:',100,0,0),
(104594,10082817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104595,10082817,'Inflicts 380 - 705 magic damage on target',100,2,2),
(104596,10082817,'Cannot be modified except by direct means',100,2,3),
(104597,107296,'Reapplies Swear',100,1,0),
(104598,107296,'Reapplies Boot Dagger',100,1,1),
(104599,107296,'Reapplies Traumatic Swipe',100,1,2),
(104600,107296,'Reapplies Coule',100,1,3),
(104601,107296,'Reapplies Thieving Essence',100,1,4),
(104602,107296,'Reapplies Evasive Maneuvers',100,1,5),
(104603,107296,'Reapplies Will to Survive',100,1,6),
(104604,107296,'Reapplies Deft Disarm',100,1,7),
(104605,107296,'Reapplies Desperate Thrust II',100,1,8),
(104606,107296,'Reapplies Stunning Blow VI',100,1,9),
(104607,107296,'Reapplies Puncture VI',100,1,10),
(104608,107296,'Reapplies Gouge IV',100,1,11),
(104609,107296,'Reapplies Barroom Negotiation IV',100,1,12),
(104610,107296,'Reapplies Battery and Assault V',100,1,13),
(104611,107296,'Reapplies Backstab V',100,1,14),
(104612,107296,'Reapplies Shank II',100,1,15),
(104613,107296,'Reapplies Bum Rush IV',100,1,16),
(104614,107296,'Reapplies Murderous Rake III',100,1,17),
(104615,107296,'Reapplies Rob V',100,1,18),
(104616,107296,'Reapplies Debilitate',100,1,19),
(104617,107296,'Reapplies Black Jack III',100,1,20),
(104618,107296,'Reapplies Dispatch',100,1,21),
(104619,107296,'Reapplies Cuss III',100,1,22),
(104620,107296,'Reapplies Shadow Slip III',100,1,23),
(104621,107296,'Reapplies Cheap Shot',100,1,24),
(104622,107296,'Reapplies Evade IV',100,1,25),
(104623,107296,'Reapplies Sinister Strike',100,1,26),
(104624,107296,'Reapplies Torporous Strike',100,1,27),
(104625,107296,'Reapplies Walk the Plank',100,1,28),
(104626,107296,'You must execute certain combat arts before you can use this ability.',100,1,29),
(104627,10107296,'Reapplies Swear',100,1,0),
(104628,10107296,'Reapplies Boot Dagger',100,1,1),
(104629,10107296,'Reapplies Traumatic Swipe',100,1,2),
(104630,10107296,'Reapplies Coule',100,1,3),
(104631,10107296,'Reapplies Thieving Essence',100,1,4),
(104632,10107296,'Reapplies Evasive Maneuvers',100,1,5),
(104633,10107296,'Reapplies Will to Survive',100,1,6),
(104634,10107296,'Reapplies Deft Disarm',100,1,7),
(104635,10107296,'Reapplies Desperate Thrust II',100,1,8),
(104636,10107296,'Reapplies Stunning Blow VI',100,1,9),
(104637,10107296,'Reapplies Puncture VI',100,1,10),
(104638,10107296,'Reapplies Gouge IV',100,1,11),
(104639,10107296,'Reapplies Barroom Negotiation IV',100,1,12),
(104640,10107296,'Reapplies Battery and Assault V',100,1,13),
(104641,10107296,'Reapplies Backstab V',100,1,14),
(104642,10107296,'Reapplies Shank II',100,1,15),
(104643,10107296,'Reapplies Bum Rush IV',100,1,16),
(104644,10107296,'Reapplies Murderous Rake III',100,1,17),
(104645,10107296,'Reapplies Rob V',100,1,18),
(104646,10107296,'Reapplies Debilitate',100,1,19),
(104647,10107296,'Reapplies Black Jack III',100,1,20),
(104648,10107296,'Reapplies Dispatch',100,1,21),
(104649,10107296,'Reapplies Cuss III',100,1,22),
(104650,10107296,'Reapplies Shadow Slip III',100,1,23),
(104651,10107296,'Reapplies Cheap Shot',100,1,24),
(104652,10107296,'Reapplies Evade IV',100,1,25),
(104653,10107296,'Reapplies Sinister Strike',100,1,26),
(104654,10107296,'Reapplies Torporous Strike',100,1,27),
(104655,10107296,'Reapplies Walk the Plank',100,1,28),
(104656,10107296,'You must execute certain combat arts before you can use this ability.',100,1,29),
(104657,101231,'Inflicts 637 - 1063 cold damage on target',100,1,0),
(104658,101231,'Dazes target',100,1,1),
(104659,101231,'If Target is not Epic',100,2,2),
(104660,101231,'Resistibility increases against targets higher than level 121.',100,1,3),
(104661,10101231,'Inflicts 829 - 1382 cold damage on target',100,1,0),
(104662,10101231,'Dazes target',100,1,1),
(104663,10101231,'If Target is not Epic',100,2,2),
(104664,10101231,'Resistibility increases against targets higher than level 121.',100,1,3),
(104665,148418,'When Equipped:',100,0,0),
(104666,148418,'Increases Attack Speed of caster by 45.0',100,1,1),
(104667,10148418,'When Equipped:',100,0,0),
(104668,10148418,'Increases Attack Speed of caster by 45.0',100,1,1),
(104669,120223,'Roots target encounter',100,1,0),
(104670,120223,'15% chance to dispel when target takes damage',100,1,1),
(104671,120223,'Does not affect Epic targets',100,1,2),
(104672,120223,'Resistibility increases against targets higher than level 83.',100,1,3),
(104673,10120223,'Roots target encounter',100,1,0),
(104674,10120223,'15% chance to dispel when target takes damage',100,1,1),
(104675,10120223,'Does not affect Epic targets',100,1,2),
(104676,10120223,'Resistibility increases against targets higher than level 83.',100,1,3),
(104677,119114,'Inflicts 318 - 955 melee damage on targets in area',100,1,0),
(104678,119114,'Inflicts 318 - 955 melee damage on targets in area',100,1,1),
(104679,119114,'Inflicts 318 - 955 melee damage on targets in area',100,1,2),
(104680,119114,'Inflicts 318 - 955 melee damage on targets in area',100,1,3),
(104681,10119114,'Inflicts 414 - 1242 melee damage on targets in area',100,1,0),
(104682,10119114,'Inflicts 414 - 1242 melee damage on targets in area',100,1,1),
(104683,10119114,'Inflicts 414 - 1242 melee damage on targets in area',100,1,2),
(104684,10119114,'Inflicts 414 - 1242 melee damage on targets in area',100,1,3),
(104685,119278,'Inflicts 64 - 106 slashing damage on target',100,1,0),
(104686,119278,'Decreases Damage Per Second of target by 11.9',100,1,1),
(104687,119278,'Inflicts 85 slashing damage on target instantly and every 4 seconds',100,1,2),
(104688,10119278,'Inflicts 83 - 138 slashing damage on target',100,1,0),
(104689,10119278,'Decreases Damage Per Second of target by 11.9',100,1,1),
(104690,10119278,'Inflicts 120 slashing damage on target instantly and every 4 seconds',100,1,2),
(104691,74943,'When Equipped:',100,0,0),
(104692,74943,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104693,74943,'Inflicts 33 - 49 magic damage on target',100,2,2),
(104694,74943,'Cannot be modified except by direct means',100,2,3),
(104695,10074943,'When Equipped:',100,0,0),
(104696,10074943,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(104697,10074943,'Inflicts 46 - 69 magic damage on target',100,2,2),
(104698,10074943,'Cannot be modified except by direct means',100,2,3),
(104699,112356,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(104700,112356,'Inflicts 239 - 399 piercing damage on target',100,2,1),
(104701,10112356,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(104702,10112356,'Inflicts 163 - 272 piercing damage on target',100,2,1),
(104703,159656,'When Equipped:',100,0,0),
(104704,159656,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104705,159656,'Increases WIS of caster by 13.2',100,2,2),
(104706,159656,'Increases Ordination, Ministration and Focus of caster by 7.8',100,2,3),
(104707,159656,'Cannot be modified except by direct means',100,2,4),
(104708,10159656,'When Equipped:',100,0,0),
(104709,10159656,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104710,10159656,'Increases WIS of caster by 13.2',100,2,2),
(104711,10159656,'Increases Ordination, Ministration and Focus of caster by 7.8',100,2,3),
(104712,10159656,'Cannot be modified except by direct means',100,2,4),
(104713,118927,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(104714,118927,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 706',100,1,1),
(104715,118927,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,2),
(104716,10118927,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(104717,10118927,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 706',100,1,1),
(104718,10118927,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,2),
(104719,106430,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(104720,106430,'Inflicts 942 - 1152 mental damage on target',100,2,1),
(104721,106430,'Grants a total of 3 triggers of the spell.',100,2,2),
(104722,10106430,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(104723,10106430,'Inflicts 1319 - 1613 mental damage on target',100,2,1),
(104724,10106430,'Grants a total of 3 triggers of the spell.',100,2,2),
(104725,106115,'Increases Attack Speed of caster by 22.8',100,1,0),
(104726,106115,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(104727,106115,'Throws target back',100,2,2),
(104728,106115,'Stuns target',100,2,3),
(104729,106115,'Blurs vision of target',100,2,4),
(104730,106115,'Does not affect Epic targets',100,2,5),
(104731,10106115,'Increases Attack Speed of caster by 22.8',100,1,0),
(104732,10106115,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(104733,10106115,'Blurs vision of target',100,2,2),
(104734,10106115,'Throws target back',100,2,3),
(104735,10106115,'Stuns target',100,2,4),
(104736,10106115,'Does not affect Epic targets',100,2,5),
(104737,101062,'Summons 3 limited pets to aid the caster',100,1,0),
(104738,10101062,'Summons 3 limited pets to aid the caster',100,1,0),
(104739,71586,'When Equipped:',100,0,0),
(104740,71586,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104741,71586,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(104742,71586,'Cannot be modified except by direct means',100,2,3),
(104743,10071586,'When Equipped:',100,0,0),
(104744,10071586,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104745,10071586,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(104746,10071586,'Cannot be modified except by direct means',100,2,3),
(104747,136250,'When Equipped:',100,0,0),
(104748,136250,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(104749,10136250,'When Equipped:',100,0,0),
(104750,10136250,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(104751,173452,'When Equipped:',100,0,0),
(104752,173452,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104753,173452,'Wards target against 2400 points of all damage',100,2,2),
(104754,173452,'Replenishes 500 points of absorption every 2 seconds.',100,2,3),
(104755,173452,'Cannot be modified except by direct means',100,2,4),
(104756,10173452,'When Equipped:',100,0,0),
(104757,10173452,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104758,10173452,'Wards target against 2400 points of all damage',100,2,2),
(104759,10173452,'Replenishes 500 points of absorption every 2 seconds.',100,2,3),
(104760,10173452,'Cannot be modified except by direct means',100,2,4),
(104761,112097,'Inflicts 79 - 132 heat damage on target instantly and every 2 seconds',100,1,0),
(104762,10112097,'Inflicts 273 - 454 heat damage on target instantly and every 2 seconds',100,1,0),
(104763,82709,'When Equipped:',100,0,0),
(104764,82709,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(104765,82709,'Decreases Threat to target by 1,174 ',100,2,2),
(104766,82709,'Must be flanking or behind',100,3,3),
(104767,82709,'Increases Threat to target by 1,174 ',100,2,4),
(104768,82709,'Must be in front of',100,3,5),
(104769,82709,'Inflicts 314 - 584 magic damage on target',100,2,6),
(104770,82709,'Cannot be modified except by direct means',100,2,7),
(104771,10082709,'When Equipped:',100,0,0),
(104772,10082709,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(104773,10082709,'Inflicts 440 - 817 magic damage on target',100,2,2),
(104774,10082709,'Cannot be modified except by direct means',100,2,3),
(104775,47276,'Applies Pherlondien''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(104776,10047276,'Applies Pherlondien''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(104777,107060,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(104778,107060,'Inflicts 243 - 406 divine damage on target',100,2,1),
(104779,107060,'Inflicts 243 - 406 divine damage on target',100,2,2),
(104780,107060,'If target is undead',100,3,3),
(104781,10107060,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(104782,10107060,'Inflicts 568 - 946 divine damage on target',100,2,1),
(104783,121165,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(104784,121165,'Increases Hate Gain of caster by 5.0%',100,2,1),
(104785,121165,'Increases Attack Speed of caster by 47.5',100,2,2),
(104786,121165,'Dispelled when target takes damage',100,2,3),
(104787,10121165,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(104788,10121165,'Increases Attack Speed of caster by 47.5',100,2,1),
(104789,10121165,'Dispelled when target takes damage',100,2,2),
(104790,103579,'Increases Mitigation of caster vs physical damage by 336',100,1,0),
(104791,10103579,'Increases Mitigation of caster vs physical damage by 336',100,1,0),
(104792,105678,'Decreases Damage Per Second of target by 31.5',100,1,0),
(104793,105678,'Inflicts 468 - 780 melee damage on target',100,1,1),
(104794,105678,'Must be flanking or behind',100,1,2),
(104795,10105678,'Decreases Damage Per Second of target by 31.5',100,1,0),
(104796,10105678,'Inflicts 608 - 1014 melee damage on target',100,1,1),
(104797,10105678,'Must be flanking or behind',100,1,2),
(104798,45274,'Applies Baby Stonechest Gorilla when Activated.',100,0,0),
(104799,45274,'Summons a pet a baby stonechest gorilla',100,1,1),
(104800,10045274,'Applies Baby Stonechest Gorilla when Activated.',100,0,0),
(104801,10045274,'Summons a pet a baby stonechest gorilla',100,1,1),
(104802,102519,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(104803,102519,'Increases Aggression of caster by 5.3',100,1,1),
(104804,102519,'Increases Defense and Parry of caster by 10.6',100,1,2),
(104805,102519,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(104806,10102519,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(104807,10102519,'Increases Aggression of caster by 5.3',100,1,1),
(104808,10102519,'Increases Defense and Parry of caster by 10.6',100,1,2),
(104809,10102519,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(104810,118218,'Increases Damage Per Second of group members (AE) by 35.3',100,1,0),
(104811,10118218,'Increases Damage Per Second of group members (AE) by 35.3',100,1,0),
(104812,114320,'Dispels 11 levels of noxious hostile effects on target',100,1,0),
(104813,114320,'Heals target for 30 - 37',100,1,1),
(104814,114320,'This effect cannot be critically applied.',100,2,2),
(104815,114320,'The healing of this spell cannot be modified except by direct means',100,1,3),
(104816,10114320,'Dispels 11 levels of noxious hostile effects on target',100,1,0),
(104817,10114320,'Heals target for 12 - 15',100,1,1),
(104818,10114320,'This effect cannot be critically applied.',100,2,2),
(104819,10114320,'The healing of this spell cannot be modified except by direct means',100,1,3),
(104820,102134,'Inflicts 39 - 65 melee damage on target',100,1,0),
(104821,102134,'Inflicts 39 - 65 melee damage on target',100,1,1),
(104822,10102134,'Inflicts 50 - 84 melee damage on target',100,1,0),
(104823,10102134,'Inflicts 50 - 84 melee damage on target',100,1,1),
(104824,80512,'When Equipped:',100,0,0),
(104825,80512,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(104826,80512,'Decreases Threat to target by 1,219 ',100,2,2),
(104827,80512,'Must be flanking or behind',100,3,3),
(104828,80512,'Increases Threat to target by 1,219 ',100,2,4),
(104829,80512,'Must be in front of',100,3,5),
(104830,80512,'Inflicts 424 - 788 magic damage on target',100,2,6),
(104831,80512,'Cannot be modified except by direct means',100,2,7),
(104832,10080512,'When Equipped:',100,0,0),
(104833,10080512,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(104834,10080512,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(104835,10080512,'Cannot be modified except by direct means',100,2,3),
(104836,106836,'Decreases Crushing, Piercing, Slashing and Ranged of target by 22.0',100,1,0),
(104837,10106836,'Decreases Crushing, Piercing, Slashing and Ranged of target by 22.0',100,1,0),
(104838,122039,'Increases Threat to target by 270 - 330 ',100,1,0),
(104839,122039,'Inflicts 40 - 66 melee damage on target',100,1,1),
(104840,10122039,'Forces target to change their selected target to caster.',100,1,0),
(104841,10122039,'Inflicts 52 - 86 melee damage on target',100,1,1),
(104842,112944,'Inflicts 47 - 143 crushing damage on target',100,1,0),
(104843,10112944,'Inflicts 62 - 186 crushing damage on target',100,1,0),
(104844,81877,'When Equipped:',100,0,0),
(104845,81877,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(104846,81877,'Decreases Threat to target by 487 ',100,2,2),
(104847,81877,'Must be flanking or behind',100,3,3),
(104848,81877,'Increases Threat to target by 487 ',100,2,4),
(104849,81877,'Must be in front of',100,3,5),
(104850,81877,'Inflicts 141 - 262 magic damage on target',100,2,6),
(104851,81877,'Cannot be modified except by direct means',100,2,7),
(104852,10081877,'When Equipped:',100,0,0),
(104853,10081877,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(104854,10081877,'Inflicts 198 - 367 magic damage on target',100,2,2),
(104855,10081877,'Cannot be modified except by direct means',100,2,3),
(104856,104626,'Inflicts 54 - 91 crushing damage on target',100,1,0),
(104857,104626,'Decreases power of target by 55 - 92',100,1,1),
(104858,10104626,'Inflicts 71 - 119 crushing damage on target',100,1,0),
(104859,10104626,'Decreases power of target by 55 - 92',100,1,1),
(104860,35080,'Increases AGI of target by 1.6',100,0,0),
(104861,35080,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(104862,166494,'When Equipped:',100,0,0),
(104863,166494,'On a critical combat hit this spell may cast Critical Perfection V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104864,166494,'Decreases Crit Chance of target by 2.0',100,2,2),
(104865,166494,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(104866,166494,'Increases Crit Chance of caster by 4.0',100,2,4),
(104867,166494,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(104868,166494,'Must not be engaged in pvp combat',100,2,6),
(104869,166494,'Cannot be modified except by direct means',100,2,7),
(104870,166494,'On a critical spell hit this spell may cast Critical Perfection V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(104871,166494,'Decreases Crit Chance of target by 2.0',100,2,9),
(104872,166494,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(104873,166494,'Increases Crit Chance of caster by 4.0',100,2,11),
(104874,166494,'Increases Crit Bonus of caster by 4.0%',100,2,12),
(104875,166494,'Must not be engaged in pvp combat',100,2,13),
(104876,166494,'Cannot be modified except by direct means',100,2,14),
(104877,166494,'Must not be engaged in pvp combat',100,1,15),
(104878,10166494,'When Equipped:',100,0,0),
(104879,10166494,'On a critical combat hit this spell may cast Critical Perfection V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104880,10166494,'Decreases Crit Chance of target by 2.0',100,2,2),
(104881,10166494,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(104882,10166494,'Increases Crit Chance of caster by 4.0',100,2,4),
(104883,10166494,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(104884,10166494,'Must not be engaged in pvp combat',100,2,6),
(104885,10166494,'Cannot be modified except by direct means',100,2,7),
(104886,10166494,'On a critical spell hit this spell may cast Critical Perfection V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(104887,10166494,'Decreases Crit Chance of target by 2.0',100,2,9),
(104888,10166494,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(104889,10166494,'Increases Crit Chance of caster by 4.0',100,2,11),
(104890,10166494,'Increases Crit Bonus of caster by 4.0%',100,2,12),
(104891,10166494,'Must not be engaged in pvp combat',100,2,13),
(104892,10166494,'Cannot be modified except by direct means',100,2,14),
(104893,10166494,'Must not be engaged in pvp combat',100,1,15),
(104894,110508,'Increases Threat to target by 124  instantly and by 52  every 3 seconds thereafter',100,1,0),
(104895,110508,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(104896,110508,'Throws target back',100,2,2),
(104897,110508,'Stuns target',100,2,3),
(104898,110508,'Blurs vision of target',100,2,4),
(104899,110508,'Does not affect Epic targets',100,2,5),
(104900,110508,'Inflicts 31 - 52 disease damage on target',100,1,6),
(104901,10110508,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(104902,10110508,'Blurs vision of target',100,2,1),
(104903,10110508,'Throws target back',100,2,2),
(104904,10110508,'Stuns target',100,2,3),
(104905,10110508,'Does not affect Epic targets',100,2,4),
(104906,10110508,'Forces target to change their selected target to caster.',100,1,5),
(104907,10110508,'Inflicts 34 - 56 disease damage on target',100,1,6),
(104908,10110508,'Prevents target from changing targets',100,1,7),
(104909,71827,'When Equipped:',100,0,0),
(104910,71827,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104911,71827,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(104912,71827,'Cannot be modified except by direct means',100,2,3),
(104913,10071827,'When Equipped:',100,0,0),
(104914,10071827,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(104915,10071827,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(104916,10071827,'Cannot be modified except by direct means',100,2,3),
(104917,103624,'Increases STR of raid and group members (AE) by 20.3',100,1,0),
(104918,103624,'Improves the base amount of taunts by 16%.',100,1,1),
(104919,103624,'Improves the base amount of combat arts by 5%.',100,1,2),
(104920,103624,'Increases AGI of raid and group members (AE) by 20.3',100,1,3),
(104921,103624,'Adds 1.6% to base avoidance.',100,1,4),
(104922,10103624,'Increases STR of raid and group members (AE) by 20.3',100,1,0),
(104923,10103624,'Improves the base amount of taunts by 16%.',100,1,1),
(104924,10103624,'Improves the base amount of combat arts by 5%.',100,1,2),
(104925,10103624,'Increases AGI of raid and group members (AE) by 20.3',100,1,3),
(104926,10103624,'Adds 1.6% to base avoidance.',100,1,4),
(104927,114411,'Mesmerizes target',100,1,0),
(104928,114411,'Prevents AOE (except when direct) ',100,1,1),
(104929,114411,'Dispelled when target takes damage',100,1,2),
(104930,114411,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(104931,114411,'Resistibility increases against targets higher than level 67.',100,1,4),
(104932,10114411,'Mesmerizes target',100,1,0),
(104933,10114411,'Prevents AOE (except when direct) ',100,1,1),
(104934,10114411,'Dispelled when target takes damage',100,1,2),
(104935,10114411,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(104936,10114411,'Resistibility increases against targets higher than level 67.',100,1,4),
(104937,104054,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',100,1,0),
(104938,104054,'Applies Migraine on termination.',100,1,1),
(104939,104054,'Inflicts 38 - 51 mental damage on target',100,2,2),
(104940,10104054,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',100,1,0),
(104941,10104054,'Applies Migraine on termination.',100,1,1),
(104942,10104054,'Inflicts 53 - 72 mental damage on target',100,2,2),
(104943,75547,'Applies Disease Blast when Activated.',100,0,0),
(104944,75547,'Inflicts 98 - 163 disease damage on target',100,1,1),
(104945,75547,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(104946,10075547,'Applies Disease Blast when Activated.',100,0,0),
(104947,10075547,'Inflicts 137 - 228 disease damage on target',100,1,1),
(104948,10075547,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(104949,171964,'When Equipped:',100,0,0),
(104950,171964,'On a critical healing spell cast this spell may cast Flockmaster''s Protection VI on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104951,171964,'This effect applies to both the caster and the target.',100,2,2),
(104952,171964,'When any damage is received this spell will cast Flockmaster''s Protection VI on target.  ',100,2,3),
(104953,171964,'Heals target for 271 - 300',100,3,4),
(104954,171964,'Must not be engaged in pvp combat',100,3,5),
(104955,171964,'Cannot be modified except by direct means',100,3,6),
(104956,171964,'Grants a total of 5 triggers of the spell.',100,3,7),
(104957,171964,'Must not be engaged in pvp combat',100,2,8),
(104958,171964,'Cannot be modified except by direct means',100,2,9),
(104959,171964,'Must not be engaged in pvp combat',100,1,10),
(104960,10171964,'When Equipped:',100,0,0),
(104961,10171964,'On a critical healing spell cast this spell may cast Flockmaster''s Protection VI on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(104962,10171964,'This effect applies to both the caster and the target.',100,2,2),
(104963,10171964,'When any damage is received this spell will cast Flockmaster''s Protection VI on target.  ',100,2,3),
(104964,10171964,'Heals target for 176 - 195',100,3,4),
(104965,10171964,'Must not be engaged in pvp combat',100,3,5),
(104966,10171964,'Cannot be modified except by direct means',100,3,6),
(104967,10171964,'Grants a total of 5 triggers of the spell.',100,3,7),
(104968,10171964,'Must not be engaged in pvp combat',100,2,8),
(104969,10171964,'Cannot be modified except by direct means',100,2,9),
(104970,10171964,'Must not be engaged in pvp combat',100,1,10),
(104971,111797,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(104972,111797,'Wipes most of the target''s memory of aggression',100,2,1),
(104973,111797,'Summons 6 limited pets to aid the caster',100,1,2),
(104974,10111797,'Applies Distract on termination.',100,1,0),
(104975,10111797,'Forces target to clear their selected target.',100,2,1),
(104976,10111797,'Summons 6 limited pets to aid the caster',100,1,2),
(104977,104384,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(104978,104384,'Inflicts 161 - 197 cold damage on target',100,2,1),
(104979,10104384,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(104980,10104384,'Inflicts 226 - 276 cold damage on target',100,2,1),
(104981,102123,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(104982,102123,'Throws target back',100,2,1),
(104983,102123,'Stuns target',100,2,2),
(104984,102123,'Blurs vision of target',100,2,3),
(104985,102123,'Does not affect Epic targets',100,2,4),
(104986,102123,'Inflicts 451 - 752 crushing damage on target',100,1,5),
(104987,10102123,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(104988,10102123,'Blurs vision of target',100,2,1),
(104989,10102123,'Throws target back',100,2,2),
(104990,10102123,'Stuns target',100,2,3),
(104991,10102123,'Does not affect Epic targets',100,2,4),
(104992,10102123,'Inflicts 587 - 978 crushing damage on target',100,1,5),
(104993,109519,'Inflicts 168 - 205 disease damage on target instantly and every 4 seconds',100,1,0),
(104994,109519,'Decreases Attack Speed of target by 8.3',100,1,1),
(104995,10109519,'Inflicts 235 - 287 disease damage on target instantly and every 4 seconds',100,1,0),
(104996,10109519,'Decreases Attack Speed of target by 8.3',100,1,1),
(104997,104933,'Inflicts 851 - 1418 ranged damage on target',100,1,0),
(104998,104933,'Decreases Deflection and Parry of target by 54.2',100,1,1),
(104999,104933,'Requires bow',100,1,2),
(105000,10104933,'Inflicts 723 - 1205 ranged damage on target',100,1,0),
(105001,10104933,'Decreases Deflection and Parry of target by 54.2',100,1,1),
(105002,10104933,'Requires bow',100,1,2),
(105003,81787,'When Equipped:',100,0,0),
(105004,81787,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105005,81787,'Inflicts 127 - 236 magic damage on target',100,2,2),
(105006,81787,'Cannot be modified except by direct means',100,2,3),
(105007,10081787,'When Equipped:',100,0,0),
(105008,10081787,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105009,10081787,'Inflicts 178 - 331 magic damage on target',100,2,2),
(105010,10081787,'Cannot be modified except by direct means',100,2,3),
(105011,116122,'Inflicts 38 - 63 divine damage on target',100,1,0),
(105012,116122,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(105013,116122,'Throws target back',100,2,2),
(105014,116122,'Stuns target',100,2,3),
(105015,116122,'Blurs vision of target',100,2,4),
(105016,116122,'Does not affect Epic targets',100,2,5),
(105017,10116122,'Inflicts 49 - 83 divine damage on target',100,1,0),
(105018,10116122,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(105019,10116122,'Throws target back',100,2,2),
(105020,10116122,'Stuns target',100,2,3),
(105021,10116122,'Blurs vision of target',100,2,4),
(105022,10116122,'Does not affect Epic targets',100,2,5),
(105023,106499,'Decreases STR and AGI of target by 100.4',100,1,0),
(105024,10106499,'Decreases STR and AGI of target by 100.4',100,1,0),
(105025,121561,'Inflicts 478 - 797 melee damage on targets in area',100,1,0),
(105026,121561,'Stuns target encounter',100,1,1),
(105027,121561,'If Target is not Epic',100,2,2),
(105028,121561,'Resistibility increases against targets higher than level 89.',100,1,3),
(105029,10121561,'Inflicts 621 - 1036 melee damage on targets in area',100,1,0),
(105030,10121561,'Stuns target encounter',100,1,1),
(105031,10121561,'If Target is not Epic',100,2,2),
(105032,10121561,'Resistibility increases against targets higher than level 89.',100,1,3),
(105033,111808,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(105034,111808,'Wipes most of the target''s memory of aggression',100,2,1),
(105035,111808,'Summons 6 limited pets to aid the caster',100,1,2),
(105036,10111808,'Applies Distract on termination.',100,1,0),
(105037,10111808,'Forces target to clear their selected target.',100,2,1),
(105038,10111808,'Summons 6 limited pets to aid the caster',100,1,2),
(105039,118112,'Heals target for 163 - 200',100,1,0),
(105040,10118112,'Heals target for 193 - 236',100,1,0),
(105041,46685,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(105042,46685,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(105043,46685,'Inflicts 453 poison damage on target',100,2,2),
(105044,46685,'Inflicts 74 poison damage on target instantly and every 6 seconds',100,2,3),
(105045,46685,'Cannot be modified except by direct means',100,2,4),
(105046,46685,'Grants a total of 200 triggers of the spell.',100,2,5),
(105047,10046685,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(105048,10046685,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(105049,10046685,'Inflicts 476 poison damage on target',100,2,2),
(105050,10046685,'Inflicts 78 poison damage on target instantly and every 6 seconds',100,2,3),
(105051,10046685,'Cannot be modified except by direct means',100,2,4),
(105052,10046685,'Grants a total of 200 triggers of the spell.',100,2,5),
(105053,35755,'Increases STR of target by 1.6',100,0,0),
(105054,35755,'Target will Parry 0.2% of incoming attacks',100,0,1),
(105055,35755,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(105056,46057,'Applies Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(105057,46057,'Only affects targets level 50 and above',100,1,1),
(105058,10046057,'Applies Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(105059,10046057,'Only affects targets level 50 and above',100,1,1),
(105060,101296,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(105061,101296,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,1),
(105062,10101296,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(105063,10101296,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,1),
(105064,101879,'Heals target for 714 - 873',100,1,0),
(105065,101879,'If over 50% Health',100,2,1),
(105066,101879,'Heals target for 1428 - 1746',100,1,2),
(105067,101879,'If at 50% Health or less',100,2,3),
(105068,10101879,'Heals target for 464 - 567',100,1,0),
(105069,10101879,'If over 50% Health',100,2,1),
(105070,10101879,'Heals target for 1625 - 1986',100,1,2),
(105071,10101879,'If at 50% Health or less',100,2,3),
(105072,111821,'Inflicts 125 - 209 melee damage on target',100,1,0),
(105073,111821,'Roots target',100,1,1),
(105074,111821,'If Target is not Epic',100,2,2),
(105075,111821,'Resistibility increases against targets higher than level 56.',100,1,3),
(105076,10111821,'Inflicts 147 - 246 melee damage on target',100,1,0),
(105077,10111821,'Roots target',100,1,1),
(105078,10111821,'If Target is not Epic',100,2,2),
(105079,10111821,'Resistibility increases against targets higher than level 56.',100,1,3),
(105080,117585,'Inflicts 598 - 997 melee damage on target',100,1,0),
(105081,117585,'Decreases Parry of target by 54.7',100,1,1),
(105082,117585,'Must be in front of or flanking',100,1,2),
(105083,10117585,'Inflicts 778 - 1297 melee damage on target',100,1,0),
(105084,10117585,'Decreases Parry of target by 54.7',100,1,1),
(105085,10117585,'Must be in front of or flanking',100,1,2),
(105086,45064,'Applies Dark Field of Suppression when Activated.',100,0,0),
(105087,45064,'Activates a suppression field that may block some magic used by denizens in Miragul''s Planar Shard.  This need only be used once per instance of the zone.',100,1,1),
(105088,45064,'Must be in Miragul''s Planar Shard.',100,1,2),
(105089,10045064,'Applies Dark Field of Suppression when Activated.',100,0,0),
(105090,10045064,'Activates a suppression field that may block some magic used by denizens in Miragul''s Planar Shard.  This need only be used once per instance of the zone.',100,1,1),
(105091,10045064,'Must be in Miragul''s Planar Shard.',100,1,2),
(105092,76831,'When Equipped:',100,0,0),
(105093,76831,'Reduces the reuse timers of all spells by 5%',100,1,1),
(105094,76831,'On a damage spell hit this spell has a 9% chance to cast Siren''s Gift on the group.  Lasts for 10.0 seconds.  ',100,1,2),
(105095,76831,'Reduces the power cost of group members'' spells by 10%',100,2,3),
(105096,76831,'Cannot be modified except by direct means',100,2,4),
(105097,76831,'Cannot be modified except by direct means',100,1,5),
(105098,76831,'Applies Invoke Leandre when Activated.',100,0,6),
(105099,10076831,'When Equipped:',100,0,0),
(105100,10076831,'Reduces the reuse timers of all spells by 5%',100,1,1),
(105101,10076831,'On a damage spell hit this spell has a 9% chance to cast Siren''s Gift on the group.  Lasts for 10.0 seconds.  ',100,1,2),
(105102,10076831,'Reduces the power cost of group members'' spells by 10%',100,2,3),
(105103,10076831,'Cannot be modified except by direct means',100,2,4),
(105104,10076831,'Cannot be modified except by direct means',100,1,5),
(105105,10076831,'Applies Invoke Leandre when Activated.',100,0,6),
(105106,102847,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(105107,102847,'Throws target back',100,2,1),
(105108,102847,'Stuns target',100,2,2),
(105109,102847,'Blurs vision of target',100,2,3),
(105110,102847,'Does not affect Epic targets',100,2,4),
(105111,102847,'Inflicts 118 - 356 melee damage on targets in area',100,1,5),
(105112,10102847,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(105113,10102847,'Throws target back',100,2,1),
(105114,10102847,'Stuns target',100,2,2),
(105115,10102847,'Blurs vision of target',100,2,3),
(105116,10102847,'Does not affect Epic targets',100,2,4),
(105117,10102847,'Inflicts 154 - 463 melee damage on targets in area',100,1,5),
(105118,165032,'When Equipped:',100,0,0),
(105119,165032,'Increases Attack Speed of caster by 40.0',100,1,1),
(105120,10165032,'When Equipped:',100,0,0),
(105121,10165032,'Increases Attack Speed of caster by 40.0',100,1,1),
(105122,154474,'When Equipped:',100,0,0),
(105123,154474,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(105124,154474,'Inflicts 1199 disease damage on target encounter',100,2,2),
(105125,154474,'Must not be engaged in pvp combat',100,2,3),
(105126,154474,'Cannot be modified except by direct means',100,2,4),
(105127,10154474,'When Equipped:',100,0,0),
(105128,10154474,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(105129,10154474,'Inflicts 839 disease damage on target encounter',100,2,2),
(105130,10154474,'Must not be engaged in pvp combat',100,2,3),
(105131,10154474,'Cannot be modified except by direct means',100,2,4),
(105132,73740,'Applies Frost Blast when Activated.',100,0,0),
(105133,73740,'Inflicts 232 - 387 cold damage on target',100,1,1),
(105134,73740,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(105135,10073740,'Applies Frost Blast when Activated.',100,0,0),
(105136,10073740,'Inflicts 325 - 541 cold damage on target',100,1,1),
(105137,10073740,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(105138,101626,'Applies Forceful Headache on termination.',100,1,0),
(105139,101626,'Inflicts 199 - 332 mental damage on target',100,2,1),
(105140,101626,'If over 50% power',100,3,2),
(105141,101626,'Inflicts 80 - 97 mental damage on target instantly and every 6 seconds',100,1,3),
(105142,101626,'Decreases Mitigation of target vs arcane damage by 588',100,1,4),
(105143,10101626,'Applies Forceful Headache on termination.',100,1,0),
(105144,10101626,'Inflicts 279 - 465 mental damage on target',100,2,1),
(105145,10101626,'If over 50% power',100,3,2),
(105146,10101626,'Inflicts 112 - 136 mental damage on target instantly and every 6 seconds',100,1,3),
(105147,10101626,'Decreases Mitigation of target vs arcane damage by 588',100,1,4),
(105148,191520,'When Equipped:',100,0,0),
(105149,191520,'On a combat hit this spell may cast Fangs of Byzola on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(105150,191520,'When any damage is received this spell has a 3% chance to cast Mindbite on target.  ',100,2,2),
(105151,191520,'Inflicts 407 mental damage on caster',100,3,3),
(105152,191520,'Cannot be modified except by direct means',100,3,4),
(105153,191520,'Cannot be modified except by direct means',100,2,5),
(105154,10191520,'When Equipped:',100,0,0),
(105155,10191520,'On a combat hit this spell may cast Fangs of Byzola on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(105156,10191520,'When any damage is received this spell has a 3% chance to cast Mindbite on target.  ',100,2,2),
(105157,10191520,'Inflicts 481 mental damage on caster',100,3,3),
(105158,10191520,'Cannot be modified except by direct means',100,3,4),
(105159,10191520,'Cannot be modified except by direct means',100,2,5),
(105160,36396,'Increases Max Power of target by 4.1',100,0,0),
(105161,36396,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(105162,159829,'Applies Sanguine Imbued when Equipped.',100,0,0),
(105163,159829,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(105164,159829,'Inflicts 186 heat damage on target',100,2,2),
(105165,159829,'Cannot be modified except by direct means',100,2,3),
(105166,10159829,'Applies Sanguine Imbued when Equipped.',100,0,0),
(105167,10159829,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(105168,10159829,'Inflicts 260 heat damage on target',100,2,2),
(105169,10159829,'Cannot be modified except by direct means',100,2,3),
(105170,88020,'When Equipped:',100,0,0),
(105171,88020,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105172,88020,'Inflicts 284 heat damage on target',100,2,2),
(105173,88020,'Heals caster for 216',100,2,3),
(105174,88020,'Cannot be modified except by direct means',100,2,4),
(105175,10088020,'When Equipped:',100,0,0),
(105176,10088020,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105177,10088020,'Inflicts 397 heat damage on target',100,2,2),
(105178,10088020,'Heals caster for 140',100,2,3),
(105179,10088020,'Cannot be modified except by direct means',100,2,4),
(105180,111057,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(105181,111057,'Slows target by 34.5%',100,2,1),
(105182,111057,'5% chance to dispel when target receives hostile action',100,2,2),
(105183,111057,'5% chance to dispel when target takes damage',100,2,3),
(105184,111057,'Decreases Mitigation of target vs elemental damage by 240',100,1,4),
(105185,10111057,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(105186,10111057,'Slows target by 34.5%',100,2,1),
(105187,10111057,'5% chance to dispel when target receives hostile action',100,2,2),
(105188,10111057,'5% chance to dispel when target takes damage',100,2,3),
(105189,10111057,'Decreases Mitigation of target vs elemental damage by 240',100,1,4),
(105190,114179,'Inflicts 44 - 73 melee damage on target',100,1,0),
(105191,114179,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(105192,10114179,'Inflicts 57 - 96 melee damage on target',100,1,0),
(105193,10114179,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(105194,46632,'Applies Hemotoxic Venom when Activated.  Lasts for 15 minutes.',100,0,0),
(105195,46632,'On any combat or spell hit this spell may cast Hemotoxic Venom on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(105196,46632,'Inflicts 216 poison damage on target',100,2,2),
(105197,46632,'Inflicts 108 poison damage on target every 5 seconds',100,2,3),
(105198,46632,'Cannot be modified except by direct means',100,2,4),
(105199,10046632,'Applies Hemotoxic Venom when Activated.  Lasts for 15 minutes.',100,0,0),
(105200,10046632,'On any combat or spell hit this spell may cast Hemotoxic Venom on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(105201,10046632,'Inflicts 302 poison damage on target',100,2,2),
(105202,10046632,'Inflicts 151 poison damage on target every 5 seconds',100,2,3),
(105203,10046632,'Cannot be modified except by direct means',100,2,4),
(105204,180969,'When Equipped:',100,0,0),
(105205,180969,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(105206,180969,'When Equipped:',100,0,2),
(105207,180969,'Increases Attack Speed of caster by 38.0',100,1,3),
(105208,10180969,'When Equipped:',100,0,0),
(105209,10180969,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(105210,10180969,'When Equipped:',100,0,2),
(105211,10180969,'Increases Attack Speed of caster by 38.0',100,1,3),
(105212,106564,'Inflicts 1237 - 1512 melee damage on target',100,1,0),
(105213,106564,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(105214,106564,'Increases Hate Gain of target by 30.0%',100,2,2),
(105215,106564,'Grants a total of 1 trigger of the spell.',100,2,3),
(105216,10106564,'Inflicts 1609 - 1966 melee damage on target',100,1,0),
(105217,10106564,'25% chance to apply Distract on termination.',100,1,1),
(105218,10106564,'Forces target to clear their selected target.',100,2,2),
(105219,100031,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(105220,100031,'Inflicts 177 - 296 melee damage on targets in area',100,2,1),
(105221,100031,'Decreases Defense of caster by 19.2',100,1,2),
(105222,100031,'Increases Slashing, Piercing and Crushing of caster by 31.7',100,1,3),
(105223,10100031,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(105224,10100031,'Inflicts 231 - 385 melee damage on targets in area',100,2,1),
(105225,10100031,'Decreases Defense of caster by 19.2',100,1,2),
(105226,10100031,'Increases Slashing, Piercing and Crushing of caster by 31.7',100,1,3),
(105227,47382,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(105228,47382,'This potion will grant you the illusion of being a Bellywhumper battlewhiffer!',100,1,1),
(105229,10047382,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(105230,10047382,'This potion will grant you the illusion of being a Bellywhumper battlewhiffer!',100,1,1),
(105231,110826,'Inflicts 444 - 601 mental damage on target',100,1,0),
(105232,110826,'Interrupts target',100,1,1),
(105233,10110826,'Inflicts 622 - 841 mental damage on target',100,1,0),
(105234,10110826,'Interrupts target',100,1,1),
(105235,47480,'Applies Call Misty Mustang when Activated.',100,0,0),
(105236,47480,'Summons a mount to ride',100,1,1),
(105237,47480,'Increases your ground speed by 130%',100,2,2),
(105238,10047480,'Applies Call Misty Mustang when Activated.',100,0,0),
(105239,10047480,'Summons a mount to ride',100,1,1),
(105240,10047480,'Increases your ground speed by 130%',100,2,2),
(105241,109198,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 5.9',100,1,0),
(105242,10109198,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 5.9',100,1,0),
(105243,122990,'Wards group members (AE) collectively against 394 total points of all damage',100,1,0),
(105244,10122990,'Wards group members (AE) collectively against 588 total points of all damage',100,1,0),
(105245,106272,'Wards target against 1548 points of all damage',100,1,0),
(105246,10106272,'Wards target against 1548 points of all damage',100,1,0),
(105247,105013,'Increases WIS of raid and group members (AE) by 10.2',100,1,0),
(105248,105013,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(105249,105013,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 37',100,1,2),
(105250,10105013,'Increases WIS of raid and group members (AE) by 10.2',100,1,0),
(105251,10105013,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(105252,10105013,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 37',100,1,2),
(105253,152076,'When Equipped:',100,0,0),
(105254,152076,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(105255,152076,'Heals group members (AE) for 871',100,2,2),
(105256,152076,'Cannot be modified except by direct means',100,2,3),
(105257,152076,'When Equipped:',100,0,4),
(105258,152076,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(105259,152076,'Increases power of caster by 272',100,2,6),
(105260,152076,'Cannot be modified except by direct means',100,2,7),
(105261,10152076,'When Equipped:',100,0,0),
(105262,10152076,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(105263,10152076,'Heals group members (AE) for 1019',100,2,2),
(105264,10152076,'Cannot be modified except by direct means',100,2,3),
(105265,10152076,'When Equipped:',100,0,4),
(105266,10152076,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(105267,10152076,'Increases power of caster by 272',100,2,6),
(105268,10152076,'Cannot be modified except by direct means',100,2,7),
(105269,111016,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(105270,111016,'Increases Threat to target by 72 ',100,2,1),
(105271,111016,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(105272,111016,'Increases Threat to target by 72 ',100,2,3),
(105273,10111016,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(105274,10111016,'Inflicts 16 - 18 crushing damage on target',100,2,1),
(105275,10111016,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(105276,10111016,'Inflicts 16 - 18 crushing damage on target',100,2,3),
(105277,123142,'Reduces physical damage done to caster by 5%',100,1,0),
(105278,123142,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,1),
(105279,123142,'Increases Aggression of caster by 0.9',100,1,2),
(105280,123142,'Increases Defense and Parry of caster by 1.8',100,1,3),
(105281,123142,'Increases Mitigation of caster vs elemental damage by 154',100,1,4),
(105282,123142,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(105283,10123142,'Reduces physical damage done to caster by 5%',100,1,0),
(105284,10123142,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,1),
(105285,10123142,'Increases Aggression of caster by 0.9',100,1,2),
(105286,10123142,'Increases Defense and Parry of caster by 1.8',100,1,3),
(105287,10123142,'Increases Mitigation of caster vs elemental damage by 154',100,1,4),
(105288,10123142,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(105289,123904,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(105290,123904,'Slows target by 49.4%',100,2,1),
(105291,123904,'5% chance to dispel when target receives hostile action',100,2,2),
(105292,123904,'5% chance to dispel when target takes damage',100,2,3),
(105293,123904,'Decreases Mitigation of target vs elemental and noxious damage by 672',100,1,4),
(105294,10123904,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(105295,10123904,'Slows target by 49.4%',100,2,1),
(105296,10123904,'5% chance to dispel when target receives hostile action',100,2,2),
(105297,10123904,'5% chance to dispel when target takes damage',100,2,3),
(105298,10123904,'Decreases Mitigation of target vs elemental and noxious damage by 672',100,1,4),
(105299,84176,'When Equipped:',100,0,0),
(105300,84176,'When a combat art is used this spell has a 10% chance to cast Glory of Marr on caster.  Lasts for 3 minutes.  ',100,1,1),
(105301,84176,'Increases the damage of the next combat art used by caster by 20%.',100,2,2),
(105302,84176,'Dispelled when target casts a combat art',100,2,3),
(105303,84176,'Cannot be modified except by direct means',100,2,4),
(105304,84176,'On a block this spell has a 10% chance to cast Marr''s Counterstrike on target''s victim.  ',100,1,5),
(105305,84176,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,6),
(105306,84176,'Throws target back',100,3,7),
(105307,84176,'Stuns target',100,3,8),
(105308,84176,'Blurs vision of target',100,3,9),
(105309,84176,'Does not affect Epic targets',100,3,10),
(105310,84176,'Inflicts 450 - 750 crushing damage on target',100,2,11),
(105311,84176,'Cannot be modified except by direct means',100,2,12),
(105312,10084176,'When Equipped:',100,0,0),
(105313,10084176,'When a combat art is used this spell has a 10% chance to cast Glory of Marr on caster.  Lasts for 3 minutes.  ',100,1,1),
(105314,10084176,'Increases the damage of the next combat art used by caster by 20%.',100,2,2),
(105315,10084176,'Dispelled when target casts a combat art',100,2,3),
(105316,10084176,'Cannot be modified except by direct means',100,2,4),
(105317,10084176,'On a block this spell has a 10% chance to cast Marr''s Counterstrike on target''s victim.  ',100,1,5),
(105318,10084176,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,6),
(105319,10084176,'Throws target back',100,3,7),
(105320,10084176,'Stuns target',100,3,8),
(105321,10084176,'Blurs vision of target',100,3,9),
(105322,10084176,'Does not affect Epic targets',100,3,10),
(105323,10084176,'Inflicts 630 - 1050 crushing damage on target',100,2,11),
(105324,10084176,'Cannot be modified except by direct means',100,2,12),
(105325,71804,'When Equipped:',100,0,0),
(105326,71804,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105327,71804,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(105328,71804,'Cannot be modified except by direct means',100,2,3),
(105329,10071804,'When Equipped:',100,0,0),
(105330,10071804,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105331,10071804,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(105332,10071804,'Cannot be modified except by direct means',100,2,3),
(105333,82311,'When Equipped:',100,0,0),
(105334,82311,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105335,82311,'Inflicts 255 - 474 magic damage on target',100,2,2),
(105336,82311,'Cannot be modified except by direct means',100,2,3),
(105337,10082311,'When Equipped:',100,0,0),
(105338,10082311,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105339,10082311,'Inflicts 358 - 664 magic damage on target',100,2,2),
(105340,10082311,'Cannot be modified except by direct means',100,2,3),
(105341,107577,'Dazes target encounter',100,1,0),
(105342,107577,'Inflicts 126 - 154 mental damage on target encounter',100,1,1),
(105343,107577,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(105344,107577,'Resistibility increases against targets higher than level 54.',100,1,3),
(105345,10107577,'Dazes target encounter',100,1,0),
(105346,10107577,'Inflicts 176 - 216 mental damage on target encounter',100,1,1),
(105347,10107577,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(105348,10107577,'Resistibility increases against targets higher than level 54.',100,1,3),
(105349,36221,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(105350,36221,'This effect suspends during combat',100,0,1),
(105351,159787,'Applies Lambent Imbued when Equipped.',100,0,0),
(105352,159787,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(105353,159787,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(105354,159787,'Cannot be modified except by direct means',100,2,3),
(105355,10159787,'Applies Lambent Imbued when Equipped.',100,0,0),
(105356,10159787,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(105357,10159787,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(105358,10159787,'Cannot be modified except by direct means',100,2,3),
(105359,81186,'When Equipped:',100,0,0),
(105360,81186,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105361,81186,'Inflicts 175 - 325 magic damage on target',100,2,2),
(105362,81186,'Cannot be modified except by direct means',100,2,3),
(105363,10081186,'When Equipped:',100,0,0),
(105364,10081186,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105365,10081186,'Inflicts 245 - 455 magic damage on target',100,2,2),
(105366,10081186,'Cannot be modified except by direct means',100,2,3),
(105367,71542,'When Equipped:',100,0,0),
(105368,71542,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105369,71542,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(105370,71542,'Cannot be modified except by direct means',100,2,3),
(105371,10071542,'When Equipped:',100,0,0),
(105372,10071542,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105373,10071542,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(105374,10071542,'Cannot be modified except by direct means',100,2,3),
(105375,141950,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(105376,141950,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(105377,141950,'Inflicts 86 heat damage on target',100,2,2),
(105378,141950,'Cannot be modified except by direct means',100,2,3),
(105379,10141950,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(105380,10141950,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(105381,10141950,'Inflicts 121 heat damage on target',100,2,2),
(105382,10141950,'Cannot be modified except by direct means',100,2,3),
(105383,48349,'Applies Fearstalker Entrapment when Activated.',100,0,0),
(105384,48349,'Must be in Stonebrunt Highlands.',100,1,1),
(105385,48349,'Must not be engaged in combat',100,1,2),
(105386,10048349,'Applies Fearstalker Entrapment when Activated.',100,0,0),
(105387,10048349,'Must be in Stonebrunt Highlands.',100,1,1),
(105388,10048349,'Must not be engaged in combat',100,1,2),
(105389,75125,'When Equipped:',100,0,0),
(105390,75125,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(105391,10075125,'When Equipped:',100,0,0),
(105392,10075125,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(105393,26109,'When Equipped:',100,0,0),
(105394,26109,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(105395,26109,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(105396,10026109,'When Equipped:',100,0,0),
(105397,10026109,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(105398,10026109,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(105399,48347,'Applies trauma remedy when Activated.',100,0,0),
(105400,48347,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(105401,10048347,'Applies trauma remedy when Activated.',100,0,0),
(105402,10048347,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(105403,118994,'Heals target for 428 - 523',100,1,0),
(105404,10118994,'Heals target for 455 - 556',100,1,0),
(105405,26071,'When Equipped:',100,0,0),
(105406,26071,'On a critical combat hit this spell may cast Impeccable Scenario on the group.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(105407,26071,'Increases Max Health of group members (AE) by 5,000.0',100,2,2),
(105408,26071,'Must not be engaged in pvp combat',100,2,3),
(105409,26071,'Cannot be modified except by direct means',100,2,4),
(105410,26071,'On a critical spell hit this spell may cast Impeccable Scenario on the group.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(105411,26071,'Increases Max Health of group members (AE) by 5,000.0',100,2,6),
(105412,26071,'Must not be engaged in pvp combat',100,2,7),
(105413,26071,'Cannot be modified except by direct means',100,2,8),
(105414,26071,'Must not be engaged in pvp combat',100,1,9),
(105415,26071,'Cannot be modified except by direct means',100,1,10),
(105416,10026071,'When Equipped:',100,0,0),
(105417,10026071,'On a critical combat hit this spell may cast Impeccable Scenario on the group.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(105418,10026071,'Increases Max Health of group members (AE) by 5,000.0',100,2,2),
(105419,10026071,'Must not be engaged in pvp combat',100,2,3),
(105420,10026071,'Cannot be modified except by direct means',100,2,4),
(105421,10026071,'On a critical spell hit this spell may cast Impeccable Scenario on the group.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(105422,10026071,'Increases Max Health of group members (AE) by 5,000.0',100,2,6),
(105423,10026071,'Must not be engaged in pvp combat',100,2,7),
(105424,10026071,'Cannot be modified except by direct means',100,2,8),
(105425,10026071,'Must not be engaged in pvp combat',100,1,9),
(105426,10026071,'Cannot be modified except by direct means',100,1,10),
(105427,110831,'Inflicts 158 - 214 mental damage on target',100,1,0),
(105428,110831,'Interrupts target',100,1,1),
(105429,10110831,'Inflicts 221 - 299 mental damage on target',100,1,0),
(105430,10110831,'Interrupts target',100,1,1),
(105431,71999,'When Equipped:',100,0,0),
(105432,71999,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105433,71999,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(105434,71999,'Cannot be modified except by direct means',100,2,3),
(105435,10071999,'When Equipped:',100,0,0),
(105436,10071999,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105437,10071999,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(105438,10071999,'Cannot be modified except by direct means',100,2,3),
(105439,111079,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(105440,111079,'Slows target by 40.8%',100,2,1),
(105441,111079,'5% chance to dispel when target receives hostile action',100,2,2),
(105442,111079,'5% chance to dispel when target takes damage',100,2,3),
(105443,111079,'Decreases Mitigation of target vs elemental damage by 1235',100,1,4),
(105444,10111079,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(105445,10111079,'Slows target by 40.8%',100,2,1),
(105446,10111079,'5% chance to dispel when target receives hostile action',100,2,2),
(105447,10111079,'5% chance to dispel when target takes damage',100,2,3),
(105448,10111079,'Decreases Mitigation of target vs elemental damage by 1235',100,1,4),
(105449,81590,'When Equipped:',100,0,0),
(105450,81590,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(105451,81590,'Decreases Threat to target by 376 ',100,2,2),
(105452,81590,'Must be flanking or behind',100,3,3),
(105453,81590,'Increases Threat to target by 376 ',100,2,4),
(105454,81590,'Must be in front of',100,3,5),
(105455,81590,'Inflicts 144 - 268 magic damage on target',100,2,6),
(105456,81590,'Cannot be modified except by direct means',100,2,7),
(105457,10081590,'When Equipped:',100,0,0),
(105458,10081590,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(105459,10081590,'Inflicts 202 - 375 magic damage on target',100,2,2),
(105460,10081590,'Cannot be modified except by direct means',100,2,3),
(105461,110380,'Increases STR and AGI of group members (AE) by 44.7',100,1,0),
(105462,110380,'Adds 1.7% to base avoidance.',100,1,1),
(105463,10110380,'Increases STR and AGI of group members (AE) by 44.7',100,1,0),
(105464,10110380,'Adds 1.7% to base avoidance.',100,1,1),
(105465,80885,'When Equipped:',100,0,0),
(105466,80885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105467,80885,'Inflicts 248 - 460 magic damage on target',100,2,2),
(105468,80885,'Cannot be modified except by direct means',100,2,3),
(105469,10080885,'When Equipped:',100,0,0),
(105470,10080885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105471,10080885,'Inflicts 347 - 644 magic damage on target',100,2,2),
(105472,10080885,'Cannot be modified except by direct means',100,2,3),
(105473,120117,'Shapechanges caster into a chaos essence',100,1,0),
(105474,120117,'Increases WIS of caster by 155.5',100,1,1),
(105475,120117,'Grants See Invisibility to caster',100,1,2),
(105476,120117,'Increases Max Health of caster by 688.3',100,1,3),
(105477,120117,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2356',100,1,4),
(105478,10120117,'Shapechanges caster into a chaos essence',100,1,0),
(105479,10120117,'Increases WIS of caster by 155.5',100,1,1),
(105480,10120117,'Grants See Invisibility to caster',100,1,2),
(105481,10120117,'Increases Max Health of caster by 688.3',100,1,3),
(105482,10120117,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2356',100,1,4),
(105483,108536,'Increases AGI and WIS of group members (AE) by 93.3',100,1,0),
(105484,108536,'Adds 2.4% to base avoidance.',100,1,1),
(105485,108536,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,2),
(105486,10108536,'Increases AGI and WIS of group members (AE) by 93.3',100,1,0),
(105487,10108536,'Adds 2.4% to base avoidance.',100,1,1),
(105488,10108536,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,2),
(105489,164091,'When Equipped:',100,0,0),
(105490,164091,'Increases Effective Level of caster to 83.',100,1,1),
(105491,164091,'Must be in Munzok''s Material Bastion.',100,1,2),
(105492,164091,'Requires not having an apprentice',100,1,3),
(105493,10164091,'When Equipped:',100,0,0),
(105494,10164091,'Increases Effective Level of caster to 83.',100,1,1),
(105495,10164091,'Must be in Munzok''s Material Bastion.',100,1,2),
(105496,10164091,'Requires not having an apprentice',100,1,3),
(105497,124570,'Decreases Threat to targets in Area of Effect by 1,152 ',100,1,0),
(105498,124570,'Interrupts targets in Area of Effect',100,1,1),
(105499,124570,'Roots targets in Area of Effect',100,1,2),
(105500,124570,'If Target is not Epic',100,2,3),
(105501,10124570,'Applies Distract.',100,1,0),
(105502,10124570,'Forces target to clear their selected target.',100,2,1),
(105503,10124570,'Interrupts targets in Area of Effect',100,1,2),
(105504,10124570,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(105505,10124570,'Roots targets in Area of Effect',100,1,4),
(105506,10124570,'If Target is not Epic',100,2,5),
(105507,119248,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(105508,119248,'If profession other than Fighter',100,1,1),
(105509,119248,'If profession other than Scout',100,1,2),
(105510,10119248,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(105511,10119248,'If profession other than Fighter',100,1,1),
(105512,10119248,'If profession other than Scout',100,1,2),
(105513,100722,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(105514,100722,'Increases Mitigation of group members (AE) vs noxious damage by 880',100,1,1),
(105515,10100722,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(105516,10100722,'Increases Mitigation of group members (AE) vs noxious damage by 880',100,1,1),
(105517,104577,'Inflicts 449 - 749 disease damage on target',100,1,0),
(105518,104577,'Decreases WIS of target by 117.8',100,1,1),
(105519,10104577,'Inflicts 584 - 974 disease damage on target',100,1,0),
(105520,10104577,'Decreases WIS of target by 117.8',100,1,1),
(105521,107914,'Mesmerizes target',100,1,0),
(105522,107914,'Prevents AOE (except when direct) ',100,1,1),
(105523,107914,'Dispelled when target takes damage',100,1,2),
(105524,107914,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(105525,107914,'Resistibility increases against targets higher than level 41.',100,1,4),
(105526,10107914,'Mesmerizes target',100,1,0),
(105527,10107914,'Prevents AOE (except when direct) ',100,1,1),
(105528,10107914,'Dispelled when target takes damage',100,1,2),
(105529,10107914,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(105530,10107914,'Resistibility increases against targets higher than level 41.',100,1,4),
(105531,102334,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(105532,102334,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(105533,102334,'Decreases Threat to target encounter by 764 ',100,2,2),
(105534,102334,'Decreases threat priority of target encounter by 1 position',100,2,3),
(105535,102334,'Grants a total of 3 triggers of the spell.',100,2,4),
(105536,102334,'If profession other than Fighter',100,1,5),
(105537,10102334,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(105538,10102334,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(105539,10102334,'Target cannot target caster for the duration of this effect.',100,2,2),
(105540,10102334,'Forces target to clear their selected target.',100,2,3),
(105541,10102334,'Grants a total of 3 triggers of the spell.',100,2,4),
(105542,10102334,'If profession other than Fighter',100,1,5),
(105543,88836,'When Equipped:',100,0,0),
(105544,88836,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(105545,88836,'Wards group members (AE) against 800 points of all damage',100,2,2),
(105546,88836,'Cannot be modified except by direct means',100,2,3),
(105547,10088836,'When Equipped:',100,0,0),
(105548,10088836,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(105549,10088836,'Wards group members (AE) against 800 points of all damage',100,2,2),
(105550,10088836,'Cannot be modified except by direct means',100,2,3),
(105551,80324,'When Equipped:',100,0,0),
(105552,80324,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(105553,80324,'Decreases Threat to target by 517 ',100,2,2),
(105554,80324,'Must be flanking or behind',100,3,3),
(105555,80324,'Increases Threat to target by 517 ',100,2,4),
(105556,80324,'Must be in front of',100,3,5),
(105557,80324,'Inflicts 194 - 361 magic damage on target',100,2,6),
(105558,80324,'Cannot be modified except by direct means',100,2,7),
(105559,10080324,'When Equipped:',100,0,0),
(105560,10080324,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(105561,10080324,'Inflicts 272 - 505 magic damage on target',100,2,2),
(105562,10080324,'Cannot be modified except by direct means',100,2,3),
(105563,80341,'When Equipped:',100,0,0),
(105564,80341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105565,80341,'Inflicts 61 - 113 magic damage on target',100,2,2),
(105566,80341,'Cannot be modified except by direct means',100,2,3),
(105567,10080341,'When Equipped:',100,0,0),
(105568,10080341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105569,10080341,'Inflicts 85 - 158 magic damage on target',100,2,2),
(105570,10080341,'Cannot be modified except by direct means',100,2,3),
(105571,36610,'Increases STA of target by 1.2',100,0,0),
(105572,36610,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(105573,115013,'Inflicts 1018 - 1697 ranged damage on targets in area',100,1,0),
(105574,115013,'You must be in stealth to use this!',100,1,1),
(105575,115013,'Requires bow',100,1,2),
(105576,10115013,'Inflicts 865 - 1442 ranged damage on targets in area',100,1,0),
(105577,10115013,'You must be in stealth to use this!',100,1,1),
(105578,10115013,'Requires bow',100,1,2),
(105579,117931,'Heals target for 24 - 30',100,1,0),
(105580,117931,'Increases Max Health of target by 3.6',100,1,1),
(105581,10117931,'Heals target for 28 - 34',100,1,0),
(105582,10117931,'Increases Max Health of target by 3.6',100,1,1),
(105583,35771,'Increases STA and STR of target by 1.2',100,0,0),
(105584,35771,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(105585,100930,'Stuns targets in Area of Effect',20,1,0),
(105586,100930,'If Target is not Epic',100,2,1),
(105587,100930,'Inflicts 735 - 1225 divine damage on targets in Area of Effect',100,1,2),
(105588,100930,'Resistibility increases against targets higher than level 119.',100,1,3),
(105589,10100930,'Stuns targets in Area of Effect',20,1,0),
(105590,10100930,'If Target is not Epic',100,2,1),
(105591,10100930,'Inflicts 1029 - 1716 divine damage on targets in Area of Effect',100,1,2),
(105592,10100930,'Resistibility increases against targets higher than level 119.',100,1,3),
(105593,103641,'Increases STR of raid and group members (AE) by 39.3',100,1,0),
(105594,103641,'Improves the base amount of taunts by 11%.',100,1,1),
(105595,103641,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(105596,103641,'Increases AGI of raid and group members (AE) by 39.3',100,1,3),
(105597,103641,'Adds 1.1% to base avoidance.',100,1,4),
(105598,10103641,'Increases STR of raid and group members (AE) by 39.3',100,1,0),
(105599,10103641,'Improves the base amount of taunts by 11%.',100,1,1),
(105600,10103641,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(105601,10103641,'Increases AGI of raid and group members (AE) by 39.3',100,1,3),
(105602,10103641,'Adds 1.1% to base avoidance.',100,1,4),
(105603,72003,'When Equipped:',100,0,0),
(105604,72003,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105605,72003,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(105606,72003,'Cannot be modified except by direct means',100,2,3),
(105607,10072003,'When Equipped:',100,0,0),
(105608,10072003,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105609,10072003,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(105610,10072003,'Cannot be modified except by direct means',100,2,3),
(105611,104110,'Roots target',100,1,0),
(105612,104110,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(105613,104110,'Makes target afraid',100,2,2),
(105614,104110,'Slows target by 18.3%',100,2,3),
(105615,104110,'30% chance to dispel when target takes damage',100,2,4),
(105616,104110,'Resistibility increases against targets higher than level 62.',100,2,5),
(105617,104110,'15% chance to dispel when target takes damage',100,1,6),
(105618,104110,'Does not affect Epic targets',100,1,7),
(105619,104110,'Resistibility increases against targets higher than level 62.',100,1,8),
(105620,10104110,'Roots target',100,1,0),
(105621,10104110,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(105622,10104110,'Makes target afraid',100,2,2),
(105623,10104110,'Slows target by 18.3%',100,2,3),
(105624,10104110,'30% chance to dispel when target takes damage',100,2,4),
(105625,10104110,'Resistibility increases against targets higher than level 62.',100,2,5),
(105626,10104110,'15% chance to dispel when target takes damage',100,1,6),
(105627,10104110,'Does not affect Epic targets',100,1,7),
(105628,10104110,'Resistibility increases against targets higher than level 62.',100,1,8),
(105629,50270,'Applies Heroic Resistance IV when Equipped.',100,0,0),
(105630,50270,'Reduces the critical damage inflicted by players on caster by 4.0%',100,1,1),
(105631,50270,'Cannot be modified except by direct means',100,1,2),
(105632,10050270,'Applies Heroic Resistance IV when Equipped.',100,0,0),
(105633,10050270,'Reduces the critical damage inflicted by players on caster by 4.0%',100,1,1),
(105634,10050270,'Cannot be modified except by direct means',100,1,2),
(105635,115572,'Interrupts target encounter',100,1,0),
(105636,115572,'Decreases Threat to target encounter by 202 - 247 ',100,1,1),
(105637,115572,'Dazes target encounter',100,1,2),
(105638,115572,'If Target is not Epic',100,2,3),
(105639,115572,'Resistibility increases against targets higher than level 53.',100,1,4),
(105640,10115572,'Interrupts target encounter',100,1,0),
(105641,10115572,'Dazes target encounter',100,1,1),
(105642,10115572,'If Target is not Epic',100,2,2),
(105643,10115572,'Resistibility increases against targets higher than level 53.',100,1,3),
(105644,116404,'Heals target for 298 - 364 instantly and every 2 seconds',100,1,0),
(105645,10116404,'Heals target for 194 - 237 instantly and every 2 seconds',100,1,0),
(105646,82851,'When Equipped:',100,0,0),
(105647,82851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105648,82851,'Inflicts 271 - 504 magic damage on target',100,2,2),
(105649,82851,'Cannot be modified except by direct means',100,2,3),
(105650,10082851,'When Equipped:',100,0,0),
(105651,10082851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105652,10082851,'Inflicts 380 - 705 magic damage on target',100,2,2),
(105653,10082851,'Cannot be modified except by direct means',100,2,3),
(105654,88999,'When Equipped:',100,0,0),
(105655,88999,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(105656,88999,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(105657,88999,'Increases Attack Speed of caster by 6.0',100,2,3),
(105658,88999,'Increases Damage Per Second of caster by 9.0',100,2,4),
(105659,88999,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(105660,88999,'Must not be engaged in pvp combat',100,2,6),
(105661,88999,'Cannot be modified except by direct means',100,2,7),
(105662,88999,'Cannot be modified except by direct means',100,1,8),
(105663,10088999,'When Equipped:',100,0,0),
(105664,10088999,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(105665,10088999,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(105666,10088999,'Increases Attack Speed of caster by 6.0',100,2,3),
(105667,10088999,'Increases Damage Per Second of caster by 9.0',100,2,4),
(105668,10088999,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(105669,10088999,'Must not be engaged in pvp combat',100,2,6),
(105670,10088999,'Cannot be modified except by direct means',100,2,7),
(105671,10088999,'Cannot be modified except by direct means',100,1,8),
(105672,110087,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(105673,110087,'Inflicts 6 disease damage on target',100,2,1),
(105674,110087,'Heals caster for 3',100,2,2),
(105675,110087,'Decreases INT of target by 28.0',100,1,3),
(105676,110087,'Decreases Attack Speed of target by 25.0',100,1,4),
(105677,110087,'Increases Max Health of target by 11.0%',100,1,5),
(105678,110087,'Increases Hate Gain of target by 14.6%',100,1,6),
(105679,110087,'Increases Aggression of target by 2.3',100,1,7),
(105680,110087,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(105681,110087,'Increases Threat to target encounter by 16 - 20 ',100,2,9),
(105682,110087,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,10),
(105683,10110087,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(105684,10110087,'Inflicts 9 disease damage on target',100,2,1),
(105685,10110087,'Heals caster for 2',100,2,2),
(105686,10110087,'Decreases INT of target by 28.0',100,1,3),
(105687,10110087,'Decreases Attack Speed of target by 25.0',100,1,4),
(105688,10110087,'Increases Max Health of target by 11.0%',100,1,5),
(105689,10110087,'Increases Aggression of target by 2.3',100,1,6),
(105690,10110087,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,7),
(105691,45717,'Applies Roglio''s Awakening  when Activated.',100,0,0),
(105692,45717,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(105693,10045717,'Applies Roglio''s Awakening  when Activated.',100,0,0),
(105694,10045717,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(105695,122989,'Decreases Damage Per Second of target encounter by 18.9',100,1,0),
(105696,10122989,'Decreases Damage Per Second of target encounter by 18.9',100,1,0),
(105697,71696,'When Equipped:',100,0,0),
(105698,71696,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105699,71696,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(105700,71696,'Cannot be modified except by direct means',100,2,3),
(105701,10071696,'When Equipped:',100,0,0),
(105702,10071696,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105703,10071696,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(105704,10071696,'Cannot be modified except by direct means',100,2,3),
(105705,124495,'Heals group members (AE) for 761 - 930',100,1,0),
(105706,10124495,'Heals group members (AE) for 890 - 1088',100,1,0),
(105707,40400,'When Equipped:',100,0,0),
(105708,40400,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105709,40400,'Slows target by 20.0%',100,2,2),
(105710,40400,'Cannot be modified except by direct means',100,2,3),
(105711,10040400,'When Equipped:',100,0,0),
(105712,10040400,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105713,10040400,'Slows target by 20.0%',100,2,2),
(105714,10040400,'Cannot be modified except by direct means',100,2,3),
(105715,74702,'When Equipped:',100,0,0),
(105716,74702,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105717,74702,'Inflicts 198 - 297 magic damage on target',100,2,2),
(105718,74702,'Cannot be modified except by direct means',100,2,3),
(105719,10074702,'When Equipped:',100,0,0),
(105720,10074702,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105721,10074702,'Inflicts 278 - 416 magic damage on target',100,2,2),
(105722,10074702,'Cannot be modified except by direct means',100,2,3),
(105723,123131,'Inflicts 422 disease damage on targets in Area of Effect',100,1,0),
(105724,123131,'Inflicts 288 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(105725,10123131,'Inflicts 591 disease damage on targets in Area of Effect',100,1,0),
(105726,10123131,'Inflicts 403 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(105727,75241,'When Equipped:',100,0,0),
(105728,75241,'On any combat or spell hit this spell may cast Aftermath on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(105729,75241,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(105730,75241,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(105731,75241,'Decreases Potency of target by 10.0%',100,2,4),
(105732,75241,'Must not be engaged in pvp combat',100,2,5),
(105733,75241,'Cannot be modified except by direct means',100,2,6),
(105734,75241,'Must not be engaged in pvp combat',100,1,7),
(105735,10075241,'When Equipped:',100,0,0),
(105736,10075241,'On any combat or spell hit this spell may cast Aftermath on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(105737,10075241,'Inflicts 7459 heat damage on target instantly and every 4 seconds',100,2,2),
(105738,10075241,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(105739,10075241,'Decreases Potency of target by 10.0%',100,2,4),
(105740,10075241,'Must not be engaged in pvp combat',100,2,5),
(105741,10075241,'Cannot be modified except by direct means',100,2,6),
(105742,10075241,'Must not be engaged in pvp combat',100,1,7),
(105743,117627,'Inflicts 720 - 1201 ranged damage on target',100,1,0),
(105744,117627,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(105745,117627,'Slows target by 45.5%',100,2,2),
(105746,117627,'5% chance to dispel when target receives hostile action',100,2,3),
(105747,117627,'5% chance to dispel when target takes damage',100,2,4),
(105748,117627,'Must be flanking or behind',100,1,5),
(105749,117627,'Requires bow',100,1,6),
(105750,10117627,'Inflicts 612 - 1020 ranged damage on target',100,1,0),
(105751,10117627,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(105752,10117627,'Slows target by 45.5%',100,2,2),
(105753,10117627,'5% chance to dispel when target receives hostile action',100,2,3),
(105754,10117627,'5% chance to dispel when target takes damage',100,2,4),
(105755,10117627,'Must be flanking or behind',100,1,5),
(105756,10117627,'Requires bow',100,1,6),
(105757,107641,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(105758,107641,'Increases Mitigation of group members (AE) vs elemental damage by 882',100,1,1),
(105759,10107641,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(105760,10107641,'Increases Mitigation of group members (AE) vs elemental damage by 882',100,1,1),
(105761,108472,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(105762,108472,'Increases Aggression of caster by 10.8',100,1,1),
(105763,108472,'Increases Defense and Parry of caster by 21.6',100,1,2),
(105764,108472,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(105765,10108472,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(105766,10108472,'Increases Aggression of caster by 10.8',100,1,1),
(105767,10108472,'Increases Defense and Parry of caster by 21.6',100,1,2),
(105768,10108472,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(105769,112167,'Increases STR of caster by 28.3',100,1,0),
(105770,112167,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 710',100,1,1),
(105771,112167,'Increases Mitigation of caster vs physical damage by 182',100,1,2),
(105772,10112167,'Increases STR of caster by 28.3',100,1,0),
(105773,10112167,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 710',100,1,1),
(105774,10112167,'Increases Mitigation of caster vs physical damage by 182',100,1,2),
(105775,123821,'Inflicts 85 - 142 magic damage on target',100,1,0),
(105776,123821,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(105777,123821,'Decreases Defense of target by 21.9',100,1,2),
(105778,123821,'Target will lose 24% more power when power is consumed',100,1,3),
(105779,123821,'24% of target''s power consumed will also be drained from target''s health',100,1,4),
(105780,10123821,'Inflicts 119 - 198 magic damage on target',100,1,0),
(105781,10123821,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(105782,10123821,'Decreases Defense of target by 21.9',100,1,2),
(105783,10123821,'Target will lose 24% more power when power is consumed',100,1,3),
(105784,10123821,'24% of target''s power consumed will also be drained from target''s health',100,1,4),
(105785,36490,'Increases STR of target by 1.6',100,0,0),
(105786,36490,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(105787,51342,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(105788,51342,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(105789,51342,'Inflicts 52 heat damage on target',100,2,2),
(105790,51342,'Cannot be modified except by direct means',100,2,3),
(105791,10051342,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(105792,10051342,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(105793,10051342,'Inflicts 73 heat damage on target',100,2,2),
(105794,10051342,'Cannot be modified except by direct means',100,2,3),
(105795,49009,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(105796,49009,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(105797,49009,'Inflicts 24 poison damage on target',100,2,2),
(105798,49009,'Inflicts 21 poison damage on target instantly and every 6 seconds',100,2,3),
(105799,49009,'Cannot be modified except by direct means',100,2,4),
(105800,49009,'Grants a total of 200 triggers of the spell.',100,2,5),
(105801,10049009,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(105802,10049009,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(105803,10049009,'Inflicts 25 poison damage on target',100,2,2),
(105804,10049009,'Inflicts 22 poison damage on target instantly and every 6 seconds',100,2,3),
(105805,10049009,'Cannot be modified except by direct means',100,2,4),
(105806,10049009,'Grants a total of 200 triggers of the spell.',100,2,5),
(105807,83974,'When Equipped:',100,0,0),
(105808,83974,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(105809,83974,'Inflicts 80 - 134 magic damage on target',100,2,2),
(105810,83974,'Inflicts 80 - 134 piercing damage on target',100,2,3),
(105811,83974,'Inflicts 80 - 134 divine damage on target',100,2,4),
(105812,83974,'Must not be engaged in pvp combat',100,2,5),
(105813,83974,'Cannot be modified except by direct means',100,2,6),
(105814,83974,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(105815,83974,'Inflicts 80 - 134 magic damage on target',100,2,8),
(105816,83974,'Inflicts 80 - 134 piercing damage on target',100,2,9),
(105817,83974,'Inflicts 80 - 134 divine damage on target',100,2,10),
(105818,83974,'Must not be engaged in pvp combat',100,2,11),
(105819,83974,'Cannot be modified except by direct means',100,2,12),
(105820,83974,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(105821,83974,'Inflicts 80 - 134 magic damage on target',100,2,14),
(105822,83974,'Inflicts 80 - 134 piercing damage on target',100,2,15),
(105823,83974,'Inflicts 80 - 134 divine damage on target',100,2,16),
(105824,83974,'Must not be engaged in pvp combat',100,2,17),
(105825,83974,'Cannot be modified except by direct means',100,2,18),
(105826,83974,'Must not be engaged in pvp combat',100,1,19),
(105827,10083974,'When Equipped:',100,0,0),
(105828,10083974,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(105829,10083974,'Inflicts 112 - 187 magic damage on target',100,2,2),
(105830,10083974,'Inflicts 112 - 187 piercing damage on target',100,2,3),
(105831,10083974,'Inflicts 112 - 187 divine damage on target',100,2,4),
(105832,10083974,'Must not be engaged in pvp combat',100,2,5),
(105833,10083974,'Cannot be modified except by direct means',100,2,6),
(105834,10083974,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(105835,10083974,'Inflicts 112 - 187 magic damage on target',100,2,8),
(105836,10083974,'Inflicts 112 - 187 piercing damage on target',100,2,9),
(105837,10083974,'Inflicts 112 - 187 divine damage on target',100,2,10),
(105838,10083974,'Must not be engaged in pvp combat',100,2,11),
(105839,10083974,'Cannot be modified except by direct means',100,2,12),
(105840,10083974,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(105841,10083974,'Inflicts 112 - 187 magic damage on target',100,2,14),
(105842,10083974,'Inflicts 112 - 187 piercing damage on target',100,2,15),
(105843,10083974,'Inflicts 112 - 187 divine damage on target',100,2,16),
(105844,10083974,'Must not be engaged in pvp combat',100,2,17),
(105845,10083974,'Cannot be modified except by direct means',100,2,18),
(105846,10083974,'Must not be engaged in pvp combat',100,1,19),
(105847,109243,'Increases INT and WIS of group members (AE) by 27.1',100,1,0),
(105848,109243,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 77',100,1,1),
(105849,10109243,'Increases INT and WIS of group members (AE) by 27.1',100,1,0),
(105850,10109243,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 77',100,1,1),
(105851,100300,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(105852,100300,'Inflicts 223 divine damage on target',100,2,1),
(105853,10100300,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(105854,10100300,'Inflicts 312 divine damage on target',100,2,1),
(105855,108973,'Increases INT of group members (AE) by 204.2',100,1,0),
(105856,108973,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 74.9',100,1,1),
(105857,10108973,'Increases INT of group members (AE) by 204.2',100,1,0),
(105858,10108973,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 74.9',100,1,1),
(105859,80230,'When Equipped:',100,0,0),
(105860,80230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105861,80230,'Inflicts 224 - 415 magic damage on target',100,2,2),
(105862,80230,'Cannot be modified except by direct means',100,2,3),
(105863,10080230,'When Equipped:',100,0,0),
(105864,10080230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105865,10080230,'Inflicts 313 - 581 magic damage on target',100,2,2),
(105866,10080230,'Cannot be modified except by direct means',100,2,3),
(105867,118761,'Increases INT and WIS of group members (AE) by 40.1',100,1,0),
(105868,118761,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 118',100,1,1),
(105869,10118761,'Increases INT and WIS of group members (AE) by 40.1',100,1,0),
(105870,10118761,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 118',100,1,1),
(105871,104507,'Increases Threat to target by 21 - 26  instantly and by 4 - 5  every 2 seconds thereafter',100,1,0),
(105872,10104507,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(105873,144228,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(105874,144228,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(105875,144228,'Cannot be modified except by direct means',100,1,2),
(105876,10144228,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(105877,10144228,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(105878,10144228,'Cannot be modified except by direct means',100,1,2),
(105879,139799,'When Equipped:',100,0,0),
(105880,139799,'Reduces resistibility of all spells by 10%.',100,1,1),
(105881,10139799,'When Equipped:',100,0,0),
(105882,10139799,'Reduces resistibility of all spells by 10%.',100,1,1),
(105883,116814,'Decreases Hate Gain of caster by 11.5%',100,1,0),
(105884,103644,'Increases STR of raid and group members (AE) by 41.0',100,1,0),
(105885,103644,'Improves the base amount of taunts by 9.5%.',100,1,1),
(105886,103644,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(105887,103644,'Increases AGI of raid and group members (AE) by 41.0',100,1,3),
(105888,103644,'Adds 0.9% to base avoidance.',100,1,4),
(105889,10103644,'Increases STR of raid and group members (AE) by 41.0',100,1,0),
(105890,10103644,'Improves the base amount of taunts by 9.5%.',100,1,1),
(105891,10103644,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(105892,10103644,'Increases AGI of raid and group members (AE) by 41.0',100,1,3),
(105893,10103644,'Adds 0.9% to base avoidance.',100,1,4),
(105894,81454,'When Equipped:',100,0,0),
(105895,81454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105896,81454,'Inflicts 94 - 174 magic damage on target',100,2,2),
(105897,81454,'Cannot be modified except by direct means',100,2,3),
(105898,10081454,'When Equipped:',100,0,0),
(105899,10081454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(105900,10081454,'Inflicts 131 - 244 magic damage on target',100,2,2),
(105901,10081454,'Cannot be modified except by direct means',100,2,3),
(105902,113387,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,0),
(105903,113387,'Stifles target',100,2,1),
(105904,113387,'Blurs vision of target',100,2,2),
(105905,113387,'Dispelled when target takes damage',100,2,3),
(105906,113387,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(105907,113387,'Resistibility increases against targets higher than level 102.',100,2,5),
(105908,113387,'Roots target',100,1,6),
(105909,113387,'5% chance to dispel when target takes damage',100,1,7),
(105910,113387,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(105911,113387,'Resistibility increases against targets higher than level 102.',100,1,9),
(105912,10113387,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(105913,10113387,'Stifles target',100,2,1),
(105914,10113387,'Blurs vision of target',100,2,2),
(105915,10113387,'Dispelled when target takes damage',100,2,3),
(105916,10113387,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(105917,10113387,'Resistibility increases against targets higher than level 102.',100,2,5),
(105918,10113387,'Roots target',100,1,6),
(105919,10113387,'5% chance to dispel when target takes damage',100,1,7),
(105920,10113387,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(105921,10113387,'Resistibility increases against targets higher than level 102.',100,1,9),
(105922,115301,'Summons a limited pet to aid the caster',100,1,0),
(105923,10115301,'Summons a limited pet to aid the caster',100,1,0),
(105924,53018,'When Equipped:',100,0,0),
(105925,53018,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(105926,53018,'Decreases Damage Per Second of target encounter by 5.4 - 9.1',100,2,2),
(105927,53018,'Cannot be modified except by direct means',100,2,3),
(105928,10053018,'When Equipped:',100,0,0),
(105929,10053018,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(105930,10053018,'Decreases Damage Per Second of target encounter by 5.4 - 9.1',100,2,2),
(105931,10053018,'Cannot be modified except by direct means',100,2,3),
(105932,122665,'Decreases Defense of target by 11.9',100,1,0),
(105933,122665,'Decreases Mitigation of target vs physical damage by 198',100,1,1),
(105934,10122665,'Decreases Defense of target by 11.9',100,1,0),
(105935,10122665,'Decreases Mitigation of target vs physical damage by 198',100,1,1),
(105936,72017,'When Equipped:',100,0,0),
(105937,72017,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105938,72017,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(105939,72017,'Cannot be modified except by direct means',100,2,3),
(105940,10072017,'When Equipped:',100,0,0),
(105941,10072017,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(105942,10072017,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(105943,10072017,'Cannot be modified except by direct means',100,2,3),
(105944,26539,'When Equipped:',100,0,0),
(105945,26539,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(105946,26539,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,2),
(105947,10026539,'When Equipped:',100,0,0),
(105948,10026539,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(105949,10026539,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,2),
(105950,109888,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(105951,109888,'Inflicts 15 - 19 poison damage on target instantly and every 4 seconds',100,2,1),
(105952,10109888,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(105953,10109888,'Inflicts 22 - 26 poison damage on target instantly and every 4 seconds',100,2,1),
(105954,45047,'Applies Immortalize Tarinax when Activated.',100,0,0),
(105955,45047,'Summon 1 Trophy: Tarinax''s Head',100,1,1),
(105956,45047,'This effect cannot be cast during combat',100,1,2),
(105957,10045047,'Applies Immortalize Tarinax when Activated.',100,0,0),
(105958,10045047,'Summon 1 Trophy: Tarinax''s Head',100,1,1),
(105959,10045047,'This effect cannot be cast during combat',100,1,2),
(105960,45901,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(105961,45901,'Wards caster against 965 points of elemental damage',100,1,1),
(105962,10045901,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(105963,10045901,'Wards caster against 965 points of elemental damage',100,1,1),
(105964,85429,'Applies Prismatic Glow when Equipped.',100,0,0),
(105965,85429,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(105966,85429,'When Equipped:',100,0,2),
(105967,85429,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(105968,85429,'Inflicts 191 - 354 magic damage on target',100,2,4),
(105969,85429,'Cannot be modified except by direct means',100,2,5),
(105970,10085429,'Applies Prismatic Glow when Equipped.',100,0,0),
(105971,10085429,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(105972,10085429,'When Equipped:',100,0,2),
(105973,10085429,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(105974,10085429,'Inflicts 267 - 496 magic damage on target',100,2,4),
(105975,10085429,'Cannot be modified except by direct means',100,2,5),
(105976,102167,'Inflicts 491 - 819 melee damage on target',100,1,0),
(105977,102167,'Inflicts 491 - 819 melee damage on target',100,1,1),
(105978,10102167,'Inflicts 639 - 1065 melee damage on target',100,1,0),
(105979,10102167,'Inflicts 639 - 1065 melee damage on target',100,1,1),
(105980,102023,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(105981,102023,'Wards target against 408 points of all damage',100,2,1),
(105982,10102023,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(105983,10102023,'Wards target against 408 points of all damage',100,2,1),
(105984,115969,'Inflicts 171 - 257 mental damage on target',100,1,0),
(105985,115969,'Stuns target',100,1,1),
(105986,115969,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(105987,115969,'Resistibility increases against targets higher than level 56.',100,1,3),
(105988,10115969,'Stuns target',100,1,0),
(105989,10115969,'Inflicts 240 - 360 mental damage on target',100,1,1),
(105990,10115969,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(105991,10115969,'Resistibility increases against targets higher than level 56.',100,1,3),
(105992,107673,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(105993,10107673,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(105994,117417,'Increases Mitigation of group members (AE) vs physical damage by 134',100,1,0),
(105995,10117417,'Increases Mitigation of group members (AE) vs physical damage by 134',100,1,0),
(105996,36462,'Increases INT of target by 1.6',100,0,0),
(105997,36462,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(105998,188154,'When Equipped:',100,0,0),
(105999,188154,'On a healing spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(106000,188154,'Increases power of group members by 177 instantly and every 5 seconds',100,2,2),
(106001,188154,'Increases heal amount of all heals by 1%',100,2,3),
(106002,188154,'Increases Max Health of group members by 4,482.0',100,2,4),
(106003,188154,'Must not be engaged in pvp combat',100,2,5),
(106004,188154,'Cannot be modified except by direct means',100,2,6),
(106005,188154,'On a hostile spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(106006,188154,'Increases power of group members by 177 instantly and every 5 seconds',100,2,8),
(106007,188154,'Increases heal amount of all heals by 1%',100,2,9),
(106008,188154,'Increases Max Health of group members by 4,482.0',100,2,10),
(106009,188154,'Must not be engaged in pvp combat',100,2,11),
(106010,188154,'Cannot be modified except by direct means',100,2,12),
(106011,188154,'Cannot be modified except by direct means',100,1,13),
(106012,10188154,'When Equipped:',100,0,0),
(106013,10188154,'On a healing spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(106014,10188154,'Increases power of group members by 177 instantly and every 5 seconds',100,2,2),
(106015,10188154,'Increases heal amount of all heals by 1%',100,2,3),
(106016,10188154,'Increases Max Health of group members by 4,482.0',100,2,4),
(106017,10188154,'Must not be engaged in pvp combat',100,2,5),
(106018,10188154,'Cannot be modified except by direct means',100,2,6),
(106019,10188154,'On a hostile spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(106020,10188154,'Increases power of group members by 177 instantly and every 5 seconds',100,2,8),
(106021,10188154,'Increases heal amount of all heals by 1%',100,2,9),
(106022,10188154,'Increases Max Health of group members by 4,482.0',100,2,10),
(106023,10188154,'Must not be engaged in pvp combat',100,2,11),
(106024,10188154,'Cannot be modified except by direct means',100,2,12),
(106025,10188154,'Cannot be modified except by direct means',100,1,13),
(106026,186039,'When Equipped:',100,0,0),
(106027,186039,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(106028,10186039,'When Equipped:',100,0,0),
(106029,10186039,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(106030,48165,'Applies Spirit of Determination when Activated.  Lasts for 15 minutes.',100,0,0),
(106031,48165,'Increases Max Health of caster by 172.5',100,1,1),
(106032,10048165,'Applies Spirit of Determination when Activated.  Lasts for 15 minutes.',100,0,0),
(106033,10048165,'Increases Max Health of caster by 172.5',100,1,1),
(106034,84239,'Applies Mental Blast when Activated.',100,0,0),
(106035,84239,'Inflicts 115 - 191 mental damage on target',100,1,1),
(106036,84239,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(106037,10084239,'Applies Mental Blast when Activated.',100,0,0),
(106038,10084239,'Inflicts 161 - 268 mental damage on target',100,1,1),
(106039,10084239,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(106040,36989,'Increases Max Power of target by 4.1',100,0,0),
(106041,36989,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(106042,105403,'Increases STR of caster by 27.7',100,1,0),
(106043,105403,'Decreases Defense of caster by 1.8',100,1,1),
(106044,105403,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.8',100,1,2),
(106045,10105403,'Increases STR of caster by 27.7',100,1,0),
(106046,10105403,'Decreases Defense of caster by 1.8',100,1,1),
(106047,10105403,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.8',100,1,2),
(106048,116140,'Inflicts 213 - 355 divine damage on target',100,1,0),
(106049,116140,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(106050,116140,'Throws target back',100,2,2),
(106051,116140,'Stuns target',100,2,3),
(106052,116140,'Blurs vision of target',100,2,4),
(106053,116140,'Does not affect Epic targets',100,2,5),
(106054,10116140,'Inflicts 277 - 462 divine damage on target',100,1,0),
(106055,10116140,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(106056,10116140,'Throws target back',100,2,2),
(106057,10116140,'Stuns target',100,2,3),
(106058,10116140,'Blurs vision of target',100,2,4),
(106059,10116140,'Does not affect Epic targets',100,2,5),
(106060,121551,'Inflicts 203 - 339 melee damage on targets in area',100,1,0),
(106061,121551,'Stuns target encounter',100,1,1),
(106062,121551,'If Target is not Epic',100,2,2),
(106063,121551,'Resistibility increases against targets higher than level 75.',100,1,3),
(106064,10121551,'Inflicts 264 - 440 melee damage on targets in area',100,1,0),
(106065,10121551,'Stuns target encounter',100,1,1),
(106066,10121551,'If Target is not Epic',100,2,2),
(106067,10121551,'Resistibility increases against targets higher than level 75.',100,1,3),
(106068,101870,'Stuns target',100,1,0),
(106069,101870,'Does not affect Epic targets',100,1,1),
(106070,101870,'Resistibility increases against targets higher than level 106.',100,1,2),
(106071,10101870,'Stuns target',100,1,0),
(106072,10101870,'Does not affect Epic targets',100,1,1),
(106073,10101870,'Resistibility increases against targets higher than level 106.',100,1,2),
(106074,112663,'Inflicts 356 - 594 disease damage on target',100,1,0),
(106075,112663,'Inflicts 356 - 594 disease damage on target',100,1,1),
(106076,112663,'Roots target',100,1,2),
(106077,112663,'If Target is not Epic',100,2,3),
(106078,112663,'15% chance to dispel when target takes damage',100,1,4),
(106079,112663,'If weapon equipped in Ranged',100,1,5),
(106080,112663,'Resistibility increases against targets higher than level 120.',100,1,6),
(106081,10112663,'Inflicts 303 - 505 disease damage on target',100,1,0),
(106082,10112663,'Inflicts 303 - 505 disease damage on target',100,1,1),
(106083,10112663,'Roots target',100,1,2),
(106084,10112663,'If Target is not Epic',100,2,3),
(106085,10112663,'15% chance to dispel when target takes damage',100,1,4),
(106086,10112663,'If weapon equipped in Ranged',100,1,5),
(106087,10112663,'Resistibility increases against targets higher than level 120.',100,1,6),
(106088,121829,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(106089,121829,'Increases Mitigation of group members (AE) vs arcane damage by 660',100,1,1),
(106090,10121829,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(106091,10121829,'Increases Mitigation of group members (AE) vs arcane damage by 660',100,1,1),
(106092,119558,'Wards group members (AE) against 1900 points of arcane damage',100,1,0),
(106093,119558,'Increases Mitigation of group members (AE) vs arcane damage by 1044',100,1,1),
(106094,10119558,'Wards group members (AE) against 1900 points of arcane damage',100,1,0),
(106095,10119558,'Increases Mitigation of group members (AE) vs arcane damage by 1044',100,1,1),
(106096,119739,'Wards group members (AE) against 109 points of elemental, noxious and arcane damage',100,1,0),
(106097,119739,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,1),
(106098,10119739,'Wards group members (AE) against 109 points of elemental, noxious and arcane damage',100,1,0),
(106099,10119739,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,1),
(106100,104120,'Roots target',100,1,0),
(106101,104120,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(106102,104120,'Makes target afraid',100,2,2),
(106103,104120,'Slows target by 23.6%',100,2,3),
(106104,104120,'30% chance to dispel when target takes damage',100,2,4),
(106105,104120,'Resistibility increases against targets higher than level 76.',100,2,5),
(106106,104120,'15% chance to dispel when target takes damage',100,1,6),
(106107,104120,'Does not affect Epic targets',100,1,7),
(106108,104120,'Resistibility increases against targets higher than level 76.',100,1,8),
(106109,10104120,'Roots target',100,1,0),
(106110,10104120,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(106111,10104120,'Makes target afraid',100,2,2),
(106112,10104120,'Slows target by 23.6%',100,2,3),
(106113,10104120,'30% chance to dispel when target takes damage',100,2,4),
(106114,10104120,'Resistibility increases against targets higher than level 76.',100,2,5),
(106115,10104120,'15% chance to dispel when target takes damage',100,1,6),
(106116,10104120,'Does not affect Epic targets',100,1,7),
(106117,10104120,'Resistibility increases against targets higher than level 76.',100,1,8),
(106118,110921,'Inflicts 63 - 105 divine damage on target',100,1,0),
(106119,110921,'Increases Threat to target by 522 ',100,1,1),
(106120,110921,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(106121,110921,'Throws target back',100,2,3),
(106122,110921,'Stuns target',100,2,4),
(106123,110921,'Blurs vision of target',100,2,5),
(106124,110921,'Does not affect Epic targets',100,2,6),
(106125,10110921,'Inflicts 82 - 136 divine damage on target',100,1,0),
(106126,10110921,'Prevents target from changing targets',100,1,1),
(106127,10110921,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(106128,10110921,'Throws target back',100,2,3),
(106129,10110921,'Stuns target',100,2,4),
(106130,10110921,'Blurs vision of target',100,2,5),
(106131,10110921,'Does not affect Epic targets',100,2,6),
(106132,10110921,'Forces target to change their selected target to caster.',100,1,7),
(106133,140778,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(106134,140778,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,1,1),
(106135,140778,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(106136,10140778,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(106137,10140778,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,1,1),
(106138,10140778,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(106139,110124,'Shapechanges group members (AE) into a gnoll',100,1,0),
(106140,10110124,'Shapechanges group members (AE) into a gnoll',100,1,0),
(106141,106481,'Decreases STR and AGI of target by 33.4',100,1,0),
(106142,10106481,'Decreases STR and AGI of target by 33.4',100,1,0),
(106143,122702,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 4 attacks.',100,1,0),
(106144,122702,'If towershield equipped in Secondary',100,1,1),
(106145,10122702,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 4 attacks.',100,1,0),
(106146,10122702,'If towershield equipped in Secondary',100,1,1),
(106147,47318,'Applies Stormreapers Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(106148,47318,'Increases Max Power of caster by 24.0',100,1,1),
(106149,10047318,'Applies Stormreapers Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(106150,10047318,'Increases Max Power of caster by 24.0',100,1,1),
(106151,116989,'Inflicts 5 - 16 melee damage on target',100,1,0),
(106152,10116989,'Inflicts 6 - 20 melee damage on target',100,1,0),
(106153,117014,'Inflicts 125 - 376 melee damage on target',100,1,0),
(106154,10117014,'Inflicts 163 - 489 melee damage on target',100,1,0),
(106155,103565,'Increases In-Combat Power Regeneration of group members (AE) by 52.2',100,1,0),
(106156,10103565,'Increases In-Combat Power Regeneration of group members (AE) by 52.2',100,1,0),
(106157,24675,'Adds Sarnak (Defiler) to your Dungeon Maker toolbox',100,0,0),
(106158,10024675,'Adds Sarnak (Defiler) to your Dungeon Maker toolbox',100,0,0),
(106159,36240,'Increases INT of target by 1.2',100,0,0),
(106160,36240,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(106161,112256,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(106162,112256,'Decreases power of target by 268',100,2,1),
(106163,112256,'Increases power of caster by 172',100,2,2),
(106164,10112256,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(106165,10112256,'Decreases power of target by 268',100,2,1),
(106166,10112256,'Increases power of caster by 138',100,2,2),
(106167,121188,'Grants stealth to caster',100,1,0),
(106168,121188,'Suspends caster''s movement speed enhancements',100,1,1),
(106169,121188,'Decreases Threat to target by 368 - 614 ',100,1,2),
(106170,10121188,'Forces target to clear their selected target.',100,1,0),
(106171,10121188,'Grants stealth to caster',100,1,1),
(106172,10121188,'Suspends caster''s movement speed enhancements',100,1,2),
(106173,121130,'Summons a limited pet to aid the caster',100,1,0),
(106174,10121130,'Summons a limited pet to aid the caster',100,1,0),
(106175,109598,'Increases Defense of group members'' pets (AE) by 3.6',100,1,0),
(106176,109598,'Increases Mitigation of group members (AE) vs all damage by 67',100,1,1),
(106177,10109598,'Increases Defense of group members'' pets (AE) by 3.6',100,1,0),
(106178,10109598,'Increases Mitigation of group members (AE) vs all damage by 67',100,1,1),
(106179,47323,'Applies Tonic of Animation  when Activated.  Lasts for 30 minutes.',100,0,0),
(106180,10047323,'Applies Tonic of Animation  when Activated.  Lasts for 30 minutes.',100,0,0),
(106181,105962,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(106182,105962,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(106183,105962,'Inflicts 63 - 105 piercing damage on target',100,3,2),
(106184,105962,'Grants a total of 5 triggers of the spell.',100,3,3),
(106185,105962,'Grants a total of 1 trigger of the spell.',100,2,4),
(106186,10105962,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(106187,10105962,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(106188,10105962,'Inflicts 82 - 137 piercing damage on target',100,3,2),
(106189,10105962,'Grants a total of 5 triggers of the spell.',100,3,3),
(106190,10105962,'Grants a total of 1 trigger of the spell.',100,2,4),
(106191,114126,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(106192,114126,'Increases Mitigation of group members (AE) vs elemental damage by 356',100,1,1),
(106193,10114126,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(106194,10114126,'Increases Mitigation of group members (AE) vs elemental damage by 356',100,1,1),
(106195,84541,'When Equipped:',100,0,0),
(106196,84541,'On any combat or spell hit this spell may cast Blackest Night on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(106197,84541,'This effect can be stacked by multiple casters.',100,2,2),
(106198,84541,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,3),
(106199,84541,'Cannot be modified except by direct means',100,2,4),
(106200,10084541,'When Equipped:',100,0,0),
(106201,10084541,'On any combat or spell hit this spell may cast Blackest Night on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(106202,10084541,'This effect can be stacked by multiple casters.',100,2,2),
(106203,10084541,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,3),
(106204,10084541,'Cannot be modified except by direct means',100,2,4),
(106205,110993,'Heals target for 382 - 467 instantly and every 2 seconds',100,1,0),
(106206,110993,'Increases power of target by 30 - 36 instantly and every 2 seconds',100,1,1),
(106207,10110993,'Heals target for 249 - 304 instantly and every 2 seconds',100,1,0),
(106208,10110993,'Increases power of target by 30 - 36 instantly and every 2 seconds',100,1,1),
(106209,88930,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(106210,88930,'Heals group members (AE) for 355',100,1,1),
(106211,88930,'Heals group members (AE) for 142 every 5 seconds',100,1,2),
(106212,88930,'Increases Mitigation of group members (AE) vs arcane damage by 464',100,1,3),
(106213,88930,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(106214,10088930,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(106215,10088930,'Heals group members (AE) for 231',100,1,1),
(106216,10088930,'Heals group members (AE) for 92 every 5 seconds',100,1,2),
(106217,10088930,'Increases Mitigation of group members (AE) vs arcane damage by 464',100,1,3),
(106218,10088930,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(106219,119898,'Increases INT and AGI of group members (AE) by 121.4',100,1,0),
(106220,119898,'Adds 2.6% to base avoidance.',100,1,1),
(106221,10119898,'Increases INT and AGI of group members (AE) by 121.4',100,1,0),
(106222,10119898,'Adds 2.6% to base avoidance.',100,1,1),
(106223,173767,'When Equipped:',100,0,0),
(106224,173767,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(106225,173767,'Inflicts 1986 piercing damage on target',100,2,2),
(106226,173767,'Cannot be modified except by direct means',100,2,3),
(106227,10173767,'When Equipped:',100,0,0),
(106228,10173767,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(106229,10173767,'Inflicts 1390 piercing damage on target',100,2,2),
(106230,10173767,'Cannot be modified except by direct means',100,2,3),
(106231,138397,'When Equipped:',100,0,0),
(106232,138397,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(106233,138397,'Heals group members (AE) for 583',100,2,2),
(106234,138397,'Cannot be modified except by direct means',100,2,3),
(106235,10138397,'When Equipped:',100,0,0),
(106236,10138397,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(106237,10138397,'Heals group members (AE) for 682',100,2,2),
(106238,10138397,'Cannot be modified except by direct means',100,2,3),
(106239,36863,'Increases WIS of target by 1.6',100,0,0),
(106240,36863,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(106241,120007,'Increases Threat to target by 1,382 - 1,689 ',100,1,0),
(106242,10120007,'Prevents target from changing targets',100,1,0),
(106243,10120007,'Forces target to change their selected target to caster.',100,1,1),
(106244,121479,'Inflicts 64 - 107 melee damage on target',100,1,0),
(106245,121479,'Decreases Defense of target by 2.4',100,1,1),
(106246,10121479,'Inflicts 84 - 140 melee damage on target',100,1,0),
(106247,10121479,'Decreases Defense of target by 2.4',100,1,1),
(106248,172476,'When Equipped:',100,0,0),
(106249,172476,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(106250,172476,'Heals caster for 2716 - 3319',100,2,2),
(106251,172476,'Increases power of caster by 442',100,2,3),
(106252,172476,'Must not be engaged in pvp combat',100,2,4),
(106253,172476,'Cannot be modified except by direct means',100,2,5),
(106254,172476,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(106255,172476,'Heals caster for 2716 - 3319',100,2,7),
(106256,172476,'Increases power of caster by 442',100,2,8),
(106257,172476,'Must not be engaged in pvp combat',100,2,9),
(106258,172476,'Cannot be modified except by direct means',100,2,10),
(106259,10172476,'When Equipped:',100,0,0),
(106260,10172476,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(106261,10172476,'Heals caster for 3178 - 3884',100,2,2),
(106262,10172476,'Increases power of caster by 442',100,2,3),
(106263,10172476,'Must not be engaged in pvp combat',100,2,4),
(106264,10172476,'Cannot be modified except by direct means',100,2,5),
(106265,10172476,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(106266,10172476,'Heals caster for 3178 - 3884',100,2,7),
(106267,10172476,'Increases power of caster by 442',100,2,8),
(106268,10172476,'Must not be engaged in pvp combat',100,2,9),
(106269,10172476,'Cannot be modified except by direct means',100,2,10),
(106270,123367,'Heals group members (AE) for 398 - 486',100,1,0),
(106271,10123367,'Heals group members (AE) for 484 - 591',100,1,0),
(106272,102012,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(106273,102012,'Wards target against 220 points of all damage',100,2,1),
(106274,10102012,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(106275,10102012,'Wards target against 220 points of all damage',100,2,1),
(106276,177611,'When Equipped:',100,0,0),
(106277,177611,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(106278,177611,'Increases AGI of caster by 5.8',100,2,2),
(106279,177611,'Increases Attack Speed of caster by 11.5',100,2,3),
(106280,177611,'Cannot be modified except by direct means',100,2,4),
(106281,10177611,'When Equipped:',100,0,0),
(106282,10177611,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(106283,10177611,'Increases AGI of caster by 5.8',100,2,2),
(106284,10177611,'Increases Attack Speed of caster by 11.5',100,2,3),
(106285,10177611,'Cannot be modified except by direct means',100,2,4),
(106286,178945,'When Equipped:',100,0,0),
(106287,178945,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(106288,178945,'Increases Threat to target by 4,000 ',100,2,2),
(106289,178945,'Inflicts 1390 mental damage on target',100,2,3),
(106290,178945,'Cannot be modified except by direct means',100,2,4),
(106291,178945,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(106292,178945,'Increases Threat to target by 4,000 ',100,2,6),
(106293,178945,'Inflicts 1390 mental damage on target',100,2,7),
(106294,178945,'Cannot be modified except by direct means',100,2,8),
(106295,178945,'When Equipped:',100,0,9),
(106296,178945,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,10),
(106297,178945,'Wards caster against 1250 points of all damage',100,2,11),
(106298,178945,'Cannot be modified except by direct means',100,2,12),
(106299,178945,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,13),
(106300,178945,'Wards caster against 1250 points of all damage',100,2,14),
(106301,178945,'Cannot be modified except by direct means',100,2,15),
(106302,10178945,'When Equipped:',100,0,0),
(106303,10178945,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(106304,10178945,'Inflicts 1946 mental damage on target',100,2,2),
(106305,10178945,'Cannot be modified except by direct means',100,2,3),
(106306,10178945,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(106307,10178945,'Inflicts 1946 mental damage on target',100,2,5),
(106308,10178945,'Cannot be modified except by direct means',100,2,6),
(106309,10178945,'When Equipped:',100,0,7),
(106310,10178945,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,8),
(106311,10178945,'Wards caster against 625 points of all damage',100,2,9),
(106312,10178945,'Cannot be modified except by direct means',100,2,10),
(106313,10178945,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,11),
(106314,10178945,'Wards caster against 625 points of all damage',100,2,12),
(106315,10178945,'Cannot be modified except by direct means',100,2,13),
(106316,159394,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(106317,159394,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(106318,159394,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(106319,159394,'Cannot be modified except by direct means',100,2,3),
(106320,10159394,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(106321,10159394,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(106322,10159394,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(106323,10159394,'Cannot be modified except by direct means',100,2,3),
(106324,113404,'Reduces physical damage done to caster by 5%',100,1,0),
(106325,113404,'Increases STA of caster by 29.0',100,1,1),
(106326,113404,'Adds 3.4% to base avoidance.',100,1,2),
(106327,113404,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(106328,113404,'Increases Defense and Aggression of caster by 5.3',100,1,4),
(106329,113404,'Increases Mitigation of caster vs noxious damage by 380',100,1,5),
(106330,113404,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(106331,10113404,'Reduces physical damage done to caster by 5%',100,1,0),
(106332,10113404,'Increases STA of caster by 29.0',100,1,1),
(106333,10113404,'Adds 3.4% to base avoidance.',100,1,2),
(106334,10113404,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(106335,10113404,'Increases Defense and Aggression of caster by 5.3',100,1,4),
(106336,10113404,'Increases Mitigation of caster vs noxious damage by 380',100,1,5),
(106337,10113404,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(106338,71339,'When Equipped:',100,0,0),
(106339,71339,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106340,71339,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(106341,71339,'Cannot be modified except by direct means',100,2,3),
(106342,10071339,'When Equipped:',100,0,0),
(106343,10071339,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106344,10071339,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(106345,10071339,'Cannot be modified except by direct means',100,2,3),
(106346,141942,'When Equipped:',100,0,0),
(106347,141942,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106348,141942,'Increases STR of caster by 19.8',100,2,2),
(106349,141942,'Increases Damage Per Second of caster by 25.2',100,2,3),
(106350,141942,'Cannot be modified except by direct means',100,2,4),
(106351,10141942,'When Equipped:',100,0,0),
(106352,10141942,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106353,10141942,'Increases STR of caster by 19.8',100,2,2),
(106354,10141942,'Increases Damage Per Second of caster by 25.2',100,2,3),
(106355,10141942,'Cannot be modified except by direct means',100,2,4),
(106356,114136,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(106357,114136,'Increases Mitigation of group members (AE) vs elemental damage by 880',100,1,1),
(106358,10114136,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(106359,10114136,'Increases Mitigation of group members (AE) vs elemental damage by 880',100,1,1),
(106360,85734,'When Equipped:',100,0,0),
(106361,85734,'On a combat hit this spell may cast Razor Burn on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(106362,85734,'Inflicts 917 heat damage on target',100,2,2),
(106363,85734,'Heals caster for 642',100,2,3),
(106364,85734,'Cannot be modified except by direct means',100,2,4),
(106365,10085734,'When Equipped:',100,0,0),
(106366,10085734,'On a combat hit this spell may cast Razor Burn on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(106367,10085734,'Inflicts 1284 heat damage on target',100,2,2),
(106368,10085734,'Heals caster for 417',100,2,3),
(106369,10085734,'Cannot be modified except by direct means',100,2,4),
(106370,36810,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(106371,46938,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(106372,46938,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(106373,46938,'Decreases AGI of target by 12.3',100,2,2),
(106374,46938,'Cannot be modified except by direct means',100,2,3),
(106375,46938,'Grants a total of 30 triggers of the spell.',100,2,4),
(106376,10046938,'Applies bulwark of shadow when Activated.  Lasts for 12 hours.',100,0,0),
(106377,10046938,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(106378,10046938,'Decreases AGI of target by 12.3',100,2,2),
(106379,10046938,'Cannot be modified except by direct means',100,2,3),
(106380,10046938,'Grants a total of 30 triggers of the spell.',100,2,4),
(106381,170871,'When Equipped:',100,0,0),
(106382,170871,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(106383,170871,'Inflicts 1986 piercing damage on target',100,2,2),
(106384,170871,'Cannot be modified except by direct means',100,2,3),
(106385,10170871,'When Equipped:',100,0,0),
(106386,10170871,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(106387,10170871,'Inflicts 1390 piercing damage on target',100,2,2),
(106388,10170871,'Cannot be modified except by direct means',100,2,3),
(106389,114473,'Inflicts 763 - 1273 heat damage on target',100,1,0),
(106390,10114473,'Inflicts 993 - 1655 heat damage on target',100,1,0),
(106391,102880,'Heals caster for 120',100,1,0),
(106392,102880,'Inflicts 241 disease damage on targets in Area of Effect',100,1,1),
(106393,10102880,'Heals caster for 78',100,1,0),
(106394,10102880,'Inflicts 338 disease damage on targets in Area of Effect',100,1,1),
(106395,155084,'When Equipped:',100,0,0),
(106396,155084,'Increases Attack Speed of caster by 40.0',100,1,1),
(106397,10155084,'When Equipped:',100,0,0),
(106398,10155084,'Increases Attack Speed of caster by 40.0',100,1,1),
(106399,108663,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(106400,108663,'Heals target for 983',100,2,1),
(106401,108663,'Heals target for 245 every 2 seconds',100,2,2),
(106402,108663,'Increases AGI of target by 84.7',100,2,3),
(106403,108663,'Grants a total of 1 trigger of the spell.',100,2,4),
(106404,10108663,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(106405,10108663,'Heals target for 1150',100,2,1),
(106406,10108663,'Heals target for 287 every 2 seconds',100,2,2),
(106407,10108663,'Increases AGI of target by 84.7',100,2,3),
(106408,10108663,'Grants a total of 1 trigger of the spell.',100,2,4),
(106409,120492,'Inflicts 80 - 133 melee damage on target',100,1,0),
(106410,120492,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(106411,120492,'Grants stealth to caster',100,2,2),
(106412,120492,'Suspends caster''s movement speed enhancements',100,2,3),
(106413,120492,'Must be flanking or behind',100,1,4),
(106414,10120492,'Inflicts 104 - 173 melee damage on target',100,1,0),
(106415,10120492,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(106416,10120492,'Grants stealth to caster',100,2,2),
(106417,10120492,'Suspends caster''s movement speed enhancements',100,2,3),
(106418,10120492,'Must be flanking or behind',100,1,4),
(106419,41450,'When Equipped:',100,0,0),
(106420,41450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106421,41450,'Inflicts 64 - 119 magic damage on target',100,2,2),
(106422,41450,'Cannot be modified except by direct means',100,2,3),
(106423,10041450,'When Equipped:',100,0,0),
(106424,10041450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106425,10041450,'Inflicts 90 - 167 magic damage on target',100,2,2),
(106426,10041450,'Cannot be modified except by direct means',100,2,3),
(106427,76118,'When Equipped:',100,0,0),
(106428,76118,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106429,76118,'Increases Attack Speed of caster by 20.0',100,2,2),
(106430,76118,'Cannot be modified except by direct means',100,2,3),
(106431,10076118,'When Equipped:',100,0,0),
(106432,10076118,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106433,10076118,'Increases Attack Speed of caster by 20.0',100,2,2),
(106434,10076118,'Cannot be modified except by direct means',100,2,3),
(106435,118355,'Inflicts 171 - 285 melee damage on target',100,1,0),
(106436,118355,'Inflicts 171 - 286 heat damage on target every 4 seconds',100,1,1),
(106437,10118355,'Inflicts 222 - 371 melee damage on target',100,1,0),
(106438,10118355,'Inflicts 240 - 400 heat damage on target every 4 seconds',100,1,1),
(106439,116127,'Inflicts 71 - 119 divine damage on target',100,1,0),
(106440,116127,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(106441,116127,'Throws target back',100,2,2),
(106442,116127,'Stuns target',100,2,3),
(106443,116127,'Blurs vision of target',100,2,4),
(106444,116127,'Does not affect Epic targets',100,2,5),
(106445,10116127,'Inflicts 93 - 155 divine damage on target',100,1,0),
(106446,10116127,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(106447,10116127,'Throws target back',100,2,2),
(106448,10116127,'Stuns target',100,2,3),
(106449,10116127,'Blurs vision of target',100,2,4),
(106450,10116127,'Does not affect Epic targets',100,2,5),
(106451,146267,'When Equipped:',100,0,0),
(106452,146267,'On a block this spell has a 10% chance to cast Soul Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(106453,146267,'Wards caster against 1000 points of all damage',100,2,2),
(106454,146267,'Must not be engaged in pvp combat',100,2,3),
(106455,146267,'Cannot be modified except by direct means',100,2,4),
(106456,146267,'Must not be engaged in pvp combat',100,1,5),
(106457,146267,'Cannot be modified except by direct means',100,1,6),
(106458,10146267,'When Equipped:',100,0,0),
(106459,10146267,'On a block this spell has a 10% chance to cast Soul Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(106460,10146267,'Wards caster against 1000 points of all damage',100,2,2),
(106461,10146267,'Must not be engaged in pvp combat',100,2,3),
(106462,10146267,'Cannot be modified except by direct means',100,2,4),
(106463,10146267,'Must not be engaged in pvp combat',100,1,5),
(106464,10146267,'Cannot be modified except by direct means',100,1,6),
(106465,119270,'Inflicts 56 - 94 slashing damage on target',100,1,0),
(106466,119270,'Decreases Damage Per Second of target by 14.7',100,1,1),
(106467,119270,'Inflicts 76 slashing damage on target instantly and every 4 seconds',100,1,2),
(106468,10119270,'Inflicts 74 - 123 slashing damage on target',100,1,0),
(106469,10119270,'Decreases Damage Per Second of target by 14.7',100,1,1),
(106470,10119270,'Inflicts 106 slashing damage on target instantly and every 4 seconds',100,1,2),
(106471,48200,'Applies Spirit of the Goblin when Activated.  Lasts for 30 minutes.',100,0,0),
(106472,48200,'Shapechanges caster into a goblin',100,1,1),
(106473,48200,'Increases Out-of-Combat Power Regeneration of caster by 96.0',100,1,2),
(106474,48200,'This effect suspends during combat',100,1,3),
(106475,48200,'Only affects targets level 70 and above',100,1,4),
(106476,10048200,'Applies Spirit of the Goblin when Activated.  Lasts for 30 minutes.',100,0,0),
(106477,10048200,'Shapechanges caster into a goblin',100,1,1),
(106478,10048200,'Increases Out-of-Combat Power Regeneration of caster by 96.0',100,1,2),
(106479,10048200,'This effect suspends during combat',100,1,3),
(106480,10048200,'Only affects targets level 70 and above',100,1,4),
(106481,121020,'Wards group members (AE) against 18 points of physical damage',100,1,0),
(106482,121020,'Increases Mitigation of group members (AE) vs physical damage by 138',100,1,1),
(106483,10121020,'Wards group members (AE) against 18 points of physical damage',100,1,0),
(106484,10121020,'Increases Mitigation of group members (AE) vs physical damage by 138',100,1,1),
(106485,48824,'Applies Kendoan''s Magical Concotion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(106486,48824,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(106487,48824,'Inflicts 19 magic damage on target',100,2,2),
(106488,48824,'Cannot be modified except by direct means',100,2,3),
(106489,10048824,'Applies Kendoan''s Magical Concotion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(106490,10048824,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(106491,10048824,'Inflicts 27 magic damage on target',100,2,2),
(106492,10048824,'Cannot be modified except by direct means',100,2,3),
(106493,105798,'Inflicts 435 - 532 heat damage on target',100,1,0),
(106494,10105798,'Inflicts 812 - 992 heat damage on target',100,1,0),
(106495,112582,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(106496,112582,'Heals targets in Area of Effect for 141 - 173',100,2,1),
(106497,112582,'Dispels 70 levels of physical hostile effects on target',100,2,2),
(106498,10112582,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(106499,10112582,'Heals targets in Area of Effect for 92 - 112',100,2,1),
(106500,10112582,'Dispels 70 levels of physical hostile effects on target',100,2,2),
(106501,102372,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(106502,102372,'Increases Damage Per Second of target by 21.1',100,2,1),
(106503,102372,'Increases Attack Speed of target by 21.1',100,2,2),
(106504,102372,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(106505,102372,'Increases Damage Per Second of target by 21.1',100,2,4),
(106506,102372,'Increases Attack Speed of target by 21.1',100,2,5),
(106507,102372,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(106508,102372,'Increases Damage Per Second of target by 21.1',100,2,7),
(106509,102372,'Increases Attack Speed of target by 21.1',100,2,8),
(106510,10102372,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(106511,10102372,'Increases Damage Per Second of target by 21.1',100,2,1),
(106512,10102372,'Increases Attack Speed of target by 21.1',100,2,2),
(106513,10102372,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(106514,10102372,'Increases Damage Per Second of target by 21.1',100,2,4),
(106515,10102372,'Increases Attack Speed of target by 21.1',100,2,5),
(106516,10102372,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(106517,10102372,'Increases Damage Per Second of target by 21.1',100,2,7),
(106518,10102372,'Increases Attack Speed of target by 21.1',100,2,8),
(106519,101999,'Summons 3 limited pets to aid the caster',100,1,0),
(106520,10101999,'Summons 3 limited pets to aid the caster',100,1,0),
(106521,110716,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(106522,110716,'Heals group members (AE) for 344',100,2,1),
(106523,10110716,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(106524,10110716,'Heals group members (AE) for 224',100,2,1),
(106525,117253,'Inflicts 78 slashing damage on target every 4 seconds',100,1,0),
(106526,117253,'Inflicts 392 - 653 melee damage on target',100,1,1),
(106527,10117253,'Inflicts 110 slashing damage on target every 4 seconds',100,1,0),
(106528,10117253,'Inflicts 509 - 849 melee damage on target',100,1,1),
(106529,100568,'Inflicts 11 - 18 melee damage on target',100,1,0),
(106530,100568,'You must be sneaking to use this ability.',100,1,1),
(106531,10100568,'Inflicts 17 - 29 melee damage on target',100,1,0),
(106532,10100568,'You must be sneaking to use this ability.',100,1,1),
(106533,121507,'Inflicts 454 - 757 melee damage on target',100,1,0),
(106534,121507,'Decreases Defense of target by 13.1',100,1,1),
(106535,10121507,'Inflicts 591 - 985 melee damage on target',100,1,0),
(106536,10121507,'Decreases Defense of target by 13.1',100,1,1),
(106537,48128,'Applies Harvest Blossom when Activated.',100,0,0),
(106538,10048128,'Applies Harvest Blossom when Activated.',100,0,0),
(106539,80474,'When Equipped:',100,0,0),
(106540,80474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106541,80474,'Inflicts 52 - 96 magic damage on target',100,2,2),
(106542,80474,'Cannot be modified except by direct means',100,2,3),
(106543,10080474,'When Equipped:',100,0,0),
(106544,10080474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106545,10080474,'Inflicts 73 - 135 magic damage on target',100,2,2),
(106546,10080474,'Cannot be modified except by direct means',100,2,3),
(106547,121292,'Inflicts 87 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(106548,121292,'Inflicts 287 - 478 melee damage on targets in area',100,1,1),
(106549,121292,'You must be in stealth or have Bloody Assault.',100,1,2),
(106550,10121292,'Inflicts 122 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(106551,10121292,'Inflicts 373 - 622 melee damage on targets in area',100,1,1),
(106552,10121292,'You must be in stealth or have Bloody Assault.',100,1,2),
(106553,102719,'Inflicts 12 - 20 piercing damage on target instantly and every 4 seconds',100,1,0),
(106554,102719,'Inflicts 6 - 10 melee damage on target',100,1,1),
(106555,102719,'If facing target',100,1,2),
(106556,10102719,'Inflicts 17 - 28 piercing damage on target instantly and every 4 seconds',100,1,0),
(106557,10102719,'Inflicts 7 - 13 melee damage on target',100,1,1),
(106558,10102719,'If facing target',100,1,2),
(106559,162727,'Applies Unstable Magics when Equipped.',100,0,0),
(106560,162727,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(106561,10162727,'Applies Unstable Magics when Equipped.',100,0,0),
(106562,10162727,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(106563,24754,'Adds Werewolf (Assassin) to your Dungeon Maker toolbox',100,0,0),
(106564,10024754,'Adds Werewolf (Assassin) to your Dungeon Maker toolbox',100,0,0),
(106565,119040,'Decreases power of target by 53 - 88',100,1,0),
(106566,119040,'Increases power of caster by 24 - 39',100,1,1),
(106567,119040,'Inflicts 56 - 94 mental damage on target',100,1,2),
(106568,10119040,'Decreases power of target by 53 - 88',100,1,0),
(106569,10119040,'Increases power of caster by 24 - 39',100,1,1),
(106570,10119040,'Inflicts 73 - 122 mental damage on target',100,1,2),
(106571,87444,'When Equipped:',100,0,0),
(106572,87444,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106573,87444,'Inflicts 38 - 56 magic damage on target',100,2,2),
(106574,87444,'Cannot be modified except by direct means',100,2,3),
(106575,10087444,'When Equipped:',100,0,0),
(106576,10087444,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106577,10087444,'Inflicts 53 - 79 magic damage on target',100,2,2),
(106578,10087444,'Cannot be modified except by direct means',100,2,3),
(106579,79275,'When Equipped:',100,0,0),
(106580,79275,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(106581,79275,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(106582,79275,'Dispels 200 levels of any hostile effects on target',100,2,3),
(106583,79275,'Heals target for 5384 - 5951',100,2,4),
(106584,79275,'Must not be engaged in pvp combat',100,2,5),
(106585,79275,'Cannot be modified except by direct means',100,2,6),
(106586,79275,'Cannot be modified except by direct means',100,1,7),
(106587,10079275,'When Equipped:',100,0,0),
(106588,10079275,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(106589,10079275,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(106590,10079275,'Dispels 200 levels of any hostile effects on target',100,2,3),
(106591,10079275,'Heals target for 6299 - 6962',100,2,4),
(106592,10079275,'Must not be engaged in pvp combat',100,2,5),
(106593,10079275,'Cannot be modified except by direct means',100,2,6),
(106594,10079275,'Cannot be modified except by direct means',100,1,7),
(106595,124616,'Heals group members (AE) for 226 - 276',100,1,0),
(106596,124616,'Heals group members (AE) for 38 - 47 every second',100,1,1),
(106597,10124616,'Heals group members (AE) for 330 - 403',100,1,0),
(106598,10124616,'Heals group members (AE) for 41 - 50 every second',100,1,1),
(106599,123529,'Inflicts 45 - 68 piercing damage on target instantly and every 4 seconds',100,1,0),
(106600,123529,'Decreases Defense of target by 10.5',100,1,1),
(106601,10123529,'Inflicts 88 - 132 piercing damage on target',100,1,0),
(106602,10123529,'Inflicts 63 - 95 piercing damage on target every 4 seconds',100,1,1),
(106603,10123529,'Decreases Defense of target by 10.5',100,1,2),
(106604,114717,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(106605,114717,'Decreases Hate Gain of target by 21.7%',100,1,1),
(106606,10114717,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(106607,36543,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(106608,36543,'This effect suspends during combat',100,0,1),
(106609,123352,'Heals group members (AE) for 102 - 125',100,1,0),
(106610,10123352,'Heals group members (AE) for 124 - 152',100,1,0),
(106611,26674,'When Equipped:',100,0,0),
(106612,26674,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(106613,26674,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,2),
(106614,10026674,'When Equipped:',100,0,0),
(106615,10026674,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(106616,10026674,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,2),
(106617,138385,'When Equipped:',100,0,0),
(106618,138385,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(106619,138385,'Must be engaged in pvp combat',100,1,2),
(106620,138385,'When Equipped:',100,0,3),
(106621,138385,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(106622,138385,'Must be engaged in pvp combat',100,1,5),
(106623,138385,'When Equipped:',100,0,6),
(106624,138385,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(106625,138385,'Kinetic Barrier cannot proc more than once per second.',100,2,8),
(106626,138385,'Reduces physical damage done to target by 2.5%',100,2,9),
(106627,138385,'Must be engaged in pvp combat',100,2,10),
(106628,138385,'Cannot be modified except by direct means',100,2,11),
(106629,138385,'Cannot be modified except by direct means',100,1,12),
(106630,10138385,'When Equipped:',100,0,0),
(106631,10138385,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(106632,10138385,'Must be engaged in pvp combat',100,1,2),
(106633,10138385,'When Equipped:',100,0,3),
(106634,10138385,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(106635,10138385,'Must be engaged in pvp combat',100,1,5),
(106636,10138385,'When Equipped:',100,0,6),
(106637,10138385,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(106638,10138385,'Kinetic Barrier cannot proc more than once per second.',100,2,8),
(106639,10138385,'Reduces physical damage done to target by 2.5%',100,2,9),
(106640,10138385,'Must be engaged in pvp combat',100,2,10),
(106641,10138385,'Cannot be modified except by direct means',100,2,11),
(106642,10138385,'Cannot be modified except by direct means',100,1,12),
(106643,49061,'Applies Vision of Fury when Activated.',100,0,0),
(106644,49061,'Fills the user''s eyes with visions of fury.',100,1,1),
(106645,10049061,'Applies Vision of Fury when Activated.',100,0,0),
(106646,10049061,'Fills the user''s eyes with visions of fury.',100,1,1),
(106647,27389,'When Equipped:',100,0,0),
(106648,27389,'On a riposte this spell has a 20% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(106649,27389,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(106650,27389,'Heals caster for 30 - 36',100,3,3),
(106651,27389,'Grants a total of 3 triggers of the spell.',100,3,4),
(106652,27389,'Cannot be modified except by direct means',100,2,5),
(106653,10027389,'When Equipped:',100,0,0),
(106654,10027389,'On a riposte this spell has a 20% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(106655,10027389,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(106656,10027389,'Heals caster for 19 - 23',100,3,3),
(106657,10027389,'Grants a total of 3 triggers of the spell.',100,3,4),
(106658,10027389,'Cannot be modified except by direct means',100,2,5),
(106659,179338,'When Equipped:',100,0,0),
(106660,179338,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(106661,179338,'Heals caster for 114 instantly and every 5 seconds',100,2,2),
(106662,179338,'Cannot be modified except by direct means',100,2,3),
(106663,10179338,'When Equipped:',100,0,0),
(106664,10179338,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(106665,10179338,'Heals caster for 74 instantly and every 5 seconds',100,2,2),
(106666,10179338,'Cannot be modified except by direct means',100,2,3),
(106667,80904,'When Equipped:',100,0,0),
(106668,80904,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106669,80904,'Inflicts 230 - 427 magic damage on target',100,2,2),
(106670,80904,'Cannot be modified except by direct means',100,2,3),
(106671,10080904,'When Equipped:',100,0,0),
(106672,10080904,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106673,10080904,'Inflicts 322 - 598 magic damage on target',100,2,2),
(106674,10080904,'Cannot be modified except by direct means',100,2,3),
(106675,24636,'Adds Poet''s Palace: Golden Bowl to your Dungeon Maker toolbox',100,0,0),
(106676,10024636,'Adds Poet''s Palace: Golden Bowl to your Dungeon Maker toolbox',100,0,0),
(106677,106409,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(106678,106409,'Inflicts 244 - 298 mental damage on target',100,2,1),
(106679,106409,'Grants a total of 3 triggers of the spell.',100,2,2),
(106680,10106409,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(106681,10106409,'Inflicts 341 - 417 mental damage on target',100,2,1),
(106682,10106409,'Grants a total of 3 triggers of the spell.',100,2,2),
(106683,102166,'Inflicts 543 - 906 melee damage on target',100,1,0),
(106684,102166,'Inflicts 543 - 906 melee damage on target',100,1,1),
(106685,10102166,'Inflicts 707 - 1178 melee damage on target',100,1,0),
(106686,10102166,'Inflicts 707 - 1178 melee damage on target',100,1,1),
(106687,123698,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(106688,123698,'Inflicts 133 divine damage on target',100,2,1),
(106689,123698,'Grants a total of 5 triggers of the spell.',100,2,2),
(106690,10123698,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(106691,10123698,'Inflicts 186 divine damage on target',100,2,1),
(106692,10123698,'Grants a total of 5 triggers of the spell.',100,2,2),
(106693,113678,'Stuns target',100,1,0),
(106694,113678,'If Target is not Epic',100,2,1),
(106695,113678,'Inflicts 271 - 452 heat damage on target',100,1,2),
(106696,113678,'Resistibility increases against targets higher than level 45.',100,1,3),
(106697,10113678,'Stuns target',100,1,0),
(106698,10113678,'If Target is not Epic',100,2,1),
(106699,10113678,'Inflicts 380 - 633 heat damage on target',100,1,2),
(106700,10113678,'Resistibility increases against targets higher than level 45.',100,1,3),
(106701,101787,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(106702,101787,'Decreases Threat to target by 204 ',100,2,1),
(106703,10101787,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(106704,10101787,'Inflicts 18 - 20 crushing damage on target',100,2,1),
(106705,119646,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(106706,119646,'Throws target back',100,2,1),
(106707,119646,'Stuns target',100,2,2),
(106708,119646,'Blurs vision of target',100,2,3),
(106709,119646,'Does not affect Epic targets',100,2,4),
(106710,119646,'Inflicts 76 - 229 melee damage on target',100,1,5),
(106711,10119646,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(106712,10119646,'Throws target back',100,2,1),
(106713,10119646,'Stuns target',100,2,2),
(106714,10119646,'Blurs vision of target',100,2,3),
(106715,10119646,'Does not affect Epic targets',100,2,4),
(106716,10119646,'Inflicts 99 - 298 melee damage on target',100,1,5),
(106717,105849,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(106718,105849,'Increases Damage Per Second of caster by 35.7',100,1,1),
(106719,105849,'Increases Piercing, Slashing and Crushing of caster by 15.4',100,1,2),
(106720,10105849,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(106721,10105849,'Increases Damage Per Second of caster by 35.7',100,1,1),
(106722,10105849,'Increases Piercing, Slashing and Crushing of caster by 15.4',100,1,2),
(106723,106954,'Inflicts 578 - 1073 poison damage on target',100,1,0),
(106724,10106954,'Inflicts 809 - 1502 poison damage on target',100,1,0),
(106725,105775,'Inflicts 130 - 159 heat damage on target',100,1,0),
(106726,10105775,'Inflicts 242 - 296 heat damage on target',100,1,0),
(106727,85440,'When Equipped:',100,0,0),
(106728,85440,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106729,85440,'Inflicts 86 - 105 poison damage on target',100,2,2),
(106730,85440,'Cannot be modified except by direct means',100,2,3),
(106731,10085440,'When Equipped:',100,0,0),
(106732,10085440,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106733,10085440,'Inflicts 120 - 147 poison damage on target',100,2,2),
(106734,10085440,'Cannot be modified except by direct means',100,2,3),
(106735,102456,'Stuns target encounter',100,1,0),
(106736,102456,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(106737,102456,'Resistibility increases against targets higher than level 87.',100,1,2),
(106738,10102456,'Stuns target encounter',100,1,0),
(106739,10102456,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(106740,10102456,'Resistibility increases against targets higher than level 87.',100,1,2),
(106741,121751,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(106742,10121751,'Applies Swarthy Distraction.',100,1,0),
(106743,10121751,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(106744,10121751,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(106745,100344,'Increases Max Health of target by 311.4',100,1,0),
(106746,100344,'Increases Crushing, Piercing, Slashing and Ranged of target by 5.4',100,1,1),
(106747,10100344,'Increases Max Health of target by 311.4',100,1,0),
(106748,10100344,'Increases Crushing, Piercing, Slashing and Ranged of target by 5.4',100,1,1),
(106749,36048,'Increases STA of target by 1.6',100,0,0),
(106750,36048,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(106751,161120,'When Equipped:',100,0,0),
(106752,161120,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(106753,161120,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(106754,161120,'Inflicts 2344 heat damage on target',100,2,3),
(106755,161120,'Heals caster for 2100',100,2,4),
(106756,161120,'Cannot be modified except by direct means',100,2,5),
(106757,161120,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(106758,161120,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,7),
(106759,161120,'Inflicts 2344 heat damage on target',100,2,8),
(106760,161120,'Heals caster for 2100',100,2,9),
(106761,161120,'Cannot be modified except by direct means',100,2,10),
(106762,10161120,'When Equipped:',100,0,0),
(106763,10161120,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(106764,10161120,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(106765,10161120,'Inflicts 3282 heat damage on target',100,2,3),
(106766,10161120,'Heals caster for 2456',100,2,4),
(106767,10161120,'Cannot be modified except by direct means',100,2,5),
(106768,10161120,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(106769,10161120,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,7),
(106770,10161120,'Inflicts 3282 heat damage on target',100,2,8),
(106771,10161120,'Heals caster for 2456',100,2,9),
(106772,10161120,'Cannot be modified except by direct means',100,2,10),
(106773,117356,'Roots target',100,1,0),
(106774,117356,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(106775,117356,'Slows target by 49.1%',100,2,2),
(106776,117356,'5% chance to dispel when target receives hostile action',100,2,3),
(106777,117356,'5% chance to dispel when target takes damage',100,2,4),
(106778,117356,'15% chance to dispel when target takes damage',100,1,5),
(106779,117356,'Does not affect Epic targets',100,1,6),
(106780,117356,'Resistibility increases against targets higher than level 102.',100,1,7),
(106781,10117356,'Roots target',100,1,0),
(106782,10117356,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(106783,10117356,'Slows target by 49.1%',100,2,2),
(106784,10117356,'10% chance to dispel when target receives hostile action',100,2,3),
(106785,10117356,'10% chance to dispel when target takes damage',100,2,4),
(106786,10117356,'15% chance to dispel when target takes damage',100,1,5),
(106787,10117356,'Does not affect Epic targets',100,1,6),
(106788,10117356,'Resistibility increases against targets higher than level 102.',100,1,7),
(106789,107956,'Increases In-Combat Power Regeneration of group members (AE) by 15.0',100,1,0),
(106790,10107956,'Increases In-Combat Power Regeneration of group members (AE) by 15.0',100,1,0),
(106791,118865,'Inflicts 6 - 10 melee damage on target',100,1,0),
(106792,118865,'Inflicts 6 - 10 melee damage on target',100,1,1),
(106793,118865,'Inflicts 6 - 10 melee damage on target',100,1,2),
(106794,118865,'Inflicts 6 - 10 melee damage on target',100,1,3),
(106795,118865,'Inflicts 6 - 10 melee damage on target',100,1,4),
(106796,10118865,'Inflicts 8 - 13 melee damage on target',100,1,0),
(106797,10118865,'Inflicts 8 - 13 melee damage on target',100,1,1),
(106798,10118865,'Inflicts 8 - 13 melee damage on target',100,1,2),
(106799,10118865,'Inflicts 8 - 13 melee damage on target',100,1,3),
(106800,10118865,'Inflicts 8 - 13 melee damage on target',100,1,4),
(106801,123825,'Inflicts 130 - 216 magic damage on target',100,1,0),
(106802,123825,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(106803,123825,'Decreases Defense of target by 32.4',100,1,2),
(106804,123825,'Target will lose 34% more power when power is consumed',100,1,3),
(106805,123825,'34% of target''s power consumed will also be drained from target''s health',100,1,4),
(106806,10123825,'Inflicts 182 - 303 magic damage on target',100,1,0),
(106807,10123825,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(106808,10123825,'Decreases Defense of target by 32.4',100,1,2),
(106809,10123825,'Target will lose 34% more power when power is consumed',100,1,3),
(106810,10123825,'34% of target''s power consumed will also be drained from target''s health',100,1,4),
(106811,108413,'Heals target for 833 - 1018',100,1,0),
(106812,10108413,'Heals target for 996 - 1217',100,1,0),
(106813,45993,'Applies Dracurion Personification when Activated.',100,0,0),
(106814,45993,'Shapechanges the user into a Dracurion in armor worn by the Overknights of Skyshrine.',100,1,1),
(106815,10045993,'Applies Dracurion Personification when Activated.',100,0,0),
(106816,10045993,'Shapechanges the user into a Dracurion in armor worn by the Overknights of Skyshrine.',100,1,1),
(106817,121113,'Decreases Threat to targets in Area of Effect by 3,367 ',100,1,0),
(106818,121113,'Mesmerizes targets in Area of Effect',100,1,1),
(106819,121113,'If Target is not Epic',100,2,2),
(106820,121113,'Dispelled when target takes damage',100,1,3),
(106821,10121113,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(106822,10121113,'Applies Distract.',100,1,1),
(106823,10121113,'Forces target to clear their selected target.',100,2,2),
(106824,10121113,'Mesmerizes targets in Area of Effect',100,1,3),
(106825,10121113,'If Target is not Epic',100,2,4),
(106826,10121113,'Dispelled when target takes damage',100,1,5),
(106827,80775,'When Equipped:',100,0,0),
(106828,80775,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106829,80775,'Inflicts 175 - 325 magic damage on target',100,2,2),
(106830,80775,'Cannot be modified except by direct means',100,2,3),
(106831,10080775,'When Equipped:',100,0,0),
(106832,10080775,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106833,10080775,'Inflicts 245 - 455 magic damage on target',100,2,2),
(106834,10080775,'Cannot be modified except by direct means',100,2,3),
(106835,120808,'Inflicts 3 - 4 disease damage on target instantly and every second',100,1,0),
(106836,10120808,'Inflicts 5 - 7 disease damage on target',100,1,0),
(106837,10120808,'Inflicts 4 - 5 disease damage on target every second',100,1,1),
(106838,100527,'Heals group members (AE) for 173 - 211',100,1,0),
(106839,10100527,'Heals group members (AE) for 210 - 256',100,1,0),
(106840,80502,'When Equipped:',100,0,0),
(106841,80502,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(106842,80502,'Decreases Threat to target by 1,219 ',100,2,2),
(106843,80502,'Must be flanking or behind',100,3,3),
(106844,80502,'Increases Threat to target by 1,219 ',100,2,4),
(106845,80502,'Must be in front of',100,3,5),
(106846,80502,'Inflicts 424 - 788 magic damage on target',100,2,6),
(106847,80502,'Cannot be modified except by direct means',100,2,7),
(106848,10080502,'When Equipped:',100,0,0),
(106849,10080502,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(106850,10080502,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(106851,10080502,'Cannot be modified except by direct means',100,2,3),
(106852,175767,'When Equipped:',100,0,0),
(106853,175767,'When damaged with a melee weapon this spell has a 5% chance to cast Scallywag''s Slip on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(106854,175767,'Slows target by 42.8%',100,2,2),
(106855,175767,'Cannot be modified except by direct means',100,2,3),
(106856,175767,'Does not affect Epic targets',100,1,4),
(106857,10175767,'When Equipped:',100,0,0),
(106858,10175767,'When damaged with a melee weapon this spell has a 5% chance to cast Scallywag''s Slip on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(106859,10175767,'Slows target by 42.8%',100,2,2),
(106860,10175767,'Cannot be modified except by direct means',100,2,3),
(106861,10175767,'Does not affect Epic targets',100,1,4),
(106862,120749,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(106863,120749,'Heals target for 42 - 51',100,2,1),
(106864,10120749,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(106865,10120749,'Heals target for 27 - 33',100,2,1),
(106866,174432,'When Equipped:',100,0,0),
(106867,174432,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(106868,10174432,'When Equipped:',100,0,0),
(106869,10174432,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(106870,26613,'When Equipped:',100,0,0),
(106871,26613,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(106872,26613,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,2),
(106873,10026613,'When Equipped:',100,0,0),
(106874,10026613,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(106875,10026613,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,2),
(106876,20000,'Applies Gigglegibber Gather when Activated.',100,0,0),
(106877,20000,'Spawns a Gigglegibber Goblin who will send the user on a Gigglegibber Game.',100,1,1),
(106878,10020000,'Applies Gigglegibber Gather when Activated.',100,0,0),
(106879,10020000,'Spawns a Gigglegibber Goblin who will send the user on a Gigglegibber Game.',100,1,1),
(106880,112718,'Inflicts 371 - 618 disease damage on target encounter',100,1,0),
(106881,10112718,'Inflicts 519 - 865 disease damage on target encounter',100,1,0),
(106882,146111,'When Equipped:',100,0,0),
(106883,146111,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106884,146111,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(106885,146111,'Dispelled when target casts a heal spell',100,2,3),
(106886,146111,'Must not be engaged in pvp combat',100,2,4),
(106887,146111,'Cannot be modified except by direct means',100,2,5),
(106888,146111,'Must not be engaged in pvp combat',100,1,6),
(106889,10146111,'When Equipped:',100,0,0),
(106890,10146111,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106891,10146111,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(106892,10146111,'Dispelled when target casts a heal spell',100,2,3),
(106893,10146111,'Must not be engaged in pvp combat',100,2,4),
(106894,10146111,'Cannot be modified except by direct means',100,2,5),
(106895,10146111,'Must not be engaged in pvp combat',100,1,6),
(106896,116309,'Stuns target',100,1,0),
(106897,116309,'If Target is not Epic',100,2,1),
(106898,116309,'Inflicts 288 - 352 magic damage on target',100,1,2),
(106899,116309,'Resistibility increases against targets higher than level 73.',100,1,3),
(106900,10116309,'Stuns target',100,1,0),
(106901,10116309,'If Target is not Epic',100,2,1),
(106902,10116309,'Inflicts 403 - 493 magic damage on target',100,1,2),
(106903,10116309,'Resistibility increases against targets higher than level 73.',100,1,3),
(106904,122961,'Inflicts 197 - 267 mental damage on target',100,1,0),
(106905,10122961,'Inflicts 276 - 374 mental damage on target',100,1,0),
(106906,46608,'Applies Gubbin''s Replenishment when Activated.',100,0,0),
(106907,46608,'Heals caster for 47',100,1,1),
(106908,10046608,'Applies Gubbin''s Replenishment when Activated.',100,0,0),
(106909,10046608,'Heals caster for 31',100,1,1),
(106910,108900,'Inflicts 753 heat damage on target',100,1,0),
(106911,108900,'Inflicts 753 cold damage on target',100,1,1),
(106912,108900,'Slows target by 65.0%',100,1,2),
(106913,10108900,'Inflicts 1054 heat damage on target',100,1,0),
(106914,10108900,'Inflicts 1054 cold damage on target',100,1,1),
(106915,10108900,'Slows target by 65.0%',100,1,2),
(106916,121328,'Inflicts 1348 - 2247 ranged damage on targets in area',100,1,0),
(106917,121328,'Requires bow',100,1,1),
(106918,10121328,'Inflicts 1031 - 1719 ranged damage on targets in area',100,1,0),
(106919,10121328,'Requires bow',100,1,1),
(106920,122392,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(106921,122392,'Inflicts 7 - 8 piercing damage on target encounter',100,2,1),
(106922,10122392,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(106923,10122392,'Inflicts 9 - 11 piercing damage on target encounter',100,2,1),
(106924,101819,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(106925,101819,'Decreases Threat to target by 2,048 ',100,2,1),
(106926,10101819,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(106927,10101819,'Inflicts 161 - 178 crushing damage on target',100,2,1),
(106928,111209,'Inflicts 396 - 661 divine damage on targets in area',100,1,0),
(106929,111209,'Heals group members (AE) for 1.9% of max health',100,1,1),
(106930,111209,'This effect cannot be critically applied.',100,2,2),
(106931,111209,'The healing of this spell cannot be modified except by direct means',100,1,3),
(106932,10111209,'Inflicts 515 - 859 divine damage on targets in area',100,1,0),
(106933,10111209,'Heals group members (AE) for 1.3% of max health',100,1,1),
(106934,10111209,'This effect cannot be critically applied.',100,2,2),
(106935,10111209,'The healing of this spell cannot be modified except by direct means',100,1,3),
(106936,80865,'When Equipped:',100,0,0),
(106937,80865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106938,80865,'Inflicts 223 - 414 magic damage on target',100,2,2),
(106939,80865,'Cannot be modified except by direct means',100,2,3),
(106940,10080865,'When Equipped:',100,0,0),
(106941,10080865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(106942,10080865,'Inflicts 312 - 580 magic damage on target',100,2,2),
(106943,10080865,'Cannot be modified except by direct means',100,2,3),
(106944,119060,'Decreases power of target by 175 - 292',100,1,0),
(106945,119060,'Increases power of caster by 78 - 130',100,1,1),
(106946,119060,'Inflicts 187 - 312 mental damage on target',100,1,2),
(106947,10119060,'Decreases power of target by 175 - 292',100,1,0),
(106948,10119060,'Increases power of caster by 78 - 130',100,1,1),
(106949,10119060,'Inflicts 243 - 406 mental damage on target',100,1,2),
(106950,109644,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(106951,109644,'Inflicts 32 - 60 poison damage on target encounter',100,2,1),
(106952,10109644,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(106953,10109644,'Inflicts 45 - 84 poison damage on target encounter',100,2,1),
(106954,112829,'Roots target',100,1,0),
(106955,112829,'5% chance to dispel when target takes damage',100,1,1),
(106956,112829,'Does not affect Epic targets',100,1,2),
(106957,112829,'Resistibility increases against targets higher than level 50.',100,1,3),
(106958,10112829,'Roots target',100,1,0),
(106959,10112829,'5% chance to dispel when target takes damage',100,1,1),
(106960,10112829,'Does not affect Epic targets',100,1,2),
(106961,10112829,'Resistibility increases against targets higher than level 50.',100,1,3),
(106962,107524,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(106963,107524,'Decreases Mitigation of target encounter vs elemental and noxious damage by 247',100,1,1),
(106964,10107524,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(106965,10107524,'Decreases Mitigation of target encounter vs elemental and noxious damage by 247',100,1,1),
(106966,70603,'When Equipped:',100,0,0),
(106967,70603,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106968,70603,'Slows target by 20.0%',100,2,2),
(106969,70603,'Cannot be modified except by direct means',100,2,3),
(106970,10070603,'When Equipped:',100,0,0),
(106971,10070603,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(106972,10070603,'Slows target by 20.0%',100,2,2),
(106973,10070603,'Cannot be modified except by direct means',100,2,3),
(106974,150146,'When Equipped:',100,0,0),
(106975,150146,'Adds 5% Spell and Combat Art reuse speed bonus to Aria of Magic VI and Riana''s Relentless Tune VII.',100,1,1),
(106976,150146,'When Equipped:',100,0,2),
(106977,150146,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(106978,150146,'Inflicts 2648 poison damage on target',100,2,4),
(106979,150146,'Cannot be modified except by direct means',100,2,5),
(106980,150146,'When Equipped:',100,0,6),
(106981,150146,'Increases poison trigger chance by 5.0%',100,1,7),
(106982,10150146,'When Equipped:',100,0,0),
(106983,10150146,'Adds 5% Spell and Combat Art reuse speed bonus to Aria of Magic VI and Riana''s Relentless Tune VII.',100,1,1),
(106984,10150146,'When Equipped:',100,0,2),
(106985,10150146,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(106986,10150146,'Inflicts 1854 poison damage on target',100,2,4),
(106987,10150146,'Cannot be modified except by direct means',100,2,5),
(106988,10150146,'When Equipped:',100,0,6),
(106989,10150146,'Increases poison trigger chance by 5.0%',100,1,7),
(106990,80156,'When Equipped:',100,0,0),
(106991,80156,'This effect cannot empower creatures above level 90.',100,1,1),
(106992,80156,'Removal of this effect will greatly injure your pet.',100,1,2),
(106993,80156,'Applies Granite Avatar to qualifying pets.',100,1,3),
(106994,80156,'Increases Mitigation of caster vs elemental damage by 2046',100,2,4),
(106995,80156,'Wards caster against 4000 points of all damage',100,2,5),
(106996,80156,'Increases Mitigation of caster vs noxious and arcane damage by 2046',100,2,6),
(106997,80156,'Cannot be modified except by direct means',100,2,7),
(106998,10080156,'When Equipped:',100,0,0),
(106999,10080156,'This effect cannot empower creatures above level 90.',100,1,1),
(107000,10080156,'Removal of this effect will greatly injure your pet.',100,1,2),
(107001,10080156,'Applies Granite Avatar to qualifying pets.',100,1,3),
(107002,10080156,'Increases Mitigation of caster vs elemental damage by 2046',100,2,4),
(107003,10080156,'Wards caster against 4000 points of all damage',100,2,5),
(107004,10080156,'Increases Mitigation of caster vs noxious and arcane damage by 2046',100,2,6),
(107005,10080156,'Cannot be modified except by direct means',100,2,7),
(107006,37439,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(107007,103105,'Increases STR of caster by 16.6',100,1,0),
(107008,103105,'Adds 4.5% to base avoidance.',100,1,1),
(107009,103105,'Increases Mitigation of caster vs physical damage by 111',100,1,2),
(107010,103105,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 300',100,1,3),
(107011,10103105,'Increases STR of caster by 16.6',100,1,0),
(107012,10103105,'Adds 4.5% to base avoidance.',100,1,1),
(107013,10103105,'Increases Mitigation of caster vs physical damage by 111',100,1,2),
(107014,10103105,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 300',100,1,3),
(107015,74730,'When Equipped:',100,0,0),
(107016,74730,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107017,74730,'Inflicts 155 - 233 magic damage on target',100,2,2),
(107018,74730,'Cannot be modified except by direct means',100,2,3),
(107019,10074730,'When Equipped:',100,0,0),
(107020,10074730,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107021,10074730,'Inflicts 218 - 327 magic damage on target',100,2,2),
(107022,10074730,'Cannot be modified except by direct means',100,2,3),
(107023,80038,'Applies Fire Ball when Activated.',100,0,0),
(107024,80038,'Inflicts 566 - 943 heat damage on target',100,1,1),
(107025,80038,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(107026,10080038,'Applies Fire Ball when Activated.',100,0,0),
(107027,10080038,'Inflicts 792 - 1320 heat damage on target',100,1,1),
(107028,10080038,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(107029,36174,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(107030,36174,'Increases Ability Modifier of target by 50.0',100,0,1),
(107031,105692,'Decreases Attack Speed of target encounter by 20.8',100,1,0),
(107032,105692,'Slows target encounter by 28.8%',100,1,1),
(107033,10105692,'Decreases Attack Speed of target encounter by 20.8',100,1,0),
(107034,10105692,'Slows target encounter by 28.8%',100,1,1),
(107035,46126,'Applies Elixir of Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(107036,46126,'Increases Max Power of caster by 67.5',100,1,1),
(107037,10046126,'Applies Elixir of Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(107038,10046126,'Increases Max Power of caster by 67.5',100,1,1),
(107039,48552,'Applies Tinkered Turkey Launcher when Activated.  Lasts for 45.0 seconds.',100,0,0),
(107040,48552,'Summons 5 limited pets to aid the caster',100,1,1),
(107041,10048552,'Applies Tinkered Turkey Launcher when Activated.  Lasts for 45.0 seconds.',100,0,0),
(107042,10048552,'Summons 5 limited pets to aid the caster',100,1,1),
(107043,48021,'Applies Reverse Energy Vortex when Activated.  Lasts for 8.0 seconds.',100,0,0),
(107044,48021,'Redirects the void energy flow expected upon the targets death, IF this spell is active upon the targets death.',100,1,1),
(107045,48021,'Inflicts 276 magic damage on target instantly and every 8 seconds',100,1,2),
(107046,48021,'If target is Greater Void Construct',100,1,3),
(107047,48021,'Cannot be modified except by direct means',100,1,4),
(107048,10048021,'Applies Reverse Energy Vortex when Activated.  Lasts for 8.0 seconds.',100,0,0),
(107049,10048021,'Redirects the void energy flow expected upon the targets death, IF this spell is active upon the targets death.',100,1,1),
(107050,10048021,'Inflicts 387 magic damage on target instantly and every 8 seconds',100,1,2),
(107051,10048021,'If target is Greater Void Construct',100,1,3),
(107052,10048021,'Cannot be modified except by direct means',100,1,4),
(107053,48157,'Applies Magic Protection when Activated.  Lasts for 10 minutes.',100,0,0),
(107054,48157,'Increases Mitigation of caster vs arcane damage by 700',100,1,1),
(107055,48157,'Dispels 63 levels of arcane hostile effects on caster',100,1,2),
(107056,10048157,'Applies Magic Protection when Activated.  Lasts for 10 minutes.',100,0,0),
(107057,10048157,'Increases Mitigation of caster vs arcane damage by 700',100,1,1),
(107058,10048157,'Dispels 63 levels of arcane hostile effects on caster',100,1,2),
(107059,80736,'When Equipped:',100,0,0),
(107060,80736,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107061,80736,'Decreases Threat to target by 236 ',100,2,2),
(107062,80736,'Must be flanking or behind',100,3,3),
(107063,80736,'Increases Threat to target by 236 ',100,2,4),
(107064,80736,'Must be in front of',100,3,5),
(107065,80736,'Inflicts 71 - 132 magic damage on target',100,2,6),
(107066,80736,'Cannot be modified except by direct means',100,2,7),
(107067,10080736,'When Equipped:',100,0,0),
(107068,10080736,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107069,10080736,'Inflicts 100 - 185 magic damage on target',100,2,2),
(107070,10080736,'Cannot be modified except by direct means',100,2,3),
(107071,119526,'Increases threat priority of target by 2 positions',100,1,0),
(107072,119526,'Stuns caster',100,1,1),
(107073,119526,'Decreases Defense and Parry of caster by 279.0',100,1,2),
(107074,119526,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(107075,119526,'Inflicts 1290 - 2150 piercing damage on target',100,2,4),
(107076,119526,'Grants a total of 1 trigger of the spell.',100,2,5),
(107077,10119526,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(107078,10119526,'Prevents target from changing targets',100,2,1),
(107079,10119526,'Forces target to change their selected target to caster.',100,2,2),
(107080,10119526,'Stuns caster',100,1,3),
(107081,10119526,'Decreases Defense and Parry of caster by 279.0',100,1,4),
(107082,10119526,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(107083,10119526,'Inflicts 1289 - 2148 piercing damage on target',100,2,6),
(107084,10119526,'Grants a total of 1 trigger of the spell.',100,2,7),
(107085,112181,'Increases STR of caster by 64.1',100,1,0),
(107086,112181,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1591',100,1,1),
(107087,112181,'Increases Mitigation of caster vs physical damage by 408',100,1,2),
(107088,10112181,'Increases STR of caster by 64.1',100,1,0),
(107089,10112181,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1591',100,1,1),
(107090,10112181,'Increases Mitigation of caster vs physical damage by 408',100,1,2),
(107091,27446,'When Equipped:',100,0,0),
(107092,27446,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(107093,27446,'Adds a threat component to Assault VII.',100,1,2),
(107094,10027446,'When Equipped:',100,0,0),
(107095,10027446,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(107096,10027446,'Adds a threat component to Assault VII.',100,1,2),
(107097,103774,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 3.4',100,1,0),
(107098,10103774,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 3.4',100,1,0),
(107099,110494,'Stifles caster',100,1,0),
(107100,110494,'Increases power of caster by 29 instantly and every second',100,1,1),
(107101,10110494,'Stifles caster',100,1,0),
(107102,10110494,'Increases power of caster by 29 instantly and every second',100,1,1),
(107103,105567,'Inflicts 194 - 360 disease damage on target',100,1,0),
(107104,105567,'Inflicts 116 - 216 disease damage on target every 2 seconds',100,1,1),
(107105,10105567,'Inflicts 271 - 503 disease damage on target',100,1,0),
(107106,10105567,'Inflicts 163 - 302 disease damage on target every 2 seconds',100,1,1),
(107107,36756,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(107108,109032,'Increases Attack Speed of caster by 18.0',100,1,0),
(107109,109032,'Decreases Defense of caster by 4.8',100,1,1),
(107110,109032,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',100,1,2),
(107111,10109032,'Increases Attack Speed of caster by 18.0',100,1,0),
(107112,10109032,'Decreases Defense of caster by 4.8',100,1,1),
(107113,10109032,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',100,1,2),
(107114,75581,'Applies Disease Blast when Activated.',100,0,0),
(107115,75581,'Inflicts 227 - 379 disease damage on target',100,1,1),
(107116,75581,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(107117,10075581,'Applies Disease Blast when Activated.',100,0,0),
(107118,10075581,'Inflicts 318 - 531 disease damage on target',100,1,1),
(107119,10075581,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(107120,35664,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(107121,116607,'Inflicts 348 - 581 divine damage on target',100,1,0),
(107122,10116607,'Inflicts 453 - 755 divine damage on target',100,1,0),
(107123,100573,'Inflicts 17 - 29 melee damage on target',100,1,0),
(107124,100573,'You must be sneaking to use this ability.',100,1,1),
(107125,10100573,'Inflicts 23 - 38 melee damage on target',100,1,0),
(107126,10100573,'You must be sneaking to use this ability.',100,1,1),
(107127,103478,'Increases In-Combat Power Regeneration of group members (AE) by 20.0',100,1,0),
(107128,10103478,'Increases In-Combat Power Regeneration of group members (AE) by 20.0',100,1,0),
(107129,155245,'When Equipped:',100,0,0),
(107130,155245,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(107131,10155245,'When Equipped:',100,0,0),
(107132,10155245,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(107133,105282,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(107134,105282,'Inflicts 42 - 70 mental damage on target',100,2,1),
(107135,105282,'Increases AGI of caster by 44.4',100,1,2),
(107136,105282,'Adds 25.0% to base avoidance.',100,1,3),
(107137,105282,'Increases Mitigation of caster vs physical damage by 146',100,1,4),
(107138,105282,'Increases Mitigation of caster vs elemental and arcane damage by 324',100,1,5),
(107139,105282,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(107140,105282,'Inflicts 42 - 70 mental damage on target',100,2,7),
(107141,105282,'Increases Mitigation of caster vs noxious damage by 324',100,1,8),
(107142,10105282,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(107143,10105282,'Inflicts 59 - 98 mental damage on target',100,2,1),
(107144,10105282,'Increases AGI of caster by 44.4',100,1,2),
(107145,10105282,'Adds 25.0% to base avoidance.',100,1,3),
(107146,10105282,'Increases Mitigation of caster vs physical damage by 146',100,1,4),
(107147,10105282,'Increases Mitigation of caster vs elemental and arcane damage by 324',100,1,5),
(107148,10105282,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(107149,10105282,'Inflicts 59 - 98 mental damage on target',100,2,7),
(107150,10105282,'Increases Mitigation of caster vs noxious damage by 324',100,1,8),
(107151,101163,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(107152,101163,'Inflicts 744 ranged damage on target',100,2,1),
(107153,101163,'Decreases Defense of caster by 29.8',100,1,2),
(107154,101163,'Increases Crushing, Piercing, Ranged and Slashing of caster by 65.1',100,1,3),
(107155,10101163,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(107156,10101163,'Inflicts 632 ranged damage on target',100,2,1),
(107157,10101163,'Decreases Defense of caster by 29.8',100,1,2),
(107158,10101163,'Increases Crushing, Piercing, Ranged and Slashing of caster by 65.1',100,1,3),
(107159,45629,'Applies Elixir of Purity  when Activated.  Lasts for 30 minutes.',100,0,0),
(107160,45629,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(107161,10045629,'Applies Elixir of Purity  when Activated.  Lasts for 30 minutes.',100,0,0),
(107162,10045629,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(107163,163388,'Applies Lycanthropy when Activated.  Lasts for 15.0 seconds.',100,0,0),
(107164,163388,'Enlarges caster by 50.0%',100,1,1),
(107165,163388,'Shapechanges caster into a werewolf',100,1,2),
(107166,163388,'When a combat art is used this spell will cast Lycanthropic Rage on target of combat art.  ',100,1,3),
(107167,163388,'Inflicts 1124 disease damage on target',100,2,4),
(107168,163388,'Heals caster for 562',100,2,5),
(107169,163388,'Increases Threat to target by 500 ',100,2,6),
(107170,163388,'Cannot be modified except by direct means',100,2,7),
(107171,163388,'The casting time of Lycanthropy is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,8),
(107172,10163388,'Applies Lycanthropy when Activated.  Lasts for 15.0 seconds.',100,0,0),
(107173,10163388,'Enlarges caster by 50.0%',100,1,1),
(107174,10163388,'Shapechanges caster into a werewolf',100,1,2),
(107175,10163388,'When a combat art is used this spell will cast Lycanthropic Rage on target of combat art.  ',100,1,3),
(107176,10163388,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,2,4),
(107177,10163388,'Prevents target from changing targets',100,3,5),
(107178,10163388,'Forces target to change their selected target to caster.',100,3,6),
(107179,10163388,'Inflicts 1023 disease damage on target',100,2,7),
(107180,10163388,'Heals caster for 237',100,2,8),
(107181,10163388,'Cannot be modified except by direct means',100,2,9),
(107182,10163388,'The casting time of Lycanthropy is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,10),
(107183,74975,'When Equipped:',100,0,0),
(107184,74975,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107185,74975,'Inflicts 81 - 122 magic damage on target',100,2,2),
(107186,74975,'Cannot be modified except by direct means',100,2,3),
(107187,10074975,'When Equipped:',100,0,0),
(107188,10074975,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107189,10074975,'Inflicts 113 - 170 magic damage on target',100,2,2),
(107190,10074975,'Cannot be modified except by direct means',100,2,3),
(107191,101388,'Inflicts 122 - 204 melee damage on target',100,1,0),
(107192,101388,'Returns the last arrow used to the ranger.',100,1,1),
(107193,10101388,'Inflicts 159 - 266 melee damage on target',100,1,0),
(107194,10101388,'Returns the last arrow used to the ranger.',100,1,1),
(107195,47182,'Applies Murky Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(107196,47182,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(107197,47182,'Only affects targets level 50 and above',100,1,2),
(107198,10047182,'Applies Murky Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(107199,10047182,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(107200,10047182,'Only affects targets level 50 and above',100,1,2),
(107201,135883,'When Equipped:',100,0,0),
(107202,135883,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107203,135883,'Heals target for 14 - 16 instantly and every 2 seconds',100,2,2),
(107204,135883,'Must not be engaged in pvp combat',100,2,3),
(107205,135883,'Cannot be modified except by direct means',100,2,4),
(107206,135883,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(107207,135883,'Cannot be modified except by direct means',100,1,6),
(107208,10135883,'When Equipped:',100,0,0),
(107209,10135883,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107210,10135883,'Heals target for 9 - 10 instantly and every 2 seconds',100,2,2),
(107211,10135883,'Must not be engaged in pvp combat',100,2,3),
(107212,10135883,'Cannot be modified except by direct means',100,2,4),
(107213,10135883,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(107214,10135883,'Cannot be modified except by direct means',100,1,6),
(107215,134702,'When Equipped:',100,0,0),
(107216,134702,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(107217,10134702,'When Equipped:',100,0,0),
(107218,10134702,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(107219,109980,'Inflicts 800 - 1200 disease damage on targets in Area of Effect',100,1,0),
(107220,109980,'Inflicts 400 - 600 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(107221,109980,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(107222,109980,'Increases Threat to targets in Area of Effect by 2,522 - 3,082  instantly and every 4 seconds thereafter',100,1,3),
(107223,10109980,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(107224,10109980,'Prevents target from changing targets',100,2,1),
(107225,10109980,'Forces target to change their selected target to caster.',100,2,2),
(107226,10109980,'Inflicts 1120 - 1680 disease damage on targets in Area of Effect',100,1,3),
(107227,10109980,'Inflicts 560 - 840 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(107228,41505,'When Equipped:',100,0,0),
(107229,41505,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107230,41505,'Decreases Threat to target by 153 ',100,2,2),
(107231,41505,'Must be flanking or behind',100,3,3),
(107232,41505,'Increases Threat to target by 153 ',100,2,4),
(107233,41505,'Must be in front of',100,3,5),
(107234,41505,'Inflicts 61 - 113 magic damage on target',100,2,6),
(107235,41505,'Cannot be modified except by direct means',100,2,7),
(107236,10041505,'When Equipped:',100,0,0),
(107237,10041505,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107238,10041505,'Inflicts 85 - 158 magic damage on target',100,2,2),
(107239,10041505,'Cannot be modified except by direct means',100,2,3),
(107240,26671,'When Equipped:',100,0,0),
(107241,26671,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(107242,26671,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(107243,10026671,'When Equipped:',100,0,0),
(107244,10026671,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(107245,10026671,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(107246,134434,'When Equipped:',100,0,0),
(107247,134434,'On a healing spell cast this spell may cast Righteous Anger on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107248,134434,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,2),
(107249,134434,'Cannot be modified except by direct means',100,2,3),
(107250,134434,'Cannot be modified except by direct means',100,1,4),
(107251,10134434,'When Equipped:',100,0,0),
(107252,10134434,'On a healing spell cast this spell may cast Righteous Anger on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107253,10134434,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,2),
(107254,10134434,'Cannot be modified except by direct means',100,2,3),
(107255,10134434,'Cannot be modified except by direct means',100,1,4),
(107256,81109,'When Equipped:',100,0,0),
(107257,81109,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107258,81109,'Inflicts 194 - 361 magic damage on target',100,2,2),
(107259,81109,'Cannot be modified except by direct means',100,2,3),
(107260,10081109,'When Equipped:',100,0,0),
(107261,10081109,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107262,10081109,'Inflicts 272 - 505 magic damage on target',100,2,2),
(107263,10081109,'Cannot be modified except by direct means',100,2,3),
(107264,54395,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(107265,54395,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(107266,54395,'Inflicts 26 heat damage on target',100,2,2),
(107267,54395,'Cannot be modified except by direct means',100,2,3),
(107268,10054395,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(107269,10054395,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(107270,10054395,'Inflicts 36 heat damage on target',100,2,2),
(107271,10054395,'Cannot be modified except by direct means',100,2,3),
(107272,48505,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(107273,48505,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(107274,48505,'Inflicts 107 poison damage on target instantly and every 6 seconds',100,2,2),
(107275,48505,'Inflicts 208 poison damage on target',100,2,3),
(107276,48505,'Cannot be modified except by direct means',100,2,4),
(107277,48505,'Grants a total of 200 triggers of the spell.',100,2,5),
(107278,10048505,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(107279,10048505,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(107280,10048505,'Inflicts 113 poison damage on target instantly and every 6 seconds',100,2,2),
(107281,10048505,'Inflicts 218 poison damage on target',100,2,3),
(107282,10048505,'Cannot be modified except by direct means',100,2,4),
(107283,10048505,'Grants a total of 200 triggers of the spell.',100,2,5),
(107284,45248,'Applies Aura of Light when Activated.  Lasts for 15 minutes.',100,0,0),
(107285,45248,'Increases Max Health of caster by 68.8',100,1,1),
(107286,10045248,'Applies Aura of Light when Activated.  Lasts for 15 minutes.',100,0,0),
(107287,10045248,'Increases Max Health of caster by 68.8',100,1,1),
(107288,124015,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(107289,124015,'Heals target for 194 - 237',100,2,1),
(107290,124015,'Grants a total of 5 triggers of the spell.',100,2,2),
(107291,10124015,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(107292,10124015,'Heals target for 126 - 154',100,2,1),
(107293,10124015,'Grants a total of 5 triggers of the spell.',100,2,2),
(107294,87732,'When Equipped:',100,0,0),
(107295,87732,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(107296,87732,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(107297,87732,'Increases STR and AGI of caster by 44.0',100,2,3),
(107298,87732,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(107299,87732,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(107300,87732,'Must not be engaged in pvp combat',100,2,6),
(107301,87732,'Cannot be modified except by direct means',100,2,7),
(107302,87732,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(107303,87732,'Increases STR and AGI of caster by 44.0',100,2,9),
(107304,87732,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(107305,87732,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(107306,87732,'Must not be engaged in pvp combat',100,2,12),
(107307,87732,'Cannot be modified except by direct means',100,2,13),
(107308,87732,'Cannot be modified except by direct means',100,1,14),
(107309,10087732,'When Equipped:',100,0,0),
(107310,10087732,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(107311,10087732,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(107312,10087732,'Increases STR and AGI of caster by 44.0',100,2,3),
(107313,10087732,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(107314,10087732,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(107315,10087732,'Must not be engaged in pvp combat',100,2,6),
(107316,10087732,'Cannot be modified except by direct means',100,2,7),
(107317,10087732,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(107318,10087732,'Increases STR and AGI of caster by 44.0',100,2,9),
(107319,10087732,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(107320,10087732,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(107321,10087732,'Must not be engaged in pvp combat',100,2,12),
(107322,10087732,'Cannot be modified except by direct means',100,2,13),
(107323,10087732,'Cannot be modified except by direct means',100,1,14),
(107324,123344,'Summons a pet hammer',100,1,0),
(107325,10123344,'Summons a pet hammer',100,1,0),
(107326,154208,'When Equipped:',100,0,0),
(107327,154208,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(107328,154208,'Inflicts 1986 cold damage on target encounter',100,2,2),
(107329,154208,'Must not be engaged in pvp combat',100,2,3),
(107330,154208,'Cannot be modified except by direct means',100,2,4),
(107331,154208,'Must not be engaged in pvp combat',100,1,5),
(107332,10154208,'When Equipped:',100,0,0),
(107333,10154208,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(107334,10154208,'Inflicts 1390 cold damage on target encounter',100,2,2),
(107335,10154208,'Must not be engaged in pvp combat',100,2,3),
(107336,10154208,'Cannot be modified except by direct means',100,2,4),
(107337,10154208,'Must not be engaged in pvp combat',100,1,5),
(107338,122439,'Inflicts 272 - 453 magic damage on target',100,1,0),
(107339,10122439,'Inflicts 380 - 634 magic damage on target',100,1,0),
(107340,163250,'When Equipped:',100,0,0),
(107341,163250,'On a critical spell hit this spell may cast Overwhelming Power IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107342,163250,'Decreases Potency of target by 2.0%',100,2,2),
(107343,163250,'Increases Potency of caster by 4.0%',100,2,3),
(107344,163250,'Must not be engaged in pvp combat',100,2,4),
(107345,163250,'Cannot be modified except by direct means',100,2,5),
(107346,163250,'On a critical combat hit this spell may cast Overwhelming Power IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(107347,163250,'Decreases Potency of target by 2.0%',100,2,7),
(107348,163250,'Increases Potency of caster by 4.0%',100,2,8),
(107349,163250,'Must not be engaged in pvp combat',100,2,9),
(107350,163250,'Cannot be modified except by direct means',100,2,10),
(107351,163250,'Must not be engaged in pvp combat',100,1,11),
(107352,10163250,'When Equipped:',100,0,0),
(107353,10163250,'On a critical spell hit this spell may cast Overwhelming Power IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107354,10163250,'Decreases Potency of target by 2.0%',100,2,2),
(107355,10163250,'Increases Potency of caster by 4.0%',100,2,3),
(107356,10163250,'Must not be engaged in pvp combat',100,2,4),
(107357,10163250,'Cannot be modified except by direct means',100,2,5),
(107358,10163250,'On a critical combat hit this spell may cast Overwhelming Power IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(107359,10163250,'Decreases Potency of target by 2.0%',100,2,7),
(107360,10163250,'Increases Potency of caster by 4.0%',100,2,8),
(107361,10163250,'Must not be engaged in pvp combat',100,2,9),
(107362,10163250,'Cannot be modified except by direct means',100,2,10),
(107363,10163250,'Must not be engaged in pvp combat',100,1,11),
(107364,122777,'Heals group members (AE) for 1188 - 1452',100,1,0),
(107365,122777,'Increases Max Health of group members (AE) by 193.7',100,1,1),
(107366,10122777,'Heals group members (AE) for 1390 - 1699',100,1,0),
(107367,10122777,'Increases Max Health of group members (AE) by 193.7',100,1,1),
(107368,82829,'When Equipped:',100,0,0),
(107369,82829,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107370,82829,'Decreases Threat to target by 833 ',100,2,2),
(107371,82829,'Must be flanking or behind',100,3,3),
(107372,82829,'Increases Threat to target by 833 ',100,2,4),
(107373,82829,'Must be in front of',100,3,5),
(107374,82829,'Inflicts 301 - 560 magic damage on target',100,2,6),
(107375,82829,'Cannot be modified except by direct means',100,2,7),
(107376,10082829,'When Equipped:',100,0,0),
(107377,10082829,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107378,10082829,'Inflicts 422 - 783 magic damage on target',100,2,2),
(107379,10082829,'Cannot be modified except by direct means',100,2,3),
(107380,115168,'Heals target for 951 - 1162',100,1,0),
(107381,10115168,'Heals target for 1288 - 1574',100,1,0),
(107382,26155,'When Equipped:',100,0,0),
(107383,26155,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(107384,26155,'Inflicts 370 magic damage on target',100,2,2),
(107385,26155,'Cannot be modified except by direct means',100,2,3),
(107386,26155,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(107387,26155,'Inflicts 370 magic damage on target',100,2,5),
(107388,26155,'Cannot be modified except by direct means',100,2,6),
(107389,10026155,'When Equipped:',100,0,0),
(107390,10026155,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(107391,10026155,'Inflicts 440 magic damage on target',100,2,2),
(107392,10026155,'Cannot be modified except by direct means',100,2,3),
(107393,10026155,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(107394,10026155,'Inflicts 440 magic damage on target',100,2,5),
(107395,10026155,'Cannot be modified except by direct means',100,2,6),
(107396,35137,'Increases Max Power of target by 4.1',100,0,0),
(107397,35137,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(107398,80460,'When Equipped:',100,0,0),
(107399,80460,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107400,80460,'Decreases Threat to target by 236 ',100,2,2),
(107401,80460,'Must be flanking or behind',100,3,3),
(107402,80460,'Increases Threat to target by 236 ',100,2,4),
(107403,80460,'Must be in front of',100,3,5),
(107404,80460,'Inflicts 71 - 132 magic damage on target',100,2,6),
(107405,80460,'Cannot be modified except by direct means',100,2,7),
(107406,10080460,'When Equipped:',100,0,0),
(107407,10080460,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107408,10080460,'Inflicts 100 - 185 magic damage on target',100,2,2),
(107409,10080460,'Cannot be modified except by direct means',100,2,3),
(107410,110559,'Decreases Attack Speed of target by 16.3',100,1,0),
(107411,110559,'Decreases Crushing, Slashing and Piercing of target by 1.1',100,1,1),
(107412,10110559,'Decreases Attack Speed of target by 16.3',100,1,0),
(107413,10110559,'Decreases Crushing, Slashing and Piercing of target by 1.1',100,1,1),
(107414,113032,'Summons a companion pet baby dragon',100,1,0),
(107415,10113032,'Summons a companion pet baby dragon',100,1,0),
(107416,104902,'Inflicts 511 - 851 magic damage on targets in area',100,1,0),
(107417,10104902,'Inflicts 664 - 1107 magic damage on targets in area',100,1,0),
(107418,115210,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(107419,115210,'Decreases Mitigation of target vs noxious damage by 420',100,2,1),
(107420,115210,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(107421,115210,'Decreases Mitigation of target vs noxious damage by 420',100,2,3),
(107422,10115210,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(107423,10115210,'Decreases Mitigation of target vs noxious damage by 420',100,2,1),
(107424,10115210,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(107425,10115210,'Decreases Mitigation of target vs noxious damage by 420',100,2,3),
(107426,105043,'Increases WIS of raid and group members (AE) by 54.2',100,1,0),
(107427,105043,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(107428,105043,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 198',100,1,2),
(107429,10105043,'Increases WIS of raid and group members (AE) by 54.2',100,1,0),
(107430,10105043,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(107431,10105043,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 198',100,1,2),
(107432,115484,'Summons a pet nightshade',100,1,0),
(107433,10115484,'Summons a pet nightshade',100,1,0),
(107434,139372,'When Equipped:',100,0,0),
(107435,139372,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(107436,139372,'Inflicts 2398 magic damage on target',100,2,2),
(107437,139372,'Decreases Damage Per Second of target by 20.0',100,2,3),
(107438,139372,'Cannot be modified except by direct means',100,2,4),
(107439,139372,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(107440,139372,'Inflicts 2398 magic damage on target',100,2,6),
(107441,139372,'Decreases Damage Per Second of target by 20.0',100,2,7),
(107442,139372,'Cannot be modified except by direct means',100,2,8),
(107443,10139372,'When Equipped:',100,0,0),
(107444,10139372,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(107445,10139372,'Inflicts 3357 magic damage on target',100,2,2),
(107446,10139372,'Decreases Damage Per Second of target by 20.0',100,2,3),
(107447,10139372,'Cannot be modified except by direct means',100,2,4),
(107448,10139372,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(107449,10139372,'Inflicts 3357 magic damage on target',100,2,6),
(107450,10139372,'Decreases Damage Per Second of target by 20.0',100,2,7),
(107451,10139372,'Cannot be modified except by direct means',100,2,8),
(107452,81502,'When Equipped:',100,0,0),
(107453,81502,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107454,81502,'Decreases Threat to target by 376 ',100,2,2),
(107455,81502,'Must be flanking or behind',100,3,3),
(107456,81502,'Increases Threat to target by 376 ',100,2,4),
(107457,81502,'Must be in front of',100,3,5),
(107458,81502,'Inflicts 144 - 268 magic damage on target',100,2,6),
(107459,81502,'Cannot be modified except by direct means',100,2,7),
(107460,10081502,'When Equipped:',100,0,0),
(107461,10081502,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107462,10081502,'Inflicts 202 - 375 magic damage on target',100,2,2),
(107463,10081502,'Cannot be modified except by direct means',100,2,3),
(107464,139643,'When Equipped:',100,0,0),
(107465,139643,'This effect will not stack with itself.',100,1,1),
(107466,139643,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(107467,139643,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(107468,139643,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(107469,139643,'Increases Ability Recovery Speed of caster by 15.0%',100,2,5),
(107470,139643,'Must not be engaged in pvp combat',100,2,6),
(107471,139643,'Cannot be modified except by direct means',100,2,7),
(107472,139643,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(107473,139643,'Increases Ability Casting Speed of caster by 15.0%',100,2,9),
(107474,139643,'Increases in-combat movement speed of caster by 15.0%',100,2,10),
(107475,139643,'Increases Ability Recovery Speed of caster by 15.0%',100,2,11),
(107476,139643,'Must not be engaged in pvp combat',100,2,12),
(107477,139643,'Cannot be modified except by direct means',100,2,13),
(107478,139643,'Must not be engaged in pvp combat',100,1,14),
(107479,10139643,'When Equipped:',100,0,0),
(107480,10139643,'This effect will not stack with itself.',100,1,1),
(107481,10139643,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(107482,10139643,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(107483,10139643,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(107484,10139643,'Increases Ability Recovery Speed of caster by 15.0%',100,2,5),
(107485,10139643,'Must not be engaged in pvp combat',100,2,6),
(107486,10139643,'Cannot be modified except by direct means',100,2,7),
(107487,10139643,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(107488,10139643,'Increases Ability Casting Speed of caster by 15.0%',100,2,9),
(107489,10139643,'Increases in-combat movement speed of caster by 15.0%',100,2,10),
(107490,10139643,'Increases Ability Recovery Speed of caster by 15.0%',100,2,11),
(107491,10139643,'Must not be engaged in pvp combat',100,2,12),
(107492,10139643,'Cannot be modified except by direct means',100,2,13),
(107493,10139643,'Must not be engaged in pvp combat',100,1,14),
(107494,177481,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(107495,177481,'Decreases Attack Speed of target by 12.4',100,1,1),
(107496,177481,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(107497,10177481,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(107498,10177481,'Decreases Attack Speed of target by 12.4',100,1,1),
(107499,10177481,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(107500,170028,'When Equipped:',100,0,0),
(107501,170028,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(107502,170028,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(107503,170028,'Must not be engaged in pvp combat',100,2,3),
(107504,170028,'Cannot be modified except by direct means',100,2,4),
(107505,170028,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(107506,170028,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(107507,170028,'Must not be engaged in pvp combat',100,2,7),
(107508,170028,'Cannot be modified except by direct means',100,2,8),
(107509,170028,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(107510,170028,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(107511,170028,'Must not be engaged in pvp combat',100,2,11),
(107512,170028,'Cannot be modified except by direct means',100,2,12),
(107513,170028,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(107514,170028,'Inflicts 33 piercing damage on target',100,2,14),
(107515,170028,'Must not be engaged in pvp combat',100,2,15),
(107516,170028,'Cannot be modified except by direct means',100,2,16),
(107517,10170028,'When Equipped:',100,0,0),
(107518,10170028,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(107519,10170028,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(107520,10170028,'Must not be engaged in pvp combat',100,2,3),
(107521,10170028,'Cannot be modified except by direct means',100,2,4),
(107522,10170028,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(107523,10170028,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(107524,10170028,'Must not be engaged in pvp combat',100,2,7),
(107525,10170028,'Cannot be modified except by direct means',100,2,8),
(107526,10170028,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(107527,10170028,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(107528,10170028,'Must not be engaged in pvp combat',100,2,11),
(107529,10170028,'Cannot be modified except by direct means',100,2,12),
(107530,10170028,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(107531,10170028,'Inflicts 47 piercing damage on target',100,2,14),
(107532,10170028,'Must not be engaged in pvp combat',100,2,15),
(107533,10170028,'Cannot be modified except by direct means',100,2,16),
(107534,163389,'When Equipped:',100,0,0),
(107535,163389,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107536,163389,'Increases Ability Modifier of caster by 660.0',100,2,2),
(107537,163389,'Must not be engaged in pvp combat',100,2,3),
(107538,163389,'Cannot be modified except by direct means',100,2,4),
(107539,163389,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(107540,163389,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(107541,163389,'Increases Ability Modifier of caster by 660.0',100,2,7),
(107542,163389,'Must not be engaged in pvp combat',100,2,8);
INSERT INTO `item_effects` VALUES
(107543,163389,'Cannot be modified except by direct means',100,2,9),
(107544,163389,'Cannot be modified except by direct means',100,1,10),
(107545,10163389,'When Equipped:',100,0,0),
(107546,10163389,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(107547,10163389,'Increases Ability Modifier of caster by 660.0',100,2,2),
(107548,10163389,'Must not be engaged in pvp combat',100,2,3),
(107549,10163389,'Cannot be modified except by direct means',100,2,4),
(107550,10163389,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(107551,10163389,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(107552,10163389,'Increases Ability Modifier of caster by 660.0',100,2,7),
(107553,10163389,'Must not be engaged in pvp combat',100,2,8),
(107554,10163389,'Cannot be modified except by direct means',100,2,9),
(107555,10163389,'Cannot be modified except by direct means',100,1,10),
(107556,35776,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(107557,74920,'When Equipped:',100,0,0),
(107558,74920,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107559,74920,'Inflicts 33 - 49 magic damage on target',100,2,2),
(107560,74920,'Cannot be modified except by direct means',100,2,3),
(107561,10074920,'When Equipped:',100,0,0),
(107562,10074920,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107563,10074920,'Inflicts 46 - 69 magic damage on target',100,2,2),
(107564,10074920,'Cannot be modified except by direct means',100,2,3),
(107565,159138,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(107566,159138,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(107567,159138,'Inflicts 41 heat damage on target',100,2,2),
(107568,159138,'Cannot be modified except by direct means',100,2,3),
(107569,10159138,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(107570,10159138,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(107571,10159138,'Inflicts 57 heat damage on target',100,2,2),
(107572,10159138,'Cannot be modified except by direct means',100,2,3),
(107573,157292,'When Equipped:',100,0,0),
(107574,157292,'Increases damage done by combat arts by up to 45.',100,1,1),
(107575,10157292,'When Equipped:',100,0,0),
(107576,10157292,'Increases damage done by combat arts by up to 45.',100,1,1),
(107577,82025,'When Equipped:',100,0,0),
(107578,82025,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107579,82025,'Inflicts 164 - 305 magic damage on target',100,2,2),
(107580,82025,'Cannot be modified except by direct means',100,2,3),
(107581,10082025,'When Equipped:',100,0,0),
(107582,10082025,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107583,10082025,'Inflicts 230 - 427 magic damage on target',100,2,2),
(107584,10082025,'Cannot be modified except by direct means',100,2,3),
(107585,41596,'When Equipped:',100,0,0),
(107586,41596,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107587,41596,'Decreases Threat to target by 672 ',100,2,2),
(107588,41596,'Must be flanking or behind',100,3,3),
(107589,41596,'Increases Threat to target by 672 ',100,2,4),
(107590,41596,'Must be in front of',100,3,5),
(107591,41596,'Inflicts 248 - 460 magic damage on target',100,2,6),
(107592,41596,'Cannot be modified except by direct means',100,2,7),
(107593,10041596,'When Equipped:',100,0,0),
(107594,10041596,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107595,10041596,'Inflicts 347 - 644 magic damage on target',100,2,2),
(107596,10041596,'Cannot be modified except by direct means',100,2,3),
(107597,36096,'Increases outgoing heal and ward amount by 3%',100,0,0),
(107598,36096,'Increases WIS and STA of target by 6.4',100,0,1),
(107599,36096,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(107600,104897,'Inflicts 407 - 678 magic damage on targets in area',100,1,0),
(107601,10104897,'Inflicts 529 - 882 magic damage on targets in area',100,1,0),
(107602,80600,'When Equipped:',100,0,0),
(107603,80600,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107604,80600,'Decreases Threat to target by 236 ',100,2,2),
(107605,80600,'Must be flanking or behind',100,3,3),
(107606,80600,'Increases Threat to target by 236 ',100,2,4),
(107607,80600,'Must be in front of',100,3,5),
(107608,80600,'Inflicts 71 - 132 magic damage on target',100,2,6),
(107609,80600,'Cannot be modified except by direct means',100,2,7),
(107610,10080600,'When Equipped:',100,0,0),
(107611,10080600,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107612,10080600,'Inflicts 100 - 185 magic damage on target',100,2,2),
(107613,10080600,'Cannot be modified except by direct means',100,2,3),
(107614,37052,'Increases Max Power of target by 4.1',100,0,0),
(107615,37052,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(107616,115151,'Heals target for 45 - 55',100,1,0),
(107617,10115151,'Heals target for 61 - 75',100,1,0),
(107618,80575,'When Equipped:',100,0,0),
(107619,80575,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107620,80575,'Decreases Threat to target by 352 ',100,2,2),
(107621,80575,'Must be flanking or behind',100,3,3),
(107622,80575,'Increases Threat to target by 352 ',100,2,4),
(107623,80575,'Must be in front of',100,3,5),
(107624,80575,'Inflicts 104 - 194 magic damage on target',100,2,6),
(107625,80575,'Cannot be modified except by direct means',100,2,7),
(107626,10080575,'When Equipped:',100,0,0),
(107627,10080575,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107628,10080575,'Inflicts 146 - 271 magic damage on target',100,2,2),
(107629,10080575,'Cannot be modified except by direct means',100,2,3),
(107630,191702,'When Equipped:',100,0,0),
(107631,191702,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(107632,191702,'Wards caster against 2000 points of all damage',100,2,2),
(107633,191702,'Cannot be modified except by direct means',100,2,3),
(107634,191702,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(107635,191702,'Wards caster against 2000 points of all damage',100,2,5),
(107636,191702,'Cannot be modified except by direct means',100,2,6),
(107637,10191702,'When Equipped:',100,0,0),
(107638,10191702,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(107639,10191702,'Wards caster against 1000 points of all damage',100,2,2),
(107640,10191702,'Cannot be modified except by direct means',100,2,3),
(107641,10191702,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(107642,10191702,'Wards caster against 1000 points of all damage',100,2,5),
(107643,10191702,'Cannot be modified except by direct means',100,2,6),
(107644,116837,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(107645,116837,'Inflicts 152 - 186 mental damage on target',100,2,1),
(107646,116837,'Grants a total of 3 triggers of the spell.',100,2,2),
(107647,10116837,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(107648,10116837,'Inflicts 213 - 261 mental damage on target',100,2,1),
(107649,10116837,'Grants a total of 3 triggers of the spell.',100,2,2),
(107650,116584,'Inflicts 141 - 235 divine damage on target',100,1,0),
(107651,10116584,'Inflicts 183 - 305 divine damage on target',100,1,0),
(107652,143579,'When Equipped:',100,0,0),
(107653,143579,'When any damage is received this spell has a 3% chance to cast Darkcoil''s Hardening on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(107654,143579,'Wards target against 333 points of all damage',100,2,2),
(107655,143579,'Increases STR of target by 15.0',100,2,3),
(107656,143579,'Cannot be modified except by direct means',100,2,4),
(107657,10143579,'When Equipped:',100,0,0),
(107658,10143579,'When any damage is received this spell has a 3% chance to cast Darkcoil''s Hardening on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(107659,10143579,'Wards target against 333 points of all damage',100,2,2),
(107660,10143579,'Increases STR of target by 15.0',100,2,3),
(107661,10143579,'Cannot be modified except by direct means',100,2,4),
(107662,122865,'Inflicts 136 - 227 ranged damage on target',100,1,0),
(107663,122865,'Inflicts 273 - 455 ranged damage on target',100,1,1),
(107664,122865,'Inflicts 409 - 683 ranged damage on target',100,1,2),
(107665,122865,'Requires bow',100,1,3),
(107666,10122865,'Inflicts 145 - 241 ranged damage on target',100,1,0),
(107667,10122865,'Inflicts 290 - 483 ranged damage on target',100,1,1),
(107668,10122865,'Inflicts 435 - 725 ranged damage on target',100,1,2),
(107669,10122865,'Requires bow',100,1,3),
(107670,35737,'Increases AGI of target by 1.6',100,0,0),
(107671,35737,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(107672,124025,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(107673,124025,'Heals target for 271 - 331',100,2,1),
(107674,124025,'Grants a total of 5 triggers of the spell.',100,2,2),
(107675,10124025,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(107676,10124025,'Heals target for 176 - 215',100,2,1),
(107677,10124025,'Grants a total of 5 triggers of the spell.',100,2,2),
(107678,106309,'Decreases INT and STR of target by 18.4',100,1,0),
(107679,10106309,'Decreases INT and STR of target by 18.4',100,1,0),
(107680,152820,'When Equipped:',100,0,0),
(107681,152820,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(107682,152820,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(107683,152820,'Increases Potency of caster by 11.0%',100,2,3),
(107684,152820,'Must not be engaged in pvp combat',100,2,4),
(107685,152820,'Cannot be modified except by direct means',100,2,5),
(107686,152820,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(107687,152820,'Increases Potency of caster by 11.0%',100,2,7),
(107688,152820,'Must not be engaged in pvp combat',100,2,8),
(107689,152820,'Cannot be modified except by direct means',100,2,9),
(107690,152820,'Cannot be modified except by direct means',100,1,10),
(107691,10152820,'When Equipped:',100,0,0),
(107692,10152820,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(107693,10152820,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(107694,10152820,'Increases Potency of caster by 11.0%',100,2,3),
(107695,10152820,'Must not be engaged in pvp combat',100,2,4),
(107696,10152820,'Cannot be modified except by direct means',100,2,5),
(107697,10152820,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(107698,10152820,'Increases Potency of caster by 11.0%',100,2,7),
(107699,10152820,'Must not be engaged in pvp combat',100,2,8),
(107700,10152820,'Cannot be modified except by direct means',100,2,9),
(107701,10152820,'Cannot be modified except by direct means',100,1,10),
(107702,100063,'Decreases success chance by 7.0%',100,1,0),
(107703,100063,'Increases the amount of durability gained by 20.0.',100,1,1),
(107704,10100063,'Decreases success chance by 7.0%',100,1,0),
(107705,10100063,'Increases the amount of durability gained by 20.0.',100,1,1),
(107706,53008,'When Equipped:',100,0,0),
(107707,53008,'Increases STR of caster by 50.0',100,1,1),
(107708,53008,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(107709,53008,'Increases WIS, INT and AGI of caster by 50.0',100,1,3),
(107710,53008,'Increases Potency of caster by 3.5%',100,1,4),
(107711,53008,'Cannot be modified except by direct means',100,1,5),
(107712,10053008,'When Equipped:',100,0,0),
(107713,10053008,'Increases STR of caster by 50.0',100,1,1),
(107714,10053008,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(107715,10053008,'Increases WIS, INT and AGI of caster by 50.0',100,1,3),
(107716,10053008,'Increases Potency of caster by 3.5%',100,1,4),
(107717,10053008,'Cannot be modified except by direct means',100,1,5),
(107718,112299,'Inflicts 97 - 118 disease damage on target',100,1,0),
(107719,112299,'Inflicts 48 - 59 disease damage on target every 3 seconds',100,1,1),
(107720,112299,'Increases Threat to target by 649 - 793  instantly and by 122 - 149  every 3 seconds thereafter',100,1,2),
(107721,10112299,'Inflicts 68 - 83 disease damage on target every 3 seconds',100,1,0),
(107722,10112299,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(107723,159657,'When Equipped:',100,0,0),
(107724,159657,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(107725,159657,'Increases WIS of caster by 12.2',100,2,2),
(107726,159657,'Increases Ordination, Focus and Ministration of caster by 7.2',100,2,3),
(107727,159657,'Cannot be modified except by direct means',100,2,4),
(107728,10159657,'When Equipped:',100,0,0),
(107729,10159657,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(107730,10159657,'Increases WIS of caster by 12.2',100,2,2),
(107731,10159657,'Increases Ordination, Focus and Ministration of caster by 7.2',100,2,3),
(107732,10159657,'Cannot be modified except by direct means',100,2,4),
(107733,87465,'When Equipped:',100,0,0),
(107734,87465,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107735,87465,'Inflicts 38 - 56 magic damage on target',100,2,2),
(107736,87465,'Cannot be modified except by direct means',100,2,3),
(107737,10087465,'When Equipped:',100,0,0),
(107738,10087465,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107739,10087465,'Inflicts 53 - 79 magic damage on target',100,2,2),
(107740,10087465,'Cannot be modified except by direct means',100,2,3),
(107741,80213,'When Equipped:',100,0,0),
(107742,80213,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107743,80213,'Decreases Threat to target by 801 ',100,2,2),
(107744,80213,'Must be flanking or behind',100,3,3),
(107745,80213,'Increases Threat to target by 801 ',100,2,4),
(107746,80213,'Must be in front of',100,3,5),
(107747,80213,'Inflicts 224 - 415 magic damage on target',100,2,6),
(107748,80213,'Cannot be modified except by direct means',100,2,7),
(107749,10080213,'When Equipped:',100,0,0),
(107750,10080213,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(107751,10080213,'Inflicts 313 - 581 magic damage on target',100,2,2),
(107752,10080213,'Cannot be modified except by direct means',100,2,3),
(107753,47369,'Applies Call New Halasian Courser when Activated.',100,0,0),
(107754,47369,'Summons a mount to ride',100,1,1),
(107755,47369,'Increases your ground speed by 130%',100,2,2),
(107756,10047369,'Applies Call New Halasian Courser when Activated.',100,0,0),
(107757,10047369,'Summons a mount to ride',100,1,1),
(107758,10047369,'Increases your ground speed by 130%',100,2,2),
(107759,71090,'When Equipped:',100,0,0),
(107760,71090,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(107761,71090,'Inflicts 53 - 89 magic damage on target',100,2,2),
(107762,71090,'Inflicts 53 - 89 piercing damage on target',100,2,3),
(107763,71090,'Inflicts 53 - 89 divine damage on target',100,2,4),
(107764,71090,'Must not be engaged in pvp combat',100,2,5),
(107765,71090,'Cannot be modified except by direct means',100,2,6),
(107766,71090,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(107767,71090,'Inflicts 53 - 89 magic damage on target',100,2,8),
(107768,71090,'Inflicts 53 - 89 piercing damage on target',100,2,9),
(107769,71090,'Inflicts 53 - 89 divine damage on target',100,2,10),
(107770,71090,'Must not be engaged in pvp combat',100,2,11),
(107771,71090,'Cannot be modified except by direct means',100,2,12),
(107772,71090,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(107773,71090,'Inflicts 53 - 89 magic damage on target',100,2,14),
(107774,71090,'Inflicts 53 - 89 piercing damage on target',100,2,15),
(107775,71090,'Inflicts 53 - 89 divine damage on target',100,2,16),
(107776,71090,'Must not be engaged in pvp combat',100,2,17),
(107777,71090,'Cannot be modified except by direct means',100,2,18),
(107778,71090,'Must not be engaged in pvp combat',100,1,19),
(107779,10071090,'When Equipped:',100,0,0),
(107780,10071090,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(107781,10071090,'Inflicts 74 - 124 magic damage on target',100,2,2),
(107782,10071090,'Inflicts 74 - 124 piercing damage on target',100,2,3),
(107783,10071090,'Inflicts 74 - 124 divine damage on target',100,2,4),
(107784,10071090,'Must not be engaged in pvp combat',100,2,5),
(107785,10071090,'Cannot be modified except by direct means',100,2,6),
(107786,10071090,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(107787,10071090,'Inflicts 74 - 124 magic damage on target',100,2,8),
(107788,10071090,'Inflicts 74 - 124 piercing damage on target',100,2,9),
(107789,10071090,'Inflicts 74 - 124 divine damage on target',100,2,10),
(107790,10071090,'Must not be engaged in pvp combat',100,2,11),
(107791,10071090,'Cannot be modified except by direct means',100,2,12),
(107792,10071090,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(107793,10071090,'Inflicts 74 - 124 magic damage on target',100,2,14),
(107794,10071090,'Inflicts 74 - 124 piercing damage on target',100,2,15),
(107795,10071090,'Inflicts 74 - 124 divine damage on target',100,2,16),
(107796,10071090,'Must not be engaged in pvp combat',100,2,17),
(107797,10071090,'Cannot be modified except by direct means',100,2,18),
(107798,10071090,'Must not be engaged in pvp combat',100,1,19),
(107799,112201,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(107800,112201,'Increases Threat to target by 3 ',100,2,1),
(107801,112201,'Inflicts 2 disease damage on target',100,2,2),
(107802,112201,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 77',100,1,3),
(107803,10112201,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(107804,10112201,'Inflicts 3 disease damage on target',100,2,1),
(107805,10112201,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 77',100,1,2),
(107806,105288,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(107807,105288,'Inflicts 92 - 153 mental damage on target',100,2,1),
(107808,105288,'Increases AGI of caster by 83.6',100,1,2),
(107809,105288,'Adds 25.0% to base avoidance.',100,1,3),
(107810,105288,'Increases Mitigation of caster vs physical damage by 302',100,1,4),
(107811,105288,'Increases Mitigation of caster vs elemental and arcane damage by 674',100,1,5),
(107812,105288,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(107813,105288,'Inflicts 92 - 153 mental damage on target',100,2,7),
(107814,105288,'Increases Mitigation of caster vs noxious damage by 674',100,1,8),
(107815,10105288,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(107816,10105288,'Inflicts 129 - 214 mental damage on target',100,2,1),
(107817,10105288,'Increases AGI of caster by 83.6',100,1,2),
(107818,10105288,'Adds 25.0% to base avoidance.',100,1,3),
(107819,10105288,'Increases Mitigation of caster vs physical damage by 302',100,1,4),
(107820,10105288,'Increases Mitigation of caster vs elemental and arcane damage by 674',100,1,5),
(107821,10105288,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(107822,10105288,'Inflicts 129 - 214 mental damage on target',100,2,7),
(107823,10105288,'Increases Mitigation of caster vs noxious damage by 674',100,1,8),
(107824,45548,'Applies Aura of the Planeswalker  when Activated.  Lasts for 30 minutes.',100,0,0),
(107825,45548,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(107826,10045548,'Applies Aura of the Planeswalker  when Activated.  Lasts for 30 minutes.',100,0,0),
(107827,10045548,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(107828,101130,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(107829,101130,'Inflicts 68 ranged damage on target',100,2,1),
(107830,101130,'Decreases Defense of caster by 5.1',100,1,2),
(107831,101130,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.7',100,1,3),
(107832,10101130,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(107833,10101130,'Inflicts 58 ranged damage on target',100,2,1),
(107834,10101130,'Decreases Defense of caster by 5.1',100,1,2),
(107835,10101130,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.7',100,1,3),
(107836,105371,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(107837,105371,'Inflicts 48 melee damage on target',100,2,1),
(107838,105371,'Interrupts target',100,2,2),
(107839,105371,'Decreases Defense of caster by 8.1',100,1,3),
(107840,105371,'Increases Piercing, Slashing, Ranged and Crushing of caster by 17.0',100,1,4),
(107841,10105371,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(107842,10105371,'Inflicts 62 melee damage on target',100,2,1),
(107843,10105371,'Interrupts target',100,2,2),
(107844,10105371,'Decreases Defense of caster by 8.1',100,1,3),
(107845,10105371,'Increases Piercing, Slashing, Ranged and Crushing of caster by 17.0',100,1,4),
(107846,36031,'Increases WIS of target by 1.6',100,0,0),
(107847,36031,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(107848,104482,'Decreases Mitigation of target encounter vs physical damage by 608',100,1,0),
(107849,10104482,'Decreases Mitigation of target encounter vs physical damage by 608',100,1,0),
(107850,114944,'Decreases Attack Speed of target by 7.7',100,1,0),
(107851,114944,'Inflicts 17 - 53 slashing damage on target',100,1,1),
(107852,114944,'Inflicts 36 slashing damage on target instantly and every 4 seconds',100,1,2),
(107853,10114944,'Decreases Attack Speed of target by 7.7',100,1,0),
(107854,10114944,'Inflicts 23 - 69 slashing damage on target',100,1,1),
(107855,10114944,'Inflicts 50 slashing damage on target instantly and every 4 seconds',100,1,2),
(107856,45207,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(107857,45207,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(107858,45207,'Inflicts 215 poison damage on target instantly and every 4 seconds',100,2,2),
(107859,45207,'Cannot be modified except by direct means',100,2,3),
(107860,45207,'Grants a total of 100 triggers of the spell.',100,2,4),
(107861,10045207,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(107862,10045207,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(107863,10045207,'Inflicts 225 poison damage on target instantly and every 4 seconds',100,2,2),
(107864,10045207,'Cannot be modified except by direct means',100,2,3),
(107865,10045207,'Grants a total of 100 triggers of the spell.',100,2,4),
(107866,101901,'Decreases AGI of target by 7.6',100,1,0),
(107867,101901,'Inflicts 63 - 106 melee damage on target',100,1,1),
(107868,101901,'Must be behind',100,1,2),
(107869,10101901,'Decreases AGI of target by 7.6',100,1,0),
(107870,10101901,'Inflicts 83 - 138 melee damage on target',100,1,1),
(107871,10101901,'Must be behind',100,1,2),
(107872,45057,'Applies Immortalize Waansu when Activated.',100,0,0),
(107873,45057,'Summon 1 Trophy: Waansu''s Head',100,1,1),
(107874,45057,'This effect cannot be cast during combat',100,1,2),
(107875,10045057,'Applies Immortalize Waansu when Activated.',100,0,0),
(107876,10045057,'Summon 1 Trophy: Waansu''s Head',100,1,1),
(107877,10045057,'This effect cannot be cast during combat',100,1,2),
(107878,115637,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 320',100,1,0),
(107879,10115637,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 320',100,1,0),
(107880,120882,'Stifles target',100,1,0),
(107881,120882,'Inflicts 213 - 261 mental damage on target',100,1,1),
(107882,120882,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,2),
(107883,120882,'Resistibility increases against targets higher than level 59.',100,1,3),
(107884,10120882,'Stifles target',100,1,0),
(107885,10120882,'Inflicts 299 - 365 mental damage on target',100,1,1),
(107886,10120882,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(107887,10120882,'Resistibility increases against targets higher than level 59.',100,1,3),
(107888,118785,'Wards group members (AE) against 7 points of physical damage',100,1,0),
(107889,118785,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(107890,10118785,'Wards group members (AE) against 7 points of physical damage',100,1,0),
(107891,10118785,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(107892,114134,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(107893,114134,'Increases Mitigation of group members (AE) vs elemental damage by 770',100,1,1),
(107894,10114134,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(107895,10114134,'Increases Mitigation of group members (AE) vs elemental damage by 770',100,1,1),
(107896,104887,'Inflicts 225 - 375 magic damage on targets in area',100,1,0),
(107897,10104887,'Inflicts 292 - 488 magic damage on targets in area',100,1,0),
(107898,107794,'Increases Threat to target encounter by 259 - 317 ',100,1,0),
(107899,10107794,'Prevents target encounter from changing targets',100,1,0),
(107900,10107794,'Forces target encounter to change their selected target to caster.',100,1,1),
(107901,110585,'Decreases Attack Speed of target by 16.6',100,1,0),
(107902,110585,'Decreases Crushing, Slashing and Piercing of target by 9.9',100,1,1),
(107903,10110585,'Decreases Attack Speed of target by 16.6',100,1,0),
(107904,10110585,'Decreases Crushing, Slashing and Piercing of target by 9.9',100,1,1),
(107905,72792,'When Equipped:',100,0,0),
(107906,72792,'On any combat or spell hit this spell may cast Sundering Smash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(107907,72792,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,2),
(107908,72792,'Stuns target',100,3,3),
(107909,72792,'Throws target back',100,3,4),
(107910,72792,'Blurs vision of target',100,3,5),
(107911,72792,'Does not affect Epic targets',100,3,6),
(107912,72792,'Inflicts 43 - 47 heat damage on targets in Area of Effect',100,2,7),
(107913,72792,'Must not be engaged in pvp combat',100,2,8),
(107914,72792,'Cannot be modified except by direct means',100,2,9),
(107915,72792,'Must not be engaged in pvp combat',100,1,10),
(107916,10072792,'When Equipped:',100,0,0),
(107917,10072792,'On any combat or spell hit this spell may cast Sundering Smash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(107918,10072792,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,2),
(107919,10072792,'Stuns target',100,3,3),
(107920,10072792,'Throws target back',100,3,4),
(107921,10072792,'Blurs vision of target',100,3,5),
(107922,10072792,'Does not affect Epic targets',100,3,6),
(107923,10072792,'Inflicts 60 - 66 heat damage on targets in Area of Effect',100,2,7),
(107924,10072792,'Must not be engaged in pvp combat',100,2,8),
(107925,10072792,'Cannot be modified except by direct means',100,2,9),
(107926,10072792,'Must not be engaged in pvp combat',100,1,10),
(107927,106042,'Increases AGI of caster by 23.3',100,1,0),
(107928,106042,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(107929,106042,'Inflicts 32 - 53 disease damage on target',100,2,2),
(107930,106042,'Adds 18.7% to base avoidance.',100,1,3),
(107931,106042,'Increases Mitigation of caster vs physical damage by 109',100,1,4),
(107932,106042,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,5),
(107933,10106042,'Increases AGI of caster by 23.3',100,1,0),
(107934,10106042,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(107935,10106042,'Inflicts 44 - 74 disease damage on target',100,2,2),
(107936,10106042,'Adds 18.7% to base avoidance.',100,1,3),
(107937,10106042,'Increases Mitigation of caster vs physical damage by 109',100,1,4),
(107938,10106042,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,5),
(107939,47999,'Applies Shard of Discord when Activated.  Lasts for 5 minutes.',100,0,0),
(107940,47999,'Increases Potency of caster by 3.0%',100,1,1),
(107941,10047999,'Applies Shard of Discord when Activated.  Lasts for 5 minutes.',100,0,0),
(107942,10047999,'Increases Potency of caster by 3.0%',100,1,1),
(107943,108034,'Inflicts 111 magic damage on target',100,1,0),
(107944,108034,'Increases power of caster by 52',100,1,1),
(107945,10108034,'Inflicts 155 magic damage on target',100,1,0),
(107946,10108034,'Increases power of caster by 52',100,1,1),
(107947,80032,'Applies Fire Ball when Activated.',100,0,0),
(107948,80032,'Inflicts 485 - 809 heat damage on target',100,1,1),
(107949,80032,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(107950,10080032,'Applies Fire Ball when Activated.',100,0,0),
(107951,10080032,'Inflicts 679 - 1132 heat damage on target',100,1,1),
(107952,10080032,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(107953,118728,'Inflicts 141 - 236 slashing damage on target',100,1,0),
(107954,118728,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(107955,118728,'Inflicts 58 - 71 slashing damage on target every 5 seconds',100,1,2),
(107956,10118728,'Inflicts 184 - 307 slashing damage on target',100,1,0),
(107957,10118728,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(107958,10118728,'Inflicts 82 - 100 slashing damage on target every 5 seconds',100,1,2),
(107959,122579,'Inflicts 21 - 26 mental damage on target instantly and every 3 seconds',100,1,0),
(107960,122579,'Decreases Mitigation of target vs arcane damage by 208',100,1,1),
(107961,10122579,'Inflicts 30 - 37 mental damage on target instantly and every 3 seconds',100,1,0),
(107962,10122579,'Decreases Mitigation of target vs arcane damage by 208',100,1,1),
(107963,90313,'When Equipped:',100,0,0),
(107964,90313,'On a combat hit this spell may cast Shadow''s Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107965,90313,'Increases power of target by 49 - 60',100,2,2),
(107966,90313,'Cannot be modified except by direct means',100,2,3),
(107967,10090313,'When Equipped:',100,0,0),
(107968,10090313,'On a combat hit this spell may cast Shadow''s Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(107969,10090313,'Increases power of target by 49 - 60',100,2,2),
(107970,10090313,'Cannot be modified except by direct means',100,2,3),
(107971,101446,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(107972,101446,'Increases Mitigation of group members (AE) vs noxious damage by 706',100,1,1),
(107973,10101446,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(107974,10101446,'Increases Mitigation of group members (AE) vs noxious damage by 706',100,1,1),
(107975,47057,'Applies Minor Salve when Activated.',100,0,0),
(107976,47057,'Dispels 18 levels of physical hostile effects on caster',100,1,1),
(107977,10047057,'Applies Minor Salve when Activated.',100,0,0),
(107978,10047057,'Dispels 18 levels of physical hostile effects on caster',100,1,1),
(107979,102686,'Inflicts 438 divine damage on target encounter',100,1,0),
(107980,10102686,'Inflicts 614 divine damage on target encounter',100,1,0),
(107981,121734,'Causes 6% Threat to transfer to target when in combat',100,1,0),
(107982,10121734,'Applies Swarthy Distraction.',100,1,0),
(107983,10121734,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(107984,10121734,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(107985,163565,'When Equipped:',100,0,0),
(107986,163565,'On a damage spell hit this spell may cast Wildly Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(107987,163565,'This effect may trigger off each target of an AE heal.',100,2,2),
(107988,163565,'Heals group members for 316',100,2,3),
(107989,163565,'Cannot be modified except by direct means',100,2,4),
(107990,163565,'On a healing spell cast this spell may cast Wildly Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(107991,163565,'This effect may trigger off each target of an AE heal.',100,2,6),
(107992,163565,'Heals group members for 316',100,2,7),
(107993,163565,'Cannot be modified except by direct means',100,2,8),
(107994,10163565,'When Equipped:',100,0,0),
(107995,10163565,'On a damage spell hit this spell may cast Wildly Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(107996,10163565,'This effect may trigger off each target of an AE heal.',100,2,2),
(107997,10163565,'Heals group members for 206',100,2,3),
(107998,10163565,'Cannot be modified except by direct means',100,2,4),
(107999,10163565,'On a healing spell cast this spell may cast Wildly Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(108000,10163565,'This effect may trigger off each target of an AE heal.',100,2,6),
(108001,10163565,'Heals group members for 206',100,2,7),
(108002,10163565,'Cannot be modified except by direct means',100,2,8),
(108003,119637,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(108004,119637,'Stuns target',100,2,1),
(108005,119637,'Throws target back',100,2,2),
(108006,119637,'Blurs vision of target',100,2,3),
(108007,119637,'Does not affect Epic targets',100,2,4),
(108008,119637,'Inflicts 24 - 72 melee damage on target',100,1,5),
(108009,10119637,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(108010,10119637,'Blurs vision of target',100,2,1),
(108011,10119637,'Stuns target',100,2,2),
(108012,10119637,'Throws target back',100,2,3),
(108013,10119637,'Does not affect Epic targets',100,2,4),
(108014,10119637,'Inflicts 31 - 93 melee damage on target',100,1,5),
(108015,141805,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(108016,141805,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(108017,141805,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(108018,141805,'Cannot be modified except by direct means',100,2,3),
(108019,10141805,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(108020,10141805,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(108021,10141805,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(108022,10141805,'Cannot be modified except by direct means',100,2,3),
(108023,176627,'When Equipped:',100,0,0),
(108024,176627,'On a healing spell cast this spell may cast Seraph''s Recovery on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108025,176627,'Increases Spell Reuse Speed of caster by 5.0%',100,2,2),
(108026,176627,'Increases Ability Recovery Speed of caster by 15.0%',100,2,3),
(108027,176627,'Increases Ability Casting Speed of caster by 15.0%',100,2,4),
(108028,176627,'Must not be engaged in pvp combat',100,2,5),
(108029,176627,'Cannot be modified except by direct means',100,2,6),
(108030,176627,'Must not be engaged in pvp combat',100,1,7),
(108031,176627,'When Equipped:',100,0,8),
(108032,176627,'Increases the caster''s heals and wards by 8%.',100,1,9),
(108033,176627,'Must not be engaged in pvp combat',100,1,10),
(108034,10176627,'When Equipped:',100,0,0),
(108035,10176627,'On a healing spell cast this spell may cast Seraph''s Recovery on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108036,10176627,'Increases Spell Reuse Speed of caster by 5.0%',100,2,2),
(108037,10176627,'Increases Ability Recovery Speed of caster by 15.0%',100,2,3),
(108038,10176627,'Increases Ability Casting Speed of caster by 15.0%',100,2,4),
(108039,10176627,'Must not be engaged in pvp combat',100,2,5),
(108040,10176627,'Cannot be modified except by direct means',100,2,6),
(108041,10176627,'Must not be engaged in pvp combat',100,1,7),
(108042,10176627,'When Equipped:',100,0,8),
(108043,10176627,'Increases the caster''s heals and wards by 8%.',100,1,9),
(108044,10176627,'Must not be engaged in pvp combat',100,1,10),
(108045,123132,'Inflicts 384 disease damage on targets in Area of Effect',100,1,0),
(108046,123132,'Inflicts 262 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(108047,10123132,'Inflicts 538 disease damage on targets in Area of Effect',100,1,0),
(108048,10123132,'Inflicts 367 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(108049,48282,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(108050,48282,'Inflicts 69 - 85 melee damage on target',100,1,1),
(108051,48282,'Inflicts 16 - 27 slashing damage on target every 4 seconds',100,1,2),
(108052,10048282,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(108053,10048282,'Inflicts 90 - 110 melee damage on target',100,1,1),
(108054,10048282,'Inflicts 22 - 37 slashing damage on target every 4 seconds',100,1,2),
(108055,71902,'When Equipped:',100,0,0),
(108056,71902,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108057,71902,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(108058,71902,'Cannot be modified except by direct means',100,2,3),
(108059,10071902,'When Equipped:',100,0,0),
(108060,10071902,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108061,10071902,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(108062,10071902,'Cannot be modified except by direct means',100,2,3),
(108063,86098,'When Equipped:',100,0,0),
(108064,86098,'On a combat hit this spell may cast Viperous Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108065,86098,'Inflicts 92 - 113 poison damage on target instantly and every 4.8 seconds',100,2,2),
(108066,86098,'Cannot be modified except by direct means',100,2,3),
(108067,10086098,'When Equipped:',100,0,0),
(108068,10086098,'On a combat hit this spell may cast Viperous Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108069,10086098,'Inflicts 129 - 158 poison damage on target instantly and every 4.8 seconds',100,2,2),
(108070,10086098,'Cannot be modified except by direct means',100,2,3),
(108071,35153,'Increases STA of target by 1.6',100,0,0),
(108072,35153,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(108073,117351,'Roots target',100,1,0),
(108074,117351,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(108075,117351,'Slows target by 42.4%',100,2,2),
(108076,117351,'5% chance to dispel when target receives hostile action',100,2,3),
(108077,117351,'5% chance to dispel when target takes damage',100,2,4),
(108078,117351,'15% chance to dispel when target takes damage',100,1,5),
(108079,117351,'Does not affect Epic targets',100,1,6),
(108080,117351,'Resistibility increases against targets higher than level 102.',100,1,7),
(108081,10117351,'Roots target',100,1,0),
(108082,10117351,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(108083,10117351,'Slows target by 42.4%',100,2,2),
(108084,10117351,'10% chance to dispel when target receives hostile action',100,2,3),
(108085,10117351,'10% chance to dispel when target takes damage',100,2,4),
(108086,10117351,'15% chance to dispel when target takes damage',100,1,5),
(108087,10117351,'Does not affect Epic targets',100,1,6),
(108088,10117351,'Resistibility increases against targets higher than level 102.',100,1,7),
(108089,134565,'When Equipped:',100,0,0),
(108090,134565,'On a combat hit this spell may cast Silence V on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(108091,134565,'Stifles target',100,2,2),
(108092,134565,'Does not affect Epic targets',100,2,3),
(108093,134565,'Resistibility increases against targets higher than level 99.',100,2,4),
(108094,134565,'Cannot be modified except by direct means',100,2,5),
(108095,10134565,'When Equipped:',100,0,0),
(108096,10134565,'On a combat hit this spell may cast Silence V on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(108097,10134565,'Stifles target',100,2,2),
(108098,10134565,'Does not affect Epic targets',100,2,3),
(108099,10134565,'Resistibility increases against targets higher than level 99.',100,2,4),
(108100,10134565,'Cannot be modified except by direct means',100,2,5),
(108101,163166,'When Equipped:',100,0,0),
(108102,163166,'Increases caster''s chance to block by 15.0%',100,1,1),
(108103,10163166,'When Equipped:',100,0,0),
(108104,10163166,'Increases caster''s chance to block by 15.0%',100,1,1),
(108105,131833,'When Equipped:',100,0,0),
(108106,131833,'On a damage spell hit this spell may cast Bolt of the Disciple on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108107,131833,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(108108,131833,'Increases Potency of caster by 5.0%',100,2,3),
(108109,131833,'Increases Ability Reuse Speed of caster by 5.0%',100,2,4),
(108110,131833,'Inflicts 1238 - 1513 magic damage on target',100,2,5),
(108111,131833,'Cannot be modified except by direct means',100,2,6),
(108112,131833,'Cannot be modified except by direct means',100,1,7),
(108113,10131833,'When Equipped:',100,0,0),
(108114,10131833,'On a damage spell hit this spell may cast Bolt of the Disciple on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108115,10131833,'Increases Potency of caster by 5.0%',100,2,2),
(108116,10131833,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(108117,10131833,'Inflicts 1473 - 1800 magic damage on target',100,2,4),
(108118,10131833,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(108119,10131833,'Cannot be modified except by direct means',100,2,6),
(108120,10131833,'Cannot be modified except by direct means',100,1,7),
(108121,88457,'When Equipped:',100,0,0),
(108122,88457,'On a combat hit this spell may cast Bleed on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108123,88457,'Inflicts 33 - 40 slashing damage on target every 4 seconds',100,2,2),
(108124,88457,'Cannot be modified except by direct means',100,2,3),
(108125,10088457,'When Equipped:',100,0,0),
(108126,10088457,'On a combat hit this spell may cast Bleed on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108127,10088457,'Inflicts 46 - 56 slashing damage on target every 4 seconds',100,2,2),
(108128,10088457,'Cannot be modified except by direct means',100,2,3),
(108129,81048,'When Equipped:',100,0,0),
(108130,81048,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108131,81048,'Inflicts 175 - 325 magic damage on target',100,2,2),
(108132,81048,'Cannot be modified except by direct means',100,2,3),
(108133,10081048,'When Equipped:',100,0,0),
(108134,10081048,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108135,10081048,'Inflicts 245 - 455 magic damage on target',100,2,2),
(108136,10081048,'Cannot be modified except by direct means',100,2,3),
(108137,113231,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(108138,113231,'Inflicts 282 magic damage on target',100,2,1),
(108139,113231,'Grants a total of 5 triggers of the spell.',100,2,2),
(108140,10113231,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(108141,10113231,'Inflicts 395 magic damage on target',100,2,1),
(108142,10113231,'Grants a total of 5 triggers of the spell.',100,2,2),
(108143,120908,'Stifles target',100,1,0),
(108144,120908,'Inflicts 1053 - 1287 mental damage on target',100,1,1),
(108145,120908,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(108146,120908,'Resistibility increases against targets higher than level 121.',100,1,3),
(108147,10120908,'Stifles target',100,1,0),
(108148,10120908,'Inflicts 1474 - 1801 mental damage on target',100,1,1),
(108149,10120908,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(108150,10120908,'Resistibility increases against targets higher than level 121.',100,1,3),
(108151,136546,'When Equipped:',100,0,0),
(108152,136546,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(108153,136546,'Wards caster against 720 points of all damage',100,2,2),
(108154,136546,'Cannot be modified except by direct means',100,2,3),
(108155,136546,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(108156,136546,'Wards caster against 720 points of all damage',100,2,5),
(108157,136546,'Cannot be modified except by direct means',100,2,6),
(108158,10136546,'When Equipped:',100,0,0),
(108159,10136546,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(108160,10136546,'Wards caster against 360 points of all damage',100,2,2),
(108161,10136546,'Cannot be modified except by direct means',100,2,3),
(108162,10136546,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(108163,10136546,'Wards caster against 360 points of all damage',100,2,5),
(108164,10136546,'Cannot be modified except by direct means',100,2,6),
(108165,106006,'Inflicts 29 - 36 divine damage on target instantly and every 3 seconds',100,1,0),
(108166,106006,'Decreases Defense of target by 4.8',100,1,1),
(108167,10106006,'Inflicts 27 - 33 divine damage on target instantly and every 3 seconds',100,1,0),
(108168,10106006,'Decreases Defense of target by 4.8',100,1,1),
(108169,110168,'Applies Untreated Bleeding on termination.',100,1,0),
(108170,110168,'Inflicts 156 - 259 piercing damage on target',100,2,1),
(108171,110168,'Inflicts 33 - 56 piercing damage on target instantly and every 4 seconds',100,1,2),
(108172,110168,'Inflicts 22 - 37 melee damage on target',100,1,3),
(108173,10110168,'Applies Untreated Bleeding on termination.',100,1,0),
(108174,10110168,'Inflicts 218 - 363 piercing damage on target',100,2,1),
(108175,10110168,'Inflicts 47 - 78 piercing damage on target instantly and every 4 seconds',100,1,2),
(108176,10110168,'Inflicts 28 - 48 melee damage on target',100,1,3),
(108177,111528,'Blurs vision of targets in Area of Effect',100,1,0),
(108178,111528,'Interrupts targets in Area of Effect',100,1,1),
(108179,111528,'13% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(108180,111528,'Blurs vision of target',100,2,3),
(108181,111528,'Stuns target',100,2,4),
(108182,111528,'Throws target back',100,2,5),
(108183,111528,'Does not affect Epic targets',100,2,6),
(108184,10111528,'Blurs vision of targets in Area of Effect',100,1,0),
(108185,10111528,'Interrupts targets in Area of Effect',100,1,1),
(108186,10111528,'13% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(108187,10111528,'Stuns target',100,2,3),
(108188,10111528,'Throws target back',100,2,4),
(108189,10111528,'Blurs vision of target',100,2,5),
(108190,10111528,'Does not affect Epic targets',100,2,6),
(108191,112485,'Decreases AGI and WIS of target by 50.2',100,1,0),
(108192,10112485,'Decreases AGI and WIS of target by 50.2',100,1,0),
(108193,24451,'Adds Iksar Skeleton (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(108194,10024451,'Adds Iksar Skeleton (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(108195,80039,'Applies Fire Ball when Activated.',100,0,0),
(108196,80039,'Inflicts 66 - 110 heat damage on target',100,1,1),
(108197,80039,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(108198,10080039,'Applies Fire Ball when Activated.',100,0,0),
(108199,10080039,'Inflicts 93 - 155 heat damage on target',100,1,1),
(108200,10080039,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(108201,113063,'Applies Scream on termination.',100,1,0),
(108202,113063,'Inflicts 238 - 396 disease damage on target',100,2,1),
(108203,113063,'Dazes target',100,1,2),
(108204,113063,'If Target is not Epic',100,2,3),
(108205,113063,'Resistibility increases against targets higher than level 77.',100,1,4),
(108206,10113063,'Dazes target',100,1,0),
(108207,10113063,'If Target is not Epic',100,2,1),
(108208,10113063,'Applies Scream on termination.',100,1,2),
(108209,10113063,'Inflicts 333 - 554 disease damage on target',100,2,3),
(108210,10113063,'Resistibility increases against targets higher than level 77.',100,1,4),
(108211,48697,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(108212,48697,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(108213,48697,'Inflicts 53 poison damage on target instantly and every 6 seconds',100,2,2),
(108214,48697,'Inflicts 324 poison damage on target',100,2,3),
(108215,48697,'Cannot be modified except by direct means',100,2,4),
(108216,48697,'Grants a total of 200 triggers of the spell.',100,2,5),
(108217,10048697,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(108218,10048697,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(108219,10048697,'Inflicts 56 poison damage on target instantly and every 6 seconds',100,2,2),
(108220,10048697,'Inflicts 340 poison damage on target',100,2,3),
(108221,10048697,'Cannot be modified except by direct means',100,2,4),
(108222,10048697,'Grants a total of 200 triggers of the spell.',100,2,5),
(108223,114207,'Inflicts 573 - 955 melee damage on target',100,1,0),
(108224,114207,'Decreases Slashing, Crushing and Piercing of target by 16.1',100,1,1),
(108225,10114207,'Inflicts 745 - 1242 melee damage on target',100,1,0),
(108226,10114207,'Decreases Slashing, Crushing and Piercing of target by 16.1',100,1,1),
(108227,116026,'Prevents target from changing targets',100,1,0),
(108228,116026,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(108229,116026,'Increases Threat to target by 1,461 - 1,785  instantly and by 929 - 1,136  every 4 seconds thereafter',100,2,2),
(108230,116026,'Increases Threat to target by 2,656 - 3,247  instantly and by 1,660 - 2,029  every 2 seconds thereafter',100,1,3),
(108231,116026,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(108232,116026,'Increases threat priority of target by 4 positions',100,1,5),
(108233,116026,'Must be not at the top of the hate list of your current target.',100,1,6),
(108234,10116026,'Prevents target from changing targets',100,1,0),
(108235,10116026,'Forces target to change their selected target to caster.',100,1,1),
(108236,10116026,'Must be not at the top of the hate list of your current target.',100,1,2),
(108237,109957,'Inflicts 220 - 330 disease damage on targets in Area of Effect',100,1,0),
(108238,109957,'Inflicts 110 - 165 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(108239,109957,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(108240,109957,'Increases Threat to targets in Area of Effect by 620 - 757  instantly and every 4 seconds thereafter',100,1,3),
(108241,10109957,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(108242,10109957,'Prevents target from changing targets',100,2,1),
(108243,10109957,'Forces target to change their selected target to caster.',100,2,2),
(108244,10109957,'Inflicts 308 - 462 disease damage on targets in Area of Effect',100,1,3),
(108245,10109957,'Inflicts 154 - 231 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(108246,36780,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(108247,157022,'When Equipped:',100,0,0),
(108248,157022,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108249,157022,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(108250,157022,'Cannot be modified except by direct means',100,2,3),
(108251,10157022,'When Equipped:',100,0,0),
(108252,10157022,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108253,10157022,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(108254,10157022,'Cannot be modified except by direct means',100,2,3),
(108255,54415,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(108256,54415,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(108257,54415,'Inflicts 43 heat damage on target',100,2,2),
(108258,54415,'Cannot be modified except by direct means',100,2,3),
(108259,10054415,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(108260,10054415,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(108261,10054415,'Inflicts 61 heat damage on target',100,2,2),
(108262,10054415,'Cannot be modified except by direct means',100,2,3),
(108263,118993,'Heals target for 294 - 359',100,1,0),
(108264,10118993,'Heals target for 313 - 382',100,1,0),
(108265,103070,'Inflicts 127 magic damage on target instantly and every 4 seconds',100,1,0),
(108266,103070,'Increases power of caster by 61 instantly and every 4 seconds',100,1,1),
(108267,10103070,'Inflicts 178 magic damage on target instantly and every 4 seconds',100,1,0),
(108268,10103070,'Increases power of caster by 61 instantly and every 4 seconds',100,1,1),
(108269,189026,'When Equipped:',100,0,0),
(108270,189026,'On a damage spell hit this spell has a 10% chance to cast Powerfont on caster.  Lasts for 7.0 seconds.  ',100,1,1),
(108271,189026,'Powerfont will increase the damage of hostile spells by 10%.',100,2,2),
(108272,189026,'Cannot be modified except by direct means',100,2,3),
(108273,10189026,'When Equipped:',100,0,0),
(108274,10189026,'On a damage spell hit this spell has a 10% chance to cast Powerfont on caster.  Lasts for 7.0 seconds.  ',100,1,1),
(108275,10189026,'Powerfont will increase the damage of hostile spells by 10%.',100,2,2),
(108276,10189026,'Cannot be modified except by direct means',100,2,3),
(108277,114369,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(108278,114369,'Blurs vision of target',100,2,1),
(108279,114369,'Stuns target',100,2,2),
(108280,114369,'Throws target back',100,2,3),
(108281,114369,'Does not affect Epic targets',100,2,4),
(108282,114369,'Inflicts 235 - 392 crushing damage on target',100,1,5),
(108283,10114369,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(108284,10114369,'Stuns target',100,2,1),
(108285,10114369,'Throws target back',100,2,2),
(108286,10114369,'Blurs vision of target',100,2,3),
(108287,10114369,'Does not affect Epic targets',100,2,4),
(108288,10114369,'Inflicts 305 - 509 crushing damage on target',100,1,5),
(108289,112844,'Roots target',100,1,0),
(108290,112844,'5% chance to dispel when target takes damage',100,1,1),
(108291,112844,'Does not affect Epic targets',100,1,2),
(108292,112844,'Resistibility increases against targets higher than level 78.',100,1,3),
(108293,10112844,'Roots target',100,1,0),
(108294,10112844,'5% chance to dispel when target takes damage',100,1,1),
(108295,10112844,'Does not affect Epic targets',100,1,2),
(108296,10112844,'Resistibility increases against targets higher than level 78.',100,1,3),
(108297,143828,'When Equipped:',100,0,0),
(108298,143828,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(108299,143828,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(108300,143828,'Heals caster for 811 - 1217',100,2,3),
(108301,143828,'Cannot be modified except by direct means',100,2,4),
(108302,143828,'Cannot be modified except by direct means',100,1,5),
(108303,10143828,'When Equipped:',100,0,0),
(108304,10143828,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(108305,10143828,'Inflicts 1705 - 2558 poison damage on target',100,2,2),
(108306,10143828,'Heals caster for 949 - 1424',100,2,3),
(108307,10143828,'Cannot be modified except by direct means',100,2,4),
(108308,10143828,'Cannot be modified except by direct means',100,1,5),
(108309,41575,'When Equipped:',100,0,0),
(108310,41575,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(108311,41575,'Decreases Threat to target by 994 ',100,2,2),
(108312,41575,'Must be flanking or behind',100,3,3),
(108313,41575,'Increases Threat to target by 994 ',100,2,4),
(108314,41575,'Must be in front of',100,3,5),
(108315,41575,'Inflicts 351 - 652 magic damage on target',100,2,6),
(108316,41575,'Cannot be modified except by direct means',100,2,7),
(108317,10041575,'When Equipped:',100,0,0),
(108318,10041575,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(108319,10041575,'Inflicts 492 - 913 magic damage on target',100,2,2),
(108320,10041575,'Cannot be modified except by direct means',100,2,3),
(108321,81886,'When Equipped:',100,0,0),
(108322,81886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108323,81886,'Inflicts 127 - 236 magic damage on target',100,2,2),
(108324,81886,'Cannot be modified except by direct means',100,2,3),
(108325,10081886,'When Equipped:',100,0,0),
(108326,10081886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108327,10081886,'Inflicts 178 - 331 magic damage on target',100,2,2),
(108328,10081886,'Cannot be modified except by direct means',100,2,3),
(108329,35633,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(108330,36520,'Increases outgoing heal and ward amount by 1.5%',100,0,0),
(108331,36520,'Increases STA and WIS of target by 4.6',100,0,1),
(108332,36520,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,2),
(108333,27013,'When Equipped:',100,0,0),
(108334,27013,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(108335,27013,'Increases power of caster by 7',100,2,2),
(108336,27013,'Cannot be modified except by direct means',100,2,3),
(108337,10027013,'When Equipped:',100,0,0),
(108338,10027013,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(108339,10027013,'Increases power of caster by 7',100,2,2),
(108340,10027013,'Cannot be modified except by direct means',100,2,3),
(108341,114105,'Inflicts 637 - 1062 melee damage on targets in area',100,1,0),
(108342,114105,'You must be in stealth to use this!',100,1,1),
(108343,10114105,'Inflicts 828 - 1381 melee damage on targets in area',100,1,0),
(108344,10114105,'You must be in stealth to use this!',100,1,1),
(108345,154368,'When Equipped:',100,0,0),
(108346,154368,'On a hit this spell may cast Discipline of the Shin Knight on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108347,154368,'Increases power of caster by 127 instantly and every 4 seconds',100,2,2),
(108348,154368,'Cannot be modified except by direct means',100,2,3),
(108349,10154368,'When Equipped:',100,0,0),
(108350,10154368,'On a hit this spell may cast Discipline of the Shin Knight on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108351,10154368,'Increases power of caster by 127 instantly and every 4 seconds',100,2,2),
(108352,10154368,'Cannot be modified except by direct means',100,2,3),
(108353,155206,'When Equipped:',100,0,0),
(108354,155206,'Increases the caster''s heals and wards by 5%.',100,1,1),
(108355,155206,'Must not be engaged in pvp combat',100,1,2),
(108356,10155206,'When Equipped:',100,0,0),
(108357,10155206,'Increases the caster''s heals and wards by 5%.',100,1,1),
(108358,10155206,'Must not be engaged in pvp combat',100,1,2),
(108359,104926,'Inflicts 657 - 1096 ranged damage on target',100,1,0),
(108360,104926,'Decreases Deflection and Parry of target by 46.1',100,1,1),
(108361,104926,'Requires bow',100,1,2),
(108362,10104926,'Inflicts 559 - 932 ranged damage on target',100,1,0),
(108363,10104926,'Decreases Deflection and Parry of target by 46.1',100,1,1),
(108364,10104926,'Requires bow',100,1,2),
(108365,104049,'Inflicts 33 - 40 mental damage on target instantly and every 6 seconds',100,1,0),
(108366,104049,'Applies Migraine on termination.',100,1,1),
(108367,104049,'Inflicts 93 - 126 mental damage on target',100,2,2),
(108368,10104049,'Inflicts 46 - 56 mental damage on target instantly and every 6 seconds',100,1,0),
(108369,10104049,'Applies Migraine on termination.',100,1,1),
(108370,10104049,'Inflicts 131 - 177 mental damage on target',100,2,2),
(108371,113018,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(108372,113018,'Stuns target',40,2,1),
(108373,113018,'If Target is not Epic',100,3,2),
(108374,113018,'Inflicts 131 - 395 melee damage on target',100,2,3),
(108375,113018,'Resistibility increases against targets higher than level 94.',100,2,4),
(108376,10113018,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(108377,10113018,'Inflicts 171 - 513 melee damage on target',100,2,1),
(108378,46379,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(108379,46379,'Wards caster against 1150 points of arcane damage',100,1,1),
(108380,10046379,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(108381,10046379,'Wards caster against 1150 points of arcane damage',100,1,1),
(108382,47209,'Applies Elixir of Spiritual Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(108383,10047209,'Applies Elixir of Spiritual Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(108384,46790,'Applies Lightning Hands when Activated.',100,0,0),
(108385,46790,'Charges the user''s hands with illusory lightning.',100,1,1),
(108386,10046790,'Applies Lightning Hands when Activated.',100,0,0),
(108387,10046790,'Charges the user''s hands with illusory lightning.',100,1,1),
(108388,37102,'Increases WIS of target by 1.6',100,0,0),
(108389,37102,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(108390,71521,'When Equipped:',100,0,0),
(108391,71521,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108392,71521,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(108393,71521,'Cannot be modified except by direct means',100,2,3),
(108394,10071521,'When Equipped:',100,0,0),
(108395,10071521,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108396,10071521,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(108397,10071521,'Cannot be modified except by direct means',100,2,3),
(108398,105875,'Inflicts 56 - 94 ranged damage on target',100,1,0),
(108399,105875,'Inflicts 56 - 94 ranged damage on target',100,1,1),
(108400,105875,'If weapon equipped in Ranged',100,1,2),
(108401,10105875,'Inflicts 48 - 80 ranged damage on target',100,1,0),
(108402,10105875,'Inflicts 48 - 80 ranged damage on target',100,1,1),
(108403,10105875,'If weapon equipped in Ranged',100,1,2),
(108404,27089,'When Equipped:',100,0,0),
(108405,27089,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(108406,27089,'Inflicts 54 divine damage on target',100,2,2),
(108407,27089,'Heals caster for 40',100,2,3),
(108408,27089,'Cannot be modified except by direct means',100,2,4),
(108409,10027089,'When Equipped:',100,0,0),
(108410,10027089,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(108411,10027089,'Inflicts 75 divine damage on target',100,2,2),
(108412,10027089,'Heals caster for 26',100,2,3),
(108413,10027089,'Cannot be modified except by direct means',100,2,4),
(108414,147140,'When Equipped:',100,0,0),
(108415,147140,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108416,147140,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(108417,147140,'Dispelled when target casts a hostile spell',100,2,3),
(108418,147140,'Dispelled when target casts a combat art',100,2,4),
(108419,147140,'Cannot be modified except by direct means',100,2,5),
(108420,10147140,'When Equipped:',100,0,0),
(108421,10147140,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108422,10147140,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(108423,10147140,'Dispelled when target casts a hostile spell',100,2,3),
(108424,10147140,'Dispelled when target casts a combat art',100,2,4),
(108425,10147140,'Cannot be modified except by direct means',100,2,5),
(108426,70564,'When Equipped:',100,0,0),
(108427,70564,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108428,70564,'Inflicts 240 cold damage on target',100,2,2),
(108429,70564,'Cannot be modified except by direct means',100,2,3),
(108430,10070564,'When Equipped:',100,0,0),
(108431,10070564,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108432,10070564,'Inflicts 336 cold damage on target',100,2,2),
(108433,10070564,'Cannot be modified except by direct means',100,2,3),
(108434,114440,'Inflicts 16 - 27 heat damage on target',100,1,0),
(108435,10114440,'Inflicts 21 - 36 heat damage on target',100,1,0),
(108436,119355,'Inflicts 259 - 388 disease damage on target',100,1,0),
(108437,119355,'Inflicts 103 - 155 disease damage on target every 4 seconds',100,1,1),
(108438,10119355,'Inflicts 362 - 543 disease damage on target',100,1,0),
(108439,10119355,'Inflicts 145 - 217 disease damage on target every 4 seconds',100,1,1),
(108440,48196,'Applies Spirit Totem of the Fearstalker when Activated.  Lasts for 30 minutes.',100,0,0),
(108441,48196,'Increases Out-of-Combat Health Regeneration of caster by 265.5',100,1,1),
(108442,48196,'This effect suspends during combat',100,1,2),
(108443,48196,'Only affects targets level 80 and above',100,1,3),
(108444,10048196,'Applies Spirit Totem of the Fearstalker when Activated.  Lasts for 30 minutes.',100,0,0),
(108445,10048196,'Increases Out-of-Combat Health Regeneration of caster by 265.5',100,1,1),
(108446,10048196,'This effect suspends during combat',100,1,2),
(108447,10048196,'Only affects targets level 80 and above',100,1,3),
(108448,109232,'Inflicts 53 - 88 melee damage on target',100,1,0),
(108449,10109232,'Inflicts 69 - 115 melee damage on target',100,1,0),
(108450,118652,'Inflicts 78 - 130 slashing damage on target',100,1,0),
(108451,10118652,'Inflicts 102 - 170 slashing damage on target',100,1,0),
(108452,123487,'Decreases Mitigation of target encounter vs noxious damage by 148',100,1,0),
(108453,10123487,'Decreases Mitigation of target encounter vs noxious damage by 148',100,1,0),
(108454,70302,'When Equipped:',100,0,0),
(108455,70302,'This effect will not stack with any rank or tier of itself.',100,1,1),
(108456,70302,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(108457,70302,'Increases Attack Speed of caster by 11.0',100,1,3),
(108458,70302,'Cannot be modified except by direct means',100,1,4),
(108459,10070302,'When Equipped:',100,0,0),
(108460,10070302,'This effect will not stack with any rank or tier of itself.',100,1,1),
(108461,10070302,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(108462,10070302,'Increases Attack Speed of caster by 11.0',100,1,3),
(108463,10070302,'Cannot be modified except by direct means',100,1,4),
(108464,71604,'When Equipped:',100,0,0),
(108465,71604,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108466,71604,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(108467,71604,'Cannot be modified except by direct means',100,2,3),
(108468,10071604,'When Equipped:',100,0,0),
(108469,10071604,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108470,10071604,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(108471,10071604,'Cannot be modified except by direct means',100,2,3),
(108472,47345,'Applies Naiad Waterworker Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(108473,47345,'Naiad Waterworker Potion',100,1,1),
(108474,10047345,'Applies Naiad Waterworker Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(108475,10047345,'Naiad Waterworker Potion',100,1,1),
(108476,116191,'Inflicts 422 - 704 mental damage on target',100,1,0),
(108477,10116191,'Inflicts 591 - 985 mental damage on target',100,1,0),
(108478,118532,'Inflicts 371 - 619 melee damage on target',100,1,0),
(108479,118532,'Decreases STR of target by 45.8',100,1,1),
(108480,118532,'You must be sneaking to use this ability.',100,1,2),
(108481,10118532,'Inflicts 482 - 804 melee damage on target',100,1,0),
(108482,10118532,'Decreases STR of target by 45.8',100,1,1),
(108483,10118532,'You must be sneaking to use this ability.',100,1,2),
(108484,101818,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(108485,101818,'Decreases Threat to target by 1,408 ',100,2,1),
(108486,10101818,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(108487,10101818,'Inflicts 111 - 122 crushing damage on target',100,2,1),
(108488,103801,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 28.1',100,1,0),
(108489,10103801,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 28.1',100,1,0),
(108490,163296,'When Equipped:',100,0,0),
(108491,163296,'Increases Attack Speed of caster by 2.0',100,1,1),
(108492,10163296,'When Equipped:',100,0,0),
(108493,10163296,'Increases Attack Speed of caster by 2.0',100,1,1),
(108494,48955,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(108495,48955,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(108496,48955,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,2),
(108497,48955,'Inflicts 33 poison damage on target',100,2,3),
(108498,48955,'Cannot be modified except by direct means',100,2,4),
(108499,48955,'Grants a total of 200 triggers of the spell.',100,2,5),
(108500,10048955,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(108501,10048955,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(108502,10048955,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,2),
(108503,10048955,'Inflicts 35 poison damage on target',100,2,3),
(108504,10048955,'Cannot be modified except by direct means',100,2,4),
(108505,10048955,'Grants a total of 200 triggers of the spell.',100,2,5),
(108506,148411,'When Equipped:',100,0,0),
(108507,148411,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(108508,148411,'Wards caster against 1800 points of all damage',100,2,2),
(108509,148411,'This ward regenerates slowly over time.',100,2,3),
(108510,148411,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(108511,148411,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,5),
(108512,148411,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,6),
(108513,148411,'Must not be engaged in pvp combat',100,2,7),
(108514,148411,'Cannot be modified except by direct means',100,2,8),
(108515,148411,'Must not be engaged in pvp combat',100,1,9),
(108516,10148411,'When Equipped:',100,0,0),
(108517,10148411,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(108518,10148411,'Wards caster against 1800 points of all damage',100,2,2),
(108519,10148411,'This ward regenerates slowly over time.',100,2,3),
(108520,10148411,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(108521,10148411,'Inflicts 7972 - 8811 piercing damage on target encounter',100,2,5),
(108522,10148411,'Inflicts 886 - 979 piercing damage on target encounter every 3 seconds',100,2,6),
(108523,10148411,'Must not be engaged in pvp combat',100,2,7),
(108524,10148411,'Cannot be modified except by direct means',100,2,8),
(108525,10148411,'Must not be engaged in pvp combat',100,1,9),
(108526,37306,'Increases STR and STA of target by 1.2',100,0,0),
(108527,37306,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(108528,141808,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(108529,141808,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(108530,141808,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(108531,141808,'Cannot be modified except by direct means',100,2,3),
(108532,10141808,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(108533,10141808,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(108534,10141808,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(108535,10141808,'Cannot be modified except by direct means',100,2,3),
(108536,103181,'Throws target back',100,1,0),
(108537,103181,'If Target is not Epic',100,2,1),
(108538,103181,'Inflicts 344 - 1032 crushing damage on target',100,1,2),
(108539,103181,'Stuns target',100,1,3),
(108540,103181,'If Target is not Epic',100,2,4),
(108541,103181,'Resistibility increases against targets higher than level 118.',100,1,5),
(108542,10103181,'Throws target back',100,1,0),
(108543,10103181,'If Target is not Epic',100,2,1),
(108544,10103181,'Inflicts 447 - 1342 crushing damage on target',100,1,2),
(108545,10103181,'Stuns target',100,1,3),
(108546,10103181,'If Target is not Epic',100,2,4),
(108547,10103181,'Resistibility increases against targets higher than level 118.',100,1,5),
(108548,87313,'When Equipped:',100,0,0),
(108549,87313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108550,87313,'Inflicts 95 - 143 magic damage on target',100,2,2),
(108551,87313,'Cannot be modified except by direct means',100,2,3),
(108552,10087313,'When Equipped:',100,0,0),
(108553,10087313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108554,10087313,'Inflicts 133 - 200 magic damage on target',100,2,2),
(108555,10087313,'Cannot be modified except by direct means',100,2,3),
(108556,118658,'Inflicts 126 - 211 slashing damage on target',100,1,0),
(108557,10118658,'Inflicts 164 - 274 slashing damage on target',100,1,0),
(108558,87317,'When Equipped:',100,0,0),
(108559,87317,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108560,87317,'Inflicts 95 - 143 magic damage on target',100,2,2),
(108561,87317,'Cannot be modified except by direct means',100,2,3),
(108562,10087317,'When Equipped:',100,0,0),
(108563,10087317,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108564,10087317,'Inflicts 133 - 200 magic damage on target',100,2,2),
(108565,10087317,'Cannot be modified except by direct means',100,2,3),
(108566,117292,'Inflicts 404 - 674 melee damage on target',100,1,0),
(108567,117292,'Decreases Damage Per Second of target by 14.8',100,1,1),
(108568,117292,'Decreases Attack Speed of target by 10.4',100,1,2),
(108569,10117292,'Inflicts 525 - 876 melee damage on target',100,1,0),
(108570,10117292,'Decreases Damage Per Second of target by 14.8',100,1,1),
(108571,10117292,'Decreases Attack Speed of target by 10.4',100,1,2),
(108572,45831,'Applies Consume Essence when Activated.',100,0,0),
(108573,45831,'Heals group members (AE) for 881 - 1076',100,1,1),
(108574,45831,'Dispels 173 levels of any hostile effects on caster',100,1,2),
(108575,10045831,'Applies Consume Essence when Activated.',100,0,0),
(108576,10045831,'Heals group members (AE) for 572 - 700',100,1,1),
(108577,10045831,'Dispels 173 levels of any hostile effects on caster',100,1,2),
(108578,101670,'Decreases Attack Speed of target by 15.2',100,1,0),
(108579,101670,'Decreases Damage Per Second of target by 9.6',100,1,1),
(108580,10101670,'Decreases Attack Speed of target by 15.2',100,1,0),
(108581,10101670,'Decreases Damage Per Second of target by 9.6',100,1,1),
(108582,35520,'Increases STR and STA of target by 1.2',100,0,0),
(108583,35520,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(108584,155877,'When Equipped:',100,0,0),
(108585,155877,'On a hostile spell cast this spell may cast Greater Chaos Rift on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108586,155877,'Decreases Ability Reuse Speed of target by 5.5%',100,2,2),
(108587,155877,'Decreases Ability Casting Speed of caster by 5.5%',100,2,3),
(108588,155877,'Inflicts 530 poison damage on target',100,2,4),
(108589,155877,'Inflicts 530 heat damage on target',100,2,5),
(108590,155877,'Cannot be modified except by direct means',100,2,6),
(108591,155877,'Cannot be modified except by direct means',100,1,7),
(108592,10155877,'When Equipped:',100,0,0),
(108593,10155877,'On a hostile spell cast this spell may cast Greater Chaos Rift on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(108594,10155877,'Decreases Ability Reuse Speed of target by 5.5%',100,2,2),
(108595,10155877,'Decreases Ability Casting Speed of caster by 5.5%',100,2,3),
(108596,10155877,'Inflicts 741 poison damage on target',100,2,4),
(108597,10155877,'Inflicts 741 heat damage on target',100,2,5),
(108598,10155877,'Cannot be modified except by direct means',100,2,6),
(108599,10155877,'Cannot be modified except by direct means',100,1,7),
(108600,82589,'When Equipped:',100,0,0),
(108601,82589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108602,82589,'Inflicts 100 - 185 magic damage on target',100,2,2),
(108603,82589,'Cannot be modified except by direct means',100,2,3),
(108604,10082589,'When Equipped:',100,0,0),
(108605,10082589,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108606,10082589,'Inflicts 140 - 260 magic damage on target',100,2,2),
(108607,10082589,'Cannot be modified except by direct means',100,2,3),
(108608,107557,'Heals target for 136 - 166',100,1,0),
(108609,107557,'Heals target for 17 - 21 every second',100,1,1),
(108610,10107557,'Heals target for 88 - 108',100,1,0),
(108611,10107557,'Heals target for 11 - 14 every second',100,1,1),
(108612,109436,'Inflicts 141 - 173 cold damage on target instantly and every 4 seconds',100,1,0),
(108613,109436,'Decreases Mitigation of target vs elemental damage by 561',100,1,1),
(108614,10109436,'Inflicts 198 - 242 cold damage on target instantly and every 4 seconds',100,1,0),
(108615,10109436,'Decreases Mitigation of target vs elemental damage by 561',100,1,1),
(108616,82160,'When Equipped:',100,0,0),
(108617,82160,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(108618,82160,'Decreases Threat to target by 641 ',100,2,2),
(108619,82160,'Must be flanking or behind',100,3,3),
(108620,82160,'Increases Threat to target by 641 ',100,2,4),
(108621,82160,'Must be in front of',100,3,5),
(108622,82160,'Inflicts 182 - 339 magic damage on target',100,2,6),
(108623,82160,'Cannot be modified except by direct means',100,2,7),
(108624,10082160,'When Equipped:',100,0,0),
(108625,10082160,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(108626,10082160,'Inflicts 255 - 474 magic damage on target',100,2,2),
(108627,10082160,'Cannot be modified except by direct means',100,2,3),
(108628,45408,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(108629,45408,'Caster will harvest a second time on 4.0% of harvests.',100,1,1),
(108630,45408,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,2),
(108631,10045408,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(108632,10045408,'Caster will harvest a second time on 4.0% of harvests.',100,1,1),
(108633,10045408,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,2),
(108634,139631,'When Equipped:',100,0,0),
(108635,139631,'Increases Attack Speed of caster by 5.0',100,1,1),
(108636,10139631,'When Equipped:',100,0,0),
(108637,10139631,'Increases Attack Speed of caster by 5.0',100,1,1),
(108638,139358,'When Equipped:',100,0,0),
(108639,139358,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(108640,10139358,'When Equipped:',100,0,0),
(108641,10139358,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(108642,103614,'Increases STR of raid and group members (AE) by 6.0',100,1,0),
(108643,103614,'Improves the base amount of taunts by 10%.',100,1,1),
(108644,103614,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(108645,103614,'Increases AGI of raid and group members (AE) by 6.0',100,1,3),
(108646,103614,'Adds 1.0% to base avoidance.',100,1,4),
(108647,10103614,'Increases STR of raid and group members (AE) by 6.0',100,1,0),
(108648,10103614,'Improves the base amount of taunts by 10%.',100,1,1),
(108649,10103614,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(108650,10103614,'Increases AGI of raid and group members (AE) by 6.0',100,1,3),
(108651,10103614,'Adds 1.0% to base avoidance.',100,1,4),
(108652,188520,'When Equipped:',100,0,0),
(108653,188520,'Increases Attack Speed of caster by 45.0',100,1,1),
(108654,10188520,'When Equipped:',100,0,0),
(108655,10188520,'Increases Attack Speed of caster by 45.0',100,1,1),
(108656,159817,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(108657,159817,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(108658,159817,'Inflicts 104 heat damage on target',100,2,2),
(108659,159817,'Cannot be modified except by direct means',100,2,3),
(108660,10159817,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(108661,10159817,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(108662,10159817,'Inflicts 146 heat damage on target',100,2,2),
(108663,10159817,'Cannot be modified except by direct means',100,2,3),
(108664,141829,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(108665,141829,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(108666,141829,'Inflicts 52 heat damage on target',100,2,2),
(108667,141829,'Cannot be modified except by direct means',100,2,3),
(108668,10141829,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(108669,10141829,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(108670,10141829,'Inflicts 73 heat damage on target',100,2,2),
(108671,10141829,'Cannot be modified except by direct means',100,2,3),
(108672,25037,'When Equipped:',100,0,0),
(108673,25037,'Increases Crit Chance of caster by 5.0',100,1,1),
(108674,10025037,'When Equipped:',100,0,0),
(108675,10025037,'Increases Crit Chance of caster by 5.0',100,1,1),
(108676,109140,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(108677,109140,'Heals target for 842 - 1030',100,2,1),
(108678,109140,'Grants a total of 8 triggers of the spell.',100,2,2),
(108679,10109140,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(108680,10109140,'Heals target for 548 - 669',100,2,1),
(108681,10109140,'Grants a total of 8 triggers of the spell.',100,2,2),
(108682,108811,'Inflicts 554 - 1029 heat damage on targets in Area of Effect',100,1,0),
(108683,10108811,'Inflicts 775 - 1440 heat damage on targets in Area of Effect',100,1,0),
(108684,123139,'Inflicts 424 disease damage on targets in Area of Effect',100,1,0),
(108685,123139,'Inflicts 289 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(108686,10123139,'Inflicts 593 disease damage on targets in Area of Effect',100,1,0),
(108687,10123139,'Inflicts 404 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(108688,105496,'Stuns target encounter',100,1,0),
(108689,105496,'If Target is not Epic',100,2,1),
(108690,105496,'Inflicts 814 - 1512 poison damage on target encounter',100,1,2),
(108691,105496,'Resistibility increases against targets higher than level 115.',100,1,3),
(108692,10105496,'Inflicts 1140 - 2117 poison damage on target encounter',100,1,0),
(108693,10105496,'Stuns target encounter',100,1,1),
(108694,10105496,'If Target is not Epic',100,2,2),
(108695,10105496,'Resistibility increases against targets higher than level 115.',100,1,3),
(108696,110768,'Heals group members (AE) for 141 - 172 instantly and every 2 seconds',100,1,0),
(108697,10110768,'Heals group members (AE) for 91 - 112 instantly and every 2 seconds',100,1,0),
(108698,40627,'When Equipped:',100,0,0),
(108699,40627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108700,40627,'Inflicts 81 - 122 magic damage on target',100,2,2),
(108701,40627,'Cannot be modified except by direct means',100,2,3),
(108702,10040627,'When Equipped:',100,0,0),
(108703,10040627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108704,10040627,'Inflicts 113 - 170 magic damage on target',100,2,2),
(108705,10040627,'Cannot be modified except by direct means',100,2,3),
(108706,116911,'Summons a limited pet to aid the caster',100,1,0),
(108707,10116911,'Summons a limited pet to aid the caster',100,1,0),
(108708,110127,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(108709,110127,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(108710,110127,'Only affects the caster of Guardian''s Sphere',100,2,2),
(108711,110127,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(108712,110127,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(108713,110127,'If not fighter',100,2,5),
(108714,10110127,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(108715,10110127,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(108716,10110127,'Only affects the caster of Guardian''s Sphere',100,2,2),
(108717,10110127,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(108718,10110127,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(108719,10110127,'If not fighter',100,2,5),
(108720,81891,'When Equipped:',100,0,0),
(108721,81891,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(108722,81891,'Decreases Threat to target by 487 ',100,2,2),
(108723,81891,'Must be flanking or behind',100,3,3),
(108724,81891,'Increases Threat to target by 487 ',100,2,4),
(108725,81891,'Must be in front of',100,3,5),
(108726,81891,'Inflicts 141 - 262 magic damage on target',100,2,6),
(108727,81891,'Cannot be modified except by direct means',100,2,7),
(108728,10081891,'When Equipped:',100,0,0),
(108729,10081891,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(108730,10081891,'Inflicts 198 - 367 magic damage on target',100,2,2),
(108731,10081891,'Cannot be modified except by direct means',100,2,3),
(108732,87366,'When Equipped:',100,0,0),
(108733,87366,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108734,87366,'Inflicts 129 - 194 magic damage on target',100,2,2),
(108735,87366,'Cannot be modified except by direct means',100,2,3),
(108736,10087366,'When Equipped:',100,0,0),
(108737,10087366,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108738,10087366,'Inflicts 181 - 271 magic damage on target',100,2,2),
(108739,10087366,'Cannot be modified except by direct means',100,2,3),
(108740,117767,'Inflicts 416 - 693 divine damage on target',100,1,0),
(108741,10117767,'Inflicts 582 - 970 divine damage on target',100,1,0),
(108742,102706,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(108743,102706,'Inflicts 453 - 755 heat damage on target',100,2,1),
(108744,102706,'Grants a total of 5 triggers of the spell.',100,2,2),
(108745,102706,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(108746,102706,'Inflicts 453 - 755 heat damage on target',100,2,4),
(108747,102706,'Grants a total of 5 triggers of the spell.',100,2,5),
(108748,10102706,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(108749,10102706,'Inflicts 634 - 1057 heat damage on target',100,2,1),
(108750,10102706,'Grants a total of 5 triggers of the spell.',100,2,2),
(108751,10102706,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(108752,10102706,'Inflicts 634 - 1057 heat damage on target',100,2,4),
(108753,10102706,'Grants a total of 5 triggers of the spell.',100,2,5),
(108754,105375,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(108755,105375,'Inflicts 55 melee damage on target',100,2,1),
(108756,105375,'Interrupts target',100,2,2),
(108757,105375,'Decreases Defense of caster by 12.3',100,1,3),
(108758,105375,'Increases Piercing, Slashing, Ranged and Crushing of caster by 18.5',100,1,4),
(108759,10105375,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(108760,10105375,'Inflicts 71 melee damage on target',100,2,1),
(108761,10105375,'Interrupts target',100,2,2),
(108762,10105375,'Decreases Defense of caster by 12.3',100,1,3),
(108763,10105375,'Increases Piercing, Slashing, Ranged and Crushing of caster by 18.5',100,1,4),
(108764,40658,'When Equipped:',100,0,0),
(108765,40658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108766,40658,'Inflicts 179 - 268 magic damage on target',100,2,2),
(108767,40658,'Cannot be modified except by direct means',100,2,3),
(108768,10040658,'When Equipped:',100,0,0),
(108769,10040658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108770,10040658,'Inflicts 250 - 376 magic damage on target',100,2,2),
(108771,10040658,'Cannot be modified except by direct means',100,2,3),
(108772,112142,'Dispels 122 levels of physical and arcane hostile effects on caster',100,1,0),
(108773,10112142,'Dispels 122 levels of physical and arcane hostile effects on caster',100,1,0),
(108774,46236,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(108775,46236,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(108776,46236,'Decreases Attack Speed of target by 18.1',100,2,2),
(108777,46236,'Cannot be modified except by direct means',100,2,3),
(108778,46236,'Grants a total of 60 triggers of the spell.',100,2,4),
(108779,10046236,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(108780,10046236,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(108781,10046236,'Decreases Attack Speed of target by 18.1',100,2,2),
(108782,10046236,'Cannot be modified except by direct means',100,2,3),
(108783,10046236,'Grants a total of 60 triggers of the spell.',100,2,4),
(108784,102237,'Increases Max Health of group members (AE) by 682.4',100,1,0),
(108785,10102237,'Increases Max Health of group members (AE) by 682.4',100,1,0),
(108786,110478,'Stifles caster',100,1,0),
(108787,110478,'Increases power of caster by 16 instantly and every second',100,1,1),
(108788,10110478,'Stifles caster',100,1,0),
(108789,10110478,'Increases power of caster by 16 instantly and every second',100,1,1),
(108790,46179,'Applies Essence of Battle when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(108791,46179,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(108792,46179,'Inflicts 16 magic damage on target',100,2,2),
(108793,46179,'Cannot be modified except by direct means',100,2,3),
(108794,10046179,'Applies Essence of Battle when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(108795,10046179,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(108796,10046179,'Inflicts 23 magic damage on target',100,2,2),
(108797,10046179,'Cannot be modified except by direct means',100,2,3),
(108798,159274,'When Equipped:',100,0,0),
(108799,159274,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108800,159274,'Increases WIS of caster by 5.5',100,2,2),
(108801,159274,'Increases Ministration, Ordination and Focus of caster by 3.6',100,2,3),
(108802,159274,'Cannot be modified except by direct means',100,2,4),
(108803,10159274,'When Equipped:',100,0,0),
(108804,10159274,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(108805,10159274,'Increases WIS of caster by 5.5',100,2,2),
(108806,10159274,'Increases Ministration, Ordination and Focus of caster by 3.6',100,2,3),
(108807,10159274,'Cannot be modified except by direct means',100,2,4),
(108808,75131,'When Equipped:',100,0,0),
(108809,75131,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(108810,10075131,'When Equipped:',100,0,0),
(108811,10075131,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(108812,52838,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(108813,52838,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(108814,52838,'Inflicts 24 heat damage on target',100,2,2),
(108815,52838,'Cannot be modified except by direct means',100,2,3),
(108816,10052838,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(108817,10052838,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(108818,10052838,'Inflicts 33 heat damage on target',100,2,2),
(108819,10052838,'Cannot be modified except by direct means',100,2,3),
(108820,35785,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(108821,110769,'Heals group members (AE) for 148 - 181 instantly and every 2 seconds',100,1,0),
(108822,10110769,'Heals group members (AE) for 96 - 118 instantly and every 2 seconds',100,1,0),
(108823,82459,'When Equipped:',100,0,0),
(108824,82459,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108825,82459,'Inflicts 224 - 415 magic damage on target',100,2,2),
(108826,82459,'Cannot be modified except by direct means',100,2,3),
(108827,10082459,'When Equipped:',100,0,0),
(108828,10082459,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108829,10082459,'Inflicts 313 - 581 magic damage on target',100,2,2),
(108830,10082459,'Cannot be modified except by direct means',100,2,3),
(108831,178828,'When Equipped:',100,0,0),
(108832,178828,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(108833,178828,'Mesmerizes target',100,2,2),
(108834,178828,'Dispelled when target takes damage',100,2,3),
(108835,178828,'Only affects targets level 98 and below',100,2,4),
(108836,178828,'Does not affect Epic targets',100,2,5),
(108837,178828,'Resistibility increases against targets higher than level 113.',100,2,6),
(108838,178828,'Cannot be modified except by direct means',100,2,7),
(108839,10178828,'When Equipped:',100,0,0),
(108840,10178828,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(108841,10178828,'Mesmerizes target',100,2,2),
(108842,10178828,'Dispelled when target takes damage',100,2,3),
(108843,10178828,'Only affects targets level 98 and below',100,2,4),
(108844,10178828,'Does not affect Epic targets',100,2,5),
(108845,10178828,'Resistibility increases against targets higher than level 113.',100,2,6),
(108846,10178828,'Cannot be modified except by direct means',100,2,7),
(108847,105519,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 16.2',100,1,0),
(108848,10105519,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 16.2',100,1,0),
(108849,163230,'When Equipped:',100,0,0),
(108850,163230,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(108851,163230,'Inflicts 1199 disease damage on target encounter',100,2,2),
(108852,163230,'Must not be engaged in pvp combat',100,2,3),
(108853,163230,'Cannot be modified except by direct means',100,2,4),
(108854,10163230,'When Equipped:',100,0,0),
(108855,10163230,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(108856,10163230,'Inflicts 839 disease damage on target encounter',100,2,2),
(108857,10163230,'Must not be engaged in pvp combat',100,2,3),
(108858,10163230,'Cannot be modified except by direct means',100,2,4),
(108859,118139,'Heals target for 1387 - 1695',100,1,0),
(108860,10118139,'Heals target for 1639 - 2003',100,1,0),
(108861,115450,'Inflicts 91 - 111 mental damage on target instantly and every 6 seconds',100,1,0),
(108862,115450,'Decreases Mitigation of target vs arcane damage by 616',100,1,1),
(108863,10115450,'Inflicts 127 - 155 mental damage on target instantly and every 6 seconds',100,1,0),
(108864,10115450,'Decreases Mitigation of target vs arcane damage by 616',100,1,1),
(108865,81645,'When Equipped:',100,0,0),
(108866,81645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108867,81645,'Inflicts 131 - 244 magic damage on target',100,2,2),
(108868,81645,'Cannot be modified except by direct means',100,2,3),
(108869,10081645,'When Equipped:',100,0,0),
(108870,10081645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(108871,10081645,'Inflicts 184 - 342 magic damage on target',100,2,2),
(108872,10081645,'Cannot be modified except by direct means',100,2,3),
(108873,155425,'When Equipped:',100,0,0),
(108874,155425,'Increases Attack Speed of caster by 40.0',100,1,1),
(108875,10155425,'When Equipped:',100,0,0),
(108876,10155425,'Increases Attack Speed of caster by 40.0',100,1,1),
(108877,107006,'Interrupts target',100,1,0),
(108878,107006,'Inflicts 76 - 127 melee damage on target',100,1,1),
(108879,107006,'Must be flanking or behind',100,1,2),
(108880,10107006,'Interrupts target',100,1,0),
(108881,10107006,'Inflicts 99 - 166 melee damage on target',100,1,1),
(108882,10107006,'Must be flanking or behind',100,1,2),
(108883,107457,'Summons a pet earthen avatar',100,1,0),
(108884,10107457,'Summons a pet earthen avatar',100,1,0),
(108885,36260,'Increases STA of target by 4.6',100,0,0),
(108886,36260,'Increases outgoing damaging spell amount by 1.5%',100,0,1),
(108887,36260,'Increases INT of target by 4.6',100,0,2),
(108888,36260,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,3),
(108889,115094,'Heals target for 746 - 912',100,1,0),
(108890,115094,'Heals target for 96 - 117 every second',100,1,1),
(108891,10115094,'Heals target for 1385 - 1693',100,1,0),
(108892,10115094,'Heals target for 104 - 127 every second',100,1,1),
(108893,139363,'When Equipped:',100,0,0),
(108894,139363,'Allows caster to breathe under water',100,1,1),
(108895,139363,'When Equipped:',100,0,2),
(108896,139363,'Reduces maximum falling speed of caster',100,1,3),
(108897,10139363,'When Equipped:',100,0,0),
(108898,10139363,'Allows caster to breathe under water',100,1,1),
(108899,10139363,'When Equipped:',100,0,2),
(108900,10139363,'Reduces maximum falling speed of caster',100,1,3),
(108901,108489,'Stuns target',100,1,0),
(108902,108489,'Prevents AOE (except when direct) ',100,1,1),
(108903,108489,'Dispelled when target takes damage',100,1,2),
(108904,108489,'Does not affect Epic targets',100,1,3),
(108905,108489,'Resistibility increases against targets higher than level 39.',100,1,4),
(108906,10108489,'Stuns target',100,1,0),
(108907,10108489,'Prevents AOE (except when direct) ',100,1,1),
(108908,10108489,'Dispelled when target takes damage',100,1,2),
(108909,10108489,'Does not affect Epic targets',100,1,3),
(108910,10108489,'Resistibility increases against targets higher than level 39.',100,1,4),
(108911,26780,'When Equipped:',100,0,0),
(108912,26780,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(108913,26780,'On a critical spell hit this spell may cast Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(108914,26780,'Increases Ability Reuse Speed of caster by 10.0%',100,2,3),
(108915,26780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(108916,26780,'Must not be engaged in pvp combat',100,2,5),
(108917,26780,'Cannot be modified except by direct means',100,2,6),
(108918,26780,'On a critical healing spell cast this spell may cast Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(108919,26780,'Increases Ability Reuse Speed of caster by 10.0%',100,2,8),
(108920,26780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(108921,26780,'Must not be engaged in pvp combat',100,2,10),
(108922,26780,'Cannot be modified except by direct means',100,2,11),
(108923,26780,'On a critical combat hit this spell may cast Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(108924,26780,'Increases Ability Reuse Speed of caster by 10.0%',100,2,13),
(108925,26780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,14),
(108926,26780,'Must not be engaged in pvp combat',100,2,15),
(108927,26780,'Cannot be modified except by direct means',100,2,16),
(108928,26780,'Must not be engaged in pvp combat',100,1,17),
(108929,10026780,'When Equipped:',100,0,0),
(108930,10026780,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(108931,10026780,'On a critical spell hit this spell may cast Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(108932,10026780,'Increases Ability Reuse Speed of caster by 10.0%',100,2,3),
(108933,10026780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(108934,10026780,'Must not be engaged in pvp combat',100,2,5),
(108935,10026780,'Cannot be modified except by direct means',100,2,6),
(108936,10026780,'On a critical healing spell cast this spell may cast Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(108937,10026780,'Increases Ability Reuse Speed of caster by 10.0%',100,2,8),
(108938,10026780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(108939,10026780,'Must not be engaged in pvp combat',100,2,10),
(108940,10026780,'Cannot be modified except by direct means',100,2,11),
(108941,10026780,'On a critical combat hit this spell may cast Perpetual Flow I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(108942,10026780,'Increases Ability Reuse Speed of caster by 10.0%',100,2,13),
(108943,10026780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,14),
(108944,10026780,'Must not be engaged in pvp combat',100,2,15),
(108945,10026780,'Cannot be modified except by direct means',100,2,16),
(108946,10026780,'Must not be engaged in pvp combat',100,1,17),
(108947,113227,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(108948,113227,'Inflicts 237 magic damage on target',100,2,1),
(108949,113227,'Grants a total of 5 triggers of the spell.',100,2,2),
(108950,10113227,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(108951,10113227,'Inflicts 332 magic damage on target',100,2,1),
(108952,10113227,'Grants a total of 5 triggers of the spell.',100,2,2),
(108953,101754,'Heals group members (AE) for 112 - 137 instantly and every 2 seconds',100,1,0),
(108954,10101754,'Heals group members (AE) for 73 - 89 instantly and every 2 seconds',100,1,0),
(108955,26713,'When Equipped:',100,0,0),
(108956,26713,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(108957,26713,'On a critical healing spell cast this spell may cast Greater  Aegis I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(108958,26713,'Wards target against 5000 points of all damage',100,2,3),
(108959,26713,'Must not be engaged in pvp combat',100,2,4),
(108960,26713,'Cannot be modified except by direct means',100,2,5),
(108961,26713,'Must not be engaged in pvp combat',100,1,6),
(108962,10026713,'When Equipped:',100,0,0),
(108963,10026713,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(108964,10026713,'On a critical healing spell cast this spell may cast Greater  Aegis I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(108965,10026713,'Wards target against 5000 points of all damage',100,2,3),
(108966,10026713,'Must not be engaged in pvp combat',100,2,4),
(108967,10026713,'Cannot be modified except by direct means',100,2,5),
(108968,10026713,'Must not be engaged in pvp combat',100,1,6),
(108969,159451,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(108970,159451,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(108971,159451,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(108972,159451,'Cannot be modified except by direct means',100,2,3),
(108973,10159451,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(108974,10159451,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(108975,10159451,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(108976,10159451,'Cannot be modified except by direct means',100,2,3),
(108977,123311,'Increases STA of raid and group members (AE) by 16.4',100,1,0),
(108978,123311,'Increase spell damage of group and raid members by 5%.',100,1,1),
(108979,10123311,'Increases STA of raid and group members (AE) by 16.4',100,1,0),
(108980,10123311,'Increase spell damage of group and raid members by 5%.',100,1,1),
(108981,120787,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(108982,120787,'Stuns target',100,2,1),
(108983,120787,'Throws target back',100,2,2),
(108984,120787,'Blurs vision of target',100,2,3),
(108985,120787,'Does not affect Epic targets',100,2,4),
(108986,120787,'Inflicts 132 - 220 piercing damage on target',100,1,5),
(108987,10120787,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(108988,10120787,'Stuns target',100,2,1),
(108989,10120787,'Throws target back',100,2,2),
(108990,10120787,'Blurs vision of target',100,2,3),
(108991,10120787,'Does not affect Epic targets',100,2,4),
(108992,10120787,'Inflicts 171 - 286 piercing damage on target',100,1,5),
(108993,118150,'Inflicts 311 - 518 melee damage on target',100,1,0),
(108994,118150,'Dazes target',100,1,1),
(108995,118150,'If Target is not Epic',100,2,2),
(108996,118150,'Resistibility increases against targets higher than level 69.',100,1,3),
(108997,10118150,'Inflicts 404 - 674 melee damage on target',100,1,0),
(108998,10118150,'Dazes target',100,1,1),
(108999,10118150,'If Target is not Epic',100,2,2),
(109000,10118150,'Resistibility increases against targets higher than level 69.',100,1,3),
(109001,71822,'When Equipped:',100,0,0),
(109002,71822,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109003,71822,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(109004,71822,'Cannot be modified except by direct means',100,2,3),
(109005,10071822,'When Equipped:',100,0,0),
(109006,10071822,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109007,10071822,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(109008,10071822,'Cannot be modified except by direct means',100,2,3),
(109009,112004,'Inflicts 363 - 606 piercing damage on target',100,1,0),
(109010,10112004,'Inflicts 472 - 787 piercing damage on target',100,1,0),
(109011,103957,'Applies Castigate.',100,1,0),
(109012,103957,'Inflicts 888 - 1480 divine damage on targets in Area of Effect',100,2,1),
(109013,103957,'Dispels 136 levels of any hostile effects on caster',100,1,2),
(109014,103957,'Casts Castigate for each successful Dispel.',100,1,3),
(109015,103957,'Inflicts 888 - 1480 divine damage on targets in Area of Effect',100,3,4),
(109016,10103957,'Applies Castigate.',100,1,0),
(109017,10103957,'Inflicts 1243 - 2072 divine damage on targets in Area of Effect',100,2,1),
(109018,10103957,'Dispels 136 levels of any hostile effects on caster',100,1,2),
(109019,10103957,'Casts Castigate for each successful Dispel.',100,1,3),
(109020,10103957,'Inflicts 1243 - 2072 divine damage on targets in Area of Effect',100,3,4),
(109021,48741,'Applies Elixir of Magic Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(109022,10048741,'Applies Elixir of Magic Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(109023,106742,'Heals target for 857 - 1048',100,1,0),
(109024,10106742,'Heals target for 1008 - 1231',100,1,0),
(109025,114096,'Inflicts 348 - 580 melee damage on targets in area',100,1,0),
(109026,114096,'You must be in stealth to use this!',100,1,1),
(109027,10114096,'Inflicts 452 - 754 melee damage on targets in area',100,1,0),
(109028,10114096,'You must be in stealth to use this!',100,1,1),
(109029,139978,'When Equipped:',100,0,0),
(109030,139978,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(109031,139978,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(109032,139978,'Must not be engaged in pvp combat',100,2,3),
(109033,139978,'Cannot be modified except by direct means',100,2,4),
(109034,139978,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(109035,139978,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(109036,139978,'Must not be engaged in pvp combat',100,2,7),
(109037,139978,'Cannot be modified except by direct means',100,2,8),
(109038,139978,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(109039,139978,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(109040,139978,'Must not be engaged in pvp combat',100,2,11),
(109041,139978,'Cannot be modified except by direct means',100,2,12),
(109042,139978,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(109043,139978,'Inflicts 67 piercing damage on target',100,2,14),
(109044,139978,'Must not be engaged in pvp combat',100,2,15),
(109045,139978,'Cannot be modified except by direct means',100,2,16),
(109046,10139978,'When Equipped:',100,0,0),
(109047,10139978,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(109048,10139978,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(109049,10139978,'Must not be engaged in pvp combat',100,2,3),
(109050,10139978,'Cannot be modified except by direct means',100,2,4),
(109051,10139978,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(109052,10139978,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(109053,10139978,'Must not be engaged in pvp combat',100,2,7),
(109054,10139978,'Cannot be modified except by direct means',100,2,8),
(109055,10139978,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(109056,10139978,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(109057,10139978,'Must not be engaged in pvp combat',100,2,11),
(109058,10139978,'Cannot be modified except by direct means',100,2,12),
(109059,10139978,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(109060,10139978,'Inflicts 93 piercing damage on target',100,2,14),
(109061,10139978,'Must not be engaged in pvp combat',100,2,15),
(109062,10139978,'Cannot be modified except by direct means',100,2,16),
(109063,120943,'Inflicts 155 - 259 ranged damage on target',100,1,0),
(109064,120943,'If weapon equipped in Ranged',100,1,1),
(109065,120943,'Must be behind',100,1,2),
(109066,10120943,'Inflicts 132 - 220 ranged damage on target',100,1,0),
(109067,10120943,'If weapon equipped in Ranged',100,1,1),
(109068,10120943,'Must be behind',100,1,2),
(109069,119500,'Dazes target encounter',100,1,0),
(109070,119500,'If Target is not Epic',100,2,1),
(109071,119500,'Inflicts 264 - 323 magic damage on target encounter instantly and every second',100,1,2),
(109072,119500,'Resistibility increases against targets higher than level 107.',100,1,3),
(109073,10119500,'Dazes target encounter',100,1,0),
(109074,10119500,'If Target is not Epic',100,2,1),
(109075,10119500,'Inflicts 486 - 594 magic damage on target encounter',100,1,2),
(109076,10119500,'Inflicts 370 - 452 magic damage on target encounter every second',100,1,3),
(109077,10119500,'Resistibility increases against targets higher than level 107.',100,1,4),
(109078,105168,'Increases AGI of caster by 55.4',100,1,0),
(109079,105168,'Adds 1.5% to base avoidance.',100,1,1),
(109080,105168,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(109081,105168,'Increases Parry of caster by 31.6',100,1,3),
(109082,105168,'Increases Defense of caster by 42.2',100,1,4),
(109083,10105168,'Increases AGI of caster by 55.4',100,1,0),
(109084,10105168,'Adds 1.5% to base avoidance.',100,1,1),
(109085,10105168,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(109086,10105168,'Increases Parry of caster by 31.6',100,1,3),
(109087,10105168,'Increases Defense of caster by 42.2',100,1,4),
(109088,80682,'When Equipped:',100,0,0),
(109089,80682,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109090,80682,'Decreases Threat to target by 236 ',100,2,2),
(109091,80682,'Must be flanking or behind',100,3,3),
(109092,80682,'Increases Threat to target by 236 ',100,2,4),
(109093,80682,'Must be in front of',100,3,5),
(109094,80682,'Inflicts 71 - 132 magic damage on target',100,2,6),
(109095,80682,'Cannot be modified except by direct means',100,2,7),
(109096,10080682,'When Equipped:',100,0,0),
(109097,10080682,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109098,10080682,'Inflicts 100 - 185 magic damage on target',100,2,2),
(109099,10080682,'Cannot be modified except by direct means',100,2,3),
(109100,27476,'When Equipped:',100,0,0),
(109101,27476,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(109102,27476,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(109103,10027476,'When Equipped:',100,0,0),
(109104,10027476,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(109105,10027476,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(109106,108344,'Feigns Death with 90% chance of success',100,1,0),
(109107,10108344,'Feigns Death with 90% chance of success',100,1,0),
(109108,122708,'Increases Attack Speed of caster by 24.0',100,1,0),
(109109,122708,'Decreases Defense of caster by 4.8',100,1,1),
(109110,122708,'Increases Slashing, Piercing, Crushing and Ranged of caster by 11.5',100,1,2),
(109111,10122708,'Increases Attack Speed of caster by 24.0',100,1,0),
(109112,10122708,'Decreases Defense of caster by 4.8',100,1,1),
(109113,10122708,'Increases Slashing, Piercing, Crushing and Ranged of caster by 11.5',100,1,2),
(109114,80551,'When Equipped:',100,0,0),
(109115,80551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109116,80551,'Inflicts 94 - 174 magic damage on target',100,2,2),
(109117,80551,'Cannot be modified except by direct means',100,2,3),
(109118,10080551,'When Equipped:',100,0,0),
(109119,10080551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109120,10080551,'Inflicts 131 - 244 magic damage on target',100,2,2),
(109121,10080551,'Cannot be modified except by direct means',100,2,3),
(109122,114518,'Heals target for 52 - 64',100,1,0),
(109123,10114518,'Heals target for 68 - 83',100,1,0),
(109124,121454,'Increases AGI of caster by 61.3',100,1,0),
(109125,121454,'Adds 14.8% to base avoidance.',100,1,1),
(109126,121454,'Increases Mitigation of caster vs physical damage by 596',100,1,2),
(109127,121454,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,3),
(109128,10121454,'Increases AGI of caster by 61.3',100,1,0),
(109129,10121454,'Adds 14.8% to base avoidance.',100,1,1),
(109130,10121454,'Increases Mitigation of caster vs physical damage by 596',100,1,2),
(109131,10121454,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,3),
(109132,113790,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(109133,113790,'Heals target for 266 - 326',100,2,1),
(109134,10113790,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(109135,10113790,'Heals target for 173 - 212',100,2,1),
(109136,115419,'Inflicts 875 - 1458 melee damage on target',100,1,0),
(109137,115419,'Decreases INT of target by 108.9',100,1,1),
(109138,115419,'You must be sneaking to use this ability.',100,1,2),
(109139,10115419,'Inflicts 1137 - 1895 melee damage on target',100,1,0),
(109140,10115419,'Decreases INT of target by 108.9',100,1,1),
(109141,10115419,'You must be sneaking to use this ability.',100,1,2),
(109142,177559,'When Equipped:',100,0,0),
(109143,177559,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109144,177559,'Increases INT of caster by 5.5',100,2,2),
(109145,177559,'Increases Focus, Disruption and Subjugation of caster by 3.6',100,2,3),
(109146,177559,'Cannot be modified except by direct means',100,2,4),
(109147,10177559,'When Equipped:',100,0,0),
(109148,10177559,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109149,10177559,'Increases INT of caster by 5.5',100,2,2),
(109150,10177559,'Increases Focus, Disruption and Subjugation of caster by 3.6',100,2,3),
(109151,10177559,'Cannot be modified except by direct means',100,2,4),
(109152,104640,'Inflicts 210 - 351 crushing damage on target',100,1,0),
(109153,104640,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 21.2',100,1,1),
(109154,10104640,'Inflicts 274 - 456 crushing damage on target',100,1,0),
(109155,10104640,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 21.2',100,1,1),
(109156,114619,'Decreases WIS of target by 16.7',100,1,0),
(109157,114619,'Inflicts 156 - 261 melee damage on target',100,1,1),
(109158,114619,'You must be sneaking to use this ability.',100,1,2),
(109159,10114619,'Decreases WIS of target by 16.7',100,1,0),
(109160,10114619,'Inflicts 204 - 340 melee damage on target',100,1,1),
(109161,10114619,'You must be sneaking to use this ability.',100,1,2),
(109162,163279,'When Equipped:',100,0,0),
(109163,163279,'On a critical combat hit this spell may cast Call of Solusek IX on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(109164,163279,'Summons a limited pet to aid the caster',100,2,2),
(109165,163279,'Decreases Mitigation of target vs elemental damage by 1053',100,2,3),
(109166,163279,'Inflicts 1265 - 1399 heat damage on target instantly and every 2 seconds',100,2,4),
(109167,163279,'Must not be engaged in pvp combat',100,2,5),
(109168,163279,'Cannot be modified except by direct means',100,2,6),
(109169,163279,'On a critical spell hit this spell may cast Call of Solusek IX on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(109170,163279,'Summons a limited pet to aid the caster',100,2,8),
(109171,163279,'Decreases Mitigation of target vs elemental damage by 1053',100,2,9),
(109172,163279,'Inflicts 1265 - 1399 heat damage on target instantly and every 2 seconds',100,2,10),
(109173,163279,'Must not be engaged in pvp combat',100,2,11),
(109174,163279,'Cannot be modified except by direct means',100,2,12),
(109175,163279,'Must not be engaged in pvp combat',100,1,13),
(109176,10163279,'When Equipped:',100,0,0),
(109177,10163279,'On a critical combat hit this spell may cast Call of Solusek IX on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(109178,10163279,'Summons a limited pet to aid the caster',100,2,2),
(109179,10163279,'Decreases Mitigation of target vs elemental damage by 1053',100,2,3),
(109180,10163279,'Inflicts 1772 - 1958 heat damage on target instantly and every 2 seconds',100,2,4),
(109181,10163279,'Must not be engaged in pvp combat',100,2,5),
(109182,10163279,'Cannot be modified except by direct means',100,2,6),
(109183,10163279,'On a critical spell hit this spell may cast Call of Solusek IX on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(109184,10163279,'Summons a limited pet to aid the caster',100,2,8),
(109185,10163279,'Decreases Mitigation of target vs elemental damage by 1053',100,2,9),
(109186,10163279,'Inflicts 1772 - 1958 heat damage on target instantly and every 2 seconds',100,2,10),
(109187,10163279,'Must not be engaged in pvp combat',100,2,11),
(109188,10163279,'Cannot be modified except by direct means',100,2,12),
(109189,10163279,'Must not be engaged in pvp combat',100,1,13),
(109190,102716,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(109191,102716,'Inflicts 520 - 867 heat damage on target',100,2,1),
(109192,102716,'Grants a total of 5 triggers of the spell.',100,2,2),
(109193,102716,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(109194,102716,'Inflicts 520 - 867 heat damage on target',100,2,4),
(109195,102716,'Grants a total of 5 triggers of the spell.',100,2,5),
(109196,10102716,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(109197,10102716,'Inflicts 728 - 1213 heat damage on target',100,2,1),
(109198,10102716,'Grants a total of 5 triggers of the spell.',100,2,2),
(109199,10102716,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(109200,10102716,'Inflicts 728 - 1213 heat damage on target',100,2,4),
(109201,10102716,'Grants a total of 5 triggers of the spell.',100,2,5),
(109202,88120,'Applies Nightmarish Vision when Equipped.',100,0,0),
(109203,88120,'Makes the tortured spirits in the Wellspring of Nightmares visible.',100,1,1),
(109204,10088120,'Applies Nightmarish Vision when Equipped.',100,0,0),
(109205,10088120,'Makes the tortured spirits in the Wellspring of Nightmares visible.',100,1,1),
(109206,137423,'When Equipped:',100,0,0),
(109207,137423,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(109208,137423,'Inflicts 2664 disease damage on target encounter',100,2,2),
(109209,137423,'Must not be engaged in pvp combat',100,2,3),
(109210,137423,'Cannot be modified except by direct means',100,2,4),
(109211,10137423,'When Equipped:',100,0,0),
(109212,10137423,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(109213,10137423,'Inflicts 1865 disease damage on target encounter',100,2,2),
(109214,10137423,'Must not be engaged in pvp combat',100,2,3),
(109215,10137423,'Cannot be modified except by direct means',100,2,4),
(109216,105668,'Decreases Damage Per Second of target by 18.6',100,1,0),
(109217,105668,'Inflicts 209 - 348 melee damage on target',100,1,1),
(109218,105668,'Must be flanking or behind',100,1,2),
(109219,10105668,'Decreases Damage Per Second of target by 18.6',100,1,0),
(109220,10105668,'Inflicts 271 - 453 melee damage on target',100,1,1),
(109221,10105668,'Must be flanking or behind',100,1,2),
(109222,100035,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(109223,100035,'Inflicts 283 - 473 melee damage on targets in area',100,2,1),
(109224,100035,'Decreases Defense of caster by 23.4',100,1,2),
(109225,100035,'Increases Slashing, Piercing and Crushing of caster by 49.1',100,1,3),
(109226,10100035,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(109227,10100035,'Inflicts 369 - 615 melee damage on targets in area',100,2,1),
(109228,10100035,'Decreases Defense of caster by 23.4',100,1,2),
(109229,10100035,'Increases Slashing, Piercing and Crushing of caster by 49.1',100,1,3),
(109230,123686,'Increases Damage Per Second of target by 67.7',100,1,0),
(109231,10123686,'Increases Damage Per Second of target by 67.7',100,1,0),
(109232,103813,'Increases Ability Casting Speed of raid and group members (AE) by 3.3%',100,1,0),
(109233,103813,'Increases Attack Speed of raid and group members (AE) by 8.4',100,1,1),
(109234,10103813,'Increases Ability Casting Speed of raid and group members (AE) by 3.3%',100,1,0),
(109235,10103813,'Increases Attack Speed of raid and group members (AE) by 8.4',100,1,1),
(109236,120348,'Inflicts 10 - 13 divine damage on target',100,1,0),
(109237,10120348,'Inflicts 15 - 18 divine damage on target',100,1,0),
(109238,144655,'When Equipped:',100,0,0),
(109239,144655,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(109240,144655,'Increases Potency of caster by 5.0%',100,2,2),
(109241,144655,'Cannot be modified except by direct means',100,2,3),
(109242,10144655,'When Equipped:',100,0,0),
(109243,10144655,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(109244,10144655,'Increases Potency of caster by 5.0%',100,2,2),
(109245,10144655,'Cannot be modified except by direct means',100,2,3),
(109246,104905,'Inflicts 529 - 882 magic damage on targets in area',100,1,0),
(109247,10104905,'Inflicts 688 - 1146 magic damage on targets in area',100,1,0),
(109248,119753,'Wards group members (AE) against 209 points of elemental, noxious and arcane damage',100,1,0),
(109249,119753,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,1),
(109250,10119753,'Wards group members (AE) against 209 points of elemental, noxious and arcane damage',100,1,0),
(109251,10119753,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,1),
(109252,106057,'Increases AGI of caster by 77.9',100,1,0),
(109253,106057,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(109254,106057,'Inflicts 129 - 214 disease damage on target',100,2,2),
(109255,106057,'Adds 21.8% to base avoidance.',100,1,3),
(109256,106057,'Increases Mitigation of caster vs physical damage by 402',100,1,4),
(109257,106057,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,5),
(109258,10106057,'Increases AGI of caster by 77.9',100,1,0),
(109259,10106057,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(109260,10106057,'Inflicts 180 - 300 disease damage on target',100,2,2),
(109261,10106057,'Adds 21.8% to base avoidance.',100,1,3),
(109262,10106057,'Increases Mitigation of caster vs physical damage by 402',100,1,4),
(109263,10106057,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,5),
(109264,111993,'Inflicts 174 - 290 piercing damage on target',100,1,0),
(109265,10111993,'Inflicts 226 - 378 piercing damage on target',100,1,0),
(109266,118467,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(109267,118467,'Inflicts 36 - 44 heat damage on target instantly and every second',100,2,1),
(109268,10118467,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(109269,10118467,'Inflicts 50 - 61 heat damage on target instantly and every second',100,2,1),
(109270,101822,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(109271,101822,'Decreases Threat to target by 1,683 ',100,2,1),
(109272,10101822,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(109273,10101822,'Inflicts 130 - 143 crushing damage on target',100,2,1),
(109274,46196,'Applies Minor Illusion when Activated.  Lasts for 5 minutes.',100,0,0),
(109275,46196,'Applies a minor illusion to the owner.',100,1,1),
(109276,10046196,'Applies Minor Illusion when Activated.  Lasts for 5 minutes.',100,0,0),
(109277,10046196,'Applies a minor illusion to the owner.',100,1,1),
(109278,82063,'When Equipped:',100,0,0),
(109279,82063,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109280,82063,'Inflicts 182 - 339 magic damage on target',100,2,2),
(109281,82063,'Cannot be modified except by direct means',100,2,3),
(109282,10082063,'When Equipped:',100,0,0),
(109283,10082063,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109284,10082063,'Inflicts 255 - 474 magic damage on target',100,2,2),
(109285,10082063,'Cannot be modified except by direct means',100,2,3),
(109286,177659,'When Equipped:',100,0,0),
(109287,177659,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(109288,177659,'Increases AGI of caster by 8.3',100,2,2),
(109289,177659,'Increases Attack Speed of caster by 15.4',100,2,3),
(109290,177659,'Cannot be modified except by direct means',100,2,4),
(109291,10177659,'When Equipped:',100,0,0),
(109292,10177659,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(109293,10177659,'Increases AGI of caster by 8.3',100,2,2),
(109294,10177659,'Increases Attack Speed of caster by 15.4',100,2,3),
(109295,10177659,'Cannot be modified except by direct means',100,2,4),
(109296,119280,'Inflicts 94 - 157 slashing damage on target',100,1,0),
(109297,119280,'Decreases Damage Per Second of target by 17.5',100,1,1),
(109298,119280,'Inflicts 126 slashing damage on target instantly and every 4 seconds',100,1,2),
(109299,10119280,'Inflicts 122 - 204 slashing damage on target',100,1,0),
(109300,10119280,'Decreases Damage Per Second of target by 17.5',100,1,1),
(109301,10119280,'Inflicts 176 slashing damage on target instantly and every 4 seconds',100,1,2),
(109302,72800,'When Equipped:',100,0,0),
(109303,72800,'On a critical combat hit this spell may cast Paralyzing Puncture II on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(109304,72800,'Stuns target',100,2,2),
(109305,72800,'If Target is not Epic',100,3,3),
(109306,72800,'Inflicts 74 - 82 heat damage on target',100,2,4),
(109307,72800,'Must not be engaged in pvp combat',100,2,5),
(109308,72800,'Cannot be modified except by direct means',100,2,6),
(109309,72800,'Must not be engaged in pvp combat',100,1,7),
(109310,10072800,'When Equipped:',100,0,0),
(109311,10072800,'On a critical combat hit this spell may cast Paralyzing Puncture II on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(109312,10072800,'Stuns target',100,2,2),
(109313,10072800,'If Target is not Epic',100,3,3),
(109314,10072800,'Inflicts 104 - 115 heat damage on target',100,2,4),
(109315,10072800,'Must not be engaged in pvp combat',100,2,5),
(109316,10072800,'Cannot be modified except by direct means',100,2,6),
(109317,10072800,'Must not be engaged in pvp combat',100,1,7),
(109318,46784,'Applies Transmute when Activated.',100,0,0),
(109319,10046784,'Applies Transmute when Activated.',100,0,0),
(109320,80332,'When Equipped:',100,0,0),
(109321,80332,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109322,80332,'Decreases Threat to target by 517 ',100,2,2),
(109323,80332,'Must be flanking or behind',100,3,3),
(109324,80332,'Increases Threat to target by 517 ',100,2,4),
(109325,80332,'Must be in front of',100,3,5),
(109326,80332,'Inflicts 194 - 361 magic damage on target',100,2,6),
(109327,80332,'Cannot be modified except by direct means',100,2,7),
(109328,10080332,'When Equipped:',100,0,0),
(109329,10080332,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109330,10080332,'Inflicts 272 - 505 magic damage on target',100,2,2),
(109331,10080332,'Cannot be modified except by direct means',100,2,3),
(109332,123746,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(109333,123746,'Increases Mitigation of group members (AE) vs elemental damage by 173',100,1,1),
(109334,10123746,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(109335,10123746,'Increases Mitigation of group members (AE) vs elemental damage by 173',100,1,1),
(109336,170633,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(109337,170633,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 644',100,1,1),
(109338,170633,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(109339,10170633,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(109340,10170633,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 644',100,1,1),
(109341,10170633,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(109342,167590,'Applies Teleport to Ally when Activated.',100,0,0),
(109343,167590,'Teleports caster to target',100,1,1),
(109344,167590,'This effect cannot be cast during combat',100,1,2),
(109345,167590,'The casting time of Teleport to Ally is 15.0 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(109346,10167590,'Applies Teleport to Ally when Activated.',100,0,0),
(109347,10167590,'Teleports caster to target',100,1,1),
(109348,10167590,'This effect cannot be cast during combat',100,1,2),
(109349,10167590,'The casting time of Teleport to Ally is 15.0 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(109350,27456,'When Equipped:',100,0,0),
(109351,27456,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(109352,27456,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(109353,10027456,'When Equipped:',100,0,0),
(109354,10027456,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(109355,10027456,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(109356,104862,'Increases STA of group members (AE) by 9.8',100,1,0),
(109357,104862,'Increases Mitigation of group members (AE) vs physical damage by 95',100,1,1),
(109358,10104862,'Increases STA of group members (AE) by 9.8',100,1,0),
(109359,10104862,'Increases Mitigation of group members (AE) vs physical damage by 95',100,1,1),
(109360,88911,'When Equipped:',100,0,0),
(109361,88911,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109362,88911,'Inflicts 34 - 41 heat damage on target encounter',100,2,2),
(109363,88911,'Cannot be modified except by direct means',100,2,3),
(109364,10088911,'When Equipped:',100,0,0),
(109365,10088911,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109366,10088911,'Inflicts 47 - 58 heat damage on target encounter',100,2,2),
(109367,10088911,'Cannot be modified except by direct means',100,2,3),
(109368,173486,'When Equipped:',100,0,0),
(109369,173486,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(109370,173486,'Must not be engaged in pvp combat',100,1,2),
(109371,10173486,'When Equipped:',100,0,0),
(109372,10173486,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(109373,10173486,'Must not be engaged in pvp combat',100,1,2),
(109374,107750,'Stuns target',100,1,0),
(109375,107750,'If Target is not Epic',100,2,1),
(109376,107750,'Inflicts 323 - 539 cold damage on target',100,1,2),
(109377,107750,'Resistibility increases against targets higher than level 59.',100,1,3),
(109378,10107750,'Stuns target',100,1,0),
(109379,10107750,'If Target is not Epic',100,2,1),
(109380,10107750,'Inflicts 452 - 754 cold damage on target',100,1,2),
(109381,10107750,'Resistibility increases against targets higher than level 59.',100,1,3),
(109382,84178,'When Equipped:',100,0,0),
(109383,84178,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109384,84178,'Inflicts 116 - 142 divine damage on target',100,2,2),
(109385,84178,'Cannot be modified except by direct means',100,2,3),
(109386,10084178,'When Equipped:',100,0,0),
(109387,10084178,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109388,10084178,'Inflicts 163 - 199 divine damage on target',100,2,2),
(109389,10084178,'Cannot be modified except by direct means',100,2,3),
(109390,81473,'When Equipped:',100,0,0),
(109391,81473,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109392,81473,'Decreases Threat to target by 352 ',100,2,2),
(109393,81473,'Must be flanking or behind',100,3,3),
(109394,81473,'Increases Threat to target by 352 ',100,2,4),
(109395,81473,'Must be in front of',100,3,5),
(109396,81473,'Inflicts 104 - 194 magic damage on target',100,2,6),
(109397,81473,'Cannot be modified except by direct means',100,2,7),
(109398,10081473,'When Equipped:',100,0,0),
(109399,10081473,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109400,10081473,'Inflicts 146 - 271 magic damage on target',100,2,2),
(109401,10081473,'Cannot be modified except by direct means',100,2,3),
(109402,111678,'Inflicts 24 - 29 cold damage on target',100,1,0),
(109403,111678,'Inflicts 24 - 29 cold damage on target',100,1,1),
(109404,111678,'If target is elemental',100,2,2),
(109405,10111678,'Inflicts 29 - 35 cold damage on target',100,1,0),
(109406,192186,'When Equipped:',100,0,0),
(109407,192186,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(109408,10192186,'When Equipped:',100,0,0),
(109409,10192186,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(109410,120620,'Inflicts 660 - 1226 heat damage on target',100,1,0),
(109411,10120620,'Inflicts 925 - 1717 heat damage on target',100,1,0),
(109412,115611,'Wards target against 1416 points of all damage',100,1,0),
(109413,10115611,'Wards target against 2124 points of all damage',100,1,0),
(109414,52425,'When Equipped:',100,0,0),
(109415,52425,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(109416,10052425,'When Equipped:',100,0,0),
(109417,10052425,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(109418,161114,'When Equipped:',100,0,0),
(109419,161114,'Increases damage done by combat arts by up to 45.',100,1,1),
(109420,10161114,'When Equipped:',100,0,0),
(109421,10161114,'Increases damage done by combat arts by up to 45.',100,1,1),
(109422,136287,'When Equipped:',100,0,0),
(109423,136287,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(109424,136287,'Increases STR of caster by 31.8',100,2,2),
(109425,136287,'Cannot be modified except by direct means',100,2,3),
(109426,10136287,'When Equipped:',100,0,0),
(109427,10136287,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(109428,10136287,'Increases STR of caster by 31.8',100,2,2),
(109429,10136287,'Cannot be modified except by direct means',100,2,3),
(109430,101222,'Inflicts 449 - 749 cold damage on target',100,1,0),
(109431,101222,'Dazes target',100,1,1),
(109432,101222,'If Target is not Epic',100,2,2),
(109433,101222,'Resistibility increases against targets higher than level 101.',100,1,3),
(109434,10101222,'Inflicts 584 - 974 cold damage on target',100,1,0),
(109435,10101222,'Dazes target',100,1,1),
(109436,10101222,'If Target is not Epic',100,2,2),
(109437,10101222,'Resistibility increases against targets higher than level 101.',100,1,3),
(109438,110163,'Applies Untreated Bleeding on termination.',100,1,0),
(109439,110163,'Inflicts 96 - 160 piercing damage on target',100,2,1),
(109440,110163,'Inflicts 21 - 34 piercing damage on target instantly and every 4 seconds',100,1,2),
(109441,110163,'Inflicts 13 - 22 melee damage on target',100,1,3),
(109442,10110163,'Applies Untreated Bleeding on termination.',100,1,0),
(109443,10110163,'Inflicts 135 - 224 piercing damage on target',100,2,1),
(109444,10110163,'Inflicts 29 - 48 piercing damage on target instantly and every 4 seconds',100,1,2),
(109445,10110163,'Inflicts 17 - 29 melee damage on target',100,1,3),
(109446,104018,'Stifles target',100,1,0),
(109447,104018,'If Target is not Epic',100,2,1),
(109448,104018,'Interrupts target',100,1,2),
(109449,104018,'Decreases Threat to target by 369 - 451 ',100,1,3),
(109450,104018,'Resistibility increases against targets higher than level 67.',100,1,4),
(109451,10104018,'Stifles target',100,1,0),
(109452,10104018,'If Target is not Epic',100,2,1),
(109453,10104018,'Interrupts target',100,1,2),
(109454,10104018,'Resistibility increases against targets higher than level 67.',100,1,3),
(109455,47541,'Applies Pink Two Tone Warg with Pink Saddle when Activated.',100,0,0),
(109456,47541,'Increases Slashing of caster by 7.0',100,1,1),
(109457,47541,'Summons a mount to ride',100,1,2),
(109458,47541,'Increases your ground speed by 130%',100,2,3),
(109459,47541,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(109460,47541,'Increases Piercing, Disruption, Ranged and Crushing of caster by 7.0',100,1,5),
(109461,10047541,'Applies Pink Two Tone Warg with Pink Saddle when Activated.',100,0,0),
(109462,10047541,'Increases Slashing of caster by 7.0',100,1,1),
(109463,10047541,'Summons a mount to ride',100,1,2),
(109464,10047541,'Increases your ground speed by 130%',100,2,3),
(109465,10047541,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(109466,10047541,'Increases Piercing, Disruption, Ranged and Crushing of caster by 7.0',100,1,5),
(109467,104581,'Inflicts 545 - 908 disease damage on target',100,1,0),
(109468,104581,'Decreases WIS of target by 140.9',100,1,1),
(109469,10104581,'Inflicts 708 - 1181 disease damage on target',100,1,0),
(109470,10104581,'Decreases WIS of target by 140.9',100,1,1),
(109471,111924,'Inflicts 53 - 88 piercing damage on target instantly and every 4 seconds',100,1,0),
(109472,111924,'Inflicts 194 - 324 piercing damage on target',100,1,1),
(109473,10111924,'Inflicts 124 - 206 piercing damage on target instantly and every 4 seconds',100,1,0),
(109474,10111924,'Inflicts 344 - 574 piercing damage on target',100,1,1),
(109475,121444,'Increases AGI of caster by 43.9',100,1,0),
(109476,121444,'Adds 21.8% to base avoidance.',100,1,1),
(109477,121444,'Increases Mitigation of caster vs physical damage by 431',100,1,2),
(109478,121444,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,3),
(109479,10121444,'Increases AGI of caster by 43.9',100,1,0),
(109480,10121444,'Adds 21.8% to base avoidance.',100,1,1),
(109481,10121444,'Increases Mitigation of caster vs physical damage by 431',100,1,2),
(109482,10121444,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,3),
(109483,120891,'Stifles target',100,1,0),
(109484,120891,'Inflicts 367 - 448 mental damage on target',100,1,1),
(109485,120891,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,2),
(109486,120891,'Resistibility increases against targets higher than level 73.',100,1,3),
(109487,10120891,'Stifles target',100,1,0),
(109488,10120891,'Inflicts 513 - 627 mental damage on target',100,1,1),
(109489,10120891,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(109490,10120891,'Resistibility increases against targets higher than level 73.',100,1,3),
(109491,105795,'Inflicts 395 - 483 heat damage on target',100,1,0),
(109492,10105795,'Inflicts 738 - 902 heat damage on target',100,1,0),
(109493,82341,'When Equipped:',100,0,0),
(109494,82341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109495,82341,'Inflicts 351 - 652 magic damage on target',100,2,2),
(109496,82341,'Cannot be modified except by direct means',100,2,3),
(109497,10082341,'When Equipped:',100,0,0),
(109498,10082341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109499,10082341,'Inflicts 492 - 913 magic damage on target',100,2,2),
(109500,10082341,'Cannot be modified except by direct means',100,2,3),
(109501,86115,'When Equipped:',100,0,0),
(109502,86115,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109503,86115,'Inflicts 116 - 142 heat damage on target encounter',100,2,2),
(109504,86115,'Cannot be modified except by direct means',100,2,3),
(109505,10086115,'When Equipped:',100,0,0),
(109506,10086115,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109507,10086115,'Inflicts 163 - 199 heat damage on target encounter',100,2,2),
(109508,10086115,'Cannot be modified except by direct means',100,2,3),
(109509,48431,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(109510,48431,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(109511,48431,'Inflicts 110 poison damage on target',100,2,2),
(109512,48431,'Inflicts 18 poison damage on target instantly and every 6 seconds',100,2,3),
(109513,48431,'Cannot be modified except by direct means',100,2,4),
(109514,48431,'Grants a total of 200 triggers of the spell.',100,2,5),
(109515,10048431,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(109516,10048431,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(109517,10048431,'Inflicts 115 poison damage on target',100,2,2),
(109518,10048431,'Inflicts 19 poison damage on target instantly and every 6 seconds',100,2,3),
(109519,10048431,'Cannot be modified except by direct means',100,2,4),
(109520,10048431,'Grants a total of 200 triggers of the spell.',100,2,5),
(109521,181990,'When Equipped:',100,0,0),
(109522,181990,'Increases Attack Speed of caster by 15.0',100,1,1),
(109523,10181990,'When Equipped:',100,0,0),
(109524,10181990,'Increases Attack Speed of caster by 15.0',100,1,1),
(109525,108534,'Increases AGI and WIS of group members (AE) by 81.6',100,1,0),
(109526,108534,'Adds 2.1% to base avoidance.',100,1,1),
(109527,108534,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 236',100,1,2),
(109528,10108534,'Increases AGI and WIS of group members (AE) by 81.6',100,1,0),
(109529,10108534,'Adds 2.1% to base avoidance.',100,1,1),
(109530,10108534,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 236',100,1,2),
(109531,36917,'Increases STR of target by 1.6',100,0,0),
(109532,36917,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(109533,115472,'Summons a pet nightshade',100,1,0),
(109534,10115472,'Summons a pet nightshade',100,1,0),
(109535,26028,'When Equipped:',100,0,0),
(109536,26028,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(109537,26028,'Inflicts 27 piercing damage on target',100,2,2),
(109538,26028,'Cannot be modified except by direct means',100,2,3),
(109539,10026028,'When Equipped:',100,0,0),
(109540,10026028,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(109541,10026028,'Inflicts 38 piercing damage on target',100,2,2),
(109542,10026028,'Cannot be modified except by direct means',100,2,3),
(109543,36688,'Increases STR of target by 1.6',100,0,0),
(109544,36688,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(109545,141869,'When Equipped:',100,0,0),
(109546,141869,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109547,141869,'Increases STR of caster by 8.8',100,2,2),
(109548,141869,'Increases Damage Per Second of caster by 15.1',100,2,3),
(109549,141869,'Cannot be modified except by direct means',100,2,4),
(109550,10141869,'When Equipped:',100,0,0),
(109551,10141869,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109552,10141869,'Increases STR of caster by 8.8',100,2,2),
(109553,10141869,'Increases Damage Per Second of caster by 15.1',100,2,3),
(109554,10141869,'Cannot be modified except by direct means',100,2,4),
(109555,105655,'Decreases Damage Per Second of target by 13.3',100,1,0),
(109556,105655,'Inflicts 72 - 121 melee damage on target',100,1,1),
(109557,105655,'Must be flanking or behind',100,1,2),
(109558,10105655,'Decreases Damage Per Second of target by 13.3',100,1,0),
(109559,10105655,'Inflicts 94 - 157 melee damage on target',100,1,1),
(109560,10105655,'Must be flanking or behind',100,1,2),
(109561,119890,'Increases INT and AGI of group members (AE) by 77.9',100,1,0),
(109562,119890,'Adds 1.9% to base avoidance.',100,1,1),
(109563,10119890,'Increases INT and AGI of group members (AE) by 77.9',100,1,0),
(109564,10119890,'Adds 1.9% to base avoidance.',100,1,1),
(109565,122748,'Heals group members (AE) for 176 - 216',100,1,0),
(109566,122748,'Increases Max Health of group members (AE) by 24.5',100,1,1),
(109567,10122748,'Heals group members (AE) for 206 - 252',100,1,0),
(109568,10122748,'Increases Max Health of group members (AE) by 24.5',100,1,1),
(109569,80944,'When Equipped:',100,0,0),
(109570,80944,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109571,80944,'Inflicts 223 - 414 magic damage on target',100,2,2),
(109572,80944,'Cannot be modified except by direct means',100,2,3),
(109573,10080944,'When Equipped:',100,0,0),
(109574,10080944,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109575,10080944,'Inflicts 312 - 580 magic damage on target',100,2,2),
(109576,10080944,'Cannot be modified except by direct means',100,2,3),
(109577,81969,'When Equipped:',100,0,0),
(109578,81969,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109579,81969,'Decreases Threat to target by 994 ',100,2,2),
(109580,81969,'Must be flanking or behind',100,3,3),
(109581,81969,'Increases Threat to target by 994 ',100,2,4),
(109582,81969,'Must be in front of',100,3,5),
(109583,81969,'Inflicts 351 - 652 magic damage on target',100,2,6),
(109584,81969,'Cannot be modified except by direct means',100,2,7),
(109585,10081969,'When Equipped:',100,0,0),
(109586,10081969,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109587,10081969,'Inflicts 492 - 913 magic damage on target',100,2,2),
(109588,10081969,'Cannot be modified except by direct means',100,2,3),
(109589,82306,'When Equipped:',100,0,0),
(109590,82306,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109591,82306,'Decreases Threat to target by 672 ',100,2,2),
(109592,82306,'Must be flanking or behind',100,3,3),
(109593,82306,'Increases Threat to target by 672 ',100,2,4),
(109594,82306,'Must be in front of',100,3,5),
(109595,82306,'Inflicts 248 - 460 magic damage on target',100,2,6),
(109596,82306,'Cannot be modified except by direct means',100,2,7),
(109597,10082306,'When Equipped:',100,0,0),
(109598,10082306,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(109599,10082306,'Inflicts 347 - 644 magic damage on target',100,2,2),
(109600,10082306,'Cannot be modified except by direct means',100,2,3),
(109601,47761,'Applies Play the Drum when Activated.',100,0,0),
(109602,47761,'Enables you to play the drum.',100,1,1),
(109603,10047761,'Applies Play the Drum when Activated.',100,0,0),
(109604,10047761,'Enables you to play the drum.',100,1,1),
(109605,81476,'When Equipped:',100,0,0),
(109606,81476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109607,81476,'Inflicts 104 - 194 magic damage on target',100,2,2),
(109608,81476,'Cannot be modified except by direct means',100,2,3),
(109609,10081476,'When Equipped:',100,0,0),
(109610,10081476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109611,10081476,'Inflicts 146 - 271 magic damage on target',100,2,2),
(109612,10081476,'Cannot be modified except by direct means',100,2,3),
(109613,118455,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(109614,118455,'Inflicts 17 - 20 heat damage on target instantly and every second',100,2,1),
(109615,10118455,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(109616,10118455,'Inflicts 23 - 29 heat damage on target instantly and every second',100,2,1),
(109617,110316,'Increases Max Power of target by 48.5',100,1,0),
(109618,110316,'Increases Max Health of target by 96.3',100,1,1),
(109619,10110316,'Increases Max Power of target by 48.5',100,1,0),
(109620,10110316,'Increases Max Health of target by 96.3',100,1,1),
(109621,122536,'Heals caster for 210',100,1,0),
(109622,122536,'Inflicts 388 - 646 melee damage on target',100,1,1),
(109623,10122536,'Heals caster for 246',100,1,0),
(109624,10122536,'Inflicts 504 - 840 melee damage on target',100,1,1),
(109625,113842,'Inflicts 563 - 938 disease damage on target',100,1,0),
(109626,10113842,'Inflicts 788 - 1313 disease damage on target',100,1,0),
(109627,138342,'Applies Heroic Resistance X when Equipped.',100,0,0),
(109628,138342,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(109629,138342,'Cannot be modified except by direct means',100,1,2),
(109630,10138342,'Applies Heroic Resistance X when Equipped.',100,0,0),
(109631,10138342,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(109632,10138342,'Cannot be modified except by direct means',100,1,2),
(109633,118234,'Inflicts 4059 - 6766 magic damage on targets in Area of Effect',100,1,0),
(109634,118234,'Throws target back',100,1,1),
(109635,118234,'If Target is not Epic',100,2,2),
(109636,118234,'Stuns targets in Area of Effect',100,1,3),
(109637,118234,'If Target is not Epic',100,2,4),
(109638,118234,'Resistibility increases against targets higher than level 117.',100,1,5),
(109639,10118234,'Inflicts 5683 - 9472 magic damage on targets in Area of Effect',100,1,0),
(109640,10118234,'Throws target back',100,1,1),
(109641,10118234,'If Target is not Epic',100,2,2),
(109642,10118234,'Stuns targets in Area of Effect',100,1,3),
(109643,10118234,'If Target is not Epic',100,2,4),
(109644,10118234,'Resistibility increases against targets higher than level 117.',100,1,5),
(109645,84244,'Applies Mental Blast when Activated.',100,0,0),
(109646,84244,'Inflicts 313 - 522 mental damage on target',100,1,1),
(109647,84244,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(109648,10084244,'Applies Mental Blast when Activated.',100,0,0),
(109649,10084244,'Inflicts 438 - 730 mental damage on target',100,1,1),
(109650,10084244,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(109651,124566,'Decreases Threat to targets in Area of Effect by 720 ',100,1,0),
(109652,124566,'Interrupts targets in Area of Effect',100,1,1),
(109653,124566,'Roots targets in Area of Effect',100,1,2),
(109654,124566,'If Target is not Epic',100,2,3),
(109655,10124566,'Applies Distract.',100,1,0),
(109656,10124566,'Forces target to clear their selected target.',100,2,1),
(109657,10124566,'Interrupts targets in Area of Effect',100,1,2),
(109658,10124566,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(109659,10124566,'Roots targets in Area of Effect',100,1,4),
(109660,10124566,'If Target is not Epic',100,2,5),
(109661,102850,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(109662,102850,'Stuns target',100,2,1),
(109663,102850,'Throws target back',100,2,2),
(109664,102850,'Blurs vision of target',100,2,3),
(109665,102850,'Does not affect Epic targets',100,2,4),
(109666,102850,'Inflicts 126 - 379 melee damage on targets in area',100,1,5),
(109667,10102850,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(109668,10102850,'Stuns target',100,2,1),
(109669,10102850,'Throws target back',100,2,2),
(109670,10102850,'Blurs vision of target',100,2,3),
(109671,10102850,'Does not affect Epic targets',100,2,4),
(109672,10102850,'Inflicts 164 - 492 melee damage on targets in area',100,1,5),
(109673,115752,'Inflicts 14 - 24 melee damage on target',100,1,0),
(109674,10115752,'Inflicts 19 - 31 melee damage on target',100,1,0),
(109675,159208,'Applies Lambent Imbued when Equipped.',100,0,0),
(109676,159208,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109677,159208,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(109678,159208,'Cannot be modified except by direct means',100,2,3),
(109679,10159208,'Applies Lambent Imbued when Equipped.',100,0,0),
(109680,10159208,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109681,10159208,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(109682,10159208,'Cannot be modified except by direct means',100,2,3),
(109683,110028,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(109684,110028,'Inflicts 202 - 336 disease damage on target',100,2,1),
(109685,110028,'Heals caster for 2.7 - 4.5% of max health',100,2,2),
(109686,110028,'This effect cannot be critically applied.',100,3,3),
(109687,110028,'The healing of this spell cannot be modified except by direct means',100,2,4),
(109688,10110028,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(109689,10110028,'Inflicts 282 - 471 disease damage on target',100,2,1),
(109690,10110028,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(109691,10110028,'This effect cannot be critically applied.',100,3,3),
(109692,10110028,'The healing of this spell cannot be modified except by direct means',100,2,4),
(109693,46088,'Applies Elixir of Luminosity when Activated.  Lasts for 30 minutes.',100,0,0),
(109694,46088,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(109695,10046088,'Applies Elixir of Luminosity when Activated.  Lasts for 30 minutes.',100,0,0),
(109696,10046088,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(109697,138905,'When Equipped:',100,0,0),
(109698,138905,'When damaged with a spell this spell has a 20% chance to cast One With Nature on the group.  ',100,1,1),
(109699,138905,'Heals group members (AE) for 315',100,2,2),
(109700,138905,'Cannot be modified except by direct means',100,2,3),
(109701,10138905,'When Equipped:',100,0,0),
(109702,10138905,'When damaged with a spell this spell has a 20% chance to cast One With Nature on the group.  ',100,1,1),
(109703,10138905,'Heals group members (AE) for 205',100,2,2),
(109704,10138905,'Cannot be modified except by direct means',100,2,3),
(109705,159308,'Applies Lambent Imbued when Equipped.',100,0,0),
(109706,159308,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109707,159308,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(109708,159308,'Cannot be modified except by direct means',100,2,3),
(109709,10159308,'Applies Lambent Imbued when Equipped.',100,0,0),
(109710,10159308,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109711,10159308,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(109712,10159308,'Cannot be modified except by direct means',100,2,3),
(109713,187141,'When Equipped:',100,0,0),
(109714,187141,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(109715,187141,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(109716,187141,'Inflicts 1031 divine damage on target',100,2,3),
(109717,187141,'Must be classified as a vampire',100,3,4),
(109718,187141,'Inflicts 516 divine damage on target',100,2,5),
(109719,187141,'Must not be classified as a vampire',100,3,6),
(109720,187141,'Decreases Mitigation of target vs arcane damage by 747',100,2,7),
(109721,187141,'Must be classified as a vampire',100,3,8),
(109722,187141,'Cannot be modified except by direct means',100,2,9),
(109723,10187141,'When Equipped:',100,0,0),
(109724,10187141,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(109725,10187141,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(109726,10187141,'Inflicts 1444 divine damage on target',100,2,3),
(109727,10187141,'Must be classified as a vampire',100,3,4),
(109728,10187141,'Inflicts 722 divine damage on target',100,2,5),
(109729,10187141,'Must not be classified as a vampire',100,3,6),
(109730,10187141,'Decreases Mitigation of target vs arcane damage by 747',100,2,7),
(109731,10187141,'Must be classified as a vampire',100,3,8),
(109732,10187141,'Cannot be modified except by direct means',100,2,9),
(109733,100351,'Increases Max Health of target by 418.9',100,1,0),
(109734,100351,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.3',100,1,1),
(109735,10100351,'Increases Max Health of target by 418.9',100,1,0),
(109736,10100351,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.3',100,1,1),
(109737,122417,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(109738,122417,'Inflicts 36 - 44 piercing damage on target encounter',100,2,1),
(109739,10122417,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(109740,10122417,'Inflicts 50 - 61 piercing damage on target encounter',100,2,1),
(109741,122922,'Increases STR and INT of group members (AE) by 103.8',100,1,0),
(109742,10122922,'Increases STR and INT of group members (AE) by 103.8',100,1,0),
(109743,109591,'Makes target afraid',100,1,0),
(109744,109591,'30% chance to dispel when target takes damage',100,1,1),
(109745,109591,'Does not affect Epic targets',100,1,2),
(109746,109591,'Resistibility increases against targets higher than level 117.',100,1,3),
(109747,10109591,'Makes target afraid',100,1,0),
(109748,10109591,'30% chance to dispel when target takes damage',100,1,1),
(109749,10109591,'Does not affect Epic targets',100,1,2),
(109750,10109591,'Resistibility increases against targets higher than level 117.',100,1,3),
(109751,188249,'When Equipped:',100,0,0),
(109752,188249,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,1,1),
(109753,188249,'Increases Riposte Damage of caster by 18.0',100,1,2),
(109754,188249,'Increases Additional chance to Riposte of caster by 18.0',100,1,3),
(109755,188249,'Must not be engaged in pvp combat',100,1,4),
(109756,10188249,'When Equipped:',100,0,0),
(109757,10188249,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,1,1),
(109758,10188249,'Increases Riposte Damage of caster by 18.0',100,1,2),
(109759,10188249,'Increases Additional chance to Riposte of caster by 18.0',100,1,3),
(109760,10188249,'Must not be engaged in pvp combat',100,1,4),
(109761,115955,'Inflicts 8 - 12 mental damage on target',100,1,0),
(109762,115955,'Stuns target',100,1,1),
(109763,115955,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(109764,115955,'Resistibility increases against targets higher than level 31.',100,1,3),
(109765,10115955,'Applies Bewilderment on termination.',100,1,0),
(109766,10115955,'Inflicts 11 - 17 mental damage on target',100,2,1),
(109767,10115955,'Requires not being affected by Mesmerize effects.',100,3,2),
(109768,10115955,'Stuns target',100,1,3),
(109769,10115955,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,4),
(109770,10115955,'Resistibility increases against targets higher than level 31.',100,1,5),
(109771,117603,'Inflicts 20 - 34 ranged damage on target',100,1,0),
(109772,117603,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(109773,117603,'Slows target by 33.4%',100,2,2),
(109774,117603,'5% chance to dispel when target receives hostile action',100,2,3),
(109775,117603,'5% chance to dispel when target takes damage',100,2,4),
(109776,117603,'Must be flanking or behind',100,1,5),
(109777,117603,'Requires bow',100,1,6),
(109778,10117603,'Inflicts 17 - 29 ranged damage on target',100,1,0),
(109779,10117603,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(109780,10117603,'Slows target by 33.4%',100,2,2),
(109781,10117603,'5% chance to dispel when target receives hostile action',100,2,3),
(109782,10117603,'5% chance to dispel when target takes damage',100,2,4),
(109783,10117603,'Must be flanking or behind',100,1,5),
(109784,10117603,'Requires bow',100,1,6),
(109785,45131,'Applies elixir of intellect when Activated.  Lasts for 4 hours.',100,0,0),
(109786,45131,'Increases INT and STA of caster by 181.5',100,1,1),
(109787,45131,'Increases Potency of caster by 4.0%',100,1,2),
(109788,10045131,'Applies elixir of intellect when Activated.  Lasts for 4 hours.',100,0,0),
(109789,10045131,'Increases INT and STA of caster by 181.5',100,1,1),
(109790,10045131,'Increases Potency of caster by 4.0%',100,1,2),
(109791,162369,'When Equipped:',100,0,0),
(109792,162369,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109793,162369,'Increases Mitigation of target vs elemental damage by 930',100,2,2),
(109794,162369,'This effect can be stacked by multiple casters.',100,2,3),
(109795,162369,'Increases Mitigation of target vs physical, noxious and arcane damage by 930',100,2,4),
(109796,162369,'Cannot be modified except by direct means',100,2,5),
(109797,10162369,'When Equipped:',100,0,0),
(109798,10162369,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(109799,10162369,'Increases Mitigation of target vs elemental damage by 930',100,2,2),
(109800,10162369,'This effect can be stacked by multiple casters.',100,2,3),
(109801,10162369,'Increases Mitigation of target vs physical, noxious and arcane damage by 930',100,2,4),
(109802,10162369,'Cannot be modified except by direct means',100,2,5),
(109803,83461,'When Equipped:',100,0,0),
(109804,83461,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109805,83461,'Inflicts 98 - 163 magic damage on target',100,2,2),
(109806,83461,'Cannot be modified except by direct means',100,2,3),
(109807,10083461,'When Equipped:',100,0,0),
(109808,10083461,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109809,10083461,'Inflicts 137 - 228 magic damage on target',100,2,2),
(109810,10083461,'Cannot be modified except by direct means',100,2,3),
(109811,111986,'Inflicts 763 - 932 disease damage on target',100,1,0),
(109812,111986,'Decreases Mitigation of target vs noxious damage by 1537',100,1,1),
(109813,10111986,'Inflicts 1373 - 1678 disease damage on target',100,1,0),
(109814,10111986,'Decreases Mitigation of target vs noxious damage by 1537',100,1,1),
(109815,159404,'Applies Lambent Imbued when Equipped.',100,0,0),
(109816,159404,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109817,159404,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(109818,159404,'Cannot be modified except by direct means',100,2,3),
(109819,10159404,'Applies Lambent Imbued when Equipped.',100,0,0),
(109820,10159404,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109821,10159404,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(109822,10159404,'Cannot be modified except by direct means',100,2,3),
(109823,159893,'Applies Lambent Imbued when Equipped.',100,0,0),
(109824,159893,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109825,159893,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(109826,159893,'Cannot be modified except by direct means',100,2,3),
(109827,10159893,'Applies Lambent Imbued when Equipped.',100,0,0),
(109828,10159893,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(109829,10159893,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(109830,10159893,'Cannot be modified except by direct means',100,2,3),
(109831,103383,'Decreases power of target by 48 instantly and every 6 seconds',100,1,0),
(109832,103383,'Inflicts 191 - 233 mental damage on target instantly and every 6 seconds',100,1,1),
(109833,103383,'Increases power of caster by 178',100,1,2),
(109834,10103383,'Decreases power of target by 48 instantly and every 6 seconds',100,1,0),
(109835,10103383,'Inflicts 267 - 326 mental damage on target instantly and every 6 seconds',100,1,1),
(109836,10103383,'Increases power of caster by 178',100,1,2),
(109837,173398,'When Equipped:',100,0,0),
(109838,173398,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(109839,173398,'Stifles target',100,2,2),
(109840,173398,'Only affects targets level 121 and below',100,2,3),
(109841,173398,'Does not affect Epic targets',100,2,4),
(109842,173398,'Resistibility increases against targets higher than level 103.',100,2,5),
(109843,173398,'Cannot be modified except by direct means',100,2,6),
(109844,10173398,'When Equipped:',100,0,0),
(109845,10173398,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(109846,10173398,'Stifles target',100,2,2),
(109847,10173398,'Only affects targets level 121 and below',100,2,3),
(109848,10173398,'Does not affect Epic targets',100,2,4),
(109849,10173398,'Resistibility increases against targets higher than level 103.',100,2,5),
(109850,10173398,'Cannot be modified except by direct means',100,2,6),
(109851,146690,'When Equipped:',100,0,0),
(109852,146690,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(109853,10146690,'When Equipped:',100,0,0),
(109854,10146690,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(109855,36479,'Increases Max Power of target by 4.1',100,0,0),
(109856,36479,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(109857,107331,'Decreases WIS of target by 96.8',100,1,0),
(109858,107331,'Decreases Defense of target by 36.8',100,1,1),
(109859,10107331,'Decreases WIS of target by 96.8',100,1,0),
(109860,10107331,'Decreases Defense of target by 36.8',100,1,1),
(109861,175283,'When Equipped:',100,0,0),
(109862,175283,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(109863,175283,'Inflicts 2664 disease damage on target encounter',100,2,2),
(109864,175283,'Must not be engaged in pvp combat',100,2,3),
(109865,175283,'Cannot be modified except by direct means',100,2,4),
(109866,10175283,'When Equipped:',100,0,0),
(109867,10175283,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(109868,10175283,'Inflicts 1865 disease damage on target encounter',100,2,2),
(109869,10175283,'Must not be engaged in pvp combat',100,2,3),
(109870,10175283,'Cannot be modified except by direct means',100,2,4),
(109871,26115,'When Equipped:',100,0,0),
(109872,26115,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(109873,26115,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(109874,10026115,'When Equipped:',100,0,0),
(109875,10026115,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(109876,10026115,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(109877,45443,'Applies Bulwark of the Forestrunner when Activated.  Lasts for 30 minutes.',100,0,0),
(109878,45443,'Increases AGI of caster by 11.3',100,1,1),
(109879,10045443,'Applies Bulwark of the Forestrunner when Activated.  Lasts for 30 minutes.',100,0,0),
(109880,10045443,'Increases AGI of caster by 11.3',100,1,1),
(109881,110779,'Heals group members (AE) for 336 - 411 instantly and every 2 seconds',100,1,0),
(109882,10110779,'Heals group members (AE) for 219 - 267 instantly and every 2 seconds',100,1,0),
(109883,117046,'Inflicts 64 - 107 melee damage on target',100,1,0),
(109884,117046,'Decreases Attack Speed of target by 18.4',100,1,1),
(109885,10117046,'Inflicts 84 - 140 melee damage on target',100,1,0),
(109886,10117046,'Decreases Attack Speed of target by 18.4',100,1,1),
(109887,118307,'Roots target encounter',100,1,0),
(109888,118307,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(109889,118307,'Slows target by 57.1%',100,2,2),
(109890,118307,'5% chance to dispel when target receives hostile action',100,2,3),
(109891,118307,'5% chance to dispel when target takes damage',100,2,4),
(109892,118307,'20% chance to dispel when target takes damage',100,1,5),
(109893,118307,'Does not affect Epic targets',100,1,6),
(109894,118307,'Resistibility increases against targets higher than level 83.',100,1,7),
(109895,10118307,'Roots target encounter',100,1,0),
(109896,10118307,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(109897,10118307,'Slows target by 57.1%',100,2,2),
(109898,10118307,'5% chance to dispel when target receives hostile action',100,2,3),
(109899,10118307,'5% chance to dispel when target takes damage',100,2,4),
(109900,10118307,'20% chance to dispel when target takes damage',100,1,5),
(109901,10118307,'Does not affect Epic targets',100,1,6),
(109902,10118307,'Resistibility increases against targets higher than level 83.',100,1,7),
(109903,103752,'Inflicts 2009 - 2456 magic damage on targets in Area of Effect',100,1,0),
(109904,10103752,'Inflicts 2813 - 3438 magic damage on targets in Area of Effect',100,1,0),
(109905,119193,'Inflicts 210 - 350 heat damage on target',100,1,0),
(109906,119193,'Inflicts 210 - 350 heat damage on target',100,1,1),
(109907,119193,'Requires bow',100,1,2),
(109908,10119193,'Inflicts 240 - 400 heat damage on target',100,1,0),
(109909,10119193,'Inflicts 240 - 400 heat damage on target',100,1,1),
(109910,10119193,'Requires bow',100,1,2),
(109911,146400,'When Equipped:',100,0,0),
(109912,146400,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(109913,10146400,'When Equipped:',100,0,0),
(109914,10146400,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(109915,153784,'When Equipped:',100,0,0),
(109916,153784,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(109917,153784,'Heals caster for 101 - 124',100,2,2),
(109918,153784,'Increases Mitigation of caster vs physical damage by 165',100,2,3),
(109919,153784,'Must not be engaged in pvp combat',100,2,4),
(109920,153784,'Cannot be modified except by direct means',100,2,5),
(109921,153784,'Must not be engaged in pvp combat',100,1,6),
(109922,10153784,'When Equipped:',100,0,0),
(109923,10153784,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(109924,10153784,'Heals caster for 66 - 80',100,2,2),
(109925,10153784,'Increases Mitigation of caster vs physical damage by 165',100,2,3),
(109926,10153784,'Must not be engaged in pvp combat',100,2,4),
(109927,10153784,'Cannot be modified except by direct means',100,2,5),
(109928,10153784,'Must not be engaged in pvp combat',100,1,6),
(109929,159470,'Applies Sanguine Imbued when Equipped.',100,0,0),
(109930,159470,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(109931,159470,'Inflicts 104 heat damage on target',100,2,2),
(109932,159470,'Cannot be modified except by direct means',100,2,3),
(109933,10159470,'Applies Sanguine Imbued when Equipped.',100,0,0),
(109934,10159470,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(109935,10159470,'Inflicts 146 heat damage on target',100,2,2),
(109936,10159470,'Cannot be modified except by direct means',100,2,3),
(109937,109663,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(109938,109663,'Inflicts 64 - 119 poison damage on target encounter',100,2,1),
(109939,10109663,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(109940,10109663,'Inflicts 90 - 167 poison damage on target encounter',100,2,1),
(109941,45078,'Applies Goo Root when Activated.  Lasts for 20.0 seconds.',100,0,0),
(109942,45078,'Roots target',100,1,1),
(109943,45078,'Inflicts 1853 divine damage on target',100,1,2),
(109944,45078,'Epic targets gain an immunity to Root effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(109945,10045078,'Applies Goo Root when Activated.  Lasts for 20.0 seconds.',100,0,0),
(109946,10045078,'Roots target',100,1,1),
(109947,10045078,'Inflicts 2594 divine damage on target',100,1,2),
(109948,10045078,'Epic targets gain an immunity to Root effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(109949,100058,'Decreases STR, AGI and WIS of target by 96.8',100,1,0),
(109950,10100058,'Decreases STR, AGI and WIS of target by 96.8',100,1,0),
(109951,82004,'When Equipped:',100,0,0),
(109952,82004,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109953,82004,'Inflicts 182 - 339 magic damage on target',100,2,2),
(109954,82004,'Cannot be modified except by direct means',100,2,3),
(109955,10082004,'When Equipped:',100,0,0),
(109956,10082004,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109957,10082004,'Inflicts 255 - 474 magic damage on target',100,2,2),
(109958,10082004,'Cannot be modified except by direct means',100,2,3),
(109959,46850,'Applies Call Mana Spirit when Activated.',100,0,0),
(109960,46850,'Summons a mount to ride',100,1,1),
(109961,46850,'Increases your ground speed by 130%',100,2,2),
(109962,46850,'Increases Subjugation, Focus, Ordination, Ministration and Disruption of caster by 5.0',100,1,3),
(109963,10046850,'Applies Call Mana Spirit when Activated.',100,0,0),
(109964,10046850,'Summons a mount to ride',100,1,1),
(109965,10046850,'Increases your ground speed by 130%',100,2,2),
(109966,10046850,'Increases Subjugation, Focus, Ordination, Ministration and Disruption of caster by 5.0',100,1,3),
(109967,107701,'Inflicts 136 - 227 heat damage on target',100,1,0),
(109968,107701,'You must be sneaking to use this ability.',100,1,1),
(109969,10107701,'Inflicts 177 - 295 heat damage on target',100,1,0),
(109970,10107701,'You must be sneaking to use this ability.',100,1,1),
(109971,53241,'When Equipped:',100,0,0),
(109972,53241,'Increases caster''s chance to block by 15.0%',100,1,1),
(109973,10053241,'When Equipped:',100,0,0),
(109974,10053241,'Increases caster''s chance to block by 15.0%',100,1,1),
(109975,74875,'When Equipped:',100,0,0),
(109976,74875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109977,74875,'Inflicts 146 - 219 magic damage on target',100,2,2),
(109978,74875,'Cannot be modified except by direct means',100,2,3),
(109979,10074875,'When Equipped:',100,0,0),
(109980,10074875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109981,10074875,'Inflicts 204 - 306 magic damage on target',100,2,2),
(109982,10074875,'Cannot be modified except by direct means',100,2,3),
(109983,41624,'When Equipped:',100,0,0),
(109984,41624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109985,41624,'Inflicts 146 - 271 magic damage on target',100,2,2),
(109986,41624,'Cannot be modified except by direct means',100,2,3),
(109987,10041624,'When Equipped:',100,0,0),
(109988,10041624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(109989,10041624,'Inflicts 204 - 379 magic damage on target',100,2,2),
(109990,10041624,'Cannot be modified except by direct means',100,2,3),
(109991,24569,'Adds Mummy (Monk) to your Dungeon Maker toolbox',100,0,0),
(109992,10024569,'Adds Mummy (Monk) to your Dungeon Maker toolbox',100,0,0),
(109993,173102,'When Equipped:',100,0,0),
(109994,173102,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(109995,173102,'Inflicts 239 - 399 heat damage on target',100,2,2),
(109996,173102,'Inflicts 86 - 143 heat damage on target every 4.8 seconds',100,2,3),
(109997,173102,'Cannot be modified except by direct means',100,2,4),
(109998,10173102,'When Equipped:',100,0,0),
(109999,10173102,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(110000,10173102,'Inflicts 335 - 558 heat damage on target',100,2,2),
(110001,10173102,'Inflicts 120 - 200 heat damage on target every 4.8 seconds',100,2,3),
(110002,10173102,'Cannot be modified except by direct means',100,2,4),
(110003,36955,'Increases WIS of target by 1.6',100,0,0),
(110004,36955,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(110005,81118,'When Equipped:',100,0,0),
(110006,81118,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110007,81118,'Inflicts 194 - 361 magic damage on target',100,2,2),
(110008,81118,'Cannot be modified except by direct means',100,2,3),
(110009,10081118,'When Equipped:',100,0,0),
(110010,10081118,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110011,10081118,'Inflicts 272 - 505 magic damage on target',100,2,2),
(110012,10081118,'Cannot be modified except by direct means',100,2,3),
(110013,107302,'Decreases WIS of target by 10.9',100,1,0),
(110014,107302,'Decreases Defense of target by 3.5',100,1,1),
(110015,10107302,'Decreases WIS of target by 10.9',100,1,0),
(110016,10107302,'Decreases Defense of target by 3.5',100,1,1),
(110017,120046,'Inflicts 176 - 215 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(110018,120046,'Decreases power of target encounter by 59 instantly and every 4 seconds',100,1,1),
(110019,10120046,'Inflicts 247 - 302 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(110020,10120046,'Decreases power of target encounter by 59 instantly and every 4 seconds',100,1,1),
(110021,118015,'Wards target against 3528 points of all damage',100,1,0),
(110022,10118015,'Wards target against 3528 points of all damage',100,1,0),
(110023,103415,'Decreases Threat to targets in Area of Effect by 1,692 ',100,1,0),
(110024,103415,'Slows targets in Area of Effect by 33.2%',100,1,1),
(110025,103415,'Stifles targets in Area of Effect',100,1,2),
(110026,103415,'If Target is not Epic',100,2,3),
(110027,103415,'10% chance to dispel when target receives hostile action',100,1,4),
(110028,103415,'10% chance to dispel when target takes damage',100,1,5),
(110029,10103415,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(110030,10103415,'Slows targets in Area of Effect by 33.2%',100,1,1),
(110031,10103415,'Stifles targets in Area of Effect',100,1,2),
(110032,10103415,'If Target is not Epic',100,2,3),
(110033,26453,'When Equipped:',100,0,0),
(110034,26453,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(110035,26453,'Inflicts 73 poison damage on target instantly and every 5 seconds',100,2,2),
(110036,26453,'Cannot be modified except by direct means',100,2,3),
(110037,10026453,'When Equipped:',100,0,0),
(110038,10026453,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(110039,10026453,'Inflicts 102 poison damage on target instantly and every 5 seconds',100,2,2),
(110040,10026453,'Cannot be modified except by direct means',100,2,3),
(110041,123260,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(110042,123260,'Increases Mitigation of group members (AE) vs noxious damage by 1008',100,1,1),
(110043,10123260,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(110044,10123260,'Increases Mitigation of group members (AE) vs noxious damage by 1008',100,1,1),
(110045,100376,'Summons a pet aery hunter',100,1,0),
(110046,10100376,'Summons a pet aery hunter',100,1,0),
(110047,120921,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(110048,120921,'Inflicts 386 - 472 mental damage on target',100,2,1),
(110049,120921,'Grants a total of 3 triggers of the spell.',100,2,2),
(110050,10120921,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(110051,10120921,'Inflicts 540 - 661 mental damage on target',100,2,1),
(110052,10120921,'Grants a total of 3 triggers of the spell.',100,2,2),
(110053,104154,'Roots target',100,1,0),
(110054,104154,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(110055,104154,'Makes target afraid',100,2,2),
(110056,104154,'Slows target by 32.6%',100,2,3),
(110057,104154,'30% chance to dispel when target takes damage',100,2,4),
(110058,104154,'Resistibility increases against targets higher than level 112.',100,2,5),
(110059,104154,'15% chance to dispel when target takes damage',100,1,6),
(110060,104154,'Does not affect Epic targets',100,1,7),
(110061,104154,'Resistibility increases against targets higher than level 112.',100,1,8),
(110062,10104154,'Roots target',100,1,0),
(110063,10104154,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(110064,10104154,'Slows target by 32.6%',100,2,2),
(110065,10104154,'Makes target afraid',100,2,3),
(110066,10104154,'30% chance to dispel when target takes damage',100,2,4),
(110067,10104154,'Resistibility increases against targets higher than level 112.',100,2,5),
(110068,10104154,'15% chance to dispel when target takes damage',100,1,6),
(110069,10104154,'Does not affect Epic targets',100,1,7),
(110070,10104154,'Resistibility increases against targets higher than level 112.',100,1,8),
(110071,120607,'Inflicts 201 - 374 heat damage on target',100,1,0),
(110072,10120607,'Inflicts 282 - 523 heat damage on target',100,1,0),
(110073,81924,'When Equipped:',100,0,0),
(110074,81924,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110075,81924,'Inflicts 351 - 652 magic damage on target',100,2,2),
(110076,81924,'Decreases Threat to target by 994 ',100,2,3),
(110077,81924,'Must be flanking or behind',100,3,4),
(110078,81924,'Increases Threat to target by 994 ',100,2,5),
(110079,81924,'Must be in front of',100,3,6),
(110080,81924,'Cannot be modified except by direct means',100,2,7),
(110081,10081924,'When Equipped:',100,0,0),
(110082,10081924,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110083,10081924,'Inflicts 492 - 913 magic damage on target',100,2,2),
(110084,10081924,'Cannot be modified except by direct means',100,2,3),
(110085,24727,'Adds Thifling Mendworker to your Dungeon Maker toolbox',100,0,0),
(110086,10024727,'Adds Thifling Mendworker to your Dungeon Maker toolbox',100,0,0),
(110087,46909,'Applies Mending Root when Activated.',100,0,0),
(110088,46909,'Heals caster for 101 - 151',100,1,1),
(110089,10046909,'Applies Mending Root when Activated.',100,0,0),
(110090,10046909,'Heals caster for 65 - 98',100,1,1),
(110091,105098,'Inflicts 318 - 431 magic damage on target',100,1,0),
(110092,10105098,'Inflicts 446 - 603 magic damage on target',100,1,0),
(110093,130296,'When Equipped:',100,0,0),
(110094,130296,'On any combat or spell hit this spell may cast Welled Up Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110095,130296,'Inflicts 350 poison damage on target',100,2,2),
(110096,130296,'Inflicts 350 disease damage on target',100,2,3),
(110097,130296,'Inflicts 350 cold damage on target',100,2,4),
(110098,130296,'Increases Crit Chance of caster by 8.0',100,2,5),
(110099,130296,'Cannot be modified except by direct means',100,2,6),
(110100,130296,'Cannot be modified except by direct means',100,1,7),
(110101,10130296,'When Equipped:',100,0,0),
(110102,10130296,'On any combat or spell hit this spell may cast Welled Up Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110103,10130296,'Inflicts 409 poison damage on target',100,2,2),
(110104,10130296,'Inflicts 409 disease damage on target',100,2,3),
(110105,10130296,'Inflicts 409 cold damage on target',100,2,4),
(110106,10130296,'Increases Crit Chance of caster by 8.0',100,2,5),
(110107,10130296,'Cannot be modified except by direct means',100,2,6),
(110108,10130296,'Cannot be modified except by direct means',100,1,7),
(110109,112950,'Inflicts 73 - 220 crushing damage on target',100,1,0),
(110110,10112950,'Inflicts 95 - 286 crushing damage on target',100,1,0),
(110111,87373,'When Equipped:',100,0,0),
(110112,87373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110113,87373,'Inflicts 204 - 307 magic damage on target',100,2,2),
(110114,87373,'Cannot be modified except by direct means',100,2,3),
(110115,10087373,'When Equipped:',100,0,0),
(110116,10087373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110117,10087373,'Inflicts 286 - 429 magic damage on target',100,2,2),
(110118,10087373,'Cannot be modified except by direct means',100,2,3),
(110119,176438,'When Equipped:',100,0,0),
(110120,176438,'Increases Attack Speed of caster by 40.0',100,1,1),
(110121,10176438,'When Equipped:',100,0,0),
(110122,10176438,'Increases Attack Speed of caster by 40.0',100,1,1),
(110123,107546,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(110124,107546,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1088',100,1,1),
(110125,10107546,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(110126,10107546,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1088',100,1,1),
(110127,82519,'When Equipped:',100,0,0),
(110128,82519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110129,82519,'Inflicts 424 - 788 magic damage on target',100,2,2),
(110130,82519,'Decreases Threat to target by 1,219 ',100,2,3),
(110131,82519,'Must be flanking or behind',100,3,4),
(110132,82519,'Increases Threat to target by 1,219 ',100,2,5),
(110133,82519,'Must be in front of',100,3,6),
(110134,82519,'Cannot be modified except by direct means',100,2,7),
(110135,10082519,'When Equipped:',100,0,0),
(110136,10082519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110137,10082519,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(110138,10082519,'Cannot be modified except by direct means',100,2,3),
(110139,100751,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(110140,100751,'Heals target for 605',100,2,1),
(110141,100751,'Increases power of target by 140 every 6 seconds',100,2,2),
(110142,100751,'Wards target against 744 points of all damage',100,2,3),
(110143,100751,'Grants a total of 1 trigger of the spell.',100,2,4),
(110144,10100751,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(110145,10100751,'Heals target for 393',100,2,1),
(110146,10100751,'Increases power of target by 140 every 6 seconds',100,2,2),
(110147,10100751,'Wards target against 744 points of all damage',100,2,3),
(110148,10100751,'Grants a total of 1 trigger of the spell.',100,2,4),
(110149,82398,'When Equipped:',100,0,0),
(110150,82398,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110151,82398,'Inflicts 144 - 268 magic damage on target',100,2,2),
(110152,82398,'Decreases Threat to target by 376 ',100,2,3),
(110153,82398,'Must be flanking or behind',100,3,4),
(110154,82398,'Increases Threat to target by 376 ',100,2,5),
(110155,82398,'Must be in front of',100,3,6),
(110156,82398,'Cannot be modified except by direct means',100,2,7),
(110157,10082398,'When Equipped:',100,0,0),
(110158,10082398,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110159,10082398,'Inflicts 202 - 375 magic damage on target',100,2,2),
(110160,10082398,'Cannot be modified except by direct means',100,2,3),
(110161,103681,'Interrupts target',100,1,0),
(110162,103681,'Inflicts 335 - 559 melee damage on target',100,1,1),
(110163,103681,'Must be flanking or behind',100,1,2),
(110164,10103681,'Interrupts target',100,1,0),
(110165,10103681,'Inflicts 436 - 726 melee damage on target',100,1,1),
(110166,10103681,'Must be flanking or behind',100,1,2),
(110167,124503,'Heals group members (AE) for 1728 - 2112',100,1,0),
(110168,10124503,'Heals group members (AE) for 2022 - 2471',100,1,0),
(110169,116861,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(110170,116861,'Inflicts 779 - 952 mental damage on target',100,2,1),
(110171,116861,'Grants a total of 3 triggers of the spell.',100,2,2),
(110172,10116861,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(110173,10116861,'Inflicts 1090 - 1333 mental damage on target',100,2,1),
(110174,10116861,'Grants a total of 3 triggers of the spell.',100,2,2),
(110175,116006,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(110176,116006,'Decreases threat priority of target by 1 position',100,2,1),
(110177,116006,'Decreases Hate Gain of target by 11.2%',100,1,2),
(110178,10116006,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(110179,10116006,'Forces target to clear their selected target.',100,2,1),
(110180,118271,'Increases Threat to target encounter by 706 - 863 ',100,1,0),
(110181,118271,'Decreases Mitigation of target encounter vs arcane damage by 768',100,1,1),
(110182,10118271,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(110183,10118271,'Prevents target from changing targets',100,2,1),
(110184,10118271,'Forces target to change their selected target to caster.',100,2,2),
(110185,10118271,'Decreases Mitigation of target encounter vs arcane damage by 768',100,1,3),
(110186,102940,'Inflicts 90 - 110 disease damage on target instantly and every 4 seconds',100,1,0),
(110187,10102940,'Inflicts 164 - 200 disease damage on target',100,1,0),
(110188,10102940,'Inflicts 126 - 154 disease damage on target every 4 seconds',100,1,1),
(110189,40831,'When Equipped:',100,0,0),
(110190,40831,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(110191,40831,'Inflicts 1192 piercing damage on target',100,2,2),
(110192,40831,'Cannot be modified except by direct means',100,2,3),
(110193,10040831,'When Equipped:',100,0,0),
(110194,10040831,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(110195,10040831,'Inflicts 834 piercing damage on target',100,2,2),
(110196,10040831,'Cannot be modified except by direct means',100,2,3),
(110197,100182,'Inflicts 1568 - 2912 disease damage on target encounter',100,1,0),
(110198,10100182,'Inflicts 2195 - 4076 disease damage on target encounter',100,1,0),
(110199,106504,'Decreases STR and AGI of target by 123.2',100,1,0),
(110200,10106504,'Decreases STR and AGI of target by 123.2',100,1,0),
(110201,115913,'Inflicts 97 - 119 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(110202,10115913,'Inflicts 176 - 216 disease damage on target encounter',100,1,0),
(110203,10115913,'Inflicts 136 - 166 disease damage on target encounter every 3 seconds',100,1,1),
(110204,70620,'When Equipped:',100,0,0),
(110205,70620,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110206,70620,'Decreases Threat to target by 500 ',100,2,2),
(110207,70620,'Cannot be modified except by direct means',100,2,3),
(110208,10070620,'When Equipped:',100,0,0),
(110209,10070620,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110210,10070620,'Cannot be modified except by direct means',100,2,2),
(110211,36038,'Increases Max Health of target by 5.0',100,0,0),
(110212,36038,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(110213,48885,'Applies Sergug''s Renewal  when Activated.',100,0,0),
(110214,48885,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(110215,10048885,'Applies Sergug''s Renewal  when Activated.',100,0,0),
(110216,10048885,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(110217,41528,'When Equipped:',100,0,0),
(110218,41528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110219,41528,'Inflicts 271 - 504 magic damage on target',100,2,2),
(110220,41528,'Cannot be modified except by direct means',100,2,3),
(110221,10041528,'When Equipped:',100,0,0),
(110222,10041528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110223,10041528,'Inflicts 380 - 705 magic damage on target',100,2,2),
(110224,10041528,'Cannot be modified except by direct means',100,2,3),
(110225,112737,'Increases Ability Reuse Speed of target by 30.0%',100,1,0),
(110226,10112737,'Increases Ability Reuse Speed of target by 30.0%',100,1,0),
(110227,36117,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(110228,36117,'This effect suspends during combat',100,0,1),
(110229,108556,'Makes target afraid',100,1,0),
(110230,108556,'30% chance to dispel when target takes damage',100,1,1),
(110231,108556,'Does not affect Epic targets',100,1,2),
(110232,108556,'Resistibility increases against targets higher than level 81.',100,1,3),
(110233,10108556,'Makes target afraid',100,1,0),
(110234,10108556,'30% chance to dispel when target takes damage',100,1,1),
(110235,10108556,'Does not affect Epic targets',100,1,2),
(110236,10108556,'Resistibility increases against targets higher than level 81.',100,1,3),
(110237,103668,'Interrupts target',100,1,0),
(110238,103668,'Inflicts 201 - 335 melee damage on target',100,1,1),
(110239,103668,'Must be flanking or behind',100,1,2),
(110240,10103668,'Interrupts target',100,1,0),
(110241,10103668,'Inflicts 261 - 436 melee damage on target',100,1,1),
(110242,10103668,'Must be flanking or behind',100,1,2),
(110243,135424,'When Equipped:',100,0,0),
(110244,135424,'On a hostile spell hit this spell may cast Long Road to Ruin on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(110245,135424,'Inflicts between 228 and 4560 heat damage on target. Damage caused is based on the remaining health of the target.',100,2,2),
(110246,10135424,'When Equipped:',100,0,0),
(110247,10135424,'On a hostile spell hit this spell may cast Long Road to Ruin on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(110248,10135424,'Inflicts between 228 and 4560 heat damage on target. Damage caused is based on the remaining health of the target.',100,2,2),
(110249,160991,'When Equipped:',100,0,0),
(110250,160991,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(110251,160991,'Stuns target',100,2,2),
(110252,160991,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(110253,160991,'Resistibility increases against targets higher than level 74.',100,2,4),
(110254,160991,'Cannot be modified except by direct means',100,2,5),
(110255,10160991,'When Equipped:',100,0,0),
(110256,10160991,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(110257,10160991,'Stuns target',100,2,2),
(110258,10160991,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(110259,10160991,'Resistibility increases against targets higher than level 74.',100,2,4),
(110260,10160991,'Cannot be modified except by direct means',100,2,5),
(110261,110518,'Increases Threat to target by 398  instantly and by 166  every 3 seconds thereafter',100,1,0),
(110262,110518,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(110263,110518,'Stuns target',100,2,2),
(110264,110518,'Throws target back',100,2,3),
(110265,110518,'Blurs vision of target',100,2,4),
(110266,110518,'Does not affect Epic targets',100,2,5),
(110267,110518,'Inflicts 96 - 160 disease damage on target',100,1,6),
(110268,10110518,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(110269,10110518,'Stuns target',100,2,1),
(110270,10110518,'Throws target back',100,2,2),
(110271,10110518,'Blurs vision of target',100,2,3),
(110272,10110518,'Does not affect Epic targets',100,2,4),
(110273,10110518,'Forces target to change their selected target to caster.',100,1,5),
(110274,10110518,'Inflicts 104 - 174 disease damage on target',100,1,6),
(110275,10110518,'Prevents target from changing targets',100,1,7),
(110276,106860,'Decreases Threat to targets in Area of Effect by 390 ',100,1,0),
(110277,106860,'Stuns targets in Area of Effect',100,1,1),
(110278,106860,'If Target is not Epic',100,2,2),
(110279,10106860,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(110280,10106860,'Applies Distract.',100,1,1),
(110281,10106860,'Forces target to clear their selected target.',100,2,2),
(110282,10106860,'Stuns targets in Area of Effect',100,1,3),
(110283,10106860,'If Target is not Epic',100,2,4),
(110284,110382,'Increases STR and AGI of group members (AE) by 62.2',100,1,0),
(110285,110382,'Adds 1.9% to base avoidance.',100,1,1),
(110286,10110382,'Increases STR and AGI of group members (AE) by 62.2',100,1,0),
(110287,10110382,'Adds 1.9% to base avoidance.',100,1,1),
(110288,104386,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(110289,104386,'Inflicts 190 - 232 cold damage on target',100,2,1),
(110290,10104386,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(110291,10104386,'Inflicts 266 - 325 cold damage on target',100,2,1),
(110292,84357,'When Equipped:',100,0,0),
(110293,84357,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(110294,84357,'Increases Threat to target by 50 ',100,2,2),
(110295,84357,'Cannot be modified except by direct means',100,2,3),
(110296,10084357,'When Equipped:',100,0,0),
(110297,10084357,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(110298,10084357,'Cannot be modified except by direct means',100,2,2),
(110299,80394,'When Equipped:',100,0,0),
(110300,80394,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110301,80394,'Inflicts 58 - 107 magic damage on target',100,2,2),
(110302,80394,'Cannot be modified except by direct means',100,2,3),
(110303,10080394,'When Equipped:',100,0,0),
(110304,10080394,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110305,10080394,'Inflicts 81 - 150 magic damage on target',100,2,2),
(110306,10080394,'Cannot be modified except by direct means',100,2,3),
(110307,123080,'Summons a pet undead knight',100,1,0),
(110308,10123080,'Summons a pet undead knight',100,1,0),
(110309,52411,'When Equipped:',100,0,0),
(110310,52411,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(110311,10052411,'When Equipped:',100,0,0),
(110312,10052411,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(110313,135888,'When Equipped:',100,0,0),
(110314,135888,'On a damage spell hit this spell may cast Transfixion on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110315,135888,'Increases the base damage of hostile spells cast by 8%.',100,2,2),
(110316,135888,'Cannot be modified except by direct means',100,2,3),
(110317,10135888,'When Equipped:',100,0,0),
(110318,10135888,'On a damage spell hit this spell may cast Transfixion on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110319,10135888,'Increases the base damage of hostile spells cast by 8%.',100,2,2),
(110320,10135888,'Cannot be modified except by direct means',100,2,3),
(110321,116692,'Heals group members (AE) for 8.5 - 10.4% of max health',100,1,0),
(110322,116692,'This effect cannot be critically applied.',100,2,1),
(110323,116692,'Increases Max Health of group members (AE) by 557.7',100,1,2),
(110324,116692,'The healing of this spell cannot be modified except by direct means',100,1,3),
(110325,10116692,'Heals group members (AE) for 2.7 - 3.3% of max health',100,1,0),
(110326,10116692,'This effect cannot be critically applied.',100,2,1),
(110327,10116692,'Increases Max Health of group members (AE) by 557.7',100,1,2),
(110328,10116692,'The healing of this spell cannot be modified except by direct means',100,1,3),
(110329,25590,'When Equipped:',100,0,0),
(110330,25590,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(110331,25590,'Improves the base damage and heal of Lich IV by 15%.',100,1,2),
(110332,10025590,'When Equipped:',100,0,0),
(110333,10025590,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(110334,10025590,'Improves the base damage and heal of Lich IV by 15%.',100,1,2),
(110335,81577,'When Equipped:',100,0,0),
(110336,81577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110337,81577,'Inflicts 144 - 268 magic damage on target',100,2,2),
(110338,81577,'Cannot be modified except by direct means',100,2,3),
(110339,10081577,'When Equipped:',100,0,0),
(110340,10081577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110341,10081577,'Inflicts 202 - 375 magic damage on target',100,2,2),
(110342,10081577,'Cannot be modified except by direct means',100,2,3),
(110343,52244,'When Equipped:',100,0,0),
(110344,52244,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(110345,52244,'Wards caster against 600 points of all damage',100,2,2),
(110346,52244,'Cannot be modified except by direct means',100,2,3),
(110347,10052244,'When Equipped:',100,0,0),
(110348,10052244,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(110349,10052244,'Wards caster against 600 points of all damage',100,2,2),
(110350,10052244,'Cannot be modified except by direct means',100,2,3),
(110351,109816,'Inflicts 88 - 148 melee damage on target',100,1,0),
(110352,109816,'Decreases Parry of target by 9.9',100,1,1),
(110353,109816,'Must be in front of or flanking',100,1,2),
(110354,10109816,'Inflicts 115 - 192 melee damage on target',100,1,0),
(110355,10109816,'Decreases Parry of target by 9.9',100,1,1),
(110356,10109816,'Must be in front of or flanking',100,1,2),
(110357,26435,'When Equipped:',100,0,0),
(110358,26435,'Increases all divine damage by up to 30.',100,1,1),
(110359,10026435,'When Equipped:',100,0,0),
(110360,10026435,'Increases all divine damage by up to 30.',100,1,1),
(110361,81614,'When Equipped:',100,0,0),
(110362,81614,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110363,81614,'Decreases Threat to target by 352 ',100,2,2),
(110364,81614,'Must be flanking or behind',100,3,3),
(110365,81614,'Increases Threat to target by 352 ',100,2,4),
(110366,81614,'Must be in front of',100,3,5),
(110367,81614,'Inflicts 136 - 252 magic damage on target',100,2,6),
(110368,81614,'Cannot be modified except by direct means',100,2,7),
(110369,10081614,'When Equipped:',100,0,0),
(110370,10081614,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110371,10081614,'Inflicts 190 - 352 magic damage on target',100,2,2),
(110372,10081614,'Cannot be modified except by direct means',100,2,3),
(110373,86180,'When Equipped:',100,0,0),
(110374,86180,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(110375,86180,'Inflicts 3164 - 3497 slashing damage on target encounter',100,2,2),
(110376,86180,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(110377,86180,'Must not be engaged in pvp combat',100,2,4),
(110378,86180,'Cannot be modified except by direct means',100,2,5),
(110379,86180,'Must not be engaged in pvp combat',100,1,6),
(110380,10086180,'When Equipped:',100,0,0),
(110381,10086180,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(110382,10086180,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(110383,10086180,'Inflicts 886 - 979 slashing damage on target encounter every 2 seconds',100,2,3),
(110384,10086180,'Must not be engaged in pvp combat',100,2,4),
(110385,10086180,'Cannot be modified except by direct means',100,2,5),
(110386,10086180,'Must not be engaged in pvp combat',100,1,6),
(110387,136692,'When Equipped:',100,0,0),
(110388,136692,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(110389,136692,'Inflicts 1986 disease damage on target encounter',100,2,2),
(110390,136692,'Must not be engaged in pvp combat',100,2,3),
(110391,136692,'Cannot be modified except by direct means',100,2,4),
(110392,10136692,'When Equipped:',100,0,0),
(110393,10136692,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(110394,10136692,'Inflicts 1390 disease damage on target encounter',100,2,2),
(110395,10136692,'Must not be engaged in pvp combat',100,2,3),
(110396,10136692,'Cannot be modified except by direct means',100,2,4),
(110397,118003,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(110398,118003,'Increases Damage Per Second of target by 27.5',100,2,1),
(110399,118003,'Increases Attack Speed of target by 27.5',100,2,2),
(110400,118003,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(110401,118003,'Increases Damage Per Second of target by 27.5',100,2,4),
(110402,118003,'Increases Attack Speed of target by 27.5',100,2,5),
(110403,118003,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(110404,118003,'Increases Damage Per Second of target by 27.5',100,2,7),
(110405,118003,'Increases Attack Speed of target by 27.5',100,2,8),
(110406,10118003,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(110407,10118003,'Increases Damage Per Second of target by 27.5',100,2,1),
(110408,10118003,'Increases Attack Speed of target by 27.5',100,2,2),
(110409,10118003,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(110410,10118003,'Increases Damage Per Second of target by 27.5',100,2,4),
(110411,10118003,'Increases Attack Speed of target by 27.5',100,2,5),
(110412,10118003,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(110413,10118003,'Increases Damage Per Second of target by 27.5',100,2,7),
(110414,10118003,'Increases Attack Speed of target by 27.5',100,2,8),
(110415,107039,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(110416,107039,'Inflicts 58 - 97 divine damage on target',100,2,1),
(110417,107039,'Inflicts 58 - 97 divine damage on target',100,2,2),
(110418,107039,'If target is undead',100,3,3),
(110419,10107039,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(110420,10107039,'Inflicts 136 - 226 divine damage on target',100,2,1),
(110421,107491,'Inflicts 535 - 1606 magic damage on targets in Area of Effect',100,1,0),
(110422,107491,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(110423,107491,'Stuns target',100,2,2),
(110424,107491,'Throws target back',100,2,3),
(110425,107491,'Blurs vision of target',100,2,4),
(110426,107491,'Does not affect Epic targets',100,2,5),
(110427,10107491,'Inflicts 750 - 2249 magic damage on targets in Area of Effect',100,1,0),
(110428,10107491,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(110429,10107491,'Stuns target',100,2,2),
(110430,10107491,'Throws target back',100,2,3),
(110431,10107491,'Blurs vision of target',100,2,4),
(110432,10107491,'Does not affect Epic targets',100,2,5),
(110433,108079,'Decreases Threat to target by 189 - 315 ',100,1,0),
(110434,10108079,'Forces target to clear their selected target.',100,1,0),
(110435,10108079,'Target cannot target caster for the duration of this effect.',100,1,1),
(110436,109188,'Roots target',100,1,0),
(110437,109188,'Applies Blind.  Lasts for 9.0 seconds.',100,1,1),
(110438,109188,'Dazes target',100,2,2),
(110439,109188,'Blurs vision of target',100,2,3),
(110440,109188,'Dispelled when target takes damage',100,2,4),
(110441,109188,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(110442,109188,'5% chance to dispel when target takes damage',100,1,6),
(110443,109188,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(110444,109188,'Resistibility increases against targets higher than level 102.',100,1,8),
(110445,10109188,'Roots target',100,1,0),
(110446,10109188,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(110447,10109188,'Dazes target',100,2,2),
(110448,10109188,'Blurs vision of target',100,2,3),
(110449,10109188,'Dispelled when target takes damage',100,2,4),
(110450,10109188,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(110451,10109188,'5% chance to dispel when target takes damage',100,1,6),
(110452,10109188,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(110453,10109188,'Resistibility increases against targets higher than level 102.',100,1,8),
(110454,48502,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(110455,48502,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(110456,48502,'Inflicts 88 poison damage on target',100,2,2),
(110457,48502,'Cannot be modified except by direct means',100,2,3),
(110458,48502,'Grants a total of 4 triggers of the spell.',100,2,4),
(110459,10048502,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(110460,10048502,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(110461,10048502,'Inflicts 92 poison damage on target',100,2,2),
(110462,10048502,'Cannot be modified except by direct means',100,2,3),
(110463,10048502,'Grants a total of 4 triggers of the spell.',100,2,4),
(110464,88969,'When Equipped:',100,0,0),
(110465,88969,'On a combat hit this spell may cast Flaring Fist on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110466,88969,'Inflicts 5 - 6 (based on equipped weapon) melee damage on target',100,2,2),
(110467,88969,'Cannot be modified except by direct means',100,2,3),
(110468,10088969,'When Equipped:',100,0,0),
(110469,10088969,'On a combat hit this spell may cast Flaring Fist on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110470,10088969,'Inflicts 6 - 8 (based on equipped weapon) melee damage on target',100,2,2),
(110471,10088969,'Cannot be modified except by direct means',100,2,3),
(110472,81177,'When Equipped:',100,0,0),
(110473,81177,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110474,81177,'Decreases Threat to target by 517 ',100,2,2),
(110475,81177,'Must be flanking or behind',100,3,3),
(110476,81177,'Increases Threat to target by 517 ',100,2,4),
(110477,81177,'Must be in front of',100,3,5),
(110478,81177,'Inflicts 194 - 361 magic damage on target',100,2,6),
(110479,81177,'Cannot be modified except by direct means',100,2,7),
(110480,10081177,'When Equipped:',100,0,0),
(110481,10081177,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110482,10081177,'Inflicts 272 - 505 magic damage on target',100,2,2),
(110483,10081177,'Cannot be modified except by direct means',100,2,3),
(110484,52829,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(110485,52829,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(110486,52829,'Inflicts 104 heat damage on target',100,2,2),
(110487,52829,'Cannot be modified except by direct means',100,2,3),
(110488,10052829,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(110489,10052829,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(110490,10052829,'Inflicts 146 heat damage on target',100,2,2),
(110491,10052829,'Cannot be modified except by direct means',100,2,3),
(110492,114833,'Dazes caster',100,1,0),
(110493,114833,'Roots caster',100,1,1),
(110494,114833,'Increases Mitigation of caster vs physical damage by 2176',100,1,2),
(110495,10114833,'Dazes caster',100,1,0),
(110496,10114833,'Roots caster',100,1,1),
(110497,10114833,'Increases Mitigation of caster vs physical damage by 2176',100,1,2),
(110498,141978,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(110499,141978,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(110500,141978,'Decreases Attack Speed of target by 11.2',100,2,2),
(110501,141978,'Cannot be modified except by direct means',100,2,3),
(110502,141978,'Slows target by 28.5%',100,1,4),
(110503,141978,'5% chance to dispel when target takes damage',100,1,5),
(110504,141978,'5% chance to dispel when target receives hostile action',100,1,6),
(110505,141978,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(110506,10141978,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(110507,10141978,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(110508,10141978,'Decreases Attack Speed of target by 11.2',100,2,2),
(110509,10141978,'Cannot be modified except by direct means',100,2,3),
(110510,10141978,'Slows target by 28.5%',100,1,4),
(110511,10141978,'5% chance to dispel when target takes damage',100,1,5),
(110512,10141978,'5% chance to dispel when target receives hostile action',100,1,6),
(110513,10141978,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(110514,190908,'When Equipped:',100,0,0),
(110515,190908,'When any damage is received this spell has a 8% chance to cast Act of Survival on target''s attacker.  ',100,1,1),
(110516,190908,'Inflicts 183 magic damage on target',100,2,2),
(110517,190908,'Heals caster for 102',100,2,3),
(110518,190908,'Cannot be modified except by direct means',100,2,4),
(110519,10190908,'When Equipped:',100,0,0),
(110520,10190908,'When any damage is received this spell has a 8% chance to cast Act of Survival on target''s attacker.  ',100,1,1),
(110521,10190908,'Inflicts 257 magic damage on target',100,2,2),
(110522,10190908,'Heals caster for 66',100,2,3),
(110523,10190908,'Cannot be modified except by direct means',100,2,4),
(110524,37343,'Increases AGI of target by 1.6',100,0,0),
(110525,37343,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(110526,36531,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(110527,122887,'Grants See Invisibility to caster',100,1,0),
(110528,10122887,'Grants See Invisibility to caster',100,1,0),
(110529,118905,'Increases Damage Per Second of caster by 28.8',100,1,0),
(110530,10118905,'Increases Damage Per Second of caster by 28.8',100,1,0),
(110531,109151,'Inflicts 35 - 58 melee damage on target',100,1,0),
(110532,10109151,'Inflicts 45 - 76 melee damage on target',100,1,0),
(110533,114613,'Decreases WIS of target by 7.3',100,1,0),
(110534,114613,'Inflicts 63 - 105 melee damage on target',100,1,1),
(110535,114613,'You must be sneaking to use this ability.',100,1,2),
(110536,10114613,'Decreases WIS of target by 7.3',100,1,0),
(110537,10114613,'Inflicts 82 - 137 melee damage on target',100,1,1),
(110538,10114613,'You must be sneaking to use this ability.',100,1,2),
(110539,101177,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(110540,101177,'Slows target by 39.6%',100,2,1),
(110541,101177,'5% chance to dispel when target receives hostile action',100,2,2),
(110542,101177,'5% chance to dispel when target takes damage',100,2,3),
(110543,101177,'Inflicts 103 - 171 cold damage on target',100,1,4),
(110544,101177,'Inflicts 103 - 171 cold damage on target',100,1,5),
(110545,101177,'If weapon equipped in Ranged',100,1,6),
(110546,10101177,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(110547,10101177,'Slows target by 39.6%',100,2,1),
(110548,10101177,'5% chance to dispel when target receives hostile action',100,2,2),
(110549,10101177,'5% chance to dispel when target takes damage',100,2,3),
(110550,10101177,'Inflicts 87 - 146 cold damage on target',100,1,4),
(110551,10101177,'Inflicts 87 - 146 cold damage on target',100,1,5),
(110552,10101177,'If weapon equipped in Ranged',100,1,6),
(110553,35695,'Increases Max Power of target by 4.1',100,0,0),
(110554,35695,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(110555,46983,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(110556,46983,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(110557,46983,'Inflicts 38 poison damage on target',100,2,2),
(110558,46983,'Inflicts 99 poison damage on target instantly and every 6 seconds',100,2,3),
(110559,46983,'Cannot be modified except by direct means',100,2,4),
(110560,46983,'Grants a total of 200 triggers of the spell.',100,2,5),
(110561,10046983,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(110562,10046983,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(110563,10046983,'Inflicts 104 poison damage on target instantly and every 6 seconds',100,2,2),
(110564,10046983,'Inflicts 39 poison damage on target',100,2,3),
(110565,10046983,'Cannot be modified except by direct means',100,2,4),
(110566,10046983,'Grants a total of 200 triggers of the spell.',100,2,5),
(110567,80416,'When Equipped:',100,0,0),
(110568,80416,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110569,80416,'Inflicts 55 - 101 magic damage on target',100,2,2),
(110570,80416,'Cannot be modified except by direct means',100,2,3),
(110571,10080416,'When Equipped:',100,0,0),
(110572,10080416,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110573,10080416,'Inflicts 76 - 142 magic damage on target',100,2,2),
(110574,10080416,'Cannot be modified except by direct means',100,2,3),
(110575,48622,'Applies Toxxulia''s Draught when Activated.  Lasts for 2 minutes.',100,0,0),
(110576,48622,'Self targeting spells will only receive partial benefits.',100,1,1),
(110577,48622,'If the next damage spell cast is disease-based, it will inflict increased damage.',100,1,2),
(110578,48622,'Dispelled when target casts a hostile spell',100,1,3),
(110579,48622,'Dispelled when target takes damage',100,1,4),
(110580,10048622,'Applies Toxxulia''s Draught when Activated.  Lasts for 2 minutes.',100,0,0),
(110581,10048622,'Self targeting spells will only receive partial benefits.',100,1,1),
(110582,10048622,'If the next damage spell cast is disease-based, it will inflict increased damage.',100,1,2),
(110583,10048622,'Dispelled when target casts a hostile spell',100,1,3),
(110584,10048622,'Dispelled when target takes damage',100,1,4),
(110585,48031,'Applies Shifting Root when Activated.  Lasts for 3 minutes.',100,0,0),
(110586,48031,'Grants invisibility to caster',100,1,1),
(110587,48031,'Suspends caster''s movement speed enhancements',100,1,2),
(110588,48031,'Dispelled when target receives hostile action',100,1,3),
(110589,48031,'Dispelled when target takes damage',100,1,4),
(110590,10048031,'Applies Shifting Root when Activated.  Lasts for 3 minutes.',100,0,0),
(110591,10048031,'Grants invisibility to caster',100,1,1),
(110592,10048031,'Suspends caster''s movement speed enhancements',100,1,2),
(110593,10048031,'Dispelled when target receives hostile action',100,1,3),
(110594,10048031,'Dispelled when target takes damage',100,1,4),
(110595,110847,'Inflicts 316 - 428 mental damage on target',100,1,0),
(110596,110847,'Interrupts target',100,1,1),
(110597,10110847,'Inflicts 443 - 599 mental damage on target',100,1,0),
(110598,10110847,'Interrupts target',100,1,1),
(110599,123121,'Inflicts 201 disease damage on targets in Area of Effect',100,1,0),
(110600,123121,'Inflicts 137 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(110601,10123121,'Inflicts 282 disease damage on targets in Area of Effect',100,1,0),
(110602,10123121,'Inflicts 192 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(110603,123673,'Increases Damage Per Second of target by 32.3',100,1,0),
(110604,10123673,'Increases Damage Per Second of target by 32.3',100,1,0),
(110605,110890,'Inflicts 625 - 764 heat damage on target encounter',100,1,0),
(110606,10110890,'Inflicts 876 - 1070 heat damage on target encounter',100,1,0),
(110607,102679,'Inflicts 400 divine damage on target encounter',100,1,0),
(110608,10102679,'Inflicts 560 divine damage on target encounter',100,1,0),
(110609,75161,'When Equipped:',100,0,0),
(110610,75161,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(110611,10075161,'When Equipped:',100,0,0),
(110612,10075161,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(110613,120505,'Inflicts 242 - 403 melee damage on target',100,1,0),
(110614,120505,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(110615,120505,'Grants stealth to caster',100,2,2),
(110616,120505,'Suspends caster''s movement speed enhancements',100,2,3),
(110617,120505,'Must be flanking or behind',100,1,4),
(110618,10120505,'Inflicts 314 - 524 melee damage on target',100,1,0),
(110619,10120505,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(110620,10120505,'Grants stealth to caster',100,2,2),
(110621,10120505,'Suspends caster''s movement speed enhancements',100,2,3),
(110622,10120505,'Must be flanking or behind',100,1,4),
(110623,107462,'Increases Defense of group members'' pets (AE) by 2.7',100,1,0),
(110624,107462,'Increases Mitigation of group members (AE) vs all damage by 50',100,1,1),
(110625,10107462,'Increases Defense of group members'' pets (AE) by 2.7',100,1,0),
(110626,10107462,'Increases Mitigation of group members (AE) vs all damage by 50',100,1,1),
(110627,103270,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(110628,103270,'If Fighter',100,2,1),
(110629,103270,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(110630,103270,'Increases power of target by 7 instantly and every 4 seconds',100,2,3),
(110631,103270,'Increases power of caster by 7 instantly and every 4 seconds',100,2,4),
(110632,10103270,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(110633,10103270,'Increases power of target by 7 instantly and every 4 seconds',100,2,1),
(110634,10103270,'Increases power of caster by 7 instantly and every 4 seconds',100,2,2),
(110635,113132,'Decreases Attack Speed of target encounter by 22.8',100,1,0),
(110636,10113132,'Decreases Attack Speed of target encounter by 22.8',100,1,0),
(110637,113853,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(110638,113853,'Increases power of caster by 160',100,2,1),
(110639,113853,'Grants a total of 3 triggers of the spell.',100,2,2),
(110640,10113853,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(110641,10113853,'Increases power of caster by 160',100,2,1),
(110642,10113853,'Grants a total of 3 triggers of the spell.',100,2,2),
(110643,76439,'When Equipped:',100,0,0),
(110644,76439,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(110645,76439,'Reduces healing received by 15.00%',100,2,2),
(110646,76439,'Cannot be modified except by direct means',100,2,3),
(110647,76439,'This effect can only trigger once every 1 second.',100,2,4),
(110648,76439,'Must be engaged in pvp combat',100,1,5),
(110649,10076439,'When Equipped:',100,0,0),
(110650,10076439,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(110651,10076439,'Reduces healing received by 15.00%',100,2,2),
(110652,10076439,'Cannot be modified except by direct means',100,2,3),
(110653,10076439,'This effect can only trigger once every 1 second.',100,2,4),
(110654,10076439,'Must be engaged in pvp combat',100,1,5),
(110655,154206,'When Equipped:',100,0,0),
(110656,154206,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(110657,154206,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(110658,154206,'Heals caster for 2322',100,3,3),
(110659,154206,'Cannot be modified except by direct means',100,3,4),
(110660,154206,'Grants a total of 2 triggers of the spell.',100,3,5),
(110661,154206,'Cannot be modified except by direct means',100,2,6),
(110662,10154206,'When Equipped:',100,0,0),
(110663,10154206,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(110664,10154206,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(110665,10154206,'Heals caster for 2716',100,3,3),
(110666,10154206,'Cannot be modified except by direct means',100,3,4),
(110667,10154206,'Grants a total of 2 triggers of the spell.',100,3,5),
(110668,10154206,'Cannot be modified except by direct means',100,2,6),
(110669,159454,'Applies Sanguine Imbued when Equipped.',100,0,0),
(110670,159454,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(110671,159454,'Inflicts 104 heat damage on target',100,2,2),
(110672,159454,'Cannot be modified except by direct means',100,2,3),
(110673,10159454,'Applies Sanguine Imbued when Equipped.',100,0,0),
(110674,10159454,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(110675,10159454,'Inflicts 146 heat damage on target',100,2,2),
(110676,10159454,'Cannot be modified except by direct means',100,2,3),
(110677,81949,'When Equipped:',100,0,0),
(110678,81949,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110679,81949,'Inflicts 351 - 652 magic damage on target',100,2,2),
(110680,81949,'Decreases Threat to target by 994 ',100,2,3),
(110681,81949,'Must be flanking or behind',100,3,4),
(110682,81949,'Increases Threat to target by 994 ',100,2,5),
(110683,81949,'Must be in front of',100,3,6),
(110684,81949,'Cannot be modified except by direct means',100,2,7),
(110685,10081949,'When Equipped:',100,0,0),
(110686,10081949,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110687,10081949,'Inflicts 492 - 913 magic damage on target',100,2,2),
(110688,10081949,'Cannot be modified except by direct means',100,2,3),
(110689,120604,'Inflicts 183 - 340 heat damage on target',100,1,0),
(110690,10120604,'Inflicts 256 - 476 heat damage on target',100,1,0),
(110691,104754,'Applies Consecration.',100,1,0),
(110692,104754,'Inflicts 234 - 285 divine damage on targets in Area of Effect',100,2,1),
(110693,10104754,'Applies Consecration.',100,1,0),
(110694,10104754,'Inflicts 327 - 400 divine damage on targets in Area of Effect',100,2,1),
(110695,108156,'Inflicts 543 - 905 melee damage on target',100,1,0),
(110696,108156,'You must be sneaking to use this ability.',100,1,1),
(110697,108156,'Must be flanking or behind',100,1,2),
(110698,10108156,'Inflicts 465 - 776 melee damage on target',100,1,0),
(110699,10108156,'You must be sneaking to use this ability.',100,1,1),
(110700,10108156,'Must be flanking or behind',100,1,2),
(110701,82634,'When Equipped:',100,0,0),
(110702,82634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110703,82634,'Inflicts 100 - 185 magic damage on target',100,2,2),
(110704,82634,'Cannot be modified except by direct means',100,2,3),
(110705,10082634,'When Equipped:',100,0,0),
(110706,10082634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110707,10082634,'Inflicts 140 - 260 magic damage on target',100,2,2),
(110708,10082634,'Cannot be modified except by direct means',100,2,3),
(110709,102426,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(110710,102426,'Heals target for 60 - 74',100,2,1),
(110711,102426,'Grants a total of 5 triggers of the spell.',100,2,2),
(110712,10102426,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(110713,10102426,'Heals target for 39 - 48',100,2,1),
(110714,10102426,'Grants a total of 5 triggers of the spell.',100,2,2),
(110715,124617,'Heals group members (AE) for 215 - 262',100,1,0),
(110716,124617,'Heals group members (AE) for 36 - 44 every second',100,1,1),
(110717,10124617,'Heals group members (AE) for 313 - 383',100,1,0),
(110718,10124617,'Heals group members (AE) for 39 - 48 every second',100,1,1),
(110719,71426,'When Equipped:',100,0,0),
(110720,71426,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110721,71426,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(110722,71426,'Cannot be modified except by direct means',100,2,3),
(110723,10071426,'When Equipped:',100,0,0),
(110724,10071426,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110725,10071426,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(110726,10071426,'Cannot be modified except by direct means',100,2,3),
(110727,46193,'Applies Call Ethereal Prowler when Activated.',100,0,0),
(110728,46193,'Increases Disruption, Ministration and Focus of caster by 5.0',100,1,1),
(110729,46193,'Summons a mount to ride',100,1,2),
(110730,46193,'Increases your ground speed by 135%',100,2,3),
(110731,46193,'Increases Aggression, Ordination, Crushing, Slashing, Subjugation, Piercing and Ranged of caster by 5.0',100,1,4),
(110732,10046193,'Applies Call Ethereal Prowler when Activated.',100,0,0),
(110733,10046193,'Increases Disruption, Ministration and Focus of caster by 5.0',100,1,1),
(110734,10046193,'Summons a mount to ride',100,1,2),
(110735,10046193,'Increases your ground speed by 135%',100,2,3),
(110736,10046193,'Increases Aggression, Ordination, Crushing, Slashing, Subjugation, Piercing and Ranged of caster by 5.0',100,1,4),
(110737,112347,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(110738,112347,'Inflicts 215 - 359 piercing damage on target',100,2,1),
(110739,10112347,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(110740,10112347,'Inflicts 147 - 245 piercing damage on target',100,2,1),
(110741,109780,'Inflicts 17 - 21 mental damage on target instantly and every 6 seconds',100,1,0),
(110742,109780,'Decreases Mitigation of target vs arcane damage by 157',100,1,1),
(110743,10109780,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',100,1,0),
(110744,10109780,'Decreases Mitigation of target vs arcane damage by 157',100,1,1),
(110745,81064,'When Equipped:',100,0,0),
(110746,81064,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110747,81064,'Inflicts 194 - 361 magic damage on target',100,2,2),
(110748,81064,'Cannot be modified except by direct means',100,2,3),
(110749,10081064,'When Equipped:',100,0,0),
(110750,10081064,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110751,10081064,'Inflicts 272 - 505 magic damage on target',100,2,2),
(110752,10081064,'Cannot be modified except by direct means',100,2,3),
(110753,119563,'Wards group members (AE) against 1752 points of arcane damage',100,1,0),
(110754,119563,'Increases Mitigation of group members (AE) vs arcane damage by 940',100,1,1),
(110755,10119563,'Wards group members (AE) against 1752 points of arcane damage',100,1,0),
(110756,10119563,'Increases Mitigation of group members (AE) vs arcane damage by 940',100,1,1),
(110757,36944,'Increases STR of target by 1.6',100,0,0),
(110758,36944,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(110759,113232,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(110760,113232,'Inflicts 13 - 21 magic damage on target',100,2,1),
(110761,113232,'Grants a total of 8 triggers of the spell.',100,2,2),
(110762,10113232,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(110763,10113232,'Inflicts 18 - 30 magic damage on target',100,2,1),
(110764,10113232,'Grants a total of 8 triggers of the spell.',100,2,2),
(110765,120289,'Target will lose 80% more power when power is consumed',100,1,0),
(110766,120289,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(110767,120289,'Inflicts 387 - 473 divine damage on target',100,2,2),
(110768,120289,'Grants a total of 3 triggers of the spell.',100,2,3),
(110769,10120289,'Target will lose 80% more power when power is consumed',100,1,0),
(110770,10120289,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(110771,10120289,'Inflicts 542 - 662 divine damage on target',100,2,2),
(110772,10120289,'Grants a total of 3 triggers of the spell.',100,2,3),
(110773,107575,'Dazes target encounter',100,1,0),
(110774,107575,'Inflicts 151 - 185 mental damage on target encounter',100,1,1),
(110775,107575,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(110776,107575,'Resistibility increases against targets higher than level 54.',100,1,3),
(110777,10107575,'Dazes target encounter',100,1,0),
(110778,10107575,'Inflicts 212 - 259 mental damage on target encounter',100,1,1),
(110779,10107575,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(110780,10107575,'Resistibility increases against targets higher than level 54.',100,1,3),
(110781,105942,'Inflicts 139 - 170 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(110782,105942,'Inflicts 325 - 542 disease damage on targets in area',100,1,1),
(110783,10105942,'Inflicts 195 - 238 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(110784,10105942,'Inflicts 422 - 704 disease damage on targets in area',100,1,1),
(110785,106601,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(110786,10106601,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(110787,82704,'When Equipped:',100,0,0),
(110788,82704,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110789,82704,'Inflicts 314 - 584 magic damage on target',100,2,2),
(110790,82704,'Decreases Threat to target by 1,174 ',100,2,3),
(110791,82704,'Must be flanking or behind',100,3,4),
(110792,82704,'Increases Threat to target by 1,174 ',100,2,5),
(110793,82704,'Must be in front of',100,3,6),
(110794,82704,'Cannot be modified except by direct means',100,2,7),
(110795,10082704,'When Equipped:',100,0,0),
(110796,10082704,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110797,10082704,'Inflicts 440 - 817 magic damage on target',100,2,2),
(110798,10082704,'Cannot be modified except by direct means',100,2,3),
(110799,159726,'When Equipped:',100,0,0),
(110800,159726,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110801,159726,'Increases INT of caster by 15.5',100,2,2),
(110802,159726,'Increases Subjugation, Focus and Disruption of caster by 8.8',100,2,3),
(110803,159726,'Cannot be modified except by direct means',100,2,4),
(110804,10159726,'When Equipped:',100,0,0),
(110805,10159726,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110806,10159726,'Increases INT of caster by 15.5',100,2,2),
(110807,10159726,'Increases Subjugation, Focus and Disruption of caster by 8.8',100,2,3),
(110808,10159726,'Cannot be modified except by direct means',100,2,4),
(110809,45120,'Applies Aab''I Hayat when Activated.  Lasts for 1 hour.',100,0,0),
(110810,45120,'If target is a challenge.',100,1,1),
(110811,10045120,'Applies Aab''I Hayat when Activated.  Lasts for 1 hour.',100,0,0),
(110812,10045120,'If target is a challenge.',100,1,1),
(110813,115401,'Inflicts 337 - 562 melee damage on target',100,1,0),
(110814,115401,'Decreases INT of target by 48.6',100,1,1),
(110815,115401,'You must be sneaking to use this ability.',100,1,2),
(110816,10115401,'Inflicts 438 - 731 melee damage on target',100,1,0),
(110817,10115401,'Decreases INT of target by 48.6',100,1,1),
(110818,10115401,'You must be sneaking to use this ability.',100,1,2),
(110819,120774,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(110820,120774,'Stuns target',100,2,1),
(110821,120774,'Throws target back',100,2,2),
(110822,120774,'Blurs vision of target',100,2,3),
(110823,120774,'Does not affect Epic targets',100,2,4),
(110824,120774,'Inflicts 16 - 26 piercing damage on target',100,1,5),
(110825,10120774,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(110826,10120774,'Stuns target',100,2,1),
(110827,10120774,'Throws target back',100,2,2),
(110828,10120774,'Blurs vision of target',100,2,3),
(110829,10120774,'Does not affect Epic targets',100,2,4),
(110830,10120774,'Inflicts 21 - 35 piercing damage on target',100,1,5),
(110831,101350,'Reduces physical damage done to caster by 5%',100,1,0),
(110832,101350,'Adds 1.8% to base avoidance.',100,1,1),
(110833,101350,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(110834,101350,'Increases Aggression of caster by 4.3',100,1,3),
(110835,101350,'Increases Defense and Parry of caster by 6.9',100,1,4),
(110836,101350,'Increases Mitigation of caster vs noxious and arcane damage by 46',100,1,5),
(110837,101350,'Increases Mitigation of caster vs elemental damage by 456',100,1,6),
(110838,101350,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(110839,10101350,'Reduces physical damage done to caster by 5%',100,1,0),
(110840,10101350,'Adds 1.8% to base avoidance.',100,1,1),
(110841,10101350,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(110842,10101350,'Increases Aggression of caster by 4.3',100,1,3),
(110843,10101350,'Increases Defense and Parry of caster by 6.9',100,1,4),
(110844,10101350,'Increases Mitigation of caster vs noxious and arcane damage by 46',100,1,5),
(110845,10101350,'Increases Mitigation of caster vs elemental damage by 456',100,1,6),
(110846,10101350,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(110847,159154,'Applies Sanguine Imbued when Equipped.',100,0,0),
(110848,159154,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(110849,159154,'Inflicts 303 heat damage on target',100,2,2),
(110850,159154,'Cannot be modified except by direct means',100,2,3),
(110851,10159154,'Applies Sanguine Imbued when Equipped.',100,0,0),
(110852,10159154,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(110853,10159154,'Inflicts 424 heat damage on target',100,2,2),
(110854,10159154,'Cannot be modified except by direct means',100,2,3),
(110855,81666,'When Equipped:',100,0,0),
(110856,81666,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110857,81666,'Inflicts 144 - 268 magic damage on target',100,2,2),
(110858,81666,'Decreases Threat to target by 376 ',100,2,3),
(110859,81666,'Must be flanking or behind',100,3,4),
(110860,81666,'Increases Threat to target by 376 ',100,2,5),
(110861,81666,'Must be in front of',100,3,6),
(110862,81666,'Cannot be modified except by direct means',100,2,7),
(110863,10081666,'When Equipped:',100,0,0),
(110864,10081666,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(110865,10081666,'Inflicts 202 - 375 magic damage on target',100,2,2),
(110866,10081666,'Cannot be modified except by direct means',100,2,3),
(110867,115220,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(110868,115220,'Decreases Mitigation of target vs noxious damage by 896',100,2,1),
(110869,115220,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(110870,115220,'Decreases Mitigation of target vs noxious damage by 896',100,2,3),
(110871,10115220,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(110872,10115220,'Decreases Mitigation of target vs noxious damage by 896',100,2,1),
(110873,10115220,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(110874,10115220,'Decreases Mitigation of target vs noxious damage by 896',100,2,3),
(110875,109426,'Inflicts 103 - 126 cold damage on target instantly and every 4 seconds',100,1,0),
(110876,109426,'Decreases Mitigation of target vs elemental damage by 444',100,1,1),
(110877,10109426,'Inflicts 144 - 176 cold damage on target instantly and every 4 seconds',100,1,0),
(110878,10109426,'Decreases Mitigation of target vs elemental damage by 444',100,1,1),
(110879,72000,'When Equipped:',100,0,0),
(110880,72000,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110881,72000,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(110882,72000,'Cannot be modified except by direct means',100,2,3),
(110883,10072000,'When Equipped:',100,0,0),
(110884,10072000,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(110885,10072000,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(110886,10072000,'Cannot be modified except by direct means',100,2,3),
(110887,162643,'When Equipped:',100,0,0),
(110888,162643,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(110889,162643,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(110890,162643,'Cannot be modified except by direct means',100,2,3),
(110891,10162643,'When Equipped:',100,0,0),
(110892,10162643,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(110893,10162643,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(110894,10162643,'Cannot be modified except by direct means',100,2,3),
(110895,47304,'Applies Silverwind''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(110896,47304,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(110897,10047304,'Applies Silverwind''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(110898,10047304,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(110899,37383,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(110900,37383,'This effect suspends during combat',100,0,1),
(110901,119600,'Increases power of caster by 56 instantly and every 4 seconds',100,1,0),
(110902,10119600,'Increases power of caster by 56 instantly and every 4 seconds',100,1,0),
(110903,109155,'Roots target',100,1,0),
(110904,109155,'Applies Blind.  Lasts for 4.0 seconds.',100,1,1),
(110905,109155,'Dazes target',100,2,2),
(110906,109155,'Blurs vision of target',100,2,3),
(110907,109155,'Dispelled when target takes damage',100,2,4),
(110908,109155,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(110909,109155,'5% chance to dispel when target takes damage',100,1,6),
(110910,109155,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,7),
(110911,109155,'Resistibility increases against targets higher than level 34.',100,1,8),
(110912,10109155,'Roots target',100,1,0),
(110913,10109155,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(110914,10109155,'Dazes target',100,2,2),
(110915,10109155,'Blurs vision of target',100,2,3),
(110916,10109155,'Dispelled when target takes damage',100,2,4),
(110917,10109155,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(110918,10109155,'5% chance to dispel when target takes damage',100,1,6),
(110919,10109155,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(110920,10109155,'Resistibility increases against targets higher than level 34.',100,1,8),
(110921,45532,'Applies Aegis of Ortallis  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(110922,45532,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(110923,45532,'Inflicts 2 magic damage on target',100,2,2),
(110924,45532,'Cannot be modified except by direct means',100,2,3),
(110925,10045532,'Applies Aegis of Ortallis  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(110926,10045532,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(110927,10045532,'Inflicts 3 magic damage on target',100,2,2),
(110928,10045532,'Cannot be modified except by direct means',100,2,3),
(110929,122562,'Stifles target',100,1,0),
(110930,122562,'If Target is not Epic',100,2,1),
(110931,122562,'Interrupts target',100,1,2),
(110932,122562,'Inflicts 6 - 10 magic damage on target',100,1,3),
(110933,122562,'Resistibility increases against targets higher than level 39.',100,1,4),
(110934,10122562,'Stifles target',100,1,0),
(110935,10122562,'If Target is not Epic',100,2,1),
(110936,10122562,'Interrupts target',100,1,2),
(110937,10122562,'Inflicts 8 - 14 magic damage on target',100,1,3),
(110938,10122562,'Resistibility increases against targets higher than level 39.',100,1,4),
(110939,122779,'Heals group members (AE) for 1544 - 1888',100,1,0),
(110940,122779,'Increases Max Health of group members (AE) by 247.3',100,1,1),
(110941,10122779,'Heals group members (AE) for 3253 - 3975',100,1,0),
(110942,10122779,'Increases Max Health of group members (AE) by 247.3',100,1,1),
(110943,111243,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(110944,111243,'Heals target for 442 - 540',100,2,1),
(110945,10111243,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(110946,10111243,'Heals target for 287 - 351',100,2,1),
(110947,83851,'When Equipped:',100,0,0),
(110948,83851,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110949,83851,'Inflicts 220 - 367 magic damage on target',100,2,2),
(110950,83851,'Cannot be modified except by direct means',100,2,3),
(110951,10083851,'When Equipped:',100,0,0),
(110952,10083851,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(110953,10083851,'Inflicts 308 - 514 magic damage on target',100,2,2),
(110954,10083851,'Cannot be modified except by direct means',100,2,3),
(110955,102907,'Heals caster for 918',100,1,0),
(110956,102907,'Inflicts 1662 disease damage on targets in Area of Effect',100,1,1),
(110957,10102907,'Heals caster for 597',100,1,0),
(110958,10102907,'Inflicts 2327 disease damage on targets in Area of Effect',100,1,1),
(110959,115149,'Heals target for 21 - 25',100,1,0),
(110960,10115149,'Heals target for 28 - 34',100,1,0),
(110961,26611,'When Equipped:',100,0,0),
(110962,26611,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(110963,26611,'Improves the damage of Glacial Lance by 15%.',100,1,2),
(110964,10026611,'When Equipped:',100,0,0),
(110965,10026611,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(110966,10026611,'Improves the damage of Glacial Lance by 15%.',100,1,2),
(110967,48693,'Applies Dagda''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(110968,48693,'Increases Max Health of caster by 32.0',100,1,1),
(110969,10048693,'Applies Dagda''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(110970,10048693,'Increases Max Health of caster by 32.0',100,1,1),
(110971,177595,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(110972,177595,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(110973,177595,'Inflicts 45 heat damage on target',100,2,2),
(110974,177595,'Cannot be modified except by direct means',100,2,3),
(110975,10177595,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(110976,10177595,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(110977,10177595,'Inflicts 63 heat damage on target',100,2,2),
(110978,10177595,'Cannot be modified except by direct means',100,2,3),
(110979,49063,'Applies Vision of the Freebooter when Activated.',100,0,0),
(110980,49063,'Shapechanges the user into troll pirate.',100,1,1),
(110981,10049063,'Applies Vision of the Freebooter when Activated.',100,0,0),
(110982,10049063,'Shapechanges the user into troll pirate.',100,1,1),
(110983,117395,'Increases Threat to target by 435 ',100,1,0),
(110984,117395,'Inflicts 68 - 206 melee damage on target',100,1,1),
(110985,10117395,'Forces target to change their selected target to caster.',100,1,0),
(110986,10117395,'Inflicts 59 - 179 melee damage on target',100,1,1),
(110987,152797,'When Equipped:',100,0,0),
(110988,152797,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(110989,152797,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,2),
(110990,152797,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(110991,152797,'Must not be engaged in pvp combat',100,2,4),
(110992,152797,'Cannot be modified except by direct means',100,2,5),
(110993,152797,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(110994,152797,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(110995,152797,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,8),
(110996,152797,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(110997,152797,'Must not be engaged in pvp combat',100,2,10),
(110998,152797,'Cannot be modified except by direct means',100,2,11),
(110999,152797,'Cannot be modified except by direct means',100,1,12),
(111000,10152797,'When Equipped:',100,0,0),
(111001,10152797,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111002,10152797,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,2),
(111003,10152797,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(111004,10152797,'Must not be engaged in pvp combat',100,2,4),
(111005,10152797,'Cannot be modified except by direct means',100,2,5),
(111006,10152797,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(111007,10152797,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(111008,10152797,'Increases AGI, STR, INT and WIS of caster by 110.0',100,2,8),
(111009,10152797,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(111010,10152797,'Must not be engaged in pvp combat',100,2,10),
(111011,10152797,'Cannot be modified except by direct means',100,2,11),
(111012,10152797,'Cannot be modified except by direct means',100,1,12),
(111013,111127,'Heals target for 27.4 - 33.4% of max health',100,1,0),
(111014,111127,'This effect cannot be critically applied.',100,2,1),
(111015,111127,'Increases Mitigation of target vs physical damage by 830',100,1,2),
(111016,111127,'The healing of this spell cannot be modified except by direct means',100,1,3),
(111017,10111127,'Heals target for 10.3 - 12.5% of max health',100,1,0),
(111018,10111127,'This effect cannot be critically applied.',100,2,1),
(111019,10111127,'Increases Mitigation of target vs physical damage by 830',100,1,2),
(111020,10111127,'The healing of this spell cannot be modified except by direct means',100,1,3),
(111021,184674,'When Equipped:',100,0,0),
(111022,184674,'On any combat or spell hit this spell may cast Will of Anashti on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111023,184674,'Increases Crit Chance of caster by 15.0',100,2,2),
(111024,184674,'Increases caster''s chance to block by 25.0%',100,2,3),
(111025,184674,'Increases Damage Per Second of caster by 45.0',100,2,4),
(111026,184674,'Cannot be modified except by direct means',100,2,5),
(111027,184674,'Cannot be modified except by direct means',100,1,6),
(111028,10184674,'When Equipped:',100,0,0),
(111029,10184674,'On any combat or spell hit this spell may cast Will of Anashti on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111030,10184674,'Increases Crit Chance of caster by 15.0',100,2,2),
(111031,10184674,'Increases caster''s chance to block by 25.0%',100,2,3),
(111032,10184674,'Increases Damage Per Second of caster by 45.0',100,2,4),
(111033,10184674,'Cannot be modified except by direct means',100,2,5),
(111034,10184674,'Cannot be modified except by direct means',100,1,6),
(111035,81748,'When Equipped:',100,0,0),
(111036,81748,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111037,81748,'Inflicts 141 - 262 magic damage on target',100,2,2),
(111038,81748,'Cannot be modified except by direct means',100,2,3),
(111039,10081748,'When Equipped:',100,0,0),
(111040,10081748,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111041,10081748,'Inflicts 198 - 367 magic damage on target',100,2,2),
(111042,10081748,'Cannot be modified except by direct means',100,2,3),
(111043,35816,'Increases STR of target by 1.6',100,0,0),
(111044,35816,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(111045,123550,'Inflicts 256 - 384 piercing damage on target instantly and every 4 seconds',100,1,0),
(111046,123550,'Decreases Defense of target by 48.5',100,1,1),
(111047,10123550,'Inflicts 501 - 752 piercing damage on target',100,1,0),
(111048,10123550,'Inflicts 358 - 537 piercing damage on target every 4 seconds',100,1,1),
(111049,10123550,'Decreases Defense of target by 48.5',100,1,2),
(111050,46799,'Applies Character Transfer when Activated.',100,0,0),
(111051,46799,'Allows moving a character to another server.',100,1,1),
(111052,46799,'Purchase of a Character Transfer Token is not required for characters being transferred to Exchange-enabled (operated by Live-Gamer) servers as such transfers are available at no cost. Please visit http://stationexchange.station.sony.com/livegamer.vm for more information on such transfers. ',100,1,2),
(111053,46799,'Character transfer service requires that character remains on its existing active Station Account (which must be more than sixty (60) days old). ',100,1,3),
(111054,46799,'Transfer cannot be completed for characters who currently have items for sale on or coin available for collection from an in-game broker or who have in-game mail; please remove or collect any such items prior to initiating character transfer. ',100,1,4),
(111055,46799,'Character names are not guaranteed upon transfer; if characterâ€™s name already exists on destination server, a new name will need to be entered in the provided name change field.',100,1,5),
(111056,46799,'Character''s guild affiliation will be removed.',100,1,6),
(111057,46799,'Shared bank items and housing items belonging to other characters will not be transferred with the character and will be deleted. Deleted contents will not be replaced or reimbursed.',100,1,7),
(111058,46799,'Token and related transfer are not refundable. ',100,1,8),
(111059,46799,'For complete terms and conditions, please see the EQII Character Transfer Service rules available upon logging in to http://everquest2.com/shop/charactertransfer',100,1,9),
(111060,10046799,'Applies Character Transfer when Activated.',100,0,0),
(111061,10046799,'Allows moving a character to another server.',100,1,1),
(111062,10046799,'Purchase of a Character Transfer Token is not required for characters being transferred to Exchange-enabled (operated by Live-Gamer) servers as such transfers are available at no cost. Please visit http://stationexchange.station.sony.com/livegamer.vm for more information on such transfers. ',100,1,2),
(111063,10046799,'Character transfer service requires that character remains on its existing active Station Account (which must be more than sixty (60) days old). ',100,1,3),
(111064,10046799,'Transfer cannot be completed for characters who currently have items for sale on or coin available for collection from an in-game broker or who have in-game mail; please remove or collect any such items prior to initiating character transfer. ',100,1,4),
(111065,10046799,'Character names are not guaranteed upon transfer; if characterâ€™s name already exists on destination server, a new name will need to be entered in the provided name change field.',100,1,5),
(111066,10046799,'Character''s guild affiliation will be removed.',100,1,6),
(111067,10046799,'Shared bank items and housing items belonging to other characters will not be transferred with the character and will be deleted. Deleted contents will not be replaced or reimbursed.',100,1,7),
(111068,10046799,'Token and related transfer are not refundable. ',100,1,8),
(111069,10046799,'For complete terms and conditions, please see the EQII Character Transfer Service rules available upon logging in to http://everquest2.com/shop/charactertransfer',100,1,9),
(111070,108283,'Summons a limited pet to aid the caster',100,1,0),
(111071,10108283,'Summons a limited pet to aid the caster',100,1,0),
(111072,103496,'Increases In-Combat Power Regeneration of group members (AE) by 47.4',100,1,0),
(111073,10103496,'Increases In-Combat Power Regeneration of group members (AE) by 47.4',100,1,0),
(111074,124679,'Inflicts 162 - 197 cold damage on target instantly and every 4 seconds',100,1,0),
(111075,124679,'Slows target by 75.0%',100,1,1),
(111076,10124679,'Inflicts 226 - 276 cold damage on target',100,1,0),
(111077,10124679,'Inflicts 197 - 240 cold damage on target every 4 seconds',100,1,1),
(111078,10124679,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(111079,10124679,'Slows target by 75.0%',100,2,3),
(111080,106035,'Inflicts 236 - 289 divine damage on target instantly and every 3 seconds',100,1,0),
(111081,106035,'Decreases Defense of target by 30.5',100,1,1),
(111082,10106035,'Inflicts 220 - 269 divine damage on target instantly and every 3 seconds',100,1,0),
(111083,10106035,'Decreases Defense of target by 30.5',100,1,1),
(111084,117252,'Inflicts 54 slashing damage on target every 4 seconds',100,1,0),
(111085,117252,'Inflicts 269 - 449 melee damage on target',100,1,1),
(111086,10117252,'Inflicts 75 slashing damage on target every 4 seconds',100,1,0),
(111087,10117252,'Inflicts 350 - 584 melee damage on target',100,1,1),
(111088,87439,'When Equipped:',100,0,0),
(111089,87439,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111090,87439,'Inflicts 38 - 56 magic damage on target',100,2,2),
(111091,87439,'Cannot be modified except by direct means',100,2,3),
(111092,10087439,'When Equipped:',100,0,0),
(111093,10087439,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111094,10087439,'Inflicts 53 - 79 magic damage on target',100,2,2),
(111095,10087439,'Cannot be modified except by direct means',100,2,3),
(111096,108503,'Inflicts 1047 - 1279 melee damage on target',100,1,0),
(111097,108503,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(111098,10108503,'Inflicts 952 - 1164 melee damage on target',100,1,0),
(111099,10108503,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(111100,104157,'Increases Threat to target encounter by 64 - 79 ',100,1,0),
(111101,104157,'Interrupts target encounter',100,1,1),
(111102,10104157,'Forces target encounter to change their selected target to caster.',100,1,0),
(111103,10104157,'Interrupts target encounter',100,1,1),
(111104,10104157,'Prevents target encounter from changing targets',100,1,2),
(111105,72325,'When Equipped:',100,0,0),
(111106,72325,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(111107,72325,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(111108,72325,'Cannot be modified except by direct means',100,2,3),
(111109,10072325,'When Equipped:',100,0,0),
(111110,10072325,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(111111,10072325,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(111112,10072325,'Cannot be modified except by direct means',100,2,3),
(111113,113619,'Inflicts 648 - 1081 melee damage on target',100,1,0),
(111114,113619,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 74.9',100,1,1),
(111115,113619,'Must be flanking or behind',100,1,2),
(111116,10113619,'Inflicts 843 - 1406 melee damage on target',100,1,0),
(111117,10113619,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 74.9',100,1,1),
(111118,10113619,'Must be flanking or behind',100,1,2),
(111119,101755,'Heals group members (AE) for 93 - 114 instantly and every 2 seconds',100,1,0),
(111120,10101755,'Heals group members (AE) for 61 - 74 instantly and every 2 seconds',100,1,0),
(111121,123238,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(111122,123238,'Increases Mitigation of group members (AE) vs noxious damage by 336',100,1,1),
(111123,10123238,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(111124,10123238,'Increases Mitigation of group members (AE) vs noxious damage by 336',100,1,1),
(111125,46960,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(111126,46960,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(111127,46960,'Inflicts 139 poison damage on target',100,2,2),
(111128,46960,'Inflicts 122 poison damage on target instantly and every 6 seconds',100,2,3),
(111129,46960,'Cannot be modified except by direct means',100,2,4),
(111130,46960,'Grants a total of 200 triggers of the spell.',100,2,5),
(111131,10046960,'Applies hypnotic shock when Activated.  Lasts for 12 hours.',100,0,0),
(111132,10046960,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(111133,10046960,'Inflicts 128 poison damage on target instantly and every 6 seconds',100,2,2),
(111134,10046960,'Inflicts 146 poison damage on target',100,2,3),
(111135,10046960,'Cannot be modified except by direct means',100,2,4),
(111136,10046960,'Grants a total of 200 triggers of the spell.',100,2,5),
(111137,123480,'Decreases Mitigation of target encounter vs noxious damage by 77',100,1,0),
(111138,10123480,'Decreases Mitigation of target encounter vs noxious damage by 77',100,1,0),
(111139,109066,'Inflicts 59 - 99 melee damage on target',100,1,0),
(111140,109066,'Inflicts 59 - 99 melee damage on target',100,1,1),
(111141,109066,'Inflicts 59 - 99 melee damage on target',100,1,2),
(111142,109066,'Decreases Mitigation of target vs physical damage by 210',100,1,3),
(111143,10109066,'Inflicts 77 - 129 melee damage on target',100,1,0),
(111144,10109066,'Inflicts 77 - 129 melee damage on target',100,1,1),
(111145,10109066,'Inflicts 77 - 129 melee damage on target',100,1,2),
(111146,10109066,'Decreases Mitigation of target vs physical damage by 210',100,1,3),
(111147,37413,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(111148,152035,'When Equipped:',100,0,0),
(111149,152035,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(111150,152035,'Heals group members (AE) for 580',100,2,2),
(111151,152035,'Cannot be modified except by direct means',100,2,3),
(111152,152035,'When Equipped:',100,0,4),
(111153,152035,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(111154,152035,'Increases power of caster by 243',100,2,6),
(111155,152035,'Cannot be modified except by direct means',100,2,7),
(111156,10152035,'When Equipped:',100,0,0),
(111157,10152035,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(111158,10152035,'Heals group members (AE) for 679',100,2,2),
(111159,10152035,'Cannot be modified except by direct means',100,2,3),
(111160,10152035,'When Equipped:',100,0,4),
(111161,10152035,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(111162,10152035,'Increases power of caster by 243',100,2,6),
(111163,10152035,'Cannot be modified except by direct means',100,2,7),
(111164,124421,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(111165,124421,'Inflicts 363 - 605 melee damage on target',100,2,1),
(111166,124421,'Grants a total of 3 triggers of the spell.',100,2,2),
(111167,10124421,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(111168,10124421,'Inflicts 472 - 787 melee damage on target',100,2,1),
(111169,10124421,'Grants a total of 3 triggers of the spell.',100,2,2),
(111170,114045,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(111171,114045,'Heals target for 10 instantly and every 2 seconds',100,2,1),
(111172,114045,'Decreases Mitigation of target vs arcane damage by 262',100,1,2),
(111173,10114045,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(111174,10114045,'Heals target for 7 instantly and every 2 seconds',100,2,1),
(111175,10114045,'Decreases Mitigation of target vs arcane damage by 262',100,1,2),
(111176,24109,'Adds Elite: Chimera (Wizard) to your Dungeon Maker toolbox',100,0,0),
(111177,10024109,'Adds Elite: Chimera (Wizard) to your Dungeon Maker toolbox',100,0,0),
(111178,36270,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(111179,116953,'Increases Threat to target by 335 - 410 ',100,1,0),
(111180,116953,'Interrupts target',100,1,1),
(111181,10116953,'Forces target to change their selected target to caster.',100,1,0),
(111182,10116953,'Interrupts target',100,1,1),
(111183,10116953,'Prevents target from changing targets',100,1,2),
(111184,104466,'Interrupts targets in Area of Effect',100,1,0),
(111185,104466,'Inflicts 6-11 melee damage on targets in area',100,1,1),
(111186,10104466,'Interrupts targets in Area of Effect',100,1,0),
(111187,10104466,'Inflicts 73 - 122 melee damage on targets in area',100,1,1),
(111188,85368,'Applies Poison Bolt when Activated.',100,0,0),
(111189,85368,'Inflicts 227 - 379 poison damage on target',100,1,1),
(111190,85368,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111191,10085368,'Applies Poison Bolt when Activated.',100,0,0),
(111192,10085368,'Inflicts 318 - 531 poison damage on target',100,1,1),
(111193,10085368,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111194,150921,'When Equipped:',100,0,0),
(111195,150921,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(111196,150921,'Inflicts 1986 disease damage on target encounter',100,2,2),
(111197,150921,'Must not be engaged in pvp combat',100,2,3),
(111198,150921,'Cannot be modified except by direct means',100,2,4),
(111199,10150921,'When Equipped:',100,0,0),
(111200,10150921,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(111201,10150921,'Inflicts 1390 disease damage on target encounter',100,2,2),
(111202,10150921,'Must not be engaged in pvp combat',100,2,3),
(111203,10150921,'Cannot be modified except by direct means',100,2,4),
(111204,108849,'Inflicts 132 - 220 melee damage on target',100,1,0),
(111205,108849,'Inflicts 132 - 220 melee damage on target',100,1,1),
(111206,108849,'Inflicts 132 - 220 melee damage on target',100,1,2),
(111207,108849,'Inflicts 132 - 220 melee damage on target',100,1,3),
(111208,108849,'Inflicts 132 - 220 melee damage on target',100,1,4),
(111209,10108849,'Inflicts 171 - 286 melee damage on target',100,1,0),
(111210,10108849,'Inflicts 171 - 286 melee damage on target',100,1,1),
(111211,10108849,'Inflicts 171 - 286 melee damage on target',100,1,2),
(111212,10108849,'Inflicts 171 - 286 melee damage on target',100,1,3),
(111213,10108849,'Inflicts 171 - 286 melee damage on target',100,1,4),
(111214,84258,'Applies Mental Blast when Activated.',100,0,0),
(111215,84258,'Inflicts 360 - 600 mental damage on target',100,1,1),
(111216,84258,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111217,10084258,'Applies Mental Blast when Activated.',100,0,0),
(111218,10084258,'Inflicts 504 - 840 mental damage on target',100,1,1),
(111219,10084258,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111220,35415,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(111221,35415,'This effect suspends during combat',100,0,1),
(111222,135890,'When Equipped:',100,0,0),
(111223,135890,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111224,135890,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,2),
(111225,135890,'Heals target for 1840',100,3,3),
(111226,135890,'Must not be engaged in pvp combat',100,3,4),
(111227,135890,'Cannot be modified except by direct means',100,3,5),
(111228,135890,'Grants a total of 5 triggers of the spell.',100,3,6),
(111229,135890,'Must not be engaged in pvp combat',100,2,7),
(111230,135890,'Cannot be modified except by direct means',100,2,8),
(111231,135890,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(111232,135890,'Cannot be modified except by direct means',100,1,10),
(111233,10135890,'When Equipped:',100,0,0),
(111234,10135890,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111235,10135890,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,2),
(111236,10135890,'Heals target for 2153',100,3,3),
(111237,10135890,'Must not be engaged in pvp combat',100,3,4),
(111238,10135890,'Cannot be modified except by direct means',100,3,5),
(111239,10135890,'Grants a total of 5 triggers of the spell.',100,3,6),
(111240,10135890,'Must not be engaged in pvp combat',100,2,7),
(111241,10135890,'Cannot be modified except by direct means',100,2,8),
(111242,10135890,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(111243,10135890,'Cannot be modified except by direct means',100,1,10),
(111244,134272,'Applies Fragile as Glass when Activated.  Lasts for 1 minute.',100,0,0),
(111245,134272,'Decreases Mitigation of target vs physical damage by 663',100,1,1),
(111246,134272,'Must be engaged in pvp combat',100,1,2),
(111247,134272,'The casting time of Fragile as Glass is 2.0 seconds and the reuse time of the spell is 20 minutes',100,1,3),
(111248,10134272,'Applies Fragile as Glass when Activated.  Lasts for 1 minute.',100,0,0),
(111249,10134272,'Decreases Mitigation of target vs physical damage by 663',100,1,1),
(111250,10134272,'Must be engaged in pvp combat',100,1,2),
(111251,10134272,'The casting time of Fragile as Glass is 2.0 seconds and the reuse time of the spell is 20 minutes',100,1,3),
(111252,114324,'Dispels 13 levels of noxious hostile effects on target',100,1,0),
(111253,114324,'Heals target for 54 - 66',100,1,1),
(111254,114324,'This effect cannot be critically applied.',100,2,2),
(111255,114324,'The healing of this spell cannot be modified except by direct means',100,1,3),
(111256,10114324,'Dispels 13 levels of noxious hostile effects on target',100,1,0),
(111257,10114324,'Heals target for 22 - 26',100,1,1),
(111258,10114324,'This effect cannot be critically applied.',100,2,2),
(111259,10114324,'The healing of this spell cannot be modified except by direct means',100,1,3),
(111260,172040,'When Equipped:',100,0,0),
(111261,172040,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(111262,172040,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(111263,172040,'Heals caster for 1277 - 1916',100,2,3),
(111264,172040,'Cannot be modified except by direct means',100,2,4),
(111265,172040,'Cannot be modified except by direct means',100,1,5),
(111266,10172040,'When Equipped:',100,0,0),
(111267,10172040,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(111268,10172040,'Inflicts 2685 - 4028 magic damage on target',100,2,2),
(111269,10172040,'Heals caster for 1495 - 2242',100,2,3),
(111270,10172040,'Cannot be modified except by direct means',100,2,4),
(111271,10172040,'Cannot be modified except by direct means',100,1,5),
(111272,110736,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(111273,110736,'Heals group members (AE) for 1592',100,2,1),
(111274,10110736,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(111275,10110736,'Heals group members (AE) for 1035',100,2,1),
(111276,109810,'Decreases Parry of target by 12.8',100,1,0),
(111277,109810,'Inflicts 76 - 127 melee damage on target',100,1,1),
(111278,109810,'Must be in front of or flanking',100,1,2),
(111279,10109810,'Decreases Parry of target by 12.8',100,1,0),
(111280,10109810,'Inflicts 99 - 166 melee damage on target',100,1,1),
(111281,10109810,'Must be in front of or flanking',100,1,2),
(111282,108151,'Inflicts 470 - 784 melee damage on target',100,1,0),
(111283,108151,'You must be sneaking to use this ability.',100,1,1),
(111284,108151,'Must be flanking or behind',100,1,2),
(111285,10108151,'Inflicts 403 - 672 melee damage on target',100,1,0),
(111286,10108151,'You must be sneaking to use this ability.',100,1,1),
(111287,10108151,'Must be flanking or behind',100,1,2),
(111288,117311,'Roots target',100,1,0),
(111289,117311,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(111290,117311,'Slows target by 37.2%',100,2,2),
(111291,117311,'5% chance to dispel when target receives hostile action',100,2,3),
(111292,117311,'5% chance to dispel when target takes damage',100,2,4),
(111293,117311,'15% chance to dispel when target takes damage',100,1,5),
(111294,117311,'Does not affect Epic targets',100,1,6),
(111295,117311,'Resistibility increases against targets higher than level 48.',100,1,7),
(111296,10117311,'Roots target',100,1,0),
(111297,10117311,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(111298,10117311,'Slows target by 37.2%',100,2,2),
(111299,10117311,'10% chance to dispel when target receives hostile action',100,2,3),
(111300,10117311,'10% chance to dispel when target takes damage',100,2,4),
(111301,10117311,'15% chance to dispel when target takes damage',100,1,5),
(111302,10117311,'Does not affect Epic targets',100,1,6),
(111303,10117311,'Resistibility increases against targets higher than level 48.',100,1,7),
(111304,115512,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(111305,115512,'Increases Mitigation of group members (AE) vs noxious damage by 725',100,1,1),
(111306,10115512,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(111307,10115512,'Increases Mitigation of group members (AE) vs noxious damage by 725',100,1,1),
(111308,103512,'Charms target',100,1,0),
(111309,103512,'If outside an arena',100,1,1),
(111310,103512,'Certain enemies cannot be charmed',100,1,2),
(111311,103512,'Does not affect Epic targets',100,1,3),
(111312,10103512,'Mesmerizes target',100,1,0),
(111313,10103512,'Prevents AOE (except when direct) ',100,1,1),
(111314,10103512,'Dispelled when target takes damage',100,1,2),
(111315,10103512,'If outside an arena',100,1,3),
(111316,10103512,'Certain enemies cannot be charmed',100,1,4),
(111317,10103512,'Does not affect Epic targets',100,1,5),
(111318,10103512,'Resistibility increases against targets higher than level 77.',100,1,6),
(111319,100280,'Inflicts 58 - 107 poison damage on target instantly and every 3 seconds',100,1,0),
(111320,10100280,'Inflicts 182 - 338 poison damage on target instantly and every 3 seconds',100,1,0),
(111321,109075,'Inflicts 104 - 174 melee damage on target',100,1,0),
(111322,109075,'Inflicts 104 - 174 melee damage on target',100,1,1),
(111323,109075,'Inflicts 104 - 174 melee damage on target',100,1,2),
(111324,109075,'Decreases Mitigation of target vs physical damage by 347',100,1,3),
(111325,10109075,'Inflicts 135 - 226 melee damage on target',100,1,0),
(111326,10109075,'Inflicts 135 - 226 melee damage on target',100,1,1),
(111327,10109075,'Inflicts 135 - 226 melee damage on target',100,1,2),
(111328,10109075,'Decreases Mitigation of target vs physical damage by 347',100,1,3),
(111329,48016,'Applies Summon a Shard of Love Unicorn when Activated.',100,0,0),
(111330,48016,'Summons a mount to ride',100,1,1),
(111331,48016,'Increases your ground speed by 130%',100,2,2),
(111332,10048016,'Applies Summon a Shard of Love Unicorn when Activated.',100,0,0),
(111333,10048016,'Summons a mount to ride',100,1,1),
(111334,10048016,'Increases your ground speed by 130%',100,2,2),
(111335,35962,'Increases STR of target by 1.6',100,0,0),
(111336,35962,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(111337,104442,'Interrupts target encounter',100,1,0),
(111338,104442,'Applies Stumble on termination.',100,1,1),
(111339,104442,'Interrupts target',100,2,2),
(111340,104442,'Inflicts 76 - 93 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(111341,10104442,'Interrupts target encounter',100,1,0),
(111342,10104442,'Applies Stumble on termination.',100,1,1),
(111343,10104442,'Interrupts target',100,2,2),
(111344,10104442,'Inflicts 106 - 130 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(111345,100009,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(111346,100009,'Inflicts 30 - 51 melee damage on targets in area',100,2,1),
(111347,100009,'Decreases Defense of caster by 4.8',100,1,2),
(111348,100009,'Increases Slashing, Piercing and Crushing of caster by 6.8',100,1,3),
(111349,10100009,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(111350,10100009,'Inflicts 39 - 66 melee damage on targets in area',100,2,1),
(111351,10100009,'Decreases Defense of caster by 4.8',100,1,2),
(111352,10100009,'Increases Slashing, Piercing and Crushing of caster by 6.8',100,1,3),
(111353,107292,'Inflicts 421 - 702 ranged damage on target',100,1,0),
(111354,107292,'Inflicts 421 - 702 ranged damage on target',100,1,1),
(111355,107292,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(111356,107292,'Stuns target',100,2,3),
(111357,107292,'Throws target back',100,2,4),
(111358,107292,'Blurs vision of target',100,2,5),
(111359,107292,'Does not affect Epic targets',100,2,6),
(111360,107292,'If weapon equipped in Ranged',100,1,7),
(111361,10107292,'Inflicts 358 - 597 ranged damage on target',100,1,0),
(111362,10107292,'Inflicts 358 - 597 ranged damage on target',100,1,1),
(111363,10107292,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(111364,10107292,'Stuns target',100,2,3),
(111365,10107292,'Throws target back',100,2,4),
(111366,10107292,'Blurs vision of target',100,2,5),
(111367,10107292,'Does not affect Epic targets',100,2,6),
(111368,10107292,'If weapon equipped in Ranged',100,1,7),
(111369,119592,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(111370,10119592,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(111371,36830,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(111372,45423,'Applies Brown Mistrunner Warg with Orange Armor when Activated.',100,0,0),
(111373,45423,'Summons a mount to ride',100,1,1),
(111374,45423,'Increases your ground speed by 130%',100,2,2),
(111375,45423,'Increases Disruption of caster by 7.0',100,1,3),
(111376,45423,'Increases damage done by spells and combat arts by up to 75.',100,1,4),
(111377,45423,'Increases Ranged, Crushing, Piercing and Slashing of caster by 7.0',100,1,5),
(111378,45423,'Requires good alignment',100,1,6),
(111379,10045423,'Applies Brown Mistrunner Warg with Orange Armor when Activated.',100,0,0),
(111380,10045423,'Summons a mount to ride',100,1,1),
(111381,10045423,'Increases your ground speed by 130%',100,2,2),
(111382,10045423,'Increases Disruption of caster by 7.0',100,1,3),
(111383,10045423,'Increases damage done by spells and combat arts by up to 75.',100,1,4),
(111384,10045423,'Increases Ranged, Crushing, Piercing and Slashing of caster by 7.0',100,1,5),
(111385,10045423,'Requires good alignment',100,1,6),
(111386,139336,'When Equipped:',100,0,0),
(111387,139336,'Reduces maximum falling speed of caster',100,1,1),
(111388,10139336,'When Equipped:',100,0,0),
(111389,10139336,'Reduces maximum falling speed of caster',100,1,1),
(111390,178622,'When Equipped:',100,0,0),
(111391,178622,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(111392,178622,'Inflicts 756 divine damage on target',100,2,2),
(111393,178622,'Must be classified as a vampire',100,3,3),
(111394,178622,'Inflicts 378 divine damage on target',100,2,4),
(111395,178622,'Must not be classified as a vampire',100,3,5),
(111396,178622,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(111397,178622,'Must be classified as a vampire',100,3,7),
(111398,178622,'Cannot be modified except by direct means',100,2,8),
(111399,178622,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(111400,10178622,'When Equipped:',100,0,0),
(111401,10178622,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(111402,10178622,'Inflicts 1058 divine damage on target',100,2,2),
(111403,10178622,'Must be classified as a vampire',100,3,3),
(111404,10178622,'Inflicts 529 divine damage on target',100,2,4),
(111405,10178622,'Must not be classified as a vampire',100,3,5),
(111406,10178622,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(111407,10178622,'Must be classified as a vampire',100,3,7),
(111408,10178622,'Cannot be modified except by direct means',100,2,8),
(111409,10178622,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(111410,104602,'Heals target for 111 - 136',100,1,0),
(111411,10104602,'Heals target for 72 - 88',100,1,0),
(111412,114253,'Inflicts 694 - 849 mental damage on target',100,1,0),
(111413,114253,'Stuns target',100,1,1),
(111414,114253,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(111415,114253,'Resistibility increases against targets higher than level 108.',100,1,3),
(111416,10114253,'Inflicts 972 - 1188 mental damage on target',100,1,0),
(111417,10114253,'Requires not being affected by Mesmerize effects.',100,2,1),
(111418,10114253,'Stuns target',100,1,2),
(111419,10114253,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(111420,10114253,'Resistibility increases against targets higher than level 108.',100,1,4),
(111421,79978,'When Equipped:',100,0,0),
(111422,79978,'On a combat hit this spell may cast Alacrity on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(111423,79978,'Increases Attack Speed of caster by 14.8',100,2,2),
(111424,79978,'Cannot be modified except by direct means',100,2,3),
(111425,10079978,'When Equipped:',100,0,0),
(111426,10079978,'On a combat hit this spell may cast Alacrity on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(111427,10079978,'Increases Attack Speed of caster by 14.8',100,2,2),
(111428,10079978,'Cannot be modified except by direct means',100,2,3),
(111429,106063,'Increases AGI of caster by 105.3',100,1,0),
(111430,106063,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(111431,106063,'Inflicts 188 - 313 disease damage on target',100,2,2),
(111432,106063,'Adds 21.8% to base avoidance.',100,1,3),
(111433,106063,'Increases Mitigation of caster vs physical damage by 539',100,1,4),
(111434,106063,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,5),
(111435,10106063,'Increases AGI of caster by 105.3',100,1,0),
(111436,10106063,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(111437,10106063,'Inflicts 263 - 439 disease damage on target',100,2,2),
(111438,10106063,'Adds 21.8% to base avoidance.',100,1,3),
(111439,10106063,'Increases Mitigation of caster vs physical damage by 539',100,1,4),
(111440,10106063,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,5),
(111441,162878,'When Equipped:',100,0,0),
(111442,162878,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(111443,162878,'Wards target against 80 points of all damage',100,2,2),
(111444,162878,'Cannot be modified except by direct means',100,2,3),
(111445,10162878,'When Equipped:',100,0,0),
(111446,10162878,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(111447,10162878,'Wards target against 80 points of all damage',100,2,2),
(111448,10162878,'Cannot be modified except by direct means',100,2,3),
(111449,104722,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(111450,104722,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,1),
(111451,104722,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(111452,104722,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,3),
(111453,10104722,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(111454,10104722,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,1),
(111455,10104722,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(111456,10104722,'Decreases Mitigation of target vs elemental and arcane damage by 672',100,2,3),
(111457,85348,'Applies Poison Bolt when Activated.',100,0,0),
(111458,85348,'Inflicts 399 - 665 poison damage on target',100,1,1),
(111459,85348,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111460,10085348,'Applies Poison Bolt when Activated.',100,0,0),
(111461,10085348,'Inflicts 559 - 931 poison damage on target',100,1,1),
(111462,10085348,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111463,110599,'Decreases Focus of target by 19.5',100,1,0),
(111464,110599,'Interrupts target',100,1,1),
(111465,110599,'Inflicts 93 - 281 crushing damage on target',100,1,2),
(111466,10110599,'Decreases Focus of target by 19.5',100,1,0),
(111467,10110599,'Interrupts target',100,1,1),
(111468,10110599,'Inflicts 122 - 366 crushing damage on target',100,1,2),
(111469,101927,'Inflicts 62 piercing damage on target instantly and every 4 seconds',100,1,0),
(111470,101927,'Inflicts 184 - 308 melee damage on target',100,1,1),
(111471,101927,'Must be behind',100,1,2),
(111472,10101927,'Inflicts 86 piercing damage on target instantly and every 4 seconds',100,1,0),
(111473,10101927,'Inflicts 240 - 400 melee damage on target',100,1,1),
(111474,10101927,'Must be behind',100,1,2),
(111475,75657,'When Equipped:',100,0,0),
(111476,75657,'On a combat hit this spell may cast Exuding Dominance on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111477,75657,'Inflicts 135 heat damage on target',100,2,2),
(111478,75657,'Decreases power of target by 135',100,2,3),
(111479,75657,'Cannot be modified except by direct means',100,2,4),
(111480,10075657,'When Equipped:',100,0,0),
(111481,10075657,'On a combat hit this spell may cast Exuding Dominance on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111482,10075657,'Inflicts 189 heat damage on target',100,2,2),
(111483,10075657,'Decreases power of target by 135',100,2,3),
(111484,10075657,'Cannot be modified except by direct means',100,2,4),
(111485,114329,'Dispels 29 levels of noxious hostile effects on target',100,1,0),
(111486,114329,'Heals target for 10.8 - 13.2% of max health',100,1,1),
(111487,114329,'This effect cannot be critically applied.',100,2,2),
(111488,114329,'The healing of this spell cannot be modified except by direct means',100,1,3),
(111489,10114329,'Dispels 29 levels of noxious hostile effects on target',100,1,0),
(111490,10114329,'Heals target for 4.3 - 5.3% of max health',100,1,1),
(111491,10114329,'This effect cannot be critically applied.',100,2,2),
(111492,10114329,'The healing of this spell cannot be modified except by direct means',100,1,3),
(111493,117815,'Mesmerizes target',100,1,0),
(111494,117815,'Prevents AOE (except when direct) ',100,1,1),
(111495,117815,'Dispelled when target takes damage',100,1,2),
(111496,117815,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(111497,117815,'Resistibility increases against targets higher than level 117.',100,1,4),
(111498,10117815,'Mesmerizes target',100,1,0),
(111499,10117815,'Prevents AOE (except when direct) ',100,1,1),
(111500,10117815,'Dispelled when target takes damage',100,1,2),
(111501,10117815,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(111502,10117815,'Resistibility increases against targets higher than level 117.',100,1,4),
(111503,109219,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.0',100,1,0),
(111504,10109219,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.0',100,1,0),
(111505,24125,'Adds Clockwork Eye (Warlock) to your Dungeon Maker toolbox',100,0,0),
(111506,10024125,'Adds Clockwork Eye (Warlock) to your Dungeon Maker toolbox',100,0,0),
(111507,80872,'When Equipped:',100,0,0),
(111508,80872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111509,80872,'Inflicts 223 - 414 magic damage on target',100,2,2),
(111510,80872,'Cannot be modified except by direct means',100,2,3),
(111511,10080872,'When Equipped:',100,0,0),
(111512,10080872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111513,10080872,'Inflicts 312 - 580 magic damage on target',100,2,2),
(111514,10080872,'Cannot be modified except by direct means',100,2,3),
(111515,37225,'Increases WIS of target by 1.2',100,0,0),
(111516,37225,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(111517,110155,'Applies Untreated Bleeding on termination.',100,1,0),
(111518,110155,'Inflicts 11 - 19 piercing damage on target',100,2,1),
(111519,110155,'Inflicts 2 - 4 piercing damage on target instantly and every 4 seconds',100,1,2),
(111520,110155,'Inflicts 1 - 2 melee damage on target',100,1,3),
(111521,10110155,'Applies Untreated Bleeding on termination.',100,1,0),
(111522,10110155,'Inflicts 16 - 26 piercing damage on target',100,2,1),
(111523,10110155,'Inflicts 3 - 6 piercing damage on target instantly and every 4 seconds',100,1,2),
(111524,10110155,'Inflicts 2 - 3 melee damage on target',100,1,3),
(111525,124673,'Heals group members (AE) for 49 - 59 instantly and every 2 seconds',100,1,0),
(111526,10124673,'Heals group members (AE) for 32 - 39 instantly and every 2 seconds',100,1,0),
(111527,113010,'Reduces physical damage done to caster by 5%',100,1,0),
(111528,113010,'Increases STA of caster by 174.2',100,1,1),
(111529,113010,'Adds 3.4% to base avoidance.',100,1,2),
(111530,113010,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(111531,113010,'Increases Defense and Aggression of caster by 34.1',100,1,4),
(111532,113010,'Increases Mitigation of caster vs arcane damage by 2226',100,1,5),
(111533,113010,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(111534,10113010,'Reduces physical damage done to caster by 5%',100,1,0),
(111535,10113010,'Increases STA of caster by 174.2',100,1,1),
(111536,10113010,'Adds 3.4% to base avoidance.',100,1,2),
(111537,10113010,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(111538,10113010,'Increases Defense and Aggression of caster by 34.1',100,1,4),
(111539,10113010,'Increases Mitigation of caster vs arcane damage by 2226',100,1,5),
(111540,10113010,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(111541,35432,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(111542,101491,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(111543,101491,'Increases Mitigation of group members (AE) vs arcane damage by 693',100,1,1),
(111544,10101491,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(111545,10101491,'Increases Mitigation of group members (AE) vs arcane damage by 693',100,1,1),
(111546,181483,'When Equipped:',100,0,0),
(111547,181483,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(111548,181483,'Heals group members for 571',100,2,2),
(111549,181483,'Cannot be modified except by direct means',100,2,3),
(111550,181483,'When Equipped:',100,0,4),
(111551,181483,'Reduces cast time of beneficial spells by 4 percent.',100,1,5),
(111552,10181483,'When Equipped:',100,0,0),
(111553,10181483,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(111554,10181483,'Heals group members for 371',100,2,2),
(111555,10181483,'Cannot be modified except by direct means',100,2,3),
(111556,10181483,'When Equipped:',100,0,4),
(111557,10181483,'Reduces cast time of beneficial spells by 4 percent.',100,1,5),
(111558,118543,'Inflicts 676 - 1126 melee damage on target',100,1,0),
(111559,118543,'Decreases STR of target by 79.0',100,1,1),
(111560,118543,'You must be sneaking to use this ability.',100,1,2),
(111561,10118543,'Inflicts 878 - 1464 melee damage on target',100,1,0),
(111562,10118543,'Decreases STR of target by 79.0',100,1,1),
(111563,10118543,'You must be sneaking to use this ability.',100,1,2),
(111564,85428,'Applies Prismatic Glow when Equipped.',100,0,0),
(111565,85428,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(111566,85428,'When Equipped:',100,0,2),
(111567,85428,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(111568,85428,'Inflicts 191 - 354 magic damage on target',100,2,4),
(111569,85428,'Cannot be modified except by direct means',100,2,5),
(111570,10085428,'Applies Prismatic Glow when Equipped.',100,0,0),
(111571,10085428,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(111572,10085428,'When Equipped:',100,0,2),
(111573,10085428,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(111574,10085428,'Inflicts 267 - 496 magic damage on target',100,2,4),
(111575,10085428,'Cannot be modified except by direct means',100,2,5),
(111576,87445,'When Equipped:',100,0,0),
(111577,87445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111578,87445,'Inflicts 38 - 56 magic damage on target',100,2,2),
(111579,87445,'Cannot be modified except by direct means',100,2,3),
(111580,10087445,'When Equipped:',100,0,0),
(111581,10087445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111582,10087445,'Inflicts 53 - 79 magic damage on target',100,2,2),
(111583,10087445,'Cannot be modified except by direct means',100,2,3),
(111584,147008,'When Equipped:',100,0,0),
(111585,147008,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111586,147008,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(111587,147008,'Cannot be modified except by direct means',100,2,3),
(111588,10147008,'When Equipped:',100,0,0),
(111589,10147008,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111590,10147008,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(111591,10147008,'Cannot be modified except by direct means',100,2,3),
(111592,104528,'Increases Threat to target by 1,136 - 1,388  instantly and by 227 - 277  every 2 seconds thereafter',100,1,0),
(111593,10104528,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(111594,24255,'Adds Cyclops (Troubador) to your Dungeon Maker toolbox',100,0,0),
(111595,10024255,'Adds Cyclops (Troubador) to your Dungeon Maker toolbox',100,0,0),
(111596,110208,'Interrupts target',100,1,0),
(111597,110208,'Inflicts 87 - 145 crushing damage on target',100,1,1),
(111598,10110208,'Interrupts target',100,1,0),
(111599,10110208,'Inflicts 113 - 188 crushing damage on target',100,1,1),
(111600,119621,'Inflicts 1036 - 1727 mental damage on targets in Area of Effect',100,1,0),
(111601,119621,'Stuns targets in Area of Effect',100,1,1),
(111602,119621,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(111603,119621,'Resistibility increases against targets higher than level 109.',100,1,3),
(111604,10119621,'Inflicts 1451 - 2418 mental damage on targets in Area of Effect',100,1,0),
(111605,10119621,'Stuns targets in Area of Effect',100,1,1),
(111606,10119621,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(111607,10119621,'Resistibility increases against targets higher than level 109.',100,1,3),
(111608,74862,'When Equipped:',100,0,0),
(111609,74862,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111610,74862,'Inflicts 146 - 219 magic damage on target',100,2,2),
(111611,74862,'Cannot be modified except by direct means',100,2,3),
(111612,10074862,'When Equipped:',100,0,0),
(111613,10074862,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111614,10074862,'Inflicts 204 - 306 magic damage on target',100,2,2),
(111615,10074862,'Cannot be modified except by direct means',100,2,3),
(111616,111998,'Inflicts 232 - 387 piercing damage on target',100,1,0),
(111617,10111998,'Inflicts 302 - 504 piercing damage on target',100,1,0),
(111618,37017,'Increases STR of target by 1.6',100,0,0),
(111619,37017,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(111620,25862,'When Equipped:',100,0,0),
(111621,25862,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(111622,25862,'Improves the hate transfer of Swarthy Deception IV by 5%.',100,1,2),
(111623,10025862,'When Equipped:',100,0,0),
(111624,10025862,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(111625,10025862,'Improves the hate transfer of Swarthy Deception IV by 5%.',100,1,2),
(111626,156871,'When Equipped:',100,0,0),
(111627,156871,'When damaged in combat this spell has a 15% chance to cast Debilitating Aura on target''s attacker.  ',100,1,1),
(111628,156871,'Decreases Attack Speed of target by 5.0',100,2,2),
(111629,156871,'Cannot be modified except by direct means',100,2,3),
(111630,10156871,'When Equipped:',100,0,0),
(111631,10156871,'When damaged in combat this spell has a 15% chance to cast Debilitating Aura on target''s attacker.  ',100,1,1),
(111632,10156871,'Decreases Attack Speed of target by 5.0',100,2,2),
(111633,10156871,'Cannot be modified except by direct means',100,2,3),
(111634,112533,'Interrupts target',50,1,0),
(111635,112533,'Inflicts 72 - 88 divine damage on target',100,1,1),
(111636,10112533,'Interrupts target',50,1,0),
(111637,10112533,'Inflicts 130 - 159 divine damage on target',100,1,1),
(111638,101084,'Roots target',100,1,0),
(111639,101084,'10% chance to dispel when target receives hostile action',100,1,1),
(111640,101084,'10% chance to dispel when target takes damage',100,1,2),
(111641,101084,'Does not affect Epic targets',100,1,3),
(111642,101084,'Resistibility increases against targets higher than level 34.',100,1,4),
(111643,10101084,'Roots target',100,1,0),
(111644,10101084,'10% chance to dispel when target receives hostile action',100,1,1),
(111645,10101084,'10% chance to dispel when target takes damage',100,1,2),
(111646,10101084,'Does not affect Epic targets',100,1,3),
(111647,10101084,'Resistibility increases against targets higher than level 34.',100,1,4),
(111648,25022,'When Equipped:',100,0,0),
(111649,25022,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(111650,25022,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,2),
(111651,10025022,'When Equipped:',100,0,0),
(111652,10025022,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(111653,10025022,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,2),
(111654,101739,'Mesmerizes target',100,1,0),
(111655,101739,'Prevents AOE (except when direct) ',100,1,1),
(111656,101739,'Mesmerizes caster',100,1,2),
(111657,101739,'Dispelled when target takes damage',100,1,3),
(111658,101739,'Does not affect Epic targets',100,1,4),
(111659,101739,'Resistibility increases against targets higher than level 107.',100,1,5),
(111660,10101739,'Mesmerizes target',100,1,0),
(111661,10101739,'Prevents AOE (except when direct) ',100,1,1),
(111662,10101739,'Mesmerizes caster',100,1,2),
(111663,10101739,'Dispelled when target takes damage',100,1,3),
(111664,10101739,'Does not affect Epic targets',100,1,4),
(111665,10101739,'Resistibility increases against targets higher than level 107.',100,1,5),
(111666,53369,'Applies Noxious Environmental Suit when Equipped.',100,0,0),
(111667,53369,'Converts 3% of all noxious damage received into power gain.',100,1,1),
(111668,10053369,'Applies Noxious Environmental Suit when Equipped.',100,0,0),
(111669,10053369,'Converts 3% of all noxious damage received into power gain.',100,1,1),
(111670,45454,'Applies Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(111671,45454,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(111672,45454,'Stuns target',100,2,2),
(111673,45454,'If Target is not Epic',100,3,3),
(111674,45454,'Dispelled when target receives hostile action',100,2,4),
(111675,45454,'Dispelled when target takes damage',100,2,5),
(111676,45454,'Cannot be modified except by direct means',100,2,6),
(111677,45454,'Grants a total of 4 triggers of the spell.',100,2,7),
(111678,45454,'Only affects targets level 50 and above',100,1,8),
(111679,10045454,'Applies Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(111680,10045454,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(111681,10045454,'Stuns target',100,2,2),
(111682,10045454,'If Target is not Epic',100,3,3),
(111683,10045454,'Dispelled when target receives hostile action',100,2,4),
(111684,10045454,'Dispelled when target takes damage',100,2,5),
(111685,10045454,'Cannot be modified except by direct means',100,2,6),
(111686,10045454,'Grants a total of 4 triggers of the spell.',100,2,7),
(111687,10045454,'Only affects targets level 50 and above',100,1,8),
(111688,159270,'When Equipped:',100,0,0),
(111689,159270,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(111690,159270,'Increases STA of caster by 5.1',100,2,2),
(111691,159270,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(111692,159270,'Cannot be modified except by direct means',100,2,4),
(111693,10159270,'When Equipped:',100,0,0),
(111694,10159270,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(111695,10159270,'Increases STA of caster by 5.1',100,2,2),
(111696,10159270,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(111697,10159270,'Cannot be modified except by direct means',100,2,4),
(111698,152883,'When Equipped:',100,0,0),
(111699,152883,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(111700,152883,'Heals group members (AE) for 2624',100,2,2),
(111701,152883,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(111702,152883,'Must not be engaged in pvp combat',100,2,4),
(111703,152883,'Cannot be modified except by direct means',100,2,5),
(111704,152883,'Must not be engaged in pvp combat',100,1,6),
(111705,10152883,'When Equipped:',100,0,0),
(111706,10152883,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(111707,10152883,'Heals group members (AE) for 3071',100,2,2),
(111708,10152883,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(111709,10152883,'Must not be engaged in pvp combat',100,2,4),
(111710,10152883,'Cannot be modified except by direct means',100,2,5),
(111711,10152883,'Must not be engaged in pvp combat',100,1,6),
(111712,106649,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(111713,106649,'Increases Mitigation of caster vs physical damage by 294',100,2,1),
(111714,106649,'Decreases Mitigation of target encounter vs physical damage by 1470',100,1,2),
(111715,10106649,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(111716,10106649,'Increases Mitigation of caster vs physical damage by 294',100,2,1),
(111717,10106649,'Decreases Mitigation of target encounter vs physical damage by 1470',100,1,2),
(111718,104093,'Inflicts 325 - 543 mental damage on target',100,1,0),
(111719,104093,'Inflicts 325 - 543 mental damage on target',100,1,1),
(111720,10104093,'Inflicts 423 - 706 mental damage on target',100,1,0),
(111721,10104093,'Inflicts 423 - 706 mental damage on target',100,1,1),
(111722,106511,'Inflicts 1074 - 1791 melee damage on target',100,1,0),
(111723,106511,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(111724,106511,'If Target is Standard or weaker',100,2,2),
(111725,10106511,'Inflicts 698 - 1164 melee damage on target',100,1,0),
(111726,124646,'Inflicts 367 - 448 cold damage on target encounter',100,1,0),
(111727,124646,'Decreases Piercing, Slashing and Crushing of target encounter by 10.6',100,1,1),
(111728,10124646,'Inflicts 514 - 628 cold damage on target encounter',100,1,0),
(111729,10124646,'Decreases Piercing, Slashing and Crushing of target encounter by 10.6',100,1,1),
(111730,119309,'Roots target',100,1,0),
(111731,119309,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(111732,119309,'Slows target by 58.6%',100,2,2),
(111733,119309,'5% chance to dispel when target receives hostile action',100,2,3),
(111734,119309,'5% chance to dispel when target takes damage',100,2,4),
(111735,119309,'15% chance to dispel when target takes damage',100,1,5),
(111736,119309,'Does not affect Epic targets',100,1,6),
(111737,119309,'Resistibility increases against targets higher than level 62.',100,1,7),
(111738,10119309,'Roots target',100,1,0),
(111739,10119309,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(111740,10119309,'Slows target by 58.6%',100,2,2),
(111741,10119309,'5% chance to dispel when target receives hostile action',100,2,3),
(111742,10119309,'5% chance to dispel when target takes damage',100,2,4),
(111743,10119309,'15% chance to dispel when target takes damage',100,1,5),
(111744,10119309,'Does not affect Epic targets',100,1,6),
(111745,10119309,'Resistibility increases against targets higher than level 62.',100,1,7),
(111746,111066,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(111747,111066,'Slows target by 35.5%',100,2,1),
(111748,111066,'5% chance to dispel when target receives hostile action',100,2,2),
(111749,111066,'5% chance to dispel when target takes damage',100,2,3),
(111750,111066,'Decreases Mitigation of target vs elemental damage by 703',100,1,4),
(111751,10111066,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(111752,10111066,'Slows target by 35.5%',100,2,1),
(111753,10111066,'5% chance to dispel when target receives hostile action',100,2,2),
(111754,10111066,'5% chance to dispel when target takes damage',100,2,3),
(111755,10111066,'Decreases Mitigation of target vs elemental damage by 703',100,1,4),
(111756,109885,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(111757,109885,'Inflicts 13 - 16 poison damage on target instantly and every 4 seconds',100,2,1),
(111758,10109885,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(111759,10109885,'Inflicts 19 - 23 poison damage on target instantly and every 4 seconds',100,2,1),
(111760,120857,'Inflicts 140 - 189 disease damage on target instantly and every second',100,1,0),
(111761,10120857,'Inflicts 274 - 371 disease damage on target',100,1,0),
(111762,10120857,'Inflicts 196 - 265 disease damage on target every second',100,1,1),
(111763,37186,'Increases STA and INT of target by 4.6',100,0,0),
(111764,37186,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(111765,37186,'Increases outgoing damaging spell amount by 1.5%',100,0,2),
(111766,47261,'Applies Klom''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(111767,47261,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(111768,10047261,'Applies Klom''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(111769,10047261,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(111770,80302,'When Equipped:',100,0,0),
(111771,80302,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(111772,80302,'Inflicts 71 - 132 magic damage on target',100,2,2),
(111773,80302,'Decreases Threat to target by 236 ',100,2,3),
(111774,80302,'Must be flanking or behind',100,3,4),
(111775,80302,'Increases Threat to target by 236 ',100,2,5),
(111776,80302,'Must be in front of',100,3,6),
(111777,80302,'Cannot be modified except by direct means',100,2,7),
(111778,10080302,'When Equipped:',100,0,0),
(111779,10080302,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(111780,10080302,'Inflicts 100 - 185 magic damage on target',100,2,2),
(111781,10080302,'Cannot be modified except by direct means',100,2,3),
(111782,45004,'Applies Create Badge when Activated.',100,0,0),
(111783,45004,'Summon 1 Badge of Merit',100,1,1),
(111784,10045004,'Applies Create Badge when Activated.',100,0,0),
(111785,10045004,'Summon 1 Badge of Merit',100,1,1),
(111786,120654,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.0',100,1,0),
(111787,120654,'Increases Focus of group members (AE) by 26.0',100,1,1),
(111788,10120654,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.0',100,1,0),
(111789,10120654,'Increases Focus of group members (AE) by 26.0',100,1,1),
(111790,117944,'Heals target for 171 - 209',100,1,0),
(111791,117944,'Increases Max Health of target by 20.7',100,1,1),
(111792,10117944,'Heals target for 197 - 240',100,1,0),
(111793,10117944,'Increases Max Health of target by 20.7',100,1,1),
(111794,84632,'When Equipped:',100,0,0),
(111795,84632,'On any combat or spell hit this spell may cast Arcane Vortex IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111796,84632,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(111797,84632,'Inflicts 1363 - 1507 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,3),
(111798,84632,'Increases power of group members (AE) by 69 - 77 instantly and every 2 seconds',100,2,4),
(111799,84632,'Must not be engaged in pvp combat',100,2,5),
(111800,84632,'Cannot be modified except by direct means',100,2,6),
(111801,84632,'Must not be engaged in pvp combat',100,1,7),
(111802,10084632,'When Equipped:',100,0,0),
(111803,10084632,'On any combat or spell hit this spell may cast Arcane Vortex IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(111804,10084632,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(111805,10084632,'Inflicts 1909 - 2109 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,3),
(111806,10084632,'Increases power of group members (AE) by 69 - 77 instantly and every 2 seconds',100,2,4),
(111807,10084632,'Must not be engaged in pvp combat',100,2,5),
(111808,10084632,'Cannot be modified except by direct means',100,2,6),
(111809,10084632,'Must not be engaged in pvp combat',100,1,7),
(111810,109606,'Increases Defense of group members'' pets (AE) by 7.5',100,1,0),
(111811,109606,'Increases Mitigation of group members (AE) vs all damage by 120',100,1,1),
(111812,10109606,'Increases Defense of group members'' pets (AE) by 7.5',100,1,0),
(111813,10109606,'Increases Mitigation of group members (AE) vs all damage by 120',100,1,1),
(111814,108081,'Decreases Threat to target by 148 - 247 ',100,1,0),
(111815,10108081,'Forces target to clear their selected target.',100,1,0),
(111816,10108081,'Target cannot target caster for the duration of this effect.',100,1,1),
(111817,75034,'Applies Mental Blast when Activated.',100,0,0),
(111818,75034,'Inflicts 399 - 665 mental damage on target',100,1,1),
(111819,75034,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111820,10075034,'Applies Mental Blast when Activated.',100,0,0),
(111821,10075034,'Inflicts 559 - 931 mental damage on target',100,1,1),
(111822,10075034,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(111823,173961,'When Equipped:',100,0,0),
(111824,173961,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111825,173961,'Decreases power of target by 126',100,2,2),
(111826,173961,'Increases power of caster by 126',100,2,3),
(111827,173961,'Cannot be modified except by direct means',100,2,4),
(111828,10173961,'When Equipped:',100,0,0),
(111829,10173961,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111830,10173961,'Decreases power of target by 126',100,2,2),
(111831,10173961,'Increases power of caster by 126',100,2,3),
(111832,10173961,'Cannot be modified except by direct means',100,2,4),
(111833,54117,'When Equipped:',100,0,0),
(111834,54117,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(111835,54117,'Increases power of target by 29 instantly and every 4 seconds',100,2,2),
(111836,54117,'Cannot be modified except by direct means',100,2,3),
(111837,10054117,'When Equipped:',100,0,0),
(111838,10054117,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(111839,10054117,'Increases power of target by 29 instantly and every 4 seconds',100,2,2),
(111840,10054117,'Cannot be modified except by direct means',100,2,3),
(111841,46400,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(111842,46400,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(111843,46400,'Decreases Threat to target by 1,463 - 1,788 ',100,2,2),
(111844,46400,'Cannot be modified except by direct means',100,2,3),
(111845,46400,'Grants a total of 100 triggers of the spell.',100,2,4),
(111846,10046400,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(111847,10046400,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(111848,10046400,'5% chance to apply Distract.',100,2,2),
(111849,10046400,'Forces target to clear their selected target.',100,3,3),
(111850,10046400,'Cannot be modified except by direct means',100,2,4),
(111851,10046400,'Grants a total of 100 triggers of the spell.',100,2,5),
(111852,116875,'Wards group members (AE) against 691 points of noxious damage',100,1,0),
(111853,116875,'Increases Mitigation of group members (AE) vs noxious damage by 409',100,1,1),
(111854,10116875,'Wards group members (AE) against 691 points of noxious damage',100,1,0),
(111855,10116875,'Increases Mitigation of group members (AE) vs noxious damage by 409',100,1,1),
(111856,72858,'When Equipped:',100,0,0),
(111857,72858,'Razzle-Dazzle: Restores power to the caster''s group.',100,1,1),
(111858,72858,'Chicanery: Reduces hate gain of caster by 30%.',100,1,2),
(111859,72858,'Hocus-Pocus Focus: Increases casting speed by 20%.',100,1,3),
(111860,72858,'On a spell cast this spell may cast Bristlebane''s Shenanigans on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(111861,72858,'This effect may trigger Chicanery, Razzle-Dazzle, or Hocus-Pocus Focus on the spell caster.',100,2,5),
(111862,10072858,'When Equipped:',100,0,0),
(111863,10072858,'Razzle-Dazzle: Restores power to the caster''s group.',100,1,1),
(111864,10072858,'Chicanery: Reduces hate gain of caster by 30%.',100,1,2),
(111865,10072858,'Hocus-Pocus Focus: Increases casting speed by 20%.',100,1,3),
(111866,10072858,'On a spell cast this spell may cast Bristlebane''s Shenanigans on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(111867,10072858,'This effect may trigger Chicanery, Razzle-Dazzle, or Hocus-Pocus Focus on the spell caster.',100,2,5),
(111868,108840,'Inflicts 53 - 89 melee damage on target',100,1,0),
(111869,108840,'Inflicts 53 - 89 melee damage on target',100,1,1),
(111870,108840,'Inflicts 53 - 89 melee damage on target',100,1,2),
(111871,108840,'Inflicts 53 - 89 melee damage on target',100,1,3),
(111872,108840,'Inflicts 53 - 89 melee damage on target',100,1,4),
(111873,10108840,'Inflicts 70 - 116 melee damage on target',100,1,0),
(111874,10108840,'Inflicts 70 - 116 melee damage on target',100,1,1),
(111875,10108840,'Inflicts 70 - 116 melee damage on target',100,1,2),
(111876,10108840,'Inflicts 70 - 116 melee damage on target',100,1,3),
(111877,10108840,'Inflicts 70 - 116 melee damage on target',100,1,4),
(111878,35977,'Increases AGI of target by 1.6',100,0,0),
(111879,35977,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(111880,36228,'Increases AGI of target by 1.6',100,0,0),
(111881,36228,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(111882,103172,'Throws target back',100,1,0),
(111883,103172,'If Target is not Epic',100,2,1),
(111884,103172,'Inflicts 235 - 707 crushing damage on target',100,1,2),
(111885,103172,'Stuns target',100,1,3),
(111886,103172,'If Target is not Epic',100,2,4),
(111887,103172,'Resistibility increases against targets higher than level 98.',100,1,5),
(111888,10103172,'Throws target back',100,1,0),
(111889,10103172,'If Target is not Epic',100,2,1),
(111890,10103172,'Inflicts 306 - 919 crushing damage on target',100,1,2),
(111891,10103172,'Stuns target',100,1,3),
(111892,10103172,'If Target is not Epic',100,2,4),
(111893,10103172,'Resistibility increases against targets higher than level 98.',100,1,5),
(111894,105948,'Inflicts 190 - 233 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(111895,105948,'Inflicts 443 - 739 disease damage on targets in area',100,1,1),
(111896,10105948,'Inflicts 266 - 326 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(111897,10105948,'Inflicts 577 - 961 disease damage on targets in area',100,1,1),
(111898,118942,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(111899,118942,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1367',100,1,1),
(111900,118942,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,2),
(111901,10118942,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(111902,10118942,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1367',100,1,1),
(111903,10118942,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,2),
(111904,36557,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(111905,81517,'When Equipped:',100,0,0),
(111906,81517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111907,81517,'Inflicts 146 - 271 magic damage on target',100,2,2),
(111908,81517,'Cannot be modified except by direct means',100,2,3),
(111909,10081517,'When Equipped:',100,0,0),
(111910,10081517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(111911,10081517,'Inflicts 204 - 379 magic damage on target',100,2,2),
(111912,10081517,'Cannot be modified except by direct means',100,2,3),
(111913,162016,'When Equipped:',100,0,0),
(111914,162016,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(111915,162016,'Inflicts 2664 disease damage on target encounter',100,2,2),
(111916,162016,'Must not be engaged in pvp combat',100,2,3),
(111917,162016,'Cannot be modified except by direct means',100,2,4),
(111918,10162016,'When Equipped:',100,0,0),
(111919,10162016,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(111920,10162016,'Inflicts 1865 disease damage on target encounter',100,2,2),
(111921,10162016,'Must not be engaged in pvp combat',100,2,3),
(111922,10162016,'Cannot be modified except by direct means',100,2,4),
(111923,103796,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 23.4',100,1,0),
(111924,10103796,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 23.4',100,1,0),
(111925,117708,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(111926,117708,'Adds 1.3% to base avoidance.',100,1,1),
(111927,10117708,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(111928,10117708,'Adds 1.3% to base avoidance.',100,1,1),
(111929,115214,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(111930,115214,'Decreases Mitigation of target vs noxious damage by 672',100,2,1),
(111931,115214,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(111932,115214,'Decreases Mitigation of target vs noxious damage by 672',100,2,3),
(111933,10115214,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(111934,10115214,'Decreases Mitigation of target vs noxious damage by 672',100,2,1),
(111935,10115214,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(111936,10115214,'Decreases Mitigation of target vs noxious damage by 672',100,2,3),
(111937,104891,'Inflicts 298 - 497 magic damage on targets in area',100,1,0),
(111938,10104891,'Inflicts 387 - 646 magic damage on targets in area',100,1,0),
(111939,119363,'Inflicts 379 - 568 disease damage on target',100,1,0),
(111940,119363,'Inflicts 151 - 227 disease damage on target every 4 seconds',100,1,1),
(111941,10119363,'Inflicts 530 - 795 disease damage on target',100,1,0),
(111942,10119363,'Inflicts 212 - 318 disease damage on target every 4 seconds',100,1,1),
(111943,116439,'Inflicts 28 disease damage on target instantly and every 4 seconds',100,1,0),
(111944,116439,'Inflicts 28 disease damage on target instantly and every 4 seconds',100,1,1),
(111945,116439,'If target is nightblood',100,2,2),
(111946,116439,'Inflicts 28 disease damage on target instantly and every 4 seconds',100,1,3),
(111947,116439,'If target is shadowed folk',100,2,4),
(111948,10116439,'Inflicts 40 disease damage on target instantly and every 4 seconds',100,1,0),
(111949,37180,'Increases WIS of target by 1.6',100,0,0),
(111950,37180,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(111951,26576,'When Equipped:',100,0,0),
(111952,26576,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(111953,26576,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,2),
(111954,10026576,'When Equipped:',100,0,0),
(111955,10026576,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(111956,10026576,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,2),
(111957,159088,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(111958,159088,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(111959,159088,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(111960,159088,'Cannot be modified except by direct means',100,2,3),
(111961,10159088,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(111962,10159088,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(111963,10159088,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(111964,10159088,'Cannot be modified except by direct means',100,2,3),
(111965,112343,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(111966,112343,'Inflicts 113 - 188 piercing damage on target',100,2,1),
(111967,10112343,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(111968,10112343,'Inflicts 77 - 128 piercing damage on target',100,2,1),
(111969,120473,'Inflicts 362 - 603 ranged damage on target',100,1,0),
(111970,120473,'Slows target by 51.0%',100,1,1),
(111971,120473,'10% chance to dispel when target receives hostile action',100,1,2),
(111972,120473,'Requires bow',100,1,3),
(111973,10120473,'Inflicts 282 - 470 ranged damage on target',100,1,0),
(111974,10120473,'Slows target by 51.0%',100,1,1),
(111975,10120473,'10% chance to dispel when target receives hostile action',100,1,2),
(111976,10120473,'Requires bow',100,1,3),
(111977,118470,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(111978,118470,'Inflicts 39 - 48 heat damage on target instantly and every second',100,2,1),
(111979,10118470,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(111980,10118470,'Inflicts 55 - 67 heat damage on target instantly and every second',100,2,1),
(111981,187407,'When Equipped:',100,0,0),
(111982,187407,'Increases WIS of caster by 50.0',100,1,1),
(111983,187407,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(111984,187407,'Increases STR, INT and AGI of caster by 50.0',100,1,3),
(111985,187407,'Increases Potency of caster by 3.5%',100,1,4),
(111986,187407,'Cannot be modified except by direct means',100,1,5),
(111987,10187407,'When Equipped:',100,0,0),
(111988,10187407,'Increases WIS of caster by 50.0',100,1,1),
(111989,10187407,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(111990,10187407,'Increases STR, INT and AGI of caster by 50.0',100,1,3),
(111991,10187407,'Increases Potency of caster by 3.5%',100,1,4),
(111992,10187407,'Cannot be modified except by direct means',100,1,5),
(111993,101897,'Inflicts 171 - 285 ranged damage on target',100,1,0),
(111994,101897,'If weapon equipped in Ranged',100,1,1),
(111995,101897,'Must be behind',100,1,2),
(111996,10101897,'Inflicts 145 - 242 ranged damage on target',100,1,0),
(111997,10101897,'If weapon equipped in Ranged',100,1,1),
(111998,10101897,'Must be behind',100,1,2),
(111999,103632,'Increases STR of raid and group members (AE) by 27.9',100,1,0),
(112000,103632,'Improves the base amount of taunts by 10%.',100,1,1),
(112001,103632,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(112002,103632,'Increases AGI of raid and group members (AE) by 27.9',100,1,3),
(112003,103632,'Adds 1.0% to base avoidance.',100,1,4),
(112004,10103632,'Increases STR of raid and group members (AE) by 27.9',100,1,0),
(112005,10103632,'Improves the base amount of taunts by 10%.',100,1,1),
(112006,10103632,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(112007,10103632,'Increases AGI of raid and group members (AE) by 27.9',100,1,3),
(112008,10103632,'Adds 1.0% to base avoidance.',100,1,4),
(112009,114997,'Inflicts 616 - 1027 ranged damage on targets in area',100,1,0),
(112010,114997,'You must be in stealth to use this!',100,1,1),
(112011,114997,'Requires bow',100,1,2),
(112012,10114997,'Inflicts 524 - 873 ranged damage on targets in area',100,1,0),
(112013,10114997,'You must be in stealth to use this!',100,1,1),
(112014,10114997,'Requires bow',100,1,2),
(112015,46406,'Applies trauma remedy when Activated.',100,0,0),
(112016,46406,'Dispels 98 levels of physical hostile effects on caster',100,1,1),
(112017,10046406,'Applies trauma remedy when Activated.',100,0,0),
(112018,10046406,'Dispels 98 levels of physical hostile effects on caster',100,1,1),
(112019,24233,'Adds Crushbone: Trash Pile to your Dungeon Maker toolbox',100,0,0),
(112020,10024233,'Adds Crushbone: Trash Pile to your Dungeon Maker toolbox',100,0,0),
(112021,80350,'When Equipped:',100,0,0),
(112022,80350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112023,80350,'Inflicts 58 - 107 magic damage on target',100,2,2),
(112024,80350,'Cannot be modified except by direct means',100,2,3),
(112025,10080350,'When Equipped:',100,0,0),
(112026,10080350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112027,10080350,'Inflicts 81 - 150 magic damage on target',100,2,2),
(112028,10080350,'Cannot be modified except by direct means',100,2,3),
(112029,111895,'Inflicts 7 - 12 piercing damage on target instantly and every 4 seconds',100,1,0),
(112030,111895,'Inflicts 27 - 45 piercing damage on target',100,1,1),
(112031,10111895,'Inflicts 17 - 29 piercing damage on target instantly and every 4 seconds',100,1,0),
(112032,10111895,'Inflicts 48 - 81 piercing damage on target',100,1,1),
(112033,81455,'When Equipped:',100,0,0),
(112034,81455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112035,81455,'Inflicts 104 - 194 magic damage on target',100,2,2),
(112036,81455,'Cannot be modified except by direct means',100,2,3),
(112037,10081455,'When Equipped:',100,0,0),
(112038,10081455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112039,10081455,'Inflicts 146 - 271 magic damage on target',100,2,2),
(112040,10081455,'Cannot be modified except by direct means',100,2,3),
(112041,116899,'Wards target against 16 points of all damage',100,1,0),
(112042,116899,'Decreases INT of target by 28.0',100,1,1),
(112043,116899,'Decreases Attack Speed of target by 25.0',100,1,2),
(112044,116899,'Increases Max Health of target by 12.0%',100,1,3),
(112045,116899,'Increases Hate Gain of target by 15.9%',100,1,4),
(112046,116899,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,5),
(112047,10116899,'Wards target against 16 points of all damage',100,1,0),
(112048,10116899,'Decreases INT of target by 28.0',100,1,1),
(112049,10116899,'Decreases Attack Speed of target by 25.0',100,1,2),
(112050,10116899,'Increases Max Health of target by 12.0%',100,1,3),
(112051,10116899,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,4),
(112052,37606,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(112053,37606,'This effect suspends during combat',100,0,1),
(112054,116660,'Heals group members (AE) for 23 - 28',100,1,0),
(112055,116660,'This effect cannot be critically applied.',100,2,1),
(112056,116660,'Increases Max Health of group members (AE) by 17.6',100,1,2),
(112057,116660,'The healing of this spell cannot be modified except by direct means',100,1,3),
(112058,10116660,'Heals group members (AE) for 7 - 9',100,1,0),
(112059,10116660,'This effect cannot be critically applied.',100,2,1),
(112060,10116660,'Increases Max Health of group members (AE) by 17.6',100,1,2),
(112061,10116660,'The healing of this spell cannot be modified except by direct means',100,1,3),
(112062,116106,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(112063,116106,'Heals target for 433 - 530',100,2,1),
(112064,116106,'Grants a total of 5 triggers of the spell.',100,2,2),
(112065,10116106,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(112066,10116106,'Heals target for 282 - 344',100,2,1),
(112067,10116106,'Grants a total of 5 triggers of the spell.',100,2,2),
(112068,124569,'Decreases Threat to targets in Area of Effect by 792 ',100,1,0),
(112069,124569,'Interrupts targets in Area of Effect',100,1,1),
(112070,124569,'Roots targets in Area of Effect',100,1,2),
(112071,124569,'If Target is not Epic',100,2,3),
(112072,10124569,'Applies Distract.',100,1,0),
(112073,10124569,'Forces target to clear their selected target.',100,2,1),
(112074,10124569,'Interrupts targets in Area of Effect',100,1,2),
(112075,10124569,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(112076,10124569,'Roots targets in Area of Effect',100,1,4),
(112077,10124569,'If Target is not Epic',100,2,5),
(112078,48620,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(112079,48620,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(112080,48620,'Inflicts 208 poison damage on target',100,2,2),
(112081,48620,'Inflicts 107 poison damage on target instantly and every 6 seconds',100,2,3),
(112082,48620,'Cannot be modified except by direct means',100,2,4),
(112083,48620,'Grants a total of 200 triggers of the spell.',100,2,5),
(112084,10048620,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(112085,10048620,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(112086,10048620,'Inflicts 113 poison damage on target instantly and every 6 seconds',100,2,2),
(112087,10048620,'Inflicts 218 poison damage on target',100,2,3),
(112088,10048620,'Cannot be modified except by direct means',100,2,4),
(112089,10048620,'Grants a total of 200 triggers of the spell.',100,2,5),
(112090,87236,'When Equipped:',100,0,0),
(112091,87236,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112092,87236,'Inflicts 181 - 271 magic damage on target',100,2,2),
(112093,87236,'Cannot be modified except by direct means',100,2,3),
(112094,10087236,'When Equipped:',100,0,0),
(112095,10087236,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112096,10087236,'Inflicts 253 - 380 magic damage on target',100,2,2),
(112097,10087236,'Cannot be modified except by direct means',100,2,3),
(112098,75614,'Applies Holy Strike when Activated.',100,0,0),
(112099,75614,'Inflicts 313 - 522 divine damage on target',100,1,1),
(112100,75614,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(112101,10075614,'Applies Holy Strike when Activated.',100,0,0),
(112102,10075614,'Inflicts 438 - 730 divine damage on target',100,1,1),
(112103,10075614,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(112104,110416,'Inflicts 2586 - 4310 disease damage on target',100,1,0),
(112105,10110416,'Inflicts 2482 - 4137 disease damage on target',100,1,0),
(112106,110425,'Inflicts 5464 - 9106 disease damage on target',100,1,0),
(112107,10110425,'Inflicts 5245 - 8742 disease damage on target',100,1,0),
(112108,41642,'When Equipped:',100,0,0),
(112109,41642,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112110,41642,'Inflicts 224 - 415 magic damage on target',100,2,2),
(112111,41642,'Decreases Threat to target by 801 ',100,2,3),
(112112,41642,'Must be flanking or behind',100,3,4),
(112113,41642,'Increases Threat to target by 801 ',100,2,5),
(112114,41642,'Must be in front of',100,3,6),
(112115,41642,'Cannot be modified except by direct means',100,2,7),
(112116,10041642,'When Equipped:',100,0,0),
(112117,10041642,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112118,10041642,'Inflicts 313 - 581 magic damage on target',100,2,2),
(112119,10041642,'Cannot be modified except by direct means',100,2,3),
(112120,79738,'When Equipped:',100,0,0),
(112121,79738,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112122,79738,'Decreases power of target by 106',100,2,2),
(112123,79738,'Increases power of caster by 116',100,2,3),
(112124,79738,'Cannot be modified except by direct means',100,2,4),
(112125,10079738,'When Equipped:',100,0,0),
(112126,10079738,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112127,10079738,'Decreases power of target by 106',100,2,2),
(112128,10079738,'Increases power of caster by 116',100,2,3),
(112129,10079738,'Cannot be modified except by direct means',100,2,4),
(112130,45049,'Applies Immortalize the Djinn Master when Activated.',100,0,0),
(112131,45049,'Summon 1 Trophy: Djinn Master''s Head',100,1,1),
(112132,45049,'This effect cannot be cast during combat',100,1,2),
(112133,10045049,'Applies Immortalize the Djinn Master when Activated.',100,0,0),
(112134,10045049,'Summon 1 Trophy: Djinn Master''s Head',100,1,1),
(112135,10045049,'This effect cannot be cast during combat',100,1,2),
(112136,104457,'Interrupts target encounter',100,1,0),
(112137,104457,'Applies Stumble on termination.',100,1,1),
(112138,104457,'Interrupts target',100,2,2),
(112139,104457,'Inflicts 170 - 208 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(112140,10104457,'Interrupts target encounter',100,1,0),
(112141,10104457,'Applies Stumble on termination.',100,1,1),
(112142,10104457,'Interrupts target',100,2,2),
(112143,10104457,'Inflicts 239 - 292 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(112144,119205,'Inflicts 347 - 578 heat damage on target',100,1,0),
(112145,119205,'Inflicts 347 - 578 heat damage on target',100,1,1),
(112146,119205,'Requires bow',100,1,2),
(112147,10119205,'Inflicts 397 - 662 heat damage on target',100,1,0),
(112148,10119205,'Inflicts 397 - 662 heat damage on target',100,1,1),
(112149,10119205,'Requires bow',100,1,2),
(112150,137389,'When Equipped:',100,0,0),
(112151,137389,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(112152,137389,'Inflicts 1589 - 2383 poison damage on target',100,2,2),
(112153,137389,'Heals caster for 1058 - 1587',100,2,3),
(112154,137389,'Cannot be modified except by direct means',100,2,4),
(112155,137389,'Cannot be modified except by direct means',100,1,5),
(112156,10137389,'When Equipped:',100,0,0),
(112157,10137389,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(112158,10137389,'Inflicts 2224 - 3336 poison damage on target',100,2,2),
(112159,10137389,'Heals caster for 1238 - 1857',100,2,3),
(112160,10137389,'Cannot be modified except by direct means',100,2,4),
(112161,10137389,'Cannot be modified except by direct means',100,1,5),
(112162,101385,'Reduces physical damage done to caster by 5%',100,1,0),
(112163,101385,'Adds 1.7% to base avoidance.',100,1,1),
(112164,101385,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(112165,101385,'Increases Aggression of caster by 25.6',100,1,3),
(112166,101385,'Increases Defense and Parry of caster by 40.9',100,1,4),
(112167,101385,'Increases Mitigation of caster vs noxious and arcane damage by 245',100,1,5),
(112168,101385,'Increases Mitigation of caster vs elemental damage by 2449',100,1,6),
(112169,101385,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(112170,10101385,'Reduces physical damage done to caster by 5%',100,1,0),
(112171,10101385,'Adds 1.7% to base avoidance.',100,1,1),
(112172,10101385,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(112173,10101385,'Increases Aggression of caster by 25.6',100,1,3),
(112174,10101385,'Increases Defense and Parry of caster by 40.9',100,1,4),
(112175,10101385,'Increases Mitigation of caster vs noxious and arcane damage by 245',100,1,5),
(112176,10101385,'Increases Mitigation of caster vs elemental damage by 2449',100,1,6),
(112177,10101385,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(112178,102989,'Increases STR and AGI of group members (AE) by 91.8',100,1,0),
(112179,10102989,'Increases STR and AGI of group members (AE) by 91.8',100,1,0),
(112180,103013,'Inflicts 77 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(112181,103013,'Inflicts 28 - 48 melee damage on target',100,1,1),
(112182,10103013,'Inflicts 108 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(112183,10103013,'Inflicts 37 - 62 melee damage on target',100,1,1),
(112184,107625,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(112185,107625,'Increases Mitigation of group members (AE) vs elemental damage by 308',100,1,1),
(112186,10107625,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(112187,10107625,'Increases Mitigation of group members (AE) vs elemental damage by 308',100,1,1),
(112188,122689,'Heals target for 96 - 118',100,1,0),
(112189,122689,'Increases Max Health of target by 12.0',100,1,1),
(112190,10122689,'Heals target for 63 - 76',100,1,0),
(112191,10122689,'Increases Max Health of target by 12.0',100,1,1),
(112192,89623,'When Equipped:',100,0,0),
(112193,89623,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(112194,89623,'On a healing spell cast this spell may cast Steady Pulse IV on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(112195,89623,'Heals target for 15 - 17 instantly and every 2 seconds',100,2,3),
(112196,89623,'Must not be engaged in pvp combat',100,2,4),
(112197,89623,'Cannot be modified except by direct means',100,2,5),
(112198,89623,'Cannot be modified except by direct means',100,1,6),
(112199,10089623,'When Equipped:',100,0,0),
(112200,10089623,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(112201,10089623,'On a healing spell cast this spell may cast Steady Pulse IV on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(112202,10089623,'Heals target for 10 - 11 instantly and every 2 seconds',100,2,3),
(112203,10089623,'Must not be engaged in pvp combat',100,2,4),
(112204,10089623,'Cannot be modified except by direct means',100,2,5),
(112205,10089623,'Cannot be modified except by direct means',100,1,6),
(112206,81414,'When Equipped:',100,0,0),
(112207,81414,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112208,81414,'Inflicts 94 - 174 magic damage on target',100,2,2),
(112209,81414,'Cannot be modified except by direct means',100,2,3),
(112210,10081414,'When Equipped:',100,0,0),
(112211,10081414,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112212,10081414,'Inflicts 131 - 244 magic damage on target',100,2,2),
(112213,10081414,'Cannot be modified except by direct means',100,2,3),
(112214,46659,'Applies Hurricane of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(112215,46659,'Increases power of caster by 12 instantly and every 5 seconds',100,1,1),
(112216,10046659,'Applies Hurricane of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(112217,10046659,'Increases power of caster by 12 instantly and every 5 seconds',100,1,1),
(112218,153831,'When Equipped:',100,0,0),
(112219,153831,'When damaged this spell has a 10% chance to cast Champion''s Impedence IX on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(112220,153831,'Increases caster''s chance to block by 18.0%',100,2,2),
(112221,153831,'Must not be engaged in pvp combat',100,2,3),
(112222,153831,'Cannot be modified except by direct means',100,2,4),
(112223,153831,'On a block this spell has a 10% chance to cast Champion''s Impedence IX on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(112224,153831,'Increases caster''s chance to block by 18.0%',100,2,6),
(112225,153831,'Must not be engaged in pvp combat',100,2,7),
(112226,153831,'Cannot be modified except by direct means',100,2,8),
(112227,153831,'Must not be engaged in pvp combat',100,1,9),
(112228,10153831,'When Equipped:',100,0,0),
(112229,10153831,'When damaged this spell has a 10% chance to cast Champion''s Impedence IX on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(112230,10153831,'Increases caster''s chance to block by 18.0%',100,2,2),
(112231,10153831,'Must not be engaged in pvp combat',100,2,3),
(112232,10153831,'Cannot be modified except by direct means',100,2,4),
(112233,10153831,'On a block this spell has a 10% chance to cast Champion''s Impedence IX on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(112234,10153831,'Increases caster''s chance to block by 18.0%',100,2,6),
(112235,10153831,'Must not be engaged in pvp combat',100,2,7),
(112236,10153831,'Cannot be modified except by direct means',100,2,8),
(112237,10153831,'Must not be engaged in pvp combat',100,1,9),
(112238,186811,'When Equipped:',100,0,0),
(112239,186811,'Increases Attack Speed of caster by 35.0',100,1,1),
(112240,10186811,'When Equipped:',100,0,0),
(112241,10186811,'Increases Attack Speed of caster by 35.0',100,1,1),
(112242,185157,'Applies Dire Alacrity when Activated.  Lasts for 36.0 seconds.',100,0,0),
(112243,185157,'Increases Ability Reuse Speed of caster by 100.0%',100,1,1),
(112244,185157,'The casting time of Dire Alacrity is 0.5 seconds and the reuse time of the spell is 1 hour',100,1,2),
(112245,10185157,'Applies Dire Alacrity when Activated.  Lasts for 36.0 seconds.',100,0,0),
(112246,10185157,'Increases Ability Reuse Speed of caster by 100.0%',100,1,1),
(112247,10185157,'The casting time of Dire Alacrity is 0.5 seconds and the reuse time of the spell is 1 hour',100,1,2),
(112248,110085,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(112249,110085,'Inflicts 5 disease damage on target',100,2,1),
(112250,110085,'Heals caster for 3',100,2,2),
(112251,110085,'Decreases INT of target by 28.0',100,1,3),
(112252,110085,'Decreases Attack Speed of target by 25.0',100,1,4),
(112253,110085,'Increases Max Health of target by 9.5%',100,1,5),
(112254,110085,'Increases Hate Gain of target by 12.6%',100,1,6),
(112255,110085,'Increases Aggression of target by 2.0',100,1,7),
(112256,110085,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(112257,110085,'Increases Threat to target encounter by 14 - 17 ',100,2,9),
(112258,110085,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,10),
(112259,10110085,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(112260,10110085,'Inflicts 8 disease damage on target',100,2,1),
(112261,10110085,'Heals caster for 2',100,2,2),
(112262,10110085,'Decreases INT of target by 28.0',100,1,3),
(112263,10110085,'Decreases Attack Speed of target by 25.0',100,1,4),
(112264,10110085,'Increases Max Health of target by 9.5%',100,1,5),
(112265,10110085,'Increases Aggression of target by 2.0',100,1,6),
(112266,10110085,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,7),
(112267,106186,'Wards target against 108 points of all damage',100,1,0),
(112268,106186,'Decreases INT of target by 109.5',100,1,1),
(112269,106186,'Decreases Attack Speed of target by 25.0',100,1,2),
(112270,106186,'Increases Max Health of target by 16.0%',100,1,3),
(112271,106186,'Increases Hate Gain of target by 43.2%',100,1,4),
(112272,106186,'Increases Aggression of target by 13.4',100,1,5),
(112273,106186,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(112274,106186,'Increases Threat to target encounter by 126 - 154 ',100,2,7),
(112275,106186,'Increases Mitigation of target vs elemental, noxious and arcane damage by 896',100,1,8),
(112276,10106186,'Wards target against 108 points of all damage',100,1,0),
(112277,10106186,'Decreases INT of target by 109.5',100,1,1),
(112278,10106186,'Decreases Attack Speed of target by 25.0',100,1,2),
(112279,10106186,'Increases Max Health of target by 16.0%',100,1,3),
(112280,10106186,'Increases Aggression of target by 13.4',100,1,4),
(112281,10106186,'Increases Mitigation of target vs elemental, noxious and arcane damage by 896',100,1,5),
(112282,120954,'Inflicts 503 - 838 ranged damage on target',100,1,0),
(112283,120954,'If weapon equipped in Ranged',100,1,1),
(112284,120954,'Must be behind',100,1,2),
(112285,10120954,'Inflicts 427 - 712 ranged damage on target',100,1,0),
(112286,10120954,'If weapon equipped in Ranged',100,1,1),
(112287,10120954,'Must be behind',100,1,2),
(112288,46239,'Applies freedom of mind when Activated.  Lasts for 10.0 seconds.',100,0,0),
(112289,46239,'Makes caster immune to Stifle effects',100,1,1),
(112290,46239,'Makes caster immune to Stun effects',100,1,2),
(112291,10046239,'Applies freedom of mind when Activated.  Lasts for 3.0 seconds.',100,0,0),
(112292,10046239,'Makes caster immune to Stifle effects',100,1,1),
(112293,10046239,'Makes caster immune to Stun effects',100,1,2),
(112294,24581,'Adds Myconoid (Templar) to your Dungeon Maker toolbox',100,0,0),
(112295,10024581,'Adds Myconoid (Templar) to your Dungeon Maker toolbox',100,0,0),
(112296,117568,'Inflicts 198 - 331 melee damage on target',100,1,0),
(112297,117568,'Decreases Parry of target by 20.9',100,1,1),
(112298,117568,'Must be in front of or flanking',100,1,2),
(112299,10117568,'Inflicts 258 - 431 melee damage on target',100,1,0),
(112300,10117568,'Decreases Parry of target by 20.9',100,1,1),
(112301,10117568,'Must be in front of or flanking',100,1,2),
(112302,124603,'Increases In-Combat Health Regeneration of group members (AE) by 21.1',100,1,0),
(112303,124603,'Increases Mitigation of group members (AE) vs physical damage by 233',100,1,1),
(112304,10124603,'Increases In-Combat Health Regeneration of group members (AE) by 21.1',100,1,0),
(112305,10124603,'Increases Mitigation of group members (AE) vs physical damage by 233',100,1,1),
(112306,110275,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(112307,110275,'Slows target by 50.2%',100,2,1),
(112308,110275,'5% chance to dispel when target receives hostile action',100,2,2),
(112309,110275,'5% chance to dispel when target takes damage',100,2,3),
(112310,110275,'Decreases Mitigation of target vs arcane damage by 349',100,1,4),
(112311,10110275,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(112312,10110275,'Slows target by 50.2%',100,2,1),
(112313,10110275,'5% chance to dispel when target receives hostile action',100,2,2),
(112314,10110275,'5% chance to dispel when target takes damage',100,2,3),
(112315,10110275,'Decreases Mitigation of target vs arcane damage by 349',100,1,4),
(112316,46586,'Applies Summon Green Ethernaut Carpet when Activated.',100,0,0),
(112317,46586,'Reduces maximum falling speed of caster',100,1,1),
(112318,46586,'Summons a mount to ride',100,1,2),
(112319,46586,'Increases your ground speed by 130%',100,2,3),
(112320,10046586,'Applies Summon Green Ethernaut Carpet when Activated.',100,0,0),
(112321,10046586,'Reduces maximum falling speed of caster',100,1,1),
(112322,10046586,'Summons a mount to ride',100,1,2),
(112323,10046586,'Increases your ground speed by 130%',100,2,3),
(112324,117228,'Inflicts 16 slashing damage on target every 4 seconds',100,1,0),
(112325,117228,'Inflicts 78 - 131 melee damage on target',100,1,1),
(112326,10117228,'Inflicts 22 slashing damage on target every 4 seconds',100,1,0),
(112327,10117228,'Inflicts 102 - 170 melee damage on target',100,1,1),
(112328,166407,'When Equipped:',100,0,0),
(112329,166407,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112330,166407,'Inflicts 393 divine damage on target',100,2,2),
(112331,166407,'Must not be classified as a vampire',100,3,3),
(112332,166407,'Inflicts 787 divine damage on target',100,2,4),
(112333,166407,'Must be classified as a vampire',100,3,5),
(112334,166407,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(112335,166407,'Must be classified as a vampire',100,3,7),
(112336,166407,'Cannot be modified except by direct means',100,2,8),
(112337,166407,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(112338,10166407,'When Equipped:',100,0,0),
(112339,10166407,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112340,10166407,'Inflicts 551 divine damage on target',100,2,2),
(112341,10166407,'Must not be classified as a vampire',100,3,3),
(112342,10166407,'Inflicts 1102 divine damage on target',100,2,4),
(112343,10166407,'Must be classified as a vampire',100,3,5),
(112344,10166407,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(112345,10166407,'Must be classified as a vampire',100,3,7),
(112346,10166407,'Cannot be modified except by direct means',100,2,8),
(112347,10166407,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(112348,147267,'When Equipped:',100,0,0),
(112349,147267,'Increases Attack Speed of caster by 45.0',100,1,1),
(112350,10147267,'When Equipped:',100,0,0),
(112351,10147267,'Increases Attack Speed of caster by 45.0',100,1,1),
(112352,159848,'Applies Lambent Imbued when Equipped.',100,0,0),
(112353,159848,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(112354,159848,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(112355,159848,'Cannot be modified except by direct means',100,2,3),
(112356,10159848,'Applies Lambent Imbued when Equipped.',100,0,0),
(112357,10159848,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(112358,10159848,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(112359,10159848,'Cannot be modified except by direct means',100,2,3),
(112360,36461,'Increases STA and INT of target by 1.2',100,0,0),
(112361,36461,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112362,35608,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(112363,106813,'Decreases STR and AGI of target encounter by 95.6',100,1,0),
(112364,10106813,'Decreases STR and AGI of target encounter by 95.6',100,1,0),
(112365,107603,'Dazes target encounter',100,1,0),
(112366,107603,'Inflicts 808 - 988 mental damage on target encounter',100,1,1),
(112367,107603,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(112368,107603,'Resistibility increases against targets higher than level 107.',100,1,3),
(112369,10107603,'Dazes target encounter',100,1,0),
(112370,10107603,'Inflicts 1132 - 1383 mental damage on target encounter',100,1,1),
(112371,10107603,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(112372,10107603,'Resistibility increases against targets higher than level 107.',100,1,3),
(112373,41533,'When Equipped:',100,0,0),
(112374,41533,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112375,41533,'Inflicts 301 - 560 magic damage on target',100,2,2),
(112376,41533,'Decreases Threat to target by 833 ',100,2,3),
(112377,41533,'Must be flanking or behind',100,3,4),
(112378,41533,'Increases Threat to target by 833 ',100,2,5),
(112379,41533,'Must be in front of',100,3,6),
(112380,41533,'Cannot be modified except by direct means',100,2,7),
(112381,10041533,'When Equipped:',100,0,0),
(112382,10041533,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112383,10041533,'Inflicts 422 - 783 magic damage on target',100,2,2),
(112384,10041533,'Cannot be modified except by direct means',100,2,3),
(112385,25474,'When Equipped:',100,0,0),
(112386,25474,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(112387,25474,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(112388,10025474,'When Equipped:',100,0,0),
(112389,10025474,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(112390,10025474,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(112391,124111,'Increases power of caster by 159',100,1,0),
(112392,10124111,'Increases power of caster by 159',100,1,0),
(112393,113565,'Inflicts 1196 - 1993 disease damage on target',100,1,0),
(112394,10113565,'Inflicts 1674 - 2790 disease damage on target',100,1,0),
(112395,48219,'Applies Draw upon Essence when Activated.',100,0,0),
(112396,48219,'Increases power of caster by 5',100,1,1),
(112397,48219,'Requires 24 Health to cast.',100,1,2),
(112398,10048219,'Applies Draw upon Essence when Activated.',100,0,0),
(112399,10048219,'Increases power of caster by 5',100,1,1),
(112400,10048219,'Requires 24 Health to cast.',100,1,2),
(112401,113198,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(112402,113198,'Inflicts 28 magic damage on target',100,2,1),
(112403,113198,'Grants a total of 5 triggers of the spell.',100,2,2),
(112404,10113198,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(112405,10113198,'Inflicts 40 magic damage on target',100,2,1),
(112406,10113198,'Grants a total of 5 triggers of the spell.',100,2,2),
(112407,106072,'Increases AGI of caster by 136.3',100,1,0),
(112408,106072,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(112409,106072,'Inflicts 257 - 429 disease damage on target',100,2,2),
(112410,106072,'Adds 18.7% to base avoidance.',100,1,3),
(112411,106072,'Increases Mitigation of caster vs physical damage by 664',100,1,4),
(112412,106072,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,5),
(112413,10106072,'Increases AGI of caster by 136.3',100,1,0),
(112414,10106072,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(112415,10106072,'Inflicts 360 - 600 disease damage on target',100,2,2),
(112416,10106072,'Adds 18.7% to base avoidance.',100,1,3),
(112417,10106072,'Increases Mitigation of caster vs physical damage by 664',100,1,4),
(112418,10106072,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,5),
(112419,74728,'When Equipped:',100,0,0),
(112420,74728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112421,74728,'Inflicts 155 - 233 magic damage on target',100,2,2),
(112422,74728,'Cannot be modified except by direct means',100,2,3),
(112423,10074728,'When Equipped:',100,0,0),
(112424,10074728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112425,10074728,'Inflicts 218 - 327 magic damage on target',100,2,2),
(112426,10074728,'Cannot be modified except by direct means',100,2,3),
(112427,45601,'Applies Clouded Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(112428,45601,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(112429,45601,'Only affects targets level 50 and above',100,1,2),
(112430,10045601,'Applies Clouded Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(112431,10045601,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(112432,10045601,'Only affects targets level 50 and above',100,1,2),
(112433,115441,'Inflicts 57 - 70 mental damage on target instantly and every 6 seconds',100,1,0),
(112434,115441,'Decreases Mitigation of target vs arcane damage by 420',100,1,1),
(112435,10115441,'Inflicts 80 - 97 mental damage on target instantly and every 6 seconds',100,1,0),
(112436,10115441,'Decreases Mitigation of target vs arcane damage by 420',100,1,1),
(112437,35225,'Increases Max Power of target by 4.1',100,0,0),
(112438,35225,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112439,118148,'Inflicts 211 - 351 melee damage on target',100,1,0),
(112440,118148,'Dazes target',100,1,1),
(112441,118148,'If Target is not Epic',100,2,2),
(112442,118148,'Resistibility increases against targets higher than level 69.',100,1,3),
(112443,10118148,'Inflicts 274 - 457 melee damage on target',100,1,0),
(112444,10118148,'Dazes target',100,1,1),
(112445,10118148,'If Target is not Epic',100,2,2),
(112446,10118148,'Resistibility increases against targets higher than level 69.',100,1,3),
(112447,82578,'When Equipped:',100,0,0),
(112448,82578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112449,82578,'Inflicts 90 - 167 magic damage on target',100,2,2),
(112450,82578,'Cannot be modified except by direct means',100,2,3),
(112451,10082578,'When Equipped:',100,0,0),
(112452,10082578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112453,10082578,'Inflicts 126 - 234 magic damage on target',100,2,2),
(112454,10082578,'Cannot be modified except by direct means',100,2,3),
(112455,106466,'Increases Multi Attack Chance of raid and group members (AE) by 13.2',100,1,0),
(112456,10106466,'Increases Multi Attack Chance of raid and group members (AE) by 13.2',100,1,0),
(112457,175436,'When Equipped:',100,0,0),
(112458,175436,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112459,175436,'Decreases power of target by 108',100,2,2),
(112460,175436,'Increases power of caster by 119',100,2,3),
(112461,175436,'Cannot be modified except by direct means',100,2,4),
(112462,10175436,'When Equipped:',100,0,0),
(112463,10175436,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112464,10175436,'Decreases power of target by 108',100,2,2),
(112465,10175436,'Increases power of caster by 119',100,2,3),
(112466,10175436,'Cannot be modified except by direct means',100,2,4),
(112467,112338,'Applies Insolent Gibe.',100,1,0),
(112468,112338,'Increases Threat to targets in Area of Effect by 2,570 - 3,855 ',100,2,1),
(112469,112338,'Applies Insolent Assault.',100,1,2),
(112470,112338,'Inflicts 1786 - 2679 melee damage on targets in area',100,2,3),
(112471,112338,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(112472,112338,'Increases Threat to target encounter by 963 - 1,178 ',100,2,5),
(112473,10112338,'Applies Insolent Gibe.',100,1,0),
(112474,10112338,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(112475,10112338,'Applies Insolent Assault.',100,1,2),
(112476,10112338,'Inflicts 2322 - 3483 melee damage on targets in area',100,2,3),
(112477,10112338,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(112478,10112338,'Forces target encounter to change their selected target to caster.',100,2,5),
(112479,113247,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(112480,113247,'Inflicts 48 - 80 magic damage on target',100,2,1),
(112481,113247,'Grants a total of 8 triggers of the spell.',100,2,2),
(112482,10113247,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(112483,10113247,'Inflicts 67 - 112 magic damage on target',100,2,1),
(112484,10113247,'Grants a total of 8 triggers of the spell.',100,2,2),
(112485,35209,'Increases Max Power of target by 4.1',100,0,0),
(112486,35209,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112487,35748,'Increases AGI and STR of target by 1.2',100,0,0),
(112488,35748,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(112489,35797,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(112490,45949,'Applies Dire Ravager Muzzle when Activated.  Lasts for 10 minutes.',100,0,0),
(112491,45949,'Use: Muzzles a Dire Ravager that will then follow you back to Wolfmaster Heinrich',100,1,1),
(112492,10045949,'Applies Dire Ravager Muzzle when Activated.  Lasts for 10 minutes.',100,0,0),
(112493,10045949,'Use: Muzzles a Dire Ravager that will then follow you back to Wolfmaster Heinrich',100,1,1),
(112494,112148,'Dispels 118 levels of physical and arcane hostile effects on caster',100,1,0),
(112495,10112148,'Dispels 118 levels of physical and arcane hostile effects on caster',100,1,0),
(112496,82712,'Applies Imbued Smite when Equipped.',100,0,0),
(112497,82712,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(112498,82712,'Inflicts 541 divine damage on target instantly and every second',100,2,2),
(112499,82712,'Cannot be modified except by direct means',100,2,3),
(112500,82712,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(112501,82712,'Inflicts 541 divine damage on target instantly and every second',100,2,5),
(112502,82712,'Cannot be modified except by direct means',100,2,6),
(112503,10082712,'Applies Imbued Smite when Equipped.',100,0,0),
(112504,10082712,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(112505,10082712,'Inflicts 758 divine damage on target instantly and every second',100,2,2),
(112506,10082712,'Cannot be modified except by direct means',100,2,3),
(112507,10082712,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(112508,10082712,'Inflicts 758 divine damage on target instantly and every second',100,2,5),
(112509,10082712,'Cannot be modified except by direct means',100,2,6),
(112510,112472,'Decreases AGI and WIS of target by 32.4',100,1,0),
(112511,10112472,'Decreases AGI and WIS of target by 32.4',100,1,0),
(112512,116578,'Inflicts 89 - 149 divine damage on target',100,1,0),
(112513,10116578,'Inflicts 116 - 194 divine damage on target',100,1,0),
(112514,122949,'Inflicts 112 - 152 mental damage on target',100,1,0),
(112515,10122949,'Inflicts 157 - 212 mental damage on target',100,1,0),
(112516,190724,'When Equipped:',100,0,0),
(112517,190724,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(112518,190724,'Inflicts 815 magic damage on target',100,2,2),
(112519,190724,'Inflicts 82 magic damage on target every 4 seconds',100,2,3),
(112520,190724,'Must not be engaged in pvp combat',100,2,4),
(112521,190724,'Cannot be modified except by direct means',100,2,5),
(112522,10190724,'When Equipped:',100,0,0),
(112523,10190724,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(112524,10190724,'Inflicts 1141 magic damage on target',100,2,2),
(112525,10190724,'Inflicts 114 magic damage on target every 4 seconds',100,2,3),
(112526,10190724,'Must not be engaged in pvp combat',100,2,4),
(112527,10190724,'Cannot be modified except by direct means',100,2,5),
(112528,45275,'Applies Illusion: Troll when Activated.  Lasts for 6 hours.',100,0,0),
(112529,45275,'Shapechanges caster into a troll',100,1,1),
(112530,10045275,'Applies Illusion: Troll when Activated.  Lasts for 6 hours.',100,0,0),
(112531,10045275,'Shapechanges caster into a troll',100,1,1),
(112532,120918,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(112533,120918,'Inflicts 331 - 404 mental damage on target',100,2,1),
(112534,120918,'Grants a total of 3 triggers of the spell.',100,2,2),
(112535,10120918,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(112536,10120918,'Inflicts 463 - 566 mental damage on target',100,2,1),
(112537,10120918,'Grants a total of 3 triggers of the spell.',100,2,2),
(112538,46086,'Applies Elixir of Longetivity when Activated.  Lasts for 15 minutes.',100,0,0),
(112539,46086,'Increases Max Health of caster by 86.5',100,1,1),
(112540,10046086,'Applies Elixir of Longetivity when Activated.  Lasts for 15 minutes.',100,0,0),
(112541,10046086,'Increases Max Health of caster by 86.5',100,1,1),
(112542,37175,'Increases STA of target by 1.6',100,0,0),
(112543,37175,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112544,35745,'Increases STA and WIS of target by 1.2',100,0,0),
(112545,35745,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112546,106930,'Inflicts 119 - 221 poison damage on target',100,1,0),
(112547,10106930,'Inflicts 166 - 309 poison damage on target',100,1,0),
(112548,117724,'Decreases Hate Gain of caster by 13.7%',100,1,0),
(112549,109848,'Inflicts 985 - 1642 melee damage on target',100,1,0),
(112550,109848,'Decreases Parry of target by 82.3',100,1,1),
(112551,109848,'Must be in front of or flanking',100,1,2),
(112552,10109848,'Inflicts 1281 - 2135 melee damage on target',100,1,0),
(112553,10109848,'Decreases Parry of target by 82.3',100,1,1),
(112554,10109848,'Must be in front of or flanking',100,1,2),
(112555,107661,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1005',100,1,0),
(112556,10107661,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1005',100,1,0),
(112557,107361,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(112558,107361,'Increases Threat to target by 350 ',100,2,1),
(112559,10107361,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(112560,10107361,'Inflicts 92 - 102 crushing damage on target',100,2,1),
(112561,82322,'When Equipped:',100,0,0),
(112562,82322,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112563,82322,'Inflicts 248 - 460 magic damage on target',100,2,2),
(112564,82322,'Decreases Threat to target by 672 ',100,2,3),
(112565,82322,'Must be flanking or behind',100,3,4),
(112566,82322,'Increases Threat to target by 672 ',100,2,5),
(112567,82322,'Must be in front of',100,3,6),
(112568,82322,'Cannot be modified except by direct means',100,2,7),
(112569,10082322,'When Equipped:',100,0,0),
(112570,10082322,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112571,10082322,'Inflicts 347 - 644 magic damage on target',100,2,2),
(112572,10082322,'Cannot be modified except by direct means',100,2,3),
(112573,48977,'Applies Trauma Remedy when Activated.',100,0,0),
(112574,48977,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(112575,48977,'Only affects targets level 50 and above',100,1,2),
(112576,10048977,'Applies Trauma Remedy when Activated.',100,0,0),
(112577,10048977,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(112578,10048977,'Only affects targets level 50 and above',100,1,2),
(112579,24106,'Adds Chardok: War-Ready Di''Zok Arms-Bearer to your Dungeon Maker toolbox',100,0,0),
(112580,10024106,'Adds Chardok: War-Ready Di''Zok Arms-Bearer to your Dungeon Maker toolbox',100,0,0),
(112581,112287,'Inflicts 26 - 32 disease damage on target',100,1,0),
(112582,112287,'Inflicts 13 - 16 disease damage on target every 3 seconds',100,1,1),
(112583,112287,'Increases Threat to target by 172 - 210  instantly and by 32 - 39  every 3 seconds thereafter',100,1,2),
(112584,10112287,'Inflicts 18 - 22 disease damage on target every 3 seconds',100,1,0),
(112585,10112287,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(112586,107444,'Summons a pet earthen avatar',100,1,0),
(112587,10107444,'Summons a pet earthen avatar',100,1,0),
(112588,45546,'Applies Clouded Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(112589,45546,'Only affects targets level 50 and above',100,1,1),
(112590,10045546,'Applies Clouded Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(112591,10045546,'Only affects targets level 50 and above',100,1,1),
(112592,101684,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(112593,101684,'Inflicts 221 - 270 disease damage on target',100,2,1),
(112594,101684,'Grants a total of 3 triggers of the spell.',100,2,2),
(112595,10101684,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(112596,10101684,'Inflicts 309 - 378 disease damage on target',100,2,1),
(112597,10101684,'Grants a total of 3 triggers of the spell.',100,2,2),
(112598,124384,'Inflicts 538 - 658 divine damage on target',100,1,0),
(112599,124384,'Inflicts 224 - 274 divine damage on target every 4 seconds',100,1,1),
(112600,10124384,'Inflicts 754 - 921 divine damage on target',100,1,0),
(112601,10124384,'Inflicts 314 - 384 divine damage on target every 4 seconds',100,1,1),
(112602,122710,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(112603,122710,'Increases Deflection of caster by 3.0',100,1,1),
(112604,10122710,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(112605,10122710,'Increases Deflection of caster by 3.0',100,1,1),
(112606,103886,'Increases power of group members (AE) by 12 instantly and every 6 seconds',100,1,0),
(112607,103886,'Decreases INT of target by 49.2',100,1,1),
(112608,10103886,'Increases power of group members (AE) by 12 instantly and every 6 seconds',100,1,0),
(112609,10103886,'Decreases INT of target by 49.2',100,1,1),
(112610,141795,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(112611,141795,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(112612,141795,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(112613,141795,'Cannot be modified except by direct means',100,2,3),
(112614,10141795,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(112615,10141795,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(112616,10141795,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(112617,10141795,'Cannot be modified except by direct means',100,2,3),
(112618,46138,'Applies Fill when Activated.',100,0,0),
(112619,46138,'This effect cannot be cast during combat',100,1,1),
(112620,10046138,'Applies Fill when Activated.',100,0,0),
(112621,10046138,'This effect cannot be cast during combat',100,1,1),
(112622,35517,'Increases WIS of target by 1.6',100,0,0),
(112623,35517,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112624,26231,'When Equipped:',100,0,0),
(112625,26231,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(112626,26231,'Inflicts 275 cold damage on target',100,2,2),
(112627,26231,'Slows target by 37.3%',100,2,3),
(112628,26231,'Cannot be modified except by direct means',100,2,4),
(112629,10026231,'When Equipped:',100,0,0),
(112630,10026231,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(112631,10026231,'Inflicts 385 cold damage on target',100,2,2),
(112632,10026231,'Slows target by 37.3%',100,2,3),
(112633,10026231,'Cannot be modified except by direct means',100,2,4),
(112634,36982,'Increases Max Power of target by 4.1',100,0,0),
(112635,36982,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112636,118827,'Inflicts 10 - 31 melee damage on target',100,1,0),
(112637,10118827,'Inflicts 13 - 41 melee damage on target',100,1,0),
(112638,83672,'When Equipped:',100,0,0),
(112639,83672,'On a combat hit this spell may cast Perfect Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112640,83672,'Inflicts 297 - 552 slashing damage on target',100,2,2),
(112641,83672,'Cannot be modified except by direct means',100,2,3),
(112642,10083672,'When Equipped:',100,0,0),
(112643,10083672,'On a combat hit this spell may cast Perfect Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112644,10083672,'Inflicts 416 - 773 slashing damage on target',100,2,2),
(112645,10083672,'Cannot be modified except by direct means',100,2,3),
(112646,72060,'When Equipped:',100,0,0),
(112647,72060,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112648,72060,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(112649,72060,'Cannot be modified except by direct means',100,2,3),
(112650,10072060,'When Equipped:',100,0,0),
(112651,10072060,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112652,10072060,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(112653,10072060,'Cannot be modified except by direct means',100,2,3),
(112654,112678,'Increases Parry of group members (AE) by 23.0',100,1,0),
(112655,10112678,'Increases Parry of group members (AE) by 23.0',100,1,0),
(112656,71039,'Applies Artisan''s Escape when Activated.',100,0,0),
(112657,71039,'Teleports caster within the zone',100,1,1),
(112658,71039,'Must not be engaged in combat',100,2,2),
(112659,71039,'Must not be engaged in pvp combat',100,2,3),
(112660,71039,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(112661,10071039,'Applies Artisan''s Escape when Activated.',100,0,0),
(112662,10071039,'Teleports caster within the zone',100,1,1),
(112663,10071039,'Must not be engaged in combat',100,2,2),
(112664,10071039,'Must not be engaged in pvp combat',100,2,3),
(112665,10071039,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(112666,81871,'When Equipped:',100,0,0),
(112667,81871,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112668,81871,'Inflicts 141 - 262 magic damage on target',100,2,2),
(112669,81871,'Cannot be modified except by direct means',100,2,3),
(112670,10081871,'When Equipped:',100,0,0),
(112671,10081871,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112672,10081871,'Inflicts 198 - 367 magic damage on target',100,2,2),
(112673,10081871,'Cannot be modified except by direct means',100,2,3),
(112674,104664,'Decreases Mitigation of target vs all damage by 101',100,1,0),
(112675,10104664,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 101',100,1,0),
(112676,10104664,'Decreases Mitigation of target vs physical damage by 84',100,1,1),
(112677,123021,'Wards group members (AE) collectively against 3854 total points of all damage',100,1,0),
(112678,10123021,'Wards group members (AE) collectively against 5740 total points of all damage',100,1,0),
(112679,159006,'When Equipped:',100,0,0),
(112680,159006,'Reduces resistibility of all spells by 5%.',100,1,1),
(112681,159006,'Applies Heroic Resistance X when Equipped.',100,0,2),
(112682,159006,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,3),
(112683,159006,'Cannot be modified except by direct means',100,1,4),
(112684,10159006,'When Equipped:',100,0,0),
(112685,10159006,'Reduces resistibility of all spells by 5%.',100,1,1),
(112686,10159006,'Applies Heroic Resistance X when Equipped.',100,0,2),
(112687,10159006,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,3),
(112688,10159006,'Cannot be modified except by direct means',100,1,4),
(112689,37394,'Increases STA and AGI of target by 1.2',100,0,0),
(112690,37394,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(112691,113169,'Inflicts 566 disease damage on target',100,1,0),
(112692,113169,'Heals caster for 280',100,1,1),
(112693,10113169,'Inflicts 793 disease damage on target',100,1,0),
(112694,10113169,'Heals caster for 237',100,1,1),
(112695,36827,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(112696,117380,'Increases Threat to target by 150 ',100,1,0),
(112697,117380,'Inflicts 25 - 75 melee damage on target',100,1,1),
(112698,10117380,'Forces target to change their selected target to caster.',100,1,0),
(112699,10117380,'Inflicts 21 - 65 melee damage on target',100,1,1),
(112700,85356,'Applies Poison Bolt when Activated.',100,0,0),
(112701,85356,'Inflicts 235 - 392 poison damage on target',100,1,1),
(112702,85356,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(112703,10085356,'Applies Poison Bolt when Activated.',100,0,0),
(112704,10085356,'Inflicts 329 - 548 poison damage on target',100,1,1),
(112705,10085356,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(112706,40538,'When Equipped:',100,0,0),
(112707,40538,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(112708,40538,'Inflicts 6660 heat damage on target instantly and every 4 seconds',100,2,2),
(112709,40538,'Inflicts an additional 3996 heat damage on target every tick',100,2,3),
(112710,40538,'Increases Max Health of group members by 8.0%',100,2,4),
(112711,40538,'Increases Crit Bonus of group members by 10.0%',100,2,5),
(112712,40538,'Increases Potency of group members by 10.0%',100,2,6),
(112713,40538,'Must not be engaged in pvp combat',100,2,7),
(112714,40538,'Cannot be modified except by direct means',100,2,8),
(112715,40538,'Must not be engaged in pvp combat',100,1,9),
(112716,40538,'Cannot be modified except by direct means',100,1,10),
(112717,10040538,'When Equipped:',100,0,0),
(112718,10040538,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(112719,10040538,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(112720,10040538,'Inflicts 932 poison damage on target',100,2,3),
(112721,10040538,'Inflicts 932 heat damage on target',100,2,4),
(112722,10040538,'Increases Potency of caster by 4.0%',100,2,5),
(112723,10040538,'Must not be engaged in pvp combat',100,2,6),
(112724,10040538,'Cannot be modified except by direct means',100,2,7),
(112725,10040538,'Must not be engaged in pvp combat',100,1,8),
(112726,10040538,'Cannot be modified except by direct means',100,1,9),
(112727,106750,'Decreases Defense of target by 2.5',100,1,0),
(112728,106750,'If facing target',100,1,1),
(112729,10106750,'Decreases Defense of target by 2.5',100,1,0),
(112730,10106750,'If facing target',100,1,1),
(112731,185940,'When Equipped:',100,0,0),
(112732,185940,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(112733,185940,'Increases Threat to target by 50 ',100,2,2),
(112734,185940,'Cannot be modified except by direct means',100,2,3),
(112735,10185940,'When Equipped:',100,0,0),
(112736,10185940,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(112737,10185940,'Cannot be modified except by direct means',100,2,2),
(112738,123428,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(112739,123428,'Stuns target',100,2,1),
(112740,123428,'Throws target back',100,2,2),
(112741,123428,'Blurs vision of target',100,2,3),
(112742,123428,'Does not affect Epic targets',100,2,4),
(112743,123428,'Inflicts 239 - 717 melee damage on target',100,1,5),
(112744,10123428,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(112745,10123428,'Stuns target',100,2,1),
(112746,10123428,'Throws target back',100,2,2),
(112747,10123428,'Blurs vision of target',100,2,3),
(112748,10123428,'Does not affect Epic targets',100,2,4),
(112749,10123428,'Inflicts 310 - 932 melee damage on target',100,1,5),
(112750,118374,'Inflicts 190 - 317 melee damage on target',100,1,0),
(112751,118374,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(112752,118374,'Stuns target',100,2,2),
(112753,118374,'Blurs vision of target',100,2,3),
(112754,118374,'Throws target back',100,2,4),
(112755,118374,'Does not affect Epic targets',100,2,5),
(112756,10118374,'Inflicts 247 - 412 melee damage on target',100,1,0),
(112757,10118374,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(112758,10118374,'Blurs vision of target',100,2,2),
(112759,10118374,'Stuns target',100,2,3),
(112760,10118374,'Throws target back',100,2,4),
(112761,10118374,'Does not affect Epic targets',100,2,5),
(112762,24652,'Adds Poet''s Palace: Steel Pedestal to your Dungeon Maker toolbox',100,0,0),
(112763,10024652,'Adds Poet''s Palace: Steel Pedestal to your Dungeon Maker toolbox',100,0,0),
(112764,123387,'Heals group members (AE) for 1541 - 1883',100,1,0),
(112765,10123387,'Heals group members (AE) for 3373 - 4123',100,1,0),
(112766,178513,'When Equipped:',100,0,0),
(112767,178513,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112768,178513,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(112769,178513,'Dispelled when target casts a heal spell',100,2,3),
(112770,178513,'Must not be engaged in pvp combat',100,2,4),
(112771,178513,'Cannot be modified except by direct means',100,2,5),
(112772,178513,'Must not be engaged in pvp combat',100,1,6),
(112773,10178513,'When Equipped:',100,0,0),
(112774,10178513,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112775,10178513,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(112776,10178513,'Dispelled when target casts a heal spell',100,2,3),
(112777,10178513,'Must not be engaged in pvp combat',100,2,4),
(112778,10178513,'Cannot be modified except by direct means',100,2,5),
(112779,10178513,'Must not be engaged in pvp combat',100,1,6),
(112780,88121,'Applies Summon Keeper of Wisdom when Activated.',100,0,0),
(112781,10088121,'Applies Summon Keeper of Wisdom when Activated.',100,0,0),
(112782,104609,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(112783,10104609,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(112784,80750,'When Equipped:',100,0,0),
(112785,80750,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112786,80750,'Inflicts 71 - 132 magic damage on target',100,2,2),
(112787,80750,'Decreases Threat to target by 236 ',100,2,3),
(112788,80750,'Must be flanking or behind',100,3,4),
(112789,80750,'Increases Threat to target by 236 ',100,2,5),
(112790,80750,'Must be in front of',100,3,6),
(112791,80750,'Cannot be modified except by direct means',100,2,7),
(112792,10080750,'When Equipped:',100,0,0),
(112793,10080750,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(112794,10080750,'Inflicts 100 - 185 magic damage on target',100,2,2),
(112795,10080750,'Cannot be modified except by direct means',100,2,3),
(112796,47889,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(112797,47889,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(112798,47889,'Requires 24 Health to cast.',100,1,2),
(112799,10047889,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(112800,10047889,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(112801,10047889,'Requires 24 Health to cast.',100,1,2),
(112802,174718,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(112803,174718,'Decreases Mitigation of target vs physical damage by 149',100,1,1),
(112804,174718,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(112805,10174718,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(112806,10174718,'Decreases Mitigation of target vs physical damage by 149',100,1,1),
(112807,10174718,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(112808,71853,'When Equipped:',100,0,0),
(112809,71853,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112810,71853,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(112811,71853,'Cannot be modified except by direct means',100,2,3),
(112812,10071853,'When Equipped:',100,0,0),
(112813,10071853,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112814,10071853,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(112815,10071853,'Cannot be modified except by direct means',100,2,3),
(112816,84003,'Applies Lightning Shock when Activated.',100,0,0),
(112817,84003,'Inflicts 161 - 268 magic damage on target',100,1,1),
(112818,84003,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(112819,10084003,'Applies Lightning Shock when Activated.',100,0,0),
(112820,10084003,'Inflicts 225 - 375 magic damage on target',100,1,1),
(112821,10084003,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(112822,118550,'Inflicts 896 - 1494 melee damage on target',100,1,0),
(112823,118550,'Decreases STR of target by 100.1',100,1,1),
(112824,118550,'You must be sneaking to use this ability.',100,1,2),
(112825,10118550,'Inflicts 1165 - 1943 melee damage on target',100,1,0),
(112826,10118550,'Decreases STR of target by 100.1',100,1,1),
(112827,10118550,'You must be sneaking to use this ability.',100,1,2),
(112828,47897,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(112829,47897,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(112830,47897,'Decreases INT of target by 68.4',100,2,2),
(112831,47897,'Decreases Subjugation, Disruption, Ministration and Ordination of target by 26.1',100,2,3),
(112832,47897,'Cannot be modified except by direct means',100,2,4),
(112833,47897,'Grants a total of 60 triggers of the spell.',100,2,5),
(112834,10047897,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(112835,10047897,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(112836,10047897,'Decreases INT of target by 68.4',100,2,2),
(112837,10047897,'Decreases Subjugation, Disruption, Ministration and Ordination of target by 26.1',100,2,3),
(112838,10047897,'Cannot be modified except by direct means',100,2,4),
(112839,10047897,'Grants a total of 60 triggers of the spell.',100,2,5),
(112840,108714,'Inflicts 278 heat damage on target',100,1,0),
(112841,108714,'Inflicts 62 heat damage on target every 4 seconds',100,1,1),
(112842,10108714,'Inflicts 545 heat damage on target',100,1,0),
(112843,10108714,'Inflicts 87 heat damage on target every 4 seconds',100,1,1),
(112844,104250,'Increases Mitigation of group members (AE) vs physical damage by 385',100,1,0),
(112845,10104250,'Increases Mitigation of group members (AE) vs physical damage by 385',100,1,0),
(112846,105880,'Inflicts 78 - 130 ranged damage on target',100,1,0),
(112847,105880,'Inflicts 78 - 130 ranged damage on target',100,1,1),
(112848,105880,'If weapon equipped in Ranged',100,1,2),
(112849,10105880,'Inflicts 66 - 110 ranged damage on target',100,1,0),
(112850,10105880,'Inflicts 66 - 110 ranged damage on target',100,1,1),
(112851,10105880,'If weapon equipped in Ranged',100,1,2),
(112852,71590,'When Equipped:',100,0,0),
(112853,71590,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112854,71590,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(112855,71590,'Cannot be modified except by direct means',100,2,3),
(112856,10071590,'When Equipped:',100,0,0),
(112857,10071590,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112858,10071590,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(112859,10071590,'Cannot be modified except by direct means',100,2,3),
(112860,71440,'When Equipped:',100,0,0),
(112861,71440,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112862,71440,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(112863,71440,'Cannot be modified except by direct means',100,2,3),
(112864,10071440,'When Equipped:',100,0,0),
(112865,10071440,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(112866,10071440,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(112867,10071440,'Cannot be modified except by direct means',100,2,3),
(112868,81543,'When Equipped:',100,0,0),
(112869,81543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112870,81543,'Inflicts 131 - 244 magic damage on target',100,2,2),
(112871,81543,'Cannot be modified except by direct means',100,2,3),
(112872,10081543,'When Equipped:',100,0,0),
(112873,10081543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112874,10081543,'Inflicts 184 - 342 magic damage on target',100,2,2),
(112875,10081543,'Cannot be modified except by direct means',100,2,3),
(112876,165204,'Applies Preparation when Activated.  Lasts for 10.0 seconds.',100,0,0),
(112877,165204,'Increases the ring wearer''s spell damage by 2000 for a short duration.',100,1,1),
(112878,165204,'The reuse time of Preparation is 1 minute 30 seconds',100,1,2),
(112879,10165204,'Applies Preparation when Activated.  Lasts for 10.0 seconds.',100,0,0),
(112880,10165204,'Increases the ring wearer''s spell damage by 2000 for a short duration.',100,1,1),
(112881,10165204,'The reuse time of Preparation is 1 minute 30 seconds',100,1,2),
(112882,123663,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(112883,123663,'Slows target by 44.4%',100,2,1),
(112884,123663,'5% chance to dispel when target receives hostile action',100,2,2),
(112885,123663,'5% chance to dispel when target takes damage',100,2,3),
(112886,123663,'Inflicts 433 - 529 cold damage on target',100,1,4),
(112887,10123663,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(112888,10123663,'Slows target by 44.4%',100,2,1),
(112889,10123663,'5% chance to dispel when target receives hostile action',100,2,2),
(112890,10123663,'5% chance to dispel when target takes damage',100,2,3),
(112891,10123663,'Inflicts 520 - 635 cold damage on target',100,1,4),
(112892,106660,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(112893,106660,'Increases Mitigation of caster vs physical damage by 432',100,2,1),
(112894,106660,'Decreases Mitigation of target encounter vs physical damage by 2592',100,1,2),
(112895,10106660,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(112896,10106660,'Increases Mitigation of caster vs physical damage by 432',100,2,1),
(112897,10106660,'Decreases Mitigation of target encounter vs physical damage by 2592',100,1,2),
(112898,105713,'Decreases Attack Speed of target encounter by 26.9',100,1,0),
(112899,105713,'Slows target encounter by 33.9%',100,1,1),
(112900,10105713,'Decreases Attack Speed of target encounter by 26.9',100,1,0),
(112901,10105713,'Slows target encounter by 33.9%',100,1,1),
(112902,82677,'When Equipped:',100,0,0),
(112903,82677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112904,82677,'Inflicts 90 - 167 magic damage on target',100,2,2),
(112905,82677,'Cannot be modified except by direct means',100,2,3),
(112906,10082677,'When Equipped:',100,0,0),
(112907,10082677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112908,10082677,'Inflicts 126 - 234 magic damage on target',100,2,2),
(112909,10082677,'Cannot be modified except by direct means',100,2,3),
(112910,121307,'Inflicts 210 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(112911,121307,'Inflicts 693 - 1155 melee damage on targets in area',100,1,1),
(112912,121307,'You must be in stealth or have Bloody Assault.',100,1,2),
(112913,10121307,'Inflicts 294 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(112914,10121307,'Inflicts 901 - 1502 melee damage on targets in area',100,1,1),
(112915,10121307,'You must be in stealth or have Bloody Assault.',100,1,2),
(112916,107136,'Inflicts 403 - 493 divine damage on target',100,1,0),
(112917,107136,'Inflicts 403 - 493 divine damage on target',100,1,1),
(112918,107136,'If target is undead',100,2,2),
(112919,10107136,'Inflicts 565 - 690 divine damage on target',100,1,0),
(112920,10107136,'Inflicts 565 - 690 divine damage on target',100,1,1),
(112921,173508,'When Equipped:',100,0,0),
(112922,173508,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(112923,173508,'Inflicts 1192 heat damage on target',100,2,2),
(112924,173508,'Cannot be modified except by direct means',100,2,3),
(112925,10173508,'When Equipped:',100,0,0),
(112926,10173508,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(112927,10173508,'Inflicts 834 heat damage on target',100,2,2),
(112928,10173508,'Cannot be modified except by direct means',100,2,3),
(112929,124083,'Increases STR and INT of group members (AE) by 16.6',100,1,0),
(112930,10124083,'Increases STR and INT of group members (AE) by 16.6',100,1,0),
(112931,24775,'Adds Yha-Lei (Assassin) to your Dungeon Maker toolbox',100,0,0),
(112932,10024775,'Adds Yha-Lei (Assassin) to your Dungeon Maker toolbox',100,0,0),
(112933,146006,'When Equipped:',100,0,0),
(112934,146006,'Increases AGI, INT, STR and WIS of caster by 50.0',100,1,1),
(112935,146006,'Increases Potency of caster by 3.5%',100,1,2),
(112936,146006,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(112937,146006,'Cannot be modified except by direct means',100,1,4),
(112938,10146006,'When Equipped:',100,0,0),
(112939,10146006,'Increases AGI, INT, STR and WIS of caster by 50.0',100,1,1),
(112940,10146006,'Increases Potency of caster by 3.5%',100,1,2),
(112941,10146006,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(112942,10146006,'Cannot be modified except by direct means',100,1,4),
(112943,100915,'Stuns targets in Area of Effect',20,1,0),
(112944,100915,'If Target is not Epic',100,2,1),
(112945,100915,'Inflicts 385 - 641 divine damage on targets in Area of Effect',100,1,2),
(112946,100915,'Resistibility increases against targets higher than level 85.',100,1,3),
(112947,10100915,'Stuns targets in Area of Effect',20,1,0),
(112948,10100915,'If Target is not Epic',100,2,1),
(112949,10100915,'Inflicts 538 - 897 divine damage on targets in Area of Effect',100,1,2),
(112950,10100915,'Resistibility increases against targets higher than level 85.',100,1,3),
(112951,116158,'Increases Attack Speed of caster by 29.0',100,1,0),
(112952,116158,'Increases Damage Per Second of caster by 33.4',100,1,1),
(112953,10116158,'Increases Attack Speed of caster by 29.0',100,1,0),
(112954,10116158,'Increases Damage Per Second of caster by 33.4',100,1,1),
(112955,120719,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 30.5',100,1,0),
(112956,10120719,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 30.5',100,1,0),
(112957,124474,'Heals group members (AE) for 202 - 246',100,1,0),
(112958,10124474,'Heals group members (AE) for 236 - 288',100,1,0),
(112959,121072,'Increases STR and STA of group members (AE) by 47.0',100,1,0),
(112960,10121072,'Increases STR and STA of group members (AE) by 47.0',100,1,0),
(112961,103138,'Increases STR of caster by 121.4',100,1,0),
(112962,103138,'Adds 4.5% to base avoidance.',100,1,1),
(112963,103138,'Increases Mitigation of caster vs physical damage by 780',100,1,2),
(112964,103138,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,3),
(112965,10103138,'Increases STR of caster by 121.4',100,1,0),
(112966,10103138,'Adds 4.5% to base avoidance.',100,1,1),
(112967,10103138,'Increases Mitigation of caster vs physical damage by 780',100,1,2),
(112968,10103138,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,3),
(112969,87176,'When Equipped:',100,0,0),
(112970,87176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112971,87176,'Inflicts 55 - 83 magic damage on target',100,2,2),
(112972,87176,'Cannot be modified except by direct means',100,2,3),
(112973,10087176,'When Equipped:',100,0,0),
(112974,10087176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112975,10087176,'Inflicts 78 - 116 magic damage on target',100,2,2),
(112976,10087176,'Cannot be modified except by direct means',100,2,3),
(112977,40247,'When Equipped:',100,0,0),
(112978,40247,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112979,40247,'Inflicts 1142 - 1714 mental damage on target',100,2,2),
(112980,40247,'Heals caster for 761 - 1141',100,2,3),
(112981,40247,'Cannot be modified except by direct means',100,2,4),
(112982,40247,'Cannot be modified except by direct means',100,1,5),
(112983,10040247,'When Equipped:',100,0,0),
(112984,10040247,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(112985,10040247,'Inflicts 1599 - 2399 mental damage on target',100,2,2),
(112986,10040247,'Heals caster for 495 - 742',100,2,3),
(112987,10040247,'Cannot be modified except by direct means',100,2,4),
(112988,10040247,'Cannot be modified except by direct means',100,1,5),
(112989,123632,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(112990,123632,'Slows target by 33.4%',100,2,1),
(112991,123632,'5% chance to dispel when target receives hostile action',100,2,2),
(112992,123632,'5% chance to dispel when target takes damage',100,2,3),
(112993,123632,'Inflicts 87 - 106 cold damage on target',100,1,4),
(112994,10123632,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(112995,10123632,'Slows target by 33.4%',100,2,1),
(112996,10123632,'5% chance to dispel when target receives hostile action',100,2,2),
(112997,10123632,'5% chance to dispel when target takes damage',100,2,3),
(112998,10123632,'Inflicts 104 - 127 cold damage on target',100,1,4),
(112999,35548,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(113000,101198,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(113001,101198,'Slows target by 50.8%',100,2,1),
(113002,101198,'5% chance to dispel when target receives hostile action',100,2,2),
(113003,101198,'5% chance to dispel when target takes damage',100,2,3),
(113004,101198,'Inflicts 355 - 591 cold damage on target',100,1,4),
(113005,101198,'Inflicts 355 - 591 cold damage on target',100,1,5),
(113006,101198,'If weapon equipped in Ranged',100,1,6),
(113007,10101198,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(113008,10101198,'Slows target by 50.8%',100,2,1),
(113009,10101198,'5% chance to dispel when target receives hostile action',100,2,2),
(113010,10101198,'5% chance to dispel when target takes damage',100,2,3),
(113011,10101198,'Inflicts 301 - 502 cold damage on target',100,1,4),
(113012,10101198,'Inflicts 301 - 502 cold damage on target',100,1,5),
(113013,10101198,'If weapon equipped in Ranged',100,1,6),
(113014,120369,'Inflicts 187 - 229 divine damage on target instantly and every 4 seconds',100,1,0),
(113015,120369,'Decreases WIS of target by 93.9',100,1,1),
(113016,10120369,'Inflicts 262 - 320 divine damage on target instantly and every 4 seconds',100,1,0),
(113017,10120369,'Decreases WIS of target by 93.9',100,1,1),
(113018,25032,'When Equipped:',100,0,0),
(113019,25032,'Increases STA of caster by 25.0',100,1,1),
(113020,10025032,'When Equipped:',100,0,0),
(113021,10025032,'Increases STA of caster by 25.0',100,1,1),
(113022,46285,'Applies Explosive Charge when Activated.',100,0,0),
(113023,46285,'Inflicts 44 heat damage on targets in Area of Effect',100,1,1),
(113024,46285,'There are no targets for this explosive charge.',100,1,2),
(113025,10046285,'Applies Explosive Charge when Activated.',100,0,0),
(113026,10046285,'Inflicts 62 heat damage on targets in Area of Effect',100,1,1),
(113027,10046285,'There are no targets for this explosive charge.',100,1,2),
(113028,107319,'Decreases WIS of target by 42.9',100,1,0),
(113029,107319,'Decreases Defense of target by 16.5',100,1,1),
(113030,10107319,'Decreases WIS of target by 42.9',100,1,0),
(113031,10107319,'Decreases Defense of target by 16.5',100,1,1),
(113032,74805,'When Equipped:',100,0,0),
(113033,74805,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113034,74805,'Inflicts 113 - 170 magic damage on target',100,2,2),
(113035,74805,'Cannot be modified except by direct means',100,2,3),
(113036,10074805,'When Equipped:',100,0,0),
(113037,10074805,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113038,10074805,'Inflicts 158 - 237 magic damage on target',100,2,2),
(113039,10074805,'Cannot be modified except by direct means',100,2,3),
(113040,35544,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(113041,102529,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(113042,102529,'Increases Aggression of caster by 12.6',100,1,1),
(113043,102529,'Increases Defense and Parry of caster by 25.2',100,1,2),
(113044,102529,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(113045,10102529,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(113046,10102529,'Increases Aggression of caster by 12.6',100,1,1),
(113047,10102529,'Increases Defense and Parry of caster by 25.2',100,1,2),
(113048,10102529,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(113049,113006,'Reduces physical damage done to caster by 5%',100,1,0),
(113050,113006,'Increases STA of caster by 150.0',100,1,1),
(113051,113006,'Adds 3.4% to base avoidance.',100,1,2),
(113052,113006,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(113053,113006,'Increases Defense and Aggression of caster by 28.6',100,1,4),
(113054,113006,'Increases Mitigation of caster vs arcane damage by 1912',100,1,5),
(113055,113006,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(113056,10113006,'Reduces physical damage done to caster by 5%',100,1,0),
(113057,10113006,'Increases STA of caster by 150.0',100,1,1),
(113058,10113006,'Adds 3.4% to base avoidance.',100,1,2),
(113059,10113006,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(113060,10113006,'Increases Defense and Aggression of caster by 28.6',100,1,4),
(113061,10113006,'Increases Mitigation of caster vs arcane damage by 1912',100,1,5),
(113062,10113006,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(113063,181224,'When Equipped:',100,0,0),
(113064,181224,'Reduces resistibility of all spells by 5%.',100,1,1),
(113065,181224,'When Equipped:',100,0,2),
(113066,181224,'Increases base Spell damage by 4%.',100,1,3),
(113067,10181224,'When Equipped:',100,0,0),
(113068,10181224,'Reduces resistibility of all spells by 5%.',100,1,1),
(113069,10181224,'When Equipped:',100,0,2),
(113070,10181224,'Increases base Spell damage by 4%.',100,1,3),
(113071,46120,'Applies Elixir of the Stoutheart when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(113072,46120,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(113073,46120,'Inflicts 5 magic damage on target',100,2,2),
(113074,46120,'Cannot be modified except by direct means',100,2,3),
(113075,10046120,'Applies Elixir of the Stoutheart when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(113076,10046120,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(113077,10046120,'Inflicts 8 magic damage on target',100,2,2),
(113078,10046120,'Cannot be modified except by direct means',100,2,3),
(113079,88495,'When Equipped:',100,0,0),
(113080,88495,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113081,88495,'Increases STR and AGI of caster by 44.0',100,2,2),
(113082,88495,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,3),
(113083,88495,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(113084,88495,'Must not be engaged in pvp combat',100,2,5),
(113085,88495,'Cannot be modified except by direct means',100,2,6),
(113086,88495,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(113087,88495,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(113088,88495,'Increases STR and AGI of caster by 44.0',100,2,9),
(113089,88495,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(113090,88495,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(113091,88495,'Must not be engaged in pvp combat',100,2,12),
(113092,88495,'Cannot be modified except by direct means',100,2,13),
(113093,88495,'Cannot be modified except by direct means',100,1,14),
(113094,10088495,'When Equipped:',100,0,0),
(113095,10088495,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113096,10088495,'Increases STR and AGI of caster by 44.0',100,2,2),
(113097,10088495,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,3),
(113098,10088495,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(113099,10088495,'Must not be engaged in pvp combat',100,2,5),
(113100,10088495,'Cannot be modified except by direct means',100,2,6),
(113101,10088495,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(113102,10088495,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(113103,10088495,'Increases STR and AGI of caster by 44.0',100,2,9),
(113104,10088495,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(113105,10088495,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(113106,10088495,'Must not be engaged in pvp combat',100,2,12),
(113107,10088495,'Cannot be modified except by direct means',100,2,13),
(113108,10088495,'Cannot be modified except by direct means',100,1,14),
(113109,100377,'Summons a pet aery hunter',100,1,0),
(113110,10100377,'Summons a pet aery hunter',100,1,0),
(113111,174988,'When Equipped:',100,0,0),
(113112,174988,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(113113,174988,'Inflicts 2648 piercing damage on target',100,2,2),
(113114,174988,'Cannot be modified except by direct means',100,2,3),
(113115,10174988,'When Equipped:',100,0,0),
(113116,10174988,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(113117,10174988,'Inflicts 1854 piercing damage on target',100,2,2),
(113118,10174988,'Cannot be modified except by direct means',100,2,3),
(113119,47686,'Applies Red Potion when Activated.',100,0,0),
(113120,47686,'Inflicts 2.0% of max health in crushing damage on target',100,1,1),
(113121,47686,'Decreases power of caster by 15.0%',100,1,2),
(113122,47686,'This effect cannot be critically applied.',100,2,3),
(113123,47686,'Requires 108 Power to cast.',100,2,4),
(113124,10047686,'Applies Red Potion when Activated.',100,0,0),
(113125,10047686,'Inflicts 2.8% of max health in crushing damage on target',100,1,1),
(113126,10047686,'Decreases power of caster by 15.0%',100,1,2),
(113127,10047686,'This effect cannot be critically applied.',100,2,3),
(113128,10047686,'Requires 108 Power to cast.',100,2,4),
(113129,54434,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(113130,54434,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(113131,54434,'Inflicts 96 heat damage on target',100,2,2),
(113132,54434,'Cannot be modified except by direct means',100,2,3),
(113133,10054434,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(113134,10054434,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(113135,10054434,'Inflicts 134 heat damage on target',100,2,2),
(113136,10054434,'Cannot be modified except by direct means',100,2,3),
(113137,46868,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(113138,46868,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(113139,46868,'Inflicts 608 poison damage on target',100,2,2),
(113140,46868,'Cannot be modified except by direct means',100,2,3),
(113141,46868,'Grants a total of 100 triggers of the spell.',100,2,4),
(113142,10046868,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(113143,10046868,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(113144,10046868,'Inflicts 639 poison damage on target',100,2,2),
(113145,10046868,'Cannot be modified except by direct means',100,2,3),
(113146,10046868,'Grants a total of 100 triggers of the spell.',100,2,4),
(113147,157127,'When Equipped:',100,0,0),
(113148,157127,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(113149,157127,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(113150,157127,'Inflicts 562 mental damage on target',100,2,3),
(113151,157127,'Must be classified as an undead',100,3,4),
(113152,157127,'Inflicts 281 mental damage on target',100,2,5),
(113153,157127,'Must not be classified as an undead',100,3,6),
(113154,157127,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(113155,157127,'Must be classified as an undead',100,3,8),
(113156,157127,'Cannot be modified except by direct means',100,2,9),
(113157,157127,'When Equipped:',100,0,10),
(113158,157127,'Reduces reuse time of hostile spells by 2 percent.',100,1,11),
(113159,10157127,'When Equipped:',100,0,0),
(113160,10157127,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(113161,10157127,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(113162,10157127,'Inflicts 787 mental damage on target',100,2,3),
(113163,10157127,'Must be classified as an undead',100,3,4),
(113164,10157127,'Inflicts 393 mental damage on target',100,2,5),
(113165,10157127,'Must not be classified as an undead',100,3,6),
(113166,10157127,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(113167,10157127,'Must be classified as an undead',100,3,8),
(113168,10157127,'Cannot be modified except by direct means',100,2,9),
(113169,10157127,'When Equipped:',100,0,10),
(113170,10157127,'Reduces reuse time of hostile spells by 2 percent.',100,1,11),
(113171,160561,'When Equipped:',100,0,0),
(113172,160561,'Increases Attack Speed of caster by 30.0',100,1,1),
(113173,10160561,'When Equipped:',100,0,0),
(113174,10160561,'Increases Attack Speed of caster by 30.0',100,1,1),
(113175,80046,'Applies Fire Ball when Activated.',100,0,0),
(113176,80046,'Inflicts 294 - 490 heat damage on target',100,1,1),
(113177,80046,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(113178,10080046,'Applies Fire Ball when Activated.',100,0,0),
(113179,10080046,'Inflicts 411 - 685 heat damage on target',100,1,1),
(113180,10080046,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(113181,54422,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(113182,54422,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(113183,54422,'Inflicts 78 heat damage on target',100,2,2),
(113184,54422,'Cannot be modified except by direct means',100,2,3),
(113185,10054422,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(113186,10054422,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(113187,10054422,'Inflicts 109 heat damage on target',100,2,2),
(113188,10054422,'Cannot be modified except by direct means',100,2,3),
(113189,176644,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(113190,176644,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(113191,176644,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(113192,10176644,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(113193,10176644,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(113194,10176644,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(113195,47129,'Applies Murky Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(113196,47129,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(113197,47129,'Inflicts 32 magic damage on target',100,2,2),
(113198,47129,'Cannot be modified except by direct means',100,2,3),
(113199,47129,'Only affects targets level 50 and above',100,1,4),
(113200,10047129,'Applies Murky Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(113201,10047129,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(113202,10047129,'Inflicts 45 magic damage on target',100,2,2),
(113203,10047129,'Cannot be modified except by direct means',100,2,3),
(113204,10047129,'Only affects targets level 50 and above',100,1,4),
(113205,36068,'Increases STA of target by 1.6',100,0,0),
(113206,36068,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(113207,75357,'Applies Negative Void when Activated.',100,0,0),
(113208,75357,'Changes damage based encounter AE spells into single target.  Improves their damage by 30%',100,1,1),
(113209,75357,'The casting time of Negative Void is 5.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(113210,75357,'When Equipped:',100,0,3),
(113211,75357,'On a damage spell hit this spell has a 12% chance to cast Acid Rain on target of spell.  ',100,1,4),
(113212,75357,'Inflicts 550 - 825 poison damage on target encounter',100,2,5),
(113213,75357,'Decreases threat priority of target encounter by 1 position',100,2,6),
(113214,75357,'Cannot be modified except by direct means',100,2,7),
(113215,75357,'Cannot be modified except by direct means',100,1,8),
(113216,75357,'When Equipped:',100,0,9),
(113217,75357,'Improves the critical damage of the warlock''s professional spells by 10%.',100,1,10),
(113218,10075357,'Applies Negative Void when Activated.',100,0,0),
(113219,10075357,'Changes damage based encounter AE spells into single target.  Improves their damage by 30%',100,1,1),
(113220,10075357,'The casting time of Negative Void is 5.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(113221,10075357,'When Equipped:',100,0,3),
(113222,10075357,'On a damage spell hit this spell has a 12% chance to cast Acid Rain on target of spell.  Lasts for 2.0 seconds.  ',100,1,4),
(113223,10075357,'Prevents target encounter from changing targets',100,2,5),
(113224,10075357,'Inflicts 433 - 1011 poison damage on target encounter',100,2,6),
(113225,10075357,'Forces target encounter to clear their selected target.',100,2,7),
(113226,10075357,'Cannot be modified except by direct means',100,2,8),
(113227,10075357,'Cannot be modified except by direct means',100,1,9),
(113228,10075357,'When Equipped:',100,0,10),
(113229,10075357,'Improves the critical damage of the warlock''s professional spells by 10%.',100,1,11),
(113230,185599,'When Equipped:',100,0,0),
(113231,185599,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(113232,10185599,'When Equipped:',100,0,0),
(113233,10185599,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(113234,113385,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,0),
(113235,113385,'Stifles target',100,2,1),
(113236,113385,'Blurs vision of target',100,2,2),
(113237,113385,'Dispelled when target takes damage',100,2,3),
(113238,113385,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(113239,113385,'Resistibility increases against targets higher than level 102.',100,2,5),
(113240,113385,'Roots target',100,1,6),
(113241,113385,'5% chance to dispel when target takes damage',100,1,7),
(113242,113385,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(113243,113385,'Resistibility increases against targets higher than level 102.',100,1,9),
(113244,10113385,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(113245,10113385,'Blurs vision of target',100,2,1),
(113246,10113385,'Stifles target',100,2,2),
(113247,10113385,'Dispelled when target takes damage',100,2,3),
(113248,10113385,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(113249,10113385,'Resistibility increases against targets higher than level 102.',100,2,5),
(113250,10113385,'Roots target',100,1,6),
(113251,10113385,'5% chance to dispel when target takes damage',100,1,7),
(113252,10113385,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(113253,10113385,'Resistibility increases against targets higher than level 102.',100,1,9),
(113254,107757,'Stuns target',100,1,0),
(113255,107757,'If Target is not Epic',100,2,1),
(113256,107757,'Inflicts 707 - 1178 cold damage on target',100,1,2),
(113257,107757,'Resistibility increases against targets higher than level 73.',100,1,3),
(113258,10107757,'Stuns target',100,1,0),
(113259,10107757,'If Target is not Epic',100,2,1),
(113260,10107757,'Inflicts 990 - 1650 cold damage on target',100,1,2),
(113261,10107757,'Resistibility increases against targets higher than level 73.',100,1,3),
(113262,104503,'Decreases Mitigation of target encounter vs physical damage by 1670',100,1,0),
(113263,10104503,'Decreases Mitigation of target encounter vs physical damage by 1670',100,1,0),
(113264,81778,'When Equipped:',100,0,0),
(113265,81778,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(113266,81778,'Inflicts 141 - 262 magic damage on target',100,2,2),
(113267,81778,'Decreases Threat to target by 487 ',100,2,3),
(113268,81778,'Must be flanking or behind',100,3,4),
(113269,81778,'Increases Threat to target by 487 ',100,2,5),
(113270,81778,'Must be in front of',100,3,6),
(113271,81778,'Cannot be modified except by direct means',100,2,7),
(113272,10081778,'When Equipped:',100,0,0),
(113273,10081778,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(113274,10081778,'Inflicts 198 - 367 magic damage on target',100,2,2),
(113275,10081778,'Cannot be modified except by direct means',100,2,3),
(113276,101750,'Heals group members (AE) for 53 - 65 instantly and every 2 seconds',100,1,0),
(113277,10101750,'Heals group members (AE) for 34 - 42 instantly and every 2 seconds',100,1,0),
(113278,119343,'Inflicts 127 - 190 disease damage on target',100,1,0),
(113279,119343,'Inflicts 51 - 76 disease damage on target every 4 seconds',100,1,1),
(113280,10119343,'Inflicts 177 - 266 disease damage on target',100,1,0),
(113281,10119343,'Inflicts 71 - 106 disease damage on target every 4 seconds',100,1,1),
(113282,116476,'Prevents targets in Area of Effect from changing targets',100,1,0),
(113283,116476,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(113284,116476,'Increases Threat to targets in Area of Effect by 148 ',100,1,2),
(113285,10116476,'Prevents targets in Area of Effect from changing targets',100,1,0),
(113286,10116476,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(113287,153755,'When Equipped:',100,0,0),
(113288,153755,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(113289,153755,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(113290,153755,'Cannot be modified except by direct means',100,2,3),
(113291,10153755,'When Equipped:',100,0,0),
(113292,10153755,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(113293,10153755,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(113294,10153755,'Cannot be modified except by direct means',100,2,3),
(113295,117242,'Inflicts 42 slashing damage on target every 4 seconds',100,1,0),
(113296,117242,'Inflicts 209 - 348 melee damage on target',100,1,1),
(113297,10117242,'Inflicts 59 slashing damage on target every 4 seconds',100,1,0),
(113298,10117242,'Inflicts 272 - 453 melee damage on target',100,1,1),
(113299,115659,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 908',100,1,0),
(113300,10115659,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 908',100,1,0),
(113301,105254,'Increases Threat to target by 474 ',100,1,0),
(113302,105254,'Interrupts target',100,1,1),
(113303,105254,'Dispels 71 levels of arcane beneficial effects on target',100,1,2),
(113304,10105254,'Forces target to change their selected target to caster.',100,1,0),
(113305,10105254,'Interrupts target',100,1,1),
(113306,10105254,'Dispels 71 levels of arcane beneficial effects on target',100,1,2),
(113307,118970,'Applies Sacrifice.',100,1,0),
(113308,118970,'Heals group members (AE) for 994',100,2,1),
(113309,118970,'Increases power of group members (AE) by 284',100,2,2),
(113310,118970,'Stuns target',100,1,3),
(113311,10118970,'Applies Sacrifice.',100,1,0),
(113312,10118970,'Heals group members (AE) for 1384',100,2,1),
(113313,10118970,'Increases power of group members (AE) by 284',100,2,2),
(113314,10118970,'Stuns target',100,1,3),
(113315,103019,'Inflicts 124 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(113316,103019,'Inflicts 46 - 77 melee damage on target',100,1,1),
(113317,10103019,'Inflicts 174 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(113318,10103019,'Inflicts 60 - 101 melee damage on target',100,1,1),
(113319,27038,'When Equipped:',100,0,0),
(113320,27038,'Increases all heat damage by up to 5.',100,1,1),
(113321,10027038,'When Equipped:',100,0,0),
(113322,10027038,'Increases all heat damage by up to 5.',100,1,1),
(113323,122584,'Inflicts 35 - 42 mental damage on target instantly and every 3 seconds',100,1,0),
(113324,122584,'Decreases Mitigation of target vs arcane damage by 275',100,1,1),
(113325,10122584,'Inflicts 49 - 59 mental damage on target instantly and every 3 seconds',100,1,0),
(113326,10122584,'Decreases Mitigation of target vs arcane damage by 275',100,1,1),
(113327,51330,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(113328,51330,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(113329,51330,'Inflicts 81 heat damage on target',100,2,2),
(113330,51330,'Cannot be modified except by direct means',100,2,3),
(113331,10051330,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(113332,10051330,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(113333,10051330,'Inflicts 114 heat damage on target',100,2,2),
(113334,10051330,'Cannot be modified except by direct means',100,2,3),
(113335,104617,'Inflicts 41 - 68 crushing damage on target',100,1,0),
(113336,104617,'Decreases power of target by 41 - 69',100,1,1),
(113337,10104617,'Inflicts 53 - 89 crushing damage on target',100,1,0),
(113338,10104617,'Decreases power of target by 41 - 69',100,1,1),
(113339,134692,'When Equipped:',100,0,0),
(113340,134692,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(113341,10134692,'When Equipped:',100,0,0),
(113342,10134692,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(113343,112804,'Inflicts 559 - 933 slashing damage on target',100,1,0),
(113344,112804,'Stifles target',100,1,1),
(113345,112804,'If Target is not Epic',100,2,2),
(113346,112804,'You must be in stealth.',100,1,3),
(113347,112804,'Resistibility increases against targets higher than level 77.',100,1,4),
(113348,10112804,'Inflicts 727 - 1213 slashing damage on target',100,1,0),
(113349,10112804,'Stifles target',100,1,1),
(113350,10112804,'If Target is not Epic',100,2,2),
(113351,10112804,'You must be in stealth.',100,1,3),
(113352,10112804,'Resistibility increases against targets higher than level 77.',100,1,4),
(113353,81316,'When Equipped:',100,0,0),
(113354,81316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113355,81316,'Inflicts 270 - 502 magic damage on target',100,2,2),
(113356,81316,'Cannot be modified except by direct means',100,2,3),
(113357,10081316,'When Equipped:',100,0,0),
(113358,10081316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113359,10081316,'Inflicts 378 - 703 magic damage on target',100,2,2),
(113360,10081316,'Cannot be modified except by direct means',100,2,3),
(113361,72162,'When Equipped:',100,0,0),
(113362,72162,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(113363,72162,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(113364,72162,'Cannot be modified except by direct means',100,2,3),
(113365,10072162,'When Equipped:',100,0,0),
(113366,10072162,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(113367,10072162,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(113368,10072162,'Cannot be modified except by direct means',100,2,3),
(113369,106298,'Decreases AGI, STR, INT and WIS of target encounter by 169.0',100,1,0),
(113370,106298,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 42.6',100,1,1),
(113371,106298,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 40.3',100,1,2),
(113372,10106298,'Decreases AGI, STR, INT and WIS of target encounter by 169.0',100,1,0),
(113373,10106298,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 42.6',100,1,1),
(113374,10106298,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 40.3',100,1,2),
(113375,37403,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(113376,116788,'Increases STR, AGI, WIS and INT of target by 34.1',100,1,0),
(113377,116788,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113378,116788,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(113379,116788,'Increases Damage Per Second of target by 30.8',100,2,3),
(113380,116788,'Increases Attack Speed of target by 30.8',100,2,4),
(113381,116788,'Adds 1.8% to base avoidance.',100,1,5),
(113382,116788,'Increases Mitigation of target vs elemental, noxious and arcane damage by 101',100,1,6),
(113383,10116788,'Increases STR, AGI, WIS and INT of target by 34.1',100,1,0),
(113384,10116788,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113385,10116788,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(113386,10116788,'Increases Damage Per Second of target by 30.8',100,2,3),
(113387,10116788,'Increases Attack Speed of target by 30.8',100,2,4),
(113388,10116788,'Adds 1.8% to base avoidance.',100,1,5),
(113389,10116788,'Increases Mitigation of target vs elemental, noxious and arcane damage by 101',100,1,6),
(113390,186890,'When Equipped:',100,0,0),
(113391,186890,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(113392,186890,'Inflicts 1986 magic damage on target',100,2,2),
(113393,186890,'Cannot be modified except by direct means',100,2,3),
(113394,10186890,'When Equipped:',100,0,0),
(113395,10186890,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(113396,10186890,'Inflicts 1390 magic damage on target',100,2,2),
(113397,10186890,'Cannot be modified except by direct means',100,2,3),
(113398,121710,'Increases AGI of caster by 39.4',100,1,0),
(113399,121710,'Adds 2.5% to base avoidance.',100,1,1),
(113400,121710,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(113401,121710,'Increases Parry of caster by 23.0',100,1,3),
(113402,121710,'Increases Defense of caster by 30.7',100,1,4),
(113403,10121710,'Increases AGI of caster by 39.4',100,1,0),
(113404,10121710,'Adds 2.5% to base avoidance.',100,1,1),
(113405,10121710,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(113406,10121710,'Increases Parry of caster by 23.0',100,1,3),
(113407,10121710,'Increases Defense of caster by 30.7',100,1,4),
(113408,104022,'Stifles target',100,1,0),
(113409,104022,'If Target is not Epic',100,2,1),
(113410,104022,'Interrupts target',100,1,2),
(113411,104022,'Decreases Threat to target by 621 - 759 ',100,1,3),
(113412,104022,'Resistibility increases against targets higher than level 67.',100,1,4),
(113413,10104022,'Stifles target',100,1,0),
(113414,10104022,'If Target is not Epic',100,2,1),
(113415,10104022,'Interrupts target',100,1,2),
(113416,10104022,'Resistibility increases against targets higher than level 67.',100,1,3),
(113417,47377,'Applies Call Nightmare when Activated.',100,0,0),
(113418,47377,'Increases Mitigation of caster vs elemental and noxious damage by 200',100,1,1),
(113419,47377,'Summons a mount to ride',100,1,2),
(113420,47377,'Increases your ground speed by 130%',100,2,3),
(113421,47377,'Increases Mitigation of caster vs arcane damage by 200',100,1,4),
(113422,47377,'Requires evil alignment',100,1,5),
(113423,10047377,'Applies Call Nightmare when Activated.',100,0,0),
(113424,10047377,'Increases Mitigation of caster vs elemental and noxious damage by 200',100,1,1),
(113425,10047377,'Summons a mount to ride',100,1,2),
(113426,10047377,'Increases your ground speed by 130%',100,2,3),
(113427,10047377,'Increases Mitigation of caster vs arcane damage by 200',100,1,4),
(113428,10047377,'Requires evil alignment',100,1,5),
(113429,109182,'Roots target',100,1,0),
(113430,109182,'Applies Blind.  Lasts for 8.0 seconds.',100,1,1),
(113431,109182,'Dazes target',100,2,2),
(113432,109182,'Blurs vision of target',100,2,3),
(113433,109182,'Dispelled when target takes damage',100,2,4),
(113434,109182,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(113435,109182,'5% chance to dispel when target takes damage',100,1,6),
(113436,109182,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,7),
(113437,109182,'Resistibility increases against targets higher than level 90.',100,1,8),
(113438,10109182,'Roots target',100,1,0),
(113439,10109182,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(113440,10109182,'Dazes target',100,2,2),
(113441,10109182,'Blurs vision of target',100,2,3),
(113442,10109182,'Dispelled when target takes damage',100,2,4),
(113443,10109182,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(113444,10109182,'5% chance to dispel when target takes damage',100,1,6),
(113445,10109182,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(113446,10109182,'Resistibility increases against targets higher than level 90.',100,1,8),
(113447,118493,'Summons a limited pet to aid the caster',100,1,0),
(113448,10118493,'Summons a limited pet to aid the caster',100,1,0),
(113449,116556,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(113450,116556,'Inflicts 420 divine damage on target',100,2,1),
(113451,116556,'Increases Mitigation of raid and group members (AE) vs all damage by 3168',100,1,2),
(113452,10116556,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(113453,10116556,'Inflicts 588 divine damage on target',100,2,1),
(113454,10116556,'Increases Mitigation of raid and group members (AE) vs all damage by 3168',100,1,2),
(113455,37289,'Increases INT and WIS of target by 1.2',100,0,0),
(113456,37289,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(113457,108276,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(113458,108276,'Inflicts 182 heat damage on target',100,2,1),
(113459,108276,'Grants a total of 3 triggers of the spell.',100,2,2),
(113460,10108276,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(113461,10108276,'Inflicts 255 heat damage on target',100,2,1),
(113462,10108276,'Grants a total of 3 triggers of the spell.',100,2,2),
(113463,159979,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113464,159979,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113465,159979,'Inflicts 72 heat damage on target',100,2,2),
(113466,159979,'Cannot be modified except by direct means',100,2,3),
(113467,10159979,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113468,10159979,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113469,10159979,'Inflicts 101 heat damage on target',100,2,2),
(113470,10159979,'Cannot be modified except by direct means',100,2,3),
(113471,122145,'Summons a pet earthen avatar',100,1,0),
(113472,10122145,'Summons a pet earthen avatar',100,1,0),
(113473,36837,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(113474,35421,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(113475,112420,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 25% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(113476,112420,'If over 50% Health',100,2,1),
(113477,112420,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 25% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(113478,112420,'If at 50% Health or less',100,2,3),
(113479,10112420,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 25% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(113480,10112420,'If over 50% Health',100,2,1),
(113481,10112420,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 25% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(113482,10112420,'If at 50% Health or less',100,2,3),
(113483,186993,'When Equipped:',100,0,0),
(113484,186993,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113485,186993,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(113486,186993,'Cannot be modified except by direct means',100,2,3),
(113487,10186993,'When Equipped:',100,0,0),
(113488,10186993,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113489,10186993,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(113490,10186993,'Cannot be modified except by direct means',100,2,3),
(113491,37160,'Increases AGI and STA of target by 5.8',100,0,0),
(113492,37160,'Increases Damage Per Second of target by 10.0',100,0,1),
(113493,37160,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(113494,81724,'When Equipped:',100,0,0),
(113495,81724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113496,81724,'Inflicts 141 - 262 magic damage on target',100,2,2),
(113497,81724,'Cannot be modified except by direct means',100,2,3),
(113498,10081724,'When Equipped:',100,0,0),
(113499,10081724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113500,10081724,'Inflicts 198 - 367 magic damage on target',100,2,2),
(113501,10081724,'Cannot be modified except by direct means',100,2,3),
(113502,117115,'Mesmerizes target encounter',100,1,0),
(113503,117115,'Prevents AOE (except when direct) ',100,1,1),
(113504,117115,'Dispelled when target takes damage',100,1,2),
(113505,117115,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(113506,117115,'Resistibility increases against targets higher than level 107.',100,1,4),
(113507,10117115,'Mesmerizes target encounter',100,1,0),
(113508,10117115,'Prevents AOE (except when direct) ',100,1,1),
(113509,10117115,'Dispelled when target takes damage',100,1,2),
(113510,10117115,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(113511,10117115,'Resistibility increases against targets higher than level 107.',100,1,4),
(113512,123103,'Inflicts 39 disease damage on targets in Area of Effect',100,1,0),
(113513,123103,'Inflicts 27 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(113514,10123103,'Inflicts 55 disease damage on targets in Area of Effect',100,1,0),
(113515,10123103,'Inflicts 38 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(113516,102272,'Inflicts 422 - 704 melee damage on targets in area',100,1,0),
(113517,10102272,'Inflicts 549 - 915 melee damage on targets in area',100,1,0),
(113518,47801,'Applies Aura of the Troll when Activated.',100,0,0),
(113519,47801,'Casts aura of the troll on the user',100,1,1),
(113520,10047801,'Applies Aura of the Troll when Activated.',100,0,0),
(113521,10047801,'Casts aura of the troll on the user',100,1,1),
(113522,114083,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(113523,114083,'Grants stealth to caster',100,2,1),
(113524,114083,'Suspends caster''s movement speed enhancements',100,2,2),
(113525,114083,'Inflicts 566 - 943 melee damage on target',100,1,3),
(113526,114083,'Must be flanking or behind',100,1,4),
(113527,10114083,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(113528,10114083,'Grants stealth to caster',100,2,1),
(113529,10114083,'Suspends caster''s movement speed enhancements',100,2,2),
(113530,10114083,'Inflicts 1104 - 1840 melee damage on target',100,1,3),
(113531,10114083,'Must be flanking or behind',100,1,4),
(113532,180963,'When Equipped:',100,0,0),
(113533,180963,'On a critical spell hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113534,180963,'Increases Crit Chance of caster by 15.0',100,2,2),
(113535,180963,'Increases Ability Modifier of caster by 400.0',100,2,3),
(113536,180963,'Cannot be modified except by direct means',100,2,4),
(113537,180963,'On a critical combat hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(113538,180963,'Increases Crit Chance of caster by 15.0',100,2,6),
(113539,180963,'Increases Ability Modifier of caster by 400.0',100,2,7),
(113540,180963,'Cannot be modified except by direct means',100,2,8),
(113541,10180963,'When Equipped:',100,0,0),
(113542,10180963,'On a critical spell hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113543,10180963,'Increases Crit Chance of caster by 15.0',100,2,2),
(113544,10180963,'Increases Ability Modifier of caster by 400.0',100,2,3),
(113545,10180963,'Cannot be modified except by direct means',100,2,4),
(113546,10180963,'On a critical combat hit this spell may cast Shadowed Dance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(113547,10180963,'Increases Crit Chance of caster by 15.0',100,2,6),
(113548,10180963,'Increases Ability Modifier of caster by 400.0',100,2,7),
(113549,10180963,'Cannot be modified except by direct means',100,2,8),
(113550,168974,'When Equipped:',100,0,0),
(113551,168974,'On a damage spell hit this spell may cast Mind Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(113552,168974,'Inflicts 945 - 1576 mental damage on target',100,2,2),
(113553,168974,'Cannot be modified except by direct means',100,2,3),
(113554,168974,'Cannot be modified except by direct means',100,1,4),
(113555,10168974,'When Equipped:',100,0,0),
(113556,10168974,'On a damage spell hit this spell may cast Mind Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(113557,10168974,'Inflicts 1125 - 1875 mental damage on target',100,2,2),
(113558,10168974,'Cannot be modified except by direct means',100,2,3),
(113559,10168974,'Cannot be modified except by direct means',100,1,4),
(113560,37391,'Increases STA of target by 1.6',100,0,0),
(113561,37391,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(113562,81326,'When Equipped:',100,0,0),
(113563,81326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113564,81326,'Inflicts 104 - 194 magic damage on target',100,2,2),
(113565,81326,'Cannot be modified except by direct means',100,2,3),
(113566,10081326,'When Equipped:',100,0,0),
(113567,10081326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(113568,10081326,'Inflicts 146 - 271 magic damage on target',100,2,2),
(113569,10081326,'Cannot be modified except by direct means',100,2,3),
(113570,73736,'Applies Frost Blast when Activated.',100,0,0),
(113571,73736,'Inflicts 485 - 809 cold damage on target',100,1,1),
(113572,73736,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(113573,10073736,'Applies Frost Blast when Activated.',100,0,0),
(113574,10073736,'Inflicts 679 - 1132 cold damage on target',100,1,1),
(113575,10073736,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(113576,122064,'Increases Threat to target by 1,327 - 1,622 ',100,1,0),
(113577,122064,'Inflicts 174 - 290 melee damage on target',100,1,1),
(113578,10122064,'Forces target to change their selected target to caster.',100,1,0),
(113579,10122064,'Inflicts 226 - 378 melee damage on target',100,1,1),
(113580,192083,'When Equipped:',100,0,0),
(113581,192083,'Reduces cast time of all spells by 2 percent.',100,1,1),
(113582,192083,'When Equipped:',100,0,2),
(113583,192083,'Increases Attack Speed of caster by 35.0',100,1,3),
(113584,10192083,'When Equipped:',100,0,0),
(113585,10192083,'Reduces cast time of all spells by 2 percent.',100,1,1),
(113586,10192083,'When Equipped:',100,0,2),
(113587,10192083,'Increases Attack Speed of caster by 35.0',100,1,3),
(113588,103346,'Decreases power of target by 2 instantly and every 6 seconds',100,1,0),
(113589,103346,'Inflicts 7 - 8 mental damage on target instantly and every 6 seconds',100,1,1),
(113590,103346,'Increases power of caster by 6',100,1,2),
(113591,10103346,'Decreases power of target by 2 instantly and every 6 seconds',100,1,0),
(113592,10103346,'Inflicts 9 - 12 mental damage on target instantly and every 6 seconds',100,1,1),
(113593,10103346,'Increases power of caster by 6',100,1,2),
(113594,188985,'When Equipped:',100,0,0),
(113595,188985,'On a healing spell cast this spell may cast Intensity on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(113596,188985,'Increases ward and heal amount by 5%.',100,2,2),
(113597,188985,'Cannot be modified except by direct means',100,2,3),
(113598,10188985,'When Equipped:',100,0,0),
(113599,10188985,'On a healing spell cast this spell may cast Intensity on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(113600,10188985,'Increases ward and heal amount by 5%.',100,2,2),
(113601,10188985,'Cannot be modified except by direct means',100,2,3),
(113602,52874,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113603,52874,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113604,52874,'Inflicts 103 heat damage on target',100,2,2),
(113605,52874,'Cannot be modified except by direct means',100,2,3),
(113606,10052874,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113607,10052874,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113608,10052874,'Inflicts 144 heat damage on target',100,2,2),
(113609,10052874,'Cannot be modified except by direct means',100,2,3),
(113610,105819,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(113611,105819,'Inflicts 87 - 145 disease damage on target',100,2,1),
(113612,10105819,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(113613,10105819,'Inflicts 113 - 188 disease damage on target',100,2,1),
(113614,111382,'Inflicts 473 - 788 disease damage on target',100,1,0),
(113615,111382,'Heals caster for 257 - 429',100,1,1),
(113616,10111382,'Inflicts 662 - 1103 disease damage on target',100,1,0),
(113617,10111382,'Heals caster for 301 - 502',100,1,1),
(113618,52778,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113619,52778,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113620,52778,'Inflicts 139 heat damage on target',100,2,2),
(113621,52778,'Cannot be modified except by direct means',100,2,3),
(113622,10052778,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113623,10052778,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113624,10052778,'Inflicts 194 heat damage on target',100,2,2),
(113625,10052778,'Cannot be modified except by direct means',100,2,3),
(113626,24037,'Adds Bixie-Ghost (Defiler) to your Dungeon Maker toolbox',100,0,0),
(113627,10024037,'Adds Bixie-Ghost (Defiler) to your Dungeon Maker toolbox',100,0,0),
(113628,108256,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(113629,108256,'Inflicts 61 heat damage on target',100,2,1),
(113630,108256,'Grants a total of 3 triggers of the spell.',100,2,2),
(113631,10108256,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(113632,10108256,'Inflicts 85 heat damage on target',100,2,1),
(113633,10108256,'Grants a total of 3 triggers of the spell.',100,2,2),
(113634,110248,'Inflicts 152 - 254 melee damage on target',100,1,0),
(113635,110248,'Slows target by 44.0%',100,1,1),
(113636,110248,'5% chance to dispel when target receives hostile action',100,1,2),
(113637,110248,'5% chance to dispel when target takes damage',100,1,3),
(113638,10110248,'Inflicts 198 - 330 melee damage on target',100,1,0),
(113639,10110248,'Slows target by 44.0%',100,1,1),
(113640,10110248,'5% chance to dispel when target receives hostile action',100,1,2),
(113641,10110248,'5% chance to dispel when target takes damage',100,1,3),
(113642,108306,'Inflicts 68 - 114 divine damage on target',100,1,0),
(113643,108306,'Heals caster for 1.0% of max health',100,1,1),
(113644,108306,'This effect cannot be critically applied.',100,2,2),
(113645,108306,'The healing of this spell cannot be modified except by direct means',100,1,3),
(113646,10108306,'Inflicts 88 - 148 divine damage on target',100,1,0),
(113647,10108306,'Heals caster for 0.5% of max health',100,1,1),
(113648,10108306,'This effect cannot be critically applied.',100,2,2),
(113649,10108306,'The healing of this spell cannot be modified except by direct means',100,1,3),
(113650,155247,'When Equipped:',100,0,0),
(113651,155247,'Increases Attack Speed of caster by 40.0',100,1,1),
(113652,10155247,'When Equipped:',100,0,0),
(113653,10155247,'Increases Attack Speed of caster by 40.0',100,1,1),
(113654,80956,'When Equipped:',100,0,0),
(113655,80956,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(113656,80956,'Decreases Threat to target by 672 ',100,2,2),
(113657,80956,'Must be flanking or behind',100,3,3),
(113658,80956,'Increases Threat to target by 672 ',100,2,4),
(113659,80956,'Must be in front of',100,3,5),
(113660,80956,'Inflicts 248 - 460 magic damage on target',100,2,6),
(113661,80956,'Cannot be modified except by direct means',100,2,7),
(113662,10080956,'When Equipped:',100,0,0),
(113663,10080956,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(113664,10080956,'Inflicts 347 - 644 magic damage on target',100,2,2),
(113665,10080956,'Cannot be modified except by direct means',100,2,3),
(113666,73914,'Applies Disease Blast when Activated.',100,0,0),
(113667,73914,'Inflicts 227 - 379 disease damage on target',100,1,1),
(113668,73914,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(113669,10073914,'Applies Disease Blast when Activated.',100,0,0),
(113670,10073914,'Inflicts 318 - 531 disease damage on target',100,1,1),
(113671,10073914,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(113672,80909,'When Equipped:',100,0,0),
(113673,80909,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(113674,80909,'Decreases Threat to target by 672 ',100,2,2),
(113675,80909,'Must be flanking or behind',100,3,3),
(113676,80909,'Increases Threat to target by 672 ',100,2,4),
(113677,80909,'Must be in front of',100,3,5),
(113678,80909,'Inflicts 248 - 460 magic damage on target',100,2,6),
(113679,80909,'Cannot be modified except by direct means',100,2,7),
(113680,10080909,'When Equipped:',100,0,0),
(113681,10080909,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(113682,10080909,'Inflicts 347 - 644 magic damage on target',100,2,2),
(113683,10080909,'Cannot be modified except by direct means',100,2,3),
(113684,103482,'Increases In-Combat Power Regeneration of group members (AE) by 27.3',100,1,0),
(113685,10103482,'Increases In-Combat Power Regeneration of group members (AE) by 27.3',100,1,0),
(113686,104074,'Inflicts 186 - 310 mental damage on target',100,1,0),
(113687,104074,'Inflicts 186 - 310 mental damage on target',100,1,1),
(113688,10104074,'Inflicts 242 - 403 mental damage on target',100,1,0),
(113689,10104074,'Inflicts 242 - 403 mental damage on target',100,1,1),
(113690,109563,'Makes target afraid',100,1,0),
(113691,109563,'30% chance to dispel when target takes damage',100,1,1),
(113692,109563,'Does not affect Epic targets',100,1,2),
(113693,109563,'Resistibility increases against targets higher than level 55.',100,1,3),
(113694,10109563,'Makes target afraid',100,1,0),
(113695,10109563,'30% chance to dispel when target takes damage',100,1,1),
(113696,10109563,'Does not affect Epic targets',100,1,2),
(113697,10109563,'Resistibility increases against targets higher than level 55.',100,1,3),
(113698,122406,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(113699,122406,'Inflicts 24 - 30 piercing damage on target encounter',100,2,1),
(113700,10122406,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(113701,10122406,'Inflicts 34 - 41 piercing damage on target encounter',100,2,1),
(113702,101736,'Mesmerizes target',100,1,0),
(113703,101736,'Prevents AOE (except when direct) ',100,1,1),
(113704,101736,'Mesmerizes caster',100,1,2),
(113705,101736,'Dispelled when target takes damage',100,1,3),
(113706,101736,'Does not affect Epic targets',100,1,4),
(113707,101736,'Resistibility increases against targets higher than level 107.',100,1,5),
(113708,10101736,'Mesmerizes target',100,1,0),
(113709,10101736,'Prevents AOE (except when direct) ',100,1,1),
(113710,10101736,'Mesmerizes caster',100,1,2),
(113711,10101736,'Dispelled when target takes damage',100,1,3),
(113712,10101736,'Does not affect Epic targets',100,1,4),
(113713,10101736,'Resistibility increases against targets higher than level 107.',100,1,5),
(113714,111706,'Inflicts 717 - 876 cold damage on target',100,1,0),
(113715,111706,'Inflicts 717 - 876 cold damage on target',100,1,1),
(113716,111706,'If target is elemental',100,2,2),
(113717,10111706,'Inflicts 860 - 1051 cold damage on target',100,1,0),
(113718,107768,'Stuns target',100,1,0),
(113719,107768,'If Target is not Epic',100,2,1),
(113720,107768,'Inflicts 1312 - 2187 cold damage on target',100,1,2),
(113721,107768,'Resistibility increases against targets higher than level 101.',100,1,3),
(113722,10107768,'Stuns target',100,1,0),
(113723,10107768,'If Target is not Epic',100,2,1),
(113724,10107768,'Inflicts 1837 - 3062 cold damage on target',100,1,2),
(113725,10107768,'Resistibility increases against targets higher than level 101.',100,1,3),
(113726,41358,'When Equipped:',100,0,0),
(113727,41358,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(113728,41358,'Slows target by 40.0%',100,2,2),
(113729,41358,'Only affects targets level 103 and below',100,2,3),
(113730,41358,'Does not affect Epic targets',100,2,4),
(113731,41358,'Cannot be modified except by direct means',100,2,5),
(113732,10041358,'When Equipped:',100,0,0),
(113733,10041358,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(113734,10041358,'Slows target by 40.0%',100,2,2),
(113735,10041358,'Only affects targets level 103 and below',100,2,3),
(113736,10041358,'Does not affect Epic targets',100,2,4),
(113737,10041358,'Cannot be modified except by direct means',100,2,5),
(113738,174852,'When Equipped:',100,0,0),
(113739,174852,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(113740,10174852,'When Equipped:',100,0,0),
(113741,10174852,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(113742,124512,'Increases AGI and WIS of group members (AE) by 16.1',100,1,0),
(113743,10124512,'Increases AGI and WIS of group members (AE) by 16.1',100,1,0),
(113744,49032,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(113745,49032,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(113746,49032,'Inflicts 103 poison damage on target',100,2,2),
(113747,49032,'Inflicts 91 poison damage on target instantly and every 6 seconds',100,2,3),
(113748,49032,'Cannot be modified except by direct means',100,2,4),
(113749,49032,'Grants a total of 200 triggers of the spell.',100,2,5),
(113750,10049032,'Applies Venomous Touch when Activated.  Lasts for 12 hours.',100,0,0),
(113751,10049032,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(113752,10049032,'Inflicts 95 poison damage on target instantly and every 6 seconds',100,2,2),
(113753,10049032,'Inflicts 109 poison damage on target',100,2,3),
(113754,10049032,'Cannot be modified except by direct means',100,2,4),
(113755,10049032,'Grants a total of 200 triggers of the spell.',100,2,5),
(113756,48436,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(113757,48436,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(113758,48436,'Inflicts 55 poison damage on target instantly and every 6 seconds',100,2,2),
(113759,48436,'Inflicts 338 poison damage on target',100,2,3),
(113760,48436,'Cannot be modified except by direct means',100,2,4),
(113761,48436,'Grants a total of 200 triggers of the spell.',100,2,5),
(113762,10048436,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(113763,10048436,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(113764,10048436,'Inflicts 58 poison damage on target instantly and every 6 seconds',100,2,2),
(113765,10048436,'Inflicts 355 poison damage on target',100,2,3),
(113766,10048436,'Cannot be modified except by direct means',100,2,4),
(113767,10048436,'Grants a total of 200 triggers of the spell.',100,2,5),
(113768,106850,'Decreases Crushing, Piercing, Slashing and Ranged of target by 46.1',100,1,0),
(113769,10106850,'Decreases Crushing, Piercing, Slashing and Ranged of target by 46.1',100,1,0),
(113770,103085,'Heals target for 85 - 104',100,1,0),
(113771,103085,'Heals target for 14 - 17 every second',100,1,1),
(113772,10103085,'Heals target for 55 - 68',100,1,0),
(113773,10103085,'Heals target for 9 - 11 every second',100,1,1),
(113774,141782,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(113775,141782,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(113776,141782,'Heals target for 33 instantly and every 4 seconds',100,2,2),
(113777,141782,'Cannot be modified except by direct means',100,2,3),
(113778,10141782,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(113779,10141782,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(113780,10141782,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(113781,10141782,'Cannot be modified except by direct means',100,2,3),
(113782,48060,'Applies Occlude Vision when Activated.  Lasts for 10 minutes.',100,0,0),
(113783,48060,'Grants invisibility to caster',100,1,1),
(113784,48060,'Suspends caster''s movement speed enhancements',100,1,2),
(113785,48060,'Dispelled when target takes damage',100,1,3),
(113786,48060,'This effect cancels during combat',100,1,4),
(113787,10048060,'Applies Occlude Vision when Activated.  Lasts for 10 minutes.',100,0,0),
(113788,10048060,'Grants invisibility to caster',100,1,1),
(113789,10048060,'Suspends caster''s movement speed enhancements',100,1,2),
(113790,10048060,'Dispelled when target takes damage',100,1,3),
(113791,10048060,'This effect cancels during combat',100,1,4),
(113792,107566,'Inflicts 57 - 70 mental damage on target',100,1,0),
(113793,107566,'Roots target',100,1,1),
(113794,107566,'5% chance to dispel when target takes damage',100,1,2),
(113795,107566,'5% chance to dispel when target receives hostile action',100,1,3),
(113796,107566,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(113797,107566,'Resistibility increases against targets higher than level 40.',100,1,5),
(113798,10107566,'Inflicts 80 - 98 mental damage on target',100,1,0),
(113799,10107566,'Roots target',100,1,1),
(113800,10107566,'5% chance to dispel when target takes damage',100,1,2),
(113801,10107566,'5% chance to dispel when target receives hostile action',100,1,3),
(113802,10107566,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(113803,10107566,'Resistibility increases against targets higher than level 40.',100,1,5),
(113804,135133,'When Equipped:',100,0,0),
(113805,135133,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113806,135133,'Increases Ability Modifier of caster by 300.0',100,2,2),
(113807,135133,'Cannot be modified except by direct means',100,2,3),
(113808,135133,'When Equipped:',100,0,4),
(113809,135133,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(113810,135133,'Increases Crit Chance of caster by 9.0',100,2,6),
(113811,135133,'Cannot be modified except by direct means',100,2,7),
(113812,10135133,'When Equipped:',100,0,0),
(113813,10135133,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113814,10135133,'Increases Ability Modifier of caster by 300.0',100,2,2),
(113815,10135133,'Cannot be modified except by direct means',100,2,3),
(113816,10135133,'When Equipped:',100,0,4),
(113817,10135133,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(113818,10135133,'Increases Crit Chance of caster by 9.0',100,2,6),
(113819,10135133,'Cannot be modified except by direct means',100,2,7),
(113820,163283,'Applies Burrowing Swarm VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(113821,163283,'Inflicts 73 - 90 poison damage on target',100,1,1),
(113822,163283,'Inflicts 92 - 112 poison damage on target every second',100,1,2),
(113823,163283,'Inflicts an additional 36 - 44 poison damage on target every tick',100,1,3),
(113824,163283,'Applies Boneshatter VI on termination.',100,1,4),
(113825,163283,'Inflicts 2942 - 3252 crushing damage on targets in Area of Effect',100,2,5),
(113826,163283,'Must not be engaged in pvp combat',100,2,6),
(113827,163283,'Cannot be modified except by direct means',100,2,7),
(113828,163283,'Must not be engaged in pvp combat',100,1,8),
(113829,163283,'Cannot be modified except by direct means',100,1,9),
(113830,163283,'The reuse time of Burrowing Swarm VI is 10 minutes',100,1,10),
(113831,10163283,'Applies Burrowing Swarm VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(113832,10163283,'Inflicts 103 - 126 poison damage on target',100,1,1),
(113833,10163283,'Inflicts 128 - 157 poison damage on target every second',100,1,2),
(113834,10163283,'Inflicts an additional 36 - 44 poison damage on target every tick',100,1,3),
(113835,10163283,'Applies Boneshatter VI on termination.',100,1,4),
(113836,10163283,'Inflicts 4119 - 4553 crushing damage on targets in Area of Effect',100,2,5),
(113837,10163283,'Must not be engaged in pvp combat',100,2,6),
(113838,10163283,'Cannot be modified except by direct means',100,2,7),
(113839,10163283,'Must not be engaged in pvp combat',100,1,8),
(113840,10163283,'Cannot be modified except by direct means',100,1,9),
(113841,10163283,'The reuse time of Burrowing Swarm VI is 10 minutes',100,1,10),
(113842,159030,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113843,159030,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113844,159030,'Inflicts 160 heat damage on target',100,2,2),
(113845,159030,'Cannot be modified except by direct means',100,2,3),
(113846,10159030,'Applies Sanguine Imbued when Equipped.',100,0,0),
(113847,10159030,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(113848,10159030,'Inflicts 224 heat damage on target',100,2,2),
(113849,10159030,'Cannot be modified except by direct means',100,2,3),
(113850,147149,'Applies Atheneal Fire when Activated.  Lasts for 30.0 seconds.',100,0,0),
(113851,147149,'All offensive spells deal heat damage.',100,1,1),
(113852,147149,'Must be in Ward of Elements.',100,1,2),
(113853,147149,'The casting time of Atheneal Fire is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(113854,10147149,'Applies Atheneal Fire when Activated.  Lasts for 30.0 seconds.',100,0,0),
(113855,10147149,'All offensive spells deal heat damage.',100,1,1),
(113856,10147149,'Must be in Ward of Elements.',100,1,2),
(113857,10147149,'The casting time of Atheneal Fire is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(113858,79317,'When Equipped:',100,0,0),
(113859,79317,'On a hit this spell may cast Lung Punctures on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(113860,79317,'Stifles target',100,2,2),
(113861,79317,'Inflicts 171 - 209 heat damage on target',100,2,3),
(113862,79317,'Only affects targets level 90 and below',100,2,4),
(113863,79317,'Does not affect Epic targets',100,2,5),
(113864,79317,'Resistibility increases against targets higher than level 114.',100,2,6),
(113865,79317,'Cannot be modified except by direct means',100,2,7),
(113866,79317,'Cannot be modified except by direct means',100,1,8),
(113867,10079317,'When Equipped:',100,0,0),
(113868,10079317,'On a hit this spell may cast Lung Punctures on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(113869,10079317,'Stifles target',100,2,2),
(113870,10079317,'Inflicts 240 - 293 heat damage on target',100,2,3),
(113871,10079317,'Only affects targets level 90 and below',100,2,4),
(113872,10079317,'Does not affect Epic targets',100,2,5),
(113873,10079317,'Resistibility increases against targets higher than level 114.',100,2,6),
(113874,10079317,'Cannot be modified except by direct means',100,2,7),
(113875,10079317,'Cannot be modified except by direct means',100,1,8),
(113876,189313,'When Equipped:',100,0,0),
(113877,189313,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(113878,189313,'On any combat or spell hit this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(113879,189313,'Increases Potency of caster by 11.0%',100,2,3),
(113880,189313,'Increases Ranged, Piercing, Crushing and Slashing of caster by 11.5',100,2,4),
(113881,189313,'Must not be engaged in pvp combat',100,2,5),
(113882,189313,'Cannot be modified except by direct means',100,2,6),
(113883,189313,'On a healing spell cast this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(113884,189313,'Increases Potency of caster by 11.0%',100,2,8),
(113885,189313,'Increases Ranged, Piercing, Crushing and Slashing of caster by 11.5',100,2,9),
(113886,189313,'Must not be engaged in pvp combat',100,2,10),
(113887,189313,'Cannot be modified except by direct means',100,2,11),
(113888,189313,'Cannot be modified except by direct means',100,1,12),
(113889,189313,'When Equipped:',100,0,13),
(113890,189313,'Wards caster against 2310 points of all damage',100,1,14),
(113891,189313,'Regenerates 231 points of shielding every 2 seconds',100,1,15),
(113892,189313,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,16),
(113893,189313,'While active Renewing Bulwark is disabled.',100,2,17),
(113894,189313,'Cannot be modified except by direct means',100,2,18),
(113895,189313,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,19),
(113896,189313,'Must not be engaged in pvp combat',100,1,20),
(113897,189313,'Cannot be modified except by direct means',100,1,21),
(113898,10189313,'When Equipped:',100,0,0),
(113899,10189313,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(113900,10189313,'On any combat or spell hit this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(113901,10189313,'Increases Potency of caster by 11.0%',100,2,3),
(113902,10189313,'Increases Ranged, Piercing, Crushing and Slashing of caster by 11.5',100,2,4),
(113903,10189313,'Must not be engaged in pvp combat',100,2,5),
(113904,10189313,'Cannot be modified except by direct means',100,2,6),
(113905,10189313,'On a healing spell cast this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(113906,10189313,'Increases Potency of caster by 11.0%',100,2,8),
(113907,10189313,'Increases Ranged, Piercing, Crushing and Slashing of caster by 11.5',100,2,9),
(113908,10189313,'Must not be engaged in pvp combat',100,2,10),
(113909,10189313,'Cannot be modified except by direct means',100,2,11),
(113910,10189313,'Cannot be modified except by direct means',100,1,12),
(113911,10189313,'When Equipped:',100,0,13),
(113912,10189313,'Wards caster against 2310 points of all damage',100,1,14),
(113913,10189313,'Regenerates 231 points of shielding every 2 seconds',100,1,15),
(113914,10189313,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,16),
(113915,10189313,'While active Renewing Bulwark is disabled.',100,2,17),
(113916,10189313,'Cannot be modified except by direct means',100,2,18),
(113917,10189313,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,19),
(113918,10189313,'Must not be engaged in pvp combat',100,1,20),
(113919,10189313,'Cannot be modified except by direct means',100,1,21),
(113920,45418,'Applies Call Bronze Armored Rhino with Black Saddle when Activated.',100,0,0),
(113921,45418,'Increases Max Health of caster by 100.0',100,1,1),
(113922,45418,'Increases Defense of caster by 3.0',100,1,2),
(113923,45418,'Increases Slashing, Crushing, Piercing and Ranged of caster by 7.0',100,1,3),
(113924,45418,'Summons a mount to ride',100,1,4),
(113925,45418,'Increases your ground speed by 130%',100,2,5),
(113926,45418,'Increases Focus of caster by 7.0',100,1,6),
(113927,10045418,'Applies Call Bronze Armored Rhino with Black Saddle when Activated.',100,0,0),
(113928,10045418,'Increases Max Health of caster by 100.0',100,1,1),
(113929,10045418,'Increases Defense of caster by 3.0',100,1,2),
(113930,10045418,'Increases Slashing, Crushing, Piercing and Ranged of caster by 7.0',100,1,3),
(113931,10045418,'Summons a mount to ride',100,1,4),
(113932,10045418,'Increases your ground speed by 130%',100,2,5),
(113933,10045418,'Increases Focus of caster by 7.0',100,1,6),
(113934,35244,'Increases Max Health of target by 5.0',100,0,0),
(113935,35244,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(113936,161159,'When Equipped:',100,0,0),
(113937,161159,'On any combat or spell hit this spell may cast Rune Fist on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113938,161159,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,2,2),
(113939,161159,'Inflicts 1324 crushing damage on target',100,2,3),
(113940,161159,'Cannot be modified except by direct means',100,2,4),
(113941,10161159,'When Equipped:',100,0,0),
(113942,10161159,'On any combat or spell hit this spell may cast Rune Fist on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(113943,10161159,'Inflicts 1576 crushing damage on target',100,2,2),
(113944,10161159,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,2,3),
(113945,10161159,'Cannot be modified except by direct means',100,2,4),
(113946,107555,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(113947,107555,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1709',100,1,1),
(113948,10107555,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(113949,10107555,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1709',100,1,1),
(113950,162703,'When Equipped:',100,0,0),
(113951,162703,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(113952,162703,'Heals caster for 118 instantly and every 5 seconds',100,2,2),
(113953,162703,'Cannot be modified except by direct means',100,2,3),
(113954,10162703,'When Equipped:',100,0,0),
(113955,10162703,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(113956,10162703,'Heals caster for 77 instantly and every 5 seconds',100,2,2),
(113957,10162703,'Cannot be modified except by direct means',100,2,3),
(113958,105960,'Applies On the March.  Lasts for 10.0 seconds.',100,1,0),
(113959,105960,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',100,2,1),
(113960,105960,'Increases INT of group members (AE) by 145.3',100,2,2),
(113961,105960,'Increases Ability Casting Speed of group members (AE) by 62.7%',100,2,3),
(113962,105960,'Increases Damage Per Second of group members (AE) by 62.7',100,2,4),
(113963,105960,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',100,1,5),
(113964,105960,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',100,2,6),
(113965,105960,'Increases INT of group members (AE) by 145.3',100,2,7),
(113966,105960,'Increases Ability Casting Speed of group members (AE) by 62.7%',100,2,8),
(113967,105960,'Increases Damage Per Second of group members (AE) by 62.7',100,2,9),
(113968,10105960,'Applies On the March.  Lasts for 10.0 seconds.',100,1,0),
(113969,10105960,'Makes group members (AE) immune to Daze effects',100,2,1),
(113970,10105960,'Makes group members (AE) immune to Root effects',100,2,2),
(113971,10105960,'Makes group members (AE) immune to Stifle effects',100,2,3),
(113972,10105960,'Makes group members (AE) immune to Stun effects',100,2,4),
(113973,10105960,'Makes group members (AE) immune to Fear effects',100,2,5),
(113974,10105960,'Increases INT of group members (AE) by 145.3',100,2,6),
(113975,10105960,'Increases Ability Casting Speed of group members (AE) by 62.7%',100,2,7),
(113976,10105960,'Increases Damage Per Second of group members (AE) by 62.7',100,2,8),
(113977,10105960,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,2,9),
(113978,10105960,'Makes Group members (AE) immune to taunt effects.',100,3,10),
(113979,10105960,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,3,11),
(113980,10105960,'You cannot be affected by Commanding Roar.',100,4,12),
(113981,10105960,'Applies Lost Focus.  Lasts for 1 minute.',100,3,13),
(113982,10105960,'You cannot be affected by Commanding Roar.',100,4,14),
(113983,10105960,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',100,1,15),
(113984,10105960,'Makes group members (AE) immune to Daze effects',100,2,16),
(113985,10105960,'Makes group members (AE) immune to Root effects',100,2,17),
(113986,10105960,'Makes group members (AE) immune to Stifle effects',100,2,18),
(113987,10105960,'Makes group members (AE) immune to Stun effects',100,2,19),
(113988,10105960,'Makes group members (AE) immune to Fear effects',100,2,20),
(113989,10105960,'Increases INT of group members (AE) by 145.3',100,2,21),
(113990,10105960,'Increases Ability Casting Speed of group members (AE) by 62.7%',100,2,22),
(113991,10105960,'Increases Damage Per Second of group members (AE) by 62.7',100,2,23),
(113992,10105960,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,2,24),
(113993,10105960,'Makes Group members (AE) immune to taunt effects.',100,3,25),
(113994,10105960,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,3,26),
(113995,10105960,'You cannot be affected by Commanding Roar.',100,4,27),
(113996,10105960,'Applies Lost Focus.  Lasts for 1 minute.',100,3,28),
(113997,10105960,'You cannot be affected by Commanding Roar.',100,4,29),
(113998,112589,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(113999,112589,'Heals targets in Area of Effect for 263 - 322',100,2,1),
(114000,112589,'Dispels 116 levels of physical hostile effects on target',100,2,2),
(114001,10112589,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(114002,10112589,'Heals targets in Area of Effect for 171 - 209',100,2,1),
(114003,10112589,'Dispels 116 levels of physical hostile effects on target',100,2,2),
(114004,115274,'Heals target for 756',100,1,0),
(114005,115274,'Heals target for 126 every second',100,1,1),
(114006,115274,'Dispels 103 levels of any hostile effects on target',100,1,2),
(114007,10115274,'Heals target for 491',100,1,0),
(114008,10115274,'Heals target for 82 every second',100,1,1),
(114009,10115274,'Dispels 103 levels of any hostile effects on target',100,1,2),
(114010,119325,'Roots target',100,1,0),
(114011,119325,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(114012,119325,'Slows target by 49.1%',100,2,2),
(114013,119325,'5% chance to dispel when target receives hostile action',100,2,3),
(114014,119325,'5% chance to dispel when target takes damage',100,2,4),
(114015,119325,'15% chance to dispel when target takes damage',100,1,5),
(114016,119325,'Does not affect Epic targets',100,1,6),
(114017,119325,'Resistibility increases against targets higher than level 102.',100,1,7),
(114018,10119325,'Roots target',100,1,0),
(114019,10119325,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(114020,10119325,'Slows target by 49.1%',100,2,2),
(114021,10119325,'5% chance to dispel when target receives hostile action',100,2,3),
(114022,10119325,'5% chance to dispel when target takes damage',100,2,4),
(114023,10119325,'15% chance to dispel when target takes damage',100,1,5),
(114024,10119325,'Does not affect Epic targets',100,1,6),
(114025,10119325,'Resistibility increases against targets higher than level 102.',100,1,7),
(114026,108458,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(114027,108458,'Increases Defense and Parry of caster by 8.6',100,1,1),
(114028,108458,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(114029,10108458,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(114030,10108458,'Increases Defense and Parry of caster by 8.6',100,1,1),
(114031,10108458,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(114032,170450,'When Equipped:',100,0,0),
(114033,170450,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(114034,170450,'Inflicts 1986 heat damage on target',100,2,2),
(114035,170450,'Cannot be modified except by direct means',100,2,3),
(114036,10170450,'When Equipped:',100,0,0),
(114037,10170450,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(114038,10170450,'Inflicts 1390 heat damage on target',100,2,2),
(114039,10170450,'Cannot be modified except by direct means',100,2,3),
(114040,112263,'Applies Inquisition.',100,1,0),
(114041,112263,'Heals targets in Area of Effect for 259 - 317',100,2,1),
(114042,112263,'If Target is between 5 and 10 meters away',100,3,2),
(114043,112263,'Heals targets in Area of Effect for 518 - 634',100,2,3),
(114044,112263,'If Target is closer than 5 meters',100,3,4),
(114045,112263,'Heals targets in Area of Effect for 130 - 158',100,2,5),
(114046,112263,'If Target is between 10 and 20 meters away',100,3,6),
(114047,45671,'Applies Gronk''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(114048,45671,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(114049,10045671,'Applies Gronk''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(114050,10045671,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(114051,37483,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(114052,104340,'Charms target',100,1,0),
(114053,104340,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(114054,104340,'Mesmerizes target',100,2,2),
(114055,104340,'Dispelled when target takes damage',100,2,3),
(114056,104340,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(114057,104340,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(114058,104340,'Grants Sonic Vision to caster',100,2,6),
(114059,104340,'Increases Out-of-Combat Power Regeneration of target by 11.2',100,1,7),
(114060,104340,'Increases Out-of-Combat Health Regeneration of target by 22.4',100,1,8),
(114061,104340,'Certain enemies cannot be charmed',100,1,9),
(114062,104340,'Does not affect Epic targets',100,1,10),
(114063,10104340,'Mesmerizes target',100,1,0),
(114064,10104340,'Prevents AOE (except when direct) ',100,1,1),
(114065,10104340,'Dispelled when target takes damage',100,1,2),
(114066,10104340,'Certain enemies cannot be charmed',100,1,3),
(114067,10104340,'Does not affect Epic targets',100,1,4),
(114068,10104340,'Resistibility increases against targets higher than level 49.',100,1,5),
(114069,143765,'When Equipped:',100,0,0),
(114070,143765,'Increases Attack Speed of caster by 38.0',100,1,1),
(114071,10143765,'When Equipped:',100,0,0),
(114072,10143765,'Increases Attack Speed of caster by 38.0',100,1,1),
(114073,110229,'Interrupts target',100,1,0),
(114074,110229,'Inflicts 415 - 692 crushing damage on target',100,1,1),
(114075,10110229,'Interrupts target',100,1,0),
(114076,10110229,'Inflicts 539 - 899 crushing damage on target',100,1,1),
(114077,106574,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(114078,106574,'Increases Parry of caster by 6.7',100,1,1),
(114079,10106574,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(114080,10106574,'Increases Parry of caster by 6.7',100,1,1),
(114081,116200,'Inflicts 722 - 1204 mental damage on target',100,1,0),
(114082,10116200,'Inflicts 1011 - 1685 mental damage on target',100,1,0),
(114083,103404,'Decreases Threat to targets in Area of Effect by 1,008 ',100,1,0),
(114084,103404,'Slows targets in Area of Effect by 49.0%',100,1,1),
(114085,103404,'Stifles targets in Area of Effect',100,1,2),
(114086,103404,'If Target is not Epic',100,2,3),
(114087,103404,'10% chance to dispel when target receives hostile action',100,1,4),
(114088,103404,'10% chance to dispel when target takes damage',100,1,5),
(114089,10103404,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(114090,10103404,'Slows targets in Area of Effect by 49.0%',100,1,1),
(114091,10103404,'Stifles targets in Area of Effect',100,1,2),
(114092,10103404,'If Target is not Epic',100,2,3),
(114093,81653,'When Equipped:',100,0,0),
(114094,81653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114095,81653,'Inflicts 146 - 271 magic damage on target',100,2,2),
(114096,81653,'Cannot be modified except by direct means',100,2,3),
(114097,10081653,'When Equipped:',100,0,0),
(114098,10081653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114099,10081653,'Inflicts 204 - 379 magic damage on target',100,2,2),
(114100,10081653,'Cannot be modified except by direct means',100,2,3),
(114101,35865,'Increases Max Health of target by 5.0',100,0,0),
(114102,35865,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(114103,24770,'Adds Wyvern (Berserker) to your Dungeon Maker toolbox',100,0,0),
(114104,10024770,'Adds Wyvern (Berserker) to your Dungeon Maker toolbox',100,0,0),
(114105,116906,'Summons a limited pet to aid the caster',100,1,0),
(114106,10116906,'Summons a limited pet to aid the caster',100,1,0),
(114107,26866,'When Equipped:',100,0,0),
(114108,26866,'Increases all arcane damage by up to 25.',100,1,1),
(114109,10026866,'When Equipped:',100,0,0),
(114110,10026866,'Increases all arcane damage by up to 25.',100,1,1),
(114111,119944,'Inflicts 178 - 297 melee damage on target',100,1,0),
(114112,119944,'Stifles target',100,1,1),
(114113,119944,'If Target is not Epic',100,2,2),
(114114,119944,'Resistibility increases against targets higher than level 79.',100,1,3),
(114115,10119944,'Inflicts 232 - 387 melee damage on target',100,1,0),
(114116,10119944,'Stifles target',100,1,1),
(114117,10119944,'If Target is not Epic',100,2,2),
(114118,10119944,'Resistibility increases against targets higher than level 79.',100,1,3),
(114119,108629,'Feigns Death with 92% chance of success',100,1,0),
(114120,10108629,'Feigns Death with 92% chance of success',100,1,0),
(114121,24005,'Adds Animated Hand (Assassin) to your Dungeon Maker toolbox',100,0,0),
(114122,10024005,'Adds Animated Hand (Assassin) to your Dungeon Maker toolbox',100,0,0),
(114123,163063,'When Equipped:',100,0,0),
(114124,163063,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(114125,163063,'On any combat or spell hit this spell may cast Major Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(114126,163063,'Wards caster against 1500 points of all damage',100,2,3),
(114127,163063,'Inflicts 4555 - 5035 piercing damage on target',100,2,4),
(114128,163063,'Must not be engaged in pvp combat',100,2,5),
(114129,163063,'Cannot be modified except by direct means',100,2,6),
(114130,163063,'Must not be engaged in pvp combat',100,1,7),
(114131,10163063,'When Equipped:',100,0,0),
(114132,10163063,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(114133,10163063,'On any combat or spell hit this spell may cast Major Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(114134,10163063,'Wards caster against 1500 points of all damage',100,2,3),
(114135,10163063,'Inflicts 6378 - 7049 piercing damage on target',100,2,4),
(114136,10163063,'Must not be engaged in pvp combat',100,2,5),
(114137,10163063,'Cannot be modified except by direct means',100,2,6),
(114138,10163063,'Must not be engaged in pvp combat',100,1,7),
(114139,108582,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(114140,108582,'Increases AGI of group members (AE) by 23.4',100,2,1),
(114141,108582,'Heals group members (AE) for 61 - 75 instantly and every 3 seconds',100,2,2),
(114142,108582,'Increases WIS, INT and STR of group members (AE) by 23.4',100,2,3),
(114143,108582,'Increases STA of group members (AE) by 46.8',100,2,4),
(114144,108582,'Adds 0.8% to base avoidance.',100,2,5),
(114145,108582,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 60',100,2,6),
(114146,10108582,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(114147,10108582,'Increases AGI of group members (AE) by 23.4',100,2,1),
(114148,10108582,'Heals group members (AE) for 40 - 49 instantly and every 3 seconds',100,2,2),
(114149,10108582,'Increases WIS, INT and STR of group members (AE) by 23.4',100,2,3),
(114150,10108582,'Increases STA of group members (AE) by 46.8',100,2,4),
(114151,10108582,'Adds 0.8% to base avoidance.',100,2,5),
(114152,10108582,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 60',100,2,6),
(114153,107637,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(114154,107637,'Increases Mitigation of group members (AE) vs elemental damage by 554',100,1,1),
(114155,10107637,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(114156,10107637,'Increases Mitigation of group members (AE) vs elemental damage by 554',100,1,1),
(114157,119335,'Inflicts 130 - 217 melee damage on target',100,1,0),
(114158,119335,'You must be sneaking to use this ability.',100,1,1),
(114159,119335,'Must be flanking or behind',100,1,2),
(114160,10119335,'Inflicts 169 - 282 melee damage on target',100,1,0),
(114161,10119335,'You must be sneaking to use this ability.',100,1,1),
(114162,10119335,'Must be flanking or behind',100,1,2),
(114163,113508,'Inflicts 332 - 554 melee damage on targets in area',100,1,0),
(114164,10113508,'Inflicts 432 - 720 melee damage on targets in area',100,1,0),
(114165,159499,'Applies Sanguine Imbued when Equipped.',100,0,0),
(114166,159499,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(114167,159499,'Inflicts 101 heat damage on target',100,2,2),
(114168,159499,'Cannot be modified except by direct means',100,2,3),
(114169,10159499,'Applies Sanguine Imbued when Equipped.',100,0,0),
(114170,10159499,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(114171,10159499,'Inflicts 141 heat damage on target',100,2,2),
(114172,10159499,'Cannot be modified except by direct means',100,2,3),
(114173,35928,'Increases Max Power of target by 4.1',100,0,0),
(114174,35928,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(114175,122141,'Interrupts target',100,1,0),
(114176,122141,'Increases Threat to target by 1,686 ',100,1,1),
(114177,122141,'Dispels 104 levels of arcane beneficial effects on target',100,1,2),
(114178,10122141,'Interrupts target',100,1,0),
(114179,10122141,'Forces target to change their selected target to caster.',100,1,1),
(114180,10122141,'Dispels 104 levels of arcane beneficial effects on target',100,1,2),
(114181,144631,'When Equipped:',100,0,0),
(114182,144631,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114183,144631,'Decreases power of target by 178',100,2,2),
(114184,144631,'Increases power of caster by 119',100,2,3),
(114185,144631,'Cannot be modified except by direct means',100,2,4),
(114186,10144631,'When Equipped:',100,0,0),
(114187,10144631,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114188,10144631,'Decreases power of target by 178',100,2,2),
(114189,10144631,'Increases power of caster by 119',100,2,3),
(114190,10144631,'Cannot be modified except by direct means',100,2,4),
(114191,117797,'Mesmerizes target',100,1,0),
(114192,117797,'Prevents AOE (except when direct) ',100,1,1),
(114193,117797,'Dispelled when target takes damage',100,1,2),
(114194,117797,'Epic targets gain an immunity to Mesmerize effects of 52.5 seconds and duration is reduced to 5.8 seconds.',100,1,3),
(114195,117797,'Resistibility increases against targets higher than level 83.',100,1,4),
(114196,10117797,'Mesmerizes target',100,1,0),
(114197,10117797,'Prevents AOE (except when direct) ',100,1,1),
(114198,10117797,'Dispelled when target takes damage',100,1,2),
(114199,10117797,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(114200,10117797,'Resistibility increases against targets higher than level 83.',100,1,4),
(114201,100465,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(114202,100465,'Decreases Threat to target by 51 ',100,2,1),
(114203,100465,'If not fighter',100,2,2),
(114204,100465,'Decreases Hate Gain of group members (AE) by 18.4%',100,1,3),
(114205,100465,'If not fighter',100,2,4),
(114206,10100465,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(114207,10100465,'If not fighter',100,2,1),
(114208,10100465,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(114209,10100465,'Inflicts 45 - 49 crushing damage on target',100,2,3),
(114210,10100465,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(114211,10100465,'If not fighter',100,2,5),
(114212,10100465,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(114213,10100465,'If not fighter',100,2,7),
(114214,10100465,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(114215,10100465,'If not fighter',100,2,9),
(114216,105932,'Inflicts 55 - 67 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(114217,105932,'Inflicts 127 - 212 disease damage on targets in area',100,1,1),
(114218,10105932,'Inflicts 77 - 94 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(114219,10105932,'Inflicts 165 - 276 disease damage on targets in area',100,1,1),
(114220,105186,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(114221,105186,'Inflicts 98 - 120 poison damage on target encounter',100,2,1),
(114222,10105186,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(114223,10105186,'Inflicts 137 - 168 poison damage on target encounter',100,2,1),
(114224,112351,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(114225,112351,'Inflicts 197 - 329 piercing damage on target',100,2,1),
(114226,10112351,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(114227,10112351,'Inflicts 134 - 224 piercing damage on target',100,2,1),
(114228,106283,'Wards target against 2228 points of all damage',100,1,0),
(114229,10106283,'Wards target against 2228 points of all damage',100,1,0),
(114230,141672,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(114231,141672,'Decreases Attack Speed of target by 12.5',100,1,1),
(114232,141672,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(114233,10141672,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(114234,10141672,'Decreases Attack Speed of target by 12.5',100,1,1),
(114235,10141672,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(114236,71833,'When Equipped:',100,0,0),
(114237,71833,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(114238,71833,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(114239,71833,'Cannot be modified except by direct means',100,2,3),
(114240,10071833,'When Equipped:',100,0,0),
(114241,10071833,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(114242,10071833,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(114243,10071833,'Cannot be modified except by direct means',100,2,3),
(114244,115522,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(114245,115522,'Increases Mitigation of group members (AE) vs noxious damage by 1304',100,1,1),
(114246,10115522,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(114247,10115522,'Increases Mitigation of group members (AE) vs noxious damage by 1304',100,1,1),
(114248,80634,'When Equipped:',100,0,0),
(114249,80634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114250,80634,'Inflicts 64 - 119 magic damage on target',100,2,2),
(114251,80634,'Cannot be modified except by direct means',100,2,3),
(114252,10080634,'When Equipped:',100,0,0),
(114253,10080634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114254,10080634,'Inflicts 90 - 167 magic damage on target',100,2,2),
(114255,10080634,'Cannot be modified except by direct means',100,2,3),
(114256,47738,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(114257,47738,'Wards caster against 665 points of noxious damage',100,1,1),
(114258,10047738,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(114259,10047738,'Wards caster against 665 points of noxious damage',100,1,1),
(114260,100004,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(114261,100004,'Inflicts 8 - 13 melee damage on targets in area',100,2,1),
(114262,100004,'Decreases Defense of caster by 1.8',100,1,2),
(114263,100004,'Increases Slashing, Piercing and Crushing of caster by 2.7',100,1,3),
(114264,10100004,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(114265,10100004,'Inflicts 10 - 17 melee damage on targets in area',100,2,1),
(114266,10100004,'Decreases Defense of caster by 1.8',100,1,2),
(114267,10100004,'Increases Slashing, Piercing and Crushing of caster by 2.7',100,1,3),
(114268,47786,'Applies Heat Wave when Activated.',100,0,0),
(114269,47786,'Casts heat wave on caster',100,1,1),
(114270,10047786,'Applies Heat Wave when Activated.',100,0,0),
(114271,10047786,'Casts heat wave on caster',100,1,1),
(114272,162051,'When Equipped:',100,0,0),
(114273,162051,'Reduces maximum falling speed of caster',100,1,1),
(114274,162051,'Applies Spirit of the Koada''Vie when Activated.  Lasts for 1 hour.',100,0,2),
(114275,162051,'Shapechanges caster into a high elf',100,1,3),
(114276,162051,'The casting time of Spirit of the Koada''Vie is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(114277,10162051,'When Equipped:',100,0,0),
(114278,10162051,'Reduces maximum falling speed of caster',100,1,1),
(114279,10162051,'Applies Spirit of the Koada''Vie when Activated.  Lasts for 1 hour.',100,0,2),
(114280,10162051,'Shapechanges caster into a high elf',100,1,3),
(114281,10162051,'The casting time of Spirit of the Koada''Vie is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(114282,36870,'Increases WIS of target by 1.2',100,0,0),
(114283,36870,'Target will Dodge 0.2% of incoming attacks',100,0,1),
(114284,36870,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,2),
(114285,159928,'When Equipped:',100,0,0),
(114286,159928,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(114287,159928,'Increases INT of caster by 3.6',100,2,2),
(114288,159928,'Increases Focus, Disruption and Subjugation of caster by 2.2',100,2,3),
(114289,159928,'Cannot be modified except by direct means',100,2,4),
(114290,10159928,'When Equipped:',100,0,0),
(114291,10159928,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(114292,10159928,'Increases INT of caster by 3.6',100,2,2),
(114293,10159928,'Increases Focus, Disruption and Subjugation of caster by 2.2',100,2,3),
(114294,10159928,'Cannot be modified except by direct means',100,2,4),
(114295,46561,'Applies Grandpa Krill''s Special Shark Bait when Activated.',100,0,0),
(114296,10046561,'Applies Grandpa Krill''s Special Shark Bait when Activated.',100,0,0),
(114297,107255,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(114298,107255,'Summons a limited pet to aid the caster',100,2,1),
(114299,107255,'If profession other than Illusionist',100,1,2),
(114300,107255,'Must be engaged in combat',100,1,3),
(114301,10107255,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(114302,10107255,'Summons a limited pet to aid the caster',100,2,1),
(114303,10107255,'If profession other than Illusionist',100,1,2),
(114304,10107255,'Must be engaged in combat',100,1,3),
(114305,80619,'When Equipped:',100,0,0),
(114306,80619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114307,80619,'Inflicts 64 - 119 magic damage on target',100,2,2),
(114308,80619,'Cannot be modified except by direct means',100,2,3),
(114309,10080619,'When Equipped:',100,0,0),
(114310,10080619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114311,10080619,'Inflicts 90 - 167 magic damage on target',100,2,2),
(114312,10080619,'Cannot be modified except by direct means',100,2,3),
(114313,103458,'Increases In-Combat Power Regeneration of group members (AE) by 7.4',100,1,0),
(114314,10103458,'Increases In-Combat Power Regeneration of group members (AE) by 7.4',100,1,0),
(114315,119915,'Stifles target',100,1,0),
(114316,119915,'Inflicts 128 - 156 mental damage on target',100,1,1),
(114317,119915,'Inflicts 43 - 52 mental damage on target every 1.6 seconds',100,1,2),
(114318,119915,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(114319,119915,'Resistibility increases against targets higher than level 59.',100,1,4),
(114320,10119915,'Stifles target',100,1,0),
(114321,10119915,'Inflicts 179 - 219 mental damage on target',100,1,1),
(114322,10119915,'Inflicts 60 - 73 mental damage on target every second',100,1,2),
(114323,10119915,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(114324,10119915,'Resistibility increases against targets higher than level 59.',100,1,4),
(114325,110865,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(114326,110865,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,1),
(114327,110865,'Stuns target',100,3,2),
(114328,110865,'Throws target back',100,3,3),
(114329,110865,'Blurs vision of target',100,3,4),
(114330,110865,'Does not affect Epic targets',100,3,5),
(114331,110865,'Inflicts 795 - 1324 divine damage on target',100,2,6),
(114332,110865,'Grants a total of 3 triggers of the spell.',100,2,7),
(114333,10110865,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(114334,10110865,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,1),
(114335,10110865,'Stuns target',100,3,2),
(114336,10110865,'Throws target back',100,3,3),
(114337,10110865,'Blurs vision of target',100,3,4),
(114338,10110865,'Does not affect Epic targets',100,3,5),
(114339,10110865,'Inflicts 1113 - 1854 divine damage on target',100,2,6),
(114340,10110865,'Grants a total of 3 triggers of the spell.',100,2,7),
(114341,107380,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',100,1,0),
(114342,107380,'Inflicts 174 - 212 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(114343,10107380,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',100,1,0),
(114344,10107380,'Inflicts 243 - 297 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(114345,114080,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(114346,114080,'Grants stealth to caster',100,2,1),
(114347,114080,'Suspends caster''s movement speed enhancements',100,2,2),
(114348,114080,'Inflicts 546 - 910 melee damage on target',100,1,3),
(114349,114080,'Must be flanking or behind',100,1,4),
(114350,10114080,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(114351,10114080,'Grants stealth to caster',100,2,1),
(114352,10114080,'Suspends caster''s movement speed enhancements',100,2,2),
(114353,10114080,'Inflicts 1065 - 1775 melee damage on target',100,1,3),
(114354,10114080,'Must be flanking or behind',100,1,4),
(114355,74607,'When Equipped:',100,0,0),
(114356,74607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114357,74607,'Inflicts 48 - 73 magic damage on target',100,2,2),
(114358,74607,'Cannot be modified except by direct means',100,2,3),
(114359,10074607,'When Equipped:',100,0,0),
(114360,10074607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114361,10074607,'Inflicts 68 - 102 magic damage on target',100,2,2),
(114362,10074607,'Cannot be modified except by direct means',100,2,3),
(114363,124213,'Decreases Attack Speed of caster by 12.7',100,1,0),
(114364,124213,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(114365,124213,'Slows targets in Area of Effect by 35.4%',100,2,2),
(114366,124213,'5% chance to dispel when target receives hostile action',100,2,3),
(114367,124213,'5% chance to dispel when target takes damage',100,2,4),
(114368,124213,'Increases Mitigation of caster vs physical damage by 270',100,1,5),
(114369,10124213,'Decreases Attack Speed of caster by 12.7',100,1,0),
(114370,10124213,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(114371,10124213,'Slows targets in Area of Effect by 26.5%',100,2,2),
(114372,10124213,'5% chance to dispel when target receives hostile action',100,2,3),
(114373,10124213,'5% chance to dispel when target takes damage',100,2,4),
(114374,10124213,'Increases Mitigation of caster vs physical damage by 270',100,1,5),
(114375,105947,'Inflicts 131 - 160 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(114376,105947,'Inflicts 305 - 508 disease damage on targets in area',100,1,1),
(114377,10105947,'Inflicts 183 - 224 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(114378,10105947,'Inflicts 396 - 661 disease damage on targets in area',100,1,1),
(114379,123166,'Reduces physical damage done to caster by 5%',100,1,0),
(114380,123166,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(114381,123166,'Increases Aggression of caster by 8.3',100,1,2),
(114382,123166,'Increases Defense and Parry of caster by 16.5',100,1,3),
(114383,123166,'Increases Mitigation of caster vs elemental damage by 1102',100,1,4),
(114384,123166,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(114385,10123166,'Reduces physical damage done to caster by 5%',100,1,0),
(114386,10123166,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(114387,10123166,'Increases Aggression of caster by 8.3',100,1,2),
(114388,10123166,'Increases Defense and Parry of caster by 16.5',100,1,3),
(114389,10123166,'Increases Mitigation of caster vs elemental damage by 1102',100,1,4),
(114390,10123166,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(114391,102504,'Inflicts 865 - 1442 crushing damage on target',100,1,0),
(114392,102504,'Prevents target from changing direction while active.',100,1,1),
(114393,102504,'If Target is not Epic',100,2,2),
(114394,102504,'Roots target',100,1,3),
(114395,102504,'If Target is not Epic',100,2,4),
(114396,102504,'Resistibility increases against targets higher than level 114.',100,1,5),
(114397,10102504,'Inflicts 1124 - 1874 crushing damage on target',100,1,0),
(114398,10102504,'Prevents target from changing direction while active.',100,1,1),
(114399,10102504,'If Target is not Epic',100,2,2),
(114400,10102504,'Roots target',100,1,3),
(114401,10102504,'If Target is not Epic',100,2,4),
(114402,10102504,'Resistibility increases against targets higher than level 114.',100,1,5),
(114403,36115,'Increases INT of target by 1.6',100,0,0),
(114404,36115,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(114405,108616,'Feigns Death with 82% chance of success',100,1,0),
(114406,10108616,'Feigns Death with 82% chance of success',100,1,0),
(114407,109840,'Inflicts 685 - 1141 melee damage on target',100,1,0),
(114408,109840,'Decreases Parry of target by 59.9',100,1,1),
(114409,109840,'Must be in front of or flanking',100,1,2),
(114410,10109840,'Inflicts 890 - 1484 melee damage on target',100,1,0),
(114411,10109840,'Decreases Parry of target by 59.9',100,1,1),
(114412,10109840,'Must be in front of or flanking',100,1,2),
(114413,35112,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(114414,35112,'This effect suspends during combat',100,0,1),
(114415,80029,'Applies Fire Ball when Activated.',100,0,0),
(114416,80029,'Inflicts 168 - 280 heat damage on target',100,1,1),
(114417,80029,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(114418,10080029,'Applies Fire Ball when Activated.',100,0,0),
(114419,10080029,'Inflicts 235 - 392 heat damage on target',100,1,1),
(114420,10080029,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(114421,101597,'Inflicts 317 - 528 melee damage on targets in area',100,1,0),
(114422,10101597,'Inflicts 412 - 687 melee damage on targets in area',100,1,0),
(114423,51291,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(114424,51291,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(114425,51291,'Inflicts 17 heat damage on target',100,2,2),
(114426,51291,'Cannot be modified except by direct means',100,2,3),
(114427,10051291,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(114428,10051291,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(114429,10051291,'Inflicts 24 heat damage on target',100,2,2),
(114430,10051291,'Cannot be modified except by direct means',100,2,3),
(114431,51298,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(114432,51298,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(114433,51298,'Inflicts 30 heat damage on target',100,2,2),
(114434,51298,'Cannot be modified except by direct means',100,2,3),
(114435,10051298,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(114436,10051298,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(114437,10051298,'Inflicts 42 heat damage on target',100,2,2),
(114438,10051298,'Cannot be modified except by direct means',100,2,3),
(114439,119221,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(114440,119221,'Decreases Threat to target by 161 ',100,2,1),
(114441,10119221,'On any combat or spell hit this spell may cast Evade on target of attack.  Lasts for 1.0 second.  Triggers about 4.0 times per minute. ',100,1,0),
(114442,10119221,'Prevents target from changing targets',100,2,1),
(114443,10119221,'Applies Distract.',100,2,2),
(114444,10119221,'Forces target to clear their selected target.',100,3,3),
(114445,45560,'Applies Brenthalion''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(114446,45560,'Increases STA and STR of caster by 23.0',100,1,1),
(114447,10045560,'Applies Brenthalion''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(114448,10045560,'Increases STA and STR of caster by 23.0',100,1,1),
(114449,102633,'Inflicts 33 - 55 melee damage on target',100,1,0),
(114450,102633,'Inflicts 14 heat damage on target every 6 seconds',100,1,1),
(114451,10102633,'Inflicts 43 - 72 melee damage on target',100,1,0),
(114452,10102633,'Inflicts 20 heat damage on target every 6 seconds',100,1,1),
(114453,100596,'Inflicts 340 - 567 melee damage on target',100,1,0),
(114454,100596,'You must be sneaking to use this ability.',100,1,1),
(114455,10100596,'Inflicts 528 - 880 melee damage on target',100,1,0),
(114456,10100596,'You must be sneaking to use this ability.',100,1,1),
(114457,157355,'When Equipped:',100,0,0),
(114458,157355,'On a damage spell hit this spell may cast Overflow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(114459,157355,'Heals group members for 1132',100,2,2),
(114460,157355,'Cannot be modified except by direct means',100,2,3),
(114461,10157355,'When Equipped:',100,0,0),
(114462,10157355,'On a damage spell hit this spell may cast Overflow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(114463,10157355,'Heals group members for 1324',100,2,2),
(114464,10157355,'Cannot be modified except by direct means',100,2,3),
(114465,190011,'When Equipped:',100,0,0),
(114466,190011,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(114467,190011,'Inflicts 2664 disease damage on target encounter',100,2,2),
(114468,190011,'Must not be engaged in pvp combat',100,2,3),
(114469,190011,'Cannot be modified except by direct means',100,2,4),
(114470,10190011,'When Equipped:',100,0,0),
(114471,10190011,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(114472,10190011,'Inflicts 1865 disease damage on target encounter',100,2,2),
(114473,10190011,'Must not be engaged in pvp combat',100,2,3),
(114474,10190011,'Cannot be modified except by direct means',100,2,4),
(114475,109337,'Increases STR of caster by 90.8',100,1,0),
(114476,109337,'Decreases Defense of caster by 17.4',100,1,1),
(114477,109337,'Increases Slashing, Piercing and Crushing of caster by 26.1',100,1,2),
(114478,10109337,'Increases STR of caster by 90.8',100,1,0),
(114479,10109337,'Decreases Defense of caster by 17.4',100,1,1),
(114480,10109337,'Increases Slashing, Piercing and Crushing of caster by 26.1',100,1,2),
(114481,107461,'Summons a pet earthen avatar',100,1,0),
(114482,10107461,'Summons a pet earthen avatar',100,1,0),
(114483,121407,'Inflicts 970 - 1185 magic damage on target instantly and every 8 seconds',100,1,0),
(114484,121407,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(114485,121407,'Stuns target',100,2,2),
(114486,121407,'Blurs vision of target',100,2,3),
(114487,121407,'Throws target back',100,2,4),
(114488,121407,'Does not affect Epic targets',100,2,5),
(114489,10121407,'Inflicts 1357 - 1659 magic damage on target instantly and every 8 seconds',100,1,0),
(114490,10121407,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(114491,10121407,'Stuns target',100,2,2),
(114492,10121407,'Blurs vision of target',100,2,3),
(114493,10121407,'Throws target back',100,2,4),
(114494,10121407,'Does not affect Epic targets',100,2,5),
(114495,111303,'Inflicts 503 - 838 divine damage on target',100,1,0),
(114496,111303,'Inflicts 201 - 336 divine damage on target every 4 seconds',100,1,1),
(114497,10111303,'Inflicts 654 - 1090 divine damage on target',100,1,0),
(114498,10111303,'Inflicts 282 - 470 divine damage on target every 4 seconds',100,1,1),
(114499,100618,'Transfers 25% of target''s current Threat to the caster',100,1,0),
(114500,10100618,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(114501,10100618,'10% of all damage received by the caster is prevented.',100,2,1),
(114502,10100618,'This effect can only trigger once every 5 seconds.',100,2,2),
(114503,177474,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(114504,177474,'Decreases Attack Speed of target by 10.4',100,1,1),
(114505,177474,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(114506,10177474,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(114507,10177474,'Decreases Attack Speed of target by 10.4',100,1,1),
(114508,10177474,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(114509,116096,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(114510,116096,'Heals target for 195 - 238',100,2,1),
(114511,116096,'Grants a total of 5 triggers of the spell.',100,2,2),
(114512,10116096,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(114513,10116096,'Heals target for 126 - 155',100,2,1),
(114514,10116096,'Grants a total of 5 triggers of the spell.',100,2,2),
(114515,121146,'Summon 1 Splinter of Essence (Adept III)',100,1,0),
(114516,10121146,'Summon 1 Splinter of Essence (Adept III)',100,1,0),
(114517,139353,'When Equipped:',100,0,0),
(114518,139353,'Can sometimes prevent the untimely death of the wearer.',100,1,1),
(114519,10139353,'When Equipped:',100,0,0),
(114520,10139353,'Can sometimes prevent the untimely death of the wearer.',100,1,1),
(114521,87544,'Applies Lightning Shock when Activated.',100,0,0),
(114522,87544,'Inflicts 227 - 379 magic damage on target',100,1,1),
(114523,87544,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(114524,10087544,'Applies Lightning Shock when Activated.',100,0,0),
(114525,10087544,'Inflicts 318 - 531 magic damage on target',100,1,1),
(114526,10087544,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(114527,116576,'Inflicts 72 - 121 divine damage on target',100,1,0),
(114528,116576,'Decreases Parry of target by 7.2',100,1,1),
(114529,116576,'If Two-Handed weapon equipped in Primary',100,1,2),
(114530,10116576,'Inflicts 94 - 157 divine damage on target',100,1,0),
(114531,10116576,'Decreases Parry of target by 7.2',100,1,1),
(114532,10116576,'If Two-Handed weapon equipped in Primary',100,1,2),
(114533,158355,'Applies Hooluk in a Hat when Activated.',100,0,0),
(114534,158355,'Summons a pet Hooluk',100,1,1),
(114535,158355,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(114536,10158355,'Applies Hooluk in a Hat when Activated.',100,0,0),
(114537,10158355,'Summons a pet Hooluk',100,1,1),
(114538,10158355,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(114539,102115,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(114540,102115,'Stuns target',100,2,1),
(114541,102115,'Throws target back',100,2,2),
(114542,102115,'Blurs vision of target',100,2,3),
(114543,102115,'Does not affect Epic targets',100,2,4),
(114544,102115,'Inflicts 243 - 405 crushing damage on target',100,1,5),
(114545,10102115,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(114546,10102115,'Stuns target',100,2,1),
(114547,10102115,'Throws target back',100,2,2),
(114548,10102115,'Blurs vision of target',100,2,3),
(114549,10102115,'Does not affect Epic targets',100,2,4),
(114550,10102115,'Inflicts 315 - 526 crushing damage on target',100,1,5),
(114551,104665,'Decreases Mitigation of target vs all damage by 79',100,1,0),
(114552,10104665,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 79',100,1,0),
(114553,10104665,'Decreases Mitigation of target vs physical damage by 66',100,1,1),
(114554,35160,'Increases STR of target by 1.6',100,0,0),
(114555,35160,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(114556,113973,'Inflicts 43 - 72 slashing damage on target',100,1,0),
(114557,113973,'Decreases Slashing, Crushing and Piercing of target by 2.3',100,1,1),
(114558,10113973,'Inflicts 56 - 94 slashing damage on target',100,1,0),
(114559,10113973,'Decreases Slashing, Crushing and Piercing of target by 2.3',100,1,1),
(114560,36014,'Increases Max Power of target by 4.1',100,0,0),
(114561,36014,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(114562,117126,'Inflicts 100 - 122 heat damage on target instantly and every 4 seconds',100,1,0),
(114563,117126,'Decreases Mitigation of target vs arcane damage by 444',100,1,1),
(114564,10117126,'Inflicts 140 - 171 heat damage on target instantly and every 4 seconds',100,1,0),
(114565,10117126,'Decreases Mitigation of target vs arcane damage by 444',100,1,1),
(114566,47945,'Applies Draw upon Essence when Activated.',100,0,0),
(114567,47945,'Increases power of caster by 6',100,1,1),
(114568,47945,'Requires 24 Health to cast.',100,1,2),
(114569,10047945,'Applies Draw upon Essence when Activated.',100,0,0),
(114570,10047945,'Increases power of caster by 6',100,1,1),
(114571,10047945,'Requires 24 Health to cast.',100,1,2),
(114572,108728,'Summons a pet fiery magician',100,1,0),
(114573,10108728,'Summons a pet fiery magician',100,1,0),
(114574,100841,'Wards target against 800 points of all damage',100,1,0),
(114575,10100841,'Wards target against 1232 points of all damage',100,1,0),
(114576,121993,'Inflicts 95 - 159 melee damage on targets in area',100,1,0),
(114577,121993,'Increases Threat to target encounter by 373 ',100,1,1),
(114578,10121993,'Inflicts 124 - 207 melee damage on targets in area',100,1,0),
(114579,10121993,'Prevents target encounter from changing targets',100,1,1),
(114580,10121993,'Forces target encounter to change their selected target to caster.',100,1,2),
(114581,117734,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(114582,117734,'Heals target for 910',100,2,1),
(114583,117734,'Increases Max Health of target by 644.4',100,2,2),
(114584,117734,'Grants a total of 1 trigger of the spell.',100,2,3),
(114585,10117734,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(114586,10117734,'Heals target for 592',100,2,1),
(114587,10117734,'Increases Max Health of target by 644.4',100,2,2),
(114588,10117734,'Grants a total of 1 trigger of the spell.',100,2,3),
(114589,112245,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(114590,112245,'Decreases power of target by 146',100,2,1),
(114591,112245,'Increases power of caster by 90',100,2,2),
(114592,10112245,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(114593,10112245,'Decreases power of target by 146',100,2,1),
(114594,10112245,'Increases power of caster by 72',100,2,2),
(114595,111240,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(114596,111240,'Heals target for 392 - 480',100,2,1),
(114597,10111240,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(114598,10111240,'Heals target for 255 - 312',100,2,1),
(114599,37264,'Increases STA and AGI of target by 4.6',100,0,0),
(114600,37264,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,1),
(114601,37264,'Increases Attack Speed of target by 8.0',100,0,2),
(114602,115950,'Inflicts 1111 - 1851 melee damage on target',100,1,0),
(114603,115950,'Roots target',100,1,1),
(114604,115950,'If Target is not Epic',100,2,2),
(114605,115950,'5% chance to dispel when target takes damage',100,1,3),
(114606,115950,'Resistibility increases against targets higher than level 112.',100,1,4),
(114607,10115950,'Inflicts 1444 - 2407 melee damage on target',100,1,0),
(114608,10115950,'Roots target',100,1,1),
(114609,10115950,'If Target is not Epic',100,2,2),
(114610,10115950,'5% chance to dispel when target takes damage',100,1,3),
(114611,10115950,'Resistibility increases against targets higher than level 112.',100,1,4),
(114612,101806,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(114613,101806,'Decreases Threat to target by 782 ',100,2,1),
(114614,10101806,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(114615,10101806,'Inflicts 65 - 72 crushing damage on target',100,2,1),
(114616,155696,'When Equipped:',100,0,0),
(114617,155696,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(114618,155696,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(114619,155696,'Must not be engaged in pvp combat',100,2,3),
(114620,155696,'Cannot be modified except by direct means',100,2,4),
(114621,155696,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(114622,155696,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(114623,155696,'Must not be engaged in pvp combat',100,2,7),
(114624,155696,'Cannot be modified except by direct means',100,2,8),
(114625,155696,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(114626,155696,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(114627,155696,'Must not be engaged in pvp combat',100,2,11),
(114628,155696,'Cannot be modified except by direct means',100,2,12),
(114629,155696,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(114630,155696,'Inflicts 27 piercing damage on target',100,2,14),
(114631,155696,'Must not be engaged in pvp combat',100,2,15),
(114632,155696,'Cannot be modified except by direct means',100,2,16),
(114633,10155696,'When Equipped:',100,0,0),
(114634,10155696,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(114635,10155696,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(114636,10155696,'Must not be engaged in pvp combat',100,2,3),
(114637,10155696,'Cannot be modified except by direct means',100,2,4),
(114638,10155696,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(114639,10155696,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(114640,10155696,'Must not be engaged in pvp combat',100,2,7),
(114641,10155696,'Cannot be modified except by direct means',100,2,8),
(114642,10155696,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(114643,10155696,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(114644,10155696,'Must not be engaged in pvp combat',100,2,11),
(114645,10155696,'Cannot be modified except by direct means',100,2,12),
(114646,10155696,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(114647,10155696,'Inflicts 37 piercing damage on target',100,2,14),
(114648,10155696,'Must not be engaged in pvp combat',100,2,15),
(114649,10155696,'Cannot be modified except by direct means',100,2,16),
(114650,81215,'When Equipped:',100,0,0),
(114651,81215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114652,81215,'Inflicts 131 - 244 magic damage on target',100,2,2),
(114653,81215,'Cannot be modified except by direct means',100,2,3),
(114654,10081215,'When Equipped:',100,0,0),
(114655,10081215,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114656,10081215,'Inflicts 184 - 342 magic damage on target',100,2,2),
(114657,10081215,'Cannot be modified except by direct means',100,2,3),
(114658,81297,'When Equipped:',100,0,0),
(114659,81297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114660,81297,'Inflicts 270 - 502 magic damage on target',100,2,2),
(114661,81297,'Cannot be modified except by direct means',100,2,3),
(114662,10081297,'When Equipped:',100,0,0),
(114663,10081297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114664,10081297,'Inflicts 378 - 703 magic damage on target',100,2,2),
(114665,10081297,'Cannot be modified except by direct means',100,2,3),
(114666,188381,'When Equipped:',100,0,0),
(114667,188381,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(114668,10188381,'When Equipped:',100,0,0),
(114669,10188381,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(114670,110900,'Inflicts 1029 - 1257 heat damage on target encounter',100,1,0),
(114671,10110900,'Inflicts 1440 - 1760 heat damage on target encounter',100,1,0),
(114672,164853,'When Equipped:',100,0,0),
(114673,164853,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(114674,164853,'Heals caster for 118 instantly and every 5 seconds',100,2,2),
(114675,164853,'Cannot be modified except by direct means',100,2,3),
(114676,10164853,'When Equipped:',100,0,0),
(114677,10164853,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(114678,10164853,'Heals caster for 77 instantly and every 5 seconds',100,2,2),
(114679,10164853,'Cannot be modified except by direct means',100,2,3),
(114680,118754,'Increases INT and WIS of group members (AE) by 37.2',100,1,0),
(114681,118754,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 110',100,1,1),
(114682,10118754,'Increases INT and WIS of group members (AE) by 37.2',100,1,0),
(114683,10118754,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 110',100,1,1),
(114684,110809,'Inflicts 31 - 42 mental damage on target',100,1,0),
(114685,110809,'Interrupts target',100,1,1),
(114686,10110809,'Inflicts 43 - 58 mental damage on target',100,1,0),
(114687,10110809,'Interrupts target',100,1,1),
(114688,155591,'When Equipped:',100,0,0),
(114689,155591,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(114690,155591,'Heals caster for 5 instantly and every 3 seconds',100,2,2),
(114691,155591,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(114692,155591,'Cannot be modified except by direct means',100,2,4),
(114693,155591,'Cannot be modified except by direct means',100,1,5),
(114694,10155591,'When Equipped:',100,0,0),
(114695,10155591,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(114696,10155591,'Heals caster for 3 instantly and every 3 seconds',100,2,2),
(114697,10155591,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(114698,10155591,'Cannot be modified except by direct means',100,2,4),
(114699,10155591,'Cannot be modified except by direct means',100,1,5),
(114700,48814,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(114701,48814,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(114702,48814,'Inflicts 176 poison damage on target',100,2,2),
(114703,48814,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,3),
(114704,48814,'Cannot be modified except by direct means',100,2,4),
(114705,48814,'Grants a total of 200 triggers of the spell.',100,2,5),
(114706,10048814,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(114707,10048814,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(114708,10048814,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,2),
(114709,10048814,'Inflicts 184 poison damage on target',100,2,3),
(114710,10048814,'Cannot be modified except by direct means',100,2,4),
(114711,10048814,'Grants a total of 200 triggers of the spell.',100,2,5),
(114712,109204,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 10.1',100,1,0),
(114713,10109204,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 10.1',100,1,0),
(114714,116603,'Inflicts 293 - 489 divine damage on target',100,1,0),
(114715,10116603,'Inflicts 381 - 636 divine damage on target',100,1,0),
(114716,46248,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(114717,46248,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(114718,46248,'Inflicts 384 poison damage on target',100,2,2),
(114719,46248,'Heals caster for 245',100,2,3),
(114720,46248,'Cannot be modified except by direct means',100,2,4),
(114721,46248,'Grants a total of 100 triggers of the spell.',100,2,5),
(114722,10046248,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(114723,10046248,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(114724,10046248,'Inflicts 384 poison damage on target',100,2,2),
(114725,10046248,'Heals caster for 99',100,2,3),
(114726,10046248,'Cannot be modified except by direct means',100,2,4),
(114727,10046248,'Grants a total of 100 triggers of the spell.',100,2,5),
(114728,80541,'When Equipped:',100,0,0),
(114729,80541,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114730,80541,'Inflicts 104 - 194 magic damage on target',100,2,2),
(114731,80541,'Cannot be modified except by direct means',100,2,3),
(114732,10080541,'When Equipped:',100,0,0),
(114733,10080541,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(114734,10080541,'Inflicts 146 - 271 magic damage on target',100,2,2),
(114735,10080541,'Cannot be modified except by direct means',100,2,3),
(114736,105245,'Increases Threat to target by 250 ',100,1,0),
(114737,105245,'Interrupts target',100,1,1),
(114738,105245,'Dispels 43 levels of arcane beneficial effects on target',100,1,2),
(114739,10105245,'Forces target to change their selected target to caster.',100,1,0),
(114740,10105245,'Interrupts target',100,1,1),
(114741,10105245,'Dispels 43 levels of arcane beneficial effects on target',100,1,2),
(114742,80529,'When Equipped:',100,0,0),
(114743,80529,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(114744,80529,'Decreases Threat to target by 1,219 ',100,2,2),
(114745,80529,'Must be flanking or behind',100,3,3),
(114746,80529,'Increases Threat to target by 1,219 ',100,2,4),
(114747,80529,'Must be in front of',100,3,5),
(114748,80529,'Inflicts 424 - 788 magic damage on target',100,2,6),
(114749,80529,'Cannot be modified except by direct means',100,2,7),
(114750,10080529,'When Equipped:',100,0,0),
(114751,10080529,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(114752,10080529,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(114753,10080529,'Cannot be modified except by direct means',100,2,3),
(114754,102346,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(114755,102346,'Increases Damage Per Second of target by 8.6',100,2,1),
(114756,102346,'Increases Attack Speed of target by 8.6',100,2,2),
(114757,102346,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(114758,102346,'Increases Damage Per Second of target by 8.6',100,2,4),
(114759,102346,'Increases Attack Speed of target by 8.6',100,2,5),
(114760,102346,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(114761,102346,'Increases Damage Per Second of target by 8.6',100,2,7),
(114762,102346,'Increases Attack Speed of target by 8.6',100,2,8),
(114763,10102346,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(114764,10102346,'Increases Damage Per Second of target by 8.6',100,2,1),
(114765,10102346,'Increases Attack Speed of target by 8.6',100,2,2),
(114766,10102346,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(114767,10102346,'Increases Damage Per Second of target by 8.6',100,2,4),
(114768,10102346,'Increases Attack Speed of target by 8.6',100,2,5),
(114769,10102346,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(114770,10102346,'Increases Damage Per Second of target by 8.6',100,2,7),
(114771,10102346,'Increases Attack Speed of target by 8.6',100,2,8),
(114772,82967,'When Equipped:',100,0,0),
(114773,82967,'On a hostile spell cast this spell may cast Enhanced Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(114774,82967,'Heals group members (AE) for 504',100,2,2),
(114775,82967,'Cannot be modified except by direct means',100,2,3),
(114776,82967,'Cannot be modified except by direct means',100,1,4),
(114777,10082967,'When Equipped:',100,0,0),
(114778,10082967,'On a hostile spell cast this spell may cast Enhanced Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(114779,10082967,'Heals group members (AE) for 327',100,2,2),
(114780,10082967,'Cannot be modified except by direct means',100,2,3),
(114781,10082967,'Cannot be modified except by direct means',100,1,4),
(114782,81447,'When Equipped:',100,0,0),
(114783,81447,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(114784,81447,'Decreases Threat to target by 352 ',100,2,2),
(114785,81447,'Must be flanking or behind',100,3,3),
(114786,81447,'Increases Threat to target by 352 ',100,2,4),
(114787,81447,'Must be in front of',100,3,5),
(114788,81447,'Inflicts 104 - 194 magic damage on target',100,2,6),
(114789,81447,'Cannot be modified except by direct means',100,2,7),
(114790,10081447,'When Equipped:',100,0,0),
(114791,10081447,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(114792,10081447,'Inflicts 146 - 271 magic damage on target',100,2,2),
(114793,10081447,'Cannot be modified except by direct means',100,2,3),
(114794,121095,'Decreases Threat to targets in Area of Effect by 1,008 ',100,1,0),
(114795,121095,'Mesmerizes targets in Area of Effect',100,1,1),
(114796,121095,'If Target is not Epic',100,2,2),
(114797,121095,'Dispelled when target takes damage',100,1,3),
(114798,10121095,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(114799,10121095,'Applies Distract.',100,1,1),
(114800,10121095,'Forces target to clear their selected target.',100,2,2),
(114801,10121095,'Mesmerizes targets in Area of Effect',100,1,3),
(114802,10121095,'If Target is not Epic',100,2,4),
(114803,10121095,'Dispelled when target takes damage',100,1,5),
(114804,100414,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(114805,100414,'Increases Threat to target by 150 ',100,2,1),
(114806,100414,'Inflicts 56 - 93 slashing damage on target',100,2,2),
(114807,100414,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(114808,100414,'Increases Threat to target by 150 ',100,2,4),
(114809,100414,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 596',100,1,5),
(114810,10100414,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(114811,10100414,'Inflicts 78 - 131 slashing damage on target',100,2,1),
(114812,10100414,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(114813,10100414,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 596',100,1,3),
(114814,117991,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(114815,117991,'Increases Damage Per Second of target by 26.1',100,2,1),
(114816,117991,'Increases Attack Speed of target by 26.1',100,2,2),
(114817,117991,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(114818,117991,'Increases Damage Per Second of target by 26.1',100,2,4),
(114819,117991,'Increases Attack Speed of target by 26.1',100,2,5),
(114820,117991,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(114821,117991,'Increases Damage Per Second of target by 26.1',100,2,7),
(114822,117991,'Increases Attack Speed of target by 26.1',100,2,8),
(114823,10117991,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(114824,10117991,'Increases Damage Per Second of target by 26.1',100,2,1),
(114825,10117991,'Increases Attack Speed of target by 26.1',100,2,2),
(114826,10117991,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(114827,10117991,'Increases Damage Per Second of target by 26.1',100,2,4),
(114828,10117991,'Increases Attack Speed of target by 26.1',100,2,5),
(114829,10117991,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(114830,10117991,'Increases Damage Per Second of target by 26.1',100,2,7),
(114831,10117991,'Increases Attack Speed of target by 26.1',100,2,8),
(114832,116676,'Heals group members (AE) for 12.3 - 15.1% of max health',100,1,0),
(114833,116676,'This effect cannot be critically applied.',100,2,1),
(114834,116676,'Increases Max Health of group members (AE) by 276.8',100,1,2),
(114835,116676,'The healing of this spell cannot be modified except by direct means',100,1,3),
(114836,10116676,'Heals group members (AE) for 3.9 - 4.7% of max health',100,1,0),
(114837,10116676,'This effect cannot be critically applied.',100,2,1),
(114838,10116676,'Increases Max Health of group members (AE) by 276.8',100,1,2),
(114839,10116676,'The healing of this spell cannot be modified except by direct means',100,1,3),
(114840,108964,'Increases INT of group members (AE) by 99.9',100,1,0),
(114841,108964,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 38.2',100,1,1),
(114842,10108964,'Increases INT of group members (AE) by 99.9',100,1,0),
(114843,10108964,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 38.2',100,1,1),
(114844,174061,'When Equipped:',100,0,0),
(114845,174061,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(114846,174061,'Wards caster against 1250 points of all damage',100,2,2),
(114847,174061,'Cannot be modified except by direct means',100,2,3),
(114848,174061,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(114849,174061,'Wards caster against 1250 points of all damage',100,2,5),
(114850,174061,'Cannot be modified except by direct means',100,2,6),
(114851,10174061,'When Equipped:',100,0,0),
(114852,10174061,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(114853,10174061,'Wards caster against 625 points of all damage',100,2,2),
(114854,10174061,'Cannot be modified except by direct means',100,2,3),
(114855,10174061,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(114856,10174061,'Wards caster against 625 points of all damage',100,2,5),
(114857,10174061,'Cannot be modified except by direct means',100,2,6),
(114858,102500,'Inflicts 567 - 945 crushing damage on target',100,1,0),
(114859,102500,'Prevents target from changing direction while active.',100,1,1),
(114860,102500,'If Target is not Epic',100,2,2),
(114861,102500,'Roots target',100,1,3),
(114862,102500,'If Target is not Epic',100,2,4),
(114863,102500,'Resistibility increases against targets higher than level 104.',100,1,5),
(114864,10102500,'Inflicts 737 - 1228 crushing damage on target',100,1,0),
(114865,10102500,'Prevents target from changing direction while active.',100,1,1),
(114866,10102500,'If Target is not Epic',100,2,2),
(114867,10102500,'Roots target',100,1,3),
(114868,10102500,'If Target is not Epic',100,2,4),
(114869,10102500,'Resistibility increases against targets higher than level 104.',100,1,5),
(114870,138702,'When Equipped:',100,0,0),
(114871,138702,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(114872,138702,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(114873,138702,'Cannot be modified except by direct means',100,2,3),
(114874,10138702,'When Equipped:',100,0,0),
(114875,10138702,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(114876,10138702,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(114877,10138702,'Cannot be modified except by direct means',100,2,3),
(114878,189314,'When Equipped:',100,0,0),
(114879,189314,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(114880,189314,'This effect will not stack with any rank or tier of itself.',100,1,2),
(114881,189314,'Cannot be modified except by direct means',100,1,3),
(114882,189314,'When Equipped:',100,0,4),
(114883,189314,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(114884,189314,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(114885,189314,'Decreases Threat to target by 4,662 - 5,153 ',100,2,7),
(114886,189314,'Inflicts 2433 - 2689 mental damage on target',100,2,8),
(114887,189314,'Must not be engaged in pvp combat',100,2,9),
(114888,189314,'Cannot be modified except by direct means',100,2,10),
(114889,189314,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(114890,189314,'Decreases Threat to target by 4,662 - 5,153 ',100,2,12),
(114891,189314,'Inflicts 2433 - 2689 mental damage on target',100,2,13),
(114892,189314,'Must not be engaged in pvp combat',100,2,14),
(114893,189314,'Cannot be modified except by direct means',100,2,15),
(114894,189314,'Cannot be modified except by direct means',100,1,16),
(114895,10189314,'When Equipped:',100,0,0),
(114896,10189314,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(114897,10189314,'This effect will not stack with any rank or tier of itself.',100,1,2),
(114898,10189314,'Cannot be modified except by direct means',100,1,3),
(114899,10189314,'When Equipped:',100,0,4),
(114900,10189314,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(114901,10189314,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(114902,10189314,'Inflicts 3406 - 3765 mental damage on target',100,2,7),
(114903,10189314,'Must not be engaged in pvp combat',100,2,8),
(114904,10189314,'Cannot be modified except by direct means',100,2,9),
(114905,10189314,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,10),
(114906,10189314,'Inflicts 3406 - 3765 mental damage on target',100,2,11),
(114907,10189314,'Must not be engaged in pvp combat',100,2,12),
(114908,10189314,'Cannot be modified except by direct means',100,2,13),
(114909,10189314,'Cannot be modified except by direct means',100,1,14),
(114910,46082,'Applies Elixir of Invigoration when Activated.  Lasts for 15 minutes.',100,0,0),
(114911,46082,'Increases Max Health of caster by 20.0',100,1,1),
(114912,10046082,'Applies Elixir of Invigoration when Activated.  Lasts for 15 minutes.',100,0,0),
(114913,10046082,'Increases Max Health of caster by 20.0',100,1,1),
(114914,46442,'Applies pop open the Frostfell cracker! when Activated.  Lasts for 1.0 second.',100,0,0),
(114915,46442,'Grants you a surprise gift!',100,1,1),
(114916,10046442,'Applies pop open the Frostfell cracker! when Activated.  Lasts for 1.0 second.',100,0,0),
(114917,10046442,'Grants you a surprise gift!',100,1,1),
(114918,25055,'When Equipped:',100,0,0),
(114919,25055,'Increases Damage Per Second of caster by 15.0',100,1,1),
(114920,10025055,'When Equipped:',100,0,0),
(114921,10025055,'Increases Damage Per Second of caster by 15.0',100,1,1),
(114922,110295,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(114923,110295,'Slows target by 43.0%',100,2,1),
(114924,110295,'5% chance to dispel when target receives hostile action',100,2,2),
(114925,110295,'5% chance to dispel when target takes damage',100,2,3),
(114926,110295,'Decreases Mitigation of target vs arcane damage by 1300',100,1,4),
(114927,10110295,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(114928,10110295,'Slows target by 43.0%',100,2,1),
(114929,10110295,'5% chance to dispel when target receives hostile action',100,2,2),
(114930,10110295,'5% chance to dispel when target takes damage',100,2,3),
(114931,10110295,'Decreases Mitigation of target vs arcane damage by 1300',100,1,4),
(114932,46117,'Applies Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(114933,46117,'Increases AGI of caster by 47.0',100,1,1),
(114934,46117,'Only affects targets level 50 and above',100,1,2),
(114935,10046117,'Applies Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(114936,10046117,'Increases AGI of caster by 47.0',100,1,1),
(114937,10046117,'Only affects targets level 50 and above',100,1,2),
(114938,106453,'Increases Multi Attack Chance of raid and group members (AE) by 9.2',100,1,0),
(114939,10106453,'Increases Multi Attack Chance of raid and group members (AE) by 9.2',100,1,0),
(114940,80153,'When Equipped:',100,0,0),
(114941,80153,'Allows wielder to interact with glacial objects.',100,1,1),
(114942,10080153,'When Equipped:',100,0,0),
(114943,10080153,'Allows wielder to interact with glacial objects.',100,1,1),
(114944,158361,'When Equipped:',100,0,0),
(114945,158361,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(114946,158361,'When Equipped:',100,0,2),
(114947,158361,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(114948,10158361,'When Equipped:',100,0,0),
(114949,10158361,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(114950,10158361,'When Equipped:',100,0,2),
(114951,10158361,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(114952,124612,'Heals group members (AE) for 199 - 243',100,1,0),
(114953,124612,'Heals group members (AE) for 34 - 41 every second',100,1,1),
(114954,10124612,'Heals group members (AE) for 291 - 356',100,1,0),
(114955,10124612,'Heals group members (AE) for 36 - 44 every second',100,1,1),
(114956,51313,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(114957,51313,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(114958,51313,'Inflicts 86 heat damage on target',100,2,2),
(114959,51313,'Cannot be modified except by direct means',100,2,3),
(114960,10051313,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(114961,10051313,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(114962,10051313,'Inflicts 121 heat damage on target',100,2,2),
(114963,10051313,'Cannot be modified except by direct means',100,2,3),
(114964,159651,'When Equipped:',100,0,0),
(114965,159651,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(114966,159651,'Increases STA of caster by 12.2',100,2,2),
(114967,159651,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(114968,159651,'Cannot be modified except by direct means',100,2,4),
(114969,10159651,'When Equipped:',100,0,0),
(114970,10159651,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(114971,10159651,'Increases STA of caster by 12.2',100,2,2),
(114972,10159651,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(114973,10159651,'Cannot be modified except by direct means',100,2,4),
(114974,118063,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(114975,118063,'Increases Defense of caster by 4.4',100,1,1),
(114976,10118063,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(114977,10118063,'Increases Defense of caster by 4.4',100,1,1),
(114978,104641,'Inflicts 166 - 278 crushing damage on target',100,1,0),
(114979,104641,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 16.8',100,1,1),
(114980,10104641,'Inflicts 217 - 361 crushing damage on target',100,1,0),
(114981,10104641,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 16.8',100,1,1),
(114982,115628,'Wards target against 3024 points of all damage',100,1,0),
(114983,10115628,'Wards target against 4536 points of all damage',100,1,0),
(114984,45506,'Applies Feline Grace when Activated.  Lasts for 54.0 seconds.',100,0,0),
(114985,45506,'Increases AGI of caster by 21.9 - 36.6',100,1,1),
(114986,45506,'Increases Max Power of caster by 131.6 - 219.4',100,1,2),
(114987,10045506,'Applies Feline Grace when Activated.  Lasts for 54.0 seconds.',100,0,0),
(114988,10045506,'Increases AGI of caster by 21.9 - 36.6',100,1,1),
(114989,10045506,'Increases Max Power of caster by 131.6 - 219.4',100,1,2),
(114990,112595,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(114991,112595,'Heals targets in Area of Effect for 379 - 463',100,2,1),
(114992,112595,'Dispels 150 levels of physical hostile effects on target',100,2,2),
(114993,10112595,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(114994,10112595,'Heals targets in Area of Effect for 246 - 301',100,2,1),
(114995,10112595,'Dispels 150 levels of physical hostile effects on target',100,2,2),
(114996,159003,'When Equipped:',100,0,0),
(114997,159003,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(114998,10159003,'When Equipped:',100,0,0),
(114999,10159003,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(115000,45370,'Applies Blight of the Evening when Activated.  Lasts for 12 hours.',100,0,0),
(115001,45370,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(115002,45370,'Inflicts 73 poison damage on target instantly and every 6 seconds',100,2,2),
(115003,45370,'Inflicts 60 poison damage on target',100,2,3),
(115004,45370,'Cannot be modified except by direct means',100,2,4),
(115005,45370,'Grants a total of 100 triggers of the spell.',100,2,5),
(115006,10045370,'Applies Blight of the Evening when Activated.  Lasts for 12 hours.',100,0,0),
(115007,10045370,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(115008,10045370,'Inflicts 63 poison damage on target',100,2,2),
(115009,10045370,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,3),
(115010,10045370,'Cannot be modified except by direct means',100,2,4),
(115011,10045370,'Grants a total of 100 triggers of the spell.',100,2,5),
(115012,177573,'When Equipped:',100,0,0),
(115013,177573,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(115014,177573,'Increases AGI of caster by 11.9',100,2,2),
(115015,177573,'Increases Attack Speed of caster by 14.8',100,2,3),
(115016,177573,'Cannot be modified except by direct means',100,2,4),
(115017,10177573,'When Equipped:',100,0,0),
(115018,10177573,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(115019,10177573,'Increases AGI of caster by 11.9',100,2,2),
(115020,10177573,'Increases Attack Speed of caster by 14.8',100,2,3),
(115021,10177573,'Cannot be modified except by direct means',100,2,4),
(115022,54435,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(115023,54435,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(115024,54435,'Inflicts 96 heat damage on target',100,2,2),
(115025,54435,'Cannot be modified except by direct means',100,2,3),
(115026,10054435,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(115027,10054435,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(115028,10054435,'Inflicts 134 heat damage on target',100,2,2),
(115029,10054435,'Cannot be modified except by direct means',100,2,3),
(115030,41629,'When Equipped:',100,0,0),
(115031,41629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115032,41629,'Inflicts 130 - 241 magic damage on target',100,2,2),
(115033,41629,'Cannot be modified except by direct means',100,2,3),
(115034,10041629,'When Equipped:',100,0,0),
(115035,10041629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115036,10041629,'Inflicts 182 - 337 magic damage on target',100,2,2),
(115037,10041629,'Cannot be modified except by direct means',100,2,3),
(115038,81602,'When Equipped:',100,0,0),
(115039,81602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115040,81602,'Inflicts 144 - 268 magic damage on target',100,2,2),
(115041,81602,'Cannot be modified except by direct means',100,2,3),
(115042,10081602,'When Equipped:',100,0,0),
(115043,10081602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115044,10081602,'Inflicts 202 - 375 magic damage on target',100,2,2),
(115045,10081602,'Cannot be modified except by direct means',100,2,3),
(115046,26385,'When Equipped:',100,0,0),
(115047,26385,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(115048,26385,'Inflicts 229 cold damage on target',100,2,2),
(115049,26385,'Slows target by 31.5%',100,2,3),
(115050,26385,'Cannot be modified except by direct means',100,2,4),
(115051,10026385,'When Equipped:',100,0,0),
(115052,10026385,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(115053,10026385,'Inflicts 321 cold damage on target',100,2,2),
(115054,10026385,'Slows target by 31.5%',100,2,3),
(115055,10026385,'Cannot be modified except by direct means',100,2,4),
(115056,177781,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(115057,177781,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(115058,177781,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(115059,10177781,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(115060,10177781,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(115061,10177781,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(115062,81019,'When Equipped:',100,0,0),
(115063,81019,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115064,81019,'Inflicts 198 - 367 magic damage on target',100,2,2),
(115065,81019,'Cannot be modified except by direct means',100,2,3),
(115066,10081019,'When Equipped:',100,0,0),
(115067,10081019,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115068,10081019,'Inflicts 277 - 514 magic damage on target',100,2,2),
(115069,10081019,'Cannot be modified except by direct means',100,2,3),
(115070,80520,'When Equipped:',100,0,0),
(115071,80520,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115072,80520,'Decreases Threat to target by 1,219 ',100,2,2),
(115073,80520,'Must be flanking or behind',100,3,3),
(115074,80520,'Increases Threat to target by 1,219 ',100,2,4),
(115075,80520,'Must be in front of',100,3,5),
(115076,80520,'Inflicts 424 - 788 magic damage on target',100,2,6),
(115077,80520,'Cannot be modified except by direct means',100,2,7),
(115078,10080520,'When Equipped:',100,0,0),
(115079,10080520,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115080,10080520,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(115081,10080520,'Cannot be modified except by direct means',100,2,3),
(115082,161965,'When Equipped:',100,0,0),
(115083,161965,'Increases Attack Speed of caster by 40.0',100,1,1),
(115084,10161965,'When Equipped:',100,0,0),
(115085,10161965,'Increases Attack Speed of caster by 40.0',100,1,1),
(115086,105136,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(115087,105136,'Summon 1 Crystallized Essence (Expert)',100,2,1),
(115088,10105136,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(115089,10105136,'Summon 1 Crystallized Essence (Expert)',100,2,1),
(115090,100982,'Increases INT of target by 41.0',100,1,0),
(115091,100982,'Increases Attack Speed of target by 27.6',100,1,1),
(115092,100982,'Decreases Defense and Parry of target by 11.3',100,1,2),
(115093,100982,'Increases Slashing, Piercing and Crushing of target by 9.0',100,1,3),
(115094,10100982,'Increases INT of target by 41.0',100,1,0),
(115095,10100982,'Increases Attack Speed of target by 27.6',100,1,1),
(115096,10100982,'Decreases Defense and Parry of target by 11.3',100,1,2),
(115097,10100982,'Increases Slashing, Piercing and Crushing of target by 9.0',100,1,3),
(115098,105127,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(115099,105127,'Summon 1 Crystallized Spirit (Expert)',100,2,1),
(115100,10105127,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(115101,10105127,'Summon 1 Crystallized Spirit (Expert)',100,2,1),
(115102,74812,'When Equipped:',100,0,0),
(115103,74812,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115104,74812,'Inflicts 113 - 170 magic damage on target',100,2,2),
(115105,74812,'Cannot be modified except by direct means',100,2,3),
(115106,10074812,'When Equipped:',100,0,0),
(115107,10074812,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115108,10074812,'Inflicts 158 - 237 magic damage on target',100,2,2),
(115109,10074812,'Cannot be modified except by direct means',100,2,3),
(115110,106996,'Inflicts 2321 - 4310 poison damage on target',100,1,0),
(115111,106996,'Increases power of caster by 191',100,1,1),
(115112,10106996,'Inflicts 3249 - 6034 poison damage on target',100,1,0),
(115113,10106996,'Increases power of caster by 191',100,1,1),
(115114,103423,'Decreases Threat to targets in Area of Effect by 2,645 ',100,1,0),
(115115,103423,'Slows targets in Area of Effect by 38.5%',100,1,1),
(115116,103423,'Stifles targets in Area of Effect',100,1,2),
(115117,103423,'If Target is not Epic',100,2,3),
(115118,103423,'10% chance to dispel when target receives hostile action',100,1,4),
(115119,103423,'10% chance to dispel when target takes damage',100,1,5),
(115120,10103423,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(115121,10103423,'Slows targets in Area of Effect by 38.5%',100,1,1),
(115122,10103423,'Stifles targets in Area of Effect',100,1,2),
(115123,10103423,'If Target is not Epic',100,2,3),
(115124,181790,'When Equipped:',100,0,0),
(115125,181790,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(115126,181790,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(115127,181790,'Decreases Mitigation of target encounter vs elemental damage by 1787',100,2,3),
(115128,181790,'Inflicts 4113 - 4545 heat damage on target encounter',100,2,4),
(115129,181790,'Must not be engaged in pvp combat',100,2,5),
(115130,181790,'Cannot be modified except by direct means',100,2,6),
(115131,181790,'Cannot be modified except by direct means',100,1,7),
(115132,10181790,'When Equipped:',100,0,0),
(115133,10181790,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(115134,10181790,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(115135,10181790,'Decreases Mitigation of target encounter vs elemental damage by 1787',100,2,3),
(115136,10181790,'Inflicts 5758 - 6364 heat damage on target encounter',100,2,4),
(115137,10181790,'Must not be engaged in pvp combat',100,2,5),
(115138,10181790,'Cannot be modified except by direct means',100,2,6),
(115139,10181790,'Cannot be modified except by direct means',100,1,7),
(115140,82091,'When Equipped:',100,0,0),
(115141,82091,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115142,82091,'Decreases Threat to target by 641 ',100,2,2),
(115143,82091,'Must be flanking or behind',100,3,3),
(115144,82091,'Increases Threat to target by 641 ',100,2,4),
(115145,82091,'Must be in front of',100,3,5),
(115146,82091,'Inflicts 182 - 339 magic damage on target',100,2,6),
(115147,82091,'Cannot be modified except by direct means',100,2,7),
(115148,10082091,'When Equipped:',100,0,0),
(115149,10082091,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115150,10082091,'Inflicts 255 - 474 magic damage on target',100,2,2),
(115151,10082091,'Cannot be modified except by direct means',100,2,3),
(115152,170651,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(115153,170651,'Decreases STR, WIS, AGI and INT of target by 66.3',100,1,1),
(115154,170651,'Decreases Max Health of target by 1.0%',100,1,2),
(115155,170651,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(115156,10170651,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(115157,10170651,'Decreases STR, WIS, AGI and INT of target by 66.3',100,1,1),
(115158,10170651,'Decreases Max Health of target by 1.0%',100,1,2),
(115159,10170651,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(115160,124798,'Increases STR of caster by 112.8',100,1,0),
(115161,124798,'Decreases Defense of caster by 18.0',100,1,1),
(115162,124798,'Increases Crushing, Piercing, Slashing and Disruption of caster by 32.4',100,1,2),
(115163,10124798,'Increases STR of caster by 112.8',100,1,0),
(115164,10124798,'Decreases Defense of caster by 18.0',100,1,1),
(115165,10124798,'Increases Crushing, Piercing, Slashing and Disruption of caster by 32.4',100,1,2),
(115166,172837,'When Equipped:',100,0,0),
(115167,172837,'Reduces maximum falling speed of caster',100,1,1),
(115168,10172837,'When Equipped:',100,0,0),
(115169,10172837,'Reduces maximum falling speed of caster',100,1,1),
(115170,107644,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(115171,107644,'Increases Mitigation of group members (AE) vs elemental damage by 877',100,1,1),
(115172,10107644,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(115173,10107644,'Increases Mitigation of group members (AE) vs elemental damage by 877',100,1,1),
(115174,118727,'Inflicts 179 - 298 slashing damage on target',100,1,0),
(115175,118727,'Decreases Slashing, Crushing and Piercing of target by 12.1',100,1,1),
(115176,118727,'Inflicts 74 - 90 slashing damage on target every 5 seconds',100,1,2),
(115177,10118727,'Inflicts 232 - 388 slashing damage on target',100,1,0),
(115178,10118727,'Decreases Slashing, Crushing and Piercing of target by 12.1',100,1,1),
(115179,10118727,'Inflicts 103 - 126 slashing damage on target every 5 seconds',100,1,2),
(115180,79031,'Applies Frost Blast when Activated.',100,0,0),
(115181,79031,'Inflicts 235 - 392 cold damage on target',100,1,1),
(115182,79031,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(115183,10079031,'Applies Frost Blast when Activated.',100,0,0),
(115184,10079031,'Inflicts 329 - 548 cold damage on target',100,1,1),
(115185,10079031,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(115186,48113,'Applies Shard of the Soldier when Activated.  Lasts for 15.0 seconds.',100,0,0),
(115187,48113,'Increases damage done by combat arts by up to 10.',100,1,1),
(115188,48113,'Must have Soldier''s Spirit Shard equipped.',100,1,2),
(115189,10048113,'Applies Shard of the Soldier when Activated.  Lasts for 15.0 seconds.',100,0,0),
(115190,10048113,'Increases damage done by combat arts by up to 10.',100,1,1),
(115191,10048113,'Must have Soldier''s Spirit Shard equipped.',100,1,2),
(115192,120438,'Inflicts 307 - 512 melee damage on target',100,1,0),
(115193,120438,'Inflicts 307 - 512 melee damage on target',100,1,1),
(115194,10120438,'Inflicts 400 - 666 melee damage on target',100,1,0),
(115195,10120438,'Inflicts 400 - 666 melee damage on target',100,1,1),
(115196,105609,'Inflicts 11 disease damage on target instantly and every 6 seconds',100,1,0),
(115197,105609,'Inflicts 24 - 41 disease damage on target',100,1,1),
(115198,105609,'Inflicts 24 - 41 disease damage on target',100,1,2),
(115199,10105609,'Inflicts 15 disease damage on target instantly and every 6 seconds',100,1,0),
(115200,10105609,'Inflicts 32 - 53 disease damage on target',100,1,1),
(115201,10105609,'Inflicts 32 - 53 disease damage on target',100,1,2),
(115202,74696,'When Equipped:',100,0,0),
(115203,74696,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115204,74696,'Inflicts 198 - 297 magic damage on target',100,2,2),
(115205,74696,'Cannot be modified except by direct means',100,2,3),
(115206,10074696,'When Equipped:',100,0,0),
(115207,10074696,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115208,10074696,'Inflicts 278 - 416 magic damage on target',100,2,2),
(115209,10074696,'Cannot be modified except by direct means',100,2,3),
(115210,35249,'Increases STR of target by 1.6',100,0,0),
(115211,35249,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(115212,120188,'Applies Life Draw on termination.',100,1,0),
(115213,120188,'Inflicts 819 - 1366 disease damage on target',100,2,1),
(115214,120188,'Heals caster for 15.8 - 19.4% of max health',100,2,2),
(115215,120188,'This effect cannot be critically applied.',100,3,3),
(115216,120188,'The healing of this spell cannot be modified except by direct means',100,2,4),
(115217,120188,'Inflicts 238 - 398 disease damage on target',100,1,5),
(115218,10120188,'Applies Life Draw on termination.',100,1,0),
(115219,10120188,'Inflicts 1147 - 1912 disease damage on target',100,2,1),
(115220,10120188,'Heals caster for 4.3 - 5.3% of max health',100,2,2),
(115221,10120188,'This effect cannot be critically applied.',100,3,3),
(115222,10120188,'The healing of this spell cannot be modified except by direct means',100,2,4),
(115223,10120188,'Inflicts 310 - 517 disease damage on target',100,1,5),
(115224,109852,'Increases Defense of group members (AE) by 5.4',100,1,0),
(115225,10109852,'Increases Defense of group members (AE) by 5.4',100,1,0),
(115226,101637,'Applies Forceful Headache on termination.',100,1,0),
(115227,101637,'Inflicts 378 - 629 mental damage on target',100,2,1),
(115228,101637,'If over 50% power',100,3,2),
(115229,101637,'Inflicts 151 - 185 mental damage on target instantly and every 6 seconds',100,1,3),
(115230,101637,'Decreases Mitigation of target vs arcane damage by 980',100,1,4),
(115231,10101637,'Applies Forceful Headache on termination.',100,1,0),
(115232,10101637,'Inflicts 529 - 881 mental damage on target',100,2,1),
(115233,10101637,'If over 50% power',100,3,2),
(115234,10101637,'Inflicts 211 - 258 mental damage on target instantly and every 6 seconds',100,1,3),
(115235,10101637,'Decreases Mitigation of target vs arcane damage by 980',100,1,4),
(115236,114614,'Decreases WIS of target by 7.7',100,1,0),
(115237,114614,'Inflicts 66 - 111 melee damage on target',100,1,1),
(115238,114614,'You must be sneaking to use this ability.',100,1,2),
(115239,10114614,'Decreases WIS of target by 7.7',100,1,0),
(115240,10114614,'Inflicts 86 - 144 melee damage on target',100,1,1),
(115241,10114614,'You must be sneaking to use this ability.',100,1,2),
(115242,115082,'Heals target for 347 - 424',100,1,0),
(115243,115082,'Heals target for 45 - 54 every second',100,1,1),
(115244,10115082,'Heals target for 644 - 787',100,1,0),
(115245,10115082,'Heals target for 48 - 59 every second',100,1,1),
(115246,184749,'When Equipped:',100,0,0),
(115247,184749,'Applies Frosty Breath',100,1,1),
(115248,10184749,'When Equipped:',100,0,0),
(115249,10184749,'Applies Frosty Breath',100,1,1),
(115250,117526,'Increases AGI, INT and WIS of group members (AE) by 29.4',100,1,0),
(115251,117526,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 114',100,1,1),
(115252,10117526,'Increases AGI, INT and WIS of group members (AE) by 29.4',100,1,0),
(115253,10117526,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 114',100,1,1),
(115254,40975,'When Equipped:',100,0,0),
(115255,40975,'On a ranged hit this spell may cast Talon Strike on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115256,40975,'Inflicts 189 - 441 slashing damage on target',100,2,2),
(115257,40975,'Adds normalized combat art damage based on 10% of your current agility.',100,2,3),
(115258,40975,'Gives caster a 20.0% chance to not use ammunition on an attack',100,2,4),
(115259,40975,'Cannot be modified except by direct means',100,2,5),
(115260,40975,'Cannot be modified except by direct means',100,1,6),
(115261,10040975,'When Equipped:',100,0,0),
(115262,10040975,'On a ranged hit this spell may cast Talon Strike on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115263,10040975,'Inflicts 265 - 618 slashing damage on target',100,2,2),
(115264,10040975,'Adds normalized combat art damage based on 10% of your current agility.',100,2,3),
(115265,10040975,'Gives caster a 20.0% chance to not use ammunition on an attack',100,2,4),
(115266,10040975,'Cannot be modified except by direct means',100,2,5),
(115267,10040975,'Cannot be modified except by direct means',100,1,6),
(115268,87431,'When Equipped:',100,0,0),
(115269,87431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115270,87431,'Inflicts 38 - 56 magic damage on target',100,2,2),
(115271,87431,'Cannot be modified except by direct means',100,2,3),
(115272,10087431,'When Equipped:',100,0,0),
(115273,10087431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115274,10087431,'Inflicts 53 - 79 magic damage on target',100,2,2),
(115275,10087431,'Cannot be modified except by direct means',100,2,3),
(115276,52804,'Applies Sanguine Imbued when Equipped.',100,0,0),
(115277,52804,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(115278,52804,'Inflicts 103 heat damage on target',100,2,2),
(115279,52804,'Cannot be modified except by direct means',100,2,3),
(115280,10052804,'Applies Sanguine Imbued when Equipped.',100,0,0),
(115281,10052804,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(115282,10052804,'Inflicts 144 heat damage on target',100,2,2),
(115283,10052804,'Cannot be modified except by direct means',100,2,3),
(115284,75355,'When Equipped:',100,0,0),
(115285,75355,'Reduces the reuse time of Perfection of the Maestro and Chimes of Blades by 5 seconds.',100,1,1),
(115286,10075355,'When Equipped:',100,0,0),
(115287,10075355,'Reduces the reuse time of Perfection of the Maestro and Chimes of Blades by 5 seconds.',100,1,1),
(115288,46844,'Applies Makeshift Weapon when Activated.',100,0,0),
(115289,46844,'Inflicts 125 piercing damage on target',100,1,1),
(115290,10046844,'Applies Makeshift Weapon when Activated.',100,0,0),
(115291,10046844,'Inflicts 176 piercing damage on target',100,1,1),
(115292,117537,'Increases AGI, INT and WIS of group members (AE) by 62.2',100,1,0),
(115293,117537,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 238',100,1,1),
(115294,10117537,'Increases AGI, INT and WIS of group members (AE) by 62.2',100,1,0),
(115295,10117537,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 238',100,1,1),
(115296,26102,'When Equipped:',100,0,0),
(115297,26102,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(115298,26102,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(115299,10026102,'When Equipped:',100,0,0),
(115300,10026102,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(115301,10026102,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(115302,112584,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(115303,112584,'Heals targets in Area of Effect for 198 - 242',100,2,1),
(115304,112584,'Dispels 98 levels of physical hostile effects on target',100,2,2),
(115305,10112584,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(115306,10112584,'Heals targets in Area of Effect for 129 - 157',100,2,1),
(115307,10112584,'Dispels 98 levels of physical hostile effects on target',100,2,2),
(115308,106017,'Inflicts 287 - 351 divine damage on target instantly and every 3 seconds',100,1,0),
(115309,106017,'Decreases Defense of target by 35.8',100,1,1),
(115310,10106017,'Inflicts 268 - 328 divine damage on target instantly and every 3 seconds',100,1,0),
(115311,10106017,'Decreases Defense of target by 35.8',100,1,1),
(115312,71775,'When Equipped:',100,0,0),
(115313,71775,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115314,71775,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(115315,71775,'Cannot be modified except by direct means',100,2,3),
(115316,10071775,'When Equipped:',100,0,0),
(115317,10071775,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115318,10071775,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(115319,10071775,'Cannot be modified except by direct means',100,2,3),
(115320,122287,'Decreases Threat to targets in Area of Effect by 3,615 ',100,1,0),
(115321,122287,'Makes targets in Area of Effect afraid',100,1,1),
(115322,122287,'If Target is not Epic',100,2,2),
(115323,122287,'30% chance to dispel when target takes damage',100,1,3),
(115324,10122287,'Applies Distract.',100,1,0),
(115325,10122287,'Forces target to clear their selected target.',100,2,1),
(115326,10122287,'Makes targets in Area of Effect afraid',100,1,2),
(115327,10122287,'If Target is not Epic',100,2,3),
(115328,10122287,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(115329,10122287,'30% chance to dispel when target takes damage',100,1,5),
(115330,40827,'When Equipped:',100,0,0),
(115331,40827,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(115332,40827,'Inflicts 2648 piercing damage on target',100,2,2),
(115333,40827,'Cannot be modified except by direct means',100,2,3),
(115334,10040827,'When Equipped:',100,0,0),
(115335,10040827,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(115336,10040827,'Inflicts 1854 piercing damage on target',100,2,2),
(115337,10040827,'Cannot be modified except by direct means',100,2,3),
(115338,47109,'Applies Alchtonion''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(115339,47109,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(115340,10047109,'Applies Alchtonion''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(115341,10047109,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(115342,105202,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(115343,105202,'Inflicts 162 - 198 poison damage on target encounter',100,2,1),
(115344,10105202,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(115345,10105202,'Inflicts 227 - 277 poison damage on target encounter',100,2,1),
(115346,48340,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(115347,48340,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(115348,48340,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(115349,48340,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(115350,48340,'You can only have one experience potion active at a time.',100,1,4),
(115351,10048340,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(115352,10048340,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(115353,10048340,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(115354,10048340,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(115355,10048340,'You can only have one experience potion active at a time.',100,1,4),
(115356,121223,'Reduces physical damage done to caster by 5%',100,1,0),
(115357,121223,'Adds 1.7% to base avoidance.',100,1,1),
(115358,121223,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(115359,121223,'Increases Aggression of caster by 4.0',100,1,3),
(115360,121223,'Increases Defense and Parry of caster by 6.3',100,1,4),
(115361,121223,'Increases Mitigation of caster vs noxious and arcane damage by 42',100,1,5),
(115362,121223,'Increases Mitigation of caster vs elemental damage by 418',100,1,6),
(115363,121223,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(115364,10121223,'Reduces physical damage done to caster by 5%',100,1,0),
(115365,10121223,'Adds 1.7% to base avoidance.',100,1,1),
(115366,10121223,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(115367,10121223,'Increases Aggression of caster by 4.0',100,1,3),
(115368,10121223,'Increases Defense and Parry of caster by 6.3',100,1,4),
(115369,10121223,'Increases Mitigation of caster vs noxious and arcane damage by 42',100,1,5),
(115370,10121223,'Increases Mitigation of caster vs elemental damage by 418',100,1,6),
(115371,10121223,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(115372,74740,'When Equipped:',100,0,0),
(115373,74740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115374,74740,'Inflicts 241 - 362 magic damage on target',100,2,2),
(115375,74740,'Cannot be modified except by direct means',100,2,3),
(115376,10074740,'When Equipped:',100,0,0),
(115377,10074740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115378,10074740,'Inflicts 337 - 506 magic damage on target',100,2,2),
(115379,10074740,'Cannot be modified except by direct means',100,2,3),
(115380,141918,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(115381,141918,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(115382,141918,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(115383,141918,'Cannot be modified except by direct means',100,2,3),
(115384,10141918,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(115385,10141918,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(115386,10141918,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(115387,10141918,'Cannot be modified except by direct means',100,2,3),
(115388,80254,'When Equipped:',100,0,0),
(115389,80254,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115390,80254,'Decreases Threat to target by 801 ',100,2,2),
(115391,80254,'Must be flanking or behind',100,3,3),
(115392,80254,'Increases Threat to target by 801 ',100,2,4),
(115393,80254,'Must be in front of',100,3,5),
(115394,80254,'Inflicts 224 - 415 magic damage on target',100,2,6),
(115395,80254,'Cannot be modified except by direct means',100,2,7),
(115396,10080254,'When Equipped:',100,0,0),
(115397,10080254,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115398,10080254,'Inflicts 313 - 581 magic damage on target',100,2,2),
(115399,10080254,'Cannot be modified except by direct means',100,2,3),
(115400,114962,'Decreases Attack Speed of target by 10.2',100,1,0),
(115401,114962,'Inflicts 53 - 161 slashing damage on target',100,1,1),
(115402,114962,'Inflicts 108 slashing damage on target instantly and every 4 seconds',100,1,2),
(115403,10114962,'Decreases Attack Speed of target by 10.2',100,1,0),
(115404,10114962,'Inflicts 70 - 210 slashing damage on target',100,1,1),
(115405,10114962,'Inflicts 151 slashing damage on target instantly and every 4 seconds',100,1,2),
(115406,177512,'When Equipped:',100,0,0),
(115407,177512,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(115408,177512,'Increases AGI of caster by 14.8',100,2,2),
(115409,177512,'Increases Attack Speed of caster by 16.5',100,2,3),
(115410,177512,'Cannot be modified except by direct means',100,2,4),
(115411,10177512,'When Equipped:',100,0,0),
(115412,10177512,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(115413,10177512,'Increases AGI of caster by 14.8',100,2,2),
(115414,10177512,'Increases Attack Speed of caster by 16.5',100,2,3),
(115415,10177512,'Cannot be modified except by direct means',100,2,4),
(115416,48173,'Applies Reap when Activated.',100,0,0),
(115417,10048173,'Applies Reap when Activated.',100,0,0),
(115418,46496,'When Equipped:',100,0,0),
(115419,46496,'Increases Ground Mount Speed of caster by 2.0%',100,1,1),
(115420,46496,'This effect suspends during combat',100,1,2),
(115421,46496,'If on a mount',100,1,3),
(115422,10046496,'When Equipped:',100,0,0),
(115423,10046496,'Increases Ground Mount Speed of caster by 2.0%',100,1,1),
(115424,10046496,'This effect suspends during combat',100,1,2),
(115425,10046496,'If on a mount',100,1,3),
(115426,112915,'Increases Damage Per Second of caster by 79.0',100,1,0),
(115427,112915,'Increases Ranged of caster by 34.0',100,1,1),
(115428,10112915,'Increases Damage Per Second of caster by 79.0',100,1,0),
(115429,10112915,'Increases Ranged of caster by 34.0',100,1,1),
(115430,113525,'Summons a pet a lucky teralid',100,1,0),
(115431,10113525,'Summons a pet a lucky teralid',100,1,0),
(115432,118344,'Inflicts 76 - 127 melee damage on target',100,1,0),
(115433,118344,'Inflicts 77 - 128 heat damage on target every 4 seconds',100,1,1),
(115434,10118344,'Inflicts 99 - 166 melee damage on target',100,1,0),
(115435,10118344,'Inflicts 107 - 179 heat damage on target every 4 seconds',100,1,1),
(115436,119437,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(115437,119437,'Throws target back',100,2,1),
(115438,119437,'Stuns target',100,2,2),
(115439,119437,'Blurs vision of target',100,2,3),
(115440,119437,'Does not affect Epic targets',100,2,4),
(115441,119437,'Inflicts 896 - 1494 melee damage on target',100,1,5),
(115442,119437,'You must be sneaking to use this ability.',100,1,6),
(115443,10119437,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(115444,10119437,'Blurs vision of target',100,2,1),
(115445,10119437,'Throws target back',100,2,2),
(115446,10119437,'Stuns target',100,2,3),
(115447,10119437,'Does not affect Epic targets',100,2,4),
(115448,10119437,'Inflicts 1165 - 1943 melee damage on target',100,1,5),
(115449,10119437,'You must be sneaking to use this ability.',100,1,6),
(115450,147265,'When Equipped:',100,0,0),
(115451,147265,'Increases Attack Speed of caster by 45.0',100,1,1),
(115452,10147265,'When Equipped:',100,0,0),
(115453,10147265,'Increases Attack Speed of caster by 45.0',100,1,1),
(115454,155480,'When Equipped:',100,0,0),
(115455,155480,'On a damage spell hit this spell may cast Arcane Languid Pace IV on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(115456,155480,'Decreases Attack Speed of target by 12.0',100,2,2),
(115457,155480,'Cannot be modified except by direct means',100,2,3),
(115458,10155480,'When Equipped:',100,0,0),
(115459,10155480,'On a damage spell hit this spell may cast Arcane Languid Pace IV on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(115460,10155480,'Decreases Attack Speed of target by 12.0',100,2,2),
(115461,10155480,'Cannot be modified except by direct means',100,2,3),
(115462,123955,'Inflicts 21 - 35 melee damage on target',100,1,0),
(115463,123955,'Decreases AGI of target by 9.0',100,1,1),
(115464,123955,'Must be behind',100,1,2),
(115465,10123955,'Inflicts 28 - 46 melee damage on target',100,1,0),
(115466,10123955,'Decreases AGI of target by 9.0',100,1,1),
(115467,10123955,'Must be behind',100,1,2),
(115468,111688,'Inflicts 210 - 256 cold damage on target',100,1,0),
(115469,111688,'Inflicts 210 - 256 cold damage on target',100,1,1),
(115470,111688,'If target is elemental',100,2,2),
(115471,10111688,'Inflicts 251 - 307 cold damage on target',100,1,0),
(115472,123398,'When damaged with a melee weapon this spell has a 5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(115473,123398,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(115474,10123398,'When damaged with a melee weapon this spell has a 5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(115475,10123398,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(115476,102818,'Summons 3 limited pets to aid the caster',100,1,0),
(115477,10102818,'Summons 3 limited pets to aid the caster',100,1,0),
(115478,117490,'Increases Attack Speed of target by 29.6',100,1,0),
(115479,10117490,'Increases Attack Speed of target by 29.6',100,1,0),
(115480,117124,'Inflicts 53 - 65 heat damage on target instantly and every 4 seconds',100,1,0),
(115481,117124,'Decreases Mitigation of target vs arcane damage by 253',100,1,1),
(115482,10117124,'Inflicts 75 - 92 heat damage on target instantly and every 4 seconds',100,1,0),
(115483,10117124,'Decreases Mitigation of target vs arcane damage by 253',100,1,1),
(115484,113907,'Inflicts 309 - 516 disease damage on target',100,1,0),
(115485,113907,'Inflicts 77 - 129 disease damage on target every 4 seconds',100,1,1),
(115486,113907,'Increases power of caster by 118 - 196',100,1,2),
(115487,113907,'Increases power of caster by 26 - 43 every 4 seconds',100,1,3),
(115488,10113907,'Inflicts 433 - 722 disease damage on target',100,1,0),
(115489,10113907,'Inflicts 108 - 180 disease damage on target every 4 seconds',100,1,1),
(115490,10113907,'Increases power of caster by 118 - 196',100,1,2),
(115491,10113907,'Increases power of caster by 26 - 43 every 4 seconds',100,1,3),
(115492,162074,'When Equipped:',100,0,0),
(115493,162074,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(115494,162074,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(115495,162074,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(115496,162074,'Must not be engaged in pvp combat',100,2,4),
(115497,162074,'Cannot be modified except by direct means',100,2,5),
(115498,10162074,'When Equipped:',100,0,0),
(115499,10162074,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(115500,10162074,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(115501,10162074,'Inflicts 5827 - 6440 heat damage on target encounter',100,2,3),
(115502,10162074,'Must not be engaged in pvp combat',100,2,4),
(115503,10162074,'Cannot be modified except by direct means',100,2,5),
(115504,116333,'Decreases Threat to targets in Area of Effect by 308 ',100,1,0),
(115505,116333,'Makes targets in Area of Effect afraid',100,1,1),
(115506,116333,'30% chance to dispel when target takes damage',100,1,2),
(115507,10116333,'Makes targets in Area of Effect afraid',100,1,0),
(115508,10116333,'30% chance to dispel when target takes damage',100,1,1),
(115509,35677,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(115510,115269,'Heals target for 561',100,1,0),
(115511,115269,'Heals target for 93 every second',100,1,1),
(115512,115269,'Dispels 90 levels of any hostile effects on target',100,1,2),
(115513,10115269,'Heals target for 364',100,1,0),
(115514,10115269,'Heals target for 61 every second',100,1,1),
(115515,10115269,'Dispels 90 levels of any hostile effects on target',100,1,2),
(115516,108884,'Inflicts 374 - 624 melee damage on target',100,1,0),
(115517,108884,'Decreases INT of target by 150.0',100,1,1),
(115518,10108884,'Inflicts 487 - 811 melee damage on target',100,1,0),
(115519,10108884,'Decreases INT of target by 150.0',100,1,1),
(115520,105493,'Stuns target encounter',100,1,0),
(115521,105493,'If Target is not Epic',100,2,1),
(115522,105493,'Inflicts 787 - 1462 poison damage on target encounter',100,1,2),
(115523,105493,'Resistibility increases against targets higher than level 105.',100,1,3),
(115524,10105493,'Stuns target encounter',100,1,0),
(115525,10105493,'If Target is not Epic',100,2,1),
(115526,10105493,'Inflicts 1102 - 2046 poison damage on target encounter',100,1,2),
(115527,10105493,'Resistibility increases against targets higher than level 105.',100,1,3),
(115528,26992,'When Equipped:',100,0,0),
(115529,26992,'Increases all disease damage by up to 45.',100,1,1),
(115530,10026992,'When Equipped:',100,0,0),
(115531,10026992,'Increases all disease damage by up to 45.',100,1,1),
(115532,109880,'Increases Defense of group members (AE) by 31.8',100,1,0),
(115533,10109880,'Increases Defense of group members (AE) by 31.8',100,1,0),
(115534,103199,'Increases Mitigation of caster vs physical damage by 432',100,1,0),
(115535,103199,'Roots caster',100,1,1),
(115536,10103199,'Increases Mitigation of caster vs physical damage by 432',100,1,0),
(115537,10103199,'Roots caster',100,1,1),
(115538,138544,'When Equipped:',100,0,0),
(115539,138544,'On any combat or spell hit this spell may cast Disease Cloud on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115540,138544,'Inflicts 206 - 252 disease damage on target encounter instantly and every 3 seconds',100,2,2),
(115541,138544,'Cannot be modified except by direct means',100,2,3),
(115542,138544,'When Equipped:',100,0,4),
(115543,138544,'Reduces the reuse timers of all spells and combat arts by 5%.',100,1,5),
(115544,10138544,'When Equipped:',100,0,0),
(115545,10138544,'On any combat or spell hit this spell may cast Disease Cloud on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115546,10138544,'Inflicts 245 - 300 disease damage on target encounter',100,2,2),
(115547,10138544,'Inflicts 289 - 353 disease damage on target encounter every 3 seconds',100,2,3),
(115548,10138544,'Cannot be modified except by direct means',100,2,4),
(115549,10138544,'When Equipped:',100,0,5),
(115550,10138544,'Reduces the reuse timers of all spells and combat arts by 5%.',100,1,6),
(115551,81600,'When Equipped:',100,0,0),
(115552,81600,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115553,81600,'Decreases Threat to target by 376 ',100,2,2),
(115554,81600,'Must be flanking or behind',100,3,3),
(115555,81600,'Increases Threat to target by 376 ',100,2,4),
(115556,81600,'Must be in front of',100,3,5),
(115557,81600,'Inflicts 144 - 268 magic damage on target',100,2,6),
(115558,81600,'Cannot be modified except by direct means',100,2,7),
(115559,10081600,'When Equipped:',100,0,0),
(115560,10081600,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(115561,10081600,'Inflicts 202 - 375 magic damage on target',100,2,2),
(115562,10081600,'Cannot be modified except by direct means',100,2,3),
(115563,100151,'Inflicts 96 - 117 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(115564,100151,'Decreases Mitigation of target encounter vs noxious damage by 743',100,1,1),
(115565,10100151,'Inflicts 134 - 164 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(115566,10100151,'Decreases Mitigation of target encounter vs noxious damage by 743',100,1,1),
(115567,106487,'Decreases STR and AGI of target by 54.0',100,1,0),
(115568,10106487,'Decreases STR and AGI of target by 54.0',100,1,0),
(115569,162123,'When Equipped:',100,0,0),
(115570,162123,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(115571,162123,'Increases power of target by 23 instantly and every 4 seconds',100,2,2),
(115572,162123,'Cannot be modified except by direct means',100,2,3),
(115573,10162123,'When Equipped:',100,0,0),
(115574,10162123,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(115575,10162123,'Increases power of target by 23 instantly and every 4 seconds',100,2,2),
(115576,10162123,'Cannot be modified except by direct means',100,2,3),
(115577,114172,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(115578,114172,'Heals target for 1115',100,2,1),
(115579,114172,'Grants a total of 1 trigger of the spell.',100,2,2),
(115580,10114172,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(115581,10114172,'Heals target for 725',100,2,1),
(115582,10114172,'Grants a total of 1 trigger of the spell.',100,2,2),
(115583,79439,'When Equipped:',100,0,0),
(115584,79439,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(115585,79439,'Inflicts 1986 piercing damage on target',100,2,2),
(115586,79439,'Cannot be modified except by direct means',100,2,3),
(115587,10079439,'When Equipped:',100,0,0),
(115588,10079439,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(115589,10079439,'Inflicts 1390 piercing damage on target',100,2,2),
(115590,10079439,'Cannot be modified except by direct means',100,2,3),
(115591,159833,'Applies Sanguine Imbued when Equipped.',100,0,0),
(115592,159833,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(115593,159833,'Inflicts 186 heat damage on target',100,2,2),
(115594,159833,'Cannot be modified except by direct means',100,2,3),
(115595,10159833,'Applies Sanguine Imbued when Equipped.',100,0,0),
(115596,10159833,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(115597,10159833,'Inflicts 260 heat damage on target',100,2,2),
(115598,10159833,'Cannot be modified except by direct means',100,2,3),
(115599,88995,'When Equipped:',100,0,0),
(115600,88995,'On a spell cast this spell has a 15% chance to cast Marr''s Favor on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(115601,88995,'Increases the damage of spells by up to 25% of your total strength.',100,2,2),
(115602,88995,'Cannot be modified except by direct means',100,2,3),
(115603,88995,'On a combat hit this spell may cast Marr''s Fury on target of attack.  Triggers about 3.0 times per minute. ',100,1,4),
(115604,88995,'Inflicts 696 - 851 divine damage on caster',100,2,5),
(115605,88995,'Cannot be modified except by direct means',100,2,6),
(115606,88995,'Cannot be modified except by direct means',100,1,7),
(115607,88995,'Applies Holy Avenger when Activated.  Lasts for 24.0 seconds.',100,0,8),
(115608,88995,'Summons a Holy Avenger that transfers life from surrounding enemies to your allies.',100,1,9),
(115609,88995,'The casting time of Holy Avenger is 2.0 seconds and the reuse time of the spell is 6 minutes',100,1,10),
(115610,88995,'When Equipped:',100,0,11),
(115611,88995,'When the paladin takes damage, they will heal themselves for 10% of the damage amount.',100,1,12),
(115612,88995,'Reduces physical damage done to caster by 10%',100,1,13),
(115613,10088995,'When Equipped:',100,0,0),
(115614,10088995,'On a spell cast this spell has a 15% chance to cast Marr''s Favor on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(115615,10088995,'Increases the damage of spells by up to 25% of your total strength.',100,2,2),
(115616,10088995,'Cannot be modified except by direct means',100,2,3),
(115617,10088995,'On a combat hit this spell may cast Marr''s Fury on target of attack.  Triggers about 3.0 times per minute. ',100,1,4),
(115618,10088995,'Inflicts 975 - 1191 divine damage on caster',100,2,5),
(115619,10088995,'Cannot be modified except by direct means',100,2,6),
(115620,10088995,'Cannot be modified except by direct means',100,1,7),
(115621,10088995,'Applies Holy Avenger when Activated.  Lasts for 24.0 seconds.',100,0,8),
(115622,10088995,'Summons a Holy Avenger that transfers life from surrounding enemies to your allies.',100,1,9),
(115623,10088995,'The casting time of Holy Avenger is 2.0 seconds and the reuse time of the spell is 6 minutes',100,1,10),
(115624,10088995,'When Equipped:',100,0,11),
(115625,10088995,'When the paladin takes damage, they will heal themselves for 10% of the damage amount.',100,1,12),
(115626,10088995,'Reduces physical damage done to caster by 10%',100,1,13),
(115627,48421,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(115628,48421,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(115629,48421,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(115630,48421,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(115631,48421,'Cannot be modified except by direct means',100,2,4),
(115632,48421,'Grants a total of 80 triggers of the spell.',100,2,5),
(115633,10048421,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(115634,10048421,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(115635,10048421,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(115636,10048421,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(115637,10048421,'Cannot be modified except by direct means',100,2,4),
(115638,10048421,'Grants a total of 80 triggers of the spell.',100,2,5),
(115639,113026,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(115640,113026,'Inflicts 202 - 608 melee damage on target',100,2,1),
(115641,113026,'Stuns target',40,2,2),
(115642,113026,'If Target is not Epic',100,3,3),
(115643,113026,'Resistibility increases against targets higher than level 117.',100,2,4),
(115644,10113026,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(115645,10113026,'Inflicts 263 - 791 melee damage on target',100,2,1),
(115646,26129,'When Equipped:',100,0,0),
(115647,26129,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(115648,26129,'Grants additional mitigation while Sigil of Heroism is active.',100,1,2),
(115649,10026129,'When Equipped:',100,0,0),
(115650,10026129,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(115651,10026129,'Grants additional mitigation while Sigil of Heroism is active.',100,1,2),
(115652,47043,'Applies Call Gold-saddled Midnight Mistrunner when Activated.',100,0,0),
(115653,47043,'Summons a mount to ride',100,1,1),
(115654,47043,'Increases your ground speed by 130%',100,2,2),
(115655,47043,'Increases Max Power of caster by 150.0',100,1,3),
(115656,47043,'Increases Max Health of caster by 150.0',100,1,4),
(115657,47043,'Increases Crushing, Slashing, Disruption, Piercing and Ranged of caster by 7.0',100,1,5),
(115658,47043,'Requires good alignment',100,1,6),
(115659,10047043,'Applies Call Gold-saddled Midnight Mistrunner when Activated.',100,0,0),
(115660,10047043,'Summons a mount to ride',100,1,1),
(115661,10047043,'Increases your ground speed by 130%',100,2,2),
(115662,10047043,'Increases Max Power of caster by 150.0',100,1,3),
(115663,10047043,'Increases Max Health of caster by 150.0',100,1,4),
(115664,10047043,'Increases Crushing, Slashing, Disruption, Piercing and Ranged of caster by 7.0',100,1,5),
(115665,10047043,'Requires good alignment',100,1,6),
(115666,104094,'Inflicts 473 - 789 mental damage on target',100,1,0),
(115667,104094,'Inflicts 473 - 789 mental damage on target',100,1,1),
(115668,10104094,'Inflicts 616 - 1026 mental damage on target',100,1,0),
(115669,10104094,'Inflicts 616 - 1026 mental damage on target',100,1,1),
(115670,100229,'Increases Threat to target encounter by 1,024 - 1,252 ',100,1,0),
(115671,100229,'Interrupts target encounter',100,1,1),
(115672,10100229,'Interrupts target encounter',100,1,0),
(115673,10100229,'Forces target encounter to change their selected target to caster.',100,1,1),
(115674,10100229,'Prevents target encounter from changing targets',100,1,2),
(115675,160863,'When Equipped:',100,0,0),
(115676,160863,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(115677,160863,'Inflicts 1199 cold damage on target encounter',100,2,2),
(115678,160863,'Cannot be modified except by direct means',100,2,3),
(115679,10160863,'When Equipped:',100,0,0),
(115680,10160863,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(115681,10160863,'Inflicts 839 cold damage on target encounter',100,2,2),
(115682,10160863,'Cannot be modified except by direct means',100,2,3),
(115683,107986,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(115684,107986,'Increases Mitigation of group members (AE) vs elemental damage by 259',100,1,1),
(115685,10107986,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(115686,10107986,'Increases Mitigation of group members (AE) vs elemental damage by 259',100,1,1),
(115687,122671,'Decreases Defense of target by 16.5',100,1,0),
(115688,122671,'Decreases Mitigation of target vs physical damage by 275',100,1,1),
(115689,10122671,'Decreases Defense of target by 16.5',100,1,0),
(115690,10122671,'Decreases Mitigation of target vs physical damage by 275',100,1,1),
(115691,106054,'Increases AGI of caster by 66.8',100,1,0),
(115692,106054,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(115693,106054,'Inflicts 110 - 184 disease damage on target',100,2,2),
(115694,106054,'Adds 18.7% to base avoidance.',100,1,3),
(115695,106054,'Increases Mitigation of caster vs physical damage by 344',100,1,4),
(115696,106054,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,5),
(115697,10106054,'Increases AGI of caster by 66.8',100,1,0),
(115698,10106054,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(115699,10106054,'Inflicts 154 - 257 disease damage on target',100,2,2),
(115700,10106054,'Adds 18.7% to base avoidance.',100,1,3),
(115701,10106054,'Increases Mitigation of caster vs physical damage by 344',100,1,4),
(115702,10106054,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,5),
(115703,100583,'Inflicts 119 - 198 melee damage on target',100,1,0),
(115704,100583,'You must be sneaking to use this ability.',100,1,1),
(115705,10100583,'Inflicts 185 - 308 melee damage on target',100,1,0),
(115706,10100583,'You must be sneaking to use this ability.',100,1,1),
(115707,118503,'Summons a limited pet to aid the caster',100,1,0),
(115708,10118503,'Summons a limited pet to aid the caster',100,1,0),
(115709,109177,'Roots target',100,1,0),
(115710,109177,'Applies Blind.  Lasts for 7.0 seconds.',100,1,1),
(115711,109177,'Dazes target',100,2,2),
(115712,109177,'Blurs vision of target',100,2,3),
(115713,109177,'Dispelled when target takes damage',100,2,4),
(115714,109177,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(115715,109177,'5% chance to dispel when target takes damage',100,1,6),
(115716,109177,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,7),
(115717,109177,'Resistibility increases against targets higher than level 76.',100,1,8),
(115718,10109177,'Roots target',100,1,0),
(115719,10109177,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(115720,10109177,'Blurs vision of target',100,2,2),
(115721,10109177,'Dazes target',100,2,3),
(115722,10109177,'Dispelled when target takes damage',100,2,4),
(115723,10109177,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(115724,10109177,'5% chance to dispel when target takes damage',100,1,6),
(115725,10109177,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(115726,10109177,'Resistibility increases against targets higher than level 76.',100,1,8),
(115727,83978,'Applies Lightning Shock when Activated.',100,0,0),
(115728,83978,'Inflicts 115 - 191 magic damage on target',100,1,1),
(115729,83978,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(115730,10083978,'Applies Lightning Shock when Activated.',100,0,0),
(115731,10083978,'Inflicts 161 - 268 magic damage on target',100,1,1),
(115732,10083978,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(115733,120704,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 14.9',100,1,0),
(115734,10120704,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 14.9',100,1,0),
(115735,52630,'When Equipped:',100,0,0),
(115736,52630,'When any damage is received this spell has a 7.5% chance to cast Enfeeblement on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(115737,52630,'Decreases STR of target encounter by 22.8',100,2,2),
(115738,52630,'Cannot be modified except by direct means',100,2,3),
(115739,10052630,'When Equipped:',100,0,0),
(115740,10052630,'When any damage is received this spell has a 7.5% chance to cast Enfeeblement on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(115741,10052630,'Decreases STR of target encounter by 22.8',100,2,2),
(115742,10052630,'Cannot be modified except by direct means',100,2,3),
(115743,121413,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(115744,121413,'Slows target by 33.2%',100,2,1),
(115745,121413,'5% chance to dispel when target receives hostile action',100,2,2),
(115746,121413,'5% chance to dispel when target takes damage',100,2,3),
(115747,121413,'Inflicts 51 - 86 ranged damage on target',100,1,4),
(115748,121413,'Inflicts 51 - 86 ranged damage on target',100,1,5),
(115749,121413,'If weapon equipped in Ranged',100,1,6),
(115750,10121413,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(115751,10121413,'Slows target by 33.2%',100,2,1),
(115752,10121413,'5% chance to dispel when target receives hostile action',100,2,2),
(115753,10121413,'5% chance to dispel when target takes damage',100,2,3),
(115754,10121413,'Inflicts 43 - 73 ranged damage on target',100,1,4),
(115755,10121413,'Inflicts 43 - 73 ranged damage on target',100,1,5),
(115756,10121413,'If weapon equipped in Ranged',100,1,6),
(115757,113585,'Mesmerizes target',100,1,0),
(115758,113585,'Prevents AOE (except when direct) ',100,1,1),
(115759,113585,'Dispelled when target takes damage',100,1,2),
(115760,113585,'Does not affect Epic targets',100,1,3),
(115761,113585,'Resistibility increases against targets higher than level 109.',100,1,4),
(115762,10113585,'Mesmerizes target',100,1,0),
(115763,10113585,'Prevents AOE (except when direct) ',100,1,1),
(115764,10113585,'Dispelled when target takes damage',100,1,2),
(115765,10113585,'Does not affect Epic targets',100,1,3),
(115766,10113585,'Resistibility increases against targets higher than level 109.',100,1,4),
(115767,121380,'Inflicts 197 - 365 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(115768,10121380,'Inflicts 275 - 512 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(115769,114751,'Inflicts 2306 - 3844 melee damage on target',100,1,0),
(115770,114751,'You must be in stealth.',100,1,1),
(115771,10114751,'Inflicts 1786 - 2977 melee damage on target',100,1,0),
(115772,10114751,'You must be in stealth.',100,1,1),
(115773,102987,'Increases STR and AGI of group members (AE) by 65.7',100,1,0),
(115774,10102987,'Increases STR and AGI of group members (AE) by 65.7',100,1,0),
(115775,80841,'When Equipped:',100,0,0),
(115776,80841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115777,80841,'Inflicts 255 - 474 magic damage on target',100,2,2),
(115778,80841,'Cannot be modified except by direct means',100,2,3),
(115779,10080841,'When Equipped:',100,0,0),
(115780,10080841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115781,10080841,'Inflicts 358 - 664 magic damage on target',100,2,2),
(115782,10080841,'Cannot be modified except by direct means',100,2,3),
(115783,144673,'When Equipped:',100,0,0),
(115784,144673,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(115785,144673,'Must be engaged in pvp combat',100,1,2),
(115786,10144673,'When Equipped:',100,0,0),
(115787,10144673,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(115788,10144673,'Must be engaged in pvp combat',100,1,2),
(115789,110860,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(115790,110860,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,1),
(115791,110860,'Blurs vision of target',100,3,2),
(115792,110860,'Throws target back',100,3,3),
(115793,110860,'Stuns target',100,3,4),
(115794,110860,'Does not affect Epic targets',100,3,5),
(115795,110860,'Inflicts 445 - 742 divine damage on target',100,2,6),
(115796,110860,'Grants a total of 3 triggers of the spell.',100,2,7),
(115797,10110860,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(115798,10110860,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,1),
(115799,10110860,'Throws target back',100,3,2),
(115800,10110860,'Stuns target',100,3,3),
(115801,10110860,'Blurs vision of target',100,3,4),
(115802,10110860,'Does not affect Epic targets',100,3,5),
(115803,10110860,'Inflicts 623 - 1039 divine damage on target',100,2,6),
(115804,10110860,'Grants a total of 3 triggers of the spell.',100,2,7),
(115805,115731,'Wards caster against 6440 points of elemental, noxious and arcane damage',100,1,0),
(115806,10115731,'Wards caster against 6440 points of elemental, noxious and arcane damage',100,1,0),
(115807,46957,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(115808,46957,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(115809,46957,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(115810,46957,'Cannot be modified except by direct means',100,2,3),
(115811,46957,'Grants a total of 80 triggers of the spell.',100,2,4),
(115812,10046957,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(115813,10046957,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(115814,10046957,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(115815,10046957,'Cannot be modified except by direct means',100,2,3),
(115816,10046957,'Grants a total of 80 triggers of the spell.',100,2,4),
(115817,112258,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(115818,112258,'Decreases power of target by 306',100,2,1),
(115819,112258,'Increases power of caster by 197',100,2,2),
(115820,10112258,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(115821,10112258,'Decreases power of target by 306',100,2,1),
(115822,10112258,'Increases power of caster by 157',100,2,2),
(115823,89507,'When Equipped:',100,0,0),
(115824,89507,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(115825,10089507,'When Equipped:',100,0,0),
(115826,10089507,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(115827,104080,'Inflicts 247 - 413 mental damage on target',100,1,0),
(115828,104080,'Inflicts 247 - 413 mental damage on target',100,1,1),
(115829,10104080,'Inflicts 322 - 536 mental damage on target',100,1,0),
(115830,10104080,'Inflicts 322 - 536 mental damage on target',100,1,1),
(115831,120977,'Inflicts 2170 - 3617 ranged damage on target',100,1,0),
(115832,120977,'If weapon equipped in Ranged',100,1,1),
(115833,120977,'Must be behind',100,1,2),
(115834,10120977,'Inflicts 1845 - 3075 ranged damage on target',100,1,0),
(115835,10120977,'If weapon equipped in Ranged',100,1,1),
(115836,10120977,'Must be behind',100,1,2),
(115837,101374,'Reduces physical damage done to caster by 5%',100,1,0),
(115838,101374,'Adds 1.8% to base avoidance.',100,1,1),
(115839,101374,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(115840,101374,'Increases Aggression of caster by 19.6',100,1,3),
(115841,101374,'Increases Defense and Parry of caster by 31.4',100,1,4),
(115842,101374,'Increases Mitigation of caster vs noxious and arcane damage by 200',100,1,5),
(115843,101374,'Increases Mitigation of caster vs elemental damage by 1996',100,1,6),
(115844,101374,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(115845,10101374,'Reduces physical damage done to caster by 5%',100,1,0),
(115846,10101374,'Adds 1.8% to base avoidance.',100,1,1),
(115847,10101374,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(115848,10101374,'Increases Aggression of caster by 19.6',100,1,3),
(115849,10101374,'Increases Defense and Parry of caster by 31.4',100,1,4),
(115850,10101374,'Increases Mitigation of caster vs noxious and arcane damage by 200',100,1,5),
(115851,10101374,'Increases Mitigation of caster vs elemental damage by 1996',100,1,6),
(115852,10101374,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(115853,117510,'Increases AGI, INT and WIS of group members (AE) by 8.1',100,1,0),
(115854,117510,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 18',100,1,1),
(115855,10117510,'Increases AGI, INT and WIS of group members (AE) by 8.1',100,1,0),
(115856,10117510,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 18',100,1,1),
(115857,80787,'When Equipped:',100,0,0),
(115858,80787,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115859,80787,'Inflicts 175 - 325 magic damage on target',100,2,2),
(115860,80787,'Cannot be modified except by direct means',100,2,3),
(115861,10080787,'When Equipped:',100,0,0),
(115862,10080787,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(115863,10080787,'Inflicts 245 - 455 magic damage on target',100,2,2),
(115864,10080787,'Cannot be modified except by direct means',100,2,3),
(115865,25760,'When Equipped:',100,0,0),
(115866,25760,'Improves the base heal amount of Ritual Healing VIII by 10% and health bonus by 25%.',100,1,1),
(115867,25760,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(115868,10025760,'When Equipped:',100,0,0),
(115869,10025760,'Improves the base heal amount of Ritual Healing VIII by 10% and health bonus by 25%.',100,1,1),
(115870,10025760,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(115871,114039,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(115872,114039,'Heals target for 71 instantly and every 2 seconds',100,2,1),
(115873,114039,'Decreases Mitigation of target vs arcane damage by 1378',100,1,2),
(115874,10114039,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(115875,10114039,'Heals target for 231 instantly and every 2 seconds',100,2,1),
(115876,10114039,'Decreases Mitigation of target vs arcane damage by 1378',100,1,2),
(115877,35529,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(115878,71990,'When Equipped:',100,0,0),
(115879,71990,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115880,71990,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(115881,71990,'Cannot be modified except by direct means',100,2,3),
(115882,10071990,'When Equipped:',100,0,0),
(115883,10071990,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(115884,10071990,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(115885,10071990,'Cannot be modified except by direct means',100,2,3),
(115886,113105,'Heals target for 65.5 - 80.1% of max health',100,1,0),
(115887,113105,'This effect cannot be critically applied.',100,2,1),
(115888,113105,'Increases Max Health of target by 752.8',100,1,2),
(115889,113105,'Increases Mitigation of target vs physical damage by 868',100,1,3),
(115890,113105,'The healing of this spell cannot be modified except by direct means',100,1,4),
(115891,10113105,'Heals target for 26.2 - 32.0% of max health',100,1,0),
(115892,10113105,'This effect cannot be critically applied.',100,2,1),
(115893,10113105,'Increases Max Health of target by 752.8',100,1,2),
(115894,10113105,'Increases Mitigation of target vs physical damage by 868',100,1,3),
(115895,10113105,'The healing of this spell cannot be modified except by direct means',100,1,4),
(115896,118919,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(115897,118919,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 370',100,1,1),
(115898,118919,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,2),
(115899,10118919,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(115900,10118919,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 370',100,1,1),
(115901,10118919,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,2),
(115902,118484,'Summons a limited pet to aid the caster',100,1,0),
(115903,10118484,'Summons a limited pet to aid the caster',100,1,0),
(115904,163432,'When Equipped:',100,0,0),
(115905,163432,'Increases Attack Speed of caster by 35.0',100,1,1),
(115906,10163432,'When Equipped:',100,0,0),
(115907,10163432,'Increases Attack Speed of caster by 35.0',100,1,1),
(115908,116236,'Summons a pet Illusion Ally',100,1,0),
(115909,10116236,'Summons a pet Illusion Ally',100,1,0),
(115910,100059,'Decreases STR, AGI and WIS of target by 85.8',100,1,0),
(115911,10100059,'Decreases STR, AGI and WIS of target by 85.8',100,1,0),
(115912,47246,'Applies Gubbin''s Replenishment  when Activated.',100,0,0),
(115913,47246,'Heals caster for 47',100,1,1),
(115914,10047246,'Applies Gubbin''s Replenishment  when Activated.',100,0,0),
(115915,10047246,'Heals caster for 31',100,1,1),
(115916,102899,'Heals caster for 518',100,1,0),
(115917,102899,'Inflicts 1028 disease damage on targets in Area of Effect',100,1,1),
(115918,10102899,'Heals caster for 337',100,1,0),
(115919,10102899,'Inflicts 1440 disease damage on targets in Area of Effect',100,1,1),
(115920,107142,'Inflicts 616 - 753 divine damage on target',100,1,0),
(115921,107142,'Inflicts 616 - 753 divine damage on target',100,1,1),
(115922,107142,'If target is undead',100,2,2),
(115923,10107142,'Inflicts 862 - 1054 divine damage on target',100,1,0),
(115924,10107142,'Inflicts 862 - 1054 divine damage on target',100,1,1),
(115925,120557,'Decreases Defense of target by 38.0',100,1,0),
(115926,10120557,'Decreases Defense of target by 38.0',100,1,0),
(115927,121263,'Inflicts 1335 - 1631 heat damage on target encounter',100,1,0),
(115928,10121263,'Inflicts 1869 - 2284 heat damage on target encounter',100,1,0),
(115929,103053,'Inflicts 41 magic damage on target instantly and every 4 seconds',100,1,0),
(115930,103053,'Increases power of caster by 16 instantly and every 4 seconds',100,1,1),
(115931,10103053,'Inflicts 58 magic damage on target instantly and every 4 seconds',100,1,0),
(115932,10103053,'Increases power of caster by 16 instantly and every 4 seconds',100,1,1),
(115933,109855,'Increases Defense of group members (AE) by 5.9',100,1,0),
(115934,10109855,'Increases Defense of group members (AE) by 5.9',100,1,0),
(115935,46839,'Applies Major Enigmatic Formula when Activated.',100,0,0),
(115936,46839,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(115937,10046839,'Applies Major Enigmatic Formula when Activated.',100,0,0),
(115938,10046839,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(115939,123826,'Inflicts 151 - 252 magic damage on target',100,1,0),
(115940,123826,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(115941,123826,'Decreases Defense of target by 37.8',100,1,2),
(115942,123826,'Target will lose 40% more power when power is consumed',100,1,3),
(115943,123826,'40% of target''s power consumed will also be drained from target''s health',100,1,4),
(115944,10123826,'Inflicts 212 - 353 magic damage on target',100,1,0),
(115945,10123826,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(115946,10123826,'Decreases Defense of target by 37.8',100,1,2),
(115947,10123826,'Target will lose 40% more power when power is consumed',100,1,3),
(115948,10123826,'40% of target''s power consumed will also be drained from target''s health',100,1,4),
(115949,116254,'Summons a pet Illusion Ally',100,1,0),
(115950,10116254,'Summons a pet Illusion Ally',100,1,0),
(115951,158912,'When Equipped:',100,0,0),
(115952,158912,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(115953,158912,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(115954,158912,'Heals target for 15 - 17 instantly and every 2 seconds',100,2,3),
(115955,158912,'Must not be engaged in pvp combat',100,2,4),
(115956,158912,'Cannot be modified except by direct means',100,2,5),
(115957,158912,'Cannot be modified except by direct means',100,1,6),
(115958,10158912,'When Equipped:',100,0,0),
(115959,10158912,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(115960,10158912,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(115961,10158912,'Heals target for 10 - 11 instantly and every 2 seconds',100,2,3),
(115962,10158912,'Must not be engaged in pvp combat',100,2,4),
(115963,10158912,'Cannot be modified except by direct means',100,2,5),
(115964,10158912,'Cannot be modified except by direct means',100,1,6),
(115965,159572,'Applies Lambent Imbued when Equipped.',100,0,0),
(115966,159572,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(115967,159572,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(115968,159572,'Cannot be modified except by direct means',100,2,3),
(115969,10159572,'Applies Lambent Imbued when Equipped.',100,0,0),
(115970,10159572,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(115971,10159572,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(115972,10159572,'Cannot be modified except by direct means',100,2,3),
(115973,123116,'Inflicts 132 disease damage on targets in Area of Effect',100,1,0),
(115974,123116,'Inflicts 90 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(115975,10123116,'Inflicts 185 disease damage on targets in Area of Effect',100,1,0),
(115976,10123116,'Inflicts 126 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(115977,142795,'When Equipped:',100,0,0),
(115978,142795,'When any damage is received this spell has a 7.5% chance to cast Stumble on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(115979,142795,'Decreases AGI of target by 35.0',100,2,2),
(115980,142795,'Cannot be modified except by direct means',100,2,3),
(115981,142795,'When Equipped:',100,0,4),
(115982,142795,'On a hostile spell hit this spell may cast Lethargy on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(115983,142795,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,6),
(115984,142795,'Only affects targets level 60 and below',100,2,7),
(115985,142795,'Cannot be modified except by direct means',100,2,8),
(115986,142795,'When a combat art is used this spell has a 5% chance to cast Ice Blast on target of combat art.  ',100,1,9),
(115987,142795,'Inflicts 182 - 303 cold damage on target',100,2,10),
(115988,142795,'Cannot be modified except by direct means',100,2,11),
(115989,142795,'On a hostile spell hit this spell may cast Ice Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,12),
(115990,142795,'Inflicts 182 - 303 cold damage on target',100,2,13),
(115991,142795,'Cannot be modified except by direct means',100,2,14),
(115992,142795,'When a combat art is used this spell has a 5% chance to cast Lethargy on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,15),
(115993,142795,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,16),
(115994,142795,'Only affects targets level 60 and below',100,2,17),
(115995,142795,'Cannot be modified except by direct means',100,2,18),
(115996,10142795,'When Equipped:',100,0,0),
(115997,10142795,'When any damage is received this spell has a 7.5% chance to cast Stumble on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(115998,10142795,'Decreases AGI of target by 35.0',100,2,2),
(115999,10142795,'Cannot be modified except by direct means',100,2,3),
(116000,10142795,'When Equipped:',100,0,4),
(116001,10142795,'On a hostile spell hit this spell may cast Lethargy on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(116002,10142795,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,6),
(116003,10142795,'Only affects targets level 60 and below',100,2,7),
(116004,10142795,'Cannot be modified except by direct means',100,2,8),
(116005,10142795,'When a combat art is used this spell has a 5% chance to cast Ice Blast on target of combat art.  ',100,1,9),
(116006,10142795,'Inflicts 255 - 425 cold damage on target',100,2,10),
(116007,10142795,'Cannot be modified except by direct means',100,2,11),
(116008,10142795,'On a hostile spell hit this spell may cast Ice Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,12),
(116009,10142795,'Inflicts 255 - 425 cold damage on target',100,2,13),
(116010,10142795,'Cannot be modified except by direct means',100,2,14),
(116011,10142795,'When a combat art is used this spell has a 5% chance to cast Lethargy on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,15),
(116012,10142795,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,16),
(116013,10142795,'Only affects targets level 60 and below',100,2,17),
(116014,10142795,'Cannot be modified except by direct means',100,2,18),
(116015,104685,'Decreases Mitigation of target vs all damage by 376',100,1,0),
(116016,10104685,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 376',100,1,0),
(116017,10104685,'Decreases Mitigation of target vs physical damage by 314',100,1,1),
(116018,54427,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(116019,54427,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(116020,54427,'Inflicts 18 heat damage on target',100,2,2),
(116021,54427,'Cannot be modified except by direct means',100,2,3),
(116022,10054427,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(116023,10054427,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(116024,10054427,'Inflicts 25 heat damage on target',100,2,2),
(116025,10054427,'Cannot be modified except by direct means',100,2,3),
(116026,36672,'Increases INT and STA of target by 1.2',100,0,0),
(116027,36672,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(116028,109414,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(116029,109414,'Inflicts 230 - 281 cold damage on target',100,2,1),
(116030,109414,'Slows target by 49.5%',100,2,2),
(116031,109414,'5% chance to dispel when target receives hostile action',100,2,3),
(116032,109414,'5% chance to dispel when target takes damage',100,2,4),
(116033,10109414,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(116034,10109414,'Inflicts 322 - 393 cold damage on target',100,2,1),
(116035,10109414,'Slows target by 49.5%',100,2,2),
(116036,10109414,'5% chance to dispel when target receives hostile action',100,2,3),
(116037,10109414,'5% chance to dispel when target takes damage',100,2,4),
(116038,42569,'When Equipped:',100,0,0),
(116039,42569,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116040,42569,'Inflicts 204 - 307 magic damage on target',100,2,2),
(116041,42569,'Cannot be modified except by direct means',100,2,3),
(116042,10042569,'When Equipped:',100,0,0),
(116043,10042569,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116044,10042569,'Inflicts 286 - 429 magic damage on target',100,2,2),
(116045,10042569,'Cannot be modified except by direct means',100,2,3),
(116046,188769,'When Equipped:',100,0,0),
(116047,188769,'Increases Attack Speed of caster by 30.0',100,1,1),
(116048,10188769,'When Equipped:',100,0,0),
(116049,10188769,'Increases Attack Speed of caster by 30.0',100,1,1),
(116050,87289,'When Equipped:',100,0,0),
(116051,87289,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116052,87289,'Inflicts 95 - 143 magic damage on target',100,2,2),
(116053,87289,'Cannot be modified except by direct means',100,2,3),
(116054,10087289,'When Equipped:',100,0,0),
(116055,10087289,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116056,10087289,'Inflicts 133 - 200 magic damage on target',100,2,2),
(116057,10087289,'Cannot be modified except by direct means',100,2,3),
(116058,113147,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,0),
(116059,113147,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(116060,113147,'Inflicts 236 disease damage on target',100,2,2),
(116061,113147,'Heals caster for 130',100,2,3),
(116062,113147,'Shapechanges caster into a demilich',100,1,4),
(116063,10113147,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,0),
(116064,10113147,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(116065,10113147,'Inflicts 330 disease damage on target',100,2,2),
(116066,10113147,'Heals caster for 84',100,2,3),
(116067,10113147,'Shapechanges caster into a demilich',100,1,4),
(116068,40654,'When Equipped:',100,0,0),
(116069,40654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116070,40654,'Inflicts 33 - 49 magic damage on target',100,2,2),
(116071,40654,'Cannot be modified except by direct means',100,2,3),
(116072,10040654,'When Equipped:',100,0,0),
(116073,10040654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116074,10040654,'Inflicts 46 - 69 magic damage on target',100,2,2),
(116075,10040654,'Cannot be modified except by direct means',100,2,3),
(116076,177724,'When Equipped:',100,0,0),
(116077,177724,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116078,177724,'Increases WIS of caster by 3.6',100,2,2),
(116079,177724,'Increases Ministration, Ordination and Focus of caster by 2.2',100,2,3),
(116080,177724,'Cannot be modified except by direct means',100,2,4),
(116081,10177724,'When Equipped:',100,0,0),
(116082,10177724,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116083,10177724,'Increases WIS of caster by 3.6',100,2,2),
(116084,10177724,'Increases Ministration, Ordination and Focus of caster by 2.2',100,2,3),
(116085,10177724,'Cannot be modified except by direct means',100,2,4),
(116086,45880,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(116087,45880,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(116088,45880,'Requires 24 Health to cast.',100,1,2),
(116089,10045880,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(116090,10045880,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(116091,10045880,'Requires 24 Health to cast.',100,1,2),
(116092,123056,'Summons a pet undead knight',100,1,0),
(116093,10123056,'Summons a pet undead knight',100,1,0),
(116094,179192,'When Equipped:',100,0,0),
(116095,179192,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(116096,10179192,'When Equipped:',100,0,0),
(116097,10179192,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(116098,115470,'Summons a pet nightshade',100,1,0),
(116099,10115470,'Summons a pet nightshade',100,1,0),
(116100,137030,'When Equipped:',100,0,0),
(116101,137030,'On a melee hit this spell may cast Faithful Protection on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116102,137030,'Increases Threat to target by 2,088 ',100,2,2),
(116103,137030,'Increases the base mitigation of worn armor.',100,2,3),
(116104,137030,'Increases caster''s chance to block by 10.0%',100,2,4),
(116105,137030,'Cannot be modified except by direct means',100,2,5),
(116106,137030,'Cannot be modified except by direct means',100,1,6),
(116107,10137030,'When Equipped:',100,0,0),
(116108,10137030,'On a melee hit this spell may cast Faithful Protection on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116109,10137030,'Increases the base mitigation of worn armor.',100,2,2),
(116110,10137030,'Increases caster''s chance to block by 10.0%',100,2,3),
(116111,10137030,'Cannot be modified except by direct means',100,2,4),
(116112,10137030,'Cannot be modified except by direct means',100,1,5),
(116113,120564,'Inflicts 5371 - 8951 ranged damage on target',100,1,0),
(116114,120564,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(116115,120564,'Throws target back',100,2,2),
(116116,120564,'Stuns target',100,2,3),
(116117,120564,'Blurs vision of target',100,2,4),
(116118,120564,'Does not affect Epic targets',100,2,5),
(116119,120564,'I need to be stealthed!',100,1,6),
(116120,120564,'Requires bow',100,1,7),
(116121,10120564,'Inflicts 3067 - 5111 melee damage on target',100,1,0),
(116122,10120564,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(116123,10120564,'Throws target back',100,2,2),
(116124,10120564,'Stuns target',100,2,3),
(116125,10120564,'Blurs vision of target',100,2,4),
(116126,10120564,'Does not affect Epic targets',100,2,5),
(116127,10120564,'I need to be stealthed!',100,1,6),
(116128,109788,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(116129,109788,'Heals group members (AE) for 381',100,2,1),
(116130,10109788,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(116131,10109788,'Heals group members (AE) for 248',100,2,1),
(116132,101063,'Summons 3 limited pets to aid the caster',100,1,0),
(116133,10101063,'Summons 3 limited pets to aid the caster',100,1,0),
(116134,52664,'When Equipped:',100,0,0),
(116135,52664,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(116136,52664,'When Equipped:',100,0,2),
(116137,52664,'Reduces reuse time of beneficial spells by 5 percent.',100,1,3),
(116138,52664,'When Equipped:',100,0,4),
(116139,52664,'Increases caster''s chance to block by 15.0%',100,1,5),
(116140,10052664,'When Equipped:',100,0,0),
(116141,10052664,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(116142,10052664,'When Equipped:',100,0,2),
(116143,10052664,'Reduces reuse time of beneficial spells by 5 percent.',100,1,3),
(116144,10052664,'When Equipped:',100,0,4),
(116145,10052664,'Increases caster''s chance to block by 15.0%',100,1,5),
(116146,124548,'Dispels 84 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(116147,10124548,'Dispels 84 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(116148,24229,'Adds Crushbone: Stone Pile to your Dungeon Maker toolbox',100,0,0),
(116149,10024229,'Adds Crushbone: Stone Pile to your Dungeon Maker toolbox',100,0,0),
(116150,108234,'Inflicts 195 - 587 piercing damage on target',100,1,0),
(116151,108234,'Decreases Slashing, Crushing, Piercing and Ranged of target by 23.9',100,1,1),
(116152,10108234,'Inflicts 254 - 763 piercing damage on target',100,1,0),
(116153,10108234,'Decreases Slashing, Crushing, Piercing and Ranged of target by 23.9',100,1,1),
(116154,159092,'When Equipped:',100,0,0),
(116155,159092,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(116156,159092,'Increases AGI of caster by 14.8',100,2,2),
(116157,159092,'Increases Attack Speed of caster by 16.5',100,2,3),
(116158,159092,'Cannot be modified except by direct means',100,2,4),
(116159,10159092,'When Equipped:',100,0,0),
(116160,10159092,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(116161,10159092,'Increases AGI of caster by 14.8',100,2,2),
(116162,10159092,'Increases Attack Speed of caster by 16.5',100,2,3),
(116163,10159092,'Cannot be modified except by direct means',100,2,4),
(116164,76441,'When Equipped:',100,0,0),
(116165,76441,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(116166,76441,'Reduces healing received by 15.00%',100,2,2),
(116167,76441,'Cannot be modified except by direct means',100,2,3),
(116168,76441,'This effect can only trigger once every 1 second.',100,2,4),
(116169,76441,'Must be engaged in pvp combat',100,1,5),
(116170,10076441,'When Equipped:',100,0,0),
(116171,10076441,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(116172,10076441,'Reduces healing received by 15.00%',100,2,2),
(116173,10076441,'Cannot be modified except by direct means',100,2,3),
(116174,10076441,'This effect can only trigger once every 1 second.',100,2,4),
(116175,10076441,'Must be engaged in pvp combat',100,1,5),
(116176,101372,'Reduces physical damage done to caster by 5%',100,1,0),
(116177,101372,'Adds 1.7% to base avoidance.',100,1,1),
(116178,101372,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(116179,101372,'Increases Aggression of caster by 14.4',100,1,3),
(116180,101372,'Increases Defense and Parry of caster by 23.0',100,1,4),
(116181,101372,'Increases Mitigation of caster vs noxious and arcane damage by 140',100,1,5),
(116182,101372,'Increases Mitigation of caster vs elemental damage by 1404',100,1,6),
(116183,101372,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(116184,10101372,'Reduces physical damage done to caster by 5%',100,1,0),
(116185,10101372,'Adds 1.7% to base avoidance.',100,1,1),
(116186,10101372,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(116187,10101372,'Increases Aggression of caster by 14.4',100,1,3),
(116188,10101372,'Increases Defense and Parry of caster by 23.0',100,1,4),
(116189,10101372,'Increases Mitigation of caster vs noxious and arcane damage by 140',100,1,5),
(116190,10101372,'Increases Mitigation of caster vs elemental damage by 1404',100,1,6),
(116191,10101372,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(116192,105802,'Inflicts 709 - 866 heat damage on target',100,1,0),
(116193,10105802,'Inflicts 1323 - 1617 heat damage on target',100,1,0),
(116194,182530,'When Equipped:',100,0,0),
(116195,182530,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(116196,182530,'Inflicts 1986 cold damage on target encounter',100,2,2),
(116197,182530,'Must not be engaged in pvp combat',100,2,3),
(116198,182530,'Cannot be modified except by direct means',100,2,4),
(116199,182530,'Must not be engaged in pvp combat',100,1,5),
(116200,10182530,'When Equipped:',100,0,0),
(116201,10182530,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(116202,10182530,'Inflicts 1390 cold damage on target encounter',100,2,2),
(116203,10182530,'Must not be engaged in pvp combat',100,2,3),
(116204,10182530,'Cannot be modified except by direct means',100,2,4),
(116205,10182530,'Must not be engaged in pvp combat',100,1,5),
(116206,80556,'When Equipped:',100,0,0),
(116207,80556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116208,80556,'Inflicts 104 - 194 magic damage on target',100,2,2),
(116209,80556,'Cannot be modified except by direct means',100,2,3),
(116210,10080556,'When Equipped:',100,0,0),
(116211,10080556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116212,10080556,'Inflicts 146 - 271 magic damage on target',100,2,2),
(116213,10080556,'Cannot be modified except by direct means',100,2,3),
(116214,24271,'Adds Decrease Tier IV (Multiple) to your Dungeon Maker toolbox',100,0,0),
(116215,10024271,'Adds Decrease Tier IV (Multiple) to your Dungeon Maker toolbox',100,0,0),
(116216,101228,'Inflicts 635 - 1059 cold damage on target',100,1,0),
(116217,101228,'Dazes target',100,1,1),
(116218,101228,'If Target is not Epic',100,2,2),
(116219,101228,'Resistibility increases against targets higher than level 111.',100,1,3),
(116220,10101228,'Inflicts 826 - 1377 cold damage on target',100,1,0),
(116221,10101228,'Dazes target',100,1,1),
(116222,10101228,'If Target is not Epic',100,2,2),
(116223,10101228,'Resistibility increases against targets higher than level 111.',100,1,3),
(116224,81633,'When Equipped:',100,0,0),
(116225,81633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116226,81633,'Inflicts 130 - 241 magic damage on target',100,2,2),
(116227,81633,'Cannot be modified except by direct means',100,2,3),
(116228,10081633,'When Equipped:',100,0,0),
(116229,10081633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116230,10081633,'Inflicts 182 - 337 magic damage on target',100,2,2),
(116231,10081633,'Cannot be modified except by direct means',100,2,3),
(116232,103064,'Inflicts 96 magic damage on target instantly and every 4 seconds',100,1,0),
(116233,103064,'Increases power of caster by 47 instantly and every 4 seconds',100,1,1),
(116234,10103064,'Inflicts 135 magic damage on target instantly and every 4 seconds',100,1,0),
(116235,10103064,'Increases power of caster by 47 instantly and every 4 seconds',100,1,1),
(116236,48791,'Applies Translucent Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(116237,48791,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(116238,48791,'Inflicts 102 poison damage on target instantly and every 6 seconds',100,2,2),
(116239,48791,'Inflicts 348 poison damage on target',100,2,3),
(116240,48791,'Cannot be modified except by direct means',100,2,4),
(116241,48791,'Grants a total of 200 triggers of the spell.',100,2,5),
(116242,48791,'Only affects targets level 50 and above',100,1,6),
(116243,10048791,'Applies Translucent Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(116244,10048791,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(116245,10048791,'Inflicts 365 poison damage on target',100,2,2),
(116246,10048791,'Inflicts 107 poison damage on target instantly and every 6 seconds',100,2,3),
(116247,10048791,'Cannot be modified except by direct means',100,2,4),
(116248,10048791,'Grants a total of 200 triggers of the spell.',100,2,5),
(116249,10048791,'Only affects targets level 50 and above',100,1,6),
(116250,82014,'When Equipped:',100,0,0),
(116251,82014,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116252,82014,'Inflicts 164 - 305 magic damage on target',100,2,2),
(116253,82014,'Cannot be modified except by direct means',100,2,3),
(116254,10082014,'When Equipped:',100,0,0),
(116255,10082014,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116256,10082014,'Inflicts 230 - 427 magic damage on target',100,2,2),
(116257,10082014,'Cannot be modified except by direct means',100,2,3),
(116258,160990,'When Equipped:',100,0,0),
(116259,160990,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(116260,160990,'Stuns target',100,2,2),
(116261,160990,'Only affects targets level 95 and below',100,2,3),
(116262,160990,'Does not affect Epic targets',100,2,4),
(116263,160990,'Resistibility increases against targets higher than level 112.',100,2,5),
(116264,160990,'Cannot be modified except by direct means',100,2,6),
(116265,10160990,'When Equipped:',100,0,0),
(116266,10160990,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(116267,10160990,'Stuns target',100,2,2),
(116268,10160990,'Only affects targets level 95 and below',100,2,3),
(116269,10160990,'Does not affect Epic targets',100,2,4),
(116270,10160990,'Resistibility increases against targets higher than level 112.',100,2,5),
(116271,10160990,'Cannot be modified except by direct means',100,2,6),
(116272,117241,'Inflicts 29 slashing damage on target every 4 seconds',100,1,0),
(116273,117241,'Inflicts 143 - 239 melee damage on target',100,1,1),
(116274,10117241,'Inflicts 40 slashing damage on target every 4 seconds',100,1,0),
(116275,10117241,'Inflicts 187 - 311 melee damage on target',100,1,1),
(116276,105387,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(116277,105387,'Interrupts target',100,2,1),
(116278,105387,'Inflicts 106 melee damage on target',100,2,2),
(116279,105387,'Decreases Defense of caster by 20.7',100,1,3),
(116280,105387,'Increases Piercing, Slashing, Ranged and Crushing of caster by 31.0',100,1,4),
(116281,10105387,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(116282,10105387,'Interrupts target',100,2,1),
(116283,10105387,'Inflicts 137 melee damage on target',100,2,2),
(116284,10105387,'Decreases Defense of caster by 20.7',100,1,3),
(116285,10105387,'Increases Piercing, Slashing, Ranged and Crushing of caster by 31.0',100,1,4),
(116286,108611,'Feigns Death with 70% chance of success',100,1,0),
(116287,10108611,'Feigns Death with 70% chance of success',100,1,0),
(116288,109961,'Inflicts 427 - 640 disease damage on targets in Area of Effect',100,1,0),
(116289,109961,'Inflicts 213 - 320 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(116290,109961,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(116291,109961,'Increases Threat to targets in Area of Effect by 1,236 - 1,511  instantly and every 4 seconds thereafter',100,1,3),
(116292,10109961,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(116293,10109961,'Forces target to change their selected target to caster.',100,2,1),
(116294,10109961,'Prevents target from changing targets',100,2,2),
(116295,10109961,'Inflicts 597 - 896 disease damage on targets in Area of Effect',100,1,3),
(116296,10109961,'Inflicts 299 - 448 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(116297,102703,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(116298,102703,'Inflicts 388 - 647 heat damage on target',100,2,1),
(116299,102703,'Grants a total of 5 triggers of the spell.',100,2,2),
(116300,102703,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(116301,102703,'Inflicts 388 - 647 heat damage on target',100,2,4),
(116302,102703,'Grants a total of 5 triggers of the spell.',100,2,5),
(116303,10102703,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(116304,10102703,'Inflicts 544 - 906 heat damage on target',100,2,1),
(116305,10102703,'Grants a total of 5 triggers of the spell.',100,2,2),
(116306,10102703,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(116307,10102703,'Inflicts 544 - 906 heat damage on target',100,2,4),
(116308,10102703,'Grants a total of 5 triggers of the spell.',100,2,5),
(116309,46932,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(116310,46932,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(116311,46932,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,2),
(116312,46932,'Inflicts 211 poison damage on target',100,2,3),
(116313,46932,'Cannot be modified except by direct means',100,2,4),
(116314,46932,'Grants a total of 200 triggers of the spell.',100,2,5),
(116315,10046932,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(116316,10046932,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(116317,10046932,'Inflicts 221 poison damage on target',100,2,2),
(116318,10046932,'Inflicts 65 poison damage on target instantly and every 6 seconds',100,2,3),
(116319,10046932,'Cannot be modified except by direct means',100,2,4),
(116320,10046932,'Grants a total of 200 triggers of the spell.',100,2,5),
(116321,71408,'When Equipped:',100,0,0),
(116322,71408,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116323,71408,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(116324,71408,'Cannot be modified except by direct means',100,2,3),
(116325,10071408,'When Equipped:',100,0,0),
(116326,10071408,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116327,10071408,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(116328,10071408,'Cannot be modified except by direct means',100,2,3),
(116329,113215,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(116330,113215,'Inflicts 94 magic damage on target',100,2,1),
(116331,113215,'Grants a total of 5 triggers of the spell.',100,2,2),
(116332,10113215,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(116333,10113215,'Inflicts 131 magic damage on target',100,2,1),
(116334,10113215,'Grants a total of 5 triggers of the spell.',100,2,2),
(116335,24582,'Adds Myconoid (Troubador) to your Dungeon Maker toolbox',100,0,0),
(116336,10024582,'Adds Myconoid (Troubador) to your Dungeon Maker toolbox',100,0,0),
(116337,115306,'Summons a limited pet to aid the caster',100,1,0),
(116338,10115306,'Summons a limited pet to aid the caster',100,1,0),
(116339,134512,'When Equipped:',100,0,0),
(116340,134512,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116341,134512,'Inflicts 1031 mental damage on target',100,2,2),
(116342,134512,'If any of the following are true:',100,3,3),
(116343,134512,'Must be classified as a void beast',100,4,4),
(116344,134512,'Must be classified as a shadowed folk',100,4,5),
(116345,134512,'Inflicts 516 mental damage on target',100,2,6),
(116346,134512,'Must not be classified as a void beast',100,3,7),
(116347,134512,'Must not be classified as a shadowed folk',100,3,8),
(116348,134512,'Decreases Mitigation of target vs arcane damage by 747',100,2,9),
(116349,134512,'If any of the following are true:',100,3,10),
(116350,134512,'Must be classified as a void beast',100,4,11),
(116351,134512,'Must be classified as a shadowed folk',100,4,12),
(116352,134512,'Cannot be modified except by direct means',100,2,13),
(116353,134512,'Additional equipment with Void Bane improves this effect.',100,1,14),
(116354,10134512,'When Equipped:',100,0,0),
(116355,10134512,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116356,10134512,'Inflicts 1444 mental damage on target',100,2,2),
(116357,10134512,'If any of the following are true:',100,3,3),
(116358,10134512,'Must be classified as a void beast',100,4,4),
(116359,10134512,'Must be classified as a shadowed folk',100,4,5),
(116360,10134512,'Inflicts 722 mental damage on target',100,2,6),
(116361,10134512,'Must not be classified as a void beast',100,3,7),
(116362,10134512,'Must not be classified as a shadowed folk',100,3,8),
(116363,10134512,'Decreases Mitigation of target vs arcane damage by 747',100,2,9),
(116364,10134512,'If any of the following are true:',100,3,10),
(116365,10134512,'Must be classified as a void beast',100,4,11),
(116366,10134512,'Must be classified as a shadowed folk',100,4,12),
(116367,10134512,'Cannot be modified except by direct means',100,2,13),
(116368,10134512,'Additional equipment with Void Bane improves this effect.',100,1,14),
(116369,112715,'Inflicts 302 - 503 disease damage on target encounter',100,1,0),
(116370,10112715,'Inflicts 422 - 704 disease damage on target encounter',100,1,0),
(116371,117633,'Inflicts 1370 - 2284 ranged damage on target',100,1,0),
(116372,117633,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(116373,117633,'Slows target by 70.7%',100,2,2),
(116374,117633,'5% chance to dispel when target receives hostile action',100,2,3),
(116375,117633,'5% chance to dispel when target takes damage',100,2,4),
(116376,117633,'Must be flanking or behind',100,1,5),
(116377,117633,'Requires bow',100,1,6),
(116378,10117633,'Inflicts 1165 - 1942 ranged damage on target',100,1,0),
(116379,10117633,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(116380,10117633,'Slows target by 70.7%',100,2,2),
(116381,10117633,'5% chance to dispel when target receives hostile action',100,2,3),
(116382,10117633,'5% chance to dispel when target takes damage',100,2,4),
(116383,10117633,'Must be flanking or behind',100,1,5),
(116384,10117633,'Requires bow',100,1,6),
(116385,42532,'When Equipped:',100,0,0),
(116386,42532,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116387,42532,'Inflicts 95 - 143 magic damage on target',100,2,2),
(116388,42532,'Cannot be modified except by direct means',100,2,3),
(116389,10042532,'When Equipped:',100,0,0),
(116390,10042532,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116391,10042532,'Inflicts 133 - 200 magic damage on target',100,2,2),
(116392,10042532,'Cannot be modified except by direct means',100,2,3),
(116393,118564,'Dazes caster',100,1,0),
(116394,118564,'Roots caster',100,1,1),
(116395,118564,'Increases Mitigation of caster vs physical damage by 1728',100,1,2),
(116396,10118564,'Dazes caster',100,1,0),
(116397,10118564,'Roots caster',100,1,1),
(116398,10118564,'Increases Mitigation of caster vs physical damage by 1728',100,1,2),
(116399,102604,'Increases Threat to target encounter by 810 - 990 ',100,1,0),
(116400,102604,'Interrupts target encounter',100,1,1),
(116401,102604,'Decreases Mitigation of target encounter vs noxious damage by 600',100,1,2),
(116402,10102604,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(116403,10102604,'Forces target to change their selected target to caster.',100,2,1),
(116404,10102604,'Prevents target from changing targets',100,2,2),
(116405,10102604,'Interrupts target encounter',100,1,3),
(116406,10102604,'Decreases Mitigation of target encounter vs noxious damage by 600',100,1,4),
(116407,116957,'Increases Threat to target by 1,514 - 1,851 ',100,1,0),
(116408,116957,'Interrupts target',100,1,1),
(116409,10116957,'Forces target to change their selected target to caster.',100,1,0),
(116410,10116957,'Interrupts target',100,1,1),
(116411,10116957,'Prevents target from changing targets',100,1,2),
(116412,178908,'When Equipped:',100,0,0),
(116413,178908,'Increases Attack Speed of caster by 35.0',100,1,1),
(116414,10178908,'When Equipped:',100,0,0),
(116415,10178908,'Increases Attack Speed of caster by 35.0',100,1,1),
(116416,87328,'When Equipped:',100,0,0),
(116417,87328,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116418,87328,'Inflicts 132 - 198 magic damage on target',100,2,2),
(116419,87328,'Cannot be modified except by direct means',100,2,3),
(116420,10087328,'When Equipped:',100,0,0),
(116421,10087328,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116422,10087328,'Inflicts 184 - 277 magic damage on target',100,2,2),
(116423,10087328,'Cannot be modified except by direct means',100,2,3),
(116424,25762,'When Equipped:',100,0,0),
(116425,25762,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(116426,25762,'Improves the physicial mitigation of Runic Armor VII by 25%.',100,1,2),
(116427,10025762,'When Equipped:',100,0,0),
(116428,10025762,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(116429,10025762,'Improves the physicial mitigation of Runic Armor VII by 25%.',100,1,2),
(116430,109752,'Inflicts 119 - 220 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(116431,10109752,'Inflicts 166 - 308 cold damage on target encounter instantly and every 2 seconds',100,1,0),
(116432,159151,'Applies Lambent Imbued when Equipped.',100,0,0),
(116433,159151,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(116434,159151,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(116435,159151,'Cannot be modified except by direct means',100,2,3),
(116436,10159151,'Applies Lambent Imbued when Equipped.',100,0,0),
(116437,10159151,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(116438,10159151,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(116439,10159151,'Cannot be modified except by direct means',100,2,3),
(116440,72102,'When Equipped:',100,0,0),
(116441,72102,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116442,72102,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(116443,72102,'Cannot be modified except by direct means',100,2,3),
(116444,10072102,'When Equipped:',100,0,0),
(116445,10072102,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116446,10072102,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(116447,10072102,'Cannot be modified except by direct means',100,2,3),
(116448,119393,'Decreases threat priority of target by 1 position',100,1,0),
(116449,119393,'Decreases Threat to target by 1,963 ',100,1,1),
(116450,119393,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(116451,119393,'Grants stealth to caster',100,2,3),
(116452,119393,'Suspends caster''s movement speed enhancements',100,2,4),
(116453,10119393,'Applies Distract.',100,1,0),
(116454,10119393,'Forces target to clear their selected target.',100,2,1),
(116455,10119393,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(116456,10119393,'Grants stealth to caster',100,2,3),
(116457,10119393,'Suspends caster''s movement speed enhancements',100,2,4),
(116458,103120,'Increases STR of caster by 42.2',100,1,0),
(116459,103120,'Adds 2.8% to base avoidance.',100,1,1),
(116460,103120,'Increases Mitigation of caster vs physical damage by 270',100,1,2),
(116461,103120,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 842',100,1,3),
(116462,10103120,'Increases STR of caster by 42.2',100,1,0),
(116463,10103120,'Adds 2.8% to base avoidance.',100,1,1),
(116464,10103120,'Increases Mitigation of caster vs physical damage by 270',100,1,2),
(116465,10103120,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 842',100,1,3),
(116466,141759,'When Equipped:',100,0,0),
(116467,141759,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(116468,141759,'Increases AGI of caster by 5.5',100,2,2),
(116469,141759,'Increases Attack Speed of caster by 14.2',100,2,3),
(116470,141759,'Cannot be modified except by direct means',100,2,4),
(116471,10141759,'When Equipped:',100,0,0),
(116472,10141759,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(116473,10141759,'Increases AGI of caster by 5.5',100,2,2),
(116474,10141759,'Increases Attack Speed of caster by 14.2',100,2,3),
(116475,10141759,'Cannot be modified except by direct means',100,2,4),
(116476,105050,'Inflicts 79 - 132 divine damage on targets in Area of Effect',100,1,0),
(116477,10105050,'Inflicts 111 - 185 divine damage on targets in Area of Effect',100,1,0),
(116478,122693,'Heals target for 162 - 198',100,1,0),
(116479,122693,'Increases Max Health of target by 20.2',100,1,1),
(116480,10122693,'Heals target for 105 - 129',100,1,0),
(116481,10122693,'Increases Max Health of target by 20.2',100,1,1),
(116482,55422,'When Equipped:',100,0,0),
(116483,55422,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(116484,55422,'When Equipped:',100,0,2),
(116485,55422,'Increases caster''s chance to block by 15.0%',100,1,3),
(116486,10055422,'When Equipped:',100,0,0),
(116487,10055422,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(116488,10055422,'When Equipped:',100,0,2),
(116489,10055422,'Increases caster''s chance to block by 15.0%',100,1,3),
(116490,163397,'When Equipped:',100,0,0),
(116491,163397,'On a spell cast this spell may cast Prophetic Awareness on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116492,163397,'Reduces the power cost of spells by 10%.',100,2,2),
(116493,163397,'Cannot be modified except by direct means',100,2,3),
(116494,10163397,'When Equipped:',100,0,0),
(116495,10163397,'On a spell cast this spell may cast Prophetic Awareness on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116496,10163397,'Reduces the power cost of spells by 10%.',100,2,2),
(116497,10163397,'Cannot be modified except by direct means',100,2,3),
(116498,112524,'Interrupts target',50,1,0),
(116499,112524,'Inflicts 11 - 13 divine damage on target',100,1,1),
(116500,10112524,'Interrupts target',50,1,0),
(116501,10112524,'Inflicts 20 - 24 divine damage on target',100,1,1),
(116502,115199,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(116503,115199,'Decreases Mitigation of target vs noxious damage by 188',100,2,1),
(116504,115199,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(116505,115199,'Decreases Mitigation of target vs noxious damage by 188',100,2,3),
(116506,10115199,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(116507,10115199,'Decreases Mitigation of target vs noxious damage by 188',100,2,1),
(116508,10115199,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(116509,10115199,'Decreases Mitigation of target vs noxious damage by 188',100,2,3),
(116510,164219,'When Equipped:',100,0,0),
(116511,164219,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116512,164219,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(116513,164219,'Dispelled when target casts a hostile spell',100,2,3),
(116514,164219,'Dispelled when target casts a combat art',100,2,4),
(116515,164219,'Cannot be modified except by direct means',100,2,5),
(116516,10164219,'When Equipped:',100,0,0),
(116517,10164219,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116518,10164219,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(116519,10164219,'Dispelled when target casts a hostile spell',100,2,3),
(116520,10164219,'Dispelled when target casts a combat art',100,2,4),
(116521,10164219,'Cannot be modified except by direct means',100,2,5),
(116522,82234,'When Equipped:',100,0,0),
(116523,82234,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116524,82234,'Inflicts 41 - 76 magic damage on target',100,2,2),
(116525,82234,'Cannot be modified except by direct means',100,2,3),
(116526,10082234,'When Equipped:',100,0,0),
(116527,10082234,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116528,10082234,'Inflicts 58 - 107 magic damage on target',100,2,2),
(116529,10082234,'Cannot be modified except by direct means',100,2,3),
(116530,121643,'Summons a pet nefarious sacrament',100,1,0),
(116531,10121643,'Summons a pet nefarious sacrament',100,1,0),
(116532,112200,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(116533,112200,'Increases Threat to target by 2 ',100,2,1),
(116534,112200,'Inflicts 1 disease damage on target',100,2,2),
(116535,112200,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 53',100,1,3),
(116536,10112200,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(116537,10112200,'Inflicts 2 disease damage on target',100,2,1),
(116538,10112200,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 53',100,1,2),
(116539,100811,'Wards target against 1838 points of all damage',100,1,0),
(116540,10100811,'Wards target against 2828 points of all damage',100,1,0),
(116541,48306,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(116542,48306,'Increases power of caster by 19 instantly and every 5 seconds',100,1,1),
(116543,10048306,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(116544,10048306,'Increases power of caster by 15 instantly and every 5 seconds',100,1,1),
(116545,159410,'Applies Sanguine Imbued when Equipped.',100,0,0),
(116546,159410,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(116547,159410,'Inflicts 186 heat damage on target',100,2,2),
(116548,159410,'Cannot be modified except by direct means',100,2,3),
(116549,10159410,'Applies Sanguine Imbued when Equipped.',100,0,0),
(116550,10159410,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(116551,10159410,'Inflicts 260 heat damage on target',100,2,2),
(116552,10159410,'Cannot be modified except by direct means',100,2,3),
(116553,100193,'Increases Threat to target encounter by 54 - 66 ',100,1,0),
(116554,100193,'Interrupts target encounter',100,1,1),
(116555,10100193,'Interrupts target encounter',100,1,0),
(116556,10100193,'Forces target encounter to change their selected target to caster.',100,1,1),
(116557,10100193,'Prevents target encounter from changing targets',100,1,2),
(116558,118153,'Inflicts 393 - 656 melee damage on target',100,1,0),
(116559,118153,'Dazes target',100,1,1),
(116560,118153,'If Target is not Epic',100,2,2),
(116561,118153,'Resistibility increases against targets higher than level 83.',100,1,3),
(116562,10118153,'Inflicts 512 - 853 melee damage on target',100,1,0),
(116563,10118153,'Dazes target',100,1,1),
(116564,10118153,'If Target is not Epic',100,2,2),
(116565,10118153,'Resistibility increases against targets higher than level 83.',100,1,3),
(116566,143940,'When Equipped:',100,0,0),
(116567,143940,'On a damage spell hit this spell may cast Subtle Hands on target of spell.  Triggers about 5.0 times per minute. ',100,1,1),
(116568,143940,'Decreases Threat to target by 200 ',100,2,2),
(116569,143940,'Cannot be modified except by direct means',100,2,3),
(116570,10143940,'When Equipped:',100,0,0),
(116571,10143940,'On a damage spell hit this spell may cast Subtle Hands on target of spell.  Triggers about 5.0 times per minute. ',100,1,1),
(116572,10143940,'Cannot be modified except by direct means',100,2,2),
(116573,108754,'Summons a pet fiery magician',100,1,0),
(116574,10108754,'Summons a pet fiery magician',100,1,0),
(116575,104121,'Roots target',100,1,0),
(116576,104121,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(116577,104121,'Makes target afraid',100,2,2),
(116578,104121,'Slows target by 18.7%',100,2,3),
(116579,104121,'30% chance to dispel when target takes damage',100,2,4),
(116580,104121,'Resistibility increases against targets higher than level 76.',100,2,5),
(116581,104121,'15% chance to dispel when target takes damage',100,1,6),
(116582,104121,'Does not affect Epic targets',100,1,7),
(116583,104121,'Resistibility increases against targets higher than level 76.',100,1,8),
(116584,10104121,'Roots target',100,1,0),
(116585,10104121,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(116586,10104121,'Makes target afraid',100,2,2),
(116587,10104121,'Slows target by 18.7%',100,2,3),
(116588,10104121,'30% chance to dispel when target takes damage',100,2,4),
(116589,10104121,'Resistibility increases against targets higher than level 76.',100,2,5),
(116590,10104121,'15% chance to dispel when target takes damage',100,1,6),
(116591,10104121,'Does not affect Epic targets',100,1,7),
(116592,10104121,'Resistibility increases against targets higher than level 76.',100,1,8),
(116593,102323,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(116594,102323,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(116595,102323,'Decreases threat priority of target encounter by 1 position',100,2,2),
(116596,102323,'Decreases Threat to target encounter by 440 ',100,2,3),
(116597,102323,'Grants a total of 3 triggers of the spell.',100,2,4),
(116598,102323,'If profession other than Fighter',100,1,5),
(116599,10102323,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',100,1,0),
(116600,10102323,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(116601,10102323,'Forces target to clear their selected target.',100,2,2),
(116602,10102323,'Target cannot target caster for the duration of this effect.',100,2,3),
(116603,10102323,'Grants a total of 3 triggers of the spell.',100,2,4),
(116604,10102323,'If profession other than Fighter',100,1,5),
(116605,75963,'When Equipped:',100,0,0),
(116606,75963,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(116607,75963,'Inflicts 12 - 15 divine damage on target',100,2,2),
(116608,75963,'If target is undead',100,2,3),
(116609,75963,'Cannot be modified except by direct means',100,2,4),
(116610,10075963,'When Equipped:',100,0,0),
(116611,10075963,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(116612,10075963,'Inflicts 17 - 21 divine damage on target',100,2,2),
(116613,10075963,'If target is undead',100,2,3),
(116614,10075963,'Cannot be modified except by direct means',100,2,4),
(116615,159301,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(116616,159301,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(116617,159301,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(116618,159301,'Cannot be modified except by direct means',100,2,3),
(116619,10159301,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(116620,10159301,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(116621,10159301,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(116622,10159301,'Cannot be modified except by direct means',100,2,3),
(116623,25836,'When Equipped:',100,0,0),
(116624,25836,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(116625,25836,'Adds 10% max health to Street Smarts VII.',100,1,2),
(116626,10025836,'When Equipped:',100,0,0),
(116627,10025836,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(116628,10025836,'Adds 10% max health to Street Smarts VII.',100,1,2),
(116629,82015,'When Equipped:',100,0,0),
(116630,82015,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(116631,82015,'Decreases Threat to target by 641 ',100,2,2),
(116632,82015,'Must be flanking or behind',100,3,3),
(116633,82015,'Increases Threat to target by 641 ',100,2,4),
(116634,82015,'Must be in front of',100,3,5),
(116635,82015,'Inflicts 182 - 339 magic damage on target',100,2,6),
(116636,82015,'Cannot be modified except by direct means',100,2,7),
(116637,10082015,'When Equipped:',100,0,0),
(116638,10082015,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(116639,10082015,'Inflicts 255 - 474 magic damage on target',100,2,2),
(116640,10082015,'Cannot be modified except by direct means',100,2,3),
(116641,101529,'Increases WIS of target by 120.1',100,1,0),
(116642,101529,'Increases Max Health of target by 1,064.7',100,1,1),
(116643,101529,'Increases Mitigation of target vs elemental, noxious and arcane damage by 339',100,1,2),
(116644,10101529,'Increases WIS of target by 120.1',100,1,0),
(116645,10101529,'Increases Max Health of target by 1,064.7',100,1,1),
(116646,10101529,'Increases Mitigation of target vs elemental, noxious and arcane damage by 339',100,1,2),
(116647,176463,'When Equipped:',100,0,0),
(116648,176463,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(116649,10176463,'When Equipped:',100,0,0),
(116650,10176463,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(116651,108920,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(116652,108920,'Inflicts 15 heat damage on target',100,2,1),
(116653,10108920,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(116654,10108920,'Inflicts 20 heat damage on target',100,2,1),
(116655,81235,'When Equipped:',100,0,0),
(116656,81235,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(116657,81235,'Decreases Threat to target by 1,219 ',100,2,2),
(116658,81235,'Must be flanking or behind',100,3,3),
(116659,81235,'Increases Threat to target by 1,219 ',100,2,4),
(116660,81235,'Must be in front of',100,3,5),
(116661,81235,'Inflicts 424 - 788 magic damage on target',100,2,6),
(116662,81235,'Cannot be modified except by direct means',100,2,7),
(116663,10081235,'When Equipped:',100,0,0),
(116664,10081235,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(116665,10081235,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(116666,10081235,'Cannot be modified except by direct means',100,2,3),
(116667,106196,'Wards target against 114 points of all damage',100,1,0),
(116668,106196,'Decreases INT of target by 165.0',100,1,1),
(116669,106196,'Decreases Attack Speed of target by 25.0',100,1,2),
(116670,106196,'Increases Max Health of target by 11.0%',100,1,3),
(116671,106196,'Increases Hate Gain of target by 46.0%',100,1,4),
(116672,106196,'Increases Aggression of target by 13.8',100,1,5),
(116673,106196,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(116674,106196,'Increases Threat to target encounter by 146 - 178 ',100,2,7),
(116675,106196,'Increases Mitigation of target vs elemental, noxious and arcane damage by 880',100,1,8),
(116676,10106196,'Wards target against 114 points of all damage',100,1,0),
(116677,10106196,'Decreases INT of target by 165.0',100,1,1),
(116678,10106196,'Decreases Attack Speed of target by 25.0',100,1,2),
(116679,10106196,'Increases Max Health of target by 11.0%',100,1,3),
(116680,10106196,'Increases Aggression of target by 13.8',100,1,4),
(116681,10106196,'Increases Mitigation of target vs elemental, noxious and arcane damage by 880',100,1,5),
(116682,177644,'When Equipped:',100,0,0),
(116683,177644,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116684,177644,'Increases WIS of caster by 23.1',100,2,2),
(116685,177644,'Increases Ordination, Ministration and Focus of caster by 13.1',100,2,3),
(116686,177644,'Cannot be modified except by direct means',100,2,4),
(116687,10177644,'When Equipped:',100,0,0),
(116688,10177644,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116689,10177644,'Increases WIS of caster by 23.1',100,2,2),
(116690,10177644,'Increases Ordination, Ministration and Focus of caster by 13.1',100,2,3),
(116691,10177644,'Cannot be modified except by direct means',100,2,4),
(116692,117562,'Inflicts 96 - 161 melee damage on target',100,1,0),
(116693,117562,'Decreases Parry of target by 10.8',100,1,1),
(116694,117562,'Must be in front of or flanking',100,1,2),
(116695,10117562,'Inflicts 125 - 209 melee damage on target',100,1,0),
(116696,10117562,'Decreases Parry of target by 10.8',100,1,1),
(116697,10117562,'Must be in front of or flanking',100,1,2),
(116698,132183,'When Equipped:',100,0,0),
(116699,132183,'Increases Attack Speed of caster by 35.0',100,1,1),
(116700,10132183,'When Equipped:',100,0,0),
(116701,10132183,'Increases Attack Speed of caster by 35.0',100,1,1),
(116702,103175,'Throws target back',100,1,0),
(116703,103175,'If Target is not Epic',100,2,1),
(116704,103175,'Inflicts 250 - 750 crushing damage on target',100,1,2),
(116705,103175,'Stuns target',100,1,3),
(116706,103175,'If Target is not Epic',100,2,4),
(116707,103175,'Resistibility increases against targets higher than level 108.',100,1,5),
(116708,10103175,'Throws target back',100,1,0),
(116709,10103175,'If Target is not Epic',100,2,1),
(116710,10103175,'Inflicts 325 - 975 crushing damage on target',100,1,2),
(116711,10103175,'Stuns target',100,1,3),
(116712,10103175,'If Target is not Epic',100,2,4),
(116713,10103175,'Resistibility increases against targets higher than level 108.',100,1,5),
(116714,135430,'When Equipped:',100,0,0),
(116715,135430,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(116716,135430,'Inflicts 24 divine damage on target',100,2,2),
(116717,135430,'Cannot be modified except by direct means',100,2,3),
(116718,10135430,'When Equipped:',100,0,0),
(116719,10135430,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(116720,10135430,'Inflicts 33 divine damage on target',100,2,2),
(116721,10135430,'Cannot be modified except by direct means',100,2,3),
(116722,130928,'When Equipped:',100,0,0),
(116723,130928,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116724,130928,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(116725,130928,'Dispelled when target casts a heal spell',100,2,3),
(116726,130928,'Cannot be modified except by direct means',100,2,4),
(116727,10130928,'When Equipped:',100,0,0),
(116728,10130928,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116729,10130928,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(116730,10130928,'Dispelled when target casts a heal spell',100,2,3),
(116731,10130928,'Cannot be modified except by direct means',100,2,4),
(116732,107743,'Stuns target',100,1,0),
(116733,107743,'If Target is not Epic',100,2,1),
(116734,107743,'Inflicts 154 - 256 cold damage on target',100,1,2),
(116735,107743,'Resistibility increases against targets higher than level 45.',100,1,3),
(116736,10107743,'Stuns target',100,1,0),
(116737,10107743,'If Target is not Epic',100,2,1),
(116738,10107743,'Inflicts 215 - 358 cold damage on target',100,1,2),
(116739,10107743,'Resistibility increases against targets higher than level 45.',100,1,3),
(116740,82170,'When Equipped:',100,0,0),
(116741,82170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116742,82170,'Inflicts 37 - 69 magic damage on target',100,2,2),
(116743,82170,'Cannot be modified except by direct means',100,2,3),
(116744,10082170,'When Equipped:',100,0,0),
(116745,10082170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116746,10082170,'Inflicts 52 - 96 magic damage on target',100,2,2),
(116747,10082170,'Cannot be modified except by direct means',100,2,3),
(116748,45821,'Applies Consume Essence when Activated.',100,0,0),
(116749,45821,'Heals group members (AE) for 495 - 605',100,1,1),
(116750,45821,'Dispels 97 levels of any hostile effects on caster',100,1,2),
(116751,10045821,'Applies Consume Essence when Activated.',100,0,0),
(116752,10045821,'Heals group members (AE) for 322 - 394',100,1,1),
(116753,10045821,'Dispels 97 levels of any hostile effects on caster',100,1,2),
(116754,100366,'Increases Max Health of target by 1,216.8',100,1,0),
(116755,100366,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.4',100,1,1),
(116756,10100366,'Increases Max Health of target by 1,216.8',100,1,0),
(116757,10100366,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.4',100,1,1),
(116758,110315,'Increases Max Power of target by 61.2',100,1,0),
(116759,110315,'Increases Max Health of target by 121.7',100,1,1),
(116760,10110315,'Increases Max Power of target by 61.2',100,1,0),
(116761,10110315,'Increases Max Health of target by 121.7',100,1,1),
(116762,112931,'Inflicts 53 - 89 crushing damage on target',100,1,0),
(116763,10112931,'Inflicts 69 - 116 crushing damage on target',100,1,0),
(116764,122402,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(116765,122402,'Inflicts 15 - 18 piercing damage on target encounter',100,2,1),
(116766,10122402,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(116767,10122402,'Inflicts 21 - 26 piercing damage on target encounter',100,2,1),
(116768,117131,'Inflicts 133 - 163 heat damage on target instantly and every 4 seconds',100,1,0),
(116769,117131,'Decreases Mitigation of target vs arcane damage by 592',100,1,1),
(116770,10117131,'Inflicts 186 - 228 heat damage on target instantly and every 4 seconds',100,1,0),
(116771,10117131,'Decreases Mitigation of target vs arcane damage by 592',100,1,1),
(116772,110823,'Inflicts 117 - 159 mental damage on target',100,1,0),
(116773,110823,'Interrupts target',100,1,1),
(116774,10110823,'Inflicts 164 - 222 mental damage on target',100,1,0),
(116775,10110823,'Interrupts target',100,1,1),
(116776,163999,'When Equipped:',100,0,0),
(116777,163999,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116778,163999,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(116779,163999,'Cannot be modified except by direct means',100,2,3),
(116780,10163999,'When Equipped:',100,0,0),
(116781,10163999,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116782,10163999,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(116783,10163999,'Cannot be modified except by direct means',100,2,3),
(116784,70904,'When Equipped:',100,0,0),
(116785,70904,'On a combat hit this spell may cast Wind of Healing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116786,70904,'Heals caster for 476',100,2,2),
(116787,70904,'Cannot be modified except by direct means',100,2,3),
(116788,10070904,'When Equipped:',100,0,0),
(116789,10070904,'On a combat hit this spell may cast Wind of Healing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116790,10070904,'Heals caster for 309',100,2,2),
(116791,10070904,'Cannot be modified except by direct means',100,2,3),
(116792,110280,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(116793,110280,'Slows target by 38.1%',100,2,1),
(116794,110280,'5% chance to dispel when target receives hostile action',100,2,2),
(116795,110280,'5% chance to dispel when target takes damage',100,2,3),
(116796,110280,'Decreases Mitigation of target vs arcane damage by 506',100,1,4),
(116797,10110280,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(116798,10110280,'Slows target by 38.1%',100,2,1),
(116799,10110280,'5% chance to dispel when target receives hostile action',100,2,2),
(116800,10110280,'5% chance to dispel when target takes damage',100,2,3),
(116801,10110280,'Decreases Mitigation of target vs arcane damage by 506',100,1,4),
(116802,110320,'Increases Max Power of target by 81.6',100,1,0),
(116803,110320,'Increases Max Health of target by 162.2',100,1,1),
(116804,10110320,'Increases Max Power of target by 81.6',100,1,0),
(116805,10110320,'Increases Max Health of target by 162.2',100,1,1),
(116806,72233,'When Equipped:',100,0,0),
(116807,72233,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116808,72233,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(116809,72233,'Cannot be modified except by direct means',100,2,3),
(116810,10072233,'When Equipped:',100,0,0),
(116811,10072233,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116812,10072233,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(116813,10072233,'Cannot be modified except by direct means',100,2,3),
(116814,188436,'When Equipped:',100,0,0),
(116815,188436,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(116816,188436,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(116817,188436,'Must not be engaged in pvp combat',100,2,3),
(116818,188436,'Cannot be modified except by direct means',100,2,4),
(116819,188436,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(116820,188436,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(116821,188436,'Must not be engaged in pvp combat',100,2,7),
(116822,188436,'Cannot be modified except by direct means',100,2,8),
(116823,188436,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(116824,188436,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(116825,188436,'Must not be engaged in pvp combat',100,2,11),
(116826,188436,'Cannot be modified except by direct means',100,2,12),
(116827,188436,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(116828,188436,'Inflicts 60 piercing damage on target',100,2,14),
(116829,188436,'Must not be engaged in pvp combat',100,2,15),
(116830,188436,'Cannot be modified except by direct means',100,2,16),
(116831,10188436,'When Equipped:',100,0,0),
(116832,10188436,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(116833,10188436,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(116834,10188436,'Must not be engaged in pvp combat',100,2,3),
(116835,10188436,'Cannot be modified except by direct means',100,2,4),
(116836,10188436,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(116837,10188436,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(116838,10188436,'Must not be engaged in pvp combat',100,2,7),
(116839,10188436,'Cannot be modified except by direct means',100,2,8),
(116840,10188436,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(116841,10188436,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(116842,10188436,'Must not be engaged in pvp combat',100,2,11),
(116843,10188436,'Cannot be modified except by direct means',100,2,12),
(116844,10188436,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(116845,10188436,'Inflicts 84 piercing damage on target',100,2,14),
(116846,10188436,'Must not be engaged in pvp combat',100,2,15),
(116847,10188436,'Cannot be modified except by direct means',100,2,16),
(116848,117198,'Inflicts 33 - 56 melee damage on target',100,1,0),
(116849,117198,'Inflicts 33 - 56 melee damage on target',100,1,1),
(116850,10117198,'Inflicts 43 - 73 melee damage on target',100,1,0),
(116851,10117198,'Inflicts 43 - 73 melee damage on target',100,1,1),
(116852,190071,'When Equipped:',100,0,0),
(116853,190071,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(116854,10190071,'When Equipped:',100,0,0),
(116855,10190071,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(116856,107710,'Inflicts 319 - 533 heat damage on target',100,1,0),
(116857,107710,'You must be sneaking to use this ability.',100,1,1),
(116858,10107710,'Inflicts 415 - 693 heat damage on target',100,1,0),
(116859,10107710,'You must be sneaking to use this ability.',100,1,1),
(116860,144697,'When Equipped:',100,0,0),
(116861,144697,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116862,144697,'This effect can be stacked by multiple casters.',100,2,2),
(116863,144697,'Increases Mitigation of target vs all damage by 930',100,2,3),
(116864,144697,'Cannot be modified except by direct means',100,2,4),
(116865,10144697,'When Equipped:',100,0,0),
(116866,10144697,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(116867,10144697,'This effect can be stacked by multiple casters.',100,2,2),
(116868,10144697,'Increases Mitigation of target vs all damage by 930',100,2,3),
(116869,10144697,'Cannot be modified except by direct means',100,2,4),
(116870,110533,'Increases Threat to target by 867  instantly and by 361  every 3 seconds thereafter',100,1,0),
(116871,110533,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(116872,110533,'Stuns target',100,2,2),
(116873,110533,'Throws target back',100,2,3),
(116874,110533,'Blurs vision of target',100,2,4),
(116875,110533,'Does not affect Epic targets',100,2,5),
(116876,110533,'Inflicts 192 - 321 disease damage on target',100,1,6),
(116877,10110533,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(116878,10110533,'Stuns target',100,2,1),
(116879,10110533,'Throws target back',100,2,2),
(116880,10110533,'Blurs vision of target',100,2,3),
(116881,10110533,'Does not affect Epic targets',100,2,4),
(116882,10110533,'Forces target to change their selected target to caster.',100,1,5),
(116883,10110533,'Inflicts 208 - 348 disease damage on target',100,1,6),
(116884,10110533,'Prevents target from changing targets',100,1,7),
(116885,107822,'Causes 10% Threat to transfer to target when in combat',100,1,0),
(116886,107822,'Increases Hate Gain of target by 9.6%',100,1,1),
(116887,81331,'When Equipped:',100,0,0),
(116888,81331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116889,81331,'Inflicts 94 - 174 magic damage on target',100,2,2),
(116890,81331,'Cannot be modified except by direct means',100,2,3),
(116891,10081331,'When Equipped:',100,0,0),
(116892,10081331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(116893,10081331,'Inflicts 131 - 244 magic damage on target',100,2,2),
(116894,10081331,'Cannot be modified except by direct means',100,2,3),
(116895,87530,'Applies Lightning Shock when Activated.',100,0,0),
(116896,87530,'Inflicts 115 - 191 magic damage on target',100,1,1),
(116897,87530,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(116898,10087530,'Applies Lightning Shock when Activated.',100,0,0),
(116899,10087530,'Inflicts 161 - 268 magic damage on target',100,1,1),
(116900,10087530,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(116901,45654,'Applies Elixir of Thought  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(116902,45654,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(116903,10045654,'Applies Elixir of Thought  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(116904,10045654,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(116905,120144,'Decreases STR and INT of target by 49.9',100,1,0),
(116906,120144,'Increases STR and INT of caster by 49.9',100,1,1),
(116907,10120144,'Decreases STR and INT of target by 49.9',100,1,0),
(116908,10120144,'Increases STR and INT of caster by 49.9',100,1,1),
(116909,114272,'Heals target for 83 - 101',100,1,0),
(116910,10114272,'Heals target for 97 - 119',100,1,0),
(116911,116518,'Increases Mitigation of target vs physical damage by 283',100,1,0),
(116912,116518,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(116913,10116518,'Increases Mitigation of target vs physical damage by 283',100,1,0),
(116914,10116518,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(116915,124835,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1500',100,1,0),
(116916,10124835,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1500',100,1,0),
(116917,108434,'Increases INT, AGI, STR and WIS of group members (AE) by 52.2',100,1,0),
(116918,108434,'Adds 1.6% to base avoidance.',100,1,1),
(116919,108434,'Increases Ability Reuse Speed of group members (AE) by 5.7%',100,1,2),
(116920,108434,'Increases Attack Speed of group members (AE) by 35.9',100,1,3),
(116921,108434,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 153',100,1,4),
(116922,10108434,'Increases INT, AGI, STR and WIS of group members (AE) by 52.2',100,1,0),
(116923,10108434,'Adds 1.6% to base avoidance.',100,1,1),
(116924,10108434,'Increases Ability Reuse Speed of group members (AE) by 5.7%',100,1,2),
(116925,10108434,'Increases Attack Speed of group members (AE) by 35.9',100,1,3),
(116926,10108434,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 153',100,1,4),
(116927,46591,'Applies Grey Warg with Red Saddle when Activated.',100,0,0),
(116928,46591,'Summons a mount to ride',100,1,1),
(116929,46591,'Increases your ground speed by 130%',100,2,2),
(116930,10046591,'Applies Grey Warg with Red Saddle when Activated.',100,0,0),
(116931,10046591,'Summons a mount to ride',100,1,1),
(116932,10046591,'Increases your ground speed by 130%',100,2,2),
(116933,174991,'When Equipped:',100,0,0),
(116934,174991,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116935,174991,'Increases Potency of caster by 9.0%',100,2,2),
(116936,174991,'Cannot be modified except by direct means',100,2,3),
(116937,10174991,'When Equipped:',100,0,0),
(116938,10174991,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(116939,10174991,'Increases Potency of caster by 9.0%',100,2,2),
(116940,10174991,'Cannot be modified except by direct means',100,2,3),
(116941,179459,'When Equipped:',100,0,0),
(116942,179459,'Gives caster an extra 3.0% mitigation to their worn armor',100,1,1),
(116943,179459,'Must not be engaged in pvp combat',100,1,2),
(116944,10179459,'When Equipped:',100,0,0),
(116945,10179459,'Gives caster an extra 3.0% mitigation to their worn armor',100,1,1),
(116946,10179459,'Must not be engaged in pvp combat',100,1,2),
(116947,101414,'Inflicts 701 - 1169 melee damage on target',100,1,0),
(116948,101414,'Returns the last arrow used to the ranger.',100,1,1),
(116949,10101414,'Inflicts 912 - 1520 melee damage on target',100,1,0),
(116950,10101414,'Returns the last arrow used to the ranger.',100,1,1),
(116951,109321,'Increases STR of caster by 29.0',100,1,0),
(116952,109321,'Decreases Defense of caster by 4.8',100,1,1),
(116953,109321,'Increases Slashing, Piercing and Crushing of caster by 7.9',100,1,2),
(116954,10109321,'Increases STR of caster by 29.0',100,1,0),
(116955,10109321,'Decreases Defense of caster by 4.8',100,1,1),
(116956,10109321,'Increases Slashing, Piercing and Crushing of caster by 7.9',100,1,2),
(116957,45287,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(116958,45287,'Inflicts 43 - 53 melee damage on target',100,1,1),
(116959,45287,'Inflicts 10 - 17 slashing damage on target every 4 seconds',100,1,2),
(116960,10045287,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(116961,10045287,'Inflicts 56 - 69 melee damage on target',100,1,1),
(116962,10045287,'Inflicts 14 - 23 slashing damage on target every 4 seconds',100,1,2),
(116963,106028,'Inflicts 132 - 161 divine damage on target instantly and every 3 seconds',100,1,0),
(116964,106028,'Decreases Defense of target by 17.7',100,1,1),
(116965,10106028,'Inflicts 123 - 150 divine damage on target instantly and every 3 seconds',100,1,0),
(116966,10106028,'Decreases Defense of target by 17.7',100,1,1),
(116967,46783,'Applies Transmute when Activated.',100,0,0),
(116968,10046783,'Applies Transmute when Activated.',100,0,0),
(116969,112904,'Inflicts 622 - 761 melee damage on target',100,1,0),
(116970,112904,'Decreases Mitigation of target vs physical damage by 554',100,1,1),
(116971,112904,'Must be flanking or behind',100,1,2),
(116972,10112904,'Inflicts 809 - 989 melee damage on target',100,1,0),
(116973,10112904,'Decreases Mitigation of target vs physical damage by 554',100,1,1),
(116974,10112904,'Must be flanking or behind',100,1,2),
(116975,24384,'Adds Froglok-Undead (Templar) to your Dungeon Maker toolbox',100,0,0),
(116976,10024384,'Adds Froglok-Undead (Templar) to your Dungeon Maker toolbox',100,0,0),
(116977,113674,'Stuns target',100,1,0),
(116978,113674,'If Target is not Epic',100,2,1),
(116979,113674,'Inflicts 39 - 65 heat damage on target',100,1,2),
(116980,113674,'Resistibility increases against targets higher than level 31.',100,1,3),
(116981,10113674,'Stuns target',100,1,0),
(116982,10113674,'If Target is not Epic',100,2,1),
(116983,10113674,'Inflicts 54 - 90 heat damage on target',100,1,2),
(116984,10113674,'Resistibility increases against targets higher than level 31.',100,1,3),
(116985,46966,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(116986,46966,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(116987,46966,'Inflicts 39 poison damage on target instantly and every 6 seconds',100,2,2),
(116988,46966,'Inflicts 241 poison damage on target',100,2,3),
(116989,46966,'Cannot be modified except by direct means',100,2,4),
(116990,46966,'Grants a total of 200 triggers of the spell.',100,2,5),
(116991,10046966,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(116992,10046966,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(116993,10046966,'Inflicts 253 poison damage on target',100,2,2),
(116994,10046966,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,3),
(116995,10046966,'Cannot be modified except by direct means',100,2,4),
(116996,10046966,'Grants a total of 200 triggers of the spell.',100,2,5),
(116997,116510,'Increases Mitigation of target vs physical damage by 140',100,1,0),
(116998,116510,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(116999,10116510,'Increases Mitigation of target vs physical damage by 140',100,1,0),
(117000,10116510,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(117001,35783,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(117002,24004,'Adds Anashti''in Dirge to your Dungeon Maker toolbox',100,0,0),
(117003,10024004,'Adds Anashti''in Dirge to your Dungeon Maker toolbox',100,0,0),
(117004,80409,'When Equipped:',100,0,0),
(117005,80409,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117006,80409,'Inflicts 61 - 113 magic damage on target',100,2,2),
(117007,80409,'Cannot be modified except by direct means',100,2,3),
(117008,10080409,'When Equipped:',100,0,0),
(117009,10080409,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117010,10080409,'Inflicts 85 - 158 magic damage on target',100,2,2),
(117011,10080409,'Cannot be modified except by direct means',100,2,3),
(117012,111534,'Increases Hate Gain of target by 14.8%',100,1,0),
(117013,111534,'Increases Aggression of target by 9.1',100,1,1),
(117014,10111534,'Increases STR of target by 23.4',100,1,0),
(117015,10111534,'Increases Aggression of target by 9.1',100,1,1),
(117016,101094,'Increases Mitigation of raid and group members (AE) vs arcane damage by 392',100,1,0),
(117017,10101094,'Increases Mitigation of raid and group members (AE) vs arcane damage by 392',100,1,0),
(117018,124234,'Decreases Attack Speed of caster by 16.9',100,1,0),
(117019,124234,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(117020,124234,'Slows targets in Area of Effect by 70.1%',100,2,2),
(117021,124234,'5% chance to dispel when target receives hostile action',100,2,3),
(117022,124234,'5% chance to dispel when target takes damage',100,2,4),
(117023,124234,'Increases Mitigation of caster vs physical damage by 1104',100,1,5),
(117024,10124234,'Decreases Attack Speed of caster by 16.9',100,1,0),
(117025,10124234,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(117026,10124234,'Slows targets in Area of Effect by 52.6%',100,2,2),
(117027,10124234,'5% chance to dispel when target receives hostile action',100,2,3),
(117028,10124234,'5% chance to dispel when target takes damage',100,2,4),
(117029,10124234,'Increases Mitigation of caster vs physical damage by 1104',100,1,5),
(117030,116768,'Increases Max Health of target by 557.7',100,1,0),
(117031,116768,'Increases Max Power of target by 615.4',100,1,1),
(117032,10116768,'Increases Max Health of target by 557.7',100,1,0),
(117033,10116768,'Increases Max Power of target by 615.4',100,1,1),
(117034,104979,'Reduces physical damage done to caster by 5%',100,1,0),
(117035,104979,'Adds 1.7% to base avoidance.',100,1,1),
(117036,104979,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(117037,104979,'Increases Parry of caster by 5.3',100,1,3),
(117038,104979,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(117039,104979,'Increases Aggression of caster by 3.2',100,1,5),
(117040,104979,'Increases Defense and Deflection of caster by 5.3',100,1,6),
(117041,104979,'Increases Mitigation of caster vs arcane damage by 380',100,1,7),
(117042,104979,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(117043,10104979,'Reduces physical damage done to caster by 5%',100,1,0),
(117044,10104979,'Adds 1.7% to base avoidance.',100,1,1),
(117045,10104979,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(117046,10104979,'Increases Parry of caster by 5.3',100,1,3),
(117047,10104979,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(117048,10104979,'Increases Aggression of caster by 3.2',100,1,5),
(117049,10104979,'Increases Defense and Deflection of caster by 5.3',100,1,6),
(117050,10104979,'Increases Mitigation of caster vs arcane damage by 380',100,1,7),
(117051,10104979,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(117052,100208,'Increases Threat to target encounter by 300 - 367 ',100,1,0),
(117053,100208,'Interrupts target encounter',100,1,1),
(117054,10100208,'Interrupts target encounter',100,1,0),
(117055,10100208,'Forces target encounter to change their selected target to caster.',100,1,1),
(117056,10100208,'Prevents target encounter from changing targets',100,1,2),
(117057,115783,'Inflicts 319 - 532 melee damage on target',100,1,0),
(117058,10115783,'Inflicts 415 - 692 melee damage on target',100,1,0),
(117059,82152,'When Equipped:',100,0,0),
(117060,82152,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(117061,82152,'Inflicts 182 - 339 magic damage on target',100,2,2),
(117062,82152,'Decreases Threat to target by 641 ',100,2,3),
(117063,82152,'Must be flanking or behind',100,3,4),
(117064,82152,'Increases Threat to target by 641 ',100,2,5),
(117065,82152,'Must be in front of',100,3,6),
(117066,82152,'Cannot be modified except by direct means',100,2,7),
(117067,10082152,'When Equipped:',100,0,0),
(117068,10082152,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(117069,10082152,'Inflicts 255 - 474 magic damage on target',100,2,2),
(117070,10082152,'Cannot be modified except by direct means',100,2,3),
(117071,155652,'Applies Gnomish Shades when Equipped.',100,0,0),
(117072,155652,'Grants Ultravision to caster',100,1,1),
(117073,10155652,'Applies Gnomish Shades when Equipped.',100,0,0),
(117074,10155652,'Grants Ultravision to caster',100,1,1),
(117075,159073,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(117076,159073,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(117077,159073,'Inflicts 113 heat damage on target',100,2,2),
(117078,159073,'Cannot be modified except by direct means',100,2,3),
(117079,10159073,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(117080,10159073,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(117081,10159073,'Inflicts 158 heat damage on target',100,2,2),
(117082,10159073,'Cannot be modified except by direct means',100,2,3),
(117083,118091,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(117084,10118091,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(117085,36634,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(117086,100818,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(117087,100818,'Increases Parry of caster by 3.8',100,1,1),
(117088,10100818,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(117089,10100818,'Increases Parry of caster by 3.8',100,1,1),
(117090,100249,'Inflicts 14 - 25 poison damage on target instantly and every 3 seconds',100,1,0),
(117091,10100249,'Inflicts 43 - 79 poison damage on target instantly and every 3 seconds',100,1,0),
(117092,101537,'Increases WIS of target by 166.3',100,1,0),
(117093,101537,'Increases Max Health of target by 1,484.7',100,1,1),
(117094,101537,'Increases Mitigation of target vs elemental, noxious and arcane damage by 453',100,1,2),
(117095,10101537,'Increases WIS of target by 166.3',100,1,0),
(117096,10101537,'Increases Max Health of target by 1,484.7',100,1,1),
(117097,10101537,'Increases Mitigation of target vs elemental, noxious and arcane damage by 453',100,1,2),
(117098,116429,'Inflicts 3 disease damage on target instantly and every 4 seconds',100,1,0),
(117099,116429,'Inflicts 3 disease damage on target instantly and every 4 seconds',100,1,1),
(117100,116429,'If target is nightblood',100,2,2),
(117101,116429,'Inflicts 3 disease damage on target instantly and every 4 seconds',100,1,3),
(117102,116429,'If target is shadowed folk',100,2,4),
(117103,10116429,'Inflicts 4 disease damage on target instantly and every 4 seconds',100,1,0),
(117104,124594,'Decreases Threat to targets in Area of Effect by 4,365 ',100,1,0),
(117105,124594,'Interrupts targets in Area of Effect',100,1,1),
(117106,124594,'Roots targets in Area of Effect',100,1,2),
(117107,124594,'If Target is not Epic',100,2,3),
(117108,10124594,'Applies Distract.',100,1,0),
(117109,10124594,'Forces target to clear their selected target.',100,2,1),
(117110,10124594,'Interrupts targets in Area of Effect',100,1,2),
(117111,10124594,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(117112,10124594,'Roots targets in Area of Effect',100,1,4),
(117113,10124594,'If Target is not Epic',100,2,5),
(117114,157133,'When Equipped:',100,0,0),
(117115,157133,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(117116,157133,'When Equipped:',100,0,2),
(117117,157133,'Increases Attack Speed of caster by 35.0',100,1,3),
(117118,10157133,'When Equipped:',100,0,0),
(117119,10157133,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(117120,10157133,'When Equipped:',100,0,2),
(117121,10157133,'Increases Attack Speed of caster by 35.0',100,1,3),
(117122,51647,'When Equipped:',100,0,0),
(117123,51647,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(117124,51647,'Wards caster against 175 points of all damage',100,2,2),
(117125,51647,'Cannot be modified except by direct means',100,2,3),
(117126,10051647,'When Equipped:',100,0,0),
(117127,10051647,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(117128,10051647,'Wards caster against 175 points of all damage',100,2,2),
(117129,10051647,'Cannot be modified except by direct means',100,2,3),
(117130,109438,'Inflicts 207 - 254 cold damage on target instantly and every 4 seconds',100,1,0),
(117131,109438,'Decreases Mitigation of target vs elemental damage by 780',100,1,1),
(117132,10109438,'Inflicts 290 - 355 cold damage on target instantly and every 4 seconds',100,1,0),
(117133,10109438,'Decreases Mitigation of target vs elemental damage by 780',100,1,1),
(117134,117183,'Inflicts 131 poison damage on target instantly and every 4 seconds',100,1,0),
(117135,117183,'Decreases WIS of target by 78.9',100,1,1),
(117136,10117183,'Inflicts 183 poison damage on target instantly and every 4 seconds',100,1,0),
(117137,10117183,'Decreases WIS of target by 78.9',100,1,1),
(117138,46628,'Applies Heart Stopper when Activated.  Lasts for 3 minutes.',100,0,0),
(117139,46628,'Feigns Death with 75% chance of success',100,1,1),
(117140,46628,'Increases Threat to caster by 431 ',25,1,2),
(117141,10046628,'Applies Heart Stopper when Activated.  Lasts for 3 minutes.',100,0,0),
(117142,10046628,'Feigns Death with 75% chance of success',100,1,1),
(117143,112630,'Inflicts 43 - 72 disease damage on target',100,1,0),
(117144,112630,'Inflicts 43 - 72 disease damage on target',100,1,1),
(117145,112630,'Roots target',100,1,2),
(117146,112630,'If Target is not Epic',100,2,3),
(117147,112630,'15% chance to dispel when target takes damage',100,1,4),
(117148,112630,'If weapon equipped in Ranged',100,1,5),
(117149,112630,'Resistibility increases against targets higher than level 45.',100,1,6),
(117150,10112630,'Inflicts 37 - 61 disease damage on target',100,1,0),
(117151,10112630,'Inflicts 37 - 61 disease damage on target',100,1,1),
(117152,10112630,'Roots target',100,1,2),
(117153,10112630,'If Target is not Epic',100,2,3),
(117154,10112630,'15% chance to dispel when target takes damage',100,1,4),
(117155,10112630,'If weapon equipped in Ranged',100,1,5),
(117156,10112630,'Resistibility increases against targets higher than level 45.',100,1,6),
(117157,117036,'Inflicts 20 - 34 melee damage on target',100,1,0),
(117158,117036,'Decreases Attack Speed of target by 10.3',100,1,1),
(117159,10117036,'Inflicts 26 - 44 melee damage on target',100,1,0),
(117160,10117036,'Decreases Attack Speed of target by 10.3',100,1,1),
(117161,103226,'Reduces physical damage done to caster by 5%',100,1,0),
(117162,103226,'Adds 2.4% to base avoidance.',100,1,1),
(117163,103226,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(117164,103226,'Increases Parry of caster by 7.7',100,1,3),
(117165,103226,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(117166,103226,'Increases Aggression of caster by 5.8',100,1,5),
(117167,103226,'Increases Defense and Deflection of caster by 7.7',100,1,6),
(117168,103226,'Increases Mitigation of caster vs noxious damage by 553',100,1,7),
(117169,103226,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(117170,10103226,'Reduces physical damage done to caster by 5%',100,1,0),
(117171,10103226,'Adds 2.4% to base avoidance.',100,1,1),
(117172,10103226,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(117173,10103226,'Increases Parry of caster by 7.7',100,1,3),
(117174,10103226,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(117175,10103226,'Increases Aggression of caster by 5.8',100,1,5),
(117176,10103226,'Increases Defense and Deflection of caster by 7.7',100,1,6),
(117177,10103226,'Increases Mitigation of caster vs noxious damage by 553',100,1,7),
(117178,10103226,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(117179,101759,'Heals group members (AE) for 149 - 182 instantly and every 2 seconds',100,1,0),
(117180,10101759,'Heals group members (AE) for 97 - 119 instantly and every 2 seconds',100,1,0),
(117181,100313,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(117182,100313,'Inflicts 302 divine damage on target',100,2,1),
(117183,10100313,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(117184,10100313,'Inflicts 423 divine damage on target',100,2,1),
(117185,124045,'Increases power of caster by 85',100,1,0),
(117186,10124045,'Increases power of caster by 85',100,1,0),
(117187,81229,'When Equipped:',100,0,0),
(117188,81229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117189,81229,'Inflicts 94 - 174 magic damage on target',100,2,2),
(117190,81229,'Cannot be modified except by direct means',100,2,3),
(117191,10081229,'When Equipped:',100,0,0),
(117192,10081229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117193,10081229,'Inflicts 131 - 244 magic damage on target',100,2,2),
(117194,10081229,'Cannot be modified except by direct means',100,2,3),
(117195,114755,'Inflicts 3514 - 5857 melee damage on target',100,1,0),
(117196,114755,'You must be in stealth.',100,1,1),
(117197,10114755,'Inflicts 2722 - 4536 melee damage on target',100,1,0),
(117198,10114755,'You must be in stealth.',100,1,1),
(117199,41518,'When Equipped:',100,0,0),
(117200,41518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117201,41518,'Inflicts 271 - 504 magic damage on target',100,2,2),
(117202,41518,'Cannot be modified except by direct means',100,2,3),
(117203,10041518,'When Equipped:',100,0,0),
(117204,10041518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117205,10041518,'Inflicts 380 - 705 magic damage on target',100,2,2),
(117206,10041518,'Cannot be modified except by direct means',100,2,3),
(117207,105262,'Increases Threat to target by 1,089 ',100,1,0),
(117208,105262,'Interrupts target',100,1,1),
(117209,105262,'Dispels 132 levels of arcane beneficial effects on target',100,1,2),
(117210,10105262,'Forces target to change their selected target to caster.',100,1,0),
(117211,10105262,'Interrupts target',100,1,1),
(117212,10105262,'Dispels 132 levels of arcane beneficial effects on target',100,1,2),
(117213,103803,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 29.4',100,1,0),
(117214,10103803,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 29.4',100,1,0),
(117215,108009,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(117216,108009,'Increases Mitigation of group members (AE) vs elemental damage by 1160',100,1,1),
(117217,10108009,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(117218,10108009,'Increases Mitigation of group members (AE) vs elemental damage by 1160',100,1,1),
(117219,114199,'Inflicts 377 - 628 melee damage on target',100,1,0),
(117220,114199,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(117221,10114199,'Inflicts 490 - 817 melee damage on target',100,1,0),
(117222,10114199,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(117223,122227,'Increases Damage Per Second of target by 21.4',100,1,0),
(117224,122227,'Increases Max Health of target by 722.5',100,1,1),
(117225,10122227,'Increases Damage Per Second of target by 21.4',100,1,0),
(117226,10122227,'Increases Max Health of target by 722.5',100,1,1),
(117227,103095,'Inflicts 55 - 82 magic damage on target',100,1,0),
(117228,103095,'Inflicts 12 - 18 magic damage on target every 4 seconds',100,1,1),
(117229,10103095,'Inflicts 77 - 115 magic damage on target',100,1,0),
(117230,10103095,'Inflicts 17 - 26 magic damage on target every 4 seconds',100,1,1),
(117231,115402,'Inflicts 281 - 468 melee damage on target',100,1,0),
(117232,115402,'Decreases INT of target by 40.5',100,1,1),
(117233,115402,'You must be sneaking to use this ability.',100,1,2),
(117234,10115402,'Inflicts 365 - 609 melee damage on target',100,1,0),
(117235,10115402,'Decreases INT of target by 40.5',100,1,1),
(117236,10115402,'You must be sneaking to use this ability.',100,1,2),
(117237,100187,'Inflicts 2006 - 3725 disease damage on target encounter',100,1,0),
(117238,10100187,'Inflicts 2808 - 5215 disease damage on target encounter',100,1,0),
(117239,110816,'Inflicts 48 - 65 mental damage on target',100,1,0),
(117240,110816,'Interrupts target',100,1,1),
(117241,10110816,'Inflicts 68 - 92 mental damage on target',100,1,0),
(117242,10110816,'Interrupts target',100,1,1),
(117243,88670,'Applies Ray of Devastation when Activated.',100,0,0),
(117244,88670,'Inflicts 3438 heat damage on targets in Area of Effect',100,1,1),
(117245,88670,'The casting time of Ray of Devastation is 3.0 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(117246,10088670,'Applies Ray of Devastation when Activated.',100,0,0),
(117247,10088670,'Inflicts 2407 heat damage on targets in Area of Effect',100,1,1),
(117248,10088670,'The casting time of Ray of Devastation is 3.0 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(117249,117912,'Increases In-Combat Health Regeneration of group members (AE) by 120.0',100,1,0),
(117250,117912,'Increases Max Health of group members (AE) by 642.9',100,1,1),
(117251,10117912,'Increases In-Combat Health Regeneration of group members (AE) by 120.0',100,1,0),
(117252,10117912,'Increases Max Health of group members (AE) by 642.9',100,1,1),
(117253,122091,'Increases STA and INT of group members (AE) by 50.6',100,1,0),
(117254,10122091,'Increases STA and INT of group members (AE) by 50.6',100,1,0),
(117255,177535,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(117256,177535,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(117257,177535,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(117258,177535,'Cannot be modified except by direct means',100,2,3),
(117259,10177535,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(117260,10177535,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(117261,10177535,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(117262,10177535,'Cannot be modified except by direct means',100,2,3),
(117263,111804,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(117264,111804,'Wipes most of the target''s memory of aggression',100,2,1),
(117265,111804,'Summons 6 limited pets to aid the caster',100,1,2),
(117266,10111804,'Applies Distract on termination.',100,1,0),
(117267,10111804,'Forces target to clear their selected target.',100,2,1),
(117268,10111804,'Summons 6 limited pets to aid the caster',100,1,2),
(117269,121383,'Inflicts 204 - 378 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(117270,10121383,'Inflicts 285 - 529 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(117271,134905,'When Equipped:',100,0,0),
(117272,134905,'When damaged with a melee weapon this spell has a 10% chance to cast Ironhide Defense on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(117273,134905,'Wards caster against 225 points of all damage',100,2,2),
(117274,134905,'Cannot be modified except by direct means',100,2,3),
(117275,10134905,'When Equipped:',100,0,0),
(117276,10134905,'When damaged with a melee weapon this spell has a 10% chance to cast Ironhide Defense on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(117277,10134905,'Wards caster against 225 points of all damage',100,2,2),
(117278,10134905,'Cannot be modified except by direct means',100,2,3),
(117279,115573,'Interrupts target encounter',100,1,0),
(117280,115573,'Decreases Threat to target encounter by 160 - 196 ',100,1,1),
(117281,115573,'Dazes target encounter',100,1,2),
(117282,115573,'If Target is not Epic',100,2,3),
(117283,115573,'Resistibility increases against targets higher than level 53.',100,1,4),
(117284,10115573,'Interrupts target encounter',100,1,0),
(117285,10115573,'Dazes target encounter',100,1,1),
(117286,10115573,'If Target is not Epic',100,2,2),
(117287,10115573,'Resistibility increases against targets higher than level 53.',100,1,3),
(117288,116444,'Inflicts 46 disease damage on target instantly and every 4 seconds',100,1,0),
(117289,116444,'Inflicts 46 disease damage on target instantly and every 4 seconds',100,1,1),
(117290,116444,'If target is nightblood',100,2,2),
(117291,116444,'Inflicts 46 disease damage on target instantly and every 4 seconds',100,1,3),
(117292,116444,'If target is shadowed folk',100,2,4),
(117293,10116444,'Inflicts 65 disease damage on target instantly and every 4 seconds',100,1,0),
(117294,112766,'Interrupts target',100,1,0),
(117295,112766,'Inflicts 235 - 392 divine damage on target',100,1,1),
(117296,10112766,'Interrupts target',100,1,0),
(117297,10112766,'Inflicts 329 - 549 divine damage on target',100,1,1),
(117298,82044,'When Equipped:',100,0,0),
(117299,82044,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117300,82044,'Inflicts 182 - 339 magic damage on target',100,2,2),
(117301,82044,'Cannot be modified except by direct means',100,2,3),
(117302,10082044,'When Equipped:',100,0,0),
(117303,10082044,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117304,10082044,'Inflicts 255 - 474 magic damage on target',100,2,2),
(117305,10082044,'Cannot be modified except by direct means',100,2,3),
(117306,158699,'When Equipped:',100,0,0),
(117307,158699,'When any damage is received this spell has a 5% chance to cast Provoke on target''s attacker.  ',100,1,1),
(117308,158699,'Increases Threat to target by 550 ',100,2,2),
(117309,158699,'Cannot be modified except by direct means',100,2,3),
(117310,10158699,'When Equipped:',100,0,0),
(117311,10158699,'When any damage is received this spell has a 5% chance to cast Provoke on target''s attacker.  ',100,1,1),
(117312,10158699,'Cannot be modified except by direct means',100,2,2),
(117313,112131,'Dispels 74 levels of physical and arcane hostile effects on caster',100,1,0),
(117314,10112131,'Dispels 74 levels of physical and arcane hostile effects on caster',100,1,0),
(117315,81941,'When Equipped:',100,0,0),
(117316,81941,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(117317,81941,'Decreases Threat to target by 994 ',100,2,2),
(117318,81941,'Must be flanking or behind',100,3,3),
(117319,81941,'Increases Threat to target by 994 ',100,2,4),
(117320,81941,'Must be in front of',100,3,5),
(117321,81941,'Inflicts 351 - 652 magic damage on target',100,2,6),
(117322,81941,'Cannot be modified except by direct means',100,2,7),
(117323,10081941,'When Equipped:',100,0,0),
(117324,10081941,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(117325,10081941,'Inflicts 492 - 913 magic damage on target',100,2,2),
(117326,10081941,'Cannot be modified except by direct means',100,2,3),
(117327,74824,'When Equipped:',100,0,0),
(117328,74824,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117329,74824,'Inflicts 113 - 170 magic damage on target',100,2,2),
(117330,74824,'Cannot be modified except by direct means',100,2,3),
(117331,10074824,'When Equipped:',100,0,0),
(117332,10074824,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117333,10074824,'Inflicts 158 - 237 magic damage on target',100,2,2),
(117334,10074824,'Cannot be modified except by direct means',100,2,3),
(117335,104484,'Decreases Mitigation of target encounter vs physical damage by 520',100,1,0),
(117336,10104484,'Decreases Mitigation of target encounter vs physical damage by 520',100,1,0),
(117337,124273,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(117338,124273,'Increases Damage Per Second of target by 29.2',100,2,1),
(117339,124273,'Increases Attack Speed of target by 29.2',100,2,2),
(117340,124273,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(117341,124273,'Increases Damage Per Second of target by 29.2',100,2,4),
(117342,124273,'Increases Attack Speed of target by 29.2',100,2,5),
(117343,124273,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(117344,124273,'Increases Damage Per Second of target by 29.2',100,2,7),
(117345,124273,'Increases Attack Speed of target by 29.2',100,2,8),
(117346,10124273,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(117347,10124273,'Increases Damage Per Second of target by 29.2',100,2,1),
(117348,10124273,'Increases Attack Speed of target by 29.2',100,2,2),
(117349,10124273,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(117350,10124273,'Increases Damage Per Second of target by 29.2',100,2,4),
(117351,10124273,'Increases Attack Speed of target by 29.2',100,2,5),
(117352,10124273,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(117353,10124273,'Increases Damage Per Second of target by 29.2',100,2,7),
(117354,10124273,'Increases Attack Speed of target by 29.2',100,2,8),
(117355,182547,'When Equipped:',100,0,0),
(117356,182547,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(117357,182547,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,2),
(117358,182547,'Increases Crit Bonus of caster by 11.5%',100,2,3),
(117359,182547,'Must not be engaged in pvp combat',100,2,4),
(117360,182547,'Cannot be modified except by direct means',100,2,5),
(117361,182547,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(117362,182547,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(117363,182547,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,8),
(117364,182547,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(117365,182547,'Must not be engaged in pvp combat',100,2,10),
(117366,182547,'Cannot be modified except by direct means',100,2,11),
(117367,182547,'Cannot be modified except by direct means',100,1,12),
(117368,10182547,'When Equipped:',100,0,0),
(117369,10182547,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(117370,10182547,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,2),
(117371,10182547,'Increases Crit Bonus of caster by 11.5%',100,2,3),
(117372,10182547,'Must not be engaged in pvp combat',100,2,4),
(117373,10182547,'Cannot be modified except by direct means',100,2,5),
(117374,10182547,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(117375,10182547,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(117376,10182547,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,8),
(117377,10182547,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(117378,10182547,'Must not be engaged in pvp combat',100,2,10),
(117379,10182547,'Cannot be modified except by direct means',100,2,11),
(117380,10182547,'Cannot be modified except by direct means',100,1,12),
(117381,48073,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(117382,48073,'Summons a mount to ride',100,1,1),
(117383,48073,'Increases your ground speed by 135%',100,2,2),
(117384,48073,'Increases Crushing, Focus, Ministration, Slashing, Ranged, Subjugation, Piercing, Ordination, Aggression and Disruption of caster by 5.0',100,1,3),
(117385,10048073,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(117386,10048073,'Summons a mount to ride',100,1,1),
(117387,10048073,'Increases your ground speed by 135%',100,2,2),
(117388,10048073,'Increases Crushing, Focus, Ministration, Slashing, Ranged, Subjugation, Piercing, Ordination, Aggression and Disruption of caster by 5.0',100,1,3),
(117389,157995,'Applies Draconic Energy when Activated.  Lasts for 20.0 seconds.',100,0,0),
(117390,157995,'Increases power of caster by 45 every 4 seconds',100,1,1),
(117391,157995,'The casting time of Draconic Energy is 2.0 seconds and the reuse time of the spell is 25 minutes',100,1,2),
(117392,10157995,'Applies Draconic Energy when Activated.  Lasts for 20.0 seconds.',100,0,0),
(117393,10157995,'Increases power of caster by 45 every 4 seconds',100,1,1),
(117394,10157995,'The casting time of Draconic Energy is 2.0 seconds and the reuse time of the spell is 25 minutes',100,1,2),
(117395,115718,'Heals target for 90 instantly and every 0.3 seconds',100,1,0),
(117396,115718,'Stifles caster',100,1,1),
(117397,10115718,'Heals target for 59 instantly and every 0.3 seconds',100,1,0),
(117398,10115718,'Stifles caster',100,1,1),
(117399,119542,'Wards group members (AE) against 646 points of arcane damage',100,1,0),
(117400,119542,'Increases Mitigation of group members (AE) vs arcane damage by 406',100,1,1),
(117401,10119542,'Wards group members (AE) against 646 points of arcane damage',100,1,0),
(117402,10119542,'Increases Mitigation of group members (AE) vs arcane damage by 406',100,1,1),
(117403,26418,'When Equipped:',100,0,0),
(117404,26418,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(117405,26418,'Decreases power of target by 134',100,2,2),
(117406,26418,'Increases power of caster by 100',100,2,3),
(117407,26418,'Cannot be modified except by direct means',100,2,4),
(117408,10026418,'When Equipped:',100,0,0),
(117409,10026418,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(117410,10026418,'Decreases power of target by 134',100,2,2),
(117411,10026418,'Increases power of caster by 100',100,2,3),
(117412,10026418,'Cannot be modified except by direct means',100,2,4),
(117413,123764,'Decreases Mitigation of target vs noxious damage by 703',100,1,0),
(117414,123764,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(117415,123764,'Slows target by 35.5%',100,2,2),
(117416,123764,'5% chance to dispel when target receives hostile action',100,2,3),
(117417,123764,'5% chance to dispel when target takes damage',100,2,4),
(117418,10123764,'Decreases Mitigation of target vs noxious damage by 703',100,1,0),
(117419,10123764,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(117420,10123764,'Slows target by 35.5%',100,2,2),
(117421,10123764,'5% chance to dispel when target receives hostile action',100,2,3),
(117422,10123764,'5% chance to dispel when target takes damage',100,2,4),
(117423,121079,'Increases STR and STA of group members (AE) by 81.6',100,1,0),
(117424,10121079,'Increases STR and STA of group members (AE) by 81.6',100,1,0),
(117425,105610,'Inflicts 8 disease damage on target instantly and every 6 seconds',100,1,0),
(117426,105610,'Inflicts 19 - 32 disease damage on target',100,1,1),
(117427,105610,'Inflicts 19 - 32 disease damage on target',100,1,2),
(117428,10105610,'Inflicts 12 disease damage on target instantly and every 6 seconds',100,1,0),
(117429,10105610,'Inflicts 25 - 42 disease damage on target',100,1,1),
(117430,10105610,'Inflicts 25 - 42 disease damage on target',100,1,2),
(117431,144589,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(117432,144589,'Decreases STR, AGI, INT and WIS of target by 27.0',100,1,1),
(117433,144589,'Decreases Max Health of target by 1.0%',100,1,2),
(117434,144589,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(117435,10144589,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(117436,10144589,'Decreases STR, AGI, INT and WIS of target by 27.0',100,1,1),
(117437,10144589,'Decreases Max Health of target by 1.0%',100,1,2),
(117438,10144589,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(117439,111353,'Inflicts 108 - 179 disease damage on target',100,1,0),
(117440,111353,'Heals caster for 53 - 89',100,1,1),
(117441,10111353,'Inflicts 151 - 251 disease damage on target',100,1,0),
(117442,10111353,'Heals caster for 35 - 58',100,1,1),
(117443,102432,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(117444,102432,'Heals target for 66 - 80',100,2,1),
(117445,102432,'Grants a total of 5 triggers of the spell.',100,2,2),
(117446,10102432,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(117447,10102432,'Heals target for 43 - 52',100,2,1),
(117448,10102432,'Grants a total of 5 triggers of the spell.',100,2,2),
(117449,120788,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(117450,120788,'Throws target back',100,2,1),
(117451,120788,'Stuns target',100,2,2),
(117452,120788,'Blurs vision of target',100,2,3),
(117453,120788,'Does not affect Epic targets',100,2,4),
(117454,120788,'Inflicts 110 - 183 piercing damage on target',100,1,5),
(117455,10120788,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(117456,10120788,'Throws target back',100,2,1),
(117457,10120788,'Stuns target',100,2,2),
(117458,10120788,'Blurs vision of target',100,2,3),
(117459,10120788,'Does not affect Epic targets',100,2,4),
(117460,10120788,'Inflicts 143 - 238 piercing damage on target',100,1,5),
(117461,117597,'Inflicts 774 - 1290 melee damage on target',100,1,0),
(117462,117597,'Decreases Parry of target by 64.7',100,1,1),
(117463,117597,'Must be in front of or flanking',100,1,2),
(117464,10117597,'Inflicts 1006 - 1678 melee damage on target',100,1,0),
(117465,10117597,'Decreases Parry of target by 64.7',100,1,1),
(117466,10117597,'Must be in front of or flanking',100,1,2),
(117467,105394,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(117468,105394,'Inflicts 180 melee damage on target',100,2,1),
(117469,105394,'Interrupts target',100,2,2),
(117470,105394,'Decreases Defense of caster by 24.6',100,1,3),
(117471,105394,'Increases Piercing, Slashing, Ranged and Crushing of caster by 51.7',100,1,4),
(117472,10105394,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(117473,10105394,'Inflicts 234 melee damage on target',100,2,1),
(117474,10105394,'Interrupts target',100,2,2),
(117475,10105394,'Decreases Defense of caster by 24.6',100,1,3),
(117476,10105394,'Increases Piercing, Slashing, Ranged and Crushing of caster by 51.7',100,1,4),
(117477,90354,'When Equipped:',100,0,0),
(117478,90354,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(117479,90354,'Inflicts 1986 poison damage on target',100,2,2),
(117480,90354,'Cannot be modified except by direct means',100,2,3),
(117481,10090354,'When Equipped:',100,0,0),
(117482,10090354,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(117483,10090354,'Inflicts 1390 poison damage on target',100,2,2),
(117484,10090354,'Cannot be modified except by direct means',100,2,3),
(117485,175727,'When Equipped:',100,0,0),
(117486,175727,'On any combat or spell hit this spell may cast Greater Draconic Might on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(117487,175727,'Increases Crit Bonus of caster by 12.0%',100,2,2),
(117488,175727,'Must not be engaged in pvp combat',100,2,3),
(117489,175727,'Cannot be modified except by direct means',100,2,4),
(117490,175727,'Must not be engaged in pvp combat',100,1,5),
(117491,175727,'When Equipped:',100,0,6),
(117492,175727,'Increases Doublecast Chance of caster by 1.0%',100,1,7),
(117493,175727,'Increases Potency of caster by 3.0%',100,1,8),
(117494,175727,'Reduces resistibility of all spells by 6%.',100,1,9),
(117495,175727,'Must not be engaged in pvp combat',100,1,10),
(117496,10175727,'When Equipped:',100,0,0),
(117497,10175727,'On any combat or spell hit this spell may cast Greater Draconic Might on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(117498,10175727,'Increases Crit Bonus of caster by 12.0%',100,2,2),
(117499,10175727,'Must not be engaged in pvp combat',100,2,3),
(117500,10175727,'Cannot be modified except by direct means',100,2,4),
(117501,10175727,'Must not be engaged in pvp combat',100,1,5),
(117502,10175727,'When Equipped:',100,0,6),
(117503,10175727,'Increases Doublecast Chance of caster by 1.0%',100,1,7),
(117504,10175727,'Increases Potency of caster by 3.0%',100,1,8),
(117505,10175727,'Reduces resistibility of all spells by 6%.',100,1,9),
(117506,10175727,'Must not be engaged in pvp combat',100,1,10),
(117507,100870,'Makes target afraid',100,1,0),
(117508,100870,'30% chance to dispel when target takes damage',100,1,1),
(117509,100870,'Does not affect Epic targets',100,1,2),
(117510,100870,'Resistibility increases against targets higher than level 68.',100,1,3),
(117511,10100870,'Makes target afraid',100,1,0),
(117512,10100870,'30% chance to dispel when target takes damage',100,1,1),
(117513,10100870,'Does not affect Epic targets',100,1,2),
(117514,10100870,'Resistibility increases against targets higher than level 68.',100,1,3),
(117515,25772,'When Equipped:',100,0,0),
(117516,25772,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(117517,25772,'Reduces the reuse time of Scream of Death by 10 seconds.',100,1,2),
(117518,10025772,'When Equipped:',100,0,0),
(117519,10025772,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(117520,10025772,'Reduces the reuse time of Scream of Death by 10 seconds.',100,1,2),
(117521,37188,'Increases outgoing damaging spell amount by 1.5%',100,0,0),
(117522,37188,'Increases INT and STA of target by 4.6',100,0,1),
(117523,37188,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,2),
(117524,111929,'Inflicts 77 - 129 piercing damage on target instantly and every 4 seconds',100,1,0),
(117525,111929,'Inflicts 282 - 471 piercing damage on target',100,1,1),
(117526,10111929,'Inflicts 180 - 300 piercing damage on target instantly and every 4 seconds',100,1,0),
(117527,10111929,'Inflicts 501 - 835 piercing damage on target',100,1,1),
(117528,118897,'Inflicts 244 - 406 melee damage on target',100,1,0),
(117529,118897,'Inflicts 244 - 406 melee damage on target',100,1,1),
(117530,118897,'Inflicts 244 - 406 melee damage on target',100,1,2),
(117531,118897,'Inflicts 244 - 406 melee damage on target',100,1,3),
(117532,118897,'Inflicts 244 - 406 melee damage on target',100,1,4),
(117533,10118897,'Inflicts 317 - 529 melee damage on target',100,1,0),
(117534,10118897,'Inflicts 317 - 529 melee damage on target',100,1,1),
(117535,10118897,'Inflicts 317 - 529 melee damage on target',100,1,2),
(117536,10118897,'Inflicts 317 - 529 melee damage on target',100,1,3),
(117537,10118897,'Inflicts 317 - 529 melee damage on target',100,1,4),
(117538,35445,'Increases AGI of target by 1.6',100,0,0),
(117539,35445,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(117540,46740,'Applies Kendoan''s Magical Concotion when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(117541,46740,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(117542,46740,'Inflicts 19 magic damage on target',100,2,2),
(117543,46740,'Cannot be modified except by direct means',100,2,3),
(117544,10046740,'Applies Kendoan''s Magical Concotion when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(117545,10046740,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(117546,10046740,'Inflicts 27 magic damage on target',100,2,2),
(117547,10046740,'Cannot be modified except by direct means',100,2,3),
(117548,175301,'When Equipped:',100,0,0),
(117549,175301,'Increases Attack Speed of caster by 40.0',100,1,1),
(117550,10175301,'When Equipped:',100,0,0),
(117551,10175301,'Increases Attack Speed of caster by 40.0',100,1,1),
(117552,83936,'When Equipped:',100,0,0),
(117553,83936,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(117554,83936,'Inflicts 225 cold damage on target',100,2,2),
(117555,83936,'Cannot be modified except by direct means',100,2,3),
(117556,83936,'Cannot be modified except by direct means',100,1,4),
(117557,10083936,'When Equipped:',100,0,0),
(117558,10083936,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(117559,10083936,'Inflicts 315 cold damage on target',100,2,2),
(117560,10083936,'Cannot be modified except by direct means',100,2,3),
(117561,10083936,'Cannot be modified except by direct means',100,1,4),
(117562,105125,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(117563,105125,'Summon 1 Crystallized Spirit (Apprentice)',100,2,1),
(117564,10105125,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(117565,10105125,'Summon 1 Crystallized Spirit (Apprentice)',100,2,1),
(117566,48145,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(117567,48145,'Heals caster for 358',100,1,1),
(117568,48145,'Heals caster for 179 every 5 seconds',100,1,2),
(117569,10048145,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(117570,10048145,'Heals caster for 233',100,1,1),
(117571,10048145,'Heals caster for 116 every 5 seconds',100,1,2),
(117572,89049,'Applies Mental Blast when Activated.',100,0,0),
(117573,89049,'Inflicts 294 - 490 mental damage on target',100,1,1),
(117574,89049,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(117575,10089049,'Applies Mental Blast when Activated.',100,0,0),
(117576,10089049,'Inflicts 411 - 685 mental damage on target',100,1,1),
(117577,10089049,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(117578,135211,'When Equipped:',100,0,0),
(117579,135211,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(117580,10135211,'When Equipped:',100,0,0),
(117581,10135211,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(117582,158698,'When Equipped:',100,0,0),
(117583,158698,'When any damage is received this spell has a 7% chance to cast Confounding on target''s attacker.  ',100,1,1),
(117584,158698,'Decreases Threat to target by 400 ',100,2,2),
(117585,158698,'Cannot be modified except by direct means',100,2,3),
(117586,10158698,'When Equipped:',100,0,0),
(117587,10158698,'When any damage is received this spell has a 7% chance to cast Confounding on target''s attacker.  ',100,1,1),
(117588,10158698,'Cannot be modified except by direct means',100,2,2),
(117589,112772,'Interrupts target',100,1,0),
(117590,112772,'Inflicts 294 - 490 divine damage on target',100,1,1),
(117591,10112772,'Interrupts target',100,1,0),
(117592,10112772,'Inflicts 411 - 686 divine damage on target',100,1,1),
(117593,72157,'When Equipped:',100,0,0),
(117594,72157,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(117595,72157,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(117596,72157,'Cannot be modified except by direct means',100,2,3),
(117597,10072157,'When Equipped:',100,0,0),
(117598,10072157,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(117599,10072157,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(117600,10072157,'Cannot be modified except by direct means',100,2,3),
(117601,123566,'Increases STR of group members (AE) by 29.5',100,1,0),
(117602,123566,'Increases Max Health of group members (AE) by 228.5',100,1,1),
(117603,10123566,'Increases STR of group members (AE) by 29.5',100,1,0),
(117604,10123566,'Increases Max Health of group members (AE) by 228.5',100,1,1),
(117605,116065,'Shapechanges caster into a lion',100,1,0),
(117606,116065,'Increases STA of caster by 152.5',100,1,1),
(117607,116065,'Adds 3.2% to base avoidance.',100,1,2),
(117608,116065,'Grants See Stealth to caster',100,1,3),
(117609,116065,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2288',100,1,4),
(117610,10116065,'Shapechanges caster into a lion',100,1,0),
(117611,10116065,'Increases STA of caster by 152.5',100,1,1),
(117612,10116065,'Adds 3.2% to base avoidance.',100,1,2),
(117613,10116065,'Grants See Stealth to caster',100,1,3),
(117614,10116065,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2288',100,1,4),
(117615,46299,'Applies Discord''s Approval when Activated.',100,0,0),
(117616,46299,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(117617,46299,'Requires 7 Health to cast.',100,1,2),
(117618,10046299,'Applies Discord''s Approval when Activated.',100,0,0),
(117619,10046299,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(117620,10046299,'Requires 7 Health to cast.',100,1,2),
(117621,113990,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(117622,113990,'Inflicts 45 - 75 melee damage on target',100,2,1),
(117623,113990,'Increases Threat to target by 178 ',100,2,2),
(117624,10113990,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(117625,10113990,'Inflicts 58 - 98 melee damage on target',100,2,1),
(117626,116643,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(117627,116643,'Increases Mitigation of group members (AE) vs arcane damage by 877',100,1,1),
(117628,10116643,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(117629,10116643,'Increases Mitigation of group members (AE) vs arcane damage by 877',100,1,1),
(117630,170085,'When Equipped:',100,0,0),
(117631,170085,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(117632,170085,'This effect will not stack with any rank or tier of itself.',100,1,2),
(117633,170085,'Cannot be modified except by direct means',100,1,3),
(117634,10170085,'When Equipped:',100,0,0),
(117635,10170085,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(117636,10170085,'This effect will not stack with any rank or tier of itself.',100,1,2),
(117637,10170085,'Cannot be modified except by direct means',100,1,3),
(117638,157106,'When Equipped:',100,0,0),
(117639,157106,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(117640,157106,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(117641,157106,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(117642,157106,'Must not be engaged in pvp combat',100,2,4),
(117643,157106,'Cannot be modified except by direct means',100,2,5),
(117644,157106,'Cannot be modified except by direct means',100,1,6),
(117645,10157106,'When Equipped:',100,0,0),
(117646,10157106,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(117647,10157106,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(117648,10157106,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(117649,10157106,'Must not be engaged in pvp combat',100,2,4),
(117650,10157106,'Cannot be modified except by direct means',100,2,5),
(117651,10157106,'Cannot be modified except by direct means',100,1,6),
(117652,158321,'When Equipped:',100,0,0),
(117653,158321,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(117654,158321,'This effect suspends during combat',100,1,2),
(117655,10158321,'When Equipped:',100,0,0),
(117656,10158321,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(117657,10158321,'This effect suspends during combat',100,1,2),
(117658,160536,'When Equipped:',100,0,0),
(117659,160536,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(117660,160536,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(117661,160536,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(117662,160536,'This effect cannot occur more than once a second',100,2,4),
(117663,160536,'Must be engaged in pvp combat',100,2,5),
(117664,160536,'Cannot be modified except by direct means',100,2,6),
(117665,160536,'Cannot be modified except by direct means',100,1,7),
(117666,160536,'When Equipped:',100,0,8),
(117667,160536,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(117668,160536,'Must be engaged in pvp combat',100,1,10),
(117669,160536,'When Equipped:',100,0,11),
(117670,160536,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(117671,160536,'Must be engaged in pvp combat',100,1,13),
(117672,10160536,'When Equipped:',100,0,0),
(117673,10160536,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(117674,10160536,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(117675,10160536,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(117676,10160536,'This effect cannot occur more than once a second',100,2,4),
(117677,10160536,'Must be engaged in pvp combat',100,2,5),
(117678,10160536,'Cannot be modified except by direct means',100,2,6),
(117679,10160536,'Cannot be modified except by direct means',100,1,7),
(117680,10160536,'When Equipped:',100,0,8),
(117681,10160536,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(117682,10160536,'Must be engaged in pvp combat',100,1,10),
(117683,10160536,'When Equipped:',100,0,11),
(117684,10160536,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(117685,10160536,'Must be engaged in pvp combat',100,1,13),
(117686,137480,'When Equipped:',100,0,0),
(117687,137480,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(117688,137480,'Increases Threat to target by 2,000 ',100,2,2),
(117689,137480,'Inflicts 993 mental damage on target',100,2,3),
(117690,137480,'Cannot be modified except by direct means',100,2,4),
(117691,137480,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(117692,137480,'Increases Threat to target by 2,000 ',100,2,6),
(117693,137480,'Inflicts 993 mental damage on target',100,2,7),
(117694,137480,'Cannot be modified except by direct means',100,2,8),
(117695,10137480,'When Equipped:',100,0,0),
(117696,10137480,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(117697,10137480,'Inflicts 1390 mental damage on target',100,2,2),
(117698,10137480,'Cannot be modified except by direct means',100,2,3),
(117699,10137480,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(117700,10137480,'Inflicts 1390 mental damage on target',100,2,5),
(117701,10137480,'Cannot be modified except by direct means',100,2,6),
(117702,159982,'Applies Lambent Imbued when Equipped.',100,0,0),
(117703,159982,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(117704,159982,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(117705,159982,'Cannot be modified except by direct means',100,2,3),
(117706,10159982,'Applies Lambent Imbued when Equipped.',100,0,0),
(117707,10159982,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(117708,10159982,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(117709,10159982,'Cannot be modified except by direct means',100,2,3),
(117710,45533,'Applies Aegis of Shimmering Light  when Activated.  Lasts for 30 minutes.',100,0,0),
(117711,10045533,'Applies Aegis of Shimmering Light  when Activated.  Lasts for 30 minutes.',100,0,0),
(117712,185775,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(117713,10185775,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(117714,82929,'When Equipped:',100,0,0),
(117715,82929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117716,82929,'Inflicts 301 - 560 magic damage on target',100,2,2),
(117717,82929,'Cannot be modified except by direct means',100,2,3),
(117718,10082929,'When Equipped:',100,0,0),
(117719,10082929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(117720,10082929,'Inflicts 422 - 783 magic damage on target',100,2,2),
(117721,10082929,'Cannot be modified except by direct means',100,2,3),
(117722,118439,'Heals target for 2374 - 2902',100,1,0),
(117723,118439,'Increases Max Health of target by 345.5',100,1,1),
(117724,10118439,'Heals target for 2754 - 3366',100,1,0),
(117725,10118439,'Increases Max Health of target by 345.5',100,1,1),
(117726,102295,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(117727,102295,'Decreases Threat to target by 514 ',100,2,1),
(117728,10102295,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(117729,10102295,'Inflicts 44 - 48 crushing damage on target',100,2,1),
(117730,102293,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(117731,102293,'Decreases Threat to target by 542 ',100,2,1),
(117732,10102293,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(117733,10102293,'Inflicts 48 - 53 crushing damage on target',100,2,1),
(117734,159020,'When Equipped:',100,0,0),
(117735,159020,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(117736,159020,'Increases AGI of caster by 23.1',100,2,2),
(117737,159020,'Increases Attack Speed of caster by 23.9',100,2,3),
(117738,159020,'Cannot be modified except by direct means',100,2,4),
(117739,10159020,'When Equipped:',100,0,0),
(117740,10159020,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(117741,10159020,'Increases AGI of caster by 23.1',100,2,2),
(117742,10159020,'Increases Attack Speed of caster by 23.9',100,2,3),
(117743,10159020,'Cannot be modified except by direct means',100,2,4),
(117744,116483,'Prevents targets in Area of Effect from changing targets',100,1,0),
(117745,116483,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(117746,116483,'Increases Threat to targets in Area of Effect by 195 ',100,1,2),
(117747,10116483,'Prevents targets in Area of Effect from changing targets',100,1,0),
(117748,10116483,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(117749,119157,'Inflicts 107 disease damage on target every 3 seconds',100,1,0),
(117750,119157,'Inflicts 537 - 895 melee damage on target',100,1,1),
(117751,119157,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(117752,119157,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,3),
(117753,119157,'Inflicts 322 disease damage on target every 3 seconds',100,3,4),
(117754,119157,'Inflicts 215 disease damage on target every 3 seconds',100,2,5),
(117755,119157,'You must be sneaking to use this ability.',100,1,6),
(117756,119157,'Must be behind',100,1,7),
(117757,10119157,'Inflicts 150 disease damage on target every 3 seconds',100,1,0),
(117758,10119157,'Inflicts 698 - 1164 melee damage on target',100,1,1),
(117759,10119157,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(117760,10119157,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,3),
(117761,10119157,'Inflicts 451 disease damage on target every 3 seconds',100,3,4),
(117762,10119157,'Inflicts 301 disease damage on target every 3 seconds',100,2,5),
(117763,10119157,'You must be sneaking to use this ability.',100,1,6),
(117764,10119157,'Must be behind',100,1,7),
(117765,26300,'When Equipped:',100,0,0),
(117766,26300,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(117767,26300,'Inflicts 87 poison damage on target instantly and every 5 seconds',100,2,2),
(117768,26300,'Cannot be modified except by direct means',100,2,3),
(117769,10026300,'When Equipped:',100,0,0),
(117770,10026300,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(117771,10026300,'Inflicts 122 poison damage on target instantly and every 5 seconds',100,2,2),
(117772,10026300,'Cannot be modified except by direct means',100,2,3),
(117773,35889,'Increases Max Power of target by 4.1',100,0,0),
(117774,35889,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(117775,124165,'Inflicts 7 - 12 melee damage on target',100,1,0),
(117776,10124165,'Inflicts 9 - 15 melee damage on target',100,1,0),
(117777,71978,'When Equipped:',100,0,0),
(117778,71978,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(117779,71978,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(117780,71978,'Cannot be modified except by direct means',100,2,3),
(117781,10071978,'When Equipped:',100,0,0),
(117782,10071978,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(117783,10071978,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(117784,10071978,'Cannot be modified except by direct means',100,2,3),
(117785,186068,'When Equipped:',100,0,0),
(117786,186068,'Reduces resistibility of all spells by 2.6%.',100,1,1),
(117787,186068,'Increases Subjugation, Focus and Disruption of caster by 32.0',100,1,2),
(117788,186068,'Must not be engaged in pvp combat',100,1,3),
(117789,10186068,'When Equipped:',100,0,0),
(117790,10186068,'Reduces resistibility of all spells by 2.6%.',100,1,1),
(117791,10186068,'Increases Subjugation, Focus and Disruption of caster by 32.0',100,1,2),
(117792,10186068,'Must not be engaged in pvp combat',100,1,3),
(117793,71642,'When Equipped:',100,0,0),
(117794,71642,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(117795,71642,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(117796,71642,'Cannot be modified except by direct means',100,2,3),
(117797,10071642,'When Equipped:',100,0,0),
(117798,10071642,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(117799,10071642,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(117800,10071642,'Cannot be modified except by direct means',100,2,3),
(117801,100498,'Increases Attack Speed of group members (AE) by 18.1',100,1,0),
(117802,10100498,'Increases Attack Speed of group members (AE) by 18.1',100,1,0),
(117803,124608,'Heals group members (AE) for 108 - 132',100,1,0),
(117804,124608,'Heals group members (AE) for 18 - 22 every second',100,1,1),
(117805,10124608,'Heals group members (AE) for 157 - 192',100,1,0),
(117806,10124608,'Heals group members (AE) for 20 - 24 every second',100,1,1),
(117807,45507,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(117808,45507,'Charms target',100,1,1),
(117809,45507,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(117810,45507,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(117811,45507,'5% chance to dispel when target takes damage',100,1,4),
(117812,45507,'If target is undead',100,1,5),
(117813,45507,'Certain enemies cannot be charmed',100,1,6),
(117814,45507,'Does not affect Epic targets',100,1,7),
(117815,10045507,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(117816,10045507,'Charms target',100,1,1),
(117817,10045507,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,2),
(117818,10045507,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(117819,10045507,'5% chance to dispel when target takes damage',100,1,4),
(117820,10045507,'If target is undead',100,1,5),
(117821,10045507,'Certain enemies cannot be charmed',100,1,6),
(117822,10045507,'Does not affect Epic targets',100,1,7),
(117823,117632,'Inflicts 942 - 1570 ranged damage on target',100,1,0),
(117824,117632,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(117825,117632,'Slows target by 48.6%',100,2,2),
(117826,117632,'5% chance to dispel when target receives hostile action',100,2,3),
(117827,117632,'5% chance to dispel when target takes damage',100,2,4),
(117828,117632,'Must be flanking or behind',100,1,5),
(117829,117632,'Requires bow',100,1,6),
(117830,10117632,'Inflicts 801 - 1335 ranged damage on target',100,1,0),
(117831,10117632,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(117832,10117632,'Slows target by 48.6%',100,2,2),
(117833,10117632,'5% chance to dispel when target receives hostile action',100,2,3),
(117834,10117632,'5% chance to dispel when target takes damage',100,2,4),
(117835,10117632,'Must be flanking or behind',100,1,5),
(117836,10117632,'Requires bow',100,1,6),
(117837,36408,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(117838,47269,'Applies Melvil''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(117839,10047269,'Applies Melvil''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(117840,121914,'Inflicts 128 - 213 mental damage on target encounter',100,1,0),
(117841,121914,'Increases power of group members (AE) by 79 - 132',100,1,1),
(117842,10121914,'Inflicts 179 - 299 mental damage on target encounter',100,1,0),
(117843,10121914,'Increases power of group members (AE) by 79 - 132',100,1,1),
(117844,108260,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(117845,108260,'Inflicts 102 heat damage on target',100,2,1),
(117846,108260,'Grants a total of 3 triggers of the spell.',100,2,2),
(117847,10108260,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(117848,10108260,'Inflicts 143 heat damage on target',100,2,1),
(117849,10108260,'Grants a total of 3 triggers of the spell.',100,2,2),
(117850,121966,'Inflicts 81 - 135 disease damage on target',100,1,0),
(117851,121966,'Decreases Defense of target by 19.2',100,1,1),
(117852,121966,'Interrupts target',100,1,2),
(117853,10121966,'Inflicts 113 - 189 disease damage on target',100,1,0),
(117854,10121966,'Decreases Defense of target by 19.2',100,1,1),
(117855,10121966,'Interrupts target',100,1,2),
(117856,46618,'Applies Adept Hands when Activated.',100,0,0),
(117857,10046618,'Applies Adept Hands when Activated.',100,0,0),
(117858,120231,'Roots target encounter',100,1,0),
(117859,120231,'15% chance to dispel when target takes damage',100,1,1),
(117860,120231,'Does not affect Epic targets',100,1,2),
(117861,120231,'Resistibility increases against targets higher than level 97.',100,1,3),
(117862,10120231,'Roots target encounter',100,1,0),
(117863,10120231,'15% chance to dispel when target takes damage',100,1,1),
(117864,10120231,'Does not affect Epic targets',100,1,2),
(117865,10120231,'Resistibility increases against targets higher than level 97.',100,1,3),
(117866,110239,'Inflicts 92 - 153 melee damage on target',100,1,0),
(117867,110239,'Slows target by 37.2%',100,1,1),
(117868,110239,'5% chance to dispel when target receives hostile action',100,1,2),
(117869,110239,'5% chance to dispel when target takes damage',100,1,3),
(117870,10110239,'Inflicts 119 - 199 melee damage on target',100,1,0),
(117871,10110239,'Slows target by 37.2%',100,1,1),
(117872,10110239,'5% chance to dispel when target receives hostile action',100,1,2),
(117873,10110239,'5% chance to dispel when target takes damage',100,1,3),
(117874,147271,'When Equipped:',100,0,0),
(117875,147271,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(117876,147271,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(117877,147271,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(117878,147271,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(117879,147271,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(117880,147271,'Must not be engaged in pvp combat',100,2,6),
(117881,147271,'Cannot be modified except by direct means',100,2,7),
(117882,147271,'Must not be engaged in pvp combat',100,1,8),
(117883,10147271,'When Equipped:',100,0,0),
(117884,10147271,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(117885,10147271,'Inflicts 7086 - 7832 piercing damage on target encounter',100,2,2),
(117886,10147271,'Inflicts 886 - 979 piercing damage on target encounter every 2 seconds',100,2,3),
(117887,10147271,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(117888,10147271,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(117889,10147271,'Must not be engaged in pvp combat',100,2,6),
(117890,10147271,'Cannot be modified except by direct means',100,2,7),
(117891,10147271,'Must not be engaged in pvp combat',100,1,8),
(117892,88181,'When Equipped:',100,0,0),
(117893,88181,'Reduces resistibility of all spells by 5.5%.',100,1,1),
(117894,88181,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,2),
(117895,88181,'Cannot be modified except by direct means',100,1,3),
(117896,10088181,'When Equipped:',100,0,0),
(117897,10088181,'Reduces resistibility of all spells by 5.5%.',100,1,1),
(117898,10088181,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,2),
(117899,10088181,'Cannot be modified except by direct means',100,1,3),
(117900,122069,'Increases Threat to target by 145 - 177 ',100,1,0),
(117901,109254,'Increases INT and WIS of group members (AE) by 65.8',100,1,0),
(117902,109254,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,1),
(117903,10109254,'Increases INT and WIS of group members (AE) by 65.8',100,1,0),
(117904,10109254,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,1),
(117905,110680,'Heals target for 588',100,1,0),
(117906,110680,'Dispels 52 levels of any hostile effects on target',100,1,1),
(117907,10110680,'Heals target for 382',100,1,0),
(117908,10110680,'Dispels 52 levels of any hostile effects on target',100,1,1),
(117909,191653,'When Equipped:',100,0,0),
(117910,191653,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(117911,191653,'Heals group members (AE) for 2624',100,2,2),
(117912,191653,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(117913,191653,'Must not be engaged in pvp combat',100,2,4),
(117914,191653,'Cannot be modified except by direct means',100,2,5),
(117915,191653,'Must not be engaged in pvp combat',100,1,6),
(117916,10191653,'When Equipped:',100,0,0),
(117917,10191653,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(117918,10191653,'Heals group members (AE) for 3071',100,2,2),
(117919,10191653,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(117920,10191653,'Must not be engaged in pvp combat',100,2,4),
(117921,10191653,'Cannot be modified except by direct means',100,2,5),
(117922,10191653,'Must not be engaged in pvp combat',100,1,6),
(117923,122905,'Increases STR and INT of group members (AE) by 34.1',100,1,0),
(117924,10122905,'Increases STR and INT of group members (AE) by 34.1',100,1,0),
(117925,27442,'When Equipped:',100,0,0),
(117926,27442,'On a critical combat hit this spell may cast Strength Through Sacrifice on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(117927,27442,'Target will have their chance to hit with a weapon lowered by 6.0%',100,2,2),
(117928,27442,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(117929,27442,'Must not be engaged in pvp combat',100,2,4),
(117930,27442,'Cannot be modified except by direct means',100,2,5),
(117931,27442,'On a critical spell hit this spell may cast Strength Through Sacrifice on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(117932,27442,'Target will have their chance to hit with a weapon lowered by 6.0%',100,2,7),
(117933,27442,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,8),
(117934,27442,'Must not be engaged in pvp combat',100,2,9),
(117935,27442,'Cannot be modified except by direct means',100,2,10),
(117936,27442,'This effect will not stack with itself if adorned on multiple items.',100,1,11),
(117937,10027442,'When Equipped:',100,0,0),
(117938,10027442,'On a critical combat hit this spell may cast Strength Through Sacrifice on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(117939,10027442,'Target will have their chance to hit with a weapon lowered by 6.0%',100,2,2),
(117940,10027442,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(117941,10027442,'Must not be engaged in pvp combat',100,2,4),
(117942,10027442,'Cannot be modified except by direct means',100,2,5),
(117943,10027442,'On a critical spell hit this spell may cast Strength Through Sacrifice on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(117944,10027442,'Target will have their chance to hit with a weapon lowered by 6.0%',100,2,7),
(117945,10027442,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,8),
(117946,10027442,'Must not be engaged in pvp combat',100,2,9),
(117947,10027442,'Cannot be modified except by direct means',100,2,10),
(117948,10027442,'This effect will not stack with itself if adorned on multiple items.',100,1,11),
(117949,109877,'Increases Defense of group members (AE) by 31.1',100,1,0),
(117950,10109877,'Increases Defense of group members (AE) by 31.1',100,1,0),
(117951,173732,'When Equipped:',100,0,0),
(117952,173732,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(117953,173732,'Increases Crit Bonus of caster by 6.0%',100,2,2),
(117954,173732,'Must not be engaged in pvp combat',100,2,3),
(117955,173732,'Cannot be modified except by direct means',100,2,4),
(117956,173732,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(117957,173732,'Increases Crit Bonus of caster by 6.0%',100,2,6),
(117958,173732,'Must not be engaged in pvp combat',100,2,7),
(117959,173732,'Cannot be modified except by direct means',100,2,8),
(117960,173732,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(117961,173732,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(117962,173732,'Must not be engaged in pvp combat',100,2,11),
(117963,173732,'Cannot be modified except by direct means',100,2,12),
(117964,173732,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(117965,173732,'Heals caster for 802 instantly and every 2 seconds',100,2,14),
(117966,173732,'Must not be engaged in pvp combat',100,2,15),
(117967,173732,'Cannot be modified except by direct means',100,2,16),
(117968,173732,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(117969,173732,'Heals caster for 802 instantly and every 2 seconds',100,2,18),
(117970,173732,'Must not be engaged in pvp combat',100,2,19),
(117971,173732,'Cannot be modified except by direct means',100,2,20),
(117972,173732,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(117973,173732,'Heals caster for 802 instantly and every 2 seconds',100,2,22),
(117974,173732,'Must not be engaged in pvp combat',100,2,23),
(117975,173732,'Cannot be modified except by direct means',100,2,24),
(117976,173732,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(117977,173732,'Inflicts 73 piercing damage on target',100,2,26),
(117978,173732,'Must not be engaged in pvp combat',100,2,27),
(117979,173732,'Cannot be modified except by direct means',100,2,28),
(117980,10173732,'When Equipped:',100,0,0),
(117981,10173732,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(117982,10173732,'Increases Crit Bonus of caster by 6.0%',100,2,2),
(117983,10173732,'Must not be engaged in pvp combat',100,2,3),
(117984,10173732,'Cannot be modified except by direct means',100,2,4),
(117985,10173732,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(117986,10173732,'Increases Crit Bonus of caster by 6.0%',100,2,6),
(117987,10173732,'Must not be engaged in pvp combat',100,2,7),
(117988,10173732,'Cannot be modified except by direct means',100,2,8),
(117989,10173732,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(117990,10173732,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(117991,10173732,'Must not be engaged in pvp combat',100,2,11),
(117992,10173732,'Cannot be modified except by direct means',100,2,12),
(117993,10173732,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(117994,10173732,'Heals caster for 938 instantly and every 2 seconds',100,2,14),
(117995,10173732,'Must not be engaged in pvp combat',100,2,15),
(117996,10173732,'Cannot be modified except by direct means',100,2,16),
(117997,10173732,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(117998,10173732,'Heals caster for 938 instantly and every 2 seconds',100,2,18),
(117999,10173732,'Must not be engaged in pvp combat',100,2,19),
(118000,10173732,'Cannot be modified except by direct means',100,2,20),
(118001,10173732,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(118002,10173732,'Heals caster for 938 instantly and every 2 seconds',100,2,22),
(118003,10173732,'Must not be engaged in pvp combat',100,2,23),
(118004,10173732,'Cannot be modified except by direct means',100,2,24),
(118005,10173732,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(118006,10173732,'Inflicts 103 piercing damage on target',100,2,26),
(118007,10173732,'Must not be engaged in pvp combat',100,2,27),
(118008,10173732,'Cannot be modified except by direct means',100,2,28),
(118009,24612,'Adds Pandaman (Berserker) to your Dungeon Maker toolbox',100,0,0),
(118010,10024612,'Adds Pandaman (Berserker) to your Dungeon Maker toolbox',100,0,0),
(118011,52819,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(118012,52819,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(118013,52819,'Inflicts 81 heat damage on target',100,2,2),
(118014,52819,'Cannot be modified except by direct means',100,2,3),
(118015,10052819,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(118016,10052819,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(118017,10052819,'Inflicts 113 heat damage on target',100,2,2),
(118018,10052819,'Cannot be modified except by direct means',100,2,3),
(118019,82473,'When Equipped:',100,0,0),
(118020,82473,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118021,82473,'Inflicts 182 - 339 magic damage on target',100,2,2),
(118022,82473,'Cannot be modified except by direct means',100,2,3),
(118023,10082473,'When Equipped:',100,0,0),
(118024,10082473,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118025,10082473,'Inflicts 255 - 474 magic damage on target',100,2,2),
(118026,10082473,'Cannot be modified except by direct means',100,2,3),
(118027,81761,'When Equipped:',100,0,0),
(118028,81761,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(118029,81761,'Decreases Threat to target by 487 ',100,2,2),
(118030,81761,'Must be flanking or behind',100,3,3),
(118031,81761,'Increases Threat to target by 487 ',100,2,4),
(118032,81761,'Must be in front of',100,3,5),
(118033,81761,'Inflicts 141 - 262 magic damage on target',100,2,6),
(118034,81761,'Cannot be modified except by direct means',100,2,7),
(118035,10081761,'When Equipped:',100,0,0),
(118036,10081761,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(118037,10081761,'Inflicts 198 - 367 magic damage on target',100,2,2),
(118038,10081761,'Cannot be modified except by direct means',100,2,3),
(118039,122333,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(118040,122333,'Inflicts 1 - 2 piercing damage on target',100,2,1),
(118041,10122333,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(118042,10122333,'Inflicts 2 piercing damage on target',100,2,1),
(118043,103797,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 21.1',100,1,0),
(118044,10103797,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 21.1',100,1,0),
(118045,159538,'Applies Lambent Imbued when Equipped.',100,0,0),
(118046,159538,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(118047,159538,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(118048,159538,'Cannot be modified except by direct means',100,2,3),
(118049,10159538,'Applies Lambent Imbued when Equipped.',100,0,0),
(118050,10159538,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(118051,10159538,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(118052,10159538,'Cannot be modified except by direct means',100,2,3),
(118053,154921,'When Equipped:',100,0,0),
(118054,154921,'Increases Attack Speed of caster by 35.0',100,1,1),
(118055,10154921,'When Equipped:',100,0,0),
(118056,10154921,'Increases Attack Speed of caster by 35.0',100,1,1),
(118057,101064,'Summons 3 limited pets to aid the caster',100,1,0),
(118058,10101064,'Summons 3 limited pets to aid the caster',100,1,0),
(118059,46146,'Applies Call Enchanted Armored Warg when Activated.',100,0,0),
(118060,46146,'Summons a mount to ride',100,1,1),
(118061,46146,'Increases your ground speed by 130%',100,2,2),
(118062,46146,'Increases Disruption, Ministration, Subjugation, Focus and Ordination of caster by 5.0',100,1,3),
(118063,10046146,'Applies Call Enchanted Armored Warg when Activated.',100,0,0),
(118064,10046146,'Summons a mount to ride',100,1,1),
(118065,10046146,'Increases your ground speed by 130%',100,2,2),
(118066,10046146,'Increases Disruption, Ministration, Subjugation, Focus and Ordination of caster by 5.0',100,1,3),
(118067,26652,'When Equipped:',100,0,0),
(118068,26652,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(118069,26652,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(118070,10026652,'When Equipped:',100,0,0),
(118071,10026652,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(118072,10026652,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(118073,174282,'When Equipped:',100,0,0),
(118074,174282,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(118075,174282,'Inflicts 802 mental damage on target',100,2,2),
(118076,174282,'Must be classified as a goblin',100,3,3),
(118077,174282,'Inflicts 401 mental damage on target',100,2,4),
(118078,174282,'Must not be classified as a goblin',100,3,5),
(118079,174282,'Decreases Mitigation of target vs arcane damage by 664',100,2,6),
(118080,174282,'Must be classified as a goblin',100,3,7),
(118081,174282,'Cannot be modified except by direct means',100,2,8),
(118082,174282,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,9),
(118083,10174282,'When Equipped:',100,0,0),
(118084,10174282,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(118085,10174282,'Inflicts 1123 mental damage on target',100,2,2),
(118086,10174282,'Must be classified as a goblin',100,3,3),
(118087,10174282,'Inflicts 562 mental damage on target',100,2,4),
(118088,10174282,'Must not be classified as a goblin',100,3,5),
(118089,10174282,'Decreases Mitigation of target vs arcane damage by 664',100,2,6),
(118090,10174282,'Must be classified as a goblin',100,3,7),
(118091,10174282,'Cannot be modified except by direct means',100,2,8),
(118092,10174282,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,9),
(118093,27421,'When Equipped:',100,0,0),
(118094,27421,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(118095,27421,'Inflicts 81 divine damage on target',100,2,2),
(118096,27421,'Heals caster for 60',100,2,3),
(118097,27421,'Cannot be modified except by direct means',100,2,4),
(118098,10027421,'When Equipped:',100,0,0),
(118099,10027421,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(118100,10027421,'Inflicts 113 divine damage on target',100,2,2),
(118101,10027421,'Heals caster for 39',100,2,3),
(118102,10027421,'Cannot be modified except by direct means',100,2,4),
(118103,107240,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(118104,107240,'Slows target by 35.3%',100,2,1),
(118105,107240,'5% chance to dispel when target receives hostile action',100,2,2),
(118106,107240,'5% chance to dispel when target takes damage',100,2,3),
(118107,107240,'Inflicts 23 - 28 disease damage on target every 4 seconds',100,1,4),
(118108,107240,'Slows target by 35.3%',100,1,5),
(118109,107240,'5% chance to dispel when target receives hostile action',100,1,6),
(118110,107240,'5% chance to dispel when target takes damage',100,1,7),
(118111,10107240,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(118112,10107240,'Slows target by 35.3%',100,2,1),
(118113,10107240,'5% chance to dispel when target receives hostile action',100,2,2),
(118114,10107240,'5% chance to dispel when target takes damage',100,2,3),
(118115,10107240,'Inflicts 32 - 39 disease damage on target every 2.5 seconds',100,1,4),
(118116,10107240,'Slows target by 35.3%',100,1,5),
(118117,10107240,'5% chance to dispel when target receives hostile action',100,1,6),
(118118,10107240,'5% chance to dispel when target takes damage',100,1,7),
(118119,119657,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(118120,119657,'Stuns target',100,2,1),
(118121,119657,'Throws target back',100,2,2),
(118122,119657,'Blurs vision of target',100,2,3),
(118123,119657,'Does not affect Epic targets',100,2,4),
(118124,119657,'Inflicts 123 - 369 melee damage on target',100,1,5),
(118125,10119657,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(118126,10119657,'Stuns target',100,2,1),
(118127,10119657,'Throws target back',100,2,2),
(118128,10119657,'Blurs vision of target',100,2,3),
(118129,10119657,'Does not affect Epic targets',100,2,4),
(118130,10119657,'Inflicts 160 - 480 melee damage on target',100,1,5),
(118131,108186,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(118132,10108186,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(118133,73665,'When Equipped:',100,0,0),
(118134,73665,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(118135,73665,'Inflicts 342 piercing damage on target',100,2,2),
(118136,73665,'Cannot be modified except by direct means',100,2,3),
(118137,10073665,'When Equipped:',100,0,0),
(118138,10073665,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(118139,10073665,'Inflicts 239 piercing damage on target',100,2,2),
(118140,10073665,'Cannot be modified except by direct means',100,2,3),
(118141,173511,'When Equipped:',100,0,0),
(118142,173511,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(118143,173511,'Inflicts 1192 heat damage on target',100,2,2),
(118144,173511,'Cannot be modified except by direct means',100,2,3),
(118145,10173511,'When Equipped:',100,0,0),
(118146,10173511,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(118147,10173511,'Inflicts 834 heat damage on target',100,2,2),
(118148,10173511,'Cannot be modified except by direct means',100,2,3),
(118149,102788,'Increases STR of caster by 62.2',100,1,0),
(118150,102788,'Increases Max Health of caster by 366.9',100,1,1),
(118151,102788,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',100,1,2),
(118152,10102788,'Increases STR of caster by 62.2',100,1,0),
(118153,10102788,'Increases Max Health of caster by 366.9',100,1,1),
(118154,10102788,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',100,1,2),
(118155,87286,'When Equipped:',100,0,0),
(118156,87286,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118157,87286,'Inflicts 95 - 143 magic damage on target',100,2,2),
(118158,87286,'Cannot be modified except by direct means',100,2,3),
(118159,10087286,'When Equipped:',100,0,0),
(118160,10087286,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118161,10087286,'Inflicts 133 - 200 magic damage on target',100,2,2),
(118162,10087286,'Cannot be modified except by direct means',100,2,3),
(118163,26403,'When Equipped:',100,0,0),
(118164,26403,'Increases Damage Per Second of caster by 6.0',100,1,1),
(118165,10026403,'When Equipped:',100,0,0),
(118166,10026403,'Increases Damage Per Second of caster by 6.0',100,1,1),
(118167,108240,'Inflicts 256 - 768 piercing damage on target',100,1,0),
(118168,108240,'Decreases Slashing, Crushing, Piercing and Ranged of target by 29.9',100,1,1),
(118169,10108240,'Inflicts 333 - 999 piercing damage on target',100,1,0),
(118170,10108240,'Decreases Slashing, Crushing, Piercing and Ranged of target by 29.9',100,1,1),
(118171,111662,'Inflicts 400 - 489 cold damage on target encounter',100,1,0),
(118172,111662,'Slows target encounter by 42.8%',100,1,1),
(118173,111662,'5% chance to dispel when target takes damage',100,1,2),
(118174,111662,'5% chance to dispel when target receives hostile action',100,1,3),
(118175,10111662,'Inflicts 747 - 913 cold damage on target encounter',100,1,0),
(118176,10111662,'Slows target encounter by 42.8%',100,1,1),
(118177,10111662,'5% chance to dispel when target takes damage',100,1,2),
(118178,10111662,'5% chance to dispel when target receives hostile action',100,1,3),
(118179,26127,'When Equipped:',100,0,0),
(118180,26127,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(118181,26127,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(118182,10026127,'When Equipped:',100,0,0),
(118183,10026127,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(118184,10026127,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(118185,117634,'Inflicts 1246 - 2077 ranged damage on target',100,1,0),
(118186,117634,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(118187,117634,'Slows target by 55.4%',100,2,2),
(118188,117634,'5% chance to dispel when target receives hostile action',100,2,3),
(118189,117634,'5% chance to dispel when target takes damage',100,2,4),
(118190,117634,'Must be flanking or behind',100,1,5),
(118191,117634,'Requires bow',100,1,6),
(118192,10117634,'Inflicts 1059 - 1765 ranged damage on target',100,1,0),
(118193,10117634,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(118194,10117634,'Slows target by 55.4%',100,2,2),
(118195,10117634,'5% chance to dispel when target receives hostile action',100,2,3),
(118196,10117634,'5% chance to dispel when target takes damage',100,2,4),
(118197,10117634,'Must be flanking or behind',100,1,5),
(118198,10117634,'Requires bow',100,1,6),
(118199,101035,'Inflicts 1000 - 1857 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(118200,10101035,'Inflicts 1098 - 2039 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(118201,121696,'Increases AGI of caster by 14.6',100,1,0),
(118202,121696,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(118203,121696,'Increases Parry of caster by 8.1',100,1,2),
(118204,121696,'Increases Defense of caster by 10.8',100,1,3),
(118205,10121696,'Increases AGI of caster by 14.6',100,1,0),
(118206,10121696,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(118207,10121696,'Increases Parry of caster by 8.1',100,1,2),
(118208,10121696,'Increases Defense of caster by 10.8',100,1,3),
(118209,54382,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(118210,54382,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(118211,54382,'Inflicts 96 heat damage on target',100,2,2),
(118212,54382,'Cannot be modified except by direct means',100,2,3),
(118213,10054382,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(118214,10054382,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(118215,10054382,'Inflicts 134 heat damage on target',100,2,2),
(118216,10054382,'Cannot be modified except by direct means',100,2,3),
(118217,121344,'Inflicts 29 - 36 magic damage on target encounter',100,1,0),
(118218,10121344,'Inflicts 41 - 50 magic damage on target encounter',100,1,0),
(118219,81767,'When Equipped:',100,0,0),
(118220,81767,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118221,81767,'Inflicts 127 - 236 magic damage on target',100,2,2),
(118222,81767,'Cannot be modified except by direct means',100,2,3),
(118223,10081767,'When Equipped:',100,0,0),
(118224,10081767,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118225,10081767,'Inflicts 178 - 331 magic damage on target',100,2,2),
(118226,10081767,'Cannot be modified except by direct means',100,2,3),
(118227,115903,'Inflicts 67 - 81 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(118228,10115903,'Inflicts 121 - 148 disease damage on target encounter',100,1,0),
(118229,10115903,'Inflicts 93 - 114 disease damage on target encounter every 3 seconds',100,1,1),
(118230,110776,'Heals group members (AE) for 300 - 367 instantly and every 2 seconds',100,1,0),
(118231,10110776,'Heals group members (AE) for 195 - 238 instantly and every 2 seconds',100,1,0),
(118232,121848,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(118233,121848,'Increases Mitigation of group members (AE) vs arcane damage by 1195',100,1,1),
(118234,10121848,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(118235,10121848,'Increases Mitigation of group members (AE) vs arcane damage by 1195',100,1,1),
(118236,124662,'Inflicts 1311 - 1603 cold damage on target encounter',100,1,0),
(118237,124662,'Decreases Piercing, Slashing and Crushing of target encounter by 31.6',100,1,1),
(118238,10124662,'Inflicts 1836 - 2244 cold damage on target encounter',100,1,0),
(118239,10124662,'Decreases Piercing, Slashing and Crushing of target encounter by 31.6',100,1,1),
(118240,46759,'Applies Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(118241,46759,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(118242,46759,'Inflicts 143 poison damage on target instantly and every 6 seconds',100,2,2),
(118243,46759,'Inflicts 487 poison damage on target',100,2,3),
(118244,46759,'Cannot be modified except by direct means',100,2,4),
(118245,46759,'Grants a total of 200 triggers of the spell.',100,2,5),
(118246,46759,'Only affects targets level 50 and above',100,1,6),
(118247,10046759,'Applies Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(118248,10046759,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(118249,10046759,'Inflicts 512 poison damage on target',100,2,2),
(118250,10046759,'Inflicts 150 poison damage on target instantly and every 6 seconds',100,2,3),
(118251,10046759,'Cannot be modified except by direct means',100,2,4),
(118252,10046759,'Grants a total of 200 triggers of the spell.',100,2,5),
(118253,10046759,'Only affects targets level 50 and above',100,1,6),
(118254,122870,'Inflicts 209 - 349 ranged damage on target',100,1,0),
(118255,122870,'Inflicts 418 - 698 ranged damage on target',100,1,1),
(118256,122870,'Inflicts 628 - 1047 ranged damage on target',100,1,2),
(118257,122870,'Requires bow',100,1,3),
(118258,10122870,'Inflicts 222 - 370 ranged damage on target',100,1,0),
(118259,10122870,'Inflicts 445 - 741 ranged damage on target',100,1,1),
(118260,10122870,'Inflicts 667 - 1112 ranged damage on target',100,1,2),
(118261,10122870,'Requires bow',100,1,3),
(118262,119829,'Dazes target',100,1,0),
(118263,119829,'Does not affect Epic targets',100,1,1),
(118264,119829,'Resistibility increases against targets higher than level 50.',100,1,2),
(118265,10119829,'Dazes target',100,1,0),
(118266,10119829,'Does not affect Epic targets',100,1,1),
(118267,10119829,'Resistibility increases against targets higher than level 50.',100,1,2),
(118268,163366,'When Equipped:',100,0,0),
(118269,163366,'Increases Attack Speed of caster by 35.0',100,1,1),
(118270,10163366,'When Equipped:',100,0,0),
(118271,10163366,'Increases Attack Speed of caster by 35.0',100,1,1),
(118272,108257,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(118273,108257,'Inflicts 64 heat damage on target',100,2,1),
(118274,108257,'Grants a total of 3 triggers of the spell.',100,2,2),
(118275,10108257,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(118276,10108257,'Inflicts 90 heat damage on target',100,2,1),
(118277,10108257,'Grants a total of 3 triggers of the spell.',100,2,2),
(118278,121928,'Applies Tap on termination.',100,1,0),
(118279,121928,'Inflicts 967 disease damage on target',100,2,1),
(118280,121928,'Heals caster for 5.3% of max health',100,2,2),
(118281,121928,'This effect cannot be critically applied.',100,3,3),
(118282,121928,'The healing of this spell cannot be modified except by direct means',100,2,4),
(118283,10121928,'Applies Tap on termination.',100,1,0),
(118284,10121928,'Inflicts 1354 disease damage on target',100,2,1),
(118285,10121928,'Heals caster for 1.9% of max health',100,2,2),
(118286,10121928,'This effect cannot be critically applied.',100,3,3),
(118287,10121928,'The healing of this spell cannot be modified except by direct means',100,2,4),
(118288,120028,'Inflicts 76 - 93 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(118289,120028,'Decreases power of target encounter by 25 instantly and every 4 seconds',100,1,1),
(118290,10120028,'Inflicts 106 - 130 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(118291,10120028,'Decreases power of target encounter by 25 instantly and every 4 seconds',100,1,1),
(118292,186891,'When Equipped:',100,0,0),
(118293,186891,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118294,186891,'Increases Ability Modifier of group members by 200.0',100,2,2),
(118295,186891,'Cannot be modified except by direct means',100,2,3),
(118296,186891,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(118297,186891,'Increases Ability Modifier of group members by 200.0',100,2,5),
(118298,186891,'Cannot be modified except by direct means',100,2,6),
(118299,186891,'Cannot be modified except by direct means',100,1,7),
(118300,10186891,'When Equipped:',100,0,0),
(118301,10186891,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118302,10186891,'Increases Ability Modifier of group members by 200.0',100,2,2),
(118303,10186891,'Cannot be modified except by direct means',100,2,3),
(118304,10186891,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(118305,10186891,'Increases Ability Modifier of group members by 200.0',100,2,5),
(118306,10186891,'Cannot be modified except by direct means',100,2,6),
(118307,10186891,'Cannot be modified except by direct means',100,1,7),
(118308,119352,'Inflicts 222 - 334 disease damage on target',100,1,0),
(118309,119352,'Inflicts 89 - 133 disease damage on target every 4 seconds',100,1,1),
(118310,10119352,'Inflicts 311 - 467 disease damage on target',100,1,0),
(118311,10119352,'Inflicts 125 - 187 disease damage on target every 4 seconds',100,1,1),
(118312,119929,'Stifles target',100,1,0),
(118313,119929,'Inflicts 405 - 495 mental damage on target',100,1,1),
(118314,119929,'Inflicts 135 - 165 mental damage on target every 2.7 seconds',100,1,2),
(118315,119929,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,3),
(118316,119929,'Resistibility increases against targets higher than level 101.',100,1,4),
(118317,10119929,'Stifles target',100,1,0),
(118318,10119929,'Inflicts 567 - 693 mental damage on target',100,1,1),
(118319,10119929,'Inflicts 189 - 231 mental damage on target every second',100,1,2),
(118320,10119929,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(118321,10119929,'Resistibility increases against targets higher than level 101.',100,1,4),
(118322,117290,'Inflicts 353 - 589 melee damage on target',100,1,0),
(118323,117290,'Decreases Damage Per Second of target by 12.9',100,1,1),
(118324,117290,'Decreases Attack Speed of target by 9.1',100,1,2),
(118325,10117290,'Inflicts 460 - 766 melee damage on target',100,1,0),
(118326,10117290,'Decreases Damage Per Second of target by 12.9',100,1,1),
(118327,10117290,'Decreases Attack Speed of target by 9.1',100,1,2),
(118328,37385,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(118329,37385,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(118330,79812,'When Equipped:',100,0,0),
(118331,79812,'On a combat hit this spell may cast Vexing Torment on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118332,79812,'Increases Threat to target by 550 ',100,2,2),
(118333,79812,'Cannot be modified except by direct means',100,2,3),
(118334,10079812,'When Equipped:',100,0,0),
(118335,10079812,'On a combat hit this spell may cast Vexing Torment on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118336,10079812,'Forces target to change their selected target to caster.',100,2,2),
(118337,10079812,'Cannot be modified except by direct means',100,2,3),
(118338,46443,'Applies Frostfell Snow Cloud when Activated.',100,0,0),
(118339,46443,'Increases Focus of caster by 5.0',100,1,1),
(118340,46443,'Summons a mount to ride',100,1,2),
(118341,46443,'Increases your ground speed by 130%',100,2,3),
(118342,46443,'Increases Subjugation, Ministration, Disruption and Ordination of caster by 5.0',100,1,4),
(118343,10046443,'Applies Frostfell Snow Cloud when Activated.',100,0,0),
(118344,10046443,'Increases Focus of caster by 5.0',100,1,1),
(118345,10046443,'Summons a mount to ride',100,1,2),
(118346,10046443,'Increases your ground speed by 130%',100,2,3),
(118347,10046443,'Increases Subjugation, Ministration, Disruption and Ordination of caster by 5.0',100,1,4),
(118348,71591,'When Equipped:',100,0,0),
(118349,71591,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118350,71591,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(118351,71591,'Cannot be modified except by direct means',100,2,3),
(118352,10071591,'When Equipped:',100,0,0),
(118353,10071591,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118354,10071591,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(118355,10071591,'Cannot be modified except by direct means',100,2,3),
(118356,113300,'Inflicts 164 - 273 heat damage on target',100,1,0),
(118357,10113300,'Inflicts 323 - 539 heat damage on target',100,1,0),
(118358,118042,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(118359,118042,'Stuns target',100,2,1),
(118360,118042,'If Target is not Epic',100,3,2),
(118361,118042,'Inflicts 459 - 765 divine damage on target',100,2,3),
(118362,118042,'Grants a total of 3 triggers of the spell.',100,2,4),
(118363,10118042,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(118364,10118042,'Stuns target',100,2,1),
(118365,10118042,'If Target is not Epic',100,3,2),
(118366,10118042,'Inflicts 643 - 1071 divine damage on target',100,2,3),
(118367,10118042,'Grants a total of 3 triggers of the spell.',100,2,4),
(118368,53275,'When Equipped:',100,0,0),
(118369,53275,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(118370,10053275,'When Equipped:',100,0,0),
(118371,10053275,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(118372,114783,'Decreases WIS of target by 23.4',100,1,0),
(118373,114783,'Increases WIS and STA of caster by 23.4',100,1,1),
(118374,114783,'Decreases Max Health of target by 1.2%',100,1,2),
(118375,114783,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 75',100,1,3),
(118376,114783,'Only affects targets level 17 and above',100,1,4),
(118377,10114783,'Decreases WIS of target by 23.4',100,1,0),
(118378,10114783,'Increases WIS and STA of caster by 23.4',100,1,1),
(118379,10114783,'Decreases Max Health of target by 1.2%',100,1,2),
(118380,10114783,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 75',100,1,3),
(118381,10114783,'Only affects targets level 17 and above',100,1,4),
(118382,159932,'When Equipped:',100,0,0),
(118383,159932,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(118384,159932,'Increases STA of caster by 3.6',100,2,2),
(118385,159932,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(118386,159932,'Cannot be modified except by direct means',100,2,4),
(118387,10159932,'When Equipped:',100,0,0),
(118388,10159932,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(118389,10159932,'Increases STA of caster by 3.6',100,2,2),
(118390,10159932,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(118391,10159932,'Cannot be modified except by direct means',100,2,4),
(118392,173517,'When Equipped:',100,0,0),
(118393,173517,'On a spell cast this spell may cast Prophetic Awareness on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118394,173517,'Reduces the power cost of spells by 10%.',100,2,2),
(118395,173517,'Cannot be modified except by direct means',100,2,3),
(118396,10173517,'When Equipped:',100,0,0),
(118397,10173517,'On a spell cast this spell may cast Prophetic Awareness on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118398,10173517,'Reduces the power cost of spells by 10%.',100,2,2),
(118399,10173517,'Cannot be modified except by direct means',100,2,3),
(118400,102046,'Interrupts targets in Area of Effect',100,1,0),
(118401,102046,'Inflicts 131 - 219 melee damage on targets in area',100,1,1),
(118402,10102046,'Interrupts targets in Area of Effect',100,1,0),
(118403,10102046,'Inflicts 171 - 285 melee damage on targets in area',100,1,1),
(118404,156897,'Applies Unstable Magics when Equipped.',100,0,0),
(118405,156897,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(118406,10156897,'Applies Unstable Magics when Equipped.',100,0,0),
(118407,10156897,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(118408,134515,'When Equipped:',100,0,0),
(118409,134515,'When damaged this spell has a 10% chance to cast Baleful Countenance on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(118410,134515,'Makes target afraid',100,2,2),
(118411,134515,'Only affects targets level 90 and below',100,2,3),
(118412,134515,'Does not affect Epic targets',100,2,4),
(118413,134515,'Resistibility increases against targets higher than level 114.',100,2,5),
(118414,134515,'Cannot be modified except by direct means',100,2,6),
(118415,134515,'This effect can only trigger once every 30 seconds.',100,2,7),
(118416,134515,'Cannot be modified except by direct means',100,1,8),
(118417,134515,'When Equipped:',100,0,9),
(118418,134515,'Reduces cast time of beneficial spells by 5 percent.',100,1,10),
(118419,10134515,'When Equipped:',100,0,0),
(118420,10134515,'When damaged this spell has a 10% chance to cast Baleful Countenance on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(118421,10134515,'Makes target afraid',100,2,2),
(118422,10134515,'Only affects targets level 90 and below',100,2,3),
(118423,10134515,'Does not affect Epic targets',100,2,4),
(118424,10134515,'Resistibility increases against targets higher than level 114.',100,2,5),
(118425,10134515,'Cannot be modified except by direct means',100,2,6),
(118426,10134515,'This effect can only trigger once every 30 seconds.',100,2,7),
(118427,10134515,'Cannot be modified except by direct means',100,1,8),
(118428,10134515,'When Equipped:',100,0,9),
(118429,10134515,'Reduces cast time of beneficial spells by 5 percent.',100,1,10),
(118430,111922,'Inflicts 64 - 107 piercing damage on target instantly and every 4 seconds',100,1,0),
(118431,111922,'Inflicts 236 - 394 piercing damage on target',100,1,1),
(118432,10111922,'Inflicts 150 - 251 piercing damage on target instantly and every 4 seconds',100,1,0),
(118433,10111922,'Inflicts 419 - 698 piercing damage on target',100,1,1),
(118434,102570,'Increases AGI of caster by 103.2',100,1,0),
(118435,102570,'Increases Max Health of caster by 357.0',100,1,1),
(118436,102570,'Adds 25.0% to base avoidance.',100,1,2),
(118437,102570,'Increases Mitigation of caster vs physical damage by 616',100,1,3),
(118438,102570,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,4),
(118439,10102570,'Increases AGI of caster by 103.2',100,1,0),
(118440,10102570,'Increases Max Health of caster by 357.0',100,1,1),
(118441,10102570,'Adds 25.0% to base avoidance.',100,1,2),
(118442,10102570,'Increases Mitigation of caster vs physical damage by 616',100,1,3),
(118443,10102570,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,4),
(118444,106355,'Decreases Mitigation of target vs arcane damage by 1184',100,1,0),
(118445,106355,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(118446,106355,'Slows target by 59.8%',100,2,2),
(118447,106355,'5% chance to dispel when target receives hostile action',100,2,3),
(118448,106355,'5% chance to dispel when target takes damage',100,2,4),
(118449,10106355,'Decreases Mitigation of target vs arcane damage by 1184',100,1,0),
(118450,10106355,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(118451,10106355,'Slows target by 59.8%',100,2,2),
(118452,10106355,'5% chance to dispel when target receives hostile action',100,2,3),
(118453,10106355,'5% chance to dispel when target takes damage',100,2,4),
(118454,153827,'When Equipped:',100,0,0),
(118455,153827,'On a block this spell has a 10% chance to cast Champion''s Impedence VIII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(118456,153827,'Increases caster''s chance to block by 16.0%',100,2,2),
(118457,153827,'Must not be engaged in pvp combat',100,2,3),
(118458,153827,'Cannot be modified except by direct means',100,2,4),
(118459,153827,'When damaged this spell has a 10% chance to cast Champion''s Impedence VIII on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(118460,153827,'Increases caster''s chance to block by 16.0%',100,2,6),
(118461,153827,'Must not be engaged in pvp combat',100,2,7),
(118462,153827,'Cannot be modified except by direct means',100,2,8),
(118463,153827,'Must not be engaged in pvp combat',100,1,9),
(118464,10153827,'When Equipped:',100,0,0),
(118465,10153827,'On a block this spell has a 10% chance to cast Champion''s Impedence VIII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(118466,10153827,'Increases caster''s chance to block by 16.0%',100,2,2),
(118467,10153827,'Must not be engaged in pvp combat',100,2,3),
(118468,10153827,'Cannot be modified except by direct means',100,2,4),
(118469,10153827,'When damaged this spell has a 10% chance to cast Champion''s Impedence VIII on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(118470,10153827,'Increases caster''s chance to block by 16.0%',100,2,6),
(118471,10153827,'Must not be engaged in pvp combat',100,2,7),
(118472,10153827,'Cannot be modified except by direct means',100,2,8),
(118473,10153827,'Must not be engaged in pvp combat',100,1,9),
(118474,71908,'When Equipped:',100,0,0),
(118475,71908,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118476,71908,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(118477,71908,'Cannot be modified except by direct means',100,2,3),
(118478,10071908,'When Equipped:',100,0,0),
(118479,10071908,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118480,10071908,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(118481,10071908,'Cannot be modified except by direct means',100,2,3),
(118482,110913,'Inflicts 34 - 56 divine damage on target',100,1,0),
(118483,110913,'Increases Threat to target by 273 ',100,1,1),
(118484,110913,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(118485,110913,'Stuns target',100,2,3),
(118486,110913,'Throws target back',100,2,4),
(118487,110913,'Blurs vision of target',100,2,5),
(118488,110913,'Does not affect Epic targets',100,2,6),
(118489,10110913,'Inflicts 44 - 73 divine damage on target',100,1,0),
(118490,10110913,'Prevents target from changing targets',100,1,1),
(118491,10110913,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(118492,10110913,'Stuns target',100,2,3),
(118493,10110913,'Throws target back',100,2,4),
(118494,10110913,'Blurs vision of target',100,2,5),
(118495,10110913,'Does not affect Epic targets',100,2,6),
(118496,10110913,'Forces target to change their selected target to caster.',100,1,7),
(118497,86144,'When Equipped:',100,0,0),
(118498,86144,'On a combat hit this spell may cast Spell Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118499,86144,'Increases Ability Casting Speed of caster by 16.0%',100,2,2),
(118500,86144,'Cannot be modified except by direct means',100,2,3),
(118501,10086144,'When Equipped:',100,0,0),
(118502,10086144,'On a combat hit this spell may cast Spell Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118503,10086144,'Increases Ability Casting Speed of caster by 16.0%',100,2,2),
(118504,10086144,'Cannot be modified except by direct means',100,2,3),
(118505,37614,'Increases INT of target by 0.4',100,0,0),
(118506,37614,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(118507,35305,'Increases STR of target by 1.6',100,0,0),
(118508,35305,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(118509,53834,'When Equipped:',100,0,0),
(118510,53834,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(118511,10053834,'When Equipped:',100,0,0),
(118512,10053834,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(118513,109485,'Inflicts 395 - 659 cold damage on target',100,1,0),
(118514,10109485,'Inflicts 514 - 856 cold damage on target',100,1,0),
(118515,119189,'Inflicts 131 - 218 heat damage on target',100,1,0),
(118516,119189,'Inflicts 131 - 218 heat damage on target',100,1,1),
(118517,119189,'Requires bow',100,1,2),
(118518,10119189,'Inflicts 150 - 250 heat damage on target',100,1,0),
(118519,10119189,'Inflicts 150 - 250 heat damage on target',100,1,1),
(118520,10119189,'Requires bow',100,1,2),
(118521,106215,'Inflicts 126 - 379 melee damage on target',100,1,0),
(118522,106215,'Stifles target',100,1,1),
(118523,106215,'If Target is not Epic',100,2,2),
(118524,106215,'Resistibility increases against targets higher than level 69.',100,1,3),
(118525,10106215,'Inflicts 164 - 493 melee damage on target',100,1,0),
(118526,10106215,'Stifles target',100,1,1),
(118527,10106215,'If Target is not Epic',100,2,2),
(118528,10106215,'Resistibility increases against targets higher than level 69.',100,1,3),
(118529,24759,'Adds Wolf (Dirge) to your Dungeon Maker toolbox',100,0,0),
(118530,10024759,'Adds Wolf (Dirge) to your Dungeon Maker toolbox',100,0,0),
(118531,119676,'Increases Threat to target encounter by 54 - 66 ',100,1,0),
(118532,152381,'When Equipped:',100,0,0),
(118533,152381,'On a hostile spell hit this spell may cast Beguiling Siphon on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(118534,152381,'Inflicts 131 - 219 heat damage on target',100,2,2),
(118535,152381,'Decreases power of target by 131 - 219',100,2,3),
(118536,152381,'Cannot be modified except by direct means',100,2,4),
(118537,10152381,'When Equipped:',100,0,0),
(118538,10152381,'On a hostile spell hit this spell may cast Beguiling Siphon on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(118539,10152381,'Inflicts 184 - 306 heat damage on target',100,2,2),
(118540,10152381,'Decreases power of target by 131 - 219',100,2,3),
(118541,10152381,'Cannot be modified except by direct means',100,2,4),
(118542,112042,'Roots target',100,1,0),
(118543,112042,'Stifles target',100,1,1),
(118544,112042,'If Target is not Epic',100,2,2),
(118545,112042,'20% chance to dispel when target takes damage',100,1,3),
(118546,112042,'Does not affect Epic targets',100,1,4),
(118547,112042,'Resistibility increases against targets higher than level 96.',100,1,5),
(118548,10112042,'Roots target',100,1,0),
(118549,10112042,'Stifles target',100,1,1),
(118550,10112042,'If Target is not Epic',100,2,2),
(118551,10112042,'20% chance to dispel when target takes damage',100,1,3),
(118552,10112042,'Does not affect Epic targets',100,1,4),
(118553,10112042,'Resistibility increases against targets higher than level 96.',100,1,5),
(118554,74562,'When Equipped:',100,0,0),
(118555,74562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118556,74562,'Inflicts 179 - 268 magic damage on target',100,2,2),
(118557,74562,'Cannot be modified except by direct means',100,2,3),
(118558,10074562,'When Equipped:',100,0,0),
(118559,10074562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118560,10074562,'Inflicts 250 - 376 magic damage on target',100,2,2),
(118561,10074562,'Cannot be modified except by direct means',100,2,3),
(118562,189086,'When Equipped:',100,0,0),
(118563,189086,'On a spell cast this spell may cast Infusion of Kurn on the group.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118564,189086,'Increases power of group members (AE) by 63 instantly and every 4 seconds',100,2,2),
(118565,189086,'Cannot be modified except by direct means',100,2,3),
(118566,10189086,'When Equipped:',100,0,0),
(118567,10189086,'On a spell cast this spell may cast Infusion of Kurn on the group.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118568,10189086,'Increases power of group members (AE) by 63 instantly and every 4 seconds',100,2,2),
(118569,10189086,'Cannot be modified except by direct means',100,2,3),
(118570,119448,'Inflicts 110 piercing damage on target instantly and every 4 seconds',100,1,0),
(118571,119448,'Inflicts 152 - 254 melee damage on target',100,1,1),
(118572,119448,'Must be flanking or behind',100,1,2),
(118573,10119448,'Inflicts 154 piercing damage on target instantly and every 4 seconds',100,1,0),
(118574,10119448,'Inflicts 198 - 330 melee damage on target',100,1,1),
(118575,10119448,'Must be flanking or behind',100,1,2),
(118576,121193,'Grants stealth to caster',100,1,0),
(118577,121193,'Suspends caster''s movement speed enhancements',100,1,1),
(118578,121193,'Decreases Threat to target by 657 - 1,095 ',100,1,2),
(118579,10121193,'Forces target to clear their selected target.',100,1,0),
(118580,10121193,'Grants stealth to caster',100,1,1),
(118581,10121193,'Suspends caster''s movement speed enhancements',100,1,2),
(118582,123319,'Increases STA of raid and group members (AE) by 25.6',100,1,0),
(118583,123319,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(118584,10123319,'Increases STA of raid and group members (AE) by 25.6',100,1,0),
(118585,10123319,'Increase spell damage of group and raid members by 3.13%.',100,1,1),
(118586,120710,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 21.6',100,1,0),
(118587,10120710,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 21.6',100,1,0),
(118588,24772,'Adds Wyvern (Templar) to your Dungeon Maker toolbox',100,0,0),
(118589,10024772,'Adds Wyvern (Templar) to your Dungeon Maker toolbox',100,0,0),
(118590,185447,'When Equipped:',100,0,0),
(118591,185447,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118592,185447,'Decreases Mitigation of target vs arcane damage by 747',100,2,2),
(118593,185447,'If any of the following are true:',100,3,3),
(118594,185447,'Must be classified as a void beast',100,4,4),
(118595,185447,'Must be classified as a shadowed folk',100,4,5),
(118596,185447,'Inflicts 1031 mental damage on target',100,2,6),
(118597,185447,'If any of the following are true:',100,3,7),
(118598,185447,'Must be classified as a void beast',100,4,8),
(118599,185447,'Must be classified as a shadowed folk',100,4,9),
(118600,185447,'Inflicts 516 mental damage on target',100,2,10),
(118601,185447,'Must not be classified as a void beast',100,3,11),
(118602,185447,'Must not be classified as a shadowed folk',100,3,12),
(118603,185447,'Cannot be modified except by direct means',100,2,13),
(118604,185447,'Additional equipment with Void Bane improves this effect.',100,1,14),
(118605,10185447,'When Equipped:',100,0,0),
(118606,10185447,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118607,10185447,'Decreases Mitigation of target vs arcane damage by 747',100,2,2),
(118608,10185447,'If any of the following are true:',100,3,3),
(118609,10185447,'Must be classified as a void beast',100,4,4),
(118610,10185447,'Must be classified as a shadowed folk',100,4,5),
(118611,10185447,'Inflicts 1444 mental damage on target',100,2,6),
(118612,10185447,'If any of the following are true:',100,3,7),
(118613,10185447,'Must be classified as a void beast',100,4,8),
(118614,10185447,'Must be classified as a shadowed folk',100,4,9),
(118615,10185447,'Inflicts 722 mental damage on target',100,2,10),
(118616,10185447,'Must not be classified as a void beast',100,3,11),
(118617,10185447,'Must not be classified as a shadowed folk',100,3,12),
(118618,10185447,'Cannot be modified except by direct means',100,2,13),
(118619,10185447,'Additional equipment with Void Bane improves this effect.',100,1,14),
(118620,116082,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(118621,116082,'Heals target for 96 - 117',100,2,1),
(118622,116082,'Grants a total of 5 triggers of the spell.',100,2,2),
(118623,10116082,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(118624,10116082,'Heals target for 62 - 76',100,2,1),
(118625,10116082,'Grants a total of 5 triggers of the spell.',100,2,2),
(118626,118209,'Increases Damage Per Second of group members (AE) by 19.8',100,1,0),
(118627,10118209,'Increases Damage Per Second of group members (AE) by 19.8',100,1,0),
(118628,106725,'Heals target for 287 - 350',100,1,0),
(118629,10106725,'Heals target for 337 - 412',100,1,0),
(118630,115141,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(118631,115141,'Heals target for 1251',100,2,1),
(118632,115141,'Heals target for 312 every 2 seconds',100,2,2),
(118633,115141,'Increases WIS of target by 107.8',100,2,3),
(118634,115141,'Grants a total of 1 trigger of the spell.',100,2,4),
(118635,10115141,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(118636,10115141,'Heals target for 1464',100,2,1),
(118637,10115141,'Heals target for 365 every 2 seconds',100,2,2),
(118638,10115141,'Increases WIS of target by 107.8',100,2,3),
(118639,10115141,'Grants a total of 1 trigger of the spell.',100,2,4),
(118640,137700,'When Equipped:',100,0,0),
(118641,137700,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(118642,10137700,'When Equipped:',100,0,0),
(118643,10137700,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(118644,113019,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(118645,113019,'Stuns target',40,2,1),
(118646,113019,'If Target is not Epic',100,3,2),
(118647,113019,'Inflicts 153 - 460 melee damage on target',100,2,3),
(118648,113019,'Resistibility increases against targets higher than level 94.',100,2,4),
(118649,10113019,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(118650,10113019,'Inflicts 199 - 599 melee damage on target',100,2,1),
(118651,188159,'When Equipped:',100,0,0),
(118652,188159,'Reduces maximum falling speed of caster',100,1,1),
(118653,10188159,'When Equipped:',100,0,0),
(118654,10188159,'Reduces maximum falling speed of caster',100,1,1),
(118655,159908,'Applies Sanguine Imbued when Equipped.',100,0,0),
(118656,159908,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(118657,159908,'Inflicts 101 heat damage on target',100,2,2),
(118658,159908,'Cannot be modified except by direct means',100,2,3),
(118659,10159908,'Applies Sanguine Imbued when Equipped.',100,0,0),
(118660,10159908,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(118661,10159908,'Inflicts 141 heat damage on target',100,2,2),
(118662,10159908,'Cannot be modified except by direct means',100,2,3),
(118663,48320,'Applies a brilliant experience when Activated.  Lasts for 6 hours.',100,0,0),
(118664,48320,'Increases speed of caster by 40.0%',100,1,1),
(118665,48320,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(118666,48320,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(118667,48320,'Increases AA XP Gain of caster by 100.0%',100,1,4),
(118668,48320,'You can only have one experience potion active at a time.',100,1,5),
(118669,10048320,'Applies a brilliant experience when Activated.  Lasts for 6 hours.',100,0,0),
(118670,10048320,'Increases speed of caster by 40.0%',100,1,1),
(118671,10048320,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(118672,10048320,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(118673,10048320,'Increases AA XP Gain of caster by 100.0%',100,1,4),
(118674,10048320,'You can only have one experience potion active at a time.',100,1,5),
(118675,124486,'Heals group members (AE) for 677 - 827',100,1,0),
(118676,10124486,'Heals group members (AE) for 792 - 968',100,1,0),
(118677,115555,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1033',100,1,0),
(118678,10115555,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1033',100,1,0),
(118679,80255,'When Equipped:',100,0,0),
(118680,80255,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118681,80255,'Inflicts 201 - 374 magic damage on target',100,2,2),
(118682,80255,'Cannot be modified except by direct means',100,2,3),
(118683,10080255,'When Equipped:',100,0,0),
(118684,10080255,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118685,10080255,'Inflicts 282 - 523 magic damage on target',100,2,2),
(118686,10080255,'Cannot be modified except by direct means',100,2,3),
(118687,102337,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(118688,102337,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(118689,102337,'Decreases threat priority of target encounter by 1 position',100,2,2),
(118690,102337,'Decreases Threat to target encounter by 944 ',100,2,3),
(118691,102337,'Grants a total of 3 triggers of the spell.',100,2,4),
(118692,102337,'If profession other than Fighter',100,1,5),
(118693,10102337,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(118694,10102337,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(118695,10102337,'Target cannot target caster for the duration of this effect.',100,2,2),
(118696,10102337,'Forces target to clear their selected target.',100,2,3),
(118697,10102337,'Grants a total of 3 triggers of the spell.',100,2,4),
(118698,10102337,'If profession other than Fighter',100,1,5),
(118699,71797,'When Equipped:',100,0,0),
(118700,71797,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118701,71797,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(118702,71797,'Cannot be modified except by direct means',100,2,3),
(118703,10071797,'When Equipped:',100,0,0),
(118704,10071797,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118705,10071797,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(118706,10071797,'Cannot be modified except by direct means',100,2,3),
(118707,112115,'Dispels 23 levels of physical and arcane hostile effects on caster',100,1,0),
(118708,10112115,'Dispels 23 levels of physical and arcane hostile effects on caster',100,1,0),
(118709,189099,'When Equipped:',100,0,0),
(118710,189099,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(118711,189099,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(118712,189099,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,3),
(118713,189099,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(118714,189099,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(118715,189099,'Must not be engaged in pvp combat',100,2,6),
(118716,189099,'Cannot be modified except by direct means',100,2,7),
(118717,189099,'Must not be engaged in pvp combat',100,1,8),
(118718,10189099,'When Equipped:',100,0,0),
(118719,10189099,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(118720,10189099,'Inflicts 4517 - 4993 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(118721,10189099,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,3),
(118722,10189099,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(118723,10189099,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(118724,10189099,'Must not be engaged in pvp combat',100,2,6),
(118725,10189099,'Cannot be modified except by direct means',100,2,7),
(118726,10189099,'Must not be engaged in pvp combat',100,1,8),
(118727,36963,'Increases STA of target by 1.6',100,0,0),
(118728,36963,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(118729,80689,'When Equipped:',100,0,0),
(118730,80689,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(118731,80689,'Decreases Threat to target by 236 ',100,2,2),
(118732,80689,'Must be flanking or behind',100,3,3),
(118733,80689,'Increases Threat to target by 236 ',100,2,4),
(118734,80689,'Must be in front of',100,3,5),
(118735,80689,'Inflicts 71 - 132 magic damage on target',100,2,6),
(118736,80689,'Cannot be modified except by direct means',100,2,7),
(118737,10080689,'When Equipped:',100,0,0),
(118738,10080689,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(118739,10080689,'Inflicts 100 - 185 magic damage on target',100,2,2),
(118740,10080689,'Cannot be modified except by direct means',100,2,3),
(118741,35525,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(118742,118695,'Increases STR and AGI of group members (AE) by 8.6',100,1,0),
(118743,10118695,'Increases STR and AGI of group members (AE) by 8.6',100,1,0),
(118744,35358,'Increases STA of target by 1.6',100,0,0),
(118745,35358,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(118746,153948,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(118747,153948,'Decreases Attack Speed of target by 14.0',100,1,1),
(118748,153948,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(118749,10153948,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(118750,10153948,'Decreases Attack Speed of target by 14.0',100,1,1),
(118751,10153948,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(118752,133847,'When Equipped:',100,0,0),
(118753,133847,'When mental damage is received this spell has a 25% chance to cast Gift of Silence on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(118754,133847,'Increases Mitigation of caster vs arcane damage by 10080',100,2,2),
(118755,133847,'Cannot be modified except by direct means',100,2,3),
(118756,10133847,'When Equipped:',100,0,0),
(118757,10133847,'When mental damage is received this spell has a 25% chance to cast Gift of Silence on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(118758,10133847,'Increases Mitigation of caster vs arcane damage by 10080',100,2,2),
(118759,10133847,'Cannot be modified except by direct means',100,2,3),
(118760,105794,'Inflicts 474 - 580 heat damage on target',100,1,0),
(118761,10105794,'Inflicts 886 - 1083 heat damage on target',100,1,0),
(118762,103219,'Reduces physical damage done to caster by 5%',100,1,0),
(118763,103219,'Adds 1.7% to base avoidance.',100,1,1),
(118764,103219,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(118765,103219,'Increases Parry of caster by 2.0',100,1,3),
(118766,103219,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(118767,103219,'Increases Aggression of caster by 1.5',100,1,5),
(118768,103219,'Increases Defense and Deflection of caster by 2.0',100,1,6),
(118769,103219,'Increases Mitigation of caster vs noxious damage by 169',100,1,7),
(118770,103219,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(118771,10103219,'Reduces physical damage done to caster by 5%',100,1,0),
(118772,10103219,'Adds 1.7% to base avoidance.',100,1,1),
(118773,10103219,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(118774,10103219,'Increases Parry of caster by 2.0',100,1,3),
(118775,10103219,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(118776,10103219,'Increases Aggression of caster by 1.5',100,1,5),
(118777,10103219,'Increases Defense and Deflection of caster by 2.0',100,1,6),
(118778,10103219,'Increases Mitigation of caster vs noxious damage by 169',100,1,7),
(118779,10103219,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(118780,189319,'When Equipped:',100,0,0),
(118781,189319,'On a hostile spell cast this spell may cast Essence Drain on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118782,189319,'Inflicts 229 - 343 magic damage on target',100,2,2),
(118783,189319,'Inflicts 73 - 109 magic damage on target every 6 seconds',100,2,3),
(118784,189319,'Heals caster for 122 - 183',100,2,4),
(118785,189319,'Heals caster for 41 - 61 every 6 seconds',100,2,5),
(118786,189319,'Cannot be modified except by direct means',100,2,6),
(118787,10189319,'When Equipped:',100,0,0),
(118788,10189319,'On a hostile spell cast this spell may cast Essence Drain on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118789,10189319,'Inflicts 321 - 481 magic damage on target',100,2,2),
(118790,10189319,'Inflicts 102 - 153 magic damage on target every 6 seconds',100,2,3),
(118791,10189319,'Heals caster for 79 - 119',100,2,4),
(118792,10189319,'Heals caster for 26 - 40 every 6 seconds',100,2,5),
(118793,10189319,'Cannot be modified except by direct means',100,2,6),
(118794,74532,'Applies Frost Blast when Activated.',100,0,0),
(118795,74532,'Inflicts 168 - 280 cold damage on target',100,1,1),
(118796,74532,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(118797,10074532,'Applies Frost Blast when Activated.',100,0,0),
(118798,10074532,'Inflicts 235 - 392 cold damage on target',100,1,1),
(118799,10074532,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(118800,114404,'Mesmerizes target',100,1,0),
(118801,114404,'Prevents AOE (except when direct) ',100,1,1),
(118802,114404,'Dispelled when target takes damage',100,1,2),
(118803,114404,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(118804,114404,'Resistibility increases against targets higher than level 41.',100,1,4),
(118805,10114404,'Mesmerizes target',100,1,0),
(118806,10114404,'Prevents AOE (except when direct) ',100,1,1),
(118807,10114404,'Dispelled when target takes damage',100,1,2),
(118808,10114404,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(118809,10114404,'Resistibility increases against targets higher than level 41.',100,1,4),
(118810,80703,'When Equipped:',100,0,0),
(118811,80703,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118812,80703,'Inflicts 71 - 132 magic damage on target',100,2,2),
(118813,80703,'Cannot be modified except by direct means',100,2,3),
(118814,10080703,'When Equipped:',100,0,0),
(118815,10080703,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118816,10080703,'Inflicts 100 - 185 magic damage on target',100,2,2),
(118817,10080703,'Cannot be modified except by direct means',100,2,3),
(118818,114299,'Heals target for 574 - 702',100,1,0),
(118819,10114299,'Heals target for 675 - 825',100,1,0),
(118820,135752,'When Equipped:',100,0,0),
(118821,135752,'On a hostile spell hit this spell may cast Mana Sieve on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(118822,135752,'Decreases power of target by 137',100,2,2),
(118823,135752,'Increases power of caster by 102',100,2,3),
(118824,135752,'Cannot be modified except by direct means',100,2,4),
(118825,10135752,'When Equipped:',100,0,0),
(118826,10135752,'On a hostile spell hit this spell may cast Mana Sieve on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(118827,10135752,'Decreases power of target by 137',100,2,2),
(118828,10135752,'Increases power of caster by 102',100,2,3),
(118829,10135752,'Cannot be modified except by direct means',100,2,4),
(118830,109564,'Makes target afraid',100,1,0),
(118831,109564,'30% chance to dispel when target takes damage',100,1,1),
(118832,109564,'Does not affect Epic targets',100,1,2),
(118833,109564,'Resistibility increases against targets higher than level 55.',100,1,3),
(118834,10109564,'Makes target afraid',100,1,0),
(118835,10109564,'30% chance to dispel when target takes damage',100,1,1),
(118836,10109564,'Does not affect Epic targets',100,1,2),
(118837,10109564,'Resistibility increases against targets higher than level 55.',100,1,3),
(118838,109215,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 23.4',100,1,0),
(118839,10109215,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 23.4',100,1,0),
(118840,157504,'When Equipped:',100,0,0),
(118841,157504,'Increases Attack Speed of caster by 40.0',100,1,1),
(118842,10157504,'When Equipped:',100,0,0),
(118843,10157504,'Increases Attack Speed of caster by 40.0',100,1,1),
(118844,82224,'When Equipped:',100,0,0),
(118845,82224,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(118846,82224,'Decreases Threat to target by 135 ',100,2,2),
(118847,82224,'Must be flanking or behind',100,3,3),
(118848,82224,'Increases Threat to target by 135 ',100,2,4),
(118849,82224,'Must be in front of',100,3,5),
(118850,82224,'Inflicts 41 - 76 magic damage on target',100,2,6),
(118851,82224,'Cannot be modified except by direct means',100,2,7),
(118852,10082224,'When Equipped:',100,0,0),
(118853,10082224,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(118854,10082224,'Inflicts 58 - 107 magic damage on target',100,2,2),
(118855,10082224,'Cannot be modified except by direct means',100,2,3),
(118856,36185,'Increases STA and AGI of target by 1.2',100,0,0),
(118857,36185,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(118858,120174,'Applies Life Draw on termination.',100,1,0),
(118859,120174,'Inflicts 363 - 605 disease damage on target',100,2,1),
(118860,120174,'Heals caster for 13.9 - 16.9% of max health',100,2,2),
(118861,120174,'This effect cannot be critically applied.',100,3,3),
(118862,120174,'The healing of this spell cannot be modified except by direct means',100,2,4),
(118863,120174,'Inflicts 105 - 176 disease damage on target',100,1,5),
(118864,10120174,'Applies Life Draw on termination.',100,1,0),
(118865,10120174,'Inflicts 508 - 847 disease damage on target',100,2,1),
(118866,10120174,'Heals caster for 3.8 - 4.6% of max health',100,2,2),
(118867,10120174,'This effect cannot be critically applied.',100,3,3),
(118868,10120174,'The healing of this spell cannot be modified except by direct means',100,2,4),
(118869,10120174,'Inflicts 137 - 229 disease damage on target',100,1,5),
(118870,37259,'Increases STA and AGI of target by 4.6',100,0,0),
(118871,37259,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,1),
(118872,37259,'Increases Attack Speed of target by 8.0',100,0,2),
(118873,71879,'When Equipped:',100,0,0),
(118874,71879,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118875,71879,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(118876,71879,'Cannot be modified except by direct means',100,2,3),
(118877,10071879,'When Equipped:',100,0,0),
(118878,10071879,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118879,10071879,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(118880,10071879,'Cannot be modified except by direct means',100,2,3),
(118881,163249,'When Equipped:',100,0,0),
(118882,163249,'On a critical combat hit this spell may cast Overwhelming Power VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118883,163249,'Decreases Potency of target by 2.0%',100,2,2),
(118884,163249,'Increases Potency of caster by 8.0%',100,2,3),
(118885,163249,'Must not be engaged in pvp combat',100,2,4),
(118886,163249,'Cannot be modified except by direct means',100,2,5),
(118887,163249,'On a critical spell hit this spell may cast Overwhelming Power VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(118888,163249,'Decreases Potency of target by 2.0%',100,2,7),
(118889,163249,'Increases Potency of caster by 8.0%',100,2,8),
(118890,163249,'Must not be engaged in pvp combat',100,2,9),
(118891,163249,'Cannot be modified except by direct means',100,2,10),
(118892,163249,'Must not be engaged in pvp combat',100,1,11),
(118893,10163249,'When Equipped:',100,0,0),
(118894,10163249,'On a critical combat hit this spell may cast Overwhelming Power VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(118895,10163249,'Decreases Potency of target by 2.0%',100,2,2),
(118896,10163249,'Increases Potency of caster by 8.0%',100,2,3),
(118897,10163249,'Must not be engaged in pvp combat',100,2,4),
(118898,10163249,'Cannot be modified except by direct means',100,2,5),
(118899,10163249,'On a critical spell hit this spell may cast Overwhelming Power VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(118900,10163249,'Decreases Potency of target by 2.0%',100,2,7),
(118901,10163249,'Increases Potency of caster by 8.0%',100,2,8),
(118902,10163249,'Must not be engaged in pvp combat',100,2,9),
(118903,10163249,'Cannot be modified except by direct means',100,2,10),
(118904,10163249,'Must not be engaged in pvp combat',100,1,11),
(118905,81430,'When Equipped:',100,0,0),
(118906,81430,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118907,81430,'Inflicts 104 - 194 magic damage on target',100,2,2),
(118908,81430,'Cannot be modified except by direct means',100,2,3),
(118909,10081430,'When Equipped:',100,0,0),
(118910,10081430,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118911,10081430,'Inflicts 146 - 271 magic damage on target',100,2,2),
(118912,10081430,'Cannot be modified except by direct means',100,2,3),
(118913,110190,'Applies Untreated Bleeding on termination.',100,1,0),
(118914,110190,'Inflicts 533 - 888 piercing damage on target',100,2,1),
(118915,110190,'Inflicts 114 - 190 piercing damage on target instantly and every 4 seconds',100,1,2),
(118916,110190,'Inflicts 76 - 126 melee damage on target',100,1,3),
(118917,10110190,'Applies Untreated Bleeding on termination.',100,1,0),
(118918,10110190,'Inflicts 746 - 1243 piercing damage on target',100,2,1),
(118919,10110190,'Inflicts 160 - 266 piercing damage on target instantly and every 4 seconds',100,1,2),
(118920,10110190,'Inflicts 98 - 164 melee damage on target',100,1,3),
(118921,83049,'When Equipped:',100,0,0),
(118922,83049,'On a combat hit this spell may cast Convulsions on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118923,83049,'Inflicts 225 - 275 magic damage on target instantly and every 2 seconds',100,2,2),
(118924,83049,'Cannot be modified except by direct means',100,2,3),
(118925,10083049,'When Equipped:',100,0,0),
(118926,10083049,'On a combat hit this spell may cast Convulsions on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(118927,10083049,'Inflicts 314 - 384 magic damage on target instantly and every 2 seconds',100,2,2),
(118928,10083049,'Cannot be modified except by direct means',100,2,3),
(118929,118773,'Increases INT and WIS of group members (AE) by 61.7',100,1,0),
(118930,118773,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 181',100,1,1),
(118931,10118773,'Increases INT and WIS of group members (AE) by 61.7',100,1,0),
(118932,10118773,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 181',100,1,1),
(118933,24346,'Adds Boss: Elemental-Fire (Assassin) to your Dungeon Maker toolbox',100,0,0),
(118934,10024346,'Adds Boss: Elemental-Fire (Assassin) to your Dungeon Maker toolbox',100,0,0),
(118935,169106,'Applies Heroic Resistance X when Equipped.',100,0,0),
(118936,169106,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(118937,169106,'Cannot be modified except by direct means',100,1,2),
(118938,169106,'When Equipped:',100,0,3),
(118939,169106,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(118940,169106,'Gives target an extra 5.0% mitigation to their worn armor',100,2,5),
(118941,169106,'Increases Max Health of target by 500.0',100,2,6),
(118942,169106,'Cannot be modified except by direct means',100,2,7),
(118943,169106,'Cannot be modified except by direct means',100,1,8),
(118944,10169106,'Applies Heroic Resistance X when Equipped.',100,0,0),
(118945,10169106,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(118946,10169106,'Cannot be modified except by direct means',100,1,2),
(118947,10169106,'When Equipped:',100,0,3),
(118948,10169106,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(118949,10169106,'Gives target an extra 5.0% mitigation to their worn armor',100,2,5),
(118950,10169106,'Increases Max Health of target by 500.0',100,2,6),
(118951,10169106,'Cannot be modified except by direct means',100,2,7),
(118952,10169106,'Cannot be modified except by direct means',100,1,8),
(118953,112741,'Interrupts target',100,1,0),
(118954,112741,'Inflicts 8 - 14 divine damage on target',100,1,1),
(118955,10112741,'Interrupts target',100,1,0),
(118956,10112741,'Inflicts 12 - 20 divine damage on target',100,1,1),
(118957,113922,'Increases power of target by 25 instantly and every 4 seconds',100,1,0),
(118958,10113922,'Increases power of target by 25 instantly and every 4 seconds',100,1,0),
(118959,48010,'Applies Draw upon Essence when Activated.',100,0,0),
(118960,48010,'Increases power of caster by 6',100,1,1),
(118961,48010,'Requires 24 Health to cast.',100,1,2),
(118962,10048010,'Applies Draw upon Essence when Activated.',100,0,0),
(118963,10048010,'Increases power of caster by 6',100,1,1),
(118964,10048010,'Requires 24 Health to cast.',100,1,2),
(118965,48817,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(118966,48817,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(118967,48817,'Inflicts 39 poison damage on target instantly and every 6 seconds',100,2,2),
(118968,48817,'Inflicts 241 poison damage on target',100,2,3),
(118969,48817,'Cannot be modified except by direct means',100,2,4),
(118970,48817,'Grants a total of 200 triggers of the spell.',100,2,5),
(118971,10048817,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(118972,10048817,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(118973,10048817,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,2),
(118974,10048817,'Inflicts 253 poison damage on target',100,2,3),
(118975,10048817,'Cannot be modified except by direct means',100,2,4),
(118976,10048817,'Grants a total of 200 triggers of the spell.',100,2,5),
(118977,82198,'When Equipped:',100,0,0),
(118978,82198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118979,82198,'Inflicts 41 - 76 magic damage on target',100,2,2),
(118980,82198,'Cannot be modified except by direct means',100,2,3),
(118981,10082198,'When Equipped:',100,0,0),
(118982,10082198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(118983,10082198,'Inflicts 58 - 107 magic damage on target',100,2,2),
(118984,10082198,'Cannot be modified except by direct means',100,2,3),
(118985,26912,'When Equipped:',100,0,0),
(118986,26912,'Increases Damage Per Second of caster by 10.0',100,1,1),
(118987,10026912,'When Equipped:',100,0,0),
(118988,10026912,'Increases Damage Per Second of caster by 10.0',100,1,1),
(118989,115460,'Inflicts 183 - 224 mental damage on target instantly and every 6 seconds',100,1,0),
(118990,115460,'Decreases Mitigation of target vs arcane damage by 1280',100,1,1),
(118991,10115460,'Inflicts 257 - 314 mental damage on target instantly and every 6 seconds',100,1,0),
(118992,10115460,'Decreases Mitigation of target vs arcane damage by 1280',100,1,1),
(118993,24027,'Adds Awareness (Multiple) to your Dungeon Maker toolbox',100,0,0),
(118994,10024027,'Adds Awareness (Multiple) to your Dungeon Maker toolbox',100,0,0),
(118995,170634,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(118996,170634,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 225',100,1,1),
(118997,170634,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(118998,10170634,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(118999,10170634,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 225',100,1,1),
(119000,10170634,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(119001,117006,'Inflicts 79 - 239 melee damage on target',100,1,0),
(119002,10117006,'Inflicts 103 - 310 melee damage on target',100,1,0),
(119003,107328,'Decreases WIS of target by 57.5',100,1,0),
(119004,107328,'Decreases Defense of target by 21.9',100,1,1),
(119005,10107328,'Decreases WIS of target by 57.5',100,1,0),
(119006,10107328,'Decreases Defense of target by 21.9',100,1,1),
(119007,120113,'Shapechanges caster into a chaos essence',100,1,0),
(119008,120113,'Increases WIS of caster by 92.3',100,1,1),
(119009,120113,'Grants See Invisibility to caster',100,1,2),
(119010,120113,'Increases Max Health of caster by 408.7',100,1,3),
(119011,120113,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1399',100,1,4),
(119012,10120113,'Shapechanges caster into a chaos essence',100,1,0),
(119013,10120113,'Increases WIS of caster by 92.3',100,1,1),
(119014,10120113,'Grants See Invisibility to caster',100,1,2),
(119015,10120113,'Increases Max Health of caster by 408.7',100,1,3),
(119016,10120113,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1399',100,1,4),
(119017,101006,'Increases INT of target by 134.0',100,1,0),
(119018,101006,'Increases Attack Speed of target by 48.4',100,1,1),
(119019,101006,'Decreases Defense and Parry of target by 36.3',100,1,2),
(119020,101006,'Increases Slashing, Piercing and Crushing of target by 29.0',100,1,3),
(119021,10101006,'Increases INT of target by 134.0',100,1,0),
(119022,10101006,'Increases Attack Speed of target by 48.4',100,1,1),
(119023,10101006,'Decreases Defense and Parry of target by 36.3',100,1,2),
(119024,10101006,'Increases Slashing, Piercing and Crushing of target by 29.0',100,1,3),
(119025,109213,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.9',100,1,0),
(119026,10109213,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.9',100,1,0),
(119027,117636,'Inflicts 1142 - 1904 ranged damage on target',100,1,0),
(119028,117636,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(119029,117636,'Slows target by 50.8%',100,2,2),
(119030,117636,'5% chance to dispel when target receives hostile action',100,2,3),
(119031,117636,'5% chance to dispel when target takes damage',100,2,4),
(119032,117636,'Must be flanking or behind',100,1,5),
(119033,117636,'Requires bow',100,1,6),
(119034,10117636,'Inflicts 971 - 1618 ranged damage on target',100,1,0),
(119035,10117636,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(119036,10117636,'Slows target by 50.8%',100,2,2),
(119037,10117636,'5% chance to dispel when target receives hostile action',100,2,3),
(119038,10117636,'5% chance to dispel when target takes damage',100,2,4),
(119039,10117636,'Must be flanking or behind',100,1,5),
(119040,10117636,'Requires bow',100,1,6),
(119041,109962,'Inflicts 356 - 533 disease damage on targets in Area of Effect',100,1,0),
(119042,109962,'Inflicts 178 - 267 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(119043,109962,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(119044,109962,'Increases Threat to targets in Area of Effect by 1,030 - 1,259  instantly and every 4 seconds thereafter',100,1,3),
(119045,10109962,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(119046,10109962,'Prevents target from changing targets',100,2,1),
(119047,10109962,'Forces target to change their selected target to caster.',100,2,2),
(119048,10109962,'Inflicts 498 - 747 disease damage on targets in Area of Effect',100,1,3),
(119049,10109962,'Inflicts 249 - 373 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(119050,174773,'When Equipped:',100,0,0),
(119051,174773,'On any combat or spell hit this spell may cast Order on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119052,174773,'Increases Threat to target by 4,665 ',100,2,2),
(119053,174773,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(119054,174773,'Inflicts 2913 crushing damage on target',100,2,4),
(119055,174773,'Cannot be modified except by direct means',100,2,5),
(119056,10174773,'When Equipped:',100,0,0),
(119057,10174773,'On any combat or spell hit this spell may cast Order on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119058,10174773,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(119059,10174773,'Inflicts 3336 crushing damage on target',100,2,3),
(119060,10174773,'Cannot be modified except by direct means',100,2,4),
(119061,122573,'Inflicts 4 - 5 mental damage on target instantly and every 3 seconds',100,1,0),
(119062,122573,'Decreases Mitigation of target vs arcane damage by 69',100,1,1),
(119063,10122573,'Inflicts 5 - 7 mental damage on target instantly and every 3 seconds',100,1,0),
(119064,10122573,'Decreases Mitigation of target vs arcane damage by 69',100,1,1),
(119065,24710,'Adds Spider (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(119066,10024710,'Adds Spider (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(119067,100120,'Decreases STR, AGI, WIS and INT of target by 42.2',100,1,0),
(119068,100120,'Decreases Max Health of target by 0.8%',100,1,1),
(119069,10100120,'Decreases STR, AGI, WIS and INT of target by 42.2',100,1,0),
(119070,10100120,'Decreases Max Health of target by 0.8%',100,1,1),
(119071,115832,'Inflicts 62 disease damage on target every 3 seconds',100,1,0),
(119072,115832,'Inflicts 233 - 389 melee damage on target',100,1,1),
(119073,115832,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(119074,115832,'Heals caster for 1.4% of max health instantly and every 3 seconds',100,2,3),
(119075,115832,'This effect cannot be critically applied.',100,3,4),
(119076,115832,'The healing of this spell cannot be modified except by direct means',100,2,5),
(119077,115832,'The healing of this spell cannot be modified except by direct means',100,1,6),
(119078,10115832,'Inflicts 87 disease damage on target every 3 seconds',100,1,0),
(119079,10115832,'Inflicts 303 - 506 melee damage on target',100,1,1),
(119080,10115832,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(119081,10115832,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(119082,10115832,'This effect cannot be critically applied.',100,3,4),
(119083,10115832,'The healing of this spell cannot be modified except by direct means',100,2,5),
(119084,10115832,'The healing of this spell cannot be modified except by direct means',100,1,6),
(119085,35829,'Increases Max Power of target by 4.1',100,0,0),
(119086,35829,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(119087,113087,'Heals target for 65.5 - 80.1% of max health',100,1,0),
(119088,113087,'This effect cannot be critically applied.',100,2,1),
(119089,113087,'Increases Max Health of target by 150.5',100,1,2),
(119090,113087,'Increases Mitigation of target vs physical damage by 280',100,1,3),
(119091,113087,'The healing of this spell cannot be modified except by direct means',100,1,4),
(119092,10113087,'Heals target for 26.2 - 32.0% of max health',100,1,0),
(119093,10113087,'This effect cannot be critically applied.',100,2,1),
(119094,10113087,'Increases Max Health of target by 150.5',100,1,2),
(119095,10113087,'Increases Mitigation of target vs physical damage by 280',100,1,3),
(119096,10113087,'The healing of this spell cannot be modified except by direct means',100,1,4),
(119097,157085,'When Equipped:',100,0,0),
(119098,157085,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(119099,157085,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(119100,157085,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(119101,157085,'Must not be engaged in pvp combat',100,2,4),
(119102,157085,'Cannot be modified except by direct means',100,2,5),
(119103,157085,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(119104,157085,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(119105,157085,'Must not be engaged in pvp combat',100,2,8),
(119106,157085,'Cannot be modified except by direct means',100,2,9),
(119107,157085,'Must not be engaged in pvp combat',100,1,10),
(119108,10157085,'When Equipped:',100,0,0),
(119109,10157085,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(119110,10157085,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(119111,10157085,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(119112,10157085,'Must not be engaged in pvp combat',100,2,4),
(119113,10157085,'Cannot be modified except by direct means',100,2,5),
(119114,10157085,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(119115,10157085,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(119116,10157085,'Must not be engaged in pvp combat',100,2,8),
(119117,10157085,'Cannot be modified except by direct means',100,2,9),
(119118,10157085,'Must not be engaged in pvp combat',100,1,10),
(119119,108026,'Inflicts 111 magic damage on target',100,1,0),
(119120,108026,'Increases power of caster by 31',100,1,1),
(119121,10108026,'Inflicts 155 magic damage on target',100,1,0),
(119122,10108026,'Increases power of caster by 31',100,1,1),
(119123,112187,'Increases STR of caster by 77.9',100,1,0),
(119124,112187,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1849',100,1,1),
(119125,112187,'Increases Mitigation of caster vs physical damage by 498',100,1,2),
(119126,10112187,'Increases STR of caster by 77.9',100,1,0),
(119127,10112187,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1849',100,1,1),
(119128,10112187,'Increases Mitigation of caster vs physical damage by 498',100,1,2),
(119129,144416,'When Equipped:',100,0,0),
(119130,144416,'When a combat art is used this spell has a 10% chance to cast Infuriation on target of combat art.  ',100,1,1),
(119131,144416,'Increases Threat to target by 275 ',100,2,2),
(119132,144416,'Cannot be modified except by direct means',100,2,3),
(119133,10144416,'When Equipped:',100,0,0),
(119134,10144416,'When a combat art is used this spell has a 10% chance to cast Infuriation on target of combat art.  ',100,1,1),
(119135,10144416,'Forces target to change their selected target to caster.',100,2,2),
(119136,10144416,'Cannot be modified except by direct means',100,2,3),
(119137,116799,'Increases STR, AGI, WIS and INT of target by 74.8',100,1,0),
(119138,116799,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119139,116799,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(119140,116799,'Increases Damage Per Second of target by 52.0',100,2,3),
(119141,116799,'Increases Attack Speed of target by 52.0',100,2,4),
(119142,116799,'Adds 2.2% to base avoidance.',100,1,5),
(119143,116799,'Increases Mitigation of target vs elemental, noxious and arcane damage by 219',100,1,6),
(119144,10116799,'Increases STR, AGI, WIS and INT of target by 74.8',100,1,0),
(119145,10116799,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119146,10116799,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(119147,10116799,'Increases Damage Per Second of target by 52.0',100,2,3),
(119148,10116799,'Increases Attack Speed of target by 52.0',100,2,4),
(119149,10116799,'Adds 2.2% to base avoidance.',100,1,5),
(119150,10116799,'Increases Mitigation of target vs elemental, noxious and arcane damage by 219',100,1,6),
(119151,81144,'When Equipped:',100,0,0),
(119152,81144,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119153,81144,'Decreases Threat to target by 517 ',100,2,2),
(119154,81144,'Must be flanking or behind',100,3,3),
(119155,81144,'Increases Threat to target by 517 ',100,2,4),
(119156,81144,'Must be in front of',100,3,5),
(119157,81144,'Inflicts 194 - 361 magic damage on target',100,2,6),
(119158,81144,'Cannot be modified except by direct means',100,2,7),
(119159,10081144,'When Equipped:',100,0,0),
(119160,10081144,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119161,10081144,'Inflicts 272 - 505 magic damage on target',100,2,2),
(119162,10081144,'Cannot be modified except by direct means',100,2,3),
(119163,109817,'Decreases Parry of target by 14.9',100,1,0),
(119164,109817,'Inflicts 88 - 148 melee damage on target',100,1,1),
(119165,109817,'Must be in front of or flanking',100,1,2),
(119166,10109817,'Decreases Parry of target by 14.9',100,1,0),
(119167,10109817,'Inflicts 115 - 192 melee damage on target',100,1,1),
(119168,10109817,'Must be in front of or flanking',100,1,2),
(119169,119591,'Increases power of caster by 37 instantly and every 4 seconds',100,1,0),
(119170,10119591,'Increases power of caster by 37 instantly and every 4 seconds',100,1,0),
(119171,134389,'When Equipped:',100,0,0),
(119172,134389,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(119173,134389,'Inflicts 1192 disease damage on target encounter',100,2,2),
(119174,134389,'Must not be engaged in pvp combat',100,2,3),
(119175,134389,'Cannot be modified except by direct means',100,2,4),
(119176,10134389,'When Equipped:',100,0,0),
(119177,10134389,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(119178,10134389,'Inflicts 834 disease damage on target encounter',100,2,2),
(119179,10134389,'Must not be engaged in pvp combat',100,2,3),
(119180,10134389,'Cannot be modified except by direct means',100,2,4),
(119181,159141,'Applies Lambent Imbued when Equipped.',100,0,0),
(119182,159141,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(119183,159141,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(119184,159141,'Cannot be modified except by direct means',100,2,3),
(119185,10159141,'Applies Lambent Imbued when Equipped.',100,0,0),
(119186,10159141,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(119187,10159141,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(119188,10159141,'Cannot be modified except by direct means',100,2,3),
(119189,114442,'Inflicts 18 - 30 heat damage on target',100,1,0),
(119190,10114442,'Inflicts 23 - 39 heat damage on target',100,1,0),
(119191,26644,'When Equipped:',100,0,0),
(119192,26644,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(119193,26644,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,2),
(119194,10026644,'When Equipped:',100,0,0),
(119195,10026644,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(119196,10026644,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,2),
(119197,115203,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(119198,115203,'Decreases Mitigation of target vs noxious damage by 172',100,2,1),
(119199,115203,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(119200,115203,'Decreases Mitigation of target vs noxious damage by 172',100,2,3),
(119201,10115203,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(119202,10115203,'Decreases Mitigation of target vs noxious damage by 172',100,2,1),
(119203,10115203,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(119204,10115203,'Decreases Mitigation of target vs noxious damage by 172',100,2,3),
(119205,101675,'Decreases Attack Speed of target by 21.3',100,1,0),
(119206,101675,'Decreases Damage Per Second of target by 14.5',100,1,1),
(119207,10101675,'Decreases Attack Speed of target by 21.3',100,1,0),
(119208,10101675,'Decreases Damage Per Second of target by 14.5',100,1,1),
(119209,113857,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(119210,113857,'Increases power of caster by 267',100,2,1),
(119211,113857,'Grants a total of 3 triggers of the spell.',100,2,2),
(119212,10113857,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(119213,10113857,'Increases power of caster by 267',100,2,1),
(119214,10113857,'Grants a total of 3 triggers of the spell.',100,2,2),
(119215,113603,'Summons a limited pet to aid the caster',100,1,0),
(119216,10113603,'Summons a limited pet to aid the caster',100,1,0),
(119217,106676,'Heals caster for 49.1 - 60.1% of max health',100,1,0),
(119218,106676,'This effect cannot be critically applied.',100,2,1),
(119219,106676,'Increases Max Health of caster by 522.8',100,1,2),
(119220,106676,'The healing of this spell cannot be modified except by direct means',100,1,3),
(119221,10106676,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(119222,10106676,'This effect cannot be critically applied.',100,2,1),
(119223,10106676,'Increases Max Health of caster by 522.8',100,1,2),
(119224,10106676,'The healing of this spell cannot be modified except by direct means',100,1,3),
(119225,115386,'Inflicts 20 - 34 melee damage on target',100,1,0),
(119226,115386,'Decreases INT of target by 11.8',100,1,1),
(119227,115386,'You must be sneaking to use this ability.',100,1,2),
(119228,10115386,'Inflicts 26 - 44 melee damage on target',100,1,0),
(119229,10115386,'Decreases INT of target by 11.8',100,1,1),
(119230,10115386,'You must be sneaking to use this ability.',100,1,2),
(119231,36669,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(119232,107367,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(119233,107367,'Increases Threat to target by 488 ',100,2,1),
(119234,10107367,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(119235,10107367,'Inflicts 128 - 142 crushing damage on target',100,2,1),
(119236,81296,'When Equipped:',100,0,0),
(119237,81296,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119238,81296,'Decreases Threat to target by 949 ',100,2,2),
(119239,81296,'Must be flanking or behind',100,3,3),
(119240,81296,'Increases Threat to target by 949 ',100,2,4),
(119241,81296,'Must be in front of',100,3,5),
(119242,81296,'Inflicts 260 - 482 magic damage on target',100,2,6),
(119243,81296,'Cannot be modified except by direct means',100,2,7),
(119244,10081296,'When Equipped:',100,0,0),
(119245,10081296,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119246,10081296,'Inflicts 364 - 675 magic damage on target',100,2,2),
(119247,10081296,'Cannot be modified except by direct means',100,2,3),
(119248,110666,'Heals target for 194',100,1,0),
(119249,110666,'Dispels 23 levels of any hostile effects on target',100,1,1),
(119250,10110666,'Heals target for 126',100,1,0),
(119251,10110666,'Dispels 23 levels of any hostile effects on target',100,1,1),
(119252,171266,'When Equipped:',100,0,0),
(119253,171266,'On a critical healing spell cast this spell may cast Ward of Duality on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119254,171266,'Wards target against 100 points of all damage',100,2,2),
(119255,171266,'Wards caster against 50 points of all damage',100,2,3),
(119256,171266,'Must not be engaged in pvp combat',100,2,4),
(119257,171266,'Cannot be modified except by direct means',100,2,5),
(119258,171266,'Must not be engaged in pvp combat',100,1,6),
(119259,10171266,'When Equipped:',100,0,0),
(119260,10171266,'On a critical healing spell cast this spell may cast Ward of Duality on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119261,10171266,'Wards target against 100 points of all damage',100,2,2),
(119262,10171266,'Wards caster against 50 points of all damage',100,2,3),
(119263,10171266,'Must not be engaged in pvp combat',100,2,4),
(119264,10171266,'Cannot be modified except by direct means',100,2,5),
(119265,10171266,'Must not be engaged in pvp combat',100,1,6),
(119266,46910,'Applies Mending Root when Activated.',100,0,0),
(119267,46910,'Heals caster for 27 - 41',100,1,1),
(119268,10046910,'Applies Mending Root when Activated.',100,0,0),
(119269,10046910,'Heals caster for 18 - 27',100,1,1),
(119270,120085,'Inflicts 300 - 500 mental damage on target',100,1,0),
(119271,120085,'Inflicts 300 - 500 mental damage on target',100,1,1),
(119272,120085,'Stifles target',100,1,2),
(119273,120085,'If Target is not Epic',100,2,3),
(119274,120085,'If weapon equipped in Ranged',100,1,4),
(119275,120085,'Resistibility increases against targets higher than level 110.',100,1,5),
(119276,10120085,'Inflicts 340 - 567 mental damage on target',100,1,0),
(119277,10120085,'Inflicts 340 - 567 mental damage on target',100,1,1),
(119278,10120085,'Stifles target',100,1,2),
(119279,10120085,'If Target is not Epic',100,2,3),
(119280,10120085,'If weapon equipped in Ranged',100,1,4),
(119281,10120085,'Resistibility increases against targets higher than level 110.',100,1,5),
(119282,117511,'Increases AGI, INT and WIS of group members (AE) by 6.4',100,1,0),
(119283,117511,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 14',100,1,1),
(119284,10117511,'Increases AGI, INT and WIS of group members (AE) by 6.4',100,1,0),
(119285,10117511,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 14',100,1,1),
(119286,74780,'When Equipped:',100,0,0),
(119287,74780,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119288,74780,'Inflicts 115 - 173 magic damage on target',100,2,2),
(119289,74780,'Cannot be modified except by direct means',100,2,3),
(119290,10074780,'When Equipped:',100,0,0),
(119291,10074780,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119292,10074780,'Inflicts 161 - 242 magic damage on target',100,2,2),
(119293,10074780,'Cannot be modified except by direct means',100,2,3),
(119294,107438,'Summons a pet earthen avatar',100,1,0),
(119295,10107438,'Summons a pet earthen avatar',100,1,0),
(119296,45373,'Applies Blight of the Morning when Activated.  Lasts for 12 hours.',100,0,0),
(119297,45373,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(119298,45373,'Inflicts 9 poison damage on target',100,2,2),
(119299,45373,'Inflicts 11 poison damage on target instantly and every 6 seconds',100,2,3),
(119300,45373,'Cannot be modified except by direct means',100,2,4),
(119301,45373,'Grants a total of 100 triggers of the spell.',100,2,5),
(119302,10045373,'Applies Blight of the Morning when Activated.  Lasts for 12 hours.',100,0,0),
(119303,10045373,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(119304,10045373,'Inflicts 10 poison damage on target',100,2,2),
(119305,10045373,'Inflicts 12 poison damage on target instantly and every 6 seconds',100,2,3),
(119306,10045373,'Cannot be modified except by direct means',100,2,4),
(119307,10045373,'Grants a total of 100 triggers of the spell.',100,2,5),
(119308,143071,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(119309,143071,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(119310,143071,'Cannot be modified except by direct means',100,1,2),
(119311,10143071,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(119312,10143071,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(119313,10143071,'Cannot be modified except by direct means',100,1,2),
(119314,115482,'Summons a pet nightshade',100,1,0),
(119315,10115482,'Summons a pet nightshade',100,1,0),
(119316,162290,'When Equipped:',100,0,0),
(119317,162290,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(119318,162290,'Decreases power of target by 253',100,2,2),
(119319,162290,'Increases power of caster by 156',100,2,3),
(119320,162290,'Cannot be modified except by direct means',100,2,4),
(119321,10162290,'When Equipped:',100,0,0),
(119322,10162290,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(119323,10162290,'Decreases power of target by 253',100,2,2),
(119324,10162290,'Increases power of caster by 156',100,2,3),
(119325,10162290,'Cannot be modified except by direct means',100,2,4),
(119326,159854,'Applies Sanguine Imbued when Equipped.',100,0,0),
(119327,159854,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(119328,159854,'Inflicts 225 heat damage on target',100,2,2),
(119329,159854,'Cannot be modified except by direct means',100,2,3),
(119330,10159854,'Applies Sanguine Imbued when Equipped.',100,0,0),
(119331,10159854,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(119332,10159854,'Inflicts 314 heat damage on target',100,2,2),
(119333,10159854,'Cannot be modified except by direct means',100,2,3),
(119334,112036,'Roots target',100,1,0),
(119335,112036,'Stifles target',100,1,1),
(119336,112036,'If Target is not Epic',100,2,2),
(119337,112036,'20% chance to dispel when target takes damage',100,1,3),
(119338,112036,'Does not affect Epic targets',100,1,4),
(119339,112036,'Resistibility increases against targets higher than level 82.',100,1,5),
(119340,10112036,'Roots target',100,1,0),
(119341,10112036,'Stifles target',100,1,1),
(119342,10112036,'If Target is not Epic',100,2,2),
(119343,10112036,'20% chance to dispel when target takes damage',100,1,3),
(119344,10112036,'Does not affect Epic targets',100,1,4),
(119345,10112036,'Resistibility increases against targets higher than level 82.',100,1,5),
(119346,80315,'When Equipped:',100,0,0),
(119347,80315,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119348,80315,'Inflicts 64 - 119 magic damage on target',100,2,2),
(119349,80315,'Cannot be modified except by direct means',100,2,3),
(119350,10080315,'When Equipped:',100,0,0),
(119351,10080315,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119352,10080315,'Inflicts 90 - 167 magic damage on target',100,2,2),
(119353,10080315,'Cannot be modified except by direct means',100,2,3),
(119354,82245,'When Equipped:',100,0,0),
(119355,82245,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119356,82245,'Decreases Threat to target by 135 ',100,2,2),
(119357,82245,'Must be flanking or behind',100,3,3),
(119358,82245,'Increases Threat to target by 135 ',100,2,4),
(119359,82245,'Must be in front of',100,3,5),
(119360,82245,'Inflicts 41 - 76 magic damage on target',100,2,6),
(119361,82245,'Cannot be modified except by direct means',100,2,7),
(119362,10082245,'When Equipped:',100,0,0),
(119363,10082245,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119364,10082245,'Inflicts 58 - 107 magic damage on target',100,2,2),
(119365,10082245,'Cannot be modified except by direct means',100,2,3),
(119366,36655,'Increases STR of target by 0.4',100,0,0),
(119367,36655,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(119368,101562,'Inflicts 8726 - 14544 melee damage on target',100,1,0),
(119369,101562,'You must be stealthed to use this ability',100,1,1),
(119370,10101562,'Inflicts 5331 - 8886 melee damage on target',100,1,0),
(119371,10101562,'You must be stealthed to use this ability',100,1,1),
(119372,48835,'Applies Translucent Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(119373,48835,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(119374,48835,'Only affects targets level 50 and above',100,1,2),
(119375,10048835,'Applies Translucent Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(119376,10048835,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(119377,10048835,'Only affects targets level 50 and above',100,1,2),
(119378,107098,'Inflicts 350 - 427 divine damage on target',100,1,0),
(119379,10107098,'Inflicts 489 - 598 divine damage on target',100,1,0),
(119380,71026,'When Equipped:',100,0,0),
(119381,71026,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119382,71026,'Inflicts 86 - 105 heat damage on target encounter',100,2,2),
(119383,71026,'Cannot be modified except by direct means',100,2,3),
(119384,10071026,'When Equipped:',100,0,0),
(119385,10071026,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119386,10071026,'Inflicts 120 - 147 heat damage on target encounter',100,2,2),
(119387,10071026,'Cannot be modified except by direct means',100,2,3),
(119388,117718,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(119389,117718,'Adds 0.9% to base avoidance.',100,1,1),
(119390,10117718,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(119391,10117718,'Adds 0.9% to base avoidance.',100,1,1),
(119392,88034,'When Equipped:',100,0,0),
(119393,88034,'On a combat hit this spell may cast Soul Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119394,88034,'Decreases power of target by 270',100,2,2),
(119395,88034,'Increases power of caster by 200',100,2,3),
(119396,88034,'Cannot be modified except by direct means',100,2,4),
(119397,10088034,'When Equipped:',100,0,0),
(119398,10088034,'On a combat hit this spell may cast Soul Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119399,10088034,'Decreases power of target by 270',100,2,2),
(119400,10088034,'Increases power of caster by 200',100,2,3),
(119401,10088034,'Cannot be modified except by direct means',100,2,4),
(119402,35007,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(119403,115385,'Inflicts 14 - 23 melee damage on target',100,1,0),
(119404,115385,'Decreases INT of target by 8.0',100,1,1),
(119405,115385,'You must be sneaking to use this ability.',100,1,2),
(119406,10115385,'Inflicts 18 - 30 melee damage on target',100,1,0),
(119407,10115385,'Decreases INT of target by 8.0',100,1,1),
(119408,10115385,'You must be sneaking to use this ability.',100,1,2),
(119409,48672,'Applies Budo''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(119410,48672,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(119411,48672,'Inflicts 12 magic damage on target',100,2,2),
(119412,48672,'Cannot be modified except by direct means',100,2,3),
(119413,10048672,'Applies Budo''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(119414,10048672,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(119415,10048672,'Inflicts 17 magic damage on target',100,2,2),
(119416,10048672,'Cannot be modified except by direct means',100,2,3),
(119417,124820,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 490',100,1,0),
(119418,10124820,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 490',100,1,0),
(119419,155697,'When Equipped:',100,0,0),
(119420,155697,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(119421,155697,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(119422,155697,'Must not be engaged in pvp combat',100,2,3),
(119423,155697,'Cannot be modified except by direct means',100,2,4),
(119424,155697,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(119425,155697,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(119426,155697,'Must not be engaged in pvp combat',100,2,7),
(119427,155697,'Cannot be modified except by direct means',100,2,8),
(119428,155697,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(119429,155697,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(119430,155697,'Must not be engaged in pvp combat',100,2,11),
(119431,155697,'Cannot be modified except by direct means',100,2,12),
(119432,155697,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(119433,155697,'Inflicts 27 piercing damage on target',100,2,14),
(119434,155697,'Must not be engaged in pvp combat',100,2,15),
(119435,155697,'Cannot be modified except by direct means',100,2,16),
(119436,10155697,'When Equipped:',100,0,0),
(119437,10155697,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(119438,10155697,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(119439,10155697,'Must not be engaged in pvp combat',100,2,3),
(119440,10155697,'Cannot be modified except by direct means',100,2,4),
(119441,10155697,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(119442,10155697,'Increases Crit Bonus of caster by 2.0%',100,2,6),
(119443,10155697,'Must not be engaged in pvp combat',100,2,7),
(119444,10155697,'Cannot be modified except by direct means',100,2,8),
(119445,10155697,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing III on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(119446,10155697,'Increases Crit Bonus of caster by 2.0%',100,2,10),
(119447,10155697,'Must not be engaged in pvp combat',100,2,11),
(119448,10155697,'Cannot be modified except by direct means',100,2,12),
(119449,10155697,'When damaged with a melee weapon this spell will cast Brell''s Retribution III on target''s attacker.  ',100,1,13),
(119450,10155697,'Inflicts 37 piercing damage on target',100,2,14),
(119451,10155697,'Must not be engaged in pvp combat',100,2,15),
(119452,10155697,'Cannot be modified except by direct means',100,2,16),
(119453,100946,'Dazes target',100,1,0),
(119454,100946,'Inflicts 290 - 355 mental damage on target',100,1,1),
(119455,100946,'Epic targets gain an immunity to Daze effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(119456,100946,'Resistibility increases against targets higher than level 68.',100,1,3),
(119457,10100946,'Dazes target',100,1,0),
(119458,10100946,'Inflicts 407 - 497 mental damage on target',100,1,1),
(119459,10100946,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(119460,10100946,'Resistibility increases against targets higher than level 68.',100,1,3),
(119461,159660,'When Equipped:',100,0,0),
(119462,159660,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(119463,159660,'Increases AGI of caster by 8.8',100,2,2),
(119464,159660,'Increases Attack Speed of caster by 13.2',100,2,3),
(119465,159660,'Cannot be modified except by direct means',100,2,4),
(119466,10159660,'When Equipped:',100,0,0),
(119467,10159660,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(119468,10159660,'Increases AGI of caster by 8.8',100,2,2),
(119469,10159660,'Increases Attack Speed of caster by 13.2',100,2,3),
(119470,10159660,'Cannot be modified except by direct means',100,2,4),
(119471,159426,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(119472,159426,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(119473,159426,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(119474,159426,'Cannot be modified except by direct means',100,2,3),
(119475,10159426,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(119476,10159426,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(119477,10159426,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(119478,10159426,'Cannot be modified except by direct means',100,2,3),
(119479,137260,'When Equipped:',100,0,0),
(119480,137260,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(119481,10137260,'When Equipped:',100,0,0),
(119482,10137260,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(119483,26733,'When Equipped:',100,0,0),
(119484,26733,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(119485,26733,'On a critical combat hit this spell may cast Greater  Repugnant Cloud I on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(119486,26733,'Inflicts 963 - 1065 disease damage on target instantly and every 2 seconds',100,2,3),
(119487,26733,'Must not be engaged in pvp combat',100,2,4),
(119488,26733,'Cannot be modified except by direct means',100,2,5),
(119489,26733,'On a critical spell hit this spell may cast Greater  Repugnant Cloud I on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(119490,26733,'Inflicts 963 - 1065 disease damage on target instantly and every 2 seconds',100,2,7),
(119491,26733,'Must not be engaged in pvp combat',100,2,8),
(119492,26733,'Cannot be modified except by direct means',100,2,9),
(119493,26733,'Must not be engaged in pvp combat',100,1,10),
(119494,10026733,'When Equipped:',100,0,0),
(119495,10026733,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(119496,10026733,'On a critical combat hit this spell may cast Greater  Repugnant Cloud I on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(119497,10026733,'Inflicts 1349 - 1491 disease damage on target instantly and every 2 seconds',100,2,3),
(119498,10026733,'Must not be engaged in pvp combat',100,2,4),
(119499,10026733,'Cannot be modified except by direct means',100,2,5),
(119500,10026733,'On a critical spell hit this spell may cast Greater  Repugnant Cloud I on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(119501,10026733,'Inflicts 1349 - 1491 disease damage on target instantly and every 2 seconds',100,2,7),
(119502,10026733,'Must not be engaged in pvp combat',100,2,8),
(119503,10026733,'Cannot be modified except by direct means',100,2,9),
(119504,10026733,'Must not be engaged in pvp combat',100,1,10),
(119505,47005,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(119506,47005,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(119507,47005,'Decreases Attack Speed of target by 23.1',100,2,2),
(119508,47005,'Cannot be modified except by direct means',100,2,3),
(119509,47005,'Grants a total of 30 triggers of the spell.',100,2,4),
(119510,10047005,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(119511,10047005,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(119512,10047005,'Decreases Attack Speed of target by 23.1',100,2,2),
(119513,10047005,'Cannot be modified except by direct means',100,2,3),
(119514,10047005,'Grants a total of 30 triggers of the spell.',100,2,4),
(119515,122992,'Wards group members (AE) collectively against 361 total points of all damage',100,1,0),
(119516,10122992,'Wards group members (AE) collectively against 539 total points of all damage',100,1,0),
(119517,112301,'Inflicts 335 - 409 disease damage on target',100,1,0),
(119518,112301,'Inflicts 167 - 205 disease damage on target every 3 seconds',100,1,1),
(119519,112301,'Increases Threat to target by 2,563 - 3,133  instantly and by 481 - 589  every 3 seconds thereafter',100,1,2),
(119520,10112301,'Inflicts 234 - 287 disease damage on target every 3 seconds',100,1,0),
(119521,10112301,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(119522,159280,'Applies Lambent Imbued when Equipped.',100,0,0),
(119523,159280,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(119524,159280,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(119525,159280,'Cannot be modified except by direct means',100,2,3),
(119526,10159280,'Applies Lambent Imbued when Equipped.',100,0,0),
(119527,10159280,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(119528,10159280,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(119529,10159280,'Cannot be modified except by direct means',100,2,3),
(119530,122760,'Heals group members (AE) for 592 - 724',100,1,0),
(119531,122760,'Increases Max Health of group members (AE) by 116.3',100,1,1),
(119532,10122760,'Heals group members (AE) for 693 - 847',100,1,0),
(119533,10122760,'Increases Max Health of group members (AE) by 116.3',100,1,1),
(119534,121741,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(119535,10121741,'Applies Swarthy Distraction.',100,1,0),
(119536,10121741,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(119537,10121741,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(119538,80596,'When Equipped:',100,0,0),
(119539,80596,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119540,80596,'Decreases Threat to target by 236 ',100,2,2),
(119541,80596,'Must be flanking or behind',100,3,3),
(119542,80596,'Increases Threat to target by 236 ',100,2,4),
(119543,80596,'Must be in front of',100,3,5),
(119544,80596,'Inflicts 71 - 132 magic damage on target',100,2,6),
(119545,80596,'Cannot be modified except by direct means',100,2,7),
(119546,10080596,'When Equipped:',100,0,0),
(119547,10080596,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119548,10080596,'Inflicts 100 - 185 magic damage on target',100,2,2),
(119549,10080596,'Cannot be modified except by direct means',100,2,3),
(119550,107077,'Inflicts 87 - 106 divine damage on target',100,1,0),
(119551,10107077,'Inflicts 121 - 148 divine damage on target',100,1,0),
(119552,117206,'Inflicts 1 slashing damage on target every 4 seconds',100,1,0),
(119553,117206,'Inflicts 5 - 9 melee damage on target',100,1,1),
(119554,10117206,'Inflicts 2 slashing damage on target every 4 seconds',100,1,0),
(119555,10117206,'Inflicts 7 - 12 melee damage on target',100,1,1),
(119556,45734,'Applies Slate''s Awakening  when Activated.',100,0,0),
(119557,45734,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(119558,10045734,'Applies Slate''s Awakening  when Activated.',100,0,0),
(119559,10045734,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(119560,108328,'Inflicts 293 - 489 divine damage on target',100,1,0),
(119561,108328,'Heals caster for 1.2% of max health',100,1,1),
(119562,108328,'This effect cannot be critically applied.',100,2,2),
(119563,108328,'The healing of this spell cannot be modified except by direct means',100,1,3),
(119564,10108328,'Inflicts 381 - 636 divine damage on target',100,1,0),
(119565,10108328,'Heals caster for 0.6% of max health',100,1,1),
(119566,10108328,'This effect cannot be critically applied.',100,2,2),
(119567,10108328,'The healing of this spell cannot be modified except by direct means',100,1,3),
(119568,123047,'Summons a pet undead knight',100,1,0),
(119569,10123047,'Summons a pet undead knight',100,1,0),
(119570,170652,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(119571,170652,'Decreases AGI, STR, INT and WIS of target by 45.5',100,1,1),
(119572,170652,'Decreases Max Health of target by 1.0%',100,1,2),
(119573,170652,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(119574,10170652,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(119575,10170652,'Decreases AGI, STR, INT and WIS of target by 45.5',100,1,1),
(119576,10170652,'Decreases Max Health of target by 1.0%',100,1,2),
(119577,10170652,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(119578,80542,'When Equipped:',100,0,0),
(119579,80542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119580,80542,'Inflicts 94 - 174 magic damage on target',100,2,2),
(119581,80542,'Cannot be modified except by direct means',100,2,3),
(119582,10080542,'When Equipped:',100,0,0),
(119583,10080542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119584,10080542,'Inflicts 131 - 244 magic damage on target',100,2,2),
(119585,10080542,'Cannot be modified except by direct means',100,2,3),
(119586,120360,'Inflicts 108 - 132 divine damage on target instantly and every 4 seconds',100,1,0),
(119587,120360,'Decreases WIS of target by 58.0',100,1,1),
(119588,10120360,'Inflicts 151 - 184 divine damage on target instantly and every 4 seconds',100,1,0),
(119589,10120360,'Decreases WIS of target by 58.0',100,1,1),
(119590,106236,'Inflicts 505 - 1515 melee damage on target',100,1,0),
(119591,106236,'Stifles target',100,1,1),
(119592,106236,'If Target is not Epic',100,2,2),
(119593,106236,'Resistibility increases against targets higher than level 107.',100,1,3),
(119594,10106236,'Inflicts 656 - 1970 melee damage on target',100,1,0),
(119595,10106236,'Stifles target',100,1,1),
(119596,10106236,'If Target is not Epic',100,2,2),
(119597,10106236,'Resistibility increases against targets higher than level 107.',100,1,3),
(119598,139555,'When Equipped:',100,0,0),
(119599,139555,'On a successful dodge or parry, this spell has a 10% chance to increase threat to the target by 350.',100,1,1),
(119600,10139555,'When Equipped:',100,0,0),
(119601,10139555,'On a successful dodge or parry, this spell has a 10% chance to increase threat to the target by 350.',100,1,1),
(119602,119921,'Stifles target',100,1,0),
(119603,119921,'Inflicts 200 - 244 mental damage on target',100,1,1),
(119604,119921,'Inflicts 67 - 81 mental damage on target every 2 seconds',100,1,2),
(119605,119921,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,3),
(119606,119921,'Resistibility increases against targets higher than level 73.',100,1,4),
(119607,10119921,'Stifles target',100,1,0),
(119608,10119921,'Inflicts 280 - 342 mental damage on target',100,1,1),
(119609,10119921,'Inflicts 93 - 114 mental damage on target every second',100,1,2),
(119610,10119921,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(119611,10119921,'Resistibility increases against targets higher than level 73.',100,1,4),
(119612,70937,'When Equipped:',100,0,0),
(119613,70937,'On a combat hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119614,70937,'Increases Threat to targets in Area of Effect by 397 - 663 ',100,2,2),
(119615,70937,'Cannot be modified except by direct means',100,2,3),
(119616,10070937,'When Equipped:',100,0,0),
(119617,10070937,'On a combat hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119618,10070937,'Cannot be modified except by direct means',100,2,2),
(119619,25634,'When Equipped:',100,0,0),
(119620,25634,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(119621,25634,'Improves the base damage of Pandemic VIII by 20%.',100,1,2),
(119622,10025634,'When Equipped:',100,0,0),
(119623,10025634,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(119624,10025634,'Improves the base damage of Pandemic VIII by 20%.',100,1,2),
(119625,144279,'When Equipped:',100,0,0),
(119626,144279,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(119627,144279,'Must not be engaged in pvp combat',100,1,2),
(119628,10144279,'When Equipped:',100,0,0),
(119629,10144279,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(119630,10144279,'Must not be engaged in pvp combat',100,1,2),
(119631,110097,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(119632,110097,'Inflicts 18 disease damage on target',100,2,1),
(119633,110097,'Heals caster for 10',100,2,2),
(119634,110097,'Decreases INT of target by 81.5',100,1,3),
(119635,110097,'Decreases Attack Speed of target by 25.0',100,1,4),
(119636,110097,'Increases Max Health of target by 9.5%',100,1,5),
(119637,110097,'Increases Hate Gain of target by 21.6%',100,1,6),
(119638,110097,'Increases Aggression of target by 6.0',100,1,7),
(119639,110097,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(119640,110097,'Increases Threat to target encounter by 50 - 61 ',100,2,9),
(119641,110097,'Increases Mitigation of target vs elemental, noxious and arcane damage by 399',100,1,10),
(119642,10110097,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(119643,10110097,'Inflicts 25 disease damage on target',100,2,1),
(119644,10110097,'Heals caster for 7',100,2,2),
(119645,10110097,'Decreases INT of target by 81.5',100,1,3),
(119646,10110097,'Decreases Attack Speed of target by 25.0',100,1,4),
(119647,10110097,'Increases Max Health of target by 9.5%',100,1,5),
(119648,10110097,'Increases Aggression of target by 6.0',100,1,6),
(119649,10110097,'Increases Mitigation of target vs elemental, noxious and arcane damage by 399',100,1,7),
(119650,115490,'Summons a pet nightshade',100,1,0),
(119651,10115490,'Summons a pet nightshade',100,1,0),
(119652,104090,'Inflicts 392 - 654 mental damage on target',100,1,0),
(119653,104090,'Inflicts 392 - 654 mental damage on target',100,1,1),
(119654,10104090,'Inflicts 510 - 850 mental damage on target',100,1,0),
(119655,10104090,'Inflicts 510 - 850 mental damage on target',100,1,1),
(119656,120388,'Decreases Defense of caster by 10.5',100,1,0),
(119657,120388,'Increases Crushing and Ranged of caster by 18.9',100,1,1),
(119658,120388,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(119659,120388,'Inflicts 138 - 230 heat damage on target',100,2,3),
(119660,120388,'Increases Slashing and Piercing of caster by 18.9',100,1,4),
(119661,10120388,'Decreases Defense of caster by 10.5',100,1,0),
(119662,10120388,'Increases Crushing and Ranged of caster by 18.9',100,1,1),
(119663,10120388,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(119664,10120388,'Inflicts 193 - 322 heat damage on target',100,2,3),
(119665,10120388,'Increases Slashing and Piercing of caster by 18.9',100,1,4),
(119666,101667,'Decreases Attack Speed of target by 13.8',100,1,0),
(119667,101667,'Decreases Damage Per Second of target by 8.7',100,1,1),
(119668,10101667,'Decreases Attack Speed of target by 13.8',100,1,0),
(119669,10101667,'Decreases Damage Per Second of target by 8.7',100,1,1),
(119670,105212,'Decreases STR and INT of target by 20.5',100,1,0),
(119671,105212,'Only affects targets level 20 and above',100,1,1),
(119672,10105212,'Decreases STR and INT of target by 20.5',100,1,0),
(119673,10105212,'Only affects targets level 20 and above',100,1,1),
(119674,110554,'Decreases Attack Speed of target by 12.2',100,1,0),
(119675,110554,'Decreases Crushing, Slashing and Piercing of target by 0.8',100,1,1),
(119676,10110554,'Decreases Attack Speed of target by 12.2',100,1,0),
(119677,10110554,'Decreases Crushing, Slashing and Piercing of target by 0.8',100,1,1),
(119678,114595,'Inflicts 970 - 1618 ranged damage on target',100,1,0),
(119679,114595,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(119680,114595,'Requires bow',100,1,2),
(119681,10114595,'Inflicts 1024 - 1707 ranged damage on target',100,1,0),
(119682,10114595,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(119683,10114595,'Requires bow',100,1,2),
(119684,120358,'Inflicts 74 - 90 divine damage on target instantly and every 4 seconds',100,1,0),
(119685,120358,'Decreases WIS of target by 43.2',100,1,1),
(119686,10120358,'Inflicts 103 - 126 divine damage on target instantly and every 4 seconds',100,1,0),
(119687,10120358,'Decreases WIS of target by 43.2',100,1,1),
(119688,81356,'When Equipped:',100,0,0),
(119689,81356,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119690,81356,'Decreases Threat to target by 352 ',100,2,2),
(119691,81356,'Must be flanking or behind',100,3,3),
(119692,81356,'Increases Threat to target by 352 ',100,2,4),
(119693,81356,'Must be in front of',100,3,5),
(119694,81356,'Inflicts 104 - 194 magic damage on target',100,2,6),
(119695,81356,'Cannot be modified except by direct means',100,2,7),
(119696,10081356,'When Equipped:',100,0,0),
(119697,10081356,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119698,10081356,'Inflicts 146 - 271 magic damage on target',100,2,2),
(119699,10081356,'Cannot be modified except by direct means',100,2,3),
(119700,52650,'When Equipped:',100,0,0),
(119701,52650,'When damaged with a melee weapon this spell has a 5% chance to cast Blessing of the Gladerunner on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(119702,52650,'Heals caster for 63 instantly and every 2 seconds',100,2,2),
(119703,52650,'Cannot be modified except by direct means',100,2,3),
(119704,10052650,'When Equipped:',100,0,0),
(119705,10052650,'When damaged with a melee weapon this spell has a 5% chance to cast Blessing of the Gladerunner on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(119706,10052650,'Heals caster for 41 instantly and every 2 seconds',100,2,2),
(119707,10052650,'Cannot be modified except by direct means',100,2,3),
(119708,114943,'Decreases Attack Speed of target by 9.1',100,1,0),
(119709,114943,'Inflicts 11 - 33 slashing damage on target',100,1,1),
(119710,114943,'Inflicts 23 slashing damage on target instantly and every 4 seconds',100,1,2),
(119711,10114943,'Decreases Attack Speed of target by 9.1',100,1,0),
(119712,10114943,'Inflicts 14 - 44 slashing damage on target',100,1,1),
(119713,10114943,'Inflicts 32 slashing damage on target instantly and every 4 seconds',100,1,2),
(119714,80601,'When Equipped:',100,0,0),
(119715,80601,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119716,80601,'Decreases Threat to target by 236 ',100,2,2),
(119717,80601,'Must be flanking or behind',100,3,3),
(119718,80601,'Increases Threat to target by 236 ',100,2,4),
(119719,80601,'Must be in front of',100,3,5),
(119720,80601,'Inflicts 71 - 132 magic damage on target',100,2,6),
(119721,80601,'Cannot be modified except by direct means',100,2,7),
(119722,10080601,'When Equipped:',100,0,0),
(119723,10080601,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119724,10080601,'Inflicts 100 - 185 magic damage on target',100,2,2),
(119725,10080601,'Cannot be modified except by direct means',100,2,3),
(119726,74630,'When Equipped:',100,0,0),
(119727,74630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119728,74630,'Inflicts 57 - 86 magic damage on target',100,2,2),
(119729,74630,'Cannot be modified except by direct means',100,2,3),
(119730,10074630,'When Equipped:',100,0,0),
(119731,10074630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119732,10074630,'Inflicts 80 - 120 magic damage on target',100,2,2),
(119733,10074630,'Cannot be modified except by direct means',100,2,3),
(119734,71513,'Applies Astral Blessing when Equipped.',100,0,0),
(119735,71513,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119736,71513,'Heals target for 442 instantly and every second',100,2,2),
(119737,71513,'Cannot be modified except by direct means',100,2,3),
(119738,71513,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(119739,71513,'Heals caster for 442 instantly and every second',100,2,5),
(119740,71513,'Cannot be modified except by direct means',100,2,6),
(119741,71513,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(119742,71513,'Heals caster for 442 instantly and every second',100,2,8),
(119743,71513,'Cannot be modified except by direct means',100,2,9),
(119744,10071513,'Applies Astral Blessing when Equipped.',100,0,0),
(119745,10071513,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(119746,10071513,'Heals target for 517 instantly and every second',100,2,2),
(119747,10071513,'Cannot be modified except by direct means',100,2,3),
(119748,10071513,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(119749,10071513,'Heals caster for 517 instantly and every second',100,2,5),
(119750,10071513,'Cannot be modified except by direct means',100,2,6),
(119751,10071513,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(119752,10071513,'Heals caster for 517 instantly and every second',100,2,8),
(119753,10071513,'Cannot be modified except by direct means',100,2,9),
(119754,116617,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(119755,116617,'Increases Mitigation of group members (AE) vs arcane damage by 235',100,1,1),
(119756,10116617,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(119757,10116617,'Increases Mitigation of group members (AE) vs arcane damage by 235',100,1,1),
(119758,140712,'When Equipped:',100,0,0),
(119759,140712,'Reduces maximum falling speed of caster',100,1,1),
(119760,10140712,'When Equipped:',100,0,0),
(119761,10140712,'Reduces maximum falling speed of caster',100,1,1),
(119762,159894,'Applies Sanguine Imbued when Equipped.',100,0,0),
(119763,159894,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(119764,159894,'Inflicts 103 heat damage on target',100,2,2),
(119765,159894,'Cannot be modified except by direct means',100,2,3),
(119766,10159894,'Applies Sanguine Imbued when Equipped.',100,0,0),
(119767,10159894,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(119768,10159894,'Inflicts 144 heat damage on target',100,2,2),
(119769,10159894,'Cannot be modified except by direct means',100,2,3),
(119770,123377,'Heals group members (AE) for 685 - 837',100,1,0),
(119771,10123377,'Heals group members (AE) for 833 - 1018',100,1,0),
(119772,46619,'Applies Hand of Gore when Activated.',100,0,0),
(119773,46619,'Covers the user''s hands in illusory particles.',100,1,1),
(119774,10046619,'Applies Hand of Gore when Activated.',100,0,0),
(119775,10046619,'Covers the user''s hands in illusory particles.',100,1,1),
(119776,108287,'Summons a limited pet to aid the caster',100,1,0),
(119777,10108287,'Summons a limited pet to aid the caster',100,1,0),
(119778,117319,'Roots target',100,1,0),
(119779,117319,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(119780,117319,'Slows target by 51.2%',100,2,2),
(119781,117319,'5% chance to dispel when target receives hostile action',100,2,3),
(119782,117319,'5% chance to dispel when target takes damage',100,2,4),
(119783,117319,'15% chance to dispel when target takes damage',100,1,5),
(119784,117319,'Does not affect Epic targets',100,1,6),
(119785,117319,'Resistibility increases against targets higher than level 62.',100,1,7),
(119786,10117319,'Roots target',100,1,0),
(119787,10117319,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(119788,10117319,'Slows target by 51.2%',100,2,2),
(119789,10117319,'10% chance to dispel when target receives hostile action',100,2,3),
(119790,10117319,'10% chance to dispel when target takes damage',100,2,4),
(119791,10117319,'15% chance to dispel when target takes damage',100,1,5),
(119792,10117319,'Does not affect Epic targets',100,1,6),
(119793,10117319,'Resistibility increases against targets higher than level 62.',100,1,7),
(119794,80528,'When Equipped:',100,0,0),
(119795,80528,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119796,80528,'Decreases Threat to target by 1,219 ',100,2,2),
(119797,80528,'Must be flanking or behind',100,3,3),
(119798,80528,'Increases Threat to target by 1,219 ',100,2,4),
(119799,80528,'Must be in front of',100,3,5),
(119800,80528,'Inflicts 424 - 788 magic damage on target',100,2,6),
(119801,80528,'Cannot be modified except by direct means',100,2,7),
(119802,10080528,'When Equipped:',100,0,0),
(119803,10080528,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(119804,10080528,'Inflicts 594 - 1103 magic damage on target',100,2,2),
(119805,10080528,'Cannot be modified except by direct means',100,2,3),
(119806,100528,'Heals group members (AE) for 274 - 335',100,1,0),
(119807,10100528,'Heals group members (AE) for 332 - 406',100,1,0),
(119808,112616,'Increases STA of caster by 41.2',100,1,0),
(119809,112616,'Reduces slow effects on caster by 15.0%',100,1,1),
(119810,112616,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',100,1,2),
(119811,10112616,'Increases STA of caster by 41.2',100,1,0),
(119812,10112616,'Reduces slow effects on caster by 15.0%',100,1,1),
(119813,10112616,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',100,1,2),
(119814,46141,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(119815,46141,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(119816,46141,'Decreases AGI of target by 4.6',100,2,2),
(119817,46141,'Cannot be modified except by direct means',100,2,3),
(119818,46141,'Grants a total of 30 triggers of the spell.',100,2,4),
(119819,10046141,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(119820,10046141,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(119821,10046141,'Decreases AGI of target by 4.6',100,2,2),
(119822,10046141,'Cannot be modified except by direct means',100,2,3),
(119823,10046141,'Grants a total of 30 triggers of the spell.',100,2,4),
(119824,41144,'When Equipped:',100,0,0),
(119825,41144,'On a kill this spell has a 10% chance to cast Salvaged Shot on caster.  ',100,1,1),
(119826,41144,'Cannot be modified except by direct means',100,2,2),
(119827,10041144,'When Equipped:',100,0,0),
(119828,10041144,'On a kill this spell has a 10% chance to cast Salvaged Shot on caster.  ',100,1,1),
(119829,10041144,'Cannot be modified except by direct means',100,2,2),
(119830,100553,'Heals group members (AE) for 879 - 1075',100,1,0),
(119831,10100553,'Heals group members (AE) for 1067 - 1304',100,1,0),
(119832,113321,'Inflicts 484 - 807 heat damage on target',100,1,0),
(119833,10113321,'Inflicts 954 - 1591 heat damage on target',100,1,0),
(119834,119082,'Increases group members (AE)''s chance to block by 10.0%',100,1,0),
(119835,119082,'Increases Parry and Deflection of group members (AE) by 8.9',100,1,1),
(119836,119082,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(119837,119082,'Decreases Threat to target encounter by 352 - 430 ',100,2,3),
(119838,119082,'If not fighter',100,3,4),
(119839,119082,'Increases Threat to target encounter by 352 - 430 ',100,2,5),
(119840,119082,'If fighter',100,3,6),
(119841,119082,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(119842,119082,'Decreases Threat to target encounter by 352 - 430 ',100,2,8),
(119843,119082,'If not fighter',100,3,9),
(119844,119082,'Increases Threat to target encounter by 352 - 430 ',100,2,10),
(119845,119082,'If fighter',100,3,11),
(119846,10119082,'Increases group members (AE)''s chance to block by 10.0%',100,1,0),
(119847,10119082,'Increases Parry and Deflection of group members (AE) by 8.9',100,1,1),
(119848,10119082,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(119849,10119082,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(119850,118120,'Heals target for 613 - 749',100,1,0),
(119851,10118120,'Heals target for 724 - 885',100,1,0),
(119852,81591,'When Equipped:',100,0,0),
(119853,81591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119854,81591,'Inflicts 131 - 244 magic damage on target',100,2,2),
(119855,81591,'Cannot be modified except by direct means',100,2,3),
(119856,10081591,'When Equipped:',100,0,0),
(119857,10081591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119858,10081591,'Inflicts 184 - 342 magic damage on target',100,2,2),
(119859,10081591,'Cannot be modified except by direct means',100,2,3),
(119860,27388,'When Equipped:',100,0,0),
(119861,27388,'Increases Attack Speed of caster by 2.  Does not stack with any other haste effect items.',100,1,1),
(119862,10027388,'When Equipped:',100,0,0),
(119863,10027388,'Increases Attack Speed of caster by 2.  Does not stack with any other haste effect items.',100,1,1),
(119864,24621,'Adds Poet''s Palace 1 to your Dungeon Maker toolbox',100,0,0),
(119865,10024621,'Adds Poet''s Palace 1 to your Dungeon Maker toolbox',100,0,0),
(119866,110595,'Decreases Focus of target by 12.2',100,1,0),
(119867,110595,'Interrupts target',100,1,1),
(119868,110595,'Inflicts 54 - 164 crushing damage on target',100,1,2),
(119869,10110595,'Decreases Focus of target by 12.2',100,1,0),
(119870,10110595,'Interrupts target',100,1,1),
(119871,10110595,'Inflicts 71 - 214 crushing damage on target',100,1,2),
(119872,101314,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(119873,101314,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 68',100,1,1),
(119874,101314,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,2),
(119875,10101314,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(119876,10101314,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 68',100,1,1),
(119877,10101314,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,2),
(119878,108274,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(119879,108274,'Inflicts 158 heat damage on target',100,2,1),
(119880,108274,'Grants a total of 3 triggers of the spell.',100,2,2),
(119881,10108274,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(119882,10108274,'Inflicts 221 heat damage on target',100,2,1),
(119883,10108274,'Grants a total of 3 triggers of the spell.',100,2,2),
(119884,105641,'Inflicts 114 disease damage on target instantly and every 6 seconds',100,1,0),
(119885,105641,'Inflicts 262 - 437 disease damage on target',100,1,1),
(119886,105641,'Inflicts 262 - 437 disease damage on target',100,1,2),
(119887,10105641,'Inflicts 159 disease damage on target instantly and every 6 seconds',100,1,0),
(119888,10105641,'Inflicts 341 - 569 disease damage on target',100,1,1),
(119889,10105641,'Inflicts 341 - 569 disease damage on target',100,1,2),
(119890,74992,'When Equipped:',100,0,0),
(119891,74992,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119892,74992,'Inflicts 81 - 122 magic damage on target',100,2,2),
(119893,74992,'Cannot be modified except by direct means',100,2,3),
(119894,10074992,'When Equipped:',100,0,0),
(119895,10074992,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119896,10074992,'Inflicts 113 - 170 magic damage on target',100,2,2),
(119897,10074992,'Cannot be modified except by direct means',100,2,3),
(119898,101630,'Applies Forceful Headache on termination.',100,1,0),
(119899,101630,'Inflicts 206 - 343 mental damage on target',100,2,1),
(119900,101630,'If over 50% power',100,3,2),
(119901,101630,'Inflicts 82 - 101 mental damage on target instantly and every 6 seconds',100,1,3),
(119902,101630,'Decreases Mitigation of target vs arcane damage by 560',100,1,4),
(119903,10101630,'Applies Forceful Headache on termination.',100,1,0),
(119904,10101630,'Inflicts 288 - 481 mental damage on target',100,2,1),
(119905,10101630,'If over 50% power',100,3,2),
(119906,10101630,'Inflicts 115 - 141 mental damage on target instantly and every 6 seconds',100,1,3),
(119907,10101630,'Decreases Mitigation of target vs arcane damage by 560',100,1,4),
(119908,121762,'Heals target for 13 - 16',100,1,0),
(119909,121762,'Heals target for 2 - 3 every second',100,1,1),
(119910,10121762,'Heals target for 22 - 27',100,1,0),
(119911,10121762,'Heals target for 2 every second',100,1,1),
(119912,170600,'When Equipped:',100,0,0),
(119913,170600,'Increases Attack Speed of caster by 35.0',100,1,1),
(119914,10170600,'When Equipped:',100,0,0),
(119915,10170600,'Increases Attack Speed of caster by 35.0',100,1,1),
(119916,124647,'Inflicts 534 - 652 cold damage on target encounter',100,1,0),
(119917,124647,'Decreases Piercing, Slashing and Crushing of target encounter by 15.4',100,1,1),
(119918,10124647,'Inflicts 747 - 913 cold damage on target encounter',100,1,0),
(119919,10124647,'Decreases Piercing, Slashing and Crushing of target encounter by 15.4',100,1,1),
(119920,122444,'Inflicts 588 - 979 magic damage on target',100,1,0),
(119921,10122444,'Inflicts 823 - 1371 magic damage on target',100,1,0),
(119922,102572,'Increases AGI of caster by 77.2',100,1,0),
(119923,102572,'Increases Max Health of caster by 276.8',100,1,1),
(119924,102572,'Adds 14.8% to base avoidance.',100,1,2),
(119925,102572,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(119926,102572,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(119927,10102572,'Increases AGI of caster by 77.2',100,1,0),
(119928,10102572,'Increases Max Health of caster by 276.8',100,1,1),
(119929,10102572,'Adds 14.8% to base avoidance.',100,1,2),
(119930,10102572,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(119931,10102572,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(119932,35905,'Increases Max Power of target by 4.1',100,0,0),
(119933,35905,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(119934,36864,'Increases WIS of target by 1.6',100,0,0),
(119935,36864,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(119936,159588,'When Equipped:',100,0,0),
(119937,159588,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(119938,159588,'Increases INT of caster by 7.6',100,2,2),
(119939,159588,'Increases Focus, Disruption and Subjugation of caster by 4.9',100,2,3),
(119940,159588,'Cannot be modified except by direct means',100,2,4),
(119941,10159588,'When Equipped:',100,0,0),
(119942,10159588,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(119943,10159588,'Increases INT of caster by 7.6',100,2,2),
(119944,10159588,'Increases Focus, Disruption and Subjugation of caster by 4.9',100,2,3),
(119945,10159588,'Cannot be modified except by direct means',100,2,4),
(119946,109626,'Increases Defense of group members'' pets (AE) by 16.9',100,1,0),
(119947,109626,'Increases Mitigation of group members (AE) vs all damage by 274',100,1,1),
(119948,10109626,'Increases Defense of group members'' pets (AE) by 16.9',100,1,0),
(119949,10109626,'Increases Mitigation of group members (AE) vs all damage by 274',100,1,1),
(119950,137410,'When Equipped:',100,0,0),
(119951,137410,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(119952,137410,'Inflicts 1998 disease damage on target encounter',100,2,2),
(119953,137410,'Must not be engaged in pvp combat',100,2,3),
(119954,137410,'Cannot be modified except by direct means',100,2,4),
(119955,10137410,'When Equipped:',100,0,0),
(119956,10137410,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(119957,10137410,'Inflicts 1399 disease damage on target encounter',100,2,2),
(119958,10137410,'Must not be engaged in pvp combat',100,2,3),
(119959,10137410,'Cannot be modified except by direct means',100,2,4),
(119960,113011,'Reduces physical damage done to caster by 5%',100,1,0),
(119961,113011,'Increases STA of caster by 253.4',100,1,1),
(119962,113011,'Adds 5.0% to base avoidance.',100,1,2),
(119963,113011,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(119964,113011,'Increases Defense and Aggression of caster by 49.6',100,1,4),
(119965,113011,'Increases Mitigation of caster vs arcane damage by 3238',100,1,5),
(119966,113011,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(119967,10113011,'Reduces physical damage done to caster by 5%',100,1,0),
(119968,10113011,'Increases STA of caster by 253.4',100,1,1),
(119969,10113011,'Adds 5.0% to base avoidance.',100,1,2),
(119970,10113011,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(119971,10113011,'Increases Defense and Aggression of caster by 49.6',100,1,4),
(119972,10113011,'Increases Mitigation of caster vs arcane damage by 3238',100,1,5),
(119973,10113011,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(119974,81637,'When Equipped:',100,0,0),
(119975,81637,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119976,81637,'Inflicts 130 - 241 magic damage on target',100,2,2),
(119977,81637,'Cannot be modified except by direct means',100,2,3),
(119978,10081637,'When Equipped:',100,0,0),
(119979,10081637,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(119980,10081637,'Inflicts 182 - 337 magic damage on target',100,2,2),
(119981,10081637,'Cannot be modified except by direct means',100,2,3),
(119982,172993,'When Equipped:',100,0,0),
(119983,172993,'Increases Attack Speed of caster by 30.0',100,1,1),
(119984,10172993,'When Equipped:',100,0,0),
(119985,10172993,'Increases Attack Speed of caster by 30.0',100,1,1),
(119986,43452,'When Equipped:',100,0,0),
(119987,43452,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(119988,43452,'Inflicts 1986 piercing damage on target',100,2,2),
(119989,43452,'Cannot be modified except by direct means',100,2,3),
(119990,10043452,'When Equipped:',100,0,0),
(119991,10043452,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(119992,10043452,'Inflicts 1390 piercing damage on target',100,2,2),
(119993,10043452,'Cannot be modified except by direct means',100,2,3),
(119994,25886,'When Equipped:',100,0,0),
(119995,25886,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(119996,25886,'Improves the base heal amount of Untamed Regeneration VII by 15%.',100,1,2),
(119997,10025886,'When Equipped:',100,0,0),
(119998,10025886,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(119999,10025886,'Improves the base heal amount of Untamed Regeneration VII by 15%.',100,1,2),
(120000,82497,'When Equipped:',100,0,0),
(120001,82497,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(120002,82497,'Decreases Threat to target by 641 ',100,2,2),
(120003,82497,'Must be flanking or behind',100,3,3),
(120004,82497,'Increases Threat to target by 641 ',100,2,4),
(120005,82497,'Must be in front of',100,3,5),
(120006,82497,'Inflicts 182 - 339 magic damage on target',100,2,6),
(120007,82497,'Cannot be modified except by direct means',100,2,7),
(120008,10082497,'When Equipped:',100,0,0),
(120009,10082497,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(120010,10082497,'Inflicts 255 - 474 magic damage on target',100,2,2),
(120011,10082497,'Cannot be modified except by direct means',100,2,3),
(120012,47052,'Applies Minor Anti-Venin when Activated.',100,0,0),
(120013,47052,'Dispels 18 levels of noxious hostile effects on caster',100,1,1),
(120014,10047052,'Applies Minor Anti-Venin when Activated.',100,0,0),
(120015,10047052,'Dispels 18 levels of noxious hostile effects on caster',100,1,1),
(120016,115895,'Inflicts 27 - 33 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(120017,10115895,'Inflicts 49 - 60 disease damage on target encounter',100,1,0),
(120018,10115895,'Inflicts 38 - 46 disease damage on target encounter every 3 seconds',100,1,1),
(120019,81535,'When Equipped:',100,0,0),
(120020,81535,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120021,81535,'Inflicts 144 - 268 magic damage on target',100,2,2),
(120022,81535,'Cannot be modified except by direct means',100,2,3),
(120023,10081535,'When Equipped:',100,0,0),
(120024,10081535,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120025,10081535,'Inflicts 202 - 375 magic damage on target',100,2,2),
(120026,10081535,'Cannot be modified except by direct means',100,2,3),
(120027,37436,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(120028,116938,'Increases Threat to target by 76 - 94 ',100,1,0),
(120029,116938,'Interrupts target',100,1,1),
(120030,10116938,'Forces target to change their selected target to caster.',100,1,0),
(120031,10116938,'Interrupts target',100,1,1),
(120032,10116938,'Prevents target from changing targets',100,1,2),
(120033,136902,'When Equipped:',100,0,0),
(120034,136902,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(120035,136902,'Increases power of target by 228',100,2,2),
(120036,136902,'Decreases power of caster by 208',100,2,3),
(120037,136902,'Cannot be modified except by direct means',100,2,4),
(120038,10136902,'When Equipped:',100,0,0),
(120039,10136902,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(120040,10136902,'Increases power of target by 228',100,2,2),
(120041,10136902,'Decreases power of caster by 208',100,2,3),
(120042,10136902,'Cannot be modified except by direct means',100,2,4),
(120043,115456,'Inflicts 119 - 145 mental damage on target instantly and every 6 seconds',100,1,0),
(120044,115456,'Decreases Mitigation of target vs arcane damage by 770',100,1,1),
(120045,10115456,'Inflicts 166 - 203 mental damage on target instantly and every 6 seconds',100,1,0),
(120046,10115456,'Decreases Mitigation of target vs arcane damage by 770',100,1,1),
(120047,24101,'Adds Chardok: Tome of History to your Dungeon Maker toolbox',100,0,0),
(120048,10024101,'Adds Chardok: Tome of History to your Dungeon Maker toolbox',100,0,0),
(120049,115885,'Inflicts 3 - 4 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(120050,10115885,'Inflicts 6 - 8 disease damage on target encounter',100,1,0),
(120051,10115885,'Inflicts 5 - 6 disease damage on target encounter every 3 seconds',100,1,1),
(120052,108991,'Decreases Damage Per Second of target by 13.4',100,1,0),
(120053,108991,'Inflicts 48 - 59 melee damage on target',100,1,1),
(120054,10108991,'Decreases Damage Per Second of target by 13.4',100,1,0),
(120055,10108991,'Inflicts 63 - 77 melee damage on target',100,1,1),
(120056,111357,'Inflicts 99 - 164 disease damage on target',100,1,0),
(120057,111357,'Heals caster for 49 - 81',100,1,1),
(120058,10111357,'Inflicts 138 - 230 disease damage on target',100,1,0),
(120059,10111357,'Heals caster for 32 - 53',100,1,1),
(120060,121424,'Inflicts 2809 - 3434 ranged damage on targets in area',100,1,0),
(120061,10121424,'Inflicts 2388 - 2919 ranged damage on targets in area',100,1,0),
(120062,112243,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(120063,112243,'Decreases power of target by 99',100,2,1),
(120064,112243,'Increases power of caster by 61',100,2,2),
(120065,10112243,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(120066,10112243,'Decreases power of target by 99',100,2,1),
(120067,10112243,'Increases power of caster by 49',100,2,2),
(120068,54397,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(120069,54397,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(120070,54397,'Inflicts 45 heat damage on target',100,2,2),
(120071,54397,'Cannot be modified except by direct means',100,2,3),
(120072,10054397,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(120073,10054397,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(120074,10054397,'Inflicts 63 heat damage on target',100,2,2),
(120075,10054397,'Cannot be modified except by direct means',100,2,3),
(120076,118030,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(120077,118030,'Stuns target',100,2,1),
(120078,118030,'If Target is not Epic',100,3,2),
(120079,118030,'Inflicts 257 - 428 divine damage on target',100,2,3),
(120080,118030,'Grants a total of 3 triggers of the spell.',100,2,4),
(120081,10118030,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(120082,10118030,'Stuns target',100,2,1),
(120083,10118030,'If Target is not Epic',100,3,2),
(120084,10118030,'Inflicts 360 - 600 divine damage on target',100,2,3),
(120085,10118030,'Grants a total of 3 triggers of the spell.',100,2,4),
(120086,103115,'Increases STR of caster by 43.4',100,1,0),
(120087,103115,'Adds 3.9% to base avoidance.',100,1,1),
(120088,103115,'Increases Mitigation of caster vs physical damage by 280',100,1,2),
(120089,103115,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 874',100,1,3),
(120090,10103115,'Increases STR of caster by 43.4',100,1,0),
(120091,10103115,'Adds 3.9% to base avoidance.',100,1,1),
(120092,10103115,'Increases Mitigation of caster vs physical damage by 280',100,1,2),
(120093,10103115,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 874',100,1,3),
(120094,81149,'When Equipped:',100,0,0),
(120095,81149,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120096,81149,'Inflicts 178 - 331 magic damage on target',100,2,2),
(120097,81149,'Cannot be modified except by direct means',100,2,3),
(120098,10081149,'When Equipped:',100,0,0),
(120099,10081149,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120100,10081149,'Inflicts 249 - 463 magic damage on target',100,2,2),
(120101,10081149,'Cannot be modified except by direct means',100,2,3),
(120102,45658,'Applies Elixir of Vivacity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(120103,45658,'Heals caster for 119',100,1,1),
(120104,45658,'Heals caster for 60 every 5 seconds',100,1,2),
(120105,10045658,'Applies Elixir of Vivacity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(120106,10045658,'Heals caster for 78',100,1,1),
(120107,10045658,'Heals caster for 39 every 5 seconds',100,1,2),
(120108,107860,'Decreases Mitigation of target vs elemental damage by 1184',100,1,0),
(120109,107860,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(120110,107860,'Slows target by 59.8%',100,2,2),
(120111,107860,'5% chance to dispel when target receives hostile action',100,2,3),
(120112,107860,'5% chance to dispel when target takes damage',100,2,4),
(120113,10107860,'Decreases Mitigation of target vs elemental damage by 1184',100,1,0),
(120114,10107860,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(120115,10107860,'Slows target by 59.8%',100,2,2),
(120116,10107860,'5% chance to dispel when target receives hostile action',100,2,3),
(120117,10107860,'5% chance to dispel when target takes damage',100,2,4),
(120118,83747,'When Equipped:',100,0,0),
(120119,83747,'On any combat or spell hit this spell may cast Reign of Terror on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120120,83747,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(120121,83747,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,3),
(120122,83747,'Inflicts 6660 heat damage on target instantly and every 4 seconds',100,2,4),
(120123,83747,'Inflicts an additional 3996 heat damage on target every tick',100,2,5),
(120124,83747,'Increases Potency of group members (AE) by 10.0%',100,2,6),
(120125,83747,'Must not be engaged in pvp combat',100,2,7),
(120126,83747,'Cannot be modified except by direct means',100,2,8),
(120127,83747,'Must not be engaged in pvp combat',100,1,9),
(120128,83747,'Cannot be modified except by direct means',100,1,10),
(120129,10083747,'When Equipped:',100,0,0),
(120130,10083747,'On any combat or spell hit this spell may cast Reign of Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120131,10083747,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(120132,10083747,'Inflicts 932 poison damage on target',100,2,3),
(120133,10083747,'Inflicts 932 heat damage on target',100,2,4),
(120134,10083747,'Increases Potency of caster by 4.0%',100,2,5),
(120135,10083747,'Must not be engaged in pvp combat',100,2,6),
(120136,10083747,'Cannot be modified except by direct means',100,2,7),
(120137,10083747,'Must not be engaged in pvp combat',100,1,8),
(120138,10083747,'Cannot be modified except by direct means',100,1,9),
(120139,124538,'Dispels 74 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(120140,10124538,'Dispels 74 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(120141,106799,'Decreases STR and AGI of target encounter by 48.3',100,1,0),
(120142,10106799,'Decreases STR and AGI of target encounter by 48.3',100,1,0),
(120143,159666,'When Equipped:',100,0,0),
(120144,159666,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(120145,159666,'Increases STA of caster by 8.8',100,2,2),
(120146,159666,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(120147,159666,'Cannot be modified except by direct means',100,2,4),
(120148,10159666,'When Equipped:',100,0,0),
(120149,10159666,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(120150,10159666,'Increases STA of caster by 8.8',100,2,2),
(120151,10159666,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(120152,10159666,'Cannot be modified except by direct means',100,2,4),
(120153,122722,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(120154,122722,'Increases Deflection of caster by 6.9',100,1,1),
(120155,10122722,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(120156,10122722,'Increases Deflection of caster by 6.9',100,1,1),
(120157,115277,'Heals target for 772',100,1,0),
(120158,115277,'Heals target for 129 every second',100,1,1),
(120159,115277,'Dispels 99 levels of any hostile effects on target',100,1,2),
(120160,10115277,'Heals target for 903',100,1,0),
(120161,10115277,'Heals target for 151 every second',100,1,1),
(120162,10115277,'Dispels 99 levels of any hostile effects on target',100,1,2),
(120163,101476,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(120164,101476,'Increases Mitigation of group members (AE) vs arcane damage by 470',100,1,1),
(120165,10101476,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(120166,10101476,'Increases Mitigation of group members (AE) vs arcane damage by 470',100,1,1),
(120167,40632,'When Equipped:',100,0,0),
(120168,40632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120169,40632,'Inflicts 48 - 73 magic damage on target',100,2,2),
(120170,40632,'Cannot be modified except by direct means',100,2,3),
(120171,10040632,'When Equipped:',100,0,0),
(120172,10040632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120173,10040632,'Inflicts 68 - 102 magic damage on target',100,2,2),
(120174,10040632,'Cannot be modified except by direct means',100,2,3),
(120175,36151,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(120176,112551,'Interrupts target',50,1,0),
(120177,112551,'Inflicts 306 - 374 divine damage on target',100,1,1),
(120178,10112551,'Interrupts target',50,1,0),
(120179,10112551,'Inflicts 551 - 673 divine damage on target',100,1,1),
(120180,136247,'When Equipped:',100,0,0),
(120181,136247,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(120182,10136247,'When Equipped:',100,0,0),
(120183,10136247,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(120184,87383,'When Equipped:',100,0,0),
(120185,87383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120186,87383,'Inflicts 167 - 250 magic damage on target',100,2,2),
(120187,87383,'Cannot be modified except by direct means',100,2,3),
(120188,10087383,'When Equipped:',100,0,0),
(120189,10087383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120190,10087383,'Inflicts 233 - 350 magic damage on target',100,2,2),
(120191,10087383,'Cannot be modified except by direct means',100,2,3),
(120192,118334,'Inflicts 55 - 92 melee damage on target',100,1,0),
(120193,118334,'Inflicts 55 - 92 heat damage on target every 4 seconds',100,1,1),
(120194,10118334,'Inflicts 72 - 120 melee damage on target',100,1,0),
(120195,10118334,'Inflicts 78 - 129 heat damage on target every 4 seconds',100,1,1),
(120196,74553,'When Equipped:',100,0,0),
(120197,74553,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120198,74553,'Inflicts 179 - 268 magic damage on target',100,2,2),
(120199,74553,'Cannot be modified except by direct means',100,2,3),
(120200,10074553,'When Equipped:',100,0,0),
(120201,10074553,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120202,10074553,'Inflicts 250 - 376 magic damage on target',100,2,2),
(120203,10074553,'Cannot be modified except by direct means',100,2,3),
(120204,135240,'When Equipped:',100,0,0),
(120205,135240,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120206,135240,'Increases Mitigation of target vs arcane damage by 1116',100,2,2),
(120207,135240,'This effect can be stacked by multiple casters.',100,2,3),
(120208,135240,'Increases Mitigation of target vs physical, elemental and noxious damage by 1116',100,2,4),
(120209,135240,'Cannot be modified except by direct means',100,2,5),
(120210,135240,'When Equipped:',100,0,6),
(120211,135240,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,7),
(120212,135240,'Increases Max Health of group members by 600.0',100,2,8),
(120213,135240,'Cannot be modified except by direct means',100,2,9),
(120214,10135240,'When Equipped:',100,0,0),
(120215,10135240,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120216,10135240,'Increases Mitigation of target vs arcane damage by 1116',100,2,2),
(120217,10135240,'This effect can be stacked by multiple casters.',100,2,3),
(120218,10135240,'Increases Mitigation of target vs physical, elemental and noxious damage by 1116',100,2,4),
(120219,10135240,'Cannot be modified except by direct means',100,2,5),
(120220,10135240,'When Equipped:',100,0,6),
(120221,10135240,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,7),
(120222,10135240,'Increases Max Health of group members by 600.0',100,2,8),
(120223,10135240,'Cannot be modified except by direct means',100,2,9),
(120224,112273,'Increases Defense of group members (AE) by 5.4',100,1,0),
(120225,10112273,'Increases Defense of group members (AE) by 5.4',100,1,0),
(120226,134437,'When Equipped:',100,0,0),
(120227,134437,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120228,134437,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(120229,134437,'Cannot be modified except by direct means',100,2,3),
(120230,10134437,'When Equipped:',100,0,0),
(120231,10134437,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120232,10134437,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(120233,10134437,'Cannot be modified except by direct means',100,2,3),
(120234,87546,'Applies Mental Blast when Activated.',100,0,0),
(120235,87546,'Inflicts 98 - 163 mental damage on target',100,1,1),
(120236,87546,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(120237,10087546,'Applies Mental Blast when Activated.',100,0,0),
(120238,10087546,'Inflicts 137 - 228 mental damage on target',100,1,1),
(120239,10087546,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(120240,100975,'Increases Threat to target by 244 - 299 ',100,1,0),
(120241,100975,'Interrupts target',100,1,1),
(120242,10100975,'Interrupts target',100,1,0),
(120243,36748,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(120244,101362,'Reduces physical damage done to caster by 5%',100,1,0),
(120245,101362,'Adds 1.8% to base avoidance.',100,1,1),
(120246,101362,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(120247,101362,'Increases Aggression of caster by 11.9',100,1,3),
(120248,101362,'Increases Defense and Parry of caster by 19.0',100,1,4),
(120249,101362,'Increases Mitigation of caster vs noxious and arcane damage by 116',100,1,5),
(120250,101362,'Increases Mitigation of caster vs elemental damage by 1162',100,1,6),
(120251,101362,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(120252,10101362,'Reduces physical damage done to caster by 5%',100,1,0),
(120253,10101362,'Adds 1.8% to base avoidance.',100,1,1),
(120254,10101362,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(120255,10101362,'Increases Aggression of caster by 11.9',100,1,3),
(120256,10101362,'Increases Defense and Parry of caster by 19.0',100,1,4),
(120257,10101362,'Increases Mitigation of caster vs noxious and arcane damage by 116',100,1,5),
(120258,10101362,'Increases Mitigation of caster vs elemental damage by 1162',100,1,6),
(120259,10101362,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(120260,170621,'When Equipped:',100,0,0),
(120261,170621,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(120262,170621,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(120263,170621,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,3),
(120264,170621,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(120265,170621,'Must not be engaged in pvp combat',100,2,5),
(120266,170621,'Cannot be modified except by direct means',100,2,6),
(120267,170621,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(120268,170621,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,8),
(120269,170621,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(120270,170621,'Must not be engaged in pvp combat',100,2,10),
(120271,170621,'Cannot be modified except by direct means',100,2,11),
(120272,170621,'Cannot be modified except by direct means',100,1,12),
(120273,10170621,'When Equipped:',100,0,0),
(120274,10170621,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(120275,10170621,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(120276,10170621,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,3),
(120277,10170621,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(120278,10170621,'Must not be engaged in pvp combat',100,2,5),
(120279,10170621,'Cannot be modified except by direct means',100,2,6),
(120280,10170621,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(120281,10170621,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,8),
(120282,10170621,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(120283,10170621,'Must not be engaged in pvp combat',100,2,10),
(120284,10170621,'Cannot be modified except by direct means',100,2,11),
(120285,10170621,'Cannot be modified except by direct means',100,1,12),
(120286,108650,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(120287,108650,'Increases AGI of target by 65.0',100,2,1),
(120288,108650,'Heals target for 656',100,2,2),
(120289,108650,'Heals target for 164 every 2 seconds',100,2,3),
(120290,108650,'Grants a total of 1 trigger of the spell.',100,2,4),
(120291,10108650,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(120292,10108650,'Increases AGI of target by 65.0',100,2,1),
(120293,10108650,'Heals target for 427',100,2,2),
(120294,10108650,'Heals target for 106 every 2 seconds',100,2,3),
(120295,10108650,'Grants a total of 1 trigger of the spell.',100,2,4),
(120296,26723,'When Equipped:',100,0,0),
(120297,26723,'On a critical combat hit this spell may cast Greater Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120298,26723,'Increases Crit Bonus of caster by 12.0%',100,2,2),
(120299,26723,'Must not be engaged in pvp combat',100,2,3),
(120300,26723,'Cannot be modified except by direct means',100,2,4),
(120301,26723,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(120302,26723,'On a critical spell hit this spell may cast Greater Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(120303,26723,'Increases Crit Bonus of caster by 12.0%',100,2,7),
(120304,26723,'Must not be engaged in pvp combat',100,2,8),
(120305,26723,'Cannot be modified except by direct means',100,2,9),
(120306,26723,'On a critical healing spell cast this spell may cast Greater Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(120307,26723,'Increases Crit Bonus of caster by 12.0%',100,2,11),
(120308,26723,'Must not be engaged in pvp combat',100,2,12),
(120309,26723,'Cannot be modified except by direct means',100,2,13),
(120310,26723,'Must not be engaged in pvp combat',100,1,14),
(120311,10026723,'When Equipped:',100,0,0),
(120312,10026723,'On a critical combat hit this spell may cast Greater Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120313,10026723,'Increases Crit Bonus of caster by 12.0%',100,2,2),
(120314,10026723,'Must not be engaged in pvp combat',100,2,3),
(120315,10026723,'Cannot be modified except by direct means',100,2,4),
(120316,10026723,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(120317,10026723,'On a critical spell hit this spell may cast Greater Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(120318,10026723,'Increases Crit Bonus of caster by 12.0%',100,2,7),
(120319,10026723,'Must not be engaged in pvp combat',100,2,8),
(120320,10026723,'Cannot be modified except by direct means',100,2,9),
(120321,10026723,'On a critical healing spell cast this spell may cast Greater Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(120322,10026723,'Increases Crit Bonus of caster by 12.0%',100,2,11),
(120323,10026723,'Must not be engaged in pvp combat',100,2,12),
(120324,10026723,'Cannot be modified except by direct means',100,2,13),
(120325,10026723,'Must not be engaged in pvp combat',100,1,14),
(120326,24503,'Adds Lair of Scale: Xegonite Table to your Dungeon Maker toolbox',100,0,0),
(120327,10024503,'Adds Lair of Scale: Xegonite Table to your Dungeon Maker toolbox',100,0,0),
(120328,24298,'Adds Dire Bear (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(120329,10024298,'Adds Dire Bear (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(120330,109832,'Inflicts 448 - 748 melee damage on target',100,1,0),
(120331,109832,'Decreases Parry of target by 41.0',100,1,1),
(120332,109832,'Must be in front of or flanking',100,1,2),
(120333,10109832,'Inflicts 583 - 972 melee damage on target',100,1,0),
(120334,10109832,'Decreases Parry of target by 41.0',100,1,1),
(120335,10109832,'Must be in front of or flanking',100,1,2),
(120336,107894,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(120337,107894,'Slows target by 39.1%',100,2,1),
(120338,107894,'5% chance to dispel when target receives hostile action',100,2,2),
(120339,107894,'5% chance to dispel when target takes damage',100,2,3),
(120340,107894,'Slows target encounter by 47.0%',100,1,4),
(120341,107894,'5% chance to dispel when target takes damage',100,1,5),
(120342,10107894,'Slows target encounter by 47.0%',100,1,0),
(120343,10107894,'5% chance to dispel when target takes damage',100,1,1),
(120344,120897,'Stifles target',100,1,0),
(120345,120897,'Inflicts 521 - 636 mental damage on target',100,1,1),
(120346,120897,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,2),
(120347,120897,'Resistibility increases against targets higher than level 87.',100,1,3),
(120348,10120897,'Stifles target',100,1,0),
(120349,10120897,'Inflicts 729 - 891 mental damage on target',100,1,1),
(120350,10120897,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(120351,10120897,'Resistibility increases against targets higher than level 87.',100,1,3),
(120352,105055,'Inflicts 11 - 14 magic damage on target',100,1,0),
(120353,10105055,'Inflicts 15 - 20 magic damage on target',100,1,0),
(120354,101861,'Stuns target',100,1,0),
(120355,101861,'Does not affect Epic targets',100,1,1),
(120356,101861,'Resistibility increases against targets higher than level 82.',100,1,2),
(120357,10101861,'Stuns target',100,1,0),
(120358,10101861,'Does not affect Epic targets',100,1,1),
(120359,10101861,'Resistibility increases against targets higher than level 82.',100,1,2),
(120360,111472,'Increases AGI of caster by 15.5',100,1,0),
(120361,111472,'Increases Attack Speed of caster by 22.0',100,1,1),
(120362,111472,'Increases in-combat movement speed of caster by 8.0%',100,1,2),
(120363,111472,'Adds 25.0% to base avoidance.',100,1,3),
(120364,111472,'Increases Mitigation of caster vs physical damage by 123',100,1,4),
(120365,111472,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 275',100,1,5),
(120366,10111472,'Increases AGI of caster by 15.5',100,1,0),
(120367,10111472,'Increases Attack Speed of caster by 22.0',100,1,1),
(120368,10111472,'Increases speed of caster by 8.0%',100,1,2),
(120369,10111472,'Adds 25.0% to base avoidance.',100,1,3),
(120370,10111472,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 275',100,1,4),
(120371,103723,'Increases Max Health of raid and group members (AE) by 409.5',100,1,0),
(120372,103723,'Increases Defense of raid and group members (AE) by 14.0',100,1,1),
(120373,10103723,'Increases Max Health of raid and group members (AE) by 409.5',100,1,0),
(120374,10103723,'Increases Defense of raid and group members (AE) by 14.0',100,1,1),
(120375,47698,'Applies Reet Marching Orders when Activated.',100,0,0),
(120376,10047698,'Applies Reet Marching Orders when Activated.',100,0,0),
(120377,41645,'When Equipped:',100,0,0),
(120378,41645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120379,41645,'Inflicts 201 - 374 magic damage on target',100,2,2),
(120380,41645,'Cannot be modified except by direct means',100,2,3),
(120381,10041645,'When Equipped:',100,0,0),
(120382,10041645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120383,10041645,'Inflicts 282 - 523 magic damage on target',100,2,2),
(120384,10041645,'Cannot be modified except by direct means',100,2,3),
(120385,71399,'When Equipped:',100,0,0),
(120386,71399,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120387,71399,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(120388,71399,'Cannot be modified except by direct means',100,2,3),
(120389,10071399,'When Equipped:',100,0,0),
(120390,10071399,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120391,10071399,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(120392,10071399,'Cannot be modified except by direct means',100,2,3),
(120393,110513,'Increases Threat to target by 190  instantly and by 79  every 3 seconds thereafter',100,1,0),
(120394,110513,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(120395,110513,'Stuns target',100,2,2),
(120396,110513,'Throws target back',100,2,3),
(120397,110513,'Blurs vision of target',100,2,4),
(120398,110513,'Does not affect Epic targets',100,2,5),
(120399,110513,'Inflicts 47 - 78 disease damage on target',100,1,6),
(120400,10110513,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(120401,10110513,'Stuns target',100,2,1),
(120402,10110513,'Throws target back',100,2,2),
(120403,10110513,'Blurs vision of target',100,2,3),
(120404,10110513,'Does not affect Epic targets',100,2,4),
(120405,10110513,'Forces target to change their selected target to caster.',100,1,5),
(120406,10110513,'Inflicts 51 - 85 disease damage on target',100,1,6),
(120407,10110513,'Prevents target from changing targets',100,1,7),
(120408,102139,'Inflicts 84 - 140 melee damage on target',100,1,0),
(120409,102139,'Inflicts 84 - 140 melee damage on target',100,1,1),
(120410,10102139,'Inflicts 109 - 182 melee damage on target',100,1,0),
(120411,10102139,'Inflicts 109 - 182 melee damage on target',100,1,1),
(120412,182254,'When Equipped:',100,0,0),
(120413,182254,'On a healing spell cast this spell may cast Rain of Health on target of spell.  Triggers about 3.0 times per minute. ',100,1,1),
(120414,182254,'Heals group members (AE) for 971 - 1187',100,2,2),
(120415,182254,'Cannot be modified except by direct means',100,2,3),
(120416,182254,'Cannot be modified except by direct means',100,1,4),
(120417,10182254,'When Equipped:',100,0,0),
(120418,10182254,'On a healing spell cast this spell may cast Rain of Health on target of spell.  Triggers about 3.0 times per minute. ',100,1,1),
(120419,10182254,'Heals group members (AE) for 631 - 771',100,2,2),
(120420,10182254,'Cannot be modified except by direct means',100,2,3),
(120421,10182254,'Cannot be modified except by direct means',100,1,4),
(120422,141856,'When Equipped:',100,0,0),
(120423,141856,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(120424,141856,'Increases STA of caster by 14.8',100,2,2),
(120425,141856,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(120426,141856,'Cannot be modified except by direct means',100,2,4),
(120427,10141856,'When Equipped:',100,0,0),
(120428,10141856,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(120429,10141856,'Increases STA of caster by 14.8',100,2,2),
(120430,10141856,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(120431,10141856,'Cannot be modified except by direct means',100,2,4),
(120432,130089,'When Equipped:',100,0,0),
(120433,130089,'Additional equipment with Void Bane improves this effect.',100,1,1),
(120434,130089,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(120435,130089,'Inflicts 802 mental damage on target',100,2,3),
(120436,130089,'If any of the following are true:',100,3,4),
(120437,130089,'Must be classified as a void beast',100,4,5),
(120438,130089,'Must be classified as a shadowed folk',100,4,6),
(120439,130089,'Inflicts 401 mental damage on target',100,2,7),
(120440,130089,'Must not be classified as a void beast',100,3,8),
(120441,130089,'Must not be classified as a shadowed folk',100,3,9),
(120442,130089,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(120443,130089,'If any of the following are true:',100,3,11),
(120444,130089,'Must be classified as a void beast',100,4,12),
(120445,130089,'Must be classified as a shadowed folk',100,4,13),
(120446,130089,'Cannot be modified except by direct means',100,2,14),
(120447,10130089,'When Equipped:',100,0,0),
(120448,10130089,'Additional equipment with Void Bane improves this effect.',100,1,1),
(120449,10130089,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(120450,10130089,'Inflicts 1123 mental damage on target',100,2,3),
(120451,10130089,'If any of the following are true:',100,3,4),
(120452,10130089,'Must be classified as a void beast',100,4,5),
(120453,10130089,'Must be classified as a shadowed folk',100,4,6),
(120454,10130089,'Inflicts 562 mental damage on target',100,2,7),
(120455,10130089,'Must not be classified as a void beast',100,3,8),
(120456,10130089,'Must not be classified as a shadowed folk',100,3,9),
(120457,10130089,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(120458,10130089,'If any of the following are true:',100,3,11),
(120459,10130089,'Must be classified as a void beast',100,4,12),
(120460,10130089,'Must be classified as a shadowed folk',100,4,13),
(120461,10130089,'Cannot be modified except by direct means',100,2,14),
(120462,41502,'When Equipped:',100,0,0),
(120463,41502,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120464,41502,'Inflicts 101 - 188 magic damage on target',100,2,2),
(120465,41502,'Cannot be modified except by direct means',100,2,3),
(120466,10041502,'When Equipped:',100,0,0),
(120467,10041502,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120468,10041502,'Inflicts 142 - 263 magic damage on target',100,2,2),
(120469,10041502,'Cannot be modified except by direct means',100,2,3),
(120470,116802,'Increases STR, AGI, WIS and INT of target by 77.9',100,1,0),
(120471,116802,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120472,116802,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(120473,116802,'Increases Attack Speed of target by 48.8',100,2,3),
(120474,116802,'Increases Damage Per Second of target by 48.8',100,2,4),
(120475,116802,'Adds 1.9% to base avoidance.',100,1,5),
(120476,116802,'Increases Mitigation of target vs elemental, noxious and arcane damage by 229',100,1,6),
(120477,10116802,'Increases STR, AGI, WIS and INT of target by 77.9',100,1,0),
(120478,10116802,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(120479,10116802,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(120480,10116802,'Increases Attack Speed of target by 48.8',100,2,3),
(120481,10116802,'Increases Damage Per Second of target by 48.8',100,2,4),
(120482,10116802,'Adds 1.9% to base avoidance.',100,1,5),
(120483,10116802,'Increases Mitigation of target vs elemental, noxious and arcane damage by 229',100,1,6),
(120484,48119,'Applies Song of Fire and Ash when Activated.',100,0,0),
(120485,10048119,'Applies Song of Fire and Ash when Activated.',100,0,0),
(120486,113079,'Applies Scream on termination.',100,1,0),
(120487,113079,'Inflicts 546 - 911 disease damage on target',100,2,1),
(120488,113079,'Dazes target',100,1,2),
(120489,113079,'If Target is not Epic',100,2,3),
(120490,113079,'Resistibility increases against targets higher than level 103.',100,1,4),
(120491,10113079,'Dazes target',100,1,0),
(120492,10113079,'If Target is not Epic',100,2,1),
(120493,10113079,'Applies Scream on termination.',100,1,2),
(120494,10113079,'Inflicts 765 - 1275 disease damage on target',100,2,3),
(120495,10113079,'Resistibility increases against targets higher than level 103.',100,1,4),
(120496,117245,'Inflicts 36 slashing damage on target every 4 seconds',100,1,0),
(120497,117245,'Inflicts 178 - 296 melee damage on target',100,1,1),
(120498,10117245,'Inflicts 50 slashing damage on target every 4 seconds',100,1,0),
(120499,10117245,'Inflicts 231 - 385 melee damage on target',100,1,1),
(120500,104561,'Inflicts 119 - 199 disease damage on target',100,1,0),
(120501,104561,'Decreases WIS of target by 36.8',100,1,1),
(120502,10104561,'Inflicts 155 - 259 disease damage on target',100,1,0),
(120503,10104561,'Decreases WIS of target by 36.8',100,1,1),
(120504,37551,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(120505,86110,'When Equipped:',100,0,0),
(120506,86110,'On a combat hit this spell may cast Vitalize on caster.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120507,86110,'Increases power of caster by 326',100,2,2),
(120508,86110,'Wards caster against 652 points of all damage',100,2,3),
(120509,86110,'Increases STR of caster by 76.5',100,2,4),
(120510,86110,'Cannot be modified except by direct means',100,2,5),
(120511,10086110,'When Equipped:',100,0,0),
(120512,10086110,'On a combat hit this spell may cast Vitalize on caster.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120513,10086110,'Increases power of caster by 326',100,2,2),
(120514,10086110,'Wards caster against 652 points of all damage',100,2,3),
(120515,10086110,'Increases STR of caster by 76.5',100,2,4),
(120516,10086110,'Cannot be modified except by direct means',100,2,5),
(120517,166565,'When Equipped:',100,0,0),
(120518,166565,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(120519,166565,'Wards target against 1000 points of all damage',100,2,2),
(120520,166565,'Cannot be modified except by direct means',100,2,3),
(120521,10166565,'When Equipped:',100,0,0),
(120522,10166565,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(120523,10166565,'Wards target against 1000 points of all damage',100,2,2),
(120524,10166565,'Cannot be modified except by direct means',100,2,3),
(120525,101523,'Increases WIS of target by 68.1',100,1,0),
(120526,101523,'Increases Max Health of target by 602.7',100,1,1),
(120527,101523,'Increases Mitigation of target vs elemental, noxious and arcane damage by 186',100,1,2),
(120528,10101523,'Increases WIS of target by 68.1',100,1,0),
(120529,10101523,'Increases Max Health of target by 602.7',100,1,1),
(120530,10101523,'Increases Mitigation of target vs elemental, noxious and arcane damage by 186',100,1,2),
(120531,74561,'When Equipped:',100,0,0),
(120532,74561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120533,74561,'Inflicts 179 - 268 magic damage on target',100,2,2),
(120534,74561,'Cannot be modified except by direct means',100,2,3),
(120535,10074561,'When Equipped:',100,0,0),
(120536,10074561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120537,10074561,'Inflicts 250 - 376 magic damage on target',100,2,2),
(120538,10074561,'Cannot be modified except by direct means',100,2,3),
(120539,102222,'Increases Max Health of group members (AE) by 460.1',100,1,0),
(120540,10102222,'Increases Max Health of group members (AE) by 460.1',100,1,0),
(120541,47790,'Applies Aura of the Halfling when Activated.',100,0,0),
(120542,47790,'Casts aura of the Halfling on the user',100,1,1),
(120543,10047790,'Applies Aura of the Halfling when Activated.',100,0,0),
(120544,10047790,'Casts aura of the Halfling on the user',100,1,1),
(120545,132264,'Applies Antivenom Hypo Cure when Activated.',100,0,0),
(120546,132264,'Dispels 82 levels of noxious hostile effects on caster',100,1,1),
(120547,132264,'The casting time of Antivenom Hypo Cure is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(120548,10132264,'Applies Antivenom Hypo Cure when Activated.',100,0,0),
(120549,10132264,'Dispels 82 levels of noxious hostile effects on caster',100,1,1),
(120550,10132264,'The casting time of Antivenom Hypo Cure is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(120551,159983,'Applies Sanguine Imbued when Equipped.',100,0,0),
(120552,159983,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(120553,159983,'Inflicts 215 heat damage on target',100,2,2),
(120554,159983,'Cannot be modified except by direct means',100,2,3),
(120555,10159983,'Applies Sanguine Imbued when Equipped.',100,0,0),
(120556,10159983,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(120557,10159983,'Inflicts 301 heat damage on target',100,2,2),
(120558,10159983,'Cannot be modified except by direct means',100,2,3),
(120559,115356,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(120560,115356,'Inflicts 4 piercing damage on target',100,2,1),
(120561,10115356,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(120562,10115356,'Inflicts 6 piercing damage on target',100,2,1),
(120563,143315,'When Equipped:',100,0,0),
(120564,143315,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(120565,143315,'Heals group members for 245',100,2,2),
(120566,143315,'Cannot be modified except by direct means',100,2,3),
(120567,143315,'Cannot be modified except by direct means',100,1,4),
(120568,10143315,'When Equipped:',100,0,0),
(120569,10143315,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(120570,10143315,'Heals group members for 160',100,2,2),
(120571,10143315,'Cannot be modified except by direct means',100,2,3),
(120572,10143315,'Cannot be modified except by direct means',100,1,4),
(120573,35750,'Increases WIS of target by 1.2',100,0,0),
(120574,35750,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(120575,79750,'When Equipped:',100,0,0),
(120576,79750,'On a combat hit this spell may cast Detonation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120577,79750,'Inflicts 116 - 194 heat damage on target',100,2,2),
(120578,79750,'Cannot be modified except by direct means',100,2,3),
(120579,10079750,'When Equipped:',100,0,0),
(120580,10079750,'On a combat hit this spell may cast Detonation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120581,10079750,'Inflicts 163 - 271 heat damage on target',100,2,2),
(120582,10079750,'Cannot be modified except by direct means',100,2,3),
(120583,110114,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(120584,110114,'Inflicts 41 disease damage on target',100,2,1),
(120585,110114,'Heals caster for 26',100,2,2),
(120586,110114,'Decreases INT of target by 165.0',100,1,3),
(120587,110114,'Decreases Attack Speed of target by 25.0',100,1,4),
(120588,110114,'Increases Max Health of target by 9.5%',100,1,5),
(120589,110114,'Increases Hate Gain of target by 46.0%',100,1,6),
(120590,110114,'Increases Aggression of target by 11.9',100,1,7),
(120591,110114,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(120592,110114,'Increases Threat to target encounter by 126 - 154 ',100,2,9),
(120593,110114,'Increases Mitigation of target vs elemental, noxious and arcane damage by 760',100,1,10),
(120594,10110114,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(120595,10110114,'Inflicts 58 disease damage on target',100,2,1),
(120596,10110114,'Heals caster for 17',100,2,2),
(120597,10110114,'Decreases INT of target by 165.0',100,1,3),
(120598,10110114,'Decreases Attack Speed of target by 25.0',100,1,4),
(120599,10110114,'Increases Max Health of target by 9.5%',100,1,5),
(120600,10110114,'Increases Aggression of target by 11.9',100,1,6),
(120601,10110114,'Increases Mitigation of target vs elemental, noxious and arcane damage by 760',100,1,7),
(120602,103002,'Increases STR and AGI of group members (AE) by 119.8',100,1,0),
(120603,10103002,'Increases STR and AGI of group members (AE) by 119.8',100,1,0),
(120604,110544,'Summons a pet attack hawk',100,1,0),
(120605,10110544,'Summons a pet attack hawk',100,1,0),
(120606,102078,'Inflicts 20 - 33 crushing damage on target',100,1,0),
(120607,102078,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(120608,102078,'Stuns target',100,2,2),
(120609,102078,'Throws target back',100,2,3),
(120610,102078,'Blurs vision of target',100,2,4),
(120611,102078,'Does not affect Epic targets',100,2,5),
(120612,10102078,'Inflicts 26 - 43 crushing damage on target',100,1,0),
(120613,10102078,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(120614,10102078,'Blurs vision of target',100,2,2),
(120615,10102078,'Stuns target',100,2,3),
(120616,10102078,'Throws target back',100,2,4),
(120617,10102078,'Does not affect Epic targets',100,2,5),
(120618,116054,'Shapechanges caster into a lion',100,1,0),
(120619,116054,'Increases STA of caster by 72.9',100,1,1),
(120620,116054,'Adds 2.3% to base avoidance.',100,1,2),
(120621,116054,'Grants See Stealth to caster',100,1,3),
(120622,116054,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1178',100,1,4),
(120623,10116054,'Shapechanges caster into a lion',100,1,0),
(120624,10116054,'Increases STA of caster by 72.9',100,1,1),
(120625,10116054,'Adds 2.3% to base avoidance.',100,1,2),
(120626,10116054,'Grants See Stealth to caster',100,1,3),
(120627,10116054,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1178',100,1,4),
(120628,117614,'Inflicts 406 - 677 ranged damage on target',100,1,0),
(120629,117614,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(120630,117614,'Slows target by 50.1%',100,2,2),
(120631,117614,'5% chance to dispel when target receives hostile action',100,2,3),
(120632,117614,'5% chance to dispel when target takes damage',100,2,4),
(120633,117614,'Must be flanking or behind',100,1,5),
(120634,117614,'Requires bow',100,1,6),
(120635,10117614,'Inflicts 345 - 575 ranged damage on target',100,1,0),
(120636,10117614,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(120637,10117614,'Slows target by 50.1%',100,2,2),
(120638,10117614,'5% chance to dispel when target receives hostile action',100,2,3),
(120639,10117614,'5% chance to dispel when target takes damage',100,2,4),
(120640,10117614,'Must be flanking or behind',100,1,5),
(120641,10117614,'Requires bow',100,1,6),
(120642,124017,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(120643,124017,'Heals target for 222 - 271',100,2,1),
(120644,124017,'Grants a total of 5 triggers of the spell.',100,2,2),
(120645,10124017,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(120646,10124017,'Heals target for 144 - 176',100,2,1),
(120647,10124017,'Grants a total of 5 triggers of the spell.',100,2,2),
(120648,80310,'When Equipped:',100,0,0),
(120649,80310,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(120650,80310,'Inflicts 71 - 132 magic damage on target',100,2,2),
(120651,80310,'Decreases Threat to target by 236 ',100,2,3),
(120652,80310,'Must be flanking or behind',100,3,4),
(120653,80310,'Increases Threat to target by 236 ',100,2,5),
(120654,80310,'Must be in front of',100,3,6),
(120655,80310,'Cannot be modified except by direct means',100,2,7),
(120656,10080310,'When Equipped:',100,0,0),
(120657,10080310,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(120658,10080310,'Inflicts 100 - 185 magic damage on target',100,2,2),
(120659,10080310,'Cannot be modified except by direct means',100,2,3),
(120660,26513,'When Equipped:',100,0,0),
(120661,26513,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(120662,26513,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(120663,10026513,'When Equipped:',100,0,0),
(120664,10026513,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(120665,10026513,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(120666,123833,'Increases WIS of target by 21.8',100,1,0),
(120667,123833,'Increases Max Power of target by 84.2',100,1,1),
(120668,10123833,'Increases WIS of target by 21.8',100,1,0),
(120669,10123833,'Increases Max Power of target by 84.2',100,1,1),
(120670,123133,'Inflicts 304 disease damage on targets in Area of Effect',100,1,0),
(120671,123133,'Inflicts 207 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(120672,10123133,'Inflicts 426 disease damage on targets in Area of Effect',100,1,0),
(120673,10123133,'Inflicts 290 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(120674,101790,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(120675,101790,'Decreases Threat to target by 238 ',100,2,1),
(120676,10101790,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(120677,10101790,'Inflicts 21 - 24 crushing damage on target',100,2,1),
(120678,104531,'Increases Threat to target by 347 - 424  instantly and by 69 - 84  every 2 seconds thereafter',100,1,0),
(120679,10104531,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(120680,122789,'Heals target for 654',100,1,0),
(120681,10122789,'Heals target for 510',100,1,0),
(120682,115686,'Inflicts 48 - 144 melee damage on target',100,1,0),
(120683,115686,'Inflicts 48 - 144 melee damage on target',100,1,1),
(120684,115686,'Inflicts 48 - 144 melee damage on target',100,1,2),
(120685,115686,'Inflicts 48 - 144 melee damage on target',100,1,3),
(120686,115686,'Inflicts 48 - 144 melee damage on target',100,1,4),
(120687,115686,'Inflicts 48 - 144 melee damage on target',100,1,5),
(120688,115686,'Inflicts 48 - 144 melee damage on target',100,1,6),
(120689,115686,'Inflicts 48 - 144 melee damage on target',100,1,7),
(120690,10115686,'Inflicts 62 - 188 melee damage on target',100,1,0),
(120691,10115686,'Inflicts 62 - 188 melee damage on target',100,1,1),
(120692,10115686,'Inflicts 62 - 188 melee damage on target',100,1,2),
(120693,10115686,'Inflicts 62 - 188 melee damage on target',100,1,3),
(120694,10115686,'Inflicts 62 - 188 melee damage on target',100,1,4),
(120695,10115686,'Inflicts 62 - 188 melee damage on target',100,1,5),
(120696,10115686,'Inflicts 62 - 188 melee damage on target',100,1,6),
(120697,10115686,'Inflicts 62 - 188 melee damage on target',100,1,7),
(120698,48359,'Applies Slippery Feet when Activated.  Lasts for 1 minute.',100,0,0),
(120699,48359,'Makes caster immune to Root effects',100,1,1),
(120700,10048359,'Applies Slippery Feet when Activated.  Lasts for 1 minute.',100,0,0),
(120701,10048359,'Makes caster immune to Root effects',100,1,1),
(120702,47504,'Applies Petamorph: Dragonfly Faerie when Activated.  Lasts for 2 hours.',100,0,0),
(120703,47504,'Turns the caster''s combat pet into a dragonfly faerie. Does not work on cosmetic pets.',100,1,1),
(120704,10047504,'Applies Petamorph: Dragonfly Faerie when Activated.  Lasts for 2 hours.',100,0,0),
(120705,10047504,'Turns the caster''s combat pet into a dragonfly faerie. Does not work on cosmetic pets.',100,1,1),
(120706,123442,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(120707,123442,'Stuns target',100,2,1),
(120708,123442,'Throws target back',100,2,2),
(120709,123442,'Blurs vision of target',100,2,3),
(120710,123442,'Does not affect Epic targets',100,2,4),
(120711,123442,'Inflicts 531 - 1594 melee damage on target',100,1,5),
(120712,10123442,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(120713,10123442,'Blurs vision of target',100,2,1),
(120714,10123442,'Stuns target',100,2,2),
(120715,10123442,'Throws target back',100,2,3),
(120716,10123442,'Does not affect Epic targets',100,2,4),
(120717,10123442,'Inflicts 691 - 2073 melee damage on target',100,1,5),
(120718,113542,'Inflicts 312 - 520 disease damage on target',100,1,0),
(120719,10113542,'Inflicts 437 - 728 disease damage on target',100,1,0),
(120720,137478,'When Equipped:',100,0,0),
(120721,137478,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(120722,10137478,'When Equipped:',100,0,0),
(120723,10137478,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(120724,104396,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(120725,104396,'Inflicts 334 - 408 cold damage on target',100,2,1),
(120726,10104396,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(120727,10104396,'Inflicts 467 - 571 cold damage on target',100,2,1),
(120728,111793,'Shapechanges caster into a half elf',100,1,0),
(120729,10111793,'Shapechanges caster into a half elf',100,1,0),
(120730,41218,'When Equipped:',100,0,0),
(120731,41218,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(120732,41218,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(120733,41218,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(120734,41218,'Must not be engaged in pvp combat',100,2,4),
(120735,41218,'Cannot be modified except by direct means',100,2,5),
(120736,10041218,'When Equipped:',100,0,0),
(120737,10041218,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(120738,10041218,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(120739,10041218,'Inflicts 5827 - 6440 heat damage on target encounter',100,2,3),
(120740,10041218,'Must not be engaged in pvp combat',100,2,4),
(120741,10041218,'Cannot be modified except by direct means',100,2,5),
(120742,153805,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(120743,153805,'Increases Hate Gain of caster by 15.0%',100,1,1),
(120744,153805,'Must not be engaged in pvp combat',100,1,2),
(120745,153805,'Cannot be modified except by direct means',100,1,3),
(120746,153805,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(120747,153805,'When Equipped:',100,0,5),
(120748,153805,'On a critical spell hit this spell may cast Intimidating Rush VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(120749,153805,'Increases Threat to target by 2,375 - 2,625 ',100,2,7),
(120750,153805,'If over 80% Health',100,3,8),
(120751,153805,'Must not be engaged in pvp combat',100,2,9),
(120752,153805,'Cannot be modified except by direct means',100,2,10),
(120753,153805,'On a critical combat hit this spell may cast Intimidating Rush VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(120754,153805,'Increases Threat to target by 2,375 - 2,625 ',100,2,12),
(120755,153805,'If over 80% Health',100,3,13),
(120756,153805,'Must not be engaged in pvp combat',100,2,14),
(120757,153805,'Cannot be modified except by direct means',100,2,15),
(120758,153805,'Must not be engaged in pvp combat',100,1,16),
(120759,10153805,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(120760,10153805,'Must not be engaged in pvp combat',100,1,1),
(120761,10153805,'Cannot be modified except by direct means',100,1,2),
(120762,10153805,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(120763,10153805,'When Equipped:',100,0,4),
(120764,10153805,'On a critical spell hit this spell may cast Intimidating Rush VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(120765,10153805,'Must not be engaged in pvp combat',100,2,6),
(120766,10153805,'Cannot be modified except by direct means',100,2,7),
(120767,10153805,'On a critical combat hit this spell may cast Intimidating Rush VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(120768,10153805,'Must not be engaged in pvp combat',100,2,9),
(120769,10153805,'Cannot be modified except by direct means',100,2,10),
(120770,10153805,'Must not be engaged in pvp combat',100,1,11),
(120771,112278,'Inflicts 5 - 6 disease damage on target',100,1,0),
(120772,112278,'Inflicts 3 disease damage on target every 3 seconds',100,1,1),
(120773,112278,'Increases Threat to target by 28 - 35  instantly and by 5 - 6  every 3 seconds thereafter',100,1,2),
(120774,10112278,'Inflicts 4 disease damage on target every 3 seconds',100,1,0),
(120775,10112278,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(120776,124445,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(120777,124445,'Inflicts 156 - 260 melee damage on target',100,2,1),
(120778,124445,'Decreases Defense of caster by 13.5',100,1,2),
(120779,124445,'Increases Slashing, Piercing, Ranged and Crushing of caster by 20.3',100,1,3),
(120780,10124445,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(120781,10124445,'Inflicts 202 - 338 melee damage on target',100,2,1),
(120782,10124445,'Decreases Defense of caster by 13.5',100,1,2),
(120783,10124445,'Increases Slashing, Piercing, Ranged and Crushing of caster by 20.3',100,1,3),
(120784,107839,'Decreases Mitigation of target vs elemental damage by 207',100,1,0),
(120785,107839,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(120786,107839,'Slows target by 29.8%',100,2,2),
(120787,107839,'5% chance to dispel when target receives hostile action',100,2,3),
(120788,107839,'5% chance to dispel when target takes damage',100,2,4),
(120789,10107839,'Decreases Mitigation of target vs elemental damage by 207',100,1,0),
(120790,10107839,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(120791,10107839,'Slows target by 29.8%',100,2,2),
(120792,10107839,'5% chance to dispel when target receives hostile action',100,2,3),
(120793,10107839,'5% chance to dispel when target takes damage',100,2,4),
(120794,110728,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(120795,110728,'Heals group members (AE) for 720',100,2,1),
(120796,10110728,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(120797,10110728,'Heals group members (AE) for 468',100,2,1),
(120798,111774,'Heals caster for 22.7 - 27.7% of max health',100,1,0),
(120799,111774,'This effect cannot be critically applied.',100,2,1),
(120800,111774,'The healing of this spell cannot be modified except by direct means',100,1,2),
(120801,10111774,'Heals caster for 11.3 - 13.9% of max health',100,1,0),
(120802,10111774,'This effect cannot be critically applied.',100,2,1),
(120803,10111774,'The healing of this spell cannot be modified except by direct means',100,1,2),
(120804,81419,'When Equipped:',100,0,0);
INSERT INTO `item_effects` VALUES
(120805,81419,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120806,81419,'Inflicts 104 - 194 magic damage on target',100,2,2),
(120807,81419,'Cannot be modified except by direct means',100,2,3),
(120808,10081419,'When Equipped:',100,0,0),
(120809,10081419,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120810,10081419,'Inflicts 146 - 271 magic damage on target',100,2,2),
(120811,10081419,'Cannot be modified except by direct means',100,2,3),
(120812,115965,'Inflicts 90 - 134 mental damage on target',100,1,0),
(120813,115965,'Stuns target',100,1,1),
(120814,115965,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(120815,115965,'Resistibility increases against targets higher than level 42.',100,1,3),
(120816,10115965,'Stuns target',100,1,0),
(120817,10115965,'Inflicts 125 - 188 mental damage on target',100,1,1),
(120818,10115965,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(120819,10115965,'Resistibility increases against targets higher than level 42.',100,1,3),
(120820,73909,'Applies Disease Blast when Activated.',100,0,0),
(120821,73909,'Inflicts 66 - 110 disease damage on target',100,1,1),
(120822,73909,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(120823,10073909,'Applies Disease Blast when Activated.',100,0,0),
(120824,10073909,'Inflicts 93 - 155 disease damage on target',100,1,1),
(120825,10073909,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(120826,100380,'Summons a pet aery hunter',100,1,0),
(120827,10100380,'Summons a pet aery hunter',100,1,0),
(120828,37448,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(120829,46021,'Applies Drop Droag Body when Activated.',100,0,0),
(120830,46021,'This effect cannot be cast during combat',100,1,1),
(120831,10046021,'Applies Drop Droag Body when Activated.',100,0,0),
(120832,10046021,'This effect cannot be cast during combat',100,1,1),
(120833,81581,'When Equipped:',100,0,0),
(120834,81581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120835,81581,'Inflicts 131 - 244 magic damage on target',100,2,2),
(120836,81581,'Cannot be modified except by direct means',100,2,3),
(120837,10081581,'When Equipped:',100,0,0),
(120838,10081581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(120839,10081581,'Inflicts 184 - 342 magic damage on target',100,2,2),
(120840,10081581,'Cannot be modified except by direct means',100,2,3),
(120841,116196,'Inflicts 788 - 1313 mental damage on target',100,1,0),
(120842,10116196,'Inflicts 1103 - 1838 mental damage on target',100,1,0),
(120843,107804,'Increases Threat to target encounter by 675 - 825 ',100,1,0),
(120844,10107804,'Prevents target encounter from changing targets',100,1,0),
(120845,10107804,'Forces target encounter to change their selected target to caster.',100,1,1),
(120846,37241,'Increases STA and AGI of target by 1.2',100,0,0),
(120847,37241,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(120848,112339,'Applies Insolent Gibe.',100,1,0),
(120849,112339,'Increases Threat to targets in Area of Effect by 2,019 - 3,029 ',100,2,1),
(120850,112339,'Applies Insolent Assault.',100,1,2),
(120851,112339,'Inflicts 1403 - 2105 melee damage on targets in area',100,2,3),
(120852,112339,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(120853,112339,'Increases Threat to target encounter by 757 - 925 ',100,2,5),
(120854,10112339,'Applies Insolent Gibe.',100,1,0),
(120855,10112339,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(120856,10112339,'Applies Insolent Assault.',100,1,2),
(120857,10112339,'Inflicts 1824 - 2737 melee damage on targets in area',100,2,3),
(120858,10112339,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(120859,10112339,'Forces target encounter to change their selected target to caster.',100,2,5),
(120860,187252,'When Equipped:',100,0,0),
(120861,187252,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120862,187252,'Inflicts 401 mental damage on target',100,2,2),
(120863,187252,'Must not be classified as a void beast',100,3,3),
(120864,187252,'Must not be classified as a shadowed folk',100,3,4),
(120865,187252,'Inflicts 802 mental damage on target',100,2,5),
(120866,187252,'If any of the following are true:',100,3,6),
(120867,187252,'Must be classified as a void beast',100,4,7),
(120868,187252,'Must be classified as a shadowed folk',100,4,8),
(120869,187252,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(120870,187252,'If any of the following are true:',100,3,10),
(120871,187252,'Must be classified as a void beast',100,4,11),
(120872,187252,'Must be classified as a shadowed folk',100,4,12),
(120873,187252,'Cannot be modified except by direct means',100,2,13),
(120874,187252,'Additional equipment with Void Bane improves this effect.',100,1,14),
(120875,187252,'When Equipped:',100,0,15),
(120876,187252,'Reduces power cost of damage and healing spells by 3%.',100,1,16),
(120877,10187252,'When Equipped:',100,0,0),
(120878,10187252,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120879,10187252,'Inflicts 562 mental damage on target',100,2,2),
(120880,10187252,'Must not be classified as a void beast',100,3,3),
(120881,10187252,'Must not be classified as a shadowed folk',100,3,4),
(120882,10187252,'Inflicts 1123 mental damage on target',100,2,5),
(120883,10187252,'If any of the following are true:',100,3,6),
(120884,10187252,'Must be classified as a void beast',100,4,7),
(120885,10187252,'Must be classified as a shadowed folk',100,4,8),
(120886,10187252,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(120887,10187252,'If any of the following are true:',100,3,10),
(120888,10187252,'Must be classified as a void beast',100,4,11),
(120889,10187252,'Must be classified as a shadowed folk',100,4,12),
(120890,10187252,'Cannot be modified except by direct means',100,2,13),
(120891,10187252,'Additional equipment with Void Bane improves this effect.',100,1,14),
(120892,10187252,'When Equipped:',100,0,15),
(120893,10187252,'Reduces power cost of damage and healing spells by 3%.',100,1,16),
(120894,108661,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(120895,108661,'Heals target for 1073',100,2,1),
(120896,108661,'Heals target for 268 every 2 seconds',100,2,2),
(120897,108661,'Increases AGI of target by 92.4',100,2,3),
(120898,108661,'Grants a total of 1 trigger of the spell.',100,2,4),
(120899,10108661,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(120900,10108661,'Heals target for 1255',100,2,1),
(120901,10108661,'Heals target for 313 every 2 seconds',100,2,2),
(120902,10108661,'Increases AGI of target by 92.4',100,2,3),
(120903,10108661,'Grants a total of 1 trigger of the spell.',100,2,4),
(120904,35897,'Increases Max Power of target by 4.1',100,0,0),
(120905,35897,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(120906,37114,'Increases Max Health of target by 5.0',100,0,0),
(120907,37114,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(120908,177681,'When Equipped:',100,0,0),
(120909,177681,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120910,177681,'Increases WIS of caster by 16.3',100,2,2),
(120911,177681,'Increases Focus, Ministration and Ordination of caster by 9.2',100,2,3),
(120912,177681,'Cannot be modified except by direct means',100,2,4),
(120913,10177681,'When Equipped:',100,0,0),
(120914,10177681,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(120915,10177681,'Increases WIS of caster by 16.3',100,2,2),
(120916,10177681,'Increases Focus, Ministration and Ordination of caster by 9.2',100,2,3),
(120917,10177681,'Cannot be modified except by direct means',100,2,4),
(120918,117451,'Inflicts 630 - 1050 melee damage on target',100,1,0),
(120919,117451,'You must be sneaking to use this ability.',100,1,1),
(120920,117451,'Must be flanking or behind',100,1,2),
(120921,10117451,'Inflicts 507 - 846 melee damage on target',100,1,0),
(120922,10117451,'You must be sneaking to use this ability.',100,1,1),
(120923,10117451,'Must be flanking or behind',100,1,2),
(120924,123278,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(120925,123278,'Inflicts 86 - 143 disease damage on target',100,2,1),
(120926,123278,'Heals caster for 0.9 - 1.5% of max health',100,2,2),
(120927,123278,'This effect cannot be critically applied.',100,3,3),
(120928,123278,'The healing of this spell cannot be modified except by direct means',100,2,4),
(120929,10123278,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(120930,10123278,'Inflicts 120 - 200 disease damage on target',100,2,1),
(120931,10123278,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(120932,10123278,'This effect cannot be critically applied.',100,3,3),
(120933,10123278,'The healing of this spell cannot be modified except by direct means',100,2,4),
(120934,89461,'When Equipped:',100,0,0),
(120935,89461,'On a healing spell cast this spell may cast Empowered Healing on caster.  Triggers about 2.4 times per minute. ',100,1,1),
(120936,89461,'Heals group members (AE) for 1750',100,2,2),
(120937,89461,'Cannot be modified except by direct means',100,2,3),
(120938,10089461,'When Equipped:',100,0,0),
(120939,10089461,'On a healing spell cast this spell may cast Empowered Healing on caster.  Triggers about 2.4 times per minute. ',100,1,1),
(120940,10089461,'Heals group members (AE) for 2047',100,2,2),
(120941,10089461,'Cannot be modified except by direct means',100,2,3),
(120942,112877,'Inflicts 101 - 123 melee damage on target',100,1,0),
(120943,112877,'Decreases Mitigation of target vs physical damage by 107',100,1,1),
(120944,112877,'Must be flanking or behind',100,1,2),
(120945,10112877,'Inflicts 131 - 160 melee damage on target',100,1,0),
(120946,10112877,'Decreases Mitigation of target vs physical damage by 107',100,1,1),
(120947,10112877,'Must be flanking or behind',100,1,2),
(120948,109981,'Inflicts 1179 - 1768 disease damage on targets in Area of Effect',100,1,0),
(120949,109981,'Inflicts 589 - 884 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(120950,109981,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(120951,109981,'Increases Threat to targets in Area of Effect by 3,717 - 4,543  instantly and every 4 seconds thereafter',100,1,3),
(120952,10109981,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(120953,10109981,'Prevents target from changing targets',100,2,1),
(120954,10109981,'Forces target to change their selected target to caster.',100,2,2),
(120955,10109981,'Inflicts 1650 - 2475 disease damage on targets in Area of Effect',100,1,3),
(120956,10109981,'Inflicts 825 - 1238 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(120957,110742,'Summons a limited pet to aid the caster',100,1,0),
(120958,10110742,'Summons a limited pet to aid the caster',100,1,0),
(120959,109358,'Stuns target',100,1,0),
(120960,109358,'If Target is not Epic',100,2,1),
(120961,109358,'Inflicts 213 - 261 cold damage on target',100,1,2),
(120962,109358,'Resistibility increases against targets higher than level 45.',100,1,3),
(120963,10109358,'Stuns target',100,1,0),
(120964,10109358,'If Target is not Epic',100,2,1),
(120965,10109358,'Inflicts 299 - 365 cold damage on target',100,1,2),
(120966,10109358,'Resistibility increases against targets higher than level 45.',100,1,3),
(120967,114071,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(120968,114071,'Grants stealth to caster',100,2,1),
(120969,114071,'Suspends caster''s movement speed enhancements',100,2,2),
(120970,114071,'Inflicts 352 - 587 melee damage on target',100,1,3),
(120971,114071,'Must be flanking or behind',100,1,4),
(120972,10114071,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(120973,10114071,'Grants stealth to caster',100,2,1),
(120974,10114071,'Suspends caster''s movement speed enhancements',100,2,2),
(120975,10114071,'Inflicts 686 - 1144 melee damage on target',100,1,3),
(120976,10114071,'Must be flanking or behind',100,1,4),
(120977,123337,'Increases STA of raid and group members (AE) by 54.2',100,1,0),
(120978,123337,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(120979,10123337,'Increases STA of raid and group members (AE) by 54.2',100,1,0),
(120980,10123337,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(120981,131783,'Applies Gift of Rallos when Equipped.',100,0,0),
(120982,131783,'Increases STA and STR of caster by 8.6',100,1,1),
(120983,10131783,'Applies Gift of Rallos when Equipped.',100,0,0),
(120984,10131783,'Increases STA and STR of caster by 8.6',100,1,1),
(120985,118347,'Inflicts 88 - 148 melee damage on target',100,1,0),
(120986,118347,'Inflicts 89 - 148 heat damage on target every 4 seconds',100,1,1),
(120987,10118347,'Inflicts 115 - 192 melee damage on target',100,1,0),
(120988,10118347,'Inflicts 124 - 207 heat damage on target every 4 seconds',100,1,1),
(120989,40540,'When Equipped:',100,0,0),
(120990,40540,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(120991,40540,'Inflicts 342 piercing damage on target',100,2,2),
(120992,40540,'Cannot be modified except by direct means',100,2,3),
(120993,10040540,'When Equipped:',100,0,0),
(120994,10040540,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(120995,10040540,'Inflicts 239 piercing damage on target',100,2,2),
(120996,10040540,'Cannot be modified except by direct means',100,2,3),
(120997,102825,'Summons 3 limited pets to aid the caster',100,1,0),
(120998,10102825,'Summons 3 limited pets to aid the caster',100,1,0),
(120999,108642,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(121000,108642,'Heals target for 313',100,2,1),
(121001,108642,'Heals target for 78 every 2 seconds',100,2,2),
(121002,108642,'Increases AGI of target by 35.0',100,2,3),
(121003,108642,'Grants a total of 1 trigger of the spell.',100,2,4),
(121004,10108642,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(121005,10108642,'Heals target for 203',100,2,1),
(121006,10108642,'Heals target for 51 every 2 seconds',100,2,2),
(121007,10108642,'Increases AGI of target by 35.0',100,2,3),
(121008,10108642,'Grants a total of 1 trigger of the spell.',100,2,4),
(121009,119174,'Inflicts 8 - 14 heat damage on target',100,1,0),
(121010,119174,'Inflicts 8 - 14 heat damage on target',100,1,1),
(121011,119174,'Requires bow',100,1,2),
(121012,10119174,'Inflicts 9 - 16 heat damage on target',100,1,0),
(121013,10119174,'Inflicts 9 - 16 heat damage on target',100,1,1),
(121014,10119174,'Requires bow',100,1,2),
(121015,116000,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(121016,116000,'Decreases threat priority of target by 1 position',100,2,1),
(121017,116000,'Decreases Hate Gain of target by 9.6%',100,1,2),
(121018,10116000,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(121019,10116000,'Forces target to clear their selected target.',100,2,1),
(121020,103778,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.7',100,1,0),
(121021,10103778,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.7',100,1,0),
(121022,163843,'When Equipped:',100,0,0),
(121023,163843,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(121024,163843,'This effect suspends during combat',100,1,2),
(121025,10163843,'When Equipped:',100,0,0),
(121026,10163843,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(121027,10163843,'This effect suspends during combat',100,1,2),
(121028,119851,'Dazes target',100,1,0),
(121029,119851,'Does not affect Epic targets',100,1,1),
(121030,119851,'Resistibility increases against targets higher than level 93.',100,1,2),
(121031,10119851,'Dazes target',100,1,0),
(121032,10119851,'Does not affect Epic targets',100,1,1),
(121033,10119851,'Resistibility increases against targets higher than level 93.',100,1,2),
(121034,115061,'Heals target for 19 - 23',100,1,0),
(121035,115061,'Heals target for 2 - 3 every second',100,1,1),
(121036,10115061,'Heals target for 35 - 43',100,1,0),
(121037,10115061,'Heals target for 3 every second',100,1,1),
(121038,100650,'Increases AGI, STR and STA of target by 58.6',100,1,0),
(121039,100650,'Adds 2.4% to base avoidance.',100,1,1),
(121040,10100650,'Increases AGI, STR and STA of target by 58.6',100,1,0),
(121041,10100650,'Adds 2.4% to base avoidance.',100,1,1),
(121042,40939,'When Equipped:',100,0,0),
(121043,40939,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(121044,40939,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(121045,40939,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,3),
(121046,40939,'Increases Potency of caster by 3.0%',100,2,4),
(121047,40939,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(121048,40939,'Must not be engaged in pvp combat',100,2,6),
(121049,40939,'Cannot be modified except by direct means',100,2,7),
(121050,40939,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(121051,40939,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,9),
(121052,40939,'Increases Potency of caster by 3.0%',100,2,10),
(121053,40939,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(121054,40939,'Must not be engaged in pvp combat',100,2,12),
(121055,40939,'Cannot be modified except by direct means',100,2,13),
(121056,40939,'Cannot be modified except by direct means',100,1,14),
(121057,10040939,'When Equipped:',100,0,0),
(121058,10040939,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(121059,10040939,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(121060,10040939,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,3),
(121061,10040939,'Increases Potency of caster by 3.0%',100,2,4),
(121062,10040939,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(121063,10040939,'Must not be engaged in pvp combat',100,2,6),
(121064,10040939,'Cannot be modified except by direct means',100,2,7),
(121065,10040939,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(121066,10040939,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,9),
(121067,10040939,'Increases Potency of caster by 3.0%',100,2,10),
(121068,10040939,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(121069,10040939,'Must not be engaged in pvp combat',100,2,12),
(121070,10040939,'Cannot be modified except by direct means',100,2,13),
(121071,10040939,'Cannot be modified except by direct means',100,1,14),
(121072,119030,'Decreases power of target by 9 - 16',100,1,0),
(121073,119030,'Increases power of caster by 4 - 6',100,1,1),
(121074,119030,'Inflicts 10 - 16 mental damage on target',100,1,2),
(121075,10119030,'Decreases power of target by 9 - 16',100,1,0),
(121076,10119030,'Increases power of caster by 4 - 6',100,1,1),
(121077,10119030,'Inflicts 13 - 21 mental damage on target',100,1,2),
(121078,124711,'Heals group members (AE) for 420 - 513',100,1,0),
(121079,10124711,'Heals group members (AE) for 509 - 622',100,1,0),
(121080,112987,'Reduces physical damage done to caster by 5%',100,1,0),
(121081,112987,'Increases STA of caster by 50.6',100,1,1),
(121082,112987,'Adds 3.4% to base avoidance.',100,1,2),
(121083,112987,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(121084,112987,'Increases Defense and Aggression of caster by 9.9',100,1,4),
(121085,112987,'Increases Mitigation of caster vs arcane damage by 660',100,1,5),
(121086,112987,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(121087,10112987,'Reduces physical damage done to caster by 5%',100,1,0),
(121088,10112987,'Increases STA of caster by 50.6',100,1,1),
(121089,10112987,'Adds 3.4% to base avoidance.',100,1,2),
(121090,10112987,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(121091,10112987,'Increases Defense and Aggression of caster by 9.9',100,1,4),
(121092,10112987,'Increases Mitigation of caster vs arcane damage by 660',100,1,5),
(121093,10112987,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(121094,120809,'Inflicts 2 - 3 disease damage on target instantly and every second',100,1,0),
(121095,10120809,'Inflicts 4 - 6 disease damage on target',100,1,0),
(121096,10120809,'Inflicts 3 - 4 disease damage on target every second',100,1,1),
(121097,24556,'Adds Mistmoore: Wooden Bench to your Dungeon Maker toolbox',100,0,0),
(121098,10024556,'Adds Mistmoore: Wooden Bench to your Dungeon Maker toolbox',100,0,0),
(121099,119638,'Inflicts 32 - 54 crushing damage on target',100,1,0),
(121100,119638,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(121101,119638,'Stuns target',100,2,2),
(121102,119638,'Throws target back',100,2,3),
(121103,119638,'Blurs vision of target',100,2,4),
(121104,119638,'Does not affect Epic targets',100,2,5),
(121105,10119638,'Inflicts 42 - 70 crushing damage on target',100,1,0),
(121106,10119638,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(121107,10119638,'Blurs vision of target',100,2,2),
(121108,10119638,'Stuns target',100,2,3),
(121109,10119638,'Throws target back',100,2,4),
(121110,10119638,'Does not affect Epic targets',100,2,5),
(121111,112428,'Mesmerizes target',100,1,0),
(121112,112428,'Prevents AOE (except when direct) ',100,1,1),
(121113,112428,'Dispelled when target takes damage',100,1,2),
(121114,112428,'Does not affect Epic targets',100,1,3),
(121115,112428,'Resistibility increases against targets higher than level 53.',100,1,4),
(121116,10112428,'Mesmerizes target',100,1,0),
(121117,10112428,'Prevents AOE (except when direct) ',100,1,1),
(121118,10112428,'Dispelled when target takes damage',100,1,2),
(121119,10112428,'Does not affect Epic targets',100,1,3),
(121120,10112428,'Resistibility increases against targets higher than level 53.',100,1,4),
(121121,102571,'Increases AGI of caster by 97.6',100,1,0),
(121122,102571,'Increases Max Health of caster by 349.7',100,1,1),
(121123,102571,'Adds 18.7% to base avoidance.',100,1,2),
(121124,102571,'Increases Mitigation of caster vs physical damage by 580',100,1,3),
(121125,102571,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(121126,10102571,'Increases AGI of caster by 97.6',100,1,0),
(121127,10102571,'Increases Max Health of caster by 349.7',100,1,1),
(121128,10102571,'Adds 18.7% to base avoidance.',100,1,2),
(121129,10102571,'Increases Mitigation of caster vs physical damage by 580',100,1,3),
(121130,10102571,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(121131,81324,'When Equipped:',100,0,0),
(121132,81324,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121133,81324,'Inflicts 260 - 482 magic damage on target',100,2,2),
(121134,81324,'Decreases Threat to target by 949 ',100,2,3),
(121135,81324,'Must be flanking or behind',100,3,4),
(121136,81324,'Increases Threat to target by 949 ',100,2,5),
(121137,81324,'Must be in front of',100,3,6),
(121138,81324,'Cannot be modified except by direct means',100,2,7),
(121139,10081324,'When Equipped:',100,0,0),
(121140,10081324,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121141,10081324,'Inflicts 364 - 675 magic damage on target',100,2,2),
(121142,10081324,'Cannot be modified except by direct means',100,2,3),
(121143,45164,'Applies Invoke Leandre when Activated.',100,0,0),
(121144,10045164,'Applies Invoke Leandre when Activated.',100,0,0),
(121145,81717,'When Equipped:',100,0,0),
(121146,81717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121147,81717,'Inflicts 141 - 262 magic damage on target',100,2,2),
(121148,81717,'Cannot be modified except by direct means',100,2,3),
(121149,10081717,'When Equipped:',100,0,0),
(121150,10081717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121151,10081717,'Inflicts 198 - 367 magic damage on target',100,2,2),
(121152,10081717,'Cannot be modified except by direct means',100,2,3),
(121153,103951,'Applies Castigate.',100,1,0),
(121154,103951,'Inflicts 631 - 1052 divine damage on targets in Area of Effect',100,2,1),
(121155,103951,'Dispels 103 levels of any hostile effects on caster',100,1,2),
(121156,103951,'Casts Castigate for each successful Dispel.',100,1,3),
(121157,103951,'Inflicts 631 - 1052 divine damage on targets in Area of Effect',100,3,4),
(121158,10103951,'Applies Castigate.',100,1,0),
(121159,10103951,'Inflicts 884 - 1473 divine damage on targets in Area of Effect',100,2,1),
(121160,10103951,'Dispels 103 levels of any hostile effects on caster',100,1,2),
(121161,10103951,'Casts Castigate for each successful Dispel.',100,1,3),
(121162,10103951,'Inflicts 884 - 1473 divine damage on targets in Area of Effect',100,3,4),
(121163,45817,'Applies Consume Essence when Activated.',100,0,0),
(121164,45817,'Heals group members (AE) for 660 - 807',100,1,1),
(121165,45817,'Dispels 130 levels of any hostile effects on caster',100,1,2),
(121166,10045817,'Applies Consume Essence when Activated.',100,0,0),
(121167,10045817,'Heals group members (AE) for 429 - 525',100,1,1),
(121168,10045817,'Dispels 130 levels of any hostile effects on caster',100,1,2),
(121169,138361,'When Equipped:',100,0,0),
(121170,138361,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(121171,138361,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(121172,138361,'Heals caster for 816 - 1224',100,2,3),
(121173,138361,'Cannot be modified except by direct means',100,2,4),
(121174,138361,'Cannot be modified except by direct means',100,1,5),
(121175,10138361,'When Equipped:',100,0,0),
(121176,10138361,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(121177,10138361,'Inflicts 1716 - 2573 poison damage on target',100,2,2),
(121178,10138361,'Heals caster for 955 - 1432',100,2,3),
(121179,10138361,'Cannot be modified except by direct means',100,2,4),
(121180,10138361,'Cannot be modified except by direct means',100,1,5),
(121181,120145,'Decreases STR and INT of target by 72.6',100,1,0),
(121182,120145,'Increases STR and INT of caster by 72.6',100,1,1),
(121183,10120145,'Decreases STR and INT of target by 72.6',100,1,0),
(121184,10120145,'Increases STR and INT of caster by 72.6',100,1,1),
(121185,157345,'When Equipped:',100,0,0),
(121186,157345,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(121187,157345,'Inflicts 2383 poison damage on target',100,2,2),
(121188,157345,'Heals caster for 1907',100,2,3),
(121189,157345,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,4),
(121190,157345,'Heals target for 1741',100,3,5),
(121191,157345,'This effect cannot be critically applied.',100,4,6),
(121192,157345,'Cannot be modified except by direct means',100,3,7),
(121193,157345,'Cannot be modified except by direct means',100,2,8),
(121194,157345,'Cannot be modified except by direct means',100,1,9),
(121195,10157345,'When Equipped:',100,0,0),
(121196,10157345,'On any combat or spell hit this spell may cast Blood Ritual on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(121197,10157345,'When any damage is received this spell has a 10% chance to cast Blood Ritual on target''s attacker.  ',100,2,2),
(121198,10157345,'Heals target for 170',100,3,3),
(121199,10157345,'This effect cannot be critically applied.',100,4,4),
(121200,10157345,'Cannot be modified except by direct means',100,3,5),
(121201,10157345,'Inflicts 1668 poison damage on target',100,2,6),
(121202,10157345,'Heals caster for 1115',100,2,7),
(121203,10157345,'Cannot be modified except by direct means',100,2,8),
(121204,10157345,'Cannot be modified except by direct means',100,1,9),
(121205,116764,'Increases Max Health of target by 642.9',100,1,0),
(121206,116764,'Increases Max Power of target by 721.1',100,1,1),
(121207,10116764,'Increases Max Health of target by 642.9',100,1,0),
(121208,10116764,'Increases Max Power of target by 721.1',100,1,1),
(121209,36343,'Increases Max Power of target by 4.1',100,0,0),
(121210,36343,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(121211,26612,'When Equipped:',100,0,0),
(121212,26612,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(121213,26612,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,2),
(121214,10026612,'When Equipped:',100,0,0),
(121215,10026612,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(121216,10026612,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,2),
(121217,48206,'Applies Spirit of the Rat when Activated.  Lasts for 30 minutes.',100,0,0),
(121218,48206,'Shapechanges caster into a rat',100,1,1),
(121219,48206,'Increases Out-of-Combat Power Regeneration of caster by 24.0',100,1,2),
(121220,48206,'This effect suspends during combat',100,1,3),
(121221,48206,'Only affects targets level 10 and above',100,1,4),
(121222,10048206,'Applies Spirit of the Rat when Activated.  Lasts for 30 minutes.',100,0,0),
(121223,10048206,'Shapechanges caster into a rat',100,1,1),
(121224,10048206,'Increases Out-of-Combat Power Regeneration of caster by 24.0',100,1,2),
(121225,10048206,'This effect suspends during combat',100,1,3),
(121226,10048206,'Only affects targets level 10 and above',100,1,4),
(121227,118184,'Increases Damage Per Second of group members (AE) by 12.0',100,1,0),
(121228,10118184,'Increases Damage Per Second of group members (AE) by 12.0',100,1,0),
(121229,74910,'When Equipped:',100,0,0),
(121230,74910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121231,74910,'Inflicts 33 - 49 magic damage on target',100,2,2),
(121232,74910,'Cannot be modified except by direct means',100,2,3),
(121233,10074910,'When Equipped:',100,0,0),
(121234,10074910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121235,10074910,'Inflicts 46 - 69 magic damage on target',100,2,2),
(121236,10074910,'Cannot be modified except by direct means',100,2,3),
(121237,116742,'Increases Max Health of target by 64.2',100,1,0),
(121238,116742,'Increases Max Power of target by 72.7',100,1,1),
(121239,10116742,'Increases Max Health of target by 64.2',100,1,0),
(121240,10116742,'Increases Max Power of target by 72.7',100,1,1),
(121241,121976,'Inflicts 168 - 280 disease damage on target',100,1,0),
(121242,121976,'Decreases Defense of target by 37.8',100,1,1),
(121243,121976,'Interrupts target',100,1,2),
(121244,10121976,'Inflicts 236 - 393 disease damage on target',100,1,0),
(121245,10121976,'Decreases Defense of target by 37.8',100,1,1),
(121246,10121976,'Interrupts target',100,1,2),
(121247,122354,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(121248,122354,'Inflicts 24 - 30 piercing damage on target',100,2,1),
(121249,10122354,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(121250,10122354,'Inflicts 34 - 41 piercing damage on target',100,2,1),
(121251,175121,'When Equipped:',100,0,0),
(121252,175121,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(121253,175121,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(121254,175121,'Wards target against 4840 points of all damage',100,2,3),
(121255,175121,'Must not be engaged in pvp combat',100,2,4),
(121256,175121,'Cannot be modified except by direct means',100,2,5),
(121257,175121,'Cannot be modified except by direct means',100,1,6),
(121258,175121,'When Equipped:',100,0,7),
(121259,175121,'Increases AGI and STR of caster by 50.0',100,1,8),
(121260,175121,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(121261,175121,'Increases INT and WIS of caster by 50.0',100,1,10),
(121262,175121,'Increases Potency of caster by 3.5%',100,1,11),
(121263,175121,'Cannot be modified except by direct means',100,1,12),
(121264,10175121,'When Equipped:',100,0,0),
(121265,10175121,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(121266,10175121,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(121267,10175121,'Wards target against 4840 points of all damage',100,2,3),
(121268,10175121,'Must not be engaged in pvp combat',100,2,4),
(121269,10175121,'Cannot be modified except by direct means',100,2,5),
(121270,10175121,'Cannot be modified except by direct means',100,1,6),
(121271,10175121,'When Equipped:',100,0,7),
(121272,10175121,'Increases AGI and STR of caster by 50.0',100,1,8),
(121273,10175121,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(121274,10175121,'Increases INT and WIS of caster by 50.0',100,1,10),
(121275,10175121,'Increases Potency of caster by 3.5%',100,1,11),
(121276,10175121,'Cannot be modified except by direct means',100,1,12),
(121277,121599,'Stuns target encounter',100,1,0),
(121278,121599,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,1),
(121279,121599,'Resistibility increases against targets higher than level 87.',100,1,2),
(121280,10121599,'Stuns target encounter',100,1,0),
(121281,10121599,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(121282,10121599,'Resistibility increases against targets higher than level 87.',100,1,2),
(121283,111120,'Heals target for 23.9 - 29.3% of max health',100,1,0),
(121284,111120,'This effect cannot be critically applied.',100,2,1),
(121285,111120,'Increases Mitigation of target vs physical damage by 582',100,1,2),
(121286,111120,'The healing of this spell cannot be modified except by direct means',100,1,3),
(121287,10111120,'Heals target for 9.0 - 11.0% of max health',100,1,0),
(121288,10111120,'This effect cannot be critically applied.',100,2,1),
(121289,10111120,'Increases Mitigation of target vs physical damage by 582',100,1,2),
(121290,10111120,'The healing of this spell cannot be modified except by direct means',100,1,3),
(121291,102740,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(121292,102740,'Stuns target',100,2,1),
(121293,102740,'If Target is not Epic',100,3,2),
(121294,102740,'Inflicts 162 - 270 divine damage on target',100,2,3),
(121295,102740,'Inflicts 139 - 231 divine damage on target',100,2,4),
(121296,102740,'If target is undead',100,3,5),
(121297,10102740,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(121298,10102740,'Stuns target',100,2,1),
(121299,10102740,'Inflicts 340 - 566 divine damage on target',100,2,2),
(121300,10102740,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(121301,45202,'Applies essence of health when Activated.',100,0,0),
(121302,45202,'Heals caster for 383',100,1,1),
(121303,10045202,'Applies essence of health when Activated.',100,0,0),
(121304,10045202,'Heals caster for 249',100,1,1),
(121305,134105,'When Equipped:',100,0,0),
(121306,134105,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121307,134105,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(121308,134105,'Wards target against 1000 points of all damage',100,2,3),
(121309,134105,'Cannot be modified except by direct means',100,2,4),
(121310,10134105,'When Equipped:',100,0,0),
(121311,10134105,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121312,10134105,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(121313,10134105,'Wards target against 1000 points of all damage',100,2,3),
(121314,10134105,'Cannot be modified except by direct means',100,2,4),
(121315,104813,'Increases caster''s chance to block by 10.0%',100,1,0),
(121316,104813,'Decreases Attack Speed of caster by 17.8',100,1,1),
(121317,104813,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(121318,104813,'Increases Parry of caster by 23.0',100,1,3),
(121319,104813,'Increases Defense of caster by 23.0',100,1,4),
(121320,10104813,'Increases caster''s chance to block by 10.0%',100,1,0),
(121321,10104813,'Decreases Attack Speed of caster by 17.8',100,1,1),
(121322,10104813,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(121323,10104813,'Increases Parry of caster by 23.0',100,1,3),
(121324,10104813,'Increases Defense of caster by 23.0',100,1,4),
(121325,138384,'When Equipped:',100,0,0),
(121326,138384,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(121327,138384,'Must be engaged in pvp combat',100,1,2),
(121328,138384,'When Equipped:',100,0,3),
(121329,138384,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(121330,138384,'Must be engaged in pvp combat',100,1,5),
(121331,138384,'When Equipped:',100,0,6),
(121332,138384,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(121333,138384,'Reduces physical damage done to target by 2.5%',100,2,8),
(121334,138384,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(121335,138384,'Must be engaged in pvp combat',100,2,10),
(121336,138384,'Cannot be modified except by direct means',100,2,11),
(121337,138384,'Cannot be modified except by direct means',100,1,12),
(121338,10138384,'When Equipped:',100,0,0),
(121339,10138384,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(121340,10138384,'Must be engaged in pvp combat',100,1,2),
(121341,10138384,'When Equipped:',100,0,3),
(121342,10138384,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(121343,10138384,'Must be engaged in pvp combat',100,1,5),
(121344,10138384,'When Equipped:',100,0,6),
(121345,10138384,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(121346,10138384,'Reduces physical damage done to target by 2.5%',100,2,8),
(121347,10138384,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(121348,10138384,'Must be engaged in pvp combat',100,2,10),
(121349,10138384,'Cannot be modified except by direct means',100,2,11),
(121350,10138384,'Cannot be modified except by direct means',100,1,12),
(121351,139791,'When Equipped:',100,0,0),
(121352,139791,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(121353,10139791,'When Equipped:',100,0,0),
(121354,10139791,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(121355,81453,'When Equipped:',100,0,0),
(121356,81453,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121357,81453,'Inflicts 104 - 194 magic damage on target',100,2,2),
(121358,81453,'Decreases Threat to target by 352 ',100,2,3),
(121359,81453,'Must be flanking or behind',100,3,4),
(121360,81453,'Increases Threat to target by 352 ',100,2,5),
(121361,81453,'Must be in front of',100,3,6),
(121362,81453,'Cannot be modified except by direct means',100,2,7),
(121363,10081453,'When Equipped:',100,0,0),
(121364,10081453,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121365,10081453,'Inflicts 146 - 271 magic damage on target',100,2,2),
(121366,10081453,'Cannot be modified except by direct means',100,2,3),
(121367,111343,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(121368,111343,'Inflicts 711 - 869 mental damage on target',100,2,1),
(121369,111343,'Grants a total of 3 triggers of the spell.',100,2,2),
(121370,10111343,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(121371,10111343,'Inflicts 996 - 1217 mental damage on target',100,2,1),
(121372,10111343,'Grants a total of 3 triggers of the spell.',100,2,2),
(121373,71748,'When Equipped:',100,0,0),
(121374,71748,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121375,71748,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(121376,71748,'Cannot be modified except by direct means',100,2,3),
(121377,10071748,'When Equipped:',100,0,0),
(121378,10071748,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121379,10071748,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(121380,10071748,'Cannot be modified except by direct means',100,2,3),
(121381,81567,'When Equipped:',100,0,0),
(121382,81567,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121383,81567,'Inflicts 144 - 268 magic damage on target',100,2,2),
(121384,81567,'Decreases Threat to target by 376 ',100,2,3),
(121385,81567,'Must be flanking or behind',100,3,4),
(121386,81567,'Increases Threat to target by 376 ',100,2,5),
(121387,81567,'Must be in front of',100,3,6),
(121388,81567,'Cannot be modified except by direct means',100,2,7),
(121389,10081567,'When Equipped:',100,0,0),
(121390,10081567,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121391,10081567,'Inflicts 202 - 375 magic damage on target',100,2,2),
(121392,10081567,'Cannot be modified except by direct means',100,2,3),
(121393,100691,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(121394,100691,'Summons a limited pet to aid the caster',100,2,1),
(121395,100691,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(121396,100691,'Heals caster for 983',100,3,3),
(121397,100691,'Wards caster against 1108 points of all damage',100,3,4),
(121398,100691,'Grants a total of 1 trigger of the spell.',100,2,5),
(121399,10100691,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(121400,10100691,'Summons a limited pet to aid the caster',100,2,1),
(121401,10100691,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(121402,10100691,'Heals caster for 1150',100,3,3),
(121403,10100691,'Wards caster against 1108 points of all damage',100,3,4),
(121404,10100691,'Grants a total of 1 trigger of the spell.',100,2,5),
(121405,81957,'When Equipped:',100,0,0),
(121406,81957,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121407,81957,'Inflicts 351 - 652 magic damage on target',100,2,2),
(121408,81957,'Cannot be modified except by direct means',100,2,3),
(121409,10081957,'When Equipped:',100,0,0),
(121410,10081957,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121411,10081957,'Inflicts 492 - 913 magic damage on target',100,2,2),
(121412,10081957,'Cannot be modified except by direct means',100,2,3),
(121413,35943,'Increases STA of target by 1.6',100,0,0),
(121414,35943,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(121415,48384,'Applies Tear of Discord when Activated.  Lasts for 5 minutes.',100,0,0),
(121416,48384,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(121417,10048384,'Applies Tear of Discord when Activated.  Lasts for 5 minutes.',100,0,0),
(121418,10048384,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(121419,110198,'Interrupts target',100,1,0),
(121420,110198,'Inflicts 50 - 84 crushing damage on target',100,1,1),
(121421,10110198,'Interrupts target',100,1,0),
(121422,10110198,'Inflicts 65 - 109 crushing damage on target',100,1,1),
(121423,112081,'Inflicts 36 - 61 heat damage on target instantly and every 2 seconds',100,1,0),
(121424,10112081,'Inflicts 125 - 208 heat damage on target instantly and every 2 seconds',100,1,0),
(121425,107900,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(121426,107900,'Slows target by 44.0%',100,2,1),
(121427,107900,'5% chance to dispel when target receives hostile action',100,2,2),
(121428,107900,'5% chance to dispel when target takes damage',100,2,3),
(121429,107900,'Slows target encounter by 52.8%',100,1,4),
(121430,107900,'5% chance to dispel when target takes damage',100,1,5),
(121431,10107900,'Slows target encounter by 52.8%',100,1,0),
(121432,10107900,'5% chance to dispel when target takes damage',100,1,1),
(121433,116706,'Inflicts 120 - 201 melee damage on target',100,1,0),
(121434,10116706,'Inflicts 157 - 261 melee damage on target',100,1,0),
(121435,46290,'Applies Spiritual Empowerment when Activated.',100,0,0),
(121436,46290,'You feel a deep sense of calm come over you.',100,1,1),
(121437,46290,'Updates a specific part of the Quest \"The Footsteps of Dartain: Enlightenment\"',100,1,2),
(121438,46290,'This effect cannot be cast during combat',100,1,3),
(121439,46290,'You must be at Erud''s Point to use this.',100,1,4),
(121440,10046290,'Applies Spiritual Empowerment when Activated.',100,0,0),
(121441,10046290,'You feel a deep sense of calm come over you.',100,1,1),
(121442,10046290,'Updates a specific part of the Quest \"The Footsteps of Dartain: Enlightenment\"',100,1,2),
(121443,10046290,'This effect cannot be cast during combat',100,1,3),
(121444,10046290,'You must be at Erud''s Point to use this.',100,1,4),
(121445,110938,'Inflicts 147 - 245 divine damage on target',100,1,0),
(121446,110938,'Increases Threat to target by 1,325 ',100,1,1),
(121447,110938,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(121448,110938,'Stuns target',100,2,3),
(121449,110938,'Throws target back',100,2,4),
(121450,110938,'Blurs vision of target',100,2,5),
(121451,110938,'Does not affect Epic targets',100,2,6),
(121452,10110938,'Inflicts 191 - 319 divine damage on target',100,1,0),
(121453,10110938,'Prevents target from changing targets',100,1,1),
(121454,10110938,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(121455,10110938,'Stuns target',100,2,3),
(121456,10110938,'Throws target back',100,2,4),
(121457,10110938,'Blurs vision of target',100,2,5),
(121458,10110938,'Does not affect Epic targets',100,2,6),
(121459,10110938,'Forces target to change their selected target to caster.',100,1,7),
(121460,177554,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(121461,177554,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(121462,177554,'Inflicts 83 heat damage on target',100,2,2),
(121463,177554,'Cannot be modified except by direct means',100,2,3),
(121464,10177554,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(121465,10177554,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(121466,10177554,'Inflicts 117 heat damage on target',100,2,2),
(121467,10177554,'Cannot be modified except by direct means',100,2,3),
(121468,48599,'Applies Totem of the Enduring Spirit when Activated.  Lasts for 15 minutes.',100,0,0),
(121469,48599,'Grants Fish Vision to caster',100,1,1),
(121470,48599,'Allows caster to walk under water',100,1,2),
(121471,48599,'Allows caster to breathe under water',100,1,3),
(121472,48599,'Only affects targets level 80 and above',100,1,4),
(121473,10048599,'Applies Totem of the Enduring Spirit when Activated.  Lasts for 15 minutes.',100,0,0),
(121474,10048599,'Grants Fish Vision to caster',100,1,1),
(121475,10048599,'Allows caster to walk under water',100,1,2),
(121476,10048599,'Allows caster to breathe under water',100,1,3),
(121477,10048599,'Only affects targets level 80 and above',100,1,4),
(121478,79362,'When Equipped:',100,0,0),
(121479,79362,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(121480,10079362,'When Equipped:',100,0,0),
(121481,10079362,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(121482,118121,'Heals target for 485 - 593',100,1,0),
(121483,10118121,'Heals target for 574 - 701',100,1,0),
(121484,110848,'Inflicts 466 - 631 mental damage on target',100,1,0),
(121485,110848,'Interrupts target',100,1,1),
(121486,10110848,'Inflicts 653 - 883 mental damage on target',100,1,0),
(121487,10110848,'Interrupts target',100,1,1),
(121488,115724,'Heals target for 123 instantly and every 0.3 seconds',100,1,0),
(121489,115724,'Stifles caster',100,1,1),
(121490,10115724,'Heals target for 80 instantly and every 0.3 seconds',100,1,0),
(121491,10115724,'Stifles caster',100,1,1),
(121492,107013,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(121493,107013,'Increases Threat to target encounter by 1,033 - 1,549 ',100,1,1),
(121494,107013,'Increases threat priority of target encounter by 2 positions',100,1,2),
(121495,10107013,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(121496,82074,'When Equipped:',100,0,0),
(121497,82074,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121498,82074,'Inflicts 182 - 339 magic damage on target',100,2,2),
(121499,82074,'Decreases Threat to target by 641 ',100,2,3),
(121500,82074,'Must be flanking or behind',100,3,4),
(121501,82074,'Increases Threat to target by 641 ',100,2,5),
(121502,82074,'Must be in front of',100,3,6),
(121503,82074,'Cannot be modified except by direct means',100,2,7),
(121504,10082074,'When Equipped:',100,0,0),
(121505,10082074,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121506,10082074,'Inflicts 255 - 474 magic damage on target',100,2,2),
(121507,10082074,'Cannot be modified except by direct means',100,2,3),
(121508,134768,'Applies String of Insults when Activated.  Lasts for 24.0 seconds.',100,0,0),
(121509,134768,'Increases Hate Gain of caster by 5.0%',100,1,1),
(121510,134768,'The casting time of String of Insults is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(121511,10134768,'Applies String of Insults when Activated.  Lasts for 24.0 seconds.',100,0,0),
(121512,124751,'Inflicts 211 - 258 disease damage on target encounter',100,1,0),
(121513,10124751,'Inflicts 295 - 361 disease damage on target encounter',100,1,0),
(121514,81715,'When Equipped:',100,0,0),
(121515,81715,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121516,81715,'Inflicts 127 - 236 magic damage on target',100,2,2),
(121517,81715,'Cannot be modified except by direct means',100,2,3),
(121518,10081715,'When Equipped:',100,0,0),
(121519,10081715,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121520,10081715,'Inflicts 178 - 331 magic damage on target',100,2,2),
(121521,10081715,'Cannot be modified except by direct means',100,2,3),
(121522,136552,'When Equipped:',100,0,0),
(121523,136552,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(121524,136552,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(121525,136552,'Cannot be modified except by direct means',100,2,3),
(121526,10136552,'When Equipped:',100,0,0),
(121527,10136552,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(121528,10136552,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(121529,10136552,'Cannot be modified except by direct means',100,2,3),
(121530,123773,'Decreases Mitigation of target vs noxious damage by 1122',100,1,0),
(121531,123773,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(121532,123773,'Slows target by 44.2%',100,2,2),
(121533,123773,'5% chance to dispel when target receives hostile action',100,2,3),
(121534,123773,'5% chance to dispel when target takes damage',100,2,4),
(121535,10123773,'Decreases Mitigation of target vs noxious damage by 1122',100,1,0),
(121536,10123773,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(121537,10123773,'Slows target by 44.2%',100,2,2),
(121538,10123773,'5% chance to dispel when target receives hostile action',100,2,3),
(121539,10123773,'5% chance to dispel when target takes damage',100,2,4),
(121540,87153,'When Equipped:',100,0,0),
(121541,87153,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121542,87153,'Inflicts 181 - 271 magic damage on target',100,2,2),
(121543,87153,'Cannot be modified except by direct means',100,2,3),
(121544,10087153,'When Equipped:',100,0,0),
(121545,10087153,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121546,10087153,'Inflicts 253 - 380 magic damage on target',100,2,2),
(121547,10087153,'Cannot be modified except by direct means',100,2,3),
(121548,46090,'Applies Harvesting Expertise when Activated.  Lasts for 1 hour.',100,0,0),
(121549,46090,'Caster will harvest a second time on 5.0% of harvests.',100,1,1),
(121550,46090,'Increases Mining, Fishing and Foresting of caster by 15.0',100,1,2),
(121551,46090,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,3),
(121552,46090,'Increases Gathering and Trapping of caster by 15.0',100,1,4),
(121553,10046090,'Applies Harvesting Expertise when Activated.  Lasts for 1 hour.',100,0,0),
(121554,10046090,'Caster will harvest a second time on 5.0% of harvests.',100,1,1),
(121555,10046090,'Increases Mining, Fishing and Foresting of caster by 15.0',100,1,2),
(121556,10046090,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,3),
(121557,10046090,'Increases Gathering and Trapping of caster by 15.0',100,1,4),
(121558,107716,'Inflicts 459 - 766 heat damage on target',100,1,0),
(121559,107716,'You must be sneaking to use this ability.',100,1,1),
(121560,10107716,'Inflicts 597 - 996 heat damage on target',100,1,0),
(121561,10107716,'You must be sneaking to use this ability.',100,1,1),
(121562,108312,'Inflicts 107 - 179 divine damage on target',100,1,0),
(121563,108312,'Heals caster for 1.0% of max health',100,1,1),
(121564,108312,'This effect cannot be critically applied.',100,2,2),
(121565,108312,'The healing of this spell cannot be modified except by direct means',100,1,3),
(121566,10108312,'Inflicts 140 - 233 divine damage on target',100,1,0),
(121567,10108312,'Heals caster for 0.5% of max health',100,1,1),
(121568,10108312,'This effect cannot be critically applied.',100,2,2),
(121569,10108312,'The healing of this spell cannot be modified except by direct means',100,1,3),
(121570,47450,'Applies Order of Rime Shardhammer Illusion when Activated.',100,0,0),
(121571,47450,'Shapechanges caster into an Order of Rime',100,1,1),
(121572,47450,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(121573,10047450,'Applies Order of Rime Shardhammer Illusion when Activated.',100,0,0),
(121574,10047450,'Shapechanges caster into an Order of Rime',100,1,1),
(121575,10047450,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(121576,82209,'When Equipped:',100,0,0),
(121577,82209,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121578,82209,'Inflicts 41 - 76 magic damage on target',100,2,2),
(121579,82209,'Decreases Threat to target by 135 ',100,2,3),
(121580,82209,'Must be flanking or behind',100,3,4),
(121581,82209,'Increases Threat to target by 135 ',100,2,5),
(121582,82209,'Must be in front of',100,3,6),
(121583,82209,'Cannot be modified except by direct means',100,2,7),
(121584,10082209,'When Equipped:',100,0,0),
(121585,10082209,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(121586,10082209,'Inflicts 58 - 107 magic damage on target',100,2,2),
(121587,10082209,'Cannot be modified except by direct means',100,2,3),
(121588,154649,'When Equipped:',100,0,0),
(121589,154649,'Increases Attack Speed of caster by 35.0',100,1,1),
(121590,10154649,'When Equipped:',100,0,0),
(121591,10154649,'Increases Attack Speed of caster by 35.0',100,1,1),
(121592,116107,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(121593,116107,'Heals target for 430 - 526',100,2,1),
(121594,116107,'Grants a total of 5 triggers of the spell.',100,2,2),
(121595,10116107,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(121596,10116107,'Heals target for 280 - 342',100,2,1),
(121597,10116107,'Grants a total of 5 triggers of the spell.',100,2,2),
(121598,177558,'When Equipped:',100,0,0),
(121599,177558,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(121600,177558,'Increases AGI of caster by 5.5',100,2,2),
(121601,177558,'Increases Attack Speed of caster by 14.2',100,2,3),
(121602,177558,'Cannot be modified except by direct means',100,2,4),
(121603,10177558,'When Equipped:',100,0,0),
(121604,10177558,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(121605,10177558,'Increases AGI of caster by 5.5',100,2,2),
(121606,10177558,'Increases Attack Speed of caster by 14.2',100,2,3),
(121607,10177558,'Cannot be modified except by direct means',100,2,4),
(121608,90419,'When Equipped:',100,0,0),
(121609,90419,'On a combat hit this spell may cast Thexian Curse on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121610,90419,'Decreases Damage Per Second of target by 27.5 - 33.6',100,2,2),
(121611,90419,'Cannot be modified except by direct means',100,2,3),
(121612,10090419,'When Equipped:',100,0,0),
(121613,10090419,'On a combat hit this spell may cast Thexian Curse on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121614,10090419,'Decreases Damage Per Second of target by 27.5 - 33.6',100,2,2),
(121615,10090419,'Cannot be modified except by direct means',100,2,3),
(121616,80987,'When Equipped:',100,0,0),
(121617,80987,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121618,80987,'Inflicts 351 - 652 magic damage on target',100,2,2),
(121619,80987,'Cannot be modified except by direct means',100,2,3),
(121620,10080987,'When Equipped:',100,0,0),
(121621,10080987,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121622,10080987,'Inflicts 492 - 913 magic damage on target',100,2,2),
(121623,10080987,'Cannot be modified except by direct means',100,2,3),
(121624,82395,'When Equipped:',100,0,0),
(121625,82395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121626,82395,'Inflicts 146 - 271 magic damage on target',100,2,2),
(121627,82395,'Cannot be modified except by direct means',100,2,3),
(121628,10082395,'When Equipped:',100,0,0),
(121629,10082395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121630,10082395,'Inflicts 204 - 379 magic damage on target',100,2,2),
(121631,10082395,'Cannot be modified except by direct means',100,2,3),
(121632,109362,'Inflicts 7 - 14 cold damage on target instantly and every 4 seconds',100,1,0),
(121633,109362,'Decreases Mitigation of target vs elemental damage by 141',100,1,1),
(121634,10109362,'Inflicts 10 - 19 cold damage on target instantly and every 4 seconds',100,1,0),
(121635,10109362,'Decreases Mitigation of target vs elemental damage by 141',100,1,1),
(121636,42536,'When Equipped:',100,0,0),
(121637,42536,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121638,42536,'Inflicts 93 - 139 magic damage on target',100,2,2),
(121639,42536,'Cannot be modified except by direct means',100,2,3),
(121640,10042536,'When Equipped:',100,0,0),
(121641,10042536,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121642,10042536,'Inflicts 130 - 194 magic damage on target',100,2,2),
(121643,10042536,'Cannot be modified except by direct means',100,2,3),
(121644,144599,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(121645,144599,'Decreases STR, AGI, INT and WIS of target by 25.3',100,1,1),
(121646,144599,'Decreases Max Health of target by 1.0%',100,1,2),
(121647,144599,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(121648,10144599,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(121649,10144599,'Decreases STR, AGI, INT and WIS of target by 25.3',100,1,1),
(121650,10144599,'Decreases Max Health of target by 1.0%',100,1,2),
(121651,10144599,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(121652,36076,'Increases STA and AGI of target by 5.4',100,0,0),
(121653,36076,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(121654,36076,'Increases Attack Speed of target by 10.0',100,0,2),
(121655,114581,'Inflicts 540 - 901 ranged damage on target',100,1,0),
(121656,114581,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(121657,114581,'Requires bow',100,1,2),
(121658,10114581,'Inflicts 570 - 950 ranged damage on target',100,1,0),
(121659,10114581,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(121660,10114581,'Requires bow',100,1,2),
(121661,35620,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(121662,104771,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(121663,104771,'Inflicts 531 disease damage on target',100,2,1),
(121664,104771,'Heals caster for 187',100,2,2),
(121665,104771,'Heals group members'' pets for 187',100,2,3),
(121666,10104771,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(121667,10104771,'Inflicts 690 disease damage on target',100,2,1),
(121668,10104771,'Heals caster for 122',100,2,2),
(121669,10104771,'Heals group members'' pets for 122',100,2,3),
(121670,123965,'Inflicts 271 - 452 melee damage on target',100,1,0),
(121671,123965,'Decreases AGI of target by 26.3',100,1,1),
(121672,123965,'Must be behind',100,1,2),
(121673,10123965,'Inflicts 352 - 588 melee damage on target',100,1,0),
(121674,10123965,'Decreases AGI of target by 26.3',100,1,1),
(121675,10123965,'Must be behind',100,1,2),
(121676,117264,'Inflicts 42 - 71 melee damage on target',100,1,0),
(121677,117264,'Decreases Damage Per Second of target by 7.9',100,1,1),
(121678,117264,'Decreases Attack Speed of target by 6.8',100,1,2),
(121679,10117264,'Inflicts 55 - 92 melee damage on target',100,1,0),
(121680,10117264,'Decreases Damage Per Second of target by 7.9',100,1,1),
(121681,10117264,'Decreases Attack Speed of target by 6.8',100,1,2),
(121682,116544,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(121683,116544,'Inflicts 198 divine damage on target',100,2,1),
(121684,116544,'Increases Mitigation of raid and group members (AE) vs all damage by 1330',100,1,2),
(121685,10116544,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(121686,10116544,'Inflicts 258 divine damage on target',100,2,1),
(121687,10116544,'Increases Mitigation of raid and group members (AE) vs all damage by 1330',100,1,2),
(121688,48315,'Applies trauma remedy when Activated.',100,0,0),
(121689,48315,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(121690,10048315,'Applies trauma remedy when Activated.',100,0,0),
(121691,10048315,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(121692,112503,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(121693,112503,'Inflicts 66 disease damage on target instantly and every 4 seconds',100,2,1),
(121694,112503,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(121695,10112503,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(121696,10112503,'Inflicts 86 disease damage on target instantly and every 4 seconds',100,2,1),
(121697,10112503,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(121698,159695,'Applies Sanguine Imbued when Equipped.',100,0,0),
(121699,159695,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(121700,159695,'Inflicts 236 heat damage on target',100,2,2),
(121701,159695,'Cannot be modified except by direct means',100,2,3),
(121702,10159695,'Applies Sanguine Imbued when Equipped.',100,0,0),
(121703,10159695,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(121704,10159695,'Inflicts 306 heat damage on target',100,2,2),
(121705,10159695,'Cannot be modified except by direct means',100,2,3),
(121706,24018,'Adds Aviak (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(121707,10024018,'Adds Aviak (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(121708,106791,'Shapechanges caster into an ogre',100,1,0),
(121709,10106791,'Shapechanges caster into an ogre',100,1,0),
(121710,101301,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(121711,101301,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,1),
(121712,10101301,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(121713,10101301,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,1),
(121714,176655,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(121715,176655,'Decreases STR, AGI, WIS and INT of target by 68.4',100,1,1),
(121716,176655,'Decreases Max Health of target by 1.0%',100,1,2),
(121717,176655,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(121718,10176655,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(121719,10176655,'Decreases STR, AGI, WIS and INT of target by 68.4',100,1,1),
(121720,10176655,'Decreases Max Health of target by 1.0%',100,1,2),
(121721,10176655,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(121722,124284,'Wards group members (AE) against 462 points of elemental damage',100,1,0),
(121723,124284,'Increases Mitigation of group members (AE) vs elemental damage by 290',100,1,1),
(121724,10124284,'Wards group members (AE) against 462 points of elemental damage',100,1,0),
(121725,10124284,'Increases Mitigation of group members (AE) vs elemental damage by 290',100,1,1),
(121726,141781,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(121727,141781,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(121728,141781,'Inflicts 64 heat damage on target',100,2,2),
(121729,141781,'Cannot be modified except by direct means',100,2,3),
(121730,10141781,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(121731,10141781,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(121732,10141781,'Inflicts 84 heat damage on target',100,2,2),
(121733,10141781,'Cannot be modified except by direct means',100,2,3),
(121734,104330,'Charms target',100,1,0),
(121735,104330,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(121736,104330,'Mesmerizes target',100,2,2),
(121737,104330,'Dispelled when target takes damage',100,2,3),
(121738,104330,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(121739,104330,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(121740,104330,'Grants Sonic Vision to caster',100,2,6),
(121741,104330,'Increases Out-of-Combat Power Regeneration of target by 3.0',100,1,7),
(121742,104330,'Increases Out-of-Combat Health Regeneration of target by 6.0',100,1,8),
(121743,104330,'Certain enemies cannot be charmed',100,1,9),
(121744,104330,'Only affects targets level 24 and below',100,1,10),
(121745,104330,'Does not affect Epic targets',100,1,11),
(121746,10104330,'Mesmerizes target',100,1,0),
(121747,10104330,'Prevents AOE (except when direct) ',100,1,1),
(121748,10104330,'Dispelled when target takes damage',100,1,2),
(121749,10104330,'Certain enemies cannot be charmed',100,1,3),
(121750,10104330,'Only affects targets level 24 and below',100,1,4),
(121751,10104330,'Does not affect Epic targets',100,1,5),
(121752,10104330,'Resistibility increases against targets higher than level 39.',100,1,6),
(121753,45037,'Applies Immortalize the Leviathan when Activated.',100,0,0),
(121754,45037,'Summon 1 Trophy: Leviathan Tentacle',100,1,1),
(121755,45037,'This effect cannot be cast during combat',100,1,2),
(121756,10045037,'Applies Immortalize the Leviathan when Activated.',100,0,0),
(121757,10045037,'Summon 1 Trophy: Leviathan Tentacle',100,1,1),
(121758,10045037,'This effect cannot be cast during combat',100,1,2),
(121759,108763,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(121760,108763,'Inflicts 21 - 26 heat damage on target instantly and every 4 seconds',100,2,1),
(121761,108763,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(121762,108763,'Inflicts 93 - 114 heat damage on target encounter',100,3,3),
(121763,108763,'Grants a total of 1 trigger of the spell.',100,3,4),
(121764,10108763,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(121765,10108763,'Inflicts 27 - 33 heat damage on target instantly and every 4 seconds',100,2,1),
(121766,10108763,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(121767,10108763,'Inflicts 121 - 148 heat damage on target encounter',100,3,3),
(121768,10108763,'Grants a total of 1 trigger of the spell.',100,3,4),
(121769,108235,'Inflicts 239 - 717 piercing damage on target',100,1,0),
(121770,108235,'Decreases Slashing, Crushing, Piercing and Ranged of target by 25.2',100,1,1),
(121771,10108235,'Inflicts 310 - 932 piercing damage on target',100,1,0),
(121772,10108235,'Decreases Slashing, Crushing, Piercing and Ranged of target by 25.2',100,1,1),
(121773,72100,'When Equipped:',100,0,0),
(121774,72100,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121775,72100,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(121776,72100,'Cannot be modified except by direct means',100,2,3),
(121777,10072100,'When Equipped:',100,0,0),
(121778,10072100,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(121779,10072100,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(121780,10072100,'Cannot be modified except by direct means',100,2,3),
(121781,49138,'Applies Singing Wind when Activated.',100,0,0),
(121782,49138,'Purifies soul of recipient. ',100,1,1),
(121783,10049138,'Applies Singing Wind when Activated.',100,0,0),
(121784,10049138,'Purifies soul of recipient. ',100,1,1),
(121785,55292,'When Equipped:',100,0,0),
(121786,55292,'This effect will not stack with any rank or tier of itself.',100,1,1),
(121787,55292,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(121788,55292,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,3),
(121789,55292,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,4),
(121790,55292,'Inflicts 201 - 222 piercing damage on target',100,3,5),
(121791,55292,'Must not be engaged in pvp combat',100,3,6),
(121792,55292,'Cannot be modified except by direct means',100,3,7),
(121793,55292,'Must not be engaged in pvp combat',100,2,8),
(121794,55292,'Cannot be modified except by direct means',100,2,9),
(121795,55292,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(121796,55292,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,11),
(121797,55292,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,12),
(121798,55292,'Inflicts 201 - 222 piercing damage on target',100,3,13),
(121799,55292,'Must not be engaged in pvp combat',100,3,14),
(121800,55292,'Cannot be modified except by direct means',100,3,15),
(121801,55292,'Must not be engaged in pvp combat',100,2,16),
(121802,55292,'Cannot be modified except by direct means',100,2,17),
(121803,55292,'Cannot be modified except by direct means',100,1,18),
(121804,10055292,'When Equipped:',100,0,0),
(121805,10055292,'This effect will not stack with any rank or tier of itself.',100,1,1),
(121806,10055292,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(121807,10055292,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,3),
(121808,10055292,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,4),
(121809,10055292,'Inflicts 261 - 289 piercing damage on target',100,3,5),
(121810,10055292,'Must not be engaged in pvp combat',100,3,6),
(121811,10055292,'Cannot be modified except by direct means',100,3,7),
(121812,10055292,'Must not be engaged in pvp combat',100,2,8),
(121813,10055292,'Cannot be modified except by direct means',100,2,9),
(121814,10055292,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(121815,10055292,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,11),
(121816,10055292,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,12),
(121817,10055292,'Inflicts 261 - 289 piercing damage on target',100,3,13),
(121818,10055292,'Must not be engaged in pvp combat',100,3,14),
(121819,10055292,'Cannot be modified except by direct means',100,3,15),
(121820,10055292,'Must not be engaged in pvp combat',100,2,16),
(121821,10055292,'Cannot be modified except by direct means',100,2,17),
(121822,10055292,'Cannot be modified except by direct means',100,1,18),
(121823,124374,'Inflicts 327 - 399 divine damage on target',100,1,0),
(121824,124374,'Inflicts 136 - 166 divine damage on target every 4 seconds',100,1,1),
(121825,10124374,'Inflicts 425 - 519 divine damage on target',100,1,0),
(121826,10124374,'Inflicts 177 - 216 divine damage on target every 4 seconds',100,1,1),
(121827,104021,'Stifles target',100,1,0),
(121828,104021,'If Target is not Epic',100,2,1),
(121829,104021,'Interrupts target',100,1,2),
(121830,104021,'Decreases Threat to target by 427 - 522 ',100,1,3),
(121831,104021,'Resistibility increases against targets higher than level 67.',100,1,4),
(121832,10104021,'Stifles target',100,1,0),
(121833,10104021,'If Target is not Epic',100,2,1),
(121834,10104021,'Interrupts target',100,1,2),
(121835,10104021,'Resistibility increases against targets higher than level 67.',100,1,3),
(121836,119891,'Increases INT and AGI of group members (AE) by 61.7',100,1,0),
(121837,119891,'Adds 1.5% to base avoidance.',100,1,1),
(121838,10119891,'Increases INT and AGI of group members (AE) by 61.7',100,1,0),
(121839,10119891,'Adds 1.5% to base avoidance.',100,1,1),
(121840,124185,'Inflicts 201 - 336 melee damage on target',100,1,0),
(121841,10124185,'Inflicts 262 - 437 melee damage on target',100,1,0),
(121842,105280,'Increases AGI of caster by 38.8',100,1,0),
(121843,105280,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(121844,105280,'Inflicts 43 - 71 mental damage on target',100,2,2),
(121845,105280,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(121846,105280,'Inflicts 43 - 71 mental damage on target',100,2,4),
(121847,105280,'Adds 21.8% to base avoidance.',100,1,5),
(121848,105280,'Increases Mitigation of caster vs physical damage by 127',100,1,6),
(121849,105280,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,7),
(121850,10105280,'Increases AGI of caster by 38.8',100,1,0),
(121851,10105280,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(121852,10105280,'Inflicts 55 - 92 mental damage on target',100,2,2),
(121853,10105280,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(121854,10105280,'Inflicts 55 - 92 mental damage on target',100,2,4),
(121855,10105280,'Adds 21.8% to base avoidance.',100,1,5),
(121856,10105280,'Increases Mitigation of caster vs physical damage by 127',100,1,6),
(121857,10105280,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,7),
(121858,112322,'Inflicts 332 - 406 disease damage on target',100,1,0),
(121859,112322,'Inflicts 166 - 203 disease damage on target every 3 seconds',100,1,1),
(121860,112322,'Increases Threat to target by 2,145 - 2,621  instantly and by 403 - 492  every 3 seconds thereafter',100,1,2),
(121861,10112322,'Inflicts 216 - 264 disease damage on target every 3 seconds',100,1,0),
(121862,10112322,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(121863,103089,'Decreases Attack Speed of target by 10.9',100,1,0),
(121864,103089,'Inflicts 44 - 74 crushing damage on target',100,1,1),
(121865,10103089,'Decreases Attack Speed of target by 10.9',100,1,0),
(121866,10103089,'Inflicts 57 - 96 crushing damage on target',100,1,1),
(121867,109394,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(121868,109394,'Inflicts 94 - 114 cold damage on target',100,2,1),
(121869,109394,'Slows target by 37.0%',100,2,2),
(121870,109394,'5% chance to dispel when target receives hostile action',100,2,3),
(121871,109394,'5% chance to dispel when target takes damage',100,2,4),
(121872,10109394,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(121873,10109394,'Inflicts 122 - 149 cold damage on target',100,2,1),
(121874,10109394,'Slows target by 37.0%',100,2,2),
(121875,10109394,'5% chance to dispel when target receives hostile action',100,2,3),
(121876,10109394,'5% chance to dispel when target takes damage',100,2,4),
(121877,140286,'When Equipped:',100,0,0),
(121878,140286,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(121879,140286,'Increases Attack Speed of caster by 20.0',100,2,2),
(121880,140286,'Increases Damage Per Second of caster by 20.0',100,2,3),
(121881,140286,'Cannot be modified except by direct means',100,2,4),
(121882,10140286,'When Equipped:',100,0,0),
(121883,10140286,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(121884,10140286,'Increases Attack Speed of caster by 20.0',100,2,2),
(121885,10140286,'Increases Damage Per Second of caster by 20.0',100,2,3),
(121886,10140286,'Cannot be modified except by direct means',100,2,4),
(121887,117483,'Increases Attack Speed of target by 30.7',100,1,0),
(121888,10117483,'Increases Attack Speed of target by 30.7',100,1,0),
(121889,82031,'When Equipped:',100,0,0),
(121890,82031,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121891,82031,'Inflicts 212 - 393 magic damage on target',100,2,2),
(121892,82031,'Cannot be modified except by direct means',100,2,3),
(121893,10082031,'When Equipped:',100,0,0),
(121894,10082031,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121895,10082031,'Inflicts 275 - 511 magic damage on target',100,2,2),
(121896,10082031,'Cannot be modified except by direct means',100,2,3),
(121897,119917,'Stifles target',100,1,0),
(121898,119917,'Inflicts 253 - 310 mental damage on target',100,1,1),
(121899,119917,'Inflicts 84 - 103 mental damage on target every 2 seconds',100,1,2),
(121900,119917,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,3),
(121901,119917,'Resistibility increases against targets higher than level 73.',100,1,4),
(121902,10119917,'Stifles target',100,1,0),
(121903,10119917,'Inflicts 329 - 402 mental damage on target',100,1,1),
(121904,10119917,'Inflicts 110 - 134 mental damage on target every second',100,1,2),
(121905,10119917,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(121906,10119917,'Resistibility increases against targets higher than level 73.',100,1,4),
(121907,179323,'When Equipped:',100,0,0),
(121908,179323,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(121909,179323,'Increases power of caster by 146',100,2,2),
(121910,179323,'Cannot be modified except by direct means',100,2,3),
(121911,10179323,'When Equipped:',100,0,0),
(121912,10179323,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(121913,10179323,'Increases power of caster by 146',100,2,2),
(121914,10179323,'Cannot be modified except by direct means',100,2,3),
(121915,119038,'Decreases power of target by 44 - 73',100,1,0),
(121916,119038,'Increases power of caster by 17 - 28',100,1,1),
(121917,119038,'Inflicts 46 - 78 mental damage on target',100,1,2),
(121918,10119038,'Decreases power of target by 44 - 73',100,1,0),
(121919,10119038,'Increases power of caster by 17 - 28',100,1,1),
(121920,10119038,'Inflicts 61 - 101 mental damage on target',100,1,2),
(121921,27262,'When Equipped:',100,0,0),
(121922,27262,'Increases Crit Chance of caster by 1.0',100,1,1),
(121923,10027262,'When Equipped:',100,0,0),
(121924,10027262,'Increases Crit Chance of caster by 1.0',100,1,1),
(121925,35382,'Increases STA and WIS of target by 1.1',100,0,0),
(121926,35382,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(121927,188508,'When Equipped:',100,0,0),
(121928,188508,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(121929,188508,'Heals group members (AE) for 2304',100,2,2),
(121930,188508,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(121931,188508,'Must not be engaged in pvp combat',100,2,4),
(121932,188508,'Cannot be modified except by direct means',100,2,5),
(121933,188508,'Must not be engaged in pvp combat',100,1,6),
(121934,10188508,'When Equipped:',100,0,0),
(121935,10188508,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(121936,10188508,'Heals group members (AE) for 2695',100,2,2),
(121937,10188508,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(121938,10188508,'Must not be engaged in pvp combat',100,2,4),
(121939,10188508,'Cannot be modified except by direct means',100,2,5),
(121940,10188508,'Must not be engaged in pvp combat',100,1,6),
(121941,134789,'When Equipped:',100,0,0),
(121942,134789,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121943,134789,'Decreases Threat to target by 500 ',100,2,2),
(121944,134789,'Cannot be modified except by direct means',100,2,3),
(121945,10134789,'When Equipped:',100,0,0),
(121946,10134789,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(121947,10134789,'Cannot be modified except by direct means',100,2,2),
(121948,116410,'Heals target for 574 - 701 instantly and every 2 seconds',100,1,0),
(121949,10116410,'Heals target for 373 - 456 instantly and every 2 seconds',100,1,0),
(121950,112456,'Mesmerizes target',100,1,0),
(121951,112456,'Prevents AOE (except when direct) ',100,1,1),
(121952,112456,'Dispelled when target takes damage',100,1,2),
(121953,112456,'Does not affect Epic targets',100,1,3),
(121954,112456,'Resistibility increases against targets higher than level 116.',100,1,4),
(121955,10112456,'Mesmerizes target',100,1,0),
(121956,10112456,'Prevents AOE (except when direct) ',100,1,1),
(121957,10112456,'Dispelled when target takes damage',100,1,2),
(121958,10112456,'Does not affect Epic targets',100,1,3),
(121959,10112456,'Resistibility increases against targets higher than level 116.',100,1,4),
(121960,121411,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(121961,121411,'Slows target by 39.8%',100,2,1),
(121962,121411,'5% chance to dispel when target receives hostile action',100,2,2),
(121963,121411,'5% chance to dispel when target takes damage',100,2,3),
(121964,121411,'Inflicts 72 - 120 ranged damage on target',100,1,4),
(121965,121411,'Inflicts 72 - 120 ranged damage on target',100,1,5),
(121966,121411,'If weapon equipped in Ranged',100,1,6),
(121967,10121411,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(121968,10121411,'Slows target by 39.8%',100,2,1),
(121969,10121411,'5% chance to dispel when target receives hostile action',100,2,2),
(121970,10121411,'5% chance to dispel when target takes damage',100,2,3),
(121971,10121411,'Inflicts 61 - 102 ranged damage on target',100,1,4),
(121972,10121411,'Inflicts 61 - 102 ranged damage on target',100,1,5),
(121973,10121411,'If weapon equipped in Ranged',100,1,6),
(121974,108800,'Inflicts 233 - 433 heat damage on targets in Area of Effect',100,1,0),
(121975,10108800,'Inflicts 303 - 563 heat damage on targets in Area of Effect',100,1,0),
(121976,121327,'Inflicts 1878 - 3130 ranged damage on targets in area',100,1,0),
(121977,121327,'Requires bow',100,1,1),
(121978,10121327,'Inflicts 1436 - 2394 ranged damage on targets in area',100,1,0),
(121979,10121327,'Requires bow',100,1,1),
(121980,159492,'Applies Lambent Imbued when Equipped.',100,0,0),
(121981,159492,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(121982,159492,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(121983,159492,'Cannot be modified except by direct means',100,2,3),
(121984,10159492,'Applies Lambent Imbued when Equipped.',100,0,0),
(121985,10159492,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(121986,10159492,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(121987,10159492,'Cannot be modified except by direct means',100,2,3),
(121988,46884,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(121989,46884,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(121990,46884,'Decreases AGI of target by 58.0',100,2,2),
(121991,46884,'Decreases Parry, Deflection and Defense of target by 22.2',100,2,3),
(121992,46884,'Cannot be modified except by direct means',100,2,4),
(121993,46884,'Grants a total of 60 triggers of the spell.',100,2,5),
(121994,10046884,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(121995,10046884,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(121996,10046884,'Decreases AGI of target by 58.0',100,2,2),
(121997,10046884,'Decreases Parry, Deflection and Defense of target by 22.2',100,2,3),
(121998,10046884,'Cannot be modified except by direct means',100,2,4),
(121999,10046884,'Grants a total of 60 triggers of the spell.',100,2,5),
(122000,35088,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(122001,35088,'This effect suspends during combat',100,0,1),
(122002,80999,'When Equipped:',100,0,0),
(122003,80999,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122004,80999,'Inflicts 70 - 131 magic damage on target',100,2,2),
(122005,80999,'Decreases Threat to target by 153 ',100,2,3),
(122006,80999,'Must be flanking or behind',100,3,4),
(122007,80999,'Increases Threat to target by 153 ',100,2,5),
(122008,80999,'Must be in front of',100,3,6),
(122009,80999,'Cannot be modified except by direct means',100,2,7),
(122010,10080999,'When Equipped:',100,0,0),
(122011,10080999,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122012,10080999,'Inflicts 91 - 170 magic damage on target',100,2,2),
(122013,10080999,'Cannot be modified except by direct means',100,2,3),
(122014,45800,'Applies Pegasus when Activated.',100,0,0),
(122015,45800,'Increases Piercing, Slashing and Crushing of caster by 5.0',100,1,1),
(122016,45800,'Summons a mount to ride',100,1,2),
(122017,45800,'Increases your ground speed by 75%',100,2,3),
(122018,45800,'Increases your air speed by 150%',100,2,4),
(122019,45800,'Increases Aggression, Ranged, Focus, Subjugation, Ministration, Ordination and Disruption of caster by 5.0',100,1,5),
(122020,10045800,'Applies Pegasus when Activated.',100,0,0),
(122021,10045800,'Increases Piercing, Slashing and Crushing of caster by 5.0',100,1,1),
(122022,10045800,'Summons a mount to ride',100,1,2),
(122023,10045800,'Increases your ground speed by 75%',100,2,3),
(122024,10045800,'Increases your air speed by 150%',100,2,4),
(122025,10045800,'Increases Aggression, Ranged, Focus, Subjugation, Ministration, Ordination and Disruption of caster by 5.0',100,1,5),
(122026,104281,'Inflicts 54 - 91 melee damage on target',100,1,0),
(122027,104281,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(122028,104281,'Stuns target',100,2,2),
(122029,104281,'Throws target back',100,2,3),
(122030,104281,'Blurs vision of target',100,2,4),
(122031,104281,'Does not affect Epic targets',100,2,5),
(122032,10104281,'Inflicts 71 - 118 melee damage on target',100,1,0),
(122033,10104281,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(122034,10104281,'Stuns target',100,2,2),
(122035,10104281,'Throws target back',100,2,3),
(122036,10104281,'Blurs vision of target',100,2,4),
(122037,10104281,'Does not affect Epic targets',100,2,5),
(122038,155338,'When Equipped:',100,0,0),
(122039,155338,'On a damage spell hit this spell may cast Harrowing Strike on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(122040,155338,'Inflicts 533 magic damage on target',100,2,2),
(122041,155338,'Cannot be modified except by direct means',100,2,3),
(122042,10155338,'When Equipped:',100,0,0),
(122043,10155338,'On a damage spell hit this spell may cast Harrowing Strike on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(122044,10155338,'Inflicts 694 magic damage on target',100,2,2),
(122045,10155338,'Cannot be modified except by direct means',100,2,3),
(122046,108873,'Inflicts 249 - 416 melee damage on target',100,1,0),
(122047,108873,'Decreases INT of target by 90.8',100,1,1),
(122048,10108873,'Inflicts 324 - 541 melee damage on target',100,1,0),
(122049,10108873,'Decreases INT of target by 90.8',100,1,1),
(122050,81442,'When Equipped:',100,0,0),
(122051,81442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122052,81442,'Inflicts 109 - 202 magic damage on target',100,2,2),
(122053,81442,'Cannot be modified except by direct means',100,2,3),
(122054,10081442,'When Equipped:',100,0,0),
(122055,10081442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122056,10081442,'Inflicts 142 - 263 magic damage on target',100,2,2),
(122057,10081442,'Cannot be modified except by direct means',100,2,3),
(122058,108129,'Increases Attack Speed of caster by 31.1',100,1,0),
(122059,10108129,'Increases Attack Speed of caster by 31.1',100,1,0),
(122060,103150,'Throws target back',100,1,0),
(122061,103150,'If Target is not Epic',100,2,1),
(122062,103150,'Inflicts 52 - 158 crushing damage on target',100,1,2),
(122063,103150,'Stuns target',100,1,3),
(122064,103150,'If Target is not Epic',100,2,4),
(122065,103150,'Resistibility increases against targets higher than level 56.',100,1,5),
(122066,10103150,'Throws target back',100,1,0),
(122067,10103150,'If Target is not Epic',100,2,1),
(122068,10103150,'Inflicts 68 - 205 crushing damage on target',100,1,2),
(122069,10103150,'Stuns target',100,1,3),
(122070,10103150,'If Target is not Epic',100,2,4),
(122071,10103150,'Resistibility increases against targets higher than level 56.',100,1,5),
(122072,47821,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(122073,47821,'Increases power of caster by 264 instantly and every 5 seconds',100,1,1),
(122074,10047821,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(122075,10047821,'Increases power of caster by 190 instantly and every 5 seconds',100,1,1),
(122076,137548,'When Equipped:',100,0,0),
(122077,137548,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(122078,137548,'Wards caster against 150 points of all damage',100,2,2),
(122079,137548,'Cannot be modified except by direct means',100,2,3),
(122080,10137548,'When Equipped:',100,0,0),
(122081,10137548,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(122082,10137548,'Wards caster against 150 points of all damage',100,2,2),
(122083,10137548,'Cannot be modified except by direct means',100,2,3),
(122084,122876,'Inflicts 341 - 569 ranged damage on target',100,1,0),
(122085,122876,'Inflicts 682 - 1138 ranged damage on target',100,1,1),
(122086,122876,'Inflicts 1024 - 1707 ranged damage on target',100,1,2),
(122087,122876,'Requires bow',100,1,3),
(122088,10122876,'Inflicts 362 - 604 ranged damage on target',100,1,0),
(122089,10122876,'Inflicts 725 - 1209 ranged damage on target',100,1,1),
(122090,10122876,'Inflicts 1088 - 1813 ranged damage on target',100,1,2),
(122091,10122876,'Requires bow',100,1,3),
(122092,24041,'Adds Boar (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(122093,10024041,'Adds Boar (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(122094,118807,'Wards group members (AE) against 71 points of physical damage',100,1,0),
(122095,118807,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,1),
(122096,10118807,'Wards group members (AE) against 71 points of physical damage',100,1,0),
(122097,10118807,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,1),
(122098,52782,'Applies Sanguine Imbued when Equipped.',100,0,0),
(122099,52782,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(122100,52782,'Inflicts 161 heat damage on target',100,2,2),
(122101,52782,'Cannot be modified except by direct means',100,2,3),
(122102,10052782,'Applies Sanguine Imbued when Equipped.',100,0,0),
(122103,10052782,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(122104,10052782,'Inflicts 210 heat damage on target',100,2,2),
(122105,10052782,'Cannot be modified except by direct means',100,2,3),
(122106,114279,'Heals target for 140 - 171',100,1,0),
(122107,10114279,'Heals target for 164 - 201',100,1,0),
(122108,45155,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(122109,45155,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(122110,45155,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(122111,45155,'Cannot be modified except by direct means',100,2,3),
(122112,45155,'Grants a total of 80 triggers of the spell.',100,2,4),
(122113,10045155,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(122114,10045155,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(122115,10045155,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(122116,10045155,'Cannot be modified except by direct means',100,2,3),
(122117,10045155,'Grants a total of 80 triggers of the spell.',100,2,4),
(122118,139302,'When Equipped:',100,0,0),
(122119,139302,'Reduces maximum falling speed of caster',100,1,1),
(122120,139302,'Applies Disguise when Activated.  Lasts for 12 hours.',100,0,2),
(122121,139302,'Shapechanges caster into an Inconspicuous Crate',100,1,3),
(122122,139302,'This effect cancels during combat',100,1,4),
(122123,139302,'The casting time of Disguise is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,5),
(122124,10139302,'When Equipped:',100,0,0),
(122125,10139302,'Reduces maximum falling speed of caster',100,1,1),
(122126,10139302,'Applies Disguise when Activated.  Lasts for 12 hours.',100,0,2),
(122127,10139302,'Shapechanges caster into an Inconspicuous Crate',100,1,3),
(122128,10139302,'This effect cancels during combat',100,1,4),
(122129,10139302,'The casting time of Disguise is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,5),
(122130,46602,'Applies Drop the Grozmok Stone when Activated.',100,0,0),
(122131,46602,'Drop the Grozmok stone.',100,1,1),
(122132,10046602,'Applies Drop the Grozmok Stone when Activated.',100,0,0),
(122133,10046602,'Drop the Grozmok stone.',100,1,1),
(122134,81364,'When Equipped:',100,0,0),
(122135,81364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122136,81364,'Inflicts 121 - 225 magic damage on target',100,2,2),
(122137,81364,'Cannot be modified except by direct means',100,2,3),
(122138,10081364,'When Equipped:',100,0,0),
(122139,10081364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122140,10081364,'Inflicts 157 - 292 magic damage on target',100,2,2),
(122141,10081364,'Cannot be modified except by direct means',100,2,3),
(122142,183220,'When Equipped:',100,0,0),
(122143,183220,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122144,183220,'Inflicts 2664 disease damage on target encounter',100,2,2),
(122145,183220,'Must not be engaged in pvp combat',100,2,3),
(122146,183220,'Cannot be modified except by direct means',100,2,4),
(122147,10183220,'When Equipped:',100,0,0),
(122148,10183220,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122149,10183220,'Inflicts 1732 disease damage on target encounter',100,2,2),
(122150,10183220,'Must not be engaged in pvp combat',100,2,3),
(122151,10183220,'Cannot be modified except by direct means',100,2,4),
(122152,120243,'Inflicts 220 - 367 crushing damage on target',100,1,0),
(122153,10120243,'Inflicts 286 - 478 crushing damage on target',100,1,0),
(122154,107140,'Inflicts 625 - 764 divine damage on target',100,1,0),
(122155,107140,'Inflicts 625 - 764 divine damage on target',100,1,1),
(122156,107140,'If target is undead',100,2,2),
(122157,10107140,'Inflicts 813 - 994 divine damage on target',100,1,0),
(122158,10107140,'Inflicts 813 - 994 divine damage on target',100,1,1),
(122159,109623,'Increases Defense of group members'' pets (AE) by 18.5',100,1,0),
(122160,109623,'Increases Mitigation of group members (AE) vs all damage by 299',100,1,1),
(122161,10109623,'Increases Defense of group members'' pets (AE) by 18.5',100,1,0),
(122162,10109623,'Increases Mitigation of group members (AE) vs all damage by 299',100,1,1),
(122163,36618,'Increases STA of target by 0.4',100,0,0),
(122164,36618,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(122165,75972,'When Equipped:',100,0,0),
(122166,75972,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(122167,75972,'Increases Potency of caster by 5.0%',100,2,2),
(122168,75972,'Cannot be modified except by direct means',100,2,3),
(122169,10075972,'When Equipped:',100,0,0),
(122170,10075972,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(122171,10075972,'Increases Potency of caster by 5.0%',100,2,2),
(122172,10075972,'Cannot be modified except by direct means',100,2,3),
(122173,74802,'When Equipped:',100,0,0),
(122174,74802,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122175,74802,'Inflicts 131 - 197 magic damage on target',100,2,2),
(122176,74802,'Cannot be modified except by direct means',100,2,3),
(122177,10074802,'When Equipped:',100,0,0),
(122178,10074802,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122179,10074802,'Inflicts 171 - 256 magic damage on target',100,2,2),
(122180,10074802,'Cannot be modified except by direct means',100,2,3),
(122181,46971,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(122182,46971,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(122183,46971,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,2),
(122184,46971,'Inflicts 109 poison damage on target',100,2,3),
(122185,46971,'Cannot be modified except by direct means',100,2,4),
(122186,46971,'Grants a total of 200 triggers of the spell.',100,2,5),
(122187,10046971,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(122188,10046971,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(122189,10046971,'Inflicts 106 poison damage on target',100,2,2),
(122190,10046971,'Inflicts 31 poison damage on target instantly and every 6 seconds',100,2,3),
(122191,10046971,'Cannot be modified except by direct means',100,2,4),
(122192,10046971,'Grants a total of 200 triggers of the spell.',100,2,5),
(122193,81049,'When Equipped:',100,0,0),
(122194,81049,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122195,81049,'Inflicts 226 - 419 magic damage on target',100,2,2),
(122196,81049,'Decreases Threat to target by 517 ',100,2,3),
(122197,81049,'Must be flanking or behind',100,3,4),
(122198,81049,'Increases Threat to target by 517 ',100,2,5),
(122199,81049,'Must be in front of',100,3,6),
(122200,81049,'Cannot be modified except by direct means',100,2,7),
(122201,10081049,'When Equipped:',100,0,0),
(122202,10081049,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122203,10081049,'Inflicts 293 - 545 magic damage on target',100,2,2),
(122204,10081049,'Cannot be modified except by direct means',100,2,3),
(122205,163385,'When Equipped:',100,0,0),
(122206,163385,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(122207,163385,'Decreases Attack Speed of target by 20.0',100,2,2),
(122208,163385,'Cannot be modified except by direct means',100,2,3),
(122209,10163385,'When Equipped:',100,0,0),
(122210,10163385,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(122211,10163385,'Decreases Attack Speed of target by 20.0',100,2,2),
(122212,10163385,'Cannot be modified except by direct means',100,2,3),
(122213,25125,'When Equipped:',100,0,0),
(122214,25125,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122215,25125,'Inflicts 30 magic damage on target',100,2,2),
(122216,25125,'Cannot be modified except by direct means',100,2,3),
(122217,25125,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(122218,25125,'Inflicts 30 magic damage on target',100,2,5),
(122219,25125,'Cannot be modified except by direct means',100,2,6),
(122220,10025125,'When Equipped:',100,0,0),
(122221,10025125,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122222,10025125,'Inflicts 33 magic damage on target',100,2,2),
(122223,10025125,'Cannot be modified except by direct means',100,2,3),
(122224,10025125,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(122225,10025125,'Inflicts 33 magic damage on target',100,2,5),
(122226,10025125,'Cannot be modified except by direct means',100,2,6),
(122227,100724,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(122228,100724,'Increases Mitigation of group members (AE) vs noxious damage by 725',100,1,1),
(122229,10100724,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(122230,10100724,'Increases Mitigation of group members (AE) vs noxious damage by 725',100,1,1),
(122231,41549,'When Equipped:',100,0,0),
(122232,41549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122233,41549,'Inflicts 121 - 225 magic damage on target',100,2,2),
(122234,41549,'Cannot be modified except by direct means',100,2,3),
(122235,10041549,'When Equipped:',100,0,0),
(122236,10041549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122237,10041549,'Inflicts 157 - 292 magic damage on target',100,2,2),
(122238,10041549,'Cannot be modified except by direct means',100,2,3),
(122239,83979,'Applies Lightning Shock when Activated.',100,0,0),
(122240,83979,'Inflicts 133 - 222 magic damage on target',100,1,1),
(122241,83979,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(122242,10083979,'Applies Lightning Shock when Activated.',100,0,0),
(122243,10083979,'Inflicts 173 - 289 magic damage on target',100,1,1),
(122244,10083979,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(122245,107226,'Inflicts 1162 - 1938 melee damage on targets in area',100,1,0),
(122246,107226,'Dispels 215 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(122247,10107226,'Inflicts 1511 - 2519 melee damage on targets in area',100,1,0),
(122248,10107226,'Reduces healing received of targets in area by 10%',100,1,1),
(122249,82807,'Applies Imbued Smite when Equipped.',100,0,0),
(122250,82807,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(122251,82807,'Inflicts 628 divine damage on target instantly and every second',100,2,2),
(122252,82807,'Cannot be modified except by direct means',100,2,3),
(122253,82807,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(122254,82807,'Inflicts 628 divine damage on target instantly and every second',100,2,5),
(122255,82807,'Cannot be modified except by direct means',100,2,6),
(122256,10082807,'Applies Imbued Smite when Equipped.',100,0,0),
(122257,10082807,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(122258,10082807,'Inflicts 817 divine damage on target instantly and every second',100,2,2),
(122259,10082807,'Cannot be modified except by direct means',100,2,3),
(122260,10082807,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(122261,10082807,'Inflicts 817 divine damage on target instantly and every second',100,2,5),
(122262,10082807,'Cannot be modified except by direct means',100,2,6),
(122263,36891,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(122264,36891,'This effect suspends during combat',100,0,1),
(122265,105022,'Increases WIS of raid and group members (AE) by 19.6',100,1,0),
(122266,105022,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(122267,105022,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 73',100,1,2),
(122268,10105022,'Increases WIS of raid and group members (AE) by 19.6',100,1,0),
(122269,10105022,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(122270,10105022,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 73',100,1,2),
(122271,120983,'Inflicts 36 - 60 poison damage on target',100,1,0),
(122272,120983,'Inflicts 9 - 15 poison damage on target instantly and every 4 seconds',100,1,1),
(122273,10120983,'Inflicts 46 - 78 poison damage on target',100,1,0),
(122274,10120983,'Inflicts 12 - 20 poison damage on target instantly and every 4 seconds',100,1,1),
(122275,141697,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(122276,141697,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(122277,141697,'Inflicts 64 heat damage on target',100,2,2),
(122278,141697,'Cannot be modified except by direct means',100,2,3),
(122279,10141697,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(122280,10141697,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(122281,10141697,'Inflicts 84 heat damage on target',100,2,2),
(122282,10141697,'Cannot be modified except by direct means',100,2,3),
(122283,186962,'When Equipped:',100,0,0),
(122284,186962,'On a combat hit this spell may cast Adrenaline Rage on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(122285,186962,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(122286,186962,'Cannot be modified except by direct means',100,2,3),
(122287,10186962,'When Equipped:',100,0,0),
(122288,10186962,'On a combat hit this spell may cast Adrenaline Rage on caster.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(122289,10186962,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(122290,10186962,'Cannot be modified except by direct means',100,2,3),
(122291,45429,'Applies Brown Nightmare Warg with Red Armor when Activated.',100,0,0),
(122292,45429,'Increases Ranged and Crushing of caster by 7.0',100,1,1),
(122293,45429,'Summons a mount to ride',100,1,2),
(122294,45429,'Increases your ground speed by 130%',100,2,3),
(122295,45429,'Increases Slashing, Disruption and Piercing of caster by 7.0',100,1,4),
(122296,45429,'Increases Ability Modifier of caster by 75.0',100,1,5),
(122297,45429,'Requires evil alignment',100,1,6),
(122298,10045429,'Applies Brown Nightmare Warg with Red Armor when Activated.',100,0,0),
(122299,10045429,'Increases Ranged and Crushing of caster by 7.0',100,1,1),
(122300,10045429,'Summons a mount to ride',100,1,2),
(122301,10045429,'Increases your ground speed by 130%',100,2,3),
(122302,10045429,'Increases Slashing, Disruption and Piercing of caster by 7.0',100,1,4),
(122303,10045429,'Increases Ability Modifier of caster by 75.0',100,1,5),
(122304,10045429,'Requires evil alignment',100,1,6),
(122305,118251,'Increases Threat to target encounter by 59 - 72 ',100,1,0),
(122306,118251,'Decreases Mitigation of target encounter vs arcane damage by 127',100,1,1),
(122307,10118251,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(122308,10118251,'Prevents target from changing targets',100,2,1),
(122309,10118251,'Forces target to change their selected target to caster.',100,2,2),
(122310,10118251,'Decreases Mitigation of target encounter vs arcane damage by 127',100,1,3),
(122311,105357,'Increases STA of group members (AE) by 14.5',100,1,0),
(122312,105357,'Increases Mitigation of group members (AE) vs physical damage by 138',100,1,1),
(122313,10105357,'Increases STA of group members (AE) by 14.5',100,1,0),
(122314,10105357,'Increases Mitigation of group members (AE) vs physical damage by 138',100,1,1),
(122315,121109,'Decreases Threat to targets in Area of Effect by 2,850 ',100,1,0),
(122316,121109,'Mesmerizes targets in Area of Effect',100,1,1),
(122317,121109,'If Target is not Epic',100,2,2),
(122318,121109,'Dispelled when target takes damage',100,1,3),
(122319,10121109,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(122320,10121109,'Applies Distract.',100,1,1),
(122321,10121109,'Forces target to clear their selected target.',100,2,2),
(122322,10121109,'Mesmerizes targets in Area of Effect',100,1,3),
(122323,10121109,'If Target is not Epic',100,2,4),
(122324,10121109,'Dispelled when target takes damage',100,1,5),
(122325,121244,'Inflicts 697 - 852 heat damage on target encounter',100,1,0),
(122326,10121244,'Inflicts 906 - 1107 heat damage on target encounter',100,1,0),
(122327,141861,'When Equipped:',100,0,0),
(122328,141861,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122329,141861,'Increases INT of caster by 12.2',100,2,2),
(122330,141861,'Increases Subjugation, Disruption and Focus of caster by 7.2',100,2,3),
(122331,141861,'Cannot be modified except by direct means',100,2,4),
(122332,10141861,'When Equipped:',100,0,0),
(122333,10141861,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122334,10141861,'Increases INT of caster by 12.2',100,2,2),
(122335,10141861,'Increases Subjugation, Disruption and Focus of caster by 7.2',100,2,3),
(122336,10141861,'Cannot be modified except by direct means',100,2,4),
(122337,114269,'Heals target for 71 - 87',100,1,0),
(122338,10114269,'Heals target for 84 - 102',100,1,0),
(122339,109926,'Stuns target',100,1,0),
(122340,109926,'Does not affect Epic targets',100,1,1),
(122341,109926,'Resistibility increases against targets higher than level 45.',100,1,2),
(122342,10109926,'Stuns target',100,1,0),
(122343,10109926,'Does not affect Epic targets',100,1,1),
(122344,10109926,'Resistibility increases against targets higher than level 45.',100,1,2),
(122345,48234,'Applies Pass Out Band Fliers when Activated.',100,0,0),
(122346,10048234,'Applies Pass Out Band Fliers when Activated.',100,0,0),
(122347,112060,'Inflicts 4 - 6 heat damage on target instantly and every 2 seconds',100,1,0),
(122348,10112060,'Inflicts 12 - 20 heat damage on target instantly and every 2 seconds',100,1,0),
(122349,82844,'When Equipped:',100,0,0),
(122350,82844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122351,82844,'Inflicts 315 - 585 magic damage on target',100,2,2),
(122352,82844,'Cannot be modified except by direct means',100,2,3),
(122353,10082844,'When Equipped:',100,0,0),
(122354,10082844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122355,10082844,'Inflicts 409 - 760 magic damage on target',100,2,2),
(122356,10082844,'Cannot be modified except by direct means',100,2,3),
(122357,100971,'Increases Threat to target by 145 - 177 ',100,1,0),
(122358,100971,'Interrupts target',100,1,1),
(122359,10100971,'Interrupts target',100,1,0),
(122360,118665,'Inflicts 203 - 339 slashing damage on target',100,1,0),
(122361,10118665,'Inflicts 264 - 441 slashing damage on target',100,1,0),
(122362,81159,'When Equipped:',100,0,0),
(122363,81159,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122364,81159,'Inflicts 207 - 384 magic damage on target',100,2,2),
(122365,81159,'Cannot be modified except by direct means',100,2,3),
(122366,10081159,'When Equipped:',100,0,0),
(122367,10081159,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122368,10081159,'Inflicts 269 - 499 magic damage on target',100,2,2),
(122369,10081159,'Cannot be modified except by direct means',100,2,3),
(122370,111611,'Inflicts 87 - 162 cold damage on target instantly and every 4 seconds',100,1,0),
(122371,111611,'Decreases Mitigation of target vs elemental damage by 966',100,1,1),
(122372,10111611,'Inflicts 113 - 210 cold damage on target instantly and every 4 seconds',100,1,0),
(122373,10111611,'Decreases Mitigation of target vs elemental damage by 966',100,1,1),
(122374,139343,'When Equipped:',100,0,0),
(122375,139343,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(122376,139343,'Increases Ability Reuse Speed of caster by 7.0%',100,2,2),
(122377,139343,'Cannot be modified except by direct means',100,2,3),
(122378,10139343,'When Equipped:',100,0,0),
(122379,10139343,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(122380,10139343,'Increases Ability Reuse Speed of caster by 7.0%',100,2,2),
(122381,10139343,'Cannot be modified except by direct means',100,2,3),
(122382,101932,'Inflicts 136 piercing damage on target instantly and every 4 seconds',100,1,0),
(122383,101932,'Inflicts 407 - 678 melee damage on target',100,1,1),
(122384,101932,'Must be behind',100,1,2),
(122385,10101932,'Inflicts 176 piercing damage on target instantly and every 4 seconds',100,1,0),
(122386,10101932,'Inflicts 529 - 882 melee damage on target',100,1,1),
(122387,10101932,'Must be behind',100,1,2),
(122388,112962,'Inflicts 143 - 430 crushing damage on target',100,1,0),
(122389,10112962,'Inflicts 186 - 559 crushing damage on target',100,1,0),
(122390,109038,'Increases Attack Speed of caster by 23.7',100,1,0),
(122391,109038,'Decreases Defense of caster by 10.5',100,1,1),
(122392,109038,'Increases Slashing, Piercing, Crushing and Ranged of caster by 18.9',100,1,2),
(122393,10109038,'Increases Attack Speed of caster by 23.7',100,1,0),
(122394,10109038,'Decreases Defense of caster by 10.5',100,1,1),
(122395,10109038,'Increases Slashing, Piercing, Crushing and Ranged of caster by 18.9',100,1,2),
(122396,188255,'When Equipped:',100,0,0),
(122397,188255,'1% of all damage received by the caster is prevented.',100,1,1),
(122398,188255,'Must not be engaged in pvp combat',100,1,2),
(122399,10188255,'When Equipped:',100,0,0),
(122400,10188255,'1% of all damage received by the caster is prevented.',100,1,1),
(122401,10188255,'Must not be engaged in pvp combat',100,1,2),
(122402,24412,'Adds Goatman (Templar) to your Dungeon Maker toolbox',100,0,0),
(122403,10024412,'Adds Goatman (Templar) to your Dungeon Maker toolbox',100,0,0),
(122404,81718,'When Equipped:',100,0,0),
(122405,81718,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122406,81718,'Inflicts 164 - 305 magic damage on target',100,2,2),
(122407,81718,'Decreases Threat to target by 487 ',100,2,3),
(122408,81718,'Must be flanking or behind',100,3,4),
(122409,81718,'Increases Threat to target by 487 ',100,2,5),
(122410,81718,'Must be in front of',100,3,6),
(122411,81718,'Cannot be modified except by direct means',100,2,7),
(122412,10081718,'When Equipped:',100,0,0),
(122413,10081718,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122414,10081718,'Inflicts 213 - 396 magic damage on target',100,2,2),
(122415,10081718,'Cannot be modified except by direct means',100,2,3),
(122416,103862,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(122417,103862,'Slows target by 59.8%',100,2,1),
(122418,103862,'5% chance to dispel when target receives hostile action',100,2,2),
(122419,103862,'5% chance to dispel when target takes damage',100,2,3),
(122420,103862,'Decreases Mitigation of target vs noxious damage by 1184',100,1,4),
(122421,10103862,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(122422,10103862,'Slows target by 59.8%',100,2,1),
(122423,10103862,'5% chance to dispel when target receives hostile action',100,2,2),
(122424,10103862,'5% chance to dispel when target takes damage',100,2,3),
(122425,10103862,'Decreases Mitigation of target vs noxious damage by 1184',100,1,4),
(122426,105584,'Decreases power of target encounter by 28 - 34 instantly and every 3 seconds',100,1,0),
(122427,105584,'Inflicts 65 - 120 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(122428,105584,'Heals group members (AE) for 21 - 39 instantly and every 3 seconds',100,1,2),
(122429,105584,'Increases power of group members (AE) by 8 instantly and every 3 seconds',100,1,3),
(122430,10105584,'Decreases power of target encounter by 28 - 34 instantly and every 3 seconds',100,1,0),
(122431,10105584,'Inflicts 84 - 157 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(122432,10105584,'Heals group members (AE) for 13 - 25 instantly and every 3 seconds',100,1,2),
(122433,10105584,'Increases power of group members (AE) by 8 instantly and every 3 seconds',100,1,3),
(122434,106748,'Decreases Defense of target by 3.1',100,1,0),
(122435,106748,'If facing target',100,1,1),
(122436,10106748,'Decreases Defense of target by 3.1',100,1,0),
(122437,10106748,'If facing target',100,1,1),
(122438,111673,'Inflicts 1023 - 1251 cold damage on target encounter',100,1,0),
(122439,111673,'Slows target encounter by 47.2%',100,1,1),
(122440,111673,'5% chance to dispel when target takes damage',100,1,2),
(122441,111673,'5% chance to dispel when target receives hostile action',100,1,3),
(122442,10111673,'Inflicts 1773 - 2168 cold damage on target encounter',100,1,0),
(122443,10111673,'Slows target encounter by 47.2%',100,1,1),
(122444,10111673,'5% chance to dispel when target takes damage',100,1,2),
(122445,10111673,'5% chance to dispel when target receives hostile action',100,1,3),
(122446,108956,'Increases INT of group members (AE) by 96.6',100,1,0),
(122447,108956,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 37.4',100,1,1),
(122448,10108956,'Increases INT of group members (AE) by 96.6',100,1,0),
(122449,10108956,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 37.4',100,1,1),
(122450,100549,'Heals group members (AE) for 961 - 1175',100,1,0),
(122451,10100549,'Heals group members (AE) for 1166 - 1425',100,1,0),
(122452,25215,'When Equipped:',100,0,0),
(122453,25215,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(122454,25215,'Inflicts 5 piercing damage on target',100,2,2),
(122455,25215,'Cannot be modified except by direct means',100,2,3),
(122456,10025215,'When Equipped:',100,0,0),
(122457,10025215,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(122458,10025215,'Inflicts 7 piercing damage on target',100,2,2),
(122459,10025215,'Cannot be modified except by direct means',100,2,3),
(122460,48307,'Applies essence of health when Activated.',100,0,0),
(122461,48307,'Heals caster for 205',100,1,1),
(122462,10048307,'Applies essence of health when Activated.',100,0,0),
(122463,10048307,'Heals caster for 133',100,1,1),
(122464,87495,'When Equipped:',100,0,0),
(122465,87495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122466,87495,'Inflicts 106 - 159 magic damage on target',100,2,2),
(122467,87495,'Cannot be modified except by direct means',100,2,3),
(122468,10087495,'When Equipped:',100,0,0),
(122469,10087495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122470,10087495,'Inflicts 138 - 207 magic damage on target',100,2,2),
(122471,10087495,'Cannot be modified except by direct means',100,2,3),
(122472,113946,'Decreases power of target encounter by 48 instantly and every 4 seconds',100,1,0),
(122473,113946,'Increases power of group members (AE) by 21 instantly and every 4 seconds',100,1,1),
(122474,10113946,'Decreases power of target encounter by 48 instantly and every 4 seconds',100,1,0),
(122475,10113946,'Increases power of group members (AE) by 21 instantly and every 4 seconds',100,1,1),
(122476,108759,'Summons a pet fiery magician',100,1,0),
(122477,10108759,'Summons a pet fiery magician',100,1,0),
(122478,108097,'Decreases Threat to target by 397 - 662 ',100,1,0),
(122479,10108097,'Forces target to clear their selected target.',100,1,0),
(122480,10108097,'Target cannot target caster for the duration of this effect.',100,1,1),
(122481,48439,'Applies Thinning Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(122482,48439,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(122483,48439,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(122484,48439,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(122485,48439,'Cannot be modified except by direct means',100,2,4),
(122486,48439,'Grants a total of 80 triggers of the spell.',100,2,5),
(122487,48439,'Only affects targets level 50 and above',100,1,6),
(122488,10048439,'Applies Thinning Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(122489,10048439,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(122490,10048439,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(122491,10048439,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(122492,10048439,'Cannot be modified except by direct means',100,2,4),
(122493,10048439,'Grants a total of 80 triggers of the spell.',100,2,5),
(122494,10048439,'Only affects targets level 50 and above',100,1,6),
(122495,159065,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(122496,159065,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(122497,159065,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(122498,159065,'Cannot be modified except by direct means',100,2,3),
(122499,10159065,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(122500,10159065,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(122501,10159065,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(122502,10159065,'Cannot be modified except by direct means',100,2,3),
(122503,159682,'When Equipped:',100,0,0),
(122504,159682,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122505,159682,'Increases INT of caster by 19.2',100,2,2),
(122506,159682,'Increases Disruption, Focus and Subjugation of caster by 10.7',100,2,3),
(122507,159682,'Cannot be modified except by direct means',100,2,4),
(122508,10159682,'When Equipped:',100,0,0),
(122509,10159682,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122510,10159682,'Increases INT of caster by 19.2',100,2,2),
(122511,10159682,'Increases Disruption, Focus and Subjugation of caster by 10.7',100,2,3),
(122512,10159682,'Cannot be modified except by direct means',100,2,4),
(122513,173782,'When Equipped:',100,0,0),
(122514,173782,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(122515,173782,'Heals group members (AE) for 645',100,2,2),
(122516,173782,'Cannot be modified except by direct means',100,2,3),
(122517,173782,'Cannot be modified except by direct means',100,1,4),
(122518,10173782,'When Equipped:',100,0,0),
(122519,10173782,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(122520,10173782,'Heals group members (AE) for 419',100,2,2),
(122521,10173782,'Cannot be modified except by direct means',100,2,3),
(122522,10173782,'Cannot be modified except by direct means',100,1,4),
(122523,47576,'Applies Potion of Critical Success when Activated.  Lasts for 10 minutes.',100,0,0),
(122524,47576,'Increases critical success chance by 5.0%',100,1,1),
(122525,10047576,'Applies Potion of Critical Success when Activated.  Lasts for 10 minutes.',100,0,0),
(122526,10047576,'Increases critical success chance by 5.0%',100,1,1),
(122527,87282,'When Equipped:',100,0,0),
(122528,87282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122529,87282,'Inflicts 111 - 166 magic damage on target',100,2,2),
(122530,87282,'Cannot be modified except by direct means',100,2,3),
(122531,10087282,'When Equipped:',100,0,0),
(122532,10087282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122533,10087282,'Inflicts 144 - 216 magic damage on target',100,2,2),
(122534,10087282,'Cannot be modified except by direct means',100,2,3),
(122535,114667,'Increases Threat to target by 366 - 447 ',100,1,0),
(122536,114667,'Interrupts target',100,1,1),
(122537,10114667,'Interrupts target',100,1,0),
(122538,10114667,'Forces target to change their selected target to caster.',100,1,1),
(122539,10114667,'Prevents target from changing targets',100,1,2),
(122540,105804,'Inflicts 940 - 1149 heat damage on target',100,1,0),
(122541,10105804,'Inflicts 1630 - 1992 heat damage on target',100,1,0),
(122542,152656,'When Equipped:',100,0,0),
(122543,152656,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122544,152656,'Inflicts 828 mental damage on target',100,2,2),
(122545,152656,'Increases threat priority of target by 1 position',100,2,3),
(122546,152656,'Cannot be modified except by direct means',100,2,4),
(122547,152656,'Cannot be modified except by direct means',100,1,5),
(122548,10152656,'When Equipped:',100,0,0),
(122549,10152656,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122550,10152656,'Inflicts 1076 mental damage on target',100,2,2),
(122551,10152656,'Cannot be modified except by direct means',100,2,3),
(122552,10152656,'Cannot be modified except by direct means',100,1,4),
(122553,46764,'Applies Unpack the Boulder when Activated.',100,0,0),
(122554,46764,'Pull the boulder out of your pack. How did it even fit in there?',100,1,1),
(122555,10046764,'Applies Unpack the Boulder when Activated.',100,0,0),
(122556,10046764,'Pull the boulder out of your pack. How did it even fit in there?',100,1,1),
(122557,107022,'Distributes the group members'' total combined health evenly among all the members',100,1,0),
(122558,10107022,'Distributes the group members'' total combined health evenly among all the members',100,1,0),
(122559,146591,'When Equipped:',100,0,0),
(122560,146591,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(122561,146591,'Heals group members for 245',100,2,2),
(122562,146591,'Cannot be modified except by direct means',100,2,3),
(122563,10146591,'When Equipped:',100,0,0),
(122564,10146591,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(122565,10146591,'Heals group members for 160',100,2,2),
(122566,10146591,'Cannot be modified except by direct means',100,2,3),
(122567,47411,'Applies Meditate when Activated.',100,0,0),
(122568,47411,'Places oneself in a meditative state.',100,1,1),
(122569,10047411,'Applies Meditate when Activated.',100,0,0),
(122570,10047411,'Places oneself in a meditative state.',100,1,1),
(122571,48822,'Applies Kane''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(122572,48822,'Increases Max Health of caster by 208.0',100,1,1),
(122573,10048822,'Applies Kane''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(122574,10048822,'Increases Max Health of caster by 208.0',100,1,1),
(122575,88855,'When Equipped:',100,0,0),
(122576,88855,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122577,88855,'Slows target by 20.0%',100,2,2),
(122578,88855,'Cannot be modified except by direct means',100,2,3),
(122579,10088855,'When Equipped:',100,0,0),
(122580,10088855,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122581,10088855,'Slows target by 20.0%',100,2,2),
(122582,10088855,'Cannot be modified except by direct means',100,2,3),
(122583,120239,'Roots target encounter',100,1,0),
(122584,120239,'15% chance to dispel when target takes damage',100,1,1),
(122585,120239,'Does not affect Epic targets',100,1,2),
(122586,120239,'Resistibility increases against targets higher than level 117.',100,1,3),
(122587,10120239,'Roots target encounter',100,1,0),
(122588,10120239,'15% chance to dispel when target takes damage',100,1,1),
(122589,10120239,'Does not affect Epic targets',100,1,2),
(122590,10120239,'Resistibility increases against targets higher than level 117.',100,1,3),
(122591,169351,'When Equipped:',100,0,0),
(122592,169351,'Reduces power cost of healing spells by 5%.',100,1,1),
(122593,10169351,'When Equipped:',100,0,0),
(122594,10169351,'Reduces power cost of healing spells by 5%.',100,1,1),
(122595,119774,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(122596,119774,'Inflicts 106 - 130 poison damage on target encounter',100,2,1),
(122597,10119774,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(122598,10119774,'Inflicts 138 - 169 poison damage on target encounter',100,2,1),
(122599,48595,'Applies Crisis Deflection when Activated.  Lasts for 12.0 seconds.',100,0,0),
(122600,48595,'Heals target for 14370',100,1,1),
(122601,48595,'Wards target against 15000 points of all damage',100,1,2),
(122602,48595,'Increases Potency of caster by 20.0%',100,1,3),
(122603,48595,'Must not be engaged in pvp combat',100,1,4),
(122604,48595,'Cannot be modified except by direct means',100,1,5),
(122605,10048595,'Applies Crisis Deflection when Activated.  Lasts for 12.0 seconds.',100,0,0),
(122606,10048595,'Heals target for 16813',100,1,1),
(122607,10048595,'Wards target against 15000 points of all damage',100,1,2),
(122608,10048595,'Increases Potency of caster by 20.0%',100,1,3),
(122609,10048595,'Must not be engaged in pvp combat',100,1,4),
(122610,10048595,'Cannot be modified except by direct means',100,1,5),
(122611,48245,'Applies Plant the Soulquench Standard when Activated.',100,0,0),
(122612,48245,'This guild standard grants the area an ability to lifetap their foes.',100,1,1),
(122613,10048245,'Applies Plant the Soulquench Standard when Activated.',100,0,0),
(122614,10048245,'This guild standard grants the area an ability to lifetap their foes.',100,1,1),
(122615,27078,'When Equipped:',100,0,0),
(122616,27078,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(122617,27078,'Inflicts 34 poison damage on target instantly and every 5 seconds',100,2,2),
(122618,27078,'Cannot be modified except by direct means',100,2,3),
(122619,10027078,'When Equipped:',100,0,0),
(122620,10027078,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(122621,10027078,'Inflicts 44 poison damage on target instantly and every 5 seconds',100,2,2),
(122622,10027078,'Cannot be modified except by direct means',100,2,3),
(122623,80218,'When Equipped:',100,0,0),
(122624,80218,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122625,80218,'Inflicts 260 - 482 magic damage on target',100,2,2),
(122626,80218,'Cannot be modified except by direct means',100,2,3),
(122627,10080218,'When Equipped:',100,0,0),
(122628,10080218,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122629,10080218,'Inflicts 337 - 627 magic damage on target',100,2,2),
(122630,10080218,'Cannot be modified except by direct means',100,2,3),
(122631,100171,'Inflicts 993 - 1844 disease damage on target encounter',100,1,0),
(122632,10100171,'Inflicts 1291 - 2397 disease damage on target encounter',100,1,0),
(122633,121767,'Heals target for 31 - 38',100,1,0),
(122634,121767,'Heals target for 5 - 6 every second',100,1,1),
(122635,10121767,'Heals target for 54 - 66',100,1,0),
(122636,10121767,'Heals target for 5 - 6 every second',100,1,1),
(122637,37080,'Increases Max Power of target by 3.3',100,0,0),
(122638,37080,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(122639,117230,'Inflicts 27 slashing damage on target every 4 seconds',100,1,0),
(122640,117230,'Inflicts 134 - 224 melee damage on target',100,1,1),
(122641,10117230,'Inflicts 35 slashing damage on target every 4 seconds',100,1,0),
(122642,10117230,'Inflicts 175 - 292 melee damage on target',100,1,1),
(122643,102445,'Stuns target encounter',100,1,0),
(122644,102445,'Epic targets gain an immunity to Stun effects of 10.5 seconds and duration is reduced to 1.2 seconds.',100,1,1),
(122645,102445,'Resistibility increases against targets higher than level 59.',100,1,2),
(122646,10102445,'Stuns target encounter',100,1,0),
(122647,10102445,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(122648,10102445,'Resistibility increases against targets higher than level 59.',100,1,2),
(122649,24510,'Adds Make Flavor NPC to your Dungeon Maker toolbox',100,0,0),
(122650,10024510,'Adds Make Flavor NPC to your Dungeon Maker toolbox',100,0,0),
(122651,72189,'When Equipped:',100,0,0),
(122652,72189,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122653,72189,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(122654,72189,'Cannot be modified except by direct means',100,2,3),
(122655,10072189,'When Equipped:',100,0,0),
(122656,10072189,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122657,10072189,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(122658,10072189,'Cannot be modified except by direct means',100,2,3),
(122659,170691,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(122660,170691,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(122661,170691,'Decreases Attack Speed of target by 10.8',100,2,2),
(122662,170691,'Cannot be modified except by direct means',100,2,3),
(122663,170691,'Slows target by 27.8%',100,1,4),
(122664,170691,'5% chance to dispel when target takes damage',100,1,5),
(122665,170691,'5% chance to dispel when target receives hostile action',100,1,6),
(122666,170691,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(122667,10170691,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(122668,10170691,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(122669,10170691,'Decreases Attack Speed of target by 10.8',100,2,2),
(122670,10170691,'Cannot be modified except by direct means',100,2,3),
(122671,10170691,'Slows target by 27.8%',100,1,4),
(122672,10170691,'5% chance to dispel when target takes damage',100,1,5),
(122673,10170691,'5% chance to dispel when target receives hostile action',100,1,6),
(122674,10170691,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(122675,48876,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(122676,48876,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(122677,48876,'Inflicts 131 poison damage on target instantly and every 6 seconds',100,2,2),
(122678,48876,'Cannot be modified except by direct means',100,2,3),
(122679,48876,'Grants a total of 4 triggers of the spell.',100,2,4),
(122680,10048876,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(122681,10048876,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(122682,10048876,'Inflicts 128 poison damage on target instantly and every 6 seconds',100,2,2),
(122683,10048876,'Cannot be modified except by direct means',100,2,3),
(122684,10048876,'Grants a total of 4 triggers of the spell.',100,2,4),
(122685,108921,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(122686,108921,'Inflicts 18 heat damage on target',100,2,1),
(122687,10108921,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(122688,10108921,'Inflicts 23 heat damage on target',100,2,1),
(122689,117495,'Increases Attack Speed of target by 44.1',100,1,0),
(122690,10117495,'Increases Attack Speed of target by 44.1',100,1,0),
(122691,87387,'When Equipped:',100,0,0),
(122692,87387,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122693,87387,'Inflicts 194 - 290 magic damage on target',100,2,2),
(122694,87387,'Cannot be modified except by direct means',100,2,3),
(122695,10087387,'When Equipped:',100,0,0),
(122696,10087387,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122697,10087387,'Inflicts 252 - 378 magic damage on target',100,2,2),
(122698,10087387,'Cannot be modified except by direct means',100,2,3),
(122699,82300,'When Equipped:',100,0,0),
(122700,82300,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122701,82300,'Inflicts 267 - 496 magic damage on target',100,2,2),
(122702,82300,'Cannot be modified except by direct means',100,2,3),
(122703,10082300,'When Equipped:',100,0,0),
(122704,10082300,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(122705,10082300,'Inflicts 347 - 644 magic damage on target',100,2,2),
(122706,10082300,'Cannot be modified except by direct means',100,2,3),
(122707,137661,'When Equipped:',100,0,0),
(122708,137661,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(122709,10137661,'When Equipped:',100,0,0),
(122710,10137661,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(122711,102289,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(122712,102289,'Decreases Threat to target by 339 ',100,2,1),
(122713,10102289,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(122714,10102289,'Inflicts 32 - 35 crushing damage on target',100,2,1),
(122715,111953,'Inflicts 117 - 143 disease damage on target',100,1,0),
(122716,111953,'Decreases Mitigation of target vs noxious damage by 252',100,1,1),
(122717,10111953,'Inflicts 196 - 239 disease damage on target',100,1,0),
(122718,10111953,'Decreases Mitigation of target vs noxious damage by 252',100,1,1),
(122719,47569,'Applies Hang Painting when Activated.',100,0,0),
(122720,47569,'This effect cannot be cast during combat',100,1,1),
(122721,10047569,'Applies Hang Painting when Activated.',100,0,0),
(122722,10047569,'This effect cannot be cast during combat',100,1,1),
(122723,107929,'Mesmerizes target',100,1,0),
(122724,107929,'Prevents AOE (except when direct) ',100,1,1),
(122725,107929,'Dispelled when target takes damage',100,1,2),
(122726,107929,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(122727,107929,'Resistibility increases against targets higher than level 81.',100,1,4),
(122728,10107929,'Mesmerizes target',100,1,0),
(122729,10107929,'Prevents AOE (except when direct) ',100,1,1),
(122730,10107929,'Dispelled when target takes damage',100,1,2),
(122731,10107929,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(122732,10107929,'Resistibility increases against targets higher than level 81.',100,1,4),
(122733,117216,'Inflicts 5 slashing damage on target every 4 seconds',100,1,0),
(122734,117216,'Inflicts 23 - 39 melee damage on target',100,1,1),
(122735,10117216,'Inflicts 6 slashing damage on target every 4 seconds',100,1,0),
(122736,10117216,'Inflicts 30 - 51 melee damage on target',100,1,1),
(122737,122007,'Inflicts 341 - 568 melee damage on targets in area',100,1,0),
(122738,122007,'Increases Threat to target encounter by 1,206 ',100,1,1),
(122739,10122007,'Inflicts 443 - 738 melee damage on targets in area',100,1,0),
(122740,10122007,'Prevents target encounter from changing targets',100,1,1),
(122741,10122007,'Forces target encounter to change their selected target to caster.',100,1,2),
(122742,47037,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(122743,47037,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(122744,47037,'Decreases STR of target by 4.6',100,2,2),
(122745,47037,'Cannot be modified except by direct means',100,2,3),
(122746,47037,'Grants a total of 30 triggers of the spell.',100,2,4),
(122747,10047037,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(122748,10047037,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(122749,10047037,'Decreases STR of target by 4.6',100,2,2),
(122750,10047037,'Cannot be modified except by direct means',100,2,3),
(122751,10047037,'Grants a total of 30 triggers of the spell.',100,2,4),
(122752,36277,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(122753,36277,'Increases speed of target by 50.0%',100,0,1),
(122754,103099,'Inflicts 102 - 153 magic damage on target',100,1,0),
(122755,103099,'Inflicts 23 - 34 magic damage on target every 4 seconds',100,1,1),
(122756,10103099,'Inflicts 133 - 199 magic damage on target',100,1,0),
(122757,10103099,'Inflicts 30 - 44 magic damage on target every 4 seconds',100,1,1),
(122758,26463,'When Equipped:',100,0,0),
(122759,26463,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122760,26463,'Inflicts 157 divine damage on target',100,2,2),
(122761,26463,'Heals caster for 100',100,2,3),
(122762,26463,'Cannot be modified except by direct means',100,2,4),
(122763,10026463,'When Equipped:',100,0,0),
(122764,10026463,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(122765,10026463,'Inflicts 204 divine damage on target',100,2,2),
(122766,10026463,'Heals caster for 65',100,2,3),
(122767,10026463,'Cannot be modified except by direct means',100,2,4),
(122768,124385,'Inflicts 729 - 891 divine damage on target',100,1,0),
(122769,124385,'Inflicts 304 - 371 divine damage on target every 4 seconds',100,1,1),
(122770,10124385,'Inflicts 948 - 1159 divine damage on target',100,1,0),
(122771,10124385,'Inflicts 395 - 483 divine damage on target every 4 seconds',100,1,1),
(122772,52741,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(122773,52741,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(122774,52741,'Inflicts 69 heat damage on target',100,2,2),
(122775,52741,'Cannot be modified except by direct means',100,2,3),
(122776,10052741,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(122777,10052741,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(122778,10052741,'Inflicts 90 heat damage on target',100,2,2),
(122779,10052741,'Cannot be modified except by direct means',100,2,3),
(122780,112404,'Increases Crushing, Piercing, Slashing and Ranged of target by 78.7',100,1,0),
(122781,112404,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(122782,112404,'Inflicts 955 - 1168 piercing damage on target',100,2,2),
(122783,112404,'Inflicts 478 - 584 piercing damage on target every 3 seconds',100,2,3),
(122784,10112404,'Increases Crushing, Piercing, Slashing and Ranged of target by 78.7',100,1,0),
(122785,10112404,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(122786,10112404,'Inflicts 1242 - 1518 piercing damage on target',100,2,2),
(122787,10112404,'Inflicts 621 - 759 piercing damage on target every 3 seconds',100,2,3),
(122788,146775,'When Equipped:',100,0,0),
(122789,146775,'On a block this spell has a 10% chance to cast Soul Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(122790,146775,'Wards caster against 1000 points of all damage',100,2,2),
(122791,146775,'Must not be engaged in pvp combat',100,2,3),
(122792,146775,'Cannot be modified except by direct means',100,2,4),
(122793,146775,'Must not be engaged in pvp combat',100,1,5),
(122794,146775,'Cannot be modified except by direct means',100,1,6),
(122795,10146775,'When Equipped:',100,0,0),
(122796,10146775,'On a block this spell has a 10% chance to cast Soul Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(122797,10146775,'Wards caster against 1000 points of all damage',100,2,2),
(122798,10146775,'Must not be engaged in pvp combat',100,2,3),
(122799,10146775,'Cannot be modified except by direct means',100,2,4),
(122800,10146775,'Must not be engaged in pvp combat',100,1,5),
(122801,10146775,'Cannot be modified except by direct means',100,1,6),
(122802,110074,'Summons a pet grim sorcerer',100,1,0),
(122803,10110074,'Summons a pet grim sorcerer',100,1,0),
(122804,124366,'Inflicts 273 - 333 divine damage on target',100,1,0),
(122805,124366,'Inflicts 114 - 139 divine damage on target every 4 seconds',100,1,1),
(122806,10124366,'Inflicts 355 - 434 divine damage on target',100,1,0),
(122807,10124366,'Inflicts 148 - 181 divine damage on target every 4 seconds',100,1,1),
(122808,111996,'Inflicts 236 - 393 piercing damage on target',100,1,0),
(122809,10111996,'Inflicts 307 - 512 piercing damage on target',100,1,0),
(122810,117704,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(122811,117704,'Adds 1.5% to base avoidance.',100,1,1),
(122812,10117704,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(122813,10117704,'Adds 1.5% to base avoidance.',100,1,1),
(122814,116461,'Inflicts 222 disease damage on target instantly and every 4 seconds',100,1,0),
(122815,116461,'Inflicts 222 disease damage on target instantly and every 4 seconds',100,1,1),
(122816,116461,'If target is nightblood',100,2,2),
(122817,116461,'Inflicts 222 disease damage on target instantly and every 4 seconds',100,1,3),
(122818,116461,'If target is shadowed folk',100,2,4),
(122819,10116461,'Inflicts 289 disease damage on target instantly and every 4 seconds',100,1,0),
(122820,112398,'Increases Crushing, Piercing, Slashing and Ranged of target by 44.9',100,1,0),
(122821,112398,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(122822,112398,'Inflicts 532 - 651 piercing damage on target',100,2,2),
(122823,112398,'Inflicts 266 - 325 piercing damage on target every 3 seconds',100,2,3),
(122824,10112398,'Increases Crushing, Piercing, Slashing and Ranged of target by 44.9',100,1,0),
(122825,10112398,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(122826,10112398,'Inflicts 692 - 846 piercing damage on target',100,2,2),
(122827,10112398,'Inflicts 346 - 423 piercing damage on target every 3 seconds',100,2,3),
(122828,115809,'Inflicts 20 disease damage on target every 3 seconds',100,1,0),
(122829,115809,'Inflicts 75 - 126 melee damage on target',100,1,1),
(122830,115809,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(122831,115809,'Heals caster for 1.4% of max health instantly and every 3 seconds',100,2,3),
(122832,115809,'This effect cannot be critically applied.',100,3,4),
(122833,115809,'The healing of this spell cannot be modified except by direct means',100,2,5),
(122834,115809,'The healing of this spell cannot be modified except by direct means',100,1,6),
(122835,10115809,'Inflicts 26 disease damage on target every 3 seconds',100,1,0),
(122836,10115809,'Inflicts 98 - 164 melee damage on target',100,1,1),
(122837,10115809,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(122838,10115809,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(122839,10115809,'This effect cannot be critically applied.',100,3,4),
(122840,10115809,'The healing of this spell cannot be modified except by direct means',100,2,5),
(122841,10115809,'The healing of this spell cannot be modified except by direct means',100,1,6),
(122842,159058,'When Equipped:',100,0,0),
(122843,159058,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122844,159058,'Increases WIS of caster by 5.8',100,2,2),
(122845,159058,'Increases Ordination, Ministration and Focus of caster by 3.7',100,2,3),
(122846,159058,'Cannot be modified except by direct means',100,2,4),
(122847,10159058,'When Equipped:',100,0,0),
(122848,10159058,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122849,10159058,'Increases WIS of caster by 5.8',100,2,2),
(122850,10159058,'Increases Ordination, Ministration and Focus of caster by 3.7',100,2,3),
(122851,10159058,'Cannot be modified except by direct means',100,2,4),
(122852,155075,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(122853,155075,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(122854,155075,'Cannot be modified except by direct means',100,1,2),
(122855,10155075,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(122856,10155075,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(122857,10155075,'Cannot be modified except by direct means',100,1,2),
(122858,24074,'Adds Chardok: Bunk With Blankets to your Dungeon Maker toolbox',100,0,0),
(122859,10024074,'Adds Chardok: Bunk With Blankets to your Dungeon Maker toolbox',100,0,0),
(122860,106971,'Inflicts 589 - 1094 poison damage on target',100,1,0),
(122861,106971,'Increases power of caster by 38',100,1,1),
(122862,10106971,'Inflicts 765 - 1422 poison damage on target',100,1,0),
(122863,10106971,'Increases power of caster by 38',100,1,1),
(122864,114222,'Inflicts 20 - 25 mental damage on target',100,1,0),
(122865,114222,'Stuns target',100,1,1),
(122866,114222,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(122867,114222,'Resistibility increases against targets higher than level 31.',100,1,3),
(122868,10114222,'Inflicts 26 - 32 mental damage on target',100,1,0),
(122869,10114222,'Requires not being affected by Mesmerize effects.',100,2,1),
(122870,10114222,'Stuns target',100,1,2),
(122871,10114222,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(122872,10114222,'Resistibility increases against targets higher than level 31.',100,1,4),
(122873,134731,'When Equipped:',100,0,0),
(122874,134731,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(122875,134731,'Increases power of caster by 117',100,2,2),
(122876,134731,'Cannot be modified except by direct means',100,2,3),
(122877,10134731,'When Equipped:',100,0,0),
(122878,10134731,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(122879,10134731,'Increases power of caster by 117',100,2,2),
(122880,10134731,'Cannot be modified except by direct means',100,2,3),
(122881,120864,'Inflicts 31 - 52 mental damage on target',100,1,0),
(122882,120864,'Inflicts 31 - 52 mental damage on target',100,1,1),
(122883,10120864,'Inflicts 40 - 67 mental damage on target',100,1,0),
(122884,10120864,'Inflicts 40 - 67 mental damage on target',100,1,1),
(122885,45475,'Applies Catacomb Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(122886,45475,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(122887,45475,'Inflicts 28 poison damage on target',100,2,2),
(122888,45475,'Inflicts 109 poison damage on target instantly and every 6 seconds',100,2,3),
(122889,45475,'Cannot be modified except by direct means',100,2,4),
(122890,45475,'Grants a total of 100 triggers of the spell.',100,2,5),
(122891,10045475,'Applies Catacomb Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(122892,10045475,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(122893,10045475,'Inflicts 27 poison damage on target',100,2,2),
(122894,10045475,'Inflicts 107 poison damage on target instantly and every 6 seconds',100,2,3),
(122895,10045475,'Cannot be modified except by direct means',100,2,4),
(122896,10045475,'Grants a total of 100 triggers of the spell.',100,2,5),
(122897,156902,'Applies Unstable Magics when Equipped.',100,0,0),
(122898,156902,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(122899,10156902,'Applies Unstable Magics when Equipped.',100,0,0),
(122900,10156902,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(122901,37517,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(122902,120612,'Inflicts 468 - 869 heat damage on target',100,1,0),
(122903,10120612,'Inflicts 609 - 1130 heat damage on target',100,1,0),
(122904,37326,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(122905,37326,'This effect suspends during combat',100,0,1),
(122906,105126,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(122907,105126,'Summon 1 Crystallized Spirit (Apprentice)',100,2,1),
(122908,10105126,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(122909,10105126,'Summon 1 Crystallized Spirit (Apprentice)',100,2,1),
(122910,100665,'Increases AGI, STR and STA of target by 114.4',100,1,0),
(122911,100665,'Adds 2.4% to base avoidance.',100,1,1),
(122912,10100665,'Increases AGI, STR and STA of target by 114.4',100,1,0),
(122913,10100665,'Adds 2.4% to base avoidance.',100,1,1),
(122914,35874,'Increases STR of target by 1.5',100,0,0),
(122915,35874,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(122916,117985,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(122917,117985,'Increases Damage Per Second of target by 22.4',100,2,1),
(122918,117985,'Increases Attack Speed of target by 22.4',100,2,2),
(122919,117985,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(122920,117985,'Increases Damage Per Second of target by 22.4',100,2,4),
(122921,117985,'Increases Attack Speed of target by 22.4',100,2,5),
(122922,117985,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(122923,117985,'Increases Damage Per Second of target by 22.4',100,2,7),
(122924,117985,'Increases Attack Speed of target by 22.4',100,2,8),
(122925,10117985,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(122926,10117985,'Increases Damage Per Second of target by 22.4',100,2,1),
(122927,10117985,'Increases Attack Speed of target by 22.4',100,2,2),
(122928,10117985,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(122929,10117985,'Increases Damage Per Second of target by 22.4',100,2,4),
(122930,10117985,'Increases Attack Speed of target by 22.4',100,2,5),
(122931,10117985,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(122932,10117985,'Increases Damage Per Second of target by 22.4',100,2,7),
(122933,10117985,'Increases Attack Speed of target by 22.4',100,2,8),
(122934,81323,'When Equipped:',100,0,0),
(122935,81323,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122936,81323,'Decreases Threat to target by 949 ',100,2,2),
(122937,81323,'Must be flanking or behind',100,3,3),
(122938,81323,'Increases Threat to target by 949 ',100,2,4),
(122939,81323,'Must be in front of',100,3,5),
(122940,81323,'Inflicts 302 - 560 magic damage on target',100,2,6),
(122941,81323,'Cannot be modified except by direct means',100,2,7),
(122942,10081323,'When Equipped:',100,0,0),
(122943,10081323,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(122944,10081323,'Inflicts 392 - 728 magic damage on target',100,2,2),
(122945,10081323,'Cannot be modified except by direct means',100,2,3),
(122946,72078,'When Equipped:',100,0,0),
(122947,72078,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122948,72078,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(122949,72078,'Cannot be modified except by direct means',100,2,3),
(122950,10072078,'When Equipped:',100,0,0),
(122951,10072078,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122952,10072078,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(122953,10072078,'Cannot be modified except by direct means',100,2,3),
(122954,104618,'Inflicts 45 - 75 crushing damage on target',100,1,0),
(122955,104618,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 4.8',100,1,1),
(122956,10104618,'Inflicts 59 - 98 crushing damage on target',100,1,0),
(122957,10104618,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 4.8',100,1,1),
(122958,48074,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(122959,48074,'Summons a mount to ride',100,1,1),
(122960,48074,'Increases your ground speed by 135%',100,2,2),
(122961,48074,'Increases Ordination, Aggression, Ranged, Focus, Crushing, Disruption, Ministration, Subjugation, Piercing and Slashing of caster by 5.0',100,1,3),
(122962,10048074,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(122963,10048074,'Summons a mount to ride',100,1,1),
(122964,10048074,'Increases your ground speed by 135%',100,2,2),
(122965,10048074,'Increases Ordination, Aggression, Ranged, Focus, Crushing, Disruption, Ministration, Subjugation, Piercing and Slashing of caster by 5.0',100,1,3),
(122966,122395,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(122967,122395,'Inflicts 12 - 14 piercing damage on target encounter',100,2,1),
(122968,10122395,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(122969,10122395,'Inflicts 15 - 19 piercing damage on target encounter',100,2,1),
(122970,49158,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(122971,49158,'Heals caster for 106',100,1,1),
(122972,49158,'Heals caster for 53 every 5 seconds',100,1,2),
(122973,10049158,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(122974,10049158,'Heals caster for 69',100,1,1),
(122975,10049158,'Heals caster for 35 every 5 seconds',100,1,2),
(122976,116185,'Inflicts 319 - 532 mental damage on target',100,1,0),
(122977,10116185,'Inflicts 415 - 691 mental damage on target',100,1,0),
(122978,35512,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(122979,71331,'When Equipped:',100,0,0),
(122980,71331,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122981,71331,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(122982,71331,'Cannot be modified except by direct means',100,2,3),
(122983,10071331,'When Equipped:',100,0,0),
(122984,10071331,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(122985,10071331,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(122986,10071331,'Cannot be modified except by direct means',100,2,3),
(122987,124216,'Decreases Attack Speed of caster by 12.7',100,1,0),
(122988,124216,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(122989,124216,'Slows targets in Area of Effect by 56.6%',100,2,2),
(122990,124216,'5% chance to dispel when target receives hostile action',100,2,3),
(122991,124216,'5% chance to dispel when target takes damage',100,2,4),
(122992,124216,'Increases Mitigation of caster vs physical damage by 432',100,1,5),
(122993,10124216,'Decreases Attack Speed of caster by 12.7',100,1,0),
(122994,10124216,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(122995,10124216,'Slows targets in Area of Effect by 42.5%',100,2,2),
(122996,10124216,'5% chance to dispel when target receives hostile action',100,2,3),
(122997,10124216,'5% chance to dispel when target takes damage',100,2,4),
(122998,10124216,'Increases Mitigation of caster vs physical damage by 432',100,1,5),
(122999,117524,'Increases AGI, INT and WIS of group members (AE) by 30.1',100,1,0),
(123000,117524,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 115',100,1,1),
(123001,10117524,'Increases AGI, INT and WIS of group members (AE) by 30.1',100,1,0),
(123002,10117524,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 115',100,1,1),
(123003,100675,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(123004,100675,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(123005,100675,'Wards caster against 744 points of all damage',100,3,2),
(123006,100675,'Heals caster for 582',100,3,3),
(123007,100675,'Summons a limited pet to aid the caster',100,2,4),
(123008,100675,'Grants a total of 1 trigger of the spell.',100,2,5),
(123009,10100675,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(123010,10100675,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(123011,10100675,'Wards caster against 744 points of all damage',100,3,2),
(123012,10100675,'Heals caster for 378',100,3,3),
(123013,10100675,'Summons a limited pet to aid the caster',100,2,4),
(123014,10100675,'Grants a total of 1 trigger of the spell.',100,2,5),
(123015,102751,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(123016,102751,'Inflicts 477 - 795 divine damage on target',100,2,1),
(123017,102751,'Inflicts 409 - 681 divine damage on target',100,2,2),
(123018,102751,'If target is undead',100,3,3),
(123019,102751,'Stuns target',100,2,4),
(123020,102751,'If Target is not Epic',100,3,5),
(123021,10102751,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(123022,10102751,'Inflicts 930 - 1550 divine damage on target',100,2,1),
(123023,10102751,'Stuns target',100,2,2),
(123024,10102751,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(123025,120274,'Inflicts 1094 - 1823 crushing damage on target',100,1,0),
(123026,10120274,'Inflicts 1422 - 2370 crushing damage on target',100,1,0),
(123027,122245,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(123028,122245,'Decreases Damage Per Second of target by 24.0',100,2,1),
(123029,122245,'Decreases Attack Speed of target by 17.9',100,2,2),
(123030,10122245,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(123031,10122245,'Decreases Damage Per Second of target by 24.0',100,2,1),
(123032,10122245,'Decreases Attack Speed of target by 17.9',100,2,2),
(123033,48733,'Applies Elixir of Invigoration  when Activated.  Lasts for 15 minutes.',100,0,0),
(123034,48733,'Increases Max Health of caster by 20.0',100,1,1),
(123035,10048733,'Applies Elixir of Invigoration  when Activated.  Lasts for 15 minutes.',100,0,0),
(123036,10048733,'Increases Max Health of caster by 20.0',100,1,1),
(123037,52709,'Applies Sanguine Imbued when Equipped.',100,0,0),
(123038,52709,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(123039,52709,'Inflicts 59 heat damage on target',100,2,2),
(123040,52709,'Cannot be modified except by direct means',100,2,3),
(123041,10052709,'Applies Sanguine Imbued when Equipped.',100,0,0),
(123042,10052709,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(123043,10052709,'Inflicts 77 heat damage on target',100,2,2),
(123044,10052709,'Cannot be modified except by direct means',100,2,3),
(123045,111680,'Inflicts 32 - 39 cold damage on target',100,1,0),
(123046,111680,'Inflicts 32 - 39 cold damage on target',100,1,1),
(123047,111680,'If target is elemental',100,2,2),
(123048,10111680,'Inflicts 35 - 43 cold damage on target',100,1,0),
(123049,104701,'Inflicts 105 - 195 heat damage on targets in Area of Effect',100,1,0),
(123050,10104701,'Inflicts 136 - 253 heat damage on targets in Area of Effect',100,1,0),
(123051,114143,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(123052,114143,'Increases Mitigation of group members (AE) vs elemental damage by 1134',100,1,1),
(123053,10114143,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(123054,10114143,'Increases Mitigation of group members (AE) vs elemental damage by 1134',100,1,1),
(123055,72073,'When Equipped:',100,0,0),
(123056,72073,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123057,72073,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(123058,72073,'Cannot be modified except by direct means',100,2,3),
(123059,10072073,'When Equipped:',100,0,0),
(123060,10072073,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123061,10072073,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(123062,10072073,'Cannot be modified except by direct means',100,2,3),
(123063,46189,'Applies Siphon when Activated.',100,0,0),
(123064,10046189,'Applies Siphon when Activated.',100,0,0),
(123065,84635,'When Equipped:',100,0,0),
(123066,84635,'On any combat or spell hit this spell may cast Arcane Vortex IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(123067,84635,'Inflicts 153 - 169 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(123068,84635,'Increases power of group members (AE) by 24 - 27 instantly and every 2 seconds',100,2,3),
(123069,84635,'Increases Potency of group members (AE) by 2.5%',100,2,4),
(123070,84635,'Must not be engaged in pvp combat',100,2,5),
(123071,84635,'Cannot be modified except by direct means',100,2,6),
(123072,84635,'Must not be engaged in pvp combat',100,1,7),
(123073,10084635,'When Equipped:',100,0,0),
(123074,10084635,'On any combat or spell hit this spell may cast Arcane Vortex IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(123075,10084635,'Inflicts 199 - 220 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(123076,10084635,'Increases power of group members (AE) by 24 - 27 instantly and every 2 seconds',100,2,3),
(123077,10084635,'Increases Potency of group members (AE) by 2.5%',100,2,4),
(123078,10084635,'Must not be engaged in pvp combat',100,2,5),
(123079,10084635,'Cannot be modified except by direct means',100,2,6),
(123080,10084635,'Must not be engaged in pvp combat',100,1,7),
(123081,47849,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(123082,47849,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(123083,47849,'Requires 15 Health to cast.',100,1,2),
(123084,10047849,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(123085,10047849,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(123086,10047849,'Requires 15 Health to cast.',100,1,2),
(123087,101323,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(123088,101323,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 141',100,1,1),
(123089,101323,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,2),
(123090,10101323,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(123091,10101323,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 141',100,1,1),
(123092,10101323,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,2),
(123093,110761,'Heals group members (AE) for 112 - 137 instantly and every 2 seconds',100,1,0),
(123094,10110761,'Heals group members (AE) for 73 - 89 instantly and every 2 seconds',100,1,0),
(123095,174728,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(123096,174728,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(123097,174728,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(123098,10174728,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(123099,10174728,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(123100,10174728,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(123101,100136,'Inflicts 46 - 56 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(123102,100136,'Decreases Mitigation of target encounter vs noxious damage by 352',100,1,1),
(123103,10100136,'Inflicts 60 - 73 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(123104,10100136,'Decreases Mitigation of target encounter vs noxious damage by 352',100,1,1),
(123105,47298,'Applies Shielding of Dragonkind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(123106,47298,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(123107,47298,'Inflicts 31 magic damage on target',100,2,2),
(123108,47298,'Cannot be modified except by direct means',100,2,3),
(123109,10047298,'Applies Shielding of Dragonkind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(123110,10047298,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(123111,10047298,'Inflicts 41 magic damage on target',100,2,2),
(123112,10047298,'Cannot be modified except by direct means',100,2,3),
(123113,152442,'When Equipped:',100,0,0),
(123114,152442,'Reduces resistibility of all spells by 10%.',100,1,1),
(123115,10152442,'When Equipped:',100,0,0),
(123116,10152442,'Reduces resistibility of all spells by 10%.',100,1,1),
(123117,123741,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(123118,10123741,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(123119,118775,'Increases INT and WIS of group members (AE) by 71.4',100,1,0),
(123120,118775,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 210',100,1,1),
(123121,10118775,'Increases INT and WIS of group members (AE) by 71.4',100,1,0),
(123122,10118775,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 210',100,1,1),
(123123,151785,'When Equipped:',100,0,0),
(123124,151785,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(123125,10151785,'When Equipped:',100,0,0),
(123126,10151785,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(123127,108397,'Heals target for 284 - 346',100,1,0),
(123128,10108397,'Heals target for 339 - 414',100,1,0),
(123129,112015,'Inflicts 783 - 1305 piercing damage on target',100,1,0),
(123130,10112015,'Inflicts 1018 - 1697 piercing damage on target',100,1,0),
(123131,45869,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(123132,45869,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(123133,45869,'Requires 15 Health to cast.',100,1,2),
(123134,10045869,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(123135,10045869,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(123136,10045869,'Requires 15 Health to cast.',100,1,2),
(123137,110464,'Dazes targets in Area of Effect',100,1,0),
(123138,110464,'If Target is not Epic',100,2,1),
(123139,110464,'Decreases Threat to targets in Area of Effect by 4,820 ',100,1,2),
(123140,110464,'Dispelled when target receives hostile action',100,1,3),
(123141,110464,'Dispelled when target takes damage',100,1,4),
(123142,10110464,'Dazes targets in Area of Effect',100,1,0),
(123143,10110464,'If Target is not Epic',100,2,1),
(123144,10110464,'Applies Distract.',100,1,2),
(123145,10110464,'Forces target to clear their selected target.',100,2,3),
(123146,10110464,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(123147,10110464,'Dispelled when target receives hostile action',100,1,5),
(123148,10110464,'Dispelled when target takes damage',100,1,6),
(123149,124399,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(123150,124399,'Inflicts 82 - 137 melee damage on target',100,2,1),
(123151,124399,'Grants a total of 3 triggers of the spell.',100,2,2),
(123152,10124399,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(123153,10124399,'Inflicts 107 - 178 melee damage on target',100,2,1),
(123154,10124399,'Grants a total of 3 triggers of the spell.',100,2,2),
(123155,119007,'Heals target for 1319 - 1612',100,1,0),
(123156,10119007,'Heals target for 1403 - 1714',100,1,0),
(123157,36475,'Increases STA and STR of target by 5.4',100,0,0),
(123158,36475,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(123159,36475,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(123160,116289,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(123161,116289,'Inflicts 583 - 713 disease damage on caster',100,2,1),
(123162,116289,'Inflicts 194 - 238 disease damage on caster every 2 seconds',100,2,2),
(123163,116289,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(123164,116289,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(123165,116289,'Grants a total of 1 trigger of the spell.',100,3,5),
(123166,10116289,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(123167,10116289,'Inflicts 758 - 927 disease damage on caster',100,2,1),
(123168,10116289,'Inflicts 253 - 309 disease damage on caster every 2 seconds',100,2,2),
(123169,10116289,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(123170,10116289,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(123171,10116289,'Grants a total of 1 trigger of the spell.',100,3,5),
(123172,159711,'Applies Sanguine Imbued when Equipped.',100,0,0),
(123173,159711,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(123174,159711,'Inflicts 117 heat damage on target',100,2,2),
(123175,159711,'Cannot be modified except by direct means',100,2,3),
(123176,10159711,'Applies Sanguine Imbued when Equipped.',100,0,0),
(123177,10159711,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(123178,10159711,'Inflicts 152 heat damage on target',100,2,2),
(123179,10159711,'Cannot be modified except by direct means',100,2,3),
(123180,71316,'When Equipped:',100,0,0),
(123181,71316,'On a damage spell hit this spell will cast Elemental Strike on target of spell.  ',100,1,1),
(123182,71316,'Inflicts 30 cold damage on target',100,2,2),
(123183,71316,'Cannot be modified except by direct means',100,2,3),
(123184,10071316,'When Equipped:',100,0,0),
(123185,10071316,'On a damage spell hit this spell will cast Elemental Strike on target of spell.  ',100,1,1),
(123186,10071316,'Inflicts 38 cold damage on target',100,2,2),
(123187,10071316,'Cannot be modified except by direct means',100,2,3),
(123188,86490,'Applies Disease Blast when Activated.',100,0,0),
(123189,86490,'Inflicts 418 - 696 disease damage on target',100,1,1),
(123190,86490,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(123191,10086490,'Applies Disease Blast when Activated.',100,0,0),
(123192,10086490,'Inflicts 543 - 905 disease damage on target',100,1,1),
(123193,10086490,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(123194,164449,'When Equipped:',100,0,0),
(123195,164449,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,1),
(123196,164449,'Inflicts 427 disease damage on targets in Area of Effect',100,2,2),
(123197,164449,'Cannot be modified except by direct means',100,2,3),
(123198,164449,'Increases Burst effect damage by 33%.',100,1,4),
(123199,10164449,'When Equipped:',100,0,0),
(123200,10164449,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,1),
(123201,10164449,'Inflicts 555 disease damage on targets in Area of Effect',100,2,2),
(123202,10164449,'Cannot be modified except by direct means',100,2,3),
(123203,10164449,'Increases Burst effect damage by 33%.',100,1,4),
(123204,159226,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(123205,159226,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(123206,159226,'Inflicts 97 heat damage on target',100,2,2),
(123207,159226,'Cannot be modified except by direct means',100,2,3),
(123208,10159226,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(123209,10159226,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(123210,10159226,'Inflicts 126 heat damage on target',100,2,2),
(123211,10159226,'Cannot be modified except by direct means',100,2,3),
(123212,108880,'Inflicts 359 - 598 melee damage on target',100,1,0),
(123213,108880,'Decreases INT of target by 125.8',100,1,1),
(123214,10108880,'Inflicts 466 - 777 melee damage on target',100,1,0),
(123215,10108880,'Decreases INT of target by 125.8',100,1,1),
(123216,159258,'Applies Lambent Imbued when Equipped.',100,0,0),
(123217,159258,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(123218,159258,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(123219,159258,'Cannot be modified except by direct means',100,2,3),
(123220,10159258,'Applies Lambent Imbued when Equipped.',100,0,0),
(123221,10159258,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(123222,10159258,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(123223,10159258,'Cannot be modified except by direct means',100,2,3),
(123224,41677,'When Equipped:',100,0,0),
(123225,41677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123226,41677,'Inflicts 212 - 393 magic damage on target',100,2,2),
(123227,41677,'Cannot be modified except by direct means',100,2,3),
(123228,10041677,'When Equipped:',100,0,0),
(123229,10041677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123230,10041677,'Inflicts 275 - 511 magic damage on target',100,2,2),
(123231,10041677,'Cannot be modified except by direct means',100,2,3),
(123232,74782,'When Equipped:',100,0,0),
(123233,74782,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123234,74782,'Inflicts 134 - 201 magic damage on target',100,2,2),
(123235,74782,'Cannot be modified except by direct means',100,2,3),
(123236,10074782,'When Equipped:',100,0,0),
(123237,10074782,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123238,10074782,'Inflicts 174 - 261 magic damage on target',100,2,2),
(123239,10074782,'Cannot be modified except by direct means',100,2,3),
(123240,159583,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(123241,159583,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(123242,159583,'Inflicts 27 heat damage on target',100,2,2),
(123243,159583,'Cannot be modified except by direct means',100,2,3),
(123244,10159583,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(123245,10159583,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(123246,10159583,'Inflicts 35 heat damage on target',100,2,2),
(123247,10159583,'Cannot be modified except by direct means',100,2,3),
(123248,120566,'Inflicts 7557 - 12595 ranged damage on target',100,1,0),
(123249,120566,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(123250,120566,'Stuns target',100,2,2),
(123251,120566,'Throws target back',100,2,3),
(123252,120566,'Blurs vision of target',100,2,4),
(123253,120566,'Does not affect Epic targets',100,2,5),
(123254,120566,'I need to be stealthed!',100,1,6),
(123255,120566,'Requires bow',100,1,7),
(123256,10120566,'Inflicts 4315 - 7192 melee damage on target',100,1,0),
(123257,10120566,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(123258,10120566,'Stuns target',100,2,2),
(123259,10120566,'Throws target back',100,2,3),
(123260,10120566,'Blurs vision of target',100,2,4),
(123261,10120566,'Does not affect Epic targets',100,2,5),
(123262,10120566,'I need to be stealthed!',100,1,6),
(123263,133666,'When Equipped:',100,0,0),
(123264,133666,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(123265,133666,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(123266,133666,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(123267,133666,'Must not be engaged in pvp combat',100,2,4),
(123268,133666,'Cannot be modified except by direct means',100,2,5),
(123269,133666,'Cannot be modified except by direct means',100,1,6),
(123270,10133666,'When Equipped:',100,0,0),
(123271,10133666,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(123272,10133666,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(123273,10133666,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(123274,10133666,'Must not be engaged in pvp combat',100,2,4),
(123275,10133666,'Cannot be modified except by direct means',100,2,5),
(123276,10133666,'Cannot be modified except by direct means',100,1,6),
(123277,139397,'When Equipped:',100,0,0),
(123278,139397,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(123279,10139397,'When Equipped:',100,0,0),
(123280,10139397,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(123281,81093,'When Equipped:',100,0,0),
(123282,81093,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123283,81093,'Inflicts 203 - 377 magic damage on target',100,2,2),
(123284,81093,'Cannot be modified except by direct means',100,2,3),
(123285,10081093,'When Equipped:',100,0,0),
(123286,10081093,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123287,10081093,'Inflicts 264 - 490 magic damage on target',100,2,2),
(123288,10081093,'Cannot be modified except by direct means',100,2,3),
(123289,107119,'Inflicts 93 - 113 divine damage on target',100,1,0),
(123290,107119,'Inflicts 93 - 113 divine damage on target',100,1,1),
(123291,107119,'If target is undead',100,2,2),
(123292,10107119,'Inflicts 121 - 148 divine damage on target',100,1,0),
(123293,10107119,'Inflicts 121 - 148 divine damage on target',100,1,1),
(123294,159309,'Applies Sanguine Imbued when Equipped.',100,0,0),
(123295,159309,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(123296,159309,'Inflicts 84 heat damage on target',100,2,2),
(123297,159309,'Cannot be modified except by direct means',100,2,3),
(123298,10159309,'Applies Sanguine Imbued when Equipped.',100,0,0),
(123299,10159309,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(123300,10159309,'Inflicts 109 heat damage on target',100,2,2),
(123301,10159309,'Cannot be modified except by direct means',100,2,3),
(123302,177665,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(123303,177665,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(123304,177665,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(123305,177665,'Cannot be modified except by direct means',100,2,3),
(123306,10177665,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(123307,10177665,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(123308,10177665,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(123309,10177665,'Cannot be modified except by direct means',100,2,3),
(123310,165373,'When Equipped:',100,0,0),
(123311,165373,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(123312,165373,'Slows target by 30.0%',100,2,2),
(123313,165373,'Only affects targets level 103 and below',100,2,3),
(123314,165373,'Does not affect Epic targets',100,2,4),
(123315,165373,'Cannot be modified except by direct means',100,2,5),
(123316,10165373,'When Equipped:',100,0,0),
(123317,10165373,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(123318,10165373,'Slows target by 30.0%',100,2,2),
(123319,10165373,'Only affects targets level 103 and below',100,2,3),
(123320,10165373,'Does not affect Epic targets',100,2,4),
(123321,10165373,'Cannot be modified except by direct means',100,2,5),
(123322,105436,'Increases STR of caster by 291.1',100,1,0),
(123323,105436,'Decreases Defense of caster by 26.2',100,1,1),
(123324,105436,'Increases Slashing, Piercing, Crushing and Disruption of caster by 55.6',100,1,2),
(123325,10105436,'Increases STR of caster by 291.1',100,1,0),
(123326,10105436,'Decreases Defense of caster by 26.2',100,1,1),
(123327,10105436,'Increases Slashing, Piercing, Crushing and Disruption of caster by 55.6',100,1,2),
(123328,35355,'Increases AGI of target by 1.5',100,0,0),
(123329,35355,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(123330,80455,'When Equipped:',100,0,0),
(123331,80455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123332,80455,'Inflicts 67 - 124 magic damage on target',100,2,2),
(123333,80455,'Cannot be modified except by direct means',100,2,3),
(123334,10080455,'When Equipped:',100,0,0),
(123335,10080455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123336,10080455,'Inflicts 87 - 161 magic damage on target',100,2,2),
(123337,10080455,'Cannot be modified except by direct means',100,2,3),
(123338,122974,'Inflicts 507 - 686 mental damage on target',100,1,0),
(123339,10122974,'Inflicts 660 - 892 mental damage on target',100,1,0),
(123340,35701,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(123341,177789,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(123342,177789,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(123343,177789,'Decreases Attack Speed of target by 12.0',100,2,2),
(123344,177789,'Cannot be modified except by direct means',100,2,3),
(123345,177789,'Slows target by 30.0%',100,1,4),
(123346,177789,'5% chance to dispel when target takes damage',100,1,5),
(123347,177789,'5% chance to dispel when target receives hostile action',100,1,6),
(123348,177789,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(123349,10177789,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(123350,10177789,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(123351,10177789,'Decreases Attack Speed of target by 12.0',100,2,2),
(123352,10177789,'Cannot be modified except by direct means',100,2,3),
(123353,10177789,'Slows target by 30.0%',100,1,4),
(123354,10177789,'5% chance to dispel when target takes damage',100,1,5),
(123355,10177789,'5% chance to dispel when target receives hostile action',100,1,6),
(123356,10177789,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(123357,162691,'When Equipped:',100,0,0),
(123358,162691,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(123359,162691,'Increases AGI of target by 15.6',100,2,2),
(123360,162691,'Cannot be modified except by direct means',100,2,3),
(123361,10162691,'When Equipped:',100,0,0),
(123362,10162691,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(123363,10162691,'Increases AGI of target by 15.6',100,2,2),
(123364,10162691,'Cannot be modified except by direct means',100,2,3),
(123365,104523,'Increases Threat to target by 320 - 391  instantly and by 64 - 78  every 2 seconds thereafter',100,1,0),
(123366,10104523,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(123367,122162,'Inflicts 37 - 45 cold damage on target instantly and every 2 seconds',100,1,0),
(123368,122162,'Inflicts 37 - 45 cold damage on target instantly and every 2 seconds',100,1,1),
(123369,122162,'If target is elemental',100,2,2),
(123370,10122162,'Inflicts 48 - 59 cold damage on target instantly and every 2 seconds',100,1,0),
(123371,100086,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(123372,10100086,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(123373,27077,'When Equipped:',100,0,0),
(123374,27077,'Increases all poison damage by up to 5.',100,1,1),
(123375,10027077,'When Equipped:',100,0,0),
(123376,10027077,'Increases all poison damage by up to 5.',100,1,1),
(123377,35575,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(123378,82629,'When Equipped:',100,0,0),
(123379,82629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123380,82629,'Inflicts 104 - 194 magic damage on target',100,2,2),
(123381,82629,'Cannot be modified except by direct means',100,2,3),
(123382,10082629,'When Equipped:',100,0,0),
(123383,10082629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123384,10082629,'Inflicts 136 - 252 magic damage on target',100,2,2),
(123385,10082629,'Cannot be modified except by direct means',100,2,3),
(123386,100088,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(123387,10100088,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(123388,47280,'Applies Rasrok''s Revitalization  when Activated.',100,0,0),
(123389,47280,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(123390,10047280,'Applies Rasrok''s Revitalization  when Activated.',100,0,0),
(123391,10047280,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(123392,165454,'Applies Heroic Fortitude when Activated.',100,0,0),
(123393,165454,'This effect requires 1 concentration slot to maintain.',100,1,1),
(123394,165454,'Increases Max Health of caster by 500.0',100,1,2),
(123395,165454,'The casting time of Heroic Fortitude is 0.5 seconds',100,1,3),
(123396,10165454,'Applies Heroic Fortitude when Activated.',100,0,0),
(123397,10165454,'This effect requires 1 concentration slot to maintain.',100,1,1),
(123398,10165454,'Increases Max Health of caster by 500.0',100,1,2),
(123399,10165454,'The casting time of Heroic Fortitude is 0.5 seconds',100,1,3),
(123400,118566,'Dazes caster',100,1,0),
(123401,118566,'Roots caster',100,1,1),
(123402,118566,'Increases Mitigation of caster vs physical damage by 1292',100,1,2),
(123403,10118566,'Dazes caster',100,1,0),
(123404,10118566,'Roots caster',100,1,1),
(123405,10118566,'Increases Mitigation of caster vs physical damage by 1292',100,1,2),
(123406,35056,'Increases AGI of target by 1.5',100,0,0),
(123407,35056,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(123408,187374,'When Equipped:',100,0,0),
(123409,187374,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(123410,187374,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(123411,187374,'Increases Attack Speed of caster by 6.0',100,2,3),
(123412,187374,'Increases Damage Per Second of caster by 9.0',100,2,4),
(123413,187374,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(123414,187374,'Must not be engaged in pvp combat',100,2,6),
(123415,187374,'Cannot be modified except by direct means',100,2,7),
(123416,187374,'Cannot be modified except by direct means',100,1,8),
(123417,10187374,'When Equipped:',100,0,0),
(123418,10187374,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(123419,10187374,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(123420,10187374,'Increases Attack Speed of caster by 6.0',100,2,3),
(123421,10187374,'Increases Damage Per Second of caster by 9.0',100,2,4),
(123422,10187374,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(123423,10187374,'Must not be engaged in pvp combat',100,2,6),
(123424,10187374,'Cannot be modified except by direct means',100,2,7),
(123425,10187374,'Cannot be modified except by direct means',100,1,8),
(123426,107834,'Causes 15% Threat to transfer to target when in combat',100,1,0),
(123427,107834,'Increases Hate Gain of target by 15.0%',100,1,1),
(123428,103519,'Charms target',100,1,0),
(123429,103519,'If outside an arena',100,1,1),
(123430,103519,'Certain enemies cannot be charmed',100,1,2),
(123431,103519,'Does not affect Epic targets',100,1,3),
(123432,10103519,'Mesmerizes target',100,1,0),
(123433,10103519,'Prevents AOE (except when direct) ',100,1,1),
(123434,10103519,'Dispelled when target takes damage',100,1,2),
(123435,10103519,'If outside an arena',100,1,3),
(123436,10103519,'Certain enemies cannot be charmed',100,1,4),
(123437,10103519,'Does not affect Epic targets',100,1,5),
(123438,10103519,'Resistibility increases against targets higher than level 91.',100,1,6),
(123439,112123,'Dispels 44 levels of physical and arcane hostile effects on caster',100,1,0),
(123440,10112123,'Dispels 44 levels of physical and arcane hostile effects on caster',100,1,0),
(123441,189089,'When Equipped:',100,0,0),
(123442,189089,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(123443,189089,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(123444,189089,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,3),
(123445,189089,'Heals caster for 970 - 1072 instantly and every 3 seconds',100,2,4),
(123446,189089,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(123447,189089,'Must not be engaged in pvp combat',100,2,6),
(123448,189089,'Cannot be modified except by direct means',100,2,7),
(123449,189089,'Must not be engaged in pvp combat',100,1,8),
(123450,10189089,'When Equipped:',100,0,0),
(123451,10189089,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(123452,10189089,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(123453,10189089,'Inflicts 1152 - 1273 piercing damage on target instantly and every 3 seconds',100,2,3),
(123454,10189089,'Heals caster for 1134 - 1254 instantly and every 3 seconds',100,2,4),
(123455,10189089,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(123456,10189089,'Must not be engaged in pvp combat',100,2,6),
(123457,10189089,'Cannot be modified except by direct means',100,2,7),
(123458,10189089,'Must not be engaged in pvp combat',100,1,8),
(123459,170328,'When Equipped:',100,0,0),
(123460,170328,'Increases Attack Speed of caster by 35.0',100,1,1),
(123461,10170328,'When Equipped:',100,0,0),
(123462,10170328,'Increases Attack Speed of caster by 35.0',100,1,1),
(123463,76474,'When Equipped:',100,0,0),
(123464,76474,'On a combat hit this spell may cast Mindlash on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123465,76474,'Inflicts 93 - 155 mental damage on target every 4.8 seconds',100,2,2),
(123466,76474,'Applies Mindlash Bite on termination.',100,2,3),
(123467,76474,'Inflicts 140 - 233 mental damage on target',100,3,4),
(123468,76474,'Cannot be modified except by direct means',100,2,5),
(123469,10076474,'When Equipped:',100,0,0),
(123470,10076474,'On a combat hit this spell may cast Mindlash on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123471,10076474,'Inflicts 121 - 201 mental damage on target every 4.8 seconds',100,2,2),
(123472,10076474,'Applies Mindlash Bite on termination.',100,2,3),
(123473,10076474,'Inflicts 182 - 304 mental damage on target',100,3,4),
(123474,10076474,'Cannot be modified except by direct means',100,2,5),
(123475,109157,'Roots target',100,1,0),
(123476,109157,'Applies Blind.  Lasts for 4.0 seconds.',100,1,1),
(123477,109157,'Dazes target',100,2,2),
(123478,109157,'Blurs vision of target',100,2,3),
(123479,109157,'Dispelled when target takes damage',100,2,4),
(123480,109157,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(123481,109157,'5% chance to dispel when target takes damage',100,1,6),
(123482,109157,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,7),
(123483,109157,'Resistibility increases against targets higher than level 34.',100,1,8),
(123484,10109157,'Roots target',100,1,0),
(123485,10109157,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(123486,10109157,'Dazes target',100,2,2),
(123487,10109157,'Blurs vision of target',100,2,3),
(123488,10109157,'Dispelled when target takes damage',100,2,4),
(123489,10109157,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(123490,10109157,'5% chance to dispel when target takes damage',100,1,6),
(123491,10109157,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(123492,10109157,'Resistibility increases against targets higher than level 34.',100,1,8),
(123493,124123,'Increases power of caster by 241',100,1,0),
(123494,10124123,'Increases power of caster by 241',100,1,0),
(123495,121322,'Inflicts 985 - 1642 ranged damage on targets in area',100,1,0),
(123496,121322,'Requires bow',100,1,1),
(123497,10121322,'Inflicts 754 - 1256 ranged damage on targets in area',100,1,0),
(123498,10121322,'Requires bow',100,1,1),
(123499,72571,'When Equipped:',100,0,0),
(123500,72571,'On a hostile spell hit this spell may cast Unbending Will on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(123501,72571,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1245',100,2,2),
(123502,72571,'Cannot be modified except by direct means',100,2,3),
(123503,10072571,'When Equipped:',100,0,0),
(123504,10072571,'On a hostile spell hit this spell may cast Unbending Will on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(123505,10072571,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1245',100,2,2),
(123506,10072571,'Cannot be modified except by direct means',100,2,3),
(123507,101606,'Inflicts 739 - 1231 melee damage on targets in area',100,1,0),
(123508,10101606,'Inflicts 960 - 1601 melee damage on targets in area',100,1,0),
(123509,82877,'When Equipped:',100,0,0),
(123510,82877,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123511,82877,'Inflicts 315 - 585 magic damage on target',100,2,2),
(123512,82877,'Cannot be modified except by direct means',100,2,3),
(123513,10082877,'When Equipped:',100,0,0),
(123514,10082877,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123515,10082877,'Inflicts 409 - 760 magic damage on target',100,2,2),
(123516,10082877,'Cannot be modified except by direct means',100,2,3),
(123517,119214,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(123518,119214,'Stuns target',100,2,1),
(123519,119214,'Throws target back',100,2,2),
(123520,119214,'Blurs vision of target',100,2,3),
(123521,119214,'Does not affect Epic targets',100,2,4),
(123522,119214,'Inflicts 83 - 250 magic damage on targets in Area of Effect',100,1,5),
(123523,10119214,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(123524,10119214,'Stuns target',100,2,1),
(123525,10119214,'Throws target back',100,2,2),
(123526,10119214,'Blurs vision of target',100,2,3),
(123527,10119214,'Does not affect Epic targets',100,2,4),
(123528,10119214,'Inflicts 108 - 324 magic damage on targets in Area of Effect',100,1,5),
(123529,121375,'Inflicts 182 - 338 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(123530,10121375,'Inflicts 237 - 439 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(123531,87375,'When Equipped:',100,0,0),
(123532,87375,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123533,87375,'Inflicts 194 - 290 magic damage on target',100,2,2),
(123534,87375,'Cannot be modified except by direct means',100,2,3),
(123535,10087375,'When Equipped:',100,0,0),
(123536,10087375,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123537,10087375,'Inflicts 252 - 378 magic damage on target',100,2,2),
(123538,10087375,'Cannot be modified except by direct means',100,2,3),
(123539,155643,'Applies Luclin Boots when Equipped.',100,0,0),
(123540,155643,'Decreases falling damage taken by caster by 49.0%',100,1,1),
(123541,155643,'This effect suspends during combat',100,1,2),
(123542,10155643,'Applies Luclin Boots when Equipped.',100,0,0),
(123543,10155643,'Decreases falling damage taken by caster by 49.0%',100,1,1),
(123544,10155643,'This effect suspends during combat',100,1,2),
(123545,120322,'Increases Threat to target by 1,927 - 2,356 ',100,1,0),
(123546,10120322,'Forces target to change their selected target to caster.',100,1,0),
(123547,10120322,'Prevents target from changing targets',100,1,1),
(123548,73142,'When Equipped:',100,0,0),
(123549,73142,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(123550,10073142,'When Equipped:',100,0,0),
(123551,10073142,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(123552,74906,'When Equipped:',100,0,0),
(123553,74906,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123554,74906,'Inflicts 38 - 57 magic damage on target',100,2,2),
(123555,74906,'Cannot be modified except by direct means',100,2,3),
(123556,10074906,'When Equipped:',100,0,0),
(123557,10074906,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123558,10074906,'Inflicts 50 - 75 magic damage on target',100,2,2),
(123559,10074906,'Cannot be modified except by direct means',100,2,3),
(123560,110279,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(123561,110279,'Slows target by 48.4%',100,2,1),
(123562,110279,'5% chance to dispel when target receives hostile action',100,2,2),
(123563,110279,'5% chance to dispel when target takes damage',100,2,3),
(123564,110279,'Decreases Mitigation of target vs arcane damage by 644',100,1,4),
(123565,10110279,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(123566,10110279,'Slows target by 48.4%',100,2,1),
(123567,10110279,'5% chance to dispel when target receives hostile action',100,2,2),
(123568,10110279,'5% chance to dispel when target takes damage',100,2,3),
(123569,10110279,'Decreases Mitigation of target vs arcane damage by 644',100,1,4),
(123570,100512,'Increases Attack Speed of group members (AE) by 27.2',100,1,0),
(123571,10100512,'Increases Attack Speed of group members (AE) by 27.2',100,1,0),
(123572,121509,'Inflicts 694 - 1157 melee damage on target',100,1,0),
(123573,121509,'Decreases Defense of target by 16.7',100,1,1),
(123574,10121509,'Inflicts 902 - 1504 melee damage on target',100,1,0),
(123575,10121509,'Decreases Defense of target by 16.7',100,1,1),
(123576,82274,'When Equipped:',100,0,0),
(123577,82274,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(123578,82274,'Inflicts 48 - 89 magic damage on target',100,2,2),
(123579,82274,'Decreases Threat to target by 135 ',100,2,3),
(123580,82274,'Must be flanking or behind',100,3,4),
(123581,82274,'Increases Threat to target by 135 ',100,2,5),
(123582,82274,'Must be in front of',100,3,6),
(123583,82274,'Cannot be modified except by direct means',100,2,7),
(123584,10082274,'When Equipped:',100,0,0),
(123585,10082274,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(123586,10082274,'Inflicts 62 - 115 magic damage on target',100,2,2),
(123587,10082274,'Cannot be modified except by direct means',100,2,3),
(123588,120030,'Inflicts 79 - 96 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(123589,120030,'Decreases power of target encounter by 26 instantly and every 4 seconds',100,1,1),
(123590,10120030,'Inflicts 103 - 125 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(123591,10120030,'Decreases power of target encounter by 26 instantly and every 4 seconds',100,1,1),
(123592,116364,'Mesmerizes target encounter',100,1,0),
(123593,116364,'Prevents AOE (except when direct) ',100,1,1),
(123594,116364,'Dispelled when target takes damage',100,1,2),
(123595,116364,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(123596,116364,'Resistibility increases against targets higher than level 106.',100,1,4),
(123597,10116364,'Mesmerizes target encounter',100,1,0),
(123598,10116364,'Prevents AOE (except when direct) ',100,1,1),
(123599,10116364,'Dispelled when target takes damage',100,1,2),
(123600,10116364,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(123601,10116364,'Resistibility increases against targets higher than level 106.',100,1,4),
(123602,110122,'Shapechanges group members (AE) into an air elemental',100,1,0),
(123603,10110122,'Shapechanges group members (AE) into an air elemental',100,1,0),
(123604,80640,'When Equipped:',100,0,0),
(123605,80640,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(123606,80640,'Inflicts 83 - 154 magic damage on target',100,2,2),
(123607,80640,'Decreases Threat to target by 236 ',100,2,3),
(123608,80640,'Must be flanking or behind',100,3,4),
(123609,80640,'Increases Threat to target by 236 ',100,2,5),
(123610,80640,'Must be in front of',100,3,6),
(123611,80640,'Cannot be modified except by direct means',100,2,7),
(123612,10080640,'When Equipped:',100,0,0),
(123613,10080640,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(123614,10080640,'Inflicts 108 - 200 magic damage on target',100,2,2),
(123615,10080640,'Cannot be modified except by direct means',100,2,3),
(123616,49201,'Applies Word Beyond when Activated.',100,0,0),
(123617,10049201,'Applies Word Beyond when Activated.',100,0,0),
(123618,71397,'When Equipped:',100,0,0),
(123619,71397,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123620,71397,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(123621,71397,'Cannot be modified except by direct means',100,2,3),
(123622,10071397,'When Equipped:',100,0,0),
(123623,10071397,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123624,10071397,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(123625,10071397,'Cannot be modified except by direct means',100,2,3),
(123626,173737,'When Equipped:',100,0,0),
(123627,173737,'Increases Attack Speed of caster by 40.0',100,1,1),
(123628,10173737,'When Equipped:',100,0,0),
(123629,10173737,'Increases Attack Speed of caster by 40.0',100,1,1),
(123630,81550,'When Equipped:',100,0,0),
(123631,81550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123632,81550,'Inflicts 153 - 283 magic damage on target',100,2,2),
(123633,81550,'Cannot be modified except by direct means',100,2,3),
(123634,10081550,'When Equipped:',100,0,0),
(123635,10081550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123636,10081550,'Inflicts 198 - 368 magic damage on target',100,2,2),
(123637,10081550,'Cannot be modified except by direct means',100,2,3),
(123638,170057,'When Equipped:',100,0,0),
(123639,170057,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(123640,170057,'Increases power of target by 48 instantly and every 4 seconds',100,2,2),
(123641,170057,'Cannot be modified except by direct means',100,2,3),
(123642,10170057,'When Equipped:',100,0,0),
(123643,10170057,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(123644,10170057,'Increases power of target by 48 instantly and every 4 seconds',100,2,2),
(123645,10170057,'Cannot be modified except by direct means',100,2,3),
(123646,108769,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(123647,108769,'Inflicts 36 - 44 heat damage on target instantly and every 4 seconds',100,2,1),
(123648,108769,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(123649,108769,'Inflicts 159 - 195 heat damage on target encounter',100,3,3),
(123650,108769,'Grants a total of 1 trigger of the spell.',100,3,4),
(123651,10108769,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(123652,10108769,'Inflicts 47 - 57 heat damage on target instantly and every 4 seconds',100,2,1),
(123653,10108769,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(123654,10108769,'Inflicts 207 - 253 heat damage on target encounter',100,3,3),
(123655,10108769,'Grants a total of 1 trigger of the spell.',100,3,4),
(123656,170227,'Applies Rift Portals when Activated.',100,0,0),
(123657,170227,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(123658,10170227,'Applies Rift Portals when Activated.',100,0,0),
(123659,10170227,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(123660,146454,'When Equipped:',100,0,0),
(123661,146454,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(123662,146454,'Inflicts 2344 heat damage on target',100,2,2),
(123663,146454,'Heals caster for 2100',100,2,3),
(123664,146454,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(123665,146454,'Cannot be modified except by direct means',100,2,5),
(123666,146454,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(123667,146454,'Inflicts 2344 heat damage on target',100,2,7),
(123668,146454,'Heals caster for 2100',100,2,8),
(123669,146454,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(123670,146454,'Cannot be modified except by direct means',100,2,10),
(123671,10146454,'When Equipped:',100,0,0),
(123672,10146454,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(123673,10146454,'Inflicts 3048 heat damage on target',100,2,2),
(123674,10146454,'Heals caster for 2456',100,2,3),
(123675,10146454,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(123676,10146454,'Cannot be modified except by direct means',100,2,5),
(123677,10146454,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(123678,10146454,'Inflicts 3048 heat damage on target',100,2,7),
(123679,10146454,'Heals caster for 2456',100,2,8),
(123680,10146454,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(123681,10146454,'Cannot be modified except by direct means',100,2,10),
(123682,101492,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(123683,101492,'Increases Mitigation of group members (AE) vs arcane damage by 1008',100,1,1),
(123684,10101492,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(123685,10101492,'Increases Mitigation of group members (AE) vs arcane damage by 1008',100,1,1),
(123686,116635,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(123687,116635,'Increases Mitigation of group members (AE) vs arcane damage by 706',100,1,1),
(123688,10116635,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(123689,10116635,'Increases Mitigation of group members (AE) vs arcane damage by 706',100,1,1),
(123690,112124,'Dispels 35 levels of physical and arcane hostile effects on caster',100,1,0),
(123691,10112124,'Dispels 35 levels of physical and arcane hostile effects on caster',100,1,0),
(123692,124425,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(123693,124425,'Inflicts 493 - 822 melee damage on target',100,2,1),
(123694,124425,'Grants a total of 3 triggers of the spell.',100,2,2),
(123695,10124425,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(123696,10124425,'Inflicts 641 - 1069 melee damage on target',100,2,1),
(123697,10124425,'Grants a total of 3 triggers of the spell.',100,2,2),
(123698,108787,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(123699,108787,'Inflicts 71 - 87 heat damage on target instantly and every 4 seconds',100,2,1),
(123700,108787,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(123701,108787,'Inflicts 317 - 387 heat damage on target encounter',100,3,3),
(123702,108787,'Grants a total of 1 trigger of the spell.',100,3,4),
(123703,10108787,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(123704,10108787,'Inflicts 93 - 113 heat damage on target instantly and every 4 seconds',100,2,1),
(123705,10108787,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(123706,10108787,'Inflicts 412 - 503 heat damage on target encounter',100,3,3),
(123707,10108787,'Grants a total of 1 trigger of the spell.',100,3,4),
(123708,72141,'When Equipped:',100,0,0),
(123709,72141,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123710,72141,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(123711,72141,'Cannot be modified except by direct means',100,2,3),
(123712,10072141,'When Equipped:',100,0,0),
(123713,10072141,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123714,10072141,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(123715,10072141,'Cannot be modified except by direct means',100,2,3),
(123716,111594,'Inflicts 22 - 41 cold damage on target instantly and every 4 seconds',100,1,0),
(123717,111594,'Decreases Mitigation of target vs elemental damage by 297',100,1,1),
(123718,10111594,'Inflicts 29 - 54 cold damage on target instantly and every 4 seconds',100,1,0),
(123719,10111594,'Decreases Mitigation of target vs elemental damage by 297',100,1,1),
(123720,142913,'When Equipped:',100,0,0),
(123721,142913,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(123722,10142913,'When Equipped:',100,0,0),
(123723,10142913,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(123724,102859,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(123725,102859,'Stuns target',100,2,1),
(123726,102859,'Throws target back',100,2,2),
(123727,102859,'Blurs vision of target',100,2,3),
(123728,102859,'Does not affect Epic targets',100,2,4),
(123729,102859,'Inflicts 373 - 1121 melee damage on targets in area',100,1,5),
(123730,10102859,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(123731,10102859,'Stuns target',100,2,1),
(123732,10102859,'Throws target back',100,2,2),
(123733,10102859,'Blurs vision of target',100,2,3),
(123734,10102859,'Does not affect Epic targets',100,2,4),
(123735,10102859,'Inflicts 486 - 1458 melee damage on targets in area',100,1,5),
(123736,188375,'When Equipped:',100,0,0),
(123737,188375,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(123738,10188375,'When Equipped:',100,0,0),
(123739,10188375,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(123740,46165,'Applies Place Epic Training Dummy when Activated.',100,0,0),
(123741,46165,'This effect cannot be cast during combat',100,1,1),
(123742,10046165,'Applies Place Epic Training Dummy when Activated.',100,0,0),
(123743,10046165,'This effect cannot be cast during combat',100,1,1),
(123744,101709,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(123745,101709,'Inflicts 737 - 900 disease damage on target',100,2,1),
(123746,101709,'Grants a total of 3 triggers of the spell.',100,2,2),
(123747,10101709,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(123748,10101709,'Inflicts 958 - 1171 disease damage on target',100,2,1),
(123749,10101709,'Grants a total of 3 triggers of the spell.',100,2,2),
(123750,111555,'Inflicts 83 - 155 cold damage on target',100,1,0),
(123751,10111555,'Inflicts 108 - 201 cold damage on target',100,1,0),
(123752,106790,'Shapechanges caster into a high elf',100,1,0),
(123753,10106790,'Shapechanges caster into a high elf',100,1,0),
(123754,82521,'When Equipped:',100,0,0),
(123755,82521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123756,82521,'Inflicts 116 - 215 magic damage on target',100,2,2),
(123757,82521,'Cannot be modified except by direct means',100,2,3),
(123758,10082521,'When Equipped:',100,0,0),
(123759,10082521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123760,10082521,'Inflicts 151 - 280 magic damage on target',100,2,2),
(123761,10082521,'Cannot be modified except by direct means',100,2,3),
(123762,80850,'When Equipped:',100,0,0),
(123763,80850,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(123764,80850,'Inflicts 288 - 534 magic damage on target',100,2,2),
(123765,80850,'Decreases Threat to target by 672 ',100,2,3),
(123766,80850,'Must be flanking or behind',100,3,4),
(123767,80850,'Increases Threat to target by 672 ',100,2,5),
(123768,80850,'Must be in front of',100,3,6),
(123769,80850,'Cannot be modified except by direct means',100,2,7),
(123770,10080850,'When Equipped:',100,0,0),
(123771,10080850,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(123772,10080850,'Inflicts 374 - 695 magic damage on target',100,2,2),
(123773,10080850,'Cannot be modified except by direct means',100,2,3),
(123774,109821,'Inflicts 192 - 320 melee damage on target',100,1,0),
(123775,109821,'Decreases Parry of target by 17.4',100,1,1),
(123776,109821,'Must be in front of or flanking',100,1,2),
(123777,10109821,'Inflicts 250 - 417 melee damage on target',100,1,0),
(123778,10109821,'Decreases Parry of target by 17.4',100,1,1),
(123779,10109821,'Must be in front of or flanking',100,1,2),
(123780,138103,'When Equipped:',100,0,0),
(123781,138103,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(123782,138103,'Inflicts 2664 disease damage on target encounter',100,2,2),
(123783,138103,'Must not be engaged in pvp combat',100,2,3),
(123784,138103,'Cannot be modified except by direct means',100,2,4),
(123785,10138103,'When Equipped:',100,0,0),
(123786,10138103,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(123787,10138103,'Inflicts 1732 disease damage on target encounter',100,2,2),
(123788,10138103,'Must not be engaged in pvp combat',100,2,3),
(123789,10138103,'Cannot be modified except by direct means',100,2,4),
(123790,110374,'Increases STR and AGI of group members (AE) by 32.3',100,1,0),
(123791,110374,'Adds 1.7% to base avoidance.',100,1,1),
(123792,10110374,'Increases STR and AGI of group members (AE) by 32.3',100,1,0),
(123793,10110374,'Adds 1.7% to base avoidance.',100,1,1),
(123794,109115,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(123795,109115,'Increases Attack Speed of caster by 64.0',100,1,1),
(123796,109115,'Increases Damage Per Second of caster by 73.6',100,1,2),
(123797,109115,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(123798,109115,'Increases Ranged of caster by 69.1',100,1,4),
(123799,109115,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(123800,109115,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(123801,109115,'Increases Crushing of group members (AE) by 69.1',100,2,7),
(123802,109115,'Increases Slashing of group members (AE) by 69.1',100,2,8),
(123803,109115,'If profession other than Ranger',100,3,9),
(123804,109115,'Increases Piercing of group members (AE) by 69.1',100,2,10),
(123805,109115,'If profession other than Ranger',100,3,11),
(123806,10109115,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(123807,10109115,'Increases Attack Speed of caster by 64.0',100,1,1),
(123808,10109115,'Increases Damage Per Second of caster by 73.6',100,1,2),
(123809,10109115,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(123810,10109115,'Increases Ranged of caster by 69.1',100,1,4),
(123811,10109115,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(123812,10109115,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(123813,10109115,'Increases Crushing of group members (AE) by 69.1',100,2,7),
(123814,10109115,'Increases Slashing of group members (AE) by 69.1',100,2,8),
(123815,10109115,'If profession other than Ranger',100,3,9),
(123816,10109115,'Increases Piercing of group members (AE) by 69.1',100,2,10),
(123817,10109115,'If profession other than Ranger',100,3,11),
(123818,103877,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(123819,103877,'Slows target by 63.3%',100,2,1),
(123820,103877,'5% chance to dispel when target receives hostile action',100,2,2),
(123821,103877,'5% chance to dispel when target takes damage',100,2,3),
(123822,103877,'Decreases Mitigation of target vs noxious damage by 2310',100,1,4),
(123823,10103877,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(123824,10103877,'Slows target by 63.3%',100,2,1),
(123825,10103877,'5% chance to dispel when target receives hostile action',100,2,2),
(123826,10103877,'5% chance to dispel when target takes damage',100,2,3),
(123827,10103877,'Decreases Mitigation of target vs noxious damage by 2310',100,1,4),
(123828,114938,'Decreases Attack Speed of target by 6.8',100,1,0),
(123829,114938,'Inflicts 9 - 29 slashing damage on target',100,1,1),
(123830,114938,'Inflicts 20 slashing damage on target instantly and every 4 seconds',100,1,2),
(123831,10114938,'Decreases Attack Speed of target by 6.8',100,1,0),
(123832,10114938,'Inflicts 12 - 38 slashing damage on target',100,1,1),
(123833,10114938,'Inflicts 26 slashing damage on target instantly and every 4 seconds',100,1,2),
(123834,102162,'Inflicts 473 - 789 melee damage on target',100,1,0),
(123835,102162,'Inflicts 473 - 789 melee damage on target',100,1,1),
(123836,10102162,'Inflicts 615 - 1026 melee damage on target',100,1,0),
(123837,10102162,'Inflicts 615 - 1026 melee damage on target',100,1,1),
(123838,113359,'Applies Stifle.  Lasts for 5.0 seconds.',100,1,0),
(123839,113359,'Stifles target',100,2,1),
(123840,113359,'Blurs vision of target',100,2,2),
(123841,113359,'Dispelled when target takes damage',100,2,3),
(123842,113359,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(123843,113359,'Resistibility increases against targets higher than level 48.',100,2,5),
(123844,113359,'Roots target',100,1,6),
(123845,113359,'5% chance to dispel when target takes damage',100,1,7),
(123846,113359,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,8),
(123847,113359,'Resistibility increases against targets higher than level 48.',100,1,9),
(123848,10113359,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(123849,10113359,'Stifles target',100,2,1),
(123850,10113359,'Blurs vision of target',100,2,2),
(123851,10113359,'Dispelled when target takes damage',100,2,3),
(123852,10113359,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(123853,10113359,'Resistibility increases against targets higher than level 48.',100,2,5),
(123854,10113359,'Roots target',100,1,6),
(123855,10113359,'5% chance to dispel when target takes damage',100,1,7),
(123856,10113359,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(123857,10113359,'Resistibility increases against targets higher than level 48.',100,1,9),
(123858,121180,'Grants stealth to caster',100,1,0),
(123859,121180,'Suspends caster''s movement speed enhancements',100,1,1),
(123860,121180,'Decreases Threat to target by 168 - 280 ',100,1,2),
(123861,10121180,'Forces target to clear their selected target.',100,1,0),
(123862,10121180,'Grants stealth to caster',100,1,1),
(123863,10121180,'Suspends caster''s movement speed enhancements',100,1,2),
(123864,24539,'Adds Mistmoore: Marble Bench to your Dungeon Maker toolbox',100,0,0),
(123865,10024539,'Adds Mistmoore: Marble Bench to your Dungeon Maker toolbox',100,0,0),
(123866,137905,'When Equipped:',100,0,0),
(123867,137905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(123868,137905,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(123869,137905,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(123870,137905,'Must not be engaged in pvp combat',100,2,4),
(123871,137905,'Cannot be modified except by direct means',100,2,5),
(123872,137905,'Cannot be modified except by direct means',100,1,6),
(123873,10137905,'When Equipped:',100,0,0),
(123874,10137905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(123875,10137905,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(123876,10137905,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(123877,10137905,'Must not be engaged in pvp combat',100,2,4),
(123878,10137905,'Cannot be modified except by direct means',100,2,5),
(123879,10137905,'Cannot be modified except by direct means',100,1,6),
(123880,108164,'Inflicts 1372 - 2286 melee damage on target',100,1,0),
(123881,108164,'You must be sneaking to use this ability.',100,1,1),
(123882,108164,'Must be flanking or behind',100,1,2),
(123883,10108164,'Inflicts 1176 - 1960 melee damage on target',100,1,0),
(123884,10108164,'You must be sneaking to use this ability.',100,1,1),
(123885,10108164,'Must be flanking or behind',100,1,2),
(123886,112807,'Inflicts 771 - 1286 slashing damage on target',100,1,0),
(123887,112807,'Stifles target',100,1,1),
(123888,112807,'If Target is not Epic',100,2,2),
(123889,112807,'You must be in stealth.',100,1,3),
(123890,112807,'Resistibility increases against targets higher than level 91.',100,1,4),
(123891,10112807,'Inflicts 1003 - 1672 slashing damage on target',100,1,0),
(123892,10112807,'Stifles target',100,1,1),
(123893,10112807,'If Target is not Epic',100,2,2),
(123894,10112807,'You must be in stealth.',100,1,3),
(123895,10112807,'Resistibility increases against targets higher than level 91.',100,1,4),
(123896,24712,'Adds Spider (Ranger) to your Dungeon Maker toolbox',100,0,0),
(123897,10024712,'Adds Spider (Ranger) to your Dungeon Maker toolbox',100,0,0),
(123898,74979,'When Equipped:',100,0,0),
(123899,74979,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123900,74979,'Inflicts 93 - 139 magic damage on target',100,2,2),
(123901,74979,'Cannot be modified except by direct means',100,2,3),
(123902,10074979,'When Equipped:',100,0,0),
(123903,10074979,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(123904,10074979,'Inflicts 121 - 181 magic damage on target',100,2,2),
(123905,10074979,'Cannot be modified except by direct means',100,2,3),
(123906,170015,'When Equipped:',100,0,0),
(123907,170015,'Increases caster''s chance to block by 15.0%',100,1,1),
(123908,10170015,'When Equipped:',100,0,0),
(123909,10170015,'Increases caster''s chance to block by 15.0%',100,1,1),
(123910,123616,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(123911,123616,'Increases Defense of target by 34.8',100,1,1),
(123912,10123616,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(123913,10123616,'Increases Defense of target by 34.8',100,1,1),
(123914,47812,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(123915,47812,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(123916,47812,'Inflicts 3142 poison damage on target',100,2,2),
(123917,47812,'Cannot be modified except by direct means',100,2,3),
(123918,47812,'Grants a total of 100 triggers of the spell.',100,2,4),
(123919,10047812,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(123920,10047812,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(123921,10047812,'Inflicts 1021 poison damage on target',100,2,2),
(123922,10047812,'Cannot be modified except by direct means',100,2,3),
(123923,10047812,'Grants a total of 100 triggers of the spell.',100,2,4),
(123924,71450,'When Equipped:',100,0,0),
(123925,71450,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123926,71450,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(123927,71450,'Cannot be modified except by direct means',100,2,3),
(123928,10071450,'When Equipped:',100,0,0),
(123929,10071450,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123930,10071450,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(123931,10071450,'Cannot be modified except by direct means',100,2,3),
(123932,100773,'Summons a limited pet to aid the caster',100,1,0),
(123933,10100773,'Summons a limited pet to aid the caster',100,1,0),
(123934,112402,'Increases Crushing, Piercing, Slashing and Ranged of target by 68.9',100,1,0),
(123935,112402,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(123936,112402,'Inflicts 836 - 1022 piercing damage on target',100,2,2),
(123937,112402,'Inflicts 418 - 511 piercing damage on target every 3 seconds',100,2,3),
(123938,10112402,'Increases Crushing, Piercing, Slashing and Ranged of target by 68.9',100,1,0),
(123939,10112402,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(123940,10112402,'Inflicts 1087 - 1328 piercing damage on target',100,2,2),
(123941,10112402,'Inflicts 543 - 664 piercing damage on target every 3 seconds',100,2,3),
(123942,115968,'Inflicts 142 - 213 mental damage on target',100,1,0),
(123943,115968,'Stuns target',100,1,1),
(123944,115968,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(123945,115968,'Resistibility increases against targets higher than level 56.',100,1,3),
(123946,10115968,'Stuns target',100,1,0),
(123947,10115968,'Inflicts 185 - 277 mental damage on target',100,1,1),
(123948,10115968,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(123949,10115968,'Resistibility increases against targets higher than level 56.',100,1,3),
(123950,118031,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(123951,118031,'Inflicts 249 - 414 divine damage on target',100,2,1),
(123952,118031,'Stuns target',100,2,2),
(123953,118031,'If Target is not Epic',100,3,3),
(123954,118031,'Grants a total of 3 triggers of the spell.',100,2,4),
(123955,10118031,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(123956,10118031,'Inflicts 323 - 539 divine damage on target',100,2,1),
(123957,10118031,'Stuns target',100,2,2),
(123958,10118031,'If Target is not Epic',100,3,3),
(123959,10118031,'Grants a total of 3 triggers of the spell.',100,2,4),
(123960,37190,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(123961,37190,'This effect suspends during combat',100,0,1),
(123962,47813,'Applies elemental remedy when Activated.',100,0,0),
(123963,47813,'Dispels 112 levels of elemental hostile effects on caster',100,1,1),
(123964,10047813,'Applies elemental remedy when Activated.',100,0,0),
(123965,10047813,'Dispels 112 levels of elemental hostile effects on caster',100,1,1),
(123966,45704,'Applies Clouded Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(123967,45704,'Only affects targets level 50 and above',100,1,1),
(123968,10045704,'Applies Clouded Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(123969,10045704,'Only affects targets level 50 and above',100,1,1),
(123970,45289,'Applies Drop the Barrel when Activated.',100,0,0),
(123971,45289,'Drop the barrel of rotten fish.',100,1,1),
(123972,10045289,'Applies Drop the Barrel when Activated.',100,0,0),
(123973,10045289,'Drop the barrel of rotten fish.',100,1,1),
(123974,122083,'Increases STA and INT of group members (AE) by 22.2',100,1,0),
(123975,10122083,'Increases STA and INT of group members (AE) by 22.2',100,1,0),
(123976,159025,'When Equipped:',100,0,0),
(123977,159025,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123978,159025,'Increases STR of caster by 23.1',100,2,2),
(123979,159025,'Increases Damage Per Second of caster by 27.8',100,2,3),
(123980,159025,'Cannot be modified except by direct means',100,2,4),
(123981,10159025,'When Equipped:',100,0,0),
(123982,10159025,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(123983,10159025,'Increases STR of caster by 23.1',100,2,2),
(123984,10159025,'Increases Damage Per Second of caster by 27.8',100,2,3),
(123985,10159025,'Cannot be modified except by direct means',100,2,4),
(123986,116064,'Shapechanges caster into a lion',100,1,0),
(123987,116064,'Increases STA of caster by 130.7',100,1,1),
(123988,116064,'Adds 2.8% to base avoidance.',100,1,2),
(123989,116064,'Grants See Stealth to caster',100,1,3),
(123990,116064,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1961',100,1,4),
(123991,10116064,'Shapechanges caster into a lion',100,1,0),
(123992,10116064,'Increases STA of caster by 130.7',100,1,1),
(123993,10116064,'Adds 2.8% to base avoidance.',100,1,2),
(123994,10116064,'Grants See Stealth to caster',100,1,3),
(123995,10116064,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1961',100,1,4),
(123996,105695,'Decreases Attack Speed of target encounter by 15.8',100,1,0),
(123997,105695,'Slows target encounter by 21.3%',100,1,1),
(123998,10105695,'Decreases Attack Speed of target encounter by 15.8',100,1,0),
(123999,10105695,'Slows target encounter by 21.3%',100,1,1),
(124000,51301,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(124001,51301,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(124002,51301,'Inflicts 35 heat damage on target',100,2,2),
(124003,51301,'Cannot be modified except by direct means',100,2,3),
(124004,10051301,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(124005,10051301,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(124006,10051301,'Inflicts 45 heat damage on target',100,2,2),
(124007,10051301,'Cannot be modified except by direct means',100,2,3),
(124008,116120,'Inflicts 53 - 89 divine damage on target',100,1,0),
(124009,116120,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(124010,116120,'Stuns target',100,2,2),
(124011,116120,'Throws target back',100,2,3),
(124012,116120,'Blurs vision of target',100,2,4),
(124013,116120,'Does not affect Epic targets',100,2,5),
(124014,10116120,'Inflicts 69 - 115 divine damage on target',100,1,0),
(124015,10116120,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(124016,10116120,'Stuns target',100,2,2),
(124017,10116120,'Throws target back',100,2,3),
(124018,10116120,'Blurs vision of target',100,2,4),
(124019,10116120,'Does not affect Epic targets',100,2,5),
(124020,81150,'When Equipped:',100,0,0),
(124021,81150,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124022,81150,'Inflicts 230 - 426 magic damage on target',100,2,2),
(124023,81150,'Cannot be modified except by direct means',100,2,3),
(124024,10081150,'When Equipped:',100,0,0),
(124025,10081150,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124026,10081150,'Inflicts 298 - 554 magic damage on target',100,2,2),
(124027,10081150,'Cannot be modified except by direct means',100,2,3),
(124028,71471,'When Equipped:',100,0,0),
(124029,71471,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(124030,71471,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(124031,71471,'Cannot be modified except by direct means',100,2,3),
(124032,10071471,'When Equipped:',100,0,0),
(124033,10071471,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(124034,10071471,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(124035,10071471,'Cannot be modified except by direct means',100,2,3),
(124036,104707,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(124037,104707,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,1),
(124038,104707,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(124039,104707,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,3),
(124040,10104707,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(124041,10104707,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,1),
(124042,10104707,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(124043,10104707,'Decreases Mitigation of target vs elemental and arcane damage by 157',100,2,3),
(124044,36316,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(124045,118345,'Inflicts 93 - 156 melee damage on target',100,1,0),
(124046,118345,'Inflicts 94 - 156 heat damage on target every 4 seconds',100,1,1),
(124047,10118345,'Inflicts 121 - 203 melee damage on target',100,1,0),
(124048,10118345,'Inflicts 122 - 203 heat damage on target every 4 seconds',100,1,1),
(124049,187460,'When Equipped:',100,0,0),
(124050,187460,'On a hostile spell cast this spell may cast Blazing Inferno on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(124051,187460,'Inflicts 306 - 510 heat damage on target encounter every 4 seconds',100,2,2),
(124052,187460,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(124053,187460,'Cannot be modified except by direct means',100,2,4),
(124054,10187460,'When Equipped:',100,0,0),
(124055,10187460,'On a hostile spell cast this spell may cast Blazing Inferno on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(124056,10187460,'Inflicts 398 - 663 heat damage on target encounter every 4 seconds',100,2,2),
(124057,10187460,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(124058,10187460,'Cannot be modified except by direct means',100,2,4),
(124059,117925,'Increases In-Combat Health Regeneration of group members (AE) by 222.7',100,1,0),
(124060,117925,'Increases Max Health of group members (AE) by 1,131.2',100,1,1),
(124061,10117925,'Increases In-Combat Health Regeneration of group members (AE) by 222.7',100,1,0),
(124062,10117925,'Increases Max Health of group members (AE) by 1,131.2',100,1,1),
(124063,106537,'Inflicts 305 - 373 melee damage on target',100,1,0),
(124064,106537,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(124065,106537,'Increases Hate Gain of target by 30.0%',100,2,2),
(124066,106537,'Grants a total of 1 trigger of the spell.',100,2,3),
(124067,10106537,'Inflicts 397 - 485 melee damage on target',100,1,0),
(124068,10106537,'25% chance to apply Distract on termination.',100,1,1),
(124069,10106537,'Forces target to clear their selected target.',100,2,2),
(124070,82690,'When Equipped:',100,0,0),
(124071,82690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124072,82690,'Inflicts 212 - 393 magic damage on target',100,2,2),
(124073,82690,'Cannot be modified except by direct means',100,2,3),
(124074,10082690,'When Equipped:',100,0,0),
(124075,10082690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124076,10082690,'Inflicts 275 - 511 magic damage on target',100,2,2),
(124077,10082690,'Cannot be modified except by direct means',100,2,3),
(124078,81112,'When Equipped:',100,0,0),
(124079,81112,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124080,81112,'Inflicts 226 - 419 magic damage on target',100,2,2),
(124081,81112,'Cannot be modified except by direct means',100,2,3),
(124082,10081112,'When Equipped:',100,0,0),
(124083,10081112,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124084,10081112,'Inflicts 293 - 545 magic damage on target',100,2,2),
(124085,10081112,'Cannot be modified except by direct means',100,2,3),
(124086,81816,'When Equipped:',100,0,0),
(124087,81816,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124088,81816,'Inflicts 164 - 305 magic damage on target',100,2,2),
(124089,81816,'Decreases Threat to target by 487 ',100,2,3),
(124090,81816,'Must be flanking or behind',100,3,4),
(124091,81816,'Increases Threat to target by 487 ',100,2,5),
(124092,81816,'Must be in front of',100,3,6),
(124093,81816,'Cannot be modified except by direct means',100,2,7),
(124094,10081816,'When Equipped:',100,0,0),
(124095,10081816,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124096,10081816,'Inflicts 213 - 396 magic damage on target',100,2,2),
(124097,10081816,'Cannot be modified except by direct means',100,2,3),
(124098,107083,'Inflicts 196 - 240 divine damage on target',100,1,0),
(124099,10107083,'Inflicts 255 - 312 divine damage on target',100,1,0),
(124100,48855,'Applies Pherlondien''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(124101,10048855,'Applies Pherlondien''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(124102,184703,'When Equipped:',100,0,0),
(124103,184703,'On a hostile spell cast this spell may cast Fury of the Ethernauts on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(124104,184703,'Inflicts 309 cold damage on target',100,2,2),
(124105,184703,'Inflicts 309 mental damage on target',100,2,3),
(124106,184703,'Inflicts 309 disease damage on target',100,2,4),
(124107,184703,'Applies Fury of the Ethernauts.  Lasts for 15.0 seconds.',100,2,5),
(124108,184703,'Increases reuse speed by 5% and reduces cast time of all caster''s spells by 5%.',100,3,6),
(124109,184703,'Cannot be modified except by direct means',100,2,7),
(124110,184703,'On a beneficial spell cast this spell may cast Fury of the Ethernauts on target of spell.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,8),
(124111,184703,'Increases reuse speed by 5% and reduces cast time of all caster''s spells by 5%.',100,2,9),
(124112,184703,'Cannot be modified except by direct means',100,2,10),
(124113,184703,'Cannot be modified except by direct means',100,1,11),
(124114,10184703,'When Equipped:',100,0,0),
(124115,10184703,'On a hostile spell cast this spell may cast Fury of the Ethernauts on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(124116,10184703,'Inflicts 402 cold damage on target',100,2,2),
(124117,10184703,'Inflicts 402 mental damage on target',100,2,3),
(124118,10184703,'Inflicts 402 disease damage on target',100,2,4),
(124119,10184703,'Applies Fury of the Ethernauts.  Lasts for 15.0 seconds.',100,2,5),
(124120,10184703,'Increases reuse speed by 5% and reduces cast time of all caster''s spells by 5%.',100,3,6),
(124121,10184703,'Cannot be modified except by direct means',100,2,7),
(124122,10184703,'On a beneficial spell cast this spell may cast Fury of the Ethernauts on target of spell.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,8),
(124123,10184703,'Increases reuse speed by 5% and reduces cast time of all caster''s spells by 5%.',100,2,9),
(124124,10184703,'Cannot be modified except by direct means',100,2,10),
(124125,10184703,'Cannot be modified except by direct means',100,1,11),
(124126,101477,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(124127,101477,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(124128,10101477,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(124129,10101477,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(124130,111887,'Inflicts 443 - 823 heat damage on target',100,1,0),
(124131,111887,'Inflicts 166 - 309 heat damage on target every 2 seconds',100,1,1),
(124132,10111887,'Inflicts 576 - 1070 heat damage on target',100,1,0),
(124133,10111887,'Inflicts 216 - 401 heat damage on target every 2 seconds',100,1,1),
(124134,122174,'Inflicts 145 - 177 cold damage on target instantly and every 2 seconds',100,1,0),
(124135,122174,'Inflicts 145 - 177 cold damage on target instantly and every 2 seconds',100,1,1),
(124136,122174,'If target is elemental',100,2,2),
(124137,10122174,'Inflicts 188 - 230 cold damage on target instantly and every 2 seconds',100,1,0),
(124138,82567,'When Equipped:',100,0,0),
(124139,82567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124140,82567,'Inflicts 106 - 197 magic damage on target',100,2,2),
(124141,82567,'Cannot be modified except by direct means',100,2,3),
(124142,10082567,'When Equipped:',100,0,0),
(124143,10082567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124144,10082567,'Inflicts 138 - 256 magic damage on target',100,2,2),
(124145,10082567,'Cannot be modified except by direct means',100,2,3),
(124146,118000,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(124147,118000,'Increases Attack Speed of target by 28.3',100,2,1),
(124148,118000,'Increases Damage Per Second of target by 28.3',100,2,2),
(124149,118000,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(124150,118000,'Increases Attack Speed of target by 28.3',100,2,4),
(124151,118000,'Increases Damage Per Second of target by 28.3',100,2,5),
(124152,118000,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(124153,118000,'Increases Attack Speed of target by 28.3',100,2,7),
(124154,118000,'Increases Damage Per Second of target by 28.3',100,2,8),
(124155,10118000,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(124156,10118000,'Increases Attack Speed of target by 28.3',100,2,1),
(124157,10118000,'Increases Damage Per Second of target by 28.3',100,2,2),
(124158,10118000,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(124159,10118000,'Increases Attack Speed of target by 28.3',100,2,4),
(124160,10118000,'Increases Damage Per Second of target by 28.3',100,2,5),
(124161,10118000,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(124162,10118000,'Increases Attack Speed of target by 28.3',100,2,7),
(124163,10118000,'Increases Damage Per Second of target by 28.3',100,2,8),
(124164,117446,'Inflicts 363 - 605 melee damage on target',100,1,0),
(124165,117446,'You must be sneaking to use this ability.',100,1,1),
(124166,117446,'Must be flanking or behind',100,1,2),
(124167,10117446,'Inflicts 292 - 488 melee damage on target',100,1,0),
(124168,10117446,'You must be sneaking to use this ability.',100,1,1),
(124169,10117446,'Must be flanking or behind',100,1,2),
(124170,123621,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(124171,123621,'Slows target by 30.2%',100,2,1),
(124172,123621,'5% chance to dispel when target receives hostile action',100,2,2),
(124173,123621,'5% chance to dispel when target takes damage',100,2,3),
(124174,123621,'Inflicts 10 - 12 cold damage on target',100,1,4),
(124175,10123621,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(124176,10123621,'Slows target by 30.2%',100,2,1),
(124177,10123621,'5% chance to dispel when target receives hostile action',100,2,2),
(124178,10123621,'5% chance to dispel when target takes damage',100,2,3),
(124179,10123621,'Inflicts 11 - 13 cold damage on target',100,1,4),
(124180,121994,'Inflicts 164 - 273 melee damage on targets in area',100,1,0),
(124181,121994,'Increases Threat to target encounter by 551 ',100,1,1),
(124182,10121994,'Inflicts 213 - 355 melee damage on targets in area',100,1,0),
(124183,10121994,'Prevents target encounter from changing targets',100,1,1),
(124184,10121994,'Forces target encounter to change their selected target to caster.',100,1,2),
(124185,109285,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(124186,109285,'Increases Mitigation of group members (AE) vs elemental damage by 266',100,1,1),
(124187,10109285,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(124188,10109285,'Increases Mitigation of group members (AE) vs elemental damage by 266',100,1,1),
(124189,48900,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(124190,48900,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(124191,48900,'Decreases STR of target by 7.7',100,2,2),
(124192,48900,'Cannot be modified except by direct means',100,2,3),
(124193,48900,'Grants a total of 30 triggers of the spell.',100,2,4),
(124194,10048900,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(124195,10048900,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(124196,10048900,'Decreases STR of target by 7.7',100,2,2),
(124197,10048900,'Cannot be modified except by direct means',100,2,3),
(124198,10048900,'Grants a total of 30 triggers of the spell.',100,2,4),
(124199,121750,'Causes 14% Threat to transfer to target when in combat',100,1,0),
(124200,10121750,'Applies Swarthy Distraction.',100,1,0),
(124201,10121750,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(124202,10121750,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(124203,45349,'Applies Drink Blackburrow Double Stout when Activated.',100,0,0),
(124204,45349,'Beware the gnoll that bites back!',100,1,1),
(124205,10045349,'Applies Drink Blackburrow Double Stout when Activated.',100,0,0),
(124206,10045349,'Beware the gnoll that bites back!',100,1,1),
(124207,48866,'Applies Rejuvenation of Marr  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(124208,48866,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(124209,10048866,'Applies Rejuvenation of Marr  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(124210,10048866,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(124211,108248,'Inflicts 417 - 1253 piercing damage on target',100,1,0),
(124212,108248,'Decreases Slashing, Crushing, Piercing and Ranged of target by 41.2',100,1,1),
(124213,10108248,'Inflicts 543 - 1629 piercing damage on target',100,1,0),
(124214,10108248,'Decreases Slashing, Crushing, Piercing and Ranged of target by 41.2',100,1,1),
(124215,159781,'Applies Lambent Imbued when Equipped.',100,0,0),
(124216,159781,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(124217,159781,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(124218,159781,'Cannot be modified except by direct means',100,2,3),
(124219,10159781,'Applies Lambent Imbued when Equipped.',100,0,0),
(124220,10159781,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(124221,10159781,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(124222,10159781,'Cannot be modified except by direct means',100,2,3),
(124223,45701,'Applies Natures Wonder  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(124224,45701,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(124225,45701,'Inflicts 14 magic damage on target',100,2,2),
(124226,45701,'Cannot be modified except by direct means',100,2,3),
(124227,10045701,'Applies Natures Wonder  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(124228,10045701,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(124229,10045701,'Inflicts 18 magic damage on target',100,2,2),
(124230,10045701,'Cannot be modified except by direct means',100,2,3),
(124231,81053,'When Equipped:',100,0,0),
(124232,81053,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124233,81053,'Inflicts 203 - 377 magic damage on target',100,2,2),
(124234,81053,'Cannot be modified except by direct means',100,2,3),
(124235,10081053,'When Equipped:',100,0,0),
(124236,10081053,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124237,10081053,'Inflicts 264 - 490 magic damage on target',100,2,2),
(124238,10081053,'Cannot be modified except by direct means',100,2,3),
(124239,35335,'Increases WIS of target by 1.5',100,0,0),
(124240,35335,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(124241,119961,'Inflicts 640 - 1066 melee damage on target',100,1,0),
(124242,119961,'Stifles target',100,1,1),
(124243,119961,'If Target is not Epic',100,2,2),
(124244,119961,'Resistibility increases against targets higher than level 119.',100,1,3),
(124245,10119961,'Inflicts 832 - 1387 melee damage on target',100,1,0),
(124246,10119961,'Stifles target',100,1,1),
(124247,10119961,'If Target is not Epic',100,2,2),
(124248,10119961,'Resistibility increases against targets higher than level 119.',100,1,3),
(124249,123345,'Summons a pet hammer',100,1,0),
(124250,10123345,'Summons a pet hammer',100,1,0),
(124251,164084,'Applies Mark of the Emissary when Equipped.',100,0,0),
(124252,164084,'Wearing of this ring indicates you are in the service of the Freeport Emissaries and includes all respect due to those distinguished enough to bear such a token.',100,1,1),
(124253,10164084,'Applies Mark of the Emissary when Equipped.',100,0,0),
(124254,10164084,'Wearing of this ring indicates you are in the service of the Freeport Emissaries and includes all respect due to those distinguished enough to bear such a token.',100,1,1),
(124255,49125,'Applies Sticky Feet when Activated.  Lasts for 40.0 seconds.',100,0,0),
(124256,49125,'Roots target',100,1,1),
(124257,49125,'5% chance to dispel when target takes damage',100,1,2),
(124258,49125,'Does not affect Epic targets',100,1,3),
(124259,49125,'Resistibility increases against targets higher than level 89.',100,1,4),
(124260,10049125,'Applies Sticky Feet when Activated.  Lasts for 12.0 seconds.',100,0,0),
(124261,10049125,'Roots target',100,1,1),
(124262,10049125,'10% chance to dispel when target takes damage',100,1,2),
(124263,10049125,'Does not affect Epic targets',100,1,3),
(124264,10049125,'Resistibility increases against targets higher than level 89.',100,1,4),
(124265,27232,'When Equipped:',100,0,0),
(124266,27232,'On a parry this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(124267,27232,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(124268,27232,'Heals caster for 115 - 141',100,3,3),
(124269,27232,'Grants a total of 3 triggers of the spell.',100,3,4),
(124270,27232,'Cannot be modified except by direct means',100,2,5),
(124271,10027232,'When Equipped:',100,0,0),
(124272,10027232,'On a parry this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(124273,10027232,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(124274,10027232,'Heals caster for 75 - 91',100,3,3),
(124275,10027232,'Grants a total of 3 triggers of the spell.',100,3,4),
(124276,10027232,'Cannot be modified except by direct means',100,2,5),
(124277,52823,'Applies Sanguine Imbued when Equipped.',100,0,0),
(124278,52823,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(124279,52823,'Inflicts 117 heat damage on target',100,2,2),
(124280,52823,'Cannot be modified except by direct means',100,2,3),
(124281,10052823,'Applies Sanguine Imbued when Equipped.',100,0,0),
(124282,10052823,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(124283,10052823,'Inflicts 152 heat damage on target',100,2,2),
(124284,10052823,'Cannot be modified except by direct means',100,2,3),
(124285,159066,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(124286,159066,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(124287,159066,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(124288,159066,'Cannot be modified except by direct means',100,2,3),
(124289,10159066,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(124290,10159066,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(124291,10159066,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(124292,10159066,'Cannot be modified except by direct means',100,2,3),
(124293,101109,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1042',100,1,0),
(124294,10101109,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1042',100,1,0),
(124295,162440,'When Equipped:',100,0,0),
(124296,162440,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(124297,162440,'Wards target against 1000 points of all damage',100,2,2),
(124298,162440,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(124299,162440,'Cannot be modified except by direct means',100,2,4),
(124300,10162440,'When Equipped:',100,0,0),
(124301,10162440,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(124302,10162440,'Wards target against 1000 points of all damage',100,2,2),
(124303,10162440,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(124304,10162440,'Cannot be modified except by direct means',100,2,4),
(124305,81537,'When Equipped:',100,0,0),
(124306,81537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124307,81537,'Inflicts 153 - 283 magic damage on target',100,2,2),
(124308,81537,'Cannot be modified except by direct means',100,2,3),
(124309,10081537,'When Equipped:',100,0,0),
(124310,10081537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124311,10081537,'Inflicts 198 - 368 magic damage on target',100,2,2),
(124312,10081537,'Cannot be modified except by direct means',100,2,3),
(124313,108404,'Heals target for 426 - 520',100,1,0),
(124314,10108404,'Heals target for 509 - 622',100,1,0),
(124315,41587,'When Equipped:',100,0,0),
(124316,41587,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124317,41587,'Inflicts 260 - 482 magic damage on target',100,2,2),
(124318,41587,'Decreases Threat to target by 801 ',100,2,3),
(124319,41587,'Must be flanking or behind',100,3,4),
(124320,41587,'Increases Threat to target by 801 ',100,2,5),
(124321,41587,'Must be in front of',100,3,6),
(124322,41587,'Cannot be modified except by direct means',100,2,7),
(124323,10041587,'When Equipped:',100,0,0),
(124324,10041587,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124325,10041587,'Inflicts 337 - 627 magic damage on target',100,2,2),
(124326,10041587,'Cannot be modified except by direct means',100,2,3),
(124327,111178,'Inflicts 89 - 149 divine damage on targets in area',100,1,0),
(124328,111178,'Heals group members (AE) for 2.1% of max health',100,1,1),
(124329,111178,'This effect cannot be critically applied.',100,2,2),
(124330,111178,'The healing of this spell cannot be modified except by direct means',100,1,3),
(124331,10111178,'Inflicts 116 - 193 divine damage on targets in area',100,1,0),
(124332,10111178,'Heals group members (AE) for 1.4% of max health',100,1,1),
(124333,10111178,'This effect cannot be critically applied.',100,2,2),
(124334,10111178,'The healing of this spell cannot be modified except by direct means',100,1,3),
(124335,106770,'Mesmerizes target',100,1,0),
(124336,106770,'Prevents AOE (except when direct) ',100,1,1),
(124337,106770,'Dispelled when target takes damage',100,1,2),
(124338,106770,'Does not affect Epic targets',100,1,3),
(124339,106770,'Resistibility increases against targets higher than level 83.',100,1,4),
(124340,10106770,'Mesmerizes target',100,1,0),
(124341,10106770,'Prevents AOE (except when direct) ',100,1,1),
(124342,10106770,'Dispelled when target takes damage',100,1,2),
(124343,10106770,'Does not affect Epic targets',100,1,3),
(124344,10106770,'Resistibility increases against targets higher than level 83.',100,1,4),
(124345,101855,'Stuns target',100,1,0),
(124346,101855,'Does not affect Epic targets',100,1,1),
(124347,101855,'Resistibility increases against targets higher than level 68.',100,1,2),
(124348,10101855,'Stuns target',100,1,0),
(124349,10101855,'Does not affect Epic targets',100,1,1),
(124350,10101855,'Resistibility increases against targets higher than level 68.',100,1,2),
(124351,102094,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(124352,102094,'Throws target back',100,2,1),
(124353,102094,'Stuns target',100,2,2),
(124354,102094,'Blurs vision of target',100,2,3),
(124355,102094,'Does not affect Epic targets',100,2,4),
(124356,102094,'Inflicts 83 - 138 crushing damage on target',100,1,5),
(124357,10102094,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(124358,10102094,'Throws target back',100,2,1),
(124359,10102094,'Stuns target',100,2,2),
(124360,10102094,'Blurs vision of target',100,2,3),
(124361,10102094,'Does not affect Epic targets',100,2,4),
(124362,10102094,'Inflicts 108 - 180 crushing damage on target',100,1,5),
(124363,170581,'When Equipped:',100,0,0),
(124364,170581,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124365,170581,'Inflicts 1998 disease damage on target encounter',100,2,2),
(124366,170581,'Must not be engaged in pvp combat',100,2,3),
(124367,170581,'Cannot be modified except by direct means',100,2,4),
(124368,10170581,'When Equipped:',100,0,0),
(124369,10170581,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124370,10170581,'Inflicts 1299 disease damage on target encounter',100,2,2),
(124371,10170581,'Must not be engaged in pvp combat',100,2,3),
(124372,10170581,'Cannot be modified except by direct means',100,2,4),
(124373,122420,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(124374,122420,'Inflicts 56 - 68 piercing damage on target encounter',100,2,1),
(124375,10122420,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(124376,10122420,'Inflicts 72 - 88 piercing damage on target encounter',100,2,1),
(124377,45896,'Applies arcane remedy when Activated.',100,0,0),
(124378,45896,'Dispels 88 levels of arcane hostile effects on caster',100,1,1),
(124379,10045896,'Applies arcane remedy when Activated.',100,0,0),
(124380,10045896,'Dispels 88 levels of arcane hostile effects on caster',100,1,1),
(124381,109152,'Inflicts 60 - 100 melee damage on target',100,1,0),
(124382,10109152,'Inflicts 78 - 130 melee damage on target',100,1,0),
(124383,105427,'Increases STR of caster by 197.4',100,1,0),
(124384,105427,'Decreases Defense of caster by 18.0',100,1,1),
(124385,105427,'Increases Slashing, Piercing, Crushing and Disruption of caster by 37.8',100,1,2),
(124386,10105427,'Increases STR of caster by 197.4',100,1,0),
(124387,10105427,'Decreases Defense of caster by 18.0',100,1,1),
(124388,10105427,'Increases Slashing, Piercing, Crushing and Disruption of caster by 37.8',100,1,2),
(124389,107466,'Increases Defense of group members'' pets (AE) by 2.5',100,1,0),
(124390,107466,'Increases Mitigation of group members (AE) vs all damage by 46',100,1,1),
(124391,10107466,'Increases Defense of group members'' pets (AE) by 2.5',100,1,0),
(124392,10107466,'Increases Mitigation of group members (AE) vs all damage by 46',100,1,1),
(124393,118256,'Increases Threat to target encounter by 212 - 260 ',100,1,0),
(124394,118256,'Decreases Mitigation of target encounter vs arcane damage by 308',100,1,1),
(124395,10118256,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(124396,10118256,'Forces target to change their selected target to caster.',100,2,1),
(124397,10118256,'Prevents target from changing targets',100,2,2),
(124398,10118256,'Decreases Mitigation of target encounter vs arcane damage by 308',100,1,3),
(124399,102186,'Increases Mitigation of group members (AE) vs physical damage by 448',100,1,0),
(124400,10102186,'Increases Mitigation of group members (AE) vs physical damage by 448',100,1,0),
(124401,103139,'Throws target back',100,1,0),
(124402,103139,'If Target is not Epic',100,2,1),
(124403,103139,'Inflicts 4 - 14 crushing damage on target',100,1,2),
(124404,103139,'Stuns target',100,1,3),
(124405,103139,'If Target is not Epic',100,2,4),
(124406,103139,'Resistibility increases against targets higher than level 31.',100,1,5),
(124407,10103139,'Throws target back',100,1,0),
(124408,10103139,'If Target is not Epic',100,2,1),
(124409,10103139,'Inflicts 6 - 18 crushing damage on target',100,1,2),
(124410,10103139,'Stuns target',100,1,3),
(124411,10103139,'If Target is not Epic',100,2,4),
(124412,10103139,'Resistibility increases against targets higher than level 31.',100,1,5),
(124413,103143,'Throws target back',100,1,0),
(124414,103143,'If Target is not Epic',100,2,1),
(124415,103143,'Inflicts 18 - 56 crushing damage on target',100,1,2),
(124416,103143,'Stuns target',100,1,3),
(124417,103143,'If Target is not Epic',100,2,4),
(124418,103143,'Resistibility increases against targets higher than level 37.',100,1,5),
(124419,10103143,'Throws target back',100,1,0),
(124420,10103143,'If Target is not Epic',100,2,1),
(124421,10103143,'Inflicts 24 - 73 crushing damage on target',100,1,2),
(124422,10103143,'Stuns target',100,1,3),
(124423,10103143,'If Target is not Epic',100,2,4),
(124424,10103143,'Resistibility increases against targets higher than level 37.',100,1,5),
(124425,36247,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(124426,41989,'When Equipped:',100,0,0),
(124427,41989,'On a critical spell hit this spell may cast Mana Deluge V on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(124428,41989,'Inflicts 379 - 419 crushing damage on target',100,2,2),
(124429,41989,'Increases power of caster by 67',100,2,3),
(124430,41989,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,4),
(124431,41989,'Must not be engaged in pvp combat',100,2,5),
(124432,41989,'Cannot be modified except by direct means',100,2,6),
(124433,41989,'On a critical combat hit this spell may cast Mana Deluge V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(124434,41989,'Inflicts 379 - 419 crushing damage on target',100,2,8),
(124435,41989,'Increases power of caster by 67',100,2,9),
(124436,41989,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,10),
(124437,41989,'Must not be engaged in pvp combat',100,2,11),
(124438,41989,'Cannot be modified except by direct means',100,2,12),
(124439,41989,'Must not be engaged in pvp combat',100,1,13),
(124440,10041989,'When Equipped:',100,0,0),
(124441,10041989,'On a critical spell hit this spell may cast Mana Deluge V on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(124442,10041989,'Inflicts 493 - 545 crushing damage on target',100,2,2),
(124443,10041989,'Increases power of caster by 67',100,2,3),
(124444,10041989,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,4),
(124445,10041989,'Must not be engaged in pvp combat',100,2,5),
(124446,10041989,'Cannot be modified except by direct means',100,2,6),
(124447,10041989,'On a critical combat hit this spell may cast Mana Deluge V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(124448,10041989,'Inflicts 493 - 545 crushing damage on target',100,2,8),
(124449,10041989,'Increases power of caster by 67',100,2,9),
(124450,10041989,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,10),
(124451,10041989,'Must not be engaged in pvp combat',100,2,11),
(124452,10041989,'Cannot be modified except by direct means',100,2,12),
(124453,10041989,'Must not be engaged in pvp combat',100,1,13),
(124454,75028,'Applies Mental Blast when Activated.',100,0,0),
(124455,75028,'Inflicts 133 - 222 mental damage on target',100,1,1),
(124456,75028,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(124457,10075028,'Applies Mental Blast when Activated.',100,0,0),
(124458,10075028,'Inflicts 173 - 289 mental damage on target',100,1,1),
(124459,10075028,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(124460,47620,'Applies Power Root when Activated.',100,0,0),
(124461,47620,'Increases power of caster by 12.0%',100,1,1),
(124462,10047620,'Applies Power Root when Activated.',100,0,0),
(124463,10047620,'Increases power of caster by 12.0%',100,1,1),
(124464,80579,'When Equipped:',100,0,0),
(124465,80579,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124466,80579,'Inflicts 302 - 560 magic damage on target',100,2,2),
(124467,80579,'Decreases Threat to target by 949 ',100,2,3),
(124468,80579,'Must be flanking or behind',100,3,4),
(124469,80579,'Increases Threat to target by 949 ',100,2,5),
(124470,80579,'Must be in front of',100,3,6),
(124471,80579,'Cannot be modified except by direct means',100,2,7),
(124472,10080579,'When Equipped:',100,0,0),
(124473,10080579,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124474,10080579,'Inflicts 392 - 728 magic damage on target',100,2,2),
(124475,10080579,'Cannot be modified except by direct means',100,2,3),
(124476,152492,'When Equipped:',100,0,0),
(124477,152492,'Increases Attack Speed of caster by 40.0',100,1,1),
(124478,10152492,'When Equipped:',100,0,0),
(124479,10152492,'Increases Attack Speed of caster by 40.0',100,1,1),
(124480,110976,'Inflicts 2258 - 3764 ranged damage on target',100,1,0),
(124481,110976,'I need to be stealthed!',100,1,1),
(124482,110976,'Requires bow',100,1,2),
(124483,10110976,'Inflicts 1439 - 2399 ranged damage on target',100,1,0),
(124484,10110976,'I need to be stealthed!',100,1,1),
(124485,10110976,'Requires bow',100,1,2),
(124486,27464,'When Equipped:',100,0,0),
(124487,27464,'On any combat or spell hit this spell may cast Torrent of Incantations on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(124488,27464,'Inflicts 4323 - 4778 magic damage on target encounter',100,2,2),
(124489,27464,'Must not be engaged in pvp combat',100,2,3),
(124490,27464,'Cannot be modified except by direct means',100,2,4),
(124491,27464,'Must not be engaged in pvp combat',100,1,5),
(124492,10027464,'When Equipped:',100,0,0),
(124493,10027464,'On any combat or spell hit this spell may cast Torrent of Incantations on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(124494,10027464,'Inflicts 5619 - 6211 magic damage on target encounter',100,2,2),
(124495,10027464,'Must not be engaged in pvp combat',100,2,3),
(124496,10027464,'Cannot be modified except by direct means',100,2,4),
(124497,10027464,'Must not be engaged in pvp combat',100,1,5),
(124498,100114,'Decreases STR, AGI, WIS and INT of target by 32.1',100,1,0),
(124499,100114,'Decreases Max Health of target by 0.8%',100,1,1),
(124500,10100114,'Decreases STR, AGI, WIS and INT of target by 32.1',100,1,0),
(124501,10100114,'Decreases Max Health of target by 0.8%',100,1,1),
(124502,45290,'Applies Barrel to Butcherblock when Activated.  Lasts for 30.0 seconds.',100,0,0),
(124503,45290,'Shapechanges caster into a barrel',100,1,1),
(124504,45290,'Applies Barrel to Butcherblock.',100,1,2),
(124505,45290,'Teleports caster to a random zone location',100,2,3),
(124506,10045290,'Applies Barrel to Butcherblock when Activated.  Lasts for 30.0 seconds.',100,0,0),
(124507,10045290,'Shapechanges caster into a barrel',100,1,1),
(124508,10045290,'Applies Barrel to Butcherblock.',100,1,2),
(124509,10045290,'Teleports caster to a random zone location',100,2,3),
(124510,103071,'Inflicts 127 magic damage on target instantly and every 4 seconds',100,1,0),
(124511,103071,'Increases power of caster by 48 instantly and every 4 seconds',100,1,1),
(124512,10103071,'Inflicts 165 magic damage on target instantly and every 4 seconds',100,1,0),
(124513,10103071,'Increases power of caster by 48 instantly and every 4 seconds',100,1,1),
(124514,83998,'Applies Lightning Shock when Activated.',100,0,0),
(124515,83998,'Inflicts 563 - 939 magic damage on target',100,1,1),
(124516,83998,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(124517,10083998,'Applies Lightning Shock when Activated.',100,0,0),
(124518,10083998,'Inflicts 732 - 1220 magic damage on target',100,1,1),
(124519,10083998,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(124520,24336,'Adds Boss: Drolvarg (Fury) to your Dungeon Maker toolbox',100,0,0),
(124521,10024336,'Adds Boss: Drolvarg (Fury) to your Dungeon Maker toolbox',100,0,0),
(124522,120760,'Inflicts 55 - 67 divine damage on target instantly and every 3 seconds',100,1,0),
(124523,120760,'Increases power of caster by 40 instantly and every 3 seconds',100,1,1),
(124524,10120760,'Inflicts 71 - 87 divine damage on target instantly and every 3 seconds',100,1,0),
(124525,10120760,'Increases power of caster by 40 instantly and every 3 seconds',100,1,1),
(124526,47087,'Applies Most Wanted Poster when Activated.',100,0,0),
(124527,47087,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(124528,47087,'If between levels 10 - 19',100,1,2),
(124529,47087,'Cannot be modified except by direct means',100,1,3),
(124530,10047087,'Applies Most Wanted Poster when Activated.',100,0,0),
(124531,10047087,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(124532,10047087,'If between levels 10 - 19',100,1,2),
(124533,10047087,'Cannot be modified except by direct means',100,1,3),
(124534,162732,'Applies Unstable Magics when Equipped.',100,0,0),
(124535,162732,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(124536,10162732,'Applies Unstable Magics when Equipped.',100,0,0),
(124537,10162732,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(124538,101716,'Mesmerizes target',100,1,0),
(124539,101716,'Prevents AOE (except when direct) ',100,1,1),
(124540,101716,'Mesmerizes caster',100,1,2),
(124541,101716,'Dispelled when target takes damage',100,1,3),
(124542,101716,'Does not affect Epic targets',100,1,4),
(124543,101716,'Resistibility increases against targets higher than level 54.',100,1,5),
(124544,10101716,'Mesmerizes target',100,1,0),
(124545,10101716,'Prevents AOE (except when direct) ',100,1,1),
(124546,10101716,'Mesmerizes caster',100,1,2),
(124547,10101716,'Dispelled when target takes damage',100,1,3),
(124548,10101716,'Does not affect Epic targets',100,1,4),
(124549,10101716,'Resistibility increases against targets higher than level 54.',100,1,5),
(124550,40212,'When Equipped:',100,0,0),
(124551,40212,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124552,40212,'Inflicts 1100 - 1650 mental damage on target',100,2,2),
(124553,40212,'Heals caster for 733 - 1099',100,2,3),
(124554,40212,'Cannot be modified except by direct means',100,2,4),
(124555,40212,'Cannot be modified except by direct means',100,1,5),
(124556,10040212,'When Equipped:',100,0,0),
(124557,10040212,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124558,10040212,'Inflicts 1430 - 2145 mental damage on target',100,2,2),
(124559,10040212,'Heals caster for 476 - 714',100,2,3),
(124560,10040212,'Cannot be modified except by direct means',100,2,4),
(124561,10040212,'Cannot be modified except by direct means',100,1,5),
(124562,110630,'Inflicts 529 - 882 ranged damage on target',100,1,0),
(124563,110630,'If weapon equipped in Ranged',100,1,1),
(124564,110630,'Must be flanking or behind',100,1,2),
(124565,10110630,'Inflicts 328 - 548 ranged damage on target',100,1,0),
(124566,10110630,'If weapon equipped in Ranged',100,1,1),
(124567,10110630,'Must be flanking or behind',100,1,2),
(124568,90452,'When Equipped:',100,0,0),
(124569,90452,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(124570,90452,'Inflicts 166 - 277 poison damage on target',100,2,2),
(124571,90452,'Cannot be modified except by direct means',100,2,3),
(124572,10090452,'When Equipped:',100,0,0),
(124573,10090452,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(124574,10090452,'Inflicts 216 - 360 poison damage on target',100,2,2),
(124575,10090452,'Cannot be modified except by direct means',100,2,3),
(124576,148621,'When Equipped:',100,0,0),
(124577,148621,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(124578,148621,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(124579,148621,'Heals target for 5358 - 5922',100,2,3),
(124580,148621,'Dispels 200 levels of any hostile effects on target',100,2,4),
(124581,148621,'Must not be engaged in pvp combat',100,2,5),
(124582,148621,'Cannot be modified except by direct means',100,2,6),
(124583,148621,'Cannot be modified except by direct means',100,1,7),
(124584,10148621,'When Equipped:',100,0,0),
(124585,10148621,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(124586,10148621,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(124587,10148621,'Heals target for 6269 - 6929',100,2,3),
(124588,10148621,'Dispels 200 levels of any hostile effects on target',100,2,4),
(124589,10148621,'Must not be engaged in pvp combat',100,2,5),
(124590,10148621,'Cannot be modified except by direct means',100,2,6),
(124591,10148621,'Cannot be modified except by direct means',100,1,7),
(124592,42557,'When Equipped:',100,0,0),
(124593,42557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124594,42557,'Inflicts 107 - 161 magic damage on target',100,2,2),
(124595,42557,'Cannot be modified except by direct means',100,2,3),
(124596,10042557,'When Equipped:',100,0,0),
(124597,10042557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124598,10042557,'Inflicts 140 - 210 magic damage on target',100,2,2),
(124599,10042557,'Cannot be modified except by direct means',100,2,3),
(124600,113174,'Inflicts 1126 disease damage on target',100,1,0),
(124601,113174,'Heals caster for 480',100,1,1),
(124602,10113174,'Inflicts 1463 disease damage on target',100,1,0),
(124603,10113174,'Heals caster for 406',100,1,1),
(124604,87567,'Applies Poison Bolt when Activated.',100,0,0),
(124605,87567,'Inflicts 341 - 568 poison damage on target',100,1,1),
(124606,87567,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(124607,10087567,'Applies Poison Bolt when Activated.',100,0,0),
(124608,10087567,'Inflicts 443 - 739 poison damage on target',100,1,1),
(124609,10087567,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(124610,130256,'When Equipped:',100,0,0),
(124611,130256,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(124612,130256,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(124613,130256,'Must not be engaged in pvp combat',100,2,3),
(124614,130256,'Cannot be modified except by direct means',100,2,4),
(124615,130256,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(124616,130256,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(124617,130256,'Must not be engaged in pvp combat',100,2,7),
(124618,130256,'Cannot be modified except by direct means',100,2,8),
(124619,130256,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(124620,130256,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(124621,130256,'Must not be engaged in pvp combat',100,2,11),
(124622,130256,'Cannot be modified except by direct means',100,2,12),
(124623,130256,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(124624,130256,'Inflicts 53 piercing damage on target',100,2,14),
(124625,130256,'Must not be engaged in pvp combat',100,2,15),
(124626,130256,'Cannot be modified except by direct means',100,2,16),
(124627,10130256,'When Equipped:',100,0,0),
(124628,10130256,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(124629,10130256,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(124630,10130256,'Must not be engaged in pvp combat',100,2,3),
(124631,10130256,'Cannot be modified except by direct means',100,2,4),
(124632,10130256,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(124633,10130256,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(124634,10130256,'Must not be engaged in pvp combat',100,2,7),
(124635,10130256,'Cannot be modified except by direct means',100,2,8),
(124636,10130256,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(124637,10130256,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(124638,10130256,'Must not be engaged in pvp combat',100,2,11),
(124639,10130256,'Cannot be modified except by direct means',100,2,12),
(124640,10130256,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(124641,10130256,'Inflicts 69 piercing damage on target',100,2,14),
(124642,10130256,'Must not be engaged in pvp combat',100,2,15),
(124643,10130256,'Cannot be modified except by direct means',100,2,16),
(124644,102925,'Inflicts 27 - 33 disease damage on target instantly and every 4 seconds',100,1,0),
(124645,10102925,'Inflicts 46 - 56 disease damage on target',100,1,0),
(124646,10102925,'Inflicts 35 - 43 disease damage on target every 4 seconds',100,1,1),
(124647,115019,'Heals target for 34 - 42',100,1,0),
(124648,10115019,'Heals target for 48 - 59',100,1,0),
(124649,70636,'When Equipped:',100,0,0),
(124650,70636,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(124651,70636,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(124652,70636,'Increases Ability Modifier of caster by 660.0',100,2,3),
(124653,70636,'Must not be engaged in pvp combat',100,2,4),
(124654,70636,'Cannot be modified except by direct means',100,2,5),
(124655,70636,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(124656,70636,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(124657,70636,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(124658,70636,'Increases Ability Modifier of caster by 660.0',100,2,9),
(124659,70636,'Must not be engaged in pvp combat',100,2,10),
(124660,70636,'Cannot be modified except by direct means',100,2,11),
(124661,70636,'Cannot be modified except by direct means',100,1,12),
(124662,10070636,'When Equipped:',100,0,0),
(124663,10070636,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(124664,10070636,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(124665,10070636,'Increases Ability Modifier of caster by 660.0',100,2,3),
(124666,10070636,'Must not be engaged in pvp combat',100,2,4),
(124667,10070636,'Cannot be modified except by direct means',100,2,5),
(124668,10070636,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(124669,10070636,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(124670,10070636,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(124671,10070636,'Increases Ability Modifier of caster by 660.0',100,2,9),
(124672,10070636,'Must not be engaged in pvp combat',100,2,10),
(124673,10070636,'Cannot be modified except by direct means',100,2,11),
(124674,10070636,'Cannot be modified except by direct means',100,1,12),
(124675,101367,'Reduces physical damage done to caster by 5%',100,1,0),
(124676,101367,'Adds 2.4% to base avoidance.',100,1,1),
(124677,101367,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(124678,101367,'Increases Aggression of caster by 15.8',100,1,3),
(124679,101367,'Increases Defense and Parry of caster by 25.3',100,1,4),
(124680,101367,'Increases Mitigation of caster vs noxious and arcane damage by 155',100,1,5),
(124681,101367,'Increases Mitigation of caster vs elemental damage by 1549',100,1,6),
(124682,101367,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(124683,10101367,'Reduces physical damage done to caster by 5%',100,1,0),
(124684,10101367,'Adds 2.4% to base avoidance.',100,1,1),
(124685,10101367,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(124686,10101367,'Increases Aggression of caster by 15.8',100,1,3),
(124687,10101367,'Increases Defense and Parry of caster by 25.3',100,1,4),
(124688,10101367,'Increases Mitigation of caster vs noxious and arcane damage by 155',100,1,5),
(124689,10101367,'Increases Mitigation of caster vs elemental damage by 1549',100,1,6),
(124690,10101367,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(124691,26732,'Applies Greater Renewing Bulwark I when Equipped.',100,0,0),
(124692,26732,'Wards caster against 2200 points of all damage',100,1,1),
(124693,26732,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,2),
(124694,26732,'While active Renewing Bulwark is disabled.',100,2,3),
(124695,26732,'Must not be engaged in pvp combat',100,2,4),
(124696,26732,'Cannot be modified except by direct means',100,2,5),
(124697,26732,'\\#FF0000 This effect will not stack with any rank or tier of itself. \\/c',100,1,6),
(124698,26732,'Regenerates 220 points of shielding every 2 seconds',100,1,7),
(124699,26732,'Must not be engaged in pvp combat',100,1,8),
(124700,10026732,'Applies Greater Renewing Bulwark I when Equipped.',100,0,0),
(124701,10026732,'Wards caster against 2200 points of all damage',100,1,1),
(124702,10026732,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,2),
(124703,10026732,'While active Renewing Bulwark is disabled.',100,2,3),
(124704,10026732,'Must not be engaged in pvp combat',100,2,4),
(124705,10026732,'Cannot be modified except by direct means',100,2,5),
(124706,10026732,'\\#FF0000 This effect will not stack with any rank or tier of itself. \\/c',100,1,6),
(124707,10026732,'Regenerates 220 points of shielding every 2 seconds',100,1,7),
(124708,10026732,'Must not be engaged in pvp combat',100,1,8),
(124709,176588,'When Equipped:',100,0,0),
(124710,176588,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124711,176588,'Inflicts 758 disease damage on target',100,2,2),
(124712,176588,'Inflicts 758 crushing damage on target',100,2,3),
(124713,176588,'Must not be engaged in pvp combat',100,2,4),
(124714,176588,'Cannot be modified except by direct means',100,2,5),
(124715,10176588,'When Equipped:',100,0,0),
(124716,10176588,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124717,10176588,'Inflicts 985 disease damage on target',100,2,2),
(124718,10176588,'Inflicts 985 crushing damage on target',100,2,3),
(124719,10176588,'Must not be engaged in pvp combat',100,2,4),
(124720,10176588,'Cannot be modified except by direct means',100,2,5),
(124721,114895,'Causes 10% Threat to transfer to target when in combat',100,1,0),
(124722,169295,'When Equipped:',100,0,0),
(124723,169295,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(124724,169295,'Heals caster for 165 instantly and every 5 seconds',100,2,2),
(124725,169295,'Cannot be modified except by direct means',100,2,3),
(124726,10169295,'When Equipped:',100,0,0),
(124727,10169295,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(124728,10169295,'Heals caster for 107 instantly and every 5 seconds',100,2,2),
(124729,10169295,'Cannot be modified except by direct means',100,2,3),
(124730,45192,'Applies arcane remedy when Activated.',100,0,0),
(124731,45192,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(124732,10045192,'Applies arcane remedy when Activated.',100,0,0),
(124733,10045192,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(124734,37574,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(124735,158508,'When Equipped:',100,0,0),
(124736,158508,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124737,158508,'Inflicts 828 mental damage on target',100,2,2),
(124738,158508,'Increases threat priority of target by 1 position',100,2,3),
(124739,158508,'Cannot be modified except by direct means',100,2,4),
(124740,158508,'Cannot be modified except by direct means',100,1,5),
(124741,10158508,'When Equipped:',100,0,0),
(124742,10158508,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124743,10158508,'Inflicts 1076 mental damage on target',100,2,2),
(124744,10158508,'Cannot be modified except by direct means',100,2,3),
(124745,10158508,'Cannot be modified except by direct means',100,1,4),
(124746,116035,'Shapechanges caster into a lion',100,1,0),
(124747,116035,'Increases STA of caster by 28.8',100,1,1),
(124748,116035,'Adds 2.8% to base avoidance.',100,1,2),
(124749,116035,'Grants See Stealth to caster',100,1,3),
(124750,116035,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 456',100,1,4),
(124751,10116035,'Shapechanges caster into a lion',100,1,0),
(124752,10116035,'Increases STA of caster by 28.8',100,1,1),
(124753,10116035,'Adds 2.8% to base avoidance.',100,1,2),
(124754,10116035,'Grants See Stealth to caster',100,1,3),
(124755,10116035,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 456',100,1,4),
(124756,105198,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(124757,105198,'Inflicts 225 - 275 poison damage on target encounter',100,2,1),
(124758,10105198,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(124759,10105198,'Inflicts 292 - 357 poison damage on target encounter',100,2,1),
(124760,135172,'When Equipped:',100,0,0),
(124761,135172,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(124762,135172,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(124763,135172,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(124764,135172,'Must not be engaged in pvp combat',100,2,4),
(124765,135172,'Cannot be modified except by direct means',100,2,5),
(124766,135172,'Must not be engaged in pvp combat',100,1,6),
(124767,10135172,'When Equipped:',100,0,0),
(124768,10135172,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(124769,10135172,'Inflicts 5758 - 6364 slashing damage on target encounter',100,2,2),
(124770,10135172,'Inflicts 823 - 909 slashing damage on target encounter every 2 seconds',100,2,3),
(124771,10135172,'Must not be engaged in pvp combat',100,2,4),
(124772,10135172,'Cannot be modified except by direct means',100,2,5),
(124773,10135172,'Must not be engaged in pvp combat',100,1,6),
(124774,146148,'When Equipped:',100,0,0),
(124775,146148,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(124776,146148,'Wards caster against 720 points of all damage',100,2,2),
(124777,146148,'Cannot be modified except by direct means',100,2,3),
(124778,146148,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(124779,10146148,'When Equipped:',100,0,0),
(124780,10146148,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(124781,10146148,'Wards caster against 720 points of all damage',100,2,2),
(124782,10146148,'Cannot be modified except by direct means',100,2,3),
(124783,10146148,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(124784,27286,'When Equipped:',100,0,0),
(124785,27286,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124786,27286,'Inflicts 265 divine damage on target',100,2,2),
(124787,27286,'Heals caster for 184',100,2,3),
(124788,27286,'Cannot be modified except by direct means',100,2,4),
(124789,10027286,'When Equipped:',100,0,0),
(124790,10027286,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124791,10027286,'Inflicts 345 divine damage on target',100,2,2),
(124792,10027286,'Heals caster for 119',100,2,3),
(124793,10027286,'Cannot be modified except by direct means',100,2,4),
(124794,111021,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(124795,111021,'Increases Threat to target by 96 ',100,2,1),
(124796,111021,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(124797,111021,'Increases Threat to target by 96 ',100,2,3),
(124798,10111021,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(124799,10111021,'Inflicts 23 - 26 crushing damage on target',100,2,1),
(124800,10111021,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(124801,10111021,'Inflicts 23 - 26 crushing damage on target',100,2,3),
(124802,100987,'Increases INT of target by 54.6',100,1,0),
(124803,100987,'Increases Attack Speed of target by 36.8',100,1,1),
(124804,100987,'Decreases Defense and Parry of target by 11.3',100,1,2),
(124805,100987,'Increases Slashing, Piercing and Crushing of target by 12.0',100,1,3),
(124806,10100987,'Increases INT of target by 54.6',100,1,0),
(124807,10100987,'Increases Attack Speed of target by 36.8',100,1,1),
(124808,10100987,'Decreases Defense and Parry of target by 11.3',100,1,2),
(124809,10100987,'Increases Slashing, Piercing and Crushing of target by 12.0',100,1,3),
(124810,107405,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(124811,107405,'Slows target by 73.0%',100,2,1),
(124812,107405,'5% chance to dispel when target receives hostile action',100,2,2),
(124813,107405,'5% chance to dispel when target takes damage',100,2,3),
(124814,107405,'Inflicts 1417 - 2362 disease damage on target',100,1,4),
(124815,10107405,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(124816,10107405,'Slows target by 73.0%',100,2,1),
(124817,10107405,'5% chance to dispel when target receives hostile action',100,2,2),
(124818,10107405,'5% chance to dispel when target takes damage',100,2,3),
(124819,10107405,'Inflicts 1842 - 3071 disease damage on target',100,1,4),
(124820,74735,'When Equipped:',100,0,0),
(124821,74735,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124822,74735,'Inflicts 280 - 420 magic damage on target',100,2,2),
(124823,74735,'Cannot be modified except by direct means',100,2,3),
(124824,10074735,'When Equipped:',100,0,0),
(124825,10074735,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124826,10074735,'Inflicts 364 - 546 magic damage on target',100,2,2),
(124827,10074735,'Cannot be modified except by direct means',100,2,3),
(124828,106179,'Wards target against 51 points of all damage',100,1,0),
(124829,106179,'Decreases INT of target by 81.5',100,1,1),
(124830,106179,'Decreases Attack Speed of target by 25.0',100,1,2),
(124831,106179,'Increases Max Health of target by 11.0%',100,1,3),
(124832,106179,'Increases Hate Gain of target by 25.1%',100,1,4),
(124833,106179,'Increases Aggression of target by 6.9',100,1,5),
(124834,106179,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(124835,106179,'Increases Threat to target encounter by 58 - 71 ',100,2,7),
(124836,106179,'Increases Mitigation of target vs elemental, noxious and arcane damage by 462',100,1,8),
(124837,10106179,'Wards target against 51 points of all damage',100,1,0),
(124838,10106179,'Decreases INT of target by 81.5',100,1,1),
(124839,10106179,'Decreases Attack Speed of target by 25.0',100,1,2),
(124840,10106179,'Increases Max Health of target by 11.0%',100,1,3),
(124841,10106179,'Increases Aggression of target by 6.9',100,1,4),
(124842,10106179,'Increases Mitigation of target vs elemental, noxious and arcane damage by 462',100,1,5),
(124843,111960,'Inflicts 180 - 220 disease damage on target',100,1,0),
(124844,111960,'Decreases Mitigation of target vs noxious damage by 341',100,1,1),
(124845,10111960,'Inflicts 301 - 367 disease damage on target',100,1,0),
(124846,10111960,'Decreases Mitigation of target vs noxious damage by 341',100,1,1),
(124847,108783,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(124848,108783,'Inflicts 83 - 101 heat damage on target instantly and every 4 seconds',100,2,1),
(124849,108783,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(124850,108783,'Inflicts 367 - 448 heat damage on target encounter',100,3,3),
(124851,108783,'Grants a total of 1 trigger of the spell.',100,3,4),
(124852,10108783,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(124853,10108783,'Inflicts 107 - 131 heat damage on target instantly and every 4 seconds',100,2,1),
(124854,10108783,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(124855,10108783,'Inflicts 477 - 583 heat damage on target encounter',100,3,3),
(124856,10108783,'Grants a total of 1 trigger of the spell.',100,3,4),
(124857,122881,'Makes caster immune to strikethrough attacks.',100,1,0),
(124858,122881,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(124859,10122881,'Makes caster immune to strikethrough attacks.',100,1,0),
(124860,10122881,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(124861,103474,'Increases In-Combat Power Regeneration of group members (AE) by 12.5',100,1,0),
(124862,10103474,'Increases In-Combat Power Regeneration of group members (AE) by 12.5',100,1,0),
(124863,41500,'When Equipped:',100,0,0),
(124864,41500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124865,41500,'Inflicts 118 - 218 magic damage on target',100,2,2),
(124866,41500,'Cannot be modified except by direct means',100,2,3),
(124867,10041500,'When Equipped:',100,0,0),
(124868,10041500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124869,10041500,'Inflicts 153 - 284 magic damage on target',100,2,2),
(124870,10041500,'Cannot be modified except by direct means',100,2,3),
(124871,102050,'Interrupts targets in Area of Effect',100,1,0),
(124872,102050,'Inflicts 220 - 367 melee damage on targets in area',100,1,1),
(124873,10102050,'Interrupts targets in Area of Effect',100,1,0),
(124874,10102050,'Inflicts 286 - 477 melee damage on targets in area',100,1,1),
(124875,35345,'Increases AGI of target by 1.5',100,0,0),
(124876,35345,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(124877,37539,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(124878,80627,'When Equipped:',100,0,0),
(124879,80627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124880,80627,'Inflicts 83 - 154 magic damage on target',100,2,2),
(124881,80627,'Cannot be modified except by direct means',100,2,3),
(124882,10080627,'When Equipped:',100,0,0),
(124883,10080627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124884,10080627,'Inflicts 108 - 200 magic damage on target',100,2,2),
(124885,10080627,'Cannot be modified except by direct means',100,2,3),
(124886,106271,'Wards target against 1560 points of all damage',100,1,0),
(124887,10106271,'Wards target against 1560 points of all damage',100,1,0),
(124888,117662,'Decreases Mitigation of target vs physical damage by 240',100,1,0),
(124889,10117662,'Decreases Mitigation of target vs physical damage by 120',100,1,0),
(124890,122324,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(124891,122324,'Inflicts 1163 - 1421 mental damage on target',100,2,1),
(124892,122324,'Grants a total of 3 triggers of the spell.',100,2,2),
(124893,10122324,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(124894,10122324,'Inflicts 1511 - 1847 mental damage on target',100,2,1),
(124895,10122324,'Grants a total of 3 triggers of the spell.',100,2,2),
(124896,175358,'When Equipped:',100,0,0),
(124897,175358,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124898,175358,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(124899,175358,'Heals caster for 635 - 952',100,2,3),
(124900,175358,'Cannot be modified except by direct means',100,2,4),
(124901,175358,'Cannot be modified except by direct means',100,1,5),
(124902,10175358,'When Equipped:',100,0,0),
(124903,10175358,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(124904,10175358,'Inflicts 1239 - 1859 poison damage on target',100,2,2),
(124905,10175358,'Heals caster for 743 - 1114',100,2,3),
(124906,10175358,'Cannot be modified except by direct means',100,2,4),
(124907,10175358,'Cannot be modified except by direct means',100,1,5),
(124908,45136,'Applies Additional Character Slot when Activated.',100,0,0),
(124909,45136,'Using this item grants you an additional character slot on your EQII account.',100,1,1),
(124910,10045136,'Applies Additional Character Slot when Activated.',100,0,0),
(124911,10045136,'Using this item grants you an additional character slot on your EQII account.',100,1,1),
(124912,101800,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(124913,101800,'Decreases Threat to target by 541 ',100,2,1),
(124914,10101800,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(124915,10101800,'Inflicts 50 - 55 crushing damage on target',100,2,1),
(124916,123879,'Increases AGI of caster by 121.4',100,1,0),
(124917,123879,'Adds 25.0% to base avoidance.',100,1,1),
(124918,123879,'Increases Damage Per Second of caster by 88.5',100,1,2),
(124919,123879,'Increases Mitigation of caster vs physical damage by 997',100,1,3),
(124920,123879,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,4),
(124921,10123879,'Increases AGI of caster by 121.4',100,1,0),
(124922,10123879,'Adds 25.0% to base avoidance.',100,1,1),
(124923,10123879,'Increases Damage Per Second of caster by 88.5',100,1,2),
(124924,10123879,'Increases Mitigation of caster vs physical damage by 997',100,1,3),
(124925,10123879,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,4),
(124926,119086,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(124927,119086,'Increases Parry and Deflection of group members (AE) by 13.3',100,1,1),
(124928,119086,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(124929,119086,'Decreases Threat to target encounter by 569 - 696 ',100,2,3),
(124930,119086,'If not fighter',100,3,4),
(124931,119086,'Increases Threat to target encounter by 569 - 696 ',100,2,5),
(124932,119086,'If fighter',100,3,6),
(124933,119086,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(124934,119086,'Decreases Threat to target encounter by 569 - 696 ',100,2,8),
(124935,119086,'If not fighter',100,3,9),
(124936,119086,'Increases Threat to target encounter by 569 - 696 ',100,2,10),
(124937,119086,'If fighter',100,3,11),
(124938,10119086,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(124939,10119086,'Increases Parry and Deflection of group members (AE) by 13.3',100,1,1),
(124940,10119086,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(124941,10119086,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(124942,106752,'Decreases Defense of target by 2.9',100,1,0),
(124943,106752,'If facing target',100,1,1),
(124944,10106752,'Decreases Defense of target by 2.9',100,1,0),
(124945,10106752,'If facing target',100,1,1),
(124946,35206,'Increases INT and WIS of target by 1.1',100,0,0),
(124947,35206,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(124948,102440,'Stuns target encounter',100,1,0),
(124949,102440,'Epic targets gain an immunity to Stun effects of 10.5 seconds and duration is reduced to 1.2 seconds.',100,1,1),
(124950,102440,'Resistibility increases against targets higher than level 59.',100,1,2),
(124951,10102440,'Stuns target encounter',100,1,0),
(124952,10102440,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(124953,10102440,'Resistibility increases against targets higher than level 59.',100,1,2),
(124954,48541,'Applies Bonk when Activated.',100,0,0),
(124955,10048541,'Applies Bonk when Activated.',100,0,0),
(124956,114418,'Mesmerizes target',100,1,0),
(124957,114418,'Prevents AOE (except when direct) ',100,1,1),
(124958,114418,'Dispelled when target takes damage',100,1,2),
(124959,114418,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(124960,114418,'Resistibility increases against targets higher than level 81.',100,1,4),
(124961,10114418,'Mesmerizes target',100,1,0),
(124962,10114418,'Prevents AOE (except when direct) ',100,1,1),
(124963,10114418,'Dispelled when target takes damage',100,1,2),
(124964,10114418,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(124965,10114418,'Resistibility increases against targets higher than level 81.',100,1,4),
(124966,118507,'Summons a limited pet to aid the caster',100,1,0),
(124967,10118507,'Summons a limited pet to aid the caster',100,1,0),
(124968,87128,'When Equipped:',100,0,0),
(124969,87128,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124970,87128,'Inflicts 237 - 356 magic damage on target',100,2,2),
(124971,87128,'Cannot be modified except by direct means',100,2,3),
(124972,10087128,'When Equipped:',100,0,0),
(124973,10087128,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(124974,10087128,'Inflicts 308 - 463 magic damage on target',100,2,2),
(124975,10087128,'Cannot be modified except by direct means',100,2,3),
(124976,82218,'When Equipped:',100,0,0),
(124977,82218,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124978,82218,'Inflicts 48 - 89 magic damage on target',100,2,2),
(124979,82218,'Decreases Threat to target by 135 ',100,2,3),
(124980,82218,'Must be flanking or behind',100,3,4),
(124981,82218,'Increases Threat to target by 135 ',100,2,5),
(124982,82218,'Must be in front of',100,3,6),
(124983,82218,'Cannot be modified except by direct means',100,2,7),
(124984,10082218,'When Equipped:',100,0,0),
(124985,10082218,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(124986,10082218,'Inflicts 62 - 115 magic damage on target',100,2,2),
(124987,10082218,'Cannot be modified except by direct means',100,2,3),
(124988,37195,'Increases Max Health of target by 3.9',100,0,0),
(124989,37195,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(124990,111988,'Heals target for 101 - 124',100,1,0),
(124991,10111988,'Heals target for 66 - 80',100,1,0),
(124992,104085,'Inflicts 383 - 639 mental damage on target',100,1,0),
(124993,104085,'Inflicts 383 - 639 mental damage on target',100,1,1),
(124994,10104085,'Inflicts 498 - 831 mental damage on target',100,1,0),
(124995,10104085,'Inflicts 498 - 831 mental damage on target',100,1,1),
(124996,186148,'When Equipped:',100,0,0),
(124997,186148,'Increases Potency of caster by 2.5%',100,1,1),
(124998,186148,'Increases Spell Reuse Speed of caster by 2.5%',100,1,2),
(124999,186148,'Must not be engaged in pvp combat',100,1,3),
(125000,10186148,'When Equipped:',100,0,0),
(125001,10186148,'Increases Potency of caster by 2.5%',100,1,1),
(125002,10186148,'Increases Spell Reuse Speed of caster by 2.5%',100,1,2),
(125003,10186148,'Must not be engaged in pvp combat',100,1,3),
(125004,124818,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 350',100,1,0),
(125005,10124818,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 350',100,1,0),
(125006,177539,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(125007,177539,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(125008,177539,'Inflicts 123 heat damage on target',100,2,2),
(125009,177539,'Cannot be modified except by direct means',100,2,3),
(125010,10177539,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(125011,10177539,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(125012,10177539,'Inflicts 160 heat damage on target',100,2,2),
(125013,10177539,'Cannot be modified except by direct means',100,2,3),
(125014,108407,'Heals target for 596 - 729',100,1,0),
(125015,10108407,'Heals target for 713 - 872',100,1,0),
(125016,115045,'Heals target for 927 - 1133',100,1,0),
(125017,10115045,'Heals target for 1299 - 1587',100,1,0),
(125018,115769,'Inflicts 250 - 418 melee damage on target',100,1,0),
(125019,10115769,'Inflicts 326 - 543 melee damage on target',100,1,0),
(125020,45362,'Applies Blessing of Growth when Activated.',100,0,0),
(125021,45362,'This effect cannot be cast during combat',100,1,1),
(125022,10045362,'Applies Blessing of Growth when Activated.',100,0,0),
(125023,10045362,'This effect cannot be cast during combat',100,1,1),
(125024,139501,'When Equipped:',100,0,0),
(125025,139501,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(125026,139501,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(125027,139501,'Cannot be modified except by direct means',100,2,3),
(125028,10139501,'When Equipped:',100,0,0),
(125029,10139501,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(125030,10139501,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(125031,10139501,'Cannot be modified except by direct means',100,2,3),
(125032,112407,'Increases Crushing, Piercing, Slashing and Ranged of target by 64.9',100,1,0),
(125033,112407,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(125034,112407,'Inflicts 791 - 967 piercing damage on target',100,2,2),
(125035,112407,'Inflicts 396 - 484 piercing damage on target every 3 seconds',100,2,3),
(125036,10112407,'Increases Crushing, Piercing, Slashing and Ranged of target by 64.9',100,1,0),
(125037,10112407,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(125038,10112407,'Inflicts 1029 - 1257 piercing damage on target',100,2,2),
(125039,10112407,'Inflicts 514 - 629 piercing damage on target every 3 seconds',100,2,3),
(125040,110101,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(125041,110101,'Inflicts 38 disease damage on target',100,2,1),
(125042,110101,'Heals caster for 18',100,2,2),
(125043,110101,'Decreases INT of target by 109.5',100,1,3),
(125044,110101,'Decreases Attack Speed of target by 25.0',100,1,4),
(125045,110101,'Increases Max Health of target by 12.0%',100,1,5),
(125046,110101,'Increases Hate Gain of target by 32.4%',100,1,6),
(125047,110101,'Increases Aggression of target by 10.1',100,1,7),
(125048,110101,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(125049,110101,'Increases Threat to target encounter by 94 - 115 ',100,2,9),
(125050,110101,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,10),
(125051,10110101,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(125052,10110101,'Inflicts 50 disease damage on target',100,2,1),
(125053,10110101,'Heals caster for 12',100,2,2),
(125054,10110101,'Decreases INT of target by 109.5',100,1,3),
(125055,10110101,'Decreases Attack Speed of target by 25.0',100,1,4),
(125056,10110101,'Increases Max Health of target by 12.0%',100,1,5),
(125057,10110101,'Increases Aggression of target by 10.1',100,1,6),
(125058,10110101,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,7),
(125059,27087,'When Equipped:',100,0,0),
(125060,27087,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125061,27087,'Inflicts 62 divine damage on target',100,2,2),
(125062,27087,'Heals caster for 40',100,2,3),
(125063,27087,'Cannot be modified except by direct means',100,2,4),
(125064,10027087,'When Equipped:',100,0,0),
(125065,10027087,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125066,10027087,'Inflicts 81 divine damage on target',100,2,2),
(125067,10027087,'Heals caster for 26',100,2,3),
(125068,10027087,'Cannot be modified except by direct means',100,2,4),
(125069,106965,'Inflicts 1443 - 2680 poison damage on target',100,1,0),
(125070,10106965,'Inflicts 1876 - 3483 poison damage on target',100,1,0),
(125071,113364,'Applies Stifle.  Lasts for 5.0 seconds.',100,1,0),
(125072,113364,'Stifles target',100,2,1),
(125073,113364,'Blurs vision of target',100,2,2),
(125074,113364,'Dispelled when target takes damage',100,2,3),
(125075,113364,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(125076,113364,'Resistibility increases against targets higher than level 48.',100,2,5),
(125077,113364,'Roots target',100,1,6),
(125078,113364,'5% chance to dispel when target takes damage',100,1,7),
(125079,113364,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,8),
(125080,113364,'Resistibility increases against targets higher than level 48.',100,1,9),
(125081,10113364,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(125082,10113364,'Stifles target',100,2,1),
(125083,10113364,'Blurs vision of target',100,2,2),
(125084,10113364,'Dispelled when target takes damage',100,2,3),
(125085,10113364,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(125086,10113364,'Resistibility increases against targets higher than level 48.',100,2,5),
(125087,10113364,'Roots target',100,1,6),
(125088,10113364,'5% chance to dispel when target takes damage',100,1,7),
(125089,10113364,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(125090,10113364,'Resistibility increases against targets higher than level 48.',100,1,9),
(125091,124168,'Inflicts 18 - 31 melee damage on target',100,1,0),
(125092,10124168,'Inflicts 24 - 40 melee damage on target',100,1,0),
(125093,24606,'Adds Orc-Snow (Ranger) to your Dungeon Maker toolbox',100,0,0),
(125094,10024606,'Adds Orc-Snow (Ranger) to your Dungeon Maker toolbox',100,0,0),
(125095,105425,'Increases STR of caster by 141.0',100,1,0),
(125096,105425,'Decreases Defense of caster by 18.0',100,1,1),
(125097,105425,'Increases Slashing, Piercing, Crushing and Disruption of caster by 27.0',100,1,2),
(125098,10105425,'Increases STR of caster by 141.0',100,1,0),
(125099,10105425,'Decreases Defense of caster by 18.0',100,1,1),
(125100,10105425,'Increases Slashing, Piercing, Crushing and Disruption of caster by 27.0',100,1,2),
(125101,35686,'Increases Max Power of target by 3.3',100,0,0),
(125102,35686,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(125103,71338,'When Equipped:',100,0,0),
(125104,71338,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125105,71338,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(125106,71338,'Cannot be modified except by direct means',100,2,3),
(125107,10071338,'When Equipped:',100,0,0),
(125108,10071338,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125109,10071338,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(125110,10071338,'Cannot be modified except by direct means',100,2,3),
(125111,114388,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(125112,114388,'Throws target back',100,2,1),
(125113,114388,'Stuns target',100,2,2),
(125114,114388,'Blurs vision of target',100,2,3),
(125115,114388,'Does not affect Epic targets',100,2,4),
(125116,114388,'Inflicts 767 - 1279 crushing damage on target',100,1,5),
(125117,10114388,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(125118,10114388,'Throws target back',100,2,1),
(125119,10114388,'Stuns target',100,2,2),
(125120,10114388,'Blurs vision of target',100,2,3),
(125121,10114388,'Does not affect Epic targets',100,2,4),
(125122,10114388,'Inflicts 997 - 1663 crushing damage on target',100,1,5),
(125123,110347,'Increases Max Power of target by 679.6',100,1,0),
(125124,110347,'Increases Max Health of target by 1,456.8',100,1,1),
(125125,10110347,'Increases Max Power of target by 679.6',100,1,0),
(125126,10110347,'Increases Max Health of target by 1,456.8',100,1,1),
(125127,75880,'When Equipped:',100,0,0),
(125128,75880,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(125129,75880,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(125130,75880,'Heals target for 5664 - 6260',100,2,3),
(125131,75880,'Dispels 221 levels of any hostile effects on target',100,2,4),
(125132,75880,'Must not be engaged in pvp combat',100,2,5),
(125133,75880,'Cannot be modified except by direct means',100,2,6),
(125134,75880,'Cannot be modified except by direct means',100,1,7),
(125135,75880,'When Equipped:',100,0,8),
(125136,75880,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(125137,75880,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(125138,75880,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,11),
(125139,75880,'Heals target for 1840',100,3,12),
(125140,75880,'Must not be engaged in pvp combat',100,3,13),
(125141,75880,'Cannot be modified except by direct means',100,3,14),
(125142,75880,'Grants a total of 5 triggers of the spell.',100,3,15),
(125143,75880,'Must not be engaged in pvp combat',100,2,16),
(125144,75880,'Cannot be modified except by direct means',100,2,17),
(125145,75880,'Cannot be modified except by direct means',100,1,18),
(125146,10075880,'When Equipped:',100,0,0),
(125147,10075880,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(125148,10075880,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(125149,10075880,'Heals target for 6626 - 7324',100,2,3),
(125150,10075880,'Dispels 221 levels of any hostile effects on target',100,2,4),
(125151,10075880,'Must not be engaged in pvp combat',100,2,5),
(125152,10075880,'Cannot be modified except by direct means',100,2,6),
(125153,10075880,'Cannot be modified except by direct means',100,1,7),
(125154,10075880,'When Equipped:',100,0,8),
(125155,10075880,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(125156,10075880,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(125157,10075880,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,11),
(125158,10075880,'Heals target for 2153',100,3,12),
(125159,10075880,'Must not be engaged in pvp combat',100,3,13),
(125160,10075880,'Cannot be modified except by direct means',100,3,14),
(125161,10075880,'Grants a total of 5 triggers of the spell.',100,3,15),
(125162,10075880,'Must not be engaged in pvp combat',100,2,16),
(125163,10075880,'Cannot be modified except by direct means',100,2,17),
(125164,10075880,'Cannot be modified except by direct means',100,1,18),
(125165,104740,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(125166,104740,'Decreases Mitigation of target vs elemental and arcane damage by 1296',100,2,1),
(125167,104740,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(125168,104740,'Decreases Mitigation of target vs elemental and arcane damage by 1296',100,2,3),
(125169,10104740,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(125170,10104740,'Decreases Mitigation of target vs elemental and arcane damage by 1296',100,2,1),
(125171,10104740,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(125172,10104740,'Decreases Mitigation of target vs elemental and arcane damage by 1296',100,2,3),
(125173,119159,'Inflicts 108 disease damage on target every 3 seconds',100,1,0),
(125174,119159,'Inflicts 538 - 896 melee damage on target',100,1,1),
(125175,119159,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(125176,119159,'Inflicts 215 disease damage on target every 3 seconds',100,2,3),
(125177,119159,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(125178,119159,'Inflicts 323 disease damage on target every 3 seconds',100,3,5),
(125179,119159,'You must be sneaking to use this ability.',100,1,6),
(125180,119159,'Must be behind',100,1,7),
(125181,10119159,'Inflicts 140 disease damage on target every 3 seconds',100,1,0),
(125182,10119159,'Inflicts 699 - 1165 melee damage on target',100,1,1),
(125183,10119159,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(125184,10119159,'Inflicts 280 disease damage on target every 3 seconds',100,2,3),
(125185,10119159,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(125186,10119159,'Inflicts 420 disease damage on target every 3 seconds',100,3,5),
(125187,10119159,'You must be sneaking to use this ability.',100,1,6),
(125188,10119159,'Must be behind',100,1,7),
(125189,174690,'Applies Reverse Pauldron when Activated.',100,0,0),
(125190,174690,'Summon 1 Ruby-set Left Pauldron',100,1,1),
(125191,174690,'This effect cannot be cast during combat',100,1,2),
(125192,174690,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(125193,10174690,'Applies Reverse Pauldron when Activated.',100,0,0),
(125194,10174690,'Summon 1 Ruby-set Left Pauldron',100,1,1),
(125195,10174690,'This effect cannot be cast during combat',100,1,2),
(125196,10174690,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(125197,26033,'When Equipped:',100,0,0),
(125198,26033,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125199,26033,'Inflicts 125 divine damage on target',100,2,2),
(125200,26033,'Heals caster for 80',100,2,3),
(125201,26033,'Cannot be modified except by direct means',100,2,4),
(125202,10026033,'When Equipped:',100,0,0),
(125203,10026033,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125204,10026033,'Inflicts 163 divine damage on target',100,2,2),
(125205,10026033,'Heals caster for 52',100,2,3),
(125206,10026033,'Cannot be modified except by direct means',100,2,4),
(125207,152570,'When Equipped:',100,0,0),
(125208,152570,'On a hostile spell cast this spell may cast Flawless Aura of Destruction on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(125209,152570,'Inflicts 1146 magic damage on target',100,2,2),
(125210,152570,'Reduces resistibility of all spells by 5%.',100,2,3),
(125211,152570,'Cannot be modified except by direct means',100,2,4),
(125212,10152570,'When Equipped:',100,0,0),
(125213,10152570,'On a hostile spell cast this spell may cast Flawless Aura of Destruction on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(125214,10152570,'Inflicts 1490 magic damage on target',100,2,2),
(125215,10152570,'Reduces resistibility of all spells by 5%.',100,2,3),
(125216,10152570,'Cannot be modified except by direct means',100,2,4),
(125217,45980,'Applies Leash when Activated.',100,0,0),
(125218,10045980,'Applies Leash when Activated.',100,0,0),
(125219,90109,'When Equipped:',100,0,0),
(125220,90109,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(125221,90109,'Inflicts 993 mental damage on target',100,2,2),
(125222,90109,'Increases Threat to target by 2,000 ',100,2,3),
(125223,90109,'Cannot be modified except by direct means',100,2,4),
(125224,90109,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(125225,90109,'Inflicts 993 mental damage on target',100,2,6),
(125226,90109,'Increases Threat to target by 2,000 ',100,2,7),
(125227,90109,'Cannot be modified except by direct means',100,2,8),
(125228,10090109,'When Equipped:',100,0,0),
(125229,10090109,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(125230,10090109,'Inflicts 1291 mental damage on target',100,2,2),
(125231,10090109,'Cannot be modified except by direct means',100,2,3),
(125232,10090109,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(125233,10090109,'Inflicts 1291 mental damage on target',100,2,5),
(125234,10090109,'Cannot be modified except by direct means',100,2,6),
(125235,159859,'Applies Lambent Imbued when Equipped.',100,0,0),
(125236,159859,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(125237,159859,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(125238,159859,'Cannot be modified except by direct means',100,2,3),
(125239,10159859,'Applies Lambent Imbued when Equipped.',100,0,0),
(125240,10159859,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(125241,10159859,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(125242,10159859,'Cannot be modified except by direct means',100,2,3),
(125243,122119,'Interrupts target',100,1,0),
(125244,122119,'Increases Threat to target by 431 ',100,1,1),
(125245,122119,'Dispels 39 levels of arcane beneficial effects on target',100,1,2),
(125246,10122119,'Interrupts target',100,1,0),
(125247,10122119,'Forces target to change their selected target to caster.',100,1,1),
(125248,10122119,'Dispels 39 levels of arcane beneficial effects on target',100,1,2),
(125249,47691,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(125250,47691,'Caster will harvest a second time on 10.0% of harvests.',100,1,1),
(125251,47691,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,2),
(125252,10047691,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(125253,10047691,'Caster will harvest a second time on 10.0% of harvests.',100,1,1),
(125254,10047691,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,2),
(125255,108879,'Inflicts 456 - 761 melee damage on target',100,1,0),
(125256,108879,'Decreases INT of target by 160.2',100,1,1),
(125257,10108879,'Inflicts 594 - 990 melee damage on target',100,1,0),
(125258,10108879,'Decreases INT of target by 160.2',100,1,1),
(125259,24600,'Adds Orc-Snow (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(125260,10024600,'Adds Orc-Snow (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(125261,107785,'Increases Threat to target encounter by 59 - 72 ',100,1,0),
(125262,10107785,'Prevents target encounter from changing targets',100,1,0),
(125263,10107785,'Forces target encounter to change their selected target to caster.',100,1,1),
(125264,71758,'When Equipped:',100,0,0),
(125265,71758,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125266,71758,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(125267,71758,'Cannot be modified except by direct means',100,2,3),
(125268,10071758,'When Equipped:',100,0,0),
(125269,10071758,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125270,10071758,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(125271,10071758,'Cannot be modified except by direct means',100,2,3),
(125272,101569,'Inflicts 32 - 54 melee damage on targets in area',100,1,0),
(125273,10101569,'Inflicts 42 - 71 melee damage on targets in area',100,1,0),
(125274,36417,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(125275,174096,'When Equipped:',100,0,0),
(125276,174096,'On a healing spell cast this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(125277,174096,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(125278,174096,'Increases Ability Casting Speed of caster by 12.0%',100,2,3),
(125279,174096,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(125280,174096,'Increases in-combat movement speed of caster by 15.0%',100,2,5),
(125281,174096,'Must not be engaged in pvp combat',100,2,6),
(125282,174096,'Cannot be modified except by direct means',100,2,7),
(125283,174096,'On any combat or spell hit this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(125284,174096,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(125285,174096,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(125286,174096,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(125287,174096,'Increases in-combat movement speed of caster by 15.0%',100,2,12),
(125288,174096,'Must not be engaged in pvp combat',100,2,13),
(125289,174096,'Cannot be modified except by direct means',100,2,14),
(125290,174096,'Must not be engaged in pvp combat',100,1,15),
(125291,10174096,'When Equipped:',100,0,0),
(125292,10174096,'On a healing spell cast this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(125293,10174096,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(125294,10174096,'Increases Ability Casting Speed of caster by 12.0%',100,2,3),
(125295,10174096,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(125296,10174096,'Increases in-combat movement speed of caster by 15.0%',100,2,5),
(125297,10174096,'Must not be engaged in pvp combat',100,2,6),
(125298,10174096,'Cannot be modified except by direct means',100,2,7),
(125299,10174096,'On any combat or spell hit this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(125300,10174096,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(125301,10174096,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(125302,10174096,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(125303,10174096,'Increases in-combat movement speed of caster by 15.0%',100,2,12),
(125304,10174096,'Must not be engaged in pvp combat',100,2,13),
(125305,10174096,'Cannot be modified except by direct means',100,2,14),
(125306,10174096,'Must not be engaged in pvp combat',100,1,15),
(125307,110870,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(125308,110870,'Inflicts 849 - 1414 divine damage on target',100,2,1),
(125309,110870,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(125310,110870,'Throws target back',100,3,3),
(125311,110870,'Stuns target',100,3,4),
(125312,110870,'Blurs vision of target',100,3,5),
(125313,110870,'Does not affect Epic targets',100,3,6),
(125314,110870,'Grants a total of 3 triggers of the spell.',100,2,7),
(125315,10110870,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(125316,10110870,'Inflicts 1103 - 1839 divine damage on target',100,2,1),
(125317,10110870,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(125318,10110870,'Throws target back',100,3,3),
(125319,10110870,'Stuns target',100,3,4),
(125320,10110870,'Blurs vision of target',100,3,5),
(125321,10110870,'Does not affect Epic targets',100,3,6),
(125322,10110870,'Grants a total of 3 triggers of the spell.',100,2,7),
(125323,112489,'Decreases AGI and WIS of target by 80.3',100,1,0),
(125324,10112489,'Decreases AGI and WIS of target by 80.3',100,1,0),
(125325,118821,'Inflicts 4 - 12 melee damage on target',100,1,0),
(125326,10118821,'Inflicts 5 - 16 melee damage on target',100,1,0),
(125327,108770,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(125328,108770,'Inflicts 28 - 34 heat damage on target instantly and every 4 seconds',100,2,1),
(125329,108770,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(125330,108770,'Inflicts 125 - 153 heat damage on target encounter',100,3,3),
(125331,108770,'Grants a total of 1 trigger of the spell.',100,3,4),
(125332,10108770,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(125333,10108770,'Inflicts 37 - 45 heat damage on target instantly and every 4 seconds',100,2,1),
(125334,10108770,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(125335,10108770,'Inflicts 163 - 199 heat damage on target encounter',100,3,3),
(125336,10108770,'Grants a total of 1 trigger of the spell.',100,3,4),
(125337,119379,'Decreases threat priority of target by 1 position',100,1,0),
(125338,119379,'Decreases Threat to target by 767 ',100,1,1),
(125339,119379,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(125340,119379,'Grants stealth to caster',100,2,3),
(125341,119379,'Suspends caster''s movement speed enhancements',100,2,4),
(125342,10119379,'Applies Distract.',100,1,0),
(125343,10119379,'Forces target to clear their selected target.',100,2,1),
(125344,10119379,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(125345,10119379,'Grants stealth to caster',100,2,3),
(125346,10119379,'Suspends caster''s movement speed enhancements',100,2,4),
(125347,46287,'Applies Extended Potion of the Advanced when Activated.  Lasts for 4 hours.',100,0,0),
(125348,46287,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(125349,46287,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(125350,46287,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(125351,46287,'You can only have one experience potion active at a time.',100,1,4),
(125352,10046287,'Applies Extended Potion of the Advanced when Activated.  Lasts for 4 hours.',100,0,0),
(125353,10046287,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,1),
(125354,10046287,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(125355,10046287,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(125356,10046287,'You can only have one experience potion active at a time.',100,1,4),
(125357,182423,'When Equipped:',100,0,0),
(125358,182423,'On a critical combat hit this spell may cast Poison Coins on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125359,182423,'Inflicts 401 - 745 poison damage on target',100,2,2),
(125360,182423,'Inflicts 401 - 745 poison damage on target',100,2,3),
(125361,182423,'Inflicts 401 - 745 poison damage on target',100,2,4),
(125362,182423,'Inflicts 401 - 745 poison damage on target',100,2,5),
(125363,182423,'Cannot be modified except by direct means',100,2,6),
(125364,182423,'When Equipped:',100,0,7),
(125365,182423,'Increases Attack Speed of caster by 40.0',100,1,8),
(125366,10182423,'When Equipped:',100,0,0),
(125367,10182423,'On a critical combat hit this spell may cast Poison Coins on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125368,10182423,'Inflicts 104 - 194 poison damage on target',100,2,2),
(125369,10182423,'Inflicts 104 - 194 poison damage on target',100,2,3),
(125370,10182423,'Inflicts 104 - 194 poison damage on target',100,2,4),
(125371,10182423,'Inflicts 104 - 194 poison damage on target',100,2,5),
(125372,10182423,'Cannot be modified except by direct means',100,2,6),
(125373,10182423,'When Equipped:',100,0,7),
(125374,10182423,'Increases Attack Speed of caster by 40.0',100,1,8),
(125375,118044,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(125376,118044,'Inflicts 622 - 1036 divine damage on target',100,2,1),
(125377,118044,'Stuns target',100,2,2),
(125378,118044,'If Target is not Epic',100,3,3),
(125379,118044,'Grants a total of 3 triggers of the spell.',100,2,4),
(125380,10118044,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(125381,10118044,'Inflicts 808 - 1347 divine damage on target',100,2,1),
(125382,10118044,'Stuns target',100,2,2),
(125383,10118044,'If Target is not Epic',100,3,3),
(125384,10118044,'Grants a total of 3 triggers of the spell.',100,2,4),
(125385,46307,'Applies Repair when Activated.  Lasts for 1.0 second.',100,0,0),
(125386,46307,'Repairs armor that is currently equipped, in your inventory or in the overflow slot.',100,1,1),
(125387,10046307,'Applies Repair when Activated.  Lasts for 1.0 second.',100,0,0),
(125388,10046307,'Repairs armor that is currently equipped, in your inventory or in the overflow slot.',100,1,1),
(125389,141763,'When Equipped:',100,0,0),
(125390,141763,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125391,141763,'Increases STR of caster by 5.5',100,2,2),
(125392,141763,'Increases Damage Per Second of caster by 16.4',100,2,3),
(125393,141763,'Cannot be modified except by direct means',100,2,4),
(125394,10141763,'When Equipped:',100,0,0),
(125395,10141763,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125396,10141763,'Increases STR of caster by 5.5',100,2,2),
(125397,10141763,'Increases Damage Per Second of caster by 16.4',100,2,3),
(125398,10141763,'Cannot be modified except by direct means',100,2,4),
(125399,136697,'When Equipped:',100,0,0),
(125400,136697,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125401,136697,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(125402,136697,'Heals caster for 811 - 1217',100,2,3),
(125403,136697,'Cannot be modified except by direct means',100,2,4),
(125404,136697,'Cannot be modified except by direct means',100,1,5),
(125405,10136697,'When Equipped:',100,0,0),
(125406,10136697,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125407,10136697,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(125408,10136697,'Heals caster for 949 - 1424',100,2,3),
(125409,10136697,'Cannot be modified except by direct means',100,2,4),
(125410,10136697,'Cannot be modified except by direct means',100,1,5),
(125411,159741,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(125412,159741,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(125413,159741,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(125414,159741,'Cannot be modified except by direct means',100,2,3),
(125415,10159741,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(125416,10159741,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(125417,10159741,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(125418,10159741,'Cannot be modified except by direct means',100,2,3),
(125419,72254,'When Equipped:',100,0,0),
(125420,72254,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125421,72254,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(125422,72254,'Cannot be modified except by direct means',100,2,3),
(125423,10072254,'When Equipped:',100,0,0),
(125424,10072254,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125425,10072254,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(125426,10072254,'Cannot be modified except by direct means',100,2,3),
(125427,42936,'When Equipped:',100,0,0),
(125428,42936,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125429,42936,'Inflicts 1986 piercing damage on target',100,2,2),
(125430,42936,'Cannot be modified except by direct means',100,2,3),
(125431,10042936,'When Equipped:',100,0,0),
(125432,10042936,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(125433,10042936,'Inflicts 1291 piercing damage on target',100,2,2),
(125434,10042936,'Cannot be modified except by direct means',100,2,3),
(125435,115193,'Heals target for 656 - 802',100,1,0),
(125436,10115193,'Heals target for 889 - 1087',100,1,0),
(125437,47181,'Applies Elixir of Incandescent Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(125438,47181,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(125439,10047181,'Applies Elixir of Incandescent Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(125440,10047181,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(125441,80892,'When Equipped:',100,0,0),
(125442,80892,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125443,80892,'Inflicts 288 - 534 magic damage on target',100,2,2),
(125444,80892,'Cannot be modified except by direct means',100,2,3),
(125445,10080892,'When Equipped:',100,0,0),
(125446,10080892,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125447,10080892,'Inflicts 374 - 695 magic damage on target',100,2,2),
(125448,10080892,'Cannot be modified except by direct means',100,2,3),
(125449,123291,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(125450,123291,'Inflicts 159 - 265 disease damage on target',100,2,1),
(125451,123291,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(125452,123291,'This effect cannot be critically applied.',100,3,3),
(125453,123291,'The healing of this spell cannot be modified except by direct means',100,2,4),
(125454,10123291,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(125455,10123291,'Inflicts 207 - 344 disease damage on target',100,2,1),
(125456,10123291,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(125457,10123291,'This effect cannot be critically applied.',100,3,3),
(125458,10123291,'The healing of this spell cannot be modified except by direct means',100,2,4),
(125459,49192,'Applies Release Shrumbler when Activated.',100,0,0),
(125460,10049192,'Applies Release Shrumbler when Activated.',100,0,0),
(125461,123800,'Inflicts 26 - 43 magic damage on target',100,1,0),
(125462,123800,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(125463,123800,'Decreases Defense of target by 7.3',100,1,2),
(125464,123800,'Target will lose 14% more power when power is consumed',100,1,3),
(125465,123800,'14% of target''s power consumed will also be drained from target''s health',100,1,4),
(125466,10123800,'Inflicts 34 - 56 magic damage on target',100,1,0),
(125467,10123800,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(125468,10123800,'Decreases Defense of target by 7.3',100,1,2),
(125469,10123800,'Target will lose 14% more power when power is consumed',100,1,3),
(125470,10123800,'14% of target''s power consumed will also be drained from target''s health',100,1,4),
(125471,106633,'Inflicts 851 - 1040 disease damage on target',100,1,0),
(125472,106633,'Heals caster for 7.6 - 9.2% of max health',100,1,1),
(125473,106633,'This effect cannot be critically applied.',100,2,2),
(125474,106633,'The healing of this spell cannot be modified except by direct means',100,1,3),
(125475,10106633,'Inflicts 1106 - 1352 disease damage on target',100,1,0),
(125476,10106633,'Heals caster for 2.5 - 3.1% of max health',100,1,1),
(125477,10106633,'This effect cannot be critically applied.',100,2,2),
(125478,10106633,'The healing of this spell cannot be modified except by direct means',100,1,3),
(125479,35948,'Increases WIS and INT of target by 1.1',100,0,0),
(125480,35948,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(125481,37371,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(125482,188560,'When Equipped:',100,0,0),
(125483,188560,'On a spell cast this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(125484,188560,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(125485,188560,'Cannot be modified except by direct means',100,2,3),
(125486,188560,'On a melee hit this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(125487,188560,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(125488,188560,'Cannot be modified except by direct means',100,2,6),
(125489,10188560,'When Equipped:',100,0,0),
(125490,10188560,'On a spell cast this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(125491,10188560,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(125492,10188560,'Cannot be modified except by direct means',100,2,3),
(125493,10188560,'On a melee hit this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(125494,10188560,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(125495,10188560,'Cannot be modified except by direct means',100,2,6),
(125496,122060,'Increases Threat to target by 1,091 - 1,334 ',100,1,0),
(125497,122060,'Inflicts 167 - 279 melee damage on target',100,1,1),
(125498,10122060,'Forces target to change their selected target to caster.',100,1,0),
(125499,10122060,'Inflicts 218 - 363 melee damage on target',100,1,1),
(125500,110017,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(125501,110017,'Inflicts 105 - 174 disease damage on target',100,2,1),
(125502,110017,'Heals caster for 2.0 - 3.4% of max health',100,2,2),
(125503,110017,'This effect cannot be critically applied.',100,3,3),
(125504,110017,'The healing of this spell cannot be modified except by direct means',100,2,4),
(125505,10110017,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(125506,10110017,'Inflicts 136 - 227 disease damage on target',100,2,1),
(125507,10110017,'Heals caster for 0.6 - 1.0% of max health',100,2,2),
(125508,10110017,'This effect cannot be critically applied.',100,3,3),
(125509,10110017,'The healing of this spell cannot be modified except by direct means',100,2,4),
(125510,159698,'Applies Lambent Imbued when Equipped.',100,0,0),
(125511,159698,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(125512,159698,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(125513,159698,'Cannot be modified except by direct means',100,2,3),
(125514,10159698,'Applies Lambent Imbued when Equipped.',100,0,0),
(125515,10159698,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(125516,10159698,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(125517,10159698,'Cannot be modified except by direct means',100,2,3),
(125518,86252,'When Equipped:',100,0,0),
(125519,86252,'On a combat hit this spell may cast Serpent''s Sting on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125520,86252,'Inflicts 343 - 420 poison damage on target',100,2,2),
(125521,86252,'Inflicts 299 - 366 poison damage on target every 4 seconds',100,2,3),
(125522,86252,'Cannot be modified except by direct means',100,2,4),
(125523,10086252,'When Equipped:',100,0,0),
(125524,10086252,'On a combat hit this spell may cast Serpent''s Sting on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125525,10086252,'Inflicts 446 - 545 poison damage on target',100,2,2),
(125526,10086252,'Inflicts 389 - 475 poison damage on target every 4 seconds',100,2,3),
(125527,10086252,'Cannot be modified except by direct means',100,2,4),
(125528,108700,'Inflicts 171 heat damage on target',100,1,0),
(125529,108700,'Inflicts 38 heat damage on target every 4 seconds',100,1,1),
(125530,10108700,'Inflicts 312 heat damage on target',100,1,0),
(125531,10108700,'Inflicts 50 heat damage on target every 4 seconds',100,1,1),
(125532,45919,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(125533,45919,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(125534,45919,'Decreases power of target by 770',100,2,2),
(125535,45919,'Increases power of caster by 261',100,2,3),
(125536,45919,'Cannot be modified except by direct means',100,2,4),
(125537,45919,'Grants a total of 100 triggers of the spell.',100,2,5),
(125538,10045919,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(125539,10045919,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(125540,10045919,'Decreases power of target by 423',100,2,2),
(125541,10045919,'Increases power of caster by 235',100,2,3),
(125542,10045919,'Cannot be modified except by direct means',100,2,4),
(125543,10045919,'Grants a total of 100 triggers of the spell.',100,2,5),
(125544,74597,'When Equipped:',100,0,0),
(125545,74597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125546,74597,'Inflicts 66 - 99 magic damage on target',100,2,2),
(125547,74597,'Cannot be modified except by direct means',100,2,3),
(125548,10074597,'When Equipped:',100,0,0),
(125549,10074597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125550,10074597,'Inflicts 86 - 129 magic damage on target',100,2,2),
(125551,10074597,'Cannot be modified except by direct means',100,2,3),
(125552,87089,'Applies Frost Blast when Activated.',100,0,0),
(125553,87089,'Inflicts 477 - 796 cold damage on target',100,1,1),
(125554,87089,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(125555,10087089,'Applies Frost Blast when Activated.',100,0,0),
(125556,10087089,'Inflicts 621 - 1034 cold damage on target',100,1,1),
(125557,10087089,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(125558,47390,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(125559,47390,'This potion will grant you the illusion of being a fresh zombie!',100,1,1),
(125560,10047390,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(125561,10047390,'This potion will grant you the illusion of being a fresh zombie!',100,1,1),
(125562,124513,'Increases AGI and WIS of group members (AE) by 23.4',100,1,0),
(125563,10124513,'Increases AGI and WIS of group members (AE) by 23.4',100,1,0),
(125564,86489,'Applies Disease Blast when Activated.',100,0,0),
(125565,86489,'Inflicts 269 - 449 disease damage on target',100,1,1),
(125566,86489,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(125567,10086489,'Applies Disease Blast when Activated.',100,0,0),
(125568,10086489,'Inflicts 350 - 583 disease damage on target',100,1,1),
(125569,10086489,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(125570,120759,'Inflicts 37 - 45 divine damage on target instantly and every 3 seconds',100,1,0),
(125571,120759,'Increases power of caster by 27 instantly and every 3 seconds',100,1,1),
(125572,10120759,'Inflicts 48 - 59 divine damage on target instantly and every 3 seconds',100,1,0),
(125573,10120759,'Increases power of caster by 27 instantly and every 3 seconds',100,1,1),
(125574,140282,'When Equipped:',100,0,0),
(125575,140282,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(125576,140282,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(125577,140282,'Must not be engaged in pvp combat',100,2,3),
(125578,140282,'Cannot be modified except by direct means',100,2,4),
(125579,140282,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(125580,140282,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(125581,140282,'Must not be engaged in pvp combat',100,2,7),
(125582,140282,'Cannot be modified except by direct means',100,2,8),
(125583,140282,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(125584,140282,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(125585,140282,'Must not be engaged in pvp combat',100,2,11),
(125586,140282,'Cannot be modified except by direct means',100,2,12),
(125587,140282,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(125588,140282,'Inflicts 13 piercing damage on target',100,2,14),
(125589,140282,'Must not be engaged in pvp combat',100,2,15),
(125590,140282,'Cannot be modified except by direct means',100,2,16),
(125591,10140282,'When Equipped:',100,0,0),
(125592,10140282,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(125593,10140282,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(125594,10140282,'Must not be engaged in pvp combat',100,2,3),
(125595,10140282,'Cannot be modified except by direct means',100,2,4),
(125596,10140282,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(125597,10140282,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(125598,10140282,'Must not be engaged in pvp combat',100,2,7),
(125599,10140282,'Cannot be modified except by direct means',100,2,8),
(125600,10140282,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(125601,10140282,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(125602,10140282,'Must not be engaged in pvp combat',100,2,11),
(125603,10140282,'Cannot be modified except by direct means',100,2,12),
(125604,10140282,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(125605,10140282,'Inflicts 17 piercing damage on target',100,2,14),
(125606,10140282,'Must not be engaged in pvp combat',100,2,15),
(125607,10140282,'Cannot be modified except by direct means',100,2,16),
(125608,81855,'When Equipped:',100,0,0),
(125609,81855,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125610,81855,'Inflicts 148 - 274 magic damage on target',100,2,2),
(125611,81855,'Cannot be modified except by direct means',100,2,3),
(125612,10081855,'When Equipped:',100,0,0),
(125613,10081855,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125614,10081855,'Inflicts 192 - 356 magic damage on target',100,2,2),
(125615,10081855,'Cannot be modified except by direct means',100,2,3),
(125616,122787,'Heals target for 392',100,1,0),
(125617,10122787,'Heals target for 305',100,1,0),
(125618,154460,'When Equipped:',100,0,0),
(125619,154460,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(125620,154460,'Inflicts 28 mental damage on target',100,2,2),
(125621,154460,'Cannot be modified except by direct means',100,2,3),
(125622,10154460,'When Equipped:',100,0,0),
(125623,10154460,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(125624,10154460,'Inflicts 36 mental damage on target',100,2,2),
(125625,10154460,'Cannot be modified except by direct means',100,2,3),
(125626,105568,'Inflicts 327 - 607 disease damage on target',100,1,0),
(125627,105568,'Inflicts 196 - 364 disease damage on target every 2 seconds',100,1,1),
(125628,10105568,'Inflicts 425 - 789 disease damage on target',100,1,0),
(125629,10105568,'Inflicts 255 - 474 disease damage on target every 2 seconds',100,1,1),
(125630,107023,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',100,1,0),
(125631,107023,'Stifles caster',100,2,1),
(125632,107023,'Dazes caster',100,2,2),
(125633,107023,'Heals caster for 60.0% of max health',100,2,3),
(125634,107023,'This effect cannot be critically applied.',100,3,4),
(125635,107023,'The healing of this spell cannot be modified except by direct means',100,2,5),
(125636,107023,'Grants a total of 1 trigger of the spell.',100,2,6),
(125637,10107023,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',100,1,0),
(125638,10107023,'Dazes caster',100,2,1),
(125639,10107023,'Stifles caster',100,2,2),
(125640,10107023,'Heals caster for 30.0% of max health',100,2,3),
(125641,10107023,'This effect cannot be critically applied.',100,3,4),
(125642,10107023,'The healing of this spell cannot be modified except by direct means',100,2,5),
(125643,10107023,'Grants a total of 1 trigger of the spell.',100,2,6),
(125644,101546,'Inflicts 4150 - 6917 melee damage on target',100,1,0),
(125645,101546,'You must be stealthed to use this ability',100,1,1),
(125646,10101546,'Inflicts 2536 - 4226 melee damage on target',100,1,0),
(125647,10101546,'You must be stealthed to use this ability',100,1,1),
(125648,77376,'When Equipped:',100,0,0),
(125649,77376,'On a combat hit this spell may cast Slashing Claw on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125650,77376,'Inflicts 185 slashing damage on target',100,2,2),
(125651,77376,'Cannot be modified except by direct means',100,2,3),
(125652,10077376,'When Equipped:',100,0,0),
(125653,10077376,'On a combat hit this spell may cast Slashing Claw on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125654,10077376,'Inflicts 240 slashing damage on target',100,2,2),
(125655,10077376,'Cannot be modified except by direct means',100,2,3),
(125656,87149,'When Equipped:',100,0,0),
(125657,87149,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125658,87149,'Inflicts 76 - 114 magic damage on target',100,2,2),
(125659,87149,'Cannot be modified except by direct means',100,2,3),
(125660,10087149,'When Equipped:',100,0,0),
(125661,10087149,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125662,10087149,'Inflicts 98 - 148 magic damage on target',100,2,2),
(125663,10087149,'Cannot be modified except by direct means',100,2,3),
(125664,177524,'When Equipped:',100,0,0),
(125665,177524,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125666,177524,'Increases INT of caster by 11.9',100,2,2),
(125667,177524,'Increases Disruption, Subjugation and Focus of caster by 6.7',100,2,3),
(125668,177524,'Cannot be modified except by direct means',100,2,4),
(125669,10177524,'When Equipped:',100,0,0),
(125670,10177524,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125671,10177524,'Increases INT of caster by 11.9',100,2,2),
(125672,10177524,'Increases Disruption, Subjugation and Focus of caster by 6.7',100,2,3),
(125673,10177524,'Cannot be modified except by direct means',100,2,4),
(125674,100579,'Inflicts 86 - 144 melee damage on target',100,1,0),
(125675,100579,'You must be sneaking to use this ability.',100,1,1),
(125676,10100579,'Inflicts 134 - 224 melee damage on target',100,1,0),
(125677,10100579,'You must be sneaking to use this ability.',100,1,1),
(125678,121091,'Decreases Threat to targets in Area of Effect by 520 ',100,1,0),
(125679,121091,'Mesmerizes targets in Area of Effect',100,1,1),
(125680,121091,'If Target is not Epic',100,2,2),
(125681,121091,'Dispelled when target takes damage',100,1,3),
(125682,10121091,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(125683,10121091,'Applies Distract.',100,1,1),
(125684,10121091,'Forces target to clear their selected target.',100,2,2),
(125685,10121091,'Mesmerizes targets in Area of Effect',100,1,3),
(125686,10121091,'If Target is not Epic',100,2,4),
(125687,10121091,'Dispelled when target takes damage',100,1,5),
(125688,81482,'When Equipped:',100,0,0),
(125689,81482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125690,81482,'Inflicts 121 - 225 magic damage on target',100,2,2),
(125691,81482,'Cannot be modified except by direct means',100,2,3),
(125692,10081482,'When Equipped:',100,0,0),
(125693,10081482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125694,10081482,'Inflicts 157 - 292 magic damage on target',100,2,2),
(125695,10081482,'Cannot be modified except by direct means',100,2,3),
(125696,140798,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(125697,140798,'Decreases AGI, INT, WIS and STR of target by 20.8',100,1,1),
(125698,140798,'Decreases Max Health of target by 1.0%',100,1,2),
(125699,140798,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(125700,10140798,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(125701,10140798,'Decreases AGI, INT, WIS and STR of target by 20.8',100,1,1),
(125702,10140798,'Decreases Max Health of target by 1.0%',100,1,2),
(125703,10140798,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(125704,105085,'Inflicts 196 - 266 magic damage on target',100,1,0),
(125705,10105085,'Inflicts 255 - 346 magic damage on target',100,1,0),
(125706,121317,'Inflicts 23 - 28 divine damage on target instantly and every 3 seconds',100,1,0),
(125707,121317,'Decreases Defense of target by 4.8',100,1,1),
(125708,10121317,'Inflicts 29 - 36 divine damage on target instantly and every 3 seconds',100,1,0),
(125709,10121317,'Decreases Defense of target by 4.8',100,1,1),
(125710,72087,'When Equipped:',100,0,0),
(125711,72087,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125712,72087,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(125713,72087,'Cannot be modified except by direct means',100,2,3),
(125714,10072087,'When Equipped:',100,0,0),
(125715,10072087,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125716,10072087,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(125717,10072087,'Cannot be modified except by direct means',100,2,3),
(125718,48372,'Applies Call Wind Komodo when Activated.',100,0,0),
(125719,48372,'Summons a mount to ride',100,1,1),
(125720,48372,'Increases your ground speed by 60%',100,2,2),
(125721,48372,'Increases your air speed by 200%',100,2,3),
(125722,10048372,'Applies Call Wind Komodo when Activated.',100,0,0),
(125723,10048372,'Summons a mount to ride',100,1,1),
(125724,10048372,'Increases your ground speed by 60%',100,2,2),
(125725,10048372,'Increases your air speed by 200%',100,2,3),
(125726,158366,'When Equipped:',100,0,0),
(125727,158366,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(125728,158366,'When Equipped:',100,0,2),
(125729,158366,'On a hostile spell cast this spell will cast Obsidian Chaos on target of spell.  ',100,1,3),
(125730,158366,'Inflicts 1 to 150 mental damage. May randomly spike for much greater damage.',100,2,4),
(125731,10158366,'When Equipped:',100,0,0),
(125732,10158366,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(125733,10158366,'When Equipped:',100,0,2),
(125734,10158366,'On a hostile spell cast this spell will cast Obsidian Chaos on target of spell.  ',100,1,3),
(125735,10158366,'Inflicts 1 to 150 mental damage. May randomly spike for much greater damage.',100,2,4),
(125736,121361,'Inflicts 61 - 112 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(125737,10121361,'Inflicts 79 - 146 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(125738,175832,'When Equipped:',100,0,0),
(125739,175832,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(125740,10175832,'When Equipped:',100,0,0),
(125741,10175832,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(125742,116301,'Stuns target',100,1,0),
(125743,116301,'Does not affect Epic targets',100,1,1),
(125744,116301,'Resistibility increases against targets higher than level 45.',100,1,2),
(125745,10116301,'Stuns target',100,1,0),
(125746,10116301,'Does not affect Epic targets',100,1,1),
(125747,10116301,'Resistibility increases against targets higher than level 45.',100,1,2),
(125748,36489,'Increases STA of target by 1.5',100,0,0),
(125749,36489,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(125750,46836,'Applies Summon Pridewing when Activated.',100,0,0),
(125751,46836,'Summons a mount to ride',100,1,1),
(125752,46836,'Increases your ground speed by 75%',100,2,2),
(125753,46836,'Increases your air speed by 150%',100,2,3),
(125754,46836,'Increases Crushing, Piercing, Slashing, Aggression, Subjugation, Ministration, Focus, Ordination, Disruption and Ranged of caster by 5.0',100,1,4),
(125755,10046836,'Applies Summon Pridewing when Activated.',100,0,0),
(125756,10046836,'Summons a mount to ride',100,1,1),
(125757,10046836,'Increases your ground speed by 75%',100,2,2),
(125758,10046836,'Increases your air speed by 150%',100,2,3),
(125759,10046836,'Increases Crushing, Piercing, Slashing, Aggression, Subjugation, Ministration, Focus, Ordination, Disruption and Ranged of caster by 5.0',100,1,4),
(125760,108440,'Increases INT, AGI, STR and WIS of group members (AE) by 62.7',100,1,0),
(125761,108440,'Adds 1.6% to base avoidance.',100,1,1),
(125762,108440,'Increases Ability Reuse Speed of group members (AE) by 5.7%',100,1,2),
(125763,108440,'Increases Attack Speed of group members (AE) by 39.0',100,1,3),
(125764,108440,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 184',100,1,4),
(125765,10108440,'Increases INT, AGI, STR and WIS of group members (AE) by 62.7',100,1,0),
(125766,10108440,'Adds 1.6% to base avoidance.',100,1,1),
(125767,10108440,'Increases Ability Reuse Speed of group members (AE) by 5.7%',100,1,2),
(125768,10108440,'Increases Attack Speed of group members (AE) by 39.0',100,1,3),
(125769,10108440,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 184',100,1,4),
(125770,117445,'Inflicts 436 - 726 melee damage on target',100,1,0),
(125771,117445,'You must be sneaking to use this ability.',100,1,1),
(125772,117445,'Must be flanking or behind',100,1,2),
(125773,10117445,'Inflicts 351 - 585 melee damage on target',100,1,0),
(125774,10117445,'You must be sneaking to use this ability.',100,1,1),
(125775,10117445,'Must be flanking or behind',100,1,2),
(125776,116721,'Inflicts 383 - 638 melee damage on target',100,1,0),
(125777,10116721,'Inflicts 498 - 830 melee damage on target',100,1,0),
(125778,108764,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(125779,108764,'Inflicts 16 - 20 heat damage on target instantly and every 4 seconds',100,2,1),
(125780,108764,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(125781,108764,'Inflicts 73 - 89 heat damage on target encounter',100,3,3),
(125782,108764,'Grants a total of 1 trigger of the spell.',100,3,4),
(125783,10108764,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(125784,10108764,'Inflicts 21 - 26 heat damage on target instantly and every 4 seconds',100,2,1),
(125785,10108764,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(125786,10108764,'Inflicts 95 - 116 heat damage on target encounter',100,3,3),
(125787,10108764,'Grants a total of 1 trigger of the spell.',100,3,4),
(125788,113843,'Inflicts 513 - 855 disease damage on target',100,1,0),
(125789,10113843,'Inflicts 667 - 1112 disease damage on target',100,1,0),
(125790,109472,'Inflicts 143 - 239 cold damage on target',100,1,0),
(125791,10109472,'Inflicts 186 - 310 cold damage on target',100,1,0),
(125792,100519,'Increases Attack Speed of group members (AE) by 29.6',100,1,0),
(125793,10100519,'Increases Attack Speed of group members (AE) by 29.6',100,1,0),
(125794,120812,'Inflicts 2 - 3 disease damage on target instantly and every second',100,1,0),
(125795,10120812,'Inflicts 4 - 6 disease damage on target',100,1,0),
(125796,10120812,'Inflicts 3 - 4 disease damage on target every second',100,1,1),
(125797,115080,'Heals target for 303 - 371',100,1,0),
(125798,115080,'Heals target for 39 - 48 every second',100,1,1),
(125799,10115080,'Heals target for 563 - 689',100,1,0),
(125800,10115080,'Heals target for 42 - 52 every second',100,1,1),
(125801,117181,'Inflicts 183 poison damage on target instantly and every 4 seconds',100,1,0),
(125802,117181,'Decreases WIS of target by 99.4',100,1,1),
(125803,10117181,'Inflicts 237 poison damage on target instantly and every 4 seconds',100,1,0),
(125804,10117181,'Decreases WIS of target by 99.4',100,1,1),
(125805,103925,'Wards group members (AE) collectively against 1214 total points of all damage',100,1,0),
(125806,10103925,'Wards group members (AE) collectively against 1809 total points of all damage',100,1,0),
(125807,148399,'When Equipped:',100,0,0),
(125808,148399,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(125809,148399,'Wards caster against 1800 points of all damage',100,2,2),
(125810,148399,'This ward regenerates slowly over time.',100,2,3),
(125811,148399,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(125812,148399,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,5),
(125813,148399,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,6),
(125814,148399,'Must not be engaged in pvp combat',100,2,7),
(125815,148399,'Cannot be modified except by direct means',100,2,8),
(125816,148399,'Must not be engaged in pvp combat',100,1,9),
(125817,10148399,'When Equipped:',100,0,0),
(125818,10148399,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(125819,10148399,'Wards caster against 1800 points of all damage',100,2,2),
(125820,10148399,'This ward regenerates slowly over time.',100,2,3),
(125821,10148399,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(125822,10148399,'Inflicts 7403 - 8182 piercing damage on target encounter',100,2,5),
(125823,10148399,'Inflicts 823 - 909 piercing damage on target encounter every 3 seconds',100,2,6),
(125824,10148399,'Must not be engaged in pvp combat',100,2,7),
(125825,10148399,'Cannot be modified except by direct means',100,2,8),
(125826,10148399,'Must not be engaged in pvp combat',100,1,9),
(125827,113195,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(125828,113195,'Inflicts 28 magic damage on target',100,2,1),
(125829,113195,'Grants a total of 5 triggers of the spell.',100,2,2),
(125830,10113195,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(125831,10113195,'Inflicts 37 magic damage on target',100,2,1),
(125832,10113195,'Grants a total of 5 triggers of the spell.',100,2,2),
(125833,101769,'Heals group members (AE) for 300 - 367 instantly and every 2 seconds',100,1,0),
(125834,10101769,'Heals group members (AE) for 195 - 238 instantly and every 2 seconds',100,1,0),
(125835,82935,'When Equipped:',100,0,0),
(125836,82935,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125837,82935,'Inflicts 315 - 585 magic damage on target',100,2,2),
(125838,82935,'Cannot be modified except by direct means',100,2,3),
(125839,10082935,'When Equipped:',100,0,0),
(125840,10082935,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125841,10082935,'Inflicts 409 - 760 magic damage on target',100,2,2),
(125842,10082935,'Cannot be modified except by direct means',100,2,3),
(125843,77473,'When Equipped:',100,0,0),
(125844,77473,'Increases caster''s chance to block by 18.0%',100,1,1),
(125845,10077473,'When Equipped:',100,0,0),
(125846,10077473,'Increases caster''s chance to block by 18.0%',100,1,1),
(125847,105247,'Increases Threat to target by 350 ',100,1,0),
(125848,105247,'Interrupts target',100,1,1),
(125849,105247,'Dispels 60 levels of arcane beneficial effects on target',100,1,2),
(125850,10105247,'Forces target to change their selected target to caster.',100,1,0),
(125851,10105247,'Interrupts target',100,1,1),
(125852,10105247,'Dispels 60 levels of arcane beneficial effects on target',100,1,2),
(125853,147261,'When Equipped:',100,0,0),
(125854,147261,'Increases Attack Speed of caster by 45.0',100,1,1),
(125855,10147261,'When Equipped:',100,0,0),
(125856,10147261,'Increases Attack Speed of caster by 45.0',100,1,1),
(125857,172999,'When Equipped:',100,0,0),
(125858,172999,'1% of all damage received by the caster is prevented.',100,1,1),
(125859,172999,'Must not be engaged in pvp combat',100,1,2),
(125860,10172999,'When Equipped:',100,0,0),
(125861,10172999,'1% of all damage received by the caster is prevented.',100,1,1),
(125862,10172999,'Must not be engaged in pvp combat',100,1,2),
(125863,80780,'When Equipped:',100,0,0),
(125864,80780,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125865,80780,'Inflicts 226 - 419 magic damage on target',100,2,2),
(125866,80780,'Cannot be modified except by direct means',100,2,3),
(125867,10080780,'When Equipped:',100,0,0),
(125868,10080780,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125869,10080780,'Inflicts 293 - 545 magic damage on target',100,2,2),
(125870,10080780,'Cannot be modified except by direct means',100,2,3),
(125871,110223,'Interrupts target',100,1,0),
(125872,110223,'Inflicts 236 - 394 crushing damage on target',100,1,1),
(125873,10110223,'Interrupts target',100,1,0),
(125874,10110223,'Inflicts 307 - 512 crushing damage on target',100,1,1),
(125875,50784,'When Equipped:',100,0,0),
(125876,50784,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(125877,50784,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(125878,50784,'Cannot be modified except by direct means',100,1,3),
(125879,10050784,'When Equipped:',100,0,0),
(125880,10050784,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(125881,10050784,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(125882,10050784,'Cannot be modified except by direct means',100,1,3),
(125883,106510,'Inflicts 846 - 1410 melee damage on target',100,1,0),
(125884,106510,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(125885,106510,'If Target is Standard or weaker',100,2,2),
(125886,10106510,'Inflicts 550 - 917 melee damage on target',100,1,0),
(125887,47725,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(125888,47725,'Increases Max Power of caster by 142.4',100,1,1),
(125889,10047725,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(125890,10047725,'Increases Max Power of caster by 142.4',100,1,1),
(125891,72295,'When Equipped:',100,0,0),
(125892,72295,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125893,72295,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(125894,72295,'Cannot be modified except by direct means',100,2,3),
(125895,10072295,'When Equipped:',100,0,0),
(125896,10072295,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125897,10072295,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(125898,10072295,'Cannot be modified except by direct means',100,2,3),
(125899,51310,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(125900,51310,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(125901,51310,'Inflicts 66 heat damage on target',100,2,2),
(125902,51310,'Cannot be modified except by direct means',100,2,3),
(125903,10051310,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(125904,10051310,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(125905,10051310,'Inflicts 85 heat damage on target',100,2,2),
(125906,10051310,'Cannot be modified except by direct means',100,2,3),
(125907,164638,'When Equipped:',100,0,0),
(125908,164638,'On a hostile spell hit this spell may cast Spiritual Nightmare on target of spell.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125909,164638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 4457',100,2,2),
(125910,164638,'Cannot be modified except by direct means',100,2,3),
(125911,164638,'When Equipped:',100,0,4),
(125912,164638,'Reduces cast time of hostile spells by 5 percent.',100,1,5),
(125913,10164638,'When Equipped:',100,0,0),
(125914,10164638,'On a hostile spell hit this spell may cast Spiritual Nightmare on target of spell.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(125915,10164638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 4457',100,2,2),
(125916,10164638,'Cannot be modified except by direct means',100,2,3),
(125917,10164638,'When Equipped:',100,0,4),
(125918,10164638,'Reduces cast time of hostile spells by 5 percent.',100,1,5),
(125919,185886,'Applies Heroic Resistance X when Equipped.',100,0,0),
(125920,185886,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(125921,185886,'Cannot be modified except by direct means',100,1,2),
(125922,185886,'When Equipped:',100,0,3),
(125923,185886,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(125924,185886,'Gives target an extra 5.0% mitigation to their worn armor',100,2,5),
(125925,185886,'Increases Max Health of target by 500.0',100,2,6),
(125926,185886,'Cannot be modified except by direct means',100,2,7),
(125927,185886,'Cannot be modified except by direct means',100,1,8),
(125928,10185886,'Applies Heroic Resistance X when Equipped.',100,0,0),
(125929,10185886,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(125930,10185886,'Cannot be modified except by direct means',100,1,2),
(125931,10185886,'When Equipped:',100,0,3),
(125932,10185886,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(125933,10185886,'Gives target an extra 5.0% mitigation to their worn armor',100,2,5),
(125934,10185886,'Increases Max Health of target by 500.0',100,2,6),
(125935,10185886,'Cannot be modified except by direct means',100,2,7),
(125936,10185886,'Cannot be modified except by direct means',100,1,8),
(125937,122900,'Increases STR and INT of group members (AE) by 32.3',100,1,0),
(125938,10122900,'Increases STR and INT of group members (AE) by 32.3',100,1,0),
(125939,106078,'Increases AGI of caster by 186.0',100,1,0),
(125940,106078,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(125941,106078,'Inflicts 420 - 699 disease damage on target',100,2,2),
(125942,106078,'Adds 21.8% to base avoidance.',100,1,3),
(125943,106078,'Increases Mitigation of caster vs physical damage by 872',100,1,4),
(125944,106078,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,5),
(125945,10106078,'Increases AGI of caster by 186.0',100,1,0),
(125946,10106078,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(125947,10106078,'Inflicts 545 - 909 disease damage on target',100,2,2),
(125948,10106078,'Adds 21.8% to base avoidance.',100,1,3),
(125949,10106078,'Increases Mitigation of caster vs physical damage by 872',100,1,4),
(125950,10106078,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,5),
(125951,87117,'When Equipped:',100,0,0),
(125952,87117,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125953,87117,'Inflicts 237 - 356 magic damage on target',100,2,2),
(125954,87117,'Cannot be modified except by direct means',100,2,3),
(125955,10087117,'When Equipped:',100,0,0),
(125956,10087117,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125957,10087117,'Inflicts 308 - 463 magic damage on target',100,2,2),
(125958,10087117,'Cannot be modified except by direct means',100,2,3),
(125959,119823,'Dazes target',100,1,0),
(125960,119823,'Does not affect Epic targets',100,1,1),
(125961,119823,'Resistibility increases against targets higher than level 36.',100,1,2),
(125962,10119823,'Dazes target',100,1,0),
(125963,10119823,'Does not affect Epic targets',100,1,1),
(125964,10119823,'Resistibility increases against targets higher than level 36.',100,1,2),
(125965,81084,'When Equipped:',100,0,0),
(125966,81084,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125967,81084,'Inflicts 226 - 419 magic damage on target',100,2,2),
(125968,81084,'Cannot be modified except by direct means',100,2,3),
(125969,10081084,'When Equipped:',100,0,0),
(125970,10081084,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(125971,10081084,'Inflicts 293 - 545 magic damage on target',100,2,2),
(125972,10081084,'Cannot be modified except by direct means',100,2,3),
(125973,108388,'Heals target for 135 - 165',100,1,0),
(125974,10108388,'Heals target for 161 - 197',100,1,0),
(125975,111083,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(125976,111083,'Slows target by 54.2%',100,2,1),
(125977,111083,'5% chance to dispel when target receives hostile action',100,2,2),
(125978,111083,'5% chance to dispel when target takes damage',100,2,3),
(125979,111083,'Decreases Mitigation of target vs elemental damage by 1980',100,1,4),
(125980,10111083,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(125981,10111083,'Slows target by 54.2%',100,2,1),
(125982,10111083,'5% chance to dispel when target receives hostile action',100,2,2),
(125983,10111083,'5% chance to dispel when target takes damage',100,2,3),
(125984,10111083,'Decreases Mitigation of target vs elemental damage by 1980',100,1,4),
(125985,114330,'Dispels 23 levels of noxious hostile effects on target',100,1,0),
(125986,114330,'Heals target for 8.6 - 10.4% of max health',100,1,1),
(125987,114330,'This effect cannot be critically applied.',100,2,2),
(125988,114330,'The healing of this spell cannot be modified except by direct means',100,1,3),
(125989,10114330,'Dispels 23 levels of noxious hostile effects on target',100,1,0),
(125990,10114330,'Heals target for 3.4 - 4.2% of max health',100,1,1),
(125991,10114330,'This effect cannot be critically applied.',100,2,2),
(125992,10114330,'The healing of this spell cannot be modified except by direct means',100,1,3),
(125993,47081,'Applies Mordant Goo when Activated.  Lasts for 12 hours.',100,0,0),
(125994,47081,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(125995,47081,'Inflicts 66 poison damage on target instantly and every 6 seconds',100,2,2),
(125996,47081,'Inflicts 111 poison damage on target',100,2,3),
(125997,47081,'Cannot be modified except by direct means',100,2,4),
(125998,47081,'Grants a total of 100 triggers of the spell.',100,2,5),
(125999,10047081,'Applies Mordant Goo when Activated.  Lasts for 12 hours.',100,0,0),
(126000,10047081,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(126001,10047081,'Inflicts 108 poison damage on target',100,2,2),
(126002,10047081,'Inflicts 64 poison damage on target instantly and every 6 seconds',100,2,3),
(126003,10047081,'Cannot be modified except by direct means',100,2,4),
(126004,10047081,'Grants a total of 100 triggers of the spell.',100,2,5),
(126005,110308,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(126006,110308,'Slows target by 75.5%',100,2,1),
(126007,110308,'5% chance to dispel when target receives hostile action',100,2,2),
(126008,110308,'5% chance to dispel when target takes damage',100,2,3),
(126009,110308,'Decreases Mitigation of target vs arcane damage by 3302',100,1,4),
(126010,10110308,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(126011,10110308,'Slows target by 75.5%',100,2,1),
(126012,10110308,'5% chance to dispel when target receives hostile action',100,2,2),
(126013,10110308,'5% chance to dispel when target takes damage',100,2,3),
(126014,10110308,'Decreases Mitigation of target vs arcane damage by 3302',100,1,4),
(126015,163216,'When Equipped:',100,0,0),
(126016,163216,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(126017,163216,'Inflicts 1199 disease damage on target encounter',100,2,2),
(126018,163216,'Must not be engaged in pvp combat',100,2,3),
(126019,163216,'Cannot be modified except by direct means',100,2,4),
(126020,10163216,'When Equipped:',100,0,0),
(126021,10163216,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(126022,10163216,'Inflicts 779 disease damage on target encounter',100,2,2),
(126023,10163216,'Must not be engaged in pvp combat',100,2,3),
(126024,10163216,'Cannot be modified except by direct means',100,2,4),
(126025,74595,'When Equipped:',100,0,0),
(126026,74595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126027,74595,'Inflicts 66 - 99 magic damage on target',100,2,2),
(126028,74595,'Cannot be modified except by direct means',100,2,3),
(126029,10074595,'When Equipped:',100,0,0),
(126030,10074595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126031,10074595,'Inflicts 86 - 129 magic damage on target',100,2,2),
(126032,10074595,'Cannot be modified except by direct means',100,2,3),
(126033,123849,'Increases AGI of caster by 19.9',100,1,0),
(126034,123849,'Adds 14.8% to base avoidance.',100,1,1),
(126035,123849,'Increases Damage Per Second of caster by 25.8',100,1,2),
(126036,123849,'Increases Mitigation of caster vs physical damage by 180',100,1,3),
(126037,123849,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,4),
(126038,10123849,'Increases AGI of caster by 19.9',100,1,0),
(126039,10123849,'Adds 14.8% to base avoidance.',100,1,1),
(126040,10123849,'Increases Damage Per Second of caster by 25.8',100,1,2),
(126041,10123849,'Increases Mitigation of caster vs physical damage by 180',100,1,3),
(126042,10123849,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,4),
(126043,113239,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(126044,113239,'Inflicts 24 - 40 magic damage on target',100,2,1),
(126045,113239,'Grants a total of 8 triggers of the spell.',100,2,2),
(126046,10113239,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(126047,10113239,'Inflicts 31 - 52 magic damage on target',100,2,1),
(126048,10113239,'Grants a total of 8 triggers of the spell.',100,2,2),
(126049,113342,'Inflicts 401 - 490 divine damage on target encounter',100,1,0),
(126050,113342,'Interrupts target encounter',100,1,1),
(126051,10113342,'Inflicts 521 - 637 divine damage on target encounter',100,1,0),
(126052,10113342,'Interrupts target encounter',100,1,1),
(126053,120394,'Decreases Defense of caster by 14.7',100,1,0),
(126054,120394,'Increases Crushing and Ranged of caster by 26.5',100,1,1),
(126055,120394,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(126056,120394,'Inflicts 243 - 405 heat damage on target',100,2,3),
(126057,120394,'Increases Slashing and Piercing of caster by 26.5',100,1,4),
(126058,10120394,'Decreases Defense of caster by 14.7',100,1,0),
(126059,10120394,'Increases Crushing and Ranged of caster by 26.5',100,1,1),
(126060,10120394,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(126061,10120394,'Inflicts 316 - 526 heat damage on target',100,2,3),
(126062,10120394,'Increases Slashing and Piercing of caster by 26.5',100,1,4),
(126063,73684,'When Equipped:',100,0,0),
(126064,73684,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(126065,73684,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(126066,73684,'Increases Ability Modifier of caster by 660.0',100,2,3),
(126067,73684,'Must not be engaged in pvp combat',100,2,4),
(126068,73684,'Cannot be modified except by direct means',100,2,5),
(126069,73684,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(126070,73684,'Increases Ability Modifier of caster by 660.0',100,2,7),
(126071,73684,'Must not be engaged in pvp combat',100,2,8),
(126072,73684,'Cannot be modified except by direct means',100,2,9),
(126073,73684,'Cannot be modified except by direct means',100,1,10),
(126074,10073684,'When Equipped:',100,0,0),
(126075,10073684,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(126076,10073684,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(126077,10073684,'Increases Ability Modifier of caster by 660.0',100,2,3),
(126078,10073684,'Must not be engaged in pvp combat',100,2,4),
(126079,10073684,'Cannot be modified except by direct means',100,2,5),
(126080,10073684,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(126081,10073684,'Increases Ability Modifier of caster by 660.0',100,2,7),
(126082,10073684,'Must not be engaged in pvp combat',100,2,8),
(126083,10073684,'Cannot be modified except by direct means',100,2,9),
(126084,10073684,'Cannot be modified except by direct means',100,1,10),
(126085,47230,'Applies Elixir of Vivication  when Activated.',100,0,0),
(126086,47230,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(126087,10047230,'Applies Elixir of Vivication  when Activated.',100,0,0),
(126088,10047230,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(126089,47453,'Applies Order of Rime Sleetsaber Illusion when Activated.',100,0,0),
(126090,47453,'Shapechanges caster into an Order of Rime',100,1,1),
(126091,47453,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(126092,10047453,'Applies Order of Rime Sleetsaber Illusion when Activated.',100,0,0),
(126093,10047453,'Shapechanges caster into an Order of Rime',100,1,1),
(126094,10047453,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(126095,120356,'Inflicts 75 - 91 divine damage on target instantly and every 4 seconds',100,1,0),
(126096,120356,'Decreases WIS of target by 37.8',100,1,1),
(126097,10120356,'Inflicts 97 - 119 divine damage on target instantly and every 4 seconds',100,1,0),
(126098,10120356,'Decreases WIS of target by 37.8',100,1,1),
(126099,105796,'Inflicts 436 - 533 heat damage on target',100,1,0),
(126100,10105796,'Inflicts 756 - 924 heat damage on target',100,1,0),
(126101,101010,'Increases INT of target by 178.6',100,1,0),
(126102,101010,'Increases Attack Speed of target by 64.6',100,1,1),
(126103,101010,'Decreases Defense and Parry of target by 36.3',100,1,2),
(126104,101010,'Increases Slashing, Piercing and Crushing of target by 38.7',100,1,3),
(126105,10101010,'Increases INT of target by 178.6',100,1,0),
(126106,10101010,'Increases Attack Speed of target by 64.6',100,1,1),
(126107,10101010,'Decreases Defense and Parry of target by 36.3',100,1,2),
(126108,10101010,'Increases Slashing, Piercing and Crushing of target by 38.7',100,1,3),
(126109,176997,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(126110,176997,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(126111,176997,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(126112,176997,'Cannot be modified except by direct means',100,2,3),
(126113,10176997,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(126114,10176997,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(126115,10176997,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(126116,10176997,'Cannot be modified except by direct means',100,2,3),
(126117,35589,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(126118,71082,'When Equipped:',100,0,0),
(126119,71082,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(126120,71082,'Inflicts 114 - 189 poison damage on target',100,2,2),
(126121,71082,'Cannot be modified except by direct means',100,2,3),
(126122,10071082,'When Equipped:',100,0,0),
(126123,10071082,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(126124,10071082,'Inflicts 148 - 246 poison damage on target',100,2,2),
(126125,10071082,'Cannot be modified except by direct means',100,2,3),
(126126,25159,'When Equipped:',100,0,0),
(126127,25159,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(126128,25159,'Inflicts 13 cold damage on target',100,2,2),
(126129,25159,'Slows target by 12.1%',100,2,3),
(126130,25159,'Cannot be modified except by direct means',100,2,4),
(126131,10025159,'When Equipped:',100,0,0),
(126132,10025159,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(126133,10025159,'Inflicts 16 cold damage on target',100,2,2),
(126134,10025159,'Slows target by 12.1%',100,2,3),
(126135,10025159,'Cannot be modified except by direct means',100,2,4),
(126136,72329,'When Equipped:',100,0,0),
(126137,72329,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(126138,72329,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(126139,72329,'Cannot be modified except by direct means',100,2,3),
(126140,10072329,'When Equipped:',100,0,0),
(126141,10072329,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(126142,10072329,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(126143,10072329,'Cannot be modified except by direct means',100,2,3),
(126144,101835,'Summons a limited pet to aid the caster',100,1,0),
(126145,10101835,'Summons a limited pet to aid the caster',100,1,0),
(126146,48528,'Applies Thinning Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(126147,48528,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(126148,48528,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(126149,48528,'Cannot be modified except by direct means',100,2,3),
(126150,48528,'Grants a total of 80 triggers of the spell.',100,2,4),
(126151,48528,'Only affects targets level 50 and above',100,1,5),
(126152,10048528,'Applies Thinning Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(126153,10048528,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(126154,10048528,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(126155,10048528,'Cannot be modified except by direct means',100,2,3),
(126156,10048528,'Grants a total of 80 triggers of the spell.',100,2,4),
(126157,10048528,'Only affects targets level 50 and above',100,1,5),
(126158,35105,'Increases STR of target by 1.5',100,0,0),
(126159,35105,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(126160,103961,'Interrupts targets in Area of Effect',100,1,0),
(126161,103961,'Inflicts 4 - 7 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(126162,10103961,'Interrupts targets in Area of Effect',100,1,0),
(126163,10103961,'Inflicts 5 - 10 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(126164,117116,'Mesmerizes target encounter',100,1,0),
(126165,117116,'Prevents AOE (except when direct) ',100,1,1),
(126166,117116,'Dispelled when target takes damage',100,1,2),
(126167,117116,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(126168,117116,'Resistibility increases against targets higher than level 117.',100,1,4),
(126169,10117116,'Mesmerizes target encounter',100,1,0),
(126170,10117116,'Prevents AOE (except when direct) ',100,1,1),
(126171,10117116,'Dispelled when target takes damage',100,1,2),
(126172,10117116,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(126173,10117116,'Resistibility increases against targets higher than level 117.',100,1,4),
(126174,101639,'Applies Forceful Headache on termination.',100,1,0),
(126175,101639,'Inflicts 456 - 760 mental damage on target',100,2,1),
(126176,101639,'If over 50% power',100,3,2),
(126177,101639,'Inflicts 182 - 223 mental damage on target instantly and every 6 seconds',100,1,3),
(126178,101639,'Decreases Mitigation of target vs arcane damage by 1097',100,1,4),
(126179,10101639,'Applies Forceful Headache on termination.',100,1,0),
(126180,10101639,'Inflicts 593 - 988 mental damage on target',100,2,1),
(126181,10101639,'If over 50% power',100,3,2),
(126182,10101639,'Inflicts 237 - 290 mental damage on target instantly and every 6 seconds',100,1,3),
(126183,10101639,'Decreases Mitigation of target vs arcane damage by 1097',100,1,4),
(126184,158924,'Applies Anti-Antipathy when Activated.',100,0,0),
(126185,158924,'This effect can be toggled on and off.',100,1,1),
(126186,158924,'This effect requires 1 concentration slot to maintain.',100,1,2),
(126187,158924,'Increases AGI of caster by 25.0',100,1,3),
(126188,158924,'When healed this spell will cast Hateful Healing on caster.  ',100,1,4),
(126189,158924,'Heals caster for 127',100,2,5),
(126190,158924,'Cannot be modified except by direct means',100,2,6),
(126191,158924,'Increases STR, INT, STA and WIS of caster by 25.0',100,1,7),
(126192,158924,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1079',100,1,8),
(126193,10158924,'Applies Anti-Antipathy when Activated.',100,0,0),
(126194,10158924,'This effect can be toggled on and off.',100,1,1),
(126195,10158924,'This effect requires 1 concentration slot to maintain.',100,1,2),
(126196,10158924,'Increases AGI of caster by 25.0',100,1,3),
(126197,10158924,'When healed this spell will cast Hateful Healing on caster.  ',100,1,4),
(126198,10158924,'Heals caster for 82',100,2,5),
(126199,10158924,'Cannot be modified except by direct means',100,2,6),
(126200,10158924,'Increases STR, INT, STA and WIS of caster by 25.0',100,1,7),
(126201,10158924,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1079',100,1,8),
(126202,45777,'Applies Absorb Anima when Activated.',100,0,0),
(126203,45777,'Heals caster for 3146',100,1,1),
(126204,10045777,'Applies Absorb Anima when Activated.',100,0,0),
(126205,10045777,'Heals caster for 3681',100,1,1),
(126206,173000,'When Equipped:',100,0,0),
(126207,173000,'1% of all damage received by the caster is prevented.',100,1,1),
(126208,173000,'Must not be engaged in pvp combat',100,1,2),
(126209,10173000,'When Equipped:',100,0,0),
(126210,10173000,'1% of all damage received by the caster is prevented.',100,1,1),
(126211,10173000,'Must not be engaged in pvp combat',100,1,2),
(126212,106716,'Heals target for 303 - 371',100,1,0),
(126213,10106716,'Heals target for 356 - 436',100,1,0),
(126214,178587,'When Equipped:',100,0,0),
(126215,178587,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(126216,178587,'Heals group members (AE) for 384',100,2,2),
(126217,178587,'Cannot be modified except by direct means',100,2,3),
(126218,178587,'Cannot be modified except by direct means',100,1,4),
(126219,10178587,'When Equipped:',100,0,0),
(126220,10178587,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(126221,10178587,'Heals group members (AE) for 250',100,2,2),
(126222,10178587,'Cannot be modified except by direct means',100,2,3),
(126223,10178587,'Cannot be modified except by direct means',100,1,4),
(126224,116800,'Increases STR, AGI, WIS and INT of target by 58.7',100,1,0),
(126225,116800,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126226,116800,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(126227,116800,'Increases Damage Per Second of target by 40.8',100,2,3),
(126228,116800,'Increases Attack Speed of target by 40.8',100,2,4),
(126229,116800,'Adds 1.8% to base avoidance.',100,1,5),
(126230,116800,'Increases Mitigation of target vs elemental, noxious and arcane damage by 172',100,1,6),
(126231,10116800,'Increases STR, AGI, WIS and INT of target by 58.7',100,1,0),
(126232,10116800,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126233,10116800,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(126234,10116800,'Increases Damage Per Second of target by 40.8',100,2,3),
(126235,10116800,'Increases Attack Speed of target by 40.8',100,2,4),
(126236,10116800,'Adds 1.8% to base avoidance.',100,1,5),
(126237,10116800,'Increases Mitigation of target vs elemental, noxious and arcane damage by 172',100,1,6),
(126238,35683,'Increases STR of target by 1.5',100,0,0),
(126239,35683,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(126240,48098,'Applies Draw upon Essence when Activated.',100,0,0),
(126241,48098,'Increases power of caster by 9',100,1,1),
(126242,48098,'Requires 15 Health to cast.',100,1,2),
(126243,10048098,'Applies Draw upon Essence when Activated.',100,0,0),
(126244,10048098,'Increases power of caster by 9',100,1,1),
(126245,10048098,'Requires 15 Health to cast.',100,1,2),
(126246,85357,'Applies Poison Bolt when Activated.',100,0,0),
(126247,85357,'Inflicts 269 - 449 poison damage on target',100,1,1),
(126248,85357,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(126249,10085357,'Applies Poison Bolt when Activated.',100,0,0),
(126250,10085357,'Inflicts 350 - 583 poison damage on target',100,1,1),
(126251,10085357,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(126252,50696,'When Equipped:',100,0,0),
(126253,50696,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(126254,50696,'Heals group members (AE) for 377',100,2,2),
(126255,50696,'Cannot be modified except by direct means',100,2,3),
(126256,50696,'Cannot be modified except by direct means',100,1,4),
(126257,10050696,'When Equipped:',100,0,0),
(126258,10050696,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(126259,10050696,'Heals group members (AE) for 245',100,2,2),
(126260,10050696,'Cannot be modified except by direct means',100,2,3),
(126261,10050696,'Cannot be modified except by direct means',100,1,4),
(126262,119361,'Inflicts 377 - 565 disease damage on target',100,1,0),
(126263,119361,'Inflicts 151 - 226 disease damage on target every 4 seconds',100,1,1),
(126264,10119361,'Inflicts 490 - 735 disease damage on target',100,1,0),
(126265,10119361,'Inflicts 196 - 294 disease damage on target every 4 seconds',100,1,1),
(126266,134745,'When Equipped:',100,0,0),
(126267,134745,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(126268,10134745,'When Equipped:',100,0,0),
(126269,10134745,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(126270,35194,'Increases WIS of target by 1.5',100,0,0),
(126271,35194,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(126272,108998,'Decreases Damage Per Second of target by 14.9',100,1,0),
(126273,108998,'Inflicts 109 - 134 melee damage on target',100,1,1),
(126274,10108998,'Decreases Damage Per Second of target by 14.9',100,1,0),
(126275,10108998,'Inflicts 142 - 174 melee damage on target',100,1,1),
(126276,186266,'When Equipped:',100,0,0),
(126277,186266,'This effect will not stack with any rank or tier of itself.',100,1,1),
(126278,186266,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(126279,186266,'Increases Attack Speed of caster by 11.0',100,1,3),
(126280,186266,'Cannot be modified except by direct means',100,1,4),
(126281,186266,'When Equipped:',100,0,5),
(126282,186266,'Increases Attack Speed of caster by 40.0',100,1,6),
(126283,10186266,'When Equipped:',100,0,0),
(126284,10186266,'This effect will not stack with any rank or tier of itself.',100,1,1),
(126285,10186266,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(126286,10186266,'Increases Attack Speed of caster by 11.0',100,1,3),
(126287,10186266,'Cannot be modified except by direct means',100,1,4),
(126288,10186266,'When Equipped:',100,0,5),
(126289,10186266,'Increases Attack Speed of caster by 40.0',100,1,6),
(126290,87505,'When Equipped:',100,0,0),
(126291,87505,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126292,87505,'Inflicts 150 - 225 magic damage on target',100,2,2),
(126293,87505,'Cannot be modified except by direct means',100,2,3),
(126294,10087505,'When Equipped:',100,0,0),
(126295,10087505,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126296,10087505,'Inflicts 195 - 292 magic damage on target',100,2,2),
(126297,10087505,'Cannot be modified except by direct means',100,2,3),
(126298,190843,'When Equipped:',100,0,0),
(126299,190843,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(126300,190843,'Wards target against 80 points of all damage',100,2,2),
(126301,190843,'Cannot be modified except by direct means',100,2,3),
(126302,10190843,'When Equipped:',100,0,0),
(126303,10190843,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(126304,10190843,'Wards target against 80 points of all damage',100,2,2),
(126305,10190843,'Cannot be modified except by direct means',100,2,3),
(126306,124817,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 420',100,1,0),
(126307,10124817,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 420',100,1,0),
(126308,87137,'When Equipped:',100,0,0),
(126309,87137,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126310,87137,'Inflicts 237 - 356 magic damage on target',100,2,2),
(126311,87137,'Cannot be modified except by direct means',100,2,3),
(126312,10087137,'When Equipped:',100,0,0),
(126313,10087137,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126314,10087137,'Inflicts 308 - 463 magic damage on target',100,2,2),
(126315,10087137,'Cannot be modified except by direct means',100,2,3),
(126316,47047,'Applies elixir of intellect when Activated.  Lasts for 4 hours.',100,0,0),
(126317,47047,'Increases STA and INT of caster by 148.5',100,1,1),
(126318,47047,'Increases Potency of caster by 3.0%',100,1,2),
(126319,10047047,'Applies elixir of intellect when Activated.  Lasts for 4 hours.',100,0,0),
(126320,10047047,'Increases STA and INT of caster by 148.5',100,1,1),
(126321,10047047,'Increases Potency of caster by 3.0%',100,1,2),
(126322,158383,'When Equipped:',100,0,0),
(126323,158383,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(126324,158383,'Inflicts 593 piercing damage on target',100,2,2),
(126325,158383,'Cannot be modified except by direct means',100,2,3),
(126326,10158383,'When Equipped:',100,0,0),
(126327,10158383,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(126328,10158383,'Inflicts 771 piercing damage on target',100,2,2),
(126329,10158383,'Cannot be modified except by direct means',100,2,3),
(126330,122637,'Heals target for 163 - 199 every 2 seconds',100,1,0),
(126331,122637,'Wards target against 524 points of all damage',100,1,1),
(126332,122637,'Decreases Attack Speed of target by 25.0',100,1,2),
(126333,122637,'Slows target by 50.0%',100,1,3),
(126334,10122637,'Heals target for 106 - 129 every 2 seconds',100,1,0),
(126335,10122637,'Wards target against 524 points of all damage',100,1,1),
(126336,10122637,'Decreases Attack Speed of target by 25.0',100,1,2),
(126337,10122637,'Slows target by 20.0%',100,1,3),
(126338,109450,'Inflicts 425 - 520 cold damage on target instantly and every 4 seconds',100,1,0),
(126339,109450,'Decreases Mitigation of target vs elemental damage by 1462',100,1,1),
(126340,10109450,'Inflicts 553 - 676 cold damage on target instantly and every 4 seconds',100,1,0),
(126341,10109450,'Decreases Mitigation of target vs elemental damage by 1462',100,1,1),
(126342,116453,'Inflicts 119 disease damage on target instantly and every 4 seconds',100,1,0),
(126343,116453,'Inflicts 119 disease damage on target instantly and every 4 seconds',100,1,1),
(126344,116453,'If target is nightblood',100,2,2),
(126345,116453,'Inflicts 119 disease damage on target instantly and every 4 seconds',100,1,3),
(126346,116453,'If target is shadowed folk',100,2,4),
(126347,10116453,'Inflicts 155 disease damage on target instantly and every 4 seconds',100,1,0),
(126348,120818,'Inflicts 7 - 10 disease damage on target instantly and every second',100,1,0),
(126349,10120818,'Inflicts 13 - 18 disease damage on target',100,1,0),
(126350,10120818,'Inflicts 10 - 13 disease damage on target every second',100,1,1),
(126351,141671,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(126352,141671,'Decreases Attack Speed of target by 12.0',100,1,1),
(126353,141671,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(126354,10141671,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(126355,10141671,'Decreases Attack Speed of target by 12.0',100,1,1),
(126356,10141671,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(126357,72283,'Applies Astral Blessing when Equipped.',100,0,0),
(126358,72283,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126359,72283,'Heals target for 440 instantly and every second',100,2,2),
(126360,72283,'Cannot be modified except by direct means',100,2,3),
(126361,72283,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(126362,72283,'Heals caster for 440 instantly and every second',100,2,5),
(126363,72283,'Cannot be modified except by direct means',100,2,6),
(126364,72283,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(126365,72283,'Heals caster for 440 instantly and every second',100,2,8),
(126366,72283,'Cannot be modified except by direct means',100,2,9),
(126367,10072283,'Applies Astral Blessing when Equipped.',100,0,0),
(126368,10072283,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126369,10072283,'Heals target for 514 instantly and every second',100,2,2),
(126370,10072283,'Cannot be modified except by direct means',100,2,3),
(126371,10072283,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(126372,10072283,'Heals caster for 514 instantly and every second',100,2,5),
(126373,10072283,'Cannot be modified except by direct means',100,2,6),
(126374,10072283,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(126375,10072283,'Heals caster for 514 instantly and every second',100,2,8),
(126376,10072283,'Cannot be modified except by direct means',100,2,9),
(126377,173419,'When Equipped:',100,0,0),
(126378,173419,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126379,173419,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(126380,173419,'Cannot be modified except by direct means',100,2,3),
(126381,10173419,'When Equipped:',100,0,0),
(126382,10173419,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126383,10173419,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(126384,10173419,'Cannot be modified except by direct means',100,2,3),
(126385,116438,'Inflicts 23 disease damage on target instantly and every 4 seconds',100,1,0),
(126386,116438,'Inflicts 23 disease damage on target instantly and every 4 seconds',100,1,1),
(126387,116438,'If target is nightblood',100,2,2),
(126388,116438,'Inflicts 23 disease damage on target instantly and every 4 seconds',100,1,3),
(126389,116438,'If target is shadowed folk',100,2,4),
(126390,10116438,'Inflicts 30 disease damage on target instantly and every 4 seconds',100,1,0),
(126391,105688,'Decreases Attack Speed of target encounter by 13.0',100,1,0),
(126392,105688,'Slows target encounter by 18.0%',100,1,1),
(126393,10105688,'Decreases Attack Speed of target encounter by 13.0',100,1,0),
(126394,10105688,'Slows target encounter by 18.0%',100,1,1),
(126395,159604,'Applies Lambent Imbued when Equipped.',100,0,0),
(126396,159604,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(126397,159604,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(126398,159604,'Cannot be modified except by direct means',100,2,3),
(126399,10159604,'Applies Lambent Imbued when Equipped.',100,0,0),
(126400,10159604,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(126401,10159604,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(126402,10159604,'Cannot be modified except by direct means',100,2,3),
(126403,24749,'Adds Voidstalker to your Dungeon Maker toolbox',100,0,0),
(126404,10024749,'Adds Voidstalker to your Dungeon Maker toolbox',100,0,0),
(126405,123702,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(126406,123702,'Inflicts 212 divine damage on target',100,2,1),
(126407,123702,'Grants a total of 5 triggers of the spell.',100,2,2),
(126408,10123702,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(126409,10123702,'Inflicts 276 divine damage on target',100,2,1),
(126410,10123702,'Grants a total of 5 triggers of the spell.',100,2,2),
(126411,116793,'Increases STR, AGI, WIS and INT of target by 59.1',100,1,0),
(126412,116793,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126413,116793,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(126414,116793,'Increases Attack Speed of target by 45.6',100,2,3),
(126415,116793,'Increases Damage Per Second of target by 45.6',100,2,4),
(126416,116793,'Adds 2.2% to base avoidance.',100,1,5),
(126417,116793,'Increases Mitigation of target vs elemental, noxious and arcane damage by 174',100,1,6),
(126418,10116793,'Increases STR, AGI, WIS and INT of target by 59.1',100,1,0),
(126419,10116793,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126420,10116793,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(126421,10116793,'Increases Attack Speed of target by 45.6',100,2,3),
(126422,10116793,'Increases Damage Per Second of target by 45.6',100,2,4),
(126423,10116793,'Adds 2.2% to base avoidance.',100,1,5),
(126424,10116793,'Increases Mitigation of target vs elemental, noxious and arcane damage by 174',100,1,6),
(126425,110390,'Increases STR and AGI of group members (AE) by 87.8',100,1,0),
(126426,110390,'Adds 2.2% to base avoidance.',100,1,1),
(126427,10110390,'Increases STR and AGI of group members (AE) by 87.8',100,1,0),
(126428,10110390,'Adds 2.2% to base avoidance.',100,1,1),
(126429,123386,'Heals group members (AE) for 1320 - 1614',100,1,0),
(126430,10123386,'Heals group members (AE) for 2891 - 3534',100,1,0),
(126431,27181,'When Equipped:',100,0,0),
(126432,27181,'Caster has a 4.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(126433,10027181,'When Equipped:',100,0,0),
(126434,10027181,'Caster has a 4.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,1),
(126435,116791,'Increases STR, AGI, WIS and INT of target by 40.1',100,1,0),
(126436,116791,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126437,116791,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(126438,116791,'Increases Attack Speed of target by 31.0',100,2,3),
(126439,116791,'Increases Damage Per Second of target by 31.0',100,2,4),
(126440,116791,'Adds 1.5% to base avoidance.',100,1,5),
(126441,116791,'Increases Mitigation of target vs elemental, noxious and arcane damage by 118',100,1,6),
(126442,10116791,'Increases STR, AGI, WIS and INT of target by 40.1',100,1,0),
(126443,10116791,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126444,10116791,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(126445,10116791,'Increases Attack Speed of target by 31.0',100,2,3),
(126446,10116791,'Increases Damage Per Second of target by 31.0',100,2,4),
(126447,10116791,'Adds 1.5% to base avoidance.',100,1,5),
(126448,10116791,'Increases Mitigation of target vs elemental, noxious and arcane damage by 118',100,1,6),
(126449,48229,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(126450,48229,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(126451,48229,'Requires 15 Health to cast.',100,1,2),
(126452,10048229,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(126453,10048229,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(126454,10048229,'Requires 15 Health to cast.',100,1,2),
(126455,114084,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(126456,114084,'Grants stealth to caster',100,2,1),
(126457,114084,'Suspends caster''s movement speed enhancements',100,2,2),
(126458,114084,'Inflicts 766 - 1278 melee damage on target',100,1,3),
(126459,114084,'Must be flanking or behind',100,1,4),
(126460,10114084,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(126461,10114084,'Grants stealth to caster',100,2,1),
(126462,10114084,'Suspends caster''s movement speed enhancements',100,2,2),
(126463,10114084,'Inflicts 1495 - 2492 melee damage on target',100,1,3),
(126464,10114084,'Must be flanking or behind',100,1,4),
(126465,24447,'Adds Iksar Skeleton (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(126466,10024447,'Adds Iksar Skeleton (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(126467,124014,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(126468,124014,'Heals target for 139 - 169',100,2,1),
(126469,124014,'Grants a total of 5 triggers of the spell.',100,2,2),
(126470,10124014,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(126471,10124014,'Heals target for 90 - 110',100,2,1),
(126472,10124014,'Grants a total of 5 triggers of the spell.',100,2,2),
(126473,187503,'When Equipped:',100,0,0),
(126474,187503,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(126475,10187503,'When Equipped:',100,0,0),
(126476,10187503,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(126477,42548,'When Equipped:',100,0,0),
(126478,42548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126479,42548,'Inflicts 153 - 229 magic damage on target',100,2,2),
(126480,42548,'Cannot be modified except by direct means',100,2,3),
(126481,10042548,'When Equipped:',100,0,0),
(126482,10042548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126483,10042548,'Inflicts 199 - 298 magic damage on target',100,2,2),
(126484,10042548,'Cannot be modified except by direct means',100,2,3),
(126485,36125,'Increases Max Health of target by 3.9',100,0,0),
(126486,36125,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(126487,112756,'Interrupts target',100,1,0),
(126488,112756,'Inflicts 163 - 272 divine damage on target',100,1,1),
(126489,10112756,'Interrupts target',100,1,0),
(126490,10112756,'Inflicts 212 - 354 divine damage on target',100,1,1),
(126491,122181,'Inflicts 214 - 262 cold damage on target instantly and every 2 seconds',100,1,0),
(126492,122181,'Inflicts 214 - 262 cold damage on target instantly and every 2 seconds',100,1,1),
(126493,122181,'If target is elemental',100,2,2),
(126494,10122181,'Inflicts 278 - 340 cold damage on target instantly and every 2 seconds',100,1,0),
(126495,115236,'Heals target for 11',100,1,0),
(126496,115236,'Heals target for 2 every second',100,1,1),
(126497,115236,'Dispels 7 levels of any hostile effects on target',100,1,2),
(126498,10115236,'Heals target for 7',100,1,0),
(126499,10115236,'Heals target for 1 every second',100,1,1),
(126500,10115236,'Dispels 7 levels of any hostile effects on target',100,1,2),
(126501,123736,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(126502,10123736,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(126503,81499,'When Equipped:',100,0,0),
(126504,81499,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(126505,81499,'Decreases Threat to target by 352 ',100,2,2),
(126506,81499,'Must be flanking or behind',100,3,3),
(126507,81499,'Increases Threat to target by 352 ',100,2,4),
(126508,81499,'Must be in front of',100,3,5),
(126509,81499,'Inflicts 121 - 225 magic damage on target',100,2,6),
(126510,81499,'Cannot be modified except by direct means',100,2,7),
(126511,10081499,'When Equipped:',100,0,0),
(126512,10081499,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(126513,10081499,'Inflicts 157 - 292 magic damage on target',100,2,2),
(126514,10081499,'Cannot be modified except by direct means',100,2,3),
(126515,114899,'Causes 15% Threat to transfer to target when in combat',100,1,0),
(126516,26622,'When Equipped:',100,0,0),
(126517,26622,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(126518,26622,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(126519,10026622,'When Equipped:',100,0,0),
(126520,10026622,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(126521,10026622,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(126522,123789,'Decreases Mitigation of target vs noxious damage by 3302',100,1,0),
(126523,123789,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(126524,123789,'Slows target by 75.5%',100,2,2),
(126525,123789,'5% chance to dispel when target receives hostile action',100,2,3),
(126526,123789,'5% chance to dispel when target takes damage',100,2,4),
(126527,10123789,'Decreases Mitigation of target vs noxious damage by 3302',100,1,0),
(126528,10123789,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(126529,10123789,'Slows target by 75.5%',100,2,2),
(126530,10123789,'5% chance to dispel when target receives hostile action',100,2,3),
(126531,10123789,'5% chance to dispel when target takes damage',100,2,4),
(126532,37238,'Increases AGI of target by 1.1',100,0,0),
(126533,37238,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(126534,74769,'When Equipped:',100,0,0),
(126535,74769,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126536,74769,'Inflicts 97 - 145 magic damage on target',100,2,2),
(126537,74769,'Cannot be modified except by direct means',100,2,3),
(126538,10074769,'When Equipped:',100,0,0),
(126539,10074769,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126540,10074769,'Inflicts 126 - 189 magic damage on target',100,2,2),
(126541,10074769,'Cannot be modified except by direct means',100,2,3),
(126542,164080,'When Equipped:',100,0,0),
(126543,164080,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(126544,10164080,'When Equipped:',100,0,0),
(126545,10164080,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(126546,143323,'When Equipped:',100,0,0),
(126547,143323,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(126548,143323,'Wards caster against 150 points of all damage',100,2,2),
(126549,143323,'Cannot be modified except by direct means',100,2,3),
(126550,10143323,'When Equipped:',100,0,0),
(126551,10143323,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(126552,10143323,'Wards caster against 150 points of all damage',100,2,2),
(126553,10143323,'Cannot be modified except by direct means',100,2,3),
(126554,46030,'Applies Echo''s Call when Activated.  Lasts for 2.0 seconds.',100,0,0),
(126555,46030,'Removes echo infused curse effects.',100,1,1),
(126556,46030,'Interrupts target',100,1,2),
(126557,46030,'Inflicts 108 magic damage on target',100,1,3),
(126558,46030,'If any of the following are true:',100,1,4),
(126559,46030,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(126560,46030,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(126561,46030,'Cannot be modified except by direct means',100,1,7),
(126562,10046030,'Applies Echo''s Call when Activated.  Lasts for 2.0 seconds.',100,0,0),
(126563,10046030,'Removes echo infused curse effects.',100,1,1),
(126564,10046030,'Interrupts target',100,1,2),
(126565,10046030,'Inflicts 140 magic damage on target',100,1,3),
(126566,10046030,'If any of the following are true:',100,1,4),
(126567,10046030,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(126568,10046030,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(126569,10046030,'Cannot be modified except by direct means',100,1,7),
(126570,106377,'Inflicts 375 - 625 melee damage on target',100,1,0),
(126571,106377,'Decreases Defense of target by 15.8',100,1,1),
(126572,106377,'Decreases Defense of caster by 13.2',100,1,2),
(126573,10106377,'Inflicts 487 - 812 melee damage on target',100,1,0),
(126574,10106377,'Decreases Defense of target by 15.8',100,1,1),
(126575,10106377,'Decreases Defense of caster by 13.2',100,1,2),
(126576,74838,'When Equipped:',100,0,0),
(126577,74838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126578,74838,'Inflicts 169 - 254 magic damage on target',100,2,2),
(126579,74838,'Cannot be modified except by direct means',100,2,3),
(126580,10074838,'When Equipped:',100,0,0),
(126581,10074838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126582,10074838,'Inflicts 220 - 330 magic damage on target',100,2,2),
(126583,10074838,'Cannot be modified except by direct means',100,2,3),
(126584,120932,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(126585,120932,'Inflicts 718 - 878 mental damage on target',100,2,1),
(126586,120932,'Grants a total of 3 triggers of the spell.',100,2,2),
(126587,10120932,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(126588,10120932,'Inflicts 934 - 1141 mental damage on target',100,2,1),
(126589,10120932,'Grants a total of 3 triggers of the spell.',100,2,2),
(126590,123853,'Increases AGI of caster by 38.2',100,1,0),
(126591,123853,'Adds 18.7% to base avoidance.',100,1,1),
(126592,123853,'Increases Damage Per Second of caster by 39.1',100,1,2),
(126593,123853,'Increases Mitigation of caster vs physical damage by 344',100,1,3),
(126594,123853,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,4),
(126595,10123853,'Increases AGI of caster by 38.2',100,1,0),
(126596,10123853,'Adds 18.7% to base avoidance.',100,1,1),
(126597,10123853,'Increases Damage Per Second of caster by 39.1',100,1,2),
(126598,10123853,'Increases Mitigation of caster vs physical damage by 344',100,1,3),
(126599,10123853,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,4),
(126600,52899,'Applies Sanguine Imbued when Equipped.',100,0,0),
(126601,52899,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(126602,52899,'Inflicts 151 heat damage on target',100,2,2),
(126603,52899,'Cannot be modified except by direct means',100,2,3),
(126604,10052899,'Applies Sanguine Imbued when Equipped.',100,0,0),
(126605,10052899,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(126606,10052899,'Inflicts 197 heat damage on target',100,2,2),
(126607,10052899,'Cannot be modified except by direct means',100,2,3),
(126608,52643,'When Equipped:',100,0,0),
(126609,52643,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(126610,52643,'Inflicts 271 - 452 magic damage on target',100,2,2),
(126611,52643,'Inflicts 271 - 452 piercing damage on target',100,2,3),
(126612,52643,'Inflicts 271 - 452 divine damage on target',100,2,4),
(126613,52643,'Must not be engaged in pvp combat',100,2,5),
(126614,52643,'Cannot be modified except by direct means',100,2,6),
(126615,52643,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(126616,52643,'Inflicts 271 - 452 magic damage on target',100,2,8),
(126617,52643,'Inflicts 271 - 452 piercing damage on target',100,2,9),
(126618,52643,'Inflicts 271 - 452 divine damage on target',100,2,10),
(126619,52643,'Must not be engaged in pvp combat',100,2,11),
(126620,52643,'Cannot be modified except by direct means',100,2,12),
(126621,52643,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(126622,52643,'Inflicts 271 - 452 magic damage on target',100,2,14),
(126623,52643,'Inflicts 271 - 452 piercing damage on target',100,2,15),
(126624,52643,'Inflicts 271 - 452 divine damage on target',100,2,16),
(126625,52643,'Must not be engaged in pvp combat',100,2,17),
(126626,52643,'Cannot be modified except by direct means',100,2,18),
(126627,52643,'Must not be engaged in pvp combat',100,1,19),
(126628,10052643,'When Equipped:',100,0,0),
(126629,10052643,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(126630,10052643,'Inflicts 353 - 588 magic damage on target',100,2,2),
(126631,10052643,'Inflicts 353 - 588 piercing damage on target',100,2,3),
(126632,10052643,'Inflicts 353 - 588 divine damage on target',100,2,4),
(126633,10052643,'Must not be engaged in pvp combat',100,2,5),
(126634,10052643,'Cannot be modified except by direct means',100,2,6),
(126635,10052643,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(126636,10052643,'Inflicts 353 - 588 magic damage on target',100,2,8),
(126637,10052643,'Inflicts 353 - 588 piercing damage on target',100,2,9),
(126638,10052643,'Inflicts 353 - 588 divine damage on target',100,2,10),
(126639,10052643,'Must not be engaged in pvp combat',100,2,11),
(126640,10052643,'Cannot be modified except by direct means',100,2,12),
(126641,10052643,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(126642,10052643,'Inflicts 353 - 588 magic damage on target',100,2,14),
(126643,10052643,'Inflicts 353 - 588 piercing damage on target',100,2,15),
(126644,10052643,'Inflicts 353 - 588 divine damage on target',100,2,16),
(126645,10052643,'Must not be engaged in pvp combat',100,2,17),
(126646,10052643,'Cannot be modified except by direct means',100,2,18),
(126647,10052643,'Must not be engaged in pvp combat',100,1,19),
(126648,114224,'Inflicts 82 - 101 mental damage on target',100,1,0),
(126649,114224,'Stuns target',100,1,1),
(126650,114224,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(126651,114224,'Resistibility increases against targets higher than level 42.',100,1,3),
(126652,10114224,'Inflicts 107 - 131 mental damage on target',100,1,0),
(126653,10114224,'Requires not being affected by Mesmerize effects.',100,2,1),
(126654,10114224,'Stuns target',100,1,2),
(126655,10114224,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(126656,10114224,'Resistibility increases against targets higher than level 42.',100,1,4),
(126657,80357,'When Equipped:',100,0,0),
(126658,80357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126659,80357,'Inflicts 63 - 118 magic damage on target',100,2,2),
(126660,80357,'Cannot be modified except by direct means',100,2,3),
(126661,10080357,'When Equipped:',100,0,0),
(126662,10080357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126663,10080357,'Inflicts 82 - 153 magic damage on target',100,2,2),
(126664,10080357,'Cannot be modified except by direct means',100,2,3),
(126665,71857,'When Equipped:',100,0,0),
(126666,71857,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(126667,71857,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(126668,71857,'Cannot be modified except by direct means',100,2,3),
(126669,10071857,'When Equipped:',100,0,0),
(126670,10071857,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(126671,10071857,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(126672,10071857,'Cannot be modified except by direct means',100,2,3),
(126673,103887,'Increases power of group members (AE) by 17 instantly and every 6 seconds',100,1,0),
(126674,103887,'Decreases INT of target by 68.9',100,1,1),
(126675,10103887,'Increases power of group members (AE) by 17 instantly and every 6 seconds',100,1,0),
(126676,10103887,'Decreases INT of target by 68.9',100,1,1),
(126677,46989,'Applies Middling Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(126678,46989,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(126679,46989,'Inflicts 202 poison damage on target',100,2,2),
(126680,46989,'Inflicts 177 poison damage on target instantly and every 6 seconds',100,2,3),
(126681,46989,'Cannot be modified except by direct means',100,2,4),
(126682,46989,'Grants a total of 200 triggers of the spell.',100,2,5),
(126683,46989,'Only affects targets level 50 and above',100,1,6),
(126684,10046989,'Applies Middling Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(126685,10046989,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(126686,10046989,'Inflicts 197 poison damage on target',100,2,2),
(126687,10046989,'Inflicts 173 poison damage on target instantly and every 6 seconds',100,2,3),
(126688,10046989,'Cannot be modified except by direct means',100,2,4),
(126689,10046989,'Grants a total of 200 triggers of the spell.',100,2,5),
(126690,10046989,'Only affects targets level 50 and above',100,1,6),
(126691,48051,'Applies Use Net when Activated.',100,0,0),
(126692,10048051,'Applies Use Net when Activated.',100,0,0),
(126693,116826,'Decreases Hate Gain of caster by 19.3%',100,1,0),
(126694,10116826,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(126695,10116826,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(126696,10116826,'This effect can only trigger once every 5 seconds.',100,2,2),
(126697,123961,'Inflicts 125 - 208 melee damage on target',100,1,0),
(126698,123961,'Decreases AGI of target by 12.8',100,1,1),
(126699,123961,'Must be behind',100,1,2),
(126700,10123961,'Inflicts 162 - 271 melee damage on target',100,1,0),
(126701,10123961,'Decreases AGI of target by 12.8',100,1,1),
(126702,10123961,'Must be behind',100,1,2),
(126703,100406,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(126704,100406,'Inflicts 6 - 10 slashing damage on target',100,2,1),
(126705,100406,'Increases Threat to target by 13 ',100,2,2),
(126706,100406,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(126707,100406,'Increases Threat to target by 13 ',100,2,4),
(126708,100406,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 57',100,1,5),
(126709,10100406,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(126710,10100406,'Inflicts 8 - 13 slashing damage on target',100,2,1),
(126711,10100406,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(126712,10100406,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 57',100,1,3),
(126713,115102,'Heals target for 879 - 1075',100,1,0),
(126714,115102,'Heals target for 113 - 138 every second',100,1,1),
(126715,10115102,'Heals target for 1633 - 1996',100,1,0),
(126716,10115102,'Heals target for 122 - 150 every second',100,1,1),
(126717,103397,'Decreases Threat to targets in Area of Effect by 325 ',100,1,0),
(126718,103397,'Slows targets in Area of Effect by 35.0%',100,1,1),
(126719,103397,'Stifles targets in Area of Effect',100,1,2),
(126720,103397,'If Target is not Epic',100,2,3),
(126721,103397,'10% chance to dispel when target receives hostile action',100,1,4),
(126722,103397,'10% chance to dispel when target takes damage',100,1,5),
(126723,10103397,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(126724,10103397,'Slows targets in Area of Effect by 35.0%',100,1,1),
(126725,10103397,'Stifles targets in Area of Effect',100,1,2),
(126726,10103397,'If Target is not Epic',100,2,3),
(126727,111977,'Inflicts 571 - 698 disease damage on target',100,1,0),
(126728,111977,'Decreases Mitigation of target vs noxious damage by 944',100,1,1),
(126729,10111977,'Inflicts 955 - 1167 disease damage on target',100,1,0),
(126730,10111977,'Decreases Mitigation of target vs noxious damage by 944',100,1,1),
(126731,35208,'Increases Max Power of target by 3.3',100,0,0),
(126732,35208,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(126733,169911,'When Equipped:',100,0,0),
(126734,169911,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(126735,10169911,'When Equipped:',100,0,0),
(126736,10169911,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(126737,80757,'When Equipped:',100,0,0),
(126738,80757,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126739,80757,'Inflicts 207 - 384 magic damage on target',100,2,2),
(126740,80757,'Cannot be modified except by direct means',100,2,3),
(126741,10080757,'When Equipped:',100,0,0),
(126742,10080757,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126743,10080757,'Inflicts 269 - 499 magic damage on target',100,2,2),
(126744,10080757,'Cannot be modified except by direct means',100,2,3),
(126745,175171,'When Equipped:',100,0,0),
(126746,175171,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(126747,175171,'Heals group members (AE) for 1385 - 1531',100,2,2),
(126748,175171,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(126749,175171,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(126750,175171,'This ward regenerates slowly over time.',100,2,5),
(126751,175171,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(126752,175171,'Must not be engaged in pvp combat',100,2,7),
(126753,175171,'Cannot be modified except by direct means',100,2,8),
(126754,175171,'Must not be engaged in pvp combat',100,1,9),
(126755,10175171,'When Equipped:',100,0,0),
(126756,10175171,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(126757,10175171,'Heals group members (AE) for 1621 - 1791',100,2,2),
(126758,10175171,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(126759,10175171,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(126760,10175171,'This ward regenerates slowly over time.',100,2,5),
(126761,10175171,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(126762,10175171,'Must not be engaged in pvp combat',100,2,7),
(126763,10175171,'Cannot be modified except by direct means',100,2,8),
(126764,10175171,'Must not be engaged in pvp combat',100,1,9),
(126765,115474,'Summons a pet nightshade',100,1,0),
(126766,10115474,'Summons a pet nightshade',100,1,0),
(126767,144169,'When Equipped:',100,0,0),
(126768,144169,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126769,144169,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(126770,144169,'Cannot be modified except by direct means',100,2,3),
(126771,10144169,'When Equipped:',100,0,0),
(126772,10144169,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126773,10144169,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(126774,10144169,'Cannot be modified except by direct means',100,2,3),
(126775,185920,'When Equipped:',100,0,0),
(126776,185920,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126777,185920,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(126778,185920,'Cannot be modified except by direct means',100,2,3),
(126779,10185920,'When Equipped:',100,0,0),
(126780,10185920,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(126781,10185920,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(126782,10185920,'Cannot be modified except by direct means',100,2,3),
(126783,46342,'Applies Bind the Flames when Activated.',100,0,0),
(126784,46342,'Captures the weakened unstable flamewatcher. ',100,1,1),
(126785,10046342,'Applies Bind the Flames when Activated.',100,0,0),
(126786,10046342,'Captures the weakened unstable flamewatcher. ',100,1,1),
(126787,35315,'Increases Max Power of target by 3.3',100,0,0),
(126788,35315,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(126789,112488,'Decreases AGI and WIS of target by 55.2',100,1,0),
(126790,10112488,'Decreases AGI and WIS of target by 55.2',100,1,0),
(126791,81099,'When Equipped:',100,0,0),
(126792,81099,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126793,81099,'Inflicts 226 - 419 magic damage on target',100,2,2),
(126794,81099,'Cannot be modified except by direct means',100,2,3),
(126795,10081099,'When Equipped:',100,0,0),
(126796,10081099,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126797,10081099,'Inflicts 293 - 545 magic damage on target',100,2,2),
(126798,10081099,'Cannot be modified except by direct means',100,2,3),
(126799,82057,'When Equipped:',100,0,0),
(126800,82057,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126801,82057,'Inflicts 191 - 354 magic damage on target',100,2,2),
(126802,82057,'Cannot be modified except by direct means',100,2,3),
(126803,10082057,'When Equipped:',100,0,0),
(126804,10082057,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126805,10082057,'Inflicts 248 - 460 magic damage on target',100,2,2),
(126806,10082057,'Cannot be modified except by direct means',100,2,3),
(126807,108693,'Inflicts 112 heat damage on target',100,1,0),
(126808,108693,'Inflicts 25 heat damage on target every 4 seconds',100,1,1),
(126809,10108693,'Inflicts 203 heat damage on target',100,1,0),
(126810,10108693,'Inflicts 32 heat damage on target every 4 seconds',100,1,1),
(126811,123351,'Heals group members (AE) for 129 - 158',100,1,0),
(126812,10123351,'Heals group members (AE) for 157 - 192',100,1,0),
(126813,109490,'Inflicts 612 - 1020 cold damage on target',100,1,0),
(126814,10109490,'Inflicts 795 - 1326 cold damage on target',100,1,0),
(126815,27257,'When Equipped:',100,0,0),
(126816,27257,'Increases all magic damage by up to 50.',100,1,1),
(126817,10027257,'When Equipped:',100,0,0),
(126818,10027257,'Increases all magic damage by up to 50.',100,1,1),
(126819,178876,'When Equipped:',100,0,0),
(126820,178876,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,1),
(126821,178876,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,1,2),
(126822,178876,'Caster will have their chance to hit with a weapon increased by 2.0%',100,1,3),
(126823,178876,'Must not be engaged in pvp combat',100,1,4),
(126824,178876,'When Equipped:',100,0,5),
(126825,178876,'On any combat or spell hit this spell may cast Draconic Might on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(126826,178876,'Increases Crit Bonus of caster by 10.0%',100,2,7),
(126827,178876,'Must not be engaged in pvp combat',100,2,8),
(126828,178876,'Cannot be modified except by direct means',100,2,9),
(126829,178876,'Must not be engaged in pvp combat',100,1,10),
(126830,10178876,'When Equipped:',100,0,0),
(126831,10178876,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,1),
(126832,10178876,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,1,2),
(126833,10178876,'Caster will have their chance to hit with a weapon increased by 2.0%',100,1,3),
(126834,10178876,'Must not be engaged in pvp combat',100,1,4),
(126835,10178876,'When Equipped:',100,0,5),
(126836,10178876,'On any combat or spell hit this spell may cast Draconic Might on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(126837,10178876,'Increases Crit Bonus of caster by 10.0%',100,2,7),
(126838,10178876,'Must not be engaged in pvp combat',100,2,8),
(126839,10178876,'Cannot be modified except by direct means',100,2,9),
(126840,10178876,'Must not be engaged in pvp combat',100,1,10),
(126841,120746,'Heals target for 104',100,1,0),
(126842,10120746,'Heals target for 68',100,1,0),
(126843,110987,'Inflicts 3770 - 6283 ranged damage on target',100,1,0),
(126844,110987,'I need to be stealthed!',100,1,1),
(126845,110987,'Requires bow',100,1,2),
(126846,10110987,'Inflicts 2403 - 4005 ranged damage on target',100,1,0),
(126847,10110987,'I need to be stealthed!',100,1,1),
(126848,10110987,'Requires bow',100,1,2),
(126849,111872,'Inflicts 293 - 544 heat damage on target',100,1,0),
(126850,111872,'Inflicts 110 - 204 heat damage on target every 2 seconds',100,1,1),
(126851,10111872,'Inflicts 381 - 708 heat damage on target',100,1,0),
(126852,10111872,'Inflicts 143 - 265 heat damage on target every 2 seconds',100,1,1),
(126853,115452,'Inflicts 150 - 184 mental damage on target instantly and every 6 seconds',100,1,0),
(126854,115452,'Decreases Mitigation of target vs arcane damage by 840',100,1,1),
(126855,10115452,'Inflicts 195 - 239 mental damage on target instantly and every 6 seconds',100,1,0),
(126856,10115452,'Decreases Mitigation of target vs arcane damage by 840',100,1,1),
(126857,111635,'Inflicts 42 - 52 cold damage on target encounter',100,1,0),
(126858,111635,'Slows target encounter by 31.6%',100,1,1),
(126859,111635,'5% chance to dispel when target takes damage',100,1,2),
(126860,111635,'5% chance to dispel when target receives hostile action',100,1,3),
(126861,10111635,'Inflicts 73 - 89 cold damage on target encounter',100,1,0),
(126862,10111635,'Slows target encounter by 31.6%',100,1,1),
(126863,10111635,'5% chance to dispel when target takes damage',100,1,2),
(126864,10111635,'5% chance to dispel when target receives hostile action',100,1,3),
(126865,113244,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(126866,113244,'Inflicts 48 - 80 magic damage on target',100,2,1),
(126867,113244,'Grants a total of 8 triggers of the spell.',100,2,2),
(126868,10113244,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(126869,10113244,'Inflicts 62 - 103 magic damage on target',100,2,1),
(126870,10113244,'Grants a total of 8 triggers of the spell.',100,2,2),
(126871,105369,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(126872,105369,'Inflicts 47 melee damage on target',100,2,1),
(126873,105369,'Interrupts target',100,2,2),
(126874,105369,'Decreases Defense of caster by 8.1',100,1,3),
(126875,105369,'Increases Piercing, Slashing, Ranged and Crushing of caster by 14.6',100,1,4),
(126876,10105369,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(126877,10105369,'Inflicts 62 melee damage on target',100,2,1),
(126878,10105369,'Interrupts target',100,2,2),
(126879,10105369,'Decreases Defense of caster by 8.1',100,1,3),
(126880,10105369,'Increases Piercing, Slashing, Ranged and Crushing of caster by 14.6',100,1,4),
(126881,124767,'Inflicts 875 - 1070 disease damage on target encounter',100,1,0),
(126882,10124767,'Inflicts 1138 - 1391 disease damage on target encounter',100,1,0),
(126883,144692,'When Equipped:',100,0,0),
(126884,144692,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(126885,144692,'Wards caster against 1250 points of all damage',100,2,2),
(126886,144692,'Cannot be modified except by direct means',100,2,3),
(126887,144692,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(126888,144692,'Wards caster against 1250 points of all damage',100,2,5),
(126889,144692,'Cannot be modified except by direct means',100,2,6),
(126890,10144692,'When Equipped:',100,0,0),
(126891,10144692,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(126892,10144692,'Wards caster against 625 points of all damage',100,2,2),
(126893,10144692,'Cannot be modified except by direct means',100,2,3),
(126894,10144692,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(126895,10144692,'Wards caster against 625 points of all damage',100,2,5),
(126896,10144692,'Cannot be modified except by direct means',100,2,6),
(126897,118174,'180% of target''s power consumed will be added to target''s health',100,1,0),
(126898,10118174,'180% of target''s power consumed will be added to target''s health',100,1,0),
(126899,116736,'Increases Max Health of target by 20.8',100,1,0),
(126900,116736,'Increases Max Power of target by 24.3',100,1,1),
(126901,10116736,'Increases Max Health of target by 20.8',100,1,0),
(126902,10116736,'Increases Max Power of target by 24.3',100,1,1),
(126903,71889,'When Equipped:',100,0,0),
(126904,71889,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(126905,71889,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(126906,71889,'Cannot be modified except by direct means',100,2,3),
(126907,10071889,'When Equipped:',100,0,0),
(126908,10071889,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(126909,10071889,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(126910,10071889,'Cannot be modified except by direct means',100,2,3),
(126911,100510,'Increases Attack Speed of group members (AE) by 23.8',100,1,0),
(126912,10100510,'Increases Attack Speed of group members (AE) by 23.8',100,1,0),
(126913,35429,'Increases INT and STA of target by 1.1',100,0,0),
(126914,35429,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(126915,46464,'Applies Phantasmal Absorption when Activated.',100,0,0),
(126916,10046464,'Applies Phantasmal Absorption when Activated.',100,0,0),
(126917,159422,'Applies Sanguine Imbued when Equipped.',100,0,0),
(126918,159422,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(126919,159422,'Inflicts 215 heat damage on target',100,2,2),
(126920,159422,'Cannot be modified except by direct means',100,2,3),
(126921,10159422,'Applies Sanguine Imbued when Equipped.',100,0,0),
(126922,10159422,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(126923,10159422,'Inflicts 280 heat damage on target',100,2,2),
(126924,10159422,'Cannot be modified except by direct means',100,2,3),
(126925,120859,'Inflicts 204 - 277 disease damage on target instantly and every second',100,1,0),
(126926,10120859,'Inflicts 372 - 503 disease damage on target',100,1,0),
(126927,10120859,'Inflicts 266 - 360 disease damage on target every second',100,1,1),
(126928,75203,'When Equipped:',100,0,0),
(126929,75203,'On a combat hit this spell may cast Fang Bite on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126930,75203,'Inflicts 155 - 190 piercing damage on target',100,2,2),
(126931,75203,'Cannot be modified except by direct means',100,2,3),
(126932,10075203,'When Equipped:',100,0,0),
(126933,10075203,'On a combat hit this spell may cast Fang Bite on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126934,10075203,'Inflicts 202 - 247 piercing damage on target',100,2,2),
(126935,10075203,'Cannot be modified except by direct means',100,2,3),
(126936,110036,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(126937,110036,'Inflicts 292 - 487 disease damage on target',100,2,1),
(126938,110036,'Heals caster for 1.7 - 2.8% of max health',100,2,2),
(126939,110036,'This effect cannot be critically applied.',100,3,3),
(126940,110036,'The healing of this spell cannot be modified except by direct means',100,2,4),
(126941,10110036,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(126942,10110036,'Inflicts 380 - 633 disease damage on target',100,2,1),
(126943,10110036,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(126944,10110036,'This effect cannot be critically applied.',100,3,3),
(126945,10110036,'The healing of this spell cannot be modified except by direct means',100,2,4),
(126946,37158,'Increases STA of target by 5.4',100,0,0),
(126947,37158,'Increases outgoing damaging spell amount by 2%',100,0,1),
(126948,37158,'Increases INT of target by 5.4',100,0,2),
(126949,37158,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,3),
(126950,101840,'Summons a limited pet to aid the caster',100,1,0),
(126951,10101840,'Summons a limited pet to aid the caster',100,1,0),
(126952,114768,'Feigns Death with 74% chance of success',100,1,0),
(126953,10114768,'Feigns Death with 74% chance of success',100,1,0),
(126954,117072,'Inflicts 313 - 521 melee damage on target',100,1,0),
(126955,117072,'Decreases Attack Speed of target by 18.8',100,1,1),
(126956,10117072,'Inflicts 406 - 678 melee damage on target',100,1,0),
(126957,10117072,'Decreases Attack Speed of target by 18.8',100,1,1),
(126958,82009,'When Equipped:',100,0,0),
(126959,82009,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(126960,82009,'Decreases Threat to target by 641 ',100,2,2),
(126961,82009,'Must be flanking or behind',100,3,3),
(126962,82009,'Increases Threat to target by 641 ',100,2,4),
(126963,82009,'Must be in front of',100,3,5),
(126964,82009,'Inflicts 212 - 393 magic damage on target',100,2,6),
(126965,82009,'Cannot be modified except by direct means',100,2,7),
(126966,10082009,'When Equipped:',100,0,0),
(126967,10082009,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(126968,10082009,'Inflicts 275 - 511 magic damage on target',100,2,2),
(126969,10082009,'Cannot be modified except by direct means',100,2,3),
(126970,110636,'Inflicts 781 - 1303 ranged damage on target',100,1,0),
(126971,110636,'If weapon equipped in Ranged',100,1,1),
(126972,110636,'Must be flanking or behind',100,1,2),
(126973,10110636,'Inflicts 485 - 809 ranged damage on target',100,1,0),
(126974,10110636,'If weapon equipped in Ranged',100,1,1),
(126975,10110636,'Must be flanking or behind',100,1,2),
(126976,122769,'Heals group members (AE) for 761 - 930',100,1,0),
(126977,122769,'Increases Max Health of group members (AE) by 138.8',100,1,1),
(126978,10122769,'Heals group members (AE) for 890 - 1088',100,1,0),
(126979,10122769,'Increases Max Health of group members (AE) by 138.8',100,1,1),
(126980,159411,'Applies Lambent Imbued when Equipped.',100,0,0),
(126981,159411,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(126982,159411,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(126983,159411,'Cannot be modified except by direct means',100,2,3),
(126984,10159411,'Applies Lambent Imbued when Equipped.',100,0,0),
(126985,10159411,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(126986,10159411,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(126987,10159411,'Cannot be modified except by direct means',100,2,3),
(126988,119693,'Increases Threat to target encounter by 273 - 334 ',100,1,0),
(126989,10119693,'Prevents target encounter from changing targets',100,1,0),
(126990,10119693,'Forces target encounter to change their selected target to caster.',100,1,1),
(126991,81508,'When Equipped:',100,0,0),
(126992,81508,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126993,81508,'Inflicts 167 - 311 magic damage on target',100,2,2),
(126994,81508,'Cannot be modified except by direct means',100,2,3),
(126995,10081508,'When Equipped:',100,0,0),
(126996,10081508,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(126997,10081508,'Inflicts 217 - 404 magic damage on target',100,2,2),
(126998,10081508,'Cannot be modified except by direct means',100,2,3),
(126999,119472,'Summon 1 Shard of Essence (Master)',100,1,0),
(127000,10119472,'Summon 1 Shard of Essence (Master)',100,1,0),
(127001,82812,'Applies Imbued Smite when Equipped.',100,0,0),
(127002,82812,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(127003,82812,'Inflicts 632 divine damage on target instantly and every second',100,2,2),
(127004,82812,'Cannot be modified except by direct means',100,2,3),
(127005,82812,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(127006,82812,'Inflicts 632 divine damage on target instantly and every second',100,2,5),
(127007,82812,'Cannot be modified except by direct means',100,2,6),
(127008,10082812,'Applies Imbued Smite when Equipped.',100,0,0),
(127009,10082812,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(127010,10082812,'Inflicts 822 divine damage on target instantly and every second',100,2,2),
(127011,10082812,'Cannot be modified except by direct means',100,2,3),
(127012,10082812,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(127013,10082812,'Inflicts 822 divine damage on target instantly and every second',100,2,5),
(127014,10082812,'Cannot be modified except by direct means',100,2,6),
(127015,25900,'When Equipped:',100,0,0),
(127016,25900,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(127017,25900,'Reduces the reuse time of Word of Redemption VII by 1.5 seconds.',100,1,2),
(127018,10025900,'When Equipped:',100,0,0),
(127019,10025900,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(127020,10025900,'Reduces the reuse time of Word of Redemption VII by 1.5 seconds.',100,1,2),
(127021,116073,'Inflicts 41 - 62 magic damage on target',100,1,0),
(127022,116073,'Inflicts 9 - 14 magic damage on target every 4 seconds',100,1,1),
(127023,10116073,'Inflicts 54 - 80 magic damage on target',100,1,0),
(127024,10116073,'Inflicts 12 - 18 magic damage on target every 4 seconds',100,1,1),
(127025,108349,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(127026,108349,'Increases Mitigation of group members (AE) vs arcane damage by 238',100,1,1),
(127027,10108349,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(127028,10108349,'Increases Mitigation of group members (AE) vs arcane damage by 238',100,1,1),
(127029,82554,'When Equipped:',100,0,0),
(127030,82554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127031,82554,'Inflicts 118 - 218 magic damage on target',100,2,2),
(127032,82554,'Cannot be modified except by direct means',100,2,3),
(127033,10082554,'When Equipped:',100,0,0),
(127034,10082554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127035,10082554,'Inflicts 153 - 284 magic damage on target',100,2,2),
(127036,10082554,'Cannot be modified except by direct means',100,2,3),
(127037,159206,'Applies Lambent Imbued when Equipped.',100,0,0),
(127038,159206,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(127039,159206,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(127040,159206,'Cannot be modified except by direct means',100,2,3),
(127041,10159206,'Applies Lambent Imbued when Equipped.',100,0,0),
(127042,10159206,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(127043,10159206,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(127044,10159206,'Cannot be modified except by direct means',100,2,3),
(127045,121729,'Increases AGI of caster by 97.0',100,1,0),
(127046,121729,'Adds 2.2% to base avoidance.',100,1,1),
(127047,121729,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(127048,121729,'Increases Parry of caster by 55.6',100,1,3),
(127049,121729,'Increases Defense of caster by 74.2',100,1,4),
(127050,10121729,'Increases AGI of caster by 97.0',100,1,0),
(127051,10121729,'Adds 2.2% to base avoidance.',100,1,1),
(127052,10121729,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(127053,10121729,'Increases Parry of caster by 55.6',100,1,3),
(127054,10121729,'Increases Defense of caster by 74.2',100,1,4),
(127055,54414,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(127056,54414,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(127057,54414,'Inflicts 72 heat damage on target',100,2,2),
(127058,54414,'Cannot be modified except by direct means',100,2,3),
(127059,10054414,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(127060,10054414,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(127061,10054414,'Inflicts 93 heat damage on target',100,2,2),
(127062,10054414,'Cannot be modified except by direct means',100,2,3),
(127063,158677,'When Equipped:',100,0,0),
(127064,158677,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,1),
(127065,158677,'Inflicts 2648 mental damage on target',100,2,2),
(127066,158677,'If over 85% Health',100,2,3),
(127067,158677,'Cannot be modified except by direct means',100,2,4),
(127068,158677,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,5),
(127069,158677,'Inflicts 2648 mental damage on target',100,2,6),
(127070,158677,'If over 85% Health',100,2,7),
(127071,158677,'Cannot be modified except by direct means',100,2,8),
(127072,158677,'Cannot be modified except by direct means',100,1,9),
(127073,10158677,'When Equipped:',100,0,0),
(127074,10158677,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,1),
(127075,10158677,'Inflicts 3442 mental damage on target',100,2,2),
(127076,10158677,'If over 85% Health',100,2,3),
(127077,10158677,'Cannot be modified except by direct means',100,2,4),
(127078,10158677,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,5),
(127079,10158677,'Inflicts 3442 mental damage on target',100,2,6),
(127080,10158677,'If over 85% Health',100,2,7),
(127081,10158677,'Cannot be modified except by direct means',100,2,8),
(127082,10158677,'Cannot be modified except by direct means',100,1,9),
(127083,75377,'When Equipped:',100,0,0),
(127084,75377,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(127085,75377,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127086,75377,'Increases Potency of caster by 3.0%',100,2,3),
(127087,75377,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(127088,75377,'Increases Ability Modifier of caster by 780.0',100,2,5),
(127089,75377,'Must not be engaged in pvp combat',100,2,6),
(127090,75377,'Cannot be modified except by direct means',100,2,7),
(127091,75377,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(127092,75377,'Increases Potency of caster by 3.0%',100,2,9),
(127093,75377,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(127094,75377,'Increases Ability Modifier of caster by 780.0',100,2,11),
(127095,75377,'Must not be engaged in pvp combat',100,2,12),
(127096,75377,'Cannot be modified except by direct means',100,2,13),
(127097,75377,'Cannot be modified except by direct means',100,1,14),
(127098,10075377,'When Equipped:',100,0,0),
(127099,10075377,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(127100,10075377,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127101,10075377,'Increases Potency of caster by 3.0%',100,2,3),
(127102,10075377,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(127103,10075377,'Increases Ability Modifier of caster by 780.0',100,2,5),
(127104,10075377,'Must not be engaged in pvp combat',100,2,6),
(127105,10075377,'Cannot be modified except by direct means',100,2,7),
(127106,10075377,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(127107,10075377,'Increases Potency of caster by 3.0%',100,2,9),
(127108,10075377,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(127109,10075377,'Increases Ability Modifier of caster by 780.0',100,2,11),
(127110,10075377,'Must not be engaged in pvp combat',100,2,12),
(127111,10075377,'Cannot be modified except by direct means',100,2,13),
(127112,10075377,'Cannot be modified except by direct means',100,1,14),
(127113,113532,'Inflicts 100 - 166 disease damage on target',100,1,0),
(127114,10113532,'Inflicts 130 - 216 disease damage on target',100,1,0),
(127115,35810,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(127116,71952,'When Equipped:',100,0,0),
(127117,71952,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(127118,71952,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(127119,71952,'Cannot be modified except by direct means',100,2,3),
(127120,10071952,'When Equipped:',100,0,0),
(127121,10071952,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(127122,10071952,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(127123,10071952,'Cannot be modified except by direct means',100,2,3),
(127124,119177,'Inflicts 48 - 81 heat damage on target',100,1,0),
(127125,119177,'Inflicts 48 - 81 heat damage on target',100,1,1),
(127126,119177,'Requires bow',100,1,2),
(127127,10119177,'Inflicts 55 - 93 heat damage on target',100,1,0),
(127128,10119177,'Inflicts 55 - 93 heat damage on target',100,1,1),
(127129,10119177,'Requires bow',100,1,2),
(127130,136735,'When Equipped:',100,0,0),
(127131,136735,'Increases Attack Speed of caster by 20.0',100,1,1),
(127132,10136735,'When Equipped:',100,0,0),
(127133,10136735,'Increases Attack Speed of caster by 20.0',100,1,1),
(127134,117855,'Heals target for 72 - 88 instantly and every 2 seconds',100,1,0),
(127135,10117855,'Heals target for 47 - 57 instantly and every 2 seconds',100,1,0),
(127136,115889,'Inflicts 11 - 14 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(127137,10115889,'Inflicts 19 - 23 disease damage on target encounter',100,1,0),
(127138,10115889,'Inflicts 15 - 18 disease damage on target encounter every 3 seconds',100,1,1),
(127139,117580,'Inflicts 521 - 868 melee damage on target',100,1,0),
(127140,117580,'Decreases Parry of target by 41.0',100,1,1),
(127141,117580,'Must be in front of or flanking',100,1,2),
(127142,10117580,'Inflicts 677 - 1129 melee damage on target',100,1,0),
(127143,10117580,'Decreases Parry of target by 41.0',100,1,1),
(127144,10117580,'Must be in front of or flanking',100,1,2),
(127145,177618,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(127146,177618,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(127147,177618,'Inflicts 91 heat damage on target',100,2,2),
(127148,177618,'Cannot be modified except by direct means',100,2,3),
(127149,10177618,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(127150,10177618,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(127151,10177618,'Inflicts 118 heat damage on target',100,2,2),
(127152,10177618,'Cannot be modified except by direct means',100,2,3),
(127153,115719,'Heals target for 133 instantly and every 0.3 seconds',100,1,0),
(127154,115719,'Stifles caster',100,1,1),
(127155,10115719,'Heals target for 86 instantly and every 0.3 seconds',100,1,0),
(127156,10115719,'Stifles caster',100,1,1),
(127157,190003,'When Equipped:',100,0,0),
(127158,190003,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127159,190003,'Inflicts 1199 disease damage on target encounter',100,2,2),
(127160,190003,'Must not be engaged in pvp combat',100,2,3),
(127161,190003,'Cannot be modified except by direct means',100,2,4),
(127162,10190003,'When Equipped:',100,0,0),
(127163,10190003,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127164,10190003,'Inflicts 779 disease damage on target encounter',100,2,2),
(127165,10190003,'Must not be engaged in pvp combat',100,2,3),
(127166,10190003,'Cannot be modified except by direct means',100,2,4),
(127167,189315,'When Equipped:',100,0,0),
(127168,189315,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(127169,189315,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127170,189315,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(127171,189315,'Heals caster for 1185 - 1309',100,2,4),
(127172,189315,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(127173,189315,'Must not be engaged in pvp combat',100,2,6),
(127174,189315,'Cannot be modified except by direct means',100,2,7),
(127175,189315,'Cannot be modified except by direct means',100,1,8),
(127176,189315,'When Equipped:',100,0,9),
(127177,189315,'This effect will not stack with any rank or tier of itself.',100,1,10),
(127178,189315,'Increases Multi Attack Chance of caster by 3.0',100,1,11),
(127179,189315,'Increases Attack Speed of caster by 11.0',100,1,12),
(127180,189315,'Cannot be modified except by direct means',100,1,13),
(127181,10189315,'When Equipped:',100,0,0),
(127182,10189315,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(127183,10189315,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127184,10189315,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(127185,10189315,'Heals caster for 1386 - 1532',100,2,4),
(127186,10189315,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(127187,10189315,'Must not be engaged in pvp combat',100,2,6),
(127188,10189315,'Cannot be modified except by direct means',100,2,7),
(127189,10189315,'Cannot be modified except by direct means',100,1,8),
(127190,10189315,'When Equipped:',100,0,9),
(127191,10189315,'This effect will not stack with any rank or tier of itself.',100,1,10),
(127192,10189315,'Increases Multi Attack Chance of caster by 3.0',100,1,11),
(127193,10189315,'Increases Attack Speed of caster by 11.0',100,1,12),
(127194,10189315,'Cannot be modified except by direct means',100,1,13),
(127195,82343,'When Equipped:',100,0,0),
(127196,82343,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127197,82343,'Inflicts 408 - 757 magic damage on target',100,2,2),
(127198,82343,'Cannot be modified except by direct means',100,2,3),
(127199,10082343,'When Equipped:',100,0,0),
(127200,10082343,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127201,10082343,'Inflicts 530 - 984 magic damage on target',100,2,2),
(127202,10082343,'Cannot be modified except by direct means',100,2,3),
(127203,37142,'Increases STR of target by 1.5',100,0,0),
(127204,37142,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(127205,36216,'Increases STR and STA of target by 1.1',100,0,0),
(127206,36216,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(127207,26543,'When Equipped:',100,0,0),
(127208,26543,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(127209,26543,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,2),
(127210,10026543,'When Equipped:',100,0,0),
(127211,10026543,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(127212,10026543,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,2),
(127213,122685,'Decreases Defense of target by 37.8',100,1,0),
(127214,122685,'Decreases Mitigation of target vs physical damage by 714',100,1,1),
(127215,10122685,'Decreases Defense of target by 37.8',100,1,0),
(127216,10122685,'Decreases Mitigation of target vs physical damage by 714',100,1,1),
(127217,117404,'Increases Threat to target by 658 ',100,1,0),
(127218,117404,'Inflicts 113 - 341 melee damage on target',100,1,1),
(127219,10117404,'Forces target to change their selected target to caster.',100,1,0),
(127220,10117404,'Inflicts 98 - 296 melee damage on target',100,1,1),
(127221,85343,'Applies Poison Bolt when Activated.',100,0,0),
(127222,85343,'Inflicts 187 - 311 poison damage on target',100,1,1),
(127223,85343,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127224,10085343,'Applies Poison Bolt when Activated.',100,0,0),
(127225,10085343,'Inflicts 243 - 404 poison damage on target',100,1,1),
(127226,10085343,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127227,24126,'Adds Clockwork Eye (Wizard) to your Dungeon Maker toolbox',100,0,0),
(127228,10024126,'Adds Clockwork Eye (Wizard) to your Dungeon Maker toolbox',100,0,0),
(127229,122565,'Stifles target',100,1,0),
(127230,122565,'If Target is not Epic',100,2,1),
(127231,122565,'Interrupts target',100,1,2),
(127232,122565,'Inflicts 8 - 14 magic damage on target',100,1,3),
(127233,122565,'Resistibility increases against targets higher than level 39.',100,1,4),
(127234,10122565,'Stifles target',100,1,0),
(127235,10122565,'If Target is not Epic',100,2,1),
(127236,10122565,'Interrupts target',100,1,2),
(127237,10122565,'Inflicts 11 - 18 magic damage on target',100,1,3),
(127238,10122565,'Resistibility increases against targets higher than level 39.',100,1,4),
(127239,45188,'Applies Lucanic Might when Activated.',100,0,0),
(127240,45188,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(127241,10045188,'Applies Lucanic Might when Activated.',100,0,0),
(127242,10045188,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(127243,102745,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(127244,102745,'Stuns target',100,2,1),
(127245,102745,'If Target is not Epic',100,3,2),
(127246,102745,'Inflicts 356 - 594 divine damage on target',100,2,3),
(127247,102745,'Inflicts 305 - 509 divine damage on target',100,2,4),
(127248,102745,'If target is undead',100,3,5),
(127249,10102745,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(127250,10102745,'Stuns target',100,2,1),
(127251,10102745,'Inflicts 695 - 1158 divine damage on target',100,2,2),
(127252,10102745,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(127253,101266,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(127254,101266,'Inflicts 446 - 744 mental damage on target',100,2,1),
(127255,10101266,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(127256,10101266,'Inflicts 580 - 967 mental damage on target',100,2,1),
(127257,119908,'Stifles target',100,1,0),
(127258,119908,'Inflicts 95 - 116 mental damage on target',100,1,1),
(127259,119908,'Inflicts 32 - 39 mental damage on target every 1.3 seconds',100,1,2),
(127260,119908,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,3),
(127261,119908,'Resistibility increases against targets higher than level 45.',100,1,4),
(127262,10119908,'Stifles target',100,1,0),
(127263,10119908,'Inflicts 123 - 150 mental damage on target',100,1,1),
(127264,10119908,'Inflicts 41 - 50 mental damage on target every second',100,1,2),
(127265,10119908,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(127266,10119908,'Resistibility increases against targets higher than level 45.',100,1,4),
(127267,55632,'When Equipped:',100,0,0),
(127268,55632,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(127269,55632,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(127270,55632,'Inflicts 562 mental damage on target',100,2,3),
(127271,55632,'Must be classified as an undead',100,3,4),
(127272,55632,'Inflicts 281 mental damage on target',100,2,5),
(127273,55632,'Must not be classified as an undead',100,3,6),
(127274,55632,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(127275,55632,'Must be classified as an undead',100,3,8),
(127276,55632,'Cannot be modified except by direct means',100,2,9),
(127277,55632,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,10),
(127278,55632,'Increases the chance of all procs by 25 percent.',100,1,11),
(127279,55632,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,12),
(127280,10055632,'When Equipped:',100,0,0),
(127281,10055632,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(127282,10055632,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(127283,10055632,'Inflicts 731 mental damage on target',100,2,3),
(127284,10055632,'Must be classified as an undead',100,3,4),
(127285,10055632,'Inflicts 365 mental damage on target',100,2,5),
(127286,10055632,'Must not be classified as an undead',100,3,6),
(127287,10055632,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(127288,10055632,'Must be classified as an undead',100,3,8),
(127289,10055632,'Cannot be modified except by direct means',100,2,9),
(127290,10055632,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,10),
(127291,10055632,'Increases the chance of all procs by 25 percent.',100,1,11),
(127292,10055632,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,12),
(127293,108560,'Makes target afraid',100,1,0),
(127294,108560,'30% chance to dispel when target takes damage',100,1,1),
(127295,108560,'Does not affect Epic targets',100,1,2),
(127296,108560,'Resistibility increases against targets higher than level 95.',100,1,3),
(127297,10108560,'Makes target afraid',100,1,0),
(127298,10108560,'30% chance to dispel when target takes damage',100,1,1),
(127299,10108560,'Does not affect Epic targets',100,1,2),
(127300,10108560,'Resistibility increases against targets higher than level 95.',100,1,3),
(127301,103214,'Increases Mitigation of caster vs physical damage by 767',100,1,0),
(127302,103214,'Roots caster',100,1,1),
(127303,10103214,'Increases Mitigation of caster vs physical damage by 767',100,1,0),
(127304,10103214,'Roots caster',100,1,1),
(127305,103492,'Increases In-Combat Power Regeneration of group members (AE) by 31.4',100,1,0),
(127306,10103492,'Increases In-Combat Power Regeneration of group members (AE) by 31.4',100,1,0),
(127307,72264,'When Equipped:',100,0,0),
(127308,72264,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(127309,72264,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(127310,72264,'Cannot be modified except by direct means',100,2,3),
(127311,10072264,'When Equipped:',100,0,0),
(127312,10072264,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(127313,10072264,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(127314,10072264,'Cannot be modified except by direct means',100,2,3),
(127315,160015,'Applies Sanguine Imbued when Equipped.',100,0,0),
(127316,160015,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(127317,160015,'Inflicts 250 heat damage on target',100,2,2),
(127318,160015,'Cannot be modified except by direct means',100,2,3),
(127319,10160015,'Applies Sanguine Imbued when Equipped.',100,0,0),
(127320,10160015,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(127321,10160015,'Inflicts 325 heat damage on target',100,2,2),
(127322,10160015,'Cannot be modified except by direct means',100,2,3),
(127323,100969,'Dazes target',100,1,0),
(127324,100969,'Inflicts 1131 - 1382 mental damage on target',100,1,1),
(127325,100969,'Epic targets gain an immunity to Daze effects of 40.5 seconds and duration is reduced to 4.5 seconds.',100,1,2),
(127326,100969,'Resistibility increases against targets higher than level 117.',100,1,3),
(127327,10100969,'Dazes target',100,1,0),
(127328,10100969,'Inflicts 1470 - 1797 mental damage on target',100,1,1),
(127329,10100969,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(127330,10100969,'Resistibility increases against targets higher than level 117.',100,1,3),
(127331,47476,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(127332,47476,'Summons a mount to ride',100,1,1),
(127333,47476,'Increases your ground speed by 130%',100,2,2),
(127334,10047476,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(127335,10047476,'Summons a mount to ride',100,1,1),
(127336,10047476,'Increases your ground speed by 130%',100,2,2),
(127337,81620,'When Equipped:',100,0,0),
(127338,81620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127339,81620,'Inflicts 153 - 283 magic damage on target',100,2,2),
(127340,81620,'Cannot be modified except by direct means',100,2,3),
(127341,10081620,'When Equipped:',100,0,0),
(127342,10081620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127343,10081620,'Inflicts 198 - 368 magic damage on target',100,2,2),
(127344,10081620,'Cannot be modified except by direct means',100,2,3),
(127345,124775,'Increases STR of caster by 13.2',100,1,0),
(127346,124775,'Decreases Defense of caster by 1.8',100,1,1),
(127347,124775,'Increases Crushing, Piercing, Slashing and Disruption of caster by 2.7',100,1,2),
(127348,10124775,'Increases STR of caster by 13.2',100,1,0),
(127349,10124775,'Decreases Defense of caster by 1.8',100,1,1),
(127350,10124775,'Increases Crushing, Piercing, Slashing and Disruption of caster by 2.7',100,1,2),
(127351,180623,'When Equipped:',100,0,0),
(127352,180623,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(127353,10180623,'When Equipped:',100,0,0),
(127354,10180623,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(127355,82337,'When Equipped:',100,0,0),
(127356,82337,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127357,82337,'Decreases Threat to target by 994 ',100,2,2),
(127358,82337,'Must be flanking or behind',100,3,3),
(127359,82337,'Increases Threat to target by 994 ',100,2,4),
(127360,82337,'Must be in front of',100,3,5),
(127361,82337,'Inflicts 408 - 757 magic damage on target',100,2,6),
(127362,82337,'Cannot be modified except by direct means',100,2,7),
(127363,10082337,'When Equipped:',100,0,0),
(127364,10082337,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127365,10082337,'Inflicts 530 - 984 magic damage on target',100,2,2),
(127366,10082337,'Cannot be modified except by direct means',100,2,3),
(127367,123438,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(127368,123438,'Stuns target',100,2,1),
(127369,123438,'Throws target back',100,2,2),
(127370,123438,'Blurs vision of target',100,2,3),
(127371,123438,'Does not affect Epic targets',100,2,4),
(127372,123438,'Inflicts 527 - 1581 melee damage on target',100,1,5),
(127373,10123438,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(127374,10123438,'Stuns target',100,2,1),
(127375,10123438,'Throws target back',100,2,2),
(127376,10123438,'Blurs vision of target',100,2,3),
(127377,10123438,'Does not affect Epic targets',100,2,4),
(127378,10123438,'Inflicts 685 - 2055 melee damage on target',100,1,5),
(127379,48445,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(127380,48445,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(127381,48445,'Inflicts 95 poison damage on target instantly and every 6 seconds',100,2,2),
(127382,48445,'Inflicts 183 poison damage on target',100,2,3),
(127383,48445,'Cannot be modified except by direct means',100,2,4),
(127384,48445,'Grants a total of 200 triggers of the spell.',100,2,5),
(127385,10048445,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(127386,10048445,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(127387,10048445,'Inflicts 92 poison damage on target instantly and every 6 seconds',100,2,2),
(127388,10048445,'Inflicts 179 poison damage on target',100,2,3),
(127389,10048445,'Cannot be modified except by direct means',100,2,4),
(127390,10048445,'Grants a total of 200 triggers of the spell.',100,2,5),
(127391,48387,'Applies Tempest of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(127392,48387,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(127393,10048387,'Applies Tempest of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(127394,10048387,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(127395,148387,'Applies Prismatic Ardor when Activated.',100,0,0),
(127396,148387,'Heals caster for 12836',100,1,1),
(127397,148387,'This effect cannot be cast during combat',100,1,2),
(127398,148387,'The casting time of Prismatic Ardor is 5.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(127399,10148387,'Applies Prismatic Ardor when Activated.',100,0,0),
(127400,10148387,'Heals caster for 8343',100,1,1),
(127401,10148387,'This effect cannot be cast during combat',100,1,2),
(127402,10148387,'The casting time of Prismatic Ardor is 5.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(127403,124306,'Wards group members (AE) against 1911 points of elemental damage',100,1,0),
(127404,124306,'Increases Mitigation of group members (AE) vs elemental damage by 1025',100,1,1),
(127405,10124306,'Wards group members (AE) against 1911 points of elemental damage',100,1,0),
(127406,10124306,'Increases Mitigation of group members (AE) vs elemental damage by 1025',100,1,1),
(127407,45159,'Applies An Advance Warning Horn when Activated.  Lasts for 2.0 seconds.',100,0,0),
(127408,10045159,'Applies An Advance Warning Horn when Activated.  Lasts for 2.0 seconds.',100,0,0),
(127409,122763,'Heals group members (AE) for 612 - 748',100,1,0),
(127410,122763,'Increases Max Health of group members (AE) by 116.3',100,1,1),
(127411,10122763,'Heals group members (AE) for 716 - 875',100,1,0),
(127412,10122763,'Increases Max Health of group members (AE) by 116.3',100,1,1),
(127413,79278,'When Equipped:',100,0,0),
(127414,79278,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(127415,79278,'Heals group members (AE) for 871',100,2,2),
(127416,79278,'Cannot be modified except by direct means',100,2,3),
(127417,10079278,'When Equipped:',100,0,0),
(127418,10079278,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(127419,10079278,'Heals group members (AE) for 1019',100,2,2),
(127420,10079278,'Cannot be modified except by direct means',100,2,3),
(127421,111338,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(127422,111338,'Inflicts 619 - 757 mental damage on target',100,2,1),
(127423,111338,'Grants a total of 3 triggers of the spell.',100,2,2),
(127424,10111338,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(127425,10111338,'Inflicts 805 - 984 mental damage on target',100,2,1),
(127426,10111338,'Grants a total of 3 triggers of the spell.',100,2,2),
(127427,100108,'Decreases STR, AGI, WIS and INT of target by 22.7',100,1,0),
(127428,100108,'Decreases Max Health of target by 0.8%',100,1,1),
(127429,10100108,'Decreases STR, AGI, WIS and INT of target by 22.7',100,1,0),
(127430,10100108,'Decreases Max Health of target by 0.8%',100,1,1),
(127431,102210,'Increases Max Health of group members (AE) by 110.6',100,1,0),
(127432,10102210,'Increases Max Health of group members (AE) by 110.6',100,1,0),
(127433,124167,'Inflicts 8 - 13 melee damage on target',100,1,0),
(127434,10124167,'Inflicts 10 - 18 melee damage on target',100,1,0),
(127435,81387,'When Equipped:',100,0,0),
(127436,81387,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127437,81387,'Inflicts 109 - 202 magic damage on target',100,2,2),
(127438,81387,'Cannot be modified except by direct means',100,2,3),
(127439,10081387,'When Equipped:',100,0,0),
(127440,10081387,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127441,10081387,'Inflicts 142 - 263 magic damage on target',100,2,2),
(127442,10081387,'Cannot be modified except by direct means',100,2,3),
(127443,120044,'Inflicts 155 - 190 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(127444,120044,'Decreases power of target encounter by 52 instantly and every 4 seconds',100,1,1),
(127445,10120044,'Inflicts 202 - 247 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(127446,10120044,'Decreases power of target encounter by 52 instantly and every 4 seconds',100,1,1),
(127447,110310,'Increases Max Power of target by 15.4',100,1,0),
(127448,110310,'Increases Max Health of target by 29.6',100,1,1),
(127449,10110310,'Increases Max Power of target by 15.4',100,1,0),
(127450,10110310,'Increases Max Health of target by 29.6',100,1,1),
(127451,74794,'When Equipped:',100,0,0),
(127452,74794,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127453,74794,'Inflicts 131 - 197 magic damage on target',100,2,2),
(127454,74794,'Cannot be modified except by direct means',100,2,3),
(127455,10074794,'When Equipped:',100,0,0),
(127456,10074794,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127457,10074794,'Inflicts 171 - 256 magic damage on target',100,2,2),
(127458,10074794,'Cannot be modified except by direct means',100,2,3),
(127459,120326,'Increases Threat to target by 487 - 595 ',100,1,0),
(127460,10120326,'Forces target to change their selected target to caster.',100,1,0),
(127461,10120326,'Prevents target from changing targets',100,1,1),
(127462,123670,'Increases Damage Per Second of target by 27.9',100,1,0),
(127463,10123670,'Increases Damage Per Second of target by 27.9',100,1,0),
(127464,42565,'When Equipped:',100,0,0),
(127465,42565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127466,42565,'Inflicts 44 - 66 magic damage on target',100,2,2),
(127467,42565,'Cannot be modified except by direct means',100,2,3),
(127468,10042565,'When Equipped:',100,0,0),
(127469,10042565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127470,10042565,'Inflicts 57 - 85 magic damage on target',100,2,2),
(127471,10042565,'Cannot be modified except by direct means',100,2,3),
(127472,105434,'Increases STR of caster by 279.8',100,1,0),
(127473,105434,'Decreases Defense of caster by 22.2',100,1,1),
(127474,105434,'Increases Slashing, Piercing, Crushing and Disruption of caster by 53.3',100,1,2),
(127475,10105434,'Increases STR of caster by 279.8',100,1,0),
(127476,10105434,'Decreases Defense of caster by 22.2',100,1,1),
(127477,10105434,'Increases Slashing, Piercing, Crushing and Disruption of caster by 53.3',100,1,2),
(127478,109132,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(127479,109132,'Heals target for 380 - 464',100,2,1),
(127480,109132,'Grants a total of 8 triggers of the spell.',100,2,2),
(127481,10109132,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(127482,10109132,'Heals target for 247 - 302',100,2,1),
(127483,10109132,'Grants a total of 8 triggers of the spell.',100,2,2),
(127484,104263,'Increases Mitigation of group members (AE) vs physical damage by 871',100,1,0),
(127485,10104263,'Increases Mitigation of group members (AE) vs physical damage by 871',100,1,0),
(127486,27265,'When Equipped:',100,0,0),
(127487,27265,'Increases spell damage of caster by 40.0',100,1,1),
(127488,10027265,'When Equipped:',100,0,0),
(127489,10027265,'Increases spell damage of caster by 40.0',100,1,1),
(127490,163258,'When Equipped:',100,0,0),
(127491,163258,'On any combat or spell hit this spell may cast Fatal Pestilience VI on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(127492,163258,'Inflicts 77 - 86 disease damage on targets in Area of Effect',100,2,2),
(127493,163258,'Inflicts 97 - 107 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(127494,163258,'Inflicts an additional 7 - 8 disease damage on targets in Area of Effect every tick',100,2,4),
(127495,163258,'Must not be engaged in pvp combat',100,2,5),
(127496,163258,'Cannot be modified except by direct means',100,2,6),
(127497,163258,'Must not be engaged in pvp combat',100,1,7),
(127498,10163258,'When Equipped:',100,0,0),
(127499,10163258,'On any combat or spell hit this spell may cast Fatal Pestilience VI on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(127500,10163258,'Inflicts 101 - 111 disease damage on targets in Area of Effect',100,2,2),
(127501,10163258,'Inflicts 126 - 139 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(127502,10163258,'Inflicts an additional 7 - 8 disease damage on targets in Area of Effect every tick',100,2,4),
(127503,10163258,'Must not be engaged in pvp combat',100,2,5),
(127504,10163258,'Cannot be modified except by direct means',100,2,6),
(127505,10163258,'Must not be engaged in pvp combat',100,1,7),
(127506,124281,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(127507,124281,'Increases Damage Per Second of target by 24.9',100,2,1),
(127508,124281,'Increases Attack Speed of target by 24.9',100,2,2),
(127509,124281,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(127510,124281,'Increases Damage Per Second of target by 24.9',100,2,4),
(127511,124281,'Increases Attack Speed of target by 24.9',100,2,5),
(127512,124281,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(127513,124281,'Increases Damage Per Second of target by 24.9',100,2,7),
(127514,124281,'Increases Attack Speed of target by 24.9',100,2,8),
(127515,10124281,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(127516,10124281,'Increases Damage Per Second of target by 24.9',100,2,1),
(127517,10124281,'Increases Attack Speed of target by 24.9',100,2,2),
(127518,10124281,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(127519,10124281,'Increases Damage Per Second of target by 24.9',100,2,4),
(127520,10124281,'Increases Attack Speed of target by 24.9',100,2,5),
(127521,10124281,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(127522,10124281,'Increases Damage Per Second of target by 24.9',100,2,7),
(127523,10124281,'Increases Attack Speed of target by 24.9',100,2,8),
(127524,107479,'Inflicts 280 - 840 magic damage on targets in Area of Effect',100,1,0),
(127525,107479,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(127526,107479,'Stuns target',100,2,2),
(127527,107479,'Throws target back',100,2,3),
(127528,107479,'Blurs vision of target',100,2,4),
(127529,107479,'Does not affect Epic targets',100,2,5),
(127530,10107479,'Inflicts 364 - 1093 magic damage on targets in Area of Effect',100,1,0),
(127531,10107479,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(127532,10107479,'Stuns target',100,2,2),
(127533,10107479,'Throws target back',100,2,3),
(127534,10107479,'Blurs vision of target',100,2,4),
(127535,10107479,'Does not affect Epic targets',100,2,5),
(127536,75014,'Applies Lightning Shock when Activated.',100,0,0),
(127537,75014,'Inflicts 133 - 222 magic damage on target',100,1,1),
(127538,75014,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127539,10075014,'Applies Lightning Shock when Activated.',100,0,0),
(127540,10075014,'Inflicts 173 - 289 magic damage on target',100,1,1),
(127541,10075014,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127542,112206,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(127543,112206,'Increases Threat to target by 8 ',100,2,1),
(127544,112206,'Inflicts 6 disease damage on target',100,2,2),
(127545,112206,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 211',100,1,3),
(127546,10112206,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(127547,10112206,'Inflicts 8 disease damage on target',100,2,1),
(127548,10112206,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 211',100,1,2),
(127549,108563,'Makes target afraid',100,1,0),
(127550,108563,'30% chance to dispel when target takes damage',100,1,1),
(127551,108563,'Does not affect Epic targets',100,1,2),
(127552,108563,'Resistibility increases against targets higher than level 95.',100,1,3),
(127553,10108563,'Makes target afraid',100,1,0),
(127554,10108563,'30% chance to dispel when target takes damage',100,1,1),
(127555,10108563,'Does not affect Epic targets',100,1,2),
(127556,10108563,'Resistibility increases against targets higher than level 95.',100,1,3),
(127557,81385,'When Equipped:',100,0,0),
(127558,81385,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127559,81385,'Inflicts 121 - 225 magic damage on target',100,2,2),
(127560,81385,'Cannot be modified except by direct means',100,2,3),
(127561,10081385,'When Equipped:',100,0,0),
(127562,10081385,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127563,10081385,'Inflicts 157 - 292 magic damage on target',100,2,2),
(127564,10081385,'Cannot be modified except by direct means',100,2,3),
(127565,35657,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(127566,24486,'Adds Lair of Scale: Lava Fountain to your Dungeon Maker toolbox',100,0,0),
(127567,10024486,'Adds Lair of Scale: Lava Fountain to your Dungeon Maker toolbox',100,0,0),
(127568,114862,'Decreases AGI of target by 39.0',100,1,0),
(127569,114862,'Decreases Defense of target by 15.0',100,1,1),
(127570,10114862,'Decreases AGI of target by 39.0',100,1,0),
(127571,10114862,'Decreases Defense of target by 15.0',100,1,1),
(127572,113138,'Shapechanges caster into a lich',100,1,0),
(127573,113138,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,1),
(127574,113138,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(127575,113138,'Inflicts 174 disease damage on target',100,2,3),
(127576,113138,'Heals caster for 74',100,2,4),
(127577,10113138,'Shapechanges caster into a lich',100,1,0),
(127578,10113138,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,1),
(127579,10113138,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(127580,10113138,'Inflicts 227 disease damage on target',100,2,3),
(127581,10113138,'Heals caster for 48',100,2,4),
(127582,36821,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(127583,46550,'Applies freedom of mind when Activated.  Lasts for 10.0 seconds.',100,0,0),
(127584,46550,'Makes caster immune to Stifle effects',100,1,1),
(127585,46550,'Makes caster immune to Stun effects',100,1,2),
(127586,10046550,'Applies freedom of mind when Activated.  Lasts for 3.0 seconds.',100,0,0),
(127587,10046550,'Makes caster immune to Stun effects',100,1,1),
(127588,10046550,'Makes caster immune to Stifle effects',100,1,2),
(127589,82347,'When Equipped:',100,0,0),
(127590,82347,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127591,82347,'Decreases Threat to target by 994 ',100,2,2),
(127592,82347,'Must be flanking or behind',100,3,3),
(127593,82347,'Increases Threat to target by 994 ',100,2,4),
(127594,82347,'Must be in front of',100,3,5),
(127595,82347,'Inflicts 408 - 757 magic damage on target',100,2,6),
(127596,82347,'Cannot be modified except by direct means',100,2,7),
(127597,10082347,'When Equipped:',100,0,0),
(127598,10082347,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127599,10082347,'Inflicts 530 - 984 magic damage on target',100,2,2),
(127600,10082347,'Cannot be modified except by direct means',100,2,3),
(127601,122180,'Inflicts 214 - 262 cold damage on target instantly and every 2 seconds',100,1,0),
(127602,122180,'Inflicts 214 - 262 cold damage on target instantly and every 2 seconds',100,1,1),
(127603,122180,'If target is elemental',100,2,2),
(127604,10122180,'Inflicts 279 - 341 cold damage on target instantly and every 2 seconds',100,1,0),
(127605,117744,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(127606,117744,'Increases Max Health of target by 1,007.8',100,2,1),
(127607,117744,'Heals target for 1531',100,2,2),
(127608,117744,'Grants a total of 1 trigger of the spell.',100,2,3),
(127609,10117744,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(127610,10117744,'Increases Max Health of target by 1,007.8',100,2,1),
(127611,10117744,'Heals target for 995',100,2,2),
(127612,10117744,'Grants a total of 1 trigger of the spell.',100,2,3),
(127613,26148,'When Equipped:',100,0,0),
(127614,26148,'Increases Crit Chance of caster by 4.0',100,1,1),
(127615,10026148,'When Equipped:',100,0,0),
(127616,10026148,'Increases Crit Chance of caster by 4.0',100,1,1),
(127617,103684,'Interrupts target',100,1,0),
(127618,103684,'Inflicts 430 - 717 melee damage on target',100,1,1),
(127619,103684,'Must be flanking or behind',100,1,2),
(127620,10103684,'Interrupts target',100,1,0),
(127621,10103684,'Inflicts 559 - 932 melee damage on target',100,1,1),
(127622,10103684,'Must be flanking or behind',100,1,2),
(127623,54411,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(127624,54411,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(127625,54411,'Inflicts 150 heat damage on target',100,2,2),
(127626,54411,'Cannot be modified except by direct means',100,2,3),
(127627,10054411,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(127628,10054411,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(127629,10054411,'Inflicts 195 heat damage on target',100,2,2),
(127630,10054411,'Cannot be modified except by direct means',100,2,3),
(127631,158344,'Applies Hooluk in a Hat when Activated.',100,0,0),
(127632,158344,'Summons a pet Hooluk',100,1,1),
(127633,158344,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127634,10158344,'Applies Hooluk in a Hat when Activated.',100,0,0),
(127635,10158344,'Summons a pet Hooluk',100,1,1),
(127636,10158344,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127637,80924,'When Equipped:',100,0,0),
(127638,80924,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127639,80924,'Decreases Threat to target by 672 ',100,2,2),
(127640,80924,'Must be flanking or behind',100,3,3),
(127641,80924,'Increases Threat to target by 672 ',100,2,4),
(127642,80924,'Must be in front of',100,3,5),
(127643,80924,'Inflicts 288 - 534 magic damage on target',100,2,6),
(127644,80924,'Cannot be modified except by direct means',100,2,7),
(127645,10080924,'When Equipped:',100,0,0),
(127646,10080924,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127647,10080924,'Inflicts 374 - 695 magic damage on target',100,2,2),
(127648,10080924,'Cannot be modified except by direct means',100,2,3),
(127649,24264,'Adds Decrease Level IV (Single) to your Dungeon Maker toolbox',100,0,0),
(127650,10024264,'Adds Decrease Level IV (Single) to your Dungeon Maker toolbox',100,0,0),
(127651,161785,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(127652,161785,'Roots target',100,1,1),
(127653,161785,'If target is the Djinn Master',100,2,2),
(127654,161785,'Inflicts 1474 magic damage on target',100,1,3),
(127655,161785,'If target is djinn',100,2,4),
(127656,161785,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(127657,161785,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(127658,10161785,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(127659,10161785,'Roots target',100,1,1),
(127660,10161785,'If target is the Djinn Master',100,2,2),
(127661,10161785,'Inflicts 1916 magic damage on target',100,1,3),
(127662,10161785,'If target is djinn',100,2,4),
(127663,10161785,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(127664,10161785,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(127665,121033,'Increases AGI of target by 33.1',100,1,0),
(127666,121033,'Adds 1.0% to base avoidance.',100,1,1),
(127667,121033,'Increases In-Combat Power Regeneration of target by 18.0',100,1,2),
(127668,121033,'Increases Max Power of target by 219.6',100,1,3),
(127669,10121033,'Increases AGI of target by 33.1',100,1,0),
(127670,10121033,'Adds 1.0% to base avoidance.',100,1,1),
(127671,10121033,'Increases In-Combat Power Regeneration of target by 18.0',100,1,2),
(127672,10121033,'Increases Max Power of target by 219.6',100,1,3),
(127673,47911,'Applies Salve of the Night when Activated.',100,0,0),
(127674,47911,'Heals caster for 384',100,1,1),
(127675,10047911,'Applies Salve of the Night when Activated.',100,0,0),
(127676,10047911,'Heals caster for 250',100,1,1),
(127677,48582,'Applies Marr''s Inspiration when Activated.  Lasts for 54.0 seconds.',100,0,0),
(127678,48582,'Increases Max Health of caster by 168.7 - 281.1',100,1,1),
(127679,48582,'Increases Defense of caster by 21.9 - 36.6',100,1,2),
(127680,10048582,'Applies Marr''s Inspiration when Activated.  Lasts for 54.0 seconds.',100,0,0),
(127681,10048582,'Increases Max Health of caster by 168.7 - 281.1',100,1,1),
(127682,10048582,'Increases Defense of caster by 21.9 - 36.6',100,1,2),
(127683,108105,'Decreases Threat to target by 840 - 1,400 ',100,1,0),
(127684,10108105,'Forces target to clear their selected target.',100,1,0),
(127685,10108105,'Target cannot target caster for the duration of this effect.',100,1,1),
(127686,37209,'Increases WIS of target by 4.3',100,0,0),
(127687,37209,'Increases outgoing heal and ward amount by 1.5%',100,0,1),
(127688,37209,'Increases STA of target by 4.3',100,0,2),
(127689,37209,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,3),
(127690,46055,'Applies Elixir of Aptitude when Activated.  Lasts for 30.0 seconds.',100,0,0),
(127691,46055,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(127692,10046055,'Applies Elixir of Aptitude when Activated.  Lasts for 30.0 seconds.',100,0,0),
(127693,10046055,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(127694,118912,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(127695,118912,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 92',100,1,1),
(127696,118912,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,2),
(127697,10118912,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(127698,10118912,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 92',100,1,1),
(127699,10118912,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,2),
(127700,109758,'Inflicts 221 - 410 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(127701,10109758,'Inflicts 287 - 533 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(127702,144642,'When Equipped:',100,0,0),
(127703,144642,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127704,144642,'Inflicts 1192 magic damage on target',100,2,2),
(127705,144642,'Cannot be modified except by direct means',100,2,3),
(127706,10144642,'When Equipped:',100,0,0),
(127707,10144642,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127708,10144642,'Inflicts 775 magic damage on target',100,2,2),
(127709,10144642,'Cannot be modified except by direct means',100,2,3),
(127710,73900,'Applies Disease Blast when Activated.',100,0,0),
(127711,73900,'Inflicts 133 - 222 disease damage on target',100,1,1),
(127712,73900,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127713,10073900,'Applies Disease Blast when Activated.',100,0,0),
(127714,10073900,'Inflicts 173 - 289 disease damage on target',100,1,1),
(127715,10073900,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127716,85358,'Applies Poison Bolt when Activated.',100,0,0),
(127717,85358,'Inflicts 273 - 455 poison damage on target',100,1,1),
(127718,85358,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127719,10085358,'Applies Poison Bolt when Activated.',100,0,0),
(127720,10085358,'Inflicts 355 - 591 poison damage on target',100,1,1),
(127721,10085358,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127722,47393,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(127723,47393,'This potion will grant you the illusion of being a headless huntsman!',100,1,1),
(127724,10047393,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(127725,10047393,'This potion will grant you the illusion of being a headless huntsman!',100,1,1),
(127726,140459,'When Equipped:',100,0,0),
(127727,140459,'Reduces resistibility of all spells by 10%.',100,1,1),
(127728,10140459,'When Equipped:',100,0,0),
(127729,10140459,'Reduces resistibility of all spells by 10%.',100,1,1),
(127730,114448,'Inflicts 120 - 200 heat damage on target',100,1,0),
(127731,10114448,'Inflicts 156 - 261 heat damage on target',100,1,0),
(127732,40289,'When Equipped:',100,0,0),
(127733,40289,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(127734,40289,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127735,40289,'Increases Ability Modifier of caster by 660.0',100,2,3),
(127736,40289,'Must not be engaged in pvp combat',100,2,4),
(127737,40289,'Cannot be modified except by direct means',100,2,5),
(127738,40289,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(127739,40289,'Increases Ability Modifier of caster by 660.0',100,2,7),
(127740,40289,'Must not be engaged in pvp combat',100,2,8),
(127741,40289,'Cannot be modified except by direct means',100,2,9),
(127742,40289,'Cannot be modified except by direct means',100,1,10),
(127743,10040289,'When Equipped:',100,0,0),
(127744,10040289,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(127745,10040289,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127746,10040289,'Increases Ability Modifier of caster by 660.0',100,2,3),
(127747,10040289,'Must not be engaged in pvp combat',100,2,4),
(127748,10040289,'Cannot be modified except by direct means',100,2,5),
(127749,10040289,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(127750,10040289,'Increases Ability Modifier of caster by 660.0',100,2,7),
(127751,10040289,'Must not be engaged in pvp combat',100,2,8),
(127752,10040289,'Cannot be modified except by direct means',100,2,9),
(127753,10040289,'Cannot be modified except by direct means',100,1,10),
(127754,173525,'When Equipped:',100,0,0),
(127755,173525,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127756,173525,'Inflicts 1192 poison damage on target',100,2,2),
(127757,173525,'Cannot be modified except by direct means',100,2,3),
(127758,10173525,'When Equipped:',100,0,0),
(127759,10173525,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127760,10173525,'Inflicts 775 poison damage on target',100,2,2),
(127761,10173525,'Cannot be modified except by direct means',100,2,3),
(127762,107128,'Inflicts 256 - 313 divine damage on target',100,1,0),
(127763,107128,'Inflicts 256 - 313 divine damage on target',100,1,1),
(127764,107128,'If target is undead',100,2,2),
(127765,10107128,'Inflicts 333 - 407 divine damage on target',100,1,0),
(127766,10107128,'Inflicts 333 - 407 divine damage on target',100,1,1),
(127767,105841,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(127768,105841,'Inflicts 446 - 744 disease damage on target',100,2,1),
(127769,10105841,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(127770,10105841,'Inflicts 580 - 967 disease damage on target',100,2,1),
(127771,124518,'Inflicts 8 - 14 melee damage on target',100,1,0),
(127772,124518,'If facing target',100,1,1),
(127773,10124518,'Inflicts 11 - 18 melee damage on target',100,1,0),
(127774,10124518,'If facing target',100,1,1),
(127775,118185,'Increases Damage Per Second of group members (AE) by 10.0',100,1,0),
(127776,10118185,'Increases Damage Per Second of group members (AE) by 10.0',100,1,0),
(127777,104160,'Increases Threat to target encounter by 75 - 92 ',100,1,0),
(127778,104160,'Interrupts target encounter',100,1,1),
(127779,10104160,'Forces target encounter to change their selected target to caster.',100,1,0),
(127780,10104160,'Interrupts target encounter',100,1,1),
(127781,10104160,'Prevents target encounter from changing targets',100,1,2),
(127782,104497,'Decreases Mitigation of target encounter vs physical damage by 1186',100,1,0),
(127783,10104497,'Decreases Mitigation of target encounter vs physical damage by 1186',100,1,0),
(127784,163915,'When Equipped:',100,0,0),
(127785,163915,'Increases Attack Speed of caster by 30.0',100,1,1),
(127786,10163915,'When Equipped:',100,0,0),
(127787,10163915,'Increases Attack Speed of caster by 30.0',100,1,1),
(127788,82600,'When Equipped:',100,0,0),
(127789,82600,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127790,82600,'Inflicts 116 - 215 magic damage on target',100,2,2),
(127791,82600,'Cannot be modified except by direct means',100,2,3),
(127792,10082600,'When Equipped:',100,0,0),
(127793,10082600,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127794,10082600,'Inflicts 151 - 280 magic damage on target',100,2,2),
(127795,10082600,'Cannot be modified except by direct means',100,2,3),
(127796,146622,'When Equipped:',100,0,0),
(127797,146622,'On a spell cast this spell may cast Enlightenment on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(127798,146622,'Increases power of caster by 254 instantly and every 6 seconds',100,2,2),
(127799,146622,'Increases Max Power of caster by 10.0%',100,2,3),
(127800,146622,'Cannot be modified except by direct means',100,2,4),
(127801,146622,'Cannot be modified except by direct means',100,1,5),
(127802,10146622,'When Equipped:',100,0,0),
(127803,10146622,'On a spell cast this spell may cast Enlightenment on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(127804,10146622,'Increases power of caster by 254 instantly and every 6 seconds',100,2,2),
(127805,10146622,'Increases Max Power of caster by 10.0%',100,2,3),
(127806,10146622,'Cannot be modified except by direct means',100,2,4),
(127807,10146622,'Cannot be modified except by direct means',100,1,5),
(127808,110904,'Inflicts 1439 - 1758 heat damage on target encounter',100,1,0),
(127809,10110904,'Inflicts 1870 - 2286 heat damage on target encounter',100,1,0),
(127810,35296,'Increases STA of target by 1.5',100,0,0),
(127811,35296,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(127812,80848,'When Equipped:',100,0,0),
(127813,80848,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127814,80848,'Decreases Threat to target by 672 ',100,2,2),
(127815,80848,'Must be flanking or behind',100,3,3),
(127816,80848,'Increases Threat to target by 672 ',100,2,4),
(127817,80848,'Must be in front of',100,3,5),
(127818,80848,'Inflicts 288 - 534 magic damage on target',100,2,6),
(127819,80848,'Cannot be modified except by direct means',100,2,7),
(127820,10080848,'When Equipped:',100,0,0),
(127821,10080848,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(127822,10080848,'Inflicts 374 - 695 magic damage on target',100,2,2),
(127823,10080848,'Cannot be modified except by direct means',100,2,3),
(127824,159925,'When Equipped:',100,0,0),
(127825,159925,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(127826,159925,'Increases AGI of caster by 3.6',100,2,2),
(127827,159925,'Increases Attack Speed of caster by 9.8',100,2,3),
(127828,159925,'Cannot be modified except by direct means',100,2,4),
(127829,10159925,'When Equipped:',100,0,0),
(127830,10159925,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(127831,10159925,'Increases AGI of caster by 3.6',100,2,2),
(127832,10159925,'Increases Attack Speed of caster by 9.8',100,2,3),
(127833,10159925,'Cannot be modified except by direct means',100,2,4),
(127834,35079,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(127835,52895,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(127836,52895,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(127837,52895,'Inflicts 121 heat damage on target',100,2,2),
(127838,52895,'Cannot be modified except by direct means',100,2,3),
(127839,10052895,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(127840,10052895,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(127841,10052895,'Inflicts 157 heat damage on target',100,2,2),
(127842,10052895,'Cannot be modified except by direct means',100,2,3),
(127843,118187,'Increases Damage Per Second of group members (AE) by 14.0',100,1,0),
(127844,10118187,'Increases Damage Per Second of group members (AE) by 14.0',100,1,0),
(127845,111241,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(127846,111241,'Heals target for 308 - 377',100,2,1),
(127847,10111241,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(127848,10111241,'Heals target for 200 - 245',100,2,1),
(127849,73279,'Applies Frost Blast when Activated.',100,0,0),
(127850,73279,'Inflicts 341 - 568 cold damage on target',100,1,1),
(127851,73279,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127852,10073279,'Applies Frost Blast when Activated.',100,0,0),
(127853,10073279,'Inflicts 443 - 739 cold damage on target',100,1,1),
(127854,10073279,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127855,36764,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(127856,53799,'When Equipped:',100,0,0),
(127857,53799,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(127858,53799,'This effect suspends during combat',100,1,2),
(127859,10053799,'When Equipped:',100,0,0),
(127860,10053799,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(127861,10053799,'This effect suspends during combat',100,1,2),
(127862,174394,'When Equipped:',100,0,0),
(127863,174394,'On a hostile spell cast this spell has a 10% chance to cast Velocity of the Masters on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(127864,174394,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(127865,174394,'Cannot be modified except by direct means',100,2,3),
(127866,10174394,'When Equipped:',100,0,0),
(127867,10174394,'On a hostile spell cast this spell has a 10% chance to cast Velocity of the Masters on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(127868,10174394,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(127869,10174394,'Cannot be modified except by direct means',100,2,3),
(127870,189310,'When Equipped:',100,0,0),
(127871,189310,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(127872,189310,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127873,189310,'Inflicts 4113 - 4545 heat damage on target encounter',100,2,3),
(127874,189310,'Decreases Mitigation of target encounter vs elemental damage by 1787',100,2,4),
(127875,189310,'Must not be engaged in pvp combat',100,2,5),
(127876,189310,'Cannot be modified except by direct means',100,2,6),
(127877,189310,'Cannot be modified except by direct means',100,1,7),
(127878,189310,'When Equipped:',100,0,8),
(127879,189310,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(127880,189310,'On any combat or spell hit this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(127881,189310,'Increases Potency of caster by 11.0%',100,2,11),
(127882,189310,'Increases Slashing, Crushing, Piercing and Ranged of caster by 11.5',100,2,12),
(127883,189310,'Must not be engaged in pvp combat',100,2,13),
(127884,189310,'Cannot be modified except by direct means',100,2,14),
(127885,189310,'On a healing spell cast this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(127886,189310,'Increases Potency of caster by 11.0%',100,2,16),
(127887,189310,'Increases Slashing, Crushing, Piercing and Ranged of caster by 11.5',100,2,17),
(127888,189310,'Must not be engaged in pvp combat',100,2,18),
(127889,189310,'Cannot be modified except by direct means',100,2,19),
(127890,189310,'Cannot be modified except by direct means',100,1,20),
(127891,10189310,'When Equipped:',100,0,0),
(127892,10189310,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(127893,10189310,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(127894,10189310,'Inflicts 5346 - 5909 heat damage on target encounter',100,2,3),
(127895,10189310,'Decreases Mitigation of target encounter vs elemental damage by 1787',100,2,4),
(127896,10189310,'Must not be engaged in pvp combat',100,2,5),
(127897,10189310,'Cannot be modified except by direct means',100,2,6),
(127898,10189310,'Cannot be modified except by direct means',100,1,7),
(127899,10189310,'When Equipped:',100,0,8),
(127900,10189310,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(127901,10189310,'On any combat or spell hit this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(127902,10189310,'Increases Potency of caster by 11.0%',100,2,11),
(127903,10189310,'Increases Slashing, Crushing, Piercing and Ranged of caster by 11.5',100,2,12),
(127904,10189310,'Must not be engaged in pvp combat',100,2,13),
(127905,10189310,'Cannot be modified except by direct means',100,2,14),
(127906,10189310,'On a healing spell cast this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(127907,10189310,'Increases Potency of caster by 11.0%',100,2,16),
(127908,10189310,'Increases Slashing, Crushing, Piercing and Ranged of caster by 11.5',100,2,17),
(127909,10189310,'Must not be engaged in pvp combat',100,2,18),
(127910,10189310,'Cannot be modified except by direct means',100,2,19),
(127911,10189310,'Cannot be modified except by direct means',100,1,20),
(127912,87398,'When Equipped:',100,0,0),
(127913,87398,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127914,87398,'Inflicts 194 - 290 magic damage on target',100,2,2),
(127915,87398,'Cannot be modified except by direct means',100,2,3),
(127916,10087398,'When Equipped:',100,0,0),
(127917,10087398,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127918,10087398,'Inflicts 252 - 378 magic damage on target',100,2,2),
(127919,10087398,'Cannot be modified except by direct means',100,2,3),
(127920,103137,'Increases STR of caster by 83.5',100,1,0),
(127921,103137,'Adds 3.1% to base avoidance.',100,1,1),
(127922,103137,'Increases Mitigation of caster vs physical damage by 536',100,1,2),
(127923,103137,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,3),
(127924,10103137,'Increases STR of caster by 83.5',100,1,0),
(127925,10103137,'Adds 3.1% to base avoidance.',100,1,1),
(127926,10103137,'Increases Mitigation of caster vs physical damage by 536',100,1,2),
(127927,10103137,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,3),
(127928,124116,'Increases power of caster by 158',100,1,0),
(127929,10124116,'Increases power of caster by 158',100,1,0),
(127930,124535,'Dispels 65 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(127931,10124535,'Dispels 65 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(127932,132722,'When Equipped:',100,0,0),
(127933,132722,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127934,132722,'Inflicts 1986 heat damage on target',100,2,2),
(127935,132722,'Cannot be modified except by direct means',100,2,3),
(127936,10132722,'When Equipped:',100,0,0),
(127937,10132722,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(127938,10132722,'Inflicts 1291 heat damage on target',100,2,2),
(127939,10132722,'Cannot be modified except by direct means',100,2,3),
(127940,26921,'When Equipped:',100,0,0),
(127941,26921,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(127942,26921,'Inflicts 329 heat damage on target',100,2,2),
(127943,26921,'Inflicts 36 heat damage on target every 5 seconds',100,2,3),
(127944,26921,'Cannot be modified except by direct means',100,2,4),
(127945,10026921,'When Equipped:',100,0,0),
(127946,10026921,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(127947,10026921,'Inflicts 428 heat damage on target',100,2,2),
(127948,10026921,'Inflicts 46 heat damage on target every 5 seconds',100,2,3),
(127949,10026921,'Cannot be modified except by direct means',100,2,4),
(127950,164613,'Applies Unstable Magics when Equipped.',100,0,0),
(127951,164613,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(127952,10164613,'Applies Unstable Magics when Equipped.',100,0,0),
(127953,10164613,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(127954,87610,'Applies Mental Blast when Activated.',100,0,0),
(127955,87610,'Inflicts 264 - 440 mental damage on target',100,1,1),
(127956,87610,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127957,10087610,'Applies Mental Blast when Activated.',100,0,0),
(127958,10087610,'Inflicts 343 - 572 mental damage on target',100,1,1),
(127959,10087610,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(127960,117477,'Inflicts 2893 - 4822 melee damage on target',100,1,0),
(127961,117477,'You must be sneaking to use this ability.',100,1,1),
(127962,117477,'Must be flanking or behind',100,1,2),
(127963,10117477,'Inflicts 2332 - 3887 melee damage on target',100,1,0),
(127964,10117477,'You must be sneaking to use this ability.',100,1,1),
(127965,10117477,'Must be flanking or behind',100,1,2),
(127966,41663,'When Equipped:',100,0,0),
(127967,41663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127968,41663,'Inflicts 288 - 534 magic damage on target',100,2,2),
(127969,41663,'Cannot be modified except by direct means',100,2,3),
(127970,10041663,'When Equipped:',100,0,0),
(127971,10041663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127972,10041663,'Inflicts 374 - 695 magic damage on target',100,2,2),
(127973,10041663,'Cannot be modified except by direct means',100,2,3),
(127974,122154,'Inflicts 6 - 7 cold damage on target instantly and every 2 seconds',100,1,0),
(127975,122154,'Inflicts 6 - 7 cold damage on target instantly and every 2 seconds',100,1,1),
(127976,122154,'If target is elemental',100,2,2),
(127977,10122154,'Inflicts 8 - 9 cold damage on target instantly and every 2 seconds',100,1,0),
(127978,79060,'When Equipped:',100,0,0),
(127979,79060,'On a combat hit this spell may cast Frigid Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127980,79060,'Inflicts 145 cold damage on target',100,2,2),
(127981,79060,'Cannot be modified except by direct means',100,2,3),
(127982,10079060,'When Equipped:',100,0,0),
(127983,10079060,'On a combat hit this spell may cast Frigid Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(127984,10079060,'Inflicts 189 cold damage on target',100,2,2),
(127985,10079060,'Cannot be modified except by direct means',100,2,3),
(127986,102621,'Increases Threat to target encounter by 1,788 - 2,185 ',100,1,0),
(127987,102621,'Interrupts target encounter',100,1,1),
(127988,102621,'Decreases Mitigation of target encounter vs noxious damage by 1238',100,1,2),
(127989,10102621,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(127990,10102621,'Prevents target from changing targets',100,2,1),
(127991,10102621,'Forces target to change their selected target to caster.',100,2,2),
(127992,10102621,'Interrupts target encounter',100,1,3),
(127993,10102621,'Decreases Mitigation of target encounter vs noxious damage by 1238',100,1,4),
(127994,165319,'When Equipped:',100,0,0),
(127995,165319,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(127996,165319,'Slows target by 40.0%',100,2,2),
(127997,165319,'Only affects targets level 103 and below',100,2,3),
(127998,165319,'Does not affect Epic targets',100,2,4),
(127999,165319,'Cannot be modified except by direct means',100,2,5),
(128000,10165319,'When Equipped:',100,0,0),
(128001,10165319,'On a ranged hit this spell may cast Footwound on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(128002,10165319,'Slows target by 40.0%',100,2,2),
(128003,10165319,'Only affects targets level 103 and below',100,2,3),
(128004,10165319,'Does not affect Epic targets',100,2,4),
(128005,10165319,'Cannot be modified except by direct means',100,2,5),
(128006,103672,'Interrupts target',100,1,0),
(128007,103672,'Inflicts 255 - 426 melee damage on target',100,1,1),
(128008,103672,'Must be flanking or behind',100,1,2),
(128009,10103672,'Interrupts target',100,1,0),
(128010,10103672,'Inflicts 332 - 553 melee damage on target',100,1,1),
(128011,10103672,'Must be flanking or behind',100,1,2),
(128012,111152,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(128013,111152,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 868',100,1,1),
(128014,111152,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,2),
(128015,10111152,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(128016,10111152,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 868',100,1,1),
(128017,10111152,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,2),
(128018,108860,'Inflicts 271 - 453 melee damage on target',100,1,0),
(128019,108860,'Inflicts 271 - 453 melee damage on target',100,1,1),
(128020,108860,'Inflicts 271 - 453 melee damage on target',100,1,2),
(128021,108860,'Inflicts 271 - 453 melee damage on target',100,1,3),
(128022,108860,'Inflicts 271 - 453 melee damage on target',100,1,4),
(128023,10108860,'Inflicts 353 - 588 melee damage on target',100,1,0),
(128024,10108860,'Inflicts 353 - 588 melee damage on target',100,1,1),
(128025,10108860,'Inflicts 353 - 588 melee damage on target',100,1,2),
(128026,10108860,'Inflicts 353 - 588 melee damage on target',100,1,3),
(128027,10108860,'Inflicts 353 - 588 melee damage on target',100,1,4),
(128028,80639,'When Equipped:',100,0,0),
(128029,80639,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(128030,80639,'Decreases Threat to target by 236 ',100,2,2),
(128031,80639,'Must be flanking or behind',100,3,3),
(128032,80639,'Increases Threat to target by 236 ',100,2,4),
(128033,80639,'Must be in front of',100,3,5),
(128034,80639,'Inflicts 83 - 154 magic damage on target',100,2,6),
(128035,80639,'Cannot be modified except by direct means',100,2,7),
(128036,10080639,'When Equipped:',100,0,0),
(128037,10080639,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(128038,10080639,'Inflicts 108 - 200 magic damage on target',100,2,2),
(128039,10080639,'Cannot be modified except by direct means',100,2,3),
(128040,104840,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(128041,104840,'If Fighter',100,2,1),
(128042,104840,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(128043,104840,'Increases power of target by 54',100,2,3),
(128044,104840,'Increases power of caster by 54',100,2,4),
(128045,10104840,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(128046,10104840,'Increases power of target by 54',100,2,1),
(128047,10104840,'Increases power of caster by 54',100,2,2),
(128048,101760,'Heals group members (AE) for 178 - 217 instantly and every 2 seconds',100,1,0),
(128049,10101760,'Heals group members (AE) for 115 - 141 instantly and every 2 seconds',100,1,0),
(128050,165009,'When Equipped:',100,0,0),
(128051,165009,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(128052,165009,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(128053,165009,'Cannot be modified except by direct means',100,2,3),
(128054,10165009,'When Equipped:',100,0,0),
(128055,10165009,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(128056,10165009,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(128057,10165009,'Cannot be modified except by direct means',100,2,3),
(128058,123576,'Increases STR of group members (AE) by 39.4',100,1,0),
(128059,123576,'Increases Max Health of group members (AE) by 342.1',100,1,1),
(128060,10123576,'Increases STR of group members (AE) by 39.4',100,1,0),
(128061,10123576,'Increases Max Health of group members (AE) by 342.1',100,1,1),
(128062,111499,'Increases AGI of caster by 90.9',100,1,0),
(128063,111499,'Increases Attack Speed of caster by 42.7',100,1,1),
(128064,111499,'Increases in-combat movement speed of caster by 7.0%',100,1,2),
(128065,111499,'Adds 21.8% to base avoidance.',100,1,3),
(128066,111499,'Increases Mitigation of caster vs physical damage by 774',100,1,4),
(128067,111499,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,5),
(128068,10111499,'Increases AGI of caster by 90.9',100,1,0),
(128069,10111499,'Increases Attack Speed of caster by 42.7',100,1,1),
(128070,10111499,'Increases speed of caster by 7.0%',100,1,2),
(128071,10111499,'Adds 21.8% to base avoidance.',100,1,3),
(128072,10111499,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,4),
(128073,36930,'Increases Max Power of target by 3.3',100,0,0),
(128074,36930,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(128075,122300,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(128076,122300,'Inflicts 299 - 366 mental damage on target',100,2,1),
(128077,122300,'Grants a total of 3 triggers of the spell.',100,2,2),
(128078,10122300,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(128079,10122300,'Inflicts 389 - 475 mental damage on target',100,2,1),
(128080,10122300,'Grants a total of 3 triggers of the spell.',100,2,2),
(128081,121451,'Increases AGI of caster by 52.5',100,1,0),
(128082,121451,'Adds 17.2% to base avoidance.',100,1,1),
(128083,121451,'Increases Mitigation of caster vs physical damage by 514',100,1,2),
(128084,121451,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,3),
(128085,10121451,'Increases AGI of caster by 52.5',100,1,0),
(128086,10121451,'Adds 17.2% to base avoidance.',100,1,1),
(128087,10121451,'Increases Mitigation of caster vs physical damage by 514',100,1,2),
(128088,10121451,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,3),
(128089,118404,'Heals target for 127 - 155',100,1,0),
(128090,118404,'Increases Max Health of target by 15.2',100,1,1),
(128091,10118404,'Heals target for 147 - 180',100,1,0),
(128092,10118404,'Increases Max Health of target by 15.2',100,1,1),
(128093,36735,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(128094,111258,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(128095,111258,'Heals target for 998',100,2,1),
(128096,111258,'Increases Mitigation of target vs physical damage by 660',100,2,2),
(128097,111258,'Grants a total of 1 trigger of the spell.',100,2,3),
(128098,10111258,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(128099,10111258,'Heals target for 648',100,2,1),
(128100,10111258,'Increases Mitigation of target vs physical damage by 660',100,2,2),
(128101,10111258,'Grants a total of 1 trigger of the spell.',100,2,3),
(128102,113507,'Inflicts 491 - 818 melee damage on targets in area',100,1,0),
(128103,10113507,'Inflicts 638 - 1064 melee damage on targets in area',100,1,0),
(128104,37183,'Increases STA and AGI of target by 1.1',100,0,0),
(128105,37183,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(128106,36892,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(128107,48169,'Applies Spirit of the Hunt when Activated.',100,0,0),
(128108,48169,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(128109,10048169,'Applies Spirit of the Hunt when Activated.',100,0,0),
(128110,10048169,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(128111,123671,'Increases Damage Per Second of target by 29.4',100,1,0),
(128112,10123671,'Increases Damage Per Second of target by 29.4',100,1,0),
(128113,74619,'When Equipped:',100,0,0),
(128114,74619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128115,74619,'Inflicts 56 - 84 magic damage on target',100,2,2),
(128116,74619,'Cannot be modified except by direct means',100,2,3),
(128117,10074619,'When Equipped:',100,0,0),
(128118,10074619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128119,10074619,'Inflicts 73 - 110 magic damage on target',100,2,2),
(128120,10074619,'Cannot be modified except by direct means',100,2,3),
(128121,40850,'When Equipped:',100,0,0),
(128122,40850,'On a critical spell hit this spell may cast Demolishing Charge VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(128123,40850,'Increases Threat to target by 1,187 - 1,312 ',100,2,2),
(128124,40850,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(128125,40850,'Stuns target',100,3,4),
(128126,40850,'Throws target back',100,3,5),
(128127,40850,'Blurs vision of target',100,3,6),
(128128,40850,'Does not affect Epic targets',100,3,7),
(128129,40850,'Inflicts 900 - 994 crushing damage on target',100,2,8),
(128130,40850,'Must not be engaged in pvp combat',100,2,9),
(128131,40850,'Cannot be modified except by direct means',100,2,10),
(128132,40850,'On a critical combat hit this spell may cast Demolishing Charge VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(128133,40850,'Increases Threat to target by 1,187 - 1,312 ',100,2,12),
(128134,40850,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,13),
(128135,40850,'Stuns target',100,3,14),
(128136,40850,'Throws target back',100,3,15),
(128137,40850,'Blurs vision of target',100,3,16),
(128138,40850,'Does not affect Epic targets',100,3,17),
(128139,40850,'Inflicts 900 - 994 crushing damage on target',100,2,18),
(128140,40850,'Must not be engaged in pvp combat',100,2,19),
(128141,40850,'Cannot be modified except by direct means',100,2,20),
(128142,40850,'Must not be engaged in pvp combat',100,1,21),
(128143,10040850,'When Equipped:',100,0,0),
(128144,10040850,'On a critical spell hit this spell may cast Demolishing Charge VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(128145,10040850,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,2),
(128146,10040850,'Stuns target',100,3,3),
(128147,10040850,'Throws target back',100,3,4),
(128148,10040850,'Blurs vision of target',100,3,5),
(128149,10040850,'Does not affect Epic targets',100,3,6),
(128150,10040850,'Inflicts 1170 - 1293 crushing damage on target',100,2,7),
(128151,10040850,'Must not be engaged in pvp combat',100,2,8),
(128152,10040850,'Cannot be modified except by direct means',100,2,9),
(128153,10040850,'On a critical combat hit this spell may cast Demolishing Charge VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(128154,10040850,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,11),
(128155,10040850,'Stuns target',100,3,12),
(128156,10040850,'Throws target back',100,3,13),
(128157,10040850,'Blurs vision of target',100,3,14),
(128158,10040850,'Does not affect Epic targets',100,3,15),
(128159,10040850,'Inflicts 1170 - 1293 crushing damage on target',100,2,16),
(128160,10040850,'Must not be engaged in pvp combat',100,2,17),
(128161,10040850,'Cannot be modified except by direct means',100,2,18),
(128162,10040850,'Must not be engaged in pvp combat',100,1,19),
(128163,118643,'Inflicts 14 - 24 slashing damage on target',100,1,0),
(128164,10118643,'Inflicts 19 - 32 slashing damage on target',100,1,0),
(128165,117935,'Heals target for 75 - 92',100,1,0),
(128166,117935,'Increases Max Health of target by 8.5',100,1,1),
(128167,10117935,'Heals target for 86 - 105',100,1,0),
(128168,10117935,'Increases Max Health of target by 8.5',100,1,1),
(128169,106068,'Increases AGI of caster by 90.1',100,1,0),
(128170,106068,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(128171,106068,'Inflicts 195 - 325 disease damage on target',100,2,2),
(128172,106068,'Adds 14.8% to base avoidance.',100,1,3),
(128173,106068,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(128174,106068,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(128175,10106068,'Increases AGI of caster by 90.1',100,1,0),
(128176,10106068,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(128177,10106068,'Inflicts 253 - 422 disease damage on target',100,2,2),
(128178,10106068,'Adds 14.8% to base avoidance.',100,1,3),
(128179,10106068,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(128180,10106068,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(128181,115944,'Inflicts 1110 - 1850 melee damage on target',100,1,0),
(128182,115944,'Roots target',100,1,1),
(128183,115944,'If Target is not Epic',100,2,2),
(128184,115944,'5% chance to dispel when target takes damage',100,1,3),
(128185,115944,'Resistibility increases against targets higher than level 89.',100,1,4),
(128186,10115944,'Inflicts 1443 - 2406 melee damage on target',100,1,0),
(128187,10115944,'Roots target',100,1,1),
(128188,10115944,'If Target is not Epic',100,2,2),
(128189,10115944,'5% chance to dispel when target takes damage',100,1,3),
(128190,10115944,'Resistibility increases against targets higher than level 89.',100,1,4),
(128191,118936,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(128192,118936,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1186',100,1,1),
(128193,118936,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,2),
(128194,10118936,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(128195,10118936,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1186',100,1,1),
(128196,10118936,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,2),
(128197,119261,'Inflicts 24 - 41 slashing damage on target',100,1,0),
(128198,119261,'Decreases Damage Per Second of target by 7.4',100,1,1),
(128199,119261,'Inflicts 33 slashing damage on target instantly and every 4 seconds',100,1,2),
(128200,10119261,'Inflicts 32 - 53 slashing damage on target',100,1,0),
(128201,10119261,'Decreases Damage Per Second of target by 7.4',100,1,1),
(128202,10119261,'Inflicts 43 slashing damage on target instantly and every 4 seconds',100,1,2),
(128203,54436,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(128204,54436,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(128205,54436,'Inflicts 91 heat damage on target',100,2,2),
(128206,54436,'Cannot be modified except by direct means',100,2,3),
(128207,10054436,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(128208,10054436,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(128209,10054436,'Inflicts 118 heat damage on target',100,2,2),
(128210,10054436,'Cannot be modified except by direct means',100,2,3),
(128211,115608,'Shapechanges caster into a ghost',100,1,0),
(128212,10115608,'Shapechanges caster into a ghost',100,1,0),
(128213,48998,'Applies Dark Invocation when Activated.',100,0,0),
(128214,10048998,'Applies Dark Invocation when Activated.',100,0,0),
(128215,114851,'Decreases AGI of target by 16.5',100,1,0),
(128216,114851,'Decreases Defense of target by 6.3',100,1,1),
(128217,10114851,'Decreases AGI of target by 16.5',100,1,0),
(128218,10114851,'Decreases Defense of target by 6.3',100,1,1),
(128219,116653,'Heals group members (AE) for 130 - 158',100,1,0),
(128220,10116653,'Heals group members (AE) for 84 - 103',100,1,0),
(128221,36179,'Increases STR of target by 1.1',100,0,0),
(128222,36179,'Target will Parry 0.2% of incoming attacks',100,0,1),
(128223,36179,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,2),
(128224,122913,'Increases STR and INT of group members (AE) by 64.1',100,1,0),
(128225,10122913,'Increases STR and INT of group members (AE) by 64.1',100,1,0),
(128226,37024,'Increases INT of target by 1.5',100,0,0),
(128227,37024,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(128228,81784,'When Equipped:',100,0,0),
(128229,81784,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128230,81784,'Inflicts 148 - 274 magic damage on target',100,2,2),
(128231,81784,'Cannot be modified except by direct means',100,2,3),
(128232,10081784,'When Equipped:',100,0,0),
(128233,10081784,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128234,10081784,'Inflicts 192 - 356 magic damage on target',100,2,2),
(128235,10081784,'Cannot be modified except by direct means',100,2,3),
(128236,47078,'Applies Fall Asleep and Enter Astra when Activated.',100,0,0),
(128237,47078,'This effect cannot be cast during combat',100,1,1),
(128238,47078,'Must be in The City of Freeport.',100,1,2),
(128239,10047078,'Applies Fall Asleep and Enter Astra when Activated.',100,0,0),
(128240,10047078,'This effect cannot be cast during combat',100,1,1),
(128241,10047078,'Must be in The City of Freeport.',100,1,2),
(128242,71707,'When Equipped:',100,0,0),
(128243,71707,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(128244,71707,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(128245,71707,'Cannot be modified except by direct means',100,2,3),
(128246,10071707,'When Equipped:',100,0,0),
(128247,10071707,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(128248,10071707,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(128249,10071707,'Cannot be modified except by direct means',100,2,3),
(128250,42715,'When Equipped:',100,0,0),
(128251,42715,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128252,42715,'Inflicts 68 - 83 poison damage on target',100,2,2),
(128253,42715,'Cannot be modified except by direct means',100,2,3),
(128254,10042715,'When Equipped:',100,0,0),
(128255,10042715,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128256,10042715,'Inflicts 89 - 108 poison damage on target',100,2,2),
(128257,10042715,'Cannot be modified except by direct means',100,2,3),
(128258,87162,'When Equipped:',100,0,0),
(128259,87162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128260,87162,'Inflicts 64 - 97 magic damage on target',100,2,2),
(128261,87162,'Cannot be modified except by direct means',100,2,3),
(128262,10087162,'When Equipped:',100,0,0),
(128263,10087162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128264,10087162,'Inflicts 84 - 125 magic damage on target',100,2,2),
(128265,10087162,'Cannot be modified except by direct means',100,2,3),
(128266,112436,'Mesmerizes target',100,1,0),
(128267,112436,'Prevents AOE (except when direct) ',100,1,1),
(128268,112436,'Dispelled when target takes damage',100,1,2),
(128269,112436,'Does not affect Epic targets',100,1,3),
(128270,112436,'Resistibility increases against targets higher than level 67.',100,1,4),
(128271,10112436,'Mesmerizes target',100,1,0),
(128272,10112436,'Prevents AOE (except when direct) ',100,1,1),
(128273,10112436,'Dispelled when target takes damage',100,1,2),
(128274,10112436,'Does not affect Epic targets',100,1,3),
(128275,10112436,'Resistibility increases against targets higher than level 67.',100,1,4),
(128276,101490,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(128277,101490,'Increases Mitigation of group members (AE) vs arcane damage by 882',100,1,1),
(128278,10101490,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(128279,10101490,'Increases Mitigation of group members (AE) vs arcane damage by 882',100,1,1),
(128280,45266,'Applies Petamorph: Osseous Colossus when Activated.  Lasts for 2 hours.',100,0,0),
(128281,45266,'Reanimates the caster''s combat pet into an Awakened Osseous Colossus. Does not work on cosmetic pets.',100,1,1),
(128282,10045266,'Applies Petamorph: Osseous Colossus when Activated.  Lasts for 2 hours.',100,0,0),
(128283,10045266,'Reanimates the caster''s combat pet into an Awakened Osseous Colossus. Does not work on cosmetic pets.',100,1,1),
(128284,45081,'Applies Warm Field of Suppression when Activated.',100,0,0),
(128285,45081,'Activates a suppression field that may weaken some magic used by denizens in Miragul''s Planar Shard.  This need only be used once per instance of the zone.',100,1,1),
(128286,45081,'Must be in Miragul''s Planar Shard.',100,1,2),
(128287,10045081,'Applies Warm Field of Suppression when Activated.',100,0,0),
(128288,10045081,'Activates a suppression field that may weaken some magic used by denizens in Miragul''s Planar Shard.  This need only be used once per instance of the zone.',100,1,1),
(128289,10045081,'Must be in Miragul''s Planar Shard.',100,1,2),
(128290,71709,'When Equipped:',100,0,0),
(128291,71709,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(128292,71709,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(128293,71709,'Cannot be modified except by direct means',100,2,3),
(128294,10071709,'When Equipped:',100,0,0),
(128295,10071709,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(128296,10071709,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(128297,10071709,'Cannot be modified except by direct means',100,2,3),
(128298,87229,'When Equipped:',100,0,0),
(128299,87229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128300,87229,'Inflicts 76 - 114 magic damage on target',100,2,2),
(128301,87229,'Cannot be modified except by direct means',100,2,3),
(128302,10087229,'When Equipped:',100,0,0),
(128303,10087229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128304,10087229,'Inflicts 98 - 148 magic damage on target',100,2,2),
(128305,10087229,'Cannot be modified except by direct means',100,2,3),
(128306,107946,'Mesmerizes target',100,1,0),
(128307,107946,'Prevents AOE (except when direct) ',100,1,1),
(128308,107946,'Dispelled when target takes damage',100,1,2),
(128309,107946,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(128310,107946,'Resistibility increases against targets higher than level 116.',100,1,4),
(128311,10107946,'Mesmerizes target',100,1,0),
(128312,10107946,'Prevents AOE (except when direct) ',100,1,1),
(128313,10107946,'Dispelled when target takes damage',100,1,2),
(128314,10107946,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(128315,10107946,'Resistibility increases against targets higher than level 116.',100,1,4),
(128316,41993,'When Equipped:',100,0,0),
(128317,41993,'On a critical combat hit this spell may cast Mana Deluge on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(128318,41993,'Inflicts 29 - 32 crushing damage on target',100,2,2),
(128319,41993,'Increases power of caster by 15',100,2,3),
(128320,41993,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,4),
(128321,41993,'Must not be engaged in pvp combat',100,2,5),
(128322,41993,'Cannot be modified except by direct means',100,2,6),
(128323,41993,'On a critical spell hit this spell may cast Mana Deluge on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(128324,41993,'Inflicts 29 - 32 crushing damage on target',100,2,8),
(128325,41993,'Increases power of caster by 15',100,2,9),
(128326,41993,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,10),
(128327,41993,'Must not be engaged in pvp combat',100,2,11),
(128328,41993,'Cannot be modified except by direct means',100,2,12),
(128329,41993,'Must not be engaged in pvp combat',100,1,13),
(128330,10041993,'When Equipped:',100,0,0),
(128331,10041993,'On a critical combat hit this spell may cast Mana Deluge on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(128332,10041993,'Inflicts 37 - 41 crushing damage on target',100,2,2),
(128333,10041993,'Increases power of caster by 15',100,2,3),
(128334,10041993,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,4),
(128335,10041993,'Must not be engaged in pvp combat',100,2,5),
(128336,10041993,'Cannot be modified except by direct means',100,2,6),
(128337,10041993,'On a critical spell hit this spell may cast Mana Deluge on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(128338,10041993,'Inflicts 37 - 41 crushing damage on target',100,2,8),
(128339,10041993,'Increases power of caster by 15',100,2,9),
(128340,10041993,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,10),
(128341,10041993,'Must not be engaged in pvp combat',100,2,11),
(128342,10041993,'Cannot be modified except by direct means',100,2,12),
(128343,10041993,'Must not be engaged in pvp combat',100,1,13),
(128344,46540,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(128345,46540,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(128346,46540,'Inflicts 56 magic damage on target',100,2,2),
(128347,46540,'Cannot be modified except by direct means',100,2,3),
(128348,10046540,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(128349,10046540,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(128350,10046540,'Inflicts 73 magic damage on target',100,2,2),
(128351,10046540,'Cannot be modified except by direct means',100,2,3),
(128352,48474,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(128353,48474,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(128354,48474,'Stifles target',100,2,2),
(128355,48474,'If Target is not Epic',100,3,3),
(128356,48474,'Cannot be modified except by direct means',100,2,4),
(128357,48474,'Grants a total of 4 triggers of the spell.',100,2,5),
(128358,10048474,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(128359,10048474,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(128360,10048474,'Stifles target',100,2,2),
(128361,10048474,'If Target is not Epic',100,3,3),
(128362,10048474,'Cannot be modified except by direct means',100,2,4),
(128363,10048474,'Grants a total of 4 triggers of the spell.',100,2,5),
(128364,54388,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(128365,54388,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(128366,54388,'Inflicts 35 heat damage on target',100,2,2),
(128367,54388,'Cannot be modified except by direct means',100,2,3),
(128368,10054388,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(128369,10054388,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(128370,10054388,'Inflicts 46 heat damage on target',100,2,2),
(128371,10054388,'Cannot be modified except by direct means',100,2,3),
(128372,114102,'Inflicts 618 - 1030 melee damage on targets in area',100,1,0),
(128373,114102,'You must be in stealth to use this!',100,1,1),
(128374,10114102,'Inflicts 804 - 1340 melee damage on targets in area',100,1,0),
(128375,10114102,'You must be in stealth to use this!',100,1,1),
(128376,144286,'When Equipped:',100,0,0),
(128377,144286,'Increases the caster''s heals and wards by 5%.',100,1,1),
(128378,144286,'Must not be engaged in pvp combat',100,1,2),
(128379,10144286,'When Equipped:',100,0,0),
(128380,10144286,'Increases the caster''s heals and wards by 5%.',100,1,1),
(128381,10144286,'Must not be engaged in pvp combat',100,1,2),
(128382,119358,'Inflicts 350 - 525 disease damage on target',100,1,0),
(128383,119358,'Inflicts 140 - 210 disease damage on target every 4 seconds',100,1,1),
(128384,10119358,'Inflicts 455 - 683 disease damage on target',100,1,0),
(128385,10119358,'Inflicts 182 - 273 disease damage on target every 4 seconds',100,1,1),
(128386,182532,'When Equipped:',100,0,0),
(128387,182532,'Increases healing received by 5.00%',100,1,1),
(128388,182532,'Must not be engaged in pvp combat',100,1,2),
(128389,10182532,'When Equipped:',100,0,0),
(128390,10182532,'Increases healing received by 5.00%',100,1,1),
(128391,10182532,'Must not be engaged in pvp combat',100,1,2),
(128392,108523,'Increases AGI and WIS of group members (AE) by 50.1',100,1,0),
(128393,108523,'Adds 2.1% to base avoidance.',100,1,1),
(128394,108523,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 142',100,1,2),
(128395,10108523,'Increases AGI and WIS of group members (AE) by 50.1',100,1,0),
(128396,10108523,'Adds 2.1% to base avoidance.',100,1,1),
(128397,10108523,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 142',100,1,2),
(128398,164986,'When Equipped:',100,0,0),
(128399,164986,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(128400,10164986,'When Equipped:',100,0,0),
(128401,10164986,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(128402,119426,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(128403,119426,'Stuns target',100,2,1),
(128404,119426,'Throws target back',100,2,2),
(128405,119426,'Blurs vision of target',100,2,3),
(128406,119426,'Does not affect Epic targets',100,2,4),
(128407,119426,'Inflicts 466 - 776 melee damage on target',100,1,5),
(128408,119426,'You must be sneaking to use this ability.',100,1,6),
(128409,10119426,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(128410,10119426,'Stuns target',100,2,1),
(128411,10119426,'Throws target back',100,2,2),
(128412,10119426,'Blurs vision of target',100,2,3),
(128413,10119426,'Does not affect Epic targets',100,2,4),
(128414,10119426,'Inflicts 605 - 1009 melee damage on target',100,1,5),
(128415,10119426,'You must be sneaking to use this ability.',100,1,6),
(128416,112510,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(128417,112510,'80% of target''s power consumed will also be drained from target''s health',100,2,1),
(128418,112510,'Inflicts 136 disease damage on target instantly and every 4 seconds',100,2,2),
(128419,10112510,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(128420,10112510,'80% of target''s power consumed will also be drained from target''s health',100,2,1),
(128421,10112510,'Inflicts 177 disease damage on target instantly and every 4 seconds',100,2,2),
(128422,49191,'Applies Call Ykeshan Warbear when Activated.',100,0,0),
(128423,49191,'Summons a mount to ride',100,1,1),
(128424,49191,'Increases your ground speed by 130%',100,2,2),
(128425,49191,'Decreases Hate Gain of caster by 3.0%',100,1,3),
(128426,49191,'If not fighter',100,2,4),
(128427,49191,'Increases Hate Gain of caster by 3.0%',100,1,5),
(128428,49191,'If fighter',100,2,6),
(128429,49191,'Increases Max Health of caster by 250.0',100,1,7),
(128430,10049191,'Applies Call Ykeshan Warbear when Activated.',100,0,0),
(128431,10049191,'Summons a mount to ride',100,1,1),
(128432,10049191,'Increases your ground speed by 130%',100,2,2),
(128433,10049191,'Increases Max Health of caster by 250.0',100,1,3),
(128434,101974,'Inflicts 1321 - 2453 heat damage on target',100,1,0),
(128435,10101974,'Inflicts 1717 - 3189 heat damage on target',100,1,0),
(128436,106865,'Decreases Threat to targets in Area of Effect by 520 ',100,1,0),
(128437,106865,'Stuns targets in Area of Effect',100,1,1),
(128438,106865,'If Target is not Epic',100,2,2),
(128439,10106865,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(128440,10106865,'Applies Distract.',100,1,1),
(128441,10106865,'Forces target to clear their selected target.',100,2,2),
(128442,10106865,'Stuns targets in Area of Effect',100,1,3),
(128443,10106865,'If Target is not Epic',100,2,4),
(128444,72058,'When Equipped:',100,0,0),
(128445,72058,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(128446,72058,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(128447,72058,'Cannot be modified except by direct means',100,2,3),
(128448,10072058,'When Equipped:',100,0,0),
(128449,10072058,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(128450,10072058,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(128451,10072058,'Cannot be modified except by direct means',100,2,3),
(128452,24299,'Adds Dire Bear (Templar) to your Dungeon Maker toolbox',100,0,0),
(128453,10024299,'Adds Dire Bear (Templar) to your Dungeon Maker toolbox',100,0,0),
(128454,119065,'Decreases power of target by 320 - 533',100,1,0),
(128455,119065,'Increases power of caster by 124 - 207',100,1,1),
(128456,119065,'Inflicts 341 - 569 mental damage on target',100,1,2),
(128457,10119065,'Decreases power of target by 320 - 533',100,1,0),
(128458,10119065,'Increases power of caster by 124 - 207',100,1,1),
(128459,10119065,'Inflicts 443 - 739 mental damage on target',100,1,2),
(128460,79668,'When Equipped:',100,0,0),
(128461,79668,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(128462,79668,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(128463,79668,'Inflicts 401 mental damage on target',100,2,3),
(128464,79668,'Must not be classified as an undead',100,3,4),
(128465,79668,'Inflicts 802 mental damage on target',100,2,5),
(128466,79668,'Must be classified as an undead',100,3,6),
(128467,79668,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(128468,79668,'Must be classified as an undead',100,3,8),
(128469,79668,'Cannot be modified except by direct means',100,2,9),
(128470,10079668,'When Equipped:',100,0,0),
(128471,10079668,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(128472,10079668,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(128473,10079668,'Inflicts 521 mental damage on target',100,2,3),
(128474,10079668,'Must not be classified as an undead',100,3,4),
(128475,10079668,'Inflicts 1043 mental damage on target',100,2,5),
(128476,10079668,'Must be classified as an undead',100,3,6),
(128477,10079668,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(128478,10079668,'Must be classified as an undead',100,3,8),
(128479,10079668,'Cannot be modified except by direct means',100,2,9),
(128480,112064,'Inflicts 4 - 7 heat damage on target instantly and every 2 seconds',100,1,0),
(128481,10112064,'Inflicts 14 - 23 heat damage on target instantly and every 2 seconds',100,1,0),
(128482,100080,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(128483,10100080,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(128484,107765,'Stuns target',100,1,0),
(128485,107765,'If Target is not Epic',100,2,1),
(128486,107765,'Inflicts 1332 - 2220 cold damage on target',100,1,2),
(128487,107765,'Resistibility increases against targets higher than level 87.',100,1,3),
(128488,10107765,'Stuns target',100,1,0),
(128489,10107765,'If Target is not Epic',100,2,1),
(128490,10107765,'Inflicts 1732 - 2886 cold damage on target',100,1,2),
(128491,10107765,'Resistibility increases against targets higher than level 87.',100,1,3),
(128492,46503,'Applies Gnomish Gent''s Mechanicized Facade when Activated.  Lasts for 30 minutes.',100,0,0),
(128493,46503,'When you absolutely, positively have to be a clockwork gnome.  In 10 seconds or less.',100,1,1),
(128494,10046503,'Applies Gnomish Gent''s Mechanicized Facade when Activated.  Lasts for 30 minutes.',100,0,0),
(128495,10046503,'When you absolutely, positively have to be a clockwork gnome.  In 10 seconds or less.',100,1,1),
(128496,47937,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(128497,47937,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(128498,47937,'Decreases Threat to target by 15,022 - 18,361 ',100,2,2),
(128499,47937,'Cannot be modified except by direct means',100,2,3),
(128500,47937,'Grants a total of 100 triggers of the spell.',100,2,4),
(128501,10047937,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(128502,10047937,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(128503,10047937,'5% chance to apply Distract.',100,2,2),
(128504,10047937,'Forces target to clear their selected target.',100,3,3),
(128505,10047937,'Cannot be modified except by direct means',100,2,4),
(128506,10047937,'Grants a total of 100 triggers of the spell.',100,2,5),
(128507,87126,'When Equipped:',100,0,0),
(128508,87126,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128509,87126,'Inflicts 237 - 356 magic damage on target',100,2,2),
(128510,87126,'Cannot be modified except by direct means',100,2,3),
(128511,10087126,'When Equipped:',100,0,0),
(128512,10087126,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128513,10087126,'Inflicts 308 - 463 magic damage on target',100,2,2),
(128514,10087126,'Cannot be modified except by direct means',100,2,3),
(128515,82406,'When Equipped:',100,0,0),
(128516,82406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128517,82406,'Inflicts 169 - 315 magic damage on target',100,2,2),
(128518,82406,'Cannot be modified except by direct means',100,2,3),
(128519,10082406,'When Equipped:',100,0,0),
(128520,10082406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128521,10082406,'Inflicts 220 - 409 magic damage on target',100,2,2),
(128522,10082406,'Cannot be modified except by direct means',100,2,3),
(128523,80918,'When Equipped:',100,0,0),
(128524,80918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128525,80918,'Inflicts 288 - 534 magic damage on target',100,2,2),
(128526,80918,'Cannot be modified except by direct means',100,2,3),
(128527,10080918,'When Equipped:',100,0,0),
(128528,10080918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128529,10080918,'Inflicts 374 - 695 magic damage on target',100,2,2),
(128530,10080918,'Cannot be modified except by direct means',100,2,3),
(128531,37314,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(128532,110534,'Increases Threat to target by 686  instantly and by 286  every 3 seconds thereafter',100,1,0),
(128533,110534,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(128534,110534,'Stuns target',100,2,2),
(128535,110534,'Throws target back',100,2,3),
(128536,110534,'Blurs vision of target',100,2,4),
(128537,110534,'Does not affect Epic targets',100,2,5),
(128538,110534,'Inflicts 177 - 295 disease damage on target',100,1,6),
(128539,10110534,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(128540,10110534,'Stuns target',100,2,1),
(128541,10110534,'Throws target back',100,2,2),
(128542,10110534,'Blurs vision of target',100,2,3),
(128543,10110534,'Does not affect Epic targets',100,2,4),
(128544,10110534,'Forces target to change their selected target to caster.',100,1,5),
(128545,10110534,'Inflicts 192 - 320 disease damage on target',100,1,6),
(128546,10110534,'Prevents target from changing targets',100,1,7),
(128547,26132,'When Equipped:',100,0,0),
(128548,26132,'This effect will not stack with itself.',100,1,1),
(128549,26132,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(128550,10026132,'When Equipped:',100,0,0),
(128551,10026132,'This effect will not stack with itself.',100,1,1),
(128552,10026132,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(128553,26584,'When Equipped:',100,0,0),
(128554,26584,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(128555,26584,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(128556,10026584,'When Equipped:',100,0,0),
(128557,10026584,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(128558,10026584,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(128559,116691,'Heals group members (AE) for 10.8 - 13.2% of max health',100,1,0),
(128560,116691,'This effect cannot be critically applied.',100,2,1),
(128561,116691,'Increases Max Health of group members (AE) by 709.8',100,1,2),
(128562,116691,'The healing of this spell cannot be modified except by direct means',100,1,3),
(128563,10116691,'Heals group members (AE) for 3.4 - 4.2% of max health',100,1,0),
(128564,10116691,'This effect cannot be critically applied.',100,2,1),
(128565,10116691,'Increases Max Health of group members (AE) by 709.8',100,1,2),
(128566,10116691,'The healing of this spell cannot be modified except by direct means',100,1,3),
(128567,89631,'When Equipped:',100,0,0),
(128568,89631,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(128569,89631,'When Equipped:',100,0,2),
(128570,89631,'Reduces reuse time of beneficial spells by 2 percent.',100,1,3),
(128571,10089631,'When Equipped:',100,0,0),
(128572,10089631,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(128573,10089631,'When Equipped:',100,0,2),
(128574,10089631,'Reduces reuse time of beneficial spells by 2 percent.',100,1,3),
(128575,87462,'When Equipped:',100,0,0),
(128576,87462,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128577,87462,'Inflicts 44 - 66 magic damage on target',100,2,2),
(128578,87462,'Cannot be modified except by direct means',100,2,3),
(128579,10087462,'When Equipped:',100,0,0),
(128580,10087462,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128581,10087462,'Inflicts 57 - 85 magic damage on target',100,2,2),
(128582,10087462,'Cannot be modified except by direct means',100,2,3),
(128583,177693,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(128584,177693,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(128585,177693,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(128586,177693,'Cannot be modified except by direct means',100,2,3),
(128587,10177693,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(128588,10177693,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(128589,10177693,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(128590,10177693,'Cannot be modified except by direct means',100,2,3),
(128591,119101,'Inflicts 191 - 575 melee damage on targets in area',100,1,0),
(128592,119101,'Inflicts 191 - 575 melee damage on targets in area',100,1,1),
(128593,119101,'Inflicts 191 - 575 melee damage on targets in area',100,1,2),
(128594,119101,'Inflicts 191 - 575 melee damage on targets in area',100,1,3),
(128595,10119101,'Inflicts 249 - 748 melee damage on targets in area',100,1,0),
(128596,10119101,'Inflicts 249 - 748 melee damage on targets in area',100,1,1),
(128597,10119101,'Inflicts 249 - 748 melee damage on targets in area',100,1,2),
(128598,10119101,'Inflicts 249 - 748 melee damage on targets in area',100,1,3),
(128599,110812,'Inflicts 61 - 83 mental damage on target',100,1,0),
(128600,110812,'Interrupts target',100,1,1),
(128601,10110812,'Inflicts 80 - 108 mental damage on target',100,1,0),
(128602,10110812,'Interrupts target',100,1,1),
(128603,36910,'Increases STR of target by 1.5',100,0,0),
(128604,36910,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(128605,107666,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1704',100,1,0),
(128606,10107666,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1704',100,1,0),
(128607,120603,'Inflicts 255 - 473 heat damage on target',100,1,0),
(128608,10120603,'Inflicts 331 - 615 heat damage on target',100,1,0),
(128609,101165,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(128610,101165,'Inflicts 987 ranged damage on target',100,2,1),
(128611,101165,'Decreases Defense of caster by 29.8',100,1,2),
(128612,101165,'Increases Crushing, Piercing, Ranged and Slashing of caster by 74.4',100,1,3),
(128613,10101165,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(128614,10101165,'Inflicts 839 ranged damage on target',100,2,1),
(128615,10101165,'Decreases Defense of caster by 29.8',100,1,2),
(128616,10101165,'Increases Crushing, Piercing, Ranged and Slashing of caster by 74.4',100,1,3),
(128617,73129,'When Equipped:',100,0,0),
(128618,73129,'On a combat hit this spell may cast Ferrin''s Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128619,73129,'Inflicts 389 - 648 heat damage on target',100,2,2),
(128620,73129,'Cannot be modified except by direct means',100,2,3),
(128621,10073129,'When Equipped:',100,0,0),
(128622,10073129,'On a combat hit this spell may cast Ferrin''s Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128623,10073129,'Inflicts 505 - 842 heat damage on target',100,2,2),
(128624,10073129,'Cannot be modified except by direct means',100,2,3),
(128625,102532,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(128626,102532,'Increases Aggression of caster by 13.3',100,1,1),
(128627,102532,'Increases Defense and Parry of caster by 26.6',100,1,2),
(128628,102532,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(128629,10102532,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(128630,10102532,'Increases Aggression of caster by 13.3',100,1,1),
(128631,10102532,'Increases Defense and Parry of caster by 26.6',100,1,2),
(128632,10102532,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(128633,46772,'Applies Proof of Conspiracy when Activated.',100,0,0),
(128634,46772,'Chief Conspirator Leninov''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Leninov''s wrath. You feel it would be wise to not mention that you gathered this from Leninov''s corpse...',100,1,1),
(128635,10046772,'Applies Proof of Conspiracy when Activated.',100,0,0),
(128636,10046772,'Chief Conspirator Leninov''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Leninov''s wrath. You feel it would be wise to not mention that you gathered this from Leninov''s corpse...',100,1,1),
(128637,47632,'Applies Prayer of Escape when Activated.',100,0,0),
(128638,47632,'Teleports caster and caster''s group within the zone',100,1,1),
(128639,10047632,'Applies Prayer of Escape when Activated.',100,0,0),
(128640,10047632,'Teleports caster and caster''s group within the zone',100,1,1),
(128641,104316,'Charms target',100,1,0),
(128642,104316,'Increases Out-of-Combat Power Regeneration of target by 3.6',100,1,1),
(128643,104316,'Increases Out-of-Combat Health Regeneration of target by 7.2',100,1,2),
(128644,104316,'If outside an arena',100,1,3),
(128645,104316,'Certain enemies cannot be charmed',100,1,4),
(128646,104316,'Only affects targets level 24 and below',100,1,5),
(128647,104316,'Does not affect Epic targets',100,1,6),
(128648,10104316,'Charms target',100,1,0),
(128649,10104316,'Increases Out-of-Combat Power Regeneration of target by 3.6',100,1,1),
(128650,10104316,'Increases Out-of-Combat Health Regeneration of target by 7.2',100,1,2),
(128651,10104316,'If outside an arena',100,1,3),
(128652,10104316,'Certain enemies cannot be charmed',100,1,4),
(128653,10104316,'Only affects targets level 24 and below',100,1,5),
(128654,10104316,'Does not affect Epic targets',100,1,6),
(128655,24246,'Adds Cyclops (Fury)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(128656,10024246,'Adds Cyclops (Fury)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(128657,45341,'Applies Black Two Tone Warg with Purple Armor when Activated.',100,0,0),
(128658,45341,'Summons a mount to ride',100,1,1),
(128659,45341,'Increases your ground speed by 130%',100,2,2),
(128660,45341,'Increases damage done by spells and combat arts by up to 50.',100,1,3),
(128661,45341,'Increases Ranged, Piercing, Disruption, Slashing and Crushing of caster by 7.0',100,1,4),
(128662,10045341,'Applies Black Two Tone Warg with Purple Armor when Activated.',100,0,0),
(128663,10045341,'Summons a mount to ride',100,1,1),
(128664,10045341,'Increases your ground speed by 130%',100,2,2),
(128665,10045341,'Increases damage done by spells and combat arts by up to 50.',100,1,3),
(128666,10045341,'Increases Ranged, Piercing, Disruption, Slashing and Crushing of caster by 7.0',100,1,4),
(128667,141812,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(128668,141812,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(128669,141812,'Inflicts 47 heat damage on target',100,2,2),
(128670,141812,'Cannot be modified except by direct means',100,2,3),
(128671,10141812,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(128672,10141812,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(128673,10141812,'Inflicts 61 heat damage on target',100,2,2),
(128674,10141812,'Cannot be modified except by direct means',100,2,3),
(128675,108806,'Inflicts 352 - 653 heat damage on targets in Area of Effect',100,1,0),
(128676,10108806,'Inflicts 457 - 849 heat damage on targets in Area of Effect',100,1,0),
(128677,110598,'Decreases Focus of target by 13.9',100,1,0),
(128678,110598,'Interrupts target',100,1,1),
(128679,110598,'Inflicts 77 - 233 crushing damage on target',100,1,2),
(128680,10110598,'Decreases Focus of target by 13.9',100,1,0),
(128681,10110598,'Interrupts target',100,1,1),
(128682,10110598,'Inflicts 101 - 303 crushing damage on target',100,1,2),
(128683,118766,'Increases INT and WIS of group members (AE) by 64.1',100,1,0),
(128684,118766,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 188',100,1,1),
(128685,10118766,'Increases INT and WIS of group members (AE) by 64.1',100,1,0),
(128686,10118766,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 188',100,1,1),
(128687,51059,'When Equipped:',100,0,0),
(128688,51059,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(128689,51059,'When Equipped:',100,0,2),
(128690,51059,'Reduces reuse time of beneficial spells by 5 percent.',100,1,3),
(128691,10051059,'When Equipped:',100,0,0),
(128692,10051059,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(128693,10051059,'When Equipped:',100,0,2),
(128694,10051059,'Reduces reuse time of beneficial spells by 5 percent.',100,1,3),
(128695,104003,'Interrupts targets in Area of Effect',100,1,0),
(128696,104003,'Inflicts 282 - 523 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(128697,10104003,'Interrupts targets in Area of Effect',100,1,0),
(128698,10104003,'Inflicts 366 - 680 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(128699,111603,'Inflicts 47 - 88 cold damage on target instantly and every 4 seconds',100,1,0),
(128700,111603,'Decreases Mitigation of target vs elemental damage by 550',100,1,1),
(128701,10111603,'Inflicts 61 - 114 cold damage on target instantly and every 4 seconds',100,1,0),
(128702,10111603,'Decreases Mitigation of target vs elemental damage by 550',100,1,1),
(128703,124113,'Increases power of caster by 182',100,1,0),
(128704,10124113,'Increases power of caster by 182',100,1,0),
(128705,80334,'When Equipped:',100,0,0),
(128706,80334,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128707,80334,'Inflicts 67 - 124 magic damage on target',100,2,2),
(128708,80334,'Cannot be modified except by direct means',100,2,3),
(128709,10080334,'When Equipped:',100,0,0),
(128710,10080334,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128711,10080334,'Inflicts 87 - 161 magic damage on target',100,2,2),
(128712,10080334,'Cannot be modified except by direct means',100,2,3),
(128713,118948,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(128714,118948,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,1),
(128715,118948,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,2),
(128716,10118948,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(128717,10118948,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,1),
(128718,10118948,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,2),
(128719,81936,'When Equipped:',100,0,0),
(128720,81936,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128721,81936,'Inflicts 408 - 757 magic damage on target',100,2,2),
(128722,81936,'Cannot be modified except by direct means',100,2,3),
(128723,10081936,'When Equipped:',100,0,0),
(128724,10081936,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128725,10081936,'Inflicts 530 - 984 magic damage on target',100,2,2),
(128726,10081936,'Cannot be modified except by direct means',100,2,3),
(128727,75659,'When Equipped:',100,0,0),
(128728,75659,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(128729,75659,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(128730,75659,'Inflicts 1069 - 1182 disease damage on target instantly and every 2 seconds',100,2,3),
(128731,75659,'Must not be engaged in pvp combat',100,2,4),
(128732,75659,'Cannot be modified except by direct means',100,2,5),
(128733,75659,'Cannot be modified except by direct means',100,1,6),
(128734,10075659,'When Equipped:',100,0,0),
(128735,10075659,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(128736,10075659,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(128737,10075659,'Inflicts 1390 - 1536 disease damage on target instantly and every 2 seconds',100,2,3),
(128738,10075659,'Must not be engaged in pvp combat',100,2,4),
(128739,10075659,'Cannot be modified except by direct means',100,2,5),
(128740,10075659,'Cannot be modified except by direct means',100,1,6),
(128741,124450,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(128742,124450,'Inflicts 306 - 510 melee damage on target',100,2,1),
(128743,124450,'Decreases Defense of caster by 17.7',100,1,2),
(128744,124450,'Increases Slashing, Piercing, Ranged and Crushing of caster by 31.9',100,1,3),
(128745,10124450,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(128746,10124450,'Inflicts 397 - 663 melee damage on target',100,2,1),
(128747,10124450,'Decreases Defense of caster by 17.7',100,1,2),
(128748,10124450,'Increases Slashing, Piercing, Ranged and Crushing of caster by 31.9',100,1,3),
(128749,107989,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(128750,107989,'Increases Mitigation of group members (AE) vs elemental damage by 302',100,1,1),
(128751,10107989,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(128752,10107989,'Increases Mitigation of group members (AE) vs elemental damage by 302',100,1,1),
(128753,173625,'When Equipped:',100,0,0),
(128754,173625,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(128755,173625,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(128756,173625,'Increases Potency of caster by 11.0%',100,2,3),
(128757,173625,'Must not be engaged in pvp combat',100,2,4),
(128758,173625,'Cannot be modified except by direct means',100,2,5),
(128759,173625,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(128760,173625,'Increases Potency of caster by 11.0%',100,2,7),
(128761,173625,'Must not be engaged in pvp combat',100,2,8),
(128762,173625,'Cannot be modified except by direct means',100,2,9),
(128763,173625,'Cannot be modified except by direct means',100,1,10),
(128764,10173625,'When Equipped:',100,0,0),
(128765,10173625,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(128766,10173625,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(128767,10173625,'Increases Potency of caster by 11.0%',100,2,3),
(128768,10173625,'Must not be engaged in pvp combat',100,2,4),
(128769,10173625,'Cannot be modified except by direct means',100,2,5),
(128770,10173625,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(128771,10173625,'Increases Potency of caster by 11.0%',100,2,7),
(128772,10173625,'Must not be engaged in pvp combat',100,2,8),
(128773,10173625,'Cannot be modified except by direct means',100,2,9),
(128774,10173625,'Cannot be modified except by direct means',100,1,10),
(128775,37493,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(128776,109489,'Inflicts 420 - 701 cold damage on target',100,1,0),
(128777,10109489,'Inflicts 547 - 911 cold damage on target',100,1,0),
(128778,119858,'Dazes target',100,1,0),
(128779,119858,'Does not affect Epic targets',100,1,1),
(128780,119858,'Resistibility increases against targets higher than level 115.',100,1,2),
(128781,10119858,'Dazes target',100,1,0),
(128782,10119858,'Does not affect Epic targets',100,1,1),
(128783,10119858,'Resistibility increases against targets higher than level 115.',100,1,2),
(128784,50697,'When Equipped:',100,0,0),
(128785,50697,'Increases caster''s chance to block by 15.0%',100,1,1),
(128786,10050697,'When Equipped:',100,0,0),
(128787,10050697,'Increases caster''s chance to block by 15.0%',100,1,1),
(128788,110723,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(128789,110723,'Heals group members (AE) for 762',100,2,1),
(128790,10110723,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(128791,10110723,'Heals group members (AE) for 495',100,2,1),
(128792,116239,'Summons a pet Illusion Ally',100,1,0),
(128793,10116239,'Summons a pet Illusion Ally',100,1,0),
(128794,25123,'When Equipped:',100,0,0),
(128795,25123,'This war rune will not stack with itself if adorned on multiple items',100,1,1),
(128796,25123,'Increases the range and radius of spells by 10%',100,1,2),
(128797,25123,'Increases Ranged Weapon Range of caster by 10.0%',100,1,3),
(128798,25123,'Increases Melee Weapon Range of caster by 10.0%',100,1,4),
(128799,25123,'Must not be engaged in pvp combat',100,1,5),
(128800,25123,'Cannot be modified except by direct means',100,1,6),
(128801,10025123,'When Equipped:',100,0,0),
(128802,10025123,'This war rune will not stack with itself if adorned on multiple items',100,1,1),
(128803,10025123,'Increases the range and radius of spells by 10%',100,1,2),
(128804,10025123,'Increases Ranged Weapon Range of caster by 10.0%',100,1,3),
(128805,10025123,'Increases Melee Weapon Range of caster by 10.0%',100,1,4),
(128806,10025123,'Must not be engaged in pvp combat',100,1,5),
(128807,10025123,'Cannot be modified except by direct means',100,1,6),
(128808,100589,'Inflicts 261 - 435 melee damage on target',100,1,0),
(128809,100589,'You must be sneaking to use this ability.',100,1,1),
(128810,10100589,'Inflicts 405 - 675 melee damage on target',100,1,0),
(128811,10100589,'You must be sneaking to use this ability.',100,1,1),
(128812,81146,'When Equipped:',100,0,0),
(128813,81146,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128814,81146,'Inflicts 230 - 426 magic damage on target',100,2,2),
(128815,81146,'Cannot be modified except by direct means',100,2,3),
(128816,10081146,'When Equipped:',100,0,0),
(128817,10081146,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(128818,10081146,'Inflicts 298 - 554 magic damage on target',100,2,2),
(128819,10081146,'Cannot be modified except by direct means',100,2,3),
(128820,105080,'Inflicts 170 - 230 magic damage on target',100,1,0),
(128821,10105080,'Inflicts 221 - 299 magic damage on target',100,1,0),
(128822,100679,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(128823,100679,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(128824,100679,'Wards caster against 700 points of all damage',100,3,2),
(128825,100679,'Heals caster for 547',100,3,3),
(128826,100679,'Summons a limited pet to aid the caster',100,2,4),
(128827,100679,'Grants a total of 1 trigger of the spell.',100,2,5),
(128828,10100679,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(128829,10100679,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(128830,10100679,'Wards caster against 700 points of all damage',100,3,2),
(128831,10100679,'Heals caster for 355',100,3,3),
(128832,10100679,'Summons a limited pet to aid the caster',100,2,4),
(128833,10100679,'Grants a total of 1 trigger of the spell.',100,2,5),
(128834,103281,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(128835,103281,'If Fighter',100,2,1),
(128836,103281,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(128837,103281,'Increases power of target by 18 instantly and every 4 seconds',100,2,3),
(128838,103281,'Increases power of caster by 18 instantly and every 4 seconds',100,2,4),
(128839,10103281,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(128840,10103281,'Increases power of target by 18 instantly and every 4 seconds',100,2,1),
(128841,10103281,'Increases power of caster by 18 instantly and every 4 seconds',100,2,2),
(128842,120725,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 41.6',100,1,0),
(128843,10120725,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 41.6',100,1,0),
(128844,107924,'Mesmerizes target',100,1,0),
(128845,107924,'Prevents AOE (except when direct) ',100,1,1),
(128846,107924,'Dispelled when target takes damage',100,1,2),
(128847,107924,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(128848,107924,'Resistibility increases against targets higher than level 67.',100,1,4),
(128849,10107924,'Mesmerizes target',100,1,0),
(128850,10107924,'Prevents AOE (except when direct) ',100,1,1),
(128851,10107924,'Dispelled when target takes damage',100,1,2),
(128852,10107924,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(128853,10107924,'Resistibility increases against targets higher than level 67.',100,1,4),
(128854,109742,'Inflicts 805 - 1342 cold damage on target',100,1,0),
(128855,109742,'If weapon equipped in Ranged',100,1,1),
(128856,10109742,'Inflicts 684 - 1140 cold damage on target',100,1,0),
(128857,10109742,'If weapon equipped in Ranged',100,1,1),
(128858,146046,'When Equipped:',100,0,0),
(128859,146046,'On any combat or spell hit this spell may cast Cry of the Battlepriest on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(128860,146046,'Increases Damage Per Second of group members (AE) by 30.0',100,2,2),
(128861,146046,'Increases Ability Modifier of caster by 300.0',100,2,3),
(128862,146046,'Must not be engaged in pvp combat',100,2,4),
(128863,146046,'Cannot be modified except by direct means',100,2,5),
(128864,146046,'Must not be engaged in pvp combat',100,1,6),
(128865,10146046,'When Equipped:',100,0,0),
(128866,10146046,'On any combat or spell hit this spell may cast Cry of the Battlepriest on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(128867,10146046,'Increases Damage Per Second of group members (AE) by 30.0',100,2,2),
(128868,10146046,'Increases Ability Modifier of caster by 300.0',100,2,3),
(128869,10146046,'Must not be engaged in pvp combat',100,2,4),
(128870,10146046,'Cannot be modified except by direct means',100,2,5),
(128871,10146046,'Must not be engaged in pvp combat',100,1,6),
(128872,46814,'Applies Antonican Glory when Activated.',100,0,0),
(128873,46814,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(128874,10046814,'Applies Antonican Glory when Activated.',100,0,0),
(128875,10046814,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(128876,106756,'Mesmerizes target',100,1,0),
(128877,106756,'Prevents AOE (except when direct) ',100,1,1),
(128878,106756,'Dispelled when target takes damage',100,1,2),
(128879,106756,'Does not affect Epic targets',100,1,3),
(128880,106756,'Resistibility increases against targets higher than level 55.',100,1,4),
(128881,10106756,'Mesmerizes target',100,1,0),
(128882,10106756,'Prevents AOE (except when direct) ',100,1,1),
(128883,10106756,'Dispelled when target takes damage',100,1,2),
(128884,10106756,'Does not affect Epic targets',100,1,3),
(128885,10106756,'Resistibility increases against targets higher than level 55.',100,1,4),
(128886,159196,'Applies Lambent Imbued when Equipped.',100,0,0),
(128887,159196,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(128888,159196,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(128889,159196,'Cannot be modified except by direct means',100,2,3),
(128890,10159196,'Applies Lambent Imbued when Equipped.',100,0,0),
(128891,10159196,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(128892,10159196,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(128893,10159196,'Cannot be modified except by direct means',100,2,3),
(128894,152440,'When Equipped:',100,0,0),
(128895,152440,'Reduces resistibility of all spells by 8%.',100,1,1),
(128896,10152440,'When Equipped:',100,0,0),
(128897,10152440,'Reduces resistibility of all spells by 8%.',100,1,1),
(128898,113840,'Inflicts 560 - 933 disease damage on target',100,1,0),
(128899,10113840,'Inflicts 728 - 1213 disease damage on target',100,1,0),
(128900,114390,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(128901,114390,'Stuns target',100,2,1),
(128902,114390,'Throws target back',100,2,2),
(128903,114390,'Blurs vision of target',100,2,3),
(128904,114390,'Does not affect Epic targets',100,2,4),
(128905,114390,'Inflicts 810 - 1350 crushing damage on target',100,1,5),
(128906,10114390,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(128907,10114390,'Stuns target',100,2,1),
(128908,10114390,'Throws target back',100,2,2),
(128909,10114390,'Blurs vision of target',100,2,3),
(128910,10114390,'Does not affect Epic targets',100,2,4),
(128911,10114390,'Inflicts 1053 - 1755 crushing damage on target',100,1,5),
(128912,108630,'Feigns Death with 93% chance of success',100,1,0),
(128913,10108630,'Feigns Death with 93% chance of success',100,1,0),
(128914,82202,'When Equipped:',100,0,0),
(128915,82202,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(128916,82202,'Inflicts 48 - 89 magic damage on target',100,2,2),
(128917,82202,'Decreases Threat to target by 135 ',100,2,3),
(128918,82202,'Must be flanking or behind',100,3,4),
(128919,82202,'Increases Threat to target by 135 ',100,2,5),
(128920,82202,'Must be in front of',100,3,6),
(128921,82202,'Cannot be modified except by direct means',100,2,7),
(128922,10082202,'When Equipped:',100,0,0),
(128923,10082202,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(128924,10082202,'Inflicts 62 - 115 magic damage on target',100,2,2),
(128925,10082202,'Cannot be modified except by direct means',100,2,3),
(128926,103905,'Increases power of group members (AE) by 38 instantly and every 6 seconds',100,1,0),
(128927,103905,'Decreases INT of target by 128.3',100,1,1),
(128928,10103905,'Increases power of group members (AE) by 38 instantly and every 6 seconds',100,1,0),
(128929,10103905,'Decreases INT of target by 128.3',100,1,1),
(128930,115970,'Inflicts 156 - 234 mental damage on target',100,1,0),
(128931,115970,'Stuns target',100,1,1),
(128932,115970,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(128933,115970,'Resistibility increases against targets higher than level 56.',100,1,3),
(128934,10115970,'Stuns target',100,1,0),
(128935,10115970,'Inflicts 203 - 305 mental damage on target',100,1,1),
(128936,10115970,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(128937,10115970,'Resistibility increases against targets higher than level 56.',100,1,3),
(128938,111242,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(128939,111242,'Heals target for 449 - 548',100,2,1),
(128940,10111242,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(128941,10111242,'Heals target for 292 - 356',100,2,1),
(128942,101690,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(128943,101690,'Inflicts 388 - 475 disease damage on target',100,2,1),
(128944,101690,'Grants a total of 3 triggers of the spell.',100,2,2),
(128945,10101690,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(128946,10101690,'Inflicts 505 - 617 disease damage on target',100,2,1),
(128947,10101690,'Grants a total of 3 triggers of the spell.',100,2,2),
(128948,159263,'When Equipped:',100,0,0),
(128949,159263,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(128950,159263,'Increases AGI of caster by 5.5',100,2,2),
(128951,159263,'Increases Attack Speed of caster by 14.2',100,2,3),
(128952,159263,'Cannot be modified except by direct means',100,2,4),
(128953,10159263,'When Equipped:',100,0,0),
(128954,10159263,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(128955,10159263,'Increases AGI of caster by 5.5',100,2,2),
(128956,10159263,'Increases Attack Speed of caster by 14.2',100,2,3),
(128957,10159263,'Cannot be modified except by direct means',100,2,4),
(128958,27316,'When Equipped:',100,0,0),
(128959,27316,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(128960,27316,'Heals caster for 96',100,2,2),
(128961,27316,'Cannot be modified except by direct means',100,2,3),
(128962,10027316,'When Equipped:',100,0,0),
(128963,10027316,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(128964,10027316,'Heals caster for 62',100,2,2),
(128965,10027316,'Cannot be modified except by direct means',100,2,3),
(128966,51468,'When Equipped:',100,0,0),
(128967,51468,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(128968,51468,'Heals group members (AE) for 871',100,2,2),
(128969,51468,'Cannot be modified except by direct means',100,2,3),
(128970,10051468,'When Equipped:',100,0,0),
(128971,10051468,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(128972,10051468,'Heals group members (AE) for 1019',100,2,2),
(128973,10051468,'Cannot be modified except by direct means',100,2,3),
(128974,159775,'When Equipped:',100,0,0),
(128975,159775,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(128976,159775,'Increases STA of caster by 5.1',100,2,2),
(128977,159775,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(128978,159775,'Cannot be modified except by direct means',100,2,4),
(128979,10159775,'When Equipped:',100,0,0),
(128980,10159775,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(128981,10159775,'Increases STA of caster by 5.1',100,2,2),
(128982,10159775,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(128983,10159775,'Cannot be modified except by direct means',100,2,4),
(128984,123530,'Inflicts 50 - 74 piercing damage on target instantly and every 4 seconds',100,1,0),
(128985,123530,'Decreases Defense of target by 10.0',100,1,1),
(128986,10123530,'Inflicts 90 - 136 piercing damage on target',100,1,0),
(128987,10123530,'Inflicts 65 - 97 piercing damage on target every 4 seconds',100,1,1),
(128988,10123530,'Decreases Defense of target by 10.0',100,1,2),
(128989,110851,'Inflicts 667 - 903 mental damage on target',100,1,0),
(128990,110851,'Interrupts target',100,1,1),
(128991,10110851,'Inflicts 868 - 1174 mental damage on target',100,1,0),
(128992,10110851,'Interrupts target',100,1,1),
(128993,118247,'Increases Threat to target encounter by 64 - 79 ',100,1,0),
(128994,118247,'Decreases Mitigation of target encounter vs arcane damage by 138',100,1,1),
(128995,10118247,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(128996,10118247,'Prevents target from changing targets',100,2,1),
(128997,10118247,'Forces target to change their selected target to caster.',100,2,2),
(128998,10118247,'Decreases Mitigation of target encounter vs arcane damage by 138',100,1,3),
(128999,24669,'Adds Ravasect (Paladin) to your Dungeon Maker toolbox',100,0,0),
(129000,10024669,'Adds Ravasect (Paladin) to your Dungeon Maker toolbox',100,0,0),
(129001,160020,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(129002,160020,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(129003,160020,'Inflicts 200 heat damage on target',100,2,2),
(129004,160020,'Cannot be modified except by direct means',100,2,3),
(129005,10160020,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(129006,10160020,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(129007,10160020,'Inflicts 260 heat damage on target',100,2,2),
(129008,10160020,'Cannot be modified except by direct means',100,2,3),
(129009,109312,'Increases STR of caster by 12.5',100,1,0),
(129010,109312,'Decreases Defense of caster by 1.8',100,1,1),
(129011,109312,'Increases Slashing, Piercing and Crushing of caster by 2.6',100,1,2),
(129012,10109312,'Increases STR of caster by 12.5',100,1,0),
(129013,10109312,'Decreases Defense of caster by 1.8',100,1,1),
(129014,10109312,'Increases Slashing, Piercing and Crushing of caster by 2.6',100,1,2),
(129015,122252,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(129016,122252,'Decreases Damage Per Second of target by 22.1',100,2,1),
(129017,122252,'Decreases Attack Speed of target by 15.5',100,2,2),
(129018,10122252,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(129019,10122252,'Decreases Damage Per Second of target by 22.1',100,2,1),
(129020,10122252,'Decreases Attack Speed of target by 15.5',100,2,2),
(129021,105546,'Inflicts 61 - 113 disease damage on target',100,1,0),
(129022,105546,'Inflicts 37 - 68 disease damage on target every 2 seconds',100,1,1),
(129023,10105546,'Inflicts 79 - 147 disease damage on target',100,1,0),
(129024,10105546,'Inflicts 48 - 88 disease damage on target every 2 seconds',100,1,1),
(129025,134466,'When Equipped:',100,0,0),
(129026,134466,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(129027,134466,'Increases Threat to target by 3,000 ',100,2,2),
(129028,134466,'Inflicts 1192 mental damage on target',100,2,3),
(129029,134466,'Cannot be modified except by direct means',100,2,4),
(129030,134466,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(129031,134466,'Increases Threat to target by 3,000 ',100,2,6),
(129032,134466,'Inflicts 1192 mental damage on target',100,2,7),
(129033,134466,'Cannot be modified except by direct means',100,2,8),
(129034,10134466,'When Equipped:',100,0,0),
(129035,10134466,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(129036,10134466,'Inflicts 1549 mental damage on target',100,2,2),
(129037,10134466,'Cannot be modified except by direct means',100,2,3),
(129038,10134466,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(129039,10134466,'Inflicts 1549 mental damage on target',100,2,5),
(129040,10134466,'Cannot be modified except by direct means',100,2,6),
(129041,138375,'When Equipped:',100,0,0),
(129042,138375,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129043,138375,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(129044,138375,'Heals caster for 816 - 1224',100,2,3),
(129045,138375,'Cannot be modified except by direct means',100,2,4),
(129046,138375,'Cannot be modified except by direct means',100,1,5),
(129047,10138375,'When Equipped:',100,0,0),
(129048,10138375,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129049,10138375,'Inflicts 1593 - 2390 poison damage on target',100,2,2),
(129050,10138375,'Heals caster for 955 - 1432',100,2,3),
(129051,10138375,'Cannot be modified except by direct means',100,2,4),
(129052,10138375,'Cannot be modified except by direct means',100,1,5),
(129053,118981,'Heals target for 49 - 60',100,1,0),
(129054,10118981,'Heals target for 52 - 64',100,1,0),
(129055,45578,'Applies Dargon''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(129056,45578,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(129057,10045578,'Applies Dargon''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(129058,10045578,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(129059,123665,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(129060,123665,'Slows target by 46.4%',100,2,1),
(129061,123665,'5% chance to dispel when target receives hostile action',100,2,2),
(129062,123665,'5% chance to dispel when target takes damage',100,2,3),
(129063,123665,'Inflicts 664 - 812 cold damage on target',100,1,4),
(129064,10123665,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(129065,10123665,'Slows target by 46.4%',100,2,1),
(129066,10123665,'5% chance to dispel when target receives hostile action',100,2,2),
(129067,10123665,'5% chance to dispel when target takes damage',100,2,3),
(129068,10123665,'Inflicts 740 - 905 cold damage on target',100,1,4),
(129069,35961,'Increases Max Power of target by 3.3',100,0,0),
(129070,35961,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(129071,114711,'Grants target a 36% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(129072,114711,'Decreases Hate Gain of target by 25.6%',100,1,1),
(129073,10114711,'Grants target a 36% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(129074,123925,'Increases STR and WIS of target by 65.1',100,1,0),
(129075,123925,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,1),
(129076,10123925,'Increases STR and WIS of target by 65.1',100,1,0),
(129077,10123925,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,1),
(129078,116646,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(129079,116646,'Increases Mitigation of group members (AE) vs arcane damage by 1170',100,1,1),
(129080,10116646,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(129081,10116646,'Increases Mitigation of group members (AE) vs arcane damage by 1170',100,1,1),
(129082,47580,'Applies Potion of Disgenderment when Activated.',100,0,0),
(129083,47580,'Using this item changes your gender and opens a customization window used to adjust your new appearance. Since your gender has just undergone...revisions, any applied illusions will be ignored for these appearance changes. Happy Customizing!',100,1,1),
(129084,10047580,'Applies Potion of Disgenderment when Activated.',100,0,0),
(129085,10047580,'Using this item changes your gender and opens a customization window used to adjust your new appearance. Since your gender has just undergone...revisions, any applied illusions will be ignored for these appearance changes. Happy Customizing!',100,1,1),
(129086,103011,'Inflicts 64 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(129087,103011,'Inflicts 23 - 39 melee damage on target',100,1,1),
(129088,10103011,'Inflicts 83 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(129089,10103011,'Inflicts 31 - 51 melee damage on target',100,1,1),
(129090,120907,'Stifles target',100,1,0),
(129091,120907,'Inflicts 1392 - 1701 mental damage on target',100,1,1),
(129092,120907,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(129093,120907,'Resistibility increases against targets higher than level 111.',100,1,3),
(129094,10120907,'Stifles target',100,1,0),
(129095,10120907,'Inflicts 1809 - 2211 mental damage on target',100,1,1),
(129096,10120907,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(129097,10120907,'Resistibility increases against targets higher than level 111.',100,1,3),
(129098,48563,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(129099,48563,'Shrinks caster by 35.0%',100,1,1),
(129100,48563,'Enlarges caster by 50.0%',100,1,2),
(129101,10048563,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(129102,10048563,'Shrinks caster by 35.0%',100,1,1),
(129103,10048563,'Enlarges caster by 50.0%',100,1,2),
(129104,103336,'Applies Migraine on termination.',100,1,0),
(129105,103336,'Inflicts 462 - 626 mental damage on target',100,2,1),
(129106,103336,'Inflicts 212 - 259 mental damage on target instantly and every 6 seconds',100,1,2),
(129107,10103336,'Applies Migraine on termination.',100,1,0),
(129108,10103336,'Inflicts 601 - 813 mental damage on target',100,2,1),
(129109,10103336,'Inflicts 276 - 337 mental damage on target instantly and every 6 seconds',100,1,2),
(129110,103316,'Applies Migraine on termination.',100,1,0),
(129111,103316,'Inflicts 126 - 170 mental damage on target',100,2,1),
(129112,103316,'Inflicts 58 - 71 mental damage on target instantly and every 6 seconds',100,1,2),
(129113,10103316,'Applies Migraine on termination.',100,1,0),
(129114,10103316,'Inflicts 163 - 221 mental damage on target',100,2,1),
(129115,10103316,'Inflicts 75 - 92 mental damage on target instantly and every 6 seconds',100,1,2),
(129116,103664,'Interrupts target',100,1,0),
(129117,103664,'Inflicts 142 - 237 melee damage on target',100,1,1),
(129118,103664,'Must be flanking or behind',100,1,2),
(129119,10103664,'Interrupts target',100,1,0),
(129120,10103664,'Inflicts 185 - 308 melee damage on target',100,1,1),
(129121,10103664,'Must be flanking or behind',100,1,2),
(129122,36083,'Increases STR and STA of target by 5.4',100,0,0),
(129123,36083,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(129124,36083,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(129125,80816,'When Equipped:',100,0,0),
(129126,80816,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129127,80816,'Inflicts 259 - 481 magic damage on target',100,2,2),
(129128,80816,'Cannot be modified except by direct means',100,2,3),
(129129,10080816,'When Equipped:',100,0,0),
(129130,10080816,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129131,10080816,'Inflicts 337 - 625 magic damage on target',100,2,2),
(129132,10080816,'Cannot be modified except by direct means',100,2,3),
(129133,100130,'Decreases STR, AGI, WIS and INT of target by 47.9',100,1,0),
(129134,100130,'Decreases Max Health of target by 0.7%',100,1,1),
(129135,10100130,'Decreases STR, AGI, WIS and INT of target by 47.9',100,1,0),
(129136,10100130,'Decreases Max Health of target by 0.7%',100,1,1),
(129137,101565,'Inflicts 8383 - 13972 melee damage on target',100,1,0),
(129138,101565,'You must be stealthed to use this ability',100,1,1),
(129139,10101565,'Inflicts 5122 - 8537 melee damage on target',100,1,0),
(129140,10101565,'You must be stealthed to use this ability',100,1,1),
(129141,180423,'When Equipped:',100,0,0),
(129142,180423,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(129143,10180423,'When Equipped:',100,0,0),
(129144,10180423,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(129145,47365,'Applies Call Neriak Destrier when Activated.',100,0,0),
(129146,47365,'Summons a mount to ride',100,1,1),
(129147,47365,'Increases your ground speed by 130%',100,2,2),
(129148,10047365,'Applies Call Neriak Destrier when Activated.',100,0,0),
(129149,10047365,'Summons a mount to ride',100,1,1),
(129150,10047365,'Increases your ground speed by 130%',100,2,2),
(129151,159809,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129152,159809,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129153,159809,'Inflicts 83 heat damage on target',100,2,2),
(129154,159809,'Cannot be modified except by direct means',100,2,3),
(129155,10159809,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129156,10159809,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129157,10159809,'Inflicts 108 heat damage on target',100,2,2),
(129158,10159809,'Cannot be modified except by direct means',100,2,3),
(129159,159128,'When Equipped:',100,0,0),
(129160,159128,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129161,159128,'Increases STR of caster by 11.9',100,2,2),
(129162,159128,'Increases Damage Per Second of caster by 17.0',100,2,3),
(129163,159128,'Cannot be modified except by direct means',100,2,4),
(129164,10159128,'When Equipped:',100,0,0),
(129165,10159128,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129166,10159128,'Increases STR of caster by 11.9',100,2,2),
(129167,10159128,'Increases Damage Per Second of caster by 17.0',100,2,3),
(129168,10159128,'Cannot be modified except by direct means',100,2,4),
(129169,106088,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(129170,10106088,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(129171,37011,'Increases AGI of target by 1.5',100,0,0),
(129172,37011,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(129173,82661,'When Equipped:',100,0,0),
(129174,82661,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(129175,82661,'Decreases Threat to target by 259 ',100,2,2),
(129176,82661,'Must be flanking or behind',100,3,3),
(129177,82661,'Increases Threat to target by 259 ',100,2,4),
(129178,82661,'Must be in front of',100,3,5),
(129179,82661,'Inflicts 118 - 218 magic damage on target',100,2,6),
(129180,82661,'Cannot be modified except by direct means',100,2,7),
(129181,10082661,'When Equipped:',100,0,0),
(129182,10082661,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(129183,10082661,'Inflicts 153 - 284 magic damage on target',100,2,2),
(129184,10082661,'Cannot be modified except by direct means',100,2,3),
(129185,100274,'Inflicts 50 - 93 poison damage on target instantly and every 3 seconds',100,1,0),
(129186,10100274,'Inflicts 147 - 272 poison damage on target instantly and every 3 seconds',100,1,0),
(129187,190902,'When Equipped:',100,0,0),
(129188,190902,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(129189,10190902,'When Equipped:',100,0,0),
(129190,10190902,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(129191,116860,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(129192,116860,'Inflicts 614 - 750 mental damage on target',100,2,1),
(129193,116860,'Grants a total of 3 triggers of the spell.',100,2,2),
(129194,10116860,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(129195,10116860,'Inflicts 798 - 975 mental damage on target',100,2,1),
(129196,10116860,'Grants a total of 3 triggers of the spell.',100,2,2),
(129197,24479,'Adds Lair of Scale: Effigy of the Masters to your Dungeon Maker toolbox',100,0,0),
(129198,10024479,'Adds Lair of Scale: Effigy of the Masters to your Dungeon Maker toolbox',100,0,0),
(129199,103009,'Inflicts 45 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(129200,103009,'Inflicts 16 - 28 melee damage on target',100,1,1),
(129201,10103009,'Inflicts 59 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(129202,10103009,'Inflicts 21 - 36 melee damage on target',100,1,1),
(129203,121037,'Increases AGI of target by 30.9',100,1,0),
(129204,121037,'Adds 0.7% to base avoidance.',100,1,1),
(129205,121037,'Increases In-Combat Power Regeneration of target by 17.4',100,1,2),
(129206,121037,'Increases Max Power of target by 202.3',100,1,3),
(129207,10121037,'Increases AGI of target by 30.9',100,1,0),
(129208,10121037,'Adds 0.7% to base avoidance.',100,1,1),
(129209,10121037,'Increases In-Combat Power Regeneration of target by 17.4',100,1,2),
(129210,10121037,'Increases Max Power of target by 202.3',100,1,3),
(129211,104583,'Inflicts 723 - 1205 disease damage on target',100,1,0),
(129212,104583,'Decreases WIS of target by 161.0',100,1,1),
(129213,10104583,'Inflicts 940 - 1567 disease damage on target',100,1,0),
(129214,10104583,'Decreases WIS of target by 161.0',100,1,1),
(129215,111420,'Increases Attack Speed of target by 50.4',100,1,0),
(129216,111420,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129217,111420,'Inflicts 583 disease damage on target',100,2,2),
(129218,111420,'Heals caster for 137',100,2,3),
(129219,111420,'Decreases Defense and Parry of target by 42.3',100,1,4),
(129220,111420,'Increases Disruption and Subjugation of target by 43.6',100,1,5),
(129221,111420,'Increases Focus of target by 47.9',100,1,6),
(129222,10111420,'Increases Attack Speed of target by 50.4',100,1,0),
(129223,10111420,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129224,10111420,'Inflicts 758 disease damage on target',100,2,2),
(129225,10111420,'Heals caster for 89',100,2,3),
(129226,10111420,'Decreases Defense and Parry of target by 42.3',100,1,4),
(129227,10111420,'Increases Disruption and Subjugation of target by 43.6',100,1,5),
(129228,10111420,'Increases Focus of target by 47.9',100,1,6),
(129229,119414,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(129230,119414,'Stuns target',100,2,1),
(129231,119414,'Throws target back',100,2,2),
(129232,119414,'Blurs vision of target',100,2,3),
(129233,119414,'Does not affect Epic targets',100,2,4),
(129234,119414,'Inflicts 237 - 395 melee damage on target',100,1,5),
(129235,119414,'You must be sneaking to use this ability.',100,1,6),
(129236,10119414,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(129237,10119414,'Stuns target',100,2,1),
(129238,10119414,'Throws target back',100,2,2),
(129239,10119414,'Blurs vision of target',100,2,3),
(129240,10119414,'Does not affect Epic targets',100,2,4),
(129241,10119414,'Inflicts 308 - 514 melee damage on target',100,1,5),
(129242,10119414,'You must be sneaking to use this ability.',100,1,6),
(129243,159183,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(129244,159183,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(129245,159183,'Inflicts 164 heat damage on target',100,2,2),
(129246,159183,'Cannot be modified except by direct means',100,2,3),
(129247,10159183,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(129248,10159183,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(129249,10159183,'Inflicts 214 heat damage on target',100,2,2),
(129250,10159183,'Cannot be modified except by direct means',100,2,3),
(129251,46570,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(129252,46570,'Inflicts 149 - 182 melee damage on target',100,1,1),
(129253,46570,'Inflicts 34 - 57 slashing damage on target every 4 seconds',100,1,2),
(129254,10046570,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(129255,10046570,'Inflicts 194 - 237 melee damage on target',100,1,1),
(129256,10046570,'Inflicts 45 - 74 slashing damage on target every 4 seconds',100,1,2),
(129257,110453,'Dazes targets in Area of Effect',100,1,0),
(129258,110453,'If Target is not Epic',100,2,1),
(129259,110453,'Decreases Threat to targets in Area of Effect by 2,850 ',100,1,2),
(129260,110453,'Dispelled when target receives hostile action',100,1,3),
(129261,110453,'Dispelled when target takes damage',100,1,4),
(129262,10110453,'Dazes targets in Area of Effect',100,1,0),
(129263,10110453,'If Target is not Epic',100,2,1),
(129264,10110453,'Applies Distract.',100,1,2),
(129265,10110453,'Forces target to clear their selected target.',100,2,3),
(129266,10110453,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(129267,10110453,'Dispelled when target receives hostile action',100,1,5),
(129268,10110453,'Dispelled when target takes damage',100,1,6),
(129269,101789,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(129270,101789,'Decreases Threat to target by 161 ',100,2,1),
(129271,10101789,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(129272,10101789,'Inflicts 16 - 17 crushing damage on target',100,2,1),
(129273,133913,'When Equipped:',100,0,0),
(129274,133913,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129275,133913,'Inflicts 1199 cold damage on target encounter',100,2,2),
(129276,133913,'Cannot be modified except by direct means',100,2,3),
(129277,10133913,'When Equipped:',100,0,0),
(129278,10133913,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129279,10133913,'Inflicts 779 cold damage on target encounter',100,2,2),
(129280,10133913,'Cannot be modified except by direct means',100,2,3),
(129281,174547,'When Equipped:',100,0,0),
(129282,174547,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(129283,174547,'Inflicts 2648 poison damage on target',100,2,2),
(129284,174547,'If under 15% Health',100,2,3),
(129285,174547,'Cannot be modified except by direct means',100,2,4),
(129286,174547,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(129287,174547,'Inflicts 2648 poison damage on target',100,2,6),
(129288,174547,'If under 15% Health',100,2,7),
(129289,174547,'Cannot be modified except by direct means',100,2,8),
(129290,174547,'Cannot be modified except by direct means',100,1,9),
(129291,174547,'When Equipped:',100,0,10),
(129292,174547,'Increases Attack Speed of caster by 30.0',100,1,11),
(129293,10174547,'When Equipped:',100,0,0),
(129294,10174547,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(129295,10174547,'Inflicts 3442 poison damage on target',100,2,2),
(129296,10174547,'If under 15% Health',100,2,3),
(129297,10174547,'Cannot be modified except by direct means',100,2,4),
(129298,10174547,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(129299,10174547,'Inflicts 3442 poison damage on target',100,2,6),
(129300,10174547,'If under 15% Health',100,2,7),
(129301,10174547,'Cannot be modified except by direct means',100,2,8),
(129302,10174547,'Cannot be modified except by direct means',100,1,9),
(129303,10174547,'When Equipped:',100,0,10),
(129304,10174547,'Increases Attack Speed of caster by 30.0',100,1,11),
(129305,48354,'Applies Dance of the Void Warrior when Activated.',100,0,0),
(129306,48354,'Shapechanges the user into a void warrior.',100,1,1),
(129307,10048354,'Applies Dance of the Void Warrior when Activated.',100,0,0),
(129308,10048354,'Shapechanges the user into a void warrior.',100,1,1),
(129309,107682,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(129310,10107682,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(129311,108651,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(129312,108651,'Heals target for 547',100,2,1),
(129313,108651,'Heals target for 137 every 2 seconds',100,2,2),
(129314,108651,'Increases AGI of target by 54.2',100,2,3),
(129315,108651,'Grants a total of 1 trigger of the spell.',100,2,4),
(129316,10108651,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(129317,10108651,'Heals target for 355',100,2,1),
(129318,10108651,'Heals target for 89 every 2 seconds',100,2,2),
(129319,10108651,'Increases AGI of target by 54.2',100,2,3),
(129320,10108651,'Grants a total of 1 trigger of the spell.',100,2,4),
(129321,187380,'Applies Spirit of the Underfoot when Activated.  Lasts for 12 hours.',100,0,0),
(129322,187380,'Shapechanges caster into a ratonga',100,1,1),
(129323,187380,'The casting time of Spirit of the Underfoot is 10.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(129324,187380,'When Equipped:',100,0,3),
(129325,187380,'Reduces maximum falling speed of caster',100,1,4),
(129326,10187380,'Applies Spirit of the Underfoot when Activated.  Lasts for 12 hours.',100,0,0),
(129327,10187380,'Shapechanges caster into a ratonga',100,1,1),
(129328,10187380,'The casting time of Spirit of the Underfoot is 10.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(129329,10187380,'When Equipped:',100,0,3),
(129330,10187380,'Reduces maximum falling speed of caster',100,1,4),
(129331,108463,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(129332,108463,'Increases Aggression of caster by 6.7',100,1,1),
(129333,108463,'Increases Defense and Parry of caster by 13.4',100,1,2),
(129334,108463,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(129335,10108463,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(129336,10108463,'Increases Aggression of caster by 6.7',100,1,1),
(129337,10108463,'Increases Defense and Parry of caster by 13.4',100,1,2),
(129338,10108463,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(129339,159142,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129340,159142,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129341,159142,'Inflicts 352 heat damage on target',100,2,2),
(129342,159142,'Cannot be modified except by direct means',100,2,3),
(129343,10159142,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129344,10159142,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129345,10159142,'Inflicts 457 heat damage on target',100,2,2),
(129346,10159142,'Cannot be modified except by direct means',100,2,3),
(129347,112798,'Inflicts 427 - 711 slashing damage on target',100,1,0),
(129348,112798,'Stifles target',100,1,1),
(129349,112798,'If Target is not Epic',100,2,2),
(129350,112798,'You must be in stealth.',100,1,3),
(129351,112798,'Resistibility increases against targets higher than level 63.',100,1,4),
(129352,10112798,'Inflicts 555 - 925 slashing damage on target',100,1,0),
(129353,10112798,'Stifles target',100,1,1),
(129354,10112798,'If Target is not Epic',100,2,2),
(129355,10112798,'You must be in stealth.',100,1,3),
(129356,10112798,'Resistibility increases against targets higher than level 63.',100,1,4),
(129357,124709,'Heals group members (AE) for 285 - 348',100,1,0),
(129358,10124709,'Heals group members (AE) for 345 - 422',100,1,0),
(129359,137873,'When Equipped:',100,0,0),
(129360,137873,'Increases Attack Speed of caster by 40.0',100,1,1),
(129361,10137873,'When Equipped:',100,0,0),
(129362,10137873,'Increases Attack Speed of caster by 40.0',100,1,1),
(129363,134275,'When Equipped:',100,0,0),
(129364,134275,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129365,134275,'Inflicts 2648 magic damage on target',100,2,2),
(129366,134275,'Cannot be modified except by direct means',100,2,3),
(129367,10134275,'When Equipped:',100,0,0),
(129368,10134275,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129369,10134275,'Inflicts 1721 magic damage on target',100,2,2),
(129370,10134275,'Cannot be modified except by direct means',100,2,3),
(129371,48818,'Applies Translucent Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(129372,48818,'Heals caster for 209',100,1,1),
(129373,48818,'Heals caster for 105 every 5 seconds',100,1,2),
(129374,48818,'Only affects targets level 50 and above',100,1,3),
(129375,10048818,'Applies Translucent Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(129376,10048818,'Heals caster for 136',100,1,1),
(129377,10048818,'Heals caster for 68 every 5 seconds',100,1,2),
(129378,10048818,'Only affects targets level 50 and above',100,1,3),
(129379,80354,'When Equipped:',100,0,0),
(129380,80354,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129381,80354,'Inflicts 70 - 131 magic damage on target',100,2,2),
(129382,80354,'Cannot be modified except by direct means',100,2,3),
(129383,10080354,'When Equipped:',100,0,0),
(129384,10080354,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129385,10080354,'Inflicts 91 - 170 magic damage on target',100,2,2),
(129386,10080354,'Cannot be modified except by direct means',100,2,3),
(129387,109580,'Makes target afraid',100,1,0),
(129388,109580,'30% chance to dispel when target takes damage',100,1,1),
(129389,109580,'Does not affect Epic targets',100,1,2),
(129390,109580,'Resistibility increases against targets higher than level 97.',100,1,3),
(129391,10109580,'Makes target afraid',100,1,0),
(129392,10109580,'30% chance to dispel when target takes damage',100,1,1),
(129393,10109580,'Does not affect Epic targets',100,1,2),
(129394,10109580,'Resistibility increases against targets higher than level 97.',100,1,3),
(129395,25999,'When Equipped:',100,0,0),
(129396,25999,'On a riposte this spell has a 25% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(129397,25999,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(129398,25999,'Heals caster for 42 - 51',100,3,3),
(129399,25999,'Grants a total of 3 triggers of the spell.',100,3,4),
(129400,25999,'Cannot be modified except by direct means',100,2,5),
(129401,10025999,'When Equipped:',100,0,0),
(129402,10025999,'On a riposte this spell has a 25% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(129403,10025999,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(129404,10025999,'Heals caster for 27 - 33',100,3,3),
(129405,10025999,'Grants a total of 3 triggers of the spell.',100,3,4),
(129406,10025999,'Cannot be modified except by direct means',100,2,5),
(129407,110664,'Heals target for 170',100,1,0),
(129408,110664,'Dispels 20 levels of any hostile effects on target',100,1,1),
(129409,10110664,'Heals target for 110',100,1,0),
(129410,10110664,'Dispels 20 levels of any hostile effects on target',100,1,1),
(129411,153810,'Applies Indomitable when Activated.  Lasts for 12.0 seconds.',100,0,0),
(129412,153810,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(129413,153810,'Wards caster against 100 points of all damage',100,2,2),
(129414,153810,'Must not be engaged in pvp combat',100,2,3),
(129415,153810,'Cannot be modified except by direct means',100,2,4),
(129416,153810,'Increases the caster''s physical mitigation over time.',100,1,5),
(129417,153810,'Must not be engaged in pvp combat',100,1,6),
(129418,153810,'Cannot be modified except by direct means',100,1,7),
(129419,153810,'The reuse time of Indomitable is 10 minutes',100,1,8),
(129420,10153810,'Applies Indomitable when Activated.  Lasts for 12.0 seconds.',100,0,0),
(129421,10153810,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(129422,10153810,'Wards caster against 100 points of all damage',100,2,2),
(129423,10153810,'Must not be engaged in pvp combat',100,2,3),
(129424,10153810,'Cannot be modified except by direct means',100,2,4),
(129425,10153810,'Increases the caster''s physical mitigation over time.',100,1,5),
(129426,10153810,'Must not be engaged in pvp combat',100,1,6),
(129427,10153810,'Cannot be modified except by direct means',100,1,7),
(129428,10153810,'The reuse time of Indomitable is 10 minutes',100,1,8),
(129429,111093,'Heals target for 233 - 285',100,1,0),
(129430,111093,'This effect cannot be critically applied.',100,2,1),
(129431,111093,'Increases Mitigation of target vs physical damage by 101',100,1,2),
(129432,111093,'The healing of this spell cannot be modified except by direct means',100,1,3),
(129433,10111093,'Heals target for 85 - 103',100,1,0),
(129434,10111093,'This effect cannot be critically applied.',100,2,1),
(129435,10111093,'Increases Mitigation of target vs physical damage by 101',100,1,2),
(129436,10111093,'The healing of this spell cannot be modified except by direct means',100,1,3),
(129437,110314,'Increases Max Power of target by 25.9',100,1,0),
(129438,110314,'Increases Max Health of target by 49.9',100,1,1),
(129439,10110314,'Increases Max Power of target by 25.9',100,1,0),
(129440,10110314,'Increases Max Health of target by 49.9',100,1,1),
(129441,81078,'When Equipped:',100,0,0),
(129442,81078,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(129443,81078,'Decreases Threat to target by 517 ',100,2,2),
(129444,81078,'Must be flanking or behind',100,3,3),
(129445,81078,'Increases Threat to target by 517 ',100,2,4),
(129446,81078,'Must be in front of',100,3,5),
(129447,81078,'Inflicts 226 - 419 magic damage on target',100,2,6),
(129448,81078,'Cannot be modified except by direct means',100,2,7),
(129449,10081078,'When Equipped:',100,0,0),
(129450,10081078,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(129451,10081078,'Inflicts 293 - 545 magic damage on target',100,2,2),
(129452,10081078,'Cannot be modified except by direct means',100,2,3),
(129453,124121,'Increases power of caster by 208',100,1,0),
(129454,10124121,'Increases power of caster by 208',100,1,0),
(129455,120193,'Applies Life Draw on termination.',100,1,0),
(129456,120193,'Inflicts 1151 - 1919 disease damage on target',100,2,1),
(129457,120193,'Heals caster for 15.8 - 19.4% of max health',100,2,2),
(129458,120193,'This effect cannot be critically applied.',100,3,3),
(129459,120193,'The healing of this spell cannot be modified except by direct means',100,2,4),
(129460,120193,'Inflicts 335 - 559 disease damage on target',100,1,5),
(129461,10120193,'Applies Life Draw on termination.',100,1,0),
(129462,10120193,'Inflicts 1497 - 2495 disease damage on target',100,2,1),
(129463,10120193,'Heals caster for 4.3 - 5.3% of max health',100,2,2),
(129464,10120193,'This effect cannot be critically applied.',100,3,3),
(129465,10120193,'The healing of this spell cannot be modified except by direct means',100,2,4),
(129466,10120193,'Inflicts 436 - 727 disease damage on target',100,1,5),
(129467,81807,'When Equipped:',100,0,0),
(129468,81807,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129469,81807,'Inflicts 164 - 305 magic damage on target',100,2,2),
(129470,81807,'Cannot be modified except by direct means',100,2,3),
(129471,10081807,'When Equipped:',100,0,0),
(129472,10081807,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129473,10081807,'Inflicts 213 - 396 magic damage on target',100,2,2),
(129474,10081807,'Cannot be modified except by direct means',100,2,3),
(129475,118707,'Inflicts 24 - 41 slashing damage on target',100,1,0),
(129476,118707,'Decreases Slashing, Crushing and Piercing of target by 1.8',100,1,1),
(129477,118707,'Inflicts 10 - 12 slashing damage on target every 5 seconds',100,1,2),
(129478,10118707,'Inflicts 32 - 53 slashing damage on target',100,1,0),
(129479,10118707,'Decreases Slashing, Crushing and Piercing of target by 1.8',100,1,1),
(129480,10118707,'Inflicts 13 - 16 slashing damage on target every 5 seconds',100,1,2),
(129481,108288,'Summons a limited pet to aid the caster',100,1,0),
(129482,10108288,'Summons a limited pet to aid the caster',100,1,0),
(129483,118443,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(129484,118443,'Inflicts 5 - 6 heat damage on target instantly and every second',100,2,1),
(129485,10118443,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(129486,10118443,'Inflicts 7 - 8 heat damage on target instantly and every second',100,2,1),
(129487,163450,'When Equipped:',100,0,0),
(129488,163450,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129489,163450,'Inflicts 1998 disease damage on target encounter',100,2,2),
(129490,163450,'Must not be engaged in pvp combat',100,2,3),
(129491,163450,'Cannot be modified except by direct means',100,2,4),
(129492,10163450,'When Equipped:',100,0,0),
(129493,10163450,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(129494,10163450,'Inflicts 1299 disease damage on target encounter',100,2,2),
(129495,10163450,'Must not be engaged in pvp combat',100,2,3),
(129496,10163450,'Cannot be modified except by direct means',100,2,4),
(129497,122131,'Interrupts target',100,1,0),
(129498,122131,'Increases Threat to target by 862 ',100,1,1),
(129499,122131,'Dispels 63 levels of arcane beneficial effects on target',100,1,2),
(129500,10122131,'Interrupts target',100,1,0),
(129501,10122131,'Forces target to change their selected target to caster.',100,1,1),
(129502,10122131,'Dispels 63 levels of arcane beneficial effects on target',100,1,2),
(129503,52812,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129504,52812,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129505,52812,'Inflicts 84 heat damage on target',100,2,2),
(129506,52812,'Cannot be modified except by direct means',100,2,3),
(129507,10052812,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129508,10052812,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129509,10052812,'Inflicts 109 heat damage on target',100,2,2),
(129510,10052812,'Cannot be modified except by direct means',100,2,3),
(129511,107650,'Increases Mitigation of raid and group members (AE) vs elemental damage by 616',100,1,0),
(129512,10107650,'Increases Mitigation of raid and group members (AE) vs elemental damage by 616',100,1,0),
(129513,100598,'Inflicts 434 - 724 melee damage on target',100,1,0),
(129514,100598,'You must be sneaking to use this ability.',100,1,1),
(129515,10100598,'Inflicts 674 - 1124 melee damage on target',100,1,0),
(129516,10100598,'You must be sneaking to use this ability.',100,1,1),
(129517,122089,'Increases STA and INT of group members (AE) by 34.1',100,1,0),
(129518,10122089,'Increases STA and INT of group members (AE) by 34.1',100,1,0),
(129519,41700,'When Equipped:',100,0,0),
(129520,41700,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(129521,41700,'Decreases Threat to target by 135 ',100,2,2),
(129522,41700,'Must be flanking or behind',100,3,3),
(129523,41700,'Increases Threat to target by 135 ',100,2,4),
(129524,41700,'Must be in front of',100,3,5),
(129525,41700,'Inflicts 48 - 89 magic damage on target',100,2,6),
(129526,41700,'Cannot be modified except by direct means',100,2,7),
(129527,10041700,'When Equipped:',100,0,0),
(129528,10041700,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(129529,10041700,'Inflicts 62 - 115 magic damage on target',100,2,2),
(129530,10041700,'Cannot be modified except by direct means',100,2,3),
(129531,107442,'Summons a pet earthen avatar',100,1,0),
(129532,10107442,'Summons a pet earthen avatar',100,1,0),
(129533,35496,'Increases STR and STA of target by 1.1',100,0,0),
(129534,35496,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(129535,158350,'Applies Hooluk in a Hat when Activated.',100,0,0),
(129536,158350,'Summons a pet Hooluk',100,1,1),
(129537,158350,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(129538,10158350,'Applies Hooluk in a Hat when Activated.',100,0,0),
(129539,10158350,'Summons a pet Hooluk',100,1,1),
(129540,10158350,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(129541,107075,'Inflicts 49 - 60 divine damage on target',100,1,0),
(129542,10107075,'Inflicts 63 - 77 divine damage on target',100,1,0),
(129543,112688,'Increases Parry of group members (AE) by 37.8',100,1,0),
(129544,10112688,'Increases Parry of group members (AE) by 37.8',100,1,0),
(129545,122750,'Heals group members (AE) for 202 - 246',100,1,0),
(129546,122750,'Increases Max Health of group members (AE) by 28.0',100,1,1),
(129547,10122750,'Heals group members (AE) for 236 - 288',100,1,0),
(129548,10122750,'Increases Max Health of group members (AE) by 28.0',100,1,1),
(129549,115837,'Inflicts 100 disease damage on target every 3 seconds',100,1,0),
(129550,115837,'Inflicts 375 - 626 melee damage on target',100,1,1),
(129551,115837,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(129552,115837,'Heals caster for 1.6% of max health instantly and every 3 seconds',100,2,3),
(129553,115837,'This effect cannot be critically applied.',100,3,4),
(129554,115837,'The healing of this spell cannot be modified except by direct means',100,2,5),
(129555,115837,'The healing of this spell cannot be modified except by direct means',100,1,6),
(129556,10115837,'Inflicts 488 - 814 melee damage on target',100,1,0),
(129557,10115837,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(129558,10115837,'Heals caster for 0.9% of max health instantly and every 3 seconds',100,2,2),
(129559,10115837,'This effect cannot be critically applied.',100,3,3),
(129560,10115837,'The healing of this spell cannot be modified except by direct means',100,2,4),
(129561,10115837,'Inflicts 130 disease damage on target every 3 seconds',100,1,5),
(129562,10115837,'The healing of this spell cannot be modified except by direct means',100,1,6),
(129563,166408,'When Equipped:',100,0,0),
(129564,166408,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129565,166408,'Decreases power of target by 149',100,2,2),
(129566,166408,'Increases power of caster by 171',100,2,3),
(129567,166408,'Cannot be modified except by direct means',100,2,4),
(129568,10166408,'When Equipped:',100,0,0),
(129569,10166408,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129570,10166408,'Decreases power of target by 149',100,2,2),
(129571,10166408,'Increases power of caster by 171',100,2,3),
(129572,10166408,'Cannot be modified except by direct means',100,2,4),
(129573,123615,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(129574,123615,'Increases Defense of target by 38.7',100,1,1),
(129575,10123615,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(129576,10123615,'Increases Defense of target by 38.7',100,1,1),
(129577,159674,'When Equipped:',100,0,0),
(129578,159674,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129579,159674,'Increases WIS of caster by 8.8',100,2,2),
(129580,159674,'Increases Ordination, Focus and Ministration of caster by 5.2',100,2,3),
(129581,159674,'Cannot be modified except by direct means',100,2,4),
(129582,10159674,'When Equipped:',100,0,0),
(129583,10159674,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129584,10159674,'Increases WIS of caster by 8.8',100,2,2),
(129585,10159674,'Increases Ordination, Focus and Ministration of caster by 5.2',100,2,3),
(129586,10159674,'Cannot be modified except by direct means',100,2,4),
(129587,160010,'Applies Lambent Imbued when Equipped.',100,0,0),
(129588,160010,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(129589,160010,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(129590,160010,'Cannot be modified except by direct means',100,2,3),
(129591,10160010,'Applies Lambent Imbued when Equipped.',100,0,0),
(129592,10160010,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(129593,10160010,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(129594,10160010,'Cannot be modified except by direct means',100,2,3),
(129595,111301,'Inflicts 511 - 852 divine damage on target',100,1,0),
(129596,111301,'Inflicts 205 - 341 divine damage on target every 4 seconds',100,1,1),
(129597,10111301,'Inflicts 664 - 1107 divine damage on target',100,1,0),
(129598,10111301,'Inflicts 266 - 443 divine damage on target every 4 seconds',100,1,1),
(129599,110238,'Inflicts 128 - 214 melee damage on target',100,1,0),
(129600,110238,'Slows target by 44.6%',100,1,1),
(129601,110238,'5% chance to dispel when target receives hostile action',100,1,2),
(129602,110238,'5% chance to dispel when target takes damage',100,1,3),
(129603,10110238,'Inflicts 167 - 278 melee damage on target',100,1,0),
(129604,10110238,'Slows target by 44.6%',100,1,1),
(129605,10110238,'5% chance to dispel when target receives hostile action',100,1,2),
(129606,10110238,'5% chance to dispel when target takes damage',100,1,3),
(129607,122074,'Increases STA and INT of group members (AE) by 10.4',100,1,0),
(129608,10122074,'Increases STA and INT of group members (AE) by 10.4',100,1,0),
(129609,105092,'Inflicts 258 - 349 magic damage on target',100,1,0),
(129610,10105092,'Inflicts 335 - 453 magic damage on target',100,1,0),
(129611,121374,'Inflicts 130 - 241 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(129612,10121374,'Inflicts 169 - 314 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(129613,177680,'When Equipped:',100,0,0),
(129614,177680,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129615,177680,'Increases STR of caster by 17.6',100,2,2),
(129616,177680,'Increases Damage Per Second of caster by 24.4',100,2,3),
(129617,177680,'Cannot be modified except by direct means',100,2,4),
(129618,10177680,'When Equipped:',100,0,0),
(129619,10177680,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129620,10177680,'Increases STR of caster by 17.6',100,2,2),
(129621,10177680,'Increases Damage Per Second of caster by 24.4',100,2,3),
(129622,10177680,'Cannot be modified except by direct means',100,2,4),
(129623,119247,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(129624,119247,'If profession other than Fighter',100,1,1),
(129625,119247,'If profession other than Scout',100,1,2),
(129626,10119247,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(129627,10119247,'If profession other than Fighter',100,1,1),
(129628,10119247,'If profession other than Scout',100,1,2),
(129629,81036,'When Equipped:',100,0,0),
(129630,81036,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129631,81036,'Inflicts 230 - 426 magic damage on target',100,2,2),
(129632,81036,'Cannot be modified except by direct means',100,2,3),
(129633,10081036,'When Equipped:',100,0,0),
(129634,10081036,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129635,10081036,'Inflicts 298 - 554 magic damage on target',100,2,2),
(129636,10081036,'Cannot be modified except by direct means',100,2,3),
(129637,35582,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(129638,185564,'When Equipped:',100,0,0),
(129639,185564,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(129640,185564,'Inflicts 37 divine damage on target',100,2,2),
(129641,185564,'Cannot be modified except by direct means',100,2,3),
(129642,10185564,'When Equipped:',100,0,0),
(129643,10185564,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(129644,10185564,'Inflicts 49 divine damage on target',100,2,2),
(129645,10185564,'Cannot be modified except by direct means',100,2,3),
(129646,82527,'When Equipped:',100,0,0),
(129647,82527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129648,82527,'Inflicts 116 - 215 magic damage on target',100,2,2),
(129649,82527,'Cannot be modified except by direct means',100,2,3),
(129650,10082527,'When Equipped:',100,0,0),
(129651,10082527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(129652,10082527,'Inflicts 151 - 280 magic damage on target',100,2,2),
(129653,10082527,'Cannot be modified except by direct means',100,2,3),
(129654,108092,'Decreases Threat to target by 422 - 704 ',100,1,0),
(129655,10108092,'Forces target to clear their selected target.',100,1,0),
(129656,10108092,'Target cannot target caster for the duration of this effect.',100,1,1),
(129657,45958,'Applies Bladed Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(129658,45958,'Makes caster immune to Daze effects',100,1,1),
(129659,45958,'Temporarily increases the damage of your combat arts by 10%',100,1,2),
(129660,45958,'Must have Discord''s Oft-stabbed Fallen Foe Trinket equipped.',100,1,3),
(129661,45958,'Must be engaged in pvp combat',100,1,4),
(129662,10045958,'Applies Bladed Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(129663,10045958,'Makes caster immune to Daze effects',100,1,1),
(129664,10045958,'Temporarily increases the damage of your combat arts by 10%',100,1,2),
(129665,10045958,'Must have Discord''s Oft-stabbed Fallen Foe Trinket equipped.',100,1,3),
(129666,10045958,'Must be engaged in pvp combat',100,1,4),
(129667,181418,'When Equipped:',100,0,0),
(129668,181418,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129669,181418,'Inflicts 281 mental damage on target',100,2,2),
(129670,181418,'Must not be classified as an undead',100,3,3),
(129671,181418,'Inflicts 562 mental damage on target',100,2,4),
(129672,181418,'Must be classified as an undead',100,3,5),
(129673,181418,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(129674,181418,'Must be classified as an undead',100,3,7),
(129675,181418,'Cannot be modified except by direct means',100,2,8),
(129676,181418,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(129677,10181418,'When Equipped:',100,0,0),
(129678,10181418,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129679,10181418,'Inflicts 365 mental damage on target',100,2,2),
(129680,10181418,'Must not be classified as an undead',100,3,3),
(129681,10181418,'Inflicts 731 mental damage on target',100,2,4),
(129682,10181418,'Must be classified as an undead',100,3,5),
(129683,10181418,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(129684,10181418,'Must be classified as an undead',100,3,7),
(129685,10181418,'Cannot be modified except by direct means',100,2,8),
(129686,10181418,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(129687,138504,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(129688,138504,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 315',100,1,1),
(129689,138504,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(129690,10138504,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(129691,10138504,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 315',100,1,1),
(129692,10138504,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(129693,47189,'Applies Elixir of Longetivity  when Activated.  Lasts for 15 minutes.',100,0,0),
(129694,47189,'Increases Max Health of caster by 86.5',100,1,1),
(129695,10047189,'Applies Elixir of Longetivity  when Activated.  Lasts for 15 minutes.',100,0,0),
(129696,10047189,'Increases Max Health of caster by 86.5',100,1,1),
(129697,37545,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(129698,110282,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(129699,110282,'Slows target by 44.9%',100,2,1),
(129700,110282,'5% chance to dispel when target receives hostile action',100,2,2),
(129701,110282,'5% chance to dispel when target takes damage',100,2,3),
(129702,110282,'Decreases Mitigation of target vs arcane damage by 888',100,1,4),
(129703,10110282,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(129704,10110282,'Slows target by 44.9%',100,2,1),
(129705,10110282,'5% chance to dispel when target receives hostile action',100,2,2),
(129706,10110282,'5% chance to dispel when target takes damage',100,2,3),
(129707,10110282,'Decreases Mitigation of target vs arcane damage by 888',100,1,4),
(129708,110041,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(129709,110041,'Inflicts 432 - 720 disease damage on target',100,2,1),
(129710,110041,'Heals caster for 2.0 - 3.4% of max health',100,2,2),
(129711,110041,'This effect cannot be critically applied.',100,3,3),
(129712,110041,'The healing of this spell cannot be modified except by direct means',100,2,4),
(129713,10110041,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(129714,10110041,'Inflicts 561 - 936 disease damage on target',100,2,1),
(129715,10110041,'Heals caster for 0.6 - 1.0% of max health',100,2,2),
(129716,10110041,'This effect cannot be critically applied.',100,3,3),
(129717,10110041,'The healing of this spell cannot be modified except by direct means',100,2,4),
(129718,118619,'Inflicts 11 - 33 crushing damage on target',100,1,0),
(129719,10118619,'Inflicts 14 - 43 crushing damage on target',100,1,0),
(129720,107862,'Decreases Mitigation of target vs elemental damage by 1020',100,1,0),
(129721,107862,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(129722,107862,'Slows target by 40.2%',100,2,2),
(129723,107862,'5% chance to dispel when target receives hostile action',100,2,3),
(129724,107862,'5% chance to dispel when target takes damage',100,2,4),
(129725,10107862,'Decreases Mitigation of target vs elemental damage by 1020',100,1,0),
(129726,10107862,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(129727,10107862,'Slows target by 40.2%',100,2,2),
(129728,10107862,'5% chance to dispel when target receives hostile action',100,2,3),
(129729,10107862,'5% chance to dispel when target takes damage',100,2,4),
(129730,110459,'Dazes targets in Area of Effect',100,1,0),
(129731,110459,'If Target is not Epic',100,2,1),
(129732,110459,'Decreases Threat to targets in Area of Effect by 3,848 ',100,1,2),
(129733,110459,'Dispelled when target receives hostile action',100,1,3),
(129734,110459,'Dispelled when target takes damage',100,1,4),
(129735,10110459,'Dazes targets in Area of Effect',100,1,0),
(129736,10110459,'If Target is not Epic',100,2,1),
(129737,10110459,'Applies Distract.',100,1,2),
(129738,10110459,'Forces target to clear their selected target.',100,2,3),
(129739,10110459,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(129740,10110459,'Dispelled when target receives hostile action',100,1,5),
(129741,10110459,'Dispelled when target takes damage',100,1,6),
(129742,189106,'When Equipped:',100,0,0),
(129743,189106,'Increases Attack Speed of caster by 40.0',100,1,1),
(129744,10189106,'When Equipped:',100,0,0),
(129745,10189106,'Increases Attack Speed of caster by 40.0',100,1,1),
(129746,105210,'Shapechanges target into a rust monster',100,1,0),
(129747,10105210,'Shapechanges target into a rust monster',100,1,0),
(129748,119631,'Inflicts 34 - 57 crushing damage on target',100,1,0),
(129749,119631,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(129750,119631,'Stuns target',100,2,2),
(129751,119631,'Throws target back',100,2,3),
(129752,119631,'Blurs vision of target',100,2,4),
(129753,119631,'Does not affect Epic targets',100,2,5),
(129754,10119631,'Inflicts 44 - 74 crushing damage on target',100,1,0),
(129755,10119631,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(129756,10119631,'Stuns target',100,2,2),
(129757,10119631,'Throws target back',100,2,3),
(129758,10119631,'Blurs vision of target',100,2,4),
(129759,10119631,'Does not affect Epic targets',100,2,5),
(129760,112948,'Inflicts 89 - 267 crushing damage on target',100,1,0),
(129761,10112948,'Inflicts 115 - 347 crushing damage on target',100,1,0),
(129762,106145,'Inflicts 263 - 438 divine damage on target encounter',100,1,0),
(129763,106145,'Interrupts target encounter',100,1,1),
(129764,10106145,'Inflicts 341 - 569 divine damage on target encounter',100,1,0),
(129765,10106145,'Interrupts target encounter',100,1,1),
(129766,107911,'Mesmerizes target',100,1,0),
(129767,107911,'Prevents AOE (except when direct) ',100,1,1),
(129768,107911,'Dispelled when target takes damage',100,1,2),
(129769,107911,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(129770,107911,'Resistibility increases against targets higher than level 41.',100,1,4),
(129771,10107911,'Mesmerizes target',100,1,0),
(129772,10107911,'Prevents AOE (except when direct) ',100,1,1),
(129773,10107911,'Dispelled when target takes damage',100,1,2),
(129774,10107911,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(129775,10107911,'Resistibility increases against targets higher than level 41.',100,1,4),
(129776,102837,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(129777,102837,'Stuns target',100,2,1),
(129778,102837,'Throws target back',100,2,2),
(129779,102837,'Blurs vision of target',100,2,3),
(129780,102837,'Does not affect Epic targets',100,2,4),
(129781,102837,'Inflicts 28 - 85 melee damage on targets in area',100,1,5),
(129782,10102837,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(129783,10102837,'Stuns target',100,2,1),
(129784,10102837,'Throws target back',100,2,2),
(129785,10102837,'Blurs vision of target',100,2,3),
(129786,10102837,'Does not affect Epic targets',100,2,4),
(129787,10102837,'Inflicts 36 - 110 melee damage on targets in area',100,1,5),
(129788,48910,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(129789,48910,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(129790,48910,'Inflicts 198 poison damage on target instantly and every 6 seconds',100,2,2),
(129791,48910,'Inflicts 225 poison damage on target',100,2,3),
(129792,48910,'Cannot be modified except by direct means',100,2,4),
(129793,48910,'Grants a total of 200 triggers of the spell.',100,2,5),
(129794,10048910,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(129795,10048910,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(129796,10048910,'Inflicts 193 poison damage on target instantly and every 6 seconds',100,2,2),
(129797,10048910,'Inflicts 220 poison damage on target',100,2,3),
(129798,10048910,'Cannot be modified except by direct means',100,2,4),
(129799,10048910,'Grants a total of 200 triggers of the spell.',100,2,5),
(129800,136529,'When Equipped:',100,0,0),
(129801,136529,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(129802,136529,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(129803,136529,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,3),
(129804,136529,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(129805,136529,'Must not be engaged in pvp combat',100,2,5),
(129806,136529,'Cannot be modified except by direct means',100,2,6),
(129807,136529,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(129808,136529,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,8),
(129809,136529,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(129810,136529,'Must not be engaged in pvp combat',100,2,10),
(129811,136529,'Cannot be modified except by direct means',100,2,11),
(129812,136529,'Cannot be modified except by direct means',100,1,12),
(129813,10136529,'When Equipped:',100,0,0),
(129814,10136529,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(129815,10136529,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(129816,10136529,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,3),
(129817,10136529,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(129818,10136529,'Must not be engaged in pvp combat',100,2,5),
(129819,10136529,'Cannot be modified except by direct means',100,2,6),
(129820,10136529,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(129821,10136529,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,8),
(129822,10136529,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(129823,10136529,'Must not be engaged in pvp combat',100,2,10),
(129824,10136529,'Cannot be modified except by direct means',100,2,11),
(129825,10136529,'Cannot be modified except by direct means',100,1,12),
(129826,24661,'Adds Popup Text (Red) to your Dungeon Maker toolbox',100,0,0),
(129827,10024661,'Adds Popup Text (Red) to your Dungeon Maker toolbox',100,0,0),
(129828,36346,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(129829,118547,'Inflicts 677 - 1128 melee damage on target',100,1,0),
(129830,118547,'Decreases STR of target by 66.6',100,1,1),
(129831,118547,'You must be sneaking to use this ability.',100,1,2),
(129832,10118547,'Inflicts 880 - 1467 melee damage on target',100,1,0),
(129833,10118547,'Decreases STR of target by 66.6',100,1,1),
(129834,10118547,'You must be sneaking to use this ability.',100,1,2),
(129835,110420,'Inflicts 5056 - 8426 disease damage on target',100,1,0),
(129836,10110420,'Inflicts 4507 - 7512 disease damage on target',100,1,0),
(129837,110131,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(129838,110131,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(129839,110131,'Only affects the caster of Guardian''s Sphere',100,2,2),
(129840,110131,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(129841,110131,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(129842,110131,'If not fighter',100,2,5),
(129843,10110131,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(129844,10110131,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(129845,10110131,'Only affects the caster of Guardian''s Sphere',100,2,2),
(129846,10110131,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(129847,10110131,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(129848,10110131,'If not fighter',100,2,5),
(129849,36444,'Target will Parry 0.2% of incoming attacks',100,0,0),
(129850,36444,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(129851,45009,'Applies Create Honor Sword when Activated.',100,0,0),
(129852,45009,'Summon 1 Sword of Honor',100,1,1),
(129853,10045009,'Applies Create Honor Sword when Activated.',100,0,0),
(129854,10045009,'Summon 1 Sword of Honor',100,1,1),
(129855,35431,'Increases STA of target by 1.5',100,0,0),
(129856,35431,'Target will Parry 0.2% of incoming attacks',100,0,1),
(129857,35431,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(129858,103068,'Inflicts 127 magic damage on target instantly and every 4 seconds',100,1,0),
(129859,103068,'Increases power of caster by 42 instantly and every 4 seconds',100,1,1),
(129860,10103068,'Inflicts 165 magic damage on target instantly and every 4 seconds',100,1,0),
(129861,10103068,'Increases power of caster by 42 instantly and every 4 seconds',100,1,1),
(129862,159327,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129863,159327,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129864,159327,'Inflicts 352 heat damage on target',100,2,2),
(129865,159327,'Cannot be modified except by direct means',100,2,3),
(129866,10159327,'Applies Sanguine Imbued when Equipped.',100,0,0),
(129867,10159327,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(129868,10159327,'Inflicts 457 heat damage on target',100,2,2),
(129869,10159327,'Cannot be modified except by direct means',100,2,3),
(129870,105120,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(129871,105120,'Summon 1 Crystallized Soul (Apprentice)',100,2,1),
(129872,10105120,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(129873,10105120,'Summon 1 Crystallized Soul (Apprentice)',100,2,1),
(129874,124290,'Wards group members (AE) against 691 points of elemental damage',100,1,0),
(129875,124290,'Increases Mitigation of group members (AE) vs elemental damage by 409',100,1,1),
(129876,10124290,'Wards group members (AE) against 691 points of elemental damage',100,1,0),
(129877,10124290,'Increases Mitigation of group members (AE) vs elemental damage by 409',100,1,1),
(129878,83839,'When Equipped:',100,0,0),
(129879,83839,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(129880,83839,'Inflicts 166 - 277 heat damage on target',100,2,2),
(129881,83839,'Cannot be modified except by direct means',100,2,3),
(129882,10083839,'When Equipped:',100,0,0),
(129883,10083839,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(129884,10083839,'Inflicts 216 - 360 heat damage on target',100,2,2),
(129885,10083839,'Cannot be modified except by direct means',100,2,3),
(129886,181038,'When Equipped:',100,0,0),
(129887,181038,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(129888,10181038,'When Equipped:',100,0,0),
(129889,10181038,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(129890,174392,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(129891,174392,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(129892,174392,'Cannot be modified except by direct means',100,1,2),
(129893,10174392,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(129894,10174392,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(129895,10174392,'Cannot be modified except by direct means',100,1,2),
(129896,45097,'Applies Crystalline Resonance when Activated.',100,0,0),
(129897,45097,'This strange resonance might reveal that which is hidden.',100,1,1),
(129898,10045097,'Applies Crystalline Resonance when Activated.',100,0,0),
(129899,10045097,'This strange resonance might reveal that which is hidden.',100,1,1),
(129900,123957,'Inflicts 74 - 123 melee damage on target',100,1,0),
(129901,123957,'Decreases AGI of target by 7.6',100,1,1),
(129902,123957,'Must be behind',100,1,2),
(129903,10123957,'Inflicts 96 - 160 melee damage on target',100,1,0),
(129904,10123957,'Decreases AGI of target by 7.6',100,1,1),
(129905,10123957,'Must be behind',100,1,2),
(129906,111436,'Decreases Attack Speed of caster by 12.7',100,1,0),
(129907,111436,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(129908,111436,'Roots target',100,2,2),
(129909,111436,'5% chance to dispel when target takes damage',100,2,3),
(129910,111436,'5% chance to dispel when target receives hostile action',100,2,4),
(129911,111436,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(129912,111436,'Increases Mitigation of caster vs physical damage by 257',100,1,6),
(129913,10111436,'Decreases Attack Speed of caster by 12.7',100,1,0),
(129914,10111436,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(129915,10111436,'Roots target',100,2,2),
(129916,10111436,'5% chance to dispel when target takes damage',100,2,3),
(129917,10111436,'5% chance to dispel when target receives hostile action',100,2,4),
(129918,10111436,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(129919,10111436,'Increases Mitigation of caster vs physical damage by 257',100,1,6),
(129920,109611,'Increases Defense of group members'' pets (AE) by 12.2',100,1,0),
(129921,109611,'Increases Mitigation of group members (AE) vs all damage by 194',100,1,1),
(129922,10109611,'Increases Defense of group members'' pets (AE) by 12.2',100,1,0),
(129923,10109611,'Increases Mitigation of group members (AE) vs all damage by 194',100,1,1),
(129924,185316,'When Equipped:',100,0,0),
(129925,185316,'When damaged with a melee weapon this spell has a 6% chance to cast Thick Bands on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(129926,185316,'Wards caster against 700 points of physical damage',100,2,2),
(129927,185316,'Cannot be modified except by direct means',100,2,3),
(129928,10185316,'When Equipped:',100,0,0),
(129929,10185316,'When damaged with a melee weapon this spell has a 6% chance to cast Thick Bands on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(129930,10185316,'Wards caster against 700 points of physical damage',100,2,2),
(129931,10185316,'Cannot be modified except by direct means',100,2,3),
(129932,115246,'Heals target for 69',100,1,0),
(129933,115246,'Heals target for 12 every second',100,1,1),
(129934,115246,'Dispels 16 levels of any hostile effects on target',100,1,2),
(129935,10115246,'Heals target for 45',100,1,0),
(129936,10115246,'Heals target for 8 every second',100,1,1),
(129937,10115246,'Dispels 16 levels of any hostile effects on target',100,1,2),
(129938,119813,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(129939,119813,'Adds 1.1% to base avoidance.',100,1,1),
(129940,10119813,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(129941,10119813,'Adds 1.1% to base avoidance.',100,1,1),
(129942,115988,'Inflicts 482 - 722 mental damage on target',100,1,0),
(129943,115988,'Stuns target',100,1,1),
(129944,115988,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(129945,115988,'Resistibility increases against targets higher than level 98.',100,1,3),
(129946,10115988,'Stuns target',100,1,0),
(129947,10115988,'Inflicts 626 - 939 mental damage on target',100,1,1),
(129948,10115988,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(129949,10115988,'Resistibility increases against targets higher than level 98.',100,1,3),
(129950,37557,'Increases STR and STA of target by 4.3',100,0,0),
(129951,37557,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(129952,37557,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,2),
(129953,181605,'When Equipped:',100,0,0),
(129954,181605,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(129955,181605,'Heals group members (AE) for 2304',100,2,2),
(129956,181605,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(129957,181605,'Must not be engaged in pvp combat',100,2,4),
(129958,181605,'Cannot be modified except by direct means',100,2,5),
(129959,181605,'Must not be engaged in pvp combat',100,1,6),
(129960,10181605,'When Equipped:',100,0,0),
(129961,10181605,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(129962,10181605,'Heals group members (AE) for 2695',100,2,2),
(129963,10181605,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(129964,10181605,'Must not be engaged in pvp combat',100,2,4),
(129965,10181605,'Cannot be modified except by direct means',100,2,5),
(129966,10181605,'Must not be engaged in pvp combat',100,1,6),
(129967,159597,'When Equipped:',100,0,0),
(129968,159597,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129969,159597,'Increases WIS of caster by 7.6',100,2,2),
(129970,159597,'Increases Focus, Ministration and Ordination of caster by 4.9',100,2,3),
(129971,159597,'Cannot be modified except by direct means',100,2,4),
(129972,10159597,'When Equipped:',100,0,0),
(129973,10159597,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(129974,10159597,'Increases WIS of caster by 7.6',100,2,2),
(129975,10159597,'Increases Focus, Ministration and Ordination of caster by 4.9',100,2,3),
(129976,10159597,'Cannot be modified except by direct means',100,2,4),
(129977,114865,'Decreases AGI of target by 42.9',100,1,0),
(129978,114865,'Decreases Defense of target by 16.5',100,1,1),
(129979,10114865,'Decreases AGI of target by 42.9',100,1,0),
(129980,10114865,'Decreases Defense of target by 16.5',100,1,1),
(129981,122478,'Inflicts 144 - 239 mental damage on targets in Area of Effect',100,1,0),
(129982,10122478,'Inflicts 187 - 311 mental damage on targets in Area of Effect',100,1,0),
(129983,103947,'Wards group members (AE) collectively against 4654 total points of all damage',100,1,0),
(129984,10103947,'Wards group members (AE) collectively against 6932 total points of all damage',100,1,0),
(129985,110522,'Increases Threat to target by 406  instantly and by 169  every 3 seconds thereafter',100,1,0),
(129986,110522,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(129987,110522,'Stuns target',100,2,2),
(129988,110522,'Blurs vision of target',100,2,3),
(129989,110522,'Throws target back',100,2,4),
(129990,110522,'Does not affect Epic targets',100,2,5),
(129991,110522,'Inflicts 111 - 185 disease damage on target',100,1,6),
(129992,10110522,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(129993,10110522,'Stuns target',100,2,1),
(129994,10110522,'Throws target back',100,2,2),
(129995,10110522,'Blurs vision of target',100,2,3),
(129996,10110522,'Does not affect Epic targets',100,2,4),
(129997,10110522,'Forces target to change their selected target to caster.',100,1,5),
(129998,10110522,'Inflicts 120 - 200 disease damage on target',100,1,6),
(129999,10110522,'Prevents target from changing targets',100,1,7),
(130000,119850,'Dazes target',100,1,0),
(130001,119850,'Does not affect Epic targets',100,1,1),
(130002,119850,'Resistibility increases against targets higher than level 93.',100,1,2),
(130003,10119850,'Dazes target',100,1,0),
(130004,10119850,'Does not affect Epic targets',100,1,1),
(130005,10119850,'Resistibility increases against targets higher than level 93.',100,1,2),
(130006,35277,'Increases AGI of target by 1.5',100,0,0),
(130007,35277,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(130008,122070,'Increases Threat to target by 214 - 261 ',100,1,0),
(130009,35321,'Increases Max Power of target by 3.3',100,0,0),
(130010,35321,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(130011,110082,'Summons a pet grim sorcerer',100,1,0),
(130012,10110082,'Summons a pet grim sorcerer',100,1,0),
(130013,105350,'Inflicts 724 - 1208 melee damage on target',100,1,0),
(130014,105350,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 814',100,1,1),
(130015,105350,'Must be flanking or behind',100,1,2),
(130016,10105350,'Inflicts 942 - 1570 melee damage on target',100,1,0),
(130017,10105350,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 814',100,1,1),
(130018,10105350,'Must be flanking or behind',100,1,2),
(130019,40672,'When Equipped:',100,0,0),
(130020,40672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130021,40672,'Inflicts 131 - 197 magic damage on target',100,2,2),
(130022,40672,'Cannot be modified except by direct means',100,2,3),
(130023,10040672,'When Equipped:',100,0,0),
(130024,10040672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130025,10040672,'Inflicts 171 - 256 magic damage on target',100,2,2),
(130026,10040672,'Cannot be modified except by direct means',100,2,3),
(130027,190031,'When Equipped:',100,0,0),
(130028,190031,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(130029,190031,'Wards target against 1000 points of all damage',100,2,2),
(130030,190031,'Cannot be modified except by direct means',100,2,3),
(130031,190031,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(130032,10190031,'When Equipped:',100,0,0),
(130033,10190031,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(130034,10190031,'Wards target against 1000 points of all damage',100,2,2),
(130035,10190031,'Cannot be modified except by direct means',100,2,3),
(130036,10190031,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(130037,100908,'Stuns targets in Area of Effect',20,1,0),
(130038,100908,'If Target is not Epic',100,2,1),
(130039,100908,'Inflicts 212 - 354 divine damage on targets in Area of Effect',100,1,2),
(130040,100908,'Resistibility increases against targets higher than level 71.',100,1,3),
(130041,10100908,'Stuns targets in Area of Effect',20,1,0),
(130042,10100908,'If Target is not Epic',100,2,1),
(130043,10100908,'Inflicts 276 - 460 divine damage on targets in Area of Effect',100,1,2),
(130044,10100908,'Resistibility increases against targets higher than level 71.',100,1,3),
(130045,87435,'When Equipped:',100,0,0),
(130046,87435,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130047,87435,'Inflicts 44 - 66 magic damage on target',100,2,2),
(130048,87435,'Cannot be modified except by direct means',100,2,3),
(130049,10087435,'When Equipped:',100,0,0),
(130050,10087435,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130051,10087435,'Inflicts 57 - 85 magic damage on target',100,2,2),
(130052,10087435,'Cannot be modified except by direct means',100,2,3),
(130053,105595,'Decreases power of target encounter by 70 - 86 instantly and every 3 seconds',100,1,0),
(130054,105595,'Inflicts 163 - 304 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(130055,105595,'Heals group members (AE) for 52 - 97 instantly and every 3 seconds',100,1,2),
(130056,105595,'Increases power of group members (AE) by 20 instantly and every 3 seconds',100,1,3),
(130057,10105595,'Decreases power of target encounter by 70 - 86 instantly and every 3 seconds',100,1,0),
(130058,10105595,'Inflicts 213 - 395 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(130059,10105595,'Heals group members (AE) for 34 - 63 instantly and every 3 seconds',100,1,2),
(130060,10105595,'Increases power of group members (AE) by 20 instantly and every 3 seconds',100,1,3),
(130061,46565,'Applies Call Gray Mustang when Activated.',100,0,0),
(130062,46565,'Increases Foresting of caster by 9.5',100,1,1),
(130063,46565,'Summons a mount to ride',100,1,2),
(130064,46565,'Increases your ground speed by 130%',100,2,3),
(130065,46565,'Increases Fishing, Mining, Gathering, Transmuting and Trapping of caster by 9.5',100,1,4),
(130066,10046565,'Applies Call Gray Mustang when Activated.',100,0,0),
(130067,10046565,'Increases Foresting of caster by 9.5',100,1,1),
(130068,10046565,'Summons a mount to ride',100,1,2),
(130069,10046565,'Increases your ground speed by 130%',100,2,3),
(130070,10046565,'Increases Fishing, Mining, Gathering, Transmuting and Trapping of caster by 9.5',100,1,4),
(130071,114832,'Dazes caster',100,1,0),
(130072,114832,'Roots caster',100,1,1),
(130073,114832,'Increases Mitigation of caster vs physical damage by 1496',100,1,2),
(130074,10114832,'Dazes caster',100,1,0),
(130075,10114832,'Roots caster',100,1,1),
(130076,10114832,'Increases Mitigation of caster vs physical damage by 1496',100,1,2),
(130077,104390,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(130078,104390,'Inflicts 280 - 342 cold damage on target',100,2,1),
(130079,10104390,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(130080,10104390,'Inflicts 364 - 444 cold damage on target',100,2,1),
(130081,116777,'Increases Max Health of target by 1,131.2',100,1,0),
(130082,116777,'Increases Max Power of target by 1,143.7',100,1,1),
(130083,10116777,'Increases Max Health of target by 1,131.2',100,1,0),
(130084,10116777,'Increases Max Power of target by 1,143.7',100,1,1),
(130085,51410,'Applies Heroic Resistance V when Equipped.',100,0,0),
(130086,51410,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(130087,51410,'Cannot be modified except by direct means',100,1,2),
(130088,10051410,'Applies Heroic Resistance V when Equipped.',100,0,0),
(130089,10051410,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(130090,10051410,'Cannot be modified except by direct means',100,1,2),
(130091,188369,'When Equipped:',100,0,0),
(130092,188369,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(130093,10188369,'When Equipped:',100,0,0),
(130094,10188369,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(130095,114291,'Heals target for 248 - 303',100,1,0),
(130096,10114291,'Heals target for 291 - 356',100,1,0),
(130097,41356,'When Equipped:',100,0,0),
(130098,41356,'On a ranged hit this spell may cast Hailstorm on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(130099,41356,'Calls forth several miniature ice storms to lay waste to all nearby enemies.',100,2,2),
(130100,10041356,'When Equipped:',100,0,0),
(130101,10041356,'On a ranged hit this spell may cast Hailstorm on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(130102,10041356,'Calls forth several miniature ice storms to lay waste to all nearby enemies.',100,2,2),
(130103,140053,'When Equipped:',100,0,0),
(130104,140053,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(130105,140053,'Inflicts 187 heat damage on target',100,2,2),
(130106,140053,'Cannot be modified except by direct means',100,2,3),
(130107,10140053,'When Equipped:',100,0,0),
(130108,10140053,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(130109,10140053,'Inflicts 244 heat damage on target',100,2,2),
(130110,10140053,'Cannot be modified except by direct means',100,2,3),
(130111,136440,'Applies Spirit of the Wind when Equipped.',100,0,0),
(130112,136440,'Increases speed of caster by 10.0%',100,1,1),
(130113,136440,'This effect suspends during combat',100,1,2),
(130114,10136440,'Applies Spirit of the Wind when Equipped.',100,0,0),
(130115,10136440,'Increases speed of caster by 10.0%',100,1,1),
(130116,10136440,'This effect suspends during combat',100,1,2),
(130117,110694,'Heals target for 1142',100,1,0),
(130118,110694,'Dispels 81 levels of any hostile effects on target',100,1,1),
(130119,10110694,'Heals target for 742',100,1,0),
(130120,10110694,'Dispels 81 levels of any hostile effects on target',100,1,1),
(130121,104678,'Decreases Mitigation of target vs all damage by 374',100,1,0),
(130122,10104678,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 374',100,1,0),
(130123,10104678,'Decreases Mitigation of target vs physical damage by 312',100,1,1),
(130124,35334,'Increases WIS of target by 1.5',100,0,0),
(130125,35334,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(130126,103271,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(130127,103271,'If Fighter',100,2,1),
(130128,103271,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(130129,103271,'Increases power of target by 7 instantly and every 4 seconds',100,2,3),
(130130,103271,'Increases power of caster by 7 instantly and every 4 seconds',100,2,4),
(130131,10103271,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(130132,10103271,'Increases power of target by 7 instantly and every 4 seconds',100,2,1),
(130133,10103271,'Increases power of caster by 7 instantly and every 4 seconds',100,2,2),
(130134,155116,'When Equipped:',100,0,0),
(130135,155116,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130136,155116,'Wards target against 2400 points of all damage',100,2,2),
(130137,155116,'Cannot be modified except by direct means',100,2,3),
(130138,10155116,'When Equipped:',100,0,0),
(130139,10155116,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130140,10155116,'Wards target against 2400 points of all damage',100,2,2),
(130141,10155116,'Cannot be modified except by direct means',100,2,3),
(130142,186930,'When Equipped:',100,0,0),
(130143,186930,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(130144,186930,'Increases power of caster by 301',100,2,2),
(130145,186930,'Cannot be modified except by direct means',100,2,3),
(130146,10186930,'When Equipped:',100,0,0),
(130147,10186930,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(130148,10186930,'Increases power of caster by 301',100,2,2),
(130149,10186930,'Cannot be modified except by direct means',100,2,3),
(130150,116501,'Prevents targets in Area of Effect from changing targets',100,1,0),
(130151,116501,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(130152,116501,'Increases Threat to targets in Area of Effect by 502 ',100,1,2),
(130153,10116501,'Prevents targets in Area of Effect from changing targets',100,1,0),
(130154,10116501,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(130155,187232,'When Equipped:',100,0,0),
(130156,187232,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(130157,187232,'Increases power of target by 25',100,2,2),
(130158,187232,'Cannot be modified except by direct means',100,2,3),
(130159,187232,'Must be engaged in pvp combat',100,1,4),
(130160,10187232,'When Equipped:',100,0,0),
(130161,10187232,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(130162,10187232,'Increases power of target by 25',100,2,2),
(130163,10187232,'Cannot be modified except by direct means',100,2,3),
(130164,10187232,'Must be engaged in pvp combat',100,1,4),
(130165,172463,'When Equipped:',100,0,0),
(130166,172463,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(130167,172463,'Heals caster for 371 - 454',100,2,2),
(130168,172463,'Increases power of caster by 191',100,2,3),
(130169,172463,'Must not be engaged in pvp combat',100,2,4),
(130170,172463,'Cannot be modified except by direct means',100,2,5),
(130171,172463,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(130172,172463,'Heals caster for 371 - 454',100,2,7),
(130173,172463,'Increases power of caster by 191',100,2,8),
(130174,172463,'Must not be engaged in pvp combat',100,2,9),
(130175,172463,'Cannot be modified except by direct means',100,2,10),
(130176,10172463,'When Equipped:',100,0,0),
(130177,10172463,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(130178,10172463,'Heals caster for 241 - 295',100,2,2),
(130179,10172463,'Increases power of caster by 191',100,2,3),
(130180,10172463,'Must not be engaged in pvp combat',100,2,4),
(130181,10172463,'Cannot be modified except by direct means',100,2,5),
(130182,10172463,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(130183,10172463,'Heals caster for 241 - 295',100,2,7),
(130184,10172463,'Increases power of caster by 191',100,2,8),
(130185,10172463,'Must not be engaged in pvp combat',100,2,9),
(130186,10172463,'Cannot be modified except by direct means',100,2,10),
(130187,114692,'Increases Threat to target by 1,483 - 1,812 ',100,1,0),
(130188,114692,'Interrupts target',100,1,1),
(130189,10114692,'Interrupts target',100,1,0),
(130190,10114692,'Forces target to change their selected target to caster.',100,1,1),
(130191,10114692,'Prevents target from changing targets',100,1,2),
(130192,119173,'Inflicts 12 - 21 heat damage on target',100,1,0),
(130193,119173,'Inflicts 12 - 21 heat damage on target',100,1,1),
(130194,119173,'Requires bow',100,1,2),
(130195,10119173,'Inflicts 14 - 24 heat damage on target',100,1,0),
(130196,10119173,'Inflicts 14 - 24 heat damage on target',100,1,1),
(130197,10119173,'Requires bow',100,1,2),
(130198,117268,'Inflicts 73 - 121 melee damage on target',100,1,0),
(130199,117268,'Decreases Damage Per Second of target by 8.3',100,1,1),
(130200,117268,'Decreases Attack Speed of target by 7.2',100,1,2),
(130201,10117268,'Inflicts 95 - 158 melee damage on target',100,1,0),
(130202,10117268,'Decreases Damage Per Second of target by 8.3',100,1,1),
(130203,10117268,'Decreases Attack Speed of target by 7.2',100,1,2),
(130204,100737,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(130205,100737,'Increases Mitigation of group members (AE) vs noxious damage by 1738',100,1,1),
(130206,10100737,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(130207,10100737,'Increases Mitigation of group members (AE) vs noxious damage by 1738',100,1,1),
(130208,52396,'When Equipped:',100,0,0),
(130209,52396,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(130210,52396,'Wards caster against 100 points of all damage',100,2,2),
(130211,52396,'Cannot be modified except by direct means',100,2,3),
(130212,10052396,'When Equipped:',100,0,0),
(130213,10052396,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(130214,10052396,'Wards caster against 100 points of all damage',100,2,2),
(130215,10052396,'Cannot be modified except by direct means',100,2,3),
(130216,46003,'Applies Bat Call when Activated.',100,0,0),
(130217,46003,'Summons a pet bat swarm',100,1,1),
(130218,10046003,'Applies Bat Call when Activated.',100,0,0),
(130219,10046003,'Summons a pet bat swarm',100,1,1),
(130220,111015,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(130221,111015,'Increases Threat to target by 19 ',100,2,1),
(130222,111015,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(130223,111015,'Increases Threat to target by 19 ',100,2,3),
(130224,10111015,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(130225,10111015,'Inflicts 5 crushing damage on target',100,2,1),
(130226,10111015,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(130227,10111015,'Inflicts 5 crushing damage on target',100,2,3),
(130228,80219,'When Equipped:',100,0,0),
(130229,80219,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130230,80219,'Inflicts 260 - 482 magic damage on target',100,2,2),
(130231,80219,'Cannot be modified except by direct means',100,2,3),
(130232,10080219,'When Equipped:',100,0,0),
(130233,10080219,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130234,10080219,'Inflicts 337 - 627 magic damage on target',100,2,2),
(130235,10080219,'Cannot be modified except by direct means',100,2,3),
(130236,115336,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(130237,115336,'Makes target afraid',100,2,1),
(130238,115336,'Slows target by 43.3%',100,2,2),
(130239,115336,'30% chance to dispel when target takes damage',100,2,3),
(130240,115336,'Does not affect Epic targets',100,2,4),
(130241,115336,'Resistibility increases against targets higher than level 76.',100,2,5),
(130242,115336,'Roots target',100,1,6),
(130243,115336,'15% chance to dispel when target takes damage',100,1,7),
(130244,115336,'Does not affect Epic targets',100,1,8),
(130245,115336,'Resistibility increases against targets higher than level 76.',100,1,9),
(130246,10115336,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(130247,10115336,'Makes target afraid',100,2,1),
(130248,10115336,'Slows target by 43.3%',100,2,2),
(130249,10115336,'30% chance to dispel when target takes damage',100,2,3),
(130250,10115336,'Does not affect Epic targets',100,2,4),
(130251,10115336,'Resistibility increases against targets higher than level 76.',100,2,5),
(130252,10115336,'Roots target',100,1,6),
(130253,10115336,'15% chance to dispel when target takes damage',100,1,7),
(130254,10115336,'Does not affect Epic targets',100,1,8),
(130255,10115336,'Resistibility increases against targets higher than level 76.',100,1,9),
(130256,100570,'Inflicts 26 - 43 melee damage on target',100,1,0),
(130257,100570,'You must be sneaking to use this ability.',100,1,1),
(130258,10100570,'Inflicts 34 - 56 melee damage on target',100,1,0),
(130259,10100570,'You must be sneaking to use this ability.',100,1,1),
(130260,106727,'Heals target for 492 - 602',100,1,0),
(130261,10106727,'Heals target for 579 - 707',100,1,0),
(130262,110738,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(130263,110738,'Heals group members (AE) for 1820',100,2,1),
(130264,10110738,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(130265,10110738,'Heals group members (AE) for 1183',100,2,1),
(130266,52617,'When Equipped:',100,0,0),
(130267,52617,'Increases base damage of Abandoned Fury by 30%.',100,1,1),
(130268,10052617,'When Equipped:',100,0,0),
(130269,10052617,'Increases base damage of Abandoned Fury by 30%.',100,1,1),
(130270,25928,'When Equipped:',100,0,0),
(130271,25928,'Increases all arcane damage by up to 5.',100,1,1),
(130272,10025928,'When Equipped:',100,0,0),
(130273,10025928,'Increases all arcane damage by up to 5.',100,1,1),
(130274,108515,'Increases AGI and WIS of group members (AE) by 23.4',100,1,0),
(130275,108515,'Adds 1.4% to base avoidance.',100,1,1),
(130276,108515,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 67',100,1,2),
(130277,10108515,'Increases AGI and WIS of group members (AE) by 23.4',100,1,0),
(130278,10108515,'Adds 1.4% to base avoidance.',100,1,1),
(130279,10108515,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 67',100,1,2),
(130280,114678,'Increases Threat to target by 487 - 595 ',100,1,0),
(130281,114678,'Interrupts target',100,1,1),
(130282,10114678,'Interrupts target',100,1,0),
(130283,10114678,'Forces target to change their selected target to caster.',100,1,1),
(130284,10114678,'Prevents target from changing targets',100,1,2),
(130285,159496,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(130286,159496,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(130287,159496,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(130288,159496,'Cannot be modified except by direct means',100,2,3),
(130289,10159496,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(130290,10159496,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(130291,10159496,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(130292,10159496,'Cannot be modified except by direct means',100,2,3),
(130293,123301,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(130294,123301,'Inflicts 298 - 497 disease damage on target',100,2,1),
(130295,123301,'Heals caster for 0.9 - 1.5% of max health',100,2,2),
(130296,123301,'This effect cannot be critically applied.',100,3,3),
(130297,123301,'The healing of this spell cannot be modified except by direct means',100,2,4),
(130298,10123301,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(130299,10123301,'Inflicts 388 - 647 disease damage on target',100,2,1),
(130300,10123301,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(130301,10123301,'This effect cannot be critically applied.',100,3,3),
(130302,10123301,'The healing of this spell cannot be modified except by direct means',100,2,4),
(130303,111666,'Inflicts 742 - 906 cold damage on target encounter',100,1,0),
(130304,111666,'Slows target encounter by 45.2%',100,1,1),
(130305,111666,'5% chance to dispel when target takes damage',100,1,2),
(130306,111666,'5% chance to dispel when target receives hostile action',100,1,3),
(130307,10111666,'Inflicts 1285 - 1571 cold damage on target encounter',100,1,0),
(130308,10111666,'Slows target encounter by 45.2%',100,1,1),
(130309,10111666,'5% chance to dispel when target takes damage',100,1,2),
(130310,10111666,'5% chance to dispel when target receives hostile action',100,1,3),
(130311,26481,'When Equipped:',100,0,0),
(130312,26481,'On a spell cast this spell may cast Oracular Perception on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(130313,26481,'Reduces the power cost of spells by 15%.',100,2,2),
(130314,26481,'Must not be engaged in pvp combat',100,2,3),
(130315,26481,'Cannot be modified except by direct means',100,2,4),
(130316,26481,'Must not be engaged in pvp combat',100,1,5),
(130317,10026481,'When Equipped:',100,0,0),
(130318,10026481,'On a spell cast this spell may cast Oracular Perception on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(130319,10026481,'Reduces the power cost of spells by 15%.',100,2,2),
(130320,10026481,'Must not be engaged in pvp combat',100,2,3),
(130321,10026481,'Cannot be modified except by direct means',100,2,4),
(130322,10026481,'Must not be engaged in pvp combat',100,1,5),
(130323,100707,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(130324,100707,'Increases Mitigation of group members (AE) vs noxious damage by 216',100,1,1),
(130325,10100707,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(130326,10100707,'Increases Mitigation of group members (AE) vs noxious damage by 216',100,1,1),
(130327,46972,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(130328,46972,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(130329,46972,'Inflicts 168 poison damage on target',100,2,2),
(130330,46972,'Inflicts 147 poison damage on target instantly and every 6 seconds',100,2,3),
(130331,46972,'Cannot be modified except by direct means',100,2,4),
(130332,46972,'Grants a total of 200 triggers of the spell.',100,2,5),
(130333,10046972,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(130334,10046972,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(130335,10046972,'Inflicts 144 poison damage on target instantly and every 6 seconds',100,2,2),
(130336,10046972,'Inflicts 164 poison damage on target',100,2,3),
(130337,10046972,'Cannot be modified except by direct means',100,2,4),
(130338,10046972,'Grants a total of 200 triggers of the spell.',100,2,5),
(130339,41649,'When Equipped:',100,0,0),
(130340,41649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130341,41649,'Inflicts 212 - 393 magic damage on target',100,2,2),
(130342,41649,'Cannot be modified except by direct means',100,2,3),
(130343,10041649,'When Equipped:',100,0,0),
(130344,10041649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130345,10041649,'Inflicts 275 - 511 magic damage on target',100,2,2),
(130346,10041649,'Cannot be modified except by direct means',100,2,3),
(130347,46652,'Applies Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(130348,46652,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(130349,46652,'Decreases Attack Speed of target by 24.6',100,2,2),
(130350,46652,'Cannot be modified except by direct means',100,2,3),
(130351,46652,'Grants a total of 30 triggers of the spell.',100,2,4),
(130352,46652,'Only affects targets level 50 and above',100,1,5),
(130353,10046652,'Applies Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(130354,10046652,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(130355,10046652,'Decreases Attack Speed of target by 24.6',100,2,2),
(130356,10046652,'Cannot be modified except by direct means',100,2,3),
(130357,10046652,'Grants a total of 30 triggers of the spell.',100,2,4),
(130358,10046652,'Only affects targets level 50 and above',100,1,5),
(130359,163233,'When Equipped:',100,0,0),
(130360,163233,'On a critical combat hit this spell may cast Arcane Vulnerability VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130361,163233,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,2),
(130362,163233,'Must not be engaged in pvp combat',100,2,3),
(130363,163233,'Cannot be modified except by direct means',100,2,4),
(130364,163233,'On a critical spell hit this spell may cast Arcane Vulnerability VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(130365,163233,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,6),
(130366,163233,'Must not be engaged in pvp combat',100,2,7),
(130367,163233,'Cannot be modified except by direct means',100,2,8),
(130368,163233,'Must not be engaged in pvp combat',100,1,9),
(130369,10163233,'When Equipped:',100,0,0),
(130370,10163233,'On a critical combat hit this spell may cast Arcane Vulnerability VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130371,10163233,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,2),
(130372,10163233,'Must not be engaged in pvp combat',100,2,3),
(130373,10163233,'Cannot be modified except by direct means',100,2,4),
(130374,10163233,'On a critical spell hit this spell may cast Arcane Vulnerability VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(130375,10163233,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,6),
(130376,10163233,'Must not be engaged in pvp combat',100,2,7),
(130377,10163233,'Cannot be modified except by direct means',100,2,8),
(130378,10163233,'Must not be engaged in pvp combat',100,1,9),
(130379,72180,'When Equipped:',100,0,0),
(130380,72180,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(130381,72180,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(130382,72180,'Cannot be modified except by direct means',100,2,3),
(130383,10072180,'When Equipped:',100,0,0),
(130384,10072180,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(130385,10072180,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(130386,10072180,'Cannot be modified except by direct means',100,2,3),
(130387,45227,'Applies Drop Beacon when Activated.',100,0,0),
(130388,10045227,'Applies Drop Beacon when Activated.',100,0,0),
(130389,52903,'Applies Sanguine Imbued when Equipped.',100,0,0),
(130390,52903,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(130391,52903,'Inflicts 84 heat damage on target',100,2,2),
(130392,52903,'Cannot be modified except by direct means',100,2,3),
(130393,10052903,'Applies Sanguine Imbued when Equipped.',100,0,0),
(130394,10052903,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(130395,10052903,'Inflicts 109 heat damage on target',100,2,2),
(130396,10052903,'Cannot be modified except by direct means',100,2,3),
(130397,111674,'Inflicts 1023 - 1251 cold damage on target encounter',100,1,0),
(130398,111674,'Slows target encounter by 47.2%',100,1,1),
(130399,111674,'5% chance to dispel when target takes damage',100,1,2),
(130400,111674,'5% chance to dispel when target receives hostile action',100,1,3),
(130401,10111674,'Inflicts 1773 - 2168 cold damage on target encounter',100,1,0),
(130402,10111674,'Slows target encounter by 47.2%',100,1,1),
(130403,10111674,'5% chance to dispel when target takes damage',100,1,2),
(130404,10111674,'5% chance to dispel when target receives hostile action',100,1,3),
(130405,49184,'Applies Ykeshan Bear when Activated.',100,0,0),
(130406,49184,'Summons a dire bear that will grow with you as you level up!',100,1,1),
(130407,10049184,'Applies Ykeshan Bear when Activated.',100,0,0),
(130408,10049184,'Summons a dire bear that will grow with you as you level up!',100,1,1),
(130409,82860,'When Equipped:',100,0,0),
(130410,82860,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130411,82860,'Inflicts 350 - 650 magic damage on target',100,2,2),
(130412,82860,'Cannot be modified except by direct means',100,2,3),
(130413,10082860,'When Equipped:',100,0,0),
(130414,10082860,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130415,10082860,'Inflicts 455 - 845 magic damage on target',100,2,2),
(130416,10082860,'Cannot be modified except by direct means',100,2,3),
(130417,111344,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(130418,111344,'Inflicts 777 - 950 mental damage on target',100,2,1),
(130419,111344,'Grants a total of 3 triggers of the spell.',100,2,2),
(130420,10111344,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(130421,10111344,'Inflicts 1010 - 1235 mental damage on target',100,2,1),
(130422,10111344,'Grants a total of 3 triggers of the spell.',100,2,2),
(130423,101453,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(130424,101453,'Increases Mitigation of group members (AE) vs noxious damage by 1008',100,1,1),
(130425,10101453,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(130426,10101453,'Increases Mitigation of group members (AE) vs noxious damage by 1008',100,1,1),
(130427,46478,'Applies gizmonic zapper when Activated.',100,0,0),
(130428,46478,'Roots target',100,1,1),
(130429,46478,'Zaps clockwork toys!',100,1,2),
(130430,46478,'Epic targets gain an immunity to Root effects of 0.0 seconds and duration is reduced to 0.0 seconds.',100,1,3),
(130431,10046478,'Applies gizmonic zapper when Activated.',100,0,0),
(130432,10046478,'Roots target',100,1,1),
(130433,10046478,'Zaps clockwork toys!',100,1,2),
(130434,10046478,'Epic targets gain an immunity to Root effects of 0.0 seconds and duration is reduced to 0.0 seconds.',100,1,3),
(130435,104924,'Inflicts 668 - 1113 ranged damage on target',100,1,0),
(130436,104924,'Decreases Deflection and Parry of target by 40.3',100,1,1),
(130437,104924,'Requires bow',100,1,2),
(130438,10104924,'Inflicts 568 - 946 ranged damage on target',100,1,0),
(130439,10104924,'Decreases Deflection and Parry of target by 40.3',100,1,1),
(130440,10104924,'Requires bow',100,1,2),
(130441,47913,'Applies Sanctification of the Swashbuckler when Activated.  Lasts for 30 minutes.',100,0,0),
(130442,47913,'Increases AGI of caster by 38.7',100,1,1),
(130443,10047913,'Applies Sanctification of the Swashbuckler when Activated.  Lasts for 30 minutes.',100,0,0),
(130444,10047913,'Increases AGI of caster by 38.7',100,1,1),
(130445,130080,'When Equipped:',100,0,0),
(130446,130080,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130447,130080,'Increases Potency of caster by 11.0%',100,2,2),
(130448,130080,'Must not be engaged in pvp combat',100,2,3),
(130449,130080,'Cannot be modified except by direct means',100,2,4),
(130450,130080,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(130451,130080,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(130452,130080,'Increases Potency of caster by 11.0%',100,2,7),
(130453,130080,'Must not be engaged in pvp combat',100,2,8),
(130454,130080,'Cannot be modified except by direct means',100,2,9),
(130455,130080,'Cannot be modified except by direct means',100,1,10),
(130456,10130080,'When Equipped:',100,0,0),
(130457,10130080,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130458,10130080,'Increases Potency of caster by 11.0%',100,2,2),
(130459,10130080,'Must not be engaged in pvp combat',100,2,3),
(130460,10130080,'Cannot be modified except by direct means',100,2,4),
(130461,10130080,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(130462,10130080,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(130463,10130080,'Increases Potency of caster by 11.0%',100,2,7),
(130464,10130080,'Must not be engaged in pvp combat',100,2,8),
(130465,10130080,'Cannot be modified except by direct means',100,2,9),
(130466,10130080,'Cannot be modified except by direct means',100,1,10),
(130467,74981,'When Equipped:',100,0,0),
(130468,74981,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130469,74981,'Inflicts 93 - 139 magic damage on target',100,2,2),
(130470,74981,'Cannot be modified except by direct means',100,2,3),
(130471,10074981,'When Equipped:',100,0,0),
(130472,10074981,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130473,10074981,'Inflicts 121 - 181 magic damage on target',100,2,2),
(130474,10074981,'Cannot be modified except by direct means',100,2,3),
(130475,159164,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(130476,159164,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(130477,159164,'Inflicts 69 heat damage on target',100,2,2),
(130478,159164,'Cannot be modified except by direct means',100,2,3),
(130479,10159164,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(130480,10159164,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(130481,10159164,'Inflicts 90 heat damage on target',100,2,2),
(130482,10159164,'Cannot be modified except by direct means',100,2,3),
(130483,49182,'Applies Summon Bone Devil when Activated.  Lasts for 15.0 seconds.',100,0,0),
(130484,49182,'Summons a limited pet to aid the caster',100,1,1),
(130485,10049182,'Applies Summon Bone Devil when Activated.  Lasts for 15.0 seconds.',100,0,0),
(130486,10049182,'Summons a limited pet to aid the caster',100,1,1),
(130487,177716,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(130488,177716,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(130489,177716,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(130490,177716,'Cannot be modified except by direct means',100,2,3),
(130491,10177716,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(130492,10177716,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(130493,10177716,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(130494,10177716,'Cannot be modified except by direct means',100,2,3),
(130495,36375,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(130496,36375,'This effect suspends during combat',100,0,1),
(130497,101617,'Applies Forceful Headache on termination.',100,1,0),
(130498,101617,'Inflicts 125 - 208 mental damage on target',100,2,1),
(130499,101617,'If over 50% power',100,3,2),
(130500,101617,'Inflicts 50 - 61 mental damage on target instantly and every 6 seconds',100,1,3),
(130501,101617,'Decreases Mitigation of target vs arcane damage by 336',100,1,4),
(130502,10101617,'Applies Forceful Headache on termination.',100,1,0),
(130503,10101617,'Inflicts 162 - 271 mental damage on target',100,2,1),
(130504,10101617,'If over 50% power',100,3,2),
(130505,10101617,'Inflicts 65 - 79 mental damage on target instantly and every 6 seconds',100,1,3),
(130506,10101617,'Decreases Mitigation of target vs arcane damage by 336',100,1,4),
(130507,182418,'When Equipped:',100,0,0),
(130508,182418,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(130509,182418,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(130510,182418,'Dispelled when target casts a heal spell',100,2,3),
(130511,182418,'Must not be engaged in pvp combat',100,2,4),
(130512,182418,'Cannot be modified except by direct means',100,2,5),
(130513,182418,'Must not be engaged in pvp combat',100,1,6),
(130514,10182418,'When Equipped:',100,0,0),
(130515,10182418,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(130516,10182418,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(130517,10182418,'Dispelled when target casts a heal spell',100,2,3),
(130518,10182418,'Must not be engaged in pvp combat',100,2,4),
(130519,10182418,'Cannot be modified except by direct means',100,2,5),
(130520,10182418,'Must not be engaged in pvp combat',100,1,6),
(130521,48564,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(130522,48564,'Shrinks caster by 35.0%',100,1,1),
(130523,48564,'Enlarges caster by 50.0%',100,1,2),
(130524,10048564,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(130525,10048564,'Shrinks caster by 35.0%',100,1,1),
(130526,10048564,'Enlarges caster by 50.0%',100,1,2),
(130527,105852,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(130528,105852,'Increases Damage Per Second of caster by 41.4',100,1,1),
(130529,105852,'Increases Piercing, Slashing and Crushing of caster by 17.8',100,1,2),
(130530,10105852,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(130531,10105852,'Increases Damage Per Second of caster by 41.4',100,1,1),
(130532,10105852,'Increases Piercing, Slashing and Crushing of caster by 17.8',100,1,2),
(130533,186050,'When Equipped:',100,0,0),
(130534,186050,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(130535,10186050,'When Equipped:',100,0,0),
(130536,10186050,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(130537,108679,'Inflicts 13 heat damage on target',100,1,0),
(130538,108679,'Inflicts 3 heat damage on target every 4 seconds',100,1,1),
(130539,10108679,'Inflicts 24 heat damage on target',100,1,0),
(130540,10108679,'Inflicts 4 heat damage on target every 4 seconds',100,1,1),
(130541,112318,'Inflicts 274 - 335 disease damage on target',100,1,0),
(130542,112318,'Inflicts 137 - 168 disease damage on target every 3 seconds',100,1,1),
(130543,112318,'Increases Threat to target by 1,726 - 2,109  instantly and by 324 - 396  every 3 seconds thereafter',100,1,2),
(130544,10112318,'Inflicts 178 - 218 disease damage on target every 3 seconds',100,1,0),
(130545,10112318,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(130546,100184,'Inflicts 1382 - 2567 disease damage on target encounter',100,1,0),
(130547,10100184,'Inflicts 1797 - 3338 disease damage on target encounter',100,1,0),
(130548,121410,'Inflicts 1501 - 1834 magic damage on target instantly and every 8 seconds',100,1,0),
(130549,121410,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(130550,121410,'Stuns target',100,2,2),
(130551,121410,'Throws target back',100,2,3),
(130552,121410,'Blurs vision of target',100,2,4),
(130553,121410,'Does not affect Epic targets',100,2,5),
(130554,10121410,'Inflicts 1951 - 2384 magic damage on target instantly and every 8 seconds',100,1,0),
(130555,10121410,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(130556,10121410,'Stuns target',100,2,2),
(130557,10121410,'Throws target back',100,2,3),
(130558,10121410,'Blurs vision of target',100,2,4),
(130559,10121410,'Does not affect Epic targets',100,2,5),
(130560,121497,'Inflicts 465 - 775 melee damage on target',100,1,0),
(130561,121497,'Decreases Defense of target by 12.5',100,1,1),
(130562,10121497,'Inflicts 604 - 1008 melee damage on target',100,1,0),
(130563,10121497,'Decreases Defense of target by 12.5',100,1,1),
(130564,166492,'When Equipped:',100,0,0),
(130565,166492,'On a critical spell hit this spell may cast Critical Perfection VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130566,166492,'Decreases Crit Chance of target by 2.0',100,2,2),
(130567,166492,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(130568,166492,'Increases Crit Chance of caster by 6.0',100,2,4),
(130569,166492,'Increases Crit Bonus of caster by 6.0%',100,2,5),
(130570,166492,'Must not be engaged in pvp combat',100,2,6),
(130571,166492,'Cannot be modified except by direct means',100,2,7),
(130572,166492,'On a critical combat hit this spell may cast Critical Perfection VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(130573,166492,'Decreases Crit Chance of target by 2.0',100,2,9),
(130574,166492,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(130575,166492,'Increases Crit Chance of caster by 6.0',100,2,11),
(130576,166492,'Increases Crit Bonus of caster by 6.0%',100,2,12),
(130577,166492,'Must not be engaged in pvp combat',100,2,13),
(130578,166492,'Cannot be modified except by direct means',100,2,14),
(130579,166492,'Must not be engaged in pvp combat',100,1,15),
(130580,10166492,'When Equipped:',100,0,0),
(130581,10166492,'On a critical spell hit this spell may cast Critical Perfection VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130582,10166492,'Decreases Crit Chance of target by 2.0',100,2,2),
(130583,10166492,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(130584,10166492,'Increases Crit Chance of caster by 6.0',100,2,4),
(130585,10166492,'Increases Crit Bonus of caster by 6.0%',100,2,5),
(130586,10166492,'Must not be engaged in pvp combat',100,2,6),
(130587,10166492,'Cannot be modified except by direct means',100,2,7),
(130588,10166492,'On a critical combat hit this spell may cast Critical Perfection VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(130589,10166492,'Decreases Crit Chance of target by 2.0',100,2,9),
(130590,10166492,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(130591,10166492,'Increases Crit Chance of caster by 6.0',100,2,11),
(130592,10166492,'Increases Crit Bonus of caster by 6.0%',100,2,12),
(130593,10166492,'Must not be engaged in pvp combat',100,2,13),
(130594,10166492,'Cannot be modified except by direct means',100,2,14),
(130595,10166492,'Must not be engaged in pvp combat',100,1,15),
(130596,110726,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(130597,110726,'Heals group members (AE) for 622',100,2,1),
(130598,10110726,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(130599,10110726,'Heals group members (AE) for 404',100,2,1),
(130600,45552,'Applies Baelin''s Refreshment  when Activated.',100,0,0),
(130601,45552,'Heals caster for 24',100,1,1),
(130602,10045552,'Applies Baelin''s Refreshment  when Activated.',100,0,0),
(130603,10045552,'Heals caster for 15',100,1,1),
(130604,103000,'Increases STR and AGI of group members (AE) by 130.7',100,1,0),
(130605,10103000,'Increases STR and AGI of group members (AE) by 130.7',100,1,0),
(130606,103729,'Increases Max Health of raid and group members (AE) by 522.8',100,1,0),
(130607,103729,'Increases Defense of raid and group members (AE) by 17.8',100,1,1),
(130608,10103729,'Increases Max Health of raid and group members (AE) by 522.8',100,1,0),
(130609,10103729,'Increases Defense of raid and group members (AE) by 17.8',100,1,1),
(130610,106347,'Decreases Mitigation of target vs arcane damage by 644',100,1,0),
(130611,106347,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(130612,106347,'Slows target by 48.4%',100,2,2),
(130613,106347,'5% chance to dispel when target receives hostile action',100,2,3),
(130614,106347,'5% chance to dispel when target takes damage',100,2,4),
(130615,10106347,'Decreases Mitigation of target vs arcane damage by 644',100,1,0),
(130616,10106347,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(130617,10106347,'Slows target by 48.4%',100,2,2),
(130618,10106347,'5% chance to dispel when target receives hostile action',100,2,3),
(130619,10106347,'5% chance to dispel when target takes damage',100,2,4),
(130620,52033,'When Equipped:',100,0,0),
(130621,52033,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130622,52033,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(130623,52033,'Cannot be modified except by direct means',100,2,3),
(130624,10052033,'When Equipped:',100,0,0),
(130625,10052033,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130626,10052033,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(130627,10052033,'Cannot be modified except by direct means',100,2,3),
(130628,36555,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(130629,36555,'This effect suspends during combat',100,0,1),
(130630,110253,'Inflicts 305 - 509 melee damage on target',100,1,0),
(130631,110253,'Slows target by 59.9%',100,1,1),
(130632,110253,'5% chance to dispel when target receives hostile action',100,1,2),
(130633,110253,'5% chance to dispel when target takes damage',100,1,3),
(130634,10110253,'Inflicts 397 - 662 melee damage on target',100,1,0),
(130635,10110253,'Slows target by 59.9%',100,1,1),
(130636,10110253,'5% chance to dispel when target receives hostile action',100,1,2),
(130637,10110253,'5% chance to dispel when target takes damage',100,1,3),
(130638,171966,'When Equipped:',100,0,0),
(130639,171966,'On a critical healing spell cast this spell may cast Flockmaster''s Protection IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130640,171966,'When any damage is received this spell will cast Flockmaster''s Protection IV on target.  ',100,2,2),
(130641,171966,'Heals target for 171 - 189',100,3,3),
(130642,171966,'Must not be engaged in pvp combat',100,3,4),
(130643,171966,'Cannot be modified except by direct means',100,3,5),
(130644,171966,'Grants a total of 5 triggers of the spell.',100,3,6),
(130645,171966,'This effect applies to both the caster and the target.',100,2,7),
(130646,171966,'Must not be engaged in pvp combat',100,2,8),
(130647,171966,'Cannot be modified except by direct means',100,2,9),
(130648,171966,'Must not be engaged in pvp combat',100,1,10),
(130649,10171966,'When Equipped:',100,0,0),
(130650,10171966,'On a critical healing spell cast this spell may cast Flockmaster''s Protection IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(130651,10171966,'When any damage is received this spell will cast Flockmaster''s Protection IV on target.  ',100,2,2),
(130652,10171966,'Heals target for 111 - 123',100,3,3),
(130653,10171966,'Must not be engaged in pvp combat',100,3,4),
(130654,10171966,'Cannot be modified except by direct means',100,3,5),
(130655,10171966,'Grants a total of 5 triggers of the spell.',100,3,6),
(130656,10171966,'This effect applies to both the caster and the target.',100,2,7),
(130657,10171966,'Must not be engaged in pvp combat',100,2,8),
(130658,10171966,'Cannot be modified except by direct means',100,2,9),
(130659,10171966,'Must not be engaged in pvp combat',100,1,10),
(130660,117629,'Inflicts 1193 - 1989 ranged damage on target',100,1,0),
(130661,117629,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(130662,117629,'Slows target by 53.0%',100,2,2),
(130663,117629,'5% chance to dispel when target receives hostile action',100,2,3),
(130664,117629,'5% chance to dispel when target takes damage',100,2,4),
(130665,117629,'Must be flanking or behind',100,1,5),
(130666,117629,'Requires bow',100,1,6),
(130667,10117629,'Inflicts 1014 - 1691 ranged damage on target',100,1,0),
(130668,10117629,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(130669,10117629,'Slows target by 53.0%',100,2,2),
(130670,10117629,'5% chance to dispel when target receives hostile action',100,2,3),
(130671,10117629,'5% chance to dispel when target takes damage',100,2,4),
(130672,10117629,'Must be flanking or behind',100,1,5),
(130673,10117629,'Requires bow',100,1,6),
(130674,108163,'Inflicts 1366 - 2277 melee damage on target',100,1,0),
(130675,108163,'You must be sneaking to use this ability.',100,1,1),
(130676,108163,'Must be flanking or behind',100,1,2),
(130677,10108163,'Inflicts 1171 - 1953 melee damage on target',100,1,0),
(130678,10108163,'You must be sneaking to use this ability.',100,1,1),
(130679,10108163,'Must be flanking or behind',100,1,2),
(130680,40346,'When Equipped:',100,0,0),
(130681,40346,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(130682,40346,'Inflicts 271 - 452 piercing damage on target',100,2,2),
(130683,40346,'Inflicts 271 - 452 divine damage on target',100,2,3),
(130684,40346,'Inflicts 271 - 452 magic damage on target',100,2,4),
(130685,40346,'Must not be engaged in pvp combat',100,2,5),
(130686,40346,'Cannot be modified except by direct means',100,2,6),
(130687,40346,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(130688,40346,'Inflicts 271 - 452 piercing damage on target',100,2,8),
(130689,40346,'Inflicts 271 - 452 divine damage on target',100,2,9),
(130690,40346,'Inflicts 271 - 452 magic damage on target',100,2,10),
(130691,40346,'Must not be engaged in pvp combat',100,2,11),
(130692,40346,'Cannot be modified except by direct means',100,2,12),
(130693,40346,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(130694,40346,'Inflicts 271 - 452 piercing damage on target',100,2,14),
(130695,40346,'Inflicts 271 - 452 divine damage on target',100,2,15),
(130696,40346,'Inflicts 271 - 452 magic damage on target',100,2,16),
(130697,40346,'Must not be engaged in pvp combat',100,2,17),
(130698,40346,'Cannot be modified except by direct means',100,2,18),
(130699,40346,'Must not be engaged in pvp combat',100,1,19),
(130700,10040346,'When Equipped:',100,0,0),
(130701,10040346,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(130702,10040346,'Inflicts 353 - 588 piercing damage on target',100,2,2),
(130703,10040346,'Inflicts 353 - 588 divine damage on target',100,2,3),
(130704,10040346,'Inflicts 353 - 588 magic damage on target',100,2,4),
(130705,10040346,'Must not be engaged in pvp combat',100,2,5),
(130706,10040346,'Cannot be modified except by direct means',100,2,6),
(130707,10040346,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(130708,10040346,'Inflicts 353 - 588 piercing damage on target',100,2,8),
(130709,10040346,'Inflicts 353 - 588 divine damage on target',100,2,9),
(130710,10040346,'Inflicts 353 - 588 magic damage on target',100,2,10),
(130711,10040346,'Must not be engaged in pvp combat',100,2,11),
(130712,10040346,'Cannot be modified except by direct means',100,2,12),
(130713,10040346,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(130714,10040346,'Inflicts 353 - 588 piercing damage on target',100,2,14),
(130715,10040346,'Inflicts 353 - 588 divine damage on target',100,2,15),
(130716,10040346,'Inflicts 353 - 588 magic damage on target',100,2,16),
(130717,10040346,'Must not be engaged in pvp combat',100,2,17),
(130718,10040346,'Cannot be modified except by direct means',100,2,18),
(130719,10040346,'Must not be engaged in pvp combat',100,1,19),
(130720,100481,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(130721,100481,'Decreases Threat to target by 99 ',100,2,1),
(130722,100481,'If not fighter',100,2,2),
(130723,100481,'Decreases Hate Gain of group members (AE) by 23.2%',100,1,3),
(130724,100481,'If not fighter',100,2,4),
(130725,10100481,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(130726,10100481,'If not fighter',100,2,1),
(130727,10100481,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(130728,10100481,'Inflicts 88 - 97 crushing damage on target',100,2,3),
(130729,10100481,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(130730,10100481,'If not fighter',100,2,5),
(130731,10100481,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(130732,10100481,'If not fighter',100,2,7),
(130733,10100481,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(130734,10100481,'If not fighter',100,2,9),
(130735,24223,'Adds Crushbone: Stacked Flour to your Dungeon Maker toolbox',100,0,0),
(130736,10024223,'Adds Crushbone: Stacked Flour to your Dungeon Maker toolbox',100,0,0),
(130737,118580,'Roots target',100,1,0),
(130738,118580,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(130739,118580,'Slows target by 37.7%',100,2,2),
(130740,118580,'5% chance to dispel when target receives hostile action',100,2,3),
(130741,118580,'5% chance to dispel when target takes damage',100,2,4),
(130742,118580,'5% chance to dispel when target takes damage',100,1,5),
(130743,118580,'Does not affect Epic targets',100,1,6),
(130744,118580,'Resistibility increases against targets higher than level 36.',100,1,7),
(130745,10118580,'Roots target',100,1,0),
(130746,10118580,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(130747,10118580,'Slows target by 37.7%',100,2,2),
(130748,10118580,'5% chance to dispel when target receives hostile action',100,2,3),
(130749,10118580,'5% chance to dispel when target takes damage',100,2,4),
(130750,10118580,'5% chance to dispel when target takes damage',100,1,5),
(130751,10118580,'Does not affect Epic targets',100,1,6),
(130752,10118580,'Resistibility increases against targets higher than level 36.',100,1,7),
(130753,187341,'When Equipped:',100,0,0),
(130754,187341,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(130755,10187341,'When Equipped:',100,0,0),
(130756,10187341,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(130757,101103,'Increases Mitigation of raid and group members (AE) vs arcane damage by 806',100,1,0),
(130758,10101103,'Increases Mitigation of raid and group members (AE) vs arcane damage by 806',100,1,0),
(130759,107991,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(130760,107991,'Increases Mitigation of group members (AE) vs elemental damage by 346',100,1,1),
(130761,10107991,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(130762,10107991,'Increases Mitigation of group members (AE) vs elemental damage by 346',100,1,1),
(130763,35846,'Increases STR of target by 1.5',100,0,0),
(130764,35846,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(130765,46521,'Applies Gold C.R.A.S.H. Disk when Activated.',100,0,0),
(130766,46521,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,1),
(130767,46521,'Summons a mount to ride',100,1,2),
(130768,46521,'Increases your ground speed by 130%',100,2,3),
(130769,46521,'This can be used as a flying mount appearance.',100,1,4),
(130770,10046521,'Applies Gold C.R.A.S.H. Disk when Activated.',100,0,0),
(130771,10046521,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,1),
(130772,10046521,'Summons a mount to ride',100,1,2),
(130773,10046521,'Increases your ground speed by 130%',100,2,3),
(130774,10046521,'This can be used as a flying mount appearance.',100,1,4),
(130775,108516,'Increases AGI and WIS of group members (AE) by 24.6',100,1,0),
(130776,108516,'Adds 1.5% to base avoidance.',100,1,1),
(130777,108516,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 70',100,1,2),
(130778,10108516,'Increases AGI and WIS of group members (AE) by 24.6',100,1,0),
(130779,10108516,'Adds 1.5% to base avoidance.',100,1,1),
(130780,10108516,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 70',100,1,2),
(130781,108844,'Inflicts 115 - 191 melee damage on target',100,1,0),
(130782,108844,'Inflicts 115 - 191 melee damage on target',100,1,1),
(130783,108844,'Inflicts 115 - 191 melee damage on target',100,1,2),
(130784,108844,'Inflicts 115 - 191 melee damage on target',100,1,3),
(130785,108844,'Inflicts 115 - 191 melee damage on target',100,1,4),
(130786,10108844,'Inflicts 149 - 249 melee damage on target',100,1,0),
(130787,10108844,'Inflicts 149 - 249 melee damage on target',100,1,1),
(130788,10108844,'Inflicts 149 - 249 melee damage on target',100,1,2),
(130789,10108844,'Inflicts 149 - 249 melee damage on target',100,1,3),
(130790,10108844,'Inflicts 149 - 249 melee damage on target',100,1,4),
(130791,46793,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(130792,46793,'Increases Attack Speed of caster by 24.7',100,1,1),
(130793,10046793,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(130794,10046793,'Increases Attack Speed of caster by 24.7',100,1,1),
(130795,24245,'Adds Cyclops (Dirge) to your Dungeon Maker toolbox',100,0,0),
(130796,10024245,'Adds Cyclops (Dirge) to your Dungeon Maker toolbox',100,0,0),
(130797,113877,'Increases power of target by 100',100,1,0),
(130798,10113877,'Increases power of target by 100',100,1,0),
(130799,174425,'When Equipped:',100,0,0),
(130800,174425,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(130801,174425,'Inflicts 1192 heat damage on target',100,2,2),
(130802,174425,'Cannot be modified except by direct means',100,2,3),
(130803,10174425,'When Equipped:',100,0,0),
(130804,10174425,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(130805,10174425,'Inflicts 775 heat damage on target',100,2,2),
(130806,10174425,'Cannot be modified except by direct means',100,2,3),
(130807,105067,'Inflicts 35 - 47 magic damage on target',100,1,0),
(130808,10105067,'Inflicts 46 - 62 magic damage on target',100,1,0),
(130809,74770,'When Equipped:',100,0,0),
(130810,74770,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130811,74770,'Inflicts 97 - 145 magic damage on target',100,2,2),
(130812,74770,'Cannot be modified except by direct means',100,2,3),
(130813,10074770,'When Equipped:',100,0,0),
(130814,10074770,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130815,10074770,'Inflicts 126 - 189 magic damage on target',100,2,2),
(130816,10074770,'Cannot be modified except by direct means',100,2,3),
(130817,105178,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(130818,105178,'Inflicts 47 - 57 poison damage on target encounter',100,2,1),
(130819,10105178,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(130820,10105178,'Inflicts 61 - 75 poison damage on target encounter',100,2,1),
(130821,122539,'Heals caster for 65',100,1,0),
(130822,122539,'Inflicts 151 - 253 melee damage on target',100,1,1),
(130823,10122539,'Heals caster for 42',100,1,0),
(130824,10122539,'Inflicts 197 - 328 melee damage on target',100,1,1),
(130825,112900,'Inflicts 598 - 730 melee damage on target',100,1,0),
(130826,112900,'Decreases Mitigation of target vs physical damage by 430',100,1,1),
(130827,112900,'Must be flanking or behind',100,1,2),
(130828,10112900,'Inflicts 777 - 950 melee damage on target',100,1,0),
(130829,10112900,'Decreases Mitigation of target vs physical damage by 430',100,1,1),
(130830,10112900,'Must be flanking or behind',100,1,2),
(130831,121297,'Inflicts 139 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(130832,121297,'Inflicts 459 - 765 melee damage on targets in area',100,1,1),
(130833,121297,'You must be in stealth or have Bloody Assault.',100,1,2),
(130834,10121297,'Inflicts 181 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(130835,10121297,'Inflicts 596 - 994 melee damage on targets in area',100,1,1),
(130836,10121297,'You must be in stealth or have Bloody Assault.',100,1,2),
(130837,51328,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(130838,51328,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(130839,51328,'Inflicts 94 heat damage on target',100,2,2),
(130840,51328,'Cannot be modified except by direct means',100,2,3),
(130841,10051328,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(130842,10051328,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(130843,10051328,'Inflicts 123 heat damage on target',100,2,2),
(130844,10051328,'Cannot be modified except by direct means',100,2,3),
(130845,107332,'Decreases WIS of target by 85.8',100,1,0),
(130846,107332,'Decreases Defense of target by 32.4',100,1,1),
(130847,10107332,'Decreases WIS of target by 85.8',100,1,0),
(130848,10107332,'Decreases Defense of target by 32.4',100,1,1),
(130849,40628,'When Equipped:',100,0,0),
(130850,40628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130851,40628,'Inflicts 94 - 141 magic damage on target',100,2,2),
(130852,40628,'Cannot be modified except by direct means',100,2,3),
(130853,10040628,'When Equipped:',100,0,0),
(130854,10040628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130855,10040628,'Inflicts 122 - 183 magic damage on target',100,2,2),
(130856,10040628,'Cannot be modified except by direct means',100,2,3),
(130857,36724,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(130858,113739,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(130859,113739,'Inflicts 161 piercing damage on target',100,2,1),
(130860,113739,'Grants a total of 60 triggers of the spell.',100,2,2),
(130861,10113739,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(130862,10113739,'Inflicts 209 piercing damage on target',100,2,1),
(130863,10113739,'Grants a total of 60 triggers of the spell.',100,2,2),
(130864,47494,'Applies Personal Theme Music: Cazic Thule when Activated.',100,0,0),
(130865,47494,'Play your own personal theme music!',100,1,1),
(130866,10047494,'Applies Personal Theme Music: Cazic Thule when Activated.',100,0,0),
(130867,10047494,'Play your own personal theme music!',100,1,1),
(130868,114989,'Inflicts 333 - 556 ranged damage on targets in area',100,1,0),
(130869,114989,'You must be in stealth to use this!',100,1,1),
(130870,114989,'Requires bow',100,1,2),
(130871,10114989,'Inflicts 283 - 473 ranged damage on targets in area',100,1,0),
(130872,10114989,'You must be in stealth to use this!',100,1,1),
(130873,10114989,'Requires bow',100,1,2),
(130874,104319,'Charms target',100,1,0),
(130875,104319,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(130876,104319,'Mesmerizes target',100,2,2),
(130877,104319,'Dispelled when target takes damage',100,2,3),
(130878,104319,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(130879,104319,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(130880,104319,'Grants Sonic Vision to caster',100,2,6),
(130881,104319,'Increases Out-of-Combat Power Regeneration of target by 2.2',100,1,7),
(130882,104319,'Increases Out-of-Combat Health Regeneration of target by 4.4',100,1,8),
(130883,104319,'Certain enemies cannot be charmed',100,1,9),
(130884,104319,'Only affects targets level 16 and below',100,1,10),
(130885,104319,'Does not affect Epic targets',100,1,11),
(130886,10104319,'Mesmerizes target',100,1,0),
(130887,10104319,'Prevents AOE (except when direct) ',100,1,1),
(130888,10104319,'Dispelled when target takes damage',100,1,2),
(130889,10104319,'Certain enemies cannot be charmed',100,1,3),
(130890,10104319,'Only affects targets level 16 and below',100,1,4),
(130891,10104319,'Does not affect Epic targets',100,1,5),
(130892,10104319,'Resistibility increases against targets higher than level 31.',100,1,6),
(130893,108183,'Increases power of caster by 6 instantly and every 4 seconds',100,1,0),
(130894,10108183,'Increases power of caster by 6 instantly and every 4 seconds',100,1,0),
(130895,121047,'Increases STR and STA of group members (AE) by 17.5',100,1,0),
(130896,10121047,'Increases STR and STA of group members (AE) by 17.5',100,1,0),
(130897,82026,'When Equipped:',100,0,0),
(130898,82026,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130899,82026,'Inflicts 191 - 354 magic damage on target',100,2,2),
(130900,82026,'Cannot be modified except by direct means',100,2,3),
(130901,10082026,'When Equipped:',100,0,0),
(130902,10082026,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(130903,10082026,'Inflicts 248 - 460 magic damage on target',100,2,2),
(130904,10082026,'Cannot be modified except by direct means',100,2,3),
(130905,173493,'When Equipped:',100,0,0),
(130906,173493,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(130907,173493,'Must not be engaged in pvp combat',100,1,2),
(130908,10173493,'When Equipped:',100,0,0),
(130909,10173493,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(130910,10173493,'Must not be engaged in pvp combat',100,1,2),
(130911,47378,'Applies Focus of Nightmares when Activated.  Lasts for 12 hours.',100,0,0),
(130912,47378,'Heals caster for 3.0% of max health',100,1,1),
(130913,47378,'Heals caster for 4.0% of max health every 8 seconds',100,1,2),
(130914,47378,'Increases power of caster by 5.0% instantly and every 8 seconds',100,1,3),
(130915,47378,'Increase effectiveness of spells.',100,1,4),
(130916,47378,'Increases INT of caster by 166.9',100,1,5),
(130917,47378,'Decreases Combat XP Gain of caster by 81.0%',100,1,6),
(130918,47378,'Increases speed of caster by 36.0%',100,1,7),
(130919,47378,'Increases Crit Chance of caster by 90.0',100,1,8),
(130920,47378,'Increases Attack Speed of caster by 450.0',100,1,9),
(130921,47378,'Increases Out-of-Combat Power Regeneration of caster by 540.0',100,1,10),
(130922,47378,'Increases Damage Per Second of caster by 720.0',100,1,11),
(130923,47378,'Increases Max Health of caster by 900.0%',100,1,12),
(130924,47378,'Increases Max Power of caster by 1,080.0%',100,1,13),
(130925,47378,'Increases Health Regeneration of caster by 2,700.0',100,1,14),
(130926,47378,'Increases Focus of caster by 135.0',100,1,15),
(130927,47378,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2160',100,1,16),
(130928,47378,'Increases Mitigation of caster vs physical damage by 7200',100,1,17),
(130929,47378,'Must be in Kullaba''s Lair.',100,1,18),
(130930,10047378,'Applies Focus of Nightmares when Activated.  Lasts for 12 hours.',100,0,0),
(130931,10047378,'Heals caster for 1.9% of max health',100,1,1),
(130932,10047378,'Heals caster for 2.6% of max health every 8 seconds',100,1,2),
(130933,10047378,'Increases power of caster by 5.0% instantly and every 8 seconds',100,1,3),
(130934,10047378,'Increase effectiveness of spells.',100,1,4),
(130935,10047378,'Increases INT of caster by 166.9',100,1,5),
(130936,10047378,'Decreases Combat XP Gain of caster by 81.0%',100,1,6),
(130937,10047378,'Increases speed of caster by 36.0%',100,1,7),
(130938,10047378,'Increases Crit Chance of caster by 90.0',100,1,8),
(130939,10047378,'Increases Attack Speed of caster by 450.0',100,1,9),
(130940,10047378,'Increases Out-of-Combat Power Regeneration of caster by 540.0',100,1,10),
(130941,10047378,'Increases Damage Per Second of caster by 720.0',100,1,11),
(130942,10047378,'Increases Max Health of caster by 900.0%',100,1,12),
(130943,10047378,'Increases Max Power of caster by 1,080.0%',100,1,13),
(130944,10047378,'Increases Health Regeneration of caster by 2,700.0',100,1,14),
(130945,10047378,'Increases Focus of caster by 135.0',100,1,15),
(130946,10047378,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2160',100,1,16),
(130947,10047378,'Increases Mitigation of caster vs physical damage by 7200',100,1,17),
(130948,10047378,'Must be in Kullaba''s Lair.',100,1,18),
(130949,119769,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(130950,119769,'Inflicts 80 - 97 poison damage on target encounter',100,2,1),
(130951,10119769,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(130952,10119769,'Inflicts 104 - 127 poison damage on target encounter',100,2,1),
(130953,108243,'Inflicts 344 - 1033 piercing damage on target',100,1,0),
(130954,108243,'Decreases Slashing, Crushing, Piercing and Ranged of target by 34.7',100,1,1),
(130955,10108243,'Inflicts 447 - 1343 piercing damage on target',100,1,0),
(130956,10108243,'Decreases Slashing, Crushing, Piercing and Ranged of target by 34.7',100,1,1),
(130957,35978,'Increases AGI of target by 1.5',100,0,0),
(130958,35978,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(130959,108966,'Increases INT of group members (AE) by 147.3',100,1,0),
(130960,108966,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 56.3',100,1,1),
(130961,10108966,'Increases INT of group members (AE) by 147.3',100,1,0),
(130962,10108966,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 56.3',100,1,1),
(130963,103449,'Blurs vision of target encounter',100,1,0),
(130964,103449,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(130965,103449,'Stuns target',100,2,2),
(130966,103449,'Throws target back',100,2,3),
(130967,103449,'Blurs vision of target',100,2,4),
(130968,103449,'Does not affect Epic targets',100,2,5),
(130969,103449,'Interrupts target encounter',100,1,6),
(130970,10103449,'Interrupts target encounter',100,1,0),
(130971,10103449,'Blurs vision of target encounter',100,1,1),
(130972,10103449,'12% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(130973,10103449,'Stuns target',100,2,3),
(130974,10103449,'Throws target back',100,2,4),
(130975,10103449,'Blurs vision of target',100,2,5),
(130976,10103449,'Does not affect Epic targets',100,2,6),
(130977,121884,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(130978,121884,'Inflicts 527 - 645 mental damage on target',100,2,1),
(130979,121884,'Decreases Threat to target by 853 - 1,043 ',100,2,2),
(130980,121884,'If profession other than Fighter',100,3,3),
(130981,10121884,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(130982,10121884,'Inflicts 686 - 838 mental damage on target',100,2,1),
(130983,48678,'Applies Translucent Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(130984,48678,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(130985,48678,'Stuns target',100,2,2),
(130986,48678,'If Target is not Epic',100,3,3),
(130987,48678,'Dispelled when target receives hostile action',100,2,4),
(130988,48678,'Dispelled when target takes damage',100,2,5),
(130989,48678,'Cannot be modified except by direct means',100,2,6),
(130990,48678,'Grants a total of 4 triggers of the spell.',100,2,7),
(130991,48678,'Only affects targets level 50 and above',100,1,8),
(130992,10048678,'Applies Translucent Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(130993,10048678,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(130994,10048678,'Stuns target',100,2,2),
(130995,10048678,'If Target is not Epic',100,3,3),
(130996,10048678,'Dispelled when target receives hostile action',100,2,4),
(130997,10048678,'Dispelled when target takes damage',100,2,5),
(130998,10048678,'Cannot be modified except by direct means',100,2,6),
(130999,10048678,'Grants a total of 4 triggers of the spell.',100,2,7),
(131000,10048678,'Only affects targets level 50 and above',100,1,8),
(131001,80753,'When Equipped:',100,0,0),
(131002,80753,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131003,80753,'Inflicts 230 - 426 magic damage on target',100,2,2),
(131004,80753,'Cannot be modified except by direct means',100,2,3),
(131005,10080753,'When Equipped:',100,0,0),
(131006,10080753,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131007,10080753,'Inflicts 298 - 554 magic damage on target',100,2,2),
(131008,10080753,'Cannot be modified except by direct means',100,2,3),
(131009,159751,'When Equipped:',100,0,0),
(131010,159751,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(131011,159751,'Increases STA of caster by 12.2',100,2,2),
(131012,159751,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(131013,159751,'Cannot be modified except by direct means',100,2,4),
(131014,10159751,'When Equipped:',100,0,0),
(131015,10159751,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(131016,10159751,'Increases STA of caster by 12.2',100,2,2),
(131017,10159751,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(131018,10159751,'Cannot be modified except by direct means',100,2,4),
(131019,119604,'Increases power of caster by 84 instantly and every 4 seconds',100,1,0),
(131020,10119604,'Increases power of caster by 84 instantly and every 4 seconds',100,1,0),
(131021,100270,'Summons a limited pet to aid the caster',100,1,0),
(131022,10100270,'Summons a limited pet to aid the caster',100,1,0),
(131023,110872,'Inflicts 230 - 281 heat damage on target encounter',100,1,0),
(131024,10110872,'Inflicts 299 - 365 heat damage on target encounter',100,1,0),
(131025,35015,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(131026,78989,'When Equipped:',100,0,0),
(131027,78989,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(131028,10078989,'When Equipped:',100,0,0),
(131029,10078989,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(131030,73933,'Applies Fire Ball when Activated.',100,0,0),
(131031,73933,'Inflicts 108 - 179 heat damage on target',100,1,1),
(131032,73933,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131033,10073933,'Applies Fire Ball when Activated.',100,0,0),
(131034,10073933,'Inflicts 140 - 233 heat damage on target',100,1,1),
(131035,10073933,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131036,119433,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(131037,119433,'Stuns target',100,2,1),
(131038,119433,'Throws target back',100,2,2),
(131039,119433,'Blurs vision of target',100,2,3),
(131040,119433,'Does not affect Epic targets',100,2,4),
(131041,119433,'Inflicts 861 - 1436 melee damage on target',100,1,5),
(131042,119433,'You must be sneaking to use this ability.',100,1,6),
(131043,10119433,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(131044,10119433,'Stuns target',100,2,1),
(131045,10119433,'Throws target back',100,2,2),
(131046,10119433,'Blurs vision of target',100,2,3),
(131047,10119433,'Does not affect Epic targets',100,2,4),
(131048,10119433,'Inflicts 1120 - 1867 melee damage on target',100,1,5),
(131049,10119433,'You must be sneaking to use this ability.',100,1,6),
(131050,46878,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(131051,46878,'Increases power of caster by 46 instantly and every 5 seconds',100,1,1),
(131052,10046878,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(131053,10046878,'Increases power of caster by 36 instantly and every 5 seconds',100,1,1),
(131054,114511,'Heals target for 19 - 23',100,1,0),
(131055,10114511,'Heals target for 25 - 30',100,1,0),
(131056,111785,'Shapechanges caster into a barbarian',100,1,0),
(131057,10111785,'Shapechanges caster into a barbarian',100,1,0),
(131058,103437,'Heals group members (AE) for 151 - 185',100,1,0),
(131059,103437,'Increases Max Health of group members (AE) by 24.5',100,1,1),
(131060,10103437,'Heals group members (AE) for 98 - 120',100,1,0),
(131061,10103437,'Increases Max Health of group members (AE) by 24.5',100,1,1),
(131062,102400,'Inflicts 505 - 938 melee damage on targets in area',100,1,0),
(131063,10102400,'Inflicts 657 - 1220 melee damage on targets in area',100,1,0),
(131064,101688,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(131065,101688,'Inflicts 235 - 288 disease damage on target',100,2,1),
(131066,101688,'Grants a total of 3 triggers of the spell.',100,2,2),
(131067,10101688,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(131068,10101688,'Inflicts 306 - 374 disease damage on target',100,2,1),
(131069,10101688,'Grants a total of 3 triggers of the spell.',100,2,2),
(131070,80281,'When Equipped:',100,0,0),
(131071,80281,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131072,80281,'Inflicts 260 - 482 magic damage on target',100,2,2),
(131073,80281,'Decreases Threat to target by 801 ',100,2,3),
(131074,80281,'Must be flanking or behind',100,3,4),
(131075,80281,'Increases Threat to target by 801 ',100,2,5),
(131076,80281,'Must be in front of',100,3,6),
(131077,80281,'Cannot be modified except by direct means',100,2,7),
(131078,10080281,'When Equipped:',100,0,0),
(131079,10080281,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131080,10080281,'Inflicts 337 - 627 magic damage on target',100,2,2),
(131081,10080281,'Cannot be modified except by direct means',100,2,3),
(131082,81388,'When Equipped:',100,0,0),
(131083,81388,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131084,81388,'Inflicts 121 - 225 magic damage on target',100,2,2),
(131085,81388,'Cannot be modified except by direct means',100,2,3),
(131086,10081388,'When Equipped:',100,0,0),
(131087,10081388,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131088,10081388,'Inflicts 157 - 292 magic damage on target',100,2,2),
(131089,10081388,'Cannot be modified except by direct means',100,2,3),
(131090,122936,'Inflicts 27 - 36 mental damage on target',100,1,0),
(131091,10122936,'Inflicts 34 - 47 mental damage on target',100,1,0),
(131092,36105,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(131093,36105,'This effect suspends during combat',100,0,1),
(131094,182915,'When Equipped:',100,0,0),
(131095,182915,'Increases Attack Speed of caster by 30.0',100,1,1),
(131096,10182915,'When Equipped:',100,0,0),
(131097,10182915,'Increases Attack Speed of caster by 30.0',100,1,1),
(131098,81953,'When Equipped:',100,0,0),
(131099,81953,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131100,81953,'Inflicts 392 - 728 magic damage on target',100,2,2),
(131101,81953,'Decreases Threat to target by 949 ',100,2,3),
(131102,81953,'Must be flanking or behind',100,3,4),
(131103,81953,'Increases Threat to target by 949 ',100,2,5),
(131104,81953,'Must be in front of',100,3,6),
(131105,81953,'Cannot be modified except by direct means',100,2,7),
(131106,10081953,'When Equipped:',100,0,0),
(131107,10081953,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131108,10081953,'Inflicts 510 - 947 magic damage on target',100,2,2),
(131109,10081953,'Cannot be modified except by direct means',100,2,3),
(131110,102128,'Inflicts 11 - 18 melee damage on target',100,1,0),
(131111,102128,'Inflicts 11 - 18 melee damage on target',100,1,1),
(131112,10102128,'Inflicts 14 - 24 melee damage on target',100,1,0),
(131113,10102128,'Inflicts 14 - 24 melee damage on target',100,1,1),
(131114,123625,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(131115,123625,'Slows target by 30.2%',100,2,1),
(131116,123625,'5% chance to dispel when target receives hostile action',100,2,2),
(131117,123625,'5% chance to dispel when target takes damage',100,2,3),
(131118,123625,'Inflicts 16 - 19 cold damage on target',100,1,4),
(131119,10123625,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(131120,10123625,'Slows target by 30.2%',100,2,1),
(131121,10123625,'5% chance to dispel when target receives hostile action',100,2,2),
(131122,10123625,'5% chance to dispel when target takes damage',100,2,3),
(131123,10123625,'Inflicts 18 - 21 cold damage on target',100,1,4),
(131124,48370,'Applies Expose Envy when Activated.',100,0,0),
(131125,10048370,'Applies Expose Envy when Activated.',100,0,0),
(131126,116457,'Inflicts 191 disease damage on target instantly and every 4 seconds',100,1,0),
(131127,116457,'Inflicts 191 disease damage on target instantly and every 4 seconds',100,1,1),
(131128,116457,'If target is nightblood',100,2,2),
(131129,116457,'Inflicts 191 disease damage on target instantly and every 4 seconds',100,1,3),
(131130,116457,'If target is shadowed folk',100,2,4),
(131131,10116457,'Inflicts 248 disease damage on target instantly and every 4 seconds',100,1,0),
(131132,112933,'Inflicts 49 - 81 crushing damage on target',100,1,0),
(131133,10112933,'Inflicts 63 - 106 crushing damage on target',100,1,0),
(131134,81386,'When Equipped:',100,0,0),
(131135,81386,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131136,81386,'Inflicts 109 - 202 magic damage on target',100,2,2),
(131137,81386,'Cannot be modified except by direct means',100,2,3),
(131138,10081386,'When Equipped:',100,0,0),
(131139,10081386,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131140,10081386,'Inflicts 142 - 263 magic damage on target',100,2,2),
(131141,10081386,'Cannot be modified except by direct means',100,2,3),
(131142,107324,'Decreases WIS of target by 70.3',100,1,0),
(131143,107324,'Decreases Defense of target by 26.9',100,1,1),
(131144,10107324,'Decreases WIS of target by 70.3',100,1,0),
(131145,10107324,'Decreases Defense of target by 26.9',100,1,1),
(131146,42518,'When Equipped:',100,0,0),
(131147,42518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131148,42518,'Inflicts 206 - 309 magic damage on target',100,2,2),
(131149,42518,'Cannot be modified except by direct means',100,2,3),
(131150,10042518,'When Equipped:',100,0,0),
(131151,10042518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131152,10042518,'Inflicts 268 - 402 magic damage on target',100,2,2),
(131153,10042518,'Cannot be modified except by direct means',100,2,3),
(131154,116811,'Decreases Hate Gain of caster by 9.8%',100,1,0),
(131155,82339,'When Equipped:',100,0,0),
(131156,82339,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131157,82339,'Inflicts 408 - 757 magic damage on target',100,2,2),
(131158,82339,'Decreases Threat to target by 994 ',100,2,3),
(131159,82339,'Must be flanking or behind',100,3,4),
(131160,82339,'Increases Threat to target by 994 ',100,2,5),
(131161,82339,'Must be in front of',100,3,6),
(131162,82339,'Cannot be modified except by direct means',100,2,7),
(131163,10082339,'When Equipped:',100,0,0),
(131164,10082339,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131165,10082339,'Inflicts 530 - 984 magic damage on target',100,2,2),
(131166,10082339,'Cannot be modified except by direct means',100,2,3),
(131167,105064,'Inflicts 32 - 43 magic damage on target',100,1,0),
(131168,10105064,'Inflicts 41 - 56 magic damage on target',100,1,0),
(131169,102245,'Inflicts 27 - 45 melee damage on targets in area',100,1,0),
(131170,10102245,'Inflicts 35 - 59 melee damage on targets in area',100,1,0),
(131171,104872,'Inflicts 30 - 50 magic damage on targets in area',100,1,0),
(131172,10104872,'Inflicts 39 - 65 magic damage on targets in area',100,1,0),
(131173,146047,'When Equipped:',100,0,0),
(131174,146047,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(131175,146047,'Inflicts 187 heat damage on target',100,2,2),
(131176,146047,'Cannot be modified except by direct means',100,2,3),
(131177,10146047,'When Equipped:',100,0,0),
(131178,10146047,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(131179,10146047,'Inflicts 244 heat damage on target',100,2,2),
(131180,10146047,'Cannot be modified except by direct means',100,2,3),
(131181,80244,'When Equipped:',100,0,0),
(131182,80244,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131183,80244,'Inflicts 260 - 482 magic damage on target',100,2,2),
(131184,80244,'Cannot be modified except by direct means',100,2,3),
(131185,10080244,'When Equipped:',100,0,0),
(131186,10080244,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131187,10080244,'Inflicts 337 - 627 magic damage on target',100,2,2),
(131188,10080244,'Cannot be modified except by direct means',100,2,3),
(131189,82035,'When Equipped:',100,0,0),
(131190,82035,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131191,82035,'Inflicts 191 - 354 magic damage on target',100,2,2),
(131192,82035,'Cannot be modified except by direct means',100,2,3),
(131193,10082035,'When Equipped:',100,0,0),
(131194,10082035,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131195,10082035,'Inflicts 248 - 460 magic damage on target',100,2,2),
(131196,10082035,'Cannot be modified except by direct means',100,2,3),
(131197,26288,'When Equipped:',100,0,0),
(131198,26288,'Increases all magic damage by up to 40.',100,1,1),
(131199,10026288,'When Equipped:',100,0,0),
(131200,10026288,'Increases all magic damage by up to 40.',100,1,1),
(131201,37591,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(131202,48933,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(131203,48933,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(131204,48933,'Inflicts 84 poison damage on target',100,2,2),
(131205,48933,'Inflicts 221 poison damage on target instantly and every 6 seconds',100,2,3),
(131206,48933,'Cannot be modified except by direct means',100,2,4),
(131207,48933,'Grants a total of 200 triggers of the spell.',100,2,5),
(131208,10048933,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(131209,10048933,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(131210,10048933,'Inflicts 216 poison damage on target instantly and every 6 seconds',100,2,2),
(131211,10048933,'Inflicts 82 poison damage on target',100,2,3),
(131212,10048933,'Cannot be modified except by direct means',100,2,4),
(131213,10048933,'Grants a total of 200 triggers of the spell.',100,2,5),
(131214,45108,'Applies Focus Healing when Activated.',100,0,0),
(131215,45108,'Binds healing energy to the target for long-lasting effectiveness!',100,1,1),
(131216,10045108,'Applies Focus Healing when Activated.',100,0,0),
(131217,10045108,'Binds healing energy to the target for long-lasting effectiveness!',100,1,1),
(131218,45031,'Applies Tend Budling when Activated.',100,0,0),
(131219,10045031,'Applies Tend Budling when Activated.',100,0,0),
(131220,48066,'Applies Illusion: Vampire when Activated.  Lasts for 6 hours.',100,0,0),
(131221,48066,'Shapechanges caster into a vampire',100,1,1),
(131222,10048066,'Applies Illusion: Vampire when Activated.  Lasts for 6 hours.',100,0,0),
(131223,10048066,'Shapechanges caster into a vampire',100,1,1),
(131224,79864,'When Equipped:',100,0,0),
(131225,79864,'On a spell cast this spell may cast Healing Torrent on the group.  Triggers about 3.0 times per minute. ',100,1,1),
(131226,79864,'Heals group members (AE) for 262',100,2,2),
(131227,79864,'Cannot be modified except by direct means',100,2,3),
(131228,10079864,'When Equipped:',100,0,0),
(131229,10079864,'On a spell cast this spell may cast Healing Torrent on the group.  Triggers about 3.0 times per minute. ',100,1,1),
(131230,10079864,'Heals group members (AE) for 171',100,2,2),
(131231,10079864,'Cannot be modified except by direct means',100,2,3),
(131232,102457,'Stuns target encounter',100,1,0),
(131233,102457,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(131234,102457,'Resistibility increases against targets higher than level 87.',100,1,2),
(131235,10102457,'Stuns target encounter',100,1,0),
(131236,10102457,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(131237,10102457,'Resistibility increases against targets higher than level 87.',100,1,2),
(131238,123528,'Inflicts 63 - 94 piercing damage on target instantly and every 4 seconds',100,1,0),
(131239,123528,'Decreases Defense of target by 12.6',100,1,1),
(131240,10123528,'Inflicts 114 - 171 piercing damage on target',100,1,0),
(131241,10123528,'Inflicts 82 - 122 piercing damage on target every 4 seconds',100,1,1),
(131242,10123528,'Decreases Defense of target by 12.6',100,1,2),
(131243,35856,'Increases Max Power of target by 3.3',100,0,0),
(131244,35856,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(131245,49132,'Applies Call of the Freethinker when Activated.',100,0,0),
(131246,10049132,'Applies Call of the Freethinker when Activated.',100,0,0),
(131247,35945,'Increases STR of target by 1.5',100,0,0),
(131248,35945,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(131249,112393,'Increases Crushing, Piercing, Slashing and Ranged of target by 51.8',100,1,0),
(131250,112393,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(131251,112393,'Inflicts 585 - 715 piercing damage on target',100,2,2),
(131252,112393,'Inflicts 293 - 358 piercing damage on target every 3 seconds',100,2,3),
(131253,10112393,'Increases Crushing, Piercing, Slashing and Ranged of target by 51.8',100,1,0),
(131254,10112393,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(131255,10112393,'Inflicts 761 - 930 piercing damage on target',100,2,2),
(131256,10112393,'Inflicts 380 - 465 piercing damage on target every 3 seconds',100,2,3),
(131257,113754,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(131258,113754,'Inflicts 362 piercing damage on target',100,2,1),
(131259,113754,'Grants a total of 60 triggers of the spell.',100,2,2),
(131260,10113754,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(131261,10113754,'Inflicts 471 piercing damage on target',100,2,1),
(131262,10113754,'Grants a total of 60 triggers of the spell.',100,2,2),
(131263,74721,'When Equipped:',100,0,0),
(131264,74721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131265,74721,'Inflicts 56 - 84 magic damage on target',100,2,2),
(131266,74721,'Cannot be modified except by direct means',100,2,3),
(131267,10074721,'When Equipped:',100,0,0),
(131268,10074721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131269,10074721,'Inflicts 73 - 110 magic damage on target',100,2,2),
(131270,10074721,'Cannot be modified except by direct means',100,2,3),
(131271,107363,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(131272,107363,'Increases Threat to target by 405 ',100,2,1),
(131273,10107363,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(131274,10107363,'Inflicts 115 - 127 crushing damage on target',100,2,1),
(131275,112637,'Inflicts 80 - 133 disease damage on target',100,1,0),
(131276,112637,'Inflicts 80 - 133 disease damage on target',100,1,1),
(131277,112637,'Roots target',100,1,2),
(131278,112637,'If Target is not Epic',100,2,3),
(131279,112637,'15% chance to dispel when target takes damage',100,1,4),
(131280,112637,'If weapon equipped in Ranged',100,1,5),
(131281,112637,'Resistibility increases against targets higher than level 59.',100,1,6),
(131282,10112637,'Inflicts 68 - 113 disease damage on target',100,1,0),
(131283,10112637,'Inflicts 68 - 113 disease damage on target',100,1,1),
(131284,10112637,'Roots target',100,1,2),
(131285,10112637,'If Target is not Epic',100,2,3),
(131286,10112637,'15% chance to dispel when target takes damage',100,1,4),
(131287,10112637,'If weapon equipped in Ranged',100,1,5),
(131288,10112637,'Resistibility increases against targets higher than level 59.',100,1,6),
(131289,47423,'When Equipped:',100,0,0),
(131290,47423,'Increases success chance by 1.1%',100,1,1),
(131291,10047423,'When Equipped:',100,0,0),
(131292,10047423,'Increases success chance by 1.1%',100,1,1),
(131293,119004,'Heals target for 1102 - 1347',100,1,0),
(131294,10119004,'Heals target for 1172 - 1432',100,1,0),
(131295,173414,'When Equipped:',100,0,0),
(131296,173414,'On a damage spell hit this spell may cast Resplendent Misgivings on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(131297,173414,'Decreases Threat to target by 500 ',100,2,2),
(131298,173414,'Cannot be modified except by direct means',100,2,3),
(131299,10173414,'When Equipped:',100,0,0),
(131300,10173414,'On a damage spell hit this spell may cast Resplendent Misgivings on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(131301,10173414,'Cannot be modified except by direct means',100,2,2),
(131302,46433,'Applies Throw Chocolate Pudding when Activated.  Lasts for 1.0 second.',100,0,0),
(131303,10046433,'Applies Throw Chocolate Pudding when Activated.  Lasts for 1.0 second.',100,0,0),
(131304,107369,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',100,1,0),
(131305,107369,'Inflicts 131 - 160 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(131306,10107369,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',100,1,0),
(131307,10107369,'Inflicts 170 - 208 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(131308,121927,'Inflicts 366 - 610 mental damage on target encounter',100,1,0),
(131309,121927,'Increases power of group members (AE) by 215 - 358',100,1,1),
(131310,10121927,'Inflicts 476 - 793 mental damage on target encounter',100,1,0),
(131311,10121927,'Increases power of group members (AE) by 215 - 358',100,1,1),
(131312,85919,'When Equipped:',100,0,0),
(131313,85919,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(131314,85919,'Decreases power of target by 213',100,2,2),
(131315,85919,'Increases power of caster by 123',100,2,3),
(131316,85919,'Cannot be modified except by direct means',100,2,4),
(131317,10085919,'When Equipped:',100,0,0),
(131318,10085919,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(131319,10085919,'Decreases power of target by 213',100,2,2),
(131320,10085919,'Increases power of caster by 123',100,2,3),
(131321,10085919,'Cannot be modified except by direct means',100,2,4),
(131322,75349,'When Equipped:',100,0,0),
(131323,75349,'Increases success chance by 10.0%',100,1,1),
(131324,10075349,'When Equipped:',100,0,0),
(131325,10075349,'Increases success chance by 10.0%',100,1,1),
(131326,112905,'Inflicts 1051 - 1285 melee damage on target',100,1,0),
(131327,112905,'Decreases Mitigation of target vs physical damage by 806',100,1,1),
(131328,112905,'Must be flanking or behind',100,1,2),
(131329,10112905,'Inflicts 1367 - 1671 melee damage on target',100,1,0),
(131330,10112905,'Decreases Mitigation of target vs physical damage by 806',100,1,1),
(131331,10112905,'Must be flanking or behind',100,1,2),
(131332,155002,'When Equipped:',100,0,0),
(131333,155002,'On a spell cast this spell may cast Pond Wash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(131334,155002,'Increases power of group members (AE) by 120',100,2,2),
(131335,155002,'Cannot be modified except by direct means',100,2,3),
(131336,10155002,'When Equipped:',100,0,0),
(131337,10155002,'On a spell cast this spell may cast Pond Wash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(131338,10155002,'Increases power of group members (AE) by 120',100,2,2),
(131339,10155002,'Cannot be modified except by direct means',100,2,3),
(131340,37173,'Increases INT and AGI of target by 1.1',100,0,0),
(131341,37173,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(131342,143564,'When Equipped:',100,0,0),
(131343,143564,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131344,143564,'Inflicts 1998 disease damage on target encounter',100,2,2),
(131345,143564,'Must not be engaged in pvp combat',100,2,3),
(131346,143564,'Cannot be modified except by direct means',100,2,4),
(131347,10143564,'When Equipped:',100,0,0),
(131348,10143564,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131349,10143564,'Inflicts 1299 disease damage on target encounter',100,2,2),
(131350,10143564,'Must not be engaged in pvp combat',100,2,3),
(131351,10143564,'Cannot be modified except by direct means',100,2,4),
(131352,35236,'Increases AGI of target by 1.5',100,0,0),
(131353,35236,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(131354,81037,'When Equipped:',100,0,0),
(131355,81037,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131356,81037,'Inflicts 207 - 384 magic damage on target',100,2,2),
(131357,81037,'Cannot be modified except by direct means',100,2,3),
(131358,10081037,'When Equipped:',100,0,0),
(131359,10081037,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131360,10081037,'Inflicts 269 - 499 magic damage on target',100,2,2),
(131361,10081037,'Cannot be modified except by direct means',100,2,3),
(131362,159219,'Applies Sanguine Imbued when Equipped.',100,0,0),
(131363,159219,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(131364,159219,'Inflicts 59 heat damage on target',100,2,2),
(131365,159219,'Cannot be modified except by direct means',100,2,3),
(131366,10159219,'Applies Sanguine Imbued when Equipped.',100,0,0),
(131367,10159219,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(131368,10159219,'Inflicts 77 heat damage on target',100,2,2),
(131369,10159219,'Cannot be modified except by direct means',100,2,3),
(131370,107950,'Increases In-Combat Power Regeneration of group members (AE) by 7.4',100,1,0),
(131371,10107950,'Increases In-Combat Power Regeneration of group members (AE) by 7.4',100,1,0),
(131372,116724,'Inflicts 443 - 739 melee damage on target',100,1,0),
(131373,10116724,'Inflicts 576 - 961 melee damage on target',100,1,0),
(131374,114513,'Heals target for 22 - 26',100,1,0),
(131375,10114513,'Heals target for 28 - 34',100,1,0),
(131376,80284,'When Equipped:',100,0,0),
(131377,80284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131378,80284,'Inflicts 234 - 434 magic damage on target',100,2,2),
(131379,80284,'Cannot be modified except by direct means',100,2,3),
(131380,10080284,'When Equipped:',100,0,0),
(131381,10080284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131382,10080284,'Inflicts 304 - 564 magic damage on target',100,2,2),
(131383,10080284,'Cannot be modified except by direct means',100,2,3),
(131384,113918,'Increases power of target by 16 instantly and every 4 seconds',100,1,0),
(131385,10113918,'Increases power of target by 16 instantly and every 4 seconds',100,1,0),
(131386,115576,'Interrupts target encounter',100,1,0),
(131387,115576,'Decreases Threat to target encounter by 270 - 330 ',100,1,1),
(131388,115576,'Dazes target encounter',100,1,2),
(131389,115576,'If Target is not Epic',100,2,3),
(131390,115576,'Resistibility increases against targets higher than level 53.',100,1,4),
(131391,10115576,'Interrupts target encounter',100,1,0),
(131392,10115576,'Dazes target encounter',100,1,1),
(131393,10115576,'If Target is not Epic',100,2,2),
(131394,10115576,'Resistibility increases against targets higher than level 53.',100,1,3),
(131395,123384,'Heals group members (AE) for 1016 - 1241',100,1,0),
(131396,10123384,'Heals group members (AE) for 1236 - 1510',100,1,0),
(131397,102336,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(131398,102336,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(131399,102336,'Decreases Threat to target encounter by 1,132 ',100,2,2),
(131400,102336,'Decreases threat priority of target encounter by 1 position',100,2,3),
(131401,102336,'Grants a total of 3 triggers of the spell.',100,2,4),
(131402,102336,'If profession other than Fighter',100,1,5),
(131403,10102336,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(131404,10102336,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(131405,10102336,'Target cannot target caster for the duration of this effect.',100,2,2),
(131406,10102336,'Forces target to clear their selected target.',100,2,3),
(131407,10102336,'Grants a total of 3 triggers of the spell.',100,2,4),
(131408,10102336,'If profession other than Fighter',100,1,5),
(131409,100771,'Summons a limited pet to aid the caster',100,1,0),
(131410,10100771,'Summons a limited pet to aid the caster',100,1,0),
(131411,124393,'Decreases STR of target by 17.0',100,1,0),
(131412,10124393,'Decreases STR of target by 17.0',100,1,0),
(131413,109751,'Inflicts 174 - 323 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(131414,10109751,'Inflicts 226 - 420 cold damage on target encounter instantly and every 2 seconds',100,1,0),
(131415,107330,'Decreases WIS of target by 66.6',100,1,0),
(131416,107330,'Decreases Defense of target by 25.3',100,1,1),
(131417,10107330,'Decreases WIS of target by 66.6',100,1,0),
(131418,10107330,'Decreases Defense of target by 25.3',100,1,1),
(131419,120718,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 20.7',100,1,0),
(131420,10120718,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 20.7',100,1,0),
(131421,41452,'When Equipped:',100,0,0),
(131422,41452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131423,41452,'Inflicts 83 - 154 magic damage on target',100,2,2),
(131424,41452,'Cannot be modified except by direct means',100,2,3),
(131425,10041452,'When Equipped:',100,0,0),
(131426,10041452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131427,10041452,'Inflicts 108 - 200 magic damage on target',100,2,2),
(131428,10041452,'Cannot be modified except by direct means',100,2,3),
(131429,122332,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(131430,122332,'Inflicts 2 piercing damage on target',100,2,1),
(131431,10122332,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(131432,10122332,'Inflicts 3 piercing damage on target',100,2,1),
(131433,41591,'When Equipped:',100,0,0),
(131434,41591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131435,41591,'Inflicts 260 - 482 magic damage on target',100,2,2),
(131436,41591,'Cannot be modified except by direct means',100,2,3),
(131437,10041591,'When Equipped:',100,0,0),
(131438,10041591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131439,10041591,'Inflicts 337 - 627 magic damage on target',100,2,2),
(131440,10041591,'Cannot be modified except by direct means',100,2,3),
(131441,122523,'Heals caster for 19',100,1,0),
(131442,122523,'Inflicts 44 - 74 melee damage on target',100,1,1),
(131443,10122523,'Heals caster for 12',100,1,0),
(131444,10122523,'Inflicts 57 - 96 melee damage on target',100,1,1),
(131445,45148,'Applies Channel Spirit when Activated.',100,0,0),
(131446,45148,'Allows user to contact Akina through the spirit plane.',100,1,1),
(131447,10045148,'Applies Channel Spirit when Activated.',100,0,0),
(131448,10045148,'Allows user to contact Akina through the spirit plane.',100,1,1),
(131449,113515,'Inflicts 734 - 1224 melee damage on targets in area',100,1,0),
(131450,10113515,'Inflicts 955 - 1591 melee damage on targets in area',100,1,0),
(131451,106644,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(131452,106644,'Increases Mitigation of caster vs physical damage by 165',100,2,1),
(131453,106644,'Decreases Mitigation of target encounter vs physical damage by 825',100,1,2),
(131454,10106644,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(131455,10106644,'Increases Mitigation of caster vs physical damage by 165',100,2,1),
(131456,10106644,'Decreases Mitigation of target encounter vs physical damage by 825',100,1,2),
(131457,81219,'When Equipped:',100,0,0),
(131458,81219,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131459,81219,'Inflicts 167 - 311 magic damage on target',100,2,2),
(131460,81219,'Cannot be modified except by direct means',100,2,3),
(131461,10081219,'When Equipped:',100,0,0),
(131462,10081219,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131463,10081219,'Inflicts 217 - 404 magic damage on target',100,2,2),
(131464,10081219,'Cannot be modified except by direct means',100,2,3),
(131465,106332,'Decreases INT and STR of target by 67.8',100,1,0),
(131466,10106332,'Decreases INT and STR of target by 67.8',100,1,0),
(131467,120159,'Applies Life Draw on termination.',100,1,0),
(131468,120159,'Inflicts 93 - 155 disease damage on target',100,2,1),
(131469,120159,'Heals caster for 50 - 83',100,2,2),
(131470,120159,'This effect cannot be critically applied.',100,3,3),
(131471,120159,'The healing of this spell cannot be modified except by direct means',100,2,4),
(131472,120159,'Inflicts 27 - 45 disease damage on target',100,1,5),
(131473,10120159,'Applies Life Draw on termination.',100,1,0),
(131474,10120159,'Inflicts 121 - 201 disease damage on target',100,2,1),
(131475,10120159,'Heals caster for 15 - 25',100,2,2),
(131476,10120159,'This effect cannot be critically applied.',100,3,3),
(131477,10120159,'The healing of this spell cannot be modified except by direct means',100,2,4),
(131478,10120159,'Inflicts 35 - 58 disease damage on target',100,1,5),
(131479,47293,'Applies Sanctification of the Swashbuckler  when Activated.  Lasts for 30 minutes.',100,0,0),
(131480,47293,'Increases AGI of caster by 38.7',100,1,1),
(131481,10047293,'Applies Sanctification of the Swashbuckler  when Activated.  Lasts for 30 minutes.',100,0,0),
(131482,10047293,'Increases AGI of caster by 38.7',100,1,1),
(131483,144255,'When Equipped:',100,0,0),
(131484,144255,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131485,144255,'Inflicts 1192 disease damage on target encounter',100,2,2),
(131486,144255,'Must not be engaged in pvp combat',100,2,3),
(131487,144255,'Cannot be modified except by direct means',100,2,4),
(131488,10144255,'When Equipped:',100,0,0),
(131489,10144255,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131490,10144255,'Inflicts 775 disease damage on target encounter',100,2,2),
(131491,10144255,'Must not be engaged in pvp combat',100,2,3),
(131492,10144255,'Cannot be modified except by direct means',100,2,4),
(131493,111679,'Inflicts 22 - 26 cold damage on target',100,1,0),
(131494,111679,'Inflicts 22 - 26 cold damage on target',100,1,1),
(131495,111679,'If target is elemental',100,2,2),
(131496,10111679,'Inflicts 24 - 30 cold damage on target',100,1,0),
(131497,139904,'When Equipped:',100,0,0),
(131498,139904,'On a hostile spell hit this spell has a 15% chance to cast Dormant Larvae on target of spell.  Lasts for 6.0 seconds.  ',100,1,1),
(131499,139904,'On death this spell will cast Larval Outbreak on caster.  ',100,2,2),
(131500,139904,'Inflicts 1146 disease damage on targets in Area of Effect',100,3,3),
(131501,139904,'Cannot be modified except by direct means',100,2,4),
(131502,10139904,'When Equipped:',100,0,0),
(131503,10139904,'On a hostile spell hit this spell has a 15% chance to cast Dormant Larvae on target of spell.  Lasts for 6.0 seconds.  ',100,1,1),
(131504,10139904,'On death this spell will cast Larval Outbreak on caster.  ',100,2,2),
(131505,10139904,'Inflicts 1490 disease damage on targets in Area of Effect',100,3,3),
(131506,10139904,'Cannot be modified except by direct means',100,2,4),
(131507,101162,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(131508,101162,'Inflicts 740 ranged damage on target',100,2,1),
(131509,101162,'Decreases Defense of caster by 29.8',100,1,2),
(131510,101162,'Increases Crushing, Piercing, Ranged and Slashing of caster by 55.8',100,1,3),
(131511,10101162,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(131512,10101162,'Inflicts 629 ranged damage on target',100,2,1),
(131513,10101162,'Decreases Defense of caster by 29.8',100,1,2),
(131514,10101162,'Increases Crushing, Piercing, Ranged and Slashing of caster by 55.8',100,1,3),
(131515,112009,'Inflicts 412 - 686 piercing damage on target',100,1,0),
(131516,10112009,'Inflicts 535 - 892 piercing damage on target',100,1,0),
(131517,82197,'When Equipped:',100,0,0),
(131518,82197,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131519,82197,'Inflicts 48 - 89 magic damage on target',100,2,2),
(131520,82197,'Decreases Threat to target by 135 ',100,2,3),
(131521,82197,'Must be flanking or behind',100,3,4),
(131522,82197,'Increases Threat to target by 135 ',100,2,5),
(131523,82197,'Must be in front of',100,3,6),
(131524,82197,'Cannot be modified except by direct means',100,2,7),
(131525,10082197,'When Equipped:',100,0,0),
(131526,10082197,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(131527,10082197,'Inflicts 62 - 115 magic damage on target',100,2,2),
(131528,10082197,'Cannot be modified except by direct means',100,2,3),
(131529,119254,'Inflicts 12 - 20 slashing damage on target',100,1,0),
(131530,119254,'Decreases Damage Per Second of target by 6.6',100,1,1),
(131531,119254,'Inflicts 16 slashing damage on target instantly and every 4 seconds',100,1,2),
(131532,10119254,'Inflicts 16 - 26 slashing damage on target',100,1,0),
(131533,10119254,'Decreases Damage Per Second of target by 6.6',100,1,1),
(131534,10119254,'Inflicts 21 slashing damage on target instantly and every 4 seconds',100,1,2),
(131535,124507,'Heals group members (AE) for 2059 - 2517',100,1,0),
(131536,10124507,'Heals group members (AE) for 4337 - 5300',100,1,0),
(131537,87560,'Applies Poison Bolt when Activated.',100,0,0),
(131538,87560,'Inflicts 195 - 325 poison damage on target',100,1,1),
(131539,87560,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131540,10087560,'Applies Poison Bolt when Activated.',100,0,0),
(131541,10087560,'Inflicts 253 - 422 poison damage on target',100,1,1),
(131542,10087560,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131543,79775,'Applies Mark of Pestilence when Equipped.',100,0,0),
(131544,10079775,'Applies Mark of Pestilence when Equipped.',100,0,0),
(131545,112566,'Interrupts target',50,1,0),
(131546,112566,'Inflicts 775 - 947 divine damage on target',100,1,1),
(131547,10112566,'Interrupts target',50,1,0),
(131548,10112566,'Inflicts 1295 - 1583 divine damage on target',100,1,1),
(131549,70955,'When Equipped:',100,0,0),
(131550,70955,'On a combat hit this spell may cast Pestilence on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(131551,70955,'Inflicts 24 - 29 disease damage on target',100,2,2),
(131552,70955,'Inflicts 8 - 9 disease damage on target every 4.8 seconds',100,2,3),
(131553,70955,'Decreases Mitigation of target vs noxious damage by 324 - 396',100,2,4),
(131554,70955,'Cannot be modified except by direct means',100,2,5),
(131555,10070955,'When Equipped:',100,0,0),
(131556,10070955,'On a combat hit this spell may cast Pestilence on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(131557,10070955,'Inflicts 31 - 38 disease damage on target',100,2,2),
(131558,10070955,'Inflicts 10 - 12 disease damage on target every 4.8 seconds',100,2,3),
(131559,10070955,'Decreases Mitigation of target vs noxious damage by 324 - 396',100,2,4),
(131560,10070955,'Cannot be modified except by direct means',100,2,5),
(131561,51458,'When Equipped:',100,0,0),
(131562,51458,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131563,51458,'Inflicts 887 poison damage on target',100,2,2),
(131564,51458,'Cannot be modified except by direct means',100,2,3),
(131565,10051458,'When Equipped:',100,0,0),
(131566,10051458,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131567,10051458,'Inflicts 576 poison damage on target',100,2,2),
(131568,10051458,'Cannot be modified except by direct means',100,2,3),
(131569,123602,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(131570,123602,'Increases Defense of target by 22.7',100,1,1),
(131571,10123602,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(131572,10123602,'Increases Defense of target by 22.7',100,1,1),
(131573,86132,'When Equipped:',100,0,0),
(131574,86132,'On a combat hit this spell may cast Anarchy on target of attack.  Lasts for 1.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(131575,86132,'Stuns target',100,2,2),
(131576,86132,'If Target is not Epic',100,3,3),
(131577,86132,'Inflicts 453 magic damage on target',100,2,4),
(131578,86132,'Resistibility increases against targets higher than level 103.',100,2,5),
(131579,86132,'Cannot be modified except by direct means',100,2,6),
(131580,10086132,'When Equipped:',100,0,0),
(131581,10086132,'On a combat hit this spell may cast Anarchy on target of attack.  Lasts for 1.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(131582,10086132,'Stuns target',100,2,2),
(131583,10086132,'If Target is not Epic',100,3,3),
(131584,10086132,'Inflicts 589 magic damage on target',100,2,4),
(131585,10086132,'Resistibility increases against targets higher than level 103.',100,2,5),
(131586,10086132,'Cannot be modified except by direct means',100,2,6),
(131587,141745,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(131588,141745,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(131589,141745,'Inflicts 24 heat damage on target',100,2,2),
(131590,141745,'Cannot be modified except by direct means',100,2,3),
(131591,10141745,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(131592,10141745,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(131593,10141745,'Inflicts 31 heat damage on target',100,2,2),
(131594,10141745,'Cannot be modified except by direct means',100,2,3),
(131595,24323,'Adds Drake (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(131596,10024323,'Adds Drake (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(131597,87100,'Applies Fire Ball when Activated.',100,0,0),
(131598,87100,'Inflicts 264 - 440 heat damage on target',100,1,1),
(131599,87100,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131600,10087100,'Applies Fire Ball when Activated.',100,0,0),
(131601,10087100,'Inflicts 343 - 572 heat damage on target',100,1,1),
(131602,10087100,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131603,80981,'When Equipped:',100,0,0),
(131604,80981,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131605,80981,'Inflicts 296 - 551 magic damage on target',100,2,2),
(131606,80981,'Cannot be modified except by direct means',100,2,3),
(131607,10080981,'When Equipped:',100,0,0),
(131608,10080981,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131609,10080981,'Inflicts 385 - 716 magic damage on target',100,2,2),
(131610,10080981,'Cannot be modified except by direct means',100,2,3),
(131611,111386,'Increases Attack Speed of target by 22.0',100,1,0),
(131612,111386,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131613,111386,'Inflicts 56 disease damage on target',100,2,2),
(131614,111386,'Heals caster for 12',100,2,3),
(131615,111386,'Decreases Defense and Parry of target by 4.9',100,1,4),
(131616,111386,'Increases Disruption, Subjugation and Focus of target by 5.9',100,1,5),
(131617,10111386,'Increases Attack Speed of target by 22.0',100,1,0),
(131618,10111386,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(131619,10111386,'Inflicts 72 disease damage on target',100,2,2),
(131620,10111386,'Heals caster for 8',100,2,3),
(131621,10111386,'Decreases Defense and Parry of target by 4.9',100,1,4),
(131622,10111386,'Increases Disruption, Subjugation and Focus of target by 5.9',100,1,5),
(131623,189331,'When Equipped:',100,0,0),
(131624,189331,'Increases Attack Speed of caster by 35.0',100,1,1),
(131625,10189331,'When Equipped:',100,0,0),
(131626,10189331,'Increases Attack Speed of caster by 35.0',100,1,1),
(131627,106582,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(131628,106582,'Increases Parry of caster by 11.0',100,1,1),
(131629,10106582,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(131630,10106582,'Increases Parry of caster by 11.0',100,1,1),
(131631,47577,'Applies Potion of Deflation when Activated.  Lasts for 1 day.',100,0,0),
(131632,47577,'Shrinks caster by 50.0%',100,1,1),
(131633,10047577,'Applies Potion of Deflation when Activated.  Lasts for 1 day.',100,0,0),
(131634,10047577,'Shrinks caster by 50.0%',100,1,1),
(131635,107010,'Interrupts target',100,1,0),
(131636,107010,'Inflicts 142 - 237 melee damage on target',100,1,1),
(131637,107010,'Must be flanking or behind',100,1,2),
(131638,10107010,'Interrupts target',100,1,0),
(131639,10107010,'Inflicts 185 - 308 melee damage on target',100,1,1),
(131640,10107010,'Must be flanking or behind',100,1,2),
(131641,141664,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(131642,141664,'Decreases Attack Speed of target by 11.2',100,1,1),
(131643,141664,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(131644,10141664,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(131645,10141664,'Decreases Attack Speed of target by 11.2',100,1,1),
(131646,10141664,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(131647,82644,'When Equipped:',100,0,0),
(131648,82644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131649,82644,'Inflicts 104 - 194 magic damage on target',100,2,2),
(131650,82644,'Cannot be modified except by direct means',100,2,3),
(131651,10082644,'When Equipped:',100,0,0),
(131652,10082644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(131653,10082644,'Inflicts 136 - 252 magic damage on target',100,2,2),
(131654,10082644,'Cannot be modified except by direct means',100,2,3),
(131655,100677,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(131656,100677,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(131657,100677,'Heals caster for 665',100,3,2),
(131658,100677,'Wards caster against 851 points of all damage',100,3,3),
(131659,100677,'Summons a limited pet to aid the caster',100,2,4),
(131660,100677,'Grants a total of 1 trigger of the spell.',100,2,5),
(131661,10100677,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(131662,10100677,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(131663,10100677,'Heals caster for 432',100,3,2),
(131664,10100677,'Wards caster against 851 points of all damage',100,3,3),
(131665,10100677,'Summons a limited pet to aid the caster',100,2,4),
(131666,10100677,'Grants a total of 1 trigger of the spell.',100,2,5),
(131667,26372,'When Equipped:',100,0,0),
(131668,26372,'On a block this spell has a 6% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(131669,26372,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(131670,26372,'Heals caster for 57 - 69',100,3,3),
(131671,26372,'Grants a total of 3 triggers of the spell.',100,3,4),
(131672,26372,'Cannot be modified except by direct means',100,2,5),
(131673,10026372,'When Equipped:',100,0,0),
(131674,10026372,'On a block this spell has a 6% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(131675,10026372,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(131676,10026372,'Heals caster for 37 - 45',100,3,3),
(131677,10026372,'Grants a total of 3 triggers of the spell.',100,3,4),
(131678,10026372,'Cannot be modified except by direct means',100,2,5),
(131679,111478,'Increases AGI of caster by 33.4',100,1,0),
(131680,111478,'Increases Attack Speed of caster by 28.4',100,1,1),
(131681,111478,'Increases in-combat movement speed of caster by 8.0%',100,1,2),
(131682,111478,'Adds 25.0% to base avoidance.',100,1,3),
(131683,111478,'Increases Mitigation of caster vs physical damage by 302',100,1,4),
(131684,111478,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,5),
(131685,10111478,'Increases AGI of caster by 33.4',100,1,0),
(131686,10111478,'Increases Attack Speed of caster by 28.4',100,1,1),
(131687,10111478,'Increases speed of caster by 8.0%',100,1,2),
(131688,10111478,'Adds 25.0% to base avoidance.',100,1,3),
(131689,10111478,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,4),
(131690,71330,'When Equipped:',100,0,0),
(131691,71330,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(131692,71330,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(131693,71330,'Cannot be modified except by direct means',100,2,3),
(131694,10071330,'When Equipped:',100,0,0),
(131695,10071330,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(131696,10071330,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(131697,10071330,'Cannot be modified except by direct means',100,2,3),
(131698,113013,'Increases WIS of caster by 25.1',100,1,0),
(131699,113013,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(131700,113013,'Increases Defense of caster by 4.6',100,1,2),
(131701,113013,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(131702,10113013,'Increases WIS of caster by 25.1',100,1,0),
(131703,10113013,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(131704,10113013,'Increases Defense of caster by 4.6',100,1,2),
(131705,10113013,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(131706,138510,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(131707,138510,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1151',100,1,1),
(131708,138510,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(131709,10138510,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(131710,10138510,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1151',100,1,1),
(131711,10138510,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(131712,113276,'Inflicts 50 - 62 magic damage on target encounter',100,1,0),
(131713,10113276,'Inflicts 66 - 80 magic damage on target encounter',100,1,0),
(131714,45104,'Applies Poison when Activated.',100,0,0),
(131715,45104,'This basket of fish has just recently been poisoned.',100,1,1),
(131716,10045104,'Applies Poison when Activated.',100,0,0),
(131717,10045104,'This basket of fish has just recently been poisoned.',100,1,1),
(131718,113475,'Increases INT of target by 163.7',100,1,0),
(131719,113475,'Increases Max Health of target by 1,359.7',100,1,1),
(131720,10113475,'Increases INT of target by 163.7',100,1,0),
(131721,10113475,'Increases Max Health of target by 1,359.7',100,1,1),
(131722,101718,'Mesmerizes target',100,1,0),
(131723,101718,'Prevents AOE (except when direct) ',100,1,1),
(131724,101718,'Mesmerizes caster',100,1,2),
(131725,101718,'Dispelled when target takes damage',100,1,3),
(131726,101718,'Does not affect Epic targets',100,1,4),
(131727,101718,'Resistibility increases against targets higher than level 68.',100,1,5),
(131728,10101718,'Mesmerizes target',100,1,0),
(131729,10101718,'Prevents AOE (except when direct) ',100,1,1),
(131730,10101718,'Mesmerizes caster',100,1,2),
(131731,10101718,'Dispelled when target takes damage',100,1,3),
(131732,10101718,'Does not affect Epic targets',100,1,4),
(131733,10101718,'Resistibility increases against targets higher than level 68.',100,1,5),
(131734,115814,'Inflicts 27 disease damage on target every 3 seconds',100,1,0),
(131735,115814,'Inflicts 101 - 168 melee damage on target',100,1,1),
(131736,115814,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(131737,115814,'Heals caster for 1.9% of max health instantly and every 3 seconds',100,2,3),
(131738,115814,'This effect cannot be critically applied.',100,3,4),
(131739,115814,'The healing of this spell cannot be modified except by direct means',100,2,5),
(131740,115814,'The healing of this spell cannot be modified except by direct means',100,1,6),
(131741,10115814,'Inflicts 35 disease damage on target every 3 seconds',100,1,0),
(131742,10115814,'Inflicts 131 - 219 melee damage on target',100,1,1),
(131743,10115814,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(131744,10115814,'Heals caster for 0.6% of max health instantly and every 3 seconds',100,2,3),
(131745,10115814,'This effect cannot be critically applied.',100,3,4),
(131746,10115814,'The healing of this spell cannot be modified except by direct means',100,2,5),
(131747,10115814,'The healing of this spell cannot be modified except by direct means',100,1,6),
(131748,45857,'Applies Break out the Carnelian when Activated.',100,0,0),
(131749,45857,'It sure does look like this gem could be important if it were separated from the choker.',100,1,1),
(131750,10045857,'Applies Break out the Carnelian when Activated.',100,0,0),
(131751,10045857,'It sure does look like this gem could be important if it were separated from the choker.',100,1,1),
(131752,113221,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(131753,113221,'Inflicts 199 magic damage on target',100,2,1),
(131754,113221,'Grants a total of 5 triggers of the spell.',100,2,2),
(131755,10113221,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(131756,10113221,'Inflicts 259 magic damage on target',100,2,1),
(131757,10113221,'Grants a total of 5 triggers of the spell.',100,2,2),
(131758,75019,'Applies Lightning Shock when Activated.',100,0,0),
(131759,75019,'Inflicts 189 - 316 magic damage on target',100,1,1),
(131760,75019,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131761,10075019,'Applies Lightning Shock when Activated.',100,0,0),
(131762,10075019,'Inflicts 246 - 410 magic damage on target',100,1,1),
(131763,10075019,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(131764,36202,'Increases STA and INT of target by 1.1',100,0,0),
(131765,36202,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(131766,104361,'Charms target',100,1,0),
(131767,104361,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(131768,104361,'Mesmerizes target',100,2,2),
(131769,104361,'Dispelled when target takes damage',100,2,3),
(131770,104361,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(131771,104361,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(131772,104361,'Grants Sonic Vision to caster',100,2,6),
(131773,104361,'Increases Out-of-Combat Power Regeneration of target by 47.3',100,1,7),
(131774,104361,'Increases Out-of-Combat Health Regeneration of target by 94.6',100,1,8),
(131775,104361,'Certain enemies cannot be charmed',100,1,9),
(131776,104361,'Does not affect Epic targets',100,1,10),
(131777,10104361,'Mesmerizes target',100,1,0),
(131778,10104361,'Prevents AOE (except when direct) ',100,1,1),
(131779,10104361,'Dispelled when target takes damage',100,1,2),
(131780,10104361,'Certain enemies cannot be charmed',100,1,3),
(131781,10104361,'Does not affect Epic targets',100,1,4),
(131782,10104361,'Resistibility increases against targets higher than level 103.',100,1,5),
(131783,37065,'Increases STA of target by 1.5',100,0,0),
(131784,37065,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(131785,36180,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(131786,36180,'This effect suspends during combat',100,0,1),
(131787,47747,'Applies Remedy of the Gods when Activated.',100,0,0),
(131788,47747,'Heals caster for 108',100,1,1),
(131789,10047747,'Applies Remedy of the Gods when Activated.',100,0,0),
(131790,10047747,'Heals caster for 70',100,1,1),
(131791,119151,'Inflicts 14 - 25 heat damage on target instantly and every 3 seconds',100,1,0),
(131792,10119151,'Inflicts 18 - 33 heat damage on target instantly and every 3 seconds',100,1,0),
(131793,118115,'Heals target for 267 - 327',100,1,0),
(131794,10118115,'Heals target for 316 - 386',100,1,0),
(131795,112132,'Dispels 58 levels of physical and arcane hostile effects on caster',100,1,0),
(131796,10112132,'Dispels 58 levels of physical and arcane hostile effects on caster',100,1,0),
(131797,103188,'Increases Mitigation of caster vs physical damage by 240',100,1,0),
(131798,103188,'Roots caster',100,1,1),
(131799,10103188,'Increases Mitigation of caster vs physical damage by 240',100,1,0),
(131800,10103188,'Roots caster',100,1,1),
(131801,115844,'Inflicts 116 - 193 mental damage on target encounter',100,1,0),
(131802,115844,'Interrupts target encounter',100,1,1),
(131803,10115844,'Inflicts 151 - 252 mental damage on target encounter',100,1,0),
(131804,10115844,'Interrupts target encounter',100,1,1),
(131805,100943,'Dazes target',100,1,0),
(131806,100943,'Inflicts 289 - 353 mental damage on target',100,1,1),
(131807,100943,'Epic targets gain an immunity to Daze effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(131808,100943,'Resistibility increases against targets higher than level 68.',100,1,3),
(131809,10100943,'Dazes target',100,1,0),
(131810,10100943,'Inflicts 376 - 459 mental damage on target',100,1,1),
(131811,10100943,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(131812,10100943,'Resistibility increases against targets higher than level 68.',100,1,3),
(131813,113886,'Increases power of target by 181',100,1,0),
(131814,10113886,'Increases power of target by 181',100,1,0),
(131815,109842,'Inflicts 908 - 1514 melee damage on target',100,1,0),
(131816,109842,'Decreases Parry of target by 68.5',100,1,1),
(131817,109842,'Must be in front of or flanking',100,1,2),
(131818,10109842,'Inflicts 1181 - 1969 melee damage on target',100,1,0),
(131819,10109842,'Decreases Parry of target by 68.5',100,1,1),
(131820,10109842,'Must be in front of or flanking',100,1,2),
(131821,47074,'Applies Call Mistrunner when Activated.',100,0,0),
(131822,47074,'Summons a mount to ride',100,1,1),
(131823,47074,'Increases your ground speed by 130%',100,2,2),
(131824,47074,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',100,1,3),
(131825,47074,'Requires good alignment',100,1,4),
(131826,10047074,'Applies Call Mistrunner when Activated.',100,0,0),
(131827,10047074,'Summons a mount to ride',100,1,1),
(131828,10047074,'Increases your ground speed by 130%',100,2,2),
(131829,10047074,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',100,1,3),
(131830,10047074,'Requires good alignment',100,1,4),
(131831,178845,'When Equipped:',100,0,0),
(131832,178845,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(131833,10178845,'When Equipped:',100,0,0),
(131834,10178845,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(131835,141912,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(131836,141912,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(131837,141912,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(131838,141912,'Cannot be modified except by direct means',100,2,3),
(131839,10141912,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(131840,10141912,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(131841,10141912,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(131842,10141912,'Cannot be modified except by direct means',100,2,3),
(131843,173118,'When Equipped:',100,0,0),
(131844,173118,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(131845,173118,'Heals group members (AE) for 2624',100,2,2),
(131846,173118,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(131847,173118,'Must not be engaged in pvp combat',100,2,4),
(131848,173118,'Cannot be modified except by direct means',100,2,5),
(131849,173118,'Must not be engaged in pvp combat',100,1,6),
(131850,10173118,'When Equipped:',100,0,0),
(131851,10173118,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(131852,10173118,'Heals group members (AE) for 3071',100,2,2),
(131853,10173118,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(131854,10173118,'Must not be engaged in pvp combat',100,2,4),
(131855,10173118,'Cannot be modified except by direct means',100,2,5),
(131856,10173118,'Must not be engaged in pvp combat',100,1,6),
(131857,119369,'Inflicts 606 - 909 disease damage on target',100,1,0),
(131858,119369,'Inflicts 243 - 364 disease damage on target every 4 seconds',100,1,1),
(131859,10119369,'Inflicts 788 - 1182 disease damage on target',100,1,0),
(131860,10119369,'Inflicts 315 - 473 disease damage on target every 4 seconds',100,1,1),
(131861,104753,'Applies Consecration.',100,1,0),
(131862,104753,'Inflicts 345 - 422 divine damage on targets in Area of Effect',100,2,1),
(131863,10104753,'Applies Consecration.',100,1,0),
(131864,10104753,'Inflicts 449 - 548 divine damage on targets in Area of Effect',100,2,1),
(131865,121634,'Inflicts 947 - 2842 melee damage on target',100,1,0),
(131866,121634,'Dazes target',100,1,1),
(131867,121634,'If Target is not Epic',100,2,2),
(131868,121634,'Must be flanking or behind',100,1,3),
(131869,121634,'Resistibility increases against targets higher than level 102.',100,1,4),
(131870,10121634,'Inflicts 1231 - 3695 melee damage on target',100,1,0),
(131871,10121634,'Dazes target',100,1,1),
(131872,10121634,'If Target is not Epic',100,2,2),
(131873,10121634,'Must be flanking or behind',100,1,3),
(131874,10121634,'Resistibility increases against targets higher than level 102.',100,1,4),
(131875,48872,'Applies Rinturion''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(131876,48872,'Increases STR and STA of caster by 16.0',100,1,1),
(131877,10048872,'Applies Rinturion''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(131878,10048872,'Increases STR and STA of caster by 16.0',100,1,1),
(131879,40116,'When Equipped:',100,0,0),
(131880,40116,'On a ranged hit this spell may cast Aquatic Aggression on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(131881,40116,'Summons 2 limited pets to aid the caster',100,2,2),
(131882,40116,'Cannot be modified except by direct means',100,2,3),
(131883,10040116,'When Equipped:',100,0,0),
(131884,10040116,'On a ranged hit this spell may cast Aquatic Aggression on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(131885,10040116,'Summons 2 limited pets to aid the caster',100,2,2),
(131886,10040116,'Cannot be modified except by direct means',100,2,3),
(131887,123662,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(131888,123662,'Slows target by 44.4%',100,2,1),
(131889,123662,'5% chance to dispel when target receives hostile action',100,2,2),
(131890,123662,'5% chance to dispel when target takes damage',100,2,3),
(131891,123662,'Inflicts 640 - 782 cold damage on target',100,1,4),
(131892,10123662,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(131893,10123662,'Slows target by 44.4%',100,2,1),
(131894,10123662,'5% chance to dispel when target receives hostile action',100,2,2),
(131895,10123662,'5% chance to dispel when target takes damage',100,2,3),
(131896,10123662,'Inflicts 713 - 871 cold damage on target',100,1,4),
(131897,48130,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(131898,48130,'Wards caster against 1495 points of arcane damage',100,1,1),
(131899,10048130,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(131900,10048130,'Wards caster against 1495 points of arcane damage',100,1,1),
(131901,52762,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(131902,52762,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(131903,52762,'Inflicts 131 heat damage on target',100,2,2),
(131904,52762,'Cannot be modified except by direct means',100,2,3),
(131905,10052762,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(131906,10052762,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(131907,10052762,'Inflicts 171 heat damage on target',100,2,2),
(131908,10052762,'Cannot be modified except by direct means',100,2,3),
(131909,89268,'When Equipped:',100,0,0),
(131910,89268,'On a critical spell hit this spell may cast Vitality Consumption IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(131911,89268,'Inflicts 3796 - 4196 disease damage on target',100,2,2),
(131912,89268,'Heals caster for 2770 - 3062',100,2,3),
(131913,89268,'Must not be engaged in pvp combat',100,2,4),
(131914,89268,'Cannot be modified except by direct means',100,2,5),
(131915,89268,'On a critical combat hit this spell may cast Vitality Consumption IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(131916,89268,'Inflicts 3796 - 4196 disease damage on target',100,2,7),
(131917,89268,'Heals caster for 2770 - 3062',100,2,8),
(131918,89268,'Must not be engaged in pvp combat',100,2,9),
(131919,89268,'Cannot be modified except by direct means',100,2,10),
(131920,89268,'Must not be engaged in pvp combat',100,1,11),
(131921,10089268,'When Equipped:',100,0,0),
(131922,10089268,'On a critical spell hit this spell may cast Vitality Consumption IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(131923,10089268,'Inflicts 4935 - 5455 disease damage on target',100,2,2),
(131924,10089268,'Heals caster for 3241 - 3582',100,2,3),
(131925,10089268,'Must not be engaged in pvp combat',100,2,4),
(131926,10089268,'Cannot be modified except by direct means',100,2,5),
(131927,10089268,'On a critical combat hit this spell may cast Vitality Consumption IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(131928,10089268,'Inflicts 4935 - 5455 disease damage on target',100,2,7),
(131929,10089268,'Heals caster for 3241 - 3582',100,2,8),
(131930,10089268,'Must not be engaged in pvp combat',100,2,9),
(131931,10089268,'Cannot be modified except by direct means',100,2,10),
(131932,10089268,'Must not be engaged in pvp combat',100,1,11),
(131933,48469,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(131934,48469,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(131935,48469,'Inflicts 59 poison damage on target instantly and every 6 seconds',100,2,2),
(131936,48469,'Inflicts 115 poison damage on target',100,2,3),
(131937,48469,'Cannot be modified except by direct means',100,2,4),
(131938,48469,'Grants a total of 200 triggers of the spell.',100,2,5),
(131939,10048469,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(131940,10048469,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(131941,10048469,'Inflicts 58 poison damage on target instantly and every 6 seconds',100,2,2),
(131942,10048469,'Inflicts 112 poison damage on target',100,2,3),
(131943,10048469,'Cannot be modified except by direct means',100,2,4),
(131944,10048469,'Grants a total of 200 triggers of the spell.',100,2,5),
(131945,82805,'Applies Imbued Smite when Equipped.',100,0,0),
(131946,82805,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(131947,82805,'Inflicts 632 divine damage on target instantly and every second',100,2,2),
(131948,82805,'Cannot be modified except by direct means',100,2,3),
(131949,82805,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(131950,82805,'Inflicts 632 divine damage on target instantly and every second',100,2,5),
(131951,82805,'Cannot be modified except by direct means',100,2,6),
(131952,10082805,'Applies Imbued Smite when Equipped.',100,0,0),
(131953,10082805,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(131954,10082805,'Inflicts 822 divine damage on target instantly and every second',100,2,2),
(131955,10082805,'Cannot be modified except by direct means',100,2,3),
(131956,10082805,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(131957,10082805,'Inflicts 822 divine damage on target instantly and every second',100,2,5),
(131958,10082805,'Cannot be modified except by direct means',100,2,6),
(131959,177600,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(131960,177600,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(131961,177600,'Inflicts 52 heat damage on target',100,2,2),
(131962,177600,'Cannot be modified except by direct means',100,2,3),
(131963,10177600,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(131964,10177600,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(131965,10177600,'Inflicts 67 heat damage on target',100,2,2),
(131966,10177600,'Cannot be modified except by direct means',100,2,3),
(131967,71306,'When Equipped:',100,0,0),
(131968,71306,'On a hit this spell may cast Indestructible Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(131969,71306,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(131970,71306,'Must not be engaged in pvp combat',100,1,3),
(131971,71306,'Cannot be modified except by direct means',100,1,4),
(131972,10071306,'When Equipped:',100,0,0),
(131973,10071306,'On a hit this spell may cast Indestructible Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(131974,10071306,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(131975,10071306,'Must not be engaged in pvp combat',100,1,3),
(131976,10071306,'Cannot be modified except by direct means',100,1,4),
(131977,177792,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(131978,177792,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(131979,177792,'Decreases Attack Speed of target by 12.4',100,2,2),
(131980,177792,'Cannot be modified except by direct means',100,2,3),
(131981,177792,'Slows target by 30.8%',100,1,4),
(131982,177792,'5% chance to dispel when target takes damage',100,1,5),
(131983,177792,'5% chance to dispel when target receives hostile action',100,1,6),
(131984,177792,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(131985,10177792,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(131986,10177792,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(131987,10177792,'Decreases Attack Speed of target by 12.4',100,2,2),
(131988,10177792,'Cannot be modified except by direct means',100,2,3),
(131989,10177792,'Slows target by 30.8%',100,1,4),
(131990,10177792,'5% chance to dispel when target takes damage',100,1,5),
(131991,10177792,'5% chance to dispel when target receives hostile action',100,1,6),
(131992,10177792,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(131993,119415,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(131994,119415,'Stuns target',100,2,1),
(131995,119415,'Throws target back',100,2,2),
(131996,119415,'Blurs vision of target',100,2,3),
(131997,119415,'Does not affect Epic targets',100,2,4),
(131998,119415,'Inflicts 225 - 376 melee damage on target',100,1,5),
(131999,119415,'You must be sneaking to use this ability.',100,1,6),
(132000,10119415,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(132001,10119415,'Stuns target',100,2,1),
(132002,10119415,'Throws target back',100,2,2),
(132003,10119415,'Blurs vision of target',100,2,3),
(132004,10119415,'Does not affect Epic targets',100,2,4),
(132005,10119415,'Inflicts 293 - 488 melee damage on target',100,1,5),
(132006,10119415,'You must be sneaking to use this ability.',100,1,6),
(132007,103709,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(132008,103709,'Inflicts 117 - 195 disease damage on target',100,2,1),
(132009,103709,'Increases Attack Speed of group members (AE) by 49.1',100,1,2),
(132010,10103709,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(132011,10103709,'Inflicts 152 - 254 disease damage on target',100,2,1),
(132012,10103709,'Increases Attack Speed of group members (AE) by 49.1',100,1,2),
(132013,81322,'When Equipped:',100,0,0),
(132014,81322,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(132015,81322,'Inflicts 302 - 560 magic damage on target',100,2,2),
(132016,81322,'Decreases Threat to target by 949 ',100,2,3),
(132017,81322,'Must be flanking or behind',100,3,4),
(132018,81322,'Increases Threat to target by 949 ',100,2,5),
(132019,81322,'Must be in front of',100,3,6),
(132020,81322,'Cannot be modified except by direct means',100,2,7),
(132021,10081322,'When Equipped:',100,0,0),
(132022,10081322,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(132023,10081322,'Inflicts 392 - 728 magic damage on target',100,2,2),
(132024,10081322,'Cannot be modified except by direct means',100,2,3),
(132025,83671,'When Equipped:',100,0,0),
(132026,83671,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132027,83671,'Inflicts 336 - 559 magic damage on target',100,2,2),
(132028,83671,'Inflicts 336 - 559 divine damage on target',100,2,3),
(132029,83671,'Inflicts 336 - 559 piercing damage on target',100,2,4),
(132030,83671,'Must not be engaged in pvp combat',100,2,5),
(132031,83671,'Cannot be modified except by direct means',100,2,6),
(132032,83671,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(132033,83671,'Inflicts 336 - 559 magic damage on target',100,2,8),
(132034,83671,'Inflicts 336 - 559 divine damage on target',100,2,9),
(132035,83671,'Inflicts 336 - 559 piercing damage on target',100,2,10),
(132036,83671,'Must not be engaged in pvp combat',100,2,11),
(132037,83671,'Cannot be modified except by direct means',100,2,12),
(132038,83671,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(132039,83671,'Inflicts 336 - 559 magic damage on target',100,2,14),
(132040,83671,'Inflicts 336 - 559 divine damage on target',100,2,15),
(132041,83671,'Inflicts 336 - 559 piercing damage on target',100,2,16),
(132042,83671,'Must not be engaged in pvp combat',100,2,17),
(132043,83671,'Cannot be modified except by direct means',100,2,18),
(132044,83671,'Must not be engaged in pvp combat',100,1,19),
(132045,10083671,'When Equipped:',100,0,0),
(132046,10083671,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132047,10083671,'Inflicts 436 - 727 magic damage on target',100,2,2),
(132048,10083671,'Inflicts 436 - 727 divine damage on target',100,2,3),
(132049,10083671,'Inflicts 436 - 727 piercing damage on target',100,2,4),
(132050,10083671,'Must not be engaged in pvp combat',100,2,5),
(132051,10083671,'Cannot be modified except by direct means',100,2,6),
(132052,10083671,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(132053,10083671,'Inflicts 436 - 727 magic damage on target',100,2,8),
(132054,10083671,'Inflicts 436 - 727 divine damage on target',100,2,9),
(132055,10083671,'Inflicts 436 - 727 piercing damage on target',100,2,10),
(132056,10083671,'Must not be engaged in pvp combat',100,2,11),
(132057,10083671,'Cannot be modified except by direct means',100,2,12),
(132058,10083671,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(132059,10083671,'Inflicts 436 - 727 magic damage on target',100,2,14),
(132060,10083671,'Inflicts 436 - 727 divine damage on target',100,2,15),
(132061,10083671,'Inflicts 436 - 727 piercing damage on target',100,2,16),
(132062,10083671,'Must not be engaged in pvp combat',100,2,17),
(132063,10083671,'Cannot be modified except by direct means',100,2,18),
(132064,10083671,'Must not be engaged in pvp combat',100,1,19),
(132065,113987,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(132066,113987,'Inflicts 58 - 98 melee damage on target',100,2,1),
(132067,113987,'Increases Threat to target by 194 ',100,2,2),
(132068,10113987,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(132069,10113987,'Inflicts 76 - 127 melee damage on target',100,2,1),
(132070,102330,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(132071,102330,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(132072,102330,'Decreases Threat to target encounter by 834 ',100,2,2),
(132073,102330,'Decreases threat priority of target encounter by 1 position',100,2,3),
(132074,102330,'Grants a total of 3 triggers of the spell.',100,2,4),
(132075,102330,'If profession other than Fighter',100,1,5),
(132076,10102330,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(132077,10102330,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(132078,10102330,'Forces target to clear their selected target.',100,2,2),
(132079,10102330,'Target cannot target caster for the duration of this effect.',100,2,3),
(132080,10102330,'Grants a total of 3 triggers of the spell.',100,2,4),
(132081,10102330,'If profession other than Fighter',100,1,5),
(132082,45187,'Applies Lucanic Might when Activated.',100,0,0),
(132083,45187,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(132084,10045187,'Applies Lucanic Might when Activated.',100,0,0),
(132085,10045187,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(132086,48256,'Applies Call of the Inebriated when Activated.',100,0,0),
(132087,48256,'Teleports the user to a tavern.',100,1,1),
(132088,10048256,'Applies Call of the Inebriated when Activated.',100,0,0),
(132089,10048256,'Teleports the user to a tavern.',100,1,1),
(132090,52767,'Applies Sanguine Imbued when Equipped.',100,0,0),
(132091,52767,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(132092,52767,'Inflicts 161 heat damage on target',100,2,2),
(132093,52767,'Cannot be modified except by direct means',100,2,3),
(132094,10052767,'Applies Sanguine Imbued when Equipped.',100,0,0),
(132095,10052767,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(132096,10052767,'Inflicts 210 heat damage on target',100,2,2),
(132097,10052767,'Cannot be modified except by direct means',100,2,3),
(132098,119468,'Summon 1 Shard of Essence (Apprentice)',100,1,0),
(132099,10119468,'Summon 1 Shard of Essence (Apprentice)',100,1,0),
(132100,24373,'Adds Flying Snake (Guardian) to your Dungeon Maker toolbox',100,0,0),
(132101,10024373,'Adds Flying Snake (Guardian) to your Dungeon Maker toolbox',100,0,0),
(132102,118322,'Roots target encounter',100,1,0),
(132103,118322,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(132104,118322,'Slows target by 66.6%',100,2,2),
(132105,118322,'5% chance to dispel when target receives hostile action',100,2,3),
(132106,118322,'5% chance to dispel when target takes damage',100,2,4),
(132107,118322,'20% chance to dispel when target takes damage',100,1,5),
(132108,118322,'Does not affect Epic targets',100,1,6),
(132109,118322,'Resistibility increases against targets higher than level 117.',100,1,7),
(132110,10118322,'Roots target encounter',100,1,0),
(132111,10118322,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(132112,10118322,'Slows target by 66.6%',100,2,2),
(132113,10118322,'5% chance to dispel when target receives hostile action',100,2,3),
(132114,10118322,'5% chance to dispel when target takes damage',100,2,4),
(132115,10118322,'20% chance to dispel when target takes damage',100,1,5),
(132116,10118322,'Does not affect Epic targets',100,1,6),
(132117,10118322,'Resistibility increases against targets higher than level 117.',100,1,7),
(132118,47432,'Applies Call Onyx Armored Rhino with Red Saddle when Activated.',100,0,0),
(132119,47432,'Increases Max Health of caster by 150.0',100,1,1),
(132120,47432,'Increases Defense of caster by 5.0',100,1,2),
(132121,47432,'Increases Slashing of caster by 7.0',100,1,3),
(132122,47432,'Summons a mount to ride',100,1,4),
(132123,47432,'Increases your ground speed by 130%',100,2,5),
(132124,47432,'Increases Ranged, Focus, Piercing and Crushing of caster by 7.0',100,1,6),
(132125,10047432,'Applies Call Onyx Armored Rhino with Red Saddle when Activated.',100,0,0),
(132126,10047432,'Increases Max Health of caster by 150.0',100,1,1),
(132127,10047432,'Increases Defense of caster by 5.0',100,1,2),
(132128,10047432,'Increases Slashing of caster by 7.0',100,1,3),
(132129,10047432,'Summons a mount to ride',100,1,4),
(132130,10047432,'Increases your ground speed by 130%',100,2,5),
(132131,10047432,'Increases Ranged, Focus, Piercing and Crushing of caster by 7.0',100,1,6),
(132132,188244,'When Equipped:',100,0,0),
(132133,188244,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(132134,188244,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(132135,188244,'Cannot be modified except by direct means',100,2,3),
(132136,10188244,'When Equipped:',100,0,0),
(132137,10188244,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(132138,10188244,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(132139,10188244,'Cannot be modified except by direct means',100,2,3),
(132140,113235,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(132141,113235,'Inflicts 17 - 29 magic damage on target',100,2,1),
(132142,113235,'Grants a total of 8 triggers of the spell.',100,2,2),
(132143,10113235,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(132144,10113235,'Inflicts 22 - 37 magic damage on target',100,2,1),
(132145,10113235,'Grants a total of 8 triggers of the spell.',100,2,2),
(132146,106952,'Inflicts 479 - 890 poison damage on target',100,1,0),
(132147,10106952,'Inflicts 623 - 1157 poison damage on target',100,1,0),
(132148,26619,'When Equipped:',100,0,0),
(132149,26619,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(132150,26619,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(132151,10026619,'When Equipped:',100,0,0),
(132152,10026619,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(132153,10026619,'Adds 10% Crit Bonus to Jester''s Cap.',100,1,2),
(132154,115859,'Inflicts 464 - 774 mental damage on target encounter',100,1,0),
(132155,115859,'Interrupts target encounter',100,1,1),
(132156,10115859,'Inflicts 604 - 1006 mental damage on target encounter',100,1,0),
(132157,10115859,'Interrupts target encounter',100,1,1),
(132158,104020,'Stifles target',100,1,0),
(132159,104020,'If Target is not Epic',100,2,1),
(132160,104020,'Interrupts target',100,1,2),
(132161,104020,'Decreases Threat to target by 543 - 664 ',100,1,3),
(132162,104020,'Resistibility increases against targets higher than level 67.',100,1,4),
(132163,10104020,'Stifles target',100,1,0),
(132164,10104020,'If Target is not Epic',100,2,1),
(132165,10104020,'Interrupts target',100,1,2),
(132166,10104020,'Resistibility increases against targets higher than level 67.',100,1,3),
(132167,124391,'Decreases STR of target by 14.9',100,1,0),
(132168,10124391,'Decreases STR of target by 14.9',100,1,0),
(132169,80635,'When Equipped:',100,0,0),
(132170,80635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132171,80635,'Inflicts 83 - 154 magic damage on target',100,2,2),
(132172,80635,'Cannot be modified except by direct means',100,2,3),
(132173,10080635,'When Equipped:',100,0,0),
(132174,10080635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132175,10080635,'Inflicts 108 - 200 magic damage on target',100,2,2),
(132176,10080635,'Cannot be modified except by direct means',100,2,3),
(132177,47637,'Applies The Prince Card when Activated.  Lasts for 10 minutes.',100,0,0),
(132178,47637,'Increases STA, AGI, STR, WIS and INT of caster by 70.0',100,1,1),
(132179,10047637,'Applies The Prince Card when Activated.  Lasts for 10 minutes.',100,0,0),
(132180,10047637,'Increases STA, AGI, STR, WIS and INT of caster by 70.0',100,1,1),
(132181,141853,'When Equipped:',100,0,0),
(132182,141853,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132183,141853,'Increases WIS of caster by 23.1',100,2,2),
(132184,141853,'Increases Ordination, Focus and Ministration of caster by 13.1',100,2,3),
(132185,141853,'Cannot be modified except by direct means',100,2,4),
(132186,10141853,'When Equipped:',100,0,0),
(132187,10141853,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132188,10141853,'Increases WIS of caster by 23.1',100,2,2),
(132189,10141853,'Increases Ordination, Focus and Ministration of caster by 13.1',100,2,3),
(132190,10141853,'Cannot be modified except by direct means',100,2,4),
(132191,71347,'When Equipped:',100,0,0),
(132192,71347,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132193,71347,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(132194,71347,'Cannot be modified except by direct means',100,2,3),
(132195,10071347,'When Equipped:',100,0,0),
(132196,10071347,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132197,10071347,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(132198,10071347,'Cannot be modified except by direct means',100,2,3),
(132199,106432,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(132200,106432,'Inflicts 1152 - 1408 mental damage on target',100,2,1),
(132201,106432,'Grants a total of 3 triggers of the spell.',100,2,2),
(132202,10106432,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(132203,10106432,'Inflicts 1498 - 1831 mental damage on target',100,2,1),
(132204,10106432,'Grants a total of 3 triggers of the spell.',100,2,2),
(132205,115130,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(132206,115130,'Heals target for 520',100,2,1),
(132207,115130,'Heals target for 130 every 2 seconds',100,2,2),
(132208,115130,'Increases WIS of target by 51.5',100,2,3),
(132209,115130,'Grants a total of 1 trigger of the spell.',100,2,4),
(132210,10115130,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(132211,10115130,'Heals target for 338',100,2,1),
(132212,10115130,'Heals target for 84 every 2 seconds',100,2,2),
(132213,10115130,'Increases WIS of target by 51.5',100,2,3),
(132214,10115130,'Grants a total of 1 trigger of the spell.',100,2,4),
(132215,46301,'Applies Simple Tools when Equipped.',100,0,0),
(132216,46301,'Increases success chance by 1.0%',100,1,1),
(132217,10046301,'Applies Simple Tools when Equipped.',100,0,0),
(132218,10046301,'Increases success chance by 1.0%',100,1,1),
(132219,169325,'When Equipped:',100,0,0),
(132220,169325,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(132221,10169325,'When Equipped:',100,0,0),
(132222,10169325,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(132223,122284,'Decreases Threat to targets in Area of Effect by 3,367 ',100,1,0),
(132224,122284,'Makes targets in Area of Effect afraid',100,1,1),
(132225,122284,'If Target is not Epic',100,2,2),
(132226,122284,'30% chance to dispel when target takes damage',100,1,3),
(132227,10122284,'Applies Distract.',100,1,0),
(132228,10122284,'Forces target to clear their selected target.',100,2,1),
(132229,10122284,'Makes targets in Area of Effect afraid',100,1,2),
(132230,10122284,'If Target is not Epic',100,2,3),
(132231,10122284,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(132232,10122284,'30% chance to dispel when target takes damage',100,1,5),
(132233,87253,'When Equipped:',100,0,0),
(132234,87253,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132235,87253,'Inflicts 263 - 395 magic damage on target',100,2,2),
(132236,87253,'Cannot be modified except by direct means',100,2,3),
(132237,10087253,'When Equipped:',100,0,0),
(132238,10087253,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132239,10087253,'Inflicts 342 - 513 magic damage on target',100,2,2),
(132240,10087253,'Cannot be modified except by direct means',100,2,3),
(132241,85532,'When Equipped:',100,0,0),
(132242,85532,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(132243,85532,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(132244,85532,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(132245,85532,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(132246,85532,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(132247,85532,'Must not be engaged in pvp combat',100,2,6),
(132248,85532,'Cannot be modified except by direct means',100,2,7),
(132249,85532,'Cannot be modified except by direct means',100,1,8),
(132250,85532,'When Equipped:',100,0,9),
(132251,85532,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,10),
(132252,85532,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(132253,85532,'Inflicts 2369 - 2618 poison damage on target',100,2,12),
(132254,85532,'Heals caster for 1185 - 1309',100,2,13),
(132255,85532,'Decreases Slashing, Piercing, Crushing and Ranged of target by 22.0',100,2,14),
(132256,85532,'Decreases Mitigation of target vs physical damage by 528',100,2,15),
(132257,85532,'Must not be engaged in pvp combat',100,2,16),
(132258,85532,'Cannot be modified except by direct means',100,2,17),
(132259,85532,'Cannot be modified except by direct means',100,1,18),
(132260,10085532,'When Equipped:',100,0,0),
(132261,10085532,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(132262,10085532,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(132263,10085532,'Inflicts 1030 - 1139 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(132264,10085532,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(132265,10085532,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(132266,10085532,'Must not be engaged in pvp combat',100,2,6),
(132267,10085532,'Cannot be modified except by direct means',100,2,7),
(132268,10085532,'Cannot be modified except by direct means',100,1,8),
(132269,10085532,'When Equipped:',100,0,9),
(132270,10085532,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,10),
(132271,10085532,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(132272,10085532,'Inflicts 3080 - 3404 poison damage on target',100,2,12),
(132273,10085532,'Heals caster for 1386 - 1532',100,2,13),
(132274,10085532,'Decreases Slashing, Piercing, Crushing and Ranged of target by 22.0',100,2,14),
(132275,10085532,'Decreases Mitigation of target vs physical damage by 528',100,2,15),
(132276,10085532,'Must not be engaged in pvp combat',100,2,16),
(132277,10085532,'Cannot be modified except by direct means',100,2,17),
(132278,10085532,'Cannot be modified except by direct means',100,1,18),
(132279,118817,'Wards group members (AE) against 135 points of physical damage',100,1,0),
(132280,118817,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,1),
(132281,10118817,'Wards group members (AE) against 135 points of physical damage',100,1,0),
(132282,10118817,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,1),
(132283,46015,'Applies an illuminated experience when Activated.',100,0,0),
(132284,10046015,'Applies an illuminated experience when Activated.',100,0,0),
(132285,105638,'Inflicts 127 disease damage on target instantly and every 6 seconds',100,1,0),
(132286,105638,'Inflicts 293 - 488 disease damage on target',100,1,1),
(132287,105638,'Inflicts 293 - 488 disease damage on target',100,1,2),
(132288,10105638,'Inflicts 165 disease damage on target instantly and every 6 seconds',100,1,0),
(132289,10105638,'Inflicts 381 - 635 disease damage on target',100,1,1),
(132290,10105638,'Inflicts 381 - 635 disease damage on target',100,1,2),
(132291,153781,'When Equipped:',100,0,0),
(132292,153781,'When damaged this spell has a 10% chance to cast Arcane Resolution IX on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(132293,153781,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 5076',100,2,2),
(132294,153781,'Must not be engaged in pvp combat',100,2,3),
(132295,153781,'Cannot be modified except by direct means',100,2,4),
(132296,153781,'Must not be engaged in pvp combat',100,1,5),
(132297,10153781,'When Equipped:',100,0,0),
(132298,10153781,'When damaged this spell has a 10% chance to cast Arcane Resolution IX on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(132299,10153781,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 5076',100,2,2),
(132300,10153781,'Must not be engaged in pvp combat',100,2,3),
(132301,10153781,'Cannot be modified except by direct means',100,2,4),
(132302,10153781,'Must not be engaged in pvp combat',100,1,5),
(132303,113680,'Stuns target',100,1,0),
(132304,113680,'If Target is not Epic',100,2,1),
(132305,113680,'Inflicts 360 - 600 heat damage on target',100,1,2),
(132306,113680,'Resistibility increases against targets higher than level 45.',100,1,3),
(132307,10113680,'Stuns target',100,1,0),
(132308,10113680,'If Target is not Epic',100,2,1),
(132309,10113680,'Inflicts 468 - 780 heat damage on target',100,1,2),
(132310,10113680,'Resistibility increases against targets higher than level 45.',100,1,3),
(132311,159039,'Applies Sanguine Imbued when Equipped.',100,0,0),
(132312,159039,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(132313,159039,'Inflicts 185 heat damage on target',100,2,2),
(132314,159039,'Cannot be modified except by direct means',100,2,3),
(132315,10159039,'Applies Sanguine Imbued when Equipped.',100,0,0),
(132316,10159039,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(132317,10159039,'Inflicts 241 heat damage on target',100,2,2),
(132318,10159039,'Cannot be modified except by direct means',100,2,3),
(132319,143139,'When Equipped:',100,0,0),
(132320,143139,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(132321,143139,'Wards caster against 150 points of all damage',100,2,2),
(132322,143139,'Cannot be modified except by direct means',100,2,3),
(132323,10143139,'When Equipped:',100,0,0),
(132324,10143139,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(132325,10143139,'Wards caster against 150 points of all damage',100,2,2),
(132326,10143139,'Cannot be modified except by direct means',100,2,3),
(132327,74954,'When Equipped:',100,0,0),
(132328,74954,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132329,74954,'Inflicts 208 - 311 magic damage on target',100,2,2),
(132330,74954,'Cannot be modified except by direct means',100,2,3),
(132331,10074954,'When Equipped:',100,0,0),
(132332,10074954,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132333,10074954,'Inflicts 270 - 405 magic damage on target',100,2,2),
(132334,10074954,'Cannot be modified except by direct means',100,2,3),
(132335,82741,'When Equipped:',100,0,0),
(132336,82741,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(132337,82741,'Inflicts 164 - 305 magic damage on target',100,2,2),
(132338,82741,'Decreases Threat to target by 487 ',100,2,3),
(132339,82741,'Must be flanking or behind',100,3,4),
(132340,82741,'Increases Threat to target by 487 ',100,2,5),
(132341,82741,'Must be in front of',100,3,6),
(132342,82741,'Cannot be modified except by direct means',100,2,7),
(132343,10082741,'When Equipped:',100,0,0),
(132344,10082741,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(132345,10082741,'Inflicts 213 - 396 magic damage on target',100,2,2),
(132346,10082741,'Cannot be modified except by direct means',100,2,3),
(132347,45024,'Applies Create Medal when Activated.',100,0,0),
(132348,45024,'Summon 1 Insignia of Commendation',100,1,1),
(132349,10045024,'Applies Create Medal when Activated.',100,0,0),
(132350,10045024,'Summon 1 Insignia of Commendation',100,1,1),
(132351,108937,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(132352,108937,'Inflicts 57 heat damage on target',100,2,1),
(132353,10108937,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(132354,10108937,'Inflicts 73 heat damage on target',100,2,1),
(132355,111323,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(132356,111323,'Inflicts 209 - 256 mental damage on target',100,2,1),
(132357,111323,'Grants a total of 3 triggers of the spell.',100,2,2),
(132358,10111323,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(132359,10111323,'Inflicts 272 - 332 mental damage on target',100,2,1),
(132360,10111323,'Grants a total of 3 triggers of the spell.',100,2,2),
(132361,26141,'When Equipped:',100,0,0),
(132362,26141,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(132363,26141,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,2),
(132364,10026141,'When Equipped:',100,0,0),
(132365,10026141,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(132366,10026141,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,2),
(132367,109443,'Inflicts 321 - 392 cold damage on target instantly and every 4 seconds',100,1,0),
(132368,109443,'Decreases Mitigation of target vs elemental damage by 1040',100,1,1),
(132369,10109443,'Inflicts 417 - 510 cold damage on target instantly and every 4 seconds',100,1,0),
(132370,10109443,'Decreases Mitigation of target vs elemental damage by 1040',100,1,1),
(132371,102498,'Inflicts 900 - 1500 crushing damage on target',100,1,0),
(132372,102498,'Prevents target from changing direction while active.',100,1,1),
(132373,102498,'If Target is not Epic',100,2,2),
(132374,102498,'Roots target',100,1,3),
(132375,102498,'If Target is not Epic',100,2,4),
(132376,102498,'Resistibility increases against targets higher than level 93.',100,1,5),
(132377,10102498,'Inflicts 1170 - 1951 crushing damage on target',100,1,0),
(132378,10102498,'Prevents target from changing direction while active.',100,1,1),
(132379,10102498,'If Target is not Epic',100,2,2),
(132380,10102498,'Roots target',100,1,3),
(132381,10102498,'If Target is not Epic',100,2,4),
(132382,10102498,'Resistibility increases against targets higher than level 93.',100,1,5),
(132383,157425,'Applies Draconic Energy when Activated.  Lasts for 20.0 seconds.',100,0,0),
(132384,157425,'Increases power of caster by 55 every 4 seconds',100,1,1),
(132385,157425,'The casting time of Draconic Energy is 2.0 seconds and the reuse time of the spell is 13 minutes 20 seconds',100,1,2),
(132386,10157425,'Applies Draconic Energy when Activated.  Lasts for 20.0 seconds.',100,0,0),
(132387,10157425,'Increases power of caster by 55 every 4 seconds',100,1,1),
(132388,10157425,'The casting time of Draconic Energy is 2.0 seconds and the reuse time of the spell is 13 minutes 20 seconds',100,1,2),
(132389,101983,'Inflicts 1914 - 3555 heat damage on target',100,1,0),
(132390,10101983,'Inflicts 2489 - 4622 heat damage on target',100,1,0),
(132391,27342,'When Equipped:',100,0,0),
(132392,27342,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(132393,27342,'Decreases Threat to target encounter by 172 ',100,2,2),
(132394,27342,'Cannot be modified except by direct means',100,2,3),
(132395,10027342,'When Equipped:',100,0,0),
(132396,10027342,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(132397,10027342,'Cannot be modified except by direct means',100,2,2),
(132398,50728,'When Equipped:',100,0,0),
(132399,50728,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(132400,10050728,'When Equipped:',100,0,0),
(132401,10050728,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(132402,115018,'Heals target for 44 - 54',100,1,0),
(132403,10115018,'Heals target for 61 - 75',100,1,0),
(132404,46370,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(132405,46370,'Launches a firework when used.',100,1,1),
(132406,10046370,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(132407,10046370,'Launches a firework when used.',100,1,1),
(132408,80523,'When Equipped:',100,0,0),
(132409,80523,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(132410,80523,'Inflicts 493 - 915 magic damage on target',100,2,2),
(132411,80523,'Decreases Threat to target by 1,219 ',100,2,3),
(132412,80523,'Must be flanking or behind',100,3,4),
(132413,80523,'Increases Threat to target by 1,219 ',100,2,5),
(132414,80523,'Must be in front of',100,3,6),
(132415,80523,'Cannot be modified except by direct means',100,2,7),
(132416,10080523,'When Equipped:',100,0,0),
(132417,10080523,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(132418,10080523,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(132419,10080523,'Cannot be modified except by direct means',100,2,3),
(132420,105079,'Inflicts 117 - 158 magic damage on target',100,1,0),
(132421,10105079,'Inflicts 152 - 206 magic damage on target',100,1,0),
(132422,143735,'When Equipped:',100,0,0),
(132423,143735,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132424,143735,'Inflicts 1192 magic damage on target',100,2,2),
(132425,143735,'Cannot be modified except by direct means',100,2,3),
(132426,10143735,'When Equipped:',100,0,0),
(132427,10143735,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132428,10143735,'Inflicts 775 magic damage on target',100,2,2),
(132429,10143735,'Cannot be modified except by direct means',100,2,3),
(132430,47852,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(132431,47852,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(132432,47852,'Requires 15 Health to cast.',100,1,2),
(132433,10047852,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(132434,10047852,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(132435,10047852,'Requires 15 Health to cast.',100,1,2),
(132436,110063,'Summons a pet grim sorcerer',100,1,0),
(132437,10110063,'Summons a pet grim sorcerer',100,1,0),
(132438,87094,'Applies Fire Ball when Activated.',100,0,0),
(132439,87094,'Inflicts 563 - 939 heat damage on target',100,1,1),
(132440,87094,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(132441,10087094,'Applies Fire Ball when Activated.',100,0,0),
(132442,10087094,'Inflicts 732 - 1220 heat damage on target',100,1,1),
(132443,10087094,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(132444,74749,'When Equipped:',100,0,0),
(132445,74749,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132446,74749,'Inflicts 97 - 145 magic damage on target',100,2,2),
(132447,74749,'Cannot be modified except by direct means',100,2,3),
(132448,10074749,'When Equipped:',100,0,0),
(132449,10074749,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132450,10074749,'Inflicts 126 - 189 magic damage on target',100,2,2),
(132451,10074749,'Cannot be modified except by direct means',100,2,3),
(132452,118640,'Inflicts 163 - 490 crushing damage on target',100,1,0),
(132453,10118640,'Inflicts 212 - 637 crushing damage on target',100,1,0),
(132454,74974,'When Equipped:',100,0,0),
(132455,74974,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132456,74974,'Inflicts 94 - 141 magic damage on target',100,2,2),
(132457,74974,'Cannot be modified except by direct means',100,2,3),
(132458,10074974,'When Equipped:',100,0,0),
(132459,10074974,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132460,10074974,'Inflicts 122 - 183 magic damage on target',100,2,2),
(132461,10074974,'Cannot be modified except by direct means',100,2,3),
(132462,115212,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(132463,115212,'Decreases Mitigation of target vs noxious damage by 588',100,2,1),
(132464,115212,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(132465,115212,'Decreases Mitigation of target vs noxious damage by 588',100,2,3),
(132466,10115212,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(132467,10115212,'Decreases Mitigation of target vs noxious damage by 588',100,2,1),
(132468,10115212,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(132469,10115212,'Decreases Mitigation of target vs noxious damage by 588',100,2,3),
(132470,118636,'Inflicts 102 - 306 crushing damage on target',100,1,0),
(132471,10118636,'Inflicts 132 - 398 crushing damage on target',100,1,0),
(132472,175113,'When Equipped:',100,0,0),
(132473,175113,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(132474,175113,'Wards target against 3200 points of all damage',100,2,2),
(132475,175113,'Cannot be modified except by direct means',100,2,3),
(132476,10175113,'When Equipped:',100,0,0),
(132477,10175113,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(132478,10175113,'Wards target against 3200 points of all damage',100,2,2),
(132479,10175113,'Cannot be modified except by direct means',100,2,3),
(132480,113044,'Decreases Damage Per Second of target by 33.5',100,1,0),
(132481,10113044,'Decreases Damage Per Second of target by 33.5',100,1,0),
(132482,71694,'When Equipped:',100,0,0),
(132483,71694,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132484,71694,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(132485,71694,'Cannot be modified except by direct means',100,2,3),
(132486,10071694,'When Equipped:',100,0,0),
(132487,10071694,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132488,10071694,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(132489,10071694,'Cannot be modified except by direct means',100,2,3),
(132490,45872,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(132491,45872,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(132492,45872,'Requires 15 Health to cast.',100,1,2),
(132493,10045872,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(132494,10045872,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(132495,10045872,'Requires 15 Health to cast.',100,1,2),
(132496,108145,'Inflicts 220 - 367 melee damage on target',100,1,0),
(132497,108145,'You must be sneaking to use this ability.',100,1,1),
(132498,108145,'Must be flanking or behind',100,1,2),
(132499,10108145,'Inflicts 189 - 315 melee damage on target',100,1,0),
(132500,10108145,'You must be sneaking to use this ability.',100,1,1),
(132501,10108145,'Must be flanking or behind',100,1,2),
(132502,163342,'When Equipped:',100,0,0),
(132503,163342,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(132504,163342,'Inflicts 1390 mental damage on target',100,2,2),
(132505,163342,'Increases Threat to target by 4,000 ',100,2,3),
(132506,163342,'Cannot be modified except by direct means',100,2,4),
(132507,163342,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(132508,163342,'Inflicts 1390 mental damage on target',100,2,6),
(132509,163342,'Increases Threat to target by 4,000 ',100,2,7),
(132510,163342,'Cannot be modified except by direct means',100,2,8),
(132511,10163342,'When Equipped:',100,0,0),
(132512,10163342,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(132513,10163342,'Inflicts 1807 mental damage on target',100,2,2),
(132514,10163342,'Cannot be modified except by direct means',100,2,3),
(132515,10163342,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(132516,10163342,'Inflicts 1807 mental damage on target',100,2,5),
(132517,10163342,'Cannot be modified except by direct means',100,2,6),
(132518,160632,'When Equipped:',100,0,0),
(132519,160632,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(132520,10160632,'When Equipped:',100,0,0),
(132521,10160632,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(132522,118020,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(132523,118020,'Stuns target',100,2,1),
(132524,118020,'If Target is not Epic',100,3,2),
(132525,118020,'Inflicts 80 - 134 divine damage on target',100,2,3),
(132526,118020,'Grants a total of 3 triggers of the spell.',100,2,4),
(132527,10118020,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(132528,10118020,'Stuns target',100,2,1),
(132529,10118020,'If Target is not Epic',100,3,2),
(132530,10118020,'Inflicts 104 - 174 divine damage on target',100,2,3),
(132531,10118020,'Grants a total of 3 triggers of the spell.',100,2,4),
(132532,104432,'Interrupts target encounter',100,1,0),
(132533,104432,'Applies Stumble on termination.',100,1,1),
(132534,104432,'Interrupts target',100,2,2),
(132535,104432,'Inflicts 30 - 37 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(132536,10104432,'Interrupts target encounter',100,1,0),
(132537,10104432,'Applies Stumble on termination.',100,1,1),
(132538,10104432,'Interrupts target',100,2,2),
(132539,10104432,'Inflicts 39 - 48 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(132540,122229,'Increases Damage Per Second of target by 24.8',100,1,0),
(132541,122229,'Increases Max Health of target by 836.5',100,1,1),
(132542,10122229,'Increases Damage Per Second of target by 24.8',100,1,0),
(132543,10122229,'Increases Max Health of target by 836.5',100,1,1),
(132544,120869,'Wards target against 156 points of all damage',100,1,0),
(132545,10120869,'Wards target against 156 points of all damage',100,1,0),
(132546,109518,'Inflicts 234 - 286 disease damage on target instantly and every 4 seconds',100,1,0),
(132547,109518,'Decreases Attack Speed of target by 9.9',100,1,1),
(132548,10109518,'Inflicts 304 - 372 disease damage on target instantly and every 4 seconds',100,1,0),
(132549,10109518,'Decreases Attack Speed of target by 9.9',100,1,1),
(132550,116686,'Heals group members (AE) for 10.8 - 13.2% of max health',100,1,0),
(132551,116686,'This effect cannot be critically applied.',100,2,1),
(132552,116686,'Increases Max Health of group members (AE) by 562.5',100,1,2),
(132553,116686,'The healing of this spell cannot be modified except by direct means',100,1,3),
(132554,10116686,'Heals group members (AE) for 3.4 - 4.2% of max health',100,1,0),
(132555,10116686,'This effect cannot be critically applied.',100,2,1),
(132556,10116686,'Increases Max Health of group members (AE) by 562.5',100,1,2),
(132557,10116686,'The healing of this spell cannot be modified except by direct means',100,1,3),
(132558,119884,'Increases INT and AGI of group members (AE) by 64.1',100,1,0),
(132559,119884,'Adds 1.9% to base avoidance.',100,1,1),
(132560,10119884,'Increases INT and AGI of group members (AE) by 64.1',100,1,0),
(132561,10119884,'Adds 1.9% to base avoidance.',100,1,1),
(132562,108195,'Increases power of caster by 22 instantly and every 4 seconds',100,1,0),
(132563,10108195,'Increases power of caster by 22 instantly and every 4 seconds',100,1,0),
(132564,24744,'Adds Vampire-Greater (Ranger) to your Dungeon Maker toolbox',100,0,0),
(132565,10024744,'Adds Vampire-Greater (Ranger) to your Dungeon Maker toolbox',100,0,0),
(132566,109405,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(132567,109405,'Inflicts 232 - 283 cold damage on target',100,2,1),
(132568,109405,'Slows target by 51.1%',100,2,2),
(132569,109405,'5% chance to dispel when target receives hostile action',100,2,3),
(132570,109405,'5% chance to dispel when target takes damage',100,2,4),
(132571,10109405,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(132572,10109405,'Inflicts 302 - 369 cold damage on target',100,2,1),
(132573,10109405,'Slows target by 51.1%',100,2,2),
(132574,10109405,'5% chance to dispel when target receives hostile action',100,2,3),
(132575,10109405,'5% chance to dispel when target takes damage',100,2,4),
(132576,121126,'Summons a limited pet to aid the caster',100,1,0),
(132577,10121126,'Summons a limited pet to aid the caster',100,1,0),
(132578,182101,'When Equipped:',100,0,0),
(132579,182101,'On a damage spell hit this spell may cast Arcane Stun VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(132580,182101,'Stuns target',100,2,2),
(132581,182101,'Does not affect Epic targets',100,2,3),
(132582,182101,'Resistibility increases against targets higher than level 99.',100,2,4),
(132583,182101,'Cannot be modified except by direct means',100,2,5),
(132584,10182101,'When Equipped:',100,0,0),
(132585,10182101,'On a damage spell hit this spell may cast Arcane Stun VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(132586,10182101,'Stuns target',100,2,2),
(132587,10182101,'Does not affect Epic targets',100,2,3),
(132588,10182101,'Resistibility increases against targets higher than level 99.',100,2,4),
(132589,10182101,'Cannot be modified except by direct means',100,2,5),
(132590,112265,'Applies Inquisition.',100,1,0),
(132591,112265,'Heals targets in Area of Effect for 151 - 185',100,2,1),
(132592,112265,'If Target is between 10 and 20 meters away',100,3,2),
(132593,112265,'Heals targets in Area of Effect for 605 - 739',100,2,3),
(132594,112265,'If Target is closer than 5 meters',100,3,4),
(132595,112265,'Heals targets in Area of Effect for 302 - 370',100,2,5),
(132596,112265,'If Target is between 5 and 10 meters away',100,3,6),
(132597,35658,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(132598,46637,'Applies Call Highland Gryphon when Activated.',100,0,0),
(132599,46637,'Summons a mount to ride',100,1,1),
(132600,46637,'Increases your ground speed by 75%',100,2,2),
(132601,46637,'Increases your air speed by 150%',100,2,3),
(132602,10046637,'Applies Call Highland Gryphon when Activated.',100,0,0),
(132603,10046637,'Summons a mount to ride',100,1,1),
(132604,10046637,'Increases your ground speed by 75%',100,2,2),
(132605,10046637,'Increases your air speed by 150%',100,2,3),
(132606,46745,'Applies Incoherent Babble when Activated.  Lasts for 15.0 seconds.',100,0,0),
(132607,46745,'Mesmerizes target',100,1,1),
(132608,46745,'Dispelled when target takes damage',100,1,2),
(132609,46745,'Only affects targets level 74 and below',100,1,3),
(132610,46745,'Does not affect Epic targets',100,1,4),
(132611,46745,'Resistibility increases against targets higher than level 99.',100,1,5),
(132612,10046745,'Applies Incoherent Babble when Activated.  Lasts for 15.0 seconds.',100,0,0),
(132613,10046745,'Mesmerizes target',100,1,1),
(132614,10046745,'Dispelled when target takes damage',100,1,2),
(132615,10046745,'Only affects targets level 74 and below',100,1,3),
(132616,10046745,'Does not affect Epic targets',100,1,4),
(132617,10046745,'Resistibility increases against targets higher than level 99.',100,1,5),
(132618,24192,'Adds Crushbone: History Archive to your Dungeon Maker toolbox',100,0,0),
(132619,10024192,'Adds Crushbone: History Archive to your Dungeon Maker toolbox',100,0,0),
(132620,111694,'Inflicts 400 - 489 cold damage on target',100,1,0),
(132621,111694,'Inflicts 400 - 489 cold damage on target',100,1,1),
(132622,111694,'If target is elemental',100,2,2),
(132623,10111694,'Inflicts 446 - 545 cold damage on target',100,1,0),
(132624,35027,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(132625,35027,'This effect suspends during combat',100,0,1),
(132626,110891,'Inflicts 605 - 739 heat damage on target encounter',100,1,0),
(132627,10110891,'Inflicts 787 - 961 heat damage on target encounter',100,1,0),
(132628,113345,'Inflicts 452 - 552 divine damage on target encounter',100,1,0),
(132629,113345,'Interrupts target encounter',100,1,1),
(132630,10113345,'Inflicts 587 - 718 divine damage on target encounter',100,1,0),
(132631,10113345,'Interrupts target encounter',100,1,1),
(132632,111948,'Inflicts 49 - 60 disease damage on target',100,1,0),
(132633,111948,'Decreases Mitigation of target vs noxious damage by 131',100,1,1),
(132634,10111948,'Inflicts 81 - 100 disease damage on target',100,1,0),
(132635,10111948,'Decreases Mitigation of target vs noxious damage by 131',100,1,1),
(132636,119840,'Dazes target',100,1,0),
(132637,119840,'Does not affect Epic targets',100,1,1),
(132638,119840,'Resistibility increases against targets higher than level 78.',100,1,2),
(132639,10119840,'Dazes target',100,1,0),
(132640,10119840,'Does not affect Epic targets',100,1,1),
(132641,10119840,'Resistibility increases against targets higher than level 78.',100,1,2),
(132642,111455,'Decreases Attack Speed of caster by 16.9',100,1,0),
(132643,111455,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(132644,111455,'Roots target',100,2,2),
(132645,111455,'5% chance to dispel when target takes damage',100,2,3),
(132646,111455,'5% chance to dispel when target receives hostile action',100,2,4),
(132647,111455,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(132648,111455,'Increases Mitigation of caster vs physical damage by 966',100,1,6),
(132649,10111455,'Decreases Attack Speed of caster by 16.9',100,1,0),
(132650,10111455,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(132651,10111455,'Roots target',100,2,2),
(132652,10111455,'5% chance to dispel when target takes damage',100,2,3),
(132653,10111455,'5% chance to dispel when target receives hostile action',100,2,4),
(132654,10111455,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(132655,10111455,'Increases Mitigation of caster vs physical damage by 966',100,1,6),
(132656,50897,'When Equipped:',100,0,0),
(132657,50897,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(132658,50897,'Wards caster against 300 points of all damage',100,2,2),
(132659,50897,'Cannot be modified except by direct means',100,2,3),
(132660,10050897,'When Equipped:',100,0,0),
(132661,10050897,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(132662,10050897,'Wards caster against 300 points of all damage',100,2,2),
(132663,10050897,'Cannot be modified except by direct means',100,2,3),
(132664,120537,'Decreases Defense of target by 16.2',100,1,0),
(132665,10120537,'Decreases Defense of target by 16.2',100,1,0),
(132666,100520,'Increases Attack Speed of group members (AE) by 23.3',100,1,0),
(132667,10100520,'Increases Attack Speed of group members (AE) by 23.3',100,1,0),
(132668,45707,'Applies Pyzin''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(132669,45707,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(132670,10045707,'Applies Pyzin''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(132671,10045707,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(132672,35845,'Increases STA of target by 1.5',100,0,0),
(132673,35845,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(132674,113594,'Summons a limited pet to aid the caster',100,1,0),
(132675,10113594,'Summons a limited pet to aid the caster',100,1,0),
(132676,113761,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(132677,113761,'Inflicts 379 piercing damage on target',100,2,1),
(132678,113761,'Grants a total of 60 triggers of the spell.',100,2,2),
(132679,10113761,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(132680,10113761,'Inflicts 493 piercing damage on target',100,2,1),
(132681,10113761,'Grants a total of 60 triggers of the spell.',100,2,2),
(132682,115034,'Heals target for 359 - 439',100,1,0),
(132683,10115034,'Heals target for 503 - 615',100,1,0),
(132684,100489,'Increases Attack Speed of group members (AE) by 13.0',100,1,0),
(132685,10100489,'Increases Attack Speed of group members (AE) by 13.0',100,1,0),
(132686,117783,'Inflicts 1454 - 2423 divine damage on target',100,1,0),
(132687,10117783,'Inflicts 1890 - 3150 divine damage on target',100,1,0),
(132688,112960,'Inflicts 188 - 566 crushing damage on target',100,1,0),
(132689,10112960,'Inflicts 245 - 736 crushing damage on target',100,1,0),
(132690,36839,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(132691,74830,'When Equipped:',100,0,0),
(132692,74830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132693,74830,'Inflicts 131 - 197 magic damage on target',100,2,2),
(132694,74830,'Cannot be modified except by direct means',100,2,3),
(132695,10074830,'When Equipped:',100,0,0),
(132696,10074830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132697,10074830,'Inflicts 171 - 256 magic damage on target',100,2,2),
(132698,10074830,'Cannot be modified except by direct means',100,2,3),
(132699,108285,'Summons a limited pet to aid the caster',100,1,0),
(132700,10108285,'Summons a limited pet to aid the caster',100,1,0),
(132701,24203,'Adds Crushbone: Open Torture Instrument to your Dungeon Maker toolbox',100,0,0),
(132702,10024203,'Adds Crushbone: Open Torture Instrument to your Dungeon Maker toolbox',100,0,0),
(132703,105893,'Inflicts 293 - 488 ranged damage on target',100,1,0),
(132704,105893,'Inflicts 293 - 488 ranged damage on target',100,1,1),
(132705,105893,'If weapon equipped in Ranged',100,1,2),
(132706,10105893,'Inflicts 249 - 415 ranged damage on target',100,1,0),
(132707,10105893,'Inflicts 249 - 415 ranged damage on target',100,1,1),
(132708,10105893,'If weapon equipped in Ranged',100,1,2),
(132709,124705,'Heals group members (AE) for 198 - 243',100,1,0),
(132710,10124705,'Heals group members (AE) for 241 - 294',100,1,0),
(132711,133464,'When Equipped:',100,0,0),
(132712,133464,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(132713,133464,'Heals group members (AE) for 2304',100,2,2),
(132714,133464,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(132715,133464,'Must not be engaged in pvp combat',100,2,4),
(132716,133464,'Cannot be modified except by direct means',100,2,5),
(132717,133464,'Must not be engaged in pvp combat',100,1,6),
(132718,10133464,'When Equipped:',100,0,0),
(132719,10133464,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(132720,10133464,'Heals group members (AE) for 2695',100,2,2),
(132721,10133464,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(132722,10133464,'Must not be engaged in pvp combat',100,2,4),
(132723,10133464,'Cannot be modified except by direct means',100,2,5),
(132724,10133464,'Must not be engaged in pvp combat',100,1,6),
(132725,88019,'When Equipped:',100,0,0),
(132726,88019,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132727,88019,'Inflicts 284 heat damage on target',100,2,2),
(132728,88019,'Heals caster for 216',100,2,3),
(132729,88019,'Cannot be modified except by direct means',100,2,4),
(132730,10088019,'When Equipped:',100,0,0),
(132731,10088019,'On a combat hit this spell may cast Absolve Vitae on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132732,10088019,'Inflicts 369 heat damage on target',100,2,2),
(132733,10088019,'Heals caster for 140',100,2,3),
(132734,10088019,'Cannot be modified except by direct means',100,2,4),
(132735,101466,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(132736,101466,'Increases Mitigation of group members (AE) vs arcane damage by 160',100,1,1),
(132737,10101466,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(132738,10101466,'Increases Mitigation of group members (AE) vs arcane damage by 160',100,1,1),
(132739,84004,'Applies Lightning Shock when Activated.',100,0,0),
(132740,84004,'Inflicts 189 - 316 magic damage on target',100,1,1),
(132741,84004,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(132742,10084004,'Applies Lightning Shock when Activated.',100,0,0),
(132743,10084004,'Inflicts 246 - 410 magic damage on target',100,1,1),
(132744,10084004,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(132745,80793,'When Equipped:',100,0,0),
(132746,80793,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132747,80793,'Inflicts 296 - 551 magic damage on target',100,2,2),
(132748,80793,'Cannot be modified except by direct means',100,2,3),
(132749,10080793,'When Equipped:',100,0,0),
(132750,10080793,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132751,10080793,'Inflicts 385 - 716 magic damage on target',100,2,2),
(132752,10080793,'Cannot be modified except by direct means',100,2,3),
(132753,144656,'When Equipped:',100,0,0),
(132754,144656,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132755,144656,'Inflicts 2648 heat damage on target',100,2,2),
(132756,144656,'Cannot be modified except by direct means',100,2,3),
(132757,10144656,'When Equipped:',100,0,0),
(132758,10144656,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132759,10144656,'Inflicts 1721 heat damage on target',100,2,2),
(132760,10144656,'Cannot be modified except by direct means',100,2,3),
(132761,153790,'When Equipped:',100,0,0),
(132762,153790,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle IX on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(132763,153790,'Heals caster for 1968 - 2406',100,2,2),
(132764,153790,'Increases Mitigation of caster vs physical damage by 1034',100,2,3),
(132765,153790,'Must not be engaged in pvp combat',100,2,4),
(132766,153790,'Cannot be modified except by direct means',100,2,5),
(132767,153790,'Must not be engaged in pvp combat',100,1,6),
(132768,10153790,'When Equipped:',100,0,0),
(132769,10153790,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle IX on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(132770,10153790,'Heals caster for 2303 - 2815',100,2,2),
(132771,10153790,'Increases Mitigation of caster vs physical damage by 1034',100,2,3),
(132772,10153790,'Must not be engaged in pvp combat',100,2,4),
(132773,10153790,'Cannot be modified except by direct means',100,2,5),
(132774,10153790,'Must not be engaged in pvp combat',100,1,6),
(132775,110116,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(132776,110116,'Inflicts 56 disease damage on target',100,2,1),
(132777,110116,'Heals caster for 30',100,2,2),
(132778,110116,'Decreases INT of target by 165.0',100,1,3),
(132779,110116,'Decreases Attack Speed of target by 25.0',100,1,4),
(132780,110116,'Increases Max Health of target by 11.0%',100,1,5),
(132781,110116,'Increases Hate Gain of target by 46.0%',100,1,6),
(132782,110116,'Increases Aggression of target by 13.8',100,1,7),
(132783,110116,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(132784,110116,'Increases Threat to target encounter by 146 - 178 ',100,2,9),
(132785,110116,'Increases Mitigation of target vs elemental, noxious and arcane damage by 880',100,1,10),
(132786,10110116,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(132787,10110116,'Inflicts 72 disease damage on target',100,2,1),
(132788,10110116,'Heals caster for 19',100,2,2),
(132789,10110116,'Decreases INT of target by 165.0',100,1,3),
(132790,10110116,'Decreases Attack Speed of target by 25.0',100,1,4),
(132791,10110116,'Increases Max Health of target by 11.0%',100,1,5),
(132792,10110116,'Increases Aggression of target by 13.8',100,1,6),
(132793,10110116,'Increases Mitigation of target vs elemental, noxious and arcane damage by 880',100,1,7),
(132794,108439,'Increases INT, AGI, STR and WIS of group members (AE) by 79.2',100,1,0),
(132795,108439,'Adds 2.0% to base avoidance.',100,1,1),
(132796,108439,'Increases Ability Reuse Speed of group members (AE) by 7.2%',100,1,2),
(132797,108439,'Increases Attack Speed of group members (AE) by 49.2',100,1,3),
(132798,108439,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 232',100,1,4),
(132799,10108439,'Increases INT, AGI, STR and WIS of group members (AE) by 79.2',100,1,0),
(132800,10108439,'Adds 2.0% to base avoidance.',100,1,1),
(132801,10108439,'Increases Ability Reuse Speed of group members (AE) by 7.2%',100,1,2),
(132802,10108439,'Increases Attack Speed of group members (AE) by 49.2',100,1,3),
(132803,10108439,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 232',100,1,4),
(132804,139338,'When Equipped:',100,0,0),
(132805,139338,'On a hit this spell may cast Gavel of Justice on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132806,139338,'Stuns target',100,2,2),
(132807,139338,'Does not affect Epic targets',100,2,3),
(132808,139338,'Cannot be modified except by direct means',100,2,4),
(132809,139338,'On a hostile spell cast this spell may cast Gavel of Justice on target of spell.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(132810,139338,'Stuns target',100,2,6),
(132811,139338,'Does not affect Epic targets',100,2,7),
(132812,139338,'Cannot be modified except by direct means',100,2,8),
(132813,10139338,'When Equipped:',100,0,0),
(132814,10139338,'On a hit this spell may cast Gavel of Justice on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(132815,10139338,'Stuns target',100,2,2),
(132816,10139338,'Does not affect Epic targets',100,2,3),
(132817,10139338,'Cannot be modified except by direct means',100,2,4),
(132818,10139338,'On a hostile spell cast this spell may cast Gavel of Justice on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(132819,10139338,'Stuns target',100,2,6),
(132820,10139338,'Does not affect Epic targets',100,2,7),
(132821,10139338,'Cannot be modified except by direct means',100,2,8),
(132822,115995,'Inflicts 767 - 1151 mental damage on target',100,1,0),
(132823,115995,'Stuns target',100,1,1),
(132824,115995,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(132825,115995,'Resistibility increases against targets higher than level 118.',100,1,3),
(132826,10115995,'Stuns target',100,1,0),
(132827,10115995,'Inflicts 997 - 1496 mental damage on target',100,1,1),
(132828,10115995,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(132829,10115995,'Resistibility increases against targets higher than level 118.',100,1,3),
(132830,35062,'Increases STA of target by 1.5',100,0,0),
(132831,35062,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(132832,35913,'Increases Max Power of target by 3.3',100,0,0),
(132833,35913,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(132834,87494,'When Equipped:',100,0,0),
(132835,87494,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132836,87494,'Inflicts 107 - 161 magic damage on target',100,2,2),
(132837,87494,'Cannot be modified except by direct means',100,2,3),
(132838,10087494,'When Equipped:',100,0,0),
(132839,10087494,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132840,10087494,'Inflicts 140 - 210 magic damage on target',100,2,2),
(132841,10087494,'Cannot be modified except by direct means',100,2,3),
(132842,87338,'When Equipped:',100,0,0),
(132843,87338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132844,87338,'Inflicts 150 - 225 magic damage on target',100,2,2),
(132845,87338,'Cannot be modified except by direct means',100,2,3),
(132846,10087338,'When Equipped:',100,0,0),
(132847,10087338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132848,10087338,'Inflicts 195 - 292 magic damage on target',100,2,2),
(132849,10087338,'Cannot be modified except by direct means',100,2,3),
(132850,48941,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(132851,48941,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(132852,48941,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(132853,48941,'Cannot be modified except by direct means',100,2,3),
(132854,48941,'Grants a total of 80 triggers of the spell.',100,2,4),
(132855,10048941,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(132856,10048941,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(132857,10048941,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(132858,10048941,'Cannot be modified except by direct means',100,2,3),
(132859,10048941,'Grants a total of 80 triggers of the spell.',100,2,4),
(132860,105800,'Inflicts 705 - 862 heat damage on target',100,1,0),
(132861,10105800,'Inflicts 1222 - 1494 heat damage on target',100,1,0),
(132862,108578,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(132863,108578,'Heals group members (AE) for 44 - 54 instantly and every 3 seconds',100,2,1),
(132864,108578,'Increases STR, WIS, INT and AGI of group members (AE) by 17.8',100,2,2),
(132865,108578,'Increases STA of group members (AE) by 35.7',100,2,3),
(132866,108578,'Adds 1.0% to base avoidance.',100,2,4),
(132867,108578,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 46',100,2,5),
(132868,10108578,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(132869,10108578,'Heals group members (AE) for 29 - 35 instantly and every 3 seconds',100,2,1),
(132870,10108578,'Increases STR, WIS, INT and AGI of group members (AE) by 17.8',100,2,2),
(132871,10108578,'Increases STA of group members (AE) by 35.7',100,2,3),
(132872,10108578,'Adds 1.0% to base avoidance.',100,2,4),
(132873,10108578,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 46',100,2,5),
(132874,155306,'When Equipped:',100,0,0),
(132875,155306,'When damaged with a melee weapon this spell has a 7% chance to cast Dreadnaught''s Respite on target''s attacker.  ',100,1,1),
(132876,155306,'Inflicts 595 crushing damage on target',100,2,2),
(132877,155306,'Cannot be modified except by direct means',100,2,3),
(132878,10155306,'When Equipped:',100,0,0),
(132879,10155306,'When damaged with a melee weapon this spell has a 7% chance to cast Dreadnaught''s Respite on target''s attacker.  ',100,1,1),
(132880,10155306,'Inflicts 774 crushing damage on target',100,2,2),
(132881,10155306,'Cannot be modified except by direct means',100,2,3),
(132882,109861,'Increases Defense of group members (AE) by 10.6',100,1,0),
(132883,10109861,'Increases Defense of group members (AE) by 10.6',100,1,0),
(132884,124742,'Inflicts 11 - 19 slashing damage on target',100,1,0),
(132885,124742,'Decreases Damage Per Second of target by 6.3',100,1,1),
(132886,124742,'Inflicts 16 slashing damage on target instantly and every 4 seconds',100,1,2),
(132887,10124742,'Inflicts 15 - 25 slashing damage on target',100,1,0),
(132888,10124742,'Decreases Damage Per Second of target by 6.3',100,1,1),
(132889,10124742,'Inflicts 20 slashing damage on target instantly and every 4 seconds',100,1,2),
(132890,135123,'When Equipped:',100,0,0),
(132891,135123,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132892,135123,'Inflicts 1986 piercing damage on target',100,2,2),
(132893,135123,'Cannot be modified except by direct means',100,2,3),
(132894,10135123,'When Equipped:',100,0,0),
(132895,10135123,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(132896,10135123,'Inflicts 1291 piercing damage on target',100,2,2),
(132897,10135123,'Cannot be modified except by direct means',100,2,3),
(132898,109026,'Increases Attack Speed of caster by 14.6',100,1,0),
(132899,109026,'Decreases Defense of caster by 1.8',100,1,1),
(132900,109026,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.2',100,1,2),
(132901,10109026,'Increases Attack Speed of caster by 14.6',100,1,0),
(132902,10109026,'Decreases Defense of caster by 1.8',100,1,1),
(132903,10109026,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.2',100,1,2),
(132904,114463,'Inflicts 467 - 779 heat damage on target',100,1,0),
(132905,10114463,'Inflicts 607 - 1012 heat damage on target',100,1,0),
(132906,116715,'Inflicts 304 - 508 melee damage on target',100,1,0),
(132907,10116715,'Inflicts 396 - 660 melee damage on target',100,1,0),
(132908,81672,'When Equipped:',100,0,0),
(132909,81672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132910,81672,'Inflicts 167 - 311 magic damage on target',100,2,2),
(132911,81672,'Cannot be modified except by direct means',100,2,3),
(132912,10081672,'When Equipped:',100,0,0),
(132913,10081672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132914,10081672,'Inflicts 217 - 404 magic damage on target',100,2,2),
(132915,10081672,'Cannot be modified except by direct means',100,2,3),
(132916,48925,'Applies Translucent Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(132917,48925,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(132918,48925,'Inflicts 486 poison damage on target instantly and every 6 seconds',100,2,2),
(132919,48925,'Cannot be modified except by direct means',100,2,3),
(132920,48925,'Grants a total of 4 triggers of the spell.',100,2,4),
(132921,48925,'Only affects targets level 50 and above',100,1,5),
(132922,10048925,'Applies Translucent Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(132923,10048925,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(132924,10048925,'Inflicts 474 poison damage on target instantly and every 6 seconds',100,2,2),
(132925,10048925,'Cannot be modified except by direct means',100,2,3),
(132926,10048925,'Grants a total of 4 triggers of the spell.',100,2,4),
(132927,10048925,'Only affects targets level 50 and above',100,1,5),
(132928,81211,'When Equipped:',100,0,0),
(132929,81211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132930,81211,'Inflicts 315 - 585 magic damage on target',100,2,2),
(132931,81211,'Cannot be modified except by direct means',100,2,3),
(132932,10081211,'When Equipped:',100,0,0),
(132933,10081211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(132934,10081211,'Inflicts 409 - 760 magic damage on target',100,2,2),
(132935,10081211,'Cannot be modified except by direct means',100,2,3),
(132936,100398,'Summons a pet aery hunter',100,1,0),
(132937,10100398,'Summons a pet aery hunter',100,1,0),
(132938,100032,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(132939,100032,'Inflicts 300 - 500 melee damage on targets in area',100,2,1),
(132940,100032,'Decreases Defense of caster by 19.2',100,1,2),
(132941,100032,'Increases Slashing, Piercing and Crushing of caster by 46.1',100,1,3),
(132942,10100032,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(132943,10100032,'Inflicts 390 - 650 melee damage on targets in area',100,2,1),
(132944,10100032,'Decreases Defense of caster by 19.2',100,1,2),
(132945,10100032,'Increases Slashing, Piercing and Crushing of caster by 46.1',100,1,3),
(132946,177734,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(132947,177734,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(132948,177734,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(132949,177734,'Cannot be modified except by direct means',100,2,3),
(132950,10177734,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(132951,10177734,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(132952,10177734,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(132953,10177734,'Cannot be modified except by direct means',100,2,3),
(132954,84035,'Applies Lightning Shock when Activated.',100,0,0),
(132955,84035,'Inflicts 264 - 440 magic damage on target',100,1,1),
(132956,84035,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(132957,10084035,'Applies Lightning Shock when Activated.',100,0,0),
(132958,10084035,'Inflicts 343 - 572 magic damage on target',100,1,1),
(132959,10084035,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(132960,113849,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(132961,113849,'Increases power of caster by 137',100,2,1),
(132962,113849,'Grants a total of 3 triggers of the spell.',100,2,2),
(132963,10113849,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(132964,10113849,'Increases power of caster by 137',100,2,1),
(132965,10113849,'Grants a total of 3 triggers of the spell.',100,2,2),
(132966,112882,'Inflicts 280 - 342 melee damage on target',100,1,0),
(132967,112882,'Decreases Mitigation of target vs physical damage by 231',100,1,1),
(132968,112882,'Must be flanking or behind',100,1,2),
(132969,10112882,'Inflicts 364 - 445 melee damage on target',100,1,0),
(132970,10112882,'Decreases Mitigation of target vs physical damage by 231',100,1,1),
(132971,10112882,'Must be flanking or behind',100,1,2),
(132972,109874,'Increases Defense of group members (AE) by 28.8',100,1,0),
(132973,10109874,'Increases Defense of group members (AE) by 28.8',100,1,0),
(132974,110766,'Heals group members (AE) for 149 - 182 instantly and every 2 seconds',100,1,0),
(132975,10110766,'Heals group members (AE) for 97 - 119 instantly and every 2 seconds',100,1,0),
(132976,119703,'Increases Threat to target encounter by 675 - 825 ',100,1,0),
(132977,10119703,'Prevents target encounter from changing targets',100,1,0),
(132978,10119703,'Forces target encounter to change their selected target to caster.',100,1,1),
(132979,111728,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(132980,111728,'Inflicts 254 - 310 cold damage on target',100,2,1),
(132981,111728,'Grants a total of 3 triggers of the spell.',100,2,2),
(132982,10111728,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(132983,10111728,'Inflicts 330 - 404 cold damage on target',100,2,1),
(132984,10111728,'Grants a total of 3 triggers of the spell.',100,2,2),
(132985,52847,'Applies Sanguine Imbued when Equipped.',100,0,0),
(132986,52847,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(132987,52847,'Inflicts 236 heat damage on target',100,2,2),
(132988,52847,'Cannot be modified except by direct means',100,2,3),
(132989,10052847,'Applies Sanguine Imbued when Equipped.',100,0,0),
(132990,10052847,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(132991,10052847,'Inflicts 306 heat damage on target',100,2,2),
(132992,10052847,'Cannot be modified except by direct means',100,2,3),
(132993,109067,'Inflicts 65 - 109 melee damage on target',100,1,0),
(132994,109067,'Inflicts 65 - 109 melee damage on target',100,1,1),
(132995,109067,'Inflicts 65 - 109 melee damage on target',100,1,2),
(132996,109067,'Decreases Mitigation of target vs physical damage by 200',100,1,3),
(132997,10109067,'Inflicts 85 - 142 melee damage on target',100,1,0),
(132998,10109067,'Inflicts 85 - 142 melee damage on target',100,1,1),
(132999,10109067,'Inflicts 85 - 142 melee damage on target',100,1,2),
(133000,10109067,'Decreases Mitigation of target vs physical damage by 200',100,1,3),
(133001,48524,'Applies Thinning Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(133002,48524,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(133003,48524,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(133004,48524,'Inflicts 160 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(133005,48524,'Grants a total of 2 triggers of the spell.',100,3,4),
(133006,48524,'Cannot be modified except by direct means',100,2,5),
(133007,48524,'Grants a total of 4 triggers of the spell.',100,2,6),
(133008,48524,'Only affects targets level 50 and above',100,1,7),
(133009,10048524,'Applies Thinning Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(133010,10048524,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(133011,10048524,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(133012,10048524,'Inflicts 208 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(133013,10048524,'Grants a total of 2 triggers of the spell.',100,3,4),
(133014,10048524,'Cannot be modified except by direct means',100,2,5),
(133015,10048524,'Grants a total of 4 triggers of the spell.',100,2,6),
(133016,10048524,'Only affects targets level 50 and above',100,1,7),
(133017,102188,'Increases Mitigation of group members (AE) vs physical damage by 512',100,1,0),
(133018,10102188,'Increases Mitigation of group members (AE) vs physical damage by 512',100,1,0),
(133019,105023,'Increases WIS of raid and group members (AE) by 28.4',100,1,0),
(133020,105023,'Increases heal amounts of raid members by 5%.',100,1,1),
(133021,105023,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 106',100,1,2),
(133022,10105023,'Increases WIS of raid and group members (AE) by 28.4',100,1,0),
(133023,10105023,'Increases heal amounts of raid members by 5%.',100,1,1),
(133024,10105023,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 106',100,1,2),
(133025,124497,'Heals group members (AE) for 881 - 1077',100,1,0),
(133026,10124497,'Heals group members (AE) for 1031 - 1260',100,1,0),
(133027,83862,'When Equipped:',100,0,0),
(133028,83862,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(133029,83862,'Inflicts 80 - 134 divine damage on target',100,2,2),
(133030,83862,'Inflicts 80 - 134 piercing damage on target',100,2,3),
(133031,83862,'Inflicts 80 - 134 magic damage on target',100,2,4),
(133032,83862,'Must not be engaged in pvp combat',100,2,5),
(133033,83862,'Cannot be modified except by direct means',100,2,6),
(133034,83862,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(133035,83862,'Inflicts 80 - 134 divine damage on target',100,2,8),
(133036,83862,'Inflicts 80 - 134 piercing damage on target',100,2,9),
(133037,83862,'Inflicts 80 - 134 magic damage on target',100,2,10),
(133038,83862,'Must not be engaged in pvp combat',100,2,11),
(133039,83862,'Cannot be modified except by direct means',100,2,12),
(133040,83862,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(133041,83862,'Inflicts 80 - 134 divine damage on target',100,2,14),
(133042,83862,'Inflicts 80 - 134 piercing damage on target',100,2,15),
(133043,83862,'Inflicts 80 - 134 magic damage on target',100,2,16),
(133044,83862,'Must not be engaged in pvp combat',100,2,17),
(133045,83862,'Cannot be modified except by direct means',100,2,18),
(133046,83862,'Must not be engaged in pvp combat',100,1,19),
(133047,10083862,'When Equipped:',100,0,0),
(133048,10083862,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(133049,10083862,'Inflicts 104 - 174 divine damage on target',100,2,2),
(133050,10083862,'Inflicts 104 - 174 piercing damage on target',100,2,3),
(133051,10083862,'Inflicts 104 - 174 magic damage on target',100,2,4),
(133052,10083862,'Must not be engaged in pvp combat',100,2,5),
(133053,10083862,'Cannot be modified except by direct means',100,2,6),
(133054,10083862,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(133055,10083862,'Inflicts 104 - 174 divine damage on target',100,2,8),
(133056,10083862,'Inflicts 104 - 174 piercing damage on target',100,2,9),
(133057,10083862,'Inflicts 104 - 174 magic damage on target',100,2,10),
(133058,10083862,'Must not be engaged in pvp combat',100,2,11),
(133059,10083862,'Cannot be modified except by direct means',100,2,12),
(133060,10083862,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(133061,10083862,'Inflicts 104 - 174 divine damage on target',100,2,14),
(133062,10083862,'Inflicts 104 - 174 piercing damage on target',100,2,15),
(133063,10083862,'Inflicts 104 - 174 magic damage on target',100,2,16),
(133064,10083862,'Must not be engaged in pvp combat',100,2,17),
(133065,10083862,'Cannot be modified except by direct means',100,2,18),
(133066,10083862,'Must not be engaged in pvp combat',100,1,19),
(133067,88208,'When Equipped:',100,0,0),
(133068,88208,'On a combat hit this spell may cast Baffle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133069,88208,'Decreases Threat to target by 389 - 649 ',100,2,2),
(133070,88208,'Cannot be modified except by direct means',100,2,3),
(133071,10088208,'When Equipped:',100,0,0),
(133072,10088208,'On a combat hit this spell may cast Baffle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133073,10088208,'Cannot be modified except by direct means',100,2,2),
(133074,81962,'When Equipped:',100,0,0),
(133075,81962,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133076,81962,'Inflicts 408 - 757 magic damage on target',100,2,2),
(133077,81962,'Cannot be modified except by direct means',100,2,3),
(133078,10081962,'When Equipped:',100,0,0),
(133079,10081962,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133080,10081962,'Inflicts 530 - 984 magic damage on target',100,2,2),
(133081,10081962,'Cannot be modified except by direct means',100,2,3),
(133082,154703,'When Equipped:',100,0,0),
(133083,154703,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(133084,154703,'Heals caster for 16',100,2,2),
(133085,154703,'Cannot be modified except by direct means',100,2,3),
(133086,10154703,'When Equipped:',100,0,0),
(133087,10154703,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(133088,10154703,'Heals caster for 11',100,2,2),
(133089,10154703,'Cannot be modified except by direct means',100,2,3),
(133090,26482,'When Equipped:',100,0,0),
(133091,26482,'On a critical combat hit this spell may cast Profane Madness on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(133092,26482,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(133093,26482,'Increases Potency of caster by 8.0%',100,2,3),
(133094,26482,'Increases Damage Per Second of caster by 40.0',100,2,4),
(133095,26482,'Increases Attack Speed of caster by 40.0',100,2,5),
(133096,26482,'Must not be engaged in pvp combat',100,2,6),
(133097,26482,'Cannot be modified except by direct means',100,2,7),
(133098,26482,'This effect will not stack with itself if adorned on multiple items.',100,1,8),
(133099,26482,'On a critical spell hit this spell may cast Profane Madness on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(133100,26482,'Increases Ability Reuse Speed of caster by 5.0%',100,2,10),
(133101,26482,'Increases Potency of caster by 8.0%',100,2,11),
(133102,26482,'Increases Damage Per Second of caster by 40.0',100,2,12),
(133103,26482,'Increases Attack Speed of caster by 40.0',100,2,13),
(133104,26482,'Must not be engaged in pvp combat',100,2,14),
(133105,26482,'Cannot be modified except by direct means',100,2,15),
(133106,26482,'Must not be engaged in pvp combat',100,1,16),
(133107,10026482,'When Equipped:',100,0,0),
(133108,10026482,'On a critical combat hit this spell may cast Profane Madness on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(133109,10026482,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(133110,10026482,'Increases Potency of caster by 8.0%',100,2,3),
(133111,10026482,'Increases Damage Per Second of caster by 40.0',100,2,4),
(133112,10026482,'Increases Attack Speed of caster by 40.0',100,2,5),
(133113,10026482,'Must not be engaged in pvp combat',100,2,6),
(133114,10026482,'Cannot be modified except by direct means',100,2,7),
(133115,10026482,'This effect will not stack with itself if adorned on multiple items.',100,1,8),
(133116,10026482,'On a critical spell hit this spell may cast Profane Madness on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(133117,10026482,'Increases Ability Reuse Speed of caster by 5.0%',100,2,10),
(133118,10026482,'Increases Potency of caster by 8.0%',100,2,11),
(133119,10026482,'Increases Damage Per Second of caster by 40.0',100,2,12),
(133120,10026482,'Increases Attack Speed of caster by 40.0',100,2,13),
(133121,10026482,'Must not be engaged in pvp combat',100,2,14),
(133122,10026482,'Cannot be modified except by direct means',100,2,15),
(133123,10026482,'Must not be engaged in pvp combat',100,1,16),
(133124,26633,'When Equipped:',100,0,0),
(133125,26633,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133126,26633,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(133127,10026633,'When Equipped:',100,0,0),
(133128,10026633,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133129,10026633,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(133130,109620,'Increases Defense of group members'' pets (AE) by 17.9',100,1,0),
(133131,109620,'Increases Mitigation of group members (AE) vs all damage by 286',100,1,1),
(133132,10109620,'Increases Defense of group members'' pets (AE) by 17.9',100,1,0),
(133133,10109620,'Increases Mitigation of group members (AE) vs all damage by 286',100,1,1),
(133134,46317,'Applies Confetti firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(133135,46317,'Launches a firework when used.',100,1,1),
(133136,10046317,'Applies Confetti firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(133137,10046317,'Launches a firework when used.',100,1,1),
(133138,37481,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(133139,141889,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(133140,141889,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(133141,141889,'Inflicts 19 heat damage on target',100,2,2),
(133142,141889,'Cannot be modified except by direct means',100,2,3),
(133143,10141889,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(133144,10141889,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(133145,10141889,'Inflicts 25 heat damage on target',100,2,2),
(133146,10141889,'Cannot be modified except by direct means',100,2,3),
(133147,114545,'Heals target for 458 - 560',100,1,0),
(133148,10114545,'Heals target for 596 - 728',100,1,0),
(133149,136985,'When Equipped:',100,0,0),
(133150,136985,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(133151,136985,'Reduces physical damage done to caster by 5%',100,2,2),
(133152,136985,'Inflicts 567 - 693 disease damage on target',100,2,3),
(133153,136985,'Increases Threat to target by 2,349 - 2,871 ',100,2,4),
(133154,136985,'Must be in front of',100,3,5),
(133155,136985,'Increases Ability Casting Speed of caster by 10.0%',100,2,6),
(133156,136985,'Increases caster''s chance to block by 10.0%',100,2,7),
(133157,136985,'Cannot be modified except by direct means',100,2,8),
(133158,136985,'Cannot be modified except by direct means',100,1,9),
(133159,10136985,'When Equipped:',100,0,0),
(133160,10136985,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(133161,10136985,'Reduces physical damage done to caster by 5%',100,2,2),
(133162,10136985,'Inflicts 737 - 901 disease damage on target',100,2,3),
(133163,10136985,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(133164,10136985,'Increases caster''s chance to block by 10.0%',100,2,5),
(133165,10136985,'Cannot be modified except by direct means',100,2,6),
(133166,10136985,'Cannot be modified except by direct means',100,1,7),
(133167,140056,'When Equipped:',100,0,0),
(133168,140056,'On any combat or spell hit this spell may cast Deadly Combination on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(133169,140056,'Caster will have their chance to hit with a weapon increased by 3.0%',100,2,2),
(133170,140056,'Inflicts 1324 poison damage on target',100,2,3),
(133171,140056,'Cannot be modified except by direct means',100,2,4),
(133172,10140056,'When Equipped:',100,0,0),
(133173,10140056,'On any combat or spell hit this spell may cast Deadly Combination on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(133174,10140056,'Inflicts 1463 poison damage on target',100,2,2),
(133175,10140056,'Caster will have their chance to hit with a weapon increased by 3.0%',100,2,3),
(133176,10140056,'Cannot be modified except by direct means',100,2,4),
(133177,45745,'Applies Clouded Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(133178,45745,'Only affects targets level 50 and above',100,1,1),
(133179,10045745,'Applies Clouded Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(133180,10045745,'Only affects targets level 50 and above',100,1,1),
(133181,103171,'Throws target back',100,1,0),
(133182,103171,'If Target is not Epic',100,2,1),
(133183,103171,'Inflicts 188 - 564 crushing damage on target',100,1,2),
(133184,103171,'Stuns target',100,1,3),
(133185,103171,'If Target is not Epic',100,2,4),
(133186,103171,'Resistibility increases against targets higher than level 98.',100,1,5),
(133187,10103171,'Throws target back',100,1,0),
(133188,10103171,'If Target is not Epic',100,2,1),
(133189,10103171,'Inflicts 244 - 733 crushing damage on target',100,1,2),
(133190,10103171,'Stuns target',100,1,3),
(133191,10103171,'If Target is not Epic',100,2,4),
(133192,10103171,'Resistibility increases against targets higher than level 98.',100,1,5),
(133193,80813,'When Equipped:',100,0,0),
(133194,80813,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133195,80813,'Inflicts 259 - 481 magic damage on target',100,2,2),
(133196,80813,'Cannot be modified except by direct means',100,2,3),
(133197,10080813,'When Equipped:',100,0,0),
(133198,10080813,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133199,10080813,'Inflicts 337 - 625 magic damage on target',100,2,2),
(133200,10080813,'Cannot be modified except by direct means',100,2,3),
(133201,107257,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(133202,107257,'Summons a limited pet to aid the caster',100,2,1),
(133203,107257,'If profession other than Illusionist',100,1,2),
(133204,107257,'Must be engaged in combat',100,1,3),
(133205,10107257,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(133206,10107257,'Summons a limited pet to aid the caster',100,2,1),
(133207,10107257,'If profession other than Illusionist',100,1,2),
(133208,10107257,'Must be engaged in combat',100,1,3),
(133209,111836,'Inflicts 399 - 665 melee damage on target',100,1,0),
(133210,111836,'Roots target',100,1,1),
(133211,111836,'If Target is not Epic',100,2,2),
(133212,111836,'Resistibility increases against targets higher than level 84.',100,1,3),
(133213,10111836,'Inflicts 468 - 780 melee damage on target',100,1,0),
(133214,10111836,'Roots target',100,1,1),
(133215,10111836,'If Target is not Epic',100,2,2),
(133216,10111836,'Resistibility increases against targets higher than level 84.',100,1,3),
(133217,118672,'Inflicts 286 - 477 slashing damage on target',100,1,0),
(133218,10118672,'Inflicts 372 - 620 slashing damage on target',100,1,0),
(133219,81631,'When Equipped:',100,0,0),
(133220,81631,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(133221,81631,'Inflicts 167 - 311 magic damage on target',100,2,2),
(133222,81631,'Decreases Threat to target by 376 ',100,2,3),
(133223,81631,'Must be flanking or behind',100,3,4),
(133224,81631,'Increases Threat to target by 376 ',100,2,5),
(133225,81631,'Must be in front of',100,3,6),
(133226,81631,'Cannot be modified except by direct means',100,2,7),
(133227,10081631,'When Equipped:',100,0,0),
(133228,10081631,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(133229,10081631,'Inflicts 217 - 404 magic damage on target',100,2,2),
(133230,10081631,'Cannot be modified except by direct means',100,2,3),
(133231,118377,'Inflicts 282 - 471 melee damage on target',100,1,0),
(133232,118377,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(133233,118377,'Stuns target',100,2,2),
(133234,118377,'Throws target back',100,2,3),
(133235,118377,'Blurs vision of target',100,2,4),
(133236,118377,'Does not affect Epic targets',100,2,5),
(133237,10118377,'Inflicts 367 - 613 melee damage on target',100,1,0),
(133238,10118377,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(133239,10118377,'Stuns target',100,2,2),
(133240,10118377,'Throws target back',100,2,3),
(133241,10118377,'Blurs vision of target',100,2,4),
(133242,10118377,'Does not affect Epic targets',100,2,5),
(133243,26894,'When Equipped:',100,0,0),
(133244,26894,'Increases all cold damage by up to 45.',100,1,1),
(133245,10026894,'When Equipped:',100,0,0),
(133246,10026894,'Increases all cold damage by up to 45.',100,1,1),
(133247,120706,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 12.8',100,1,0),
(133248,10120706,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 12.8',100,1,0),
(133249,25745,'When Equipped:',100,0,0),
(133250,25745,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133251,25745,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(133252,10025745,'When Equipped:',100,0,0),
(133253,10025745,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133254,10025745,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(133255,84263,'Applies Mental Blast when Activated.',100,0,0),
(133256,84263,'Inflicts 264 - 440 mental damage on target',100,1,1),
(133257,84263,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133258,10084263,'Applies Mental Blast when Activated.',100,0,0),
(133259,10084263,'Inflicts 343 - 572 mental damage on target',100,1,1),
(133260,10084263,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133261,123318,'Increases STA of raid and group members (AE) by 30.7',100,1,0),
(133262,123318,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(133263,10123318,'Increases STA of raid and group members (AE) by 30.7',100,1,0),
(133264,10123318,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(133265,157917,'When Equipped:',100,0,0),
(133266,157917,'On any combat or spell hit this spell may cast Bludgeon on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(133267,157917,'When any damage is received this spell has a 5% chance to cast Bludgeon on target.  ',100,2,2),
(133268,157917,'Inflicts 522 mental damage on caster',100,3,3),
(133269,157917,'Cannot be modified except by direct means',100,3,4),
(133270,157917,'Cannot be modified except by direct means',100,2,5),
(133271,10157917,'When Equipped:',100,0,0),
(133272,10157917,'On any combat or spell hit this spell may cast Bludgeon on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(133273,10157917,'When any damage is received this spell has a 5% chance to cast Bludgeon on target.  ',100,2,2),
(133274,10157917,'Inflicts 679 mental damage on caster',100,3,3),
(133275,10157917,'Cannot be modified except by direct means',100,3,4),
(133276,10157917,'Cannot be modified except by direct means',100,2,5),
(133277,80173,'When Equipped:',100,0,0),
(133278,80173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133279,80173,'Inflicts 260 - 482 magic damage on target',100,2,2),
(133280,80173,'Cannot be modified except by direct means',100,2,3),
(133281,10080173,'When Equipped:',100,0,0),
(133282,10080173,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133283,10080173,'Inflicts 337 - 627 magic damage on target',100,2,2),
(133284,10080173,'Cannot be modified except by direct means',100,2,3),
(133285,81596,'When Equipped:',100,0,0),
(133286,81596,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133287,81596,'Inflicts 153 - 283 magic damage on target',100,2,2),
(133288,81596,'Cannot be modified except by direct means',100,2,3),
(133289,10081596,'When Equipped:',100,0,0),
(133290,10081596,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133291,10081596,'Inflicts 198 - 368 magic damage on target',100,2,2),
(133292,10081596,'Cannot be modified except by direct means',100,2,3),
(133293,107818,'Increases Threat to target encounter by 1,490 - 1,821 ',100,1,0),
(133294,10107818,'Prevents target encounter from changing targets',100,1,0),
(133295,10107818,'Forces target encounter to change their selected target to caster.',100,1,1),
(133296,124339,'Shapechanges caster into a wolf',100,1,0),
(133297,124339,'Grants See Invisibility to caster',100,1,1),
(133298,124339,'Increases Focus of caster by 33.3',100,1,2),
(133299,124339,'Increases Mitigation of caster vs physical damage by 379',100,1,3),
(133300,124339,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1371',100,1,4),
(133301,10124339,'Shapechanges caster into a wolf',100,1,0),
(133302,10124339,'Grants See Invisibility to caster',100,1,1),
(133303,10124339,'Increases Focus of caster by 33.3',100,1,2),
(133304,10124339,'Increases Mitigation of caster vs physical damage by 379',100,1,3),
(133305,10124339,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1371',100,1,4),
(133306,87534,'Applies Lightning Shock when Activated.',100,0,0),
(133307,87534,'Inflicts 363 - 605 magic damage on target',100,1,1),
(133308,87534,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133309,10087534,'Applies Lightning Shock when Activated.',100,0,0),
(133310,10087534,'Inflicts 472 - 787 magic damage on target',100,1,1),
(133311,10087534,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133312,75617,'Applies Holy Strike when Activated.',100,0,0),
(133313,75617,'Inflicts 563 - 939 divine damage on target',100,1,1),
(133314,75617,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133315,10075617,'Applies Holy Strike when Activated.',100,0,0),
(133316,10075617,'Inflicts 732 - 1220 divine damage on target',100,1,1),
(133317,10075617,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133318,122525,'Heals caster for 28',100,1,0),
(133319,122525,'Inflicts 65 - 109 melee damage on target',100,1,1),
(133320,10122525,'Heals caster for 18',100,1,0),
(133321,10122525,'Inflicts 85 - 142 melee damage on target',100,1,1),
(133322,117058,'Inflicts 144 - 240 melee damage on target',100,1,0),
(133323,117058,'Decreases Attack Speed of target by 13.6',100,1,1),
(133324,10117058,'Inflicts 187 - 312 melee damage on target',100,1,0),
(133325,10117058,'Decreases Attack Speed of target by 13.6',100,1,1),
(133326,137048,'When Equipped:',100,0,0),
(133327,137048,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(133328,137048,'Increases STA of caster by 30.4',100,2,2),
(133329,137048,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(133330,137048,'Cannot be modified except by direct means',100,2,4),
(133331,10137048,'When Equipped:',100,0,0),
(133332,10137048,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(133333,10137048,'Increases STA of caster by 30.4',100,2,2),
(133334,10137048,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(133335,10137048,'Cannot be modified except by direct means',100,2,4),
(133336,141873,'When Equipped:',100,0,0),
(133337,141873,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(133338,141873,'Increases STA of caster by 8.3',100,2,2),
(133339,141873,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(133340,141873,'Cannot be modified except by direct means',100,2,4),
(133341,10141873,'When Equipped:',100,0,0),
(133342,10141873,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(133343,10141873,'Increases STA of caster by 8.3',100,2,2),
(133344,10141873,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(133345,10141873,'Cannot be modified except by direct means',100,2,4),
(133346,147274,'When Equipped:',100,0,0),
(133347,147274,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(133348,147274,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(133349,147274,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(133350,147274,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(133351,147274,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(133352,147274,'Must not be engaged in pvp combat',100,2,6),
(133353,147274,'Cannot be modified except by direct means',100,2,7),
(133354,147274,'Must not be engaged in pvp combat',100,1,8),
(133355,10147274,'When Equipped:',100,0,0),
(133356,10147274,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(133357,10147274,'Inflicts 6580 - 7273 piercing damage on target encounter',100,2,2),
(133358,10147274,'Inflicts 823 - 909 piercing damage on target encounter every 2 seconds',100,2,3),
(133359,10147274,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(133360,10147274,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(133361,10147274,'Must not be engaged in pvp combat',100,2,6),
(133362,10147274,'Cannot be modified except by direct means',100,2,7),
(133363,10147274,'Must not be engaged in pvp combat',100,1,8),
(133364,36524,'Increases WIS of target by 0.4',100,0,0),
(133365,36524,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(133366,107553,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(133367,107553,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1495',100,1,1),
(133368,10107553,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(133369,10107553,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1495',100,1,1),
(133370,24387,'Adds Gelatinous Hero to your Dungeon Maker toolbox',100,0,0),
(133371,10024387,'Adds Gelatinous Hero to your Dungeon Maker toolbox',100,0,0),
(133372,159156,'Applies Sanguine Imbued when Equipped.',100,0,0),
(133373,159156,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(133374,159156,'Inflicts 352 heat damage on target',100,2,2),
(133375,159156,'Cannot be modified except by direct means',100,2,3),
(133376,10159156,'Applies Sanguine Imbued when Equipped.',100,0,0),
(133377,10159156,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(133378,10159156,'Inflicts 457 heat damage on target',100,2,2),
(133379,10159156,'Cannot be modified except by direct means',100,2,3),
(133380,120485,'Inflicts 32 - 54 melee damage on target',100,1,0),
(133381,120485,'Must be flanking or behind',100,1,1),
(133382,10120485,'Inflicts 42 - 71 melee damage on target',100,1,0),
(133383,10120485,'Must be flanking or behind',100,1,1),
(133384,72161,'When Equipped:',100,0,0),
(133385,72161,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133386,72161,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(133387,72161,'Cannot be modified except by direct means',100,2,3),
(133388,10072161,'When Equipped:',100,0,0),
(133389,10072161,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133390,10072161,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(133391,10072161,'Cannot be modified except by direct means',100,2,3),
(133392,164289,'When Equipped:',100,0,0),
(133393,164289,'Increases Attack Speed of caster by 7.0',100,1,1),
(133394,164289,'Increases Damage Per Second of caster by 7.0',100,1,2),
(133395,164289,'Increases in-combat movement speed of caster by 7.0%',100,1,3),
(133396,164289,'Must not be engaged in pvp combat',100,1,4),
(133397,10164289,'When Equipped:',100,0,0),
(133398,10164289,'Increases Attack Speed of caster by 7.0',100,1,1),
(133399,10164289,'Increases Damage Per Second of caster by 7.0',100,1,2),
(133400,10164289,'Increases in-combat movement speed of caster by 7.0%',100,1,3),
(133401,10164289,'Must not be engaged in pvp combat',100,1,4),
(133402,81020,'When Equipped:',100,0,0),
(133403,81020,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(133404,81020,'Inflicts 226 - 419 magic damage on target',100,2,2),
(133405,81020,'Decreases Threat to target by 517 ',100,2,3),
(133406,81020,'Must be flanking or behind',100,3,4),
(133407,81020,'Increases Threat to target by 517 ',100,2,5),
(133408,81020,'Must be in front of',100,3,6),
(133409,81020,'Cannot be modified except by direct means',100,2,7),
(133410,10081020,'When Equipped:',100,0,0),
(133411,10081020,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(133412,10081020,'Inflicts 293 - 545 magic damage on target',100,2,2),
(133413,10081020,'Cannot be modified except by direct means',100,2,3),
(133414,72350,'When Equipped:',100,0,0),
(133415,72350,'On a combat hit this spell may cast Boil Blood on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133416,72350,'Inflicts 57 - 70 heat damage on target',100,2,2),
(133417,72350,'Inflicts 19 - 23 heat damage on target every 4 seconds',100,2,3),
(133418,72350,'Cannot be modified except by direct means',100,2,4),
(133419,10072350,'When Equipped:',100,0,0),
(133420,10072350,'On a combat hit this spell may cast Boil Blood on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133421,10072350,'Inflicts 75 - 91 heat damage on target',100,2,2),
(133422,10072350,'Inflicts 25 - 30 heat damage on target every 4 seconds',100,2,3),
(133423,10072350,'Cannot be modified except by direct means',100,2,4),
(133424,111604,'Inflicts 45 - 83 cold damage on target instantly and every 4 seconds',100,1,0),
(133425,111604,'Decreases Mitigation of target vs elemental damage by 523',100,1,1),
(133426,10111604,'Inflicts 58 - 108 cold damage on target instantly and every 4 seconds',100,1,0),
(133427,10111604,'Decreases Mitigation of target vs elemental damage by 523',100,1,1),
(133428,71593,'When Equipped:',100,0,0),
(133429,71593,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133430,71593,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(133431,71593,'Cannot be modified except by direct means',100,2,3),
(133432,10071593,'When Equipped:',100,0,0),
(133433,10071593,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133434,10071593,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(133435,10071593,'Cannot be modified except by direct means',100,2,3),
(133436,102485,'Inflicts 303 - 505 crushing damage on target',100,1,0),
(133437,102485,'Prevents target from changing direction while active.',100,1,1),
(133438,102485,'If Target is not Epic',100,2,2),
(133439,102485,'Roots target',100,1,3),
(133440,102485,'If Target is not Epic',100,2,4),
(133441,102485,'Resistibility increases against targets higher than level 65.',100,1,5),
(133442,10102485,'Inflicts 394 - 657 crushing damage on target',100,1,0),
(133443,10102485,'Prevents target from changing direction while active.',100,1,1),
(133444,10102485,'If Target is not Epic',100,2,2),
(133445,10102485,'Roots target',100,1,3),
(133446,10102485,'If Target is not Epic',100,2,4),
(133447,10102485,'Resistibility increases against targets higher than level 65.',100,1,5),
(133448,159157,'Applies Lambent Imbued when Equipped.',100,0,0),
(133449,159157,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(133450,159157,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(133451,159157,'Cannot be modified except by direct means',100,2,3),
(133452,10159157,'Applies Lambent Imbued when Equipped.',100,0,0),
(133453,10159157,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(133454,10159157,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(133455,10159157,'Cannot be modified except by direct means',100,2,3),
(133456,139400,'When Equipped:',100,0,0),
(133457,139400,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(133458,10139400,'When Equipped:',100,0,0),
(133459,10139400,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(133460,113835,'Inflicts 365 - 609 disease damage on target',100,1,0),
(133461,10113835,'Inflicts 475 - 792 disease damage on target',100,1,0),
(133462,45651,'Applies Elixir of the Stoutheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(133463,45651,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(133464,45651,'Inflicts 6 magic damage on target',100,2,2),
(133465,45651,'Cannot be modified except by direct means',100,2,3),
(133466,10045651,'Applies Elixir of the Stoutheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(133467,10045651,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(133468,10045651,'Inflicts 8 magic damage on target',100,2,2),
(133469,10045651,'Cannot be modified except by direct means',100,2,3),
(133470,71491,'When Equipped:',100,0,0),
(133471,71491,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133472,71491,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(133473,71491,'Cannot be modified except by direct means',100,2,3),
(133474,10071491,'When Equipped:',100,0,0),
(133475,10071491,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133476,10071491,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(133477,10071491,'Cannot be modified except by direct means',100,2,3),
(133478,36886,'Increases STR of target by 1.5',100,0,0),
(133479,36886,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(133480,161035,'When Equipped:',100,0,0),
(133481,161035,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(133482,161035,'Inflicts 19 cold damage on target',100,2,2),
(133483,161035,'Cannot be modified except by direct means',100,2,3),
(133484,10161035,'When Equipped:',100,0,0),
(133485,10161035,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(133486,10161035,'Inflicts 25 cold damage on target',100,2,2),
(133487,10161035,'Cannot be modified except by direct means',100,2,3),
(133488,36416,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(133489,100599,'Inflicts 632 - 1053 melee damage on target',100,1,0),
(133490,100599,'You must be sneaking to use this ability.',100,1,1),
(133491,10100599,'Inflicts 981 - 1636 melee damage on target',100,1,0),
(133492,10100599,'You must be sneaking to use this ability.',100,1,1),
(133493,124806,'Increases STR of caster by 163.2',100,1,0),
(133494,124806,'Decreases Defense of caster by 22.2',100,1,1),
(133495,124806,'Increases Crushing, Piercing, Slashing and Disruption of caster by 46.6',100,1,2),
(133496,10124806,'Increases STR of caster by 163.2',100,1,0),
(133497,10124806,'Decreases Defense of caster by 22.2',100,1,1),
(133498,10124806,'Increases Crushing, Piercing, Slashing and Disruption of caster by 46.6',100,1,2),
(133499,108060,'Inflicts 902 magic damage on target',100,1,0),
(133500,108060,'Increases power of caster by 278',100,1,1),
(133501,10108060,'Inflicts 1172 magic damage on target',100,1,0),
(133502,10108060,'Increases power of caster by 278',100,1,1),
(133503,120559,'Decreases Defense of target by 48.6',100,1,0),
(133504,10120559,'Decreases Defense of target by 48.6',100,1,0),
(133505,102283,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(133506,102283,'Decreases Threat to target by 161 ',100,2,1),
(133507,10102283,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(133508,10102283,'Inflicts 16 - 17 crushing damage on target',100,2,1),
(133509,116422,'Inflicts 99 - 165 mental damage on target',100,1,0),
(133510,10116422,'Inflicts 129 - 214 mental damage on target',100,1,0),
(133511,164075,'When Equipped:',100,0,0),
(133512,164075,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133513,164075,'Increases power of caster by 152 instantly and every 4 seconds',100,2,2),
(133514,164075,'Cannot be modified except by direct means',100,2,3),
(133515,10164075,'When Equipped:',100,0,0),
(133516,10164075,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133517,10164075,'Increases power of caster by 152 instantly and every 4 seconds',100,2,2),
(133518,10164075,'Cannot be modified except by direct means',100,2,3),
(133519,74854,'When Equipped:',100,0,0),
(133520,74854,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133521,74854,'Inflicts 169 - 254 magic damage on target',100,2,2),
(133522,74854,'Cannot be modified except by direct means',100,2,3),
(133523,10074854,'When Equipped:',100,0,0),
(133524,10074854,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133525,10074854,'Inflicts 220 - 330 magic damage on target',100,2,2),
(133526,10074854,'Cannot be modified except by direct means',100,2,3),
(133527,47736,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(133528,47736,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(133529,47736,'Decreases power of target by 520',100,2,2),
(133530,47736,'Increases power of caster by 166',100,2,3),
(133531,47736,'Cannot be modified except by direct means',100,2,4),
(133532,47736,'Grants a total of 100 triggers of the spell.',100,2,5),
(133533,10047736,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(133534,10047736,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(133535,10047736,'Decreases power of target by 286',100,2,2),
(133536,10047736,'Increases power of caster by 150',100,2,3),
(133537,10047736,'Cannot be modified except by direct means',100,2,4),
(133538,10047736,'Grants a total of 100 triggers of the spell.',100,2,5),
(133539,140482,'When Equipped:',100,0,0),
(133540,140482,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(133541,10140482,'When Equipped:',100,0,0),
(133542,10140482,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(133543,105814,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(133544,105814,'Inflicts 84 - 140 disease damage on target',100,2,1),
(133545,10105814,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(133546,10105814,'Inflicts 109 - 182 disease damage on target',100,2,1),
(133547,103810,'Increases Ability Casting Speed of raid and group members (AE) by 2.9%',100,1,0),
(133548,103810,'Increases Attack Speed of raid and group members (AE) by 7.3',100,1,1),
(133549,10103810,'Increases Ability Casting Speed of raid and group members (AE) by 2.9%',100,1,0),
(133550,10103810,'Increases Attack Speed of raid and group members (AE) by 7.3',100,1,1),
(133551,74899,'When Equipped:',100,0,0),
(133552,74899,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133553,74899,'Inflicts 38 - 57 magic damage on target',100,2,2),
(133554,74899,'Cannot be modified except by direct means',100,2,3),
(133555,10074899,'When Equipped:',100,0,0),
(133556,10074899,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133557,10074899,'Inflicts 50 - 75 magic damage on target',100,2,2),
(133558,10074899,'Cannot be modified except by direct means',100,2,3),
(133559,102510,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(133560,102510,'Increases Aggression of caster by 2.7',100,1,1),
(133561,102510,'Increases Defense and Parry of caster by 5.4',100,1,2),
(133562,102510,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(133563,10102510,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(133564,10102510,'Increases Aggression of caster by 2.7',100,1,1),
(133565,10102510,'Increases Defense and Parry of caster by 5.4',100,1,2),
(133566,10102510,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(133567,111089,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(133568,111089,'Slows target by 66.1%',100,2,1),
(133569,111089,'5% chance to dispel when target receives hostile action',100,2,2),
(133570,111089,'5% chance to dispel when target takes damage',100,2,3),
(133571,111089,'Decreases Mitigation of target vs elemental damage by 2890',100,1,4),
(133572,10111089,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(133573,10111089,'Slows target by 66.1%',100,2,1),
(133574,10111089,'5% chance to dispel when target receives hostile action',100,2,2),
(133575,10111089,'5% chance to dispel when target takes damage',100,2,3),
(133576,10111089,'Decreases Mitigation of target vs elemental damage by 2890',100,1,4),
(133577,105559,'Inflicts 153 - 284 disease damage on target',100,1,0),
(133578,105559,'Inflicts 92 - 170 disease damage on target every 2 seconds',100,1,1),
(133579,10105559,'Inflicts 198 - 369 disease damage on target',100,1,0),
(133580,10105559,'Inflicts 119 - 221 disease damage on target every 2 seconds',100,1,1),
(133581,41537,'When Equipped:',100,0,0),
(133582,41537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133583,41537,'Inflicts 167 - 311 magic damage on target',100,2,2),
(133584,41537,'Cannot be modified except by direct means',100,2,3),
(133585,10041537,'When Equipped:',100,0,0),
(133586,10041537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133587,10041537,'Inflicts 217 - 404 magic damage on target',100,2,2),
(133588,10041537,'Cannot be modified except by direct means',100,2,3),
(133589,116640,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(133590,116640,'Increases Mitigation of group members (AE) vs arcane damage by 882',100,1,1),
(133591,10116640,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(133592,10116640,'Increases Mitigation of group members (AE) vs arcane damage by 882',100,1,1),
(133593,101918,'Inflicts 37 piercing damage on target instantly and every 4 seconds',100,1,0),
(133594,101918,'Inflicts 110 - 184 melee damage on target',100,1,1),
(133595,101918,'Must be behind',100,1,2),
(133596,10101918,'Inflicts 48 piercing damage on target instantly and every 4 seconds',100,1,0),
(133597,10101918,'Inflicts 143 - 239 melee damage on target',100,1,1),
(133598,10101918,'Must be behind',100,1,2),
(133599,113357,'Applies Stifle.  Lasts for 4.0 seconds.',100,1,0),
(133600,113357,'Stifles target',100,2,1),
(133601,113357,'Blurs vision of target',100,2,2),
(133602,113357,'Dispelled when target takes damage',100,2,3),
(133603,113357,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,4),
(133604,113357,'Resistibility increases against targets higher than level 34.',100,2,5),
(133605,113357,'Roots target',100,1,6),
(133606,113357,'5% chance to dispel when target takes damage',100,1,7),
(133607,113357,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,8),
(133608,113357,'Resistibility increases against targets higher than level 34.',100,1,9),
(133609,10113357,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(133610,10113357,'Stifles target',100,2,1),
(133611,10113357,'Blurs vision of target',100,2,2),
(133612,10113357,'Dispelled when target takes damage',100,2,3),
(133613,10113357,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(133614,10113357,'Resistibility increases against targets higher than level 34.',100,2,5),
(133615,10113357,'Roots target',100,1,6),
(133616,10113357,'5% chance to dispel when target takes damage',100,1,7),
(133617,10113357,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(133618,10113357,'Resistibility increases against targets higher than level 34.',100,1,9),
(133619,36341,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(133620,108847,'Inflicts 134 - 223 melee damage on target',100,1,0),
(133621,108847,'Inflicts 134 - 223 melee damage on target',100,1,1),
(133622,108847,'Inflicts 134 - 223 melee damage on target',100,1,2),
(133623,108847,'Inflicts 134 - 223 melee damage on target',100,1,3),
(133624,108847,'Inflicts 134 - 223 melee damage on target',100,1,4),
(133625,10108847,'Inflicts 174 - 290 melee damage on target',100,1,0),
(133626,10108847,'Inflicts 174 - 290 melee damage on target',100,1,1),
(133627,10108847,'Inflicts 174 - 290 melee damage on target',100,1,2),
(133628,10108847,'Inflicts 174 - 290 melee damage on target',100,1,3),
(133629,10108847,'Inflicts 174 - 290 melee damage on target',100,1,4),
(133630,110298,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(133631,110298,'Slows target by 47.3%',100,2,1),
(133632,110298,'5% chance to dispel when target receives hostile action',100,2,2),
(133633,110298,'5% chance to dispel when target takes damage',100,2,3),
(133634,110298,'Decreases Mitigation of target vs arcane damage by 1430',100,1,4),
(133635,10110298,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(133636,10110298,'Slows target by 47.3%',100,2,1),
(133637,10110298,'5% chance to dispel when target receives hostile action',100,2,2),
(133638,10110298,'5% chance to dispel when target takes damage',100,2,3),
(133639,10110298,'Decreases Mitigation of target vs arcane damage by 1430',100,1,4),
(133640,74573,'When Equipped:',100,0,0),
(133641,74573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133642,74573,'Inflicts 208 - 311 magic damage on target',100,2,2),
(133643,74573,'Cannot be modified except by direct means',100,2,3),
(133644,10074573,'When Equipped:',100,0,0),
(133645,10074573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133646,10074573,'Inflicts 270 - 405 magic damage on target',100,2,2),
(133647,10074573,'Cannot be modified except by direct means',100,2,3),
(133648,109371,'Inflicts 125 - 375 melee damage on target',100,1,0),
(133649,109371,'Inflicts 156 - 469 melee damage on target',100,1,1),
(133650,109371,'Inflicts 187 - 562 melee damage on target',100,1,2),
(133651,10109371,'Inflicts 162 - 487 melee damage on target',100,1,0),
(133652,10109371,'Inflicts 203 - 609 melee damage on target',100,1,1),
(133653,10109371,'Inflicts 243 - 731 melee damage on target',100,1,2),
(133654,106717,'Heals target for 1242 - 1517',100,1,0),
(133655,10106717,'Heals target for 1460 - 1784',100,1,0),
(133656,105553,'Inflicts 97 - 181 disease damage on target',100,1,0),
(133657,105553,'Inflicts 58 - 108 disease damage on target every 2 seconds',100,1,1),
(133658,10105553,'Inflicts 127 - 235 disease damage on target',100,1,0),
(133659,10105553,'Inflicts 76 - 141 disease damage on target every 2 seconds',100,1,1),
(133660,153815,'Applies Indomitable VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(133661,153815,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(133662,153815,'Wards caster against 1250 points of all damage',100,2,2),
(133663,153815,'Must not be engaged in pvp combat',100,2,3),
(133664,153815,'Cannot be modified except by direct means',100,2,4),
(133665,153815,'Increases the caster''s physical mitigation over time.',100,1,5),
(133666,153815,'Must not be engaged in pvp combat',100,1,6),
(133667,153815,'Cannot be modified except by direct means',100,1,7),
(133668,153815,'The reuse time of Indomitable VII is 10 minutes',100,1,8),
(133669,10153815,'Applies Indomitable VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(133670,10153815,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(133671,10153815,'Wards caster against 1250 points of all damage',100,2,2),
(133672,10153815,'Must not be engaged in pvp combat',100,2,3),
(133673,10153815,'Cannot be modified except by direct means',100,2,4),
(133674,10153815,'Increases the caster''s physical mitigation over time.',100,1,5),
(133675,10153815,'Must not be engaged in pvp combat',100,1,6),
(133676,10153815,'Cannot be modified except by direct means',100,1,7),
(133677,10153815,'The reuse time of Indomitable VII is 10 minutes',100,1,8),
(133678,136468,'When Equipped:',100,0,0),
(133679,136468,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(133680,136468,'Inflicts 11 divine damage on target',100,2,2),
(133681,136468,'Cannot be modified except by direct means',100,2,3),
(133682,10136468,'When Equipped:',100,0,0),
(133683,10136468,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(133684,10136468,'Inflicts 14 divine damage on target',100,2,2),
(133685,10136468,'Cannot be modified except by direct means',100,2,3),
(133686,100830,'Wards target against 271 points of all damage',100,1,0),
(133687,10100830,'Wards target against 418 points of all damage',100,1,0),
(133688,101071,'Summons 3 limited pets to aid the caster',100,1,0),
(133689,10101071,'Summons 3 limited pets to aid the caster',100,1,0),
(133690,175535,'When Equipped:',100,0,0),
(133691,175535,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(133692,175535,'Decreases Threat to target by 400 ',100,2,2),
(133693,175535,'Cannot be modified except by direct means',100,2,3),
(133694,10175535,'When Equipped:',100,0,0),
(133695,10175535,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(133696,10175535,'Cannot be modified except by direct means',100,2,2),
(133697,105648,'Decreases Damage Per Second of target by 14.5',100,1,0),
(133698,105648,'Inflicts 28 - 46 melee damage on target',100,1,1),
(133699,105648,'Must be flanking or behind',100,1,2),
(133700,10105648,'Decreases Damage Per Second of target by 14.5',100,1,0),
(133701,10105648,'Inflicts 36 - 60 melee damage on target',100,1,1),
(133702,10105648,'Must be flanking or behind',100,1,2),
(133703,40622,'When Equipped:',100,0,0),
(133704,40622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133705,40622,'Inflicts 97 - 145 magic damage on target',100,2,2),
(133706,40622,'Cannot be modified except by direct means',100,2,3),
(133707,10040622,'When Equipped:',100,0,0),
(133708,10040622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133709,10040622,'Inflicts 126 - 189 magic damage on target',100,2,2),
(133710,10040622,'Cannot be modified except by direct means',100,2,3),
(133711,71587,'When Equipped:',100,0,0),
(133712,71587,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133713,71587,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(133714,71587,'Cannot be modified except by direct means',100,2,3),
(133715,10071587,'When Equipped:',100,0,0),
(133716,10071587,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133717,10071587,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(133718,10071587,'Cannot be modified except by direct means',100,2,3),
(133719,118816,'Wards group members (AE) against 152 points of physical damage',100,1,0),
(133720,118816,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,1),
(133721,10118816,'Wards group members (AE) against 152 points of physical damage',100,1,0),
(133722,10118816,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,1),
(133723,82696,'When Equipped:',100,0,0),
(133724,82696,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133725,82696,'Inflicts 148 - 274 magic damage on target',100,2,2),
(133726,82696,'Cannot be modified except by direct means',100,2,3),
(133727,10082696,'When Equipped:',100,0,0),
(133728,10082696,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133729,10082696,'Inflicts 192 - 356 magic damage on target',100,2,2),
(133730,10082696,'Cannot be modified except by direct means',100,2,3),
(133731,121818,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(133732,121818,'Increases Mitigation of group members (AE) vs arcane damage by 216',100,1,1),
(133733,10121818,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(133734,10121818,'Increases Mitigation of group members (AE) vs arcane damage by 216',100,1,1),
(133735,109412,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(133736,109412,'Inflicts 230 - 282 cold damage on target',100,2,1),
(133737,109412,'Slows target by 42.7%',100,2,2),
(133738,109412,'5% chance to dispel when target receives hostile action',100,2,3),
(133739,109412,'5% chance to dispel when target takes damage',100,2,4),
(133740,10109412,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(133741,10109412,'Inflicts 300 - 366 cold damage on target',100,2,1),
(133742,10109412,'Slows target by 42.7%',100,2,2),
(133743,10109412,'5% chance to dispel when target receives hostile action',100,2,3),
(133744,10109412,'5% chance to dispel when target takes damage',100,2,4),
(133745,110481,'Stifles caster',100,1,0),
(133746,110481,'Increases power of caster by 20 instantly and every second',100,1,1),
(133747,10110481,'Stifles caster',100,1,0),
(133748,10110481,'Increases power of caster by 20 instantly and every second',100,1,1),
(133749,35356,'Increases STR of target by 1.5',100,0,0),
(133750,35356,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(133751,119295,'Roots target',100,1,0),
(133752,119295,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(133753,119295,'Slows target by 43.4%',100,2,2),
(133754,119295,'5% chance to dispel when target receives hostile action',100,2,3),
(133755,119295,'5% chance to dispel when target takes damage',100,2,4),
(133756,119295,'15% chance to dispel when target takes damage',100,1,5),
(133757,119295,'Does not affect Epic targets',100,1,6),
(133758,119295,'Resistibility increases against targets higher than level 34.',100,1,7),
(133759,10119295,'Roots target',100,1,0),
(133760,10119295,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(133761,10119295,'Slows target by 43.4%',100,2,2),
(133762,10119295,'5% chance to dispel when target receives hostile action',100,2,3),
(133763,10119295,'5% chance to dispel when target takes damage',100,2,4),
(133764,10119295,'15% chance to dispel when target takes damage',100,1,5),
(133765,10119295,'Does not affect Epic targets',100,1,6),
(133766,10119295,'Resistibility increases against targets higher than level 34.',100,1,7),
(133767,158351,'Applies Hooluk in a Hat when Activated.',100,0,0),
(133768,158351,'Summons a pet Hooluk',100,1,1),
(133769,158351,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133770,10158351,'Applies Hooluk in a Hat when Activated.',100,0,0),
(133771,10158351,'Summons a pet Hooluk',100,1,1),
(133772,10158351,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(133773,37321,'Increases INT of target by 1.1',100,0,0),
(133774,37321,'Target will Dodge 0.2% of incoming attacks',100,0,1),
(133775,37321,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,2),
(133776,84595,'When Equipped:',100,0,0),
(133777,84595,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133778,84595,'Stuns target',100,2,2),
(133779,84595,'Inflicts 127 magic damage on target',100,2,3),
(133780,84595,'Does not affect Epic targets',100,2,4),
(133781,84595,'Resistibility increases against targets higher than level 94.',100,2,5),
(133782,84595,'Cannot be modified except by direct means',100,2,6),
(133783,10084595,'When Equipped:',100,0,0),
(133784,10084595,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133785,10084595,'Stuns target',100,2,2),
(133786,10084595,'Inflicts 166 magic damage on target',100,2,3),
(133787,10084595,'Does not affect Epic targets',100,2,4),
(133788,10084595,'Resistibility increases against targets higher than level 94.',100,2,5),
(133789,10084595,'Cannot be modified except by direct means',100,2,6),
(133790,111861,'Inflicts 98 - 181 heat damage on target',100,1,0),
(133791,111861,'Inflicts 37 - 68 heat damage on target every 2 seconds',100,1,1),
(133792,10111861,'Inflicts 127 - 236 heat damage on target',100,1,0),
(133793,10111861,'Inflicts 48 - 88 heat damage on target every 2 seconds',100,1,1),
(133794,102620,'Increases Threat to target encounter by 1,952 - 2,386 ',100,1,0),
(133795,102620,'Interrupts target encounter',100,1,1),
(133796,102620,'Decreases Mitigation of target encounter vs noxious damage by 1320',100,1,2),
(133797,10102620,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(133798,10102620,'Prevents target from changing targets',100,2,1),
(133799,10102620,'Forces target to change their selected target to caster.',100,2,2),
(133800,10102620,'Interrupts target encounter',100,1,3),
(133801,10102620,'Decreases Mitigation of target encounter vs noxious damage by 1320',100,1,4),
(133802,137113,'When Equipped:',100,0,0),
(133803,137113,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(133804,137113,'Increases STA of caster by 30.4',100,2,2),
(133805,137113,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(133806,137113,'Cannot be modified except by direct means',100,2,4),
(133807,10137113,'When Equipped:',100,0,0),
(133808,10137113,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(133809,10137113,'Increases STA of caster by 30.4',100,2,2),
(133810,10137113,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(133811,10137113,'Cannot be modified except by direct means',100,2,4),
(133812,108871,'Inflicts 299 - 499 melee damage on target',100,1,0),
(133813,108871,'Decreases INT of target by 109.0',100,1,1),
(133814,10108871,'Inflicts 389 - 649 melee damage on target',100,1,0),
(133815,10108871,'Decreases INT of target by 109.0',100,1,1),
(133816,75322,'When Equipped:',100,0,0),
(133817,75322,'On a combat hit this spell may cast Siphon Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133818,75322,'Decreases power of target by 76 - 93',100,2,2),
(133819,75322,'Inflicts 135 - 203 magic damage on target',100,2,3),
(133820,75322,'Heals caster for 97 - 119',100,2,4),
(133821,75322,'Cannot be modified except by direct means',100,2,5),
(133822,10075322,'When Equipped:',100,0,0),
(133823,10075322,'On a combat hit this spell may cast Siphon Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(133824,10075322,'Decreases power of target by 76 - 93',100,2,2),
(133825,10075322,'Inflicts 176 - 264 magic damage on target',100,2,3),
(133826,10075322,'Heals caster for 63 - 77',100,2,4),
(133827,10075322,'Cannot be modified except by direct means',100,2,5),
(133828,112890,'Inflicts 490 - 599 melee damage on target',100,1,0),
(133829,112890,'Decreases Mitigation of target vs physical damage by 376',100,1,1),
(133830,112890,'Must be flanking or behind',100,1,2),
(133831,10112890,'Inflicts 637 - 779 melee damage on target',100,1,0),
(133832,10112890,'Decreases Mitigation of target vs physical damage by 376',100,1,1),
(133833,10112890,'Must be flanking or behind',100,1,2),
(133834,111153,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(133835,111153,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1280',100,1,1),
(133836,111153,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,2),
(133837,10111153,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(133838,10111153,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1280',100,1,1),
(133839,10111153,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,2),
(133840,123958,'Inflicts 78 - 130 melee damage on target',100,1,0),
(133841,123958,'Decreases AGI of target by 8.0',100,1,1),
(133842,123958,'Must be behind',100,1,2),
(133843,10123958,'Inflicts 101 - 169 melee damage on target',100,1,0),
(133844,10123958,'Decreases AGI of target by 8.0',100,1,1),
(133845,10123958,'Must be behind',100,1,2),
(133846,104534,'Increases Threat to target by 402 - 491  instantly and by 80 - 98  every 2 seconds thereafter',100,1,0),
(133847,10104534,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(133848,26546,'When Equipped:',100,0,0),
(133849,26546,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133850,26546,'Adds an additional two ticks to Tranquility III.',100,1,2),
(133851,10026546,'When Equipped:',100,0,0),
(133852,10026546,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133853,10026546,'Adds an additional two ticks to Tranquility III.',100,1,2),
(133854,71601,'When Equipped:',100,0,0),
(133855,71601,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133856,71601,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(133857,71601,'Cannot be modified except by direct means',100,2,3),
(133858,10071601,'When Equipped:',100,0,0),
(133859,10071601,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133860,10071601,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(133861,10071601,'Cannot be modified except by direct means',100,2,3),
(133862,115100,'Heals target for 959 - 1173',100,1,0),
(133863,115100,'Heals target for 123 - 151 every second',100,1,1),
(133864,10115100,'Heals target for 1782 - 2178',100,1,0),
(133865,10115100,'Heals target for 134 - 163 every second',100,1,1),
(133866,102712,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(133867,102712,'Inflicts 501 - 836 heat damage on target',100,2,1),
(133868,102712,'Grants a total of 5 triggers of the spell.',100,2,2),
(133869,102712,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(133870,102712,'Inflicts 501 - 836 heat damage on target',100,2,4),
(133871,102712,'Grants a total of 5 triggers of the spell.',100,2,5),
(133872,10102712,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(133873,10102712,'Inflicts 652 - 1086 heat damage on target',100,2,1),
(133874,10102712,'Grants a total of 5 triggers of the spell.',100,2,2),
(133875,10102712,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(133876,10102712,'Inflicts 652 - 1086 heat damage on target',100,2,4),
(133877,10102712,'Grants a total of 5 triggers of the spell.',100,2,5),
(133878,26527,'When Equipped:',100,0,0),
(133879,26527,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133880,26527,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,2),
(133881,10026527,'When Equipped:',100,0,0),
(133882,10026527,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(133883,10026527,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,2),
(133884,135510,'When Equipped:',100,0,0),
(133885,135510,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(133886,135510,'When Equipped:',100,0,2),
(133887,135510,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(133888,10135510,'When Equipped:',100,0,0),
(133889,10135510,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(133890,10135510,'When Equipped:',100,0,2),
(133891,10135510,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(133892,111966,'Inflicts 304 - 372 disease damage on target',100,1,0),
(133893,111966,'Decreases Mitigation of target vs noxious damage by 540',100,1,1),
(133894,10111966,'Inflicts 509 - 622 disease damage on target',100,1,0),
(133895,10111966,'Decreases Mitigation of target vs noxious damage by 540',100,1,1),
(133896,119852,'Dazes target',100,1,0),
(133897,119852,'Does not affect Epic targets',100,1,1),
(133898,119852,'Resistibility increases against targets higher than level 105.',100,1,2),
(133899,10119852,'Dazes target',100,1,0),
(133900,10119852,'Does not affect Epic targets',100,1,1),
(133901,10119852,'Resistibility increases against targets higher than level 105.',100,1,2),
(133902,175469,'When Equipped:',100,0,0),
(133903,175469,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(133904,175469,'Decreases power of target by 258',100,2,2),
(133905,175469,'Increases power of caster by 159',100,2,3),
(133906,175469,'Cannot be modified except by direct means',100,2,4),
(133907,10175469,'When Equipped:',100,0,0),
(133908,10175469,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(133909,10175469,'Decreases power of target by 258',100,2,2),
(133910,10175469,'Increases power of caster by 159',100,2,3),
(133911,10175469,'Cannot be modified except by direct means',100,2,4),
(133912,158489,'When Equipped:',100,0,0),
(133913,158489,'On a damage spell hit this spell may cast Thought Retrieval on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(133914,158489,'Increases power of caster by 265',100,2,2),
(133915,158489,'Cannot be modified except by direct means',100,2,3),
(133916,10158489,'When Equipped:',100,0,0),
(133917,10158489,'On a damage spell hit this spell may cast Thought Retrieval on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(133918,10158489,'Increases power of caster by 265',100,2,2),
(133919,10158489,'Cannot be modified except by direct means',100,2,3),
(133920,110961,'Inflicts 816 - 1360 ranged damage on target',100,1,0),
(133921,110961,'I need to be stealthed!',100,1,1),
(133922,110961,'Requires bow',100,1,2),
(133923,10110961,'Inflicts 520 - 867 ranged damage on target',100,1,0),
(133924,10110961,'I need to be stealthed!',100,1,1),
(133925,10110961,'Requires bow',100,1,2),
(133926,121707,'Increases AGI of caster by 23.4',100,1,0),
(133927,121707,'Adds 1.5% to base avoidance.',100,1,1),
(133928,121707,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(133929,121707,'Increases Parry of caster by 13.7',100,1,3),
(133930,121707,'Increases Defense of caster by 18.2',100,1,4),
(133931,10121707,'Increases AGI of caster by 23.4',100,1,0),
(133932,10121707,'Adds 1.5% to base avoidance.',100,1,1),
(133933,10121707,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(133934,10121707,'Increases Parry of caster by 13.7',100,1,3),
(133935,10121707,'Increases Defense of caster by 18.2',100,1,4),
(133936,46069,'Applies Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(133937,46069,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(133938,46069,'Only affects targets level 50 and above',100,1,2),
(133939,10046069,'Applies Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(133940,10046069,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(133941,10046069,'Only affects targets level 50 and above',100,1,2),
(133942,102492,'Inflicts 664 - 1106 crushing damage on target',100,1,0),
(133943,102492,'Prevents target from changing direction while active.',100,1,1),
(133944,102492,'If Target is not Epic',100,2,2),
(133945,102492,'Roots target',100,1,3),
(133946,102492,'If Target is not Epic',100,2,4),
(133947,102492,'Resistibility increases against targets higher than level 79.',100,1,5),
(133948,10102492,'Inflicts 863 - 1438 crushing damage on target',100,1,0),
(133949,10102492,'Prevents target from changing direction while active.',100,1,1),
(133950,10102492,'If Target is not Epic',100,2,2),
(133951,10102492,'Roots target',100,1,3),
(133952,10102492,'If Target is not Epic',100,2,4),
(133953,10102492,'Resistibility increases against targets higher than level 79.',100,1,5),
(133954,116497,'Prevents targets in Area of Effect from changing targets',100,1,0),
(133955,116497,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(133956,116497,'Increases Threat to targets in Area of Effect by 406 ',100,1,2),
(133957,10116497,'Prevents targets in Area of Effect from changing targets',100,1,0),
(133958,10116497,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(133959,164941,'When Equipped:',100,0,0),
(133960,164941,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(133961,10164941,'When Equipped:',100,0,0),
(133962,10164941,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(133963,115443,'Inflicts 93 - 113 mental damage on target instantly and every 6 seconds',100,1,0),
(133964,115443,'Decreases Mitigation of target vs arcane damage by 588',100,1,1),
(133965,10115443,'Inflicts 120 - 147 mental damage on target instantly and every 6 seconds',100,1,0),
(133966,10115443,'Decreases Mitigation of target vs arcane damage by 588',100,1,1),
(133967,27061,'When Equipped:',100,0,0),
(133968,27061,'Increases all divine damage by up to 5.',100,1,1),
(133969,10027061,'When Equipped:',100,0,0),
(133970,10027061,'Increases all divine damage by up to 5.',100,1,1),
(133971,115308,'Summons a limited pet to aid the caster',100,1,0),
(133972,10115308,'Summons a limited pet to aid the caster',100,1,0),
(133973,112210,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(133974,112210,'Inflicts 11 disease damage on target',100,2,1),
(133975,112210,'Increases Threat to target by 15 ',100,2,2),
(133976,112210,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 364',100,1,3),
(133977,10112210,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(133978,10112210,'Inflicts 14 disease damage on target',100,2,1),
(133979,10112210,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 364',100,1,2),
(133980,47465,'Applies Defibrillate when Activated.',100,0,0),
(133981,47465,'Revives a fallen member of Icemaul''s Siege.',100,1,1),
(133982,47465,'Cannot be modified except by direct means',100,1,2),
(133983,10047465,'Applies Defibrillate when Activated.',100,0,0),
(133984,10047465,'Revives a fallen member of Icemaul''s Siege.',100,1,1),
(133985,10047465,'Cannot be modified except by direct means',100,1,2),
(133986,72177,'When Equipped:',100,0,0),
(133987,72177,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133988,72177,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(133989,72177,'Cannot be modified except by direct means',100,2,3),
(133990,10072177,'When Equipped:',100,0,0),
(133991,10072177,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(133992,10072177,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(133993,10072177,'Cannot be modified except by direct means',100,2,3),
(133994,118460,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(133995,118460,'Inflicts 38 - 46 heat damage on target instantly and every second',100,2,1),
(133996,10118460,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(133997,10118460,'Inflicts 49 - 60 heat damage on target instantly and every second',100,2,1),
(133998,119132,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(133999,119132,'Inflicts 295 - 361 slashing damage on target',100,2,1),
(134000,119132,'Increases Mitigation of caster vs physical damage by 580',100,1,2),
(134001,10119132,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(134002,10119132,'Inflicts 384 - 469 slashing damage on target',100,2,1),
(134003,10119132,'Increases Mitigation of caster vs physical damage by 580',100,1,2),
(134004,119367,'Inflicts 531 - 796 disease damage on target',100,1,0),
(134005,119367,'Inflicts 212 - 318 disease damage on target every 4 seconds',100,1,1),
(134006,10119367,'Inflicts 690 - 1035 disease damage on target',100,1,0),
(134007,10119367,'Inflicts 276 - 414 disease damage on target every 4 seconds',100,1,1),
(134008,46547,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(134009,46547,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(134010,46547,'Decreases Attack Speed of target by 23.9',100,2,2),
(134011,46547,'Cannot be modified except by direct means',100,2,3),
(134012,46547,'Grants a total of 60 triggers of the spell.',100,2,4),
(134013,10046547,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(134014,10046547,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(134015,10046547,'Decreases Attack Speed of target by 23.9',100,2,2),
(134016,10046547,'Cannot be modified except by direct means',100,2,3),
(134017,10046547,'Grants a total of 60 triggers of the spell.',100,2,4),
(134018,113908,'Inflicts 522 - 870 disease damage on target',100,1,0),
(134019,113908,'Inflicts 131 - 218 disease damage on target every 4 seconds',100,1,1),
(134020,113908,'Increases power of caster by 171 - 286',100,1,2),
(134021,113908,'Increases power of caster by 37 - 62 every 4 seconds',100,1,3),
(134022,10113908,'Inflicts 679 - 1132 disease damage on target',100,1,0),
(134023,10113908,'Inflicts 170 - 283 disease damage on target every 4 seconds',100,1,1),
(134024,10113908,'Increases power of caster by 171 - 286',100,1,2),
(134025,10113908,'Increases power of caster by 37 - 62 every 4 seconds',100,1,3),
(134026,104735,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(134027,104735,'Decreases Mitigation of target vs elemental and arcane damage by 1097',100,2,1),
(134028,104735,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(134029,104735,'Decreases Mitigation of target vs elemental and arcane damage by 1097',100,2,3),
(134030,10104735,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(134031,10104735,'Decreases Mitigation of target vs elemental and arcane damage by 1097',100,2,1),
(134032,10104735,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(134033,10104735,'Decreases Mitigation of target vs elemental and arcane damage by 1097',100,2,3),
(134034,158919,'When Equipped:',100,0,0),
(134035,158919,'This effect will not stack with any rank or tier of itself.',100,1,1),
(134036,158919,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(134037,158919,'Cannot be modified except by direct means',100,1,3),
(134038,10158919,'When Equipped:',100,0,0),
(134039,10158919,'This effect will not stack with any rank or tier of itself.',100,1,1),
(134040,10158919,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(134041,10158919,'Cannot be modified except by direct means',100,1,3),
(134042,41465,'When Equipped:',100,0,0),
(134043,41465,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134044,41465,'Inflicts 70 - 131 magic damage on target',100,2,2),
(134045,41465,'Decreases Threat to target by 153 ',100,2,3);
INSERT INTO `item_effects` VALUES
(134046,41465,'Must be flanking or behind',100,3,4),
(134047,41465,'Increases Threat to target by 153 ',100,2,5),
(134048,41465,'Must be in front of',100,3,6),
(134049,41465,'Cannot be modified except by direct means',100,2,7),
(134050,10041465,'When Equipped:',100,0,0),
(134051,10041465,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134052,10041465,'Inflicts 91 - 170 magic damage on target',100,2,2),
(134053,10041465,'Cannot be modified except by direct means',100,2,3),
(134054,159203,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(134055,159203,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(134056,159203,'Inflicts 47 heat damage on target',100,2,2),
(134057,159203,'Cannot be modified except by direct means',100,2,3),
(134058,10159203,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(134059,10159203,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(134060,10159203,'Inflicts 62 heat damage on target',100,2,2),
(134061,10159203,'Cannot be modified except by direct means',100,2,3),
(134062,130898,'When Equipped:',100,0,0),
(134063,130898,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(134064,130898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(134065,130898,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,3),
(134066,130898,'Cannot be modified except by direct means',100,1,4),
(134067,130898,'When Equipped:',100,0,5),
(134068,130898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(134069,130898,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(134070,130898,'Increases Attack Speed of caster by 6.0',100,2,8),
(134071,130898,'Increases Damage Per Second of caster by 9.0',100,2,9),
(134072,130898,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(134073,130898,'Must not be engaged in pvp combat',100,2,11),
(134074,130898,'Cannot be modified except by direct means',100,2,12),
(134075,130898,'Cannot be modified except by direct means',100,1,13),
(134076,10130898,'When Equipped:',100,0,0),
(134077,10130898,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(134078,10130898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(134079,10130898,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,3),
(134080,10130898,'Cannot be modified except by direct means',100,1,4),
(134081,10130898,'When Equipped:',100,0,5),
(134082,10130898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(134083,10130898,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(134084,10130898,'Increases Attack Speed of caster by 6.0',100,2,8),
(134085,10130898,'Increases Damage Per Second of caster by 9.0',100,2,9),
(134086,10130898,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(134087,10130898,'Must not be engaged in pvp combat',100,2,11),
(134088,10130898,'Cannot be modified except by direct means',100,2,12),
(134089,10130898,'Cannot be modified except by direct means',100,1,13),
(134090,41581,'When Equipped:',100,0,0),
(134091,41581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(134092,41581,'Inflicts 260 - 482 magic damage on target',100,2,2),
(134093,41581,'Cannot be modified except by direct means',100,2,3),
(134094,10041581,'When Equipped:',100,0,0),
(134095,10041581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(134096,10041581,'Inflicts 337 - 627 magic damage on target',100,2,2),
(134097,10041581,'Cannot be modified except by direct means',100,2,3),
(134098,104731,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(134099,104731,'Decreases Mitigation of target vs elemental and arcane damage by 700',100,2,1),
(134100,104731,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(134101,104731,'Decreases Mitigation of target vs elemental and arcane damage by 700',100,2,3),
(134102,10104731,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(134103,10104731,'Decreases Mitigation of target vs elemental and arcane damage by 700',100,2,1),
(134104,10104731,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(134105,10104731,'Decreases Mitigation of target vs elemental and arcane damage by 700',100,2,3),
(134106,114409,'Mesmerizes target',100,1,0),
(134107,114409,'Prevents AOE (except when direct) ',100,1,1),
(134108,114409,'Dispelled when target takes damage',100,1,2),
(134109,114409,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(134110,114409,'Resistibility increases against targets higher than level 53.',100,1,4),
(134111,10114409,'Mesmerizes target',100,1,0),
(134112,10114409,'Prevents AOE (except when direct) ',100,1,1),
(134113,10114409,'Dispelled when target takes damage',100,1,2),
(134114,10114409,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(134115,10114409,'Resistibility increases against targets higher than level 53.',100,1,4),
(134116,122877,'Inflicts 268 - 447 ranged damage on target',100,1,0),
(134117,122877,'Inflicts 536 - 894 ranged damage on target',100,1,1),
(134118,122877,'Inflicts 804 - 1341 ranged damage on target',100,1,2),
(134119,122877,'Requires bow',100,1,3),
(134120,10122877,'Inflicts 285 - 475 ranged damage on target',100,1,0),
(134121,10122877,'Inflicts 570 - 950 ranged damage on target',100,1,1),
(134122,10122877,'Inflicts 855 - 1425 ranged damage on target',100,1,2),
(134123,10122877,'Requires bow',100,1,3),
(134124,55405,'When Equipped:',100,0,0),
(134125,55405,'On a critical healing spell cast this spell may cast Aggregation on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134126,55405,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(134127,55405,'Dispelled when target casts a heal spell',100,2,3),
(134128,55405,'Cannot be modified except by direct means',100,2,4),
(134129,10055405,'When Equipped:',100,0,0),
(134130,10055405,'On a critical healing spell cast this spell may cast Aggregation on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134131,10055405,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(134132,10055405,'Dispelled when target casts a heal spell',100,2,3),
(134133,10055405,'Cannot be modified except by direct means',100,2,4),
(134134,50764,'When Equipped:',100,0,0),
(134135,50764,'On a damage spell hit this spell may cast Winged Deterrent on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(134136,50764,'Decreases Threat to target by 650 ',100,2,2),
(134137,50764,'Cannot be modified except by direct means',100,2,3),
(134138,10050764,'When Equipped:',100,0,0),
(134139,10050764,'On a damage spell hit this spell may cast Winged Deterrent on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(134140,10050764,'Forces target to clear their selected target.',100,2,2),
(134141,10050764,'Cannot be modified except by direct means',100,2,3),
(134142,111415,'Increases Attack Speed of target by 56.5',100,1,0),
(134143,111415,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134144,111415,'Inflicts 616 disease damage on target',100,2,2),
(134145,111415,'Heals caster for 143',100,2,3),
(134146,111415,'Decreases Defense and Parry of target by 36.3',100,1,4),
(134147,111415,'Increases Disruption and Subjugation of target by 49.1',100,1,5),
(134148,111415,'Increases Focus of target by 50.8',100,1,6),
(134149,10111415,'Increases Attack Speed of target by 56.5',100,1,0),
(134150,10111415,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134151,10111415,'Inflicts 800 disease damage on target',100,2,2),
(134152,10111415,'Heals caster for 93',100,2,3),
(134153,10111415,'Decreases Defense and Parry of target by 36.3',100,1,4),
(134154,10111415,'Increases Disruption and Subjugation of target by 49.1',100,1,5),
(134155,10111415,'Increases Focus of target by 50.8',100,1,6),
(134156,105376,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(134157,105376,'Inflicts 60 melee damage on target',100,2,1),
(134158,105376,'Interrupts target',100,2,2),
(134159,105376,'Decreases Defense of caster by 12.3',100,1,3),
(134160,105376,'Increases Piercing, Slashing, Ranged and Crushing of caster by 17.5',100,1,4),
(134161,10105376,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(134162,10105376,'Inflicts 79 melee damage on target',100,2,1),
(134163,10105376,'Interrupts target',100,2,2),
(134164,10105376,'Decreases Defense of caster by 12.3',100,1,3),
(134165,10105376,'Increases Piercing, Slashing, Ranged and Crushing of caster by 17.5',100,1,4),
(134166,102943,'Inflicts 122 - 149 disease damage on target instantly and every 4 seconds',100,1,0),
(134167,10102943,'Inflicts 206 - 251 disease damage on target',100,1,0),
(134168,10102943,'Inflicts 158 - 193 disease damage on target every 4 seconds',100,1,1),
(134169,121701,'Increases AGI of caster by 16.1',100,1,0),
(134170,121701,'Adds 1.7% to base avoidance.',100,1,1),
(134171,121701,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(134172,121701,'Increases Parry of caster by 8.9',100,1,3),
(134173,121701,'Increases Defense of caster by 11.9',100,1,4),
(134174,10121701,'Increases AGI of caster by 16.1',100,1,0),
(134175,10121701,'Adds 1.7% to base avoidance.',100,1,1),
(134176,10121701,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(134177,10121701,'Increases Parry of caster by 8.9',100,1,3),
(134178,10121701,'Increases Defense of caster by 11.9',100,1,4),
(134179,47198,'Applies Elixir of Poison Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(134180,47198,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(134181,10047198,'Applies Elixir of Poison Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(134182,10047198,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(134183,107996,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(134184,107996,'Increases Mitigation of group members (AE) vs elemental damage by 413',100,1,1),
(134185,10107996,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(134186,10107996,'Increases Mitigation of group members (AE) vs elemental damage by 413',100,1,1),
(134187,26011,'When Equipped:',100,0,0),
(134188,26011,'Increases all magic damage by up to 20.',100,1,1),
(134189,10026011,'When Equipped:',100,0,0),
(134190,10026011,'Increases all magic damage by up to 20.',100,1,1),
(134191,74916,'When Equipped:',100,0,0),
(134192,74916,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(134193,74916,'Inflicts 38 - 57 magic damage on target',100,2,2),
(134194,74916,'Cannot be modified except by direct means',100,2,3),
(134195,10074916,'When Equipped:',100,0,0),
(134196,10074916,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(134197,10074916,'Inflicts 50 - 75 magic damage on target',100,2,2),
(134198,10074916,'Cannot be modified except by direct means',100,2,3),
(134199,47663,'Applies Arcane Destruction when Activated.  Lasts for 15 minutes.',100,0,0),
(134200,47663,'On any combat or spell hit this spell may cast Arcane Destruction on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(134201,47663,'Inflicts 325 mental damage on target',100,2,2),
(134202,47663,'Inflicts 325 magic damage on target',100,2,3),
(134203,47663,'Cannot be modified except by direct means',100,2,4),
(134204,10047663,'Applies Arcane Destruction when Activated.  Lasts for 15 minutes.',100,0,0),
(134205,10047663,'On any combat or spell hit this spell may cast Arcane Destruction on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(134206,10047663,'Inflicts 422 mental damage on target',100,2,2),
(134207,10047663,'Inflicts 422 magic damage on target',100,2,3),
(134208,10047663,'Cannot be modified except by direct means',100,2,4),
(134209,104122,'Roots target',100,1,0),
(134210,104122,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(134211,104122,'Makes target afraid',100,2,2),
(134212,104122,'Slows target by 19.7%',100,2,3),
(134213,104122,'30% chance to dispel when target takes damage',100,2,4),
(134214,104122,'Resistibility increases against targets higher than level 76.',100,2,5),
(134215,104122,'15% chance to dispel when target takes damage',100,1,6),
(134216,104122,'Does not affect Epic targets',100,1,7),
(134217,104122,'Resistibility increases against targets higher than level 76.',100,1,8),
(134218,10104122,'Roots target',100,1,0),
(134219,10104122,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(134220,10104122,'Makes target afraid',100,2,2),
(134221,10104122,'Slows target by 19.7%',100,2,3),
(134222,10104122,'30% chance to dispel when target takes damage',100,2,4),
(134223,10104122,'Resistibility increases against targets higher than level 76.',100,2,5),
(134224,10104122,'15% chance to dispel when target takes damage',100,1,6),
(134225,10104122,'Does not affect Epic targets',100,1,7),
(134226,10104122,'Resistibility increases against targets higher than level 76.',100,1,8),
(134227,105991,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(134228,105991,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(134229,105991,'Inflicts 497 - 828 piercing damage on target',100,3,2),
(134230,105991,'Grants a total of 5 triggers of the spell.',100,3,3),
(134231,105991,'Grants a total of 1 trigger of the spell.',100,2,4),
(134232,10105991,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(134233,10105991,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(134234,10105991,'Inflicts 646 - 1077 piercing damage on target',100,3,2),
(134235,10105991,'Grants a total of 5 triggers of the spell.',100,3,3),
(134236,10105991,'Grants a total of 1 trigger of the spell.',100,2,4),
(134237,122843,'Inflicts 1174 - 1958 ranged damage on target',100,1,0),
(134238,122843,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(134239,122843,'Increases Hate Gain of target by 30.0%',100,2,2),
(134240,122843,'Grants a total of 1 trigger of the spell.',100,2,3),
(134241,122843,'Requires bow',100,1,4),
(134242,10122843,'Inflicts 998 - 1664 ranged damage on target',100,1,0),
(134243,10122843,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(134244,10122843,'Grants a total of 1 trigger of the spell.',100,2,2),
(134245,10122843,'Requires bow',100,1,3),
(134246,35734,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(134247,35734,'This effect suspends during combat',100,0,1),
(134248,115361,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(134249,115361,'Increases Parry of caster by 3.2',100,1,1),
(134250,10115361,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(134251,10115361,'Increases Parry of caster by 3.2',100,1,1),
(134252,46512,'Applies Simple Tools when Equipped.',100,0,0),
(134253,46512,'Increases success chance by 1.0%',100,1,1),
(134254,10046512,'Applies Simple Tools when Equipped.',100,0,0),
(134255,10046512,'Increases success chance by 1.0%',100,1,1),
(134256,159705,'When Equipped:',100,0,0),
(134257,159705,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134258,159705,'Increases STR of caster by 16.3',100,2,2),
(134259,159705,'Increases Damage Per Second of caster by 22.7',100,2,3),
(134260,159705,'Cannot be modified except by direct means',100,2,4),
(134261,10159705,'When Equipped:',100,0,0),
(134262,10159705,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134263,10159705,'Increases STR of caster by 16.3',100,2,2),
(134264,10159705,'Increases Damage Per Second of caster by 22.7',100,2,3),
(134265,10159705,'Cannot be modified except by direct means',100,2,4),
(134266,35591,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(134267,101655,'Decreases Attack Speed of target by 11.0',100,1,0),
(134268,101655,'Decreases Damage Per Second of target by 6.3',100,1,1),
(134269,10101655,'Decreases Attack Speed of target by 11.0',100,1,0),
(134270,10101655,'Decreases Damage Per Second of target by 6.3',100,1,1),
(134271,35346,'Increases AGI of target by 1.5',100,0,0),
(134272,35346,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(134273,111111,'Heals target for 20.5 - 25.1% of max health',100,1,0),
(134274,111111,'This effect cannot be critically applied.',100,2,1),
(134275,111111,'Increases Mitigation of target vs physical damage by 390',100,1,2),
(134276,111111,'The healing of this spell cannot be modified except by direct means',100,1,3),
(134277,10111111,'Heals target for 7.7 - 9.4% of max health',100,1,0),
(134278,10111111,'This effect cannot be critically applied.',100,2,1),
(134279,10111111,'Increases Mitigation of target vs physical damage by 390',100,1,2),
(134280,10111111,'The healing of this spell cannot be modified except by direct means',100,1,3),
(134281,111581,'Inflicts 4 - 7 cold damage on target instantly and every 4 seconds',100,1,0),
(134282,111581,'Decreases Mitigation of target vs elemental damage by 108',100,1,1),
(134283,10111581,'Inflicts 5 - 10 cold damage on target instantly and every 4 seconds',100,1,0),
(134284,10111581,'Decreases Mitigation of target vs elemental damage by 108',100,1,1),
(134285,106296,'Decreases AGI, STR, INT and WIS of target encounter by 147.8',100,1,0),
(134286,106296,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 37.2',100,1,1),
(134287,106296,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 35.3',100,1,2),
(134288,10106296,'Decreases AGI, STR, INT and WIS of target encounter by 147.8',100,1,0),
(134289,10106296,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 37.2',100,1,1),
(134290,10106296,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 35.3',100,1,2),
(134291,82494,'When Equipped:',100,0,0),
(134292,82494,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134293,82494,'Inflicts 212 - 393 magic damage on target',100,2,2),
(134294,82494,'Decreases Threat to target by 641 ',100,2,3),
(134295,82494,'Must be flanking or behind',100,3,4),
(134296,82494,'Increases Threat to target by 641 ',100,2,5),
(134297,82494,'Must be in front of',100,3,6),
(134298,82494,'Cannot be modified except by direct means',100,2,7),
(134299,10082494,'When Equipped:',100,0,0),
(134300,10082494,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134301,10082494,'Inflicts 275 - 511 magic damage on target',100,2,2),
(134302,10082494,'Cannot be modified except by direct means',100,2,3),
(134303,118324,'Roots target encounter',100,1,0),
(134304,118324,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(134305,118324,'Slows target by 76.2%',100,2,2),
(134306,118324,'5% chance to dispel when target receives hostile action',100,2,3),
(134307,118324,'5% chance to dispel when target takes damage',100,2,4),
(134308,118324,'20% chance to dispel when target takes damage',100,1,5),
(134309,118324,'Does not affect Epic targets',100,1,6),
(134310,118324,'Resistibility increases against targets higher than level 117.',100,1,7),
(134311,10118324,'Roots target encounter',100,1,0),
(134312,10118324,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(134313,10118324,'Slows target by 76.2%',100,2,2),
(134314,10118324,'5% chance to dispel when target receives hostile action',100,2,3),
(134315,10118324,'5% chance to dispel when target takes damage',100,2,4),
(134316,10118324,'20% chance to dispel when target takes damage',100,1,5),
(134317,10118324,'Does not affect Epic targets',100,1,6),
(134318,10118324,'Resistibility increases against targets higher than level 117.',100,1,7),
(134319,82909,'When Equipped:',100,0,0),
(134320,82909,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134321,82909,'Inflicts 350 - 650 magic damage on target',100,2,2),
(134322,82909,'Decreases Threat to target by 833 ',100,2,3),
(134323,82909,'Must be flanking or behind',100,3,4),
(134324,82909,'Increases Threat to target by 833 ',100,2,5),
(134325,82909,'Must be in front of',100,3,6),
(134326,82909,'Cannot be modified except by direct means',100,2,7),
(134327,10082909,'When Equipped:',100,0,0),
(134328,10082909,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134329,10082909,'Inflicts 455 - 845 magic damage on target',100,2,2),
(134330,10082909,'Cannot be modified except by direct means',100,2,3),
(134331,81692,'When Equipped:',100,0,0),
(134332,81692,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134333,81692,'Inflicts 118 - 218 magic damage on target',100,2,2),
(134334,81692,'Decreases Threat to target by 259 ',100,2,3),
(134335,81692,'Must be flanking or behind',100,3,4),
(134336,81692,'Increases Threat to target by 259 ',100,2,5),
(134337,81692,'Must be in front of',100,3,6),
(134338,81692,'Cannot be modified except by direct means',100,2,7),
(134339,10081692,'When Equipped:',100,0,0),
(134340,10081692,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(134341,10081692,'Inflicts 153 - 284 magic damage on target',100,2,2),
(134342,10081692,'Cannot be modified except by direct means',100,2,3),
(134343,108782,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(134344,108782,'Inflicts 57 - 69 heat damage on target instantly and every 4 seconds',100,2,1),
(134345,108782,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(134346,108782,'Inflicts 252 - 308 heat damage on target encounter',100,3,3),
(134347,108782,'Grants a total of 1 trigger of the spell.',100,3,4),
(134348,10108782,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(134349,10108782,'Inflicts 74 - 90 heat damage on target instantly and every 4 seconds',100,2,1),
(134350,10108782,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(134351,10108782,'Inflicts 328 - 401 heat damage on target encounter',100,3,3),
(134352,10108782,'Grants a total of 1 trigger of the spell.',100,3,4),
(134353,159623,'When Equipped:',100,0,0),
(134354,159623,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134355,159623,'Increases INT of caster by 23.1',100,2,2),
(134356,159623,'Increases Subjugation, Focus and Disruption of caster by 13.1',100,2,3),
(134357,159623,'Cannot be modified except by direct means',100,2,4),
(134358,10159623,'When Equipped:',100,0,0),
(134359,10159623,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134360,10159623,'Increases INT of caster by 23.1',100,2,2),
(134361,10159623,'Increases Subjugation, Focus and Disruption of caster by 13.1',100,2,3),
(134362,10159623,'Cannot be modified except by direct means',100,2,4),
(134363,103066,'Inflicts 96 magic damage on target instantly and every 4 seconds',100,1,0),
(134364,103066,'Increases power of caster by 53 instantly and every 4 seconds',100,1,1),
(134365,10103066,'Inflicts 125 magic damage on target instantly and every 4 seconds',100,1,0),
(134366,10103066,'Increases power of caster by 53 instantly and every 4 seconds',100,1,1),
(134367,122726,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(134368,122726,'Increases Deflection of caster by 11.0',100,1,1),
(134369,10122726,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(134370,10122726,'Increases Deflection of caster by 11.0',100,1,1),
(134371,181877,'When Equipped:',100,0,0),
(134372,181877,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134373,181877,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(134374,181877,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(134375,181877,'Increases Crit Chance of caster by 25.0',100,2,4),
(134376,181877,'Cannot be modified except by direct means',100,2,5),
(134377,10181877,'When Equipped:',100,0,0),
(134378,10181877,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134379,10181877,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(134380,10181877,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(134381,10181877,'Increases Crit Chance of caster by 25.0',100,2,4),
(134382,10181877,'Cannot be modified except by direct means',100,2,5),
(134383,71533,'When Equipped:',100,0,0),
(134384,71533,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134385,71533,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(134386,71533,'Cannot be modified except by direct means',100,2,3),
(134387,10071533,'When Equipped:',100,0,0),
(134388,10071533,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134389,10071533,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(134390,10071533,'Cannot be modified except by direct means',100,2,3),
(134391,157512,'When Equipped:',100,0,0),
(134392,157512,'On a healing spell cast this spell may cast Empowered Healing on caster.  Triggers about 2.4 times per minute. ',100,1,1),
(134393,157512,'Heals group members (AE) for 1750',100,2,2),
(134394,157512,'Cannot be modified except by direct means',100,2,3),
(134395,10157512,'When Equipped:',100,0,0),
(134396,10157512,'On a healing spell cast this spell may cast Empowered Healing on caster.  Triggers about 2.4 times per minute. ',100,1,1),
(134397,10157512,'Heals group members (AE) for 2047',100,2,2),
(134398,10157512,'Cannot be modified except by direct means',100,2,3),
(134399,103249,'Reduces physical damage done to caster by 5%',100,1,0),
(134400,103249,'Adds 1.7% to base avoidance.',100,1,1),
(134401,103249,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(134402,103249,'Increases Parry of caster by 24.0',100,1,3),
(134403,103249,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(134404,103249,'Increases Aggression of caster by 18.0',100,1,5),
(134405,103249,'Increases Defense and Deflection of caster by 24.0',100,1,6),
(134406,103249,'Increases Mitigation of caster vs noxious damage by 1663',100,1,7),
(134407,103249,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(134408,10103249,'Reduces physical damage done to caster by 5%',100,1,0),
(134409,10103249,'Adds 1.7% to base avoidance.',100,1,1),
(134410,10103249,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(134411,10103249,'Increases Parry of caster by 24.0',100,1,3),
(134412,10103249,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(134413,10103249,'Increases Aggression of caster by 18.0',100,1,5),
(134414,10103249,'Increases Defense and Deflection of caster by 24.0',100,1,6),
(134415,10103249,'Increases Mitigation of caster vs noxious damage by 1663',100,1,7),
(134416,10103249,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(134417,108681,'Inflicts 20 heat damage on target',100,1,0),
(134418,108681,'Inflicts 4 heat damage on target every 4 seconds',100,1,1),
(134419,10108681,'Inflicts 36 heat damage on target',100,1,0),
(134420,10108681,'Inflicts 6 heat damage on target every 4 seconds',100,1,1),
(134421,105647,'Inflicts 182 disease damage on target instantly and every 6 seconds',100,1,0),
(134422,105647,'Inflicts 420 - 701 disease damage on target',100,1,1),
(134423,105647,'Inflicts 420 - 701 disease damage on target',100,1,2),
(134424,10105647,'Inflicts 236 disease damage on target instantly and every 6 seconds',100,1,0),
(134425,10105647,'Inflicts 546 - 911 disease damage on target',100,1,1),
(134426,10105647,'Inflicts 546 - 911 disease damage on target',100,1,2),
(134427,27452,'When Equipped:',100,0,0),
(134428,27452,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(134429,27452,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(134430,10027452,'When Equipped:',100,0,0),
(134431,10027452,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(134432,10027452,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(134433,170637,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(134434,170637,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 761',100,1,1),
(134435,170637,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(134436,10170637,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(134437,10170637,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 761',100,1,1),
(134438,10170637,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(134439,110519,'Increases Threat to target by 313  instantly and by 130  every 3 seconds thereafter',100,1,0),
(134440,110519,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(134441,110519,'Stuns target',100,2,2),
(134442,110519,'Throws target back',100,2,3),
(134443,110519,'Blurs vision of target',100,2,4),
(134444,110519,'Does not affect Epic targets',100,2,5),
(134445,110519,'Inflicts 88 - 146 disease damage on target',100,1,6),
(134446,10110519,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(134447,10110519,'Blurs vision of target',100,2,1),
(134448,10110519,'Stuns target',100,2,2),
(134449,10110519,'Throws target back',100,2,3),
(134450,10110519,'Does not affect Epic targets',100,2,4),
(134451,10110519,'Forces target to change their selected target to caster.',100,1,5),
(134452,10110519,'Inflicts 95 - 158 disease damage on target',100,1,6),
(134453,10110519,'Prevents target from changing targets',100,1,7),
(134454,182308,'When Equipped:',100,0,0),
(134455,182308,'This effect will not stack with itself.',100,1,1),
(134456,182308,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(134457,182308,'Wards target against 4000 points of all damage',100,2,3),
(134458,182308,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(134459,182308,'Heals target for 277 - 306 instantly and every 2 seconds',100,2,5),
(134460,182308,'Must not be engaged in pvp combat',100,2,6),
(134461,182308,'Cannot be modified except by direct means',100,2,7),
(134462,182308,'Must not be engaged in pvp combat',100,1,8),
(134463,182308,'When Equipped:',100,0,9),
(134464,182308,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(134465,182308,'Heals group members (AE) for 2624',100,2,11),
(134466,182308,'Heals group members (AE) for 875 every 5 seconds',100,2,12),
(134467,182308,'Must not be engaged in pvp combat',100,2,13),
(134468,182308,'Cannot be modified except by direct means',100,2,14),
(134469,182308,'Must not be engaged in pvp combat',100,1,15),
(134470,10182308,'When Equipped:',100,0,0),
(134471,10182308,'This effect will not stack with itself.',100,1,1),
(134472,10182308,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(134473,10182308,'Wards target against 4000 points of all damage',100,2,3),
(134474,10182308,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(134475,10182308,'Heals target for 324 - 358 instantly and every 2 seconds',100,2,5),
(134476,10182308,'Must not be engaged in pvp combat',100,2,6),
(134477,10182308,'Cannot be modified except by direct means',100,2,7),
(134478,10182308,'Must not be engaged in pvp combat',100,1,8),
(134479,10182308,'When Equipped:',100,0,9),
(134480,10182308,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(134481,10182308,'Heals group members (AE) for 3071',100,2,11),
(134482,10182308,'Heals group members (AE) for 1024 every 5 seconds',100,2,12),
(134483,10182308,'Must not be engaged in pvp combat',100,2,13),
(134484,10182308,'Cannot be modified except by direct means',100,2,14),
(134485,10182308,'Must not be engaged in pvp combat',100,1,15),
(134486,117324,'Roots target',100,1,0),
(134487,117324,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(134488,117324,'Slows target by 58.6%',100,2,2),
(134489,117324,'5% chance to dispel when target receives hostile action',100,2,3),
(134490,117324,'5% chance to dispel when target takes damage',100,2,4),
(134491,117324,'15% chance to dispel when target takes damage',100,1,5),
(134492,117324,'Does not affect Epic targets',100,1,6),
(134493,117324,'Resistibility increases against targets higher than level 62.',100,1,7),
(134494,10117324,'Roots target',100,1,0),
(134495,10117324,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(134496,10117324,'Slows target by 58.6%',100,2,2),
(134497,10117324,'10% chance to dispel when target receives hostile action',100,2,3),
(134498,10117324,'10% chance to dispel when target takes damage',100,2,4),
(134499,10117324,'15% chance to dispel when target takes damage',100,1,5),
(134500,10117324,'Does not affect Epic targets',100,1,6),
(134501,10117324,'Resistibility increases against targets higher than level 62.',100,1,7),
(134502,37301,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(134503,37301,'This effect suspends during combat',100,0,1),
(134504,120080,'Inflicts 287 - 479 mental damage on target',100,1,0),
(134505,120080,'Inflicts 287 - 479 mental damage on target',100,1,1),
(134506,120080,'Stifles target',100,1,2),
(134507,120080,'If Target is not Epic',100,2,3),
(134508,120080,'If weapon equipped in Ranged',100,1,4),
(134509,120080,'Resistibility increases against targets higher than level 100.',100,1,5),
(134510,10120080,'Inflicts 326 - 543 mental damage on target',100,1,0),
(134511,10120080,'Inflicts 326 - 543 mental damage on target',100,1,1),
(134512,10120080,'Stifles target',100,1,2),
(134513,10120080,'If Target is not Epic',100,2,3),
(134514,10120080,'If weapon equipped in Ranged',100,1,4),
(134515,10120080,'Resistibility increases against targets higher than level 100.',100,1,5),
(134516,48698,'Applies Doradek''s Restoration  when Activated.',100,0,0),
(134517,48698,'Heals caster for 279',100,1,1),
(134518,10048698,'Applies Doradek''s Restoration  when Activated.',100,0,0),
(134519,10048698,'Heals caster for 181',100,1,1),
(134520,109054,'Increases Attack Speed of caster by 29.3',100,1,0),
(134521,109054,'Decreases Defense of caster by 18.9',100,1,1),
(134522,109054,'Increases Slashing, Piercing, Crushing and Ranged of caster by 31.2',100,1,2),
(134523,10109054,'Increases Attack Speed of caster by 29.3',100,1,0),
(134524,10109054,'Decreases Defense of caster by 18.9',100,1,1),
(134525,10109054,'Increases Slashing, Piercing, Crushing and Ranged of caster by 31.2',100,1,2),
(134526,181212,'When Equipped:',100,0,0),
(134527,181212,'On any combat or spell hit this spell may cast Gilded Patience on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(134528,181212,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(134529,181212,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(134530,181212,'Must not be engaged in pvp combat',100,2,4),
(134531,181212,'Cannot be modified except by direct means',100,2,5),
(134532,10181212,'When Equipped:',100,0,0),
(134533,10181212,'On any combat or spell hit this spell may cast Gilded Patience on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(134534,10181212,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(134535,10181212,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(134536,10181212,'Must not be engaged in pvp combat',100,2,4),
(134537,10181212,'Cannot be modified except by direct means',100,2,5),
(134538,162876,'When Equipped:',100,0,0),
(134539,162876,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134540,162876,'Inflicts 1192 cold damage on target encounter',100,2,2),
(134541,162876,'Cannot be modified except by direct means',100,2,3),
(134542,10162876,'When Equipped:',100,0,0),
(134543,10162876,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134544,10162876,'Inflicts 775 cold damage on target encounter',100,2,2),
(134545,10162876,'Cannot be modified except by direct means',100,2,3),
(134546,116963,'Increases Threat to target by 536 - 655 ',100,1,0),
(134547,116963,'Interrupts target',100,1,1),
(134548,10116963,'Forces target to change their selected target to caster.',100,1,0),
(134549,10116963,'Interrupts target',100,1,1),
(134550,10116963,'Prevents target from changing targets',100,1,2),
(134551,104938,'Inflicts 1194 - 1991 ranged damage on target',100,1,0),
(134552,104938,'Decreases Deflection and Parry of target by 63.8',100,1,1),
(134553,104938,'Requires bow',100,1,2),
(134554,10104938,'Inflicts 1015 - 1692 ranged damage on target',100,1,0),
(134555,10104938,'Decreases Deflection and Parry of target by 63.8',100,1,1),
(134556,10104938,'Requires bow',100,1,2),
(134557,121596,'Stuns target encounter',100,1,0),
(134558,121596,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,1),
(134559,121596,'Resistibility increases against targets higher than level 87.',100,1,2),
(134560,10121596,'Stuns target encounter',100,1,0),
(134561,10121596,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(134562,10121596,'Resistibility increases against targets higher than level 87.',100,1,2),
(134563,100845,'Wards target against 845 points of all damage',100,1,0),
(134564,10100845,'Wards target against 1300 points of all damage',100,1,0),
(134565,47154,'Applies Elixir of Accuracy  when Activated.  Lasts for 30 minutes.',100,0,0),
(134566,47154,'Increases AGI of caster by 16.0',100,1,1),
(134567,10047154,'Applies Elixir of Accuracy  when Activated.  Lasts for 30 minutes.',100,0,0),
(134568,10047154,'Increases AGI of caster by 16.0',100,1,1),
(134569,109176,'Roots target',100,1,0),
(134570,109176,'Applies Blind.  Lasts for 7.0 seconds.',100,1,1),
(134571,109176,'Dazes target',100,2,2),
(134572,109176,'Blurs vision of target',100,2,3),
(134573,109176,'Dispelled when target takes damage',100,2,4),
(134574,109176,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(134575,109176,'5% chance to dispel when target takes damage',100,1,6),
(134576,109176,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,7),
(134577,109176,'Resistibility increases against targets higher than level 76.',100,1,8),
(134578,10109176,'Roots target',100,1,0),
(134579,10109176,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(134580,10109176,'Dazes target',100,2,2),
(134581,10109176,'Blurs vision of target',100,2,3),
(134582,10109176,'Dispelled when target takes damage',100,2,4),
(134583,10109176,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(134584,10109176,'5% chance to dispel when target takes damage',100,1,6),
(134585,10109176,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(134586,10109176,'Resistibility increases against targets higher than level 76.',100,1,8),
(134587,71896,'When Equipped:',100,0,0),
(134588,71896,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134589,71896,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(134590,71896,'Cannot be modified except by direct means',100,2,3),
(134591,10071896,'When Equipped:',100,0,0),
(134592,10071896,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134593,10071896,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(134594,10071896,'Cannot be modified except by direct means',100,2,3),
(134595,139785,'Applies Psychic Link when Activated.  Lasts for 18.0 seconds.',100,0,0),
(134596,139785,'25% of the damage the coercer inflicts to any enemy will be applied as damage to the target',100,1,1),
(134597,139785,'Decreases Ability Casting Speed of target by 10.0%',100,1,2),
(134598,139785,'Must not be engaged in pvp combat',100,1,3),
(134599,139785,'Cannot be modified except by direct means',100,1,4),
(134600,139785,'The casting time of Psychic Link is 0.25 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(134601,10139785,'Applies Psychic Link when Activated.  Lasts for 18.0 seconds.',100,0,0),
(134602,10139785,'25% of the damage the coercer inflicts to any enemy will be applied as damage to the target',100,1,1),
(134603,10139785,'Decreases Ability Casting Speed of target by 10.0%',100,1,2),
(134604,10139785,'Must not be engaged in pvp combat',100,1,3),
(134605,10139785,'Cannot be modified except by direct means',100,1,4),
(134606,10139785,'The casting time of Psychic Link is 0.25 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(134607,187104,'When Equipped:',100,0,0),
(134608,187104,'On a beneficial spell cast this spell may cast Self-reflect on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(134609,187104,'Heals caster for 158',100,2,2),
(134610,187104,'Cannot be modified except by direct means',100,2,3),
(134611,10187104,'When Equipped:',100,0,0),
(134612,10187104,'On a beneficial spell cast this spell may cast Self-reflect on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(134613,10187104,'Heals caster for 103',100,2,2),
(134614,10187104,'Cannot be modified except by direct means',100,2,3),
(134615,48543,'Applies Summon Timber Wolf when Activated.',100,0,0),
(134616,48543,'Summons a mount to ride',100,1,1),
(134617,48543,'Increases your ground speed by 130%',100,2,2),
(134618,10048543,'Applies Summon Timber Wolf when Activated.',100,0,0),
(134619,10048543,'Summons a mount to ride',100,1,1),
(134620,10048543,'Increases your ground speed by 130%',100,2,2),
(134621,81397,'When Equipped:',100,0,0),
(134622,81397,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(134623,81397,'Inflicts 121 - 225 magic damage on target',100,2,2),
(134624,81397,'Cannot be modified except by direct means',100,2,3),
(134625,10081397,'When Equipped:',100,0,0),
(134626,10081397,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(134627,10081397,'Inflicts 157 - 292 magic damage on target',100,2,2),
(134628,10081397,'Cannot be modified except by direct means',100,2,3),
(134629,83992,'Applies Lightning Shock when Activated.',100,0,0),
(134630,83992,'Inflicts 363 - 605 magic damage on target',100,1,1),
(134631,83992,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(134632,10083992,'Applies Lightning Shock when Activated.',100,0,0),
(134633,10083992,'Inflicts 472 - 787 magic damage on target',100,1,1),
(134634,10083992,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(134635,139420,'When Equipped:',100,0,0),
(134636,139420,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(134637,10139420,'When Equipped:',100,0,0),
(134638,10139420,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(134639,37172,'Increases STR of target by 1.5',100,0,0),
(134640,37172,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(134641,109746,'Inflicts 79 - 146 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(134642,10109746,'Inflicts 102 - 190 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(134643,119881,'Increases INT and AGI of group members (AE) by 59.1',100,1,0),
(134644,119881,'Adds 2.2% to base avoidance.',100,1,1),
(134645,10119881,'Increases INT and AGI of group members (AE) by 59.1',100,1,0),
(134646,10119881,'Adds 2.2% to base avoidance.',100,1,1),
(134647,102025,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(134648,102025,'Wards target against 602 points of all damage',100,2,1),
(134649,10102025,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(134650,10102025,'Wards target against 602 points of all damage',100,2,1),
(134651,52582,'When Equipped:',100,0,0),
(134652,52582,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(134653,52582,'Heals caster for 174 instantly and every 5 seconds',100,2,2),
(134654,52582,'Cannot be modified except by direct means',100,2,3),
(134655,10052582,'When Equipped:',100,0,0),
(134656,10052582,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(134657,10052582,'Heals caster for 113 instantly and every 5 seconds',100,2,2),
(134658,10052582,'Cannot be modified except by direct means',100,2,3),
(134659,121258,'Inflicts 1249 - 1527 heat damage on target encounter',100,1,0),
(134660,10121258,'Inflicts 1624 - 1985 heat damage on target encounter',100,1,0),
(134661,148659,'When Equipped:',100,0,0),
(134662,148659,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134663,148659,'Inflicts 1998 cold damage on target encounter',100,2,2),
(134664,148659,'Must not be engaged in pvp combat',100,2,3),
(134665,148659,'Cannot be modified except by direct means',100,2,4),
(134666,148659,'Must not be engaged in pvp combat',100,1,5),
(134667,10148659,'When Equipped:',100,0,0),
(134668,10148659,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134669,10148659,'Inflicts 1299 cold damage on target encounter',100,2,2),
(134670,10148659,'Must not be engaged in pvp combat',100,2,3),
(134671,10148659,'Cannot be modified except by direct means',100,2,4),
(134672,10148659,'Must not be engaged in pvp combat',100,1,5),
(134673,35744,'Increases STR of target by 1.1',100,0,0),
(134674,35744,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(134675,71922,'When Equipped:',100,0,0),
(134676,71922,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134677,71922,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(134678,71922,'Cannot be modified except by direct means',100,2,3),
(134679,10071922,'When Equipped:',100,0,0),
(134680,10071922,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134681,10071922,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(134682,10071922,'Cannot be modified except by direct means',100,2,3),
(134683,109010,'Decreases Damage Per Second of target by 20.5',100,1,0),
(134684,109010,'Inflicts 200 - 244 melee damage on target',100,1,1),
(134685,10109010,'Decreases Damage Per Second of target by 20.5',100,1,0),
(134686,10109010,'Inflicts 260 - 318 melee damage on target',100,1,1),
(134687,120385,'Decreases Defense of caster by 4.8',100,1,0),
(134688,120385,'Increases Crushing and Ranged of caster by 10.1',100,1,1),
(134689,120385,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(134690,120385,'Inflicts 79 - 131 heat damage on target',100,2,3),
(134691,120385,'Increases Slashing and Piercing of caster by 10.1',100,1,4),
(134692,10120385,'Decreases Defense of caster by 4.8',100,1,0),
(134693,10120385,'Increases Crushing and Ranged of caster by 10.1',100,1,1),
(134694,10120385,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(134695,10120385,'Inflicts 102 - 171 heat damage on target',100,2,3),
(134696,10120385,'Increases Slashing and Piercing of caster by 10.1',100,1,4),
(134697,191846,'When Equipped:',100,0,0),
(134698,191846,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(134699,191846,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(134700,191846,'Must not be engaged in pvp combat',100,2,3),
(134701,191846,'Cannot be modified except by direct means',100,2,4),
(134702,191846,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(134703,191846,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(134704,191846,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(134705,191846,'Must not be engaged in pvp combat',100,2,8),
(134706,191846,'Cannot be modified except by direct means',100,2,9),
(134707,191846,'Must not be engaged in pvp combat',100,1,10),
(134708,10191846,'When Equipped:',100,0,0),
(134709,10191846,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(134710,10191846,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(134711,10191846,'Must not be engaged in pvp combat',100,2,3),
(134712,10191846,'Cannot be modified except by direct means',100,2,4),
(134713,10191846,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(134714,10191846,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(134715,10191846,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(134716,10191846,'Must not be engaged in pvp combat',100,2,8),
(134717,10191846,'Cannot be modified except by direct means',100,2,9),
(134718,10191846,'Must not be engaged in pvp combat',100,1,10),
(134719,111745,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(134720,111745,'Inflicts 671 - 820 cold damage on target',100,2,1),
(134721,111745,'Grants a total of 3 triggers of the spell.',100,2,2),
(134722,10111745,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(134723,10111745,'Inflicts 872 - 1066 cold damage on target',100,2,1),
(134724,10111745,'Grants a total of 3 triggers of the spell.',100,2,2),
(134725,150881,'When Equipped:',100,0,0),
(134726,150881,'On any combat or spell hit this spell may cast Utter Destruction on caster.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(134727,150881,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(134728,150881,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(134729,150881,'Increases Damage Per Second of caster by 45.0',100,2,4),
(134730,150881,'Cannot be modified except by direct means',100,2,5),
(134731,150881,'Cannot be modified except by direct means',100,1,6),
(134732,10150881,'When Equipped:',100,0,0),
(134733,10150881,'On any combat or spell hit this spell may cast Utter Destruction on caster.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(134734,10150881,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(134735,10150881,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(134736,10150881,'Increases Damage Per Second of caster by 45.0',100,2,4),
(134737,10150881,'Cannot be modified except by direct means',100,2,5),
(134738,10150881,'Cannot be modified except by direct means',100,1,6),
(134739,162075,'When Equipped:',100,0,0),
(134740,162075,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(134741,162075,'Increases power of caster by 60',100,2,2),
(134742,162075,'Increases power of caster by 34 every 5 seconds',100,2,3),
(134743,162075,'Cannot be modified except by direct means',100,2,4),
(134744,10162075,'When Equipped:',100,0,0),
(134745,10162075,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(134746,10162075,'Increases power of caster by 60',100,2,2),
(134747,10162075,'Increases power of caster by 34 every 5 seconds',100,2,3),
(134748,10162075,'Cannot be modified except by direct means',100,2,4),
(134749,102003,'Summons 3 limited pets to aid the caster',100,1,0),
(134750,10102003,'Summons 3 limited pets to aid the caster',100,1,0),
(134751,111967,'Inflicts 254 - 310 disease damage on target',100,1,0),
(134752,111967,'Decreases Mitigation of target vs noxious damage by 450',100,1,1),
(134753,10111967,'Inflicts 424 - 518 disease damage on target',100,1,0),
(134754,10111967,'Decreases Mitigation of target vs noxious damage by 450',100,1,1),
(134755,112680,'Increases Parry of group members (AE) by 19.7',100,1,0),
(134756,10112680,'Increases Parry of group members (AE) by 19.7',100,1,0),
(134757,101998,'Summons 2 limited pets to aid the caster',100,1,0),
(134758,101998,'Summons a limited pet to aid the caster',100,1,1),
(134759,10101998,'Summons 3 limited pets to aid the caster',100,1,0),
(134760,111166,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(134761,111166,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2303',100,1,1),
(134762,111166,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,2),
(134763,10111166,'Increases Max Health of group members (AE) by 843.2',100,1,0),
(134764,10111166,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2303',100,1,1),
(134765,10111166,'Increases Mitigation of group members (AE) vs physical damage by 1430',100,1,2),
(134766,37585,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(134767,159455,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(134768,159455,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(134769,159455,'Inflicts 96 heat damage on target',100,2,2),
(134770,159455,'Cannot be modified except by direct means',100,2,3),
(134771,10159455,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(134772,10159455,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(134773,10159455,'Inflicts 124 heat damage on target',100,2,2),
(134774,10159455,'Cannot be modified except by direct means',100,2,3),
(134775,175253,'When Equipped:',100,0,0),
(134776,175253,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(134777,175253,'Heals group members (AE) for 372 - 454',100,2,2),
(134778,175253,'Heals group members (AE) for 80 - 97 every 2 seconds',100,2,3),
(134779,175253,'Must not be engaged in pvp combat',100,2,4),
(134780,175253,'Cannot be modified except by direct means',100,2,5),
(134781,175253,'Cannot be modified except by direct means',100,1,6),
(134782,10175253,'When Equipped:',100,0,0),
(134783,10175253,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(134784,10175253,'Heals group members (AE) for 242 - 295',100,2,2),
(134785,10175253,'Heals group members (AE) for 52 - 63 every 2 seconds',100,2,3),
(134786,10175253,'Must not be engaged in pvp combat',100,2,4),
(134787,10175253,'Cannot be modified except by direct means',100,2,5),
(134788,10175253,'Cannot be modified except by direct means',100,1,6),
(134789,45946,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(134790,45946,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(134791,45946,'Inflicts 82 poison damage on target',100,2,2),
(134792,45946,'Inflicts 42 poison damage on target instantly and every 6 seconds',100,2,3),
(134793,45946,'Cannot be modified except by direct means',100,2,4),
(134794,45946,'Grants a total of 200 triggers of the spell.',100,2,5),
(134795,10045946,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(134796,10045946,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(134797,10045946,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,2),
(134798,10045946,'Inflicts 80 poison damage on target',100,2,3),
(134799,10045946,'Cannot be modified except by direct means',100,2,4),
(134800,10045946,'Grants a total of 200 triggers of the spell.',100,2,5),
(134801,141707,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(134802,141707,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(134803,141707,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(134804,141707,'Cannot be modified except by direct means',100,2,3),
(134805,10141707,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(134806,10141707,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(134807,10141707,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(134808,10141707,'Cannot be modified except by direct means',100,2,3),
(134809,35073,'Increases AGI of target by 1.5',100,0,0),
(134810,35073,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(134811,101268,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(134812,101268,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,1),
(134813,10101268,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(134814,10101268,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,1),
(134815,105169,'Increases AGI of caster by 81.6',100,1,0),
(134816,105169,'Adds 2.2% to base avoidance.',100,1,1),
(134817,105169,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(134818,105169,'Increases Parry of caster by 46.6',100,1,3),
(134819,105169,'Increases Defense of caster by 62.2',100,1,4),
(134820,10105169,'Increases AGI of caster by 81.6',100,1,0),
(134821,10105169,'Adds 2.2% to base avoidance.',100,1,1),
(134822,10105169,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(134823,10105169,'Increases Parry of caster by 46.6',100,1,3),
(134824,10105169,'Increases Defense of caster by 62.2',100,1,4),
(134825,122626,'Makes target afraid',100,1,0),
(134826,122626,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(134827,122626,'Mesmerizes target',100,2,2),
(134828,122626,'Decreases Threat to target by 1,547  instantly and Decreases Threat by 1,547  every 2.2 seconds thereafter',100,2,3),
(134829,122626,'Dispelled when target takes damage',100,2,4),
(134830,122626,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(134831,122626,'Resistibility increases against targets higher than level 104.',100,2,6),
(134832,122626,'30% chance to dispel when target takes damage',100,1,7),
(134833,122626,'Does not affect Epic targets',100,1,8),
(134834,122626,'Resistibility increases against targets higher than level 104.',100,1,9),
(134835,10122626,'Makes target afraid',100,1,0),
(134836,10122626,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(134837,10122626,'Mesmerizes target',100,2,2),
(134838,10122626,'Applies Distract.',100,2,3),
(134839,10122626,'Forces target to clear their selected target.',100,3,4),
(134840,10122626,'Dispelled when target takes damage',100,2,5),
(134841,10122626,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(134842,10122626,'Resistibility increases against targets higher than level 104.',100,2,7),
(134843,10122626,'30% chance to dispel when target takes damage',100,1,8),
(134844,10122626,'Does not affect Epic targets',100,1,9),
(134845,10122626,'Resistibility increases against targets higher than level 104.',100,1,10),
(134846,37048,'Increases AGI of target by 1.5',100,0,0),
(134847,37048,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(134848,124496,'Heals group members (AE) for 1121 - 1371',100,1,0),
(134849,10124496,'Heals group members (AE) for 1312 - 1604',100,1,0),
(134850,35524,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(134851,45204,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(134852,45204,'Heals caster for 143',100,1,1),
(134853,45204,'Heals caster for 72 every 5 seconds',100,1,2),
(134854,10045204,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(134855,10045204,'Heals caster for 93',100,1,1),
(134856,10045204,'Heals caster for 47 every 5 seconds',100,1,2),
(134857,143548,'When Equipped:',100,0,0),
(134858,143548,'Increases Attack Speed of caster by 45.0',100,1,1),
(134859,10143548,'When Equipped:',100,0,0),
(134860,10143548,'Increases Attack Speed of caster by 45.0',100,1,1),
(134861,163455,'When Equipped:',100,0,0),
(134862,163455,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134863,163455,'Inflicts 1998 disease damage on target encounter',100,2,2),
(134864,163455,'Must not be engaged in pvp combat',100,2,3),
(134865,163455,'Cannot be modified except by direct means',100,2,4),
(134866,10163455,'When Equipped:',100,0,0),
(134867,10163455,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(134868,10163455,'Inflicts 1299 disease damage on target encounter',100,2,2),
(134869,10163455,'Must not be engaged in pvp combat',100,2,3),
(134870,10163455,'Cannot be modified except by direct means',100,2,4),
(134871,110299,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(134872,110299,'Slows target by 68.8%',100,2,1),
(134873,110299,'5% chance to dispel when target receives hostile action',100,2,2),
(134874,110299,'5% chance to dispel when target takes damage',100,2,3),
(134875,110299,'Decreases Mitigation of target vs arcane damage by 2080',100,1,4),
(134876,10110299,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(134877,10110299,'Slows target by 68.8%',100,2,1),
(134878,10110299,'5% chance to dispel when target receives hostile action',100,2,2),
(134879,10110299,'5% chance to dispel when target takes damage',100,2,3),
(134880,10110299,'Decreases Mitigation of target vs arcane damage by 2080',100,1,4),
(134881,37581,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(134882,100948,'Dazes target',100,1,0),
(134883,100948,'Inflicts 385 - 471 mental damage on target',100,1,1),
(134884,100948,'Epic targets gain an immunity to Daze effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(134885,100948,'Resistibility increases against targets higher than level 68.',100,1,3),
(134886,10100948,'Dazes target',100,1,0),
(134887,10100948,'Inflicts 501 - 612 mental damage on target',100,1,1),
(134888,10100948,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(134889,10100948,'Resistibility increases against targets higher than level 68.',100,1,3),
(134890,71708,'When Equipped:',100,0,0),
(134891,71708,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134892,71708,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(134893,71708,'Cannot be modified except by direct means',100,2,3),
(134894,10071708,'When Equipped:',100,0,0),
(134895,10071708,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134896,10071708,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(134897,10071708,'Cannot be modified except by direct means',100,2,3),
(134898,102871,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(134899,102871,'Blurs vision of target',100,2,1),
(134900,102871,'Stuns target',100,2,2),
(134901,102871,'Throws target back',100,2,3),
(134902,102871,'Does not affect Epic targets',100,2,4),
(134903,102871,'Inflicts 580 - 1741 melee damage on targets in area',100,1,5),
(134904,10102871,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(134905,10102871,'Stuns target',100,2,1),
(134906,10102871,'Throws target back',100,2,2),
(134907,10102871,'Blurs vision of target',100,2,3),
(134908,10102871,'Does not affect Epic targets',100,2,4),
(134909,10102871,'Inflicts 754 - 2263 melee damage on targets in area',100,1,5),
(134910,105792,'Inflicts 359 - 438 heat damage on target',100,1,0),
(134911,10105792,'Inflicts 622 - 760 heat damage on target',100,1,0),
(134912,105769,'Inflicts 80 - 98 heat damage on target',100,1,0),
(134913,10105769,'Inflicts 138 - 169 heat damage on target',100,1,0),
(134914,110503,'Increases Threat to target by 93  instantly and by 39  every 3 seconds thereafter',100,1,0),
(134915,110503,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(134916,110503,'Stuns target',100,2,2),
(134917,110503,'Throws target back',100,2,3),
(134918,110503,'Blurs vision of target',100,2,4),
(134919,110503,'Does not affect Epic targets',100,2,5),
(134920,110503,'Inflicts 27 - 45 disease damage on target',100,1,6),
(134921,10110503,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(134922,10110503,'Blurs vision of target',100,2,1),
(134923,10110503,'Stuns target',100,2,2),
(134924,10110503,'Throws target back',100,2,3),
(134925,10110503,'Does not affect Epic targets',100,2,4),
(134926,10110503,'Forces target to change their selected target to caster.',100,1,5),
(134927,10110503,'Inflicts 29 - 49 disease damage on target',100,1,6),
(134928,10110503,'Prevents target from changing targets',100,1,7),
(134929,102821,'Summons 3 limited pets to aid the caster',100,1,0),
(134930,10102821,'Summons 3 limited pets to aid the caster',100,1,0),
(134931,124135,'Inflicts 105 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(134932,124135,'Applies Banshee''s Scream on termination.',100,1,1),
(134933,124135,'Inflicts 315 - 526 disease damage on target',100,2,2),
(134934,10124135,'Inflicts 137 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(134935,10124135,'Applies Banshee''s Scream on termination.',100,1,1),
(134936,10124135,'Inflicts 410 - 683 disease damage on target',100,2,2),
(134937,170649,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(134938,170649,'Decreases INT, STR, AGI and WIS of target by 35.1',100,1,1),
(134939,170649,'Decreases Max Health of target by 1.0%',100,1,2),
(134940,170649,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(134941,10170649,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(134942,10170649,'Decreases INT, STR, AGI and WIS of target by 35.1',100,1,1),
(134943,10170649,'Decreases Max Health of target by 1.0%',100,1,2),
(134944,10170649,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(134945,117044,'Inflicts 65 - 109 melee damage on target',100,1,0),
(134946,117044,'Decreases Attack Speed of target by 16.1',100,1,1),
(134947,10117044,'Inflicts 85 - 142 melee damage on target',100,1,0),
(134948,10117044,'Decreases Attack Speed of target by 16.1',100,1,1),
(134949,73667,'When Equipped:',100,0,0),
(134950,73667,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(134951,73667,'Reduces healing received by 15.00%',100,2,2),
(134952,73667,'Cannot be modified except by direct means',100,2,3),
(134953,73667,'This effect can only trigger once every 1 second.',100,2,4),
(134954,73667,'Must be engaged in pvp combat',100,1,5),
(134955,10073667,'When Equipped:',100,0,0),
(134956,10073667,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(134957,10073667,'Reduces healing received by 15.00%',100,2,2),
(134958,10073667,'Cannot be modified except by direct means',100,2,3),
(134959,10073667,'This effect can only trigger once every 1 second.',100,2,4),
(134960,10073667,'Must be engaged in pvp combat',100,1,5),
(134961,71656,'When Equipped:',100,0,0),
(134962,71656,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134963,71656,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(134964,71656,'Cannot be modified except by direct means',100,2,3),
(134965,10071656,'When Equipped:',100,0,0),
(134966,10071656,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(134967,10071656,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(134968,10071656,'Cannot be modified except by direct means',100,2,3),
(134969,119597,'Increases power of caster by 48 instantly and every 4 seconds',100,1,0),
(134970,10119597,'Increases power of caster by 48 instantly and every 4 seconds',100,1,0),
(134971,53545,'When Equipped:',100,0,0),
(134972,53545,'Increases mental damage done by spells by up to 50.',100,1,1),
(134973,10053545,'When Equipped:',100,0,0),
(134974,10053545,'Increases mental damage done by spells by up to 50.',100,1,1),
(134975,35853,'Increases STR of target by 1.5',100,0,0),
(134976,35853,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(134977,79672,'When Equipped:',100,0,0),
(134978,79672,'On a damage spell hit this spell may cast Gravity Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(134979,79672,'Inflicts 1986 crushing damage on target encounter',100,2,2),
(134980,79672,'Interrupts target encounter',100,2,3),
(134981,79672,'Cannot be modified except by direct means',100,2,4),
(134982,79672,'When Equipped:',100,0,5),
(134983,79672,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(134984,79672,'Inflicts 2648 magic damage on target',100,2,7),
(134985,79672,'Cannot be modified except by direct means',100,2,8),
(134986,10079672,'When Equipped:',100,0,0),
(134987,10079672,'On a damage spell hit this spell may cast Gravity Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(134988,10079672,'Inflicts 1291 crushing damage on target encounter',100,2,2),
(134989,10079672,'Interrupts target encounter',100,2,3),
(134990,10079672,'Cannot be modified except by direct means',100,2,4),
(134991,10079672,'When Equipped:',100,0,5),
(134992,10079672,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(134993,10079672,'Inflicts 1721 magic damage on target',100,2,7),
(134994,10079672,'Cannot be modified except by direct means',100,2,8),
(134995,113653,'Inflicts 451 - 551 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(134996,113653,'Decreases power of target encounter by 75 - 92 instantly and every 5 seconds',100,1,1),
(134997,113653,'Heals group members (AE) for 288 - 352 instantly and every 5 seconds',100,1,2),
(134998,113653,'Increases power of group members (AE) by 48 - 59 instantly and every 5 seconds',100,1,3),
(134999,10113653,'Inflicts 586 - 716 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(135000,10113653,'Decreases power of target encounter by 75 - 92 instantly and every 5 seconds',100,1,1),
(135001,10113653,'Heals group members (AE) for 187 - 229 instantly and every 5 seconds',100,1,2),
(135002,10113653,'Increases power of group members (AE) by 48 - 59 instantly and every 5 seconds',100,1,3),
(135003,36846,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(135004,46288,'Applies Extended Potion of the Advanced when Activated.  Lasts for 4 hours.',100,0,0),
(135005,46288,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(135006,46288,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(135007,46288,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(135008,46288,'You can only have one experience potion active at a time.',100,1,4),
(135009,10046288,'Applies Extended Potion of the Advanced when Activated.  Lasts for 4 hours.',100,0,0),
(135010,10046288,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(135011,10046288,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(135012,10046288,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(135013,10046288,'You can only have one experience potion active at a time.',100,1,4),
(135014,45875,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(135015,45875,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(135016,45875,'Requires 15 Health to cast.',100,1,2),
(135017,10045875,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(135018,10045875,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(135019,10045875,'Requires 15 Health to cast.',100,1,2),
(135020,177579,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(135021,177579,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(135022,177579,'Heals target for 38 instantly and every 4 seconds',100,2,2),
(135023,177579,'Cannot be modified except by direct means',100,2,3),
(135024,10177579,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(135025,10177579,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(135026,10177579,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(135027,10177579,'Cannot be modified except by direct means',100,2,3),
(135028,120107,'Shapechanges caster into a chaos essence',100,1,0),
(135029,120107,'Increases WIS of caster by 71.1',100,1,1),
(135030,120107,'Grants See Invisibility to caster',100,1,2),
(135031,120107,'Increases Max Health of caster by 311.6',100,1,3),
(135032,120107,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1083',100,1,4),
(135033,10120107,'Shapechanges caster into a chaos essence',100,1,0),
(135034,10120107,'Increases WIS of caster by 71.1',100,1,1),
(135035,10120107,'Grants See Invisibility to caster',100,1,2),
(135036,10120107,'Increases Max Health of caster by 311.6',100,1,3),
(135037,10120107,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1083',100,1,4),
(135038,82593,'When Equipped:',100,0,0),
(135039,82593,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(135040,82593,'Inflicts 118 - 218 magic damage on target',100,2,2),
(135041,82593,'Decreases Threat to target by 259 ',100,2,3),
(135042,82593,'Must be flanking or behind',100,3,4),
(135043,82593,'Increases Threat to target by 259 ',100,2,5),
(135044,82593,'Must be in front of',100,3,6),
(135045,82593,'Cannot be modified except by direct means',100,2,7),
(135046,10082593,'When Equipped:',100,0,0),
(135047,10082593,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(135048,10082593,'Inflicts 153 - 284 magic damage on target',100,2,2),
(135049,10082593,'Cannot be modified except by direct means',100,2,3),
(135050,82228,'When Equipped:',100,0,0),
(135051,82228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135052,82228,'Inflicts 43 - 80 magic damage on target',100,2,2),
(135053,82228,'Cannot be modified except by direct means',100,2,3),
(135054,10082228,'When Equipped:',100,0,0),
(135055,10082228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135056,10082228,'Inflicts 56 - 104 magic damage on target',100,2,2),
(135057,10082228,'Cannot be modified except by direct means',100,2,3),
(135058,113324,'Inflicts 469 - 781 heat damage on target',100,1,0),
(135059,10113324,'Inflicts 923 - 1539 heat damage on target',100,1,0),
(135060,49141,'Applies Winged Sentinel when Activated.',100,0,0),
(135061,49141,'Shapechanges caster into an a toxxulian winged sentinel',100,1,1),
(135062,10049141,'Applies Winged Sentinel when Activated.',100,0,0),
(135063,10049141,'Shapechanges caster into an a toxxulian winged sentinel',100,1,1),
(135064,116830,'Decreases Hate Gain of caster by 16.6%',100,1,0),
(135065,10116830,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(135066,10116830,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(135067,10116830,'This effect can only trigger once every 5 seconds.',100,2,2),
(135068,113892,'Increases power of target by 243',100,1,0),
(135069,10113892,'Increases power of target by 243',100,1,0),
(135070,163907,'When Equipped:',100,0,0),
(135071,163907,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135072,163907,'Decreases Threat to target by 500 ',100,2,2),
(135073,163907,'Cannot be modified except by direct means',100,2,3),
(135074,10163907,'When Equipped:',100,0,0),
(135075,10163907,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135076,10163907,'Cannot be modified except by direct means',100,2,2),
(135077,117542,'Increases AGI, INT and WIS of group members (AE) by 82.9',100,1,0),
(135078,117542,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 317',100,1,1),
(135079,10117542,'Increases AGI, INT and WIS of group members (AE) by 82.9',100,1,0),
(135080,10117542,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 317',100,1,1),
(135081,46427,'Applies Drop Frenzy Root when Activated.',100,0,0),
(135082,46427,'This effect cannot be cast during combat',100,1,1),
(135083,10046427,'Applies Drop Frenzy Root when Activated.',100,0,0),
(135084,10046427,'This effect cannot be cast during combat',100,1,1),
(135085,105946,'Inflicts 193 - 236 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(135086,105946,'Inflicts 451 - 751 disease damage on targets in area',100,1,1),
(135087,10105946,'Inflicts 251 - 307 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(135088,10105946,'Inflicts 586 - 977 disease damage on targets in area',100,1,1),
(135089,88022,'When Equipped:',100,0,0),
(135090,88022,'On a hostile spell cast this spell may cast Absolve Vitae on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(135091,88022,'Inflicts 378 heat damage on target',100,2,2),
(135092,88022,'Heals caster for 314',100,2,3),
(135093,88022,'Cannot be modified except by direct means',100,2,4),
(135094,10088022,'When Equipped:',100,0,0),
(135095,10088022,'On a hostile spell cast this spell may cast Absolve Vitae on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(135096,10088022,'Inflicts 492 heat damage on target',100,2,2),
(135097,10088022,'Heals caster for 204',100,2,3),
(135098,10088022,'Cannot be modified except by direct means',100,2,4),
(135099,109094,'Inflicts 365 - 609 melee damage on target',100,1,0),
(135100,109094,'Inflicts 365 - 609 melee damage on target',100,1,1),
(135101,109094,'Inflicts 365 - 609 melee damage on target',100,1,2),
(135102,109094,'Decreases Mitigation of target vs physical damage by 972',100,1,3),
(135103,10109094,'Inflicts 475 - 792 melee damage on target',100,1,0),
(135104,10109094,'Inflicts 475 - 792 melee damage on target',100,1,1),
(135105,10109094,'Inflicts 475 - 792 melee damage on target',100,1,2),
(135106,10109094,'Decreases Mitigation of target vs physical damage by 972',100,1,3),
(135107,121876,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(135108,121876,'Inflicts 273 - 334 mental damage on target',100,2,1),
(135109,121876,'Decreases Threat to target by 422 - 516 ',100,2,2),
(135110,121876,'If profession other than Fighter',100,3,3),
(135111,10121876,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(135112,10121876,'Inflicts 355 - 434 mental damage on target',100,2,1),
(135113,165106,'When Equipped:',100,0,0),
(135114,165106,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(135115,165106,'Inflicts 2664 disease damage on target encounter',100,2,2),
(135116,165106,'Must not be engaged in pvp combat',100,2,3),
(135117,165106,'Cannot be modified except by direct means',100,2,4),
(135118,10165106,'When Equipped:',100,0,0),
(135119,10165106,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(135120,10165106,'Inflicts 1732 disease damage on target encounter',100,2,2),
(135121,10165106,'Must not be engaged in pvp combat',100,2,3),
(135122,10165106,'Cannot be modified except by direct means',100,2,4),
(135123,118188,'Increases Damage Per Second of group members (AE) by 11.0',100,1,0),
(135124,10118188,'Increases Damage Per Second of group members (AE) by 11.0',100,1,0),
(135125,113329,'Inflicts 237 - 290 divine damage on target encounter',100,1,0),
(135126,113329,'Interrupts target encounter',100,1,1),
(135127,10113329,'Inflicts 308 - 377 divine damage on target encounter',100,1,0),
(135128,10113329,'Interrupts target encounter',100,1,1),
(135129,163393,'When Equipped:',100,0,0),
(135130,163393,'Reduces cast time of all spells by 2 percent.',100,1,1),
(135131,163393,'When Equipped:',100,0,2),
(135132,163393,'Increases Attack Speed of caster by 35.0',100,1,3),
(135133,10163393,'When Equipped:',100,0,0),
(135134,10163393,'Reduces cast time of all spells by 2 percent.',100,1,1),
(135135,10163393,'When Equipped:',100,0,2),
(135136,10163393,'Increases Attack Speed of caster by 35.0',100,1,3),
(135137,111354,'Inflicts 104 - 174 disease damage on target',100,1,0),
(135138,111354,'Heals caster for 44 - 74',100,1,1),
(135139,10111354,'Inflicts 135 - 226 disease damage on target',100,1,0),
(135140,10111354,'Heals caster for 29 - 48',100,1,1),
(135141,121925,'Inflicts 320 - 533 mental damage on target encounter',100,1,0),
(135142,121925,'Increases power of group members (AE) by 188 - 313',100,1,1),
(135143,10121925,'Inflicts 416 - 694 mental damage on target encounter',100,1,0),
(135144,10121925,'Increases power of group members (AE) by 188 - 313',100,1,1),
(135145,154718,'When Equipped:',100,0,0),
(135146,154718,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(135147,154718,'Decreases Threat to target by 800 ',100,2,2),
(135148,154718,'Cannot be modified except by direct means',100,2,3),
(135149,10154718,'When Equipped:',100,0,0),
(135150,10154718,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(135151,10154718,'Cannot be modified except by direct means',100,2,2),
(135152,112903,'Inflicts 920 - 1124 melee damage on target',100,1,0),
(135153,112903,'Decreases Mitigation of target vs physical damage by 706',100,1,1),
(135154,112903,'Must be flanking or behind',100,1,2),
(135155,10112903,'Inflicts 1196 - 1462 melee damage on target',100,1,0),
(135156,10112903,'Decreases Mitigation of target vs physical damage by 706',100,1,1),
(135157,10112903,'Must be flanking or behind',100,1,2),
(135158,82399,'When Equipped:',100,0,0),
(135159,82399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135160,82399,'Inflicts 167 - 311 magic damage on target',100,2,2),
(135161,82399,'Cannot be modified except by direct means',100,2,3),
(135162,10082399,'When Equipped:',100,0,0),
(135163,10082399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135164,10082399,'Inflicts 217 - 404 magic damage on target',100,2,2),
(135165,10082399,'Cannot be modified except by direct means',100,2,3),
(135166,113004,'Reduces physical damage done to caster by 5%',100,1,0),
(135167,113004,'Increases STA of caster by 163.7',100,1,1),
(135168,113004,'Adds 3.7% to base avoidance.',100,1,2),
(135169,113004,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(135170,113004,'Increases Defense and Aggression of caster by 31.2',100,1,4),
(135171,113004,'Increases Mitigation of caster vs arcane damage by 2086',100,1,5),
(135172,113004,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(135173,10113004,'Reduces physical damage done to caster by 5%',100,1,0),
(135174,10113004,'Increases STA of caster by 163.7',100,1,1),
(135175,10113004,'Adds 3.7% to base avoidance.',100,1,2),
(135176,10113004,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(135177,10113004,'Increases Defense and Aggression of caster by 31.2',100,1,4),
(135178,10113004,'Increases Mitigation of caster vs arcane damage by 2086',100,1,5),
(135179,10113004,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(135180,116455,'Inflicts 167 disease damage on target instantly and every 4 seconds',100,1,0),
(135181,116455,'Inflicts 167 disease damage on target instantly and every 4 seconds',100,1,1),
(135182,116455,'If target is nightblood',100,2,2),
(135183,116455,'Inflicts 167 disease damage on target instantly and every 4 seconds',100,1,3),
(135184,116455,'If target is shadowed folk',100,2,4),
(135185,10116455,'Inflicts 217 disease damage on target instantly and every 4 seconds',100,1,0),
(135186,140033,'When Equipped:',100,0,0),
(135187,140033,'Increases the range and radius of spells by 10% and reduces casting time and power cost by 5%.',100,1,1),
(135188,10140033,'When Equipped:',100,0,0),
(135189,10140033,'Increases the range and radius of spells by 10% and reduces casting time and power cost by 5%.',100,1,1),
(135190,117954,'Heals target for 224 - 274',100,1,0),
(135191,117954,'Increases Max Health of target by 31.2',100,1,1),
(135192,10117954,'Heals target for 257 - 314',100,1,0),
(135193,10117954,'Increases Max Health of target by 31.2',100,1,1),
(135194,109119,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(135195,109119,'Increases Attack Speed of caster by 65.7',100,1,1),
(135196,109119,'Increases Damage Per Second of caster by 75.6',100,1,2),
(135197,109119,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(135198,109119,'Increases Ranged of caster by 84.0',100,1,4),
(135199,109119,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(135200,109119,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(135201,109119,'Increases Crushing of group members (AE) by 84.0',100,2,7),
(135202,109119,'Increases Piercing of group members (AE) by 84.0',100,2,8),
(135203,109119,'If profession other than Ranger',100,3,9),
(135204,109119,'Increases Slashing of group members (AE) by 84.0',100,2,10),
(135205,109119,'If profession other than Ranger',100,3,11),
(135206,10109119,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(135207,10109119,'Increases Attack Speed of caster by 65.7',100,1,1),
(135208,10109119,'Increases Damage Per Second of caster by 75.6',100,1,2),
(135209,10109119,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(135210,10109119,'Increases Ranged of caster by 84.0',100,1,4),
(135211,10109119,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(135212,10109119,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(135213,10109119,'Increases Crushing of group members (AE) by 84.0',100,2,7),
(135214,10109119,'Increases Piercing of group members (AE) by 84.0',100,2,8),
(135215,10109119,'If profession other than Ranger',100,3,9),
(135216,10109119,'Increases Slashing of group members (AE) by 84.0',100,2,10),
(135217,10109119,'If profession other than Ranger',100,3,11),
(135218,116068,'Summons a pet Pegleg, Scourge of the Ykeshan Sea',100,1,0),
(135219,10116068,'Summons a pet Pegleg, Scourge of the Ykeshan Sea',100,1,0),
(135220,35108,'Increases STR of target by 1.5',100,0,0),
(135221,35108,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(135222,105747,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(135223,105747,'Stuns target',100,2,1),
(135224,105747,'Throws target back',100,2,2),
(135225,105747,'Blurs vision of target',100,2,3),
(135226,105747,'Does not affect Epic targets',100,2,4),
(135227,105747,'Inflicts 822 - 1370 melee damage on targets in area',100,1,5),
(135228,10105747,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(135229,10105747,'Stuns target',100,2,1),
(135230,10105747,'Throws target back',100,2,2),
(135231,10105747,'Blurs vision of target',100,2,3),
(135232,10105747,'Does not affect Epic targets',100,2,4),
(135233,10105747,'Inflicts 1068 - 1781 melee damage on targets in area',100,1,5),
(135234,111646,'Inflicts 248 - 303 cold damage on target encounter',100,1,0),
(135235,111646,'Slows target encounter by 37.2%',100,1,1),
(135236,111646,'5% chance to dispel when target takes damage',100,1,2),
(135237,111646,'5% chance to dispel when target receives hostile action',100,1,3),
(135238,10111646,'Inflicts 430 - 526 cold damage on target encounter',100,1,0),
(135239,10111646,'Slows target encounter by 37.2%',100,1,1),
(135240,10111646,'5% chance to dispel when target takes damage',100,1,2),
(135241,10111646,'5% chance to dispel when target receives hostile action',100,1,3),
(135242,106815,'Decreases STR and AGI of target encounter by 133.8',100,1,0),
(135243,10106815,'Decreases STR and AGI of target encounter by 133.8',100,1,0),
(135244,118149,'Inflicts 257 - 429 melee damage on target',100,1,0),
(135245,118149,'Dazes target',100,1,1),
(135246,118149,'If Target is not Epic',100,2,2),
(135247,118149,'Resistibility increases against targets higher than level 69.',100,1,3),
(135248,10118149,'Inflicts 335 - 558 melee damage on target',100,1,0),
(135249,10118149,'Dazes target',100,1,1),
(135250,10118149,'If Target is not Epic',100,2,2),
(135251,10118149,'Resistibility increases against targets higher than level 69.',100,1,3),
(135252,88953,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(135253,88953,'Heals group members (AE) for 600',100,1,1),
(135254,88953,'Heals group members (AE) for 240 every 5 seconds',100,1,2),
(135255,88953,'Increases Mitigation of group members (AE) vs arcane damage by 640',100,1,3),
(135256,88953,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(135257,10088953,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(135258,10088953,'Heals group members (AE) for 390',100,1,1),
(135259,10088953,'Heals group members (AE) for 156 every 5 seconds',100,1,2),
(135260,10088953,'Increases Mitigation of group members (AE) vs arcane damage by 640',100,1,3),
(135261,10088953,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(135262,174026,'When Equipped:',100,0,0),
(135263,174026,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(135264,10174026,'When Equipped:',100,0,0),
(135265,10174026,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(135266,35048,'Increases Max Power of target by 3.3',100,0,0),
(135267,35048,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(135268,115353,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(135269,115353,'Inflicts 4 piercing damage on target',100,2,1),
(135270,10115353,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(135271,10115353,'Inflicts 6 piercing damage on target',100,2,1),
(135272,41421,'When Equipped:',100,0,0),
(135273,41421,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135274,41421,'Inflicts 83 - 154 magic damage on target',100,2,2),
(135275,41421,'Cannot be modified except by direct means',100,2,3),
(135276,10041421,'When Equipped:',100,0,0),
(135277,10041421,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135278,10041421,'Inflicts 108 - 200 magic damage on target',100,2,2),
(135279,10041421,'Cannot be modified except by direct means',100,2,3),
(135280,159749,'When Equipped:',100,0,0),
(135281,159749,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(135282,159749,'Increases AGI of caster by 12.2',100,2,2),
(135283,159749,'Increases Attack Speed of caster by 17.5',100,2,3),
(135284,159749,'Cannot be modified except by direct means',100,2,4),
(135285,10159749,'When Equipped:',100,0,0),
(135286,10159749,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(135287,10159749,'Increases AGI of caster by 12.2',100,2,2),
(135288,10159749,'Increases Attack Speed of caster by 17.5',100,2,3),
(135289,10159749,'Cannot be modified except by direct means',100,2,4),
(135290,109114,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(135291,109114,'Increases Attack Speed of caster by 44.0',100,1,1),
(135292,109114,'Increases Damage Per Second of caster by 50.6',100,1,2),
(135293,109114,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(135294,109114,'Increases Ranged of caster by 47.5',100,1,4),
(135295,109114,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(135296,109114,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(135297,109114,'Increases Crushing of group members (AE) by 47.5',100,2,7),
(135298,109114,'Increases Piercing of group members (AE) by 47.5',100,2,8),
(135299,109114,'If profession other than Ranger',100,3,9),
(135300,109114,'Increases Slashing of group members (AE) by 47.5',100,2,10),
(135301,109114,'If profession other than Ranger',100,3,11),
(135302,10109114,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(135303,10109114,'Increases Attack Speed of caster by 44.0',100,1,1),
(135304,10109114,'Increases Damage Per Second of caster by 50.6',100,1,2),
(135305,10109114,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(135306,10109114,'Increases Ranged of caster by 47.5',100,1,4),
(135307,10109114,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(135308,10109114,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(135309,10109114,'Increases Crushing of group members (AE) by 47.5',100,2,7),
(135310,10109114,'Increases Piercing of group members (AE) by 47.5',100,2,8),
(135311,10109114,'If profession other than Ranger',100,3,9),
(135312,10109114,'Increases Slashing of group members (AE) by 47.5',100,2,10),
(135313,10109114,'If profession other than Ranger',100,3,11),
(135314,124058,'Increases power of caster by 158',100,1,0),
(135315,10124058,'Increases power of caster by 158',100,1,0),
(135316,162722,'Applies Unstable Magics when Equipped.',100,0,0),
(135317,162722,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(135318,10162722,'Applies Unstable Magics when Equipped.',100,0,0),
(135319,10162722,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(135320,109871,'Increases Defense of group members (AE) by 18.0',100,1,0),
(135321,10109871,'Increases Defense of group members (AE) by 18.0',100,1,0),
(135322,102760,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(135323,102760,'Inflicts 709 - 1182 divine damage on target',100,2,1),
(135324,102760,'Inflicts 608 - 1013 divine damage on target',100,2,2),
(135325,102760,'If target is undead',100,3,3),
(135326,102760,'Stuns target',100,2,4),
(135327,102760,'If Target is not Epic',100,3,5),
(135328,10102760,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(135329,10102760,'Inflicts 1382 - 2304 divine damage on target',100,2,1),
(135330,10102760,'Stuns target',100,2,2),
(135331,10102760,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(135332,183281,'When Equipped:',100,0,0),
(135333,183281,'On any combat or spell hit this spell may cast Indomitable Claws of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(135334,183281,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,2),
(135335,183281,'Increases Ability Reuse Speed of caster by 7.0%',100,2,3),
(135336,183281,'Increases Potency of caster by 15.0%',100,2,4),
(135337,183281,'Decreases Threat to target by 8,075 - 8,925 ',100,2,5),
(135338,183281,'Must not be engaged in pvp combat',100,2,6),
(135339,183281,'Cannot be modified except by direct means',100,2,7),
(135340,183281,'On a hostile spell cast this spell may cast Indomitable Claws of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(135341,183281,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,9),
(135342,183281,'Increases Ability Reuse Speed of caster by 7.0%',100,2,10),
(135343,183281,'Increases Potency of caster by 15.0%',100,2,11),
(135344,183281,'Decreases Threat to target by 8,075 - 8,925 ',100,2,12),
(135345,183281,'Must not be engaged in pvp combat',100,2,13),
(135346,183281,'Cannot be modified except by direct means',100,2,14),
(135347,183281,'Cannot be modified except by direct means',100,1,15),
(135348,10183281,'When Equipped:',100,0,0),
(135349,10183281,'On any combat or spell hit this spell may cast Indomitable Claws of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(135350,10183281,'Inflicts 4381 - 13143 piercing damage on target instantly and every 5 seconds',100,2,2),
(135351,10183281,'Increases Ability Reuse Speed of caster by 7.0%',100,2,3),
(135352,10183281,'Increases Potency of caster by 15.0%',100,2,4),
(135353,10183281,'Must not be engaged in pvp combat',100,2,5),
(135354,10183281,'Cannot be modified except by direct means',100,2,6),
(135355,10183281,'On a hostile spell cast this spell may cast Indomitable Claws of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(135356,10183281,'Inflicts 4381 - 13143 piercing damage on target instantly and every 5 seconds',100,2,8),
(135357,10183281,'Increases Ability Reuse Speed of caster by 7.0%',100,2,9),
(135358,10183281,'Increases Potency of caster by 15.0%',100,2,10),
(135359,10183281,'Must not be engaged in pvp combat',100,2,11),
(135360,10183281,'Cannot be modified except by direct means',100,2,12),
(135361,10183281,'Cannot be modified except by direct means',100,1,13),
(135362,100559,'Heals group members (AE) for 1213 - 1483',100,1,0),
(135363,10100559,'Heals group members (AE) for 2650 - 3239',100,1,0),
(135364,110162,'Applies Untreated Bleeding on termination.',100,1,0),
(135365,110162,'Inflicts 134 - 223 piercing damage on target',100,2,1),
(135366,110162,'Inflicts 29 - 48 piercing damage on target instantly and every 4 seconds',100,1,2),
(135367,110162,'Inflicts 19 - 31 melee damage on target',100,1,3),
(135368,10110162,'Applies Untreated Bleeding on termination.',100,1,0),
(135369,10110162,'Inflicts 174 - 290 piercing damage on target',100,2,1),
(135370,10110162,'Inflicts 37 - 62 piercing damage on target instantly and every 4 seconds',100,1,2),
(135371,10110162,'Inflicts 24 - 41 melee damage on target',100,1,3),
(135372,54564,'When Equipped:',100,0,0),
(135373,54564,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(135374,54564,'Increases power of target by 29',100,2,2),
(135375,54564,'Cannot be modified except by direct means',100,2,3),
(135376,10054564,'When Equipped:',100,0,0),
(135377,10054564,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(135378,10054564,'Increases power of target by 29',100,2,2),
(135379,10054564,'Cannot be modified except by direct means',100,2,3),
(135380,121182,'Grants stealth to caster',100,1,0),
(135381,121182,'Suspends caster''s movement speed enhancements',100,1,1),
(135382,121182,'Decreases Threat to target by 225 - 376 ',100,1,2),
(135383,10121182,'Forces target to clear their selected target.',100,1,0),
(135384,10121182,'Grants stealth to caster',100,1,1),
(135385,10121182,'Suspends caster''s movement speed enhancements',100,1,2),
(135386,116959,'Increases Threat to target by 584 - 714 ',100,1,0),
(135387,116959,'Interrupts target',100,1,1),
(135388,10116959,'Forces target to change their selected target to caster.',100,1,0),
(135389,10116959,'Interrupts target',100,1,1),
(135390,10116959,'Prevents target from changing targets',100,1,2),
(135391,52984,'When Equipped:',100,0,0),
(135392,52984,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(135393,52984,'Increases Attack Speed of caster by 6.0',100,2,2),
(135394,52984,'Increases Damage Per Second of caster by 9.0',100,2,3),
(135395,52984,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(135396,52984,'Must not be engaged in pvp combat',100,2,5),
(135397,52984,'Cannot be modified except by direct means',100,2,6),
(135398,52984,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(135399,52984,'Cannot be modified except by direct means',100,1,8),
(135400,10052984,'When Equipped:',100,0,0),
(135401,10052984,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(135402,10052984,'Increases Attack Speed of caster by 6.0',100,2,2),
(135403,10052984,'Increases Damage Per Second of caster by 9.0',100,2,3),
(135404,10052984,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(135405,10052984,'Must not be engaged in pvp combat',100,2,5),
(135406,10052984,'Cannot be modified except by direct means',100,2,6),
(135407,10052984,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(135408,10052984,'Cannot be modified except by direct means',100,1,8),
(135409,114654,'Increases Threat to target by 28 - 35 ',100,1,0),
(135410,114654,'Interrupts target',100,1,1),
(135411,10114654,'Interrupts target',100,1,0),
(135412,10114654,'Forces target to change their selected target to caster.',100,1,1),
(135413,10114654,'Prevents target from changing targets',100,1,2),
(135414,36113,'Increases INT of target by 1.5',100,0,0),
(135415,36113,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(135416,80994,'When Equipped:',100,0,0),
(135417,80994,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135418,80994,'Inflicts 118 - 218 magic damage on target',100,2,2),
(135419,80994,'Cannot be modified except by direct means',100,2,3),
(135420,10080994,'When Equipped:',100,0,0),
(135421,10080994,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135422,10080994,'Inflicts 153 - 284 magic damage on target',100,2,2),
(135423,10080994,'Cannot be modified except by direct means',100,2,3),
(135424,82630,'When Equipped:',100,0,0),
(135425,82630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135426,82630,'Inflicts 116 - 215 magic damage on target',100,2,2),
(135427,82630,'Cannot be modified except by direct means',100,2,3),
(135428,10082630,'When Equipped:',100,0,0),
(135429,10082630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135430,10082630,'Inflicts 151 - 280 magic damage on target',100,2,2),
(135431,10082630,'Cannot be modified except by direct means',100,2,3),
(135432,108303,'Inflicts 17 - 28 divine damage on target',100,1,0),
(135433,108303,'Heals caster for 7',100,1,1),
(135434,108303,'This effect cannot be critically applied.',100,2,2),
(135435,108303,'The healing of this spell cannot be modified except by direct means',100,1,3),
(135436,10108303,'Inflicts 22 - 36 divine damage on target',100,1,0),
(135437,10108303,'Heals target for 3',100,1,1),
(135438,10108303,'This effect cannot be critically applied.',100,2,2),
(135439,10108303,'The healing of this spell cannot be modified except by direct means',100,1,3),
(135440,100772,'Summons a limited pet to aid the caster',100,1,0),
(135441,10100772,'Summons a limited pet to aid the caster',100,1,0),
(135442,26252,'When Equipped:',100,0,0),
(135443,26252,'Increases In-Combat Power Regeneration of caster by 2.0',100,1,1),
(135444,10026252,'When Equipped:',100,0,0),
(135445,10026252,'Increases In-Combat Power Regeneration of caster by 2.0',100,1,1),
(135446,48797,'Applies Translucent Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(135447,48797,'Increases STA and STR of caster by 47.0',100,1,1),
(135448,48797,'Only affects targets level 50 and above',100,1,2),
(135449,10048797,'Applies Translucent Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(135450,10048797,'Increases STA and STR of caster by 47.0',100,1,1),
(135451,10048797,'Only affects targets level 50 and above',100,1,2),
(135452,47692,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(135453,47692,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(135454,47692,'Caster will harvest a second time on 10.0% of harvests.',100,1,2),
(135455,10047692,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(135456,10047692,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(135457,10047692,'Caster will harvest a second time on 10.0% of harvests.',100,1,2),
(135458,106822,'Decreases STR and AGI of target encounter by 186.6',100,1,0),
(135459,10106822,'Decreases STR and AGI of target encounter by 186.6',100,1,0),
(135460,100339,'Increases Max Health of target by 101.4',100,1,0),
(135461,100339,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.4',100,1,1),
(135462,10100339,'Increases Max Health of target by 101.4',100,1,0),
(135463,10100339,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.4',100,1,1),
(135464,102599,'Increases Threat to target encounter by 437 - 534 ',100,1,0),
(135465,102599,'Interrupts target encounter',100,1,1),
(135466,102599,'Decreases Mitigation of target encounter vs noxious damage by 360',100,1,2),
(135467,10102599,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(135468,10102599,'Prevents target from changing targets',100,2,1),
(135469,10102599,'Forces target to change their selected target to caster.',100,2,2),
(135470,10102599,'Interrupts target encounter',100,1,3),
(135471,10102599,'Decreases Mitigation of target encounter vs noxious damage by 360',100,1,4),
(135472,26520,'When Equipped:',100,0,0),
(135473,26520,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,1),
(135474,26520,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(135475,10026520,'When Equipped:',100,0,0),
(135476,10026520,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,1),
(135477,10026520,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(135478,102319,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(135479,102319,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(135480,102319,'Decreases threat priority of target encounter by 1 position',100,2,2),
(135481,102319,'Decreases Threat to target encounter by 261 ',100,2,3),
(135482,102319,'Grants a total of 3 triggers of the spell.',100,2,4),
(135483,102319,'If profession other than Fighter',100,1,5),
(135484,10102319,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(135485,10102319,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(135486,10102319,'Target cannot target caster for the duration of this effect.',100,2,2),
(135487,10102319,'Forces target to clear their selected target.',100,2,3),
(135488,10102319,'Grants a total of 3 triggers of the spell.',100,2,4),
(135489,10102319,'If profession other than Fighter',100,1,5),
(135490,100866,'Makes target afraid',100,1,0),
(135491,100866,'30% chance to dispel when target takes damage',100,1,1),
(135492,100866,'Does not affect Epic targets',100,1,2),
(135493,100866,'Resistibility increases against targets higher than level 68.',100,1,3),
(135494,10100866,'Makes target afraid',100,1,0),
(135495,10100866,'30% chance to dispel when target takes damage',100,1,1),
(135496,10100866,'Does not affect Epic targets',100,1,2),
(135497,10100866,'Resistibility increases against targets higher than level 68.',100,1,3),
(135498,122009,'Inflicts 361 - 602 melee damage on targets in area',100,1,0),
(135499,122009,'Increases Threat to target encounter by 1,317 ',100,1,1),
(135500,10122009,'Inflicts 470 - 783 melee damage on targets in area',100,1,0),
(135501,10122009,'Prevents target encounter from changing targets',100,1,1),
(135502,10122009,'Forces target encounter to change their selected target to caster.',100,1,2),
(135503,120087,'Inflicts 319 - 532 mental damage on target',100,1,0),
(135504,120087,'Inflicts 319 - 532 mental damage on target',100,1,1),
(135505,120087,'Stifles target',100,1,2),
(135506,120087,'If Target is not Epic',100,2,3),
(135507,120087,'If weapon equipped in Ranged',100,1,4),
(135508,120087,'Resistibility increases against targets higher than level 110.',100,1,5),
(135509,10120087,'Inflicts 362 - 604 mental damage on target',100,1,0),
(135510,10120087,'Inflicts 362 - 604 mental damage on target',100,1,1),
(135511,10120087,'Stifles target',100,1,2),
(135512,10120087,'If Target is not Epic',100,2,3),
(135513,10120087,'If weapon equipped in Ranged',100,1,4),
(135514,10120087,'Resistibility increases against targets higher than level 110.',100,1,5),
(135515,75436,'When Equipped:',100,0,0),
(135516,75436,'On any combat or spell hit this spell may cast Ruinous Slash II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(135517,75436,'Inflicts 124 - 137 heat damage on targets in Area of Effect',100,2,2),
(135518,75436,'Inflicts 49 - 55 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(135519,75436,'Must not be engaged in pvp combat',100,2,4),
(135520,75436,'Cannot be modified except by direct means',100,2,5),
(135521,75436,'Must not be engaged in pvp combat',100,1,6),
(135522,10075436,'When Equipped:',100,0,0),
(135523,10075436,'On any combat or spell hit this spell may cast Ruinous Slash II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(135524,10075436,'Inflicts 161 - 177 heat damage on targets in Area of Effect',100,2,2),
(135525,10075436,'Inflicts 64 - 71 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(135526,10075436,'Must not be engaged in pvp combat',100,2,4),
(135527,10075436,'Cannot be modified except by direct means',100,2,5),
(135528,10075436,'Must not be engaged in pvp combat',100,1,6),
(135529,40777,'When Equipped:',100,0,0),
(135530,40777,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(135531,10040777,'When Equipped:',100,0,0),
(135532,10040777,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(135533,175500,'When Equipped:',100,0,0),
(135534,175500,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(135535,175500,'Increases power of caster by 140',100,2,2),
(135536,175500,'Cannot be modified except by direct means',100,2,3),
(135537,10175500,'When Equipped:',100,0,0),
(135538,10175500,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(135539,10175500,'Increases power of caster by 140',100,2,2),
(135540,10175500,'Cannot be modified except by direct means',100,2,3),
(135541,119644,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(135542,119644,'Stuns target',100,2,1),
(135543,119644,'Blurs vision of target',100,2,2),
(135544,119644,'Throws target back',100,2,3),
(135545,119644,'Does not affect Epic targets',100,2,4),
(135546,119644,'Inflicts 77 - 233 melee damage on target',100,1,5),
(135547,10119644,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(135548,10119644,'Stuns target',100,2,1),
(135549,10119644,'Throws target back',100,2,2),
(135550,10119644,'Blurs vision of target',100,2,3),
(135551,10119644,'Does not affect Epic targets',100,2,4),
(135552,10119644,'Inflicts 101 - 303 melee damage on target',100,1,5),
(135553,117386,'Increases Threat to target by 258 ',100,1,0),
(135554,117386,'Inflicts 48 - 146 melee damage on target',100,1,1),
(135555,10117386,'Forces target to change their selected target to caster.',100,1,0),
(135556,10117386,'Inflicts 42 - 126 melee damage on target',100,1,1),
(135557,46309,'Applies Diamond Hide II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(135558,46309,'25% of all damage received by the caster is prevented.',100,1,1),
(135559,46309,'Must not be engaged in pvp combat',100,1,2),
(135560,46309,'Cannot be modified except by direct means',100,1,3),
(135561,10046309,'Applies Diamond Hide II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(135562,10046309,'25% of all damage received by the caster is prevented.',100,1,1),
(135563,10046309,'Must not be engaged in pvp combat',100,1,2),
(135564,10046309,'Cannot be modified except by direct means',100,1,3),
(135565,102016,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(135566,102016,'Wards target against 390 points of all damage',100,2,1),
(135567,10102016,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(135568,10102016,'Wards target against 390 points of all damage',100,2,1),
(135569,118732,'Inflicts 277 - 462 slashing damage on target',100,1,0),
(135570,118732,'Decreases Slashing, Crushing and Piercing of target by 16.1',100,1,1),
(135571,118732,'Inflicts 114 - 139 slashing damage on target every 5 seconds',100,1,2),
(135572,10118732,'Inflicts 360 - 601 slashing damage on target',100,1,0),
(135573,10118732,'Decreases Slashing, Crushing and Piercing of target by 16.1',100,1,1),
(135574,10118732,'Inflicts 148 - 181 slashing damage on target every 5 seconds',100,1,2),
(135575,123209,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(135576,123209,'Inflicts 111 - 135 disease damage on target',100,2,1),
(135577,123209,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(135578,123209,'This effect cannot be critically applied.',100,3,3),
(135579,123209,'The healing of this spell cannot be modified except by direct means',100,2,4),
(135580,123209,'Grants a total of 5 triggers of the spell.',100,2,5),
(135581,10123209,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(135582,10123209,'Inflicts 144 - 176 disease damage on target',100,2,1),
(135583,10123209,'Heals caster for 1.0 - 1.2% of max health',100,2,2),
(135584,10123209,'This effect cannot be critically applied.',100,3,3),
(135585,10123209,'The healing of this spell cannot be modified except by direct means',100,2,4),
(135586,10123209,'Grants a total of 5 triggers of the spell.',100,2,5),
(135587,156894,'Applies Unstable Magics when Equipped.',100,0,0),
(135588,156894,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(135589,10156894,'Applies Unstable Magics when Equipped.',100,0,0),
(135590,10156894,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(135591,136574,'Applies Blessing of Aniksis when Activated.  Lasts for 5.0 seconds.',100,0,0),
(135592,136574,'Makes caster immune to Stun effects',100,1,1),
(135593,136574,'Makes caster immune to Stifle effects',100,1,2),
(135594,136574,'Makes caster immune to Root effects',100,1,3),
(135595,136574,'Makes caster immune to Fear effects',100,1,4),
(135596,136574,'Prevents caster from changing targets',100,1,5),
(135597,136574,'Makes caster immune to Daze effects',100,1,6),
(135598,136574,'Must be engaged in pvp combat',100,1,7),
(135599,136574,'Only affects targets level 79 and below',100,1,8),
(135600,136574,'The reuse time of Blessing of Aniksis is 30 minutes',100,1,9),
(135601,10136574,'Applies Blessing of Aniksis when Activated.  Lasts for 5.0 seconds.',100,0,0),
(135602,10136574,'Makes caster immune to Stun effects',100,1,1),
(135603,10136574,'Makes caster immune to Stifle effects',100,1,2),
(135604,10136574,'Makes caster immune to Root effects',100,1,3),
(135605,10136574,'Makes caster immune to Fear effects',100,1,4),
(135606,10136574,'Prevents caster from changing targets',100,1,5),
(135607,10136574,'Makes caster immune to Daze effects',100,1,6),
(135608,10136574,'Must be engaged in pvp combat',100,1,7),
(135609,10136574,'Only affects targets level 79 and below',100,1,8),
(135610,10136574,'The reuse time of Blessing of Aniksis is 30 minutes',100,1,9),
(135611,115177,'Heals target for 319 - 390',100,1,0),
(135612,10115177,'Heals target for 432 - 529',100,1,0),
(135613,122678,'Decreases Defense of target by 30.7',100,1,0),
(135614,122678,'Decreases Mitigation of target vs physical damage by 512',100,1,1),
(135615,10122678,'Decreases Defense of target by 30.7',100,1,0),
(135616,10122678,'Decreases Mitigation of target vs physical damage by 512',100,1,1),
(135617,123995,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(135618,123995,'Heals caster for 18.0% of max health instantly and every second',100,2,1),
(135619,123995,'This effect cannot be critically applied.',100,3,2),
(135620,123995,'If target is berserk',100,3,3),
(135621,123995,'Heals caster for 3.6% of max health instantly and every second',100,2,4),
(135622,123995,'This effect cannot be critically applied.',100,3,5),
(135623,123995,'If target is not berserk',100,3,6),
(135624,123995,'The healing of this spell cannot be modified except by direct means',100,2,7),
(135625,123995,'Grants a total of 1 trigger of the spell.',100,2,8),
(135626,10123995,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(135627,10123995,'Heals caster for 9.0% of max health instantly and every second',100,2,1),
(135628,10123995,'This effect cannot be critically applied.',100,3,2),
(135629,10123995,'If target is berserk',100,3,3),
(135630,10123995,'Must not be engaged in pvp combat',100,3,4),
(135631,10123995,'Heals caster for 3.6% of max health instantly and every second',100,2,5),
(135632,10123995,'This effect cannot be critically applied.',100,3,6),
(135633,10123995,'Must be engaged in pvp combat',100,3,7),
(135634,10123995,'If target is berserk',100,3,8),
(135635,10123995,'Heals caster for 1.8% of max health instantly and every second',100,2,9),
(135636,10123995,'This effect cannot be critically applied.',100,3,10),
(135637,10123995,'If target is not berserk',100,3,11),
(135638,10123995,'The healing of this spell cannot be modified except by direct means',100,2,12),
(135639,10123995,'Grants a total of 1 trigger of the spell.',100,2,13),
(135640,159758,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(135641,159758,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(135642,159758,'Inflicts 121 heat damage on target',100,2,2),
(135643,159758,'Cannot be modified except by direct means',100,2,3),
(135644,10159758,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(135645,10159758,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(135646,10159758,'Inflicts 157 heat damage on target',100,2,2),
(135647,10159758,'Cannot be modified except by direct means',100,2,3),
(135648,48790,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(135649,48790,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(135650,48790,'Inflicts 41 poison damage on target',100,2,2),
(135651,48790,'Inflicts 21 poison damage on target instantly and every 6 seconds',100,2,3),
(135652,48790,'Cannot be modified except by direct means',100,2,4),
(135653,48790,'Grants a total of 200 triggers of the spell.',100,2,5),
(135654,10048790,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(135655,10048790,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(135656,10048790,'Inflicts 40 poison damage on target',100,2,2),
(135657,10048790,'Inflicts 21 poison damage on target instantly and every 6 seconds',100,2,3),
(135658,10048790,'Cannot be modified except by direct means',100,2,4),
(135659,10048790,'Grants a total of 200 triggers of the spell.',100,2,5),
(135660,123124,'Inflicts 257 disease damage on targets in Area of Effect',100,1,0),
(135661,123124,'Inflicts 175 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(135662,10123124,'Inflicts 334 disease damage on targets in Area of Effect',100,1,0),
(135663,10123124,'Inflicts 228 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(135664,40870,'When Equipped:',100,0,0),
(135665,40870,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(135666,40870,'Reduces healing received by 15.00%',100,2,2),
(135667,40870,'Cannot be modified except by direct means',100,2,3),
(135668,40870,'This effect can only trigger once every 1 second.',100,2,4),
(135669,40870,'Must be engaged in pvp combat',100,1,5),
(135670,10040870,'When Equipped:',100,0,0),
(135671,10040870,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(135672,10040870,'Reduces healing received by 15.00%',100,2,2),
(135673,10040870,'Cannot be modified except by direct means',100,2,3),
(135674,10040870,'This effect can only trigger once every 1 second.',100,2,4),
(135675,10040870,'Must be engaged in pvp combat',100,1,5),
(135676,73179,'When Equipped:',100,0,0),
(135677,73179,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135678,73179,'Inflicts 166 - 277 magic damage on target',100,2,2),
(135679,73179,'Cannot be modified except by direct means',100,2,3),
(135680,10073179,'When Equipped:',100,0,0),
(135681,10073179,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135682,10073179,'Inflicts 216 - 360 magic damage on target',100,2,2),
(135683,10073179,'Cannot be modified except by direct means',100,2,3),
(135684,141788,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(135685,141788,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(135686,141788,'Inflicts 48 heat damage on target',100,2,2),
(135687,141788,'Cannot be modified except by direct means',100,2,3),
(135688,10141788,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(135689,10141788,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(135690,10141788,'Inflicts 62 heat damage on target',100,2,2),
(135691,10141788,'Cannot be modified except by direct means',100,2,3),
(135692,35906,'Increases Max Power of target by 3.3',100,0,0),
(135693,35906,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(135694,89244,'When Equipped:',100,0,0),
(135695,89244,'On a combat hit this spell may cast Bladeward on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(135696,89244,'Increases Mitigation of caster vs physical damage by 420',100,2,2),
(135697,89244,'Cannot be modified except by direct means',100,2,3),
(135698,10089244,'When Equipped:',100,0,0),
(135699,10089244,'On a combat hit this spell may cast Bladeward on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(135700,10089244,'Increases Mitigation of caster vs physical damage by 420',100,2,2),
(135701,10089244,'Cannot be modified except by direct means',100,2,3),
(135702,43319,'When Equipped:',100,0,0),
(135703,43319,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(135704,43319,'Inflicts 225 - 375 poison damage on target',100,2,2),
(135705,43319,'Cannot be modified except by direct means',100,2,3),
(135706,10043319,'When Equipped:',100,0,0),
(135707,10043319,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(135708,10043319,'Inflicts 292 - 487 poison damage on target',100,2,2),
(135709,10043319,'Cannot be modified except by direct means',100,2,3),
(135710,120527,'Decreases Defense of target by 5.5',100,1,0),
(135711,10120527,'Decreases Defense of target by 5.5',100,1,0),
(135712,122593,'Inflicts 89 - 109 mental damage on target instantly and every 3 seconds',100,1,0),
(135713,122593,'Decreases Mitigation of target vs arcane damage by 530',100,1,1),
(135714,10122593,'Inflicts 116 - 142 mental damage on target instantly and every 3 seconds',100,1,0),
(135715,10122593,'Decreases Mitigation of target vs arcane damage by 530',100,1,1),
(135716,103452,'Blurs vision of target encounter',100,1,0),
(135717,103452,'15% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(135718,103452,'Stuns target',100,2,2),
(135719,103452,'Throws target back',100,2,3),
(135720,103452,'Blurs vision of target',100,2,4),
(135721,103452,'Does not affect Epic targets',100,2,5),
(135722,103452,'Interrupts target encounter',100,1,6),
(135723,10103452,'Interrupts target encounter',100,1,0),
(135724,10103452,'15% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(135725,10103452,'Stuns target',100,2,2),
(135726,10103452,'Throws target back',100,2,3),
(135727,10103452,'Blurs vision of target',100,2,4),
(135728,10103452,'Does not affect Epic targets',100,2,5),
(135729,10103452,'Blurs vision of target encounter',100,1,6),
(135730,113894,'Increases power of target by 284',100,1,0),
(135731,10113894,'Increases power of target by 284',100,1,0),
(135732,111859,'Inflicts 63 - 117 heat damage on target',100,1,0),
(135733,111859,'Inflicts 24 - 44 heat damage on target every 2 seconds',100,1,1),
(135734,10111859,'Inflicts 82 - 152 heat damage on target',100,1,0),
(135735,10111859,'Inflicts 31 - 57 heat damage on target every 2 seconds',100,1,1),
(135736,80829,'When Equipped:',100,0,0),
(135737,80829,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135738,80829,'Inflicts 267 - 496 magic damage on target',100,2,2),
(135739,80829,'Cannot be modified except by direct means',100,2,3),
(135740,10080829,'When Equipped:',100,0,0),
(135741,10080829,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135742,10080829,'Inflicts 347 - 644 magic damage on target',100,2,2),
(135743,10080829,'Cannot be modified except by direct means',100,2,3),
(135744,118481,'Summons a limited pet to aid the caster',100,1,0),
(135745,10118481,'Summons a limited pet to aid the caster',100,1,0),
(135746,112722,'Inflicts 394 - 657 disease damage on target encounter',100,1,0),
(135747,10112722,'Inflicts 513 - 855 disease damage on target encounter',100,1,0),
(135748,47558,'Applies Portable Desk when Activated.  Lasts for 15 minutes.',100,0,0),
(135749,47558,'Summons Engraved Desk',100,1,1),
(135750,47558,'This effect cancels during combat',100,1,2),
(135751,10047558,'Applies Portable Desk when Activated.  Lasts for 15 minutes.',100,0,0),
(135752,10047558,'Summons Engraved Desk',100,1,1),
(135753,10047558,'This effect cancels during combat',100,1,2),
(135754,111973,'Inflicts 339 - 415 disease damage on target',100,1,0),
(135755,111973,'Decreases Mitigation of target vs noxious damage by 561',100,1,1),
(135756,10111973,'Inflicts 567 - 693 disease damage on target',100,1,0),
(135757,10111973,'Decreases Mitigation of target vs noxious damage by 561',100,1,1),
(135761,10122696,'Decreases Slashing, Crushing and Piercing of caster by 1.8',100,1,0),
(135762,10122696,'Increases Defense and Parry of caster by 1.7',100,1,1),
(135763,10122696,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(135764,181806,'When Equipped:',100,0,0),
(135765,181806,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(135766,181806,'Increases Max Health of caster by 1,220.0',100,1,2),
(135767,181806,'Cannot be modified except by direct means',100,1,3),
(135768,10181806,'When Equipped:',100,0,0),
(135769,10181806,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(135770,10181806,'Increases Max Health of caster by 1,220.0',100,1,2),
(135771,10181806,'Cannot be modified except by direct means',100,1,3),
(135772,134489,'When Equipped:',100,0,0),
(135773,134489,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(135774,10134489,'When Equipped:',100,0,0),
(135775,10134489,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(135776,111231,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(135777,111231,'Heals target for 237 - 290',100,2,1),
(135778,10111231,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(135779,10111231,'Heals target for 154 - 188',100,2,1),
(135780,46838,'Applies Major Elemental Ointment when Activated.',100,0,0),
(135781,46838,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(135782,10046838,'Applies Major Elemental Ointment when Activated.',100,0,0),
(135783,10046838,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(135784,100666,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(135785,100666,'Summons a limited pet to aid the caster',100,2,1),
(135786,100666,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(135787,100666,'Heals caster for 341',100,3,3),
(135788,100666,'Wards caster against 436 points of all damage',100,3,4),
(135789,100666,'Grants a total of 1 trigger of the spell.',100,2,5),
(135790,10100666,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(135791,10100666,'Summons a limited pet to aid the caster',100,2,1),
(135792,10100666,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(135793,10100666,'Heals caster for 222',100,3,3),
(135794,10100666,'Wards caster against 436 points of all damage',100,3,4),
(135795,10100666,'Grants a total of 1 trigger of the spell.',100,2,5),
(135796,114820,'Dazes caster',100,1,0),
(135797,114820,'Roots caster',100,1,1),
(135798,114820,'Increases Mitigation of caster vs physical damage by 880',100,1,2),
(135799,10114820,'Dazes caster',100,1,0),
(135800,10114820,'Roots caster',100,1,1),
(135801,10114820,'Increases Mitigation of caster vs physical damage by 880',100,1,2),
(135802,116754,'Increases Max Health of target by 279.3',100,1,0),
(135803,116754,'Increases Max Power of target by 314.4',100,1,1),
(135804,10116754,'Increases Max Health of target by 279.3',100,1,0),
(135805,10116754,'Increases Max Power of target by 314.4',100,1,1),
(135806,54788,'When Equipped:',100,0,0),
(135807,54788,'Has a 2% chance to absorb a melee attack.',100,1,1),
(135808,10054788,'When Equipped:',100,0,0),
(135809,10054788,'Has a 2% chance to absorb a melee attack.',100,1,1),
(135810,159765,'Applies Sanguine Imbued when Equipped.',100,0,0),
(135811,159765,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(135812,159765,'Inflicts 206 heat damage on target',100,2,2),
(135813,159765,'Cannot be modified except by direct means',100,2,3),
(135814,10159765,'Applies Sanguine Imbued when Equipped.',100,0,0),
(135815,10159765,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(135816,10159765,'Inflicts 267 heat damage on target',100,2,2),
(135817,10159765,'Cannot be modified except by direct means',100,2,3),
(135818,47741,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(135819,47741,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(135820,47741,'Decreases WIS of target by 43.0',100,2,2),
(135821,47741,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,3),
(135822,47741,'Cannot be modified except by direct means',100,2,4),
(135823,47741,'Grants a total of 60 triggers of the spell.',100,2,5),
(135824,10047741,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(135825,10047741,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(135826,10047741,'Decreases WIS of target by 43.0',100,2,2),
(135827,10047741,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,3),
(135828,10047741,'Cannot be modified except by direct means',100,2,4),
(135829,10047741,'Grants a total of 60 triggers of the spell.',100,2,5),
(135830,120610,'Inflicts 334 - 621 heat damage on target',100,1,0),
(135831,10120610,'Inflicts 435 - 807 heat damage on target',100,1,0),
(135832,87470,'When Equipped:',100,0,0),
(135833,87470,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135834,87470,'Inflicts 237 - 356 magic damage on target',100,2,2),
(135835,87470,'Cannot be modified except by direct means',100,2,3),
(135836,10087470,'When Equipped:',100,0,0),
(135837,10087470,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(135838,10087470,'Inflicts 308 - 463 magic damage on target',100,2,2),
(135839,10087470,'Cannot be modified except by direct means',100,2,3),
(135840,112652,'Inflicts 206 - 343 disease damage on target',100,1,0),
(135841,112652,'Inflicts 206 - 343 disease damage on target',100,1,1),
(135842,112652,'Roots target',100,1,2),
(135843,112652,'If Target is not Epic',100,2,3),
(135844,112652,'15% chance to dispel when target takes damage',100,1,4),
(135845,112652,'If weapon equipped in Ranged',100,1,5),
(135846,112652,'Resistibility increases against targets higher than level 87.',100,1,6),
(135847,10112652,'Inflicts 175 - 291 disease damage on target',100,1,0),
(135848,10112652,'Inflicts 175 - 291 disease damage on target',100,1,1),
(135849,10112652,'Roots target',100,1,2),
(135850,10112652,'If Target is not Epic',100,2,3),
(135851,10112652,'15% chance to dispel when target takes damage',100,1,4),
(135852,10112652,'If weapon equipped in Ranged',100,1,5),
(135853,10112652,'Resistibility increases against targets higher than level 87.',100,1,6),
(135854,110008,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(135855,110008,'Slows target by 33.4%',100,2,1),
(135856,110008,'5% chance to dispel when target receives hostile action',100,2,2),
(135857,110008,'5% chance to dispel when target takes damage',100,2,3),
(135858,110008,'Inflicts 100 - 123 cold damage on target',100,1,4),
(135859,10110008,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(135860,10110008,'Slows target by 33.4%',100,2,1),
(135861,10110008,'5% chance to dispel when target receives hostile action',100,2,2),
(135862,10110008,'5% chance to dispel when target takes damage',100,2,3),
(135863,10110008,'Inflicts 131 - 160 cold damage on target',100,1,4),
(135864,188152,'When Equipped:',100,0,0),
(135865,188152,'On a beneficial spell cast this spell may cast Indomitable Bite of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(135866,188152,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,2),
(135867,188152,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(135868,188152,'Increases Ability Reuse Speed of caster by 7.0%',100,2,4),
(135869,188152,'Increases Potency of caster by 10.0%',100,2,5),
(135870,188152,'Increases Crit Bonus of caster by 10.0%',100,2,6),
(135871,188152,'Must not be engaged in pvp combat',100,2,7),
(135872,188152,'Cannot be modified except by direct means',100,2,8),
(135873,188152,'On any combat or spell hit this spell may cast Indomitable Bite of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(135874,188152,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,10),
(135875,188152,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,11),
(135876,188152,'Increases Ability Reuse Speed of caster by 7.0%',100,2,12),
(135877,188152,'Increases Potency of caster by 10.0%',100,2,13),
(135878,188152,'Increases Crit Bonus of caster by 10.0%',100,2,14),
(135879,188152,'Must not be engaged in pvp combat',100,2,15),
(135880,188152,'Cannot be modified except by direct means',100,2,16),
(135881,188152,'Cannot be modified except by direct means',100,1,17),
(135882,10188152,'When Equipped:',100,0,0),
(135883,10188152,'On a beneficial spell cast this spell may cast Indomitable Bite of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(135884,10188152,'Inflicts 4381 - 13143 piercing damage on target instantly and every 5 seconds',100,2,2),
(135885,10188152,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(135886,10188152,'Increases Ability Reuse Speed of caster by 7.0%',100,2,4),
(135887,10188152,'Increases Potency of caster by 10.0%',100,2,5),
(135888,10188152,'Increases Crit Bonus of caster by 10.0%',100,2,6),
(135889,10188152,'Must not be engaged in pvp combat',100,2,7),
(135890,10188152,'Cannot be modified except by direct means',100,2,8),
(135891,10188152,'On any combat or spell hit this spell may cast Indomitable Bite of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(135892,10188152,'Inflicts 4381 - 13143 piercing damage on target instantly and every 5 seconds',100,2,10),
(135893,10188152,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,11),
(135894,10188152,'Increases Ability Reuse Speed of caster by 7.0%',100,2,12),
(135895,10188152,'Increases Potency of caster by 10.0%',100,2,13),
(135896,10188152,'Increases Crit Bonus of caster by 10.0%',100,2,14),
(135897,10188152,'Must not be engaged in pvp combat',100,2,15),
(135898,10188152,'Cannot be modified except by direct means',100,2,16),
(135899,10188152,'Cannot be modified except by direct means',100,1,17),
(135900,36333,'Increases STA and WIS of target by 1.1',100,0,0),
(135901,36333,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(135902,103701,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(135903,103701,'Inflicts 99 - 166 disease damage on target',100,2,1),
(135904,103701,'Increases Attack Speed of group members (AE) by 54.2',100,1,2),
(135905,10103701,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(135906,10103701,'Inflicts 129 - 216 disease damage on target',100,2,1),
(135907,10103701,'Increases Attack Speed of group members (AE) by 54.2',100,1,2),
(135908,147432,'When Equipped:',100,0,0),
(135909,147432,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(135910,147432,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(135911,147432,'Applies Dispersion on termination.',100,2,3),
(135912,147432,'Increases power of group members by 188',100,3,4),
(135913,147432,'Cannot be modified except by direct means',100,2,5),
(135914,147432,'Cannot be modified except by direct means',100,1,6),
(135915,10147432,'When Equipped:',100,0,0),
(135916,10147432,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(135917,10147432,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(135918,10147432,'Applies Dispersion on termination.',100,2,3),
(135919,10147432,'Increases power of group members by 188',100,3,4),
(135920,10147432,'Cannot be modified except by direct means',100,2,5),
(135921,10147432,'Cannot be modified except by direct means',100,1,6),
(135922,117661,'Decreases Mitigation of target vs physical damage by 288',100,1,0),
(135923,10117661,'Decreases Mitigation of target vs physical damage by 144',100,1,0),
(135924,100028,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(135925,100028,'Inflicts 178 - 297 melee damage on targets in area',100,2,1),
(135926,100028,'Decreases Defense of caster by 19.2',100,1,2),
(135927,100028,'Increases Slashing, Piercing and Crushing of caster by 27.4',100,1,3),
(135928,10100028,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(135929,10100028,'Inflicts 231 - 386 melee damage on targets in area',100,2,1),
(135930,10100028,'Decreases Defense of caster by 19.2',100,1,2),
(135931,10100028,'Increases Slashing, Piercing and Crushing of caster by 27.4',100,1,3),
(135932,109444,'Inflicts 302 - 369 cold damage on target instantly and every 4 seconds',100,1,0),
(135933,109444,'Decreases Mitigation of target vs elemental damage by 1016',100,1,1),
(135934,10109444,'Inflicts 393 - 480 cold damage on target instantly and every 4 seconds',100,1,0),
(135935,10109444,'Decreases Mitigation of target vs elemental damage by 1016',100,1,1),
(135936,103088,'Decreases Attack Speed of target by 13.8',100,1,0),
(135937,103088,'Inflicts 56 - 93 crushing damage on target',100,1,1),
(135938,10103088,'Decreases Attack Speed of target by 13.8',100,1,0),
(135939,10103088,'Inflicts 73 - 121 crushing damage on target',100,1,1),
(135940,103240,'Reduces physical damage done to caster by 5%',100,1,0),
(135941,103240,'Adds 1.8% to base avoidance.',100,1,1),
(135942,103240,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(135943,103240,'Increases Parry of caster by 20.9',100,1,3),
(135944,103240,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(135945,103240,'Increases Aggression of caster by 15.7',100,1,5),
(135946,103240,'Increases Defense and Deflection of caster by 20.9',100,1,6),
(135947,103240,'Increases Mitigation of caster vs noxious damage by 1392',100,1,7),
(135948,103240,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(135949,10103240,'Reduces physical damage done to caster by 5%',100,1,0),
(135950,10103240,'Adds 1.8% to base avoidance.',100,1,1),
(135951,10103240,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(135952,10103240,'Increases Parry of caster by 20.9',100,1,3),
(135953,10103240,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(135954,10103240,'Increases Aggression of caster by 15.7',100,1,5),
(135955,10103240,'Increases Defense and Deflection of caster by 20.9',100,1,6),
(135956,10103240,'Increases Mitigation of caster vs noxious damage by 1392',100,1,7),
(135957,10103240,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(135958,110099,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(135959,110099,'Inflicts 24 disease damage on target',100,2,1),
(135960,110099,'Heals caster for 12',100,2,2),
(135961,110099,'Decreases INT of target by 81.5',100,1,3),
(135962,110099,'Decreases Attack Speed of target by 25.0',100,1,4),
(135963,110099,'Increases Max Health of target by 11.0%',100,1,5),
(135964,110099,'Increases Hate Gain of target by 25.1%',100,1,6),
(135965,110099,'Increases Aggression of target by 6.9',100,1,7),
(135966,110099,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(135967,110099,'Increases Threat to target encounter by 58 - 71 ',100,2,9),
(135968,110099,'Increases Mitigation of target vs elemental, noxious and arcane damage by 462',100,1,10),
(135969,10110099,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(135970,10110099,'Inflicts 32 disease damage on target',100,2,1),
(135971,10110099,'Heals caster for 8',100,2,2),
(135972,10110099,'Decreases INT of target by 81.5',100,1,3),
(135973,10110099,'Decreases Attack Speed of target by 25.0',100,1,4),
(135974,10110099,'Increases Max Health of target by 11.0%',100,1,5),
(135975,10110099,'Increases Aggression of target by 6.9',100,1,6),
(135976,10110099,'Increases Mitigation of target vs elemental, noxious and arcane damage by 462',100,1,7),
(135977,75973,'When Equipped:',100,0,0),
(135978,75973,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(135979,75973,'Wards group members (AE) against 800 points of all damage',100,2,2),
(135980,75973,'Cannot be modified except by direct means',100,2,3),
(135981,10075973,'When Equipped:',100,0,0),
(135982,10075973,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(135983,10075973,'Wards group members (AE) against 800 points of all damage',100,2,2),
(135984,10075973,'Cannot be modified except by direct means',100,2,3),
(135985,85382,'When Equipped:',100,0,0),
(135986,85382,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(135987,85382,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(135988,85382,'Wards target against 4400 points of all damage',100,2,3),
(135989,85382,'Must not be engaged in pvp combat',100,2,4),
(135990,85382,'Cannot be modified except by direct means',100,2,5),
(135991,85382,'Cannot be modified except by direct means',100,1,6),
(135992,10085382,'When Equipped:',100,0,0),
(135993,10085382,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(135994,10085382,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(135995,10085382,'Wards target against 4400 points of all damage',100,2,3),
(135996,10085382,'Must not be engaged in pvp combat',100,2,4),
(135997,10085382,'Cannot be modified except by direct means',100,2,5),
(135998,10085382,'Cannot be modified except by direct means',100,1,6),
(135999,122758,'Heals group members (AE) for 423 - 517',100,1,0),
(136000,122758,'Increases Max Health of group members (AE) by 83.1',100,1,1),
(136001,10122758,'Heals group members (AE) for 495 - 605',100,1,0),
(136002,10122758,'Increases Max Health of group members (AE) by 83.1',100,1,1),
(136003,118850,'Inflicts 191 - 573 melee damage on target',100,1,0),
(136004,10118850,'Inflicts 248 - 745 melee damage on target',100,1,0),
(136005,120219,'Roots target encounter',100,1,0),
(136006,120219,'15% chance to dispel when target takes damage',100,1,1),
(136007,120219,'Does not affect Epic targets',100,1,2),
(136008,120219,'Resistibility increases against targets higher than level 69.',100,1,3),
(136009,10120219,'Roots target encounter',100,1,0),
(136010,10120219,'15% chance to dispel when target takes damage',100,1,1),
(136011,10120219,'Does not affect Epic targets',100,1,2),
(136012,10120219,'Resistibility increases against targets higher than level 69.',100,1,3),
(136013,109805,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(136014,109805,'Heals group members (AE) for 1052',100,2,1),
(136015,10109805,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(136016,10109805,'Heals group members (AE) for 684',100,2,1),
(136017,100994,'Increases INT of target by 86.9',100,1,0),
(136018,100994,'Increases Attack Speed of target by 38.7',100,1,1),
(136019,100994,'Decreases Defense and Parry of target by 23.9',100,1,2),
(136020,100994,'Increases Slashing, Piercing and Crushing of target by 19.1',100,1,3),
(136021,10100994,'Increases INT of target by 86.9',100,1,0),
(136022,10100994,'Increases Attack Speed of target by 38.7',100,1,1),
(136023,10100994,'Decreases Defense and Parry of target by 23.9',100,1,2),
(136024,10100994,'Increases Slashing, Piercing and Crushing of target by 19.1',100,1,3),
(136025,48779,'Applies Elixir of Vivication  when Activated.',100,0,0),
(136026,48779,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(136027,10048779,'Applies Elixir of Vivication  when Activated.',100,0,0),
(136028,10048779,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(136029,119407,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(136030,119407,'Stuns target',100,2,1),
(136031,119407,'Blurs vision of target',100,2,2),
(136032,119407,'Throws target back',100,2,3),
(136033,119407,'Does not affect Epic targets',100,2,4),
(136034,119407,'Inflicts 158 - 264 melee damage on target',100,1,5),
(136035,119407,'You must be sneaking to use this ability.',100,1,6),
(136036,10119407,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(136037,10119407,'Blurs vision of target',100,2,1),
(136038,10119407,'Stuns target',100,2,2),
(136039,10119407,'Throws target back',100,2,3),
(136040,10119407,'Does not affect Epic targets',100,2,4),
(136041,10119407,'Inflicts 206 - 344 melee damage on target',100,1,5),
(136042,10119407,'You must be sneaking to use this ability.',100,1,6),
(136043,71762,'When Equipped:',100,0,0),
(136044,71762,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136045,71762,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(136046,71762,'Cannot be modified except by direct means',100,2,3),
(136047,10071762,'When Equipped:',100,0,0),
(136048,10071762,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136049,10071762,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(136050,10071762,'Cannot be modified except by direct means',100,2,3),
(136051,108632,'Feigns Death with 94% chance of success',100,1,0),
(136052,10108632,'Feigns Death with 94% chance of success',100,1,0),
(136053,117956,'Heals target for 330 - 403',100,1,0),
(136054,117956,'Increases Max Health of target by 46.0',100,1,1),
(136055,10117956,'Heals target for 378 - 462',100,1,0),
(136056,10117956,'Increases Max Health of target by 46.0',100,1,1),
(136057,101807,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(136058,101807,'Decreases Threat to target by 743 ',100,2,1),
(136059,10101807,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(136060,10101807,'Inflicts 66 - 73 crushing damage on target',100,2,1),
(136061,122230,'Increases Damage Per Second of target by 36.0',100,1,0),
(136062,122230,'Increases Max Health of target by 1,216.8',100,1,1),
(136063,10122230,'Increases Damage Per Second of target by 36.0',100,1,0),
(136064,10122230,'Increases Max Health of target by 1,216.8',100,1,1),
(136065,46818,'Applies Antonican Glory when Activated.',100,0,0),
(136066,46818,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(136067,10046818,'Applies Antonican Glory when Activated.',100,0,0),
(136068,10046818,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(136069,24715,'Adds Spiroc (Guardian) to your Dungeon Maker toolbox',100,0,0),
(136070,10024715,'Adds Spiroc (Guardian) to your Dungeon Maker toolbox',100,0,0),
(136071,101510,'Increases WIS of target by 32.8',100,1,0),
(136072,101510,'Increases Max Health of target by 246.5',100,1,1),
(136073,101510,'Increases Mitigation of target vs elemental, noxious and arcane damage by 91',100,1,2),
(136074,10101510,'Increases WIS of target by 32.8',100,1,0),
(136075,10101510,'Increases Max Health of target by 246.5',100,1,1),
(136076,10101510,'Increases Mitigation of target vs elemental, noxious and arcane damage by 91',100,1,2),
(136077,122609,'Inflicts 212 - 259 mental damage on target instantly and every 3 seconds',100,1,0),
(136078,122609,'Decreases Mitigation of target vs arcane damage by 1267',100,1,1),
(136079,10122609,'Inflicts 276 - 337 mental damage on target instantly and every 3 seconds',100,1,0),
(136080,10122609,'Decreases Mitigation of target vs arcane damage by 1267',100,1,1),
(136081,146205,'When Equipped:',100,0,0),
(136082,146205,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(136083,146205,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(136084,146205,'Inflicts 281 mental damage on target',100,2,3),
(136085,146205,'Must not be classified as a goblin',100,3,4),
(136086,146205,'Inflicts 562 mental damage on target',100,2,5),
(136087,146205,'Must be classified as a goblin',100,3,6),
(136088,146205,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(136089,146205,'Must be classified as a goblin',100,3,8),
(136090,146205,'Cannot be modified except by direct means',100,2,9),
(136091,10146205,'When Equipped:',100,0,0),
(136092,10146205,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(136093,10146205,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(136094,10146205,'Inflicts 365 mental damage on target',100,2,3),
(136095,10146205,'Must not be classified as a goblin',100,3,4),
(136096,10146205,'Inflicts 731 mental damage on target',100,2,5),
(136097,10146205,'Must be classified as a goblin',100,3,6),
(136098,10146205,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(136099,10146205,'Must be classified as a goblin',100,3,8),
(136100,10146205,'Cannot be modified except by direct means',100,2,9),
(136101,25290,'When Equipped:',100,0,0),
(136102,25290,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136103,25290,'Reduces the reuse time of Assassinate IV by 120 seconds.',100,1,2),
(136104,10025290,'When Equipped:',100,0,0),
(136105,10025290,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136106,10025290,'Reduces the reuse time of Assassinate IV by 120 seconds.',100,1,2),
(136107,103921,'Wards group members (AE) collectively against 1325 total points of all damage',100,1,0),
(136108,10103921,'Wards group members (AE) collectively against 1974 total points of all damage',100,1,0),
(136109,75154,'When Equipped:',100,0,0),
(136110,75154,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(136111,10075154,'When Equipped:',100,0,0),
(136112,10075154,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(136113,183206,'When Equipped:',100,0,0),
(136114,183206,'Increases Attack Speed of caster by 40.0',100,1,1),
(136115,10183206,'When Equipped:',100,0,0),
(136116,10183206,'Increases Attack Speed of caster by 40.0',100,1,1),
(136117,46920,'Applies Siphon when Activated.',100,0,0),
(136118,46920,'Inflicts 500 mental damage on target',100,1,1),
(136119,10046920,'Applies Siphon when Activated.',100,0,0),
(136120,10046920,'Inflicts 650 mental damage on target',100,1,1),
(136121,107494,'Inflicts 696 - 2089 magic damage on targets in Area of Effect',100,1,0),
(136122,107494,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(136123,107494,'Stuns target',100,2,2),
(136124,107494,'Throws target back',100,2,3),
(136125,107494,'Blurs vision of target',100,2,4),
(136126,107494,'Does not affect Epic targets',100,2,5),
(136127,10107494,'Inflicts 905 - 2716 magic damage on targets in Area of Effect',100,1,0),
(136128,10107494,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(136129,10107494,'Stuns target',100,2,2),
(136130,10107494,'Throws target back',100,2,3),
(136131,10107494,'Blurs vision of target',100,2,4),
(136132,10107494,'Does not affect Epic targets',100,2,5),
(136133,105717,'Decreases Attack Speed of target encounter by 14.4',100,1,0),
(136134,105717,'Slows target encounter by 19.4%',100,1,1),
(136135,10105717,'Decreases Attack Speed of target encounter by 14.4',100,1,0),
(136136,10105717,'Slows target encounter by 19.4%',100,1,1),
(136137,173451,'When Equipped:',100,0,0),
(136138,173451,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136139,173451,'Wards target against 2800 points of all damage',100,2,2),
(136140,173451,'Cannot be modified except by direct means',100,2,3),
(136141,10173451,'When Equipped:',100,0,0),
(136142,10173451,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136143,10173451,'Wards target against 2800 points of all damage',100,2,2),
(136144,10173451,'Cannot be modified except by direct means',100,2,3),
(136145,112349,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(136146,112349,'Inflicts 198 - 330 piercing damage on target',100,2,1),
(136147,10112349,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(136148,10112349,'Inflicts 135 - 225 piercing damage on target',100,2,1),
(136149,116790,'Increases STR, AGI, WIS and INT of target by 50.6',100,1,0),
(136150,116790,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136151,116790,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(136152,116790,'Increases Damage Per Second of target by 39.1',100,2,3),
(136153,116790,'Increases Attack Speed of target by 39.1',100,2,4),
(136154,116790,'Adds 1.9% to base avoidance.',100,1,5),
(136155,116790,'Increases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,6),
(136156,10116790,'Increases STR, AGI, WIS and INT of target by 50.6',100,1,0),
(136157,10116790,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136158,10116790,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(136159,10116790,'Increases Damage Per Second of target by 39.1',100,2,3),
(136160,10116790,'Increases Attack Speed of target by 39.1',100,2,4),
(136161,10116790,'Adds 1.9% to base avoidance.',100,1,5),
(136162,10116790,'Increases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,6),
(136163,104268,'Increases Mitigation of group members (AE) vs physical damage by 804',100,1,0),
(136164,10104268,'Increases Mitigation of group members (AE) vs physical damage by 804',100,1,0),
(136165,104339,'Charms target',100,1,0),
(136166,104339,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(136167,104339,'Mesmerizes target',100,2,2),
(136168,104339,'Dispelled when target takes damage',100,2,3),
(136169,104339,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(136170,104339,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(136171,104339,'Grants Sonic Vision to caster',100,2,6),
(136172,104339,'Increases Out-of-Combat Power Regeneration of target by 7.7',100,1,7),
(136173,104339,'Increases Out-of-Combat Health Regeneration of target by 15.4',100,1,8),
(136174,104339,'Certain enemies cannot be charmed',100,1,9),
(136175,104339,'Does not affect Epic targets',100,1,10),
(136176,10104339,'Mesmerizes target',100,1,0),
(136177,10104339,'Prevents AOE (except when direct) ',100,1,1),
(136178,10104339,'Dispelled when target takes damage',100,1,2),
(136179,10104339,'Certain enemies cannot be charmed',100,1,3),
(136180,10104339,'Does not affect Epic targets',100,1,4),
(136181,10104339,'Resistibility increases against targets higher than level 49.',100,1,5),
(136182,104463,'Interrupts target encounter',100,1,0),
(136183,104463,'Applies Stumble on termination.',100,1,1),
(136184,104463,'Interrupts target',100,2,2),
(136185,104463,'Inflicts 273 - 333 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(136186,10104463,'Interrupts target encounter',100,1,0),
(136187,10104463,'Applies Stumble on termination.',100,1,1),
(136188,10104463,'Interrupts target',100,2,2),
(136189,10104463,'Inflicts 355 - 434 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(136190,118725,'Inflicts 143 - 238 slashing damage on target',100,1,0),
(136191,118725,'Decreases Slashing, Crushing and Piercing of target by 8.7',100,1,1),
(136192,118725,'Inflicts 59 - 72 slashing damage on target every 5 seconds',100,1,2),
(136193,10118725,'Inflicts 186 - 310 slashing damage on target',100,1,0),
(136194,10118725,'Decreases Slashing, Crushing and Piercing of target by 8.7',100,1,1),
(136195,10118725,'Inflicts 77 - 94 slashing damage on target every 5 seconds',100,1,2),
(136196,116412,'Heals target for 610 - 746 instantly and every 2 seconds',100,1,0),
(136197,10116412,'Heals target for 397 - 485 instantly and every 2 seconds',100,1,0),
(136198,165226,'When Equipped:',100,0,0),
(136199,165226,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(136200,165226,'Stuns target',100,2,2),
(136201,165226,'Only affects targets level 88 and below',100,2,3),
(136202,165226,'Does not affect Epic targets',100,2,4),
(136203,165226,'Resistibility increases against targets higher than level 109.',100,2,5),
(136204,165226,'Cannot be modified except by direct means',100,2,6),
(136205,10165226,'When Equipped:',100,0,0),
(136206,10165226,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(136207,10165226,'Stuns target',100,2,2),
(136208,10165226,'Only affects targets level 88 and below',100,2,3),
(136209,10165226,'Does not affect Epic targets',100,2,4),
(136210,10165226,'Resistibility increases against targets higher than level 109.',100,2,5),
(136211,10165226,'Cannot be modified except by direct means',100,2,6),
(136212,74858,'When Equipped:',100,0,0),
(136213,74858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136214,74858,'Inflicts 169 - 254 magic damage on target',100,2,2),
(136215,74858,'Cannot be modified except by direct means',100,2,3),
(136216,10074858,'When Equipped:',100,0,0),
(136217,10074858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136218,10074858,'Inflicts 220 - 330 magic damage on target',100,2,2),
(136219,10074858,'Cannot be modified except by direct means',100,2,3),
(136220,35921,'Increases AGI of target by 1.5',100,0,0),
(136221,35921,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(136222,26078,'When Equipped:',100,0,0),
(136223,26078,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136224,26078,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(136225,10026078,'When Equipped:',100,0,0),
(136226,10026078,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136227,10026078,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(136228,81923,'When Equipped:',100,0,0),
(136229,81923,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(136230,81923,'Inflicts 408 - 757 magic damage on target',100,2,2),
(136231,81923,'Decreases Threat to target by 994 ',100,2,3),
(136232,81923,'Must be flanking or behind',100,3,4),
(136233,81923,'Increases Threat to target by 994 ',100,2,5),
(136234,81923,'Must be in front of',100,3,6),
(136235,81923,'Cannot be modified except by direct means',100,2,7),
(136236,10081923,'When Equipped:',100,0,0),
(136237,10081923,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(136238,10081923,'Inflicts 530 - 984 magic damage on target',100,2,2),
(136239,10081923,'Cannot be modified except by direct means',100,2,3),
(136240,36152,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(136241,45690,'Applies Klom''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(136242,45690,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(136243,10045690,'Applies Klom''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(136244,10045690,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(136245,109893,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(136246,109893,'Inflicts 42 - 52 poison damage on target instantly and every 4 seconds',100,2,1),
(136247,10109893,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(136248,10109893,'Inflicts 55 - 67 poison damage on target instantly and every 4 seconds',100,2,1),
(136249,35655,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(136250,122633,'Heals target for 134 - 164 every 2 seconds',100,1,0),
(136251,122633,'Wards target against 446 points of all damage',100,1,1),
(136252,122633,'Decreases Attack Speed of target by 25.0',100,1,2),
(136253,122633,'Slows target by 50.0%',100,1,3),
(136254,10122633,'Heals target for 87 - 106 every 2 seconds',100,1,0),
(136255,10122633,'Wards target against 446 points of all damage',100,1,1),
(136256,10122633,'Decreases Attack Speed of target by 25.0',100,1,2),
(136257,10122633,'Slows target by 20.0%',100,1,3),
(136258,78980,'When Equipped:',100,0,0),
(136259,78980,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(136260,10078980,'When Equipped:',100,0,0),
(136261,10078980,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(136262,124269,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(136263,124269,'Increases Attack Speed of target by 17.3',100,2,1),
(136264,124269,'Increases Damage Per Second of target by 17.3',100,2,2),
(136265,124269,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(136266,124269,'Increases Attack Speed of target by 17.3',100,2,4),
(136267,124269,'Increases Damage Per Second of target by 17.3',100,2,5),
(136268,124269,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(136269,124269,'Increases Attack Speed of target by 17.3',100,2,7),
(136270,124269,'Increases Damage Per Second of target by 17.3',100,2,8),
(136271,10124269,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(136272,10124269,'Increases Attack Speed of target by 17.3',100,2,1),
(136273,10124269,'Increases Damage Per Second of target by 17.3',100,2,2),
(136274,10124269,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(136275,10124269,'Increases Attack Speed of target by 17.3',100,2,4),
(136276,10124269,'Increases Damage Per Second of target by 17.3',100,2,5),
(136277,10124269,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(136278,10124269,'Increases Attack Speed of target by 17.3',100,2,7),
(136279,10124269,'Increases Damage Per Second of target by 17.3',100,2,8),
(136280,80695,'When Equipped:',100,0,0),
(136281,80695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136282,80695,'Inflicts 83 - 154 magic damage on target',100,2,2),
(136283,80695,'Cannot be modified except by direct means',100,2,3),
(136284,10080695,'When Equipped:',100,0,0),
(136285,10080695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136286,10080695,'Inflicts 108 - 200 magic damage on target',100,2,2),
(136287,10080695,'Cannot be modified except by direct means',100,2,3),
(136288,45868,'Applies Wings of Flight when Activated.',100,0,0),
(136289,45868,'Increases Disruption, Ordination and Focus of caster by 5.0',100,1,1),
(136290,45868,'Summons a mount to ride',100,1,2),
(136291,45868,'Increases your ground speed by 75%',100,2,3),
(136292,45868,'Increases your air speed by 150%',100,2,4),
(136293,45868,'Increases Aggression, Slashing, Subjugation, Crushing, Piercing, Ranged and Ministration of caster by 5.0',100,1,5),
(136294,10045868,'Applies Wings of Flight when Activated.',100,0,0),
(136295,10045868,'Increases Disruption, Ordination and Focus of caster by 5.0',100,1,1),
(136296,10045868,'Summons a mount to ride',100,1,2),
(136297,10045868,'Increases your ground speed by 75%',100,2,3),
(136298,10045868,'Increases your air speed by 150%',100,2,4),
(136299,10045868,'Increases Aggression, Slashing, Subjugation, Crushing, Piercing, Ranged and Ministration of caster by 5.0',100,1,5),
(136300,81757,'When Equipped:',100,0,0),
(136301,81757,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136302,81757,'Inflicts 164 - 305 magic damage on target',100,2,2),
(136303,81757,'Cannot be modified except by direct means',100,2,3),
(136304,10081757,'When Equipped:',100,0,0),
(136305,10081757,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136306,10081757,'Inflicts 213 - 396 magic damage on target',100,2,2),
(136307,10081757,'Cannot be modified except by direct means',100,2,3),
(136308,121593,'Stuns target encounter',100,1,0),
(136309,121593,'Epic targets gain an immunity to Stun effects of 16.9 seconds and duration is reduced to 1.9 seconds.',100,1,1),
(136310,121593,'Resistibility increases against targets higher than level 73.',100,1,2),
(136311,10121593,'Stuns target encounter',100,1,0),
(136312,10121593,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(136313,10121593,'Resistibility increases against targets higher than level 73.',100,1,2),
(136314,114220,'Inflicts 18 - 22 mental damage on target',100,1,0),
(136315,114220,'Stuns target',100,1,1),
(136316,114220,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(136317,114220,'Resistibility increases against targets higher than level 31.',100,1,3),
(136318,10114220,'Inflicts 23 - 28 mental damage on target',100,1,0),
(136319,10114220,'Requires not being affected by Mesmerize effects.',100,2,1),
(136320,10114220,'Stuns target',100,1,2),
(136321,10114220,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(136322,10114220,'Resistibility increases against targets higher than level 31.',100,1,4),
(136323,123474,'Shapechanges caster into a bear',100,1,0),
(136324,123474,'Increases WIS of caster by 197.1',100,1,1),
(136325,123474,'Grants See Stealth to caster',100,1,2),
(136326,123474,'Increases Max Health of caster by 875.2',100,1,3),
(136327,123474,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2888',100,1,4),
(136328,10123474,'Shapechanges caster into a bear',100,1,0),
(136329,10123474,'Increases WIS of caster by 197.1',100,1,1),
(136330,10123474,'Grants See Stealth to caster',100,1,2),
(136331,10123474,'Increases Max Health of caster by 875.2',100,1,3),
(136332,10123474,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2888',100,1,4),
(136333,114148,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(136334,114148,'Increases Mitigation of group members (AE) vs elemental damage by 1304',100,1,1),
(136335,10114148,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(136336,10114148,'Increases Mitigation of group members (AE) vs elemental damage by 1304',100,1,1),
(136337,108645,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(136338,108645,'Heals target for 416',100,2,1),
(136339,108645,'Heals target for 104 every 2 seconds',100,2,2),
(136340,108645,'Increases AGI of target by 43.0',100,2,3),
(136341,108645,'Grants a total of 1 trigger of the spell.',100,2,4),
(136342,10108645,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(136343,10108645,'Heals target for 270',100,2,1),
(136344,10108645,'Heals target for 67 every 2 seconds',100,2,2),
(136345,10108645,'Increases AGI of target by 43.0',100,2,3),
(136346,10108645,'Grants a total of 1 trigger of the spell.',100,2,4),
(136347,178867,'When Equipped:',100,0,0),
(136348,178867,'Reduces maximum falling speed of caster',100,1,1),
(136349,10178867,'When Equipped:',100,0,0),
(136350,10178867,'Reduces maximum falling speed of caster',100,1,1),
(136351,124412,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(136352,124412,'Inflicts 266 - 443 melee damage on target',100,2,1),
(136353,124412,'Grants a total of 3 triggers of the spell.',100,2,2),
(136354,10124412,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(136355,10124412,'Inflicts 346 - 577 melee damage on target',100,2,1),
(136356,10124412,'Grants a total of 3 triggers of the spell.',100,2,2),
(136357,40861,'When Equipped:',100,0,0),
(136358,40861,'On a critical combat hit this spell may cast Imposing Righteousness IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136359,40861,'Decreases Potency of target by 2.0%',100,2,2),
(136360,40861,'Increases Potency of caster by 5.0%',100,2,3),
(136361,40861,'Must not be engaged in pvp combat',100,2,4),
(136362,40861,'Cannot be modified except by direct means',100,2,5),
(136363,40861,'On a critical spell hit this spell may cast Imposing Righteousness IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(136364,40861,'Decreases Potency of target by 2.0%',100,2,7),
(136365,40861,'Increases Potency of caster by 5.0%',100,2,8),
(136366,40861,'Must not be engaged in pvp combat',100,2,9),
(136367,40861,'Cannot be modified except by direct means',100,2,10),
(136368,40861,'Must not be engaged in pvp combat',100,1,11),
(136369,10040861,'When Equipped:',100,0,0),
(136370,10040861,'On a critical combat hit this spell may cast Imposing Righteousness IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136371,10040861,'Decreases Potency of target by 2.0%',100,2,2),
(136372,10040861,'Increases Potency of caster by 5.0%',100,2,3),
(136373,10040861,'Must not be engaged in pvp combat',100,2,4),
(136374,10040861,'Cannot be modified except by direct means',100,2,5),
(136375,10040861,'On a critical spell hit this spell may cast Imposing Righteousness IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(136376,10040861,'Decreases Potency of target by 2.0%',100,2,7),
(136377,10040861,'Increases Potency of caster by 5.0%',100,2,8),
(136378,10040861,'Must not be engaged in pvp combat',100,2,9),
(136379,10040861,'Cannot be modified except by direct means',100,2,10),
(136380,10040861,'Must not be engaged in pvp combat',100,1,11),
(136381,101458,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(136382,101458,'Increases Mitigation of group members (AE) vs arcane damage by 105',100,1,1),
(136383,10101458,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(136384,10101458,'Increases Mitigation of group members (AE) vs arcane damage by 105',100,1,1),
(136385,87451,'When Equipped:',100,0,0),
(136386,87451,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136387,87451,'Inflicts 44 - 66 magic damage on target',100,2,2),
(136388,87451,'Cannot be modified except by direct means',100,2,3),
(136389,10087451,'When Equipped:',100,0,0),
(136390,10087451,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136391,10087451,'Inflicts 57 - 85 magic damage on target',100,2,2),
(136392,10087451,'Cannot be modified except by direct means',100,2,3),
(136393,113077,'Applies Scream on termination.',100,1,0),
(136394,113077,'Inflicts 555 - 925 disease damage on target',100,2,1),
(136395,113077,'Dazes target',100,1,2),
(136396,113077,'If Target is not Epic',100,2,3),
(136397,113077,'Resistibility increases against targets higher than level 103.',100,1,4),
(136398,10113077,'Dazes target',100,1,0),
(136399,10113077,'If Target is not Epic',100,2,1),
(136400,10113077,'Applies Scream on termination.',100,1,2),
(136401,10113077,'Inflicts 721 - 1202 disease damage on target',100,2,3),
(136402,10113077,'Resistibility increases against targets higher than level 103.',100,1,4),
(136403,108930,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(136404,108930,'Inflicts 44 heat damage on target',100,2,1),
(136405,10108930,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(136406,10108930,'Inflicts 58 heat damage on target',100,2,1),
(136407,49069,'Applies Vision Totem of the Butterfly when Activated.  Lasts for 15 minutes.',100,0,0),
(136408,49069,'Grants See Stealth to caster',100,1,1),
(136409,49069,'Only affects targets level 20 and above',100,1,2),
(136410,10049069,'Applies Vision Totem of the Butterfly when Activated.  Lasts for 15 minutes.',100,0,0),
(136411,10049069,'Grants See Stealth to caster',100,1,1),
(136412,10049069,'Only affects targets level 20 and above',100,1,2),
(136413,102135,'Inflicts 63 - 106 melee damage on target',100,1,0),
(136414,102135,'Inflicts 63 - 106 melee damage on target',100,1,1),
(136415,10102135,'Inflicts 82 - 137 melee damage on target',100,1,0),
(136416,10102135,'Inflicts 82 - 137 melee damage on target',100,1,1),
(136417,105742,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(136418,105742,'Stuns target',100,2,1),
(136419,105742,'Throws target back',100,2,2),
(136420,105742,'Blurs vision of target',100,2,3),
(136421,105742,'Does not affect Epic targets',100,2,4),
(136422,105742,'Inflicts 655 - 1092 melee damage on targets in area',100,1,5),
(136423,10105742,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(136424,10105742,'Stuns target',100,2,1),
(136425,10105742,'Throws target back',100,2,2),
(136426,10105742,'Blurs vision of target',100,2,3),
(136427,10105742,'Does not affect Epic targets',100,2,4),
(136428,10105742,'Inflicts 852 - 1420 melee damage on targets in area',100,1,5),
(136429,166524,'Applies Rising Brutality IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(136430,166524,'Increases the Damage Per Second of the caster over time.',100,1,1),
(136431,166524,'Applies Invigorated Haste IX on termination.  Lasts for 30.0 seconds.',100,1,2),
(136432,166524,'Increases Attack Speed of caster by 100.0',100,2,3),
(136433,166524,'Must not be engaged in pvp combat',100,2,4),
(136434,166524,'Cannot be modified except by direct means',100,2,5),
(136435,166524,'Must not be engaged in pvp combat',100,1,6),
(136436,166524,'Cannot be modified except by direct means',100,1,7),
(136437,166524,'The reuse time of Rising Brutality IX is 10 minutes',100,1,8),
(136438,10166524,'Applies Rising Brutality IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(136439,10166524,'Increases the Damage Per Second of the caster over time.',100,1,1),
(136440,10166524,'Applies Invigorated Haste IX on termination.  Lasts for 30.0 seconds.',100,1,2),
(136441,10166524,'Increases Attack Speed of caster by 100.0',100,2,3),
(136442,10166524,'Must not be engaged in pvp combat',100,2,4),
(136443,10166524,'Cannot be modified except by direct means',100,2,5),
(136444,10166524,'Must not be engaged in pvp combat',100,1,6),
(136445,10166524,'Cannot be modified except by direct means',100,1,7),
(136446,10166524,'The reuse time of Rising Brutality IX is 10 minutes',100,1,8),
(136447,72245,'When Equipped:',100,0,0),
(136448,72245,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136449,72245,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(136450,72245,'Cannot be modified except by direct means',100,2,3),
(136451,10072245,'When Equipped:',100,0,0),
(136452,10072245,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136453,10072245,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(136454,10072245,'Cannot be modified except by direct means',100,2,3),
(136455,121208,'Grants stealth to caster',100,1,0),
(136456,121208,'Suspends caster''s movement speed enhancements',100,1,1),
(136457,121208,'Decreases Threat to target by 808 - 1,347 ',100,1,2),
(136458,10121208,'Forces target to clear their selected target.',100,1,0),
(136459,10121208,'Grants stealth to caster',100,1,1),
(136460,10121208,'Suspends caster''s movement speed enhancements',100,1,2),
(136461,103805,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 33.6',100,1,0),
(136462,10103805,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 33.6',100,1,0),
(136463,159792,'Applies Sanguine Imbued when Equipped.',100,0,0),
(136464,159792,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(136465,159792,'Inflicts 84 heat damage on target',100,2,2),
(136466,159792,'Cannot be modified except by direct means',100,2,3),
(136467,10159792,'Applies Sanguine Imbued when Equipped.',100,0,0),
(136468,10159792,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(136469,10159792,'Inflicts 109 heat damage on target',100,2,2),
(136470,10159792,'Cannot be modified except by direct means',100,2,3),
(136471,112550,'Interrupts target',50,1,0),
(136472,112550,'Inflicts 254 - 310 divine damage on target',100,1,1),
(136473,10112550,'Interrupts target',50,1,0),
(136474,10112550,'Inflicts 424 - 518 divine damage on target',100,1,1),
(136475,110629,'Inflicts 635 - 1058 ranged damage on target',100,1,0),
(136476,110629,'If weapon equipped in Ranged',100,1,1),
(136477,110629,'Must be flanking or behind',100,1,2),
(136478,10110629,'Inflicts 394 - 657 ranged damage on target',100,1,0),
(136479,10110629,'If weapon equipped in Ranged',100,1,1),
(136480,10110629,'Must be flanking or behind',100,1,2),
(136481,84578,'When Equipped:',100,0,0),
(136482,84578,'On a critical healing spell cast this spell may cast Amplify Healing on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136483,84578,'Increases the amount of your next healing spell by 25%',100,2,2),
(136484,84578,'Dispelled when target casts a heal spell',100,2,3),
(136485,84578,'Cannot be modified except by direct means',100,2,4),
(136486,10084578,'When Equipped:',100,0,0),
(136487,10084578,'On a critical healing spell cast this spell may cast Amplify Healing on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136488,10084578,'Increases the amount of your next healing spell by 25%',100,2,2),
(136489,10084578,'Dispelled when target casts a heal spell',100,2,3),
(136490,10084578,'Cannot be modified except by direct means',100,2,4),
(136491,35968,'Increases STR of target by 1.5',100,0,0),
(136492,35968,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(136493,103819,'Increases Ability Casting Speed of raid and group members (AE) by 3.8%',100,1,0),
(136494,103819,'Increases Attack Speed of raid and group members (AE) by 9.6',100,1,1),
(136495,10103819,'Increases Ability Casting Speed of raid and group members (AE) by 3.8%',100,1,0),
(136496,10103819,'Increases Attack Speed of raid and group members (AE) by 9.6',100,1,1),
(136497,36960,'Increases WIS of target by 1.5',100,0,0),
(136498,36960,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(136499,48554,'Applies Tinkered Vision Enhancer when Activated.  Lasts for 30 minutes.',100,0,0),
(136500,48554,'Grants Aura Vision to caster',100,1,1),
(136501,48554,'Shapechanges caster into a clockwork gazer',100,1,2),
(136502,48554,'Grants See Stealth to caster',100,1,3),
(136503,48554,'Grants See Invisibility to caster',100,1,4),
(136504,10048554,'Applies Tinkered Vision Enhancer when Activated.  Lasts for 30 minutes.',100,0,0),
(136505,10048554,'Grants Aura Vision to caster',100,1,1),
(136506,10048554,'Shapechanges caster into a clockwork gazer',100,1,2),
(136507,10048554,'Grants See Stealth to caster',100,1,3),
(136508,10048554,'Grants See Invisibility to caster',100,1,4),
(136509,86480,'Applies Disease Blast when Activated.',100,0,0),
(136510,86480,'Inflicts 133 - 222 disease damage on target',100,1,1),
(136511,86480,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(136512,10086480,'Applies Disease Blast when Activated.',100,0,0),
(136513,10086480,'Inflicts 173 - 289 disease damage on target',100,1,1),
(136514,10086480,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(136515,115473,'Summons a pet nightshade',100,1,0),
(136516,10115473,'Summons a pet nightshade',100,1,0),
(136517,100115,'Decreases STR, AGI, WIS and INT of target by 25.2',100,1,0),
(136518,100115,'Decreases Max Health of target by 0.7%',100,1,1),
(136519,10100115,'Decreases STR, AGI, WIS and INT of target by 25.2',100,1,0),
(136520,10100115,'Decreases Max Health of target by 0.7%',100,1,1),
(136521,113547,'Inflicts 403 - 672 disease damage on target',100,1,0),
(136522,10113547,'Inflicts 524 - 873 disease damage on target',100,1,0),
(136523,117391,'Increases Threat to target by 475 ',100,1,0),
(136524,117391,'Inflicts 87 - 261 melee damage on target',100,1,1),
(136525,10117391,'Forces target to change their selected target to caster.',100,1,0),
(136526,10117391,'Inflicts 75 - 226 melee damage on target',100,1,1),
(136527,115053,'Heals target for 1437 - 1756',100,1,0),
(136528,10115053,'Heals target for 2013 - 2460',100,1,0),
(136529,176517,'Applies Circle of Intimidation when Activated.  Lasts for 8.0 seconds.',100,0,0),
(136530,176517,'Applies Circle of Intimidation.',100,1,1),
(136531,176517,'Increases Threat to targets in Area of Effect by 7,110 - 8,690 ',100,2,2),
(136532,176517,'Increases threat priority of targets in Area of Effect by 3 positions',100,2,3),
(136533,176517,'Reduces all damage done to caster by 40%',100,1,4),
(136534,176517,'Must not be engaged in pvp combat',100,1,5),
(136535,176517,'Cannot be modified except by direct means',100,1,6),
(136536,176517,'The casting time of Circle of Intimidation is 0.25 seconds and the reuse time of the spell is 3 minutes',100,1,7),
(136537,10176517,'Applies Circle of Intimidation when Activated.  Lasts for 8.0 seconds.',100,0,0),
(136538,10176517,'Applies Circle of Intimidation.',100,1,1),
(136539,10176517,'Reduces all damage done to caster by 40%',100,1,2),
(136540,10176517,'Must not be engaged in pvp combat',100,1,3),
(136541,10176517,'Cannot be modified except by direct means',100,1,4),
(136542,10176517,'The casting time of Circle of Intimidation is 0.25 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(136543,81155,'When Equipped:',100,0,0),
(136544,81155,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(136545,81155,'Inflicts 226 - 419 magic damage on target',100,2,2),
(136546,81155,'Decreases Threat to target by 517 ',100,2,3),
(136547,81155,'Must be flanking or behind',100,3,4),
(136548,81155,'Increases Threat to target by 517 ',100,2,5),
(136549,81155,'Must be in front of',100,3,6),
(136550,81155,'Cannot be modified except by direct means',100,2,7),
(136551,10081155,'When Equipped:',100,0,0),
(136552,10081155,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(136553,10081155,'Inflicts 293 - 545 magic damage on target',100,2,2),
(136554,10081155,'Cannot be modified except by direct means',100,2,3),
(136555,162771,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(136556,162771,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(136557,162771,'Cannot be modified except by direct means',100,1,2),
(136558,10162771,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(136559,10162771,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(136560,10162771,'Cannot be modified except by direct means',100,1,2),
(136561,158327,'When Equipped:',100,0,0),
(136562,158327,'Regenerates 242 points of shielding every 2 seconds',100,1,1),
(136563,158327,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(136564,158327,'Wards caster against 2420 points of all damage',100,1,3),
(136565,158327,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(136566,158327,'While active Renewing Bulwark is disabled.',100,2,5),
(136567,158327,'Cannot be modified except by direct means',100,2,6),
(136568,158327,'Must not be engaged in pvp combat',100,1,7),
(136569,158327,'Cannot be modified except by direct means',100,1,8),
(136570,158327,'When Equipped:',100,0,9),
(136571,158327,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,10),
(136572,158327,'Increases caster''s chance to block by 3.0%',100,1,11),
(136573,158327,'Increases Health Regeneration of caster by 15.0',100,1,12),
(136574,158327,'Increases Max Health of caster by 1,220.0',100,1,13),
(136575,158327,'Cannot be modified except by direct means',100,1,14),
(136576,10158327,'When Equipped:',100,0,0),
(136577,10158327,'Regenerates 242 points of shielding every 2 seconds',100,1,1),
(136578,10158327,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(136579,10158327,'Wards caster against 2420 points of all damage',100,1,3),
(136580,10158327,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(136581,10158327,'While active Renewing Bulwark is disabled.',100,2,5),
(136582,10158327,'Cannot be modified except by direct means',100,2,6),
(136583,10158327,'Must not be engaged in pvp combat',100,1,7),
(136584,10158327,'Cannot be modified except by direct means',100,1,8),
(136585,10158327,'When Equipped:',100,0,9),
(136586,10158327,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,10),
(136587,10158327,'Increases caster''s chance to block by 3.0%',100,1,11),
(136588,10158327,'Increases Health Regeneration of caster by 15.0',100,1,12),
(136589,10158327,'Increases Max Health of caster by 1,220.0',100,1,13),
(136590,10158327,'Cannot be modified except by direct means',100,1,14),
(136591,70567,'When Equipped:',100,0,0),
(136592,70567,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136593,70567,'Inflicts 278 cold damage on target',100,2,2),
(136594,70567,'Cannot be modified except by direct means',100,2,3),
(136595,10070567,'When Equipped:',100,0,0),
(136596,10070567,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136597,10070567,'Inflicts 362 cold damage on target',100,2,2),
(136598,10070567,'Cannot be modified except by direct means',100,2,3),
(136599,139368,'Applies Pernicious Precision when Activated.  Lasts for 30.0 seconds.',100,0,0),
(136600,139368,'This effect can be toggled off.',100,1,1),
(136601,139368,'Increases Crit Chance of caster by 25.0',100,1,2),
(136602,139368,'Cannot be modified except by direct means',100,1,3),
(136603,139368,'The casting time of Pernicious Precision is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,4),
(136604,139368,'Requires 5 Power to cast and 4 Power every 2.0 seconds.',100,1,5),
(136605,10139368,'Applies Pernicious Precision when Activated.  Lasts for 30.0 seconds.',100,0,0),
(136606,10139368,'This effect can be toggled off.',100,1,1),
(136607,10139368,'Increases Crit Chance of caster by 25.0',100,1,2),
(136608,10139368,'Cannot be modified except by direct means',100,1,3),
(136609,10139368,'The casting time of Pernicious Precision is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,4),
(136610,10139368,'Requires 5 Power to cast and 4 Power every 2.0 seconds.',100,1,5),
(136611,111485,'Increases AGI of caster by 51.6',100,1,0),
(136612,111485,'Increases Attack Speed of caster by 29.6',100,1,1),
(136613,111485,'Increases in-combat movement speed of caster by 6.0%',100,1,2),
(136614,111485,'Adds 18.7% to base avoidance.',100,1,3),
(136615,111485,'Increases Mitigation of caster vs physical damage by 462',100,1,4),
(136616,111485,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,5),
(136617,10111485,'Increases AGI of caster by 51.6',100,1,0),
(136618,10111485,'Increases Attack Speed of caster by 29.6',100,1,1),
(136619,10111485,'Increases speed of caster by 6.0%',100,1,2),
(136620,10111485,'Adds 18.7% to base avoidance.',100,1,3),
(136621,10111485,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,4),
(136622,74762,'When Equipped:',100,0,0),
(136623,74762,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136624,74762,'Inflicts 97 - 145 magic damage on target',100,2,2),
(136625,74762,'Cannot be modified except by direct means',100,2,3),
(136626,10074762,'When Equipped:',100,0,0),
(136627,10074762,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136628,10074762,'Inflicts 126 - 189 magic damage on target',100,2,2),
(136629,10074762,'Cannot be modified except by direct means',100,2,3),
(136630,175123,'Applies Sacrilege when Equipped.',100,0,0),
(136631,175123,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(136632,10175123,'Applies Sacrilege when Equipped.',100,0,0),
(136633,10175123,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(136634,106320,'Decreases INT and STR of target by 53.5',100,1,0),
(136635,10106320,'Decreases INT and STR of target by 53.5',100,1,0),
(136636,51285,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(136637,51285,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(136638,51285,'Inflicts 24 heat damage on target',100,2,2),
(136639,51285,'Cannot be modified except by direct means',100,2,3),
(136640,10051285,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(136641,10051285,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(136642,10051285,'Inflicts 31 heat damage on target',100,2,2),
(136643,10051285,'Cannot be modified except by direct means',100,2,3),
(136644,109555,'Inflicts 9278 - 15463 cold damage on targets in Area of Effect',100,1,0),
(136645,109555,'Throws target back',100,1,1),
(136646,109555,'If Target is not Epic',100,2,2),
(136647,109555,'Stuns targets in Area of Effect',100,1,3),
(136648,109555,'If Target is not Epic',100,2,4),
(136649,109555,'Resistibility increases against targets higher than level 117.',100,1,5),
(136650,10109555,'Inflicts 8041 - 13401 cold damage on targets in Area of Effect',100,1,0),
(136651,10109555,'Throws target back',100,1,1),
(136652,10109555,'If Target is not Epic',100,2,2),
(136653,10109555,'Stuns targets in Area of Effect',100,1,3),
(136654,10109555,'If Target is not Epic',100,2,4),
(136655,10109555,'Resistibility increases against targets higher than level 117.',100,1,5),
(136656,162460,'When Equipped:',100,0,0),
(136657,162460,'On a healing spell cast this spell will cast Healing Guidance on caster.  ',100,1,1),
(136658,162460,'Heals caster for 26',100,2,2),
(136659,162460,'Cannot be modified except by direct means',100,2,3),
(136660,10162460,'When Equipped:',100,0,0),
(136661,10162460,'On a healing spell cast this spell will cast Healing Guidance on caster.  ',100,1,1),
(136662,10162460,'Heals caster for 17',100,2,2),
(136663,10162460,'Cannot be modified except by direct means',100,2,3),
(136664,120191,'Applies Life Draw on termination.',100,1,0),
(136665,120191,'Inflicts 1008 - 1679 disease damage on target',100,2,1),
(136666,120191,'Heals caster for 13.9 - 16.9% of max health',100,2,2),
(136667,120191,'This effect cannot be critically applied.',100,3,3),
(136668,120191,'The healing of this spell cannot be modified except by direct means',100,2,4),
(136669,120191,'Inflicts 293 - 489 disease damage on target',100,1,5),
(136670,10120191,'Applies Life Draw on termination.',100,1,0),
(136671,10120191,'Inflicts 1310 - 2183 disease damage on target',100,2,1),
(136672,10120191,'Heals caster for 3.8 - 4.6% of max health',100,2,2),
(136673,10120191,'This effect cannot be critically applied.',100,3,3),
(136674,10120191,'The healing of this spell cannot be modified except by direct means',100,2,4),
(136675,10120191,'Inflicts 382 - 636 disease damage on target',100,1,5),
(136676,106784,'Mesmerizes target',100,1,0),
(136677,106784,'Prevents AOE (except when direct) ',100,1,1),
(136678,106784,'Dispelled when target takes damage',100,1,2),
(136679,106784,'Does not affect Epic targets',100,1,3),
(136680,106784,'Resistibility increases against targets higher than level 117.',100,1,4),
(136681,10106784,'Mesmerizes target',100,1,0),
(136682,10106784,'Prevents AOE (except when direct) ',100,1,1),
(136683,10106784,'Dispelled when target takes damage',100,1,2),
(136684,10106784,'Does not affect Epic targets',100,1,3),
(136685,10106784,'Resistibility increases against targets higher than level 117.',100,1,4),
(136686,45190,'Applies Lucanic Might when Activated.',100,0,0),
(136687,45190,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(136688,10045190,'Applies Lucanic Might when Activated.',100,0,0),
(136689,10045190,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(136690,106528,'Inflicts 2442 - 4071 melee damage on target',100,1,0),
(136691,106528,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(136692,106528,'If Target is Standard or weaker',100,2,2),
(136693,10106528,'Inflicts 1587 - 2646 melee damage on target',100,1,0),
(136694,45288,'Applies Dynamite Explosion when Activated.',100,0,0),
(136695,10045288,'Applies Dynamite Explosion when Activated.',100,0,0),
(136696,108424,'Heals target for 1999 - 2443',100,1,0),
(136697,10108424,'Heals target for 2390 - 2922',100,1,0),
(136698,24249,'Adds Cyclops (Monk)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(136699,10024249,'Adds Cyclops (Monk)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(136700,100529,'Heals group members (AE) for 217 - 265',100,1,0),
(136701,10100529,'Heals group members (AE) for 263 - 322',100,1,0),
(136702,110740,'Summons a limited pet to aid the caster',100,1,0),
(136703,10110740,'Summons a limited pet to aid the caster',100,1,0),
(136704,143594,'When Equipped:',100,0,0),
(136705,143594,'Increases Attack Speed of caster by 25.0',100,1,1),
(136706,10143594,'When Equipped:',100,0,0),
(136707,10143594,'Increases Attack Speed of caster by 25.0',100,1,1),
(136708,122018,'Increases Threat to target by 20 - 24 ',100,1,0),
(136709,122018,'Inflicts 3 - 5 melee damage on target',100,1,1),
(136710,10122018,'Forces target to change their selected target to caster.',100,1,0),
(136711,10122018,'Inflicts 4 - 7 melee damage on target',100,1,1),
(136712,177714,'When Equipped:',100,0,0),
(136713,177714,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136714,177714,'Increases WIS of caster by 17.3',100,2,2),
(136715,177714,'Increases Ministration, Ordination and Focus of caster by 9.8',100,2,3),
(136716,177714,'Cannot be modified except by direct means',100,2,4),
(136717,10177714,'When Equipped:',100,0,0),
(136718,10177714,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136719,10177714,'Increases WIS of caster by 17.3',100,2,2),
(136720,10177714,'Increases Ministration, Ordination and Focus of caster by 9.8',100,2,3),
(136721,10177714,'Cannot be modified except by direct means',100,2,4),
(136722,43195,'When Equipped:',100,0,0),
(136723,43195,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136724,43195,'Increases Potency of caster by 11.0%',100,2,2),
(136725,43195,'Must not be engaged in pvp combat',100,2,3),
(136726,43195,'Cannot be modified except by direct means',100,2,4),
(136727,43195,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(136728,43195,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(136729,43195,'Increases Potency of caster by 11.0%',100,2,7),
(136730,43195,'Must not be engaged in pvp combat',100,2,8),
(136731,43195,'Cannot be modified except by direct means',100,2,9),
(136732,43195,'Cannot be modified except by direct means',100,1,10),
(136733,10043195,'When Equipped:',100,0,0),
(136734,10043195,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136735,10043195,'Increases Potency of caster by 11.0%',100,2,2),
(136736,10043195,'Must not be engaged in pvp combat',100,2,3),
(136737,10043195,'Cannot be modified except by direct means',100,2,4),
(136738,10043195,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(136739,10043195,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(136740,10043195,'Increases Potency of caster by 11.0%',100,2,7),
(136741,10043195,'Must not be engaged in pvp combat',100,2,8),
(136742,10043195,'Cannot be modified except by direct means',100,2,9),
(136743,10043195,'Cannot be modified except by direct means',100,1,10),
(136744,107670,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1984',100,1,0),
(136745,10107670,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1984',100,1,0),
(136746,45586,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(136747,45586,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(136748,10045586,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(136749,10045586,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(136750,100275,'Inflicts 48 - 88 poison damage on target instantly and every 3 seconds',100,1,0),
(136751,10100275,'Inflicts 139 - 259 poison damage on target instantly and every 3 seconds',100,1,0),
(136752,108205,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(136753,10108205,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(136754,101549,'Inflicts 4842 - 8070 melee damage on target',100,1,0),
(136755,101549,'You must be stealthed to use this ability',100,1,1),
(136756,10101549,'Inflicts 2958 - 4931 melee damage on target',100,1,0),
(136757,10101549,'You must be stealthed to use this ability',100,1,1),
(136758,114157,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(136759,114157,'Heals target for 672',100,2,1),
(136760,114157,'Grants a total of 1 trigger of the spell.',100,2,2),
(136761,10114157,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(136762,10114157,'Heals target for 437',100,2,1),
(136763,10114157,'Grants a total of 1 trigger of the spell.',100,2,2),
(136764,102824,'Summons 3 limited pets to aid the caster',100,1,0),
(136765,10102824,'Summons 3 limited pets to aid the caster',100,1,0),
(136766,120524,'Decreases Defense of target by 4.7',100,1,0),
(136767,10120524,'Decreases Defense of target by 4.7',100,1,0),
(136768,116775,'Increases Max Health of target by 989.8',100,1,0),
(136769,116775,'Increases Max Power of target by 1,000.8',100,1,1),
(136770,10116775,'Increases Max Health of target by 989.8',100,1,0),
(136771,10116775,'Increases Max Power of target by 1,000.8',100,1,1),
(136772,47058,'Applies Drink Minotaur Broken Horn Brew when Activated.',100,0,0),
(136773,47058,'This drink brings out the minotaur in everyone!',100,1,1),
(136774,10047058,'Applies Drink Minotaur Broken Horn Brew when Activated.',100,0,0),
(136775,10047058,'This drink brings out the minotaur in everyone!',100,1,1),
(136776,106612,'Inflicts 267 - 326 disease damage on target',100,1,0),
(136777,106612,'Heals caster for 8.6 - 10.6% of max health',100,1,1),
(136778,106612,'This effect cannot be critically applied.',100,2,2),
(136779,106612,'The healing of this spell cannot be modified except by direct means',100,1,3),
(136780,10106612,'Inflicts 347 - 424 disease damage on target',100,1,0),
(136781,10106612,'Heals caster for 2.9 - 3.5% of max health',100,1,1),
(136782,10106612,'This effect cannot be critically applied.',100,2,2),
(136783,10106612,'The healing of this spell cannot be modified except by direct means',100,1,3),
(136784,119377,'Decreases threat priority of target by 1 position',100,1,0),
(136785,119377,'Decreases Threat to target by 548 ',100,1,1),
(136786,119377,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(136787,119377,'Grants stealth to caster',100,2,3),
(136788,119377,'Suspends caster''s movement speed enhancements',100,2,4),
(136789,10119377,'Applies Distract.',100,1,0),
(136790,10119377,'Forces target to clear their selected target.',100,2,1),
(136791,10119377,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(136792,10119377,'Grants stealth to caster',100,2,3),
(136793,10119377,'Suspends caster''s movement speed enhancements',100,2,4),
(136794,26618,'When Equipped:',100,0,0),
(136795,26618,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136796,26618,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,2),
(136797,10026618,'When Equipped:',100,0,0),
(136798,10026618,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136799,10026618,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,2),
(136800,144892,'When Equipped:',100,0,0),
(136801,144892,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136802,144892,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(136803,144892,'Cannot be modified except by direct means',100,2,3),
(136804,10144892,'When Equipped:',100,0,0),
(136805,10144892,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136806,10144892,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(136807,10144892,'Cannot be modified except by direct means',100,2,3),
(136808,117604,'Inflicts 35 - 58 ranged damage on target',100,1,0),
(136809,117604,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(136810,117604,'Slows target by 48.6%',100,2,2),
(136811,117604,'5% chance to dispel when target receives hostile action',100,2,3),
(136812,117604,'5% chance to dispel when target takes damage',100,2,4),
(136813,117604,'Must be flanking or behind',100,1,5),
(136814,117604,'Requires bow',100,1,6),
(136815,10117604,'Inflicts 29 - 49 ranged damage on target',100,1,0),
(136816,10117604,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(136817,10117604,'Slows target by 48.6%',100,2,2),
(136818,10117604,'5% chance to dispel when target receives hostile action',100,2,3),
(136819,10117604,'5% chance to dispel when target takes damage',100,2,4),
(136820,10117604,'Must be flanking or behind',100,1,5),
(136821,10117604,'Requires bow',100,1,6),
(136822,101053,'Summons 3 limited pets to aid the caster',100,1,0),
(136823,10101053,'Summons 3 limited pets to aid the caster',100,1,0),
(136824,35952,'Increases INT of target by 1.5',100,0,0),
(136825,35952,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(136826,114664,'Increases Threat to target by 214 - 261 ',100,1,0),
(136827,114664,'Interrupts target',100,1,1),
(136828,10114664,'Interrupts target',100,1,0),
(136829,10114664,'Forces target to change their selected target to caster.',100,1,1),
(136830,10114664,'Prevents target from changing targets',100,1,2),
(136831,45516,'Applies Chokidai Form when Activated.',100,0,0),
(136832,45516,'Shapechanges caster into a chokidai',100,1,1),
(136833,45516,'Must be in zone Kylong Plains',100,2,2),
(136834,45516,'Sets the faction for Thelia''s Pride to 50,000',100,1,3),
(136835,45516,'Must be in zone Kylong Plains',100,2,4),
(136836,45516,'Must be in zone Kylong Plains',100,1,5),
(136837,10045516,'Applies Chokidai Form when Activated.',100,0,0),
(136838,10045516,'Shapechanges caster into a chokidai',100,1,1),
(136839,10045516,'Must be in zone Kylong Plains',100,2,2),
(136840,10045516,'Sets the faction for Thelia''s Pride to 50,000',100,1,3),
(136841,10045516,'Must be in zone Kylong Plains',100,2,4),
(136842,10045516,'Must be in zone Kylong Plains',100,1,5),
(136843,37463,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(136844,37377,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(136845,37377,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(136846,188150,'When Equipped:',100,0,0),
(136847,188150,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136848,188150,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(136849,188150,'Dispelled when target casts a heal spell',100,2,3),
(136850,188150,'Must not be engaged in pvp combat',100,2,4),
(136851,188150,'Cannot be modified except by direct means',100,2,5),
(136852,188150,'Must not be engaged in pvp combat',100,1,6),
(136853,10188150,'When Equipped:',100,0,0),
(136854,10188150,'On a critical healing spell cast this spell may cast Advantageous Tactics on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136855,10188150,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(136856,10188150,'Dispelled when target casts a heal spell',100,2,3),
(136857,10188150,'Must not be engaged in pvp combat',100,2,4),
(136858,10188150,'Cannot be modified except by direct means',100,2,5),
(136859,10188150,'Must not be engaged in pvp combat',100,1,6),
(136860,26594,'When Equipped:',100,0,0),
(136861,26594,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136862,26594,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(136863,10026594,'When Equipped:',100,0,0),
(136864,10026594,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(136865,10026594,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(136866,103891,'Increases power of group members (AE) by 18 instantly and every 6 seconds',100,1,0),
(136867,103891,'Decreases INT of target by 68.0',100,1,1),
(136868,10103891,'Increases power of group members (AE) by 18 instantly and every 6 seconds',100,1,0),
(136869,10103891,'Decreases INT of target by 68.0',100,1,1),
(136870,101926,'Inflicts 91 piercing damage on target instantly and every 4 seconds',100,1,0),
(136871,101926,'Inflicts 273 - 455 melee damage on target',100,1,1),
(136872,101926,'Must be behind',100,1,2),
(136873,10101926,'Inflicts 118 piercing damage on target instantly and every 4 seconds',100,1,0),
(136874,10101926,'Inflicts 355 - 591 melee damage on target',100,1,1),
(136875,10101926,'Must be behind',100,1,2),
(136876,36698,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(136877,48530,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(136878,48530,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(136879,48530,'Decreases Attack Speed of target by 21.6',100,2,2),
(136880,48530,'Cannot be modified except by direct means',100,2,3),
(136881,48530,'Grants a total of 30 triggers of the spell.',100,2,4),
(136882,10048530,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(136883,10048530,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(136884,10048530,'Decreases Attack Speed of target by 21.6',100,2,2),
(136885,10048530,'Cannot be modified except by direct means',100,2,3),
(136886,10048530,'Grants a total of 30 triggers of the spell.',100,2,4),
(136887,81573,'When Equipped:',100,0,0),
(136888,81573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136889,81573,'Inflicts 151 - 280 magic damage on target',100,2,2),
(136890,81573,'Cannot be modified except by direct means',100,2,3),
(136891,10081573,'When Equipped:',100,0,0),
(136892,10081573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(136893,10081573,'Inflicts 196 - 364 magic damage on target',100,2,2),
(136894,10081573,'Cannot be modified except by direct means',100,2,3),
(136895,159810,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(136896,159810,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(136897,159810,'Inflicts 67 heat damage on target',100,2,2),
(136898,159810,'Cannot be modified except by direct means',100,2,3),
(136899,10159810,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(136900,10159810,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(136901,10159810,'Inflicts 87 heat damage on target',100,2,2),
(136902,10159810,'Cannot be modified except by direct means',100,2,3),
(136903,118337,'Inflicts 83 - 138 melee damage on target',100,1,0),
(136904,118337,'Inflicts 83 - 138 heat damage on target every 4 seconds',100,1,1),
(136905,10118337,'Inflicts 107 - 179 melee damage on target',100,1,0),
(136906,10118337,'Inflicts 108 - 180 heat damage on target every 4 seconds',100,1,1),
(136907,71321,'When Equipped:',100,0,0),
(136908,71321,'On a combat hit this spell may cast Mangle on target of attack.  Lasts for 1.0 second.  Triggers about 1.8 times per minute. ',100,1,1),
(136909,71321,'Inflicts 77 - 94 crushing damage on target',100,2,2),
(136910,71321,'Stuns target',100,2,3),
(136911,71321,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,4),
(136912,71321,'Resistibility increases against targets higher than level 77.',100,2,5),
(136913,71321,'Cannot be modified except by direct means',100,2,6),
(136914,10071321,'When Equipped:',100,0,0),
(136915,10071321,'On a combat hit this spell may cast Mangle on target of attack.  Lasts for 1.0 second.  Triggers about 1.8 times per minute. ',100,1,1),
(136916,10071321,'Inflicts 100 - 122 crushing damage on target',100,2,2),
(136917,10071321,'Stuns target',100,2,3),
(136918,10071321,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,4),
(136919,10071321,'Resistibility increases against targets higher than level 77.',100,2,5),
(136920,10071321,'Cannot be modified except by direct means',100,2,6),
(136921,111409,'Increases Attack Speed of target by 36.8',100,1,0),
(136922,111409,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(136923,111409,'Inflicts 357 disease damage on target',100,2,2),
(136924,111409,'Heals caster for 76',100,2,3),
(136925,111409,'Decreases Defense and Parry of target by 30.1',100,1,4),
(136926,111409,'Increases Disruption, Subjugation and Focus of target by 30.1',100,1,5),
(136927,10111409,'Increases Attack Speed of target by 36.8',100,1,0),
(136928,10111409,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(136929,10111409,'Inflicts 464 disease damage on target',100,2,2),
(136930,10111409,'Heals caster for 49',100,2,3),
(136931,10111409,'Decreases Defense and Parry of target by 30.1',100,1,4),
(136932,10111409,'Increases Disruption, Subjugation and Focus of target by 30.1',100,1,5),
(136933,45617,'Applies Elixir of Liveliness  when Activated.  Lasts for 15 minutes.',100,0,0),
(136934,45617,'Increases Max Health of caster by 43.0',100,1,1),
(136935,10045617,'Applies Elixir of Liveliness  when Activated.  Lasts for 15 minutes.',100,0,0),
(136936,10045617,'Increases Max Health of caster by 43.0',100,1,1),
(136937,117266,'Inflicts 64 - 106 melee damage on target',100,1,0),
(136938,117266,'Decreases Damage Per Second of target by 7.2',100,1,1),
(136939,117266,'Decreases Attack Speed of target by 6.3',100,1,2),
(136940,10117266,'Inflicts 83 - 138 melee damage on target',100,1,0),
(136941,10117266,'Decreases Damage Per Second of target by 7.2',100,1,1),
(136942,10117266,'Decreases Attack Speed of target by 6.3',100,1,2),
(136943,71392,'When Equipped:',100,0,0),
(136944,71392,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136945,71392,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(136946,71392,'Cannot be modified except by direct means',100,2,3),
(136947,10071392,'When Equipped:',100,0,0),
(136948,10071392,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(136949,10071392,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(136950,10071392,'Cannot be modified except by direct means',100,2,3),
(136951,36953,'Increases INT of target by 1.5',100,0,0),
(136952,36953,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(136953,123418,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(136954,123418,'Stuns target',100,2,1),
(136955,123418,'Blurs vision of target',100,2,2),
(136956,123418,'Throws target back',100,2,3),
(136957,123418,'Does not affect Epic targets',100,2,4),
(136958,123418,'Inflicts 175 - 525 melee damage on target',100,1,5),
(136959,10123418,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(136960,10123418,'Stuns target',100,2,1),
(136961,10123418,'Throws target back',100,2,2),
(136962,10123418,'Blurs vision of target',100,2,3),
(136963,10123418,'Does not affect Epic targets',100,2,4),
(136964,10123418,'Inflicts 227 - 682 melee damage on target',100,1,5),
(136965,104984,'Reduces physical damage done to caster by 5%',100,1,0),
(136966,104984,'Adds 2.1% to base avoidance.',100,1,1),
(136967,104984,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(136968,104984,'Increases Parry of caster by 12.6',100,1,3),
(136969,104984,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(136970,104984,'Increases Aggression of caster by 7.6',100,1,5),
(136971,104984,'Increases Defense and Deflection of caster by 12.6',100,1,6),
(136972,104984,'Increases Mitigation of caster vs arcane damage by 840',100,1,7),
(136973,104984,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(136974,10104984,'Reduces physical damage done to caster by 5%',100,1,0),
(136975,10104984,'Adds 2.1% to base avoidance.',100,1,1),
(136976,10104984,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(136977,10104984,'Increases Parry of caster by 12.6',100,1,3),
(136978,10104984,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(136979,10104984,'Increases Aggression of caster by 7.6',100,1,5),
(136980,10104984,'Increases Defense and Deflection of caster by 12.6',100,1,6),
(136981,10104984,'Increases Mitigation of caster vs arcane damage by 840',100,1,7),
(136982,10104984,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(136983,109613,'Increases Defense of group members'' pets (AE) by 10.1',100,1,0),
(136984,109613,'Increases Mitigation of group members (AE) vs all damage by 162',100,1,1),
(136985,10109613,'Increases Defense of group members'' pets (AE) by 10.1',100,1,0),
(136986,10109613,'Increases Mitigation of group members (AE) vs all damage by 162',100,1,1),
(136987,171261,'When Equipped:',100,0,0),
(136988,171261,'On a critical healing spell cast this spell may cast Ward of Duality VI on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136989,171261,'Wards target against 600 points of all damage',100,2,2),
(136990,171261,'Wards caster against 300 points of all damage',100,2,3),
(136991,171261,'Must not be engaged in pvp combat',100,2,4),
(136992,171261,'Cannot be modified except by direct means',100,2,5),
(136993,171261,'Must not be engaged in pvp combat',100,1,6),
(136994,10171261,'When Equipped:',100,0,0),
(136995,10171261,'On a critical healing spell cast this spell may cast Ward of Duality VI on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(136996,10171261,'Wards target against 600 points of all damage',100,2,2),
(136997,10171261,'Wards caster against 300 points of all damage',100,2,3),
(136998,10171261,'Must not be engaged in pvp combat',100,2,4),
(136999,10171261,'Cannot be modified except by direct means',100,2,5),
(137000,10171261,'Must not be engaged in pvp combat',100,1,6),
(137001,113656,'Inflicts 526 - 643 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(137002,113656,'Decreases power of target encounter by 88 - 107 instantly and every 5 seconds',100,1,1),
(137003,113656,'Heals group members (AE) for 336 - 411 instantly and every 5 seconds',100,1,2),
(137004,113656,'Increases power of group members (AE) by 56 - 69 instantly and every 5 seconds',100,1,3),
(137005,10113656,'Inflicts 684 - 836 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(137006,10113656,'Decreases power of target encounter by 88 - 107 instantly and every 5 seconds',100,1,1),
(137007,10113656,'Heals group members (AE) for 219 - 267 instantly and every 5 seconds',100,1,2),
(137008,10113656,'Increases power of group members (AE) by 56 - 69 instantly and every 5 seconds',100,1,3),
(137009,102262,'Inflicts 213 - 355 melee damage on targets in area',100,1,0),
(137010,10102262,'Inflicts 277 - 462 melee damage on targets in area',100,1,0),
(137011,121737,'Causes 10% Threat to transfer to target when in combat',100,1,0),
(137012,10121737,'Applies Swarthy Distraction.',100,1,0),
(137013,10121737,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(137014,10121737,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(137015,120405,'Decreases Defense of caster by 18.9',100,1,0),
(137016,120405,'Increases Crushing and Ranged of caster by 45.4',100,1,1),
(137017,120405,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(137018,120405,'Inflicts 442 - 736 heat damage on target',100,2,3),
(137019,120405,'Increases Slashing and Piercing of caster by 45.4',100,1,4),
(137020,10120405,'Decreases Defense of caster by 18.9',100,1,0),
(137021,10120405,'Increases Crushing and Ranged of caster by 45.4',100,1,1),
(137022,10120405,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(137023,10120405,'Inflicts 574 - 957 heat damage on target',100,2,3),
(137024,10120405,'Increases Slashing and Piercing of caster by 45.4',100,1,4),
(137025,48154,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(137026,48154,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(137027,48154,'Decreases WIS of target by 95.8',100,2,2),
(137028,48154,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1357',100,2,3),
(137029,48154,'Cannot be modified except by direct means',100,2,4),
(137030,48154,'Grants a total of 60 triggers of the spell.',100,2,5),
(137031,10048154,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(137032,10048154,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(137033,10048154,'Decreases WIS of target by 95.8',100,2,2),
(137034,10048154,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1357',100,2,3),
(137035,10048154,'Cannot be modified except by direct means',100,2,4),
(137036,10048154,'Grants a total of 60 triggers of the spell.',100,2,5),
(137037,100574,'Inflicts 21 - 36 melee damage on target',100,1,0),
(137038,100574,'You must be sneaking to use this ability.',100,1,1),
(137039,10100574,'Inflicts 34 - 56 melee damage on target',100,1,0),
(137040,10100574,'You must be sneaking to use this ability.',100,1,1),
(137041,110673,'Heals target for 488',100,1,0),
(137042,110673,'Dispels 47 levels of any hostile effects on target',100,1,1),
(137043,10110673,'Heals target for 317',100,1,0),
(137044,10110673,'Dispels 47 levels of any hostile effects on target',100,1,1),
(137045,106757,'Mesmerizes target',100,1,0),
(137046,106757,'Prevents AOE (except when direct) ',100,1,1),
(137047,106757,'Dispelled when target takes damage',100,1,2),
(137048,106757,'Does not affect Epic targets',100,1,3),
(137049,106757,'Resistibility increases against targets higher than level 55.',100,1,4),
(137050,10106757,'Mesmerizes target',100,1,0),
(137051,10106757,'Prevents AOE (except when direct) ',100,1,1),
(137052,10106757,'Dispelled when target takes damage',100,1,2),
(137053,10106757,'Does not affect Epic targets',100,1,3),
(137054,10106757,'Resistibility increases against targets higher than level 55.',100,1,4),
(137055,103761,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.5',100,1,0),
(137056,10103761,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.5',100,1,0),
(137057,36638,'Increases Max Power of target by 3.3',100,0,0),
(137058,36638,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(137059,120948,'Inflicts 370 - 618 ranged damage on target',100,1,0),
(137060,120948,'If weapon equipped in Ranged',100,1,1),
(137061,120948,'Must be behind',100,1,2),
(137062,10120948,'Inflicts 315 - 525 ranged damage on target',100,1,0),
(137063,10120948,'If weapon equipped in Ranged',100,1,1),
(137064,10120948,'Must be behind',100,1,2),
(137065,118395,'Inflicts 636 - 1061 melee damage on target',100,1,0),
(137066,118395,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(137067,118395,'Stuns target',100,2,2),
(137068,118395,'Throws target back',100,2,3),
(137069,118395,'Blurs vision of target',100,2,4),
(137070,118395,'Does not affect Epic targets',100,2,5),
(137071,10118395,'Inflicts 827 - 1379 melee damage on target',100,1,0),
(137072,10118395,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(137073,10118395,'Stuns target',100,2,2),
(137074,10118395,'Throws target back',100,2,3),
(137075,10118395,'Blurs vision of target',100,2,4),
(137076,10118395,'Does not affect Epic targets',100,2,5),
(137077,141793,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(137078,141793,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(137079,141793,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(137080,141793,'Cannot be modified except by direct means',100,2,3),
(137081,10141793,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(137082,10141793,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(137083,10141793,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(137084,10141793,'Cannot be modified except by direct means',100,2,3),
(137085,144611,'When Equipped:',100,0,0),
(137086,144611,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(137087,144611,'Inflicts 1986 piercing damage on target',100,2,2),
(137088,144611,'Cannot be modified except by direct means',100,2,3),
(137089,10144611,'When Equipped:',100,0,0),
(137090,10144611,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(137091,10144611,'Inflicts 1291 piercing damage on target',100,2,2),
(137092,10144611,'Cannot be modified except by direct means',100,2,3),
(137093,178946,'When Equipped:',100,0,0),
(137094,178946,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137095,178946,'Increases Potency of caster by 7.0%',100,2,2),
(137096,178946,'Cannot be modified except by direct means',100,2,3),
(137097,10178946,'When Equipped:',100,0,0),
(137098,10178946,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137099,10178946,'Increases Potency of caster by 7.0%',100,2,2),
(137100,10178946,'Cannot be modified except by direct means',100,2,3),
(137101,118449,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(137102,118449,'Inflicts 12 - 15 heat damage on target instantly and every second',100,2,1),
(137103,10118449,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(137104,10118449,'Inflicts 16 - 19 heat damage on target instantly and every second',100,2,1),
(137105,106273,'Wards target against 1290 points of all damage',100,1,0),
(137106,10106273,'Wards target against 1290 points of all damage',100,1,0),
(137107,115547,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1075',100,1,0),
(137108,10115547,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1075',100,1,0),
(137109,48223,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(137110,48223,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(137111,48223,'Requires 15 Health to cast.',100,1,2),
(137112,10048223,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(137113,10048223,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(137114,10048223,'Requires 15 Health to cast.',100,1,2),
(137115,82815,'When Equipped:',100,0,0),
(137116,82815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137117,82815,'Inflicts 350 - 650 magic damage on target',100,2,2),
(137118,82815,'Cannot be modified except by direct means',100,2,3),
(137119,10082815,'When Equipped:',100,0,0),
(137120,10082815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137121,10082815,'Inflicts 455 - 845 magic damage on target',100,2,2),
(137122,10082815,'Cannot be modified except by direct means',100,2,3),
(137123,122088,'Increases STA and INT of group members (AE) by 43.4',100,1,0),
(137124,10122088,'Increases STA and INT of group members (AE) by 43.4',100,1,0),
(137125,81690,'When Equipped:',100,0,0),
(137126,81690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137127,81690,'Inflicts 106 - 197 magic damage on target',100,2,2),
(137128,81690,'Cannot be modified except by direct means',100,2,3),
(137129,10081690,'When Equipped:',100,0,0),
(137130,10081690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137131,10081690,'Inflicts 138 - 256 magic damage on target',100,2,2),
(137132,10081690,'Cannot be modified except by direct means',100,2,3),
(137133,75328,'When Equipped:',100,0,0),
(137134,75328,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137135,75328,'Decreases power of target by 101 - 124',100,2,2),
(137136,75328,'Inflicts 180 - 271 magic damage on target',100,2,3),
(137137,75328,'Increases power of caster by 61 - 83',100,2,4),
(137138,75328,'Cannot be modified except by direct means',100,2,5),
(137139,10075328,'When Equipped:',100,0,0),
(137140,10075328,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137141,10075328,'Decreases power of target by 101 - 124',100,2,2),
(137142,10075328,'Inflicts 234 - 352 magic damage on target',100,2,3),
(137143,10075328,'Increases power of caster by 61 - 83',100,2,4),
(137144,10075328,'Cannot be modified except by direct means',100,2,5),
(137145,120039,'Inflicts 124 - 151 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(137146,120039,'Decreases power of target encounter by 41 instantly and every 4 seconds',100,1,1),
(137147,10120039,'Inflicts 161 - 197 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(137148,10120039,'Decreases power of target encounter by 41 instantly and every 4 seconds',100,1,1),
(137149,24492,'Adds Lair of Scale: Scaleborn Eggs to your Dungeon Maker toolbox',100,0,0),
(137150,10024492,'Adds Lair of Scale: Scaleborn Eggs to your Dungeon Maker toolbox',100,0,0),
(137151,74622,'When Equipped:',100,0,0),
(137152,74622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137153,74622,'Inflicts 56 - 84 magic damage on target',100,2,2),
(137154,74622,'Cannot be modified except by direct means',100,2,3),
(137155,10074622,'When Equipped:',100,0,0),
(137156,10074622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137157,10074622,'Inflicts 73 - 110 magic damage on target',100,2,2),
(137158,10074622,'Cannot be modified except by direct means',100,2,3),
(137159,118320,'Roots target encounter',100,1,0),
(137160,118320,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(137161,118320,'Slows target by 73.0%',100,2,2),
(137162,118320,'5% chance to dispel when target receives hostile action',100,2,3),
(137163,118320,'5% chance to dispel when target takes damage',100,2,4),
(137164,118320,'20% chance to dispel when target takes damage',100,1,5),
(137165,118320,'Does not affect Epic targets',100,1,6),
(137166,118320,'Resistibility increases against targets higher than level 107.',100,1,7),
(137167,10118320,'Roots target encounter',100,1,0),
(137168,10118320,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(137169,10118320,'Slows target by 73.0%',100,2,2),
(137170,10118320,'5% chance to dispel when target receives hostile action',100,2,3),
(137171,10118320,'5% chance to dispel when target takes damage',100,2,4),
(137172,10118320,'20% chance to dispel when target takes damage',100,1,5),
(137173,10118320,'Does not affect Epic targets',100,1,6),
(137174,10118320,'Resistibility increases against targets higher than level 107.',100,1,7),
(137175,37086,'Increases Max Power of target by 3.3',100,0,0),
(137176,37086,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(137177,116119,'Inflicts 18 - 31 divine damage on target',100,1,0),
(137178,116119,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(137179,116119,'Stuns target',100,2,2),
(137180,116119,'Throws target back',100,2,3),
(137181,116119,'Blurs vision of target',100,2,4),
(137182,116119,'Does not affect Epic targets',100,2,5),
(137183,10116119,'Inflicts 24 - 40 divine damage on target',100,1,0),
(137184,10116119,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(137185,10116119,'Stuns target',100,2,2),
(137186,10116119,'Throws target back',100,2,3),
(137187,10116119,'Blurs vision of target',100,2,4),
(137188,10116119,'Does not affect Epic targets',100,2,5),
(137189,117538,'Increases AGI, INT and WIS of group members (AE) by 51.8',100,1,0),
(137190,117538,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 198',100,1,1),
(137191,10117538,'Increases AGI, INT and WIS of group members (AE) by 51.8',100,1,0),
(137192,10117538,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 198',100,1,1),
(137193,115095,'Heals target for 743 - 908',100,1,0),
(137194,115095,'Heals target for 96 - 117 every second',100,1,1),
(137195,10115095,'Heals target for 1380 - 1687',100,1,0),
(137196,10115095,'Heals target for 104 - 127 every second',100,1,1),
(137197,182592,'When Equipped:',100,0,0),
(137198,182592,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(137199,182592,'Heals caster for 392',100,2,2),
(137200,182592,'Cannot be modified except by direct means',100,2,3),
(137201,10182592,'When Equipped:',100,0,0),
(137202,10182592,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(137203,10182592,'Heals caster for 255',100,2,2),
(137204,10182592,'Cannot be modified except by direct means',100,2,3),
(137205,113889,'Increases power of target by 211',100,1,0),
(137206,10113889,'Increases power of target by 211',100,1,0),
(137207,122129,'Interrupts target',100,1,0),
(137208,122129,'Increases Threat to target by 1,056 ',100,1,1),
(137209,122129,'Dispels 84 levels of arcane beneficial effects on target',100,1,2),
(137210,10122129,'Interrupts target',100,1,0),
(137211,10122129,'Forces target to change their selected target to caster.',100,1,1),
(137212,10122129,'Dispels 84 levels of arcane beneficial effects on target',100,1,2),
(137213,159699,'Applies Lambent Imbued when Equipped.',100,0,0),
(137214,159699,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(137215,159699,'Heals target for 70 instantly and every 4 seconds',100,2,2),
(137216,159699,'Cannot be modified except by direct means',100,2,3),
(137217,10159699,'Applies Lambent Imbued when Equipped.',100,0,0),
(137218,10159699,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(137219,10159699,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(137220,10159699,'Cannot be modified except by direct means',100,2,3),
(137221,107697,'Inflicts 173 - 288 heat damage on target',100,1,0),
(137222,107697,'You must be sneaking to use this ability.',100,1,1),
(137223,10107697,'Inflicts 224 - 374 heat damage on target',100,1,0),
(137224,10107697,'You must be sneaking to use this ability.',100,1,1),
(137225,106490,'Decreases STR and AGI of target by 45.4',100,1,0),
(137226,10106490,'Decreases STR and AGI of target by 45.4',100,1,0),
(137227,113448,'Increases INT of target by 31.7',100,1,0),
(137228,113448,'Increases Max Health of target by 151.4',100,1,1),
(137229,10113448,'Increases INT of target by 31.7',100,1,0),
(137230,10113448,'Increases Max Health of target by 151.4',100,1,1),
(137231,174482,'When Equipped:',100,0,0),
(137232,174482,'On a melee hit this spell may cast Discordant Fervor on caster.  Lasts for 8.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(137233,174482,'Increases Crit Chance of caster by 2.0',100,2,2),
(137234,174482,'Increases Multi Attack Chance of caster by 2.0',100,2,3),
(137235,174482,'Cannot be modified except by direct means',100,2,4),
(137236,10174482,'When Equipped:',100,0,0),
(137237,10174482,'On a melee hit this spell may cast Discordant Fervor on caster.  Lasts for 8.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(137238,10174482,'Increases Crit Chance of caster by 2.0',100,2,2),
(137239,10174482,'Increases Multi Attack Chance of caster by 2.0',100,2,3),
(137240,10174482,'Cannot be modified except by direct means',100,2,4),
(137241,72056,'When Equipped:',100,0,0),
(137242,72056,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137243,72056,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(137244,72056,'Cannot be modified except by direct means',100,2,3),
(137245,10072056,'When Equipped:',100,0,0),
(137246,10072056,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137247,10072056,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(137248,10072056,'Cannot be modified except by direct means',100,2,3),
(137249,83786,'When Equipped:',100,0,0),
(137250,83786,'On a combat hit this spell may cast Scorn of the Spurned on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137251,83786,'Increases Threat to target by 312 ',100,2,2),
(137252,83786,'Cannot be modified except by direct means',100,2,3),
(137253,10083786,'When Equipped:',100,0,0),
(137254,10083786,'On a combat hit this spell may cast Scorn of the Spurned on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137255,10083786,'Forces target to change their selected target to caster.',100,2,2),
(137256,10083786,'Cannot be modified except by direct means',100,2,3),
(137257,112594,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(137258,112594,'Heals targets in Area of Effect for 260 - 318',100,2,1),
(137259,112594,'Dispels 103 levels of physical hostile effects on target',100,2,2),
(137260,10112594,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(137261,10112594,'Heals targets in Area of Effect for 169 - 207',100,2,1),
(137262,10112594,'Dispels 103 levels of physical hostile effects on target',100,2,2),
(137263,24440,'Adds Hooluk (Assassin) to your Dungeon Maker toolbox',100,0,0),
(137264,10024440,'Adds Hooluk (Assassin) to your Dungeon Maker toolbox',100,0,0),
(137265,116915,'Summons a limited pet to aid the caster',100,1,0),
(137266,10116915,'Summons a limited pet to aid the caster',100,1,0),
(137267,119876,'Increases INT and AGI of group members (AE) by 34.1',100,1,0),
(137268,119876,'Adds 1.8% to base avoidance.',100,1,1),
(137269,10119876,'Increases INT and AGI of group members (AE) by 34.1',100,1,0),
(137270,10119876,'Adds 1.8% to base avoidance.',100,1,1),
(137271,173845,'When Equipped:',100,0,0),
(137272,173845,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(137273,173845,'Inflicts 1986 heat damage on target',100,2,2),
(137274,173845,'Cannot be modified except by direct means',100,2,3),
(137275,10173845,'When Equipped:',100,0,0),
(137276,10173845,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(137277,10173845,'Inflicts 1291 heat damage on target',100,2,2),
(137278,10173845,'Cannot be modified except by direct means',100,2,3),
(137279,82890,'When Equipped:',100,0,0),
(137280,82890,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137281,82890,'Inflicts 315 - 585 magic damage on target',100,2,2),
(137282,82890,'Cannot be modified except by direct means',100,2,3),
(137283,10082890,'When Equipped:',100,0,0),
(137284,10082890,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137285,10082890,'Inflicts 409 - 760 magic damage on target',100,2,2),
(137286,10082890,'Cannot be modified except by direct means',100,2,3),
(137287,43222,'When Equipped:',100,0,0),
(137288,43222,'On a critical spell hit this spell may cast Vital Exposure VIII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137289,43222,'Inflicts 272 - 301 disease damage on target',100,2,2),
(137290,43222,'Inflicts 327 - 361 disease damage on target every 2 seconds',100,2,3),
(137291,43222,'Inflicts an additional 27 - 30 disease damage on target every tick',100,2,4),
(137292,43222,'Decreases the target''s physical mitigation over time.',100,2,5),
(137293,43222,'Must not be engaged in pvp combat',100,2,6),
(137294,43222,'Cannot be modified except by direct means',100,2,7),
(137295,43222,'On a critical combat hit this spell may cast Vital Exposure VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(137296,43222,'Inflicts 272 - 301 disease damage on target',100,2,9),
(137297,43222,'Inflicts 327 - 361 disease damage on target every 2 seconds',100,2,10),
(137298,43222,'Inflicts an additional 27 - 30 disease damage on target every tick',100,2,11),
(137299,43222,'Decreases the target''s physical mitigation over time.',100,2,12),
(137300,43222,'Must not be engaged in pvp combat',100,2,13),
(137301,43222,'Cannot be modified except by direct means',100,2,14),
(137302,43222,'Must not be engaged in pvp combat',100,1,15),
(137303,10043222,'When Equipped:',100,0,0),
(137304,10043222,'On a critical spell hit this spell may cast Vital Exposure VIII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137305,10043222,'Inflicts 354 - 391 disease damage on target',100,2,2),
(137306,10043222,'Inflicts 425 - 469 disease damage on target every 2 seconds',100,2,3),
(137307,10043222,'Inflicts an additional 27 - 30 disease damage on target every tick',100,2,4),
(137308,10043222,'Decreases the target''s physical mitigation over time.',100,2,5),
(137309,10043222,'Must not be engaged in pvp combat',100,2,6),
(137310,10043222,'Cannot be modified except by direct means',100,2,7),
(137311,10043222,'On a critical combat hit this spell may cast Vital Exposure VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(137312,10043222,'Inflicts 354 - 391 disease damage on target',100,2,9),
(137313,10043222,'Inflicts 425 - 469 disease damage on target every 2 seconds',100,2,10),
(137314,10043222,'Inflicts an additional 27 - 30 disease damage on target every tick',100,2,11),
(137315,10043222,'Decreases the target''s physical mitigation over time.',100,2,12),
(137316,10043222,'Must not be engaged in pvp combat',100,2,13),
(137317,10043222,'Cannot be modified except by direct means',100,2,14),
(137318,10043222,'Must not be engaged in pvp combat',100,1,15),
(137319,101633,'Applies Forceful Headache on termination.',100,1,0),
(137320,101633,'Inflicts 263 - 439 mental damage on target',100,2,1),
(137321,101633,'If over 50% power',100,3,2),
(137322,101633,'Inflicts 105 - 129 mental damage on target instantly and every 6 seconds',100,1,3),
(137323,101633,'Decreases Mitigation of target vs arcane damage by 616',100,1,4),
(137324,10101633,'Applies Forceful Headache on termination.',100,1,0),
(137325,10101633,'Inflicts 342 - 570 mental damage on target',100,2,1),
(137326,10101633,'If over 50% power',100,3,2),
(137327,10101633,'Inflicts 137 - 167 mental damage on target instantly and every 6 seconds',100,1,3),
(137328,10101633,'Decreases Mitigation of target vs arcane damage by 616',100,1,4),
(137329,152829,'When Equipped:',100,0,0),
(137330,152829,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(137331,152829,'Increases Max Health of caster by 1,220.0',100,1,2),
(137332,152829,'Cannot be modified except by direct means',100,1,3),
(137333,10152829,'When Equipped:',100,0,0),
(137334,10152829,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(137335,10152829,'Increases Max Health of caster by 1,220.0',100,1,2),
(137336,10152829,'Cannot be modified except by direct means',100,1,3),
(137337,84246,'Applies Mental Blast when Activated.',100,0,0),
(137338,84246,'Inflicts 563 - 939 mental damage on target',100,1,1),
(137339,84246,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(137340,10084246,'Applies Mental Blast when Activated.',100,0,0),
(137341,10084246,'Inflicts 732 - 1220 mental damage on target',100,1,1),
(137342,10084246,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(137343,120913,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(137344,120913,'Inflicts 206 - 252 mental damage on target',100,2,1),
(137345,120913,'Grants a total of 3 triggers of the spell.',100,2,2),
(137346,10120913,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(137347,10120913,'Inflicts 268 - 327 mental damage on target',100,2,1),
(137348,10120913,'Grants a total of 3 triggers of the spell.',100,2,2),
(137349,123951,'Inflicts 14 - 24 melee damage on target',100,1,0),
(137350,123951,'Decreases AGI of target by 5.3',100,1,1),
(137351,123951,'Must be behind',100,1,2),
(137352,10123951,'Inflicts 19 - 32 melee damage on target',100,1,0),
(137353,10123951,'Decreases AGI of target by 5.3',100,1,1),
(137354,10123951,'Must be behind',100,1,2),
(137355,111161,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(137356,111161,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',100,1,1),
(137357,111161,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,2),
(137358,10111161,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(137359,10111161,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',100,1,1),
(137360,10111161,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,2),
(137361,47388,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(137362,47388,'This potion will grant you the illusion of being an ettin skeleton!',100,1,1),
(137363,10047388,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(137364,10047388,'This potion will grant you the illusion of being an ettin skeleton!',100,1,1),
(137365,101887,'Heals target for 987 - 1206',100,1,0),
(137366,101887,'If over 50% Health',100,2,1),
(137367,101887,'Heals target for 1974 - 2412',100,1,2),
(137368,101887,'If at 50% Health or less',100,2,3),
(137369,10101887,'Heals target for 641 - 784',100,1,0),
(137370,10101887,'If over 50% Health',100,2,1),
(137371,10101887,'Heals target for 2245 - 2744',100,1,2),
(137372,10101887,'If at 50% Health or less',100,2,3),
(137373,112175,'Increases STR of caster by 49.6',100,1,0),
(137374,112175,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1248',100,1,1),
(137375,112175,'Increases Mitigation of caster vs physical damage by 320',100,1,2),
(137376,10112175,'Increases STR of caster by 49.6',100,1,0),
(137377,10112175,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1248',100,1,1),
(137378,10112175,'Increases Mitigation of caster vs physical damage by 320',100,1,2),
(137379,108426,'Heals target for 2284 - 2792',100,1,0),
(137380,10108426,'Heals target for 2732 - 3339',100,1,0),
(137381,27142,'When Equipped:',100,0,0),
(137382,27142,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(137383,27142,'Heals caster for 720',100,2,2),
(137384,27142,'Cannot be modified except by direct means',100,2,3),
(137385,10027142,'When Equipped:',100,0,0),
(137386,10027142,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(137387,10027142,'Heals caster for 468',100,2,2),
(137388,10027142,'Cannot be modified except by direct means',100,2,3),
(137389,105883,'Inflicts 122 - 204 ranged damage on target',100,1,0),
(137390,105883,'Inflicts 122 - 204 ranged damage on target',100,1,1),
(137391,105883,'If weapon equipped in Ranged',100,1,2),
(137392,10105883,'Inflicts 104 - 173 ranged damage on target',100,1,0),
(137393,10105883,'Inflicts 104 - 173 ranged damage on target',100,1,1),
(137394,10105883,'If weapon equipped in Ranged',100,1,2),
(137395,159231,'Applies Sanguine Imbued when Equipped.',100,0,0),
(137396,159231,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(137397,159231,'Inflicts 206 heat damage on target',100,2,2),
(137398,159231,'Cannot be modified except by direct means',100,2,3),
(137399,10159231,'Applies Sanguine Imbued when Equipped.',100,0,0),
(137400,10159231,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(137401,10159231,'Inflicts 267 heat damage on target',100,2,2),
(137402,10159231,'Cannot be modified except by direct means',100,2,3),
(137403,138791,'When Equipped:',100,0,0),
(137404,138791,'Increases Attack Speed of caster by 40.0',100,1,1),
(137405,10138791,'When Equipped:',100,0,0),
(137406,10138791,'Increases Attack Speed of caster by 40.0',100,1,1),
(137407,88308,'When Equipped:',100,0,0),
(137408,88308,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(137409,10088308,'When Equipped:',100,0,0),
(137410,10088308,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(137411,122366,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(137412,122366,'Inflicts 56 - 69 piercing damage on target',100,2,1),
(137413,10122366,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(137414,10122366,'Inflicts 73 - 89 piercing damage on target',100,2,1),
(137415,110465,'Dazes targets in Area of Effect',100,1,0),
(137416,110465,'If Target is not Epic',100,2,1),
(137417,110465,'Decreases Threat to targets in Area of Effect by 4,365 ',100,1,2),
(137418,110465,'Dispelled when target receives hostile action',100,1,3),
(137419,110465,'Dispelled when target takes damage',100,1,4),
(137420,10110465,'Dazes targets in Area of Effect',100,1,0),
(137421,10110465,'If Target is not Epic',100,2,1),
(137422,10110465,'Applies Distract.',100,1,2),
(137423,10110465,'Forces target to clear their selected target.',100,2,3),
(137424,10110465,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(137425,10110465,'Dispelled when target receives hostile action',100,1,5),
(137426,10110465,'Dispelled when target takes damage',100,1,6),
(137427,116077,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(137428,116077,'Heals target for 42 - 51',100,2,1),
(137429,116077,'Grants a total of 5 triggers of the spell.',100,2,2),
(137430,10116077,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(137431,10116077,'Heals target for 27 - 33',100,2,1),
(137432,10116077,'Grants a total of 5 triggers of the spell.',100,2,2),
(137433,154642,'When Equipped:',100,0,0),
(137434,154642,'On a healing spell cast this spell may cast Touch of the Divine on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137435,154642,'Increases healing received by 5.00%',100,2,2),
(137436,154642,'Increases Max Health of target by 5.0%',100,2,3),
(137437,154642,'Must not be engaged in pvp combat',100,2,4),
(137438,154642,'Cannot be modified except by direct means',100,2,5),
(137439,154642,'Must not be engaged in pvp combat',100,1,6),
(137440,154642,'When Equipped:',100,0,7),
(137441,154642,'Increases Attack Speed of caster by 40.0',100,1,8),
(137442,10154642,'When Equipped:',100,0,0),
(137443,10154642,'On a healing spell cast this spell may cast Touch of the Divine on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137444,10154642,'Increases healing received by 5.00%',100,2,2),
(137445,10154642,'Increases Max Health of target by 5.0%',100,2,3),
(137446,10154642,'Must not be engaged in pvp combat',100,2,4),
(137447,10154642,'Cannot be modified except by direct means',100,2,5),
(137448,10154642,'Must not be engaged in pvp combat',100,1,6),
(137449,10154642,'When Equipped:',100,0,7),
(137450,10154642,'Increases Attack Speed of caster by 40.0',100,1,8),
(137451,118431,'Heals target for 1088 - 1330',100,1,0),
(137452,118431,'Increases Max Health of target by 183.0',100,1,1),
(137453,10118431,'Heals target for 1262 - 1542',100,1,0),
(137454,10118431,'Increases Max Health of target by 183.0',100,1,1),
(137455,102680,'Inflicts 365 divine damage on target encounter',100,1,0),
(137456,10102680,'Inflicts 474 divine damage on target encounter',100,1,0),
(137457,111705,'Inflicts 999 - 1221 cold damage on target',100,1,0),
(137458,111705,'Inflicts 999 - 1221 cold damage on target',100,1,1),
(137459,111705,'If target is elemental',100,2,2),
(137460,10111705,'Inflicts 1113 - 1360 cold damage on target',100,1,0),
(137461,72151,'When Equipped:',100,0,0),
(137462,72151,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137463,72151,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(137464,72151,'Cannot be modified except by direct means',100,2,3),
(137465,10072151,'When Equipped:',100,0,0),
(137466,10072151,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137467,10072151,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(137468,10072151,'Cannot be modified except by direct means',100,2,3),
(137469,151015,'When Equipped:',100,0,0),
(137470,151015,'On a healing spell cast this spell may cast Escape Death on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137471,151015,'Wards target against 2000 points of all damage',100,2,2),
(137472,151015,'Cannot be modified except by direct means',100,2,3),
(137473,10151015,'When Equipped:',100,0,0),
(137474,10151015,'On a healing spell cast this spell may cast Escape Death on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137475,10151015,'Wards target against 2000 points of all damage',100,2,2),
(137476,10151015,'Cannot be modified except by direct means',100,2,3),
(137477,47412,'Applies Nipik''s Gift when Activated.',100,0,0),
(137478,47412,'Shapechanges the user into an othmir.',100,1,1),
(137479,10047412,'Applies Nipik''s Gift when Activated.',100,0,0),
(137480,10047412,'Shapechanges the user into an othmir.',100,1,1),
(137481,27222,'When Equipped:',100,0,0),
(137482,27222,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(137483,27222,'Inflicts 398 heat damage on target',100,2,2),
(137484,27222,'Inflicts 43 heat damage on target every 5 seconds',100,2,3),
(137485,27222,'Cannot be modified except by direct means',100,2,4),
(137486,10027222,'When Equipped:',100,0,0),
(137487,10027222,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(137488,10027222,'Inflicts 518 heat damage on target',100,2,2),
(137489,10027222,'Inflicts 56 heat damage on target every 5 seconds',100,2,3),
(137490,10027222,'Cannot be modified except by direct means',100,2,4),
(137491,108290,'Summons a limited pet to aid the caster',100,1,0),
(137492,10108290,'Summons a limited pet to aid the caster',100,1,0),
(137493,81531,'When Equipped:',100,0,0),
(137494,81531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137495,81531,'Inflicts 151 - 280 magic damage on target',100,2,2),
(137496,81531,'Cannot be modified except by direct means',100,2,3),
(137497,10081531,'When Equipped:',100,0,0),
(137498,10081531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137499,10081531,'Inflicts 196 - 364 magic damage on target',100,2,2),
(137500,10081531,'Cannot be modified except by direct means',100,2,3),
(137501,47438,'Applies Orange Two Tone Warg with Brown Saddle when Activated.',100,0,0),
(137502,47438,'Increases Piercing and Slashing of caster by 7.0',100,1,1),
(137503,47438,'Summons a mount to ride',100,1,2),
(137504,47438,'Increases your ground speed by 130%',100,2,3),
(137505,47438,'Increases Disruption of caster by 7.0',100,1,4),
(137506,47438,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(137507,47438,'Increases Crushing and Ranged of caster by 7.0',100,1,6),
(137508,10047438,'Applies Orange Two Tone Warg with Brown Saddle when Activated.',100,0,0),
(137509,10047438,'Increases Piercing and Slashing of caster by 7.0',100,1,1),
(137510,10047438,'Summons a mount to ride',100,1,2),
(137511,10047438,'Increases your ground speed by 130%',100,2,3),
(137512,10047438,'Increases Disruption of caster by 7.0',100,1,4),
(137513,10047438,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(137514,10047438,'Increases Crushing and Ranged of caster by 7.0',100,1,6),
(137515,123120,'Inflicts 281 disease damage on targets in Area of Effect',100,1,0),
(137516,123120,'Inflicts 191 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(137517,10123120,'Inflicts 365 disease damage on targets in Area of Effect',100,1,0),
(137518,10123120,'Inflicts 249 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(137519,100033,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(137520,100033,'Inflicts 282 - 470 melee damage on targets in area',100,2,1),
(137521,100033,'Decreases Defense of caster by 23.4',100,1,2),
(137522,100033,'Increases Slashing, Piercing and Crushing of caster by 42.1',100,1,3),
(137523,10100033,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(137524,10100033,'Inflicts 367 - 612 melee damage on targets in area',100,2,1),
(137525,10100033,'Decreases Defense of caster by 23.4',100,1,2),
(137526,10100033,'Increases Slashing, Piercing and Crushing of caster by 42.1',100,1,3),
(137527,140349,'When Equipped:',100,0,0),
(137528,140349,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137529,140349,'Heals caster for 452',100,2,2),
(137530,140349,'Increases Defense of caster by 25.0',100,2,3),
(137531,140349,'Must not be engaged in pvp combat',100,2,4),
(137532,140349,'Cannot be modified except by direct means',100,2,5),
(137533,140349,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(137534,140349,'Heals caster for 452',100,2,7),
(137535,140349,'Increases Defense of caster by 25.0',100,2,8),
(137536,140349,'Must not be engaged in pvp combat',100,2,9),
(137537,140349,'Cannot be modified except by direct means',100,2,10),
(137538,10140349,'When Equipped:',100,0,0),
(137539,10140349,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(137540,10140349,'Heals caster for 294',100,2,2),
(137541,10140349,'Increases Defense of caster by 25.0',100,2,3),
(137542,10140349,'Must not be engaged in pvp combat',100,2,4),
(137543,10140349,'Cannot be modified except by direct means',100,2,5),
(137544,10140349,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(137545,10140349,'Heals caster for 294',100,2,7),
(137546,10140349,'Increases Defense of caster by 25.0',100,2,8),
(137547,10140349,'Must not be engaged in pvp combat',100,2,9),
(137548,10140349,'Cannot be modified except by direct means',100,2,10),
(137549,101074,'Summons 3 limited pets to aid the caster',100,1,0),
(137550,10101074,'Summons 3 limited pets to aid the caster',100,1,0),
(137551,169220,'Applies Glide when Activated.  Lasts for 30.0 seconds.',100,0,0),
(137552,169220,'Allows caster to jump farther',100,1,1),
(137553,169220,'Cannot be modified except by direct means',100,1,2),
(137554,169220,'The casting time of Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(137555,169220,'When Equipped:',100,0,4),
(137556,169220,'Reduces maximum falling speed of caster',100,1,5),
(137557,10169220,'Applies Glide when Activated.  Lasts for 30.0 seconds.',100,0,0),
(137558,10169220,'Allows caster to jump farther',100,1,1),
(137559,10169220,'Cannot be modified except by direct means',100,1,2),
(137560,10169220,'The casting time of Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(137561,10169220,'When Equipped:',100,0,4),
(137562,10169220,'Reduces maximum falling speed of caster',100,1,5),
(137563,111443,'Decreases Attack Speed of caster by 14.1',100,1,0),
(137564,111443,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(137565,111443,'Roots target',100,2,2),
(137566,111443,'5% chance to dispel when target takes damage',100,2,3),
(137567,111443,'5% chance to dispel when target receives hostile action',100,2,4),
(137568,111443,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(137569,111443,'Increases Mitigation of caster vs physical damage by 574',100,1,6),
(137570,10111443,'Decreases Attack Speed of caster by 14.1',100,1,0),
(137571,10111443,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(137572,10111443,'Roots target',100,2,2),
(137573,10111443,'5% chance to dispel when target takes damage',100,2,3),
(137574,10111443,'5% chance to dispel when target receives hostile action',100,2,4),
(137575,10111443,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(137576,10111443,'Increases Mitigation of caster vs physical damage by 574',100,1,6),
(137577,46389,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(137578,46389,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(137579,46389,'Inflicts 61 magic damage on target',100,2,2),
(137580,46389,'Cannot be modified except by direct means',100,2,3),
(137581,10046389,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(137582,10046389,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(137583,10046389,'Inflicts 79 magic damage on target',100,2,2),
(137584,10046389,'Cannot be modified except by direct means',100,2,3),
(137585,104083,'Inflicts 335 - 559 mental damage on target',100,1,0),
(137586,104083,'Inflicts 335 - 559 mental damage on target',100,1,1),
(137587,10104083,'Inflicts 436 - 727 mental damage on target',100,1,0),
(137588,10104083,'Inflicts 436 - 727 mental damage on target',100,1,1),
(137589,73281,'Applies Frost Blast when Activated.',100,0,0),
(137590,73281,'Inflicts 264 - 440 cold damage on target',100,1,1),
(137591,73281,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(137592,10073281,'Applies Frost Blast when Activated.',100,0,0),
(137593,10073281,'Inflicts 343 - 572 cold damage on target',100,1,1),
(137594,10073281,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(137595,181403,'When Equipped:',100,0,0),
(137596,181403,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(137597,181403,'Inflicts 11 mental damage on target',100,2,2),
(137598,181403,'Cannot be modified except by direct means',100,2,3),
(137599,10181403,'When Equipped:',100,0,0),
(137600,10181403,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(137601,10181403,'Inflicts 14 mental damage on target',100,2,2),
(137602,10181403,'Cannot be modified except by direct means',100,2,3),
(137603,154935,'Applies Ale Goggles when Equipped.',100,0,0),
(137604,154935,'Grants Ale Vision to caster',100,1,1),
(137605,10154935,'Applies Ale Goggles when Equipped.',100,0,0),
(137606,10154935,'Grants Ale Vision to caster',100,1,1),
(137607,102056,'Interrupts targets in Area of Effect',100,1,0),
(137608,102056,'Inflicts 302 - 504 melee damage on targets in area',100,1,1),
(137609,10102056,'Interrupts targets in Area of Effect',100,1,0),
(137610,10102056,'Inflicts 393 - 656 melee damage on targets in area',100,1,1),
(137611,141786,'When Equipped:',100,0,0),
(137612,141786,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(137613,141786,'Increases STA of caster by 3.6',100,2,2),
(137614,141786,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(137615,141786,'Cannot be modified except by direct means',100,2,4),
(137616,10141786,'When Equipped:',100,0,0),
(137617,10141786,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(137618,10141786,'Increases STA of caster by 3.6',100,2,2),
(137619,10141786,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(137620,10141786,'Cannot be modified except by direct means',100,2,4),
(137621,36059,'Increases STA of target by 1.5',100,0,0),
(137622,36059,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(137623,123450,'Shapechanges caster into a bear',100,1,0),
(137624,123450,'Increases WIS of caster by 35.2',100,1,1),
(137625,123450,'Grants See Stealth to caster',100,1,2),
(137626,123450,'Increases Max Health of caster by 94.6',100,1,3),
(137627,123450,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 523',100,1,4),
(137628,10123450,'Shapechanges caster into a bear',100,1,0),
(137629,10123450,'Increases WIS of caster by 35.2',100,1,1),
(137630,10123450,'Grants See Stealth to caster',100,1,2),
(137631,10123450,'Increases Max Health of caster by 94.6',100,1,3),
(137632,10123450,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 523',100,1,4),
(137633,81887,'When Equipped:',100,0,0),
(137634,81887,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137635,81887,'Inflicts 164 - 305 magic damage on target',100,2,2),
(137636,81887,'Cannot be modified except by direct means',100,2,3),
(137637,10081887,'When Equipped:',100,0,0),
(137638,10081887,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137639,10081887,'Inflicts 213 - 396 magic damage on target',100,2,2),
(137640,10081887,'Cannot be modified except by direct means',100,2,3),
(137641,47397,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(137642,47397,'This potion will grant you the illusion of being a necromechanoid!',100,1,1),
(137643,10047397,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(137644,10047397,'This potion will grant you the illusion of being a necromechanoid!',100,1,1),
(137645,121623,'Inflicts 530 - 1590 melee damage on target',100,1,0),
(137646,121623,'Dazes target',100,1,1),
(137647,121623,'If Target is not Epic',100,2,2),
(137648,121623,'Must be flanking or behind',100,1,3),
(137649,121623,'Resistibility increases against targets higher than level 75.',100,1,4),
(137650,10121623,'Inflicts 689 - 2068 melee damage on target',100,1,0),
(137651,10121623,'Dazes target',100,1,1),
(137652,10121623,'If Target is not Epic',100,2,2),
(137653,10121623,'Must be flanking or behind',100,1,3),
(137654,10121623,'Resistibility increases against targets higher than level 75.',100,1,4),
(137655,100257,'Inflicts 45 - 84 poison damage on target instantly and every 3 seconds',100,1,0),
(137656,10100257,'Inflicts 132 - 246 poison damage on target instantly and every 3 seconds',100,1,0),
(137657,72230,'When Equipped:',100,0,0),
(137658,72230,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137659,72230,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(137660,72230,'Cannot be modified except by direct means',100,2,3),
(137661,10072230,'When Equipped:',100,0,0),
(137662,10072230,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137663,10072230,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(137664,10072230,'Cannot be modified except by direct means',100,2,3),
(137665,106372,'Decreases Mitigation of target vs arcane damage by 2640',100,1,0),
(137666,106372,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(137667,106372,'Slows target by 72.3%',100,2,2),
(137668,106372,'5% chance to dispel when target receives hostile action',100,2,3),
(137669,106372,'5% chance to dispel when target takes damage',100,2,4),
(137670,10106372,'Decreases Mitigation of target vs arcane damage by 2640',100,1,0),
(137671,10106372,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(137672,10106372,'Slows target by 72.3%',100,2,2),
(137673,10106372,'5% chance to dispel when target receives hostile action',100,2,3),
(137674,10106372,'5% chance to dispel when target takes damage',100,2,4),
(137675,80938,'When Equipped:',100,0,0),
(137676,80938,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(137677,80938,'Inflicts 288 - 534 magic damage on target',100,2,2),
(137678,80938,'Decreases Threat to target by 672 ',100,2,3),
(137679,80938,'Must be flanking or behind',100,3,4),
(137680,80938,'Increases Threat to target by 672 ',100,2,5),
(137681,80938,'Must be in front of',100,3,6),
(137682,80938,'Cannot be modified except by direct means',100,2,7),
(137683,10080938,'When Equipped:',100,0,0),
(137684,10080938,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(137685,10080938,'Inflicts 374 - 695 magic damage on target',100,2,2),
(137686,10080938,'Cannot be modified except by direct means',100,2,3),
(137687,24399,'Adds Elite: Geonid (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(137688,10024399,'Adds Elite: Geonid (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(137689,121503,'Inflicts 622 - 1038 melee damage on target',100,1,0),
(137690,121503,'Decreases Defense of target by 15.8',100,1,1),
(137691,10121503,'Inflicts 809 - 1349 melee damage on target',100,1,0),
(137692,10121503,'Decreases Defense of target by 15.8',100,1,1),
(137693,36032,'Increases WIS of target by 1.5',100,0,0),
(137694,36032,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(137695,113805,'Inflicts 8 - 14 disease damage on target',100,1,0),
(137696,10113805,'Inflicts 11 - 18 disease damage on target',100,1,0),
(137697,115839,'Inflicts 115 disease damage on target every 3 seconds',100,1,0),
(137698,115839,'Inflicts 429 - 715 melee damage on target',100,1,1),
(137699,115839,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(137700,115839,'Heals caster for 1.9% of max health instantly and every 3 seconds',100,2,3),
(137701,115839,'This effect cannot be critically applied.',100,3,4),
(137702,115839,'The healing of this spell cannot be modified except by direct means',100,2,5),
(137703,115839,'The healing of this spell cannot be modified except by direct means',100,1,6),
(137704,10115839,'Inflicts 558 - 930 melee damage on target',100,1,0),
(137705,10115839,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(137706,10115839,'Heals caster for 1.0% of max health instantly and every 3 seconds',100,2,2),
(137707,10115839,'This effect cannot be critically applied.',100,3,3),
(137708,10115839,'The healing of this spell cannot be modified except by direct means',100,2,4),
(137709,10115839,'Inflicts 149 disease damage on target every 3 seconds',100,1,5),
(137710,10115839,'The healing of this spell cannot be modified except by direct means',100,1,6),
(137711,124551,'Dispels 83 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(137712,10124551,'Dispels 83 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(137713,115757,'Inflicts 111 - 185 melee damage on target',100,1,0),
(137714,10115757,'Inflicts 144 - 240 melee damage on target',100,1,0),
(137715,110482,'Stifles caster',100,1,0),
(137716,110482,'Increases power of caster by 17 instantly and every second',100,1,1),
(137717,10110482,'Stifles caster',100,1,0),
(137718,10110482,'Increases power of caster by 17 instantly and every second',100,1,1),
(137719,35581,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(137720,122139,'Interrupts target',100,1,0),
(137721,122139,'Increases Threat to target by 1,270 ',100,1,1),
(137722,122139,'Dispels 84 levels of arcane beneficial effects on target',100,1,2),
(137723,10122139,'Interrupts target',100,1,0),
(137724,10122139,'Forces target to change their selected target to caster.',100,1,1),
(137725,10122139,'Dispels 84 levels of arcane beneficial effects on target',100,1,2),
(137726,112048,'Roots target',100,1,0),
(137727,112048,'Stifles target',100,1,1),
(137728,112048,'If Target is not Epic',100,2,2),
(137729,112048,'20% chance to dispel when target takes damage',100,1,3),
(137730,112048,'Does not affect Epic targets',100,1,4),
(137731,112048,'Resistibility increases against targets higher than level 106.',100,1,5),
(137732,10112048,'Roots target',100,1,0),
(137733,10112048,'Stifles target',100,1,1),
(137734,10112048,'If Target is not Epic',100,2,2),
(137735,10112048,'20% chance to dispel when target takes damage',100,1,3),
(137736,10112048,'Does not affect Epic targets',100,1,4),
(137737,10112048,'Resistibility increases against targets higher than level 106.',100,1,5),
(137738,104724,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(137739,104724,'Decreases Mitigation of target vs elemental and arcane damage by 532',100,2,1),
(137740,104724,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(137741,104724,'Decreases Mitigation of target vs elemental and arcane damage by 532',100,2,3),
(137742,10104724,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(137743,10104724,'Decreases Mitigation of target vs elemental and arcane damage by 532',100,2,1),
(137744,10104724,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(137745,10104724,'Decreases Mitigation of target vs elemental and arcane damage by 532',100,2,3),
(137746,109896,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(137747,109896,'Inflicts 63 - 77 poison damage on target instantly and every 4 seconds',100,2,1),
(137748,10109896,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(137749,10109896,'Inflicts 82 - 100 poison damage on target instantly and every 4 seconds',100,2,1),
(137750,105631,'Inflicts 66 disease damage on target instantly and every 6 seconds',100,1,0),
(137751,105631,'Inflicts 151 - 252 disease damage on target',100,1,1),
(137752,105631,'Inflicts 151 - 252 disease damage on target',100,1,2),
(137753,10105631,'Inflicts 85 disease damage on target instantly and every 6 seconds',100,1,0),
(137754,10105631,'Inflicts 196 - 328 disease damage on target',100,1,1),
(137755,10105631,'Inflicts 196 - 328 disease damage on target',100,1,2),
(137756,119723,'Wards group members (AE) against 14 points of elemental, noxious and arcane damage',100,1,0),
(137757,119723,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(137758,10119723,'Wards group members (AE) against 14 points of elemental, noxious and arcane damage',100,1,0),
(137759,10119723,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(137760,35098,'Increases Max Health of target by 3.9',100,0,0),
(137761,35098,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(137762,120875,'Stifles target',100,1,0),
(137763,120875,'Inflicts 149 - 182 mental damage on target',100,1,1),
(137764,120875,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(137765,120875,'Resistibility increases against targets higher than level 45.',100,1,3),
(137766,10120875,'Stifles target',100,1,0),
(137767,10120875,'Inflicts 193 - 236 mental damage on target',100,1,1),
(137768,10120875,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(137769,10120875,'Resistibility increases against targets higher than level 45.',100,1,3),
(137770,122902,'Increases STR and INT of group members (AE) by 31.0',100,1,0),
(137771,10122902,'Increases STR and INT of group members (AE) by 31.0',100,1,0),
(137772,107840,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(137773,107840,'Slows target by 31.8%',100,2,1),
(137774,107840,'5% chance to dispel when target receives hostile action',100,2,2),
(137775,107840,'5% chance to dispel when target takes damage',100,2,3),
(137776,107840,'Decreases Mitigation of target vs arcane damage by 238',100,1,4),
(137777,10107840,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(137778,10107840,'Slows target by 31.8%',100,2,1),
(137779,10107840,'5% chance to dispel when target receives hostile action',100,2,2),
(137780,10107840,'5% chance to dispel when target takes damage',100,2,3),
(137781,10107840,'Decreases Mitigation of target vs arcane damage by 238',100,1,4),
(137782,116319,'Stuns target',100,1,0),
(137783,116319,'If Target is not Epic',100,2,1),
(137784,116319,'Inflicts 783 - 958 magic damage on target',100,1,2),
(137785,116319,'Resistibility increases against targets higher than level 101.',100,1,3),
(137786,10116319,'Stuns target',100,1,0),
(137787,10116319,'If Target is not Epic',100,2,1),
(137788,10116319,'Inflicts 1018 - 1245 magic damage on target',100,1,2),
(137789,10116319,'Resistibility increases against targets higher than level 101.',100,1,3),
(137790,144688,'When Equipped:',100,0,0),
(137791,144688,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(137792,144688,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(137793,144688,'Heals caster for 635 - 952',100,2,3),
(137794,144688,'Cannot be modified except by direct means',100,2,4),
(137795,144688,'Cannot be modified except by direct means',100,1,5),
(137796,10144688,'When Equipped:',100,0,0),
(137797,10144688,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(137798,10144688,'Inflicts 1239 - 1859 poison damage on target',100,2,2),
(137799,10144688,'Heals caster for 743 - 1114',100,2,3),
(137800,10144688,'Cannot be modified except by direct means',100,2,4),
(137801,10144688,'Cannot be modified except by direct means',100,1,5),
(137802,101678,'Decreases Attack Speed of target by 19.9',100,1,0),
(137803,101678,'Decreases Damage Per Second of target by 14.4',100,1,1),
(137804,10101678,'Decreases Attack Speed of target by 19.9',100,1,0),
(137805,10101678,'Decreases Damage Per Second of target by 14.4',100,1,1),
(137806,114361,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(137807,114361,'Stuns target',100,2,1),
(137808,114361,'Throws target back',100,2,2),
(137809,114361,'Blurs vision of target',100,2,3),
(137810,114361,'Does not affect Epic targets',100,2,4),
(137811,114361,'Inflicts 116 - 193 crushing damage on target',100,1,5),
(137812,10114361,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(137813,10114361,'Stuns target',100,2,1),
(137814,10114361,'Throws target back',100,2,2),
(137815,10114361,'Blurs vision of target',100,2,3),
(137816,10114361,'Does not affect Epic targets',100,2,4),
(137817,10114361,'Inflicts 151 - 252 crushing damage on target',100,1,5),
(137818,104688,'Decreases Mitigation of target vs all damage by 436',100,1,0),
(137819,10104688,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 436',100,1,0),
(137820,10104688,'Decreases Mitigation of target vs physical damage by 363',100,1,1),
(137821,115163,'Heals target for 145 - 177',100,1,0),
(137822,10115163,'Heals target for 197 - 240',100,1,0),
(137823,134713,'When Equipped:',100,0,0),
(137824,134713,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137825,134713,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(137826,134713,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(137827,134713,'Increases Crit Chance of caster by 25.0',100,2,4),
(137828,134713,'Cannot be modified except by direct means',100,2,5),
(137829,10134713,'When Equipped:',100,0,0),
(137830,10134713,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137831,10134713,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(137832,10134713,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(137833,10134713,'Increases Crit Chance of caster by 25.0',100,2,4),
(137834,10134713,'Cannot be modified except by direct means',100,2,5),
(137835,118646,'Inflicts 48 - 81 slashing damage on target',100,1,0),
(137836,10118646,'Inflicts 63 - 105 slashing damage on target',100,1,0),
(137837,118514,'Inflicts 67 - 112 melee damage on target',100,1,0),
(137838,118514,'Decreases STR of target by 9.2',100,1,1),
(137839,118514,'You must be sneaking to use this ability.',100,1,2),
(137840,10118514,'Inflicts 87 - 146 melee damage on target',100,1,0),
(137841,10118514,'Decreases STR of target by 9.2',100,1,1),
(137842,10118514,'You must be sneaking to use this ability.',100,1,2),
(137843,71746,'When Equipped:',100,0,0),
(137844,71746,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137845,71746,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(137846,71746,'Cannot be modified except by direct means',100,2,3),
(137847,10071746,'When Equipped:',100,0,0),
(137848,10071746,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137849,10071746,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(137850,10071746,'Cannot be modified except by direct means',100,2,3),
(137851,165575,'When Equipped:',100,0,0),
(137852,165575,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(137853,10165575,'When Equipped:',100,0,0),
(137854,10165575,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(137855,104842,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(137856,104842,'If Fighter',100,2,1),
(137857,104842,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(137858,104842,'Increases power of target by 79',100,2,3),
(137859,104842,'Increases power of caster by 79',100,2,4),
(137860,10104842,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(137861,10104842,'Increases power of target by 79',100,2,1),
(137862,10104842,'Increases power of caster by 79',100,2,2),
(137863,101341,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(137864,101341,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 315',100,1,1),
(137865,101341,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,2),
(137866,10101341,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(137867,10101341,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 315',100,1,1),
(137868,10101341,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,2),
(137869,45738,'Applies Spirit of the Brute  when Activated.  Lasts for 30 minutes.',100,0,0),
(137870,45738,'Increases STA and STR of caster by 6.7',100,1,1),
(137871,10045738,'Applies Spirit of the Brute  when Activated.  Lasts for 30 minutes.',100,0,0),
(137872,10045738,'Increases STA and STR of caster by 6.7',100,1,1),
(137873,119824,'Dazes target',100,1,0),
(137874,119824,'Does not affect Epic targets',100,1,1),
(137875,119824,'Resistibility increases against targets higher than level 36.',100,1,2),
(137876,10119824,'Dazes target',100,1,0),
(137877,10119824,'Does not affect Epic targets',100,1,1),
(137878,10119824,'Resistibility increases against targets higher than level 36.',100,1,2),
(137879,124416,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(137880,124416,'Inflicts 239 - 398 melee damage on target',100,2,1),
(137881,124416,'Grants a total of 3 triggers of the spell.',100,2,2),
(137882,10124416,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(137883,10124416,'Inflicts 311 - 518 melee damage on target',100,2,1),
(137884,10124416,'Grants a total of 3 triggers of the spell.',100,2,2),
(137885,84227,'When Equipped:',100,0,0),
(137886,84227,'On a combat hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137887,84227,'Inflicts 1060 slashing damage on target',100,2,2),
(137888,84227,'Cannot be modified except by direct means',100,2,3),
(137889,10084227,'When Equipped:',100,0,0),
(137890,10084227,'On a combat hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137891,10084227,'Inflicts 1378 slashing damage on target',100,2,2),
(137892,10084227,'Cannot be modified except by direct means',100,2,3),
(137893,80658,'When Equipped:',100,0,0),
(137894,80658,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(137895,80658,'Inflicts 83 - 154 magic damage on target',100,2,2),
(137896,80658,'Decreases Threat to target by 236 ',100,2,3),
(137897,80658,'Must be flanking or behind',100,3,4),
(137898,80658,'Increases Threat to target by 236 ',100,2,5),
(137899,80658,'Must be in front of',100,3,6),
(137900,80658,'Cannot be modified except by direct means',100,2,7),
(137901,10080658,'When Equipped:',100,0,0),
(137902,10080658,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(137903,10080658,'Inflicts 108 - 200 magic damage on target',100,2,2),
(137904,10080658,'Cannot be modified except by direct means',100,2,3),
(137905,101660,'Decreases Attack Speed of target by 14.9',100,1,0),
(137906,101660,'Decreases Damage Per Second of target by 8.9',100,1,1),
(137907,10101660,'Decreases Attack Speed of target by 14.9',100,1,0),
(137908,10101660,'Decreases Damage Per Second of target by 8.9',100,1,1),
(137909,40857,'When Equipped:',100,0,0),
(137910,40857,'On a combat hit this spell may cast Flame Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137911,40857,'Inflicts 431 - 718 heat damage on target',100,2,2),
(137912,40857,'Cannot be modified except by direct means',100,2,3),
(137913,10040857,'When Equipped:',100,0,0),
(137914,10040857,'On a combat hit this spell may cast Flame Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(137915,10040857,'Inflicts 560 - 933 heat damage on target',100,2,2),
(137916,10040857,'Cannot be modified except by direct means',100,2,3),
(137917,45456,'Applies Calibrated Automated Pickaxe when Activated.  Lasts for 10 days.',100,0,0),
(137918,45456,'Increases Mining of caster by 15.0',100,1,1),
(137919,45456,'Reduces the harvest time for mining by .3 seconds.',100,1,2),
(137920,10045456,'Applies Calibrated Automated Pickaxe when Activated.  Lasts for 10 days.',100,0,0),
(137921,10045456,'Increases Mining of caster by 15.0',100,1,1),
(137922,10045456,'Reduces the harvest time for mining by .3 seconds.',100,1,2),
(137923,26634,'When Equipped:',100,0,0),
(137924,26634,'Adds 10% max health to the pet when Rending V is active.',100,1,1),
(137925,26634,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(137926,10026634,'When Equipped:',100,0,0),
(137927,10026634,'Adds 10% max health to the pet when Rending V is active.',100,1,1),
(137928,10026634,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(137929,142993,'When Equipped:',100,0,0),
(137930,142993,'On a combat hit this spell may cast Crippling Hate on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137931,142993,'Decreases Mitigation of target vs physical and noxious damage by 761',100,2,2),
(137932,142993,'Cannot be modified except by direct means',100,2,3),
(137933,142993,'Increases caster''s chance to block by 5.0%',100,1,4),
(137934,10142993,'When Equipped:',100,0,0),
(137935,10142993,'On a combat hit this spell may cast Crippling Hate on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137936,10142993,'Decreases Mitigation of target vs physical and noxious damage by 761',100,2,2),
(137937,10142993,'Cannot be modified except by direct means',100,2,3),
(137938,10142993,'Increases caster''s chance to block by 5.0%',100,1,4),
(137939,36386,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(137940,72223,'When Equipped:',100,0,0),
(137941,72223,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137942,72223,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(137943,72223,'Cannot be modified except by direct means',100,2,3),
(137944,10072223,'When Equipped:',100,0,0),
(137945,10072223,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(137946,10072223,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(137947,10072223,'Cannot be modified except by direct means',100,2,3),
(137948,116766,'Increases Max Health of target by 481.6',100,1,0),
(137949,116766,'Increases Max Power of target by 531.5',100,1,1),
(137950,10116766,'Increases Max Health of target by 481.6',100,1,0),
(137951,10116766,'Increases Max Power of target by 531.5',100,1,1),
(137952,88509,'When Equipped:',100,0,0),
(137953,88509,'This effect will not stack with itself.',100,1,1),
(137954,88509,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(137955,88509,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(137956,88509,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(137957,88509,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(137958,88509,'Must not be engaged in pvp combat',100,2,6),
(137959,88509,'Cannot be modified except by direct means',100,2,7),
(137960,88509,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(137961,88509,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(137962,88509,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(137963,88509,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(137964,88509,'Must not be engaged in pvp combat',100,2,12),
(137965,88509,'Cannot be modified except by direct means',100,2,13),
(137966,88509,'Must not be engaged in pvp combat',100,1,14),
(137967,10088509,'When Equipped:',100,0,0),
(137968,10088509,'This effect will not stack with itself.',100,1,1),
(137969,10088509,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(137970,10088509,'Inflicts 1645 - 1818 slashing damage on target',100,2,3),
(137971,10088509,'Inflicts 905 - 1000 slashing damage on target every 2 seconds',100,2,4),
(137972,10088509,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(137973,10088509,'Must not be engaged in pvp combat',100,2,6),
(137974,10088509,'Cannot be modified except by direct means',100,2,7),
(137975,10088509,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(137976,10088509,'Inflicts 1645 - 1818 slashing damage on target',100,2,9),
(137977,10088509,'Inflicts 905 - 1000 slashing damage on target every 2 seconds',100,2,10),
(137978,10088509,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(137979,10088509,'Must not be engaged in pvp combat',100,2,12),
(137980,10088509,'Cannot be modified except by direct means',100,2,13),
(137981,10088509,'Must not be engaged in pvp combat',100,1,14),
(137982,141949,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(137983,141949,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(137984,141949,'Heals target for 52 instantly and every 4 seconds',100,2,2),
(137985,141949,'Cannot be modified except by direct means',100,2,3),
(137986,10141949,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(137987,10141949,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(137988,10141949,'Heals target for 34 instantly and every 4 seconds',100,2,2),
(137989,10141949,'Cannot be modified except by direct means',100,2,3),
(137990,24411,'Adds Goatman (Paladin) to your Dungeon Maker toolbox',100,0,0),
(137991,10024411,'Adds Goatman (Paladin) to your Dungeon Maker toolbox',100,0,0),
(137992,114945,'Decreases Attack Speed of target by 6.1',100,1,0),
(137993,114945,'Inflicts 16 - 49 slashing damage on target',100,1,1),
(137994,114945,'Inflicts 33 slashing damage on target instantly and every 4 seconds',100,1,2),
(137995,10114945,'Decreases Attack Speed of target by 6.1',100,1,0),
(137996,10114945,'Inflicts 21 - 64 slashing damage on target',100,1,1),
(137997,10114945,'Inflicts 43 slashing damage on target instantly and every 4 seconds',100,1,2),
(137998,111150,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(137999,111150,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1097',100,1,1),
(138000,111150,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,2),
(138001,10111150,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(138002,10111150,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1097',100,1,1),
(138003,10111150,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,2),
(138004,102748,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(138005,102748,'Inflicts 409 - 681 divine damage on target',100,2,1),
(138006,102748,'Inflicts 350 - 584 divine damage on target',100,2,2),
(138007,102748,'If target is undead',100,3,3),
(138008,102748,'Stuns target',100,2,4),
(138009,102748,'If Target is not Epic',100,3,5),
(138010,10102748,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(138011,10102748,'Inflicts 797 - 1328 divine damage on target',100,2,1),
(138012,10102748,'Stuns target',100,2,2),
(138013,10102748,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(138014,110650,'Inflicts 2005 - 3342 ranged damage on target',100,1,0),
(138015,110650,'If weapon equipped in Ranged',100,1,1),
(138016,110650,'Must be flanking or behind',100,1,2),
(138017,10110650,'Inflicts 1246 - 2076 ranged damage on target',100,1,0),
(138018,10110650,'If weapon equipped in Ranged',100,1,1),
(138019,10110650,'Must be flanking or behind',100,1,2),
(138020,100923,'Stuns targets in Area of Effect',20,1,0),
(138021,100923,'If Target is not Epic',100,2,1),
(138022,100923,'Inflicts 421 - 702 divine damage on targets in Area of Effect',100,1,2),
(138023,100923,'Resistibility increases against targets higher than level 109.',100,1,3),
(138024,10100923,'Stuns targets in Area of Effect',20,1,0),
(138025,10100923,'If Target is not Epic',100,2,1),
(138026,10100923,'Inflicts 547 - 912 divine damage on targets in Area of Effect',100,1,2),
(138027,10100923,'Resistibility increases against targets higher than level 109.',100,1,3),
(138028,41635,'When Equipped:',100,0,0),
(138029,41635,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138030,41635,'Inflicts 302 - 560 magic damage on target',100,2,2),
(138031,41635,'Decreases Threat to target by 949 ',100,2,3),
(138032,41635,'Must be flanking or behind',100,3,4),
(138033,41635,'Increases Threat to target by 949 ',100,2,5),
(138034,41635,'Must be in front of',100,3,6),
(138035,41635,'Cannot be modified except by direct means',100,2,7),
(138036,10041635,'When Equipped:',100,0,0),
(138037,10041635,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138038,10041635,'Inflicts 392 - 728 magic damage on target',100,2,2),
(138039,10041635,'Cannot be modified except by direct means',100,2,3),
(138040,110980,'Inflicts 1857 - 3095 ranged damage on target',100,1,0),
(138041,110980,'I need to be stealthed!',100,1,1),
(138042,110980,'Requires bow',100,1,2),
(138043,10110980,'Inflicts 1183 - 1973 ranged damage on target',100,1,0),
(138044,10110980,'I need to be stealthed!',100,1,1),
(138045,10110980,'Requires bow',100,1,2),
(138046,72028,'When Equipped:',100,0,0),
(138047,72028,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(138048,72028,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(138049,72028,'Cannot be modified except by direct means',100,2,3),
(138050,10072028,'When Equipped:',100,0,0),
(138051,10072028,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(138052,10072028,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(138053,10072028,'Cannot be modified except by direct means',100,2,3),
(138054,117423,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(138055,117423,'Inflicts 258 - 479 melee damage on targets in area',100,2,1),
(138056,117423,'Grants a total of 10 triggers of the spell.',100,2,2),
(138057,10117423,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(138058,10117423,'Inflicts 335 - 623 melee damage on targets in area',100,2,1),
(138059,10117423,'Grants a total of 10 triggers of the spell.',100,2,2),
(138060,116327,'Stuns target',100,1,0),
(138061,116327,'If Target is not Epic',100,2,1),
(138062,116327,'Inflicts 1265 - 1546 magic damage on target',100,1,2),
(138063,116327,'Resistibility increases against targets higher than level 111.',100,1,3),
(138064,10116327,'Stuns target',100,1,0),
(138065,10116327,'If Target is not Epic',100,2,1),
(138066,10116327,'Inflicts 1645 - 2010 magic damage on target',100,1,2),
(138067,10116327,'Resistibility increases against targets higher than level 111.',100,1,3),
(138068,105622,'Inflicts 40 disease damage on target instantly and every 6 seconds',100,1,0),
(138069,105622,'Inflicts 92 - 154 disease damage on target',100,1,1),
(138070,105622,'Inflicts 92 - 154 disease damage on target',100,1,2),
(138071,10105622,'Inflicts 52 disease damage on target instantly and every 6 seconds',100,1,0),
(138072,10105622,'Inflicts 120 - 201 disease damage on target',100,1,1),
(138073,10105622,'Inflicts 120 - 201 disease damage on target',100,1,2),
(138074,119512,'Increases threat priority of target by 2 positions',100,1,0),
(138075,119512,'Stuns caster',100,1,1),
(138076,119512,'Decreases Defense and Parry of caster by 153.0',100,1,2),
(138077,119512,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(138078,119512,'Inflicts 904 - 1507 piercing damage on target',100,2,4),
(138079,119512,'Grants a total of 1 trigger of the spell.',100,2,5),
(138080,10119512,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(138081,10119512,'Prevents target from changing targets',100,2,1),
(138082,10119512,'Forces target to change their selected target to caster.',100,2,2),
(138083,10119512,'Stuns caster',100,1,3),
(138084,10119512,'Decreases Defense and Parry of caster by 153.0',100,1,4),
(138085,10119512,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(138086,10119512,'Inflicts 839 - 1398 piercing damage on target',100,2,6),
(138087,10119512,'Grants a total of 1 trigger of the spell.',100,2,7),
(138088,139040,'When Equipped:',100,0,0),
(138089,139040,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(138090,139040,'Increases Ability Recovery Speed of caster by 12.0%',100,2,2),
(138091,139040,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(138092,139040,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(138093,139040,'Must not be engaged in pvp combat',100,2,5),
(138094,139040,'Cannot be modified except by direct means',100,2,6),
(138095,139040,'This effect will not stack with itself.',100,1,7),
(138096,139040,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(138097,139040,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(138098,139040,'Increases in-combat movement speed of caster by 12.0%',100,2,10),
(138099,139040,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(138100,139040,'Must not be engaged in pvp combat',100,2,12),
(138101,139040,'Cannot be modified except by direct means',100,2,13),
(138102,139040,'Must not be engaged in pvp combat',100,1,14),
(138103,10139040,'When Equipped:',100,0,0),
(138104,10139040,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(138105,10139040,'Increases Ability Recovery Speed of caster by 12.0%',100,2,2),
(138106,10139040,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(138107,10139040,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(138108,10139040,'Must not be engaged in pvp combat',100,2,5),
(138109,10139040,'Cannot be modified except by direct means',100,2,6),
(138110,10139040,'This effect will not stack with itself.',100,1,7),
(138111,10139040,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(138112,10139040,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(138113,10139040,'Increases in-combat movement speed of caster by 12.0%',100,2,10),
(138114,10139040,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(138115,10139040,'Must not be engaged in pvp combat',100,2,12),
(138116,10139040,'Cannot be modified except by direct means',100,2,13),
(138117,10139040,'Must not be engaged in pvp combat',100,1,14),
(138118,102259,'Inflicts 163 - 272 melee damage on targets in area',100,1,0),
(138119,10102259,'Inflicts 212 - 353 melee damage on targets in area',100,1,0),
(138120,139386,'When Equipped:',100,0,0),
(138121,139386,'Reduces maximum falling speed of caster',100,1,1),
(138122,139386,'Applies Cloak of the Arbor when Activated.',100,0,2),
(138123,139386,'Symbols of nature surround you.',100,1,3),
(138124,139386,'The casting time of Cloak of the Arbor is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,4),
(138125,10139386,'When Equipped:',100,0,0),
(138126,10139386,'Reduces maximum falling speed of caster',100,1,1),
(138127,10139386,'Applies Cloak of the Arbor when Activated.',100,0,2),
(138128,10139386,'Symbols of nature surround you.',100,1,3),
(138129,10139386,'The casting time of Cloak of the Arbor is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,4),
(138130,159896,'Applies Lambent Imbued when Equipped.',100,0,0),
(138131,159896,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(138132,159896,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(138133,159896,'Cannot be modified except by direct means',100,2,3),
(138134,10159896,'Applies Lambent Imbued when Equipped.',100,0,0),
(138135,10159896,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(138136,10159896,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(138137,10159896,'Cannot be modified except by direct means',100,2,3),
(138138,112706,'Inflicts 191 - 318 disease damage on target encounter',100,1,0),
(138139,10112706,'Inflicts 248 - 413 disease damage on target encounter',100,1,0),
(138140,115586,'Interrupts target encounter',100,1,0),
(138141,115586,'Decreases Threat to target encounter by 623 - 762 ',100,1,1),
(138142,115586,'Dazes target encounter',100,1,2),
(138143,115586,'If Target is not Epic',100,2,3),
(138144,115586,'Resistibility increases against targets higher than level 81.',100,1,4),
(138145,10115586,'Interrupts target encounter',100,1,0),
(138146,10115586,'Dazes target encounter',100,1,1),
(138147,10115586,'If Target is not Epic',100,2,2),
(138148,10115586,'Resistibility increases against targets higher than level 81.',100,1,3),
(138149,122212,'Increases Damage Per Second of target by 15.6',100,1,0),
(138150,122212,'Increases Max Health of target by 285.5',100,1,1),
(138151,10122212,'Increases Damage Per Second of target by 15.6',100,1,0),
(138152,10122212,'Increases Max Health of target by 285.5',100,1,1),
(138153,46272,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(138154,46272,'Heals caster for 291',100,1,1),
(138155,46272,'Heals caster for 145 every 5 seconds',100,1,2),
(138156,10046272,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(138157,10046272,'Heals caster for 189',100,1,1),
(138158,10046272,'Heals caster for 95 every 5 seconds',100,1,2),
(138159,52737,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(138160,52737,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(138161,52737,'Inflicts 69 heat damage on target',100,2,2),
(138162,52737,'Cannot be modified except by direct means',100,2,3),
(138163,10052737,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(138164,10052737,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(138165,10052737,'Inflicts 90 heat damage on target',100,2,2),
(138166,10052737,'Cannot be modified except by direct means',100,2,3),
(138167,115594,'Interrupts target encounter',100,1,0),
(138168,115594,'Decreases Threat to target encounter by 980 - 1,198 ',100,1,1),
(138169,115594,'Dazes target encounter',100,1,2),
(138170,115594,'If Target is not Epic',100,2,3),
(138171,115594,'Resistibility increases against targets higher than level 95.',100,1,4),
(138172,10115594,'Interrupts target encounter',100,1,0),
(138173,10115594,'Dazes target encounter',100,1,1),
(138174,10115594,'If Target is not Epic',100,2,2),
(138175,10115594,'Resistibility increases against targets higher than level 95.',100,1,3),
(138176,187522,'When Equipped:',100,0,0),
(138177,187522,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(138178,187522,'Inflicts 2648 magic damage on target',100,2,2),
(138179,187522,'Cannot be modified except by direct means',100,2,3),
(138180,10187522,'When Equipped:',100,0,0),
(138181,10187522,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(138182,10187522,'Inflicts 1721 magic damage on target',100,2,2),
(138183,10187522,'Cannot be modified except by direct means',100,2,3),
(138184,100594,'Inflicts 474 - 790 melee damage on target',100,1,0),
(138185,100594,'You must be sneaking to use this ability.',100,1,1),
(138186,10100594,'Inflicts 736 - 1227 melee damage on target',100,1,0),
(138187,10100594,'You must be sneaking to use this ability.',100,1,1),
(138188,48091,'Applies Draw upon Essence when Activated.',100,0,0),
(138189,48091,'Increases power of caster by 7',100,1,1),
(138190,48091,'Requires 15 Health to cast.',100,1,2),
(138191,10048091,'Applies Draw upon Essence when Activated.',100,0,0),
(138192,10048091,'Increases power of caster by 7',100,1,1),
(138193,10048091,'Requires 15 Health to cast.',100,1,2),
(138194,52875,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(138195,52875,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(138196,52875,'Inflicts 97 heat damage on target',100,2,2),
(138197,52875,'Cannot be modified except by direct means',100,2,3),
(138198,10052875,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(138199,10052875,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(138200,10052875,'Inflicts 126 heat damage on target',100,2,2),
(138201,10052875,'Cannot be modified except by direct means',100,2,3),
(138202,118515,'Inflicts 56 - 93 melee damage on target',100,1,0),
(138203,118515,'Decreases STR of target by 7.7',100,1,1),
(138204,118515,'You must be sneaking to use this ability.',100,1,2),
(138205,10118515,'Inflicts 73 - 121 melee damage on target',100,1,0),
(138206,10118515,'Decreases STR of target by 7.7',100,1,1),
(138207,10118515,'You must be sneaking to use this ability.',100,1,2),
(138208,116059,'Shapechanges caster into a lion',100,1,0),
(138209,116059,'Increases STA of caster by 110.9',100,1,1),
(138210,116059,'Adds 2.8% to base avoidance.',100,1,2),
(138211,116059,'Grants See Stealth to caster',100,1,3),
(138212,116059,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1733',100,1,4),
(138213,10116059,'Shapechanges caster into a lion',100,1,0),
(138214,10116059,'Increases STA of caster by 110.9',100,1,1),
(138215,10116059,'Adds 2.8% to base avoidance.',100,1,2),
(138216,10116059,'Grants See Stealth to caster',100,1,3),
(138217,10116059,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1733',100,1,4),
(138218,114501,'Increases In-Combat Power Regeneration of group members (AE) by 19.6',100,1,0),
(138219,10114501,'Increases In-Combat Power Regeneration of group members (AE) by 19.6',100,1,0),
(138220,24143,'Adds Elite: Coldain (Mystic) to your Dungeon Maker toolbox',100,0,0),
(138221,10024143,'Adds Elite: Coldain (Mystic) to your Dungeon Maker toolbox',100,0,0),
(138222,46613,'Applies Hair of the Dog when Activated.  Lasts for 5 minutes.',100,0,0),
(138223,46613,'Had a bit too much last night?  Feeling like death warmed over?  Sometimes the best cure is a hair of the dog that bit ya!',100,1,1),
(138224,10046613,'Applies Hair of the Dog when Activated.  Lasts for 5 minutes.',100,0,0),
(138225,10046613,'Had a bit too much last night?  Feeling like death warmed over?  Sometimes the best cure is a hair of the dog that bit ya!',100,1,1),
(138226,118778,'Increases INT and WIS of group members (AE) by 106.3',100,1,0),
(138227,118778,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 314',100,1,1),
(138228,10118778,'Increases INT and WIS of group members (AE) by 106.3',100,1,0),
(138229,10118778,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 314',100,1,1),
(138230,101836,'Summons a limited pet to aid the caster',100,1,0),
(138231,10101836,'Summons a limited pet to aid the caster',100,1,0),
(138232,81269,'When Equipped:',100,0,0),
(138233,81269,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138234,81269,'Inflicts 314 - 583 magic damage on target',100,2,2),
(138235,81269,'Cannot be modified except by direct means',100,2,3),
(138236,10081269,'When Equipped:',100,0,0),
(138237,10081269,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138238,10081269,'Inflicts 408 - 757 magic damage on target',100,2,2),
(138239,10081269,'Cannot be modified except by direct means',100,2,3),
(138240,117335,'Roots target',100,1,0),
(138241,117335,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(138242,117335,'Slows target by 63.0%',100,2,2),
(138243,117335,'5% chance to dispel when target receives hostile action',100,2,3),
(138244,117335,'5% chance to dispel when target takes damage',100,2,4),
(138245,117335,'15% chance to dispel when target takes damage',100,1,5),
(138246,117335,'Does not affect Epic targets',100,1,6),
(138247,117335,'Resistibility increases against targets higher than level 76.',100,1,7),
(138248,10117335,'Roots target',100,1,0),
(138249,10117335,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(138250,10117335,'Slows target by 63.0%',100,2,2),
(138251,10117335,'10% chance to dispel when target receives hostile action',100,2,3),
(138252,10117335,'10% chance to dispel when target takes damage',100,2,4),
(138253,10117335,'15% chance to dispel when target takes damage',100,1,5),
(138254,10117335,'Does not affect Epic targets',100,1,6),
(138255,10117335,'Resistibility increases against targets higher than level 76.',100,1,7),
(138256,110952,'Applies Awakening on termination.',100,1,0),
(138257,110952,'Heals target for 1806 - 2208',100,2,1),
(138258,10110952,'Applies Awakening on termination.',100,1,0),
(138259,10110952,'Heals target for 2818 - 3444',100,2,1),
(138260,103043,'Inflicts 19 magic damage on target instantly and every 4 seconds',100,1,0),
(138261,103043,'Increases power of caster by 8 instantly and every 4 seconds',100,1,1),
(138262,10103043,'Inflicts 25 magic damage on target instantly and every 4 seconds',100,1,0),
(138263,10103043,'Increases power of caster by 8 instantly and every 4 seconds',100,1,1),
(138264,118517,'Inflicts 78 - 131 melee damage on target',100,1,0),
(138265,118517,'Decreases STR of target by 10.8',100,1,1),
(138266,118517,'You must be sneaking to use this ability.',100,1,2),
(138267,10118517,'Inflicts 102 - 170 melee damage on target',100,1,0),
(138268,10118517,'Decreases STR of target by 10.8',100,1,1),
(138269,10118517,'You must be sneaking to use this ability.',100,1,2),
(138270,117468,'Inflicts 1946 - 3243 melee damage on target',100,1,0),
(138271,117468,'You must be sneaking to use this ability.',100,1,1),
(138272,117468,'Must be flanking or behind',100,1,2),
(138273,10117468,'Inflicts 1568 - 2614 melee damage on target',100,1,0),
(138274,10117468,'You must be sneaking to use this ability.',100,1,1),
(138275,10117468,'Must be flanking or behind',100,1,2),
(138276,106891,'Decreases Threat to targets in Area of Effect by 2,861 ',100,1,0),
(138277,106891,'Stuns targets in Area of Effect',100,1,1),
(138278,106891,'If Target is not Epic',100,2,2),
(138279,10106891,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(138280,10106891,'Applies Distract.',100,1,1),
(138281,10106891,'Forces target to clear their selected target.',100,2,2),
(138282,10106891,'Stuns targets in Area of Effect',100,1,3),
(138283,10106891,'If Target is not Epic',100,2,4),
(138284,52710,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(138285,52710,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(138286,52710,'Inflicts 47 heat damage on target',100,2,2),
(138287,52710,'Cannot be modified except by direct means',100,2,3),
(138288,10052710,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(138289,10052710,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(138290,10052710,'Inflicts 62 heat damage on target',100,2,2),
(138291,10052710,'Cannot be modified except by direct means',100,2,3),
(138292,184888,'When Equipped:',100,0,0),
(138293,184888,'Converts Unyielding Benediction to a groupwide ability',100,1,1),
(138294,184888,'Must not be engaged in pvp combat',100,1,2),
(138295,184888,'Cannot be modified except by direct means',100,1,3),
(138296,10184888,'When Equipped:',100,0,0),
(138297,10184888,'Converts Unyielding Benediction to a groupwide ability',100,1,1),
(138298,10184888,'Must not be engaged in pvp combat',100,1,2),
(138299,10184888,'Cannot be modified except by direct means',100,1,3),
(138300,111299,'Inflicts 346 - 578 divine damage on target',100,1,0),
(138301,111299,'Inflicts 139 - 231 divine damage on target every 4 seconds',100,1,1),
(138302,10111299,'Inflicts 451 - 751 divine damage on target',100,1,0),
(138303,10111299,'Inflicts 180 - 301 divine damage on target every 4 seconds',100,1,1),
(138304,106912,'Inflicts 13 - 24 poison damage on target',100,1,0),
(138305,10106912,'Inflicts 17 - 32 poison damage on target',100,1,0),
(138306,152465,'When Equipped:',100,0,0),
(138307,152465,'Increases Attack Speed of caster by 40.0',100,1,1),
(138308,10152465,'When Equipped:',100,0,0),
(138309,10152465,'Increases Attack Speed of caster by 40.0',100,1,1),
(138310,112197,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(138311,112197,'Inflicts 1 disease damage on target',100,2,1),
(138312,112197,'Increases Threat to target by 1 ',100,2,2),
(138313,112197,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 45',100,1,3),
(138314,10112197,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(138315,10112197,'Inflicts 2 disease damage on target',100,2,1),
(138316,10112197,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 45',100,1,2),
(138317,136910,'When Equipped:',100,0,0),
(138318,136910,'Increases Spell Reuse Speed of caster by 5.0%',100,1,1),
(138319,10136910,'When Equipped:',100,0,0),
(138320,10136910,'Increases Spell Reuse Speed of caster by 5.0%',100,1,1),
(138321,121211,'Grants stealth to caster',100,1,0),
(138322,121211,'Suspends caster''s movement speed enhancements',100,1,1),
(138323,121211,'Decreases Threat to target by 876 - 1,460 ',100,1,2),
(138324,10121211,'Forces target to clear their selected target.',100,1,0),
(138325,10121211,'Grants stealth to caster',100,1,1),
(138326,10121211,'Suspends caster''s movement speed enhancements',100,1,2),
(138327,37538,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(138328,75630,'Applies Holy Strike when Activated.',100,0,0),
(138329,75630,'Inflicts 341 - 568 divine damage on target',100,1,1),
(138330,75630,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(138331,10075630,'Applies Holy Strike when Activated.',100,0,0),
(138332,10075630,'Inflicts 443 - 739 divine damage on target',100,1,1),
(138333,10075630,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(138334,45471,'Applies Caress of the Void when Activated.  Lasts for 12 hours.',100,0,0),
(138335,45471,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(138336,45471,'Inflicts 331 poison damage on target',100,2,2),
(138337,45471,'Inflicts 58 poison damage on target instantly and every 6 seconds',100,2,3),
(138338,45471,'Cannot be modified except by direct means',100,2,4),
(138339,45471,'Grants a total of 100 triggers of the spell.',100,2,5),
(138340,10045471,'Applies Caress of the Void when Activated.  Lasts for 12 hours.',100,0,0),
(138341,10045471,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(138342,10045471,'Inflicts 323 poison damage on target',100,2,2),
(138343,10045471,'Inflicts 57 poison damage on target instantly and every 6 seconds',100,2,3),
(138344,10045471,'Cannot be modified except by direct means',100,2,4),
(138345,10045471,'Grants a total of 100 triggers of the spell.',100,2,5),
(138346,123977,'Inflicts 678 - 1131 melee damage on target',100,1,0),
(138347,123977,'Decreases AGI of target by 56.8',100,1,1),
(138348,123977,'Must be behind',100,1,2),
(138349,10123977,'Inflicts 882 - 1470 melee damage on target',100,1,0),
(138350,10123977,'Decreases AGI of target by 56.8',100,1,1),
(138351,10123977,'Must be behind',100,1,2),
(138352,114666,'Increases Threat to target by 244 - 299 ',100,1,0),
(138353,114666,'Interrupts target',100,1,1),
(138354,10114666,'Interrupts target',100,1,0),
(138355,10114666,'Forces target to change their selected target to caster.',100,1,1),
(138356,10114666,'Prevents target from changing targets',100,1,2),
(138357,105491,'Stuns target encounter',100,1,0),
(138358,105491,'If Target is not Epic',100,2,1),
(138359,105491,'Inflicts 783 - 1454 poison damage on target encounter',100,1,2),
(138360,105491,'Resistibility increases against targets higher than level 105.',100,1,3),
(138361,10105491,'Stuns target encounter',100,1,0),
(138362,10105491,'If Target is not Epic',100,2,1),
(138363,10105491,'Inflicts 1018 - 1891 poison damage on target encounter',100,1,2),
(138364,10105491,'Resistibility increases against targets higher than level 105.',100,1,3),
(138365,114156,'Summons a pet Tinkered Companion',100,1,0),
(138366,10114156,'Summons a pet Tinkered Companion',100,1,0),
(138367,81736,'When Equipped:',100,0,0),
(138368,81736,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138369,81736,'Inflicts 164 - 305 magic damage on target',100,2,2),
(138370,81736,'Cannot be modified except by direct means',100,2,3),
(138371,10081736,'When Equipped:',100,0,0),
(138372,10081736,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138373,10081736,'Inflicts 213 - 396 magic damage on target',100,2,2),
(138374,10081736,'Cannot be modified except by direct means',100,2,3),
(138375,121605,'Stuns target encounter',100,1,0),
(138376,121605,'Epic targets gain an immunity to Stun effects of 19.1 seconds and duration is reduced to 2.1 seconds.',100,1,1),
(138377,121605,'Resistibility increases against targets higher than level 100.',100,1,2),
(138378,10121605,'Stuns target encounter',100,1,0),
(138379,10121605,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(138380,10121605,'Resistibility increases against targets higher than level 100.',100,1,2),
(138381,124257,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(138382,124257,'Increases Damage Per Second of target by 13.7',100,2,1),
(138383,124257,'Increases Attack Speed of target by 13.7',100,2,2),
(138384,124257,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(138385,124257,'Increases Damage Per Second of target by 13.7',100,2,4),
(138386,124257,'Increases Attack Speed of target by 13.7',100,2,5),
(138387,124257,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(138388,124257,'Increases Damage Per Second of target by 13.7',100,2,7),
(138389,124257,'Increases Attack Speed of target by 13.7',100,2,8),
(138390,10124257,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(138391,10124257,'Increases Damage Per Second of target by 13.7',100,2,1),
(138392,10124257,'Increases Attack Speed of target by 13.7',100,2,2),
(138393,10124257,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(138394,10124257,'Increases Damage Per Second of target by 13.7',100,2,4),
(138395,10124257,'Increases Attack Speed of target by 13.7',100,2,5),
(138396,10124257,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(138397,10124257,'Increases Damage Per Second of target by 13.7',100,2,7),
(138398,10124257,'Increases Attack Speed of target by 13.7',100,2,8),
(138399,45693,'Applies Clouded Luminous Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(138400,45693,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(138401,45693,'Inflicts 10 magic damage on target',100,2,2),
(138402,45693,'Cannot be modified except by direct means',100,2,3),
(138403,10045693,'Applies Clouded Luminous Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(138404,10045693,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(138405,10045693,'Inflicts 13 magic damage on target',100,2,2),
(138406,10045693,'Cannot be modified except by direct means',100,2,3),
(138407,105402,'Increases STR of caster by 18.8',100,1,0),
(138408,105402,'Decreases Defense of caster by 1.8',100,1,1),
(138409,105402,'Increases Slashing, Piercing, Crushing and Disruption of caster by 2.6',100,1,2),
(138410,10105402,'Increases STR of caster by 18.8',100,1,0),
(138411,10105402,'Decreases Defense of caster by 1.8',100,1,1),
(138412,10105402,'Increases Slashing, Piercing, Crushing and Disruption of caster by 2.6',100,1,2),
(138413,36583,'Increases WIS and STA of target by 1.1',100,0,0),
(138414,36583,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(138415,113553,'Inflicts 595 - 992 disease damage on target',100,1,0),
(138416,10113553,'Inflicts 774 - 1290 disease damage on target',100,1,0),
(138417,47555,'Applies Portable Cooking Set when Activated.  Lasts for 5 minutes.',100,0,0),
(138418,47555,'Summons Stove & Keg',100,1,1),
(138419,47555,'This effect cancels during combat',100,1,2),
(138420,10047555,'Applies Portable Cooking Set when Activated.  Lasts for 5 minutes.',100,0,0),
(138421,10047555,'Summons Stove & Keg',100,1,1),
(138422,10047555,'This effect cancels during combat',100,1,2),
(138423,114540,'Heals target for 229 - 280',100,1,0),
(138424,10114540,'Heals target for 297 - 363',100,1,0),
(138425,123259,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(138426,123259,'Increases Mitigation of group members (AE) vs noxious damage by 693',100,1,1),
(138427,10123259,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(138428,10123259,'Increases Mitigation of group members (AE) vs noxious damage by 693',100,1,1),
(138429,188156,'When Equipped:',100,0,0),
(138430,188156,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138431,188156,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(138432,188156,'Increases damage done by combat arts by up to 500.',100,2,3),
(138433,188156,'Cannot be modified except by direct means',100,2,4),
(138434,188156,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(138435,188156,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(138436,188156,'Increases damage done by combat arts by up to 500.',100,2,7),
(138437,188156,'Cannot be modified except by direct means',100,2,8),
(138438,188156,'Cannot be modified except by direct means',100,1,9),
(138439,10188156,'When Equipped:',100,0,0),
(138440,10188156,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138441,10188156,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(138442,10188156,'Increases damage done by combat arts by up to 500.',100,2,3),
(138443,10188156,'Cannot be modified except by direct means',100,2,4),
(138444,10188156,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(138445,10188156,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(138446,10188156,'Increases damage done by combat arts by up to 500.',100,2,7),
(138447,10188156,'Cannot be modified except by direct means',100,2,8),
(138448,10188156,'Cannot be modified except by direct means',100,1,9),
(138449,123882,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(138450,123882,'Slows target by 34.3%',100,2,1),
(138451,123882,'5% chance to dispel when target receives hostile action',100,2,2),
(138452,123882,'5% chance to dispel when target takes damage',100,2,3),
(138453,123882,'Decreases Mitigation of target vs elemental and noxious damage by 111',100,1,4),
(138454,10123882,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(138455,10123882,'Slows target by 34.3%',100,2,1),
(138456,10123882,'5% chance to dispel when target receives hostile action',100,2,2),
(138457,10123882,'5% chance to dispel when target takes damage',100,2,3),
(138458,10123882,'Decreases Mitigation of target vs elemental and noxious damage by 111',100,1,4),
(138459,104205,'Increases Mitigation of group members (AE) vs physical damage by 104',100,1,0),
(138460,10104205,'Increases Mitigation of group members (AE) vs physical damage by 104',100,1,0),
(138461,82334,'When Equipped:',100,0,0),
(138462,82334,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138463,82334,'Inflicts 408 - 757 magic damage on target',100,2,2),
(138464,82334,'Decreases Threat to target by 994 ',100,2,3),
(138465,82334,'Must be flanking or behind',100,3,4),
(138466,82334,'Increases Threat to target by 994 ',100,2,5),
(138467,82334,'Must be in front of',100,3,6),
(138468,82334,'Cannot be modified except by direct means',100,2,7),
(138469,10082334,'When Equipped:',100,0,0),
(138470,10082334,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138471,10082334,'Inflicts 530 - 984 magic damage on target',100,2,2),
(138472,10082334,'Cannot be modified except by direct means',100,2,3),
(138473,71370,'When Equipped:',100,0,0),
(138474,71370,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(138475,71370,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(138476,71370,'Cannot be modified except by direct means',100,2,3),
(138477,10071370,'When Equipped:',100,0,0),
(138478,10071370,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(138479,10071370,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(138480,10071370,'Cannot be modified except by direct means',100,2,3),
(138481,101516,'Increases WIS of target by 48.7',100,1,0),
(138482,101516,'Increases Max Health of target by 418.9',100,1,1),
(138483,101516,'Increases Mitigation of target vs elemental, noxious and arcane damage by 134',100,1,2),
(138484,10101516,'Increases WIS of target by 48.7',100,1,0),
(138485,10101516,'Increases Max Health of target by 418.9',100,1,1),
(138486,10101516,'Increases Mitigation of target vs elemental, noxious and arcane damage by 134',100,1,2),
(138487,159242,'Applies Sanguine Imbued when Equipped.',100,0,0),
(138488,159242,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(138489,159242,'Inflicts 206 heat damage on target',100,2,2),
(138490,159242,'Cannot be modified except by direct means',100,2,3),
(138491,10159242,'Applies Sanguine Imbued when Equipped.',100,0,0),
(138492,10159242,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(138493,10159242,'Inflicts 267 heat damage on target',100,2,2),
(138494,10159242,'Cannot be modified except by direct means',100,2,3),
(138495,82931,'When Equipped:',100,0,0),
(138496,82931,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138497,82931,'Inflicts 350 - 650 magic damage on target',100,2,2),
(138498,82931,'Decreases Threat to target by 833 ',100,2,3),
(138499,82931,'Must be flanking or behind',100,3,4),
(138500,82931,'Increases Threat to target by 833 ',100,2,5),
(138501,82931,'Must be in front of',100,3,6),
(138502,82931,'Cannot be modified except by direct means',100,2,7),
(138503,10082931,'When Equipped:',100,0,0),
(138504,10082931,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138505,10082931,'Inflicts 455 - 845 magic damage on target',100,2,2),
(138506,10082931,'Cannot be modified except by direct means',100,2,3),
(138507,107413,'Inflicts 55 - 83 magic damage on target',100,1,0),
(138508,10107413,'Inflicts 72 - 107 magic damage on target',100,1,0),
(138509,124667,'Inflicts 1446 - 1768 cold damage on target encounter',100,1,0),
(138510,124667,'Decreases Piercing, Slashing and Crushing of target encounter by 29.3',100,1,1),
(138511,10124667,'Inflicts 1880 - 2298 cold damage on target encounter',100,1,0),
(138512,10124667,'Decreases Piercing, Slashing and Crushing of target encounter by 29.3',100,1,1),
(138513,111377,'Inflicts 456 - 760 disease damage on target',100,1,0),
(138514,111377,'Heals caster for 216 - 360',100,1,1),
(138515,10111377,'Inflicts 593 - 988 disease damage on target',100,1,0),
(138516,10111377,'Heals caster for 140 - 234',100,1,1),
(138517,102725,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 2 times per minute. ',100,1,0),
(138518,102725,'Inflicts 27 - 36 divine damage on target',100,2,1),
(138523,10102725,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(138524,10102725,'Inflicts 76 - 127 divine damage on target',100,2,1),
(138525,10102725,'Stuns target',100,2,2),
(138526,10102725,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(138527,45878,'Applies Call Red-saddled Dark Red Nightmare when Activated.',100,0,0),
(138528,45878,'Increases Max Power of caster by 100.0',100,1,1),
(138529,45878,'Increases Max Health of caster by 100.0',100,1,2),
(138530,45878,'Increases Piercing of caster by 7.0',100,1,3),
(138531,45878,'Summons a mount to ride',100,1,4),
(138532,45878,'Increases your ground speed by 130%',100,2,5),
(138533,45878,'Increases Ranged, Slashing, Disruption and Crushing of caster by 7.0',100,1,6),
(138534,45878,'Requires evil alignment',100,1,7),
(138535,10045878,'Applies Call Red-saddled Dark Red Nightmare when Activated.',100,0,0),
(138536,10045878,'Increases Max Power of caster by 100.0',100,1,1),
(138537,10045878,'Increases Max Health of caster by 100.0',100,1,2),
(138538,10045878,'Increases Piercing of caster by 7.0',100,1,3),
(138539,10045878,'Summons a mount to ride',100,1,4),
(138540,10045878,'Increases your ground speed by 130%',100,2,5),
(138541,10045878,'Increases Ranged, Slashing, Disruption and Crushing of caster by 7.0',100,1,6),
(138542,10045878,'Requires evil alignment',100,1,7),
(138543,159581,'Applies Lambent Imbued when Equipped.',100,0,0),
(138544,159581,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(138545,159581,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(138546,159581,'Cannot be modified except by direct means',100,2,3),
(138547,10159581,'Applies Lambent Imbued when Equipped.',100,0,0),
(138548,10159581,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(138549,10159581,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(138550,10159581,'Cannot be modified except by direct means',100,2,3),
(138551,83621,'Applies Artisan''s Escape when Activated.',100,0,0),
(138552,83621,'Teleports caster within the zone',100,1,1),
(138553,83621,'Must not be engaged in combat',100,2,2),
(138554,83621,'Must not be engaged in pvp combat',100,2,3),
(138555,83621,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(138556,10083621,'Applies Artisan''s Escape when Activated.',100,0,0),
(138557,10083621,'Teleports caster within the zone',100,1,1),
(138558,10083621,'Must not be engaged in combat',100,2,2),
(138559,10083621,'Must not be engaged in pvp combat',100,2,3),
(138560,10083621,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(138561,116740,'Increases Max Health of target by 33.3',100,1,0),
(138562,116740,'Increases Max Power of target by 38.9',100,1,1),
(138563,10116740,'Increases Max Health of target by 33.3',100,1,0),
(138564,10116740,'Increases Max Power of target by 38.9',100,1,1),
(138565,171439,'Applies Call of the Prime II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(138566,171439,'Applies Prime Focus II on termination.  Lasts for 15.0 seconds.',100,1,1),
(138567,171439,'Increases Potency of group members (AE) by 2.5%',100,2,2),
(138568,171439,'Must not be engaged in pvp combat',100,2,3),
(138569,171439,'Cannot be modified except by direct means',100,2,4),
(138570,171439,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(138571,171439,'Must not be engaged in pvp combat',100,1,6),
(138572,171439,'Cannot be modified except by direct means',100,1,7),
(138573,171439,'The reuse time of Call of the Prime II is 10 minutes',100,1,8),
(138574,10171439,'Applies Call of the Prime II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(138575,10171439,'Applies Prime Focus II on termination.  Lasts for 15.0 seconds.',100,1,1),
(138576,10171439,'Increases Potency of group members (AE) by 2.5%',100,2,2),
(138577,10171439,'Must not be engaged in pvp combat',100,2,3),
(138578,10171439,'Cannot be modified except by direct means',100,2,4),
(138579,10171439,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(138580,10171439,'Must not be engaged in pvp combat',100,1,6),
(138581,10171439,'Cannot be modified except by direct means',100,1,7),
(138582,10171439,'The reuse time of Call of the Prime II is 10 minutes',100,1,8),
(138583,170645,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(138584,170645,'Decreases INT, WIS, AGI and STR of target by 27.0',100,1,1),
(138585,170645,'Decreases Max Health of target by 1.0%',100,1,2),
(138586,170645,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(138587,10170645,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(138588,10170645,'Decreases INT, WIS, AGI and STR of target by 27.0',100,1,1),
(138589,10170645,'Decreases Max Health of target by 1.0%',100,1,2),
(138590,10170645,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(138591,42230,'When Equipped:',100,0,0),
(138592,42230,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(138593,42230,'Inflicts 2433 - 2689 mental damage on target',100,2,2),
(138594,42230,'Decreases Threat to target by 4,662 - 5,153 ',100,2,3),
(138595,42230,'Must not be engaged in pvp combat',100,2,4),
(138596,42230,'Cannot be modified except by direct means',100,2,5),
(138597,42230,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(138598,42230,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(138599,42230,'Inflicts 2433 - 2689 mental damage on target',100,2,8),
(138600,42230,'Decreases Threat to target by 4,662 - 5,153 ',100,2,9),
(138601,42230,'Must not be engaged in pvp combat',100,2,10),
(138602,42230,'Cannot be modified except by direct means',100,2,11),
(138603,42230,'Cannot be modified except by direct means',100,1,12),
(138604,10042230,'When Equipped:',100,0,0),
(138605,10042230,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(138606,10042230,'Inflicts 3163 - 3496 mental damage on target',100,2,2),
(138607,10042230,'Must not be engaged in pvp combat',100,2,3),
(138608,10042230,'Cannot be modified except by direct means',100,2,4),
(138609,10042230,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(138610,10042230,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(138611,10042230,'Inflicts 3163 - 3496 mental damage on target',100,2,7),
(138612,10042230,'Must not be engaged in pvp combat',100,2,8),
(138613,10042230,'Cannot be modified except by direct means',100,2,9),
(138614,10042230,'Cannot be modified except by direct means',100,1,10),
(138615,118426,'Heals target for 1133 - 1385',100,1,0),
(138616,118426,'Increases Max Health of target by 199.0',100,1,1),
(138617,10118426,'Heals target for 1315 - 1607',100,1,0),
(138618,10118426,'Increases Max Health of target by 199.0',100,1,1),
(138619,141704,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(138620,141704,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(138621,141704,'Inflicts 24 heat damage on target',100,2,2),
(138622,141704,'Cannot be modified except by direct means',100,2,3),
(138623,10141704,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(138624,10141704,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(138625,10141704,'Inflicts 31 heat damage on target',100,2,2),
(138626,10141704,'Cannot be modified except by direct means',100,2,3),
(138627,177696,'When Equipped:',100,0,0),
(138628,177696,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(138629,177696,'Increases STR of caster by 5.1',100,2,2),
(138630,177696,'Increases Damage Per Second of caster by 15.2',100,2,3),
(138631,177696,'Cannot be modified except by direct means',100,2,4),
(138632,10177696,'When Equipped:',100,0,0),
(138633,10177696,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(138634,10177696,'Increases STR of caster by 5.1',100,2,2),
(138635,10177696,'Increases Damage Per Second of caster by 15.2',100,2,3),
(138636,10177696,'Cannot be modified except by direct means',100,2,4),
(138637,26640,'When Equipped:',100,0,0),
(138638,26640,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,1),
(138639,26640,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(138640,10026640,'When Equipped:',100,0,0),
(138641,10026640,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,1),
(138642,10026640,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(138643,45569,'Applies Clouded Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(138644,45569,'Increases AGI of caster by 58.7',100,1,1),
(138645,45569,'Only affects targets level 50 and above',100,1,2),
(138646,10045569,'Applies Clouded Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(138647,10045569,'Increases AGI of caster by 58.7',100,1,1),
(138648,10045569,'Only affects targets level 50 and above',100,1,2),
(138649,112743,'Interrupts target',100,1,0),
(138650,112743,'Inflicts 8 - 14 divine damage on target',100,1,1),
(138651,10112743,'Interrupts target',100,1,0),
(138652,10112743,'Inflicts 11 - 18 divine damage on target',100,1,1),
(138653,45191,'Applies Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(138654,45191,'Increases Max Power of caster by 248.6',100,1,1),
(138655,45191,'Only affects targets level 50 and above',100,1,2),
(138656,10045191,'Applies Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(138657,10045191,'Increases Max Power of caster by 248.6',100,1,1),
(138658,10045191,'Only affects targets level 50 and above',100,1,2),
(138659,110335,'Increases Max Power of target by 285.4',100,1,0),
(138660,110335,'Increases Max Health of target by 572.6',100,1,1),
(138661,10110335,'Increases Max Power of target by 285.4',100,1,0),
(138662,10110335,'Increases Max Health of target by 572.6',100,1,1),
(138663,110681,'Heals target for 559',100,1,0),
(138664,110681,'Dispels 49 levels of any hostile effects on target',100,1,1),
(138665,10110681,'Heals target for 363',100,1,0),
(138666,10110681,'Dispels 49 levels of any hostile effects on target',100,1,1),
(138667,100713,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(138668,100713,'Increases Mitigation of group members (AE) vs noxious damage by 356',100,1,1),
(138669,10100713,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(138670,10100713,'Increases Mitigation of group members (AE) vs noxious damage by 356',100,1,1),
(138671,108071,'Decreases Threat to target by 42 - 71 ',100,1,0),
(138672,10108071,'Forces target to clear their selected target.',100,1,0),
(138673,10108071,'Target cannot target caster for the duration of this effect.',100,1,1),
(138674,182263,'When Equipped:',100,0,0),
(138675,182263,'Reduces maximum falling speed of caster',100,1,1),
(138676,10182263,'When Equipped:',100,0,0),
(138677,10182263,'Reduces maximum falling speed of caster',100,1,1),
(138678,103595,'Increases Mitigation of caster vs physical damage by 524',100,1,0),
(138679,10103595,'Increases Mitigation of caster vs physical damage by 524',100,1,0),
(138680,109818,'Decreases Parry of target by 21.6',100,1,0),
(138681,109818,'Inflicts 149 - 249 melee damage on target',100,1,1),
(138682,109818,'Must be in front of or flanking',100,1,2),
(138683,10109818,'Decreases Parry of target by 21.6',100,1,0),
(138684,10109818,'Inflicts 194 - 324 melee damage on target',100,1,1),
(138685,10109818,'Must be in front of or flanking',100,1,2),
(138686,74734,'When Equipped:',100,0,0),
(138687,74734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138688,74734,'Inflicts 180 - 271 magic damage on target',100,2,2),
(138689,74734,'Cannot be modified except by direct means',100,2,3),
(138690,10074734,'When Equipped:',100,0,0),
(138691,10074734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138692,10074734,'Inflicts 235 - 352 magic damage on target',100,2,2),
(138693,10074734,'Cannot be modified except by direct means',100,2,3),
(138694,100688,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(138695,100688,'Summons a limited pet to aid the caster',100,2,1),
(138696,100688,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(138697,100688,'Heals caster for 1200',100,3,3),
(138698,100688,'Wards caster against 1331 points of all damage',100,3,4),
(138699,100688,'Grants a total of 1 trigger of the spell.',100,2,5),
(138700,10100688,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(138701,10100688,'Summons a limited pet to aid the caster',100,2,1),
(138702,10100688,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(138703,10100688,'Heals caster for 780',100,3,3),
(138704,10100688,'Wards caster against 1331 points of all damage',100,3,4),
(138705,10100688,'Grants a total of 1 trigger of the spell.',100,2,5),
(138706,115589,'Interrupts target encounter',100,1,0),
(138707,115589,'Decreases Threat to target encounter by 735 - 898 ',100,1,1),
(138708,115589,'Dazes target encounter',100,1,2),
(138709,115589,'If Target is not Epic',100,2,3),
(138710,115589,'Resistibility increases against targets higher than level 95.',100,1,4),
(138711,10115589,'Interrupts target encounter',100,1,0),
(138712,10115589,'Dazes target encounter',100,1,1),
(138713,10115589,'If Target is not Epic',100,2,2),
(138714,10115589,'Resistibility increases against targets higher than level 95.',100,1,3),
(138715,138545,'When Equipped:',100,0,0),
(138716,138545,'On a combat hit this spell may cast Miner''s Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138717,138545,'Inflicts 825 - 1008 piercing damage on target',100,2,2),
(138718,138545,'Cannot be modified except by direct means',100,2,3),
(138719,10138545,'When Equipped:',100,0,0),
(138720,10138545,'On a combat hit this spell may cast Miner''s Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138721,10138545,'Inflicts 912 - 1114 piercing damage on target',100,2,2),
(138722,10138545,'Cannot be modified except by direct means',100,2,3),
(138723,114959,'Decreases Attack Speed of target by 10.9',100,1,0),
(138724,114959,'Inflicts 55 - 167 slashing damage on target',100,1,1),
(138725,114959,'Inflicts 112 slashing damage on target instantly and every 4 seconds',100,1,2),
(138726,10114959,'Decreases Attack Speed of target by 10.9',100,1,0),
(138727,10114959,'Inflicts 72 - 217 slashing damage on target',100,1,1),
(138728,10114959,'Inflicts 145 slashing damage on target instantly and every 4 seconds',100,1,2),
(138729,111506,'Increases AGI of caster by 11.6',100,1,0),
(138730,111506,'Increases Damage Per Second of caster by 25.3',100,1,1),
(138731,10111506,'Increases AGI of caster by 11.6',100,1,0),
(138732,10111506,'Increases Damage Per Second of caster by 25.3',100,1,1),
(138733,141986,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(138734,141986,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(138735,141986,'Decreases Attack Speed of target by 12.5',100,2,2),
(138736,141986,'Cannot be modified except by direct means',100,2,3),
(138737,141986,'Slows target by 33.1%',100,1,4),
(138738,141986,'5% chance to dispel when target takes damage',100,1,5),
(138739,141986,'5% chance to dispel when target receives hostile action',100,1,6),
(138740,141986,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(138741,10141986,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(138742,10141986,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(138743,10141986,'Decreases Attack Speed of target by 12.5',100,2,2),
(138744,10141986,'Cannot be modified except by direct means',100,2,3),
(138745,10141986,'Slows target by 33.1%',100,1,4),
(138746,10141986,'5% chance to dispel when target takes damage',100,1,5),
(138747,10141986,'5% chance to dispel when target receives hostile action',100,1,6),
(138748,10141986,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(138749,113746,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(138750,113746,'Inflicts 193 piercing damage on target',100,2,1),
(138751,113746,'Grants a total of 60 triggers of the spell.',100,2,2),
(138752,10113746,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(138753,10113746,'Inflicts 250 piercing damage on target',100,2,1),
(138754,10113746,'Grants a total of 60 triggers of the spell.',100,2,2),
(138755,114745,'Inflicts 2172 - 3621 melee damage on target',100,1,0),
(138756,114745,'You must be in stealth.',100,1,1),
(138757,10114745,'Inflicts 1682 - 2804 melee damage on target',100,1,0),
(138758,10114745,'You must be in stealth.',100,1,1),
(138759,80633,'When Equipped:',100,0,0),
(138760,80633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138761,80633,'Inflicts 83 - 154 magic damage on target',100,2,2),
(138762,80633,'Cannot be modified except by direct means',100,2,3),
(138763,10080633,'When Equipped:',100,0,0),
(138764,10080633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(138765,10080633,'Inflicts 108 - 200 magic damage on target',100,2,2),
(138766,10080633,'Cannot be modified except by direct means',100,2,3),
(138767,72866,'When Equipped:',100,0,0),
(138768,72866,'On any combat or spell hit this spell may cast Deception of War on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138769,72866,'Inflicts 6660 magic damage on target instantly and every 4 seconds',100,2,2),
(138770,72866,'Inflicts an additional 3996 magic damage on target every tick',100,2,3),
(138771,72866,'Increases power of caster by 729 instantly and every 4 seconds',100,2,4),
(138772,72866,'Increases Max Power of caster by 8.0%',100,2,5),
(138773,72866,'Increases Potency of group members (AE) by 15.0%',100,2,6),
(138774,72866,'Must not be engaged in pvp combat',100,2,7),
(138775,72866,'Cannot be modified except by direct means',100,2,8),
(138776,72866,'Must not be engaged in pvp combat',100,1,9),
(138777,72866,'Cannot be modified except by direct means',100,1,10),
(138778,72866,'When Equipped:',100,0,11),
(138779,72866,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(138780,72866,'Increases Potency of group members (AE) by 8.0%',100,2,13),
(138781,72866,'Heals group members (AE) for 1662 - 1837 instantly and every 3 seconds',100,2,14),
(138782,72866,'Wards group members (AE) against 4200 points of all damage',100,2,15),
(138783,72866,'Must not be engaged in pvp combat',100,2,16),
(138784,72866,'Cannot be modified except by direct means',100,2,17),
(138785,72866,'Must not be engaged in pvp combat',100,1,18),
(138786,10072866,'When Equipped:',100,0,0),
(138787,10072866,'On any combat or spell hit this spell may cast Deception of War on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138788,10072866,'Inflicts 8658 magic damage on target instantly and every 4 seconds',100,2,2),
(138789,10072866,'Inflicts an additional 3996 magic damage on target every tick',100,2,3),
(138790,10072866,'Increases power of caster by 729 instantly and every 4 seconds',100,2,4),
(138791,10072866,'Increases Max Power of caster by 8.0%',100,2,5),
(138792,10072866,'Increases Potency of group members (AE) by 15.0%',100,2,6),
(138793,10072866,'Must not be engaged in pvp combat',100,2,7),
(138794,10072866,'Cannot be modified except by direct means',100,2,8),
(138795,10072866,'Must not be engaged in pvp combat',100,1,9),
(138796,10072866,'Cannot be modified except by direct means',100,1,10),
(138797,10072866,'When Equipped:',100,0,11),
(138798,10072866,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(138799,10072866,'Increases Potency of group members (AE) by 8.0%',100,2,13),
(138800,10072866,'Heals group members (AE) for 1945 - 2149 instantly and every 3 seconds',100,2,14),
(138801,10072866,'Wards group members (AE) against 4200 points of all damage',100,2,15),
(138802,10072866,'Must not be engaged in pvp combat',100,2,16),
(138803,10072866,'Cannot be modified except by direct means',100,2,17),
(138804,10072866,'Must not be engaged in pvp combat',100,1,18),
(138805,108273,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(138806,108273,'Inflicts 231 heat damage on target',100,2,1),
(138807,108273,'Grants a total of 3 triggers of the spell.',100,2,2),
(138808,10108273,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(138809,10108273,'Inflicts 300 heat damage on target',100,2,1),
(138810,10108273,'Grants a total of 3 triggers of the spell.',100,2,2),
(138811,166509,'When Equipped:',100,0,0),
(138812,166509,'On a critical spell hit this spell may cast Final Stab III on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(138813,166509,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(138814,166509,'Must not be engaged in pvp combat',100,2,3),
(138815,166509,'Cannot be modified except by direct means',100,2,4),
(138816,166509,'On a critical combat hit this spell may cast Final Stab III on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(138817,166509,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(138818,166509,'Must not be engaged in pvp combat',100,2,7),
(138819,166509,'Cannot be modified except by direct means',100,2,8),
(138820,166509,'Must not be engaged in pvp combat',100,1,9),
(138821,10166509,'When Equipped:',100,0,0),
(138822,10166509,'On a critical spell hit this spell may cast Final Stab III on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(138823,10166509,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(138824,10166509,'Must not be engaged in pvp combat',100,2,3),
(138825,10166509,'Cannot be modified except by direct means',100,2,4),
(138826,10166509,'On a critical combat hit this spell may cast Final Stab III on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(138827,10166509,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(138828,10166509,'Must not be engaged in pvp combat',100,2,7),
(138829,10166509,'Cannot be modified except by direct means',100,2,8),
(138830,10166509,'Must not be engaged in pvp combat',100,1,9),
(138831,101389,'Inflicts 150 - 250 melee damage on target',100,1,0),
(138832,101389,'Returns the last arrow used to the ranger.',100,1,1),
(138833,10101389,'Inflicts 195 - 325 melee damage on target',100,1,0),
(138834,10101389,'Returns the last arrow used to the ranger.',100,1,1),
(138835,101785,'Heals group members (AE) for 488 - 596 instantly and every 2 seconds',100,1,0),
(138836,10101785,'Heals group members (AE) for 317 - 387 instantly and every 2 seconds',100,1,0),
(138837,120846,'Inflicts 87 - 117 disease damage on target instantly and every second',100,1,0),
(138838,10120846,'Inflicts 158 - 213 disease damage on target',100,1,0),
(138839,10120846,'Inflicts 113 - 152 disease damage on target every second',100,1,1),
(138840,123188,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(138841,123188,'Inflicts 19 - 23 disease damage on target',100,2,1),
(138842,123188,'Heals caster for 27 - 33',100,2,2),
(138843,123188,'This effect cannot be critically applied.',100,3,3),
(138844,123188,'The healing of this spell cannot be modified except by direct means',100,2,4),
(138845,123188,'Grants a total of 5 triggers of the spell.',100,2,5),
(138846,10123188,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(138847,10123188,'Inflicts 24 - 30 disease damage on target',100,2,1),
(138848,10123188,'Heals caster for 10 - 12',100,2,2),
(138849,10123188,'This effect cannot be critically applied.',100,3,3),
(138850,10123188,'The healing of this spell cannot be modified except by direct means',100,2,4),
(138851,10123188,'Grants a total of 5 triggers of the spell.',100,2,5),
(138852,113564,'Inflicts 954 - 1590 disease damage on target',100,1,0),
(138853,10113564,'Inflicts 1240 - 2067 disease damage on target',100,1,0),
(138854,108210,'Increases power of caster by 48 instantly and every 4 seconds',100,1,0),
(138855,10108210,'Increases power of caster by 48 instantly and every 4 seconds',100,1,0),
(138856,109326,'Increases STR of caster by 64.4',100,1,0),
(138857,109326,'Decreases Defense of caster by 9.0',100,1,1),
(138858,109326,'Increases Slashing, Piercing and Crushing of caster by 18.9',100,1,2),
(138859,10109326,'Increases STR of caster by 64.4',100,1,0),
(138860,10109326,'Decreases Defense of caster by 9.0',100,1,1),
(138861,10109326,'Increases Slashing, Piercing and Crushing of caster by 18.9',100,1,2),
(138862,41522,'When Equipped:',100,0,0),
(138863,41522,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138864,41522,'Inflicts 350 - 650 magic damage on target',100,2,2),
(138865,41522,'Decreases Threat to target by 833 ',100,2,3),
(138866,41522,'Must be flanking or behind',100,3,4),
(138867,41522,'Increases Threat to target by 833 ',100,2,5),
(138868,41522,'Must be in front of',100,3,6),
(138869,41522,'Cannot be modified except by direct means',100,2,7),
(138870,10041522,'When Equipped:',100,0,0),
(138871,10041522,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(138872,10041522,'Inflicts 455 - 845 magic damage on target',100,2,2),
(138873,10041522,'Cannot be modified except by direct means',100,2,3),
(138874,181489,'When Equipped:',100,0,0),
(138875,181489,'Increases base Healing amount by 5%.',100,1,1),
(138876,10181489,'When Equipped:',100,0,0),
(138877,10181489,'Increases base Healing amount by 5%.',100,1,1),
(138878,118332,'Inflicts 43 - 72 melee damage on target',100,1,0),
(138879,118332,'Inflicts 44 - 73 heat damage on target every 4 seconds',100,1,1),
(138880,10118332,'Inflicts 56 - 94 melee damage on target',100,1,0),
(138881,10118332,'Inflicts 57 - 95 heat damage on target every 4 seconds',100,1,1),
(138882,108027,'Inflicts 111 magic damage on target',100,1,0),
(138883,108027,'Increases power of caster by 31',100,1,1),
(138884,10108027,'Inflicts 144 magic damage on target',100,1,0),
(138885,10108027,'Increases power of caster by 31',100,1,1),
(138886,154850,'When Equipped:',100,0,0),
(138887,154850,'On any combat or spell hit this spell may cast Gilded Crown on caster.  Lasts for 15.0 seconds.  Triggers about 0.8 times per minute. ',100,1,1),
(138888,154850,'Increases Attack Speed of caster by 6.0',100,2,2),
(138889,154850,'Increases Multi Attack Chance of caster by 12.0',100,2,3),
(138890,154850,'Must not be engaged in pvp combat',100,2,4),
(138891,154850,'Cannot be modified except by direct means',100,2,5),
(138892,154850,'Cannot be modified except by direct means',100,1,6),
(138893,10154850,'When Equipped:',100,0,0),
(138894,10154850,'On any combat or spell hit this spell may cast Gilded Crown on caster.  Lasts for 15.0 seconds.  Triggers about 0.8 times per minute. ',100,1,1),
(138895,10154850,'Increases Attack Speed of caster by 6.0',100,2,2),
(138896,10154850,'Increases Multi Attack Chance of caster by 12.0',100,2,3),
(138897,10154850,'Must not be engaged in pvp combat',100,2,4),
(138898,10154850,'Cannot be modified except by direct means',100,2,5),
(138899,10154850,'Cannot be modified except by direct means',100,1,6),
(138900,167598,'When Equipped:',100,0,0),
(138901,167598,'On a beneficial spell cast this spell may cast Balance of Order on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138902,167598,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 930',100,2,2),
(138903,167598,'Heals group members (AE) for 1161 - 1741',100,2,3),
(138904,167598,'Heals group members (AE) for 580 - 871 every 3 seconds',100,2,4),
(138905,167598,'Increases Mitigation of group members (AE) vs physical and noxious damage by 930',100,2,5),
(138906,167598,'Cannot be modified except by direct means',100,2,6),
(138907,167598,'On any combat or spell hit this spell may cast Balance of Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(138908,167598,'Inflicts 1986 divine damage on target',100,2,8),
(138909,167598,'Increases Ability Reuse Speed of caster by 5.0%',100,2,9),
(138910,167598,'Cannot be modified except by direct means',100,2,10),
(138911,10167598,'When Equipped:',100,0,0),
(138912,10167598,'On a beneficial spell cast this spell may cast Balance of Order on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138913,10167598,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 930',100,2,2),
(138914,10167598,'Heals group members (AE) for 1358 - 2037',100,2,3),
(138915,10167598,'Heals group members (AE) for 679 - 1019 every 3 seconds',100,2,4),
(138916,10167598,'Increases Mitigation of group members (AE) vs physical and noxious damage by 930',100,2,5),
(138917,10167598,'Cannot be modified except by direct means',100,2,6),
(138918,10167598,'On any combat or spell hit this spell may cast Balance of Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(138919,10167598,'Inflicts 2238 divine damage on target',100,2,8),
(138920,10167598,'Increases Ability Reuse Speed of caster by 5.0%',100,2,9),
(138921,10167598,'Cannot be modified except by direct means',100,2,10),
(138922,122817,'Inflicts 185 - 309 ranged damage on target',100,1,0),
(138923,122817,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(138924,122817,'Increases Hate Gain of target by 30.0%',100,2,2),
(138925,122817,'Grants a total of 1 trigger of the spell.',100,2,3),
(138926,122817,'Requires bow',100,1,4),
(138927,10122817,'Inflicts 157 - 262 ranged damage on target',100,1,0),
(138928,10122817,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(138929,10122817,'Grants a total of 1 trigger of the spell.',100,2,2),
(138930,10122817,'Requires bow',100,1,3),
(138931,172792,'When Equipped:',100,0,0),
(138932,172792,'Increases cold damage done by spells by up to 50.',100,1,1),
(138933,172792,'When Equipped:',100,0,2),
(138934,172792,'Increases poison damage done by spells by up to 50.',100,1,3),
(138935,10172792,'When Equipped:',100,0,0),
(138936,10172792,'Increases cold damage done by spells by up to 50.',100,1,1),
(138937,10172792,'When Equipped:',100,0,2),
(138938,10172792,'Increases poison damage done by spells by up to 50.',100,1,3),
(138939,119843,'Dazes target',100,1,0),
(138940,119843,'Does not affect Epic targets',100,1,1),
(138941,119843,'Resistibility increases against targets higher than level 78.',100,1,2),
(138942,10119843,'Dazes target',100,1,0),
(138943,10119843,'Does not affect Epic targets',100,1,1),
(138944,10119843,'Resistibility increases against targets higher than level 78.',100,1,2),
(138945,105423,'Increases STR of caster by 171.8',100,1,0),
(138946,105423,'Decreases Defense of caster by 13.8',100,1,1),
(138947,105423,'Increases Slashing, Piercing, Crushing and Disruption of caster by 33.1',100,1,2),
(138948,10105423,'Increases STR of caster by 171.8',100,1,0),
(138949,10105423,'Decreases Defense of caster by 13.8',100,1,1),
(138950,10105423,'Increases Slashing, Piercing, Crushing and Disruption of caster by 33.1',100,1,2),
(138951,111124,'Heals target for 16.2 - 19.9% of max health',100,1,0),
(138952,111124,'This effect cannot be critically applied.',100,2,1),
(138953,111124,'Increases Mitigation of target vs physical damage by 493',100,1,2),
(138954,111124,'The healing of this spell cannot be modified except by direct means',100,1,3),
(138955,10111124,'Heals target for 6.1 - 7.4% of max health',100,1,0),
(138956,10111124,'This effect cannot be critically applied.',100,2,1),
(138957,10111124,'Increases Mitigation of target vs physical damage by 493',100,1,2),
(138958,10111124,'The healing of this spell cannot be modified except by direct means',100,1,3),
(138959,124626,'Heals group members (AE) for 523 - 639',100,1,0),
(138960,124626,'Heals group members (AE) for 88 - 108 every second',100,1,1),
(138961,10124626,'Heals group members (AE) for 764 - 934',100,1,0),
(138962,10124626,'Heals group members (AE) for 95 - 117 every second',100,1,1),
(138963,114970,'Decreases Attack Speed of target by 12.6',100,1,0),
(138964,114970,'Inflicts 88 - 265 slashing damage on target',100,1,1),
(138965,114970,'Inflicts 177 slashing damage on target instantly and every 4 seconds',100,1,2),
(138966,10114970,'Decreases Attack Speed of target by 12.6',100,1,0),
(138967,10114970,'Inflicts 115 - 345 slashing damage on target',100,1,1),
(138968,10114970,'Inflicts 230 slashing damage on target instantly and every 4 seconds',100,1,2),
(138969,26515,'When Equipped:',100,0,0),
(138970,26515,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(138971,26515,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(138972,10026515,'When Equipped:',100,0,0),
(138973,10026515,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(138974,10026515,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(138975,108201,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(138976,10108201,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(138977,89279,'When Equipped:',100,0,0),
(138978,89279,'On a critical combat hit this spell may cast Infected Strike IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138979,89279,'Inflicts 147 - 162 disease damage on target',100,2,2),
(138980,89279,'Inflicts 49 - 54 disease damage on target every 2 seconds',100,2,3),
(138981,89279,'Decreases AGI, INT, STR and WIS of target by 40.0',100,2,4),
(138982,89279,'Must not be engaged in pvp combat',100,2,5),
(138983,89279,'Cannot be modified except by direct means',100,2,6),
(138984,89279,'On a critical spell hit this spell may cast Infected Strike IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(138985,89279,'Inflicts 147 - 162 disease damage on target',100,2,8),
(138986,89279,'Inflicts 49 - 54 disease damage on target every 2 seconds',100,2,9),
(138987,89279,'Decreases AGI, INT, STR and WIS of target by 40.0',100,2,10),
(138988,89279,'Must not be engaged in pvp combat',100,2,11),
(138989,89279,'Cannot be modified except by direct means',100,2,12),
(138990,89279,'Must not be engaged in pvp combat',100,1,13),
(138991,10089279,'When Equipped:',100,0,0),
(138992,10089279,'On a critical combat hit this spell may cast Infected Strike IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(138993,10089279,'Inflicts 191 - 211 disease damage on target',100,2,2),
(138994,10089279,'Inflicts 64 - 70 disease damage on target every 2 seconds',100,2,3),
(138995,10089279,'Decreases AGI, INT, STR and WIS of target by 40.0',100,2,4),
(138996,10089279,'Must not be engaged in pvp combat',100,2,5),
(138997,10089279,'Cannot be modified except by direct means',100,2,6),
(138998,10089279,'On a critical spell hit this spell may cast Infected Strike IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(138999,10089279,'Inflicts 191 - 211 disease damage on target',100,2,8),
(139000,10089279,'Inflicts 64 - 70 disease damage on target every 2 seconds',100,2,9),
(139001,10089279,'Decreases AGI, INT, STR and WIS of target by 40.0',100,2,10),
(139002,10089279,'Must not be engaged in pvp combat',100,2,11),
(139003,10089279,'Cannot be modified except by direct means',100,2,12),
(139004,10089279,'Must not be engaged in pvp combat',100,1,13),
(139005,45501,'Applies Trust of the Brethren when Activated.  Lasts for 54.0 seconds.',100,0,0),
(139006,45501,'Increases Slashing, Crushing and Piercing of caster by 17.5 - 29.2',100,1,1),
(139007,10045501,'Applies Trust of the Brethren when Activated.  Lasts for 54.0 seconds.',100,0,0),
(139008,10045501,'Increases Slashing, Crushing and Piercing of caster by 17.5 - 29.2',100,1,1),
(139009,47265,'Applies Lusun''s Replenishment  when Activated.',100,0,0),
(139010,47265,'Heals caster for 47',100,1,1),
(139011,10047265,'Applies Lusun''s Replenishment  when Activated.',100,0,0),
(139012,10047265,'Heals caster for 31',100,1,1),
(139013,175198,'When Equipped:',100,0,0),
(139014,175198,'Increases Attack Speed of caster by 32.0',100,1,1),
(139015,10175198,'When Equipped:',100,0,0),
(139016,10175198,'Increases Attack Speed of caster by 32.0',100,1,1),
(139017,175131,'Applies Sacrilege when Equipped.',100,0,0),
(139018,175131,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(139019,10175131,'Applies Sacrilege when Equipped.',100,0,0),
(139020,10175131,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(139021,81749,'When Equipped:',100,0,0),
(139022,81749,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139023,81749,'Inflicts 148 - 274 magic damage on target',100,2,2),
(139024,81749,'Cannot be modified except by direct means',100,2,3),
(139025,10081749,'When Equipped:',100,0,0),
(139026,10081749,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139027,10081749,'Inflicts 192 - 356 magic damage on target',100,2,2),
(139028,10081749,'Cannot be modified except by direct means',100,2,3),
(139029,184707,'When Equipped:',100,0,0),
(139030,184707,'On a healing spell cast this spell may cast Will from Temperance on the group.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139031,184707,'Wards group members (AE) against 1050 points of all damage',100,2,2),
(139032,184707,'Cannot be modified except by direct means',100,2,3),
(139033,184707,'Cannot be modified except by direct means',100,1,4),
(139034,10184707,'When Equipped:',100,0,0),
(139035,10184707,'On a healing spell cast this spell may cast Will from Temperance on the group.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139036,10184707,'Wards group members (AE) against 1050 points of all damage',100,2,2),
(139037,10184707,'Cannot be modified except by direct means',100,2,3),
(139038,10184707,'Cannot be modified except by direct means',100,1,4),
(139039,36020,'Increases WIS and INT of target by 1.1',100,0,0),
(139040,36020,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(139041,37200,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(139042,80438,'When Equipped:',100,0,0),
(139043,80438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139044,80438,'Inflicts 70 - 131 magic damage on target',100,2,2),
(139045,80438,'Cannot be modified except by direct means',100,2,3),
(139046,10080438,'When Equipped:',100,0,0),
(139047,10080438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139048,10080438,'Inflicts 91 - 170 magic damage on target',100,2,2),
(139049,10080438,'Cannot be modified except by direct means',100,2,3),
(139050,104326,'Charms target',100,1,0),
(139051,104326,'Increases Out-of-Combat Power Regeneration of target by 3.3',100,1,1),
(139052,104326,'Increases Out-of-Combat Health Regeneration of target by 6.6',100,1,2),
(139053,104326,'If outside an arena',100,1,3),
(139054,104326,'Certain enemies cannot be charmed',100,1,4),
(139055,104326,'Only affects targets level 24 and below',100,1,5),
(139056,104326,'Does not affect Epic targets',100,1,6),
(139057,10104326,'Charms target',100,1,0),
(139058,10104326,'Increases Out-of-Combat Power Regeneration of target by 3.3',100,1,1),
(139059,10104326,'Increases Out-of-Combat Health Regeneration of target by 6.6',100,1,2),
(139060,10104326,'If outside an arena',100,1,3),
(139061,10104326,'Certain enemies cannot be charmed',100,1,4),
(139062,10104326,'Only affects targets level 24 and below',100,1,5),
(139063,10104326,'Does not affect Epic targets',100,1,6),
(139064,100505,'Increases Attack Speed of group members (AE) by 16.5',100,1,0),
(139065,10100505,'Increases Attack Speed of group members (AE) by 16.5',100,1,0),
(139066,81603,'When Equipped:',100,0,0),
(139067,81603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139068,81603,'Inflicts 169 - 315 magic damage on target',100,2,2),
(139069,81603,'Cannot be modified except by direct means',100,2,3),
(139070,10081603,'When Equipped:',100,0,0),
(139071,10081603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139072,10081603,'Inflicts 220 - 409 magic damage on target',100,2,2),
(139073,10081603,'Cannot be modified except by direct means',100,2,3),
(139074,162803,'When Equipped:',100,0,0),
(139075,162803,'Reduces maximum falling speed of caster',100,1,1),
(139076,10162803,'When Equipped:',100,0,0),
(139077,10162803,'Reduces maximum falling speed of caster',100,1,1),
(139078,105939,'Inflicts 96 - 117 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(139079,105939,'Inflicts 224 - 373 disease damage on targets in area',100,1,1),
(139080,10105939,'Inflicts 125 - 153 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(139081,10105939,'Inflicts 291 - 485 disease damage on targets in area',100,1,1),
(139082,118089,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(139083,10118089,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(139084,106876,'Decreases Threat to targets in Area of Effect by 1,305 ',100,1,0),
(139085,106876,'Stuns targets in Area of Effect',100,1,1),
(139086,106876,'If Target is not Epic',100,2,2),
(139087,10106876,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(139088,10106876,'Applies Distract.',100,1,1),
(139089,10106876,'Forces target to clear their selected target.',100,2,2),
(139090,10106876,'Stuns targets in Area of Effect',100,1,3),
(139091,10106876,'If Target is not Epic',100,2,4),
(139092,157348,'When Equipped:',100,0,0),
(139093,157348,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(139094,10157348,'When Equipped:',100,0,0),
(139095,10157348,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(139096,111334,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(139097,111334,'Inflicts 383 - 468 mental damage on target',100,2,1),
(139098,111334,'Grants a total of 3 triggers of the spell.',100,2,2),
(139099,10111334,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(139100,10111334,'Inflicts 498 - 609 mental damage on target',100,2,1),
(139101,10111334,'Grants a total of 3 triggers of the spell.',100,2,2),
(139102,122709,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(139103,122709,'Increases Deflection of caster by 3.8',100,1,1),
(139104,10122709,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(139105,10122709,'Increases Deflection of caster by 3.8',100,1,1),
(139106,72074,'When Equipped:',100,0,0),
(139107,72074,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139108,72074,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(139109,72074,'Cannot be modified except by direct means',100,2,3),
(139110,10072074,'When Equipped:',100,0,0),
(139111,10072074,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139112,10072074,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(139113,10072074,'Cannot be modified except by direct means',100,2,3),
(139114,102156,'Inflicts 390 - 651 melee damage on target',100,1,0),
(139115,102156,'Inflicts 390 - 651 melee damage on target',100,1,1),
(139116,10102156,'Inflicts 508 - 846 melee damage on target',100,1,0),
(139117,10102156,'Inflicts 508 - 846 melee damage on target',100,1,1),
(139118,119887,'Increases INT and AGI of group members (AE) by 74.8',100,1,0),
(139119,119887,'Adds 2.2% to base avoidance.',100,1,1),
(139120,10119887,'Increases INT and AGI of group members (AE) by 74.8',100,1,0),
(139121,10119887,'Adds 2.2% to base avoidance.',100,1,1),
(139122,110780,'Heals group members (AE) for 266 - 326 instantly and every 2 seconds',100,1,0),
(139123,10110780,'Heals group members (AE) for 173 - 212 instantly and every 2 seconds',100,1,0),
(139124,40618,'When Equipped:',100,0,0),
(139125,40618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139126,40618,'Inflicts 53 - 80 magic damage on target',100,2,2),
(139127,40618,'Cannot be modified except by direct means',100,2,3),
(139128,10040618,'When Equipped:',100,0,0),
(139129,10040618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139130,10040618,'Inflicts 70 - 104 magic damage on target',100,2,2),
(139131,10040618,'Cannot be modified except by direct means',100,2,3),
(139132,111076,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(139133,111076,'Slows target by 64.3%',100,2,1),
(139134,111076,'5% chance to dispel when target receives hostile action',100,2,2),
(139135,111076,'5% chance to dispel when target takes damage',100,2,3),
(139136,111076,'Decreases Mitigation of target vs elemental damage by 1632',100,1,4),
(139137,10111076,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(139138,10111076,'Slows target by 64.3%',100,2,1),
(139139,10111076,'5% chance to dispel when target receives hostile action',100,2,2),
(139140,10111076,'5% chance to dispel when target takes damage',100,2,3),
(139141,10111076,'Decreases Mitigation of target vs elemental damage by 1632',100,1,4),
(139142,87272,'When Equipped:',100,0,0),
(139143,87272,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139144,87272,'Inflicts 320 - 480 magic damage on target',100,2,2),
(139145,87272,'Cannot be modified except by direct means',100,2,3),
(139146,10087272,'When Equipped:',100,0,0),
(139147,10087272,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139148,10087272,'Inflicts 416 - 624 magic damage on target',100,2,2),
(139149,10087272,'Cannot be modified except by direct means',100,2,3),
(139150,114980,'Summon 1 Shard of Essence (Journeyman)',100,1,0),
(139151,114980,'Must not be engaged in combat',100,1,1),
(139152,10114980,'Summon 1 Shard of Essence (Journeyman)',100,1,0),
(139153,10114980,'Must not be engaged in combat',100,1,1),
(139154,70592,'When Equipped:',100,0,0),
(139155,70592,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(139156,70592,'Reduces healing received by 15.00%',100,2,2),
(139157,70592,'Cannot be modified except by direct means',100,2,3),
(139158,70592,'This effect can only trigger once every 1 second.',100,2,4),
(139159,70592,'Must be engaged in pvp combat',100,1,5),
(139160,10070592,'When Equipped:',100,0,0),
(139161,10070592,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(139162,10070592,'Reduces healing received by 15.00%',100,2,2),
(139163,10070592,'Cannot be modified except by direct means',100,2,3),
(139164,10070592,'This effect can only trigger once every 1 second.',100,2,4),
(139165,10070592,'Must be engaged in pvp combat',100,1,5),
(139166,80650,'When Equipped:',100,0,0),
(139167,80650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139168,80650,'Inflicts 83 - 154 magic damage on target',100,2,2),
(139169,80650,'Cannot be modified except by direct means',100,2,3),
(139170,10080650,'When Equipped:',100,0,0),
(139171,10080650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139172,10080650,'Inflicts 108 - 200 magic damage on target',100,2,2),
(139173,10080650,'Cannot be modified except by direct means',100,2,3),
(139174,54394,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(139175,54394,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(139176,54394,'Inflicts 29 heat damage on target',100,2,2),
(139177,54394,'Cannot be modified except by direct means',100,2,3),
(139178,10054394,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(139179,10054394,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(139180,10054394,'Inflicts 37 heat damage on target',100,2,2),
(139181,10054394,'Cannot be modified except by direct means',100,2,3),
(139182,118401,'Heals target for 44 - 54',100,1,0),
(139183,118401,'Increases Max Health of target by 7.7',100,1,1),
(139184,10118401,'Heals target for 51 - 63',100,1,0),
(139185,10118401,'Increases Max Health of target by 7.7',100,1,1),
(139186,122466,'Inflicts 2303 - 3838 magic damage on target',100,1,0),
(139187,10122466,'Inflicts 2994 - 4990 magic damage on target',100,1,0),
(139188,113042,'Decreases Damage Per Second of target by 29.3',100,1,0),
(139189,10113042,'Decreases Damage Per Second of target by 29.3',100,1,0),
(139190,115813,'Inflicts 19 disease damage on target every 3 seconds',100,1,0),
(139191,115813,'Inflicts 69 - 115 melee damage on target',100,1,1),
(139192,115813,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(139193,115813,'Heals caster for 1.3% of max health instantly and every 3 seconds',100,2,3),
(139194,115813,'This effect cannot be critically applied.',100,3,4),
(139195,115813,'The healing of this spell cannot be modified except by direct means',100,2,5),
(139196,115813,'The healing of this spell cannot be modified except by direct means',100,1,6),
(139197,10115813,'Inflicts 24 disease damage on target every 3 seconds',100,1,0),
(139198,10115813,'Inflicts 90 - 150 melee damage on target',100,1,1),
(139199,10115813,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(139200,10115813,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(139201,10115813,'This effect cannot be critically applied.',100,3,4),
(139202,10115813,'The healing of this spell cannot be modified except by direct means',100,2,5),
(139203,10115813,'The healing of this spell cannot be modified except by direct means',100,1,6),
(139204,82109,'When Equipped:',100,0,0),
(139205,82109,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139206,82109,'Inflicts 212 - 393 magic damage on target',100,2,2),
(139207,82109,'Cannot be modified except by direct means',100,2,3),
(139208,10082109,'When Equipped:',100,0,0),
(139209,10082109,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139210,10082109,'Inflicts 275 - 511 magic damage on target',100,2,2),
(139211,10082109,'Cannot be modified except by direct means',100,2,3),
(139212,89427,'When Equipped:',100,0,0),
(139213,89427,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(139214,89427,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(139215,89427,'Inflicts 393 mental damage on target',100,2,3),
(139216,89427,'Must not be classified as an undead',100,3,4),
(139217,89427,'Inflicts 787 mental damage on target',100,2,5),
(139218,89427,'Must be classified as an undead',100,3,6),
(139219,89427,'Decreases Mitigation of target vs arcane damage by 656',100,2,7),
(139220,89427,'Must be classified as an undead',100,3,8),
(139221,89427,'Cannot be modified except by direct means',100,2,9),
(139222,10089427,'When Equipped:',100,0,0),
(139223,10089427,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(139224,10089427,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(139225,10089427,'Inflicts 511 mental damage on target',100,2,3),
(139226,10089427,'Must not be classified as an undead',100,3,4),
(139227,10089427,'Inflicts 1023 mental damage on target',100,2,5),
(139228,10089427,'Must be classified as an undead',100,3,6),
(139229,10089427,'Decreases Mitigation of target vs arcane damage by 656',100,2,7),
(139230,10089427,'Must be classified as an undead',100,3,8),
(139231,10089427,'Cannot be modified except by direct means',100,2,9),
(139232,25873,'When Equipped:',100,0,0),
(139233,25873,'Thorncoat VIII grants additional physical mitigation.',100,1,1),
(139234,25873,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(139235,10025873,'When Equipped:',100,0,0),
(139236,10025873,'Thorncoat VIII grants additional physical mitigation.',100,1,1),
(139237,10025873,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(139238,35641,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(139239,124462,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(139240,124462,'Inflicts 553 - 922 melee damage on target',100,2,1),
(139241,124462,'Decreases Defense of caster by 25.8',100,1,2),
(139242,124462,'Increases Slashing, Piercing, Ranged and Crushing of caster by 54.6',100,1,3),
(139243,10124462,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(139244,10124462,'Inflicts 719 - 1199 melee damage on target',100,2,1),
(139245,10124462,'Decreases Defense of caster by 25.8',100,1,2),
(139246,10124462,'Increases Slashing, Piercing, Ranged and Crushing of caster by 54.6',100,1,3),
(139247,101325,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(139248,101325,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 112',100,1,1),
(139249,101325,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,2),
(139250,10101325,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(139251,10101325,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 112',100,1,1),
(139252,10101325,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,2),
(139253,74820,'When Equipped:',100,0,0),
(139254,74820,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139255,74820,'Inflicts 131 - 197 magic damage on target',100,2,2),
(139256,74820,'Cannot be modified except by direct means',100,2,3),
(139257,10074820,'When Equipped:',100,0,0),
(139258,10074820,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139259,10074820,'Inflicts 171 - 256 magic damage on target',100,2,2),
(139260,10074820,'Cannot be modified except by direct means',100,2,3),
(139261,117976,'Heals target for 1319 - 1612',100,1,0),
(139262,117976,'Increases Max Health of target by 167.3',100,1,1),
(139263,10117976,'Heals target for 2724 - 3329',100,1,0),
(139264,10117976,'Increases Max Health of target by 167.3',100,1,1),
(139265,130911,'When Equipped:',100,0,0),
(139266,130911,'On a damage spell hit this spell may cast Aidyl''s Song of Destruction on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139267,130911,'Increases the base damage of hostile spells cast by 8%.',100,2,2),
(139268,130911,'Cannot be modified except by direct means',100,2,3),
(139269,10130911,'When Equipped:',100,0,0),
(139270,10130911,'On a damage spell hit this spell may cast Aidyl''s Song of Destruction on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139271,10130911,'Increases the base damage of hostile spells cast by 8%.',100,2,2),
(139272,10130911,'Cannot be modified except by direct means',100,2,3),
(139273,72536,'When Equipped:',100,0,0),
(139274,72536,'On a combat hit this spell may cast Ferrin''s Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139275,72536,'Inflicts 303 - 505 heat damage on target',100,2,2),
(139276,72536,'Cannot be modified except by direct means',100,2,3),
(139277,10072536,'When Equipped:',100,0,0),
(139278,10072536,'On a combat hit this spell may cast Ferrin''s Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139279,10072536,'Inflicts 394 - 656 heat damage on target',100,2,2),
(139280,10072536,'Cannot be modified except by direct means',100,2,3),
(139281,102308,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(139282,102308,'Decreases Threat to target by 1,442 ',100,2,1),
(139283,10102308,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(139284,10102308,'Inflicts 125 - 139 crushing damage on target',100,2,1),
(139285,81647,'When Equipped:',100,0,0),
(139286,81647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139287,81647,'Inflicts 153 - 283 magic damage on target',100,2,2),
(139288,81647,'Cannot be modified except by direct means',100,2,3),
(139289,10081647,'When Equipped:',100,0,0),
(139290,10081647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139291,10081647,'Inflicts 198 - 368 magic damage on target',100,2,2),
(139292,10081647,'Cannot be modified except by direct means',100,2,3),
(139293,124636,'Heals group members (AE) for 634 - 775',100,1,0),
(139294,124636,'Heals group members (AE) for 107 - 131 every second',100,1,1),
(139295,10124636,'Heals group members (AE) for 927 - 1133',100,1,0),
(139296,10124636,'Heals group members (AE) for 116 - 142 every second',100,1,1),
(139297,103151,'Throws target back',100,1,0),
(139298,103151,'If Target is not Epic',100,2,1),
(139299,103151,'Inflicts 55 - 166 crushing damage on target',100,1,2),
(139300,103151,'Stuns target',100,1,3),
(139301,103151,'If Target is not Epic',100,2,4),
(139302,103151,'Resistibility increases against targets higher than level 56.',100,1,5),
(139303,10103151,'Throws target back',100,1,0),
(139304,10103151,'If Target is not Epic',100,2,1),
(139305,10103151,'Inflicts 72 - 216 crushing damage on target',100,1,2),
(139306,10103151,'Stuns target',100,1,3),
(139307,10103151,'If Target is not Epic',100,2,4),
(139308,10103151,'Resistibility increases against targets higher than level 56.',100,1,5),
(139309,36070,'Increases STR of target by 1.5',100,0,0),
(139310,36070,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(139311,124716,'Heals group members (AE) for 452 - 553',100,1,0),
(139312,10124716,'Heals group members (AE) for 549 - 670',100,1,0),
(139313,109346,'Increases STR of caster by 163.7',100,1,0),
(139314,109346,'Decreases Defense of caster by 25.8',100,1,1),
(139315,109346,'Increases Slashing, Piercing and Crushing of caster by 46.8',100,1,2),
(139316,10109346,'Increases STR of caster by 163.7',100,1,0),
(139317,10109346,'Decreases Defense of caster by 25.8',100,1,1),
(139318,10109346,'Increases Slashing, Piercing and Crushing of caster by 46.8',100,1,2),
(139319,111229,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(139320,111229,'Heals target for 207 - 253',100,2,1),
(139321,10111229,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(139322,10111229,'Heals target for 135 - 165',100,2,1),
(139323,35133,'Increases Max Power of target by 3.3',100,0,0),
(139324,35133,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(139325,87448,'When Equipped:',100,0,0),
(139326,87448,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139327,87448,'Inflicts 44 - 66 magic damage on target',100,2,2),
(139328,87448,'Cannot be modified except by direct means',100,2,3),
(139329,10087448,'When Equipped:',100,0,0),
(139330,10087448,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139331,10087448,'Inflicts 57 - 85 magic damage on target',100,2,2),
(139332,10087448,'Cannot be modified except by direct means',100,2,3),
(139333,112971,'Reduces physical damage done to caster by 5%',100,1,0),
(139334,112971,'Increases STA of caster by 15.8',100,1,1),
(139335,112971,'Adds 3.7% to base avoidance.',100,1,2),
(139336,112971,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(139337,112971,'Increases Defense and Aggression of caster by 2.2',100,1,4),
(139338,112971,'Increases Mitigation of caster vs arcane damage by 184',100,1,5),
(139339,112971,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(139340,10112971,'Reduces physical damage done to caster by 5%',100,1,0),
(139341,10112971,'Increases STA of caster by 15.8',100,1,1),
(139342,10112971,'Adds 3.7% to base avoidance.',100,1,2),
(139343,10112971,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(139344,10112971,'Increases Defense and Aggression of caster by 2.2',100,1,4),
(139345,10112971,'Increases Mitigation of caster vs arcane damage by 184',100,1,5),
(139346,10112971,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(139347,123111,'Inflicts 143 disease damage on targets in Area of Effect',100,1,0),
(139348,123111,'Inflicts 97 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(139349,10123111,'Inflicts 185 disease damage on targets in Area of Effect',100,1,0),
(139350,10123111,'Inflicts 126 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(139351,24534,'Adds Mistmoore: Gilded Stone Vase to your Dungeon Maker toolbox',100,0,0),
(139352,10024534,'Adds Mistmoore: Gilded Stone Vase to your Dungeon Maker toolbox',100,0,0),
(139353,74703,'When Equipped:',100,0,0),
(139354,74703,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139355,74703,'Inflicts 230 - 345 magic damage on target',100,2,2),
(139356,74703,'Cannot be modified except by direct means',100,2,3),
(139357,10074703,'When Equipped:',100,0,0),
(139358,10074703,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139359,10074703,'Inflicts 299 - 449 magic damage on target',100,2,2),
(139360,10074703,'Cannot be modified except by direct means',100,2,3),
(139361,100693,'Dispels 70 levels of any hostile effects on target',100,1,0),
(139362,100693,'Dispels 70 levels of hostile Fear effects on target',100,1,1),
(139363,100693,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(139364,100693,'Makes target immune to Fear effects',100,3,3),
(139365,100693,'Dispels 70 levels of hostile Daze effects on target',100,1,4),
(139366,100693,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(139367,100693,'Makes target immune to Daze effects',100,3,6),
(139368,100693,'Dispels 70 levels of hostile Root effects on target',100,1,7),
(139369,100693,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(139370,100693,'Makes target immune to Root effects',100,3,9),
(139371,100693,'Dispels 70 levels of hostile Stifle effects on target',100,1,10),
(139372,100693,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(139373,100693,'Makes target immune to Stifle effects',100,3,12),
(139374,100693,'Dispels 70 levels of hostile Stun effects on target',100,1,13),
(139375,100693,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(139376,100693,'Makes target immune to Stun effects',100,3,15),
(139377,10100693,'Dispels 70 levels of any hostile effects on target',100,1,0),
(139378,10100693,'Dispels 70 levels of hostile Fear effects on target',100,1,1),
(139379,10100693,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(139380,10100693,'Makes target immune to Fear effects',100,3,3),
(139381,10100693,'Dispels 70 levels of hostile Daze effects on target',100,1,4),
(139382,10100693,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(139383,10100693,'Makes target immune to Daze effects',100,3,6),
(139384,10100693,'Dispels 70 levels of hostile Root effects on target',100,1,7),
(139385,10100693,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(139386,10100693,'Makes target immune to Root effects',100,3,9),
(139387,10100693,'Dispels 70 levels of hostile Stifle effects on target',100,1,10),
(139388,10100693,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(139389,10100693,'Makes target immune to Stifle effects',100,3,12),
(139390,10100693,'Dispels 70 levels of hostile Stun effects on target',100,1,13),
(139391,10100693,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(139392,10100693,'Makes target immune to Stun effects',100,3,15),
(139393,110566,'Decreases Attack Speed of target by 14.9',100,1,0),
(139394,110566,'Decreases Crushing, Slashing and Piercing of target by 4.3',100,1,1),
(139395,10110566,'Decreases Attack Speed of target by 14.9',100,1,0),
(139396,10110566,'Decreases Crushing, Slashing and Piercing of target by 4.3',100,1,1),
(139397,40856,'When Equipped:',100,0,0),
(139398,40856,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(139399,40856,'Inflicts 464 piercing damage on target',100,2,2),
(139400,40856,'Cannot be modified except by direct means',100,2,3),
(139401,10040856,'When Equipped:',100,0,0),
(139402,10040856,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(139403,10040856,'Inflicts 301 piercing damage on target',100,2,2),
(139404,10040856,'Cannot be modified except by direct means',100,2,3),
(139405,47701,'Applies Refined Troll Snot when Activated.  Lasts for 30.0 seconds.',100,0,0),
(139406,47701,'Slows target by 38.3%',75,1,1),
(139407,47701,'Slows caster by 26.1%',25,1,2),
(139408,10047701,'Applies Refined Troll Snot when Activated.  Lasts for 30.0 seconds.',100,0,0),
(139409,10047701,'Slows target by 38.3%',75,1,1),
(139410,10047701,'Slows caster by 26.1%',25,1,2),
(139411,25564,'When Equipped:',100,0,0),
(139412,25564,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(139413,25564,'Reduces the reuse time of Lay on Hands by 30 seconds.',100,1,2),
(139414,10025564,'When Equipped:',100,0,0),
(139415,10025564,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(139416,10025564,'Reduces the reuse time of Lay on Hands by 30 seconds.',100,1,2),
(139417,109997,'Heals target for 66 - 80 instantly and every 2 seconds',100,1,0),
(139418,10109997,'Heals target for 43 - 52 instantly and every 2 seconds',100,1,0),
(139419,80298,'When Equipped:',100,0,0),
(139420,80298,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139421,80298,'Inflicts 75 - 138 magic damage on target',100,2,2),
(139422,80298,'Cannot be modified except by direct means',100,2,3),
(139423,10080298,'When Equipped:',100,0,0),
(139424,10080298,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139425,10080298,'Inflicts 97 - 180 magic damage on target',100,2,2),
(139426,10080298,'Cannot be modified except by direct means',100,2,3),
(139427,74752,'When Equipped:',100,0,0),
(139428,74752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139429,74752,'Inflicts 97 - 145 magic damage on target',100,2,2),
(139430,74752,'Cannot be modified except by direct means',100,2,3),
(139431,10074752,'When Equipped:',100,0,0),
(139432,10074752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139433,10074752,'Inflicts 126 - 189 magic damage on target',100,2,2),
(139434,10074752,'Cannot be modified except by direct means',100,2,3),
(139435,75628,'Applies Holy Strike when Activated.',100,0,0),
(139436,75628,'Inflicts 418 - 696 divine damage on target',100,1,1),
(139437,75628,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(139438,10075628,'Applies Holy Strike when Activated.',100,0,0),
(139439,10075628,'Inflicts 543 - 905 divine damage on target',100,1,1),
(139440,10075628,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(139441,48093,'Applies Draw upon Essence when Activated.',100,0,0),
(139442,48093,'Increases power of caster by 5',100,1,1),
(139443,48093,'Requires 15 Health to cast.',100,1,2),
(139444,10048093,'Applies Draw upon Essence when Activated.',100,0,0),
(139445,10048093,'Increases power of caster by 5',100,1,1),
(139446,10048093,'Requires 15 Health to cast.',100,1,2),
(139447,24527,'Adds Mistmoore: Dresser to your Dungeon Maker toolbox',100,0,0),
(139448,10024527,'Adds Mistmoore: Dresser to your Dungeon Maker toolbox',100,0,0),
(139449,71931,'When Equipped:',100,0,0),
(139450,71931,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139451,71931,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(139452,71931,'Cannot be modified except by direct means',100,2,3),
(139453,10071931,'When Equipped:',100,0,0),
(139454,10071931,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139455,10071931,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(139456,10071931,'Cannot be modified except by direct means',100,2,3),
(139457,25213,'When Equipped:',100,0,0),
(139458,25213,'Decreases falling damage taken by caster by 5.0%',100,1,1),
(139459,10025213,'When Equipped:',100,0,0),
(139460,10025213,'Decreases falling damage taken by caster by 5.0%',100,1,1),
(139461,48020,'Applies Attuned Blink when Activated.',100,0,0),
(139462,48020,'Translocation',100,1,1),
(139463,10048020,'Applies Attuned Blink when Activated.',100,0,0),
(139464,10048020,'Translocation',100,1,1),
(139465,27019,'When Equipped:',100,0,0),
(139466,27019,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(139467,27019,'Inflicts 106 cold damage on target',100,2,2),
(139468,27019,'Slows target by 16.7%',100,2,3),
(139469,27019,'Cannot be modified except by direct means',100,2,4),
(139470,10027019,'When Equipped:',100,0,0),
(139471,10027019,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(139472,10027019,'Inflicts 138 cold damage on target',100,2,2),
(139473,10027019,'Slows target by 16.7%',100,2,3),
(139474,10027019,'Cannot be modified except by direct means',100,2,4),
(139475,122379,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(139476,122379,'Inflicts 2 piercing damage on target encounter',100,2,1),
(139477,10122379,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(139478,10122379,'Inflicts 2 - 3 piercing damage on target encounter',100,2,1),
(139479,122510,'Heals caster for 3',100,1,0),
(139480,122510,'Inflicts 7 - 12 melee damage on target',100,1,1),
(139481,10122510,'Heals caster for 2',100,1,0),
(139482,10122510,'Inflicts 9 - 16 melee damage on target',100,1,1),
(139483,116873,'Wards group members (AE) against 739 points of noxious damage',100,1,0),
(139484,116873,'Increases Mitigation of group members (AE) vs noxious damage by 464',100,1,1),
(139485,10116873,'Wards group members (AE) against 739 points of noxious damage',100,1,0),
(139486,10116873,'Increases Mitigation of group members (AE) vs noxious damage by 464',100,1,1),
(139487,105328,'Inflicts 200 - 333 melee damage on target',100,1,0),
(139488,105328,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 257',100,1,1),
(139489,105328,'Must be flanking or behind',100,1,2),
(139490,10105328,'Inflicts 260 - 434 melee damage on target',100,1,0),
(139491,10105328,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 257',100,1,1),
(139492,10105328,'Must be flanking or behind',100,1,2),
(139493,37007,'Increases STA of target by 1.5',100,0,0),
(139494,37007,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(139495,82235,'When Equipped:',100,0,0),
(139496,82235,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139497,82235,'Inflicts 48 - 89 magic damage on target',100,2,2),
(139498,82235,'Cannot be modified except by direct means',100,2,3),
(139499,10082235,'When Equipped:',100,0,0),
(139500,10082235,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139501,10082235,'Inflicts 62 - 115 magic damage on target',100,2,2),
(139502,10082235,'Cannot be modified except by direct means',100,2,3),
(139503,104012,'Stifles target',100,1,0),
(139504,104012,'If Target is not Epic',100,2,1),
(139505,104012,'Interrupts target',100,1,2),
(139506,104012,'Decreases Threat to target by 225 - 275 ',100,1,3),
(139507,104012,'Resistibility increases against targets higher than level 53.',100,1,4),
(139508,10104012,'Stifles target',100,1,0),
(139509,10104012,'If Target is not Epic',100,2,1),
(139510,10104012,'Interrupts target',100,1,2),
(139511,10104012,'Resistibility increases against targets higher than level 53.',100,1,3),
(139512,36657,'Increases STR of target by 1.5',100,0,0),
(139513,36657,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(139514,115376,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(139515,115376,'Increases Parry of caster by 11.0',100,1,1),
(139516,10115376,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(139517,10115376,'Increases Parry of caster by 11.0',100,1,1),
(139518,110852,'Inflicts 779 - 1054 mental damage on target',100,1,0),
(139519,110852,'Interrupts target',100,1,1),
(139520,10110852,'Inflicts 1012 - 1370 mental damage on target',100,1,0),
(139521,10110852,'Interrupts target',100,1,1),
(139522,123473,'Shapechanges caster into a bear',100,1,0),
(139523,123473,'Increases WIS of caster by 135.5',100,1,1),
(139524,123473,'Grants See Stealth to caster',100,1,2),
(139525,123473,'Increases Max Health of caster by 601.7',100,1,3),
(139526,123473,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1985',100,1,4),
(139527,10123473,'Shapechanges caster into a bear',100,1,0),
(139528,10123473,'Increases WIS of caster by 135.5',100,1,1),
(139529,10123473,'Grants See Stealth to caster',100,1,2),
(139530,10123473,'Increases Max Health of caster by 601.7',100,1,3),
(139531,10123473,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1985',100,1,4),
(139532,110785,'Heals group members (AE) for 442 - 540 instantly and every 2 seconds',100,1,0),
(139533,10110785,'Heals group members (AE) for 287 - 351 instantly and every 2 seconds',100,1,0),
(139534,106911,'Inflicts 17 - 31 poison damage on target',100,1,0),
(139535,10106911,'Inflicts 22 - 40 poison damage on target',100,1,0),
(139536,117385,'Increases Threat to target by 310 ',100,1,0),
(139537,117385,'Inflicts 58 - 175 melee damage on target',100,1,1),
(139538,10117385,'Forces target to change their selected target to caster.',100,1,0),
(139539,10117385,'Inflicts 50 - 152 melee damage on target',100,1,1),
(139540,104934,'Inflicts 782 - 1303 ranged damage on target',100,1,0),
(139541,104934,'Decreases Deflection and Parry of target by 42.9',100,1,1),
(139542,104934,'Requires bow',100,1,2),
(139543,10104934,'Inflicts 664 - 1108 ranged damage on target',100,1,0),
(139544,10104934,'Decreases Deflection and Parry of target by 42.9',100,1,1),
(139545,10104934,'Requires bow',100,1,2),
(139546,24159,'Adds Crushbone: Blue Stone Table to your Dungeon Maker toolbox',100,0,0),
(139547,10024159,'Adds Crushbone: Blue Stone Table to your Dungeon Maker toolbox',100,0,0),
(139548,35972,'Increases AGI of target by 1.5',100,0,0),
(139549,35972,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(139550,123755,'Decreases Mitigation of target vs noxious damage by 240',100,1,0),
(139551,123755,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(139552,123755,'Slows target by 34.5%',100,2,2),
(139553,123755,'5% chance to dispel when target receives hostile action',100,2,3),
(139554,123755,'5% chance to dispel when target takes damage',100,2,4),
(139555,10123755,'Decreases Mitigation of target vs noxious damage by 240',100,1,0),
(139556,10123755,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(139557,10123755,'Slows target by 34.5%',100,2,2),
(139558,10123755,'5% chance to dispel when target receives hostile action',100,2,3),
(139559,10123755,'5% chance to dispel when target takes damage',100,2,4),
(139560,177682,'When Equipped:',100,0,0),
(139561,177682,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139562,177682,'Increases WIS of caster by 17.6',100,2,2),
(139563,177682,'Increases Ministration, Ordination and Focus of caster by 9.9',100,2,3),
(139564,177682,'Cannot be modified except by direct means',100,2,4),
(139565,10177682,'When Equipped:',100,0,0),
(139566,10177682,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139567,10177682,'Increases WIS of caster by 17.6',100,2,2),
(139568,10177682,'Increases Ministration, Ordination and Focus of caster by 9.9',100,2,3),
(139569,10177682,'Cannot be modified except by direct means',100,2,4),
(139570,120224,'Roots target encounter',100,1,0),
(139571,120224,'15% chance to dispel when target takes damage',100,1,1),
(139572,120224,'Does not affect Epic targets',100,1,2),
(139573,120224,'Resistibility increases against targets higher than level 83.',100,1,3),
(139574,10120224,'Roots target encounter',100,1,0),
(139575,10120224,'15% chance to dispel when target takes damage',100,1,1),
(139576,10120224,'Does not affect Epic targets',100,1,2),
(139577,10120224,'Resistibility increases against targets higher than level 83.',100,1,3),
(139578,114494,'Increases In-Combat Power Regeneration of group members (AE) by 15.1',100,1,0),
(139579,10114494,'Increases In-Combat Power Regeneration of group members (AE) by 15.1',100,1,0),
(139580,117133,'Inflicts 145 - 177 heat damage on target instantly and every 4 seconds',100,1,0),
(139581,117133,'Decreases Mitigation of target vs arcane damage by 510',100,1,1),
(139582,10117133,'Inflicts 188 - 230 heat damage on target instantly and every 4 seconds',100,1,0),
(139583,10117133,'Decreases Mitigation of target vs arcane damage by 510',100,1,1),
(139584,186994,'When Equipped:',100,0,0),
(139585,186994,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(139586,10186994,'When Equipped:',100,0,0),
(139587,10186994,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(139588,118759,'Increases INT and WIS of group members (AE) by 49.6',100,1,0),
(139589,118759,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 147',100,1,1),
(139590,10118759,'Increases INT and WIS of group members (AE) by 49.6',100,1,0),
(139591,10118759,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 147',100,1,1),
(139592,178634,'When Equipped:',100,0,0),
(139593,178634,'Increases Attack Speed of caster by 35.0',100,1,1),
(139594,10178634,'When Equipped:',100,0,0),
(139595,10178634,'Increases Attack Speed of caster by 35.0',100,1,1),
(139596,100886,'Makes target afraid',100,1,0),
(139597,100886,'30% chance to dispel when target takes damage',100,1,1),
(139598,100886,'Does not affect Epic targets',100,1,2),
(139599,100886,'Resistibility increases against targets higher than level 106.',100,1,3),
(139600,10100886,'Makes target afraid',100,1,0),
(139601,10100886,'30% chance to dispel when target takes damage',100,1,1),
(139602,10100886,'Does not affect Epic targets',100,1,2),
(139603,10100886,'Resistibility increases against targets higher than level 106.',100,1,3),
(139604,122749,'Heals group members (AE) for 139 - 169',100,1,0),
(139605,122749,'Increases Max Health of group members (AE) by 19.3',100,1,1),
(139606,10122749,'Heals group members (AE) for 162 - 198',100,1,0),
(139607,10122749,'Increases Max Health of group members (AE) by 19.3',100,1,1),
(139608,52808,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(139609,52808,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(139610,52808,'Inflicts 66 heat damage on target',100,2,2),
(139611,52808,'Cannot be modified except by direct means',100,2,3),
(139612,10052808,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(139613,10052808,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(139614,10052808,'Inflicts 86 heat damage on target',100,2,2),
(139615,10052808,'Cannot be modified except by direct means',100,2,3),
(139616,120672,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 34.6',100,1,0),
(139617,120672,'Increases Focus of group members (AE) by 69.8',100,1,1),
(139618,10120672,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 34.6',100,1,0),
(139619,10120672,'Increases Focus of group members (AE) by 69.8',100,1,1),
(139620,119172,'Inflicts 8 - 14 heat damage on target',100,1,0),
(139621,119172,'Inflicts 8 - 14 heat damage on target',100,1,1),
(139622,119172,'Requires bow',100,1,2),
(139623,10119172,'Inflicts 9 - 16 heat damage on target',100,1,0),
(139624,10119172,'Inflicts 9 - 16 heat damage on target',100,1,1),
(139625,10119172,'Requires bow',100,1,2),
(139626,116553,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(139627,116553,'Inflicts 366 divine damage on target',100,2,1),
(139628,116553,'Increases Mitigation of raid and group members (AE) vs all damage by 2376',100,1,2),
(139629,10116553,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(139630,10116553,'Inflicts 476 divine damage on target',100,2,1),
(139631,10116553,'Increases Mitigation of raid and group members (AE) vs all damage by 2376',100,1,2),
(139632,27034,'When Equipped:',100,0,0),
(139633,27034,'Increases Damage Per Second of caster by 1.0',100,1,1),
(139634,10027034,'When Equipped:',100,0,0),
(139635,10027034,'Increases Damage Per Second of caster by 1.0',100,1,1),
(139636,82868,'When Equipped:',100,0,0),
(139637,82868,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139638,82868,'Inflicts 350 - 650 magic damage on target',100,2,2),
(139639,82868,'Cannot be modified except by direct means',100,2,3),
(139640,10082868,'When Equipped:',100,0,0),
(139641,10082868,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139642,10082868,'Inflicts 455 - 845 magic damage on target',100,2,2),
(139643,10082868,'Cannot be modified except by direct means',100,2,3),
(139644,36765,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(139645,118472,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(139646,118472,'Inflicts 62 - 75 heat damage on target instantly and every second',100,2,1),
(139647,10118472,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(139648,10118472,'Inflicts 80 - 98 heat damage on target instantly and every second',100,2,1),
(139649,45715,'Applies Clouded Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(139650,45715,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(139651,45715,'Only affects targets level 50 and above',100,1,2),
(139652,10045715,'Applies Clouded Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(139653,10045715,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(139654,10045715,'Only affects targets level 50 and above',100,1,2),
(139655,75120,'When Equipped:',100,0,0),
(139656,75120,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(139657,10075120,'When Equipped:',100,0,0),
(139658,10075120,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(139659,105108,'Inflicts 834 - 1129 magic damage on target',100,1,0),
(139660,10105108,'Inflicts 1085 - 1467 magic damage on target',100,1,0),
(139661,116605,'Inflicts 441 - 736 divine damage on target',100,1,0),
(139662,10116605,'Inflicts 574 - 956 divine damage on target',100,1,0),
(139663,163568,'When Equipped:',100,0,0),
(139664,163568,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(139665,10163568,'When Equipped:',100,0,0),
(139666,10163568,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(139667,103983,'Interrupts targets in Area of Effect',100,1,0),
(139668,103983,'Inflicts 148 - 275 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(139669,10103983,'Interrupts targets in Area of Effect',100,1,0),
(139670,10103983,'Inflicts 193 - 358 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(139671,101533,'Increases WIS of target by 143.2',100,1,0),
(139672,101533,'Increases Max Health of target by 1,274.7',100,1,1),
(139673,101533,'Increases Mitigation of target vs elemental, noxious and arcane damage by 389',100,1,2),
(139674,10101533,'Increases WIS of target by 143.2',100,1,0),
(139675,10101533,'Increases Max Health of target by 1,274.7',100,1,1),
(139676,10101533,'Increases Mitigation of target vs elemental, noxious and arcane damage by 389',100,1,2),
(139677,35720,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(139678,124739,'Heals group members (AE) for 1593 - 1947',100,1,0),
(139679,10124739,'Heals group members (AE) for 3478 - 4251',100,1,0),
(139680,176640,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(139681,176640,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 702',100,1,1),
(139682,176640,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(139683,10176640,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(139684,10176640,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 702',100,1,1),
(139685,10176640,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(139686,114225,'Inflicts 78 - 96 mental damage on target',100,1,0),
(139687,114225,'Stuns target',100,1,1),
(139688,114225,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(139689,114225,'Resistibility increases against targets higher than level 42.',100,1,3),
(139690,10114225,'Inflicts 102 - 124 mental damage on target',100,1,0),
(139691,10114225,'Requires not being affected by Mesmerize effects.',100,2,1),
(139692,10114225,'Stuns target',100,1,2),
(139693,10114225,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(139694,10114225,'Resistibility increases against targets higher than level 42.',100,1,4),
(139695,148791,'When Equipped:',100,0,0),
(139696,148791,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(139697,148791,'Stuns target',100,2,2),
(139698,148791,'Throws target back',100,2,3),
(139699,148791,'Does not affect Epic targets',100,2,4),
(139700,148791,'Resistibility increases against targets higher than level 74.',100,2,5),
(139701,148791,'Cannot be modified except by direct means',100,2,6),
(139702,10148791,'When Equipped:',100,0,0),
(139703,10148791,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(139704,10148791,'Stuns target',100,2,2),
(139705,10148791,'Throws target back',100,2,3),
(139706,10148791,'Does not affect Epic targets',100,2,4),
(139707,10148791,'Resistibility increases against targets higher than level 74.',100,2,5),
(139708,10148791,'Cannot be modified except by direct means',100,2,6),
(139709,106800,'Decreases STR and AGI of target encounter by 50.8',100,1,0),
(139710,10106800,'Decreases STR and AGI of target encounter by 50.8',100,1,0),
(139711,71897,'When Equipped:',100,0,0),
(139712,71897,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139713,71897,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(139714,71897,'Cannot be modified except by direct means',100,2,3),
(139715,10071897,'When Equipped:',100,0,0),
(139716,10071897,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139717,10071897,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(139718,10071897,'Cannot be modified except by direct means',100,2,3),
(139719,114073,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(139720,114073,'Grants stealth to caster',100,2,1),
(139721,114073,'Suspends caster''s movement speed enhancements',100,2,2),
(139722,114073,'Inflicts 354 - 590 melee damage on target',100,1,3),
(139723,114073,'Must be flanking or behind',100,1,4),
(139724,10114073,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(139725,10114073,'Grants stealth to caster',100,2,1),
(139726,10114073,'Suspends caster''s movement speed enhancements',100,2,2),
(139727,10114073,'Inflicts 690 - 1150 melee damage on target',100,1,3),
(139728,10114073,'Must be flanking or behind',100,1,4),
(139729,24057,'Adds Bugbear (Mystic) to your Dungeon Maker toolbox',100,0,0),
(139730,10024057,'Adds Bugbear (Mystic) to your Dungeon Maker toolbox',100,0,0),
(139731,121963,'Inflicts 111 - 184 disease damage on target',100,1,0),
(139732,121963,'Decreases Defense of target by 24.0',100,1,1),
(139733,121963,'Interrupts target',100,1,2),
(139734,10121963,'Inflicts 144 - 240 disease damage on target',100,1,0),
(139735,10121963,'Decreases Defense of target by 24.0',100,1,1),
(139736,10121963,'Interrupts target',100,1,2),
(139737,48850,'Applies Translucent Noxious Remedy when Activated.',100,0,0),
(139738,48850,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(139739,48850,'Only affects targets level 50 and above',100,1,2),
(139740,10048850,'Applies Translucent Noxious Remedy when Activated.',100,0,0),
(139741,10048850,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(139742,10048850,'Only affects targets level 50 and above',100,1,2),
(139743,118416,'Heals target for 460 - 562',100,1,0),
(139744,118416,'Increases Max Health of target by 76.2',100,1,1),
(139745,10118416,'Heals target for 533 - 652',100,1,0),
(139746,10118416,'Increases Max Health of target by 76.2',100,1,1),
(139747,46314,'Applies Fiery Sun when Activated.',100,0,0),
(139748,46314,'Purifies soul of recipient. ',100,1,1),
(139749,10046314,'Applies Fiery Sun when Activated.',100,0,0),
(139750,10046314,'Purifies soul of recipient. ',100,1,1),
(139751,111372,'Inflicts 313 - 522 disease damage on target',100,1,0),
(139752,111372,'Heals caster for 134 - 223',100,1,1),
(139753,10111372,'Inflicts 407 - 678 disease damage on target',100,1,0),
(139754,10111372,'Heals caster for 87 - 145',100,1,1),
(139755,89245,'When Equipped:',100,0,0),
(139756,89245,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(139757,89245,'Stifles target',100,2,2),
(139758,89245,'Only affects targets level 102 and below',100,2,3),
(139759,89245,'Does not affect Epic targets',100,2,4),
(139760,89245,'Resistibility increases against targets higher than level 104.',100,2,5),
(139761,89245,'Cannot be modified except by direct means',100,2,6),
(139762,10089245,'When Equipped:',100,0,0),
(139763,10089245,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(139764,10089245,'Stifles target',100,2,2),
(139765,10089245,'Only affects targets level 102 and below',100,2,3),
(139766,10089245,'Does not affect Epic targets',100,2,4),
(139767,10089245,'Resistibility increases against targets higher than level 104.',100,2,5),
(139768,10089245,'Cannot be modified except by direct means',100,2,6),
(139769,117075,'Inflicts 482 - 804 melee damage on target',100,1,0),
(139770,117075,'Decreases Attack Speed of target by 25.3',100,1,1),
(139771,10117075,'Inflicts 627 - 1046 melee damage on target',100,1,0),
(139772,10117075,'Decreases Attack Speed of target by 25.3',100,1,1),
(139773,100776,'Summons a limited pet to aid the caster',100,1,0),
(139774,10100776,'Summons a limited pet to aid the caster',100,1,0),
(139775,114804,'Decreases WIS of target by 73.6',100,1,0),
(139776,114804,'Increases WIS and STA of caster by 73.6',100,1,1),
(139777,114804,'Decreases Max Health of target by 1.4%',100,1,2),
(139778,114804,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 235',100,1,3),
(139779,114804,'Only affects targets level 17 and above',100,1,4),
(139780,10114804,'Decreases WIS of target by 73.6',100,1,0),
(139781,10114804,'Increases WIS and STA of caster by 73.6',100,1,1),
(139782,10114804,'Decreases Max Health of target by 1.4%',100,1,2),
(139783,10114804,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 235',100,1,3),
(139784,10114804,'Only affects targets level 17 and above',100,1,4),
(139785,120833,'Inflicts 135 - 183 disease damage on target instantly and every second',100,1,0),
(139786,10120833,'Inflicts 246 - 333 disease damage on target',100,1,0),
(139787,10120833,'Inflicts 176 - 238 disease damage on target every second',100,1,1),
(139788,114044,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(139789,114044,'Heals target for 7 instantly and every 2 seconds',100,2,1),
(139790,114044,'Decreases Mitigation of target vs arcane damage by 178',100,1,2),
(139791,10114044,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(139792,10114044,'Heals target for 4 instantly and every 2 seconds',100,2,1),
(139793,10114044,'Decreases Mitigation of target vs arcane damage by 178',100,1,2),
(139794,123907,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(139795,123907,'Slows target by 65.9%',100,2,1),
(139796,123907,'5% chance to dispel when target receives hostile action',100,2,2),
(139797,123907,'5% chance to dispel when target takes damage',100,2,3),
(139798,123907,'Decreases Mitigation of target vs elemental and noxious damage by 896',100,1,4),
(139799,10123907,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(139800,10123907,'Slows target by 65.9%',100,2,1),
(139801,10123907,'5% chance to dispel when target receives hostile action',100,2,2),
(139802,10123907,'5% chance to dispel when target takes damage',100,2,3),
(139803,10123907,'Decreases Mitigation of target vs elemental and noxious damage by 896',100,1,4),
(139804,111689,'Inflicts 256 - 313 cold damage on target',100,1,0),
(139805,111689,'Inflicts 256 - 313 cold damage on target',100,1,1),
(139806,111689,'If target is elemental',100,2,2),
(139807,10111689,'Inflicts 285 - 349 cold damage on target',100,1,0),
(139808,75248,'When Equipped:',100,0,0),
(139809,75248,'On a combat hit this spell may cast Shadow of Purity on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(139810,75248,'Decreases Threat to target by 900 ',100,2,2),
(139811,75248,'Must be flanking or behind',100,3,3),
(139812,75248,'Increases Threat to target by 900 ',100,2,4),
(139813,75248,'Must be in front of',100,3,5),
(139814,75248,'Cannot be modified except by direct means',100,2,6),
(139815,10075248,'When Equipped:',100,0,0),
(139816,10075248,'On a combat hit this spell may cast Shadow of Purity on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(139817,10075248,'Cannot be modified except by direct means',100,2,2),
(139818,105577,'Decreases power of target encounter by 21 - 26 instantly and every 3 seconds',100,1,0),
(139819,105577,'Inflicts 49 - 91 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(139820,105577,'Heals group members (AE) for 16 - 29 instantly and every 3 seconds',100,1,2),
(139821,105577,'Increases power of group members (AE) by 6 instantly and every 3 seconds',100,1,3),
(139822,10105577,'Decreases power of target encounter by 21 - 26 instantly and every 3 seconds',100,1,0),
(139823,10105577,'Inflicts 64 - 118 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(139824,10105577,'Heals group members (AE) for 10 - 19 instantly and every 3 seconds',100,1,2),
(139825,10105577,'Increases power of group members (AE) by 6 instantly and every 3 seconds',100,1,3),
(139826,101151,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(139827,101151,'Inflicts 374 ranged damage on target',100,2,1),
(139828,101151,'Decreases Defense of caster by 17.7',100,1,2),
(139829,101151,'Increases Crushing, Piercing, Ranged and Slashing of caster by 29.2',100,1,3),
(139830,10101151,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(139831,10101151,'Inflicts 317 ranged damage on target',100,2,1),
(139832,10101151,'Decreases Defense of caster by 17.7',100,1,2),
(139833,10101151,'Increases Crushing, Piercing, Ranged and Slashing of caster by 29.2',100,1,3),
(139834,103955,'Applies Castigate.',100,1,0),
(139835,103955,'Inflicts 977 - 1629 divine damage on targets in Area of Effect',100,2,1),
(139836,103955,'Dispels 138 levels of any hostile effects on caster',100,1,2),
(139837,103955,'Casts Castigate for each successful Dispel.',100,1,3),
(139838,103955,'Inflicts 977 - 1629 divine damage on targets in Area of Effect',100,3,4),
(139839,10103955,'Applies Castigate.',100,1,0),
(139840,10103955,'Inflicts 1271 - 2118 divine damage on targets in Area of Effect',100,2,1),
(139841,10103955,'Dispels 138 levels of any hostile effects on caster',100,1,2),
(139842,10103955,'Casts Castigate for each successful Dispel.',100,1,3),
(139843,10103955,'Inflicts 1271 - 2118 divine damage on targets in Area of Effect',100,3,4),
(139844,119977,'Increases Threat to target by 214 - 261 ',100,1,0),
(139845,10119977,'Prevents target from changing targets',100,1,0),
(139846,10119977,'Forces target to change their selected target to caster.',100,1,1),
(139847,118151,'Inflicts 283 - 472 melee damage on target',100,1,0),
(139848,118151,'Dazes target',100,1,1),
(139849,118151,'If Target is not Epic',100,2,2),
(139850,118151,'Resistibility increases against targets higher than level 69.',100,1,3),
(139851,10118151,'Inflicts 368 - 614 melee damage on target',100,1,0),
(139852,10118151,'Dazes target',100,1,1),
(139853,10118151,'If Target is not Epic',100,2,2),
(139854,10118151,'Resistibility increases against targets higher than level 69.',100,1,3),
(139855,119219,'Summons a pet Dragonslaying For Dummies',100,1,0),
(139856,10119219,'Summons a pet Dragonslaying For Dummies',100,1,0),
(139857,141757,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(139858,141757,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(139859,141757,'Inflicts 64 heat damage on target',100,2,2),
(139860,141757,'Cannot be modified except by direct means',100,2,3),
(139861,10141757,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(139862,10141757,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(139863,10141757,'Inflicts 84 heat damage on target',100,2,2),
(139864,10141757,'Cannot be modified except by direct means',100,2,3),
(139865,110937,'Inflicts 217 - 362 divine damage on target',100,1,0),
(139866,110937,'Increases Threat to target by 1,687 ',100,1,1),
(139867,110937,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(139868,110937,'Stuns target',100,2,3),
(139869,110937,'Throws target back',100,2,4),
(139870,110937,'Blurs vision of target',100,2,5),
(139871,110937,'Does not affect Epic targets',100,2,6),
(139872,10110937,'Inflicts 283 - 471 divine damage on target',100,1,0),
(139873,10110937,'Prevents target from changing targets',100,1,1),
(139874,10110937,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(139875,10110937,'Blurs vision of target',100,2,3),
(139876,10110937,'Stuns target',100,2,4),
(139877,10110937,'Throws target back',100,2,5),
(139878,10110937,'Does not affect Epic targets',100,2,6),
(139879,10110937,'Forces target to change their selected target to caster.',100,1,7),
(139880,105525,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.4',100,1,0),
(139881,10105525,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.4',100,1,0),
(139882,122522,'Heals caster for 24',100,1,0),
(139883,122522,'Inflicts 56 - 93 melee damage on target',100,1,1),
(139884,10122522,'Heals caster for 16',100,1,0),
(139885,10122522,'Inflicts 73 - 122 melee damage on target',100,1,1),
(139886,100483,'Increases Attack Speed of group members (AE) by 10.4',100,1,0),
(139887,10100483,'Increases Attack Speed of group members (AE) by 10.4',100,1,0),
(139888,113416,'Reduces physical damage done to caster by 5%',100,1,0),
(139889,113416,'Increases STA of caster by 75.2',100,1,1),
(139890,113416,'Adds 3.4% to base avoidance.',100,1,2),
(139891,113416,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(139892,113416,'Increases Defense and Aggression of caster by 14.5',100,1,4),
(139893,113416,'Increases Mitigation of caster vs noxious damage by 968',100,1,5),
(139894,113416,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(139895,10113416,'Reduces physical damage done to caster by 5%',100,1,0),
(139896,10113416,'Increases STA of caster by 75.2',100,1,1),
(139897,10113416,'Adds 3.4% to base avoidance.',100,1,2),
(139898,10113416,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(139899,10113416,'Increases Defense and Aggression of caster by 14.5',100,1,4),
(139900,10113416,'Increases Mitigation of caster vs noxious damage by 968',100,1,5),
(139901,10113416,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(139902,116298,'Stuns target',100,1,0),
(139903,116298,'Does not affect Epic targets',100,1,1),
(139904,116298,'Resistibility increases against targets higher than level 45.',100,1,2),
(139905,10116298,'Stuns target',100,1,0),
(139906,10116298,'Does not affect Epic targets',100,1,1),
(139907,10116298,'Resistibility increases against targets higher than level 45.',100,1,2),
(139908,122425,'Sets a trap',100,1,0),
(139909,10122425,'Sets a trap',100,1,0),
(139910,101512,'Increases WIS of target by 48.3',100,1,0),
(139911,101512,'Increases Max Health of target by 363.3',100,1,1),
(139912,101512,'Increases Mitigation of target vs elemental, noxious and arcane damage by 134',100,1,2),
(139913,10101512,'Increases WIS of target by 48.3',100,1,0),
(139914,10101512,'Increases Max Health of target by 363.3',100,1,1),
(139915,10101512,'Increases Mitigation of target vs elemental, noxious and arcane damage by 134',100,1,2),
(139916,124602,'Increases In-Combat Health Regeneration of group members (AE) by 14.5',100,1,0),
(139917,124602,'Increases Mitigation of group members (AE) vs physical damage by 160',100,1,1),
(139918,10124602,'Increases In-Combat Health Regeneration of group members (AE) by 14.5',100,1,0),
(139919,10124602,'Increases Mitigation of group members (AE) vs physical damage by 160',100,1,1),
(139920,102468,'Applies Blind.  Lasts for 5.0 seconds.',100,1,0),
(139921,102468,'Dazes target',100,2,1),
(139922,102468,'Blurs vision of target',100,2,2),
(139923,102468,'Dispelled when target takes damage',100,2,3),
(139924,102468,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(139925,102468,'Roots target',100,1,5),
(139926,102468,'5% chance to dispel when target takes damage',100,1,6),
(139927,102468,'Does not affect Epic targets',100,1,7),
(139928,102468,'Resistibility increases against targets higher than level 48.',100,1,8),
(139929,10102468,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(139930,10102468,'Blurs vision of target',100,2,1),
(139931,10102468,'Dazes target',100,2,2),
(139932,10102468,'Dispelled when target takes damage',100,2,3),
(139933,10102468,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(139934,10102468,'Roots target',100,1,5),
(139935,10102468,'5% chance to dispel when target takes damage',100,1,6),
(139936,10102468,'Does not affect Epic targets',100,1,7),
(139937,10102468,'Resistibility increases against targets higher than level 48.',100,1,8),
(139938,105857,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(139939,105857,'Increases Damage Per Second of caster by 59.9',100,1,1),
(139940,105857,'Increases Piercing, Slashing and Crushing of caster by 28.1',100,1,2),
(139941,10105857,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(139942,10105857,'Increases Damage Per Second of caster by 59.9',100,1,1),
(139943,10105857,'Increases Piercing, Slashing and Crushing of caster by 28.1',100,1,2),
(139944,71652,'When Equipped:',100,0,0),
(139945,71652,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139946,71652,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(139947,71652,'Cannot be modified except by direct means',100,2,3),
(139948,10071652,'When Equipped:',100,0,0),
(139949,10071652,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(139950,10071652,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(139951,10071652,'Cannot be modified except by direct means',100,2,3),
(139952,122135,'Interrupts target',100,1,0),
(139953,122135,'Increases Threat to target by 1,452 ',100,1,1),
(139954,122135,'Dispels 106 levels of arcane beneficial effects on target',100,1,2),
(139955,10122135,'Interrupts target',100,1,0),
(139956,10122135,'Forces target to change their selected target to caster.',100,1,1),
(139957,10122135,'Dispels 106 levels of arcane beneficial effects on target',100,1,2),
(139958,143559,'When Equipped:',100,0,0),
(139959,143559,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(139960,143559,'Inflicts 1998 disease damage on target encounter',100,2,2),
(139961,143559,'Must not be engaged in pvp combat',100,2,3),
(139962,143559,'Cannot be modified except by direct means',100,2,4),
(139963,10143559,'When Equipped:',100,0,0),
(139964,10143559,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(139965,10143559,'Inflicts 1299 disease damage on target encounter',100,2,2),
(139966,10143559,'Must not be engaged in pvp combat',100,2,3),
(139967,10143559,'Cannot be modified except by direct means',100,2,4),
(139968,112563,'Interrupts target',50,1,0),
(139969,112563,'Inflicts 503 - 614 divine damage on target',100,1,1),
(139970,10112563,'Interrupts target',50,1,0),
(139971,10112563,'Inflicts 840 - 1027 divine damage on target',100,1,1),
(139972,138358,'When Equipped:',100,0,0),
(139973,138358,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139974,138358,'Decreases power of target by 239',100,2,2),
(139975,138358,'Increases power of caster by 159',100,2,3),
(139976,138358,'Cannot be modified except by direct means',100,2,4),
(139977,10138358,'When Equipped:',100,0,0),
(139978,10138358,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(139979,10138358,'Decreases power of target by 239',100,2,2),
(139980,10138358,'Increases power of caster by 159',100,2,3),
(139981,10138358,'Cannot be modified except by direct means',100,2,4),
(139982,87944,'When Equipped:',100,0,0),
(139983,87944,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(139984,87944,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(139985,87944,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(139986,87944,'Applies Energize.  Lasts for 12.0 seconds.',100,2,4),
(139987,87944,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,5),
(139988,87944,'Heals group members (AE) for 1458 instantly and every 4 seconds',100,3,6),
(139989,87944,'Cannot be modified except by direct means',100,3,7),
(139990,87944,'Must not be engaged in pvp combat',100,2,8),
(139991,87944,'Cannot be modified except by direct means',100,2,9),
(139992,87944,'Must not be engaged in pvp combat',100,1,10),
(139993,87944,'When Equipped:',100,0,11),
(139994,87944,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(139995,87944,'Heals group members (AE) for 1662 - 1837 instantly and every 3 seconds',100,2,13),
(139996,87944,'Wards group members (AE) against 4200 points of all damage',100,2,14),
(139997,87944,'Increases Potency of group members (AE) by 8.0%',100,2,15),
(139998,87944,'Must not be engaged in pvp combat',100,2,16),
(139999,87944,'Cannot be modified except by direct means',100,2,17),
(140000,87944,'Must not be engaged in pvp combat',100,1,18),
(140001,10087944,'When Equipped:',100,0,0),
(140002,10087944,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(140003,10087944,'Inflicts 6926 heat damage on target instantly and every 4 seconds',100,2,2),
(140004,10087944,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(140005,10087944,'Applies Energize.  Lasts for 12.0 seconds.',100,2,4),
(140006,10087944,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,5),
(140007,10087944,'Heals group members (AE) for 1706 instantly and every 4 seconds',100,3,6),
(140008,10087944,'Cannot be modified except by direct means',100,3,7),
(140009,10087944,'Must not be engaged in pvp combat',100,2,8),
(140010,10087944,'Cannot be modified except by direct means',100,2,9),
(140011,10087944,'Must not be engaged in pvp combat',100,1,10),
(140012,10087944,'When Equipped:',100,0,11),
(140013,10087944,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(140014,10087944,'Heals group members (AE) for 1945 - 2149 instantly and every 3 seconds',100,2,13),
(140015,10087944,'Wards group members (AE) against 4200 points of all damage',100,2,14),
(140016,10087944,'Increases Potency of group members (AE) by 8.0%',100,2,15),
(140017,10087944,'Must not be engaged in pvp combat',100,2,16),
(140018,10087944,'Cannot be modified except by direct means',100,2,17),
(140019,10087944,'Must not be engaged in pvp combat',100,1,18),
(140020,186885,'When Equipped:',100,0,0),
(140021,186885,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(140022,186885,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(140023,186885,'Must be engaged in combat',100,3,3),
(140024,186885,'Cannot be modified except by direct means',100,2,4),
(140025,10186885,'When Equipped:',100,0,0),
(140026,10186885,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(140027,10186885,'Cannot be modified except by direct means',100,2,2),
(140028,36405,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(140029,120294,'Target will lose 80% more power when power is consumed',100,1,0),
(140030,120294,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(140031,120294,'Inflicts 652 - 797 divine damage on target',100,2,2),
(140032,120294,'Grants a total of 3 triggers of the spell.',100,2,3),
(140033,10120294,'Target will lose 80% more power when power is consumed',100,1,0),
(140034,10120294,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(140035,10120294,'Inflicts 848 - 1037 divine damage on target',100,2,2),
(140036,10120294,'Grants a total of 3 triggers of the spell.',100,2,3),
(140037,47311,'Applies Spirit of the Ox  when Activated.',100,0,0),
(140038,47311,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(140039,10047311,'Applies Spirit of the Ox  when Activated.',100,0,0),
(140040,10047311,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(140041,120844,'Inflicts 76 - 103 disease damage on target instantly and every second',100,1,0),
(140042,10120844,'Inflicts 138 - 187 disease damage on target',100,1,0),
(140043,10120844,'Inflicts 99 - 133 disease damage on target every second',100,1,1),
(140044,71903,'When Equipped:',100,0,0),
(140045,71903,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140046,71903,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(140047,71903,'Cannot be modified except by direct means',100,2,3),
(140048,10071903,'When Equipped:',100,0,0),
(140049,10071903,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140050,10071903,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(140051,10071903,'Cannot be modified except by direct means',100,2,3),
(140052,178633,'When Equipped:',100,0,0),
(140053,178633,'When any damage is received this spell has a 7.5% chance to cast Startle on target''s attacker.  ',100,1,1),
(140054,178633,'Increases Threat to targets in Area of Effect by 234 - 390 ',100,2,2),
(140055,178633,'Cannot be modified except by direct means',100,2,3),
(140056,10178633,'When Equipped:',100,0,0),
(140057,10178633,'When any damage is received this spell has a 7.5% chance to cast Startle on target''s attacker.  ',100,1,1),
(140058,10178633,'Cannot be modified except by direct means',100,2,2),
(140059,37178,'Increases INT and AGI of target by 1.1',100,0,0),
(140060,37178,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(140061,109003,'Decreases Damage Per Second of target by 44.6',100,1,0),
(140062,109003,'Inflicts 687 - 840 melee damage on target',100,1,1),
(140063,10109003,'Decreases Damage Per Second of target by 44.6',100,1,0),
(140064,10109003,'Inflicts 894 - 1093 melee damage on target',100,1,1),
(140065,83957,'When Equipped:',100,0,0),
(140066,83957,'On a combat hit this spell may cast Ancient Soothing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140067,83957,'Heals caster for 266',100,2,2),
(140068,83957,'Cannot be modified except by direct means',100,2,3),
(140069,10083957,'When Equipped:',100,0,0),
(140070,10083957,'On a combat hit this spell may cast Ancient Soothing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140071,10083957,'Heals caster for 173',100,2,2),
(140072,10083957,'Cannot be modified except by direct means',100,2,3),
(140073,159349,'Applies Lambent Imbued when Equipped.',100,0,0),
(140074,159349,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(140075,159349,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(140076,159349,'Cannot be modified except by direct means',100,2,3),
(140077,10159349,'Applies Lambent Imbued when Equipped.',100,0,0),
(140078,10159349,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(140079,10159349,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(140080,10159349,'Cannot be modified except by direct means',100,2,3),
(140081,46213,'Applies Petamorph: Stitched Drachnid when Activated.  Lasts for 2 hours.',100,0,0),
(140082,46213,'Turns the caster''s combat pet into a Stitched drachnid. Does not work on cosmetic pets.',100,1,1),
(140083,10046213,'Applies Petamorph: Stitched Drachnid when Activated.  Lasts for 2 hours.',100,0,0),
(140084,10046213,'Turns the caster''s combat pet into a Stitched drachnid. Does not work on cosmetic pets.',100,1,1),
(140085,87275,'When Equipped:',100,0,0),
(140086,87275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140087,87275,'Inflicts 320 - 480 magic damage on target',100,2,2),
(140088,87275,'Cannot be modified except by direct means',100,2,3),
(140089,10087275,'When Equipped:',100,0,0),
(140090,10087275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140091,10087275,'Inflicts 416 - 624 magic damage on target',100,2,2),
(140092,10087275,'Cannot be modified except by direct means',100,2,3),
(140093,110754,'Heals target for 284 - 346',100,1,0),
(140094,110754,'Increases Max Health of target by 43.0',100,1,1),
(140095,10110754,'Heals target for 184 - 225',100,1,0),
(140096,10110754,'Increases Max Health of target by 43.0',100,1,1),
(140097,117903,'Increases In-Combat Health Regeneration of group members (AE) by 51.3',100,1,0),
(140098,117903,'Increases Max Health of group members (AE) by 279.3',100,1,1),
(140099,10117903,'Increases In-Combat Health Regeneration of group members (AE) by 51.3',100,1,0),
(140100,10117903,'Increases Max Health of group members (AE) by 279.3',100,1,1),
(140101,122350,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(140102,122350,'Inflicts 18 - 21 piercing damage on target',100,2,1),
(140103,10122350,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(140104,10122350,'Inflicts 23 - 28 piercing damage on target',100,2,1),
(140105,41690,'When Equipped:',100,0,0),
(140106,41690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140107,41690,'Inflicts 164 - 305 magic damage on target',100,2,2),
(140108,41690,'Cannot be modified except by direct means',100,2,3),
(140109,10041690,'When Equipped:',100,0,0),
(140110,10041690,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140111,10041690,'Inflicts 213 - 396 magic damage on target',100,2,2),
(140112,10041690,'Cannot be modified except by direct means',100,2,3),
(140113,113546,'Inflicts 513 - 855 disease damage on target',100,1,0),
(140114,10113546,'Inflicts 667 - 1111 disease damage on target',100,1,0),
(140115,26655,'When Equipped:',100,0,0),
(140116,26655,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(140117,26655,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,2),
(140118,10026655,'When Equipped:',100,0,0),
(140119,10026655,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(140120,10026655,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,2),
(140121,35201,'Increases AGI of target by 1.5',100,0,0),
(140122,35201,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(140123,87392,'When Equipped:',100,0,0),
(140124,87392,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140125,87392,'Inflicts 194 - 290 magic damage on target',100,2,2),
(140126,87392,'Cannot be modified except by direct means',100,2,3),
(140127,10087392,'When Equipped:',100,0,0),
(140128,10087392,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140129,10087392,'Inflicts 252 - 378 magic damage on target',100,2,2),
(140130,10087392,'Cannot be modified except by direct means',100,2,3),
(140131,109892,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(140132,109892,'Inflicts 54 - 66 poison damage on target instantly and every 4 seconds',100,2,1),
(140133,10109892,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(140134,10109892,'Inflicts 70 - 85 poison damage on target instantly and every 4 seconds',100,2,1),
(140135,52632,'When Equipped:',100,0,0),
(140136,52632,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(140137,52632,'Decreases Mitigation of target vs arcane damage by 747',100,2,2),
(140138,52632,'Must be classified as a vampire',100,3,3),
(140139,52632,'Inflicts 1031 divine damage on target',100,2,4),
(140140,52632,'Must be classified as a vampire',100,3,5),
(140141,52632,'Inflicts 516 divine damage on target',100,2,6),
(140142,52632,'Must not be classified as a vampire',100,3,7),
(140143,52632,'Cannot be modified except by direct means',100,2,8),
(140144,52632,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(140145,10052632,'When Equipped:',100,0,0),
(140146,10052632,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(140147,10052632,'Decreases Mitigation of target vs arcane damage by 747',100,2,2),
(140148,10052632,'Must be classified as a vampire',100,3,3),
(140149,10052632,'Inflicts 1341 divine damage on target',100,2,4),
(140150,10052632,'Must be classified as a vampire',100,3,5),
(140151,10052632,'Inflicts 670 divine damage on target',100,2,6),
(140152,10052632,'Must not be classified as a vampire',100,3,7),
(140153,10052632,'Cannot be modified except by direct means',100,2,8),
(140154,10052632,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(140155,72421,'When Equipped:',100,0,0),
(140156,72421,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(140157,10072421,'When Equipped:',100,0,0),
(140158,10072421,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(140159,104791,'Increases caster''s chance to block by 10.0%',100,1,0),
(140160,104791,'Decreases Attack Speed of caster by 12.6',100,1,1),
(140161,104791,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(140162,104791,'Increases Parry of caster by 10.9',100,1,3),
(140163,104791,'Increases Defense of caster by 10.9',100,1,4),
(140164,10104791,'Increases caster''s chance to block by 10.0%',100,1,0),
(140165,10104791,'Decreases Attack Speed of caster by 12.6',100,1,1),
(140166,10104791,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(140167,10104791,'Increases Parry of caster by 10.9',100,1,3),
(140168,10104791,'Increases Defense of caster by 10.9',100,1,4),
(140169,72185,'When Equipped:',100,0,0),
(140170,72185,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140171,72185,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(140172,72185,'Cannot be modified except by direct means',100,2,3),
(140173,10072185,'When Equipped:',100,0,0),
(140174,10072185,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140175,10072185,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(140176,10072185,'Cannot be modified except by direct means',100,2,3),
(140177,121465,'Increases AGI of caster by 116.8',100,1,0),
(140178,121465,'Adds 18.7% to base avoidance.',100,1,1),
(140179,121465,'Increases Mitigation of caster vs physical damage by 1135',100,1,2),
(140180,121465,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,3),
(140181,10121465,'Increases AGI of caster by 116.8',100,1,0),
(140182,10121465,'Adds 18.7% to base avoidance.',100,1,1),
(140183,10121465,'Increases Mitigation of caster vs physical damage by 1135',100,1,2),
(140184,10121465,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,3),
(140185,140787,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(140186,140787,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 351',100,1,1),
(140187,140787,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(140188,10140787,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(140189,10140787,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 351',100,1,1),
(140190,10140787,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(140191,158353,'Applies Hooluk in a Hat when Activated.',100,0,0),
(140192,158353,'Summons a pet Hooluk',100,1,1),
(140193,158353,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(140194,10158353,'Applies Hooluk in a Hat when Activated.',100,0,0),
(140195,10158353,'Summons a pet Hooluk',100,1,1),
(140196,10158353,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(140197,120116,'Shapechanges caster into a chaos essence',100,1,0),
(140198,120116,'Increases WIS of caster by 106.9',100,1,1),
(140199,120116,'Grants See Invisibility to caster',100,1,2),
(140200,120116,'Increases Max Health of caster by 473.2',100,1,3),
(140201,120116,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1620',100,1,4),
(140202,10120116,'Shapechanges caster into a chaos essence',100,1,0),
(140203,10120116,'Increases WIS of caster by 106.9',100,1,1),
(140204,10120116,'Grants See Invisibility to caster',100,1,2),
(140205,10120116,'Increases Max Health of caster by 473.2',100,1,3),
(140206,10120116,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1620',100,1,4),
(140207,118210,'Increases Damage Per Second of group members (AE) by 18.8',100,1,0),
(140208,10118210,'Increases Damage Per Second of group members (AE) by 18.8',100,1,0),
(140209,117685,'Decreases Mitigation of target vs physical damage by 1016',100,1,0),
(140210,10117685,'Decreases Mitigation of target vs physical damage by 508',100,1,0),
(140211,109354,'Stuns target',100,1,0),
(140212,109354,'If Target is not Epic',100,2,1),
(140213,109354,'Inflicts 270 - 330 cold damage on target',100,1,2),
(140214,109354,'Resistibility increases against targets higher than level 45.',100,1,3),
(140215,10109354,'Stuns target',100,1,0),
(140216,10109354,'If Target is not Epic',100,2,1),
(140217,10109354,'Inflicts 351 - 429 cold damage on target',100,1,2),
(140218,10109354,'Resistibility increases against targets higher than level 45.',100,1,3),
(140219,37133,'Increases AGI of target by 1.5',100,0,0),
(140220,37133,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(140221,163286,'Applies Burrowing Swarm III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(140222,163286,'Inflicts 34 - 42 poison damage on target',100,1,1),
(140223,163286,'Inflicts 43 - 52 poison damage on target every second',100,1,2),
(140224,163286,'Inflicts an additional 17 - 20 poison damage on target every tick',100,1,3),
(140225,163286,'Applies Boneshatter III on termination.',100,1,4),
(140226,163286,'Inflicts 1372 - 1516 crushing damage on targets in Area of Effect',100,2,5),
(140227,163286,'Must not be engaged in pvp combat',100,2,6),
(140228,163286,'Cannot be modified except by direct means',100,2,7),
(140229,163286,'Must not be engaged in pvp combat',100,1,8),
(140230,163286,'Cannot be modified except by direct means',100,1,9),
(140231,163286,'The reuse time of Burrowing Swarm III is 10 minutes',100,1,10),
(140232,10163286,'Applies Burrowing Swarm III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(140233,10163286,'Inflicts 44 - 54 poison damage on target',100,1,1),
(140234,10163286,'Inflicts 56 - 68 poison damage on target every second',100,1,2),
(140235,10163286,'Inflicts an additional 17 - 20 poison damage on target every tick',100,1,3),
(140236,10163286,'Applies Boneshatter III on termination.',100,1,4),
(140237,10163286,'Inflicts 1783 - 1971 crushing damage on targets in Area of Effect',100,2,5),
(140238,10163286,'Must not be engaged in pvp combat',100,2,6),
(140239,10163286,'Cannot be modified except by direct means',100,2,7),
(140240,10163286,'Must not be engaged in pvp combat',100,1,8),
(140241,10163286,'Cannot be modified except by direct means',100,1,9),
(140242,10163286,'The reuse time of Burrowing Swarm III is 10 minutes',100,1,10),
(140243,134336,'When Equipped:',100,0,0),
(140244,134336,'On any combat or spell hit this spell may cast Martial Efflux on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(140245,134336,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(140246,134336,'Increases Damage Per Second of caster by 20.0',100,2,3),
(140247,134336,'Increases Attack Speed of caster by 20.0',100,2,4),
(140248,134336,'Must not be engaged in pvp combat',100,2,5),
(140249,134336,'Cannot be modified except by direct means',100,2,6),
(140250,134336,'Must not be engaged in pvp combat',100,1,7),
(140251,10134336,'When Equipped:',100,0,0),
(140252,10134336,'On any combat or spell hit this spell may cast Martial Efflux on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(140253,10134336,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(140254,10134336,'Increases Damage Per Second of caster by 20.0',100,2,3),
(140255,10134336,'Increases Attack Speed of caster by 20.0',100,2,4),
(140256,10134336,'Must not be engaged in pvp combat',100,2,5),
(140257,10134336,'Cannot be modified except by direct means',100,2,6),
(140258,10134336,'Must not be engaged in pvp combat',100,1,7),
(140259,102953,'Inflicts 149 - 182 disease damage on target instantly and every 4 seconds',100,1,0),
(140260,10102953,'Inflicts 252 - 307 disease damage on target',100,1,0),
(140261,10102953,'Inflicts 194 - 237 disease damage on target every 4 seconds',100,1,1),
(140262,46338,'Applies Eat treat when Activated.  Lasts for 5 minutes.',100,0,0),
(140263,46338,'Only the chef knows the secret of the recipe!',100,1,1),
(140264,10046338,'Applies Eat treat when Activated.  Lasts for 5 minutes.',100,0,0),
(140265,10046338,'Only the chef knows the secret of the recipe!',100,1,1),
(140266,182357,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(140267,182357,'Shapechanges caster into a dwarf',100,1,1),
(140268,182357,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,2),
(140269,182357,'Inflicts 316 magic damage on target',100,2,3),
(140270,182357,'Heals caster for 101',100,2,4),
(140271,182357,'Cannot be modified except by direct means',100,2,5),
(140272,182357,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(140273,10182357,'Applies Day in the Life of a Dwarf when Activated.  Lasts for 20.0 seconds.',100,0,0),
(140274,10182357,'Shapechanges caster into a dwarf',100,1,1),
(140275,10182357,'On any combat or spell hit this spell will cast Draw Essence on target of attack.  ',100,1,2),
(140276,10182357,'Inflicts 205 magic damage on target',100,2,3),
(140277,10182357,'Heals caster for 33',100,2,4),
(140278,10182357,'Cannot be modified except by direct means',100,2,5),
(140279,10182357,'The reuse time of Day in the Life of a Dwarf is 20 minutes',100,1,6),
(140280,110936,'Inflicts 147 - 246 divine damage on target',100,1,0),
(140281,110936,'Increases Threat to target by 1,144 ',100,1,1),
(140282,110936,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(140283,110936,'Stuns target',100,2,3),
(140284,110936,'Throws target back',100,2,4),
(140285,110936,'Blurs vision of target',100,2,5),
(140286,110936,'Does not affect Epic targets',100,2,6),
(140287,10110936,'Inflicts 192 - 320 divine damage on target',100,1,0),
(140288,10110936,'Prevents target from changing targets',100,1,1),
(140289,10110936,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(140290,10110936,'Stuns target',100,2,3),
(140291,10110936,'Throws target back',100,2,4),
(140292,10110936,'Blurs vision of target',100,2,5),
(140293,10110936,'Does not affect Epic targets',100,2,6),
(140294,10110936,'Forces target to change their selected target to caster.',100,1,7),
(140295,119895,'Increases INT and AGI of group members (AE) by 91.1',100,1,0),
(140296,119895,'Adds 1.9% to base avoidance.',100,1,1),
(140297,10119895,'Increases INT and AGI of group members (AE) by 91.1',100,1,0),
(140298,10119895,'Adds 1.9% to base avoidance.',100,1,1),
(140299,73166,'When Equipped:',100,0,0),
(140300,73166,'Increases Multi Attack Chance of caster by 6.0',100,1,1),
(140301,73166,'On a melee hit this spell may cast Trueheart on caster.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(140302,73166,'Makes caster immune to Mesmerize effects',100,2,3),
(140303,73166,'Makes caster immune to Stun effects',100,2,4),
(140304,73166,'Increases Max Health of caster by 1,234.0',100,2,5),
(140305,73166,'Increases Slashing and Defense of caster by 53.0',100,2,6),
(140306,73166,'Cannot be modified except by direct means',100,2,7),
(140307,10073166,'When Equipped:',100,0,0),
(140308,10073166,'Increases Multi Attack Chance of caster by 6.0',100,1,1),
(140309,10073166,'On a melee hit this spell may cast Trueheart on caster.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(140310,10073166,'Makes caster immune to Mesmerize effects',100,2,3),
(140311,10073166,'Makes caster immune to Stun effects',100,2,4),
(140312,10073166,'Increases Max Health of caster by 1,234.0',100,2,5),
(140313,10073166,'Increases Slashing and Defense of caster by 53.0',100,2,6),
(140314,10073166,'Cannot be modified except by direct means',100,2,7),
(140315,124132,'Increases power of caster by 387',100,1,0),
(140316,10124132,'Increases power of caster by 387',100,1,0),
(140317,105302,'Increases AGI of caster by 135.5',100,1,0),
(140318,105302,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(140319,105302,'Inflicts 205 - 342 mental damage on target',100,2,2),
(140320,105302,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(140321,105302,'Inflicts 205 - 342 mental damage on target',100,2,4),
(140322,105302,'Adds 15.6% to base avoidance.',100,1,5),
(140323,105302,'Increases Mitigation of caster vs physical damage by 483',100,1,6),
(140324,105302,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,7),
(140325,10105302,'Increases AGI of caster by 135.5',100,1,0),
(140326,10105302,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(140327,10105302,'Inflicts 267 - 445 mental damage on target',100,2,2),
(140328,10105302,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(140329,10105302,'Inflicts 267 - 445 mental damage on target',100,2,4),
(140330,10105302,'Adds 15.6% to base avoidance.',100,1,5),
(140331,10105302,'Increases Mitigation of caster vs physical damage by 483',100,1,6),
(140332,10105302,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,7),
(140333,48664,'Applies Translucent Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(140334,48664,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(140335,48664,'Inflicts 38 magic damage on target',100,2,2),
(140336,48664,'Cannot be modified except by direct means',100,2,3),
(140337,48664,'Only affects targets level 50 and above',100,1,4),
(140338,10048664,'Applies Translucent Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(140339,10048664,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(140340,10048664,'Inflicts 49 magic damage on target',100,2,2),
(140341,10048664,'Cannot be modified except by direct means',100,2,3),
(140342,10048664,'Only affects targets level 50 and above',100,1,4),
(140343,100309,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(140344,100309,'Inflicts 412 divine damage on target',100,2,1),
(140345,10100309,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(140346,10100309,'Inflicts 536 divine damage on target',100,2,1),
(140347,47381,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(140348,47381,'This potion will grant you the illusion of being a baleful scarecrow!',100,1,1),
(140349,10047381,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(140350,10047381,'This potion will grant you the illusion of being a baleful scarecrow!',100,1,1),
(140351,110985,'Inflicts 3298 - 5497 ranged damage on target',100,1,0),
(140352,110985,'I need to be stealthed!',100,1,1),
(140353,110985,'Requires bow',100,1,2),
(140354,10110985,'Inflicts 2102 - 3504 ranged damage on target',100,1,0),
(140355,10110985,'I need to be stealthed!',100,1,1),
(140356,10110985,'Requires bow',100,1,2),
(140357,106289,'Decreases AGI, STR, INT and WIS of target encounter by 103.2',100,1,0),
(140358,106289,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 26.4',100,1,1),
(140359,10106289,'Decreases AGI, STR, INT and WIS of target encounter by 103.2',100,1,0),
(140360,10106289,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 26.4',100,1,1),
(140361,103987,'Interrupts targets in Area of Effect',100,1,0),
(140362,103987,'Inflicts 188 - 348 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(140363,10103987,'Interrupts targets in Area of Effect',100,1,0),
(140364,10103987,'Inflicts 244 - 453 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(140365,55145,'When Equipped:',100,0,0),
(140366,55145,'When a combat art is used this spell has a 10% chance to cast Infuriation on target of combat art.  ',100,1,1),
(140367,55145,'Increases Threat to target by 275 ',100,2,2),
(140368,55145,'Cannot be modified except by direct means',100,2,3),
(140369,10055145,'When Equipped:',100,0,0),
(140370,10055145,'When a combat art is used this spell has a 10% chance to cast Infuriation on target of combat art.  ',100,1,1),
(140371,10055145,'Forces target to change their selected target to caster.',100,2,2),
(140372,10055145,'Cannot be modified except by direct means',100,2,3),
(140373,108378,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(140374,108378,'Increases Mitigation of group members (AE) vs arcane damage by 1518',100,1,1),
(140375,10108378,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(140376,10108378,'Increases Mitigation of group members (AE) vs arcane damage by 1518',100,1,1),
(140377,81820,'When Equipped:',100,0,0),
(140378,81820,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140379,81820,'Inflicts 148 - 274 magic damage on target',100,2,2),
(140380,81820,'Cannot be modified except by direct means',100,2,3),
(140381,10081820,'When Equipped:',100,0,0),
(140382,10081820,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140383,10081820,'Inflicts 192 - 356 magic damage on target',100,2,2),
(140384,10081820,'Cannot be modified except by direct means',100,2,3),
(140385,116852,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(140386,116852,'Inflicts 651 - 795 mental damage on target',100,2,1),
(140387,116852,'Grants a total of 3 triggers of the spell.',100,2,2),
(140388,10116852,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(140389,10116852,'Inflicts 846 - 1034 mental damage on target',100,2,1),
(140390,10116852,'Grants a total of 3 triggers of the spell.',100,2,2),
(140391,36166,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(140392,100240,'Inflicts 3 - 6 poison damage on target instantly and every 3 seconds',100,1,0),
(140393,10100240,'Inflicts 9 - 17 poison damage on target instantly and every 3 seconds',100,1,0),
(140394,114738,'Inflicts 2049 - 3416 melee damage on target',100,1,0),
(140395,114738,'You must be in stealth.',100,1,1),
(140396,10114738,'Inflicts 1587 - 2646 melee damage on target',100,1,0),
(140397,10114738,'You must be in stealth.',100,1,1),
(140398,122290,'Decreases Threat to targets in Area of Effect by 3,313 ',100,1,0),
(140399,122290,'Makes targets in Area of Effect afraid',100,1,1),
(140400,122290,'If Target is not Epic',100,2,2),
(140401,122290,'30% chance to dispel when target takes damage',100,1,3),
(140402,10122290,'Applies Distract.',100,1,0),
(140403,10122290,'Forces target to clear their selected target.',100,2,1),
(140404,10122290,'Makes targets in Area of Effect afraid',100,1,2),
(140405,10122290,'If Target is not Epic',100,2,3),
(140406,10122290,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(140407,10122290,'30% chance to dispel when target takes damage',100,1,5),
(140408,117824,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(140409,117824,'Heals target for 104 - 127 instantly and every 2 seconds',100,2,1),
(140410,117824,'If at 50% Health or less',100,3,2),
(140411,117824,'Heals target for 52 - 63 instantly and every 2 seconds',100,2,3),
(140412,117824,'If over 50% Health',100,3,4),
(140413,10117824,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(140414,10117824,'Heals target for 25 - 31 instantly and every 2 seconds',100,2,1),
(140415,10117824,'If at 50% Health or less',100,3,2),
(140416,10117824,'Heals target for 15 - 19 instantly and every 2 seconds',100,2,3),
(140417,10117824,'If over 50% Health',100,3,4),
(140418,45118,'Applies Leash when Activated.',100,0,0),
(140419,10045118,'Applies Leash when Activated.',100,0,0),
(140420,80714,'When Equipped:',100,0,0),
(140421,80714,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(140422,80714,'Inflicts 83 - 154 magic damage on target',100,2,2),
(140423,80714,'Decreases Threat to target by 236 ',100,2,3),
(140424,80714,'Must be flanking or behind',100,3,4),
(140425,80714,'Increases Threat to target by 236 ',100,2,5),
(140426,80714,'Must be in front of',100,3,6),
(140427,80714,'Cannot be modified except by direct means',100,2,7),
(140428,10080714,'When Equipped:',100,0,0),
(140429,10080714,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(140430,10080714,'Inflicts 108 - 200 magic damage on target',100,2,2),
(140431,10080714,'Cannot be modified except by direct means',100,2,3),
(140432,123829,'Increases WIS of target by 23.8',100,1,0),
(140433,123829,'Increases Max Power of target by 91.8',100,1,1),
(140434,10123829,'Increases WIS of target by 23.8',100,1,0),
(140435,10123829,'Increases Max Power of target by 91.8',100,1,1),
(140436,118199,'Increases Damage Per Second of group members (AE) by 20.8',100,1,0),
(140437,10118199,'Increases Damage Per Second of group members (AE) by 20.8',100,1,0),
(140438,101392,'Inflicts 240 - 400 melee damage on target',100,1,0),
(140439,101392,'Returns the last arrow used to the ranger.',100,1,1),
(140440,10101392,'Inflicts 312 - 520 melee damage on target',100,1,0),
(140441,10101392,'Returns the last arrow used to the ranger.',100,1,1),
(140442,110309,'Increases Max Power of target by 19.4',100,1,0),
(140443,110309,'Increases Max Health of target by 37.4',100,1,1),
(140444,10110309,'Increases Max Power of target by 19.4',100,1,0),
(140445,10110309,'Increases Max Health of target by 37.4',100,1,1),
(140446,87147,'When Equipped:',100,0,0),
(140447,87147,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140448,87147,'Inflicts 76 - 114 magic damage on target',100,2,2),
(140449,87147,'Cannot be modified except by direct means',100,2,3),
(140450,10087147,'When Equipped:',100,0,0),
(140451,10087147,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140452,10087147,'Inflicts 98 - 148 magic damage on target',100,2,2),
(140453,10087147,'Cannot be modified except by direct means',100,2,3),
(140454,42849,'When Equipped:',100,0,0),
(140455,42849,'On any combat or spell hit this spell may cast Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(140456,42849,'Inflicts 3796 - 4196 piercing damage on target',100,2,2),
(140457,42849,'Wards caster against 1000 points of all damage',100,2,3),
(140458,42849,'Must not be engaged in pvp combat',100,2,4),
(140459,42849,'Cannot be modified except by direct means',100,2,5),
(140460,42849,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(140461,42849,'Must not be engaged in pvp combat',100,1,7),
(140462,10042849,'When Equipped:',100,0,0),
(140463,10042849,'On any combat or spell hit this spell may cast Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(140464,10042849,'Inflicts 4935 - 5455 piercing damage on target',100,2,2),
(140465,10042849,'Wards caster against 1000 points of all damage',100,2,3),
(140466,10042849,'Must not be engaged in pvp combat',100,2,4),
(140467,10042849,'Cannot be modified except by direct means',100,2,5),
(140468,10042849,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(140469,10042849,'Must not be engaged in pvp combat',100,1,7),
(140470,185115,'When Equipped:',100,0,0),
(140471,185115,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(140472,185115,'On any combat or spell hit this spell may cast Wild Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(140473,185115,'Increases Damage Per Second of caster by 9.0',100,2,3),
(140474,185115,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(140475,185115,'Increases Slashing, Crushing, Piercing and Ranged of caster by 7.5',100,2,5),
(140476,185115,'Must not be engaged in pvp combat',100,2,6),
(140477,185115,'Cannot be modified except by direct means',100,2,7),
(140478,185115,'Cannot be modified except by direct means',100,1,8),
(140479,10185115,'When Equipped:',100,0,0),
(140480,10185115,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(140481,10185115,'On any combat or spell hit this spell may cast Wild Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(140482,10185115,'Increases Damage Per Second of caster by 9.0',100,2,3),
(140483,10185115,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(140484,10185115,'Increases Slashing, Crushing, Piercing and Ranged of caster by 7.5',100,2,5),
(140485,10185115,'Must not be engaged in pvp combat',100,2,6),
(140486,10185115,'Cannot be modified except by direct means',100,2,7),
(140487,10185115,'Cannot be modified except by direct means',100,1,8),
(140488,80672,'When Equipped:',100,0,0),
(140489,80672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140490,80672,'Inflicts 75 - 138 magic damage on target',100,2,2),
(140491,80672,'Cannot be modified except by direct means',100,2,3),
(140492,10080672,'When Equipped:',100,0,0),
(140493,10080672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140494,10080672,'Inflicts 97 - 180 magic damage on target',100,2,2),
(140495,10080672,'Cannot be modified except by direct means',100,2,3),
(140496,90258,'When Equipped:',100,0,0),
(140497,90258,'Increases success chance by 10.0%',100,1,1),
(140498,10090258,'When Equipped:',100,0,0),
(140499,10090258,'Increases success chance by 10.0%',100,1,1),
(140500,109764,'Inflicts 303 - 563 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(140501,10109764,'Inflicts 394 - 732 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(140502,116168,'Increases Attack Speed of caster by 27.6',100,1,0),
(140503,116168,'Increases Damage Per Second of caster by 32.1',100,1,1),
(140504,10116168,'Increases Attack Speed of caster by 27.6',100,1,0),
(140505,10116168,'Increases Damage Per Second of caster by 32.1',100,1,1),
(140506,111410,'Increases Attack Speed of target by 35.0',100,1,0),
(140507,111410,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(140508,111410,'Inflicts 339 disease damage on target',100,2,2),
(140509,111410,'Heals caster for 72',100,2,3),
(140510,111410,'Decreases Defense and Parry of target by 30.1',100,1,4),
(140511,111410,'Increases Disruption, Subjugation and Focus of target by 28.6',100,1,5),
(140512,10111410,'Increases Attack Speed of target by 35.0',100,1,0),
(140513,10111410,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(140514,10111410,'Inflicts 440 disease damage on target',100,2,2),
(140515,10111410,'Heals caster for 47',100,2,3),
(140516,10111410,'Decreases Defense and Parry of target by 30.1',100,1,4),
(140517,10111410,'Increases Disruption, Subjugation and Focus of target by 28.6',100,1,5),
(140518,79980,'When Equipped:',100,0,0),
(140519,79980,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140520,79980,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(140521,79980,'Only affects targets level 60 and below',100,2,3),
(140522,79980,'Cannot be modified except by direct means',100,2,4),
(140523,10079980,'When Equipped:',100,0,0),
(140524,10079980,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140525,10079980,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(140526,10079980,'Only affects targets level 60 and below',100,2,3),
(140527,10079980,'Cannot be modified except by direct means',100,2,4),
(140528,106577,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(140529,106577,'Increases Parry of caster by 8.3',100,1,1),
(140530,10106577,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(140531,10106577,'Increases Parry of caster by 8.3',100,1,1),
(140532,100037,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(140533,100037,'Inflicts 376 - 627 melee damage on targets in area',100,2,1),
(140534,100037,'Decreases Defense of caster by 23.4',100,1,2),
(140535,100037,'Increases Slashing, Piercing and Crushing of caster by 56.2',100,1,3),
(140536,10100037,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(140537,10100037,'Inflicts 489 - 816 melee damage on targets in area',100,2,1),
(140538,10100037,'Decreases Defense of caster by 23.4',100,1,2),
(140539,10100037,'Increases Slashing, Piercing and Crushing of caster by 56.2',100,1,3),
(140540,48904,'Applies Spirit of the Ox  when Activated.',100,0,0),
(140541,48904,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(140542,10048904,'Applies Spirit of the Ox  when Activated.',100,0,0),
(140543,10048904,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(140544,119332,'Inflicts 130 - 218 melee damage on target',100,1,0),
(140545,119332,'You must be sneaking to use this ability.',100,1,1),
(140546,119332,'Must be flanking or behind',100,1,2),
(140547,10119332,'Inflicts 170 - 283 melee damage on target',100,1,0),
(140548,10119332,'You must be sneaking to use this ability.',100,1,1),
(140549,10119332,'Must be flanking or behind',100,1,2),
(140550,116951,'Increases Threat to target by 305 - 373 ',100,1,0),
(140551,116951,'Interrupts target',100,1,1),
(140552,10116951,'Forces target to change their selected target to caster.',100,1,0),
(140553,10116951,'Interrupts target',100,1,1),
(140554,10116951,'Prevents target from changing targets',100,1,2),
(140555,144920,'When Equipped:',100,0,0),
(140556,144920,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(140557,144920,'Increases Max Health of caster by 1,220.0',100,1,2),
(140558,144920,'Cannot be modified except by direct means',100,1,3),
(140559,10144920,'When Equipped:',100,0,0),
(140560,10144920,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(140561,10144920,'Increases Max Health of caster by 1,220.0',100,1,2),
(140562,10144920,'Cannot be modified except by direct means',100,1,3),
(140563,108553,'Makes target afraid',100,1,0),
(140564,108553,'30% chance to dispel when target takes damage',100,1,1),
(140565,108553,'Does not affect Epic targets',100,1,2),
(140566,108553,'Resistibility increases against targets higher than level 81.',100,1,3),
(140567,10108553,'Makes target afraid',100,1,0),
(140568,10108553,'30% chance to dispel when target takes damage',100,1,1),
(140569,10108553,'Does not affect Epic targets',100,1,2),
(140570,10108553,'Resistibility increases against targets higher than level 81.',100,1,3),
(140571,48628,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(140572,48628,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(140573,48628,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(140574,48628,'Cannot be modified except by direct means',100,2,3),
(140575,48628,'Grants a total of 80 triggers of the spell.',100,2,4),
(140576,10048628,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(140577,10048628,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(140578,10048628,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(140579,10048628,'Cannot be modified except by direct means',100,2,3),
(140580,10048628,'Grants a total of 80 triggers of the spell.',100,2,4),
(140581,45620,'Applies Elixir of Luminosity  when Activated.  Lasts for 30 minutes.',100,0,0),
(140582,45620,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(140583,10045620,'Applies Elixir of Luminosity  when Activated.  Lasts for 30 minutes.',100,0,0),
(140584,10045620,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(140585,87161,'When Equipped:',100,0,0),
(140586,87161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140587,87161,'Inflicts 64 - 97 magic damage on target',100,2,2),
(140588,87161,'Cannot be modified except by direct means',100,2,3),
(140589,10087161,'When Equipped:',100,0,0),
(140590,10087161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140591,10087161,'Inflicts 84 - 125 magic damage on target',100,2,2),
(140592,10087161,'Cannot be modified except by direct means',100,2,3),
(140593,107646,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(140594,107646,'Increases Mitigation of group members (AE) vs elemental damage by 804',100,1,1),
(140595,10107646,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(140596,10107646,'Increases Mitigation of group members (AE) vs elemental damage by 804',100,1,1),
(140597,81341,'When Equipped:',100,0,0),
(140598,81341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140599,81341,'Inflicts 121 - 225 magic damage on target',100,2,2),
(140600,81341,'Cannot be modified except by direct means',100,2,3),
(140601,10081341,'When Equipped:',100,0,0),
(140602,10081341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140603,10081341,'Inflicts 157 - 292 magic damage on target',100,2,2),
(140604,10081341,'Cannot be modified except by direct means',100,2,3),
(140605,102793,'Increases STR of caster by 75.2',100,1,0),
(140606,102793,'Increases Max Health of caster by 445.6',100,1,1),
(140607,102793,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1966',100,1,2),
(140608,10102793,'Increases STR of caster by 75.2',100,1,0),
(140609,10102793,'Increases Max Health of caster by 445.6',100,1,1),
(140610,10102793,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1966',100,1,2),
(140611,80777,'When Equipped:',100,0,0),
(140612,80777,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140613,80777,'Inflicts 207 - 384 magic damage on target',100,2,2),
(140614,80777,'Cannot be modified except by direct means',100,2,3),
(140615,10080777,'When Equipped:',100,0,0),
(140616,10080777,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140617,10080777,'Inflicts 269 - 499 magic damage on target',100,2,2),
(140618,10080777,'Cannot be modified except by direct means',100,2,3),
(140619,116034,'Prevents target from changing targets',100,1,0),
(140620,116034,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(140621,116034,'Increases Threat to target by 2,344 - 2,865  instantly and by 1,491 - 1,823  every 4 seconds thereafter',100,2,2),
(140622,116034,'Increases Threat to target by 4,262 - 5,209  instantly and by 2,664 - 3,256  every 2 seconds thereafter',100,1,3),
(140623,116034,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(140624,116034,'Increases threat priority of target by 4 positions',100,1,5),
(140625,116034,'Must be not at the top of the hate list of your current target.',100,1,6),
(140626,10116034,'Prevents target from changing targets',100,1,0),
(140627,10116034,'Forces target to change their selected target to caster.',100,1,1),
(140628,10116034,'Must be not at the top of the hate list of your current target.',100,1,2),
(140629,113386,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,0),
(140630,113386,'Stifles target',100,2,1),
(140631,113386,'Blurs vision of target',100,2,2),
(140632,113386,'Dispelled when target takes damage',100,2,3),
(140633,113386,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(140634,113386,'Resistibility increases against targets higher than level 102.',100,2,5),
(140635,113386,'Roots target',100,1,6),
(140636,113386,'5% chance to dispel when target takes damage',100,1,7),
(140637,113386,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(140638,113386,'Resistibility increases against targets higher than level 102.',100,1,9),
(140639,10113386,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(140640,10113386,'Stifles target',100,2,1),
(140641,10113386,'Blurs vision of target',100,2,2),
(140642,10113386,'Dispelled when target takes damage',100,2,3),
(140643,10113386,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(140644,10113386,'Resistibility increases against targets higher than level 102.',100,2,5),
(140645,10113386,'Roots target',100,1,6),
(140646,10113386,'5% chance to dispel when target takes damage',100,1,7),
(140647,10113386,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(140648,10113386,'Resistibility increases against targets higher than level 102.',100,1,9),
(140649,54759,'When Equipped:',100,0,0),
(140650,54759,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(140651,54759,'Increases Max Health of caster by 1,220.0',100,1,2),
(140652,54759,'Cannot be modified except by direct means',100,1,3),
(140653,10054759,'When Equipped:',100,0,0),
(140654,10054759,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(140655,10054759,'Increases Max Health of caster by 1,220.0',100,1,2),
(140656,10054759,'Cannot be modified except by direct means',100,1,3),
(140657,46936,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(140658,46936,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(140659,46936,'Inflicts 127 poison damage on target',100,2,2),
(140660,46936,'Inflicts 21 poison damage on target instantly and every 6 seconds',100,2,3),
(140661,46936,'Cannot be modified except by direct means',100,2,4),
(140662,46936,'Grants a total of 200 triggers of the spell.',100,2,5),
(140663,10046936,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(140664,10046936,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(140665,10046936,'Inflicts 124 poison damage on target',100,2,2),
(140666,10046936,'Inflicts 20 poison damage on target instantly and every 6 seconds',100,2,3),
(140667,10046936,'Cannot be modified except by direct means',100,2,4),
(140668,10046936,'Grants a total of 200 triggers of the spell.',100,2,5),
(140669,71525,'When Equipped:',100,0,0),
(140670,71525,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140671,71525,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(140672,71525,'Cannot be modified except by direct means',100,2,3),
(140673,10071525,'When Equipped:',100,0,0),
(140674,10071525,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140675,10071525,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(140676,10071525,'Cannot be modified except by direct means',100,2,3),
(140677,118114,'Heals target for 321 - 392',100,1,0),
(140678,10118114,'Heals target for 379 - 463',100,1,0),
(140679,81811,'When Equipped:',100,0,0),
(140680,81811,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140681,81811,'Inflicts 148 - 274 magic damage on target',100,2,2),
(140682,81811,'Cannot be modified except by direct means',100,2,3),
(140683,10081811,'When Equipped:',100,0,0),
(140684,10081811,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140685,10081811,'Inflicts 192 - 356 magic damage on target',100,2,2),
(140686,10081811,'Cannot be modified except by direct means',100,2,3),
(140687,27463,'When Equipped:',100,0,0),
(140688,27463,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(140689,27463,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(140690,10027463,'When Equipped:',100,0,0),
(140691,10027463,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(140692,10027463,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(140693,186888,'When Equipped:',100,0,0),
(140694,186888,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(140695,186888,'Increases caster''s chance to block by 10.0%',100,2,2),
(140696,186888,'Cannot be modified except by direct means',100,2,3),
(140697,186888,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(140698,186888,'Increases caster''s chance to block by 10.0%',100,2,5),
(140699,186888,'Cannot be modified except by direct means',100,2,6),
(140700,10186888,'When Equipped:',100,0,0),
(140701,10186888,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(140702,10186888,'Increases caster''s chance to block by 10.0%',100,2,2),
(140703,10186888,'Cannot be modified except by direct means',100,2,3),
(140704,10186888,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(140705,10186888,'Increases caster''s chance to block by 10.0%',100,2,5),
(140706,10186888,'Cannot be modified except by direct means',100,2,6),
(140707,164296,'When Equipped:',100,0,0),
(140708,164296,'Increases in-combat movement speed of caster by 3.0%',100,1,1),
(140709,164296,'Increases Attack Speed of caster by 3.0',100,1,2),
(140710,164296,'Increases Damage Per Second of caster by 3.0',100,1,3),
(140711,164296,'Must not be engaged in pvp combat',100,1,4),
(140712,10164296,'When Equipped:',100,0,0),
(140713,10164296,'Increases in-combat movement speed of caster by 3.0%',100,1,1),
(140714,10164296,'Increases Attack Speed of caster by 3.0',100,1,2),
(140715,10164296,'Increases Damage Per Second of caster by 3.0',100,1,3),
(140716,10164296,'Must not be engaged in pvp combat',100,1,4),
(140717,118012,'Wards target against 2288 points of all damage',100,1,0),
(140718,10118012,'Wards target against 2288 points of all damage',100,1,0),
(140719,27066,'When Equipped:',100,0,0),
(140720,27066,'Increases all magic damage by up to 5.',100,1,1),
(140721,10027066,'When Equipped:',100,0,0),
(140722,10027066,'Increases all magic damage by up to 5.',100,1,1),
(140723,72015,'When Equipped:',100,0,0),
(140724,72015,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140725,72015,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(140726,72015,'Cannot be modified except by direct means',100,2,3),
(140727,10072015,'When Equipped:',100,0,0),
(140728,10072015,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140729,10072015,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(140730,10072015,'Cannot be modified except by direct means',100,2,3),
(140731,113713,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(140732,10113713,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(140733,82029,'When Equipped:',100,0,0),
(140734,82029,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(140735,82029,'Inflicts 212 - 393 magic damage on target',100,2,2),
(140736,82029,'Decreases Threat to target by 641 ',100,2,3),
(140737,82029,'Must be flanking or behind',100,3,4),
(140738,82029,'Increases Threat to target by 641 ',100,2,5),
(140739,82029,'Must be in front of',100,3,6),
(140740,82029,'Cannot be modified except by direct means',100,2,7),
(140741,10082029,'When Equipped:',100,0,0),
(140742,10082029,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(140743,10082029,'Inflicts 275 - 511 magic damage on target',100,2,2),
(140744,10082029,'Cannot be modified except by direct means',100,2,3),
(140745,74651,'When Equipped:',100,0,0),
(140746,74651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140747,74651,'Inflicts 66 - 99 magic damage on target',100,2,2),
(140748,74651,'Cannot be modified except by direct means',100,2,3),
(140749,10074651,'When Equipped:',100,0,0),
(140750,10074651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140751,10074651,'Inflicts 86 - 129 magic damage on target',100,2,2),
(140752,10074651,'Cannot be modified except by direct means',100,2,3),
(140753,170053,'Applies Plumptucket''s Love when Activated.',100,0,0),
(140754,170053,'Summons a pet Love',100,1,1),
(140755,170053,'This effect suspends during combat',100,1,2),
(140756,170053,'The casting time of Plumptucket''s Love is 5.0 seconds and the reuse time of the spell is 15.0 seconds',100,1,3),
(140757,10170053,'Applies Plumptucket''s Love when Activated.',100,0,0),
(140758,10170053,'Summons a pet Love',100,1,1),
(140759,10170053,'This effect suspends during combat',100,1,2),
(140760,10170053,'The casting time of Plumptucket''s Love is 5.0 seconds and the reuse time of the spell is 15.0 seconds',100,1,3),
(140761,173888,'When Equipped:',100,0,0),
(140762,173888,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(140763,173888,'Increases power of caster by 276 instantly and every 4 seconds',100,2,2),
(140764,173888,'Cannot be modified except by direct means',100,2,3),
(140765,10173888,'When Equipped:',100,0,0),
(140766,10173888,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(140767,10173888,'Increases power of caster by 276 instantly and every 4 seconds',100,2,2),
(140768,10173888,'Cannot be modified except by direct means',100,2,3),
(140769,109105,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(140770,109105,'Increases Attack Speed of caster by 33.0',100,1,1),
(140771,109105,'Increases Damage Per Second of caster by 37.9',100,1,2),
(140772,109105,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(140773,109105,'Increases Ranged of caster by 26.4',100,1,4),
(140774,109105,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(140775,109105,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(140776,109105,'Increases Crushing of group members (AE) by 26.4',100,2,7),
(140777,109105,'Increases Piercing of group members (AE) by 26.4',100,2,8),
(140778,109105,'If profession other than Ranger',100,3,9),
(140779,109105,'Increases Slashing of group members (AE) by 26.4',100,2,10),
(140780,109105,'If profession other than Ranger',100,3,11),
(140781,10109105,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(140782,10109105,'Increases Attack Speed of caster by 33.0',100,1,1),
(140783,10109105,'Increases Damage Per Second of caster by 37.9',100,1,2),
(140784,10109105,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(140785,10109105,'Increases Ranged of caster by 26.4',100,1,4),
(140786,10109105,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(140787,10109105,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(140788,10109105,'Increases Crushing of group members (AE) by 26.4',100,2,7),
(140789,10109105,'Increases Piercing of group members (AE) by 26.4',100,2,8),
(140790,10109105,'If profession other than Ranger',100,3,9),
(140791,10109105,'Increases Slashing of group members (AE) by 26.4',100,2,10),
(140792,10109105,'If profession other than Ranger',100,3,11),
(140793,119556,'Wards group members (AE) against 1668 points of arcane damage',100,1,0),
(140794,119556,'Increases Mitigation of group members (AE) vs arcane damage by 912',100,1,1),
(140795,10119556,'Wards group members (AE) against 1668 points of arcane damage',100,1,0),
(140796,10119556,'Increases Mitigation of group members (AE) vs arcane damage by 912',100,1,1),
(140797,100555,'Heals group members (AE) for 1018 - 1244',100,1,0),
(140798,10100555,'Heals group members (AE) for 1236 - 1510',100,1,0),
(140799,80447,'When Equipped:',100,0,0),
(140800,80447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140801,80447,'Inflicts 63 - 118 magic damage on target',100,2,2),
(140802,80447,'Cannot be modified except by direct means',100,2,3),
(140803,10080447,'When Equipped:',100,0,0),
(140804,10080447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140805,10080447,'Inflicts 82 - 153 magic damage on target',100,2,2),
(140806,10080447,'Cannot be modified except by direct means',100,2,3),
(140807,100154,'Inflicts 187 - 229 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(140808,100154,'Decreases Mitigation of target encounter vs noxious damage by 1252',100,1,1),
(140809,10100154,'Inflicts 243 - 297 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(140810,10100154,'Decreases Mitigation of target encounter vs noxious damage by 1252',100,1,1),
(140811,74631,'When Equipped:',100,0,0),
(140812,74631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140813,74631,'Inflicts 53 - 80 magic damage on target',100,2,2),
(140814,74631,'Cannot be modified except by direct means',100,2,3),
(140815,10074631,'When Equipped:',100,0,0),
(140816,10074631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(140817,10074631,'Inflicts 70 - 104 magic damage on target',100,2,2),
(140818,10074631,'Cannot be modified except by direct means',100,2,3),
(140819,45193,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(140820,45193,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(140821,45193,'Inflicts 554 poison damage on target',100,2,2),
(140822,45193,'Cannot be modified except by direct means',100,2,3),
(140823,45193,'Grants a total of 100 triggers of the spell.',100,2,4),
(140824,10045193,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(140825,10045193,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(140826,10045193,'Inflicts 540 poison damage on target',100,2,2),
(140827,10045193,'Cannot be modified except by direct means',100,2,3),
(140828,10045193,'Grants a total of 100 triggers of the spell.',100,2,4),
(140829,116269,'Summons a pet Illusion Ally',100,1,0),
(140830,10116269,'Summons a pet Illusion Ally',100,1,0),
(140831,117498,'Increases Attack Speed of target by 51.5',100,1,0),
(140832,10117498,'Increases Attack Speed of target by 51.5',100,1,0),
(140833,120199,'Decreases STR and INT of target by 56.8',100,1,0),
(140834,120199,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(140835,120199,'Grants a total of 1 trigger of the spell.',100,2,2),
(140836,10120199,'Decreases STR and INT of target by 56.8',100,1,0),
(140837,10120199,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(140838,10120199,'Grants a total of 1 trigger of the spell.',100,2,2),
(140839,88926,'When Equipped:',100,0,0),
(140840,88926,'On a combat hit this spell may cast Defender''s Strength on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140841,88926,'Increases STR of caster by 116.6',100,2,2),
(140842,88926,'Cannot be modified except by direct means',100,2,3),
(140843,10088926,'When Equipped:',100,0,0),
(140844,10088926,'On a combat hit this spell may cast Defender''s Strength on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(140845,10088926,'Increases STR of caster by 116.6',100,2,2),
(140846,10088926,'Cannot be modified except by direct means',100,2,3),
(140847,121631,'Inflicts 562 - 1687 melee damage on target',100,1,0),
(140848,121631,'Dazes target',100,1,1),
(140849,121631,'If Target is not Epic',100,2,2),
(140850,121631,'Must be flanking or behind',100,1,3),
(140851,121631,'Resistibility increases against targets higher than level 102.',100,1,4),
(140852,10121631,'Inflicts 731 - 2194 melee damage on target',100,1,0),
(140853,10121631,'Dazes target',100,1,1),
(140854,10121631,'If Target is not Epic',100,2,2),
(140855,10121631,'Must be flanking or behind',100,1,3),
(140856,10121631,'Resistibility increases against targets higher than level 102.',100,1,4),
(140857,114154,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(140858,114154,'Increases Mitigation of group members (AE) vs elemental damage by 1392',100,1,1),
(140859,10114154,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(140860,10114154,'Increases Mitigation of group members (AE) vs elemental damage by 1392',100,1,1),
(140861,53002,'When Equipped:',100,0,0),
(140862,53002,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(140863,53002,'Wards caster against 175 points of all damage',100,2,2),
(140864,53002,'Cannot be modified except by direct means',100,2,3),
(140865,10053002,'When Equipped:',100,0,0),
(140866,10053002,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(140867,10053002,'Wards caster against 175 points of all damage',100,2,2),
(140868,10053002,'Cannot be modified except by direct means',100,2,3),
(140869,45393,'Applies Release Boomba when Activated.',100,0,0),
(140870,45393,'This effect cannot be cast during combat',100,1,1),
(140871,10045393,'Applies Release Boomba when Activated.',100,0,0),
(140872,10045393,'This effect cannot be cast during combat',100,1,1),
(140873,35900,'Increases Max Power of target by 3.3',100,0,0),
(140874,35900,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(140875,114921,'Inflicts 433 - 722 melee damage on target',100,1,0),
(140876,114921,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1056',100,1,1),
(140877,114921,'Must be behind',100,1,2),
(140878,10114921,'Inflicts 563 - 938 melee damage on target',100,1,0),
(140879,10114921,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 528',100,1,1),
(140880,10114921,'Must be behind',100,1,2),
(140881,35926,'Increases Max Power of target by 3.3',100,0,0),
(140882,35926,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(140883,121077,'Increases STR and STA of group members (AE) by 70.0',100,1,0),
(140884,10121077,'Increases STR and STA of group members (AE) by 70.0',100,1,0),
(140885,113654,'Inflicts 376 - 459 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(140886,113654,'Decreases power of target encounter by 63 - 77 instantly and every 5 seconds',100,1,1),
(140887,113654,'Heals group members (AE) for 240 - 294 instantly and every 5 seconds',100,1,2),
(140888,113654,'Increases power of group members (AE) by 40 - 49 instantly and every 5 seconds',100,1,3),
(140889,10113654,'Inflicts 488 - 597 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(140890,10113654,'Decreases power of target encounter by 63 - 77 instantly and every 5 seconds',100,1,1),
(140891,10113654,'Heals group members (AE) for 156 - 191 instantly and every 5 seconds',100,1,2),
(140892,10113654,'Increases power of group members (AE) by 40 - 49 instantly and every 5 seconds',100,1,3),
(140893,75237,'When Equipped:',100,0,0),
(140894,75237,'Increases Damage Per Second of caster by 11.0',100,1,1),
(140895,75237,'This effect will not stack with any rank or tier of itself.',100,1,2),
(140896,75237,'Increases Attack Speed of caster by 4.5',100,1,3),
(140897,75237,'Cannot be modified except by direct means',100,1,4),
(140898,10075237,'When Equipped:',100,0,0),
(140899,10075237,'Increases Damage Per Second of caster by 11.0',100,1,1),
(140900,10075237,'This effect will not stack with any rank or tier of itself.',100,1,2),
(140901,10075237,'Increases Attack Speed of caster by 4.5',100,1,3),
(140902,10075237,'Cannot be modified except by direct means',100,1,4),
(140903,190074,'When Equipped:',100,0,0),
(140904,190074,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(140905,190074,'When Equipped:',100,0,2),
(140906,190074,'Increases Attack Speed of caster by 35.0',100,1,3),
(140907,10190074,'When Equipped:',100,0,0),
(140908,10190074,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(140909,10190074,'When Equipped:',100,0,2),
(140910,10190074,'Increases Attack Speed of caster by 35.0',100,1,3),
(140911,101874,'Stuns target',100,1,0),
(140912,101874,'Does not affect Epic targets',100,1,1),
(140913,101874,'Resistibility increases against targets higher than level 116.',100,1,2),
(140914,10101874,'Stuns target',100,1,0),
(140915,10101874,'Does not affect Epic targets',100,1,1),
(140916,10101874,'Resistibility increases against targets higher than level 116.',100,1,2),
(140917,159413,'Applies Lambent Imbued when Equipped.',100,0,0),
(140918,159413,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(140919,159413,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(140920,159413,'Cannot be modified except by direct means',100,2,3),
(140921,10159413,'Applies Lambent Imbued when Equipped.',100,0,0),
(140922,10159413,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(140923,10159413,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(140924,10159413,'Cannot be modified except by direct means',100,2,3),
(140925,159445,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(140926,159445,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(140927,159445,'Inflicts 69 heat damage on target',100,2,2),
(140928,159445,'Cannot be modified except by direct means',100,2,3),
(140929,10159445,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(140930,10159445,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(140931,10159445,'Inflicts 90 heat damage on target',100,2,2),
(140932,10159445,'Cannot be modified except by direct means',100,2,3),
(140933,112332,'Applies Insolent Gibe.',100,1,0),
(140934,112332,'Increases Threat to targets in Area of Effect by 1,977 - 2,966 ',100,2,1),
(140935,112332,'Applies Insolent Assault.',100,1,2),
(140936,112332,'Inflicts 1671 - 2506 melee damage on targets in area',100,2,3),
(140937,112332,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(140938,112332,'Increases Threat to target encounter by 741 - 906 ',100,2,5),
(140939,10112332,'Applies Insolent Gibe.',100,1,0),
(140940,10112332,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(140941,10112332,'Applies Insolent Assault.',100,1,2),
(140942,10112332,'Inflicts 2172 - 3259 melee damage on targets in area',100,2,3),
(140943,10112332,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(140944,10112332,'Forces target encounter to change their selected target to caster.',100,2,5),
(140945,121888,'Decreases power of target by 40 - 67',100,1,0),
(140946,121888,'Inflicts 106 - 178 melee damage on target',100,1,1),
(140947,121888,'Must be flanking or behind',100,1,2),
(140948,10121888,'Decreases power of target by 40 - 67',100,1,0),
(140949,10121888,'Inflicts 139 - 231 melee damage on target',100,1,1),
(140950,10121888,'Must be flanking or behind',100,1,2),
(140951,106080,'Increases AGI of caster by 212.5',100,1,0),
(140952,106080,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(140953,106080,'Inflicts 480 - 799 disease damage on target',100,2,2),
(140954,106080,'Adds 25.0% to base avoidance.',100,1,3),
(140955,106080,'Increases Mitigation of caster vs physical damage by 997',100,1,4),
(140956,106080,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,5),
(140957,10106080,'Increases AGI of caster by 212.5',100,1,0),
(140958,10106080,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(140959,10106080,'Inflicts 623 - 1039 disease damage on target',100,2,2),
(140960,10106080,'Adds 25.0% to base avoidance.',100,1,3),
(140961,10106080,'Increases Mitigation of caster vs physical damage by 997',100,1,4),
(140962,10106080,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,5),
(140963,141902,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(140964,141902,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(140965,141902,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(140966,141902,'Cannot be modified except by direct means',100,2,3),
(140967,10141902,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(140968,10141902,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(140969,10141902,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(140970,10141902,'Cannot be modified except by direct means',100,2,3),
(140971,122289,'Decreases Threat to targets in Area of Effect by 4,217 ',100,1,0),
(140972,122289,'Makes targets in Area of Effect afraid',100,1,1),
(140973,122289,'If Target is not Epic',100,2,2),
(140974,122289,'30% chance to dispel when target takes damage',100,1,3),
(140975,10122289,'Applies Distract.',100,1,0),
(140976,10122289,'Forces target to clear their selected target.',100,2,1),
(140977,10122289,'Makes targets in Area of Effect afraid',100,1,2),
(140978,10122289,'If Target is not Epic',100,2,3),
(140979,10122289,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(140980,10122289,'30% chance to dispel when target takes damage',100,1,5),
(140981,118047,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(140982,118047,'Stuns target',100,2,1),
(140983,118047,'If Target is not Epic',100,3,2),
(140984,118047,'Inflicts 645 - 1075 divine damage on target',100,2,3),
(140985,118047,'Grants a total of 3 triggers of the spell.',100,2,4),
(140986,10118047,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(140987,10118047,'Stuns target',100,2,1),
(140988,10118047,'If Target is not Epic',100,3,2),
(140989,10118047,'Inflicts 838 - 1397 divine damage on target',100,2,3),
(140990,10118047,'Grants a total of 3 triggers of the spell.',100,2,4),
(140991,45170,'Applies Cebus Albifrons when Activated.  Lasts for 30.0 seconds.',100,0,0),
(140992,45170,'Use this whistle only if you have bananas.',100,1,1),
(140993,10045170,'Applies Cebus Albifrons when Activated.  Lasts for 30.0 seconds.',100,0,0),
(140994,10045170,'Use this whistle only if you have bananas.',100,1,1),
(140995,45372,'Applies Blight of the Grave when Activated.  Lasts for 12 hours.',100,0,0),
(140996,45372,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(140997,45372,'Inflicts 157 poison damage on target instantly and every 6 seconds',100,2,2),
(140998,45372,'Inflicts 127 poison damage on target',100,2,3),
(140999,45372,'Cannot be modified except by direct means',100,2,4),
(141000,45372,'Grants a total of 100 triggers of the spell.',100,2,5),
(141001,10045372,'Applies Blight of the Grave when Activated.  Lasts for 12 hours.',100,0,0),
(141002,10045372,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(141003,10045372,'Inflicts 153 poison damage on target instantly and every 6 seconds',100,2,2),
(141004,10045372,'Inflicts 124 poison damage on target',100,2,3),
(141005,10045372,'Cannot be modified except by direct means',100,2,4),
(141006,10045372,'Grants a total of 100 triggers of the spell.',100,2,5),
(141007,160004,'Applies Lambent Imbued when Equipped.',100,0,0),
(141008,160004,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(141009,160004,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(141010,160004,'Cannot be modified except by direct means',100,2,3),
(141011,10160004,'Applies Lambent Imbued when Equipped.',100,0,0),
(141012,10160004,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(141013,10160004,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(141014,10160004,'Cannot be modified except by direct means',100,2,3),
(141015,116665,'Heals group members (AE) for 148 - 181',100,1,0),
(141016,116665,'This effect cannot be critically applied.',100,2,1),
(141017,116665,'Increases Max Health of group members (AE) by 81.1',100,1,2),
(141018,116665,'The healing of this spell cannot be modified except by direct means',100,1,3),
(141019,10116665,'Heals group members (AE) for 47 - 57',100,1,0),
(141020,10116665,'This effect cannot be critically applied.',100,2,1),
(141021,10116665,'Increases Max Health of group members (AE) by 81.1',100,1,2),
(141022,10116665,'The healing of this spell cannot be modified except by direct means',100,1,3),
(141023,35373,'Increases Max Health of target by 3.9',100,0,0),
(141024,35373,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(141025,167589,'Applies Summon Ally when Activated.',100,0,0),
(141026,167589,'Teleports target to caster',100,1,1),
(141027,167589,'This effect cannot be cast during combat',100,1,2),
(141028,167589,'The casting time of Summon Ally is 15.0 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(141029,10167589,'Applies Summon Ally when Activated.',100,0,0),
(141030,10167589,'Teleports target to caster',100,1,1),
(141031,10167589,'This effect cannot be cast during combat',100,1,2),
(141032,10167589,'The casting time of Summon Ally is 15.0 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(141033,106058,'Increases AGI of caster by 61.2',100,1,0),
(141034,106058,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(141035,106058,'Inflicts 117 - 196 disease damage on target',100,2,2),
(141036,106058,'Adds 17.2% to base avoidance.',100,1,3),
(141037,106058,'Increases Mitigation of caster vs physical damage by 316',100,1,4),
(141038,106058,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,5),
(141039,10106058,'Increases AGI of caster by 61.2',100,1,0),
(141040,10106058,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(141041,10106058,'Inflicts 153 - 254 disease damage on target',100,2,2),
(141042,10106058,'Adds 17.2% to base avoidance.',100,1,3),
(141043,10106058,'Increases Mitigation of caster vs physical damage by 316',100,1,4),
(141044,10106058,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,5),
(141045,74929,'When Equipped:',100,0,0),
(141046,74929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141047,74929,'Inflicts 38 - 57 magic damage on target',100,2,2),
(141048,74929,'Cannot be modified except by direct means',100,2,3),
(141049,10074929,'When Equipped:',100,0,0),
(141050,10074929,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141051,10074929,'Inflicts 50 - 75 magic damage on target',100,2,2),
(141052,10074929,'Cannot be modified except by direct means',100,2,3),
(141053,45921,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(141054,45921,'Wards caster against 965 points of noxious damage',100,1,1),
(141055,10045921,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(141056,10045921,'Wards caster against 965 points of noxious damage',100,1,1),
(141057,115387,'Inflicts 18 - 31 melee damage on target',100,1,0),
(141058,115387,'Decreases INT of target by 9.2',100,1,1),
(141059,115387,'You must be sneaking to use this ability.',100,1,2),
(141060,10115387,'Inflicts 24 - 40 melee damage on target',100,1,0),
(141061,10115387,'Decreases INT of target by 9.2',100,1,1),
(141062,10115387,'You must be sneaking to use this ability.',100,1,2),
(141063,104919,'Inflicts 345 - 575 ranged damage on target',100,1,0),
(141064,104919,'Decreases Deflection and Parry of target by 22.4',100,1,1),
(141065,104919,'Requires bow',100,1,2),
(141066,10104919,'Inflicts 293 - 488 ranged damage on target',100,1,0),
(141067,10104919,'Decreases Deflection and Parry of target by 22.4',100,1,1),
(141068,10104919,'Requires bow',100,1,2),
(141069,71688,'When Equipped:',100,0,0),
(141070,71688,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(141071,71688,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(141072,71688,'Cannot be modified except by direct means',100,2,3),
(141073,10071688,'When Equipped:',100,0,0),
(141074,10071688,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(141075,10071688,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(141076,10071688,'Cannot be modified except by direct means',100,2,3),
(141077,48652,'Applies Aura of the Glade  when Activated.  Lasts for 30 minutes.',100,0,0),
(141078,10048652,'Applies Aura of the Glade  when Activated.  Lasts for 30 minutes.',100,0,0),
(141079,120111,'Shapechanges caster into a chaos essence',100,1,0),
(141080,120111,'Increases WIS of caster by 119.7',100,1,1),
(141081,120111,'Grants See Invisibility to caster',100,1,2),
(141082,120111,'Increases Max Health of caster by 524.8',100,1,3),
(141083,120111,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1824',100,1,4),
(141084,10120111,'Shapechanges caster into a chaos essence',100,1,0),
(141085,10120111,'Increases WIS of caster by 119.7',100,1,1),
(141086,10120111,'Grants See Invisibility to caster',100,1,2),
(141087,10120111,'Increases Max Health of caster by 524.8',100,1,3),
(141088,10120111,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1824',100,1,4),
(141089,117294,'Inflicts 599 - 999 melee damage on target',100,1,0),
(141090,117294,'Decreases Damage Per Second of target by 16.2',100,1,1),
(141091,117294,'Decreases Attack Speed of target by 10.2',100,1,2),
(141092,10117294,'Inflicts 779 - 1299 melee damage on target',100,1,0),
(141093,10117294,'Decreases Damage Per Second of target by 16.2',100,1,1),
(141094,10117294,'Decreases Attack Speed of target by 10.2',100,1,2),
(141095,123463,'Shapechanges caster into a bear',100,1,0),
(141096,123463,'Increases WIS of caster by 119.7',100,1,1),
(141097,123463,'Grants See Stealth to caster',100,1,2),
(141098,123463,'Increases Max Health of caster by 524.8',100,1,3),
(141099,123463,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1824',100,1,4),
(141100,10123463,'Shapechanges caster into a bear',100,1,0),
(141101,10123463,'Increases WIS of caster by 119.7',100,1,1),
(141102,10123463,'Grants See Stealth to caster',100,1,2),
(141103,10123463,'Increases Max Health of caster by 524.8',100,1,3),
(141104,10123463,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1824',100,1,4),
(141105,36629,'Increases AGI and STA of target by 1.1',100,0,0),
(141106,36629,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(141107,74865,'When Equipped:',100,0,0),
(141108,74865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141109,74865,'Inflicts 169 - 254 magic damage on target',100,2,2),
(141110,74865,'Cannot be modified except by direct means',100,2,3),
(141111,10074865,'When Equipped:',100,0,0),
(141112,10074865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141113,10074865,'Inflicts 220 - 330 magic damage on target',100,2,2),
(141114,10074865,'Cannot be modified except by direct means',100,2,3),
(141115,41519,'When Equipped:',100,0,0),
(141116,41519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141117,41519,'Inflicts 350 - 650 magic damage on target',100,2,2),
(141118,41519,'Decreases Threat to target by 833 ',100,2,3),
(141119,41519,'Must be flanking or behind',100,3,4),
(141120,41519,'Increases Threat to target by 833 ',100,2,5),
(141121,41519,'Must be in front of',100,3,6),
(141122,41519,'Cannot be modified except by direct means',100,2,7),
(141123,10041519,'When Equipped:',100,0,0),
(141124,10041519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141125,10041519,'Inflicts 455 - 845 magic damage on target',100,2,2),
(141126,10041519,'Cannot be modified except by direct means',100,2,3),
(141127,107359,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(141128,107359,'Increases Threat to target by 470 ',100,2,1),
(141129,10107359,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(141130,10107359,'Inflicts 137 - 152 crushing damage on target',100,2,1),
(141131,26892,'When Equipped:',100,0,0),
(141132,26892,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(141133,26892,'Increases power of caster by 85',100,2,2),
(141134,26892,'Cannot be modified except by direct means',100,2,3),
(141135,10026892,'When Equipped:',100,0,0),
(141136,10026892,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(141137,10026892,'Increases power of caster by 85',100,2,2),
(141138,10026892,'Cannot be modified except by direct means',100,2,3),
(141139,104066,'Inflicts 81 - 135 mental damage on target',100,1,0),
(141140,104066,'Inflicts 81 - 135 mental damage on target',100,1,1),
(141141,10104066,'Inflicts 105 - 175 mental damage on target',100,1,0),
(141142,10104066,'Inflicts 105 - 175 mental damage on target',100,1,1),
(141143,26097,'When Equipped:',100,0,0),
(141144,26097,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(141145,26097,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(141146,10026097,'When Equipped:',100,0,0),
(141147,10026097,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(141148,10026097,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(141149,120182,'Applies Life Draw on termination.',100,1,0),
(141150,120182,'Inflicts 715 - 1191 disease damage on target',100,2,1),
(141151,120182,'Heals caster for 15.8 - 19.4% of max health',100,2,2),
(141152,120182,'This effect cannot be critically applied.',100,3,3),
(141153,120182,'The healing of this spell cannot be modified except by direct means',100,2,4),
(141154,120182,'Inflicts 208 - 347 disease damage on target',100,1,5),
(141155,10120182,'Applies Life Draw on termination.',100,1,0),
(141156,10120182,'Inflicts 929 - 1549 disease damage on target',100,2,1),
(141157,10120182,'Heals caster for 4.3 - 5.3% of max health',100,2,2),
(141158,10120182,'This effect cannot be critically applied.',100,3,3),
(141159,10120182,'The healing of this spell cannot be modified except by direct means',100,2,4),
(141160,10120182,'Inflicts 271 - 451 disease damage on target',100,1,5),
(141161,124084,'Dispels 74 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(141162,10124084,'Dispels 74 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(141163,82551,'When Equipped:',100,0,0),
(141164,82551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141165,82551,'Inflicts 106 - 197 magic damage on target',100,2,2),
(141166,82551,'Cannot be modified except by direct means',100,2,3),
(141167,10082551,'When Equipped:',100,0,0),
(141168,10082551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141169,10082551,'Inflicts 138 - 256 magic damage on target',100,2,2),
(141170,10082551,'Cannot be modified except by direct means',100,2,3),
(141171,49186,'Applies Call Ykeshan Spellbear when Activated.',100,0,0),
(141172,49186,'Summons a mount to ride',100,1,1),
(141173,49186,'Increases your ground speed by 130%',100,2,2),
(141174,49186,'Increases Ability Reuse Speed of caster by 3.0%',100,1,3),
(141175,49186,'Increases Max Power of caster by 250.0',100,1,4),
(141176,10049186,'Applies Call Ykeshan Spellbear when Activated.',100,0,0),
(141177,10049186,'Summons a mount to ride',100,1,1),
(141178,10049186,'Increases your ground speed by 130%',100,2,2),
(141179,10049186,'Increases Ability Reuse Speed of caster by 3.0%',100,1,3),
(141180,10049186,'Increases Max Power of caster by 250.0',100,1,4),
(141181,122315,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(141182,122315,'Inflicts 751 - 918 mental damage on target',100,2,1),
(141183,122315,'Grants a total of 3 triggers of the spell.',100,2,2),
(141184,10122315,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(141185,10122315,'Inflicts 976 - 1193 mental damage on target',100,2,1),
(141186,10122315,'Grants a total of 3 triggers of the spell.',100,2,2),
(141187,111854,'Inflicts 47 - 88 heat damage on target',100,1,0),
(141188,111854,'Inflicts 18 - 33 heat damage on target every 2 seconds',100,1,1),
(141189,10111854,'Inflicts 61 - 114 heat damage on target',100,1,0),
(141190,10111854,'Inflicts 23 - 43 heat damage on target every 2 seconds',100,1,1),
(141191,48918,'Applies Translucent Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(141192,48918,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(141193,48918,'Only affects targets level 50 and above',100,1,2),
(141194,10048918,'Applies Translucent Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(141195,10048918,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(141196,10048918,'Only affects targets level 50 and above',100,1,2),
(141197,40606,'When Equipped:',100,0,0),
(141198,40606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141199,40606,'Inflicts 66 - 99 magic damage on target',100,2,2),
(141200,40606,'Cannot be modified except by direct means',100,2,3),
(141201,10040606,'When Equipped:',100,0,0),
(141202,10040606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141203,10040606,'Inflicts 86 - 129 magic damage on target',100,2,2),
(141204,10040606,'Cannot be modified except by direct means',100,2,3),
(141205,70941,'When Equipped:',100,0,0),
(141206,70941,'On a combat hit this spell may cast Slashing Claw on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141207,70941,'Inflicts 185 slashing damage on target',100,2,2),
(141208,70941,'Cannot be modified except by direct means',100,2,3),
(141209,10070941,'When Equipped:',100,0,0),
(141210,10070941,'On a combat hit this spell may cast Slashing Claw on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141211,10070941,'Inflicts 240 slashing damage on target',100,2,2),
(141212,10070941,'Cannot be modified except by direct means',100,2,3),
(141213,24531,'Adds Mistmoore: Gilded Hallway Table to your Dungeon Maker toolbox',100,0,0),
(141214,10024531,'Adds Mistmoore: Gilded Hallway Table to your Dungeon Maker toolbox',100,0,0),
(141215,164614,'Applies Unstable Magics when Equipped.',100,0,0),
(141216,164614,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(141217,10164614,'Applies Unstable Magics when Equipped.',100,0,0),
(141218,10164614,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(141219,73922,'Applies Holy Strike when Activated.',100,0,0),
(141220,73922,'Inflicts 463 - 772 divine damage on target',100,1,1),
(141221,73922,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141222,10073922,'Applies Holy Strike when Activated.',100,0,0),
(141223,10073922,'Inflicts 602 - 1004 divine damage on target',100,1,1),
(141224,10073922,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141225,107078,'Inflicts 80 - 97 divine damage on target',100,1,0),
(141226,10107078,'Inflicts 103 - 126 divine damage on target',100,1,0),
(141227,122790,'Heals target for 518',100,1,0),
(141228,10122790,'Heals target for 404',100,1,0),
(141229,116083,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(141230,116083,'Heals target for 103 - 126',100,2,1),
(141231,116083,'Grants a total of 5 triggers of the spell.',100,2,2),
(141232,10116083,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(141233,10116083,'Heals target for 67 - 82',100,2,1),
(141234,10116083,'Grants a total of 5 triggers of the spell.',100,2,2),
(141235,107191,'Inflicts 197 - 329 divine damage on target',100,1,0),
(141236,107191,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(141237,107191,'Stuns target',100,2,2),
(141238,107191,'If Target is not Epic',100,3,3),
(141239,107191,'Inflicts 462 - 770 divine damage on target',100,2,4),
(141240,107191,'Inflicts 396 - 660 divine damage on target',100,2,5),
(141241,107191,'If target is undead',100,3,6),
(141242,10107191,'Inflicts 171 - 285 divine damage on target',100,1,0),
(141243,10107191,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(141244,10107191,'Stuns target',100,2,2),
(141245,10107191,'Inflicts 901 - 1501 divine damage on target',100,2,3),
(141246,10107191,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(141247,36337,'Increases AGI of target by 0.4',100,0,0),
(141248,36337,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(141249,179155,'When Equipped:',100,0,0),
(141250,179155,'On a combat hit this spell may cast Serpent''s Sting on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(141251,179155,'Inflicts 363 - 444 poison damage on target',100,2,2),
(141252,179155,'Inflicts 317 - 387 poison damage on target every 4 seconds',100,2,3),
(141253,179155,'Cannot be modified except by direct means',100,2,4),
(141254,10179155,'When Equipped:',100,0,0),
(141255,10179155,'On a combat hit this spell may cast Serpent''s Sting on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(141256,10179155,'Inflicts 472 - 577 poison damage on target',100,2,2),
(141257,10179155,'Inflicts 412 - 503 poison damage on target every 4 seconds',100,2,3),
(141258,10179155,'Cannot be modified except by direct means',100,2,4),
(141259,117822,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(141260,117822,'Heals target for 55 - 67 instantly and every 2 seconds',100,2,1),
(141261,117822,'If over 50% Health',100,3,2),
(141262,117822,'Heals target for 109 - 134 instantly and every 2 seconds',100,2,3),
(141263,117822,'If at 50% Health or less',100,3,4),
(141264,10117822,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(141265,10117822,'Heals target for 16 - 20 instantly and every 2 seconds',100,2,1),
(141266,10117822,'If over 50% Health',100,3,2),
(141267,10117822,'Heals target for 27 - 33 instantly and every 2 seconds',100,2,3),
(141268,10117822,'If at 50% Health or less',100,3,4),
(141269,113735,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(141270,113735,'Inflicts 100 piercing damage on target',100,2,1),
(141271,113735,'Grants a total of 60 triggers of the spell.',100,2,2),
(141272,10113735,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(141273,10113735,'Inflicts 130 piercing damage on target',100,2,1),
(141274,10113735,'Grants a total of 60 triggers of the spell.',100,2,2),
(141275,118165,'Inflicts 733 - 1221 melee damage on target',100,1,0),
(141276,118165,'Dazes target',100,1,1),
(141277,118165,'If Target is not Epic',100,2,2),
(141278,118165,'Resistibility increases against targets higher than level 107.',100,1,3),
(141279,10118165,'Inflicts 952 - 1588 melee damage on target',100,1,0),
(141280,10118165,'Dazes target',100,1,1),
(141281,10118165,'If Target is not Epic',100,2,2),
(141282,10118165,'Resistibility increases against targets higher than level 107.',100,1,3),
(141283,183416,'When Equipped:',100,0,0),
(141284,183416,'On any combat or spell hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141285,183416,'Inflicts 253 magic damage on target',100,2,2),
(141286,183416,'Heals caster for 156',100,2,3),
(141287,183416,'Cannot be modified except by direct means',100,2,4),
(141288,10183416,'When Equipped:',100,0,0),
(141289,10183416,'On any combat or spell hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141290,10183416,'Inflicts 329 magic damage on target',100,2,2),
(141291,10183416,'Heals caster for 101',100,2,3),
(141292,10183416,'Cannot be modified except by direct means',100,2,4),
(141293,100936,'Dazes target',100,1,0),
(141294,100936,'Inflicts 99 - 121 mental damage on target',100,1,1),
(141295,100936,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',100,1,2),
(141296,100936,'Resistibility increases against targets higher than level 40.',100,1,3),
(141297,10100936,'Dazes target',100,1,0),
(141298,10100936,'Inflicts 129 - 157 mental damage on target',100,1,1),
(141299,10100936,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(141300,10100936,'Resistibility increases against targets higher than level 40.',100,1,3),
(141301,47744,'Applies Remedy of the Field when Activated.',100,0,0),
(141302,47744,'Heals caster for 24',100,1,1),
(141303,10047744,'Applies Remedy of the Field when Activated.',100,0,0),
(141304,10047744,'Heals caster for 16',100,1,1),
(141305,48735,'Applies Elixir of Life  when Activated.',100,0,0),
(141306,48735,'Heals caster for 17',100,1,1),
(141307,10048735,'Applies Elixir of Life  when Activated.',100,0,0),
(141308,10048735,'Heals caster for 11',100,1,1),
(141309,37164,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(141310,124020,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(141311,124020,'Heals target for 195 - 238',100,2,1),
(141312,124020,'Grants a total of 5 triggers of the spell.',100,2,2),
(141313,10124020,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(141314,10124020,'Heals target for 126 - 155',100,2,1),
(141315,10124020,'Grants a total of 5 triggers of the spell.',100,2,2),
(141316,37098,'Increases STA of target by 1.5',100,0,0),
(141317,37098,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(141318,46454,'Applies Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(141319,46454,'Increases STR and STA of caster by 47.0',100,1,1),
(141320,46454,'Only affects targets level 50 and above',100,1,2),
(141321,10046454,'Applies Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(141322,10046454,'Increases STR and STA of caster by 47.0',100,1,1),
(141323,10046454,'Only affects targets level 50 and above',100,1,2),
(141324,41430,'When Equipped:',100,0,0),
(141325,41430,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141326,41430,'Inflicts 83 - 154 magic damage on target',100,2,2),
(141327,41430,'Decreases Threat to target by 236 ',100,2,3),
(141328,41430,'Must be flanking or behind',100,3,4),
(141329,41430,'Increases Threat to target by 236 ',100,2,5),
(141330,41430,'Must be in front of',100,3,6),
(141331,41430,'Cannot be modified except by direct means',100,2,7),
(141332,10041430,'When Equipped:',100,0,0),
(141333,10041430,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141334,10041430,'Inflicts 108 - 200 magic damage on target',100,2,2),
(141335,10041430,'Cannot be modified except by direct means',100,2,3),
(141336,159152,'Applies Sanguine Imbued when Equipped.',100,0,0),
(141337,159152,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(141338,159152,'Inflicts 352 heat damage on target',100,2,2),
(141339,159152,'Cannot be modified except by direct means',100,2,3),
(141340,10159152,'Applies Sanguine Imbued when Equipped.',100,0,0),
(141341,10159152,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(141342,10159152,'Inflicts 457 heat damage on target',100,2,2),
(141343,10159152,'Cannot be modified except by direct means',100,2,3),
(141344,108883,'Inflicts 553 - 922 melee damage on target',100,1,0),
(141345,108883,'Decreases INT of target by 191.0',100,1,1),
(141346,10108883,'Inflicts 719 - 1199 melee damage on target',100,1,0),
(141347,10108883,'Decreases INT of target by 191.0',100,1,1),
(141348,121852,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(141349,121852,'Increases Mitigation of group members (AE) vs arcane damage by 1392',100,1,1),
(141350,10121852,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(141351,10121852,'Increases Mitigation of group members (AE) vs arcane damage by 1392',100,1,1),
(141352,86320,'Applies Frost Blast when Activated.',100,0,0),
(141353,86320,'Inflicts 341 - 568 cold damage on target',100,1,1),
(141354,86320,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141355,10086320,'Applies Frost Blast when Activated.',100,0,0),
(141356,10086320,'Inflicts 443 - 739 cold damage on target',100,1,1),
(141357,10086320,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141358,161908,'When Equipped:',100,0,0),
(141359,161908,'On a hit this spell may cast Minor Aggravation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141360,161908,'Increases Threat to target by 225 ',100,2,2),
(141361,161908,'Cannot be modified except by direct means',100,2,3),
(141362,10161908,'When Equipped:',100,0,0),
(141363,10161908,'On a hit this spell may cast Minor Aggravation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141364,10161908,'Cannot be modified except by direct means',100,2,2),
(141365,117842,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(141366,117842,'Heals target for 130 - 159 instantly and every 2 seconds',100,2,1),
(141367,117842,'If over 50% Health',100,3,2),
(141368,117842,'Heals target for 260 - 318 instantly and every 2 seconds',100,2,3),
(141369,117842,'If at 50% Health or less',100,3,4),
(141370,10117842,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(141371,10117842,'Heals target for 38 - 47 instantly and every 2 seconds',100,2,1),
(141372,10117842,'If over 50% Health',100,3,2),
(141373,10117842,'Heals target for 63 - 78 instantly and every 2 seconds',100,2,3),
(141374,10117842,'If at 50% Health or less',100,3,4),
(141375,45723,'Applies Sartar''s Resurgence  when Activated.',100,0,0),
(141376,45723,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(141377,10045723,'Applies Sartar''s Resurgence  when Activated.',100,0,0),
(141378,10045723,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(141379,53210,'When Equipped:',100,0,0),
(141380,53210,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(141381,53210,'Increases Potency of caster by 11.0%',100,2,2),
(141382,53210,'Increases Ministration and Ordination of caster by 11.5',100,2,3),
(141383,53210,'Reduces resistibility of all spells by 1%.',100,2,4),
(141384,53210,'Increases Subjugation and Disruption of caster by 11.5',100,2,5),
(141385,53210,'Must not be engaged in pvp combat',100,2,6),
(141386,53210,'Cannot be modified except by direct means',100,2,7),
(141387,53210,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(141388,53210,'Increases Potency of caster by 11.0%',100,2,9),
(141389,53210,'Increases Ministration and Ordination of caster by 11.5',100,2,10),
(141390,53210,'Reduces resistibility of all spells by 1%.',100,2,11),
(141391,53210,'Increases Subjugation and Disruption of caster by 11.5',100,2,12),
(141392,53210,'Must not be engaged in pvp combat',100,2,13),
(141393,53210,'Cannot be modified except by direct means',100,2,14),
(141394,53210,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,15),
(141395,53210,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(141396,53210,'Increases Potency of caster by 11.0%',100,2,17),
(141397,53210,'Increases Ministration and Ordination of caster by 11.5',100,2,18),
(141398,53210,'Reduces resistibility of all spells by 1%.',100,2,19),
(141399,53210,'Increases Subjugation and Disruption of caster by 11.5',100,2,20),
(141400,53210,'Must not be engaged in pvp combat',100,2,21),
(141401,53210,'Cannot be modified except by direct means',100,2,22),
(141402,53210,'Cannot be modified except by direct means',100,1,23),
(141403,10053210,'When Equipped:',100,0,0),
(141404,10053210,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(141405,10053210,'Increases Potency of caster by 11.0%',100,2,2),
(141406,10053210,'Increases Ministration and Ordination of caster by 11.5',100,2,3),
(141407,10053210,'Reduces resistibility of all spells by 1%.',100,2,4),
(141408,10053210,'Increases Subjugation and Disruption of caster by 11.5',100,2,5),
(141409,10053210,'Must not be engaged in pvp combat',100,2,6),
(141410,10053210,'Cannot be modified except by direct means',100,2,7),
(141411,10053210,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(141412,10053210,'Increases Potency of caster by 11.0%',100,2,9),
(141413,10053210,'Increases Ministration and Ordination of caster by 11.5',100,2,10),
(141414,10053210,'Reduces resistibility of all spells by 1%.',100,2,11),
(141415,10053210,'Increases Subjugation and Disruption of caster by 11.5',100,2,12),
(141416,10053210,'Must not be engaged in pvp combat',100,2,13),
(141417,10053210,'Cannot be modified except by direct means',100,2,14),
(141418,10053210,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,15),
(141419,10053210,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(141420,10053210,'Increases Potency of caster by 11.0%',100,2,17),
(141421,10053210,'Increases Ministration and Ordination of caster by 11.5',100,2,18),
(141422,10053210,'Reduces resistibility of all spells by 1%.',100,2,19),
(141423,10053210,'Increases Subjugation and Disruption of caster by 11.5',100,2,20),
(141424,10053210,'Must not be engaged in pvp combat',100,2,21),
(141425,10053210,'Cannot be modified except by direct means',100,2,22),
(141426,10053210,'Cannot be modified except by direct means',100,1,23),
(141427,114081,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(141428,114081,'Grants stealth to caster',100,2,1),
(141429,114081,'Suspends caster''s movement speed enhancements',100,2,2),
(141430,114081,'Inflicts 498 - 830 melee damage on target',100,1,3),
(141431,114081,'Must be flanking or behind',100,1,4),
(141432,10114081,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(141433,10114081,'Grants stealth to caster',100,2,1),
(141434,10114081,'Suspends caster''s movement speed enhancements',100,2,2),
(141435,10114081,'Inflicts 971 - 1619 melee damage on target',100,1,3),
(141436,10114081,'Must be flanking or behind',100,1,4),
(141437,104550,'Increases Threat to target by 1,382 - 1,689  instantly and by 276 - 337  every 2 seconds thereafter',100,1,0),
(141438,10104550,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(141439,81344,'When Equipped:',100,0,0),
(141440,81344,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141441,81344,'Inflicts 109 - 202 magic damage on target',100,2,2),
(141442,81344,'Cannot be modified except by direct means',100,2,3),
(141443,10081344,'When Equipped:',100,0,0),
(141444,10081344,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141445,10081344,'Inflicts 142 - 263 magic damage on target',100,2,2),
(141446,10081344,'Cannot be modified except by direct means',100,2,3),
(141447,87163,'When Equipped:',100,0,0),
(141448,87163,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141449,87163,'Inflicts 64 - 97 magic damage on target',100,2,2),
(141450,87163,'Cannot be modified except by direct means',100,2,3),
(141451,10087163,'When Equipped:',100,0,0),
(141452,10087163,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141453,10087163,'Inflicts 84 - 125 magic damage on target',100,2,2),
(141454,10087163,'Cannot be modified except by direct means',100,2,3),
(141455,152479,'Applies Water Breathing when Activated.  Lasts for 12 hours.',100,0,0),
(141456,152479,'Allows caster to breathe under water',100,1,1),
(141457,10152479,'Applies Water Breathing when Activated.  Lasts for 12 hours.',100,0,0),
(141458,10152479,'Allows caster to breathe under water',100,1,1),
(141459,124466,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(141460,124466,'Inflicts 648 - 1080 melee damage on target',100,2,1),
(141461,124466,'Decreases Defense of caster by 29.8',100,1,2),
(141462,124466,'Increases Slashing, Piercing, Ranged and Crushing of caster by 65.1',100,1,3),
(141463,10124466,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(141464,10124466,'Inflicts 842 - 1404 melee damage on target',100,2,1),
(141465,10124466,'Decreases Defense of caster by 29.8',100,1,2),
(141466,10124466,'Increases Slashing, Piercing, Ranged and Crushing of caster by 65.1',100,1,3),
(141467,75582,'Applies Disease Blast when Activated.',100,0,0),
(141468,75582,'Inflicts 264 - 440 disease damage on target',100,1,1),
(141469,75582,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141470,10075582,'Applies Disease Blast when Activated.',100,0,0),
(141471,10075582,'Inflicts 343 - 572 disease damage on target',100,1,1),
(141472,10075582,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141473,150902,'When Equipped:',100,0,0),
(141474,150902,'On a healing spell cast this spell may cast Betrayed Thoughts on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(141475,150902,'Decreases Threat to targets in Area of Effect by 1,600 ',100,2,2),
(141476,150902,'Cannot be modified except by direct means',100,2,3),
(141477,10150902,'When Equipped:',100,0,0),
(141478,10150902,'On a healing spell cast this spell may cast Betrayed Thoughts on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(141479,10150902,'Cannot be modified except by direct means',100,2,2),
(141480,81265,'When Equipped:',100,0,0),
(141481,81265,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141482,81265,'Inflicts 302 - 560 magic damage on target',100,2,2),
(141483,81265,'Decreases Threat to target by 949 ',100,2,3),
(141484,81265,'Must be flanking or behind',100,3,4),
(141485,81265,'Increases Threat to target by 949 ',100,2,5),
(141486,81265,'Must be in front of',100,3,6),
(141487,81265,'Cannot be modified except by direct means',100,2,7),
(141488,10081265,'When Equipped:',100,0,0),
(141489,10081265,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141490,10081265,'Inflicts 392 - 728 magic damage on target',100,2,2),
(141491,10081265,'Cannot be modified except by direct means',100,2,3),
(141492,77411,'Applies Fire Ball when Activated.',100,0,0),
(141493,77411,'Inflicts 195 - 325 heat damage on target',100,1,1),
(141494,77411,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141495,10077411,'Applies Fire Ball when Activated.',100,0,0),
(141496,10077411,'Inflicts 253 - 422 heat damage on target',100,1,1),
(141497,10077411,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141498,36841,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(141499,117679,'Decreases Mitigation of target vs physical damage by 792',100,1,0),
(141500,10117679,'Decreases Mitigation of target vs physical damage by 396',100,1,0),
(141501,48692,'Applies Translucent Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(141502,48692,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(141503,48692,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(141504,48692,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(141505,48692,'Cannot be modified except by direct means',100,2,4),
(141506,48692,'Grants a total of 80 triggers of the spell.',100,2,5),
(141507,48692,'Only affects targets level 50 and above',100,1,6),
(141508,10048692,'Applies Translucent Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(141509,10048692,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(141510,10048692,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(141511,10048692,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(141512,10048692,'Cannot be modified except by direct means',100,2,4),
(141513,10048692,'Grants a total of 80 triggers of the spell.',100,2,5),
(141514,10048692,'Only affects targets level 50 and above',100,1,6),
(141515,120074,'Inflicts 224 - 374 mental damage on target',100,1,0),
(141516,120074,'Inflicts 224 - 374 mental damage on target',100,1,1),
(141517,120074,'Stifles target',100,1,2),
(141518,120074,'If Target is not Epic',100,2,3),
(141519,120074,'If weapon equipped in Ranged',100,1,4),
(141520,120074,'Resistibility increases against targets higher than level 87.',100,1,5),
(141521,10120074,'Inflicts 254 - 424 mental damage on target',100,1,0),
(141522,10120074,'Inflicts 254 - 424 mental damage on target',100,1,1),
(141523,10120074,'Stifles target',100,1,2),
(141524,10120074,'If Target is not Epic',100,2,3),
(141525,10120074,'If weapon equipped in Ranged',100,1,4),
(141526,10120074,'Resistibility increases against targets higher than level 87.',100,1,5),
(141527,118512,'Inflicts 13 - 22 melee damage on target',100,1,0),
(141528,118512,'Decreases STR of target by 6.2',100,1,1),
(141529,118512,'You must be sneaking to use this ability.',100,1,2),
(141530,10118512,'Inflicts 17 - 29 melee damage on target',100,1,0),
(141531,10118512,'Decreases STR of target by 6.2',100,1,1),
(141532,10118512,'You must be sneaking to use this ability.',100,1,2),
(141533,117609,'Inflicts 180 - 300 ranged damage on target',100,1,0),
(141534,117609,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(141535,117609,'Slows target by 36.3%',100,2,2),
(141536,117609,'5% chance to dispel when target receives hostile action',100,2,3),
(141537,117609,'5% chance to dispel when target takes damage',100,2,4),
(141538,117609,'Must be flanking or behind',100,1,5),
(141539,117609,'Requires bow',100,1,6),
(141540,10117609,'Inflicts 153 - 255 ranged damage on target',100,1,0),
(141541,10117609,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(141542,10117609,'Slows target by 36.3%',100,2,2),
(141543,10117609,'5% chance to dispel when target receives hostile action',100,2,3),
(141544,10117609,'5% chance to dispel when target takes damage',100,2,4),
(141545,10117609,'Must be flanking or behind',100,1,5),
(141546,10117609,'Requires bow',100,1,6),
(141547,175295,'When Equipped:',100,0,0),
(141548,175295,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(141549,175295,'Inflicts 2664 disease damage on target encounter',100,2,2),
(141550,175295,'Must not be engaged in pvp combat',100,2,3),
(141551,175295,'Cannot be modified except by direct means',100,2,4),
(141552,10175295,'When Equipped:',100,0,0),
(141553,10175295,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(141554,10175295,'Inflicts 1732 disease damage on target encounter',100,2,2),
(141555,10175295,'Must not be engaged in pvp combat',100,2,3),
(141556,10175295,'Cannot be modified except by direct means',100,2,4),
(141557,85774,'When Equipped:',100,0,0),
(141558,85774,'On a combat hit this spell may cast Healing Wave on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(141559,85774,'Heals group members for 137',100,2,2),
(141560,85774,'Cannot be modified except by direct means',100,2,3),
(141561,10085774,'When Equipped:',100,0,0),
(141562,10085774,'On a combat hit this spell may cast Healing Wave on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(141563,10085774,'Heals group members for 89',100,2,2),
(141564,10085774,'Cannot be modified except by direct means',100,2,3),
(141565,143026,'When Equipped:',100,0,0),
(141566,143026,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(141567,143026,'Inflicts 258 poison damage on target',100,2,2),
(141568,143026,'Inflicts 258 disease damage on target',100,2,3),
(141569,143026,'Cannot be modified except by direct means',100,2,4),
(141570,143026,'Wards caster against 516 points of noxious damage',100,1,5),
(141571,10143026,'When Equipped:',100,0,0),
(141572,10143026,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(141573,10143026,'Inflicts 335 poison damage on target',100,2,2),
(141574,10143026,'Inflicts 335 disease damage on target',100,2,3),
(141575,10143026,'Cannot be modified except by direct means',100,2,4),
(141576,10143026,'Wards caster against 516 points of noxious damage',100,1,5),
(141577,102630,'Inflicts 63 - 117 heat damage on target',100,1,0),
(141578,102630,'Inflicts 24 - 44 heat damage on target every 2 seconds',100,1,1),
(141579,10102630,'Inflicts 82 - 152 heat damage on target',100,1,0),
(141580,10102630,'Inflicts 31 - 57 heat damage on target every 2 seconds',100,1,1),
(141581,80862,'When Equipped:',100,0,0),
(141582,80862,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141583,80862,'Inflicts 288 - 534 magic damage on target',100,2,2),
(141584,80862,'Decreases Threat to target by 672 ',100,2,3),
(141585,80862,'Must be flanking or behind',100,3,4),
(141586,80862,'Increases Threat to target by 672 ',100,2,5),
(141587,80862,'Must be in front of',100,3,6),
(141588,80862,'Cannot be modified except by direct means',100,2,7),
(141589,10080862,'When Equipped:',100,0,0),
(141590,10080862,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141591,10080862,'Inflicts 374 - 695 magic damage on target',100,2,2),
(141592,10080862,'Cannot be modified except by direct means',100,2,3),
(141593,100092,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(141594,10100092,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(141595,121170,'Increases Agility of caster by 11.',100,1,0),
(141596,121170,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(141597,10121170,'Increases Deflection of caster by 2.6',100,1,0),
(141598,10121170,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(141599,106558,'Inflicts 1073 - 1312 melee damage on target',100,1,0),
(141600,106558,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(141601,106558,'Increases Hate Gain of target by 30.0%',100,2,2),
(141602,106558,'Grants a total of 1 trigger of the spell.',100,2,3),
(141603,10106558,'Inflicts 1395 - 1706 melee damage on target',100,1,0),
(141604,10106558,'25% chance to apply Distract on termination.',100,1,1),
(141605,10106558,'Forces target to clear their selected target.',100,2,2),
(141606,81318,'When Equipped:',100,0,0),
(141607,81318,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141608,81318,'Inflicts 302 - 560 magic damage on target',100,2,2),
(141609,81318,'Decreases Threat to target by 949 ',100,2,3),
(141610,81318,'Must be flanking or behind',100,3,4),
(141611,81318,'Increases Threat to target by 949 ',100,2,5),
(141612,81318,'Must be in front of',100,3,6),
(141613,81318,'Cannot be modified except by direct means',100,2,7),
(141614,10081318,'When Equipped:',100,0,0),
(141615,10081318,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141616,10081318,'Inflicts 392 - 728 magic damage on target',100,2,2),
(141617,10081318,'Cannot be modified except by direct means',100,2,3),
(141618,48225,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(141619,48225,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(141620,48225,'Requires 15 Health to cast.',100,1,2),
(141621,10048225,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(141622,10048225,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(141623,10048225,'Requires 15 Health to cast.',100,1,2),
(141624,111075,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(141625,111075,'Slows target by 44.2%',100,2,1),
(141626,111075,'5% chance to dispel when target receives hostile action',100,2,2),
(141627,111075,'5% chance to dispel when target takes damage',100,2,3),
(141628,111075,'Decreases Mitigation of target vs elemental damage by 1122',100,1,4),
(141629,10111075,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(141630,10111075,'Slows target by 44.2%',100,2,1),
(141631,10111075,'5% chance to dispel when target receives hostile action',100,2,2),
(141632,10111075,'5% chance to dispel when target takes damage',100,2,3),
(141633,10111075,'Decreases Mitigation of target vs elemental damage by 1122',100,1,4),
(141634,118386,'Inflicts 435 - 726 melee damage on target',100,1,0),
(141635,118386,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(141636,118386,'Blurs vision of target',100,2,2),
(141637,118386,'Stuns target',100,2,3),
(141638,118386,'Throws target back',100,2,4),
(141639,118386,'Does not affect Epic targets',100,2,5),
(141640,10118386,'Inflicts 566 - 944 melee damage on target',100,1,0),
(141641,10118386,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(141642,10118386,'Stuns target',100,2,2),
(141643,10118386,'Blurs vision of target',100,2,3),
(141644,10118386,'Throws target back',100,2,4),
(141645,10118386,'Does not affect Epic targets',100,2,5),
(141646,122622,'Makes target afraid',100,1,0),
(141647,122622,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',100,1,1),
(141648,122622,'Mesmerizes target',100,2,2),
(141649,122622,'Decreases Threat to target by 899  instantly and Decreases Threat by 899  every 2 seconds thereafter',100,2,3),
(141650,122622,'Dispelled when target takes damage',100,2,4),
(141651,122622,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(141652,122622,'Resistibility increases against targets higher than level 90.',100,2,6),
(141653,122622,'30% chance to dispel when target takes damage',100,1,7),
(141654,122622,'Does not affect Epic targets',100,1,8),
(141655,122622,'Resistibility increases against targets higher than level 90.',100,1,9),
(141656,10122622,'Makes target afraid',100,1,0),
(141657,10122622,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(141658,10122622,'Mesmerizes target',100,2,2),
(141659,10122622,'Applies Distract.',100,2,3),
(141660,10122622,'Forces target to clear their selected target.',100,3,4),
(141661,10122622,'Dispelled when target takes damage',100,2,5),
(141662,10122622,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(141663,10122622,'Resistibility increases against targets higher than level 90.',100,2,7),
(141664,10122622,'30% chance to dispel when target takes damage',100,1,8),
(141665,10122622,'Does not affect Epic targets',100,1,9),
(141666,10122622,'Resistibility increases against targets higher than level 90.',100,1,10),
(141667,81931,'When Equipped:',100,0,0),
(141668,81931,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141669,81931,'Inflicts 408 - 757 magic damage on target',100,2,2),
(141670,81931,'Decreases Threat to target by 994 ',100,2,3),
(141671,81931,'Must be flanking or behind',100,3,4),
(141672,81931,'Increases Threat to target by 994 ',100,2,5),
(141673,81931,'Must be in front of',100,3,6),
(141674,81931,'Cannot be modified except by direct means',100,2,7),
(141675,10081931,'When Equipped:',100,0,0),
(141676,10081931,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141677,10081931,'Inflicts 530 - 984 magic damage on target',100,2,2),
(141678,10081931,'Cannot be modified except by direct means',100,2,3),
(141679,178801,'When Equipped:',100,0,0),
(141680,178801,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(141681,178801,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(141682,178801,'Cannot be modified except by direct means',100,2,3),
(141683,10178801,'When Equipped:',100,0,0),
(141684,10178801,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(141685,10178801,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(141686,10178801,'Cannot be modified except by direct means',100,2,3),
(141687,175220,'When Equipped:',100,0,0),
(141688,175220,'Increases Attack Speed of caster by 35.0',100,1,1),
(141689,10175220,'When Equipped:',100,0,0),
(141690,10175220,'Increases Attack Speed of caster by 35.0',100,1,1),
(141691,105912,'Inflicts 1236 - 2060 melee damage on target',100,1,0),
(141692,105912,'If over 33% Health',100,2,1),
(141693,105912,'Inflicts 3708 - 6180 melee damage on target',100,1,2),
(141694,105912,'If under 33% Health',100,2,3),
(141695,105912,'Must be flanking or behind',100,1,4),
(141696,10105912,'Inflicts 1606 - 2678 melee damage on target',100,1,0),
(141697,10105912,'If over 20% Health',100,2,1),
(141698,10105912,'Inflicts 4284 - 7141 melee damage on target',100,1,2),
(141699,10105912,'If under 20% Health',100,2,3),
(141700,10105912,'Must be flanking or behind',100,1,4),
(141701,104170,'Increases Threat to target encounter by 273 - 334 ',100,1,0),
(141702,104170,'Interrupts target encounter',100,1,1),
(141703,10104170,'Forces target encounter to change their selected target to caster.',100,1,0),
(141704,10104170,'Interrupts target encounter',100,1,1),
(141705,10104170,'Prevents target encounter from changing targets',100,1,2),
(141706,37208,'Increases AGI and STA of target by 4.3',100,0,0),
(141707,37208,'Increases Attack Speed of target by 8.0',100,0,1),
(141708,37208,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(141709,25902,'When Equipped:',100,0,0),
(141710,25902,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(141711,25902,'When damaged with a melee weapon this spell has a 12% chance to cast Glacial Deflection on caster.  Lasts for 15.0 seconds.  ',100,1,2),
(141712,25902,'Prevents AOE (except when direct) ',100,2,3),
(141713,25902,'Must not be engaged in pvp combat',100,2,4),
(141714,25902,'Cannot be modified except by direct means',100,2,5),
(141715,10025902,'When Equipped:',100,0,0),
(141716,10025902,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(141717,10025902,'When damaged with a melee weapon this spell has a 12% chance to cast Glacial Deflection on caster.  Lasts for 15.0 seconds.  ',100,1,2),
(141718,10025902,'Prevents AOE (except when direct) ',100,2,3),
(141719,10025902,'Must not be engaged in pvp combat',100,2,4),
(141720,10025902,'Cannot be modified except by direct means',100,2,5),
(141721,114455,'Inflicts 342 - 570 heat damage on target',100,1,0),
(141722,10114455,'Inflicts 445 - 742 heat damage on target',100,1,0),
(141723,115630,'Wards target against 2772 points of all damage',100,1,0),
(141724,10115630,'Wards target against 4158 points of all damage',100,1,0),
(141725,159725,'When Equipped:',100,0,0),
(141726,159725,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(141727,159725,'Increases AGI of caster by 17.6',100,2,2),
(141728,159725,'Increases Attack Speed of caster by 21.2',100,2,3),
(141729,159725,'Cannot be modified except by direct means',100,2,4),
(141730,10159725,'When Equipped:',100,0,0),
(141731,10159725,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(141732,10159725,'Increases AGI of caster by 17.6',100,2,2),
(141733,10159725,'Increases Attack Speed of caster by 21.2',100,2,3),
(141734,10159725,'Cannot be modified except by direct means',100,2,4),
(141735,48160,'Applies Distract Blacktalon when Activated.',100,0,0),
(141736,10048160,'Applies Distract Blacktalon when Activated.',100,0,0),
(141737,144702,'When Equipped:',100,0,0),
(141738,144702,'Increases Potency of caster by 8.0%',100,1,1),
(141739,144702,'Must be engaged in pvp combat',100,1,2),
(141740,144702,'When Equipped:',100,0,3),
(141741,144702,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(141742,144702,'Wards target against 1000 points of all damage',100,2,5),
(141743,144702,'Cannot be modified except by direct means',100,2,6),
(141744,144702,'Must not be in an Expansion: Destiny of Velious zone',100,1,7),
(141745,10144702,'When Equipped:',100,0,0),
(141746,10144702,'Increases Potency of caster by 8.0%',100,1,1),
(141747,10144702,'Must be engaged in pvp combat',100,1,2),
(141748,10144702,'When Equipped:',100,0,3),
(141749,10144702,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(141750,10144702,'Wards target against 1000 points of all damage',100,2,5),
(141751,10144702,'Cannot be modified except by direct means',100,2,6),
(141752,10144702,'Must not be in an Expansion: Destiny of Velious zone',100,1,7),
(141753,82933,'When Equipped:',100,0,0),
(141754,82933,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141755,82933,'Inflicts 350 - 650 magic damage on target',100,2,2),
(141756,82933,'Decreases Threat to target by 833 ',100,2,3),
(141757,82933,'Must be flanking or behind',100,3,4),
(141758,82933,'Increases Threat to target by 833 ',100,2,5),
(141759,82933,'Must be in front of',100,3,6),
(141760,82933,'Cannot be modified except by direct means',100,2,7),
(141761,10082933,'When Equipped:',100,0,0),
(141762,10082933,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(141763,10082933,'Inflicts 455 - 845 magic damage on target',100,2,2),
(141764,10082933,'Cannot be modified except by direct means',100,2,3),
(141765,35362,'Increases AGI of target by 1.5',100,0,0),
(141766,35362,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(141767,42234,'When Equipped:',100,0,0),
(141768,42234,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(141769,42234,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(141770,42234,'Heals target for 5384 - 5951',100,2,3),
(141771,42234,'Dispels 200 levels of any hostile effects on target',100,2,4),
(141772,42234,'Must not be engaged in pvp combat',100,2,5),
(141773,42234,'Cannot be modified except by direct means',100,2,6),
(141774,42234,'Cannot be modified except by direct means',100,1,7),
(141775,10042234,'When Equipped:',100,0,0),
(141776,10042234,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(141777,10042234,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(141778,10042234,'Heals target for 6299 - 6962',100,2,3),
(141779,10042234,'Dispels 200 levels of any hostile effects on target',100,2,4),
(141780,10042234,'Must not be engaged in pvp combat',100,2,5),
(141781,10042234,'Cannot be modified except by direct means',100,2,6),
(141782,10042234,'Cannot be modified except by direct means',100,1,7),
(141783,137367,'When Equipped:',100,0,0),
(141784,137367,'Increases Attack Speed of caster by 35.0',100,1,1),
(141785,10137367,'When Equipped:',100,0,0),
(141786,10137367,'Increases Attack Speed of caster by 35.0',100,1,1),
(141787,112837,'Roots target',100,1,0),
(141788,112837,'5% chance to dispel when target takes damage',100,1,1),
(141789,112837,'Does not affect Epic targets',100,1,2),
(141790,112837,'Resistibility increases against targets higher than level 64.',100,1,3),
(141791,10112837,'Roots target',100,1,0),
(141792,10112837,'5% chance to dispel when target takes damage',100,1,1),
(141793,10112837,'Does not affect Epic targets',100,1,2),
(141794,10112837,'Resistibility increases against targets higher than level 64.',100,1,3),
(141795,102575,'Increases AGI of caster by 89.4',100,1,0),
(141796,102575,'Increases Max Health of caster by 320.5',100,1,1),
(141797,102575,'Adds 17.2% to base avoidance.',100,1,2),
(141798,102575,'Increases Mitigation of caster vs physical damage by 531',100,1,3),
(141799,102575,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,4),
(141800,10102575,'Increases AGI of caster by 89.4',100,1,0),
(141801,10102575,'Increases Max Health of caster by 320.5',100,1,1),
(141802,10102575,'Adds 17.2% to base avoidance.',100,1,2),
(141803,10102575,'Increases Mitigation of caster vs physical damage by 531',100,1,3),
(141804,10102575,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,4),
(141805,85326,'Applies Poison Bolt when Activated.',100,0,0),
(141806,85326,'Inflicts 133 - 222 poison damage on target',100,1,1),
(141807,85326,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141808,10085326,'Applies Poison Bolt when Activated.',100,0,0),
(141809,10085326,'Inflicts 173 - 289 poison damage on target',100,1,1),
(141810,10085326,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(141811,110336,'Increases Max Power of target by 420.6',100,1,0),
(141812,110336,'Increases Max Health of target by 843.8',100,1,1),
(141813,10110336,'Increases Max Power of target by 420.6',100,1,0),
(141814,10110336,'Increases Max Health of target by 843.8',100,1,1),
(141815,105958,'Applies On the March.  Lasts for 10.0 seconds.',100,1,0),
(141816,105958,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',100,2,1),
(141817,105958,'Increases INT of group members (AE) by 109.0',100,2,2),
(141818,105958,'Increases Ability Casting Speed of group members (AE) by 47.0%',100,2,3),
(141819,105958,'Increases Damage Per Second of group members (AE) by 47.0',100,2,4),
(141820,105958,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',100,1,5),
(141821,105958,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',100,2,6),
(141822,105958,'Increases INT of group members (AE) by 109.0',100,2,7),
(141823,105958,'Increases Ability Casting Speed of group members (AE) by 47.0%',100,2,8),
(141824,105958,'Increases Damage Per Second of group members (AE) by 47.0',100,2,9),
(141825,10105958,'Applies On the March.  Lasts for 10.0 seconds.',100,1,0),
(141826,10105958,'Makes group members (AE) immune to Stifle effects',100,2,1),
(141827,10105958,'Makes group members (AE) immune to Root effects',100,2,2),
(141828,10105958,'Increases INT of group members (AE) by 109.0',100,2,3),
(141829,10105958,'Increases Damage Per Second of group members (AE) by 47.0',100,2,4),
(141830,10105958,'Makes group members (AE) immune to Stun effects',100,2,5),
(141831,10105958,'Makes group members (AE) immune to Daze effects',100,2,6),
(141832,10105958,'Makes group members (AE) immune to Fear effects',100,2,7),
(141833,10105958,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,2,8),
(141834,10105958,'Makes Group members (AE) immune to taunt effects.',100,3,9),
(141835,10105958,'Applies Lost Focus.  Lasts for 1 minute.',100,3,10),
(141836,10105958,'You cannot be affected by Commanding Roar.',100,4,11),
(141837,10105958,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,3,12),
(141838,10105958,'You cannot be affected by Commanding Roar.',100,4,13),
(141839,10105958,'Increases Ability Casting Speed of group members (AE) by 47.0%',100,2,14),
(141840,10105958,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',100,1,15),
(141841,10105958,'Makes group members (AE) immune to Stifle effects',100,2,16),
(141842,10105958,'Makes group members (AE) immune to Root effects',100,2,17),
(141843,10105958,'Increases INT of group members (AE) by 109.0',100,2,18),
(141844,10105958,'Increases Damage Per Second of group members (AE) by 47.0',100,2,19),
(141845,10105958,'Makes group members (AE) immune to Stun effects',100,2,20),
(141846,10105958,'Makes group members (AE) immune to Daze effects',100,2,21),
(141847,10105958,'Makes group members (AE) immune to Fear effects',100,2,22),
(141848,10105958,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,2,23),
(141849,10105958,'Makes Group members (AE) immune to taunt effects.',100,3,24),
(141850,10105958,'Applies Lost Focus.  Lasts for 1 minute.',100,3,25),
(141851,10105958,'You cannot be affected by Commanding Roar.',100,4,26),
(141852,10105958,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,3,27),
(141853,10105958,'You cannot be affected by Commanding Roar.',100,4,28),
(141854,10105958,'Increases Ability Casting Speed of group members (AE) by 47.0%',100,2,29),
(141855,145011,'When Equipped:',100,0,0),
(141856,145011,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(141857,145011,'Increases Potency of caster by 11.0%',100,2,2),
(141858,145011,'Increases Ordination and Subjugation of caster by 11.5',100,2,3),
(141859,145011,'Reduces resistibility of all spells by 1%.',100,2,4),
(141860,145011,'Increases Ministration and Disruption of caster by 11.5',100,2,5),
(141861,145011,'Must not be engaged in pvp combat',100,2,6),
(141862,145011,'Cannot be modified except by direct means',100,2,7),
(141863,145011,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(141864,145011,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(141865,145011,'Increases Potency of caster by 11.0%',100,2,10),
(141866,145011,'Increases Ordination and Subjugation of caster by 11.5',100,2,11),
(141867,145011,'Reduces resistibility of all spells by 1%.',100,2,12),
(141868,145011,'Increases Ministration and Disruption of caster by 11.5',100,2,13),
(141869,145011,'Must not be engaged in pvp combat',100,2,14),
(141870,145011,'Cannot be modified except by direct means',100,2,15),
(141871,145011,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(141872,145011,'Increases Potency of caster by 11.0%',100,2,17),
(141873,145011,'Increases Ordination and Subjugation of caster by 11.5',100,2,18),
(141874,145011,'Reduces resistibility of all spells by 1%.',100,2,19),
(141875,145011,'Increases Ministration and Disruption of caster by 11.5',100,2,20),
(141876,145011,'Must not be engaged in pvp combat',100,2,21),
(141877,145011,'Cannot be modified except by direct means',100,2,22),
(141878,145011,'Cannot be modified except by direct means',100,1,23),
(141879,10145011,'When Equipped:',100,0,0),
(141880,10145011,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(141881,10145011,'Increases Potency of caster by 11.0%',100,2,2),
(141882,10145011,'Increases Ordination and Subjugation of caster by 11.5',100,2,3),
(141883,10145011,'Reduces resistibility of all spells by 1%.',100,2,4),
(141884,10145011,'Increases Ministration and Disruption of caster by 11.5',100,2,5),
(141885,10145011,'Must not be engaged in pvp combat',100,2,6),
(141886,10145011,'Cannot be modified except by direct means',100,2,7),
(141887,10145011,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(141888,10145011,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(141889,10145011,'Increases Potency of caster by 11.0%',100,2,10),
(141890,10145011,'Increases Ordination and Subjugation of caster by 11.5',100,2,11),
(141891,10145011,'Reduces resistibility of all spells by 1%.',100,2,12),
(141892,10145011,'Increases Ministration and Disruption of caster by 11.5',100,2,13),
(141893,10145011,'Must not be engaged in pvp combat',100,2,14),
(141894,10145011,'Cannot be modified except by direct means',100,2,15),
(141895,10145011,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(141896,10145011,'Increases Potency of caster by 11.0%',100,2,17),
(141897,10145011,'Increases Ordination and Subjugation of caster by 11.5',100,2,18),
(141898,10145011,'Reduces resistibility of all spells by 1%.',100,2,19),
(141899,10145011,'Increases Ministration and Disruption of caster by 11.5',100,2,20),
(141900,10145011,'Must not be engaged in pvp combat',100,2,21),
(141901,10145011,'Cannot be modified except by direct means',100,2,22),
(141902,10145011,'Cannot be modified except by direct means',100,1,23),
(141903,116572,'Inflicts 73 - 123 divine damage on target',100,1,0),
(141904,116572,'Decreases Parry of target by 6.3',100,1,1),
(141905,116572,'If Two-Handed weapon equipped in Primary',100,1,2),
(141906,10116572,'Inflicts 96 - 160 divine damage on target',100,1,0),
(141907,10116572,'Decreases Parry of target by 6.3',100,1,1),
(141908,10116572,'If Two-Handed weapon equipped in Primary',100,1,2),
(141909,100983,'Increases INT of target by 34.1',100,1,0),
(141910,100983,'Increases Attack Speed of target by 23.0',100,1,1),
(141911,100983,'Decreases Defense and Parry of target by 11.3',100,1,2),
(141912,100983,'Increases Slashing, Piercing and Crushing of target by 7.5',100,1,3),
(141913,10100983,'Increases INT of target by 34.1',100,1,0),
(141914,10100983,'Increases Attack Speed of target by 23.0',100,1,1),
(141915,10100983,'Decreases Defense and Parry of target by 11.3',100,1,2),
(141916,10100983,'Increases Slashing, Piercing and Crushing of target by 7.5',100,1,3),
(141917,45559,'Applies Brendyl''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(141918,45559,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(141919,10045559,'Applies Brendyl''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(141920,10045559,'Increases power of caster by 18 instantly and every 5 seconds',100,1,1),
(141921,36606,'Increases STA of target by 1.1',100,0,0),
(141922,36606,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(141923,45860,'Applies Dar''Lek''s Call when Activated.',100,0,0),
(141924,45860,'This effect cannot be cast during combat',100,1,1),
(141925,10045860,'Applies Dar''Lek''s Call when Activated.',100,0,0),
(141926,10045860,'This effect cannot be cast during combat',100,1,1),
(141927,102835,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(141928,102835,'Heals caster for 2.2 - 3.4% of max health',100,2,1),
(141929,102835,'This effect cannot be critically applied.',100,3,2),
(141930,102835,'The healing of this spell cannot be modified except by direct means',100,2,3),
(141931,10102835,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(141932,10102835,'Heals caster for 0.6 - 0.8% of max health',100,2,1),
(141933,10102835,'This effect cannot be critically applied.',100,3,2),
(141934,10102835,'The healing of this spell cannot be modified except by direct means',100,2,3),
(141935,102696,'Inflicts 1169 divine damage on target encounter',100,1,0),
(141936,10102696,'Inflicts 1519 divine damage on target encounter',100,1,0),
(141937,124336,'Shapechanges caster into a wolf',100,1,0),
(141938,124336,'Grants See Invisibility to caster',100,1,1),
(141939,124336,'Increases Focus of caster by 30.7',100,1,2),
(141940,124336,'Increases Mitigation of caster vs physical damage by 341',100,1,3),
(141941,124336,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1295',100,1,4),
(141942,10124336,'Shapechanges caster into a wolf',100,1,0),
(141943,10124336,'Grants See Invisibility to caster',100,1,1),
(141944,10124336,'Increases Focus of caster by 30.7',100,1,2),
(141945,10124336,'Increases Mitigation of caster vs physical damage by 341',100,1,3),
(141946,10124336,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1295',100,1,4),
(141947,36499,'Increases Max Health of target by 3.9',100,0,0),
(141948,36499,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(141949,88648,'When Equipped:',100,0,0),
(141950,88648,'On a melee hit this spell may cast Ferocity on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(141951,88648,'Increases Crit Bonus of caster by 15.0%',100,2,2),
(141952,88648,'Cannot be modified except by direct means',100,2,3),
(141953,88648,'When Equipped:',100,0,4),
(141954,88648,'On a melee hit this spell may cast Rage on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(141955,88648,'Increases Potency of caster by 15.0%',100,2,6),
(141956,88648,'Cannot be modified except by direct means',100,2,7),
(141957,10088648,'When Equipped:',100,0,0),
(141958,10088648,'On a melee hit this spell may cast Ferocity on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(141959,10088648,'Increases Crit Bonus of caster by 15.0%',100,2,2),
(141960,10088648,'Cannot be modified except by direct means',100,2,3),
(141961,10088648,'When Equipped:',100,0,4),
(141962,10088648,'On a melee hit this spell may cast Rage on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(141963,10088648,'Increases Potency of caster by 15.0%',100,2,6),
(141964,10088648,'Cannot be modified except by direct means',100,2,7),
(141965,177568,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(141966,177568,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(141967,177568,'Inflicts 50 heat damage on target',100,2,2),
(141968,177568,'Cannot be modified except by direct means',100,2,3),
(141969,10177568,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(141970,10177568,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(141971,10177568,'Inflicts 65 heat damage on target',100,2,2),
(141972,10177568,'Cannot be modified except by direct means',100,2,3),
(141973,80805,'When Equipped:',100,0,0),
(141974,80805,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141975,80805,'Inflicts 288 - 534 magic damage on target',100,2,2),
(141976,80805,'Cannot be modified except by direct means',100,2,3),
(141977,10080805,'When Equipped:',100,0,0),
(141978,10080805,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141979,10080805,'Inflicts 374 - 695 magic damage on target',100,2,2),
(141980,10080805,'Cannot be modified except by direct means',100,2,3),
(141981,177707,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(141982,177707,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(141983,177707,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(141984,177707,'Cannot be modified except by direct means',100,2,3),
(141985,10177707,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(141986,10177707,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(141987,10177707,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(141988,10177707,'Cannot be modified except by direct means',100,2,3),
(141989,101259,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(141990,101259,'Inflicts 219 - 366 mental damage on target',100,2,1),
(141991,10101259,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(141992,10101259,'Inflicts 285 - 475 mental damage on target',100,2,1),
(141993,74817,'When Equipped:',100,0,0),
(141994,74817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141995,74817,'Inflicts 131 - 197 magic damage on target',100,2,2),
(141996,74817,'Cannot be modified except by direct means',100,2,3),
(141997,10074817,'When Equipped:',100,0,0),
(141998,10074817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(141999,10074817,'Inflicts 171 - 256 magic damage on target',100,2,2),
(142000,10074817,'Cannot be modified except by direct means',100,2,3),
(142001,100432,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(142002,100432,'Inflicts 192 - 320 slashing damage on target',100,2,1),
(142003,100432,'Increases Threat to target by 482 ',100,2,2),
(142004,100432,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(142005,100432,'Increases Threat to target by 482 ',100,2,4),
(142006,100432,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1460',100,1,5),
(142007,10100432,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(142008,10100432,'Inflicts 249 - 416 slashing damage on target',100,2,1),
(142009,10100432,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(142010,10100432,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1460',100,1,3),
(142011,158506,'When Equipped:',100,0,0),
(142012,158506,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(142013,158506,'Wards caster against 1250 points of all damage',100,2,2),
(142014,158506,'Cannot be modified except by direct means',100,2,3),
(142015,158506,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(142016,158506,'Wards caster against 1250 points of all damage',100,2,5),
(142017,158506,'Cannot be modified except by direct means',100,2,6),
(142018,10158506,'When Equipped:',100,0,0),
(142019,10158506,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(142020,10158506,'Wards caster against 625 points of all damage',100,2,2),
(142021,10158506,'Cannot be modified except by direct means',100,2,3),
(142022,10158506,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(142023,10158506,'Wards caster against 625 points of all damage',100,2,5),
(142024,10158506,'Cannot be modified except by direct means',100,2,6),
(142025,108464,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(142026,108464,'Increases Aggression of caster by 5.3',100,1,1),
(142027,108464,'Increases Defense and Parry of caster by 10.6',100,1,2),
(142028,108464,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(142029,10108464,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(142030,10108464,'Increases Aggression of caster by 5.3',100,1,1),
(142031,10108464,'Increases Defense and Parry of caster by 10.6',100,1,2),
(142032,10108464,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(142033,113514,'Inflicts 505 - 841 melee damage on targets in area',100,1,0),
(142034,10113514,'Inflicts 656 - 1094 melee damage on targets in area',100,1,0),
(142035,54563,'When Equipped:',100,0,0),
(142036,54563,'On any combat or spell hit this spell may cast Shissar Anguish on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142037,54563,'Inflicts 630 disease damage on target',100,2,2),
(142038,54563,'Cannot be modified except by direct means',100,2,3),
(142039,10054563,'When Equipped:',100,0,0),
(142040,10054563,'On any combat or spell hit this spell may cast Shissar Anguish on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142041,10054563,'Inflicts 819 disease damage on target',100,2,2),
(142042,10054563,'Cannot be modified except by direct means',100,2,3),
(142043,119148,'Inflicts 12 - 22 heat damage on target instantly and every 3 seconds',100,1,0),
(142044,10119148,'Inflicts 15 - 28 heat damage on target instantly and every 3 seconds',100,1,0),
(142045,82130,'When Equipped:',100,0,0),
(142046,82130,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142047,82130,'Inflicts 191 - 354 magic damage on target',100,2,2),
(142048,82130,'Cannot be modified except by direct means',100,2,3),
(142049,10082130,'When Equipped:',100,0,0),
(142050,10082130,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142051,10082130,'Inflicts 248 - 460 magic damage on target',100,2,2),
(142052,10082130,'Cannot be modified except by direct means',100,2,3),
(142053,103122,'Increases STR of caster by 46.4',100,1,0),
(142054,103122,'Adds 3.1% to base avoidance.',100,1,1),
(142055,103122,'Increases Mitigation of caster vs physical damage by 297',100,1,2),
(142056,103122,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 927',100,1,3),
(142057,10103122,'Increases STR of caster by 46.4',100,1,0),
(142058,10103122,'Adds 3.1% to base avoidance.',100,1,1),
(142059,10103122,'Increases Mitigation of caster vs physical damage by 297',100,1,2),
(142060,10103122,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 927',100,1,3),
(142061,73930,'Applies Holy Strike when Activated.',100,0,0),
(142062,73930,'Inflicts 77 - 128 divine damage on target',100,1,1),
(142063,73930,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(142064,10073930,'Applies Holy Strike when Activated.',100,0,0),
(142065,10073930,'Inflicts 100 - 167 divine damage on target',100,1,1),
(142066,10073930,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(142067,117905,'Increases In-Combat Health Regeneration of group members (AE) by 59.4',100,1,0),
(142068,117905,'Increases Max Health of group members (AE) by 323.4',100,1,1),
(142069,10117905,'Increases In-Combat Health Regeneration of group members (AE) by 59.4',100,1,0),
(142070,10117905,'Increases Max Health of group members (AE) by 323.4',100,1,1),
(142071,121752,'Causes 12% Threat to transfer to target when in combat',100,1,0),
(142072,10121752,'Applies Swarthy Distraction.',100,1,0),
(142073,10121752,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(142074,10121752,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(142075,46435,'Applies Escape to Kugup when Activated.',100,0,0),
(142076,46435,'Teleports target within the zone',100,1,1),
(142077,46435,'This effect cannot be cast during combat',100,1,2),
(142078,10046435,'Applies Escape to Kugup when Activated.',100,0,0),
(142079,10046435,'Teleports target within the zone',100,1,1),
(142080,10046435,'This effect cannot be cast during combat',100,1,2),
(142081,82495,'When Equipped:',100,0,0),
(142082,82495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142083,82495,'Inflicts 191 - 354 magic damage on target',100,2,2),
(142084,82495,'Cannot be modified except by direct means',100,2,3),
(142085,10082495,'When Equipped:',100,0,0),
(142086,10082495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142087,10082495,'Inflicts 248 - 460 magic damage on target',100,2,2),
(142088,10082495,'Cannot be modified except by direct means',100,2,3),
(142089,169024,'When Equipped:',100,0,0),
(142090,169024,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142091,169024,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,2),
(142092,169024,'Must not be engaged in pvp combat',100,2,3),
(142093,169024,'Cannot be modified except by direct means',100,2,4),
(142094,169024,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(142095,169024,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,6),
(142096,169024,'Must not be engaged in pvp combat',100,2,7),
(142097,169024,'Cannot be modified except by direct means',100,2,8),
(142098,169024,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(142099,169024,'Cannot be modified except by direct means',100,1,10),
(142100,10169024,'When Equipped:',100,0,0),
(142101,10169024,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142102,10169024,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,2),
(142103,10169024,'Must not be engaged in pvp combat',100,2,3),
(142104,10169024,'Cannot be modified except by direct means',100,2,4),
(142105,10169024,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(142106,10169024,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,6),
(142107,10169024,'Must not be engaged in pvp combat',100,2,7),
(142108,10169024,'Cannot be modified except by direct means',100,2,8),
(142109,10169024,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(142110,10169024,'Cannot be modified except by direct means',100,1,10),
(142111,108398,'Heals target for 223 - 272',100,1,0),
(142112,10108398,'Heals target for 266 - 326',100,1,0),
(142113,159717,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(142114,159717,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(142115,159717,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(142116,159717,'Cannot be modified except by direct means',100,2,3),
(142117,10159717,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(142118,10159717,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(142119,10159717,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(142120,10159717,'Cannot be modified except by direct means',100,2,3),
(142121,113126,'Decreases Attack Speed of target encounter by 20.9',100,1,0),
(142122,10113126,'Decreases Attack Speed of target encounter by 20.9',100,1,0),
(142123,42397,'When Equipped:',100,0,0),
(142124,42397,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142125,42397,'Increases Potency of caster by 11.0%',100,2,2),
(142126,42397,'Must not be engaged in pvp combat',100,2,3),
(142127,42397,'Cannot be modified except by direct means',100,2,4),
(142128,42397,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(142129,42397,'Increases Potency of caster by 11.0%',100,2,6),
(142130,42397,'Must not be engaged in pvp combat',100,2,7),
(142131,42397,'Cannot be modified except by direct means',100,2,8),
(142132,42397,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(142133,42397,'Cannot be modified except by direct means',100,1,10),
(142134,10042397,'When Equipped:',100,0,0),
(142135,10042397,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142136,10042397,'Increases Potency of caster by 11.0%',100,2,2),
(142137,10042397,'Must not be engaged in pvp combat',100,2,3),
(142138,10042397,'Cannot be modified except by direct means',100,2,4),
(142139,10042397,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(142140,10042397,'Increases Potency of caster by 11.0%',100,2,6),
(142141,10042397,'Must not be engaged in pvp combat',100,2,7),
(142142,10042397,'Cannot be modified except by direct means',100,2,8),
(142143,10042397,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(142144,10042397,'Cannot be modified except by direct means',100,1,10),
(142145,102566,'Increases AGI of caster by 64.5',100,1,0),
(142146,102566,'Increases Max Health of caster by 223.1',100,1,1),
(142147,102566,'Adds 15.6% to base avoidance.',100,1,2),
(142148,102566,'Increases Mitigation of caster vs physical damage by 385',100,1,3),
(142149,102566,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,4),
(142150,10102566,'Increases AGI of caster by 64.5',100,1,0),
(142151,10102566,'Increases Max Health of caster by 223.1',100,1,1),
(142152,10102566,'Adds 15.6% to base avoidance.',100,1,2),
(142153,10102566,'Increases Mitigation of caster vs physical damage by 385',100,1,3),
(142154,10102566,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,4),
(142155,101727,'Mesmerizes target',100,1,0),
(142156,101727,'Prevents AOE (except when direct) ',100,1,1),
(142157,101727,'Mesmerizes caster',100,1,2),
(142158,101727,'Dispelled when target takes damage',100,1,3),
(142159,101727,'Does not affect Epic targets',100,1,4),
(142160,101727,'Resistibility increases against targets higher than level 82.',100,1,5),
(142161,10101727,'Mesmerizes target',100,1,0),
(142162,10101727,'Prevents AOE (except when direct) ',100,1,1),
(142163,10101727,'Mesmerizes caster',100,1,2),
(142164,10101727,'Dispelled when target takes damage',100,1,3),
(142165,10101727,'Does not affect Epic targets',100,1,4),
(142166,10101727,'Resistibility increases against targets higher than level 82.',100,1,5),
(142167,87118,'When Equipped:',100,0,0),
(142168,87118,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142169,87118,'Inflicts 237 - 356 magic damage on target',100,2,2),
(142170,87118,'Cannot be modified except by direct means',100,2,3),
(142171,10087118,'When Equipped:',100,0,0),
(142172,10087118,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142173,10087118,'Inflicts 308 - 463 magic damage on target',100,2,2),
(142174,10087118,'Cannot be modified except by direct means',100,2,3),
(142175,72023,'When Equipped:',100,0,0),
(142176,72023,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142177,72023,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(142178,72023,'Cannot be modified except by direct means',100,2,3),
(142179,10072023,'When Equipped:',100,0,0),
(142180,10072023,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142181,10072023,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(142182,10072023,'Cannot be modified except by direct means',100,2,3),
(142183,123496,'Decreases Mitigation of target encounter vs noxious damage by 432',100,1,0),
(142184,10123496,'Decreases Mitigation of target encounter vs noxious damage by 432',100,1,0),
(142185,113997,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(142186,113997,'Inflicts 105 - 175 melee damage on target',100,2,1),
(142187,113997,'Increases Threat to target by 366 ',100,2,2),
(142188,10113997,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(142189,10113997,'Inflicts 136 - 227 melee damage on target',100,2,1),
(142190,118804,'Wards group members (AE) against 59 points of physical damage',100,1,0),
(142191,118804,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,1),
(142192,10118804,'Wards group members (AE) against 59 points of physical damage',100,1,0),
(142193,10118804,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,1),
(142194,102263,'Inflicts 224 - 374 melee damage on targets in area',100,1,0),
(142195,10102263,'Inflicts 291 - 486 melee damage on targets in area',100,1,0),
(142196,133428,'When Equipped:',100,0,0),
(142197,133428,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142198,133428,'Makes caster immune to Stifle effects',100,2,2),
(142199,133428,'Must not be engaged in pvp combat',100,2,3),
(142200,133428,'Cannot be modified except by direct means',100,2,4),
(142201,133428,'Must not be engaged in pvp combat',100,1,5),
(142202,10133428,'When Equipped:',100,0,0),
(142203,10133428,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142204,10133428,'Makes caster immune to Stifle effects',100,2,2),
(142205,10133428,'Must not be engaged in pvp combat',100,2,3),
(142206,10133428,'Cannot be modified except by direct means',100,2,4),
(142207,10133428,'Must not be engaged in pvp combat',100,1,5),
(142208,52703,'Applies Sanguine Imbued when Equipped.',100,0,0),
(142209,52703,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(142210,52703,'Inflicts 185 heat damage on target',100,2,2),
(142211,52703,'Cannot be modified except by direct means',100,2,3),
(142212,10052703,'Applies Sanguine Imbued when Equipped.',100,0,0),
(142213,10052703,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(142214,10052703,'Inflicts 241 heat damage on target',100,2,2),
(142215,10052703,'Cannot be modified except by direct means',100,2,3),
(142216,124242,'Decreases Attack Speed of caster by 18.9',100,1,0),
(142217,124242,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(142218,124242,'Slows targets in Area of Effect by 52.6%',100,2,2),
(142219,124242,'5% chance to dispel when target receives hostile action',100,2,3),
(142220,124242,'5% chance to dispel when target takes damage',100,2,4),
(142221,124242,'Increases Mitigation of caster vs physical damage by 1072',100,1,5),
(142222,10124242,'Decreases Attack Speed of caster by 18.9',100,1,0),
(142223,10124242,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(142224,10124242,'Slows targets in Area of Effect by 39.4%',100,2,2),
(142225,10124242,'5% chance to dispel when target receives hostile action',100,2,3),
(142226,10124242,'5% chance to dispel when target takes damage',100,2,4),
(142227,10124242,'Increases Mitigation of caster vs physical damage by 1072',100,1,5),
(142228,82328,'When Equipped:',100,0,0),
(142229,82328,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142230,82328,'Inflicts 296 - 551 magic damage on target',100,2,2),
(142231,82328,'Cannot be modified except by direct means',100,2,3),
(142232,10082328,'When Equipped:',100,0,0),
(142233,10082328,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142234,10082328,'Inflicts 385 - 716 magic damage on target',100,2,2),
(142235,10082328,'Cannot be modified except by direct means',100,2,3),
(142236,107759,'Stuns target',100,1,0),
(142237,107759,'If Target is not Epic',100,2,1),
(142238,107759,'Inflicts 938 - 1563 cold damage on target',100,1,2),
(142239,107759,'Resistibility increases against targets higher than level 73.',100,1,3),
(142240,10107759,'Stuns target',100,1,0),
(142241,10107759,'If Target is not Epic',100,2,1),
(142242,10107759,'Inflicts 1219 - 2032 cold damage on target',100,1,2),
(142243,10107759,'Resistibility increases against targets higher than level 73.',100,1,3),
(142244,103643,'Increases STR of raid and group members (AE) by 51.7',100,1,0),
(142245,103643,'Improves the base amount of taunts by 12%.',100,1,1),
(142246,103643,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(142247,103643,'Increases AGI of raid and group members (AE) by 51.7',100,1,3),
(142248,103643,'Adds 1.2% to base avoidance.',100,1,4),
(142249,10103643,'Increases STR of raid and group members (AE) by 51.7',100,1,0),
(142250,10103643,'Improves the base amount of taunts by 12%.',100,1,1),
(142251,10103643,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(142252,10103643,'Increases AGI of raid and group members (AE) by 51.7',100,1,3),
(142253,10103643,'Adds 1.2% to base avoidance.',100,1,4),
(142254,105652,'Decreases Damage Per Second of target by 13.3',100,1,0),
(142255,105652,'Inflicts 25 - 42 melee damage on target',100,1,1),
(142256,105652,'Must be flanking or behind',100,1,2),
(142257,10105652,'Decreases Damage Per Second of target by 13.3',100,1,0),
(142258,10105652,'Inflicts 33 - 55 melee damage on target',100,1,1),
(142259,10105652,'Must be flanking or behind',100,1,2),
(142260,119206,'Inflicts 470 - 783 heat damage on target',100,1,0),
(142261,119206,'Inflicts 470 - 783 heat damage on target',100,1,1),
(142262,119206,'Requires bow',100,1,2),
(142263,10119206,'Inflicts 538 - 896 heat damage on target',100,1,0),
(142264,10119206,'Inflicts 538 - 896 heat damage on target',100,1,1),
(142265,10119206,'Requires bow',100,1,2),
(142266,112395,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.8',100,1,0),
(142267,112395,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(142268,112395,'Inflicts 460 - 562 piercing damage on target',100,2,2),
(142269,112395,'Inflicts 230 - 281 piercing damage on target every 3 seconds',100,2,3),
(142270,10112395,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.8',100,1,0),
(142271,10112395,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(142272,10112395,'Inflicts 598 - 731 piercing damage on target',100,2,2),
(142273,10112395,'Inflicts 299 - 365 piercing damage on target every 3 seconds',100,2,3),
(142274,107088,'Inflicts 262 - 320 divine damage on target',100,1,0),
(142275,10107088,'Inflicts 340 - 416 divine damage on target',100,1,0),
(142276,73696,'When Equipped:',100,0,0),
(142277,73696,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142278,73696,'Increases Max Health of caster by 2,988.0',100,2,2),
(142279,73696,'Must not be engaged in pvp combat',100,2,3),
(142280,73696,'Cannot be modified except by direct means',100,2,4),
(142281,73696,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(142282,73696,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(142283,73696,'Increases Max Health of caster by 2,988.0',100,2,7),
(142284,73696,'Must not be engaged in pvp combat',100,2,8),
(142285,73696,'Cannot be modified except by direct means',100,2,9),
(142286,73696,'Cannot be modified except by direct means',100,1,10),
(142287,73696,'When Equipped:',100,0,11),
(142288,73696,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,12),
(142289,73696,'Inflicts 2369 - 2618 poison damage on target',100,2,13),
(142290,73696,'Heals caster for 1185 - 1309',100,2,14),
(142291,73696,'Must not be engaged in pvp combat',100,2,15),
(142292,73696,'Cannot be modified except by direct means',100,2,16),
(142293,73696,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,17),
(142294,73696,'Cannot be modified except by direct means',100,1,18),
(142295,10073696,'When Equipped:',100,0,0),
(142296,10073696,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142297,10073696,'Increases Max Health of caster by 2,988.0',100,2,2),
(142298,10073696,'Must not be engaged in pvp combat',100,2,3),
(142299,10073696,'Cannot be modified except by direct means',100,2,4),
(142300,10073696,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(142301,10073696,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(142302,10073696,'Increases Max Health of caster by 2,988.0',100,2,7),
(142303,10073696,'Must not be engaged in pvp combat',100,2,8),
(142304,10073696,'Cannot be modified except by direct means',100,2,9),
(142305,10073696,'Cannot be modified except by direct means',100,1,10),
(142306,10073696,'When Equipped:',100,0,11),
(142307,10073696,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,12),
(142308,10073696,'Inflicts 3080 - 3404 poison damage on target',100,2,13),
(142309,10073696,'Heals caster for 1386 - 1532',100,2,14),
(142310,10073696,'Must not be engaged in pvp combat',100,2,15),
(142311,10073696,'Cannot be modified except by direct means',100,2,16),
(142312,10073696,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,17),
(142313,10073696,'Cannot be modified except by direct means',100,1,18),
(142314,82545,'When Equipped:',100,0,0),
(142315,82545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142316,82545,'Inflicts 104 - 194 magic damage on target',100,2,2),
(142317,82545,'Cannot be modified except by direct means',100,2,3),
(142318,10082545,'When Equipped:',100,0,0),
(142319,10082545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142320,10082545,'Inflicts 136 - 252 magic damage on target',100,2,2),
(142321,10082545,'Cannot be modified except by direct means',100,2,3),
(142322,171265,'When Equipped:',100,0,0),
(142323,171265,'On a critical healing spell cast this spell may cast Ward of Duality IX on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142324,171265,'Wards target against 3000 points of all damage',100,2,2),
(142325,171265,'Wards caster against 1500 points of all damage',100,2,3),
(142326,171265,'Must not be engaged in pvp combat',100,2,4),
(142327,171265,'Cannot be modified except by direct means',100,2,5),
(142328,171265,'Must not be engaged in pvp combat',100,1,6),
(142329,10171265,'When Equipped:',100,0,0),
(142330,10171265,'On a critical healing spell cast this spell may cast Ward of Duality IX on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142331,10171265,'Wards target against 3000 points of all damage',100,2,2),
(142332,10171265,'Wards caster against 1500 points of all damage',100,2,3),
(142333,10171265,'Must not be engaged in pvp combat',100,2,4),
(142334,10171265,'Cannot be modified except by direct means',100,2,5),
(142335,10171265,'Must not be engaged in pvp combat',100,1,6),
(142336,47015,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(142337,47015,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(142338,47015,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(142339,47015,'Cannot be modified except by direct means',100,2,3),
(142340,47015,'Grants a total of 80 triggers of the spell.',100,2,4),
(142341,10047015,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(142342,10047015,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(142343,10047015,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(142344,10047015,'Cannot be modified except by direct means',100,2,3),
(142345,10047015,'Grants a total of 80 triggers of the spell.',100,2,4),
(142346,158305,'When Equipped:',100,0,0),
(142347,158305,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(142348,158305,'When Equipped:',100,0,2),
(142349,158305,'Increases Attack Speed of caster by 38.0',100,1,3),
(142350,10158305,'When Equipped:',100,0,0),
(142351,10158305,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(142352,10158305,'When Equipped:',100,0,2),
(142353,10158305,'Increases Attack Speed of caster by 38.0',100,1,3),
(142354,105412,'Increases STR of caster by 88.6',100,1,0),
(142355,105412,'Decreases Defense of caster by 9.6',100,1,1),
(142356,105412,'Increases Slashing, Piercing, Crushing and Disruption of caster by 17.3',100,1,2),
(142357,10105412,'Increases STR of caster by 88.6',100,1,0),
(142358,10105412,'Decreases Defense of caster by 9.6',100,1,1),
(142359,10105412,'Increases Slashing, Piercing, Crushing and Disruption of caster by 17.3',100,1,2),
(142360,182206,'When Equipped:',100,0,0),
(142361,182206,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(142362,182206,'Decreases threat priority of target by 1 position',100,2,2),
(142363,182206,'Cannot be modified except by direct means',100,2,3),
(142364,10182206,'When Equipped:',100,0,0),
(142365,10182206,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(142366,10182206,'Cannot be modified except by direct means',100,2,2),
(142367,87414,'When Equipped:',100,0,0),
(142368,87414,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142369,87414,'Inflicts 194 - 290 magic damage on target',100,2,2),
(142370,87414,'Cannot be modified except by direct means',100,2,3),
(142371,10087414,'When Equipped:',100,0,0),
(142372,10087414,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142373,10087414,'Inflicts 252 - 378 magic damage on target',100,2,2),
(142374,10087414,'Cannot be modified except by direct means',100,2,3),
(142375,124323,'Shapechanges caster into a wolf',100,1,0),
(142376,124323,'Grants See Invisibility to caster',100,1,1),
(142377,124323,'Increases Focus of caster by 21.4',100,1,2),
(142378,124323,'Increases Mitigation of caster vs physical damage by 238',100,1,3),
(142379,124323,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 904',100,1,4),
(142380,10124323,'Shapechanges caster into a wolf',100,1,0),
(142381,10124323,'Grants See Invisibility to caster',100,1,1),
(142382,10124323,'Increases Focus of caster by 21.4',100,1,2),
(142383,10124323,'Increases Mitigation of caster vs physical damage by 238',100,1,3),
(142384,10124323,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 904',100,1,4),
(142385,81423,'When Equipped:',100,0,0),
(142386,81423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142387,81423,'Inflicts 109 - 202 magic damage on target',100,2,2),
(142388,81423,'Cannot be modified except by direct means',100,2,3),
(142389,10081423,'When Equipped:',100,0,0),
(142390,10081423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142391,10081423,'Inflicts 142 - 263 magic damage on target',100,2,2),
(142392,10081423,'Cannot be modified except by direct means',100,2,3),
(142393,82596,'When Equipped:',100,0,0),
(142394,82596,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142395,82596,'Inflicts 118 - 218 magic damage on target',100,2,2),
(142396,82596,'Cannot be modified except by direct means',100,2,3),
(142397,10082596,'When Equipped:',100,0,0),
(142398,10082596,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142399,10082596,'Inflicts 153 - 284 magic damage on target',100,2,2),
(142400,10082596,'Cannot be modified except by direct means',100,2,3),
(142401,41492,'When Equipped:',100,0,0),
(142402,41492,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(142403,41492,'Inflicts 226 - 419 magic damage on target',100,2,2),
(142404,41492,'Decreases Threat to target by 517 ',100,2,3),
(142405,41492,'Must be flanking or behind',100,3,4),
(142406,41492,'Increases Threat to target by 517 ',100,2,5),
(142407,41492,'Must be in front of',100,3,6),
(142408,41492,'Cannot be modified except by direct means',100,2,7),
(142409,10041492,'When Equipped:',100,0,0),
(142410,10041492,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(142411,10041492,'Inflicts 293 - 545 magic damage on target',100,2,2),
(142412,10041492,'Cannot be modified except by direct means',100,2,3),
(142413,106228,'Inflicts 302 - 907 melee damage on target',100,1,0),
(142414,106228,'Stifles target',100,1,1),
(142415,106228,'If Target is not Epic',100,2,2),
(142416,106228,'Resistibility increases against targets higher than level 97.',100,1,3),
(142417,10106228,'Inflicts 393 - 1179 melee damage on target',100,1,0),
(142418,10106228,'Stifles target',100,1,1),
(142419,10106228,'If Target is not Epic',100,2,2),
(142420,10106228,'Resistibility increases against targets higher than level 97.',100,1,3),
(142421,100962,'Dazes target',100,1,0),
(142422,100962,'Inflicts 557 - 681 mental damage on target',100,1,1),
(142423,100962,'Epic targets gain an immunity to Daze effects of 39.2 seconds and duration is reduced to 4.4 seconds.',100,1,2),
(142424,100962,'Resistibility increases against targets higher than level 107.',100,1,3),
(142425,10100962,'Dazes target',100,1,0),
(142426,10100962,'Inflicts 724 - 885 mental damage on target',100,1,1),
(142427,10100962,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(142428,10100962,'Resistibility increases against targets higher than level 107.',100,1,3),
(142429,25521,'When Equipped:',100,0,0),
(142430,25521,'Adds two additional triggers to Focused Intervention IV.',100,1,1),
(142431,25521,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(142432,10025521,'When Equipped:',100,0,0),
(142433,10025521,'Adds two additional triggers to Focused Intervention IV.',100,1,1),
(142434,10025521,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(142435,122588,'Inflicts 60 - 74 mental damage on target instantly and every 3 seconds',100,1,0),
(142436,122588,'Decreases Mitigation of target vs arcane damage by 390',100,1,1),
(142437,10122588,'Inflicts 78 - 96 mental damage on target instantly and every 3 seconds',100,1,0),
(142438,10122588,'Decreases Mitigation of target vs arcane damage by 390',100,1,1),
(142439,111676,'Inflicts 19 - 23 cold damage on target',100,1,0),
(142440,111676,'Inflicts 19 - 23 cold damage on target',100,1,1),
(142441,111676,'If target is elemental',100,2,2),
(142442,10111676,'Inflicts 21 - 25 cold damage on target',100,1,0),
(142443,101351,'Reduces physical damage done to caster by 5%',100,1,0),
(142444,101351,'Adds 1.4% to base avoidance.',100,1,1),
(142445,101351,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(142446,101351,'Increases Aggression of caster by 3.4',100,1,3),
(142447,101351,'Increases Defense and Parry of caster by 5.5',100,1,4),
(142448,101351,'Increases Mitigation of caster vs noxious and arcane damage by 36',100,1,5),
(142449,101351,'Increases Mitigation of caster vs elemental damage by 361',100,1,6),
(142450,101351,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(142451,10101351,'Reduces physical damage done to caster by 5%',100,1,0),
(142452,10101351,'Adds 1.4% to base avoidance.',100,1,1),
(142453,10101351,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(142454,10101351,'Increases Aggression of caster by 3.4',100,1,3),
(142455,10101351,'Increases Defense and Parry of caster by 5.5',100,1,4),
(142456,10101351,'Increases Mitigation of caster vs noxious and arcane damage by 36',100,1,5),
(142457,10101351,'Increases Mitigation of caster vs elemental damage by 361',100,1,6),
(142458,10101351,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(142459,110276,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(142460,110276,'Slows target by 41.5%',100,2,1),
(142461,110276,'5% chance to dispel when target receives hostile action',100,2,2),
(142462,110276,'5% chance to dispel when target takes damage',100,2,3),
(142463,110276,'Decreases Mitigation of target vs arcane damage by 552',100,1,4),
(142464,10110276,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(142465,10110276,'Slows target by 41.5%',100,2,1),
(142466,10110276,'5% chance to dispel when target receives hostile action',100,2,2),
(142467,10110276,'5% chance to dispel when target takes damage',100,2,3),
(142468,10110276,'Decreases Mitigation of target vs arcane damage by 552',100,1,4),
(142469,74930,'When Equipped:',100,0,0),
(142470,74930,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142471,74930,'Inflicts 38 - 57 magic damage on target',100,2,2),
(142472,74930,'Cannot be modified except by direct means',100,2,3),
(142473,10074930,'When Equipped:',100,0,0),
(142474,10074930,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142475,10074930,'Inflicts 50 - 75 magic damage on target',100,2,2),
(142476,10074930,'Cannot be modified except by direct means',100,2,3),
(142477,114539,'Heals target for 291 - 356',100,1,0),
(142478,10114539,'Heals target for 378 - 462',100,1,0),
(142479,149140,'When Equipped:',100,0,0),
(142480,149140,'On a hostile spell cast this spell may cast Grievous Omission on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(142481,149140,'Decreases Threat to target encounter by 1,750 ',100,2,2),
(142482,149140,'Cannot be modified except by direct means',100,2,3),
(142483,10149140,'When Equipped:',100,0,0),
(142484,10149140,'On a hostile spell cast this spell may cast Grievous Omission on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(142485,10149140,'Cannot be modified except by direct means',100,2,2),
(142486,105619,'Inflicts 27 disease damage on target instantly and every 6 seconds',100,1,0),
(142487,105619,'Inflicts 62 - 103 disease damage on target',100,1,1),
(142488,105619,'Inflicts 62 - 103 disease damage on target',100,1,2),
(142489,10105619,'Inflicts 35 disease damage on target instantly and every 6 seconds',100,1,0),
(142490,10105619,'Inflicts 80 - 134 disease damage on target',100,1,1),
(142491,10105619,'Inflicts 80 - 134 disease damage on target',100,1,2),
(142492,117067,'Inflicts 239 - 398 melee damage on target',100,1,0),
(142493,117067,'Decreases Attack Speed of target by 17.3',100,1,1),
(142494,10117067,'Inflicts 311 - 518 melee damage on target',100,1,0),
(142495,10117067,'Decreases Attack Speed of target by 17.3',100,1,1),
(142496,107873,'Decreases Mitigation of target vs elemental damage by 1980',100,1,0),
(142497,107873,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(142498,107873,'Slows target by 54.2%',100,2,2),
(142499,107873,'5% chance to dispel when target receives hostile action',100,2,3),
(142500,107873,'5% chance to dispel when target takes damage',100,2,4),
(142501,10107873,'Decreases Mitigation of target vs elemental damage by 1980',100,1,0),
(142502,10107873,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(142503,10107873,'Slows target by 54.2%',100,2,2),
(142504,10107873,'5% chance to dispel when target receives hostile action',100,2,3),
(142505,10107873,'5% chance to dispel when target takes damage',100,2,4),
(142506,87266,'When Equipped:',100,0,0),
(142507,87266,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142508,87266,'Inflicts 206 - 309 magic damage on target',100,2,2),
(142509,87266,'Cannot be modified except by direct means',100,2,3),
(142510,10087266,'When Equipped:',100,0,0),
(142511,10087266,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142512,10087266,'Inflicts 268 - 402 magic damage on target',100,2,2),
(142513,10087266,'Cannot be modified except by direct means',100,2,3),
(142514,114407,'Mesmerizes target',100,1,0),
(142515,114407,'Prevents AOE (except when direct) ',100,1,1),
(142516,114407,'Dispelled when target takes damage',100,1,2),
(142517,114407,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(142518,114407,'Resistibility increases against targets higher than level 53.',100,1,4),
(142519,10114407,'Mesmerizes target',100,1,0),
(142520,10114407,'Prevents AOE (except when direct) ',100,1,1),
(142521,10114407,'Dispelled when target takes damage',100,1,2),
(142522,10114407,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(142523,10114407,'Resistibility increases against targets higher than level 53.',100,1,4),
(142524,41992,'When Equipped:',100,0,0),
(142525,41992,'On a critical spell hit this spell may cast Mana Deluge IX on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142526,41992,'Decreases Mitigation of target vs elemental damage by 940',100,2,2),
(142527,41992,'Inflicts 6327 - 6993 crushing damage on target',100,2,3),
(142528,41992,'Increases power of caster by 292',100,2,4),
(142529,41992,'Decreases Mitigation of target vs noxious and arcane damage by 940',100,2,5),
(142530,41992,'Must not be engaged in pvp combat',100,2,6),
(142531,41992,'Cannot be modified except by direct means',100,2,7),
(142532,41992,'On a critical combat hit this spell may cast Mana Deluge IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(142533,41992,'Decreases Mitigation of target vs elemental damage by 940',100,2,9),
(142534,41992,'Inflicts 6327 - 6993 crushing damage on target',100,2,10),
(142535,41992,'Increases power of caster by 292',100,2,11),
(142536,41992,'Decreases Mitigation of target vs noxious and arcane damage by 940',100,2,12),
(142537,41992,'Must not be engaged in pvp combat',100,2,13),
(142538,41992,'Cannot be modified except by direct means',100,2,14),
(142539,41992,'Must not be engaged in pvp combat',100,1,15),
(142540,10041992,'When Equipped:',100,0,0),
(142541,10041992,'On a critical spell hit this spell may cast Mana Deluge IX on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142542,10041992,'Decreases Mitigation of target vs elemental damage by 940',100,2,2),
(142543,10041992,'Inflicts 8225 - 9091 crushing damage on target',100,2,3),
(142544,10041992,'Increases power of caster by 292',100,2,4),
(142545,10041992,'Decreases Mitigation of target vs noxious and arcane damage by 940',100,2,5),
(142546,10041992,'Must not be engaged in pvp combat',100,2,6),
(142547,10041992,'Cannot be modified except by direct means',100,2,7),
(142548,10041992,'On a critical combat hit this spell may cast Mana Deluge IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(142549,10041992,'Decreases Mitigation of target vs elemental damage by 940',100,2,9),
(142550,10041992,'Inflicts 8225 - 9091 crushing damage on target',100,2,10),
(142551,10041992,'Increases power of caster by 292',100,2,11),
(142552,10041992,'Decreases Mitigation of target vs noxious and arcane damage by 940',100,2,12),
(142553,10041992,'Must not be engaged in pvp combat',100,2,13),
(142554,10041992,'Cannot be modified except by direct means',100,2,14),
(142555,10041992,'Must not be engaged in pvp combat',100,1,15),
(142556,118698,'Increases STR and AGI of group members (AE) by 9.9',100,1,0),
(142557,10118698,'Increases STR and AGI of group members (AE) by 9.9',100,1,0),
(142558,74840,'When Equipped:',100,0,0),
(142559,74840,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142560,74840,'Inflicts 169 - 254 magic damage on target',100,2,2),
(142561,74840,'Cannot be modified except by direct means',100,2,3),
(142562,10074840,'When Equipped:',100,0,0),
(142563,10074840,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142564,10074840,'Inflicts 220 - 330 magic damage on target',100,2,2),
(142565,10074840,'Cannot be modified except by direct means',100,2,3),
(142566,123516,'Decreases Mitigation of target encounter vs noxious damage by 847',100,1,0),
(142567,10123516,'Decreases Mitigation of target encounter vs noxious damage by 847',100,1,0),
(142568,103642,'Increases STR of raid and group members (AE) by 57.1',100,1,0),
(142569,103642,'Improves the base amount of taunts by 16%.',100,1,1),
(142570,103642,'Improves the base amount of combat arts by 5%.',100,1,2),
(142571,103642,'Increases AGI of raid and group members (AE) by 57.1',100,1,3),
(142572,103642,'Adds 1.6% to base avoidance.',100,1,4),
(142573,10103642,'Increases STR of raid and group members (AE) by 57.1',100,1,0),
(142574,10103642,'Improves the base amount of taunts by 16%.',100,1,1),
(142575,10103642,'Improves the base amount of combat arts by 5%.',100,1,2),
(142576,10103642,'Increases AGI of raid and group members (AE) by 57.1',100,1,3),
(142577,10103642,'Adds 1.6% to base avoidance.',100,1,4),
(142578,120845,'Inflicts 60 - 81 disease damage on target instantly and every second',100,1,0),
(142579,10120845,'Inflicts 108 - 147 disease damage on target',100,1,0),
(142580,10120845,'Inflicts 77 - 105 disease damage on target every second',100,1,1),
(142581,37124,'Increases Max Health of target by 3.9',100,0,0),
(142582,37124,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(142583,45728,'Applies Shielding of the Faydark  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(142584,45728,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(142585,45728,'Inflicts 7 magic damage on target',100,2,2),
(142586,45728,'Cannot be modified except by direct means',100,2,3),
(142587,10045728,'Applies Shielding of the Faydark  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(142588,10045728,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(142589,10045728,'Inflicts 9 magic damage on target',100,2,2),
(142590,10045728,'Cannot be modified except by direct means',100,2,3),
(142591,103284,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(142592,103284,'If Fighter',100,2,1),
(142593,103284,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(142594,103284,'Increases power of target by 21 instantly and every 4 seconds',100,2,3),
(142595,103284,'Increases power of caster by 21 instantly and every 4 seconds',100,2,4),
(142596,10103284,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(142597,10103284,'Increases power of target by 21 instantly and every 4 seconds',100,2,1),
(142598,10103284,'Increases power of caster by 21 instantly and every 4 seconds',100,2,2),
(142599,36627,'Increases AGI and STA of target by 1.1',100,0,0),
(142600,36627,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(142601,46716,'Applies Use Jorlak''s Chrono Periapt when Activated.',100,0,0),
(142602,46716,'This effect cannot be cast during combat',100,1,1),
(142603,46716,'If any of the following are true:',100,1,2),
(142604,46716,'Must be in zone Skyshrine: The City of Dracur',100,2,3),
(142605,46716,'Must be in zone Skyshrine: The Forbidden City of Dracur',100,2,4),
(142606,10046716,'Applies Use Jorlak''s Chrono Periapt when Activated.',100,0,0),
(142607,10046716,'This effect cannot be cast during combat',100,1,1),
(142608,10046716,'If any of the following are true:',100,1,2),
(142609,10046716,'Must be in zone Skyshrine: The City of Dracur',100,2,3),
(142610,10046716,'Must be in zone Skyshrine: The Forbidden City of Dracur',100,2,4),
(142611,132263,'Applies Antivenom Hypo Cure when Activated.',100,0,0),
(142612,132263,'Dispels 82 levels of noxious hostile effects on caster',100,1,1),
(142613,132263,'The casting time of Antivenom Hypo Cure is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(142614,10132263,'Applies Antivenom Hypo Cure when Activated.',100,0,0),
(142615,10132263,'Dispels 82 levels of noxious hostile effects on caster',100,1,1),
(142616,10132263,'The casting time of Antivenom Hypo Cure is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(142617,114327,'Dispels 14 levels of noxious hostile effects on target',100,1,0),
(142618,114327,'Heals target for 59 - 73',100,1,1),
(142619,114327,'This effect cannot be critically applied.',100,2,2),
(142620,114327,'The healing of this spell cannot be modified except by direct means',100,1,3),
(142621,10114327,'Dispels 14 levels of noxious hostile effects on target',100,1,0),
(142622,10114327,'Heals target for 24 - 29',100,1,1),
(142623,10114327,'This effect cannot be critically applied.',100,2,2),
(142624,10114327,'The healing of this spell cannot be modified except by direct means',100,1,3),
(142625,82088,'When Equipped:',100,0,0),
(142626,82088,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142627,82088,'Inflicts 212 - 393 magic damage on target',100,2,2),
(142628,82088,'Cannot be modified except by direct means',100,2,3),
(142629,10082088,'When Equipped:',100,0,0),
(142630,10082088,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142631,10082088,'Inflicts 275 - 511 magic damage on target',100,2,2),
(142632,10082088,'Cannot be modified except by direct means',100,2,3),
(142633,71784,'When Equipped:',100,0,0),
(142634,71784,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142635,71784,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(142636,71784,'Cannot be modified except by direct means',100,2,3),
(142637,10071784,'When Equipped:',100,0,0),
(142638,10071784,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142639,10071784,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(142640,10071784,'Cannot be modified except by direct means',100,2,3),
(142641,115257,'Heals target for 296',100,1,0),
(142642,115257,'Heals target for 49 every second',100,1,1),
(142643,115257,'Dispels 55 levels of any hostile effects on target',100,1,2),
(142644,10115257,'Heals target for 192',100,1,0),
(142645,10115257,'Heals target for 32 every second',100,1,1),
(142646,10115257,'Dispels 55 levels of any hostile effects on target',100,1,2),
(142647,173468,'When Equipped:',100,0,0),
(142648,173468,'Increases the caster''s heals and wards by 5%.',100,1,1),
(142649,173468,'Must not be engaged in pvp combat',100,1,2),
(142650,10173468,'When Equipped:',100,0,0),
(142651,10173468,'Increases the caster''s heals and wards by 5%.',100,1,1),
(142652,10173468,'Must not be engaged in pvp combat',100,1,2),
(142653,111873,'Inflicts 244 - 454 heat damage on target',100,1,0),
(142654,111873,'Inflicts 92 - 170 heat damage on target every 2 seconds',100,1,1),
(142655,10111873,'Inflicts 318 - 590 heat damage on target',100,1,0),
(142656,10111873,'Inflicts 119 - 221 heat damage on target every 2 seconds',100,1,1),
(142657,143149,'When Equipped:',100,0,0),
(142658,143149,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142659,143149,'Inflicts 1012 divine damage on target',100,2,2),
(142660,143149,'Must be classified as a vampire',100,3,3),
(142661,143149,'Inflicts 506 divine damage on target',100,2,4),
(142662,143149,'Must not be classified as a vampire',100,3,5),
(142663,143149,'Decreases Mitigation of target vs arcane damage by 738',100,2,6),
(142664,143149,'Must be classified as a vampire',100,3,7),
(142665,143149,'Cannot be modified except by direct means',100,2,8),
(142666,143149,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(142667,10143149,'When Equipped:',100,0,0),
(142668,10143149,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(142669,10143149,'Inflicts 1315 divine damage on target',100,2,2),
(142670,10143149,'Must be classified as a vampire',100,3,3),
(142671,10143149,'Inflicts 658 divine damage on target',100,2,4),
(142672,10143149,'Must not be classified as a vampire',100,3,5),
(142673,10143149,'Decreases Mitigation of target vs arcane damage by 738',100,2,6),
(142674,10143149,'Must be classified as a vampire',100,3,7),
(142675,10143149,'Cannot be modified except by direct means',100,2,8),
(142676,10143149,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(142677,36876,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(142678,45834,'Applies Beam of Pure Hatred when Activated.',100,0,0),
(142679,45834,'A beam of pure hatred, capable of jarring the most tactical of minds.',100,1,1),
(142680,10045834,'Applies Beam of Pure Hatred when Activated.',100,0,0),
(142681,10045834,'A beam of pure hatred, capable of jarring the most tactical of minds.',100,1,1),
(142682,175242,'When Equipped:',100,0,0),
(142683,175242,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(142684,10175242,'When Equipped:',100,0,0),
(142685,10175242,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(142686,116582,'Inflicts 95 - 158 divine damage on target',100,1,0),
(142687,10116582,'Inflicts 123 - 206 divine damage on target',100,1,0),
(142688,118777,'Increases INT and WIS of group members (AE) by 91.1',100,1,0),
(142689,118777,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 269',100,1,1),
(142690,10118777,'Increases INT and WIS of group members (AE) by 91.1',100,1,0),
(142691,10118777,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 269',100,1,1),
(142692,36419,'Increases Max Power of target by 3.3',100,0,0),
(142693,36419,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(142694,47135,'Applies Bulwark of the Forestrunner  when Activated.  Lasts for 30 minutes.',100,0,0),
(142695,47135,'Increases AGI of caster by 11.3',100,1,1),
(142696,10047135,'Applies Bulwark of the Forestrunner  when Activated.  Lasts for 30 minutes.',100,0,0),
(142697,10047135,'Increases AGI of caster by 11.3',100,1,1),
(142698,111589,'Inflicts 15 - 27 cold damage on target instantly and every 4 seconds',100,1,0),
(142699,111589,'Decreases Mitigation of target vs elemental damage by 237',100,1,1),
(142700,10111589,'Inflicts 19 - 36 cold damage on target instantly and every 4 seconds',100,1,0),
(142701,10111589,'Decreases Mitigation of target vs elemental damage by 237',100,1,1),
(142702,72095,'When Equipped:',100,0,0),
(142703,72095,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142704,72095,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(142705,72095,'Cannot be modified except by direct means',100,2,3),
(142706,10072095,'When Equipped:',100,0,0),
(142707,10072095,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142708,10072095,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(142709,10072095,'Cannot be modified except by direct means',100,2,3),
(142710,104662,'Decreases Mitigation of target vs all damage by 72',100,1,0),
(142711,10104662,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 72',100,1,0),
(142712,10104662,'Decreases Mitigation of target vs physical damage by 60',100,1,1),
(142713,121814,'Heals group members (AE) for 94 - 115',100,1,0),
(142714,121814,'Heals group members (AE) for 16 - 19 every second',100,1,1),
(142715,10121814,'Heals group members (AE) for 61 - 75',100,1,0),
(142716,10121814,'Heals group members (AE) for 10 - 13 every second',100,1,1),
(142717,105739,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(142718,105739,'Stuns target',100,2,1),
(142719,105739,'Blurs vision of target',100,2,2),
(142720,105739,'Throws target back',100,2,3),
(142721,105739,'Does not affect Epic targets',100,2,4),
(142722,105739,'Inflicts 566 - 943 melee damage on targets in area',100,1,5),
(142723,10105739,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(142724,10105739,'Stuns target',100,2,1),
(142725,10105739,'Blurs vision of target',100,2,2),
(142726,10105739,'Throws target back',100,2,3),
(142727,10105739,'Does not affect Epic targets',100,2,4),
(142728,10105739,'Inflicts 735 - 1226 melee damage on targets in area',100,1,5),
(142729,177597,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(142730,177597,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(142731,177597,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(142732,177597,'Cannot be modified except by direct means',100,2,3),
(142733,10177597,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(142734,10177597,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(142735,10177597,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(142736,10177597,'Cannot be modified except by direct means',100,2,3),
(142737,104115,'Roots target',100,1,0),
(142738,104115,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(142739,104115,'Slows target by 20.1%',100,2,2),
(142740,104115,'Makes target afraid',100,2,3),
(142741,104115,'30% chance to dispel when target takes damage',100,2,4),
(142742,104115,'Resistibility increases against targets higher than level 62.',100,2,5),
(142743,104115,'15% chance to dispel when target takes damage',100,1,6),
(142744,104115,'Does not affect Epic targets',100,1,7),
(142745,104115,'Resistibility increases against targets higher than level 62.',100,1,8),
(142746,10104115,'Roots target',100,1,0),
(142747,10104115,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(142748,10104115,'Makes target afraid',100,2,2),
(142749,10104115,'Slows target by 20.1%',100,2,3),
(142750,10104115,'30% chance to dispel when target takes damage',100,2,4),
(142751,10104115,'Resistibility increases against targets higher than level 62.',100,2,5),
(142752,10104115,'15% chance to dispel when target takes damage',100,1,6),
(142753,10104115,'Does not affect Epic targets',100,1,7),
(142754,10104115,'Resistibility increases against targets higher than level 62.',100,1,8),
(142755,100197,'Increases Threat to target encounter by 86 - 105 ',100,1,0),
(142756,100197,'Interrupts target encounter',100,1,1),
(142757,10100197,'Interrupts target encounter',100,1,0),
(142758,10100197,'Forces target encounter to change their selected target to caster.',100,1,1),
(142759,10100197,'Prevents target encounter from changing targets',100,1,2),
(142760,36755,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(142761,163433,'When Equipped:',100,0,0),
(142762,163433,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142763,163433,'Inflicts 1199 disease damage on target encounter',100,2,2),
(142764,163433,'Must not be engaged in pvp combat',100,2,3),
(142765,163433,'Cannot be modified except by direct means',100,2,4),
(142766,10163433,'When Equipped:',100,0,0),
(142767,10163433,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142768,10163433,'Inflicts 779 disease damage on target encounter',100,2,2),
(142769,10163433,'Must not be engaged in pvp combat',100,2,3),
(142770,10163433,'Cannot be modified except by direct means',100,2,4),
(142771,118913,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(142772,118913,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 97',100,1,1),
(142773,118913,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,2),
(142774,10118913,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(142775,10118913,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 97',100,1,1),
(142776,10118913,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,2),
(142777,163220,'When Equipped:',100,0,0),
(142778,163220,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142779,163220,'Inflicts 1199 disease damage on target encounter',100,2,2),
(142780,163220,'Must not be engaged in pvp combat',100,2,3),
(142781,163220,'Cannot be modified except by direct means',100,2,4),
(142782,10163220,'When Equipped:',100,0,0),
(142783,10163220,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142784,10163220,'Inflicts 779 disease damage on target encounter',100,2,2),
(142785,10163220,'Must not be engaged in pvp combat',100,2,3),
(142786,10163220,'Cannot be modified except by direct means',100,2,4),
(142787,119063,'Decreases power of target by 224 - 373',100,1,0),
(142788,119063,'Increases power of caster by 86 - 143',100,1,1),
(142789,119063,'Inflicts 239 - 398 mental damage on target',100,1,2),
(142790,10119063,'Decreases power of target by 224 - 373',100,1,0),
(142791,10119063,'Increases power of caster by 86 - 143',100,1,1),
(142792,10119063,'Inflicts 311 - 518 mental damage on target',100,1,2),
(142793,102463,'Stuns target encounter',100,1,0),
(142794,102463,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(142795,102463,'Resistibility increases against targets higher than level 110.',100,1,2),
(142796,10102463,'Stuns target encounter',100,1,0),
(142797,10102463,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(142798,10102463,'Resistibility increases against targets higher than level 110.',100,1,2),
(142799,81258,'When Equipped:',100,0,0),
(142800,81258,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142801,81258,'Inflicts 314 - 583 magic damage on target',100,2,2),
(142802,81258,'Cannot be modified except by direct means',100,2,3),
(142803,10081258,'When Equipped:',100,0,0),
(142804,10081258,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142805,10081258,'Inflicts 408 - 757 magic damage on target',100,2,2),
(142806,10081258,'Cannot be modified except by direct means',100,2,3),
(142807,121262,'Inflicts 1957 - 2392 heat damage on target encounter',100,1,0),
(142808,10121262,'Inflicts 2544 - 3110 heat damage on target encounter',100,1,0),
(142809,36092,'Increases STA and WIS of target by 1.1',100,0,0),
(142810,36092,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(142811,136042,'When Equipped:',100,0,0),
(142812,136042,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(142813,10136042,'When Equipped:',100,0,0),
(142814,10136042,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(142815,119417,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(142816,119417,'Stuns target',100,2,1),
(142817,119417,'Blurs vision of target',100,2,2),
(142818,119417,'Throws target back',100,2,3),
(142819,119417,'Does not affect Epic targets',100,2,4),
(142820,119417,'Inflicts 261 - 435 melee damage on target',100,1,5),
(142821,119417,'You must be sneaking to use this ability.',100,1,6),
(142822,10119417,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(142823,10119417,'Stuns target',100,2,1),
(142824,10119417,'Blurs vision of target',100,2,2),
(142825,10119417,'Throws target back',100,2,3),
(142826,10119417,'Does not affect Epic targets',100,2,4),
(142827,10119417,'Inflicts 339 - 565 melee damage on target',100,1,5),
(142828,10119417,'You must be sneaking to use this ability.',100,1,6),
(142829,155193,'When Equipped:',100,0,0),
(142830,155193,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(142831,155193,'Must not be engaged in pvp combat',100,1,2),
(142832,10155193,'When Equipped:',100,0,0),
(142833,10155193,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(142834,10155193,'Must not be engaged in pvp combat',100,1,2),
(142835,121514,'Inflicts 190 - 316 melee damage on target',100,1,0),
(142836,121514,'Stuns target',100,1,1),
(142837,121514,'If Target is not Epic',100,2,2),
(142838,121514,'Resistibility increases against targets higher than level 59.',100,1,3),
(142839,10121514,'Inflicts 247 - 411 melee damage on target',100,1,0),
(142840,10121514,'Stuns target',100,1,1),
(142841,10121514,'If Target is not Epic',100,2,2),
(142842,10121514,'Resistibility increases against targets higher than level 59.',100,1,3),
(142843,189141,'When Equipped:',100,0,0),
(142844,189141,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(142845,10189141,'When Equipped:',100,0,0),
(142846,10189141,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(142847,81823,'When Equipped:',100,0,0),
(142848,81823,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(142849,81823,'Inflicts 164 - 305 magic damage on target',100,2,2),
(142850,81823,'Decreases Threat to target by 487 ',100,2,3),
(142851,81823,'Must be flanking or behind',100,3,4),
(142852,81823,'Increases Threat to target by 487 ',100,2,5),
(142853,81823,'Must be in front of',100,3,6),
(142854,81823,'Cannot be modified except by direct means',100,2,7),
(142855,10081823,'When Equipped:',100,0,0),
(142856,10081823,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(142857,10081823,'Inflicts 213 - 396 magic damage on target',100,2,2),
(142858,10081823,'Cannot be modified except by direct means',100,2,3),
(142859,36805,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(142860,87241,'When Equipped:',100,0,0),
(142861,87241,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142862,87241,'Inflicts 263 - 395 magic damage on target',100,2,2),
(142863,87241,'Cannot be modified except by direct means',100,2,3),
(142864,10087241,'When Equipped:',100,0,0),
(142865,10087241,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142866,10087241,'Inflicts 342 - 513 magic damage on target',100,2,2),
(142867,10087241,'Cannot be modified except by direct means',100,2,3),
(142868,110998,'Heals target for 396 - 485 instantly and every 2 seconds',100,1,0),
(142869,110998,'Increases power of target by 31 - 38 instantly and every 2 seconds',100,1,1),
(142870,10110998,'Heals target for 258 - 315 instantly and every 2 seconds',100,1,0),
(142871,10110998,'Increases power of target by 31 - 38 instantly and every 2 seconds',100,1,1),
(142872,25210,'When Equipped:',100,0,0),
(142873,25210,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(142874,25210,'Inflicts 4 poison damage on target instantly and every 5 seconds',100,2,2),
(142875,25210,'Cannot be modified except by direct means',100,2,3),
(142876,10025210,'When Equipped:',100,0,0),
(142877,10025210,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(142878,10025210,'Inflicts 5 poison damage on target instantly and every 5 seconds',100,2,2),
(142879,10025210,'Cannot be modified except by direct means',100,2,3),
(142880,75302,'Applies Tormenting Darkness when Activated.  Lasts for 24.0 seconds.',100,0,0),
(142881,75302,'Inflicts 72 - 88 disease damage on target instantly and every 4 seconds',100,1,1),
(142882,75302,'Slows target by 57.6%',100,1,2),
(142883,75302,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,3),
(142884,75302,'Slows target by 57.6%',100,2,4),
(142885,75302,'5% chance to dispel when target receives hostile action',100,2,5),
(142886,75302,'5% chance to dispel when target takes damage',100,2,6),
(142887,75302,'The casting time of Tormenting Darkness is 1.0 second and the reuse time of the spell is 15 minutes',100,1,7),
(142888,10075302,'Applies Tormenting Darkness when Activated.  Lasts for 24.0 seconds.',100,0,0),
(142889,10075302,'Inflicts 94 - 114 disease damage on target instantly and every 4 seconds',100,1,1),
(142890,10075302,'Slows target by 57.6%',100,1,2),
(142891,10075302,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,3),
(142892,10075302,'Slows target by 57.6%',100,2,4),
(142893,10075302,'5% chance to dispel when target receives hostile action',100,2,5),
(142894,10075302,'5% chance to dispel when target takes damage',100,2,6),
(142895,10075302,'The casting time of Tormenting Darkness is 1.0 second and the reuse time of the spell is 15 minutes',100,1,7),
(142896,111979,'Inflicts 434 - 531 disease damage on target',100,1,0),
(142897,111979,'Decreases Mitigation of target vs noxious damage by 704',100,1,1),
(142898,10111979,'Inflicts 726 - 887 disease damage on target',100,1,0),
(142899,10111979,'Decreases Mitigation of target vs noxious damage by 704',100,1,1),
(142900,114774,'Feigns Death with 84% chance of success',100,1,0),
(142901,10114774,'Feigns Death with 84% chance of success',100,1,0),
(142902,154468,'When Equipped:',100,0,0),
(142903,154468,'Increases Attack Speed of caster by 40.0',100,1,1),
(142904,10154468,'When Equipped:',100,0,0),
(142905,10154468,'Increases Attack Speed of caster by 40.0',100,1,1),
(142906,159701,'When Equipped:',100,0,0),
(142907,159701,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(142908,159701,'Increases AGI of caster by 16.3',100,2,2),
(142909,159701,'Increases Attack Speed of caster by 19.7',100,2,3),
(142910,159701,'Cannot be modified except by direct means',100,2,4),
(142911,10159701,'When Equipped:',100,0,0),
(142912,10159701,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(142913,10159701,'Increases AGI of caster by 16.3',100,2,2),
(142914,10159701,'Increases Attack Speed of caster by 19.7',100,2,3),
(142915,10159701,'Cannot be modified except by direct means',100,2,4),
(142916,135128,'When Equipped:',100,0,0),
(142917,135128,'On any combat or spell hit this spell may cast Opportunistic Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142918,135128,'Inflicts 1031 poison damage on target',100,2,2),
(142919,135128,'If between 40% and 80% health',100,3,3),
(142920,135128,'Inflicts 1604 disease damage on target',100,2,4),
(142921,135128,'If over 80% Health',100,3,5),
(142922,135128,'Inflicts 573 poison damage on target',100,2,6),
(142923,135128,'If under 40% Health',100,3,7),
(142924,135128,'Cannot be modified except by direct means',100,2,8),
(142925,135128,'Cannot be modified except by direct means',100,1,9),
(142926,10135128,'When Equipped:',100,0,0),
(142927,10135128,'On any combat or spell hit this spell may cast Opportunistic Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(142928,10135128,'Inflicts 1773 disease damage on target',100,2,2),
(142929,10135128,'If over 80% Health',100,3,3),
(142930,10135128,'Inflicts 633 poison damage on target',100,2,4),
(142931,10135128,'If under 40% Health',100,3,5),
(142932,10135128,'Inflicts 1013 poison damage on target',100,2,6),
(142933,10135128,'If between 40% and 80% health',100,3,7),
(142934,10135128,'Cannot be modified except by direct means',100,2,8),
(142935,10135128,'Cannot be modified except by direct means',100,1,9),
(142936,46417,'Applies Form of the Lich Bride when Activated.',100,0,0),
(142937,46417,'Shapechanges caster into a Lich Bride',100,1,1),
(142938,10046417,'Applies Form of the Lich Bride when Activated.',100,0,0),
(142939,10046417,'Shapechanges caster into a Lich Bride',100,1,1),
(142940,71364,'When Equipped:',100,0,0),
(142941,71364,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142942,71364,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(142943,71364,'Cannot be modified except by direct means',100,2,3),
(142944,10071364,'When Equipped:',100,0,0),
(142945,10071364,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(142946,10071364,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(142947,10071364,'Cannot be modified except by direct means',100,2,3),
(142948,111497,'Increases AGI of caster by 77.9',100,1,0),
(142949,111497,'Increases Attack Speed of caster by 36.6',100,1,1),
(142950,111497,'Increases in-combat movement speed of caster by 6.0%',100,1,2),
(142951,111497,'Adds 18.7% to base avoidance.',100,1,3),
(142952,111497,'Increases Mitigation of caster vs physical damage by 664',100,1,4),
(142953,111497,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,5),
(142954,10111497,'Increases AGI of caster by 77.9',100,1,0),
(142955,10111497,'Increases Attack Speed of caster by 36.6',100,1,1),
(142956,10111497,'Increases speed of caster by 6.0%',100,1,2),
(142957,10111497,'Adds 18.7% to base avoidance.',100,1,3),
(142958,10111497,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,4),
(142959,35536,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(142960,133990,'When Equipped:',100,0,0),
(142961,133990,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(142962,133990,'This effect will not stack with any rank or tier of itself.',100,1,2),
(142963,133990,'Cannot be modified except by direct means',100,1,3),
(142964,10133990,'When Equipped:',100,0,0),
(142965,10133990,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(142966,10133990,'This effect will not stack with any rank or tier of itself.',100,1,2),
(142967,10133990,'Cannot be modified except by direct means',100,1,3),
(142968,84618,'When Equipped:',100,0,0),
(142969,84618,'On a critical combat hit this spell may cast Mindsieve VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142970,84618,'Inflicts 542 - 599 mental damage on target',100,2,2),
(142971,84618,'Increases power of caster by 41',100,2,3),
(142972,84618,'Must not be engaged in pvp combat',100,2,4),
(142973,84618,'Cannot be modified except by direct means',100,2,5),
(142974,84618,'On a critical spell hit this spell may cast Mindsieve VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(142975,84618,'Inflicts 542 - 599 mental damage on target',100,2,7),
(142976,84618,'Increases power of caster by 41',100,2,8),
(142977,84618,'Must not be engaged in pvp combat',100,2,9),
(142978,84618,'Cannot be modified except by direct means',100,2,10),
(142979,84618,'Must not be engaged in pvp combat',100,1,11),
(142980,10084618,'When Equipped:',100,0,0),
(142981,10084618,'On a critical combat hit this spell may cast Mindsieve VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(142982,10084618,'Inflicts 705 - 779 mental damage on target',100,2,2),
(142983,10084618,'Increases power of caster by 41',100,2,3),
(142984,10084618,'Must not be engaged in pvp combat',100,2,4),
(142985,10084618,'Cannot be modified except by direct means',100,2,5),
(142986,10084618,'On a critical spell hit this spell may cast Mindsieve VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(142987,10084618,'Inflicts 705 - 779 mental damage on target',100,2,7),
(142988,10084618,'Increases power of caster by 41',100,2,8),
(142989,10084618,'Must not be engaged in pvp combat',100,2,9),
(142990,10084618,'Cannot be modified except by direct means',100,2,10),
(142991,10084618,'Must not be engaged in pvp combat',100,1,11),
(142992,110721,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(142993,110721,'Heals group members (AE) for 666',100,2,1),
(142994,10110721,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(142995,10110721,'Heals group members (AE) for 433',100,2,1),
(142996,123503,'Decreases Mitigation of target encounter vs noxious damage by 660',100,1,0),
(142997,10123503,'Decreases Mitigation of target encounter vs noxious damage by 660',100,1,0),
(142998,120050,'Inflicts 50 - 84 mental damage on target',100,1,0),
(142999,120050,'Inflicts 50 - 84 mental damage on target',100,1,1),
(143000,120050,'Stifles target',100,1,2),
(143001,120050,'If Target is not Epic',100,2,3),
(143002,120050,'If weapon equipped in Ranged',100,1,4),
(143003,120050,'Resistibility increases against targets higher than level 45.',100,1,5),
(143004,10120050,'Inflicts 57 - 95 mental damage on target',100,1,0),
(143005,10120050,'Inflicts 57 - 95 mental damage on target',100,1,1),
(143006,10120050,'Stifles target',100,1,2),
(143007,10120050,'If Target is not Epic',100,2,3),
(143008,10120050,'If weapon equipped in Ranged',100,1,4),
(143009,10120050,'Resistibility increases against targets higher than level 45.',100,1,5),
(143010,45143,'Applies Aegis of the Silverback when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(143011,45143,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(143012,45143,'Inflicts 4 magic damage on target',100,2,2),
(143013,45143,'Cannot be modified except by direct means',100,2,3),
(143014,10045143,'Applies Aegis of the Silverback when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(143015,10045143,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(143016,10045143,'Inflicts 6 magic damage on target',100,2,2),
(143017,10045143,'Cannot be modified except by direct means',100,2,3),
(143018,82222,'When Equipped:',100,0,0),
(143019,82222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143020,82222,'Inflicts 43 - 80 magic damage on target',100,2,2),
(143021,82222,'Cannot be modified except by direct means',100,2,3),
(143022,10082222,'When Equipped:',100,0,0),
(143023,10082222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143024,10082222,'Inflicts 56 - 104 magic damage on target',100,2,2),
(143025,10082222,'Cannot be modified except by direct means',100,2,3),
(143026,37521,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(143027,46374,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(143028,46374,'Launches a firework when used.',100,1,1),
(143029,10046374,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(143030,10046374,'Launches a firework when used.',100,1,1),
(143031,122644,'Heals target for 359 - 439 every 2 seconds',100,1,0),
(143032,122644,'Wards target against 1040 points of all damage',100,1,1),
(143033,122644,'Decreases Attack Speed of target by 25.0',100,1,2),
(143034,122644,'Slows target by 50.0%',100,1,3),
(143035,10122644,'Heals target for 233 - 285 every 2 seconds',100,1,0),
(143036,10122644,'Wards target against 1040 points of all damage',100,1,1),
(143037,10122644,'Decreases Attack Speed of target by 25.0',100,1,2),
(143038,10122644,'Slows target by 20.0%',100,1,3),
(143039,108089,'Decreases Threat to target by 370 - 616 ',100,1,0),
(143040,10108089,'Forces target to clear their selected target.',100,1,0),
(143041,10108089,'Target cannot target caster for the duration of this effect.',100,1,1),
(143042,113422,'Reduces physical damage done to caster by 5%',100,1,0),
(143043,113422,'Increases STA of caster by 99.9',100,1,1),
(143044,113422,'Adds 3.4% to base avoidance.',100,1,2),
(143045,113422,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(143046,113422,'Increases Defense and Aggression of caster by 19.1',100,1,4),
(143047,113422,'Increases Mitigation of caster vs noxious damage by 1276',100,1,5),
(143048,113422,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(143049,10113422,'Reduces physical damage done to caster by 5%',100,1,0),
(143050,10113422,'Increases STA of caster by 99.9',100,1,1),
(143051,10113422,'Adds 3.4% to base avoidance.',100,1,2),
(143052,10113422,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(143053,10113422,'Increases Defense and Aggression of caster by 19.1',100,1,4),
(143054,10113422,'Increases Mitigation of caster vs noxious damage by 1276',100,1,5),
(143055,10113422,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(143056,52300,'When Equipped:',100,0,0),
(143057,52300,'On a critical spell hit this spell may cast Velium Flames III on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(143058,52300,'Inflicts 4555 - 5035 heat damage on target',100,2,2),
(143059,52300,'Decreases Mitigation of target vs elemental damage by 1787',100,2,3),
(143060,52300,'Must not be engaged in pvp combat',100,2,4),
(143061,52300,'Cannot be modified except by direct means',100,2,5),
(143062,52300,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(143063,52300,'On a critical combat hit this spell may cast Velium Flames III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(143064,52300,'Inflicts 4555 - 5035 heat damage on target',100,2,8),
(143065,52300,'Decreases Mitigation of target vs elemental damage by 1787',100,2,9),
(143066,52300,'Must not be engaged in pvp combat',100,2,10),
(143067,52300,'Cannot be modified except by direct means',100,2,11),
(143068,52300,'Cannot be modified except by direct means',100,1,12),
(143069,10052300,'When Equipped:',100,0,0),
(143070,10052300,'On a critical spell hit this spell may cast Velium Flames III on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(143071,10052300,'Inflicts 5922 - 6545 heat damage on target',100,2,2),
(143072,10052300,'Decreases Mitigation of target vs elemental damage by 1787',100,2,3),
(143073,10052300,'Must not be engaged in pvp combat',100,2,4),
(143074,10052300,'Cannot be modified except by direct means',100,2,5),
(143075,10052300,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(143076,10052300,'On a critical combat hit this spell may cast Velium Flames III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(143077,10052300,'Inflicts 5922 - 6545 heat damage on target',100,2,8),
(143078,10052300,'Decreases Mitigation of target vs elemental damage by 1787',100,2,9),
(143079,10052300,'Must not be engaged in pvp combat',100,2,10),
(143080,10052300,'Cannot be modified except by direct means',100,2,11),
(143081,10052300,'Cannot be modified except by direct means',100,1,12),
(143082,106520,'Inflicts 1748 - 2914 melee damage on target',100,1,0),
(143083,106520,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(143084,106520,'If Target is Standard or weaker',100,2,2),
(143085,10106520,'Inflicts 1136 - 1894 melee damage on target',100,1,0),
(143086,47061,'Applies Miscalibrated Automated Pickaxe when Activated.  Lasts for 10 days.',100,0,0),
(143087,47061,'Reduces the harvest time for mining by .2 seconds.',100,1,1),
(143088,47061,'Increases Mining of caster by 10.0',100,1,2),
(143089,10047061,'Applies Miscalibrated Automated Pickaxe when Activated.  Lasts for 10 days.',100,0,0),
(143090,10047061,'Reduces the harvest time for mining by .2 seconds.',100,1,1),
(143091,10047061,'Increases Mining of caster by 10.0',100,1,2),
(143092,24545,'Adds Mistmoore: Red Twin Bed to your Dungeon Maker toolbox',100,0,0),
(143093,10024545,'Adds Mistmoore: Red Twin Bed to your Dungeon Maker toolbox',100,0,0),
(143094,159278,'Applies Sanguine Imbued when Equipped.',100,0,0),
(143095,159278,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(143096,159278,'Inflicts 117 heat damage on target',100,2,2),
(143097,159278,'Cannot be modified except by direct means',100,2,3),
(143098,10159278,'Applies Sanguine Imbued when Equipped.',100,0,0),
(143099,10159278,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(143100,10159278,'Inflicts 152 heat damage on target',100,2,2),
(143101,10159278,'Cannot be modified except by direct means',100,2,3),
(143102,113140,'Shapechanges caster into a lich',100,1,0),
(143103,113140,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,1),
(143104,113140,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(143105,113140,'Inflicts 199 disease damage on target',100,2,3),
(143106,113140,'Heals caster for 85',100,2,4),
(143107,10113140,'Shapechanges caster into a lich',100,1,0),
(143108,10113140,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,1),
(143109,10113140,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(143110,10113140,'Inflicts 259 disease damage on target',100,2,3),
(143111,10113140,'Heals caster for 55',100,2,4),
(143112,118730,'Inflicts 242 - 404 slashing damage on target',100,1,0),
(143113,118730,'Decreases Slashing, Crushing and Piercing of target by 14.1',100,1,1),
(143114,118730,'Inflicts 100 - 122 slashing damage on target every 5 seconds',100,1,2),
(143115,10118730,'Inflicts 315 - 525 slashing damage on target',100,1,0),
(143116,10118730,'Decreases Slashing, Crushing and Piercing of target by 14.1',100,1,1),
(143117,10118730,'Inflicts 130 - 159 slashing damage on target every 5 seconds',100,1,2),
(143118,24605,'Adds Orc-Snow (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(143119,10024605,'Adds Orc-Snow (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(143120,101873,'Stuns target',100,1,0),
(143121,101873,'Does not affect Epic targets',100,1,1),
(143122,101873,'Resistibility increases against targets higher than level 106.',100,1,2),
(143123,10101873,'Stuns target',100,1,0),
(143124,10101873,'Does not affect Epic targets',100,1,1),
(143125,10101873,'Resistibility increases against targets higher than level 106.',100,1,2),
(143126,159691,'When Equipped:',100,0,0),
(143127,159691,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(143128,159691,'Increases WIS of caster by 19.2',100,2,2),
(143129,159691,'Increases Focus, Ministration and Ordination of caster by 10.7',100,2,3),
(143130,159691,'Cannot be modified except by direct means',100,2,4),
(143131,10159691,'When Equipped:',100,0,0),
(143132,10159691,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(143133,10159691,'Increases WIS of caster by 19.2',100,2,2),
(143134,10159691,'Increases Focus, Ministration and Ordination of caster by 10.7',100,2,3),
(143135,10159691,'Cannot be modified except by direct means',100,2,4),
(143136,37119,'Increases STR and STA of target by 5.4',100,0,0),
(143137,37119,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(143138,37119,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(143139,117352,'Roots target',100,1,0),
(143140,117352,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(143141,117352,'Slows target by 42.4%',100,2,2),
(143142,117352,'5% chance to dispel when target receives hostile action',100,2,3),
(143143,117352,'5% chance to dispel when target takes damage',100,2,4),
(143144,117352,'15% chance to dispel when target takes damage',100,1,5),
(143145,117352,'Does not affect Epic targets',100,1,6),
(143146,117352,'Resistibility increases against targets higher than level 102.',100,1,7),
(143147,10117352,'Roots target',100,1,0),
(143148,10117352,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(143149,10117352,'Slows target by 42.4%',100,2,2),
(143150,10117352,'10% chance to dispel when target receives hostile action',100,2,3),
(143151,10117352,'10% chance to dispel when target takes damage',100,2,4),
(143152,10117352,'15% chance to dispel when target takes damage',100,1,5),
(143153,10117352,'Does not affect Epic targets',100,1,6),
(143154,10117352,'Resistibility increases against targets higher than level 102.',100,1,7),
(143155,105323,'Inflicts 84 - 141 melee damage on target',100,1,0),
(143156,105323,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 120',100,1,1),
(143157,105323,'Must be flanking or behind',100,1,2),
(143158,10105323,'Inflicts 110 - 183 melee damage on target',100,1,0),
(143159,10105323,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 120',100,1,1),
(143160,10105323,'Must be flanking or behind',100,1,2),
(143161,46888,'Applies noxious remedy when Activated.',100,0,0),
(143162,46888,'Dispels 68 levels of noxious hostile effects on caster',100,1,1),
(143163,10046888,'Applies noxious remedy when Activated.',100,0,0),
(143164,10046888,'Dispels 68 levels of noxious hostile effects on caster',100,1,1),
(143165,130108,'When Equipped:',100,0,0),
(143166,130108,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(143167,10130108,'When Equipped:',100,0,0),
(143168,10130108,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(143169,24296,'Adds Dire Bear (Ranger) to your Dungeon Maker toolbox',100,0,0),
(143170,10024296,'Adds Dire Bear (Ranger) to your Dungeon Maker toolbox',100,0,0),
(143171,117735,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(143172,117735,'Heals target for 998',100,2,1),
(143173,117735,'Increases Max Health of target by 684.9',100,2,2),
(143174,117735,'Grants a total of 1 trigger of the spell.',100,2,3),
(143175,10117735,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(143176,10117735,'Heals target for 648',100,2,1),
(143177,10117735,'Increases Max Health of target by 684.9',100,2,2),
(143178,10117735,'Grants a total of 1 trigger of the spell.',100,2,3),
(143179,105051,'Inflicts 92 - 153 divine damage on targets in Area of Effect',100,1,0),
(143180,10105051,'Inflicts 120 - 199 divine damage on targets in Area of Effect',100,1,0),
(143181,159944,'When Equipped:',100,0,0),
(143182,159944,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(143183,159944,'Increases AGI of caster by 21.4',100,2,2),
(143184,159944,'Increases Attack Speed of caster by 23.5',100,2,3),
(143185,159944,'Cannot be modified except by direct means',100,2,4),
(143186,10159944,'When Equipped:',100,0,0),
(143187,10159944,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(143188,10159944,'Increases AGI of caster by 21.4',100,2,2),
(143189,10159944,'Increases Attack Speed of caster by 23.5',100,2,3),
(143190,10159944,'Cannot be modified except by direct means',100,2,4),
(143191,75533,'When Equipped:',100,0,0),
(143192,75533,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(143193,75533,'Reduces healing received by 15.00%',100,2,2),
(143194,75533,'Cannot be modified except by direct means',100,2,3),
(143195,75533,'This effect can only trigger once every 1 second.',100,2,4),
(143196,75533,'Must be engaged in pvp combat',100,1,5),
(143197,10075533,'When Equipped:',100,0,0),
(143198,10075533,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(143199,10075533,'Reduces healing received by 15.00%',100,2,2),
(143200,10075533,'Cannot be modified except by direct means',100,2,3),
(143201,10075533,'This effect can only trigger once every 1 second.',100,2,4),
(143202,10075533,'Must be engaged in pvp combat',100,1,5),
(143203,104679,'Decreases Mitigation of target vs all damage by 312',100,1,0),
(143204,10104679,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 312',100,1,0),
(143205,10104679,'Decreases Mitigation of target vs physical damage by 260',100,1,1),
(143206,120751,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(143207,120751,'Heals target for 62 - 75',100,2,1),
(143208,10120751,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(143209,10120751,'Heals target for 40 - 49',100,2,1),
(143210,42539,'When Equipped:',100,0,0),
(143211,42539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143212,42539,'Inflicts 107 - 161 magic damage on target',100,2,2),
(143213,42539,'Cannot be modified except by direct means',100,2,3),
(143214,10042539,'When Equipped:',100,0,0),
(143215,10042539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143216,10042539,'Inflicts 140 - 210 magic damage on target',100,2,2),
(143217,10042539,'Cannot be modified except by direct means',100,2,3),
(143218,108405,'Heals target for 619 - 757',100,1,0),
(143219,10108405,'Heals target for 741 - 905',100,1,0),
(143220,107692,'Inflicts 58 - 96 heat damage on target',100,1,0),
(143221,107692,'You must be sneaking to use this ability.',100,1,1),
(143222,10107692,'Inflicts 75 - 125 heat damage on target',100,1,0),
(143223,10107692,'You must be sneaking to use this ability.',100,1,1),
(143224,166502,'When Equipped:',100,0,0),
(143225,166502,'On a critical spell hit this spell may cast Final Stab VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(143226,166502,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(143227,166502,'Must not be engaged in pvp combat',100,2,3),
(143228,166502,'Cannot be modified except by direct means',100,2,4),
(143229,166502,'On a critical combat hit this spell may cast Final Stab VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(143230,166502,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(143231,166502,'Must not be engaged in pvp combat',100,2,7),
(143232,166502,'Cannot be modified except by direct means',100,2,8),
(143233,166502,'Must not be engaged in pvp combat',100,1,9),
(143234,10166502,'When Equipped:',100,0,0),
(143235,10166502,'On a critical spell hit this spell may cast Final Stab VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(143236,10166502,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(143237,10166502,'Must not be engaged in pvp combat',100,2,3),
(143238,10166502,'Cannot be modified except by direct means',100,2,4),
(143239,10166502,'On a critical combat hit this spell may cast Final Stab VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(143240,10166502,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(143241,10166502,'Must not be engaged in pvp combat',100,2,7),
(143242,10166502,'Cannot be modified except by direct means',100,2,8),
(143243,10166502,'Must not be engaged in pvp combat',100,1,9),
(143244,36840,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(143245,25527,'When Equipped:',100,0,0),
(143246,25527,'Reduces the reuse time of Grave Sacrament VI by 30 seconds.',100,1,1),
(143247,25527,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(143248,10025527,'When Equipped:',100,0,0),
(143249,10025527,'Reduces the reuse time of Grave Sacrament VI by 30 seconds.',100,1,1),
(143250,10025527,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(143251,51302,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(143252,51302,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(143253,51302,'Inflicts 35 heat damage on target',100,2,2),
(143254,51302,'Cannot be modified except by direct means',100,2,3),
(143255,10051302,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(143256,10051302,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(143257,10051302,'Inflicts 45 heat damage on target',100,2,2),
(143258,10051302,'Cannot be modified except by direct means',100,2,3),
(143259,118661,'Inflicts 161 - 269 slashing damage on target',100,1,0),
(143260,10118661,'Inflicts 210 - 350 slashing damage on target',100,1,0),
(143261,82747,'When Equipped:',100,0,0),
(143262,82747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143263,82747,'Inflicts 164 - 305 magic damage on target',100,2,2),
(143264,82747,'Cannot be modified except by direct means',100,2,3),
(143265,10082747,'When Equipped:',100,0,0),
(143266,10082747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143267,10082747,'Inflicts 213 - 396 magic damage on target',100,2,2),
(143268,10082747,'Cannot be modified except by direct means',100,2,3),
(143269,103799,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 24.6',100,1,0),
(143270,10103799,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 24.6',100,1,0),
(143271,135893,'When Equipped:',100,0,0),
(143272,135893,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(143273,135893,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(143274,135893,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(143275,135893,'Must not be engaged in pvp combat',100,2,4),
(143276,135893,'Cannot be modified except by direct means',100,2,5),
(143277,135893,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(143278,135893,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(143279,135893,'Must not be engaged in pvp combat',100,2,8),
(143280,135893,'Cannot be modified except by direct means',100,2,9),
(143281,135893,'Must not be engaged in pvp combat',100,1,10),
(143282,10135893,'When Equipped:',100,0,0),
(143283,10135893,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(143284,10135893,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(143285,10135893,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(143286,10135893,'Must not be engaged in pvp combat',100,2,4),
(143287,10135893,'Cannot be modified except by direct means',100,2,5),
(143288,10135893,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(143289,10135893,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(143290,10135893,'Must not be engaged in pvp combat',100,2,8),
(143291,10135893,'Cannot be modified except by direct means',100,2,9),
(143292,10135893,'Must not be engaged in pvp combat',100,1,10),
(143293,120757,'Inflicts 42 - 51 divine damage on target instantly and every 3 seconds',100,1,0),
(143294,120757,'Increases power of caster by 30 instantly and every 3 seconds',100,1,1),
(143295,10120757,'Inflicts 54 - 67 divine damage on target instantly and every 3 seconds',100,1,0),
(143296,10120757,'Increases power of caster by 30 instantly and every 3 seconds',100,1,1),
(143297,35478,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(143298,35478,'This effect suspends during combat',100,0,1),
(143299,87393,'When Equipped:',100,0,0),
(143300,87393,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143301,87393,'Inflicts 194 - 290 magic damage on target',100,2,2),
(143302,87393,'Cannot be modified except by direct means',100,2,3),
(143303,10087393,'When Equipped:',100,0,0),
(143304,10087393,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143305,10087393,'Inflicts 252 - 378 magic damage on target',100,2,2),
(143306,10087393,'Cannot be modified except by direct means',100,2,3),
(143307,35714,'Increases Max Health of target by 5.5',100,0,0),
(143308,35714,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(143309,103193,'Increases Mitigation of caster vs physical damage by 320',100,1,0),
(143310,103193,'Roots caster',100,1,1),
(143311,10103193,'Increases Mitigation of caster vs physical damage by 320',100,1,0),
(143312,10103193,'Roots caster',100,1,1),
(143313,111591,'Inflicts 20 - 38 cold damage on target instantly and every 4 seconds',100,1,0),
(143314,111591,'Decreases Mitigation of target vs elemental damage by 270',100,1,1),
(143315,10111591,'Inflicts 26 - 49 cold damage on target instantly and every 4 seconds',100,1,0),
(143316,10111591,'Decreases Mitigation of target vs elemental damage by 270',100,1,1),
(143317,117361,'Roots target',100,1,0),
(143318,117361,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(143319,117361,'Slows target by 51.3%',100,2,2),
(143320,117361,'5% chance to dispel when target receives hostile action',100,2,3),
(143321,117361,'5% chance to dispel when target takes damage',100,2,4),
(143322,117361,'15% chance to dispel when target takes damage',100,1,5),
(143323,117361,'Does not affect Epic targets',100,1,6),
(143324,117361,'Resistibility increases against targets higher than level 112.',100,1,7),
(143325,10117361,'Roots target',100,1,0),
(143326,10117361,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(143327,10117361,'Slows target by 51.3%',100,2,2),
(143328,10117361,'10% chance to dispel when target receives hostile action',100,2,3),
(143329,10117361,'10% chance to dispel when target takes damage',100,2,4),
(143330,10117361,'15% chance to dispel when target takes damage',100,1,5),
(143331,10117361,'Does not affect Epic targets',100,1,6),
(143332,10117361,'Resistibility increases against targets higher than level 112.',100,1,7),
(143333,35746,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(143334,123913,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(143335,123913,'Slows target by 63.3%',100,2,1),
(143336,123913,'5% chance to dispel when target receives hostile action',100,2,2),
(143337,123913,'5% chance to dispel when target takes damage',100,2,3),
(143338,123913,'Decreases Mitigation of target vs elemental and noxious damage by 1155',100,1,4),
(143339,10123913,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(143340,10123913,'Slows target by 63.3%',100,2,1),
(143341,10123913,'5% chance to dispel when target receives hostile action',100,2,2),
(143342,10123913,'5% chance to dispel when target takes damage',100,2,3),
(143343,10123913,'Decreases Mitigation of target vs elemental and noxious damage by 1155',100,1,4),
(143344,176417,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(143345,176417,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(143346,176417,'Decreases Attack Speed of target by 10.8',100,2,2),
(143347,176417,'Cannot be modified except by direct means',100,2,3),
(143348,176417,'Slows target by 27.8%',100,1,4),
(143349,176417,'5% chance to dispel when target takes damage',100,1,5),
(143350,176417,'5% chance to dispel when target receives hostile action',100,1,6),
(143351,176417,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(143352,10176417,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(143353,10176417,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(143354,10176417,'Decreases Attack Speed of target by 10.8',100,2,2),
(143355,10176417,'Cannot be modified except by direct means',100,2,3),
(143356,10176417,'Slows target by 27.8%',100,1,4),
(143357,10176417,'5% chance to dispel when target takes damage',100,1,5),
(143358,10176417,'5% chance to dispel when target receives hostile action',100,1,6),
(143359,10176417,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(143360,120753,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(143361,120753,'Heals target for 71 - 86',100,2,1),
(143362,10120753,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(143363,10120753,'Heals target for 46 - 56',100,2,1),
(143364,48112,'Applies Tag the Sokokar when Activated.',100,0,0),
(143365,10048112,'Applies Tag the Sokokar when Activated.',100,0,0),
(143366,37005,'Increases Max Health of target by 3.9',100,0,0),
(143367,37005,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(143368,122319,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(143369,122319,'Inflicts 652 - 797 mental damage on target',100,2,1),
(143370,122319,'Grants a total of 3 triggers of the spell.',100,2,2),
(143371,10122319,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(143372,10122319,'Inflicts 847 - 1036 mental damage on target',100,2,1),
(143373,10122319,'Grants a total of 3 triggers of the spell.',100,2,2),
(143374,116216,'Inflicts 2356 - 3927 mental damage on target',100,1,0),
(143375,10116216,'Inflicts 3063 - 5105 mental damage on target',100,1,0),
(143376,124145,'Inflicts 267 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(143377,124145,'Applies Banshee''s Scream on termination.',100,1,1),
(143378,124145,'Inflicts 801 - 1336 disease damage on target',100,2,2),
(143379,10124145,'Inflicts 347 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(143380,10124145,'Applies Banshee''s Scream on termination.',100,1,1),
(143381,10124145,'Inflicts 1042 - 1736 disease damage on target',100,2,2),
(143382,173663,'When Equipped:',100,0,0),
(143383,173663,'When any physical damage is received this spell has a 8% chance to cast Divine Relief on caster.  ',100,1,1),
(143384,173663,'Heals caster for 252',100,2,2),
(143385,173663,'Cannot be modified except by direct means',100,2,3),
(143386,10173663,'When Equipped:',100,0,0),
(143387,10173663,'When any physical damage is received this spell has a 8% chance to cast Divine Relief on caster.  ',100,1,1),
(143388,10173663,'Heals caster for 164',100,2,2),
(143389,10173663,'Cannot be modified except by direct means',100,2,3),
(143390,102855,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(143391,102855,'Stuns target',100,2,1),
(143392,102855,'Throws target back',100,2,2),
(143393,102855,'Blurs vision of target',100,2,3),
(143394,102855,'Does not affect Epic targets',100,2,4),
(143395,102855,'Inflicts 233 - 701 melee damage on targets in area',100,1,5),
(143396,10102855,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(143397,10102855,'Stuns target',100,2,1),
(143398,10102855,'Throws target back',100,2,2),
(143399,10102855,'Blurs vision of target',100,2,3),
(143400,10102855,'Does not affect Epic targets',100,2,4),
(143401,10102855,'Inflicts 303 - 911 melee damage on targets in area',100,1,5),
(143402,117424,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(143403,117424,'Inflicts 292 - 542 melee damage on targets in area',100,2,1),
(143404,117424,'Grants a total of 10 triggers of the spell.',100,2,2),
(143405,10117424,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(143406,10117424,'Inflicts 379 - 705 melee damage on targets in area',100,2,1),
(143407,10117424,'Grants a total of 10 triggers of the spell.',100,2,2),
(143408,105835,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(143409,105835,'Inflicts 323 - 538 disease damage on target',100,2,1),
(143410,10105835,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(143411,10105835,'Inflicts 420 - 700 disease damage on target',100,2,1),
(143412,24362,'Adds Evil Eye (Warlock) to your Dungeon Maker toolbox',100,0,0),
(143413,10024362,'Adds Evil Eye (Warlock) to your Dungeon Maker toolbox',100,0,0),
(143414,112078,'Inflicts 36 - 60 heat damage on target instantly and every 2 seconds',100,1,0),
(143415,10112078,'Inflicts 115 - 192 heat damage on target instantly and every 2 seconds',100,1,0),
(143416,185947,'When Equipped:',100,0,0),
(143417,185947,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(143418,185947,'Increases Potency of caster by 7.0%',100,2,2),
(143419,185947,'Cannot be modified except by direct means',100,2,3),
(143420,10185947,'When Equipped:',100,0,0),
(143421,10185947,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(143422,10185947,'Increases Potency of caster by 7.0%',100,2,2),
(143423,10185947,'Cannot be modified except by direct means',100,2,3),
(143424,35700,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(143425,42522,'When Equipped:',100,0,0),
(143426,42522,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143427,42522,'Inflicts 76 - 114 magic damage on target',100,2,2),
(143428,42522,'Cannot be modified except by direct means',100,2,3),
(143429,10042522,'When Equipped:',100,0,0),
(143430,10042522,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143431,10042522,'Inflicts 98 - 148 magic damage on target',100,2,2),
(143432,10042522,'Cannot be modified except by direct means',100,2,3),
(143433,48889,'Applies Translucent Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(143434,48889,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(143435,48889,'Inflicts 16 magic damage on target',100,2,2),
(143436,48889,'Cannot be modified except by direct means',100,2,3),
(143437,10048889,'Applies Translucent Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(143438,10048889,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(143439,10048889,'Inflicts 21 magic damage on target',100,2,2),
(143440,10048889,'Cannot be modified except by direct means',100,2,3),
(143441,109968,'Inflicts 610 - 915 disease damage on targets in Area of Effect',100,1,0),
(143442,109968,'Inflicts 305 - 457 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(143443,109968,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(143444,109968,'Increases Threat to targets in Area of Effect by 1,563 - 1,911  instantly and every 4 seconds thereafter',100,1,3),
(143445,10109968,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(143446,10109968,'Prevents target from changing targets',100,2,1),
(143447,10109968,'Forces target to change their selected target to caster.',100,2,2),
(143448,10109968,'Inflicts 793 - 1189 disease damage on targets in Area of Effect',100,1,3),
(143449,10109968,'Inflicts 396 - 594 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(143450,104717,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(143451,104717,'Decreases Mitigation of target vs elemental and arcane damage by 504',100,2,1),
(143452,104717,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(143453,104717,'Decreases Mitigation of target vs elemental and arcane damage by 504',100,2,3),
(143454,10104717,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(143455,10104717,'Decreases Mitigation of target vs elemental and arcane damage by 504',100,2,1),
(143456,10104717,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(143457,10104717,'Decreases Mitigation of target vs elemental and arcane damage by 504',100,2,3),
(143458,46046,'Applies Frigid Dissipation when Activated.  Lasts for 2.0 seconds.',100,0,0),
(143459,46046,'Inflicts 108 magic damage on target',100,1,1),
(143460,46046,'Interrupts target',100,1,2),
(143461,46046,'Removes elemental frost infused curse effects.',100,1,3),
(143462,46046,'If any of the following are true:',100,1,4),
(143463,46046,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(143464,46046,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(143465,46046,'Cannot be modified except by direct means',100,1,7),
(143466,10046046,'Applies Frigid Dissipation when Activated.  Lasts for 2.0 seconds.',100,0,0),
(143467,10046046,'Inflicts 140 magic damage on target',100,1,1),
(143468,10046046,'Interrupts target',100,1,2),
(143469,10046046,'Removes elemental frost infused curse effects.',100,1,3),
(143470,10046046,'If any of the following are true:',100,1,4),
(143471,10046046,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(143472,10046046,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(143473,10046046,'Cannot be modified except by direct means',100,1,7),
(143474,54440,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(143475,54440,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(143476,54440,'Inflicts 50 heat damage on target',100,2,2),
(143477,54440,'Cannot be modified except by direct means',100,2,3),
(143478,10054440,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(143479,10054440,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(143480,10054440,'Inflicts 66 heat damage on target',100,2,2),
(143481,10054440,'Cannot be modified except by direct means',100,2,3),
(143482,123061,'Summons a pet undead knight',100,1,0),
(143483,10123061,'Summons a pet undead knight',100,1,0),
(143484,45667,'Applies Froakus'' Blessing  when Activated.  Lasts for 30 minutes.',100,0,0),
(143485,45667,'Increases STR and STA of caster by 31.0',100,1,1),
(143486,10045667,'Applies Froakus'' Blessing  when Activated.  Lasts for 30 minutes.',100,0,0),
(143487,10045667,'Increases STR and STA of caster by 31.0',100,1,1),
(143488,37476,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(143489,120066,'Inflicts 92 - 154 mental damage on target',100,1,0),
(143490,120066,'Inflicts 92 - 154 mental damage on target',100,1,1),
(143491,120066,'Stifles target',100,1,2),
(143492,120066,'If Target is not Epic',100,2,3),
(143493,120066,'If weapon equipped in Ranged',100,1,4),
(143494,120066,'Resistibility increases against targets higher than level 59.',100,1,5),
(143495,10120066,'Inflicts 105 - 175 mental damage on target',100,1,0),
(143496,10120066,'Inflicts 105 - 175 mental damage on target',100,1,1),
(143497,10120066,'Stifles target',100,1,2),
(143498,10120066,'If Target is not Epic',100,2,3),
(143499,10120066,'If weapon equipped in Ranged',100,1,4),
(143500,10120066,'Resistibility increases against targets higher than level 59.',100,1,5),
(143501,72109,'When Equipped:',100,0,0),
(143502,72109,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(143503,72109,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(143504,72109,'Cannot be modified except by direct means',100,2,3),
(143505,10072109,'When Equipped:',100,0,0),
(143506,10072109,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(143507,10072109,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(143508,10072109,'Cannot be modified except by direct means',100,2,3),
(143509,35239,'Increases STA of target by 1.5',100,0,0),
(143510,35239,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(143511,121523,'Inflicts 343 - 573 melee damage on target',100,1,0),
(143512,121523,'Stuns target',100,1,1),
(143513,121523,'If Target is not Epic',100,2,2),
(143514,121523,'Resistibility increases against targets higher than level 73.',100,1,3),
(143515,10121523,'Inflicts 447 - 745 melee damage on target',100,1,0),
(143516,10121523,'Stuns target',100,1,1),
(143517,10121523,'If Target is not Epic',100,2,2),
(143518,10121523,'Resistibility increases against targets higher than level 73.',100,1,3),
(143519,80873,'When Equipped:',100,0,0),
(143520,80873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143521,80873,'Inflicts 288 - 534 magic damage on target',100,2,2),
(143522,80873,'Cannot be modified except by direct means',100,2,3),
(143523,10080873,'When Equipped:',100,0,0),
(143524,10080873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143525,10080873,'Inflicts 374 - 695 magic damage on target',100,2,2),
(143526,10080873,'Cannot be modified except by direct means',100,2,3),
(143527,119601,'Increases power of caster by 82 instantly and every 4 seconds',100,1,0),
(143528,10119601,'Increases power of caster by 82 instantly and every 4 seconds',100,1,0),
(143529,112434,'Mesmerizes target',100,1,0),
(143530,112434,'Prevents AOE (except when direct) ',100,1,1),
(143531,112434,'Dispelled when target takes damage',100,1,2),
(143532,112434,'Does not affect Epic targets',100,1,3),
(143533,112434,'Resistibility increases against targets higher than level 67.',100,1,4),
(143534,10112434,'Mesmerizes target',100,1,0),
(143535,10112434,'Prevents AOE (except when direct) ',100,1,1),
(143536,10112434,'Dispelled when target takes damage',100,1,2),
(143537,10112434,'Does not affect Epic targets',100,1,3),
(143538,10112434,'Resistibility increases against targets higher than level 67.',100,1,4),
(143539,123275,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(143540,123275,'Inflicts 68 - 113 disease damage on target',100,2,1),
(143541,123275,'Heals caster for 1.0 - 1.8% of max health',100,2,2),
(143542,123275,'This effect cannot be critically applied.',100,3,3),
(143543,123275,'The healing of this spell cannot be modified except by direct means',100,2,4),
(143544,10123275,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(143545,10123275,'Inflicts 88 - 147 disease damage on target',100,2,1),
(143546,10123275,'Heals caster for 0.4 - 0.6% of max health',100,2,2),
(143547,10123275,'This effect cannot be critically applied.',100,3,3),
(143548,10123275,'The healing of this spell cannot be modified except by direct means',100,2,4),
(143549,121333,'Inflicts 2279 - 3798 ranged damage on targets in area',100,1,0),
(143550,121333,'Requires bow',100,1,1),
(143551,10121333,'Inflicts 1743 - 2906 ranged damage on targets in area',100,1,0),
(143552,10121333,'Requires bow',100,1,1),
(143553,116585,'Inflicts 136 - 227 divine damage on target',100,1,0),
(143554,10116585,'Inflicts 177 - 295 divine damage on target',100,1,0),
(143555,122476,'Grants the brawler a small chance to briefly stun their target with  each melee hit.',100,1,0),
(143558,10122476,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(143559,10122476,'Inflicts 49 magic damage on target',100,2,1),
(143560,10122476,'Grants a total of 5 triggers of the spell.',100,2,2),
(143561,36256,'Increases AGI and INT of target by 1.1',100,0,0),
(143562,36256,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(143563,102629,'Inflicts 43 - 80 heat damage on target',100,1,0),
(143564,102629,'Inflicts 16 - 30 heat damage on target every 2 seconds',100,1,1),
(143565,10102629,'Inflicts 56 - 105 heat damage on target',100,1,0),
(143566,10102629,'Inflicts 21 - 39 heat damage on target every 2 seconds',100,1,1),
(143567,80371,'When Equipped:',100,0,0),
(143568,80371,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(143569,80371,'Decreases Threat to target by 153 ',100,2,2),
(143570,80371,'Must be flanking or behind',100,3,3),
(143571,80371,'Increases Threat to target by 154 ',100,2,4),
(143572,80371,'Must be in front of',100,3,5),
(143573,80371,'Inflicts 70 - 131 magic damage on target',100,2,6),
(143574,80371,'Cannot be modified except by direct means',100,2,7),
(143575,10080371,'When Equipped:',100,0,0),
(143576,10080371,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(143577,10080371,'Inflicts 91 - 170 magic damage on target',100,2,2),
(143578,10080371,'Cannot be modified except by direct means',100,2,3),
(143579,112986,'Reduces physical damage done to caster by 5%',100,1,0),
(143580,112986,'Increases STA of caster by 64.4',100,1,1),
(143581,112986,'Adds 4.3% to base avoidance.',100,1,2),
(143582,112986,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(143583,112986,'Increases Defense and Aggression of caster by 12.6',100,1,4),
(143584,112986,'Increases Mitigation of caster vs arcane damage by 840',100,1,5),
(143585,112986,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(143586,10112986,'Reduces physical damage done to caster by 5%',100,1,0),
(143587,10112986,'Increases STA of caster by 64.4',100,1,1),
(143588,10112986,'Adds 4.3% to base avoidance.',100,1,2),
(143589,10112986,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(143590,10112986,'Increases Defense and Aggression of caster by 12.6',100,1,4),
(143591,10112986,'Increases Mitigation of caster vs arcane damage by 840',100,1,5),
(143592,10112986,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(143593,46566,'Applies Throw Griffawn''s Fetching Bone when Activated.  Lasts for 1.0 second.',100,0,0),
(143594,46566,'Must be in Great Divide.',100,1,1),
(143595,10046566,'Applies Throw Griffawn''s Fetching Bone when Activated.  Lasts for 1.0 second.',100,0,0),
(143596,10046566,'Must be in Great Divide.',100,1,1),
(143597,119773,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(143598,119773,'Inflicts 73 - 89 poison damage on target encounter',100,2,1),
(143599,10119773,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(143600,10119773,'Inflicts 95 - 116 poison damage on target encounter',100,2,1),
(143601,113173,'Inflicts 1107 disease damage on target',100,1,0),
(143602,113173,'Heals caster for 472',100,1,1),
(143603,10113173,'Inflicts 1439 disease damage on target',100,1,0),
(143604,10113173,'Heals caster for 399',100,1,1),
(143605,143312,'When Equipped:',100,0,0),
(143606,143312,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(143607,143312,'Inflicts 581 piercing damage on target',100,2,2),
(143608,143312,'Cannot be modified except by direct means',100,2,3),
(143609,10143312,'When Equipped:',100,0,0),
(143610,10143312,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(143611,10143312,'Inflicts 756 piercing damage on target',100,2,2),
(143612,10143312,'Cannot be modified except by direct means',100,2,3),
(143613,46390,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(143614,46390,'Increases Max Power of caster by 220.1',100,1,1),
(143615,10046390,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(143616,10046390,'Increases Max Power of caster by 220.1',100,1,1),
(143617,109715,'Inflicts 75 - 126 cold damage on target',100,1,0),
(143618,109715,'If weapon equipped in Ranged',100,1,1),
(143619,10109715,'Inflicts 64 - 107 cold damage on target',100,1,0),
(143620,10109715,'If weapon equipped in Ranged',100,1,1),
(143621,191699,'When Equipped:',100,0,0),
(143622,191699,'This effect will not stack with any rank or tier of itself.',100,1,1),
(143623,191699,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(143624,191699,'Cannot be modified except by direct means',100,1,3),
(143625,10191699,'When Equipped:',100,0,0),
(143626,10191699,'This effect will not stack with any rank or tier of itself.',100,1,1),
(143627,10191699,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(143628,10191699,'Cannot be modified except by direct means',100,1,3),
(143629,102802,'Summons 3 limited pets to aid the caster',100,1,0),
(143630,10102802,'Summons 3 limited pets to aid the caster',100,1,0),
(143631,55623,'When Equipped:',100,0,0),
(143632,55623,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(143633,55623,'When Equipped:',100,0,2),
(143634,55623,'Increases caster''s chance to block by 15.0%',100,1,3),
(143635,10055623,'When Equipped:',100,0,0),
(143636,10055623,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(143637,10055623,'When Equipped:',100,0,2),
(143638,10055623,'Increases caster''s chance to block by 15.0%',100,1,3),
(143639,35801,'Increases STR and STA of target by 1.1',100,0,0),
(143640,35801,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(143641,115513,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(143642,115513,'Increases Mitigation of group members (AE) vs noxious damage by 689',100,1,1),
(143643,10115513,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(143644,10115513,'Increases Mitigation of group members (AE) vs noxious damage by 689',100,1,1),
(143645,108383,'Heals target for 32 - 39',100,1,0),
(143646,10108383,'Heals target for 38 - 47',100,1,0),
(143647,80234,'When Equipped:',100,0,0),
(143648,80234,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143649,80234,'Inflicts 260 - 482 magic damage on target',100,2,2),
(143650,80234,'Cannot be modified except by direct means',100,2,3),
(143651,10080234,'When Equipped:',100,0,0),
(143652,10080234,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143653,10080234,'Inflicts 337 - 627 magic damage on target',100,2,2),
(143654,10080234,'Cannot be modified except by direct means',100,2,3),
(143655,109677,'Inflicts 93 - 114 cold damage on target instantly and every 3 seconds',100,1,0),
(143656,10109677,'Inflicts 121 - 148 cold damage on target instantly and every 3 seconds',100,1,0),
(143657,106503,'Decreases STR and AGI of target by 84.7',100,1,0),
(143658,10106503,'Decreases STR and AGI of target by 84.7',100,1,0),
(143659,115228,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(143660,115228,'Decreases Mitigation of target vs noxious damage by 869',100,2,1),
(143661,115228,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(143662,115228,'Decreases Mitigation of target vs noxious damage by 869',100,2,3),
(143663,10115228,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(143664,10115228,'Decreases Mitigation of target vs noxious damage by 869',100,2,1),
(143665,10115228,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(143666,10115228,'Decreases Mitigation of target vs noxious damage by 869',100,2,3),
(143667,102756,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(143668,102756,'Inflicts 588 - 980 divine damage on target',100,2,1),
(143669,102756,'Inflicts 504 - 840 divine damage on target',100,2,2),
(143670,102756,'If target is undead',100,3,3),
(143671,102756,'Stuns target',100,2,4),
(143672,102756,'If Target is not Epic',100,3,5),
(143673,10102756,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(143674,10102756,'Inflicts 1146 - 1910 divine damage on target',100,2,1),
(143675,10102756,'Stuns target',100,2,2),
(143676,10102756,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(143677,117313,'Roots target',100,1,0),
(143678,117313,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(143679,117313,'Slows target by 43.9%',100,2,2),
(143680,117313,'5% chance to dispel when target receives hostile action',100,2,3),
(143681,117313,'5% chance to dispel when target takes damage',100,2,4),
(143682,117313,'15% chance to dispel when target takes damage',100,1,5),
(143683,117313,'Does not affect Epic targets',100,1,6),
(143684,117313,'Resistibility increases against targets higher than level 62.',100,1,7),
(143685,10117313,'Roots target',100,1,0),
(143686,10117313,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(143687,10117313,'Slows target by 43.9%',100,2,2),
(143688,10117313,'10% chance to dispel when target receives hostile action',100,2,3),
(143689,10117313,'10% chance to dispel when target takes damage',100,2,4),
(143690,10117313,'15% chance to dispel when target takes damage',100,1,5),
(143691,10117313,'Does not affect Epic targets',100,1,6),
(143692,10117313,'Resistibility increases against targets higher than level 62.',100,1,7),
(143693,105999,'Inflicts 23 - 28 divine damage on target instantly and every 3 seconds',100,1,0),
(143694,105999,'Decreases Defense of target by 3.4',100,1,1),
(143695,10105999,'Inflicts 20 - 24 divine damage on target instantly and every 3 seconds',100,1,0),
(143696,10105999,'Decreases Defense of target by 3.4',100,1,1),
(143697,123589,'Increases STR of group members (AE) by 83.2',100,1,0),
(143698,123589,'Increases Max Health of group members (AE) by 740.4',100,1,1),
(143699,10123589,'Increases STR of group members (AE) by 83.2',100,1,0),
(143700,10123589,'Increases Max Health of group members (AE) by 740.4',100,1,1),
(143701,105521,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.7',100,1,0),
(143702,10105521,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.7',100,1,0),
(143703,120887,'Stifles target',100,1,0),
(143704,120887,'Inflicts 464 - 567 mental damage on target',100,1,1),
(143705,120887,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,2),
(143706,120887,'Resistibility increases against targets higher than level 73.',100,1,3),
(143707,10120887,'Stifles target',100,1,0),
(143708,10120887,'Inflicts 604 - 738 mental damage on target',100,1,1),
(143709,10120887,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(143710,10120887,'Resistibility increases against targets higher than level 73.',100,1,3),
(143711,103164,'Throws target back',100,1,0),
(143712,103164,'If Target is not Epic',100,2,1),
(143713,103164,'Inflicts 181 - 545 crushing damage on target',100,1,2),
(143714,103164,'Stuns target',100,1,3),
(143715,103164,'If Target is not Epic',100,2,4),
(143716,103164,'Resistibility increases against targets higher than level 84.',100,1,5),
(143717,10103164,'Throws target back',100,1,0),
(143718,10103164,'If Target is not Epic',100,2,1),
(143719,10103164,'Inflicts 236 - 709 crushing damage on target',100,1,2),
(143720,10103164,'Stuns target',100,1,3),
(143721,10103164,'If Target is not Epic',100,2,4),
(143722,10103164,'Resistibility increases against targets higher than level 84.',100,1,5),
(143723,115998,'Inflicts 1023 - 1534 mental damage on target',100,1,0),
(143724,115998,'Stuns target',100,1,1),
(143725,115998,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(143726,115998,'Resistibility increases against targets higher than level 118.',100,1,3),
(143727,10115998,'Stuns target',100,1,0),
(143728,10115998,'Inflicts 1330 - 1995 mental damage on target',100,1,1),
(143729,10115998,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(143730,10115998,'Resistibility increases against targets higher than level 118.',100,1,3),
(143731,37207,'Increases INT of target by 0.4',100,0,0),
(143732,37207,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(143733,106337,'Decreases INT and STR of target by 116.2',100,1,0),
(143734,10106337,'Decreases INT and STR of target by 116.2',100,1,0),
(143735,82384,'When Equipped:',100,0,0),
(143736,82384,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143737,82384,'Inflicts 151 - 280 magic damage on target',100,2,2),
(143738,82384,'Cannot be modified except by direct means',100,2,3),
(143739,10082384,'When Equipped:',100,0,0),
(143740,10082384,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143741,10082384,'Inflicts 196 - 364 magic damage on target',100,2,2),
(143742,10082384,'Cannot be modified except by direct means',100,2,3),
(143743,80286,'When Equipped:',100,0,0),
(143744,80286,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143745,80286,'Inflicts 234 - 434 magic damage on target',100,2,2),
(143746,80286,'Cannot be modified except by direct means',100,2,3),
(143747,10080286,'When Equipped:',100,0,0),
(143748,10080286,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143749,10080286,'Inflicts 304 - 564 magic damage on target',100,2,2),
(143750,10080286,'Cannot be modified except by direct means',100,2,3),
(143751,119922,'Stifles target',100,1,0),
(143752,119922,'Inflicts 338 - 413 mental damage on target',100,1,1),
(143753,119922,'Inflicts 113 - 138 mental damage on target every 2 seconds',100,1,2),
(143754,119922,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,3),
(143755,119922,'Resistibility increases against targets higher than level 73.',100,1,4),
(143756,10119922,'Stifles target',100,1,0),
(143757,10119922,'Inflicts 439 - 537 mental damage on target',100,1,1),
(143758,10119922,'Inflicts 146 - 179 mental damage on target every second',100,1,2),
(143759,10119922,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(143760,10119922,'Resistibility increases against targets higher than level 73.',100,1,4),
(143761,26419,'When Equipped:',100,0,0),
(143762,26419,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(143763,26419,'Decreases power of target by 156',100,2,2),
(143764,26419,'Increases power of caster by 100',100,2,3),
(143765,26419,'Cannot be modified except by direct means',100,2,4),
(143766,10026419,'When Equipped:',100,0,0),
(143767,10026419,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(143768,10026419,'Decreases power of target by 156',100,2,2),
(143769,10026419,'Increases power of caster by 100',100,2,3),
(143770,10026419,'Cannot be modified except by direct means',100,2,4),
(143771,115115,'Summons 4 limited pets to aid the caster',100,1,0),
(143772,10115115,'Summons 4 limited pets to aid the caster',100,1,0),
(143773,115488,'Summons a pet nightshade',100,1,0),
(143774,10115488,'Summons a pet nightshade',100,1,0),
(143775,101770,'Heals group members (AE) for 236 - 288 instantly and every 2 seconds',100,1,0),
(143776,10101770,'Heals group members (AE) for 153 - 187 instantly and every 2 seconds',100,1,0),
(143777,121218,'Grants stealth to caster',100,1,0),
(143778,121218,'Suspends caster''s movement speed enhancements',100,1,1),
(143779,121218,'Decreases Threat to target by 1,776 - 2,960 ',100,1,2),
(143780,10121218,'Forces target to clear their selected target.',100,1,0),
(143781,10121218,'Grants stealth to caster',100,1,1),
(143782,10121218,'Suspends caster''s movement speed enhancements',100,1,2),
(143783,101817,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(143784,101817,'Decreases Threat to target by 1,792 ',100,2,1),
(143785,10101817,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(143786,10101817,'Inflicts 152 - 168 crushing damage on target',100,2,1),
(143787,116286,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(143788,116286,'Inflicts 704 - 860 disease damage on caster',100,2,1),
(143789,116286,'Inflicts 235 - 287 disease damage on caster every 2 seconds',100,2,2),
(143790,116286,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(143791,116286,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(143792,116286,'Grants a total of 1 trigger of the spell.',100,3,5),
(143793,10116286,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(143794,10116286,'Inflicts 915 - 1118 disease damage on caster',100,2,1),
(143795,10116286,'Inflicts 305 - 373 disease damage on caster every 2 seconds',100,2,2),
(143796,10116286,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(143797,10116286,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(143798,10116286,'Grants a total of 1 trigger of the spell.',100,3,5),
(143799,103515,'Charms target',100,1,0),
(143800,103515,'If outside an arena',100,1,1),
(143801,103515,'Certain enemies cannot be charmed',100,1,2),
(143802,103515,'Does not affect Epic targets',100,1,3),
(143803,10103515,'Mesmerizes target',100,1,0),
(143804,10103515,'Prevents AOE (except when direct) ',100,1,1),
(143805,10103515,'Dispelled when target takes damage',100,1,2),
(143806,10103515,'If outside an arena',100,1,3),
(143807,10103515,'Certain enemies cannot be charmed',100,1,4),
(143808,10103515,'Does not affect Epic targets',100,1,5),
(143809,10103515,'Resistibility increases against targets higher than level 77.',100,1,6),
(143810,46765,'Applies Call the Elder Lavaborn Warg when Activated.',100,0,0),
(143811,46765,'Summons a mount to ride',100,1,1),
(143812,46765,'Increases your ground speed by 130%',100,2,2),
(143813,46765,'Increases Crit Bonus of caster by 1.0%',100,1,3),
(143814,46765,'Increases Out-of-Combat Power Regeneration of caster by 15.0',100,1,4),
(143815,46765,'Increases Out-of-Combat Health Regeneration of caster by 15.0',100,1,5),
(143816,46765,'Increases Max Health of caster by 150.0',100,1,6),
(143817,10046765,'Applies Call the Elder Lavaborn Warg when Activated.',100,0,0),
(143818,10046765,'Summons a mount to ride',100,1,1),
(143819,10046765,'Increases your ground speed by 130%',100,2,2),
(143820,10046765,'Increases Crit Bonus of caster by 1.0%',100,1,3),
(143821,10046765,'Increases Out-of-Combat Power Regeneration of caster by 15.0',100,1,4),
(143822,10046765,'Increases Out-of-Combat Health Regeneration of caster by 15.0',100,1,5),
(143823,10046765,'Increases Max Health of caster by 150.0',100,1,6),
(143824,159542,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(143825,159542,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(143826,159542,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(143827,159542,'Cannot be modified except by direct means',100,2,3),
(143828,10159542,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(143829,10159542,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(143830,10159542,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(143831,10159542,'Cannot be modified except by direct means',100,2,3),
(143832,121782,'Heals target for 545 - 666',100,1,0),
(143833,121782,'Heals target for 91 - 111 every second',100,1,1),
(143834,10121782,'Heals target for 944 - 1154',100,1,0),
(143835,10121782,'Heals target for 79 - 96 every second',100,1,1),
(143836,173963,'When Equipped:',100,0,0),
(143837,173963,'Increases Attack Speed of caster by 20.0',100,1,1),
(143838,10173963,'When Equipped:',100,0,0),
(143839,10173963,'Increases Attack Speed of caster by 20.0',100,1,1),
(143840,45386,'Applies Boarfiend Costume when Activated.',100,0,0),
(143841,45386,'Sets the faction for Nuknok Clan to 50,000',100,1,1),
(143842,45386,'Shapechanges caster into a boarfiend',100,1,2),
(143843,45386,'Must be in zone Moors of Ykesha',100,2,3),
(143844,45386,'Must be in zone Moors of Ykesha',100,1,4),
(143845,10045386,'Applies Boarfiend Costume when Activated.',100,0,0),
(143846,10045386,'Sets the faction for Nuknok Clan to 50,000',100,1,1),
(143847,10045386,'Shapechanges caster into a boarfiend',100,1,2),
(143848,10045386,'Must be in zone Moors of Ykesha',100,2,3),
(143849,10045386,'Must be in zone Moors of Ykesha',100,1,4),
(143850,115085,'Heals target for 334 - 408',100,1,0),
(143851,115085,'Heals target for 43 - 52 every second',100,1,1),
(143852,10115085,'Heals target for 620 - 758',100,1,0),
(143853,10115085,'Heals target for 47 - 57 every second',100,1,1),
(143854,122727,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(143855,122727,'Increases Deflection of caster by 10.8',100,1,1),
(143856,10122727,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(143857,10122727,'Increases Deflection of caster by 10.8',100,1,1),
(143858,81325,'When Equipped:',100,0,0),
(143859,81325,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143860,81325,'Inflicts 314 - 583 magic damage on target',100,2,2),
(143861,81325,'Cannot be modified except by direct means',100,2,3),
(143862,10081325,'When Equipped:',100,0,0),
(143863,10081325,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(143864,10081325,'Inflicts 408 - 757 magic damage on target',100,2,2),
(143865,10081325,'Cannot be modified except by direct means',100,2,3),
(143866,47178,'Applies Elixir of Focus  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(143867,47178,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(143868,10047178,'Applies Elixir of Focus  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(143869,10047178,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(143870,107040,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(143871,107040,'Inflicts 71 - 118 divine damage on target',100,2,1),
(143872,107040,'Inflicts 71 - 118 divine damage on target',100,2,2),
(143873,107040,'If target is undead',100,3,3),
(143874,10107040,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(143875,10107040,'Inflicts 154 - 257 divine damage on target',100,2,1),
(143876,177633,'When Equipped:',100,0,0),
(143877,177633,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(143878,177633,'Increases INT of caster by 8.3',100,2,2),
(143879,177633,'Increases Focus, Subjugation and Disruption of caster by 5.3',100,2,3),
(143880,177633,'Cannot be modified except by direct means',100,2,4),
(143881,10177633,'When Equipped:',100,0,0),
(143882,10177633,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(143883,10177633,'Increases INT of caster by 8.3',100,2,2),
(143884,10177633,'Increases Focus, Subjugation and Disruption of caster by 5.3',100,2,3),
(143885,10177633,'Cannot be modified except by direct means',100,2,4),
(143886,115124,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(143887,115124,'Increases WIS of target by 43.0',100,2,1),
(143888,115124,'Heals target for 416',100,2,2),
(143889,115124,'Heals target for 104 every 2 seconds',100,2,3),
(143890,115124,'Grants a total of 1 trigger of the spell.',100,2,4),
(143891,10115124,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(143892,10115124,'Increases WIS of target by 43.0',100,2,1),
(143893,10115124,'Heals target for 270',100,2,2),
(143894,10115124,'Heals target for 67 every 2 seconds',100,2,3),
(143895,10115124,'Grants a total of 1 trigger of the spell.',100,2,4),
(143896,45264,'Applies Avian Wrath when Activated.',100,0,0),
(143897,45264,'Shapechanges the user into a spiroc, and provides a shield which damages any melee attacker.',100,1,1),
(143898,10045264,'Applies Avian Wrath when Activated.',100,0,0),
(143899,10045264,'Shapechanges the user into a spiroc, and provides a shield which damages any melee attacker.',100,1,1),
(143900,120985,'Inflicts 41 - 68 poison damage on target',100,1,0),
(143901,120985,'Inflicts 10 - 17 poison damage on target instantly and every 4 seconds',100,1,1),
(143902,10120985,'Inflicts 53 - 89 poison damage on target',100,1,0),
(143903,10120985,'Inflicts 13 - 22 poison damage on target instantly and every 4 seconds',100,1,1),
(143904,102213,'Increases Max Health of group members (AE) by 129.0',100,1,0),
(143905,10102213,'Increases Max Health of group members (AE) by 129.0',100,1,0),
(143906,113685,'Stuns target',100,1,0),
(143907,113685,'If Target is not Epic',100,2,1),
(143908,113685,'Inflicts 495 - 825 heat damage on target',100,1,2),
(143909,113685,'Resistibility increases against targets higher than level 59.',100,1,3),
(143910,10113685,'Stuns target',100,1,0),
(143911,10113685,'If Target is not Epic',100,2,1),
(143912,10113685,'Inflicts 644 - 1073 heat damage on target',100,1,2),
(143913,10113685,'Resistibility increases against targets higher than level 59.',100,1,3),
(143914,159605,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(143915,159605,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(143916,159605,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(143917,159605,'Cannot be modified except by direct means',100,2,3),
(143918,10159605,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(143919,10159605,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(143920,10159605,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(143921,10159605,'Cannot be modified except by direct means',100,2,3),
(143922,101096,'Increases Mitigation of raid and group members (AE) vs arcane damage by 448',100,1,0),
(143923,10101096,'Increases Mitigation of raid and group members (AE) vs arcane damage by 448',100,1,0),
(143924,121685,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(143925,121685,'Inflicts 44 - 54 heat damage on target instantly and every second',100,2,1),
(143926,10121685,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(143927,10121685,'Inflicts 58 - 70 heat damage on target instantly and every second',100,2,1),
(143928,105703,'Decreases Attack Speed of target encounter by 20.6',100,1,0),
(143929,105703,'Slows target encounter by 26.6%',100,1,1),
(143930,10105703,'Decreases Attack Speed of target encounter by 20.6',100,1,0),
(143931,10105703,'Slows target encounter by 26.6%',100,1,1),
(143932,35216,'Increases Max Power of target by 3.3',100,0,0),
(143933,35216,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(143934,175507,'When Equipped:',100,0,0),
(143935,175507,'Increases Attack Speed of caster by 35.0',100,1,1),
(143936,10175507,'When Equipped:',100,0,0),
(143937,10175507,'Increases Attack Speed of caster by 35.0',100,1,1),
(143938,25563,'When Equipped:',100,0,0),
(143939,25563,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(143940,25563,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,2),
(143941,10025563,'When Equipped:',100,0,0),
(143942,10025563,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(143943,10025563,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,2),
(143944,108161,'Inflicts 1195 - 1993 melee damage on target',100,1,0),
(143945,108161,'You must be sneaking to use this ability.',100,1,1),
(143946,108161,'Must be flanking or behind',100,1,2),
(143947,10108161,'Inflicts 1025 - 1708 melee damage on target',100,1,0),
(143948,10108161,'You must be sneaking to use this ability.',100,1,1),
(143949,10108161,'Must be flanking or behind',100,1,2),
(143950,82377,'When Equipped:',100,0,0),
(143951,82377,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(143952,82377,'Inflicts 365 - 678 magic damage on target',100,2,2),
(143953,82377,'Decreases Threat to target by 1,174 ',100,2,3),
(143954,82377,'Must be flanking or behind',100,3,4),
(143955,82377,'Increases Threat to target by 1,175 ',100,2,5),
(143956,82377,'Must be in front of',100,3,6),
(143957,82377,'Cannot be modified except by direct means',100,2,7),
(143958,10082377,'When Equipped:',100,0,0),
(143959,10082377,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(143960,10082377,'Inflicts 474 - 881 magic damage on target',100,2,2),
(143961,10082377,'Cannot be modified except by direct means',100,2,3),
(143962,100767,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(143963,100767,'Increases power of target by 236 every 6 seconds',100,2,1),
(143964,100767,'Heals target for 1022',100,2,2),
(143965,100767,'Wards target against 1108 points of all damage',100,2,3),
(143966,100767,'Grants a total of 1 trigger of the spell.',100,2,4),
(143967,10100767,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(143968,10100767,'Increases power of target by 236 every 6 seconds',100,2,1),
(143969,10100767,'Heals target for 1196',100,2,2),
(143970,10100767,'Wards target against 1108 points of all damage',100,2,3),
(143971,10100767,'Grants a total of 1 trigger of the spell.',100,2,4),
(143972,53802,'When Equipped:',100,0,0),
(143973,53802,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(143974,53802,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(143975,53802,'Increases AGI, INT, WIS and STR of caster by 50.0',100,2,3),
(143976,53802,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(143977,53802,'Must not be engaged in pvp combat',100,2,5),
(143978,53802,'Cannot be modified except by direct means',100,2,6),
(143979,53802,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(143980,53802,'Increases AGI, INT, WIS and STR of caster by 50.0',100,2,8),
(143981,53802,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(143982,53802,'Must not be engaged in pvp combat',100,2,10),
(143983,53802,'Cannot be modified except by direct means',100,2,11),
(143984,53802,'Cannot be modified except by direct means',100,1,12),
(143985,10053802,'When Equipped:',100,0,0),
(143986,10053802,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(143987,10053802,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(143988,10053802,'Increases AGI, INT, WIS and STR of caster by 50.0',100,2,3),
(143989,10053802,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(143990,10053802,'Must not be engaged in pvp combat',100,2,5),
(143991,10053802,'Cannot be modified except by direct means',100,2,6),
(143992,10053802,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(143993,10053802,'Increases AGI, INT, WIS and STR of caster by 50.0',100,2,8),
(143994,10053802,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(143995,10053802,'Must not be engaged in pvp combat',100,2,10),
(143996,10053802,'Cannot be modified except by direct means',100,2,11),
(143997,10053802,'Cannot be modified except by direct means',100,1,12),
(143998,116881,'Wards group members (AE) against 1042 points of noxious damage',100,1,0),
(143999,116881,'Increases Mitigation of group members (AE) vs noxious damage by 570',100,1,1),
(144000,10116881,'Wards group members (AE) against 1042 points of noxious damage',100,1,0),
(144001,10116881,'Increases Mitigation of group members (AE) vs noxious damage by 570',100,1,1),
(144002,71760,'When Equipped:',100,0,0),
(144003,71760,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144004,71760,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(144005,71760,'Cannot be modified except by direct means',100,2,3),
(144006,10071760,'When Equipped:',100,0,0),
(144007,10071760,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144008,10071760,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(144009,10071760,'Cannot be modified except by direct means',100,2,3),
(144010,118223,'Inflicts 2293 - 3822 magic damage on targets in Area of Effect',100,1,0),
(144011,118223,'Throws target back',100,1,1),
(144012,118223,'If Target is not Epic',100,2,2),
(144013,118223,'Stuns targets in Area of Effect',100,1,3),
(144014,118223,'If Target is not Epic',100,2,4),
(144015,118223,'Resistibility increases against targets higher than level 94.',100,1,5),
(144016,10118223,'Inflicts 2981 - 4969 magic damage on targets in Area of Effect',100,1,0),
(144017,10118223,'Throws target back',100,1,1),
(144018,10118223,'If Target is not Epic',100,2,2),
(144019,10118223,'Stuns targets in Area of Effect',100,1,3),
(144020,10118223,'If Target is not Epic',100,2,4),
(144021,10118223,'Resistibility increases against targets higher than level 94.',100,1,5),
(144022,124305,'Wards group members (AE) against 2172 points of elemental damage',100,1,0),
(144023,124305,'Increases Mitigation of group members (AE) vs elemental damage by 1193',100,1,1),
(144024,10124305,'Wards group members (AE) against 2172 points of elemental damage',100,1,0),
(144025,10124305,'Increases Mitigation of group members (AE) vs elemental damage by 1193',100,1,1),
(144026,154438,'When Equipped:',100,0,0),
(144027,154438,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(144028,10154438,'When Equipped:',100,0,0),
(144029,10154438,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(144030,181850,'When Equipped:',100,0,0),
(144031,181850,'On any combat or spell hit this spell may cast Mastery on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(144032,181850,'4% of all physical damage received by the caster is prevented.',100,2,2),
(144033,181850,'Increases the base trigger chance of spells and items by 5%.',100,2,3),
(144034,181850,'Cannot be modified except by direct means',100,2,4),
(144035,10181850,'When Equipped:',100,0,0),
(144036,10181850,'On any combat or spell hit this spell may cast Mastery on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(144037,10181850,'4% of all physical damage received by the caster is prevented.',100,2,2),
(144038,10181850,'Increases the base trigger chance of spells and items by 5%.',100,2,3),
(144039,10181850,'Cannot be modified except by direct means',100,2,4),
(144040,80363,'When Equipped:',100,0,0),
(144041,80363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144042,80363,'Inflicts 63 - 118 magic damage on target',100,2,2),
(144043,80363,'Cannot be modified except by direct means',100,2,3),
(144044,10080363,'When Equipped:',100,0,0),
(144045,10080363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144046,10080363,'Inflicts 82 - 153 magic damage on target',100,2,2),
(144047,10080363,'Cannot be modified except by direct means',100,2,3),
(144048,109607,'Increases Defense of group members'' pets (AE) by 7.1',100,1,0),
(144049,109607,'Increases Mitigation of group members (AE) vs all damage by 114',100,1,1),
(144050,10109607,'Increases Defense of group members'' pets (AE) by 7.1',100,1,0),
(144051,10109607,'Increases Mitigation of group members (AE) vs all damage by 114',100,1,1),
(144052,108972,'Increases INT of group members (AE) by 140.4',100,1,0),
(144053,108972,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 51.5',100,1,1),
(144054,10108972,'Increases INT of group members (AE) by 140.4',100,1,0),
(144055,10108972,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 51.5',100,1,1),
(144056,112767,'Interrupts target',100,1,0),
(144057,112767,'Inflicts 259 - 432 divine damage on target',100,1,1),
(144058,10112767,'Interrupts target',100,1,0),
(144059,10112767,'Inflicts 337 - 562 divine damage on target',100,1,1),
(144060,87183,'When Equipped:',100,0,0),
(144061,87183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144062,87183,'Inflicts 64 - 97 magic damage on target',100,2,2),
(144063,87183,'Cannot be modified except by direct means',100,2,3),
(144064,10087183,'When Equipped:',100,0,0),
(144065,10087183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144066,10087183,'Inflicts 84 - 125 magic damage on target',100,2,2),
(144067,10087183,'Cannot be modified except by direct means',100,2,3),
(144068,181481,'When Equipped:',100,0,0),
(144069,181481,'On a combat hit this spell may cast Fortitude of the Underworld on the group.  Lasts for 15.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(144070,181481,'Increases Max Power of group members (AE) by 750.0',100,2,2),
(144071,181481,'Increases Max Health of group members (AE) by 750.0',100,2,3),
(144072,181481,'Cannot be modified except by direct means',100,2,4),
(144073,181481,'On a healing spell cast this spell may cast Fortitude of the Underworld on the group.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(144074,181481,'Increases Max Power of group members (AE) by 750.0',100,2,6),
(144075,181481,'Increases Max Health of group members (AE) by 750.0',100,2,7),
(144076,181481,'Cannot be modified except by direct means',100,2,8),
(144077,10181481,'When Equipped:',100,0,0),
(144078,10181481,'On a combat hit this spell may cast Fortitude of the Underworld on the group.  Lasts for 15.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(144079,10181481,'Increases Max Power of group members (AE) by 750.0',100,2,2),
(144080,10181481,'Increases Max Health of group members (AE) by 750.0',100,2,3),
(144081,10181481,'Cannot be modified except by direct means',100,2,4),
(144082,10181481,'On a healing spell cast this spell may cast Fortitude of the Underworld on the group.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(144083,10181481,'Increases Max Power of group members (AE) by 750.0',100,2,6),
(144084,10181481,'Increases Max Health of group members (AE) by 750.0',100,2,7),
(144085,10181481,'Cannot be modified except by direct means',100,2,8),
(144086,122711,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144087,122711,'Increases Deflection of caster by 3.2',100,1,1),
(144088,10122711,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144089,10122711,'Increases Deflection of caster by 3.2',100,1,1),
(144090,123334,'Increases STA of raid and group members (AE) by 65.3',100,1,0),
(144091,123334,'Increase spell damage of group and raid members by 5%.',100,1,1),
(144092,10123334,'Increases STA of raid and group members (AE) by 65.3',100,1,0),
(144093,10123334,'Increase spell damage of group and raid members by 5%.',100,1,1),
(144094,48272,'Applies Storming Essence when Activated.',100,0,0),
(144095,48272,'Summons a pet gathering stormcloud',100,1,1),
(144096,48272,'Must be in zone The Hole',100,1,2),
(144097,10048272,'Applies Storming Essence when Activated.',100,0,0),
(144098,10048272,'Summons a pet gathering stormcloud',100,1,1),
(144099,10048272,'Must be in zone The Hole',100,1,2),
(144100,119511,'Increases threat priority of target by 2 positions',100,1,0),
(144101,119511,'Stuns caster',100,1,1),
(144102,119511,'Decreases Defense and Parry of caster by 90.0',100,1,2),
(144103,119511,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(144104,119511,'Inflicts 655 - 1092 piercing damage on target',100,2,4),
(144105,119511,'Grants a total of 1 trigger of the spell.',100,2,5),
(144106,10119511,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(144107,10119511,'Prevents target from changing targets',100,2,1),
(144108,10119511,'Forces target to change their selected target to caster.',100,2,2),
(144109,10119511,'Stuns caster',100,1,3),
(144110,10119511,'Decreases Defense and Parry of caster by 90.0',100,1,4),
(144111,10119511,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(144112,10119511,'Inflicts 608 - 1013 piercing damage on target',100,2,6),
(144113,10119511,'Grants a total of 1 trigger of the spell.',100,2,7),
(144114,52405,'When Equipped:',100,0,0),
(144115,52405,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(144116,10052405,'When Equipped:',100,0,0),
(144117,10052405,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(144118,114125,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(144119,114125,'Increases Mitigation of group members (AE) vs elemental damage by 450',100,1,1),
(144120,10114125,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(144121,10114125,'Increases Mitigation of group members (AE) vs elemental damage by 450',100,1,1),
(144122,103815,'Increases Ability Casting Speed of raid and group members (AE) by 4.7%',100,1,0),
(144123,103815,'Increases Attack Speed of raid and group members (AE) by 11.7',100,1,1),
(144124,10103815,'Increases Ability Casting Speed of raid and group members (AE) by 4.7%',100,1,0),
(144125,10103815,'Increases Attack Speed of raid and group members (AE) by 11.7',100,1,1),
(144126,47373,'Applies Place On Ground when Activated.',100,0,0),
(144127,47373,'You cannot place the Night Jar here.',100,1,1),
(144128,10047373,'Applies Place On Ground when Activated.',100,0,0),
(144129,10047373,'You cannot place the Night Jar here.',100,1,1),
(144130,46221,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(144131,46221,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(144132,46221,'Decreases INT of target by 51.0',100,2,2),
(144133,46221,'Decreases Ordination, Ministration, Subjugation and Disruption of target by 19.5',100,2,3),
(144134,46221,'Cannot be modified except by direct means',100,2,4),
(144135,46221,'Grants a total of 60 triggers of the spell.',100,2,5),
(144136,10046221,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(144137,10046221,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(144138,10046221,'Decreases INT of target by 51.0',100,2,2),
(144139,10046221,'Decreases Ordination, Ministration, Subjugation and Disruption of target by 19.5',100,2,3),
(144140,10046221,'Cannot be modified except by direct means',100,2,4),
(144141,10046221,'Grants a total of 60 triggers of the spell.',100,2,5),
(144142,114706,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144143,114706,'Decreases Hate Gain of target by 15.2%',100,1,1),
(144144,10114706,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144145,123963,'Inflicts 193 - 323 melee damage on target',100,1,0),
(144146,123963,'Decreases AGI of target by 18.8',100,1,1),
(144147,123963,'Must be behind',100,1,2),
(144148,10123963,'Inflicts 252 - 420 melee damage on target',100,1,0),
(144149,10123963,'Decreases AGI of target by 18.8',100,1,1),
(144150,10123963,'Must be behind',100,1,2),
(144151,119988,'Increases Threat to target by 1,514 - 1,851 ',100,1,0),
(144152,10119988,'Prevents target from changing targets',100,1,0),
(144153,10119988,'Forces target to change their selected target to caster.',100,1,1),
(144154,111540,'Increases Hate Gain of target by 18.4%',100,1,0),
(144155,111540,'Increases Aggression of target by 13.1',100,1,1),
(144156,10111540,'Increases STR of target by 34.0',100,1,0),
(144157,10111540,'Increases Aggression of target by 13.1',100,1,1),
(144158,100801,'Wards target against 1183 points of all damage',100,1,0),
(144159,10100801,'Wards target against 1820 points of all damage',100,1,0),
(144160,36978,'Increases Max Power of target by 3.3',100,0,0),
(144161,36978,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(144162,114285,'Heals target for 303 - 371',100,1,0),
(144163,10114285,'Heals target for 356 - 436',100,1,0),
(144164,37359,'Increases AGI of target by 1.5',100,0,0),
(144165,37359,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(144166,100061,'Decreases STR, AGI and WIS of target by 78.7',100,1,0),
(144167,10100061,'Decreases STR, AGI and WIS of target by 78.7',100,1,0),
(144168,161118,'When Equipped:',100,0,0),
(144169,161118,'Increases Hate Gain of caster by 5.0%',100,1,1),
(144170,161118,'On any combat or spell hit this spell may cast Insomniatic Rage on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(144171,161118,'This has a recurring health cost of 500 per second. If the wearer does not have enough health to fuel the rage, the effect will expire.',100,2,3),
(144172,161118,'Increases STR of caster by 150.0',100,2,4),
(144173,161118,'Increases Multi Attack Chance of caster by 25.0',100,2,5),
(144174,161118,'Increases Damage Per Second of caster by 25.0',100,2,6),
(144175,161118,'Cannot be modified except by direct means',100,2,7),
(144176,10161118,'When Equipped:',100,0,0),
(144177,10161118,'On any combat or spell hit this spell may cast Insomniatic Rage on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144178,10161118,'This has a recurring health cost of 500 per second. If the wearer does not have enough health to fuel the rage, the effect will expire.',100,2,2),
(144179,10161118,'Increases STR of caster by 150.0',100,2,3),
(144180,10161118,'Increases Multi Attack Chance of caster by 25.0',100,2,4),
(144181,10161118,'Increases Damage Per Second of caster by 25.0',100,2,5),
(144182,10161118,'Cannot be modified except by direct means',100,2,6),
(144183,106323,'Decreases INT and STR of target by 60.2',100,1,0),
(144184,10106323,'Decreases INT and STR of target by 60.2',100,1,0),
(144185,117360,'Roots target',100,1,0),
(144186,117360,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(144187,117360,'Slows target by 65.2%',100,2,2),
(144188,117360,'5% chance to dispel when target receives hostile action',100,2,3),
(144189,117360,'5% chance to dispel when target takes damage',100,2,4),
(144190,117360,'15% chance to dispel when target takes damage',100,1,5),
(144191,117360,'Does not affect Epic targets',100,1,6),
(144192,117360,'Resistibility increases against targets higher than level 112.',100,1,7),
(144193,10117360,'Roots target',100,1,0),
(144194,10117360,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(144195,10117360,'Slows target by 65.2%',100,2,2),
(144196,10117360,'10% chance to dispel when target receives hostile action',100,2,3),
(144197,10117360,'10% chance to dispel when target takes damage',100,2,4),
(144198,10117360,'15% chance to dispel when target takes damage',100,1,5),
(144199,10117360,'Does not affect Epic targets',100,1,6),
(144200,10117360,'Resistibility increases against targets higher than level 112.',100,1,7),
(144201,75681,'When Equipped:',100,0,0),
(144202,75681,'This effect will not stack with any rank or tier of itself.',100,1,1),
(144203,75681,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(144204,75681,'Increases Attack Speed of caster by 11.0',100,1,3),
(144205,75681,'Cannot be modified except by direct means',100,1,4),
(144206,10075681,'When Equipped:',100,0,0),
(144207,10075681,'This effect will not stack with any rank or tier of itself.',100,1,1),
(144208,10075681,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(144209,10075681,'Increases Attack Speed of caster by 11.0',100,1,3),
(144210,10075681,'Cannot be modified except by direct means',100,1,4),
(144211,48525,'Applies Thinning Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(144212,48525,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(144213,48525,'Inflicts 248 poison damage on target instantly and every 6 seconds',100,2,2),
(144214,48525,'Inflicts 283 poison damage on target',100,2,3),
(144215,48525,'Cannot be modified except by direct means',100,2,4),
(144216,48525,'Grants a total of 200 triggers of the spell.',100,2,5),
(144217,48525,'Only affects targets level 50 and above',100,1,6),
(144218,10048525,'Applies Thinning Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(144219,10048525,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(144220,10048525,'Inflicts 242 poison damage on target instantly and every 6 seconds',100,2,2),
(144221,10048525,'Inflicts 276 poison damage on target',100,2,3),
(144222,10048525,'Cannot be modified except by direct means',100,2,4),
(144223,10048525,'Grants a total of 200 triggers of the spell.',100,2,5),
(144224,10048525,'Only affects targets level 50 and above',100,1,6),
(144225,175447,'When Equipped:',100,0,0),
(144226,175447,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(144227,175447,'Wards caster against 280 points of all damage',100,2,2),
(144228,175447,'Cannot be modified except by direct means',100,2,3),
(144229,10175447,'When Equipped:',100,0,0),
(144230,10175447,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(144231,10175447,'Wards caster against 280 points of all damage',100,2,2),
(144232,10175447,'Cannot be modified except by direct means',100,2,3),
(144233,82443,'When Equipped:',100,0,0),
(144234,82443,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144235,82443,'Decreases Threat to target by 801 ',100,2,2),
(144236,82443,'Must be flanking or behind',100,3,3),
(144237,82443,'Increases Threat to target by 801 ',100,2,4),
(144238,82443,'Must be in front of',100,3,5),
(144239,82443,'Inflicts 260 - 482 magic damage on target',100,2,6),
(144240,82443,'Cannot be modified except by direct means',100,2,7),
(144241,10082443,'When Equipped:',100,0,0),
(144242,10082443,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144243,10082443,'Inflicts 337 - 627 magic damage on target',100,2,2),
(144244,10082443,'Cannot be modified except by direct means',100,2,3),
(144245,36788,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(144246,37506,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(144247,131134,'When Equipped:',100,0,0),
(144248,131134,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(144249,131134,'Increases power of target by 16',100,2,2),
(144250,131134,'Cannot be modified except by direct means',100,2,3),
(144251,10131134,'When Equipped:',100,0,0),
(144252,10131134,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(144253,10131134,'Increases power of target by 16',100,2,2),
(144254,10131134,'Cannot be modified except by direct means',100,2,3),
(144255,134944,'When Equipped:',100,0,0),
(144256,134944,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(144257,134944,'Inflicts 2664 cold damage on target encounter',100,2,2),
(144258,134944,'Must not be engaged in pvp combat',100,2,3),
(144259,134944,'Cannot be modified except by direct means',100,2,4),
(144260,134944,'Must not be engaged in pvp combat',100,1,5),
(144261,10134944,'When Equipped:',100,0,0),
(144262,10134944,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(144263,10134944,'Inflicts 1732 cold damage on target encounter',100,2,2),
(144264,10134944,'Must not be engaged in pvp combat',100,2,3),
(144265,10134944,'Cannot be modified except by direct means',100,2,4),
(144266,10134944,'Must not be engaged in pvp combat',100,1,5),
(144267,75041,'Applies Poison Bolt when Activated.',100,0,0),
(144268,75041,'Inflicts 108 - 179 poison damage on target',100,1,1),
(144269,75041,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(144270,10075041,'Applies Poison Bolt when Activated.',100,0,0),
(144271,10075041,'Inflicts 140 - 233 poison damage on target',100,1,1),
(144272,10075041,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(144273,48273,'Applies Call Stormfeather Brood Guardian when Activated.',100,0,0),
(144274,48273,'Summons a mount to ride',100,1,1),
(144275,48273,'Increases your ground speed by 75%',100,2,2),
(144276,48273,'Increases your air speed by 150%',100,2,3),
(144277,10048273,'Applies Call Stormfeather Brood Guardian when Activated.',100,0,0),
(144278,10048273,'Summons a mount to ride',100,1,1),
(144279,10048273,'Increases your ground speed by 75%',100,2,2),
(144280,10048273,'Increases your air speed by 150%',100,2,3),
(144281,140283,'When Equipped:',100,0,0),
(144282,140283,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(144283,140283,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(144284,140283,'Must not be engaged in pvp combat',100,2,3),
(144285,140283,'Cannot be modified except by direct means',100,2,4),
(144286,140283,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(144287,140283,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(144288,140283,'Must not be engaged in pvp combat',100,2,7),
(144289,140283,'Cannot be modified except by direct means',100,2,8),
(144290,140283,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(144291,140283,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(144292,140283,'Must not be engaged in pvp combat',100,2,11),
(144293,140283,'Cannot be modified except by direct means',100,2,12),
(144294,140283,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(144295,140283,'Inflicts 13 piercing damage on target',100,2,14),
(144296,140283,'Must not be engaged in pvp combat',100,2,15),
(144297,140283,'Cannot be modified except by direct means',100,2,16),
(144298,10140283,'When Equipped:',100,0,0),
(144299,10140283,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(144300,10140283,'Increases Crit Bonus of caster by 1.0%',100,2,2),
(144301,10140283,'Must not be engaged in pvp combat',100,2,3),
(144302,10140283,'Cannot be modified except by direct means',100,2,4),
(144303,10140283,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(144304,10140283,'Increases Crit Bonus of caster by 1.0%',100,2,6),
(144305,10140283,'Must not be engaged in pvp combat',100,2,7),
(144306,10140283,'Cannot be modified except by direct means',100,2,8),
(144307,10140283,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing I on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(144308,10140283,'Increases Crit Bonus of caster by 1.0%',100,2,10),
(144309,10140283,'Must not be engaged in pvp combat',100,2,11),
(144310,10140283,'Cannot be modified except by direct means',100,2,12),
(144311,10140283,'When damaged with a melee weapon this spell will cast Brell''s Retribution I on target''s attacker.  ',100,1,13),
(144312,10140283,'Inflicts 17 piercing damage on target',100,2,14),
(144313,10140283,'Must not be engaged in pvp combat',100,2,15),
(144314,10140283,'Cannot be modified except by direct means',100,2,16),
(144315,41561,'When Equipped:',100,0,0),
(144316,41561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144317,41561,'Inflicts 106 - 197 magic damage on target',100,2,2),
(144318,41561,'Cannot be modified except by direct means',100,2,3),
(144319,10041561,'When Equipped:',100,0,0),
(144320,10041561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144321,10041561,'Inflicts 138 - 256 magic damage on target',100,2,2),
(144322,10041561,'Cannot be modified except by direct means',100,2,3),
(144323,121538,'Inflicts 773 - 1288 melee damage on target',100,1,0),
(144324,121538,'Stuns target',100,1,1),
(144325,121538,'If Target is not Epic',100,2,2),
(144326,121538,'Resistibility increases against targets higher than level 111.',100,1,3),
(144327,10121538,'Inflicts 1005 - 1675 melee damage on target',100,1,0),
(144328,10121538,'Stuns target',100,1,1),
(144329,10121538,'If Target is not Epic',100,2,2),
(144330,10121538,'Resistibility increases against targets higher than level 111.',100,1,3),
(144331,118279,'Increases Threat to target encounter by 1,067 - 1,305 ',100,1,0),
(144332,118279,'Decreases Mitigation of target encounter vs arcane damage by 1155',100,1,1),
(144333,10118279,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(144334,10118279,'Prevents target from changing targets',100,2,1),
(144335,10118279,'Forces target to change their selected target to caster.',100,2,2),
(144336,10118279,'Decreases Mitigation of target encounter vs arcane damage by 1155',100,1,3),
(144337,105785,'Inflicts 1167 - 1426 heat damage on target',100,1,0),
(144338,10105785,'Inflicts 2022 - 2471 heat damage on target',100,1,0),
(144339,104652,'Inflicts 451 - 752 crushing damage on target',100,1,0),
(144340,104652,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 34.9',100,1,1),
(144341,10104652,'Inflicts 586 - 978 crushing damage on target',100,1,0),
(144342,10104652,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 34.9',100,1,1),
(144343,37308,'Increases STA and AGI of target by 1.1',100,0,0),
(144344,37308,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(144345,111672,'Inflicts 703 - 860 cold damage on target encounter',100,1,0),
(144346,111672,'Slows target encounter by 47.2%',100,1,1),
(144347,111672,'5% chance to dispel when target takes damage',100,1,2),
(144348,111672,'5% chance to dispel when target receives hostile action',100,1,3),
(144349,10111672,'Inflicts 1219 - 1490 cold damage on target encounter',100,1,0),
(144350,10111672,'Slows target encounter by 47.2%',100,1,1),
(144351,10111672,'5% chance to dispel when target takes damage',100,1,2),
(144352,10111672,'5% chance to dispel when target receives hostile action',100,1,3),
(144353,114909,'Inflicts 154 - 257 melee damage on target',100,1,0),
(144354,114909,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 440',100,1,1),
(144355,114909,'Must be behind',100,1,2),
(144356,10114909,'Inflicts 201 - 335 melee damage on target',100,1,0),
(144357,10114909,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 220',100,1,1),
(144358,10114909,'Must be behind',100,1,2),
(144359,48188,'Applies Spirit of the Carnivorous Plant when Activated.  Lasts for 30 minutes.',100,0,0),
(144360,48188,'Shapechanges caster into a carnivorous plant',100,1,1),
(144361,48188,'Increases Out-of-Combat Health Regeneration of caster by 127.0',100,1,2),
(144362,48188,'This effect suspends during combat',100,1,3),
(144363,48188,'Only affects targets level 60 and above',100,1,4),
(144364,10048188,'Applies Spirit of the Carnivorous Plant when Activated.  Lasts for 30 minutes.',100,0,0),
(144365,10048188,'Shapechanges caster into a carnivorous plant',100,1,1),
(144366,10048188,'Increases Out-of-Combat Health Regeneration of caster by 127.0',100,1,2),
(144367,10048188,'This effect suspends during combat',100,1,3),
(144368,10048188,'Only affects targets level 60 and above',100,1,4),
(144369,101539,'Increases WIS of target by 190.1',100,1,0),
(144370,101539,'Increases Max Health of target by 1,696.8',100,1,1),
(144371,101539,'Increases Mitigation of target vs elemental, noxious and arcane damage by 518',100,1,2),
(144372,10101539,'Increases WIS of target by 190.1',100,1,0),
(144373,10101539,'Increases Max Health of target by 1,696.8',100,1,1),
(144374,10101539,'Increases Mitigation of target vs elemental, noxious and arcane damage by 518',100,1,2),
(144375,107389,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(144376,107389,'Slows target by 49.0%',100,2,1),
(144377,107389,'5% chance to dispel when target receives hostile action',100,2,2),
(144378,107389,'5% chance to dispel when target takes damage',100,2,3),
(144379,107389,'Inflicts 663 - 1105 disease damage on target',100,1,4),
(144380,10107389,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(144381,10107389,'Slows target by 49.0%',100,2,1),
(144382,10107389,'5% chance to dispel when target receives hostile action',100,2,2),
(144383,10107389,'5% chance to dispel when target takes damage',100,2,3),
(144384,10107389,'Inflicts 862 - 1437 disease damage on target',100,1,4),
(144385,114698,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144386,114698,'Decreases Hate Gain of target by 14.7%',100,1,1),
(144387,10114698,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144388,162574,'When Equipped:',100,0,0),
(144389,162574,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(144390,162574,'Heals group members (AE) for 155',100,2,2),
(144391,162574,'Cannot be modified except by direct means',100,2,3),
(144392,162574,'Cannot be modified except by direct means',100,1,4),
(144393,10162574,'When Equipped:',100,0,0),
(144394,10162574,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(144395,10162574,'Heals group members (AE) for 101',100,2,2),
(144396,10162574,'Cannot be modified except by direct means',100,2,3),
(144397,10162574,'Cannot be modified except by direct means',100,1,4),
(144398,102858,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(144399,102858,'Stuns target',100,2,1),
(144400,102858,'Throws target back',100,2,2),
(144401,102858,'Blurs vision of target',100,2,3),
(144402,102858,'Does not affect Epic targets',100,2,4),
(144403,102858,'Inflicts 257 - 771 melee damage on targets in area',100,1,5),
(144404,10102858,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(144405,10102858,'Stuns target',100,2,1),
(144406,10102858,'Throws target back',100,2,2),
(144407,10102858,'Blurs vision of target',100,2,3),
(144408,10102858,'Does not affect Epic targets',100,2,4),
(144409,10102858,'Inflicts 334 - 1002 melee damage on targets in area',100,1,5),
(144410,108580,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(144411,108580,'Heals group members (AE) for 41 - 51 instantly and every 3 seconds',100,2,1),
(144412,108580,'Increases AGI, WIS, INT and STR of group members (AE) by 15.9',100,2,2),
(144413,108580,'Increases STA of group members (AE) by 31.7',100,2,3),
(144414,108580,'Adds 0.6% to base avoidance.',100,2,4),
(144415,108580,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 41',100,2,5),
(144416,10108580,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(144417,10108580,'Heals group members (AE) for 27 - 33 instantly and every 3 seconds',100,2,1),
(144418,10108580,'Increases AGI, WIS, INT and STR of group members (AE) by 15.9',100,2,2),
(144419,10108580,'Increases STA of group members (AE) by 31.7',100,2,3),
(144420,10108580,'Adds 0.6% to base avoidance.',100,2,4),
(144421,10108580,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 41',100,2,5),
(144422,103298,'Applies Migraine on termination.',100,1,0),
(144423,103298,'Inflicts 12 - 16 mental damage on target',100,2,1),
(144424,103298,'Inflicts 5 - 7 mental damage on target instantly and every 6 seconds',100,1,2),
(144425,10103298,'Applies Migraine on termination.',100,1,0),
(144426,10103298,'Inflicts 16 - 21 mental damage on target',100,2,1),
(144427,10103298,'Inflicts 7 - 9 mental damage on target instantly and every 6 seconds',100,1,2),
(144428,26402,'When Equipped:',100,0,0),
(144429,26402,'Increases Damage Per Second of caster by 6.0',100,1,1),
(144430,10026402,'When Equipped:',100,0,0),
(144431,10026402,'Increases Damage Per Second of caster by 6.0',100,1,1),
(144432,124310,'Wards group members (AE) against 2282 points of elemental damage',100,1,0),
(144433,124310,'Increases Mitigation of group members (AE) vs elemental damage by 1201',100,1,1),
(144434,10124310,'Wards group members (AE) against 2282 points of elemental damage',100,1,0),
(144435,10124310,'Increases Mitigation of group members (AE) vs elemental damage by 1201',100,1,1),
(144436,70569,'When Equipped:',100,0,0),
(144437,70569,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144438,70569,'Inflicts 278 cold damage on target',100,2,2),
(144439,70569,'Cannot be modified except by direct means',100,2,3),
(144440,10070569,'When Equipped:',100,0,0),
(144441,10070569,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144442,10070569,'Inflicts 362 cold damage on target',100,2,2),
(144443,10070569,'Cannot be modified except by direct means',100,2,3),
(144444,107287,'Inflicts 524 - 874 ranged damage on target',100,1,0),
(144445,107287,'Inflicts 524 - 874 ranged damage on target',100,1,1),
(144446,107287,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(144447,107287,'Stuns target',100,2,3),
(144448,107287,'Throws target back',100,2,4),
(144449,107287,'Blurs vision of target',100,2,5),
(144450,107287,'Does not affect Epic targets',100,2,6),
(144451,107287,'If weapon equipped in Ranged',100,1,7),
(144452,10107287,'Inflicts 445 - 743 ranged damage on target',100,1,0),
(144453,10107287,'Inflicts 445 - 743 ranged damage on target',100,1,1),
(144454,10107287,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(144455,10107287,'Stuns target',100,2,3),
(144456,10107287,'Throws target back',100,2,4),
(144457,10107287,'Blurs vision of target',100,2,5),
(144458,10107287,'Does not affect Epic targets',100,2,6),
(144459,10107287,'If weapon equipped in Ranged',100,1,7),
(144460,80426,'When Equipped:',100,0,0),
(144461,80426,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144462,80426,'Inflicts 70 - 131 magic damage on target',100,2,2),
(144463,80426,'Decreases Threat to target by 153 ',100,2,3),
(144464,80426,'Must be flanking or behind',100,3,4),
(144465,80426,'Increases Threat to target by 153 ',100,2,5),
(144466,80426,'Must be in front of',100,3,6),
(144467,80426,'Cannot be modified except by direct means',100,2,7),
(144468,10080426,'When Equipped:',100,0,0),
(144469,10080426,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144470,10080426,'Inflicts 91 - 170 magic damage on target',100,2,2),
(144471,10080426,'Cannot be modified except by direct means',100,2,3),
(144472,106631,'Inflicts 729 - 891 disease damage on target',100,1,0),
(144473,106631,'Heals caster for 6.5 - 7.9% of max health',100,1,1),
(144474,106631,'This effect cannot be critically applied.',100,2,2),
(144475,106631,'The healing of this spell cannot be modified except by direct means',100,1,3),
(144476,10106631,'Inflicts 948 - 1159 disease damage on target',100,1,0),
(144477,10106631,'Heals caster for 2.2 - 2.6% of max health',100,1,1),
(144478,10106631,'This effect cannot be critically applied.',100,2,2),
(144479,10106631,'The healing of this spell cannot be modified except by direct means',100,1,3),
(144480,87324,'When Equipped:',100,0,0),
(144481,87324,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144482,87324,'Inflicts 153 - 229 magic damage on target',100,2,2),
(144483,87324,'Cannot be modified except by direct means',100,2,3),
(144484,10087324,'When Equipped:',100,0,0),
(144485,10087324,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144486,10087324,'Inflicts 199 - 298 magic damage on target',100,2,2),
(144487,10087324,'Cannot be modified except by direct means',100,2,3),
(144488,108022,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(144489,108022,'Increases Mitigation of group members (AE) vs elemental damage by 2024',100,1,1),
(144490,10108022,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(144491,10108022,'Increases Mitigation of group members (AE) vs elemental damage by 2024',100,1,1),
(144492,104006,'Stifles target',100,1,0),
(144493,104006,'If Target is not Epic',100,2,1),
(144494,104006,'Interrupts target',100,1,2),
(144495,104006,'Decreases Threat to target by 90 - 110 ',100,1,3),
(144496,104006,'Resistibility increases against targets higher than level 39.',100,1,4),
(144497,10104006,'Stifles target',100,1,0),
(144498,10104006,'If Target is not Epic',100,2,1),
(144499,10104006,'Interrupts target',100,1,2),
(144500,10104006,'Resistibility increases against targets higher than level 39.',100,1,3),
(144501,37579,'Increases STA and WIS of target by 1.1',100,0,0),
(144502,37579,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(144503,123842,'Increases AGI of caster by 9.2',100,1,0),
(144504,123842,'Adds 14.8% to base avoidance.',100,1,1),
(144505,123842,'Increases Damage Per Second of caster by 20.0',100,1,2),
(144506,123842,'Increases Mitigation of caster vs physical damage by 73',100,1,3),
(144507,123842,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 163',100,1,4),
(144508,10123842,'Increases AGI of caster by 9.2',100,1,0),
(144509,10123842,'Adds 14.8% to base avoidance.',100,1,1),
(144510,10123842,'Increases Damage Per Second of caster by 20.0',100,1,2),
(144511,10123842,'Increases Mitigation of caster vs physical damage by 73',100,1,3),
(144512,10123842,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 163',100,1,4),
(144513,174945,'When Equipped:',100,0,0),
(144514,174945,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(144515,174945,'Decreases Attack Speed of target by 20.0',100,2,2),
(144516,174945,'Cannot be modified except by direct means',100,2,3),
(144517,10174945,'When Equipped:',100,0,0),
(144518,10174945,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(144519,10174945,'Decreases Attack Speed of target by 20.0',100,2,2),
(144520,10174945,'Cannot be modified except by direct means',100,2,3),
(144521,100367,'Increases Max Health of target by 1,092.6',100,1,0),
(144522,100367,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.6',100,1,1),
(144523,10100367,'Increases Max Health of target by 1,092.6',100,1,0),
(144524,10100367,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.6',100,1,1),
(144525,119672,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(144526,119672,'Stuns target',100,2,1),
(144527,119672,'Throws target back',100,2,2),
(144528,119672,'Blurs vision of target',100,2,3),
(144529,119672,'Does not affect Epic targets',100,2,4),
(144530,119672,'Inflicts 274 - 824 melee damage on target',100,1,5),
(144531,10119672,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(144532,10119672,'Stuns target',100,2,1),
(144533,10119672,'Throws target back',100,2,2),
(144534,10119672,'Blurs vision of target',100,2,3),
(144535,10119672,'Does not affect Epic targets',100,2,4),
(144536,10119672,'Inflicts 357 - 1071 melee damage on target',100,1,5),
(144537,163742,'When Equipped:',100,0,0),
(144538,163742,'On a combat hit this spell has a 5% chance to cast Dark Squall on target of attack.  Lasts for 7.0 seconds.  ',100,1,1),
(144539,163742,'Stifles target',100,2,2),
(144540,163742,'Does not affect Epic targets',100,2,3),
(144541,163742,'Resistibility increases against targets higher than level 92.',100,2,4),
(144542,163742,'Cannot be modified except by direct means',100,2,5),
(144543,10163742,'When Equipped:',100,0,0),
(144544,10163742,'On a combat hit this spell has a 5% chance to cast Dark Squall on target of attack.  Lasts for 7.0 seconds.  ',100,1,1),
(144545,10163742,'Stifles target',100,2,2),
(144546,10163742,'Does not affect Epic targets',100,2,3),
(144547,10163742,'Resistibility increases against targets higher than level 92.',100,2,4),
(144548,10163742,'Cannot be modified except by direct means',100,2,5),
(144549,80880,'When Equipped:',100,0,0),
(144550,80880,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144551,80880,'Inflicts 288 - 534 magic damage on target',100,2,2),
(144552,80880,'Cannot be modified except by direct means',100,2,3),
(144553,10080880,'When Equipped:',100,0,0),
(144554,10080880,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144555,10080880,'Inflicts 374 - 695 magic damage on target',100,2,2),
(144556,10080880,'Cannot be modified except by direct means',100,2,3),
(144557,82863,'When Equipped:',100,0,0),
(144558,82863,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144559,82863,'Inflicts 350 - 650 magic damage on target',100,2,2),
(144560,82863,'Decreases Threat to target by 833 ',100,2,3),
(144561,82863,'Must be flanking or behind',100,3,4),
(144562,82863,'Increases Threat to target by 833 ',100,2,5),
(144563,82863,'Must be in front of',100,3,6),
(144564,82863,'Cannot be modified except by direct means',100,2,7),
(144565,10082863,'When Equipped:',100,0,0),
(144566,10082863,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144567,10082863,'Inflicts 455 - 845 magic damage on target',100,2,2),
(144568,10082863,'Cannot be modified except by direct means',100,2,3),
(144569,159396,'Applies Sanguine Imbued when Equipped.',100,0,0),
(144570,159396,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(144571,159396,'Inflicts 86 heat damage on target',100,2,2),
(144572,159396,'Cannot be modified except by direct means',100,2,3),
(144573,10159396,'Applies Sanguine Imbued when Equipped.',100,0,0),
(144574,10159396,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(144575,10159396,'Inflicts 112 heat damage on target',100,2,2),
(144576,10159396,'Cannot be modified except by direct means',100,2,3),
(144577,36646,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(144578,48109,'Applies First Aid Bandaging when Activated.  Lasts for 24.0 seconds.',100,0,0),
(144579,48109,'Heals caster for 222 instantly and every 6 seconds',100,1,1),
(144580,10048109,'Applies First Aid Bandaging when Activated.  Lasts for 24.0 seconds.',100,0,0),
(144581,10048109,'Heals caster for 144 instantly and every 6 seconds',100,1,1),
(144582,82098,'When Equipped:',100,0,0),
(144583,82098,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144584,82098,'Inflicts 212 - 393 magic damage on target',100,2,2),
(144585,82098,'Decreases Threat to target by 641 ',100,2,3),
(144586,82098,'Must be flanking or behind',100,3,4),
(144587,82098,'Increases Threat to target by 641 ',100,2,5),
(144588,82098,'Must be in front of',100,3,6),
(144589,82098,'Cannot be modified except by direct means',100,2,7),
(144590,10082098,'When Equipped:',100,0,0),
(144591,10082098,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144592,10082098,'Inflicts 275 - 511 magic damage on target',100,2,2),
(144593,10082098,'Cannot be modified except by direct means',100,2,3),
(144594,41440,'When Equipped:',100,0,0),
(144595,41440,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144596,41440,'Inflicts 226 - 419 magic damage on target',100,2,2),
(144597,41440,'Decreases Threat to target by 517 ',100,2,3),
(144598,41440,'Must be flanking or behind',100,3,4),
(144599,41440,'Increases Threat to target by 517 ',100,2,5),
(144600,41440,'Must be in front of',100,3,6),
(144601,41440,'Cannot be modified except by direct means',100,2,7),
(144602,10041440,'When Equipped:',100,0,0),
(144603,10041440,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144604,10041440,'Inflicts 293 - 545 magic damage on target',100,2,2),
(144605,10041440,'Cannot be modified except by direct means',100,2,3),
(144606,111598,'Inflicts 32 - 60 cold damage on target instantly and every 4 seconds',100,1,0),
(144607,111598,'Decreases Mitigation of target vs elemental damage by 410',100,1,1),
(144608,10111598,'Inflicts 42 - 78 cold damage on target instantly and every 4 seconds',100,1,0),
(144609,10111598,'Decreases Mitigation of target vs elemental damage by 410',100,1,1),
(144610,107073,'Inflicts 44 - 54 divine damage on target',100,1,0),
(144611,10107073,'Inflicts 58 - 70 divine damage on target',100,1,0),
(144612,139642,'When Equipped:',100,0,0),
(144613,139642,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144614,139642,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(144615,139642,'Cannot be modified except by direct means',100,2,3),
(144616,10139642,'When Equipped:',100,0,0),
(144617,10139642,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144618,10139642,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(144619,10139642,'Cannot be modified except by direct means',100,2,3),
(144620,37226,'Increases AGI of target by 1.1',100,0,0),
(144621,37226,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(144622,115707,'Inflicts 39 - 65 ranged damage on target',100,1,0),
(144623,115707,'Inflicts 39 - 65 ranged damage on target',100,1,1),
(144624,115707,'If weapon equipped in Ranged',100,1,2),
(144625,10115707,'Inflicts 33 - 55 ranged damage on target',100,1,0),
(144626,10115707,'Inflicts 33 - 55 ranged damage on target',100,1,1),
(144627,10115707,'If weapon equipped in Ranged',100,1,2),
(144628,24146,'Adds Coldain Assassin to your Dungeon Maker toolbox',100,0,0),
(144629,10024146,'Adds Coldain Assassin to your Dungeon Maker toolbox',100,0,0),
(144630,123020,'Wards group members (AE) collectively against 2649 total points of all damage',100,1,0),
(144631,10123020,'Wards group members (AE) collectively against 3946 total points of all damage',100,1,0),
(144632,164704,'When Equipped:',100,0,0),
(144633,164704,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(144634,10164704,'When Equipped:',100,0,0),
(144635,10164704,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(144636,35812,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(144637,35812,'This effect suspends during combat',100,0,1),
(144638,100766,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(144639,100766,'Heals target for 1301',100,2,1),
(144640,100766,'Increases power of target by 300 every 6 seconds',100,2,2),
(144641,100766,'Wards target against 1411 points of all damage',100,2,3),
(144642,100766,'Grants a total of 1 trigger of the spell.',100,2,4),
(144643,10100766,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(144644,10100766,'Heals target for 1523',100,2,1),
(144645,10100766,'Increases power of target by 300 every 6 seconds',100,2,2),
(144646,10100766,'Wards target against 1411 points of all damage',100,2,3),
(144647,10100766,'Grants a total of 1 trigger of the spell.',100,2,4),
(144648,112406,'Increases Crushing, Piercing, Slashing and Ranged of target by 82.6',100,1,0),
(144649,112406,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(144650,112406,'Inflicts 1007 - 1231 piercing damage on target',100,2,2),
(144651,112406,'Inflicts 503 - 615 piercing damage on target every 3 seconds',100,2,3),
(144652,10112406,'Increases Crushing, Piercing, Slashing and Ranged of target by 82.6',100,1,0),
(144653,10112406,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(144654,10112406,'Inflicts 1309 - 1600 piercing damage on target',100,2,2),
(144655,10112406,'Inflicts 655 - 800 piercing damage on target every 3 seconds',100,2,3),
(144656,116101,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(144657,116101,'Heals target for 325 - 397',100,2,1),
(144658,116101,'Grants a total of 5 triggers of the spell.',100,2,2),
(144659,10116101,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(144660,10116101,'Heals target for 211 - 258',100,2,1),
(144661,10116101,'Grants a total of 5 triggers of the spell.',100,2,2),
(144662,112608,'Increases STA of caster by 39.1',100,1,0),
(144663,112608,'Reduces slow effects on caster by 14.4%',100,1,1),
(144664,112608,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1037',100,1,2),
(144665,10112608,'Increases STA of caster by 39.1',100,1,0),
(144666,10112608,'Reduces slow effects on caster by 14.4%',100,1,1),
(144667,10112608,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1037',100,1,2),
(144668,106579,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144669,106579,'Increases Parry of caster by 6.9',100,1,1),
(144670,10106579,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(144671,10106579,'Increases Parry of caster by 6.9',100,1,1),
(144672,121711,'Increases AGI of caster by 43.0',100,1,0),
(144673,121711,'Adds 1.9% to base avoidance.',100,1,1),
(144674,121711,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(144675,121711,'Increases Parry of caster by 24.8',100,1,3),
(144676,121711,'Increases Defense of caster by 33.1',100,1,4),
(144677,10121711,'Increases AGI of caster by 43.0',100,1,0),
(144678,10121711,'Adds 1.9% to base avoidance.',100,1,1),
(144679,10121711,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(144680,10121711,'Increases Parry of caster by 24.8',100,1,3),
(144681,10121711,'Increases Defense of caster by 33.1',100,1,4),
(144682,26111,'When Equipped:',100,0,0),
(144683,26111,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(144684,26111,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(144685,10026111,'When Equipped:',100,0,0),
(144686,10026111,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(144687,10026111,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(144688,118136,'Heals target for 1209 - 1477',100,1,0),
(144689,10118136,'Heals target for 1429 - 1746',100,1,0),
(144690,103880,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(144691,103880,'Slows target by 56.6%',100,2,1),
(144692,103880,'5% chance to dispel when target receives hostile action',100,2,2),
(144693,103880,'5% chance to dispel when target takes damage',100,2,3),
(144694,103880,'Decreases Mitigation of target vs noxious damage by 2477',100,1,4),
(144695,10103880,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(144696,10103880,'Slows target by 56.6%',100,2,1),
(144697,10103880,'5% chance to dispel when target receives hostile action',100,2,2),
(144698,10103880,'5% chance to dispel when target takes damage',100,2,3),
(144699,10103880,'Decreases Mitigation of target vs noxious damage by 2477',100,1,4),
(144700,153956,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(144701,153956,'Decreases Attack Speed of target by 14.6',100,1,1),
(144702,153956,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(144703,10153956,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(144704,10153956,'Decreases Attack Speed of target by 14.6',100,1,1),
(144705,10153956,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(144706,108970,'Increases INT of group members (AE) by 121.2',100,1,0),
(144707,108970,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.5',100,1,1),
(144708,10108970,'Increases INT of group members (AE) by 121.2',100,1,0),
(144709,10108970,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.5',100,1,1),
(144710,82724,'When Equipped:',100,0,0),
(144711,82724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144712,82724,'Inflicts 148 - 274 magic damage on target',100,2,2),
(144713,82724,'Cannot be modified except by direct means',100,2,3),
(144714,10082724,'When Equipped:',100,0,0),
(144715,10082724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144716,10082724,'Inflicts 192 - 356 magic damage on target',100,2,2),
(144717,10082724,'Cannot be modified except by direct means',100,2,3),
(144718,87453,'When Equipped:',100,0,0),
(144719,87453,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144720,87453,'Inflicts 44 - 66 magic damage on target',100,2,2),
(144721,87453,'Cannot be modified except by direct means',100,2,3),
(144722,10087453,'When Equipped:',100,0,0),
(144723,10087453,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144724,10087453,'Inflicts 57 - 85 magic damage on target',100,2,2),
(144725,10087453,'Cannot be modified except by direct means',100,2,3),
(144726,80590,'When Equipped:',100,0,0),
(144727,80590,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144728,80590,'Inflicts 75 - 138 magic damage on target',100,2,2),
(144729,80590,'Cannot be modified except by direct means',100,2,3),
(144730,10080590,'When Equipped:',100,0,0),
(144731,10080590,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144732,10080590,'Inflicts 97 - 180 magic damage on target',100,2,2),
(144733,10080590,'Cannot be modified except by direct means',100,2,3),
(144734,113784,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(144735,113784,'Heals target for 214 - 262',100,2,1),
(144736,10113784,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(144737,10113784,'Heals target for 139 - 170',100,2,1),
(144738,114821,'Dazes caster',100,1,0),
(144739,114821,'Roots caster',100,1,1),
(144740,114821,'Increases Mitigation of caster vs physical damage by 1280',100,1,2),
(144741,10114821,'Dazes caster',100,1,0),
(144742,10114821,'Roots caster',100,1,1),
(144743,10114821,'Increases Mitigation of caster vs physical damage by 1280',100,1,2),
(144744,47193,'Applies Elixir of Mental Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(144745,10047193,'Applies Elixir of Mental Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(144746,116597,'Inflicts 243 - 405 divine damage on target',100,1,0),
(144747,10116597,'Inflicts 315 - 526 divine damage on target',100,1,0),
(144748,101261,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(144749,101261,'Inflicts 254 - 423 mental damage on target',100,2,1),
(144750,10101261,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(144751,10101261,'Inflicts 330 - 551 mental damage on target',100,2,1),
(144752,120512,'Inflicts 545 - 908 melee damage on target',100,1,0),
(144753,120512,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(144754,120512,'Grants stealth to caster',100,2,2),
(144755,120512,'Suspends caster''s movement speed enhancements',100,2,3),
(144756,120512,'Must be flanking or behind',100,1,4),
(144757,10120512,'Inflicts 708 - 1181 melee damage on target',100,1,0),
(144758,10120512,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(144759,10120512,'Grants stealth to caster',100,2,2),
(144760,10120512,'Suspends caster''s movement speed enhancements',100,2,3),
(144761,10120512,'Must be flanking or behind',100,1,4),
(144762,102574,'Increases AGI of caster by 113.8',100,1,0),
(144763,102574,'Increases Max Health of caster by 407.9',100,1,1),
(144764,102574,'Adds 21.8% to base avoidance.',100,1,2),
(144765,102574,'Increases Mitigation of caster vs physical damage by 676',100,1,3),
(144766,102574,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,4),
(144767,10102574,'Increases AGI of caster by 113.8',100,1,0),
(144768,10102574,'Increases Max Health of caster by 407.9',100,1,1),
(144769,10102574,'Adds 21.8% to base avoidance.',100,1,2),
(144770,10102574,'Increases Mitigation of caster vs physical damage by 676',100,1,3),
(144771,10102574,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,4),
(144772,111920,'Inflicts 65 - 109 piercing damage on target instantly and every 4 seconds',100,1,0),
(144773,111920,'Inflicts 240 - 400 piercing damage on target',100,1,1),
(144774,10111920,'Inflicts 142 - 237 piercing damage on target instantly and every 4 seconds',100,1,0),
(144775,10111920,'Inflicts 425 - 709 piercing damage on target',100,1,1),
(144776,106852,'Decreases Crushing, Piercing, Slashing and Ranged of target by 33.3',100,1,0),
(144777,10106852,'Decreases Crushing, Piercing, Slashing and Ranged of target by 33.3',100,1,0),
(144778,87480,'When Equipped:',100,0,0),
(144779,87480,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144780,87480,'Inflicts 194 - 290 magic damage on target',100,2,2),
(144781,87480,'Cannot be modified except by direct means',100,2,3),
(144782,10087480,'When Equipped:',100,0,0),
(144783,10087480,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144784,10087480,'Inflicts 252 - 378 magic damage on target',100,2,2),
(144785,10087480,'Cannot be modified except by direct means',100,2,3),
(144786,115829,'Inflicts 70 disease damage on target every 3 seconds',100,1,0),
(144787,115829,'Inflicts 261 - 435 melee damage on target',100,1,1),
(144788,115829,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(144789,115829,'Heals caster for 1.6% of max health instantly and every 3 seconds',100,2,3),
(144790,115829,'This effect cannot be critically applied.',100,3,4),
(144791,115829,'The healing of this spell cannot be modified except by direct means',100,2,5),
(144792,115829,'The healing of this spell cannot be modified except by direct means',100,1,6),
(144793,10115829,'Inflicts 91 disease damage on target every 3 seconds',100,1,0),
(144794,10115829,'Inflicts 339 - 565 melee damage on target',100,1,1),
(144795,10115829,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(144796,10115829,'Heals caster for 0.5% of max health instantly and every 3 seconds',100,2,3),
(144797,10115829,'This effect cannot be critically applied.',100,3,4),
(144798,10115829,'The healing of this spell cannot be modified except by direct means',100,2,5),
(144799,10115829,'The healing of this spell cannot be modified except by direct means',100,1,6),
(144800,118890,'Inflicts 137 - 229 melee damage on target',100,1,0),
(144801,118890,'Inflicts 137 - 229 melee damage on target',100,1,1),
(144802,118890,'Inflicts 137 - 229 melee damage on target',100,1,2),
(144803,118890,'Inflicts 137 - 229 melee damage on target',100,1,3),
(144804,118890,'Inflicts 137 - 229 melee damage on target',100,1,4),
(144805,10118890,'Inflicts 178 - 298 melee damage on target',100,1,0),
(144806,10118890,'Inflicts 178 - 298 melee damage on target',100,1,1),
(144807,10118890,'Inflicts 178 - 298 melee damage on target',100,1,2),
(144808,10118890,'Inflicts 178 - 298 melee damage on target',100,1,3),
(144809,10118890,'Inflicts 178 - 298 melee damage on target',100,1,4),
(144810,163819,'When Equipped:',100,0,0),
(144811,163819,'On a combat hit this spell may cast Languid Pace V on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(144812,163819,'Decreases Attack Speed of target by 14.0',100,2,2),
(144813,163819,'Cannot be modified except by direct means',100,2,3),
(144814,10163819,'When Equipped:',100,0,0),
(144815,10163819,'On a combat hit this spell may cast Languid Pace V on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(144816,10163819,'Decreases Attack Speed of target by 14.0',100,2,2),
(144817,10163819,'Cannot be modified except by direct means',100,2,3),
(144818,47841,'Applies Summon Snowmane when Activated.',100,0,0),
(144819,47841,'Summons a mount to ride',100,1,1),
(144820,47841,'Increases your ground speed by 135%',100,2,2),
(144821,47841,'Increases Piercing, Ordination, Ranged, Ministration, Disruption, Subjugation, Focus, Slashing, Aggression and Crushing of caster by 5.0',100,1,3),
(144822,10047841,'Applies Summon Snowmane when Activated.',100,0,0),
(144823,10047841,'Summons a mount to ride',100,1,1),
(144824,10047841,'Increases your ground speed by 135%',100,2,2),
(144825,10047841,'Increases Piercing, Ordination, Ranged, Ministration, Disruption, Subjugation, Focus, Slashing, Aggression and Crushing of caster by 5.0',100,1,3),
(144826,141854,'When Equipped:',100,0,0),
(144827,141854,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144828,141854,'Increases INT of caster by 14.8',100,2,2),
(144829,141854,'Increases Focus, Disruption and Subjugation of caster by 8.3',100,2,3),
(144830,141854,'Cannot be modified except by direct means',100,2,4),
(144831,10141854,'When Equipped:',100,0,0),
(144832,10141854,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144833,10141854,'Increases INT of caster by 14.8',100,2,2),
(144834,10141854,'Increases Focus, Disruption and Subjugation of caster by 8.3',100,2,3),
(144835,10141854,'Cannot be modified except by direct means',100,2,4),
(144836,134239,'When Equipped:',100,0,0),
(144837,134239,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144838,134239,'Decreases power of target by 135',100,2,2),
(144839,134239,'Increases power of caster by 82',100,2,3),
(144840,134239,'Cannot be modified except by direct means',100,2,4),
(144841,10134239,'When Equipped:',100,0,0),
(144842,10134239,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144843,10134239,'Decreases power of target by 135',100,2,2),
(144844,10134239,'Increases power of caster by 82',100,2,3),
(144845,10134239,'Cannot be modified except by direct means',100,2,4),
(144846,26072,'When Equipped:',100,0,0),
(144847,26072,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(144848,26072,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,2),
(144849,10026072,'When Equipped:',100,0,0),
(144850,10026072,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(144851,10026072,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,2),
(144852,46502,'Applies Calibrated Tools when Equipped.',100,0,0),
(144853,46502,'Increases success chance by 2.0%',100,1,1),
(144854,10046502,'Applies Calibrated Tools when Equipped.',100,0,0),
(144855,10046502,'Increases success chance by 2.0%',100,1,1),
(144856,119565,'Wards group members (AE) against 2282 points of arcane damage',100,1,0),
(144857,119565,'Increases Mitigation of group members (AE) vs arcane damage by 1201',100,1,1),
(144858,10119565,'Wards group members (AE) against 2282 points of arcane damage',100,1,0),
(144859,10119565,'Increases Mitigation of group members (AE) vs arcane damage by 1201',100,1,1),
(144860,159752,'When Equipped:',100,0,0),
(144861,159752,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(144862,159752,'Increases STA of caster by 12.2',100,2,2),
(144863,159752,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(144864,159752,'Cannot be modified except by direct means',100,2,4),
(144865,10159752,'When Equipped:',100,0,0),
(144866,10159752,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(144867,10159752,'Increases STA of caster by 12.2',100,2,2),
(144868,10159752,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(144869,10159752,'Cannot be modified except by direct means',100,2,4),
(144870,103852,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(144871,103852,'Slows target by 34.6%',100,2,1),
(144872,103852,'5% chance to dispel when target receives hostile action',100,2,2),
(144873,103852,'5% chance to dispel when target takes damage',100,2,3),
(144874,103852,'Decreases Mitigation of target vs noxious damage by 460',100,1,4),
(144875,10103852,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(144876,10103852,'Slows target by 34.6%',100,2,1),
(144877,10103852,'5% chance to dispel when target receives hostile action',100,2,2),
(144878,10103852,'5% chance to dispel when target takes damage',100,2,3),
(144879,10103852,'Decreases Mitigation of target vs noxious damage by 460',100,1,4),
(144880,120060,'Inflicts 60 - 100 mental damage on target',100,1,0),
(144881,120060,'Inflicts 60 - 100 mental damage on target',100,1,1),
(144882,120060,'Stifles target',100,1,2),
(144883,120060,'If Target is not Epic',100,2,3),
(144884,120060,'If weapon equipped in Ranged',100,1,4),
(144885,120060,'Resistibility increases against targets higher than level 45.',100,1,5),
(144886,10120060,'Inflicts 51 - 85 mental damage on target',100,1,0),
(144887,10120060,'Inflicts 51 - 85 mental damage on target',100,1,1),
(144888,10120060,'Stifles target',100,1,2),
(144889,10120060,'If Target is not Epic',100,2,3),
(144890,10120060,'If weapon equipped in Ranged',100,1,4),
(144891,10120060,'Resistibility increases against targets higher than level 45.',100,1,5),
(144892,47899,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(144893,47899,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(144894,47899,'Decreases Attack Speed of target by 23.9',100,2,2),
(144895,47899,'Cannot be modified except by direct means',100,2,3),
(144896,47899,'Grants a total of 60 triggers of the spell.',100,2,4),
(144897,10047899,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(144898,10047899,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(144899,10047899,'Decreases Attack Speed of target by 23.9',100,2,2),
(144900,10047899,'Cannot be modified except by direct means',100,2,3),
(144901,10047899,'Grants a total of 60 triggers of the spell.',100,2,4),
(144902,105002,'Reduces physical damage done to caster by 5%',100,1,0),
(144903,105002,'Adds 1.7% to base avoidance.',100,1,1),
(144904,105002,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(144905,105002,'Increases Parry of caster by 24.0',100,1,3),
(144906,105002,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(144907,105002,'Increases Aggression of caster by 14.4',100,1,5),
(144908,105002,'Increases Defense and Deflection of caster by 24.0',100,1,6),
(144909,105002,'Increases Mitigation of caster vs arcane damage by 1663',100,1,7),
(144910,105002,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(144911,10105002,'Reduces physical damage done to caster by 5%',100,1,0),
(144912,10105002,'Adds 1.7% to base avoidance.',100,1,1),
(144913,10105002,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(144914,10105002,'Increases Parry of caster by 24.0',100,1,3),
(144915,10105002,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(144916,10105002,'Increases Aggression of caster by 14.4',100,1,5),
(144917,10105002,'Increases Defense and Deflection of caster by 24.0',100,1,6),
(144918,10105002,'Increases Mitigation of caster vs arcane damage by 1663',100,1,7),
(144919,10105002,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(144920,71452,'When Equipped:',100,0,0),
(144921,71452,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144922,71452,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(144923,71452,'Cannot be modified except by direct means',100,2,3),
(144924,10071452,'When Equipped:',100,0,0),
(144925,10071452,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144926,10071452,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(144927,10071452,'Cannot be modified except by direct means',100,2,3),
(144928,118383,'Inflicts 376 - 627 melee damage on target',100,1,0),
(144929,118383,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(144930,118383,'Stuns target',100,2,2),
(144931,118383,'Throws target back',100,2,3),
(144932,118383,'Blurs vision of target',100,2,4),
(144933,118383,'Does not affect Epic targets',100,2,5),
(144934,10118383,'Inflicts 489 - 815 melee damage on target',100,1,0),
(144935,10118383,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(144936,10118383,'Stuns target',100,2,2),
(144937,10118383,'Throws target back',100,2,3),
(144938,10118383,'Blurs vision of target',100,2,4),
(144939,10118383,'Does not affect Epic targets',100,2,5),
(144940,143438,'When Equipped:',100,0,0),
(144941,143438,'On a hostile spell cast this spell may cast Darkened Celerity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144942,143438,'Increases the base damage of hostile spells cast by 5%',100,2,2),
(144943,143438,'Increases Ability Casting Speed of caster by 5.0%',100,2,3),
(144944,143438,'Cannot be modified except by direct means',100,2,4),
(144945,10143438,'When Equipped:',100,0,0),
(144946,10143438,'On a hostile spell cast this spell may cast Darkened Celerity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(144947,10143438,'Increases the base damage of hostile spells cast by 5%',100,2,2),
(144948,10143438,'Increases Ability Casting Speed of caster by 5.0%',100,2,3),
(144949,10143438,'Cannot be modified except by direct means',100,2,4),
(144950,80735,'When Equipped:',100,0,0),
(144951,80735,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144952,80735,'Inflicts 83 - 154 magic damage on target',100,2,2),
(144953,80735,'Decreases Threat to target by 236 ',100,2,3),
(144954,80735,'Must be flanking or behind',100,3,4),
(144955,80735,'Increases Threat to target by 236 ',100,2,5),
(144956,80735,'Must be in front of',100,3,6),
(144957,80735,'Cannot be modified except by direct means',100,2,7),
(144958,10080735,'When Equipped:',100,0,0),
(144959,10080735,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(144960,10080735,'Inflicts 108 - 200 magic damage on target',100,2,2),
(144961,10080735,'Cannot be modified except by direct means',100,2,3),
(144962,110787,'Heals group members (AE) for 516 - 630 instantly and every 2 seconds',100,1,0),
(144963,10110787,'Heals group members (AE) for 335 - 410 instantly and every 2 seconds',100,1,0),
(144964,103399,'Decreases Threat to targets in Area of Effect by 357 ',100,1,0),
(144965,103399,'Slows targets in Area of Effect by 38.5%',100,1,1),
(144966,103399,'Stifles targets in Area of Effect',100,1,2),
(144967,103399,'If Target is not Epic',100,2,3),
(144968,103399,'10% chance to dispel when target receives hostile action',100,1,4),
(144969,103399,'10% chance to dispel when target takes damage',100,1,5),
(144970,10103399,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(144971,10103399,'Slows targets in Area of Effect by 38.5%',100,1,1),
(144972,10103399,'Stifles targets in Area of Effect',100,1,2),
(144973,10103399,'If Target is not Epic',100,2,3),
(144974,102419,'Inflicts 1627 - 3022 melee damage on targets in area',100,1,0),
(144975,10102419,'Inflicts 2115 - 3929 melee damage on targets in area',100,1,0),
(144976,173618,'When Equipped:',100,0,0),
(144977,173618,'Increases caster''s chance to block by 10.0%',100,1,1),
(144978,10173618,'When Equipped:',100,0,0),
(144979,10173618,'Increases caster''s chance to block by 10.0%',100,1,1),
(144980,75647,'Applies Holy Strike when Activated.',100,0,0),
(144981,75647,'Inflicts 77 - 128 divine damage on target',100,1,1),
(144982,75647,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(144983,10075647,'Applies Holy Strike when Activated.',100,0,0),
(144984,10075647,'Inflicts 100 - 167 divine damage on target',100,1,1),
(144985,10075647,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(144986,87386,'When Equipped:',100,0,0),
(144987,87386,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144988,87386,'Inflicts 194 - 290 magic damage on target',100,2,2),
(144989,87386,'Cannot be modified except by direct means',100,2,3),
(144990,10087386,'When Equipped:',100,0,0),
(144991,10087386,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(144992,10087386,'Inflicts 252 - 378 magic damage on target',100,2,2),
(144993,10087386,'Cannot be modified except by direct means',100,2,3),
(144994,25488,'When Equipped:',100,0,0),
(144995,25488,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(144996,25488,'Improves the crushing, slashing, piercing and ranged of Feral Stance by 30%.',100,1,2),
(144997,10025488,'When Equipped:',100,0,0),
(144998,10025488,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(144999,10025488,'Improves the crushing, slashing, piercing and ranged of Feral Stance by 30%.',100,1,2),
(145000,41652,'When Equipped:',100,0,0),
(145001,41652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145002,41652,'Inflicts 212 - 393 magic damage on target',100,2,2),
(145003,41652,'Cannot be modified except by direct means',100,2,3),
(145004,10041652,'When Equipped:',100,0,0),
(145005,10041652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145006,10041652,'Inflicts 275 - 511 magic damage on target',100,2,2),
(145007,10041652,'Cannot be modified except by direct means',100,2,3),
(145008,71801,'When Equipped:',100,0,0),
(145009,71801,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145010,71801,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(145011,71801,'Cannot be modified except by direct means',100,2,3),
(145012,10071801,'When Equipped:',100,0,0),
(145013,10071801,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145014,10071801,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(145015,10071801,'Cannot be modified except by direct means',100,2,3),
(145016,115457,'Inflicts 200 - 245 mental damage on target instantly and every 6 seconds',100,1,0),
(145017,115457,'Decreases Mitigation of target vs arcane damage by 1120',100,1,1),
(145018,10115457,'Inflicts 260 - 318 mental damage on target instantly and every 6 seconds',100,1,0),
(145019,10115457,'Decreases Mitigation of target vs arcane damage by 1120',100,1,1),
(145020,109786,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(145021,109786,'Heals group members (AE) for 273',100,2,1),
(145022,10109786,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(145023,10109786,'Heals group members (AE) for 177',100,2,1),
(145024,122854,'Inflicts 88 - 146 ranged damage on target',100,1,0),
(145025,122854,'Inflicts 176 - 293 ranged damage on target',100,1,1),
(145026,122854,'Inflicts 264 - 440 ranged damage on target',100,1,2),
(145027,122854,'Requires bow',100,1,3),
(145028,10122854,'Inflicts 93 - 156 ranged damage on target',100,1,0),
(145029,10122854,'Inflicts 187 - 312 ranged damage on target',100,1,1),
(145030,10122854,'Inflicts 281 - 468 ranged damage on target',100,1,2),
(145031,10122854,'Requires bow',100,1,3),
(145032,138218,'When Equipped:',100,0,0),
(145033,138218,'On a hostile spell cast this spell may cast Essence Conversion on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(145034,138218,'Inflicts 517 - 632 magic damage on target',100,2,2),
(145035,138218,'Increases power of caster by 366 - 448',100,2,3),
(145036,138218,'Cannot be modified except by direct means',100,2,4),
(145037,10138218,'When Equipped:',100,0,0),
(145038,10138218,'On a hostile spell cast this spell may cast Essence Conversion on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(145039,10138218,'Inflicts 673 - 822 magic damage on target',100,2,2),
(145040,10138218,'Increases power of caster by 366 - 448',100,2,3),
(145041,10138218,'Cannot be modified except by direct means',100,2,4),
(145042,36853,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(145043,36853,'This effect suspends during combat',100,0,1),
(145044,159419,'Applies Lambent Imbued when Equipped.',100,0,0),
(145045,159419,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(145046,159419,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(145047,159419,'Cannot be modified except by direct means',100,2,3),
(145048,10159419,'Applies Lambent Imbued when Equipped.',100,0,0),
(145049,10159419,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(145050,10159419,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(145051,10159419,'Cannot be modified except by direct means',100,2,3),
(145052,154520,'When Equipped:',100,0,0),
(145053,154520,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(145054,154520,'Increases power of caster by 519',100,2,2),
(145055,154520,'Cannot be modified except by direct means',100,2,3),
(145056,10154520,'When Equipped:',100,0,0),
(145057,10154520,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(145058,10154520,'Increases power of caster by 519',100,2,2),
(145059,10154520,'Cannot be modified except by direct means',100,2,3),
(145060,165279,'Applies Heroic Resistance X when Equipped.',100,0,0),
(145061,165279,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(145062,165279,'Cannot be modified except by direct means',100,1,2),
(145063,165279,'When Equipped:',100,0,3),
(145064,165279,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(145065,165279,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,5),
(145066,165279,'Grants a 15.0% chance to resist Stifle effects',100,2,6),
(145067,165279,'Cannot be modified except by direct means',100,2,7),
(145068,10165279,'Applies Heroic Resistance X when Equipped.',100,0,0),
(145069,10165279,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(145070,10165279,'Cannot be modified except by direct means',100,1,2),
(145071,10165279,'When Equipped:',100,0,3),
(145072,10165279,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(145073,10165279,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,5),
(145074,10165279,'Grants a 15.0% chance to resist Stifle effects',100,2,6),
(145075,10165279,'Cannot be modified except by direct means',100,2,7),
(145076,186154,'When Equipped:',100,0,0),
(145077,186154,'Increases Spell Reuse Speed of caster by 1.0%',100,1,1),
(145078,186154,'Increases Potency of caster by 1.0%',100,1,2),
(145079,186154,'Must not be engaged in pvp combat',100,1,3),
(145080,10186154,'When Equipped:',100,0,0),
(145081,10186154,'Increases Spell Reuse Speed of caster by 1.0%',100,1,1),
(145082,10186154,'Increases Potency of caster by 1.0%',100,1,2),
(145083,10186154,'Must not be engaged in pvp combat',100,1,3),
(145084,35472,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(145085,35472,'This effect suspends during combat',100,0,1),
(145086,111520,'Blurs vision of targets in Area of Effect',100,1,0),
(145087,111520,'Interrupts targets in Area of Effect',100,1,1),
(145088,111520,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(145089,111520,'Stuns target',100,2,3),
(145090,111520,'Throws target back',100,2,4),
(145091,111520,'Blurs vision of target',100,2,5),
(145092,111520,'Does not affect Epic targets',100,2,6),
(145093,10111520,'Blurs vision of targets in Area of Effect',100,1,0),
(145094,10111520,'Interrupts targets in Area of Effect',100,1,1),
(145095,10111520,'9% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(145096,10111520,'Stuns target',100,2,3),
(145097,10111520,'Throws target back',100,2,4),
(145098,10111520,'Blurs vision of target',100,2,5),
(145099,10111520,'Does not affect Epic targets',100,2,6),
(145100,185466,'When Equipped:',100,0,0),
(145101,185466,'Increases Attack Speed of caster by 35.0',100,1,1),
(145102,10185466,'When Equipped:',100,0,0),
(145103,10185466,'Increases Attack Speed of caster by 35.0',100,1,1),
(145104,111935,'Inflicts 126 - 210 piercing damage on target instantly and every 4 seconds',100,1,0),
(145105,111935,'Inflicts 461 - 769 piercing damage on target',100,1,1),
(145106,10111935,'Inflicts 273 - 455 piercing damage on target instantly and every 4 seconds',100,1,0),
(145107,10111935,'Inflicts 818 - 1363 piercing damage on target',100,1,1),
(145108,89778,'Applies Celestial Glow when Equipped.',100,0,0),
(145109,10089778,'Applies Celestial Glow when Equipped.',100,0,0),
(145110,108512,'Increases AGI and WIS of group members (AE) by 16.1',100,1,0),
(145111,108512,'Adds 1.7% to base avoidance.',100,1,1),
(145112,108512,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 45',100,1,2),
(145113,10108512,'Increases AGI and WIS of group members (AE) by 16.1',100,1,0),
(145114,10108512,'Adds 1.7% to base avoidance.',100,1,1),
(145115,10108512,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 45',100,1,2),
(145116,182596,'When Equipped:',100,0,0),
(145117,182596,'On a critical healing spell cast this spell may cast Ferocity on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(145118,182596,'Increases casting speed by 6%.',100,2,2),
(145119,182596,'Increases Attack Speed of target by 20.0',100,2,3),
(145120,182596,'Cannot be modified except by direct means',100,2,4),
(145121,10182596,'When Equipped:',100,0,0),
(145122,10182596,'On a critical healing spell cast this spell may cast Ferocity on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(145123,10182596,'Increases casting speed by 6%.',100,2,2),
(145124,10182596,'Increases Attack Speed of target by 20.0',100,2,3),
(145125,10182596,'Cannot be modified except by direct means',100,2,4),
(145126,110473,'Stifles caster',100,1,0),
(145127,110473,'Increases power of caster by 8 instantly and every second',100,1,1),
(145128,10110473,'Stifles caster',100,1,0),
(145129,10110473,'Increases power of caster by 8 instantly and every second',100,1,1),
(145130,113069,'Applies Scream on termination.',100,1,0),
(145131,113069,'Inflicts 379 - 632 disease damage on target',100,2,1),
(145132,113069,'Dazes target',100,1,2),
(145133,113069,'If Target is not Epic',100,2,3),
(145134,113069,'Resistibility increases against targets higher than level 91.',100,1,4),
(145135,10113069,'Dazes target',100,1,0),
(145136,10113069,'If Target is not Epic',100,2,1),
(145137,10113069,'Applies Scream on termination.',100,1,2),
(145138,10113069,'Inflicts 493 - 822 disease damage on target',100,2,3),
(145139,10113069,'Resistibility increases against targets higher than level 91.',100,1,4),
(145140,110589,'Decreases Attack Speed of target by 26.6',100,1,0),
(145141,110589,'Decreases Crushing, Slashing and Piercing of target by 15.8',100,1,1),
(145142,10110589,'Decreases Attack Speed of target by 26.6',100,1,0),
(145143,10110589,'Decreases Crushing, Slashing and Piercing of target by 15.8',100,1,1),
(145144,53159,'Applies Living Breath when Activated.  Lasts for 3 minutes.',100,0,0),
(145145,53159,'Wards caster against 920 points of all damage',100,1,1),
(145146,53159,'The reuse time of Living Breath is 2 hours',100,1,2),
(145147,10053159,'Applies Living Breath when Activated.  Lasts for 3 minutes.',100,0,0),
(145148,10053159,'Wards caster against 920 points of all damage',100,1,1),
(145149,10053159,'The reuse time of Living Breath is 2 hours',100,1,2),
(145150,82583,'When Equipped:',100,0,0),
(145151,82583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145152,82583,'Inflicts 116 - 215 magic damage on target',100,2,2),
(145153,82583,'Cannot be modified except by direct means',100,2,3),
(145154,10082583,'When Equipped:',100,0,0),
(145155,10082583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145156,10082583,'Inflicts 151 - 280 magic damage on target',100,2,2),
(145157,10082583,'Cannot be modified except by direct means',100,2,3),
(145158,173042,'When Equipped:',100,0,0),
(145159,173042,'When damaged in combat this spell has a 7% chance to cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(145160,173042,'Wards caster against 500 points of all damage',100,2,2),
(145161,173042,'Cannot be modified except by direct means',100,2,3),
(145162,173042,'On any combat or spell hit this spell may cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(145163,173042,'Wards caster against 500 points of all damage',100,2,5),
(145164,173042,'Cannot be modified except by direct means',100,2,6),
(145165,10173042,'When Equipped:',100,0,0),
(145166,10173042,'When damaged in combat this spell has a 7% chance to cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(145167,10173042,'Wards caster against 360 points of all damage',100,2,2),
(145168,10173042,'Cannot be modified except by direct means',100,2,3),
(145169,10173042,'On any combat or spell hit this spell may cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(145170,10173042,'Wards caster against 360 points of all damage',100,2,5),
(145171,10173042,'Cannot be modified except by direct means',100,2,6),
(145172,80266,'When Equipped:',100,0,0),
(145173,80266,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145174,80266,'Inflicts 260 - 482 magic damage on target',100,2,2),
(145175,80266,'Decreases Threat to target by 801 ',100,2,3),
(145176,80266,'Must be flanking or behind',100,3,4),
(145177,80266,'Increases Threat to target by 801 ',100,2,5),
(145178,80266,'Must be in front of',100,3,6),
(145179,80266,'Cannot be modified except by direct means',100,2,7),
(145180,10080266,'When Equipped:',100,0,0),
(145181,10080266,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145182,10080266,'Inflicts 337 - 627 magic damage on target',100,2,2),
(145183,10080266,'Cannot be modified except by direct means',100,2,3),
(145184,36300,'Increases Max Power of target by 5.5',100,0,0),
(145185,36300,'Increases Max Health of target by 5.5',100,0,1),
(145186,36300,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(145187,40851,'When Equipped:',100,0,0),
(145188,40851,'On a critical combat hit this spell may cast Demolishing Charge IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(145189,40851,'Inflicts 5062 - 5594 crushing damage on target',100,2,2),
(145190,40851,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(145191,40851,'Stuns target',100,3,4),
(145192,40851,'Throws target back',100,3,5),
(145193,40851,'Blurs vision of target',100,3,6),
(145194,40851,'Does not affect Epic targets',100,3,7),
(145195,40851,'Increases Threat to target by 4,750 - 5,250 ',100,2,8),
(145196,40851,'Must not be engaged in pvp combat',100,2,9),
(145197,40851,'Cannot be modified except by direct means',100,2,10),
(145198,40851,'On a critical spell hit this spell may cast Demolishing Charge IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(145199,40851,'Inflicts 5062 - 5594 crushing damage on target',100,2,12),
(145200,40851,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,13),
(145201,40851,'Stuns target',100,3,14),
(145202,40851,'Throws target back',100,3,15),
(145203,40851,'Blurs vision of target',100,3,16),
(145204,40851,'Does not affect Epic targets',100,3,17),
(145205,40851,'Increases Threat to target by 4,750 - 5,250 ',100,2,18),
(145206,40851,'Must not be engaged in pvp combat',100,2,19),
(145207,40851,'Cannot be modified except by direct means',100,2,20),
(145208,40851,'Must not be engaged in pvp combat',100,1,21),
(145209,10040851,'When Equipped:',100,0,0),
(145210,10040851,'On a critical combat hit this spell may cast Demolishing Charge IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(145211,10040851,'Inflicts 6580 - 7273 crushing damage on target',100,2,2),
(145212,10040851,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(145213,10040851,'Stuns target',100,3,4),
(145214,10040851,'Throws target back',100,3,5),
(145215,10040851,'Blurs vision of target',100,3,6),
(145216,10040851,'Does not affect Epic targets',100,3,7),
(145217,10040851,'Must not be engaged in pvp combat',100,2,8),
(145218,10040851,'Cannot be modified except by direct means',100,2,9),
(145219,10040851,'On a critical spell hit this spell may cast Demolishing Charge IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,10),
(145220,10040851,'Inflicts 6580 - 7273 crushing damage on target',100,2,11),
(145221,10040851,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,12),
(145222,10040851,'Stuns target',100,3,13),
(145223,10040851,'Throws target back',100,3,14),
(145224,10040851,'Blurs vision of target',100,3,15),
(145225,10040851,'Does not affect Epic targets',100,3,16),
(145226,10040851,'Must not be engaged in pvp combat',100,2,17),
(145227,10040851,'Cannot be modified except by direct means',100,2,18),
(145228,10040851,'Must not be engaged in pvp combat',100,1,19),
(145229,109645,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(145230,109645,'Inflicts 31 - 58 poison damage on target encounter',100,2,1),
(145231,10109645,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(145232,10109645,'Inflicts 41 - 76 poison damage on target encounter',100,2,1),
(145233,135209,'When Equipped:',100,0,0),
(145234,135209,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(145235,135209,'Inflicts 1390 mental damage on target',100,2,2),
(145236,135209,'Increases Threat to target by 4,000 ',100,2,3),
(145237,135209,'Cannot be modified except by direct means',100,2,4),
(145238,135209,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(145239,135209,'Inflicts 1390 mental damage on target',100,2,6),
(145240,135209,'Increases Threat to target by 4,000 ',100,2,7),
(145241,135209,'Cannot be modified except by direct means',100,2,8),
(145242,10135209,'When Equipped:',100,0,0),
(145243,10135209,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(145244,10135209,'Inflicts 1807 mental damage on target',100,2,2),
(145245,10135209,'Cannot be modified except by direct means',100,2,3),
(145246,10135209,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(145247,10135209,'Inflicts 1807 mental damage on target',100,2,5),
(145248,10135209,'Cannot be modified except by direct means',100,2,6),
(145249,113332,'Inflicts 313 - 383 divine damage on target encounter',100,1,0),
(145250,113332,'Interrupts target encounter',100,1,1),
(145251,10113332,'Inflicts 407 - 498 divine damage on target encounter',100,1,0),
(145252,10113332,'Interrupts target encounter',100,1,1),
(145253,141933,'When Equipped:',100,0,0),
(145254,141933,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(145255,141933,'Increases STA of caster by 3.6',100,2,2),
(145256,141933,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(145257,141933,'Cannot be modified except by direct means',100,2,4),
(145258,10141933,'When Equipped:',100,0,0),
(145259,10141933,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(145260,10141933,'Increases STA of caster by 3.6',100,2,2),
(145261,10141933,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(145262,10141933,'Cannot be modified except by direct means',100,2,4),
(145263,177782,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(145264,177782,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(145265,177782,'Decreases Attack Speed of target by 11.2',100,2,2),
(145266,177782,'Cannot be modified except by direct means',100,2,3),
(145267,177782,'Slows target by 28.5%',100,1,4),
(145268,177782,'5% chance to dispel when target takes damage',100,1,5),
(145269,177782,'5% chance to dispel when target receives hostile action',100,1,6),
(145270,177782,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(145271,10177782,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(145272,10177782,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(145273,10177782,'Decreases Attack Speed of target by 11.2',100,2,2),
(145274,10177782,'Cannot be modified except by direct means',100,2,3),
(145275,10177782,'Slows target by 28.5%',100,1,4),
(145276,10177782,'5% chance to dispel when target takes damage',100,1,5),
(145277,10177782,'5% chance to dispel when target receives hostile action',100,1,6),
(145278,10177782,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(145279,114079,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(145280,114079,'Grants stealth to caster',100,2,1),
(145281,114079,'Suspends caster''s movement speed enhancements',100,2,2),
(145282,114079,'Inflicts 430 - 717 melee damage on target',100,1,3),
(145283,114079,'Must be flanking or behind',100,1,4),
(145284,10114079,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(145285,10114079,'Grants stealth to caster',100,2,1),
(145286,10114079,'Suspends caster''s movement speed enhancements',100,2,2),
(145287,10114079,'Inflicts 839 - 1398 melee damage on target',100,1,3),
(145288,10114079,'Must be flanking or behind',100,1,4),
(145289,41583,'When Equipped:',100,0,0),
(145290,41583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145291,41583,'Inflicts 234 - 434 magic damage on target',100,2,2),
(145292,41583,'Cannot be modified except by direct means',100,2,3),
(145293,10041583,'When Equipped:',100,0,0),
(145294,10041583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145295,10041583,'Inflicts 304 - 564 magic damage on target',100,2,2),
(145296,10041583,'Cannot be modified except by direct means',100,2,3),
(145297,105147,'Increases AGI of caster by 16.1',100,1,0),
(145298,105147,'Adds 1.7% to base avoidance.',100,1,1),
(145299,105147,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(145300,105147,'Increases Parry of caster by 8.9',100,1,3),
(145301,105147,'Increases Defense of caster by 11.9',100,1,4),
(145302,10105147,'Increases AGI of caster by 16.1',100,1,0),
(145303,10105147,'Adds 1.7% to base avoidance.',100,1,1),
(145304,10105147,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(145305,10105147,'Increases Parry of caster by 8.9',100,1,3),
(145306,10105147,'Increases Defense of caster by 11.9',100,1,4),
(145307,35017,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(145308,35017,'This effect suspends during combat',100,0,1),
(145309,120251,'Inflicts 305 - 509 crushing damage on target',100,1,0),
(145310,10120251,'Inflicts 397 - 662 crushing damage on target',100,1,0),
(145311,42055,'When Equipped:',100,0,0),
(145312,42055,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(145313,42055,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(145314,42055,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(145315,42055,'Heals caster for 1185 - 1309',100,2,4),
(145316,42055,'Must not be engaged in pvp combat',100,2,5),
(145317,42055,'Cannot be modified except by direct means',100,2,6),
(145318,42055,'Cannot be modified except by direct means',100,1,7),
(145319,10042055,'When Equipped:',100,0,0),
(145320,10042055,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(145321,10042055,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(145322,10042055,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(145323,10042055,'Heals caster for 1386 - 1532',100,2,4),
(145324,10042055,'Must not be engaged in pvp combat',100,2,5),
(145325,10042055,'Cannot be modified except by direct means',100,2,6),
(145326,10042055,'Cannot be modified except by direct means',100,1,7),
(145327,48562,'Applies Wings of Flight when Activated.',100,0,0),
(145328,48562,'Increases Ordination of caster by 5.0',100,1,1),
(145329,48562,'Summons a mount to ride',100,1,2),
(145330,48562,'Increases your ground speed by 75%',100,2,3),
(145331,48562,'Increases your air speed by 150%',100,2,4),
(145332,48562,'Increases Slashing, Crushing, Disruption, Ministration, Piercing, Subjugation, Focus, Aggression and Ranged of caster by 5.0',100,1,5),
(145333,10048562,'Applies Wings of Flight when Activated.',100,0,0),
(145334,10048562,'Increases Ordination of caster by 5.0',100,1,1),
(145335,10048562,'Summons a mount to ride',100,1,2),
(145336,10048562,'Increases your ground speed by 75%',100,2,3),
(145337,10048562,'Increases your air speed by 150%',100,2,4),
(145338,10048562,'Increases Slashing, Crushing, Disruption, Ministration, Piercing, Subjugation, Focus, Aggression and Ranged of caster by 5.0',100,1,5),
(145339,102924,'Inflicts 34 - 42 disease damage on target instantly and every 4 seconds',100,1,0),
(145340,10102924,'Inflicts 58 - 71 disease damage on target',100,1,0),
(145341,10102924,'Inflicts 45 - 55 disease damage on target every 4 seconds',100,1,1),
(145342,46198,'Applies Petamorph: Djinn when Activated.  Lasts for 2 hours.',100,0,0),
(145343,46198,'Turns the caster''s combat pet into a djinn. Does not work on cosmetic pets.',100,1,1),
(145344,10046198,'Applies Petamorph: Djinn when Activated.  Lasts for 2 hours.',100,0,0),
(145345,10046198,'Turns the caster''s combat pet into a djinn. Does not work on cosmetic pets.',100,1,1),
(145346,102104,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(145347,102104,'Stuns target',100,2,1),
(145348,102104,'Throws target back',100,2,2),
(145349,102104,'Blurs vision of target',100,2,3),
(145350,102104,'Does not affect Epic targets',100,2,4),
(145351,102104,'Inflicts 213 - 355 crushing damage on target',100,1,5),
(145352,10102104,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(145353,10102104,'Throws target back',100,2,1),
(145354,10102104,'Stuns target',100,2,2),
(145355,10102104,'Blurs vision of target',100,2,3),
(145356,10102104,'Does not affect Epic targets',100,2,4),
(145357,10102104,'Inflicts 277 - 462 crushing damage on target',100,1,5),
(145358,54961,'When Equipped:',100,0,0),
(145359,54961,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(145360,54961,'When Equipped:',100,0,2),
(145361,54961,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(145362,10054961,'When Equipped:',100,0,0),
(145363,10054961,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(145364,10054961,'When Equipped:',100,0,2),
(145365,10054961,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(145366,115851,'Inflicts 347 - 578 mental damage on target encounter',100,1,0),
(145367,115851,'Interrupts target encounter',100,1,1),
(145368,10115851,'Inflicts 451 - 751 mental damage on target encounter',100,1,0),
(145369,10115851,'Interrupts target encounter',100,1,1),
(145370,107081,'Inflicts 92 - 113 divine damage on target',100,1,0),
(145371,10107081,'Inflicts 120 - 146 divine damage on target',100,1,0),
(145372,106203,'Applies Defile.',100,1,0),
(145373,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,1),
(145374,106203,'If under 90% Health',100,3,2),
(145375,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,3),
(145376,106203,'If under 100% Health',100,3,4),
(145377,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,5),
(145378,106203,'If under 10% Health',100,3,6),
(145379,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,7),
(145380,106203,'If under 80% Health',100,3,8),
(145381,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,9),
(145382,106203,'If under 20% Health',100,3,10),
(145383,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,11),
(145384,106203,'If under 70% Health',100,3,12),
(145385,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,13),
(145386,106203,'If under 40% Health',100,3,14),
(145387,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,15),
(145388,106203,'If under 60% Health',100,3,16),
(145389,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,17),
(145390,106203,'If under 30% Health',100,3,18),
(145391,106203,'Inflicts 80 disease damage on targets in Area of Effect',100,2,19),
(145392,106203,'If under 50% Health',100,3,20),
(145393,10106203,'Applies Defile.',100,1,0),
(145394,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,1),
(145395,10106203,'If at 20% Health or less',100,3,2),
(145396,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,3),
(145397,10106203,'If at 10% Health or less',100,3,4),
(145398,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,5),
(145399,10106203,'If at 100% Health or greater',100,3,6),
(145400,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,7),
(145401,10106203,'If at 40% Health or less',100,3,8),
(145402,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,9),
(145403,10106203,'If at 30% Health or less',100,3,10),
(145404,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,11),
(145405,10106203,'If at 60% Health or less',100,3,12),
(145406,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,13),
(145407,10106203,'If at 50% Health or less',100,3,14),
(145408,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,15),
(145409,10106203,'If at 80% Health or less',100,3,16),
(145410,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,17),
(145411,10106203,'If at 70% Health or less',100,3,18),
(145412,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,19),
(145413,10106203,'If over 100% Health',100,3,20),
(145414,10106203,'Inflicts 104 disease damage on targets in Area of Effect',100,2,21),
(145415,10106203,'If at 90% Health or less',100,3,22),
(145416,106406,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(145417,106406,'Inflicts 206 - 252 mental damage on target',100,2,1),
(145418,106406,'Grants a total of 3 triggers of the spell.',100,2,2),
(145419,10106406,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(145420,10106406,'Inflicts 268 - 328 mental damage on target',100,2,1),
(145421,10106406,'Grants a total of 3 triggers of the spell.',100,2,2),
(145422,111825,'Inflicts 134 - 223 melee damage on target',100,1,0),
(145423,111825,'Roots target',100,1,1),
(145424,111825,'If Target is not Epic',100,2,2),
(145425,111825,'Resistibility increases against targets higher than level 56.',100,1,3),
(145426,10111825,'Inflicts 157 - 261 melee damage on target',100,1,0),
(145427,10111825,'Roots target',100,1,1),
(145428,10111825,'If Target is not Epic',100,2,2),
(145429,10111825,'Resistibility increases against targets higher than level 56.',100,1,3),
(145430,137417,'When Equipped:',100,0,0),
(145431,137417,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(145432,137417,'Inflicts 1199 disease damage on target encounter',100,2,2),
(145433,137417,'Must not be engaged in pvp combat',100,2,3),
(145434,137417,'Cannot be modified except by direct means',100,2,4),
(145435,10137417,'When Equipped:',100,0,0),
(145436,10137417,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(145437,10137417,'Inflicts 779 disease damage on target encounter',100,2,2),
(145438,10137417,'Must not be engaged in pvp combat',100,2,3),
(145439,10137417,'Cannot be modified except by direct means',100,2,4),
(145440,113084,'Heals target for 56.2 - 68.6% of max health',100,1,0),
(145441,113084,'This effect cannot be critically applied.',100,2,1),
(145442,113084,'Increases Max Health of target by 129.0',100,1,2),
(145443,113084,'Increases Mitigation of target vs physical damage by 240',100,1,3),
(145444,113084,'The healing of this spell cannot be modified except by direct means',100,1,4),
(145445,10113084,'Heals target for 22.5 - 27.5% of max health',100,1,0),
(145446,10113084,'This effect cannot be critically applied.',100,2,1),
(145447,10113084,'Increases Max Health of target by 129.0',100,1,2),
(145448,10113084,'Increases Mitigation of target vs physical damage by 240',100,1,3),
(145449,10113084,'The healing of this spell cannot be modified except by direct means',100,1,4),
(145450,37374,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(145451,154870,'When Equipped:',100,0,0),
(145452,154870,'On a kill this spell has a 10% chance to cast Vitae Absorption on caster.  ',100,1,1),
(145453,154870,'Heals caster for 440',100,2,2),
(145454,154870,'Cannot be modified except by direct means',100,2,3),
(145455,10154870,'When Equipped:',100,0,0),
(145456,10154870,'On a kill this spell has a 10% chance to cast Vitae Absorption on caster.  ',100,1,1),
(145457,10154870,'Heals caster for 286',100,2,2),
(145458,10154870,'Cannot be modified except by direct means',100,2,3),
(145459,121485,'Inflicts 186 - 310 melee damage on target',100,1,0),
(145460,121485,'Decreases Defense of target by 5.8',100,1,1),
(145461,10121485,'Inflicts 241 - 403 melee damage on target',100,1,0),
(145462,10121485,'Decreases Defense of target by 5.8',100,1,1),
(145463,80781,'When Equipped:',100,0,0),
(145464,80781,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145465,80781,'Inflicts 226 - 419 magic damage on target',100,2,2),
(145466,80781,'Decreases Threat to target by 517 ',100,2,3),
(145467,80781,'Must be flanking or behind',100,3,4),
(145468,80781,'Increases Threat to target by 517 ',100,2,5),
(145469,80781,'Must be in front of',100,3,6),
(145470,80781,'Cannot be modified except by direct means',100,2,7),
(145471,10080781,'When Equipped:',100,0,0),
(145472,10080781,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145473,10080781,'Inflicts 293 - 545 magic damage on target',100,2,2),
(145474,10080781,'Cannot be modified except by direct means',100,2,3),
(145475,36082,'Increases AGI and STA of target by 5.4',100,0,0),
(145476,36082,'Increases Damage Per Second of target by 10.0',100,0,1),
(145477,36082,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(145478,74717,'When Equipped:',100,0,0),
(145479,74717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145480,74717,'Inflicts 93 - 139 magic damage on target',100,2,2),
(145481,74717,'Cannot be modified except by direct means',100,2,3),
(145482,10074717,'When Equipped:',100,0,0),
(145483,10074717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145484,10074717,'Inflicts 121 - 181 magic damage on target',100,2,2),
(145485,10074717,'Cannot be modified except by direct means',100,2,3),
(145486,120172,'Applies Life Draw on termination.',100,1,0),
(145487,120172,'Inflicts 286 - 477 disease damage on target',100,2,1),
(145488,120172,'Heals caster for 9.4 - 11.5% of max health',100,2,2),
(145489,120172,'This effect cannot be critically applied.',100,3,3),
(145490,120172,'The healing of this spell cannot be modified except by direct means',100,2,4),
(145491,120172,'Inflicts 83 - 139 disease damage on target',100,1,5),
(145492,10120172,'Applies Life Draw on termination.',100,1,0),
(145493,10120172,'Inflicts 372 - 620 disease damage on target',100,2,1),
(145494,10120172,'Heals caster for 2.6 - 3.1% of max health',100,2,2),
(145495,10120172,'This effect cannot be critically applied.',100,3,3),
(145496,10120172,'The healing of this spell cannot be modified except by direct means',100,2,4),
(145497,10120172,'Inflicts 108 - 180 disease damage on target',100,1,5),
(145498,25954,'When Equipped:',100,0,0),
(145499,25954,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(145500,25954,'Inflicts 213 cold damage on target',100,2,2),
(145501,25954,'Slows target by 26.2%',100,2,3),
(145502,25954,'Cannot be modified except by direct means',100,2,4),
(145503,10025954,'When Equipped:',100,0,0),
(145504,10025954,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(145505,10025954,'Inflicts 277 cold damage on target',100,2,2),
(145506,10025954,'Slows target by 26.2%',100,2,3),
(145507,10025954,'Cannot be modified except by direct means',100,2,4),
(145508,141851,'When Equipped:',100,0,0),
(145509,141851,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145510,141851,'Increases INT of caster by 23.1',100,2,2),
(145511,141851,'Increases Subjugation, Disruption and Focus of caster by 13.1',100,2,3),
(145512,141851,'Cannot be modified except by direct means',100,2,4),
(145513,10141851,'When Equipped:',100,0,0),
(145514,10141851,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145515,10141851,'Increases INT of caster by 23.1',100,2,2),
(145516,10141851,'Increases Subjugation, Disruption and Focus of caster by 13.1',100,2,3),
(145517,10141851,'Cannot be modified except by direct means',100,2,4),
(145518,36801,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(145519,72193,'When Equipped:',100,0,0),
(145520,72193,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145521,72193,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(145522,72193,'Cannot be modified except by direct means',100,2,3),
(145523,10072193,'When Equipped:',100,0,0),
(145524,10072193,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145525,10072193,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(145526,10072193,'Cannot be modified except by direct means',100,2,3),
(145527,71418,'When Equipped:',100,0,0),
(145528,71418,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145529,71418,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(145530,71418,'Cannot be modified except by direct means',100,2,3),
(145531,10071418,'When Equipped:',100,0,0),
(145532,10071418,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(145533,10071418,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(145534,10071418,'Cannot be modified except by direct means',100,2,3),
(145535,35510,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(145536,35510,'This effect suspends during combat',100,0,1),
(145537,189195,'When Equipped:',100,0,0),
(145538,189195,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(145539,10189195,'When Equipped:',100,0,0),
(145540,10189195,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(145541,108118,'Increases Attack Speed of caster by 19.0',100,1,0),
(145542,10108118,'Increases Attack Speed of caster by 19.0',100,1,0),
(145543,112152,'Increases Threat to target by 122 - 183  instantly and by 24 - 36  every 3 seconds thereafter',100,1,0),
(145544,36758,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(145545,110273,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(145546,110273,'Slows target by 44.0%',100,2,1),
(145547,110273,'5% chance to dispel when target receives hostile action',100,2,2),
(145548,110273,'5% chance to dispel when target takes damage',100,2,3),
(145549,110273,'Decreases Mitigation of target vs arcane damage by 306',100,1,4),
(145550,10110273,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(145551,10110273,'Slows target by 44.0%',100,2,1),
(145552,10110273,'5% chance to dispel when target receives hostile action',100,2,2),
(145553,10110273,'5% chance to dispel when target takes damage',100,2,3),
(145554,10110273,'Decreases Mitigation of target vs arcane damage by 306',100,1,4),
(145555,48767,'Applies Elixir of the Myrmidon  when Activated.  Lasts for 15 minutes.',100,0,0),
(145556,48767,'Increases Max Power of caster by 15.0',100,1,1),
(145557,10048767,'Applies Elixir of the Myrmidon  when Activated.  Lasts for 15 minutes.',100,0,0),
(145558,10048767,'Increases Max Power of caster by 15.0',100,1,1),
(145559,113691,'Stuns target',100,1,0),
(145560,113691,'If Target is not Epic',100,2,1),
(145561,113691,'Inflicts 774 - 1290 heat damage on target',100,1,2),
(145562,113691,'Resistibility increases against targets higher than level 73.',100,1,3),
(145563,10113691,'Stuns target',100,1,0),
(145564,10113691,'If Target is not Epic',100,2,1),
(145565,10113691,'Inflicts 1006 - 1677 heat damage on target',100,1,2),
(145566,10113691,'Resistibility increases against targets higher than level 73.',100,1,3),
(145567,139493,'When Equipped:',100,0,0),
(145568,139493,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(145569,139493,'Heals group members (AE) for 391',100,2,2),
(145570,139493,'Cannot be modified except by direct means',100,2,3),
(145571,139493,'Cannot be modified except by direct means',100,1,4),
(145572,10139493,'When Equipped:',100,0,0),
(145573,10139493,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(145574,10139493,'Heals group members (AE) for 254',100,2,2),
(145575,10139493,'Cannot be modified except by direct means',100,2,3),
(145576,10139493,'Cannot be modified except by direct means',100,1,4),
(145577,142961,'When Equipped:',100,0,0),
(145578,142961,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(145579,142961,'Decreases power of target by 216',100,2,2),
(145580,142961,'Increases power of caster by 120',100,2,3),
(145581,142961,'Cannot be modified except by direct means',100,2,4),
(145582,10142961,'When Equipped:',100,0,0),
(145583,10142961,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(145584,10142961,'Decreases power of target by 216',100,2,2),
(145585,10142961,'Increases power of caster by 120',100,2,3),
(145586,10142961,'Cannot be modified except by direct means',100,2,4),
(145587,40623,'When Equipped:',100,0,0),
(145588,40623,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145589,40623,'Inflicts 184 - 276 magic damage on target',100,2,2),
(145590,40623,'Cannot be modified except by direct means',100,2,3),
(145591,10040623,'When Equipped:',100,0,0),
(145592,10040623,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145593,10040623,'Inflicts 239 - 358 magic damage on target',100,2,2),
(145594,10040623,'Cannot be modified except by direct means',100,2,3),
(145595,26045,'When Equipped:',100,0,0),
(145596,26045,'Increases all disease damage by up to 20.',100,1,1),
(145597,10026045,'When Equipped:',100,0,0),
(145598,10026045,'Increases all disease damage by up to 20.',100,1,1),
(145599,162723,'Applies Unstable Magics when Equipped.',100,0,0),
(145600,162723,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(145601,10162723,'Applies Unstable Magics when Equipped.',100,0,0),
(145602,10162723,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(145603,116132,'Inflicts 153 - 255 divine damage on target',100,1,0),
(145604,116132,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(145605,116132,'Throws target back',100,2,2),
(145606,116132,'Stuns target',100,2,3),
(145607,116132,'Blurs vision of target',100,2,4),
(145608,116132,'Does not affect Epic targets',100,2,5),
(145609,10116132,'Inflicts 199 - 332 divine damage on target',100,1,0),
(145610,10116132,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(145611,10116132,'Throws target back',100,2,2),
(145612,10116132,'Stuns target',100,2,3),
(145613,10116132,'Blurs vision of target',100,2,4),
(145614,10116132,'Does not affect Epic targets',100,2,5),
(145615,155843,'When Equipped:',100,0,0),
(145616,155843,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(145617,10155843,'When Equipped:',100,0,0),
(145618,10155843,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(145619,117896,'Increases In-Combat Health Regeneration of group members (AE) by 33.0',100,1,0),
(145620,117896,'Increases Max Health of group members (AE) by 173.0',100,1,1),
(145621,10117896,'Increases In-Combat Health Regeneration of group members (AE) by 33.0',100,1,0),
(145622,10117896,'Increases Max Health of group members (AE) by 173.0',100,1,1),
(145623,24456,'Adds Increase Level I (Single) to your Dungeon Maker toolbox',100,0,0),
(145624,10024456,'Adds Increase Level I (Single) to your Dungeon Maker toolbox',100,0,0),
(145625,118096,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(145626,10118096,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(145627,106700,'Heals target for 71 - 87',100,1,0),
(145628,10106700,'Heals target for 84 - 102',100,1,0),
(145629,112685,'Increases Parry of group members (AE) by 32.4',100,1,0),
(145630,10112685,'Increases Parry of group members (AE) by 32.4',100,1,0),
(145631,121245,'Inflicts 581 - 710 heat damage on target encounter',100,1,0),
(145632,10121245,'Inflicts 755 - 923 heat damage on target encounter',100,1,0),
(145633,107370,'Decreases Ability Casting Speed of targets in Area of Effect by 28.5%',100,1,0),
(145634,107370,'Inflicts 103 - 126 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(145635,10107370,'Decreases Ability Casting Speed of targets in Area of Effect by 28.5%',100,1,0),
(145636,10107370,'Inflicts 135 - 164 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(145637,109110,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(145638,109110,'Increases Attack Speed of caster by 48.0',100,1,1),
(145639,109110,'Increases Damage Per Second of caster by 55.2',100,1,2),
(145640,109110,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(145641,109110,'Increases Ranged of caster by 51.8',100,1,4),
(145642,109110,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(145643,109110,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(145644,109110,'Increases Crushing of group members (AE) by 51.8',100,2,7),
(145645,109110,'Increases Slashing of group members (AE) by 51.8',100,2,8),
(145646,109110,'If profession other than Ranger',100,3,9),
(145647,109110,'Increases Piercing of group members (AE) by 51.8',100,2,10),
(145648,109110,'If profession other than Ranger',100,3,11),
(145649,10109110,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(145650,10109110,'Increases Attack Speed of caster by 48.0',100,1,1),
(145651,10109110,'Increases Damage Per Second of caster by 55.2',100,1,2),
(145652,10109110,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(145653,10109110,'Increases Ranged of caster by 51.8',100,1,4),
(145654,10109110,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(145655,10109110,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(145656,10109110,'Increases Crushing of group members (AE) by 51.8',100,2,7),
(145657,10109110,'Increases Slashing of group members (AE) by 51.8',100,2,8),
(145658,10109110,'If profession other than Ranger',100,3,9),
(145659,10109110,'Increases Piercing of group members (AE) by 51.8',100,2,10),
(145660,10109110,'If profession other than Ranger',100,3,11),
(145661,82915,'When Equipped:',100,0,0),
(145662,82915,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145663,82915,'Inflicts 350 - 650 magic damage on target',100,2,2),
(145664,82915,'Cannot be modified except by direct means',100,2,3),
(145665,10082915,'When Equipped:',100,0,0),
(145666,10082915,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145667,10082915,'Inflicts 455 - 845 magic damage on target',100,2,2),
(145668,10082915,'Cannot be modified except by direct means',100,2,3),
(145669,173494,'When Equipped:',100,0,0),
(145670,173494,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(145671,173494,'Must not be engaged in pvp combat',100,1,2),
(145672,10173494,'When Equipped:',100,0,0),
(145673,10173494,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(145674,10173494,'Must not be engaged in pvp combat',100,1,2),
(145675,36912,'Increases AGI of target by 1.5',100,0,0),
(145676,36912,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(145677,103623,'Increases STR of raid and group members (AE) by 13.9',100,1,0),
(145678,103623,'Improves the base amount of taunts by 11%.',100,1,1),
(145679,103623,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(145680,103623,'Increases AGI of raid and group members (AE) by 13.9',100,1,3),
(145681,103623,'Adds 1.1% to base avoidance.',100,1,4),
(145682,10103623,'Increases STR of raid and group members (AE) by 13.9',100,1,0),
(145683,10103623,'Improves the base amount of taunts by 11%.',100,1,1),
(145684,10103623,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(145685,10103623,'Increases AGI of raid and group members (AE) by 13.9',100,1,3),
(145686,10103623,'Adds 1.1% to base avoidance.',100,1,4),
(145687,115489,'Summons a pet nightshade',100,1,0),
(145688,10115489,'Summons a pet nightshade',100,1,0),
(145689,113791,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(145690,113791,'Heals target for 280 - 343',100,2,1),
(145691,10113791,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(145692,10113791,'Heals target for 182 - 223',100,2,1),
(145693,101085,'Roots target',100,1,0),
(145694,101085,'10% chance to dispel when target receives hostile action',100,1,1),
(145695,101085,'10% chance to dispel when target takes damage',100,1,2),
(145696,101085,'Does not affect Epic targets',100,1,3),
(145697,101085,'Resistibility increases against targets higher than level 34.',100,1,4),
(145698,10101085,'Roots target',100,1,0),
(145699,10101085,'10% chance to dispel when target receives hostile action',100,1,1),
(145700,10101085,'10% chance to dispel when target takes damage',100,1,2),
(145701,10101085,'Does not affect Epic targets',100,1,3),
(145702,10101085,'Resistibility increases against targets higher than level 34.',100,1,4),
(145703,115083,'Heals target for 401 - 490',100,1,0),
(145704,115083,'Heals target for 52 - 63 every second',100,1,1),
(145705,10115083,'Heals target for 744 - 909',100,1,0),
(145706,10115083,'Heals target for 56 - 68 every second',100,1,1),
(145707,26480,'When Equipped:',100,0,0),
(145708,26480,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(145709,26480,'When damaged with a melee weapon this spell will cast Obscurity on target''s attacker.  ',100,1,2),
(145710,26480,'Decreases threat priority of target encounter by 2 positions',100,2,3),
(145711,26480,'Cannot be modified except by direct means',100,2,4),
(145712,26480,'This effect can only trigger once every 45 seconds.',100,2,5),
(145713,26480,'Must not be engaged in pvp combat',100,1,6),
(145714,10026480,'When Equipped:',100,0,0),
(145715,10026480,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(145716,10026480,'When damaged with a melee weapon this spell will cast Obscurity on target''s attacker.  ',100,1,2),
(145717,10026480,'Cannot be modified except by direct means',100,2,3),
(145718,10026480,'This effect can only trigger once every 45 seconds.',100,2,4),
(145719,10026480,'Must not be engaged in pvp combat',100,1,5),
(145720,74663,'When Equipped:',100,0,0),
(145721,74663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145722,74663,'Inflicts 66 - 99 magic damage on target',100,2,2),
(145723,74663,'Cannot be modified except by direct means',100,2,3),
(145724,10074663,'When Equipped:',100,0,0),
(145725,10074663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145726,10074663,'Inflicts 86 - 129 magic damage on target',100,2,2),
(145727,10074663,'Cannot be modified except by direct means',100,2,3),
(145728,122101,'Increases STA and INT of group members (AE) by 58.7',100,1,0),
(145729,10122101,'Increases STA and INT of group members (AE) by 58.7',100,1,0),
(145730,119316,'Roots target',100,1,0),
(145731,119316,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(145732,119316,'Slows target by 50.6%',100,2,2),
(145733,119316,'5% chance to dispel when target receives hostile action',100,2,3),
(145734,119316,'5% chance to dispel when target takes damage',100,2,4),
(145735,119316,'15% chance to dispel when target takes damage',100,1,5),
(145736,119316,'Does not affect Epic targets',100,1,6),
(145737,119316,'Resistibility increases against targets higher than level 90.',100,1,7),
(145738,10119316,'Roots target',100,1,0),
(145739,10119316,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(145740,10119316,'Slows target by 50.6%',100,2,2),
(145741,10119316,'5% chance to dispel when target receives hostile action',100,2,3),
(145742,10119316,'5% chance to dispel when target takes damage',100,2,4),
(145743,10119316,'15% chance to dispel when target takes damage',100,1,5),
(145744,10119316,'Does not affect Epic targets',100,1,6),
(145745,10119316,'Resistibility increases against targets higher than level 90.',100,1,7),
(145746,110824,'Inflicts 562 - 761 mental damage on target',100,1,0),
(145747,110824,'Interrupts target',100,1,1),
(145748,10110824,'Inflicts 731 - 989 mental damage on target',100,1,0),
(145749,10110824,'Interrupts target',100,1,1),
(145750,177523,'When Equipped:',100,0,0),
(145751,177523,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(145752,177523,'Increases AGI of caster by 11.9',100,2,2),
(145753,177523,'Increases Attack Speed of caster by 14.8',100,2,3),
(145754,177523,'Cannot be modified except by direct means',100,2,4),
(145755,10177523,'When Equipped:',100,0,0),
(145756,10177523,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(145757,10177523,'Increases AGI of caster by 11.9',100,2,2),
(145758,10177523,'Increases Attack Speed of caster by 14.8',100,2,3),
(145759,10177523,'Cannot be modified except by direct means',100,2,4),
(145760,191646,'When Equipped:',100,0,0),
(145761,191646,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(145762,191646,'Heals group members (AE) for 2304',100,2,2),
(145763,191646,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(145764,191646,'Must not be engaged in pvp combat',100,2,4),
(145765,191646,'Cannot be modified except by direct means',100,2,5),
(145766,191646,'Must not be engaged in pvp combat',100,1,6),
(145767,10191646,'When Equipped:',100,0,0),
(145768,10191646,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(145769,10191646,'Heals group members (AE) for 2695',100,2,2),
(145770,10191646,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(145771,10191646,'Must not be engaged in pvp combat',100,2,4),
(145772,10191646,'Cannot be modified except by direct means',100,2,5),
(145773,10191646,'Must not be engaged in pvp combat',100,1,6),
(145774,167688,'When Equipped:',100,0,0),
(145775,167688,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(145776,10167688,'When Equipped:',100,0,0),
(145777,10167688,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(145778,108298,'Inflicts 8 - 13 divine damage on target',100,1,0),
(145779,108298,'Heals caster for 3',100,1,1),
(145780,108298,'This effect cannot be critically applied.',100,2,2),
(145781,108298,'The healing of this spell cannot be modified except by direct means',100,1,3),
(145782,10108298,'Inflicts 10 - 17 divine damage on target',100,1,0),
(145783,10108298,'Heals target for 1',100,1,1),
(145784,10108298,'This effect cannot be critically applied.',100,2,2),
(145785,10108298,'The healing of this spell cannot be modified except by direct means',100,1,3),
(145786,111636,'Inflicts 40 - 49 cold damage on target encounter',100,1,0),
(145787,111636,'Slows target encounter by 31.6%',100,1,1),
(145788,111636,'5% chance to dispel when target takes damage',100,1,2),
(145789,111636,'5% chance to dispel when target receives hostile action',100,1,3),
(145790,10111636,'Inflicts 70 - 85 cold damage on target encounter',100,1,0),
(145791,10111636,'Slows target encounter by 31.6%',100,1,1),
(145792,10111636,'5% chance to dispel when target takes damage',100,1,2),
(145793,10111636,'5% chance to dispel when target receives hostile action',100,1,3),
(145794,104401,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(145795,104401,'Inflicts 424 - 518 cold damage on target',100,2,1),
(145796,10104401,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(145797,10104401,'Inflicts 551 - 674 cold damage on target',100,2,1),
(145798,47670,'Applies Tag when Activated.',100,0,0),
(145799,10047670,'Applies Tag when Activated.',100,0,0),
(145800,108996,'Decreases Damage Per Second of target by 18.8',100,1,0),
(145801,108996,'Inflicts 138 - 169 melee damage on target',100,1,1),
(145802,10108996,'Decreases Damage Per Second of target by 18.8',100,1,0),
(145803,10108996,'Inflicts 180 - 220 melee damage on target',100,1,1),
(145804,141684,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(145805,141684,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(145806,141684,'Inflicts 74 heat damage on target',100,2,2),
(145807,141684,'Cannot be modified except by direct means',100,2,3),
(145808,10141684,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(145809,10141684,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(145810,10141684,'Inflicts 96 heat damage on target',100,2,2),
(145811,10141684,'Cannot be modified except by direct means',100,2,3),
(145812,115803,'Inflicts 4 disease damage on target every 3 seconds',100,1,0),
(145813,115803,'Inflicts 14 - 24 melee damage on target',100,1,1),
(145814,115803,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(145815,115803,'Heals caster for 8 instantly and every 3 seconds',100,2,3),
(145816,115803,'This effect cannot be critically applied.',100,3,4),
(145817,115803,'The healing of this spell cannot be modified except by direct means',100,2,5),
(145818,115803,'The healing of this spell cannot be modified except by direct means',100,1,6),
(145819,10115803,'Inflicts 5 disease damage on target every 3 seconds',100,1,0),
(145820,10115803,'Inflicts 19 - 32 melee damage on target',100,1,1),
(145821,10115803,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(145822,10115803,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(145823,10115803,'This effect cannot be critically applied.',100,3,4),
(145824,10115803,'The healing of this spell cannot be modified except by direct means',100,2,5),
(145825,10115803,'The healing of this spell cannot be modified except by direct means',100,1,6),
(145826,85432,'Applies Prismatic Glow when Equipped.',100,0,0),
(145827,85432,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(145828,85432,'When Equipped:',100,0,2),
(145829,85432,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(145830,85432,'Inflicts 221 - 411 magic damage on target',100,2,4),
(145831,85432,'Cannot be modified except by direct means',100,2,5),
(145832,10085432,'Applies Prismatic Glow when Equipped.',100,0,0),
(145833,10085432,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(145834,10085432,'When Equipped:',100,0,2),
(145835,10085432,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(145836,10085432,'Inflicts 288 - 535 magic damage on target',100,2,4),
(145837,10085432,'Cannot be modified except by direct means',100,2,5),
(145838,81828,'When Equipped:',100,0,0),
(145839,81828,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145840,81828,'Inflicts 148 - 274 magic damage on target',100,2,2),
(145841,81828,'Cannot be modified except by direct means',100,2,3),
(145842,10081828,'When Equipped:',100,0,0),
(145843,10081828,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145844,10081828,'Inflicts 192 - 356 magic damage on target',100,2,2),
(145845,10081828,'Cannot be modified except by direct means',100,2,3),
(145846,80227,'When Equipped:',100,0,0),
(145847,80227,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145848,80227,'Inflicts 260 - 482 magic damage on target',100,2,2),
(145849,80227,'Decreases Threat to target by 801 ',100,2,3),
(145850,80227,'Must be flanking or behind',100,3,4),
(145851,80227,'Increases Threat to target by 801 ',100,2,5),
(145852,80227,'Must be in front of',100,3,6),
(145853,80227,'Cannot be modified except by direct means',100,2,7),
(145854,10080227,'When Equipped:',100,0,0),
(145855,10080227,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145856,10080227,'Inflicts 337 - 627 magic damage on target',100,2,2),
(145857,10080227,'Cannot be modified except by direct means',100,2,3),
(145858,119593,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(145859,10119593,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(145860,108832,'Inflicts 40 - 66 melee damage on target',100,1,0),
(145861,108832,'Inflicts 40 - 66 melee damage on target',100,1,1),
(145862,108832,'Inflicts 40 - 66 melee damage on target',100,1,2),
(145863,108832,'Inflicts 40 - 66 melee damage on target',100,1,3),
(145864,108832,'Inflicts 40 - 66 melee damage on target',100,1,4),
(145865,10108832,'Inflicts 52 - 86 melee damage on target',100,1,0),
(145866,10108832,'Inflicts 52 - 86 melee damage on target',100,1,1),
(145867,10108832,'Inflicts 52 - 86 melee damage on target',100,1,2),
(145868,10108832,'Inflicts 52 - 86 melee damage on target',100,1,3),
(145869,10108832,'Inflicts 52 - 86 melee damage on target',100,1,4),
(145870,110399,'Inflicts 821 - 1368 disease damage on target',100,1,0),
(145871,10110399,'Inflicts 732 - 1219 disease damage on target',100,1,0),
(145872,118325,'Inflicts 31 - 52 melee damage on target',100,1,0),
(145873,118325,'Inflicts 32 - 53 heat damage on target every 4 seconds',100,1,1),
(145874,10118325,'Inflicts 40 - 68 melee damage on target',100,1,0),
(145875,10118325,'Inflicts 41 - 68 heat damage on target every 4 seconds',100,1,1),
(145876,123432,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(145877,123432,'Throws target back',100,2,1),
(145878,123432,'Stuns target',100,2,2),
(145879,123432,'Blurs vision of target',100,2,3),
(145880,123432,'Does not affect Epic targets',100,2,4),
(145881,123432,'Inflicts 443 - 1331 melee damage on target',100,1,5),
(145882,10123432,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(145883,10123432,'Throws target back',100,2,1),
(145884,10123432,'Stuns target',100,2,2),
(145885,10123432,'Blurs vision of target',100,2,3),
(145886,10123432,'Does not affect Epic targets',100,2,4),
(145887,10123432,'Inflicts 577 - 1731 melee damage on target',100,1,5),
(145888,49050,'Applies Call Mountain Saliraptor when Activated.',100,0,0),
(145889,49050,'Increases Focus of caster by 5.0',100,1,1),
(145890,49050,'Summons a mount to ride',100,1,2),
(145891,49050,'Increases your ground speed by 60%',100,2,3),
(145892,49050,'Increases your air speed by 200%',100,2,4),
(145893,49050,'Increases Ordination, Ministration, Slashing, Aggression, Ranged, Disruption, Crushing, Subjugation and Piercing of caster by 5.0',100,1,5),
(145894,10049050,'Applies Call Mountain Saliraptor when Activated.',100,0,0),
(145895,10049050,'Increases Focus of caster by 5.0',100,1,1),
(145896,10049050,'Summons a mount to ride',100,1,2),
(145897,10049050,'Increases your ground speed by 60%',100,2,3),
(145898,10049050,'Increases your air speed by 200%',100,2,4),
(145899,10049050,'Increases Ordination, Ministration, Slashing, Aggression, Ranged, Disruption, Crushing, Subjugation and Piercing of caster by 5.0',100,1,5),
(145900,82142,'When Equipped:',100,0,0),
(145901,82142,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145902,82142,'Inflicts 212 - 393 magic damage on target',100,2,2),
(145903,82142,'Decreases Threat to target by 641 ',100,2,3),
(145904,82142,'Must be flanking or behind',100,3,4),
(145905,82142,'Increases Threat to target by 641 ',100,2,5),
(145906,82142,'Must be in front of',100,3,6),
(145907,82142,'Cannot be modified except by direct means',100,2,7),
(145908,10082142,'When Equipped:',100,0,0),
(145909,10082142,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145910,10082142,'Inflicts 275 - 511 magic damage on target',100,2,2),
(145911,10082142,'Cannot be modified except by direct means',100,2,3),
(145912,37543,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(145913,122244,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(145914,122244,'Decreases Damage Per Second of target by 27.0',100,2,1),
(145915,122244,'Decreases Attack Speed of target by 21.6',100,2,2),
(145916,10122244,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(145917,10122244,'Decreases Damage Per Second of target by 27.0',100,2,1),
(145918,10122244,'Decreases Attack Speed of target by 21.6',100,2,2),
(145919,81956,'When Equipped:',100,0,0),
(145920,81956,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145921,81956,'Inflicts 408 - 757 magic damage on target',100,2,2),
(145922,81956,'Decreases Threat to target by 994 ',100,2,3),
(145923,81956,'Must be flanking or behind',100,3,4),
(145924,81956,'Increases Threat to target by 994 ',100,2,5),
(145925,81956,'Must be in front of',100,3,6),
(145926,81956,'Cannot be modified except by direct means',100,2,7),
(145927,10081956,'When Equipped:',100,0,0),
(145928,10081956,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(145929,10081956,'Inflicts 530 - 984 magic damage on target',100,2,2),
(145930,10081956,'Cannot be modified except by direct means',100,2,3),
(145931,104858,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 100.0%',100,1,0),
(145932,104858,'Decreases the damage done by the next spell cast by 90 percent',100,1,1),
(145933,10104858,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 100.0%',100,1,0),
(145934,10104858,'Decreases the damage done by the next spell cast by 90 percent',100,1,1),
(145935,87208,'When Equipped:',100,0,0),
(145936,87208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145937,87208,'Inflicts 76 - 114 magic damage on target',100,2,2),
(145938,87208,'Cannot be modified except by direct means',100,2,3),
(145939,10087208,'When Equipped:',100,0,0),
(145940,10087208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145941,10087208,'Inflicts 98 - 148 magic damage on target',100,2,2),
(145942,10087208,'Cannot be modified except by direct means',100,2,3),
(145943,123104,'Inflicts 48 disease damage on targets in Area of Effect',100,1,0),
(145944,123104,'Inflicts 33 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(145945,10123104,'Inflicts 63 disease damage on targets in Area of Effect',100,1,0),
(145946,10123104,'Inflicts 43 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(145947,122270,'Decreases Threat to targets in Area of Effect by 1,127 ',100,1,0),
(145948,122270,'Makes targets in Area of Effect afraid',100,1,1),
(145949,122270,'If Target is not Epic',100,2,2),
(145950,122270,'30% chance to dispel when target takes damage',100,1,3),
(145951,10122270,'Applies Distract.',100,1,0),
(145952,10122270,'Forces target to clear their selected target.',100,2,1),
(145953,10122270,'Makes targets in Area of Effect afraid',100,1,2),
(145954,10122270,'If Target is not Epic',100,2,3),
(145955,10122270,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(145956,10122270,'30% chance to dispel when target takes damage',100,1,5),
(145957,114412,'Mesmerizes target',100,1,0),
(145958,114412,'Prevents AOE (except when direct) ',100,1,1),
(145959,114412,'Dispelled when target takes damage',100,1,2),
(145960,114412,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(145961,114412,'Resistibility increases against targets higher than level 67.',100,1,4),
(145962,10114412,'Mesmerizes target',100,1,0),
(145963,10114412,'Prevents AOE (except when direct) ',100,1,1),
(145964,10114412,'Dispelled when target takes damage',100,1,2),
(145965,10114412,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(145966,10114412,'Resistibility increases against targets higher than level 67.',100,1,4),
(145967,113243,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(145968,113243,'Inflicts 40 - 67 magic damage on target',100,2,1),
(145969,113243,'Grants a total of 8 triggers of the spell.',100,2,2),
(145970,10113243,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(145971,10113243,'Inflicts 53 - 88 magic damage on target',100,2,1),
(145972,10113243,'Grants a total of 8 triggers of the spell.',100,2,2),
(145973,45220,'Applies trauma remedy when Activated.',100,0,0),
(145974,45220,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(145975,10045220,'Applies trauma remedy when Activated.',100,0,0),
(145976,10045220,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(145977,106331,'Decreases INT and STR of target by 86.2',100,1,0),
(145978,10106331,'Decreases INT and STR of target by 86.2',100,1,0),
(145979,81737,'When Equipped:',100,0,0),
(145980,81737,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145981,81737,'Inflicts 148 - 274 magic damage on target',100,2,2),
(145982,81737,'Cannot be modified except by direct means',100,2,3),
(145983,10081737,'When Equipped:',100,0,0),
(145984,10081737,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(145985,10081737,'Inflicts 192 - 356 magic damage on target',100,2,2),
(145986,10081737,'Cannot be modified except by direct means',100,2,3),
(145987,26646,'When Equipped:',100,0,0),
(145988,26646,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(145989,26646,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,2),
(145990,10026646,'When Equipped:',100,0,0),
(145991,10026646,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(145992,10026646,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,2),
(145993,109141,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(145994,109141,'Heals target for 667 - 815',100,2,1),
(145995,109141,'Grants a total of 8 triggers of the spell.',100,2,2),
(145996,10109141,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(145997,10109141,'Heals target for 433 - 530',100,2,1),
(145998,10109141,'Grants a total of 8 triggers of the spell.',100,2,2),
(145999,111398,'Increases Attack Speed of target by 27.7',100,1,0),
(146000,111398,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146001,111398,'Inflicts 181 disease damage on target',100,2,2),
(146002,111398,'Heals caster for 39',100,2,3),
(146003,111398,'Decreases Defense and Parry of target by 17.5',100,1,4),
(146004,111398,'Increases Disruption, Subjugation and Focus of target by 17.5',100,1,5),
(146005,10111398,'Increases Attack Speed of target by 27.7',100,1,0),
(146006,10111398,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146007,10111398,'Inflicts 235 disease damage on target',100,2,2),
(146008,10111398,'Heals caster for 25',100,2,3),
(146009,10111398,'Decreases Defense and Parry of target by 17.5',100,1,4),
(146010,10111398,'Increases Disruption, Subjugation and Focus of target by 17.5',100,1,5),
(146011,108207,'Increases power of caster by 44 instantly and every 4 seconds',100,1,0),
(146012,10108207,'Increases power of caster by 44 instantly and every 4 seconds',100,1,0),
(146013,110601,'Decreases Focus of target by 22.3',100,1,0),
(146014,110601,'Interrupts target',100,1,1),
(146015,110601,'Inflicts 124 - 373 crushing damage on target',100,1,2),
(146016,10110601,'Decreases Focus of target by 22.3',100,1,0),
(146017,10110601,'Interrupts target',100,1,1),
(146018,10110601,'Inflicts 161 - 485 crushing damage on target',100,1,2),
(146019,105448,'Inflicts 313 - 383 poison damage on target instantly and every 4 seconds',100,1,0),
(146020,105448,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(146021,105448,'Summons 3 limited pets to aid the caster',100,2,2),
(146022,105448,'Grants a total of 1 trigger of the spell.',100,2,3),
(146023,10105448,'Inflicts 407 - 498 poison damage on target instantly and every 4 seconds',100,1,0),
(146024,10105448,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(146025,10105448,'Summons 3 limited pets to aid the caster',100,2,2),
(146026,10105448,'Grants a total of 1 trigger of the spell.',100,2,3),
(146027,87302,'When Equipped:',100,0,0),
(146028,87302,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146029,87302,'Inflicts 111 - 166 magic damage on target',100,2,2),
(146030,87302,'Cannot be modified except by direct means',100,2,3),
(146031,10087302,'When Equipped:',100,0,0),
(146032,10087302,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146033,10087302,'Inflicts 144 - 216 magic damage on target',100,2,2),
(146034,10087302,'Cannot be modified except by direct means',100,2,3),
(146035,108857,'Inflicts 161 - 269 melee damage on target',100,1,0),
(146036,108857,'Inflicts 161 - 269 melee damage on target',100,1,1),
(146037,108857,'Inflicts 161 - 269 melee damage on target',100,1,2),
(146038,108857,'Inflicts 161 - 269 melee damage on target',100,1,3),
(146039,108857,'Inflicts 161 - 269 melee damage on target',100,1,4),
(146040,10108857,'Inflicts 209 - 349 melee damage on target',100,1,0),
(146041,10108857,'Inflicts 209 - 349 melee damage on target',100,1,1),
(146042,10108857,'Inflicts 209 - 349 melee damage on target',100,1,2),
(146043,10108857,'Inflicts 209 - 349 melee damage on target',100,1,3),
(146044,10108857,'Inflicts 209 - 349 melee damage on target',100,1,4),
(146045,120130,'Decreases STR and INT of target by 21.9',100,1,0),
(146046,120130,'Increases STR and INT of caster by 21.9',100,1,1),
(146047,10120130,'Decreases STR and INT of target by 21.9',100,1,0),
(146048,10120130,'Increases STR and INT of caster by 21.9',100,1,1),
(146049,102768,'Increases STR of caster by 15.5',100,1,0),
(146050,102768,'Increases Max Health of caster by 66.4',100,1,1),
(146051,102768,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,2),
(146052,10102768,'Increases STR of caster by 15.5',100,1,0),
(146053,10102768,'Increases Max Health of caster by 66.4',100,1,1),
(146054,10102768,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,2),
(146055,24357,'Adds Ettin (Assassin) to your Dungeon Maker toolbox',100,0,0),
(146056,10024357,'Adds Ettin (Assassin) to your Dungeon Maker toolbox',100,0,0),
(146057,117753,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(146058,117753,'Heals target for 2503',100,2,1),
(146059,117753,'Increases Max Health of target by 1,442.7',100,2,2),
(146060,117753,'Grants a total of 1 trigger of the spell.',100,2,3),
(146061,10117753,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(146062,10117753,'Heals target for 2928',100,2,1),
(146063,10117753,'Increases Max Health of target by 1,442.7',100,2,2),
(146064,10117753,'Grants a total of 1 trigger of the spell.',100,2,3),
(146065,102986,'Increases STR and AGI of group members (AE) by 83.6',100,1,0),
(146066,10102986,'Increases STR and AGI of group members (AE) by 83.6',100,1,0),
(146067,47339,'Applies Mystic Moppet Disguise when Activated.',100,0,0),
(146068,47339,'Shapechanges caster into a Form of a mystic moppet.',100,1,1),
(146069,47339,'Shrinks caster by 40.0%',100,1,2),
(146070,47339,'This effect cannot be cast during combat',100,1,3),
(146071,10047339,'Applies Mystic Moppet Disguise when Activated.',100,0,0),
(146072,10047339,'Shapechanges caster into a Form of a mystic moppet.',100,1,1),
(146073,10047339,'Shrinks caster by 40.0%',100,1,2),
(146074,10047339,'This effect cannot be cast during combat',100,1,3),
(146075,45312,'Applies Bertoxxulous''s Blessing when Activated.',100,0,0),
(146076,45312,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(146077,10045312,'Applies Bertoxxulous''s Blessing when Activated.',100,0,0),
(146078,10045312,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(146079,70818,'When Equipped:',100,0,0),
(146080,70818,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(146081,70818,'Increases WIS, AGI, INT and STR of caster by 50.0',100,1,2),
(146082,70818,'Increases Potency of caster by 3.5%',100,1,3),
(146083,70818,'Cannot be modified except by direct means',100,1,4),
(146084,10070818,'When Equipped:',100,0,0),
(146085,10070818,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(146086,10070818,'Increases WIS, AGI, INT and STR of caster by 50.0',100,1,2),
(146087,10070818,'Increases Potency of caster by 3.5%',100,1,3),
(146088,10070818,'Cannot be modified except by direct means',100,1,4),
(146089,81450,'When Equipped:',100,0,0),
(146090,81450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146091,81450,'Inflicts 121 - 225 magic damage on target',100,2,2),
(146092,81450,'Cannot be modified except by direct means',100,2,3),
(146093,10081450,'When Equipped:',100,0,0),
(146094,10081450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146095,10081450,'Inflicts 157 - 292 magic damage on target',100,2,2),
(146096,10081450,'Cannot be modified except by direct means',100,2,3),
(146097,122142,'Interrupts target',100,1,0),
(146098,122142,'Increases Threat to target by 1,967 ',100,1,1),
(146099,122142,'Dispels 121 levels of arcane beneficial effects on target',100,1,2),
(146100,10122142,'Interrupts target',100,1,0),
(146101,10122142,'Forces target to change their selected target to caster.',100,1,1),
(146102,10122142,'Dispels 121 levels of arcane beneficial effects on target',100,1,2),
(146103,115188,'Heals target for 495 - 605',100,1,0),
(146104,10115188,'Heals target for 671 - 820',100,1,0),
(146105,46176,'Applies Imbue with Essence when Activated.',100,0,0),
(146106,46176,'I need to enter the Sleepers Tomb...',100,1,1),
(146107,10046176,'Applies Imbue with Essence when Activated.',100,0,0),
(146108,10046176,'I need to enter the Sleepers Tomb...',100,1,1),
(146109,117973,'Heals target for 986 - 1206',100,1,0),
(146110,117973,'Increases Max Health of target by 139.2',100,1,1),
(146111,10117973,'Heals target for 1131 - 1383',100,1,0),
(146112,10117973,'Increases Max Health of target by 139.2',100,1,1),
(146113,48084,'Applies Petamorph: Constructed Sentinel when Activated.  Lasts for 2 hours.',100,0,0),
(146114,48084,'Deconstructs the caster''s combat pet and reconstructs it into a sentinel of Skyshrine. Does not work on cosmetic pets.',100,1,1),
(146115,10048084,'Applies Petamorph: Constructed Sentinel when Activated.  Lasts for 2 hours.',100,0,0),
(146116,10048084,'Deconstructs the caster''s combat pet and reconstructs it into a sentinel of Skyshrine. Does not work on cosmetic pets.',100,1,1),
(146117,120810,'Inflicts 2 - 3 disease damage on target instantly and every second',100,1,0),
(146118,10120810,'Inflicts 4 - 5 disease damage on target',100,1,0),
(146119,10120810,'Inflicts 3 - 4 disease damage on target every second',100,1,1),
(146120,80535,'When Equipped:',100,0,0),
(146121,80535,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(146122,80535,'Inflicts 493 - 915 magic damage on target',100,2,2),
(146123,80535,'Decreases Threat to target by 1,219 ',100,2,3),
(146124,80535,'Must be flanking or behind',100,3,4),
(146125,80535,'Increases Threat to target by 1,219 ',100,2,5),
(146126,80535,'Must be in front of',100,3,6),
(146127,80535,'Cannot be modified except by direct means',100,2,7),
(146128,10080535,'When Equipped:',100,0,0),
(146129,10080535,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(146130,10080535,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(146131,10080535,'Cannot be modified except by direct means',100,2,3),
(146132,162322,'When Equipped:',100,0,0),
(146133,162322,'Reduces physical damage done to target by 5%',100,1,1),
(146134,10162322,'When Equipped:',100,0,0),
(146135,10162322,'Reduces physical damage done to target by 5%',100,1,1),
(146136,109143,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(146137,109143,'Heals target for 772 - 944',100,2,1),
(146138,109143,'Grants a total of 8 triggers of the spell.',100,2,2),
(146139,10109143,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(146140,10109143,'Heals target for 502 - 613',100,2,1),
(146141,10109143,'Grants a total of 8 triggers of the spell.',100,2,2),
(146142,85471,'Applies Mark of Pestilence when Equipped.',100,0,0),
(146143,10085471,'Applies Mark of Pestilence when Equipped.',100,0,0),
(146144,35798,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(146145,159067,'Applies Lambent Imbued when Equipped.',100,0,0),
(146146,159067,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(146147,159067,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(146148,159067,'Cannot be modified except by direct means',100,2,3),
(146149,10159067,'Applies Lambent Imbued when Equipped.',100,0,0),
(146150,10159067,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(146151,10159067,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(146152,10159067,'Cannot be modified except by direct means',100,2,3),
(146153,45014,'Applies Create Medal when Activated.',100,0,0),
(146154,45014,'Summon 1 Award of Distinguished Service',100,1,1),
(146155,10045014,'Applies Create Medal when Activated.',100,0,0),
(146156,10045014,'Summon 1 Award of Distinguished Service',100,1,1),
(146157,101447,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(146158,101447,'Increases Mitigation of group members (AE) vs noxious damage by 554',100,1,1),
(146159,10101447,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(146160,10101447,'Increases Mitigation of group members (AE) vs noxious damage by 554',100,1,1),
(146161,36480,'Increases Max Power of target by 3.3',100,0,0),
(146162,36480,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(146163,123742,'Applies Verdict.',100,1,0),
(146164,123742,'Reduces target''s health to 1.',100,2,1),
(146165,123742,'If Target is Weak',100,2,2),
(146166,123742,'If under 50% Health',100,2,3),
(146167,123742,'Applies Verdict.',100,1,4),
(146168,123742,'Reduces target''s health to 1.',100,2,5),
(146169,123742,'Certain creature strengths only',100,2,6),
(146170,123742,'If under 25% Health',100,2,7),
(146171,123742,'Applies Verdict.',100,1,8),
(146172,123742,'Reduces target''s health to 1.',100,2,9),
(146173,123742,'If Target is stronger than Standard',100,2,10),
(146174,123742,'If under 10% Health',100,2,11),
(146175,123742,'Applies Verdict.',100,1,12),
(146176,123742,'Reduces target''s health to 1.',100,2,13),
(146177,123742,'If Target is Epic',100,2,14),
(146178,123742,'If under 2% Health',100,2,15),
(146179,123742,'Cannot be modified except by direct means',100,1,16),
(146180,10123742,'Applies Verdict.',100,1,0),
(146181,10123742,'Reduces target''s health to 1.',100,2,1),
(146182,10123742,'If under 10% Health',100,2,2),
(146183,10123742,'Cannot be modified except by direct means',100,1,3),
(146184,114974,'Decreases Attack Speed of target by 13.3',100,1,0),
(146185,114974,'Inflicts 106 - 320 slashing damage on target',100,1,1),
(146186,114974,'Inflicts 213 slashing damage on target instantly and every 4 seconds',100,1,2),
(146187,10114974,'Decreases Attack Speed of target by 13.3',100,1,0),
(146188,10114974,'Inflicts 138 - 416 slashing damage on target',100,1,1),
(146189,10114974,'Inflicts 277 slashing damage on target instantly and every 4 seconds',100,1,2),
(146190,108597,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(146191,108597,'Heals group members (AE) for 154 - 188 instantly and every 3 seconds',100,2,1),
(146192,108597,'Increases AGI, INT, STR and WIS of group members (AE) by 47.0',100,2,2),
(146193,108597,'Increases STA of group members (AE) by 93.9',100,2,3),
(146194,108597,'Adds 0.8% to base avoidance.',100,2,4),
(146195,108597,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 120',100,2,5),
(146196,10108597,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(146197,10108597,'Heals group members (AE) for 100 - 122 instantly and every 3 seconds',100,2,1),
(146198,10108597,'Increases AGI, INT, STR and WIS of group members (AE) by 47.0',100,2,2),
(146199,10108597,'Increases STA of group members (AE) by 93.9',100,2,3),
(146200,10108597,'Adds 0.8% to base avoidance.',100,2,4),
(146201,10108597,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 120',100,2,5),
(146202,120142,'Decreases STR and INT of target by 45.4',100,1,0),
(146203,120142,'Increases STR and INT of caster by 45.4',100,1,1),
(146204,10120142,'Decreases STR and INT of target by 45.4',100,1,0),
(146205,10120142,'Increases STR and INT of caster by 45.4',100,1,1),
(146206,80660,'When Equipped:',100,0,0),
(146207,80660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146208,80660,'Inflicts 75 - 138 magic damage on target',100,2,2),
(146209,80660,'Cannot be modified except by direct means',100,2,3),
(146210,10080660,'When Equipped:',100,0,0),
(146211,10080660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146212,10080660,'Inflicts 97 - 180 magic damage on target',100,2,2),
(146213,10080660,'Cannot be modified except by direct means',100,2,3),
(146214,104479,'Decreases Mitigation of target encounter vs physical damage by 380',100,1,0),
(146215,10104479,'Decreases Mitigation of target encounter vs physical damage by 380',100,1,0),
(146216,113432,'Reduces physical damage done to caster by 5%',100,1,0),
(146217,113432,'Increases STA of caster by 218.2',100,1,1),
(146218,113432,'Adds 5.0% to base avoidance.',100,1,2),
(146219,113432,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(146220,113432,'Increases Defense and Aggression of caster by 41.6',100,1,4),
(146221,113432,'Increases Mitigation of caster vs noxious damage by 2781',100,1,5),
(146222,113432,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(146223,10113432,'Reduces physical damage done to caster by 5%',100,1,0),
(146224,10113432,'Increases STA of caster by 218.2',100,1,1),
(146225,10113432,'Adds 5.0% to base avoidance.',100,1,2),
(146226,10113432,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(146227,10113432,'Increases Defense and Aggression of caster by 41.6',100,1,4),
(146228,10113432,'Increases Mitigation of caster vs noxious damage by 2781',100,1,5),
(146229,10113432,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(146230,173829,'When Equipped:',100,0,0),
(146231,173829,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146232,173829,'Increases power of caster by 189 instantly and every 4 seconds',100,2,2),
(146233,173829,'Cannot be modified except by direct means',100,2,3),
(146234,10173829,'When Equipped:',100,0,0),
(146235,10173829,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146236,10173829,'Increases power of caster by 189 instantly and every 4 seconds',100,2,2),
(146237,10173829,'Cannot be modified except by direct means',100,2,3),
(146238,71666,'When Equipped:',100,0,0),
(146239,71666,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(146240,71666,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(146241,71666,'Cannot be modified except by direct means',100,2,3),
(146242,10071666,'When Equipped:',100,0,0),
(146243,10071666,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(146244,10071666,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(146245,10071666,'Cannot be modified except by direct means',100,2,3),
(146246,103727,'Increases Max Health of raid and group members (AE) by 375.4',100,1,0),
(146247,103727,'Increases Defense of raid and group members (AE) by 12.9',100,1,1),
(146248,10103727,'Increases Max Health of raid and group members (AE) by 375.4',100,1,0),
(146249,10103727,'Increases Defense of raid and group members (AE) by 12.9',100,1,1),
(146250,27214,'When Equipped:',100,0,0),
(146251,27214,'Increases Damage Per Second of caster by 12.0',100,1,1),
(146252,10027214,'When Equipped:',100,0,0),
(146253,10027214,'Increases Damage Per Second of caster by 12.0',100,1,1),
(146254,87426,'When Equipped:',100,0,0),
(146255,87426,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146256,87426,'Inflicts 44 - 66 magic damage on target',100,2,2),
(146257,87426,'Cannot be modified except by direct means',100,2,3),
(146258,10087426,'When Equipped:',100,0,0),
(146259,10087426,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146260,10087426,'Inflicts 57 - 85 magic damage on target',100,2,2),
(146261,10087426,'Cannot be modified except by direct means',100,2,3),
(146262,48959,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(146263,48959,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146264,48959,'Inflicts 338 poison damage on target',100,2,2),
(146265,48959,'Inflicts 175 poison damage on target instantly and every 6 seconds',100,2,3),
(146266,48959,'Cannot be modified except by direct means',100,2,4),
(146267,48959,'Grants a total of 200 triggers of the spell.',100,2,5),
(146268,10048959,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(146269,10048959,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146270,10048959,'Inflicts 330 poison damage on target',100,2,2),
(146271,10048959,'Inflicts 170 poison damage on target instantly and every 6 seconds',100,2,3),
(146272,10048959,'Cannot be modified except by direct means',100,2,4),
(146273,10048959,'Grants a total of 200 triggers of the spell.',100,2,5),
(146274,109856,'Increases Defense of group members (AE) by 8.6',100,1,0),
(146275,10109856,'Increases Defense of group members (AE) by 8.6',100,1,0),
(146276,113521,'Inflicts 804 - 1341 melee damage on targets in area',100,1,0),
(146277,10113521,'Inflicts 1046 - 1743 melee damage on targets in area',100,1,0),
(146278,46851,'Applies Manastone Conversion when Activated.',100,0,0),
(146279,46851,'Increases power of caster by 150',100,1,1),
(146280,46851,'Requires 498 Health to cast.',100,1,2),
(146281,10046851,'Applies Manastone Conversion when Activated.',100,0,0),
(146282,10046851,'Increases power of caster by 75',100,1,1),
(146283,10046851,'Requires 498 Health to cast.',100,1,2),
(146284,52827,'Applies Sanguine Imbued when Equipped.',100,0,0),
(146285,52827,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(146286,52827,'Inflicts 291 heat damage on target',100,2,2),
(146287,52827,'Cannot be modified except by direct means',100,2,3),
(146288,10052827,'Applies Sanguine Imbued when Equipped.',100,0,0),
(146289,10052827,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(146290,10052827,'Inflicts 379 heat damage on target',100,2,2),
(146291,10052827,'Cannot be modified except by direct means',100,2,3),
(146292,155024,'When Equipped:',100,0,0),
(146293,155024,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(146294,155024,'Inflicts 187 heat damage on target',100,2,2),
(146295,155024,'Cannot be modified except by direct means',100,2,3),
(146296,10155024,'When Equipped:',100,0,0),
(146297,10155024,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(146298,10155024,'Inflicts 244 heat damage on target',100,2,2),
(146299,10155024,'Cannot be modified except by direct means',100,2,3),
(146300,105298,'Increases AGI of caster by 150.5',100,1,0),
(146301,105298,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(146302,105298,'Inflicts 218 - 364 mental damage on target',100,2,2),
(146303,105298,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(146304,105298,'Inflicts 218 - 364 mental damage on target',100,2,4),
(146305,105298,'Adds 21.8% to base avoidance.',100,1,5),
(146306,105298,'Increases Mitigation of caster vs physical damage by 539',100,1,6),
(146307,105298,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,7),
(146308,10105298,'Increases AGI of caster by 150.5',100,1,0),
(146309,10105298,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(146310,10105298,'Inflicts 284 - 473 mental damage on target',100,2,2),
(146311,10105298,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(146312,10105298,'Inflicts 284 - 473 mental damage on target',100,2,4),
(146313,10105298,'Adds 21.8% to base avoidance.',100,1,5),
(146314,10105298,'Increases Mitigation of caster vs physical damage by 539',100,1,6),
(146315,10105298,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,7),
(146316,122326,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(146317,122326,'Inflicts 1329 - 1624 mental damage on target',100,2,1),
(146318,122326,'Grants a total of 3 triggers of the spell.',100,2,2),
(146319,10122326,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(146320,10122326,'Inflicts 1727 - 2111 mental damage on target',100,2,1),
(146321,10122326,'Grants a total of 3 triggers of the spell.',100,2,2),
(146322,111623,'Inflicts 91 - 169 cold damage on target',100,1,0),
(146323,10111623,'Inflicts 118 - 220 cold damage on target',100,1,0),
(146324,115143,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(146325,115143,'Heals target for 1430',100,2,1),
(146326,115143,'Heals target for 357 every 2 seconds',100,2,2),
(146327,115143,'Increases WIS of target by 123.2',100,2,3),
(146328,115143,'Grants a total of 1 trigger of the spell.',100,2,4),
(146329,10115143,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(146330,10115143,'Heals target for 1673',100,2,1),
(146331,10115143,'Heals target for 418 every 2 seconds',100,2,2),
(146332,10115143,'Increases WIS of target by 123.2',100,2,3),
(146333,10115143,'Grants a total of 1 trigger of the spell.',100,2,4),
(146334,170646,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(146335,170646,'Decreases STR, AGI, WIS and INT of target by 12.0',100,1,1),
(146336,170646,'Decreases Max Health of target by 1.0%',100,1,2),
(146337,170646,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(146338,10170646,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(146339,10170646,'Decreases STR, AGI, WIS and INT of target by 12.0',100,1,1),
(146340,10170646,'Decreases Max Health of target by 1.0%',100,1,2),
(146341,10170646,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(146342,48460,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(146343,48460,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146344,48460,'Inflicts 204 poison damage on target',100,2,2),
(146345,48460,'Inflicts 33 poison damage on target instantly and every 6 seconds',100,2,3),
(146346,48460,'Cannot be modified except by direct means',100,2,4),
(146347,48460,'Grants a total of 200 triggers of the spell.',100,2,5),
(146348,10048460,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(146349,10048460,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146350,10048460,'Inflicts 199 poison damage on target',100,2,2),
(146351,10048460,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,3),
(146352,10048460,'Cannot be modified except by direct means',100,2,4),
(146353,10048460,'Grants a total of 200 triggers of the spell.',100,2,5),
(146354,112828,'Roots target',100,1,0),
(146355,112828,'5% chance to dispel when target takes damage',100,1,1),
(146356,112828,'Does not affect Epic targets',100,1,2),
(146357,112828,'Resistibility increases against targets higher than level 50.',100,1,3),
(146358,10112828,'Roots target',100,1,0),
(146359,10112828,'5% chance to dispel when target takes damage',100,1,1),
(146360,10112828,'Does not affect Epic targets',100,1,2),
(146361,10112828,'Resistibility increases against targets higher than level 50.',100,1,3),
(146362,103998,'Interrupts targets in Area of Effect',100,1,0),
(146363,103998,'Inflicts 298 - 553 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(146364,10103998,'Interrupts targets in Area of Effect',100,1,0),
(146365,10103998,'Inflicts 387 - 719 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(146366,170640,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(146367,170640,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 193',100,1,1),
(146368,170640,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(146369,10170640,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(146370,10170640,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 193',100,1,1),
(146371,10170640,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(146372,46373,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(146373,46373,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146374,46373,'Inflicts 161 poison damage on target instantly and every 6 seconds',100,2,2),
(146375,46373,'Inflicts 61 poison damage on target',100,2,3),
(146376,46373,'Cannot be modified except by direct means',100,2,4),
(146377,46373,'Grants a total of 200 triggers of the spell.',100,2,5),
(146378,10046373,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(146379,10046373,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146380,10046373,'Inflicts 157 poison damage on target instantly and every 6 seconds',100,2,2),
(146381,10046373,'Inflicts 60 poison damage on target',100,2,3),
(146382,10046373,'Cannot be modified except by direct means',100,2,4),
(146383,10046373,'Grants a total of 200 triggers of the spell.',100,2,5),
(146384,48389,'Applies Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(146385,48389,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146386,48389,'Inflicts 303 poison damage on target',100,2,2),
(146387,48389,'Inflicts 156 poison damage on target instantly and every 6 seconds',100,2,3),
(146388,48389,'Cannot be modified except by direct means',100,2,4),
(146389,48389,'Grants a total of 200 triggers of the spell.',100,2,5),
(146390,48389,'Only affects targets level 50 and above',100,1,6),
(146391,10048389,'Applies Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(146392,10048389,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146393,10048389,'Inflicts 295 poison damage on target',100,2,2),
(146394,10048389,'Inflicts 152 poison damage on target instantly and every 6 seconds',100,2,3),
(146395,10048389,'Cannot be modified except by direct means',100,2,4),
(146396,10048389,'Grants a total of 200 triggers of the spell.',100,2,5),
(146397,10048389,'Only affects targets level 50 and above',100,1,6),
(146398,72798,'When Equipped:',100,0,0),
(146399,72798,'On any combat or spell hit this spell may cast Sundering Smash IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146400,72798,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,2),
(146401,72798,'Throws target back',100,3,3),
(146402,72798,'Stuns target',100,3,4),
(146403,72798,'Blurs vision of target',100,3,5),
(146404,72798,'Does not affect Epic targets',100,3,6),
(146405,72798,'Inflicts 3164 - 3497 heat damage on targets in Area of Effect',100,2,7),
(146406,72798,'Must not be engaged in pvp combat',100,2,8),
(146407,72798,'Cannot be modified except by direct means',100,2,9),
(146408,72798,'Must not be engaged in pvp combat',100,1,10),
(146409,10072798,'When Equipped:',100,0,0),
(146410,10072798,'On any combat or spell hit this spell may cast Sundering Smash IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146411,10072798,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,2),
(146412,10072798,'Throws target back',100,3,3),
(146413,10072798,'Stuns target',100,3,4),
(146414,10072798,'Blurs vision of target',100,3,5),
(146415,10072798,'Does not affect Epic targets',100,3,6),
(146416,10072798,'Inflicts 4113 - 4545 heat damage on targets in Area of Effect',100,2,7),
(146417,10072798,'Must not be engaged in pvp combat',100,2,8),
(146418,10072798,'Cannot be modified except by direct means',100,2,9),
(146419,10072798,'Must not be engaged in pvp combat',100,1,10),
(146420,88192,'When Equipped:',100,0,0),
(146421,88192,'On a hostile spell hit this spell may cast Flaming Justice on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(146422,88192,'Inflicts 311 - 577 heat damage on target',100,2,2),
(146423,88192,'Cannot be modified except by direct means',100,2,3),
(146424,88192,'Reduces casting time by 5 percent.',100,1,4),
(146425,10088192,'When Equipped:',100,0,0),
(146426,10088192,'On a hostile spell hit this spell may cast Flaming Justice on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(146427,10088192,'Inflicts 404 - 751 heat damage on target',100,2,2),
(146428,10088192,'Cannot be modified except by direct means',100,2,3),
(146429,10088192,'Reduces casting time by 5 percent.',100,1,4),
(146430,35896,'Increases Max Health of target by 3.9',100,0,0),
(146431,35896,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(146432,36262,'Increases STA and WIS of target by 1.1',100,0,0),
(146433,36262,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(146434,114778,'Feigns Death with 88% chance of success',100,1,0),
(146435,10114778,'Feigns Death with 88% chance of success',100,1,0),
(146436,36574,'Increases STA of target by 1.5',100,0,0),
(146437,36574,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(146438,111544,'Increases Hate Gain of target by 31.0%',100,1,0),
(146439,111544,'Increases Aggression of target by 22.1',100,1,1),
(146440,10111544,'Increases STR of target by 57.3',100,1,0),
(146441,10111544,'Increases Aggression of target by 22.1',100,1,1),
(146442,117878,'Heals target for 257 - 315 instantly and every 2 seconds',100,1,0),
(146443,10117878,'Heals target for 167 - 204 instantly and every 2 seconds',100,1,0),
(146444,89777,'Applies Celestial Glow when Equipped.',100,0,0),
(146445,10089777,'Applies Celestial Glow when Equipped.',100,0,0),
(146446,118124,'Heals target for 562 - 687',100,1,0),
(146447,10118124,'Heals target for 664 - 812',100,1,0),
(146448,104188,'Increases Threat to target encounter by 724 - 885 ',100,1,0),
(146449,104188,'Interrupts target encounter',100,1,1),
(146450,10104188,'Forces target encounter to change their selected target to caster.',100,1,0),
(146451,10104188,'Interrupts target encounter',100,1,1),
(146452,10104188,'Prevents target encounter from changing targets',100,1,2),
(146453,50580,'When Equipped:',100,0,0),
(146454,50580,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(146455,50580,'Increases caster''s chance to block by 8.0%',100,2,2),
(146456,50580,'Cannot be modified except by direct means',100,2,3),
(146457,50580,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(146458,50580,'Increases caster''s chance to block by 8.0%',100,2,5),
(146459,50580,'Cannot be modified except by direct means',100,2,6),
(146460,10050580,'When Equipped:',100,0,0),
(146461,10050580,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(146462,10050580,'Increases caster''s chance to block by 8.0%',100,2,2),
(146463,10050580,'Cannot be modified except by direct means',100,2,3),
(146464,10050580,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(146465,10050580,'Increases caster''s chance to block by 8.0%',100,2,5),
(146466,10050580,'Cannot be modified except by direct means',100,2,6),
(146467,166472,'When Equipped:',100,0,0),
(146468,166472,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146469,166472,'Inflicts 1199 cold damage on target encounter',100,2,2),
(146470,166472,'Cannot be modified except by direct means',100,2,3),
(146471,10166472,'When Equipped:',100,0,0),
(146472,10166472,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146473,10166472,'Inflicts 779 cold damage on target encounter',100,2,2),
(146474,10166472,'Cannot be modified except by direct means',100,2,3),
(146475,87553,'Applies Mental Blast when Activated.',100,0,0),
(146476,87553,'Inflicts 269 - 449 mental damage on target',100,1,1),
(146477,87553,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(146478,10087553,'Applies Mental Blast when Activated.',100,0,0),
(146479,10087553,'Inflicts 350 - 583 mental damage on target',100,1,1),
(146480,10087553,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(146481,116703,'Inflicts 121 - 201 melee damage on target',100,1,0),
(146482,10116703,'Inflicts 157 - 262 melee damage on target',100,1,0),
(146483,123808,'Inflicts 75 - 125 magic damage on target',100,1,0),
(146484,123808,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(146485,123808,'Decreases Defense of target by 18.0',100,1,2),
(146486,123808,'Target will lose 24% more power when power is consumed',100,1,3),
(146487,123808,'24% of target''s power consumed will also be drained from target''s health',100,1,4),
(146488,10123808,'Inflicts 97 - 162 magic damage on target',100,1,0),
(146489,10123808,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(146490,10123808,'Decreases Defense of target by 18.0',100,1,2),
(146491,10123808,'Target will lose 24% more power when power is consumed',100,1,3),
(146492,10123808,'24% of target''s power consumed will also be drained from target''s health',100,1,4),
(146493,122185,'Inflicts 196 - 240 cold damage on target instantly and every 2 seconds',100,1,0),
(146494,122185,'Inflicts 196 - 240 cold damage on target instantly and every 2 seconds',100,1,1),
(146495,122185,'If target is elemental',100,2,2),
(146496,10122185,'Inflicts 255 - 312 cold damage on target instantly and every 2 seconds',100,1,0),
(146497,138721,'When Equipped:',100,0,0),
(146498,138721,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146499,138721,'Increases Ability Modifier of caster by 300.0',100,2,2),
(146500,138721,'Cannot be modified except by direct means',100,2,3),
(146501,138721,'When Equipped:',100,0,4),
(146502,138721,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(146503,138721,'Increases Crit Chance of caster by 9.0',100,2,6),
(146504,138721,'Cannot be modified except by direct means',100,2,7),
(146505,10138721,'When Equipped:',100,0,0),
(146506,10138721,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146507,10138721,'Increases Ability Modifier of caster by 300.0',100,2,2),
(146508,10138721,'Cannot be modified except by direct means',100,2,3),
(146509,10138721,'When Equipped:',100,0,4),
(146510,10138721,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(146511,10138721,'Increases Crit Chance of caster by 9.0',100,2,6),
(146512,10138721,'Cannot be modified except by direct means',100,2,7),
(146513,121781,'Heals target for 693 - 848',100,1,0),
(146514,121781,'Heals target for 116 - 141 every second',100,1,1),
(146515,10121781,'Heals target for 1202 - 1469',100,1,0),
(146516,10121781,'Heals target for 100 - 122 every second',100,1,1),
(146517,117606,'Inflicts 164 - 273 ranged damage on target',100,1,0),
(146518,117606,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(146519,117606,'Slows target by 33.0%',100,2,2),
(146520,117606,'5% chance to dispel when target receives hostile action',100,2,3),
(146521,117606,'5% chance to dispel when target takes damage',100,2,4),
(146522,117606,'Must be flanking or behind',100,1,5),
(146523,117606,'Requires bow',100,1,6),
(146524,10117606,'Inflicts 139 - 232 ranged damage on target',100,1,0),
(146525,10117606,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(146526,10117606,'Slows target by 33.0%',100,2,2),
(146527,10117606,'5% chance to dispel when target receives hostile action',100,2,3),
(146528,10117606,'5% chance to dispel when target takes damage',100,2,4),
(146529,10117606,'Must be flanking or behind',100,1,5),
(146530,10117606,'Requires bow',100,1,6),
(146531,48396,'Applies The Ace Card when Activated.',100,0,0),
(146532,48396,'Resurrects target with 25% health and power',100,1,1),
(146533,48396,'Applies Pulled the Ace on termination.',100,1,2),
(146534,48396,'Heals target for 15.0% of max health',100,2,3),
(146535,48396,'Increases power of target by 5.0%',100,2,4),
(146536,10048396,'Applies The Ace Card when Activated.',100,0,0),
(146537,10048396,'Resurrects target with 25% health and power',100,1,1),
(146538,10048396,'Applies Pulled the Ace on termination.',100,1,2),
(146539,10048396,'Heals target for 9.8% of max health',100,2,3),
(146540,10048396,'Increases power of target by 5.0%',100,2,4),
(146541,122073,'Increases STA and INT of group members (AE) by 12.5',100,1,0),
(146542,10122073,'Increases STA and INT of group members (AE) by 12.5',100,1,0),
(146543,47949,'Applies Spray when Activated.',100,0,0),
(146544,10047949,'Applies Spray when Activated.',100,0,0),
(146545,53278,'When Equipped:',100,0,0),
(146546,53278,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(146547,53278,'Stuns target',100,2,2),
(146548,53278,'Only affects targets level 125 and below',100,2,3),
(146549,53278,'Does not affect Epic targets',100,2,4),
(146550,53278,'Resistibility increases against targets higher than level 109.',100,2,5),
(146551,53278,'Cannot be modified except by direct means',100,2,6),
(146552,10053278,'When Equipped:',100,0,0),
(146553,10053278,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(146554,10053278,'Stuns target',100,2,2),
(146555,10053278,'Only affects targets level 125 and below',100,2,3),
(146556,10053278,'Does not affect Epic targets',100,2,4),
(146557,10053278,'Resistibility increases against targets higher than level 109.',100,2,5),
(146558,10053278,'Cannot be modified except by direct means',100,2,6),
(146559,48542,'Applies Cense Room when Activated.',100,0,0),
(146560,48542,'This effect cannot be cast during combat',100,1,1),
(146561,10048542,'Applies Cense Room when Activated.',100,0,0),
(146562,10048542,'This effect cannot be cast during combat',100,1,1),
(146563,45129,'Applies elixir of deftness when Activated.  Lasts for 4 hours.',100,0,0),
(146564,45129,'Increases STA and AGI of caster by 181.5',100,1,1),
(146565,45129,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(146566,10045129,'Applies elixir of deftness when Activated.  Lasts for 4 hours.',100,0,0),
(146567,10045129,'Increases STA and AGI of caster by 181.5',100,1,1),
(146568,10045129,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(146569,36403,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(146570,108320,'Inflicts 250 - 418 divine damage on target',100,1,0),
(146571,108320,'Heals caster for 1.4% of max health',100,1,1),
(146572,108320,'This effect cannot be critically applied.',100,2,2),
(146573,108320,'The healing of this spell cannot be modified except by direct means',100,1,3),
(146574,10108320,'Inflicts 326 - 543 divine damage on target',100,1,0),
(146575,10108320,'Heals caster for 0.7% of max health',100,1,1),
(146576,10108320,'This effect cannot be critically applied.',100,2,2),
(146577,10108320,'The healing of this spell cannot be modified except by direct means',100,1,3),
(146578,121163,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(146579,121163,'Increases Hate Gain of caster by 5.0%',100,2,1),
(146580,121163,'Increases Attack Speed of caster by 43.2',100,2,2),
(146581,121163,'Dispelled when target takes damage',100,2,3),
(146582,10121163,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(146583,10121163,'Increases Attack Speed of caster by 43.2',100,2,1),
(146584,10121163,'Dispelled when target takes damage',100,2,2),
(146585,105928,'Inflicts 52 - 64 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(146586,105928,'Inflicts 121 - 202 disease damage on targets in area',100,1,1),
(146587,10105928,'Inflicts 68 - 83 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(146588,10105928,'Inflicts 158 - 263 disease damage on targets in area',100,1,1),
(146589,108279,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(146590,108279,'Inflicts 326 heat damage on target',100,2,1),
(146591,108279,'Grants a total of 3 triggers of the spell.',100,2,2),
(146592,10108279,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(146593,10108279,'Inflicts 423 heat damage on target',100,2,1),
(146594,10108279,'Grants a total of 3 triggers of the spell.',100,2,2),
(146595,112090,'Inflicts 47 - 78 heat damage on target instantly and every 2 seconds',100,1,0),
(146596,10112090,'Inflicts 149 - 249 heat damage on target instantly and every 2 seconds',100,1,0),
(146597,47417,'Applies noxious remedy when Activated.',100,0,0),
(146598,47417,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(146599,10047417,'Applies noxious remedy when Activated.',100,0,0),
(146600,10047417,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(146601,45216,'Applies essence of health when Activated.',100,0,0),
(146602,45216,'Heals caster for 119',100,1,1),
(146603,10045216,'Applies essence of health when Activated.',100,0,0),
(146604,10045216,'Heals caster for 78',100,1,1),
(146605,47807,'Applies Necromantic Resurrection when Activated.',100,0,0),
(146606,10047807,'Applies Necromantic Resurrection when Activated.',100,0,0),
(146607,80933,'When Equipped:',100,0,0),
(146608,80933,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146609,80933,'Inflicts 296 - 551 magic damage on target',100,2,2),
(146610,80933,'Cannot be modified except by direct means',100,2,3),
(146611,10080933,'When Equipped:',100,0,0),
(146612,10080933,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146613,10080933,'Inflicts 385 - 716 magic damage on target',100,2,2),
(146614,10080933,'Cannot be modified except by direct means',100,2,3),
(146615,120819,'Inflicts 11 - 14 disease damage on target instantly and every second',100,1,0),
(146616,10120819,'Inflicts 20 - 26 disease damage on target',100,1,0),
(146617,10120819,'Inflicts 14 - 19 disease damage on target every second',100,1,1),
(146618,108958,'Increases INT of group members (AE) by 82.8',100,1,0),
(146619,108958,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 31.8',100,1,1),
(146620,10108958,'Increases INT of group members (AE) by 82.8',100,1,0),
(146621,10108958,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 31.8',100,1,1),
(146622,103598,'Increases Mitigation of caster vs physical damage by 545',100,1,0),
(146623,10103598,'Increases Mitigation of caster vs physical damage by 545',100,1,0),
(146624,74784,'When Equipped:',100,0,0),
(146625,74784,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146626,74784,'Inflicts 136 - 203 magic damage on target',100,2,2),
(146627,74784,'Cannot be modified except by direct means',100,2,3),
(146628,10074784,'When Equipped:',100,0,0),
(146629,10074784,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146630,10074784,'Inflicts 176 - 264 magic damage on target',100,2,2),
(146631,10074784,'Cannot be modified except by direct means',100,2,3),
(146632,147009,'When Equipped:',100,0,0),
(146633,147009,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146634,147009,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(146635,147009,'Cannot be modified except by direct means',100,2,3),
(146636,10147009,'When Equipped:',100,0,0),
(146637,10147009,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146638,10147009,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(146639,10147009,'Cannot be modified except by direct means',100,2,3),
(146640,101028,'Inflicts 573 - 1063 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(146641,10101028,'Inflicts 584 - 1084 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(146642,71929,'When Equipped:',100,0,0),
(146643,71929,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(146644,71929,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(146645,71929,'Cannot be modified except by direct means',100,2,3),
(146646,10071929,'When Equipped:',100,0,0),
(146647,10071929,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(146648,10071929,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(146649,10071929,'Cannot be modified except by direct means',100,2,3),
(146650,104307,'Inflicts 265 - 443 melee damage on target',100,1,0),
(146651,104307,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(146652,104307,'Stuns target',100,2,2),
(146653,104307,'Throws target back',100,2,3),
(146654,104307,'Blurs vision of target',100,2,4),
(146655,104307,'Does not affect Epic targets',100,2,5),
(146656,10104307,'Inflicts 345 - 576 melee damage on target',100,1,0),
(146657,10104307,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(146658,10104307,'Stuns target',100,2,2),
(146659,10104307,'Throws target back',100,2,3),
(146660,10104307,'Blurs vision of target',100,2,4),
(146661,10104307,'Does not affect Epic targets',100,2,5),
(146662,119716,'Increases Threat to target encounter by 1,304 - 1,593 ',100,1,0),
(146663,10119716,'Prevents target encounter from changing targets',100,1,0),
(146664,10119716,'Forces target encounter to change their selected target to caster.',100,1,1),
(146665,82075,'When Equipped:',100,0,0),
(146666,82075,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146667,82075,'Inflicts 191 - 354 magic damage on target',100,2,2),
(146668,82075,'Cannot be modified except by direct means',100,2,3),
(146669,10082075,'When Equipped:',100,0,0),
(146670,10082075,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146671,10082075,'Inflicts 248 - 460 magic damage on target',100,2,2),
(146672,10082075,'Cannot be modified except by direct means',100,2,3),
(146673,81332,'When Equipped:',100,0,0),
(146674,81332,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146675,81332,'Inflicts 121 - 225 magic damage on target',100,2,2),
(146676,81332,'Cannot be modified except by direct means',100,2,3),
(146677,10081332,'When Equipped:',100,0,0),
(146678,10081332,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146679,10081332,'Inflicts 157 - 292 magic damage on target',100,2,2),
(146680,10081332,'Cannot be modified except by direct means',100,2,3),
(146681,102726,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 2 times per minute. ',100,1,0),
(146682,102726,'Inflicts 35 - 45 divine damage on target',100,2,1),
(146687,10102726,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(146688,10102726,'Inflicts 80 - 133 divine damage on target',100,2,1),
(146689,10102726,'Stuns target',100,2,2),
(146690,10102726,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(146691,75468,'When Equipped:',100,0,0),
(146692,75468,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(146693,75468,'Reduces healing received by 15.00%',100,2,2),
(146694,75468,'Cannot be modified except by direct means',100,2,3),
(146695,75468,'This effect can only trigger once every 1 second.',100,2,4),
(146696,75468,'Must be engaged in pvp combat',100,1,5),
(146697,10075468,'When Equipped:',100,0,0),
(146698,10075468,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(146699,10075468,'Reduces healing received by 15.00%',100,2,2),
(146700,10075468,'Cannot be modified except by direct means',100,2,3),
(146701,10075468,'This effect can only trigger once every 1 second.',100,2,4),
(146702,10075468,'Must be engaged in pvp combat',100,1,5),
(146703,80501,'When Equipped:',100,0,0),
(146704,80501,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(146705,80501,'Inflicts 493 - 915 magic damage on target',100,2,2),
(146706,80501,'Decreases Threat to target by 1,219 ',100,2,3),
(146707,80501,'Must be flanking or behind',100,3,4),
(146708,80501,'Increases Threat to target by 1,219 ',100,2,5),
(146709,80501,'Must be in front of',100,3,6),
(146710,80501,'Cannot be modified except by direct means',100,2,7),
(146711,10080501,'When Equipped:',100,0,0),
(146712,10080501,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(146713,10080501,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(146714,10080501,'Cannot be modified except by direct means',100,2,3),
(146715,100289,'Inflicts 144 - 268 poison damage on target instantly and every 3 seconds',100,1,0),
(146716,10100289,'Inflicts 422 - 785 poison damage on target instantly and every 3 seconds',100,1,0),
(146717,109410,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(146718,109410,'Inflicts 309 - 378 cold damage on target',100,2,1),
(146719,109410,'Slows target by 68.2%',100,2,2),
(146720,109410,'5% chance to dispel when target receives hostile action',100,2,3),
(146721,109410,'5% chance to dispel when target takes damage',100,2,4),
(146722,10109410,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(146723,10109410,'Inflicts 402 - 491 cold damage on target',100,2,1),
(146724,10109410,'Slows target by 68.2%',100,2,2),
(146725,10109410,'5% chance to dispel when target receives hostile action',100,2,3),
(146726,10109410,'5% chance to dispel when target takes damage',100,2,4),
(146727,114869,'Decreases AGI of target by 50.2',100,1,0),
(146728,114869,'Decreases Defense of target by 19.2',100,1,1),
(146729,10114869,'Decreases AGI of target by 50.2',100,1,0),
(146730,10114869,'Decreases Defense of target by 19.2',100,1,1),
(146731,81511,'When Equipped:',100,0,0),
(146732,81511,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146733,81511,'Inflicts 169 - 315 magic damage on target',100,2,2),
(146734,81511,'Cannot be modified except by direct means',100,2,3),
(146735,10081511,'When Equipped:',100,0,0),
(146736,10081511,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146737,10081511,'Inflicts 220 - 409 magic damage on target',100,2,2),
(146738,10081511,'Cannot be modified except by direct means',100,2,3),
(146739,111133,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(146740,111133,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 92',100,1,1),
(146741,111133,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,2),
(146742,10111133,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(146743,10111133,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 92',100,1,1),
(146744,10111133,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,2),
(146745,36983,'Increases Max Power of target by 3.3',100,0,0),
(146746,36983,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(146747,118854,'Inflicts 171 - 515 melee damage on target',100,1,0),
(146748,10118854,'Inflicts 223 - 670 melee damage on target',100,1,0),
(146749,108381,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(146750,108381,'Increases Mitigation of group members (AE) vs arcane damage by 2024',100,1,1),
(146751,10108381,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(146752,10108381,'Increases Mitigation of group members (AE) vs arcane damage by 2024',100,1,1),
(146753,118071,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(146754,118071,'Increases Defense of caster by 7.7',100,1,1),
(146755,10118071,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(146756,10118071,'Increases Defense of caster by 7.7',100,1,1),
(146757,120127,'Summons a pet Prowler Kitten',100,1,0),
(146758,10120127,'Summons a pet Prowler Kitten',100,1,0),
(146759,116817,'Decreases Hate Gain of caster by 13.2%',100,1,0),
(146760,10116817,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(146761,10116817,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(146762,10116817,'This effect can only trigger once every 5 seconds.',100,2,2),
(146763,82139,'When Equipped:',100,0,0),
(146764,82139,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146765,82139,'Inflicts 191 - 354 magic damage on target',100,2,2),
(146766,82139,'Cannot be modified except by direct means',100,2,3),
(146767,10082139,'When Equipped:',100,0,0),
(146768,10082139,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146769,10082139,'Inflicts 248 - 460 magic damage on target',100,2,2),
(146770,10082139,'Cannot be modified except by direct means',100,2,3),
(146771,146903,'When Equipped:',100,0,0),
(146772,146903,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(146773,146903,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(146774,146903,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,3),
(146775,146903,'Must not be engaged in pvp combat',100,2,4),
(146776,146903,'Cannot be modified except by direct means',100,2,5),
(146777,146903,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(146778,146903,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,7),
(146779,146903,'Must not be engaged in pvp combat',100,2,8),
(146780,146903,'Cannot be modified except by direct means',100,2,9),
(146781,146903,'Cannot be modified except by direct means',100,1,10),
(146782,10146903,'When Equipped:',100,0,0),
(146783,10146903,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(146784,10146903,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(146785,10146903,'Inflicts 1407 - 1555 disease damage on target instantly and every 2 seconds',100,2,3),
(146786,10146903,'Must not be engaged in pvp combat',100,2,4),
(146787,10146903,'Cannot be modified except by direct means',100,2,5),
(146788,10146903,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(146789,10146903,'Inflicts 1407 - 1555 disease damage on target instantly and every 2 seconds',100,2,7),
(146790,10146903,'Must not be engaged in pvp combat',100,2,8),
(146791,10146903,'Cannot be modified except by direct means',100,2,9),
(146792,10146903,'Cannot be modified except by direct means',100,1,10),
(146793,101274,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(146794,101274,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,1),
(146795,10101274,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(146796,10101274,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,1),
(146797,159399,'Applies Sanguine Imbued when Equipped.',100,0,0),
(146798,159399,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(146799,159399,'Inflicts 84 heat damage on target',100,2,2),
(146800,159399,'Cannot be modified except by direct means',100,2,3),
(146801,10159399,'Applies Sanguine Imbued when Equipped.',100,0,0),
(146802,10159399,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(146803,10159399,'Inflicts 109 heat damage on target',100,2,2),
(146804,10159399,'Cannot be modified except by direct means',100,2,3),
(146805,82832,'When Equipped:',100,0,0),
(146806,82832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146807,82832,'Inflicts 315 - 585 magic damage on target',100,2,2),
(146808,82832,'Cannot be modified except by direct means',100,2,3),
(146809,10082832,'When Equipped:',100,0,0),
(146810,10082832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146811,10082832,'Inflicts 409 - 760 magic damage on target',100,2,2),
(146812,10082832,'Cannot be modified except by direct means',100,2,3),
(146813,121131,'Summons a limited pet to aid the caster',100,1,0),
(146814,10121131,'Summons a limited pet to aid the caster',100,1,0),
(146815,102723,'Inflicts 23 - 38 piercing damage on target instantly and every 4 seconds',100,1,0),
(146816,102723,'Inflicts 11 - 18 melee damage on target',100,1,1),
(146817,102723,'If facing target',100,1,2),
(146818,10102723,'Inflicts 29 - 49 piercing damage on target instantly and every 4 seconds',100,1,0),
(146819,10102723,'Inflicts 14 - 24 melee damage on target',100,1,1),
(146820,10102723,'If facing target',100,1,2),
(146821,122125,'Interrupts target',100,1,0),
(146822,122125,'Increases Threat to target by 660 ',100,1,1),
(146823,122125,'Dispels 52 levels of arcane beneficial effects on target',100,1,2),
(146824,10122125,'Interrupts target',100,1,0),
(146825,10122125,'Forces target to change their selected target to caster.',100,1,1),
(146826,10122125,'Dispels 52 levels of arcane beneficial effects on target',100,1,2),
(146827,163989,'When Equipped:',100,0,0),
(146828,163989,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146829,163989,'Inflicts 1589 - 2383 poison damage on target',100,2,2),
(146830,163989,'Heals caster for 1058 - 1587',100,2,3),
(146831,163989,'Cannot be modified except by direct means',100,2,4),
(146832,163989,'Cannot be modified except by direct means',100,1,5),
(146833,10163989,'When Equipped:',100,0,0),
(146834,10163989,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(146835,10163989,'Inflicts 2065 - 3098 poison damage on target',100,2,2),
(146836,10163989,'Heals caster for 1238 - 1857',100,2,3),
(146837,10163989,'Cannot be modified except by direct means',100,2,4),
(146838,10163989,'Cannot be modified except by direct means',100,1,5),
(146839,82835,'When Equipped:',100,0,0),
(146840,82835,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(146841,82835,'Inflicts 350 - 650 magic damage on target',100,2,2),
(146842,82835,'Decreases Threat to target by 833 ',100,2,3),
(146843,82835,'Must be flanking or behind',100,3,4),
(146844,82835,'Increases Threat to target by 833 ',100,2,5),
(146845,82835,'Must be in front of',100,3,6),
(146846,82835,'Cannot be modified except by direct means',100,2,7),
(146847,10082835,'When Equipped:',100,0,0),
(146848,10082835,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(146849,10082835,'Inflicts 455 - 845 magic damage on target',100,2,2),
(146850,10082835,'Cannot be modified except by direct means',100,2,3),
(146851,101937,'Inflicts 123 piercing damage on target instantly and every 4 seconds',100,1,0),
(146852,101937,'Inflicts 369 - 616 melee damage on target',100,1,1),
(146853,101937,'Must be behind',100,1,2),
(146854,10101937,'Inflicts 160 piercing damage on target instantly and every 4 seconds',100,1,0),
(146855,10101937,'Inflicts 480 - 801 melee damage on target',100,1,1),
(146856,10101937,'Must be behind',100,1,2),
(146857,124431,'Inflicts 50 - 84 melee damage on targets in area',100,1,0),
(146858,10124431,'Inflicts 65 - 109 melee damage on targets in area',100,1,0),
(146859,35018,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(146860,35018,'This effect suspends during combat',100,0,1),
(146861,36861,'Increases INT of target by 1.5',100,0,0),
(146862,36861,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(146863,111149,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(146864,111149,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1027',100,1,1),
(146865,111149,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,2),
(146866,10111149,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(146867,10111149,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1027',100,1,1),
(146868,10111149,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,2),
(146869,80583,'Applies Imbued Smite when Equipped.',100,0,0),
(146870,80583,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146871,80583,'Inflicts 632 divine damage on target instantly and every second',100,2,2),
(146872,80583,'Cannot be modified except by direct means',100,2,3),
(146873,80583,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(146874,80583,'Inflicts 632 divine damage on target instantly and every second',100,2,5),
(146875,80583,'Cannot be modified except by direct means',100,2,6),
(146876,10080583,'Applies Imbued Smite when Equipped.',100,0,0),
(146877,10080583,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(146878,10080583,'Inflicts 822 divine damage on target instantly and every second',100,2,2),
(146879,10080583,'Cannot be modified except by direct means',100,2,3),
(146880,10080583,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(146881,10080583,'Inflicts 822 divine damage on target instantly and every second',100,2,5),
(146882,10080583,'Cannot be modified except by direct means',100,2,6),
(146883,36187,'Increases WIS and INT of target by 1.1',100,0,0),
(146884,36187,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(146885,42585,'When Equipped:',100,0,0),
(146886,42585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146887,42585,'Inflicts 44 - 66 magic damage on target',100,2,2),
(146888,42585,'Cannot be modified except by direct means',100,2,3),
(146889,10042585,'When Equipped:',100,0,0),
(146890,10042585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146891,10042585,'Inflicts 57 - 85 magic damage on target',100,2,2),
(146892,10042585,'Cannot be modified except by direct means',100,2,3),
(146893,116473,'Applies Plane Shift: Earth.  Lasts for 1 minute.',100,1,0),
(146894,116473,'Makes target immune to Stifle effects',100,2,1),
(146895,116473,'Makes target immune to Fear effects',100,2,2),
(146896,116473,'Shapechanges target into an Earth Construct',100,2,3),
(146897,116473,'Makes target immune to Daze effects',100,2,4),
(146898,116473,'Makes target immune to Stun effects',100,2,5),
(146899,116473,'Makes target immune to Root effects',100,2,6),
(146900,116473,'Increases All Attributes of target by 48.0%',100,2,7),
(146901,116473,'Increases In-Combat Health Regeneration of target by 342.0',100,2,8),
(146902,116473,'Greatly increases maximum health',100,2,9),
(146903,116473,'Applies Plane Shift: Fire.  Lasts for 1 minute.',100,1,10),
(146904,116473,'Shapechanges target into a Fire Devil',100,2,11),
(146905,116473,'Makes target immune to Stifle effects',100,2,12),
(146906,116473,'Enlarges target by 25.0%',100,2,13),
(146907,116473,'Increases Ability Casting Speed of target by 48.0%',100,2,14),
(146908,116473,'Increases Attack Speed of target by 48.0',100,2,15),
(146909,116473,'Increases Crit Chance of target by 48.0',100,2,16),
(146910,116473,'Greatly increases maximum health',100,2,17),
(146911,116473,'Applies Plane Shift: Air.  Lasts for 1 minute.',100,1,18),
(146912,116473,'Shapechanges target into an Air Avenger',100,2,19),
(146913,116473,'Enlarges target by 25.0%',100,2,20),
(146914,116473,'Increases Ability Reuse Speed of target by 48.0%',100,2,21),
(146915,116473,'Increases Attack Speed of target by 48.0',100,2,22),
(146916,116473,'Increases Crit Chance of target by 48.0',100,2,23),
(146917,116473,'Increases in-combat movement speed of target by 72.0%',100,2,24),
(146918,116473,'Greatly increases maximum health',100,2,25),
(146919,116473,'Applies Plane Shift: Water.  Lasts for 1 minute.',100,1,26),
(146920,116473,'Increases Attack Speed of target by 48.0',100,2,27),
(146921,116473,'Increases Crit Chance of target by 120.0',100,2,28),
(146922,116473,'Enlarges target by 350.0%',100,2,29),
(146923,116473,'Shapechanges target into a Water Construct',100,2,30),
(146924,116473,'Makes target immune to Stifle effects',100,2,31),
(146925,116473,'Increases Ability Casting Speed of target by 48.0%',100,2,32),
(146926,116473,'Greatly increases maximum health',100,2,33),
(146927,116473,'You cannot cast Plane Shift immediately after Soulburn.',100,1,34),
(146928,10116473,'Applies Plane Shift: Earth.  Lasts for 1 minute.',100,1,0),
(146929,10116473,'Makes target immune to Stifle effects',100,2,1),
(146930,10116473,'Makes target immune to Fear effects',100,2,2),
(146931,10116473,'Shapechanges target into an Earth Construct',100,2,3),
(146932,10116473,'Makes target immune to Daze effects',100,2,4),
(146933,10116473,'Makes target immune to Stun effects',100,2,5),
(146934,10116473,'Makes target immune to Root effects',100,2,6),
(146935,10116473,'Increases All Attributes of target by 48.0%',100,2,7),
(146936,10116473,'Increases In-Combat Health Regeneration of target by 342.0',100,2,8),
(146937,10116473,'Greatly increases maximum health',100,2,9),
(146938,10116473,'Applies Plane Shift: Fire.  Lasts for 1 minute.',100,1,10),
(146939,10116473,'Shapechanges target into a Fire Devil',100,2,11),
(146940,10116473,'Makes target immune to Stifle effects',100,2,12),
(146941,10116473,'Enlarges target by 25.0%',100,2,13),
(146942,10116473,'Increases Ability Casting Speed of target by 48.0%',100,2,14),
(146943,10116473,'Increases Attack Speed of target by 48.0',100,2,15),
(146944,10116473,'Increases Crit Chance of target by 48.0',100,2,16),
(146945,10116473,'Greatly increases maximum health',100,2,17),
(146946,10116473,'Applies Plane Shift: Air.  Lasts for 1 minute.',100,1,18),
(146947,10116473,'Shapechanges target into an Air Avenger',100,2,19),
(146948,10116473,'Enlarges target by 25.0%',100,2,20),
(146949,10116473,'Increases Ability Reuse Speed of target by 48.0%',100,2,21),
(146950,10116473,'Increases Attack Speed of target by 48.0',100,2,22),
(146951,10116473,'Increases Crit Chance of target by 48.0',100,2,23),
(146952,10116473,'Increases in-combat movement speed of target by 72.0%',100,2,24),
(146953,10116473,'Greatly increases maximum health',100,2,25),
(146954,10116473,'Applies Plane Shift: Water.  Lasts for 1 minute.',100,1,26),
(146955,10116473,'Increases Attack Speed of target by 48.0',100,2,27),
(146956,10116473,'Increases Crit Chance of target by 120.0',100,2,28),
(146957,10116473,'Enlarges target by 350.0%',100,2,29),
(146958,10116473,'Shapechanges target into a Water Construct',100,2,30),
(146959,10116473,'Makes target immune to Stifle effects',100,2,31),
(146960,10116473,'Increases Ability Casting Speed of target by 48.0%',100,2,32),
(146961,10116473,'Greatly increases maximum health',100,2,33),
(146962,10116473,'You cannot cast Plane Shift immediately after Soulburn.',100,1,34),
(146963,152871,'When Equipped:',100,0,0),
(146964,152871,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(146965,152871,'Applies Dispersion on termination.',100,2,2),
(146966,152871,'Increases power of group members by 171',100,3,3),
(146967,152871,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(146968,152871,'Cannot be modified except by direct means',100,2,5),
(146969,152871,'Cannot be modified except by direct means',100,1,6),
(146970,10152871,'When Equipped:',100,0,0),
(146971,10152871,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(146972,10152871,'Applies Dispersion on termination.',100,2,2),
(146973,10152871,'Increases power of group members by 171',100,3,3),
(146974,10152871,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(146975,10152871,'Cannot be modified except by direct means',100,2,5),
(146976,10152871,'Cannot be modified except by direct means',100,1,6),
(146977,122528,'Heals caster for 49',100,1,0),
(146978,122528,'Inflicts 115 - 192 melee damage on target',100,1,1),
(146979,10122528,'Heals caster for 32',100,1,0),
(146980,10122528,'Inflicts 150 - 250 melee damage on target',100,1,1),
(146981,87486,'When Equipped:',100,0,0),
(146982,87486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146983,87486,'Inflicts 194 - 290 magic damage on target',100,2,2),
(146984,87486,'Cannot be modified except by direct means',100,2,3),
(146985,10087486,'When Equipped:',100,0,0),
(146986,10087486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(146987,10087486,'Inflicts 252 - 378 magic damage on target',100,2,2),
(146988,10087486,'Cannot be modified except by direct means',100,2,3),
(146989,45368,'Applies Blight of Eternity when Activated.  Lasts for 12 hours.',100,0,0),
(146990,45368,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146991,45368,'Inflicts 160 poison damage on target',100,2,2),
(146992,45368,'Inflicts 197 poison damage on target instantly and every 6 seconds',100,2,3),
(146993,45368,'Cannot be modified except by direct means',100,2,4),
(146994,45368,'Grants a total of 100 triggers of the spell.',100,2,5),
(146995,10045368,'Applies Blight of Eternity when Activated.  Lasts for 12 hours.',100,0,0),
(146996,10045368,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(146997,10045368,'Inflicts 192 poison damage on target instantly and every 6 seconds',100,2,2),
(146998,10045368,'Inflicts 156 poison damage on target',100,2,3),
(146999,10045368,'Cannot be modified except by direct means',100,2,4),
(147000,10045368,'Grants a total of 100 triggers of the spell.',100,2,5),
(147001,24173,'Adds Crushbone: Empty Blue Stone Wall Mount to your Dungeon Maker toolbox',100,0,0),
(147002,10024173,'Adds Crushbone: Empty Blue Stone Wall Mount to your Dungeon Maker toolbox',100,0,0),
(147003,36080,'Increases outgoing damaging spell amount by 2%',100,0,0),
(147004,36080,'Increases STA and INT of target by 5.4',100,0,1),
(147005,36080,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(147006,81044,'When Equipped:',100,0,0),
(147007,81044,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147008,81044,'Inflicts 230 - 426 magic damage on target',100,2,2),
(147009,81044,'Cannot be modified except by direct means',100,2,3),
(147010,10081044,'When Equipped:',100,0,0),
(147011,10081044,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147012,10081044,'Inflicts 298 - 554 magic damage on target',100,2,2),
(147013,10081044,'Cannot be modified except by direct means',100,2,3),
(147014,110596,'Decreases Focus of target by 16.7',100,1,0),
(147015,110596,'Interrupts target',100,1,1),
(147016,110596,'Inflicts 93 - 280 crushing damage on target',100,1,2),
(147017,10110596,'Decreases Focus of target by 16.7',100,1,0),
(147018,10110596,'Interrupts target',100,1,1),
(147019,10110596,'Inflicts 121 - 364 crushing damage on target',100,1,2),
(147020,46006,'Applies Second Chance when Activated.',100,0,0),
(147021,46006,'Allows the imbiber to resurrect him or herself.',100,1,1),
(147022,46006,'You must be dead to use this item.',100,1,2),
(147023,10046006,'Applies Second Chance when Activated.',100,0,0),
(147024,10046006,'Allows the imbiber to resurrect him or herself.',100,1,1),
(147025,10046006,'You must be dead to use this item.',100,1,2),
(147026,123835,'Increases WIS and STR of group members (AE) by 12.9',100,1,0),
(147027,10123835,'Increases WIS and STR of group members (AE) by 12.9',100,1,0),
(147028,122987,'Decreases Damage Per Second of target encounter by 16.5',100,1,0),
(147029,10122987,'Decreases Damage Per Second of target encounter by 16.5',100,1,0),
(147030,136634,'When Equipped:',100,0,0),
(147031,136634,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147032,136634,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(147033,136634,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,3),
(147034,136634,'Increases Potency of caster by 3.0%',100,2,4),
(147035,136634,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(147036,136634,'Must not be engaged in pvp combat',100,2,6),
(147037,136634,'Cannot be modified except by direct means',100,2,7),
(147038,136634,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(147039,136634,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,9),
(147040,136634,'Increases Potency of caster by 3.0%',100,2,10),
(147041,136634,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(147042,136634,'Must not be engaged in pvp combat',100,2,12),
(147043,136634,'Cannot be modified except by direct means',100,2,13),
(147044,136634,'Cannot be modified except by direct means',100,1,14),
(147045,10136634,'When Equipped:',100,0,0),
(147046,10136634,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147047,10136634,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(147048,10136634,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,3),
(147049,10136634,'Increases Potency of caster by 3.0%',100,2,4),
(147050,10136634,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(147051,10136634,'Must not be engaged in pvp combat',100,2,6),
(147052,10136634,'Cannot be modified except by direct means',100,2,7),
(147053,10136634,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(147054,10136634,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,9),
(147055,10136634,'Increases Potency of caster by 3.0%',100,2,10),
(147056,10136634,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(147057,10136634,'Must not be engaged in pvp combat',100,2,12),
(147058,10136634,'Cannot be modified except by direct means',100,2,13),
(147059,10136634,'Cannot be modified except by direct means',100,1,14),
(147060,80927,'When Equipped:',100,0,0),
(147061,80927,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147062,80927,'Inflicts 288 - 534 magic damage on target',100,2,2),
(147063,80927,'Decreases Threat to target by 672 ',100,2,3),
(147064,80927,'Must be flanking or behind',100,3,4),
(147065,80927,'Increases Threat to target by 672 ',100,2,5),
(147066,80927,'Must be in front of',100,3,6),
(147067,80927,'Cannot be modified except by direct means',100,2,7),
(147068,10080927,'When Equipped:',100,0,0),
(147069,10080927,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147070,10080927,'Inflicts 374 - 695 magic damage on target',100,2,2),
(147071,10080927,'Cannot be modified except by direct means',100,2,3),
(147072,155804,'When Equipped:',100,0,0),
(147073,155804,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147074,155804,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(147075,155804,'Increases Ability Modifier of caster by 660.0',100,2,3),
(147076,155804,'Must not be engaged in pvp combat',100,2,4),
(147077,155804,'Cannot be modified except by direct means',100,2,5),
(147078,155804,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(147079,155804,'Increases Ability Modifier of caster by 660.0',100,2,7),
(147080,155804,'Must not be engaged in pvp combat',100,2,8),
(147081,155804,'Cannot be modified except by direct means',100,2,9),
(147082,155804,'Cannot be modified except by direct means',100,1,10),
(147083,10155804,'When Equipped:',100,0,0),
(147084,10155804,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147085,10155804,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(147086,10155804,'Increases Ability Modifier of caster by 660.0',100,2,3),
(147087,10155804,'Must not be engaged in pvp combat',100,2,4),
(147088,10155804,'Cannot be modified except by direct means',100,2,5),
(147089,10155804,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(147090,10155804,'Increases Ability Modifier of caster by 660.0',100,2,7),
(147091,10155804,'Must not be engaged in pvp combat',100,2,8),
(147092,10155804,'Cannot be modified except by direct means',100,2,9),
(147093,10155804,'Cannot be modified except by direct means',100,1,10),
(147094,46328,'Applies Net Mudfin when Activated.  Lasts for 15.0 seconds.',100,0,0),
(147095,46328,'Roots target',100,1,1),
(147096,46328,'Epic targets gain an immunity to Root effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,2),
(147097,10046328,'Applies Net Mudfin when Activated.  Lasts for 15.0 seconds.',100,0,0),
(147098,10046328,'Roots target',100,1,1),
(147099,10046328,'Epic targets gain an immunity to Root effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,2),
(147100,109826,'Inflicts 363 - 606 melee damage on target',100,1,0),
(147101,109826,'Decreases Parry of target by 31.0',100,1,1),
(147102,109826,'Must be in front of or flanking',100,1,2),
(147103,10109826,'Inflicts 472 - 788 melee damage on target',100,1,0),
(147104,10109826,'Decreases Parry of target by 31.0',100,1,1),
(147105,10109826,'Must be in front of or flanking',100,1,2),
(147106,165098,'When Equipped:',100,0,0),
(147107,165098,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(147108,165098,'Inflicts 1199 disease damage on target encounter',100,2,2),
(147109,165098,'Must not be engaged in pvp combat',100,2,3),
(147110,165098,'Cannot be modified except by direct means',100,2,4),
(147111,10165098,'When Equipped:',100,0,0),
(147112,10165098,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(147113,10165098,'Inflicts 779 disease damage on target encounter',100,2,2),
(147114,10165098,'Must not be engaged in pvp combat',100,2,3),
(147115,10165098,'Cannot be modified except by direct means',100,2,4),
(147116,37558,'Increases outgoing heal and ward amount by 1.5%',100,0,0),
(147117,37558,'Increases WIS and STA of target by 4.3',100,0,1),
(147118,37558,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,2),
(147119,52415,'When Equipped:',100,0,0),
(147120,52415,'On a damage spell hit this spell may cast Ice Meteorite on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147121,52415,'Decreases Mitigation of target vs elemental damage by 830',100,2,2),
(147122,52415,'Inflicts 802 - 1490 cold damage on target',100,2,3),
(147123,52415,'Must not be engaged in pvp combat',100,2,4),
(147124,52415,'Cannot be modified except by direct means',100,2,5),
(147125,52415,'Must not be engaged in pvp combat',100,1,6),
(147126,52415,'Cannot be modified except by direct means',100,1,7),
(147127,10052415,'When Equipped:',100,0,0),
(147128,10052415,'On a damage spell hit this spell may cast Ice Meteorite on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147129,10052415,'Decreases Mitigation of target vs elemental damage by 830',100,2,2),
(147130,10052415,'Inflicts 1043 - 1937 cold damage on target',100,2,3),
(147131,10052415,'Must not be engaged in pvp combat',100,2,4),
(147132,10052415,'Cannot be modified except by direct means',100,2,5),
(147133,10052415,'Must not be engaged in pvp combat',100,1,6),
(147134,10052415,'Cannot be modified except by direct means',100,1,7),
(147135,45332,'Applies Black Warg with Blue Saddle when Activated.',100,0,0),
(147136,45332,'Summons a mount to ride',100,1,1),
(147137,45332,'Increases your ground speed by 130%',100,2,2),
(147138,10045332,'Applies Black Warg with Blue Saddle when Activated.',100,0,0),
(147139,10045332,'Summons a mount to ride',100,1,1),
(147140,10045332,'Increases your ground speed by 130%',100,2,2),
(147141,111063,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(147142,111063,'Slows target by 38.1%',100,2,1),
(147143,111063,'5% chance to dispel when target receives hostile action',100,2,2),
(147144,111063,'5% chance to dispel when target takes damage',100,2,3),
(147145,111063,'Decreases Mitigation of target vs elemental damage by 506',100,1,4),
(147146,10111063,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(147147,10111063,'Slows target by 38.1%',100,2,1),
(147148,10111063,'5% chance to dispel when target receives hostile action',100,2,2),
(147149,10111063,'5% chance to dispel when target takes damage',100,2,3),
(147150,10111063,'Decreases Mitigation of target vs elemental damage by 506',100,1,4),
(147151,25867,'When Equipped:',100,0,0),
(147152,25867,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(147153,25867,'Improves the base heal amount of Tap Veins by 20%.',100,1,2),
(147154,10025867,'When Equipped:',100,0,0),
(147155,10025867,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(147156,10025867,'Improves the base heal amount of Tap Veins by 20%.',100,1,2),
(147157,116940,'Increases Threat to target by 113 - 138 ',100,1,0),
(147158,116940,'Interrupts target',100,1,1),
(147159,10116940,'Forces target to change their selected target to caster.',100,1,0),
(147160,10116940,'Interrupts target',100,1,1),
(147161,10116940,'Prevents target from changing targets',100,1,2),
(147162,71293,'When Equipped:',100,0,0),
(147163,71293,'On a melee hit this spell may cast Stinging Swarm on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147164,71293,'Inflicts 111 magic damage on target instantly and every 2 seconds',100,2,2),
(147165,71293,'Cannot be modified except by direct means',100,2,3),
(147166,10071293,'When Equipped:',100,0,0),
(147167,10071293,'On a melee hit this spell may cast Stinging Swarm on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147168,10071293,'Inflicts 144 magic damage on target instantly and every 2 seconds',100,2,2),
(147169,10071293,'Cannot be modified except by direct means',100,2,3),
(147170,35979,'Increases Max Power of target by 3.3',100,0,0),
(147171,35979,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(147172,42542,'When Equipped:',100,0,0),
(147173,42542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147174,42542,'Inflicts 64 - 97 magic damage on target',100,2,2),
(147175,42542,'Cannot be modified except by direct means',100,2,3),
(147176,10042542,'When Equipped:',100,0,0),
(147177,10042542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147178,10042542,'Inflicts 84 - 125 magic damage on target',100,2,2),
(147179,10042542,'Cannot be modified except by direct means',100,2,3),
(147180,159895,'Applies Lambent Imbued when Equipped.',100,0,0),
(147181,159895,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(147182,159895,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(147183,159895,'Cannot be modified except by direct means',100,2,3),
(147184,10159895,'Applies Lambent Imbued when Equipped.',100,0,0),
(147185,10159895,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(147186,10159895,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(147187,10159895,'Cannot be modified except by direct means',100,2,3),
(147188,101192,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(147189,101192,'Slows target by 42.0%',100,2,1),
(147190,101192,'5% chance to dispel when target receives hostile action',100,2,2),
(147191,101192,'5% chance to dispel when target takes damage',100,2,3),
(147192,101192,'Inflicts 293 - 489 cold damage on target',100,1,4),
(147193,101192,'Inflicts 293 - 489 cold damage on target',100,1,5),
(147194,101192,'If weapon equipped in Ranged',100,1,6),
(147195,10101192,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(147196,10101192,'Slows target by 42.0%',100,2,1),
(147197,10101192,'5% chance to dispel when target receives hostile action',100,2,2),
(147198,10101192,'5% chance to dispel when target takes damage',100,2,3),
(147199,10101192,'Inflicts 249 - 415 cold damage on target',100,1,4),
(147200,10101192,'Inflicts 249 - 415 cold damage on target',100,1,5),
(147201,10101192,'If weapon equipped in Ranged',100,1,6),
(147202,25201,'When Equipped:',100,0,0),
(147203,25201,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(147204,25201,'Inflicts 16 magic damage on target',100,2,2),
(147205,25201,'Cannot be modified except by direct means',100,2,3),
(147206,10025201,'When Equipped:',100,0,0),
(147207,10025201,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(147208,10025201,'Inflicts 20 magic damage on target',100,2,2),
(147209,10025201,'Cannot be modified except by direct means',100,2,3),
(147210,184980,'When Equipped:',100,0,0),
(147211,184980,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147212,184980,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(147213,184980,'Cannot be modified except by direct means',100,2,3),
(147214,10184980,'When Equipped:',100,0,0),
(147215,10184980,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147216,10184980,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(147217,10184980,'Cannot be modified except by direct means',100,2,3),
(147218,103742,'Increases Max Health of raid and group members (AE) by 686.6',100,1,0),
(147219,103742,'Increases Defense of raid and group members (AE) by 23.5',100,1,1),
(147220,10103742,'Increases Max Health of raid and group members (AE) by 686.6',100,1,0),
(147221,10103742,'Increases Defense of raid and group members (AE) by 23.5',100,1,1),
(147222,48121,'Applies Sootfoot Bitey-Belt when Activated.',100,0,0),
(147223,10048121,'Applies Sootfoot Bitey-Belt when Activated.',100,0,0),
(147224,108749,'Summons a pet fiery magician',100,1,0),
(147225,10108749,'Summons a pet fiery magician',100,1,0),
(147226,121731,'Increases AGI of caster by 110.9',100,1,0),
(147227,121731,'Adds 2.5% to base avoidance.',100,1,1),
(147228,121731,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(147229,121731,'Increases Parry of caster by 63.6',100,1,3),
(147230,121731,'Increases Defense of caster by 84.8',100,1,4),
(147231,10121731,'Increases AGI of caster by 110.9',100,1,0),
(147232,10121731,'Adds 2.5% to base avoidance.',100,1,1),
(147233,10121731,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(147234,10121731,'Increases Parry of caster by 63.6',100,1,3),
(147235,10121731,'Increases Defense of caster by 84.8',100,1,4),
(147236,107522,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(147237,10107522,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(147238,102749,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(147239,102749,'Inflicts 324 - 539 divine damage on target',100,2,1),
(147240,102749,'Inflicts 277 - 462 divine damage on target',100,2,2),
(147241,102749,'If target is undead',100,3,3),
(147242,102749,'Stuns target',100,2,4),
(147243,102749,'If Target is not Epic',100,3,5),
(147244,10102749,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(147245,10102749,'Inflicts 631 - 1052 divine damage on target',100,2,1),
(147246,10102749,'Stuns target',100,2,2),
(147247,10102749,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(147248,169182,'When Equipped:',100,0,0),
(147249,169182,'\\#FF0000This effect will not stack with itself or similar effects.\\/c',100,1,1),
(147250,169182,'On a critical spell hit this spell may cast Velium Pulse on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(147251,169182,'Increases WIS, STR, AGI and INT of group members by 200.0',100,2,3),
(147252,169182,'Increases Attack Speed of group members by 50.0',100,2,4),
(147253,169182,'Increases Damage Per Second of group members by 65.0',100,2,5),
(147254,169182,'Must not be engaged in pvp combat',100,2,6),
(147255,169182,'Cannot be modified except by direct means',100,2,7),
(147256,169182,'On a critical combat hit this spell may cast Velium Pulse on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,8),
(147257,169182,'Increases WIS, STR, AGI and INT of group members by 200.0',100,2,9),
(147258,169182,'Increases Attack Speed of group members by 50.0',100,2,10),
(147259,169182,'Increases Damage Per Second of group members by 65.0',100,2,11),
(147260,169182,'Must not be engaged in pvp combat',100,2,12),
(147261,169182,'Cannot be modified except by direct means',100,2,13),
(147262,10169182,'When Equipped:',100,0,0),
(147263,10169182,'\\#FF0000This effect will not stack with itself or similar effects.\\/c',100,1,1),
(147264,10169182,'On a critical spell hit this spell may cast Velium Pulse on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(147265,10169182,'Increases WIS, STR, AGI and INT of group members by 200.0',100,2,3),
(147266,10169182,'Increases Attack Speed of group members by 50.0',100,2,4),
(147267,10169182,'Increases Damage Per Second of group members by 65.0',100,2,5),
(147268,10169182,'Must not be engaged in pvp combat',100,2,6),
(147269,10169182,'Cannot be modified except by direct means',100,2,7),
(147270,10169182,'On a critical combat hit this spell may cast Velium Pulse on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,8),
(147271,10169182,'Increases WIS, STR, AGI and INT of group members by 200.0',100,2,9),
(147272,10169182,'Increases Attack Speed of group members by 50.0',100,2,10),
(147273,10169182,'Increases Damage Per Second of group members by 65.0',100,2,11),
(147274,10169182,'Must not be engaged in pvp combat',100,2,12),
(147275,10169182,'Cannot be modified except by direct means',100,2,13),
(147276,110436,'Dazes targets in Area of Effect',100,1,0),
(147277,110436,'If Target is not Epic',100,2,1),
(147278,110436,'Decreases Threat to targets in Area of Effect by 864 ',100,1,2),
(147279,110436,'Dispelled when target receives hostile action',100,1,3),
(147280,110436,'Dispelled when target takes damage',100,1,4),
(147281,10110436,'Dazes targets in Area of Effect',100,1,0),
(147282,10110436,'If Target is not Epic',100,2,1),
(147283,10110436,'Applies Distract.',100,1,2),
(147284,10110436,'Forces target to clear their selected target.',100,2,3),
(147285,10110436,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(147286,10110436,'Dispelled when target receives hostile action',100,1,5),
(147287,10110436,'Dispelled when target takes damage',100,1,6),
(147288,175257,'When Equipped:',100,0,0),
(147289,175257,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(147290,10175257,'When Equipped:',100,0,0),
(147291,10175257,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(147292,116738,'Increases Max Health of target by 29.1',100,1,0),
(147293,116738,'Increases Max Power of target by 34.0',100,1,1),
(147294,10116738,'Increases Max Health of target by 29.1',100,1,0),
(147295,10116738,'Increases Max Power of target by 34.0',100,1,1),
(147296,104506,'Increases Threat to target by 14 - 18  instantly and by 2 - 3  every 2 seconds thereafter',100,1,0),
(147297,10104506,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(147298,110800,'Inflicts 72 - 97 mental damage on target',100,1,0),
(147299,10110800,'Inflicts 93 - 126 mental damage on target',100,1,0),
(147300,124299,'Wards group members (AE) against 1146 points of elemental damage',100,1,0),
(147301,124299,'Increases Mitigation of group members (AE) vs elemental damage by 627',100,1,1),
(147302,10124299,'Wards group members (AE) against 1146 points of elemental damage',100,1,0),
(147303,10124299,'Increases Mitigation of group members (AE) vs elemental damage by 627',100,1,1),
(147304,48409,'Applies The Mogul Card when Activated.  Lasts for 10 minutes.',100,0,0),
(147305,48409,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(147306,10048409,'Applies The Mogul Card when Activated.  Lasts for 10 minutes.',100,0,0),
(147307,10048409,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(147308,47001,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(147309,47001,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(147310,47001,'Inflicts 27 poison damage on target',100,2,2),
(147311,47001,'Inflicts 72 poison damage on target instantly and every 6 seconds',100,2,3),
(147312,47001,'Cannot be modified except by direct means',100,2,4),
(147313,47001,'Grants a total of 200 triggers of the spell.',100,2,5),
(147314,10047001,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(147315,10047001,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(147316,10047001,'Inflicts 70 poison damage on target instantly and every 6 seconds',100,2,2),
(147317,10047001,'Inflicts 27 poison damage on target',100,2,3),
(147318,10047001,'Cannot be modified except by direct means',100,2,4),
(147319,10047001,'Grants a total of 200 triggers of the spell.',100,2,5),
(147320,105730,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(147321,105730,'Throws target back',100,2,1),
(147322,105730,'Stuns target',100,2,2),
(147323,105730,'Blurs vision of target',100,2,3),
(147324,105730,'Does not affect Epic targets',100,2,4),
(147325,105730,'Inflicts 313 - 522 melee damage on targets in area',100,1,5),
(147326,10105730,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(147327,10105730,'Throws target back',100,2,1),
(147328,10105730,'Stuns target',100,2,2),
(147329,10105730,'Blurs vision of target',100,2,3),
(147330,10105730,'Does not affect Epic targets',100,2,4),
(147331,10105730,'Inflicts 407 - 678 melee damage on targets in area',100,1,5),
(147332,72330,'When Equipped:',100,0,0),
(147333,72330,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147334,72330,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(147335,72330,'Cannot be modified except by direct means',100,2,3),
(147336,10072330,'When Equipped:',100,0,0),
(147337,10072330,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147338,10072330,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(147339,10072330,'Cannot be modified except by direct means',100,2,3),
(147340,84274,'When Equipped:',100,0,0),
(147341,84274,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(147342,84274,'Inflicts 137 - 167 magic damage on target',100,2,2),
(147343,84274,'Cannot be modified except by direct means',100,2,3),
(147344,10084274,'When Equipped:',100,0,0),
(147345,10084274,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(147346,10084274,'Inflicts 178 - 217 magic damage on target',100,2,2),
(147347,10084274,'Cannot be modified except by direct means',100,2,3),
(147348,35413,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(147349,118309,'Roots target encounter',100,1,0),
(147350,118309,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(147351,118309,'Slows target by 65.3%',100,2,2),
(147352,118309,'5% chance to dispel when target receives hostile action',100,2,3),
(147353,118309,'5% chance to dispel when target takes damage',100,2,4),
(147354,118309,'20% chance to dispel when target takes damage',100,1,5),
(147355,118309,'Does not affect Epic targets',100,1,6),
(147356,118309,'Resistibility increases against targets higher than level 83.',100,1,7),
(147357,10118309,'Roots target encounter',100,1,0),
(147358,10118309,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(147359,10118309,'Slows target by 65.3%',100,2,2),
(147360,10118309,'5% chance to dispel when target receives hostile action',100,2,3),
(147361,10118309,'5% chance to dispel when target takes damage',100,2,4),
(147362,10118309,'20% chance to dispel when target takes damage',100,1,5),
(147363,10118309,'Does not affect Epic targets',100,1,6),
(147364,10118309,'Resistibility increases against targets higher than level 83.',100,1,7),
(147365,112901,'Inflicts 869 - 1063 melee damage on target',100,1,0),
(147366,112901,'Decreases Mitigation of target vs physical damage by 626',100,1,1),
(147367,112901,'Must be flanking or behind',100,1,2),
(147368,10112901,'Inflicts 1130 - 1382 melee damage on target',100,1,0),
(147369,10112901,'Decreases Mitigation of target vs physical damage by 626',100,1,1),
(147370,10112901,'Must be flanking or behind',100,1,2),
(147371,103058,'Inflicts 66 magic damage on target instantly and every 4 seconds',100,1,0),
(147372,103058,'Increases power of caster by 32 instantly and every 4 seconds',100,1,1);
INSERT INTO `item_effects` VALUES
(147373,10103058,'Inflicts 86 magic damage on target instantly and every 4 seconds',100,1,0),
(147374,10103058,'Increases power of caster by 32 instantly and every 4 seconds',100,1,1),
(147375,116223,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(147376,116223,'Inflicts 350 - 427 mental damage on target',100,2,1),
(147377,116223,'Increases INT of group members (AE) by 67.8',100,1,2),
(147378,10116223,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(147379,10116223,'Inflicts 455 - 556 mental damage on target',100,2,1),
(147380,10116223,'Increases INT of group members (AE) by 67.8',100,1,2),
(147381,103212,'Increases Mitigation of caster vs physical damage by 671',100,1,0),
(147382,103212,'Roots caster',100,1,1),
(147383,10103212,'Increases Mitigation of caster vs physical damage by 671',100,1,0),
(147384,10103212,'Roots caster',100,1,1),
(147385,170676,'When Equipped:',100,0,0),
(147386,170676,'On a healing spell cast this spell may cast Lesser Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(147387,170676,'Heals group members (AE) for 580',100,2,2),
(147388,170676,'Heals group members (AE) for 145 every 5 seconds',100,2,3),
(147389,170676,'Must not be engaged in pvp combat',100,2,4),
(147390,170676,'Cannot be modified except by direct means',100,2,5),
(147391,170676,'Must not be engaged in pvp combat',100,1,6),
(147392,10170676,'When Equipped:',100,0,0),
(147393,10170676,'On a healing spell cast this spell may cast Lesser Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(147394,10170676,'Heals group members (AE) for 679',100,2,2),
(147395,10170676,'Heals group members (AE) for 170 every 5 seconds',100,2,3),
(147396,10170676,'Must not be engaged in pvp combat',100,2,4),
(147397,10170676,'Cannot be modified except by direct means',100,2,5),
(147398,10170676,'Must not be engaged in pvp combat',100,1,6),
(147399,100547,'Heals group members (AE) for 686 - 839',100,1,0),
(147400,10100547,'Heals group members (AE) for 833 - 1018',100,1,0),
(147401,104196,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(147402,10104196,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(147403,83993,'Applies Lightning Shock when Activated.',100,0,0),
(147404,83993,'Inflicts 363 - 605 magic damage on target',100,1,1),
(147405,83993,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(147406,10083993,'Applies Lightning Shock when Activated.',100,0,0),
(147407,10083993,'Inflicts 472 - 787 magic damage on target',100,1,1),
(147408,10083993,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(147409,122928,'Inflicts 11 - 15 mental damage on target',100,1,0),
(147410,10122928,'Inflicts 15 - 20 mental damage on target',100,1,0),
(147411,72004,'When Equipped:',100,0,0),
(147412,72004,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147413,72004,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(147414,72004,'Cannot be modified except by direct means',100,2,3),
(147415,10072004,'When Equipped:',100,0,0),
(147416,10072004,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147417,10072004,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(147418,10072004,'Cannot be modified except by direct means',100,2,3),
(147419,80868,'When Equipped:',100,0,0),
(147420,80868,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147421,80868,'Decreases Threat to target by 672 ',100,2,2),
(147422,80868,'Must be flanking or behind',100,3,3),
(147423,80868,'Increases Threat to target by 672 ',100,2,4),
(147424,80868,'Must be in front of',100,3,5),
(147425,80868,'Inflicts 288 - 534 magic damage on target',100,2,6),
(147426,80868,'Cannot be modified except by direct means',100,2,7),
(147427,10080868,'When Equipped:',100,0,0),
(147428,10080868,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147429,10080868,'Inflicts 374 - 695 magic damage on target',100,2,2),
(147430,10080868,'Cannot be modified except by direct means',100,2,3),
(147431,114796,'Decreases WIS of target by 41.4',100,1,0),
(147432,114796,'Increases WIS and STA of caster by 41.4',100,1,1),
(147433,114796,'Decreases Max Health of target by 1.0%',100,1,2),
(147434,114796,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 133',100,1,3),
(147435,114796,'Only affects targets level 17 and above',100,1,4),
(147436,10114796,'Decreases WIS of target by 41.4',100,1,0),
(147437,10114796,'Increases WIS and STA of caster by 41.4',100,1,1),
(147438,10114796,'Decreases Max Health of target by 1.0%',100,1,2),
(147439,10114796,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 133',100,1,3),
(147440,10114796,'Only affects targets level 17 and above',100,1,4),
(147441,108247,'Inflicts 531 - 1595 piercing damage on target',100,1,0),
(147442,108247,'Decreases Slashing, Crushing, Piercing and Ranged of target by 52.5',100,1,1),
(147443,10108247,'Inflicts 691 - 2074 piercing damage on target',100,1,0),
(147444,10108247,'Decreases Slashing, Crushing, Piercing and Ranged of target by 52.5',100,1,1),
(147445,108856,'Inflicts 203 - 339 melee damage on target',100,1,0),
(147446,108856,'Inflicts 203 - 339 melee damage on target',100,1,1),
(147447,108856,'Inflicts 203 - 339 melee damage on target',100,1,2),
(147448,108856,'Inflicts 203 - 339 melee damage on target',100,1,3),
(147449,108856,'Inflicts 203 - 339 melee damage on target',100,1,4),
(147450,10108856,'Inflicts 265 - 441 melee damage on target',100,1,0),
(147451,10108856,'Inflicts 265 - 441 melee damage on target',100,1,1),
(147452,10108856,'Inflicts 265 - 441 melee damage on target',100,1,2),
(147453,10108856,'Inflicts 265 - 441 melee damage on target',100,1,3),
(147454,10108856,'Inflicts 265 - 441 melee damage on target',100,1,4),
(147455,89045,'Applies Mental Blast when Activated.',100,0,0),
(147456,89045,'Inflicts 77 - 128 mental damage on target',100,1,1),
(147457,89045,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(147458,10089045,'Applies Mental Blast when Activated.',100,0,0),
(147459,10089045,'Inflicts 100 - 167 mental damage on target',100,1,1),
(147460,10089045,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(147461,47327,'Applies Veeshan''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(147462,47327,'Increases Max Power of caster by 156.0',100,1,1),
(147463,10047327,'Applies Veeshan''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(147464,10047327,'Increases Max Power of caster by 156.0',100,1,1),
(147465,41451,'When Equipped:',100,0,0),
(147466,41451,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147467,41451,'Inflicts 83 - 154 magic damage on target',100,2,2),
(147468,41451,'Cannot be modified except by direct means',100,2,3),
(147469,10041451,'When Equipped:',100,0,0),
(147470,10041451,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147471,10041451,'Inflicts 108 - 200 magic damage on target',100,2,2),
(147472,10041451,'Cannot be modified except by direct means',100,2,3),
(147473,101137,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(147474,101137,'Inflicts 155 ranged damage on target',100,2,1),
(147475,101137,'Decreases Defense of caster by 9.3',100,1,2),
(147476,101137,'Increases Crushing, Piercing, Ranged and Slashing of caster by 13.9',100,1,3),
(147477,10101137,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(147478,10101137,'Inflicts 132 ranged damage on target',100,2,1),
(147479,10101137,'Decreases Defense of caster by 9.3',100,1,2),
(147480,10101137,'Increases Crushing, Piercing, Ranged and Slashing of caster by 13.9',100,1,3),
(147481,36200,'Increases Max Power of target by 5.5',100,0,0),
(147482,36200,'Increases Max Health of target by 5.5',100,0,1),
(147483,36200,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(147484,101517,'Increases WIS of target by 51.3',100,1,0),
(147485,101517,'Increases Max Health of target by 441.0',100,1,1),
(147486,101517,'Increases Mitigation of target vs elemental, noxious and arcane damage by 141',100,1,2),
(147487,10101517,'Increases WIS of target by 51.3',100,1,0),
(147488,10101517,'Increases Max Health of target by 441.0',100,1,1),
(147489,10101517,'Increases Mitigation of target vs elemental, noxious and arcane damage by 141',100,1,2),
(147490,119928,'Stifles target',100,1,0),
(147491,119928,'Inflicts 480 - 586 mental damage on target',100,1,1),
(147492,119928,'Inflicts 160 - 195 mental damage on target every 2.3 seconds',100,1,2),
(147493,119928,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,3),
(147494,119928,'Resistibility increases against targets higher than level 87.',100,1,4),
(147495,10119928,'Stifles target',100,1,0),
(147496,10119928,'Inflicts 623 - 762 mental damage on target',100,1,1),
(147497,10119928,'Inflicts 208 - 254 mental damage on target every second',100,1,2),
(147498,10119928,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(147499,10119928,'Resistibility increases against targets higher than level 87.',100,1,4),
(147500,47156,'Applies Elixir of Affliction Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(147501,47156,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(147502,10047156,'Applies Elixir of Affliction Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(147503,10047156,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(147504,102840,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(147505,102840,'Throws target back',100,2,1),
(147506,102840,'Stuns target',100,2,2),
(147507,102840,'Blurs vision of target',100,2,3),
(147508,102840,'Does not affect Epic targets',100,2,4),
(147509,102840,'Inflicts 31 - 93 melee damage on targets in area',100,1,5),
(147510,10102840,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(147511,10102840,'Throws target back',100,2,1),
(147512,10102840,'Stuns target',100,2,2),
(147513,10102840,'Blurs vision of target',100,2,3),
(147514,10102840,'Does not affect Epic targets',100,2,4),
(147515,10102840,'Inflicts 40 - 122 melee damage on targets in area',100,1,5),
(147516,118863,'Inflicts 359 - 1079 melee damage on target',100,1,0),
(147517,10118863,'Inflicts 467 - 1403 melee damage on target',100,1,0),
(147518,121877,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(147519,121877,'Decreases Threat to target by 614 - 751 ',100,2,1),
(147520,121877,'If profession other than Fighter',100,3,2),
(147521,121877,'Inflicts 398 - 486 mental damage on target',100,2,3),
(147522,10121877,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(147523,10121877,'Inflicts 517 - 632 mental damage on target',100,2,1),
(147524,82263,'When Equipped:',100,0,0),
(147525,82263,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147526,82263,'Decreases Threat to target by 135 ',100,2,2),
(147527,82263,'Must be flanking or behind',100,3,3),
(147528,82263,'Increases Threat to target by 135 ',100,2,4),
(147529,82263,'Must be in front of',100,3,5),
(147530,82263,'Inflicts 48 - 89 magic damage on target',100,2,6),
(147531,82263,'Cannot be modified except by direct means',100,2,7),
(147532,10082263,'When Equipped:',100,0,0),
(147533,10082263,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147534,10082263,'Inflicts 62 - 115 magic damage on target',100,2,2),
(147535,10082263,'Cannot be modified except by direct means',100,2,3),
(147536,141872,'When Equipped:',100,0,0),
(147537,141872,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(147538,141872,'Increases AGI of caster by 8.3',100,2,2),
(147539,141872,'Increases Attack Speed of caster by 15.4',100,2,3),
(147540,141872,'Cannot be modified except by direct means',100,2,4),
(147541,10141872,'When Equipped:',100,0,0),
(147542,10141872,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(147543,10141872,'Increases AGI of caster by 8.3',100,2,2),
(147544,10141872,'Increases Attack Speed of caster by 15.4',100,2,3),
(147545,10141872,'Cannot be modified except by direct means',100,2,4),
(147546,165462,'When Equipped:',100,0,0),
(147547,165462,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(147548,165462,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(147549,165462,'Inflicts 573 mental damage on target',100,2,3),
(147550,165462,'Must be classified as an undead',100,3,4),
(147551,165462,'Inflicts 287 mental damage on target',100,2,5),
(147552,165462,'Must not be classified as an undead',100,3,6),
(147553,165462,'Decreases Mitigation of target vs arcane damage by 415',100,2,7),
(147554,165462,'Must be classified as an undead',100,3,8),
(147555,165462,'Cannot be modified except by direct means',100,2,9),
(147556,165462,'When Equipped:',100,0,10),
(147557,165462,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(147558,165462,'Decreases power of target by 258',100,2,12),
(147559,165462,'Increases power of caster by 159',100,2,13),
(147560,165462,'Cannot be modified except by direct means',100,2,14),
(147561,10165462,'When Equipped:',100,0,0),
(147562,10165462,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(147563,10165462,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(147564,10165462,'Inflicts 745 mental damage on target',100,2,3),
(147565,10165462,'Must be classified as an undead',100,3,4),
(147566,10165462,'Inflicts 372 mental damage on target',100,2,5),
(147567,10165462,'Must not be classified as an undead',100,3,6),
(147568,10165462,'Decreases Mitigation of target vs arcane damage by 415',100,2,7),
(147569,10165462,'Must be classified as an undead',100,3,8),
(147570,10165462,'Cannot be modified except by direct means',100,2,9),
(147571,10165462,'When Equipped:',100,0,10),
(147572,10165462,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(147573,10165462,'Decreases power of target by 258',100,2,12),
(147574,10165462,'Increases power of caster by 159',100,2,13),
(147575,10165462,'Cannot be modified except by direct means',100,2,14),
(147576,114236,'Inflicts 288 - 352 mental damage on target',100,1,0),
(147577,114236,'Stuns target',100,1,1),
(147578,114236,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(147579,114236,'Resistibility increases against targets higher than level 70.',100,1,3),
(147580,10114236,'Inflicts 375 - 458 mental damage on target',100,1,0),
(147581,10114236,'Requires not being affected by Mesmerize effects.',100,2,1),
(147582,10114236,'Stuns target',100,1,2),
(147583,10114236,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(147584,10114236,'Resistibility increases against targets higher than level 70.',100,1,4),
(147585,26735,'When Equipped:',100,0,0),
(147586,26735,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147587,26735,'On a critical healing spell cast this spell may cast Greater  Restorative Counter I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(147588,26735,'When any damage is received this spell will cast Greater Restorative Counter I on target.  ',100,2,3),
(147589,26735,'Heals caster for 1630 - 1802',100,3,4),
(147590,26735,'Must not be engaged in pvp combat',100,3,5),
(147591,26735,'Cannot be modified except by direct means',100,3,6),
(147592,26735,'Grants a total of 5 triggers of the spell.',100,3,7),
(147593,26735,'Must not be engaged in pvp combat',100,2,8),
(147594,26735,'Cannot be modified except by direct means',100,2,9),
(147595,26735,'Must not be engaged in pvp combat',100,1,10),
(147596,10026735,'When Equipped:',100,0,0),
(147597,10026735,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147598,10026735,'On a critical healing spell cast this spell may cast Greater  Restorative Counter I on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(147599,10026735,'When any damage is received this spell will cast Greater Restorative Counter I on target.  ',100,2,3),
(147600,10026735,'Heals caster for 1907 - 2108',100,3,4),
(147601,10026735,'Must not be engaged in pvp combat',100,3,5),
(147602,10026735,'Cannot be modified except by direct means',100,3,6),
(147603,10026735,'Grants a total of 5 triggers of the spell.',100,3,7),
(147604,10026735,'Must not be engaged in pvp combat',100,2,8),
(147605,10026735,'Cannot be modified except by direct means',100,2,9),
(147606,10026735,'Must not be engaged in pvp combat',100,1,10),
(147607,73272,'Applies Frost Blast when Activated.',100,0,0),
(147608,73272,'Inflicts 657 - 1094 cold damage on target',100,1,1),
(147609,73272,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(147610,10073272,'Applies Frost Blast when Activated.',100,0,0),
(147611,10073272,'Inflicts 854 - 1423 cold damage on target',100,1,1),
(147612,10073272,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(147613,118808,'Wards group members (AE) against 75 points of physical damage',100,1,0),
(147614,118808,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,1),
(147615,10118808,'Wards group members (AE) against 75 points of physical damage',100,1,0),
(147616,10118808,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,1),
(147617,75441,'When Equipped:',100,0,0),
(147618,75441,'On any combat or spell hit this spell may cast Ruinous Slash IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147619,75441,'Inflicts 245 - 270 heat damage on targets in Area of Effect',100,2,2),
(147620,75441,'Inflicts 98 - 108 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(147621,75441,'Must not be engaged in pvp combat',100,2,4),
(147622,75441,'Cannot be modified except by direct means',100,2,5),
(147623,75441,'Must not be engaged in pvp combat',100,1,6),
(147624,10075441,'When Equipped:',100,0,0),
(147625,10075441,'On any combat or spell hit this spell may cast Ruinous Slash IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147626,10075441,'Inflicts 318 - 351 heat damage on targets in Area of Effect',100,2,2),
(147627,10075441,'Inflicts 127 - 141 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(147628,10075441,'Must not be engaged in pvp combat',100,2,4),
(147629,10075441,'Cannot be modified except by direct means',100,2,5),
(147630,10075441,'Must not be engaged in pvp combat',100,1,6),
(147631,82756,'When Equipped:',100,0,0),
(147632,82756,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147633,82756,'Decreases Threat to target by 487 ',100,2,2),
(147634,82756,'Must be flanking or behind',100,3,3),
(147635,82756,'Increases Threat to target by 487 ',100,2,4),
(147636,82756,'Must be in front of',100,3,5),
(147637,82756,'Inflicts 164 - 305 magic damage on target',100,2,6),
(147638,82756,'Cannot be modified except by direct means',100,2,7),
(147639,10082756,'When Equipped:',100,0,0),
(147640,10082756,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147641,10082756,'Inflicts 213 - 396 magic damage on target',100,2,2),
(147642,10082756,'Cannot be modified except by direct means',100,2,3),
(147643,118571,'Dazes caster',100,1,0),
(147644,118571,'Roots caster',100,1,1),
(147645,118571,'Increases Mitigation of caster vs physical damage by 1966',100,1,2),
(147646,10118571,'Dazes caster',100,1,0),
(147647,10118571,'Roots caster',100,1,1),
(147648,10118571,'Increases Mitigation of caster vs physical damage by 1966',100,1,2),
(147649,105709,'Decreases Attack Speed of target encounter by 25.5',100,1,0),
(147650,105709,'Slows target encounter by 32.5%',100,1,1),
(147651,10105709,'Decreases Attack Speed of target encounter by 25.5',100,1,0),
(147652,10105709,'Slows target encounter by 32.5%',100,1,1),
(147653,106944,'Inflicts 340 - 631 poison damage on target',100,1,0),
(147654,10106944,'Inflicts 442 - 820 poison damage on target',100,1,0),
(147655,108718,'Inflicts 522 heat damage on target',100,1,0),
(147656,108718,'Inflicts 117 heat damage on target every 4 seconds',100,1,1),
(147657,10108718,'Inflicts 951 heat damage on target',100,1,0),
(147658,10108718,'Inflicts 152 heat damage on target every 4 seconds',100,1,1),
(147659,138826,'When Equipped:',100,0,0),
(147660,138826,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(147661,138826,'Heals group members for 230',100,2,2),
(147662,138826,'Cannot be modified except by direct means',100,2,3),
(147663,138826,'Cannot be modified except by direct means',100,1,4),
(147664,10138826,'When Equipped:',100,0,0),
(147665,10138826,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(147666,10138826,'Heals group members for 150',100,2,2),
(147667,10138826,'Cannot be modified except by direct means',100,2,3),
(147668,10138826,'Cannot be modified except by direct means',100,1,4),
(147669,35342,'Increases Max Health of target by 3.9',100,0,0),
(147670,35342,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(147671,143728,'When Equipped:',100,0,0),
(147672,143728,'On a combat hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147673,143728,'Inflicts 183 magic damage on target',100,2,2),
(147674,143728,'Heals caster for 102',100,2,3),
(147675,143728,'Cannot be modified except by direct means',100,2,4),
(147676,10143728,'When Equipped:',100,0,0),
(147677,10143728,'On a combat hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(147678,10143728,'Inflicts 238 magic damage on target',100,2,2),
(147679,10143728,'Heals caster for 66',100,2,3),
(147680,10143728,'Cannot be modified except by direct means',100,2,4),
(147681,104348,'Charms target',100,1,0),
(147682,104348,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(147683,104348,'Mesmerizes target',100,2,2),
(147684,104348,'Dispelled when target takes damage',100,2,3),
(147685,104348,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(147686,104348,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(147687,104348,'Grants Sonic Vision to caster',100,2,6),
(147688,104348,'Increases Out-of-Combat Power Regeneration of target by 18.5',100,1,7),
(147689,104348,'Increases Out-of-Combat Health Regeneration of target by 37.0',100,1,8),
(147690,104348,'Certain enemies cannot be charmed',100,1,9),
(147691,104348,'Does not affect Epic targets',100,1,10),
(147692,10104348,'Mesmerizes target',100,1,0),
(147693,10104348,'Prevents AOE (except when direct) ',100,1,1),
(147694,10104348,'Dispelled when target takes damage',100,1,2),
(147695,10104348,'Certain enemies cannot be charmed',100,1,3),
(147696,10104348,'Does not affect Epic targets',100,1,4),
(147697,10104348,'Resistibility increases against targets higher than level 76.',100,1,5),
(147698,71729,'When Equipped:',100,0,0),
(147699,71729,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147700,71729,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(147701,71729,'Cannot be modified except by direct means',100,2,3),
(147702,10071729,'When Equipped:',100,0,0),
(147703,10071729,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147704,10071729,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(147705,10071729,'Cannot be modified except by direct means',100,2,3),
(147706,76679,'Applies Celestial Glow when Equipped.',100,0,0),
(147707,10076679,'Applies Celestial Glow when Equipped.',100,0,0),
(147708,159886,'Applies Sanguine Imbued when Equipped.',100,0,0),
(147709,159886,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(147710,159886,'Inflicts 34 heat damage on target',100,2,2),
(147711,159886,'Cannot be modified except by direct means',100,2,3),
(147712,10159886,'Applies Sanguine Imbued when Equipped.',100,0,0),
(147713,10159886,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(147714,10159886,'Inflicts 44 heat damage on target',100,2,2),
(147715,10159886,'Cannot be modified except by direct means',100,2,3),
(147716,81113,'When Equipped:',100,0,0),
(147717,81113,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147718,81113,'Inflicts 207 - 384 magic damage on target',100,2,2),
(147719,81113,'Cannot be modified except by direct means',100,2,3),
(147720,10081113,'When Equipped:',100,0,0),
(147721,10081113,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147722,10081113,'Inflicts 269 - 499 magic damage on target',100,2,2),
(147723,10081113,'Cannot be modified except by direct means',100,2,3),
(147724,118135,'Heals target for 1538 - 1880',100,1,0),
(147725,10118135,'Heals target for 1818 - 2222',100,1,0),
(147726,122019,'Inflicts 11 - 19 melee damage on target',100,1,0),
(147727,122019,'Increases Threat to target by 67 - 82 ',100,1,1),
(147728,10122019,'Inflicts 15 - 25 melee damage on target',100,1,0),
(147729,81359,'When Equipped:',100,0,0),
(147730,81359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147731,81359,'Inflicts 121 - 225 magic damage on target',100,2,2),
(147732,81359,'Cannot be modified except by direct means',100,2,3),
(147733,10081359,'When Equipped:',100,0,0),
(147734,10081359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147735,10081359,'Inflicts 157 - 292 magic damage on target',100,2,2),
(147736,10081359,'Cannot be modified except by direct means',100,2,3),
(147737,120953,'Inflicts 700 - 1168 ranged damage on target',100,1,0),
(147738,120953,'If weapon equipped in Ranged',100,1,1),
(147739,120953,'Must be behind',100,1,2),
(147740,10120953,'Inflicts 595 - 992 ranged damage on target',100,1,0),
(147741,10120953,'If weapon equipped in Ranged',100,1,1),
(147742,10120953,'Must be behind',100,1,2),
(147743,112613,'Increases STA of caster by 36.1',100,1,0),
(147744,112613,'Reduces slow effects on caster by 12.7%',100,1,1),
(147745,112613,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 950',100,1,2),
(147746,10112613,'Increases STA of caster by 36.1',100,1,0),
(147747,10112613,'Reduces slow effects on caster by 12.7%',100,1,1),
(147748,10112613,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 950',100,1,2),
(147749,121933,'Applies Tap on termination.',100,1,0),
(147750,121933,'Inflicts 1903 disease damage on target',100,2,1),
(147751,121933,'Heals caster for 6.2% of max health',100,2,2),
(147752,121933,'This effect cannot be critically applied.',100,3,3),
(147753,121933,'The healing of this spell cannot be modified except by direct means',100,2,4),
(147754,10121933,'Applies Tap on termination.',100,1,0),
(147755,10121933,'Inflicts 2474 disease damage on target',100,2,1),
(147756,10121933,'Heals caster for 2.2% of max health',100,2,2),
(147757,10121933,'This effect cannot be critically applied.',100,3,3),
(147758,10121933,'The healing of this spell cannot be modified except by direct means',100,2,4),
(147759,108688,'Inflicts 52 heat damage on target',100,1,0),
(147760,108688,'Inflicts 12 heat damage on target every 4 seconds',100,1,1),
(147761,10108688,'Inflicts 94 heat damage on target',100,1,0),
(147762,10108688,'Inflicts 15 heat damage on target every 4 seconds',100,1,1),
(147763,114052,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(147764,114052,'Grants stealth to caster',100,2,1),
(147765,114052,'Suspends caster''s movement speed enhancements',100,2,2),
(147766,114052,'Inflicts 25 - 42 melee damage on target',100,1,3),
(147767,114052,'Must be flanking or behind',100,1,4),
(147768,10114052,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(147769,10114052,'Grants stealth to caster',100,2,1),
(147770,10114052,'Suspends caster''s movement speed enhancements',100,2,2),
(147771,10114052,'Inflicts 50 - 83 melee damage on target',100,1,3),
(147772,10114052,'Must be flanking or behind',100,1,4),
(147773,123526,'Inflicts 15 - 23 piercing damage on target instantly and every 4 seconds',100,1,0),
(147774,123526,'Decreases Defense of target by 3.3',100,1,1),
(147775,10123526,'Inflicts 28 - 41 piercing damage on target',100,1,0),
(147776,10123526,'Inflicts 20 - 30 piercing damage on target every 4 seconds',100,1,1),
(147777,10123526,'Decreases Defense of target by 3.3',100,1,2),
(147778,48675,'Applies Bulwark of the Promisekeeper  when Activated.  Lasts for 30 minutes.',100,0,0),
(147779,48675,'Increases WIS and INT of caster by 31.0',100,1,1),
(147780,10048675,'Applies Bulwark of the Promisekeeper  when Activated.  Lasts for 30 minutes.',100,0,0),
(147781,10048675,'Increases WIS and INT of caster by 31.0',100,1,1),
(147782,104167,'Increases Threat to target encounter by 167 - 204 ',100,1,0),
(147783,104167,'Interrupts target encounter',100,1,1),
(147784,10104167,'Forces target encounter to change their selected target to caster.',100,1,0),
(147785,10104167,'Interrupts target encounter',100,1,1),
(147786,10104167,'Prevents target encounter from changing targets',100,1,2),
(147787,137047,'When Equipped:',100,0,0),
(147788,137047,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(147789,137047,'Increases AGI of caster by 30.4',100,2,2),
(147790,137047,'Increases Attack Speed of caster by 28.6',100,2,3),
(147791,137047,'Cannot be modified except by direct means',100,2,4),
(147792,10137047,'When Equipped:',100,0,0),
(147793,10137047,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(147794,10137047,'Increases AGI of caster by 30.4',100,2,2),
(147795,10137047,'Increases Attack Speed of caster by 28.6',100,2,3),
(147796,10137047,'Cannot be modified except by direct means',100,2,4),
(147797,164730,'When Equipped:',100,0,0),
(147798,164730,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(147799,164730,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(147800,164730,'Must not be engaged in pvp combat',100,2,3),
(147801,164730,'Cannot be modified except by direct means',100,2,4),
(147802,164730,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(147803,164730,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(147804,164730,'Must not be engaged in pvp combat',100,2,7),
(147805,164730,'Cannot be modified except by direct means',100,2,8),
(147806,164730,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(147807,164730,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(147808,164730,'Must not be engaged in pvp combat',100,2,11),
(147809,164730,'Cannot be modified except by direct means',100,2,12),
(147810,164730,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(147811,164730,'Inflicts 47 piercing damage on target',100,2,14),
(147812,164730,'Must not be engaged in pvp combat',100,2,15),
(147813,164730,'Cannot be modified except by direct means',100,2,16),
(147814,10164730,'When Equipped:',100,0,0),
(147815,10164730,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(147816,10164730,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(147817,10164730,'Must not be engaged in pvp combat',100,2,3),
(147818,10164730,'Cannot be modified except by direct means',100,2,4),
(147819,10164730,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(147820,10164730,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(147821,10164730,'Must not be engaged in pvp combat',100,2,7),
(147822,10164730,'Cannot be modified except by direct means',100,2,8),
(147823,10164730,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(147824,10164730,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(147825,10164730,'Must not be engaged in pvp combat',100,2,11),
(147826,10164730,'Cannot be modified except by direct means',100,2,12),
(147827,10164730,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(147828,10164730,'Inflicts 61 piercing damage on target',100,2,14),
(147829,10164730,'Must not be engaged in pvp combat',100,2,15),
(147830,10164730,'Cannot be modified except by direct means',100,2,16),
(147831,119510,'Increases threat priority of target by 2 positions',100,1,0),
(147832,119510,'Stuns caster',100,1,1),
(147833,119510,'Decreases Defense and Parry of caster by 90.0',100,1,2),
(147834,119510,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(147835,119510,'Inflicts 450 - 751 piercing damage on target',100,2,4),
(147836,119510,'Grants a total of 1 trigger of the spell.',100,2,5),
(147837,10119510,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(147838,10119510,'Prevents target from changing targets',100,2,1),
(147839,10119510,'Forces target to change their selected target to caster.',100,2,2),
(147840,10119510,'Stuns caster',100,1,3),
(147841,10119510,'Decreases Defense and Parry of caster by 90.0',100,1,4),
(147842,10119510,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(147843,10119510,'Inflicts 418 - 696 piercing damage on target',100,2,6),
(147844,10119510,'Grants a total of 1 trigger of the spell.',100,2,7),
(147845,48205,'Applies Spirit of the Monkey when Activated.  Lasts for 30 minutes.',100,0,0),
(147846,48205,'Shapechanges caster into a monkey',100,1,1),
(147847,48205,'Increases Out-of-Combat Power Regeneration of caster by 72.0',100,1,2),
(147848,48205,'This effect suspends during combat',100,1,3),
(147849,48205,'Only affects targets level 50 and above',100,1,4),
(147850,10048205,'Applies Spirit of the Monkey when Activated.  Lasts for 30 minutes.',100,0,0),
(147851,10048205,'Shapechanges caster into a monkey',100,1,1),
(147852,10048205,'Increases Out-of-Combat Power Regeneration of caster by 72.0',100,1,2),
(147853,10048205,'This effect suspends during combat',100,1,3),
(147854,10048205,'Only affects targets level 50 and above',100,1,4),
(147855,170460,'When Equipped:',100,0,0),
(147856,170460,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(147857,170460,'Heals caster for 218',100,2,2),
(147858,170460,'Cannot be modified except by direct means',100,2,3),
(147859,10170460,'When Equipped:',100,0,0),
(147860,10170460,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(147861,10170460,'Heals caster for 142',100,2,2),
(147862,10170460,'Cannot be modified except by direct means',100,2,3),
(147863,105395,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(147864,105395,'Inflicts 164 melee damage on target',100,2,1),
(147865,105395,'Interrupts target',100,2,2),
(147866,105395,'Decreases Defense of caster by 24.6',100,1,3),
(147867,105395,'Increases Piercing, Slashing, Ranged and Crushing of caster by 40.6',100,1,4),
(147868,10105395,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(147869,10105395,'Inflicts 213 melee damage on target',100,2,1),
(147870,10105395,'Interrupts target',100,2,2),
(147871,10105395,'Decreases Defense of caster by 24.6',100,1,3),
(147872,10105395,'Increases Piercing, Slashing, Ranged and Crushing of caster by 40.6',100,1,4),
(147873,80287,'When Equipped:',100,0,0),
(147874,80287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147875,80287,'Inflicts 260 - 482 magic damage on target',100,2,2),
(147876,80287,'Cannot be modified except by direct means',100,2,3),
(147877,10080287,'When Equipped:',100,0,0),
(147878,10080287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147879,10080287,'Inflicts 337 - 627 magic damage on target',100,2,2),
(147880,10080287,'Cannot be modified except by direct means',100,2,3),
(147881,107231,'Inflicts 1610 - 2683 melee damage on targets in area',100,1,0),
(147882,107231,'Dispels 281 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(147883,10107231,'Inflicts 2093 - 3489 melee damage on targets in area',100,1,0),
(147884,10107231,'Reduces healing received of targets in area by 10%',100,1,1),
(147885,72285,'When Equipped:',100,0,0),
(147886,72285,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147887,72285,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(147888,72285,'Cannot be modified except by direct means',100,2,3),
(147889,10072285,'When Equipped:',100,0,0),
(147890,10072285,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(147891,10072285,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(147892,10072285,'Cannot be modified except by direct means',100,2,3),
(147893,48760,'Applies Elixir of Swiftness  when Activated.  Lasts for 30 minutes.',100,0,0),
(147894,10048760,'Applies Elixir of Swiftness  when Activated.  Lasts for 30 minutes.',100,0,0),
(147895,152568,'When Equipped:',100,0,0),
(147896,152568,'On a beneficial spell cast this spell may cast Flawless Aura of Protection on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147897,152568,'Reduces all damage done to target by 10% This spell will absorb a total of 5 attacks.',100,2,2),
(147898,152568,'Increases the base healing of the caster by 5%.',100,2,3),
(147899,152568,'Cannot be modified except by direct means',100,2,4),
(147900,10152568,'When Equipped:',100,0,0),
(147901,10152568,'On a beneficial spell cast this spell may cast Flawless Aura of Protection on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(147902,10152568,'Reduces all damage done to target by 10% This spell will absorb a total of 5 attacks.',100,2,2),
(147903,10152568,'Increases the base healing of the caster by 5%.',100,2,3),
(147904,10152568,'Cannot be modified except by direct means',100,2,4),
(147905,120679,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 30.4',100,1,0),
(147906,120679,'Increases Focus of group members (AE) by 68.2',100,1,1),
(147907,10120679,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 30.4',100,1,0),
(147908,10120679,'Increases Focus of group members (AE) by 68.2',100,1,1),
(147909,102906,'Heals caster for 631',100,1,0),
(147910,102906,'Inflicts 1327 disease damage on targets in Area of Effect',100,1,1),
(147911,10102906,'Heals caster for 410',100,1,0),
(147912,10102906,'Inflicts 1725 disease damage on targets in Area of Effect',100,1,1),
(147913,108282,'Summons a limited pet to aid the caster',100,1,0),
(147914,10108282,'Summons a limited pet to aid the caster',100,1,0),
(147915,80661,'When Equipped:',100,0,0),
(147916,80661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147917,80661,'Inflicts 83 - 154 magic damage on target',100,2,2),
(147918,80661,'Cannot be modified except by direct means',100,2,3),
(147919,10080661,'When Equipped:',100,0,0),
(147920,10080661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147921,10080661,'Inflicts 108 - 200 magic damage on target',100,2,2),
(147922,10080661,'Cannot be modified except by direct means',100,2,3),
(147923,49155,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(147924,49155,'Increases power of caster by 27 instantly and every 5 seconds',100,1,1),
(147925,10049155,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(147926,10049155,'Increases power of caster by 21 instantly and every 5 seconds',100,1,1),
(147927,24707,'Adds Sphinx-Undead (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(147928,10024707,'Adds Sphinx-Undead (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(147929,163344,'When Equipped:',100,0,0),
(147930,163344,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(147931,10163344,'When Equipped:',100,0,0),
(147932,10163344,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(147933,115288,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(147934,115288,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(147935,115288,'Inflicts 678 - 829 poison damage on target',100,3,2),
(147936,115288,'Grants a total of 1 trigger of the spell.',100,3,3),
(147937,10115288,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(147938,10115288,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(147939,10115288,'Inflicts 881 - 1077 poison damage on target',100,3,2),
(147940,10115288,'Grants a total of 1 trigger of the spell.',100,3,3),
(147941,82161,'When Equipped:',100,0,0),
(147942,82161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147943,82161,'Inflicts 191 - 354 magic damage on target',100,2,2),
(147944,82161,'Cannot be modified except by direct means',100,2,3),
(147945,10082161,'When Equipped:',100,0,0),
(147946,10082161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(147947,10082161,'Inflicts 248 - 460 magic damage on target',100,2,2),
(147948,10082161,'Cannot be modified except by direct means',100,2,3),
(147949,164351,'When Equipped:',100,0,0),
(147950,164351,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147951,164351,'On a healing spell cast this spell may cast Mana Sprinkles III on caster.  Triggers about 2.0 times per minute. ',100,1,2),
(147952,164351,'Increases power of caster by 515',100,2,3),
(147953,164351,'Must not be engaged in pvp combat',100,2,4),
(147954,164351,'Cannot be modified except by direct means',100,2,5),
(147955,164351,'On any combat or spell hit this spell may cast Mana Sprinkles III on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(147956,164351,'Increases power of caster by 515',100,2,7),
(147957,164351,'Must not be engaged in pvp combat',100,2,8),
(147958,164351,'Cannot be modified except by direct means',100,2,9),
(147959,164351,'Cannot be modified except by direct means',100,1,10),
(147960,10164351,'When Equipped:',100,0,0),
(147961,10164351,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(147962,10164351,'On a healing spell cast this spell may cast Mana Sprinkles III on caster.  Triggers about 2.0 times per minute. ',100,1,2),
(147963,10164351,'Increases power of caster by 515',100,2,3),
(147964,10164351,'Must not be engaged in pvp combat',100,2,4),
(147965,10164351,'Cannot be modified except by direct means',100,2,5),
(147966,10164351,'On any combat or spell hit this spell may cast Mana Sprinkles III on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(147967,10164351,'Increases power of caster by 515',100,2,7),
(147968,10164351,'Must not be engaged in pvp combat',100,2,8),
(147969,10164351,'Cannot be modified except by direct means',100,2,9),
(147970,10164351,'Cannot be modified except by direct means',100,1,10),
(147971,101181,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(147972,101181,'Slows target by 38.8%',100,2,1),
(147973,101181,'5% chance to dispel when target receives hostile action',100,2,2),
(147974,101181,'5% chance to dispel when target takes damage',100,2,3),
(147975,101181,'Inflicts 170 - 283 cold damage on target',100,1,4),
(147976,101181,'Inflicts 170 - 283 cold damage on target',100,1,5),
(147977,101181,'If weapon equipped in Ranged',100,1,6),
(147978,10101181,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(147979,10101181,'Slows target by 38.8%',100,2,1),
(147980,10101181,'5% chance to dispel when target receives hostile action',100,2,2),
(147981,10101181,'5% chance to dispel when target takes damage',100,2,3),
(147982,10101181,'Inflicts 144 - 240 cold damage on target',100,1,4),
(147983,10101181,'Inflicts 144 - 240 cold damage on target',100,1,5),
(147984,10101181,'If weapon equipped in Ranged',100,1,6),
(147985,105660,'Decreases Damage Per Second of target by 19.8',100,1,0),
(147986,105660,'Inflicts 200 - 333 melee damage on target',100,1,1),
(147987,105660,'Must be flanking or behind',100,1,2),
(147988,10105660,'Decreases Damage Per Second of target by 19.8',100,1,0),
(147989,10105660,'Inflicts 260 - 434 melee damage on target',100,1,1),
(147990,10105660,'Must be flanking or behind',100,1,2),
(147991,111328,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(147992,111328,'Inflicts 256 - 313 mental damage on target',100,2,1),
(147993,111328,'Grants a total of 3 triggers of the spell.',100,2,2),
(147994,10111328,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(147995,10111328,'Inflicts 333 - 406 mental damage on target',100,2,1),
(147996,10111328,'Grants a total of 3 triggers of the spell.',100,2,2),
(147997,185130,'Applies Spider''s Curse when Activated.  Lasts for 24.0 seconds.',100,0,0),
(147998,185130,'Inflicts 13 - 16 disease damage on target instantly and every 4 seconds',100,1,1),
(147999,185130,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(148000,185130,'Slows target by 40.8%',100,2,3),
(148001,185130,'5% chance to dispel when target receives hostile action',100,2,4),
(148002,185130,'5% chance to dispel when target takes damage',100,2,5),
(148003,185130,'Slows target by 40.8%',100,1,6),
(148004,185130,'The casting time of Spider''s Curse is 1.0 second and the reuse time of the spell is 10 minutes',100,1,7),
(148005,10185130,'Applies Spider''s Curse when Activated.  Lasts for 12.0 seconds.',100,0,0),
(148006,10185130,'Inflicts 17 - 20 disease damage on target instantly and every 2 seconds',100,1,1),
(148007,10185130,'Slows target by 40.8%',100,1,2),
(148008,10185130,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,3),
(148009,10185130,'Slows target by 40.8%',100,2,4),
(148010,10185130,'5% chance to dispel when target receives hostile action',100,2,5),
(148011,10185130,'5% chance to dispel when target takes damage',100,2,6),
(148012,10185130,'The casting time of Spider''s Curse is 1.0 second and the reuse time of the spell is 10 minutes',100,1,7),
(148013,181787,'When Equipped:',100,0,0),
(148014,181787,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(148015,181787,'Inflicts 2648 piercing damage on target',100,2,2),
(148016,181787,'Cannot be modified except by direct means',100,2,3),
(148017,10181787,'When Equipped:',100,0,0),
(148018,10181787,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(148019,10181787,'Inflicts 1721 piercing damage on target',100,2,2),
(148020,10181787,'Cannot be modified except by direct means',100,2,3),
(148021,24655,'Adds Popup Text (Blue) to your Dungeon Maker toolbox',100,0,0),
(148022,10024655,'Adds Popup Text (Blue) to your Dungeon Maker toolbox',100,0,0),
(148023,140308,'When Equipped:',100,0,0),
(148024,140308,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(148025,10140308,'When Equipped:',100,0,0),
(148026,10140308,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(148027,122963,'Inflicts 214 - 290 mental damage on target',100,1,0),
(148028,10122963,'Inflicts 279 - 377 mental damage on target',100,1,0),
(148029,114827,'Dazes caster',100,1,0),
(148030,114827,'Roots caster',100,1,1),
(148031,114827,'Increases Mitigation of caster vs physical damage by 1728',100,1,2),
(148032,10114827,'Dazes caster',100,1,0),
(148033,10114827,'Roots caster',100,1,1),
(148034,10114827,'Increases Mitigation of caster vs physical damage by 1728',100,1,2),
(148035,52021,'When Equipped:',100,0,0),
(148036,52021,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(148037,52021,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(148038,52021,'Increases Ability Modifier of caster by 660.0',100,2,3),
(148039,52021,'Must not be engaged in pvp combat',100,2,4),
(148040,52021,'Cannot be modified except by direct means',100,2,5),
(148041,52021,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(148042,52021,'Increases Ability Modifier of caster by 660.0',100,2,7),
(148043,52021,'Must not be engaged in pvp combat',100,2,8),
(148044,52021,'Cannot be modified except by direct means',100,2,9),
(148045,52021,'Cannot be modified except by direct means',100,1,10),
(148046,10052021,'When Equipped:',100,0,0),
(148047,10052021,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(148048,10052021,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(148049,10052021,'Increases Ability Modifier of caster by 660.0',100,2,3),
(148050,10052021,'Must not be engaged in pvp combat',100,2,4),
(148051,10052021,'Cannot be modified except by direct means',100,2,5),
(148052,10052021,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(148053,10052021,'Increases Ability Modifier of caster by 660.0',100,2,7),
(148054,10052021,'Must not be engaged in pvp combat',100,2,8),
(148055,10052021,'Cannot be modified except by direct means',100,2,9),
(148056,10052021,'Cannot be modified except by direct means',100,1,10),
(148057,37497,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(148058,159636,'When Equipped:',100,0,0),
(148059,159636,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(148060,159636,'Increases STA of caster by 14.8',100,2,2),
(148061,159636,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(148062,159636,'Cannot be modified except by direct means',100,2,4),
(148063,10159636,'When Equipped:',100,0,0),
(148064,10159636,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(148065,10159636,'Increases STA of caster by 14.8',100,2,2),
(148066,10159636,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(148067,10159636,'Cannot be modified except by direct means',100,2,4),
(148068,102806,'Summons 3 limited pets to aid the caster',100,1,0),
(148069,10102806,'Summons 3 limited pets to aid the caster',100,1,0),
(148070,109772,'Inflicts 427 - 793 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(148071,10109772,'Inflicts 555 - 1031 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(148072,123758,'Decreases Mitigation of target vs noxious damage by 460',100,1,0),
(148073,123758,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(148074,123758,'Slows target by 34.6%',100,2,2),
(148075,123758,'5% chance to dispel when target receives hostile action',100,2,3),
(148076,123758,'5% chance to dispel when target takes damage',100,2,4),
(148077,10123758,'Decreases Mitigation of target vs noxious damage by 460',100,1,0),
(148078,10123758,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(148079,10123758,'Slows target by 34.6%',100,2,2),
(148080,10123758,'5% chance to dispel when target receives hostile action',100,2,3),
(148081,10123758,'5% chance to dispel when target takes damage',100,2,4),
(148082,121960,'Inflicts 69 - 115 disease damage on target',100,1,0),
(148083,121960,'Decreases Defense of target by 15.0',100,1,1),
(148084,121960,'Interrupts target',100,1,2),
(148085,10121960,'Inflicts 90 - 150 disease damage on target',100,1,0),
(148086,10121960,'Decreases Defense of target by 15.0',100,1,1),
(148087,10121960,'Interrupts target',100,1,2),
(148088,170916,'When Equipped:',100,0,0),
(148089,170916,'This effect will not stack with any rank or tier of itself.',100,1,1),
(148090,170916,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(148091,170916,'Cannot be modified except by direct means',100,1,3),
(148092,10170916,'When Equipped:',100,0,0),
(148093,10170916,'This effect will not stack with any rank or tier of itself.',100,1,1),
(148094,10170916,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(148095,10170916,'Cannot be modified except by direct means',100,1,3),
(148096,122664,'Decreases Defense of target by 15.1',100,1,0),
(148097,122664,'Decreases Mitigation of target vs physical damage by 252',100,1,1),
(148098,10122664,'Decreases Defense of target by 15.1',100,1,0),
(148099,10122664,'Decreases Mitigation of target vs physical damage by 252',100,1,1),
(148100,147118,'When Equipped:',100,0,0),
(148101,147118,'Increases Attack Speed of caster by 21.0',100,1,1),
(148102,10147118,'When Equipped:',100,0,0),
(148103,10147118,'Increases Attack Speed of caster by 21.0',100,1,1),
(148104,117398,'Increases Threat to target by 544 ',100,1,0),
(148105,117398,'Inflicts 97 - 291 melee damage on target',100,1,1),
(148106,10117398,'Forces target to change their selected target to caster.',100,1,0),
(148107,10117398,'Inflicts 84 - 253 melee damage on target',100,1,1),
(148108,168984,'When Equipped:',100,0,0),
(148109,168984,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(148110,168984,'Decreases power of target by 258',100,2,2),
(148111,168984,'Increases power of caster by 159',100,2,3),
(148112,168984,'Cannot be modified except by direct means',100,2,4),
(148113,10168984,'When Equipped:',100,0,0),
(148114,10168984,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(148115,10168984,'Decreases power of target by 258',100,2,2),
(148116,10168984,'Increases power of caster by 159',100,2,3),
(148117,10168984,'Cannot be modified except by direct means',100,2,4),
(148118,80564,'When Equipped:',100,0,0),
(148119,80564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148120,80564,'Inflicts 109 - 202 magic damage on target',100,2,2),
(148121,80564,'Cannot be modified except by direct means',100,2,3),
(148122,10080564,'When Equipped:',100,0,0),
(148123,10080564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148124,10080564,'Inflicts 142 - 263 magic damage on target',100,2,2),
(148125,10080564,'Cannot be modified except by direct means',100,2,3),
(148126,42521,'When Equipped:',100,0,0),
(148127,42521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148128,42521,'Inflicts 206 - 309 magic damage on target',100,2,2),
(148129,42521,'Cannot be modified except by direct means',100,2,3),
(148130,10042521,'When Equipped:',100,0,0),
(148131,10042521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148132,10042521,'Inflicts 268 - 402 magic damage on target',100,2,2),
(148133,10042521,'Cannot be modified except by direct means',100,2,3),
(148134,27413,'When Equipped:',100,0,0),
(148135,27413,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(148136,27413,'Inflicts 51 poison damage on target instantly and every 5 seconds',100,2,2),
(148137,27413,'Cannot be modified except by direct means',100,2,3),
(148138,10027413,'When Equipped:',100,0,0),
(148139,10027413,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(148140,10027413,'Inflicts 66 poison damage on target instantly and every 5 seconds',100,2,2),
(148141,10027413,'Cannot be modified except by direct means',100,2,3),
(148142,48683,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(148143,48683,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(148144,48683,'Inflicts 64 poison damage on target instantly and every 6 seconds',100,2,2),
(148145,48683,'Inflicts 392 poison damage on target',100,2,3),
(148146,48683,'Cannot be modified except by direct means',100,2,4),
(148147,48683,'Grants a total of 200 triggers of the spell.',100,2,5),
(148148,10048683,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(148149,10048683,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(148150,10048683,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,2),
(148151,10048683,'Inflicts 382 poison damage on target',100,2,3),
(148152,10048683,'Cannot be modified except by direct means',100,2,4),
(148153,10048683,'Grants a total of 200 triggers of the spell.',100,2,5),
(148154,118974,'Applies Sacrifice.',100,1,0),
(148155,118974,'Increases power of group members (AE) by 362',100,2,1),
(148156,118974,'Heals group members (AE) for 1266',100,2,2),
(148157,118974,'Stuns target',100,1,3),
(148158,10118974,'Stuns target',100,1,0),
(148159,10118974,'Applies Sacrifice.',100,1,1),
(148160,10118974,'Increases power of group members (AE) by 362',100,2,2),
(148161,10118974,'Heals group members (AE) for 1764',100,2,3),
(148162,117053,'Inflicts 491 - 818 melee damage on target',100,1,0),
(148163,117053,'Decreases Attack Speed of target by 22.9',100,1,1),
(148164,10117053,'Inflicts 638 - 1064 melee damage on target',100,1,0),
(148165,10117053,'Decreases Attack Speed of target by 22.9',100,1,1),
(148166,53124,'When Equipped:',100,0,0),
(148167,53124,'Increases caster''s chance to block by 15.0%',100,1,1),
(148168,10053124,'When Equipped:',100,0,0),
(148169,10053124,'Increases caster''s chance to block by 15.0%',100,1,1),
(148170,124320,'Shapechanges caster into a wolf',100,1,0),
(148171,124320,'Grants See Invisibility to caster',100,1,1),
(148172,124320,'Increases Focus of caster by 18.4',100,1,2),
(148173,124320,'Increases Mitigation of caster vs physical damage by 204',100,1,3),
(148174,124320,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 775',100,1,4),
(148175,10124320,'Shapechanges caster into a wolf',100,1,0),
(148176,10124320,'Grants See Invisibility to caster',100,1,1),
(148177,10124320,'Increases Focus of caster by 18.4',100,1,2),
(148178,10124320,'Increases Mitigation of caster vs physical damage by 204',100,1,3),
(148179,10124320,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 775',100,1,4),
(148180,104470,'Interrupts targets in Area of Effect',100,1,0),
(148181,104470,'Inflicts 10-18 melee damage on targets in area',100,1,1),
(148182,10104470,'Interrupts targets in Area of Effect',100,1,0),
(148183,10104470,'Inflicts 136 - 227 melee damage on targets in area',100,1,1),
(148184,45452,'Applies Return to Rivervale when Activated.',100,0,0),
(148185,45452,'Returns the user to Rivervale.',100,1,1),
(148186,10045452,'Applies Return to Rivervale when Activated.',100,0,0),
(148187,10045452,'Returns the user to Rivervale.',100,1,1),
(148188,114950,'Decreases Attack Speed of target by 8.5',100,1,0),
(148189,114950,'Inflicts 33 - 99 slashing damage on target',100,1,1),
(148190,114950,'Inflicts 66 slashing damage on target instantly and every 4 seconds',100,1,2),
(148191,10114950,'Decreases Attack Speed of target by 8.5',100,1,0),
(148192,10114950,'Inflicts 42 - 128 slashing damage on target',100,1,1),
(148193,10114950,'Inflicts 86 slashing damage on target instantly and every 4 seconds',100,1,2),
(148194,117963,'Heals target for 408 - 499',100,1,0),
(148195,117963,'Increases Max Health of target by 62.8',100,1,1),
(148196,10117963,'Heals target for 468 - 572',100,1,0),
(148197,10117963,'Increases Max Health of target by 62.8',100,1,1),
(148198,146827,'Applies Heroic Resistance X when Equipped.',100,0,0),
(148199,146827,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(148200,146827,'Cannot be modified except by direct means',100,1,2),
(148201,10146827,'Applies Heroic Resistance X when Equipped.',100,0,0),
(148202,10146827,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(148203,10146827,'Cannot be modified except by direct means',100,1,2),
(148204,161128,'When Equipped:',100,0,0),
(148205,161128,'On a healing spell cast this spell may cast Bleeding Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(148206,161128,'Increases Defense of caster by 50.0',100,2,2),
(148207,161128,'Heals caster for 1312',100,2,3),
(148208,161128,'Must not be engaged in pvp combat',100,2,4),
(148209,161128,'Cannot be modified except by direct means',100,2,5),
(148210,161128,'On any combat or spell hit this spell may cast Bleeding Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(148211,161128,'Increases Defense of caster by 50.0',100,2,7),
(148212,161128,'Heals caster for 1312',100,2,8),
(148213,161128,'Must not be engaged in pvp combat',100,2,9),
(148214,161128,'Cannot be modified except by direct means',100,2,10),
(148215,10161128,'When Equipped:',100,0,0),
(148216,10161128,'On a healing spell cast this spell may cast Bleeding Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(148217,10161128,'Increases Defense of caster by 50.0',100,2,2),
(148218,10161128,'Heals caster for 1535',100,2,3),
(148219,10161128,'Must not be engaged in pvp combat',100,2,4),
(148220,10161128,'Cannot be modified except by direct means',100,2,5),
(148221,10161128,'On any combat or spell hit this spell may cast Bleeding Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(148222,10161128,'Increases Defense of caster by 50.0',100,2,7),
(148223,10161128,'Heals caster for 1535',100,2,8),
(148224,10161128,'Must not be engaged in pvp combat',100,2,9),
(148225,10161128,'Cannot be modified except by direct means',100,2,10),
(148226,113468,'Increases INT of target by 81.5',100,1,0),
(148227,113468,'Increases Max Health of target by 674.3',100,1,1),
(148228,10113468,'Increases INT of target by 81.5',100,1,0),
(148229,10113468,'Increases Max Health of target by 674.3',100,1,1),
(148230,107529,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(148231,107529,'Decreases Mitigation of target encounter vs elemental and noxious damage by 480',100,1,1),
(148232,10107529,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(148233,10107529,'Decreases Mitigation of target encounter vs elemental and noxious damage by 480',100,1,1),
(148234,181009,'When Equipped:',100,0,0),
(148235,181009,'Increases Attack Speed of caster by 35.0',100,1,1),
(148236,10181009,'When Equipped:',100,0,0),
(148237,10181009,'Increases Attack Speed of caster by 35.0',100,1,1),
(148238,108594,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(148239,108594,'Increases STR, AGI, INT and WIS of group members (AE) by 30.9',100,2,1),
(148240,108594,'Increases STA of group members (AE) by 61.7',100,2,2),
(148241,108594,'Adds 0.7% to base avoidance.',100,2,3),
(148242,108594,'Increases Mitigation of group members (AE) vs arcane damage by 82',100,2,4),
(148243,108594,'Heals group members (AE) for 91 - 111 instantly and every 3 seconds',100,2,5),
(148244,108594,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 82',100,2,6),
(148245,10108594,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(148246,10108594,'Increases STR, AGI, INT and WIS of group members (AE) by 30.9',100,2,1),
(148247,10108594,'Increases STA of group members (AE) by 61.7',100,2,2),
(148248,10108594,'Adds 0.7% to base avoidance.',100,2,3),
(148249,10108594,'Increases Mitigation of group members (AE) vs arcane damage by 82',100,2,4),
(148250,10108594,'Heals group members (AE) for 59 - 72 instantly and every 3 seconds',100,2,5),
(148251,10108594,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 82',100,2,6),
(148252,116207,'Inflicts 1613 - 2689 mental damage on target',100,1,0),
(148253,10116207,'Inflicts 2097 - 3496 mental damage on target',100,1,0),
(148254,154943,'When Equipped:',100,0,0),
(148255,154943,'On a spell cast this spell may cast Unflinching Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(148256,154943,'Makes caster immune to Stun effects',100,2,2),
(148257,154943,'Must not be engaged in pvp combat',100,2,3),
(148258,154943,'Cannot be modified except by direct means',100,2,4),
(148259,154943,'Must not be engaged in pvp combat',100,1,5),
(148260,10154943,'When Equipped:',100,0,0),
(148261,10154943,'On a spell cast this spell may cast Unflinching Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(148262,10154943,'Makes caster immune to Stun effects',100,2,2),
(148263,10154943,'Must not be engaged in pvp combat',100,2,3),
(148264,10154943,'Cannot be modified except by direct means',100,2,4),
(148265,10154943,'Must not be engaged in pvp combat',100,1,5),
(148266,118978,'Heals target for 42 - 52',100,1,0),
(148267,10118978,'Heals target for 45 - 55',100,1,0),
(148268,81248,'When Equipped:',100,0,0),
(148269,81248,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(148270,81248,'Decreases Threat to target by 949 ',100,2,2),
(148271,81248,'Must be flanking or behind',100,3,3),
(148272,81248,'Increases Threat to target by 949 ',100,2,4),
(148273,81248,'Must be in front of',100,3,5),
(148274,81248,'Inflicts 302 - 560 magic damage on target',100,2,6),
(148275,81248,'Cannot be modified except by direct means',100,2,7),
(148276,10081248,'When Equipped:',100,0,0),
(148277,10081248,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(148278,10081248,'Inflicts 392 - 728 magic damage on target',100,2,2),
(148279,10081248,'Cannot be modified except by direct means',100,2,3),
(148280,119185,'Inflicts 136 - 227 heat damage on target',100,1,0),
(148281,119185,'Inflicts 136 - 227 heat damage on target',100,1,1),
(148282,119185,'Requires bow',100,1,2),
(148283,10119185,'Inflicts 156 - 260 heat damage on target',100,1,0),
(148284,10119185,'Inflicts 156 - 260 heat damage on target',100,1,1),
(148285,10119185,'Requires bow',100,1,2),
(148286,123774,'Decreases Mitigation of target vs noxious damage by 1632',100,1,0),
(148287,123774,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(148288,123774,'Slows target by 64.3%',100,2,2),
(148289,123774,'5% chance to dispel when target receives hostile action',100,2,3),
(148290,123774,'5% chance to dispel when target takes damage',100,2,4),
(148291,10123774,'Decreases Mitigation of target vs noxious damage by 1632',100,1,0),
(148292,10123774,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(148293,10123774,'Slows target by 64.3%',100,2,2),
(148294,10123774,'5% chance to dispel when target receives hostile action',100,2,3),
(148295,10123774,'5% chance to dispel when target takes damage',100,2,4),
(148296,105721,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(148297,105721,'Throws target back',100,2,1),
(148298,105721,'Stuns target',100,2,2),
(148299,105721,'Blurs vision of target',100,2,3),
(148300,105721,'Does not affect Epic targets',100,2,4),
(148301,105721,'Inflicts 147 - 245 melee damage on targets in area',100,1,5),
(148302,10105721,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(148303,10105721,'Throws target back',100,2,1),
(148304,10105721,'Stuns target',100,2,2),
(148305,10105721,'Blurs vision of target',100,2,3),
(148306,10105721,'Does not affect Epic targets',100,2,4),
(148307,10105721,'Inflicts 191 - 318 melee damage on targets in area',100,1,5),
(148308,100332,'Increases Max Health of target by 37.4',100,1,0),
(148309,100332,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.1',100,1,1),
(148310,10100332,'Increases Max Health of target by 37.4',100,1,0),
(148311,10100332,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.1',100,1,1),
(148312,80821,'When Equipped:',100,0,0),
(148313,80821,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148314,80821,'Inflicts 296 - 551 magic damage on target',100,2,2),
(148315,80821,'Cannot be modified except by direct means',100,2,3),
(148316,10080821,'When Equipped:',100,0,0),
(148317,10080821,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148318,10080821,'Inflicts 385 - 716 magic damage on target',100,2,2),
(148319,10080821,'Cannot be modified except by direct means',100,2,3),
(148320,46460,'Applies Release Geobot when Activated.',100,0,0),
(148321,46460,'This effect cannot be cast during combat',100,1,1),
(148322,10046460,'Applies Release Geobot when Activated.',100,0,0),
(148323,10046460,'This effect cannot be cast during combat',100,1,1),
(148324,35197,'Increases STA of target by 1.5',100,0,0),
(148325,35197,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(148326,103379,'Decreases power of target by 45 instantly and every 6 seconds',100,1,0),
(148327,103379,'Inflicts 180 - 220 mental damage on target instantly and every 6 seconds',100,1,1),
(148328,103379,'Increases power of caster by 144',100,1,2),
(148329,10103379,'Decreases power of target by 45 instantly and every 6 seconds',100,1,0),
(148330,10103379,'Inflicts 234 - 286 mental damage on target instantly and every 6 seconds',100,1,1),
(148331,10103379,'Increases power of caster by 144',100,1,2),
(148332,46827,'Applies Whistle Up A Storm when Activated.',100,0,0),
(148333,46827,'Summons a mount to ride',100,1,1),
(148334,46827,'Increases your ground speed by 135%',100,2,2),
(148335,46827,'Increases Aggression and Crushing of caster by 5.0',100,1,3),
(148336,46827,'Reduces maximum falling speed of caster',100,1,4),
(148337,46827,'Increases Ranged, Ministration, Ordination, Focus, Piercing, Subjugation, Slashing and Disruption of caster by 5.0',100,1,5),
(148338,10046827,'Applies Whistle Up A Storm when Activated.',100,0,0),
(148339,10046827,'Summons a mount to ride',100,1,1),
(148340,10046827,'Increases your ground speed by 135%',100,2,2),
(148341,10046827,'Increases Aggression and Crushing of caster by 5.0',100,1,3),
(148342,10046827,'Reduces maximum falling speed of caster',100,1,4),
(148343,10046827,'Increases Ranged, Ministration, Ordination, Focus, Piercing, Subjugation, Slashing and Disruption of caster by 5.0',100,1,5),
(148344,113766,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(148345,113766,'Inflicts 654 piercing damage on target',100,2,1),
(148346,113766,'Grants a total of 60 triggers of the spell.',100,2,2),
(148347,10113766,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(148348,10113766,'Inflicts 851 piercing damage on target',100,2,1),
(148349,10113766,'Grants a total of 60 triggers of the spell.',100,2,2),
(148350,189123,'When Equipped:',100,0,0),
(148351,189123,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(148352,189123,'Heals group members (AE) for 391',100,2,2),
(148353,189123,'Cannot be modified except by direct means',100,2,3),
(148354,189123,'Cannot be modified except by direct means',100,1,4),
(148355,10189123,'When Equipped:',100,0,0),
(148356,10189123,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(148357,10189123,'Heals group members (AE) for 254',100,2,2),
(148358,10189123,'Cannot be modified except by direct means',100,2,3),
(148359,10189123,'Cannot be modified except by direct means',100,1,4),
(148360,154349,'When Equipped:',100,0,0),
(148361,154349,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(148362,154349,'Wards caster against 2000 points of all damage',100,2,2),
(148363,154349,'Cannot be modified except by direct means',100,2,3),
(148364,154349,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(148365,154349,'Wards caster against 2000 points of all damage',100,2,5),
(148366,154349,'Cannot be modified except by direct means',100,2,6),
(148367,10154349,'When Equipped:',100,0,0),
(148368,10154349,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(148369,10154349,'Wards caster against 1000 points of all damage',100,2,2),
(148370,10154349,'Cannot be modified except by direct means',100,2,3),
(148371,10154349,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(148372,10154349,'Wards caster against 1000 points of all damage',100,2,5),
(148373,10154349,'Cannot be modified except by direct means',100,2,6),
(148374,120010,'Increases Threat to target by 1,843 - 2,252 ',100,1,0),
(148375,10120010,'Prevents target from changing targets',100,1,0),
(148376,10120010,'Forces target to change their selected target to caster.',100,1,1),
(148377,118079,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(148378,118079,'Increases Defense of caster by 8.6',100,1,1),
(148379,10118079,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(148380,10118079,'Increases Defense of caster by 8.6',100,1,1),
(148381,41531,'When Equipped:',100,0,0),
(148382,41531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148383,41531,'Inflicts 350 - 650 magic damage on target',100,2,2),
(148384,41531,'Cannot be modified except by direct means',100,2,3),
(148385,10041531,'When Equipped:',100,0,0),
(148386,10041531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148387,10041531,'Inflicts 455 - 845 magic damage on target',100,2,2),
(148388,10041531,'Cannot be modified except by direct means',100,2,3),
(148389,124039,'Increases power of caster by 39',100,1,0),
(148390,10124039,'Increases power of caster by 39',100,1,0),
(148391,105914,'Inflicts 1412 - 2354 melee damage on target',100,1,0),
(148392,105914,'If over 33% Health',100,2,1),
(148393,105914,'Inflicts 4237 - 7063 melee damage on target',100,1,2),
(148394,105914,'If under 33% Health',100,2,3),
(148395,105914,'Must be flanking or behind',100,1,4),
(148396,10105914,'Inflicts 1836 - 3060 melee damage on target',100,1,0),
(148397,10105914,'If over 20% Health',100,2,1),
(148398,10105914,'Inflicts 4897 - 8161 melee damage on target',100,1,2),
(148399,10105914,'If under 20% Health',100,2,3),
(148400,10105914,'Must be flanking or behind',100,1,4),
(148401,120980,'Inflicts 12 - 21 poison damage on target',100,1,0),
(148402,120980,'Inflicts 3 - 5 poison damage on target instantly and every 4 seconds',100,1,1),
(148403,10120980,'Inflicts 16 - 27 poison damage on target',100,1,0),
(148404,10120980,'Inflicts 4 - 7 poison damage on target instantly and every 4 seconds',100,1,1),
(148405,36427,'Increases STA and AGI of target by 1.1',100,0,0),
(148406,36427,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(148407,26703,'When Equipped:',100,0,0),
(148408,26703,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(148409,26703,'On a critical spell hit this spell may cast Discombobulate I on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(148410,26703,'Decreases Threat to target by 4,037 - 4,462 ',100,2,3),
(148411,26703,'Inflicts 2038 - 2252 mental damage on target',100,2,4),
(148412,26703,'Must not be engaged in pvp combat',100,2,5),
(148413,26703,'Cannot be modified except by direct means',100,2,6),
(148414,26703,'On a critical combat hit this spell may cast Discombobulate I on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(148415,26703,'Decreases Threat to target by 4,037 - 4,462 ',100,2,8),
(148416,26703,'Inflicts 2038 - 2252 mental damage on target',100,2,9),
(148417,26703,'Must not be engaged in pvp combat',100,2,10),
(148418,26703,'Cannot be modified except by direct means',100,2,11),
(148419,26703,'Must not be engaged in pvp combat',100,1,12),
(148420,10026703,'When Equipped:',100,0,0),
(148421,10026703,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(148422,10026703,'On a critical spell hit this spell may cast Discombobulate I on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(148423,10026703,'Inflicts 2649 - 2928 mental damage on target',100,2,3),
(148424,10026703,'Must not be engaged in pvp combat',100,2,4),
(148425,10026703,'Cannot be modified except by direct means',100,2,5),
(148426,10026703,'On a critical combat hit this spell may cast Discombobulate I on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(148427,10026703,'Inflicts 2649 - 2928 mental damage on target',100,2,7),
(148428,10026703,'Must not be engaged in pvp combat',100,2,8),
(148429,10026703,'Cannot be modified except by direct means',100,2,9),
(148430,10026703,'Must not be engaged in pvp combat',100,1,10),
(148431,110631,'Inflicts 502 - 838 ranged damage on target',100,1,0),
(148432,110631,'If weapon equipped in Ranged',100,1,1),
(148433,110631,'Must be flanking or behind',100,1,2),
(148434,10110631,'Inflicts 312 - 520 ranged damage on target',100,1,0),
(148435,10110631,'If weapon equipped in Ranged',100,1,1),
(148436,10110631,'Must be flanking or behind',100,1,2),
(148437,27382,'When Equipped:',100,0,0),
(148438,27382,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(148439,27382,'Decreases power of target by 94',100,2,2),
(148440,27382,'Increases power of caster by 60',100,2,3),
(148441,27382,'Cannot be modified except by direct means',100,2,4),
(148442,10027382,'When Equipped:',100,0,0),
(148443,10027382,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(148444,10027382,'Decreases power of target by 94',100,2,2),
(148445,10027382,'Increases power of caster by 60',100,2,3),
(148446,10027382,'Cannot be modified except by direct means',100,2,4),
(148447,116379,'Heals target for 84 - 102 instantly and every 2 seconds',100,1,0),
(148448,10116379,'Heals target for 54 - 67 instantly and every 2 seconds',100,1,0),
(148449,45165,'Applies Essence of Terra when Activated.  Lasts for 5 minutes.',100,0,0),
(148450,45165,'Shapechanges caster into a clay golem',100,1,1),
(148451,45165,'Increases STR of caster by 2.2',100,1,2),
(148452,45165,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,3),
(148453,10045165,'Applies Essence of Terra when Activated.  Lasts for 5 minutes.',100,0,0),
(148454,10045165,'Shapechanges caster into a clay golem',100,1,1),
(148455,10045165,'Increases STR of caster by 2.2',100,1,2),
(148456,10045165,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,3),
(148457,118538,'Inflicts 588 - 981 melee damage on target',100,1,0),
(148458,118538,'Decreases STR of target by 59.3',100,1,1),
(148459,118538,'You must be sneaking to use this ability.',100,1,2),
(148460,10118538,'Inflicts 765 - 1275 melee damage on target',100,1,0),
(148461,10118538,'Decreases STR of target by 59.3',100,1,1),
(148462,10118538,'You must be sneaking to use this ability.',100,1,2),
(148463,107980,'Increases In-Combat Power Regeneration of group members (AE) by 55.3',100,1,0),
(148464,10107980,'Increases In-Combat Power Regeneration of group members (AE) by 55.3',100,1,0),
(148465,104992,'Reduces physical damage done to caster by 5%',100,1,0),
(148466,104992,'Adds 2.4% to base avoidance.',100,1,1),
(148467,104992,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(148468,104992,'Increases Parry of caster by 21.1',100,1,3),
(148469,104992,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(148470,104992,'Increases Aggression of caster by 12.7',100,1,5),
(148471,104992,'Increases Defense and Deflection of caster by 21.1',100,1,6),
(148472,104992,'Increases Mitigation of caster vs arcane damage by 1408',100,1,7),
(148473,104992,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(148474,10104992,'Reduces physical damage done to caster by 5%',100,1,0),
(148475,10104992,'Adds 2.4% to base avoidance.',100,1,1),
(148476,10104992,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(148477,10104992,'Increases Parry of caster by 21.1',100,1,3),
(148478,10104992,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(148479,10104992,'Increases Aggression of caster by 12.7',100,1,5),
(148480,10104992,'Increases Defense and Deflection of caster by 21.1',100,1,6),
(148481,10104992,'Increases Mitigation of caster vs arcane damage by 1408',100,1,7),
(148482,10104992,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(148483,26930,'When Equipped:',100,0,0),
(148484,26930,'On a parry this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(148485,26930,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(148486,26930,'Heals caster for 88 - 107',100,3,3),
(148487,26930,'Grants a total of 3 triggers of the spell.',100,3,4),
(148488,26930,'Cannot be modified except by direct means',100,2,5),
(148489,10026930,'When Equipped:',100,0,0),
(148490,10026930,'On a parry this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(148491,10026930,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(148492,10026930,'Heals caster for 57 - 70',100,3,3),
(148493,10026930,'Grants a total of 3 triggers of the spell.',100,3,4),
(148494,10026930,'Cannot be modified except by direct means',100,2,5),
(148495,124691,'Inflicts 406 - 496 cold damage on target',100,1,0),
(148496,10124691,'Inflicts 528 - 645 cold damage on target',100,1,0),
(148497,35991,'Increases STR of target by 1.5',100,0,0),
(148498,35991,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(148499,135614,'When Equipped:',100,0,0),
(148500,135614,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(148501,135614,'On a healing spell cast this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(148502,135614,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,3),
(148503,135614,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,4),
(148504,135614,'Must not be engaged in pvp combat',100,2,5),
(148505,135614,'Cannot be modified except by direct means',100,2,6),
(148506,135614,'On any combat or spell hit this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(148507,135614,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,8),
(148508,135614,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,9),
(148509,135614,'Must not be engaged in pvp combat',100,2,10),
(148510,135614,'Cannot be modified except by direct means',100,2,11),
(148511,135614,'Cannot be modified except by direct means',100,1,12),
(148512,10135614,'When Equipped:',100,0,0),
(148513,10135614,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(148514,10135614,'On a healing spell cast this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(148515,10135614,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,3),
(148516,10135614,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,4),
(148517,10135614,'Must not be engaged in pvp combat',100,2,5),
(148518,10135614,'Cannot be modified except by direct means',100,2,6),
(148519,10135614,'On any combat or spell hit this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(148520,10135614,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,8),
(148521,10135614,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,9),
(148522,10135614,'Must not be engaged in pvp combat',100,2,10),
(148523,10135614,'Cannot be modified except by direct means',100,2,11),
(148524,10135614,'Cannot be modified except by direct means',100,1,12),
(148525,104310,'Inflicts 447 - 746 melee damage on target',100,1,0),
(148526,104310,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(148527,104310,'Throws target back',100,2,2),
(148528,104310,'Stuns target',100,2,3),
(148529,104310,'Blurs vision of target',100,2,4),
(148530,104310,'Does not affect Epic targets',100,2,5),
(148531,10104310,'Inflicts 582 - 970 melee damage on target',100,1,0),
(148532,10104310,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(148533,10104310,'Stuns target',100,2,2),
(148534,10104310,'Throws target back',100,2,3),
(148535,10104310,'Blurs vision of target',100,2,4),
(148536,10104310,'Does not affect Epic targets',100,2,5),
(148537,71474,'When Equipped:',100,0,0),
(148538,71474,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(148539,71474,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(148540,71474,'Cannot be modified except by direct means',100,2,3),
(148541,10071474,'When Equipped:',100,0,0),
(148542,10071474,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(148543,10071474,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(148544,10071474,'Cannot be modified except by direct means',100,2,3),
(148545,173526,'When Equipped:',100,0,0),
(148546,173526,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(148547,173526,'Inflicts 1986 magic damage on target',100,2,2),
(148548,173526,'Cannot be modified except by direct means',100,2,3),
(148549,10173526,'When Equipped:',100,0,0),
(148550,10173526,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(148551,10173526,'Inflicts 1291 magic damage on target',100,2,2),
(148552,10173526,'Cannot be modified except by direct means',100,2,3),
(148553,122838,'Inflicts 660 - 1101 ranged damage on target',100,1,0),
(148554,122838,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(148555,122838,'Increases Hate Gain of target by 30.0%',100,2,2),
(148556,122838,'Grants a total of 1 trigger of the spell.',100,2,3),
(148557,122838,'Requires bow',100,1,4),
(148558,10122838,'Inflicts 561 - 936 ranged damage on target',100,1,0),
(148559,10122838,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(148560,10122838,'Grants a total of 1 trigger of the spell.',100,2,2),
(148561,10122838,'Requires bow',100,1,3),
(148562,118552,'Inflicts 1189 - 1983 melee damage on target',100,1,0),
(148563,118552,'Decreases STR of target by 114.4',100,1,1),
(148564,118552,'You must be sneaking to use this ability.',100,1,2),
(148565,10118552,'Inflicts 1546 - 2578 melee damage on target',100,1,0),
(148566,10118552,'Decreases STR of target by 114.4',100,1,1),
(148567,10118552,'You must be sneaking to use this ability.',100,1,2),
(148568,158649,'When Equipped:',100,0,0),
(148569,158649,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(148570,10158649,'When Equipped:',100,0,0),
(148571,10158649,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(148572,74709,'When Equipped:',100,0,0),
(148573,74709,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148574,74709,'Inflicts 230 - 345 magic damage on target',100,2,2),
(148575,74709,'Cannot be modified except by direct means',100,2,3),
(148576,10074709,'When Equipped:',100,0,0),
(148577,10074709,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148578,10074709,'Inflicts 299 - 449 magic damage on target',100,2,2),
(148579,10074709,'Cannot be modified except by direct means',100,2,3),
(148580,108319,'Inflicts 170 - 283 divine damage on target',100,1,0),
(148581,108319,'Heals caster for 0.9% of max health',100,1,1),
(148582,108319,'This effect cannot be critically applied.',100,2,2),
(148583,108319,'The healing of this spell cannot be modified except by direct means',100,1,3),
(148584,10108319,'Inflicts 221 - 369 divine damage on target',100,1,0),
(148585,10108319,'Heals caster for 0.5% of max health',100,1,1),
(148586,10108319,'This effect cannot be critically applied.',100,2,2),
(148587,10108319,'The healing of this spell cannot be modified except by direct means',100,1,3),
(148588,124760,'Inflicts 479 - 585 disease damage on target encounter',100,1,0),
(148589,10124760,'Inflicts 623 - 761 disease damage on target encounter',100,1,0),
(148590,119935,'Stifles target',100,1,0),
(148591,119935,'Inflicts 664 - 812 mental damage on target',100,1,1),
(148592,119935,'Inflicts 221 - 271 mental damage on target every 3 seconds',100,1,2),
(148593,119935,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(148594,119935,'Resistibility increases against targets higher than level 111.',100,1,4),
(148595,10119935,'Stifles target',100,1,0),
(148596,10119935,'Inflicts 863 - 1055 mental damage on target',100,1,1),
(148597,10119935,'Inflicts 288 - 352 mental damage on target every second',100,1,2),
(148598,10119935,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(148599,10119935,'Resistibility increases against targets higher than level 111.',100,1,4),
(148600,109429,'Inflicts 139 - 170 cold damage on target instantly and every 4 seconds',100,1,0),
(148601,109429,'Decreases Mitigation of target vs elemental damage by 518',100,1,1),
(148602,10109429,'Inflicts 181 - 221 cold damage on target instantly and every 4 seconds',100,1,0),
(148603,10109429,'Decreases Mitigation of target vs elemental damage by 518',100,1,1),
(148604,105283,'Increases AGI of caster by 62.7',100,1,0),
(148605,105283,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(148606,105283,'Inflicts 80 - 133 mental damage on target',100,2,2),
(148607,105283,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(148608,105283,'Inflicts 80 - 133 mental damage on target',100,2,4),
(148609,105283,'Adds 18.7% to base avoidance.',100,1,5),
(148610,105283,'Increases Mitigation of caster vs physical damage by 227',100,1,6),
(148611,105283,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,7),
(148612,10105283,'Increases AGI of caster by 62.7',100,1,0),
(148613,10105283,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(148614,10105283,'Inflicts 104 - 173 mental damage on target',100,2,2),
(148615,10105283,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(148616,10105283,'Inflicts 104 - 173 mental damage on target',100,2,4),
(148617,10105283,'Adds 18.7% to base avoidance.',100,1,5),
(148618,10105283,'Increases Mitigation of caster vs physical damage by 227',100,1,6),
(148619,10105283,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,7),
(148620,120258,'Inflicts 677 - 1129 crushing damage on target',100,1,0),
(148621,10120258,'Inflicts 881 - 1468 crushing damage on target',100,1,0),
(148622,120498,'Inflicts 183 - 306 melee damage on target',100,1,0),
(148623,120498,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(148624,120498,'Grants stealth to caster',100,2,2),
(148625,120498,'Suspends caster''s movement speed enhancements',100,2,3),
(148626,120498,'Must be flanking or behind',100,1,4),
(148627,10120498,'Inflicts 238 - 397 melee damage on target',100,1,0),
(148628,10120498,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(148629,10120498,'Grants stealth to caster',100,2,2),
(148630,10120498,'Suspends caster''s movement speed enhancements',100,2,3),
(148631,10120498,'Must be flanking or behind',100,1,4),
(148632,112259,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(148633,112259,'Decreases power of target by 322',100,2,1),
(148634,112259,'Increases power of caster by 190',100,2,2),
(148635,10112259,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(148636,10112259,'Decreases power of target by 322',100,2,1),
(148637,10112259,'Increases power of caster by 152',100,2,2),
(148638,120052,'Inflicts 42 - 70 mental damage on target',100,1,0),
(148639,120052,'Inflicts 42 - 70 mental damage on target',100,1,1),
(148640,120052,'Stifles target',100,1,2),
(148641,120052,'If Target is not Epic',100,2,3),
(148642,120052,'If weapon equipped in Ranged',100,1,4),
(148643,120052,'Resistibility increases against targets higher than level 45.',100,1,5),
(148644,10120052,'Inflicts 47 - 79 mental damage on target',100,1,0),
(148645,10120052,'Inflicts 47 - 79 mental damage on target',100,1,1),
(148646,10120052,'Stifles target',100,1,2),
(148647,10120052,'If Target is not Epic',100,2,3),
(148648,10120052,'If weapon equipped in Ranged',100,1,4),
(148649,10120052,'Resistibility increases against targets higher than level 45.',100,1,5),
(148650,121937,'Applies Tap on termination.',100,1,0),
(148651,121937,'Inflicts 2301 disease damage on target',100,2,1),
(148652,121937,'Heals caster for 6.2% of max health',100,2,2),
(148653,121937,'This effect cannot be critically applied.',100,3,3),
(148654,121937,'The healing of this spell cannot be modified except by direct means',100,2,4),
(148655,10121937,'Applies Tap on termination.',100,1,0),
(148656,10121937,'Inflicts 2991 disease damage on target',100,2,1),
(148657,10121937,'Heals caster for 2.2% of max health',100,2,2),
(148658,10121937,'This effect cannot be critically applied.',100,3,3),
(148659,10121937,'The healing of this spell cannot be modified except by direct means',100,2,4),
(148660,48176,'Applies Spirit of the Lion when Activated.  Lasts for 30 minutes.',100,0,0),
(148661,48176,'Shapechanges caster into a lion',100,1,1),
(148662,48176,'Increases Out-of-Combat Health Regeneration of caster by 82.0',100,1,2),
(148663,48176,'This effect suspends during combat',100,1,3),
(148664,48176,'Only affects targets level 40 and above',100,1,4),
(148665,10048176,'Applies Spirit of the Lion when Activated.  Lasts for 30 minutes.',100,0,0),
(148666,10048176,'Shapechanges caster into a lion',100,1,1),
(148667,10048176,'Increases Out-of-Combat Health Regeneration of caster by 82.0',100,1,2),
(148668,10048176,'This effect suspends during combat',100,1,3),
(148669,10048176,'Only affects targets level 40 and above',100,1,4),
(148670,100293,'Inflicts 175 - 324 poison damage on target instantly and every 3 seconds',100,1,0),
(148671,10100293,'Inflicts 512 - 950 poison damage on target instantly and every 3 seconds',100,1,0),
(148672,36317,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(148673,36317,'This effect suspends during combat',100,0,1),
(148674,80863,'When Equipped:',100,0,0),
(148675,80863,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148676,80863,'Inflicts 267 - 496 magic damage on target',100,2,2),
(148677,80863,'Cannot be modified except by direct means',100,2,3),
(148678,10080863,'When Equipped:',100,0,0),
(148679,10080863,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148680,10080863,'Inflicts 347 - 644 magic damage on target',100,2,2),
(148681,10080863,'Cannot be modified except by direct means',100,2,3),
(148682,123535,'Inflicts 105 - 157 piercing damage on target instantly and every 4 seconds',100,1,0),
(148683,123535,'Decreases Defense of target by 19.1',100,1,1),
(148684,10123535,'Inflicts 191 - 286 piercing damage on target',100,1,0),
(148685,10123535,'Inflicts 136 - 204 piercing damage on target every 4 seconds',100,1,1),
(148686,10123535,'Decreases Defense of target by 19.1',100,1,2),
(148687,141832,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(148688,141832,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(148689,141832,'Inflicts 14 heat damage on target',100,2,2),
(148690,141832,'Cannot be modified except by direct means',100,2,3),
(148691,10141832,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(148692,10141832,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(148693,10141832,'Inflicts 18 heat damage on target',100,2,2),
(148694,10141832,'Cannot be modified except by direct means',100,2,3),
(148695,80335,'When Equipped:',100,0,0),
(148696,80335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148697,80335,'Inflicts 60 - 112 magic damage on target',100,2,2),
(148698,80335,'Cannot be modified except by direct means',100,2,3),
(148699,10080335,'When Equipped:',100,0,0),
(148700,10080335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148701,10080335,'Inflicts 78 - 145 magic damage on target',100,2,2),
(148702,10080335,'Cannot be modified except by direct means',100,2,3),
(148703,183279,'When Equipped:',100,0,0),
(148704,183279,'On a hostile spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(148705,183279,'Wards group members (AE) against 5500 points of all damage',100,2,2),
(148706,183279,'Gives target an extra 2.0% mitigation to their worn armor',100,2,3),
(148707,183279,'Must not be engaged in pvp combat',100,2,4),
(148708,183279,'Cannot be modified except by direct means',100,2,5),
(148709,183279,'On a healing spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(148710,183279,'Wards group members (AE) against 5500 points of all damage',100,2,7),
(148711,183279,'Gives target an extra 2.0% mitigation to their worn armor',100,2,8),
(148712,183279,'Must not be engaged in pvp combat',100,2,9),
(148713,183279,'Cannot be modified except by direct means',100,2,10),
(148714,183279,'Cannot be modified except by direct means',100,1,11),
(148715,10183279,'When Equipped:',100,0,0),
(148716,10183279,'On a hostile spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(148717,10183279,'Wards group members (AE) against 5500 points of all damage',100,2,2),
(148718,10183279,'Gives target an extra 2.0% mitigation to their worn armor',100,2,3),
(148719,10183279,'Must not be engaged in pvp combat',100,2,4),
(148720,10183279,'Cannot be modified except by direct means',100,2,5),
(148721,10183279,'On a healing spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(148722,10183279,'Wards group members (AE) against 5500 points of all damage',100,2,7),
(148723,10183279,'Gives target an extra 2.0% mitigation to their worn armor',100,2,8),
(148724,10183279,'Must not be engaged in pvp combat',100,2,9),
(148725,10183279,'Cannot be modified except by direct means',100,2,10),
(148726,10183279,'Cannot be modified except by direct means',100,1,11),
(148727,113354,'Applies Stifle.  Lasts for 4.0 seconds.',100,1,0),
(148728,113354,'Stifles target',100,2,1),
(148729,113354,'Blurs vision of target',100,2,2),
(148730,113354,'Dispelled when target takes damage',100,2,3),
(148731,113354,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,4),
(148732,113354,'Resistibility increases against targets higher than level 34.',100,2,5),
(148733,113354,'Roots target',100,1,6),
(148734,113354,'5% chance to dispel when target takes damage',100,1,7),
(148735,113354,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,8),
(148736,113354,'Resistibility increases against targets higher than level 34.',100,1,9),
(148737,10113354,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(148738,10113354,'Stifles target',100,2,1),
(148739,10113354,'Blurs vision of target',100,2,2),
(148740,10113354,'Dispelled when target takes damage',100,2,3),
(148741,10113354,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(148742,10113354,'Resistibility increases against targets higher than level 34.',100,2,5),
(148743,10113354,'Roots target',100,1,6),
(148744,10113354,'5% chance to dispel when target takes damage',100,1,7),
(148745,10113354,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(148746,10113354,'Resistibility increases against targets higher than level 34.',100,1,9),
(148747,47772,'Applies Ridren''s Blessing III when Activated.  Lasts for 12 hours.',100,0,0),
(148748,47772,'Increases STR of caster by 0.0',100,1,1),
(148749,47772,'Dispels 200 levels of noxious hostile effects on caster',100,1,2),
(148750,10047772,'Applies Ridren''s Blessing III when Activated.  Lasts for 12 hours.',100,0,0),
(148751,10047772,'Increases STR of caster by 0.0',100,1,1),
(148752,10047772,'Dispels 200 levels of noxious hostile effects on caster',100,1,2),
(148753,106589,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(148754,10106589,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(148755,100862,'Wards target against 2213 points of all damage',100,1,0),
(148756,10100862,'Wards target against 3404 points of all damage',100,1,0),
(148757,80838,'When Equipped:',100,0,0),
(148758,80838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148759,80838,'Inflicts 259 - 481 magic damage on target',100,2,2),
(148760,80838,'Cannot be modified except by direct means',100,2,3),
(148761,10080838,'When Equipped:',100,0,0),
(148762,10080838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148763,10080838,'Inflicts 337 - 625 magic damage on target',100,2,2),
(148764,10080838,'Cannot be modified except by direct means',100,2,3),
(148765,106230,'Inflicts 332 - 998 melee damage on target',100,1,0),
(148766,106230,'Stifles target',100,1,1),
(148767,106230,'If Target is not Epic',100,2,2),
(148768,106230,'Resistibility increases against targets higher than level 97.',100,1,3),
(148769,10106230,'Inflicts 432 - 1297 melee damage on target',100,1,0),
(148770,10106230,'Stifles target',100,1,1),
(148771,10106230,'If Target is not Epic',100,2,2),
(148772,10106230,'Resistibility increases against targets higher than level 97.',100,1,3),
(148773,177480,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(148774,177480,'Decreases Attack Speed of target by 13.5',100,1,1),
(148775,177480,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(148776,10177480,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(148777,10177480,'Decreases Attack Speed of target by 13.5',100,1,1),
(148778,10177480,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(148779,36188,'Increases STR of target by 1.5',100,0,0),
(148780,36188,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(148781,82662,'When Equipped:',100,0,0),
(148782,82662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148783,82662,'Inflicts 116 - 215 magic damage on target',100,2,2),
(148784,82662,'Cannot be modified except by direct means',100,2,3),
(148785,10082662,'When Equipped:',100,0,0),
(148786,10082662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148787,10082662,'Inflicts 151 - 280 magic damage on target',100,2,2),
(148788,10082662,'Cannot be modified except by direct means',100,2,3),
(148789,104604,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(148790,10104604,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(148791,116952,'Increases Threat to target by 427 - 522 ',100,1,0),
(148792,116952,'Interrupts target',100,1,1),
(148793,10116952,'Forces target to change their selected target to caster.',100,1,0),
(148794,10116952,'Interrupts target',100,1,1),
(148795,10116952,'Prevents target from changing targets',100,1,2),
(148796,177689,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(148797,177689,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(148798,177689,'Inflicts 91 heat damage on target',100,2,2),
(148799,177689,'Cannot be modified except by direct means',100,2,3),
(148800,10177689,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(148801,10177689,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(148802,10177689,'Inflicts 118 heat damage on target',100,2,2),
(148803,10177689,'Cannot be modified except by direct means',100,2,3),
(148804,103856,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(148805,103856,'Slows target by 55.4%',100,2,1),
(148806,103856,'5% chance to dispel when target receives hostile action',100,2,2),
(148807,103856,'5% chance to dispel when target takes damage',100,2,3),
(148808,103856,'Decreases Mitigation of target vs noxious damage by 736',100,1,4),
(148809,10103856,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(148810,10103856,'Slows target by 55.4%',100,2,1),
(148811,10103856,'5% chance to dispel when target receives hostile action',100,2,2),
(148812,10103856,'5% chance to dispel when target takes damage',100,2,3),
(148813,10103856,'Decreases Mitigation of target vs noxious damage by 736',100,1,4),
(148814,36065,'Increases STR of target by 1.5',100,0,0),
(148815,36065,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(148816,123078,'Summons a pet undead knight',100,1,0),
(148817,10123078,'Summons a pet undead knight',100,1,0),
(148818,111314,'Increases Attack Speed of caster by 25.0',100,1,0),
(148819,10111314,'Increases Attack Speed of caster by 25.0',100,1,0),
(148820,45803,'Applies Place Crowhood''s Totem when Activated.',100,0,0),
(148821,45803,'This effect cannot be cast during combat',100,1,1),
(148822,10045803,'Applies Place Crowhood''s Totem when Activated.',100,0,0),
(148823,10045803,'This effect cannot be cast during combat',100,1,1),
(148824,71473,'When Equipped:',100,0,0),
(148825,71473,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(148826,71473,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(148827,71473,'Cannot be modified except by direct means',100,2,3),
(148828,10071473,'When Equipped:',100,0,0),
(148829,10071473,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(148830,10071473,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(148831,10071473,'Cannot be modified except by direct means',100,2,3),
(148832,119627,'Inflicts 1677 - 2794 mental damage on targets in Area of Effect',100,1,0),
(148833,119627,'Stuns targets in Area of Effect',100,1,1),
(148834,119627,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(148835,119627,'Resistibility increases against targets higher than level 119.',100,1,3),
(148836,10119627,'Inflicts 2180 - 3633 mental damage on targets in Area of Effect',100,1,0),
(148837,10119627,'Stuns targets in Area of Effect',100,1,1),
(148838,10119627,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(148839,10119627,'Resistibility increases against targets higher than level 119.',100,1,3),
(148840,121140,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(148841,121140,'Increases Mitigation of group members (AE) vs noxious damage by 242',100,1,1),
(148842,10121140,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(148843,10121140,'Increases Mitigation of group members (AE) vs noxious damage by 242',100,1,1),
(148844,119002,'Heals target for 787 - 962',100,1,0),
(148845,10119002,'Heals target for 837 - 1023',100,1,0),
(148846,122195,'Inflicts 424 - 518 cold damage on target instantly and every 2 seconds',100,1,0),
(148847,122195,'Inflicts 424 - 518 cold damage on target instantly and every 2 seconds',100,1,1),
(148848,122195,'If target is elemental',100,2,2),
(148849,10122195,'Inflicts 551 - 674 cold damage on target instantly and every 2 seconds',100,1,0),
(148850,139474,'Applies Spirit of the Northlands when Activated.  Lasts for 1 hour.',100,0,0),
(148851,139474,'Shapechanges caster into a barbarian',100,1,1),
(148852,139474,'The casting time of Spirit of the Northlands is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,2),
(148853,139474,'When Equipped:',100,0,3),
(148854,139474,'Reduces maximum falling speed of caster',100,1,4),
(148855,10139474,'Applies Spirit of the Northlands when Activated.  Lasts for 1 hour.',100,0,0),
(148856,10139474,'Shapechanges caster into a barbarian',100,1,1),
(148857,10139474,'The casting time of Spirit of the Northlands is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,2),
(148858,10139474,'When Equipped:',100,0,3),
(148859,10139474,'Reduces maximum falling speed of caster',100,1,4),
(148860,114461,'Inflicts 531 - 885 heat damage on target',100,1,0),
(148861,10114461,'Inflicts 690 - 1151 heat damage on target',100,1,0),
(148862,47399,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(148863,47399,'This potion will grant you the illusion of being a rabid werewolf!',100,1,1),
(148864,10047399,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(148865,10047399,'This potion will grant you the illusion of being a rabid werewolf!',100,1,1),
(148866,108062,'Inflicts 902 magic damage on target',100,1,0),
(148867,108062,'Increases power of caster by 321',100,1,1),
(148868,10108062,'Inflicts 1172 magic damage on target',100,1,0),
(148869,10108062,'Increases power of caster by 321',100,1,1),
(148870,119474,'Dazes target encounter',100,1,0),
(148871,119474,'If Target is not Epic',100,2,1),
(148872,119474,'Inflicts 66 - 81 magic damage on target encounter instantly and every second',100,1,2),
(148873,119474,'Resistibility increases against targets higher than level 54.',100,1,3),
(148874,10119474,'Dazes target encounter',100,1,0),
(148875,10119474,'If Target is not Epic',100,2,1),
(148876,10119474,'Inflicts 113 - 138 magic damage on target encounter',100,1,2),
(148877,10119474,'Inflicts 86 - 105 magic damage on target encounter every second',100,1,3),
(148878,10119474,'Resistibility increases against targets higher than level 54.',100,1,4),
(148879,107668,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1947',100,1,0),
(148880,10107668,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1947',100,1,0),
(148881,112514,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(148882,112514,'Inflicts 122 disease damage on target instantly and every 4 seconds',100,2,1),
(148883,112514,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(148884,10112514,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(148885,10112514,'Inflicts 159 disease damage on target instantly and every 4 seconds',100,2,1),
(148886,10112514,'55% of target''s power consumed will also be drained from target''s health',100,2,2),
(148887,117296,'Inflicts 685 - 1142 melee damage on target',100,1,0),
(148888,117296,'Decreases Damage Per Second of target by 18.5',100,1,1),
(148889,117296,'Decreases Attack Speed of target by 11.6',100,1,2),
(148890,10117296,'Inflicts 890 - 1484 melee damage on target',100,1,0),
(148891,10117296,'Decreases Damage Per Second of target by 18.5',100,1,1),
(148892,10117296,'Decreases Attack Speed of target by 11.6',100,1,2),
(148893,186221,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(148894,186221,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(148895,186221,'Cannot be modified except by direct means',100,1,2),
(148896,10186221,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(148897,10186221,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(148898,10186221,'Cannot be modified except by direct means',100,1,2),
(148899,87258,'When Equipped:',100,0,0),
(148900,87258,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148901,87258,'Inflicts 263 - 395 magic damage on target',100,2,2),
(148902,87258,'Cannot be modified except by direct means',100,2,3),
(148903,10087258,'When Equipped:',100,0,0),
(148904,10087258,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148905,10087258,'Inflicts 342 - 513 magic damage on target',100,2,2),
(148906,10087258,'Cannot be modified except by direct means',100,2,3),
(148907,123573,'Increases STR of group members (AE) by 35.8',100,1,0),
(148908,123573,'Increases Max Health of group members (AE) by 311.0',100,1,1),
(148909,10123573,'Increases STR of group members (AE) by 35.8',100,1,0),
(148910,10123573,'Increases Max Health of group members (AE) by 311.0',100,1,1),
(148911,163306,'Applies Lucky Wolf Paw when Activated.  Lasts for 31 minutes 48 seconds.',100,0,0),
(148912,163306,'Increases speed of caster by 17.0%',100,1,1),
(148913,163306,'This effect suspends during combat',100,1,2),
(148914,163306,'The casting time of Lucky Wolf Paw is 0.5 seconds and the reuse time of the spell is 1.5 seconds',100,1,3),
(148915,10163306,'Applies Lucky Wolf Paw when Activated.  Lasts for 31 minutes 48 seconds.',100,0,0),
(148916,10163306,'Increases speed of caster by 17.0%',100,1,1),
(148917,10163306,'This effect suspends during combat',100,1,2),
(148918,10163306,'The casting time of Lucky Wolf Paw is 0.5 seconds and the reuse time of the spell is 1.5 seconds',100,1,3),
(148919,112668,'Increases Parry of group members (AE) by 8.1',100,1,0),
(148920,10112668,'Increases Parry of group members (AE) by 8.1',100,1,0),
(148921,159797,'Applies Sanguine Imbued when Equipped.',100,0,0),
(148922,159797,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(148923,159797,'Inflicts 84 heat damage on target',100,2,2),
(148924,159797,'Cannot be modified except by direct means',100,2,3),
(148925,10159797,'Applies Sanguine Imbued when Equipped.',100,0,0),
(148926,10159797,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(148927,10159797,'Inflicts 109 heat damage on target',100,2,2),
(148928,10159797,'Cannot be modified except by direct means',100,2,3),
(148929,123055,'Summons a pet undead knight',100,1,0),
(148930,10123055,'Summons a pet undead knight',100,1,0),
(148931,106015,'Inflicts 77 - 94 divine damage on target instantly and every 3 seconds',100,1,0),
(148932,106015,'Decreases Defense of target by 10.2',100,1,1),
(148933,10106015,'Inflicts 67 - 82 divine damage on target instantly and every 3 seconds',100,1,0),
(148934,10106015,'Decreases Defense of target by 10.2',100,1,1),
(148935,109671,'Summons a pet Glacial Animated Defender',100,1,0),
(148936,10109671,'Summons a pet Glacial Animated Defender',100,1,0),
(148937,116704,'Inflicts 127 - 212 melee damage on target',100,1,0),
(148938,10116704,'Inflicts 165 - 276 melee damage on target',100,1,0),
(148939,41461,'When Equipped:',100,0,0),
(148940,41461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148941,41461,'Inflicts 60 - 112 magic damage on target',100,2,2),
(148942,41461,'Cannot be modified except by direct means',100,2,3),
(148943,10041461,'When Equipped:',100,0,0),
(148944,10041461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148945,10041461,'Inflicts 78 - 145 magic damage on target',100,2,2),
(148946,10041461,'Cannot be modified except by direct means',100,2,3),
(148947,36647,'Increases STA and INT of target by 1.1',100,0,0),
(148948,36647,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(148949,105426,'Increases STR of caster by 133.9',100,1,0),
(148950,105426,'Decreases Defense of caster by 18.0',100,1,1),
(148951,105426,'Increases Slashing, Piercing, Crushing and Disruption of caster by 25.6',100,1,2),
(148952,10105426,'Increases STR of caster by 133.9',100,1,0),
(148953,10105426,'Decreases Defense of caster by 18.0',100,1,1),
(148954,10105426,'Increases Slashing, Piercing, Crushing and Disruption of caster by 25.6',100,1,2),
(148955,192041,'When Equipped:',100,0,0),
(148956,192041,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(148957,192041,'Increases power of caster by 84',100,2,2),
(148958,192041,'Cannot be modified except by direct means',100,2,3),
(148959,10192041,'When Equipped:',100,0,0),
(148960,10192041,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(148961,10192041,'Increases power of caster by 84',100,2,2),
(148962,10192041,'Cannot be modified except by direct means',100,2,3),
(148963,111975,'Inflicts 500 - 611 disease damage on target',100,1,0),
(148964,111975,'Decreases Mitigation of target vs noxious damage by 826',100,1,1),
(148965,10111975,'Inflicts 835 - 1021 disease damage on target',100,1,0),
(148966,10111975,'Decreases Mitigation of target vs noxious damage by 826',100,1,1),
(148967,117605,'Inflicts 196 - 328 ranged damage on target',100,1,0),
(148968,117605,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(148969,117605,'Slows target by 39.6%',100,2,2),
(148970,117605,'5% chance to dispel when target receives hostile action',100,2,3),
(148971,117605,'5% chance to dispel when target takes damage',100,2,4),
(148972,117605,'Must be flanking or behind',100,1,5),
(148973,117605,'Requires bow',100,1,6),
(148974,10117605,'Inflicts 167 - 279 ranged damage on target',100,1,0),
(148975,10117605,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(148976,10117605,'Slows target by 39.6%',100,2,2),
(148977,10117605,'5% chance to dispel when target receives hostile action',100,2,3),
(148978,10117605,'5% chance to dispel when target takes damage',100,2,4),
(148979,10117605,'Must be flanking or behind',100,1,5),
(148980,10117605,'Requires bow',100,1,6),
(148981,118906,'Increases Damage Per Second of caster by 30.3',100,1,0),
(148982,10118906,'Increases Damage Per Second of caster by 30.3',100,1,0),
(148983,102043,'Interrupts targets in Area of Effect',100,1,0),
(148984,102043,'Inflicts 131 - 219 melee damage on targets in area',100,1,1),
(148985,10102043,'Interrupts targets in Area of Effect',100,1,0),
(148986,10102043,'Inflicts 171 - 285 melee damage on targets in area',100,1,1),
(148987,74693,'When Equipped:',100,0,0),
(148988,74693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148989,74693,'Inflicts 180 - 271 magic damage on target',100,2,2),
(148990,74693,'Cannot be modified except by direct means',100,2,3),
(148991,10074693,'When Equipped:',100,0,0),
(148992,10074693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(148993,10074693,'Inflicts 235 - 352 magic damage on target',100,2,2),
(148994,10074693,'Cannot be modified except by direct means',100,2,3),
(148995,154491,'When Equipped:',100,0,0),
(148996,154491,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(148997,154491,'Inflicts 1998 disease damage on target encounter',100,2,2),
(148998,154491,'Must not be engaged in pvp combat',100,2,3),
(148999,154491,'Cannot be modified except by direct means',100,2,4),
(149000,10154491,'When Equipped:',100,0,0),
(149001,10154491,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(149002,10154491,'Inflicts 1299 disease damage on target encounter',100,2,2),
(149003,10154491,'Must not be engaged in pvp combat',100,2,3),
(149004,10154491,'Cannot be modified except by direct means',100,2,4),
(149005,105486,'Stuns target encounter',100,1,0),
(149006,105486,'If Target is not Epic',100,2,1),
(149007,105486,'Inflicts 520 - 966 poison damage on target encounter',100,1,2),
(149008,105486,'Resistibility increases against targets higher than level 93.',100,1,3),
(149009,10105486,'Stuns target encounter',100,1,0),
(149010,10105486,'If Target is not Epic',100,2,1),
(149011,10105486,'Inflicts 676 - 1255 poison damage on target encounter',100,1,2),
(149012,10105486,'Resistibility increases against targets higher than level 93.',100,1,3),
(149013,159251,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(149014,159251,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(149015,159251,'Inflicts 164 heat damage on target',100,2,2),
(149016,159251,'Cannot be modified except by direct means',100,2,3),
(149017,10159251,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(149018,10159251,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(149019,10159251,'Inflicts 214 heat damage on target',100,2,2),
(149020,10159251,'Cannot be modified except by direct means',100,2,3),
(149021,103712,'Increases Max Health of raid and group members (AE) by 114.8',100,1,0),
(149022,103712,'Increases Defense of raid and group members (AE) by 5.4',100,1,1),
(149023,10103712,'Increases Max Health of raid and group members (AE) by 114.8',100,1,0),
(149024,10103712,'Increases Defense of raid and group members (AE) by 5.4',100,1,1),
(149025,36094,'Increases WIS and STA of target by 1.1',100,0,0),
(149026,36094,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(149027,175836,'When Equipped:',100,0,0),
(149028,175836,'On a hostile spell cast this spell may cast Omission on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(149029,175836,'Decreases Threat to target encounter by 1,000 ',100,2,2),
(149030,175836,'Cannot be modified except by direct means',100,2,3),
(149031,10175836,'When Equipped:',100,0,0),
(149032,10175836,'On a hostile spell cast this spell may cast Omission on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(149033,10175836,'Cannot be modified except by direct means',100,2,2),
(149034,100126,'Decreases STR, AGI, WIS and INT of target by 40.7',100,1,0),
(149035,100126,'Decreases Max Health of target by 0.7%',100,1,1),
(149036,10100126,'Decreases STR, AGI, WIS and INT of target by 40.7',100,1,0),
(149037,10100126,'Decreases Max Health of target by 0.7%',100,1,1),
(149038,111005,'Heals target for 695 - 849 instantly and every 2 seconds',100,1,0),
(149039,111005,'Increases power of target by 54 - 66 instantly and every 2 seconds',100,1,1),
(149040,10111005,'Heals target for 813 - 994 instantly and every 2 seconds',100,1,0),
(149041,10111005,'Increases power of target by 54 - 66 instantly and every 2 seconds',100,1,1),
(149042,35932,'Increases Max Health of target by 3.9',100,0,0),
(149043,35932,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(149044,130065,'When Equipped:',100,0,0),
(149045,130065,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149046,130065,'Wards caster against 720 points of all damage',100,2,2),
(149047,130065,'Cannot be modified except by direct means',100,2,3),
(149048,130065,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(149049,10130065,'When Equipped:',100,0,0),
(149050,10130065,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149051,10130065,'Wards caster against 720 points of all damage',100,2,2),
(149052,10130065,'Cannot be modified except by direct means',100,2,3),
(149053,10130065,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(149054,120806,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(149055,120806,'Stuns target',100,2,1),
(149056,120806,'Throws target back',100,2,2),
(149057,120806,'Blurs vision of target',100,2,3),
(149058,120806,'Does not affect Epic targets',100,2,4),
(149059,120806,'Inflicts 301 - 502 piercing damage on target',100,1,5),
(149060,10120806,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(149061,10120806,'Stuns target',100,2,1),
(149062,10120806,'Throws target back',100,2,2),
(149063,10120806,'Blurs vision of target',100,2,3),
(149064,10120806,'Does not affect Epic targets',100,2,4),
(149065,10120806,'Inflicts 391 - 652 piercing damage on target',100,1,5),
(149066,188437,'When Equipped:',100,0,0),
(149067,188437,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(149068,188437,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(149069,188437,'Must not be engaged in pvp combat',100,2,3),
(149070,188437,'Cannot be modified except by direct means',100,2,4),
(149071,188437,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(149072,188437,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(149073,188437,'Must not be engaged in pvp combat',100,2,7),
(149074,188437,'Cannot be modified except by direct means',100,2,8),
(149075,188437,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(149076,188437,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(149077,188437,'Must not be engaged in pvp combat',100,2,11),
(149078,188437,'Cannot be modified except by direct means',100,2,12),
(149079,188437,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(149080,188437,'Inflicts 60 piercing damage on target',100,2,14),
(149081,188437,'Must not be engaged in pvp combat',100,2,15),
(149082,188437,'Cannot be modified except by direct means',100,2,16),
(149083,10188437,'When Equipped:',100,0,0),
(149084,10188437,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(149085,10188437,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(149086,10188437,'Must not be engaged in pvp combat',100,2,3),
(149087,10188437,'Cannot be modified except by direct means',100,2,4),
(149088,10188437,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(149089,10188437,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(149090,10188437,'Must not be engaged in pvp combat',100,2,7),
(149091,10188437,'Cannot be modified except by direct means',100,2,8),
(149092,10188437,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(149093,10188437,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(149094,10188437,'Must not be engaged in pvp combat',100,2,11),
(149095,10188437,'Cannot be modified except by direct means',100,2,12),
(149096,10188437,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(149097,10188437,'Inflicts 78 piercing damage on target',100,2,14),
(149098,10188437,'Must not be engaged in pvp combat',100,2,15),
(149099,10188437,'Cannot be modified except by direct means',100,2,16),
(149100,119682,'Increases Threat to target encounter by 59 - 72 ',100,1,0),
(149101,10119682,'Prevents target encounter from changing targets',100,1,0),
(149102,10119682,'Forces target encounter to change their selected target to caster.',100,1,1),
(149103,124821,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 385',100,1,0),
(149104,10124821,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 385',100,1,0),
(149105,169037,'When Equipped:',100,0,0),
(149106,169037,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149107,169037,'Increases Potency of caster by 11.0%',100,2,2),
(149108,169037,'Increases Disruption, Subjugation, Ministration and Ordination of caster by 11.5',100,2,3),
(149109,169037,'Must not be engaged in pvp combat',100,2,4),
(149110,169037,'Cannot be modified except by direct means',100,2,5),
(149111,169037,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(149112,169037,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(149113,169037,'Increases Potency of caster by 11.0%',100,2,8),
(149114,169037,'Increases Disruption, Subjugation, Ministration and Ordination of caster by 11.5',100,2,9),
(149115,169037,'Must not be engaged in pvp combat',100,2,10),
(149116,169037,'Cannot be modified except by direct means',100,2,11),
(149117,169037,'Cannot be modified except by direct means',100,1,12),
(149118,169037,'When Equipped:',100,0,13),
(149119,169037,'Increases Attack Speed of caster by 40.0',100,1,14),
(149120,10169037,'When Equipped:',100,0,0),
(149121,10169037,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149122,10169037,'Increases Potency of caster by 11.0%',100,2,2),
(149123,10169037,'Increases Disruption, Subjugation, Ministration and Ordination of caster by 11.5',100,2,3),
(149124,10169037,'Must not be engaged in pvp combat',100,2,4),
(149125,10169037,'Cannot be modified except by direct means',100,2,5),
(149126,10169037,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(149127,10169037,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(149128,10169037,'Increases Potency of caster by 11.0%',100,2,8),
(149129,10169037,'Increases Disruption, Subjugation, Ministration and Ordination of caster by 11.5',100,2,9),
(149130,10169037,'Must not be engaged in pvp combat',100,2,10),
(149131,10169037,'Cannot be modified except by direct means',100,2,11),
(149132,10169037,'Cannot be modified except by direct means',100,1,12),
(149133,10169037,'When Equipped:',100,0,13),
(149134,10169037,'Increases Attack Speed of caster by 40.0',100,1,14),
(149135,159089,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(149136,159089,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(149137,159089,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(149138,159089,'Cannot be modified except by direct means',100,2,3),
(149139,10159089,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(149140,10159089,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(149141,10159089,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(149142,10159089,'Cannot be modified except by direct means',100,2,3),
(149143,40871,'When Equipped:',100,0,0),
(149144,40871,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(149145,40871,'Reduces healing received by 15.00%',100,2,2),
(149146,40871,'Cannot be modified except by direct means',100,2,3),
(149147,40871,'This effect can only trigger once every 1 second.',100,2,4),
(149148,40871,'Must be engaged in pvp combat',100,1,5),
(149149,10040871,'When Equipped:',100,0,0),
(149150,10040871,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(149151,10040871,'Reduces healing received by 15.00%',100,2,2),
(149152,10040871,'Cannot be modified except by direct means',100,2,3),
(149153,10040871,'This effect can only trigger once every 1 second.',100,2,4),
(149154,10040871,'Must be engaged in pvp combat',100,1,5),
(149155,103509,'Charms target',100,1,0),
(149156,103509,'If outside an arena',100,1,1),
(149157,103509,'Certain enemies cannot be charmed',100,1,2),
(149158,103509,'Does not affect Epic targets',100,1,3),
(149159,10103509,'Mesmerizes target',100,1,0),
(149160,10103509,'Prevents AOE (except when direct) ',100,1,1),
(149161,10103509,'Dispelled when target takes damage',100,1,2),
(149162,10103509,'If outside an arena',100,1,3),
(149163,10103509,'Certain enemies cannot be charmed',100,1,4),
(149164,10103509,'Does not affect Epic targets',100,1,5),
(149165,10103509,'Resistibility increases against targets higher than level 63.',100,1,6),
(149166,121296,'Inflicts 167 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(149167,121296,'Inflicts 550 - 918 melee damage on targets in area',100,1,1),
(149168,121296,'You must be in stealth or have Bloody Assault.',100,1,2),
(149169,10121296,'Inflicts 217 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(149170,10121296,'Inflicts 716 - 1193 melee damage on targets in area',100,1,1),
(149171,10121296,'You must be in stealth or have Bloody Assault.',100,1,2),
(149172,79745,'When Equipped:',100,0,0),
(149173,79745,'On a hit this spell may cast Grim Outlook on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149174,79745,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(149175,79745,'Slows target by 50.0%',100,2,3),
(149176,79745,'Cannot be modified except by direct means',100,2,4),
(149177,10079745,'When Equipped:',100,0,0),
(149178,10079745,'On a hit this spell may cast Grim Outlook on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149179,10079745,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(149180,10079745,'Slows target by 50.0%',100,2,3),
(149181,10079745,'Cannot be modified except by direct means',100,2,4),
(149182,104855,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 59.4%',100,1,0),
(149183,104855,'Decreases the damage done by the next spell cast by 20 percent',100,1,1),
(149184,10104855,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 59.4%',100,1,0),
(149185,10104855,'Decreases the damage done by the next spell cast by 20 percent',100,1,1),
(149186,113246,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(149187,113246,'Inflicts 40 - 66 magic damage on target',100,2,1),
(149188,113246,'Grants a total of 8 triggers of the spell.',100,2,2),
(149189,10113246,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(149190,10113246,'Inflicts 52 - 86 magic damage on target',100,2,1),
(149191,10113246,'Grants a total of 8 triggers of the spell.',100,2,2),
(149192,82840,'When Equipped:',100,0,0),
(149193,82840,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149194,82840,'Inflicts 350 - 650 magic damage on target',100,2,2),
(149195,82840,'Decreases Threat to target by 833 ',100,2,3),
(149196,82840,'Must be flanking or behind',100,3,4),
(149197,82840,'Increases Threat to target by 833 ',100,2,5),
(149198,82840,'Must be in front of',100,3,6),
(149199,82840,'Cannot be modified except by direct means',100,2,7),
(149200,10082840,'When Equipped:',100,0,0),
(149201,10082840,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149202,10082840,'Inflicts 455 - 845 magic damage on target',100,2,2),
(149203,10082840,'Cannot be modified except by direct means',100,2,3),
(149204,41422,'When Equipped:',100,0,0),
(149205,41422,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149206,41422,'Inflicts 83 - 154 magic damage on target',100,2,2),
(149207,41422,'Cannot be modified except by direct means',100,2,3),
(149208,10041422,'When Equipped:',100,0,0),
(149209,10041422,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149210,10041422,'Inflicts 108 - 200 magic damage on target',100,2,2),
(149211,10041422,'Cannot be modified except by direct means',100,2,3),
(149212,101712,'Mesmerizes target',100,1,0),
(149213,101712,'Prevents AOE (except when direct) ',100,1,1),
(149214,101712,'Mesmerizes caster',100,1,2),
(149215,101712,'Dispelled when target takes damage',100,1,3),
(149216,101712,'Does not affect Epic targets',100,1,4),
(149217,101712,'Resistibility increases against targets higher than level 54.',100,1,5),
(149218,10101712,'Mesmerizes target',100,1,0),
(149219,10101712,'Prevents AOE (except when direct) ',100,1,1),
(149220,10101712,'Mesmerizes caster',100,1,2),
(149221,10101712,'Dispelled when target takes damage',100,1,3),
(149222,10101712,'Does not affect Epic targets',100,1,4),
(149223,10101712,'Resistibility increases against targets higher than level 54.',100,1,5),
(149224,152424,'When Equipped:',100,0,0),
(149225,152424,'Applies Blazing Conjurations to qualifying pets.',100,1,1),
(149226,152424,'Increases Potency of target by 5.0%',100,2,2),
(149227,152424,'On any combat or spell hit this spell may cast Magma Strike on target of attack.  Triggers about 1.6 times per minute. ',100,2,3),
(149228,152424,'Inflicts 722 - 882 heat damage on target',100,3,4),
(149229,152424,'Increases Crit Chance of target by 5.0',100,2,5),
(149230,152424,'Cannot be modified except by direct means',100,2,6),
(149231,152424,'On a damage spell hit this spell may cast Magma Strike on target of spell.  Triggers about 1.8 times per minute. ',100,1,7),
(149232,152424,'Inflicts 722 - 882 heat damage on target',100,2,8),
(149233,152424,'Cannot be modified except by direct means',100,2,9),
(149234,152424,'Cannot be modified except by direct means',100,1,10),
(149235,10152424,'When Equipped:',100,0,0),
(149236,10152424,'Applies Blazing Conjurations to qualifying pets.',100,1,1),
(149237,10152424,'Increases Potency of target by 5.0%',100,2,2),
(149238,10152424,'On any combat or spell hit this spell may cast Magma Strike on target of attack.  Triggers about 1.6 times per minute. ',100,2,3),
(149239,10152424,'Inflicts 798 - 975 heat damage on target',100,3,4),
(149240,10152424,'Increases Crit Chance of target by 5.0',100,2,5),
(149241,10152424,'Cannot be modified except by direct means',100,2,6),
(149242,10152424,'On a damage spell hit this spell may cast Magma Strike on target of spell.  Triggers about 1.8 times per minute. ',100,1,7),
(149243,10152424,'Inflicts 798 - 975 heat damage on target',100,2,8),
(149244,10152424,'Cannot be modified except by direct means',100,2,9),
(149245,10152424,'Cannot be modified except by direct means',100,1,10),
(149246,111280,'Inflicts 145 - 242 divine damage on target',100,1,0),
(149247,111280,'Inflicts 58 - 97 divine damage on target every 4 seconds',100,1,1),
(149248,10111280,'Inflicts 189 - 315 divine damage on target',100,1,0),
(149249,10111280,'Inflicts 76 - 126 divine damage on target every 4 seconds',100,1,1),
(149250,55022,'When Equipped:',100,0,0),
(149251,55022,'This effect will not stack with any rank or tier of itself.',100,1,1),
(149252,55022,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(149253,55022,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(149254,55022,'Inflicts 201 - 222 piercing damage on target',100,3,4),
(149255,55022,'Must not be engaged in pvp combat',100,3,5),
(149256,55022,'Cannot be modified except by direct means',100,3,6),
(149257,55022,'Must not be engaged in pvp combat',100,2,7),
(149258,55022,'Cannot be modified except by direct means',100,2,8),
(149259,55022,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(149260,55022,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(149261,55022,'Inflicts 201 - 222 piercing damage on target',100,3,11),
(149262,55022,'Must not be engaged in pvp combat',100,3,12),
(149263,55022,'Cannot be modified except by direct means',100,3,13),
(149264,55022,'Must not be engaged in pvp combat',100,2,14),
(149265,55022,'Cannot be modified except by direct means',100,2,15),
(149266,55022,'Cannot be modified except by direct means',100,1,16),
(149267,10055022,'When Equipped:',100,0,0),
(149268,10055022,'This effect will not stack with any rank or tier of itself.',100,1,1),
(149269,10055022,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(149270,10055022,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(149271,10055022,'Inflicts 261 - 289 piercing damage on target',100,3,4),
(149272,10055022,'Must not be engaged in pvp combat',100,3,5),
(149273,10055022,'Cannot be modified except by direct means',100,3,6),
(149274,10055022,'Must not be engaged in pvp combat',100,2,7),
(149275,10055022,'Cannot be modified except by direct means',100,2,8),
(149276,10055022,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(149277,10055022,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(149278,10055022,'Inflicts 261 - 289 piercing damage on target',100,3,11),
(149279,10055022,'Must not be engaged in pvp combat',100,3,12),
(149280,10055022,'Cannot be modified except by direct means',100,3,13),
(149281,10055022,'Must not be engaged in pvp combat',100,2,14),
(149282,10055022,'Cannot be modified except by direct means',100,2,15),
(149283,10055022,'Cannot be modified except by direct means',100,1,16),
(149284,159747,'Applies Lambent Imbued when Equipped.',100,0,0),
(149285,159747,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(149286,159747,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(149287,159747,'Cannot be modified except by direct means',100,2,3),
(149288,10159747,'Applies Lambent Imbued when Equipped.',100,0,0),
(149289,10159747,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(149290,10159747,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(149291,10159747,'Cannot be modified except by direct means',100,2,3),
(149292,112712,'Inflicts 300 - 500 disease damage on target encounter',100,1,0),
(149293,10112712,'Inflicts 390 - 651 disease damage on target encounter',100,1,0),
(149294,80614,'When Equipped:',100,0,0),
(149295,80614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149296,80614,'Inflicts 75 - 138 magic damage on target',100,2,2),
(149297,80614,'Cannot be modified except by direct means',100,2,3),
(149298,10080614,'When Equipped:',100,0,0),
(149299,10080614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149300,10080614,'Inflicts 97 - 180 magic damage on target',100,2,2),
(149301,10080614,'Cannot be modified except by direct means',100,2,3),
(149302,174717,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(149303,174717,'Decreases Mitigation of target vs physical damage by 315',100,1,1),
(149304,174717,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(149305,10174717,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(149306,10174717,'Decreases Mitigation of target vs physical damage by 315',100,1,1),
(149307,10174717,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(149308,175425,'When Equipped:',100,0,0),
(149309,175425,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(149310,175425,'Wards caster against 1250 points of all damage',100,2,2),
(149311,175425,'Cannot be modified except by direct means',100,2,3),
(149312,175425,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(149313,175425,'Wards caster against 1250 points of all damage',100,2,5),
(149314,175425,'Cannot be modified except by direct means',100,2,6),
(149315,10175425,'When Equipped:',100,0,0),
(149316,10175425,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(149317,10175425,'Wards caster against 625 points of all damage',100,2,2),
(149318,10175425,'Cannot be modified except by direct means',100,2,3),
(149319,10175425,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(149320,10175425,'Wards caster against 625 points of all damage',100,2,5),
(149321,10175425,'Cannot be modified except by direct means',100,2,6),
(149322,147147,'Applies Elemental Environmental Suit when Equipped.',100,0,0),
(149323,147147,'Converts 3% of all elemental damage received into power gain.',100,1,1),
(149324,10147147,'Applies Elemental Environmental Suit when Equipped.',100,0,0),
(149325,10147147,'Converts 3% of all elemental damage received into power gain.',100,1,1),
(149326,109743,'Inflicts 632 - 1054 cold damage on target',100,1,0),
(149327,109743,'If weapon equipped in Ranged',100,1,1),
(149328,10109743,'Inflicts 537 - 896 cold damage on target',100,1,0),
(149329,10109743,'If weapon equipped in Ranged',100,1,1),
(149330,154350,'When Equipped:',100,0,0),
(149331,154350,'On a critical healing spell cast this spell may cast Instinctual Precision on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149332,154350,'Target will have their chance to hit with a weapon increased by 4.0%',100,2,2),
(149333,154350,'Reduces the resistibility of the target''s spells by 6%.',100,2,3),
(149334,154350,'Cannot be modified except by direct means',100,2,4),
(149335,10154350,'When Equipped:',100,0,0),
(149336,10154350,'On a critical healing spell cast this spell may cast Instinctual Precision on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(149337,10154350,'Target will have their chance to hit with a weapon increased by 4.0%',100,2,2),
(149338,10154350,'Reduces the resistibility of the target''s spells by 6%.',100,2,3),
(149339,10154350,'Cannot be modified except by direct means',100,2,4),
(149340,49176,'Applies Grind when Activated.',100,0,0),
(149341,10049176,'Applies Grind when Activated.',100,0,0),
(149342,161823,'When Equipped:',100,0,0),
(149343,161823,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(149344,161823,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(149345,161823,'Heals caster for 811 - 1217',100,2,3),
(149346,161823,'Cannot be modified except by direct means',100,2,4),
(149347,161823,'Cannot be modified except by direct means',100,1,5),
(149348,10161823,'When Equipped:',100,0,0),
(149349,10161823,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(149350,10161823,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(149351,10161823,'Heals caster for 949 - 1424',100,2,3),
(149352,10161823,'Cannot be modified except by direct means',100,2,4),
(149353,10161823,'Cannot be modified except by direct means',100,1,5),
(149354,105725,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(149355,105725,'Throws target back',100,2,1),
(149356,105725,'Stuns target',100,2,2),
(149357,105725,'Blurs vision of target',100,2,3),
(149358,105725,'Does not affect Epic targets',100,2,4),
(149359,105725,'Inflicts 247 - 412 melee damage on targets in area',100,1,5),
(149360,10105725,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(149361,10105725,'Throws target back',100,2,1),
(149362,10105725,'Stuns target',100,2,2),
(149363,10105725,'Blurs vision of target',100,2,3),
(149364,10105725,'Does not affect Epic targets',100,2,4),
(149365,10105725,'Inflicts 321 - 536 melee damage on targets in area',100,1,5),
(149366,36534,'Increases Max Power of target by 5.5',100,0,0),
(149367,36534,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(149368,138097,'When Equipped:',100,0,0),
(149369,138097,'Increases Attack Speed of caster by 35.0',100,1,1),
(149370,10138097,'When Equipped:',100,0,0),
(149371,10138097,'Increases Attack Speed of caster by 35.0',100,1,1),
(149372,110535,'Increases Threat to target by 1,012  instantly and by 421  every 3 seconds thereafter',100,1,0),
(149373,110535,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(149374,110535,'Throws target back',100,2,2),
(149375,110535,'Stuns target',100,2,3),
(149376,110535,'Blurs vision of target',100,2,4),
(149377,110535,'Does not affect Epic targets',100,2,5),
(149378,110535,'Inflicts 261 - 435 disease damage on target',100,1,6),
(149379,10110535,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(149380,10110535,'Throws target back',100,2,1),
(149381,10110535,'Stuns target',100,2,2),
(149382,10110535,'Blurs vision of target',100,2,3),
(149383,10110535,'Does not affect Epic targets',100,2,4),
(149384,10110535,'Forces target to change their selected target to caster.',100,1,5),
(149385,10110535,'Inflicts 283 - 471 disease damage on target',100,1,6),
(149386,10110535,'Prevents target from changing targets',100,1,7),
(149387,45731,'Applies Sigismond''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(149388,45731,'Increases STA and STR of caster by 39.0',100,1,1),
(149389,10045731,'Applies Sigismond''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(149390,10045731,'Increases STA and STR of caster by 39.0',100,1,1),
(149391,35275,'Increases AGI of target by 1.5',100,0,0),
(149392,35275,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(149393,189115,'When Equipped:',100,0,0),
(149394,189115,'Increases Attack Speed of caster by 40.0',100,1,1),
(149395,10189115,'When Equipped:',100,0,0),
(149396,10189115,'Increases Attack Speed of caster by 40.0',100,1,1),
(149397,120883,'Stifles target',100,1,0),
(149398,120883,'Inflicts 235 - 288 mental damage on target',100,1,1),
(149399,120883,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,2),
(149400,120883,'Resistibility increases against targets higher than level 59.',100,1,3),
(149401,10120883,'Stifles target',100,1,0),
(149402,10120883,'Inflicts 306 - 374 mental damage on target',100,1,1),
(149403,10120883,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(149404,10120883,'Resistibility increases against targets higher than level 59.',100,1,3),
(149405,85466,'When Equipped:',100,0,0),
(149406,85466,'On a hit this spell may cast Cleansing Blows on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(149407,85466,'Inflicts 381 - 466 divine damage on target',100,2,2),
(149408,85466,'Dispels 100 levels of any beneficial effects on target',100,2,3),
(149409,85466,'Only affects targets level 90 and below',100,2,4),
(149410,85466,'Does not affect Epic targets',100,2,5),
(149411,85466,'Cannot be modified except by direct means',100,2,6),
(149412,85466,'Cannot be modified except by direct means',100,1,7),
(149413,85466,'When Equipped:',100,0,8),
(149414,85466,'Reduces the reuse timers of all combat arts by 5%.',100,1,9),
(149415,10085466,'When Equipped:',100,0,0),
(149416,10085466,'On a hit this spell may cast Cleansing Blows on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(149417,10085466,'Inflicts 496 - 606 divine damage on target',100,2,2),
(149418,10085466,'Dispels 100 levels of any beneficial effects on target',100,2,3),
(149419,10085466,'Only affects targets level 90 and below',100,2,4),
(149420,10085466,'Does not affect Epic targets',100,2,5),
(149421,10085466,'Cannot be modified except by direct means',100,2,6),
(149422,10085466,'Cannot be modified except by direct means',100,1,7),
(149423,10085466,'When Equipped:',100,0,8),
(149424,10085466,'Reduces the reuse timers of all combat arts by 5%.',100,1,9),
(149425,80451,'When Equipped:',100,0,0),
(149426,80451,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149427,80451,'Inflicts 70 - 131 magic damage on target',100,2,2),
(149428,80451,'Decreases Threat to target by 153 ',100,2,3),
(149429,80451,'Must be flanking or behind',100,3,4),
(149430,80451,'Increases Threat to target by 153 ',100,2,5),
(149431,80451,'Must be in front of',100,3,6),
(149432,80451,'Cannot be modified except by direct means',100,2,7),
(149433,10080451,'When Equipped:',100,0,0),
(149434,10080451,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149435,10080451,'Inflicts 91 - 170 magic damage on target',100,2,2),
(149436,10080451,'Cannot be modified except by direct means',100,2,3),
(149437,157999,'When Equipped:',100,0,0),
(149438,157999,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(149439,157999,'When Equipped:',100,0,2),
(149440,157999,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,3),
(149441,157999,'Heals group members for 592',100,2,4),
(149442,157999,'Cannot be modified except by direct means',100,2,5),
(149443,10157999,'When Equipped:',100,0,0),
(149444,10157999,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(149445,10157999,'When Equipped:',100,0,2),
(149446,10157999,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,3),
(149447,10157999,'Heals group members for 385',100,2,4),
(149448,10157999,'Cannot be modified except by direct means',100,2,5),
(149449,112388,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.9',100,1,0),
(149450,112388,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(149451,112388,'Inflicts 439 - 537 piercing damage on target',100,2,2),
(149452,112388,'Inflicts 219 - 268 piercing damage on target every 3 seconds',100,2,3),
(149453,10112388,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.9',100,1,0),
(149454,10112388,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(149455,10112388,'Inflicts 571 - 697 piercing damage on target',100,2,2),
(149456,10112388,'Inflicts 285 - 349 piercing damage on target every 3 seconds',100,2,3),
(149457,108200,'Increases power of caster by 40 instantly and every 4 seconds',100,1,0),
(149458,10108200,'Increases power of caster by 40 instantly and every 4 seconds',100,1,0),
(149459,123599,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(149460,123599,'Increases Defense of target by 19.4',100,1,1),
(149461,10123599,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(149462,10123599,'Increases Defense of target by 19.4',100,1,1),
(149463,189244,'When Equipped:',100,0,0),
(149464,189244,'Increases Attack Speed of caster by 40.0',100,1,1),
(149465,10189244,'When Equipped:',100,0,0),
(149466,10189244,'Increases Attack Speed of caster by 40.0',100,1,1),
(149467,120489,'Inflicts 37 - 62 melee damage on target',100,1,0),
(149468,120489,'Must be flanking or behind',100,1,1),
(149469,10120489,'Inflicts 48 - 81 melee damage on target',100,1,0),
(149470,10120489,'Must be flanking or behind',100,1,1),
(149471,122400,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(149472,122400,'Inflicts 21 - 26 piercing damage on target encounter',100,2,1),
(149473,10122400,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(149474,10122400,'Inflicts 27 - 33 piercing damage on target encounter',100,2,1),
(149475,108322,'Inflicts 286 - 478 divine damage on target',100,1,0),
(149476,108322,'Heals caster for 1.6% of max health',100,1,1),
(149477,108322,'This effect cannot be critically applied.',100,2,2),
(149478,108322,'The healing of this spell cannot be modified except by direct means',100,1,3),
(149479,10108322,'Inflicts 372 - 621 divine damage on target',100,1,0),
(149480,10108322,'Heals caster for 0.8% of max health',100,1,1),
(149481,10108322,'This effect cannot be critically applied.',100,2,2),
(149482,10108322,'The healing of this spell cannot be modified except by direct means',100,1,3),
(149483,114377,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(149484,114377,'Throws target back',100,2,1),
(149485,114377,'Stuns target',100,2,2),
(149486,114377,'Blurs vision of target',100,2,3),
(149487,114377,'Does not affect Epic targets',100,2,4),
(149488,114377,'Inflicts 465 - 775 crushing damage on target',100,1,5),
(149489,10114377,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(149490,10114377,'Throws target back',100,2,1),
(149491,10114377,'Stuns target',100,2,2),
(149492,10114377,'Blurs vision of target',100,2,3),
(149493,10114377,'Does not affect Epic targets',100,2,4),
(149494,10114377,'Inflicts 604 - 1008 crushing damage on target',100,1,5),
(149495,72054,'When Equipped:',100,0,0),
(149496,72054,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(149497,72054,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(149498,72054,'Cannot be modified except by direct means',100,2,3),
(149499,10072054,'When Equipped:',100,0,0),
(149500,10072054,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(149501,10072054,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(149502,10072054,'Cannot be modified except by direct means',100,2,3),
(149503,105219,'Decreases STR and INT of target by 32.6',100,1,0),
(149504,105219,'Only affects targets level 20 and above',100,1,1),
(149505,10105219,'Decreases STR and INT of target by 32.6',100,1,0),
(149506,10105219,'Only affects targets level 20 and above',100,1,1),
(149507,123359,'Heals group members (AE) for 228 - 278',100,1,0),
(149508,10123359,'Heals group members (AE) for 277 - 339',100,1,0),
(149509,82581,'When Equipped:',100,0,0),
(149510,82581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149511,82581,'Inflicts 116 - 215 magic damage on target',100,2,2),
(149512,82581,'Cannot be modified except by direct means',100,2,3),
(149513,10082581,'When Equipped:',100,0,0),
(149514,10082581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149515,10082581,'Inflicts 151 - 280 magic damage on target',100,2,2),
(149516,10082581,'Cannot be modified except by direct means',100,2,3),
(149517,79025,'Applies Frost Blast when Activated.',100,0,0),
(149518,79025,'Inflicts 187 - 311 cold damage on target',100,1,1),
(149519,79025,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(149520,10079025,'Applies Frost Blast when Activated.',100,0,0),
(149521,10079025,'Inflicts 243 - 404 cold damage on target',100,1,1),
(149522,10079025,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(149523,81488,'When Equipped:',100,0,0),
(149524,81488,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149525,81488,'Inflicts 121 - 225 magic damage on target',100,2,2),
(149526,81488,'Decreases Threat to target by 352 ',100,2,3),
(149527,81488,'Must be flanking or behind',100,3,4),
(149528,81488,'Increases Threat to target by 352 ',100,2,5),
(149529,81488,'Must be in front of',100,3,6),
(149530,81488,'Cannot be modified except by direct means',100,2,7),
(149531,10081488,'When Equipped:',100,0,0),
(149532,10081488,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149533,10081488,'Inflicts 157 - 292 magic damage on target',100,2,2),
(149534,10081488,'Cannot be modified except by direct means',100,2,3),
(149535,120525,'Decreases Defense of target by 3.7',100,1,0),
(149536,10120525,'Decreases Defense of target by 3.7',100,1,0),
(149537,114645,'Decreases WIS of target by 66.6',100,1,0),
(149538,114645,'Inflicts 931 - 1552 melee damage on target',100,1,1),
(149539,114645,'You must be sneaking to use this ability.',100,1,2),
(149540,10114645,'Decreases WIS of target by 66.6',100,1,0),
(149541,10114645,'Inflicts 1210 - 2017 melee damage on target',100,1,1),
(149542,10114645,'You must be sneaking to use this ability.',100,1,2),
(149543,104880,'Inflicts 100 - 167 magic damage on targets in area',100,1,0),
(149544,10104880,'Inflicts 130 - 217 magic damage on targets in area',100,1,0),
(149545,71818,'When Equipped:',100,0,0),
(149546,71818,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(149547,71818,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(149548,71818,'Cannot be modified except by direct means',100,2,3),
(149549,10071818,'When Equipped:',100,0,0),
(149550,10071818,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(149551,10071818,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(149552,10071818,'Cannot be modified except by direct means',100,2,3),
(149553,45988,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(149554,45988,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(149555,45988,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,2),
(149556,45988,'Inflicts 87 poison damage on target',100,2,3),
(149557,45988,'Cannot be modified except by direct means',100,2,4),
(149558,45988,'Grants a total of 200 triggers of the spell.',100,2,5),
(149559,10045988,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(149560,10045988,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(149561,10045988,'Inflicts 85 poison damage on target',100,2,2),
(149562,10045988,'Inflicts 75 poison damage on target instantly and every 6 seconds',100,2,3),
(149563,10045988,'Cannot be modified except by direct means',100,2,4),
(149564,10045988,'Grants a total of 200 triggers of the spell.',100,2,5),
(149565,107020,'Distributes the group members'' total combined health evenly among all the members',100,1,0),
(149566,10107020,'Distributes the group members'' total combined health evenly among all the members',100,1,0),
(149567,48973,'Applies Transmogrification when Activated.  Lasts for 20 minutes.',100,0,0),
(149568,48973,'Shapechanges caster into a droag',100,1,1),
(149569,48973,'Dispelled when target receives hostile action',100,1,2),
(149570,48973,'Must be in The Halls of Fate.',100,1,3),
(149571,10048973,'Applies Transmogrification when Activated.  Lasts for 20 minutes.',100,0,0),
(149572,10048973,'Shapechanges caster into a droag',100,1,1),
(149573,10048973,'Dispelled when target receives hostile action',100,1,2),
(149574,10048973,'Must be in The Halls of Fate.',100,1,3),
(149575,121543,'Inflicts 1316 - 2194 melee damage on target',100,1,0),
(149576,121543,'Stuns target',100,1,1),
(149577,121543,'If Target is not Epic',100,2,2),
(149578,121543,'Resistibility increases against targets higher than level 121.',100,1,3),
(149579,10121543,'Inflicts 1711 - 2852 melee damage on target',100,1,0),
(149580,10121543,'Stuns target',100,1,1),
(149581,10121543,'If Target is not Epic',100,2,2),
(149582,10121543,'Resistibility increases against targets higher than level 121.',100,1,3),
(149583,51340,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(149584,51340,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(149585,51340,'Inflicts 74 heat damage on target',100,2,2),
(149586,51340,'Cannot be modified except by direct means',100,2,3),
(149587,10051340,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(149588,10051340,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(149589,10051340,'Inflicts 96 heat damage on target',100,2,2),
(149590,10051340,'Cannot be modified except by direct means',100,2,3),
(149591,183222,'When Equipped:',100,0,0),
(149592,183222,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(149593,183222,'Inflicts 2664 disease damage on target encounter',100,2,2),
(149594,183222,'Must not be engaged in pvp combat',100,2,3),
(149595,183222,'Cannot be modified except by direct means',100,2,4),
(149596,10183222,'When Equipped:',100,0,0),
(149597,10183222,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(149598,10183222,'Inflicts 1732 disease damage on target encounter',100,2,2),
(149599,10183222,'Must not be engaged in pvp combat',100,2,3),
(149600,10183222,'Cannot be modified except by direct means',100,2,4),
(149601,102771,'Increases STR of caster by 22.0',100,1,0),
(149602,102771,'Increases Max Health of caster by 121.3',100,1,1),
(149603,102771,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 606',100,1,2),
(149604,10102771,'Increases STR of caster by 22.0',100,1,0),
(149605,10102771,'Increases Max Health of caster by 121.3',100,1,1),
(149606,10102771,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 606',100,1,2),
(149607,120151,'Decreases STR and INT of target by 81.8',100,1,0),
(149608,120151,'Increases STR and INT of caster by 81.8',100,1,1),
(149609,10120151,'Decreases STR and INT of target by 81.8',100,1,0),
(149610,10120151,'Increases STR and INT of caster by 81.8',100,1,1),
(149611,82278,'When Equipped:',100,0,0),
(149612,82278,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149613,82278,'Inflicts 48 - 89 magic damage on target',100,2,2),
(149614,82278,'Cannot be modified except by direct means',100,2,3),
(149615,10082278,'When Equipped:',100,0,0),
(149616,10082278,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149617,10082278,'Inflicts 62 - 115 magic damage on target',100,2,2),
(149618,10082278,'Cannot be modified except by direct means',100,2,3),
(149619,116302,'Stuns target',100,1,0),
(149620,116302,'If Target is not Epic',100,2,1),
(149621,116302,'Inflicts 270 - 330 magic damage on target',100,1,2),
(149622,116302,'Resistibility increases against targets higher than level 59.',100,1,3),
(149623,10116302,'Stuns target',100,1,0),
(149624,10116302,'If Target is not Epic',100,2,1),
(149625,10116302,'Inflicts 351 - 429 magic damage on target',100,1,2),
(149626,10116302,'Resistibility increases against targets higher than level 59.',100,1,3),
(149627,100965,'Dazes target',100,1,0),
(149628,100965,'Inflicts 938 - 1147 mental damage on target',100,1,1),
(149629,100965,'Epic targets gain an immunity to Daze effects of 39.2 seconds and duration is reduced to 4.4 seconds.',100,1,2),
(149630,100965,'Resistibility increases against targets higher than level 107.',100,1,3),
(149631,10100965,'Dazes target',100,1,0),
(149632,10100965,'Inflicts 1220 - 1491 mental damage on target',100,1,1),
(149633,10100965,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(149634,10100965,'Resistibility increases against targets higher than level 107.',100,1,3),
(149635,36966,'Increases Max Health of target by 3.9',100,0,0),
(149636,36966,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(149637,112726,'Inflicts 657 - 1094 disease damage on target encounter',100,1,0),
(149638,10112726,'Inflicts 853 - 1422 disease damage on target encounter',100,1,0),
(149639,107596,'Dazes target encounter',100,1,0),
(149640,107596,'Inflicts 666 - 814 mental damage on target encounter',100,1,1),
(149641,107596,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(149642,107596,'Resistibility increases against targets higher than level 96.',100,1,3),
(149643,10107596,'Dazes target encounter',100,1,0),
(149644,10107596,'Inflicts 866 - 1058 mental damage on target encounter',100,1,1),
(149645,10107596,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(149646,10107596,'Resistibility increases against targets higher than level 96.',100,1,3),
(149647,176287,'Applies Bay and Howl when Activated.  Lasts for 20.0 seconds.',100,0,0),
(149648,176287,'Increases Damage Per Second of caster by 10.0',100,1,1),
(149649,176287,'The reuse time of Bay and Howl is 5 minutes',100,1,2),
(149650,10176287,'Applies Bay and Howl when Activated.  Lasts for 20.0 seconds.',100,0,0),
(149651,10176287,'Increases Damage Per Second of caster by 10.0',100,1,1),
(149652,10176287,'The reuse time of Bay and Howl is 5 minutes',100,1,2),
(149653,45749,'Applies thekela''s Rejuvenation  when Activated.',100,0,0),
(149654,45749,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(149655,10045749,'Applies thekela''s Rejuvenation  when Activated.',100,0,0),
(149656,10045749,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(149657,117907,'Increases In-Combat Health Regeneration of group members (AE) by 90.0',100,1,0),
(149658,117907,'Increases Max Health of group members (AE) by 482.2',100,1,1),
(149659,10117907,'Increases In-Combat Health Regeneration of group members (AE) by 90.0',100,1,0),
(149660,10117907,'Increases Max Health of group members (AE) by 482.2',100,1,1),
(149661,102466,'Stuns target encounter',100,1,0),
(149662,102466,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(149663,102466,'Resistibility increases against targets higher than level 110.',100,1,2),
(149664,10102466,'Stuns target encounter',100,1,0),
(149665,10102466,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(149666,10102466,'Resistibility increases against targets higher than level 110.',100,1,2),
(149667,35735,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(149668,114732,'Inflicts 1375 - 2292 melee damage on target',100,1,0),
(149669,114732,'You must be in stealth.',100,1,1),
(149670,10114732,'Inflicts 1065 - 1775 melee damage on target',100,1,0),
(149671,10114732,'You must be in stealth.',100,1,1),
(149672,107346,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(149673,107346,'Increases Threat to target by 162 ',100,2,1),
(149674,10107346,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(149675,10107346,'Inflicts 50 - 55 crushing damage on target',100,2,1),
(149676,111096,'Heals target for 272 - 332',100,1,0),
(149677,111096,'This effect cannot be critically applied.',100,2,1),
(149678,111096,'Increases Mitigation of target vs physical damage by 118',100,1,2),
(149679,111096,'The healing of this spell cannot be modified except by direct means',100,1,3),
(149680,10111096,'Heals target for 99 - 121',100,1,0),
(149681,10111096,'This effect cannot be critically applied.',100,2,1),
(149682,10111096,'Increases Mitigation of target vs physical damage by 118',100,1,2),
(149683,10111096,'The healing of this spell cannot be modified except by direct means',100,1,3),
(149684,120416,'Inflicts 39 - 65 melee damage on target',100,1,0),
(149685,120416,'Inflicts 39 - 65 melee damage on target',100,1,1),
(149686,10120416,'Inflicts 50 - 84 melee damage on target',100,1,0),
(149687,10120416,'Inflicts 50 - 84 melee damage on target',100,1,1),
(149688,173813,'When Equipped:',100,0,0),
(149689,173813,'On a healing spell cast this spell may cast Intensity on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(149690,173813,'Increases ward and heal amount by 8%.',100,2,2),
(149691,173813,'Cannot be modified except by direct means',100,2,3),
(149692,10173813,'When Equipped:',100,0,0),
(149693,10173813,'On a healing spell cast this spell may cast Intensity on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(149694,10173813,'Increases ward and heal amount by 8%.',100,2,2),
(149695,10173813,'Cannot be modified except by direct means',100,2,3),
(149696,123824,'Inflicts 166 - 277 magic damage on target',100,1,0),
(149697,123824,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(149698,123824,'Decreases Defense of target by 36.8',100,1,2),
(149699,123824,'Target will lose 42% more power when power is consumed',100,1,3),
(149700,123824,'42% of target''s power consumed will also be drained from target''s health',100,1,4),
(149701,10123824,'Inflicts 216 - 360 magic damage on target',100,1,0),
(149702,10123824,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(149703,10123824,'Decreases Defense of target by 36.8',100,1,2),
(149704,10123824,'Target will lose 42% more power when power is consumed',100,1,3),
(149705,10123824,'42% of target''s power consumed will also be drained from target''s health',100,1,4),
(149706,77315,'When Equipped:',100,0,0),
(149707,77315,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149708,77315,'Inflicts 135 - 165 heat damage on target encounter',100,2,2),
(149709,77315,'Cannot be modified except by direct means',100,2,3),
(149710,10077315,'When Equipped:',100,0,0),
(149711,10077315,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149712,10077315,'Inflicts 175 - 214 heat damage on target encounter',100,2,2),
(149713,10077315,'Cannot be modified except by direct means',100,2,3),
(149714,189088,'When Equipped:',100,0,0),
(149715,189088,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(149716,189088,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(149717,189088,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(149718,189088,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(149719,189088,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(149720,189088,'Must not be engaged in pvp combat',100,2,6),
(149721,189088,'Cannot be modified except by direct means',100,2,7),
(149722,189088,'Must not be engaged in pvp combat',100,1,8),
(149723,10189088,'When Equipped:',100,0,0),
(149724,10189088,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(149725,10189088,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(149726,10189088,'Inflicts 905 - 1000 piercing damage on target instantly and every 3 seconds',100,2,3),
(149727,10189088,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(149728,10189088,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(149729,10189088,'Must not be engaged in pvp combat',100,2,6),
(149730,10189088,'Cannot be modified except by direct means',100,2,7),
(149731,10189088,'Must not be engaged in pvp combat',100,1,8),
(149732,121266,'Inflicts 2610 - 3190 heat damage on target encounter',100,1,0),
(149733,10121266,'Inflicts 3392 - 4146 heat damage on target encounter',100,1,0),
(149734,121282,'Inflicts 65 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(149735,121282,'Inflicts 213 - 356 melee damage on targets in area',100,1,1),
(149736,121282,'You must be in stealth or have Bloody Assault.',100,1,2),
(149737,10121282,'Inflicts 84 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(149738,10121282,'Inflicts 277 - 463 melee damage on targets in area',100,1,1),
(149739,10121282,'You must be in stealth or have Bloody Assault.',100,1,2),
(149740,100956,'Dazes target',100,1,0),
(149741,100956,'Inflicts 476 - 581 mental damage on target',100,1,1),
(149742,100956,'Epic targets gain an immunity to Daze effects of 31.5 seconds and duration is reduced to 3.5 seconds.',100,1,2),
(149743,100956,'Resistibility increases against targets higher than level 96.',100,1,3),
(149744,10100956,'Dazes target',100,1,0),
(149745,10100956,'Inflicts 618 - 756 mental damage on target',100,1,1),
(149746,10100956,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(149747,10100956,'Resistibility increases against targets higher than level 96.',100,1,3),
(149748,157250,'When Equipped:',100,0,0),
(149749,157250,'Increases poison trigger chance by 2.0%',100,1,1),
(149750,10157250,'When Equipped:',100,0,0),
(149751,10157250,'Increases poison trigger chance by 2.0%',100,1,1),
(149752,117108,'Mesmerizes target encounter',100,1,0),
(149753,117108,'Prevents AOE (except when direct) ',100,1,1),
(149754,117108,'Dispelled when target takes damage',100,1,2),
(149755,117108,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(149756,117108,'Resistibility increases against targets higher than level 96.',100,1,4),
(149757,10117108,'Mesmerizes target encounter',100,1,0),
(149758,10117108,'Prevents AOE (except when direct) ',100,1,1),
(149759,10117108,'Dispelled when target takes damage',100,1,2),
(149760,10117108,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(149761,10117108,'Resistibility increases against targets higher than level 96.',100,1,4),
(149762,101607,'Inflicts 669 - 1116 melee damage on targets in area',100,1,0),
(149763,10101607,'Inflicts 870 - 1451 melee damage on targets in area',100,1,0),
(149764,120839,'Inflicts 38 - 51 disease damage on target instantly and every second',100,1,0),
(149765,10120839,'Inflicts 69 - 93 disease damage on target',100,1,0),
(149766,10120839,'Inflicts 49 - 67 disease damage on target every second',100,1,1),
(149767,104034,'Stifles target',100,1,0),
(149768,104034,'If Target is not Epic',100,2,1),
(149769,104034,'Interrupts target',100,1,2),
(149770,104034,'Decreases Threat to target by 1,307 - 1,598 ',100,1,3),
(149771,104034,'Resistibility increases against targets higher than level 95.',100,1,4),
(149772,10104034,'Stifles target',100,1,0),
(149773,10104034,'If Target is not Epic',100,2,1),
(149774,10104034,'Interrupts target',100,1,2),
(149775,10104034,'Resistibility increases against targets higher than level 95.',100,1,3),
(149776,119478,'Dazes target encounter',100,1,0),
(149777,119478,'If Target is not Epic',100,2,1),
(149778,119478,'Inflicts 111 - 136 magic damage on target encounter instantly and every second',100,1,2),
(149779,119478,'Resistibility increases against targets higher than level 54.',100,1,3),
(149780,10119478,'Dazes target encounter',100,1,0),
(149781,10119478,'If Target is not Epic',100,2,1),
(149782,10119478,'Inflicts 190 - 232 magic damage on target encounter',100,1,2),
(149783,10119478,'Inflicts 145 - 177 magic damage on target encounter every second',100,1,3),
(149784,10119478,'Resistibility increases against targets higher than level 54.',100,1,4),
(149785,35567,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(149786,153947,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(149787,153947,'Decreases Attack Speed of target by 10.0',100,1,1),
(149788,153947,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(149789,10153947,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(149790,10153947,'Decreases Attack Speed of target by 10.0',100,1,1),
(149791,10153947,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(149792,112005,'Inflicts 449 - 749 piercing damage on target',100,1,0),
(149793,10112005,'Inflicts 584 - 973 piercing damage on target',100,1,0),
(149794,46034,'Applies Antidote Inoculation when Activated.',100,0,0),
(149795,46034,'Inoculates test subject.',100,1,1),
(149796,10046034,'Applies Antidote Inoculation when Activated.',100,0,0),
(149797,10046034,'Inoculates test subject.',100,1,1),
(149798,54423,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(149799,54423,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(149800,54423,'Inflicts 20 heat damage on target',100,2,2),
(149801,54423,'Cannot be modified except by direct means',100,2,3),
(149802,10054423,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(149803,10054423,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(149804,10054423,'Inflicts 27 heat damage on target',100,2,2),
(149805,10054423,'Cannot be modified except by direct means',100,2,3),
(149806,170650,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(149807,170650,'Decreases AGI, STR, WIS and INT of target by 58.3',100,1,1),
(149808,170650,'Decreases Max Health of target by 1.0%',100,1,2),
(149809,170650,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(149810,10170650,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(149811,10170650,'Decreases AGI, STR, WIS and INT of target by 58.3',100,1,1),
(149812,10170650,'Decreases Max Health of target by 1.0%',100,1,2),
(149813,10170650,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(149814,47012,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(149815,47012,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(149816,47012,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(149817,47012,'Cannot be modified except by direct means',100,2,3),
(149818,47012,'Grants a total of 80 triggers of the spell.',100,2,4),
(149819,10047012,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(149820,10047012,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(149821,10047012,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(149822,10047012,'Cannot be modified except by direct means',100,2,3),
(149823,10047012,'Grants a total of 80 triggers of the spell.',100,2,4),
(149824,173901,'Applies Darkness when Activated.  Lasts for 1 minute.',100,0,0),
(149825,173901,'Grants invisibility to caster',100,1,1),
(149826,173901,'Suspends caster''s movement speed enhancements',100,1,2),
(149827,173901,'This effect cancels during combat',100,1,3),
(149828,173901,'The casting time of Darkness is 1.0 second and the reuse time of the spell is 15 minutes',100,1,4),
(149829,10173901,'Applies Darkness when Activated.  Lasts for 1 minute.',100,0,0),
(149830,10173901,'Grants invisibility to caster',100,1,1),
(149831,10173901,'Suspends caster''s movement speed enhancements',100,1,2),
(149832,10173901,'This effect cancels during combat',100,1,3),
(149833,10173901,'The casting time of Darkness is 1.0 second and the reuse time of the spell is 15 minutes',100,1,4),
(149834,108386,'Heals target for 37 - 45',100,1,0),
(149835,10108386,'Heals target for 44 - 54',100,1,0),
(149836,107843,'Decreases Mitigation of target vs elemental damage by 306',100,1,0),
(149837,107843,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(149838,107843,'Slows target by 44.0%',100,2,2),
(149839,107843,'5% chance to dispel when target receives hostile action',100,2,3),
(149840,107843,'5% chance to dispel when target takes damage',100,2,4),
(149841,10107843,'Decreases Mitigation of target vs elemental damage by 306',100,1,0),
(149842,10107843,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(149843,10107843,'Slows target by 44.0%',100,2,2),
(149844,10107843,'5% chance to dispel when target receives hostile action',100,2,3),
(149845,10107843,'5% chance to dispel when target takes damage',100,2,4),
(149846,141886,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(149847,141886,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(149848,141886,'Inflicts 47 heat damage on target',100,2,2),
(149849,141886,'Cannot be modified except by direct means',100,2,3),
(149850,10141886,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(149851,10141886,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(149852,10141886,'Inflicts 61 heat damage on target',100,2,2),
(149853,10141886,'Cannot be modified except by direct means',100,2,3),
(149854,82490,'When Equipped:',100,0,0),
(149855,82490,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149856,82490,'Inflicts 212 - 393 magic damage on target',100,2,2),
(149857,82490,'Decreases Threat to target by 641 ',100,2,3),
(149858,82490,'Must be flanking or behind',100,3,4),
(149859,82490,'Increases Threat to target by 641 ',100,2,5),
(149860,82490,'Must be in front of',100,3,6),
(149861,82490,'Cannot be modified except by direct means',100,2,7),
(149862,10082490,'When Equipped:',100,0,0),
(149863,10082490,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(149864,10082490,'Inflicts 275 - 511 magic damage on target',100,2,2),
(149865,10082490,'Cannot be modified except by direct means',100,2,3),
(149866,100023,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(149867,100023,'Inflicts 193 - 322 melee damage on targets in area',100,2,1),
(149868,100023,'Decreases Defense of caster by 15.0',100,1,2),
(149869,100023,'Increases Slashing, Piercing and Crushing of caster by 31.5',100,1,3),
(149870,10100023,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(149871,10100023,'Inflicts 251 - 419 melee damage on targets in area',100,2,1),
(149872,10100023,'Decreases Defense of caster by 15.0',100,1,2),
(149873,10100023,'Increases Slashing, Piercing and Crushing of caster by 31.5',100,1,3),
(149874,124370,'Inflicts 358 - 437 divine damage on target',100,1,0),
(149875,124370,'Inflicts 149 - 182 divine damage on target every 4 seconds',100,1,1),
(149876,10124370,'Inflicts 465 - 568 divine damage on target',100,1,0),
(149877,10124370,'Inflicts 194 - 237 divine damage on target every 4 seconds',100,1,1),
(149878,110322,'Increases Max Power of target by 128.3',100,1,0),
(149879,110322,'Increases Max Health of target by 246.5',100,1,1),
(149880,10110322,'Increases Max Power of target by 128.3',100,1,0),
(149881,10110322,'Increases Max Health of target by 246.5',100,1,1),
(149882,36378,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(149883,139458,'When Equipped:',100,0,0),
(149884,139458,'Reduces maximum falling speed of caster',100,1,1),
(149885,10139458,'When Equipped:',100,0,0),
(149886,10139458,'Reduces maximum falling speed of caster',100,1,1),
(149887,116391,'Heals target for 194 - 237 instantly and every 2 seconds',100,1,0),
(149888,10116391,'Heals target for 126 - 154 instantly and every 2 seconds',100,1,0),
(149889,114323,'Dispels 16 levels of noxious hostile effects on target',100,1,0),
(149890,114323,'Heals target for 65 - 79',100,1,1),
(149891,114323,'This effect cannot be critically applied.',100,2,2),
(149892,114323,'The healing of this spell cannot be modified except by direct means',100,1,3),
(149893,10114323,'Dispels 16 levels of noxious hostile effects on target',100,1,0),
(149894,10114323,'Heals target for 26 - 32',100,1,1),
(149895,10114323,'This effect cannot be critically applied.',100,2,2),
(149896,10114323,'The healing of this spell cannot be modified except by direct means',100,1,3),
(149897,186015,'When Equipped:',100,0,0),
(149898,186015,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(149899,186015,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(149900,186015,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,3),
(149901,186015,'Must not be engaged in pvp combat',100,2,4),
(149902,186015,'Cannot be modified except by direct means',100,2,5),
(149903,186015,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(149904,186015,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,7),
(149905,186015,'Must not be engaged in pvp combat',100,2,8),
(149906,186015,'Cannot be modified except by direct means',100,2,9),
(149907,186015,'Cannot be modified except by direct means',100,1,10),
(149908,10186015,'When Equipped:',100,0,0),
(149909,10186015,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(149910,10186015,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(149911,10186015,'Inflicts 1407 - 1555 disease damage on target instantly and every 2 seconds',100,2,3),
(149912,10186015,'Must not be engaged in pvp combat',100,2,4),
(149913,10186015,'Cannot be modified except by direct means',100,2,5),
(149914,10186015,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(149915,10186015,'Inflicts 1407 - 1555 disease damage on target instantly and every 2 seconds',100,2,7),
(149916,10186015,'Must not be engaged in pvp combat',100,2,8),
(149917,10186015,'Cannot be modified except by direct means',100,2,9),
(149918,10186015,'Cannot be modified except by direct means',100,1,10),
(149919,119266,'Inflicts 41 - 68 slashing damage on target',100,1,0),
(149920,119266,'Decreases Damage Per Second of target by 9.2',100,1,1),
(149921,119266,'Inflicts 55 slashing damage on target instantly and every 4 seconds',100,1,2),
(149922,10119266,'Inflicts 53 - 89 slashing damage on target',100,1,0),
(149923,10119266,'Decreases Damage Per Second of target by 9.2',100,1,1),
(149924,10119266,'Inflicts 72 slashing damage on target instantly and every 4 seconds',100,1,2),
(149925,144637,'When Equipped:',100,0,0),
(149926,144637,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(149927,144637,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(149928,144637,'Heals caster for 811 - 1217',100,2,3),
(149929,144637,'Cannot be modified except by direct means',100,2,4),
(149930,144637,'Cannot be modified except by direct means',100,1,5),
(149931,10144637,'When Equipped:',100,0,0),
(149932,10144637,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(149933,10144637,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(149934,10144637,'Heals caster for 949 - 1424',100,2,3),
(149935,10144637,'Cannot be modified except by direct means',100,2,4),
(149936,10144637,'Cannot be modified except by direct means',100,1,5),
(149937,103473,'Increases In-Combat Power Regeneration of group members (AE) by 15.0',100,1,0),
(149938,10103473,'Increases In-Combat Power Regeneration of group members (AE) by 15.0',100,1,0),
(149939,113395,'Reduces physical damage done to caster by 5%',100,1,0),
(149940,113395,'Increases STA of caster by 13.2',100,1,1),
(149941,113395,'Adds 3.1% to base avoidance.',100,1,2),
(149942,113395,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(149943,113395,'Increases Defense and Aggression of caster by 1.8',100,1,4),
(149944,113395,'Increases Mitigation of caster vs noxious damage by 154',100,1,5),
(149945,113395,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(149946,10113395,'Reduces physical damage done to caster by 5%',100,1,0),
(149947,10113395,'Increases STA of caster by 13.2',100,1,1),
(149948,10113395,'Adds 3.1% to base avoidance.',100,1,2),
(149949,10113395,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(149950,10113395,'Increases Defense and Aggression of caster by 1.8',100,1,4),
(149951,10113395,'Increases Mitigation of caster vs noxious damage by 154',100,1,5),
(149952,10113395,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(149953,74672,'When Equipped:',100,0,0),
(149954,74672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149955,74672,'Inflicts 66 - 99 magic damage on target',100,2,2),
(149956,74672,'Cannot be modified except by direct means',100,2,3),
(149957,10074672,'When Equipped:',100,0,0),
(149958,10074672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149959,10074672,'Inflicts 86 - 129 magic damage on target',100,2,2),
(149960,10074672,'Cannot be modified except by direct means',100,2,3),
(149961,114484,'Increases In-Combat Power Regeneration of group members (AE) by 6.7',100,1,0),
(149962,10114484,'Increases In-Combat Power Regeneration of group members (AE) by 6.7',100,1,0),
(149963,48111,'Applies Leash when Activated.',100,0,0),
(149964,10048111,'Applies Leash when Activated.',100,0,0),
(149965,103809,'Increases Ability Casting Speed of raid and group members (AE) by 3.7%',100,1,0),
(149966,103809,'Increases Attack Speed of raid and group members (AE) by 9.3',100,1,1),
(149967,10103809,'Increases Ability Casting Speed of raid and group members (AE) by 3.7%',100,1,0),
(149968,10103809,'Increases Attack Speed of raid and group members (AE) by 9.3',100,1,1),
(149969,36973,'Increases Max Power of target by 3.3',100,0,0),
(149970,36973,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(149971,186399,'When Equipped:',100,0,0),
(149972,186399,'Reduces maximum falling speed of caster',100,1,1),
(149973,10186399,'When Equipped:',100,0,0),
(149974,10186399,'Reduces maximum falling speed of caster',100,1,1),
(149975,46407,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(149976,46407,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(149977,46407,'Inflicts 651 poison damage on target',100,2,2),
(149978,46407,'Heals caster for 395',100,2,3),
(149979,46407,'Cannot be modified except by direct means',100,2,4),
(149980,46407,'Grants a total of 100 triggers of the spell.',100,2,5),
(149981,10046407,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(149982,10046407,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(149983,10046407,'Inflicts 605 poison damage on target',100,2,2),
(149984,10046407,'Heals caster for 160',100,2,3),
(149985,10046407,'Cannot be modified except by direct means',100,2,4),
(149986,10046407,'Grants a total of 100 triggers of the spell.',100,2,5),
(149987,81959,'When Equipped:',100,0,0),
(149988,81959,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149989,81959,'Inflicts 408 - 757 magic damage on target',100,2,2),
(149990,81959,'Cannot be modified except by direct means',100,2,3),
(149991,10081959,'When Equipped:',100,0,0),
(149992,10081959,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(149993,10081959,'Inflicts 530 - 984 magic damage on target',100,2,2),
(149994,10081959,'Cannot be modified except by direct means',100,2,3),
(149995,118364,'Inflicts 146 - 243 melee damage on target',100,1,0),
(149996,118364,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(149997,118364,'Stuns target',100,2,2),
(149998,118364,'Throws target back',100,2,3),
(149999,118364,'Blurs vision of target',100,2,4),
(150000,118364,'Does not affect Epic targets',100,2,5),
(150001,10118364,'Inflicts 190 - 317 melee damage on target',100,1,0),
(150002,10118364,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(150003,10118364,'Stuns target',100,2,2),
(150004,10118364,'Throws target back',100,2,3),
(150005,10118364,'Blurs vision of target',100,2,4),
(150006,10118364,'Does not affect Epic targets',100,2,5),
(150007,121520,'Inflicts 312 - 521 melee damage on target',100,1,0),
(150008,121520,'Stuns target',100,1,1),
(150009,121520,'If Target is not Epic',100,2,2),
(150010,121520,'Resistibility increases against targets higher than level 73.',100,1,3),
(150011,10121520,'Inflicts 406 - 677 melee damage on target',100,1,0),
(150012,10121520,'Stuns target',100,1,1),
(150013,10121520,'If Target is not Epic',100,2,2),
(150014,10121520,'Resistibility increases against targets higher than level 73.',100,1,3),
(150015,146526,'When Equipped:',100,0,0),
(150016,146526,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(150017,146526,'Inflicts 828 mental damage on target',100,2,2),
(150018,146526,'Increases threat priority of target by 1 position',100,2,3),
(150019,146526,'Cannot be modified except by direct means',100,2,4),
(150020,146526,'Cannot be modified except by direct means',100,1,5),
(150021,10146526,'When Equipped:',100,0,0),
(150022,10146526,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(150023,10146526,'Inflicts 1076 mental damage on target',100,2,2),
(150024,10146526,'Cannot be modified except by direct means',100,2,3),
(150025,10146526,'Cannot be modified except by direct means',100,1,4),
(150026,139546,'When Equipped:',100,0,0),
(150027,139546,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150028,139546,'Makes caster immune to Stifle effects',100,2,2),
(150029,139546,'Must not be engaged in pvp combat',100,2,3),
(150030,139546,'Cannot be modified except by direct means',100,2,4),
(150031,139546,'Must not be engaged in pvp combat',100,1,5),
(150032,10139546,'When Equipped:',100,0,0),
(150033,10139546,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150034,10139546,'Makes caster immune to Stifle effects',100,2,2),
(150035,10139546,'Must not be engaged in pvp combat',100,2,3),
(150036,10139546,'Cannot be modified except by direct means',100,2,4),
(150037,10139546,'Must not be engaged in pvp combat',100,1,5),
(150038,104957,'Inflicts 1392 - 2321 melee damage on target',100,1,0),
(150039,104957,'Decreases Defense of target by 52.3',100,1,1),
(150040,104957,'Must be behind',100,1,2),
(150041,10104957,'Inflicts 1810 - 3017 melee damage on target',100,1,0),
(150042,10104957,'Decreases Defense of target by 52.3',100,1,1),
(150043,10104957,'Must be behind',100,1,2),
(150044,144608,'When Equipped:',100,0,0),
(150045,144608,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(150046,144608,'Heals group members (AE) for 580',100,2,2),
(150047,144608,'Cannot be modified except by direct means',100,2,3),
(150048,10144608,'When Equipped:',100,0,0),
(150049,10144608,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(150050,10144608,'Heals group members (AE) for 679',100,2,2),
(150051,10144608,'Cannot be modified except by direct means',100,2,3),
(150052,108525,'Increases AGI and WIS of group members (AE) by 57.3',100,1,0),
(150053,108525,'Adds 2.4% to base avoidance.',100,1,1),
(150054,108525,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 162',100,1,2),
(150055,10108525,'Increases AGI and WIS of group members (AE) by 57.3',100,1,0),
(150056,10108525,'Adds 2.4% to base avoidance.',100,1,1),
(150057,10108525,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 162',100,1,2),
(150058,83987,'Applies Lightning Shock when Activated.',100,0,0),
(150059,83987,'Inflicts 195 - 325 magic damage on target',100,1,1),
(150060,83987,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(150061,10083987,'Applies Lightning Shock when Activated.',100,0,0),
(150062,10083987,'Inflicts 253 - 422 magic damage on target',100,1,1),
(150063,10083987,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(150064,72091,'When Equipped:',100,0,0),
(150065,72091,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150066,72091,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(150067,72091,'Cannot be modified except by direct means',100,2,3),
(150068,10072091,'When Equipped:',100,0,0),
(150069,10072091,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150070,10072091,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(150071,10072091,'Cannot be modified except by direct means',100,2,3),
(150072,88693,'When Equipped:',100,0,0),
(150073,88693,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150074,88693,'Inflicts 135 - 165 heat damage on target encounter',100,2,2),
(150075,88693,'Cannot be modified except by direct means',100,2,3),
(150076,10088693,'When Equipped:',100,0,0),
(150077,10088693,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150078,10088693,'Inflicts 175 - 214 heat damage on target encounter',100,2,2),
(150079,10088693,'Cannot be modified except by direct means',100,2,3),
(150080,141772,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(150081,141772,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(150082,141772,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(150083,141772,'Cannot be modified except by direct means',100,2,3),
(150084,10141772,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(150085,10141772,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(150086,10141772,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(150087,10141772,'Cannot be modified except by direct means',100,2,3),
(150088,155241,'Applies Cry of Agony when Activated.',100,0,0),
(150089,155241,'Inflicts 38 - 113 mental damage on targets in Area of Effect',100,1,1),
(150090,155241,'The casting time of Cry of Agony is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(150091,10155241,'Applies Cry of Agony when Activated.',100,0,0),
(150092,10155241,'Inflicts 49 - 146 mental damage on targets in Area of Effect',100,1,1),
(150093,10155241,'The casting time of Cry of Agony is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(150094,120377,'Decreases Defense of caster by 1.8',100,1,0),
(150095,120377,'Increases Crushing and Ranged of caster by 2.7',100,1,1),
(150096,120377,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(150097,120377,'Inflicts 14 - 23 heat damage on target',100,2,3),
(150098,120377,'Increases Slashing and Piercing of caster by 2.7',100,1,4),
(150099,10120377,'Decreases Defense of caster by 1.8',100,1,0),
(150100,10120377,'Increases Crushing and Ranged of caster by 2.7',100,1,1),
(150101,10120377,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(150102,10120377,'Inflicts 18 - 30 heat damage on target',100,2,3),
(150103,10120377,'Increases Slashing and Piercing of caster by 2.7',100,1,4),
(150104,89865,'When Equipped:',100,0,0),
(150105,89865,'On a hostile spell hit this spell may cast Seer''s Renewal on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150106,89865,'Increases power of caster by 95',100,2,2),
(150107,89865,'Increases power of caster by 143 every 5 seconds',100,2,3),
(150108,89865,'Cannot be modified except by direct means',100,2,4),
(150109,10089865,'When Equipped:',100,0,0),
(150110,10089865,'On a hostile spell hit this spell may cast Seer''s Renewal on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150111,10089865,'Increases power of caster by 95',100,2,2),
(150112,10089865,'Increases power of caster by 143 every 5 seconds',100,2,3),
(150113,10089865,'Cannot be modified except by direct means',100,2,4),
(150114,35930,'Increases STR of target by 1.5',100,0,0),
(150115,35930,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(150116,80742,'When Equipped:',100,0,0),
(150117,80742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150118,80742,'Inflicts 75 - 138 magic damage on target',100,2,2),
(150119,80742,'Cannot be modified except by direct means',100,2,3),
(150120,10080742,'When Equipped:',100,0,0),
(150121,10080742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150122,10080742,'Inflicts 97 - 180 magic damage on target',100,2,2),
(150123,10080742,'Cannot be modified except by direct means',100,2,3),
(150124,113371,'Applies Stifle.  Lasts for 7.0 seconds.',100,1,0),
(150125,113371,'Stifles target',100,2,1),
(150126,113371,'Blurs vision of target',100,2,2),
(150127,113371,'Dispelled when target takes damage',100,2,3),
(150128,113371,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,4),
(150129,113371,'Resistibility increases against targets higher than level 76.',100,2,5),
(150130,113371,'Roots target',100,1,6),
(150131,113371,'5% chance to dispel when target takes damage',100,1,7),
(150132,113371,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,8),
(150133,113371,'Resistibility increases against targets higher than level 76.',100,1,9),
(150134,10113371,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(150135,10113371,'Stifles target',100,2,1),
(150136,10113371,'Blurs vision of target',100,2,2),
(150137,10113371,'Dispelled when target takes damage',100,2,3),
(150138,10113371,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(150139,10113371,'Resistibility increases against targets higher than level 76.',100,2,5),
(150140,10113371,'Roots target',100,1,6),
(150141,10113371,'5% chance to dispel when target takes damage',100,1,7),
(150142,10113371,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(150143,10113371,'Resistibility increases against targets higher than level 76.',100,1,9),
(150144,49092,'Applies Vox''s Sanctification when Activated.  Lasts for 30 minutes.',100,0,0),
(150145,49092,'Increases AGI of caster by 11.3',100,1,1),
(150146,10049092,'Applies Vox''s Sanctification when Activated.  Lasts for 30 minutes.',100,0,0),
(150147,10049092,'Increases AGI of caster by 11.3',100,1,1),
(150148,117966,'Heals target for 532 - 650',100,1,0),
(150149,117966,'Increases Max Health of target by 78.9',100,1,1),
(150150,10117966,'Heals target for 610 - 745',100,1,0),
(150151,10117966,'Increases Max Health of target by 78.9',100,1,1),
(150152,100851,'Wards target against 1062 points of all damage',100,1,0),
(150153,10100851,'Wards target against 1634 points of all damage',100,1,0),
(150154,154226,'When Equipped:',100,0,0),
(150155,154226,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150156,154226,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(150157,154226,'Dispelled when target casts a hostile spell',100,2,3),
(150158,154226,'Dispelled when target casts a combat art',100,2,4),
(150159,154226,'Cannot be modified except by direct means',100,2,5),
(150160,154226,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(150161,154226,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(150162,154226,'Dispelled when target casts a hostile spell',100,2,8),
(150163,154226,'Dispelled when target casts a combat art',100,2,9),
(150164,154226,'Cannot be modified except by direct means',100,2,10),
(150165,10154226,'When Equipped:',100,0,0),
(150166,10154226,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150167,10154226,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(150168,10154226,'Dispelled when target casts a hostile spell',100,2,3),
(150169,10154226,'Dispelled when target casts a combat art',100,2,4),
(150170,10154226,'Cannot be modified except by direct means',100,2,5),
(150171,10154226,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(150172,10154226,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(150173,10154226,'Dispelled when target casts a hostile spell',100,2,8),
(150174,10154226,'Dispelled when target casts a combat art',100,2,9),
(150175,10154226,'Cannot be modified except by direct means',100,2,10),
(150176,120173,'Applies Life Draw on termination.',100,1,0),
(150177,120173,'Inflicts 301 - 502 disease damage on target',100,2,1),
(150178,120173,'Heals caster for 9.9 - 12.1% of max health',100,2,2),
(150179,120173,'This effect cannot be critically applied.',100,3,3),
(150180,120173,'The healing of this spell cannot be modified except by direct means',100,2,4),
(150181,120173,'Inflicts 87 - 146 disease damage on target',100,1,5),
(150182,10120173,'Applies Life Draw on termination.',100,1,0),
(150183,10120173,'Inflicts 391 - 652 disease damage on target',100,2,1),
(150184,10120173,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(150185,10120173,'This effect cannot be critically applied.',100,3,3),
(150186,10120173,'The healing of this spell cannot be modified except by direct means',100,2,4),
(150187,10120173,'Inflicts 114 - 190 disease damage on target',100,1,5),
(150188,87459,'When Equipped:',100,0,0),
(150189,87459,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150190,87459,'Inflicts 44 - 66 magic damage on target',100,2,2),
(150191,87459,'Cannot be modified except by direct means',100,2,3),
(150192,10087459,'When Equipped:',100,0,0),
(150193,10087459,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150194,10087459,'Inflicts 57 - 85 magic damage on target',100,2,2),
(150195,10087459,'Cannot be modified except by direct means',100,2,3),
(150196,36081,'Increases STR and STA of target by 5.4',100,0,0),
(150197,36081,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(150198,36081,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(150199,24457,'Adds Increase Tier I (Single) to your Dungeon Maker toolbox',100,0,0),
(150200,10024457,'Adds Increase Tier I (Single) to your Dungeon Maker toolbox',100,0,0),
(150201,71805,'When Equipped:',100,0,0),
(150202,71805,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150203,71805,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(150204,71805,'Cannot be modified except by direct means',100,2,3),
(150205,10071805,'When Equipped:',100,0,0),
(150206,10071805,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150207,10071805,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(150208,10071805,'Cannot be modified except by direct means',100,2,3),
(150209,117816,'Mesmerizes target',100,1,0),
(150210,117816,'Prevents AOE (except when direct) ',100,1,1),
(150211,117816,'Dispelled when target takes damage',100,1,2),
(150212,117816,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(150213,117816,'Resistibility increases against targets higher than level 117.',100,1,4),
(150214,10117816,'Mesmerizes target',100,1,0),
(150215,10117816,'Prevents AOE (except when direct) ',100,1,1),
(150216,10117816,'Dispelled when target takes damage',100,1,2),
(150217,10117816,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(150218,10117816,'Resistibility increases against targets higher than level 117.',100,1,4),
(150219,87358,'When Equipped:',100,0,0),
(150220,87358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150221,87358,'Inflicts 150 - 225 magic damage on target',100,2,2),
(150222,87358,'Cannot be modified except by direct means',100,2,3),
(150223,10087358,'When Equipped:',100,0,0),
(150224,10087358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150225,10087358,'Inflicts 195 - 292 magic damage on target',100,2,2),
(150226,10087358,'Cannot be modified except by direct means',100,2,3),
(150227,102195,'Increases Mitigation of group members (AE) vs physical damage by 653',100,1,0),
(150228,10102195,'Increases Mitigation of group members (AE) vs physical damage by 653',100,1,0),
(150229,139697,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(150230,139697,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(150231,139697,'Cannot be modified except by direct means',100,1,2),
(150232,10139697,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(150233,10139697,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(150234,10139697,'Cannot be modified except by direct means',100,1,2),
(150235,112116,'Dispels 18 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(150236,10112116,'Dispels 18 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(150237,36108,'Increases INT of target by 1.5',100,0,0),
(150238,36108,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(150239,176420,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(150240,176420,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(150241,176420,'Decreases Attack Speed of target by 10.0',100,2,2),
(150242,176420,'Cannot be modified except by direct means',100,2,3),
(150243,176420,'Slows target by 26.3%',100,1,4),
(150244,176420,'5% chance to dispel when target takes damage',100,1,5),
(150245,176420,'5% chance to dispel when target receives hostile action',100,1,6),
(150246,176420,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(150247,10176420,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(150248,10176420,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(150249,10176420,'Decreases Attack Speed of target by 10.0',100,2,2),
(150250,10176420,'Cannot be modified except by direct means',100,2,3),
(150251,10176420,'Slows target by 26.3%',100,1,4),
(150252,10176420,'5% chance to dispel when target takes damage',100,1,5),
(150253,10176420,'5% chance to dispel when target receives hostile action',100,1,6),
(150254,10176420,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(150255,90100,'When Equipped:',100,0,0),
(150256,90100,'On a combat hit this spell may cast Scorching Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150257,90100,'Inflicts 133 heat damage on target',100,2,2),
(150258,90100,'Cannot be modified except by direct means',100,2,3),
(150259,10090100,'When Equipped:',100,0,0),
(150260,10090100,'On a combat hit this spell may cast Scorching Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150261,10090100,'Inflicts 173 heat damage on target',100,2,2),
(150262,10090100,'Cannot be modified except by direct means',100,2,3),
(150263,36358,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(150264,111185,'Inflicts 126 - 211 divine damage on targets in area',100,1,0),
(150265,111185,'Heals group members (AE) for 1.7% of max health',100,1,1),
(150266,111185,'This effect cannot be critically applied.',100,2,2),
(150267,111185,'The healing of this spell cannot be modified except by direct means',100,1,3),
(150268,10111185,'Inflicts 165 - 275 divine damage on targets in area',100,1,0),
(150269,10111185,'Heals group members (AE) for 1.1% of max health',100,1,1),
(150270,10111185,'This effect cannot be critically applied.',100,2,2),
(150271,10111185,'The healing of this spell cannot be modified except by direct means',100,1,3),
(150272,111619,'Inflicts 109 - 203 cold damage on target instantly and every 4 seconds',100,1,0),
(150273,111619,'Decreases Mitigation of target vs elemental damage by 1282',100,1,1),
(150274,10111619,'Inflicts 142 - 263 cold damage on target instantly and every 4 seconds',100,1,0),
(150275,10111619,'Decreases Mitigation of target vs elemental damage by 1282',100,1,1),
(150276,74766,'When Equipped:',100,0,0),
(150277,74766,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150278,74766,'Inflicts 97 - 145 magic damage on target',100,2,2),
(150279,74766,'Cannot be modified except by direct means',100,2,3),
(150280,10074766,'When Equipped:',100,0,0),
(150281,10074766,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150282,10074766,'Inflicts 126 - 189 magic damage on target',100,2,2),
(150283,10074766,'Cannot be modified except by direct means',100,2,3),
(150284,106261,'Wards target against 627 points of all damage',100,1,0),
(150285,10106261,'Wards target against 627 points of all damage',100,1,0),
(150286,154952,'When Equipped:',100,0,0),
(150287,154952,'Increases Attack Speed of caster by 20.0',100,1,1),
(150288,10154952,'When Equipped:',100,0,0),
(150289,10154952,'Increases Attack Speed of caster by 20.0',100,1,1),
(150290,103564,'Increases In-Combat Power Regeneration of group members (AE) by 35.4',100,1,0),
(150291,10103564,'Increases In-Combat Power Regeneration of group members (AE) by 35.4',100,1,0),
(150292,119800,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(150293,119800,'Adds 1.5% to base avoidance.',100,1,1),
(150294,10119800,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(150295,10119800,'Adds 1.5% to base avoidance.',100,1,1),
(150296,152831,'When Equipped:',100,0,0),
(150297,152831,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(150298,152831,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(150299,152831,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(150300,152831,'Must not be engaged in pvp combat',100,2,4),
(150301,152831,'Cannot be modified except by direct means',100,2,5),
(150302,152831,'Cannot be modified except by direct means',100,1,6),
(150303,10152831,'When Equipped:',100,0,0),
(150304,10152831,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(150305,10152831,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(150306,10152831,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(150307,10152831,'Must not be engaged in pvp combat',100,2,4),
(150308,10152831,'Cannot be modified except by direct means',100,2,5),
(150309,10152831,'Cannot be modified except by direct means',100,1,6),
(150310,75851,'When Equipped:',100,0,0),
(150311,75851,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(150312,75851,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(150313,75851,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(150314,75851,'Heals target for 1777',100,3,4),
(150315,75851,'Must not be engaged in pvp combat',100,3,5),
(150316,75851,'Cannot be modified except by direct means',100,3,6),
(150317,75851,'Grants a total of 5 triggers of the spell.',100,3,7),
(150318,75851,'Must not be engaged in pvp combat',100,2,8),
(150319,75851,'Cannot be modified except by direct means',100,2,9),
(150320,75851,'Cannot be modified except by direct means',100,1,10),
(150321,10075851,'When Equipped:',100,0,0),
(150322,10075851,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(150323,10075851,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(150324,10075851,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(150325,10075851,'Heals target for 2080',100,3,4),
(150326,10075851,'Must not be engaged in pvp combat',100,3,5),
(150327,10075851,'Cannot be modified except by direct means',100,3,6),
(150328,10075851,'Grants a total of 5 triggers of the spell.',100,3,7),
(150329,10075851,'Must not be engaged in pvp combat',100,2,8),
(150330,10075851,'Cannot be modified except by direct means',100,2,9),
(150331,10075851,'Cannot be modified except by direct means',100,1,10),
(150332,101928,'Inflicts 104 piercing damage on target instantly and every 4 seconds',100,1,0),
(150333,101928,'Inflicts 312 - 520 melee damage on target',100,1,1),
(150334,101928,'Must be behind',100,1,2),
(150335,10101928,'Inflicts 135 piercing damage on target instantly and every 4 seconds',100,1,0),
(150336,10101928,'Inflicts 405 - 676 melee damage on target',100,1,1),
(150337,10101928,'Must be behind',100,1,2),
(150338,80886,'When Equipped:',100,0,0),
(150339,80886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150340,80886,'Inflicts 259 - 481 magic damage on target',100,2,2),
(150341,80886,'Cannot be modified except by direct means',100,2,3),
(150342,10080886,'When Equipped:',100,0,0),
(150343,10080886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150344,10080886,'Inflicts 337 - 625 magic damage on target',100,2,2),
(150345,10080886,'Cannot be modified except by direct means',100,2,3),
(150346,170677,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(150347,170677,'Decreases Mitigation of target vs physical damage by 315',100,1,1),
(150348,170677,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(150349,10170677,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(150350,10170677,'Decreases Mitigation of target vs physical damage by 315',100,1,1),
(150351,10170677,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(150352,133843,'When Equipped:',100,0,0),
(150353,133843,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(150354,133843,'Increases Potency of caster by 3.5%',100,1,2),
(150355,133843,'Cannot be modified except by direct means',100,1,3),
(150356,10133843,'When Equipped:',100,0,0),
(150357,10133843,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(150358,10133843,'Increases Potency of caster by 3.5%',100,1,2),
(150359,10133843,'Cannot be modified except by direct means',100,1,3),
(150360,105498,'Stuns target encounter',100,1,0),
(150361,105498,'If Target is not Epic',100,2,1),
(150362,105498,'Inflicts 867 - 1609 poison damage on target encounter',100,1,2),
(150363,105498,'Resistibility increases against targets higher than level 115.',100,1,3),
(150364,10105498,'Inflicts 1127 - 2092 poison damage on target encounter',100,1,0),
(150365,10105498,'Stuns target encounter',100,1,1),
(150366,10105498,'If Target is not Epic',100,2,2),
(150367,10105498,'Resistibility increases against targets higher than level 115.',100,1,3),
(150368,162996,'When Equipped:',100,0,0),
(150369,162996,'On a healing spell cast this spell may cast Frozen Memory on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150370,162996,'Wards target against 620 points of all damage',100,2,2),
(150371,162996,'Replenishes 620 points of absorption every 5 seconds.',100,2,3),
(150372,162996,'Increases Ability Modifier of target by 100.0',100,2,4),
(150373,162996,'Cannot be modified except by direct means',100,2,5),
(150374,162996,'Cannot be modified except by direct means',100,1,6),
(150375,162996,'When Equipped:',100,0,7),
(150376,162996,'Reduces cast time of beneficial spells by 5 percent.',100,1,8),
(150377,10162996,'When Equipped:',100,0,0),
(150378,10162996,'On a healing spell cast this spell may cast Frozen Memory on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150379,10162996,'Wards target against 620 points of all damage',100,2,2),
(150380,10162996,'Replenishes 620 points of absorption every 5 seconds.',100,2,3),
(150381,10162996,'Increases Ability Modifier of target by 100.0',100,2,4),
(150382,10162996,'Cannot be modified except by direct means',100,2,5),
(150383,10162996,'Cannot be modified except by direct means',100,1,6),
(150384,10162996,'When Equipped:',100,0,7),
(150385,10162996,'Reduces cast time of beneficial spells by 5 percent.',100,1,8),
(150386,102297,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(150387,102297,'Decreases Threat to target by 758 ',100,2,1),
(150388,10102297,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(150389,10102297,'Inflicts 70 - 77 crushing damage on target',100,2,1),
(150390,71799,'When Equipped:',100,0,0),
(150391,71799,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150392,71799,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(150393,71799,'Cannot be modified except by direct means',100,2,3),
(150394,10071799,'When Equipped:',100,0,0),
(150395,10071799,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150396,10071799,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(150397,10071799,'Cannot be modified except by direct means',100,2,3),
(150398,110351,'Increases Max Power of target by 762.5',100,1,0),
(150399,110351,'Increases Max Health of target by 1,696.8',100,1,1),
(150400,10110351,'Increases Max Power of target by 762.5',100,1,0),
(150401,10110351,'Increases Max Health of target by 1,696.8',100,1,1),
(150402,81995,'When Equipped:',100,0,0),
(150403,81995,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150404,81995,'Inflicts 212 - 393 magic damage on target',100,2,2),
(150405,81995,'Cannot be modified except by direct means',100,2,3),
(150406,10081995,'When Equipped:',100,0,0),
(150407,10081995,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150408,10081995,'Inflicts 275 - 511 magic damage on target',100,2,2),
(150409,10081995,'Cannot be modified except by direct means',100,2,3),
(150410,45575,'Applies Crovsar''s Invigoration  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(150411,45575,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(150412,45575,'Inflicts 2 magic damage on target',100,2,2),
(150413,45575,'Cannot be modified except by direct means',100,2,3),
(150414,10045575,'Applies Crovsar''s Invigoration  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(150415,10045575,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(150416,10045575,'Inflicts 2 magic damage on target',100,2,2),
(150417,10045575,'Cannot be modified except by direct means',100,2,3),
(150418,45304,'Applies Place Totem when Activated.',100,0,0),
(150419,10045304,'Applies Place Totem when Activated.',100,0,0),
(150420,42179,'When Equipped:',100,0,0),
(150421,42179,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(150422,42179,'Wards caster against 1250 points of all damage',100,2,2),
(150423,42179,'Cannot be modified except by direct means',100,2,3),
(150424,42179,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(150425,42179,'Wards caster against 1250 points of all damage',100,2,5),
(150426,42179,'Cannot be modified except by direct means',100,2,6),
(150427,10042179,'When Equipped:',100,0,0),
(150428,10042179,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(150429,10042179,'Wards caster against 625 points of all damage',100,2,2),
(150430,10042179,'Cannot be modified except by direct means',100,2,3),
(150431,10042179,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(150432,10042179,'Wards caster against 625 points of all damage',100,2,5),
(150433,10042179,'Cannot be modified except by direct means',100,2,6),
(150434,102216,'Increases Max Health of group members (AE) by 286.7',100,1,0),
(150435,10102216,'Increases Max Health of group members (AE) by 286.7',100,1,0),
(150436,54420,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(150437,54420,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(150438,54420,'Inflicts 70 heat damage on target',100,2,2),
(150439,54420,'Cannot be modified except by direct means',100,2,3),
(150440,10054420,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(150441,10054420,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(150442,10054420,'Inflicts 91 heat damage on target',100,2,2),
(150443,10054420,'Cannot be modified except by direct means',100,2,3),
(150444,115506,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(150445,115506,'Increases Mitigation of group members (AE) vs noxious damage by 550',100,1,1),
(150446,10115506,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(150447,10115506,'Increases Mitigation of group members (AE) vs noxious damage by 550',100,1,1),
(150448,122586,'Inflicts 72 - 88 mental damage on target instantly and every 3 seconds',100,1,0),
(150449,122586,'Decreases Mitigation of target vs arcane damage by 468',100,1,1),
(150450,10122586,'Inflicts 94 - 115 mental damage on target instantly and every 3 seconds',100,1,0),
(150451,10122586,'Decreases Mitigation of target vs arcane damage by 468',100,1,1),
(150452,82855,'When Equipped:',100,0,0),
(150453,82855,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(150454,82855,'Decreases Threat to target by 833 ',100,2,2),
(150455,82855,'Must be flanking or behind',100,3,3),
(150456,82855,'Increases Threat to target by 833 ',100,2,4),
(150457,82855,'Must be in front of',100,3,5),
(150458,82855,'Inflicts 350 - 650 magic damage on target',100,2,6),
(150459,82855,'Cannot be modified except by direct means',100,2,7),
(150460,10082855,'When Equipped:',100,0,0),
(150461,10082855,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(150462,10082855,'Inflicts 455 - 845 magic damage on target',100,2,2),
(150463,10082855,'Cannot be modified except by direct means',100,2,3),
(150464,36149,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(150465,123971,'Inflicts 455 - 759 melee damage on target',100,1,0),
(150466,123971,'Decreases AGI of target by 41.2',100,1,1),
(150467,123971,'Must be behind',100,1,2),
(150468,10123971,'Inflicts 592 - 986 melee damage on target',100,1,0),
(150469,10123971,'Decreases AGI of target by 41.2',100,1,1),
(150470,10123971,'Must be behind',100,1,2),
(150471,169974,'When Equipped:',100,0,0),
(150472,169974,'On a combat hit this spell may cast Infusion on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150473,169974,'Heals caster for 128 - 193',100,2,2),
(150474,169974,'Increases Mitigation of caster vs physical damage by 134',100,2,3),
(150475,169974,'Cannot be modified except by direct means',100,2,4),
(150476,10169974,'When Equipped:',100,0,0),
(150477,10169974,'On a combat hit this spell may cast Infusion on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150478,10169974,'Heals caster for 83 - 125',100,2,2),
(150479,10169974,'Increases Mitigation of caster vs physical damage by 134',100,2,3),
(150480,10169974,'Cannot be modified except by direct means',100,2,4),
(150481,45670,'Applies Griblok''s Restoration  when Activated.',100,0,0),
(150482,45670,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(150483,10045670,'Applies Griblok''s Restoration  when Activated.',100,0,0),
(150484,10045670,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(150485,82732,'When Equipped:',100,0,0),
(150486,82732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150487,82732,'Inflicts 164 - 305 magic damage on target',100,2,2),
(150488,82732,'Cannot be modified except by direct means',100,2,3),
(150489,10082732,'When Equipped:',100,0,0),
(150490,10082732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150491,10082732,'Inflicts 213 - 396 magic damage on target',100,2,2),
(150492,10082732,'Cannot be modified except by direct means',100,2,3),
(150493,121150,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(150494,121150,'Increases Hate Gain of caster by 5.0%',100,2,1),
(150495,121150,'Increases Attack Speed of caster by 30.1',100,2,2),
(150496,121150,'Dispelled when target takes damage',100,2,3),
(150497,10121150,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(150498,10121150,'Increases Attack Speed of caster by 30.1',100,2,1),
(150499,10121150,'Dispelled when target takes damage',100,2,2),
(150500,82002,'When Equipped:',100,0,0),
(150501,82002,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150502,82002,'Inflicts 212 - 393 magic damage on target',100,2,2),
(150503,82002,'Cannot be modified except by direct means',100,2,3),
(150504,10082002,'When Equipped:',100,0,0),
(150505,10082002,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150506,10082002,'Inflicts 275 - 511 magic damage on target',100,2,2),
(150507,10082002,'Cannot be modified except by direct means',100,2,3),
(150508,136106,'Applies Bogstrutting when Activated.',100,0,0),
(150509,136106,'Increases speed of caster by 35.0%',100,1,1),
(150510,136106,'This effect suspends during combat',100,1,2),
(150511,136106,'The casting time of Bogstrutting is 2.0 seconds and the reuse time of the spell is 1.5 seconds',100,1,3),
(150512,10136106,'Applies Bogstrutting when Activated.',100,0,0),
(150513,10136106,'Increases speed of caster by 35.0%',100,1,1),
(150514,10136106,'This effect suspends during combat',100,1,2),
(150515,10136106,'The casting time of Bogstrutting is 2.0 seconds and the reuse time of the spell is 1.5 seconds',100,1,3),
(150516,104708,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(150517,104708,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,1),
(150518,104708,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(150519,104708,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,3),
(150520,10104708,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(150521,10104708,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,1),
(150522,10104708,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(150523,10104708,'Decreases Mitigation of target vs elemental and arcane damage by 220',100,2,3),
(150524,118545,'Inflicts 584 - 974 melee damage on target',100,1,0),
(150525,118545,'Decreases STR of target by 57.5',100,1,1),
(150526,118545,'You must be sneaking to use this ability.',100,1,2),
(150527,10118545,'Inflicts 760 - 1267 melee damage on target',100,1,0),
(150528,10118545,'Decreases STR of target by 57.5',100,1,1),
(150529,10118545,'You must be sneaking to use this ability.',100,1,2),
(150530,104104,'Roots target',100,1,0),
(150531,104104,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(150532,104104,'Makes target afraid',100,2,2),
(150533,104104,'Slows target by 23.7%',100,2,3),
(150534,104104,'30% chance to dispel when target takes damage',100,2,4),
(150535,104104,'Resistibility increases against targets higher than level 48.',100,2,5),
(150536,104104,'15% chance to dispel when target takes damage',100,1,6),
(150537,104104,'Does not affect Epic targets',100,1,7),
(150538,104104,'Resistibility increases against targets higher than level 48.',100,1,8),
(150539,10104104,'Roots target',100,1,0),
(150540,10104104,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(150541,10104104,'Makes target afraid',100,2,2),
(150542,10104104,'Slows target by 23.7%',100,2,3),
(150543,10104104,'30% chance to dispel when target takes damage',100,2,4),
(150544,10104104,'Resistibility increases against targets higher than level 48.',100,2,5),
(150545,10104104,'15% chance to dispel when target takes damage',100,1,6),
(150546,10104104,'Does not affect Epic targets',100,1,7),
(150547,10104104,'Resistibility increases against targets higher than level 48.',100,1,8),
(150548,35037,'Increases STA and STR of target by 5.4',100,0,0),
(150549,35037,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(150550,35037,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(150551,101996,'Summons 2 limited pets to aid the caster',100,1,0),
(150552,101996,'Summons a limited pet to aid the caster',100,1,1),
(150553,10101996,'Summons 3 limited pets to aid the caster',100,1,0),
(150554,27420,'When Equipped:',100,0,0),
(150555,27420,'Increases all mental damage by up to 10.',100,1,1),
(150556,10027420,'When Equipped:',100,0,0),
(150557,10027420,'Increases all mental damage by up to 10.',100,1,1),
(150558,118036,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(150559,118036,'Stuns target',100,2,1),
(150560,118036,'If Target is not Epic',100,3,2),
(150561,118036,'Inflicts 416 - 694 divine damage on target',100,2,3),
(150562,118036,'Grants a total of 3 triggers of the spell.',100,2,4),
(150563,10118036,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(150564,10118036,'Stuns target',100,2,1),
(150565,10118036,'If Target is not Epic',100,3,2),
(150566,10118036,'Inflicts 541 - 902 divine damage on target',100,2,3),
(150567,10118036,'Grants a total of 3 triggers of the spell.',100,2,4),
(150568,108791,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(150569,108791,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(150570,108791,'Inflicts 382 - 467 heat damage on target encounter',100,3,2),
(150571,108791,'Grants a total of 1 trigger of the spell.',100,3,3),
(150572,108791,'Inflicts 86 - 105 heat damage on target instantly and every 4 seconds',100,2,4),
(150573,10108791,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(150574,10108791,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(150575,10108791,'Inflicts 497 - 607 heat damage on target encounter',100,3,2),
(150576,10108791,'Grants a total of 1 trigger of the spell.',100,3,3),
(150577,10108791,'Inflicts 112 - 137 heat damage on target instantly and every 4 seconds',100,2,4),
(150578,118408,'Heals target for 214 - 261',100,1,0),
(150579,118408,'Increases Max Health of target by 25.6',100,1,1),
(150580,10118408,'Heals target for 248 - 303',100,1,0),
(150581,10118408,'Increases Max Health of target by 25.6',100,1,1),
(150582,101880,'Heals target for 823 - 1005',100,1,0),
(150583,101880,'If over 50% Health',100,2,1),
(150584,101880,'Heals target for 1645 - 2011',100,1,2),
(150585,101880,'If at 50% Health or less',100,2,3),
(150586,10101880,'Heals target for 535 - 653',100,1,0),
(150587,10101880,'If over 50% Health',100,2,1),
(150588,10101880,'Heals target for 1871 - 2287',100,1,2),
(150589,10101880,'If at 50% Health or less',100,2,3),
(150590,107969,'Increases In-Combat Power Regeneration of group members (AE) by 26.5',100,1,0),
(150591,10107969,'Increases In-Combat Power Regeneration of group members (AE) by 26.5',100,1,0),
(150592,116570,'Inflicts 50 - 83 divine damage on target',100,1,0),
(150593,116570,'Decreases Parry of target by 4.3',100,1,1),
(150594,116570,'If Two-Handed weapon equipped in Primary',100,1,2),
(150595,10116570,'Inflicts 65 - 108 divine damage on target',100,1,0),
(150596,10116570,'Decreases Parry of target by 4.3',100,1,1),
(150597,10116570,'If Two-Handed weapon equipped in Primary',100,1,2),
(150598,159585,'When Equipped:',100,0,0),
(150599,159585,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(150600,159585,'Increases AGI of caster by 8.9',100,2,2),
(150601,159585,'Increases Attack Speed of caster by 16.6',100,2,3),
(150602,159585,'Cannot be modified except by direct means',100,2,4),
(150603,10159585,'When Equipped:',100,0,0),
(150604,10159585,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(150605,10159585,'Increases AGI of caster by 8.9',100,2,2),
(150606,10159585,'Increases Attack Speed of caster by 16.6',100,2,3),
(150607,10159585,'Cannot be modified except by direct means',100,2,4),
(150608,103580,'Increases Mitigation of caster vs physical damage by 266',100,1,0),
(150609,10103580,'Increases Mitigation of caster vs physical damage by 266',100,1,0),
(150610,107713,'Inflicts 430 - 716 heat damage on target',100,1,0),
(150611,107713,'You must be sneaking to use this ability.',100,1,1),
(150612,10107713,'Inflicts 559 - 931 heat damage on target',100,1,0),
(150613,10107713,'You must be sneaking to use this ability.',100,1,1),
(150614,111747,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(150615,111747,'Inflicts 777 - 950 cold damage on target',100,2,1),
(150616,111747,'Grants a total of 3 triggers of the spell.',100,2,2),
(150617,10111747,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(150618,10111747,'Inflicts 1010 - 1234 cold damage on target',100,2,1),
(150619,10111747,'Grants a total of 3 triggers of the spell.',100,2,2),
(150620,192039,'When Equipped:',100,0,0),
(150621,192039,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(150622,192039,'Increases power of target by 359',100,2,2),
(150623,192039,'Decreases power of caster by 324',100,2,3),
(150624,192039,'Cannot be modified except by direct means',100,2,4),
(150625,10192039,'When Equipped:',100,0,0),
(150626,10192039,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(150627,10192039,'Increases power of target by 359',100,2,2),
(150628,10192039,'Decreases power of caster by 324',100,2,3),
(150629,10192039,'Cannot be modified except by direct means',100,2,4),
(150630,176325,'When Equipped:',100,0,0),
(150631,176325,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150632,176325,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(150633,176325,'Cannot be modified except by direct means',100,2,3),
(150634,10176325,'When Equipped:',100,0,0),
(150635,10176325,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150636,10176325,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(150637,10176325,'Cannot be modified except by direct means',100,2,3),
(150638,112486,'Decreases AGI and WIS of target by 47.7',100,1,0),
(150639,10112486,'Decreases AGI and WIS of target by 47.7',100,1,0),
(150640,110444,'Dazes targets in Area of Effect',100,1,0),
(150641,110444,'If Target is not Epic',100,2,1),
(150642,110444,'Decreases Threat to targets in Area of Effect by 1,186 ',100,1,2),
(150643,110444,'Dispelled when target receives hostile action',100,1,3),
(150644,110444,'Dispelled when target takes damage',100,1,4),
(150645,10110444,'Dazes targets in Area of Effect',100,1,0),
(150646,10110444,'If Target is not Epic',100,2,1),
(150647,10110444,'Applies Distract.',100,1,2),
(150648,10110444,'Forces target to clear their selected target.',100,2,3),
(150649,10110444,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(150650,10110444,'Dispelled when target receives hostile action',100,1,5),
(150651,10110444,'Dispelled when target takes damage',100,1,6),
(150652,111296,'Inflicts 306 - 511 divine damage on target',100,1,0),
(150653,111296,'Inflicts 123 - 205 divine damage on target every 4 seconds',100,1,1),
(150654,10111296,'Inflicts 399 - 665 divine damage on target',100,1,0),
(150655,10111296,'Inflicts 160 - 266 divine damage on target every 4 seconds',100,1,1),
(150656,140378,'When Equipped:',100,0,0),
(150657,140378,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(150658,140378,'Inflicts 597 - 729 heat damage on target',100,2,2),
(150659,140378,'Inflicts 597 - 729 heat damage on target',100,2,3),
(150660,140378,'Inflicts 597 - 729 heat damage on target',100,2,4),
(150661,140378,'Must not be engaged in pvp combat',100,2,5),
(150662,140378,'Cannot be modified except by direct means',100,2,6),
(150663,10140378,'When Equipped:',100,0,0),
(150664,10140378,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(150665,10140378,'Inflicts 776 - 948 heat damage on target',100,2,2),
(150666,10140378,'Inflicts 776 - 948 heat damage on target',100,2,3),
(150667,10140378,'Inflicts 776 - 948 heat damage on target',100,2,4),
(150668,10140378,'Must not be engaged in pvp combat',100,2,5),
(150669,10140378,'Cannot be modified except by direct means',100,2,6),
(150670,110140,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(150671,110140,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(150672,110140,'Only affects the caster of Guardian''s Sphere',100,2,2),
(150673,110140,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(150674,110140,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(150675,110140,'If not fighter',100,2,5),
(150676,10110140,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(150677,10110140,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(150678,10110140,'Only affects the caster of Guardian''s Sphere',100,2,2),
(150679,10110140,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(150680,10110140,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(150681,10110140,'If not fighter',100,2,5),
(150682,117742,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(150683,117742,'Heals target for 1039',100,2,1),
(150684,117742,'Increases Max Health of target by 683.9',100,2,2),
(150685,117742,'Grants a total of 1 trigger of the spell.',100,2,3),
(150686,10117742,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(150687,10117742,'Heals target for 675',100,2,1),
(150688,10117742,'Increases Max Health of target by 683.9',100,2,2),
(150689,10117742,'Grants a total of 1 trigger of the spell.',100,2,3),
(150690,132192,'When Equipped:',100,0,0),
(150691,132192,'Increases Attack Speed of caster by 45.0',100,1,1),
(150692,10132192,'When Equipped:',100,0,0),
(150693,10132192,'Increases Attack Speed of caster by 45.0',100,1,1),
(150694,113092,'Heals target for 46.8 - 57.2% of max health',100,1,0),
(150695,113092,'This effect cannot be critically applied.',100,2,1),
(150696,113092,'Increases Max Health of target by 259.8',100,1,2),
(150697,113092,'Increases Mitigation of target vs physical damage by 340',100,1,3),
(150698,113092,'The healing of this spell cannot be modified except by direct means',100,1,4),
(150699,10113092,'Heals target for 18.7 - 22.9% of max health',100,1,0),
(150700,10113092,'This effect cannot be critically applied.',100,2,1),
(150701,10113092,'Increases Max Health of target by 259.8',100,1,2),
(150702,10113092,'Increases Mitigation of target vs physical damage by 340',100,1,3),
(150703,10113092,'The healing of this spell cannot be modified except by direct means',100,1,4),
(150704,114964,'Decreases Attack Speed of target by 8.1',100,1,0),
(150705,114964,'Inflicts 49 - 148 slashing damage on target',100,1,1),
(150706,114964,'Inflicts 99 slashing damage on target instantly and every 4 seconds',100,1,2),
(150707,10114964,'Decreases Attack Speed of target by 8.1',100,1,0),
(150708,10114964,'Inflicts 64 - 193 slashing damage on target',100,1,1),
(150709,10114964,'Inflicts 129 slashing damage on target instantly and every 4 seconds',100,1,2),
(150710,47325,'Applies Murky Trauma Remedy when Activated.',100,0,0),
(150711,47325,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(150712,47325,'Only affects targets level 50 and above',100,1,2),
(150713,10047325,'Applies Murky Trauma Remedy when Activated.',100,0,0),
(150714,10047325,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(150715,10047325,'Only affects targets level 50 and above',100,1,2),
(150716,119131,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(150717,119131,'Inflicts 326 - 399 slashing damage on target',100,2,1),
(150718,119131,'Increases Mitigation of caster vs physical damage by 661',100,1,2),
(150719,10119131,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(150720,10119131,'Inflicts 424 - 519 slashing damage on target',100,2,1),
(150721,10119131,'Increases Mitigation of caster vs physical damage by 661',100,1,2),
(150722,103982,'Interrupts targets in Area of Effect',100,1,0),
(150723,103982,'Inflicts 102 - 189 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(150724,10103982,'Interrupts targets in Area of Effect',100,1,0),
(150725,10103982,'Inflicts 132 - 246 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(150726,123591,'Increases STR of group members (AE) by 76.2',100,1,0),
(150727,123591,'Increases Max Health of group members (AE) by 678.7',100,1,1),
(150728,10123591,'Increases STR of group members (AE) by 76.2',100,1,0),
(150729,10123591,'Increases Max Health of group members (AE) by 678.7',100,1,1),
(150730,36503,'Increases INT of target by 1.1',100,0,0),
(150731,36503,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(150732,115321,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(150733,115321,'Slows target by 33.8%',100,2,1),
(150734,115321,'Makes target afraid',100,2,2),
(150735,115321,'30% chance to dispel when target takes damage',100,2,3),
(150736,115321,'Does not affect Epic targets',100,2,4),
(150737,115321,'Resistibility increases against targets higher than level 48.',100,2,5),
(150738,115321,'Roots target',100,1,6),
(150739,115321,'15% chance to dispel when target takes damage',100,1,7),
(150740,115321,'Does not affect Epic targets',100,1,8),
(150741,115321,'Resistibility increases against targets higher than level 48.',100,1,9),
(150742,10115321,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(150743,10115321,'Makes target afraid',100,2,1),
(150744,10115321,'Slows target by 33.8%',100,2,2),
(150745,10115321,'30% chance to dispel when target takes damage',100,2,3),
(150746,10115321,'Does not affect Epic targets',100,2,4),
(150747,10115321,'Resistibility increases against targets higher than level 48.',100,2,5),
(150748,10115321,'Roots target',100,1,6),
(150749,10115321,'15% chance to dispel when target takes damage',100,1,7),
(150750,10115321,'Does not affect Epic targets',100,1,8),
(150751,10115321,'Resistibility increases against targets higher than level 48.',100,1,9),
(150752,104350,'Charms target',100,1,0),
(150753,104350,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(150754,104350,'Mesmerizes target',100,2,2),
(150755,104350,'Dispelled when target takes damage',100,2,3),
(150756,104350,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(150757,104350,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(150758,104350,'Grants Sonic Vision to caster',100,2,6),
(150759,104350,'Increases Out-of-Combat Power Regeneration of target by 27.3',100,1,7),
(150760,104350,'Increases Out-of-Combat Health Regeneration of target by 54.6',100,1,8),
(150761,104350,'Certain enemies cannot be charmed',100,1,9),
(150762,104350,'Does not affect Epic targets',100,1,10),
(150763,10104350,'Mesmerizes target',100,1,0),
(150764,10104350,'Prevents AOE (except when direct) ',100,1,1),
(150765,10104350,'Dispelled when target takes damage',100,1,2),
(150766,10104350,'Certain enemies cannot be charmed',100,1,3),
(150767,10104350,'Does not affect Epic targets',100,1,4),
(150768,10104350,'Resistibility increases against targets higher than level 76.',100,1,5),
(150769,106438,'Increases Multi Attack Chance of raid and group members (AE) by 5.1',100,1,0),
(150770,10106438,'Increases Multi Attack Chance of raid and group members (AE) by 5.1',100,1,0),
(150771,188248,'When Equipped:',100,0,0),
(150772,188248,'Gives caster a 2.6% chance to strikethrough a successful avoidance check',100,1,1),
(150773,188248,'Increases Additional chance to Riposte of caster by 24.0',100,1,2),
(150774,188248,'Increases Riposte Damage of caster by 24.0',100,1,3),
(150775,188248,'Must not be engaged in pvp combat',100,1,4),
(150776,10188248,'When Equipped:',100,0,0),
(150777,10188248,'Gives caster a 2.6% chance to strikethrough a successful avoidance check',100,1,1),
(150778,10188248,'Increases Additional chance to Riposte of caster by 24.0',100,1,2),
(150779,10188248,'Increases Riposte Damage of caster by 24.0',100,1,3),
(150780,10188248,'Must not be engaged in pvp combat',100,1,4),
(150781,46134,'Applies Pegasus when Activated.',100,0,0),
(150782,46134,'Summons a mount to ride',100,1,1),
(150783,46134,'Increases your ground speed by 75%',100,2,2),
(150784,46134,'Increases your air speed by 150%',100,2,3),
(150785,46134,'Increases Ranged, Ordination, Ministration, Crushing, Slashing, Focus, Subjugation, Disruption, Piercing and Aggression of caster by 5.0',100,1,4),
(150786,10046134,'Applies Pegasus when Activated.',100,0,0),
(150787,10046134,'Summons a mount to ride',100,1,1),
(150788,10046134,'Increases your ground speed by 75%',100,2,2),
(150789,10046134,'Increases your air speed by 150%',100,2,3),
(150790,10046134,'Increases Ranged, Ordination, Ministration, Crushing, Slashing, Focus, Subjugation, Disruption, Piercing and Aggression of caster by 5.0',100,1,4),
(150791,114005,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(150792,114005,'Increases Threat to target by 496 ',100,2,1),
(150793,114005,'Inflicts 136 - 227 melee damage on target',100,2,2),
(150794,10114005,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(150795,10114005,'Inflicts 177 - 295 melee damage on target',100,2,1),
(150796,113579,'Mesmerizes target',100,1,0),
(150797,113579,'Prevents AOE (except when direct) ',100,1,1),
(150798,113579,'Dispelled when target takes damage',100,1,2),
(150799,113579,'Does not affect Epic x2 targets',100,1,3),
(150800,113579,'Resistibility increases against targets higher than level 99.',100,1,4),
(150801,10113579,'Mesmerizes target',100,1,0),
(150802,10113579,'Prevents AOE (except when direct) ',100,1,1),
(150803,10113579,'Dispelled when target takes damage',100,1,2),
(150804,10113579,'Does not affect Epic x2 targets',100,1,3),
(150805,10113579,'Resistibility increases against targets higher than level 99.',100,1,4),
(150806,71715,'When Equipped:',100,0,0),
(150807,71715,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150808,71715,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(150809,71715,'Cannot be modified except by direct means',100,2,3),
(150810,10071715,'When Equipped:',100,0,0),
(150811,10071715,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150812,10071715,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(150813,10071715,'Cannot be modified except by direct means',100,2,3),
(150814,119920,'Stifles target',100,1,0),
(150815,119920,'Inflicts 295 - 361 mental damage on target',100,1,1),
(150816,119920,'Inflicts 98 - 120 mental damage on target every 2 seconds',100,1,2),
(150817,119920,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,3),
(150818,119920,'Resistibility increases against targets higher than level 73.',100,1,4),
(150819,10119920,'Stifles target',100,1,0),
(150820,10119920,'Inflicts 384 - 469 mental damage on target',100,1,1),
(150821,10119920,'Inflicts 128 - 156 mental damage on target every second',100,1,2),
(150822,10119920,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(150823,10119920,'Resistibility increases against targets higher than level 73.',100,1,4),
(150824,140790,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(150825,140790,'Decreases WIS, STR, AGI and INT of target by 31.0',100,1,1),
(150826,140790,'Decreases Max Health of target by 1.0%',100,1,2),
(150827,140790,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(150828,10140790,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(150829,10140790,'Decreases WIS, STR, AGI and INT of target by 31.0',100,1,1),
(150830,10140790,'Decreases Max Health of target by 1.0%',100,1,2),
(150831,10140790,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(150832,121657,'Increases AGI, STR, WIS, INT and STA of caster by 2.7',100,1,0),
(150833,121657,'Summons a pet bailiff',100,1,1),
(150834,121657,'If follows The Tribunal',100,1,2),
(150835,10121657,'Increases AGI, STR, WIS, INT and STA of caster by 2.7',100,1,0),
(150836,10121657,'Summons a pet bailiff',100,1,1),
(150837,10121657,'If follows The Tribunal',100,1,2),
(150838,74732,'When Equipped:',100,0,0),
(150839,74732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150840,74732,'Inflicts 184 - 276 magic damage on target',100,2,2),
(150841,74732,'Cannot be modified except by direct means',100,2,3),
(150842,10074732,'When Equipped:',100,0,0),
(150843,10074732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(150844,10074732,'Inflicts 239 - 358 magic damage on target',100,2,2),
(150845,10074732,'Cannot be modified except by direct means',100,2,3),
(150846,53391,'When Equipped:',100,0,0),
(150847,53391,'On a healing spell cast this spell may cast Core of the Underfoot on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150848,53391,'Increases AGI, STA, STR and INT of target by 128.5',100,2,2),
(150849,53391,'Increases Max Power of target by 12.0%',100,2,3),
(150850,53391,'Increases Max Health of target by 12.0%',100,2,4),
(150851,53391,'Cannot be modified except by direct means',100,2,5),
(150852,53391,'Cannot be modified except by direct means',100,1,6),
(150853,53391,'When Equipped:',100,0,7),
(150854,53391,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(150855,53391,'Increases Potency of group members by 7.0%',100,2,9),
(150856,53391,'Cannot be modified except by direct means',100,2,10),
(150857,53391,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(150858,53391,'Increases Potency of group members by 7.0%',100,2,12),
(150859,53391,'Cannot be modified except by direct means',100,2,13),
(150860,53391,'Cannot be modified except by direct means',100,1,14),
(150861,10053391,'When Equipped:',100,0,0),
(150862,10053391,'On a healing spell cast this spell may cast Core of the Underfoot on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(150863,10053391,'Increases AGI, STA, STR and INT of target by 128.5',100,2,2),
(150864,10053391,'Increases Max Power of target by 12.0%',100,2,3),
(150865,10053391,'Increases Max Health of target by 12.0%',100,2,4),
(150866,10053391,'Cannot be modified except by direct means',100,2,5),
(150867,10053391,'Cannot be modified except by direct means',100,1,6),
(150868,10053391,'When Equipped:',100,0,7),
(150869,10053391,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(150870,10053391,'Increases Potency of group members by 7.0%',100,2,9),
(150871,10053391,'Cannot be modified except by direct means',100,2,10),
(150872,10053391,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(150873,10053391,'Increases Potency of group members by 7.0%',100,2,12),
(150874,10053391,'Cannot be modified except by direct means',100,2,13),
(150875,10053391,'Cannot be modified except by direct means',100,1,14),
(150876,100711,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(150877,100711,'Increases Mitigation of group members (AE) vs noxious damage by 450',100,1,1),
(150878,10100711,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(150879,10100711,'Increases Mitigation of group members (AE) vs noxious damage by 450',100,1,1),
(150880,112002,'Inflicts 369 - 615 piercing damage on target',100,1,0),
(150881,10112002,'Inflicts 480 - 800 piercing damage on target',100,1,0),
(150882,104444,'Interrupts target encounter',100,1,0),
(150883,104444,'Applies Stumble on termination.',100,1,1),
(150884,104444,'Interrupts target',100,2,2),
(150885,104444,'Inflicts 79 - 96 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(150886,10104444,'Interrupts target encounter',100,1,0),
(150887,10104444,'Applies Stumble on termination.',100,1,1),
(150888,10104444,'Interrupts target',100,2,2),
(150889,10104444,'Inflicts 103 - 125 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(150890,112050,'Roots target',100,1,0),
(150891,112050,'Stifles target',100,1,1),
(150892,112050,'If Target is not Epic',100,2,2),
(150893,112050,'20% chance to dispel when target takes damage',100,1,3),
(150894,112050,'Does not affect Epic targets',100,1,4),
(150895,112050,'Resistibility increases against targets higher than level 116.',100,1,5),
(150896,10112050,'Roots target',100,1,0),
(150897,10112050,'Stifles target',100,1,1),
(150898,10112050,'If Target is not Epic',100,2,2),
(150899,10112050,'20% chance to dispel when target takes damage',100,1,3),
(150900,10112050,'Does not affect Epic targets',100,1,4),
(150901,10112050,'Resistibility increases against targets higher than level 116.',100,1,5),
(150902,83938,'When Equipped:',100,0,0),
(150903,83938,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150904,83938,'Wards group members (AE) against 1200 points of all damage',100,2,2),
(150905,83938,'Cannot be modified except by direct means',100,2,3),
(150906,10083938,'When Equipped:',100,0,0),
(150907,10083938,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(150908,10083938,'Wards group members (AE) against 1200 points of all damage',100,2,2),
(150909,10083938,'Cannot be modified except by direct means',100,2,3),
(150910,48452,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(150911,48452,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(150912,48452,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(150913,48452,'Cannot be modified except by direct means',100,2,3),
(150914,48452,'Grants a total of 80 triggers of the spell.',100,2,4),
(150915,10048452,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(150916,10048452,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(150917,10048452,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(150918,10048452,'Cannot be modified except by direct means',100,2,3),
(150919,10048452,'Grants a total of 80 triggers of the spell.',100,2,4),
(150920,118060,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(150921,118060,'Increases Defense of caster by 3.8',100,1,1),
(150922,10118060,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(150923,10118060,'Increases Defense of caster by 3.8',100,1,1),
(150924,115673,'Inflicts 13 - 41 melee damage on target',100,1,0),
(150925,115673,'Inflicts 13 - 41 melee damage on target',100,1,1),
(150926,115673,'Inflicts 13 - 41 melee damage on target',100,1,2),
(150927,115673,'Inflicts 13 - 41 melee damage on target',100,1,3),
(150928,115673,'Inflicts 13 - 41 melee damage on target',100,1,4),
(150929,115673,'Inflicts 13 - 41 melee damage on target',100,1,5),
(150930,115673,'Inflicts 13 - 41 melee damage on target',100,1,6),
(150931,115673,'Inflicts 13 - 41 melee damage on target',100,1,7),
(150932,10115673,'Inflicts 18 - 54 melee damage on target',100,1,0),
(150933,10115673,'Inflicts 18 - 54 melee damage on target',100,1,1),
(150934,10115673,'Inflicts 18 - 54 melee damage on target',100,1,2),
(150935,10115673,'Inflicts 18 - 54 melee damage on target',100,1,3),
(150936,10115673,'Inflicts 18 - 54 melee damage on target',100,1,4),
(150937,10115673,'Inflicts 18 - 54 melee damage on target',100,1,5),
(150938,10115673,'Inflicts 18 - 54 melee damage on target',100,1,6),
(150939,10115673,'Inflicts 18 - 54 melee damage on target',100,1,7),
(150940,120892,'Stifles target',100,1,0),
(150941,120892,'Inflicts 619 - 757 mental damage on target',100,1,1),
(150942,120892,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,2),
(150943,120892,'Resistibility increases against targets higher than level 73.',100,1,3),
(150944,10120892,'Stifles target',100,1,0),
(150945,10120892,'Inflicts 805 - 984 mental damage on target',100,1,1),
(150946,10120892,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(150947,10120892,'Resistibility increases against targets higher than level 73.',100,1,3),
(150948,118710,'Inflicts 50 - 84 slashing damage on target',100,1,0),
(150949,118710,'Decreases Slashing, Crushing and Piercing of target by 3.6',100,1,1),
(150950,118710,'Inflicts 21 - 25 slashing damage on target every 5 seconds',100,1,2),
(150951,10118710,'Inflicts 65 - 109 slashing damage on target',100,1,0),
(150952,10118710,'Decreases Slashing, Crushing and Piercing of target by 3.6',100,1,1),
(150953,10118710,'Inflicts 27 - 33 slashing damage on target every 5 seconds',100,1,2),
(150954,36069,'Increases STR of target by 1.5',100,0,0),
(150955,36069,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(150956,107509,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(150957,10107509,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(150958,103777,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.2',100,1,0),
(150959,10103777,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.2',100,1,0),
(150960,115395,'Inflicts 218 - 364 melee damage on target',100,1,0),
(150961,115395,'Decreases INT of target by 30.1',100,1,1),
(150962,115395,'You must be sneaking to use this ability.',100,1,2),
(150963,10115395,'Inflicts 284 - 473 melee damage on target',100,1,0),
(150964,10115395,'Decreases INT of target by 30.1',100,1,1),
(150965,10115395,'You must be sneaking to use this ability.',100,1,2),
(150966,73735,'Applies Frost Blast when Activated.',100,0,0),
(150967,73735,'Inflicts 363 - 605 cold damage on target',100,1,1),
(150968,73735,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(150969,10073735,'Applies Frost Blast when Activated.',100,0,0),
(150970,10073735,'Inflicts 472 - 787 cold damage on target',100,1,1),
(150971,10073735,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(150972,106386,'Inflicts 621 - 1035 melee damage on target',100,1,0),
(150973,106386,'Decreases Defense of target by 24.4',100,1,1),
(150974,106386,'Decreases Defense of caster by 17.4',100,1,2),
(150975,10106386,'Inflicts 808 - 1346 melee damage on target',100,1,0),
(150976,10106386,'Decreases Defense of target by 24.4',100,1,1),
(150977,10106386,'Decreases Defense of caster by 17.4',100,1,2),
(150978,51461,'When Equipped:',100,0,0),
(150979,51461,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(150980,51461,'Inflicts 1192 poison damage on target',100,2,2),
(150981,51461,'Cannot be modified except by direct means',100,2,3),
(150982,10051461,'When Equipped:',100,0,0),
(150983,10051461,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(150984,10051461,'Inflicts 775 poison damage on target',100,2,2),
(150985,10051461,'Cannot be modified except by direct means',100,2,3),
(150986,117366,'Inflicts 87 - 106 divine damage on target',100,1,0),
(150987,117366,'Inflicts 87 - 106 divine damage on target',100,1,1),
(150988,117366,'If target is undead',100,2,2),
(150989,10117366,'Inflicts 113 - 138 divine damage on target',100,1,0),
(150990,10117366,'Inflicts 113 - 138 divine damage on target',100,1,1),
(150991,10117366,'If target is undead',100,2,2),
(150992,115208,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(150993,115208,'Decreases Mitigation of target vs noxious damage by 308',100,2,1),
(150994,115208,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(150995,115208,'Decreases Mitigation of target vs noxious damage by 308',100,2,3),
(150996,10115208,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(150997,10115208,'Decreases Mitigation of target vs noxious damage by 308',100,2,1),
(150998,10115208,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(150999,10115208,'Decreases Mitigation of target vs noxious damage by 308',100,2,3),
(151000,72198,'When Equipped:',100,0,0),
(151001,72198,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151002,72198,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(151003,72198,'Cannot be modified except by direct means',100,2,3),
(151004,10072198,'When Equipped:',100,0,0),
(151005,10072198,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151006,10072198,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(151007,10072198,'Cannot be modified except by direct means',100,2,3),
(151008,121179,'Grants stealth to caster',100,1,0),
(151009,121179,'Suspends caster''s movement speed enhancements',100,1,1),
(151010,121179,'Decreases Threat to target by 115 - 192 ',100,1,2),
(151011,10121179,'Forces target to clear their selected target.',100,1,0),
(151012,10121179,'Grants stealth to caster',100,1,1),
(151013,10121179,'Suspends caster''s movement speed enhancements',100,1,2),
(151014,192189,'When Equipped:',100,0,0),
(151015,192189,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(151016,192189,'Inflicts 5296 mental damage on target',100,2,2),
(151017,192189,'If over 85% Health',100,2,3),
(151018,192189,'Cannot be modified except by direct means',100,2,4),
(151019,192189,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(151020,192189,'Inflicts 5296 mental damage on target',100,2,6),
(151021,192189,'If over 85% Health',100,2,7),
(151022,192189,'Cannot be modified except by direct means',100,2,8),
(151023,192189,'Cannot be modified except by direct means',100,1,9),
(151024,192189,'When Equipped:',100,0,10),
(151025,192189,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(151026,192189,'Inflicts 2648 heat damage on target',100,2,12),
(151027,192189,'Cannot be modified except by direct means',100,2,13),
(151028,10192189,'When Equipped:',100,0,0),
(151029,10192189,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(151030,10192189,'Inflicts 6885 mental damage on target',100,2,2),
(151031,10192189,'If over 85% Health',100,2,3),
(151032,10192189,'Cannot be modified except by direct means',100,2,4),
(151033,10192189,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(151034,10192189,'Inflicts 6885 mental damage on target',100,2,6),
(151035,10192189,'If over 85% Health',100,2,7),
(151036,10192189,'Cannot be modified except by direct means',100,2,8),
(151037,10192189,'Cannot be modified except by direct means',100,1,9),
(151038,10192189,'When Equipped:',100,0,10),
(151039,10192189,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(151040,10192189,'Inflicts 1721 heat damage on target',100,2,12),
(151041,10192189,'Cannot be modified except by direct means',100,2,13),
(151042,40881,'When Equipped:',100,0,0),
(151043,40881,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(151044,40881,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(151045,40881,'Inflicts 2341 - 2587 poison damage on target',100,2,3),
(151046,40881,'Heals caster for 1170 - 1294',100,2,4),
(151047,40881,'Must not be engaged in pvp combat',100,2,5),
(151048,40881,'Cannot be modified except by direct means',100,2,6),
(151049,40881,'Cannot be modified except by direct means',100,1,7),
(151050,10040881,'When Equipped:',100,0,0),
(151051,10040881,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(151052,10040881,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(151053,10040881,'Inflicts 3043 - 3364 poison damage on target',100,2,3),
(151054,10040881,'Heals caster for 1369 - 1514',100,2,4),
(151055,10040881,'Must not be engaged in pvp combat',100,2,5),
(151056,10040881,'Cannot be modified except by direct means',100,2,6),
(151057,10040881,'Cannot be modified except by direct means',100,1,7),
(151058,137009,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(151059,137009,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(151060,137009,'Cannot be modified except by direct means',100,1,2),
(151061,10137009,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(151062,10137009,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(151063,10137009,'Cannot be modified except by direct means',100,1,2),
(151064,114848,'Decreases AGI of target by 10.9',100,1,0),
(151065,114848,'Decreases Defense of target by 3.5',100,1,1),
(151066,10114848,'Decreases AGI of target by 10.9',100,1,0),
(151067,10114848,'Decreases Defense of target by 3.5',100,1,1),
(151068,101276,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(151069,101276,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,1),
(151070,10101276,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(151071,10101276,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,1),
(151072,124287,'Wards group members (AE) against 508 points of elemental damage',100,1,0),
(151073,124287,'Increases Mitigation of group members (AE) vs elemental damage by 319',100,1,1),
(151074,10124287,'Wards group members (AE) against 508 points of elemental damage',100,1,0),
(151075,10124287,'Increases Mitigation of group members (AE) vs elemental damage by 319',100,1,1),
(151076,152443,'When Equipped:',100,0,0),
(151077,152443,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(151078,10152443,'When Equipped:',100,0,0),
(151079,10152443,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(151080,106380,'Inflicts 437 - 729 melee damage on target',100,1,0),
(151081,106380,'Decreases Defense of target by 18.5',100,1,1),
(151082,106380,'Decreases Defense of caster by 13.2',100,1,2),
(151083,10106380,'Inflicts 569 - 948 melee damage on target',100,1,0),
(151084,10106380,'Decreases Defense of target by 18.5',100,1,1),
(151085,10106380,'Decreases Defense of caster by 13.2',100,1,2),
(151086,104555,'Inflicts 67 - 112 disease damage on target',100,1,0),
(151087,104555,'Decreases WIS of target by 19.8',100,1,1),
(151088,10104555,'Inflicts 88 - 146 disease damage on target',100,1,0),
(151089,10104555,'Decreases WIS of target by 19.8',100,1,1),
(151090,114015,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(151091,114015,'Heals target for 17 instantly and every 2 seconds',100,2,1),
(151092,114015,'Decreases Mitigation of target vs arcane damage by 384',100,1,2),
(151093,10114015,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(151094,10114015,'Heals target for 54 instantly and every 2 seconds',100,2,1),
(151095,10114015,'Decreases Mitigation of target vs arcane damage by 384',100,1,2),
(151096,113541,'Inflicts 249 - 415 disease damage on target',100,1,0),
(151097,10113541,'Inflicts 324 - 540 disease damage on target',100,1,0),
(151098,110475,'Stifles caster',100,1,0),
(151099,110475,'Increases power of caster by 14 instantly and every second',100,1,1),
(151100,10110475,'Stifles caster',100,1,0),
(151101,10110475,'Increases power of caster by 14 instantly and every second',100,1,1),
(151102,109193,'Roots target',100,1,0),
(151103,109193,'Applies Blind.  Lasts for 9.0 seconds.',100,1,1),
(151104,109193,'Dazes target',100,2,2),
(151105,109193,'Blurs vision of target',100,2,3),
(151106,109193,'Dispelled when target takes damage',100,2,4),
(151107,109193,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(151108,109193,'5% chance to dispel when target takes damage',100,1,6),
(151109,109193,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(151110,109193,'Resistibility increases against targets higher than level 112.',100,1,8),
(151111,10109193,'Roots target',100,1,0),
(151112,10109193,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(151113,10109193,'Dazes target',100,2,2),
(151114,10109193,'Blurs vision of target',100,2,3),
(151115,10109193,'Dispelled when target takes damage',100,2,4),
(151116,10109193,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(151117,10109193,'5% chance to dispel when target takes damage',100,1,6),
(151118,10109193,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(151119,10109193,'Resistibility increases against targets higher than level 112.',100,1,8),
(151120,124202,'Inflicts 476 - 794 melee damage on target',100,1,0),
(151121,10124202,'Inflicts 619 - 1032 melee damage on target',100,1,0),
(151122,37434,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(151123,110688,'Heals target for 1078',100,1,0),
(151124,110688,'Dispels 90 levels of any hostile effects on target',100,1,1),
(151125,10110688,'Heals target for 701',100,1,0),
(151126,10110688,'Dispels 90 levels of any hostile effects on target',100,1,1),
(151127,71531,'When Equipped:',100,0,0),
(151128,71531,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151129,71531,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(151130,71531,'Cannot be modified except by direct means',100,2,3),
(151131,10071531,'When Equipped:',100,0,0),
(151132,10071531,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151133,10071531,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(151134,10071531,'Cannot be modified except by direct means',100,2,3),
(151135,101902,'Inflicts 3 piercing damage on target instantly and every 4 seconds',100,1,0),
(151136,101902,'Inflicts 8 - 14 melee damage on target',100,1,1),
(151137,101902,'Must be behind',100,1,2),
(151138,10101902,'Inflicts 4 piercing damage on target instantly and every 4 seconds',100,1,0),
(151139,10101902,'Inflicts 11 - 19 melee damage on target',100,1,1),
(151140,10101902,'Must be behind',100,1,2),
(151141,119726,'Wards group members (AE) against 45 points of elemental, noxious and arcane damage',100,1,0),
(151142,119726,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,1),
(151143,10119726,'Wards group members (AE) against 45 points of elemental, noxious and arcane damage',100,1,0),
(151144,10119726,'Increases Mitigation of group members (AE) vs physical damage by 267',100,1,1),
(151145,45737,'Applies Spirit of Determination  when Activated.  Lasts for 15 minutes.',100,0,0),
(151146,45737,'Increases Max Health of caster by 172.5',100,1,1),
(151147,10045737,'Applies Spirit of Determination  when Activated.  Lasts for 15 minutes.',100,0,0),
(151148,10045737,'Increases Max Health of caster by 172.5',100,1,1),
(151149,118956,'Applies Sacrifice.',100,1,0),
(151150,118956,'Increases power of group members (AE) by 131',100,2,1),
(151151,118956,'Heals group members (AE) for 458',100,2,2),
(151152,118956,'Stuns target',100,1,3),
(151153,10118956,'Applies Sacrifice.',100,1,0),
(151154,10118956,'Heals group members (AE) for 638',100,2,1),
(151155,10118956,'Increases power of group members (AE) by 131',100,2,2),
(151156,10118956,'Stuns target',100,1,3),
(151157,35631,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(151158,137876,'When Equipped:',100,0,0),
(151159,137876,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(151160,10137876,'When Equipped:',100,0,0),
(151161,10137876,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(151162,102088,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(151163,102088,'Throws target back',100,2,1),
(151164,102088,'Stuns target',100,2,2),
(151165,102088,'Blurs vision of target',100,2,3),
(151166,102088,'Does not affect Epic targets',100,2,4),
(151167,102088,'Inflicts 22 - 37 crushing damage on target',100,1,5),
(151168,10102088,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(151169,10102088,'Throws target back',100,2,1),
(151170,10102088,'Stuns target',100,2,2),
(151171,10102088,'Blurs vision of target',100,2,3),
(151172,10102088,'Does not affect Epic targets',100,2,4),
(151173,10102088,'Inflicts 28 - 48 crushing damage on target',100,1,5),
(151174,46232,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(151175,46232,'Increases power of caster by 41 instantly and every 5 seconds',100,1,1),
(151176,10046232,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(151177,10046232,'Increases power of caster by 33 instantly and every 5 seconds',100,1,1),
(151178,178913,'When Equipped:',100,0,0),
(151179,178913,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(151180,178913,'Increases damage done by combat arts by up to 500.',100,2,2),
(151181,178913,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(151182,178913,'Cannot be modified except by direct means',100,2,4),
(151183,178913,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(151184,178913,'Increases damage done by combat arts by up to 500.',100,2,6),
(151185,178913,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(151186,178913,'Cannot be modified except by direct means',100,2,8),
(151187,178913,'Cannot be modified except by direct means',100,1,9),
(151188,10178913,'When Equipped:',100,0,0),
(151189,10178913,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(151190,10178913,'Increases damage done by combat arts by up to 500.',100,2,2),
(151191,10178913,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(151192,10178913,'Cannot be modified except by direct means',100,2,4),
(151193,10178913,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(151194,10178913,'Increases damage done by combat arts by up to 500.',100,2,6),
(151195,10178913,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(151196,10178913,'Cannot be modified except by direct means',100,2,8),
(151197,10178913,'Cannot be modified except by direct means',100,1,9),
(151198,114174,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(151199,114174,'Heals target for 1550',100,2,1),
(151200,114174,'Grants a total of 1 trigger of the spell.',100,2,2),
(151201,10114174,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(151202,10114174,'Heals target for 1008',100,2,1),
(151203,10114174,'Grants a total of 1 trigger of the spell.',100,2,2),
(151204,47448,'Applies Order of Rime Nova-vicar Illusion when Activated.',100,0,0),
(151205,47448,'Shapechanges caster into an Order of Rime',100,1,1),
(151206,47448,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(151207,10047448,'Applies Order of Rime Nova-vicar Illusion when Activated.',100,0,0),
(151208,10047448,'Shapechanges caster into an Order of Rime',100,1,1),
(151209,10047448,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(151210,45133,'Applies Lacerating Tempest II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(151211,45133,'Caster has a 25.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,1),
(151212,45133,'Increases Multi Attack Chance of caster by 60.0',100,1,2),
(151213,45133,'Increases Attack Speed of caster by 60.0',100,1,3),
(151214,45133,'Increases Damage Per Second of caster by 60.0',100,1,4),
(151215,45133,'Must not be engaged in pvp combat',100,1,5),
(151216,45133,'Cannot be modified except by direct means',100,1,6),
(151217,10045133,'Applies Lacerating Tempest II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(151218,10045133,'Caster has a 25.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,1),
(151219,10045133,'Increases Multi Attack Chance of caster by 60.0',100,1,2),
(151220,10045133,'Increases Attack Speed of caster by 60.0',100,1,3),
(151221,10045133,'Increases Damage Per Second of caster by 60.0',100,1,4),
(151222,10045133,'Must not be engaged in pvp combat',100,1,5),
(151223,10045133,'Cannot be modified except by direct means',100,1,6),
(151224,122020,'Increases Threat to target by 19 - 23 ',100,1,0),
(151225,122020,'Inflicts 3 - 5 melee damage on target',100,1,1),
(151226,10122020,'Forces target to change their selected target to caster.',100,1,0),
(151227,10122020,'Inflicts 4 - 7 melee damage on target',100,1,1),
(151228,106032,'Inflicts 245 - 299 divine damage on target instantly and every 3 seconds',100,1,0),
(151229,106032,'Decreases Defense of target by 28.3',100,1,1),
(151230,10106032,'Inflicts 212 - 259 divine damage on target instantly and every 3 seconds',100,1,0),
(151231,10106032,'Decreases Defense of target by 28.3',100,1,1),
(151232,102412,'Inflicts 802 - 1490 melee damage on targets in area',100,1,0),
(151233,10102412,'Inflicts 1043 - 1938 melee damage on targets in area',100,1,0),
(151234,77378,'When Equipped:',100,0,0),
(151235,77378,'On a combat hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151236,77378,'Inflicts 1060 slashing damage on target',100,2,2),
(151237,77378,'Cannot be modified except by direct means',100,2,3),
(151238,10077378,'When Equipped:',100,0,0),
(151239,10077378,'On a combat hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151240,10077378,'Inflicts 1378 slashing damage on target',100,2,2),
(151241,10077378,'Cannot be modified except by direct means',100,2,3),
(151242,110328,'Increases Max Power of target by 220.6',100,1,0),
(151243,110328,'Increases Max Health of target by 441.0',100,1,1),
(151244,10110328,'Increases Max Power of target by 220.6',100,1,0),
(151245,10110328,'Increases Max Health of target by 441.0',100,1,1),
(151246,55002,'Applies Touch of the Void Tempest when Equipped.',100,0,0),
(151247,10055002,'Applies Touch of the Void Tempest when Equipped.',100,0,0),
(151248,35332,'Increases WIS of target by 1.5',100,0,0),
(151249,35332,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(151250,158687,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(151251,158687,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(151252,158687,'Cannot be modified except by direct means',100,1,2),
(151253,10158687,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(151254,10158687,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(151255,10158687,'Cannot be modified except by direct means',100,1,2),
(151256,159972,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(151257,159972,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(151258,159972,'Inflicts 148 heat damage on target',100,2,2),
(151259,159972,'Cannot be modified except by direct means',100,2,3),
(151260,10159972,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(151261,10159972,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(151262,10159972,'Inflicts 193 heat damage on target',100,2,2),
(151263,10159972,'Cannot be modified except by direct means',100,2,3),
(151264,121943,'Inflicts 10 - 16 disease damage on target',100,1,0),
(151265,121943,'Decreases Defense of target by 3.1',100,1,1),
(151266,121943,'Interrupts target',100,1,2),
(151267,10121943,'Inflicts 13 - 21 disease damage on target',100,1,0),
(151268,10121943,'Decreases Defense of target by 3.1',100,1,1),
(151269,10121943,'Interrupts target',100,1,2),
(151270,123448,'Shapechanges caster into a bear',100,1,0),
(151271,123448,'Increases WIS of caster by 32.0',100,1,1),
(151272,123448,'Grants See Stealth to caster',100,1,2),
(151273,123448,'Increases Max Health of caster by 86.0',100,1,3),
(151274,123448,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',100,1,4),
(151275,10123448,'Shapechanges caster into a bear',100,1,0),
(151276,10123448,'Increases WIS of caster by 32.0',100,1,1),
(151277,10123448,'Grants See Stealth to caster',100,1,2),
(151278,10123448,'Increases Max Health of caster by 86.0',100,1,3),
(151279,10123448,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',100,1,4),
(151280,35339,'Increases Max Health of target by 3.9',100,0,0),
(151281,35339,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(151282,89923,'Applies Flow of Fyr''Un when Equipped.',100,0,0),
(151283,89923,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,1),
(151284,89923,'When Equipped:',100,0,2),
(151285,89923,'On a hostile spell cast this spell may cast Strike of the Godking on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(151286,89923,'Inflicts 152 - 253 magic damage on target',100,2,4),
(151287,89923,'Heals caster for 97 - 162',100,2,5),
(151288,89923,'Decreases STR of target by 70.5',100,2,6),
(151289,89923,'Increases INT of caster by 70.5',100,2,7),
(151290,89923,'Cannot be modified except by direct means',100,2,8),
(151291,10089923,'Applies Flow of Fyr''Un when Equipped.',100,0,0),
(151292,10089923,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,1),
(151293,10089923,'When Equipped:',100,0,2),
(151294,10089923,'On a hostile spell cast this spell may cast Strike of the Godking on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(151295,10089923,'Inflicts 197 - 329 magic damage on target',100,2,4),
(151296,10089923,'Heals caster for 63 - 105',100,2,5),
(151297,10089923,'Decreases STR of target by 70.5',100,2,6),
(151298,10089923,'Increases INT of caster by 70.5',100,2,7),
(151299,10089923,'Cannot be modified except by direct means',100,2,8),
(151300,48980,'Applies Treespirit Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(151301,48980,'Treespirit Potion',100,1,1),
(151302,10048980,'Applies Treespirit Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(151303,10048980,'Treespirit Potion',100,1,1),
(151304,70924,'When Equipped:',100,0,0),
(151305,70924,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(151306,70924,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(151307,70924,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(151308,70924,'Heals caster for 1185 - 1309',100,2,4),
(151309,70924,'Decreases Piercing, Slashing, Crushing and Ranged of target by 22.0',100,2,5),
(151310,70924,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(151311,70924,'Must not be engaged in pvp combat',100,2,7),
(151312,70924,'Cannot be modified except by direct means',100,2,8),
(151313,70924,'Cannot be modified except by direct means',100,1,9),
(151314,10070924,'When Equipped:',100,0,0),
(151315,10070924,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(151316,10070924,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(151317,10070924,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(151318,10070924,'Heals caster for 1386 - 1532',100,2,4),
(151319,10070924,'Decreases Piercing, Slashing, Crushing and Ranged of target by 22.0',100,2,5),
(151320,10070924,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(151321,10070924,'Must not be engaged in pvp combat',100,2,7),
(151322,10070924,'Cannot be modified except by direct means',100,2,8),
(151323,10070924,'Cannot be modified except by direct means',100,1,9),
(151324,74723,'When Equipped:',100,0,0),
(151325,74723,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151326,74723,'Inflicts 180 - 271 magic damage on target',100,2,2),
(151327,74723,'Cannot be modified except by direct means',100,2,3),
(151328,10074723,'When Equipped:',100,0,0),
(151329,10074723,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151330,10074723,'Inflicts 235 - 352 magic damage on target',100,2,2),
(151331,10074723,'Cannot be modified except by direct means',100,2,3),
(151332,123137,'Inflicts 537 disease damage on targets in Area of Effect',100,1,0),
(151333,123137,'Inflicts 366 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(151334,10123137,'Inflicts 697 disease damage on targets in Area of Effect',100,1,0),
(151335,10123137,'Inflicts 476 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(151336,111863,'Inflicts 137 - 254 heat damage on target',100,1,0),
(151337,111863,'Inflicts 51 - 95 heat damage on target every 2 seconds',100,1,1),
(151338,10111863,'Inflicts 178 - 330 heat damage on target',100,1,0),
(151339,10111863,'Inflicts 67 - 124 heat damage on target every 2 seconds',100,1,1),
(151340,73924,'Applies Holy Strike when Activated.',100,0,0),
(151341,73924,'Inflicts 269 - 449 divine damage on target',100,1,1),
(151342,73924,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(151343,10073924,'Applies Holy Strike when Activated.',100,0,0),
(151344,10073924,'Inflicts 350 - 583 divine damage on target',100,1,1),
(151345,10073924,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(151346,24042,'Adds Boar (Guardian) to your Dungeon Maker toolbox',100,0,0),
(151347,10024042,'Adds Boar (Guardian) to your Dungeon Maker toolbox',100,0,0),
(151348,80833,'When Equipped:',100,0,0),
(151349,80833,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(151350,80833,'Decreases Threat to target by 672 ',100,2,2),
(151351,80833,'Must be flanking or behind',100,3,3),
(151352,80833,'Increases Threat to target by 672 ',100,2,4),
(151353,80833,'Must be in front of',100,3,5),
(151354,80833,'Inflicts 288 - 534 magic damage on target',100,2,6),
(151355,80833,'Cannot be modified except by direct means',100,2,7),
(151356,10080833,'When Equipped:',100,0,0),
(151357,10080833,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(151358,10080833,'Inflicts 374 - 695 magic damage on target',100,2,2),
(151359,10080833,'Cannot be modified except by direct means',100,2,3),
(151360,124124,'Increases power of caster by 350',100,1,0),
(151361,10124124,'Increases power of caster by 350',100,1,0),
(151362,26545,'When Equipped:',100,0,0),
(151363,26545,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(151364,26545,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(151365,10026545,'When Equipped:',100,0,0),
(151366,10026545,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(151367,10026545,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,2),
(151368,100963,'Dazes target',100,1,0),
(151369,100963,'Inflicts 821 - 1003 mental damage on target',100,1,1),
(151370,100963,'Epic targets gain an immunity to Daze effects of 39.2 seconds and duration is reduced to 4.4 seconds.',100,1,2),
(151371,100963,'Resistibility increases against targets higher than level 107.',100,1,3),
(151372,10100963,'Dazes target',100,1,0),
(151373,10100963,'Inflicts 1067 - 1304 mental damage on target',100,1,1),
(151374,10100963,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(151375,10100963,'Resistibility increases against targets higher than level 107.',100,1,3),
(151376,113503,'Inflicts 387 - 646 melee damage on targets in area',100,1,0),
(151377,10113503,'Inflicts 504 - 840 melee damage on targets in area',100,1,0),
(151378,122599,'Inflicts 113 - 138 mental damage on target instantly and every 3 seconds',100,1,0),
(151379,122599,'Decreases Mitigation of target vs arcane damage by 637',100,1,1),
(151380,10122599,'Inflicts 147 - 179 mental damage on target instantly and every 3 seconds',100,1,0),
(151381,10122599,'Decreases Mitigation of target vs arcane damage by 637',100,1,1),
(151382,141820,'When Equipped:',100,0,0),
(151383,141820,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151384,141820,'Increases STR of caster by 5.8',100,2,2),
(151385,141820,'Increases Damage Per Second of caster by 13.2',100,2,3),
(151386,141820,'Cannot be modified except by direct means',100,2,4),
(151387,10141820,'When Equipped:',100,0,0),
(151388,10141820,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151389,10141820,'Increases STR of caster by 5.8',100,2,2),
(151390,10141820,'Increases Damage Per Second of caster by 13.2',100,2,3),
(151391,10141820,'Cannot be modified except by direct means',100,2,4),
(151392,166519,'When Equipped:',100,0,0),
(151393,166519,'On a critical combat hit this spell may cast Martial Vulnerability on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(151394,166519,'Decreases Mitigation of target vs physical damage by 150',100,2,2),
(151395,166519,'Must not be engaged in pvp combat',100,2,3),
(151396,166519,'Cannot be modified except by direct means',100,2,4),
(151397,166519,'On a critical spell hit this spell may cast Martial Vulnerability on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(151398,166519,'Decreases Mitigation of target vs physical damage by 150',100,2,6),
(151399,166519,'Must not be engaged in pvp combat',100,2,7),
(151400,166519,'Cannot be modified except by direct means',100,2,8),
(151401,166519,'Must not be engaged in pvp combat',100,1,9),
(151402,10166519,'When Equipped:',100,0,0),
(151403,10166519,'On a critical combat hit this spell may cast Martial Vulnerability on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(151404,10166519,'Decreases Mitigation of target vs physical damage by 150',100,2,2),
(151405,10166519,'Must not be engaged in pvp combat',100,2,3),
(151406,10166519,'Cannot be modified except by direct means',100,2,4),
(151407,10166519,'On a critical spell hit this spell may cast Martial Vulnerability on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(151408,10166519,'Decreases Mitigation of target vs physical damage by 150',100,2,6),
(151409,10166519,'Must not be engaged in pvp combat',100,2,7),
(151410,10166519,'Cannot be modified except by direct means',100,2,8),
(151411,10166519,'Must not be engaged in pvp combat',100,1,9),
(151412,176469,'When Equipped:',100,0,0),
(151413,176469,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(151414,176469,'Inflicts 1199 cold damage on target encounter',100,2,2),
(151415,176469,'Cannot be modified except by direct means',100,2,3),
(151416,10176469,'When Equipped:',100,0,0),
(151417,10176469,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(151418,10176469,'Inflicts 779 cold damage on target encounter',100,2,2),
(151419,10176469,'Cannot be modified except by direct means',100,2,3),
(151420,107424,'Summons a pet earthen avatar',100,1,0),
(151421,10107424,'Summons a pet earthen avatar',100,1,0),
(151422,102930,'Inflicts 67 - 82 disease damage on target instantly and every 4 seconds',100,1,0),
(151423,10102930,'Inflicts 114 - 139 disease damage on target',100,1,0),
(151424,10102930,'Inflicts 87 - 107 disease damage on target every 4 seconds',100,1,1),
(151425,105447,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,0),
(151426,105447,'Summons 3 limited pets to aid the caster',100,2,1),
(151427,105447,'Grants a total of 1 trigger of the spell.',100,2,2),
(151428,105447,'Inflicts 279 - 341 poison damage on target instantly and every 4 seconds',100,1,3),
(151429,10105447,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,0),
(151430,10105447,'Summons 3 limited pets to aid the caster',100,2,1),
(151431,10105447,'Grants a total of 1 trigger of the spell.',100,2,2),
(151432,10105447,'Inflicts 363 - 444 poison damage on target instantly and every 4 seconds',100,1,3),
(151433,40610,'When Equipped:',100,0,0),
(151434,40610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151435,40610,'Inflicts 180 - 271 magic damage on target',100,2,2),
(151436,40610,'Cannot be modified except by direct means',100,2,3),
(151437,10040610,'When Equipped:',100,0,0),
(151438,10040610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151439,10040610,'Inflicts 235 - 352 magic damage on target',100,2,2),
(151440,10040610,'Cannot be modified except by direct means',100,2,3),
(151441,26086,'When Equipped:',100,0,0),
(151442,26086,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(151443,26086,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(151444,10026086,'When Equipped:',100,0,0),
(151445,10026086,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(151446,10026086,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(151447,108537,'Increases AGI and WIS of group members (AE) by 83.2',100,1,0),
(151448,108537,'Adds 1.8% to base avoidance.',100,1,1),
(151449,108537,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 233',100,1,2),
(151450,10108537,'Increases AGI and WIS of group members (AE) by 83.2',100,1,0),
(151451,10108537,'Adds 1.8% to base avoidance.',100,1,1),
(151452,10108537,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 233',100,1,2),
(151453,123992,'Inflicts 1351 - 2251 melee damage on target',100,1,0),
(151454,123992,'Decreases AGI of target by 103.2',100,1,1),
(151455,123992,'Must be behind',100,1,2),
(151456,10123992,'Inflicts 1756 - 2927 melee damage on target',100,1,0),
(151457,10123992,'Decreases AGI of target by 103.2',100,1,1),
(151458,10123992,'Must be behind',100,1,2),
(151459,81056,'When Equipped:',100,0,0),
(151460,81056,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151461,81056,'Inflicts 207 - 384 magic damage on target',100,2,2),
(151462,81056,'Cannot be modified except by direct means',100,2,3),
(151463,10081056,'When Equipped:',100,0,0),
(151464,10081056,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151465,10081056,'Inflicts 269 - 499 magic damage on target',100,2,2),
(151466,10081056,'Cannot be modified except by direct means',100,2,3),
(151467,118282,'Increases Threat to target encounter by 1,117 - 1,366 ',100,1,0),
(151468,118282,'Decreases Mitigation of target encounter vs arcane damage by 1238',100,1,1),
(151469,10118282,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(151470,10118282,'Forces target to change their selected target to caster.',100,2,1),
(151471,10118282,'Prevents target from changing targets',100,2,2),
(151472,10118282,'Decreases Mitigation of target encounter vs arcane damage by 1238',100,1,3),
(151473,124488,'Heals group members (AE) for 612 - 748',100,1,0),
(151474,10124488,'Heals group members (AE) for 716 - 875',100,1,0),
(151475,109044,'Increases Attack Speed of caster by 27.9',100,1,0),
(151476,109044,'Decreases Defense of caster by 14.7',100,1,1),
(151477,109044,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',100,1,2),
(151478,10109044,'Increases Attack Speed of caster by 27.9',100,1,0),
(151479,10109044,'Decreases Defense of caster by 14.7',100,1,1),
(151480,10109044,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',100,1,2),
(151481,158325,'When Equipped:',100,0,0),
(151482,158325,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(151483,158325,'This effect suspends during combat',100,1,2),
(151484,10158325,'When Equipped:',100,0,0),
(151485,10158325,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(151486,10158325,'This effect suspends during combat',100,1,2),
(151487,26608,'When Equipped:',100,0,0),
(151488,26608,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(151489,26608,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(151490,10026608,'When Equipped:',100,0,0),
(151491,10026608,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(151492,10026608,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(151493,24666,'Adds Elite: Ravasect (Berserker) to your Dungeon Maker toolbox',100,0,0),
(151494,10024666,'Adds Elite: Ravasect (Berserker) to your Dungeon Maker toolbox',100,0,0),
(151495,90327,'When Equipped:',100,0,0),
(151496,90327,'On a combat hit this spell has a 50% chance to cast Overthere on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(151497,90327,'Applies Overthere Gate on termination.',100,2,2),
(151498,90327,'Teleports caster to Danak Shipyard in Jarsath Wastes.',100,3,3),
(151499,90327,'Cannot be modified except by direct means',100,2,4),
(151500,90327,'Must not be engaged in pvp combat',100,2,5),
(151501,10090327,'When Equipped:',100,0,0),
(151502,10090327,'On a combat hit this spell has a 50% chance to cast Overthere on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(151503,10090327,'Applies Overthere Gate on termination.',100,2,2),
(151504,10090327,'Teleports caster to Danak Shipyard in Jarsath Wastes.',100,3,3),
(151505,10090327,'Cannot be modified except by direct means',100,2,4),
(151506,10090327,'Must not be engaged in pvp combat',100,2,5),
(151507,45691,'Applies Kordian''s Replenishment  when Activated.',100,0,0),
(151508,45691,'Heals caster for 149',100,1,1),
(151509,10045691,'Applies Kordian''s Replenishment  when Activated.',100,0,0),
(151510,10045691,'Heals caster for 97',100,1,1),
(151511,82259,'When Equipped:',100,0,0),
(151512,82259,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(151513,82259,'Decreases Threat to target by 135 ',100,2,2),
(151514,82259,'Must be flanking or behind',100,3,3),
(151515,82259,'Increases Threat to target by 135 ',100,2,4),
(151516,82259,'Must be in front of',100,3,5),
(151517,82259,'Inflicts 48 - 89 magic damage on target',100,2,6),
(151518,82259,'Cannot be modified except by direct means',100,2,7),
(151519,10082259,'When Equipped:',100,0,0),
(151520,10082259,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(151521,10082259,'Inflicts 62 - 115 magic damage on target',100,2,2),
(151522,10082259,'Cannot be modified except by direct means',100,2,3),
(151523,37410,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(151524,41638,'When Equipped:',100,0,0),
(151525,41638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151526,41638,'Inflicts 302 - 560 magic damage on target',100,2,2),
(151527,41638,'Cannot be modified except by direct means',100,2,3),
(151528,10041638,'When Equipped:',100,0,0),
(151529,10041638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151530,10041638,'Inflicts 392 - 728 magic damage on target',100,2,2),
(151531,10041638,'Cannot be modified except by direct means',100,2,3),
(151532,104129,'Roots target',100,1,0),
(151533,104129,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(151534,104129,'Makes target afraid',100,2,2),
(151535,104129,'Slows target by 31.5%',100,2,3),
(151536,104129,'30% chance to dispel when target takes damage',100,2,4),
(151537,104129,'Resistibility increases against targets higher than level 76.',100,2,5),
(151538,104129,'15% chance to dispel when target takes damage',100,1,6),
(151539,104129,'Does not affect Epic targets',100,1,7),
(151540,104129,'Resistibility increases against targets higher than level 76.',100,1,8),
(151541,10104129,'Roots target',100,1,0),
(151542,10104129,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(151543,10104129,'Makes target afraid',100,2,2),
(151544,10104129,'Slows target by 31.5%',100,2,3),
(151545,10104129,'30% chance to dispel when target takes damage',100,2,4),
(151546,10104129,'Resistibility increases against targets higher than level 76.',100,2,5),
(151547,10104129,'15% chance to dispel when target takes damage',100,1,6),
(151548,10104129,'Does not affect Epic targets',100,1,7),
(151549,10104129,'Resistibility increases against targets higher than level 76.',100,1,8),
(151550,159800,'Applies Lambent Imbued when Equipped.',100,0,0),
(151551,159800,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(151552,159800,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(151553,159800,'Cannot be modified except by direct means',100,2,3),
(151554,10159800,'Applies Lambent Imbued when Equipped.',100,0,0),
(151555,10159800,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(151556,10159800,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(151557,10159800,'Cannot be modified except by direct means',100,2,3),
(151558,119639,'Inflicts 54 - 91 crushing damage on target',100,1,0),
(151559,119639,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(151560,119639,'Stuns target',100,2,2),
(151561,119639,'Throws target back',100,2,3),
(151562,119639,'Blurs vision of target',100,2,4),
(151563,119639,'Does not affect Epic targets',100,2,5),
(151564,10119639,'Inflicts 71 - 118 crushing damage on target',100,1,0),
(151565,10119639,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(151566,10119639,'Stuns target',100,2,2),
(151567,10119639,'Throws target back',100,2,3),
(151568,10119639,'Blurs vision of target',100,2,4),
(151569,10119639,'Does not affect Epic targets',100,2,5),
(151570,104453,'Interrupts target encounter',100,1,0),
(151571,104453,'Applies Stumble on termination.',100,1,1),
(151572,104453,'Interrupts target',100,2,2),
(151573,104453,'Inflicts 124 - 151 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(151574,10104453,'Interrupts target encounter',100,1,0),
(151575,10104453,'Applies Stumble on termination.',100,1,1),
(151576,10104453,'Interrupts target',100,2,2),
(151577,10104453,'Inflicts 161 - 197 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(151578,114117,'Inflicts 1300 - 2167 melee damage on targets in area',100,1,0),
(151579,114117,'You must be in stealth to use this!',100,1,1),
(151580,10114117,'Inflicts 1690 - 2818 melee damage on targets in area',100,1,0),
(151581,10114117,'You must be in stealth to use this!',100,1,1),
(151582,75249,'When Equipped:',100,0,0),
(151583,75249,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(151584,75249,'Inflicts 2648 heat damage on target',100,2,2),
(151585,75249,'Cannot be modified except by direct means',100,2,3),
(151586,10075249,'When Equipped:',100,0,0),
(151587,10075249,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(151588,10075249,'Inflicts 1721 heat damage on target',100,2,2),
(151589,10075249,'Cannot be modified except by direct means',100,2,3),
(151590,36714,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(151591,113161,'Inflicts 375 disease damage on target',100,1,0),
(151592,113161,'Heals caster for 160',100,1,1),
(151593,10113161,'Inflicts 488 disease damage on target',100,1,0),
(151594,10113161,'Heals caster for 135',100,1,1),
(151595,124222,'Decreases Attack Speed of caster by 14.1',100,1,0),
(151596,124222,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(151597,124222,'Slows targets in Area of Effect by 61.1%',100,2,2),
(151598,124222,'5% chance to dispel when target receives hostile action',100,2,3),
(151599,124222,'5% chance to dispel when target takes damage',100,2,4),
(151600,124222,'Increases Mitigation of caster vs physical damage by 656',100,1,5),
(151601,10124222,'Decreases Attack Speed of caster by 14.1',100,1,0),
(151602,10124222,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(151603,10124222,'Slows targets in Area of Effect by 45.8%',100,2,2),
(151604,10124222,'5% chance to dispel when target receives hostile action',100,2,3),
(151605,10124222,'5% chance to dispel when target takes damage',100,2,4),
(151606,10124222,'Increases Mitigation of caster vs physical damage by 656',100,1,5),
(151607,123692,'Increases Damage Per Second of target by 78.3',100,1,0),
(151608,10123692,'Increases Damage Per Second of target by 78.3',100,1,0),
(151609,107817,'Increases Threat to target encounter by 1,024 - 1,252 ',100,1,0),
(151610,10107817,'Prevents target encounter from changing targets',100,1,0),
(151611,10107817,'Forces target encounter to change their selected target to caster.',100,1,1),
(151612,102310,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(151613,102310,'Decreases Threat to target by 1,648 ',100,2,1),
(151614,10102310,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(151615,10102310,'Inflicts 143 - 158 crushing damage on target',100,2,1),
(151616,48861,'Applies Rasrok''s Revitalization  when Activated.',100,0,0),
(151617,48861,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(151618,10048861,'Applies Rasrok''s Revitalization  when Activated.',100,0,0),
(151619,10048861,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(151620,180393,'When Equipped:',100,0,0),
(151621,180393,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(151622,180393,'Increases power of caster by 64',100,2,2),
(151623,180393,'Cannot be modified except by direct means',100,2,3),
(151624,10180393,'When Equipped:',100,0,0),
(151625,10180393,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(151626,10180393,'Increases power of caster by 64',100,2,2),
(151627,10180393,'Cannot be modified except by direct means',100,2,3),
(151628,71732,'When Equipped:',100,0,0),
(151629,71732,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151630,71732,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(151631,71732,'Cannot be modified except by direct means',100,2,3),
(151632,10071732,'When Equipped:',100,0,0),
(151633,10071732,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151634,10071732,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(151635,10071732,'Cannot be modified except by direct means',100,2,3),
(151636,112146,'Dispels 96 levels of physical and arcane hostile effects on caster',100,1,0),
(151637,10112146,'Dispels 96 levels of physical and arcane hostile effects on caster',100,1,0),
(151638,115559,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1510',100,1,0),
(151639,10115559,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1510',100,1,0),
(151640,101428,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(151641,101428,'Increases Mitigation of group members (AE) vs noxious damage by 235',100,1,1),
(151642,10101428,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(151643,10101428,'Increases Mitigation of group members (AE) vs noxious damage by 235',100,1,1),
(151644,122111,'Increases STA and INT of group members (AE) by 121.4',100,1,0),
(151645,10122111,'Increases STA and INT of group members (AE) by 121.4',100,1,0),
(151646,154705,'When Equipped:',100,0,0),
(151647,154705,'On any combat or spell hit this spell may cast Overflowing Wonderment on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(151648,154705,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(151649,154705,'Increases Attack Speed of caster by 10.0',100,2,3),
(151650,154705,'Must not be engaged in pvp combat',100,2,4),
(151651,154705,'Cannot be modified except by direct means',100,2,5),
(151652,154705,'Cannot be modified except by direct means',100,1,6),
(151653,10154705,'When Equipped:',100,0,0),
(151654,10154705,'On any combat or spell hit this spell may cast Overflowing Wonderment on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(151655,10154705,'Caster will have their chance to hit with a weapon increased by 5.0%',100,2,2),
(151656,10154705,'Increases Attack Speed of caster by 10.0',100,2,3),
(151657,10154705,'Must not be engaged in pvp combat',100,2,4),
(151658,10154705,'Cannot be modified except by direct means',100,2,5),
(151659,10154705,'Cannot be modified except by direct means',100,1,6),
(151660,100872,'Makes target afraid',100,1,0),
(151661,100872,'30% chance to dispel when target takes damage',100,1,1),
(151662,100872,'Does not affect Epic targets',100,1,2),
(151663,100872,'Resistibility increases against targets higher than level 82.',100,1,3),
(151664,10100872,'Makes target afraid',100,1,0),
(151665,10100872,'30% chance to dispel when target takes damage',100,1,1),
(151666,10100872,'Does not affect Epic targets',100,1,2),
(151667,10100872,'Resistibility increases against targets higher than level 82.',100,1,3),
(151668,45476,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(151669,45476,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(151670,45476,'Inflicts 48 poison damage on target instantly and every 6 seconds',100,2,2),
(151671,45476,'Inflicts 55 poison damage on target',100,2,3),
(151672,45476,'Cannot be modified except by direct means',100,2,4),
(151673,45476,'Grants a total of 200 triggers of the spell.',100,2,5),
(151674,10045476,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(151675,10045476,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(151676,10045476,'Inflicts 53 poison damage on target',100,2,2),
(151677,10045476,'Inflicts 47 poison damage on target instantly and every 6 seconds',100,2,3),
(151678,10045476,'Cannot be modified except by direct means',100,2,4),
(151679,10045476,'Grants a total of 200 triggers of the spell.',100,2,5),
(151680,104661,'Decreases Mitigation of target vs all damage by 86',100,1,0),
(151681,10104661,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 86',100,1,0),
(151682,10104661,'Decreases Mitigation of target vs physical damage by 72',100,1,1),
(151683,45240,'Applies Ashlan''s Favor when Activated.  Lasts for 30 minutes.',100,0,0),
(151684,45240,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(151685,10045240,'Applies Ashlan''s Favor when Activated.  Lasts for 30 minutes.',100,0,0),
(151686,10045240,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(151687,26889,'When Equipped:',100,0,0),
(151688,26889,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(151689,26889,'Decreases Threat to target encounter by 1,296 ',100,2,2),
(151690,26889,'Cannot be modified except by direct means',100,2,3),
(151691,10026889,'When Equipped:',100,0,0),
(151692,10026889,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(151693,10026889,'Cannot be modified except by direct means',100,2,2),
(151694,117080,'Summons 4 limited pets to aid the caster',100,1,0),
(151695,10117080,'Summons 4 limited pets to aid the caster',100,1,0),
(151696,106986,'Inflicts 1271 - 2360 poison damage on target',100,1,0),
(151697,106986,'Increases power of caster by 82',100,1,1),
(151698,10106986,'Inflicts 1652 - 3068 poison damage on target',100,1,0),
(151699,10106986,'Increases power of caster by 82',100,1,1),
(151700,45297,'Applies Place Sword when Activated.',100,0,0),
(151701,10045297,'Applies Place Sword when Activated.',100,0,0),
(151702,111978,'Inflicts 548 - 670 disease damage on target',100,1,0),
(151703,111978,'Decreases Mitigation of target vs noxious damage by 889',100,1,1),
(151704,10111978,'Inflicts 917 - 1120 disease damage on target',100,1,0),
(151705,10111978,'Decreases Mitigation of target vs noxious damage by 889',100,1,1),
(151706,107138,'Inflicts 424 - 519 divine damage on target',100,1,0),
(151707,107138,'Inflicts 424 - 519 divine damage on target',100,1,1),
(151708,107138,'If target is undead',100,2,2),
(151709,10107138,'Inflicts 552 - 674 divine damage on target',100,1,0),
(151710,10107138,'Inflicts 552 - 674 divine damage on target',100,1,1),
(151711,48164,'Applies Spirit Guide when Activated.',100,0,0),
(151712,48164,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(151713,48164,'Decreases All Attributes of target by 20.0%',100,2,2),
(151714,48164,'If not between levels 1 - 6',100,3,3),
(151715,48164,'Decreases Attack Speed of target by 20.0',100,2,4),
(151716,48164,'If not between levels 1 - 6',100,3,5),
(151717,48164,'Decreases Attack Speed of target by 5.0',100,2,6),
(151718,48164,'If between levels 1 - 6',100,3,7),
(151719,48164,'Decreases All Attributes of target by 5.0%',100,2,8),
(151720,48164,'If between levels 1 - 6',100,3,9),
(151721,48164,'Resurrects target with 15% health and power',100,1,10),
(151722,48164,'This effect cannot be cast during combat',100,1,11),
(151723,48164,'If priest',100,1,12),
(151724,48164,'Requires 10 Power to cast.',100,1,13),
(151725,10048164,'Applies Spirit Guide when Activated.',100,0,0),
(151726,10048164,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(151727,10048164,'Decreases All Attributes of target by 20.0%',100,2,2),
(151728,10048164,'If not between levels 1 - 6',100,3,3),
(151729,10048164,'Decreases Attack Speed of target by 20.0',100,2,4),
(151730,10048164,'If not between levels 1 - 6',100,3,5),
(151731,10048164,'Decreases Attack Speed of target by 5.0',100,2,6),
(151732,10048164,'If between levels 1 - 6',100,3,7),
(151733,10048164,'Decreases All Attributes of target by 5.0%',100,2,8),
(151734,10048164,'If between levels 1 - 6',100,3,9),
(151735,10048164,'Resurrects target with 15% health and power',100,1,10),
(151736,10048164,'This effect cannot be cast during combat',100,1,11),
(151737,10048164,'If priest',100,1,12),
(151738,10048164,'Requires 10 Power to cast.',100,1,13),
(151739,48419,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(151740,48419,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(151741,48419,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(151742,48419,'Cannot be modified except by direct means',100,2,3),
(151743,48419,'Grants a total of 80 triggers of the spell.',100,2,4),
(151744,10048419,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(151745,10048419,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(151746,10048419,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(151747,10048419,'Cannot be modified except by direct means',100,2,3),
(151748,10048419,'Grants a total of 80 triggers of the spell.',100,2,4),
(151749,164523,'When Equipped:',100,0,0),
(151750,164523,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(151751,164523,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(151752,164523,'Dispelled when target casts a hostile spell',100,2,3),
(151753,164523,'Dispelled when target casts a combat art',100,2,4),
(151754,164523,'Cannot be modified except by direct means',100,2,5),
(151755,10164523,'When Equipped:',100,0,0),
(151756,10164523,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(151757,10164523,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(151758,10164523,'Dispelled when target casts a hostile spell',100,2,3),
(151759,10164523,'Dispelled when target casts a combat art',100,2,4),
(151760,10164523,'Cannot be modified except by direct means',100,2,5),
(151761,138775,'When Equipped:',100,0,0),
(151762,138775,'On a damage spell hit this spell will cast Icy Impact on target of spell.  ',100,1,1),
(151763,138775,'Inflicts 19 cold damage on target',100,2,2),
(151764,138775,'Cannot be modified except by direct means',100,2,3),
(151765,10138775,'When Equipped:',100,0,0),
(151766,10138775,'On a damage spell hit this spell will cast Icy Impact on target of spell.  ',100,1,1),
(151767,10138775,'Inflicts 25 cold damage on target',100,2,2),
(151768,10138775,'Cannot be modified except by direct means',100,2,3),
(151769,87106,'When Equipped:',100,0,0),
(151770,87106,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151771,87106,'Inflicts 237 - 356 magic damage on target',100,2,2),
(151772,87106,'Cannot be modified except by direct means',100,2,3),
(151773,10087106,'When Equipped:',100,0,0),
(151774,10087106,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151775,10087106,'Inflicts 308 - 463 magic damage on target',100,2,2),
(151776,10087106,'Cannot be modified except by direct means',100,2,3),
(151777,46005,'Applies an ingenious experience when Activated.',100,0,0),
(151778,10046005,'Applies an ingenious experience when Activated.',100,0,0),
(151779,116169,'Increases Attack Speed of caster by 26.2',100,1,0),
(151780,116169,'Increases Damage Per Second of caster by 30.5',100,1,1),
(151781,10116169,'Increases Attack Speed of caster by 26.2',100,1,0),
(151782,10116169,'Increases Damage Per Second of caster by 30.5',100,1,1),
(151783,118801,'Wards group members (AE) against 54 points of physical damage',100,1,0),
(151784,118801,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,1),
(151785,10118801,'Wards group members (AE) against 54 points of physical damage',100,1,0),
(151786,10118801,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,1),
(151787,47642,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(151788,47642,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(151789,47642,'Stifles target',100,2,2),
(151790,47642,'If Target is not Epic',100,3,3),
(151791,47642,'Cannot be modified except by direct means',100,2,4),
(151792,47642,'Grants a total of 4 triggers of the spell.',100,2,5),
(151793,10047642,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(151794,10047642,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(151795,10047642,'Stifles target',100,2,2),
(151796,10047642,'If Target is not Epic',100,3,3),
(151797,10047642,'Cannot be modified except by direct means',100,2,4),
(151798,10047642,'Grants a total of 4 triggers of the spell.',100,2,5),
(151799,35389,'Increases Out-of-Combat Power Regeneration of target by 24.0',100,0,0),
(151800,26436,'When Equipped:',100,0,0),
(151801,26436,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(151802,26436,'Inflicts 266 divine damage on target',100,2,2),
(151803,26436,'Heals caster for 30',100,2,3),
(151804,26436,'Cannot be modified except by direct means',100,2,4),
(151805,10026436,'When Equipped:',100,0,0),
(151806,10026436,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(151807,10026436,'Inflicts 346 divine damage on target',100,2,2),
(151808,10026436,'Heals caster for 19',100,2,3),
(151809,10026436,'Cannot be modified except by direct means',100,2,4),
(151810,102280,'Inflicts 511 - 851 melee damage on targets in area',100,1,0),
(151811,10102280,'Inflicts 664 - 1107 melee damage on targets in area',100,1,0),
(151812,36525,'Increases AGI of target by 0.4',100,0,0),
(151813,36525,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(151814,84310,'When Equipped:',100,0,0),
(151815,84310,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(151816,84310,'Inflicts 80 - 134 piercing damage on target',100,2,2),
(151817,84310,'Inflicts 80 - 134 magic damage on target',100,2,3),
(151818,84310,'Inflicts 80 - 134 divine damage on target',100,2,4),
(151819,84310,'Must not be engaged in pvp combat',100,2,5),
(151820,84310,'Cannot be modified except by direct means',100,2,6),
(151821,84310,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(151822,84310,'Inflicts 80 - 134 piercing damage on target',100,2,8),
(151823,84310,'Inflicts 80 - 134 magic damage on target',100,2,9),
(151824,84310,'Inflicts 80 - 134 divine damage on target',100,2,10),
(151825,84310,'Must not be engaged in pvp combat',100,2,11),
(151826,84310,'Cannot be modified except by direct means',100,2,12),
(151827,84310,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(151828,84310,'Inflicts 80 - 134 piercing damage on target',100,2,14),
(151829,84310,'Inflicts 80 - 134 magic damage on target',100,2,15),
(151830,84310,'Inflicts 80 - 134 divine damage on target',100,2,16),
(151831,84310,'Must not be engaged in pvp combat',100,2,17),
(151832,84310,'Cannot be modified except by direct means',100,2,18),
(151833,84310,'Must not be engaged in pvp combat',100,1,19),
(151834,10084310,'When Equipped:',100,0,0),
(151835,10084310,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(151836,10084310,'Inflicts 104 - 174 piercing damage on target',100,2,2),
(151837,10084310,'Inflicts 104 - 174 magic damage on target',100,2,3),
(151838,10084310,'Inflicts 104 - 174 divine damage on target',100,2,4),
(151839,10084310,'Must not be engaged in pvp combat',100,2,5),
(151840,10084310,'Cannot be modified except by direct means',100,2,6),
(151841,10084310,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(151842,10084310,'Inflicts 104 - 174 piercing damage on target',100,2,8),
(151843,10084310,'Inflicts 104 - 174 magic damage on target',100,2,9),
(151844,10084310,'Inflicts 104 - 174 divine damage on target',100,2,10),
(151845,10084310,'Must not be engaged in pvp combat',100,2,11),
(151846,10084310,'Cannot be modified except by direct means',100,2,12),
(151847,10084310,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(151848,10084310,'Inflicts 104 - 174 piercing damage on target',100,2,14),
(151849,10084310,'Inflicts 104 - 174 magic damage on target',100,2,15),
(151850,10084310,'Inflicts 104 - 174 divine damage on target',100,2,16),
(151851,10084310,'Must not be engaged in pvp combat',100,2,17),
(151852,10084310,'Cannot be modified except by direct means',100,2,18),
(151853,10084310,'Must not be engaged in pvp combat',100,1,19),
(151854,147169,'When Equipped:',100,0,0),
(151855,147169,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(151856,147169,'Inflicts 1998 cold damage on target encounter',100,2,2),
(151857,147169,'Must not be engaged in pvp combat',100,2,3),
(151858,147169,'Cannot be modified except by direct means',100,2,4),
(151859,147169,'Must not be engaged in pvp combat',100,1,5),
(151860,10147169,'When Equipped:',100,0,0),
(151861,10147169,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(151862,10147169,'Inflicts 1299 cold damage on target encounter',100,2,2),
(151863,10147169,'Must not be engaged in pvp combat',100,2,3),
(151864,10147169,'Cannot be modified except by direct means',100,2,4),
(151865,10147169,'Must not be engaged in pvp combat',100,1,5),
(151866,102985,'Increases STR and AGI of group members (AE) by 56.7',100,1,0),
(151867,10102985,'Increases STR and AGI of group members (AE) by 56.7',100,1,0),
(151868,119178,'Inflicts 46 - 77 heat damage on target',100,1,0),
(151869,119178,'Inflicts 46 - 77 heat damage on target',100,1,1),
(151870,119178,'Requires bow',100,1,2),
(151871,10119178,'Inflicts 53 - 88 heat damage on target',100,1,0),
(151872,10119178,'Inflicts 53 - 88 heat damage on target',100,1,1),
(151873,10119178,'Requires bow',100,1,2),
(151874,141835,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(151875,141835,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(151876,141835,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(151877,141835,'Cannot be modified except by direct means',100,2,3),
(151878,10141835,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(151879,10141835,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(151880,10141835,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(151881,10141835,'Cannot be modified except by direct means',100,2,3),
(151882,114181,'Inflicts 75 - 126 melee damage on target',100,1,0),
(151883,114181,'Decreases Slashing, Crushing and Piercing of target by 2.3',100,1,1),
(151884,10114181,'Inflicts 98 - 164 melee damage on target',100,1,0),
(151885,10114181,'Decreases Slashing, Crushing and Piercing of target by 2.3',100,1,1),
(151886,80876,'When Equipped:',100,0,0),
(151887,80876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151888,80876,'Inflicts 288 - 534 magic damage on target',100,2,2),
(151889,80876,'Cannot be modified except by direct means',100,2,3),
(151890,10080876,'When Equipped:',100,0,0),
(151891,10080876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151892,10080876,'Inflicts 374 - 695 magic damage on target',100,2,2),
(151893,10080876,'Cannot be modified except by direct means',100,2,3),
(151894,117749,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(151895,117749,'Heals target for 2100',100,2,1),
(151896,117749,'Increases Max Health of target by 1,232.7',100,2,2),
(151897,117749,'Grants a total of 1 trigger of the spell.',100,2,3),
(151898,10117749,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(151899,10117749,'Heals target for 1365',100,2,1),
(151900,10117749,'Increases Max Health of target by 1,232.7',100,2,2),
(151901,10117749,'Grants a total of 1 trigger of the spell.',100,2,3),
(151902,71401,'When Equipped:',100,0,0),
(151903,71401,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151904,71401,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(151905,71401,'Cannot be modified except by direct means',100,2,3),
(151906,10071401,'When Equipped:',100,0,0),
(151907,10071401,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(151908,10071401,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(151909,10071401,'Cannot be modified except by direct means',100,2,3),
(151910,47930,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(151911,47930,'Increases WIS of caster by 165.0',100,1,1),
(151912,47930,'Increases Potency of caster by 2.0%',100,1,2),
(151913,10047930,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(151914,10047930,'Increases WIS of caster by 165.0',100,1,1),
(151915,10047930,'Increases Potency of caster by 2.0%',100,1,2),
(151916,100634,'Wipes target''s memory of any aggression',100,1,0),
(151917,100634,'Stuns target',100,1,1),
(151918,100634,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(151919,100634,'Resistibility increases against targets higher than level 84.',100,1,3),
(151920,10100634,'Forces target to clear their selected target.',100,1,0),
(151921,10100634,'Prevents target from changing targets',100,1,1),
(151922,10100634,'Stuns target',100,1,2),
(151923,10100634,'If Target is not Epic',100,2,3),
(151924,10100634,'Resistibility increases against targets higher than level 84.',100,1,4),
(151925,82021,'When Equipped:',100,0,0),
(151926,82021,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151927,82021,'Inflicts 212 - 393 magic damage on target',100,2,2),
(151928,82021,'Cannot be modified except by direct means',100,2,3),
(151929,10082021,'When Equipped:',100,0,0),
(151930,10082021,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(151931,10082021,'Inflicts 275 - 511 magic damage on target',100,2,2),
(151932,10082021,'Cannot be modified except by direct means',100,2,3),
(151933,173003,'When Equipped:',100,0,0),
(151934,173003,'1% of all damage received by the caster is prevented.',100,1,1),
(151935,173003,'Must not be engaged in pvp combat',100,1,2),
(151936,10173003,'When Equipped:',100,0,0),
(151937,10173003,'1% of all damage received by the caster is prevented.',100,1,1),
(151938,10173003,'Must not be engaged in pvp combat',100,1,2),
(151939,121006,'Inflicts 195 - 325 poison damage on target',100,1,0),
(151940,121006,'Inflicts 49 - 81 poison damage on target instantly and every 4 seconds',100,1,1),
(151941,10121006,'Inflicts 254 - 423 poison damage on target',100,1,0),
(151942,10121006,'Inflicts 64 - 106 poison damage on target instantly and every 4 seconds',100,1,1),
(151943,105572,'Inflicts 403 - 748 disease damage on target',100,1,0),
(151944,105572,'Inflicts 242 - 449 disease damage on target every 2 seconds',100,1,1),
(151945,10105572,'Inflicts 524 - 973 disease damage on target',100,1,0),
(151946,10105572,'Inflicts 314 - 584 disease damage on target every 2 seconds',100,1,1),
(151947,35115,'Increases STR of target by 1.5',100,0,0),
(151948,35115,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(151949,47863,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(151950,47863,'Summons a mount to ride',100,1,1),
(151951,47863,'Increases your ground speed by 130%',100,2,2),
(151952,47863,'Increases Slashing, Crushing, Piercing and Focus of caster by 4.7',100,1,3),
(151953,10047863,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(151954,10047863,'Summons a mount to ride',100,1,1),
(151955,10047863,'Increases your ground speed by 130%',100,2,2),
(151956,10047863,'Increases Slashing, Crushing, Piercing and Focus of caster by 4.7',100,1,3),
(151957,119731,'Wards group members (AE) against 60 points of elemental, noxious and arcane damage',100,1,0),
(151958,119731,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,1),
(151959,10119731,'Wards group members (AE) against 60 points of elemental, noxious and arcane damage',100,1,0),
(151960,10119731,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,1),
(151961,122653,'Decreases Defense of target by 2.9',100,1,0),
(151962,122653,'Decreases Mitigation of target vs physical damage by 63',100,1,1),
(151963,10122653,'Decreases Defense of target by 2.9',100,1,0),
(151964,10122653,'Decreases Mitigation of target vs physical damage by 63',100,1,1),
(151965,112288,'Inflicts 43 - 53 disease damage on target',100,1,0),
(151966,112288,'Inflicts 22 - 26 disease damage on target every 3 seconds',100,1,1),
(151967,112288,'Increases Threat to target by 244 - 298  instantly and by 45 - 56  every 3 seconds thereafter',100,1,2),
(151968,10112288,'Inflicts 28 - 34 disease damage on target every 3 seconds',100,1,0),
(151969,10112288,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(151970,104558,'Inflicts 126 - 210 disease damage on target',100,1,0),
(151971,104558,'Decreases WIS of target by 33.5',100,1,1),
(151972,10104558,'Inflicts 164 - 273 disease damage on target',100,1,0),
(151973,10104558,'Decreases WIS of target by 33.5',100,1,1),
(151974,47088,'Applies Most Wanted Poster when Activated.',100,0,0),
(151975,47088,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(151976,47088,'If between levels 10 - 19',100,1,2),
(151977,47088,'Cannot be modified except by direct means',100,1,3),
(151978,10047088,'Applies Most Wanted Poster when Activated.',100,0,0),
(151979,10047088,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(151980,10047088,'If between levels 10 - 19',100,1,2),
(151981,10047088,'Cannot be modified except by direct means',100,1,3),
(151982,108465,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(151983,108465,'Increases Aggression of caster by 7.7',100,1,1),
(151984,108465,'Increases Defense and Parry of caster by 15.4',100,1,2),
(151985,108465,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(151986,10108465,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(151987,10108465,'Increases Aggression of caster by 7.7',100,1,1),
(151988,10108465,'Increases Defense and Parry of caster by 15.4',100,1,2),
(151989,10108465,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(151990,46985,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(151991,46985,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(151992,46985,'Inflicts 131 poison damage on target instantly and every 6 seconds',100,2,2),
(151993,46985,'Cannot be modified except by direct means',100,2,3),
(151994,46985,'Grants a total of 4 triggers of the spell.',100,2,4),
(151995,10046985,'Applies rotting flesh when Activated.  Lasts for 12 hours.',100,0,0),
(151996,10046985,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(151997,10046985,'Inflicts 128 poison damage on target instantly and every 6 seconds',100,2,2),
(151998,10046985,'Cannot be modified except by direct means',100,2,3),
(151999,10046985,'Grants a total of 4 triggers of the spell.',100,2,4),
(152000,116066,'Shapechanges caster into a lion',100,1,0),
(152001,116066,'Increases STA of caster by 119.8',100,1,1),
(152002,116066,'Adds 2.5% to base avoidance.',100,1,2),
(152003,116066,'Grants See Stealth to caster',100,1,3),
(152004,116066,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,4),
(152005,10116066,'Shapechanges caster into a lion',100,1,0),
(152006,10116066,'Increases STA of caster by 119.8',100,1,1),
(152007,10116066,'Adds 2.5% to base avoidance.',100,1,2),
(152008,10116066,'Grants See Stealth to caster',100,1,3),
(152009,10116066,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,4),
(152010,109284,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(152011,109284,'Increases Mitigation of group members (AE) vs elemental damage by 336',100,1,1),
(152012,10109284,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(152013,10109284,'Increases Mitigation of group members (AE) vs elemental damage by 336',100,1,1),
(152014,35507,'Increases STA and WIS of target by 1.1',100,0,0),
(152015,35507,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(152016,119501,'Dazes target encounter',100,1,0),
(152017,119501,'If Target is not Epic',100,2,1),
(152018,119501,'Inflicts 446 - 545 magic damage on target encounter instantly and every second',100,1,2),
(152019,119501,'Resistibility increases against targets higher than level 107.',100,1,3),
(152020,10119501,'Dazes target encounter',100,1,0),
(152021,10119501,'If Target is not Epic',100,2,1),
(152022,10119501,'Inflicts 762 - 932 magic damage on target encounter',100,1,2),
(152023,10119501,'Inflicts 579 - 708 magic damage on target encounter every second',100,1,3),
(152024,10119501,'Resistibility increases against targets higher than level 107.',100,1,4),
(152025,100789,'Wards target against 495 points of all damage',100,1,0),
(152026,10100789,'Wards target against 761 points of all damage',100,1,0),
(152027,81477,'When Equipped:',100,0,0),
(152028,81477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152029,81477,'Inflicts 109 - 202 magic damage on target',100,2,2),
(152030,81477,'Cannot be modified except by direct means',100,2,3),
(152031,10081477,'When Equipped:',100,0,0),
(152032,10081477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152033,10081477,'Inflicts 142 - 263 magic damage on target',100,2,2),
(152034,10081477,'Cannot be modified except by direct means',100,2,3),
(152035,104980,'Reduces physical damage done to caster by 5%',100,1,0),
(152036,104980,'Adds 2.4% to base avoidance.',100,1,1),
(152037,104980,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(152038,104980,'Increases Parry of caster by 7.7',100,1,3),
(152039,104980,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(152040,104980,'Increases Aggression of caster by 4.6',100,1,5),
(152041,104980,'Increases Defense and Deflection of caster by 7.7',100,1,6),
(152042,104980,'Increases Mitigation of caster vs arcane damage by 553',100,1,7),
(152043,104980,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(152044,10104980,'Reduces physical damage done to caster by 5%',100,1,0),
(152045,10104980,'Adds 2.4% to base avoidance.',100,1,1),
(152046,10104980,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(152047,10104980,'Increases Parry of caster by 7.7',100,1,3),
(152048,10104980,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(152049,10104980,'Increases Aggression of caster by 4.6',100,1,5),
(152050,10104980,'Increases Defense and Deflection of caster by 7.7',100,1,6),
(152051,10104980,'Increases Mitigation of caster vs arcane damage by 553',100,1,7),
(152052,10104980,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(152053,120482,'Inflicts 25 - 42 melee damage on target',100,1,0),
(152054,120482,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(152055,120482,'Grants stealth to caster',100,2,2),
(152056,120482,'Suspends caster''s movement speed enhancements',100,2,3),
(152057,120482,'Must be flanking or behind',100,1,4),
(152058,10120482,'Inflicts 33 - 55 melee damage on target',100,1,0),
(152059,10120482,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(152060,10120482,'Grants stealth to caster',100,2,2),
(152061,10120482,'Suspends caster''s movement speed enhancements',100,2,3),
(152062,10120482,'Must be flanking or behind',100,1,4),
(152063,105252,'Increases Threat to target by 431 ',100,1,0),
(152064,105252,'Interrupts target',100,1,1),
(152065,105252,'Dispels 65 levels of arcane beneficial effects on target',100,1,2),
(152066,10105252,'Forces target to change their selected target to caster.',100,1,0),
(152067,10105252,'Interrupts target',100,1,1),
(152068,10105252,'Dispels 65 levels of arcane beneficial effects on target',100,1,2),
(152069,45609,'Applies Elixir of Ice Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(152070,45609,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(152071,10045609,'Applies Elixir of Ice Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(152072,10045609,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(152073,82412,'When Equipped:',100,0,0),
(152074,82412,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152075,82412,'Decreases Threat to target by 376 ',100,2,2),
(152076,82412,'Must be flanking or behind',100,3,3),
(152077,82412,'Increases Threat to target by 376 ',100,2,4),
(152078,82412,'Must be in front of',100,3,5),
(152079,82412,'Inflicts 167 - 311 magic damage on target',100,2,6),
(152080,82412,'Cannot be modified except by direct means',100,2,7),
(152081,10082412,'When Equipped:',100,0,0),
(152082,10082412,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152083,10082412,'Inflicts 217 - 404 magic damage on target',100,2,2),
(152084,10082412,'Cannot be modified except by direct means',100,2,3),
(152085,113315,'Inflicts 295 - 493 heat damage on target',100,1,0),
(152086,10113315,'Inflicts 582 - 971 heat damage on target',100,1,0),
(152087,74948,'When Equipped:',100,0,0),
(152088,74948,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152089,74948,'Inflicts 134 - 201 magic damage on target',100,2,2),
(152090,74948,'Cannot be modified except by direct means',100,2,3),
(152091,10074948,'When Equipped:',100,0,0),
(152092,10074948,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152093,10074948,'Inflicts 174 - 261 magic damage on target',100,2,2),
(152094,10074948,'Cannot be modified except by direct means',100,2,3),
(152095,74957,'When Equipped:',100,0,0),
(152096,74957,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152097,74957,'Inflicts 169 - 254 magic damage on target',100,2,2),
(152098,74957,'Cannot be modified except by direct means',100,2,3),
(152099,10074957,'When Equipped:',100,0,0),
(152100,10074957,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152101,10074957,'Inflicts 220 - 330 magic damage on target',100,2,2),
(152102,10074957,'Cannot be modified except by direct means',100,2,3),
(152103,100198,'Increases Threat to target encounter by 182 - 222 ',100,1,0),
(152104,100198,'Interrupts target encounter',100,1,1),
(152105,10100198,'Interrupts target encounter',100,1,0),
(152106,10100198,'Forces target encounter to change their selected target to caster.',100,1,1),
(152107,10100198,'Prevents target encounter from changing targets',100,1,2),
(152108,114176,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(152109,114176,'Heals target for 1421',100,2,1),
(152110,114176,'Grants a total of 1 trigger of the spell.',100,2,2),
(152111,10114176,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(152112,10114176,'Heals target for 924',100,2,1),
(152113,10114176,'Grants a total of 1 trigger of the spell.',100,2,2),
(152114,80190,'When Equipped:',100,0,0),
(152115,80190,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152116,80190,'Decreases Threat to target by 801 ',100,2,2),
(152117,80190,'Must be flanking or behind',100,3,3),
(152118,80190,'Increases Threat to target by 801 ',100,2,4),
(152119,80190,'Must be in front of',100,3,5),
(152120,80190,'Inflicts 260 - 482 magic damage on target',100,2,6),
(152121,80190,'Cannot be modified except by direct means',100,2,7),
(152122,10080190,'When Equipped:',100,0,0),
(152123,10080190,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152124,10080190,'Inflicts 337 - 627 magic damage on target',100,2,2),
(152125,10080190,'Cannot be modified except by direct means',100,2,3),
(152126,100383,'Summons a pet aery hunter',100,1,0),
(152127,10100383,'Summons a pet aery hunter',100,1,0),
(152128,80985,'When Equipped:',100,0,0),
(152129,80985,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152130,80985,'Inflicts 259 - 481 magic damage on target',100,2,2),
(152131,80985,'Cannot be modified except by direct means',100,2,3),
(152132,10080985,'When Equipped:',100,0,0),
(152133,10080985,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152134,10080985,'Inflicts 337 - 625 magic damage on target',100,2,2),
(152135,10080985,'Cannot be modified except by direct means',100,2,3),
(152136,105712,'Decreases Attack Speed of target encounter by 23.0',100,1,0),
(152137,105712,'Slows target encounter by 29.0%',100,1,1),
(152138,10105712,'Decreases Attack Speed of target encounter by 23.0',100,1,0),
(152139,10105712,'Slows target encounter by 29.0%',100,1,1),
(152140,47068,'Applies Gate: The Overlook when Activated.',100,0,0),
(152141,47068,'Teleports caster to a random zone location',100,1,1),
(152142,47068,'This effect cannot be cast during combat',100,1,2),
(152143,10047068,'Applies Gate: The Overlook when Activated.',100,0,0),
(152144,10047068,'Teleports caster to a random zone location',100,1,1),
(152145,10047068,'This effect cannot be cast during combat',100,1,2),
(152146,120534,'Decreases Defense of target by 10.9',100,1,0),
(152147,10120534,'Decreases Defense of target by 10.9',100,1,0),
(152148,102246,'Inflicts 38 - 63 melee damage on targets in area',100,1,0),
(152149,10102246,'Inflicts 49 - 82 melee damage on targets in area',100,1,0),
(152150,105473,'Stuns target encounter',100,1,0),
(152151,105473,'If Target is not Epic',100,2,1),
(152152,105473,'Inflicts 306 - 568 poison damage on target encounter',100,1,2),
(152153,105473,'Resistibility increases against targets higher than level 65.',100,1,3),
(152154,10105473,'Stuns target encounter',100,1,0),
(152155,10105473,'If Target is not Epic',100,2,1),
(152156,10105473,'Inflicts 398 - 738 poison damage on target encounter',100,1,2),
(152157,10105473,'Resistibility increases against targets higher than level 65.',100,1,3),
(152158,45809,'Applies Crysta, Velious Gryphon when Activated.',100,0,0),
(152159,45809,'Summons a mount to ride',100,1,1),
(152160,45809,'Increases your ground speed by 75%',100,2,2),
(152161,45809,'Increases your air speed by 150%',100,2,3),
(152162,45809,'Increases Potency of caster by 4.0%',100,1,4),
(152163,45809,'Increases Crit Bonus of caster by 4.0%',100,1,5),
(152164,45809,'Increases Crit Chance of caster by 14.0',100,1,6),
(152165,45809,'Increases Max Health of caster by 600.0',100,1,7),
(152166,45809,'Increases Max Power of caster by 600.0',100,1,8),
(152167,10045809,'Applies Crysta, Velious Gryphon when Activated.',100,0,0),
(152168,10045809,'Summons a mount to ride',100,1,1),
(152169,10045809,'Increases your ground speed by 75%',100,2,2),
(152170,10045809,'Increases your air speed by 150%',100,2,3),
(152171,10045809,'Increases Potency of caster by 4.0%',100,1,4),
(152172,10045809,'Increases Crit Bonus of caster by 4.0%',100,1,5),
(152173,10045809,'Increases Crit Chance of caster by 14.0',100,1,6),
(152174,10045809,'Increases Max Health of caster by 600.0',100,1,7),
(152175,10045809,'Increases Max Power of caster by 600.0',100,1,8),
(152176,72018,'When Equipped:',100,0,0),
(152177,72018,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(152178,72018,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(152179,72018,'Cannot be modified except by direct means',100,2,3),
(152180,10072018,'When Equipped:',100,0,0),
(152181,10072018,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(152182,10072018,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(152183,10072018,'Cannot be modified except by direct means',100,2,3),
(152184,121339,'Inflicts 3200 - 5334 ranged damage on targets in area',100,1,0),
(152185,121339,'Requires bow',100,1,1),
(152186,10121339,'Inflicts 2448 - 4081 ranged damage on targets in area',100,1,0),
(152187,10121339,'Requires bow',100,1,1),
(152188,103232,'Reduces physical damage done to caster by 5%',100,1,0),
(152189,103232,'Adds 2.4% to base avoidance.',100,1,1),
(152190,103232,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(152191,103232,'Increases Parry of caster by 14.4',100,1,3),
(152192,103232,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(152193,103232,'Increases Aggression of caster by 10.8',100,1,5),
(152194,103232,'Increases Defense and Deflection of caster by 14.4',100,1,6),
(152195,103232,'Increases Mitigation of caster vs noxious damage by 960',100,1,7),
(152196,103232,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(152197,10103232,'Reduces physical damage done to caster by 5%',100,1,0),
(152198,10103232,'Adds 2.4% to base avoidance.',100,1,1),
(152199,10103232,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(152200,10103232,'Increases Parry of caster by 14.4',100,1,3),
(152201,10103232,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(152202,10103232,'Increases Aggression of caster by 10.8',100,1,5),
(152203,10103232,'Increases Defense and Deflection of caster by 14.4',100,1,6),
(152204,10103232,'Increases Mitigation of caster vs noxious damage by 960',100,1,7),
(152205,10103232,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(152206,83980,'Applies Lightning Shock when Activated.',100,0,0),
(152207,83980,'Inflicts 133 - 222 magic damage on target',100,1,1),
(152208,83980,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(152209,10083980,'Applies Lightning Shock when Activated.',100,0,0),
(152210,10083980,'Inflicts 173 - 289 magic damage on target',100,1,1),
(152211,10083980,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(152212,48281,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(152213,48281,'Increases Attack Speed of caster by 25.9',100,1,1),
(152214,10048281,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(152215,10048281,'Increases Attack Speed of caster by 25.9',100,1,1),
(152216,110449,'Dazes targets in Area of Effect',100,1,0),
(152217,110449,'If Target is not Epic',100,2,1),
(152218,110449,'Decreases Threat to targets in Area of Effect by 1,781 ',100,1,2),
(152219,110449,'Dispelled when target receives hostile action',100,1,3),
(152220,110449,'Dispelled when target takes damage',100,1,4),
(152221,10110449,'Dazes targets in Area of Effect',100,1,0),
(152222,10110449,'If Target is not Epic',100,2,1),
(152223,10110449,'Applies Distract.',100,1,2),
(152224,10110449,'Forces target to clear their selected target.',100,2,3),
(152225,10110449,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(152226,10110449,'Dispelled when target receives hostile action',100,1,5),
(152227,10110449,'Dispelled when target takes damage',100,1,6),
(152228,155414,'When Equipped:',100,0,0),
(152229,155414,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(152230,10155414,'When Equipped:',100,0,0),
(152231,10155414,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(152232,106207,'Applies Defile.',100,1,0),
(152233,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,1),
(152234,106207,'If under 50% Health',100,3,2),
(152235,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,3),
(152236,106207,'If under 10% Health',100,3,4),
(152237,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,5),
(152238,106207,'If under 30% Health',100,3,6),
(152239,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,7),
(152240,106207,'If under 20% Health',100,3,8),
(152241,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,9),
(152242,106207,'If under 60% Health',100,3,10),
(152243,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,11),
(152244,106207,'If under 40% Health',100,3,12),
(152245,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,13),
(152246,106207,'If under 90% Health',100,3,14),
(152247,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,15),
(152248,106207,'If under 70% Health',100,3,16),
(152249,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,17),
(152250,106207,'If under 80% Health',100,3,18),
(152251,106207,'Inflicts 103 disease damage on targets in Area of Effect',100,2,19),
(152252,106207,'If under 100% Health',100,3,20),
(152253,10106207,'Applies Defile.',100,1,0),
(152254,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,1),
(152255,10106207,'If at 80% Health or less',100,3,2),
(152256,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,3),
(152257,10106207,'If at 60% Health or less',100,3,4),
(152258,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,5),
(152259,10106207,'If at 70% Health or less',100,3,6),
(152260,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,7),
(152261,10106207,'If at 40% Health or less',100,3,8),
(152262,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,9),
(152263,10106207,'If at 50% Health or less',100,3,10),
(152264,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,11),
(152265,10106207,'If at 100% Health or greater',100,3,12),
(152266,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,13),
(152267,10106207,'If at 20% Health or less',100,3,14),
(152268,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,15),
(152269,10106207,'If at 30% Health or less',100,3,16),
(152270,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,17),
(152271,10106207,'If over 100% Health',100,3,18),
(152272,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,19),
(152273,10106207,'If at 90% Health or less',100,3,20),
(152274,10106207,'Inflicts 133 disease damage on targets in Area of Effect',100,2,21),
(152275,10106207,'If at 10% Health or less',100,3,22),
(152276,120265,'Inflicts 722 - 1203 crushing damage on target',100,1,0),
(152277,10120265,'Inflicts 938 - 1564 crushing damage on target',100,1,0),
(152278,141739,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(152279,141739,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(152280,141739,'Inflicts 82 heat damage on target',100,2,2),
(152281,141739,'Cannot be modified except by direct means',100,2,3),
(152282,10141739,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(152283,10141739,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(152284,10141739,'Inflicts 107 heat damage on target',100,2,2),
(152285,10141739,'Cannot be modified except by direct means',100,2,3),
(152286,35827,'Increases INT and WIS of target by 1.1',100,0,0),
(152287,35827,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(152288,106483,'Decreases STR and AGI of target by 32.1',100,1,0),
(152289,10106483,'Decreases STR and AGI of target by 32.1',100,1,0),
(152290,118173,'Inflicts 1178 - 1963 melee damage on target',100,1,0),
(152291,118173,'Dazes target',100,1,1),
(152292,118173,'If Target is not Epic',100,2,2),
(152293,118173,'Resistibility increases against targets higher than level 117.',100,1,3),
(152294,10118173,'Inflicts 1531 - 2552 melee damage on target',100,1,0),
(152295,10118173,'Dazes target',100,1,1),
(152296,10118173,'If Target is not Epic',100,2,2),
(152297,10118173,'Resistibility increases against targets higher than level 117.',100,1,3),
(152298,124137,'Inflicts 155 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(152299,124137,'Applies Banshee''s Scream on termination.',100,1,1),
(152300,124137,'Inflicts 465 - 775 disease damage on target',100,2,2),
(152301,10124137,'Inflicts 201 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(152302,10124137,'Applies Banshee''s Scream on termination.',100,1,1),
(152303,10124137,'Inflicts 604 - 1007 disease damage on target',100,2,2),
(152304,88057,'When Equipped:',100,0,0),
(152305,88057,'On a beneficial spell cast this spell may cast Flow of the Spirits on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(152306,88057,'Heals caster for 207',100,2,2),
(152307,88057,'Cannot be modified except by direct means',100,2,3),
(152308,10088057,'When Equipped:',100,0,0),
(152309,10088057,'On a beneficial spell cast this spell may cast Flow of the Spirits on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(152310,10088057,'Heals caster for 135',100,2,2),
(152311,10088057,'Cannot be modified except by direct means',100,2,3),
(152312,100892,'Stuns targets in Area of Effect',20,1,0),
(152313,100892,'If Target is not Epic',100,2,1),
(152314,100892,'Inflicts 69 - 115 divine damage on targets in Area of Effect',100,1,2),
(152315,100892,'Resistibility increases against targets higher than level 43.',100,1,3),
(152316,10100892,'Stuns targets in Area of Effect',20,1,0),
(152317,10100892,'If Target is not Epic',100,2,1),
(152318,10100892,'Inflicts 90 - 149 divine damage on targets in Area of Effect',100,1,2),
(152319,10100892,'Resistibility increases against targets higher than level 43.',100,1,3),
(152320,109272,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(152321,109272,'Increases Mitigation of group members (AE) vs elemental damage by 105',100,1,1),
(152322,10109272,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(152323,10109272,'Increases Mitigation of group members (AE) vs elemental damage by 105',100,1,1),
(152324,70350,'When Equipped:',100,0,0),
(152325,70350,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(152326,70350,'Inflicts 185 - 227 magic damage on target',100,2,2),
(152327,70350,'Cannot be modified except by direct means',100,2,3),
(152328,10070350,'When Equipped:',100,0,0),
(152329,10070350,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(152330,10070350,'Inflicts 241 - 295 magic damage on target',100,2,2),
(152331,10070350,'Cannot be modified except by direct means',100,2,3),
(152332,104236,'Inflicts 287 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(152333,104236,'Decreases WIS of target encounter by 110.9',100,1,1),
(152334,10104236,'Inflicts 373 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(152335,10104236,'Decreases WIS of target encounter by 110.9',100,1,1),
(152336,109657,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(152337,109657,'Inflicts 53 - 99 poison damage on target encounter',100,2,1),
(152338,10109657,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(152339,10109657,'Inflicts 69 - 128 poison damage on target encounter',100,2,1),
(152340,46083,'Applies Elixir of Life when Activated.',100,0,0),
(152341,46083,'Heals caster for 17',100,1,1),
(152342,10046083,'Applies Elixir of Life when Activated.',100,0,0),
(152343,10046083,'Heals caster for 11',100,1,1),
(152344,133713,'Applies Fighting Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(152345,133713,'The caster''s spells deal 5% more damage.',100,1,1),
(152346,133713,'The casting time of Fighting Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(152347,133713,'When Equipped:',100,0,3),
(152348,133713,'Reduces maximum falling speed of caster',100,1,4),
(152349,10133713,'Applies Fighting Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(152350,10133713,'The caster''s spells deal 5% more damage.',100,1,1),
(152351,10133713,'The casting time of Fighting Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(152352,10133713,'When Equipped:',100,0,3),
(152353,10133713,'Reduces maximum falling speed of caster',100,1,4),
(152354,121510,'Inflicts 810 - 1350 melee damage on target',100,1,0),
(152355,121510,'Decreases Defense of target by 19.5',100,1,1),
(152356,10121510,'Inflicts 1053 - 1755 melee damage on target',100,1,0),
(152357,10121510,'Decreases Defense of target by 19.5',100,1,1),
(152358,157941,'When Equipped:',100,0,0),
(152359,157941,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(152360,157941,'Inflicts 37 divine damage on target',100,2,2),
(152361,157941,'Cannot be modified except by direct means',100,2,3),
(152362,10157941,'When Equipped:',100,0,0),
(152363,10157941,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(152364,10157941,'Inflicts 49 divine damage on target',100,2,2),
(152365,10157941,'Cannot be modified except by direct means',100,2,3),
(152366,120036,'Inflicts 107 - 131 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(152367,120036,'Decreases power of target encounter by 36 instantly and every 4 seconds',100,1,1),
(152368,10120036,'Inflicts 139 - 170 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(152369,10120036,'Decreases power of target encounter by 36 instantly and every 4 seconds',100,1,1),
(152370,131477,'When Equipped:',100,0,0),
(152371,131477,'Increases Attack Speed of caster by 35.0',100,1,1),
(152372,10131477,'When Equipped:',100,0,0),
(152373,10131477,'Increases Attack Speed of caster by 35.0',100,1,1),
(152374,122569,'Inflicts 3 mental damage on target instantly and every 3 seconds',100,1,0),
(152375,122569,'Decreases Mitigation of target vs arcane damage by 41',100,1,1),
(152376,10122569,'Inflicts 3 - 4 mental damage on target instantly and every 3 seconds',100,1,0),
(152377,10122569,'Decreases Mitigation of target vs arcane damage by 41',100,1,1),
(152378,103121,'Increases STR of caster by 59.1',100,1,0),
(152379,103121,'Adds 3.9% to base avoidance.',100,1,1),
(152380,103121,'Increases Mitigation of caster vs physical damage by 378',100,1,2),
(152381,103121,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1179',100,1,3),
(152382,10103121,'Increases STR of caster by 59.1',100,1,0),
(152383,10103121,'Adds 3.9% to base avoidance.',100,1,1),
(152384,10103121,'Increases Mitigation of caster vs physical damage by 378',100,1,2),
(152385,10103121,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1179',100,1,3),
(152386,82370,'When Equipped:',100,0,0),
(152387,82370,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152388,82370,'Inflicts 43 - 80 magic damage on target',100,2,2),
(152389,82370,'Cannot be modified except by direct means',100,2,3),
(152390,10082370,'When Equipped:',100,0,0),
(152391,10082370,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152392,10082370,'Inflicts 56 - 104 magic damage on target',100,2,2),
(152393,10082370,'Cannot be modified except by direct means',100,2,3),
(152394,114781,'Feigns Death with 91% chance of success',100,1,0),
(152395,10114781,'Feigns Death with 91% chance of success',100,1,0),
(152396,124456,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(152397,124456,'Inflicts 391 - 652 melee damage on target',100,2,1),
(152398,124456,'Decreases Defense of caster by 21.8',100,1,2),
(152399,124456,'Increases Slashing, Piercing, Ranged and Crushing of caster by 39.2',100,1,3),
(152400,10124456,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(152401,10124456,'Inflicts 509 - 848 melee damage on target',100,2,1),
(152402,10124456,'Decreases Defense of caster by 21.8',100,1,2),
(152403,10124456,'Increases Slashing, Piercing, Ranged and Crushing of caster by 39.2',100,1,3),
(152404,122394,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(152405,122394,'Inflicts 14 - 17 piercing damage on target encounter',100,2,1),
(152406,10122394,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(152407,10122394,'Inflicts 18 - 22 piercing damage on target encounter',100,2,1),
(152408,154033,'When Equipped:',100,0,0),
(152409,154033,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(152410,154033,'Wards caster against 150 points of all damage',100,2,2),
(152411,154033,'Cannot be modified except by direct means',100,2,3),
(152412,10154033,'When Equipped:',100,0,0),
(152413,10154033,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(152414,10154033,'Wards caster against 150 points of all damage',100,2,2),
(152415,10154033,'Cannot be modified except by direct means',100,2,3),
(152416,24623,'Adds Poet''s Palace: Blue Plate to your Dungeon Maker toolbox',100,0,0),
(152417,10024623,'Adds Poet''s Palace: Blue Plate to your Dungeon Maker toolbox',100,0,0),
(152418,116246,'Summons a pet Illusion Ally',100,1,0),
(152419,10116246,'Summons a pet Illusion Ally',100,1,0),
(152420,109417,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(152421,109417,'Inflicts 410 - 501 cold damage on target',100,2,1),
(152422,109417,'Slows target by 65.8%',100,2,2),
(152423,109417,'5% chance to dispel when target receives hostile action',100,2,3),
(152424,109417,'5% chance to dispel when target takes damage',100,2,4),
(152425,10109417,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(152426,10109417,'Inflicts 533 - 652 cold damage on target',100,2,1),
(152427,10109417,'Slows target by 65.8%',100,2,2),
(152428,10109417,'5% chance to dispel when target receives hostile action',100,2,3),
(152429,10109417,'5% chance to dispel when target takes damage',100,2,4),
(152430,47539,'Applies Break the Phylactery when Activated.',100,0,0),
(152431,47539,'This effect cannot be cast during combat',100,1,1),
(152432,10047539,'Applies Break the Phylactery when Activated.',100,0,0),
(152433,10047539,'This effect cannot be cast during combat',100,1,1),
(152434,81238,'When Equipped:',100,0,0),
(152435,81238,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152436,81238,'Decreases Threat to target by 1,219 ',100,2,2),
(152437,81238,'Must be flanking or behind',100,3,3),
(152438,81238,'Increases Threat to target by 1,219 ',100,2,4),
(152439,81238,'Must be in front of',100,3,5),
(152440,81238,'Inflicts 493 - 915 magic damage on target',100,2,6),
(152441,81238,'Cannot be modified except by direct means',100,2,7),
(152442,10081238,'When Equipped:',100,0,0),
(152443,10081238,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152444,10081238,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(152445,10081238,'Cannot be modified except by direct means',100,2,3),
(152446,105216,'Decreases STR and INT of target by 34.6',100,1,0),
(152447,105216,'Only affects targets level 20 and above',100,1,1),
(152448,10105216,'Decreases STR and INT of target by 34.6',100,1,0),
(152449,10105216,'Only affects targets level 20 and above',100,1,1),
(152450,119207,'Inflicts 369 - 615 heat damage on target',100,1,0),
(152451,119207,'Inflicts 369 - 615 heat damage on target',100,1,1),
(152452,119207,'Requires bow',100,1,2),
(152453,10119207,'Inflicts 422 - 704 heat damage on target',100,1,0),
(152454,10119207,'Inflicts 422 - 704 heat damage on target',100,1,1),
(152455,10119207,'Requires bow',100,1,2),
(152456,45996,'Applies an enlightened experience when Activated.  Lasts for 2 hours.',100,0,0),
(152457,45996,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,1),
(152458,45996,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(152459,45996,'Increases Combat XP Gain of caster by 110.0%',100,1,3),
(152460,45996,'You can only have one experience potion active at a time.',100,1,4),
(152461,10045996,'Applies an enlightened experience when Activated.  Lasts for 2 hours.',100,0,0),
(152462,10045996,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,1),
(152463,10045996,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(152464,10045996,'Increases Combat XP Gain of caster by 110.0%',100,1,3),
(152465,10045996,'You can only have one experience potion active at a time.',100,1,4),
(152466,101852,'Stuns target',100,1,0),
(152467,101852,'Does not affect Epic targets',100,1,1),
(152468,101852,'Resistibility increases against targets higher than level 68.',100,1,2),
(152469,10101852,'Stuns target',100,1,0),
(152470,10101852,'Does not affect Epic targets',100,1,1),
(152471,10101852,'Resistibility increases against targets higher than level 68.',100,1,2),
(152472,159333,'Applies Sanguine Imbued when Equipped.',100,0,0),
(152473,159333,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(152474,159333,'Inflicts 34 heat damage on target',100,2,2),
(152475,159333,'Cannot be modified except by direct means',100,2,3),
(152476,10159333,'Applies Sanguine Imbued when Equipped.',100,0,0),
(152477,10159333,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(152478,10159333,'Inflicts 44 heat damage on target',100,2,2),
(152479,10159333,'Cannot be modified except by direct means',100,2,3),
(152480,175135,'Applies Sacrilege when Equipped.',100,0,0),
(152481,175135,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(152482,10175135,'Applies Sacrilege when Equipped.',100,0,0),
(152483,10175135,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(152484,124311,'Wards group members (AE) against 2662 points of elemental damage',100,1,0),
(152485,124311,'Increases Mitigation of group members (AE) vs elemental damage by 1401',100,1,1),
(152486,10124311,'Wards group members (AE) against 2662 points of elemental damage',100,1,0),
(152487,10124311,'Increases Mitigation of group members (AE) vs elemental damage by 1401',100,1,1),
(152488,114904,'Causes 19% Threat to transfer to target when in combat',100,1,0),
(152489,10114904,'Applies Shadows.',100,1,0),
(152490,10114904,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target''s attacker.  Lasts for 5.0 seconds.  ',100,2,1),
(152491,10114904,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(152492,110619,'Decreases Focus of target by 47.2',100,1,0),
(152493,110619,'Interrupts target',100,1,1),
(152494,110619,'Inflicts 322 - 967 crushing damage on target',100,1,2),
(152495,10110619,'Decreases Focus of target by 47.2',100,1,0),
(152496,10110619,'Interrupts target',100,1,1),
(152497,10110619,'Inflicts 419 - 1257 crushing damage on target',100,1,2),
(152498,112442,'Mesmerizes target',100,1,0),
(152499,112442,'Prevents AOE (except when direct) ',100,1,1),
(152500,112442,'Dispelled when target takes damage',100,1,2),
(152501,112442,'Does not affect Epic targets',100,1,3),
(152502,112442,'Resistibility increases against targets higher than level 81.',100,1,4),
(152503,10112442,'Mesmerizes target',100,1,0),
(152504,10112442,'Prevents AOE (except when direct) ',100,1,1),
(152505,10112442,'Dispelled when target takes damage',100,1,2),
(152506,10112442,'Does not affect Epic targets',100,1,3),
(152507,10112442,'Resistibility increases against targets higher than level 81.',100,1,4),
(152508,144254,'When Equipped:',100,0,0),
(152509,144254,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(152510,144254,'Reduces healing received by 15.00%',100,2,2),
(152511,144254,'Cannot be modified except by direct means',100,2,3),
(152512,144254,'This effect can only trigger once every 1 second.',100,2,4),
(152513,144254,'Must be engaged in pvp combat',100,1,5),
(152514,10144254,'When Equipped:',100,0,0),
(152515,10144254,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(152516,10144254,'Reduces healing received by 15.00%',100,2,2),
(152517,10144254,'Cannot be modified except by direct means',100,2,3),
(152518,10144254,'This effect can only trigger once every 1 second.',100,2,4),
(152519,10144254,'Must be engaged in pvp combat',100,1,5),
(152520,47977,'Applies Scroll: Call of the Plaguebringer when Activated.',100,0,0),
(152521,47977,'You must be in the center of Jaled Dar''s remains to summon Hrath Everstill.',100,1,1),
(152522,47977,'You may not summon Hrath Everstill at this time.',100,1,2),
(152523,10047977,'Applies Scroll: Call of the Plaguebringer when Activated.',100,0,0),
(152524,10047977,'You must be in the center of Jaled Dar''s remains to summon Hrath Everstill.',100,1,1),
(152525,10047977,'You may not summon Hrath Everstill at this time.',100,1,2),
(152526,103104,'Increases STR of caster by 11.4',100,1,0),
(152527,103104,'Adds 3.1% to base avoidance.',100,1,1),
(152528,103104,'Increases Mitigation of caster vs physical damage by 77',100,1,2),
(152529,103104,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',100,1,3),
(152530,10103104,'Increases STR of caster by 11.4',100,1,0),
(152531,10103104,'Adds 3.1% to base avoidance.',100,1,1),
(152532,10103104,'Increases Mitigation of caster vs physical damage by 77',100,1,2),
(152533,10103104,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',100,1,3),
(152534,41630,'When Equipped:',100,0,0),
(152535,41630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152536,41630,'Inflicts 169 - 315 magic damage on target',100,2,2),
(152537,41630,'Cannot be modified except by direct means',100,2,3),
(152538,10041630,'When Equipped:',100,0,0),
(152539,10041630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152540,10041630,'Inflicts 220 - 409 magic damage on target',100,2,2),
(152541,10041630,'Cannot be modified except by direct means',100,2,3),
(152542,105510,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.6',100,1,0),
(152543,10105510,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.6',100,1,0),
(152544,107930,'Mesmerizes target',100,1,0),
(152545,107930,'Prevents AOE (except when direct) ',100,1,1),
(152546,107930,'Dispelled when target takes damage',100,1,2),
(152547,107930,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(152548,107930,'Resistibility increases against targets higher than level 81.',100,1,4),
(152549,10107930,'Mesmerizes target',100,1,0),
(152550,10107930,'Prevents AOE (except when direct) ',100,1,1),
(152551,10107930,'Dispelled when target takes damage',100,1,2),
(152552,10107930,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(152553,10107930,'Resistibility increases against targets higher than level 81.',100,1,4),
(152554,107868,'Decreases Mitigation of target vs elemental damage by 1235',100,1,0),
(152555,107868,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(152556,107868,'Slows target by 40.8%',100,2,2),
(152557,107868,'5% chance to dispel when target receives hostile action',100,2,3),
(152558,107868,'5% chance to dispel when target takes damage',100,2,4),
(152559,10107868,'Decreases Mitigation of target vs elemental damage by 1235',100,1,0),
(152560,10107868,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(152561,10107868,'Slows target by 40.8%',100,2,2),
(152562,10107868,'5% chance to dispel when target receives hostile action',100,2,3),
(152563,10107868,'5% chance to dispel when target takes damage',100,2,4),
(152564,103832,'Increases Ability Casting Speed of raid and group members (AE) by 5.4%',100,1,0),
(152565,103832,'Increases Attack Speed of raid and group members (AE) by 13.6',100,1,1),
(152566,10103832,'Increases Ability Casting Speed of raid and group members (AE) by 5.4%',100,1,0),
(152567,10103832,'Increases Attack Speed of raid and group members (AE) by 13.6',100,1,1),
(152568,144595,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(152569,144595,'Decreases INT, AGI, WIS and STR of target by 90.1',100,1,1),
(152570,144595,'Decreases Max Health of target by 1.0%',100,1,2),
(152571,144595,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(152572,10144595,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(152573,10144595,'Decreases INT, AGI, WIS and STR of target by 90.1',100,1,1),
(152574,10144595,'Decreases Max Health of target by 1.0%',100,1,2),
(152575,10144595,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(152576,36632,'Increases Max Power of target by 3.3',100,0,0),
(152577,36632,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(152578,115322,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(152579,115322,'Makes target afraid',100,2,1),
(152580,115322,'Slows target by 32.1%',100,2,2),
(152581,115322,'30% chance to dispel when target takes damage',100,2,3),
(152582,115322,'Does not affect Epic targets',100,2,4),
(152583,115322,'Resistibility increases against targets higher than level 48.',100,2,5),
(152584,115322,'Roots target',100,1,6),
(152585,115322,'15% chance to dispel when target takes damage',100,1,7),
(152586,115322,'Does not affect Epic targets',100,1,8),
(152587,115322,'Resistibility increases against targets higher than level 48.',100,1,9),
(152588,10115322,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(152589,10115322,'Makes target afraid',100,2,1),
(152590,10115322,'Slows target by 32.1%',100,2,2),
(152591,10115322,'30% chance to dispel when target takes damage',100,2,3),
(152592,10115322,'Does not affect Epic targets',100,2,4),
(152593,10115322,'Resistibility increases against targets higher than level 48.',100,2,5),
(152594,10115322,'Roots target',100,1,6),
(152595,10115322,'15% chance to dispel when target takes damage',100,1,7),
(152596,10115322,'Does not affect Epic targets',100,1,8),
(152597,10115322,'Resistibility increases against targets higher than level 48.',100,1,9),
(152598,45284,'Applies Summon Stallion when Activated.',100,0,0),
(152599,45284,'Summons a mount to ride',100,1,1),
(152600,45284,'Increases your ground speed by 135%',100,2,2),
(152601,45284,'Increases Crushing, Ordination, Aggression, Ministration, Disruption, Slashing, Focus, Subjugation, Piercing and Ranged of caster by 5.0',100,1,3),
(152602,10045284,'Applies Summon Stallion when Activated.',100,0,0),
(152603,10045284,'Summons a mount to ride',100,1,1),
(152604,10045284,'Increases your ground speed by 135%',100,2,2),
(152605,10045284,'Increases Crushing, Ordination, Aggression, Ministration, Disruption, Slashing, Focus, Subjugation, Piercing and Ranged of caster by 5.0',100,1,3),
(152606,144877,'When Equipped:',100,0,0),
(152607,144877,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(152608,144877,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(152609,144877,'Decreases Parry of target encounter by 10.0',100,2,3),
(152610,144877,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(152611,144877,'Decreases Defense of target encounter by 10.0',100,2,5),
(152612,144877,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,6),
(152613,144877,'Must not be engaged in pvp combat',100,2,7),
(152614,144877,'Cannot be modified except by direct means',100,2,8),
(152615,144877,'Cannot be modified except by direct means',100,1,9),
(152616,144877,'When Equipped:',100,0,10),
(152617,144877,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(152618,144877,'Increases INT, AGI, WIS and STR of caster by 50.0',100,1,12),
(152619,144877,'Increases Potency of caster by 3.5%',100,1,13),
(152620,144877,'Cannot be modified except by direct means',100,1,14),
(152621,10144877,'When Equipped:',100,0,0),
(152622,10144877,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(152623,10144877,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(152624,10144877,'Decreases Parry of target encounter by 10.0',100,2,3),
(152625,10144877,'Inflicts 1030 - 1139 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(152626,10144877,'Decreases Defense of target encounter by 10.0',100,2,5),
(152627,10144877,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,6),
(152628,10144877,'Must not be engaged in pvp combat',100,2,7),
(152629,10144877,'Cannot be modified except by direct means',100,2,8),
(152630,10144877,'Cannot be modified except by direct means',100,1,9),
(152631,10144877,'When Equipped:',100,0,10),
(152632,10144877,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(152633,10144877,'Increases INT, AGI, WIS and STR of caster by 50.0',100,1,12),
(152634,10144877,'Increases Potency of caster by 3.5%',100,1,13),
(152635,10144877,'Cannot be modified except by direct means',100,1,14),
(152636,46829,'Applies Crystal Gathering when Activated.',100,0,0),
(152637,46829,'Inflicts 11 heat damage on target',100,1,1),
(152638,46829,'Only usable on crystallized targets.',100,1,2),
(152639,10046829,'Applies Crystal Gathering when Activated.',100,0,0),
(152640,10046829,'Inflicts 14 heat damage on target',100,1,1),
(152641,10046829,'Only usable on crystallized targets.',100,1,2),
(152642,88268,'When Equipped:',100,0,0),
(152643,88268,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(152644,88268,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(152645,88268,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(152646,88268,'Increases Hate Gain of caster by 12.0%',100,2,4),
(152647,88268,'Increases Threat to target by 4,345  instantly and every 4 seconds thereafter',100,2,5),
(152648,88268,'Must not be engaged in pvp combat',100,2,6),
(152649,88268,'Cannot be modified except by direct means',100,2,7),
(152650,88268,'Must not be engaged in pvp combat',100,1,8),
(152651,10088268,'When Equipped:',100,0,0),
(152652,10088268,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(152653,10088268,'Inflicts 6926 heat damage on target instantly and every 4 seconds',100,2,2),
(152654,10088268,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(152655,10088268,'Must not be engaged in pvp combat',100,2,4),
(152656,10088268,'Cannot be modified except by direct means',100,2,5),
(152657,10088268,'Must not be engaged in pvp combat',100,1,6),
(152658,81578,'When Equipped:',100,0,0),
(152659,81578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152660,81578,'Inflicts 169 - 315 magic damage on target',100,2,2),
(152661,81578,'Cannot be modified except by direct means',100,2,3),
(152662,10081578,'When Equipped:',100,0,0),
(152663,10081578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152664,10081578,'Inflicts 220 - 409 magic damage on target',100,2,2),
(152665,10081578,'Cannot be modified except by direct means',100,2,3),
(152666,118551,'Inflicts 818 - 1363 melee damage on target',100,1,0),
(152667,118551,'Decreases STR of target by 78.7',100,1,1),
(152668,118551,'You must be sneaking to use this ability.',100,1,2),
(152669,10118551,'Inflicts 1063 - 1772 melee damage on target',100,1,0),
(152670,10118551,'Decreases STR of target by 78.7',100,1,1),
(152671,10118551,'You must be sneaking to use this ability.',100,1,2),
(152672,111302,'Inflicts 401 - 669 divine damage on target',100,1,0),
(152673,111302,'Inflicts 161 - 268 divine damage on target every 4 seconds',100,1,1),
(152674,10111302,'Inflicts 522 - 870 divine damage on target',100,1,0),
(152675,10111302,'Inflicts 209 - 348 divine damage on target every 4 seconds',100,1,1),
(152676,70296,'When Equipped:',100,0,0),
(152677,70296,'On any combat or spell hit this spell may cast Deception of War on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(152678,70296,'Increases Max Power of caster by 8.0%',100,2,2),
(152679,70296,'Inflicts 6660 magic damage on target instantly and every 4 seconds',100,2,3),
(152680,70296,'Inflicts an additional 3996 magic damage on target every tick',100,2,4),
(152681,70296,'Increases power of caster by 729 instantly and every 4 seconds',100,2,5),
(152682,70296,'Increases Potency of group members (AE) by 15.0%',100,2,6),
(152683,70296,'Must not be engaged in pvp combat',100,2,7),
(152684,70296,'Cannot be modified except by direct means',100,2,8),
(152685,70296,'Must not be engaged in pvp combat',100,1,9),
(152686,70296,'Cannot be modified except by direct means',100,1,10),
(152687,10070296,'When Equipped:',100,0,0),
(152688,10070296,'On any combat or spell hit this spell may cast Deception of War on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(152689,10070296,'Increases Max Power of caster by 8.0%',100,2,2),
(152690,10070296,'Inflicts 8658 magic damage on target instantly and every 4 seconds',100,2,3),
(152691,10070296,'Inflicts an additional 3996 magic damage on target every tick',100,2,4),
(152692,10070296,'Increases power of caster by 729 instantly and every 4 seconds',100,2,5),
(152693,10070296,'Increases Potency of group members (AE) by 15.0%',100,2,6),
(152694,10070296,'Must not be engaged in pvp combat',100,2,7),
(152695,10070296,'Cannot be modified except by direct means',100,2,8),
(152696,10070296,'Must not be engaged in pvp combat',100,1,9),
(152697,10070296,'Cannot be modified except by direct means',100,1,10),
(152698,100957,'Dazes target',100,1,0),
(152699,100957,'Inflicts 452 - 552 mental damage on target',100,1,1),
(152700,100957,'Epic targets gain an immunity to Daze effects of 31.5 seconds and duration is reduced to 3.5 seconds.',100,1,2),
(152701,100957,'Resistibility increases against targets higher than level 96.',100,1,3),
(152702,10100957,'Dazes target',100,1,0),
(152703,10100957,'Inflicts 587 - 718 mental damage on target',100,1,1),
(152704,10100957,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(152705,10100957,'Resistibility increases against targets higher than level 96.',100,1,3),
(152706,119058,'Decreases power of target by 227 - 379',100,1,0),
(152707,119058,'Increases power of caster by 87 - 146',100,1,1),
(152708,119058,'Inflicts 242 - 404 mental damage on target',100,1,2),
(152709,10119058,'Decreases power of target by 227 - 379',100,1,0),
(152710,10119058,'Increases power of caster by 87 - 146',100,1,1),
(152711,10119058,'Inflicts 315 - 526 mental damage on target',100,1,2),
(152712,82283,'When Equipped:',100,0,0),
(152713,82283,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152714,82283,'Inflicts 48 - 89 magic damage on target',100,2,2),
(152715,82283,'Decreases Threat to target by 135 ',100,2,3),
(152716,82283,'Must be flanking or behind',100,3,4),
(152717,82283,'Increases Threat to target by 135 ',100,2,5),
(152718,82283,'Must be in front of',100,3,6),
(152719,82283,'Cannot be modified except by direct means',100,2,7),
(152720,10082283,'When Equipped:',100,0,0),
(152721,10082283,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152722,10082283,'Inflicts 62 - 115 magic damage on target',100,2,2),
(152723,10082283,'Cannot be modified except by direct means',100,2,3),
(152724,47687,'Applies Red Two Tone Warg with Purple Armor when Activated.',100,0,0),
(152725,47687,'Increases Crushing and Piercing of caster by 7.0',100,1,1),
(152726,47687,'Summons a mount to ride',100,1,2),
(152727,47687,'Increases your ground speed by 130%',100,2,3),
(152728,47687,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(152729,47687,'Increases Slashing, Ranged and Disruption of caster by 7.0',100,1,5),
(152730,10047687,'Applies Red Two Tone Warg with Purple Armor when Activated.',100,0,0),
(152731,10047687,'Increases Crushing and Piercing of caster by 7.0',100,1,1),
(152732,10047687,'Summons a mount to ride',100,1,2),
(152733,10047687,'Increases your ground speed by 130%',100,2,3),
(152734,10047687,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(152735,10047687,'Increases Slashing, Ranged and Disruption of caster by 7.0',100,1,5),
(152736,151026,'When Equipped:',100,0,0),
(152737,151026,'On any combat or spell hit this spell may cast Enticing Melody on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(152738,151026,'Increases Ability Reuse Speed of caster by 12.0%',100,2,2),
(152739,151026,'Must not be engaged in pvp combat',100,2,3),
(152740,151026,'Cannot be modified except by direct means',100,2,4),
(152741,151026,'Cannot be modified except by direct means',100,1,5),
(152742,10151026,'When Equipped:',100,0,0),
(152743,10151026,'On any combat or spell hit this spell may cast Enticing Melody on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(152744,10151026,'Increases Ability Reuse Speed of caster by 12.0%',100,2,2),
(152745,10151026,'Must not be engaged in pvp combat',100,2,3),
(152746,10151026,'Cannot be modified except by direct means',100,2,4),
(152747,10151026,'Cannot be modified except by direct means',100,1,5),
(152748,119869,'Increases INT and AGI of group members (AE) by 28.3',100,1,0),
(152749,119869,'Adds 2.2% to base avoidance.',100,1,1),
(152750,10119869,'Increases INT and AGI of group members (AE) by 28.3',100,1,0),
(152751,10119869,'Adds 2.2% to base avoidance.',100,1,1),
(152752,103828,'Increases Ability Casting Speed of raid and group members (AE) by 5.2%',100,1,0),
(152753,103828,'Increases Attack Speed of raid and group members (AE) by 13.0',100,1,1),
(152754,10103828,'Increases Ability Casting Speed of raid and group members (AE) by 5.2%',100,1,0),
(152755,10103828,'Increases Attack Speed of raid and group members (AE) by 13.0',100,1,1),
(152756,48777,'Applies Elixir of Vitality  when Activated.',100,0,0),
(152757,48777,'Heals caster for 68',100,1,1),
(152758,10048777,'Applies Elixir of Vitality  when Activated.',100,0,0),
(152759,10048777,'Heals caster for 44',100,1,1),
(152760,46567,'Applies arcane remedy when Activated.',100,0,0),
(152761,46567,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(152762,10046567,'Applies arcane remedy when Activated.',100,0,0),
(152763,10046567,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(152764,119821,'Transfers 36% of group members (AE)''s current Threat to the caster',100,1,0),
(152765,10119821,'When damaged this spell has a 50% chance to cast Annoy on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,0),
(152766,10119821,'Prevents target from changing targets',100,2,1),
(152767,10119821,'Forces target to change their selected target to caster.',100,2,2),
(152768,181782,'When Equipped:',100,0,0),
(152769,181782,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(152770,181782,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,2),
(152771,181782,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,3),
(152772,181782,'This ward regenerates slowly over time.',100,2,4),
(152773,181782,'Wards caster against 1800 points of all damage',100,2,5),
(152774,181782,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(152775,181782,'Must not be engaged in pvp combat',100,2,7),
(152776,181782,'Cannot be modified except by direct means',100,2,8),
(152777,181782,'Must not be engaged in pvp combat',100,1,9),
(152778,10181782,'When Equipped:',100,0,0),
(152779,10181782,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(152780,10181782,'Inflicts 7403 - 8182 piercing damage on target encounter',100,2,2),
(152781,10181782,'Inflicts 823 - 909 piercing damage on target encounter every 3 seconds',100,2,3),
(152782,10181782,'This ward regenerates slowly over time.',100,2,4),
(152783,10181782,'Wards caster against 1800 points of all damage',100,2,5),
(152784,10181782,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(152785,10181782,'Must not be engaged in pvp combat',100,2,7),
(152786,10181782,'Cannot be modified except by direct means',100,2,8),
(152787,10181782,'Must not be engaged in pvp combat',100,1,9),
(152788,100531,'Heals group members (AE) for 320 - 391',100,1,0),
(152789,10100531,'Heals group members (AE) for 388 - 474',100,1,0),
(152790,27450,'When Equipped:',100,0,0),
(152791,27450,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,1),
(152792,27450,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(152793,27450,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(152794,10027450,'When Equipped:',100,0,0),
(152795,10027450,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,1),
(152796,10027450,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(152797,10027450,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(152798,42334,'When Equipped:',100,0,0),
(152799,42334,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152800,42334,'Inflicts 135 - 165 heat damage on target encounter',100,2,2),
(152801,42334,'Cannot be modified except by direct means',100,2,3),
(152802,10042334,'When Equipped:',100,0,0),
(152803,10042334,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152804,10042334,'Inflicts 175 - 214 heat damage on target encounter',100,2,2),
(152805,10042334,'Cannot be modified except by direct means',100,2,3),
(152806,112416,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 44% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(152807,112416,'If over 50% Health',100,2,1),
(152808,112416,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 44% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(152809,112416,'If at 50% Health or less',100,2,3),
(152810,10112416,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 44% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(152811,10112416,'If over 50% Health',100,2,1),
(152812,10112416,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 44% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(152813,10112416,'If at 50% Health or less',100,2,3),
(152814,134740,'When Equipped:',100,0,0),
(152815,134740,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(152816,134740,'Increases power of caster by 112',100,2,2),
(152817,134740,'Cannot be modified except by direct means',100,2,3),
(152818,10134740,'When Equipped:',100,0,0),
(152819,10134740,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(152820,10134740,'Increases power of caster by 112',100,2,2),
(152821,10134740,'Cannot be modified except by direct means',100,2,3),
(152822,117781,'Inflicts 1246 - 2077 divine damage on target',100,1,0),
(152823,10117781,'Inflicts 1620 - 2700 divine damage on target',100,1,0),
(152824,36090,'Increases Max Health of target by 5.5',100,0,0),
(152825,36090,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(152826,75098,'Applies Mental Blast when Activated.',100,0,0),
(152827,75098,'Inflicts 370 - 616 mental damage on target',100,1,1),
(152828,75098,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(152829,10075098,'Applies Mental Blast when Activated.',100,0,0),
(152830,10075098,'Inflicts 481 - 801 mental damage on target',100,1,1),
(152831,10075098,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(152832,25639,'When Equipped:',100,0,0),
(152833,25639,'Improves the base damage of Precise Note by 20%.',100,1,1),
(152834,25639,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(152835,10025639,'When Equipped:',100,0,0),
(152836,10025639,'Improves the base damage of Precise Note by 20%.',100,1,1),
(152837,10025639,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(152838,47629,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(152839,47629,'Increases speed of caster by 24.3%',100,1,1),
(152840,47629,'This effect suspends during combat',100,1,2),
(152841,10047629,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(152842,10047629,'Increases speed of caster by 24.3%',100,1,1),
(152843,10047629,'This effect suspends during combat',100,1,2),
(152844,71362,'When Equipped:',100,0,0),
(152845,71362,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(152846,71362,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(152847,71362,'Cannot be modified except by direct means',100,2,3),
(152848,10071362,'When Equipped:',100,0,0),
(152849,10071362,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(152850,10071362,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(152851,10071362,'Cannot be modified except by direct means',100,2,3),
(152852,132094,'When Equipped:',100,0,0),
(152853,132094,'On a healing spell cast this spell may cast Ward of the Oracle on the group.  Lasts for 15.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(152854,132094,'Wards group members (AE) against 829 points of all damage',100,2,2),
(152855,132094,'Cannot be modified except by direct means',100,2,3),
(152856,132094,'Cannot be modified except by direct means',100,1,4),
(152857,10132094,'When Equipped:',100,0,0),
(152858,10132094,'On a healing spell cast this spell may cast Ward of the Oracle on the group.  Lasts for 15.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(152859,10132094,'Wards group members (AE) against 829 points of all damage',100,2,2),
(152860,10132094,'Cannot be modified except by direct means',100,2,3),
(152861,10132094,'Cannot be modified except by direct means',100,1,4),
(152862,117899,'Increases In-Combat Health Regeneration of group members (AE) by 36.3',100,1,0),
(152863,117899,'Increases Max Health of group members (AE) by 190.3',100,1,1),
(152864,10117899,'Increases In-Combat Health Regeneration of group members (AE) by 36.3',100,1,0),
(152865,10117899,'Increases Max Health of group members (AE) by 190.3',100,1,1),
(152866,73742,'Applies Frost Blast when Activated.',100,0,0),
(152867,73742,'Inflicts 341 - 568 cold damage on target',100,1,1),
(152868,73742,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(152869,10073742,'Applies Frost Blast when Activated.',100,0,0),
(152870,10073742,'Inflicts 443 - 739 cold damage on target',100,1,1),
(152871,10073742,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(152872,114288,'Heals target for 1138 - 1391',100,1,0),
(152873,10114288,'Heals target for 1338 - 1635',100,1,0),
(152874,112195,'Increases STR of caster by 121.4',100,1,0),
(152875,112195,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2777',100,1,1),
(152876,112195,'Increases Mitigation of caster vs physical damage by 780',100,1,2),
(152877,10112195,'Increases STR of caster by 121.4',100,1,0),
(152878,10112195,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2777',100,1,1),
(152879,10112195,'Increases Mitigation of caster vs physical damage by 780',100,1,2),
(152880,77369,'When Equipped:',100,0,0),
(152881,77369,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(152882,77369,'Inflicts 388 - 647 crushing damage on target',100,2,2),
(152883,77369,'Throws target back',100,2,3),
(152884,77369,'Interrupts target',100,2,4),
(152885,77369,'Cannot be modified except by direct means',100,2,5),
(152886,10077369,'When Equipped:',100,0,0),
(152887,10077369,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(152888,10077369,'Inflicts 505 - 842 crushing damage on target',100,2,2),
(152889,10077369,'Throws target back',100,2,3),
(152890,10077369,'Interrupts target',100,2,4),
(152891,10077369,'Cannot be modified except by direct means',100,2,5),
(152892,158006,'Applies Righteous Vindication when Activated.  Lasts for 8.0 seconds.',100,0,0),
(152893,158006,'Makes caster immune to Fear effects',100,1,1),
(152894,158006,'Increases Damage Per Second of caster by 40.0',100,1,2),
(152895,158006,'Dispels 129 levels of hostile Root, hostile Fear and hostile Stun effects on caster',100,1,3),
(152896,158006,'The casting time of Righteous Vindication is 1.5 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(152897,10158006,'Applies Righteous Vindication when Activated.  Lasts for 8.0 seconds.',100,0,0),
(152898,10158006,'Makes caster immune to Fear effects',100,1,1),
(152899,10158006,'Increases Damage Per Second of caster by 40.0',100,1,2),
(152900,10158006,'Dispels 129 levels of hostile Root, hostile Fear and hostile Stun effects on caster',100,1,3),
(152901,10158006,'The casting time of Righteous Vindication is 1.5 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(152902,109807,'Summons a pet Golden Animated Defender',100,1,0),
(152903,10109807,'Summons a pet Golden Animated Defender',100,1,0),
(152904,115712,'Applies Open Wounds.',100,1,0),
(152905,115712,'Inflicts 163 - 303 slashing damage on targets in Area of Effect',100,2,1),
(152906,115712,'Increases Attack Speed of caster by 47.6',100,1,2),
(152907,115712,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(152908,10115712,'Applies Open Wounds.',100,1,0),
(152909,10115712,'Inflicts 212 - 394 slashing damage on targets in Area of Effect',100,2,1),
(152910,10115712,'Increases Attack Speed of caster by 47.6',100,1,2),
(152911,10115712,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(152912,120196,'Applies Life Draw on termination.',100,1,0),
(152913,120196,'Inflicts 955 - 1592 disease damage on target',100,2,1),
(152914,120196,'Heals caster for 10.9 - 13.3% of max health',100,2,2),
(152915,120196,'This effect cannot be critically applied.',100,3,3),
(152916,120196,'The healing of this spell cannot be modified except by direct means',100,2,4),
(152917,120196,'Inflicts 278 - 464 disease damage on target',100,1,5),
(152918,10120196,'Applies Life Draw on termination.',100,1,0),
(152919,10120196,'Inflicts 1241 - 2069 disease damage on target',100,2,1),
(152920,10120196,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(152921,10120196,'This effect cannot be critically applied.',100,3,3),
(152922,10120196,'The healing of this spell cannot be modified except by direct means',100,2,4),
(152923,10120196,'Inflicts 362 - 603 disease damage on target',100,1,5),
(152924,122552,'Heals caster for 171',100,1,0),
(152925,122552,'Inflicts 398 - 663 melee damage on target',100,1,1),
(152926,10122552,'Heals caster for 111',100,1,0),
(152927,10122552,'Inflicts 517 - 863 melee damage on target',100,1,1),
(152928,159083,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(152929,159083,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(152930,159083,'Inflicts 47 heat damage on target',100,2,2),
(152931,159083,'Cannot be modified except by direct means',100,2,3),
(152932,10159083,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(152933,10159083,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(152934,10159083,'Inflicts 62 heat damage on target',100,2,2),
(152935,10159083,'Cannot be modified except by direct means',100,2,3),
(152936,104000,'Interrupts targets in Area of Effect',100,1,0),
(152937,104000,'Inflicts 340 - 632 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(152938,10104000,'Interrupts targets in Area of Effect',100,1,0),
(152939,10104000,'Inflicts 442 - 822 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(152940,101995,'Summons 2 limited pets to aid the caster',100,1,0),
(152941,101995,'Summons a limited pet to aid the caster',100,1,1),
(152942,10101995,'Summons 3 limited pets to aid the caster',100,1,0),
(152943,37026,'Increases INT of target by 1.5',100,0,0),
(152944,37026,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(152945,80539,'When Equipped:',100,0,0),
(152946,80539,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152947,80539,'Inflicts 493 - 915 magic damage on target',100,2,2),
(152948,80539,'Decreases Threat to target by 1,219 ',100,2,3),
(152949,80539,'Must be flanking or behind',100,3,4),
(152950,80539,'Increases Threat to target by 1,219 ',100,2,5),
(152951,80539,'Must be in front of',100,3,6),
(152952,80539,'Cannot be modified except by direct means',100,2,7),
(152953,10080539,'When Equipped:',100,0,0),
(152954,10080539,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(152955,10080539,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(152956,10080539,'Cannot be modified except by direct means',100,2,3),
(152957,79356,'When Equipped:',100,0,0),
(152958,79356,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(152959,10079356,'When Equipped:',100,0,0),
(152960,10079356,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(152961,153951,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(152962,153951,'Decreases Attack Speed of target by 15.1',100,1,1),
(152963,153951,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(152964,10153951,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(152965,10153951,'Decreases Attack Speed of target by 15.1',100,1,1),
(152966,10153951,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(152967,122766,'Heals group members (AE) for 673 - 823',100,1,0),
(152968,122766,'Increases Max Health of group members (AE) by 127.9',100,1,1),
(152969,10122766,'Heals group members (AE) for 788 - 963',100,1,0),
(152970,10122766,'Increases Max Health of group members (AE) by 127.9',100,1,1),
(152971,82584,'When Equipped:',100,0,0),
(152972,82584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152973,82584,'Inflicts 118 - 218 magic damage on target',100,2,2),
(152974,82584,'Cannot be modified except by direct means',100,2,3),
(152975,10082584,'When Equipped:',100,0,0),
(152976,10082584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(152977,10082584,'Inflicts 153 - 284 magic damage on target',100,2,2),
(152978,10082584,'Cannot be modified except by direct means',100,2,3),
(152979,133756,'When Equipped:',100,0,0),
(152980,133756,'Reduces maximum falling speed of caster',100,1,1),
(152981,133756,'When Equipped:',100,0,2),
(152982,133756,'Grants See Invisibility to caster',100,1,3),
(152983,133756,'Grants See Stealth to caster',100,1,4),
(152984,10133756,'When Equipped:',100,0,0),
(152985,10133756,'Reduces maximum falling speed of caster',100,1,1),
(152986,10133756,'When Equipped:',100,0,2),
(152987,10133756,'Grants See Invisibility to caster',100,1,3),
(152988,10133756,'Grants See Stealth to caster',100,1,4),
(152989,109058,'Increases Attack Speed of caster by 41.4',100,1,0),
(152990,109058,'Decreases Defense of caster by 23.0',100,1,1),
(152991,109058,'Increases Slashing, Piercing, Crushing and Ranged of caster by 48.3',100,1,2),
(152992,10109058,'Increases Attack Speed of caster by 41.4',100,1,0),
(152993,10109058,'Decreases Defense of caster by 23.0',100,1,1),
(152994,10109058,'Increases Slashing, Piercing, Crushing and Ranged of caster by 48.3',100,1,2),
(152995,103660,'Interrupts target',100,1,0),
(152996,103660,'Inflicts 84 - 141 melee damage on target',100,1,1),
(152997,103660,'Must be flanking or behind',100,1,2),
(152998,10103660,'Interrupts target',100,1,0),
(152999,10103660,'Inflicts 110 - 183 melee damage on target',100,1,1),
(153000,10103660,'Must be flanking or behind',100,1,2),
(153001,114644,'Decreases WIS of target by 84.7',100,1,0),
(153002,114644,'Inflicts 1185 - 1975 melee damage on target',100,1,1),
(153003,114644,'You must be sneaking to use this ability.',100,1,2),
(153004,10114644,'Decreases WIS of target by 84.7',100,1,0),
(153005,10114644,'Inflicts 1540 - 2567 melee damage on target',100,1,1),
(153006,10114644,'You must be sneaking to use this ability.',100,1,2),
(153007,101938,'Inflicts 182 piercing damage on target instantly and every 4 seconds',100,1,0),
(153008,101938,'Inflicts 544 - 908 melee damage on target',100,1,1),
(153009,101938,'Must be behind',100,1,2),
(153010,10101938,'Inflicts 236 piercing damage on target instantly and every 4 seconds',100,1,0),
(153011,10101938,'Inflicts 708 - 1180 melee damage on target',100,1,1),
(153012,10101938,'Must be behind',100,1,2),
(153013,52026,'When Equipped:',100,0,0),
(153014,52026,'When a combat art is used this spell has a 5% chance to cast Jolt of Hindrance on target of combat art.  Lasts for 2.0 seconds.  ',100,1,1),
(153015,52026,'Stuns target',100,2,2),
(153016,52026,'Does not affect Epic targets',100,2,3),
(153017,52026,'Resistibility increases against targets higher than level 99.',100,2,4),
(153018,52026,'Cannot be modified except by direct means',100,2,5),
(153019,10052026,'When Equipped:',100,0,0),
(153020,10052026,'When a combat art is used this spell has a 5% chance to cast Jolt of Hindrance on target of combat art.  Lasts for 2.0 seconds.  ',100,1,1),
(153021,10052026,'Stuns target',100,2,2),
(153022,10052026,'Does not affect Epic targets',100,2,3),
(153023,10052026,'Resistibility increases against targets higher than level 99.',100,2,4),
(153024,10052026,'Cannot be modified except by direct means',100,2,5),
(153025,107796,'Increases Threat to target encounter by 382 - 468 ',100,1,0),
(153026,10107796,'Prevents target encounter from changing targets',100,1,0),
(153027,10107796,'Forces target encounter to change their selected target to caster.',100,1,1),
(153028,105454,'Inflicts 443 - 541 poison damage on target instantly and every 4 seconds',100,1,0),
(153029,105454,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(153030,105454,'Summons a limited pet to aid the caster',100,2,2),
(153031,105454,'Summons 2 limited pets to aid the caster',100,2,3),
(153032,105454,'Grants a total of 1 trigger of the spell.',100,2,4),
(153033,10105454,'Inflicts 576 - 704 poison damage on target instantly and every 4 seconds',100,1,0),
(153034,10105454,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(153035,10105454,'Summons a limited pet to aid the caster',100,2,2),
(153036,10105454,'Summons 2 limited pets to aid the caster',100,2,3),
(153037,10105454,'Grants a total of 1 trigger of the spell.',100,2,4),
(153038,118432,'Heals target for 1582 - 1934',100,1,0),
(153039,118432,'Increases Max Health of target by 266.2',100,1,1),
(153040,10118432,'Heals target for 1835 - 2243',100,1,0),
(153041,10118432,'Increases Max Health of target by 266.2',100,1,1),
(153042,74747,'When Equipped:',100,0,0),
(153043,74747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153044,74747,'Inflicts 97 - 145 magic damage on target',100,2,2),
(153045,74747,'Cannot be modified except by direct means',100,2,3),
(153046,10074747,'When Equipped:',100,0,0),
(153047,10074747,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153048,10074747,'Inflicts 126 - 189 magic damage on target',100,2,2),
(153049,10074747,'Cannot be modified except by direct means',100,2,3),
(153050,111481,'Increases AGI of caster by 31.8',100,1,0),
(153051,111481,'Increases Attack Speed of caster by 21.2',100,1,1),
(153052,111481,'Increases in-combat movement speed of caster by 5.0%',100,1,2),
(153053,111481,'Adds 15.6% to base avoidance.',100,1,3),
(153054,111481,'Increases Mitigation of caster vs physical damage by 287',100,1,4),
(153055,111481,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,5),
(153056,10111481,'Increases AGI of caster by 31.8',100,1,0),
(153057,10111481,'Increases Attack Speed of caster by 21.2',100,1,1),
(153058,10111481,'Increases speed of caster by 5.0%',100,1,2),
(153059,10111481,'Adds 15.6% to base avoidance.',100,1,3),
(153060,10111481,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,4),
(153061,114243,'Inflicts 421 - 515 mental damage on target',100,1,0),
(153062,114243,'Stuns target',100,1,1),
(153063,114243,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(153064,114243,'Resistibility increases against targets higher than level 84.',100,1,3),
(153065,10114243,'Inflicts 547 - 669 mental damage on target',100,1,0),
(153066,10114243,'Requires not being affected by Mesmerize effects.',100,2,1),
(153067,10114243,'Stuns target',100,1,2),
(153068,10114243,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(153069,10114243,'Resistibility increases against targets higher than level 84.',100,1,4),
(153070,172470,'When Equipped:',100,0,0),
(153071,172470,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(153072,172470,'Increases power of caster by 381',100,2,2),
(153073,172470,'Heals caster for 857 - 1047',100,2,3),
(153074,172470,'Must not be engaged in pvp combat',100,2,4),
(153075,172470,'Cannot be modified except by direct means',100,2,5),
(153076,172470,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(153077,172470,'Increases power of caster by 381',100,2,7),
(153078,172470,'Heals caster for 857 - 1047',100,2,8),
(153079,172470,'Must not be engaged in pvp combat',100,2,9),
(153080,172470,'Cannot be modified except by direct means',100,2,10),
(153081,10172470,'When Equipped:',100,0,0),
(153082,10172470,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(153083,10172470,'Increases power of caster by 381',100,2,2),
(153084,10172470,'Heals caster for 557 - 681',100,2,3),
(153085,10172470,'Must not be engaged in pvp combat',100,2,4),
(153086,10172470,'Cannot be modified except by direct means',100,2,5),
(153087,10172470,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(153088,10172470,'Increases power of caster by 381',100,2,7),
(153089,10172470,'Heals caster for 557 - 681',100,2,8),
(153090,10172470,'Must not be engaged in pvp combat',100,2,9),
(153091,10172470,'Cannot be modified except by direct means',100,2,10),
(153092,164615,'Applies Unstable Magics when Equipped.',100,0,0),
(153093,164615,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(153094,10164615,'Applies Unstable Magics when Equipped.',100,0,0),
(153095,10164615,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(153096,48212,'Applies Spirit of the Winged Viper when Activated.  Lasts for 30 minutes.',100,0,0),
(153097,48212,'Shapechanges caster into a flying snake',100,1,1),
(153098,48212,'Increases Out-of-Combat Power Regeneration of caster by 36.0',100,1,2),
(153099,48212,'This effect suspends during combat',100,1,3),
(153100,48212,'Only affects targets level 20 and above',100,1,4),
(153101,10048212,'Applies Spirit of the Winged Viper when Activated.  Lasts for 30 minutes.',100,0,0),
(153102,10048212,'Shapechanges caster into a flying snake',100,1,1),
(153103,10048212,'Increases Out-of-Combat Power Regeneration of caster by 36.0',100,1,2),
(153104,10048212,'This effect suspends during combat',100,1,3),
(153105,10048212,'Only affects targets level 20 and above',100,1,4),
(153106,113003,'Reduces physical damage done to caster by 5%',100,1,0),
(153107,113003,'Increases STA of caster by 183.0',100,1,1),
(153108,113003,'Adds 5.0% to base avoidance.',100,1,2),
(153109,113003,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(153110,113003,'Increases Defense and Aggression of caster by 34.9',100,1,4),
(153111,113003,'Increases Mitigation of caster vs arcane damage by 2419',100,1,5),
(153112,113003,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(153113,10113003,'Reduces physical damage done to caster by 5%',100,1,0),
(153114,10113003,'Increases STA of caster by 183.0',100,1,1),
(153115,10113003,'Adds 5.0% to base avoidance.',100,1,2),
(153116,10113003,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(153117,10113003,'Increases Defense and Aggression of caster by 34.9',100,1,4),
(153118,10113003,'Increases Mitigation of caster vs arcane damage by 2419',100,1,5),
(153119,10113003,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(153120,26333,'When Equipped:',100,0,0),
(153121,26333,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(153122,26333,'Inflicts 295 magic damage on target',100,2,2),
(153123,26333,'Cannot be modified except by direct means',100,2,3),
(153124,26333,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(153125,26333,'Inflicts 295 magic damage on target',100,2,5),
(153126,26333,'Cannot be modified except by direct means',100,2,6),
(153127,10026333,'When Equipped:',100,0,0),
(153128,10026333,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(153129,10026333,'Inflicts 326 magic damage on target',100,2,2),
(153130,10026333,'Cannot be modified except by direct means',100,2,3),
(153131,10026333,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(153132,10026333,'Inflicts 326 magic damage on target',100,2,5),
(153133,10026333,'Cannot be modified except by direct means',100,2,6),
(153134,47605,'Applies Potion of Subjugation when Activated.',100,0,0),
(153135,47605,'Attempts to subjugate the target.',100,1,1),
(153136,10047605,'Applies Potion of Subjugation when Activated.',100,0,0),
(153137,10047605,'Attempts to subjugate the target.',100,1,1),
(153138,111291,'Inflicts 308 - 514 divine damage on target',100,1,0),
(153139,111291,'Inflicts 123 - 206 divine damage on target every 4 seconds',100,1,1),
(153140,10111291,'Inflicts 401 - 668 divine damage on target',100,1,0),
(153141,10111291,'Inflicts 160 - 267 divine damage on target every 4 seconds',100,1,1),
(153142,110580,'Decreases Attack Speed of target by 14.4',100,1,0),
(153143,110580,'Decreases Crushing, Slashing and Piercing of target by 7.4',100,1,1),
(153144,10110580,'Decreases Attack Speed of target by 14.4',100,1,0),
(153145,10110580,'Decreases Crushing, Slashing and Piercing of target by 7.4',100,1,1),
(153146,177609,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(153147,177609,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(153148,177609,'Inflicts 70 heat damage on target',100,2,2),
(153149,177609,'Cannot be modified except by direct means',100,2,3),
(153150,10177609,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(153151,10177609,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(153152,10177609,'Inflicts 91 heat damage on target',100,2,2),
(153153,10177609,'Cannot be modified except by direct means',100,2,3),
(153154,35405,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(153155,115311,'Summons a limited pet to aid the caster',100,1,0),
(153156,10115311,'Summons a limited pet to aid the caster',100,1,0),
(153157,108746,'Summons a pet fiery magician',100,1,0),
(153158,10108746,'Summons a pet fiery magician',100,1,0),
(153159,74720,'When Equipped:',100,0,0),
(153160,74720,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153161,74720,'Inflicts 93 - 139 magic damage on target',100,2,2),
(153162,74720,'Cannot be modified except by direct means',100,2,3),
(153163,10074720,'When Equipped:',100,0,0),
(153164,10074720,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153165,10074720,'Inflicts 121 - 181 magic damage on target',100,2,2),
(153166,10074720,'Cannot be modified except by direct means',100,2,3),
(153167,45727,'Applies Shielding of Dragonkind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(153168,45727,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(153169,45727,'Inflicts 31 magic damage on target',100,2,2),
(153170,45727,'Cannot be modified except by direct means',100,2,3),
(153171,10045727,'Applies Shielding of Dragonkind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(153172,10045727,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(153173,10045727,'Inflicts 41 magic damage on target',100,2,2),
(153174,10045727,'Cannot be modified except by direct means',100,2,3),
(153175,177532,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(153176,177532,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(153177,177532,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(153178,177532,'Cannot be modified except by direct means',100,2,3),
(153179,10177532,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(153180,10177532,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(153181,10177532,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(153182,10177532,'Cannot be modified except by direct means',100,2,3),
(153183,35265,'Increases Max Power of target by 3.3',100,0,0),
(153184,35265,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(153185,36482,'When any damage is received this spell will cast Magma Burn on target''s attacker.  ',100,0,0),
(153186,36482,'Inflicts 1 heat damage on target',100,1,1),
(153187,36482,'Increases Out-of-Combat Health Regeneration of caster by 10.0',100,0,2),
(153188,37605,'Increases STA and WIS of target by 1.1',100,0,0),
(153189,37605,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(153190,121601,'Stuns target encounter',100,1,0),
(153191,121601,'Epic targets gain an immunity to Stun effects of 19.1 seconds and duration is reduced to 2.1 seconds.',100,1,1),
(153192,121601,'Resistibility increases against targets higher than level 100.',100,1,2),
(153193,10121601,'Stuns target encounter',100,1,0),
(153194,10121601,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(153195,10121601,'Resistibility increases against targets higher than level 100.',100,1,2),
(153196,49189,'Applies Call Ykeshan Warbear when Activated.',100,0,0),
(153197,49189,'Summons a mount to ride',100,1,1),
(153198,49189,'Increases your ground speed by 130%',100,2,2),
(153199,49189,'Decreases Hate Gain of caster by 3.0%',100,1,3),
(153200,49189,'If not fighter',100,2,4),
(153201,49189,'Increases Hate Gain of caster by 3.0%',100,1,5),
(153202,49189,'If fighter',100,2,6),
(153203,49189,'Increases Max Health of caster by 250.0',100,1,7),
(153204,10049189,'Applies Call Ykeshan Warbear when Activated.',100,0,0),
(153205,10049189,'Summons a mount to ride',100,1,1),
(153206,10049189,'Increases your ground speed by 130%',100,2,2),
(153207,10049189,'Increases Max Health of caster by 250.0',100,1,3),
(153208,164367,'When Equipped:',100,0,0),
(153209,164367,'On any combat or spell hit this spell may cast Cry For Mercy on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(153210,164367,'Inflicts 670 - 819 poison damage on target',100,2,2),
(153211,164367,'Must be flanking or behind',100,3,3),
(153212,164367,'Inflicts 361 - 441 slashing damage on target',100,2,4),
(153213,164367,'Must be in front of',100,3,5),
(153214,164367,'Increases Threat to target by 2,255 - 2,756 ',100,2,6),
(153215,164367,'Must be in front of',100,3,7),
(153216,164367,'Cannot be modified except by direct means',100,2,8),
(153217,164367,'Cannot be modified except by direct means',100,1,9),
(153218,10164367,'When Equipped:',100,0,0),
(153219,10164367,'On any combat or spell hit this spell may cast Cry For Mercy on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(153220,10164367,'Inflicts 737 - 901 poison damage on target',100,2,2),
(153221,10164367,'Must be flanking or behind',100,3,3),
(153222,10164367,'Inflicts 389 - 475 slashing damage on target',100,2,4),
(153223,10164367,'Must be in front of',100,3,5),
(153224,10164367,'Cannot be modified except by direct means',100,2,6),
(153225,10164367,'Cannot be modified except by direct means',100,1,7),
(153226,101909,'Decreases AGI of target by 12.8',100,1,0),
(153227,101909,'Inflicts 125 - 208 melee damage on target',100,1,1),
(153228,101909,'Must be behind',100,1,2),
(153229,10101909,'Decreases AGI of target by 12.8',100,1,0),
(153230,10101909,'Inflicts 162 - 271 melee damage on target',100,1,1),
(153231,10101909,'Must be behind',100,1,2),
(153232,71494,'When Equipped:',100,0,0),
(153233,71494,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(153234,71494,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(153235,71494,'Cannot be modified except by direct means',100,2,3),
(153236,10071494,'When Equipped:',100,0,0),
(153237,10071494,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(153238,10071494,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(153239,10071494,'Cannot be modified except by direct means',100,2,3),
(153240,120306,'Increases Threat to target by 113 - 138 ',100,1,0),
(153241,10120306,'Forces target to change their selected target to caster.',100,1,0),
(153242,10120306,'Prevents target from changing targets',100,1,1),
(153243,86321,'Applies Frost Blast when Activated.',100,0,0),
(153244,86321,'Inflicts 264 - 440 cold damage on target',100,1,1),
(153245,86321,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(153246,10086321,'Applies Frost Blast when Activated.',100,0,0),
(153247,10086321,'Inflicts 343 - 572 cold damage on target',100,1,1),
(153248,10086321,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(153249,138563,'When Equipped:',100,0,0),
(153250,138563,'On a damage spell hit this spell may cast Lava Storm on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(153251,138563,'Inflicts 928 - 1135 heat damage on target encounter',100,2,2),
(153252,138563,'Cannot be modified except by direct means',100,2,3),
(153253,10138563,'When Equipped:',100,0,0),
(153254,10138563,'On a damage spell hit this spell may cast Lava Storm on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(153255,10138563,'Inflicts 1026 - 1254 heat damage on target encounter',100,2,2),
(153256,10138563,'Cannot be modified except by direct means',100,2,3),
(153257,87561,'Applies Poison Bolt when Activated.',100,0,0),
(153258,87561,'Inflicts 563 - 939 poison damage on target',100,1,1),
(153259,87561,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(153260,10087561,'Applies Poison Bolt when Activated.',100,0,0),
(153261,10087561,'Inflicts 732 - 1220 poison damage on target',100,1,1),
(153262,10087561,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(153263,118767,'Increases INT and WIS of group members (AE) by 53.4',100,1,0),
(153264,118767,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 156',100,1,1),
(153265,10118767,'Increases INT and WIS of group members (AE) by 53.4',100,1,0),
(153266,10118767,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 156',100,1,1),
(153267,82918,'When Equipped:',100,0,0),
(153268,82918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153269,82918,'Inflicts 350 - 650 magic damage on target',100,2,2),
(153270,82918,'Cannot be modified except by direct means',100,2,3),
(153271,10082918,'When Equipped:',100,0,0),
(153272,10082918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153273,10082918,'Inflicts 455 - 845 magic damage on target',100,2,2),
(153274,10082918,'Cannot be modified except by direct means',100,2,3),
(153275,112125,'Dispels 51 levels of physical and arcane hostile effects on caster',100,1,0),
(153276,10112125,'Dispels 51 levels of physical and arcane hostile effects on caster',100,1,0),
(153277,112067,'Inflicts 9 - 15 heat damage on target instantly and every 2 seconds',100,1,0),
(153278,10112067,'Inflicts 29 - 48 heat damage on target instantly and every 2 seconds',100,1,0),
(153279,48162,'Applies Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(153280,48162,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(153281,48162,'Inflicts 177 poison damage on target instantly and every 6 seconds',100,2,2),
(153282,48162,'Inflicts 202 poison damage on target',100,2,3),
(153283,48162,'Cannot be modified except by direct means',100,2,4),
(153284,48162,'Grants a total of 200 triggers of the spell.',100,2,5),
(153285,48162,'Only affects targets level 50 and above',100,1,6),
(153286,10048162,'Applies Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(153287,10048162,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(153288,10048162,'Inflicts 173 poison damage on target instantly and every 6 seconds',100,2,2),
(153289,10048162,'Inflicts 197 poison damage on target',100,2,3),
(153290,10048162,'Cannot be modified except by direct means',100,2,4),
(153291,10048162,'Grants a total of 200 triggers of the spell.',100,2,5),
(153292,10048162,'Only affects targets level 50 and above',100,1,6),
(153293,118849,'Inflicts 131 - 394 melee damage on target',100,1,0),
(153294,10118849,'Inflicts 170 - 512 melee damage on target',100,1,0),
(153295,123370,'Heals group members (AE) for 523 - 640',100,1,0),
(153296,10123370,'Heals group members (AE) for 636 - 778',100,1,0),
(153297,121594,'Stuns target encounter',100,1,0),
(153298,121594,'Epic targets gain an immunity to Stun effects of 16.9 seconds and duration is reduced to 1.9 seconds.',100,1,1),
(153299,121594,'Resistibility increases against targets higher than level 73.',100,1,2),
(153300,10121594,'Stuns target encounter',100,1,0),
(153301,10121594,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(153302,10121594,'Resistibility increases against targets higher than level 73.',100,1,2),
(153303,114703,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(153304,114703,'Decreases Hate Gain of target by 19.6%',100,1,1),
(153305,10114703,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(153306,46981,'Applies Middling Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(153307,46981,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(153308,46981,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,2),
(153309,46981,'Inflicts 471 poison damage on target',100,2,3),
(153310,46981,'Cannot be modified except by direct means',100,2,4),
(153311,46981,'Grants a total of 200 triggers of the spell.',100,2,5),
(153312,46981,'Only affects targets level 50 and above',100,1,6),
(153313,10046981,'Applies Middling Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(153314,10046981,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(153315,10046981,'Inflicts 75 poison damage on target instantly and every 6 seconds',100,2,2),
(153316,10046981,'Inflicts 459 poison damage on target',100,2,3),
(153317,10046981,'Cannot be modified except by direct means',100,2,4),
(153318,10046981,'Grants a total of 200 triggers of the spell.',100,2,5),
(153319,10046981,'Only affects targets level 50 and above',100,1,6),
(153320,124509,'Increases AGI and WIS of group members (AE) by 13.9',100,1,0),
(153321,10124509,'Increases AGI and WIS of group members (AE) by 13.9',100,1,0),
(153322,120418,'Inflicts 57 - 96 melee damage on target',100,1,0),
(153323,120418,'Inflicts 57 - 96 melee damage on target',100,1,1),
(153324,10120418,'Inflicts 75 - 125 melee damage on target',100,1,0),
(153325,10120418,'Inflicts 75 - 125 melee damage on target',100,1,1),
(153326,123070,'Summons a pet undead knight',100,1,0),
(153327,10123070,'Summons a pet undead knight',100,1,0),
(153328,88090,'When Equipped:',100,0,0),
(153329,88090,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(153330,88090,'Inflicts 490 - 817 divine damage on target',100,2,2),
(153331,88090,'Inflicts 490 - 817 piercing damage on target',100,2,3),
(153332,88090,'Inflicts 490 - 817 magic damage on target',100,2,4),
(153333,88090,'Must not be engaged in pvp combat',100,2,5),
(153334,88090,'Cannot be modified except by direct means',100,2,6),
(153335,88090,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(153336,88090,'Inflicts 490 - 817 divine damage on target',100,2,8),
(153337,88090,'Inflicts 490 - 817 piercing damage on target',100,2,9),
(153338,88090,'Inflicts 490 - 817 magic damage on target',100,2,10),
(153339,88090,'Must not be engaged in pvp combat',100,2,11),
(153340,88090,'Cannot be modified except by direct means',100,2,12),
(153341,88090,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(153342,88090,'Inflicts 490 - 817 divine damage on target',100,2,14),
(153343,88090,'Inflicts 490 - 817 piercing damage on target',100,2,15),
(153344,88090,'Inflicts 490 - 817 magic damage on target',100,2,16),
(153345,88090,'Must not be engaged in pvp combat',100,2,17),
(153346,88090,'Cannot be modified except by direct means',100,2,18),
(153347,88090,'Must not be engaged in pvp combat',100,1,19),
(153348,10088090,'When Equipped:',100,0,0),
(153349,10088090,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(153350,10088090,'Inflicts 637 - 1061 divine damage on target',100,2,2),
(153351,10088090,'Inflicts 637 - 1061 piercing damage on target',100,2,3),
(153352,10088090,'Inflicts 637 - 1061 magic damage on target',100,2,4),
(153353,10088090,'Must not be engaged in pvp combat',100,2,5),
(153354,10088090,'Cannot be modified except by direct means',100,2,6),
(153355,10088090,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(153356,10088090,'Inflicts 637 - 1061 divine damage on target',100,2,8),
(153357,10088090,'Inflicts 637 - 1061 piercing damage on target',100,2,9),
(153358,10088090,'Inflicts 637 - 1061 magic damage on target',100,2,10),
(153359,10088090,'Must not be engaged in pvp combat',100,2,11),
(153360,10088090,'Cannot be modified except by direct means',100,2,12),
(153361,10088090,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(153362,10088090,'Inflicts 637 - 1061 divine damage on target',100,2,14),
(153363,10088090,'Inflicts 637 - 1061 piercing damage on target',100,2,15),
(153364,10088090,'Inflicts 637 - 1061 magic damage on target',100,2,16),
(153365,10088090,'Must not be engaged in pvp combat',100,2,17),
(153366,10088090,'Cannot be modified except by direct means',100,2,18),
(153367,10088090,'Must not be engaged in pvp combat',100,1,19),
(153368,102114,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(153369,102114,'Stuns target',100,2,1),
(153370,102114,'Throws target back',100,2,2),
(153371,102114,'Blurs vision of target',100,2,3),
(153372,102114,'Does not affect Epic targets',100,2,4),
(153373,102114,'Inflicts 359 - 598 crushing damage on target',100,1,5),
(153374,10102114,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(153375,10102114,'Stuns target',100,2,1),
(153376,10102114,'Throws target back',100,2,2),
(153377,10102114,'Blurs vision of target',100,2,3),
(153378,10102114,'Does not affect Epic targets',100,2,4),
(153379,10102114,'Inflicts 466 - 778 crushing damage on target',100,1,5),
(153380,46281,'Applies trauma remedy when Activated.',100,0,0),
(153381,46281,'Dispels 88 levels of physical hostile effects on caster',100,1,1),
(153382,10046281,'Applies trauma remedy when Activated.',100,0,0),
(153383,10046281,'Dispels 88 levels of physical hostile effects on caster',100,1,1),
(153384,37278,'Increases STA of target by 1.1',100,0,0),
(153385,37278,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(153386,105696,'Decreases Attack Speed of target encounter by 23.0',100,1,0),
(153387,105696,'Slows target encounter by 31.0%',100,1,1),
(153388,10105696,'Decreases Attack Speed of target encounter by 23.0',100,1,0),
(153389,10105696,'Slows target encounter by 31.0%',100,1,1),
(153390,112923,'Increases Damage Per Second of caster by 102.7',100,1,0),
(153391,112923,'Increases Ranged of caster by 48.2',100,1,1),
(153392,10112923,'Increases Damage Per Second of caster by 102.7',100,1,0),
(153393,10112923,'Increases Ranged of caster by 48.2',100,1,1),
(153394,111300,'Inflicts 365 - 608 divine damage on target',100,1,0),
(153395,111300,'Inflicts 146 - 243 divine damage on target every 4 seconds',100,1,1),
(153396,10111300,'Inflicts 474 - 791 divine damage on target',100,1,0),
(153397,10111300,'Inflicts 190 - 317 divine damage on target every 4 seconds',100,1,1),
(153398,45505,'Applies Marr''s Inspiration when Activated.  Lasts for 54.0 seconds.',100,0,0),
(153399,45505,'Increases Max Health of caster by 168.7 - 281.1',100,1,1),
(153400,45505,'Increases Defense of caster by 21.9 - 36.6',100,1,2),
(153401,10045505,'Applies Marr''s Inspiration when Activated.  Lasts for 54.0 seconds.',100,0,0),
(153402,10045505,'Increases Max Health of caster by 168.7 - 281.1',100,1,1),
(153403,10045505,'Increases Defense of caster by 21.9 - 36.6',100,1,2),
(153404,111038,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(153405,111038,'Increases Threat to target by 328 ',100,2,1),
(153406,111038,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(153407,111038,'Increases Threat to target by 328 ',100,2,3),
(153408,10111038,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(153409,10111038,'Inflicts 74 - 82 crushing damage on target',100,2,1),
(153410,10111038,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(153411,10111038,'Inflicts 74 - 82 crushing damage on target',100,2,3),
(153412,89843,'When Equipped:',100,0,0),
(153413,89843,'On a combat hit this spell may cast Vilucidae''s Shield on caster.  Lasts for 1 minute.  Triggers about 1.8 times per minute. ',100,1,1),
(153414,89843,'Wards caster against 200 points of arcane damage',100,2,2),
(153415,89843,'Increases Defense of caster by 10.0',100,2,3),
(153416,89843,'Cannot be modified except by direct means',100,2,4),
(153417,10089843,'When Equipped:',100,0,0),
(153418,10089843,'On a combat hit this spell may cast Vilucidae''s Shield on caster.  Lasts for 1 minute.  Triggers about 1.8 times per minute. ',100,1,1),
(153419,10089843,'Wards caster against 200 points of arcane damage',100,2,2),
(153420,10089843,'Increases Defense of caster by 10.0',100,2,3),
(153421,10089843,'Cannot be modified except by direct means',100,2,4),
(153422,37008,'Increases AGI of target by 1.5',100,0,0),
(153423,37008,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(153424,100245,'Inflicts 14 - 25 poison damage on target instantly and every 3 seconds',100,1,0),
(153425,10100245,'Inflicts 40 - 74 poison damage on target instantly and every 3 seconds',100,1,0),
(153426,108699,'Inflicts 218 heat damage on target',100,1,0),
(153427,108699,'Inflicts 49 heat damage on target every 4 seconds',100,1,1),
(153428,10108699,'Inflicts 397 heat damage on target',100,1,0),
(153429,10108699,'Inflicts 63 heat damage on target every 4 seconds',100,1,1),
(153430,81333,'When Equipped:',100,0,0),
(153431,81333,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153432,81333,'Inflicts 109 - 202 magic damage on target',100,2,2),
(153433,81333,'Cannot be modified except by direct means',100,2,3),
(153434,10081333,'When Equipped:',100,0,0),
(153435,10081333,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153436,10081333,'Inflicts 142 - 263 magic damage on target',100,2,2),
(153437,10081333,'Cannot be modified except by direct means',100,2,3),
(153438,100787,'Wards target against 335 points of all damage',100,1,0),
(153439,10100787,'Wards target against 516 points of all damage',100,1,0),
(153440,160001,'Applies Sanguine Imbued when Equipped.',100,0,0),
(153441,160001,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(153442,160001,'Inflicts 34 heat damage on target',100,2,2),
(153443,160001,'Cannot be modified except by direct means',100,2,3),
(153444,10160001,'Applies Sanguine Imbued when Equipped.',100,0,0),
(153445,10160001,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(153446,10160001,'Inflicts 44 heat damage on target',100,2,2),
(153447,10160001,'Cannot be modified except by direct means',100,2,3),
(153448,103495,'Increases In-Combat Power Regeneration of group members (AE) by 53.0',100,1,0),
(153449,10103495,'Increases In-Combat Power Regeneration of group members (AE) by 53.0',100,1,0),
(153450,175533,'When Equipped:',100,0,0),
(153451,175533,'Increases Attack Speed of caster by 25.0',100,1,1),
(153452,10175533,'When Equipped:',100,0,0),
(153453,10175533,'Increases Attack Speed of caster by 25.0',100,1,1),
(153454,107261,'Inflicts 59 - 99 ranged damage on target',100,1,0),
(153455,107261,'Inflicts 59 - 99 ranged damage on target',100,1,1),
(153456,107261,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(153457,107261,'Stuns target',100,2,3),
(153458,107261,'Throws target back',100,2,4),
(153459,107261,'Blurs vision of target',100,2,5),
(153460,107261,'Does not affect Epic targets',100,2,6),
(153461,107261,'If weapon equipped in Ranged',100,1,7),
(153462,10107261,'Inflicts 50 - 84 ranged damage on target',100,1,0),
(153463,10107261,'Inflicts 50 - 84 ranged damage on target',100,1,1),
(153464,10107261,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(153465,10107261,'Stuns target',100,2,3),
(153466,10107261,'Throws target back',100,2,4),
(153467,10107261,'Blurs vision of target',100,2,5),
(153468,10107261,'Does not affect Epic targets',100,2,6),
(153469,10107261,'If weapon equipped in Ranged',100,1,7),
(153470,35576,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(153471,106383,'Inflicts 532 - 887 melee damage on target',100,1,0),
(153472,106383,'Decreases Defense of target by 20.9',100,1,1),
(153473,106383,'Decreases Defense of caster by 17.4',100,1,2),
(153474,10106383,'Inflicts 692 - 1154 melee damage on target',100,1,0),
(153475,10106383,'Decreases Defense of target by 20.9',100,1,1),
(153476,10106383,'Decreases Defense of caster by 17.4',100,1,2),
(153477,111019,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(153478,111019,'Increases Threat to target by 84 ',100,2,1),
(153479,111019,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(153480,111019,'Increases Threat to target by 84 ',100,2,3),
(153481,10111019,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(153482,10111019,'Inflicts 20 - 22 crushing damage on target',100,2,1),
(153483,10111019,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(153484,10111019,'Inflicts 20 - 22 crushing damage on target',100,2,3),
(153485,170632,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(153486,170632,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,1),
(153487,170632,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(153488,10170632,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(153489,10170632,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 149',100,1,1),
(153490,10170632,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(153491,114141,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(153492,114141,'Increases Mitigation of group members (AE) vs elemental damage by 798',100,1,1),
(153493,10114141,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(153494,10114141,'Increases Mitigation of group members (AE) vs elemental damage by 798',100,1,1),
(153495,123551,'Summons a limited pet to aid the caster',100,1,0),
(153496,10123551,'Summons a limited pet to aid the caster',100,1,0),
(153497,108031,'Inflicts 111 magic damage on target',100,1,0),
(153498,108031,'Increases power of caster by 36',100,1,1),
(153499,10108031,'Inflicts 144 magic damage on target',100,1,0),
(153500,10108031,'Increases power of caster by 36',100,1,1),
(153501,105569,'Inflicts 302 - 561 disease damage on target',100,1,0),
(153502,105569,'Inflicts 181 - 337 disease damage on target every 2 seconds',100,1,1),
(153503,10105569,'Inflicts 393 - 730 disease damage on target',100,1,0),
(153504,10105569,'Inflicts 236 - 438 disease damage on target every 2 seconds',100,1,1),
(153505,48086,'Applies Sleepless Researcher when Activated.',100,0,0),
(153506,48086,'Shapechanges the user into an Erudite lich, and provides a shield which damages any melee attacker.',100,1,1),
(153507,10048086,'Applies Sleepless Researcher when Activated.',100,0,0),
(153508,10048086,'Shapechanges the user into an Erudite lich, and provides a shield which damages any melee attacker.',100,1,1),
(153509,116529,'Increases Mitigation of target vs physical damage by 483',100,1,0),
(153510,116529,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(153511,10116529,'Increases Mitigation of target vs physical damage by 483',100,1,0),
(153512,10116529,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(153513,114748,'Inflicts 2515 - 4192 melee damage on target',100,1,0),
(153514,114748,'You must be in stealth.',100,1,1),
(153515,10114748,'Inflicts 1948 - 3247 melee damage on target',100,1,0),
(153516,10114748,'You must be in stealth.',100,1,1),
(153517,87150,'When Equipped:',100,0,0),
(153518,87150,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153519,87150,'Inflicts 76 - 114 magic damage on target',100,2,2),
(153520,87150,'Cannot be modified except by direct means',100,2,3),
(153521,10087150,'When Equipped:',100,0,0),
(153522,10087150,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153523,10087150,'Inflicts 98 - 148 magic damage on target',100,2,2),
(153524,10087150,'Cannot be modified except by direct means',100,2,3),
(153525,109195,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 5.4',100,1,0),
(153526,10109195,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 5.4',100,1,0),
(153527,74688,'When Equipped:',100,0,0),
(153528,74688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153529,74688,'Inflicts 184 - 276 magic damage on target',100,2,2),
(153530,74688,'Cannot be modified except by direct means',100,2,3),
(153531,10074688,'When Equipped:',100,0,0),
(153532,10074688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153533,10074688,'Inflicts 239 - 358 magic damage on target',100,2,2),
(153534,10074688,'Cannot be modified except by direct means',100,2,3),
(153535,185484,'When Equipped:',100,0,0),
(153536,185484,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(153537,185484,'Inflicts 1998 disease damage on target encounter',100,2,2),
(153538,185484,'Must not be engaged in pvp combat',100,2,3),
(153539,185484,'Cannot be modified except by direct means',100,2,4),
(153540,10185484,'When Equipped:',100,0,0),
(153541,10185484,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(153542,10185484,'Inflicts 1299 disease damage on target encounter',100,2,2),
(153543,10185484,'Must not be engaged in pvp combat',100,2,3),
(153544,10185484,'Cannot be modified except by direct means',100,2,4),
(153545,108535,'Increases AGI and WIS of group members (AE) by 64.1',100,1,0),
(153546,108535,'Adds 1.7% to base avoidance.',100,1,1),
(153547,108535,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,2),
(153548,10108535,'Increases AGI and WIS of group members (AE) by 64.1',100,1,0),
(153549,10108535,'Adds 1.7% to base avoidance.',100,1,1),
(153550,10108535,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,2),
(153551,121585,'Stuns target encounter',100,1,0),
(153552,121585,'Epic targets gain an immunity to Stun effects of 15.8 seconds and duration is reduced to 1.8 seconds.',100,1,1),
(153553,121585,'Resistibility increases against targets higher than level 59.',100,1,2),
(153554,10121585,'Stuns target encounter',100,1,0),
(153555,10121585,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(153556,10121585,'Resistibility increases against targets higher than level 59.',100,1,2),
(153557,101834,'Summons a limited pet to aid the caster',100,1,0),
(153558,10101834,'Summons a limited pet to aid the caster',100,1,0),
(153559,106099,'Inflicts 876 - 1460 melee damage on target',100,1,0),
(153560,106099,'Decreases Mitigation of target vs physical damage by 1960',100,1,1),
(153561,106099,'Must be behind',100,1,2),
(153562,10106099,'Inflicts 1139 - 1899 melee damage on target',100,1,0),
(153563,10106099,'Decreases Mitigation of target vs physical damage by 490',100,1,1),
(153564,10106099,'Must be behind',100,1,2),
(153565,109056,'Increases Attack Speed of caster by 35.5',100,1,0),
(153566,109056,'Decreases Defense of caster by 23.0',100,1,1),
(153567,109056,'Increases Slashing, Piercing, Crushing and Ranged of caster by 41.4',100,1,2),
(153568,10109056,'Increases Attack Speed of caster by 35.5',100,1,0),
(153569,10109056,'Decreases Defense of caster by 23.0',100,1,1),
(153570,10109056,'Increases Slashing, Piercing, Crushing and Ranged of caster by 41.4',100,1,2),
(153571,186998,'When Equipped:',100,0,0),
(153572,186998,'On a combat hit this spell may cast Languid Pace V on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(153573,186998,'Decreases Attack Speed of target by 14.0',100,2,2),
(153574,186998,'Cannot be modified except by direct means',100,2,3),
(153575,10186998,'When Equipped:',100,0,0),
(153576,10186998,'On a combat hit this spell may cast Languid Pace V on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(153577,10186998,'Decreases Attack Speed of target by 14.0',100,2,2),
(153578,10186998,'Cannot be modified except by direct means',100,2,3),
(153579,138706,'When Equipped:',100,0,0),
(153580,138706,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(153581,138706,'Heals group members for 250',100,2,2),
(153582,138706,'Cannot be modified except by direct means',100,2,3),
(153583,10138706,'When Equipped:',100,0,0),
(153584,10138706,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(153585,10138706,'Heals group members for 162',100,2,2),
(153586,10138706,'Cannot be modified except by direct means',100,2,3),
(153587,161130,'When Equipped:',100,0,0),
(153588,161130,'On any combat or spell hit this spell may cast Greater Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(153589,161130,'Inflicts 3796 - 4196 slashing damage on target encounter',100,2,2),
(153590,161130,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(153591,161130,'Must not be engaged in pvp combat',100,2,4),
(153592,161130,'Cannot be modified except by direct means',100,2,5),
(153593,161130,'Must not be engaged in pvp combat',100,1,6),
(153594,10161130,'When Equipped:',100,0,0),
(153595,10161130,'On any combat or spell hit this spell may cast Greater Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(153596,10161130,'Inflicts 4935 - 5455 slashing damage on target encounter',100,2,2),
(153597,10161130,'Inflicts 823 - 909 slashing damage on target encounter every 2 seconds',100,2,3),
(153598,10161130,'Must not be engaged in pvp combat',100,2,4),
(153599,10161130,'Cannot be modified except by direct means',100,2,5),
(153600,10161130,'Must not be engaged in pvp combat',100,1,6),
(153601,48069,'Applies Simple Brown Sack when Activated.',100,0,0),
(153602,10048069,'Applies Simple Brown Sack when Activated.',100,0,0),
(153603,186016,'When Equipped:',100,0,0),
(153604,186016,'Increases Attack Speed of caster by 40.0',100,1,1),
(153605,10186016,'When Equipped:',100,0,0),
(153606,10186016,'Increases Attack Speed of caster by 40.0',100,1,1),
(153607,105807,'Inflicts 783 - 957 heat damage on target',100,1,0),
(153608,10105807,'Inflicts 1357 - 1658 heat damage on target',100,1,0),
(153609,119102,'Inflicts 217 - 651 melee damage on targets in area',100,1,0),
(153610,119102,'Inflicts 217 - 651 melee damage on targets in area',100,1,1),
(153611,119102,'Inflicts 217 - 651 melee damage on targets in area',100,1,2),
(153612,119102,'Inflicts 217 - 651 melee damage on targets in area',100,1,3),
(153613,10119102,'Inflicts 282 - 846 melee damage on targets in area',100,1,0),
(153614,10119102,'Inflicts 282 - 846 melee damage on targets in area',100,1,1),
(153615,10119102,'Inflicts 282 - 846 melee damage on targets in area',100,1,2),
(153616,10119102,'Inflicts 282 - 846 melee damage on targets in area',100,1,3),
(153617,159591,'When Equipped:',100,0,0),
(153618,159591,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(153619,159591,'Increases STA of caster by 8.3',100,2,2),
(153620,159591,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(153621,159591,'Cannot be modified except by direct means',100,2,4),
(153622,10159591,'When Equipped:',100,0,0),
(153623,10159591,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(153624,10159591,'Increases STA of caster by 8.3',100,2,2),
(153625,10159591,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(153626,10159591,'Cannot be modified except by direct means',100,2,4),
(153627,104629,'Inflicts 93 - 155 crushing damage on target',100,1,0),
(153628,104629,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 9.3',100,1,1),
(153629,10104629,'Inflicts 121 - 202 crushing damage on target',100,1,0),
(153630,10104629,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 9.3',100,1,1),
(153631,25468,'When Equipped:',100,0,0),
(153632,25468,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(153633,25468,'Increases the effect of Destructive Rampage to 12.5% spell and combat art damage',100,1,2),
(153634,10025468,'When Equipped:',100,0,0),
(153635,10025468,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(153636,10025468,'Increases the effect of Destructive Rampage to 12.5% spell and combat art damage',100,1,2),
(153637,106277,'Wards target against 2064 points of all damage',100,1,0),
(153638,10106277,'Wards target against 2064 points of all damage',100,1,0),
(153639,159036,'Applies Lambent Imbued when Equipped.',100,0,0),
(153640,159036,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(153641,159036,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(153642,159036,'Cannot be modified except by direct means',100,2,3),
(153643,10159036,'Applies Lambent Imbued when Equipped.',100,0,0),
(153644,10159036,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(153645,10159036,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(153646,10159036,'Cannot be modified except by direct means',100,2,3),
(153647,143328,'When Equipped:',100,0,0),
(153648,143328,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(153649,143328,'Increases power of target by 359',100,2,2),
(153650,143328,'Decreases power of caster by 324',100,2,3),
(153651,143328,'Cannot be modified except by direct means',100,2,4),
(153652,10143328,'When Equipped:',100,0,0),
(153653,10143328,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(153654,10143328,'Increases power of target by 359',100,2,2),
(153655,10143328,'Decreases power of caster by 324',100,2,3),
(153656,10143328,'Cannot be modified except by direct means',100,2,4),
(153657,52925,'Applies Sanguine Imbued when Equipped.',100,0,0),
(153658,52925,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(153659,52925,'Inflicts 250 heat damage on target',100,2,2),
(153660,52925,'Cannot be modified except by direct means',100,2,3),
(153661,10052925,'Applies Sanguine Imbued when Equipped.',100,0,0),
(153662,10052925,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(153663,10052925,'Inflicts 325 heat damage on target',100,2,2),
(153664,10052925,'Cannot be modified except by direct means',100,2,3),
(153665,45616,'Applies Elixir of Light  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(153666,45616,'Heals caster for 28',100,1,1),
(153667,45616,'Heals caster for 14 every 5 seconds',100,1,2),
(153668,10045616,'Applies Elixir of Light  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(153669,10045616,'Heals caster for 18',100,1,1),
(153670,10045616,'Heals caster for 9 every 5 seconds',100,1,2),
(153671,24533,'Adds Mistmoore: Gilded Stone Chest to your Dungeon Maker toolbox',100,0,0),
(153672,10024533,'Adds Mistmoore: Gilded Stone Chest to your Dungeon Maker toolbox',100,0,0),
(153673,124801,'Increases STR of caster by 131.6',100,1,0),
(153674,124801,'Decreases Defense of caster by 18.0',100,1,1),
(153675,124801,'Increases Crushing, Piercing, Slashing and Disruption of caster by 37.8',100,1,2),
(153676,10124801,'Increases STR of caster by 131.6',100,1,0),
(153677,10124801,'Decreases Defense of caster by 18.0',100,1,1),
(153678,10124801,'Increases Crushing, Piercing, Slashing and Disruption of caster by 37.8',100,1,2),
(153679,37300,'Increases AGI of target by 1.5',100,0,0),
(153680,37300,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(153681,118156,'Inflicts 533 - 889 melee damage on target',100,1,0),
(153682,118156,'Dazes target',100,1,1),
(153683,118156,'If Target is not Epic',100,2,2),
(153684,118156,'Resistibility increases against targets higher than level 83.',100,1,3),
(153685,10118156,'Inflicts 693 - 1155 melee damage on target',100,1,0),
(153686,10118156,'Dazes target',100,1,1),
(153687,10118156,'If Target is not Epic',100,2,2),
(153688,10118156,'Resistibility increases against targets higher than level 83.',100,1,3),
(153689,191012,'Applies Venom Immunity when Activated.  Lasts for 40.0 seconds.',100,0,0),
(153690,191012,'Wards caster against 450 points of noxious damage',100,1,1),
(153691,191012,'The casting time of Venom Immunity is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,2),
(153692,10191012,'Applies Venom Immunity when Activated.  Lasts for 40.0 seconds.',100,0,0),
(153693,10191012,'Wards caster against 450 points of noxious damage',100,1,1),
(153694,10191012,'The casting time of Venom Immunity is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,2),
(153695,36681,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(153696,36681,'This effect suspends during combat',100,0,1),
(153697,25942,'When Equipped:',100,0,0),
(153698,25942,'Increases all elemental damage by up to 5.',100,1,1),
(153699,10025942,'When Equipped:',100,0,0),
(153700,10025942,'Increases all elemental damage by up to 5.',100,1,1),
(153701,72865,'When Equipped:',100,0,0),
(153702,72865,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(153703,72865,'Stuns target',100,2,2),
(153704,72865,'Throws target back',100,2,3),
(153705,72865,'Does not affect Epic targets',100,2,4),
(153706,72865,'Resistibility increases against targets higher than level 88.',100,2,5),
(153707,72865,'Cannot be modified except by direct means',100,2,6),
(153708,10072865,'When Equipped:',100,0,0),
(153709,10072865,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(153710,10072865,'Stuns target',100,2,2),
(153711,10072865,'Throws target back',100,2,3),
(153712,10072865,'Does not affect Epic targets',100,2,4),
(153713,10072865,'Resistibility increases against targets higher than level 88.',100,2,5),
(153714,10072865,'Cannot be modified except by direct means',100,2,6),
(153715,122581,'Inflicts 37 - 45 mental damage on target instantly and every 3 seconds',100,1,0),
(153716,122581,'Decreases Mitigation of target vs arcane damage by 250',100,1,1),
(153717,10122581,'Inflicts 48 - 58 mental damage on target instantly and every 3 seconds',100,1,0),
(153718,10122581,'Decreases Mitigation of target vs arcane damage by 250',100,1,1),
(153719,102565,'Increases AGI of caster by 77.4',100,1,0),
(153720,102565,'Increases Max Health of caster by 267.8',100,1,1),
(153721,102565,'Adds 18.7% to base avoidance.',100,1,2),
(153722,102565,'Increases Mitigation of caster vs physical damage by 462',100,1,3),
(153723,102565,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,4),
(153724,10102565,'Increases AGI of caster by 77.4',100,1,0),
(153725,10102565,'Increases Max Health of caster by 267.8',100,1,1),
(153726,10102565,'Adds 18.7% to base avoidance.',100,1,2),
(153727,10102565,'Increases Mitigation of caster vs physical damage by 462',100,1,3),
(153728,10102565,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,4),
(153729,159856,'Applies Sanguine Imbued when Equipped.',100,0,0),
(153730,159856,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(153731,159856,'Inflicts 261 heat damage on target',100,2,2),
(153732,159856,'Cannot be modified except by direct means',100,2,3),
(153733,10159856,'Applies Sanguine Imbued when Equipped.',100,0,0),
(153734,10159856,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(153735,10159856,'Inflicts 339 heat damage on target',100,2,2),
(153736,10159856,'Cannot be modified except by direct means',100,2,3),
(153737,107992,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(153738,107992,'Increases Mitigation of group members (AE) vs elemental damage by 450',100,1,1),
(153739,10107992,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(153740,10107992,'Increases Mitigation of group members (AE) vs elemental damage by 450',100,1,1),
(153741,106141,'Inflicts 286 - 477 divine damage on target encounter',100,1,0),
(153742,106141,'Interrupts target encounter',100,1,1),
(153743,10106141,'Inflicts 372 - 621 divine damage on target encounter',100,1,0),
(153744,10106141,'Interrupts target encounter',100,1,1),
(153745,74939,'When Equipped:',100,0,0),
(153746,74939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153747,74939,'Inflicts 38 - 57 magic damage on target',100,2,2),
(153748,74939,'Cannot be modified except by direct means',100,2,3),
(153749,10074939,'When Equipped:',100,0,0),
(153750,10074939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153751,10074939,'Inflicts 50 - 75 magic damage on target',100,2,2),
(153752,10074939,'Cannot be modified except by direct means',100,2,3),
(153753,121761,'Heals target for 9 - 11',100,1,0),
(153754,121761,'Heals target for 1 - 2 every second',100,1,1),
(153755,10121761,'Heals target for 15 - 19',100,1,0),
(153756,10121761,'Heals target for 1 - 2 every second',100,1,1),
(153757,148679,'When Equipped:',100,0,0),
(153758,148679,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(153759,148679,'This effect stacks with the Runic Deflection line.',100,2,2),
(153760,148679,'Wards caster against 1300 points of all damage',100,2,3),
(153761,148679,'Cannot be modified except by direct means',100,2,4),
(153762,10148679,'When Equipped:',100,0,0),
(153763,10148679,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(153764,10148679,'This effect stacks with the Runic Deflection line.',100,2,2),
(153765,10148679,'Wards caster against 1300 points of all damage',100,2,3),
(153766,10148679,'Cannot be modified except by direct means',100,2,4),
(153767,80498,'When Equipped:',100,0,0),
(153768,80498,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(153769,80498,'Inflicts 493 - 915 magic damage on target',100,2,2),
(153770,80498,'Decreases Threat to target by 1,219 ',100,2,3),
(153771,80498,'Must be flanking or behind',100,3,4),
(153772,80498,'Increases Threat to target by 1,219 ',100,2,5),
(153773,80498,'Must be in front of',100,3,6),
(153774,80498,'Cannot be modified except by direct means',100,2,7),
(153775,10080498,'When Equipped:',100,0,0),
(153776,10080498,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(153777,10080498,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(153778,10080498,'Cannot be modified except by direct means',100,2,3),
(153779,42834,'When Equipped:',100,0,0),
(153780,42834,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(153781,42834,'On a healing spell cast this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(153782,42834,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,3),
(153783,42834,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(153784,42834,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,5),
(153785,42834,'Must not be engaged in pvp combat',100,2,6),
(153786,42834,'Cannot be modified except by direct means',100,2,7),
(153787,42834,'On any combat or spell hit this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(153788,42834,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,9),
(153789,42834,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(153790,42834,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,11),
(153791,42834,'Must not be engaged in pvp combat',100,2,12),
(153792,42834,'Cannot be modified except by direct means',100,2,13),
(153793,42834,'Cannot be modified except by direct means',100,1,14),
(153794,10042834,'When Equipped:',100,0,0),
(153795,10042834,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(153796,10042834,'On a healing spell cast this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(153797,10042834,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,3),
(153798,10042834,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(153799,10042834,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,5),
(153800,10042834,'Must not be engaged in pvp combat',100,2,6),
(153801,10042834,'Cannot be modified except by direct means',100,2,7),
(153802,10042834,'On any combat or spell hit this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(153803,10042834,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,9),
(153804,10042834,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(153805,10042834,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,11),
(153806,10042834,'Must not be engaged in pvp combat',100,2,12),
(153807,10042834,'Cannot be modified except by direct means',100,2,13),
(153808,10042834,'Cannot be modified except by direct means',100,1,14),
(153809,24500,'Adds Lair of Scale: Studded Golden Chair to your Dungeon Maker toolbox',100,0,0),
(153810,10024500,'Adds Lair of Scale: Studded Golden Chair to your Dungeon Maker toolbox',100,0,0),
(153811,105133,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(153812,105133,'Summon 1 Crystallized Essence (Journeyman)',100,2,1),
(153813,10105133,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(153814,10105133,'Summon 1 Crystallized Essence (Journeyman)',100,2,1),
(153815,87362,'When Equipped:',100,0,0),
(153816,87362,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153817,87362,'Inflicts 150 - 225 magic damage on target',100,2,2),
(153818,87362,'Cannot be modified except by direct means',100,2,3),
(153819,10087362,'When Equipped:',100,0,0),
(153820,10087362,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153821,10087362,'Inflicts 195 - 292 magic damage on target',100,2,2),
(153822,10087362,'Cannot be modified except by direct means',100,2,3),
(153823,37393,'Increases STR of target by 0.4',100,0,0),
(153824,37393,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(153825,164336,'When Equipped:',100,0,0),
(153826,164336,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(153827,164336,'Stuns target',100,2,2),
(153828,164336,'Only affects targets level 125 and below',100,2,3),
(153829,164336,'Does not affect Epic targets',100,2,4),
(153830,164336,'Resistibility increases against targets higher than level 112.',100,2,5),
(153831,164336,'Cannot be modified except by direct means',100,2,6),
(153832,10164336,'When Equipped:',100,0,0),
(153833,10164336,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(153834,10164336,'Stuns target',100,2,2),
(153835,10164336,'Only affects targets level 125 and below',100,2,3),
(153836,10164336,'Does not affect Epic targets',100,2,4),
(153837,10164336,'Resistibility increases against targets higher than level 112.',100,2,5),
(153838,10164336,'Cannot be modified except by direct means',100,2,6),
(153839,74911,'When Equipped:',100,0,0),
(153840,74911,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153841,74911,'Inflicts 38 - 57 magic damage on target',100,2,2),
(153842,74911,'Cannot be modified except by direct means',100,2,3),
(153843,10074911,'When Equipped:',100,0,0),
(153844,10074911,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153845,10074911,'Inflicts 50 - 75 magic damage on target',100,2,2),
(153846,10074911,'Cannot be modified except by direct means',100,2,3),
(153847,161119,'When Equipped:',100,0,0),
(153848,161119,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(153849,161119,'Stuns target',100,2,2),
(153850,161119,'Only affects targets level 95 and below',100,2,3),
(153851,161119,'Does not affect Epic targets',100,2,4),
(153852,161119,'Resistibility increases against targets higher than level 112.',100,2,5),
(153853,161119,'Cannot be modified except by direct means',100,2,6),
(153854,10161119,'When Equipped:',100,0,0),
(153855,10161119,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(153856,10161119,'Stuns target',100,2,2),
(153857,10161119,'Only affects targets level 95 and below',100,2,3),
(153858,10161119,'Does not affect Epic targets',100,2,4),
(153859,10161119,'Resistibility increases against targets higher than level 112.',100,2,5),
(153860,10161119,'Cannot be modified except by direct means',100,2,6),
(153861,178866,'When Equipped:',100,0,0),
(153862,178866,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(153863,10178866,'When Equipped:',100,0,0),
(153864,10178866,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(153865,109159,'Roots target',100,1,0),
(153866,109159,'Applies Blind.  Lasts for 4.0 seconds.',100,1,1),
(153867,109159,'Dazes target',100,2,2),
(153868,109159,'Blurs vision of target',100,2,3),
(153869,109159,'Dispelled when target takes damage',100,2,4),
(153870,109159,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(153871,109159,'5% chance to dispel when target takes damage',100,1,6),
(153872,109159,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,7),
(153873,109159,'Resistibility increases against targets higher than level 34.',100,1,8),
(153874,10109159,'Roots target',100,1,0),
(153875,10109159,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(153876,10109159,'Dazes target',100,2,2),
(153877,10109159,'Blurs vision of target',100,2,3),
(153878,10109159,'Dispelled when target takes damage',100,2,4),
(153879,10109159,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(153880,10109159,'5% chance to dispel when target takes damage',100,1,6),
(153881,10109159,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(153882,10109159,'Resistibility increases against targets higher than level 34.',100,1,8),
(153883,100873,'Makes target afraid',100,1,0),
(153884,100873,'30% chance to dispel when target takes damage',100,1,1),
(153885,100873,'Does not affect Epic targets',100,1,2),
(153886,100873,'Resistibility increases against targets higher than level 82.',100,1,3),
(153887,10100873,'Makes target afraid',100,1,0),
(153888,10100873,'30% chance to dispel when target takes damage',100,1,1),
(153889,10100873,'Does not affect Epic targets',100,1,2),
(153890,10100873,'Resistibility increases against targets higher than level 82.',100,1,3),
(153891,118204,'Increases Damage Per Second of group members (AE) by 16.4',100,1,0),
(153892,10118204,'Increases Damage Per Second of group members (AE) by 16.4',100,1,0),
(153893,80456,'When Equipped:',100,0,0),
(153894,80456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153895,80456,'Inflicts 60 - 112 magic damage on target',100,2,2),
(153896,80456,'Cannot be modified except by direct means',100,2,3),
(153897,10080456,'When Equipped:',100,0,0),
(153898,10080456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153899,10080456,'Inflicts 78 - 145 magic damage on target',100,2,2),
(153900,10080456,'Cannot be modified except by direct means',100,2,3),
(153901,117608,'Inflicts 229 - 383 ranged damage on target',100,1,0),
(153902,117608,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(153903,117608,'Slows target by 46.2%',100,2,2),
(153904,117608,'5% chance to dispel when target receives hostile action',100,2,3),
(153905,117608,'5% chance to dispel when target takes damage',100,2,4),
(153906,117608,'Must be flanking or behind',100,1,5),
(153907,117608,'Requires bow',100,1,6),
(153908,10117608,'Inflicts 195 - 325 ranged damage on target',100,1,0),
(153909,10117608,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(153910,10117608,'Slows target by 46.2%',100,2,2),
(153911,10117608,'5% chance to dispel when target receives hostile action',100,2,3),
(153912,10117608,'5% chance to dispel when target takes damage',100,2,4),
(153913,10117608,'Must be flanking or behind',100,1,5),
(153914,10117608,'Requires bow',100,1,6),
(153915,112494,'Decreases AGI and WIS of target by 98.6',100,1,0),
(153916,10112494,'Decreases AGI and WIS of target by 98.6',100,1,0),
(153917,115185,'Heals target for 428 - 523',100,1,0),
(153918,10115185,'Heals target for 579 - 708',100,1,0),
(153919,122532,'Heals caster for 45',100,1,0),
(153920,122532,'Inflicts 106 - 176 melee damage on target',100,1,1),
(153921,10122532,'Heals caster for 29',100,1,0),
(153922,10122532,'Inflicts 137 - 229 melee damage on target',100,1,1),
(153923,148978,'When Equipped:',100,0,0),
(153924,148978,'Increases poison trigger chance by 3.0%',100,1,1),
(153925,10148978,'When Equipped:',100,0,0),
(153926,10148978,'Increases poison trigger chance by 3.0%',100,1,1),
(153927,138298,'When Equipped:',100,0,0),
(153928,138298,'On a combat hit this spell may cast Essence of Hatred on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(153929,138298,'Inflicts 1135 - 1387 piercing damage on target',100,2,2),
(153930,138298,'Increases Multi Attack Chance of caster by 10.0',100,2,3),
(153931,138298,'Increases Crit Chance of caster by 10.0',100,2,4),
(153932,138298,'Cannot be modified except by direct means',100,2,5),
(153933,138298,'Cannot be modified except by direct means',100,1,6),
(153934,10138298,'When Equipped:',100,0,0),
(153935,10138298,'On a combat hit this spell may cast Essence of Hatred on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(153936,10138298,'Inflicts 1254 - 1532 piercing damage on target',100,2,2),
(153937,10138298,'Increases Crit Chance of caster by 10.0',100,2,3),
(153938,10138298,'Increases Multi Attack Chance of caster by 10.0',100,2,4),
(153939,10138298,'Cannot be modified except by direct means',100,2,5),
(153940,10138298,'Cannot be modified except by direct means',100,1,6),
(153941,106714,'Heals target for 265 - 324',100,1,0),
(153942,10106714,'Heals target for 312 - 381',100,1,0),
(153943,80912,'When Equipped:',100,0,0),
(153944,80912,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153945,80912,'Inflicts 259 - 481 magic damage on target',100,2,2),
(153946,80912,'Cannot be modified except by direct means',100,2,3),
(153947,10080912,'When Equipped:',100,0,0),
(153948,10080912,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153949,10080912,'Inflicts 337 - 625 magic damage on target',100,2,2),
(153950,10080912,'Cannot be modified except by direct means',100,2,3),
(153951,107857,'Decreases Mitigation of target vs elemental damage by 740',100,1,0),
(153952,107857,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(153953,107857,'Slows target by 37.4%',100,2,2),
(153954,107857,'5% chance to dispel when target receives hostile action',100,2,3),
(153955,107857,'5% chance to dispel when target takes damage',100,2,4),
(153956,10107857,'Decreases Mitigation of target vs elemental damage by 740',100,1,0),
(153957,10107857,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(153958,10107857,'Slows target by 37.4%',100,2,2),
(153959,10107857,'5% chance to dispel when target receives hostile action',100,2,3),
(153960,10107857,'5% chance to dispel when target takes damage',100,2,4),
(153961,123446,'Shapechanges caster into a bear',100,1,0),
(153962,123446,'Increases WIS of caster by 38.4',100,1,1),
(153963,123446,'Grants See Stealth to caster',100,1,2),
(153964,123446,'Increases Max Health of caster by 103.2',100,1,3),
(153965,123446,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 570',100,1,4),
(153966,10123446,'Shapechanges caster into a bear',100,1,0),
(153967,10123446,'Increases WIS of caster by 38.4',100,1,1),
(153968,10123446,'Grants See Stealth to caster',100,1,2),
(153969,10123446,'Increases Max Health of caster by 103.2',100,1,3),
(153970,10123446,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 570',100,1,4),
(153971,122888,'Summons a companion pet baby dragon',100,1,0),
(153972,10122888,'Summons a companion pet baby dragon',100,1,0),
(153973,141778,'When Equipped:',100,0,0),
(153974,141778,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(153975,141778,'Increases STR of caster by 11.9',100,2,2),
(153976,141778,'Increases Damage Per Second of caster by 17.0',100,2,3),
(153977,141778,'Cannot be modified except by direct means',100,2,4),
(153978,10141778,'When Equipped:',100,0,0),
(153979,10141778,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(153980,10141778,'Increases STR of caster by 11.9',100,2,2),
(153981,10141778,'Increases Damage Per Second of caster by 17.0',100,2,3),
(153982,10141778,'Cannot be modified except by direct means',100,2,4),
(153983,45810,'Applies Crystal Gift when Activated.',100,0,0),
(153984,45810,'Increases power of caster by 500',100,1,1),
(153985,45810,'Requires 825 Health to cast.',100,1,2),
(153986,10045810,'Applies Crystal Gift when Activated.',100,0,0),
(153987,10045810,'Increases power of caster by 500',100,1,1),
(153988,10045810,'Requires 825 Health to cast.',100,1,2),
(153989,118967,'Applies Sacrifice.',100,1,0),
(153990,118967,'Heals group members (AE) for 846',100,2,1),
(153991,118967,'Increases power of group members (AE) by 242',100,2,2),
(153992,118967,'Stuns target',100,1,3),
(153993,10118967,'Applies Sacrifice.',100,1,0),
(153994,10118967,'Increases power of group members (AE) by 242',100,2,1),
(153995,10118967,'Heals group members (AE) for 1178',100,2,2),
(153996,10118967,'Stuns target',100,1,3),
(153997,74945,'When Equipped:',100,0,0),
(153998,74945,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(153999,74945,'Inflicts 136 - 203 magic damage on target',100,2,2),
(154000,74945,'Cannot be modified except by direct means',100,2,3),
(154001,10074945,'When Equipped:',100,0,0),
(154002,10074945,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154003,10074945,'Inflicts 176 - 264 magic damage on target',100,2,2),
(154004,10074945,'Cannot be modified except by direct means',100,2,3),
(154005,122385,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(154006,122385,'Inflicts 4 - 5 piercing damage on target encounter',100,2,1),
(154007,10122385,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(154008,10122385,'Inflicts 5 - 6 piercing damage on target encounter',100,2,1),
(154009,109857,'Increases Defense of group members (AE) by 11.5',100,1,0),
(154010,10109857,'Increases Defense of group members (AE) by 11.5',100,1,0),
(154011,113212,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(154012,113212,'Inflicts 121 magic damage on target',100,2,1),
(154013,113212,'Grants a total of 5 triggers of the spell.',100,2,2),
(154014,10113212,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(154015,10113212,'Inflicts 158 magic damage on target',100,2,1),
(154016,10113212,'Grants a total of 5 triggers of the spell.',100,2,2),
(154017,110878,'Inflicts 371 - 454 heat damage on target encounter',100,1,0),
(154018,10110878,'Inflicts 483 - 590 heat damage on target encounter',100,1,0),
(154019,36158,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(154020,41354,'When Equipped:',100,0,0),
(154021,41354,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154022,41354,'Inflicts 320 - 594 heat damage on target',100,2,2),
(154023,41354,'Cannot be modified except by direct means',100,2,3),
(154024,10041354,'When Equipped:',100,0,0),
(154025,10041354,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154026,10041354,'Inflicts 416 - 773 heat damage on target',100,2,2),
(154027,10041354,'Cannot be modified except by direct means',100,2,3),
(154028,100535,'Heals group members (AE) for 344 - 421',100,1,0),
(154029,10100535,'Heals group members (AE) for 418 - 511',100,1,0),
(154030,46828,'Applies Whistle Up A Storm when Activated.',100,0,0),
(154031,46828,'Increases Focus of caster by 5.0',100,1,1),
(154032,46828,'Summons a mount to ride',100,1,2),
(154033,46828,'Increases your ground speed by 135%',100,2,3),
(154034,46828,'Reduces maximum falling speed of caster',100,1,4),
(154035,46828,'Increases Ranged, Crushing, Ministration, Ordination, Disruption, Slashing, Piercing, Subjugation and Aggression of caster by 5.0',100,1,5),
(154036,10046828,'Applies Whistle Up A Storm when Activated.',100,0,0),
(154037,10046828,'Increases Focus of caster by 5.0',100,1,1),
(154038,10046828,'Summons a mount to ride',100,1,2),
(154039,10046828,'Increases your ground speed by 135%',100,2,3),
(154040,10046828,'Reduces maximum falling speed of caster',100,1,4),
(154041,10046828,'Increases Ranged, Crushing, Ministration, Ordination, Disruption, Slashing, Piercing, Subjugation and Aggression of caster by 5.0',100,1,5),
(154042,102396,'Inflicts 514 - 956 melee damage on targets in area',100,1,0),
(154043,10102396,'Inflicts 669 - 1242 melee damage on targets in area',100,1,0),
(154044,46002,'Applies Leash when Activated.',100,0,0),
(154045,46002,'Updates a specific part of the Quest \"Mournful Baying\"',100,1,1),
(154046,10046002,'Applies Leash when Activated.',100,0,0),
(154047,10046002,'Updates a specific part of the Quest \"Mournful Baying\"',100,1,1),
(154048,102206,'Increases Mitigation of group members (AE) vs physical damage by 936',100,1,0),
(154049,10102206,'Increases Mitigation of group members (AE) vs physical damage by 936',100,1,0),
(154050,26475,'When Equipped:',100,0,0),
(154051,26475,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(154052,26475,'Inflicts 266 disease damage on target',100,2,2),
(154053,26475,'Cancels up to 11.8% of target''s speed buffs',100,2,3),
(154054,26475,'Cannot be modified except by direct means',100,2,4),
(154055,10026475,'When Equipped:',100,0,0),
(154056,10026475,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(154057,10026475,'Inflicts 346 disease damage on target',100,2,2),
(154058,10026475,'Cancels up to 11.8% of target''s speed buffs',100,2,3),
(154059,10026475,'Cannot be modified except by direct means',100,2,4),
(154060,177639,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(154061,177639,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(154062,177639,'Inflicts 97 heat damage on target',100,2,2),
(154063,177639,'Cannot be modified except by direct means',100,2,3),
(154064,10177639,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(154065,10177639,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(154066,10177639,'Inflicts 126 heat damage on target',100,2,2),
(154067,10177639,'Cannot be modified except by direct means',100,2,3),
(154068,140489,'When Equipped:',100,0,0),
(154069,140489,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(154070,140489,'Increases power of caster by 604',100,2,2),
(154071,140489,'Cannot be modified except by direct means',100,2,3),
(154072,10140489,'When Equipped:',100,0,0),
(154073,10140489,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(154074,10140489,'Increases power of caster by 604',100,2,2),
(154075,10140489,'Cannot be modified except by direct means',100,2,3),
(154076,100676,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(154077,100676,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(154078,100676,'Wards caster against 585 points of all damage',100,3,2),
(154079,100676,'Heals caster for 457',100,3,3),
(154080,100676,'Summons a limited pet to aid the caster',100,2,4),
(154081,100676,'Grants a total of 1 trigger of the spell.',100,2,5),
(154082,10100676,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(154083,10100676,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(154084,10100676,'Wards caster against 585 points of all damage',100,3,2),
(154085,10100676,'Heals caster for 297',100,3,3),
(154086,10100676,'Summons a limited pet to aid the caster',100,2,4),
(154087,10100676,'Grants a total of 1 trigger of the spell.',100,2,5),
(154088,102253,'Inflicts 91 - 151 melee damage on targets in area',100,1,0),
(154089,10102253,'Inflicts 118 - 197 melee damage on targets in area',100,1,0),
(154090,45947,'Applies Diamond Dust when Activated.',100,0,0),
(154091,10045947,'Applies Diamond Dust when Activated.',100,0,0),
(154092,75454,'When Equipped:',100,0,0),
(154093,75454,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(154094,75454,'Reduces healing received by 15.00%',100,2,2),
(154095,75454,'Cannot be modified except by direct means',100,2,3),
(154096,75454,'This effect can only trigger once every 1 second.',100,2,4),
(154097,75454,'Must be engaged in pvp combat',100,1,5),
(154098,10075454,'When Equipped:',100,0,0),
(154099,10075454,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(154100,10075454,'Reduces healing received by 15.00%',100,2,2),
(154101,10075454,'Cannot be modified except by direct means',100,2,3),
(154102,10075454,'This effect can only trigger once every 1 second.',100,2,4),
(154103,10075454,'Must be engaged in pvp combat',100,1,5),
(154104,159389,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(154105,159389,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(154106,159389,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(154107,159389,'Cannot be modified except by direct means',100,2,3),
(154108,10159389,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(154109,10159389,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(154110,10159389,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(154111,10159389,'Cannot be modified except by direct means',100,2,3),
(154112,35687,'Increases Max Power of target by 3.3',100,0,0),
(154113,35687,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(154114,101353,'Reduces physical damage done to caster by 5%',100,1,0),
(154115,101353,'Adds 2.1% to base avoidance.',100,1,1),
(154116,101353,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(154117,101353,'Increases Aggression of caster by 5.0',100,1,3),
(154118,101353,'Increases Defense and Parry of caster by 8.1',100,1,4),
(154119,101353,'Increases Mitigation of caster vs noxious and arcane damage by 53',100,1,5),
(154120,101353,'Increases Mitigation of caster vs elemental damage by 532',100,1,6),
(154121,101353,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(154122,10101353,'Reduces physical damage done to caster by 5%',100,1,0),
(154123,10101353,'Adds 2.1% to base avoidance.',100,1,1),
(154124,10101353,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(154125,10101353,'Increases Aggression of caster by 5.0',100,1,3),
(154126,10101353,'Increases Defense and Parry of caster by 8.1',100,1,4),
(154127,10101353,'Increases Mitigation of caster vs noxious and arcane damage by 53',100,1,5),
(154128,10101353,'Increases Mitigation of caster vs elemental damage by 532',100,1,6),
(154129,10101353,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(154130,119166,'Inflicts 219 disease damage on target every 3 seconds',100,1,0),
(154131,119166,'Inflicts 1095 - 1825 melee damage on target',100,1,1),
(154132,119166,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(154133,119166,'Inflicts 438 disease damage on target every 3 seconds',100,2,3),
(154134,119166,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(154135,119166,'Inflicts 657 disease damage on target every 3 seconds',100,3,5),
(154136,119166,'You must be sneaking to use this ability.',100,1,6),
(154137,119166,'Must be behind',100,1,7),
(154138,10119166,'Inflicts 285 disease damage on target every 3 seconds',100,1,0),
(154139,10119166,'Inflicts 1424 - 2373 melee damage on target',100,1,1),
(154140,10119166,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(154141,10119166,'Inflicts 570 disease damage on target every 3 seconds',100,2,3),
(154142,10119166,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(154143,10119166,'Inflicts 855 disease damage on target every 3 seconds',100,3,5),
(154144,10119166,'You must be sneaking to use this ability.',100,1,6),
(154145,10119166,'Must be behind',100,1,7),
(154146,41543,'When Equipped:',100,0,0),
(154147,41543,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(154148,41543,'Inflicts 167 - 311 magic damage on target',100,2,2),
(154149,41543,'Decreases Threat to target by 376 ',100,2,3),
(154150,41543,'Must be flanking or behind',100,3,4),
(154151,41543,'Increases Threat to target by 376 ',100,2,5),
(154152,41543,'Must be in front of',100,3,6),
(154153,41543,'Cannot be modified except by direct means',100,2,7),
(154154,10041543,'When Equipped:',100,0,0),
(154155,10041543,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(154156,10041543,'Inflicts 217 - 404 magic damage on target',100,2,2),
(154157,10041543,'Cannot be modified except by direct means',100,2,3),
(154158,159232,'Applies Lambent Imbued when Equipped.',100,0,0),
(154159,159232,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(154160,159232,'Heals target for 70 instantly and every 4 seconds',100,2,2),
(154161,159232,'Cannot be modified except by direct means',100,2,3),
(154162,10159232,'Applies Lambent Imbued when Equipped.',100,0,0),
(154163,10159232,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(154164,10159232,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(154165,10159232,'Cannot be modified except by direct means',100,2,3),
(154166,108493,'Inflicts 33 - 56 melee damage on target',100,1,0),
(154167,10108493,'Inflicts 43 - 73 melee damage on target',100,1,0),
(154168,24677,'Adds Boss: Sarnak (Warlock) to your Dungeon Maker toolbox',100,0,0),
(154169,10024677,'Adds Boss: Sarnak (Warlock) to your Dungeon Maker toolbox',100,0,0),
(154170,112261,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(154171,112261,'Decreases power of target by 296',100,2,1),
(154172,112261,'Increases power of caster by 174',100,2,2),
(154173,10112261,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(154174,10112261,'Decreases power of target by 296',100,2,1),
(154175,10112261,'Increases power of caster by 140',100,2,2),
(154176,79827,'When Equipped:',100,0,0),
(154177,79827,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(154178,79827,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(154179,79827,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(154180,79827,'Applies Energize.  Lasts for 12.0 seconds.',100,2,4),
(154181,79827,'Heals group members (AE) for 1458 instantly and every 4 seconds',100,3,5),
(154182,79827,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,6),
(154183,79827,'Cannot be modified except by direct means',100,3,7),
(154184,79827,'Must not be engaged in pvp combat',100,2,8),
(154185,79827,'Cannot be modified except by direct means',100,2,9),
(154186,79827,'Must not be engaged in pvp combat',100,1,10),
(154187,10079827,'When Equipped:',100,0,0),
(154188,10079827,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(154189,10079827,'Inflicts 6926 heat damage on target instantly and every 4 seconds',100,2,2),
(154190,10079827,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(154191,10079827,'Applies Energize.  Lasts for 12.0 seconds.',100,2,4),
(154192,10079827,'Heals group members (AE) for 1706 instantly and every 4 seconds',100,3,5),
(154193,10079827,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,6),
(154194,10079827,'Cannot be modified except by direct means',100,3,7),
(154195,10079827,'Must not be engaged in pvp combat',100,2,8),
(154196,10079827,'Cannot be modified except by direct means',100,2,9),
(154197,10079827,'Must not be engaged in pvp combat',100,1,10),
(154198,110237,'Inflicts 97 - 163 melee damage on target',100,1,0),
(154199,110237,'Slows target by 55.0%',100,1,1),
(154200,110237,'5% chance to dispel when target receives hostile action',100,1,2),
(154201,110237,'5% chance to dispel when target takes damage',100,1,3),
(154202,10110237,'Inflicts 127 - 212 melee damage on target',100,1,0),
(154203,10110237,'Slows target by 55.0%',100,1,1),
(154204,10110237,'5% chance to dispel when target receives hostile action',100,1,2),
(154205,10110237,'5% chance to dispel when target takes damage',100,1,3),
(154206,26397,'When Equipped:',100,0,0),
(154207,26397,'Increases In-Combat Health Regeneration of caster by 2.0',100,1,1),
(154208,10026397,'When Equipped:',100,0,0),
(154209,10026397,'Increases In-Combat Health Regeneration of caster by 2.0',100,1,1),
(154210,81788,'When Equipped:',100,0,0),
(154211,81788,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154212,81788,'Inflicts 164 - 305 magic damage on target',100,2,2),
(154213,81788,'Cannot be modified except by direct means',100,2,3),
(154214,10081788,'When Equipped:',100,0,0),
(154215,10081788,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154216,10081788,'Inflicts 213 - 396 magic damage on target',100,2,2),
(154217,10081788,'Cannot be modified except by direct means',100,2,3),
(154218,114610,'Decreases WIS of target by 6.2',100,1,0),
(154219,114610,'Inflicts 18 - 31 melee damage on target',100,1,1),
(154220,114610,'You must be sneaking to use this ability.',100,1,2),
(154221,10114610,'Decreases WIS of target by 6.2',100,1,0),
(154222,10114610,'Inflicts 24 - 40 melee damage on target',100,1,1),
(154223,10114610,'You must be sneaking to use this ability.',100,1,2),
(154224,158674,'When Equipped:',100,0,0),
(154225,158674,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(154226,158674,'Increases Potency of group members by 5.0%',100,2,2),
(154227,158674,'Cannot be modified except by direct means',100,2,3),
(154228,158674,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(154229,158674,'Increases Potency of group members by 5.0%',100,2,5),
(154230,158674,'Cannot be modified except by direct means',100,2,6),
(154231,158674,'Cannot be modified except by direct means',100,1,7),
(154232,158674,'When Equipped:',100,0,8),
(154233,158674,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,9),
(154234,158674,'Wards caster against 2000 points of all damage',100,2,10),
(154235,158674,'Cannot be modified except by direct means',100,2,11),
(154236,158674,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,12),
(154237,158674,'Wards caster against 2000 points of all damage',100,2,13),
(154238,158674,'Cannot be modified except by direct means',100,2,14),
(154239,10158674,'When Equipped:',100,0,0),
(154240,10158674,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(154241,10158674,'Increases Potency of group members by 5.0%',100,2,2),
(154242,10158674,'Cannot be modified except by direct means',100,2,3),
(154243,10158674,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(154244,10158674,'Increases Potency of group members by 5.0%',100,2,5),
(154245,10158674,'Cannot be modified except by direct means',100,2,6),
(154246,10158674,'Cannot be modified except by direct means',100,1,7),
(154247,10158674,'When Equipped:',100,0,8),
(154248,10158674,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,9),
(154249,10158674,'Wards caster against 1000 points of all damage',100,2,10),
(154250,10158674,'Cannot be modified except by direct means',100,2,11),
(154251,10158674,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,12),
(154252,10158674,'Wards caster against 1000 points of all damage',100,2,13),
(154253,10158674,'Cannot be modified except by direct means',100,2,14),
(154254,36691,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(154255,37535,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(154256,41712,'When Equipped:',100,0,0),
(154257,41712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154258,41712,'Inflicts 148 - 274 magic damage on target',100,2,2),
(154259,41712,'Cannot be modified except by direct means',100,2,3),
(154260,10041712,'When Equipped:',100,0,0),
(154261,10041712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154262,10041712,'Inflicts 192 - 356 magic damage on target',100,2,2),
(154263,10041712,'Cannot be modified except by direct means',100,2,3),
(154264,104374,'Inflicts 130 - 159 cold damage on target',100,1,0),
(154265,104374,'Inflicts 130 - 159 cold damage on target',100,1,1),
(154266,104374,'If target is elemental',100,2,2),
(154267,10104374,'Inflicts 169 - 207 cold damage on target',100,1,0),
(154268,10104374,'Inflicts 169 - 207 cold damage on target',100,1,1),
(154269,10104374,'If target is elemental',100,2,2),
(154270,115784,'Inflicts 539 - 899 melee damage on target',100,1,0),
(154271,10115784,'Inflicts 701 - 1169 melee damage on target',100,1,0),
(154272,114724,'Grants target a 55% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(154273,114724,'Decreases Hate Gain of target by 36.2%',100,1,1),
(154274,10114724,'Grants target a 55% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(154275,113373,'Applies Stifle.  Lasts for 7.0 seconds.',100,1,0),
(154276,113373,'Stifles target',100,2,1),
(154277,113373,'Blurs vision of target',100,2,2),
(154278,113373,'Dispelled when target takes damage',100,2,3),
(154279,113373,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,4),
(154280,113373,'Resistibility increases against targets higher than level 76.',100,2,5),
(154281,113373,'Roots target',100,1,6),
(154282,113373,'5% chance to dispel when target takes damage',100,1,7),
(154283,113373,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,8),
(154284,113373,'Resistibility increases against targets higher than level 76.',100,1,9),
(154285,10113373,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(154286,10113373,'Blurs vision of target',100,2,1),
(154287,10113373,'Stifles target',100,2,2),
(154288,10113373,'Dispelled when target takes damage',100,2,3),
(154289,10113373,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(154290,10113373,'Resistibility increases against targets higher than level 76.',100,2,5),
(154291,10113373,'Roots target',100,1,6),
(154292,10113373,'5% chance to dispel when target takes damage',100,1,7),
(154293,10113373,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(154294,10113373,'Resistibility increases against targets higher than level 76.',100,1,9),
(154295,109382,'Inflicts 227 - 682 melee damage on target',100,1,0),
(154296,109382,'Inflicts 284 - 852 melee damage on target',100,1,1),
(154297,109382,'Inflicts 341 - 1023 melee damage on target',100,1,2),
(154298,10109382,'Inflicts 295 - 886 melee damage on target',100,1,0),
(154299,10109382,'Inflicts 369 - 1108 melee damage on target',100,1,1),
(154300,10109382,'Inflicts 443 - 1330 melee damage on target',100,1,2),
(154301,150128,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(154302,10150128,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(154303,106926,'Inflicts 116 - 215 poison damage on target',100,1,0),
(154304,10106926,'Inflicts 151 - 280 poison damage on target',100,1,0),
(154305,104963,'Inflicts 1481 - 2468 melee damage on target',100,1,0),
(154306,104963,'Decreases Defense of target by 53.6',100,1,1),
(154307,104963,'Must be behind',100,1,2),
(154308,10104963,'Inflicts 1925 - 3209 melee damage on target',100,1,0),
(154309,10104963,'Decreases Defense of target by 53.6',100,1,1),
(154310,10104963,'Must be behind',100,1,2),
(154311,72838,'When Equipped:',100,0,0),
(154312,72838,'On a combat hit this spell may cast Inviscerate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154313,72838,'Inflicts 129 - 157 crushing damage on target',100,2,2),
(154314,72838,'Cannot be modified except by direct means',100,2,3),
(154315,10072838,'When Equipped:',100,0,0),
(154316,10072838,'On a combat hit this spell may cast Inviscerate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154317,10072838,'Inflicts 167 - 204 crushing damage on target',100,2,2),
(154318,10072838,'Cannot be modified except by direct means',100,2,3),
(154319,117898,'Increases In-Combat Health Regeneration of group members (AE) by 46.2',100,1,0),
(154320,117898,'Increases Max Health of group members (AE) by 242.2',100,1,1),
(154321,10117898,'Increases In-Combat Health Regeneration of group members (AE) by 46.2',100,1,0),
(154322,10117898,'Increases Max Health of group members (AE) by 242.2',100,1,1),
(154323,120916,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(154324,120916,'Inflicts 238 - 291 mental damage on target',100,2,1),
(154325,120916,'Grants a total of 3 triggers of the spell.',100,2,2),
(154326,10120916,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(154327,10120916,'Inflicts 310 - 379 mental damage on target',100,2,1),
(154328,10120916,'Grants a total of 3 triggers of the spell.',100,2,2),
(154329,123953,'Inflicts 21 - 36 melee damage on target',100,1,0),
(154330,123953,'Decreases AGI of target by 7.8',100,1,1),
(154331,123953,'Must be behind',100,1,2),
(154332,10123953,'Inflicts 28 - 47 melee damage on target',100,1,0),
(154333,10123953,'Decreases AGI of target by 7.8',100,1,1),
(154334,10123953,'Must be behind',100,1,2),
(154335,45529,'Applies Clockwork Owlbear when Activated.',100,0,0),
(154336,45529,'Summons a pet clockwork owlbear',100,1,1),
(154337,45529,'Dispelled when target takes damage',100,1,2),
(154338,10045529,'Applies Clockwork Owlbear when Activated.',100,0,0),
(154339,10045529,'Summons a pet clockwork owlbear',100,1,1),
(154340,10045529,'Dispelled when target takes damage',100,1,2),
(154341,124451,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(154342,124451,'Inflicts 242 - 403 melee damage on target',100,2,1),
(154343,124451,'Decreases Defense of caster by 17.7',100,1,2),
(154344,124451,'Increases Slashing, Piercing, Ranged and Crushing of caster by 25.2',100,1,3),
(154345,10124451,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(154346,10124451,'Inflicts 314 - 524 melee damage on target',100,2,1),
(154347,10124451,'Decreases Defense of caster by 17.7',100,1,2),
(154348,10124451,'Increases Slashing, Piercing, Ranged and Crushing of caster by 25.2',100,1,3),
(154349,47734,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(154350,47734,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(154351,47734,'Inflicts 234 poison damage on target instantly and every 4 seconds',100,2,2),
(154352,47734,'Cannot be modified except by direct means',100,2,3),
(154353,47734,'Grants a total of 100 triggers of the spell.',100,2,4),
(154354,10047734,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(154355,10047734,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(154356,10047734,'Inflicts 228 poison damage on target instantly and every 4 seconds',100,2,2),
(154357,10047734,'Cannot be modified except by direct means',100,2,3),
(154358,10047734,'Grants a total of 100 triggers of the spell.',100,2,4),
(154359,105326,'Inflicts 98 - 163 melee damage on target',100,1,0),
(154360,105326,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 139',100,1,1),
(154361,105326,'Must be flanking or behind',100,1,2),
(154362,10105326,'Inflicts 127 - 212 melee damage on target',100,1,0),
(154363,10105326,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 139',100,1,1),
(154364,10105326,'Must be flanking or behind',100,1,2),
(154365,70563,'When Equipped:',100,0,0),
(154366,70563,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154367,70563,'Inflicts 278 cold damage on target',100,2,2),
(154368,70563,'Cannot be modified except by direct means',100,2,3),
(154369,10070563,'When Equipped:',100,0,0),
(154370,10070563,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154371,10070563,'Inflicts 362 cold damage on target',100,2,2),
(154372,10070563,'Cannot be modified except by direct means',100,2,3),
(154373,105046,'Inflicts 55 - 91 divine damage on targets in Area of Effect',100,1,0),
(154374,10105046,'Inflicts 71 - 118 divine damage on targets in Area of Effect',100,1,0),
(154375,103543,'Increases In-Combat Power Regeneration of group members (AE) by 10.8',100,1,0),
(154376,10103543,'Increases In-Combat Power Regeneration of group members (AE) by 10.8',100,1,0),
(154377,181688,'When Equipped:',100,0,0),
(154378,181688,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(154379,10181688,'When Equipped:',100,0,0),
(154380,10181688,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(154381,100164,'Inflicts 473 - 878 disease damage on target encounter',100,1,0),
(154382,10100164,'Inflicts 615 - 1141 disease damage on target encounter',100,1,0),
(154383,153800,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(154384,153800,'Increases Hate Gain of caster by 15.0%',100,1,1),
(154385,153800,'Must not be engaged in pvp combat',100,1,2),
(154386,153800,'Cannot be modified except by direct means',100,1,3),
(154387,153800,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(154388,153800,'When Equipped:',100,0,5),
(154389,153800,'On a critical combat hit this spell may cast Intimidating Rush on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(154390,153800,'Increases Threat to target by 95 - 105 ',100,2,7),
(154391,153800,'If over 80% Health',100,3,8),
(154392,153800,'Must not be engaged in pvp combat',100,2,9),
(154393,153800,'Cannot be modified except by direct means',100,2,10),
(154394,153800,'On a critical spell hit this spell may cast Intimidating Rush on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(154395,153800,'Increases Threat to target by 95 - 105 ',100,2,12),
(154396,153800,'If over 80% Health',100,3,13),
(154397,153800,'Must not be engaged in pvp combat',100,2,14),
(154398,153800,'Cannot be modified except by direct means',100,2,15),
(154399,153800,'Must not be engaged in pvp combat',100,1,16),
(154400,10153800,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(154401,10153800,'Must not be engaged in pvp combat',100,1,1),
(154402,10153800,'Cannot be modified except by direct means',100,1,2),
(154403,10153800,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(154404,10153800,'When Equipped:',100,0,4),
(154405,10153800,'On a critical combat hit this spell may cast Intimidating Rush on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(154406,10153800,'Must not be engaged in pvp combat',100,2,6),
(154407,10153800,'Cannot be modified except by direct means',100,2,7),
(154408,10153800,'On a critical spell hit this spell may cast Intimidating Rush on target of spell.  Triggers about 2.0 times per minute. ',100,1,8),
(154409,10153800,'Must not be engaged in pvp combat',100,2,9),
(154410,10153800,'Cannot be modified except by direct means',100,2,10),
(154411,10153800,'Must not be engaged in pvp combat',100,1,11),
(154412,117967,'Heals target for 505 - 617',100,1,0),
(154413,117967,'Increases Max Health of target by 75.0',100,1,1),
(154414,10117967,'Heals target for 579 - 708',100,1,0),
(154415,10117967,'Increases Max Health of target by 75.0',100,1,1),
(154416,40204,'When Equipped:',100,0,0),
(154417,40204,'This effect will not stack with any rank or tier of itself.',100,1,1),
(154418,40204,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,2),
(154419,40204,'Increases Attack Speed of caster by 4.5',100,1,3),
(154420,40204,'Increases Damage Per Second of caster by 11.0',100,1,4),
(154421,40204,'Cannot be modified except by direct means',100,1,5),
(154422,10040204,'When Equipped:',100,0,0),
(154423,10040204,'This effect will not stack with any rank or tier of itself.',100,1,1),
(154424,10040204,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,2),
(154425,10040204,'Increases Attack Speed of caster by 4.5',100,1,3),
(154426,10040204,'Increases Damage Per Second of caster by 11.0',100,1,4),
(154427,10040204,'Cannot be modified except by direct means',100,1,5),
(154428,121260,'Inflicts 1374 - 1680 heat damage on target encounter',100,1,0),
(154429,10121260,'Inflicts 1787 - 2184 heat damage on target encounter',100,1,0),
(154430,114898,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(154434,10122697,'Decreases Slashing, Crushing and Piercing of caster by 1.8',100,1,0),
(154435,10122697,'Increases Defense and Parry of caster by 2.5',100,1,1),
(154436,10122697,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(154437,101251,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(154438,101251,'Inflicts 221 - 369 mental damage on target',100,2,1),
(154439,10101251,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(154440,10101251,'Inflicts 288 - 480 mental damage on target',100,2,1),
(154441,190876,'When Equipped:',100,0,0),
(154442,190876,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(154443,190876,'Stuns target',100,2,2),
(154444,190876,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(154445,190876,'Resistibility increases against targets higher than level 64.',100,2,4),
(154446,190876,'Cannot be modified except by direct means',100,2,5),
(154447,10190876,'When Equipped:',100,0,0),
(154448,10190876,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(154449,10190876,'Stuns target',100,2,2),
(154450,10190876,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(154451,10190876,'Resistibility increases against targets higher than level 64.',100,2,4),
(154452,10190876,'Cannot be modified except by direct means',100,2,5),
(154453,45313,'Applies Call Beryllium Armored Rhino with Pink Saddle when Activated.',100,0,0),
(154454,45313,'Summons a mount to ride',100,1,1),
(154455,45313,'Increases your ground speed by 130%',100,2,2),
(154456,45313,'Increases Max Health of caster by 150.0',100,1,3),
(154457,45313,'Increases Defense of caster by 5.0',100,1,4),
(154458,45313,'Increases Ranged, Piercing, Focus, Slashing and Crushing of caster by 7.0',100,1,5),
(154459,10045313,'Applies Call Beryllium Armored Rhino with Pink Saddle when Activated.',100,0,0),
(154460,10045313,'Summons a mount to ride',100,1,1),
(154461,10045313,'Increases your ground speed by 130%',100,2,2),
(154462,10045313,'Increases Max Health of caster by 150.0',100,1,3),
(154463,10045313,'Increases Defense of caster by 5.0',100,1,4),
(154464,10045313,'Increases Ranged, Piercing, Focus, Slashing and Crushing of caster by 7.0',100,1,5),
(154465,105702,'Decreases Attack Speed of target encounter by 25.3',100,1,0),
(154466,105702,'Slows target encounter by 33.3%',100,1,1),
(154467,10105702,'Decreases Attack Speed of target encounter by 25.3',100,1,0),
(154468,10105702,'Slows target encounter by 33.3%',100,1,1),
(154469,118531,'Inflicts 379 - 633 melee damage on target',100,1,0),
(154470,118531,'Decreases STR of target by 43.2',100,1,1),
(154471,118531,'You must be sneaking to use this ability.',100,1,2),
(154472,10118531,'Inflicts 493 - 823 melee damage on target',100,1,0),
(154473,10118531,'Decreases STR of target by 43.2',100,1,1),
(154474,10118531,'You must be sneaking to use this ability.',100,1,2),
(154475,122628,'Makes target afraid',100,1,0),
(154476,122628,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(154477,122628,'Mesmerizes target',100,2,2),
(154478,122628,'Decreases Threat to target by 1,768  instantly and Decreases Threat by 1,768  every 2.2 seconds thereafter',100,2,3),
(154479,122628,'Dispelled when target takes damage',100,2,4),
(154480,122628,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(154481,122628,'Resistibility increases against targets higher than level 104.',100,2,6),
(154482,122628,'30% chance to dispel when target takes damage',100,1,7),
(154483,122628,'Does not affect Epic targets',100,1,8),
(154484,122628,'Resistibility increases against targets higher than level 104.',100,1,9),
(154485,10122628,'Makes target afraid',100,1,0),
(154486,10122628,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(154487,10122628,'Mesmerizes target',100,2,2),
(154488,10122628,'Applies Distract.',100,2,3),
(154489,10122628,'Forces target to clear their selected target.',100,3,4),
(154490,10122628,'Dispelled when target takes damage',100,2,5),
(154491,10122628,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(154492,10122628,'Resistibility increases against targets higher than level 104.',100,2,7),
(154493,10122628,'30% chance to dispel when target takes damage',100,1,8),
(154494,10122628,'Does not affect Epic targets',100,1,9),
(154495,10122628,'Resistibility increases against targets higher than level 104.',100,1,10),
(154496,82841,'When Equipped:',100,0,0),
(154497,82841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154498,82841,'Inflicts 350 - 650 magic damage on target',100,2,2),
(154499,82841,'Cannot be modified except by direct means',100,2,3),
(154500,10082841,'When Equipped:',100,0,0),
(154501,10082841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154502,10082841,'Inflicts 455 - 845 magic damage on target',100,2,2),
(154503,10082841,'Cannot be modified except by direct means',100,2,3),
(154504,147042,'When Equipped:',100,0,0),
(154505,147042,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(154506,147042,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(154507,147042,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(154508,147042,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(154509,147042,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(154510,147042,'Must not be engaged in pvp combat',100,2,6),
(154511,147042,'Cannot be modified except by direct means',100,2,7),
(154512,147042,'Cannot be modified except by direct means',100,1,8),
(154513,10147042,'When Equipped:',100,0,0),
(154514,10147042,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(154515,10147042,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(154516,10147042,'Inflicts 1030 - 1139 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(154517,10147042,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(154518,10147042,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(154519,10147042,'Must not be engaged in pvp combat',100,2,6),
(154520,10147042,'Cannot be modified except by direct means',100,2,7),
(154521,10147042,'Cannot be modified except by direct means',100,1,8),
(154522,46624,'Applies Health Potion when Activated.',100,0,0),
(154523,46624,'Heals caster for 100.0% of max health',100,1,1),
(154524,46624,'This effect cannot be critically applied.',100,2,2),
(154525,46624,'Cannot be modified except by direct means',100,1,3),
(154526,10046624,'Applies Health Potion when Activated.',100,0,0),
(154527,10046624,'Heals caster for 117.0% of max health',100,1,1),
(154528,10046624,'This effect cannot be critically applied.',100,2,2),
(154529,10046624,'Cannot be modified except by direct means',100,1,3),
(154530,105993,'Inflicts 5 - 6 divine damage on target instantly and every 3 seconds',100,1,0),
(154531,105993,'Decreases Defense of target by 1.4',100,1,1),
(154532,10105993,'Inflicts 4 - 5 divine damage on target instantly and every 3 seconds',100,1,0),
(154533,10105993,'Decreases Defense of target by 1.4',100,1,1),
(154534,80964,'When Equipped:',100,0,0),
(154535,80964,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154536,80964,'Inflicts 259 - 481 magic damage on target',100,2,2),
(154537,80964,'Cannot be modified except by direct means',100,2,3),
(154538,10080964,'When Equipped:',100,0,0),
(154539,10080964,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154540,10080964,'Inflicts 337 - 625 magic damage on target',100,2,2),
(154541,10080964,'Cannot be modified except by direct means',100,2,3),
(154542,113708,'Stuns target',100,1,0),
(154543,113708,'If Target is not Epic',100,2,1),
(154544,113708,'Inflicts 2222 - 3703 heat damage on target',100,1,2),
(154545,113708,'Resistibility increases against targets higher than level 121.',100,1,3),
(154546,10113708,'Stuns target',100,1,0),
(154547,10113708,'If Target is not Epic',100,2,1),
(154548,10113708,'Inflicts 2889 - 4814 heat damage on target',100,1,2),
(154549,10113708,'Resistibility increases against targets higher than level 121.',100,1,3),
(154550,51834,'Applies Erollisi''s Glowing Aura when Equipped.',100,0,0),
(154551,10051834,'Applies Erollisi''s Glowing Aura when Equipped.',100,0,0),
(154552,191622,'When Equipped:',100,0,0),
(154553,191622,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(154554,191622,'Heals group members (AE) for 2624',100,2,2),
(154555,191622,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(154556,191622,'Must not be engaged in pvp combat',100,2,4),
(154557,191622,'Cannot be modified except by direct means',100,2,5),
(154558,191622,'Must not be engaged in pvp combat',100,1,6),
(154559,10191622,'When Equipped:',100,0,0),
(154560,10191622,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(154561,10191622,'Heals group members (AE) for 3071',100,2,2),
(154562,10191622,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(154563,10191622,'Must not be engaged in pvp combat',100,2,4),
(154564,10191622,'Cannot be modified except by direct means',100,2,5),
(154565,10191622,'Must not be engaged in pvp combat',100,1,6),
(154566,45621,'Applies Elixir of Magic Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(154567,10045621,'Applies Elixir of Magic Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(154568,105523,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 25.9',100,1,0),
(154569,10105523,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 25.9',100,1,0),
(154570,109649,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(154571,109649,'Inflicts 50 - 93 poison damage on target encounter',100,2,1),
(154572,10109649,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(154573,10109649,'Inflicts 65 - 121 poison damage on target encounter',100,2,1),
(154574,122809,'Heals target for 2067',100,1,0),
(154575,10122809,'Heals target for 1612',100,1,0),
(154576,118456,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(154577,118456,'Inflicts 20 - 25 heat damage on target instantly and every second',100,2,1),
(154578,10118456,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(154579,10118456,'Inflicts 27 - 33 heat damage on target instantly and every second',100,2,1),
(154580,139656,'When Equipped:',100,0,0),
(154581,139656,'Applies Frosty Breath',100,1,1),
(154582,10139656,'When Equipped:',100,0,0),
(154583,10139656,'Applies Frosty Breath',100,1,1),
(154584,109902,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(154585,109902,'Inflicts 94 - 115 poison damage on target instantly and every 4 seconds',100,2,1),
(154586,10109902,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(154587,10109902,'Inflicts 122 - 149 poison damage on target instantly and every 4 seconds',100,2,1),
(154588,107210,'Inflicts 400 - 668 melee damage on targets in area',100,1,0),
(154589,107210,'Dispels 96 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(154590,10107210,'Inflicts 521 - 868 melee damage on targets in area',100,1,0),
(154591,10107210,'Reduces healing received of targets in area by 10%',100,1,1),
(154592,185891,'When Equipped:',100,0,0),
(154593,185891,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(154594,10185891,'When Equipped:',100,0,0),
(154595,10185891,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(154596,71855,'When Equipped:',100,0,0),
(154597,71855,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(154598,71855,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(154599,71855,'Cannot be modified except by direct means',100,2,3),
(154600,10071855,'When Equipped:',100,0,0),
(154601,10071855,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(154602,10071855,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(154603,10071855,'Cannot be modified except by direct means',100,2,3),
(154604,185763,'When Equipped:',100,0,0),
(154605,185763,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(154606,185763,'Increases WIS of caster by 22.7',100,2,2),
(154607,185763,'Increases Ordination, Ministration and Focus of caster by 12.4',100,2,3),
(154608,185763,'Cannot be modified except by direct means',100,2,4),
(154609,10185763,'When Equipped:',100,0,0),
(154610,10185763,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(154611,10185763,'Increases WIS of caster by 22.7',100,2,2),
(154612,10185763,'Increases Ordination, Ministration and Focus of caster by 12.4',100,2,3),
(154613,10185763,'Cannot be modified except by direct means',100,2,4),
(154614,122692,'Heals target for 111 - 136',100,1,0),
(154615,122692,'Increases Max Health of target by 13.9',100,1,1),
(154616,10122692,'Heals target for 72 - 88',100,1,0),
(154617,10122692,'Increases Max Health of target by 13.9',100,1,1),
(154618,121577,'Decreases Threat to target by 224 ',100,1,0),
(154619,121577,'Stuns target',100,1,1),
(154620,121577,'If Target is not Epic',100,2,2),
(154621,121577,'Resistibility increases against targets higher than level 45.',100,1,3),
(154622,10121577,'Stuns target',100,1,0),
(154623,10121577,'If Target is not Epic',100,2,1),
(154624,10121577,'Resistibility increases against targets higher than level 45.',100,1,2),
(154625,104670,'Decreases Mitigation of target vs all damage by 202',100,1,0),
(154626,10104670,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 202',100,1,0),
(154627,10104670,'Decreases Mitigation of target vs physical damage by 168',100,1,1),
(154628,116541,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(154629,116541,'Inflicts 221 divine damage on target',100,2,1),
(154630,116541,'Increases Mitigation of raid and group members (AE) vs all damage by 1600',100,1,2),
(154631,10116541,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(154632,10116541,'Inflicts 288 divine damage on target',100,2,1),
(154633,10116541,'Increases Mitigation of raid and group members (AE) vs all damage by 1600',100,1,2),
(154634,45021,'Applies Create Scimitar of Distinction when Activated.',100,0,0),
(154635,45021,'Summon 1 Scimitar of Distinction',100,1,1),
(154636,10045021,'Applies Create Scimitar of Distinction when Activated.',100,0,0),
(154637,10045021,'Summon 1 Scimitar of Distinction',100,1,1),
(154638,74714,'When Equipped:',100,0,0),
(154639,74714,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154640,74714,'Inflicts 237 - 356 magic damage on target',100,2,2),
(154641,74714,'Cannot be modified except by direct means',100,2,3),
(154642,10074714,'When Equipped:',100,0,0),
(154643,10074714,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154644,10074714,'Inflicts 308 - 463 magic damage on target',100,2,2),
(154645,10074714,'Cannot be modified except by direct means',100,2,3),
(154646,124696,'Inflicts 571 - 698 cold damage on target',100,1,0),
(154647,10124696,'Inflicts 743 - 908 cold damage on target',100,1,0),
(154648,87262,'When Equipped:',100,0,0),
(154649,87262,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154650,87262,'Inflicts 107 - 161 magic damage on target',100,2,2),
(154651,87262,'Cannot be modified except by direct means',100,2,3),
(154652,10087262,'When Equipped:',100,0,0),
(154653,10087262,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154654,10087262,'Inflicts 140 - 210 magic damage on target',100,2,2),
(154655,10087262,'Cannot be modified except by direct means',100,2,3),
(154656,104320,'Charms target',100,1,0),
(154657,104320,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(154658,104320,'Mesmerizes target',100,2,2),
(154659,104320,'Dispelled when target takes damage',100,2,3),
(154660,104320,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(154661,104320,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(154662,104320,'Grants Sonic Vision to caster',100,2,6),
(154663,104320,'Increases Out-of-Combat Power Regeneration of target by 2.1',100,1,7),
(154664,104320,'Increases Out-of-Combat Health Regeneration of target by 4.2',100,1,8),
(154665,104320,'Certain enemies cannot be charmed',100,1,9),
(154666,104320,'Only affects targets level 16 and below',100,1,10),
(154667,104320,'Does not affect Epic targets',100,1,11),
(154668,10104320,'Mesmerizes target',100,1,0),
(154669,10104320,'Prevents AOE (except when direct) ',100,1,1),
(154670,10104320,'Dispelled when target takes damage',100,1,2),
(154671,10104320,'Certain enemies cannot be charmed',100,1,3),
(154672,10104320,'Only affects targets level 16 and below',100,1,4),
(154673,10104320,'Does not affect Epic targets',100,1,5),
(154674,10104320,'Resistibility increases against targets higher than level 31.',100,1,6),
(154675,109109,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(154676,109109,'Increases Attack Speed of caster by 52.7',100,1,1),
(154677,109109,'Increases Damage Per Second of caster by 60.7',100,1,2),
(154678,109109,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(154679,109109,'Increases Ranged of caster by 42.2',100,1,4),
(154680,109109,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(154681,109109,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(154682,109109,'Increases Crushing of group members (AE) by 42.2',100,2,7),
(154683,109109,'Increases Piercing of group members (AE) by 42.2',100,2,8),
(154684,109109,'If profession other than Ranger',100,3,9),
(154685,109109,'Increases Slashing of group members (AE) by 42.2',100,2,10),
(154686,109109,'If profession other than Ranger',100,3,11),
(154687,10109109,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(154688,10109109,'Increases Attack Speed of caster by 52.7',100,1,1),
(154689,10109109,'Increases Damage Per Second of caster by 60.7',100,1,2),
(154690,10109109,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(154691,10109109,'Increases Ranged of caster by 42.2',100,1,4),
(154692,10109109,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(154693,10109109,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(154694,10109109,'Increases Crushing of group members (AE) by 42.2',100,2,7),
(154695,10109109,'Increases Piercing of group members (AE) by 42.2',100,2,8),
(154696,10109109,'If profession other than Ranger',100,3,9),
(154697,10109109,'Increases Slashing of group members (AE) by 42.2',100,2,10),
(154698,10109109,'If profession other than Ranger',100,3,11),
(154699,113172,'Inflicts 761 disease damage on target',100,1,0),
(154700,113172,'Heals caster for 325',100,1,1),
(154701,10113172,'Inflicts 989 disease damage on target',100,1,0),
(154702,10113172,'Heals caster for 274',100,1,1),
(154703,79759,'When Equipped:',100,0,0),
(154704,79759,'On a hostile spell cast this spell may cast Grizzfazzle''s Rage on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(154705,79759,'Inflicts 320 - 594 heat damage on target',100,2,2),
(154706,79759,'Cannot be modified except by direct means',100,2,3),
(154707,10079759,'When Equipped:',100,0,0),
(154708,10079759,'On a hostile spell cast this spell may cast Grizzfazzle''s Rage on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(154709,10079759,'Inflicts 416 - 773 heat damage on target',100,2,2),
(154710,10079759,'Cannot be modified except by direct means',100,2,3),
(154711,110656,'Heals target for 16',100,1,0),
(154712,110656,'Dispels 6 levels of any hostile effects on target',100,1,1),
(154713,10110656,'Heals target for 11',100,1,0),
(154714,10110656,'Dispels 6 levels of any hostile effects on target',100,1,1),
(154715,112543,'Interrupts target',50,1,0),
(154716,112543,'Inflicts 262 - 320 divine damage on target',100,1,1),
(154717,10112543,'Interrupts target',50,1,0),
(154718,10112543,'Inflicts 437 - 534 divine damage on target',100,1,1),
(154719,116205,'Inflicts 1412 - 2353 mental damage on target',100,1,0),
(154720,10116205,'Inflicts 1835 - 3059 mental damage on target',100,1,0),
(154721,118806,'Wards group members (AE) against 90 points of physical damage',100,1,0),
(154722,118806,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,1),
(154723,10118806,'Wards group members (AE) against 90 points of physical damage',100,1,0),
(154724,10118806,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,1),
(154725,47718,'Applies elemental remedy when Activated.',100,0,0),
(154726,47718,'Dispels 68 levels of elemental hostile effects on caster',100,1,1),
(154727,10047718,'Applies elemental remedy when Activated.',100,0,0),
(154728,10047718,'Dispels 68 levels of elemental hostile effects on caster',100,1,1),
(154729,109367,'Inflicts 78 - 234 melee damage on target',100,1,0),
(154730,109367,'Inflicts 97 - 293 melee damage on target',100,1,1),
(154731,109367,'Inflicts 117 - 351 melee damage on target',100,1,2),
(154732,10109367,'Inflicts 101 - 304 melee damage on target',100,1,0),
(154733,10109367,'Inflicts 127 - 381 melee damage on target',100,1,1),
(154734,10109367,'Inflicts 152 - 457 melee damage on target',100,1,2),
(154735,73262,'Applies Frost Blast when Activated.',100,0,0),
(154736,73262,'Inflicts 195 - 325 cold damage on target',100,1,1),
(154737,73262,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(154738,10073262,'Applies Frost Blast when Activated.',100,0,0),
(154739,10073262,'Inflicts 253 - 422 cold damage on target',100,1,1),
(154740,10073262,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(154741,104859,'Increases STA of group members (AE) by 8.4',100,1,0),
(154742,104859,'Increases Mitigation of group members (AE) vs physical damage by 81',100,1,1),
(154743,10104859,'Increases STA of group members (AE) by 8.4',100,1,0),
(154744,10104859,'Increases Mitigation of group members (AE) vs physical damage by 81',100,1,1),
(154745,121735,'Causes 9% Threat to transfer to target when in combat',100,1,0),
(154746,10121735,'Applies Swarthy Distraction.',100,1,0),
(154747,10121735,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(154748,10121735,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(154749,102030,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(154750,102030,'Wards target against 717 points of all damage',100,2,1),
(154751,10102030,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(154752,10102030,'Wards target against 717 points of all damage',100,2,1),
(154753,122869,'Inflicts 267 - 445 ranged damage on target',100,1,0),
(154754,122869,'Inflicts 534 - 890 ranged damage on target',100,1,1),
(154755,122869,'Inflicts 801 - 1335 ranged damage on target',100,1,2),
(154756,122869,'Requires bow',100,1,3),
(154757,10122869,'Inflicts 283 - 473 ranged damage on target',100,1,0),
(154758,10122869,'Inflicts 567 - 946 ranged damage on target',100,1,1),
(154759,10122869,'Inflicts 851 - 1419 ranged damage on target',100,1,2),
(154760,10122869,'Requires bow',100,1,3),
(154761,143192,'Applies Hooluk in a Hat when Activated.',100,0,0),
(154762,143192,'Summons a pet Hooluk',100,1,1),
(154763,143192,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(154764,10143192,'Applies Hooluk in a Hat when Activated.',100,0,0),
(154765,10143192,'Summons a pet Hooluk',100,1,1),
(154766,10143192,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(154767,119289,'Inflicts 160 - 266 slashing damage on target',100,1,0),
(154768,119289,'Decreases Damage Per Second of target by 22.1',100,1,1),
(154769,119289,'Inflicts 213 slashing damage on target instantly and every 4 seconds',100,1,2),
(154770,10119289,'Inflicts 208 - 346 slashing damage on target',100,1,0),
(154771,10119289,'Decreases Damage Per Second of target by 22.1',100,1,1),
(154772,10119289,'Inflicts 277 slashing damage on target instantly and every 4 seconds',100,1,2),
(154773,112972,'Reduces physical damage done to caster by 5%',100,1,0),
(154774,112972,'Increases STA of caster by 13.2',100,1,1),
(154775,112972,'Adds 3.1% to base avoidance.',100,1,2),
(154776,112972,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(154777,112972,'Increases Defense and Aggression of caster by 1.8',100,1,4),
(154778,112972,'Increases Mitigation of caster vs arcane damage by 154',100,1,5),
(154779,112972,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(154780,10112972,'Reduces physical damage done to caster by 5%',100,1,0),
(154781,10112972,'Increases STA of caster by 13.2',100,1,1),
(154782,10112972,'Adds 3.1% to base avoidance.',100,1,2),
(154783,10112972,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(154784,10112972,'Increases Defense and Aggression of caster by 1.8',100,1,4),
(154785,10112972,'Increases Mitigation of caster vs arcane damage by 154',100,1,5),
(154786,10112972,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(154787,109404,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(154788,109404,'Inflicts 227 - 277 cold damage on target',100,2,1),
(154789,109404,'Slows target by 63.7%',100,2,2),
(154790,109404,'5% chance to dispel when target receives hostile action',100,2,3),
(154791,109404,'5% chance to dispel when target takes damage',100,2,4),
(154792,10109404,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(154793,10109404,'Slows target by 63.7%',100,2,1),
(154794,10109404,'Inflicts 294 - 360 cold damage on target',100,2,2),
(154795,10109404,'5% chance to dispel when target receives hostile action',100,2,3),
(154796,10109404,'5% chance to dispel when target takes damage',100,2,4),
(154797,49103,'Applies Use the Wand when Activated.',100,0,0),
(154798,49103,'Lerenth must be kneeling and weakened to be affected by this magic.',100,1,1),
(154799,10049103,'Applies Use the Wand when Activated.',100,0,0),
(154800,10049103,'Lerenth must be kneeling and weakened to be affected by this magic.',100,1,1),
(154801,107733,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(154802,107733,'Inflicts 439 - 733 melee damage on target',100,2,1),
(154803,107733,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(154804,107733,'Inflicts 439 - 733 melee damage on target',100,2,3),
(154805,107733,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(154806,107733,'Inflicts 439 - 733 melee damage on target',100,2,5),
(154807,107733,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(154808,107733,'Inflicts 439 - 733 melee damage on target',100,2,7),
(154809,107733,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(154810,107733,'Inflicts 439 - 733 melee damage on target',100,2,9),
(154811,107733,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(154812,107733,'Inflicts 439 - 733 melee damage on target',100,2,11),
(154813,107733,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(154814,107733,'Inflicts 439 - 733 melee damage on target',100,2,13),
(154815,107733,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(154816,107733,'Inflicts 439 - 733 melee damage on target',100,2,15),
(154817,10107733,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(154818,10107733,'Inflicts 324 - 540 melee damage on target',100,2,1),
(154819,10107733,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(154820,10107733,'Inflicts 324 - 540 melee damage on target',100,2,3),
(154821,10107733,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(154822,10107733,'Inflicts 324 - 540 melee damage on target',100,2,5),
(154823,10107733,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(154824,10107733,'Inflicts 324 - 540 melee damage on target',100,2,7),
(154825,10107733,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(154826,10107733,'Inflicts 324 - 540 melee damage on target',100,2,9),
(154827,10107733,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(154828,10107733,'Inflicts 324 - 540 melee damage on target',100,2,11),
(154829,10107733,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(154830,10107733,'Inflicts 324 - 540 melee damage on target',100,2,13),
(154831,10107733,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(154832,10107733,'Inflicts 324 - 540 melee damage on target',100,2,15),
(154833,80586,'When Equipped:',100,0,0),
(154834,80586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154835,80586,'Inflicts 83 - 154 magic damage on target',100,2,2),
(154836,80586,'Cannot be modified except by direct means',100,2,3),
(154837,10080586,'When Equipped:',100,0,0),
(154838,10080586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154839,10080586,'Inflicts 108 - 200 magic damage on target',100,2,2),
(154840,10080586,'Cannot be modified except by direct means',100,2,3),
(154841,37021,'Increases INT and WIS of target by 1.1',100,0,0),
(154842,37021,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(154843,102079,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(154844,102079,'Stuns target',100,2,1),
(154845,102079,'Throws target back',100,2,2),
(154846,102079,'Blurs vision of target',100,2,3),
(154847,102079,'Does not affect Epic targets',100,2,4),
(154848,102079,'Inflicts 5 - 9 crushing damage on target',100,1,5),
(154849,10102079,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(154850,10102079,'Stuns target',100,2,1),
(154851,10102079,'Throws target back',100,2,2),
(154852,10102079,'Blurs vision of target',100,2,3),
(154853,10102079,'Does not affect Epic targets',100,2,4),
(154854,10102079,'Inflicts 7 - 12 crushing damage on target',100,1,5),
(154855,155371,'When Equipped:',100,0,0),
(154856,155371,'Increases Attack Speed of caster by 40.0',100,1,1),
(154857,10155371,'When Equipped:',100,0,0),
(154858,10155371,'Increases Attack Speed of caster by 40.0',100,1,1),
(154859,37177,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(154860,81038,'When Equipped:',100,0,0),
(154861,81038,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154862,81038,'Inflicts 203 - 377 magic damage on target',100,2,2),
(154863,81038,'Cannot be modified except by direct means',100,2,3),
(154864,10081038,'When Equipped:',100,0,0),
(154865,10081038,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154866,10081038,'Inflicts 264 - 490 magic damage on target',100,2,2),
(154867,10081038,'Cannot be modified except by direct means',100,2,3),
(154868,117643,'Decreases Mitigation of target vs physical damage by 92',100,1,0),
(154869,10117643,'Decreases Mitigation of target vs physical damage by 46',100,1,0),
(154870,87204,'When Equipped:',100,0,0),
(154871,87204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154872,87204,'Inflicts 76 - 114 magic damage on target',100,2,2),
(154873,87204,'Cannot be modified except by direct means',100,2,3),
(154874,10087204,'When Equipped:',100,0,0),
(154875,10087204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(154876,10087204,'Inflicts 98 - 148 magic damage on target',100,2,2),
(154877,10087204,'Cannot be modified except by direct means',100,2,3),
(154878,121101,'Decreases Threat to targets in Area of Effect by 1,661 ',100,1,0),
(154879,121101,'Mesmerizes targets in Area of Effect',100,1,1),
(154880,121101,'If Target is not Epic',100,2,2),
(154881,121101,'Dispelled when target takes damage',100,1,3),
(154882,10121101,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(154883,10121101,'Applies Distract.',100,1,1),
(154884,10121101,'Forces target to clear their selected target.',100,2,2),
(154885,10121101,'Mesmerizes targets in Area of Effect',100,1,3),
(154886,10121101,'If Target is not Epic',100,2,4),
(154887,10121101,'Dispelled when target takes damage',100,1,5),
(154888,104251,'Increases Mitigation of group members (AE) vs physical damage by 405',100,1,0),
(154889,10104251,'Increases Mitigation of group members (AE) vs physical damage by 405',100,1,0),
(154890,26920,'When Equipped:',100,0,0),
(154891,26920,'Increases all heat damage by up to 45.',100,1,1),
(154892,10026920,'When Equipped:',100,0,0),
(154893,10026920,'Increases all heat damage by up to 45.',100,1,1),
(154894,107549,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(154895,107549,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1248',100,1,1),
(154896,10107549,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(154897,10107549,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1248',100,1,1),
(154898,102866,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(154899,102866,'Stuns target',100,2,1),
(154900,102866,'Throws target back',100,2,2),
(154901,102866,'Blurs vision of target',100,2,3),
(154902,102866,'Does not affect Epic targets',100,2,4),
(154903,102866,'Inflicts 480 - 1441 melee damage on targets in area',100,1,5),
(154904,10102866,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(154905,10102866,'Stuns target',100,2,1),
(154906,10102866,'Throws target back',100,2,2),
(154907,10102866,'Blurs vision of target',100,2,3),
(154908,10102866,'Does not affect Epic targets',100,2,4),
(154909,10102866,'Inflicts 624 - 1873 melee damage on targets in area',100,1,5),
(154910,105257,'Increases Threat to target by 627 ',100,1,0),
(154911,105257,'Interrupts target',100,1,1),
(154912,105257,'Dispels 83 levels of arcane beneficial effects on target',100,1,2),
(154913,10105257,'Forces target to change their selected target to caster.',100,1,0),
(154914,10105257,'Interrupts target',100,1,1),
(154915,10105257,'Dispels 83 levels of arcane beneficial effects on target',100,1,2),
(154916,47130,'Applies Blessing of the Craftkeepers  when Activated.  Lasts for 30 minutes.',100,0,0),
(154917,47130,'Increases WIS and INT of caster by 23.0',100,1,1),
(154918,10047130,'Applies Blessing of the Craftkeepers  when Activated.  Lasts for 30 minutes.',100,0,0),
(154919,10047130,'Increases WIS and INT of caster by 23.0',100,1,1),
(154920,49194,'Applies Drop when Activated.',100,0,0),
(154921,49194,'This effect cannot be cast during combat',100,1,1),
(154922,10049194,'Applies Drop when Activated.',100,0,0),
(154923,10049194,'This effect cannot be cast during combat',100,1,1),
(154924,51305,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(154925,51305,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(154926,51305,'Inflicts 66 heat damage on target',100,2,2),
(154927,51305,'Cannot be modified except by direct means',100,2,3),
(154928,10051305,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(154929,10051305,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(154930,10051305,'Inflicts 85 heat damage on target',100,2,2),
(154931,10051305,'Cannot be modified except by direct means',100,2,3),
(154932,137684,'When Equipped:',100,0,0),
(154933,137684,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(154934,137684,'Inflicts 19 disease damage on target',100,2,2),
(154935,137684,'Cannot be modified except by direct means',100,2,3),
(154936,10137684,'When Equipped:',100,0,0),
(154937,10137684,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(154938,10137684,'Inflicts 25 disease damage on target',100,2,2),
(154939,10137684,'Cannot be modified except by direct means',100,2,3),
(154940,115259,'Heals target for 338',100,1,0),
(154941,115259,'Heals target for 56 every second',100,1,1),
(154942,115259,'Dispels 63 levels of any hostile effects on target',100,1,2),
(154943,10115259,'Heals target for 220',100,1,0),
(154944,10115259,'Heals target for 37 every second',100,1,1),
(154945,10115259,'Dispels 63 levels of any hostile effects on target',100,1,2),
(154946,47559,'Applies Portable Forge when Activated.  Lasts for 5 minutes.',100,0,0),
(154947,47559,'Summons Forge',100,1,1),
(154948,47559,'This effect cancels during combat',100,1,2),
(154949,10047559,'Applies Portable Forge when Activated.  Lasts for 5 minutes.',100,0,0),
(154950,10047559,'Summons Forge',100,1,1),
(154951,10047559,'This effect cancels during combat',100,1,2),
(154952,103849,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(154953,103849,'Slows target by 34.5%',100,2,1),
(154954,103849,'5% chance to dispel when target receives hostile action',100,2,2),
(154955,103849,'5% chance to dispel when target takes damage',100,2,3),
(154956,103849,'Decreases Mitigation of target vs noxious damage by 240',100,1,4),
(154957,10103849,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(154958,10103849,'Slows target by 34.5%',100,2,1),
(154959,10103849,'5% chance to dispel when target receives hostile action',100,2,2),
(154960,10103849,'5% chance to dispel when target takes damage',100,2,3),
(154961,10103849,'Decreases Mitigation of target vs noxious damage by 240',100,1,4),
(154962,111847,'Inflicts 637 - 1062 melee damage on target',100,1,0),
(154963,111847,'Roots target',100,1,1),
(154964,111847,'If Target is not Epic',100,2,2),
(154965,111847,'Resistibility increases against targets higher than level 108.',100,1,3),
(154966,10111847,'Inflicts 747 - 1245 melee damage on target',100,1,0),
(154967,10111847,'Roots target',100,1,1),
(154968,10111847,'If Target is not Epic',100,2,2),
(154969,10111847,'Resistibility increases against targets higher than level 108.',100,1,3),
(154970,112710,'Inflicts 175 - 291 disease damage on target encounter',100,1,0),
(154971,10112710,'Inflicts 227 - 379 disease damage on target encounter',100,1,0),
(154972,117727,'Decreases Hate Gain of caster by 15.8%',100,1,0),
(154973,81985,'When Equipped:',100,0,0),
(154974,81985,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(154975,81985,'Inflicts 408 - 757 magic damage on target',100,2,2),
(154976,81985,'Decreases Threat to target by 994 ',100,2,3),
(154977,81985,'Must be flanking or behind',100,3,4),
(154978,81985,'Increases Threat to target by 994 ',100,2,5),
(154979,81985,'Must be in front of',100,3,6),
(154980,81985,'Cannot be modified except by direct means',100,2,7),
(154981,10081985,'When Equipped:',100,0,0),
(154982,10081985,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(154983,10081985,'Inflicts 530 - 984 magic damage on target',100,2,2),
(154984,10081985,'Cannot be modified except by direct means',100,2,3),
(154985,85134,'When Equipped:',100,0,0),
(154986,85134,'Has a 50% chance to cast an additional heal 0.5 seconds after Alleviation VI, Fanatical Healing VII or Ministration VIII is cast.',100,1,1),
(154987,85134,'Improves the casting and reuse speed of heals by 15%',100,1,2),
(154988,85134,'When Equipped:',100,0,3),
(154989,85134,'On any combat or spell hit this spell may cast Penitent Smite on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,4),
(154990,85134,'Makes group members (AE) immune to Daze and Stifle effects',100,2,5),
(154991,85134,'Inflicts 619 - 928 divine damage on target',100,2,6),
(154992,85134,'Cannot be modified except by direct means',100,2,7),
(154993,85134,'Cannot be modified except by direct means',100,1,8),
(154994,85134,'Applies Cleansing of the Soul when Activated.',100,0,9),
(154995,85134,'Dispels 174 levels of any hostile effects on group members (AE)',100,1,10),
(154996,85134,'Casts Penitent Cleansing for each successful Dispel.',100,1,11),
(154997,85134,'Heals target for 643 - 964',100,3,12),
(154998,85134,'The casting time of Cleansing of the Soul is 1.0 second and the reuse time of the spell is 15.0 seconds',100,1,13),
(154999,10085134,'When Equipped:',100,0,0),
(155000,10085134,'Has a 50% chance to cast an additional heal 0.5 seconds after Alleviation VI, Fanatical Healing VII or Ministration VIII is cast.',100,1,1),
(155001,10085134,'Improves the casting and reuse speed of heals by 15%',100,1,2),
(155002,10085134,'When Equipped:',100,0,3),
(155003,10085134,'On any combat or spell hit this spell may cast Penitent Smite on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,4),
(155004,10085134,'Makes group members (AE) immune to Daze and Stifle effects',100,2,5),
(155005,10085134,'Inflicts 804 - 1207 divine damage on target',100,2,6),
(155006,10085134,'Cannot be modified except by direct means',100,2,7),
(155007,10085134,'Cannot be modified except by direct means',100,1,8),
(155008,10085134,'Applies Cleansing of the Soul when Activated.',100,0,9),
(155009,10085134,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,10),
(155010,10085134,'Casts Penitent Cleansing for each successful Dispel.',100,1,11),
(155011,10085134,'Heals target for 418 - 627',100,3,12),
(155012,10085134,'The casting time of Cleansing of the Soul is 1.0 second and the reuse time of the spell is 40.0 seconds',100,1,13),
(155013,112912,'Increases Damage Per Second of caster by 67.7',100,1,0),
(155014,112912,'Increases Ranged of caster by 29.2',100,1,1),
(155015,10112912,'Increases Damage Per Second of caster by 67.7',100,1,0),
(155016,10112912,'Increases Ranged of caster by 29.2',100,1,1),
(155017,156903,'Applies Unstable Magics when Equipped.',100,0,0),
(155018,156903,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(155019,10156903,'Applies Unstable Magics when Equipped.',100,0,0),
(155020,10156903,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(155021,52389,'When Equipped:',100,0,0),
(155022,52389,'Increases caster''s chance to block by 20.0%',100,1,1),
(155023,10052389,'When Equipped:',100,0,0),
(155024,10052389,'Increases caster''s chance to block by 20.0%',100,1,1),
(155025,41529,'When Equipped:',100,0,0),
(155026,41529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155027,41529,'Inflicts 350 - 650 magic damage on target',100,2,2),
(155028,41529,'Cannot be modified except by direct means',100,2,3),
(155029,10041529,'When Equipped:',100,0,0),
(155030,10041529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155031,10041529,'Inflicts 455 - 845 magic damage on target',100,2,2),
(155032,10041529,'Cannot be modified except by direct means',100,2,3),
(155033,114031,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(155034,114031,'Heals target for 33 instantly and every 2 seconds',100,2,1),
(155035,114031,'Decreases Mitigation of target vs arcane damage by 660',100,1,2),
(155036,10114031,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(155037,10114031,'Heals target for 106 instantly and every 2 seconds',100,2,1),
(155038,10114031,'Decreases Mitigation of target vs arcane damage by 660',100,1,2),
(155039,36967,'Increases AGI of target by 1.5',100,0,0),
(155040,36967,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(155041,45467,'Applies Caress of the Eidolon when Activated.  Lasts for 12 hours.',100,0,0),
(155042,45467,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(155043,45467,'Inflicts 73 poison damage on target instantly and every 6 seconds',100,2,2),
(155044,45467,'Inflicts 416 poison damage on target',100,2,3),
(155045,45467,'Cannot be modified except by direct means',100,2,4),
(155046,45467,'Grants a total of 100 triggers of the spell.',100,2,5),
(155047,10045467,'Applies Caress of the Eidolon when Activated.  Lasts for 12 hours.',100,0,0),
(155048,10045467,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(155049,10045467,'Inflicts 405 poison damage on target',100,2,2),
(155050,10045467,'Inflicts 71 poison damage on target instantly and every 6 seconds',100,2,3),
(155051,10045467,'Cannot be modified except by direct means',100,2,4),
(155052,10045467,'Grants a total of 100 triggers of the spell.',100,2,5),
(155053,89498,'When Equipped:',100,0,0),
(155054,89498,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(155055,10089498,'When Equipped:',100,0,0),
(155056,10089498,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(155057,35860,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(155058,36720,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(155059,82604,'When Equipped:',100,0,0),
(155060,82604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155061,82604,'Inflicts 116 - 215 magic damage on target',100,2,2),
(155062,82604,'Cannot be modified except by direct means',100,2,3),
(155063,10082604,'When Equipped:',100,0,0),
(155064,10082604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155065,10082604,'Inflicts 151 - 280 magic damage on target',100,2,2),
(155066,10082604,'Cannot be modified except by direct means',100,2,3),
(155067,159598,'When Equipped:',100,0,0),
(155068,159598,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155069,159598,'Increases WIS of caster by 8.3',100,2,2),
(155070,159598,'Increases Ordination, Ministration and Focus of caster by 5.3',100,2,3),
(155071,159598,'Cannot be modified except by direct means',100,2,4),
(155072,10159598,'When Equipped:',100,0,0),
(155073,10159598,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155074,10159598,'Increases WIS of caster by 8.3',100,2,2),
(155075,10159598,'Increases Ordination, Ministration and Focus of caster by 5.3',100,2,3),
(155076,10159598,'Cannot be modified except by direct means',100,2,4),
(155077,123780,'Decreases Mitigation of target vs noxious damage by 2080',100,1,0),
(155078,123780,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(155079,123780,'Slows target by 68.8%',100,2,2),
(155080,123780,'5% chance to dispel when target receives hostile action',100,2,3),
(155081,123780,'5% chance to dispel when target takes damage',100,2,4),
(155082,10123780,'Decreases Mitigation of target vs noxious damage by 2080',100,1,0),
(155083,10123780,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(155084,10123780,'Slows target by 68.8%',100,2,2),
(155085,10123780,'5% chance to dispel when target receives hostile action',100,2,3),
(155086,10123780,'5% chance to dispel when target takes damage',100,2,4),
(155087,159969,'When Equipped:',100,0,0),
(155088,159969,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155089,159969,'Increases STR of caster by 8.8',100,2,2),
(155090,159969,'Increases Damage Per Second of caster by 15.1',100,2,3),
(155091,159969,'Cannot be modified except by direct means',100,2,4),
(155092,10159969,'When Equipped:',100,0,0),
(155093,10159969,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155094,10159969,'Increases STR of caster by 8.8',100,2,2),
(155095,10159969,'Increases Damage Per Second of caster by 15.1',100,2,3),
(155096,10159969,'Cannot be modified except by direct means',100,2,4),
(155097,102957,'Inflicts 228 - 278 disease damage on target instantly and every 4 seconds',100,1,0),
(155098,10102957,'Inflicts 385 - 470 disease damage on target',100,1,0),
(155099,10102957,'Inflicts 296 - 362 disease damage on target every 4 seconds',100,1,1),
(155100,123179,'Reduces physical damage done to caster by 5%',100,1,0),
(155101,123179,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(155102,123179,'Increases Aggression of caster by 20.8',100,1,2),
(155103,123179,'Increases Defense and Parry of caster by 41.6',100,1,3),
(155104,123179,'Increases Mitigation of caster vs elemental damage by 2781',100,1,4),
(155105,123179,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(155106,10123179,'Reduces physical damage done to caster by 5%',100,1,0),
(155107,10123179,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(155108,10123179,'Increases Aggression of caster by 20.8',100,1,2),
(155109,10123179,'Increases Defense and Parry of caster by 41.6',100,1,3),
(155110,10123179,'Increases Mitigation of caster vs elemental damage by 2781',100,1,4),
(155111,10123179,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(155112,46152,'Applies Enfeeblement Emollient when Activated.',100,0,0),
(155113,46152,'Enlarges target by 0.0%',100,1,1),
(155114,46152,'If target is karl',100,1,2),
(155115,10046152,'Applies Enfeeblement Emollient when Activated.',100,0,0),
(155116,10046152,'Enlarges target by 0.0%',100,1,1),
(155117,10046152,'If target is karl',100,1,2),
(155118,104763,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(155119,104763,'Inflicts 311 disease damage on target',100,2,1),
(155120,104763,'Heals caster for 99',100,2,2),
(155121,104763,'Heals group members'' pets for 99',100,2,3),
(155122,10104763,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(155123,10104763,'Inflicts 404 disease damage on target',100,2,1),
(155124,10104763,'Heals caster for 65',100,2,2),
(155125,10104763,'Heals group members'' pets for 65',100,2,3),
(155126,106668,'Heals caster for 35.1 - 42.9% of max health',100,1,0),
(155127,106668,'This effect cannot be critically applied.',100,2,1),
(155128,106668,'Increases Max Health of caster by 260.0',100,1,2),
(155129,106668,'The healing of this spell cannot be modified except by direct means',100,1,3),
(155130,10106668,'Heals caster for 10.8 - 13.2% of max health',100,1,0),
(155131,10106668,'This effect cannot be critically applied.',100,2,1),
(155132,10106668,'Increases Max Health of caster by 260.0',100,1,2),
(155133,10106668,'The healing of this spell cannot be modified except by direct means',100,1,3),
(155134,105109,'Inflicts 973 - 1317 magic damage on target',100,1,0),
(155135,10105109,'Inflicts 1265 - 1712 magic damage on target',100,1,0),
(155136,118521,'Inflicts 132 - 220 melee damage on target',100,1,0),
(155137,118521,'Decreases STR of target by 16.7',100,1,1),
(155138,118521,'You must be sneaking to use this ability.',100,1,2),
(155139,10118521,'Inflicts 172 - 287 melee damage on target',100,1,0),
(155140,10118521,'Decreases STR of target by 16.7',100,1,1),
(155141,10118521,'You must be sneaking to use this ability.',100,1,2),
(155142,141307,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(155143,141307,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(155144,141307,'Heals target for 34 instantly and every 4 seconds',100,2,2),
(155145,141307,'Cannot be modified except by direct means',100,2,3),
(155146,10141307,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(155147,10141307,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(155148,10141307,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(155149,10141307,'Cannot be modified except by direct means',100,2,3),
(155150,106118,'Increases Attack Speed of caster by 23.0',100,1,0),
(155151,106118,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(155152,106118,'Throws target back',100,2,2),
(155153,106118,'Stuns target',100,2,3),
(155154,106118,'Blurs vision of target',100,2,4),
(155155,106118,'Does not affect Epic targets',100,2,5),
(155156,10106118,'Increases Attack Speed of caster by 23.0',100,1,0),
(155157,10106118,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(155158,10106118,'Throws target back',100,2,2),
(155159,10106118,'Blurs vision of target',100,2,3),
(155160,10106118,'Stuns target',100,2,4),
(155161,10106118,'Does not affect Epic targets',100,2,5),
(155162,165325,'When Equipped:',100,0,0),
(155163,165325,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(155164,10165325,'When Equipped:',100,0,0),
(155165,10165325,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(155166,45775,'Applies Summon Companion of Prexus when Activated.',100,0,0),
(155167,45775,'Calls forth a cephalopod companion to swim by your shoulder.',100,1,1),
(155168,10045775,'Applies Summon Companion of Prexus when Activated.',100,0,0),
(155169,10045775,'Calls forth a cephalopod companion to swim by your shoulder.',100,1,1),
(155170,115653,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 896',100,1,0),
(155171,10115653,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 896',100,1,0),
(155172,100439,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(155173,100439,'Increases Threat to target by 552 ',100,2,1),
(155174,100439,'Inflicts 213 - 355 slashing damage on target',100,2,2),
(155175,100439,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(155176,100439,'Increases Threat to target by 552 ',100,2,4),
(155177,100439,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,5),
(155178,10100439,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(155179,10100439,'Inflicts 277 - 462 slashing damage on target',100,2,1),
(155180,10100439,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(155181,10100439,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,3),
(155182,120456,'Inflicts 170 - 283 ranged damage on target',100,1,0),
(155183,120456,'Slows target by 38.8%',100,1,1),
(155184,120456,'10% chance to dispel when target receives hostile action',100,1,2),
(155185,120456,'Requires bow',100,1,3),
(155186,10120456,'Inflicts 132 - 220 ranged damage on target',100,1,0),
(155187,10120456,'Slows target by 38.8%',100,1,1),
(155188,10120456,'10% chance to dispel when target receives hostile action',100,1,2),
(155189,10120456,'Requires bow',100,1,3),
(155190,110404,'Inflicts 1510 - 2517 disease damage on target',100,1,0),
(155191,10110404,'Inflicts 1346 - 2244 disease damage on target',100,1,0),
(155192,104276,'Inflicts 41 - 68 melee damage on target',100,1,0),
(155193,104276,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(155194,104276,'Throws target back',100,2,2),
(155195,104276,'Stuns target',100,2,3),
(155196,104276,'Blurs vision of target',100,2,4),
(155197,104276,'Does not affect Epic targets',100,2,5),
(155198,10104276,'Inflicts 53 - 89 melee damage on target',100,1,0),
(155199,10104276,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(155200,10104276,'Throws target back',100,2,2),
(155201,10104276,'Blurs vision of target',100,2,3),
(155202,10104276,'Stuns target',100,2,4),
(155203,10104276,'Does not affect Epic targets',100,2,5),
(155204,87353,'When Equipped:',100,0,0),
(155205,87353,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155206,87353,'Inflicts 150 - 225 magic damage on target',100,2,2),
(155207,87353,'Cannot be modified except by direct means',100,2,3),
(155208,10087353,'When Equipped:',100,0,0),
(155209,10087353,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155210,10087353,'Inflicts 195 - 292 magic damage on target',100,2,2),
(155211,10087353,'Cannot be modified except by direct means',100,2,3),
(155212,35629,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(155213,121954,'Inflicts 46 - 77 disease damage on target',100,1,0),
(155214,121954,'Decreases Defense of target by 10.8',100,1,1),
(155215,121954,'Interrupts target',100,1,2),
(155216,10121954,'Inflicts 60 - 100 disease damage on target',100,1,0),
(155217,10121954,'Decreases Defense of target by 10.8',100,1,1),
(155218,10121954,'Interrupts target',100,1,2),
(155219,104509,'Increases Threat to target by 57 - 70  instantly and by 11 - 14  every 2 seconds thereafter',100,1,0),
(155220,10104509,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(155221,110120,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(155222,110120,'Inflicts 67 disease damage on target',100,2,1),
(155223,110120,'Heals caster for 35',100,2,2),
(155224,110120,'Decreases INT of target by 192.5',100,1,3),
(155225,110120,'Decreases Attack Speed of target by 25.0',100,1,4),
(155226,110120,'Increases Max Health of target by 11.0%',100,1,5),
(155227,110120,'Increases Hate Gain of target by 46.0%',100,1,6),
(155228,110120,'Increases Aggression of target by 16.5',100,1,7),
(155229,110120,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(155230,110120,'Increases Threat to target encounter by 175 - 214 ',100,2,9),
(155231,110120,'Increases Mitigation of target vs elemental, noxious and arcane damage by 990',100,1,10),
(155232,10110120,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(155233,10110120,'Inflicts 87 disease damage on target',100,2,1),
(155234,10110120,'Heals caster for 41',100,2,2),
(155235,10110120,'Decreases INT of target by 192.5',100,1,3),
(155236,10110120,'Decreases Attack Speed of target by 25.0',100,1,4),
(155237,10110120,'Increases Max Health of target by 11.0%',100,1,5),
(155238,10110120,'Increases Aggression of target by 16.5',100,1,6),
(155239,10110120,'Increases Mitigation of target vs elemental, noxious and arcane damage by 990',100,1,7),
(155240,118578,'Dazes caster',100,1,0),
(155241,118578,'Roots caster',100,1,1),
(155242,118578,'Increases Mitigation of caster vs physical damage by 2110',100,1,2),
(155243,10118578,'Dazes caster',100,1,0),
(155244,10118578,'Roots caster',100,1,1),
(155245,10118578,'Increases Mitigation of caster vs physical damage by 2110',100,1,2),
(155246,27461,'When Equipped:',100,0,0),
(155247,27461,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(155248,27461,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(155249,10027461,'When Equipped:',100,0,0),
(155250,10027461,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(155251,10027461,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(155252,51056,'Applies Heroic Resistance I when Equipped.',100,0,0),
(155253,51056,'Reduces the critical damage inflicted by players on caster by 1.0%',100,1,1),
(155254,51056,'Cannot be modified except by direct means',100,1,2),
(155255,10051056,'Applies Heroic Resistance I when Equipped.',100,0,0),
(155256,10051056,'Reduces the critical damage inflicted by players on caster by 1.0%',100,1,1),
(155257,10051056,'Cannot be modified except by direct means',100,1,2),
(155258,153779,'When Equipped:',100,0,0),
(155259,153779,'When damaged this spell has a 10% chance to cast Arcane Resolution IV on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(155260,153779,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 450',100,2,2),
(155261,153779,'Must not be engaged in pvp combat',100,2,3),
(155262,153779,'Cannot be modified except by direct means',100,2,4),
(155263,153779,'Must not be engaged in pvp combat',100,1,5),
(155264,10153779,'When Equipped:',100,0,0),
(155265,10153779,'When damaged this spell has a 10% chance to cast Arcane Resolution IV on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(155266,10153779,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 450',100,2,2),
(155267,10153779,'Must not be engaged in pvp combat',100,2,3),
(155268,10153779,'Cannot be modified except by direct means',100,2,4),
(155269,10153779,'Must not be engaged in pvp combat',100,1,5),
(155270,106124,'Increases Attack Speed of caster by 27.6',100,1,0),
(155271,106124,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(155272,106124,'Throws target back',100,2,2),
(155273,106124,'Stuns target',100,2,3),
(155274,106124,'Blurs vision of target',100,2,4),
(155275,106124,'Does not affect Epic targets',100,2,5),
(155276,10106124,'Increases Attack Speed of caster by 27.6',100,1,0),
(155277,10106124,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(155278,10106124,'Throws target back',100,2,2),
(155279,10106124,'Blurs vision of target',100,2,3),
(155280,10106124,'Stuns target',100,2,4),
(155281,10106124,'Does not affect Epic targets',100,2,5),
(155282,109765,'Inflicts 288 - 535 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(155283,10109765,'Inflicts 375 - 696 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(155284,103710,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(155285,103710,'Inflicts 170 - 284 disease damage on target',100,2,1),
(155286,103710,'Increases Attack Speed of group members (AE) by 71.4',100,1,2),
(155287,10103710,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(155288,10103710,'Inflicts 221 - 369 disease damage on target',100,2,1),
(155289,10103710,'Increases Attack Speed of group members (AE) by 71.4',100,1,2),
(155290,76692,'When Equipped:',100,0,0),
(155291,76692,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155292,76692,'Inflicts 135 - 165 mental damage on target',100,2,2),
(155293,76692,'Cannot be modified except by direct means',100,2,3),
(155294,10076692,'When Equipped:',100,0,0),
(155295,10076692,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155296,10076692,'Inflicts 175 - 214 mental damage on target',100,2,2),
(155297,10076692,'Cannot be modified except by direct means',100,2,3),
(155298,111835,'Inflicts 271 - 451 melee damage on target',100,1,0),
(155299,111835,'Roots target',100,1,1),
(155300,111835,'If Target is not Epic',100,2,2),
(155301,111835,'Resistibility increases against targets higher than level 84.',100,1,3),
(155302,10111835,'Inflicts 317 - 529 melee damage on target',100,1,0),
(155303,10111835,'Roots target',100,1,1),
(155304,10111835,'If Target is not Epic',100,2,2),
(155305,10111835,'Resistibility increases against targets higher than level 84.',100,1,3),
(155306,105877,'Inflicts 78 - 130 ranged damage on target',100,1,0),
(155307,105877,'Inflicts 78 - 130 ranged damage on target',100,1,1),
(155308,105877,'If weapon equipped in Ranged',100,1,2),
(155309,10105877,'Inflicts 66 - 111 ranged damage on target',100,1,0),
(155310,10105877,'Inflicts 66 - 111 ranged damage on target',100,1,1),
(155311,10105877,'If weapon equipped in Ranged',100,1,2),
(155312,101596,'Inflicts 441 - 736 melee damage on targets in area',100,1,0),
(155313,10101596,'Inflicts 574 - 957 melee damage on targets in area',100,1,0),
(155314,40616,'When Equipped:',100,0,0),
(155315,40616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155316,40616,'Inflicts 56 - 84 magic damage on target',100,2,2),
(155317,40616,'Cannot be modified except by direct means',100,2,3),
(155318,10040616,'When Equipped:',100,0,0),
(155319,10040616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155320,10040616,'Inflicts 73 - 110 magic damage on target',100,2,2),
(155321,10040616,'Cannot be modified except by direct means',100,2,3),
(155322,109447,'Inflicts 277 - 339 cold damage on target instantly and every 4 seconds',100,1,0),
(155323,109447,'Decreases Mitigation of target vs elemental damage by 932',100,1,1),
(155324,10109447,'Inflicts 360 - 440 cold damage on target instantly and every 4 seconds',100,1,0),
(155325,10109447,'Decreases Mitigation of target vs elemental damage by 932',100,1,1),
(155326,37336,'Increases STA of target by 1.5',100,0,0),
(155327,37336,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(155328,52233,'When Equipped:',100,0,0),
(155329,52233,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(155330,52233,'Inflicts 1986 disease damage on target encounter',100,2,2),
(155331,52233,'Must not be engaged in pvp combat',100,2,3),
(155332,52233,'Cannot be modified except by direct means',100,2,4),
(155333,10052233,'When Equipped:',100,0,0),
(155334,10052233,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(155335,10052233,'Inflicts 1291 disease damage on target encounter',100,2,2),
(155336,10052233,'Must not be engaged in pvp combat',100,2,3),
(155337,10052233,'Cannot be modified except by direct means',100,2,4),
(155338,115926,'Inflicts 273 - 333 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(155339,10115926,'Inflicts 461 - 564 disease damage on target encounter',100,1,0),
(155340,10115926,'Inflicts 355 - 434 disease damage on target encounter every 3 seconds',100,1,1),
(155341,113705,'Stuns target',100,1,0),
(155342,113705,'If Target is not Epic',100,2,1),
(155343,113705,'Inflicts 2214 - 3690 heat damage on target',100,1,2),
(155344,113705,'Resistibility increases against targets higher than level 111.',100,1,3),
(155345,10113705,'Stuns target',100,1,0),
(155346,10113705,'If Target is not Epic',100,2,1),
(155347,10113705,'Inflicts 2878 - 4797 heat damage on target',100,1,2),
(155348,10113705,'Resistibility increases against targets higher than level 111.',100,1,3),
(155349,177496,'When Equipped:',100,0,0),
(155350,177496,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155351,177496,'Increases INT of caster by 5.8',100,2,2),
(155352,177496,'Increases Subjugation, Focus and Disruption of caster by 3.7',100,2,3),
(155353,177496,'Cannot be modified except by direct means',100,2,4),
(155354,10177496,'When Equipped:',100,0,0),
(155355,10177496,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155356,10177496,'Increases INT of caster by 5.8',100,2,2),
(155357,10177496,'Increases Subjugation, Focus and Disruption of caster by 3.7',100,2,3),
(155358,10177496,'Cannot be modified except by direct means',100,2,4),
(155359,35989,'Increases Max Power of target by 3.3',100,0,0),
(155360,35989,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(155361,111798,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(155362,111798,'Wipes most of the target''s memory of aggression',100,2,1),
(155363,111798,'Summons 6 limited pets to aid the caster',100,1,2),
(155364,10111798,'Applies Distract on termination.',100,1,0),
(155365,10111798,'Forces target to clear their selected target.',100,2,1),
(155366,10111798,'Summons 6 limited pets to aid the caster',100,1,2),
(155367,102317,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(155368,102317,'Decreases Threat to target by 2,448 ',100,2,1),
(155369,10102317,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(155370,10102317,'Inflicts 203 - 225 crushing damage on target',100,2,1),
(155371,73929,'Applies Holy Strike when Activated.',100,0,0),
(155372,73929,'Inflicts 195 - 325 divine damage on target',100,1,1),
(155373,73929,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(155374,10073929,'Applies Holy Strike when Activated.',100,0,0),
(155375,10073929,'Inflicts 253 - 422 divine damage on target',100,1,1),
(155376,10073929,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(155377,105829,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(155378,105829,'Inflicts 187 - 312 disease damage on target',100,2,1),
(155379,10105829,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(155380,10105829,'Inflicts 243 - 406 disease damage on target',100,2,1),
(155381,123818,'Inflicts 93 - 155 magic damage on target',100,1,0),
(155382,123818,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(155383,123818,'Decreases Defense of target by 21.1',100,1,2),
(155384,123818,'Target will lose 25% more power when power is consumed',100,1,3),
(155385,123818,'25% of target''s power consumed will also be drained from target''s health',100,1,4),
(155386,10123818,'Inflicts 121 - 201 magic damage on target',100,1,0),
(155387,10123818,'Decreases Ability Casting Speed of target by 22.0%',100,1,1),
(155388,10123818,'Decreases Defense of target by 21.1',100,1,2),
(155389,10123818,'Target will lose 25% more power when power is consumed',100,1,3),
(155390,10123818,'25% of target''s power consumed will also be drained from target''s health',100,1,4),
(155391,159628,'When Equipped:',100,0,0),
(155392,159628,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155393,159628,'Increases WIS of caster by 23.1',100,2,2),
(155394,159628,'Increases Ordination, Focus and Ministration of caster by 13.1',100,2,3),
(155395,159628,'Cannot be modified except by direct means',100,2,4),
(155396,10159628,'When Equipped:',100,0,0),
(155397,10159628,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155398,10159628,'Increases WIS of caster by 23.1',100,2,2),
(155399,10159628,'Increases Ordination, Focus and Ministration of caster by 13.1',100,2,3),
(155400,10159628,'Cannot be modified except by direct means',100,2,4),
(155401,116130,'Inflicts 91 - 153 divine damage on target',100,1,0),
(155402,116130,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(155403,116130,'Stuns target',100,2,2),
(155404,116130,'Throws target back',100,2,3),
(155405,116130,'Blurs vision of target',100,2,4),
(155406,116130,'Does not affect Epic targets',100,2,5),
(155407,10116130,'Inflicts 119 - 198 divine damage on target',100,1,0),
(155408,10116130,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(155409,10116130,'Stuns target',100,2,2),
(155410,10116130,'Throws target back',100,2,3),
(155411,10116130,'Blurs vision of target',100,2,4),
(155412,10116130,'Does not affect Epic targets',100,2,5),
(155413,36122,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(155414,83494,'When Equipped:',100,0,0),
(155415,83494,'On any combat or spell hit this spell may cast Scampish Assault on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(155416,83494,'Summons a limited pet to aid the caster',100,2,2),
(155417,83494,'Must not be engaged in pvp combat',100,2,3),
(155418,83494,'Cannot be modified except by direct means',100,2,4),
(155419,10083494,'When Equipped:',100,0,0),
(155420,10083494,'On any combat or spell hit this spell may cast Scampish Assault on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(155421,10083494,'Summons a limited pet to aid the caster',100,2,2),
(155422,10083494,'Must not be engaged in pvp combat',100,2,3),
(155423,10083494,'Cannot be modified except by direct means',100,2,4),
(155424,141679,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(155425,141679,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(155426,141679,'Inflicts 61 heat damage on target',100,2,2),
(155427,141679,'Cannot be modified except by direct means',100,2,3),
(155428,10141679,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(155429,10141679,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(155430,10141679,'Inflicts 79 heat damage on target',100,2,2),
(155431,10141679,'Cannot be modified except by direct means',100,2,3),
(155432,111896,'Inflicts 9 - 15 piercing damage on target instantly and every 4 seconds',100,1,0),
(155433,111896,'Inflicts 33 - 55 piercing damage on target',100,1,1),
(155434,10111896,'Inflicts 20 - 33 piercing damage on target instantly and every 4 seconds',100,1,0),
(155435,10111896,'Inflicts 59 - 99 piercing damage on target',100,1,1),
(155436,123514,'Decreases Mitigation of target encounter vs noxious damage by 1104',100,1,0),
(155437,10123514,'Decreases Mitigation of target encounter vs noxious damage by 1104',100,1,0),
(155438,52878,'Applies Sanguine Imbued when Equipped.',100,0,0),
(155439,52878,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(155440,52878,'Inflicts 121 heat damage on target',100,2,2),
(155441,52878,'Cannot be modified except by direct means',100,2,3),
(155442,10052878,'Applies Sanguine Imbued when Equipped.',100,0,0),
(155443,10052878,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(155444,10052878,'Inflicts 157 heat damage on target',100,2,2),
(155445,10052878,'Cannot be modified except by direct means',100,2,3),
(155446,107052,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(155447,107052,'Inflicts 136 - 227 divine damage on target',100,2,1),
(155448,107052,'Inflicts 136 - 227 divine damage on target',100,2,2),
(155449,107052,'If target is undead',100,3,3),
(155450,10107052,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(155451,10107052,'Inflicts 295 - 492 divine damage on target',100,2,1),
(155452,122544,'Heals caster for 111',100,1,0),
(155453,122544,'Inflicts 261 - 435 melee damage on target',100,1,1),
(155454,10122544,'Heals caster for 72',100,1,0),
(155455,10122544,'Inflicts 339 - 565 melee damage on target',100,1,1),
(155456,120334,'Increases Threat to target by 985 - 1,205 ',100,1,0),
(155457,10120334,'Forces target to change their selected target to caster.',100,1,0),
(155458,10120334,'Prevents target from changing targets',100,1,1),
(155459,113927,'Increases power of target by 26 instantly and every 4 seconds',100,1,0),
(155460,10113927,'Increases power of target by 26 instantly and every 4 seconds',100,1,0),
(155461,24090,'Adds Chardok: Full Stone Book Shelves to your Dungeon Maker toolbox',100,0,0),
(155462,10024090,'Adds Chardok: Full Stone Book Shelves to your Dungeon Maker toolbox',100,0,0),
(155463,181775,'When Equipped:',100,0,0),
(155464,181775,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(155465,181775,'On a critical healing spell cast this spell may cast Aegis III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(155466,181775,'Wards target against 4620 points of all damage',100,2,3),
(155467,181775,'Must not be engaged in pvp combat',100,2,4),
(155468,181775,'Cannot be modified except by direct means',100,2,5),
(155469,181775,'Cannot be modified except by direct means',100,1,6),
(155470,10181775,'When Equipped:',100,0,0),
(155471,10181775,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(155472,10181775,'On a critical healing spell cast this spell may cast Aegis III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(155473,10181775,'Wards target against 4620 points of all damage',100,2,3),
(155474,10181775,'Must not be engaged in pvp combat',100,2,4),
(155475,10181775,'Cannot be modified except by direct means',100,2,5),
(155476,10181775,'Cannot be modified except by direct means',100,1,6),
(155477,147313,'When Equipped:',100,0,0),
(155478,147313,'On a hostile spell hit this spell may cast Greater Burning Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155479,147313,'Decreases Mitigation of target vs elemental damage by 1277',100,2,2),
(155480,147313,'Inflicts 776 - 1294 heat damage on target',100,2,3),
(155481,147313,'Cannot be modified except by direct means',100,2,4),
(155482,10147313,'When Equipped:',100,0,0),
(155483,10147313,'On a hostile spell hit this spell may cast Greater Burning Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(155484,10147313,'Decreases Mitigation of target vs elemental damage by 1277',100,2,2),
(155485,10147313,'Inflicts 1009 - 1682 heat damage on target',100,2,3),
(155486,10147313,'Cannot be modified except by direct means',100,2,4),
(155487,37302,'Increases STA of target by 1.5',100,0,0),
(155488,37302,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(155489,109029,'Increases Attack Speed of caster by 17.0',100,1,0),
(155490,109029,'Decreases Defense of caster by 1.8',100,1,1),
(155491,109029,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.8',100,1,2),
(155492,10109029,'Increases Attack Speed of caster by 17.0',100,1,0),
(155493,10109029,'Decreases Defense of caster by 1.8',100,1,1),
(155494,10109029,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.8',100,1,2),
(155495,123575,'Increases STR of group members (AE) by 50.1',100,1,0),
(155496,123575,'Increases Max Health of group members (AE) by 435.4',100,1,1),
(155497,10123575,'Increases STR of group members (AE) by 50.1',100,1,0),
(155498,10123575,'Increases Max Health of group members (AE) by 435.4',100,1,1),
(155499,87244,'When Equipped:',100,0,0),
(155500,87244,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155501,87244,'Inflicts 263 - 395 magic damage on target',100,2,2),
(155502,87244,'Cannot be modified except by direct means',100,2,3),
(155503,10087244,'When Equipped:',100,0,0),
(155504,10087244,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155505,10087244,'Inflicts 342 - 513 magic damage on target',100,2,2),
(155506,10087244,'Cannot be modified except by direct means',100,2,3),
(155507,140020,'When Equipped:',100,0,0),
(155508,140020,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(155509,140020,'When Equipped:',100,0,2),
(155510,140020,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(155511,10140020,'When Equipped:',100,0,0),
(155512,10140020,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(155513,10140020,'When Equipped:',100,0,2),
(155514,10140020,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(155515,143536,'When Equipped:',100,0,0),
(155516,143536,'Increases Attack Speed of caster by 40.0',100,1,1),
(155517,10143536,'When Equipped:',100,0,0),
(155518,10143536,'Increases Attack Speed of caster by 40.0',100,1,1),
(155519,111239,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(155520,111239,'Heals target for 280 - 343',100,2,1),
(155521,10111239,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(155522,10111239,'Heals target for 182 - 223',100,2,1),
(155523,111923,'Inflicts 74 - 123 piercing damage on target instantly and every 4 seconds',100,1,0),
(155524,111923,'Inflicts 270 - 451 piercing damage on target',100,1,1),
(155525,10111923,'Inflicts 160 - 267 piercing damage on target instantly and every 4 seconds',100,1,0),
(155526,10111923,'Inflicts 480 - 800 piercing damage on target',100,1,1),
(155527,102593,'Increases Threat to target encounter by 231 - 282 ',100,1,0),
(155528,102593,'Interrupts target encounter',100,1,1),
(155529,102593,'Decreases Mitigation of target encounter vs noxious damage by 209',100,1,2),
(155530,10102593,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(155531,10102593,'Prevents target from changing targets',100,2,1),
(155532,10102593,'Forces target to change their selected target to caster.',100,2,2),
(155533,10102593,'Interrupts target encounter',100,1,3),
(155534,10102593,'Decreases Mitigation of target encounter vs noxious damage by 209',100,1,4),
(155535,37337,'Increases WIS and INT of target by 1.1',100,0,0),
(155536,37337,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(155537,48931,'Applies Touch of the Rainmaker  when Activated.  Lasts for 30 minutes.',100,0,0),
(155538,48931,'Increases AGI of caster by 48.7',100,1,1),
(155539,10048931,'Applies Touch of the Rainmaker  when Activated.  Lasts for 30 minutes.',100,0,0),
(155540,10048931,'Increases AGI of caster by 48.7',100,1,1),
(155541,81114,'When Equipped:',100,0,0),
(155542,81114,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(155543,81114,'Inflicts 226 - 419 magic damage on target',100,2,2),
(155544,81114,'Decreases Threat to target by 517 ',100,2,3),
(155545,81114,'Must be flanking or behind',100,3,4),
(155546,81114,'Increases Threat to target by 517 ',100,2,5),
(155547,81114,'Must be in front of',100,3,6),
(155548,81114,'Cannot be modified except by direct means',100,2,7),
(155549,10081114,'When Equipped:',100,0,0),
(155550,10081114,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(155551,10081114,'Inflicts 293 - 545 magic damage on target',100,2,2),
(155552,10081114,'Cannot be modified except by direct means',100,2,3),
(155553,102881,'Heals caster for 180',100,1,0),
(155554,102881,'Inflicts 420 disease damage on targets in Area of Effect',100,1,1),
(155555,10102881,'Heals caster for 117',100,1,0),
(155556,10102881,'Inflicts 546 disease damage on targets in Area of Effect',100,1,1),
(155557,110700,'Heals target for 130 - 158',100,1,0),
(155558,10110700,'Heals target for 84 - 103',100,1,0),
(155559,134438,'When Equipped:',100,0,0),
(155560,134438,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(155561,134438,'This effect suspends during combat',100,1,2),
(155562,10134438,'When Equipped:',100,0,0),
(155563,10134438,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(155564,10134438,'This effect suspends during combat',100,1,2),
(155565,111065,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(155566,111065,'Slows target by 44.9%',100,2,1),
(155567,111065,'5% chance to dispel when target receives hostile action',100,2,2),
(155568,111065,'5% chance to dispel when target takes damage',100,2,3),
(155569,111065,'Decreases Mitigation of target vs elemental damage by 888',100,1,4),
(155570,10111065,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(155571,10111065,'Slows target by 44.9%',100,2,1),
(155572,10111065,'5% chance to dispel when target receives hostile action',100,2,2),
(155573,10111065,'5% chance to dispel when target takes damage',100,2,3),
(155574,10111065,'Decreases Mitigation of target vs elemental damage by 888',100,1,4),
(155575,107455,'Summons a pet earthen avatar',100,1,0),
(155576,10107455,'Summons a pet earthen avatar',100,1,0),
(155577,101336,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(155578,101336,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,1),
(155579,101336,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,2),
(155580,10101336,'Increases Max Health of group members (AE) by 500.6',100,1,0),
(155581,10101336,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 185',100,1,1),
(155582,10101336,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,2),
(155583,48539,'Applies Thubir''s Sanctification when Activated.  Lasts for 30 minutes.',100,0,0),
(155584,48539,'Increases STR and STA of caster by 9.0',100,1,1),
(155585,10048539,'Applies Thubir''s Sanctification when Activated.  Lasts for 30 minutes.',100,0,0),
(155586,10048539,'Increases STR and STA of caster by 9.0',100,1,1),
(155587,116005,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(155588,116005,'Decreases threat priority of target by 1 position',100,2,1),
(155589,116005,'Decreases Hate Gain of target by 14.2%',100,1,2),
(155590,10116005,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(155591,10116005,'Forces target to clear their selected target.',100,2,1),
(155592,47371,'Applies Slay the Beast when Activated.',100,0,0),
(155593,10047371,'Applies Slay the Beast when Activated.',100,0,0),
(155594,40612,'When Equipped:',100,0,0),
(155595,40612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155596,40612,'Inflicts 66 - 99 magic damage on target',100,2,2),
(155597,40612,'Cannot be modified except by direct means',100,2,3),
(155598,10040612,'When Equipped:',100,0,0),
(155599,10040612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155600,10040612,'Inflicts 86 - 129 magic damage on target',100,2,2),
(155601,10040612,'Cannot be modified except by direct means',100,2,3),
(155602,101664,'Decreases Attack Speed of target by 13.6',100,1,0),
(155603,101664,'Decreases Damage Per Second of target by 8.1',100,1,1),
(155604,10101664,'Decreases Attack Speed of target by 13.6',100,1,0),
(155605,10101664,'Decreases Damage Per Second of target by 8.1',100,1,1),
(155606,107173,'Inflicts 105 - 175 divine damage on target',100,1,0),
(155607,107173,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(155608,107173,'Stuns target',100,2,2),
(155609,107173,'If Target is not Epic',100,3,3),
(155610,107173,'Inflicts 246 - 410 divine damage on target',100,2,4),
(155611,107173,'Inflicts 211 - 351 divine damage on target',100,2,5),
(155612,107173,'If target is undead',100,3,6),
(155613,10107173,'Inflicts 91 - 152 divine damage on target',100,1,0),
(155614,10107173,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(155615,10107173,'Stuns target',100,2,2),
(155616,10107173,'Inflicts 479 - 799 divine damage on target',100,2,3),
(155617,10107173,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(155618,118260,'Increases Threat to target encounter by 259 - 317 ',100,1,0),
(155619,118260,'Decreases Mitigation of target encounter vs arcane damage by 342',100,1,1),
(155620,10118260,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(155621,10118260,'Prevents target from changing targets',100,2,1),
(155622,10118260,'Forces target to change their selected target to caster.',100,2,2),
(155623,10118260,'Decreases Mitigation of target encounter vs arcane damage by 342',100,1,3),
(155624,81448,'When Equipped:',100,0,0),
(155625,81448,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155626,81448,'Inflicts 109 - 202 magic damage on target',100,2,2),
(155627,81448,'Cannot be modified except by direct means',100,2,3),
(155628,10081448,'When Equipped:',100,0,0),
(155629,10081448,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155630,10081448,'Inflicts 142 - 263 magic damage on target',100,2,2),
(155631,10081448,'Cannot be modified except by direct means',100,2,3),
(155632,110411,'Inflicts 2183 - 3639 disease damage on target',100,1,0),
(155633,10110411,'Inflicts 1946 - 3244 disease damage on target',100,1,0),
(155634,82612,'When Equipped:',100,0,0),
(155635,82612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155636,82612,'Inflicts 104 - 194 magic damage on target',100,2,2),
(155637,82612,'Cannot be modified except by direct means',100,2,3),
(155638,10082612,'When Equipped:',100,0,0),
(155639,10082612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155640,10082612,'Inflicts 136 - 252 magic damage on target',100,2,2),
(155641,10082612,'Cannot be modified except by direct means',100,2,3),
(155642,103236,'Reduces physical damage done to caster by 5%',100,1,0),
(155643,103236,'Adds 2.1% to base avoidance.',100,1,1),
(155644,103236,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(155645,103236,'Increases Parry of caster by 18.5',100,1,3),
(155646,103236,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(155647,103236,'Increases Aggression of caster by 13.9',100,1,5),
(155648,103236,'Increases Defense and Deflection of caster by 18.5',100,1,6),
(155649,103236,'Increases Mitigation of caster vs noxious damage by 1232',100,1,7),
(155650,103236,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(155651,10103236,'Reduces physical damage done to caster by 5%',100,1,0),
(155652,10103236,'Adds 2.1% to base avoidance.',100,1,1),
(155653,10103236,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(155654,10103236,'Increases Parry of caster by 18.5',100,1,3),
(155655,10103236,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(155656,10103236,'Increases Aggression of caster by 13.9',100,1,5),
(155657,10103236,'Increases Defense and Deflection of caster by 18.5',100,1,6),
(155658,10103236,'Increases Mitigation of caster vs noxious damage by 1232',100,1,7),
(155659,10103236,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(155660,113291,'Inflicts 55 - 91 heat damage on target',100,1,0),
(155661,10113291,'Inflicts 108 - 181 heat damage on target',100,1,0),
(155662,123173,'Reduces physical damage done to caster by 5%',100,1,0),
(155663,123173,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(155664,123173,'Increases Aggression of caster by 15.3',100,1,2),
(155665,123173,'Increases Defense and Parry of caster by 30.5',100,1,3),
(155666,123173,'Increases Mitigation of caster vs elemental damage by 2117',100,1,4),
(155667,123173,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(155668,10123173,'Reduces physical damage done to caster by 5%',100,1,0),
(155669,10123173,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(155670,10123173,'Increases Aggression of caster by 15.3',100,1,2),
(155671,10123173,'Increases Defense and Parry of caster by 30.5',100,1,3),
(155672,10123173,'Increases Mitigation of caster vs elemental damage by 2117',100,1,4),
(155673,10123173,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(155674,109839,'Inflicts 539 - 899 melee damage on target',100,1,0),
(155675,109839,'Decreases Parry of target by 40.7',100,1,1),
(155676,109839,'Must be in front of or flanking',100,1,2),
(155677,10109839,'Inflicts 701 - 1169 melee damage on target',100,1,0),
(155678,10109839,'Decreases Parry of target by 40.7',100,1,1),
(155679,10109839,'Must be in front of or flanking',100,1,2),
(155680,109419,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(155681,109419,'Inflicts 469 - 573 cold damage on target',100,2,1),
(155682,109419,'Slows target by 75.2%',100,2,2),
(155683,109419,'5% chance to dispel when target receives hostile action',100,2,3),
(155684,109419,'5% chance to dispel when target takes damage',100,2,4),
(155685,10109419,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(155686,10109419,'Inflicts 609 - 745 cold damage on target',100,2,1),
(155687,10109419,'Slows target by 75.2%',100,2,2),
(155688,10109419,'5% chance to dispel when target receives hostile action',100,2,3),
(155689,10109419,'5% chance to dispel when target takes damage',100,2,4),
(155690,113406,'Reduces physical damage done to caster by 5%',100,1,0),
(155691,113406,'Increases STA of caster by 55.2',100,1,1),
(155692,113406,'Adds 3.7% to base avoidance.',100,1,2),
(155693,113406,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(155694,113406,'Increases Defense and Aggression of caster by 10.8',100,1,4),
(155695,113406,'Increases Mitigation of caster vs noxious damage by 720',100,1,5),
(155696,113406,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(155697,10113406,'Reduces physical damage done to caster by 5%',100,1,0),
(155698,10113406,'Increases STA of caster by 55.2',100,1,1),
(155699,10113406,'Adds 3.7% to base avoidance.',100,1,2),
(155700,10113406,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(155701,10113406,'Increases Defense and Aggression of caster by 10.8',100,1,4),
(155702,10113406,'Increases Mitigation of caster vs noxious damage by 720',100,1,5),
(155703,10113406,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(155704,112030,'Roots target',100,1,0),
(155705,112030,'Stifles target',100,1,1),
(155706,112030,'If Target is not Epic',100,2,2),
(155707,112030,'20% chance to dispel when target takes damage',100,1,3),
(155708,112030,'Does not affect Epic targets',100,1,4),
(155709,112030,'Resistibility increases against targets higher than level 68.',100,1,5),
(155710,10112030,'Roots target',100,1,0),
(155711,10112030,'Stifles target',100,1,1),
(155712,10112030,'If Target is not Epic',100,2,2),
(155713,10112030,'20% chance to dispel when target takes damage',100,1,3),
(155714,10112030,'Does not affect Epic targets',100,1,4),
(155715,10112030,'Resistibility increases against targets higher than level 68.',100,1,5),
(155716,46456,'Applies Form of the Shadowbeast when Activated.',100,0,0),
(155717,46456,'Shapechanges caster into an an enraged shadow beast',100,1,1),
(155718,10046456,'Applies Form of the Shadowbeast when Activated.',100,0,0),
(155719,10046456,'Shapechanges caster into an an enraged shadow beast',100,1,1),
(155720,181878,'When Equipped:',100,0,0),
(155721,181878,'Increases Attack Speed of caster by 40.0',100,1,1),
(155722,10181878,'When Equipped:',100,0,0),
(155723,10181878,'Increases Attack Speed of caster by 40.0',100,1,1),
(155724,106803,'Decreases STR and AGI of target encounter by 81.3',100,1,0),
(155725,10106803,'Decreases STR and AGI of target encounter by 81.3',100,1,0),
(155726,110269,'Summons a pet handy companion',100,1,0),
(155727,10110269,'Summons a pet handy companion',100,1,0),
(155728,52752,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(155729,52752,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(155730,52752,'Inflicts 47 heat damage on target',100,2,2),
(155731,52752,'Cannot be modified except by direct means',100,2,3),
(155732,10052752,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(155733,10052752,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(155734,10052752,'Inflicts 62 heat damage on target',100,2,2),
(155735,10052752,'Cannot be modified except by direct means',100,2,3),
(155736,118989,'Heals target for 321 - 392',100,1,0),
(155737,10118989,'Heals target for 341 - 417',100,1,0),
(155738,110297,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(155739,110297,'Slows target by 60.2%',100,2,1),
(155740,110297,'5% chance to dispel when target receives hostile action',100,2,2),
(155741,110297,'5% chance to dispel when target takes damage',100,2,3),
(155742,110297,'Decreases Mitigation of target vs arcane damage by 1820',100,1,4),
(155743,10110297,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(155744,10110297,'Slows target by 60.2%',100,2,1),
(155745,10110297,'5% chance to dispel when target receives hostile action',100,2,2),
(155746,10110297,'5% chance to dispel when target takes damage',100,2,3),
(155747,10110297,'Decreases Mitigation of target vs arcane damage by 1820',100,1,4),
(155748,46809,'Applies Tranquilize when Activated.  Lasts for 30.0 seconds.',100,0,0),
(155749,46809,'Mesmerizes target',100,1,1),
(155750,46809,'Dispelled when target takes damage',100,1,2),
(155751,46809,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(155752,46809,'Resistibility increases against targets higher than level 30.',100,1,4),
(155753,10046809,'Applies Tranquilize when Activated.  Lasts for 30.0 seconds.',100,0,0),
(155754,10046809,'Mesmerizes target',100,1,1),
(155755,10046809,'Dispelled when target takes damage',100,1,2),
(155756,10046809,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(155757,10046809,'Resistibility increases against targets higher than level 30.',100,1,4),
(155758,182633,'When Equipped:',100,0,0),
(155759,182633,'On a critical combat hit this spell may cast Guise of Scowls on target of attack.  Triggers about 2.8 times per minute. ',100,1,1),
(155760,182633,'Decreases Threat to target by 4,750 ',100,2,2),
(155761,182633,'Must be flanking or behind',100,3,3),
(155762,182633,'Increases Threat to target by 4,750 ',100,2,4),
(155763,182633,'Must be in front of',100,3,5),
(155764,182633,'Cannot be modified except by direct means',100,2,6),
(155765,10182633,'When Equipped:',100,0,0),
(155766,10182633,'On a critical combat hit this spell may cast Guise of Scowls on target of attack.  Triggers about 2.8 times per minute. ',100,1,1),
(155767,10182633,'Cannot be modified except by direct means',100,2,2),
(155768,105033,'Increases WIS of raid and group members (AE) by 46.8',100,1,0),
(155769,105033,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(155770,105033,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 171',100,1,2),
(155771,10105033,'Increases WIS of raid and group members (AE) by 46.8',100,1,0),
(155772,10105033,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(155773,10105033,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 171',100,1,2),
(155774,108231,'Inflicts 181 - 545 piercing damage on target',100,1,0),
(155775,108231,'Decreases Slashing, Crushing, Piercing and Ranged of target by 20.8',100,1,1),
(155776,10108231,'Inflicts 236 - 709 piercing damage on target',100,1,0),
(155777,10108231,'Decreases Slashing, Crushing, Piercing and Ranged of target by 20.8',100,1,1),
(155778,48446,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(155779,48446,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(155780,48446,'Decreases STR of target by 12.3',100,2,2),
(155781,48446,'Cannot be modified except by direct means',100,2,3),
(155782,48446,'Grants a total of 30 triggers of the spell.',100,2,4),
(155783,10048446,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(155784,10048446,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(155785,10048446,'Decreases STR of target by 12.3',100,2,2),
(155786,10048446,'Cannot be modified except by direct means',100,2,3),
(155787,10048446,'Grants a total of 30 triggers of the spell.',100,2,4),
(155788,113165,'Inflicts 624 disease damage on target',100,1,0),
(155789,113165,'Heals caster for 266',100,1,1),
(155790,10113165,'Inflicts 811 disease damage on target',100,1,0),
(155791,10113165,'Heals caster for 225',100,1,1),
(155792,82301,'When Equipped:',100,0,0),
(155793,82301,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(155794,82301,'Inflicts 288 - 534 magic damage on target',100,2,2),
(155795,82301,'Decreases Threat to target by 672 ',100,2,3),
(155796,82301,'Must be flanking or behind',100,3,4),
(155797,82301,'Increases Threat to target by 672 ',100,2,5),
(155798,82301,'Must be in front of',100,3,6),
(155799,82301,'Cannot be modified except by direct means',100,2,7),
(155800,10082301,'When Equipped:',100,0,0),
(155801,10082301,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(155802,10082301,'Inflicts 374 - 695 magic damage on target',100,2,2),
(155803,10082301,'Cannot be modified except by direct means',100,2,3),
(155804,108450,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(155805,108450,'Increases Aggression of caster by 2.6',100,1,1),
(155806,108450,'Increases Defense and Parry of caster by 5.1',100,1,2),
(155807,108450,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(155808,10108450,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(155809,10108450,'Increases Aggression of caster by 2.6',100,1,1),
(155810,10108450,'Increases Defense and Parry of caster by 5.1',100,1,2),
(155811,10108450,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(155812,42586,'When Equipped:',100,0,0),
(155813,42586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155814,42586,'Inflicts 150 - 225 magic damage on target',100,2,2),
(155815,42586,'Cannot be modified except by direct means',100,2,3),
(155816,10042586,'When Equipped:',100,0,0),
(155817,10042586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155818,10042586,'Inflicts 195 - 292 magic damage on target',100,2,2),
(155819,10042586,'Cannot be modified except by direct means',100,2,3),
(155820,46848,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(155821,46848,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(155822,46848,'Inflicts 109 poison damage on target',100,2,2),
(155823,46848,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,3),
(155824,46848,'Cannot be modified except by direct means',100,2,4),
(155825,46848,'Grants a total of 200 triggers of the spell.',100,2,5),
(155826,10046848,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(155827,10046848,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(155828,10046848,'Inflicts 106 poison damage on target',100,2,2),
(155829,10046848,'Inflicts 31 poison damage on target instantly and every 6 seconds',100,2,3),
(155830,10046848,'Cannot be modified except by direct means',100,2,4),
(155831,10046848,'Grants a total of 200 triggers of the spell.',100,2,5),
(155832,101534,'Increases WIS of target by 112.5',100,1,0),
(155833,101534,'Increases Max Health of target by 1,001.6',100,1,1),
(155834,101534,'Increases Mitigation of target vs elemental, noxious and arcane damage by 306',100,1,2),
(155835,10101534,'Increases WIS of target by 112.5',100,1,0),
(155836,10101534,'Increases Max Health of target by 1,001.6',100,1,1),
(155837,10101534,'Increases Mitigation of target vs elemental, noxious and arcane damage by 306',100,1,2),
(155838,101175,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(155839,101175,'Slows target by 34.2%',100,2,1),
(155840,101175,'5% chance to dispel when target receives hostile action',100,2,2),
(155841,101175,'5% chance to dispel when target takes damage',100,2,3),
(155842,101175,'Inflicts 103 - 172 cold damage on target',100,1,4),
(155843,101175,'Inflicts 103 - 172 cold damage on target',100,1,5),
(155844,101175,'If weapon equipped in Ranged',100,1,6),
(155845,10101175,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(155846,10101175,'Slows target by 34.2%',100,2,1),
(155847,10101175,'5% chance to dispel when target receives hostile action',100,2,2),
(155848,10101175,'5% chance to dispel when target takes damage',100,2,3),
(155849,10101175,'Inflicts 87 - 146 cold damage on target',100,1,4),
(155850,10101175,'Inflicts 87 - 146 cold damage on target',100,1,5),
(155851,10101175,'If weapon equipped in Ranged',100,1,6),
(155852,74801,'When Equipped:',100,0,0),
(155853,74801,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155854,74801,'Inflicts 131 - 197 magic damage on target',100,2,2),
(155855,74801,'Cannot be modified except by direct means',100,2,3),
(155856,10074801,'When Equipped:',100,0,0),
(155857,10074801,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155858,10074801,'Inflicts 171 - 256 magic damage on target',100,2,2),
(155859,10074801,'Cannot be modified except by direct means',100,2,3),
(155860,118170,'Inflicts 883 - 1472 melee damage on target',100,1,0),
(155861,118170,'Dazes target',100,1,1),
(155862,118170,'If Target is not Epic',100,2,2),
(155863,118170,'Resistibility increases against targets higher than level 117.',100,1,3),
(155864,10118170,'Inflicts 1148 - 1914 melee damage on target',100,1,0),
(155865,10118170,'Dazes target',100,1,1),
(155866,10118170,'If Target is not Epic',100,2,2),
(155867,10118170,'Resistibility increases against targets higher than level 117.',100,1,3),
(155868,181837,'When Equipped:',100,0,0),
(155869,181837,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(155870,10181837,'When Equipped:',100,0,0),
(155871,10181837,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(155872,111319,'Increases Attack Speed of caster by 42.1',100,1,0),
(155873,10111319,'Increases Attack Speed of caster by 42.1',100,1,0),
(155874,114197,'Inflicts 297 - 495 melee damage on target',100,1,0),
(155875,114197,'Decreases Slashing, Crushing and Piercing of target by 7.6',100,1,1),
(155876,10114197,'Inflicts 386 - 643 melee damage on target',100,1,0),
(155877,10114197,'Decreases Slashing, Crushing and Piercing of target by 7.6',100,1,1),
(155878,120797,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(155879,120797,'Stuns target',100,2,1),
(155880,120797,'Throws target back',100,2,2),
(155881,120797,'Blurs vision of target',100,2,3),
(155882,120797,'Does not affect Epic targets',100,2,4),
(155883,120797,'Inflicts 194 - 324 piercing damage on target',100,1,5),
(155884,10120797,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(155885,10120797,'Stuns target',100,2,1),
(155886,10120797,'Blurs vision of target',100,2,2),
(155887,10120797,'Throws target back',100,2,3),
(155888,10120797,'Does not affect Epic targets',100,2,4),
(155889,10120797,'Inflicts 253 - 421 piercing damage on target',100,1,5),
(155890,114718,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(155891,114718,'Decreases Hate Gain of target by 31.6%',100,1,1),
(155892,10114718,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(155893,48748,'Applies Elixir of Precision  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(155894,48748,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(155895,48748,'Inflicts 5 magic damage on target',100,2,2),
(155896,48748,'Cannot be modified except by direct means',100,2,3),
(155897,10048748,'Applies Elixir of Precision  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(155898,10048748,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(155899,10048748,'Inflicts 7 magic damage on target',100,2,2),
(155900,10048748,'Cannot be modified except by direct means',100,2,3),
(155901,87152,'When Equipped:',100,0,0),
(155902,87152,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155903,87152,'Inflicts 210 - 315 magic damage on target',100,2,2),
(155904,87152,'Cannot be modified except by direct means',100,2,3),
(155905,10087152,'When Equipped:',100,0,0),
(155906,10087152,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(155907,10087152,'Inflicts 273 - 409 magic damage on target',100,2,2),
(155908,10087152,'Cannot be modified except by direct means',100,2,3),
(155909,35602,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(155910,45011,'Applies Create Medal when Activated.',100,0,0),
(155911,45011,'Summon 1 Emblem of Merit',100,1,1),
(155912,10045011,'Applies Create Medal when Activated.',100,0,0),
(155913,10045011,'Summon 1 Emblem of Merit',100,1,1),
(155914,117983,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(155915,117983,'Increases Damage Per Second of target by 19.6',100,2,1),
(155916,117983,'Increases Attack Speed of target by 19.6',100,2,2),
(155917,117983,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(155918,117983,'Increases Damage Per Second of target by 19.6',100,2,4),
(155919,117983,'Increases Attack Speed of target by 19.6',100,2,5),
(155920,117983,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(155921,117983,'Increases Damage Per Second of target by 19.6',100,2,7),
(155922,117983,'Increases Attack Speed of target by 19.6',100,2,8),
(155923,10117983,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(155924,10117983,'Increases Damage Per Second of target by 19.6',100,2,1),
(155925,10117983,'Increases Attack Speed of target by 19.6',100,2,2),
(155926,10117983,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(155927,10117983,'Increases Damage Per Second of target by 19.6',100,2,4),
(155928,10117983,'Increases Attack Speed of target by 19.6',100,2,5),
(155929,10117983,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(155930,10117983,'Increases Damage Per Second of target by 19.6',100,2,7),
(155931,10117983,'Increases Attack Speed of target by 19.6',100,2,8),
(155932,25295,'When Equipped:',100,0,0),
(155933,25295,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(155934,25295,'Adds an additional chance to block following Bash VIII.',100,1,2),
(155935,10025295,'When Equipped:',100,0,0),
(155936,10025295,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(155937,10025295,'Adds an additional chance to block following Bash VIII.',100,1,2),
(155938,25869,'When Equipped:',100,0,0),
(155939,25869,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(155940,25869,'Improves the effects of Tenacity VII and makes it groupwide.',100,1,2),
(155941,10025869,'When Equipped:',100,0,0),
(155942,10025869,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(155943,10025869,'Improves the effects of Tenacity VII and makes it groupwide.',100,1,2),
(155944,72351,'When Equipped:',100,0,0),
(155945,72351,'On a combat hit this spell may cast Incinerate Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(155946,72351,'Inflicts 222 heat damage on target instantly and every 5 seconds',100,2,2),
(155947,72351,'Cannot be modified except by direct means',100,2,3),
(155948,10072351,'When Equipped:',100,0,0),
(155949,10072351,'On a combat hit this spell may cast Incinerate Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(155950,10072351,'Inflicts 289 heat damage on target instantly and every 5 seconds',100,2,2),
(155951,10072351,'Cannot be modified except by direct means',100,2,3),
(155952,109330,'Increases STR of caster by 65.0',100,1,0),
(155953,109330,'Decreases Defense of caster by 13.2',100,1,1),
(155954,109330,'Increases Slashing, Piercing and Crushing of caster by 18.8',100,1,2),
(155955,10109330,'Increases STR of caster by 65.0',100,1,0),
(155956,10109330,'Decreases Defense of caster by 13.2',100,1,1),
(155957,10109330,'Increases Slashing, Piercing and Crushing of caster by 18.8',100,1,2),
(155958,100000,'Summons a pet concentration of wind',100,1,0),
(155959,10100000,'Summons a pet concentration of wind',100,1,0),
(155960,159147,'Applies Lambent Imbued when Equipped.',100,0,0),
(155961,159147,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(155962,159147,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(155963,159147,'Cannot be modified except by direct means',100,2,3),
(155964,10159147,'Applies Lambent Imbued when Equipped.',100,0,0),
(155965,10159147,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(155966,10159147,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(155967,10159147,'Cannot be modified except by direct means',100,2,3),
(155968,157948,'When Equipped:',100,0,0),
(155969,157948,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(155970,157948,'Decreases Damage Per Second of target by 7.4 - 12.4',100,2,2),
(155971,157948,'Cannot be modified except by direct means',100,2,3),
(155972,10157948,'When Equipped:',100,0,0),
(155973,10157948,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(155974,10157948,'Decreases Damage Per Second of target by 7.4 - 12.4',100,2,2),
(155975,10157948,'Cannot be modified except by direct means',100,2,3),
(155976,113059,'Applies Scream on termination.',100,1,0),
(155977,113059,'Inflicts 151 - 252 disease damage on target',100,2,1),
(155978,113059,'Dazes target',100,1,2),
(155979,113059,'If Target is not Epic',100,2,3),
(155980,113059,'Resistibility increases against targets higher than level 63.',100,1,4),
(155981,10113059,'Dazes target',100,1,0),
(155982,10113059,'If Target is not Epic',100,2,1),
(155983,10113059,'Applies Scream on termination.',100,1,2),
(155984,10113059,'Inflicts 196 - 327 disease damage on target',100,2,3),
(155985,10113059,'Resistibility increases against targets higher than level 63.',100,1,4),
(155986,122731,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(155987,122731,'Increases Deflection of caster by 9.9',100,1,1),
(155988,10122731,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(155989,10122731,'Increases Deflection of caster by 9.9',100,1,1),
(155990,176660,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(155991,176660,'Decreases INT, AGI, WIS and STR of target by 43.0',100,1,1),
(155992,176660,'Decreases Max Health of target by 1.0%',100,1,2),
(155993,176660,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(155994,10176660,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(155995,10176660,'Decreases INT, AGI, WIS and STR of target by 43.0',100,1,1),
(155996,10176660,'Decreases Max Health of target by 1.0%',100,1,2),
(155997,10176660,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(155998,40640,'When Equipped:',100,0,0),
(155999,40640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156000,40640,'Inflicts 97 - 145 magic damage on target',100,2,2),
(156001,40640,'Cannot be modified except by direct means',100,2,3),
(156002,10040640,'When Equipped:',100,0,0),
(156003,10040640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156004,10040640,'Inflicts 126 - 189 magic damage on target',100,2,2),
(156005,10040640,'Cannot be modified except by direct means',100,2,3),
(156006,115371,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(156007,115371,'Increases Parry of caster by 8.3',100,1,1),
(156008,10115371,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(156009,10115371,'Increases Parry of caster by 8.3',100,1,1),
(156010,104958,'Inflicts 1265 - 2108 melee damage on target',100,1,0),
(156011,104958,'Decreases Defense of target by 46.4',100,1,1),
(156012,104958,'Must be behind',100,1,2),
(156013,10104958,'Inflicts 1644 - 2741 melee damage on target',100,1,0),
(156014,10104958,'Decreases Defense of target by 46.4',100,1,1),
(156015,10104958,'Must be behind',100,1,2),
(156016,107003,'Decreases Threat to targets in Area of Effect by 357 ',100,1,0),
(156017,107003,'Dazes targets in Area of Effect',100,1,1),
(156018,107003,'If Target is not Epic',100,2,2),
(156019,107003,'Dispelled when target receives hostile action',100,1,3),
(156020,107003,'Dispelled when target takes damage',100,1,4),
(156021,10107003,'Dazes targets in Area of Effect',100,1,0),
(156022,10107003,'If Target is not Epic',100,2,1),
(156023,10107003,'Dispelled when target receives hostile action',100,1,2),
(156024,10107003,'Dispelled when target takes damage',100,1,3),
(156025,46474,'Applies March of the Goblins when Activated.',100,0,0),
(156026,46474,'Shapechanges the user into a Goblin.',100,1,1),
(156027,10046474,'Applies March of the Goblins when Activated.',100,0,0),
(156028,10046474,'Shapechanges the user into a Goblin.',100,1,1),
(156029,102677,'Inflicts 331 divine damage on target encounter',100,1,0),
(156030,10102677,'Inflicts 431 divine damage on target encounter',100,1,0),
(156031,159100,'When Equipped:',100,0,0),
(156032,159100,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156033,159100,'Increases STR of caster by 14.8',100,2,2),
(156034,159100,'Increases Damage Per Second of caster by 19.0',100,2,3),
(156035,159100,'Cannot be modified except by direct means',100,2,4),
(156036,10159100,'When Equipped:',100,0,0),
(156037,10159100,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156038,10159100,'Increases STR of caster by 14.8',100,2,2),
(156039,10159100,'Increases Damage Per Second of caster by 19.0',100,2,3),
(156040,10159100,'Cannot be modified except by direct means',100,2,4),
(156041,115491,'Summons a pet nightshade',100,1,0),
(156042,10115491,'Summons a pet nightshade',100,1,0),
(156043,113273,'Inflicts 36 - 48 magic damage on target',100,1,0),
(156044,10113273,'Inflicts 47 - 63 magic damage on target',100,1,0),
(156045,101483,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(156046,101483,'Increases Mitigation of group members (AE) vs arcane damage by 479',100,1,1),
(156047,10101483,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(156048,10101483,'Increases Mitigation of group members (AE) vs arcane damage by 479',100,1,1),
(156049,106476,'Decreases STR and AGI of target by 25.1',100,1,0),
(156050,10106476,'Decreases STR and AGI of target by 25.1',100,1,0),
(156051,48380,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(156052,48380,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(156053,48380,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(156054,10048380,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(156055,10048380,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(156056,10048380,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(156057,173596,'When Equipped:',100,0,0),
(156058,173596,'Increases Attack Speed of caster by 40.0',100,1,1),
(156059,10173596,'When Equipped:',100,0,0),
(156060,10173596,'Increases Attack Speed of caster by 40.0',100,1,1),
(156061,71345,'When Equipped:',100,0,0),
(156062,71345,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156063,71345,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(156064,71345,'Cannot be modified except by direct means',100,2,3),
(156065,10071345,'When Equipped:',100,0,0),
(156066,10071345,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156067,10071345,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(156068,10071345,'Cannot be modified except by direct means',100,2,3),
(156069,153659,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(156070,153659,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(156071,153659,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(156072,153659,'Cannot be modified except by direct means',100,2,3),
(156073,10153659,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(156074,10153659,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(156075,10153659,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(156076,10153659,'Cannot be modified except by direct means',100,2,3),
(156077,45859,'When Equipped:',100,0,0),
(156078,45859,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(156079,45859,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(156080,45859,'Inflicts 401 mental damage on target',100,2,3),
(156081,45859,'Must not be classified as an undead',100,3,4),
(156082,45859,'Inflicts 802 mental damage on target',100,2,5),
(156083,45859,'Must be classified as an undead',100,3,6),
(156084,45859,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(156085,45859,'Must be classified as an undead',100,3,8),
(156086,45859,'Cannot be modified except by direct means',100,2,9),
(156087,10045859,'When Equipped:',100,0,0),
(156088,10045859,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(156089,10045859,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(156090,10045859,'Inflicts 521 mental damage on target',100,2,3),
(156091,10045859,'Must not be classified as an undead',100,3,4),
(156092,10045859,'Inflicts 1043 mental damage on target',100,2,5),
(156093,10045859,'Must be classified as an undead',100,3,6),
(156094,10045859,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(156095,10045859,'Must be classified as an undead',100,3,8),
(156096,10045859,'Cannot be modified except by direct means',100,2,9),
(156097,48534,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(156098,48534,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(156099,48534,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(156100,48534,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(156101,48534,'Cannot be modified except by direct means',100,2,4),
(156102,48534,'Grants a total of 80 triggers of the spell.',100,2,5),
(156103,10048534,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(156104,10048534,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(156105,10048534,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(156106,10048534,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(156107,10048534,'Cannot be modified except by direct means',100,2,4),
(156108,10048534,'Grants a total of 80 triggers of the spell.',100,2,5),
(156109,112937,'Inflicts 35 - 106 crushing damage on target',100,1,0),
(156110,10112937,'Inflicts 46 - 139 crushing damage on target',100,1,0),
(156111,81654,'When Equipped:',100,0,0),
(156112,81654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156113,81654,'Inflicts 167 - 311 magic damage on target',100,2,2),
(156114,81654,'Cannot be modified except by direct means',100,2,3),
(156115,10081654,'When Equipped:',100,0,0),
(156116,10081654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156117,10081654,'Inflicts 217 - 404 magic damage on target',100,2,2),
(156118,10081654,'Cannot be modified except by direct means',100,2,3),
(156119,120434,'Inflicts 212 - 353 melee damage on target',100,1,0),
(156120,120434,'Inflicts 212 - 353 melee damage on target',100,1,1),
(156121,10120434,'Inflicts 275 - 459 melee damage on target',100,1,0),
(156122,10120434,'Inflicts 275 - 459 melee damage on target',100,1,1),
(156123,118673,'Inflicts 416 - 694 slashing damage on target',100,1,0),
(156124,10118673,'Inflicts 541 - 903 slashing damage on target',100,1,0),
(156125,71402,'When Equipped:',100,0,0),
(156126,71402,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156127,71402,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(156128,71402,'Cannot be modified except by direct means',100,2,3),
(156129,10071402,'When Equipped:',100,0,0),
(156130,10071402,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156131,10071402,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(156132,10071402,'Cannot be modified except by direct means',100,2,3),
(156133,24284,'Adds Elite: Diaku (Warlock) to your Dungeon Maker toolbox',100,0,0),
(156134,10024284,'Adds Elite: Diaku (Warlock) to your Dungeon Maker toolbox',100,0,0),
(156135,48045,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(156136,48045,'Increases speed of caster by 13.8%',100,1,1),
(156137,10048045,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(156138,10048045,'Increases speed of caster by 13.8%',100,1,1),
(156139,108272,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(156140,108272,'Inflicts 245 heat damage on target',100,2,1),
(156141,108272,'Grants a total of 3 triggers of the spell.',100,2,2),
(156142,10108272,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(156143,10108272,'Inflicts 319 heat damage on target',100,2,1),
(156144,10108272,'Grants a total of 3 triggers of the spell.',100,2,2),
(156145,48498,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(156146,48498,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(156147,48498,'Inflicts 86 poison damage on target instantly and every 6 seconds',100,2,2),
(156148,48498,'Inflicts 526 poison damage on target',100,2,3),
(156149,48498,'Cannot be modified except by direct means',100,2,4),
(156150,48498,'Grants a total of 200 triggers of the spell.',100,2,5),
(156151,10048498,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(156152,10048498,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(156153,10048498,'Inflicts 84 poison damage on target instantly and every 6 seconds',100,2,2),
(156154,10048498,'Inflicts 513 poison damage on target',100,2,3),
(156155,10048498,'Cannot be modified except by direct means',100,2,4),
(156156,10048498,'Grants a total of 200 triggers of the spell.',100,2,5),
(156157,120198,'Decreases STR and INT of target by 48.7',100,1,0),
(156158,120198,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(156159,120198,'Grants a total of 1 trigger of the spell.',100,2,2),
(156160,10120198,'Decreases STR and INT of target by 48.7',100,1,0),
(156161,10120198,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(156162,10120198,'Grants a total of 1 trigger of the spell.',100,2,2),
(156163,101407,'Inflicts 670 - 1117 melee damage on target',100,1,0),
(156164,101407,'Returns the last arrow used to the ranger.',100,1,1),
(156165,10101407,'Inflicts 871 - 1452 melee damage on target',100,1,0),
(156166,10101407,'Returns the last arrow used to the ranger.',100,1,1),
(156167,114142,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(156168,114142,'Increases Mitigation of group members (AE) vs elemental damage by 1160',100,1,1),
(156169,10114142,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(156170,10114142,'Increases Mitigation of group members (AE) vs elemental damage by 1160',100,1,1),
(156171,116947,'Increases Threat to target by 168 - 205 ',100,1,0),
(156172,116947,'Interrupts target',100,1,1),
(156173,10116947,'Forces target to change their selected target to caster.',100,1,0),
(156174,10116947,'Interrupts target',100,1,1),
(156175,10116947,'Prevents target from changing targets',100,1,2),
(156176,110110,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(156177,110110,'Inflicts 58 disease damage on target',100,2,1),
(156178,110110,'Heals caster for 28',100,2,2),
(156179,110110,'Decreases INT of target by 137.5',100,1,3),
(156180,110110,'Decreases Attack Speed of target by 25.0',100,1,4),
(156181,110110,'Increases Max Health of target by 14.0%',100,1,5),
(156182,110110,'Increases Hate Gain of target by 40.3%',100,1,6),
(156183,110110,'Increases Aggression of target by 14.7',100,1,7),
(156184,110110,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(156185,110110,'Increases Threat to target encounter by 148 - 181 ',100,2,9),
(156186,110110,'Increases Mitigation of target vs elemental, noxious and arcane damage by 980',100,1,10),
(156187,10110110,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(156188,10110110,'Inflicts 76 disease damage on target',100,2,1),
(156189,10110110,'Heals caster for 18',100,2,2),
(156190,10110110,'Decreases INT of target by 137.5',100,1,3),
(156191,10110110,'Decreases Attack Speed of target by 25.0',100,1,4),
(156192,10110110,'Increases Max Health of target by 14.0%',100,1,5),
(156193,10110110,'Increases Aggression of target by 14.7',100,1,6),
(156194,10110110,'Increases Mitigation of target vs elemental, noxious and arcane damage by 980',100,1,7),
(156195,185773,'When Equipped:',100,0,0),
(156196,185773,'Grants See Invisibility to caster',100,1,1),
(156197,10185773,'When Equipped:',100,0,0),
(156198,10185773,'Grants See Invisibility to caster',100,1,1),
(156199,122348,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(156200,122348,'Inflicts 17 - 20 piercing damage on target',100,2,1),
(156201,10122348,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(156202,10122348,'Inflicts 22 - 27 piercing damage on target',100,2,1),
(156203,134136,'When Equipped:',100,0,0),
(156204,134136,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(156205,134136,'Wards target against 2420 points of all damage',100,2,2),
(156206,134136,'Cannot be modified except by direct means',100,2,3),
(156207,134136,'Cannot be modified except by direct means',100,1,4),
(156208,10134136,'When Equipped:',100,0,0),
(156209,10134136,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(156210,10134136,'Wards target against 2420 points of all damage',100,2,2),
(156211,10134136,'Cannot be modified except by direct means',100,2,3),
(156212,10134136,'Cannot be modified except by direct means',100,1,4),
(156213,163640,'When Equipped:',100,0,0),
(156214,163640,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(156215,10163640,'When Equipped:',100,0,0),
(156216,10163640,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(156217,81200,'When Equipped:',100,0,0),
(156218,81200,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156219,81200,'Decreases Threat to target by 833 ',100,2,2),
(156220,81200,'Must be flanking or behind',100,3,3),
(156221,81200,'Increases Threat to target by 833 ',100,2,4),
(156222,81200,'Must be in front of',100,3,5),
(156223,81200,'Inflicts 350 - 650 magic damage on target',100,2,6),
(156224,81200,'Cannot be modified except by direct means',100,2,7),
(156225,10081200,'When Equipped:',100,0,0),
(156226,10081200,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156227,10081200,'Inflicts 455 - 845 magic damage on target',100,2,2),
(156228,10081200,'Cannot be modified except by direct means',100,2,3),
(156229,110632,'Inflicts 741 - 1235 ranged damage on target',100,1,0),
(156230,110632,'If weapon equipped in Ranged',100,1,1),
(156231,110632,'Must be flanking or behind',100,1,2),
(156232,10110632,'Inflicts 460 - 767 ranged damage on target',100,1,0),
(156233,10110632,'If weapon equipped in Ranged',100,1,1),
(156234,10110632,'Must be flanking or behind',100,1,2),
(156235,101583,'Inflicts 109 - 182 melee damage on targets in area',100,1,0),
(156236,10101583,'Inflicts 142 - 236 melee damage on targets in area',100,1,0),
(156237,45635,'Applies Elixir of Resurgence  when Activated.',100,0,0),
(156238,45635,'Heals caster for 34',100,1,1),
(156239,10045635,'Applies Elixir of Resurgence  when Activated.',100,0,0),
(156240,10045635,'Heals caster for 22',100,1,1),
(156241,177708,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(156242,177708,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(156243,177708,'Inflicts 20 heat damage on target',100,2,2),
(156244,177708,'Cannot be modified except by direct means',100,2,3),
(156245,10177708,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(156246,10177708,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(156247,10177708,'Inflicts 27 heat damage on target',100,2,2),
(156248,10177708,'Cannot be modified except by direct means',100,2,3),
(156249,107540,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(156250,107540,'Decreases Mitigation of target encounter vs elemental and noxious damage by 864',100,1,1),
(156251,10107540,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(156252,10107540,'Decreases Mitigation of target encounter vs elemental and noxious damage by 864',100,1,1),
(156253,110057,'Summons a pet grim sorcerer',100,1,0),
(156254,10110057,'Summons a pet grim sorcerer',100,1,0),
(156255,112547,'Interrupts target',50,1,0),
(156256,112547,'Inflicts 1037 - 1267 divine damage on target',100,1,1),
(156257,10112547,'Interrupts target',50,1,0),
(156258,10112547,'Inflicts 1733 - 2118 divine damage on target',100,1,1),
(156259,115028,'Heals target for 179 - 218',100,1,0),
(156260,10115028,'Heals target for 250 - 306',100,1,0),
(156261,48887,'Applies Shielding of the Faydark  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(156262,48887,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(156263,48887,'Inflicts 7 magic damage on target',100,2,2),
(156264,48887,'Cannot be modified except by direct means',100,2,3),
(156265,10048887,'Applies Shielding of the Faydark  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(156266,10048887,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(156267,10048887,'Inflicts 9 magic damage on target',100,2,2),
(156268,10048887,'Cannot be modified except by direct means',100,2,3),
(156269,116767,'Increases Max Health of target by 709.8',100,1,0),
(156270,116767,'Increases Max Power of target by 783.2',100,1,1),
(156271,10116767,'Increases Max Health of target by 709.8',100,1,0),
(156272,10116767,'Increases Max Power of target by 783.2',100,1,1),
(156273,76131,'When Equipped:',100,0,0),
(156274,76131,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(156275,76131,'Decreases Parry of target encounter by 10.0',100,2,2),
(156276,76131,'Inflicts 757 - 837 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(156277,76131,'Decreases Defense of target encounter by 10.0',100,2,4),
(156278,76131,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(156279,76131,'Must not be engaged in pvp combat',100,2,6),
(156280,76131,'Cannot be modified except by direct means',100,2,7),
(156281,76131,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(156282,76131,'Cannot be modified except by direct means',100,1,9),
(156283,10076131,'When Equipped:',100,0,0),
(156284,10076131,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(156285,10076131,'Decreases Parry of target encounter by 10.0',100,2,2),
(156286,10076131,'Inflicts 985 - 1088 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(156287,10076131,'Decreases Defense of target encounter by 10.0',100,2,4),
(156288,10076131,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(156289,10076131,'Must not be engaged in pvp combat',100,2,6),
(156290,10076131,'Cannot be modified except by direct means',100,2,7),
(156291,10076131,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(156292,10076131,'Cannot be modified except by direct means',100,1,9),
(156293,80653,'When Equipped:',100,0,0),
(156294,80653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156295,80653,'Inflicts 83 - 154 magic damage on target',100,2,2),
(156296,80653,'Cannot be modified except by direct means',100,2,3),
(156297,10080653,'When Equipped:',100,0,0),
(156298,10080653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156299,10080653,'Inflicts 108 - 200 magic damage on target',100,2,2),
(156300,10080653,'Cannot be modified except by direct means',100,2,3),
(156301,36468,'Increases INT and WIS of target by 1.1',100,0,0),
(156302,36468,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(156303,115279,'Heals target for 708',100,1,0),
(156304,115279,'Heals target for 118 every second',100,1,1),
(156305,115279,'Dispels 91 levels of any hostile effects on target',100,1,2),
(156306,10115279,'Heals target for 828',100,1,0),
(156307,10115279,'Heals target for 138 every second',100,1,1),
(156308,10115279,'Dispels 91 levels of any hostile effects on target',100,1,2),
(156309,101844,'Summons a limited pet to aid the caster',100,1,0),
(156310,10101844,'Summons a limited pet to aid the caster',100,1,0),
(156311,36970,'Increases Max Power of target by 3.3',100,0,0),
(156312,36970,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(156313,122226,'Increases Damage Per Second of target by 27.0',100,1,0),
(156314,122226,'Increases Max Health of target by 912.6',100,1,1),
(156315,10122226,'Increases Damage Per Second of target by 27.0',100,1,0),
(156316,10122226,'Increases Max Health of target by 912.6',100,1,1),
(156317,81512,'When Equipped:',100,0,0),
(156318,81512,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156319,81512,'Inflicts 151 - 280 magic damage on target',100,2,2),
(156320,81512,'Cannot be modified except by direct means',100,2,3),
(156321,10081512,'When Equipped:',100,0,0),
(156322,10081512,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156323,10081512,'Inflicts 196 - 364 magic damage on target',100,2,2),
(156324,10081512,'Cannot be modified except by direct means',100,2,3),
(156325,71511,'When Equipped:',100,0,0),
(156326,71511,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156327,71511,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(156328,71511,'Cannot be modified except by direct means',100,2,3),
(156329,10071511,'When Equipped:',100,0,0),
(156330,10071511,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156331,10071511,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(156332,10071511,'Cannot be modified except by direct means',100,2,3),
(156333,109006,'Decreases Damage Per Second of target by 22.3',100,1,0),
(156334,109006,'Inflicts 218 - 267 melee damage on target',100,1,1),
(156335,10109006,'Decreases Damage Per Second of target by 22.3',100,1,0),
(156336,10109006,'Inflicts 284 - 347 melee damage on target',100,1,1),
(156337,123805,'Inflicts 58 - 97 magic damage on target',100,1,0),
(156338,123805,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(156339,123805,'Decreases Defense of target by 15.1',100,1,2),
(156340,123805,'Target will lose 23% more power when power is consumed',100,1,3),
(156341,123805,'23% of target''s power consumed will also be drained from target''s health',100,1,4),
(156342,10123805,'Inflicts 75 - 125 magic damage on target',100,1,0),
(156343,10123805,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(156344,10123805,'Decreases Defense of target by 15.1',100,1,2),
(156345,10123805,'Target will lose 23% more power when power is consumed',100,1,3),
(156346,10123805,'23% of target''s power consumed will also be drained from target''s health',100,1,4),
(156347,113938,'Increases power of target by 49 instantly and every 4 seconds',100,1,0),
(156348,10113938,'Increases power of target by 49 instantly and every 4 seconds',100,1,0),
(156349,101012,'Increases INT of target by 183.3',100,1,0),
(156350,101012,'Increases Attack Speed of target by 64.1',100,1,1),
(156351,101012,'Decreases Defense and Parry of target by 42.3',100,1,2),
(156352,101012,'Increases Slashing, Piercing and Crushing of target by 40.6',100,1,3),
(156353,10101012,'Increases INT of target by 183.3',100,1,0),
(156354,10101012,'Increases Attack Speed of target by 64.1',100,1,1),
(156355,10101012,'Decreases Defense and Parry of target by 42.3',100,1,2),
(156356,10101012,'Increases Slashing, Piercing and Crushing of target by 40.6',100,1,3),
(156357,117528,'Increases AGI, INT and WIS of group members (AE) by 41.2',100,1,0),
(156358,117528,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,1,1),
(156359,10117528,'Increases AGI, INT and WIS of group members (AE) by 41.2',100,1,0),
(156360,10117528,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,1,1),
(156361,72436,'When Equipped:',100,0,0),
(156362,72436,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(156363,72436,'Reduces healing received by 15.00%',100,2,2),
(156364,72436,'Cannot be modified except by direct means',100,2,3),
(156365,72436,'This effect can only trigger once every 1 second.',100,2,4),
(156366,72436,'Must be engaged in pvp combat',100,1,5),
(156367,10072436,'When Equipped:',100,0,0),
(156368,10072436,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(156369,10072436,'Reduces healing received by 15.00%',100,2,2),
(156370,10072436,'Cannot be modified except by direct means',100,2,3),
(156371,10072436,'This effect can only trigger once every 1 second.',100,2,4),
(156372,10072436,'Must be engaged in pvp combat',100,1,5),
(156373,153840,'When Equipped:',100,0,0),
(156374,153840,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 1.5 seconds.  ',100,1,1),
(156375,153840,'Stuns target',100,2,2),
(156376,153840,'Throws target back',100,2,3),
(156377,153840,'Does not affect Epic targets',100,2,4),
(156378,153840,'Resistibility increases against targets higher than level 74.',100,2,5),
(156379,153840,'Cannot be modified except by direct means',100,2,6),
(156380,10153840,'When Equipped:',100,0,0),
(156381,10153840,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 1.5 seconds.  ',100,1,1),
(156382,10153840,'Stuns target',100,2,2),
(156383,10153840,'Throws target back',100,2,3),
(156384,10153840,'Does not affect Epic targets',100,2,4),
(156385,10153840,'Resistibility increases against targets higher than level 74.',100,2,5),
(156386,10153840,'Cannot be modified except by direct means',100,2,6),
(156387,117165,'Inflicts 44 poison damage on target instantly and every 4 seconds',100,1,0),
(156388,117165,'Decreases WIS of target by 27.8',100,1,1),
(156389,10117165,'Inflicts 58 poison damage on target instantly and every 4 seconds',100,1,0),
(156390,10117165,'Decreases WIS of target by 27.8',100,1,1),
(156391,106144,'Inflicts 334 - 557 divine damage on target encounter',100,1,0),
(156392,106144,'Interrupts target encounter',100,1,1),
(156393,10106144,'Inflicts 434 - 724 divine damage on target encounter',100,1,0),
(156394,10106144,'Interrupts target encounter',100,1,1),
(156395,113191,'Inflicts 13 - 18 magic damage on target',100,1,0),
(156396,10113191,'Inflicts 17 - 23 magic damage on target',100,1,0),
(156397,114088,'Inflicts 186 - 310 melee damage on targets in area',100,1,0),
(156398,114088,'You must be in stealth to use this!',100,1,1),
(156399,10114088,'Inflicts 242 - 403 melee damage on targets in area',100,1,0),
(156400,10114088,'You must be in stealth to use this!',100,1,1),
(156401,112276,'Increases Defense of group members (AE) by 5.9',100,1,0),
(156402,10112276,'Increases Defense of group members (AE) by 5.9',100,1,0),
(156403,106960,'Inflicts 689 - 1280 poison damage on target',100,1,0),
(156404,10106960,'Inflicts 896 - 1664 poison damage on target',100,1,0),
(156405,143880,'When Equipped:',100,0,0),
(156406,143880,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(156407,10143880,'When Equipped:',100,0,0),
(156408,10143880,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(156409,117628,'Inflicts 1216 - 2028 ranged damage on target',100,1,0),
(156410,117628,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(156411,117628,'Slows target by 66.2%',100,2,2),
(156412,117628,'5% chance to dispel when target receives hostile action',100,2,3),
(156413,117628,'5% chance to dispel when target takes damage',100,2,4),
(156414,117628,'Must be flanking or behind',100,1,5),
(156415,117628,'Requires bow',100,1,6),
(156416,10117628,'Inflicts 1034 - 1723 ranged damage on target',100,1,0),
(156417,10117628,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(156418,10117628,'Slows target by 66.2%',100,2,2),
(156419,10117628,'5% chance to dispel when target receives hostile action',100,2,3),
(156420,10117628,'5% chance to dispel when target takes damage',100,2,4),
(156421,10117628,'Must be flanking or behind',100,1,5),
(156422,10117628,'Requires bow',100,1,6),
(156423,183278,'When Equipped:',100,0,0),
(156424,183278,'On any combat or spell hit this spell may cast Indomitable Claws of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(156425,183278,'Decreases Threat to target by 8,075 - 8,925 ',100,2,2),
(156426,183278,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,3),
(156427,183278,'Increases Ability Reuse Speed of caster by 7.0%',100,2,4),
(156428,183278,'Increases Potency of caster by 15.0%',100,2,5),
(156429,183278,'Must not be engaged in pvp combat',100,2,6),
(156430,183278,'Cannot be modified except by direct means',100,2,7),
(156431,183278,'On a hostile spell cast this spell may cast Indomitable Claws of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(156432,183278,'Decreases Threat to target by 8,075 - 8,925 ',100,2,9),
(156433,183278,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,10),
(156434,183278,'Increases Ability Reuse Speed of caster by 7.0%',100,2,11),
(156435,183278,'Increases Potency of caster by 15.0%',100,2,12),
(156436,183278,'Must not be engaged in pvp combat',100,2,13),
(156437,183278,'Cannot be modified except by direct means',100,2,14),
(156438,183278,'Cannot be modified except by direct means',100,1,15),
(156439,10183278,'When Equipped:',100,0,0),
(156440,10183278,'On any combat or spell hit this spell may cast Indomitable Claws of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(156441,10183278,'Inflicts 4381 - 13143 piercing damage on target instantly and every 5 seconds',100,2,2),
(156442,10183278,'Increases Ability Reuse Speed of caster by 7.0%',100,2,3),
(156443,10183278,'Increases Potency of caster by 15.0%',100,2,4),
(156444,10183278,'Must not be engaged in pvp combat',100,2,5),
(156445,10183278,'Cannot be modified except by direct means',100,2,6),
(156446,10183278,'On a hostile spell cast this spell may cast Indomitable Claws of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(156447,10183278,'Inflicts 4381 - 13143 piercing damage on target instantly and every 5 seconds',100,2,8),
(156448,10183278,'Increases Ability Reuse Speed of caster by 7.0%',100,2,9),
(156449,10183278,'Increases Potency of caster by 15.0%',100,2,10),
(156450,10183278,'Must not be engaged in pvp combat',100,2,11),
(156451,10183278,'Cannot be modified except by direct means',100,2,12),
(156452,10183278,'Cannot be modified except by direct means',100,1,13),
(156453,76860,'When Equipped:',100,0,0),
(156454,76860,'On a combat hit this spell may cast Flurry of Poison on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156455,76860,'Inflicts 435 - 653 poison damage on target',100,2,2),
(156456,76860,'Increases Crit Chance of caster by 8.0',100,2,3),
(156457,76860,'Cannot be modified except by direct means',100,2,4),
(156458,76860,'Cannot be modified except by direct means',100,1,5),
(156459,10076860,'When Equipped:',100,0,0),
(156460,10076860,'On a combat hit this spell may cast Flurry of Poison on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156461,10076860,'Inflicts 566 - 849 poison damage on target',100,2,2),
(156462,10076860,'Increases Crit Chance of caster by 8.0',100,2,3),
(156463,10076860,'Cannot be modified except by direct means',100,2,4),
(156464,10076860,'Cannot be modified except by direct means',100,1,5),
(156465,116902,'Wards target against 19 points of all damage',100,1,0),
(156466,116902,'Decreases INT of target by 28.0',100,1,1),
(156467,116902,'Decreases Attack Speed of target by 25.0',100,1,2),
(156468,116902,'Increases Max Health of target by 14.0%',100,1,3),
(156469,116902,'Increases Hate Gain of target by 18.6%',100,1,4),
(156470,116902,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,5),
(156471,10116902,'Wards target against 19 points of all damage',100,1,0),
(156472,10116902,'Decreases INT of target by 28.0',100,1,1),
(156473,10116902,'Decreases Attack Speed of target by 25.0',100,1,2),
(156474,10116902,'Increases Max Health of target by 14.0%',100,1,3),
(156475,10116902,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,4),
(156476,48366,'Applies Apply recording tag when Activated.',100,0,0),
(156477,10048366,'Applies Apply recording tag when Activated.',100,0,0),
(156478,133809,'When Equipped:',100,0,0),
(156479,133809,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(156480,133809,'Inflicts 2664 cold damage on target encounter',100,2,2),
(156481,133809,'Must not be engaged in pvp combat',100,2,3),
(156482,133809,'Cannot be modified except by direct means',100,2,4),
(156483,133809,'Must not be engaged in pvp combat',100,1,5),
(156484,10133809,'When Equipped:',100,0,0),
(156485,10133809,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(156486,10133809,'Inflicts 1732 cold damage on target encounter',100,2,2),
(156487,10133809,'Must not be engaged in pvp combat',100,2,3),
(156488,10133809,'Cannot be modified except by direct means',100,2,4),
(156489,10133809,'Must not be engaged in pvp combat',100,1,5),
(156490,171086,'When Equipped:',100,0,0),
(156491,171086,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(156492,171086,'Inflicts 1998 poison damage on target',100,2,2),
(156493,171086,'Cannot be modified except by direct means',100,2,3),
(156494,10171086,'When Equipped:',100,0,0),
(156495,10171086,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(156496,10171086,'Inflicts 1299 poison damage on target',100,2,2),
(156497,10171086,'Cannot be modified except by direct means',100,2,3),
(156498,102348,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(156499,102348,'Increases Attack Speed of target by 10.8',100,2,1),
(156500,102348,'Increases Damage Per Second of target by 10.8',100,2,2),
(156501,102348,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(156502,102348,'Increases Attack Speed of target by 10.8',100,2,4),
(156503,102348,'Increases Damage Per Second of target by 10.8',100,2,5),
(156504,102348,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(156505,102348,'Increases Attack Speed of target by 10.8',100,2,7),
(156506,102348,'Increases Damage Per Second of target by 10.8',100,2,8),
(156507,10102348,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(156508,10102348,'Increases Attack Speed of target by 10.8',100,2,1),
(156509,10102348,'Increases Damage Per Second of target by 10.8',100,2,2),
(156510,10102348,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(156511,10102348,'Increases Attack Speed of target by 10.8',100,2,4),
(156512,10102348,'Increases Damage Per Second of target by 10.8',100,2,5),
(156513,10102348,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(156514,10102348,'Increases Attack Speed of target by 10.8',100,2,7),
(156515,10102348,'Increases Damage Per Second of target by 10.8',100,2,8),
(156516,24394,'Adds Genie (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(156517,10024394,'Adds Genie (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(156518,124844,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(156519,124844,'Inflicts 5 - 6 piercing damage on target',100,2,1),
(156520,10124844,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(156521,10124844,'Inflicts 6 - 7 piercing damage on target',100,2,1),
(156522,104111,'Roots target',100,1,0),
(156523,104111,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(156524,104111,'Makes target afraid',100,2,2),
(156525,104111,'Slows target by 18.3%',100,2,3),
(156526,104111,'30% chance to dispel when target takes damage',100,2,4),
(156527,104111,'Resistibility increases against targets higher than level 62.',100,2,5),
(156528,104111,'15% chance to dispel when target takes damage',100,1,6),
(156529,104111,'Does not affect Epic targets',100,1,7),
(156530,104111,'Resistibility increases against targets higher than level 62.',100,1,8),
(156531,10104111,'Roots target',100,1,0),
(156532,10104111,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(156533,10104111,'Makes target afraid',100,2,2),
(156534,10104111,'Slows target by 18.3%',100,2,3),
(156535,10104111,'30% chance to dispel when target takes damage',100,2,4),
(156536,10104111,'Resistibility increases against targets higher than level 62.',100,2,5),
(156537,10104111,'15% chance to dispel when target takes damage',100,1,6),
(156538,10104111,'Does not affect Epic targets',100,1,7),
(156539,10104111,'Resistibility increases against targets higher than level 62.',100,1,8),
(156540,80235,'When Equipped:',100,0,0),
(156541,80235,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156542,80235,'Decreases Threat to target by 801 ',100,2,2),
(156543,80235,'Must be flanking or behind',100,3,3),
(156544,80235,'Increases Threat to target by 801 ',100,2,4),
(156545,80235,'Must be in front of',100,3,5),
(156546,80235,'Inflicts 260 - 482 magic damage on target',100,2,6),
(156547,80235,'Cannot be modified except by direct means',100,2,7),
(156548,10080235,'When Equipped:',100,0,0),
(156549,10080235,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156550,10080235,'Inflicts 337 - 627 magic damage on target',100,2,2),
(156551,10080235,'Cannot be modified except by direct means',100,2,3),
(156552,181784,'When Equipped:',100,0,0),
(156553,181784,'Increases Attack Speed of caster by 40.0',100,1,1),
(156554,10181784,'When Equipped:',100,0,0),
(156555,10181784,'Increases Attack Speed of caster by 40.0',100,1,1),
(156556,121385,'Inflicts 217 - 402 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(156557,10121385,'Inflicts 282 - 523 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(156558,80721,'When Equipped:',100,0,0),
(156559,80721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156560,80721,'Inflicts 83 - 154 magic damage on target',100,2,2),
(156561,80721,'Cannot be modified except by direct means',100,2,3),
(156562,10080721,'When Equipped:',100,0,0),
(156563,10080721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156564,10080721,'Inflicts 108 - 200 magic damage on target',100,2,2),
(156565,10080721,'Cannot be modified except by direct means',100,2,3),
(156566,46465,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(156567,46465,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(156568,10046465,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(156569,10046465,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(156570,120585,'Inflicts 46 - 85 heat damage on target',100,1,0),
(156571,10120585,'Inflicts 59 - 110 heat damage on target',100,1,0),
(156572,174087,'When Equipped:',100,0,0),
(156573,174087,'On a hostile spell cast this spell has a 5% chance to cast Graceful Egress on target of spell.  ',100,1,1),
(156574,174087,'Decreases Threat to target by 300 ',100,2,2),
(156575,174087,'Cannot be modified except by direct means',100,2,3),
(156576,10174087,'When Equipped:',100,0,0),
(156577,10174087,'On a hostile spell cast this spell has a 5% chance to cast Graceful Egress on target of spell.  ',100,1,1),
(156578,10174087,'Cannot be modified except by direct means',100,2,2),
(156579,26408,'When Equipped:',100,0,0),
(156580,26408,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(156581,26408,'Inflicts 234 heat damage on target',100,2,2),
(156582,26408,'Inflicts 27 heat damage on target every 5 seconds',100,2,3),
(156583,26408,'Cannot be modified except by direct means',100,2,4),
(156584,10026408,'When Equipped:',100,0,0),
(156585,10026408,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(156586,10026408,'Inflicts 305 heat damage on target',100,2,2),
(156587,10026408,'Inflicts 35 heat damage on target every 5 seconds',100,2,3),
(156588,10026408,'Cannot be modified except by direct means',100,2,4),
(156589,113609,'Summons a limited pet to aid the caster',100,1,0),
(156590,10113609,'Summons a limited pet to aid the caster',100,1,0),
(156591,115739,'Wards caster against 8932 points of elemental, noxious and arcane damage',100,1,0),
(156592,10115739,'Wards caster against 8932 points of elemental, noxious and arcane damage',100,1,0),
(156593,103401,'Decreases Threat to targets in Area of Effect by 864 ',100,1,0),
(156594,103401,'Slows targets in Area of Effect by 42.0%',100,1,1),
(156595,103401,'Stifles targets in Area of Effect',100,1,2),
(156596,103401,'If Target is not Epic',100,2,3),
(156597,103401,'10% chance to dispel when target receives hostile action',100,1,4),
(156598,103401,'10% chance to dispel when target takes damage',100,1,5),
(156599,10103401,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(156600,10103401,'Slows targets in Area of Effect by 42.0%',100,1,1),
(156601,10103401,'Stifles targets in Area of Effect',100,1,2),
(156602,10103401,'If Target is not Epic',100,2,3),
(156603,116072,'Inflicts 53 - 79 magic damage on target',100,1,0),
(156604,116072,'Inflicts 12 - 18 magic damage on target every 4 seconds',100,1,1),
(156605,10116072,'Inflicts 68 - 102 magic damage on target',100,1,0),
(156606,10116072,'Inflicts 15 - 23 magic damage on target every 4 seconds',100,1,1),
(156607,48706,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(156608,48706,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(156609,10048706,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(156610,10048706,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(156611,75900,'When Equipped:',100,0,0),
(156612,75900,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(156613,75900,'Inflicts 1986 heat damage on target',100,2,2),
(156614,75900,'Cannot be modified except by direct means',100,2,3),
(156615,10075900,'When Equipped:',100,0,0),
(156616,10075900,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(156617,10075900,'Inflicts 1291 heat damage on target',100,2,2),
(156618,10075900,'Cannot be modified except by direct means',100,2,3),
(156619,82329,'When Equipped:',100,0,0),
(156620,82329,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156621,82329,'Decreases Threat to target by 672 ',100,2,2),
(156622,82329,'Must be flanking or behind',100,3,3),
(156623,82329,'Increases Threat to target by 672 ',100,2,4),
(156624,82329,'Must be in front of',100,3,5),
(156625,82329,'Inflicts 288 - 534 magic damage on target',100,2,6),
(156626,82329,'Cannot be modified except by direct means',100,2,7),
(156627,10082329,'When Equipped:',100,0,0),
(156628,10082329,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156629,10082329,'Inflicts 374 - 695 magic damage on target',100,2,2),
(156630,10082329,'Cannot be modified except by direct means',100,2,3),
(156631,45305,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(156632,45305,'Inflicts 50 - 61 melee damage on target',100,1,1),
(156633,45305,'Inflicts 12 - 19 slashing damage on target every 4 seconds',100,1,2),
(156634,10045305,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(156635,10045305,'Inflicts 65 - 80 melee damage on target',100,1,1),
(156636,10045305,'Inflicts 15 - 25 slashing damage on target every 4 seconds',100,1,2),
(156637,71683,'When Equipped:',100,0,0),
(156638,71683,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156639,71683,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(156640,71683,'Cannot be modified except by direct means',100,2,3),
(156641,10071683,'When Equipped:',100,0,0),
(156642,10071683,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156643,10071683,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(156644,10071683,'Cannot be modified except by direct means',100,2,3),
(156645,45336,'Applies Black Two Tone Warg with Blue Saddle when Activated.',100,0,0),
(156646,45336,'Summons a mount to ride',100,1,1),
(156647,45336,'Increases your ground speed by 130%',100,2,2),
(156648,45336,'Increases damage done by spells and combat arts by up to 30.',100,1,3),
(156649,45336,'Increases Crushing, Disruption, Ranged, Piercing and Slashing of caster by 7.0',100,1,4),
(156650,10045336,'Applies Black Two Tone Warg with Blue Saddle when Activated.',100,0,0),
(156651,10045336,'Summons a mount to ride',100,1,1),
(156652,10045336,'Increases your ground speed by 130%',100,2,2),
(156653,10045336,'Increases damage done by spells and combat arts by up to 30.',100,1,3),
(156654,10045336,'Increases Crushing, Disruption, Ranged, Piercing and Slashing of caster by 7.0',100,1,4),
(156655,114565,'Heals target for 43 - 52',100,1,0),
(156656,10114565,'Heals target for 28 - 34',100,1,0),
(156657,48510,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(156658,48510,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(156659,48510,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(156660,48510,'Cannot be modified except by direct means',100,2,3),
(156661,48510,'Grants a total of 80 triggers of the spell.',100,2,4),
(156662,10048510,'Applies unfavorable adversity when Activated.  Lasts for 12 hours.',100,0,0),
(156663,10048510,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(156664,10048510,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(156665,10048510,'Cannot be modified except by direct means',100,2,3),
(156666,10048510,'Grants a total of 80 triggers of the spell.',100,2,4),
(156667,102200,'Increases Mitigation of group members (AE) vs physical damage by 870',100,1,0),
(156668,10102200,'Increases Mitigation of group members (AE) vs physical damage by 870',100,1,0),
(156669,82800,'When Equipped:',100,0,0),
(156670,82800,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156671,82800,'Decreases Threat to target by 1,174 ',100,2,2),
(156672,82800,'Must be flanking or behind',100,3,3),
(156673,82800,'Increases Threat to target by 1,174 ',100,2,4),
(156674,82800,'Must be in front of',100,3,5),
(156675,82800,'Inflicts 365 - 678 magic damage on target',100,2,6),
(156676,82800,'Cannot be modified except by direct means',100,2,7),
(156677,10082800,'When Equipped:',100,0,0),
(156678,10082800,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(156679,10082800,'Inflicts 474 - 881 magic damage on target',100,2,2),
(156680,10082800,'Cannot be modified except by direct means',100,2,3),
(156681,109801,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(156682,109801,'Heals group members (AE) for 836',100,2,1),
(156683,10109801,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(156684,10109801,'Heals group members (AE) for 543',100,2,1),
(156685,50435,'When Equipped:',100,0,0),
(156686,50435,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(156687,50435,'Increases power of caster by 140',100,2,2),
(156688,50435,'Cannot be modified except by direct means',100,2,3),
(156689,10050435,'When Equipped:',100,0,0),
(156690,10050435,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(156691,10050435,'Increases power of caster by 140',100,2,2),
(156692,10050435,'Cannot be modified except by direct means',100,2,3),
(156693,84255,'Applies Mental Blast when Activated.',100,0,0),
(156694,84255,'Inflicts 269 - 449 mental damage on target',100,1,1),
(156695,84255,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(156696,10084255,'Applies Mental Blast when Activated.',100,0,0),
(156697,10084255,'Inflicts 350 - 583 mental damage on target',100,1,1),
(156698,10084255,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(156699,115447,'Inflicts 91 - 111 mental damage on target instantly and every 6 seconds',100,1,0),
(156700,115447,'Decreases Mitigation of target vs arcane damage by 532',100,1,1),
(156701,10115447,'Inflicts 118 - 144 mental damage on target instantly and every 6 seconds',100,1,0),
(156702,10115447,'Decreases Mitigation of target vs arcane damage by 532',100,1,1),
(156703,47065,'Applies Gate: Firemyst Gully when Activated.',100,0,0),
(156704,47065,'Teleports caster to a random zone location',100,1,1),
(156705,47065,'This effect cannot be cast during combat',100,1,2),
(156706,10047065,'Applies Gate: Firemyst Gully when Activated.',100,0,0),
(156707,10047065,'Teleports caster to a random zone location',100,1,1),
(156708,10047065,'This effect cannot be cast during combat',100,1,2),
(156709,47961,'Applies Draw upon Essence when Activated.',100,0,0),
(156710,47961,'Increases power of caster by 6',100,1,1),
(156711,47961,'Requires 15 Health to cast.',100,1,2),
(156712,10047961,'Applies Draw upon Essence when Activated.',100,0,0),
(156713,10047961,'Increases power of caster by 6',100,1,1),
(156714,10047961,'Requires 15 Health to cast.',100,1,2),
(156715,100259,'Inflicts 52 - 96 poison damage on target instantly and every 3 seconds',100,1,0),
(156716,10100259,'Inflicts 151 - 281 poison damage on target instantly and every 3 seconds',100,1,0),
(156717,120032,'Inflicts 116 - 142 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(156718,120032,'Decreases power of target encounter by 39 instantly and every 4 seconds',100,1,1),
(156719,10120032,'Inflicts 151 - 185 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(156720,10120032,'Decreases power of target encounter by 39 instantly and every 4 seconds',100,1,1),
(156721,111846,'Inflicts 432 - 720 melee damage on target',100,1,0),
(156722,111846,'Roots target',100,1,1),
(156723,111846,'If Target is not Epic',100,2,2),
(156724,111846,'Resistibility increases against targets higher than level 108.',100,1,3),
(156725,10111846,'Inflicts 507 - 845 melee damage on target',100,1,0),
(156726,10111846,'Roots target',100,1,1),
(156727,10111846,'If Target is not Epic',100,2,2),
(156728,10111846,'Resistibility increases against targets higher than level 108.',100,1,3),
(156729,114609,'Decreases WIS of target by 7.8',100,1,0),
(156730,114609,'Inflicts 24 - 40 melee damage on target',100,1,1),
(156731,114609,'You must be sneaking to use this ability.',100,1,2),
(156732,10114609,'Decreases WIS of target by 7.8',100,1,0),
(156733,10114609,'Inflicts 31 - 52 melee damage on target',100,1,1),
(156734,10114609,'You must be sneaking to use this ability.',100,1,2),
(156735,54400,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(156736,54400,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(156737,54400,'Inflicts 52 heat damage on target',100,2,2),
(156738,54400,'Cannot be modified except by direct means',100,2,3),
(156739,10054400,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(156740,10054400,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(156741,10054400,'Inflicts 67 heat damage on target',100,2,2),
(156742,10054400,'Cannot be modified except by direct means',100,2,3),
(156743,170698,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(156744,170698,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(156745,170698,'Decreases Attack Speed of target by 15.1',100,2,2),
(156746,170698,'Cannot be modified except by direct means',100,2,3),
(156747,170698,'Slows target by 38.0%',100,1,4),
(156748,170698,'5% chance to dispel when target takes damage',100,1,5),
(156749,170698,'5% chance to dispel when target receives hostile action',100,1,6),
(156750,170698,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(156751,10170698,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(156752,10170698,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(156753,10170698,'Decreases Attack Speed of target by 15.1',100,2,2),
(156754,10170698,'Cannot be modified except by direct means',100,2,3),
(156755,10170698,'Slows target by 38.0%',100,1,4),
(156756,10170698,'5% chance to dispel when target takes damage',100,1,5),
(156757,10170698,'5% chance to dispel when target receives hostile action',100,1,6),
(156758,10170698,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(156759,159903,'Applies Sanguine Imbued when Equipped.',100,0,0),
(156760,159903,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(156761,159903,'Inflicts 352 heat damage on target',100,2,2),
(156762,159903,'Cannot be modified except by direct means',100,2,3),
(156763,10159903,'Applies Sanguine Imbued when Equipped.',100,0,0),
(156764,10159903,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(156765,10159903,'Inflicts 457 heat damage on target',100,2,2),
(156766,10159903,'Cannot be modified except by direct means',100,2,3),
(156767,119279,'Inflicts 78 - 130 slashing damage on target',100,1,0),
(156768,119279,'Decreases Damage Per Second of target by 12.5',100,1,1),
(156769,119279,'Inflicts 104 slashing damage on target instantly and every 4 seconds',100,1,2),
(156770,10119279,'Inflicts 101 - 169 slashing damage on target',100,1,0),
(156771,10119279,'Decreases Damage Per Second of target by 12.5',100,1,1),
(156772,10119279,'Inflicts 136 slashing damage on target instantly and every 4 seconds',100,1,2),
(156773,110875,'Inflicts 268 - 327 heat damage on target encounter',100,1,0),
(156774,10110875,'Inflicts 348 - 426 heat damage on target encounter',100,1,0),
(156775,37088,'Increases Max Power of target by 3.3',100,0,0),
(156776,37088,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(156777,148578,'When Equipped:',100,0,0),
(156778,148578,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156779,148578,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(156780,148578,'Heals caster for 5 instantly and every 3 seconds',100,2,3),
(156781,148578,'Cannot be modified except by direct means',100,2,4),
(156782,148578,'Cannot be modified except by direct means',100,1,5),
(156783,10148578,'When Equipped:',100,0,0),
(156784,10148578,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156785,10148578,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(156786,10148578,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(156787,10148578,'Cannot be modified except by direct means',100,2,4),
(156788,10148578,'Cannot be modified except by direct means',100,1,5),
(156789,115232,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(156790,115232,'Decreases Mitigation of target vs noxious damage by 1296',100,2,1),
(156791,115232,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(156792,115232,'Decreases Mitigation of target vs noxious damage by 1296',100,2,3),
(156793,10115232,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(156794,10115232,'Decreases Mitigation of target vs noxious damage by 1296',100,2,1),
(156795,10115232,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(156796,10115232,'Decreases Mitigation of target vs noxious damage by 1296',100,2,3),
(156797,45527,'Applies Clockwork Cow Catapult when Activated.  Lasts for 45.0 seconds.',100,0,0),
(156798,45527,'Summons a limited pet to aid the caster',100,1,1),
(156799,45527,'Summons 2 limited pets to aid the caster',100,1,2),
(156800,10045527,'Applies Clockwork Cow Catapult when Activated.  Lasts for 45.0 seconds.',100,0,0),
(156801,10045527,'Summons a limited pet to aid the caster',100,1,1),
(156802,10045527,'Summons 2 limited pets to aid the caster',100,1,2),
(156803,165677,'When Equipped:',100,0,0),
(156804,165677,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(156805,165677,'Increases power of target by 23 instantly and every 4 seconds',100,2,2),
(156806,165677,'Cannot be modified except by direct means',100,2,3),
(156807,10165677,'When Equipped:',100,0,0),
(156808,10165677,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(156809,10165677,'Increases power of target by 23 instantly and every 4 seconds',100,2,2),
(156810,10165677,'Cannot be modified except by direct means',100,2,3),
(156811,26095,'When Equipped:',100,0,0),
(156812,26095,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(156813,26095,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(156814,10026095,'When Equipped:',100,0,0),
(156815,10026095,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(156816,10026095,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(156817,100615,'Transfers 22% of target''s current Threat to the caster',100,1,0),
(156818,10100615,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(156819,10100615,'10% of all damage received by the caster is prevented.',100,2,1),
(156820,10100615,'This effect can only trigger once every 5 seconds.',100,2,2),
(156821,139285,'When Equipped:',100,0,0),
(156822,139285,'Reduces maximum falling speed of caster',100,1,1),
(156823,139285,'Applies Chelsith Scourge when Activated.  Lasts for 1 minute.',100,0,2),
(156824,139285,'Shapechanges target into a Snake',100,1,3),
(156825,139285,'Does not affect Epic targets',100,1,4),
(156826,139285,'The casting time of Chelsith Scourge is 4.0 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(156827,10139285,'When Equipped:',100,0,0),
(156828,10139285,'Reduces maximum falling speed of caster',100,1,1),
(156829,10139285,'Applies Chelsith Scourge when Activated.  Lasts for 1 minute.',100,0,2),
(156830,10139285,'Shapechanges target into a Snake',100,1,3),
(156831,10139285,'Does not affect Epic targets',100,1,4),
(156832,10139285,'The casting time of Chelsith Scourge is 4.0 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(156833,133543,'When Equipped:',100,0,0),
(156834,133543,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(156835,133543,'Inflicts 37 mental damage on target',100,2,2),
(156836,133543,'Cannot be modified except by direct means',100,2,3),
(156837,10133543,'When Equipped:',100,0,0),
(156838,10133543,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(156839,10133543,'Inflicts 49 mental damage on target',100,2,2),
(156840,10133543,'Cannot be modified except by direct means',100,2,3),
(156841,48682,'Applies Chilton''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(156842,48682,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(156843,10048682,'Applies Chilton''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(156844,10048682,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(156845,122830,'Inflicts 674 - 1124 ranged damage on target',100,1,0),
(156846,122830,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(156847,122830,'Increases Hate Gain of target by 30.0%',100,2,2),
(156848,122830,'Grants a total of 1 trigger of the spell.',100,2,3),
(156849,122830,'Requires bow',100,1,4),
(156850,10122830,'Inflicts 573 - 955 ranged damage on target',100,1,0),
(156851,10122830,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(156852,10122830,'Grants a total of 1 trigger of the spell.',100,2,2),
(156853,10122830,'Requires bow',100,1,3),
(156854,116074,'Inflicts 60 - 90 magic damage on target',100,1,0),
(156855,116074,'Inflicts 13 - 20 magic damage on target every 4 seconds',100,1,1),
(156856,10116074,'Inflicts 78 - 117 magic damage on target',100,1,0),
(156857,10116074,'Inflicts 17 - 26 magic damage on target every 4 seconds',100,1,1),
(156858,122399,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(156859,122399,'Inflicts 19 - 23 piercing damage on target encounter',100,2,1),
(156860,10122399,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(156861,10122399,'Inflicts 24 - 30 piercing damage on target encounter',100,2,1),
(156862,105574,'Inflicts 425 - 790 disease damage on target',100,1,0),
(156863,105574,'Inflicts 255 - 474 disease damage on target every 2 seconds',100,1,1),
(156864,10105574,'Inflicts 553 - 1027 disease damage on target',100,1,0),
(156865,10105574,'Inflicts 332 - 616 disease damage on target every 2 seconds',100,1,1),
(156866,46667,'Applies Searing Power II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(156867,46667,'Increases Max Health of caster by 10.0%',100,1,1),
(156868,46667,'Increases Max Power of caster by 10.0%',100,1,2),
(156869,46667,'Increases Crit Bonus of caster by 25.0%',100,1,3),
(156870,46667,'Increases Potency of caster by 25.0%',100,1,4),
(156871,46667,'Must not be engaged in pvp combat',100,1,5),
(156872,46667,'Cannot be modified except by direct means',100,1,6),
(156873,10046667,'Applies Searing Power II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(156874,10046667,'Increases Max Health of caster by 10.0%',100,1,1),
(156875,10046667,'Increases Max Power of caster by 10.0%',100,1,2),
(156876,10046667,'Increases Crit Bonus of caster by 25.0%',100,1,3),
(156877,10046667,'Increases Potency of caster by 25.0%',100,1,4),
(156878,10046667,'Must not be engaged in pvp combat',100,1,5),
(156879,10046667,'Cannot be modified except by direct means',100,1,6),
(156880,156899,'Applies Unstable Magics when Equipped.',100,0,0),
(156881,156899,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(156882,10156899,'Applies Unstable Magics when Equipped.',100,0,0),
(156883,10156899,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(156884,46549,'Applies freedom of body when Activated.  Lasts for 10.0 seconds.',100,0,0),
(156885,46549,'Makes caster immune to Fear effects',100,1,1),
(156886,46549,'Makes caster immune to Root effects',100,1,2),
(156887,46549,'Dispels 97 levels of hostile Fear effects on caster',100,1,3),
(156888,46549,'Reduces slow effects on caster by 45.5%',100,1,4),
(156889,46549,'Dispels 97 levels of hostile Root effects on caster',100,1,5),
(156890,10046549,'Applies freedom of body when Activated.  Lasts for 3.0 seconds.',100,0,0),
(156891,10046549,'Reduces slow effects on caster by 45.5%',100,1,1),
(156892,10046549,'Makes caster immune to Fear effects',100,1,2),
(156893,10046549,'Makes caster immune to Root effects',100,1,3),
(156894,10046549,'Dispels 97 levels of hostile Fear and hostile Root effects on caster',100,1,4),
(156895,36305,'Increases STA of target by 1.5',100,0,0),
(156896,36305,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(156897,35758,'Increases INT of target by 1.5',100,0,0),
(156898,35758,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(156899,110165,'Applies Untreated Bleeding on termination.',100,1,0),
(156900,110165,'Inflicts 123 - 205 piercing damage on target',100,2,1),
(156901,110165,'Inflicts 26 - 44 piercing damage on target instantly and every 4 seconds',100,1,2),
(156902,110165,'Inflicts 17 - 29 melee damage on target',100,1,3),
(156903,10110165,'Applies Untreated Bleeding on termination.',100,1,0),
(156904,10110165,'Inflicts 160 - 266 piercing damage on target',100,2,1),
(156905,10110165,'Inflicts 34 - 57 piercing damage on target instantly and every 4 seconds',100,1,2),
(156906,10110165,'Inflicts 22 - 38 melee damage on target',100,1,3),
(156907,87184,'When Equipped:',100,0,0),
(156908,87184,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156909,87184,'Inflicts 61 - 92 magic damage on target',100,2,2),
(156910,87184,'Cannot be modified except by direct means',100,2,3),
(156911,10087184,'When Equipped:',100,0,0),
(156912,10087184,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(156913,10087184,'Inflicts 79 - 119 magic damage on target',100,2,2),
(156914,10087184,'Cannot be modified except by direct means',100,2,3),
(156915,109055,'Increases Attack Speed of caster by 42.6',100,1,0),
(156916,109055,'Decreases Defense of caster by 18.9',100,1,1),
(156917,109055,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.4',100,1,2),
(156918,10109055,'Increases Attack Speed of caster by 42.6',100,1,0),
(156919,10109055,'Decreases Defense of caster by 18.9',100,1,1),
(156920,10109055,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.4',100,1,2),
(156921,159978,'Applies Lambent Imbued when Equipped.',100,0,0),
(156922,159978,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(156923,159978,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(156924,159978,'Cannot be modified except by direct means',100,2,3),
(156925,10159978,'Applies Lambent Imbued when Equipped.',100,0,0),
(156926,10159978,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(156927,10159978,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(156928,10159978,'Cannot be modified except by direct means',100,2,3),
(156929,107275,'Inflicts 289 - 482 ranged damage on target',100,1,0),
(156930,107275,'Inflicts 289 - 482 ranged damage on target',100,1,1),
(156931,107275,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(156932,107275,'Stuns target',100,2,3),
(156933,107275,'Throws target back',100,2,4),
(156934,107275,'Blurs vision of target',100,2,5),
(156935,107275,'Does not affect Epic targets',100,2,6),
(156936,107275,'If weapon equipped in Ranged',100,1,7),
(156937,10107275,'Inflicts 246 - 410 ranged damage on target',100,1,0),
(156938,10107275,'Inflicts 246 - 410 ranged damage on target',100,1,1),
(156939,10107275,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(156940,10107275,'Stuns target',100,2,3),
(156941,10107275,'Throws target back',100,2,4),
(156942,10107275,'Blurs vision of target',100,2,5),
(156943,10107275,'Does not affect Epic targets',100,2,6),
(156944,10107275,'If weapon equipped in Ranged',100,1,7),
(156945,137908,'When Equipped:',100,0,0),
(156946,137908,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156947,137908,'Inflicts 393 divine damage on target',100,2,2),
(156948,137908,'Must not be classified as a vampire',100,3,3),
(156949,137908,'Inflicts 787 divine damage on target',100,2,4),
(156950,137908,'Must be classified as a vampire',100,3,5),
(156951,137908,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(156952,137908,'Must be classified as a vampire',100,3,7),
(156953,137908,'Cannot be modified except by direct means',100,2,8),
(156954,137908,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(156955,10137908,'When Equipped:',100,0,0),
(156956,10137908,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156957,10137908,'Inflicts 511 divine damage on target',100,2,2),
(156958,10137908,'Must not be classified as a vampire',100,3,3),
(156959,10137908,'Inflicts 1023 divine damage on target',100,2,4),
(156960,10137908,'Must be classified as a vampire',100,3,5),
(156961,10137908,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(156962,10137908,'Must be classified as a vampire',100,3,7),
(156963,10137908,'Cannot be modified except by direct means',100,2,8),
(156964,10137908,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(156965,74542,'Applies Fire Ball when Activated.',100,0,0),
(156966,74542,'Inflicts 77 - 128 heat damage on target',100,1,1),
(156967,74542,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(156968,10074542,'Applies Fire Ball when Activated.',100,0,0),
(156969,10074542,'Inflicts 100 - 167 heat damage on target',100,1,1),
(156970,10074542,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(156971,45593,'Applies Clouded Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(156972,45593,'Increases Max Power of caster by 248.6',100,1,1),
(156973,45593,'Only affects targets level 50 and above',100,1,2),
(156974,10045593,'Applies Clouded Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(156975,10045593,'Increases Max Power of caster by 248.6',100,1,1),
(156976,10045593,'Only affects targets level 50 and above',100,1,2),
(156977,139304,'Applies Emblem of Power when Activated.',100,0,0),
(156978,139304,'Summons an emblem of power to your left hand.',100,1,1),
(156979,139304,'The casting time of Emblem of Power is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(156980,139304,'When Equipped:',100,0,3),
(156981,139304,'Reduces maximum falling speed of caster',100,1,4),
(156982,10139304,'Applies Emblem of Power when Activated.',100,0,0),
(156983,10139304,'Summons an emblem of power to your left hand.',100,1,1),
(156984,10139304,'The casting time of Emblem of Power is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(156985,10139304,'When Equipped:',100,0,3),
(156986,10139304,'Reduces maximum falling speed of caster',100,1,4),
(156987,90271,'When Equipped:',100,0,0),
(156988,90271,'On a combat hit this spell may cast Ankle Wrap on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156989,90271,'Roots target',100,2,2),
(156990,90271,'10% chance to dispel when target takes damage',100,2,3),
(156991,90271,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,4),
(156992,90271,'Resistibility increases against targets higher than level 101.',100,2,5),
(156993,90271,'Cannot be modified except by direct means',100,2,6),
(156994,90271,'Does not affect Epic targets',100,1,7),
(156995,10090271,'When Equipped:',100,0,0),
(156996,10090271,'On a combat hit this spell may cast Ankle Wrap on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(156997,10090271,'Roots target',100,2,2),
(156998,10090271,'10% chance to dispel when target takes damage',100,2,3),
(156999,10090271,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,4),
(157000,10090271,'Resistibility increases against targets higher than level 101.',100,2,5),
(157001,10090271,'Cannot be modified except by direct means',100,2,6),
(157002,10090271,'Does not affect Epic targets',100,1,7),
(157003,101128,'Heals target for 324 - 396',100,1,0),
(157004,10101128,'Heals target for 211 - 257',100,1,0),
(157005,119234,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(157006,119234,'If profession other than Fighter',100,1,1),
(157007,119234,'If profession other than Scout',100,1,2),
(157008,10119234,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(157009,10119234,'If profession other than Fighter',100,1,1),
(157010,10119234,'If profession other than Scout',100,1,2),
(157011,87984,'When Equipped:',100,0,0),
(157012,87984,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(157013,87984,'Increases power of caster by 127',100,2,2),
(157014,87984,'Cannot be modified except by direct means',100,2,3),
(157015,10087984,'When Equipped:',100,0,0),
(157016,10087984,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(157017,10087984,'Increases power of caster by 127',100,2,2),
(157018,10087984,'Cannot be modified except by direct means',100,2,3),
(157019,119220,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(157020,119220,'Decreases Threat to target by 204 ',100,2,1),
(157021,10119220,'On any combat or spell hit this spell may cast Evade on target of attack.  Lasts for 1.0 second.  Triggers about 4.0 times per minute. ',100,1,0),
(157022,10119220,'Prevents target from changing targets',100,2,1),
(157023,10119220,'Applies Distract.',100,2,2),
(157024,10119220,'Forces target to clear their selected target.',100,3,3),
(157025,116650,'Decreases Defense of target by 2.1',100,1,0),
(157026,116650,'Inflicts 65 - 109 melee damage on target',100,1,1),
(157027,116650,'If facing target',100,1,2),
(157028,10116650,'Decreases Defense of target by 2.1',100,1,0),
(157029,10116650,'Inflicts 85 - 142 melee damage on target',100,1,1),
(157030,10116650,'If facing target',100,1,2),
(157031,120778,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(157032,120778,'Stuns target',100,2,1),
(157033,120778,'Throws target back',100,2,2),
(157034,120778,'Blurs vision of target',100,2,3),
(157035,120778,'Does not affect Epic targets',100,2,4),
(157036,120778,'Inflicts 62 - 103 piercing damage on target',100,1,5),
(157037,10120778,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(157038,10120778,'Stuns target',100,2,1),
(157039,10120778,'Throws target back',100,2,2),
(157040,10120778,'Blurs vision of target',100,2,3),
(157041,10120778,'Does not affect Epic targets',100,2,4),
(157042,10120778,'Inflicts 81 - 135 piercing damage on target',100,1,5),
(157043,49077,'Applies Vision Totem of the Turtle when Activated.  Lasts for 15 minutes.',100,0,0),
(157044,49077,'Grants Fish Vision to caster',100,1,1),
(157045,10049077,'Applies Vision Totem of the Turtle when Activated.  Lasts for 15 minutes.',100,0,0),
(157046,10049077,'Grants Fish Vision to caster',100,1,1),
(157047,101171,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(157048,101171,'Slows target by 36.5%',100,2,1),
(157049,101171,'5% chance to dispel when target receives hostile action',100,2,2),
(157050,101171,'5% chance to dispel when target takes damage',100,2,3),
(157051,101171,'Inflicts 59 - 99 cold damage on target',100,1,4),
(157052,101171,'Inflicts 59 - 99 cold damage on target',100,1,5),
(157053,101171,'If weapon equipped in Ranged',100,1,6),
(157054,10101171,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(157055,10101171,'Slows target by 36.5%',100,2,1),
(157056,10101171,'5% chance to dispel when target receives hostile action',100,2,2),
(157057,10101171,'5% chance to dispel when target takes damage',100,2,3),
(157058,10101171,'Inflicts 50 - 84 cold damage on target',100,1,4),
(157059,10101171,'Inflicts 50 - 84 cold damage on target',100,1,5),
(157060,10101171,'If weapon equipped in Ranged',100,1,6),
(157061,106921,'Inflicts 46 - 85 poison damage on target',100,1,0),
(157062,10106921,'Inflicts 59 - 110 poison damage on target',100,1,0),
(157063,104498,'Decreases Mitigation of target encounter vs physical damage by 932',100,1,0),
(157064,10104498,'Decreases Mitigation of target encounter vs physical damage by 932',100,1,0),
(157065,121355,'Inflicts 36 - 68 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(157066,10121355,'Inflicts 47 - 88 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(157067,120286,'Shapechanges caster into a snake',100,1,0),
(157068,10120286,'Shapechanges caster into a snake',100,1,0),
(157069,51338,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(157070,51338,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(157071,51338,'Inflicts 48 heat damage on target',100,2,2),
(157072,51338,'Cannot be modified except by direct means',100,2,3),
(157073,10051338,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(157074,10051338,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(157075,10051338,'Inflicts 63 heat damage on target',100,2,2),
(157076,10051338,'Cannot be modified except by direct means',100,2,3),
(157077,105748,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(157078,105748,'Stuns target',100,2,1),
(157079,105748,'Throws target back',100,2,2),
(157080,105748,'Blurs vision of target',100,2,3),
(157081,105748,'Does not affect Epic targets',100,2,4),
(157082,105748,'Inflicts 1196 - 1993 melee damage on targets in area',100,1,5),
(157083,10105748,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(157084,10105748,'Stuns target',100,2,1),
(157085,10105748,'Throws target back',100,2,2),
(157086,10105748,'Blurs vision of target',100,2,3),
(157087,10105748,'Does not affect Epic targets',100,2,4),
(157088,10105748,'Inflicts 1554 - 2591 melee damage on targets in area',100,1,5),
(157089,41826,'When Equipped:',100,0,0),
(157090,41826,'On a combat hit this spell may cast Corruptive Shot on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157091,41826,'Inflicts 233 - 389 slashing damage on target',100,2,2),
(157092,41826,'Cannot be modified except by direct means',100,2,3),
(157093,10041826,'When Equipped:',100,0,0),
(157094,10041826,'On a combat hit this spell may cast Corruptive Shot on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157095,10041826,'Inflicts 303 - 505 slashing damage on target',100,2,2),
(157096,10041826,'Cannot be modified except by direct means',100,2,3),
(157097,36387,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(157098,115819,'Inflicts 29 disease damage on target every 3 seconds',100,1,0),
(157099,115819,'Inflicts 109 - 182 melee damage on target',100,1,1),
(157100,115819,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(157101,115819,'Heals caster for 1.3% of max health instantly and every 3 seconds',100,2,3),
(157102,115819,'This effect cannot be critically applied.',100,3,4),
(157103,115819,'The healing of this spell cannot be modified except by direct means',100,2,5),
(157104,115819,'The healing of this spell cannot be modified except by direct means',100,1,6),
(157105,10115819,'Inflicts 38 disease damage on target every 3 seconds',100,1,0),
(157106,10115819,'Inflicts 142 - 237 melee damage on target',100,1,1),
(157107,10115819,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(157108,10115819,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(157109,10115819,'This effect cannot be critically applied.',100,3,4),
(157110,10115819,'The healing of this spell cannot be modified except by direct means',100,2,5),
(157111,10115819,'The healing of this spell cannot be modified except by direct means',100,1,6),
(157112,47167,'Applies Murky Elixir of Constitution when Activated.',100,0,0),
(157113,47167,'Heals caster for 175',100,1,1),
(157114,47167,'Only affects targets level 50 and above',100,1,2),
(157115,10047167,'Applies Murky Elixir of Constitution when Activated.',100,0,0),
(157116,10047167,'Heals caster for 114',100,1,1),
(157117,10047167,'Only affects targets level 50 and above',100,1,2),
(157118,35509,'Increases STR and AGI of target by 1.1',100,0,0),
(157119,35509,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(157120,119692,'Increases Threat to target encounter by 328 - 401 ',100,1,0),
(157121,10119692,'Prevents target encounter from changing targets',100,1,0),
(157122,10119692,'Forces target encounter to change their selected target to caster.',100,1,1),
(157123,159051,'When Equipped:',100,0,0),
(157124,159051,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(157125,159051,'Increases STA of caster by 5.8',100,2,2),
(157126,159051,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(157127,159051,'Cannot be modified except by direct means',100,2,4),
(157128,10159051,'When Equipped:',100,0,0),
(157129,10159051,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(157130,10159051,'Increases STA of caster by 5.8',100,2,2),
(157131,10159051,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(157132,10159051,'Cannot be modified except by direct means',100,2,4),
(157133,81489,'When Equipped:',100,0,0),
(157134,81489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157135,81489,'Inflicts 121 - 225 magic damage on target',100,2,2),
(157136,81489,'Cannot be modified except by direct means',100,2,3),
(157137,10081489,'When Equipped:',100,0,0),
(157138,10081489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157139,10081489,'Inflicts 157 - 292 magic damage on target',100,2,2),
(157140,10081489,'Cannot be modified except by direct means',100,2,3),
(157141,103227,'Reduces physical damage done to caster by 5%',100,1,0),
(157142,103227,'Adds 1.8% to base avoidance.',100,1,1),
(157143,103227,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(157144,103227,'Increases Parry of caster by 10.8',100,1,3),
(157145,103227,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(157146,103227,'Increases Aggression of caster by 8.1',100,1,5),
(157147,103227,'Increases Defense and Deflection of caster by 10.8',100,1,6),
(157148,103227,'Increases Mitigation of caster vs noxious damage by 720',100,1,7),
(157149,103227,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(157150,10103227,'Reduces physical damage done to caster by 5%',100,1,0),
(157151,10103227,'Adds 1.8% to base avoidance.',100,1,1),
(157152,10103227,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(157153,10103227,'Increases Parry of caster by 10.8',100,1,3),
(157154,10103227,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(157155,10103227,'Increases Aggression of caster by 8.1',100,1,5),
(157156,10103227,'Increases Defense and Deflection of caster by 10.8',100,1,6),
(157157,10103227,'Increases Mitigation of caster vs noxious damage by 720',100,1,7),
(157158,10103227,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(157159,35841,'Increases AGI of target by 1.5',100,0,0),
(157160,35841,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(157161,119854,'Dazes target',100,1,0),
(157162,119854,'Does not affect Epic targets',100,1,1),
(157163,119854,'Resistibility increases against targets higher than level 105.',100,1,2),
(157164,10119854,'Dazes target',100,1,0),
(157165,10119854,'Does not affect Epic targets',100,1,1),
(157166,10119854,'Resistibility increases against targets higher than level 105.',100,1,2),
(157167,41538,'When Equipped:',100,0,0),
(157168,41538,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157169,41538,'Inflicts 167 - 311 magic damage on target',100,2,2),
(157170,41538,'Decreases Threat to target by 376 ',100,2,3),
(157171,41538,'Must be flanking or behind',100,3,4),
(157172,41538,'Increases Threat to target by 376 ',100,2,5),
(157173,41538,'Must be in front of',100,3,6),
(157174,41538,'Cannot be modified except by direct means',100,2,7),
(157175,10041538,'When Equipped:',100,0,0),
(157176,10041538,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157177,10041538,'Inflicts 217 - 404 magic damage on target',100,2,2),
(157178,10041538,'Cannot be modified except by direct means',100,2,3),
(157179,109498,'Inflicts 665 - 1108 cold damage on target',100,1,0),
(157180,10109498,'Inflicts 864 - 1441 cold damage on target',100,1,0),
(157181,36984,'Increases Max Power of target by 3.3',100,0,0),
(157182,36984,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(157183,110844,'Inflicts 325 - 440 mental damage on target',100,1,0),
(157184,110844,'Interrupts target',100,1,1),
(157185,10110844,'Inflicts 423 - 572 mental damage on target',100,1,0),
(157186,10110844,'Interrupts target',100,1,1),
(157187,109916,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(157188,109916,'Inflicts 169 - 207 poison damage on target instantly and every 4 seconds',100,2,1),
(157189,10109916,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(157190,10109916,'Inflicts 220 - 269 poison damage on target instantly and every 4 seconds',100,2,1),
(157191,102857,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(157192,102857,'Stuns target',100,2,1),
(157193,102857,'Throws target back',100,2,2),
(157194,102857,'Blurs vision of target',100,2,3),
(157195,102857,'Does not affect Epic targets',100,2,4),
(157196,102857,'Inflicts 327 - 981 melee damage on targets in area',100,1,5),
(157197,10102857,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(157198,10102857,'Stuns target',100,2,1),
(157199,10102857,'Throws target back',100,2,2),
(157200,10102857,'Blurs vision of target',100,2,3),
(157201,10102857,'Does not affect Epic targets',100,2,4),
(157202,10102857,'Inflicts 425 - 1276 melee damage on targets in area',100,1,5),
(157203,177791,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(157204,177791,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(157205,177791,'Decreases Attack Speed of target by 13.5',100,2,2),
(157206,177791,'Cannot be modified except by direct means',100,2,3),
(157207,177791,'Slows target by 35.1%',100,1,4),
(157208,177791,'5% chance to dispel when target takes damage',100,1,5),
(157209,177791,'5% chance to dispel when target receives hostile action',100,1,6),
(157210,177791,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(157211,10177791,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(157212,10177791,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(157213,10177791,'Decreases Attack Speed of target by 13.5',100,2,2),
(157214,10177791,'Cannot be modified except by direct means',100,2,3),
(157215,10177791,'Slows target by 35.1%',100,1,4),
(157216,10177791,'5% chance to dispel when target takes damage',100,1,5),
(157217,10177791,'5% chance to dispel when target receives hostile action',100,1,6),
(157218,10177791,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(157219,102447,'Stuns target encounter',100,1,0),
(157220,102447,'Epic targets gain an immunity to Stun effects of 11.3 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(157221,102447,'Resistibility increases against targets higher than level 73.',100,1,2),
(157222,10102447,'Stuns target encounter',100,1,0),
(157223,10102447,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(157224,10102447,'Resistibility increases against targets higher than level 73.',100,1,2),
(157225,46978,'Applies Middling Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(157226,46978,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(157227,46978,'Stuns target',100,2,2),
(157228,46978,'If Target is not Epic',100,3,3),
(157229,46978,'Cannot be modified except by direct means',100,2,4),
(157230,46978,'Grants a total of 30 triggers of the spell.',100,2,5),
(157231,46978,'Only affects targets level 50 and above',100,1,6),
(157232,10046978,'Applies Middling Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(157233,10046978,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(157234,10046978,'Stuns target',100,2,2),
(157235,10046978,'If Target is not Epic',100,3,3),
(157236,10046978,'Cannot be modified except by direct means',100,2,4),
(157237,10046978,'Grants a total of 30 triggers of the spell.',100,2,5),
(157238,10046978,'Only affects targets level 50 and above',100,1,6),
(157239,106240,'Inflicts 706 - 2120 melee damage on target',100,1,0),
(157240,106240,'Stifles target',100,1,1),
(157241,106240,'If Target is not Epic',100,2,2),
(157242,106240,'Resistibility increases against targets higher than level 117.',100,1,3),
(157243,10106240,'Inflicts 918 - 2756 melee damage on target',100,1,0),
(157244,10106240,'Stifles target',100,1,1),
(157245,10106240,'If Target is not Epic',100,2,2),
(157246,10106240,'Resistibility increases against targets higher than level 117.',100,1,3),
(157247,118873,'Inflicts 46 - 78 melee damage on target',100,1,0),
(157248,118873,'Inflicts 46 - 78 melee damage on target',100,1,1),
(157249,118873,'Inflicts 46 - 78 melee damage on target',100,1,2),
(157250,118873,'Inflicts 46 - 78 melee damage on target',100,1,3),
(157251,118873,'Inflicts 46 - 78 melee damage on target',100,1,4),
(157252,10118873,'Inflicts 61 - 101 melee damage on target',100,1,0),
(157253,10118873,'Inflicts 61 - 101 melee damage on target',100,1,1),
(157254,10118873,'Inflicts 61 - 101 melee damage on target',100,1,2),
(157255,10118873,'Inflicts 61 - 101 melee damage on target',100,1,3),
(157256,10118873,'Inflicts 61 - 101 melee damage on target',100,1,4),
(157257,46874,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(157258,46874,'Increases INT of caster by 55.7',100,1,1),
(157259,10046874,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(157260,10046874,'Increases INT of caster by 55.7',100,1,1),
(157261,122675,'Decreases Defense of target by 19.2',100,1,0),
(157262,122675,'Decreases Mitigation of target vs physical damage by 320',100,1,1),
(157263,10122675,'Decreases Defense of target by 19.2',100,1,0),
(157264,10122675,'Decreases Mitigation of target vs physical damage by 320',100,1,1),
(157265,145986,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(157266,145986,'Increases Max Power of caster by 5.0%',100,1,1),
(157267,145986,'This effect cannot be cast during combat',100,1,2),
(157268,145986,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(157269,10145986,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(157270,10145986,'Increases Max Power of caster by 5.0%',100,1,1),
(157271,10145986,'This effect cannot be cast during combat',100,1,2),
(157272,10145986,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(157273,47122,'Applies Aura of the Starwatcher  when Activated.  Lasts for 30 minutes.',100,0,0),
(157274,10047122,'Applies Aura of the Starwatcher  when Activated.  Lasts for 30 minutes.',100,0,0),
(157275,79282,'When Equipped:',100,0,0),
(157276,79282,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(157277,79282,'Inflicts 185 - 227 magic damage on target',100,2,2),
(157278,79282,'Cannot be modified except by direct means',100,2,3),
(157279,10079282,'When Equipped:',100,0,0),
(157280,10079282,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(157281,10079282,'Inflicts 241 - 295 magic damage on target',100,2,2),
(157282,10079282,'Cannot be modified except by direct means',100,2,3),
(157283,121970,'Inflicts 139 - 231 disease damage on target',100,1,0),
(157284,121970,'Decreases Defense of target by 27.6',100,1,1),
(157285,121970,'Interrupts target',100,1,2),
(157286,10121970,'Inflicts 180 - 300 disease damage on target',100,1,0),
(157287,10121970,'Decreases Defense of target by 27.6',100,1,1),
(157288,10121970,'Interrupts target',100,1,2),
(157289,88997,'When Equipped:',100,0,0),
(157290,88997,'On a combat hit this spell may cast Ruinous Strike on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(157291,88997,'Inflicts 333 - 555 magic damage on target',100,2,2),
(157292,88997,'Decreases Mitigation of target vs physical damage by 1218',100,2,3),
(157293,88997,'Cannot be modified except by direct means',100,2,4),
(157294,10088997,'When Equipped:',100,0,0),
(157295,10088997,'On a combat hit this spell may cast Ruinous Strike on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(157296,10088997,'Inflicts 433 - 722 magic damage on target',100,2,2),
(157297,10088997,'Decreases Mitigation of target vs physical damage by 1218',100,2,3),
(157298,10088997,'Cannot be modified except by direct means',100,2,4),
(157299,123640,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(157300,123640,'Slows target by 36.2%',100,2,1),
(157301,123640,'5% chance to dispel when target receives hostile action',100,2,2),
(157302,123640,'5% chance to dispel when target takes damage',100,2,3),
(157303,123640,'Inflicts 163 - 200 cold damage on target',100,1,4),
(157304,10123640,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(157305,10123640,'Slows target by 36.2%',100,2,1),
(157306,10123640,'5% chance to dispel when target receives hostile action',100,2,2),
(157307,10123640,'5% chance to dispel when target takes damage',100,2,3),
(157308,10123640,'Inflicts 182 - 223 cold damage on target',100,1,4),
(157309,106299,'Decreases INT and STR of target by 8.5',100,1,0),
(157310,10106299,'Decreases INT and STR of target by 8.5',100,1,0),
(157311,84250,'Applies Mental Blast when Activated.',100,0,0),
(157312,84250,'Inflicts 463 - 772 mental damage on target',100,1,1),
(157313,84250,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157314,10084250,'Applies Mental Blast when Activated.',100,0,0),
(157315,10084250,'Inflicts 602 - 1004 mental damage on target',100,1,1),
(157316,10084250,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157317,41508,'When Equipped:',100,0,0),
(157318,41508,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157319,41508,'Inflicts 70 - 131 magic damage on target',100,2,2),
(157320,41508,'Decreases Threat to target by 153 ',100,2,3),
(157321,41508,'Must be flanking or behind',100,3,4),
(157322,41508,'Increases Threat to target by 153 ',100,2,5),
(157323,41508,'Must be in front of',100,3,6),
(157324,41508,'Cannot be modified except by direct means',100,2,7),
(157325,10041508,'When Equipped:',100,0,0),
(157326,10041508,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157327,10041508,'Inflicts 91 - 170 magic damage on target',100,2,2),
(157328,10041508,'Cannot be modified except by direct means',100,2,3),
(157329,120451,'Inflicts 604 - 1006 melee damage on target',100,1,0),
(157330,120451,'Inflicts 604 - 1006 melee damage on target',100,1,1),
(157331,10120451,'Inflicts 785 - 1308 melee damage on target',100,1,0),
(157332,10120451,'Inflicts 785 - 1308 melee damage on target',100,1,1),
(157333,45107,'Applies Inspiring Sweetness when Activated.  Lasts for 1 hour.',100,0,0),
(157334,45107,'Increases Combat XP Gain of caster by 5.0%',100,1,1),
(157335,45107,'Increases AA XP Gain of caster by 5.0%',100,1,2),
(157336,45107,'Increases Tradeskill XP Gain of caster by 5.0%',100,1,3),
(157337,45107,'You can only have one experience potion active at a time.',100,1,4),
(157338,10045107,'Applies Inspiring Sweetness when Activated.  Lasts for 1 hour.',100,0,0),
(157339,10045107,'Increases Combat XP Gain of caster by 5.0%',100,1,1),
(157340,10045107,'Increases AA XP Gain of caster by 5.0%',100,1,2),
(157341,10045107,'Increases Tradeskill XP Gain of caster by 5.0%',100,1,3),
(157342,10045107,'You can only have one experience potion active at a time.',100,1,4),
(157343,25100,'When Equipped:',100,0,0),
(157344,25100,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(157345,25100,'Heals caster for 1073',100,2,2),
(157346,25100,'Cannot be modified except by direct means',100,2,3),
(157347,10025100,'When Equipped:',100,0,0),
(157348,10025100,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(157349,10025100,'Heals caster for 1255',100,2,2),
(157350,10025100,'Cannot be modified except by direct means',100,2,3),
(157351,111947,'Inflicts 62 - 76 disease damage on target',100,1,0),
(157352,111947,'Decreases Mitigation of target vs noxious damage by 166',100,1,1),
(157353,10111947,'Inflicts 104 - 127 disease damage on target',100,1,0),
(157354,10111947,'Decreases Mitigation of target vs noxious damage by 166',100,1,1),
(157355,113392,'Summons a pet a loyal snow hound',100,1,0),
(157356,10113392,'Summons a pet a loyal snow hound',100,1,0),
(157357,104081,'Inflicts 239 - 399 mental damage on target',100,1,0),
(157358,104081,'Inflicts 239 - 399 mental damage on target',100,1,1),
(157359,10104081,'Inflicts 311 - 519 mental damage on target',100,1,0),
(157360,10104081,'Inflicts 311 - 519 mental damage on target',100,1,1),
(157361,124491,'Heals group members (AE) for 673 - 823',100,1,0),
(157362,10124491,'Heals group members (AE) for 788 - 963',100,1,0),
(157363,82911,'When Equipped:',100,0,0),
(157364,82911,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157365,82911,'Inflicts 315 - 585 magic damage on target',100,2,2),
(157366,82911,'Cannot be modified except by direct means',100,2,3),
(157367,10082911,'When Equipped:',100,0,0),
(157368,10082911,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157369,10082911,'Inflicts 409 - 760 magic damage on target',100,2,2),
(157370,10082911,'Cannot be modified except by direct means',100,2,3),
(157371,102783,'Increases STR of caster by 46.6',100,1,0),
(157372,102783,'Increases Max Health of caster by 275.2',100,1,1),
(157373,102783,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',100,1,2),
(157374,10102783,'Increases STR of caster by 46.6',100,1,0),
(157375,10102783,'Increases Max Health of caster by 275.2',100,1,1),
(157376,10102783,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',100,1,2),
(157377,100145,'Inflicts 90 - 109 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(157378,100145,'Decreases Mitigation of target encounter vs noxious damage by 600',100,1,1),
(157379,10100145,'Inflicts 116 - 142 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(157380,10100145,'Decreases Mitigation of target encounter vs noxious damage by 600',100,1,1),
(157381,114816,'Dazes caster',100,1,0),
(157382,114816,'Roots caster',100,1,1),
(157383,114816,'Increases Mitigation of caster vs physical damage by 960',100,1,2),
(157384,10114816,'Dazes caster',100,1,0),
(157385,10114816,'Roots caster',100,1,1),
(157386,10114816,'Increases Mitigation of caster vs physical damage by 960',100,1,2),
(157387,26890,'When Equipped:',100,0,0),
(157388,26890,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(157389,26890,'Decreases Threat to target encounter by 1,296 ',100,2,2),
(157390,26890,'Cannot be modified except by direct means',100,2,3),
(157391,10026890,'When Equipped:',100,0,0),
(157392,10026890,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(157393,10026890,'Cannot be modified except by direct means',100,2,2),
(157394,118769,'Increases INT and WIS of group members (AE) by 74.8',100,1,0),
(157395,118769,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 219',100,1,1),
(157396,10118769,'Increases INT and WIS of group members (AE) by 74.8',100,1,0),
(157397,10118769,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 219',100,1,1),
(157398,102240,'Increases Max Health of group members (AE) by 1,036.6',100,1,0),
(157399,10102240,'Increases Max Health of group members (AE) by 1,036.6',100,1,0),
(157400,113230,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(157401,113230,'Inflicts 225 magic damage on target',100,2,1),
(157402,113230,'Grants a total of 5 triggers of the spell.',100,2,2),
(157403,10113230,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(157404,10113230,'Inflicts 292 magic damage on target',100,2,1),
(157405,10113230,'Grants a total of 5 triggers of the spell.',100,2,2),
(157406,103228,'Reduces physical damage done to caster by 5%',100,1,0),
(157407,103228,'Adds 1.4% to base avoidance.',100,1,1),
(157408,103228,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(157409,103228,'Increases Parry of caster by 8.6',100,1,3),
(157410,103228,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(157411,103228,'Increases Aggression of caster by 6.4',100,1,5),
(157412,103228,'Increases Defense and Deflection of caster by 8.6',100,1,6),
(157413,103228,'Increases Mitigation of caster vs noxious damage by 570',100,1,7),
(157414,103228,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(157415,10103228,'Reduces physical damage done to caster by 5%',100,1,0),
(157416,10103228,'Adds 1.4% to base avoidance.',100,1,1),
(157417,10103228,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(157418,10103228,'Increases Parry of caster by 8.6',100,1,3),
(157419,10103228,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(157420,10103228,'Increases Aggression of caster by 6.4',100,1,5),
(157421,10103228,'Increases Defense and Deflection of caster by 8.6',100,1,6),
(157422,10103228,'Increases Mitigation of caster vs noxious damage by 570',100,1,7),
(157423,10103228,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(157424,115362,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(157425,115362,'Increases Parry of caster by 4.4',100,1,1),
(157426,10115362,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(157427,10115362,'Increases Parry of caster by 4.4',100,1,1),
(157428,105816,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(157429,105816,'Inflicts 91 - 153 disease damage on target',100,2,1),
(157430,10105816,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(157431,10105816,'Inflicts 119 - 199 disease damage on target',100,2,1),
(157432,80048,'Applies Fire Ball when Activated.',100,0,0),
(157433,80048,'Inflicts 264 - 440 heat damage on target',100,1,1),
(157434,80048,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157435,10080048,'Applies Fire Ball when Activated.',100,0,0),
(157436,10080048,'Inflicts 343 - 572 heat damage on target',100,1,1),
(157437,10080048,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157438,120553,'Decreases Defense of target by 46.1',100,1,0),
(157439,10120553,'Decreases Defense of target by 46.1',100,1,0),
(157440,117706,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(157441,117706,'Adds 0.9% to base avoidance.',100,1,1),
(157442,10117706,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(157443,10117706,'Adds 0.9% to base avoidance.',100,1,1),
(157444,159320,'Applies Lambent Imbued when Equipped.',100,0,0),
(157445,159320,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(157446,159320,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(157447,159320,'Cannot be modified except by direct means',100,2,3),
(157448,10159320,'Applies Lambent Imbued when Equipped.',100,0,0),
(157449,10159320,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(157450,10159320,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(157451,10159320,'Cannot be modified except by direct means',100,2,3),
(157452,119520,'Increases threat priority of target by 2 positions',100,1,0),
(157453,119520,'Stuns caster',100,1,1),
(157454,119520,'Decreases Defense and Parry of caster by 216.0',100,1,2),
(157455,119520,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(157456,119520,'Inflicts 1146 - 1911 piercing damage on target',100,2,4),
(157457,119520,'Grants a total of 1 trigger of the spell.',100,2,5),
(157458,10119520,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(157459,10119520,'Prevents target from changing targets',100,2,1),
(157460,10119520,'Forces target to change their selected target to caster.',100,2,2),
(157461,10119520,'Stuns caster',100,1,3),
(157462,10119520,'Decreases Defense and Parry of caster by 216.0',100,1,4),
(157463,10119520,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(157464,10119520,'Inflicts 1064 - 1773 piercing damage on target',100,2,6),
(157465,10119520,'Grants a total of 1 trigger of the spell.',100,2,7),
(157466,36177,'Increases STR of target by 1.5',100,0,0),
(157467,36177,'Target will Parry 0.2% of incoming attacks',100,0,1),
(157468,36177,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(157469,109500,'Inflicts 68 - 83 disease damage on target instantly and every 4 seconds',100,1,0),
(157470,109500,'Decreases Attack Speed of target by 7.4',100,1,1),
(157471,10109500,'Inflicts 88 - 108 disease damage on target instantly and every 4 seconds',100,1,0),
(157472,10109500,'Decreases Attack Speed of target by 7.4',100,1,1),
(157473,71844,'When Equipped:',100,0,0),
(157474,71844,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(157475,71844,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(157476,71844,'Cannot be modified except by direct means',100,2,3),
(157477,10071844,'When Equipped:',100,0,0),
(157478,10071844,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(157479,10071844,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(157480,10071844,'Cannot be modified except by direct means',100,2,3),
(157481,52833,'Applies Sanguine Imbued when Equipped.',100,0,0),
(157482,52833,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(157483,52833,'Inflicts 151 heat damage on target',100,2,2),
(157484,52833,'Cannot be modified except by direct means',100,2,3),
(157485,10052833,'Applies Sanguine Imbued when Equipped.',100,0,0),
(157486,10052833,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(157487,10052833,'Inflicts 197 heat damage on target',100,2,2),
(157488,10052833,'Cannot be modified except by direct means',100,2,3),
(157489,74552,'When Equipped:',100,0,0),
(157490,74552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157491,74552,'Inflicts 208 - 311 magic damage on target',100,2,2),
(157492,74552,'Cannot be modified except by direct means',100,2,3),
(157493,10074552,'When Equipped:',100,0,0),
(157494,10074552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157495,10074552,'Inflicts 270 - 405 magic damage on target',100,2,2),
(157496,10074552,'Cannot be modified except by direct means',100,2,3),
(157497,79364,'When Equipped:',100,0,0),
(157498,79364,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(157499,10079364,'When Equipped:',100,0,0),
(157500,10079364,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(157501,117345,'Roots target',100,1,0),
(157502,117345,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(157503,117345,'Slows target by 46.4%',100,2,2),
(157504,117345,'5% chance to dispel when target receives hostile action',100,2,3),
(157505,117345,'5% chance to dispel when target takes damage',100,2,4),
(157506,117345,'15% chance to dispel when target takes damage',100,1,5),
(157507,117345,'Does not affect Epic targets',100,1,6),
(157508,117345,'Resistibility increases against targets higher than level 90.',100,1,7),
(157509,10117345,'Roots target',100,1,0),
(157510,10117345,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(157511,10117345,'Slows target by 46.4%',100,2,2),
(157512,10117345,'10% chance to dispel when target receives hostile action',100,2,3),
(157513,10117345,'10% chance to dispel when target takes damage',100,2,4),
(157514,10117345,'15% chance to dispel when target takes damage',100,1,5),
(157515,10117345,'Does not affect Epic targets',100,1,6),
(157516,10117345,'Resistibility increases against targets higher than level 90.',100,1,7),
(157517,53014,'When Equipped:',100,0,0),
(157518,53014,'Increases Attack Speed of caster by 20.0',100,1,1),
(157519,10053014,'When Equipped:',100,0,0),
(157520,10053014,'Increases Attack Speed of caster by 20.0',100,1,1),
(157521,101893,'Inflicts 216 - 361 ranged damage on target',100,1,0),
(157522,101893,'If weapon equipped in Ranged',100,1,1),
(157523,101893,'Must be behind',100,1,2),
(157524,10101893,'Inflicts 184 - 307 ranged damage on target',100,1,0),
(157525,10101893,'If weapon equipped in Ranged',100,1,1),
(157526,10101893,'Must be behind',100,1,2),
(157527,121112,'Decreases Threat to targets in Area of Effect by 2,405 ',100,1,0),
(157528,121112,'Mesmerizes targets in Area of Effect',100,1,1),
(157529,121112,'If Target is not Epic',100,2,2),
(157530,121112,'Dispelled when target takes damage',100,1,3),
(157531,10121112,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(157532,10121112,'Applies Distract.',100,1,1),
(157533,10121112,'Forces target to clear their selected target.',100,2,2),
(157534,10121112,'Mesmerizes targets in Area of Effect',100,1,3),
(157535,10121112,'If Target is not Epic',100,2,4),
(157536,10121112,'Dispelled when target takes damage',100,1,5),
(157537,110006,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(157538,110006,'Slows target by 33.4%',100,2,1),
(157539,110006,'5% chance to dispel when target receives hostile action',100,2,2),
(157540,110006,'5% chance to dispel when target takes damage',100,2,3),
(157541,110006,'Inflicts 68 - 83 cold damage on target',100,1,4),
(157542,10110006,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(157543,10110006,'Slows target by 33.4%',100,2,1),
(157544,10110006,'5% chance to dispel when target receives hostile action',100,2,2),
(157545,10110006,'5% chance to dispel when target takes damage',100,2,3),
(157546,10110006,'Inflicts 89 - 108 cold damage on target',100,1,4),
(157547,82470,'When Equipped:',100,0,0),
(157548,82470,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157549,82470,'Inflicts 212 - 393 magic damage on target',100,2,2),
(157550,82470,'Decreases Threat to target by 641 ',100,2,3),
(157551,82470,'Must be flanking or behind',100,3,4),
(157552,82470,'Increases Threat to target by 641 ',100,2,5),
(157553,82470,'Must be in front of',100,3,6),
(157554,82470,'Cannot be modified except by direct means',100,2,7),
(157555,10082470,'When Equipped:',100,0,0),
(157556,10082470,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157557,10082470,'Inflicts 275 - 511 magic damage on target',100,2,2),
(157558,10082470,'Cannot be modified except by direct means',100,2,3),
(157559,121238,'Grants target a 16% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(157560,121238,'Increases Parry of caster by 3.2',100,1,1),
(157561,10121238,'Grants target a 16% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(157562,10121238,'Increases Parry of caster by 3.2',100,1,1),
(157563,101484,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(157564,101484,'Increases Mitigation of group members (AE) vs arcane damage by 504',100,1,1),
(157565,10101484,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(157566,10101484,'Increases Mitigation of group members (AE) vs arcane damage by 504',100,1,1),
(157567,110401,'Inflicts 903 - 1505 disease damage on target',100,1,0),
(157568,10110401,'Inflicts 805 - 1341 disease damage on target',100,1,0),
(157569,114677,'Increases Threat to target by 584 - 714 ',100,1,0),
(157570,114677,'Interrupts target',100,1,1),
(157571,10114677,'Interrupts target',100,1,0),
(157572,10114677,'Forces target to change their selected target to caster.',100,1,1),
(157573,10114677,'Prevents target from changing targets',100,1,2),
(157574,138559,'When Equipped:',100,0,0),
(157575,138559,'On a melee hit this spell may cast After Shock on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157576,138559,'Inflicts 516 - 630 slashing damage on target',100,2,2),
(157577,138559,'Inflicts 103 - 126 slashing damage on target',100,2,3),
(157578,138559,'Inflicts 309 - 378 slashing damage on target',100,2,4),
(157579,138559,'Cannot be modified except by direct means',100,2,5),
(157580,10138559,'When Equipped:',100,0,0),
(157581,10138559,'On a melee hit this spell may cast After Shock on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157582,10138559,'Inflicts 342 - 418 slashing damage on target',100,2,2),
(157583,10138559,'Inflicts 114 - 139 slashing damage on target',100,2,3),
(157584,10138559,'Inflicts 570 - 696 slashing damage on target',100,2,4),
(157585,10138559,'Cannot be modified except by direct means',100,2,5),
(157586,106531,'Inflicts 3762 - 6270 melee damage on target',100,1,0),
(157587,106531,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(157588,106531,'If Target is Standard or weaker',100,2,2),
(157589,10106531,'Inflicts 2445 - 4075 melee damage on target',100,1,0),
(157590,46038,'Applies Summon Elemental Disc of Earth when Activated.',100,0,0),
(157591,46038,'Increases Focus of caster by 5.0',100,1,1),
(157592,46038,'Summons a mount to ride',100,1,2),
(157593,46038,'Increases your ground speed by 75%',100,2,3),
(157594,46038,'Increases your air speed by 150%',100,2,4),
(157595,46038,'Increases Piercing, Disruption, Ranged, Ministration, Slashing, Subjugation, Crushing, Aggression and Ordination of caster by 5.0',100,1,5),
(157596,10046038,'Applies Summon Elemental Disc of Earth when Activated.',100,0,0),
(157597,10046038,'Increases Focus of caster by 5.0',100,1,1),
(157598,10046038,'Summons a mount to ride',100,1,2),
(157599,10046038,'Increases your ground speed by 75%',100,2,3),
(157600,10046038,'Increases your air speed by 150%',100,2,4),
(157601,10046038,'Increases Piercing, Disruption, Ranged, Ministration, Slashing, Subjugation, Crushing, Aggression and Ordination of caster by 5.0',100,1,5),
(157602,81553,'When Equipped:',100,0,0),
(157603,81553,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157604,81553,'Inflicts 167 - 311 magic damage on target',100,2,2),
(157605,81553,'Decreases Threat to target by 376 ',100,2,3),
(157606,81553,'Must be flanking or behind',100,3,4),
(157607,81553,'Increases Threat to target by 376 ',100,2,5),
(157608,81553,'Must be in front of',100,3,6),
(157609,81553,'Cannot be modified except by direct means',100,2,7),
(157610,10081553,'When Equipped:',100,0,0),
(157611,10081553,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(157612,10081553,'Inflicts 217 - 404 magic damage on target',100,2,2),
(157613,10081553,'Cannot be modified except by direct means',100,2,3),
(157614,106981,'Inflicts 1321 - 2453 poison damage on target',100,1,0),
(157615,106981,'Increases power of caster by 85',100,1,1),
(157616,10106981,'Inflicts 1717 - 3189 poison damage on target',100,1,0),
(157617,10106981,'Increases power of caster by 85',100,1,1),
(157618,100743,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(157619,100743,'Wards target against 345 points of all damage',100,2,1),
(157620,100743,'Heals target for 281',100,2,2),
(157621,100743,'Increases power of target by 65 every 6 seconds',100,2,3),
(157622,100743,'Grants a total of 1 trigger of the spell.',100,2,4),
(157623,10100743,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(157624,10100743,'Wards target against 345 points of all damage',100,2,1),
(157625,10100743,'Heals target for 183',100,2,2),
(157626,10100743,'Increases power of target by 65 every 6 seconds',100,2,3),
(157627,10100743,'Grants a total of 1 trigger of the spell.',100,2,4),
(157628,74809,'When Equipped:',100,0,0),
(157629,74809,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157630,74809,'Inflicts 131 - 197 magic damage on target',100,2,2),
(157631,74809,'Cannot be modified except by direct means',100,2,3),
(157632,10074809,'When Equipped:',100,0,0),
(157633,10074809,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157634,10074809,'Inflicts 171 - 256 magic damage on target',100,2,2),
(157635,10074809,'Cannot be modified except by direct means',100,2,3),
(157636,25871,'When Equipped:',100,0,0),
(157637,25871,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(157638,25871,'Adds a 10% Ability Casting Speed to the target of Thieves Guild.',100,1,2),
(157639,10025871,'When Equipped:',100,0,0),
(157640,10025871,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(157641,10025871,'Adds a 10% Ability Casting Speed to the target of Thieves Guild.',100,1,2),
(157642,47857,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(157643,47857,'Increases Slashing of caster by 4.7',100,1,1),
(157644,47857,'Summons a mount to ride',100,1,2),
(157645,47857,'Increases your ground speed by 130%',100,2,3),
(157646,47857,'Increases Focus, Piercing and Crushing of caster by 4.7',100,1,4),
(157647,10047857,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(157648,10047857,'Increases Slashing of caster by 4.7',100,1,1),
(157649,10047857,'Summons a mount to ride',100,1,2),
(157650,10047857,'Increases your ground speed by 130%',100,2,3),
(157651,10047857,'Increases Focus, Piercing and Crushing of caster by 4.7',100,1,4),
(157652,120766,'Inflicts 76 - 93 divine damage on target instantly and every 3 seconds',100,1,0),
(157653,120766,'Increases power of caster by 60 instantly and every 3 seconds',100,1,1),
(157654,10120766,'Inflicts 99 - 121 divine damage on target instantly and every 3 seconds',100,1,0),
(157655,10120766,'Increases power of caster by 60 instantly and every 3 seconds',100,1,1),
(157656,111573,'Inflicts 6146 - 11414 cold damage on target',100,1,0),
(157657,111573,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(157658,111573,'Stuns target',100,2,2),
(157659,111573,'Throws target back',100,2,3),
(157660,111573,'Blurs vision of target',100,2,4),
(157661,111573,'Does not affect Epic targets',100,2,5),
(157662,10111573,'Inflicts 5777 - 10729 cold damage on target',100,1,0),
(157663,10111573,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(157664,10111573,'Stuns target',100,2,2),
(157665,10111573,'Throws target back',100,2,3),
(157666,10111573,'Blurs vision of target',100,2,4),
(157667,10111573,'Does not affect Epic targets',100,2,5),
(157668,124241,'Decreases Attack Speed of caster by 18.9',100,1,0),
(157669,124241,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(157670,124241,'Slows targets in Area of Effect by 66.9%',100,2,2),
(157671,124241,'5% chance to dispel when target receives hostile action',100,2,3),
(157672,124241,'5% chance to dispel when target takes damage',100,2,4),
(157673,124241,'Increases Mitigation of caster vs physical damage by 1364',100,1,5),
(157674,10124241,'Decreases Attack Speed of caster by 18.9',100,1,0),
(157675,10124241,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(157676,10124241,'Slows targets in Area of Effect by 50.2%',100,2,2),
(157677,10124241,'5% chance to dispel when target receives hostile action',100,2,3),
(157678,10124241,'5% chance to dispel when target takes damage',100,2,4),
(157679,10124241,'Increases Mitigation of caster vs physical damage by 1364',100,1,5),
(157680,107698,'Inflicts 136 - 228 heat damage on target',100,1,0),
(157681,107698,'You must be sneaking to use this ability.',100,1,1),
(157682,10107698,'Inflicts 178 - 296 heat damage on target',100,1,0),
(157683,10107698,'You must be sneaking to use this ability.',100,1,1),
(157684,102820,'Summons 3 limited pets to aid the caster',100,1,0),
(157685,10102820,'Summons 3 limited pets to aid the caster',100,1,0),
(157686,116463,'Inflicts 254 disease damage on target instantly and every 4 seconds',100,1,0),
(157687,116463,'Inflicts 254 disease damage on target instantly and every 4 seconds',100,1,1),
(157688,116463,'If target is nightblood',100,2,2),
(157689,116463,'Inflicts 254 disease damage on target instantly and every 4 seconds',100,1,3),
(157690,116463,'If target is shadowed folk',100,2,4),
(157691,10116463,'Inflicts 330 disease damage on target instantly and every 4 seconds',100,1,0),
(157692,122457,'Inflicts 1089 - 1816 magic damage on target',100,1,0),
(157693,10122457,'Inflicts 1416 - 2360 magic damage on target',100,1,0),
(157694,37003,'Increases STR of target by 1.5',100,0,0),
(157695,37003,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(157696,110268,'Covers the beastlord''s hand with power',100,1,0),
(157697,10110268,'Covers the beastlord''s hand with power',100,1,0),
(157698,107672,'Increases Mitigation of raid and group members (AE) vs elemental damage by 2267',100,1,0),
(157699,10107672,'Increases Mitigation of raid and group members (AE) vs elemental damage by 2267',100,1,0),
(157700,47712,'Applies Greater Clear Voice when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(157701,47712,'Makes caster immune to Stifle effects',100,1,1),
(157702,10047712,'Applies Greater Clear Voice when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(157703,10047712,'Makes caster immune to Stifle effects',100,1,1),
(157704,119400,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(157705,119400,'Blurs vision of target',100,2,1),
(157706,119400,'Stuns target',100,2,2),
(157707,119400,'Throws target back',100,2,3),
(157708,119400,'Does not affect Epic targets',100,2,4),
(157709,119400,'Inflicts 19 - 33 melee damage on target',100,1,5),
(157710,119400,'You must be sneaking to use this ability.',100,1,6),
(157711,10119400,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(157712,10119400,'Stuns target',100,2,1),
(157713,10119400,'Throws target back',100,2,2),
(157714,10119400,'Blurs vision of target',100,2,3),
(157715,10119400,'Does not affect Epic targets',100,2,4),
(157716,10119400,'Inflicts 25 - 43 melee damage on target',100,1,5),
(157717,10119400,'You must be sneaking to use this ability.',100,1,6),
(157718,114960,'Decreases Attack Speed of target by 8.6',100,1,0),
(157719,114960,'Inflicts 43 - 131 slashing damage on target',100,1,1),
(157720,114960,'Inflicts 88 slashing damage on target instantly and every 4 seconds',100,1,2),
(157721,10114960,'Decreases Attack Speed of target by 8.6',100,1,0),
(157722,10114960,'Inflicts 57 - 171 slashing damage on target',100,1,1),
(157723,10114960,'Inflicts 114 slashing damage on target instantly and every 4 seconds',100,1,2),
(157724,105879,'Inflicts 115 - 192 ranged damage on target',100,1,0),
(157725,105879,'Inflicts 115 - 192 ranged damage on target',100,1,1),
(157726,105879,'If weapon equipped in Ranged',100,1,2),
(157727,10105879,'Inflicts 98 - 163 ranged damage on target',100,1,0),
(157728,10105879,'Inflicts 98 - 163 ranged damage on target',100,1,1),
(157729,10105879,'If weapon equipped in Ranged',100,1,2),
(157730,79019,'Applies Frost Blast when Activated.',100,0,0),
(157731,79019,'Inflicts 108 - 179 cold damage on target',100,1,1),
(157732,79019,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157733,10079019,'Applies Frost Blast when Activated.',100,0,0),
(157734,10079019,'Inflicts 140 - 233 cold damage on target',100,1,1),
(157735,10079019,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157736,107024,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',100,1,0),
(157737,107024,'Dazes caster',100,2,1),
(157738,107024,'Stifles caster',100,2,2),
(157739,107024,'Heals caster for 70.0% of max health',100,2,3),
(157740,107024,'This effect cannot be critically applied.',100,3,4),
(157741,107024,'The healing of this spell cannot be modified except by direct means',100,2,5),
(157742,107024,'Grants a total of 1 trigger of the spell.',100,2,6),
(157743,10107024,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',100,1,0),
(157744,10107024,'Stifles caster',100,2,1),
(157745,10107024,'Dazes caster',100,2,2),
(157746,10107024,'Heals caster for 35.0% of max health',100,2,3),
(157747,10107024,'This effect cannot be critically applied.',100,3,4),
(157748,10107024,'The healing of this spell cannot be modified except by direct means',100,2,5),
(157749,10107024,'Grants a total of 1 trigger of the spell.',100,2,6),
(157750,139801,'When Equipped:',100,0,0),
(157751,139801,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(157752,139801,'Inflicts 506 divine damage on target',100,2,2),
(157753,139801,'Must not be classified as a vampire',100,3,3),
(157754,139801,'Inflicts 1012 divine damage on target',100,2,4),
(157755,139801,'Must be classified as a vampire',100,3,5),
(157756,139801,'Decreases Mitigation of target vs arcane damage by 738',100,2,6),
(157757,139801,'Must be classified as a vampire',100,3,7),
(157758,139801,'Cannot be modified except by direct means',100,2,8),
(157759,139801,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(157760,10139801,'When Equipped:',100,0,0),
(157761,10139801,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(157762,10139801,'Inflicts 658 divine damage on target',100,2,2),
(157763,10139801,'Must not be classified as a vampire',100,3,3),
(157764,10139801,'Inflicts 1315 divine damage on target',100,2,4),
(157765,10139801,'Must be classified as a vampire',100,3,5),
(157766,10139801,'Decreases Mitigation of target vs arcane damage by 738',100,2,6),
(157767,10139801,'Must be classified as a vampire',100,3,7),
(157768,10139801,'Cannot be modified except by direct means',100,2,8),
(157769,10139801,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(157770,121306,'Inflicts 270 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(157771,121306,'Inflicts 891 - 1485 melee damage on targets in area',100,1,1),
(157772,121306,'You must be in stealth or have Bloody Assault.',100,1,2),
(157773,10121306,'Inflicts 351 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(157774,10121306,'Inflicts 1158 - 1931 melee damage on targets in area',100,1,1),
(157775,10121306,'You must be in stealth or have Bloody Assault.',100,1,2),
(157776,73686,'When Equipped:',100,0,0),
(157777,73686,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(157778,73686,'Inflicts 2291 - 2533 mental damage on target',100,2,2),
(157779,73686,'Decreases Threat to target by 4,441 - 4,908 ',100,2,3),
(157780,73686,'Must not be engaged in pvp combat',100,2,4),
(157781,73686,'Cannot be modified except by direct means',100,2,5),
(157782,73686,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(157783,73686,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(157784,73686,'Inflicts 2291 - 2533 mental damage on target',100,2,8),
(157785,73686,'Decreases Threat to target by 4,441 - 4,908 ',100,2,9),
(157786,73686,'Must not be engaged in pvp combat',100,2,10),
(157787,73686,'Cannot be modified except by direct means',100,2,11),
(157788,73686,'Cannot be modified except by direct means',100,1,12),
(157789,10073686,'When Equipped:',100,0,0),
(157790,10073686,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(157791,10073686,'Inflicts 2979 - 3292 mental damage on target',100,2,2),
(157792,10073686,'Must not be engaged in pvp combat',100,2,3),
(157793,10073686,'Cannot be modified except by direct means',100,2,4),
(157794,10073686,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(157795,10073686,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(157796,10073686,'Inflicts 2979 - 3292 mental damage on target',100,2,7),
(157797,10073686,'Must not be engaged in pvp combat',100,2,8),
(157798,10073686,'Cannot be modified except by direct means',100,2,9),
(157799,10073686,'Cannot be modified except by direct means',100,1,10),
(157800,110620,'Decreases Focus of target by 55.0',100,1,0),
(157801,110620,'Interrupts target',100,1,1),
(157802,110620,'Inflicts 376 - 1128 crushing damage on target',100,1,2),
(157803,10110620,'Decreases Focus of target by 55.0',100,1,0),
(157804,10110620,'Interrupts target',100,1,1),
(157805,10110620,'Inflicts 489 - 1467 crushing damage on target',100,1,2),
(157806,188344,'When Equipped:',100,0,0),
(157807,188344,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(157808,188344,'Inflicts 2664 disease damage on target encounter',100,2,2),
(157809,188344,'Must not be engaged in pvp combat',100,2,3),
(157810,188344,'Cannot be modified except by direct means',100,2,4),
(157811,10188344,'When Equipped:',100,0,0),
(157812,10188344,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(157813,10188344,'Inflicts 1732 disease damage on target encounter',100,2,2),
(157814,10188344,'Must not be engaged in pvp combat',100,2,3),
(157815,10188344,'Cannot be modified except by direct means',100,2,4),
(157816,82144,'When Equipped:',100,0,0),
(157817,82144,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157818,82144,'Inflicts 212 - 393 magic damage on target',100,2,2),
(157819,82144,'Cannot be modified except by direct means',100,2,3),
(157820,10082144,'When Equipped:',100,0,0),
(157821,10082144,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157822,10082144,'Inflicts 275 - 511 magic damage on target',100,2,2),
(157823,10082144,'Cannot be modified except by direct means',100,2,3),
(157824,117520,'Increases AGI, INT and WIS of group members (AE) by 18.8',100,1,0),
(157825,117520,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 72',100,1,1),
(157826,10117520,'Increases AGI, INT and WIS of group members (AE) by 18.8',100,1,0),
(157827,10117520,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 72',100,1,1),
(157828,105385,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(157829,105385,'Inflicts 149 melee damage on target',100,2,1),
(157830,105385,'Interrupts target',100,2,2),
(157831,105385,'Decreases Defense of caster by 16.5',100,1,3),
(157832,105385,'Increases Piercing, Slashing, Ranged and Crushing of caster by 39.6',100,1,4),
(157833,10105385,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(157834,10105385,'Inflicts 194 melee damage on target',100,2,1),
(157835,10105385,'Interrupts target',100,2,2),
(157836,10105385,'Decreases Defense of caster by 16.5',100,1,3),
(157837,10105385,'Increases Piercing, Slashing, Ranged and Crushing of caster by 39.6',100,1,4),
(157838,75440,'When Equipped:',100,0,0),
(157839,75440,'On any combat or spell hit this spell may cast Ruinous Slash VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(157840,75440,'Inflicts 387 - 428 heat damage on targets in Area of Effect',100,2,2),
(157841,75440,'Inflicts 155 - 171 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(157842,75440,'Must not be engaged in pvp combat',100,2,4),
(157843,75440,'Cannot be modified except by direct means',100,2,5),
(157844,75440,'Must not be engaged in pvp combat',100,1,6),
(157845,10075440,'When Equipped:',100,0,0),
(157846,10075440,'On any combat or spell hit this spell may cast Ruinous Slash VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(157847,10075440,'Inflicts 503 - 556 heat damage on targets in Area of Effect',100,2,2),
(157848,10075440,'Inflicts 201 - 222 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(157849,10075440,'Must not be engaged in pvp combat',100,2,4),
(157850,10075440,'Cannot be modified except by direct means',100,2,5),
(157851,10075440,'Must not be engaged in pvp combat',100,1,6),
(157852,47370,'Applies New Old-Bomb Detonator when Activated.',100,0,0),
(157853,10047370,'Applies New Old-Bomb Detonator when Activated.',100,0,0),
(157854,109288,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(157855,109288,'Increases Mitigation of group members (AE) vs elemental damage by 308',100,1,1),
(157856,10109288,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(157857,10109288,'Increases Mitigation of group members (AE) vs elemental damage by 308',100,1,1),
(157858,26639,'When Equipped:',100,0,0),
(157859,26639,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(157860,26639,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,2),
(157861,10026639,'When Equipped:',100,0,0),
(157862,10026639,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(157863,10026639,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,2),
(157864,124476,'Heals group members (AE) for 266 - 326',100,1,0),
(157865,10124476,'Heals group members (AE) for 312 - 381',100,1,0),
(157866,106445,'Increases Multi Attack Chance of raid and group members (AE) by 5.0',100,1,0),
(157867,10106445,'Increases Multi Attack Chance of raid and group members (AE) by 5.0',100,1,0),
(157868,51307,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(157869,51307,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(157870,51307,'Inflicts 66 heat damage on target',100,2,2),
(157871,51307,'Cannot be modified except by direct means',100,2,3),
(157872,10051307,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(157873,10051307,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(157874,10051307,'Inflicts 85 heat damage on target',100,2,2),
(157875,10051307,'Cannot be modified except by direct means',100,2,3),
(157876,36707,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(157877,145935,'When Equipped:',100,0,0),
(157878,145935,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(157879,145935,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,2),
(157880,145935,'Must not be engaged in pvp combat',100,2,3),
(157881,145935,'Cannot be modified except by direct means',100,2,4),
(157882,145935,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(157883,145935,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(157884,145935,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,7),
(157885,145935,'Must not be engaged in pvp combat',100,2,8),
(157886,145935,'Cannot be modified except by direct means',100,2,9),
(157887,145935,'Cannot be modified except by direct means',100,1,10),
(157888,10145935,'When Equipped:',100,0,0),
(157889,10145935,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(157890,10145935,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,2),
(157891,10145935,'Must not be engaged in pvp combat',100,2,3),
(157892,10145935,'Cannot be modified except by direct means',100,2,4),
(157893,10145935,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(157894,10145935,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(157895,10145935,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,7),
(157896,10145935,'Must not be engaged in pvp combat',100,2,8),
(157897,10145935,'Cannot be modified except by direct means',100,2,9),
(157898,10145935,'Cannot be modified except by direct means',100,1,10),
(157899,133051,'When Equipped:',100,0,0),
(157900,133051,'On a melee hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157901,133051,'Increases Threat to target encounter by 282 - 470 ',100,2,2),
(157902,133051,'Cannot be modified except by direct means',100,2,3),
(157903,10133051,'When Equipped:',100,0,0),
(157904,10133051,'On a melee hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157905,10133051,'Applies Annoy.  Lasts for 3.0 seconds.',100,2,2),
(157906,10133051,'Prevents target from changing targets',100,3,3),
(157907,10133051,'Forces target to change their selected target to caster.',100,3,4),
(157908,10133051,'Cannot be modified except by direct means',100,2,5),
(157909,108816,'Inflicts 857 - 1592 heat damage on targets in Area of Effect',100,1,0),
(157910,10108816,'Inflicts 1114 - 2070 heat damage on targets in Area of Effect',100,1,0),
(157911,75021,'Applies Lightning Shock when Activated.',100,0,0),
(157912,75021,'Inflicts 77 - 128 magic damage on target',100,1,1),
(157913,75021,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157914,10075021,'Applies Lightning Shock when Activated.',100,0,0),
(157915,10075021,'Inflicts 100 - 167 magic damage on target',100,1,1),
(157916,10075021,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157917,81227,'When Equipped:',100,0,0),
(157918,81227,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157919,81227,'Inflicts 121 - 225 magic damage on target',100,2,2),
(157920,81227,'Cannot be modified except by direct means',100,2,3),
(157921,10081227,'When Equipped:',100,0,0),
(157922,10081227,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157923,10081227,'Inflicts 157 - 292 magic damage on target',100,2,2),
(157924,10081227,'Cannot be modified except by direct means',100,2,3),
(157925,100624,'Transfers 33% of target''s current Threat to the caster',100,1,0),
(157926,10100624,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(157927,10100624,'10% of all damage received by the caster is prevented.',100,2,1),
(157928,10100624,'This effect can only trigger once every 5 seconds.',100,2,2),
(157929,119576,'Increases power of caster by 13 instantly and every 4 seconds',100,1,0),
(157930,10119576,'Increases power of caster by 13 instantly and every 4 seconds',100,1,0),
(157931,159916,'Applies Sanguine Imbued when Equipped.',100,0,0),
(157932,159916,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(157933,159916,'Inflicts 151 heat damage on target',100,2,2),
(157934,159916,'Cannot be modified except by direct means',100,2,3),
(157935,10159916,'Applies Sanguine Imbued when Equipped.',100,0,0),
(157936,10159916,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(157937,10159916,'Inflicts 197 heat damage on target',100,2,2),
(157938,10159916,'Cannot be modified except by direct means',100,2,3),
(157939,37277,'Increases AGI of target by 1.1',100,0,0),
(157940,37277,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(157941,105533,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 26.1',100,1,0),
(157942,10105533,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 26.1',100,1,0),
(157943,80041,'Applies Fire Ball when Activated.',100,0,0),
(157944,80041,'Inflicts 269 - 449 heat damage on target',100,1,1),
(157945,80041,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157946,10080041,'Applies Fire Ball when Activated.',100,0,0),
(157947,10080041,'Inflicts 350 - 583 heat damage on target',100,1,1),
(157948,10080041,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(157949,87422,'When Equipped:',100,0,0),
(157950,87422,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157951,87422,'Inflicts 44 - 66 magic damage on target',100,2,2),
(157952,87422,'Cannot be modified except by direct means',100,2,3),
(157953,10087422,'When Equipped:',100,0,0),
(157954,10087422,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(157955,10087422,'Inflicts 57 - 85 magic damage on target',100,2,2),
(157956,10087422,'Cannot be modified except by direct means',100,2,3),
(157957,177525,'When Equipped:',100,0,0),
(157958,177525,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(157959,177525,'Increases INT of caster by 11.9',100,2,2),
(157960,177525,'Increases Disruption, Focus and Subjugation of caster by 6.7',100,2,3),
(157961,177525,'Cannot be modified except by direct means',100,2,4),
(157962,10177525,'When Equipped:',100,0,0),
(157963,10177525,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(157964,10177525,'Increases INT of caster by 11.9',100,2,2),
(157965,10177525,'Increases Disruption, Focus and Subjugation of caster by 6.7',100,2,3),
(157966,10177525,'Cannot be modified except by direct means',100,2,4),
(157967,122822,'Inflicts 396 - 660 ranged damage on target',100,1,0),
(157968,122822,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(157969,122822,'Increases Hate Gain of target by 30.0%',100,2,2),
(157970,122822,'Grants a total of 1 trigger of the spell.',100,2,3),
(157971,122822,'Requires bow',100,1,4),
(157972,10122822,'Inflicts 336 - 561 ranged damage on target',100,1,0),
(157973,10122822,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(157974,10122822,'Grants a total of 1 trigger of the spell.',100,2,2),
(157975,10122822,'Requires bow',100,1,3),
(157976,137254,'When Equipped:',100,0,0),
(157977,137254,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(157978,137254,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(157979,137254,'Cannot be modified except by direct means',100,2,3),
(157980,10137254,'When Equipped:',100,0,0),
(157981,10137254,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(157982,10137254,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(157983,10137254,'Cannot be modified except by direct means',100,2,3),
(157984,159062,'Applies Sanguine Imbued when Equipped.',100,0,0),
(157985,159062,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(157986,159062,'Inflicts 119 heat damage on target',100,2,2),
(157987,159062,'Cannot be modified except by direct means',100,2,3),
(157988,10159062,'Applies Sanguine Imbued when Equipped.',100,0,0),
(157989,10159062,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(157990,10159062,'Inflicts 155 heat damage on target',100,2,2),
(157991,10159062,'Cannot be modified except by direct means',100,2,3),
(157992,123072,'Summons a pet undead knight',100,1,0),
(157993,10123072,'Summons a pet undead knight',100,1,0),
(157994,149080,'When Equipped:',100,0,0),
(157995,149080,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(157996,149080,'Heals group members (AE) for 2624',100,2,2),
(157997,149080,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(157998,149080,'Must not be engaged in pvp combat',100,2,4),
(157999,149080,'Cannot be modified except by direct means',100,2,5),
(158000,149080,'Must not be engaged in pvp combat',100,1,6),
(158001,10149080,'When Equipped:',100,0,0),
(158002,10149080,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(158003,10149080,'Heals group members (AE) for 3071',100,2,2),
(158004,10149080,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(158005,10149080,'Must not be engaged in pvp combat',100,2,4),
(158006,10149080,'Cannot be modified except by direct means',100,2,5),
(158007,10149080,'Must not be engaged in pvp combat',100,1,6),
(158008,46819,'Applies Inertial Mass when Activated.',100,0,0),
(158009,46819,'Heals caster for 25.0% of max health',100,1,1),
(158010,46819,'This effect cannot be critically applied.',100,2,2),
(158011,46819,'If any of the following are true:',100,1,3),
(158012,46819,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(158013,46819,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(158014,46819,'Must be in Covenant District [Solo].',100,2,6),
(158015,10046819,'Applies Inertial Mass when Activated.',100,0,0),
(158016,10046819,'Heals caster for 29.2% of max health',100,1,1),
(158017,10046819,'This effect cannot be critically applied.',100,2,2),
(158018,10046819,'If any of the following are true:',100,1,3),
(158019,10046819,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(158020,10046819,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(158021,10046819,'Must be in Covenant District [Solo].',100,2,6),
(158022,116427,'Inflicts 132 - 220 mental damage on target',100,1,0),
(158023,10116427,'Inflicts 172 - 286 mental damage on target',100,1,0),
(158024,116760,'Increases Max Health of target by 401.8',100,1,0),
(158025,116760,'Increases Max Power of target by 450.7',100,1,1),
(158026,10116760,'Increases Max Health of target by 401.8',100,1,0),
(158027,10116760,'Increases Max Power of target by 450.7',100,1,1),
(158028,106879,'Decreases Threat to targets in Area of Effect by 1,692 ',100,1,0),
(158029,106879,'Stuns targets in Area of Effect',100,1,1),
(158030,106879,'If Target is not Epic',100,2,2),
(158031,10106879,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(158032,10106879,'Applies Distract.',100,1,1),
(158033,10106879,'Forces target to clear their selected target.',100,2,2),
(158034,10106879,'Stuns targets in Area of Effect',100,1,3),
(158035,10106879,'If Target is not Epic',100,2,4),
(158036,101899,'Inflicts 4 piercing damage on target instantly and every 4 seconds',100,1,0),
(158037,101899,'Inflicts 11 - 18 melee damage on target',100,1,1),
(158038,101899,'Must be behind',100,1,2),
(158039,10101899,'Inflicts 5 piercing damage on target instantly and every 4 seconds',100,1,0),
(158040,10101899,'Inflicts 14 - 24 melee damage on target',100,1,1),
(158041,10101899,'Must be behind',100,1,2),
(158042,72105,'When Equipped:',100,0,0),
(158043,72105,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158044,72105,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(158045,72105,'Cannot be modified except by direct means',100,2,3),
(158046,10072105,'When Equipped:',100,0,0),
(158047,10072105,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158048,10072105,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(158049,10072105,'Cannot be modified except by direct means',100,2,3),
(158050,35597,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(158051,111860,'Inflicts 117 - 218 heat damage on target',100,1,0),
(158052,111860,'Inflicts 44 - 82 heat damage on target every 2 seconds',100,1,1),
(158053,10111860,'Inflicts 152 - 283 heat damage on target',100,1,0),
(158054,10111860,'Inflicts 57 - 106 heat damage on target every 2 seconds',100,1,1),
(158055,82236,'When Equipped:',100,0,0),
(158056,82236,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158057,82236,'Inflicts 43 - 80 magic damage on target',100,2,2),
(158058,82236,'Cannot be modified except by direct means',100,2,3),
(158059,10082236,'When Equipped:',100,0,0),
(158060,10082236,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158061,10082236,'Inflicts 56 - 104 magic damage on target',100,2,2),
(158062,10082236,'Cannot be modified except by direct means',100,2,3),
(158063,100781,'Wards target against 249 points of all damage',100,1,0),
(158064,10100781,'Wards target against 384 points of all damage',100,1,0),
(158065,101497,'Increases WIS of target by 11.9',100,1,0),
(158066,101497,'Increases Max Health of target by 37.4',100,1,1),
(158067,101497,'Increases Mitigation of target vs elemental, noxious and arcane damage by 29',100,1,2),
(158068,10101497,'Increases WIS of target by 11.9',100,1,0),
(158069,10101497,'Increases Max Health of target by 37.4',100,1,1),
(158070,10101497,'Increases Mitigation of target vs elemental, noxious and arcane damage by 29',100,1,2),
(158071,47965,'Applies Scorn, Disk of the Deathmage when Activated.',100,0,0),
(158072,47965,'Reduces maximum falling speed of caster',100,1,1),
(158073,47965,'Summons a mount to ride',100,1,2),
(158074,47965,'Increases your ground speed by 130%',100,2,3),
(158075,47965,'Increases Crit Bonus of caster by 2.0%',100,1,4),
(158076,47965,'Increases Potency of caster by 2.0%',100,1,5),
(158077,47965,'Increases Max Power of caster by 300.0',100,1,6),
(158078,47965,'Increases Max Health of caster by 300.0',100,1,7),
(158079,10047965,'Applies Scorn, Disk of the Deathmage when Activated.',100,0,0),
(158080,10047965,'Reduces maximum falling speed of caster',100,1,1),
(158081,10047965,'Summons a mount to ride',100,1,2),
(158082,10047965,'Increases your ground speed by 130%',100,2,3),
(158083,10047965,'Increases Crit Bonus of caster by 2.0%',100,1,4),
(158084,10047965,'Increases Potency of caster by 2.0%',100,1,5),
(158085,10047965,'Increases Max Power of caster by 300.0',100,1,6),
(158086,10047965,'Increases Max Health of caster by 300.0',100,1,7),
(158087,117139,'Inflicts 195 - 238 heat damage on target instantly and every 4 seconds',100,1,0),
(158088,117139,'Decreases Mitigation of target vs arcane damage by 650',100,1,1),
(158089,10117139,'Inflicts 253 - 310 heat damage on target instantly and every 4 seconds',100,1,0),
(158090,10117139,'Decreases Mitigation of target vs arcane damage by 650',100,1,1),
(158091,81415,'When Equipped:',100,0,0),
(158092,81415,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158093,81415,'Inflicts 121 - 225 magic damage on target',100,2,2),
(158094,81415,'Cannot be modified except by direct means',100,2,3),
(158095,10081415,'When Equipped:',100,0,0),
(158096,10081415,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158097,10081415,'Inflicts 157 - 292 magic damage on target',100,2,2),
(158098,10081415,'Cannot be modified except by direct means',100,2,3),
(158099,47722,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(158100,47722,'Increases STR of caster by 43.0',100,1,1),
(158101,10047722,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(158102,10047722,'Increases STR of caster by 43.0',100,1,1),
(158103,47647,'Applies Pummeling Force when Activated.',100,0,0),
(158104,47647,'Perhaps this concussive force has a use in combat.',100,1,1),
(158105,47647,'Inflicts 8640 magic damage on target',100,1,2),
(158106,47647,'If any of the following are true:',100,1,3),
(158107,47647,'Must be in Sullon''s Spire [Challenge].',100,2,4),
(158108,47647,'Must be in Sullon''s Spire.',100,2,5),
(158109,47647,'Cannot be modified except by direct means',100,1,6),
(158110,10047647,'Applies Pummeling Force when Activated.',100,0,0),
(158111,10047647,'Perhaps this concussive force has a use in combat.',100,1,1),
(158112,10047647,'Inflicts 11232 magic damage on target',100,1,2),
(158113,10047647,'If any of the following are true:',100,1,3),
(158114,10047647,'Must be in Sullon''s Spire [Challenge].',100,2,4),
(158115,10047647,'Must be in Sullon''s Spire.',100,2,5),
(158116,10047647,'Cannot be modified except by direct means',100,1,6),
(158117,106593,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(158118,10106593,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(158119,186949,'When Equipped:',100,0,0),
(158120,186949,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(158121,186949,'This effect stacks with the Runic Deflection line.',100,2,2),
(158122,186949,'Wards target against 1000 points of all damage',100,2,3),
(158123,186949,'Cannot be modified except by direct means',100,2,4),
(158124,10186949,'When Equipped:',100,0,0),
(158125,10186949,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(158126,10186949,'This effect stacks with the Runic Deflection line.',100,2,2),
(158127,10186949,'Wards target against 1000 points of all damage',100,2,3),
(158128,10186949,'Cannot be modified except by direct means',100,2,4),
(158129,54910,'When Equipped:',100,0,0),
(158130,54910,'On a healing spell cast this spell may cast Essence of the Faydark on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158131,54910,'Increases STR, INT, STA and AGI of target by 110.9',100,2,2),
(158132,54910,'Increases Max Health of target by 12.0%',100,2,3),
(158133,54910,'Increases Max Power of target by 12.0%',100,2,4),
(158134,54910,'Cannot be modified except by direct means',100,2,5),
(158135,54910,'Cannot be modified except by direct means',100,1,6),
(158136,10054910,'When Equipped:',100,0,0),
(158137,10054910,'On a healing spell cast this spell may cast Essence of the Faydark on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158138,10054910,'Increases STR, INT, STA and AGI of target by 110.9',100,2,2),
(158139,10054910,'Increases Max Health of target by 12.0%',100,2,3),
(158140,10054910,'Increases Max Power of target by 12.0%',100,2,4),
(158141,10054910,'Cannot be modified except by direct means',100,2,5),
(158142,10054910,'Cannot be modified except by direct means',100,1,6),
(158143,74955,'When Equipped:',100,0,0),
(158144,74955,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158145,74955,'Inflicts 208 - 311 magic damage on target',100,2,2),
(158146,74955,'Cannot be modified except by direct means',100,2,3),
(158147,10074955,'When Equipped:',100,0,0),
(158148,10074955,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158149,10074955,'Inflicts 270 - 405 magic damage on target',100,2,2),
(158150,10074955,'Cannot be modified except by direct means',100,2,3),
(158151,120457,'Inflicts 238 - 396 ranged damage on target',100,1,0),
(158152,120457,'Slows target by 54.3%',100,1,1),
(158153,120457,'10% chance to dispel when target receives hostile action',100,1,2),
(158154,120457,'Requires bow',100,1,3),
(158155,10120457,'Inflicts 185 - 309 ranged damage on target',100,1,0),
(158156,10120457,'Slows target by 54.3%',100,1,1),
(158157,10120457,'10% chance to dispel when target receives hostile action',100,1,2),
(158158,10120457,'Requires bow',100,1,3),
(158159,110247,'Inflicts 225 - 376 melee damage on target',100,1,0),
(158160,110247,'Slows target by 56.0%',100,1,1),
(158161,110247,'5% chance to dispel when target receives hostile action',100,1,2),
(158162,110247,'5% chance to dispel when target takes damage',100,1,3),
(158163,10110247,'Inflicts 293 - 488 melee damage on target',100,1,0),
(158164,10110247,'Slows target by 56.0%',100,1,1),
(158165,10110247,'5% chance to dispel when target receives hostile action',100,1,2),
(158166,10110247,'5% chance to dispel when target takes damage',100,1,3),
(158167,144770,'When Equipped:',100,0,0),
(158168,144770,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(158169,144770,'Wards caster against 200 points of all damage',100,2,2),
(158170,144770,'Cannot be modified except by direct means',100,2,3),
(158171,144770,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(158172,10144770,'When Equipped:',100,0,0),
(158173,10144770,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(158174,10144770,'Wards caster against 200 points of all damage',100,2,2),
(158175,10144770,'Cannot be modified except by direct means',100,2,3),
(158176,10144770,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(158177,108049,'Inflicts 565 magic damage on target',100,1,0),
(158178,108049,'Increases power of caster by 166',100,1,1),
(158179,10108049,'Inflicts 735 magic damage on target',100,1,0),
(158180,10108049,'Increases power of caster by 166',100,1,1),
(158181,100718,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(158182,100718,'Increases Mitigation of group members (AE) vs noxious damage by 523',100,1,1),
(158183,10100718,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(158184,10100718,'Increases Mitigation of group members (AE) vs noxious damage by 523',100,1,1),
(158185,102602,'Increases Threat to target encounter by 481 - 588 ',100,1,0),
(158186,102602,'Interrupts target encounter',100,1,1),
(158187,102602,'Decreases Mitigation of target encounter vs noxious damage by 396',100,1,2),
(158188,10102602,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(158189,10102602,'Prevents target from changing targets',100,2,1),
(158190,10102602,'Forces target to change their selected target to caster.',100,2,2),
(158191,10102602,'Interrupts target encounter',100,1,3),
(158192,10102602,'Decreases Mitigation of target encounter vs noxious damage by 396',100,1,4),
(158193,35251,'Increases Max Health of target by 3.9',100,0,0),
(158194,35251,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(158195,108496,'Inflicts 39 - 65 melee damage on target',100,1,0),
(158196,10108496,'Inflicts 51 - 85 melee damage on target',100,1,0),
(158197,110367,'Increases STR and AGI of group members (AE) by 26.3',100,1,0),
(158198,110367,'Adds 2.2% to base avoidance.',100,1,1),
(158199,10110367,'Increases STR and AGI of group members (AE) by 26.3',100,1,0),
(158200,10110367,'Adds 2.2% to base avoidance.',100,1,1),
(158201,117550,'Increases AGI, INT and WIS of group members (AE) by 81.1',100,1,0),
(158202,117550,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 312',100,1,1),
(158203,10117550,'Increases AGI, INT and WIS of group members (AE) by 81.1',100,1,0),
(158204,10117550,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 312',100,1,1),
(158205,74684,'When Equipped:',100,0,0),
(158206,74684,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158207,74684,'Inflicts 66 - 99 magic damage on target',100,2,2),
(158208,74684,'Cannot be modified except by direct means',100,2,3),
(158209,10074684,'When Equipped:',100,0,0),
(158210,10074684,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158211,10074684,'Inflicts 86 - 129 magic damage on target',100,2,2),
(158212,10074684,'Cannot be modified except by direct means',100,2,3),
(158213,36532,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(158214,104772,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(158215,104772,'Inflicts 417 disease damage on target',100,2,1),
(158216,104772,'Heals caster for 147',100,2,2),
(158217,104772,'Heals group members'' pets for 147',100,2,3),
(158218,10104772,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(158219,10104772,'Inflicts 542 disease damage on target',100,2,1),
(158220,10104772,'Heals caster for 96',100,2,2),
(158221,10104772,'Heals group members'' pets for 96',100,2,3),
(158222,103690,'Interrupts target',100,1,0),
(158223,103690,'Inflicts 602 - 1004 melee damage on target',100,1,1),
(158224,103690,'Must be flanking or behind',100,1,2),
(158225,10103690,'Interrupts target',100,1,0),
(158226,10103690,'Inflicts 783 - 1305 melee damage on target',100,1,1),
(158227,10103690,'Must be flanking or behind',100,1,2),
(158228,79422,'When Equipped:',100,0,0),
(158229,79422,'On a combat hit this spell will cast Gnollbane on target of attack.  ',100,1,1),
(158230,79422,'Inflicts 11 - 20 magic damage on target',100,2,2),
(158231,79422,'If target is gnoll',100,2,3),
(158232,79422,'Cannot be modified except by direct means',100,2,4),
(158233,10079422,'When Equipped:',100,0,0),
(158234,10079422,'On a combat hit this spell will cast Gnollbane on target of attack.  ',100,1,1),
(158235,10079422,'Inflicts 14 - 26 magic damage on target',100,2,2),
(158236,10079422,'If target is gnoll',100,2,3),
(158237,10079422,'Cannot be modified except by direct means',100,2,4),
(158238,123482,'Decreases Mitigation of target encounter vs noxious damage by 108',100,1,0),
(158239,10123482,'Decreases Mitigation of target encounter vs noxious damage by 108',100,1,0),
(158240,144283,'When Equipped:',100,0,0),
(158241,144283,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(158242,144283,'Must not be engaged in pvp combat',100,1,2),
(158243,10144283,'When Equipped:',100,0,0),
(158244,10144283,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(158245,10144283,'Must not be engaged in pvp combat',100,1,2),
(158246,35975,'Increases AGI of target by 1.5',100,0,0),
(158247,35975,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(158248,105870,'Inflicts 49 - 82 ranged damage on target',100,1,0),
(158249,105870,'Inflicts 49 - 82 ranged damage on target',100,1,1),
(158250,105870,'If weapon equipped in Ranged',100,1,2),
(158251,10105870,'Inflicts 42 - 70 ranged damage on target',100,1,0),
(158252,10105870,'Inflicts 42 - 70 ranged damage on target',100,1,1),
(158253,10105870,'If weapon equipped in Ranged',100,1,2),
(158254,108187,'Increases power of caster by 10 instantly and every 4 seconds',100,1,0),
(158255,10108187,'Increases power of caster by 10 instantly and every 4 seconds',100,1,0),
(158256,111552,'Inflicts 72 - 134 cold damage on target',100,1,0),
(158257,10111552,'Inflicts 94 - 174 cold damage on target',100,1,0),
(158258,75148,'When Equipped:',100,0,0),
(158259,75148,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(158260,10075148,'When Equipped:',100,0,0),
(158261,10075148,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(158262,81256,'When Equipped:',100,0,0),
(158263,81256,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158264,81256,'Inflicts 302 - 560 magic damage on target',100,2,2),
(158265,81256,'Decreases Threat to target by 949 ',100,2,3),
(158266,81256,'Must be flanking or behind',100,3,4),
(158267,81256,'Increases Threat to target by 949 ',100,2,5),
(158268,81256,'Must be in front of',100,3,6),
(158269,81256,'Cannot be modified except by direct means',100,2,7),
(158270,10081256,'When Equipped:',100,0,0),
(158271,10081256,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158272,10081256,'Inflicts 392 - 728 magic damage on target',100,2,2),
(158273,10081256,'Cannot be modified except by direct means',100,2,3),
(158274,144592,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(158275,144592,'Decreases INT, STR, AGI and WIS of target by 19.5',100,1,1),
(158276,144592,'Decreases Max Health of target by 1.0%',100,1,2),
(158277,144592,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(158278,10144592,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(158279,10144592,'Decreases INT, STR, AGI and WIS of target by 19.5',100,1,1),
(158280,10144592,'Decreases Max Health of target by 1.0%',100,1,2),
(158281,10144592,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(158282,104532,'Increases Threat to target by 365 - 446  instantly and by 73 - 89  every 2 seconds thereafter',100,1,0),
(158283,10104532,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(158284,35267,'Increases STR of target by 1.5',100,0,0),
(158285,35267,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(158286,144895,'When Equipped:',100,0,0),
(158287,144895,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(158288,144895,'Inflicts 2341 - 2587 poison damage on target',100,2,2),
(158289,144895,'Heals caster for 1170 - 1294',100,2,3),
(158290,144895,'Must not be engaged in pvp combat',100,2,4),
(158291,144895,'Cannot be modified except by direct means',100,2,5),
(158292,144895,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(158293,144895,'Cannot be modified except by direct means',100,1,7),
(158294,10144895,'When Equipped:',100,0,0),
(158295,10144895,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(158296,10144895,'Inflicts 3043 - 3364 poison damage on target',100,2,2),
(158297,10144895,'Heals caster for 1369 - 1514',100,2,3),
(158298,10144895,'Must not be engaged in pvp combat',100,2,4),
(158299,10144895,'Cannot be modified except by direct means',100,2,5),
(158300,10144895,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(158301,10144895,'Cannot be modified except by direct means',100,1,7),
(158302,108573,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(158303,108573,'Increases WIS, AGI, STR and INT of group members (AE) by 13.4',100,2,1),
(158304,108573,'Increases STA of group members (AE) by 26.8',100,2,2),
(158305,108573,'Adds 0.7% to base avoidance.',100,2,3),
(158306,108573,'Heals group members (AE) for 33 - 41 instantly and every 3 seconds',100,2,4),
(158307,108573,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 35',100,2,5),
(158308,10108573,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(158309,10108573,'Increases WIS, AGI, STR and INT of group members (AE) by 13.4',100,2,1),
(158310,10108573,'Increases STA of group members (AE) by 26.8',100,2,2),
(158311,10108573,'Adds 0.7% to base avoidance.',100,2,3),
(158312,10108573,'Heals group members (AE) for 22 - 26 instantly and every 3 seconds',100,2,4),
(158313,10108573,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 35',100,2,5),
(158314,71766,'When Equipped:',100,0,0),
(158315,71766,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158316,71766,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(158317,71766,'Cannot be modified except by direct means',100,2,3),
(158318,10071766,'When Equipped:',100,0,0),
(158319,10071766,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158320,10071766,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(158321,10071766,'Cannot be modified except by direct means',100,2,3),
(158322,115338,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(158323,115338,'Makes target afraid',100,2,1),
(158324,115338,'Slows target by 50.6%',100,2,2),
(158325,115338,'30% chance to dispel when target takes damage',100,2,3),
(158326,115338,'Does not affect Epic targets',100,2,4),
(158327,115338,'Resistibility increases against targets higher than level 90.',100,2,5),
(158328,115338,'Roots target',100,1,6),
(158329,115338,'15% chance to dispel when target takes damage',100,1,7),
(158330,115338,'Does not affect Epic targets',100,1,8),
(158331,115338,'Resistibility increases against targets higher than level 90.',100,1,9),
(158332,10115338,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(158333,10115338,'Slows target by 50.6%',100,2,1),
(158334,10115338,'Makes target afraid',100,2,2),
(158335,10115338,'30% chance to dispel when target takes damage',100,2,3),
(158336,10115338,'Does not affect Epic targets',100,2,4),
(158337,10115338,'Resistibility increases against targets higher than level 90.',100,2,5),
(158338,10115338,'Roots target',100,1,6),
(158339,10115338,'15% chance to dispel when target takes damage',100,1,7),
(158340,10115338,'Does not affect Epic targets',100,1,8),
(158341,10115338,'Resistibility increases against targets higher than level 90.',100,1,9),
(158342,54383,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(158343,54383,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(158344,54383,'Inflicts 35 heat damage on target',100,2,2),
(158345,54383,'Cannot be modified except by direct means',100,2,3),
(158346,10054383,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(158347,10054383,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(158348,10054383,'Inflicts 46 heat damage on target',100,2,2),
(158349,10054383,'Cannot be modified except by direct means',100,2,3),
(158350,82602,'When Equipped:',100,0,0),
(158351,82602,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158352,82602,'Inflicts 118 - 218 magic damage on target',100,2,2),
(158353,82602,'Decreases Threat to target by 259 ',100,2,3),
(158354,82602,'Must be flanking or behind',100,3,4),
(158355,82602,'Increases Threat to target by 259 ',100,2,5),
(158356,82602,'Must be in front of',100,3,6),
(158357,82602,'Cannot be modified except by direct means',100,2,7),
(158358,10082602,'When Equipped:',100,0,0),
(158359,10082602,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158360,10082602,'Inflicts 153 - 284 magic damage on target',100,2,2),
(158361,10082602,'Cannot be modified except by direct means',100,2,3),
(158362,114408,'Mesmerizes target',100,1,0),
(158363,114408,'Prevents AOE (except when direct) ',100,1,1),
(158364,114408,'Dispelled when target takes damage',100,1,2),
(158365,114408,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(158366,114408,'Resistibility increases against targets higher than level 53.',100,1,4),
(158367,10114408,'Mesmerizes target',100,1,0),
(158368,10114408,'Prevents AOE (except when direct) ',100,1,1),
(158369,10114408,'Dispelled when target takes damage',100,1,2),
(158370,10114408,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(158371,10114408,'Resistibility increases against targets higher than level 53.',100,1,4),
(158372,103716,'Increases Max Health of raid and group members (AE) by 183.6',100,1,0),
(158373,103716,'Increases Defense of raid and group members (AE) by 8.6',100,1,1),
(158374,10103716,'Increases Max Health of raid and group members (AE) by 183.6',100,1,0),
(158375,10103716,'Increases Defense of raid and group members (AE) by 8.6',100,1,1),
(158376,101065,'Summons 3 limited pets to aid the caster',100,1,0),
(158377,10101065,'Summons 3 limited pets to aid the caster',100,1,0),
(158378,105500,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.3',100,1,0),
(158379,10105500,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.3',100,1,0),
(158380,113499,'Inflicts 242 - 404 melee damage on targets in area',100,1,0),
(158381,10113499,'Inflicts 315 - 525 melee damage on targets in area',100,1,0),
(158382,119147,'Summons a pet Scary Spider',100,1,0),
(158383,10119147,'Summons a pet Scary Spider',100,1,0),
(158384,115408,'Inflicts 494 - 823 melee damage on target',100,1,0),
(158385,115408,'Decreases INT of target by 57.3',100,1,1),
(158386,115408,'You must be sneaking to use this ability.',100,1,2),
(158387,10115408,'Inflicts 642 - 1070 melee damage on target',100,1,0),
(158388,10115408,'Decreases INT of target by 57.3',100,1,1),
(158389,10115408,'You must be sneaking to use this ability.',100,1,2),
(158390,47595,'Applies Potion of Marr when Activated.',100,0,0),
(158391,47595,'Increases power of caster by 576',100,1,1),
(158392,10047595,'Applies Potion of Marr when Activated.',100,0,0),
(158393,10047595,'Increases power of caster by 576',100,1,1),
(158394,27488,'When Equipped:',100,0,0),
(158395,27488,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(158396,27488,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(158397,10027488,'When Equipped:',100,0,0),
(158398,10027488,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(158399,10027488,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(158400,75097,'Applies Mental Blast when Activated.',100,0,0),
(158401,75097,'Inflicts 195 - 325 mental damage on target',100,1,1),
(158402,75097,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(158403,10075097,'Applies Mental Blast when Activated.',100,0,0),
(158404,10075097,'Inflicts 253 - 422 mental damage on target',100,1,1),
(158405,10075097,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(158406,90275,'When Equipped:',100,0,0),
(158407,90275,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158408,90275,'Inflicts 166 - 277 magic damage on target',100,2,2),
(158409,90275,'Cannot be modified except by direct means',100,2,3),
(158410,10090275,'When Equipped:',100,0,0),
(158411,10090275,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158412,10090275,'Inflicts 216 - 360 magic damage on target',100,2,2),
(158413,10090275,'Cannot be modified except by direct means',100,2,3),
(158414,47513,'Applies Petamorph: Stitched Drachnid when Activated.  Lasts for 2 hours.',100,0,0),
(158415,47513,'Turns the caster''s combat pet into a Stitched drachnid. Does not work on cosmetic pets.',100,1,1),
(158416,10047513,'Applies Petamorph: Stitched Drachnid when Activated.  Lasts for 2 hours.',100,0,0),
(158417,10047513,'Turns the caster''s combat pet into a Stitched drachnid. Does not work on cosmetic pets.',100,1,1),
(158418,24541,'Adds Mistmoore: Mysterious Glass Jar to your Dungeon Maker toolbox',100,0,0),
(158419,10024541,'Adds Mistmoore: Mysterious Glass Jar to your Dungeon Maker toolbox',100,0,0),
(158420,120940,'Has a 85% chance to reflect a level 1 effect. Applies to Profession and NPC racial spells only.',100,1,0),
(158421,10120940,'Has a 85% chance to reflect a level 1 effect at 60% of its cast strength. Applies to Profession and NPC racial spells only.',100,1,0),
(158422,119615,'Inflicts 1044 - 1739 mental damage on targets in Area of Effect',100,1,0),
(158423,119615,'Stuns targets in Area of Effect',100,1,1),
(158424,119615,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(158425,119615,'Resistibility increases against targets higher than level 99.',100,1,3),
(158426,10119615,'Inflicts 1357 - 2261 mental damage on targets in Area of Effect',100,1,0),
(158427,10119615,'Stuns targets in Area of Effect',100,1,1),
(158428,10119615,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(158429,10119615,'Resistibility increases against targets higher than level 99.',100,1,3),
(158430,112826,'Roots target',100,1,0),
(158431,112826,'5% chance to dispel when target takes damage',100,1,1),
(158432,112826,'Does not affect Epic targets',100,1,2),
(158433,112826,'Resistibility increases against targets higher than level 36.',100,1,3),
(158434,10112826,'Roots target',100,1,0),
(158435,10112826,'5% chance to dispel when target takes damage',100,1,1),
(158436,10112826,'Does not affect Epic targets',100,1,2),
(158437,10112826,'Resistibility increases against targets higher than level 36.',100,1,3),
(158438,157492,'When Equipped:',100,0,0),
(158439,157492,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(158440,157492,'When Equipped:',100,0,2),
(158441,157492,'Increases Attack Speed of caster by 30.0',100,1,3),
(158442,10157492,'When Equipped:',100,0,0),
(158443,10157492,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(158444,10157492,'When Equipped:',100,0,2),
(158445,10157492,'Increases Attack Speed of caster by 30.0',100,1,3),
(158446,114215,'Inflicts 668 - 1114 melee damage on target',100,1,0),
(158447,114215,'Decreases Slashing, Crushing and Piercing of target by 15.3',100,1,1),
(158448,10114215,'Inflicts 868 - 1448 melee damage on target',100,1,0),
(158449,10114215,'Decreases Slashing, Crushing and Piercing of target by 15.3',100,1,1),
(158450,71625,'When Equipped:',100,0,0),
(158451,71625,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158452,71625,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(158453,71625,'Cannot be modified except by direct means',100,2,3),
(158454,10071625,'When Equipped:',100,0,0),
(158455,10071625,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158456,10071625,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(158457,10071625,'Cannot be modified except by direct means',100,2,3),
(158458,47689,'Applies Redemption of Failure when Activated.',100,0,0),
(158459,47689,'Resurrects target with 50% health and power',100,1,1),
(158460,47689,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,2),
(158461,47689,'Decreases Attack Speed of target by 20.0',100,2,3),
(158462,47689,'If not between levels 1 - 6',100,3,4),
(158463,47689,'Decreases All Attributes of target by 20.0%',100,2,5),
(158464,47689,'If not between levels 1 - 6',100,3,6),
(158465,47689,'Decreases Attack Speed of target by 5.0',100,2,7),
(158466,47689,'If between levels 1 - 6',100,3,8),
(158467,47689,'Decreases All Attributes of target by 5.0%',100,2,9),
(158468,47689,'If between levels 1 - 6',100,3,10),
(158469,47689,'Applies Reforming Soul on termination.  Lasts for 1 minute.',100,1,11),
(158470,47689,'Increases Mitigation of target vs elemental damage by 700',100,2,12),
(158471,47689,'Heals target for 25.0% of max health',100,2,13),
(158472,47689,'Increases Mitigation of target vs noxious and arcane damage by 700',100,2,14),
(158473,10047689,'Applies Redemption of Failure when Activated.',100,0,0),
(158474,10047689,'Resurrects target with 50% health and power',100,1,1),
(158475,10047689,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,2),
(158476,10047689,'Decreases Attack Speed of target by 20.0',100,2,3),
(158477,10047689,'If not between levels 1 - 6',100,3,4),
(158478,10047689,'Decreases All Attributes of target by 20.0%',100,2,5),
(158479,10047689,'If not between levels 1 - 6',100,3,6),
(158480,10047689,'Decreases Attack Speed of target by 5.0',100,2,7),
(158481,10047689,'If between levels 1 - 6',100,3,8),
(158482,10047689,'Decreases All Attributes of target by 5.0%',100,2,9),
(158483,10047689,'If between levels 1 - 6',100,3,10),
(158484,10047689,'Applies Reforming Soul on termination.  Lasts for 1 minute.',100,1,11),
(158485,10047689,'Increases Mitigation of target vs elemental damage by 700',100,2,12),
(158486,10047689,'Heals target for 16.3% of max health',100,2,13),
(158487,10047689,'Increases Mitigation of target vs noxious and arcane damage by 700',100,2,14),
(158488,109418,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(158489,109418,'Inflicts 322 - 394 cold damage on target',100,2,1),
(158490,109418,'Slows target by 51.7%',100,2,2),
(158491,109418,'5% chance to dispel when target receives hostile action',100,2,3),
(158492,109418,'5% chance to dispel when target takes damage',100,2,4),
(158493,10109418,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(158494,10109418,'Slows target by 51.7%',100,2,1),
(158495,10109418,'Inflicts 419 - 512 cold damage on target',100,2,2),
(158496,10109418,'5% chance to dispel when target receives hostile action',100,2,3),
(158497,10109418,'5% chance to dispel when target takes damage',100,2,4),
(158498,36440,'Increases INT and WIS of target by 1.1',100,0,0),
(158499,36440,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(158500,181780,'When Equipped:',100,0,0),
(158501,181780,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(158502,181780,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,2),
(158503,181780,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,3),
(158504,181780,'Wards caster against 1800 points of all damage',100,2,4),
(158505,181780,'This ward regenerates slowly over time.',100,2,5),
(158506,181780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(158507,181780,'Must not be engaged in pvp combat',100,2,7),
(158508,181780,'Cannot be modified except by direct means',100,2,8),
(158509,181780,'Must not be engaged in pvp combat',100,1,9),
(158510,10181780,'When Equipped:',100,0,0),
(158511,10181780,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(158512,10181780,'Inflicts 7403 - 8182 piercing damage on target encounter',100,2,2),
(158513,10181780,'Inflicts 823 - 909 piercing damage on target encounter every 3 seconds',100,2,3),
(158514,10181780,'Wards caster against 1800 points of all damage',100,2,4),
(158515,10181780,'This ward regenerates slowly over time.',100,2,5),
(158516,10181780,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(158517,10181780,'Must not be engaged in pvp combat',100,2,7),
(158518,10181780,'Cannot be modified except by direct means',100,2,8),
(158519,10181780,'Must not be engaged in pvp combat',100,1,9),
(158520,102192,'Increases Mitigation of group members (AE) vs physical damage by 605',100,1,0),
(158521,10102192,'Increases Mitigation of group members (AE) vs physical damage by 605',100,1,0),
(158522,114042,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(158523,114042,'Heals target for 9 instantly and every 2 seconds',100,2,1),
(158524,114042,'Decreases Mitigation of target vs arcane damage by 225',100,1,2),
(158525,10114042,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(158526,10114042,'Heals target for 6 instantly and every 2 seconds',100,2,1),
(158527,10114042,'Decreases Mitigation of target vs arcane damage by 225',100,1,2),
(158528,122106,'Increases STA and INT of group members (AE) by 71.4',100,1,0),
(158529,10122106,'Increases STA and INT of group members (AE) by 71.4',100,1,0),
(158530,87164,'When Equipped:',100,0,0),
(158531,87164,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158532,87164,'Inflicts 61 - 92 magic damage on target',100,2,2),
(158533,87164,'Cannot be modified except by direct means',100,2,3),
(158534,10087164,'When Equipped:',100,0,0),
(158535,10087164,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158536,10087164,'Inflicts 79 - 119 magic damage on target',100,2,2),
(158537,10087164,'Cannot be modified except by direct means',100,2,3),
(158538,115200,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(158539,115200,'Decreases Mitigation of target vs noxious damage by 157',100,2,1),
(158540,115200,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(158541,115200,'Decreases Mitigation of target vs noxious damage by 157',100,2,3),
(158542,10115200,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(158543,10115200,'Decreases Mitigation of target vs noxious damage by 157',100,2,1),
(158544,10115200,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(158545,10115200,'Decreases Mitigation of target vs noxious damage by 157',100,2,3),
(158546,100791,'Wards target against 565 points of all damage',100,1,0),
(158547,10100791,'Wards target against 870 points of all damage',100,1,0),
(158548,122058,'Increases Threat to target by 935 - 1,143 ',100,1,0),
(158549,122058,'Inflicts 143 - 239 melee damage on target',100,1,1),
(158550,10122058,'Forces target to change their selected target to caster.',100,1,0),
(158551,10122058,'Inflicts 187 - 311 melee damage on target',100,1,1),
(158552,82496,'When Equipped:',100,0,0),
(158553,82496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158554,82496,'Inflicts 212 - 393 magic damage on target',100,2,2),
(158555,82496,'Cannot be modified except by direct means',100,2,3),
(158556,10082496,'When Equipped:',100,0,0),
(158557,10082496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158558,10082496,'Inflicts 275 - 511 magic damage on target',100,2,2),
(158559,10082496,'Cannot be modified except by direct means',100,2,3),
(158560,87187,'When Equipped:',100,0,0),
(158561,87187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158562,87187,'Inflicts 111 - 166 magic damage on target',100,2,2),
(158563,87187,'Cannot be modified except by direct means',100,2,3),
(158564,10087187,'When Equipped:',100,0,0),
(158565,10087187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158566,10087187,'Inflicts 144 - 216 magic damage on target',100,2,2),
(158567,10087187,'Cannot be modified except by direct means',100,2,3),
(158568,24152,'Adds Crushbone Keep 3 to your Dungeon Maker toolbox',100,0,0),
(158569,10024152,'Adds Crushbone Keep 3 to your Dungeon Maker toolbox',100,0,0),
(158570,111883,'Inflicts 523 - 972 heat damage on target',100,1,0),
(158571,111883,'Inflicts 196 - 364 heat damage on target every 2 seconds',100,1,1),
(158572,10111883,'Inflicts 680 - 1263 heat damage on target',100,1,0),
(158573,10111883,'Inflicts 255 - 474 heat damage on target every 2 seconds',100,1,1),
(158574,122055,'Increases Threat to target by 858 - 1,048 ',100,1,0),
(158575,122055,'Inflicts 136 - 227 melee damage on target',100,1,1),
(158576,10122055,'Forces target to change their selected target to caster.',100,1,0),
(158577,10122055,'Inflicts 177 - 295 melee damage on target',100,1,1),
(158578,46947,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(158579,46947,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158580,46947,'Inflicts 61 poison damage on target instantly and every 6 seconds',100,2,2),
(158581,46947,'Inflicts 376 poison damage on target',100,2,3),
(158582,46947,'Cannot be modified except by direct means',100,2,4),
(158583,46947,'Grants a total of 200 triggers of the spell.',100,2,5),
(158584,10046947,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(158585,10046947,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158586,10046947,'Inflicts 366 poison damage on target',100,2,2),
(158587,10046947,'Inflicts 60 poison damage on target instantly and every 6 seconds',100,2,3),
(158588,10046947,'Cannot be modified except by direct means',100,2,4),
(158589,10046947,'Grants a total of 200 triggers of the spell.',100,2,5),
(158590,107341,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(158591,107341,'Increases Threat to target by 144 ',100,2,1),
(158592,10107341,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(158593,10107341,'Inflicts 46 - 51 crushing damage on target',100,2,1),
(158594,47895,'Applies Salinsa''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(158595,47895,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(158596,10047895,'Applies Salinsa''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(158597,10047895,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(158598,87713,'When Equipped:',100,0,0),
(158599,87713,'On a combat hit this spell may cast Silver Skin on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158600,87713,'Wards caster against 233 points of all damage',100,2,2),
(158601,87713,'Cannot be modified except by direct means',100,2,3),
(158602,10087713,'When Equipped:',100,0,0),
(158603,10087713,'On a combat hit this spell may cast Silver Skin on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158604,10087713,'Wards caster against 233 points of all damage',100,2,2),
(158605,10087713,'Cannot be modified except by direct means',100,2,3),
(158606,104161,'Increases Threat to target encounter by 59 - 72 ',100,1,0),
(158607,104161,'Interrupts target encounter',100,1,1),
(158608,10104161,'Forces target encounter to change their selected target to caster.',100,1,0),
(158609,10104161,'Interrupts target encounter',100,1,1),
(158610,10104161,'Prevents target encounter from changing targets',100,1,2),
(158611,54866,'When Equipped:',100,0,0),
(158612,54866,'On a healing spell cast this spell may cast Healing Abundance on target of spell.  Lasts for 18.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(158613,54866,'Heals group members (AE) for 2041',100,2,2),
(158614,54866,'Heals group members (AE) for 583 every 4.5 seconds',100,2,3),
(158615,54866,'Must not be engaged in pvp combat',100,2,4),
(158616,54866,'Cannot be modified except by direct means',100,2,5),
(158617,54866,'Must not be engaged in pvp combat',100,1,6),
(158618,10054866,'When Equipped:',100,0,0),
(158619,10054866,'On a healing spell cast this spell may cast Healing Abundance on target of spell.  Lasts for 18.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(158620,10054866,'Heals group members (AE) for 2388',100,2,2),
(158621,10054866,'Heals group members (AE) for 682 every 4.5 seconds',100,2,3),
(158622,10054866,'Must not be engaged in pvp combat',100,2,4),
(158623,10054866,'Cannot be modified except by direct means',100,2,5),
(158624,10054866,'Must not be engaged in pvp combat',100,1,6),
(158625,101272,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(158626,101272,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,1),
(158627,10101272,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(158628,10101272,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,1),
(158629,101966,'Inflicts 630 - 1170 heat damage on target',100,1,0),
(158630,10101966,'Inflicts 819 - 1521 heat damage on target',100,1,0),
(158631,106322,'Decreases INT and STR of target by 61.1',100,1,0),
(158632,10106322,'Decreases INT and STR of target by 61.1',100,1,0),
(158633,54403,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(158634,54403,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(158635,54403,'Inflicts 98 heat damage on target',100,2,2),
(158636,54403,'Cannot be modified except by direct means',100,2,3),
(158637,10054403,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(158638,10054403,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(158639,10054403,'Inflicts 128 heat damage on target',100,2,2),
(158640,10054403,'Cannot be modified except by direct means',100,2,3),
(158641,161824,'When Equipped:',100,0,0),
(158642,161824,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158643,161824,'Decreases power of target by 207',100,2,2),
(158644,161824,'Increases power of caster by 138',100,2,3),
(158645,161824,'Cannot be modified except by direct means',100,2,4),
(158646,10161824,'When Equipped:',100,0,0),
(158647,10161824,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158648,10161824,'Decreases power of target by 207',100,2,2),
(158649,10161824,'Increases power of caster by 138',100,2,3),
(158650,10161824,'Cannot be modified except by direct means',100,2,4),
(158651,177640,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(158652,177640,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(158653,177640,'Inflicts 30 heat damage on target',100,2,2),
(158654,177640,'Cannot be modified except by direct means',100,2,3),
(158655,10177640,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(158656,10177640,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(158657,10177640,'Inflicts 39 heat damage on target',100,2,2),
(158658,10177640,'Cannot be modified except by direct means',100,2,3),
(158659,105980,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(158660,105980,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(158661,105980,'Inflicts 283 - 471 piercing damage on target',100,3,2),
(158662,105980,'Grants a total of 5 triggers of the spell.',100,3,3),
(158663,105980,'Grants a total of 1 trigger of the spell.',100,2,4),
(158664,10105980,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(158665,10105980,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(158666,10105980,'Inflicts 367 - 613 piercing damage on target',100,3,2),
(158667,10105980,'Grants a total of 5 triggers of the spell.',100,3,3),
(158668,10105980,'Grants a total of 1 trigger of the spell.',100,2,4),
(158669,78983,'When Equipped:',100,0,0),
(158670,78983,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(158671,10078983,'When Equipped:',100,0,0),
(158672,10078983,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(158673,187403,'When Equipped:',100,0,0),
(158674,187403,'On a combat hit this spell may cast Focus on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158675,187403,'Increases Damage Per Second of caster by 34.1',100,2,2),
(158676,187403,'Cannot be modified except by direct means',100,2,3),
(158677,10187403,'When Equipped:',100,0,0),
(158678,10187403,'On a combat hit this spell may cast Focus on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158679,10187403,'Increases Damage Per Second of caster by 34.1',100,2,2),
(158680,10187403,'Cannot be modified except by direct means',100,2,3),
(158681,154832,'When Equipped:',100,0,0),
(158682,154832,'On a melee hit this spell may cast Insanity of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(158683,154832,'Increases Crit Chance of caster by 25.0',100,2,2),
(158684,154832,'Increases damage done by combat arts by up to 150.',100,2,3),
(158685,154832,'Cannot be modified except by direct means',100,2,4),
(158686,154832,'Cannot be modified except by direct means',100,1,5),
(158687,10154832,'When Equipped:',100,0,0),
(158688,10154832,'On a melee hit this spell may cast Insanity of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(158689,10154832,'Increases Crit Chance of caster by 25.0',100,2,2),
(158690,10154832,'Increases damage done by combat arts by up to 150.',100,2,3),
(158691,10154832,'Cannot be modified except by direct means',100,2,4),
(158692,10154832,'Cannot be modified except by direct means',100,1,5),
(158693,109713,'Inflicts 82 - 137 cold damage on target',100,1,0),
(158694,109713,'If weapon equipped in Ranged',100,1,1),
(158695,10109713,'Inflicts 70 - 117 cold damage on target',100,1,0),
(158696,10109713,'If weapon equipped in Ranged',100,1,1),
(158697,133600,'Applies Mark of Dread when Activated.  Lasts for 30.0 seconds.',100,0,0),
(158698,133600,'Increases Crit Chance of caster by 2.0',100,1,1),
(158699,133600,'The casting time of Mark of Dread is 2.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(158700,10133600,'Applies Mark of Dread when Activated.  Lasts for 30.0 seconds.',100,0,0),
(158701,10133600,'Increases Crit Chance of caster by 2.0',100,1,1),
(158702,10133600,'The casting time of Mark of Dread is 2.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(158703,76166,'When Equipped:',100,0,0),
(158704,76166,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(158705,76166,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(158706,76166,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(158707,76166,'Must not be engaged in pvp combat',100,2,4),
(158708,76166,'Cannot be modified except by direct means',100,2,5),
(158709,76166,'Cannot be modified except by direct means',100,1,6),
(158710,10076166,'When Equipped:',100,0,0),
(158711,10076166,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(158712,10076166,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(158713,10076166,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(158714,10076166,'Must not be engaged in pvp combat',100,2,4),
(158715,10076166,'Cannot be modified except by direct means',100,2,5),
(158716,10076166,'Cannot be modified except by direct means',100,1,6),
(158717,107122,'Inflicts 108 - 132 divine damage on target',100,1,0),
(158718,107122,'Inflicts 108 - 132 divine damage on target',100,1,1),
(158719,107122,'If target is undead',100,2,2),
(158720,10107122,'Inflicts 141 - 172 divine damage on target',100,1,0),
(158721,10107122,'Inflicts 141 - 172 divine damage on target',100,1,1),
(158722,106484,'Decreases STR and AGI of target by 33.7',100,1,0),
(158723,10106484,'Decreases STR and AGI of target by 33.7',100,1,0),
(158724,26479,'When Equipped:',100,0,0),
(158725,26479,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(158726,26479,'On a spell cast this spell may cast Manastorm on the group.  Triggers about 2.2 times per minute. ',100,1,2),
(158727,26479,'Increases power of group members (AE) by 715',100,2,3),
(158728,26479,'Must not be engaged in pvp combat',100,2,4),
(158729,26479,'Cannot be modified except by direct means',100,2,5),
(158730,26479,'Must not be engaged in pvp combat',100,1,6),
(158731,10026479,'When Equipped:',100,0,0),
(158732,10026479,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(158733,10026479,'On a spell cast this spell may cast Manastorm on the group.  Triggers about 2.2 times per minute. ',100,1,2),
(158734,10026479,'Increases power of group members (AE) by 715',100,2,3),
(158735,10026479,'Must not be engaged in pvp combat',100,2,4),
(158736,10026479,'Cannot be modified except by direct means',100,2,5),
(158737,10026479,'Must not be engaged in pvp combat',100,1,6),
(158738,88971,'When Equipped:',100,0,0),
(158739,88971,'On a combat hit this spell may cast Inviscerate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158740,88971,'Inflicts 151 - 185 crushing damage on target',100,2,2),
(158741,88971,'Cannot be modified except by direct means',100,2,3),
(158742,10088971,'When Equipped:',100,0,0),
(158743,10088971,'On a combat hit this spell may cast Inviscerate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158744,10088971,'Inflicts 197 - 240 crushing damage on target',100,2,2),
(158745,10088971,'Cannot be modified except by direct means',100,2,3),
(158746,124172,'Inflicts 17 - 28 melee damage on target',100,1,0),
(158747,10124172,'Inflicts 22 - 37 melee damage on target',100,1,0),
(158748,104042,'Stifles target',100,1,0),
(158749,104042,'If Target is not Epic',100,2,1),
(158750,104042,'Interrupts target',100,1,2),
(158751,104042,'Decreases Threat to target by 1,390 - 1,700 ',100,1,3),
(158752,104042,'Resistibility increases against targets higher than level 116.',100,1,4),
(158753,10104042,'Stifles target',100,1,0),
(158754,10104042,'If Target is not Epic',100,2,1),
(158755,10104042,'Interrupts target',100,1,2),
(158756,10104042,'Resistibility increases against targets higher than level 116.',100,1,3),
(158757,81375,'When Equipped:',100,0,0),
(158758,81375,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158759,81375,'Inflicts 109 - 202 magic damage on target',100,2,2),
(158760,81375,'Cannot be modified except by direct means',100,2,3),
(158761,10081375,'When Equipped:',100,0,0),
(158762,10081375,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158763,10081375,'Inflicts 142 - 263 magic damage on target',100,2,2),
(158764,10081375,'Cannot be modified except by direct means',100,2,3),
(158765,185909,'When Equipped:',100,0,0),
(158766,185909,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(158767,185909,'Increases Threat to target by 50 ',100,2,2),
(158768,185909,'Cannot be modified except by direct means',100,2,3),
(158769,10185909,'When Equipped:',100,0,0),
(158770,10185909,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(158771,10185909,'Cannot be modified except by direct means',100,2,2),
(158772,81074,'When Equipped:',100,0,0),
(158773,81074,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158774,81074,'Inflicts 226 - 419 magic damage on target',100,2,2),
(158775,81074,'Decreases Threat to target by 517 ',100,2,3),
(158776,81074,'Must be flanking or behind',100,3,4),
(158777,81074,'Increases Threat to target by 517 ',100,2,5),
(158778,81074,'Must be in front of',100,3,6),
(158779,81074,'Cannot be modified except by direct means',100,2,7),
(158780,10081074,'When Equipped:',100,0,0),
(158781,10081074,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158782,10081074,'Inflicts 293 - 545 magic damage on target',100,2,2),
(158783,10081074,'Cannot be modified except by direct means',100,2,3),
(158784,124218,'Decreases Attack Speed of caster by 14.1',100,1,0),
(158785,124218,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158786,124218,'Slows targets in Area of Effect by 36.3%',100,2,2),
(158787,124218,'5% chance to dispel when target receives hostile action',100,2,3),
(158788,124218,'5% chance to dispel when target takes damage',100,2,4),
(158789,124218,'Increases Mitigation of caster vs physical damage by 390',100,1,5),
(158790,10124218,'Decreases Attack Speed of caster by 14.1',100,1,0),
(158791,10124218,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158792,10124218,'Slows targets in Area of Effect by 27.2%',100,2,2),
(158793,10124218,'5% chance to dispel when target receives hostile action',100,2,3),
(158794,10124218,'5% chance to dispel when target takes damage',100,2,4),
(158795,10124218,'Increases Mitigation of caster vs physical damage by 390',100,1,5),
(158796,45767,'Applies Coldain Ale when Activated.  Lasts for 5 minutes.',100,0,0),
(158797,45767,'Only the brewer knows the secret of the recipe!',100,1,1),
(158798,10045767,'Applies Coldain Ale when Activated.  Lasts for 5 minutes.',100,0,0),
(158799,10045767,'Only the brewer knows the secret of the recipe!',100,1,1),
(158800,173804,'When Equipped:',100,0,0),
(158801,173804,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158802,173804,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(158803,173804,'Dispelled when target casts a heal spell',100,2,3),
(158804,173804,'Cannot be modified except by direct means',100,2,4),
(158805,10173804,'When Equipped:',100,0,0),
(158806,10173804,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158807,10173804,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(158808,10173804,'Dispelled when target casts a heal spell',100,2,3),
(158809,10173804,'Cannot be modified except by direct means',100,2,4),
(158810,175350,'When Equipped:',100,0,0),
(158811,175350,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(158812,175350,'Inflicts 652 crushing damage on target',100,2,2),
(158813,175350,'Inflicts 652 disease damage on target',100,2,3),
(158814,175350,'Must not be engaged in pvp combat',100,2,4),
(158815,175350,'Cannot be modified except by direct means',100,2,5),
(158816,10175350,'When Equipped:',100,0,0),
(158817,10175350,'On any combat or spell hit this spell may cast Frightful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(158818,10175350,'Inflicts 848 crushing damage on target',100,2,2),
(158819,10175350,'Inflicts 848 disease damage on target',100,2,3),
(158820,10175350,'Must not be engaged in pvp combat',100,2,4),
(158821,10175350,'Cannot be modified except by direct means',100,2,5),
(158822,101474,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(158823,101474,'Increases Mitigation of group members (AE) vs arcane damage by 308',100,1,1),
(158824,10101474,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(158825,10101474,'Increases Mitigation of group members (AE) vs arcane damage by 308',100,1,1),
(158826,113493,'Inflicts 145 - 241 melee damage on targets in area',100,1,0),
(158827,10113493,'Inflicts 188 - 314 melee damage on targets in area',100,1,0),
(158828,106614,'Inflicts 265 - 323 disease damage on target',100,1,0),
(158829,106614,'Heals caster for 5.4 - 6.6% of max health',100,1,1),
(158830,106614,'This effect cannot be critically applied.',100,2,2),
(158831,106614,'The healing of this spell cannot be modified except by direct means',100,1,3),
(158832,10106614,'Inflicts 344 - 420 disease damage on target',100,1,0),
(158833,10106614,'Heals caster for 1.8 - 2.2% of max health',100,1,1),
(158834,10106614,'This effect cannot be critically applied.',100,2,2),
(158835,10106614,'The healing of this spell cannot be modified except by direct means',100,1,3),
(158836,42530,'When Equipped:',100,0,0),
(158837,42530,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158838,42530,'Inflicts 111 - 166 magic damage on target',100,2,2),
(158839,42530,'Cannot be modified except by direct means',100,2,3),
(158840,10042530,'When Equipped:',100,0,0),
(158841,10042530,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158842,10042530,'Inflicts 144 - 216 magic damage on target',100,2,2),
(158843,10042530,'Cannot be modified except by direct means',100,2,3),
(158844,26590,'When Equipped:',100,0,0),
(158845,26590,'Adds 10% hate gain reduction to Befuddle VI.',100,1,1),
(158846,26590,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(158847,10026590,'When Equipped:',100,0,0),
(158848,10026590,'Adds 10% hate gain reduction to Befuddle VI.',100,1,1),
(158849,10026590,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(158850,71614,'When Equipped:',100,0,0),
(158851,71614,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158852,71614,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(158853,71614,'Cannot be modified except by direct means',100,2,3),
(158854,10071614,'When Equipped:',100,0,0),
(158855,10071614,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158856,10071614,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(158857,10071614,'Cannot be modified except by direct means',100,2,3),
(158858,122358,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(158859,122358,'Inflicts 37 - 45 piercing damage on target',100,2,1),
(158860,10122358,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(158861,10122358,'Inflicts 48 - 58 piercing damage on target',100,2,1),
(158862,115054,'Heals target for 1129 - 1380',100,1,0),
(158863,10115054,'Heals target for 1581 - 1933',100,1,0),
(158864,74836,'When Equipped:',100,0,0),
(158865,74836,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158866,74836,'Inflicts 208 - 311 magic damage on target',100,2,2),
(158867,74836,'Cannot be modified except by direct means',100,2,3),
(158868,10074836,'When Equipped:',100,0,0),
(158869,10074836,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158870,10074836,'Inflicts 270 - 405 magic damage on target',100,2,2),
(158871,10074836,'Cannot be modified except by direct means',100,2,3),
(158872,159473,'When Equipped:',100,0,0),
(158873,159473,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158874,159473,'Increases INT of caster by 25.7',100,2,2),
(158875,159473,'Increases Disruption, Focus and Subjugation of caster by 14.6',100,2,3),
(158876,159473,'Cannot be modified except by direct means',100,2,4),
(158877,10159473,'When Equipped:',100,0,0),
(158878,10159473,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158879,10159473,'Increases INT of caster by 25.7',100,2,2),
(158880,10159473,'Increases Disruption, Focus and Subjugation of caster by 14.6',100,2,3),
(158881,10159473,'Cannot be modified except by direct means',100,2,4),
(158882,164589,'Applies Unstable Magics when Equipped.',100,0,0),
(158883,164589,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(158884,10164589,'Applies Unstable Magics when Equipped.',100,0,0),
(158885,10164589,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(158886,188370,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(158887,188370,'Increases amount healed by up to 300.',100,1,1),
(158888,188370,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(158889,10188370,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(158890,10188370,'Increases amount healed by up to 300.',100,1,1),
(158891,10188370,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(158892,48651,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(158893,48651,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158894,48651,'Inflicts 245 poison damage on target',100,2,2),
(158895,48651,'Inflicts 72 poison damage on target instantly and every 6 seconds',100,2,3),
(158896,48651,'Cannot be modified except by direct means',100,2,4),
(158897,48651,'Grants a total of 200 triggers of the spell.',100,2,5),
(158898,10048651,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(158899,10048651,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158900,10048651,'Inflicts 238 poison damage on target',100,2,2),
(158901,10048651,'Inflicts 70 poison damage on target instantly and every 6 seconds',100,2,3),
(158902,10048651,'Cannot be modified except by direct means',100,2,4),
(158903,10048651,'Grants a total of 200 triggers of the spell.',100,2,5),
(158904,119897,'Increases INT and AGI of group members (AE) by 83.5',100,1,0),
(158905,119897,'Adds 1.8% to base avoidance.',100,1,1),
(158906,10119897,'Increases INT and AGI of group members (AE) by 83.5',100,1,0),
(158907,10119897,'Adds 1.8% to base avoidance.',100,1,1),
(158908,48450,'Applies Thinning Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(158909,48450,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158910,48450,'Inflicts 404 poison damage on target',100,2,2),
(158911,48450,'Inflicts 118 poison damage on target instantly and every 6 seconds',100,2,3),
(158912,48450,'Cannot be modified except by direct means',100,2,4),
(158913,48450,'Grants a total of 200 triggers of the spell.',100,2,5),
(158914,48450,'Only affects targets level 50 and above',100,1,6),
(158915,10048450,'Applies Thinning Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(158916,10048450,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(158917,10048450,'Inflicts 394 poison damage on target',100,2,2),
(158918,10048450,'Inflicts 116 poison damage on target instantly and every 6 seconds',100,2,3),
(158919,10048450,'Cannot be modified except by direct means',100,2,4),
(158920,10048450,'Grants a total of 200 triggers of the spell.',100,2,5),
(158921,10048450,'Only affects targets level 50 and above',100,1,6),
(158922,37492,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(158923,153841,'When Equipped:',100,0,0),
(158924,153841,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(158925,153841,'Inflicts 62 - 103 heat damage on target every 4.8 seconds',100,2,2),
(158926,153841,'Inflicts 151 - 252 heat damage on target',100,2,3),
(158927,153841,'Cannot be modified except by direct means',100,2,4),
(158928,10153841,'When Equipped:',100,0,0),
(158929,10153841,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(158930,10153841,'Inflicts 80 - 134 heat damage on target every 4.8 seconds',100,2,2),
(158931,10153841,'Inflicts 196 - 327 heat damage on target',100,2,3),
(158932,10153841,'Cannot be modified except by direct means',100,2,4),
(158933,111962,'Inflicts 778 - 950 disease damage on target',100,1,0),
(158934,111962,'Decreases Mitigation of target vs noxious damage by 1325',100,1,1),
(158935,10111962,'Inflicts 1300 - 1589 disease damage on target',100,1,0),
(158936,10111962,'Decreases Mitigation of target vs noxious damage by 1325',100,1,1),
(158937,113836,'Inflicts 385 - 641 disease damage on target',100,1,0),
(158938,10113836,'Inflicts 500 - 834 disease damage on target',100,1,0),
(158939,80362,'When Equipped:',100,0,0),
(158940,80362,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158941,80362,'Inflicts 70 - 131 magic damage on target',100,2,2),
(158942,80362,'Decreases Threat to target by 153 ',100,2,3),
(158943,80362,'Must be flanking or behind',100,3,4),
(158944,80362,'Increases Threat to target by 153 ',100,2,5),
(158945,80362,'Must be in front of',100,3,6),
(158946,80362,'Cannot be modified except by direct means',100,2,7),
(158947,10080362,'When Equipped:',100,0,0),
(158948,10080362,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(158949,10080362,'Inflicts 91 - 170 magic damage on target',100,2,2),
(158950,10080362,'Cannot be modified except by direct means',100,2,3),
(158951,71334,'When Equipped:',100,0,0),
(158952,71334,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158953,71334,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(158954,71334,'Cannot be modified except by direct means',100,2,3),
(158955,10071334,'When Equipped:',100,0,0),
(158956,10071334,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158957,10071334,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(158958,10071334,'Cannot be modified except by direct means',100,2,3),
(158959,114278,'Heals target for 178 - 217',100,1,0),
(158960,10114278,'Heals target for 209 - 255',100,1,0),
(158961,81220,'When Equipped:',100,0,0),
(158962,81220,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158963,81220,'Inflicts 151 - 280 magic damage on target',100,2,2),
(158964,81220,'Cannot be modified except by direct means',100,2,3),
(158965,10081220,'When Equipped:',100,0,0),
(158966,10081220,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(158967,10081220,'Inflicts 196 - 364 magic damage on target',100,2,2),
(158968,10081220,'Cannot be modified except by direct means',100,2,3),
(158969,123211,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(158970,123211,'Inflicts 160 - 195 disease damage on target',100,2,1),
(158971,123211,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(158972,123211,'This effect cannot be critically applied.',100,3,3),
(158973,123211,'The healing of this spell cannot be modified except by direct means',100,2,4),
(158974,123211,'Grants a total of 5 triggers of the spell.',100,2,5),
(158975,10123211,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(158976,10123211,'Inflicts 208 - 254 disease damage on target',100,2,1),
(158977,10123211,'Heals caster for 1.0 - 1.3% of max health',100,2,2),
(158978,10123211,'This effect cannot be critically applied.',100,3,3),
(158979,10123211,'The healing of this spell cannot be modified except by direct means',100,2,4),
(158980,10123211,'Grants a total of 5 triggers of the spell.',100,2,5),
(158981,118814,'Wards group members (AE) against 133 points of physical damage',100,1,0),
(158982,118814,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,1),
(158983,10118814,'Wards group members (AE) against 133 points of physical damage',100,1,0),
(158984,10118814,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,1),
(158985,45405,'Applies Brenthalion''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(158986,45405,'Increases STR and STA of caster by 23.0',100,1,1),
(158987,10045405,'Applies Brenthalion''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(158988,10045405,'Increases STR and STA of caster by 23.0',100,1,1),
(158989,112386,'Increases Crushing, Piercing, Slashing and Ranged of target by 26.4',100,1,0),
(158990,112386,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(158991,112386,'Inflicts 272 - 333 piercing damage on target',100,2,2),
(158992,112386,'Inflicts 136 - 166 piercing damage on target every 3 seconds',100,2,3),
(158993,10112386,'Increases Crushing, Piercing, Slashing and Ranged of target by 26.4',100,1,0),
(158994,10112386,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(158995,10112386,'Inflicts 354 - 433 piercing damage on target',100,2,2),
(158996,10112386,'Inflicts 177 - 216 piercing damage on target every 3 seconds',100,2,3),
(158997,72190,'When Equipped:',100,0,0),
(158998,72190,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(158999,72190,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(159000,72190,'Cannot be modified except by direct means',100,2,3),
(159001,10072190,'When Equipped:',100,0,0),
(159002,10072190,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159003,10072190,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(159004,10072190,'Cannot be modified except by direct means',100,2,3),
(159005,186889,'When Equipped:',100,0,0),
(159006,186889,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159007,186889,'Wards target against 1000 points of all damage',100,2,2),
(159008,186889,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(159009,186889,'Cannot be modified except by direct means',100,2,4),
(159010,10186889,'When Equipped:',100,0,0),
(159011,10186889,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159012,10186889,'Wards target against 1000 points of all damage',100,2,2),
(159013,10186889,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(159014,10186889,'Cannot be modified except by direct means',100,2,4),
(159015,118776,'Increases INT and WIS of group members (AE) by 103.8',100,1,0),
(159016,118776,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 305',100,1,1),
(159017,10118776,'Increases INT and WIS of group members (AE) by 103.8',100,1,0),
(159018,10118776,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 305',100,1,1),
(159019,112835,'Roots target',100,1,0),
(159020,112835,'5% chance to dispel when target takes damage',100,1,1),
(159021,112835,'Does not affect Epic targets',100,1,2),
(159022,112835,'Resistibility increases against targets higher than level 64.',100,1,3),
(159023,10112835,'Roots target',100,1,0),
(159024,10112835,'5% chance to dispel when target takes damage',100,1,1),
(159025,10112835,'Does not affect Epic targets',100,1,2),
(159026,10112835,'Resistibility increases against targets higher than level 64.',100,1,3),
(159027,51306,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(159028,51306,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(159029,51306,'Inflicts 64 heat damage on target',100,2,2),
(159030,51306,'Cannot be modified except by direct means',100,2,3),
(159031,10051306,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(159032,10051306,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(159033,10051306,'Inflicts 84 heat damage on target',100,2,2),
(159034,10051306,'Cannot be modified except by direct means',100,2,3),
(159035,120128,'Decreases STR and INT of target by 27.6',100,1,0),
(159036,120128,'Increases STR and INT of caster by 27.6',100,1,1),
(159037,10120128,'Decreases STR and INT of target by 27.6',100,1,0),
(159038,10120128,'Increases STR and INT of caster by 27.6',100,1,1),
(159039,159935,'When Equipped:',100,0,0),
(159040,159935,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159041,159935,'Increases STR of caster by 3.6',100,2,2),
(159042,159935,'Increases Damage Per Second of caster by 11.3',100,2,3),
(159043,159935,'Cannot be modified except by direct means',100,2,4),
(159044,10159935,'When Equipped:',100,0,0),
(159045,10159935,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159046,10159935,'Increases STR of caster by 3.6',100,2,2),
(159047,10159935,'Increases Damage Per Second of caster by 11.3',100,2,3),
(159048,10159935,'Cannot be modified except by direct means',100,2,4),
(159049,174723,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(159050,174723,'Decreases Mitigation of target vs physical damage by 1151',100,1,1),
(159051,174723,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(159052,10174723,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(159053,10174723,'Decreases Mitigation of target vs physical damage by 1151',100,1,1),
(159054,10174723,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(159055,43223,'When Equipped:',100,0,0),
(159056,43223,'On a critical spell hit this spell may cast Vital Exposure III on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159057,43223,'Inflicts 36 - 40 disease damage on target instantly and every 2 seconds',100,2,2),
(159058,43223,'Inflicts an additional 3 - 3 disease damage on target every tick',100,2,3),
(159059,43223,'Decreases the target''s physical mitigation over time.',100,2,4),
(159060,43223,'Must not be engaged in pvp combat',100,2,5),
(159061,43223,'Cannot be modified except by direct means',100,2,6),
(159062,43223,'On a critical combat hit this spell may cast Vital Exposure III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(159063,43223,'Inflicts 36 - 40 disease damage on target instantly and every 2 seconds',100,2,8),
(159064,43223,'Inflicts an additional 3 - 3 disease damage on target every tick',100,2,9),
(159065,43223,'Decreases the target''s physical mitigation over time.',100,2,10),
(159066,43223,'Must not be engaged in pvp combat',100,2,11),
(159067,43223,'Cannot be modified except by direct means',100,2,12),
(159068,43223,'Must not be engaged in pvp combat',100,1,13),
(159069,10043223,'When Equipped:',100,0,0),
(159070,10043223,'On a critical spell hit this spell may cast Vital Exposure III on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159071,10043223,'Inflicts 47 - 52 disease damage on target instantly and every 2 seconds',100,2,2),
(159072,10043223,'Inflicts an additional 3 - 3 disease damage on target every tick',100,2,3),
(159073,10043223,'Decreases the target''s physical mitigation over time.',100,2,4),
(159074,10043223,'Must not be engaged in pvp combat',100,2,5),
(159075,10043223,'Cannot be modified except by direct means',100,2,6),
(159076,10043223,'On a critical combat hit this spell may cast Vital Exposure III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(159077,10043223,'Inflicts 47 - 52 disease damage on target instantly and every 2 seconds',100,2,8),
(159078,10043223,'Inflicts an additional 3 - 3 disease damage on target every tick',100,2,9),
(159079,10043223,'Decreases the target''s physical mitigation over time.',100,2,10),
(159080,10043223,'Must not be engaged in pvp combat',100,2,11),
(159081,10043223,'Cannot be modified except by direct means',100,2,12),
(159082,10043223,'Must not be engaged in pvp combat',100,1,13),
(159083,164698,'When Equipped:',100,0,0),
(159084,164698,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159085,164698,'Inflicts 401 divine damage on target',100,2,2),
(159086,164698,'Must not be classified as a vampire',100,3,3),
(159087,164698,'Inflicts 802 divine damage on target',100,2,4),
(159088,164698,'Must be classified as a vampire',100,3,5),
(159089,164698,'Decreases Mitigation of target vs arcane damage by 581',100,2,6),
(159090,164698,'Must be classified as a vampire',100,3,7),
(159091,164698,'Cannot be modified except by direct means',100,2,8),
(159092,164698,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(159093,10164698,'When Equipped:',100,0,0),
(159094,10164698,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159095,10164698,'Inflicts 521 divine damage on target',100,2,2),
(159096,10164698,'Must not be classified as a vampire',100,3,3),
(159097,10164698,'Inflicts 1043 divine damage on target',100,2,4),
(159098,10164698,'Must be classified as a vampire',100,3,5),
(159099,10164698,'Decreases Mitigation of target vs arcane damage by 581',100,2,6),
(159100,10164698,'Must be classified as a vampire',100,3,7),
(159101,10164698,'Cannot be modified except by direct means',100,2,8),
(159102,10164698,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(159103,35781,'Increases STA and AGI of target by 1.1',100,0,0),
(159104,35781,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(159105,111806,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(159106,111806,'Wipes most of the target''s memory of aggression',100,2,1),
(159107,111806,'Summons 6 limited pets to aid the caster',100,1,2),
(159108,10111806,'Applies Distract on termination.',100,1,0),
(159109,10111806,'Forces target to clear their selected target.',100,2,1),
(159110,10111806,'Summons 6 limited pets to aid the caster',100,1,2),
(159111,87337,'When Equipped:',100,0,0),
(159112,87337,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(159113,87337,'Inflicts 150 - 225 magic damage on target',100,2,2),
(159114,87337,'Cannot be modified except by direct means',100,2,3),
(159115,10087337,'When Equipped:',100,0,0),
(159116,10087337,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(159117,10087337,'Inflicts 195 - 292 magic damage on target',100,2,2),
(159118,10087337,'Cannot be modified except by direct means',100,2,3),
(159119,113183,'Inflicts 1295 disease damage on target',100,1,0),
(159120,113183,'Heals caster for 592',100,1,1),
(159121,10113183,'Inflicts 1683 disease damage on target',100,1,0),
(159122,10113183,'Heals caster for 500',100,1,1),
(159123,88040,'When Equipped:',100,0,0),
(159124,88040,'On a hostile spell hit this spell may cast Mana Sieve on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(159125,88040,'Decreases power of target by 185',100,2,2),
(159126,88040,'Increases power of caster by 123',100,2,3),
(159127,88040,'Cannot be modified except by direct means',100,2,4),
(159128,88040,'When Equipped:',100,0,5),
(159129,88040,'On a hostile spell cast this spell may cast Viral Fetter on target of spell.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(159130,88040,'Decreases Damage Per Second of target by 4.0',100,2,7),
(159131,88040,'Cannot be modified except by direct means',100,2,8),
(159132,10088040,'When Equipped:',100,0,0),
(159133,10088040,'On a hostile spell hit this spell may cast Mana Sieve on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(159134,10088040,'Decreases power of target by 185',100,2,2),
(159135,10088040,'Increases power of caster by 123',100,2,3),
(159136,10088040,'Cannot be modified except by direct means',100,2,4),
(159137,10088040,'When Equipped:',100,0,5),
(159138,10088040,'On a hostile spell cast this spell may cast Viral Fetter on target of spell.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(159139,10088040,'Decreases Damage Per Second of target by 4.0',100,2,7),
(159140,10088040,'Cannot be modified except by direct means',100,2,8),
(159141,77475,'When Equipped:',100,0,0),
(159142,77475,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159143,77475,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,2),
(159144,77475,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(159145,77475,'Must not be engaged in pvp combat',100,2,4),
(159146,77475,'Cannot be modified except by direct means',100,2,5),
(159147,77475,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(159148,77475,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(159149,77475,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,8),
(159150,77475,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(159151,77475,'Must not be engaged in pvp combat',100,2,10),
(159152,77475,'Cannot be modified except by direct means',100,2,11),
(159153,77475,'Cannot be modified except by direct means',100,1,12),
(159154,10077475,'When Equipped:',100,0,0),
(159155,10077475,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159156,10077475,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,2),
(159157,10077475,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(159158,10077475,'Must not be engaged in pvp combat',100,2,4),
(159159,10077475,'Cannot be modified except by direct means',100,2,5),
(159160,10077475,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(159161,10077475,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(159162,10077475,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,8),
(159163,10077475,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(159164,10077475,'Must not be engaged in pvp combat',100,2,10),
(159165,10077475,'Cannot be modified except by direct means',100,2,11),
(159166,10077475,'Cannot be modified except by direct means',100,1,12),
(159167,124593,'Decreases Threat to targets in Area of Effect by 4,820 ',100,1,0),
(159168,124593,'Interrupts targets in Area of Effect',100,1,1),
(159169,124593,'Roots targets in Area of Effect',100,1,2),
(159170,124593,'If Target is not Epic',100,2,3),
(159171,10124593,'Applies Distract.',100,1,0),
(159172,10124593,'Forces target to clear their selected target.',100,2,1),
(159173,10124593,'Interrupts targets in Area of Effect',100,1,2),
(159174,10124593,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(159175,10124593,'Roots targets in Area of Effect',100,1,4),
(159176,10124593,'If Target is not Epic',100,2,5),
(159177,107360,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(159178,107360,'Increases Threat to target by 442 ',100,2,1),
(159179,10107360,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(159180,10107360,'Inflicts 125 - 138 crushing damage on target',100,2,1),
(159181,36222,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(159182,36222,'This effect suspends during combat',100,0,1),
(159183,117975,'Heals target for 1127 - 1378',100,1,0),
(159184,117975,'Increases Max Health of target by 159.0',100,1,1),
(159185,10117975,'Heals target for 1293 - 1580',100,1,0),
(159186,10117975,'Increases Max Health of target by 159.0',100,1,1),
(159187,71353,'When Equipped:',100,0,0),
(159188,71353,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159189,71353,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(159190,71353,'Cannot be modified except by direct means',100,2,3),
(159191,10071353,'When Equipped:',100,0,0),
(159192,10071353,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159193,10071353,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(159194,10071353,'Cannot be modified except by direct means',100,2,3),
(159195,105241,'Decreases STR and INT of target by 107.8',100,1,0),
(159196,105241,'Only affects targets level 20 and above',100,1,1),
(159197,10105241,'Decreases STR and INT of target by 107.8',100,1,0),
(159198,10105241,'Only affects targets level 20 and above',100,1,1),
(159199,103416,'Decreases Threat to targets in Area of Effect by 2,493 ',100,1,0),
(159200,103416,'Slows targets in Area of Effect by 49.0%',100,1,1),
(159201,103416,'Stifles targets in Area of Effect',100,1,2),
(159202,103416,'If Target is not Epic',100,2,3),
(159203,103416,'10% chance to dispel when target receives hostile action',100,1,4),
(159204,103416,'10% chance to dispel when target takes damage',100,1,5),
(159205,10103416,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(159206,10103416,'Slows targets in Area of Effect by 49.0%',100,1,1),
(159207,10103416,'Stifles targets in Area of Effect',100,1,2),
(159208,10103416,'If Target is not Epic',100,2,3),
(159209,124209,'Decreases Attack Speed of caster by 11.3',100,1,0),
(159210,124209,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(159211,124209,'Slows targets in Area of Effect by 35.9%',100,2,2),
(159212,124209,'5% chance to dispel when target receives hostile action',100,2,3),
(159213,124209,'5% chance to dispel when target takes damage',100,2,4),
(159214,124209,'Increases Mitigation of caster vs physical damage by 163',100,1,5),
(159215,10124209,'Decreases Attack Speed of caster by 11.3',100,1,0),
(159216,10124209,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(159217,10124209,'Slows targets in Area of Effect by 26.9%',100,2,2),
(159218,10124209,'5% chance to dispel when target receives hostile action',100,2,3),
(159219,10124209,'5% chance to dispel when target takes damage',100,2,4),
(159220,10124209,'Increases Mitigation of caster vs physical damage by 163',100,1,5),
(159221,120909,'Stifles target',100,1,0),
(159222,120909,'Inflicts 1426 - 1743 mental damage on target',100,1,1),
(159223,120909,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(159224,120909,'Resistibility increases against targets higher than level 121.',100,1,3),
(159225,10120909,'Stifles target',100,1,0),
(159226,10120909,'Inflicts 1853 - 2265 mental damage on target',100,1,1),
(159227,10120909,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(159228,10120909,'Resistibility increases against targets higher than level 121.',100,1,3),
(159229,123900,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(159230,123900,'Slows target by 47.0%',100,2,1),
(159231,123900,'5% chance to dispel when target receives hostile action',100,2,2),
(159232,123900,'5% chance to dispel when target takes damage',100,2,3),
(159233,123900,'Decreases Mitigation of target vs elemental and noxious damage by 552',100,1,4),
(159234,10123900,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(159235,10123900,'Slows target by 47.0%',100,2,1),
(159236,10123900,'5% chance to dispel when target receives hostile action',100,2,2),
(159237,10123900,'5% chance to dispel when target takes damage',100,2,3),
(159238,10123900,'Decreases Mitigation of target vs elemental and noxious damage by 552',100,1,4),
(159239,111915,'Inflicts 35 - 59 piercing damage on target instantly and every 4 seconds',100,1,0),
(159240,111915,'Inflicts 129 - 215 piercing damage on target',100,1,1),
(159241,10111915,'Inflicts 76 - 127 piercing damage on target instantly and every 4 seconds',100,1,0),
(159242,10111915,'Inflicts 228 - 381 piercing damage on target',100,1,1),
(159243,100285,'Inflicts 108 - 201 poison damage on target instantly and every 3 seconds',100,1,0),
(159244,10100285,'Inflicts 317 - 588 poison damage on target instantly and every 3 seconds',100,1,0),
(159245,159767,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(159246,159767,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(159247,159767,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(159248,159767,'Cannot be modified except by direct means',100,2,3),
(159249,10159767,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(159250,10159767,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(159251,10159767,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(159252,10159767,'Cannot be modified except by direct means',100,2,3),
(159253,110771,'Heals group members (AE) for 163 - 199 instantly and every 2 seconds',100,1,0),
(159254,10110771,'Heals group members (AE) for 106 - 129 instantly and every 2 seconds',100,1,0),
(159255,117818,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(159256,117818,'Heals target for 68 - 84 instantly and every 2 seconds',100,2,1),
(159257,117818,'If at 50% Health or less',100,3,2),
(159258,117818,'Heals target for 34 - 42 instantly and every 2 seconds',100,2,3),
(159259,117818,'If over 50% Health',100,3,4),
(159260,10117818,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(159261,10117818,'Heals target for 10 - 12 instantly and every 2 seconds',100,2,1),
(159262,10117818,'If over 50% Health',100,3,2),
(159263,10117818,'Heals target for 17 - 20 instantly and every 2 seconds',100,2,3),
(159264,10117818,'If at 50% Health or less',100,3,4),
(159265,118414,'Heals target for 385 - 470',100,1,0),
(159266,118414,'Increases Max Health of target by 49.2',100,1,1),
(159267,10118414,'Heals target for 446 - 546',100,1,0),
(159268,10118414,'Increases Max Health of target by 49.2',100,1,1),
(159269,118939,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(159270,118939,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1305',100,1,1),
(159271,118939,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,2),
(159272,10118939,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(159273,10118939,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1305',100,1,1),
(159274,10118939,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,2),
(159275,135125,'When Equipped:',100,0,0),
(159276,135125,'Increases Attack Speed of caster by 30.0',100,1,1),
(159277,10135125,'When Equipped:',100,0,0),
(159278,10135125,'Increases Attack Speed of caster by 30.0',100,1,1),
(159279,41453,'When Equipped:',100,0,0),
(159280,41453,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159281,41453,'Inflicts 83 - 154 magic damage on target',100,2,2),
(159282,41453,'Decreases Threat to target by 236 ',100,2,3),
(159283,41453,'Must be flanking or behind',100,3,4),
(159284,41453,'Increases Threat to target by 236 ',100,2,5),
(159285,41453,'Must be in front of',100,3,6),
(159286,41453,'Cannot be modified except by direct means',100,2,7),
(159287,10041453,'When Equipped:',100,0,0),
(159288,10041453,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159289,10041453,'Inflicts 108 - 200 magic damage on target',100,2,2),
(159290,10041453,'Cannot be modified except by direct means',100,2,3),
(159291,113409,'Reduces physical damage done to caster by 5%',100,1,0),
(159292,113409,'Increases STA of caster by 64.4',100,1,1),
(159293,113409,'Adds 4.3% to base avoidance.',100,1,2),
(159294,113409,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(159295,113409,'Increases Defense and Aggression of caster by 12.6',100,1,4),
(159296,113409,'Increases Mitigation of caster vs noxious damage by 840',100,1,5),
(159297,113409,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(159298,10113409,'Reduces physical damage done to caster by 5%',100,1,0),
(159299,10113409,'Increases STA of caster by 64.4',100,1,1),
(159300,10113409,'Adds 4.3% to base avoidance.',100,1,2),
(159301,10113409,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(159302,10113409,'Increases Defense and Aggression of caster by 12.6',100,1,4),
(159303,10113409,'Increases Mitigation of caster vs noxious damage by 840',100,1,5),
(159304,10113409,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(159305,122496,'Inflicts 431 - 718 mental damage on targets in Area of Effect',100,1,0),
(159306,10122496,'Inflicts 560 - 934 mental damage on targets in Area of Effect',100,1,0),
(159307,104517,'Increases Threat to target by 160 - 196  instantly and by 32 - 39  every 2 seconds thereafter',100,1,0),
(159308,10104517,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(159309,48138,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(159310,48138,'Increases WIS of caster by 92.1',100,1,1),
(159311,10048138,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(159312,10048138,'Increases WIS of caster by 92.1',100,1,1),
(159313,106948,'Inflicts 468 - 869 poison damage on target',100,1,0),
(159314,10106948,'Inflicts 609 - 1130 poison damage on target',100,1,0),
(159315,106326,'Decreases INT and STR of target by 70.3',100,1,0),
(159316,10106326,'Decreases INT and STR of target by 70.3',100,1,0),
(159317,24512,'Adds Mistmoore 3 to your Dungeon Maker toolbox',100,0,0),
(159318,10024512,'Adds Mistmoore 3 to your Dungeon Maker toolbox',100,0,0),
(159319,182020,'When Equipped:',100,0,0),
(159320,182020,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159321,182020,'Inflicts 947 magic damage on target',100,2,2),
(159322,182020,'Inflicts 95 magic damage on target every 4 seconds',100,2,3),
(159323,182020,'Must not be engaged in pvp combat',100,2,4),
(159324,182020,'Cannot be modified except by direct means',100,2,5),
(159325,10182020,'When Equipped:',100,0,0),
(159326,10182020,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159327,10182020,'Inflicts 1231 magic damage on target',100,2,2),
(159328,10182020,'Inflicts 123 magic damage on target every 4 seconds',100,2,3),
(159329,10182020,'Must not be engaged in pvp combat',100,2,4),
(159330,10182020,'Cannot be modified except by direct means',100,2,5),
(159331,110791,'Heals group members (AE) for 620 - 758 instantly and every 2 seconds',100,1,0),
(159332,10110791,'Heals group members (AE) for 403 - 493 instantly and every 2 seconds',100,1,0),
(159333,110257,'Inflicts 255 - 426 melee damage on target',100,1,0),
(159334,110257,'Slows target by 42.7%',100,1,1),
(159335,110257,'5% chance to dispel when target receives hostile action',100,1,2),
(159336,110257,'5% chance to dispel when target takes damage',100,1,3),
(159337,10110257,'Inflicts 332 - 553 melee damage on target',100,1,0),
(159338,10110257,'Slows target by 42.7%',100,1,1),
(159339,10110257,'5% chance to dispel when target receives hostile action',100,1,2),
(159340,10110257,'5% chance to dispel when target takes damage',100,1,3),
(159341,119549,'Wards group members (AE) against 800 points of arcane damage',100,1,0),
(159342,119549,'Increases Mitigation of group members (AE) vs arcane damage by 473',100,1,1),
(159343,10119549,'Wards group members (AE) against 800 points of arcane damage',100,1,0),
(159344,10119549,'Increases Mitigation of group members (AE) vs arcane damage by 473',100,1,1),
(159345,26658,'When Equipped:',100,0,0),
(159346,26658,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(159347,26658,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(159348,10026658,'When Equipped:',100,0,0),
(159349,10026658,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(159350,10026658,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(159351,110992,'Heals target for 263 - 321 instantly and every 2 seconds',100,1,0),
(159352,110992,'Increases power of target by 20 - 25 instantly and every 2 seconds',100,1,1),
(159353,10110992,'Heals target for 171 - 209 instantly and every 2 seconds',100,1,0),
(159354,10110992,'Increases power of target by 20 - 25 instantly and every 2 seconds',100,1,1),
(159355,120955,'Inflicts 554 - 924 ranged damage on target',100,1,0),
(159356,120955,'If weapon equipped in Ranged',100,1,1),
(159357,120955,'Must be behind',100,1,2),
(159358,10120955,'Inflicts 471 - 785 ranged damage on target',100,1,0),
(159359,10120955,'If weapon equipped in Ranged',100,1,1),
(159360,10120955,'Must be behind',100,1,2),
(159361,36336,'Increases STA of target by 1.5',100,0,0),
(159362,36336,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(159363,123216,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(159364,123216,'Inflicts 213 - 260 disease damage on target',100,2,1),
(159365,123216,'Heals caster for 4.0 - 4.8% of max health',100,2,2),
(159366,123216,'This effect cannot be critically applied.',100,3,3),
(159367,123216,'The healing of this spell cannot be modified except by direct means',100,2,4),
(159368,123216,'Grants a total of 5 triggers of the spell.',100,2,5),
(159369,10123216,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(159370,10123216,'Inflicts 277 - 338 disease damage on target',100,2,1),
(159371,10123216,'Heals caster for 1.4 - 1.7% of max health',100,2,2),
(159372,10123216,'This effect cannot be critically applied.',100,3,3),
(159373,10123216,'The healing of this spell cannot be modified except by direct means',100,2,4),
(159374,10123216,'Grants a total of 5 triggers of the spell.',100,2,5),
(159375,112995,'Reduces physical damage done to caster by 5%',100,1,0),
(159376,112995,'Increases STA of caster by 109.0',100,1,1),
(159377,112995,'Adds 3.7% to base avoidance.',100,1,2),
(159378,112995,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(159379,112995,'Increases Defense and Aggression of caster by 20.9',100,1,4),
(159380,112995,'Increases Mitigation of caster vs arcane damage by 1392',100,1,5),
(159381,112995,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(159382,10112995,'Reduces physical damage done to caster by 5%',100,1,0),
(159383,10112995,'Increases STA of caster by 109.0',100,1,1),
(159384,10112995,'Adds 3.7% to base avoidance.',100,1,2),
(159385,10112995,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(159386,10112995,'Increases Defense and Aggression of caster by 20.9',100,1,4),
(159387,10112995,'Increases Mitigation of caster vs arcane damage by 1392',100,1,5),
(159388,10112995,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(159389,101092,'Increases Mitigation of raid and group members (AE) vs arcane damage by 266',100,1,0),
(159390,10101092,'Increases Mitigation of raid and group members (AE) vs arcane damage by 266',100,1,0),
(159391,109588,'Makes target afraid',100,1,0),
(159392,109588,'30% chance to dispel when target takes damage',100,1,1),
(159393,109588,'Does not affect Epic targets',100,1,2),
(159394,109588,'Resistibility increases against targets higher than level 117.',100,1,3),
(159395,10109588,'Makes target afraid',100,1,0),
(159396,10109588,'30% chance to dispel when target takes damage',100,1,1),
(159397,10109588,'Does not affect Epic targets',100,1,2),
(159398,10109588,'Resistibility increases against targets higher than level 117.',100,1,3),
(159399,104870,'Inflicts 36 - 60 magic damage on targets in area',100,1,0),
(159400,10104870,'Inflicts 46 - 78 magic damage on targets in area',100,1,0),
(159401,25121,'When Equipped:',100,0,0),
(159402,25121,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(159403,25121,'On death this spell has a 50% chance to cast Evaded Blade on caster.  Lasts for 10 minutes.  ',100,1,2),
(159404,25121,'Decreases power of caster by 50.0%',100,2,3),
(159405,25121,'Heals caster for 50.0% of max health',100,2,4),
(159406,25121,'This effect can only activate once every 10 minutes.',100,2,5),
(159407,25121,'Must not be engaged in pvp combat',100,2,6),
(159408,25121,'Cannot be modified except by direct means',100,2,7),
(159409,25121,'Must not be engaged in pvp combat',100,1,8),
(159410,25121,'Cannot be modified except by direct means',100,1,9),
(159411,10025121,'When Equipped:',100,0,0),
(159412,10025121,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(159413,10025121,'On death this spell has a 50% chance to cast Evaded Blade on caster.  Lasts for 10 minutes.  ',100,1,2),
(159414,10025121,'Decreases power of caster by 50.0%',100,2,3),
(159415,10025121,'Heals caster for 58.5% of max health',100,2,4),
(159416,10025121,'This effect can only activate once every 10 minutes.',100,2,5),
(159417,10025121,'Must not be engaged in pvp combat',100,2,6),
(159418,10025121,'Cannot be modified except by direct means',100,2,7),
(159419,10025121,'Must not be engaged in pvp combat',100,1,8),
(159420,10025121,'Cannot be modified except by direct means',100,1,9),
(159421,110153,'Applies Untreated Bleeding on termination.',100,1,0),
(159422,110153,'Inflicts 11 - 19 piercing damage on target',100,2,1),
(159423,110153,'Inflicts 2 - 4 piercing damage on target instantly and every 4 seconds',100,1,2),
(159424,110153,'Inflicts 1 - 2 melee damage on target',100,1,3),
(159425,10110153,'Applies Untreated Bleeding on termination.',100,1,0),
(159426,10110153,'Inflicts 15 - 25 piercing damage on target',100,2,1),
(159427,10110153,'Inflicts 3 - 5 piercing damage on target instantly and every 4 seconds',100,1,2),
(159428,10110153,'Inflicts 2 - 3 melee damage on target',100,1,3),
(159429,159630,'Applies Sanguine Imbued when Equipped.',100,0,0),
(159430,159630,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(159431,159630,'Inflicts 261 heat damage on target',100,2,2),
(159432,159630,'Cannot be modified except by direct means',100,2,3),
(159433,10159630,'Applies Sanguine Imbued when Equipped.',100,0,0),
(159434,10159630,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(159435,10159630,'Inflicts 339 heat damage on target',100,2,2),
(159436,10159630,'Cannot be modified except by direct means',100,2,3),
(159437,102964,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(159438,102964,'Heals caster for 100.0% of max health',100,2,1),
(159439,102964,'This effect cannot be critically applied.',100,3,2),
(159440,102964,'Grants a total of 1 trigger of the spell.',100,2,3),
(159441,102964,'This effect cannot be cast during combat',100,1,4),
(159442,10102964,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(159443,10102964,'Heals caster for 65.0% of max health',100,2,1),
(159444,10102964,'This effect cannot be critically applied.',100,3,2),
(159445,10102964,'Grants a total of 1 trigger of the spell.',100,2,3),
(159446,10102964,'This effect cannot be cast during combat',100,1,4),
(159447,188268,'When Equipped:',100,0,0),
(159448,188268,'When any damage is received this spell has a 2.5% chance to cast Ice Blast on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,1),
(159449,188268,'Inflicts 211 - 352 cold damage on target',100,2,2),
(159450,188268,'Cannot be modified except by direct means',100,2,3),
(159451,188268,'When any damage is received this spell has a 2.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,4),
(159452,188268,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,5),
(159453,188268,'Only affects targets level 60 and below',100,2,6),
(159454,188268,'Cannot be modified except by direct means',100,2,7),
(159455,10188268,'When Equipped:',100,0,0),
(159456,10188268,'When any damage is received this spell has a 2.5% chance to cast Ice Blast on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,1),
(159457,10188268,'Inflicts 275 - 458 cold damage on target',100,2,2),
(159458,10188268,'Cannot be modified except by direct means',100,2,3),
(159459,10188268,'When any damage is received this spell has a 2.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,4),
(159460,10188268,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,5),
(159461,10188268,'Only affects targets level 60 and below',100,2,6),
(159462,10188268,'Cannot be modified except by direct means',100,2,7),
(159463,114719,'Grants target a 41% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(159464,114719,'Decreases Hate Gain of target by 27.1%',100,1,1),
(159465,10114719,'Grants target a 41% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(159466,117680,'Decreases Mitigation of target vs physical damage by 627',100,1,0),
(159467,10117680,'Decreases Mitigation of target vs physical damage by 314',100,1,0),
(159468,48126,'Applies Soul Shred when Activated.  Lasts for 1 hour.',100,0,0),
(159469,48126,'If target is a challenge.',100,1,1),
(159470,48126,'If target is living',100,1,2),
(159471,10048126,'Applies Soul Shred when Activated.  Lasts for 1 hour.',100,0,0),
(159472,10048126,'If target is a challenge.',100,1,1),
(159473,10048126,'If target is living',100,1,2),
(159474,49079,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(159475,49079,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(159476,49079,'Inflicts 76 poison damage on target',100,2,2),
(159477,49079,'Inflicts 67 poison damage on target instantly and every 6 seconds',100,2,3),
(159478,49079,'Cannot be modified except by direct means',100,2,4),
(159479,49079,'Grants a total of 200 triggers of the spell.',100,2,5),
(159480,10049079,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(159481,10049079,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(159482,10049079,'Inflicts 65 poison damage on target instantly and every 6 seconds',100,2,2),
(159483,10049079,'Inflicts 74 poison damage on target',100,2,3),
(159484,10049079,'Cannot be modified except by direct means',100,2,4),
(159485,10049079,'Grants a total of 200 triggers of the spell.',100,2,5),
(159486,115001,'Inflicts 672 - 1121 ranged damage on targets in area',100,1,0),
(159487,115001,'You must be in stealth to use this!',100,1,1),
(159488,115001,'Requires bow',100,1,2),
(159489,10115001,'Inflicts 571 - 953 ranged damage on targets in area',100,1,0),
(159490,10115001,'You must be in stealth to use this!',100,1,1),
(159491,10115001,'Requires bow',100,1,2),
(159492,124232,'Decreases Attack Speed of caster by 16.9',100,1,0),
(159493,124232,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(159494,124232,'Slows targets in Area of Effect by 61.3%',100,2,2),
(159495,124232,'5% chance to dispel when target receives hostile action',100,2,3),
(159496,124232,'5% chance to dispel when target takes damage',100,2,4),
(159497,124232,'Increases Mitigation of caster vs physical damage by 966',100,1,5),
(159498,10124232,'Decreases Attack Speed of caster by 16.9',100,1,0),
(159499,10124232,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(159500,10124232,'Slows targets in Area of Effect by 46.0%',100,2,2),
(159501,10124232,'5% chance to dispel when target receives hostile action',100,2,3),
(159502,10124232,'5% chance to dispel when target takes damage',100,2,4),
(159503,10124232,'Increases Mitigation of caster vs physical damage by 966',100,1,5),
(159504,122077,'Increases STA and INT of group members (AE) by 11.4',100,1,0),
(159505,10122077,'Increases STA and INT of group members (AE) by 11.4',100,1,0),
(159506,89861,'When Equipped:',100,0,0),
(159507,89861,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(159508,10089861,'When Equipped:',100,0,0),
(159509,10089861,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(159510,180599,'When Equipped:',100,0,0),
(159511,180599,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(159512,10180599,'When Equipped:',100,0,0),
(159513,10180599,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(159514,111536,'Increases Hate Gain of target by 21.8%',100,1,0),
(159515,111536,'Increases Aggression of target by 13.4',100,1,1),
(159516,10111536,'Increases STR of target by 34.4',100,1,0),
(159517,10111536,'Increases Aggression of target by 13.4',100,1,1),
(159518,36328,'Increases STR and STA of target by 5.4',100,0,0),
(159519,36328,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(159520,36328,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(159521,124109,'Increases power of caster by 114',100,1,0),
(159522,10124109,'Increases power of caster by 114',100,1,0),
(159523,82790,'When Equipped:',100,0,0),
(159524,82790,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159525,82790,'Inflicts 365 - 678 magic damage on target',100,2,2),
(159526,82790,'Decreases Threat to target by 1,174 ',100,2,3),
(159527,82790,'Must be flanking or behind',100,3,4),
(159528,82790,'Increases Threat to target by 1,174 ',100,2,5),
(159529,82790,'Must be in front of',100,3,6),
(159530,82790,'Cannot be modified except by direct means',100,2,7),
(159531,10082790,'When Equipped:',100,0,0),
(159532,10082790,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159533,10082790,'Inflicts 474 - 881 magic damage on target',100,2,2),
(159534,10082790,'Cannot be modified except by direct means',100,2,3),
(159535,49160,'Applies noxious remedy when Activated.',100,0,0),
(159536,49160,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(159537,10049160,'Applies noxious remedy when Activated.',100,0,0),
(159538,10049160,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(159539,109704,'Inflicts 486 - 594 cold damage on target instantly and every 3 seconds',100,1,0),
(159540,10109704,'Inflicts 632 - 772 cold damage on target instantly and every 3 seconds',100,1,0),
(159541,102013,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(159542,102013,'Wards target against 308 points of all damage',100,2,1),
(159543,10102013,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(159544,10102013,'Wards target against 308 points of all damage',100,2,1),
(159545,121516,'Inflicts 280 - 466 melee damage on target',100,1,0),
(159546,121516,'Stuns target',100,1,1),
(159547,121516,'If Target is not Epic',100,2,2),
(159548,121516,'Resistibility increases against targets higher than level 59.',100,1,3),
(159549,10121516,'Inflicts 364 - 606 melee damage on target',100,1,0),
(159550,10121516,'Stuns target',100,1,1),
(159551,10121516,'If Target is not Epic',100,2,2),
(159552,10121516,'Resistibility increases against targets higher than level 59.',100,1,3),
(159553,24760,'Adds Wolf (Fury) to your Dungeon Maker toolbox',100,0,0),
(159554,10024760,'Adds Wolf (Fury) to your Dungeon Maker toolbox',100,0,0),
(159555,122795,'Heals target for 906',100,1,0),
(159556,10122795,'Heals target for 707',100,1,0),
(159557,37100,'Increases STR of target by 1.5',100,0,0),
(159558,37100,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(159559,119523,'Increases threat priority of target by 2 positions',100,1,0),
(159560,119523,'Stuns caster',100,1,1),
(159561,119523,'Decreases Defense and Parry of caster by 216.0',100,1,2),
(159562,119523,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(159563,119523,'Inflicts 1834 - 3057 piercing damage on target',100,2,4),
(159564,119523,'Grants a total of 1 trigger of the spell.',100,2,5),
(159565,10119523,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(159566,10119523,'Prevents target from changing targets',100,2,1),
(159567,10119523,'Forces target to change their selected target to caster.',100,2,2),
(159568,10119523,'Stuns caster',100,1,3),
(159569,10119523,'Decreases Defense and Parry of caster by 216.0',100,1,4),
(159570,10119523,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(159571,10119523,'Inflicts 1702 - 2836 piercing damage on target',100,2,6),
(159572,10119523,'Grants a total of 1 trigger of the spell.',100,2,7),
(159573,106993,'Inflicts 1755 - 3259 poison damage on target',100,1,0),
(159574,106993,'Increases power of caster by 122',100,1,1),
(159575,10106993,'Inflicts 2281 - 4237 poison damage on target',100,1,0),
(159576,10106993,'Increases power of caster by 122',100,1,1),
(159577,121744,'Causes 12% Threat to transfer to target when in combat',100,1,0),
(159578,10121744,'Applies Swarthy Distraction.',100,1,0),
(159579,10121744,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(159580,10121744,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(159581,112858,'Roots target',100,1,0),
(159582,112858,'5% chance to dispel when target takes damage',100,1,1),
(159583,112858,'Does not affect Epic targets',100,1,2),
(159584,112858,'Resistibility increases against targets higher than level 115.',100,1,3),
(159585,10112858,'Roots target',100,1,0),
(159586,10112858,'5% chance to dispel when target takes damage',100,1,1),
(159587,10112858,'Does not affect Epic targets',100,1,2),
(159588,10112858,'Resistibility increases against targets higher than level 115.',100,1,3),
(159589,82869,'When Equipped:',100,0,0),
(159590,82869,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159591,82869,'Inflicts 350 - 650 magic damage on target',100,2,2),
(159592,82869,'Decreases Threat to target by 833 ',100,2,3),
(159593,82869,'Must be flanking or behind',100,3,4),
(159594,82869,'Increases Threat to target by 833 ',100,2,5),
(159595,82869,'Must be in front of',100,3,6),
(159596,82869,'Cannot be modified except by direct means',100,2,7),
(159597,10082869,'When Equipped:',100,0,0),
(159598,10082869,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159599,10082869,'Inflicts 455 - 845 magic damage on target',100,2,2),
(159600,10082869,'Cannot be modified except by direct means',100,2,3),
(159601,104219,'Inflicts 116 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(159602,104219,'Decreases WIS of target encounter by 50.1',100,1,1),
(159603,10104219,'Inflicts 151 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(159604,10104219,'Decreases WIS of target encounter by 50.1',100,1,1),
(159605,115505,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(159606,115505,'Increases Mitigation of group members (AE) vs noxious damage by 660',100,1,1),
(159607,10115505,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(159608,10115505,'Increases Mitigation of group members (AE) vs noxious damage by 660',100,1,1),
(159609,123725,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(159610,10123725,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(159611,36945,'Increases STR of target by 1.5',100,0,0),
(159612,36945,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(159613,81738,'When Equipped:',100,0,0),
(159614,81738,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159615,81738,'Inflicts 164 - 305 magic damage on target',100,2,2),
(159616,81738,'Decreases Threat to target by 487 ',100,2,3),
(159617,81738,'Must be flanking or behind',100,3,4),
(159618,81738,'Increases Threat to target by 487 ',100,2,5),
(159619,81738,'Must be in front of',100,3,6),
(159620,81738,'Cannot be modified except by direct means',100,2,7),
(159621,10081738,'When Equipped:',100,0,0),
(159622,10081738,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159623,10081738,'Inflicts 213 - 396 magic damage on target',100,2,2),
(159624,10081738,'Cannot be modified except by direct means',100,2,3),
(159625,110243,'Inflicts 171 - 285 melee damage on target',100,1,0),
(159626,110243,'Slows target by 59.5%',100,1,1),
(159627,110243,'5% chance to dispel when target receives hostile action',100,1,2),
(159628,110243,'5% chance to dispel when target takes damage',100,1,3),
(159629,10110243,'Inflicts 222 - 371 melee damage on target',100,1,0),
(159630,10110243,'Slows target by 59.5%',100,1,1),
(159631,10110243,'5% chance to dispel when target receives hostile action',100,1,2),
(159632,10110243,'5% chance to dispel when target takes damage',100,1,3),
(159633,123917,'Increases STR and WIS of target by 28.8',100,1,0),
(159634,123917,'Increases Mitigation of target vs elemental, noxious and arcane damage by 86',100,1,1),
(159635,10123917,'Increases STR and WIS of target by 28.8',100,1,0),
(159636,10123917,'Increases Mitigation of target vs elemental, noxious and arcane damage by 86',100,1,1),
(159637,36881,'Increases STR of target by 1.5',100,0,0),
(159638,36881,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(159639,36994,'Increases AGI of target by 1.5',100,0,0),
(159640,36994,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(159641,117948,'Heals target for 274 - 335',100,1,0),
(159642,117948,'Increases Max Health of target by 33.1',100,1,1),
(159643,10117948,'Heals target for 314 - 384',100,1,0),
(159644,10117948,'Increases Max Health of target by 33.1',100,1,1),
(159645,48976,'Applies Release Spirits when Activated.',100,0,0),
(159646,10048976,'Applies Release Spirits when Activated.',100,0,0),
(159647,113225,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(159648,113225,'Inflicts 241 magic damage on target',100,2,1),
(159649,113225,'Grants a total of 5 triggers of the spell.',100,2,2),
(159650,10113225,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(159651,10113225,'Inflicts 314 magic damage on target',100,2,1),
(159652,10113225,'Grants a total of 5 triggers of the spell.',100,2,2),
(159653,107544,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(159654,107544,'Decreases Mitigation of target encounter vs elemental and noxious damage by 952',100,1,1),
(159655,10107544,'Decreases Max Health of target encounter by 2.1%',100,1,0),
(159656,10107544,'Decreases Mitigation of target encounter vs elemental and noxious damage by 952',100,1,1),
(159657,122085,'Increases STA and INT of group members (AE) by 37.2',100,1,0),
(159658,10122085,'Increases STA and INT of group members (AE) by 37.2',100,1,0),
(159659,111264,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(159660,111264,'Heals target for 1313',100,2,1),
(159661,111264,'Increases Mitigation of target vs physical damage by 828',100,2,2),
(159662,111264,'Grants a total of 1 trigger of the spell.',100,2,3),
(159663,10111264,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(159664,10111264,'Heals target for 853',100,2,1),
(159665,10111264,'Increases Mitigation of target vs physical damage by 828',100,2,2),
(159666,10111264,'Grants a total of 1 trigger of the spell.',100,2,3),
(159667,72319,'When Equipped:',100,0,0),
(159668,72319,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159669,72319,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(159670,72319,'Cannot be modified except by direct means',100,2,3),
(159671,10072319,'When Equipped:',100,0,0),
(159672,10072319,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159673,10072319,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(159674,10072319,'Cannot be modified except by direct means',100,2,3),
(159675,111087,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(159676,111087,'Slows target by 72.3%',100,2,1),
(159677,111087,'5% chance to dispel when target receives hostile action',100,2,2),
(159678,111087,'5% chance to dispel when target takes damage',100,2,3),
(159679,111087,'Decreases Mitigation of target vs elemental damage by 2640',100,1,4),
(159680,10111087,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(159681,10111087,'Slows target by 72.3%',100,2,1),
(159682,10111087,'5% chance to dispel when target receives hostile action',100,2,2),
(159683,10111087,'5% chance to dispel when target takes damage',100,2,3),
(159684,10111087,'Decreases Mitigation of target vs elemental damage by 2640',100,1,4),
(159685,47603,'Applies Sharp when Activated.  Lasts for 15 minutes.',100,0,0),
(159686,47603,'Increases Max Power of caster by 97.5',100,1,1),
(159687,10047603,'Applies Sharp when Activated.  Lasts for 15 minutes.',100,0,0),
(159688,10047603,'Increases Max Power of caster by 97.5',100,1,1),
(159689,159366,'Applies Lambent Imbued when Equipped.',100,0,0),
(159690,159366,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(159691,159366,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(159692,159366,'Cannot be modified except by direct means',100,2,3),
(159693,10159366,'Applies Lambent Imbued when Equipped.',100,0,0),
(159694,10159366,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(159695,10159366,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(159696,10159366,'Cannot be modified except by direct means',100,2,3),
(159697,187263,'When Equipped:',100,0,0),
(159698,187263,'Increases Attack Speed of caster by 35.0',100,1,1),
(159699,10187263,'When Equipped:',100,0,0),
(159700,10187263,'Increases Attack Speed of caster by 35.0',100,1,1),
(159701,119906,'Stifles target',100,1,0),
(159702,119906,'Inflicts 68 - 83 mental damage on target',100,1,1),
(159703,119906,'Inflicts 23 - 28 mental damage on target every 1.3 seconds',100,1,2),
(159704,119906,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,3),
(159705,119906,'Resistibility increases against targets higher than level 45.',100,1,4),
(159706,10119906,'Stifles target',100,1,0),
(159707,10119906,'Inflicts 88 - 107 mental damage on target',100,1,1),
(159708,10119906,'Inflicts 29 - 36 mental damage on target every second',100,1,2),
(159709,10119906,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(159710,10119906,'Resistibility increases against targets higher than level 45.',100,1,4),
(159711,137435,'When Equipped:',100,0,0),
(159712,137435,'Increases Attack Speed of caster by 45.0',100,1,1),
(159713,10137435,'When Equipped:',100,0,0),
(159714,10137435,'Increases Attack Speed of caster by 45.0',100,1,1),
(159715,117302,'Roots target',100,1,0),
(159716,117302,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(159717,117302,'Slows target by 31.0%',100,2,2),
(159718,117302,'5% chance to dispel when target receives hostile action',100,2,3),
(159719,117302,'5% chance to dispel when target takes damage',100,2,4),
(159720,117302,'15% chance to dispel when target takes damage',100,1,5),
(159721,117302,'Does not affect Epic targets',100,1,6),
(159722,117302,'Resistibility increases against targets higher than level 34.',100,1,7),
(159723,10117302,'Roots target',100,1,0),
(159724,10117302,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(159725,10117302,'Slows target by 31.0%',100,2,2),
(159726,10117302,'10% chance to dispel when target receives hostile action',100,2,3),
(159727,10117302,'10% chance to dispel when target takes damage',100,2,4),
(159728,10117302,'15% chance to dispel when target takes damage',100,1,5),
(159729,10117302,'Does not affect Epic targets',100,1,6),
(159730,10117302,'Resistibility increases against targets higher than level 34.',100,1,7),
(159731,35957,'Increases STR of target by 1.5',100,0,0),
(159732,35957,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(159733,141760,'When Equipped:',100,0,0),
(159734,141760,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159735,141760,'Increases INT of caster by 5.5',100,2,2),
(159736,141760,'Increases Subjugation, Disruption and Focus of caster by 3.6',100,2,3),
(159737,141760,'Cannot be modified except by direct means',100,2,4),
(159738,10141760,'When Equipped:',100,0,0),
(159739,10141760,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159740,10141760,'Increases INT of caster by 5.5',100,2,2),
(159741,10141760,'Increases Subjugation, Disruption and Focus of caster by 3.6',100,2,3),
(159742,10141760,'Cannot be modified except by direct means',100,2,4),
(159743,163571,'When Equipped:',100,0,0),
(159744,163571,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(159745,163571,'Heals caster for 184 instantly and every 5 seconds',100,2,2),
(159746,163571,'Cannot be modified except by direct means',100,2,3),
(159747,10163571,'When Equipped:',100,0,0),
(159748,10163571,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(159749,10163571,'Heals caster for 120 instantly and every 5 seconds',100,2,2),
(159750,10163571,'Cannot be modified except by direct means',100,2,3),
(159751,52715,'Applies Sanguine Imbued when Equipped.',100,0,0),
(159752,52715,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(159753,52715,'Inflicts 59 heat damage on target',100,2,2),
(159754,52715,'Cannot be modified except by direct means',100,2,3),
(159755,10052715,'Applies Sanguine Imbued when Equipped.',100,0,0),
(159756,10052715,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(159757,10052715,'Inflicts 77 heat damage on target',100,2,2),
(159758,10052715,'Cannot be modified except by direct means',100,2,3),
(159759,118248,'Increases Threat to target encounter by 51 - 62 ',100,1,0),
(159760,118248,'Decreases Mitigation of target encounter vs arcane damage by 109',100,1,1),
(159761,10118248,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(159762,10118248,'Prevents target from changing targets',100,2,1),
(159763,10118248,'Forces target to change their selected target to caster.',100,2,2),
(159764,10118248,'Decreases Mitigation of target encounter vs arcane damage by 109',100,1,3),
(159765,160560,'When Equipped:',100,0,0),
(159766,160560,'Increases damage done by combat arts by up to 45.',100,1,1),
(159767,10160560,'When Equipped:',100,0,0),
(159768,10160560,'Increases damage done by combat arts by up to 45.',100,1,1),
(159769,37243,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(159770,80396,'When Equipped:',100,0,0),
(159771,80396,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159772,80396,'Inflicts 70 - 131 magic damage on target',100,2,2),
(159773,80396,'Decreases Threat to target by 153 ',100,2,3),
(159774,80396,'Must be flanking or behind',100,3,4),
(159775,80396,'Increases Threat to target by 153 ',100,2,5),
(159776,80396,'Must be in front of',100,3,6),
(159777,80396,'Cannot be modified except by direct means',100,2,7),
(159778,10080396,'When Equipped:',100,0,0),
(159779,10080396,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(159780,10080396,'Inflicts 91 - 170 magic damage on target',100,2,2),
(159781,10080396,'Cannot be modified except by direct means',100,2,3),
(159782,116825,'Decreases Hate Gain of caster by 13.1%',100,1,0),
(159783,10116825,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(159784,10116825,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(159785,10116825,'This effect can only trigger once every 5 seconds.',100,2,2),
(159786,41789,'When Equipped:',100,0,0),
(159787,41789,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159788,41789,'Inflicts 83 - 102 poison damage on target instantly and every 4.8 seconds',100,2,2),
(159789,41789,'Cannot be modified except by direct means',100,2,3),
(159790,10041789,'When Equipped:',100,0,0),
(159791,10041789,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(159792,10041789,'Inflicts 108 - 132 poison damage on target instantly and every 4.8 seconds',100,2,2),
(159793,10041789,'Cannot be modified except by direct means',100,2,3),
(159794,118075,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(159795,118075,'Increases Defense of caster by 9.7',100,1,1),
(159796,10118075,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(159797,10118075,'Increases Defense of caster by 9.7',100,1,1),
(159798,114686,'Increases Threat to target by 985 - 1,205 ',100,1,0),
(159799,114686,'Interrupts target',100,1,1),
(159800,10114686,'Interrupts target',100,1,0),
(159801,10114686,'Forces target to change their selected target to caster.',100,1,1),
(159802,10114686,'Prevents target from changing targets',100,1,2),
(159803,102415,'Inflicts 1352 - 2510 melee damage on targets in area',100,1,0),
(159804,10102415,'Inflicts 1757 - 3264 melee damage on targets in area',100,1,0),
(159805,117686,'Decreases Mitigation of target vs physical damage by 805',100,1,0),
(159806,10117686,'Decreases Mitigation of target vs physical damage by 402',100,1,0),
(159807,48462,'Applies Thinning Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(159808,48462,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(159809,48462,'Stifles target',100,2,2),
(159810,48462,'If Target is not Epic',100,3,3),
(159811,48462,'Cannot be modified except by direct means',100,2,4),
(159812,48462,'Grants a total of 4 triggers of the spell.',100,2,5),
(159813,48462,'Only affects targets level 50 and above',100,1,6),
(159814,10048462,'Applies Thinning Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(159815,10048462,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(159816,10048462,'Stifles target',100,2,2),
(159817,10048462,'If Target is not Epic',100,3,3),
(159818,10048462,'Cannot be modified except by direct means',100,2,4),
(159819,10048462,'Grants a total of 4 triggers of the spell.',100,2,5),
(159820,10048462,'Only affects targets level 50 and above',100,1,6),
(159821,144596,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(159822,144596,'Decreases INT, AGI, WIS and STR of target by 45.5',100,1,1),
(159823,144596,'Decreases Max Health of target by 1.0%',100,1,2),
(159824,144596,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(159825,10144596,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(159826,10144596,'Decreases INT, AGI, WIS and STR of target by 45.5',100,1,1),
(159827,10144596,'Decreases Max Health of target by 1.0%',100,1,2),
(159828,10144596,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(159829,173416,'When Equipped:',100,0,0),
(159830,173416,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159831,173416,'Increases Potency of group members by 7.0%',100,2,2),
(159832,173416,'Cannot be modified except by direct means',100,2,3),
(159833,173416,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(159834,173416,'Increases Potency of group members by 7.0%',100,2,5),
(159835,173416,'Cannot be modified except by direct means',100,2,6),
(159836,173416,'Cannot be modified except by direct means',100,1,7),
(159837,10173416,'When Equipped:',100,0,0),
(159838,10173416,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159839,10173416,'Increases Potency of group members by 7.0%',100,2,2),
(159840,10173416,'Cannot be modified except by direct means',100,2,3),
(159841,10173416,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(159842,10173416,'Increases Potency of group members by 7.0%',100,2,5),
(159843,10173416,'Cannot be modified except by direct means',100,2,6),
(159844,10173416,'Cannot be modified except by direct means',100,1,7),
(159845,36412,'Increases Max Power of target by 3.3',100,0,0),
(159846,36412,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(159847,123893,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(159848,123893,'Slows target by 52.1%',100,2,1),
(159849,123893,'5% chance to dispel when target receives hostile action',100,2,2),
(159850,123893,'5% chance to dispel when target takes damage',100,2,3),
(159851,123893,'Decreases Mitigation of target vs elemental and noxious damage by 504',100,1,4),
(159852,10123893,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(159853,10123893,'Slows target by 52.1%',100,2,1),
(159854,10123893,'5% chance to dispel when target receives hostile action',100,2,2),
(159855,10123893,'5% chance to dispel when target takes damage',100,2,3),
(159856,10123893,'Decreases Mitigation of target vs elemental and noxious damage by 504',100,1,4),
(159857,153787,'When Equipped:',100,0,0),
(159858,153787,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle VI on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(159859,153787,'Heals caster for 550 - 672',100,2,2),
(159860,153787,'Increases Mitigation of caster vs physical damage by 715',100,2,3),
(159861,153787,'Must not be engaged in pvp combat',100,2,4),
(159862,153787,'Cannot be modified except by direct means',100,2,5),
(159863,153787,'Must not be engaged in pvp combat',100,1,6),
(159864,10153787,'When Equipped:',100,0,0),
(159865,10153787,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle VI on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(159866,10153787,'Heals caster for 358 - 437',100,2,2),
(159867,10153787,'Increases Mitigation of caster vs physical damage by 715',100,2,3),
(159868,10153787,'Must not be engaged in pvp combat',100,2,4),
(159869,10153787,'Cannot be modified except by direct means',100,2,5),
(159870,10153787,'Must not be engaged in pvp combat',100,1,6),
(159871,51488,'When Equipped:',100,0,0),
(159872,51488,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159873,51488,'Increases WIS and INT of caster by 44.0',100,2,2),
(159874,51488,'Increases Ability Casting Speed of caster by 1.5%',100,2,3),
(159875,51488,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(159876,51488,'Must not be engaged in pvp combat',100,2,5),
(159877,51488,'Cannot be modified except by direct means',100,2,6),
(159878,51488,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(159879,51488,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(159880,51488,'Increases WIS and INT of caster by 44.0',100,2,9),
(159881,51488,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(159882,51488,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(159883,51488,'Must not be engaged in pvp combat',100,2,12),
(159884,51488,'Cannot be modified except by direct means',100,2,13),
(159885,51488,'Cannot be modified except by direct means',100,1,14),
(159886,10051488,'When Equipped:',100,0,0),
(159887,10051488,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(159888,10051488,'Increases WIS and INT of caster by 44.0',100,2,2),
(159889,10051488,'Increases Ability Casting Speed of caster by 1.5%',100,2,3),
(159890,10051488,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(159891,10051488,'Must not be engaged in pvp combat',100,2,5),
(159892,10051488,'Cannot be modified except by direct means',100,2,6),
(159893,10051488,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(159894,10051488,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(159895,10051488,'Increases WIS and INT of caster by 44.0',100,2,9),
(159896,10051488,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(159897,10051488,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(159898,10051488,'Must not be engaged in pvp combat',100,2,12),
(159899,10051488,'Cannot be modified except by direct means',100,2,13),
(159900,10051488,'Cannot be modified except by direct means',100,1,14),
(159901,190882,'When Equipped:',100,0,0),
(159902,190882,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(159903,190882,'Heals group members for 571',100,2,2),
(159904,190882,'Cannot be modified except by direct means',100,2,3),
(159905,10190882,'When Equipped:',100,0,0),
(159906,10190882,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(159907,10190882,'Heals group members for 371',100,2,2),
(159908,10190882,'Cannot be modified except by direct means',100,2,3),
(159909,122234,'Increases Damage Per Second of target by 40.3',100,1,0),
(159910,122234,'Increases Max Health of target by 1,456.8',100,1,1),
(159911,10122234,'Increases Damage Per Second of target by 40.3',100,1,0),
(159912,10122234,'Increases Max Health of target by 1,456.8',100,1,1),
(159913,119176,'Inflicts 58 - 97 heat damage on target',100,1,0),
(159914,119176,'Inflicts 58 - 97 heat damage on target',100,1,1),
(159915,119176,'Requires bow',100,1,2),
(159916,10119176,'Inflicts 66 - 111 heat damage on target',100,1,0),
(159917,10119176,'Inflicts 66 - 111 heat damage on target',100,1,1),
(159918,10119176,'Requires bow',100,1,2),
(159919,119149,'Inflicts 9 - 17 heat damage on target instantly and every 3 seconds',100,1,0),
(159920,10119149,'Inflicts 12 - 22 heat damage on target instantly and every 3 seconds',100,1,0),
(159921,124461,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(159922,124461,'Inflicts 474 - 790 melee damage on target',100,2,1),
(159923,124461,'Decreases Defense of caster by 25.8',100,1,2),
(159924,124461,'Increases Slashing, Piercing, Ranged and Crushing of caster by 46.8',100,1,3),
(159925,10124461,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(159926,10124461,'Inflicts 616 - 1027 melee damage on target',100,2,1),
(159927,10124461,'Decreases Defense of caster by 25.8',100,1,2),
(159928,10124461,'Increases Slashing, Piercing, Ranged and Crushing of caster by 46.8',100,1,3),
(159929,111214,'Applies Holy Ground.',100,1,0),
(159930,111214,'Increases threat priority of targets in Area of Effect by 1 position',100,2,1),
(159931,111214,'Increases Threat to targets in Area of Effect by 2,435 - 2,976 ',100,2,2),
(159932,111214,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',100,1,3),
(159933,111214,'Inflicts 368 - 449 divine damage on target',100,2,4),
(159934,111214,'Increases Threat to target by 1,035 - 1,265 ',100,2,5),
(159935,10111214,'Applies Holy Ground.',100,1,0),
(159936,10111214,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  Lasts for 3.0 seconds.  ',100,1,1),
(159937,10111214,'Prevents target from changing targets',100,2,2),
(159938,10111214,'Inflicts 241 divine damage on target',100,2,3),
(159939,10111214,'Forces target to change their selected target to caster.',100,2,4),
(159940,102141,'Inflicts 144 - 240 melee damage on target',100,1,0),
(159941,102141,'Inflicts 144 - 240 melee damage on target',100,1,1),
(159942,10102141,'Inflicts 187 - 312 melee damage on target',100,1,0),
(159943,10102141,'Inflicts 187 - 312 melee damage on target',100,1,1),
(159944,84600,'When Equipped:',100,0,0),
(159945,84600,'On a melee hit this spell may cast Obsidian Shatterstorm on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(159946,84600,'Inflicts 8576 - 12864 crushing damage on target',100,2,2),
(159947,84600,'Increases Crit Bonus of caster by 15.0%',100,2,3),
(159948,84600,'Increases Multi Attack Chance of caster by 15.0',100,2,4),
(159949,84600,'Cannot be modified except by direct means',100,2,5),
(159950,10084600,'When Equipped:',100,0,0),
(159951,10084600,'On a melee hit this spell may cast Obsidian Shatterstorm on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(159952,10084600,'Inflicts 3484 crushing damage on target',100,2,2),
(159953,10084600,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(159954,10084600,'Increases Multi Attack Chance of caster by 5.0',100,2,4),
(159955,10084600,'Cannot be modified except by direct means',100,2,5),
(159956,106671,'Heals caster for 38.6 - 47.2% of max health',100,1,0),
(159957,106671,'This effect cannot be critically applied.',100,2,1),
(159958,106671,'Increases Max Health of caster by 286.0',100,1,2),
(159959,106671,'The healing of this spell cannot be modified except by direct means',100,1,3),
(159960,10106671,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(159961,10106671,'This effect cannot be critically applied.',100,2,1),
(159962,10106671,'Increases Max Health of caster by 286.0',100,1,2),
(159963,10106671,'The healing of this spell cannot be modified except by direct means',100,1,3),
(159964,141673,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(159965,141673,'Decreases Attack Speed of target by 13.5',100,1,1),
(159966,141673,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(159967,10141673,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(159968,10141673,'Decreases Attack Speed of target by 13.5',100,1,1),
(159969,10141673,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(159970,181076,'When Equipped:',100,0,0),
(159971,181076,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(159972,181076,'Stuns target',100,2,2),
(159973,181076,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(159974,181076,'Resistibility increases against targets higher than level 44.',100,2,4),
(159975,181076,'Cannot be modified except by direct means',100,2,5),
(159976,10181076,'When Equipped:',100,0,0),
(159977,10181076,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(159978,10181076,'Stuns target',100,2,2),
(159979,10181076,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(159980,10181076,'Resistibility increases against targets higher than level 44.',100,2,4),
(159981,10181076,'Cannot be modified except by direct means',100,2,5),
(159982,122684,'Decreases Defense of target by 32.4',100,1,0),
(159983,122684,'Decreases Mitigation of target vs physical damage by 612',100,1,1),
(159984,10122684,'Decreases Defense of target by 32.4',100,1,0),
(159985,10122684,'Decreases Mitigation of target vs physical damage by 612',100,1,1),
(159986,112792,'Inflicts 232 - 386 slashing damage on target',100,1,0),
(159987,112792,'Stifles target',100,1,1),
(159988,112792,'If Target is not Epic',100,2,2),
(159989,112792,'You must be in stealth.',100,1,3),
(159990,112792,'Resistibility increases against targets higher than level 49.',100,1,4),
(159991,10112792,'Inflicts 301 - 503 slashing damage on target',100,1,0),
(159992,10112792,'Stifles target',100,1,1),
(159993,10112792,'If Target is not Epic',100,2,2),
(159994,10112792,'You must be in stealth.',100,1,3),
(159995,10112792,'Resistibility increases against targets higher than level 49.',100,1,4),
(159996,81474,'When Equipped:',100,0,0),
(159997,81474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(159998,81474,'Inflicts 121 - 225 magic damage on target',100,2,2),
(159999,81474,'Cannot be modified except by direct means',100,2,3),
(160000,10081474,'When Equipped:',100,0,0),
(160001,10081474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160002,10081474,'Inflicts 157 - 292 magic damage on target',100,2,2),
(160003,10081474,'Cannot be modified except by direct means',100,2,3),
(160004,121826,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(160005,121826,'Increases Mitigation of group members (AE) vs arcane damage by 525',100,1,1),
(160006,10121826,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(160007,10121826,'Increases Mitigation of group members (AE) vs arcane damage by 525',100,1,1),
(160008,80662,'When Equipped:',100,0,0),
(160009,80662,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160010,80662,'Inflicts 83 - 154 magic damage on target',100,2,2),
(160011,80662,'Decreases Threat to target by 236 ',100,2,3),
(160012,80662,'Must be flanking or behind',100,3,4),
(160013,80662,'Increases Threat to target by 236 ',100,2,5),
(160014,80662,'Must be in front of',100,3,6),
(160015,80662,'Cannot be modified except by direct means',100,2,7),
(160016,10080662,'When Equipped:',100,0,0),
(160017,10080662,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160018,10080662,'Inflicts 108 - 200 magic damage on target',100,2,2),
(160019,10080662,'Cannot be modified except by direct means',100,2,3),
(160020,121613,'Inflicts 204 - 613 melee damage on target',100,1,0),
(160021,121613,'Dazes target',100,1,1),
(160022,121613,'If Target is not Epic',100,2,2),
(160023,121613,'Must be flanking or behind',100,1,3),
(160024,121613,'Resistibility increases against targets higher than level 61.',100,1,4),
(160025,10121613,'Inflicts 265 - 796 melee damage on target',100,1,0),
(160026,10121613,'Dazes target',100,1,1),
(160027,10121613,'If Target is not Epic',100,2,2),
(160028,10121613,'Must be flanking or behind',100,1,3),
(160029,10121613,'Resistibility increases against targets higher than level 61.',100,1,4),
(160030,183304,'When Equipped:',100,0,0),
(160031,183304,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(160032,183304,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(160033,183304,'Cannot be modified except by direct means',100,2,3),
(160034,10183304,'When Equipped:',100,0,0),
(160035,10183304,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(160036,10183304,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(160037,10183304,'Cannot be modified except by direct means',100,2,3),
(160038,46922,'Applies Burn when Activated.',100,0,0),
(160039,10046922,'Applies Burn when Activated.',100,0,0),
(160040,37262,'Increases AGI of target by 1.5',100,0,0),
(160041,37262,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(160042,164603,'Applies Unstable Magics when Equipped.',100,0,0),
(160043,164603,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(160044,10164603,'Applies Unstable Magics when Equipped.',100,0,0),
(160045,10164603,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(160046,124377,'Inflicts 378 - 463 divine damage on target',100,1,0),
(160047,124377,'Inflicts 158 - 193 divine damage on target every 4 seconds',100,1,1),
(160048,10124377,'Inflicts 492 - 601 divine damage on target',100,1,0),
(160049,10124377,'Inflicts 205 - 251 divine damage on target every 4 seconds',100,1,1),
(160050,102096,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(160051,102096,'Blurs vision of target',100,2,1),
(160052,102096,'Stuns target',100,2,2),
(160053,102096,'Throws target back',100,2,3),
(160054,102096,'Does not affect Epic targets',100,2,4),
(160055,102096,'Inflicts 116 - 194 crushing damage on target',100,1,5),
(160056,10102096,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(160057,10102096,'Stuns target',100,2,1),
(160058,10102096,'Throws target back',100,2,2),
(160059,10102096,'Blurs vision of target',100,2,3),
(160060,10102096,'Does not affect Epic targets',100,2,4),
(160061,10102096,'Inflicts 151 - 252 crushing damage on target',100,1,5),
(160062,123389,'Heals group members (AE) for 1761 - 2152',100,1,0),
(160063,10123389,'Heals group members (AE) for 3855 - 4711',100,1,0),
(160064,158732,'When Equipped:',100,0,0),
(160065,158732,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(160066,158732,'Wards caster against 1250 points of all damage',100,2,2),
(160067,158732,'Cannot be modified except by direct means',100,2,3),
(160068,158732,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(160069,158732,'Wards caster against 1250 points of all damage',100,2,5),
(160070,158732,'Cannot be modified except by direct means',100,2,6),
(160071,10158732,'When Equipped:',100,0,0),
(160072,10158732,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(160073,10158732,'Wards caster against 625 points of all damage',100,2,2),
(160074,10158732,'Cannot be modified except by direct means',100,2,3),
(160075,10158732,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(160076,10158732,'Wards caster against 625 points of all damage',100,2,5),
(160077,10158732,'Cannot be modified except by direct means',100,2,6),
(160078,159304,'When Equipped:',100,0,0),
(160079,159304,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160080,159304,'Increases STR of caster by 19.3',100,2,2),
(160081,159304,'Increases Damage Per Second of caster by 22.8',100,2,3),
(160082,159304,'Cannot be modified except by direct means',100,2,4),
(160083,10159304,'When Equipped:',100,0,0),
(160084,10159304,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160085,10159304,'Increases STR of caster by 19.3',100,2,2),
(160086,10159304,'Increases Damage Per Second of caster by 22.8',100,2,3),
(160087,10159304,'Cannot be modified except by direct means',100,2,4),
(160088,84257,'Applies Mental Blast when Activated.',100,0,0),
(160089,84257,'Inflicts 505 - 842 mental damage on target',100,1,1),
(160090,84257,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160091,10084257,'Applies Mental Blast when Activated.',100,0,0),
(160092,10084257,'Inflicts 657 - 1094 mental damage on target',100,1,1),
(160093,10084257,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160094,114217,'Inflicts 15 - 19 mental damage on target',100,1,0),
(160095,114217,'Stuns target',100,1,1),
(160096,114217,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(160097,114217,'Resistibility increases against targets higher than level 31.',100,1,3),
(160098,10114217,'Inflicts 20 - 24 mental damage on target',100,1,0),
(160099,10114217,'Requires not being affected by Mesmerize effects.',100,2,1),
(160100,10114217,'Stuns target',100,1,2),
(160101,10114217,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(160102,10114217,'Resistibility increases against targets higher than level 31.',100,1,4),
(160103,37588,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(160104,104306,'Inflicts 335 - 559 melee damage on target',100,1,0),
(160105,104306,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(160106,104306,'Blurs vision of target',100,2,2),
(160107,104306,'Stuns target',100,2,3),
(160108,104306,'Throws target back',100,2,4),
(160109,104306,'Does not affect Epic targets',100,2,5),
(160110,10104306,'Inflicts 436 - 727 melee damage on target',100,1,0),
(160111,10104306,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(160112,10104306,'Stuns target',100,2,2),
(160113,10104306,'Throws target back',100,2,3),
(160114,10104306,'Blurs vision of target',100,2,4),
(160115,10104306,'Does not affect Epic targets',100,2,5),
(160116,141864,'When Equipped:',100,0,0),
(160117,141864,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160118,141864,'Increases WIS of caster by 12.2',100,2,2),
(160119,141864,'Increases Focus, Ordination and Ministration of caster by 7.2',100,2,3),
(160120,141864,'Cannot be modified except by direct means',100,2,4),
(160121,10141864,'When Equipped:',100,0,0),
(160122,10141864,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160123,10141864,'Increases WIS of caster by 12.2',100,2,2),
(160124,10141864,'Increases Focus, Ordination and Ministration of caster by 7.2',100,2,3),
(160125,10141864,'Cannot be modified except by direct means',100,2,4),
(160126,81803,'When Equipped:',100,0,0),
(160127,81803,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160128,81803,'Inflicts 164 - 305 magic damage on target',100,2,2),
(160129,81803,'Decreases Threat to target by 487 ',100,2,3),
(160130,81803,'Must be flanking or behind',100,3,4),
(160131,81803,'Increases Threat to target by 487 ',100,2,5),
(160132,81803,'Must be in front of',100,3,6),
(160133,81803,'Cannot be modified except by direct means',100,2,7),
(160134,10081803,'When Equipped:',100,0,0),
(160135,10081803,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160136,10081803,'Inflicts 213 - 396 magic damage on target',100,2,2),
(160137,10081803,'Cannot be modified except by direct means',100,2,3),
(160138,48368,'Applies Tainted Treespirit Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(160139,48368,'Tainted Treespirit Potion',100,1,1),
(160140,10048368,'Applies Tainted Treespirit Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(160141,10048368,'Tainted Treespirit Potion',100,1,1),
(160142,75551,'Applies Disease Blast when Activated.',100,0,0),
(160143,75551,'Inflicts 195 - 325 disease damage on target',100,1,1),
(160144,75551,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160145,10075551,'Applies Disease Blast when Activated.',100,0,0),
(160146,10075551,'Inflicts 253 - 422 disease damage on target',100,1,1),
(160147,10075551,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160148,124627,'Heals group members (AE) for 513 - 627',100,1,0),
(160149,124627,'Heals group members (AE) for 87 - 106 every second',100,1,1),
(160150,10124627,'Heals group members (AE) for 750 - 916',100,1,0),
(160151,10124627,'Heals group members (AE) for 94 - 115 every second',100,1,1),
(160152,107037,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(160153,107037,'Inflicts 66 - 111 divine damage on target',100,2,1),
(160154,107037,'Inflicts 66 - 111 divine damage on target',100,2,2),
(160155,107037,'If target is undead',100,3,3),
(160156,10107037,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(160157,10107037,'Inflicts 144 - 240 divine damage on target',100,2,1),
(160158,108755,'Summons a pet fiery magician',100,1,0),
(160159,10108755,'Summons a pet fiery magician',100,1,0),
(160160,103215,'Reduces physical damage done to caster by 5%',100,1,0),
(160161,103215,'Adds 1.8% to base avoidance.',100,1,1),
(160162,103215,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(160163,103215,'Increases Parry of caster by 2.2',100,1,3),
(160164,103215,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(160165,103215,'Increases Aggression of caster by 1.6',100,1,5),
(160166,103215,'Increases Defense and Deflection of caster by 2.2',100,1,6),
(160167,103215,'Increases Mitigation of caster vs noxious damage by 184',100,1,7),
(160168,103215,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(160169,10103215,'Reduces physical damage done to caster by 5%',100,1,0),
(160170,10103215,'Adds 1.8% to base avoidance.',100,1,1),
(160171,10103215,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(160172,10103215,'Increases Parry of caster by 2.2',100,1,3),
(160173,10103215,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(160174,10103215,'Increases Aggression of caster by 1.6',100,1,5),
(160175,10103215,'Increases Defense and Deflection of caster by 2.2',100,1,6),
(160176,10103215,'Increases Mitigation of caster vs noxious damage by 184',100,1,7),
(160177,10103215,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(160178,47136,'Applies Bulwark of the Promisekeeper  when Activated.  Lasts for 30 minutes.',100,0,0),
(160179,47136,'Increases WIS and INT of caster by 31.0',100,1,1),
(160180,10047136,'Applies Bulwark of the Promisekeeper  when Activated.  Lasts for 30 minutes.',100,0,0),
(160181,10047136,'Increases WIS and INT of caster by 31.0',100,1,1),
(160182,114505,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',100,1,0),
(160183,114505,'Stuns target',100,2,1),
(160184,114505,'If Target is not Epic',100,3,2),
(160185,114505,'Grants a total of 3 triggers of the spell.',100,2,3),
(160186,10114505,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 2.0 seconds.  ',100,1,0),
(160187,10114505,'Stuns target',100,2,1),
(160188,10114505,'If Target is not Epic',100,3,2),
(160189,10114505,'Grants a total of 3 triggers of the spell.',100,2,3),
(160190,159252,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(160191,159252,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(160192,159252,'Inflicts 189 heat damage on target',100,2,2),
(160193,159252,'Cannot be modified except by direct means',100,2,3),
(160194,10159252,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(160195,10159252,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(160196,10159252,'Inflicts 245 heat damage on target',100,2,2),
(160197,10159252,'Cannot be modified except by direct means',100,2,3),
(160198,47179,'Applies Elixir of Heat Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(160199,47179,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(160200,10047179,'Applies Elixir of Heat Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(160201,10047179,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(160202,107387,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(160203,107387,'Slows target by 53.2%',100,2,1),
(160204,107387,'5% chance to dispel when target receives hostile action',100,2,2),
(160205,107387,'5% chance to dispel when target takes damage',100,2,3),
(160206,107387,'Inflicts 524 - 873 disease damage on target',100,1,4),
(160207,10107387,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(160208,10107387,'Slows target by 53.2%',100,2,1),
(160209,10107387,'5% chance to dispel when target receives hostile action',100,2,2),
(160210,10107387,'5% chance to dispel when target takes damage',100,2,3),
(160211,10107387,'Inflicts 681 - 1135 disease damage on target',100,1,4),
(160212,148903,'When Equipped:',100,0,0),
(160213,148903,'This effect will not stack with any rank or tier of itself.',100,1,1),
(160214,148903,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(160215,148903,'Cannot be modified except by direct means',100,1,3),
(160216,10148903,'When Equipped:',100,0,0),
(160217,10148903,'This effect will not stack with any rank or tier of itself.',100,1,1),
(160218,10148903,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(160219,10148903,'Cannot be modified except by direct means',100,1,3),
(160220,108878,'Inflicts 310 - 516 melee damage on target',100,1,0),
(160221,108878,'Decreases INT of target by 108.7',100,1,1),
(160222,10108878,'Inflicts 403 - 671 melee damage on target',100,1,0),
(160223,10108878,'Decreases INT of target by 108.7',100,1,1),
(160224,80716,'When Equipped:',100,0,0),
(160225,80716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160226,80716,'Inflicts 83 - 154 magic damage on target',100,2,2),
(160227,80716,'Cannot be modified except by direct means',100,2,3),
(160228,10080716,'When Equipped:',100,0,0),
(160229,10080716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160230,10080716,'Inflicts 108 - 200 magic damage on target',100,2,2),
(160231,10080716,'Cannot be modified except by direct means',100,2,3),
(160232,82938,'When Equipped:',100,0,0),
(160233,82938,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160234,82938,'Inflicts 315 - 585 magic damage on target',100,2,2),
(160235,82938,'Cannot be modified except by direct means',100,2,3),
(160236,10082938,'When Equipped:',100,0,0),
(160237,10082938,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160238,10082938,'Inflicts 409 - 760 magic damage on target',100,2,2),
(160239,10082938,'Cannot be modified except by direct means',100,2,3),
(160240,116716,'Inflicts 289 - 482 melee damage on target',100,1,0),
(160241,10116716,'Inflicts 376 - 627 melee damage on target',100,1,0),
(160242,117277,'Inflicts 157 - 262 melee damage on target',100,1,0),
(160243,117277,'Decreases Damage Per Second of target by 7.8',100,1,1),
(160244,117277,'Decreases Attack Speed of target by 6.3',100,1,2),
(160245,10117277,'Inflicts 204 - 340 melee damage on target',100,1,0),
(160246,10117277,'Decreases Damage Per Second of target by 7.8',100,1,1),
(160247,10117277,'Decreases Attack Speed of target by 6.3',100,1,2),
(160248,103056,'Inflicts 66 magic damage on target instantly and every 4 seconds',100,1,0),
(160249,103056,'Increases power of caster by 23 instantly and every 4 seconds',100,1,1),
(160250,10103056,'Inflicts 86 magic damage on target instantly and every 4 seconds',100,1,0),
(160251,10103056,'Increases power of caster by 23 instantly and every 4 seconds',100,1,1),
(160252,45072,'Applies Fancy Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(160253,45072,'Launches a firework when used.',100,1,1),
(160254,10045072,'Applies Fancy Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(160255,10045072,'Launches a firework when used.',100,1,1),
(160256,82766,'When Equipped:',100,0,0),
(160257,82766,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160258,82766,'Inflicts 365 - 678 magic damage on target',100,2,2),
(160259,82766,'Decreases Threat to target by 1,174 ',100,2,3),
(160260,82766,'Must be flanking or behind',100,3,4),
(160261,82766,'Increases Threat to target by 1,174 ',100,2,5),
(160262,82766,'Must be in front of',100,3,6),
(160263,82766,'Cannot be modified except by direct means',100,2,7),
(160264,10082766,'When Equipped:',100,0,0),
(160265,10082766,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160266,10082766,'Inflicts 474 - 881 magic damage on target',100,2,2),
(160267,10082766,'Cannot be modified except by direct means',100,2,3),
(160268,177610,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(160269,177610,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(160270,177610,'Inflicts 70 heat damage on target',100,2,2),
(160271,177610,'Cannot be modified except by direct means',100,2,3),
(160272,10177610,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(160273,10177610,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(160274,10177610,'Inflicts 91 heat damage on target',100,2,2),
(160275,10177610,'Cannot be modified except by direct means',100,2,3),
(160276,116292,'Stuns target',100,1,0),
(160277,116292,'Does not affect Epic targets',100,1,1),
(160278,116292,'Resistibility increases against targets higher than level 45.',100,1,2),
(160279,10116292,'Stuns target',100,1,0),
(160280,10116292,'Does not affect Epic targets',100,1,1),
(160281,10116292,'Resistibility increases against targets higher than level 45.',100,1,2),
(160282,24474,'Adds Lair of Scale: Azurite Tall Entwined Sculpture to your Dungeon Maker toolbox',100,0,0),
(160283,10024474,'Adds Lair of Scale: Azurite Tall Entwined Sculpture to your Dungeon Maker toolbox',100,0,0),
(160284,119711,'Increases Threat to target encounter by 724 - 885 ',100,1,0),
(160285,10119711,'Prevents target encounter from changing targets',100,1,0),
(160286,10119711,'Forces target encounter to change their selected target to caster.',100,1,1),
(160287,87180,'When Equipped:',100,0,0),
(160288,87180,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160289,87180,'Inflicts 61 - 92 magic damage on target',100,2,2),
(160290,87180,'Cannot be modified except by direct means',100,2,3),
(160291,10087180,'When Equipped:',100,0,0),
(160292,10087180,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160293,10087180,'Inflicts 79 - 119 magic damage on target',100,2,2),
(160294,10087180,'Cannot be modified except by direct means',100,2,3),
(160295,48519,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(160296,48519,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(160297,48519,'Inflicts 107 poison damage on target instantly and every 6 seconds',100,2,2),
(160298,48519,'Inflicts 122 poison damage on target',100,2,3),
(160299,48519,'Cannot be modified except by direct means',100,2,4),
(160300,48519,'Grants a total of 200 triggers of the spell.',100,2,5),
(160301,10048519,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(160302,10048519,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(160303,10048519,'Inflicts 104 poison damage on target instantly and every 6 seconds',100,2,2),
(160304,10048519,'Inflicts 119 poison damage on target',100,2,3),
(160305,10048519,'Cannot be modified except by direct means',100,2,4),
(160306,10048519,'Grants a total of 200 triggers of the spell.',100,2,5),
(160307,52825,'Applies Sanguine Imbued when Equipped.',100,0,0),
(160308,52825,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(160309,52825,'Inflicts 303 heat damage on target',100,2,2),
(160310,52825,'Cannot be modified except by direct means',100,2,3),
(160311,10052825,'Applies Sanguine Imbued when Equipped.',100,0,0),
(160312,10052825,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(160313,10052825,'Inflicts 393 heat damage on target',100,2,2),
(160314,10052825,'Cannot be modified except by direct means',100,2,3),
(160315,114882,'Causes 7% Threat to transfer to target when in combat',100,1,0),
(160316,103289,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(160317,103289,'If Fighter',100,2,1),
(160318,103289,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(160319,103289,'Increases power of target by 28 instantly and every 4 seconds',100,2,3),
(160320,103289,'Increases power of caster by 28 instantly and every 4 seconds',100,2,4),
(160321,10103289,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(160322,10103289,'Increases power of target by 28 instantly and every 4 seconds',100,2,1),
(160323,10103289,'Increases power of caster by 28 instantly and every 4 seconds',100,2,2),
(160324,81731,'When Equipped:',100,0,0),
(160325,81731,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160326,81731,'Inflicts 164 - 305 magic damage on target',100,2,2),
(160327,81731,'Decreases Threat to target by 487 ',100,2,3),
(160328,81731,'Must be flanking or behind',100,3,4),
(160329,81731,'Increases Threat to target by 487 ',100,2,5),
(160330,81731,'Must be in front of',100,3,6),
(160331,81731,'Cannot be modified except by direct means',100,2,7),
(160332,10081731,'When Equipped:',100,0,0),
(160333,10081731,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160334,10081731,'Inflicts 213 - 396 magic damage on target',100,2,2),
(160335,10081731,'Cannot be modified except by direct means',100,2,3),
(160336,110356,'Increases STR and AGI of group members (AE) by 6.4',100,1,0),
(160337,110356,'Adds 1.7% to base avoidance.',100,1,1),
(160338,10110356,'Increases STR and AGI of group members (AE) by 6.4',100,1,0),
(160339,10110356,'Adds 1.7% to base avoidance.',100,1,1),
(160340,106728,'Heals target for 410 - 501',100,1,0),
(160341,10106728,'Heals target for 482 - 590',100,1,0),
(160342,112625,'Increases STA of caster by 79.2',100,1,0),
(160343,112625,'Reduces slow effects on caster by 32.0%',100,1,1),
(160344,112625,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1974',100,1,2),
(160345,10112625,'Increases STA of caster by 79.2',100,1,0),
(160346,10112625,'Reduces slow effects on caster by 32.0%',100,1,1),
(160347,10112625,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1974',100,1,2),
(160348,72135,'When Equipped:',100,0,0),
(160349,72135,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160350,72135,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(160351,72135,'Cannot be modified except by direct means',100,2,3),
(160352,10072135,'When Equipped:',100,0,0),
(160353,10072135,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160354,10072135,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(160355,10072135,'Cannot be modified except by direct means',100,2,3),
(160356,71913,'When Equipped:',100,0,0),
(160357,71913,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160358,71913,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(160359,71913,'Cannot be modified except by direct means',100,2,3),
(160360,10071913,'When Equipped:',100,0,0),
(160361,10071913,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160362,10071913,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(160363,10071913,'Cannot be modified except by direct means',100,2,3),
(160364,104770,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(160365,104770,'Inflicts 455 disease damage on target',100,2,1),
(160366,104770,'Heals caster for 161',100,2,2),
(160367,104770,'Heals group members'' pets for 161',100,2,3),
(160368,10104770,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(160369,10104770,'Inflicts 591 disease damage on target',100,2,1),
(160370,10104770,'Heals caster for 104',100,2,2),
(160371,10104770,'Heals group members'' pets for 104',100,2,3),
(160372,106030,'Inflicts 214 - 262 divine damage on target instantly and every 3 seconds',100,1,0),
(160373,106030,'Decreases Defense of target by 24.8',100,1,1),
(160374,10106030,'Inflicts 186 - 227 divine damage on target instantly and every 3 seconds',100,1,0),
(160375,10106030,'Decreases Defense of target by 24.8',100,1,1),
(160376,177628,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(160377,177628,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(160378,177628,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(160379,177628,'Cannot be modified except by direct means',100,2,3),
(160380,10177628,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(160381,10177628,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(160382,10177628,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(160383,10177628,'Cannot be modified except by direct means',100,2,3),
(160384,108581,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(160385,108581,'Heals group members (AE) for 44 - 53 instantly and every 3 seconds',100,2,1),
(160386,108581,'Increases STR, WIS, AGI and INT of group members (AE) by 16.7',100,2,2),
(160387,108581,'Increases STA of group members (AE) by 33.4',100,2,3),
(160388,108581,'Adds 0.6% to base avoidance.',100,2,4),
(160389,108581,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 43',100,2,5),
(160390,10108581,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(160391,10108581,'Heals group members (AE) for 28 - 35 instantly and every 3 seconds',100,2,1),
(160392,10108581,'Increases STR, WIS, AGI and INT of group members (AE) by 16.7',100,2,2),
(160393,10108581,'Increases STA of group members (AE) by 33.4',100,2,3),
(160394,10108581,'Adds 0.6% to base avoidance.',100,2,4),
(160395,10108581,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 43',100,2,5),
(160396,82625,'When Equipped:',100,0,0),
(160397,82625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160398,82625,'Inflicts 104 - 194 magic damage on target',100,2,2),
(160399,82625,'Cannot be modified except by direct means',100,2,3),
(160400,10082625,'When Equipped:',100,0,0),
(160401,10082625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160402,10082625,'Inflicts 136 - 252 magic damage on target',100,2,2),
(160403,10082625,'Cannot be modified except by direct means',100,2,3),
(160404,117273,'Inflicts 424 - 707 melee damage on target',100,1,0),
(160405,117273,'Decreases Damage Per Second of target by 12.3',100,1,1),
(160406,117273,'Decreases Attack Speed of target by 8.3',100,1,2),
(160407,10117273,'Inflicts 551 - 919 melee damage on target',100,1,0),
(160408,10117273,'Decreases Damage Per Second of target by 12.3',100,1,1),
(160409,10117273,'Decreases Attack Speed of target by 8.3',100,1,2),
(160410,74792,'When Equipped:',100,0,0),
(160411,74792,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160412,74792,'Inflicts 93 - 139 magic damage on target',100,2,2),
(160413,74792,'Cannot be modified except by direct means',100,2,3),
(160414,10074792,'When Equipped:',100,0,0),
(160415,10074792,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160416,10074792,'Inflicts 121 - 181 magic damage on target',100,2,2),
(160417,10074792,'Cannot be modified except by direct means',100,2,3),
(160418,122852,'Inflicts 105 - 176 ranged damage on target',100,1,0),
(160419,122852,'Inflicts 211 - 352 ranged damage on target',100,1,1),
(160420,122852,'Inflicts 317 - 529 ranged damage on target',100,1,2),
(160421,122852,'Requires bow',100,1,3),
(160422,10122852,'Inflicts 112 - 187 ranged damage on target',100,1,0),
(160423,10122852,'Inflicts 224 - 374 ranged damage on target',100,1,1),
(160424,10122852,'Inflicts 337 - 562 ranged damage on target',100,1,2),
(160425,10122852,'Requires bow',100,1,3),
(160426,73164,'When Equipped:',100,0,0),
(160427,73164,'On a combat hit this spell may cast Rend Armor on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(160428,73164,'Decreases Mitigation of target vs physical damage by 995',100,2,2),
(160429,73164,'Cannot be modified except by direct means',100,2,3),
(160430,10073164,'When Equipped:',100,0,0),
(160431,10073164,'On a combat hit this spell may cast Rend Armor on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(160432,10073164,'Decreases Mitigation of target vs physical damage by 995',100,2,2),
(160433,10073164,'Cannot be modified except by direct means',100,2,3),
(160434,124725,'Heals group members (AE) for 1102 - 1346',100,1,0),
(160435,10124725,'Heals group members (AE) for 1337 - 1634',100,1,0),
(160436,26146,'When Equipped:',100,0,0),
(160437,26146,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(160438,10026146,'When Equipped:',100,0,0),
(160439,10026146,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(160440,119963,'Inflicts 731 - 1219 melee damage on target',100,1,0),
(160441,119963,'Stifles target',100,1,1),
(160442,119963,'If Target is not Epic',100,2,2),
(160443,119963,'Resistibility increases against targets higher than level 119.',100,1,3),
(160444,10119963,'Inflicts 951 - 1585 melee damage on target',100,1,0),
(160445,10119963,'Stifles target',100,1,1),
(160446,10119963,'If Target is not Epic',100,2,2),
(160447,10119963,'Resistibility increases against targets higher than level 119.',100,1,3),
(160448,113450,'Increases INT of target by 34.5',100,1,0),
(160449,113450,'Increases Max Health of target by 242.2',100,1,1),
(160450,10113450,'Increases INT of target by 34.5',100,1,0),
(160451,10113450,'Increases Max Health of target by 242.2',100,1,1),
(160452,109293,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(160453,109293,'Increases Mitigation of group members (AE) vs elemental damage by 549',100,1,1),
(160454,10109293,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(160455,10109293,'Increases Mitigation of group members (AE) vs elemental damage by 549',100,1,1),
(160456,120244,'Inflicts 183 - 306 crushing damage on target',100,1,0),
(160457,10120244,'Inflicts 239 - 398 crushing damage on target',100,1,0),
(160458,37330,'Increases STA and STR of target by 5.4',100,0,0),
(160459,37330,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(160460,37330,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(160461,85369,'Applies Poison Bolt when Activated.',100,0,0),
(160462,85369,'Inflicts 264 - 440 poison damage on target',100,1,1),
(160463,85369,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160464,10085369,'Applies Poison Bolt when Activated.',100,0,0),
(160465,10085369,'Inflicts 343 - 572 poison damage on target',100,1,1),
(160466,10085369,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160467,82939,'When Equipped:',100,0,0),
(160468,82939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160469,82939,'Inflicts 350 - 650 magic damage on target',100,2,2),
(160470,82939,'Cannot be modified except by direct means',100,2,3),
(160471,10082939,'When Equipped:',100,0,0),
(160472,10082939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160473,10082939,'Inflicts 455 - 845 magic damage on target',100,2,2),
(160474,10082939,'Cannot be modified except by direct means',100,2,3),
(160475,120878,'Stifles target',100,1,0),
(160476,120878,'Inflicts 173 - 212 mental damage on target',100,1,1),
(160477,120878,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(160478,120878,'Resistibility increases against targets higher than level 45.',100,1,3),
(160479,10120878,'Stifles target',100,1,0),
(160480,10120878,'Inflicts 225 - 275 mental damage on target',100,1,1),
(160481,10120878,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(160482,10120878,'Resistibility increases against targets higher than level 45.',100,1,3),
(160483,46113,'Applies Elixir of the Devout when Activated.  Lasts for 30 minutes.',100,0,0),
(160484,46113,'Increases STA and STR of caster by 23.3',100,1,1),
(160485,10046113,'Applies Elixir of the Devout when Activated.  Lasts for 30 minutes.',100,0,0),
(160486,10046113,'Increases STA and STR of caster by 23.3',100,1,1),
(160487,71716,'When Equipped:',100,0,0),
(160488,71716,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160489,71716,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(160490,71716,'Cannot be modified except by direct means',100,2,3),
(160491,10071716,'When Equipped:',100,0,0),
(160492,10071716,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160493,10071716,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(160494,10071716,'Cannot be modified except by direct means',100,2,3),
(160495,82674,'When Equipped:',100,0,0),
(160496,82674,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160497,82674,'Inflicts 118 - 218 magic damage on target',100,2,2),
(160498,82674,'Decreases Threat to target by 259 ',100,2,3),
(160499,82674,'Must be flanking or behind',100,3,4),
(160500,82674,'Increases Threat to target by 259 ',100,2,5),
(160501,82674,'Must be in front of',100,3,6),
(160502,82674,'Cannot be modified except by direct means',100,2,7),
(160503,10082674,'When Equipped:',100,0,0),
(160504,10082674,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160505,10082674,'Inflicts 153 - 284 magic damage on target',100,2,2),
(160506,10082674,'Cannot be modified except by direct means',100,2,3),
(160507,110926,'Inflicts 136 - 227 divine damage on target',100,1,0),
(160508,110926,'Increases Threat to target by 997 ',100,1,1),
(160509,110926,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(160510,110926,'Stuns target',100,2,3),
(160511,110926,'Throws target back',100,2,4),
(160512,110926,'Blurs vision of target',100,2,5),
(160513,110926,'Does not affect Epic targets',100,2,6),
(160514,10110926,'Inflicts 177 - 295 divine damage on target',100,1,0),
(160515,10110926,'Prevents target from changing targets',100,1,1),
(160516,10110926,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(160517,10110926,'Stuns target',100,2,3),
(160518,10110926,'Throws target back',100,2,4),
(160519,10110926,'Blurs vision of target',100,2,5),
(160520,10110926,'Does not affect Epic targets',100,2,6),
(160521,10110926,'Forces target to change their selected target to caster.',100,1,7),
(160522,49179,'Applies Remove the Bindings when Activated.',100,0,0),
(160523,10049179,'Applies Remove the Bindings when Activated.',100,0,0),
(160524,75095,'Applies Mental Blast when Activated.',100,0,0),
(160525,75095,'Inflicts 133 - 222 mental damage on target',100,1,1),
(160526,75095,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160527,10075095,'Applies Mental Blast when Activated.',100,0,0),
(160528,10075095,'Inflicts 173 - 289 mental damage on target',100,1,1),
(160529,10075095,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(160530,36013,'Increases Max Power of target by 3.3',100,0,0),
(160531,36013,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(160532,71002,'When Equipped:',100,0,0),
(160533,71002,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(160534,71002,'Inflicts 2648 poison damage on target',100,2,2),
(160535,71002,'If under 15% Health',100,2,3),
(160536,71002,'Cannot be modified except by direct means',100,2,4),
(160537,71002,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(160538,71002,'Inflicts 2648 poison damage on target',100,2,6),
(160539,71002,'If under 15% Health',100,2,7),
(160540,71002,'Cannot be modified except by direct means',100,2,8),
(160541,71002,'Cannot be modified except by direct means',100,1,9),
(160542,10071002,'When Equipped:',100,0,0),
(160543,10071002,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(160544,10071002,'Inflicts 3442 poison damage on target',100,2,2),
(160545,10071002,'If under 15% Health',100,2,3),
(160546,10071002,'Cannot be modified except by direct means',100,2,4),
(160547,10071002,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(160548,10071002,'Inflicts 3442 poison damage on target',100,2,6),
(160549,10071002,'If under 15% Health',100,2,7),
(160550,10071002,'Cannot be modified except by direct means',100,2,8),
(160551,10071002,'Cannot be modified except by direct means',100,1,9),
(160552,82216,'When Equipped:',100,0,0),
(160553,82216,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160554,82216,'Inflicts 48 - 89 magic damage on target',100,2,2),
(160555,82216,'Decreases Threat to target by 135 ',100,2,3),
(160556,82216,'Must be flanking or behind',100,3,4),
(160557,82216,'Increases Threat to target by 135 ',100,2,5),
(160558,82216,'Must be in front of',100,3,6),
(160559,82216,'Cannot be modified except by direct means',100,2,7),
(160560,10082216,'When Equipped:',100,0,0),
(160561,10082216,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(160562,10082216,'Inflicts 62 - 115 magic damage on target',100,2,2),
(160563,10082216,'Cannot be modified except by direct means',100,2,3),
(160564,114370,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(160565,114370,'Stuns target',100,2,1),
(160566,114370,'Throws target back',100,2,2),
(160567,114370,'Blurs vision of target',100,2,3),
(160568,114370,'Does not affect Epic targets',100,2,4),
(160569,114370,'Inflicts 214 - 357 crushing damage on target',100,1,5),
(160570,10114370,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(160571,10114370,'Stuns target',100,2,1),
(160572,10114370,'Throws target back',100,2,2),
(160573,10114370,'Blurs vision of target',100,2,3),
(160574,10114370,'Does not affect Epic targets',100,2,4),
(160575,10114370,'Inflicts 278 - 464 crushing damage on target',100,1,5),
(160576,49054,'Applies Vile Outbreak when Activated.  Lasts for 10.0 seconds.',100,0,0),
(160577,49054,'Inflicts 1213 disease damage on target encounter instantly and every 5 seconds',100,1,1),
(160578,49054,'Decreases Mitigation of target encounter vs noxious damage by 3245',100,1,2),
(160579,49054,'Only affects targets level 50 and above',100,1,3),
(160580,10049054,'Applies Vile Outbreak when Activated.  Lasts for 10.0 seconds.',100,0,0),
(160581,10049054,'Inflicts 702 disease damage on target encounter instantly and every 5 seconds',100,1,1),
(160582,10049054,'Decreases Mitigation of target encounter vs noxious damage by 1622',100,1,2),
(160583,10049054,'Only affects targets level 50 and above',100,1,3),
(160584,26557,'When Equipped:',100,0,0),
(160585,26557,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(160586,26557,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,2),
(160587,10026557,'When Equipped:',100,0,0),
(160588,10026557,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(160589,10026557,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,2),
(160590,123914,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(160591,123914,'Slows target by 49.7%',100,2,1),
(160592,123914,'5% chance to dispel when target receives hostile action',100,2,2),
(160593,123914,'5% chance to dispel when target takes damage',100,2,3),
(160594,123914,'Decreases Mitigation of target vs elemental and noxious damage by 908',100,1,4),
(160595,10123914,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(160596,10123914,'Slows target by 49.7%',100,2,1),
(160597,10123914,'5% chance to dispel when target receives hostile action',100,2,2),
(160598,10123914,'5% chance to dispel when target takes damage',100,2,3),
(160599,10123914,'Decreases Mitigation of target vs elemental and noxious damage by 908',100,1,4),
(160600,100174,'Inflicts 1158 - 2151 disease damage on target encounter',100,1,0),
(160601,10100174,'Inflicts 1506 - 2796 disease damage on target encounter',100,1,0),
(160602,117811,'Mesmerizes target',100,1,0),
(160603,117811,'Prevents AOE (except when direct) ',100,1,1),
(160604,117811,'Dispelled when target takes damage',100,1,2),
(160605,117811,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(160606,117811,'Resistibility increases against targets higher than level 107.',100,1,4),
(160607,10117811,'Mesmerizes target',100,1,0),
(160608,10117811,'Prevents AOE (except when direct) ',100,1,1),
(160609,10117811,'Dispelled when target takes damage',100,1,2),
(160610,10117811,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(160611,10117811,'Resistibility increases against targets higher than level 107.',100,1,4),
(160612,36273,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(160613,36273,'Makes caster weave when they run',100,0,1),
(160614,36273,'Increases in-combat movement speed of caster by 80.0%',100,0,2),
(160615,36273,'Increases speed of caster by 80.0%',100,0,3),
(160616,174313,'When Equipped:',100,0,0),
(160617,174313,'On a damage spell hit this spell has a 10% chance to cast Ancient Words on caster.  Lasts for 7.0 seconds.  ',100,1,1),
(160618,174313,'Increases the damage of hostile spells by 20%.',100,2,2),
(160619,174313,'Cannot be modified except by direct means',100,2,3),
(160620,10174313,'When Equipped:',100,0,0),
(160621,10174313,'On a damage spell hit this spell has a 10% chance to cast Ancient Words on caster.  Lasts for 7.0 seconds.  ',100,1,1),
(160622,10174313,'Increases the damage of hostile spells by 20%.',100,2,2),
(160623,10174313,'Cannot be modified except by direct means',100,2,3),
(160624,105433,'Increases STR of caster by 192.4',100,1,0),
(160625,105433,'Decreases Defense of caster by 22.2',100,1,1),
(160626,105433,'Increases Slashing, Piercing, Crushing and Disruption of caster by 36.6',100,1,2),
(160627,10105433,'Increases STR of caster by 192.4',100,1,0),
(160628,10105433,'Decreases Defense of caster by 22.2',100,1,1),
(160629,10105433,'Increases Slashing, Piercing, Crushing and Disruption of caster by 36.6',100,1,2),
(160630,118284,'Increases Threat to target encounter by 1,024 - 1,252 ',100,1,0),
(160631,118284,'Decreases Mitigation of target encounter vs arcane damage by 1135',100,1,1),
(160632,10118284,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(160633,10118284,'Prevents target from changing targets',100,2,1),
(160634,10118284,'Forces target to change their selected target to caster.',100,2,2),
(160635,10118284,'Decreases Mitigation of target encounter vs arcane damage by 1135',100,1,3),
(160636,102004,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(160637,102004,'Wards target against 163 points of all damage',100,2,1),
(160638,10102004,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(160639,10102004,'Wards target against 163 points of all damage',100,2,1),
(160640,124787,'Increases STR of caster by 49.2',100,1,0),
(160641,124787,'Decreases Defense of caster by 9.6',100,1,1),
(160642,124787,'Increases Crushing, Piercing, Slashing and Disruption of caster by 14.4',100,1,2),
(160643,10124787,'Increases STR of caster by 49.2',100,1,0),
(160644,10124787,'Decreases Defense of caster by 9.6',100,1,1),
(160645,10124787,'Increases Crushing, Piercing, Slashing and Disruption of caster by 14.4',100,1,2),
(160646,105019,'Increases WIS of raid and group members (AE) by 17.8',100,1,0),
(160647,105019,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(160648,105019,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 66',100,1,2);
INSERT INTO `item_effects` VALUES
(160649,10105019,'Increases WIS of raid and group members (AE) by 17.8',100,1,0),
(160650,10105019,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(160651,10105019,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 66',100,1,2),
(160652,104838,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(160653,104838,'If Fighter',100,2,1),
(160654,104838,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(160655,104838,'Increases power of target by 65',100,2,3),
(160656,104838,'Increases power of caster by 65',100,2,4),
(160657,10104838,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(160658,10104838,'Increases power of target by 65',100,2,1),
(160659,10104838,'Increases power of caster by 65',100,2,2),
(160660,112774,'Interrupts target',100,1,0),
(160661,112774,'Inflicts 503 - 838 divine damage on target',100,1,1),
(160662,10112774,'Interrupts target',100,1,0),
(160663,10112774,'Inflicts 654 - 1089 divine damage on target',100,1,1),
(160664,113822,'Inflicts 240 - 400 disease damage on target',100,1,0),
(160665,10113822,'Inflicts 312 - 520 disease damage on target',100,1,0),
(160666,117137,'Inflicts 232 - 283 heat damage on target instantly and every 4 seconds',100,1,0),
(160667,117137,'Decreases Mitigation of target vs arcane damage by 816',100,1,1),
(160668,10117137,'Inflicts 301 - 368 heat damage on target instantly and every 4 seconds',100,1,0),
(160669,10117137,'Decreases Mitigation of target vs arcane damage by 816',100,1,1),
(160670,122389,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(160671,122389,'Inflicts 7 - 8 piercing damage on target encounter',100,2,1),
(160672,10122389,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(160673,10122389,'Inflicts 9 - 11 piercing damage on target encounter',100,2,1),
(160674,51286,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(160675,51286,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(160676,51286,'Inflicts 24 heat damage on target',100,2,2),
(160677,51286,'Cannot be modified except by direct means',100,2,3),
(160678,10051286,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(160679,10051286,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(160680,10051286,'Inflicts 31 heat damage on target',100,2,2),
(160681,10051286,'Cannot be modified except by direct means',100,2,3),
(160682,141910,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(160683,141910,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(160684,141910,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(160685,141910,'Cannot be modified except by direct means',100,2,3),
(160686,10141910,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(160687,10141910,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(160688,10141910,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(160689,10141910,'Cannot be modified except by direct means',100,2,3),
(160690,174844,'Applies Heroic Resistance X when Equipped.',100,0,0),
(160691,174844,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(160692,174844,'Cannot be modified except by direct means',100,1,2),
(160693,174844,'When Equipped:',100,0,3),
(160694,174844,'When damaged this spell has a 10% chance to cast Invigorating Aura on target''s attacker.  ',100,1,4),
(160695,174844,'Decreases power of target by 274',100,2,5),
(160696,174844,'Increases power of caster by 303',100,2,6),
(160697,174844,'Only affects targets level 90 and below',100,2,7),
(160698,174844,'Does not affect Epic targets',100,2,8),
(160699,174844,'Cannot be modified except by direct means',100,2,9),
(160700,174844,'Cannot be modified except by direct means',100,1,10),
(160701,10174844,'Applies Heroic Resistance X when Equipped.',100,0,0),
(160702,10174844,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(160703,10174844,'Cannot be modified except by direct means',100,1,2),
(160704,10174844,'When Equipped:',100,0,3),
(160705,10174844,'When damaged this spell has a 10% chance to cast Invigorating Aura on target''s attacker.  ',100,1,4),
(160706,10174844,'Decreases power of target by 274',100,2,5),
(160707,10174844,'Increases power of caster by 303',100,2,6),
(160708,10174844,'Only affects targets level 90 and below',100,2,7),
(160709,10174844,'Does not affect Epic targets',100,2,8),
(160710,10174844,'Cannot be modified except by direct means',100,2,9),
(160711,10174844,'Cannot be modified except by direct means',100,1,10),
(160712,46438,'Applies pour one out when Activated.',100,0,0),
(160713,46438,'This effect cannot be cast during combat',100,1,1),
(160714,46438,'You must find a pile of Ry''Gorr bones to pour this on.',100,1,2),
(160715,46438,'Fronden''s Finest has already been poured onto these bones.',100,1,3),
(160716,10046438,'Applies pour one out when Activated.',100,0,0),
(160717,10046438,'This effect cannot be cast during combat',100,1,1),
(160718,10046438,'You must find a pile of Ry''Gorr bones to pour this on.',100,1,2),
(160719,10046438,'Fronden''s Finest has already been poured onto these bones.',100,1,3),
(160720,74772,'When Equipped:',100,0,0),
(160721,74772,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160722,74772,'Inflicts 97 - 145 magic damage on target',100,2,2),
(160723,74772,'Cannot be modified except by direct means',100,2,3),
(160724,10074772,'When Equipped:',100,0,0),
(160725,10074772,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160726,10074772,'Inflicts 126 - 189 magic damage on target',100,2,2),
(160727,10074772,'Cannot be modified except by direct means',100,2,3),
(160728,24518,'Adds Mistmoore: Blue Couch to your Dungeon Maker toolbox',100,0,0),
(160729,10024518,'Adds Mistmoore: Blue Couch to your Dungeon Maker toolbox',100,0,0),
(160730,106138,'Inflicts 1237 - 2061 melee damage on target',100,1,0),
(160731,106138,'Decreases Defense, Parry and Deflection of target by 79.0',100,1,1),
(160732,10106138,'Inflicts 1608 - 2680 melee damage on target',100,1,0),
(160733,10106138,'Decreases Defense, Parry and Deflection of target by 79.0',100,1,1),
(160734,112764,'Interrupts target',100,1,0),
(160735,112764,'Inflicts 299 - 498 divine damage on target',100,1,1),
(160736,10112764,'Interrupts target',100,1,0),
(160737,10112764,'Inflicts 388 - 647 divine damage on target',100,1,1),
(160738,163525,'When Equipped:',100,0,0),
(160739,163525,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(160740,163525,'Increases AGI of target by 21.2',100,2,2),
(160741,163525,'Cannot be modified except by direct means',100,2,3),
(160742,10163525,'When Equipped:',100,0,0),
(160743,10163525,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(160744,10163525,'Increases AGI of target by 21.2',100,2,2),
(160745,10163525,'Cannot be modified except by direct means',100,2,3),
(160746,123343,'Summons a pet hammer',100,1,0),
(160747,10123343,'Summons a pet hammer',100,1,0),
(160748,108888,'Inflicts 509 - 848 melee damage on target',100,1,0),
(160749,108888,'Decreases INT of target by 174.2',100,1,1),
(160750,10108888,'Inflicts 661 - 1103 melee damage on target',100,1,0),
(160751,10108888,'Decreases INT of target by 174.2',100,1,1),
(160752,25899,'When Equipped:',100,0,0),
(160753,25899,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(160754,25899,'Improves the base heal amount of Winds of Healing VII by 20%.',100,1,2),
(160755,10025899,'When Equipped:',100,0,0),
(160756,10025899,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(160757,10025899,'Improves the base heal amount of Winds of Healing VII by 20%.',100,1,2),
(160758,119710,'Increases Threat to target encounter by 915 - 1,118 ',100,1,0),
(160759,10119710,'Prevents target encounter from changing targets',100,1,0),
(160760,10119710,'Forces target encounter to change their selected target to caster.',100,1,1),
(160761,104710,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(160762,104710,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,1),
(160763,104710,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(160764,104710,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,3),
(160765,10104710,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(160766,10104710,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,1),
(160767,10104710,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(160768,10104710,'Decreases Mitigation of target vs elemental and arcane damage by 251',100,2,3),
(160769,123026,'Summons 12 limited pets to aid the caster',100,1,0),
(160770,10123026,'Summons 12 limited pets to aid the caster',100,1,0),
(160771,103648,'Increases STR of raid and group members (AE) by 61.0',100,1,0),
(160772,103648,'Improves the base amount of taunts by 12%.',100,1,1),
(160773,103648,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(160774,103648,'Increases AGI of raid and group members (AE) by 61.0',100,1,3),
(160775,103648,'Adds 1.2% to base avoidance.',100,1,4),
(160776,10103648,'Increases STR of raid and group members (AE) by 61.0',100,1,0),
(160777,10103648,'Improves the base amount of taunts by 12%.',100,1,1),
(160778,10103648,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(160779,10103648,'Increases AGI of raid and group members (AE) by 61.0',100,1,3),
(160780,10103648,'Adds 1.2% to base avoidance.',100,1,4),
(160781,117584,'Inflicts 477 - 796 melee damage on target',100,1,0),
(160782,117584,'Decreases Parry of target by 37.6',100,1,1),
(160783,117584,'Must be in front of or flanking',100,1,2),
(160784,10117584,'Inflicts 621 - 1035 melee damage on target',100,1,0),
(160785,10117584,'Decreases Parry of target by 37.6',100,1,1),
(160786,10117584,'Must be in front of or flanking',100,1,2),
(160787,46671,'Applies Summon Tinkerfest Hovercog when Activated.',100,0,0),
(160788,46671,'Summons a mount to ride',100,1,1),
(160789,46671,'Increases your ground speed by 130%',100,2,2),
(160790,10046671,'Applies Summon Tinkerfest Hovercog when Activated.',100,0,0),
(160791,10046671,'Summons a mount to ride',100,1,1),
(160792,10046671,'Increases your ground speed by 130%',100,2,2),
(160793,103201,'Increases Mitigation of caster vs physical damage by 340',100,1,0),
(160794,103201,'Roots caster',100,1,1),
(160795,10103201,'Increases Mitigation of caster vs physical damage by 340',100,1,0),
(160796,10103201,'Roots caster',100,1,1),
(160797,117224,'Inflicts 13 slashing damage on target every 4 seconds',100,1,0),
(160798,117224,'Inflicts 65 - 109 melee damage on target',100,1,1),
(160799,10117224,'Inflicts 17 slashing damage on target every 4 seconds',100,1,0),
(160800,10117224,'Inflicts 85 - 142 melee damage on target',100,1,1),
(160801,106539,'Inflicts 349 - 427 melee damage on target',100,1,0),
(160802,106539,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(160803,106539,'Increases Hate Gain of target by 30.0%',100,2,2),
(160804,106539,'Grants a total of 1 trigger of the spell.',100,2,3),
(160805,10106539,'Inflicts 454 - 555 melee damage on target',100,1,0),
(160806,10106539,'25% chance to apply Distract on termination.',100,1,1),
(160807,10106539,'Forces target to clear their selected target.',100,2,2),
(160808,120782,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(160809,120782,'Stuns target',100,2,1),
(160810,120782,'Throws target back',100,2,2),
(160811,120782,'Blurs vision of target',100,2,3),
(160812,120782,'Does not affect Epic targets',100,2,4),
(160813,120782,'Inflicts 79 - 132 piercing damage on target',100,1,5),
(160814,10120782,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(160815,10120782,'Stuns target',100,2,1),
(160816,10120782,'Throws target back',100,2,2),
(160817,10120782,'Blurs vision of target',100,2,3),
(160818,10120782,'Does not affect Epic targets',100,2,4),
(160819,10120782,'Inflicts 103 - 171 piercing damage on target',100,1,5),
(160820,110628,'Inflicts 523 - 872 ranged damage on target',100,1,0),
(160821,110628,'If weapon equipped in Ranged',100,1,1),
(160822,110628,'Must be flanking or behind',100,1,2),
(160823,10110628,'Inflicts 325 - 542 ranged damage on target',100,1,0),
(160824,10110628,'If weapon equipped in Ranged',100,1,1),
(160825,10110628,'Must be flanking or behind',100,1,2),
(160826,36847,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(160827,46670,'Applies Icy Touch when Activated.',100,0,0),
(160828,46670,'Shapechanges the user into an icebone skeleton, and provides a shield which damages any melee attacker.',100,1,1),
(160829,10046670,'Applies Icy Touch when Activated.',100,0,0),
(160830,10046670,'Shapechanges the user into an icebone skeleton, and provides a shield which damages any melee attacker.',100,1,1),
(160831,179012,'When Equipped:',100,0,0),
(160832,179012,'On any combat or spell hit this spell may cast Dire Consequences on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(160833,179012,'Inflicts 1146 mental damage on target',100,2,2),
(160834,179012,'Decreases Threat to target by 3,125 ',100,2,3),
(160835,179012,'Must be at the top of the hate list of your current target.',100,3,4),
(160836,179012,'Has a chance to betray the wearer by calling unwanted attention to itself.',10,2,5),
(160837,179012,'Increases Threat to target by 2,000 ',100,2,6),
(160838,179012,'Must be not at the top of the hate list of your current target.',100,3,7),
(160839,179012,'Cannot be modified except by direct means',100,2,8),
(160840,10179012,'When Equipped:',100,0,0),
(160841,10179012,'On any combat or spell hit this spell may cast Dire Consequences on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(160842,10179012,'Inflicts 1490 mental damage on target',100,2,2),
(160843,10179012,'Has a chance to betray the wearer by calling unwanted attention to itself.',10,2,3),
(160844,10179012,'Cannot be modified except by direct means',100,2,4),
(160845,163864,'When Equipped:',100,0,0),
(160846,163864,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(160847,163864,'Increases power of caster by 604',100,2,2),
(160848,163864,'Cannot be modified except by direct means',100,2,3),
(160849,10163864,'When Equipped:',100,0,0),
(160850,10163864,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(160851,10163864,'Increases power of caster by 604',100,2,2),
(160852,10163864,'Cannot be modified except by direct means',100,2,3),
(160853,108877,'Inflicts 391 - 652 melee damage on target',100,1,0),
(160854,108877,'Decreases INT of target by 137.3',100,1,1),
(160855,10108877,'Inflicts 509 - 848 melee damage on target',100,1,0),
(160856,10108877,'Decreases INT of target by 137.3',100,1,1),
(160857,100426,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(160858,100426,'Inflicts 147 - 244 slashing damage on target',100,2,1),
(160859,100426,'Increases Threat to target by 358 ',100,2,2),
(160860,100426,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(160861,100426,'Increases Threat to target by 358 ',100,2,4),
(160862,100426,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1172',100,1,5),
(160863,10100426,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(160864,10100426,'Inflicts 191 - 318 slashing damage on target',100,2,1),
(160865,10100426,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(160866,10100426,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1172',100,1,3),
(160867,116577,'Inflicts 67 - 112 divine damage on target',100,1,0),
(160868,10116577,'Inflicts 87 - 146 divine damage on target',100,1,0),
(160869,80591,'When Equipped:',100,0,0),
(160870,80591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160871,80591,'Inflicts 75 - 138 magic damage on target',100,2,2),
(160872,80591,'Cannot be modified except by direct means',100,2,3),
(160873,10080591,'When Equipped:',100,0,0),
(160874,10080591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160875,10080591,'Inflicts 97 - 180 magic damage on target',100,2,2),
(160876,10080591,'Cannot be modified except by direct means',100,2,3),
(160877,111675,'Summons a pet ice wolf pup',100,1,0),
(160878,10111675,'Summons a pet ice wolf pup',100,1,0),
(160879,131102,'When Equipped:',100,0,0),
(160880,131102,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(160881,131102,'Wards target against 3200 points of all damage',100,2,2),
(160882,131102,'Cannot be modified except by direct means',100,2,3),
(160883,10131102,'When Equipped:',100,0,0),
(160884,10131102,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(160885,10131102,'Wards target against 3200 points of all damage',100,2,2),
(160886,10131102,'Cannot be modified except by direct means',100,2,3),
(160887,108456,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(160888,108456,'Increases Aggression of caster by 3.0',100,1,1),
(160889,108456,'Increases Defense and Parry of caster by 5.9',100,1,2),
(160890,108456,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(160891,10108456,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(160892,10108456,'Increases Aggression of caster by 3.0',100,1,1),
(160893,10108456,'Increases Defense and Parry of caster by 5.9',100,1,2),
(160894,10108456,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(160895,113333,'Inflicts 261 - 319 divine damage on target encounter',100,1,0),
(160896,113333,'Interrupts target encounter',100,1,1),
(160897,10113333,'Inflicts 339 - 415 divine damage on target encounter',100,1,0),
(160898,10113333,'Interrupts target encounter',100,1,1),
(160899,75134,'When Equipped:',100,0,0),
(160900,75134,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(160901,10075134,'When Equipped:',100,0,0),
(160902,10075134,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(160903,109265,'Increases INT and WIS of group members (AE) by 110.9',100,1,0),
(160904,109265,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 311',100,1,1),
(160905,10109265,'Increases INT and WIS of group members (AE) by 110.9',100,1,0),
(160906,10109265,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 311',100,1,1),
(160907,115940,'Inflicts 659 - 1099 melee damage on target',100,1,0),
(160908,115940,'Roots target',100,1,1),
(160909,115940,'If Target is not Epic',100,2,2),
(160910,115940,'5% chance to dispel when target takes damage',100,1,3),
(160911,115940,'Resistibility increases against targets higher than level 89.',100,1,4),
(160912,10115940,'Inflicts 857 - 1428 melee damage on target',100,1,0),
(160913,10115940,'Roots target',100,1,1),
(160914,10115940,'If Target is not Epic',100,2,2),
(160915,10115940,'5% chance to dispel when target takes damage',100,1,3),
(160916,10115940,'Resistibility increases against targets higher than level 89.',100,1,4),
(160917,120750,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(160918,120750,'Heals target for 44 - 54',100,2,1),
(160919,10120750,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(160920,10120750,'Heals target for 29 - 35',100,2,1),
(160921,115614,'Wards target against 1652 points of all damage',100,1,0),
(160922,10115614,'Wards target against 2478 points of all damage',100,1,0),
(160923,159973,'Applies Sanguine Imbued when Equipped.',100,0,0),
(160924,159973,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(160925,159973,'Inflicts 185 heat damage on target',100,2,2),
(160926,159973,'Cannot be modified except by direct means',100,2,3),
(160927,10159973,'Applies Sanguine Imbued when Equipped.',100,0,0),
(160928,10159973,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(160929,10159973,'Inflicts 241 heat damage on target',100,2,2),
(160930,10159973,'Cannot be modified except by direct means',100,2,3),
(160931,48879,'Applies Salvation of the Tranquil  when Activated.  Lasts for 30 minutes.',100,0,0),
(160932,48879,'Increases INT and WIS of caster by 16.0',100,1,1),
(160933,10048879,'Applies Salvation of the Tranquil  when Activated.  Lasts for 30 minutes.',100,0,0),
(160934,10048879,'Increases INT and WIS of caster by 16.0',100,1,1),
(160935,146810,'When Equipped:',100,0,0),
(160936,146810,'On a healing spell cast this spell may cast Healing Abundance on target of spell.  Lasts for 18.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(160937,146810,'Heals group members (AE) for 2041',100,2,2),
(160938,146810,'Heals group members (AE) for 583 every 4.5 seconds',100,2,3),
(160939,146810,'Must not be engaged in pvp combat',100,2,4),
(160940,146810,'Cannot be modified except by direct means',100,2,5),
(160941,146810,'Must not be engaged in pvp combat',100,1,6),
(160942,10146810,'When Equipped:',100,0,0),
(160943,10146810,'On a healing spell cast this spell may cast Healing Abundance on target of spell.  Lasts for 18.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(160944,10146810,'Heals group members (AE) for 2388',100,2,2),
(160945,10146810,'Heals group members (AE) for 682 every 4.5 seconds',100,2,3),
(160946,10146810,'Must not be engaged in pvp combat',100,2,4),
(160947,10146810,'Cannot be modified except by direct means',100,2,5),
(160948,10146810,'Must not be engaged in pvp combat',100,1,6),
(160949,111956,'Inflicts 196 - 240 disease damage on target',100,1,0),
(160950,111956,'Decreases Mitigation of target vs noxious damage by 372',100,1,1),
(160951,10111956,'Inflicts 328 - 401 disease damage on target',100,1,0),
(160952,10111956,'Decreases Mitigation of target vs noxious damage by 372',100,1,1),
(160953,50551,'When Equipped:',100,0,0),
(160954,50551,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160955,50551,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(160956,50551,'Cannot be modified except by direct means',100,2,3),
(160957,10050551,'When Equipped:',100,0,0),
(160958,10050551,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(160959,10050551,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(160960,10050551,'Cannot be modified except by direct means',100,2,3),
(160961,119724,'Wards group members (AE) against 11 points of elemental, noxious and arcane damage',100,1,0),
(160962,119724,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,1),
(160963,10119724,'Wards group members (AE) against 11 points of elemental, noxious and arcane damage',100,1,0),
(160964,10119724,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,1),
(160965,87194,'When Equipped:',100,0,0),
(160966,87194,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160967,87194,'Inflicts 76 - 114 magic damage on target',100,2,2),
(160968,87194,'Cannot be modified except by direct means',100,2,3),
(160969,10087194,'When Equipped:',100,0,0),
(160970,10087194,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(160971,10087194,'Inflicts 98 - 148 magic damage on target',100,2,2),
(160972,10087194,'Cannot be modified except by direct means',100,2,3),
(160973,100247,'Inflicts 16 - 29 poison damage on target instantly and every 3 seconds',100,1,0),
(160974,10100247,'Inflicts 46 - 85 poison damage on target instantly and every 3 seconds',100,1,0),
(160975,115171,'Heals target for 1268 - 1550',100,1,0),
(160976,10115171,'Heals target for 1717 - 2099',100,1,0),
(160977,107919,'Mesmerizes target',100,1,0),
(160978,107919,'Prevents AOE (except when direct) ',100,1,1),
(160979,107919,'Dispelled when target takes damage',100,1,2),
(160980,107919,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(160981,107919,'Resistibility increases against targets higher than level 53.',100,1,4),
(160982,10107919,'Mesmerizes target',100,1,0),
(160983,10107919,'Prevents AOE (except when direct) ',100,1,1),
(160984,10107919,'Dispelled when target takes damage',100,1,2),
(160985,10107919,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(160986,10107919,'Resistibility increases against targets higher than level 53.',100,1,4),
(160987,116591,'Inflicts 185 - 309 divine damage on target',100,1,0),
(160988,10116591,'Inflicts 241 - 402 divine damage on target',100,1,0),
(160989,101397,'Inflicts 257 - 429 melee damage on target',100,1,0),
(160990,101397,'Returns the last arrow used to the ranger.',100,1,1),
(160991,10101397,'Inflicts 335 - 558 melee damage on target',100,1,0),
(160992,10101397,'Returns the last arrow used to the ranger.',100,1,1),
(160993,159305,'Applies Sanguine Imbued when Equipped.',100,0,0),
(160994,159305,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(160995,159305,'Inflicts 161 heat damage on target',100,2,2),
(160996,159305,'Cannot be modified except by direct means',100,2,3),
(160997,10159305,'Applies Sanguine Imbued when Equipped.',100,0,0),
(160998,10159305,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(160999,10159305,'Inflicts 210 heat damage on target',100,2,2),
(161000,10159305,'Cannot be modified except by direct means',100,2,3),
(161001,26012,'When Equipped:',100,0,0),
(161002,26012,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(161003,26012,'Inflicts 250 magic damage on target',100,2,2),
(161004,26012,'Cannot be modified except by direct means',100,2,3),
(161005,10026012,'When Equipped:',100,0,0),
(161006,10026012,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(161007,10026012,'Inflicts 325 magic damage on target',100,2,2),
(161008,10026012,'Cannot be modified except by direct means',100,2,3),
(161009,145133,'When Equipped:',100,0,0),
(161010,145133,'When a combat art is used this spell has a 10% chance to cast Instill Foreboding on target of combat art.  ',100,1,1),
(161011,145133,'Decreases Threat to target by 250 ',100,2,2),
(161012,145133,'Cannot be modified except by direct means',100,2,3),
(161013,10145133,'When Equipped:',100,0,0),
(161014,10145133,'When a combat art is used this spell has a 10% chance to cast Instill Foreboding on target of combat art.  ',100,1,1),
(161015,10145133,'Cannot be modified except by direct means',100,2,2),
(161016,81872,'When Equipped:',100,0,0),
(161017,81872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161018,81872,'Inflicts 148 - 274 magic damage on target',100,2,2),
(161019,81872,'Cannot be modified except by direct means',100,2,3),
(161020,10081872,'When Equipped:',100,0,0),
(161021,10081872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161022,10081872,'Inflicts 192 - 356 magic damage on target',100,2,2),
(161023,10081872,'Cannot be modified except by direct means',100,2,3),
(161024,110737,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(161025,110737,'Heals group members (AE) for 1251',100,2,1),
(161026,10110737,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(161027,10110737,'Heals group members (AE) for 813',100,2,1),
(161028,136160,'When Equipped:',100,0,0),
(161029,136160,'Increases Attack Speed of caster by 45.0',100,1,1),
(161030,10136160,'When Equipped:',100,0,0),
(161031,10136160,'Increases Attack Speed of caster by 45.0',100,1,1),
(161032,37196,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(161033,181281,'When Equipped:',100,0,0),
(161034,181281,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161035,181281,'Inflicts 2648 heat damage on target',100,2,2),
(161036,181281,'Cannot be modified except by direct means',100,2,3),
(161037,10181281,'When Equipped:',100,0,0),
(161038,10181281,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161039,10181281,'Inflicts 1721 heat damage on target',100,2,2),
(161040,10181281,'Cannot be modified except by direct means',100,2,3),
(161041,141141,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(161042,141141,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(161043,141141,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(161044,141141,'Cannot be modified except by direct means',100,2,3),
(161045,10141141,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(161046,10141141,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(161047,10141141,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(161048,10141141,'Cannot be modified except by direct means',100,2,3),
(161049,178829,'When Equipped:',100,0,0),
(161050,178829,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(161051,178829,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(161052,178829,'Inflicts 393 mental damage on target',100,2,3),
(161053,178829,'Must not be classified as an undead',100,3,4),
(161054,178829,'Inflicts 787 mental damage on target',100,2,5),
(161055,178829,'Must be classified as an undead',100,3,6),
(161056,178829,'Decreases Mitigation of target vs arcane damage by 656',100,2,7),
(161057,178829,'Must be classified as an undead',100,3,8),
(161058,178829,'Cannot be modified except by direct means',100,2,9),
(161059,10178829,'When Equipped:',100,0,0),
(161060,10178829,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(161061,10178829,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(161062,10178829,'Inflicts 511 mental damage on target',100,2,3),
(161063,10178829,'Must not be classified as an undead',100,3,4),
(161064,10178829,'Inflicts 1023 mental damage on target',100,2,5),
(161065,10178829,'Must be classified as an undead',100,3,6),
(161066,10178829,'Decreases Mitigation of target vs arcane damage by 656',100,2,7),
(161067,10178829,'Must be classified as an undead',100,3,8),
(161068,10178829,'Cannot be modified except by direct means',100,2,9),
(161069,26522,'When Equipped:',100,0,0),
(161070,26522,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(161071,26522,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(161072,10026522,'When Equipped:',100,0,0),
(161073,10026522,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(161074,10026522,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(161075,106551,'Inflicts 775 - 947 melee damage on target',100,1,0),
(161076,106551,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(161077,106551,'Increases Hate Gain of target by 30.0%',100,2,2),
(161078,106551,'Grants a total of 1 trigger of the spell.',100,2,3),
(161079,10106551,'Inflicts 1007 - 1231 melee damage on target',100,1,0),
(161080,10106551,'25% chance to apply Distract on termination.',100,1,1),
(161081,10106551,'Forces target to clear their selected target.',100,2,2),
(161082,158293,'When Equipped:',100,0,0),
(161083,158293,'When damaged in combat this spell has a 5% chance to cast Divine Fortitude on caster.  Lasts for 4.0 seconds.  ',100,1,1),
(161084,158293,'Increases INT and STR of caster by 200.0',100,2,2),
(161085,158293,'Increases Mitigation of caster vs physical damage by 200',100,2,3),
(161086,158293,'Cannot be modified except by direct means',100,2,4),
(161087,10158293,'When Equipped:',100,0,0),
(161088,10158293,'When damaged in combat this spell has a 5% chance to cast Divine Fortitude on caster.  Lasts for 4.0 seconds.  ',100,1,1),
(161089,10158293,'Increases INT and STR of caster by 200.0',100,2,2),
(161090,10158293,'Increases Mitigation of caster vs physical damage by 200',100,2,3),
(161091,10158293,'Cannot be modified except by direct means',100,2,4),
(161092,102636,'Inflicts 61 - 103 melee damage on target',100,1,0),
(161093,102636,'Inflicts 27 heat damage on target every 6 seconds',100,1,1),
(161094,10102636,'Inflicts 80 - 134 melee damage on target',100,1,0),
(161095,10102636,'Inflicts 35 heat damage on target every 6 seconds',100,1,1),
(161096,113304,'Inflicts 809 - 1349 heat damage on target',100,1,0),
(161097,10113304,'Inflicts 1594 - 2658 heat damage on target',100,1,0),
(161098,102816,'Summons 3 limited pets to aid the caster',100,1,0),
(161099,10102816,'Summons 3 limited pets to aid the caster',100,1,0),
(161100,123799,'Inflicts 33 - 55 magic damage on target',100,1,0),
(161101,123799,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(161102,123799,'Decreases Defense of target by 9.2',100,1,2),
(161103,123799,'Target will lose 18% more power when power is consumed',100,1,3),
(161104,123799,'18% of target''s power consumed will also be drained from target''s health',100,1,4),
(161105,10123799,'Inflicts 43 - 72 magic damage on target',100,1,0),
(161106,10123799,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(161107,10123799,'Decreases Defense of target by 9.2',100,1,2),
(161108,10123799,'Target will lose 18% more power when power is consumed',100,1,3),
(161109,10123799,'18% of target''s power consumed will also be drained from target''s health',100,1,4),
(161110,113412,'Reduces physical damage done to caster by 5%',100,1,0),
(161111,113412,'Increases STA of caster by 82.1',100,1,1),
(161112,113412,'Adds 3.7% to base avoidance.',100,1,2),
(161113,113412,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(161114,113412,'Increases Defense and Aggression of caster by 15.8',100,1,4),
(161115,113412,'Increases Mitigation of caster vs noxious damage by 1056',100,1,5),
(161116,113412,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(161117,10113412,'Reduces physical damage done to caster by 5%',100,1,0),
(161118,10113412,'Increases STA of caster by 82.1',100,1,1),
(161119,10113412,'Adds 3.7% to base avoidance.',100,1,2),
(161120,10113412,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(161121,10113412,'Increases Defense and Aggression of caster by 15.8',100,1,4),
(161122,10113412,'Increases Mitigation of caster vs noxious damage by 1056',100,1,5),
(161123,10113412,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(161124,120853,'Inflicts 122 - 165 disease damage on target instantly and every second',100,1,0),
(161125,10120853,'Inflicts 222 - 300 disease damage on target',100,1,0),
(161126,10120853,'Inflicts 158 - 214 disease damage on target every second',100,1,1),
(161127,108932,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(161128,108932,'Inflicts 36 heat damage on target',100,2,1),
(161129,10108932,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(161130,10108932,'Inflicts 46 heat damage on target',100,2,1),
(161131,26023,'When Equipped:',100,0,0),
(161132,26023,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(161133,26023,'Inflicts 68 poison damage on target instantly and every 5 seconds',100,2,2),
(161134,26023,'Cannot be modified except by direct means',100,2,3),
(161135,10026023,'When Equipped:',100,0,0),
(161136,10026023,'On a combat hit this spell may cast Venom Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(161137,10026023,'Inflicts 88 poison damage on target instantly and every 5 seconds',100,2,2),
(161138,10026023,'Cannot be modified except by direct means',100,2,3),
(161139,46849,'Applies Leash when Activated.',100,0,0),
(161140,10046849,'Applies Leash when Activated.',100,0,0),
(161141,36899,'Increases Max Power of target by 3.3',100,0,0),
(161142,36899,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(161143,192193,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(161144,192193,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(161145,192193,'Heals target for 52 instantly and every 4 seconds',100,2,2),
(161146,192193,'Cannot be modified except by direct means',100,2,3),
(161147,10192193,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(161148,10192193,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(161149,10192193,'Heals target for 34 instantly and every 4 seconds',100,2,2),
(161150,10192193,'Cannot be modified except by direct means',100,2,3),
(161151,120162,'Applies Life Draw on termination.',100,1,0),
(161152,120162,'Inflicts 108 - 181 disease damage on target',100,2,1),
(161153,120162,'Heals caster for 58 - 96',100,2,2),
(161154,120162,'This effect cannot be critically applied.',100,3,3),
(161155,120162,'The healing of this spell cannot be modified except by direct means',100,2,4),
(161156,120162,'Inflicts 31 - 52 disease damage on target',100,1,5),
(161157,10120162,'Applies Life Draw on termination.',100,1,0),
(161158,10120162,'Inflicts 141 - 235 disease damage on target',100,2,1),
(161159,10120162,'Heals caster for 17 - 29',100,2,2),
(161160,10120162,'This effect cannot be critically applied.',100,3,3),
(161161,10120162,'The healing of this spell cannot be modified except by direct means',100,2,4),
(161162,10120162,'Inflicts 41 - 68 disease damage on target',100,1,5),
(161163,108063,'Inflicts 902 magic damage on target',100,1,0),
(161164,108063,'Increases power of caster by 468',100,1,1),
(161165,10108063,'Inflicts 1172 magic damage on target',100,1,0),
(161166,10108063,'Increases power of caster by 468',100,1,1),
(161167,80422,'When Equipped:',100,0,0),
(161168,80422,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(161169,80422,'Inflicts 70 - 131 magic damage on target',100,2,2),
(161170,80422,'Decreases Threat to target by 153 ',100,2,3),
(161171,80422,'Must be flanking or behind',100,3,4),
(161172,80422,'Increases Threat to target by 153 ',100,2,5),
(161173,80422,'Must be in front of',100,3,6),
(161174,80422,'Cannot be modified except by direct means',100,2,7),
(161175,10080422,'When Equipped:',100,0,0),
(161176,10080422,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(161177,10080422,'Inflicts 91 - 170 magic damage on target',100,2,2),
(161178,10080422,'Cannot be modified except by direct means',100,2,3),
(161179,49099,'Applies Flame Wave when Activated.',100,0,0),
(161180,49099,'Inflicts 242 - 327 heat damage on target',100,1,1),
(161181,10049099,'Applies Flame Wave when Activated.',100,0,0),
(161182,10049099,'Inflicts 314 - 425 heat damage on target',100,1,1),
(161183,119742,'Wards group members (AE) against 119 points of elemental, noxious and arcane damage',100,1,0),
(161184,119742,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,1),
(161185,10119742,'Wards group members (AE) against 119 points of elemental, noxious and arcane damage',100,1,0),
(161186,10119742,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,1),
(161187,108469,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(161188,108469,'Increases Aggression of caster by 9.7',100,1,1),
(161189,108469,'Increases Defense and Parry of caster by 19.3',100,1,2),
(161190,108469,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(161191,10108469,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(161192,10108469,'Increases Aggression of caster by 9.7',100,1,1),
(161193,10108469,'Increases Defense and Parry of caster by 19.3',100,1,2),
(161194,10108469,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(161195,120978,'Inflicts 14 - 23 poison damage on target',100,1,0),
(161196,120978,'Inflicts 4 - 6 poison damage on target instantly and every 4 seconds',100,1,1),
(161197,10120978,'Inflicts 18 - 30 poison damage on target',100,1,0),
(161198,10120978,'Inflicts 5 - 8 poison damage on target instantly and every 4 seconds',100,1,1),
(161199,101917,'Inflicts 47 piercing damage on target instantly and every 4 seconds',100,1,0),
(161200,101917,'Inflicts 139 - 232 melee damage on target',100,1,1),
(161201,101917,'Must be behind',100,1,2),
(161202,10101917,'Inflicts 60 piercing damage on target instantly and every 4 seconds',100,1,0),
(161203,10101917,'Inflicts 181 - 302 melee damage on target',100,1,1),
(161204,10101917,'Must be behind',100,1,2),
(161205,105482,'Stuns target encounter',100,1,0),
(161206,105482,'If Target is not Epic',100,2,1),
(161207,105482,'Inflicts 537 - 997 poison damage on target encounter',100,1,2),
(161208,105482,'Resistibility increases against targets higher than level 79.',100,1,3),
(161209,10105482,'Stuns target encounter',100,1,0),
(161210,10105482,'If Target is not Epic',100,2,1),
(161211,10105482,'Inflicts 698 - 1296 poison damage on target encounter',100,1,2),
(161212,10105482,'Resistibility increases against targets higher than level 79.',100,1,3),
(161213,104848,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(161214,104848,'If Fighter',100,2,1),
(161215,104848,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(161216,104848,'Increases power of target by 81',100,2,3),
(161217,104848,'Increases power of caster by 81',100,2,4),
(161218,10104848,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(161219,10104848,'Increases power of target by 81',100,2,1),
(161220,10104848,'Increases power of caster by 81',100,2,2),
(161221,80807,'When Equipped:',100,0,0),
(161222,80807,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(161223,80807,'Inflicts 288 - 534 magic damage on target',100,2,2),
(161224,80807,'Decreases Threat to target by 672 ',100,2,3),
(161225,80807,'Must be flanking or behind',100,3,4),
(161226,80807,'Increases Threat to target by 672 ',100,2,5),
(161227,80807,'Must be in front of',100,3,6),
(161228,80807,'Cannot be modified except by direct means',100,2,7),
(161229,10080807,'When Equipped:',100,0,0),
(161230,10080807,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(161231,10080807,'Inflicts 374 - 695 magic damage on target',100,2,2),
(161232,10080807,'Cannot be modified except by direct means',100,2,3),
(161233,80214,'When Equipped:',100,0,0),
(161234,80214,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161235,80214,'Inflicts 234 - 434 magic damage on target',100,2,2),
(161236,80214,'Cannot be modified except by direct means',100,2,3),
(161237,10080214,'When Equipped:',100,0,0),
(161238,10080214,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161239,10080214,'Inflicts 304 - 564 magic damage on target',100,2,2),
(161240,10080214,'Cannot be modified except by direct means',100,2,3),
(161241,115875,'Inflicts 1012 - 1687 mental damage on target encounter',100,1,0),
(161242,115875,'Interrupts target encounter',100,1,1),
(161243,10115875,'Inflicts 1316 - 2193 mental damage on target encounter',100,1,0),
(161244,10115875,'Interrupts target encounter',100,1,1),
(161245,82864,'When Equipped:',100,0,0),
(161246,82864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161247,82864,'Inflicts 350 - 650 magic damage on target',100,2,2),
(161248,82864,'Cannot be modified except by direct means',100,2,3),
(161249,10082864,'When Equipped:',100,0,0),
(161250,10082864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161251,10082864,'Inflicts 455 - 845 magic damage on target',100,2,2),
(161252,10082864,'Cannot be modified except by direct means',100,2,3),
(161253,116922,'Summons a limited pet to aid the caster',100,1,0),
(161254,10116922,'Summons a limited pet to aid the caster',100,1,0),
(161255,158986,'When Equipped:',100,0,0),
(161256,158986,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(161257,158986,'Wards caster against 333 points of all damage',100,2,2),
(161258,158986,'Cannot be modified except by direct means',100,2,3),
(161259,10158986,'When Equipped:',100,0,0),
(161260,10158986,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(161261,10158986,'Wards caster against 333 points of all damage',100,2,2),
(161262,10158986,'Cannot be modified except by direct means',100,2,3),
(161263,121276,'Inflicts 6 - 7 magic damage on target instantly and every 4 seconds',100,1,0),
(161264,10121276,'Inflicts 8 - 9 magic damage on target instantly and every 4 seconds',100,1,0),
(161265,117673,'Decreases Mitigation of target vs physical damage by 624',100,1,0),
(161266,10117673,'Decreases Mitigation of target vs physical damage by 312',100,1,0),
(161267,113163,'Inflicts 423 disease damage on target',100,1,0),
(161268,113163,'Heals caster for 181',100,1,1),
(161269,10113163,'Inflicts 550 disease damage on target',100,1,0),
(161270,10113163,'Heals caster for 153',100,1,1),
(161271,102370,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(161272,102370,'Increases Damage Per Second of target by 16.9',100,2,1),
(161273,102370,'Increases Attack Speed of target by 16.9',100,2,2),
(161274,102370,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(161275,102370,'Increases Damage Per Second of target by 16.9',100,2,4),
(161276,102370,'Increases Attack Speed of target by 16.9',100,2,5),
(161277,102370,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(161278,102370,'Increases Damage Per Second of target by 16.9',100,2,7),
(161279,102370,'Increases Attack Speed of target by 16.9',100,2,8),
(161280,10102370,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(161281,10102370,'Increases Damage Per Second of target by 16.9',100,2,1),
(161282,10102370,'Increases Attack Speed of target by 16.9',100,2,2),
(161283,10102370,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(161284,10102370,'Increases Damage Per Second of target by 16.9',100,2,4),
(161285,10102370,'Increases Attack Speed of target by 16.9',100,2,5),
(161286,10102370,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(161287,10102370,'Increases Damage Per Second of target by 16.9',100,2,7),
(161288,10102370,'Increases Attack Speed of target by 16.9',100,2,8),
(161289,47958,'Applies Draw upon Essence when Activated.',100,0,0),
(161290,47958,'Increases power of caster by 8',100,1,1),
(161291,47958,'Requires 15 Health to cast.',100,1,2),
(161292,10047958,'Applies Draw upon Essence when Activated.',100,0,0),
(161293,10047958,'Increases power of caster by 8',100,1,1),
(161294,10047958,'Requires 15 Health to cast.',100,1,2),
(161295,141852,'When Equipped:',100,0,0),
(161296,141852,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(161297,141852,'Increases STA of caster by 23.1',100,2,2),
(161298,141852,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(161299,141852,'Cannot be modified except by direct means',100,2,4),
(161300,10141852,'When Equipped:',100,0,0),
(161301,10141852,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(161302,10141852,'Increases STA of caster by 23.1',100,2,2),
(161303,10141852,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(161304,10141852,'Cannot be modified except by direct means',100,2,4),
(161305,117403,'Increases Threat to target by 831 ',100,1,0),
(161306,117403,'Inflicts 143 - 431 melee damage on target',100,1,1),
(161307,10117403,'Forces target to change their selected target to caster.',100,1,0),
(161308,10117403,'Inflicts 124 - 374 melee damage on target',100,1,1),
(161309,122053,'Increases Threat to target by 612 - 749 ',100,1,0),
(161310,122053,'Inflicts 97 - 162 melee damage on target',100,1,1),
(161311,10122053,'Forces target to change their selected target to caster.',100,1,0),
(161312,10122053,'Inflicts 126 - 210 melee damage on target',100,1,1),
(161313,71638,'When Equipped:',100,0,0),
(161314,71638,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(161315,71638,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(161316,71638,'Cannot be modified except by direct means',100,2,3),
(161317,10071638,'When Equipped:',100,0,0),
(161318,10071638,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(161319,10071638,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(161320,10071638,'Cannot be modified except by direct means',100,2,3),
(161321,170108,'When Equipped:',100,0,0),
(161322,170108,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(161323,170108,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(161324,170108,'Increases Potency of caster by 11.0%',100,2,3),
(161325,170108,'Increases Ministration, Ordination, Disruption and Subjugation of caster by 11.5',100,2,4),
(161326,170108,'Must not be engaged in pvp combat',100,2,5),
(161327,170108,'Cannot be modified except by direct means',100,2,6),
(161328,170108,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(161329,170108,'Increases Potency of caster by 11.0%',100,2,8),
(161330,170108,'Increases Ministration, Ordination, Disruption and Subjugation of caster by 11.5',100,2,9),
(161331,170108,'Must not be engaged in pvp combat',100,2,10),
(161332,170108,'Cannot be modified except by direct means',100,2,11),
(161333,170108,'Cannot be modified except by direct means',100,1,12),
(161334,170108,'When Equipped:',100,0,13),
(161335,170108,'Increases Attack Speed of caster by 40.0',100,1,14),
(161336,10170108,'When Equipped:',100,0,0),
(161337,10170108,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(161338,10170108,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(161339,10170108,'Increases Potency of caster by 11.0%',100,2,3),
(161340,10170108,'Increases Ministration, Ordination, Disruption and Subjugation of caster by 11.5',100,2,4),
(161341,10170108,'Must not be engaged in pvp combat',100,2,5),
(161342,10170108,'Cannot be modified except by direct means',100,2,6),
(161343,10170108,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(161344,10170108,'Increases Potency of caster by 11.0%',100,2,8),
(161345,10170108,'Increases Ministration, Ordination, Disruption and Subjugation of caster by 11.5',100,2,9),
(161346,10170108,'Must not be engaged in pvp combat',100,2,10),
(161347,10170108,'Cannot be modified except by direct means',100,2,11),
(161348,10170108,'Cannot be modified except by direct means',100,1,12),
(161349,10170108,'When Equipped:',100,0,13),
(161350,10170108,'Increases Attack Speed of caster by 40.0',100,1,14),
(161351,112061,'Inflicts 23 - 43 heat damage on target instantly and every 3 seconds',100,1,0),
(161352,10112061,'Inflicts 30 - 56 heat damage on target instantly and every 3 seconds',100,1,0),
(161353,106561,'Inflicts 1077 - 1317 melee damage on target',100,1,0),
(161354,106561,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(161355,106561,'Increases Hate Gain of target by 30.0%',100,2,2),
(161356,106561,'Grants a total of 1 trigger of the spell.',100,2,3),
(161357,10106561,'Inflicts 1400 - 1712 melee damage on target',100,1,0),
(161358,10106561,'25% chance to apply Distract on termination.',100,1,1),
(161359,10106561,'Forces target to clear their selected target.',100,2,2),
(161360,45638,'Applies Elixir of Spiritual Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(161361,10045638,'Applies Elixir of Spiritual Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(161362,114746,'Inflicts 2286 - 3811 melee damage on target',100,1,0),
(161363,114746,'You must be in stealth.',100,1,1),
(161364,10114746,'Inflicts 1771 - 2951 melee damage on target',100,1,0),
(161365,10114746,'You must be in stealth.',100,1,1),
(161366,115031,'Heals target for 207 - 253',100,1,0),
(161367,10115031,'Heals target for 290 - 354',100,1,0),
(161368,119831,'Dazes target',100,1,0),
(161369,119831,'Does not affect Epic targets',100,1,1),
(161370,119831,'Resistibility increases against targets higher than level 50.',100,1,2),
(161371,10119831,'Dazes target',100,1,0),
(161372,10119831,'Does not affect Epic targets',100,1,1),
(161373,10119831,'Resistibility increases against targets higher than level 50.',100,1,2),
(161374,101704,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(161375,101704,'Inflicts 776 - 949 disease damage on target',100,2,1),
(161376,101704,'Grants a total of 3 triggers of the spell.',100,2,2),
(161377,10101704,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(161378,10101704,'Inflicts 1009 - 1233 disease damage on target',100,2,1),
(161379,10101704,'Grants a total of 3 triggers of the spell.',100,2,2),
(161380,35173,'Increases Max Health of target by 3.9',100,0,0),
(161381,35173,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(161382,160000,'Applies Lambent Imbued when Equipped.',100,0,0),
(161383,160000,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(161384,160000,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(161385,160000,'Cannot be modified except by direct means',100,2,3),
(161386,10160000,'Applies Lambent Imbued when Equipped.',100,0,0),
(161387,10160000,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(161388,10160000,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(161389,10160000,'Cannot be modified except by direct means',100,2,3),
(161390,83943,'When Equipped:',100,0,0),
(161391,83943,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(161392,83943,'Reduces healing received by 15.00%',100,2,2),
(161393,83943,'Cannot be modified except by direct means',100,2,3),
(161394,83943,'This effect can only trigger once every 1 second.',100,2,4),
(161395,83943,'Must be engaged in pvp combat',100,1,5),
(161396,10083943,'When Equipped:',100,0,0),
(161397,10083943,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(161398,10083943,'Reduces healing received by 15.00%',100,2,2),
(161399,10083943,'Cannot be modified except by direct means',100,2,3),
(161400,10083943,'This effect can only trigger once every 1 second.',100,2,4),
(161401,10083943,'Must be engaged in pvp combat',100,1,5),
(161402,144259,'When Equipped:',100,0,0),
(161403,144259,'Adds 3% Spell and Combat Art reuse speed bonus to Aria of Magic VI and Riana''s Relentless Tune VII.',100,1,1),
(161404,144259,'When Equipped:',100,0,2),
(161405,144259,'Increases poison trigger chance by 4.0%',100,1,3),
(161406,10144259,'When Equipped:',100,0,0),
(161407,10144259,'Adds 3% Spell and Combat Art reuse speed bonus to Aria of Magic VI and Riana''s Relentless Tune VII.',100,1,1),
(161408,10144259,'When Equipped:',100,0,2),
(161409,10144259,'Increases poison trigger chance by 4.0%',100,1,3),
(161410,117846,'Heals target for 36 - 44 instantly and every 2 seconds',100,1,0),
(161411,10117846,'Heals target for 23 - 29 instantly and every 2 seconds',100,1,0),
(161412,143007,'When Equipped:',100,0,0),
(161413,143007,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(161414,143007,'Decreases Attack Speed of target by 20.0',100,2,2),
(161415,143007,'Cannot be modified except by direct means',100,2,3),
(161416,10143007,'When Equipped:',100,0,0),
(161417,10143007,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(161418,10143007,'Decreases Attack Speed of target by 20.0',100,2,2),
(161419,10143007,'Cannot be modified except by direct means',100,2,3),
(161420,113229,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(161421,113229,'Inflicts 286 magic damage on target',100,2,1),
(161422,113229,'Grants a total of 5 triggers of the spell.',100,2,2),
(161423,10113229,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(161424,10113229,'Inflicts 372 magic damage on target',100,2,1),
(161425,10113229,'Grants a total of 5 triggers of the spell.',100,2,2),
(161426,26740,'When Equipped:',100,0,0),
(161427,26740,'On a critical spell hit this spell may cast Greater Waning Might I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(161428,26740,'Inflicts 3736 - 4129 disease damage on target',100,2,2),
(161429,26740,'Decreases STR of target by 168.8',100,2,3),
(161430,26740,'Must not be engaged in pvp combat',100,2,4),
(161431,26740,'Cannot be modified except by direct means',100,2,5),
(161432,26740,'On a critical combat hit this spell may cast Greater Waning Might I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(161433,26740,'Inflicts 3736 - 4129 disease damage on target',100,2,7),
(161434,26740,'Decreases STR of target by 168.8',100,2,8),
(161435,26740,'Must not be engaged in pvp combat',100,2,9),
(161436,26740,'Cannot be modified except by direct means',100,2,10),
(161437,26740,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(161438,26740,'Must not be engaged in pvp combat',100,1,12),
(161439,10026740,'When Equipped:',100,0,0),
(161440,10026740,'On a critical spell hit this spell may cast Greater Waning Might I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(161441,10026740,'Inflicts 4857 - 5368 disease damage on target',100,2,2),
(161442,10026740,'Decreases STR of target by 168.8',100,2,3),
(161443,10026740,'Must not be engaged in pvp combat',100,2,4),
(161444,10026740,'Cannot be modified except by direct means',100,2,5),
(161445,10026740,'On a critical combat hit this spell may cast Greater Waning Might I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(161446,10026740,'Inflicts 4857 - 5368 disease damage on target',100,2,7),
(161447,10026740,'Decreases STR of target by 168.8',100,2,8),
(161448,10026740,'Must not be engaged in pvp combat',100,2,9),
(161449,10026740,'Cannot be modified except by direct means',100,2,10),
(161450,10026740,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(161451,10026740,'Must not be engaged in pvp combat',100,1,12),
(161452,37489,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(161453,81405,'When Equipped:',100,0,0),
(161454,81405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161455,81405,'Inflicts 109 - 202 magic damage on target',100,2,2),
(161456,81405,'Cannot be modified except by direct means',100,2,3),
(161457,10081405,'When Equipped:',100,0,0),
(161458,10081405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161459,10081405,'Inflicts 142 - 263 magic damage on target',100,2,2),
(161460,10081405,'Cannot be modified except by direct means',100,2,3),
(161461,101393,'Inflicts 281 - 469 melee damage on target',100,1,0),
(161462,101393,'Returns the last arrow used to the ranger.',100,1,1),
(161463,10101393,'Inflicts 365 - 609 melee damage on target',100,1,0),
(161464,10101393,'Returns the last arrow used to the ranger.',100,1,1),
(161465,115234,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(161466,115234,'Decreases Mitigation of target vs noxious damage by 1188',100,2,1),
(161467,115234,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(161468,115234,'Decreases Mitigation of target vs noxious damage by 1188',100,2,3),
(161469,10115234,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(161470,10115234,'Decreases Mitigation of target vs noxious damage by 1188',100,2,1),
(161471,10115234,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(161472,10115234,'Decreases Mitigation of target vs noxious damage by 1188',100,2,3),
(161473,25218,'When Equipped:',100,0,0),
(161474,25218,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161475,25218,'Inflicts 25 divine damage on target',100,2,2),
(161476,25218,'Heals caster for 16',100,2,3),
(161477,25218,'Cannot be modified except by direct means',100,2,4),
(161478,10025218,'When Equipped:',100,0,0),
(161479,10025218,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161480,10025218,'Inflicts 33 divine damage on target',100,2,2),
(161481,10025218,'Heals caster for 10',100,2,3),
(161482,10025218,'Cannot be modified except by direct means',100,2,4),
(161483,47259,'Applies Kiston''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(161484,10047259,'Applies Kiston''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(161485,49205,'Applies Ice-Daze when Activated.',100,0,0),
(161486,49205,'The Bonechill Wand can be used on Bellywhumper burynai that are under 20 percent of life.',100,1,1),
(161487,10049205,'Applies Ice-Daze when Activated.',100,0,0),
(161488,10049205,'The Bonechill Wand can be used on Bellywhumper burynai that are under 20 percent of life.',100,1,1),
(161489,47035,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(161490,47035,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(161491,47035,'Decreases Attack Speed of target by 21.6',100,2,2),
(161492,47035,'Cannot be modified except by direct means',100,2,3),
(161493,47035,'Grants a total of 30 triggers of the spell.',100,2,4),
(161494,10047035,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(161495,10047035,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(161496,10047035,'Decreases Attack Speed of target by 21.6',100,2,2),
(161497,10047035,'Cannot be modified except by direct means',100,2,3),
(161498,10047035,'Grants a total of 30 triggers of the spell.',100,2,4),
(161499,120528,'Decreases Defense of target by 4.3',100,1,0),
(161500,10120528,'Decreases Defense of target by 4.3',100,1,0),
(161501,114111,'Inflicts 928 - 1547 melee damage on targets in area',100,1,0),
(161502,114111,'You must be in stealth to use this!',100,1,1),
(161503,10114111,'Inflicts 1206 - 2011 melee damage on targets in area',100,1,0),
(161504,10114111,'You must be in stealth to use this!',100,1,1),
(161505,100796,'Wards target against 629 points of all damage',100,1,0),
(161506,10100796,'Wards target against 968 points of all damage',100,1,0),
(161507,102501,'Inflicts 970 - 1616 crushing damage on target',100,1,0),
(161508,102501,'Prevents target from changing direction while active.',100,1,1),
(161509,102501,'If Target is not Epic',100,2,2),
(161510,102501,'Roots target',100,1,3),
(161511,102501,'If Target is not Epic',100,2,4),
(161512,102501,'Resistibility increases against targets higher than level 104.',100,1,5),
(161513,10102501,'Inflicts 1261 - 2101 crushing damage on target',100,1,0),
(161514,10102501,'Prevents target from changing direction while active.',100,1,1),
(161515,10102501,'If Target is not Epic',100,2,2),
(161516,10102501,'Roots target',100,1,3),
(161517,10102501,'If Target is not Epic',100,2,4),
(161518,10102501,'Resistibility increases against targets higher than level 104.',100,1,5),
(161519,108882,'Inflicts 474 - 790 melee damage on target',100,1,0),
(161520,108882,'Decreases INT of target by 163.7',100,1,1),
(161521,10108882,'Inflicts 616 - 1027 melee damage on target',100,1,0),
(161522,10108882,'Decreases INT of target by 163.7',100,1,1),
(161523,46535,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(161524,46535,'Increases STR of caster by 65.7',100,1,1),
(161525,10046535,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(161526,10046535,'Increases STR of caster by 65.7',100,1,1),
(161527,157331,'When Equipped:',100,0,0),
(161528,157331,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(161529,157331,'Decreases Damage Per Second of target by 15.0',100,2,2),
(161530,157331,'Cannot be modified except by direct means',100,2,3),
(161531,10157331,'When Equipped:',100,0,0),
(161532,10157331,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(161533,10157331,'Decreases Damage Per Second of target by 15.0',100,2,2),
(161534,10157331,'Cannot be modified except by direct means',100,2,3),
(161535,47118,'Applies Murky Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(161536,47118,'Only affects targets level 50 and above',100,1,1),
(161537,10047118,'Applies Murky Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(161538,10047118,'Only affects targets level 50 and above',100,1,1),
(161539,104584,'Inflicts 644 - 1073 disease damage on target',100,1,0),
(161540,104584,'Decreases WIS of target by 140.6',100,1,1),
(161541,10104584,'Inflicts 837 - 1395 disease damage on target',100,1,0),
(161542,10104584,'Decreases WIS of target by 140.6',100,1,1),
(161543,123409,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(161544,123409,'Heals caster for 59.4% of max health',100,2,1),
(161545,123409,'This effect cannot be critically applied.',100,3,2),
(161546,123409,'Applies Exploding Heart on termination.',100,2,3),
(161547,123409,'The healing of this spell cannot be modified except by direct means',100,2,4),
(161548,123409,'Grants a total of 1 trigger of the spell.',100,2,5),
(161549,10123409,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(161550,10123409,'Heals caster for 29.7% of max health',100,2,1),
(161551,10123409,'This effect cannot be critically applied.',100,3,2),
(161552,10123409,'Applies Exploding Heart on termination.',100,2,3),
(161553,10123409,'The healing of this spell cannot be modified except by direct means',100,2,4),
(161554,10123409,'Grants a total of 1 trigger of the spell.',100,2,5),
(161555,172549,'When Equipped:',100,0,0),
(161556,172549,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(161557,172549,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(161558,172549,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(161559,172549,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(161560,172549,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(161561,172549,'Must not be engaged in pvp combat',100,2,6),
(161562,172549,'Cannot be modified except by direct means',100,2,7),
(161563,172549,'Must not be engaged in pvp combat',100,1,8),
(161564,10172549,'When Equipped:',100,0,0),
(161565,10172549,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(161566,10172549,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(161567,10172549,'Inflicts 905 - 1000 piercing damage on target instantly and every 3 seconds',100,2,3),
(161568,10172549,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(161569,10172549,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(161570,10172549,'Must not be engaged in pvp combat',100,2,6),
(161571,10172549,'Cannot be modified except by direct means',100,2,7),
(161572,10172549,'Must not be engaged in pvp combat',100,1,8),
(161573,50848,'When Equipped:',100,0,0),
(161574,50848,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(161575,50848,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(161576,50848,'Only affects targets level 60 and below',100,2,3),
(161577,50848,'Cannot be modified except by direct means',100,2,4),
(161578,10050848,'When Equipped:',100,0,0),
(161579,10050848,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(161580,10050848,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(161581,10050848,'Only affects targets level 60 and below',100,2,3),
(161582,10050848,'Cannot be modified except by direct means',100,2,4),
(161583,115320,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(161584,115320,'Makes target afraid',100,2,1),
(161585,115320,'Slows target by 40.6%',100,2,2),
(161586,115320,'30% chance to dispel when target takes damage',100,2,3),
(161587,115320,'Does not affect Epic targets',100,2,4),
(161588,115320,'Resistibility increases against targets higher than level 48.',100,2,5),
(161589,115320,'Roots target',100,1,6),
(161590,115320,'15% chance to dispel when target takes damage',100,1,7),
(161591,115320,'Does not affect Epic targets',100,1,8),
(161592,115320,'Resistibility increases against targets higher than level 48.',100,1,9),
(161593,10115320,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(161594,10115320,'Makes target afraid',100,2,1),
(161595,10115320,'Slows target by 40.6%',100,2,2),
(161596,10115320,'30% chance to dispel when target takes damage',100,2,3),
(161597,10115320,'Does not affect Epic targets',100,2,4),
(161598,10115320,'Resistibility increases against targets higher than level 48.',100,2,5),
(161599,10115320,'Roots target',100,1,6),
(161600,10115320,'15% chance to dispel when target takes damage',100,1,7),
(161601,10115320,'Does not affect Epic targets',100,1,8),
(161602,10115320,'Resistibility increases against targets higher than level 48.',100,1,9),
(161603,36460,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(161604,185887,'When Equipped:',100,0,0),
(161605,185887,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(161606,185887,'When Equipped:',100,0,2),
(161607,185887,'Increases Attack Speed of caster by 30.0',100,1,3),
(161608,10185887,'When Equipped:',100,0,0),
(161609,10185887,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(161610,10185887,'When Equipped:',100,0,2),
(161611,10185887,'Increases Attack Speed of caster by 30.0',100,1,3),
(161612,122607,'Inflicts 161 - 197 mental damage on target instantly and every 3 seconds',100,1,0),
(161613,122607,'Decreases Mitigation of target vs arcane damage by 956',100,1,1),
(161614,10122607,'Inflicts 210 - 256 mental damage on target instantly and every 3 seconds',100,1,0),
(161615,10122607,'Decreases Mitigation of target vs arcane damage by 956',100,1,1),
(161616,25034,'When Equipped:',100,0,0),
(161617,25034,'Increases Ability Casting Speed of caster by 5.0%',100,1,1),
(161618,10025034,'When Equipped:',100,0,0),
(161619,10025034,'Increases Ability Casting Speed of caster by 5.0%',100,1,1),
(161620,134083,'When Equipped:',100,0,0),
(161621,134083,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(161622,10134083,'When Equipped:',100,0,0),
(161623,10134083,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(161624,106893,'Decreases Threat to targets in Area of Effect by 3,313 ',100,1,0),
(161625,106893,'Stuns targets in Area of Effect',100,1,1),
(161626,106893,'If Target is not Epic',100,2,2),
(161627,10106893,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(161628,10106893,'Applies Distract.',100,1,1),
(161629,10106893,'Forces target to clear their selected target.',100,2,2),
(161630,10106893,'Stuns targets in Area of Effect',100,1,3),
(161631,10106893,'If Target is not Epic',100,2,4),
(161632,116728,'Inflicts 684 - 1140 melee damage on target',100,1,0),
(161633,10116728,'Inflicts 889 - 1482 melee damage on target',100,1,0),
(161634,169128,'When Equipped:',100,0,0),
(161635,169128,'On a combat hit this spell may cast Infuriating Shout II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(161636,169128,'Increases Threat to target by 475 ',100,2,2),
(161637,169128,'Cannot be modified except by direct means',100,2,3),
(161638,10169128,'When Equipped:',100,0,0),
(161639,10169128,'On a combat hit this spell may cast Infuriating Shout II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(161640,10169128,'Cannot be modified except by direct means',100,2,2),
(161641,79879,'When Equipped:',100,0,0),
(161642,79879,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(161643,79879,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(161644,79879,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(161645,79879,'Heals target for 1840',100,3,4),
(161646,79879,'Must not be engaged in pvp combat',100,3,5),
(161647,79879,'Cannot be modified except by direct means',100,3,6),
(161648,79879,'Grants a total of 5 triggers of the spell.',100,3,7),
(161649,79879,'Must not be engaged in pvp combat',100,2,8),
(161650,79879,'Cannot be modified except by direct means',100,2,9),
(161651,79879,'Cannot be modified except by direct means',100,1,10),
(161652,79879,'When Equipped:',100,0,11),
(161653,79879,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(161654,79879,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(161655,79879,'Wards group members (AE) against 4400 points of all damage',100,2,14),
(161656,79879,'Must not be engaged in pvp combat',100,2,15),
(161657,79879,'Cannot be modified except by direct means',100,2,16),
(161658,79879,'Cannot be modified except by direct means',100,1,17),
(161659,10079879,'When Equipped:',100,0,0),
(161660,10079879,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(161661,10079879,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(161662,10079879,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(161663,10079879,'Heals target for 2153',100,3,4),
(161664,10079879,'Must not be engaged in pvp combat',100,3,5),
(161665,10079879,'Cannot be modified except by direct means',100,3,6),
(161666,10079879,'Grants a total of 5 triggers of the spell.',100,3,7),
(161667,10079879,'Must not be engaged in pvp combat',100,2,8),
(161668,10079879,'Cannot be modified except by direct means',100,2,9),
(161669,10079879,'Cannot be modified except by direct means',100,1,10),
(161670,10079879,'When Equipped:',100,0,11),
(161671,10079879,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(161672,10079879,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(161673,10079879,'Wards group members (AE) against 4400 points of all damage',100,2,14),
(161674,10079879,'Must not be engaged in pvp combat',100,2,15),
(161675,10079879,'Cannot be modified except by direct means',100,2,16),
(161676,10079879,'Cannot be modified except by direct means',100,1,17),
(161677,75230,'When Equipped:',100,0,0),
(161678,75230,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(161679,10075230,'When Equipped:',100,0,0),
(161680,10075230,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(161681,114979,'Summon 1 Shard of Essence (Expert)',100,1,0),
(161682,114979,'Must not be engaged in combat',100,1,1),
(161683,10114979,'Summon 1 Shard of Essence (Expert)',100,1,0),
(161684,10114979,'Must not be engaged in combat',100,1,1),
(161685,26131,'When Equipped:',100,0,0),
(161686,26131,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,1),
(161687,26131,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(161688,10026131,'When Equipped:',100,0,0),
(161689,10026131,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,1),
(161690,10026131,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(161691,121922,'Inflicts 209 - 348 mental damage on target encounter',100,1,0),
(161692,121922,'Increases power of group members (AE) by 124 - 206',100,1,1),
(161693,10121922,'Inflicts 272 - 453 mental damage on target encounter',100,1,0),
(161694,10121922,'Increases power of group members (AE) by 124 - 206',100,1,1),
(161695,115501,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(161696,115501,'Increases Mitigation of group members (AE) vs noxious damage by 375',100,1,1),
(161697,10115501,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(161698,10115501,'Increases Mitigation of group members (AE) vs noxious damage by 375',100,1,1),
(161699,170542,'When Equipped:',100,0,0),
(161700,170542,'Increases Attack Speed of caster by 35.0',100,1,1),
(161701,10170542,'When Equipped:',100,0,0),
(161702,10170542,'Increases Attack Speed of caster by 35.0',100,1,1),
(161703,103613,'Increases STR of raid and group members (AE) by 7.2',100,1,0),
(161704,103613,'Improves the base amount of taunts by 12%.',100,1,1),
(161705,103613,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(161706,103613,'Increases AGI of raid and group members (AE) by 7.2',100,1,3),
(161707,103613,'Adds 1.2% to base avoidance.',100,1,4),
(161708,10103613,'Increases STR of raid and group members (AE) by 7.2',100,1,0),
(161709,10103613,'Improves the base amount of taunts by 12%.',100,1,1),
(161710,10103613,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(161711,10103613,'Increases AGI of raid and group members (AE) by 7.2',100,1,3),
(161712,10103613,'Adds 1.2% to base avoidance.',100,1,4),
(161713,37067,'Increases STR of target by 1.5',100,0,0),
(161714,37067,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(161715,134915,'When Equipped:',100,0,0),
(161716,134915,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(161717,134915,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(161718,134915,'Inflicts 393 divine damage on target',100,2,3),
(161719,134915,'Must not be classified as a vampire',100,3,4),
(161720,134915,'Inflicts 787 divine damage on target',100,2,5),
(161721,134915,'Must be classified as a vampire',100,3,6),
(161722,134915,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(161723,134915,'Must be classified as a vampire',100,3,8),
(161724,134915,'Cannot be modified except by direct means',100,2,9),
(161725,10134915,'When Equipped:',100,0,0),
(161726,10134915,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(161727,10134915,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(161728,10134915,'Inflicts 511 divine damage on target',100,2,3),
(161729,10134915,'Must not be classified as a vampire',100,3,4),
(161730,10134915,'Inflicts 1023 divine damage on target',100,2,5),
(161731,10134915,'Must be classified as a vampire',100,3,6),
(161732,10134915,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(161733,10134915,'Must be classified as a vampire',100,3,8),
(161734,10134915,'Cannot be modified except by direct means',100,2,9),
(161735,72765,'When Equipped:',100,0,0),
(161736,72765,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161737,72765,'Inflicts 1192 piercing damage on target',100,2,2),
(161738,72765,'Cannot be modified except by direct means',100,2,3),
(161739,10072765,'When Equipped:',100,0,0),
(161740,10072765,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161741,10072765,'Inflicts 775 piercing damage on target',100,2,2),
(161742,10072765,'Cannot be modified except by direct means',100,2,3),
(161743,139499,'Applies Aqua Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(161744,139499,'Grants Fish Vision to caster',100,1,1),
(161745,139499,'The reuse time of Aqua Vision is 2.0 seconds',100,1,2),
(161746,139499,'When Equipped:',100,0,3),
(161747,139499,'Reduces maximum falling speed of caster',100,1,4),
(161748,10139499,'Applies Aqua Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(161749,10139499,'Grants Fish Vision to caster',100,1,1),
(161750,10139499,'The reuse time of Aqua Vision is 2.0 seconds',100,1,2),
(161751,10139499,'When Equipped:',100,0,3),
(161752,10139499,'Reduces maximum falling speed of caster',100,1,4),
(161753,37031,'Increases STR of target by 1.5',100,0,0),
(161754,37031,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(161755,46484,'Applies Glacial Warg when Activated.',100,0,0),
(161756,46484,'Summons a mount to ride',100,1,1),
(161757,46484,'Increases your ground speed by 130%',100,2,2),
(161758,10046484,'Applies Glacial Warg when Activated.',100,0,0),
(161759,10046484,'Summons a mount to ride',100,1,1),
(161760,10046484,'Increases your ground speed by 130%',100,2,2),
(161761,141987,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(161762,141987,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(161763,141987,'Decreases Attack Speed of target by 13.5',100,2,2),
(161764,141987,'Cannot be modified except by direct means',100,2,3),
(161765,141987,'Slows target by 35.1%',100,1,4),
(161766,141987,'5% chance to dispel when target takes damage',100,1,5),
(161767,141987,'5% chance to dispel when target receives hostile action',100,1,6),
(161768,141987,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(161769,10141987,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(161770,10141987,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(161771,10141987,'Decreases Attack Speed of target by 13.5',100,2,2),
(161772,10141987,'Cannot be modified except by direct means',100,2,3),
(161773,10141987,'Slows target by 35.1%',100,1,4),
(161774,10141987,'5% chance to dispel when target takes damage',100,1,5),
(161775,10141987,'5% chance to dispel when target receives hostile action',100,1,6),
(161776,10141987,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(161777,35121,'Increases Max Power of target by 5.5',100,0,0),
(161778,35121,'Increases Max Health of target by 5.5',100,0,1),
(161779,35121,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(161780,27279,'When Equipped:',100,0,0),
(161781,27279,'Increases Attack Speed of caster by 3.0',100,1,1),
(161782,10027279,'When Equipped:',100,0,0),
(161783,10027279,'Increases Attack Speed of caster by 3.0',100,1,1),
(161784,177780,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(161785,177780,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(161786,177780,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(161787,10177780,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(161788,10177780,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(161789,10177780,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(161790,48600,'Applies Totem of the Enduring Spirit when Activated.  Lasts for 15 minutes.',100,0,0),
(161791,48600,'Grants Fish Vision to caster',100,1,1),
(161792,48600,'Allows caster to breathe under water',100,1,2),
(161793,48600,'Allows caster to walk under water',100,1,3),
(161794,48600,'Only affects targets level 80 and above',100,1,4),
(161795,10048600,'Applies Totem of the Enduring Spirit when Activated.  Lasts for 15 minutes.',100,0,0),
(161796,10048600,'Grants Fish Vision to caster',100,1,1),
(161797,10048600,'Allows caster to breathe under water',100,1,2),
(161798,10048600,'Allows caster to walk under water',100,1,3),
(161799,10048600,'Only affects targets level 80 and above',100,1,4),
(161800,49183,'Applies Ykeshan Aloe Salve when Activated.',100,0,0),
(161801,10049183,'Applies Ykeshan Aloe Salve when Activated.',100,0,0),
(161802,105971,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(161803,105971,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(161804,105971,'Inflicts 156 - 261 piercing damage on target',100,3,2),
(161805,105971,'Grants a total of 5 triggers of the spell.',100,3,3),
(161806,105971,'Grants a total of 1 trigger of the spell.',100,2,4),
(161807,10105971,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(161808,10105971,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(161809,10105971,'Inflicts 203 - 339 piercing damage on target',100,3,2),
(161810,10105971,'Grants a total of 5 triggers of the spell.',100,3,3),
(161811,10105971,'Grants a total of 1 trigger of the spell.',100,2,4),
(161812,109030,'Increases Attack Speed of caster by 13.4',100,1,0),
(161813,109030,'Decreases Defense of caster by 1.8',100,1,1),
(161814,109030,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.0',100,1,2),
(161815,10109030,'Increases Attack Speed of caster by 13.4',100,1,0),
(161816,10109030,'Decreases Defense of caster by 1.8',100,1,1),
(161817,10109030,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.0',100,1,2),
(161818,139337,'When Equipped:',100,0,0),
(161819,139337,'Reduces maximum falling speed of caster',100,1,1),
(161820,10139337,'When Equipped:',100,0,0),
(161821,10139337,'Reduces maximum falling speed of caster',100,1,1),
(161822,119687,'Increases Threat to target encounter by 152 - 185 ',100,1,0),
(161823,10119687,'Prevents target encounter from changing targets',100,1,0),
(161824,10119687,'Forces target encounter to change their selected target to caster.',100,1,1),
(161825,114579,'Inflicts 321 - 536 ranged damage on target',100,1,0),
(161826,114579,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(161827,114579,'Requires bow',100,1,2),
(161828,10114579,'Inflicts 339 - 565 ranged damage on target',100,1,0),
(161829,10114579,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(161830,10114579,'Requires bow',100,1,2),
(161831,110417,'Inflicts 3160 - 5266 disease damage on target',100,1,0),
(161832,10110417,'Inflicts 2817 - 4695 disease damage on target',100,1,0),
(161833,26656,'When Equipped:',100,0,0),
(161834,26656,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(161835,26656,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(161836,10026656,'When Equipped:',100,0,0),
(161837,10026656,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(161838,10026656,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(161839,124224,'Decreases Attack Speed of caster by 15.5',100,1,0),
(161840,124224,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(161841,124224,'Slows targets in Area of Effect by 39.0%',100,2,2),
(161842,124224,'5% chance to dispel when target receives hostile action',100,2,3),
(161843,124224,'5% chance to dispel when target takes damage',100,2,4),
(161844,124224,'Increases Mitigation of caster vs physical damage by 523',100,1,5),
(161845,10124224,'Decreases Attack Speed of caster by 15.5',100,1,0),
(161846,10124224,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(161847,10124224,'Slows targets in Area of Effect by 29.2%',100,2,2),
(161848,10124224,'5% chance to dispel when target receives hostile action',100,2,3),
(161849,10124224,'5% chance to dispel when target takes damage',100,2,4),
(161850,10124224,'Increases Mitigation of caster vs physical damage by 523',100,1,5),
(161851,71759,'When Equipped:',100,0,0),
(161852,71759,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(161853,71759,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(161854,71759,'Cannot be modified except by direct means',100,2,3),
(161855,10071759,'When Equipped:',100,0,0),
(161856,10071759,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(161857,10071759,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(161858,10071759,'Cannot be modified except by direct means',100,2,3),
(161859,46318,'Applies Confetti firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(161860,46318,'Launches a firework when used.',100,1,1),
(161861,10046318,'Applies Confetti firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(161862,10046318,'Launches a firework when used.',100,1,1),
(161863,120051,'Inflicts 45 - 75 mental damage on target',100,1,0),
(161864,120051,'Inflicts 45 - 75 mental damage on target',100,1,1),
(161865,120051,'Stifles target',100,1,2),
(161866,120051,'If Target is not Epic',100,2,3),
(161867,120051,'If weapon equipped in Ranged',100,1,4),
(161868,120051,'Resistibility increases against targets higher than level 45.',100,1,5),
(161869,10120051,'Inflicts 38 - 63 mental damage on target',100,1,0),
(161870,10120051,'Inflicts 38 - 63 mental damage on target',100,1,1),
(161871,10120051,'Stifles target',100,1,2),
(161872,10120051,'If Target is not Epic',100,2,3),
(161873,10120051,'If weapon equipped in Ranged',100,1,4),
(161874,10120051,'Resistibility increases against targets higher than level 45.',100,1,5),
(161875,121008,'Inflicts 179 - 298 poison damage on target',100,1,0),
(161876,121008,'Inflicts 45 - 75 poison damage on target instantly and every 4 seconds',100,1,1),
(161877,10121008,'Inflicts 233 - 388 poison damage on target',100,1,0),
(161878,10121008,'Inflicts 58 - 97 poison damage on target instantly and every 4 seconds',100,1,1),
(161879,121997,'Inflicts 199 - 332 melee damage on targets in area',100,1,0),
(161880,121997,'Increases Threat to target encounter by 688 ',100,1,1),
(161881,10121997,'Inflicts 259 - 432 melee damage on targets in area',100,1,0),
(161882,10121997,'Prevents target encounter from changing targets',100,1,1),
(161883,10121997,'Forces target encounter to change their selected target to caster.',100,1,2),
(161884,118903,'Inflicts 472 - 788 melee damage on target',100,1,0),
(161885,118903,'Inflicts 472 - 788 melee damage on target',100,1,1),
(161886,118903,'Inflicts 472 - 788 melee damage on target',100,1,2),
(161887,118903,'Inflicts 472 - 788 melee damage on target',100,1,3),
(161888,118903,'Inflicts 472 - 788 melee damage on target',100,1,4),
(161889,10118903,'Inflicts 614 - 1024 melee damage on target',100,1,0),
(161890,10118903,'Inflicts 614 - 1024 melee damage on target',100,1,1),
(161891,10118903,'Inflicts 614 - 1024 melee damage on target',100,1,2),
(161892,10118903,'Inflicts 614 - 1024 melee damage on target',100,1,3),
(161893,10118903,'Inflicts 614 - 1024 melee damage on target',100,1,4),
(161894,81208,'When Equipped:',100,0,0),
(161895,81208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161896,81208,'Inflicts 315 - 585 magic damage on target',100,2,2),
(161897,81208,'Cannot be modified except by direct means',100,2,3),
(161898,10081208,'When Equipped:',100,0,0),
(161899,10081208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161900,10081208,'Inflicts 409 - 760 magic damage on target',100,2,2),
(161901,10081208,'Cannot be modified except by direct means',100,2,3),
(161902,152806,'When Equipped:',100,0,0),
(161903,152806,'Increases Attack Speed of caster by 45.0',100,1,1),
(161904,10152806,'When Equipped:',100,0,0),
(161905,10152806,'Increases Attack Speed of caster by 45.0',100,1,1),
(161906,110195,'Interrupts target',100,1,0),
(161907,110195,'Inflicts 18 - 30 crushing damage on target',100,1,1),
(161908,10110195,'Interrupts target',100,1,0),
(161909,10110195,'Inflicts 23 - 39 crushing damage on target',100,1,1),
(161910,82706,'When Equipped:',100,0,0),
(161911,82706,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(161912,82706,'Inflicts 365 - 678 magic damage on target',100,2,2),
(161913,82706,'Decreases Threat to target by 1,174 ',100,2,3),
(161914,82706,'Must be flanking or behind',100,3,4),
(161915,82706,'Increases Threat to target by 1,174 ',100,2,5),
(161916,82706,'Must be in front of',100,3,6),
(161917,82706,'Cannot be modified except by direct means',100,2,7),
(161918,10082706,'When Equipped:',100,0,0),
(161919,10082706,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(161920,10082706,'Inflicts 474 - 881 magic damage on target',100,2,2),
(161921,10082706,'Cannot be modified except by direct means',100,2,3),
(161922,115633,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 190',100,1,0),
(161923,10115633,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 190',100,1,0),
(161924,26226,'When Equipped:',100,0,0),
(161925,26226,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(161926,26226,'Decreases Threat to target encounter by 897 ',100,2,2),
(161927,26226,'Cannot be modified except by direct means',100,2,3),
(161928,10026226,'When Equipped:',100,0,0),
(161929,10026226,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(161930,10026226,'Cannot be modified except by direct means',100,2,2),
(161931,108557,'Makes target afraid',100,1,0),
(161932,108557,'30% chance to dispel when target takes damage',100,1,1),
(161933,108557,'Does not affect Epic targets',100,1,2),
(161934,108557,'Resistibility increases against targets higher than level 81.',100,1,3),
(161935,10108557,'Makes target afraid',100,1,0),
(161936,10108557,'30% chance to dispel when target takes damage',100,1,1),
(161937,10108557,'Does not affect Epic targets',100,1,2),
(161938,10108557,'Resistibility increases against targets higher than level 81.',100,1,3),
(161939,121958,'Inflicts 83 - 138 disease damage on target',100,1,0),
(161940,121958,'Decreases Defense of target by 18.0',100,1,1),
(161941,121958,'Interrupts target',100,1,2),
(161942,10121958,'Inflicts 108 - 180 disease damage on target',100,1,0),
(161943,10121958,'Decreases Defense of target by 18.0',100,1,1),
(161944,10121958,'Interrupts target',100,1,2),
(161945,112803,'Inflicts 827 - 1378 slashing damage on target',100,1,0),
(161946,112803,'Stifles target',100,1,1),
(161947,112803,'If Target is not Epic',100,2,2),
(161948,112803,'You must be in stealth.',100,1,3),
(161949,112803,'Resistibility increases against targets higher than level 77.',100,1,4),
(161950,10112803,'Inflicts 1075 - 1792 slashing damage on target',100,1,0),
(161951,10112803,'Stifles target',100,1,1),
(161952,10112803,'If Target is not Epic',100,2,2),
(161953,10112803,'You must be in stealth.',100,1,3),
(161954,10112803,'Resistibility increases against targets higher than level 77.',100,1,4),
(161955,120748,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(161956,120748,'Heals target for 53 - 65',100,2,1),
(161957,10120748,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(161958,10120748,'Heals target for 34 - 42',100,2,1),
(161959,110958,'Inflicts 510 - 850 ranged damage on target',100,1,0),
(161960,110958,'I need to be stealthed!',100,1,1),
(161961,110958,'Requires bow',100,1,2),
(161962,10110958,'Inflicts 325 - 542 ranged damage on target',100,1,0),
(161963,10110958,'I need to be stealthed!',100,1,1),
(161964,10110958,'Requires bow',100,1,2),
(161965,36552,'Increases Max Power of target by 3.3',100,0,0),
(161966,36552,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(161967,113476,'Increases INT of target by 142.6',100,1,0),
(161968,113476,'Increases Max Health of target by 1,187.8',100,1,1),
(161969,10113476,'Increases INT of target by 142.6',100,1,0),
(161970,10113476,'Increases Max Health of target by 1,187.8',100,1,1),
(161971,41792,'When Equipped:',100,0,0),
(161972,41792,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161973,41792,'Inflicts 1192 piercing damage on target',100,2,2),
(161974,41792,'Cannot be modified except by direct means',100,2,3),
(161975,10041792,'When Equipped:',100,0,0),
(161976,10041792,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(161977,10041792,'Inflicts 775 piercing damage on target',100,2,2),
(161978,10041792,'Cannot be modified except by direct means',100,2,3),
(161979,89900,'When Equipped:',100,0,0),
(161980,89900,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(161981,10089900,'When Equipped:',100,0,0),
(161982,10089900,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(161983,82579,'When Equipped:',100,0,0),
(161984,82579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161985,82579,'Inflicts 116 - 215 magic damage on target',100,2,2),
(161986,82579,'Cannot be modified except by direct means',100,2,3),
(161987,10082579,'When Equipped:',100,0,0),
(161988,10082579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161989,10082579,'Inflicts 151 - 280 magic damage on target',100,2,2),
(161990,10082579,'Cannot be modified except by direct means',100,2,3),
(161991,37053,'Increases Max Power of target by 3.3',100,0,0),
(161992,37053,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(161993,80543,'When Equipped:',100,0,0),
(161994,80543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161995,80543,'Inflicts 109 - 202 magic damage on target',100,2,2),
(161996,80543,'Cannot be modified except by direct means',100,2,3),
(161997,10080543,'When Equipped:',100,0,0),
(161998,10080543,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(161999,10080543,'Inflicts 142 - 263 magic damage on target',100,2,2),
(162000,10080543,'Cannot be modified except by direct means',100,2,3),
(162001,40847,'When Equipped:',100,0,0),
(162002,40847,'On a critical spell hit this spell may cast Demolishing Charge VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(162003,40847,'Inflicts 2177 - 2407 crushing damage on target',100,2,2),
(162004,40847,'Increases Threat to target by 2,375 - 2,625 ',100,2,3),
(162005,40847,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,4),
(162006,40847,'Stuns target',100,3,5),
(162007,40847,'Throws target back',100,3,6),
(162008,40847,'Blurs vision of target',100,3,7),
(162009,40847,'Does not affect Epic targets',100,3,8),
(162010,40847,'Must not be engaged in pvp combat',100,2,9),
(162011,40847,'Cannot be modified except by direct means',100,2,10),
(162012,40847,'On a critical combat hit this spell may cast Demolishing Charge VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(162013,40847,'Inflicts 2177 - 2407 crushing damage on target',100,2,12),
(162014,40847,'Increases Threat to target by 2,375 - 2,625 ',100,2,13),
(162015,40847,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,14),
(162016,40847,'Stuns target',100,3,15),
(162017,40847,'Throws target back',100,3,16),
(162018,40847,'Blurs vision of target',100,3,17),
(162019,40847,'Does not affect Epic targets',100,3,18),
(162020,40847,'Must not be engaged in pvp combat',100,2,19),
(162021,40847,'Cannot be modified except by direct means',100,2,20),
(162022,40847,'Must not be engaged in pvp combat',100,1,21),
(162023,10040847,'When Equipped:',100,0,0),
(162024,10040847,'On a critical spell hit this spell may cast Demolishing Charge VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(162025,10040847,'Inflicts 2831 - 3129 crushing damage on target',100,2,2),
(162026,10040847,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(162027,10040847,'Stuns target',100,3,4),
(162028,10040847,'Blurs vision of target',100,3,5),
(162029,10040847,'Throws target back',100,3,6),
(162030,10040847,'Does not affect Epic targets',100,3,7),
(162031,10040847,'Must not be engaged in pvp combat',100,2,8),
(162032,10040847,'Cannot be modified except by direct means',100,2,9),
(162033,10040847,'On a critical combat hit this spell may cast Demolishing Charge VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(162034,10040847,'Inflicts 2831 - 3129 crushing damage on target',100,2,11),
(162035,10040847,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,12),
(162036,10040847,'Stuns target',100,3,13),
(162037,10040847,'Blurs vision of target',100,3,14),
(162038,10040847,'Throws target back',100,3,15),
(162039,10040847,'Does not affect Epic targets',100,3,16),
(162040,10040847,'Must not be engaged in pvp combat',100,2,17),
(162041,10040847,'Cannot be modified except by direct means',100,2,18),
(162042,10040847,'Must not be engaged in pvp combat',100,1,19),
(162043,113430,'Reduces physical damage done to caster by 5%',100,1,0),
(162044,113430,'Increases STA of caster by 191.0',100,1,1),
(162045,113430,'Adds 4.3% to base avoidance.',100,1,2),
(162046,113430,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(162047,113430,'Increases Defense and Aggression of caster by 36.4',100,1,4),
(162048,113430,'Increases Mitigation of caster vs noxious damage by 2434',100,1,5),
(162049,113430,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(162050,10113430,'Reduces physical damage done to caster by 5%',100,1,0),
(162051,10113430,'Increases STA of caster by 191.0',100,1,1),
(162052,10113430,'Adds 4.3% to base avoidance.',100,1,2),
(162053,10113430,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(162054,10113430,'Increases Defense and Aggression of caster by 36.4',100,1,4),
(162055,10113430,'Increases Mitigation of caster vs noxious damage by 2434',100,1,5),
(162056,10113430,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(162057,40878,'When Equipped:',100,0,0),
(162058,40878,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(162059,40878,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162060,40878,'Heals target for 14 - 16 instantly and every 2 seconds',100,2,3),
(162061,40878,'Must not be engaged in pvp combat',100,2,4),
(162062,40878,'Cannot be modified except by direct means',100,2,5),
(162063,40878,'Cannot be modified except by direct means',100,1,6),
(162064,10040878,'When Equipped:',100,0,0),
(162065,10040878,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(162066,10040878,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162067,10040878,'Heals target for 9 - 10 instantly and every 2 seconds',100,2,3),
(162068,10040878,'Must not be engaged in pvp combat',100,2,4),
(162069,10040878,'Cannot be modified except by direct means',100,2,5),
(162070,10040878,'Cannot be modified except by direct means',100,1,6),
(162071,117543,'Increases AGI, INT and WIS of group members (AE) by 75.2',100,1,0),
(162072,117543,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 291',100,1,1),
(162073,10117543,'Increases AGI, INT and WIS of group members (AE) by 75.2',100,1,0),
(162074,10117543,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 291',100,1,1),
(162075,102366,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(162076,102366,'Increases Attack Speed of target by 18.4',100,2,1),
(162077,102366,'Increases Damage Per Second of target by 18.4',100,2,2),
(162078,102366,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(162079,102366,'Increases Attack Speed of target by 18.4',100,2,4),
(162080,102366,'Increases Damage Per Second of target by 18.4',100,2,5),
(162081,102366,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(162082,102366,'Increases Attack Speed of target by 18.4',100,2,7),
(162083,102366,'Increases Damage Per Second of target by 18.4',100,2,8),
(162084,10102366,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(162085,10102366,'Increases Attack Speed of target by 18.4',100,2,1),
(162086,10102366,'Increases Damage Per Second of target by 18.4',100,2,2),
(162087,10102366,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(162088,10102366,'Increases Attack Speed of target by 18.4',100,2,4),
(162089,10102366,'Increases Damage Per Second of target by 18.4',100,2,5),
(162090,10102366,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(162091,10102366,'Increases Attack Speed of target by 18.4',100,2,7),
(162092,10102366,'Increases Damage Per Second of target by 18.4',100,2,8),
(162093,138367,'When Equipped:',100,0,0),
(162094,138367,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(162095,138367,'Wards target against 1000 points of all damage',100,2,2),
(162096,138367,'Cannot be modified except by direct means',100,2,3),
(162097,10138367,'When Equipped:',100,0,0),
(162098,10138367,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(162099,10138367,'Wards target against 1000 points of all damage',100,2,2),
(162100,10138367,'Cannot be modified except by direct means',100,2,3),
(162101,70561,'When Equipped:',100,0,0),
(162102,70561,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162103,70561,'Inflicts 278 cold damage on target',100,2,2),
(162104,70561,'Cannot be modified except by direct means',100,2,3),
(162105,10070561,'When Equipped:',100,0,0),
(162106,10070561,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162107,10070561,'Inflicts 362 cold damage on target',100,2,2),
(162108,10070561,'Cannot be modified except by direct means',100,2,3),
(162109,36298,'Increases AGI of target by 1.5',100,0,0),
(162110,36298,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(162111,27343,'When Equipped:',100,0,0),
(162112,27343,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(162113,27343,'Increases power of caster by 17',100,2,2),
(162114,27343,'Cannot be modified except by direct means',100,2,3),
(162115,10027343,'When Equipped:',100,0,0),
(162116,10027343,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(162117,10027343,'Increases power of caster by 17',100,2,2),
(162118,10027343,'Cannot be modified except by direct means',100,2,3),
(162119,159858,'Applies Sanguine Imbued when Equipped.',100,0,0),
(162120,159858,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(162121,159858,'Inflicts 261 heat damage on target',100,2,2),
(162122,159858,'Cannot be modified except by direct means',100,2,3),
(162123,10159858,'Applies Sanguine Imbued when Equipped.',100,0,0),
(162124,10159858,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(162125,10159858,'Inflicts 339 heat damage on target',100,2,2),
(162126,10159858,'Cannot be modified except by direct means',100,2,3),
(162127,100704,'Dispels 137 levels of any hostile effects on target',100,1,0),
(162128,100704,'Dispels 137 levels of hostile Fear effects on target',100,1,1),
(162129,100704,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(162130,100704,'Makes target immune to Fear effects',100,3,3),
(162131,100704,'Dispels 137 levels of hostile Daze effects on target',100,1,4),
(162132,100704,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(162133,100704,'Makes target immune to Daze effects',100,3,6),
(162134,100704,'Dispels 137 levels of hostile Root effects on target',100,1,7),
(162135,100704,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(162136,100704,'Makes target immune to Root effects',100,3,9),
(162137,100704,'Dispels 137 levels of hostile Stifle effects on target',100,1,10),
(162138,100704,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(162139,100704,'Makes target immune to Stifle effects',100,3,12),
(162140,100704,'Dispels 137 levels of hostile Stun effects on target',100,1,13),
(162141,100704,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(162142,100704,'Makes target immune to Stun effects',100,3,15),
(162143,10100704,'Dispels 137 levels of any hostile effects on target',100,1,0),
(162144,10100704,'Dispels 137 levels of hostile Fear effects on target',100,1,1),
(162145,10100704,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(162146,10100704,'Makes target immune to Fear effects',100,3,3),
(162147,10100704,'Dispels 137 levels of hostile Daze effects on target',100,1,4),
(162148,10100704,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(162149,10100704,'Makes target immune to Daze effects',100,3,6),
(162150,10100704,'Dispels 137 levels of hostile Root effects on target',100,1,7),
(162151,10100704,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(162152,10100704,'Makes target immune to Root effects',100,3,9),
(162153,10100704,'Dispels 137 levels of hostile Stifle effects on target',100,1,10),
(162154,10100704,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(162155,10100704,'Makes target immune to Stifle effects',100,3,12),
(162156,10100704,'Dispels 137 levels of hostile Stun effects on target',100,1,13),
(162157,10100704,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(162158,10100704,'Makes target immune to Stun effects',100,3,15),
(162159,122323,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(162160,122323,'Inflicts 996 - 1218 mental damage on target',100,2,1),
(162161,122323,'Grants a total of 3 triggers of the spell.',100,2,2),
(162162,10122323,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(162163,10122323,'Inflicts 1295 - 1583 mental damage on target',100,2,1),
(162164,10122323,'Grants a total of 3 triggers of the spell.',100,2,2),
(162165,115317,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(162166,115317,'Makes target afraid',100,2,1),
(162167,115317,'Slows target by 43.4%',100,2,2),
(162168,115317,'30% chance to dispel when target takes damage',100,2,3),
(162169,115317,'Does not affect Epic targets',100,2,4),
(162170,115317,'Resistibility increases against targets higher than level 34.',100,2,5),
(162171,115317,'Roots target',100,1,6),
(162172,115317,'15% chance to dispel when target takes damage',100,1,7),
(162173,115317,'Does not affect Epic targets',100,1,8),
(162174,115317,'Resistibility increases against targets higher than level 34.',100,1,9),
(162175,10115317,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(162176,10115317,'Makes target afraid',100,2,1),
(162177,10115317,'Slows target by 43.4%',100,2,2),
(162178,10115317,'30% chance to dispel when target takes damage',100,2,3),
(162179,10115317,'Does not affect Epic targets',100,2,4),
(162180,10115317,'Resistibility increases against targets higher than level 34.',100,2,5),
(162181,10115317,'Roots target',100,1,6),
(162182,10115317,'15% chance to dispel when target takes damage',100,1,7),
(162183,10115317,'Does not affect Epic targets',100,1,8),
(162184,10115317,'Resistibility increases against targets higher than level 34.',100,1,9),
(162185,115598,'Interrupts target encounter',100,1,0),
(162186,115598,'Decreases Threat to target encounter by 857 - 1,048 ',100,1,1),
(162187,115598,'Dazes target encounter',100,1,2),
(162188,115598,'If Target is not Epic',100,2,3),
(162189,115598,'Resistibility increases against targets higher than level 106.',100,1,4),
(162190,10115598,'Interrupts target encounter',100,1,0),
(162191,10115598,'Dazes target encounter',100,1,1),
(162192,10115598,'If Target is not Epic',100,2,2),
(162193,10115598,'Resistibility increases against targets higher than level 106.',100,1,3),
(162194,141735,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(162195,141735,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(162196,141735,'Inflicts 14 heat damage on target',100,2,2),
(162197,141735,'Cannot be modified except by direct means',100,2,3),
(162198,10141735,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(162199,10141735,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(162200,10141735,'Inflicts 18 heat damage on target',100,2,2),
(162201,10141735,'Cannot be modified except by direct means',100,2,3),
(162202,105915,'Inflicts 1278 - 2131 melee damage on target',100,1,0),
(162203,105915,'If over 33% Health',100,2,1),
(162204,105915,'Inflicts 3836 - 6394 melee damage on target',100,1,2),
(162205,105915,'If under 33% Health',100,2,3),
(162206,105915,'Must be flanking or behind',100,1,4),
(162207,10105915,'Inflicts 1662 - 2771 melee damage on target',100,1,0),
(162208,10105915,'If over 20% Health',100,2,1),
(162209,10105915,'Inflicts 4433 - 7389 melee damage on target',100,1,2),
(162210,10105915,'If under 20% Health',100,2,3),
(162211,10105915,'Must be flanking or behind',100,1,4),
(162212,115239,'Heals target for 13',100,1,0),
(162213,115239,'Heals target for 2 every second',100,1,1),
(162214,115239,'Dispels 9 levels of any hostile effects on target',100,1,2),
(162215,10115239,'Heals target for 8',100,1,0),
(162216,10115239,'Heals target for 1 every second',100,1,1),
(162217,10115239,'Dispels 9 levels of any hostile effects on target',100,1,2),
(162218,135257,'When Equipped:',100,0,0),
(162219,135257,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162220,135257,'Wards caster against 300 points of all damage',100,2,2),
(162221,135257,'Cannot be modified except by direct means',100,2,3),
(162222,10135257,'When Equipped:',100,0,0),
(162223,10135257,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162224,10135257,'Wards caster against 300 points of all damage',100,2,2),
(162225,10135257,'Cannot be modified except by direct means',100,2,3),
(162226,114169,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(162227,114169,'Heals target for 1217',100,2,1),
(162228,114169,'Grants a total of 1 trigger of the spell.',100,2,2),
(162229,10114169,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(162230,10114169,'Heals target for 791',100,2,1),
(162231,10114169,'Grants a total of 1 trigger of the spell.',100,2,2),
(162232,120568,'Inflicts 8817 - 14695 ranged damage on target',100,1,0),
(162233,120568,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(162234,120568,'Stuns target',100,2,2),
(162235,120568,'Throws target back',100,2,3),
(162236,120568,'Blurs vision of target',100,2,4),
(162237,120568,'Does not affect Epic targets',100,2,5),
(162238,120568,'I need to be stealthed!',100,1,6),
(162239,120568,'Requires bow',100,1,7),
(162240,10120568,'Inflicts 5034 - 8391 melee damage on target',100,1,0),
(162241,10120568,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(162242,10120568,'Stuns target',100,2,2),
(162243,10120568,'Throws target back',100,2,3),
(162244,10120568,'Blurs vision of target',100,2,4),
(162245,10120568,'Does not affect Epic targets',100,2,5),
(162246,10120568,'I need to be stealthed!',100,1,6),
(162247,106495,'Decreases STR and AGI of target by 62.7',100,1,0),
(162248,10106495,'Decreases STR and AGI of target by 62.7',100,1,0),
(162249,118403,'Heals target for 160 - 196',100,1,0),
(162250,118403,'Increases Max Health of target by 19.2',100,1,1),
(162251,10118403,'Heals target for 186 - 227',100,1,0),
(162252,10118403,'Increases Max Health of target by 19.2',100,1,1),
(162253,159753,'When Equipped:',100,0,0),
(162254,159753,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162255,159753,'Increases STR of caster by 12.2',100,2,2),
(162256,159753,'Increases Damage Per Second of caster by 20.2',100,2,3),
(162257,159753,'Cannot be modified except by direct means',100,2,4),
(162258,10159753,'When Equipped:',100,0,0),
(162259,10159753,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162260,10159753,'Increases STR of caster by 12.2',100,2,2),
(162261,10159753,'Increases Damage Per Second of caster by 20.2',100,2,3),
(162262,10159753,'Cannot be modified except by direct means',100,2,4),
(162263,112013,'Inflicts 685 - 1142 piercing damage on target',100,1,0),
(162264,10112013,'Inflicts 891 - 1485 piercing damage on target',100,1,0),
(162265,139903,'When Equipped:',100,0,0),
(162266,139903,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(162267,10139903,'When Equipped:',100,0,0),
(162268,10139903,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(162269,182019,'When Equipped:',100,0,0),
(162270,182019,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(162271,182019,'Inflicts 947 magic damage on target',100,2,2),
(162272,182019,'Inflicts 95 magic damage on target every 4 seconds',100,2,3),
(162273,182019,'Must not be engaged in pvp combat',100,2,4),
(162274,182019,'Cannot be modified except by direct means',100,2,5),
(162275,10182019,'When Equipped:',100,0,0),
(162276,10182019,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(162277,10182019,'Inflicts 1231 magic damage on target',100,2,2),
(162278,10182019,'Inflicts 123 magic damage on target every 4 seconds',100,2,3),
(162279,10182019,'Must not be engaged in pvp combat',100,2,4),
(162280,10182019,'Cannot be modified except by direct means',100,2,5),
(162281,118341,'Inflicts 76 - 126 melee damage on target',100,1,0),
(162282,118341,'Inflicts 76 - 127 heat damage on target every 4 seconds',100,1,1),
(162283,10118341,'Inflicts 98 - 164 melee damage on target',100,1,0),
(162284,10118341,'Inflicts 99 - 165 heat damage on target every 4 seconds',100,1,1),
(162285,115159,'Heals target for 136 - 166',100,1,0),
(162286,10115159,'Heals target for 184 - 225',100,1,0),
(162287,46335,'Applies Dihydrogen Monoxide Fuel when Activated.',100,0,0),
(162288,46335,'Heals caster for 15.0 - 45.0% of max health',100,1,1),
(162289,46335,'Summon 1 Overclocked Gnomish Hovering Device',100,1,2),
(162290,46335,'Must have Overclocked Gnomish Hovering Device in inventory.',100,1,3),
(162291,10046335,'Applies Dihydrogen Monoxide Fuel when Activated.',100,0,0),
(162292,10046335,'Heals caster for 9.8 - 29.2% of max health',100,1,1),
(162293,10046335,'Summon 1 Overclocked Gnomish Hovering Device',100,1,2),
(162294,10046335,'Must have Overclocked Gnomish Hovering Device in inventory.',100,1,3),
(162295,152036,'When Equipped:',100,0,0),
(162296,152036,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(162297,152036,'Inflicts 1986 magic damage on target',100,2,2),
(162298,152036,'Cannot be modified except by direct means',100,2,3),
(162299,10152036,'When Equipped:',100,0,0),
(162300,10152036,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(162301,10152036,'Inflicts 1291 magic damage on target',100,2,2),
(162302,10152036,'Cannot be modified except by direct means',100,2,3),
(162303,82375,'When Equipped:',100,0,0),
(162304,82375,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(162305,82375,'Inflicts 48 - 89 magic damage on target',100,2,2),
(162306,82375,'Decreases Threat to target by 135 ',100,2,3),
(162307,82375,'Must be flanking or behind',100,3,4),
(162308,82375,'Increases Threat to target by 135 ',100,2,5),
(162309,82375,'Must be in front of',100,3,6),
(162310,82375,'Cannot be modified except by direct means',100,2,7),
(162311,10082375,'When Equipped:',100,0,0),
(162312,10082375,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(162313,10082375,'Inflicts 62 - 115 magic damage on target',100,2,2),
(162314,10082375,'Cannot be modified except by direct means',100,2,3),
(162315,25015,'When Equipped:',100,0,0),
(162316,25015,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(162317,25015,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,2),
(162318,10025015,'When Equipped:',100,0,0),
(162319,10025015,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(162320,10025015,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,2),
(162321,113633,'Interrupts target encounter',100,1,0),
(162322,113633,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 22.0',100,1,1),
(162323,10113633,'Interrupts target encounter',100,1,0),
(162324,10113633,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 22.0',100,1,1),
(162325,26725,'When Equipped:',100,0,0),
(162326,26725,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(162327,26725,'On a critical healing spell cast this spell may cast Greater Mending I on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162328,26725,'Heals target for 1155 - 1276 instantly and every 2 seconds',100,2,3),
(162329,26725,'Must not be engaged in pvp combat',100,2,4),
(162330,26725,'Cannot be modified except by direct means',100,2,5),
(162331,26725,'Must not be engaged in pvp combat',100,1,6),
(162332,10026725,'When Equipped:',100,0,0),
(162333,10026725,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(162334,10026725,'On a critical healing spell cast this spell may cast Greater Mending I on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162335,10026725,'Heals target for 1351 - 1493 instantly and every 2 seconds',100,2,3),
(162336,10026725,'Must not be engaged in pvp combat',100,2,4),
(162337,10026725,'Cannot be modified except by direct means',100,2,5),
(162338,10026725,'Must not be engaged in pvp combat',100,1,6),
(162339,35480,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(162340,108531,'Increases AGI and WIS of group members (AE) by 75.2',100,1,0),
(162341,108531,'Adds 2.4% to base avoidance.',100,1,1),
(162342,108531,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 211',100,1,2),
(162343,10108531,'Increases AGI and WIS of group members (AE) by 75.2',100,1,0),
(162344,10108531,'Adds 2.4% to base avoidance.',100,1,1),
(162345,10108531,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 211',100,1,2),
(162346,123054,'Summons a pet undead knight',100,1,0),
(162347,10123054,'Summons a pet undead knight',100,1,0),
(162348,141825,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(162349,141825,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(162350,141825,'Inflicts 61 heat damage on target',100,2,2),
(162351,141825,'Cannot be modified except by direct means',100,2,3),
(162352,10141825,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(162353,10141825,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(162354,10141825,'Inflicts 79 heat damage on target',100,2,2),
(162355,10141825,'Cannot be modified except by direct means',100,2,3),
(162356,35902,'Increases Max Power of target by 3.3',100,0,0),
(162357,35902,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(162358,118960,'Applies Sacrifice.',100,1,0),
(162359,118960,'Heals group members (AE) for 420',100,2,1),
(162360,118960,'Increases power of group members (AE) by 120',100,2,2),
(162361,118960,'Stuns target',100,1,3),
(162362,10118960,'Applies Sacrifice.',100,1,0),
(162363,10118960,'Heals group members (AE) for 585',100,2,1),
(162364,10118960,'Increases power of group members (AE) by 120',100,2,2),
(162365,10118960,'Stuns target',100,1,3),
(162366,111447,'Decreases Attack Speed of caster by 15.5',100,1,0),
(162367,111447,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(162368,111447,'Roots target',100,2,2),
(162369,111447,'5% chance to dispel when target takes damage',100,2,3),
(162370,111447,'5% chance to dispel when target receives hostile action',100,2,4),
(162371,111447,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(162372,111447,'Increases Mitigation of caster vs physical damage by 523',100,1,6),
(162373,10111447,'Decreases Attack Speed of caster by 15.5',100,1,0),
(162374,10111447,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(162375,10111447,'Roots target',100,2,2),
(162376,10111447,'5% chance to dispel when target takes damage',100,2,3),
(162377,10111447,'5% chance to dispel when target receives hostile action',100,2,4),
(162378,10111447,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(162379,10111447,'Increases Mitigation of caster vs physical damage by 523',100,1,6),
(162380,79801,'When Equipped:',100,0,0),
(162381,79801,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162382,79801,'Inflicts 27 - 33 disease damage on target',100,2,2),
(162383,79801,'Inflicts 25 - 31 disease damage on target every 6 seconds',100,2,3),
(162384,79801,'Cannot be modified except by direct means',100,2,4),
(162385,10079801,'When Equipped:',100,0,0),
(162386,10079801,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162387,10079801,'Inflicts 35 - 43 disease damage on target',100,2,2),
(162388,10079801,'Inflicts 33 - 40 disease damage on target every 6 seconds',100,2,3),
(162389,10079801,'Cannot be modified except by direct means',100,2,4),
(162390,117048,'Inflicts 91 - 152 melee damage on target',100,1,0),
(162391,117048,'Decreases Attack Speed of target by 12.3',100,1,1),
(162392,10117048,'Inflicts 119 - 198 melee damage on target',100,1,0),
(162393,10117048,'Decreases Attack Speed of target by 12.3',100,1,1),
(162394,112891,'Inflicts 509 - 623 melee damage on target',100,1,0),
(162395,112891,'Decreases Mitigation of target vs physical damage by 366',100,1,1),
(162396,112891,'Must be flanking or behind',100,1,2),
(162397,10112891,'Inflicts 662 - 810 melee damage on target',100,1,0),
(162398,10112891,'Decreases Mitigation of target vs physical damage by 366',100,1,1),
(162399,10112891,'Must be flanking or behind',100,1,2),
(162400,101142,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(162401,101142,'Inflicts 229 ranged damage on target',100,2,1),
(162402,101142,'Decreases Defense of caster by 13.5',100,1,2),
(162403,101142,'Increases Crushing, Piercing, Ranged and Slashing of caster by 19.2',100,1,3),
(162404,10101142,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(162405,10101142,'Inflicts 195 ranged damage on target',100,2,1),
(162406,10101142,'Decreases Defense of caster by 13.5',100,1,2),
(162407,10101142,'Increases Crushing, Piercing, Ranged and Slashing of caster by 19.2',100,1,3),
(162408,107662,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1482',100,1,0),
(162409,10107662,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1482',100,1,0),
(162410,107339,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(162411,107339,'Increases Threat to target by 126 ',100,2,1),
(162412,10107339,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(162413,10107339,'Inflicts 40 - 44 crushing damage on target',100,2,1),
(162414,82786,'When Equipped:',100,0,0),
(162415,82786,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(162416,82786,'Inflicts 365 - 678 magic damage on target',100,2,2),
(162417,82786,'Decreases Threat to target by 1,174 ',100,2,3),
(162418,82786,'Must be flanking or behind',100,3,4),
(162419,82786,'Increases Threat to target by 1,174 ',100,2,5),
(162420,82786,'Must be in front of',100,3,6),
(162421,82786,'Cannot be modified except by direct means',100,2,7),
(162422,10082786,'When Equipped:',100,0,0),
(162423,10082786,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(162424,10082786,'Inflicts 474 - 881 magic damage on target',100,2,2),
(162425,10082786,'Cannot be modified except by direct means',100,2,3),
(162426,104657,'Decreases Mitigation of target vs all damage by 46',100,1,0),
(162427,10104657,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 46',100,1,0),
(162428,10104657,'Decreases Mitigation of target vs physical damage by 38',100,1,1),
(162429,45270,'Applies Illusion: Ogre when Activated.  Lasts for 6 hours.',100,0,0),
(162430,45270,'Shapechanges caster into an ogre',100,1,1),
(162431,10045270,'Applies Illusion: Ogre when Activated.  Lasts for 6 hours.',100,0,0),
(162432,10045270,'Shapechanges caster into an ogre',100,1,1),
(162433,111576,'Inflicts 5086 - 9445 cold damage on target',100,1,0),
(162434,111576,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(162435,111576,'Stuns target',100,2,2),
(162436,111576,'Throws target back',100,2,3),
(162437,111576,'Blurs vision of target',100,2,4),
(162438,111576,'Does not affect Epic targets',100,2,5),
(162439,10111576,'Inflicts 4781 - 8879 cold damage on target',100,1,0),
(162440,10111576,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(162441,10111576,'Stuns target',100,2,2),
(162442,10111576,'Blurs vision of target',100,2,3),
(162443,10111576,'Throws target back',100,2,4),
(162444,10111576,'Does not affect Epic targets',100,2,5),
(162445,120056,'Inflicts 59 - 98 mental damage on target',100,1,0),
(162446,120056,'Inflicts 59 - 98 mental damage on target',100,1,1),
(162447,120056,'Stifles target',100,1,2),
(162448,120056,'If Target is not Epic',100,2,3),
(162449,120056,'If weapon equipped in Ranged',100,1,4),
(162450,120056,'Resistibility increases against targets higher than level 45.',100,1,5),
(162451,10120056,'Inflicts 66 - 111 mental damage on target',100,1,0),
(162452,10120056,'Inflicts 66 - 111 mental damage on target',100,1,1),
(162453,10120056,'Stifles target',100,1,2),
(162454,10120056,'If Target is not Epic',100,2,3),
(162455,10120056,'If weapon equipped in Ranged',100,1,4),
(162456,10120056,'Resistibility increases against targets higher than level 45.',100,1,5),
(162457,141988,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(162458,141988,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(162459,141988,'Decreases Attack Speed of target by 12.4',100,2,2),
(162460,141988,'Cannot be modified except by direct means',100,2,3),
(162461,141988,'Slows target by 30.8%',100,1,4),
(162462,141988,'5% chance to dispel when target takes damage',100,1,5),
(162463,141988,'5% chance to dispel when target receives hostile action',100,1,6),
(162464,141988,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(162465,10141988,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(162466,10141988,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(162467,10141988,'Decreases Attack Speed of target by 12.4',100,2,2),
(162468,10141988,'Cannot be modified except by direct means',100,2,3),
(162469,10141988,'Slows target by 30.8%',100,1,4),
(162470,10141988,'5% chance to dispel when target takes damage',100,1,5),
(162471,10141988,'5% chance to dispel when target receives hostile action',100,1,6),
(162472,10141988,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(162473,26556,'When Equipped:',100,0,0),
(162474,26556,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(162475,26556,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(162476,10026556,'When Equipped:',100,0,0),
(162477,10026556,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(162478,10026556,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(162479,112237,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(162480,112237,'Inflicts 77 disease damage on target',100,2,1),
(162481,112237,'Increases Threat to target by 123 ',100,2,2),
(162482,112237,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1966',100,1,3),
(162483,10112237,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(162484,10112237,'Inflicts 100 disease damage on target',100,2,1),
(162485,10112237,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1966',100,1,2),
(162486,100619,'Transfers 20% of target''s current Threat to the caster',100,1,0),
(162487,10100619,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(162488,10100619,'10% of all damage received by the caster is prevented.',100,2,1),
(162489,10100619,'This effect can only trigger once every 5 seconds.',100,2,2),
(162490,72201,'When Equipped:',100,0,0),
(162491,72201,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162492,72201,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(162493,72201,'Cannot be modified except by direct means',100,2,3),
(162494,10072201,'When Equipped:',100,0,0),
(162495,10072201,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162496,10072201,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(162497,10072201,'Cannot be modified except by direct means',100,2,3),
(162498,163650,'When Equipped:',100,0,0),
(162499,163650,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(162500,163650,'Heals group members (AE) for 209',100,2,2),
(162501,163650,'Cannot be modified except by direct means',100,2,3),
(162502,163650,'Cannot be modified except by direct means',100,1,4),
(162503,10163650,'When Equipped:',100,0,0),
(162504,10163650,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(162505,10163650,'Heals group members (AE) for 136',100,2,2),
(162506,10163650,'Cannot be modified except by direct means',100,2,3),
(162507,10163650,'Cannot be modified except by direct means',100,1,4),
(162508,123594,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(162509,123594,'Increases Defense of target by 12.0',100,1,1),
(162510,10123594,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(162511,10123594,'Increases Defense of target by 12.0',100,1,1),
(162512,112836,'Roots target',100,1,0),
(162513,112836,'5% chance to dispel when target takes damage',100,1,1),
(162514,112836,'Does not affect Epic targets',100,1,2),
(162515,112836,'Resistibility increases against targets higher than level 64.',100,1,3),
(162516,10112836,'Roots target',100,1,0),
(162517,10112836,'5% chance to dispel when target takes damage',100,1,1),
(162518,10112836,'Does not affect Epic targets',100,1,2),
(162519,10112836,'Resistibility increases against targets higher than level 64.',100,1,3),
(162520,159559,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(162521,159559,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(162522,159559,'Inflicts 121 heat damage on target',100,2,2),
(162523,159559,'Cannot be modified except by direct means',100,2,3),
(162524,10159559,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(162525,10159559,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(162526,10159559,'Inflicts 157 heat damage on target',100,2,2),
(162527,10159559,'Cannot be modified except by direct means',100,2,3),
(162528,26917,'When Equipped:',100,0,0),
(162529,26917,'Increases In-Combat Power Regeneration of caster by 2.0',100,1,1),
(162530,10026917,'When Equipped:',100,0,0),
(162531,10026917,'Increases In-Combat Power Regeneration of caster by 2.0',100,1,1),
(162532,110786,'Heals group members (AE) for 350 - 428 instantly and every 2 seconds',100,1,0),
(162533,10110786,'Heals group members (AE) for 227 - 278 instantly and every 2 seconds',100,1,0),
(162534,71767,'When Equipped:',100,0,0),
(162535,71767,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162536,71767,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(162537,71767,'Cannot be modified except by direct means',100,2,3),
(162538,10071767,'When Equipped:',100,0,0),
(162539,10071767,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162540,10071767,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(162541,10071767,'Cannot be modified except by direct means',100,2,3),
(162542,124074,'Increases power of caster by 422',100,1,0),
(162543,10124074,'Increases power of caster by 422',100,1,0),
(162544,82555,'When Equipped:',100,0,0),
(162545,82555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162546,82555,'Inflicts 106 - 197 magic damage on target',100,2,2),
(162547,82555,'Cannot be modified except by direct means',100,2,3),
(162548,10082555,'When Equipped:',100,0,0),
(162549,10082555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162550,10082555,'Inflicts 138 - 256 magic damage on target',100,2,2),
(162551,10082555,'Cannot be modified except by direct means',100,2,3),
(162552,24230,'Adds Crushbone: Stone Stool to your Dungeon Maker toolbox',100,0,0),
(162553,10024230,'Adds Crushbone: Stone Stool to your Dungeon Maker toolbox',100,0,0),
(162554,108393,'Heals target for 180 - 220',100,1,0),
(162555,10108393,'Heals target for 215 - 263',100,1,0),
(162556,50126,'When Equipped:',100,0,0),
(162557,50126,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(162558,50126,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162559,50126,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(162560,50126,'Heals caster for 1185 - 1309',100,2,4),
(162561,50126,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(162562,50126,'Must not be engaged in pvp combat',100,2,6),
(162563,50126,'Cannot be modified except by direct means',100,2,7),
(162564,50126,'Cannot be modified except by direct means',100,1,8),
(162565,10050126,'When Equipped:',100,0,0),
(162566,10050126,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(162567,10050126,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162568,10050126,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(162569,10050126,'Heals caster for 1386 - 1532',100,2,4),
(162570,10050126,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(162571,10050126,'Must not be engaged in pvp combat',100,2,6),
(162572,10050126,'Cannot be modified except by direct means',100,2,7),
(162573,10050126,'Cannot be modified except by direct means',100,1,8),
(162574,84624,'When Equipped:',100,0,0),
(162575,84624,'On a critical spell hit this spell may cast Mindsieve on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(162576,84624,'Inflicts 29 - 32 mental damage on target',100,2,2),
(162577,84624,'Increases power of caster by 8',100,2,3),
(162578,84624,'Must not be engaged in pvp combat',100,2,4),
(162579,84624,'Cannot be modified except by direct means',100,2,5),
(162580,84624,'On a critical combat hit this spell may cast Mindsieve on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(162581,84624,'Inflicts 29 - 32 mental damage on target',100,2,7),
(162582,84624,'Increases power of caster by 8',100,2,8),
(162583,84624,'Must not be engaged in pvp combat',100,2,9),
(162584,84624,'Cannot be modified except by direct means',100,2,10),
(162585,84624,'Must not be engaged in pvp combat',100,1,11),
(162586,10084624,'When Equipped:',100,0,0),
(162587,10084624,'On a critical spell hit this spell may cast Mindsieve on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(162588,10084624,'Inflicts 37 - 41 mental damage on target',100,2,2),
(162589,10084624,'Increases power of caster by 8',100,2,3),
(162590,10084624,'Must not be engaged in pvp combat',100,2,4),
(162591,10084624,'Cannot be modified except by direct means',100,2,5),
(162592,10084624,'On a critical combat hit this spell may cast Mindsieve on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(162593,10084624,'Inflicts 37 - 41 mental damage on target',100,2,7),
(162594,10084624,'Increases power of caster by 8',100,2,8),
(162595,10084624,'Must not be engaged in pvp combat',100,2,9),
(162596,10084624,'Cannot be modified except by direct means',100,2,10),
(162597,10084624,'Must not be engaged in pvp combat',100,1,11),
(162598,103243,'Reduces physical damage done to caster by 5%',100,1,0),
(162599,103243,'Adds 2.1% to base avoidance.',100,1,1),
(162600,103243,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(162601,103243,'Increases Parry of caster by 24.4',100,1,3),
(162602,103243,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(162603,103243,'Increases Aggression of caster by 18.3',100,1,5),
(162604,103243,'Increases Defense and Deflection of caster by 24.4',100,1,6),
(162605,103243,'Increases Mitigation of caster vs noxious damage by 1624',100,1,7),
(162606,103243,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(162607,10103243,'Reduces physical damage done to caster by 5%',100,1,0),
(162608,10103243,'Adds 2.1% to base avoidance.',100,1,1),
(162609,10103243,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(162610,10103243,'Increases Parry of caster by 24.4',100,1,3),
(162611,10103243,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(162612,10103243,'Increases Aggression of caster by 18.3',100,1,5),
(162613,10103243,'Increases Defense and Deflection of caster by 24.4',100,1,6),
(162614,10103243,'Increases Mitigation of caster vs noxious damage by 1624',100,1,7),
(162615,10103243,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(162616,24010,'Adds Avazek Challenger to your Dungeon Maker toolbox',100,0,0),
(162617,10024010,'Adds Avazek Challenger to your Dungeon Maker toolbox',100,0,0),
(162618,115346,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(162619,115346,'Makes target afraid',100,2,1),
(162620,115346,'Slows target by 62.4%',100,2,2),
(162621,115346,'30% chance to dispel when target takes damage',100,2,3),
(162622,115346,'Does not affect Epic targets',100,2,4),
(162623,115346,'Resistibility increases against targets higher than level 102.',100,2,5),
(162624,115346,'Roots target',100,1,6),
(162625,115346,'15% chance to dispel when target takes damage',100,1,7),
(162626,115346,'Does not affect Epic targets',100,1,8),
(162627,115346,'Resistibility increases against targets higher than level 102.',100,1,9),
(162628,10115346,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(162629,10115346,'Makes target afraid',100,2,1),
(162630,10115346,'Slows target by 62.4%',100,2,2),
(162631,10115346,'30% chance to dispel when target takes damage',100,2,3),
(162632,10115346,'Does not affect Epic targets',100,2,4),
(162633,10115346,'Resistibility increases against targets higher than level 102.',100,2,5),
(162634,10115346,'Roots target',100,1,6),
(162635,10115346,'15% chance to dispel when target takes damage',100,1,7),
(162636,10115346,'Does not affect Epic targets',100,1,8),
(162637,10115346,'Resistibility increases against targets higher than level 102.',100,1,9),
(162638,108936,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(162639,108936,'Inflicts 60 heat damage on target',100,2,1),
(162640,10108936,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(162641,10108936,'Inflicts 78 heat damage on target',100,2,1),
(162642,101778,'Heals group members (AE) for 442 - 540 instantly and every 2 seconds',100,1,0),
(162643,10101778,'Heals group members (AE) for 287 - 351 instantly and every 2 seconds',100,1,0),
(162644,45229,'Applies Spell of Undoing when Activated.',100,0,0),
(162645,45229,'Decreases power of targets in Area of Effect by 44',100,1,1),
(162646,45229,'The item does nothing.   Perhaps it''s keyed to certain artifacts.',100,1,2),
(162647,10045229,'Applies Spell of Undoing when Activated.',100,0,0),
(162648,10045229,'Decreases power of targets in Area of Effect by 44',100,1,1),
(162649,10045229,'The item does nothing.   Perhaps it''s keyed to certain artifacts.',100,1,2),
(162650,85629,'When Equipped:',100,0,0),
(162651,85629,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,1),
(162652,85629,'While active Renewing Bulwark is disabled.',100,2,2),
(162653,85629,'Cannot be modified except by direct means',100,2,3),
(162654,85629,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,4),
(162655,85629,'Wards caster against 2420 points of all damage',100,1,5),
(162656,85629,'Regenerates 242 points of shielding every 2 seconds',100,1,6),
(162657,85629,'Must not be engaged in pvp combat',100,1,7),
(162658,85629,'Cannot be modified except by direct means',100,1,8),
(162659,10085629,'When Equipped:',100,0,0),
(162660,10085629,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,1),
(162661,10085629,'While active Renewing Bulwark is disabled.',100,2,2),
(162662,10085629,'Cannot be modified except by direct means',100,2,3),
(162663,10085629,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,4),
(162664,10085629,'Wards caster against 2420 points of all damage',100,1,5),
(162665,10085629,'Regenerates 242 points of shielding every 2 seconds',100,1,6),
(162666,10085629,'Must not be engaged in pvp combat',100,1,7),
(162667,10085629,'Cannot be modified except by direct means',100,1,8),
(162668,24737,'Adds Vampire (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(162669,10024737,'Adds Vampire (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(162670,165419,'When Equipped:',100,0,0),
(162671,165419,'On a healing spell cast this spell may cast Manawell on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(162672,165419,'Increases power of caster by 101',100,2,2),
(162673,165419,'Cannot be modified except by direct means',100,2,3),
(162674,10165419,'When Equipped:',100,0,0),
(162675,10165419,'On a healing spell cast this spell may cast Manawell on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(162676,10165419,'Increases power of caster by 101',100,2,2),
(162677,10165419,'Cannot be modified except by direct means',100,2,3),
(162678,36754,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(162679,115774,'Inflicts 328 - 547 melee damage on target',100,1,0),
(162680,10115774,'Inflicts 426 - 711 melee damage on target',100,1,0),
(162681,47833,'Applies Extract Sample when Activated.',100,0,0),
(162682,10047833,'Applies Extract Sample when Activated.',100,0,0),
(162683,122993,'Wards group members (AE) collectively against 526 total points of all damage',100,1,0),
(162684,10122993,'Wards group members (AE) collectively against 784 total points of all damage',100,1,0),
(162685,122076,'Increases STA and INT of group members (AE) by 14.6',100,1,0),
(162686,10122076,'Increases STA and INT of group members (AE) by 14.6',100,1,0),
(162687,140271,'When Equipped:',100,0,0),
(162688,140271,'\\#FF0000This effect will not stack with itself or similar effects.\\/c',100,1,1),
(162689,140271,'On a critical combat hit this spell may cast Arbiter''s Tenacity on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162690,140271,'5% of all physical damage received by the caster is prevented.',100,2,3),
(162691,140271,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,4),
(162692,140271,'Increases the base trigger chance of spells and items by 8%.',100,2,5),
(162693,140271,'Must not be engaged in pvp combat',100,2,6),
(162694,140271,'Cannot be modified except by direct means',100,2,7),
(162695,140271,'On a critical spell hit this spell may cast Arbiter''s Tenacity on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(162696,140271,'5% of all physical damage received by the caster is prevented.',100,2,9),
(162697,140271,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,10),
(162698,140271,'Increases the base trigger chance of spells and items by 8%.',100,2,11),
(162699,140271,'Must not be engaged in pvp combat',100,2,12),
(162700,140271,'Cannot be modified except by direct means',100,2,13),
(162701,10140271,'When Equipped:',100,0,0),
(162702,10140271,'\\#FF0000This effect will not stack with itself or similar effects.\\/c',100,1,1),
(162703,10140271,'On a critical combat hit this spell may cast Arbiter''s Tenacity on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(162704,10140271,'5% of all physical damage received by the caster is prevented.',100,2,3),
(162705,10140271,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,4),
(162706,10140271,'Increases the base trigger chance of spells and items by 8%.',100,2,5),
(162707,10140271,'Must not be engaged in pvp combat',100,2,6),
(162708,10140271,'Cannot be modified except by direct means',100,2,7),
(162709,10140271,'On a critical spell hit this spell may cast Arbiter''s Tenacity on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(162710,10140271,'5% of all physical damage received by the caster is prevented.',100,2,9),
(162711,10140271,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,2,10),
(162712,10140271,'Increases the base trigger chance of spells and items by 8%.',100,2,11),
(162713,10140271,'Must not be engaged in pvp combat',100,2,12),
(162714,10140271,'Cannot be modified except by direct means',100,2,13),
(162715,115922,'Inflicts 226 - 276 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(162716,10115922,'Inflicts 382 - 467 disease damage on target encounter',100,1,0),
(162717,10115922,'Inflicts 294 - 359 disease damage on target encounter every 3 seconds',100,1,1),
(162718,87178,'When Equipped:',100,0,0),
(162719,87178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162720,87178,'Inflicts 76 - 114 magic damage on target',100,2,2),
(162721,87178,'Cannot be modified except by direct means',100,2,3),
(162722,10087178,'When Equipped:',100,0,0),
(162723,10087178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162724,10087178,'Inflicts 98 - 148 magic damage on target',100,2,2),
(162725,10087178,'Cannot be modified except by direct means',100,2,3),
(162726,115330,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(162727,115330,'Makes target afraid',100,2,1),
(162728,115330,'Slows target by 40.3%',100,2,2),
(162729,115330,'30% chance to dispel when target takes damage',100,2,3),
(162730,115330,'Does not affect Epic targets',100,2,4),
(162731,115330,'Resistibility increases against targets higher than level 62.',100,2,5),
(162732,115330,'Roots target',100,1,6),
(162733,115330,'15% chance to dispel when target takes damage',100,1,7),
(162734,115330,'Does not affect Epic targets',100,1,8),
(162735,115330,'Resistibility increases against targets higher than level 62.',100,1,9),
(162736,10115330,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(162737,10115330,'Makes target afraid',100,2,1),
(162738,10115330,'Slows target by 40.3%',100,2,2),
(162739,10115330,'30% chance to dispel when target takes damage',100,2,3),
(162740,10115330,'Does not affect Epic targets',100,2,4),
(162741,10115330,'Resistibility increases against targets higher than level 62.',100,2,5),
(162742,10115330,'Roots target',100,1,6),
(162743,10115330,'15% chance to dispel when target takes damage',100,1,7),
(162744,10115330,'Does not affect Epic targets',100,1,8),
(162745,10115330,'Resistibility increases against targets higher than level 62.',100,1,9),
(162746,72154,'When Equipped:',100,0,0),
(162747,72154,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162748,72154,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(162749,72154,'Cannot be modified except by direct means',100,2,3),
(162750,10072154,'When Equipped:',100,0,0),
(162751,10072154,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162752,10072154,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(162753,10072154,'Cannot be modified except by direct means',100,2,3),
(162754,177713,'When Equipped:',100,0,0),
(162755,177713,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(162756,177713,'Increases STA of caster by 17.3',100,2,2),
(162757,177713,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(162758,177713,'Cannot be modified except by direct means',100,2,4),
(162759,10177713,'When Equipped:',100,0,0),
(162760,10177713,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(162761,10177713,'Increases STA of caster by 17.3',100,2,2),
(162762,10177713,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(162763,10177713,'Cannot be modified except by direct means',100,2,4),
(162764,123875,'Increases AGI of caster by 103.8',100,1,0),
(162765,123875,'Adds 25.0% to base avoidance.',100,1,1),
(162766,123875,'Increases Damage Per Second of caster by 77.6',100,1,2),
(162767,123875,'Increases Mitigation of caster vs physical damage by 885',100,1,3),
(162768,123875,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,4),
(162769,10123875,'Increases AGI of caster by 103.8',100,1,0),
(162770,10123875,'Adds 25.0% to base avoidance.',100,1,1),
(162771,10123875,'Increases Damage Per Second of caster by 77.6',100,1,2),
(162772,10123875,'Increases Mitigation of caster vs physical damage by 885',100,1,3),
(162773,10123875,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,4),
(162774,155771,'When Equipped:',100,0,0),
(162775,155771,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(162776,155771,'Increases Threat to target by 25 ',100,2,2),
(162777,155771,'Cannot be modified except by direct means',100,2,3),
(162778,10155771,'When Equipped:',100,0,0),
(162779,10155771,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(162780,10155771,'Cannot be modified except by direct means',100,2,2),
(162781,108655,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(162782,108655,'Heals target for 875',100,2,1),
(162783,108655,'Heals target for 218 every 2 seconds',100,2,2),
(162784,108655,'Increases AGI of target by 86.7',100,2,3),
(162785,108655,'Grants a total of 1 trigger of the spell.',100,2,4),
(162786,10108655,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(162787,10108655,'Heals target for 569',100,2,1),
(162788,10108655,'Heals target for 142 every 2 seconds',100,2,2),
(162789,10108655,'Increases AGI of target by 86.7',100,2,3),
(162790,10108655,'Grants a total of 1 trigger of the spell.',100,2,4),
(162791,48500,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(162792,48500,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(162793,48500,'Decreases Attack Speed of target by 23.1',100,2,2),
(162794,48500,'Cannot be modified except by direct means',100,2,3),
(162795,48500,'Grants a total of 30 triggers of the spell.',100,2,4),
(162796,10048500,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(162797,10048500,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(162798,10048500,'Decreases Attack Speed of target by 23.1',100,2,2),
(162799,10048500,'Cannot be modified except by direct means',100,2,3),
(162800,10048500,'Grants a total of 30 triggers of the spell.',100,2,4),
(162801,159487,'Applies Sanguine Imbued when Equipped.',100,0,0),
(162802,159487,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(162803,159487,'Inflicts 117 heat damage on target',100,2,2),
(162804,159487,'Cannot be modified except by direct means',100,2,3),
(162805,10159487,'Applies Sanguine Imbued when Equipped.',100,0,0),
(162806,10159487,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(162807,10159487,'Inflicts 152 heat damage on target',100,2,2),
(162808,10159487,'Cannot be modified except by direct means',100,2,3),
(162809,122253,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(162810,122253,'Decreases Damage Per Second of target by 23.3',100,2,1),
(162811,122253,'Decreases Attack Speed of target by 16.3',100,2,2),
(162812,10122253,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(162813,10122253,'Decreases Damage Per Second of target by 23.3',100,2,1),
(162814,10122253,'Decreases Attack Speed of target by 16.3',100,2,2),
(162815,41479,'When Equipped:',100,0,0),
(162816,41479,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(162817,41479,'Inflicts 302 - 560 magic damage on target',100,2,2),
(162818,41479,'Decreases Threat to target by 949 ',100,2,3),
(162819,41479,'Must be flanking or behind',100,3,4),
(162820,41479,'Increases Threat to target by 949 ',100,2,5),
(162821,41479,'Must be in front of',100,3,6),
(162822,41479,'Cannot be modified except by direct means',100,2,7),
(162823,10041479,'When Equipped:',100,0,0),
(162824,10041479,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(162825,10041479,'Inflicts 392 - 728 magic damage on target',100,2,2),
(162826,10041479,'Cannot be modified except by direct means',100,2,3),
(162827,124747,'Inflicts 267 - 327 disease damage on target encounter',100,1,0),
(162828,10124747,'Inflicts 347 - 425 disease damage on target encounter',100,1,0),
(162829,114693,'Increases Threat to target by 1,382 - 1,689 ',100,1,0),
(162830,114693,'Interrupts target',100,1,1),
(162831,10114693,'Interrupts target',100,1,0),
(162832,10114693,'Forces target to change their selected target to caster.',100,1,1),
(162833,10114693,'Prevents target from changing targets',100,1,2),
(162834,72228,'When Equipped:',100,0,0),
(162835,72228,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162836,72228,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(162837,72228,'Cannot be modified except by direct means',100,2,3),
(162838,10072228,'When Equipped:',100,0,0),
(162839,10072228,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162840,10072228,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(162841,10072228,'Cannot be modified except by direct means',100,2,3),
(162842,186242,'When Equipped:',100,0,0),
(162843,186242,'Increases Attack Speed of caster by 50.0',100,1,1),
(162844,186242,'Must not be engaged in pvp combat',100,1,2),
(162845,10186242,'When Equipped:',100,0,0),
(162846,10186242,'Increases Attack Speed of caster by 50.0',100,1,1),
(162847,10186242,'Must not be engaged in pvp combat',100,1,2),
(162848,141692,'When Equipped:',100,0,0),
(162849,141692,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162850,141692,'Increases STR of caster by 5.8',100,2,2),
(162851,141692,'Increases Damage Per Second of caster by 13.2',100,2,3),
(162852,141692,'Cannot be modified except by direct means',100,2,4),
(162853,10141692,'When Equipped:',100,0,0),
(162854,10141692,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162855,10141692,'Increases STR of caster by 5.8',100,2,2),
(162856,10141692,'Increases Damage Per Second of caster by 13.2',100,2,3),
(162857,10141692,'Cannot be modified except by direct means',100,2,4),
(162858,104220,'Inflicts 91 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(162859,104220,'Decreases WIS of target encounter by 39.4',100,1,1),
(162860,10104220,'Inflicts 118 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(162861,10104220,'Decreases WIS of target encounter by 39.4',100,1,1),
(162862,35792,'Increases STA of target by 0.4',100,0,0),
(162863,35792,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(162864,101502,'Increases WIS of target by 15.8',100,1,0),
(162865,101502,'Increases Max Health of target by 49.9',100,1,1),
(162866,101502,'Increases Mitigation of target vs elemental, noxious and arcane damage by 39',100,1,2),
(162867,10101502,'Increases WIS of target by 15.8',100,1,0),
(162868,10101502,'Increases Max Health of target by 49.9',100,1,1),
(162869,10101502,'Increases Mitigation of target vs elemental, noxious and arcane damage by 39',100,1,2),
(162870,102650,'Inflicts 212 - 353 melee damage on target',100,1,0),
(162871,102650,'Inflicts 91 heat damage on target every 6 seconds',100,1,1),
(162872,10102650,'Inflicts 275 - 459 melee damage on target',100,1,0),
(162873,10102650,'Inflicts 119 heat damage on target every 6 seconds',100,1,1),
(162874,123887,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(162875,123887,'Slows target by 53.1%',100,2,1),
(162876,123887,'5% chance to dispel when target receives hostile action',100,2,2),
(162877,123887,'5% chance to dispel when target takes damage',100,2,3),
(162878,123887,'Decreases Mitigation of target vs elemental and noxious damage by 276',100,1,4),
(162879,10123887,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(162880,10123887,'Slows target by 53.1%',100,2,1),
(162881,10123887,'5% chance to dispel when target receives hostile action',100,2,2),
(162882,10123887,'5% chance to dispel when target takes damage',100,2,3),
(162883,10123887,'Decreases Mitigation of target vs elemental and noxious damage by 276',100,1,4),
(162884,107352,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(162885,107352,'Increases Threat to target by 240 ',100,2,1),
(162886,10107352,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(162887,10107352,'Inflicts 72 - 80 crushing damage on target',100,2,1),
(162888,135155,'When Equipped:',100,0,0),
(162889,135155,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(162890,135155,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(162891,135155,'Cannot be modified except by direct means',100,2,3),
(162892,10135155,'When Equipped:',100,0,0),
(162893,10135155,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(162894,10135155,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(162895,10135155,'Cannot be modified except by direct means',100,2,3),
(162896,35722,'Increases Max Power of target by 3.3',100,0,0),
(162897,35722,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(162898,45173,'Applies recharge when Activated.',100,0,0),
(162899,45173,'Updates a specific part of the Quest \"A Gnomish Master Plan\"',100,1,1),
(162900,45173,'This effect cannot be cast during combat',100,1,2),
(162901,45173,'If any of the following are true:',100,1,3),
(162902,45173,'must be in a particular area',100,2,4),
(162903,45173,'must be in a particular area',100,2,5),
(162904,45173,'must be in a particular area',100,2,6),
(162905,10045173,'Applies recharge when Activated.',100,0,0),
(162906,10045173,'Updates a specific part of the Quest \"A Gnomish Master Plan\"',100,1,1),
(162907,10045173,'This effect cannot be cast during combat',100,1,2),
(162908,10045173,'If any of the following are true:',100,1,3),
(162909,10045173,'must be in a particular area',100,2,4),
(162910,10045173,'must be in a particular area',100,2,5),
(162911,10045173,'must be in a particular area',100,2,6),
(162912,112731,'Inflicts 625 - 1042 disease damage on target encounter',100,1,0),
(162913,10112731,'Inflicts 813 - 1355 disease damage on target encounter',100,1,0),
(162914,121450,'Increases AGI of caster by 66.8',100,1,0),
(162915,121450,'Adds 21.8% to base avoidance.',100,1,1),
(162916,121450,'Increases Mitigation of caster vs physical damage by 654',100,1,2),
(162917,121450,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,3),
(162918,10121450,'Increases AGI of caster by 66.8',100,1,0),
(162919,10121450,'Adds 21.8% to base avoidance.',100,1,1),
(162920,10121450,'Increases Mitigation of caster vs physical damage by 654',100,1,2),
(162921,10121450,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,3),
(162922,141776,'When Equipped:',100,0,0),
(162923,141776,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(162924,141776,'Increases AGI of caster by 11.9',100,2,2),
(162925,141776,'Increases Attack Speed of caster by 14.8',100,2,3),
(162926,141776,'Cannot be modified except by direct means',100,2,4),
(162927,10141776,'When Equipped:',100,0,0),
(162928,10141776,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(162929,10141776,'Increases AGI of caster by 11.9',100,2,2),
(162930,10141776,'Increases Attack Speed of caster by 14.8',100,2,3),
(162931,10141776,'Cannot be modified except by direct means',100,2,4),
(162932,47815,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(162933,47815,'Increases STA of caster by 123.7',100,1,1),
(162934,47815,'Increases healing received by 1.50%',100,1,2),
(162935,10047815,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(162936,10047815,'Increases STA of caster by 123.7',100,1,1),
(162937,10047815,'Increases healing received by 1.50%',100,1,2),
(162938,109291,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(162939,109291,'Increases Mitigation of group members (AE) vs elemental damage by 372',100,1,1),
(162940,10109291,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(162941,10109291,'Increases Mitigation of group members (AE) vs elemental damage by 372',100,1,1),
(162942,123986,'Inflicts 960 - 1600 melee damage on target',100,1,0),
(162943,123986,'Decreases AGI of target by 75.2',100,1,1),
(162944,123986,'Must be behind',100,1,2),
(162945,10123986,'Inflicts 1248 - 2080 melee damage on target',100,1,0),
(162946,10123986,'Decreases AGI of target by 75.2',100,1,1),
(162947,10123986,'Must be behind',100,1,2),
(162948,24460,'Adds Kobold (Coercer) to your Dungeon Maker toolbox',100,0,0),
(162949,10024460,'Adds Kobold (Coercer) to your Dungeon Maker toolbox',100,0,0),
(162950,116620,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(162951,116620,'Increases Mitigation of group members (AE) vs arcane damage by 336',100,1,1),
(162952,10116620,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(162953,10116620,'Increases Mitigation of group members (AE) vs arcane damage by 336',100,1,1),
(162954,87167,'When Equipped:',100,0,0),
(162955,87167,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162956,87167,'Inflicts 64 - 97 magic damage on target',100,2,2),
(162957,87167,'Cannot be modified except by direct means',100,2,3),
(162958,10087167,'When Equipped:',100,0,0),
(162959,10087167,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(162960,10087167,'Inflicts 84 - 125 magic damage on target',100,2,2),
(162961,10087167,'Cannot be modified except by direct means',100,2,3),
(162962,71664,'When Equipped:',100,0,0),
(162963,71664,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162964,71664,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(162965,71664,'Cannot be modified except by direct means',100,2,3),
(162966,10071664,'When Equipped:',100,0,0),
(162967,10071664,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162968,10071664,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(162969,10071664,'Cannot be modified except by direct means',100,2,3),
(162970,123770,'Decreases Mitigation of target vs noxious damage by 1020',100,1,0),
(162971,123770,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(162972,123770,'Slows target by 40.2%',100,2,2),
(162973,123770,'5% chance to dispel when target receives hostile action',100,2,3),
(162974,123770,'5% chance to dispel when target takes damage',100,2,4),
(162975,10123770,'Decreases Mitigation of target vs noxious damage by 1020',100,1,0),
(162976,10123770,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(162977,10123770,'Slows target by 40.2%',100,2,2),
(162978,10123770,'5% chance to dispel when target receives hostile action',100,2,3),
(162979,10123770,'5% chance to dispel when target takes damage',100,2,4),
(162980,123468,'Shapechanges caster into a bear',100,1,0),
(162981,123468,'Increases WIS of caster by 106.9',100,1,1),
(162982,123468,'Grants See Stealth to caster',100,1,2),
(162983,123468,'Increases Max Health of caster by 473.2',100,1,3),
(162984,123468,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1620',100,1,4),
(162985,10123468,'Shapechanges caster into a bear',100,1,0),
(162986,10123468,'Increases WIS of caster by 106.9',100,1,1),
(162987,10123468,'Grants See Stealth to caster',100,1,2),
(162988,10123468,'Increases Max Health of caster by 473.2',100,1,3),
(162989,10123468,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1620',100,1,4),
(162990,191848,'When Equipped:',100,0,0),
(162991,191848,'On a melee hit this spell may cast Tranquil Peacekeeping on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162992,191848,'Increases the mitigation of the caster''s armor to rival that of chain armor.',100,2,2),
(162993,191848,'Increases caster''s chance to block by 15.0%',100,2,3),
(162994,191848,'Cannot be modified except by direct means',100,2,4),
(162995,191848,'Cannot be modified except by direct means',100,1,5),
(162996,10191848,'When Equipped:',100,0,0),
(162997,10191848,'On a melee hit this spell may cast Tranquil Peacekeeping on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(162998,10191848,'Increases the mitigation of the caster''s armor to rival that of chain armor.',100,2,2),
(162999,10191848,'Increases caster''s chance to block by 15.0%',100,2,3),
(163000,10191848,'Cannot be modified except by direct means',100,2,4),
(163001,10191848,'Cannot be modified except by direct means',100,1,5),
(163002,138386,'When Equipped:',100,0,0),
(163003,138386,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(163004,138386,'Must be engaged in pvp combat',100,1,2),
(163005,138386,'When Equipped:',100,0,3),
(163006,138386,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(163007,138386,'Must be engaged in pvp combat',100,1,5),
(163008,138386,'When Equipped:',100,0,6),
(163009,138386,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(163010,138386,'Reduces physical damage done to target by 2.5%',100,2,8),
(163011,138386,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(163012,138386,'Must be engaged in pvp combat',100,2,10),
(163013,138386,'Cannot be modified except by direct means',100,2,11),
(163014,138386,'Cannot be modified except by direct means',100,1,12),
(163015,10138386,'When Equipped:',100,0,0),
(163016,10138386,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(163017,10138386,'Must be engaged in pvp combat',100,1,2),
(163018,10138386,'When Equipped:',100,0,3),
(163019,10138386,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(163020,10138386,'Must be engaged in pvp combat',100,1,5),
(163021,10138386,'When Equipped:',100,0,6),
(163022,10138386,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(163023,10138386,'Reduces physical damage done to target by 2.5%',100,2,8),
(163024,10138386,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(163025,10138386,'Must be engaged in pvp combat',100,2,10),
(163026,10138386,'Cannot be modified except by direct means',100,2,11),
(163027,10138386,'Cannot be modified except by direct means',100,1,12),
(163028,103581,'Increases Mitigation of caster vs physical damage by 280',100,1,0),
(163029,10103581,'Increases Mitigation of caster vs physical damage by 280',100,1,0),
(163030,25469,'When Equipped:',100,0,0),
(163031,25469,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163032,25469,'Enhances Devour Vitae VI to affect an entire encounter.',100,1,2),
(163033,10025469,'When Equipped:',100,0,0),
(163034,10025469,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163035,10025469,'Enhances Devour Vitae VI to affect an entire encounter.',100,1,2),
(163036,48479,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(163037,48479,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(163038,48479,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(163039,48479,'Cannot be modified except by direct means',100,2,3),
(163040,48479,'Grants a total of 80 triggers of the spell.',100,2,4),
(163041,10048479,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(163042,10048479,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(163043,10048479,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(163044,10048479,'Cannot be modified except by direct means',100,2,3),
(163045,10048479,'Grants a total of 80 triggers of the spell.',100,2,4),
(163046,71849,'When Equipped:',100,0,0),
(163047,71849,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163048,71849,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(163049,71849,'Cannot be modified except by direct means',100,2,3),
(163050,10071849,'When Equipped:',100,0,0),
(163051,10071849,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163052,10071849,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(163053,10071849,'Cannot be modified except by direct means',100,2,3),
(163054,106418,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(163055,106418,'Inflicts 474 - 579 mental damage on target',100,2,1),
(163056,106418,'Grants a total of 3 triggers of the spell.',100,2,2),
(163057,10106418,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(163058,10106418,'Inflicts 616 - 752 mental damage on target',100,2,1),
(163059,10106418,'Grants a total of 3 triggers of the spell.',100,2,2),
(163060,25523,'When Equipped:',100,0,0),
(163061,25523,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163062,25523,'When damaged with a spell this spell has a 8% chance to cast Force of Will on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,2),
(163063,25523,'Dazes target',100,2,3),
(163064,25523,'Interrupts target',100,2,4),
(163065,25523,'Epic targets gain an immunity to Daze effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,5),
(163066,25523,'Cannot be modified except by direct means',100,2,6),
(163067,25523,'This effect can only trigger once every 15 seconds.',100,2,7),
(163068,25523,'Must be engaged in pvp combat',100,1,8),
(163069,10025523,'When Equipped:',100,0,0),
(163070,10025523,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163071,10025523,'When damaged with a spell this spell has a 8% chance to cast Force of Will on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,2),
(163072,10025523,'Dazes target',100,2,3),
(163073,10025523,'Interrupts target',100,2,4),
(163074,10025523,'Epic targets gain an immunity to Daze effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,5),
(163075,10025523,'Cannot be modified except by direct means',100,2,6),
(163076,10025523,'This effect can only trigger once every 15 seconds.',100,2,7),
(163077,10025523,'Must be engaged in pvp combat',100,1,8),
(163078,119560,'Wards group members (AE) against 2172 points of arcane damage',100,1,0),
(163079,119560,'Increases Mitigation of group members (AE) vs arcane damage by 1193',100,1,1),
(163080,10119560,'Wards group members (AE) against 2172 points of arcane damage',100,1,0),
(163081,10119560,'Increases Mitigation of group members (AE) vs arcane damage by 1193',100,1,1),
(163082,116213,'Inflicts 1767 - 2945 mental damage on target',100,1,0),
(163083,10116213,'Inflicts 2297 - 3829 mental damage on target',100,1,0),
(163084,47636,'Applies Prestige Token of Scale when Activated.  Lasts for 1.0 second.',100,0,0),
(163085,47636,'When used, this bauble will unlock the potential to level your character beyond level 90!',100,1,1),
(163086,10047636,'Applies Prestige Token of Scale when Activated.  Lasts for 1.0 second.',100,0,0),
(163087,10047636,'When used, this bauble will unlock the potential to level your character beyond level 90!',100,1,1),
(163088,176551,'When Equipped:',100,0,0),
(163089,176551,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(163090,176551,'Inflicts 1199 disease damage on target encounter',100,2,2),
(163091,176551,'Must not be engaged in pvp combat',100,2,3),
(163092,176551,'Cannot be modified except by direct means',100,2,4),
(163093,10176551,'When Equipped:',100,0,0),
(163094,10176551,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(163095,10176551,'Inflicts 779 disease damage on target encounter',100,2,2),
(163096,10176551,'Must not be engaged in pvp combat',100,2,3),
(163097,10176551,'Cannot be modified except by direct means',100,2,4),
(163098,37269,'Increases STA of target by 5.4',100,0,0),
(163099,37269,'Increases outgoing heal and ward amount by 2%',100,0,1),
(163100,37269,'Increases WIS of target by 5.4',100,0,2),
(163101,37269,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,3),
(163102,123201,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(163103,123201,'Inflicts 65 - 79 disease damage on target',100,2,1),
(163104,123201,'Heals caster for 2.4 - 2.9% of max health',100,2,2),
(163105,123201,'This effect cannot be critically applied.',100,3,3),
(163106,123201,'The healing of this spell cannot be modified except by direct means',100,2,4),
(163107,123201,'Grants a total of 5 triggers of the spell.',100,2,5),
(163108,10123201,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(163109,10123201,'Inflicts 84 - 103 disease damage on target',100,2,1),
(163110,10123201,'Heals caster for 0.8 - 1.0% of max health',100,2,2),
(163111,10123201,'This effect cannot be critically applied.',100,3,3),
(163112,10123201,'The healing of this spell cannot be modified except by direct means',100,2,4),
(163113,10123201,'Grants a total of 5 triggers of the spell.',100,2,5),
(163114,113366,'Applies Stifle.  Lasts for 6.0 seconds.',100,1,0),
(163115,113366,'Stifles target',100,2,1),
(163116,113366,'Blurs vision of target',100,2,2),
(163117,113366,'Dispelled when target takes damage',100,2,3),
(163118,113366,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,4),
(163119,113366,'Resistibility increases against targets higher than level 62.',100,2,5),
(163120,113366,'Roots target',100,1,6),
(163121,113366,'5% chance to dispel when target takes damage',100,1,7),
(163122,113366,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,8),
(163123,113366,'Resistibility increases against targets higher than level 62.',100,1,9),
(163124,10113366,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(163125,10113366,'Blurs vision of target',100,2,1),
(163126,10113366,'Stifles target',100,2,2),
(163127,10113366,'Dispelled when target takes damage',100,2,3),
(163128,10113366,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(163129,10113366,'Resistibility increases against targets higher than level 62.',100,2,5),
(163130,10113366,'Roots target',100,1,6),
(163131,10113366,'5% chance to dispel when target takes damage',100,1,7),
(163132,10113366,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(163133,10113366,'Resistibility increases against targets higher than level 62.',100,1,9),
(163134,124383,'Inflicts 691 - 844 divine damage on target',100,1,0),
(163135,124383,'Inflicts 288 - 352 divine damage on target every 4 seconds',100,1,1),
(163136,10124383,'Inflicts 898 - 1098 divine damage on target',100,1,0),
(163137,10124383,'Inflicts 374 - 457 divine damage on target every 4 seconds',100,1,1),
(163138,121653,'Increases WIS of caster by 2.7',100,1,0),
(163139,121653,'Summons a pet Peaceful Visage',100,1,1),
(163140,121653,'Increases STA, AGI, INT and STR of caster by 2.7',100,1,2),
(163141,121653,'If follows Quellious',100,1,3),
(163142,10121653,'Increases WIS of caster by 2.7',100,1,0),
(163143,10121653,'Summons a pet Peaceful Visage',100,1,1),
(163144,10121653,'Increases STA, AGI, INT and STR of caster by 2.7',100,1,2),
(163145,10121653,'If follows Quellious',100,1,3),
(163146,49145,'Applies withering spirit when Activated.  Lasts for 12 hours.',100,0,0),
(163147,49145,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(163148,49145,'Inflicts 212 poison damage on target instantly and every 6 seconds',100,2,2),
(163149,49145,'Inflicts 81 poison damage on target',100,2,3),
(163150,49145,'Cannot be modified except by direct means',100,2,4),
(163151,49145,'Grants a total of 200 triggers of the spell.',100,2,5),
(163152,10049145,'Applies withering spirit when Activated.  Lasts for 12 hours.',100,0,0),
(163153,10049145,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(163154,10049145,'Inflicts 78 poison damage on target',100,2,2),
(163155,10049145,'Inflicts 207 poison damage on target instantly and every 6 seconds',100,2,3),
(163156,10049145,'Cannot be modified except by direct means',100,2,4),
(163157,10049145,'Grants a total of 200 triggers of the spell.',100,2,5),
(163158,105621,'Inflicts 48 disease damage on target instantly and every 6 seconds',100,1,0),
(163159,105621,'Inflicts 111 - 185 disease damage on target',100,1,1),
(163160,105621,'Inflicts 111 - 185 disease damage on target',100,1,2),
(163161,10105621,'Inflicts 63 disease damage on target instantly and every 6 seconds',100,1,0),
(163162,10105621,'Inflicts 144 - 241 disease damage on target',100,1,1),
(163163,10105621,'Inflicts 144 - 241 disease damage on target',100,1,2),
(163164,118724,'Inflicts 182 - 304 slashing damage on target',100,1,0),
(163165,118724,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(163166,118724,'Inflicts 75 - 92 slashing damage on target every 5 seconds',100,1,2),
(163167,10118724,'Inflicts 237 - 395 slashing damage on target',100,1,0),
(163168,10118724,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(163169,10118724,'Inflicts 98 - 119 slashing damage on target every 5 seconds',100,1,2),
(163170,122691,'Heals target for 142 - 173',100,1,0),
(163171,122691,'Increases Max Health of target by 17.6',100,1,1),
(163172,10122691,'Heals target for 92 - 113',100,1,0),
(163173,10122691,'Increases Max Health of target by 17.6',100,1,1),
(163174,37444,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(163175,120992,'Inflicts 73 - 122 poison damage on target',100,1,0),
(163176,120992,'Inflicts 18 - 31 poison damage on target instantly and every 4 seconds',100,1,1),
(163177,10120992,'Inflicts 95 - 158 poison damage on target',100,1,0),
(163178,10120992,'Inflicts 24 - 40 poison damage on target instantly and every 4 seconds',100,1,1),
(163179,121217,'Grants stealth to caster',100,1,0),
(163180,121217,'Suspends caster''s movement speed enhancements',100,1,1),
(163181,121217,'Decreases Threat to target by 1,221 - 2,035 ',100,1,2),
(163182,10121217,'Forces target to clear their selected target.',100,1,0),
(163183,10121217,'Grants stealth to caster',100,1,1),
(163184,10121217,'Suspends caster''s movement speed enhancements',100,1,2),
(163185,42404,'When Equipped:',100,0,0),
(163186,42404,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(163187,42404,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(163188,42404,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(163189,42404,'Must not be engaged in pvp combat',100,2,4),
(163190,42404,'Cannot be modified except by direct means',100,2,5),
(163191,10042404,'When Equipped:',100,0,0),
(163192,10042404,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(163193,10042404,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(163194,10042404,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(163195,10042404,'Must not be engaged in pvp combat',100,2,4),
(163196,10042404,'Cannot be modified except by direct means',100,2,5),
(163197,124706,'Heals group members (AE) for 156 - 191',100,1,0),
(163198,10124706,'Heals group members (AE) for 189 - 231',100,1,0),
(163199,87557,'Applies Poison Bolt when Activated.',100,0,0),
(163200,87557,'Inflicts 133 - 222 poison damage on target',100,1,1),
(163201,87557,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(163202,10087557,'Applies Poison Bolt when Activated.',100,0,0),
(163203,10087557,'Inflicts 173 - 289 poison damage on target',100,1,1),
(163204,10087557,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(163205,24281,'Adds Elite: Diaku (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(163206,10024281,'Adds Elite: Diaku (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(163207,184902,'When Equipped:',100,0,0),
(163208,184902,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(163209,184902,'Inflicts 1390 mental damage on target',100,2,2),
(163210,184902,'Increases Threat to target by 4,000 ',100,2,3),
(163211,184902,'Cannot be modified except by direct means',100,2,4),
(163212,184902,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(163213,184902,'Inflicts 1390 mental damage on target',100,2,6),
(163214,184902,'Increases Threat to target by 4,000 ',100,2,7),
(163215,184902,'Cannot be modified except by direct means',100,2,8),
(163216,10184902,'When Equipped:',100,0,0),
(163217,10184902,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(163218,10184902,'Inflicts 1807 mental damage on target',100,2,2),
(163219,10184902,'Cannot be modified except by direct means',100,2,3),
(163220,10184902,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(163221,10184902,'Inflicts 1807 mental damage on target',100,2,5),
(163222,10184902,'Cannot be modified except by direct means',100,2,6),
(163223,136683,'When Equipped:',100,0,0),
(163224,136683,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(163225,136683,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,2),
(163226,136683,'Increases Potency of caster by 3.0%',100,2,3),
(163227,136683,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(163228,136683,'Must not be engaged in pvp combat',100,2,5),
(163229,136683,'Cannot be modified except by direct means',100,2,6),
(163230,136683,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(163231,136683,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(163232,136683,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,9),
(163233,136683,'Increases Potency of caster by 3.0%',100,2,10),
(163234,136683,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(163235,136683,'Must not be engaged in pvp combat',100,2,12),
(163236,136683,'Cannot be modified except by direct means',100,2,13),
(163237,136683,'Cannot be modified except by direct means',100,1,14),
(163238,10136683,'When Equipped:',100,0,0),
(163239,10136683,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(163240,10136683,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,2),
(163241,10136683,'Increases Potency of caster by 3.0%',100,2,3),
(163242,10136683,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(163243,10136683,'Must not be engaged in pvp combat',100,2,5),
(163244,10136683,'Cannot be modified except by direct means',100,2,6),
(163245,10136683,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(163246,10136683,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(163247,10136683,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,9),
(163248,10136683,'Increases Potency of caster by 3.0%',100,2,10),
(163249,10136683,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(163250,10136683,'Must not be engaged in pvp combat',100,2,12),
(163251,10136683,'Cannot be modified except by direct means',100,2,13),
(163252,10136683,'Cannot be modified except by direct means',100,1,14),
(163253,45039,'Applies Immortalize Aeteok when Activated.',100,0,0),
(163254,45039,'Summon 1 Trophy: Aeteok',100,1,1),
(163255,45039,'This effect cannot be cast during combat',100,1,2),
(163256,10045039,'Applies Immortalize Aeteok when Activated.',100,0,0),
(163257,10045039,'Summon 1 Trophy: Aeteok',100,1,1),
(163258,10045039,'This effect cannot be cast during combat',100,1,2),
(163259,81789,'When Equipped:',100,0,0),
(163260,81789,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163261,81789,'Inflicts 164 - 305 magic damage on target',100,2,2),
(163262,81789,'Decreases Threat to target by 487 ',100,2,3),
(163263,81789,'Must be flanking or behind',100,3,4),
(163264,81789,'Increases Threat to target by 487 ',100,2,5),
(163265,81789,'Must be in front of',100,3,6),
(163266,81789,'Cannot be modified except by direct means',100,2,7),
(163267,10081789,'When Equipped:',100,0,0),
(163268,10081789,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163269,10081789,'Inflicts 213 - 396 magic damage on target',100,2,2),
(163270,10081789,'Cannot be modified except by direct means',100,2,3),
(163271,119981,'Increases Threat to target by 305 - 373 ',100,1,0),
(163272,10119981,'Prevents target from changing targets',100,1,0),
(163273,10119981,'Forces target to change their selected target to caster.',100,1,1),
(163274,80922,'When Equipped:',100,0,0),
(163275,80922,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163276,80922,'Inflicts 296 - 551 magic damage on target',100,2,2),
(163277,80922,'Cannot be modified except by direct means',100,2,3),
(163278,10080922,'When Equipped:',100,0,0),
(163279,10080922,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163280,10080922,'Inflicts 385 - 716 magic damage on target',100,2,2),
(163281,10080922,'Cannot be modified except by direct means',100,2,3),
(163282,123227,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(163283,123227,'Increases Mitigation of group members (AE) vs noxious damage by 83',100,1,1),
(163284,10123227,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(163285,10123227,'Increases Mitigation of group members (AE) vs noxious damage by 83',100,1,1),
(163286,123424,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(163287,123424,'Throws target back',100,2,1),
(163288,123424,'Stuns target',100,2,2),
(163289,123424,'Blurs vision of target',100,2,3),
(163290,123424,'Does not affect Epic targets',100,2,4),
(163291,123424,'Inflicts 273 - 820 melee damage on target',100,1,5),
(163292,10123424,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(163293,10123424,'Throws target back',100,2,1),
(163294,10123424,'Stuns target',100,2,2),
(163295,10123424,'Blurs vision of target',100,2,3),
(163296,10123424,'Does not affect Epic targets',100,2,4),
(163297,10123424,'Inflicts 355 - 1066 melee damage on target',100,1,5),
(163298,106979,'Inflicts 896 - 1665 poison damage on target',100,1,0),
(163299,106979,'Increases power of caster by 57',100,1,1),
(163300,10106979,'Inflicts 1165 - 2164 poison damage on target',100,1,0),
(163301,10106979,'Increases power of caster by 57',100,1,1),
(163302,110549,'Summons a pet attack hawk',100,1,0),
(163303,10110549,'Summons a pet attack hawk',100,1,0),
(163304,47010,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(163305,47010,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(163306,47010,'Inflicts 242 poison damage on target',100,2,2),
(163307,47010,'Inflicts 125 poison damage on target instantly and every 6 seconds',100,2,3),
(163308,47010,'Cannot be modified except by direct means',100,2,4),
(163309,47010,'Grants a total of 200 triggers of the spell.',100,2,5),
(163310,10047010,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(163311,10047010,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(163312,10047010,'Inflicts 122 poison damage on target instantly and every 6 seconds',100,2,2),
(163313,10047010,'Inflicts 235 poison damage on target',100,2,3),
(163314,10047010,'Cannot be modified except by direct means',100,2,4),
(163315,10047010,'Grants a total of 200 triggers of the spell.',100,2,5),
(163316,112282,'Inflicts 23 - 28 disease damage on target',100,1,0),
(163317,112282,'Inflicts 11 - 14 disease damage on target every 3 seconds',100,1,1),
(163318,112282,'Increases Threat to target by 129 - 158  instantly and by 24 - 29  every 3 seconds thereafter',100,1,2),
(163319,10112282,'Inflicts 15 - 18 disease damage on target every 3 seconds',100,1,0),
(163320,10112282,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(163321,121802,'Heals target for 448 - 547',100,1,0),
(163322,121802,'Heals target for 75 - 91 every second',100,1,1),
(163323,10121802,'Heals target for 776 - 948',100,1,0),
(163324,10121802,'Heals target for 65 - 79 every second',100,1,1),
(163325,121404,'Inflicts 1088 - 1329 magic damage on target instantly and every 8 seconds',100,1,0),
(163326,121404,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(163327,121404,'Blurs vision of target',100,2,2),
(163328,121404,'Stuns target',100,2,3),
(163329,121404,'Throws target back',100,2,4),
(163330,121404,'Does not affect Epic targets',100,2,5),
(163331,10121404,'Inflicts 1414 - 1728 magic damage on target instantly and every 8 seconds',100,1,0),
(163332,10121404,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(163333,10121404,'Stuns target',100,2,2),
(163334,10121404,'Blurs vision of target',100,2,3),
(163335,10121404,'Throws target back',100,2,4),
(163336,10121404,'Does not affect Epic targets',100,2,5),
(163337,104946,'Inflicts 515 - 859 melee damage on target',100,1,0),
(163338,104946,'Decreases Defense of target by 21.8',100,1,1),
(163339,104946,'Must be behind',100,1,2),
(163340,10104946,'Inflicts 670 - 1117 melee damage on target',100,1,0),
(163341,10104946,'Decreases Defense of target by 21.8',100,1,1),
(163342,10104946,'Must be behind',100,1,2),
(163343,47561,'Applies Access Globe of Swift Travel when Activated.  Lasts for 30.0 seconds.',100,0,0),
(163344,47561,'Summons a portal that allows the user to access the global bell transport system from anywhere.',100,1,1),
(163345,10047561,'Applies Access Globe of Swift Travel when Activated.  Lasts for 30.0 seconds.',100,0,0),
(163346,10047561,'Summons a portal that allows the user to access the global bell transport system from anywhere.',100,1,1),
(163347,71467,'When Equipped:',100,0,0),
(163348,71467,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163349,71467,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(163350,71467,'Cannot be modified except by direct means',100,2,3),
(163351,10071467,'When Equipped:',100,0,0),
(163352,10071467,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163353,10071467,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(163354,10071467,'Cannot be modified except by direct means',100,2,3),
(163355,109120,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(163356,109120,'Increases Attack Speed of caster by 51.6',100,1,1),
(163357,109120,'Increases Damage Per Second of caster by 59.4',100,1,2),
(163358,109120,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(163359,109120,'Increases Ranged of caster by 66.0',100,1,4),
(163360,109120,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(163361,109120,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(163362,109120,'Increases Crushing of group members (AE) by 66.0',100,2,7),
(163363,109120,'Increases Slashing of group members (AE) by 66.0',100,2,8),
(163364,109120,'If profession other than Ranger',100,3,9),
(163365,109120,'Increases Piercing of group members (AE) by 66.0',100,2,10),
(163366,109120,'If profession other than Ranger',100,3,11),
(163367,10109120,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(163368,10109120,'Increases Attack Speed of caster by 51.6',100,1,1),
(163369,10109120,'Increases Damage Per Second of caster by 59.4',100,1,2),
(163370,10109120,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(163371,10109120,'Increases Ranged of caster by 66.0',100,1,4),
(163372,10109120,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(163373,10109120,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(163374,10109120,'Increases Crushing of group members (AE) by 66.0',100,2,7),
(163375,10109120,'Increases Slashing of group members (AE) by 66.0',100,2,8),
(163376,10109120,'If profession other than Ranger',100,3,9),
(163377,10109120,'Increases Piercing of group members (AE) by 66.0',100,2,10),
(163378,10109120,'If profession other than Ranger',100,3,11),
(163379,46771,'Applies Legion of Danak Marching Orders when Activated.',100,0,0),
(163380,10046771,'Applies Legion of Danak Marching Orders when Activated.',100,0,0),
(163381,100139,'Inflicts 64 - 78 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(163382,100139,'Decreases Mitigation of target encounter vs noxious damage by 460',100,1,1),
(163383,10100139,'Inflicts 83 - 102 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(163384,10100139,'Decreases Mitigation of target encounter vs noxious damage by 460',100,1,1),
(163385,159324,'Applies Sanguine Imbued when Equipped.',100,0,0),
(163386,159324,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(163387,159324,'Inflicts 206 heat damage on target',100,2,2),
(163388,159324,'Cannot be modified except by direct means',100,2,3),
(163389,10159324,'Applies Sanguine Imbued when Equipped.',100,0,0),
(163390,10159324,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(163391,10159324,'Inflicts 267 heat damage on target',100,2,2),
(163392,10159324,'Cannot be modified except by direct means',100,2,3),
(163393,76693,'When Equipped:',100,0,0),
(163394,76693,'This effect will not stack with any rank or tier of itself.',100,1,1),
(163395,76693,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(163396,76693,'Cannot be modified except by direct means',100,1,3),
(163397,10076693,'When Equipped:',100,0,0),
(163398,10076693,'This effect will not stack with any rank or tier of itself.',100,1,1),
(163399,10076693,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(163400,10076693,'Cannot be modified except by direct means',100,1,3),
(163401,84545,'When Equipped:',100,0,0),
(163402,84545,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163403,84545,'Inflicts 93 - 113 mental damage on target',100,2,2),
(163404,84545,'Cannot be modified except by direct means',100,2,3),
(163405,10084545,'When Equipped:',100,0,0),
(163406,10084545,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163407,10084545,'Inflicts 120 - 147 mental damage on target',100,2,2),
(163408,10084545,'Cannot be modified except by direct means',100,2,3),
(163409,101903,'Decreases AGI of target by 8.0',100,1,0),
(163410,101903,'Inflicts 78 - 130 melee damage on target',100,1,1),
(163411,101903,'Must be behind',100,1,2),
(163412,10101903,'Decreases AGI of target by 8.0',100,1,0),
(163413,10101903,'Inflicts 101 - 169 melee damage on target',100,1,1),
(163414,10101903,'Must be behind',100,1,2),
(163415,71867,'When Equipped:',100,0,0),
(163416,71867,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163417,71867,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(163418,71867,'Cannot be modified except by direct means',100,2,3),
(163419,10071867,'When Equipped:',100,0,0),
(163420,10071867,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163421,10071867,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(163422,10071867,'Cannot be modified except by direct means',100,2,3),
(163423,71785,'When Equipped:',100,0,0),
(163424,71785,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163425,71785,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(163426,71785,'Cannot be modified except by direct means',100,2,3),
(163427,10071785,'When Equipped:',100,0,0),
(163428,10071785,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163429,10071785,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(163430,10071785,'Cannot be modified except by direct means',100,2,3),
(163431,35886,'Increases Max Power of target by 3.3',100,0,0),
(163432,35886,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(163433,36227,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(163434,110455,'Dazes targets in Area of Effect',100,1,0),
(163435,110455,'If Target is not Epic',100,2,1),
(163436,110455,'Decreases Threat to targets in Area of Effect by 2,284 ',100,1,2),
(163437,110455,'Dispelled when target receives hostile action',100,1,3),
(163438,110455,'Dispelled when target takes damage',100,1,4),
(163439,10110455,'Dazes targets in Area of Effect',100,1,0),
(163440,10110455,'If Target is not Epic',100,2,1),
(163441,10110455,'Applies Distract.',100,1,2),
(163442,10110455,'Forces target to clear their selected target.',100,2,3),
(163443,10110455,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(163444,10110455,'Dispelled when target receives hostile action',100,1,5),
(163445,10110455,'Dispelled when target takes damage',100,1,6),
(163446,54939,'When Equipped:',100,0,0),
(163447,54939,'On a beneficial spell cast this spell may cast Purifying Presence on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(163448,54939,'Dispels 103 levels of any hostile effects on target',100,2,2),
(163449,54939,'Cannot be modified except by direct means',100,2,3),
(163450,10054939,'When Equipped:',100,0,0),
(163451,10054939,'On a beneficial spell cast this spell may cast Purifying Presence on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(163452,10054939,'Dispels 103 levels of any hostile effects on target',100,2,2),
(163453,10054939,'Cannot be modified except by direct means',100,2,3),
(163454,115824,'Inflicts 53 disease damage on target every 3 seconds',100,1,0),
(163455,115824,'Inflicts 199 - 332 melee damage on target',100,1,1),
(163456,115824,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(163457,115824,'Heals caster for 1.6% of max health instantly and every 3 seconds',100,2,3),
(163458,115824,'This effect cannot be critically applied.',100,3,4),
(163459,115824,'The healing of this spell cannot be modified except by direct means',100,2,5),
(163460,115824,'The healing of this spell cannot be modified except by direct means',100,1,6),
(163461,10115824,'Inflicts 69 disease damage on target every 3 seconds',100,1,0),
(163462,10115824,'Inflicts 259 - 432 melee damage on target',100,1,1),
(163463,10115824,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(163464,10115824,'Heals caster for 0.5% of max health instantly and every 3 seconds',100,2,3),
(163465,10115824,'This effect cannot be critically applied.',100,3,4),
(163466,10115824,'The healing of this spell cannot be modified except by direct means',100,2,5),
(163467,10115824,'The healing of this spell cannot be modified except by direct means',100,1,6),
(163468,107196,'Inflicts 347 - 578 divine damage on target',100,1,0),
(163469,107196,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(163470,107196,'Stuns target',100,2,2),
(163471,107196,'If Target is not Epic',100,3,3),
(163472,107196,'Inflicts 810 - 1350 divine damage on target',100,2,4),
(163473,107196,'Inflicts 694 - 1157 divine damage on target',100,2,5),
(163474,107196,'If target is undead',100,3,6),
(163475,10107196,'Inflicts 300 - 501 divine damage on target',100,1,0),
(163476,10107196,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(163477,10107196,'Stuns target',100,2,2),
(163478,10107196,'Inflicts 1580 - 2633 divine damage on target',100,2,3),
(163479,10107196,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(163480,114618,'Decreases WIS of target by 20.0',100,1,0),
(163481,114618,'Inflicts 218 - 364 melee damage on target',100,1,1),
(163482,114618,'You must be sneaking to use this ability.',100,1,2),
(163483,10114618,'Decreases WIS of target by 20.0',100,1,0),
(163484,10114618,'Inflicts 284 - 473 melee damage on target',100,1,1),
(163485,10114618,'You must be sneaking to use this ability.',100,1,2),
(163486,101745,'Increases Max Power of target by 60.6',100,1,0),
(163487,101745,'Increases Max Health of target by 80.3',100,1,1),
(163488,10101745,'Increases Max Power of target by 60.6',100,1,0),
(163489,10101745,'Increases Max Health of target by 80.3',100,1,1),
(163490,162238,'When Equipped:',100,0,0),
(163491,162238,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(163492,162238,'Heals caster for 118 instantly and every 5 seconds',100,2,2),
(163493,162238,'Cannot be modified except by direct means',100,2,3),
(163494,10162238,'When Equipped:',100,0,0),
(163495,10162238,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(163496,10162238,'Heals caster for 77 instantly and every 5 seconds',100,2,2),
(163497,10162238,'Cannot be modified except by direct means',100,2,3),
(163498,84126,'When Equipped:',100,0,0),
(163499,84126,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(163500,84126,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(163501,84126,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(163502,84126,'Must not be engaged in pvp combat',100,2,4),
(163503,84126,'Cannot be modified except by direct means',100,2,5),
(163504,84126,'Cannot be modified except by direct means',100,1,6),
(163505,84126,'When Equipped:',100,0,7),
(163506,84126,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(163507,84126,'Increases Ability Modifier of caster by 660.0',100,2,9),
(163508,84126,'Must not be engaged in pvp combat',100,2,10),
(163509,84126,'Cannot be modified except by direct means',100,2,11),
(163510,84126,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(163511,84126,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(163512,84126,'Increases Ability Modifier of caster by 660.0',100,2,14),
(163513,84126,'Must not be engaged in pvp combat',100,2,15),
(163514,84126,'Cannot be modified except by direct means',100,2,16),
(163515,84126,'Cannot be modified except by direct means',100,1,17),
(163516,10084126,'When Equipped:',100,0,0),
(163517,10084126,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(163518,10084126,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(163519,10084126,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(163520,10084126,'Must not be engaged in pvp combat',100,2,4),
(163521,10084126,'Cannot be modified except by direct means',100,2,5),
(163522,10084126,'Cannot be modified except by direct means',100,1,6),
(163523,10084126,'When Equipped:',100,0,7),
(163524,10084126,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(163525,10084126,'Increases Ability Modifier of caster by 660.0',100,2,9),
(163526,10084126,'Must not be engaged in pvp combat',100,2,10),
(163527,10084126,'Cannot be modified except by direct means',100,2,11),
(163528,10084126,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(163529,10084126,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(163530,10084126,'Increases Ability Modifier of caster by 660.0',100,2,14),
(163531,10084126,'Must not be engaged in pvp combat',100,2,15),
(163532,10084126,'Cannot be modified except by direct means',100,2,16),
(163533,10084126,'Cannot be modified except by direct means',100,1,17),
(163534,106729,'Heals target for 390 - 476',100,1,0),
(163535,10106729,'Heals target for 458 - 560',100,1,0),
(163536,124839,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1747',100,1,0),
(163537,10124839,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1747',100,1,0),
(163538,123844,'Increases AGI of caster by 13.6',100,1,0),
(163539,123844,'Adds 21.8% to base avoidance.',100,1,1),
(163540,123844,'Increases Damage Per Second of caster by 29.5',100,1,2),
(163541,123844,'Increases Mitigation of caster vs physical damage by 108',100,1,3),
(163542,123844,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 240',100,1,4),
(163543,10123844,'Increases AGI of caster by 13.6',100,1,0),
(163544,10123844,'Adds 21.8% to base avoidance.',100,1,1),
(163545,10123844,'Increases Damage Per Second of caster by 29.5',100,1,2),
(163546,10123844,'Increases Mitigation of caster vs physical damage by 108',100,1,3),
(163547,10123844,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 240',100,1,4),
(163548,114901,'Causes 12% Threat to transfer to target when in combat',100,1,0),
(163549,10114901,'Applies Shadows.',100,1,0),
(163550,10114901,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target''s attacker.  Lasts for 5.0 seconds.  ',100,2,1),
(163551,10114901,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(163552,82518,'When Equipped:',100,0,0),
(163553,82518,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163554,82518,'Inflicts 493 - 915 magic damage on target',100,2,2),
(163555,82518,'Decreases Threat to target by 1,219 ',100,2,3),
(163556,82518,'Must be flanking or behind',100,3,4),
(163557,82518,'Increases Threat to target by 1,219 ',100,2,5),
(163558,82518,'Must be in front of',100,3,6),
(163559,82518,'Cannot be modified except by direct means',100,2,7),
(163560,10082518,'When Equipped:',100,0,0),
(163561,10082518,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163562,10082518,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(163563,10082518,'Cannot be modified except by direct means',100,2,3),
(163564,116135,'Inflicts 178 - 298 divine damage on target',100,1,0),
(163565,116135,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(163566,116135,'Blurs vision of target',100,2,2),
(163567,116135,'Stuns target',100,2,3),
(163568,116135,'Throws target back',100,2,4),
(163569,116135,'Does not affect Epic targets',100,2,5),
(163570,10116135,'Inflicts 232 - 387 divine damage on target',100,1,0),
(163571,10116135,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(163572,10116135,'Stuns target',100,2,2),
(163573,10116135,'Blurs vision of target',100,2,3),
(163574,10116135,'Throws target back',100,2,4),
(163575,10116135,'Does not affect Epic targets',100,2,5),
(163576,109787,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(163577,109787,'Heals group members (AE) for 259',100,2,1),
(163578,10109787,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(163579,10109787,'Heals group members (AE) for 168',100,2,1),
(163580,102797,'Increases STR of caster by 88.4',100,1,0),
(163581,102797,'Increases Max Health of caster by 525.6',100,1,1),
(163582,102797,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,2),
(163583,10102797,'Increases STR of caster by 88.4',100,1,0),
(163584,10102797,'Increases Max Health of caster by 525.6',100,1,1),
(163585,10102797,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,2),
(163586,105701,'Decreases Attack Speed of target encounter by 17.4',100,1,0),
(163587,105701,'Slows target encounter by 22.9%',100,1,1),
(163588,10105701,'Decreases Attack Speed of target encounter by 17.4',100,1,0),
(163589,10105701,'Slows target encounter by 22.9%',100,1,1),
(163590,119535,'Increases threat priority of target by 2 positions',100,1,0),
(163591,119535,'Stuns caster',100,1,1),
(163592,119535,'Decreases Defense and Parry of caster by 399.0',100,1,2),
(163593,119535,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(163594,119535,'Inflicts 2869 - 4782 piercing damage on target',100,2,4),
(163595,119535,'Grants a total of 1 trigger of the spell.',100,2,5),
(163596,10119535,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(163597,10119535,'Prevents target from changing targets',100,2,1),
(163598,10119535,'Forces target to change their selected target to caster.',100,2,2),
(163599,10119535,'Stuns caster',100,1,3),
(163600,10119535,'Decreases Defense and Parry of caster by 399.0',100,1,4),
(163601,10119535,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(163602,10119535,'Inflicts 2662 - 4437 piercing damage on target',100,2,6),
(163603,10119535,'Grants a total of 1 trigger of the spell.',100,2,7),
(163604,110230,'Grants Aura Vision to caster',100,1,0),
(163605,10110230,'Grants Aura Vision to caster',100,1,0),
(163606,86481,'Applies Disease Blast when Activated.',100,0,0),
(163607,86481,'Inflicts 133 - 222 disease damage on target',100,1,1),
(163608,86481,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(163609,10086481,'Applies Disease Blast when Activated.',100,0,0),
(163610,10086481,'Inflicts 173 - 289 disease damage on target',100,1,1),
(163611,10086481,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(163612,109572,'Makes target afraid',100,1,0),
(163613,109572,'30% chance to dispel when target takes damage',100,1,1),
(163614,109572,'Does not affect Epic targets',100,1,2),
(163615,109572,'Resistibility increases against targets higher than level 83.',100,1,3),
(163616,10109572,'Makes target afraid',100,1,0),
(163617,10109572,'30% chance to dispel when target takes damage',100,1,1),
(163618,10109572,'Does not affect Epic targets',100,1,2),
(163619,10109572,'Resistibility increases against targets higher than level 83.',100,1,3),
(163620,112751,'Interrupts target',100,1,0),
(163621,112751,'Inflicts 59 - 98 divine damage on target',100,1,1),
(163622,10112751,'Interrupts target',100,1,0),
(163623,10112751,'Inflicts 76 - 127 divine damage on target',100,1,1),
(163624,112918,'Increases Damage Per Second of caster by 77.0',100,1,0),
(163625,112918,'Increases Ranged of caster by 36.2',100,1,1),
(163626,10112918,'Increases Damage Per Second of caster by 77.0',100,1,0),
(163627,10112918,'Increases Ranged of caster by 36.2',100,1,1),
(163628,51409,'When Equipped:',100,0,0),
(163629,51409,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(163630,51409,'Inflicts 1192 poison damage on target',100,2,2),
(163631,51409,'Cannot be modified except by direct means',100,2,3),
(163632,10051409,'When Equipped:',100,0,0),
(163633,10051409,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(163634,10051409,'Inflicts 775 poison damage on target',100,2,2),
(163635,10051409,'Cannot be modified except by direct means',100,2,3),
(163636,124341,'Shapechanges caster into a wolf',100,1,0),
(163637,124341,'Grants See Invisibility to caster',100,1,1),
(163638,124341,'Increases Focus of caster by 38.6',100,1,2),
(163639,124341,'Increases Mitigation of caster vs physical damage by 439',100,1,3),
(163640,124341,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1588',100,1,4),
(163641,10124341,'Shapechanges caster into a wolf',100,1,0),
(163642,10124341,'Grants See Invisibility to caster',100,1,1),
(163643,10124341,'Increases Focus of caster by 38.6',100,1,2),
(163644,10124341,'Increases Mitigation of caster vs physical damage by 439',100,1,3),
(163645,10124341,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1588',100,1,4),
(163646,108858,'Inflicts 237 - 396 melee damage on target',100,1,0),
(163647,108858,'Inflicts 237 - 396 melee damage on target',100,1,1),
(163648,108858,'Inflicts 237 - 396 melee damage on target',100,1,2),
(163649,108858,'Inflicts 237 - 396 melee damage on target',100,1,3),
(163650,108858,'Inflicts 237 - 396 melee damage on target',100,1,4),
(163651,10108858,'Inflicts 309 - 515 melee damage on target',100,1,0),
(163652,10108858,'Inflicts 309 - 515 melee damage on target',100,1,1),
(163653,10108858,'Inflicts 309 - 515 melee damage on target',100,1,2),
(163654,10108858,'Inflicts 309 - 515 melee damage on target',100,1,3),
(163655,10108858,'Inflicts 309 - 515 melee damage on target',100,1,4),
(163656,119550,'Wards group members (AE) against 1164 points of arcane damage',100,1,0),
(163657,119550,'Increases Mitigation of group members (AE) vs arcane damage by 688',100,1,1),
(163658,10119550,'Wards group members (AE) against 1164 points of arcane damage',100,1,0),
(163659,10119550,'Increases Mitigation of group members (AE) vs arcane damage by 688',100,1,1),
(163660,120297,'Target will lose 55% more power when power is consumed',100,1,0),
(163661,120297,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(163662,120297,'Inflicts 542 - 663 divine damage on target',100,2,2),
(163663,120297,'Grants a total of 3 triggers of the spell.',100,2,3),
(163664,10120297,'Target will lose 55% more power when power is consumed',100,1,0),
(163665,10120297,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(163666,10120297,'Inflicts 705 - 862 divine damage on target',100,2,2),
(163667,10120297,'Grants a total of 3 triggers of the spell.',100,2,3),
(163668,87710,'When Equipped:',100,0,0),
(163669,87710,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(163670,87710,'Inflicts 30 - 37 magic damage on target',100,2,2),
(163671,87710,'If target is werewolf',100,3,3),
(163672,87710,'Cannot be modified except by direct means',100,2,4),
(163673,10087710,'When Equipped:',100,0,0),
(163674,10087710,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(163675,10087710,'Inflicts 39 - 48 magic damage on target',100,2,2),
(163676,10087710,'If target is werewolf',100,3,3),
(163677,10087710,'Cannot be modified except by direct means',100,2,4),
(163678,81832,'When Equipped:',100,0,0),
(163679,81832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163680,81832,'Inflicts 148 - 274 magic damage on target',100,2,2),
(163681,81832,'Cannot be modified except by direct means',100,2,3),
(163682,10081832,'When Equipped:',100,0,0),
(163683,10081832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163684,10081832,'Inflicts 192 - 356 magic damage on target',100,2,2),
(163685,10081832,'Cannot be modified except by direct means',100,2,3),
(163686,81819,'When Equipped:',100,0,0),
(163687,81819,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163688,81819,'Inflicts 164 - 305 magic damage on target',100,2,2),
(163689,81819,'Decreases Threat to target by 487 ',100,2,3),
(163690,81819,'Must be flanking or behind',100,3,4),
(163691,81819,'Increases Threat to target by 487 ',100,2,5),
(163692,81819,'Must be in front of',100,3,6),
(163693,81819,'Cannot be modified except by direct means',100,2,7),
(163694,10081819,'When Equipped:',100,0,0),
(163695,10081819,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163696,10081819,'Inflicts 213 - 396 magic damage on target',100,2,2),
(163697,10081819,'Cannot be modified except by direct means',100,2,3),
(163698,111724,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(163699,111724,'Inflicts 155 - 189 cold damage on target',100,2,1),
(163700,111724,'Grants a total of 3 triggers of the spell.',100,2,2),
(163701,10111724,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(163702,10111724,'Inflicts 201 - 246 cold damage on target',100,2,1),
(163703,10111724,'Grants a total of 3 triggers of the spell.',100,2,2),
(163704,177576,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(163705,177576,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(163706,177576,'Heals target for 59 instantly and every 4 seconds',100,2,2),
(163707,177576,'Cannot be modified except by direct means',100,2,3),
(163708,10177576,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(163709,10177576,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(163710,10177576,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(163711,10177576,'Cannot be modified except by direct means',100,2,3),
(163712,46355,'Applies Flask of Achievements I when Activated.  Lasts for 4 hours.',100,0,0),
(163713,46355,'Increases Tradeskill XP Gain of caster by 20.0%',100,1,1),
(163714,46355,'Increases Combat XP Gain of caster by 20.0%',100,1,2),
(163715,46355,'Increases AA XP Gain of caster by 20.0%',100,1,3),
(163716,46355,'You can only have one experience potion active at a time.',100,1,4),
(163717,10046355,'Applies Flask of Achievements I when Activated.  Lasts for 4 hours.',100,0,0),
(163718,10046355,'Increases Tradeskill XP Gain of caster by 20.0%',100,1,1),
(163719,10046355,'Increases Combat XP Gain of caster by 20.0%',100,1,2),
(163720,10046355,'Increases AA XP Gain of caster by 20.0%',100,1,3),
(163721,10046355,'You can only have one experience potion active at a time.',100,1,4),
(163722,114691,'Increases Threat to target by 1,019 - 1,246 ',100,1,0),
(163723,114691,'Interrupts target',100,1,1),
(163724,10114691,'Interrupts target',100,1,0),
(163725,10114691,'Forces target to change their selected target to caster.',100,1,1),
(163726,10114691,'Prevents target from changing targets',100,1,2),
(163727,110798,'Inflicts 51 - 69 mental damage on target',100,1,0),
(163728,10110798,'Inflicts 67 - 90 mental damage on target',100,1,0),
(163729,104007,'Stifles target',100,1,0),
(163730,104007,'If Target is not Epic',100,2,1),
(163731,104007,'Interrupts target',100,1,2),
(163732,104007,'Decreases Threat to target by 85 - 104 ',100,1,3),
(163733,104007,'Resistibility increases against targets higher than level 39.',100,1,4),
(163734,10104007,'Stifles target',100,1,0),
(163735,10104007,'If Target is not Epic',100,2,1),
(163736,10104007,'Interrupts target',100,1,2),
(163737,10104007,'Resistibility increases against targets higher than level 39.',100,1,3),
(163738,37299,'Increases Max Health of target by 3.9',100,0,0),
(163739,37299,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(163740,105472,'Stuns target encounter',100,1,0),
(163741,105472,'If Target is not Epic',100,2,1),
(163742,105472,'Inflicts 233 - 433 poison damage on target encounter',100,1,2),
(163743,105472,'Resistibility increases against targets higher than level 51.',100,1,3),
(163744,10105472,'Stuns target encounter',100,1,0),
(163745,10105472,'If Target is not Epic',100,2,1),
(163746,10105472,'Inflicts 303 - 562 poison damage on target encounter',100,1,2),
(163747,10105472,'Resistibility increases against targets higher than level 51.',100,1,3),
(163748,116882,'Wards group members (AE) against 990 points of noxious damage',100,1,0),
(163749,116882,'Increases Mitigation of group members (AE) vs noxious damage by 542',100,1,1),
(163750,10116882,'Wards group members (AE) against 990 points of noxious damage',100,1,0),
(163751,10116882,'Increases Mitigation of group members (AE) vs noxious damage by 542',100,1,1),
(163752,107869,'Decreases Mitigation of target vs elemental damage by 1300',100,1,0),
(163753,107869,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(163754,107869,'Slows target by 43.0%',100,2,2),
(163755,107869,'5% chance to dispel when target receives hostile action',100,2,3),
(163756,107869,'5% chance to dispel when target takes damage',100,2,4),
(163757,10107869,'Decreases Mitigation of target vs elemental damage by 1300',100,1,0),
(163758,10107869,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(163759,10107869,'Slows target by 43.0%',100,2,2),
(163760,10107869,'5% chance to dispel when target receives hostile action',100,2,3),
(163761,10107869,'5% chance to dispel when target takes damage',100,2,4),
(163762,133813,'When Equipped:',100,0,0),
(163763,133813,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(163764,133813,'Inflicts 2664 cold damage on target encounter',100,2,2),
(163765,133813,'Must not be engaged in pvp combat',100,2,3),
(163766,133813,'Cannot be modified except by direct means',100,2,4),
(163767,133813,'Must not be engaged in pvp combat',100,1,5),
(163768,10133813,'When Equipped:',100,0,0),
(163769,10133813,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(163770,10133813,'Inflicts 1732 cold damage on target encounter',100,2,2),
(163771,10133813,'Must not be engaged in pvp combat',100,2,3),
(163772,10133813,'Cannot be modified except by direct means',100,2,4),
(163773,10133813,'Must not be engaged in pvp combat',100,1,5),
(163774,174413,'When Equipped:',100,0,0),
(163775,174413,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163776,174413,'Increases INT of target by 98.9',100,2,2),
(163777,174413,'Cannot be modified except by direct means',100,2,3),
(163778,10174413,'When Equipped:',100,0,0),
(163779,10174413,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(163780,10174413,'Increases INT of target by 98.9',100,2,2),
(163781,10174413,'Cannot be modified except by direct means',100,2,3),
(163782,109851,'Increases Defense of group members (AE) by 6.5',100,1,0),
(163783,10109851,'Increases Defense of group members (AE) by 6.5',100,1,0),
(163784,122029,'Increases Threat to target by 67 - 82 ',100,1,0),
(163785,122029,'Inflicts 11 - 19 melee damage on target',100,1,1),
(163786,10122029,'Forces target to change their selected target to caster.',100,1,0),
(163787,10122029,'Inflicts 15 - 25 melee damage on target',100,1,1),
(163788,123402,'When damaged with a melee weapon this spell has a 9% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(163789,123402,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(163790,10123402,'When damaged with a melee weapon this spell has a 9% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(163791,10123402,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(163792,80480,'When Equipped:',100,0,0),
(163793,80480,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163794,80480,'Inflicts 70 - 131 magic damage on target',100,2,2),
(163795,80480,'Cannot be modified except by direct means',100,2,3),
(163796,10080480,'When Equipped:',100,0,0),
(163797,10080480,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163798,10080480,'Inflicts 91 - 170 magic damage on target',100,2,2),
(163799,10080480,'Cannot be modified except by direct means',100,2,3),
(163800,37028,'Increases Max Health of target by 3.9',100,0,0),
(163801,37028,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(163802,101270,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(163803,101270,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(163804,10101270,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(163805,10101270,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(163806,81615,'When Equipped:',100,0,0),
(163807,81615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163808,81615,'Inflicts 153 - 283 magic damage on target',100,2,2),
(163809,81615,'Cannot be modified except by direct means',100,2,3),
(163810,10081615,'When Equipped:',100,0,0),
(163811,10081615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163812,10081615,'Inflicts 198 - 368 magic damage on target',100,2,2),
(163813,10081615,'Cannot be modified except by direct means',100,2,3),
(163814,105485,'Stuns target encounter',100,1,0),
(163815,105485,'If Target is not Epic',100,2,1),
(163816,105485,'Inflicts 624 - 1159 poison damage on target encounter',100,1,2),
(163817,105485,'Resistibility increases against targets higher than level 93.',100,1,3),
(163818,10105485,'Stuns target encounter',100,1,0),
(163819,10105485,'If Target is not Epic',100,2,1),
(163820,10105485,'Inflicts 811 - 1507 poison damage on target encounter',100,1,2),
(163821,10105485,'Resistibility increases against targets higher than level 93.',100,1,3),
(163822,54418,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(163823,54418,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(163824,54418,'Inflicts 50 heat damage on target',100,2,2),
(163825,54418,'Cannot be modified except by direct means',100,2,3),
(163826,10054418,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(163827,10054418,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(163828,10054418,'Inflicts 65 heat damage on target',100,2,2),
(163829,10054418,'Cannot be modified except by direct means',100,2,3),
(163830,74565,'When Equipped:',100,0,0),
(163831,74565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163832,74565,'Inflicts 208 - 311 magic damage on target',100,2,2),
(163833,74565,'Cannot be modified except by direct means',100,2,3),
(163834,10074565,'When Equipped:',100,0,0),
(163835,10074565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163836,10074565,'Inflicts 270 - 405 magic damage on target',100,2,2),
(163837,10074565,'Cannot be modified except by direct means',100,2,3),
(163838,89029,'When Equipped:',100,0,0),
(163839,89029,'On a melee hit this spell may cast Strike of Thorns on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163840,89029,'Inflicts 396 magic damage on target encounter',100,2,2),
(163841,89029,'Cannot be modified except by direct means',100,2,3),
(163842,10089029,'When Equipped:',100,0,0),
(163843,10089029,'On a melee hit this spell may cast Strike of Thorns on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163844,10089029,'Inflicts 515 magic damage on target encounter',100,2,2),
(163845,10089029,'Cannot be modified except by direct means',100,2,3),
(163846,36794,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(163847,120742,'Heals target for 113',100,1,0),
(163848,10120742,'Heals target for 74',100,1,0),
(163849,123510,'Decreases Mitigation of target encounter vs noxious damage by 656',100,1,0),
(163850,10123510,'Decreases Mitigation of target encounter vs noxious damage by 656',100,1,0),
(163851,27347,'When Equipped:',100,0,0),
(163852,27347,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(163853,27347,'Slows target by 21.2%',100,2,2),
(163854,27347,'Inflicts 159 cold damage on target',100,2,3),
(163855,27347,'Cannot be modified except by direct means',100,2,4),
(163856,10027347,'When Equipped:',100,0,0),
(163857,10027347,'On a combat hit this spell may cast Arctic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(163858,10027347,'Slows target by 21.2%',100,2,2),
(163859,10027347,'Inflicts 207 cold damage on target',100,2,3),
(163860,10027347,'Cannot be modified except by direct means',100,2,4),
(163861,35161,'Increases STR of target by 1.5',100,0,0),
(163862,35161,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(163863,121041,'Increases AGI of target by 36.9',100,1,0),
(163864,121041,'Adds 0.7% to base avoidance.',100,1,1),
(163865,121041,'Increases In-Combat Power Regeneration of target by 21.2',100,1,2),
(163866,121041,'Increases Max Power of target by 230.8',100,1,3),
(163867,10121041,'Increases AGI of target by 36.9',100,1,0),
(163868,10121041,'Adds 0.7% to base avoidance.',100,1,1),
(163869,10121041,'Increases In-Combat Power Regeneration of target by 21.2',100,1,2),
(163870,10121041,'Increases Max Power of target by 230.8',100,1,3),
(163871,108719,'Inflicts 413 heat damage on target',100,1,0),
(163872,108719,'Inflicts 92 heat damage on target every 4 seconds',100,1,1),
(163873,10108719,'Inflicts 753 heat damage on target',100,1,0),
(163874,10108719,'Inflicts 120 heat damage on target every 4 seconds',100,1,1),
(163875,110056,'Summons a pet grim sorcerer',100,1,0),
(163876,10110056,'Summons a pet grim sorcerer',100,1,0),
(163877,47809,'Applies Summoning Ritual when Activated.',100,0,0),
(163878,47809,'Must be in Lavastorm.',100,1,1),
(163879,10047809,'Applies Summoning Ritual when Activated.',100,0,0),
(163880,10047809,'Must be in Lavastorm.',100,1,1),
(163881,74931,'When Equipped:',100,0,0),
(163882,74931,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163883,74931,'Inflicts 38 - 57 magic damage on target',100,2,2),
(163884,74931,'Cannot be modified except by direct means',100,2,3),
(163885,10074931,'When Equipped:',100,0,0),
(163886,10074931,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163887,10074931,'Inflicts 50 - 75 magic damage on target',100,2,2),
(163888,10074931,'Cannot be modified except by direct means',100,2,3),
(163889,102513,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(163890,102513,'Increases Aggression of caster by 3.0',100,1,1),
(163891,102513,'Increases Defense and Parry of caster by 5.9',100,1,2),
(163892,102513,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(163893,10102513,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(163894,10102513,'Increases Aggression of caster by 3.0',100,1,1),
(163895,10102513,'Increases Defense and Parry of caster by 5.9',100,1,2),
(163896,10102513,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(163897,117357,'Roots target',100,1,0),
(163898,117357,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(163899,117357,'Slows target by 71.4%',100,2,2),
(163900,117357,'5% chance to dispel when target receives hostile action',100,2,3),
(163901,117357,'5% chance to dispel when target takes damage',100,2,4),
(163902,117357,'15% chance to dispel when target takes damage',100,1,5),
(163903,117357,'Does not affect Epic targets',100,1,6),
(163904,117357,'Resistibility increases against targets higher than level 102.',100,1,7),
(163905,10117357,'Roots target',100,1,0),
(163906,10117357,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(163907,10117357,'Slows target by 71.4%',100,2,2),
(163908,10117357,'10% chance to dispel when target receives hostile action',100,2,3),
(163909,10117357,'10% chance to dispel when target takes damage',100,2,4),
(163910,10117357,'15% chance to dispel when target takes damage',100,1,5),
(163911,10117357,'Does not affect Epic targets',100,1,6),
(163912,10117357,'Resistibility increases against targets higher than level 102.',100,1,7),
(163913,35299,'Increases Max Health of target by 3.9',100,0,0),
(163914,35299,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(163915,26139,'When Equipped:',100,0,0),
(163916,26139,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163917,26139,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(163918,10026139,'When Equipped:',100,0,0),
(163919,10026139,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163920,10026139,'Grants the target of Tranquil Vision IV 5% additional riposte chance.',100,1,2),
(163921,123709,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(163922,123709,'Inflicts 239 divine damage on target',100,2,1),
(163923,123709,'Grants a total of 5 triggers of the spell.',100,2,2),
(163924,10123709,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(163925,10123709,'Inflicts 311 divine damage on target',100,2,1),
(163926,10123709,'Grants a total of 5 triggers of the spell.',100,2,2),
(163927,118745,'Increases INT and WIS of group members (AE) by 14.6',100,1,0),
(163928,118745,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 45',100,1,1),
(163929,10118745,'Increases INT and WIS of group members (AE) by 14.6',100,1,0),
(163930,10118745,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 45',100,1,1),
(163931,105487,'Stuns target encounter',100,1,0),
(163932,105487,'If Target is not Epic',100,2,1),
(163933,105487,'Inflicts 494 - 917 poison damage on target encounter',100,1,2),
(163934,105487,'Resistibility increases against targets higher than level 93.',100,1,3),
(163935,10105487,'Stuns target encounter',100,1,0),
(163936,10105487,'If Target is not Epic',100,2,1),
(163937,10105487,'Inflicts 642 - 1193 poison damage on target encounter',100,1,2),
(163938,10105487,'Resistibility increases against targets higher than level 93.',100,1,3),
(163939,108217,'Increases power of caster by 84 instantly and every 4 seconds',100,1,0),
(163940,10108217,'Increases power of caster by 84 instantly and every 4 seconds',100,1,0),
(163941,26550,'When Equipped:',100,0,0),
(163942,26550,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163943,26550,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(163944,10026550,'When Equipped:',100,0,0),
(163945,10026550,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(163946,10026550,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(163947,123571,'Increases STR of group members (AE) by 39.4',100,1,0),
(163948,123571,'Increases Max Health of group members (AE) by 304.6',100,1,1),
(163949,10123571,'Increases STR of group members (AE) by 39.4',100,1,0),
(163950,10123571,'Increases Max Health of group members (AE) by 304.6',100,1,1),
(163951,119237,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(163952,119237,'If profession other than Fighter',100,1,1),
(163953,119237,'If profession other than Scout',100,1,2),
(163954,10119237,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(163955,10119237,'If profession other than Fighter',100,1,1),
(163956,10119237,'If profession other than Scout',100,1,2),
(163957,104965,'Inflicts 1728 - 2880 melee damage on target',100,1,0),
(163958,104965,'Decreases Defense of target by 62.6',100,1,1),
(163959,104965,'Must be behind',100,1,2),
(163960,10104965,'Inflicts 2246 - 3744 melee damage on target',100,1,0),
(163961,10104965,'Decreases Defense of target by 62.6',100,1,1),
(163962,10104965,'Must be behind',100,1,2),
(163963,117050,'Inflicts 134 - 224 melee damage on target',100,1,0),
(163964,117050,'Decreases Attack Speed of target by 18.1',100,1,1),
(163965,10117050,'Inflicts 175 - 292 melee damage on target',100,1,0),
(163966,10117050,'Decreases Attack Speed of target by 18.1',100,1,1),
(163967,82720,'When Equipped:',100,0,0),
(163968,82720,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163969,82720,'Inflicts 164 - 305 magic damage on target',100,2,2),
(163970,82720,'Decreases Threat to target by 487 ',100,2,3),
(163971,82720,'Must be flanking or behind',100,3,4),
(163972,82720,'Increases Threat to target by 487 ',100,2,5),
(163973,82720,'Must be in front of',100,3,6),
(163974,82720,'Cannot be modified except by direct means',100,2,7),
(163975,10082720,'When Equipped:',100,0,0),
(163976,10082720,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(163977,10082720,'Inflicts 213 - 396 magic damage on target',100,2,2),
(163978,10082720,'Cannot be modified except by direct means',100,2,3),
(163979,145933,'When Equipped:',100,0,0),
(163980,145933,'Increases Max Health of caster by 1,220.0',100,1,1),
(163981,145933,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(163982,145933,'Cannot be modified except by direct means',100,1,3),
(163983,10145933,'When Equipped:',100,0,0),
(163984,10145933,'Increases Max Health of caster by 1,220.0',100,1,1),
(163985,10145933,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(163986,10145933,'Cannot be modified except by direct means',100,1,3),
(163987,42567,'When Equipped:',100,0,0),
(163988,42567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163989,42567,'Inflicts 153 - 229 magic damage on target',100,2,2),
(163990,42567,'Cannot be modified except by direct means',100,2,3),
(163991,10042567,'When Equipped:',100,0,0),
(163992,10042567,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(163993,10042567,'Inflicts 199 - 298 magic damage on target',100,2,2),
(163994,10042567,'Cannot be modified except by direct means',100,2,3),
(163995,36011,'Increases STA of target by 1.5',100,0,0),
(163996,36011,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(163997,117707,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(163998,117707,'Adds 0.9% to base avoidance.',100,1,1),
(163999,10117707,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(164000,10117707,'Adds 0.9% to base avoidance.',100,1,1),
(164001,103476,'Increases In-Combat Power Regeneration of group members (AE) by 17.5',100,1,0),
(164002,10103476,'Increases In-Combat Power Regeneration of group members (AE) by 17.5',100,1,0),
(164003,45608,'Applies Elixir of Heat Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(164004,45608,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(164005,10045608,'Applies Elixir of Heat Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(164006,10045608,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(164007,119744,'Wards group members (AE) against 181 points of elemental, noxious and arcane damage',100,1,0),
(164008,119744,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,1),
(164009,10119744,'Wards group members (AE) against 181 points of elemental, noxious and arcane damage',100,1,0),
(164010,10119744,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,1),
(164011,107599,'Dazes target encounter',100,1,0),
(164012,107599,'Inflicts 704 - 860 mental damage on target encounter',100,1,1),
(164013,107599,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(164014,107599,'Resistibility increases against targets higher than level 107.',100,1,3),
(164015,10107599,'Dazes target encounter',100,1,0),
(164016,10107599,'Inflicts 915 - 1118 mental damage on target encounter',100,1,1),
(164017,10107599,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(164018,10107599,'Resistibility increases against targets higher than level 107.',100,1,3),
(164019,110184,'Applies Untreated Bleeding on termination.',100,1,0),
(164020,110184,'Inflicts 565 - 941 piercing damage on target',100,2,1),
(164021,110184,'Inflicts 121 - 202 piercing damage on target instantly and every 4 seconds',100,1,2),
(164022,110184,'Inflicts 80 - 134 melee damage on target',100,1,3),
(164023,10110184,'Applies Untreated Bleeding on termination.',100,1,0),
(164024,10110184,'Inflicts 734 - 1223 piercing damage on target',100,2,1),
(164025,10110184,'Inflicts 157 - 262 piercing damage on target instantly and every 4 seconds',100,1,2),
(164026,10110184,'Inflicts 104 - 174 melee damage on target',100,1,3),
(164027,118682,'Inflicts 155 - 467 crushing damage on target',100,1,0),
(164028,10118682,'Inflicts 202 - 607 crushing damage on target',100,1,0),
(164029,52910,'Applies Sanguine Imbued when Equipped.',100,0,0),
(164030,52910,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(164031,52910,'Inflicts 117 heat damage on target',100,2,2),
(164032,52910,'Cannot be modified except by direct means',100,2,3),
(164033,10052910,'Applies Sanguine Imbued when Equipped.',100,0,0),
(164034,10052910,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(164035,10052910,'Inflicts 152 heat damage on target',100,2,2),
(164036,10052910,'Cannot be modified except by direct means',100,2,3),
(164037,117458,'Inflicts 908 - 1514 melee damage on target',100,1,0),
(164038,117458,'You must be sneaking to use this ability.',100,1,1),
(164039,117458,'Must be flanking or behind',100,1,2),
(164040,10117458,'Inflicts 732 - 1220 melee damage on target',100,1,0),
(164041,10117458,'You must be sneaking to use this ability.',100,1,1),
(164042,10117458,'Must be flanking or behind',100,1,2),
(164043,41593,'When Equipped:',100,0,0),
(164044,41593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164045,41593,'Inflicts 296 - 551 magic damage on target',100,2,2),
(164046,41593,'Cannot be modified except by direct means',100,2,3),
(164047,10041593,'When Equipped:',100,0,0),
(164048,10041593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164049,10041593,'Inflicts 385 - 716 magic damage on target',100,2,2),
(164050,10041593,'Cannot be modified except by direct means',100,2,3),
(164051,81214,'When Equipped:',100,0,0),
(164052,81214,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164053,81214,'Inflicts 167 - 311 magic damage on target',100,2,2),
(164054,81214,'Decreases Threat to target by 376 ',100,2,3),
(164055,81214,'Must be flanking or behind',100,3,4),
(164056,81214,'Increases Threat to target by 376 ',100,2,5),
(164057,81214,'Must be in front of',100,3,6),
(164058,81214,'Cannot be modified except by direct means',100,2,7),
(164059,10081214,'When Equipped:',100,0,0),
(164060,10081214,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164061,10081214,'Inflicts 217 - 404 magic damage on target',100,2,2),
(164062,10081214,'Cannot be modified except by direct means',100,2,3),
(164063,27467,'When Equipped:',100,0,0),
(164064,27467,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(164065,27467,'On a critical spell hit this spell may cast Total Annihilation on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(164066,27467,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(164067,27467,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,4),
(164068,27467,'Increases Damage Per Second of caster by 45.0',100,2,5),
(164069,27467,'Cannot be modified except by direct means',100,2,6),
(164070,27467,'On a critical combat hit this spell may cast Total Annihilation on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(164071,27467,'Increases Crit Bonus of caster by 5.0%',100,2,8),
(164072,27467,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,9),
(164073,27467,'Increases Damage Per Second of caster by 45.0',100,2,10),
(164074,27467,'Cannot be modified except by direct means',100,2,11),
(164075,27467,'Must not be engaged in pvp combat',100,1,12),
(164076,27467,'Cannot be modified except by direct means',100,1,13),
(164077,10027467,'When Equipped:',100,0,0),
(164078,10027467,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(164079,10027467,'On a critical spell hit this spell may cast Total Annihilation on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(164080,10027467,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(164081,10027467,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,4),
(164082,10027467,'Increases Damage Per Second of caster by 45.0',100,2,5),
(164083,10027467,'Cannot be modified except by direct means',100,2,6),
(164084,10027467,'On a critical combat hit this spell may cast Total Annihilation on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(164085,10027467,'Increases Crit Bonus of caster by 5.0%',100,2,8),
(164086,10027467,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,9),
(164087,10027467,'Increases Damage Per Second of caster by 45.0',100,2,10),
(164088,10027467,'Cannot be modified except by direct means',100,2,11),
(164089,10027467,'Must not be engaged in pvp combat',100,1,12),
(164090,10027467,'Cannot be modified except by direct means',100,1,13),
(164091,48673,'Applies Bulwark of Jaggedpine  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(164092,48673,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(164093,48673,'Inflicts 42 magic damage on target',100,2,2),
(164094,48673,'Cannot be modified except by direct means',100,2,3),
(164095,10048673,'Applies Bulwark of Jaggedpine  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(164096,10048673,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(164097,10048673,'Inflicts 55 magic damage on target',100,2,2),
(164098,10048673,'Cannot be modified except by direct means',100,2,3),
(164099,105983,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(164100,105983,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(164101,105983,'Inflicts 327 - 546 piercing damage on target',100,3,2),
(164102,105983,'Grants a total of 5 triggers of the spell.',100,3,3),
(164103,105983,'Grants a total of 1 trigger of the spell.',100,2,4),
(164104,10105983,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(164105,10105983,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(164106,10105983,'Inflicts 426 - 710 piercing damage on target',100,3,2),
(164107,10105983,'Grants a total of 5 triggers of the spell.',100,3,3),
(164108,10105983,'Grants a total of 1 trigger of the spell.',100,2,4),
(164109,119310,'Roots target',100,1,0),
(164110,119310,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(164111,119310,'Slows target by 47.3%',100,2,2),
(164112,119310,'5% chance to dispel when target receives hostile action',100,2,3),
(164113,119310,'5% chance to dispel when target takes damage',100,2,4),
(164114,119310,'15% chance to dispel when target takes damage',100,1,5),
(164115,119310,'Does not affect Epic targets',100,1,6),
(164116,119310,'Resistibility increases against targets higher than level 76.',100,1,7),
(164117,10119310,'Roots target',100,1,0),
(164118,10119310,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(164119,10119310,'Slows target by 47.3%',100,2,2),
(164120,10119310,'5% chance to dispel when target receives hostile action',100,2,3),
(164121,10119310,'5% chance to dispel when target takes damage',100,2,4),
(164122,10119310,'15% chance to dispel when target takes damage',100,1,5),
(164123,10119310,'Does not affect Epic targets',100,1,6),
(164124,10119310,'Resistibility increases against targets higher than level 76.',100,1,7),
(164125,111404,'Increases Attack Speed of target by 30.7',100,1,0),
(164126,111404,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164127,111404,'Inflicts 255 disease damage on target',100,2,2),
(164128,111404,'Heals caster for 54',100,2,3),
(164129,111404,'Decreases Defense and Parry of target by 23.9',100,1,4),
(164130,111404,'Increases Disruption, Subjugation and Focus of target by 22.7',100,1,5),
(164131,10111404,'Increases Attack Speed of target by 30.7',100,1,0),
(164132,10111404,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164133,10111404,'Inflicts 331 disease damage on target',100,2,2),
(164134,10111404,'Heals caster for 35',100,2,3),
(164135,10111404,'Decreases Defense and Parry of target by 23.9',100,1,4),
(164136,10111404,'Increases Disruption, Subjugation and Focus of target by 22.7',100,1,5),
(164137,36367,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(164138,111099,'Heals target for 20.5 - 25.1% of max health',100,1,0),
(164139,111099,'This effect cannot be critically applied.',100,2,1),
(164140,111099,'Increases Mitigation of target vs physical damage by 172',100,1,2),
(164141,111099,'The healing of this spell cannot be modified except by direct means',100,1,3),
(164142,10111099,'Heals target for 7.7 - 9.4% of max health',100,1,0),
(164143,10111099,'This effect cannot be critically applied.',100,2,1),
(164144,10111099,'Increases Mitigation of target vs physical damage by 172',100,1,2),
(164145,10111099,'The healing of this spell cannot be modified except by direct means',100,1,3),
(164146,120365,'Inflicts 179 - 219 divine damage on target instantly and every 4 seconds',100,1,0),
(164147,120365,'Decreases WIS of target by 78.5',100,1,1),
(164148,10120365,'Inflicts 233 - 284 divine damage on target instantly and every 4 seconds',100,1,0),
(164149,10120365,'Decreases WIS of target by 78.5',100,1,1),
(164150,122370,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(164151,122370,'Inflicts 47 - 58 piercing damage on target',100,2,1),
(164152,10122370,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(164153,10122370,'Inflicts 62 - 75 piercing damage on target',100,2,1),
(164154,71462,'When Equipped:',100,0,0),
(164155,71462,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164156,71462,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(164157,71462,'Cannot be modified except by direct means',100,2,3),
(164158,10071462,'When Equipped:',100,0,0),
(164159,10071462,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164160,10071462,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(164161,10071462,'Cannot be modified except by direct means',100,2,3),
(164162,115327,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(164163,115327,'Makes target afraid',100,2,1),
(164164,115327,'Slows target by 36.6%',100,2,2),
(164165,115327,'30% chance to dispel when target takes damage',100,2,3),
(164166,115327,'Does not affect Epic targets',100,2,4),
(164167,115327,'Resistibility increases against targets higher than level 62.',100,2,5),
(164168,115327,'Roots target',100,1,6),
(164169,115327,'15% chance to dispel when target takes damage',100,1,7),
(164170,115327,'Does not affect Epic targets',100,1,8),
(164171,115327,'Resistibility increases against targets higher than level 62.',100,1,9),
(164172,10115327,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(164173,10115327,'Makes target afraid',100,2,1),
(164174,10115327,'Slows target by 36.6%',100,2,2),
(164175,10115327,'30% chance to dispel when target takes damage',100,2,3),
(164176,10115327,'Does not affect Epic targets',100,2,4),
(164177,10115327,'Resistibility increases against targets higher than level 62.',100,2,5),
(164178,10115327,'Roots target',100,1,6),
(164179,10115327,'15% chance to dispel when target takes damage',100,1,7),
(164180,10115327,'Does not affect Epic targets',100,1,8),
(164181,10115327,'Resistibility increases against targets higher than level 62.',100,1,9),
(164182,106719,'Heals target for 1138 - 1391',100,1,0),
(164183,10106719,'Heals target for 1338 - 1635',100,1,0),
(164184,124447,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(164185,124447,'Inflicts 253 - 422 melee damage on target',100,2,1),
(164186,124447,'Decreases Defense of caster by 13.5',100,1,2),
(164187,124447,'Increases Slashing, Piercing, Ranged and Crushing of caster by 28.4',100,1,3),
(164188,10124447,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(164189,10124447,'Inflicts 329 - 549 melee damage on target',100,2,1),
(164190,10124447,'Decreases Defense of caster by 13.5',100,1,2),
(164191,10124447,'Increases Slashing, Piercing, Ranged and Crushing of caster by 28.4',100,1,3),
(164192,122501,'Inflicts 660 - 1100 mental damage on targets in Area of Effect',100,1,0),
(164193,10122501,'Inflicts 858 - 1429 mental damage on targets in Area of Effect',100,1,0),
(164194,109147,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(164195,109147,'Heals target for 920 - 1125',100,2,1),
(164196,109147,'Grants a total of 8 triggers of the spell.',100,2,2),
(164197,10109147,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(164198,10109147,'Heals target for 1077 - 1316',100,2,1),
(164199,10109147,'Grants a total of 8 triggers of the spell.',100,2,2),
(164200,82447,'When Equipped:',100,0,0),
(164201,82447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164202,82447,'Inflicts 234 - 434 magic damage on target',100,2,2),
(164203,82447,'Cannot be modified except by direct means',100,2,3),
(164204,10082447,'When Equipped:',100,0,0),
(164205,10082447,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164206,10082447,'Inflicts 304 - 564 magic damage on target',100,2,2),
(164207,10082447,'Cannot be modified except by direct means',100,2,3),
(164208,124609,'Heals group members (AE) for 171 - 209',100,1,0),
(164209,124609,'Heals group members (AE) for 29 - 35 every second',100,1,1),
(164210,10124609,'Heals group members (AE) for 249 - 305',100,1,0),
(164211,10124609,'Heals group members (AE) for 31 - 38 every second',100,1,1),
(164212,164590,'Applies Unstable Magics when Equipped.',100,0,0),
(164213,164590,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(164214,10164590,'Applies Unstable Magics when Equipped.',100,0,0),
(164215,10164590,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(164216,42533,'When Equipped:',100,0,0),
(164217,42533,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164218,42533,'Inflicts 210 - 315 magic damage on target',100,2,2),
(164219,42533,'Cannot be modified except by direct means',100,2,3),
(164220,10042533,'When Equipped:',100,0,0),
(164221,10042533,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164222,10042533,'Inflicts 273 - 409 magic damage on target',100,2,2),
(164223,10042533,'Cannot be modified except by direct means',100,2,3),
(164224,143515,'When Equipped:',100,0,0),
(164225,143515,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164226,143515,'Increases Mitigation of target vs physical and elemental damage by 930',100,2,2),
(164227,143515,'This effect can be stacked by multiple casters.',100,2,3),
(164228,143515,'Increases Mitigation of target vs noxious and arcane damage by 930',100,2,4),
(164229,143515,'Cannot be modified except by direct means',100,2,5),
(164230,10143515,'When Equipped:',100,0,0),
(164231,10143515,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164232,10143515,'Increases Mitigation of target vs physical and elemental damage by 930',100,2,2),
(164233,10143515,'This effect can be stacked by multiple casters.',100,2,3),
(164234,10143515,'Increases Mitigation of target vs noxious and arcane damage by 930',100,2,4),
(164235,10143515,'Cannot be modified except by direct means',100,2,5),
(164236,116258,'Summons a pet Illusion Ally',100,1,0),
(164237,10116258,'Summons a pet Illusion Ally',100,1,0),
(164238,141688,'When Equipped:',100,0,0),
(164239,141688,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164240,141688,'Increases INT of caster by 5.8',100,2,2),
(164241,141688,'Increases Subjugation, Focus and Disruption of caster by 3.7',100,2,3),
(164242,141688,'Cannot be modified except by direct means',100,2,4),
(164243,10141688,'When Equipped:',100,0,0),
(164244,10141688,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164245,10141688,'Increases INT of caster by 5.8',100,2,2),
(164246,10141688,'Increases Subjugation, Focus and Disruption of caster by 3.7',100,2,3),
(164247,10141688,'Cannot be modified except by direct means',100,2,4),
(164248,118985,'Heals target for 149 - 182',100,1,0),
(164249,10118985,'Heals target for 158 - 193',100,1,0),
(164250,111865,'Inflicts 156 - 290 heat damage on target',100,1,0),
(164251,111865,'Inflicts 59 - 109 heat damage on target every 2 seconds',100,1,1),
(164252,10111865,'Inflicts 203 - 377 heat damage on target',100,1,0),
(164253,10111865,'Inflicts 76 - 142 heat damage on target every 2 seconds',100,1,1),
(164254,24356,'Adds Boss: Erudite (Warlock) to your Dungeon Maker toolbox',100,0,0),
(164255,10024356,'Adds Boss: Erudite (Warlock) to your Dungeon Maker toolbox',100,0,0),
(164256,113062,'Applies Scream on termination.',100,1,0),
(164257,113062,'Inflicts 242 - 403 disease damage on target',100,2,1),
(164258,113062,'Dazes target',100,1,2),
(164259,113062,'If Target is not Epic',100,2,3),
(164260,113062,'Resistibility increases against targets higher than level 63.',100,1,4),
(164261,10113062,'Dazes target',100,1,0),
(164262,10113062,'If Target is not Epic',100,2,1),
(164263,10113062,'Applies Scream on termination.',100,1,2),
(164264,10113062,'Inflicts 314 - 524 disease damage on target',100,2,3),
(164265,10113062,'Resistibility increases against targets higher than level 63.',100,1,4),
(164266,116479,'Prevents targets in Area of Effect from changing targets',100,1,0),
(164267,116479,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(164268,116479,'Increases Threat to targets in Area of Effect by 172 ',100,1,2),
(164269,10116479,'Prevents targets in Area of Effect from changing targets',100,1,0),
(164270,10116479,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(164271,36718,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(164272,113904,'Inflicts 392 - 653 disease damage on target',100,1,0),
(164273,113904,'Inflicts 98 - 163 disease damage on target every 4 seconds',100,1,1),
(164274,113904,'Increases power of caster by 129 - 214',100,1,2),
(164275,113904,'Increases power of caster by 28 - 46 every 4 seconds',100,1,3),
(164276,10113904,'Inflicts 509 - 849 disease damage on target',100,1,0),
(164277,10113904,'Inflicts 127 - 212 disease damage on target every 4 seconds',100,1,1),
(164278,10113904,'Increases power of caster by 129 - 214',100,1,2),
(164279,10113904,'Increases power of caster by 28 - 46 every 4 seconds',100,1,3),
(164280,100696,'Dispels 91 levels of any hostile effects on target',100,1,0),
(164281,100696,'Dispels 91 levels of hostile Fear effects on target',100,1,1),
(164282,100696,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(164283,100696,'Makes target immune to Fear effects',100,3,3),
(164284,100696,'Dispels 91 levels of hostile Daze effects on target',100,1,4),
(164285,100696,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(164286,100696,'Makes target immune to Daze effects',100,3,6),
(164287,100696,'Dispels 91 levels of hostile Root effects on target',100,1,7),
(164288,100696,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(164289,100696,'Makes target immune to Root effects',100,3,9),
(164290,100696,'Dispels 91 levels of hostile Stifle effects on target',100,1,10),
(164291,100696,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(164292,100696,'Makes target immune to Stifle effects',100,3,12),
(164293,100696,'Dispels 91 levels of hostile Stun effects on target',100,1,13),
(164294,100696,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(164295,100696,'Makes target immune to Stun effects',100,3,15),
(164296,10100696,'Dispels 91 levels of any hostile effects on target',100,1,0),
(164297,10100696,'Dispels 91 levels of hostile Fear effects on target',100,1,1),
(164298,10100696,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(164299,10100696,'Makes target immune to Fear effects',100,3,3),
(164300,10100696,'Dispels 91 levels of hostile Daze effects on target',100,1,4),
(164301,10100696,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(164302,10100696,'Makes target immune to Daze effects',100,3,6),
(164303,10100696,'Dispels 91 levels of hostile Root effects on target',100,1,7),
(164304,10100696,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(164305,10100696,'Makes target immune to Root effects',100,3,9),
(164306,10100696,'Dispels 91 levels of hostile Stifle effects on target',100,1,10),
(164307,10100696,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(164308,10100696,'Makes target immune to Stifle effects',100,3,12),
(164309,10100696,'Dispels 91 levels of hostile Stun effects on target',100,1,13),
(164310,10100696,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(164311,10100696,'Makes target immune to Stun effects',100,3,15),
(164312,163938,'When Equipped:',100,0,0),
(164313,163938,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(164314,163938,'Inflicts 604 piercing damage on target',100,2,2),
(164315,163938,'Cannot be modified except by direct means',100,2,3),
(164316,10163938,'When Equipped:',100,0,0),
(164317,10163938,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(164318,10163938,'Inflicts 785 piercing damage on target',100,2,2),
(164319,10163938,'Cannot be modified except by direct means',100,2,3),
(164320,141792,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(164321,141792,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(164322,141792,'Inflicts 35 heat damage on target',100,2,2),
(164323,141792,'Cannot be modified except by direct means',100,2,3),
(164324,10141792,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(164325,10141792,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(164326,10141792,'Inflicts 45 heat damage on target',100,2,2),
(164327,10141792,'Cannot be modified except by direct means',100,2,3),
(164328,144674,'When Equipped:',100,0,0),
(164329,144674,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164330,144674,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(164331,144674,'Heals caster for 811 - 1217',100,2,3),
(164332,144674,'Cannot be modified except by direct means',100,2,4),
(164333,144674,'Cannot be modified except by direct means',100,1,5),
(164334,10144674,'When Equipped:',100,0,0),
(164335,10144674,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164336,10144674,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(164337,10144674,'Heals caster for 949 - 1424',100,2,3),
(164338,10144674,'Cannot be modified except by direct means',100,2,4),
(164339,10144674,'Cannot be modified except by direct means',100,1,5),
(164340,111148,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(164341,111148,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 706',100,1,1),
(164342,111148,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,2),
(164343,10111148,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(164344,10111148,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 706',100,1,1),
(164345,10111148,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,2),
(164346,146362,'When Equipped:',100,0,0),
(164347,146362,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(164348,10146362,'When Equipped:',100,0,0),
(164349,10146362,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(164350,117986,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(164351,117986,'Increases Attack Speed of target by 19.6',100,2,1),
(164352,117986,'Increases Damage Per Second of target by 19.6',100,2,2),
(164353,117986,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(164354,117986,'Increases Attack Speed of target by 19.6',100,2,4),
(164355,117986,'Increases Damage Per Second of target by 19.6',100,2,5),
(164356,117986,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(164357,117986,'Increases Attack Speed of target by 19.6',100,2,7),
(164358,117986,'Increases Damage Per Second of target by 19.6',100,2,8),
(164359,10117986,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(164360,10117986,'Increases Attack Speed of target by 19.6',100,2,1),
(164361,10117986,'Increases Damage Per Second of target by 19.6',100,2,2),
(164362,10117986,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(164363,10117986,'Increases Attack Speed of target by 19.6',100,2,4),
(164364,10117986,'Increases Damage Per Second of target by 19.6',100,2,5),
(164365,10117986,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(164366,10117986,'Increases Attack Speed of target by 19.6',100,2,7),
(164367,10117986,'Increases Damage Per Second of target by 19.6',100,2,8),
(164368,134435,'When Equipped:',100,0,0),
(164369,134435,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(164370,134435,'Increases Ability Reuse Speed of group members by 3.0%',100,2,2),
(164371,134435,'Cannot be modified except by direct means',100,2,3),
(164372,134435,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(164373,134435,'Increases Ability Reuse Speed of group members by 3.0%',100,2,5),
(164374,134435,'Cannot be modified except by direct means',100,2,6),
(164375,134435,'Cannot be modified except by direct means',100,1,7),
(164376,10134435,'When Equipped:',100,0,0),
(164377,10134435,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(164378,10134435,'Increases Ability Reuse Speed of group members by 3.0%',100,2,2),
(164379,10134435,'Cannot be modified except by direct means',100,2,3),
(164380,10134435,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(164381,10134435,'Increases Ability Reuse Speed of group members by 3.0%',100,2,5),
(164382,10134435,'Cannot be modified except by direct means',100,2,6),
(164383,10134435,'Cannot be modified except by direct means',100,1,7),
(164384,111453,'Decreases Attack Speed of caster by 16.9',100,1,0),
(164385,111453,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(164386,111453,'Roots target',100,2,2),
(164387,111453,'5% chance to dispel when target takes damage',100,2,3),
(164388,111453,'5% chance to dispel when target receives hostile action',100,2,4),
(164389,111453,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(164390,111453,'Increases Mitigation of caster vs physical damage by 690',100,1,6),
(164391,10111453,'Decreases Attack Speed of caster by 16.9',100,1,0),
(164392,10111453,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(164393,10111453,'Roots target',100,2,2),
(164394,10111453,'5% chance to dispel when target takes damage',100,2,3),
(164395,10111453,'5% chance to dispel when target receives hostile action',100,2,4),
(164396,10111453,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(164397,10111453,'Increases Mitigation of caster vs physical damage by 690',100,1,6),
(164398,117369,'Increases Threat to target by 21 ',100,1,0),
(164399,117369,'Inflicts 4 - 12 melee damage on target',100,1,1),
(164400,10117369,'Forces target to change their selected target to caster.',100,1,0),
(164401,10117369,'Inflicts 3 - 10 melee damage on target',100,1,1),
(164402,82456,'When Equipped:',100,0,0),
(164403,82456,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164404,82456,'Inflicts 260 - 482 magic damage on target',100,2,2),
(164405,82456,'Decreases Threat to target by 801 ',100,2,3),
(164406,82456,'Must be flanking or behind',100,3,4),
(164407,82456,'Increases Threat to target by 801 ',100,2,5),
(164408,82456,'Must be in front of',100,3,6),
(164409,82456,'Cannot be modified except by direct means',100,2,7),
(164410,10082456,'When Equipped:',100,0,0),
(164411,10082456,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164412,10082456,'Inflicts 337 - 627 magic damage on target',100,2,2),
(164413,10082456,'Cannot be modified except by direct means',100,2,3),
(164414,122182,'Inflicts 178 - 218 cold damage on target instantly and every 2 seconds',100,1,0),
(164415,122182,'Inflicts 178 - 218 cold damage on target instantly and every 2 seconds',100,1,1),
(164416,122182,'If target is elemental',100,2,2),
(164417,10122182,'Inflicts 232 - 283 cold damage on target instantly and every 2 seconds',100,1,0),
(164418,47456,'Applies Summon Ornate Carpet when Activated.',100,0,0),
(164419,47456,'Increases Crushing of caster by 5.0',100,1,1),
(164420,47456,'Reduces maximum falling speed of caster',100,1,2),
(164421,47456,'Increases Ranged of caster by 5.0',100,1,3),
(164422,47456,'Summons a mount to ride',100,1,4),
(164423,47456,'Increases your ground speed by 130%',100,2,5),
(164424,47456,'Increases Aggression, Piercing and Slashing of caster by 5.0',100,1,6),
(164425,10047456,'Applies Summon Ornate Carpet when Activated.',100,0,0),
(164426,10047456,'Increases Crushing of caster by 5.0',100,1,1),
(164427,10047456,'Reduces maximum falling speed of caster',100,1,2),
(164428,10047456,'Increases Ranged of caster by 5.0',100,1,3),
(164429,10047456,'Summons a mount to ride',100,1,4),
(164430,10047456,'Increases your ground speed by 130%',100,2,5),
(164431,10047456,'Increases Aggression, Piercing and Slashing of caster by 5.0',100,1,6),
(164432,37405,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(164433,46623,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(164434,46623,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(164435,46623,'Inflicts 68 poison damage on target instantly and every 6 seconds',100,2,2),
(164436,46623,'Inflicts 131 poison damage on target',100,2,3),
(164437,46623,'Cannot be modified except by direct means',100,2,4),
(164438,46623,'Grants a total of 200 triggers of the spell.',100,2,5),
(164439,10046623,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(164440,10046623,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(164441,10046623,'Inflicts 128 poison damage on target',100,2,2),
(164442,10046623,'Inflicts 66 poison damage on target instantly and every 6 seconds',100,2,3),
(164443,10046623,'Cannot be modified except by direct means',100,2,4),
(164444,10046623,'Grants a total of 200 triggers of the spell.',100,2,5),
(164445,85337,'Applies Poison Bolt when Activated.',100,0,0),
(164446,85337,'Inflicts 370 - 616 poison damage on target',100,1,1),
(164447,85337,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(164448,10085337,'Applies Poison Bolt when Activated.',100,0,0),
(164449,10085337,'Inflicts 481 - 801 poison damage on target',100,1,1),
(164450,10085337,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(164451,173153,'When Equipped:',100,0,0),
(164452,173153,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164453,173153,'Inflicts 662 cold damage on target encounter',100,2,2),
(164454,173153,'Must not be engaged in pvp combat',100,2,3),
(164455,173153,'Cannot be modified except by direct means',100,2,4),
(164456,173153,'Must not be engaged in pvp combat',100,1,5),
(164457,10173153,'When Equipped:',100,0,0),
(164458,10173153,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164459,10173153,'Inflicts 775 cold damage on target encounter',100,2,2),
(164460,10173153,'Must not be engaged in pvp combat',100,2,3),
(164461,10173153,'Cannot be modified except by direct means',100,2,4),
(164462,10173153,'Must not be engaged in pvp combat',100,1,5),
(164463,48032,'Applies Shifting Root when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(164464,48032,'Grants invisibility to caster',100,1,1),
(164465,48032,'Suspends caster''s movement speed enhancements',100,1,2),
(164466,48032,'Dispelled when target receives hostile action',100,1,3),
(164467,48032,'Dispelled when target takes damage',100,1,4),
(164468,10048032,'Applies Shifting Root when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(164469,10048032,'Grants invisibility to caster',100,1,1),
(164470,10048032,'Suspends caster''s movement speed enhancements',100,1,2),
(164471,10048032,'Dispelled when target receives hostile action',100,1,3),
(164472,10048032,'Dispelled when target takes damage',100,1,4),
(164473,108933,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(164474,108933,'Inflicts 38 heat damage on target',100,2,1),
(164475,10108933,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(164476,10108933,'Inflicts 49 heat damage on target',100,2,1),
(164477,82257,'When Equipped:',100,0,0),
(164478,82257,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164479,82257,'Inflicts 48 - 89 magic damage on target',100,2,2),
(164480,82257,'Decreases Threat to target by 135 ',100,2,3),
(164481,82257,'Must be flanking or behind',100,3,4),
(164482,82257,'Increases Threat to target by 135 ',100,2,5),
(164483,82257,'Must be in front of',100,3,6),
(164484,82257,'Cannot be modified except by direct means',100,2,7),
(164485,10082257,'When Equipped:',100,0,0),
(164486,10082257,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164487,10082257,'Inflicts 62 - 115 magic damage on target',100,2,2),
(164488,10082257,'Cannot be modified except by direct means',100,2,3),
(164489,101383,'Reduces physical damage done to caster by 5%',100,1,0),
(164490,101383,'Adds 1.8% to base avoidance.',100,1,1),
(164491,101383,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(164492,101383,'Increases Aggression of caster by 27.9',100,1,3),
(164493,101383,'Increases Defense and Parry of caster by 44.6',100,1,4),
(164494,101383,'Increases Mitigation of caster vs noxious and arcane damage by 267',100,1,5),
(164495,101383,'Increases Mitigation of caster vs elemental damage by 2672',100,1,6),
(164496,101383,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(164497,10101383,'Reduces physical damage done to caster by 5%',100,1,0),
(164498,10101383,'Adds 1.8% to base avoidance.',100,1,1),
(164499,10101383,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(164500,10101383,'Increases Aggression of caster by 27.9',100,1,3),
(164501,10101383,'Increases Defense and Parry of caster by 44.6',100,1,4),
(164502,10101383,'Increases Mitigation of caster vs noxious and arcane damage by 267',100,1,5),
(164503,10101383,'Increases Mitigation of caster vs elemental damage by 2672',100,1,6),
(164504,10101383,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(164505,85312,'When Equipped:',100,0,0),
(164506,85312,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164507,85312,'Inflicts 137 - 167 magic damage on target',100,2,2),
(164508,85312,'Cannot be modified except by direct means',100,2,3),
(164509,10085312,'When Equipped:',100,0,0),
(164510,10085312,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164511,10085312,'Inflicts 178 - 217 magic damage on target',100,2,2),
(164512,10085312,'Cannot be modified except by direct means',100,2,3),
(164513,35341,'Increases AGI of target by 1.5',100,0,0),
(164514,35341,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(164515,159851,'Applies Lambent Imbued when Equipped.',100,0,0),
(164516,159851,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(164517,159851,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(164518,159851,'Cannot be modified except by direct means',100,2,3),
(164519,10159851,'Applies Lambent Imbued when Equipped.',100,0,0),
(164520,10159851,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(164521,10159851,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(164522,10159851,'Cannot be modified except by direct means',100,2,3),
(164523,48027,'Applies Shield of Discord when Activated.  Lasts for 10.0 seconds.',100,0,0),
(164524,48027,'Caster is immune to slow effects.',100,1,1),
(164525,48027,'Makes caster immune to Root effects',100,1,2),
(164526,48027,'Makes Caster immune to taunt effects.',100,1,3),
(164527,10048027,'Applies Shield of Discord when Activated.  Lasts for 10.0 seconds.',100,0,0),
(164528,10048027,'Caster is immune to slow effects.',100,1,1),
(164529,10048027,'Makes caster immune to Root effects',100,1,2),
(164530,10048027,'Makes Caster immune to taunt effects.',100,1,3),
(164531,106643,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(164532,106643,'Increases Mitigation of caster vs physical damage by 210',100,2,1),
(164533,106643,'Decreases Mitigation of target encounter vs physical damage by 1050',100,1,2),
(164534,10106643,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(164535,10106643,'Increases Mitigation of caster vs physical damage by 210',100,2,1),
(164536,10106643,'Decreases Mitigation of target encounter vs physical damage by 1050',100,1,2),
(164537,106580,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(164538,106580,'Increases Parry of caster by 9.7',100,1,1),
(164539,10106580,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(164540,10106580,'Increases Parry of caster by 9.7',100,1,1),
(164541,71826,'When Equipped:',100,0,0),
(164542,71826,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164543,71826,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(164544,71826,'Cannot be modified except by direct means',100,2,3),
(164545,10071826,'When Equipped:',100,0,0),
(164546,10071826,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164547,10071826,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(164548,10071826,'Cannot be modified except by direct means',100,2,3),
(164549,119480,'Dazes target encounter',100,1,0),
(164550,119480,'If Target is not Epic',100,2,1),
(164551,119480,'Inflicts 109 - 133 magic damage on target encounter instantly and every second',100,1,2),
(164552,119480,'Resistibility increases against targets higher than level 68.',100,1,3),
(164553,10119480,'Dazes target encounter',100,1,0),
(164554,10119480,'If Target is not Epic',100,2,1),
(164555,10119480,'Inflicts 186 - 227 magic damage on target encounter',100,1,2),
(164556,10119480,'Inflicts 141 - 173 magic damage on target encounter every second',100,1,3),
(164557,10119480,'Resistibility increases against targets higher than level 68.',100,1,4),
(164558,43328,'When Equipped:',100,0,0),
(164559,43328,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164560,43328,'Inflicts 61 - 75 poison damage on target instantly and every 4.8 seconds',100,2,2),
(164561,43328,'Cannot be modified except by direct means',100,2,3),
(164562,10043328,'When Equipped:',100,0,0),
(164563,10043328,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164564,10043328,'Inflicts 80 - 97 poison damage on target instantly and every 4.8 seconds',100,2,2),
(164565,10043328,'Cannot be modified except by direct means',100,2,3),
(164566,119865,'Increases INT and AGI of group members (AE) by 16.6',100,1,0),
(164567,119865,'Adds 2.6% to base avoidance.',100,1,1),
(164568,10119865,'Increases INT and AGI of group members (AE) by 16.6',100,1,0),
(164569,10119865,'Adds 2.6% to base avoidance.',100,1,1),
(164570,124607,'Heals group members (AE) for 74 - 90',100,1,0),
(164571,124607,'Heals group members (AE) for 12 - 15 every second',100,1,1),
(164572,10124607,'Heals group members (AE) for 108 - 132',100,1,0),
(164573,10124607,'Heals group members (AE) for 14 - 17 every second',100,1,1),
(164574,133864,'When Equipped:',100,0,0),
(164575,133864,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164576,133864,'Inflicts 2664 cold damage on target encounter',100,2,2),
(164577,133864,'Must not be engaged in pvp combat',100,2,3),
(164578,133864,'Cannot be modified except by direct means',100,2,4),
(164579,133864,'Must not be engaged in pvp combat',100,1,5),
(164580,10133864,'When Equipped:',100,0,0),
(164581,10133864,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(164582,10133864,'Inflicts 1732 cold damage on target encounter',100,2,2),
(164583,10133864,'Must not be engaged in pvp combat',100,2,3),
(164584,10133864,'Cannot be modified except by direct means',100,2,4),
(164585,10133864,'Must not be engaged in pvp combat',100,1,5),
(164586,108061,'Inflicts 902 magic damage on target',100,1,0),
(164587,108061,'Increases power of caster by 409',100,1,1),
(164588,10108061,'Inflicts 1172 magic damage on target',100,1,0),
(164589,10108061,'Increases power of caster by 409',100,1,1),
(164590,46951,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(164591,46951,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(164592,46951,'Decreases STR of target by 12.3',100,2,2),
(164593,46951,'Cannot be modified except by direct means',100,2,3),
(164594,46951,'Grants a total of 30 triggers of the spell.',100,2,4),
(164595,10046951,'Applies essence of war when Activated.  Lasts for 12 hours.',100,0,0),
(164596,10046951,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(164597,10046951,'Decreases STR of target by 12.3',100,2,2),
(164598,10046951,'Cannot be modified except by direct means',100,2,3),
(164599,10046951,'Grants a total of 30 triggers of the spell.',100,2,4),
(164600,138344,'When Equipped:',100,0,0),
(164601,138344,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164602,138344,'Decreases power of target by 208',100,2,2),
(164603,138344,'Increases power of caster by 139',100,2,3),
(164604,138344,'Cannot be modified except by direct means',100,2,4),
(164605,10138344,'When Equipped:',100,0,0),
(164606,10138344,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164607,10138344,'Decreases power of target by 208',100,2,2),
(164608,10138344,'Increases power of caster by 139',100,2,3),
(164609,10138344,'Cannot be modified except by direct means',100,2,4),
(164610,109929,'Stuns target',100,1,0),
(164611,109929,'Does not affect Epic targets',100,1,1),
(164612,109929,'Resistibility increases against targets higher than level 59.',100,1,2),
(164613,10109929,'Stuns target',100,1,0),
(164614,10109929,'Does not affect Epic targets',100,1,1),
(164615,10109929,'Resistibility increases against targets higher than level 59.',100,1,2),
(164616,120277,'Swaps your current hate position with your target''s hate position.',100,1,0),
(164617,120277,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(164618,120277,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(164619,120277,'Cannot be modified except by direct means',100,2,3),
(164620,120277,'Decreases Threat to target by 1,744 ',100,1,4),
(164621,120277,'If profession other than Fighter',100,2,5),
(164622,120277,'Increases Threat to target by 1,744 ',100,1,6),
(164623,120277,'If Fighter',100,2,7),
(164624,120277,'Must be engaged in combat',100,1,8),
(164625,120277,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(164626,10120277,'Forces target to clear their selected target.',100,1,0),
(164627,10120277,'Must be engaged in combat',100,1,1),
(164628,10120277,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(164629,36369,'Increases STR, WIS, STA, AGI and INT of target by 1.6',100,0,0),
(164630,36369,'Increases Out-of-Combat Power Regeneration of target by 16.8',100,0,1),
(164631,113264,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(164632,113264,'Inflicts 145 - 241 magic damage on target',100,2,1),
(164633,113264,'Grants a total of 8 triggers of the spell.',100,2,2),
(164634,10113264,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(164635,10113264,'Inflicts 188 - 314 magic damage on target',100,2,1),
(164636,10113264,'Grants a total of 8 triggers of the spell.',100,2,2),
(164637,113522,'Inflicts 938 - 1564 melee damage on targets in area',100,1,0),
(164638,10113522,'Inflicts 1220 - 2034 melee damage on targets in area',100,1,0),
(164639,103065,'Inflicts 96 magic damage on target instantly and every 4 seconds',100,1,0),
(164640,103065,'Increases power of caster by 37 instantly and every 4 seconds',100,1,1),
(164641,10103065,'Inflicts 125 magic damage on target instantly and every 4 seconds',100,1,0),
(164642,10103065,'Increases power of caster by 37 instantly and every 4 seconds',100,1,1),
(164643,123119,'Inflicts 259 disease damage on targets in Area of Effect',100,1,0),
(164644,123119,'Inflicts 176 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(164645,10123119,'Inflicts 336 disease damage on targets in Area of Effect',100,1,0),
(164646,10123119,'Inflicts 229 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(164647,121638,'Inflicts 1146 - 3439 melee damage on target',100,1,0),
(164648,121638,'Dazes target',100,1,1),
(164649,121638,'If Target is not Epic',100,2,2),
(164650,121638,'Must be flanking or behind',100,1,3),
(164651,121638,'Resistibility increases against targets higher than level 112.',100,1,4),
(164652,10121638,'Inflicts 1490 - 4471 melee damage on target',100,1,0),
(164653,10121638,'Dazes target',100,1,1),
(164654,10121638,'If Target is not Epic',100,2,2),
(164655,10121638,'Must be flanking or behind',100,1,3),
(164656,10121638,'Resistibility increases against targets higher than level 112.',100,1,4),
(164657,166269,'When Equipped:',100,0,0),
(164658,166269,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(164659,166269,'Increases caster''s chance to block by 8.0%',100,2,2),
(164660,166269,'Cannot be modified except by direct means',100,2,3),
(164661,166269,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(164662,166269,'Increases caster''s chance to block by 8.0%',100,2,5),
(164663,166269,'Cannot be modified except by direct means',100,2,6),
(164664,10166269,'When Equipped:',100,0,0),
(164665,10166269,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(164666,10166269,'Increases caster''s chance to block by 8.0%',100,2,2),
(164667,10166269,'Cannot be modified except by direct means',100,2,3),
(164668,10166269,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(164669,10166269,'Increases caster''s chance to block by 8.0%',100,2,5),
(164670,10166269,'Cannot be modified except by direct means',100,2,6),
(164671,123869,'Increases AGI of caster by 59.6',100,1,0),
(164672,123869,'Adds 17.2% to base avoidance.',100,1,1),
(164673,123869,'Increases Damage Per Second of caster by 48.0',100,1,2),
(164674,123869,'Increases Mitigation of caster vs physical damage by 531',100,1,3),
(164675,123869,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,4),
(164676,10123869,'Increases AGI of caster by 59.6',100,1,0),
(164677,10123869,'Adds 17.2% to base avoidance.',100,1,1),
(164678,10123869,'Increases Damage Per Second of caster by 48.0',100,1,2),
(164679,10123869,'Increases Mitigation of caster vs physical damage by 531',100,1,3),
(164680,10123869,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,4),
(164681,143912,'When Equipped:',100,0,0),
(164682,143912,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(164683,143912,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(164684,143912,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(164685,143912,'Must not be engaged in pvp combat',100,2,4),
(164686,143912,'Cannot be modified except by direct means',100,2,5),
(164687,143912,'Must not be engaged in pvp combat',100,1,6),
(164688,10143912,'When Equipped:',100,0,0),
(164689,10143912,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(164690,10143912,'Inflicts 5758 - 6364 slashing damage on target encounter',100,2,2),
(164691,10143912,'Inflicts 823 - 909 slashing damage on target encounter every 2 seconds',100,2,3),
(164692,10143912,'Must not be engaged in pvp combat',100,2,4),
(164693,10143912,'Cannot be modified except by direct means',100,2,5),
(164694,10143912,'Must not be engaged in pvp combat',100,1,6),
(164695,104317,'Charms target',100,1,0),
(164696,104317,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(164697,104317,'Mesmerizes target',100,2,2),
(164698,104317,'Dispelled when target takes damage',100,2,3),
(164699,104317,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(164700,104317,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(164701,104317,'Grants Sonic Vision to caster',100,2,6),
(164702,104317,'Increases Out-of-Combat Power Regeneration of target by 2.6',100,1,7),
(164703,104317,'Increases Out-of-Combat Health Regeneration of target by 5.3',100,1,8),
(164704,104317,'Certain enemies cannot be charmed',100,1,9),
(164705,104317,'Only affects targets level 16 and below',100,1,10),
(164706,104317,'Does not affect Epic targets',100,1,11),
(164707,10104317,'Mesmerizes target',100,1,0),
(164708,10104317,'Prevents AOE (except when direct) ',100,1,1),
(164709,10104317,'Dispelled when target takes damage',100,1,2),
(164710,10104317,'Certain enemies cannot be charmed',100,1,3),
(164711,10104317,'Only affects targets level 16 and below',100,1,4),
(164712,10104317,'Does not affect Epic targets',100,1,5),
(164713,10104317,'Resistibility increases against targets higher than level 31.',100,1,6),
(164714,37345,'Increases Max Health of target by 3.9',100,0,0),
(164715,37345,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(164716,26605,'When Equipped:',100,0,0),
(164717,26605,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(164718,26605,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,2),
(164719,26605,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(164720,10026605,'When Equipped:',100,0,0),
(164721,10026605,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(164722,10026605,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,2),
(164723,10026605,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(164724,82210,'When Equipped:',100,0,0),
(164725,82210,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164726,82210,'Inflicts 48 - 89 magic damage on target',100,2,2),
(164727,82210,'Cannot be modified except by direct means',100,2,3),
(164728,10082210,'When Equipped:',100,0,0),
(164729,10082210,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164730,10082210,'Inflicts 62 - 115 magic damage on target',100,2,2),
(164731,10082210,'Cannot be modified except by direct means',100,2,3),
(164732,104804,'Increases caster''s chance to block by 10.0%',100,1,0),
(164733,104804,'Decreases Attack Speed of caster by 15.4',100,1,1),
(164734,104804,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(164735,104804,'Increases Parry of caster by 17.8',100,1,3),
(164736,104804,'Increases Defense of caster by 17.8',100,1,4),
(164737,10104804,'Increases caster''s chance to block by 10.0%',100,1,0),
(164738,10104804,'Decreases Attack Speed of caster by 15.4',100,1,1),
(164739,10104804,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(164740,10104804,'Increases Parry of caster by 17.8',100,1,3),
(164741,10104804,'Increases Defense of caster by 17.8',100,1,4),
(164742,26972,'When Equipped:',100,0,0),
(164743,26972,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(164744,26972,'Inflicts 66 piercing damage on target',100,2,2),
(164745,26972,'Cannot be modified except by direct means',100,2,3),
(164746,10026972,'When Equipped:',100,0,0),
(164747,10026972,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(164748,10026972,'Inflicts 86 piercing damage on target',100,2,2),
(164749,10026972,'Cannot be modified except by direct means',100,2,3),
(164750,70322,'When Equipped:',100,0,0),
(164751,70322,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164752,70322,'Inflicts 135 - 165 poison damage on target',100,2,2),
(164753,70322,'Cannot be modified except by direct means',100,2,3),
(164754,10070322,'When Equipped:',100,0,0),
(164755,10070322,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164756,10070322,'Inflicts 175 - 214 poison damage on target',100,2,2),
(164757,10070322,'Cannot be modified except by direct means',100,2,3),
(164758,71790,'When Equipped:',100,0,0),
(164759,71790,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164760,71790,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(164761,71790,'Cannot be modified except by direct means',100,2,3),
(164762,10071790,'When Equipped:',100,0,0),
(164763,10071790,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164764,10071790,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(164765,10071790,'Cannot be modified except by direct means',100,2,3),
(164766,103533,'Increases In-Combat Power Regeneration of group members (AE) by 5.0',100,1,0),
(164767,10103533,'Increases In-Combat Power Regeneration of group members (AE) by 5.0',100,1,0),
(164768,42848,'When Equipped:',100,0,0),
(164769,42848,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(164770,42848,'On any combat or spell hit this spell may cast Greater Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(164771,42848,'Inflicts 4302 - 4755 piercing damage on target',100,2,3),
(164772,42848,'Wards caster against 1250 points of all damage',100,2,4),
(164773,42848,'Must not be engaged in pvp combat',100,2,5),
(164774,42848,'Cannot be modified except by direct means',100,2,6),
(164775,42848,'Must not be engaged in pvp combat',100,1,7),
(164776,10042848,'When Equipped:',100,0,0),
(164777,10042848,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(164778,10042848,'On any combat or spell hit this spell may cast Greater Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(164779,10042848,'Inflicts 5593 - 6182 piercing damage on target',100,2,3),
(164780,10042848,'Wards caster against 1250 points of all damage',100,2,4),
(164781,10042848,'Must not be engaged in pvp combat',100,2,5),
(164782,10042848,'Cannot be modified except by direct means',100,2,6),
(164783,10042848,'Must not be engaged in pvp combat',100,1,7),
(164784,112072,'Inflicts 19 - 31 heat damage on target instantly and every 2 seconds',100,1,0),
(164785,10112072,'Inflicts 59 - 98 heat damage on target instantly and every 2 seconds',100,1,0),
(164786,120262,'Inflicts 623 - 1039 crushing damage on target',100,1,0),
(164787,10120262,'Inflicts 810 - 1351 crushing damage on target',100,1,0),
(164788,82503,'When Equipped:',100,0,0),
(164789,82503,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164790,82503,'Inflicts 296 - 551 magic damage on target',100,2,2),
(164791,82503,'Cannot be modified except by direct means',100,2,3),
(164792,10082503,'When Equipped:',100,0,0),
(164793,10082503,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164794,10082503,'Inflicts 385 - 716 magic damage on target',100,2,2),
(164795,10082503,'Cannot be modified except by direct means',100,2,3),
(164796,147270,'When Equipped:',100,0,0),
(164797,147270,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(164798,147270,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(164799,147270,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(164800,147270,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(164801,147270,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(164802,147270,'Must not be engaged in pvp combat',100,2,6),
(164803,147270,'Cannot be modified except by direct means',100,2,7),
(164804,147270,'Must not be engaged in pvp combat',100,1,8),
(164805,10147270,'When Equipped:',100,0,0),
(164806,10147270,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(164807,10147270,'Inflicts 6580 - 7273 piercing damage on target encounter',100,2,2),
(164808,10147270,'Inflicts 823 - 909 piercing damage on target encounter every 2 seconds',100,2,3),
(164809,10147270,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(164810,10147270,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(164811,10147270,'Must not be engaged in pvp combat',100,2,6),
(164812,10147270,'Cannot be modified except by direct means',100,2,7),
(164813,10147270,'Must not be engaged in pvp combat',100,1,8),
(164814,116452,'Inflicts 143 disease damage on target instantly and every 4 seconds',100,1,0),
(164815,116452,'Inflicts 143 disease damage on target instantly and every 4 seconds',100,1,1),
(164816,116452,'If target is nightblood',100,2,2),
(164817,116452,'Inflicts 143 disease damage on target instantly and every 4 seconds',100,1,3),
(164818,116452,'If target is shadowed folk',100,2,4),
(164819,10116452,'Inflicts 186 disease damage on target instantly and every 4 seconds',100,1,0),
(164820,72041,'When Equipped:',100,0,0),
(164821,72041,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164822,72041,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(164823,72041,'Cannot be modified except by direct means',100,2,3),
(164824,10072041,'When Equipped:',100,0,0),
(164825,10072041,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(164826,10072041,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(164827,10072041,'Cannot be modified except by direct means',100,2,3),
(164828,121648,'Increases STR, WIS and INT of caster by 2.7',100,1,0),
(164829,121648,'Summons a pet bovoch',100,1,1),
(164830,121648,'Increases STA and AGI of caster by 2.7',100,1,2),
(164831,121648,'If follows Bristlebane',100,1,3),
(164832,10121648,'Increases STR, WIS and INT of caster by 2.7',100,1,0),
(164833,10121648,'Summons a pet bovoch',100,1,1),
(164834,10121648,'Increases STA and AGI of caster by 2.7',100,1,2),
(164835,10121648,'If follows Bristlebane',100,1,3),
(164836,109792,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(164837,109792,'Heals group members (AE) for 378',100,2,1),
(164838,10109792,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(164839,10109792,'Heals group members (AE) for 245',100,2,1),
(164840,112758,'Interrupts target',100,1,0),
(164841,112758,'Inflicts 186 - 311 divine damage on target',100,1,1),
(164842,10112758,'Interrupts target',100,1,0),
(164843,10112758,'Inflicts 242 - 404 divine damage on target',100,1,1),
(164844,26492,'When Equipped:',100,0,0),
(164845,26492,'On a critical healing spell cast this spell may cast Purification on target of spell cast.  Triggers about 2.2 times per minute. ',100,1,1),
(164846,26492,'Dispels 120 levels of any hostile effects on target',100,2,2),
(164847,26492,'Must not be engaged in pvp combat',100,2,3),
(164848,26492,'Cannot be modified except by direct means',100,2,4),
(164849,26492,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(164850,26492,'On a healing spell cast this spell may cast Purification on caster.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(164851,26492,'Increases the heal or ward amount of the caster''s next beneficial spell by 15%.',100,2,7),
(164852,26492,'Dispelled when target casts a beneficial spell',100,2,8),
(164853,26492,'Must not be engaged in pvp combat',100,2,9),
(164854,26492,'Cannot be modified except by direct means',100,2,10),
(164855,26492,'Must not be engaged in pvp combat',100,1,11),
(164856,26492,'Cannot be modified except by direct means',100,1,12),
(164857,10026492,'When Equipped:',100,0,0),
(164858,10026492,'On a critical healing spell cast this spell may cast Purification on target of spell cast.  Triggers about 2.2 times per minute. ',100,1,1),
(164859,10026492,'Dispels 120 levels of any hostile effects on target',100,2,2),
(164860,10026492,'Must not be engaged in pvp combat',100,2,3),
(164861,10026492,'Cannot be modified except by direct means',100,2,4),
(164862,10026492,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(164863,10026492,'On a healing spell cast this spell may cast Purification on caster.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(164864,10026492,'Increases the heal or ward amount of the caster''s next beneficial spell by 15%.',100,2,7),
(164865,10026492,'Dispelled when target casts a beneficial spell',100,2,8),
(164866,10026492,'Must not be engaged in pvp combat',100,2,9),
(164867,10026492,'Cannot be modified except by direct means',100,2,10),
(164868,10026492,'Must not be engaged in pvp combat',100,1,11),
(164869,10026492,'Cannot be modified except by direct means',100,1,12),
(164870,107567,'Dazes target encounter',100,1,0),
(164871,107567,'Inflicts 59 - 72 mental damage on target encounter',100,1,1),
(164872,107567,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,2),
(164873,107567,'Resistibility increases against targets higher than level 40.',100,1,3),
(164874,10107567,'Dazes target encounter',100,1,0),
(164875,10107567,'Inflicts 76 - 93 mental damage on target encounter',100,1,1),
(164876,10107567,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(164877,10107567,'Resistibility increases against targets higher than level 40.',100,1,3),
(164878,24477,'Adds Lair of Scale: Brass Tome of Scale to your Dungeon Maker toolbox',100,0,0),
(164879,10024477,'Adds Lair of Scale: Brass Tome of Scale to your Dungeon Maker toolbox',100,0,0),
(164880,111491,'Increases AGI of caster by 65.0',100,1,0),
(164881,111491,'Increases Attack Speed of caster by 33.7',100,1,1),
(164882,111491,'Increases in-combat movement speed of caster by 6.0%',100,1,2),
(164883,111491,'Adds 18.7% to base avoidance.',100,1,3),
(164884,111491,'Increases Mitigation of caster vs physical damage by 580',100,1,4),
(164885,111491,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,5),
(164886,10111491,'Increases AGI of caster by 65.0',100,1,0),
(164887,10111491,'Increases Attack Speed of caster by 33.7',100,1,1),
(164888,10111491,'Increases speed of caster by 6.0%',100,1,2),
(164889,10111491,'Adds 18.7% to base avoidance.',100,1,3),
(164890,10111491,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(164891,113037,'Decreases Damage Per Second of target by 19.5',100,1,0),
(164892,10113037,'Decreases Damage Per Second of target by 19.5',100,1,0),
(164893,158596,'When Equipped:',100,0,0),
(164894,158596,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(164895,158596,'Increases power of target by 57 instantly and every 4 seconds',100,2,2),
(164896,158596,'Cannot be modified except by direct means',100,2,3),
(164897,10158596,'When Equipped:',100,0,0),
(164898,10158596,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(164899,10158596,'Increases power of target by 57 instantly and every 4 seconds',100,2,2),
(164900,10158596,'Cannot be modified except by direct means',100,2,3),
(164901,116557,'Summons a pet possessed essence',100,1,0),
(164902,10116557,'Summons a pet possessed essence',100,1,0),
(164903,132394,'When Equipped:',100,0,0),
(164904,132394,'Applies Potent Essence Infusion to qualifying pets.',100,1,1),
(164905,132394,'On a combat hit this spell may cast Potent Essence Infusion on target of attack.  Triggers about 2.0 times per minute. ',100,2,2),
(164906,132394,'Increases power of group members by 343',100,3,3),
(164907,132394,'Inflicts 344 heat damage on target encounter',100,3,4),
(164908,132394,'Inflicts 344 poison damage on target encounter',100,3,5),
(164909,10132394,'When Equipped:',100,0,0),
(164910,10132394,'Applies Potent Essence Infusion to qualifying pets.',100,1,1),
(164911,10132394,'On a combat hit this spell may cast Potent Essence Infusion on target of attack.  Triggers about 2.0 times per minute. ',100,2,2),
(164912,10132394,'Increases power of group members by 343',100,3,3),
(164913,10132394,'Inflicts 447 heat damage on target encounter',100,3,4),
(164914,10132394,'Inflicts 447 poison damage on target encounter',100,3,5),
(164915,48839,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(164916,48839,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(164917,48839,'Inflicts 147 poison damage on target instantly and every 6 seconds',100,2,2),
(164918,48839,'Inflicts 168 poison damage on target',100,2,3),
(164919,48839,'Cannot be modified except by direct means',100,2,4),
(164920,48839,'Grants a total of 200 triggers of the spell.',100,2,5),
(164921,10048839,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(164922,10048839,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(164923,10048839,'Inflicts 164 poison damage on target',100,2,2),
(164924,10048839,'Inflicts 144 poison damage on target instantly and every 6 seconds',100,2,3),
(164925,10048839,'Cannot be modified except by direct means',100,2,4),
(164926,10048839,'Grants a total of 200 triggers of the spell.',100,2,5),
(164927,80776,'When Equipped:',100,0,0),
(164928,80776,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164929,80776,'Inflicts 226 - 419 magic damage on target',100,2,2),
(164930,80776,'Decreases Threat to target by 517 ',100,2,3),
(164931,80776,'Must be flanking or behind',100,3,4),
(164932,80776,'Increases Threat to target by 517 ',100,2,5),
(164933,80776,'Must be in front of',100,3,6),
(164934,80776,'Cannot be modified except by direct means',100,2,7),
(164935,10080776,'When Equipped:',100,0,0),
(164936,10080776,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(164937,10080776,'Inflicts 293 - 545 magic damage on target',100,2,2),
(164938,10080776,'Cannot be modified except by direct means',100,2,3),
(164939,36120,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(164940,103103,'Increases STR of caster by 14.6',100,1,0),
(164941,103103,'Adds 3.9% to base avoidance.',100,1,1),
(164942,103103,'Increases Mitigation of caster vs physical damage by 97',100,1,2),
(164943,103103,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 262',100,1,3),
(164944,10103103,'Increases STR of caster by 14.6',100,1,0),
(164945,10103103,'Adds 3.9% to base avoidance.',100,1,1),
(164946,10103103,'Increases Mitigation of caster vs physical damage by 97',100,1,2),
(164947,10103103,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 262',100,1,3),
(164948,170539,'When Equipped:',100,0,0),
(164949,170539,'Increases Attack Speed of caster by 35.0',100,1,1),
(164950,10170539,'When Equipped:',100,0,0),
(164951,10170539,'Increases Attack Speed of caster by 35.0',100,1,1),
(164952,48202,'Applies Spirit of the Hawk when Activated.  Lasts for 30 minutes.',100,0,0),
(164953,48202,'Shapechanges caster into a hawk',100,1,1),
(164954,48202,'Increases Out-of-Combat Power Regeneration of caster by 60.0',100,1,2),
(164955,48202,'This effect suspends during combat',100,1,3),
(164956,48202,'Only affects targets level 40 and above',100,1,4),
(164957,10048202,'Applies Spirit of the Hawk when Activated.  Lasts for 30 minutes.',100,0,0),
(164958,10048202,'Shapechanges caster into a hawk',100,1,1),
(164959,10048202,'Increases Out-of-Combat Power Regeneration of caster by 60.0',100,1,2),
(164960,10048202,'This effect suspends during combat',100,1,3),
(164961,10048202,'Only affects targets level 40 and above',100,1,4),
(164962,41548,'When Equipped:',100,0,0),
(164963,41548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164964,41548,'Inflicts 109 - 202 magic damage on target',100,2,2),
(164965,41548,'Cannot be modified except by direct means',100,2,3),
(164966,10041548,'When Equipped:',100,0,0),
(164967,10041548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(164968,10041548,'Inflicts 142 - 263 magic damage on target',100,2,2),
(164969,10041548,'Cannot be modified except by direct means',100,2,3),
(164970,114597,'Inflicts 1288 - 2146 ranged damage on target',100,1,0),
(164971,114597,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(164972,114597,'Requires bow',100,1,2),
(164973,10114597,'Inflicts 1359 - 2265 ranged damage on target',100,1,0),
(164974,10114597,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(164975,10114597,'Requires bow',100,1,2),
(164976,124554,'Dispels 140 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(164977,10124554,'Dispels 140 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(164978,110313,'Increases Max Power of target by 17.8',100,1,0),
(164979,110313,'Increases Max Health of target by 34.3',100,1,1),
(164980,10110313,'Increases Max Power of target by 17.8',100,1,0),
(164981,10110313,'Increases Max Health of target by 34.3',100,1,1),
(164982,144939,'When Equipped:',100,0,0),
(164983,144939,'This effect will not stack with itself.',100,1,1),
(164984,144939,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(164985,144939,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(164986,144939,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(164987,144939,'Increases Ability Casting Speed of caster by 12.0%',100,2,5),
(164988,144939,'Must not be engaged in pvp combat',100,2,6),
(164989,144939,'Cannot be modified except by direct means',100,2,7),
(164990,144939,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(164991,144939,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(164992,144939,'Increases Ability Recovery Speed of caster by 12.0%',100,2,10),
(164993,144939,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(164994,144939,'Must not be engaged in pvp combat',100,2,12),
(164995,144939,'Cannot be modified except by direct means',100,2,13),
(164996,144939,'Must not be engaged in pvp combat',100,1,14),
(164997,10144939,'When Equipped:',100,0,0),
(164998,10144939,'This effect will not stack with itself.',100,1,1),
(164999,10144939,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(165000,10144939,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(165001,10144939,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(165002,10144939,'Increases Ability Casting Speed of caster by 12.0%',100,2,5),
(165003,10144939,'Must not be engaged in pvp combat',100,2,6),
(165004,10144939,'Cannot be modified except by direct means',100,2,7),
(165005,10144939,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(165006,10144939,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(165007,10144939,'Increases Ability Recovery Speed of caster by 12.0%',100,2,10),
(165008,10144939,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(165009,10144939,'Must not be engaged in pvp combat',100,2,12),
(165010,10144939,'Cannot be modified except by direct means',100,2,13),
(165011,10144939,'Must not be engaged in pvp combat',100,1,14),
(165012,36795,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(165013,101009,'Increases INT of target by 122.8',100,1,0),
(165014,101009,'Increases Attack Speed of target by 44.4',100,1,1),
(165015,101009,'Decreases Defense and Parry of target by 36.3',100,1,2),
(165016,101009,'Increases Slashing, Piercing and Crushing of target by 26.6',100,1,3),
(165017,10101009,'Increases INT of target by 122.8',100,1,0),
(165018,10101009,'Increases Attack Speed of target by 44.4',100,1,1),
(165019,10101009,'Decreases Defense and Parry of target by 36.3',100,1,2),
(165020,10101009,'Increases Slashing, Piercing and Crushing of target by 26.6',100,1,3),
(165021,115509,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(165022,115509,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(165023,10115509,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(165024,10115509,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(165025,124668,'Inflicts 2104 - 2571 cold damage on target encounter',100,1,0),
(165026,124668,'Decreases Piercing, Slashing and Crushing of target encounter by 42.6',100,1,1),
(165027,10124668,'Inflicts 2735 - 3342 cold damage on target encounter',100,1,0),
(165028,10124668,'Decreases Piercing, Slashing and Crushing of target encounter by 42.6',100,1,1),
(165029,47021,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(165030,47021,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(165031,47021,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(165032,47021,'Cannot be modified except by direct means',100,2,3),
(165033,47021,'Grants a total of 80 triggers of the spell.',100,2,4),
(165034,10047021,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(165035,10047021,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(165036,10047021,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(165037,10047021,'Cannot be modified except by direct means',100,2,3),
(165038,10047021,'Grants a total of 80 triggers of the spell.',100,2,4),
(165039,124169,'Inflicts 14 - 24 melee damage on target',100,1,0),
(165040,10124169,'Inflicts 19 - 32 melee damage on target',100,1,0),
(165041,123266,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(165042,123266,'Inflicts 22 - 37 disease damage on target',100,2,1),
(165043,123266,'Heals caster for 8 - 14',100,2,2),
(165044,123266,'This effect cannot be critically applied.',100,3,3),
(165045,123266,'The healing of this spell cannot be modified except by direct means',100,2,4),
(165046,10123266,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(165047,10123266,'Inflicts 29 - 48 disease damage on target',100,2,1),
(165048,10123266,'Heals caster for 3 - 5',100,2,2),
(165049,10123266,'This effect cannot be critically applied.',100,3,3),
(165050,10123266,'The healing of this spell cannot be modified except by direct means',100,2,4),
(165051,144677,'When Equipped:',100,0,0),
(165052,144677,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(165053,144677,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(165054,144677,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(165055,144677,'This effect cannot occur more than once a second',100,2,4),
(165056,144677,'Must be engaged in pvp combat',100,2,5),
(165057,144677,'Cannot be modified except by direct means',100,2,6),
(165058,144677,'Cannot be modified except by direct means',100,1,7),
(165059,144677,'When Equipped:',100,0,8),
(165060,144677,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(165061,144677,'Must be engaged in pvp combat',100,1,10),
(165062,144677,'When Equipped:',100,0,11),
(165063,144677,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(165064,144677,'Must be engaged in pvp combat',100,1,13),
(165065,10144677,'When Equipped:',100,0,0),
(165066,10144677,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(165067,10144677,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(165068,10144677,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(165069,10144677,'This effect cannot occur more than once a second',100,2,4),
(165070,10144677,'Must be engaged in pvp combat',100,2,5),
(165071,10144677,'Cannot be modified except by direct means',100,2,6),
(165072,10144677,'Cannot be modified except by direct means',100,1,7),
(165073,10144677,'When Equipped:',100,0,8),
(165074,10144677,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(165075,10144677,'Must be engaged in pvp combat',100,1,10),
(165076,10144677,'When Equipped:',100,0,11),
(165077,10144677,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(165078,10144677,'Must be engaged in pvp combat',100,1,13),
(165079,110614,'Decreases Focus of target by 40.0',100,1,0),
(165080,110614,'Interrupts target',100,1,1),
(165081,110614,'Inflicts 266 - 799 crushing damage on target',100,1,2),
(165082,10110614,'Decreases Focus of target by 40.0',100,1,0),
(165083,10110614,'Interrupts target',100,1,1),
(165084,10110614,'Inflicts 346 - 1039 crushing damage on target',100,1,2),
(165085,101135,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(165086,101135,'Inflicts 186 ranged damage on target',100,2,1),
(165087,101135,'Decreases Defense of caster by 9.3',100,1,2),
(165088,101135,'Increases Crushing, Piercing, Ranged and Slashing of caster by 16.7',100,1,3),
(165089,10101135,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(165090,10101135,'Inflicts 158 ranged damage on target',100,2,1),
(165091,10101135,'Decreases Defense of caster by 9.3',100,1,2),
(165092,10101135,'Increases Crushing, Piercing, Ranged and Slashing of caster by 16.7',100,1,3),
(165093,54401,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(165094,54401,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(165095,54401,'Inflicts 35 heat damage on target',100,2,2),
(165096,54401,'Cannot be modified except by direct means',100,2,3),
(165097,10054401,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(165098,10054401,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(165099,10054401,'Inflicts 46 heat damage on target',100,2,2),
(165100,10054401,'Cannot be modified except by direct means',100,2,3),
(165101,113164,'Inflicts 446 disease damage on target',100,1,0),
(165102,113164,'Heals caster for 190',100,1,1),
(165103,10113164,'Inflicts 579 disease damage on target',100,1,0),
(165104,10113164,'Heals caster for 161',100,1,1),
(165105,119117,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(165106,119117,'Inflicts 104 - 127 slashing damage on target',100,2,1),
(165107,119117,'Increases Mitigation of caster vs physical damage by 244',100,1,2),
(165108,10119117,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(165109,10119117,'Inflicts 135 - 165 slashing damage on target',100,2,1),
(165110,10119117,'Increases Mitigation of caster vs physical damage by 244',100,1,2),
(165111,177632,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(165112,177632,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(165113,177632,'Inflicts 20 heat damage on target',100,2,2),
(165114,177632,'Cannot be modified except by direct means',100,2,3),
(165115,10177632,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(165116,10177632,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(165117,10177632,'Inflicts 27 heat damage on target',100,2,2),
(165118,10177632,'Cannot be modified except by direct means',100,2,3),
(165119,121356,'Inflicts 35 - 64 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(165120,10121356,'Inflicts 45 - 83 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(165121,102083,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(165122,102083,'Stuns target',100,2,1),
(165123,102083,'Blurs vision of target',100,2,2),
(165124,102083,'Throws target back',100,2,3),
(165125,102083,'Does not affect Epic targets',100,2,4),
(165126,102083,'Inflicts 6 - 10 crushing damage on target',100,1,5),
(165127,10102083,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(165128,10102083,'Stuns target',100,2,1),
(165129,10102083,'Throws target back',100,2,2),
(165130,10102083,'Blurs vision of target',100,2,3),
(165131,10102083,'Does not affect Epic targets',100,2,4),
(165132,10102083,'Inflicts 8 - 13 crushing damage on target',100,1,5),
(165133,100076,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(165134,10100076,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(165135,107056,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(165136,107056,'Inflicts 212 - 353 divine damage on target',100,2,1),
(165137,107056,'Inflicts 212 - 353 divine damage on target',100,2,2),
(165138,107056,'If target is undead',100,3,3),
(165139,10107056,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(165140,10107056,'Inflicts 459 - 765 divine damage on target',100,2,1),
(165141,103730,'Increases Max Health of raid and group members (AE) by 413.9',100,1,0),
(165142,103730,'Increases Defense of raid and group members (AE) by 14.1',100,1,1),
(165143,10103730,'Increases Max Health of raid and group members (AE) by 413.9',100,1,0),
(165144,10103730,'Increases Defense of raid and group members (AE) by 14.1',100,1,1),
(165145,105274,'Increases Threat to target by 1,967 ',100,1,0),
(165146,105274,'Interrupts target',100,1,1),
(165147,105274,'Dispels 202 levels of arcane beneficial effects on target',100,1,2),
(165148,10105274,'Forces target to change their selected target to caster.',100,1,0),
(165149,10105274,'Interrupts target',100,1,1),
(165150,10105274,'Dispels 202 levels of arcane beneficial effects on target',100,1,2),
(165151,114016,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(165152,114016,'Heals target for 14 instantly and every 2 seconds',100,2,1),
(165153,114016,'Decreases Mitigation of target vs arcane damage by 320',100,1,2),
(165154,10114016,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(165155,10114016,'Heals target for 45 instantly and every 2 seconds',100,2,1),
(165156,10114016,'Decreases Mitigation of target vs arcane damage by 320',100,1,2),
(165157,106156,'Inflicts 481 - 801 divine damage on target encounter',100,1,0),
(165158,106156,'Interrupts target encounter',100,1,1),
(165159,10106156,'Inflicts 625 - 1041 divine damage on target encounter',100,1,0),
(165160,10106156,'Interrupts target encounter',100,1,1),
(165161,80814,'When Equipped:',100,0,0),
(165162,80814,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(165163,80814,'Inflicts 288 - 534 magic damage on target',100,2,2),
(165164,80814,'Decreases Threat to target by 672 ',100,2,3),
(165165,80814,'Must be flanking or behind',100,3,4),
(165166,80814,'Increases Threat to target by 672 ',100,2,5),
(165167,80814,'Must be in front of',100,3,6),
(165168,80814,'Cannot be modified except by direct means',100,2,7),
(165169,10080814,'When Equipped:',100,0,0),
(165170,10080814,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(165171,10080814,'Inflicts 374 - 695 magic damage on target',100,2,2),
(165172,10080814,'Cannot be modified except by direct means',100,2,3),
(165173,177676,'When Equipped:',100,0,0),
(165174,177676,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165175,177676,'Increases INT of caster by 16.3',100,2,2),
(165176,177676,'Increases Subjugation, Focus and Disruption of caster by 9.2',100,2,3),
(165177,177676,'Cannot be modified except by direct means',100,2,4),
(165178,10177676,'When Equipped:',100,0,0),
(165179,10177676,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165180,10177676,'Increases INT of caster by 16.3',100,2,2),
(165181,10177676,'Increases Subjugation, Focus and Disruption of caster by 9.2',100,2,3),
(165182,10177676,'Cannot be modified except by direct means',100,2,4),
(165183,74976,'When Equipped:',100,0,0),
(165184,74976,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165185,74976,'Inflicts 94 - 141 magic damage on target',100,2,2),
(165186,74976,'Cannot be modified except by direct means',100,2,3),
(165187,10074976,'When Equipped:',100,0,0),
(165188,10074976,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165189,10074976,'Inflicts 122 - 183 magic damage on target',100,2,2),
(165190,10074976,'Cannot be modified except by direct means',100,2,3),
(165191,36303,'Increases AGI of target by 1.5',100,0,0),
(165192,36303,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(165193,122772,'Heals group members (AE) for 881 - 1077',100,1,0),
(165194,122772,'Increases Max Health of group members (AE) by 160.7',100,1,1),
(165195,10122772,'Heals group members (AE) for 1031 - 1260',100,1,0),
(165196,10122772,'Increases Max Health of group members (AE) by 160.7',100,1,1),
(165197,81896,'When Equipped:',100,0,0),
(165198,81896,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(165199,81896,'Inflicts 408 - 757 magic damage on target',100,2,2),
(165200,81896,'Decreases Threat to target by 994 ',100,2,3),
(165201,81896,'Must be flanking or behind',100,3,4),
(165202,81896,'Increases Threat to target by 994 ',100,2,5),
(165203,81896,'Must be in front of',100,3,6),
(165204,81896,'Cannot be modified except by direct means',100,2,7),
(165205,10081896,'When Equipped:',100,0,0),
(165206,10081896,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(165207,10081896,'Inflicts 530 - 984 magic damage on target',100,2,2),
(165208,10081896,'Cannot be modified except by direct means',100,2,3),
(165209,109302,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(165210,109302,'Increases Mitigation of group members (AE) vs elemental damage by 756',100,1,1),
(165211,10109302,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(165212,10109302,'Increases Mitigation of group members (AE) vs elemental damage by 756',100,1,1),
(165213,100660,'Increases AGI, STR and STA of target by 66.6',100,1,0),
(165214,100660,'Adds 1.7% to base avoidance.',100,1,1),
(165215,10100660,'Increases AGI, STR and STA of target by 66.6',100,1,0),
(165216,10100660,'Adds 1.7% to base avoidance.',100,1,1),
(165217,75015,'Applies Lightning Shock when Activated.',100,0,0),
(165218,75015,'Inflicts 113 - 189 magic damage on target',100,1,1),
(165219,75015,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(165220,10075015,'Applies Lightning Shock when Activated.',100,0,0),
(165221,10075015,'Inflicts 147 - 246 magic damage on target',100,1,1),
(165222,10075015,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(165223,87107,'When Equipped:',100,0,0),
(165224,87107,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165225,87107,'Inflicts 237 - 356 magic damage on target',100,2,2),
(165226,87107,'Cannot be modified except by direct means',100,2,3),
(165227,10087107,'When Equipped:',100,0,0),
(165228,10087107,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165229,10087107,'Inflicts 308 - 463 magic damage on target',100,2,2),
(165230,10087107,'Cannot be modified except by direct means',100,2,3),
(165231,108983,'Decreases Damage Per Second of target by 18.6',100,1,0),
(165232,108983,'Inflicts 12 - 14 melee damage on target',100,1,1),
(165233,10108983,'Decreases Damage Per Second of target by 18.6',100,1,0),
(165234,10108983,'Inflicts 15 - 19 melee damage on target',100,1,1),
(165235,103745,'Inflicts 1766 - 2158 magic damage on targets in Area of Effect',100,1,0),
(165236,10103745,'Inflicts 2296 - 2806 magic damage on targets in Area of Effect',100,1,0),
(165237,87481,'When Equipped:',100,0,0),
(165238,87481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165239,87481,'Inflicts 194 - 290 magic damage on target',100,2,2),
(165240,87481,'Cannot be modified except by direct means',100,2,3),
(165241,10087481,'When Equipped:',100,0,0),
(165242,10087481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165243,10087481,'Inflicts 252 - 378 magic damage on target',100,2,2),
(165244,10087481,'Cannot be modified except by direct means',100,2,3),
(165245,105691,'Decreases Attack Speed of target encounter by 14.3',100,1,0),
(165246,105691,'Slows target encounter by 19.8%',100,1,1),
(165247,10105691,'Decreases Attack Speed of target encounter by 14.3',100,1,0),
(165248,10105691,'Slows target encounter by 19.8%',100,1,1),
(165249,52768,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(165250,52768,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(165251,52768,'Inflicts 82 heat damage on target',100,2,2),
(165252,52768,'Cannot be modified except by direct means',100,2,3),
(165253,10052768,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(165254,10052768,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(165255,10052768,'Inflicts 99 heat damage on target',100,2,2),
(165256,10052768,'Cannot be modified except by direct means',100,2,3),
(165257,48750,'Applies Elixir of Refinement  when Activated.  Lasts for 15 minutes.',100,0,0),
(165258,48750,'Increases Max Health of caster by 130.0',100,1,1),
(165259,10048750,'Applies Elixir of Refinement  when Activated.  Lasts for 15 minutes.',100,0,0),
(165260,10048750,'Increases Max Health of caster by 130.0',100,1,1),
(165261,45397,'Applies Bottled Breath when Activated.',100,0,0),
(165262,45397,'Heals caster for 100.0% of max health',100,1,1),
(165263,10045397,'Applies Bottled Breath when Activated.',100,0,0),
(165264,10045397,'Heals caster for 65.0% of max health',100,1,1),
(165265,105987,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(165266,105987,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(165267,105987,'Inflicts 262 - 438 piercing damage on target',100,3,2),
(165268,105987,'Grants a total of 5 triggers of the spell.',100,3,3),
(165269,105987,'Grants a total of 1 trigger of the spell.',100,2,4),
(165270,10105987,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(165271,10105987,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(165272,10105987,'Inflicts 315 - 525 piercing damage on target',100,3,2),
(165273,10105987,'Grants a total of 5 triggers of the spell.',100,3,3),
(165274,10105987,'Grants a total of 1 trigger of the spell.',100,2,4),
(165275,189193,'When Equipped:',100,0,0),
(165276,189193,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(165277,10189193,'When Equipped:',100,0,0),
(165278,10189193,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(165279,122240,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(165280,122240,'Decreases Damage Per Second of target by 16.9',100,2,1),
(165281,122240,'Decreases Attack Speed of target by 13.5',100,2,2),
(165282,10122240,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(165283,10122240,'Decreases Damage Per Second of target by 16.9',100,2,1),
(165284,10122240,'Decreases Attack Speed of target by 13.5',100,2,2),
(165285,123185,'Summons a pet Unholy Adept',100,1,0),
(165286,10123185,'Summons a pet Unholy Adept',100,1,0),
(165287,180400,'When Equipped:',100,0,0),
(165288,180400,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(165289,180400,'Increases power of caster by 131',100,2,2),
(165290,180400,'Cannot be modified except by direct means',100,2,3),
(165291,10180400,'When Equipped:',100,0,0),
(165292,10180400,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(165293,10180400,'Increases power of caster by 131',100,2,2),
(165294,10180400,'Cannot be modified except by direct means',100,2,3),
(165295,101248,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(165296,101248,'Inflicts 89 - 148 mental damage on target',100,2,1),
(165297,10101248,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(165298,10101248,'Inflicts 106 - 177 mental damage on target',100,2,1),
(165299,109547,'Inflicts 3851 - 6418 cold damage on targets in Area of Effect',100,1,0),
(165300,109547,'Throws target back',100,1,1),
(165301,109547,'If Target is not Epic',100,2,2),
(165302,109547,'Stuns targets in Area of Effect',100,1,3),
(165303,109547,'If Target is not Epic',100,2,4),
(165304,109547,'Resistibility increases against targets higher than level 94.',100,1,5),
(165305,10109547,'Inflicts 3081 - 5135 cold damage on targets in Area of Effect',100,1,0),
(165306,10109547,'Throws target back',100,1,1),
(165307,10109547,'If Target is not Epic',100,2,2),
(165308,10109547,'Stuns targets in Area of Effect',100,1,3),
(165309,10109547,'If Target is not Epic',100,2,4),
(165310,10109547,'Resistibility increases against targets higher than level 94.',100,1,5),
(165311,115324,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(165312,115324,'Makes target afraid',100,2,1),
(165313,115324,'Slows target by 37.2%',100,2,2),
(165314,115324,'30% chance to dispel when target takes damage',100,2,3),
(165315,115324,'Does not affect Epic targets',100,2,4),
(165316,115324,'Resistibility increases against targets higher than level 48.',100,2,5),
(165317,115324,'Roots target',100,1,6),
(165318,115324,'15% chance to dispel when target takes damage',100,1,7),
(165319,115324,'Does not affect Epic targets',100,1,8),
(165320,115324,'Resistibility increases against targets higher than level 48.',100,1,9),
(165321,10115324,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(165322,10115324,'Makes target afraid',100,2,1),
(165323,10115324,'Slows target by 37.2%',100,2,2),
(165324,10115324,'30% chance to dispel when target takes damage',100,2,3),
(165325,10115324,'Does not affect Epic targets',100,2,4),
(165326,10115324,'Resistibility increases against targets higher than level 48.',100,2,5),
(165327,10115324,'Roots target',100,1,6),
(165328,10115324,'15% chance to dispel when target takes damage',100,1,7),
(165329,10115324,'Does not affect Epic targets',100,1,8),
(165330,10115324,'Resistibility increases against targets higher than level 48.',100,1,9),
(165331,118584,'Roots target',100,1,0),
(165332,118584,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(165333,118584,'Slows target by 34.5%',100,2,2),
(165334,118584,'5% chance to dispel when target receives hostile action',100,2,3),
(165335,118584,'5% chance to dispel when target takes damage',100,2,4),
(165336,118584,'5% chance to dispel when target takes damage',100,1,5),
(165337,118584,'Does not affect Epic targets',100,1,6),
(165338,118584,'Resistibility increases against targets higher than level 36.',100,1,7),
(165339,10118584,'Roots target',100,1,0),
(165340,10118584,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(165341,10118584,'Slows target by 34.5%',100,2,2),
(165342,10118584,'5% chance to dispel when target receives hostile action',100,2,3),
(165343,10118584,'5% chance to dispel when target takes damage',100,2,4),
(165344,10118584,'5% chance to dispel when target takes damage',100,1,5),
(165345,10118584,'Does not affect Epic targets',100,1,6),
(165346,10118584,'Resistibility increases against targets higher than level 36.',100,1,7),
(165347,35292,'Increases Max Power of target by 3.3',100,0,0),
(165348,35292,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(165349,117826,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(165350,117826,'Heals target for 145 - 177 instantly and every 2 seconds',100,2,1),
(165351,117826,'If at 50% Health or less',100,3,2),
(165352,117826,'Heals target for 72 - 89 instantly and every 2 seconds',100,2,3),
(165353,117826,'If over 50% Health',100,3,4),
(165354,10117826,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(165355,10117826,'Heals target for 35 - 43 instantly and every 2 seconds',100,2,1),
(165356,10117826,'If at 50% Health or less',100,3,2),
(165357,10117826,'Heals target for 21 - 26 instantly and every 2 seconds',100,2,3),
(165358,10117826,'If over 50% Health',100,3,4),
(165359,124356,'Inflicts 61 - 74 divine damage on target',100,1,0),
(165360,124356,'Inflicts 25 - 31 divine damage on target every 4 seconds',100,1,1),
(165361,10124356,'Inflicts 73 - 89 divine damage on target',100,1,0),
(165362,10124356,'Inflicts 30 - 37 divine damage on target every 4 seconds',100,1,1),
(165363,122775,'Heals group members (AE) for 1026 - 1254',100,1,0),
(165364,122775,'Increases Max Health of group members (AE) by 167.3',100,1,1),
(165365,10122775,'Heals group members (AE) for 1200 - 1467',100,1,0),
(165366,10122775,'Increases Max Health of group members (AE) by 167.3',100,1,1),
(165367,178673,'When Equipped:',100,0,0),
(165368,178673,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(165369,178673,'Inflicts 1192 heat damage on target',100,2,2),
(165370,178673,'Cannot be modified except by direct means',100,2,3),
(165371,10178673,'When Equipped:',100,0,0),
(165372,10178673,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(165373,10178673,'Inflicts 715 heat damage on target',100,2,2),
(165374,10178673,'Cannot be modified except by direct means',100,2,3),
(165375,110128,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(165376,110128,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(165377,110128,'Only affects the caster of Guardian''s Sphere',100,2,2),
(165378,110128,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(165379,110128,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(165380,110128,'If not fighter',100,2,5),
(165381,10110128,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(165382,10110128,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(165383,10110128,'Only affects the caster of Guardian''s Sphere',100,2,2),
(165384,10110128,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(165385,10110128,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(165386,10110128,'If not fighter',100,2,5),
(165387,81790,'When Equipped:',100,0,0),
(165388,81790,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165389,81790,'Inflicts 105 - 195 magic damage on target',100,2,2),
(165390,81790,'Cannot be modified except by direct means',100,2,3),
(165391,10081790,'When Equipped:',100,0,0),
(165392,10081790,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165393,10081790,'Inflicts 126 - 234 magic damage on target',100,2,2),
(165394,10081790,'Cannot be modified except by direct means',100,2,3),
(165395,36309,'Increases INT, STR, WIS, AGI and STA of target by 2.7',100,0,0),
(165396,36309,'Increases Out-of-Combat Power Regeneration of target by 25.2',100,0,1),
(165397,107602,'Dazes target encounter',100,1,0),
(165398,107602,'Inflicts 413 - 504 mental damage on target encounter',100,1,1),
(165399,107602,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(165400,107602,'Resistibility increases against targets higher than level 107.',100,1,3),
(165401,10107602,'Dazes target encounter',100,1,0),
(165402,10107602,'Inflicts 495 - 605 mental damage on target encounter',100,1,1),
(165403,10107602,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(165404,10107602,'Resistibility increases against targets higher than level 107.',100,1,3),
(165405,107652,'Increases Mitigation of raid and group members (AE) vs elemental damage by 678',100,1,0),
(165406,10107652,'Increases Mitigation of raid and group members (AE) vs elemental damage by 678',100,1,0),
(165407,184848,'When Equipped:',100,0,0),
(165408,184848,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165409,184848,'Increases Crit Chance of caster by 7.0',100,2,2),
(165410,184848,'Cannot be modified except by direct means',100,2,3),
(165411,10184848,'When Equipped:',100,0,0),
(165412,10184848,'On any combat or spell hit this spell may cast Pinpoint Strikes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165413,10184848,'Increases Crit Chance of caster by 7.0',100,2,2),
(165414,10184848,'Cannot be modified except by direct means',100,2,3),
(165415,37273,'Increases outgoing damaging spell amount by 2%',100,0,0),
(165416,37273,'Increases INT and STA of target by 5.4',100,0,1),
(165417,37273,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(165418,71396,'When Equipped:',100,0,0),
(165419,71396,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165420,71396,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(165421,71396,'Cannot be modified except by direct means',100,2,3),
(165422,10071396,'When Equipped:',100,0,0),
(165423,10071396,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165424,10071396,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(165425,10071396,'Cannot be modified except by direct means',100,2,3),
(165426,161742,'When Equipped:',100,0,0),
(165427,161742,'On a combat hit this spell may cast Draught of Stones on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165428,161742,'Inflicts 1986 poison damage on target',100,2,2),
(165429,161742,'Heals caster for 1589',100,2,3),
(165430,161742,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,4),
(165431,161742,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,5),
(165432,161742,'When any damage is received this spell has a 10% chance to cast Draught of Stones on target''s attacker.  ',100,2,6),
(165433,161742,'Heals target for 1034 - 1143',100,3,7),
(165434,161742,'This effect cannot be critically applied.',100,4,8),
(165435,161742,'Cannot be modified except by direct means',100,2,9),
(165436,161742,'Cannot be modified except by direct means',100,1,10),
(165437,10161742,'When Equipped:',100,0,0),
(165438,10161742,'On a combat hit this spell may cast Draught of Stones on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165439,10161742,'Inflicts 2383 poison damage on target',100,2,2),
(165440,10161742,'Heals caster for 1859',100,2,3),
(165441,10161742,'Target will have their chance to hit with a weapon lowered by 2.0%',100,2,4),
(165442,10161742,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,5),
(165443,10161742,'When any damage is received this spell has a 10% chance to cast Draught of Stones on target''s attacker.  ',100,2,6),
(165444,10161742,'Heals target for 1210 - 1337',100,3,7),
(165445,10161742,'This effect cannot be critically applied.',100,4,8),
(165446,10161742,'Cannot be modified except by direct means',100,2,9),
(165447,10161742,'Cannot be modified except by direct means',100,1,10),
(165448,138915,'When Equipped:',100,0,0),
(165449,138915,'On a hostile spell cast this spell may cast Purifying Aggression on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(165450,138915,'Increases power of caster by 131',100,2,2),
(165451,138915,'Cannot be modified except by direct means',100,2,3),
(165452,10138915,'When Equipped:',100,0,0),
(165453,10138915,'On a hostile spell cast this spell may cast Purifying Aggression on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(165454,10138915,'Increases power of caster by 131',100,2,2),
(165455,10138915,'Cannot be modified except by direct means',100,2,3),
(165456,82585,'When Equipped:',100,0,0),
(165457,82585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165458,82585,'Inflicts 68 - 126 magic damage on target',100,2,2),
(165459,82585,'Cannot be modified except by direct means',100,2,3),
(165460,10082585,'When Equipped:',100,0,0),
(165461,10082585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165462,10082585,'Inflicts 81 - 151 magic damage on target',100,2,2),
(165463,10082585,'Cannot be modified except by direct means',100,2,3),
(165464,117497,'Increases Attack Speed of target by 36.8',100,1,0),
(165465,10117497,'Increases Attack Speed of target by 36.8',100,1,0),
(165466,71532,'When Equipped:',100,0,0),
(165467,71532,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165468,71532,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(165469,71532,'Cannot be modified except by direct means',100,2,3),
(165470,10071532,'When Equipped:',100,0,0),
(165471,10071532,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165472,10071532,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(165473,10071532,'Cannot be modified except by direct means',100,2,3),
(165474,24728,'Adds Thulian Minstrel to your Dungeon Maker toolbox',100,0,0),
(165475,10024728,'Adds Thulian Minstrel to your Dungeon Maker toolbox',100,0,0),
(165476,112963,'Inflicts 135 - 405 crushing damage on target',100,1,0),
(165477,10112963,'Inflicts 162 - 486 crushing damage on target',100,1,0),
(165478,110748,'Summons a limited pet to aid the caster',100,1,0),
(165479,10110748,'Summons a limited pet to aid the caster',100,1,0),
(165480,36344,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(165481,177703,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(165482,177703,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(165483,177703,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(165484,177703,'Cannot be modified except by direct means',100,2,3),
(165485,10177703,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(165486,10177703,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(165487,10177703,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(165488,10177703,'Cannot be modified except by direct means',100,2,3),
(165489,104969,'Reduces physical damage done to caster by 5%',100,1,0),
(165490,104969,'Adds 1.8% to base avoidance.',100,1,1),
(165491,104969,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(165492,104969,'Increases Parry of caster by 2.2',100,1,3),
(165493,104969,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(165494,104969,'Increases Aggression of caster by 1.3',100,1,5),
(165495,104969,'Increases Defense and Deflection of caster by 2.2',100,1,6),
(165496,104969,'Increases Mitigation of caster vs arcane damage by 184',100,1,7),
(165497,104969,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(165498,10104969,'Reduces physical damage done to caster by 5%',100,1,0),
(165499,10104969,'Adds 1.8% to base avoidance.',100,1,1),
(165500,10104969,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(165501,10104969,'Increases Parry of caster by 2.2',100,1,3),
(165502,10104969,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(165503,10104969,'Increases Aggression of caster by 1.3',100,1,5),
(165504,10104969,'Increases Defense and Deflection of caster by 2.2',100,1,6),
(165505,10104969,'Increases Mitigation of caster vs arcane damage by 184',100,1,7),
(165506,10104969,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(165507,105300,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(165508,105300,'Inflicts 160 - 266 mental damage on target',100,2,1),
(165509,105300,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,2),
(165510,105300,'Inflicts 160 - 266 mental damage on target',100,2,3),
(165511,105300,'Increases AGI of caster by 172.0',100,1,4),
(165512,105300,'Adds 25.0% to base avoidance.',100,1,5),
(165513,105300,'Increases Mitigation of caster vs physical damage by 616',100,1,6),
(165514,105300,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,7),
(165515,10105300,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(165516,10105300,'Inflicts 192 - 319 mental damage on target',100,2,1),
(165517,10105300,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,2),
(165518,10105300,'Inflicts 192 - 319 mental damage on target',100,2,3),
(165519,10105300,'Increases AGI of caster by 172.0',100,1,4),
(165520,10105300,'Adds 25.0% to base avoidance.',100,1,5),
(165521,10105300,'Increases Mitigation of caster vs physical damage by 616',100,1,6),
(165522,10105300,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,7),
(165523,113034,'Decreases Damage Per Second of target by 16.8',100,1,0),
(165524,10113034,'Decreases Damage Per Second of target by 16.8',100,1,0),
(165525,115798,'Inflicts 1 disease damage on target every 3 seconds',100,1,0),
(165526,115798,'Inflicts 2 - 4 melee damage on target',100,1,1),
(165527,115798,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(165528,115798,'Heals caster for 2 instantly and every 3 seconds',100,2,3),
(165529,115798,'This effect cannot be critically applied.',100,3,4),
(165530,115798,'The healing of this spell cannot be modified except by direct means',100,2,5),
(165531,115798,'The healing of this spell cannot be modified except by direct means',100,1,6),
(165532,10115798,'Inflicts 1 disease damage on target every 3 seconds',100,1,0),
(165533,10115798,'Inflicts 2 - 4 melee damage on target',100,1,1),
(165534,10115798,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(165535,10115798,'Heals caster for 1 instantly and every 3 seconds',100,2,3),
(165536,10115798,'This effect cannot be critically applied.',100,3,4),
(165537,10115798,'The healing of this spell cannot be modified except by direct means',100,2,5),
(165538,10115798,'The healing of this spell cannot be modified except by direct means',100,1,6),
(165539,137167,'When Equipped:',100,0,0),
(165540,137167,'Reduces maximum falling speed of caster',100,1,1),
(165541,10137167,'When Equipped:',100,0,0),
(165542,10137167,'Reduces maximum falling speed of caster',100,1,1),
(165543,134769,'When Equipped:',100,0,0),
(165544,134769,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165545,134769,'Decreases Threat to target by 500 ',100,2,2),
(165546,134769,'Cannot be modified except by direct means',100,2,3),
(165547,10134769,'When Equipped:',100,0,0),
(165548,10134769,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165549,10134769,'Cannot be modified except by direct means',100,2,2),
(165550,103291,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(165551,103291,'Increases power of target by 31 instantly and every 4 seconds',100,2,1),
(165552,103291,'Increases power of caster by 31 instantly and every 4 seconds',100,2,2),
(165553,103291,'Causes 4% Threat to transfer to target when in combat',100,1,3),
(165554,103291,'If Fighter',100,2,4),
(165555,10103291,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(165556,10103291,'Increases power of target by 31 instantly and every 4 seconds',100,2,1),
(165557,10103291,'Increases power of caster by 31 instantly and every 4 seconds',100,2,2),
(165558,106182,'Wards target against 64 points of all damage',100,1,0),
(165559,106182,'Decreases INT of target by 109.5',100,1,1),
(165560,106182,'Decreases Attack Speed of target by 25.0',100,1,2),
(165561,106182,'Increases Max Health of target by 9.5%',100,1,3),
(165562,106182,'Increases Hate Gain of target by 25.7%',100,1,4),
(165563,106182,'Increases Aggression of target by 8.0',100,1,5),
(165564,106182,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(165565,106182,'Increases Threat to target encounter by 79 - 96 ',100,2,7),
(165566,106182,'Increases Mitigation of target vs elemental, noxious and arcane damage by 532',100,1,8),
(165567,10106182,'Wards target against 64 points of all damage',100,1,0),
(165568,10106182,'Decreases INT of target by 109.5',100,1,1),
(165569,10106182,'Decreases Attack Speed of target by 25.0',100,1,2),
(165570,10106182,'Increases Max Health of target by 9.5%',100,1,3),
(165571,10106182,'Increases Aggression of target by 8.0',100,1,4),
(165572,10106182,'Increases Mitigation of target vs elemental, noxious and arcane damage by 532',100,1,5),
(165573,108232,'Inflicts 169 - 507 piercing damage on target',100,1,0),
(165574,108232,'Decreases Slashing, Crushing, Piercing and Ranged of target by 30.2',100,1,1),
(165575,10108232,'Inflicts 203 - 609 piercing damage on target',100,1,0),
(165576,10108232,'Decreases Slashing, Crushing, Piercing and Ranged of target by 30.2',100,1,1),
(165577,46383,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(165578,46383,'Wards caster against 1150 points of elemental damage',100,1,1),
(165579,10046383,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(165580,10046383,'Wards caster against 1150 points of elemental damage',100,1,1),
(165581,52897,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(165582,52897,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(165583,52897,'Inflicts 77 heat damage on target',100,2,2),
(165584,52897,'Cannot be modified except by direct means',100,2,3),
(165585,10052897,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(165586,10052897,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(165587,10052897,'Inflicts 93 heat damage on target',100,2,2),
(165588,10052897,'Cannot be modified except by direct means',100,2,3),
(165589,121641,'Summon 1 Holy Symbol',100,1,0),
(165590,121641,'This effect cannot be cast during combat',100,1,1),
(165591,10121641,'Summon 1 Holy Symbol',100,1,0),
(165592,10121641,'This effect cannot be cast during combat',100,1,1),
(165593,36789,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(165594,104002,'Inflicts 229 - 426 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(165595,104002,'Interrupts targets in Area of Effect',100,1,1),
(165596,10104002,'Inflicts 275 - 511 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(165597,10104002,'Interrupts targets in Area of Effect',100,1,1),
(165598,45054,'Applies Immortalize Venril Sathir when Activated.',100,0,0),
(165599,45054,'Summon 1 Trophy: Venril Sathir''s Head',100,1,1),
(165600,45054,'This effect cannot be cast during combat',100,1,2),
(165601,10045054,'Applies Immortalize Venril Sathir when Activated.',100,0,0),
(165602,10045054,'Summon 1 Trophy: Venril Sathir''s Head',100,1,1),
(165603,10045054,'This effect cannot be cast during combat',100,1,2),
(165604,107832,'Causes 10% Threat to transfer to target when in combat',100,1,0),
(165605,107832,'Increases Hate Gain of target by 10.2%',100,1,1),
(165606,189326,'When Equipped:',100,0,0),
(165607,189326,'Increases Attack Speed of caster by 15.0',100,1,1),
(165608,10189326,'When Equipped:',100,0,0),
(165609,10189326,'Increases Attack Speed of caster by 15.0',100,1,1),
(165610,159222,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(165611,159222,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(165612,159222,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(165613,159222,'Cannot be modified except by direct means',100,2,3),
(165614,10159222,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(165615,10159222,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(165616,10159222,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(165617,10159222,'Cannot be modified except by direct means',100,2,3),
(165618,74718,'When Equipped:',100,0,0),
(165619,74718,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165620,74718,'Inflicts 59 - 89 magic damage on target',100,2,2),
(165621,74718,'Cannot be modified except by direct means',100,2,3),
(165622,10074718,'When Equipped:',100,0,0),
(165623,10074718,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165624,10074718,'Inflicts 71 - 107 magic damage on target',100,2,2),
(165625,10074718,'Cannot be modified except by direct means',100,2,3),
(165626,101284,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(165627,101284,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,1),
(165628,10101284,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(165629,10101284,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,1),
(165630,170653,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(165631,170653,'Decreases AGI, STR, INT and WIS of target by 35.0',100,1,1),
(165632,170653,'Decreases Max Health of target by 1.0%',100,1,2),
(165633,170653,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(165634,10170653,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(165635,10170653,'Decreases AGI, STR, INT and WIS of target by 35.0',100,1,1),
(165636,10170653,'Decreases Max Health of target by 1.0%',100,1,2),
(165637,10170653,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(165638,81357,'When Equipped:',100,0,0),
(165639,81357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165640,81357,'Inflicts 70 - 129 magic damage on target',100,2,2),
(165641,81357,'Cannot be modified except by direct means',100,2,3),
(165642,10081357,'When Equipped:',100,0,0),
(165643,10081357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165644,10081357,'Inflicts 84 - 155 magic damage on target',100,2,2),
(165645,10081357,'Cannot be modified except by direct means',100,2,3),
(165646,158333,'Applies Hooluk in a Hat when Activated.',100,0,0),
(165647,158333,'Summons a pet Hooluk',100,1,1),
(165648,158333,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(165649,10158333,'Applies Hooluk in a Hat when Activated.',100,0,0),
(165650,10158333,'Summons a pet Hooluk',100,1,1),
(165651,10158333,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(165652,100415,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(165653,100415,'Increases Threat to target by 124 ',100,2,1),
(165654,100415,'Inflicts 33 - 55 slashing damage on target',100,2,2),
(165655,100415,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(165656,100415,'Increases Threat to target by 124 ',100,2,4),
(165657,100415,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 472',100,1,5),
(165658,10100415,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(165659,10100415,'Inflicts 40 - 66 slashing damage on target',100,2,1),
(165660,10100415,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(165661,10100415,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 472',100,1,3),
(165662,70948,'When Equipped:',100,0,0),
(165663,70948,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(165664,70948,'Increases AGI, INT, STR and WIS of caster by 50.0',100,1,2),
(165665,70948,'Increases Potency of caster by 3.5%',100,1,3),
(165666,70948,'Cannot be modified except by direct means',100,1,4),
(165667,10070948,'When Equipped:',100,0,0),
(165668,10070948,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(165669,10070948,'Increases AGI, INT, STR and WIS of caster by 50.0',100,1,2),
(165670,10070948,'Increases Potency of caster by 3.5%',100,1,3),
(165671,10070948,'Cannot be modified except by direct means',100,1,4),
(165672,191988,'When Equipped:',100,0,0),
(165673,191988,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(165674,10191988,'When Equipped:',100,0,0),
(165675,10191988,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(165676,102117,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(165677,102117,'Throws target back',100,2,1),
(165678,102117,'Stuns target',100,2,2),
(165679,102117,'Blurs vision of target',100,2,3),
(165680,102117,'Does not affect Epic targets',100,2,4),
(165681,102117,'Inflicts 238 - 397 crushing damage on target',100,1,5),
(165682,10102117,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(165683,10102117,'Throws target back',100,2,1),
(165684,10102117,'Stuns target',100,2,2),
(165685,10102117,'Blurs vision of target',100,2,3),
(165686,10102117,'Does not affect Epic targets',100,2,4),
(165687,10102117,'Inflicts 286 - 477 crushing damage on target',100,1,5),
(165688,81085,'When Equipped:',100,0,0),
(165689,81085,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165690,81085,'Inflicts 130 - 241 magic damage on target',100,2,2),
(165691,81085,'Cannot be modified except by direct means',100,2,3),
(165692,10081085,'When Equipped:',100,0,0),
(165693,10081085,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165694,10081085,'Inflicts 156 - 290 magic damage on target',100,2,2),
(165695,10081085,'Cannot be modified except by direct means',100,2,3),
(165696,176650,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(165697,176650,'Decreases AGI, STR, INT and WIS of target by 31.0',100,1,1),
(165698,176650,'Decreases Max Health of target by 1.0%',100,1,2),
(165699,176650,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(165700,10176650,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(165701,10176650,'Decreases AGI, STR, INT and WIS of target by 31.0',100,1,1),
(165702,10176650,'Decreases Max Health of target by 1.0%',100,1,2),
(165703,10176650,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(165704,102165,'Inflicts 277 - 462 melee damage on target',100,1,0),
(165705,102165,'Inflicts 277 - 462 melee damage on target',100,1,1),
(165706,10102165,'Inflicts 333 - 555 melee damage on target',100,1,0),
(165707,10102165,'Inflicts 333 - 555 melee damage on target',100,1,1),
(165708,108010,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(165709,108010,'Increases Mitigation of group members (AE) vs elemental damage by 1134',100,1,1),
(165710,10108010,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(165711,10108010,'Increases Mitigation of group members (AE) vs elemental damage by 1134',100,1,1),
(165712,107345,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(165713,107345,'Increases Threat to target by 211 ',100,2,1),
(165714,10107345,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(165715,10107345,'Inflicts 38 - 41 crushing damage on target',100,2,1),
(165716,24119,'Adds Clockwork Bixie (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(165717,10024119,'Adds Clockwork Bixie (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(165718,47482,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(165719,47482,'Summons a mount to ride',100,1,1),
(165720,47482,'Increases your ground speed by 130%',100,2,2),
(165721,10047482,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(165722,10047482,'Summons a mount to ride',100,1,1),
(165723,10047482,'Increases your ground speed by 130%',100,2,2),
(165724,80210,'When Equipped:',100,0,0),
(165725,80210,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165726,80210,'Inflicts 149 - 278 magic damage on target',100,2,2),
(165727,80210,'Cannot be modified except by direct means',100,2,3),
(165728,10080210,'When Equipped:',100,0,0),
(165729,10080210,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165730,10080210,'Inflicts 179 - 333 magic damage on target',100,2,2),
(165731,10080210,'Cannot be modified except by direct means',100,2,3),
(165732,134790,'When Equipped:',100,0,0),
(165733,134790,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(165734,134790,'Heals group members for 206',100,2,2),
(165735,134790,'Cannot be modified except by direct means',100,2,3),
(165736,134790,'Cannot be modified except by direct means',100,1,4),
(165737,10134790,'When Equipped:',100,0,0),
(165738,10134790,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(165739,10134790,'Heals group members for 134',100,2,2),
(165740,10134790,'Cannot be modified except by direct means',100,2,3),
(165741,10134790,'Cannot be modified except by direct means',100,1,4),
(165742,100046,'Decreases STR, AGI and WIS of target by 40.3',100,1,0),
(165743,10100046,'Decreases STR, AGI and WIS of target by 40.3',100,1,0),
(165744,119751,'Wards group members (AE) against 180 points of elemental, noxious and arcane damage',100,1,0),
(165745,119751,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,1),
(165746,10119751,'Wards group members (AE) against 180 points of elemental, noxious and arcane damage',100,1,0),
(165747,10119751,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,1),
(165748,102491,'Inflicts 292 - 486 crushing damage on target',100,1,0),
(165749,102491,'Prevents target from changing direction while active.',100,1,1),
(165750,102491,'If Target is not Epic',100,2,2),
(165751,102491,'Roots target',100,1,3),
(165752,102491,'If Target is not Epic',100,2,4),
(165753,102491,'Resistibility increases against targets higher than level 79.',100,1,5),
(165754,10102491,'Inflicts 350 - 584 crushing damage on target',100,1,0),
(165755,10102491,'Prevents target from changing direction while active.',100,1,1),
(165756,10102491,'If Target is not Epic',100,2,2),
(165757,10102491,'Roots target',100,1,3),
(165758,10102491,'If Target is not Epic',100,2,4),
(165759,10102491,'Resistibility increases against targets higher than level 79.',100,1,5),
(165760,191826,'When Equipped:',100,0,0),
(165761,191826,'On a critical healing spell cast this spell may cast War Face on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165762,191826,'Increases the damage of group members'' spell or combat arts by 7%.',100,2,2),
(165763,191826,'Cannot be modified except by direct means',100,2,3),
(165764,191826,'Cannot be modified except by direct means',100,1,4),
(165765,10191826,'When Equipped:',100,0,0),
(165766,10191826,'On a critical healing spell cast this spell may cast War Face on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165767,10191826,'Increases the damage of group members'' spell or combat arts by 7%.',100,2,2),
(165768,10191826,'Cannot be modified except by direct means',100,2,3),
(165769,10191826,'Cannot be modified except by direct means',100,1,4),
(165770,103566,'Increases In-Combat Power Regeneration of group members (AE) by 41.0',100,1,0),
(165771,10103566,'Increases In-Combat Power Regeneration of group members (AE) by 41.0',100,1,0),
(165772,121040,'Increases AGI of target by 47.0',100,1,0),
(165773,121040,'Adds 0.8% to base avoidance.',100,1,1),
(165774,121040,'Increases In-Combat Power Regeneration of target by 26.9',100,1,2),
(165775,121040,'Increases Max Power of target by 293.7',100,1,3),
(165776,10121040,'Increases AGI of target by 47.0',100,1,0),
(165777,10121040,'Adds 0.8% to base avoidance.',100,1,1),
(165778,10121040,'Increases In-Combat Power Regeneration of target by 26.9',100,1,2),
(165779,10121040,'Increases Max Power of target by 293.7',100,1,3),
(165780,74665,'When Equipped:',100,0,0),
(165781,74665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165782,74665,'Inflicts 42 - 64 magic damage on target',100,2,2),
(165783,74665,'Cannot be modified except by direct means',100,2,3),
(165784,10074665,'When Equipped:',100,0,0),
(165785,10074665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165786,10074665,'Inflicts 51 - 76 magic damage on target',100,2,2),
(165787,10074665,'Cannot be modified except by direct means',100,2,3),
(165788,108593,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(165789,108593,'Heals group members (AE) for 116 - 142 instantly and every 3 seconds',100,2,1),
(165790,108593,'Increases AGI, STR, INT and WIS of group members (AE) by 39.3',100,2,2),
(165791,108593,'Increases STA of group members (AE) by 78.5',100,2,3),
(165792,108593,'Adds 0.8% to base avoidance.',100,2,4),
(165793,108593,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 104',100,2,5),
(165794,10108593,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(165795,10108593,'Heals group members (AE) for 75 - 92 instantly and every 3 seconds',100,2,1),
(165796,10108593,'Increases AGI, STR, INT and WIS of group members (AE) by 39.3',100,2,2),
(165797,10108593,'Increases STA of group members (AE) by 78.5',100,2,3),
(165798,10108593,'Adds 0.8% to base avoidance.',100,2,4),
(165799,10108593,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 104',100,2,5),
(165800,36695,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(165801,71428,'When Equipped:',100,0,0),
(165802,71428,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165803,71428,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(165804,71428,'Cannot be modified except by direct means',100,2,3),
(165805,10071428,'When Equipped:',100,0,0),
(165806,10071428,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165807,10071428,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(165808,10071428,'Cannot be modified except by direct means',100,2,3),
(165809,179144,'When Equipped:',100,0,0),
(165810,179144,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(165811,179144,'Wards caster against 750 points of all damage',100,2,2),
(165812,179144,'Cannot be modified except by direct means',100,2,3),
(165813,179144,'Cannot be modified except by direct means',100,1,4),
(165814,179144,'When Equipped:',100,0,5),
(165815,179144,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(165816,179144,'Decreases power of target by 95',100,2,7),
(165817,179144,'Increases power of caster by 171',100,2,8),
(165818,179144,'Cannot be modified except by direct means',100,2,9),
(165819,10179144,'When Equipped:',100,0,0),
(165820,10179144,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(165821,10179144,'Wards caster against 750 points of all damage',100,2,2),
(165822,10179144,'Cannot be modified except by direct means',100,2,3),
(165823,10179144,'Cannot be modified except by direct means',100,1,4),
(165824,10179144,'When Equipped:',100,0,5),
(165825,10179144,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(165826,10179144,'Decreases power of target by 95',100,2,7),
(165827,10179144,'Increases power of caster by 171',100,2,8),
(165828,10179144,'Cannot be modified except by direct means',100,2,9),
(165829,110575,'Decreases Attack Speed of target by 19.3',100,1,0),
(165830,110575,'Decreases Crushing, Slashing and Piercing of target by 8.0',100,1,1),
(165831,10110575,'Decreases Attack Speed of target by 19.3',100,1,0),
(165832,10110575,'Decreases Crushing, Slashing and Piercing of target by 8.0',100,1,1),
(165833,26042,'When Equipped:',100,0,0),
(165834,26042,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(165835,26042,'Cancels up to 9.6% of target''s speed buffs',100,2,2),
(165836,26042,'Inflicts 136 disease damage on target',100,2,3),
(165837,26042,'Cannot be modified except by direct means',100,2,4),
(165838,10026042,'When Equipped:',100,0,0),
(165839,10026042,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(165840,10026042,'Cancels up to 9.6% of target''s speed buffs',100,2,2),
(165841,10026042,'Inflicts 163 disease damage on target',100,2,3),
(165842,10026042,'Cannot be modified except by direct means',100,2,4),
(165843,52857,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(165844,52857,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(165845,52857,'Inflicts 17 heat damage on target',100,2,2),
(165846,52857,'Cannot be modified except by direct means',100,2,3),
(165847,10052857,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(165848,10052857,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(165849,10052857,'Inflicts 21 heat damage on target',100,2,2),
(165850,10052857,'Cannot be modified except by direct means',100,2,3),
(165851,80854,'When Equipped:',100,0,0),
(165852,80854,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165853,80854,'Inflicts 190 - 352 magic damage on target',100,2,2),
(165854,80854,'Cannot be modified except by direct means',100,2,3),
(165855,10080854,'When Equipped:',100,0,0),
(165856,10080854,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(165857,10080854,'Inflicts 228 - 423 magic damage on target',100,2,2),
(165858,10080854,'Cannot be modified except by direct means',100,2,3),
(165859,114193,'Inflicts 188 - 314 melee damage on target',100,1,0),
(165860,114193,'Decreases Slashing, Crushing and Piercing of target by 8.2',100,1,1),
(165861,10114193,'Inflicts 226 - 377 melee damage on target',100,1,0),
(165862,10114193,'Decreases Slashing, Crushing and Piercing of target by 8.2',100,1,1),
(165863,35891,'Increases AGI of target by 1.5',100,0,0),
(165864,35891,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(165865,36422,'Increases AGI and STA of target by 1.1',100,0,0),
(165866,36422,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(165867,185049,'When Equipped:',100,0,0),
(165868,185049,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(165869,185049,'Inflicts 1199 cold damage on target encounter',100,2,2),
(165870,185049,'Cannot be modified except by direct means',100,2,3),
(165871,10185049,'When Equipped:',100,0,0),
(165872,10185049,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(165873,10185049,'Inflicts 719 cold damage on target encounter',100,2,2),
(165874,10185049,'Cannot be modified except by direct means',100,2,3),
(165875,83446,'When Equipped:',100,0,0),
(165876,83446,'Increases Attack Speed of caster by 20.0',100,1,1),
(165877,10083446,'When Equipped:',100,0,0),
(165878,10083446,'Increases Attack Speed of caster by 20.0',100,1,1),
(165879,112814,'Inflicts 912 - 1521 slashing damage on target',100,1,0),
(165880,112814,'Stifles target',100,1,1),
(165881,112814,'If Target is not Epic',100,2,2),
(165882,112814,'You must be in stealth.',100,1,3),
(165883,112814,'Resistibility increases against targets higher than level 103.',100,1,4),
(165884,10112814,'Inflicts 1095 - 1825 slashing damage on target',100,1,0),
(165885,10112814,'Stifles target',100,1,1),
(165886,10112814,'If Target is not Epic',100,2,2),
(165887,10112814,'You must be in stealth.',100,1,3),
(165888,10112814,'Resistibility increases against targets higher than level 103.',100,1,4),
(165889,113900,'Increases power of target by 413',100,1,0),
(165890,10113900,'Increases power of target by 413',100,1,0),
(165891,104866,'Increases damage of your next stealth attack by 19%',100,1,0),
(165892,104866,'Grants stealth to caster',100,1,1),
(165893,104866,'Suspends caster''s movement speed enhancements',100,1,2),
(165894,104866,'You must execute certain combat arts before you can use this ability.',100,1,3),
(165895,10104866,'Increases damage of your next stealth attack by 19%',100,1,0),
(165896,10104866,'Grants stealth to caster',100,1,1),
(165897,10104866,'Suspends caster''s movement speed enhancements',100,1,2),
(165898,10104866,'You must execute certain combat arts before you can use this ability.',100,1,3),
(165899,175172,'When Equipped:',100,0,0),
(165900,175172,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(165901,175172,'Heals group members (AE) for 1385 - 1531',100,2,2),
(165902,175172,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(165903,175172,'This ward regenerates slowly over time.',100,2,4),
(165904,175172,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(165905,175172,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(165906,175172,'Must not be engaged in pvp combat',100,2,7),
(165907,175172,'Cannot be modified except by direct means',100,2,8),
(165908,175172,'Must not be engaged in pvp combat',100,1,9),
(165909,10175172,'When Equipped:',100,0,0),
(165910,10175172,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(165911,10175172,'Heals group members (AE) for 1621 - 1791',100,2,2),
(165912,10175172,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(165913,10175172,'This ward regenerates slowly over time.',100,2,4),
(165914,10175172,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(165915,10175172,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(165916,10175172,'Must not be engaged in pvp combat',100,2,7),
(165917,10175172,'Cannot be modified except by direct means',100,2,8),
(165918,10175172,'Must not be engaged in pvp combat',100,1,9),
(165919,106938,'Inflicts 778 - 1444 poison damage on target',100,1,0),
(165920,10106938,'Inflicts 933 - 1733 poison damage on target',100,1,0),
(165921,80500,'When Equipped:',100,0,0),
(165922,80500,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(165923,80500,'Inflicts 315 - 585 magic damage on target',100,2,2),
(165924,80500,'Decreases Threat to target by 1,219 ',100,2,3),
(165925,80500,'Must be flanking or behind',100,3,4),
(165926,80500,'Increases Threat to target by 1,224 ',100,2,5),
(165927,80500,'Must be in front of',100,3,6),
(165928,80500,'Cannot be modified except by direct means',100,2,7),
(165929,10080500,'When Equipped:',100,0,0),
(165930,10080500,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(165931,10080500,'Inflicts 378 - 702 magic damage on target',100,2,2),
(165932,10080500,'Cannot be modified except by direct means',100,2,3),
(165933,113538,'Inflicts 138 - 229 disease damage on target',100,1,0),
(165934,10113538,'Inflicts 165 - 275 disease damage on target',100,1,0),
(165935,109533,'Summons a limited pet to aid the caster',100,1,0),
(165936,10109533,'Summons a limited pet to aid the caster',100,1,0),
(165937,154630,'When Equipped:',100,0,0),
(165938,154630,'On a combat hit this spell may cast Aggravate IV on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(165939,154630,'Increases Threat to target by 905 ',100,2,2),
(165940,154630,'Cannot be modified except by direct means',100,2,3),
(165941,10154630,'When Equipped:',100,0,0),
(165942,10154630,'On a combat hit this spell may cast Aggravate IV on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(165943,10154630,'Cannot be modified except by direct means',100,2,2),
(165944,178630,'When Equipped:',100,0,0),
(165945,178630,'When any damage is received this spell has a 5% chance to cast Detonation on target''s attacker.  ',100,1,1),
(165946,178630,'Inflicts 127 - 212 heat damage on targets in Area of Effect',100,2,2),
(165947,178630,'Cannot be modified except by direct means',100,2,3),
(165948,10178630,'When Equipped:',100,0,0),
(165949,10178630,'When any damage is received this spell has a 5% chance to cast Detonation on target''s attacker.  ',100,1,1),
(165950,10178630,'Inflicts 153 - 255 heat damage on targets in Area of Effect',100,2,2),
(165951,10178630,'Cannot be modified except by direct means',100,2,3),
(165952,24693,'Adds Skeleton (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(165953,10024693,'Adds Skeleton (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(165954,87728,'When Equipped:',100,0,0),
(165955,87728,'On a combat hit this spell may cast Alacrity on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165956,87728,'Increases Attack Speed of caster by 14.8',100,2,2),
(165957,87728,'Cannot be modified except by direct means',100,2,3),
(165958,10087728,'When Equipped:',100,0,0),
(165959,10087728,'On a combat hit this spell may cast Alacrity on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(165960,10087728,'Increases Attack Speed of caster by 14.8',100,2,2),
(165961,10087728,'Cannot be modified except by direct means',100,2,3),
(165962,45492,'Applies Charging Bull Rush when Activated.',100,0,0),
(165963,45492,'Heals caster for 15.0% of max health',100,1,1),
(165964,10045492,'Applies Charging Bull Rush when Activated.',100,0,0),
(165965,10045492,'Heals caster for 9.8% of max health',100,1,1),
(165966,75450,'When Equipped:',100,0,0),
(165967,75450,'On a critical spell hit this spell may cast Endless Wounds IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165968,75450,'Inflicts 6 - 7 cold damage on target instantly and every 2 seconds',100,2,2),
(165969,75450,'Inflicts an additional 1 - 1 cold damage on target every tick',100,2,3),
(165970,75450,'Must not be engaged in pvp combat',100,2,4),
(165971,75450,'Cannot be modified except by direct means',100,2,5),
(165972,75450,'On a critical combat hit this spell may cast Endless Wounds IV on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(165973,75450,'Inflicts 6 - 7 cold damage on target instantly and every 2 seconds',100,2,7),
(165974,75450,'Inflicts an additional 1 - 1 cold damage on target every tick',100,2,8),
(165975,75450,'Must not be engaged in pvp combat',100,2,9),
(165976,75450,'Cannot be modified except by direct means',100,2,10),
(165977,75450,'Must not be engaged in pvp combat',100,1,11),
(165978,10075450,'When Equipped:',100,0,0),
(165979,10075450,'On a critical spell hit this spell may cast Endless Wounds IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(165980,10075450,'Inflicts 7 - 8 cold damage on target instantly and every 2 seconds',100,2,2),
(165981,10075450,'Inflicts an additional 1 - 1 cold damage on target every tick',100,2,3),
(165982,10075450,'Must not be engaged in pvp combat',100,2,4),
(165983,10075450,'Cannot be modified except by direct means',100,2,5),
(165984,10075450,'On a critical combat hit this spell may cast Endless Wounds IV on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(165985,10075450,'Inflicts 7 - 8 cold damage on target instantly and every 2 seconds',100,2,7),
(165986,10075450,'Inflicts an additional 1 - 1 cold damage on target every tick',100,2,8),
(165987,10075450,'Must not be engaged in pvp combat',100,2,9),
(165988,10075450,'Cannot be modified except by direct means',100,2,10),
(165989,10075450,'Must not be engaged in pvp combat',100,1,11),
(165990,105474,'Inflicts 155 - 288 poison damage on target encounter',100,1,0),
(165991,105474,'Stuns target encounter',100,1,1),
(165992,105474,'If Target is not Epic',100,2,2),
(165993,105474,'Resistibility increases against targets higher than level 65.',100,1,3),
(165994,10105474,'Inflicts 186 - 345 poison damage on target encounter',100,1,0),
(165995,10105474,'Stuns target encounter',100,1,1),
(165996,10105474,'If Target is not Epic',100,2,2),
(165997,10105474,'Resistibility increases against targets higher than level 65.',100,1,3),
(165998,47789,'Applies Aura of the Tinkerer when Activated.',100,0,0),
(165999,47789,'Engulfs user with the aura of the tinkerer',100,1,1),
(166000,10047789,'Applies Aura of the Tinkerer when Activated.',100,0,0),
(166001,10047789,'Engulfs user with the aura of the tinkerer',100,1,1),
(166002,109528,'Inflicts 250 - 306 disease damage on target instantly and every 4 seconds',100,1,0),
(166003,109528,'Decreases Attack Speed of target by 14.2',100,1,1),
(166004,10109528,'Inflicts 301 - 367 disease damage on target instantly and every 4 seconds',100,1,0),
(166005,10109528,'Decreases Attack Speed of target by 14.2',100,1,1),
(166006,119787,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(166007,119787,'Inflicts 96 - 117 poison damage on target encounter',100,2,1),
(166008,10119787,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(166009,10119787,'Inflicts 115 - 141 poison damage on target encounter',100,2,1),
(166010,122159,'Inflicts 15 - 18 cold damage on target instantly and every 2 seconds',100,1,0),
(166011,122159,'Inflicts 15 - 18 cold damage on target instantly and every 2 seconds',100,1,1),
(166012,122159,'If target is elemental',100,2,2),
(166013,10122159,'Inflicts 18 - 22 cold damage on target instantly and every 2 seconds',100,1,0),
(166014,133873,'When Equipped:',100,0,0),
(166015,133873,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(166016,133873,'Inflicts 2664 cold damage on target encounter',100,2,2),
(166017,133873,'Must not be engaged in pvp combat',100,2,3),
(166018,133873,'Cannot be modified except by direct means',100,2,4),
(166019,133873,'Must not be engaged in pvp combat',100,1,5),
(166020,10133873,'When Equipped:',100,0,0),
(166021,10133873,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(166022,10133873,'Inflicts 1598 cold damage on target encounter',100,2,2),
(166023,10133873,'Must not be engaged in pvp combat',100,2,3),
(166024,10133873,'Cannot be modified except by direct means',100,2,4),
(166025,10133873,'Must not be engaged in pvp combat',100,1,5),
(166026,109274,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(166027,109274,'Increases Mitigation of group members (AE) vs elemental damage by 87',100,1,1),
(166028,10109274,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(166029,10109274,'Increases Mitigation of group members (AE) vs elemental damage by 87',100,1,1),
(166030,116547,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(166031,116547,'Inflicts 214 divine damage on target',100,2,1),
(166032,116547,'Increases Mitigation of raid and group members (AE) vs all damage by 2240',100,1,2),
(166033,10116547,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(166034,10116547,'Inflicts 256 divine damage on target',100,2,1),
(166035,10116547,'Increases Mitigation of raid and group members (AE) vs all damage by 2240',100,1,2),
(166036,52813,'Applies Sanguine Imbued when Equipped.',100,0,0),
(166037,52813,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(166038,52813,'Inflicts 53 heat damage on target',100,2,2),
(166039,52813,'Cannot be modified except by direct means',100,2,3),
(166040,10052813,'Applies Sanguine Imbued when Equipped.',100,0,0),
(166041,10052813,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(166042,10052813,'Inflicts 64 heat damage on target',100,2,2),
(166043,10052813,'Cannot be modified except by direct means',100,2,3),
(166044,112028,'Roots target',100,1,0),
(166045,112028,'Stifles target',100,1,1),
(166046,112028,'If Target is not Epic',100,2,2),
(166047,112028,'20% chance to dispel when target takes damage',100,1,3),
(166048,112028,'Does not affect Epic targets',100,1,4),
(166049,112028,'Resistibility increases against targets higher than level 68.',100,1,5),
(166050,10112028,'Roots target',100,1,0),
(166051,10112028,'Stifles target',100,1,1),
(166052,10112028,'If Target is not Epic',100,2,2),
(166053,10112028,'20% chance to dispel when target takes damage',100,1,3),
(166054,10112028,'Does not affect Epic targets',100,1,4),
(166055,10112028,'Resistibility increases against targets higher than level 68.',100,1,5),
(166056,113976,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(166057,113976,'Inflicts 16 - 26 melee damage on target',100,2,1),
(166058,113976,'Increases Threat to target by 86 ',100,2,2),
(166059,10113976,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(166060,10113976,'Inflicts 19 - 32 melee damage on target',100,2,1),
(166061,106304,'Decreases INT and STR of target by 11.4',100,1,0),
(166062,10106304,'Decreases INT and STR of target by 11.4',100,1,0),
(166063,83280,'When Equipped:',100,0,0),
(166064,83280,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166065,83280,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(166066,83280,'Only affects targets level 60 and below',100,2,3),
(166067,83280,'Cannot be modified except by direct means',100,2,4),
(166068,83280,'On a combat hit this spell may cast Ice Blast on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(166069,83280,'Inflicts 135 - 225 cold damage on target',100,2,6),
(166070,83280,'Cannot be modified except by direct means',100,2,7),
(166071,10083280,'When Equipped:',100,0,0),
(166072,10083280,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166073,10083280,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(166074,10083280,'Only affects targets level 60 and below',100,2,3),
(166075,10083280,'Cannot be modified except by direct means',100,2,4),
(166076,10083280,'On a combat hit this spell may cast Ice Blast on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(166077,10083280,'Inflicts 162 - 270 cold damage on target',100,2,6),
(166078,10083280,'Cannot be modified except by direct means',100,2,7),
(166079,113710,'Stuns target',100,1,0),
(166080,113710,'If Target is not Epic',100,2,1),
(166081,113710,'Inflicts 1303 - 2171 heat damage on target',100,1,2),
(166082,113710,'Resistibility increases against targets higher than level 121.',100,1,3),
(166083,10113710,'Stuns target',100,1,0),
(166084,10113710,'If Target is not Epic',100,2,1),
(166085,10113710,'Inflicts 1563 - 2606 heat damage on target',100,1,2),
(166086,10113710,'Resistibility increases against targets higher than level 121.',100,1,3),
(166087,159641,'When Equipped:',100,0,0),
(166088,159641,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166089,159641,'Increases WIS of caster by 14.8',100,2,2),
(166090,159641,'Increases Ordination, Focus and Ministration of caster by 8.3',100,2,3),
(166091,159641,'Cannot be modified except by direct means',100,2,4),
(166092,10159641,'When Equipped:',100,0,0),
(166093,10159641,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166094,10159641,'Increases WIS of caster by 14.8',100,2,2),
(166095,10159641,'Increases Ordination, Focus and Ministration of caster by 8.3',100,2,3),
(166096,10159641,'Cannot be modified except by direct means',100,2,4),
(166097,46942,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(166098,46942,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(166099,46942,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(166100,46942,'Cannot be modified except by direct means',100,2,3),
(166101,46942,'Grants a total of 80 triggers of the spell.',100,2,4),
(166102,10046942,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(166103,10046942,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(166104,10046942,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(166105,10046942,'Cannot be modified except by direct means',100,2,3),
(166106,10046942,'Grants a total of 80 triggers of the spell.',100,2,4),
(166107,107702,'Inflicts 147 - 245 heat damage on target',100,1,0),
(166108,107702,'You must be sneaking to use this ability.',100,1,1),
(166109,10107702,'Inflicts 177 - 295 heat damage on target',100,1,0),
(166110,10107702,'You must be sneaking to use this ability.',100,1,1),
(166111,160607,'When Equipped:',100,0,0),
(166112,160607,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(166113,160607,'Increases Ability Modifier of group members by 100.0',100,2,2),
(166114,160607,'Cannot be modified except by direct means',100,2,3),
(166115,160607,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(166116,160607,'Increases Ability Modifier of group members by 100.0',100,2,5),
(166117,160607,'Cannot be modified except by direct means',100,2,6),
(166118,160607,'Cannot be modified except by direct means',100,1,7),
(166119,10160607,'When Equipped:',100,0,0),
(166120,10160607,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(166121,10160607,'Increases Ability Modifier of group members by 100.0',100,2,2),
(166122,10160607,'Cannot be modified except by direct means',100,2,3),
(166123,10160607,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(166124,10160607,'Increases Ability Modifier of group members by 100.0',100,2,5),
(166125,10160607,'Cannot be modified except by direct means',100,2,6),
(166126,10160607,'Cannot be modified except by direct means',100,1,7),
(166127,49154,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(166128,49154,'Increases Max Power of caster by 141.6',100,1,1),
(166129,10049154,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(166130,10049154,'Increases Max Power of caster by 141.6',100,1,1),
(166131,100324,'Inflicts 38 - 46 divine damage on target',100,1,0),
(166132,100324,'Dazes target',100,1,1),
(166133,100324,'If Target is not Epic',100,2,2),
(166134,100324,'Dispelled when target receives hostile action',100,1,3),
(166135,100324,'Dispelled when target takes damage',100,1,4),
(166136,100324,'Resistibility increases against targets higher than level 39.',100,1,5),
(166137,10100324,'Inflicts 45 - 55 divine damage on target',100,1,0),
(166138,10100324,'Dazes target',100,1,1),
(166139,10100324,'If Target is not Epic',100,2,2),
(166140,10100324,'Dispelled when target receives hostile action',100,1,3),
(166141,10100324,'Dispelled when target takes damage',100,1,4),
(166142,10100324,'Resistibility increases against targets higher than level 39.',100,1,5),
(166143,113022,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(166144,113022,'Inflicts 98 - 296 melee damage on target',100,2,1),
(166145,113022,'Stuns target',40,2,2),
(166146,113022,'If Target is not Epic',100,3,3),
(166147,113022,'Resistibility increases against targets higher than level 107.',100,2,4),
(166148,10113022,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(166149,10113022,'Inflicts 118 - 356 melee damage on target',100,2,1),
(166150,81406,'When Equipped:',100,0,0),
(166151,81406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166152,81406,'Inflicts 70 - 129 magic damage on target',100,2,2),
(166153,81406,'Cannot be modified except by direct means',100,2,3),
(166154,10081406,'When Equipped:',100,0,0),
(166155,10081406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166156,10081406,'Inflicts 84 - 155 magic damage on target',100,2,2),
(166157,10081406,'Cannot be modified except by direct means',100,2,3),
(166158,109994,'Heals target for 57 - 69 instantly and every 2 seconds',100,1,0),
(166159,10109994,'Heals target for 37 - 45 instantly and every 2 seconds',100,1,0),
(166160,104883,'Inflicts 104 - 174 magic damage on targets in area',100,1,0),
(166161,10104883,'Inflicts 125 - 209 magic damage on targets in area',100,1,0),
(166162,103620,'Increases STR of raid and group members (AE) by 12.0',100,1,0),
(166163,103620,'Improves the base amount of taunts by 9.5%.',100,1,1),
(166164,103620,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(166165,103620,'Increases AGI of raid and group members (AE) by 12.0',100,1,3),
(166166,103620,'Adds 0.9% to base avoidance.',100,1,4),
(166167,10103620,'Increases STR of raid and group members (AE) by 12.0',100,1,0),
(166168,10103620,'Improves the base amount of taunts by 9.5%.',100,1,1),
(166169,10103620,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(166170,10103620,'Increases AGI of raid and group members (AE) by 12.0',100,1,3),
(166171,10103620,'Adds 0.9% to base avoidance.',100,1,4),
(166172,46578,'Applies essence of power when Activated.',100,0,0),
(166173,46578,'Increases power of caster by 50',100,1,1),
(166174,10046578,'Applies essence of power when Activated.',100,0,0),
(166175,10046578,'Increases power of caster by 39',100,1,1),
(166176,141720,'When Equipped:',100,0,0),
(166177,141720,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166178,141720,'Increases INT of caster by 11.9',100,2,2),
(166179,141720,'Increases Subjugation, Focus and Disruption of caster by 6.7',100,2,3),
(166180,141720,'Cannot be modified except by direct means',100,2,4),
(166181,10141720,'When Equipped:',100,0,0),
(166182,10141720,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166183,10141720,'Increases INT of caster by 11.9',100,2,2),
(166184,10141720,'Increases Subjugation, Focus and Disruption of caster by 6.7',100,2,3),
(166185,10141720,'Cannot be modified except by direct means',100,2,4),
(166186,71937,'When Equipped:',100,0,0),
(166187,71937,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166188,71937,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(166189,71937,'Cannot be modified except by direct means',100,2,3),
(166190,10071937,'When Equipped:',100,0,0),
(166191,10071937,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166192,10071937,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(166193,10071937,'Cannot be modified except by direct means',100,2,3),
(166194,115917,'Inflicts 115 - 141 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(166195,10115917,'Inflicts 180 - 220 disease damage on target encounter',100,1,0),
(166196,10115917,'Inflicts 138 - 169 disease damage on target encounter every 3 seconds',100,1,1),
(166197,113402,'Reduces physical damage done to caster by 5%',100,1,0),
(166198,113402,'Increases STA of caster by 25.1',100,1,1),
(166199,113402,'Adds 2.9% to base avoidance.',100,1,2),
(166200,113402,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(166201,113402,'Increases Defense and Aggression of caster by 4.6',100,1,4),
(166202,113402,'Increases Mitigation of caster vs noxious damage by 328',100,1,5),
(166203,113402,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(166204,10113402,'Reduces physical damage done to caster by 5%',100,1,0),
(166205,10113402,'Increases STA of caster by 25.1',100,1,1),
(166206,10113402,'Adds 2.9% to base avoidance.',100,1,2),
(166207,10113402,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(166208,10113402,'Increases Defense and Aggression of caster by 4.6',100,1,4),
(166209,10113402,'Increases Mitigation of caster vs noxious damage by 328',100,1,5),
(166210,10113402,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(166211,53817,'When Equipped:',100,0,0),
(166212,53817,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166213,53817,'This effect can be stacked by multiple casters.',100,2,2),
(166214,53817,'Increases target''s chance to block by 7.0%',100,2,3),
(166215,53817,'Cannot be modified except by direct means',100,2,4),
(166216,10053817,'When Equipped:',100,0,0),
(166217,10053817,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166218,10053817,'This effect can be stacked by multiple casters.',100,2,2),
(166219,10053817,'Increases target''s chance to block by 7.0%',100,2,3),
(166220,10053817,'Cannot be modified except by direct means',100,2,4),
(166221,155790,'When Equipped:',100,0,0),
(166222,155790,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(166223,155790,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,2),
(166224,155790,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(166225,155790,'Must not be engaged in pvp combat',100,2,4),
(166226,155790,'Cannot be modified except by direct means',100,2,5),
(166227,155790,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(166228,155790,'Cannot be modified except by direct means',100,1,7),
(166229,10155790,'When Equipped:',100,0,0),
(166230,10155790,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(166231,10155790,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,2),
(166232,10155790,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(166233,10155790,'Must not be engaged in pvp combat',100,2,4),
(166234,10155790,'Cannot be modified except by direct means',100,2,5),
(166235,10155790,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(166236,10155790,'Cannot be modified except by direct means',100,1,7),
(166237,36862,'Increases INT of target by 1.5',100,0,0),
(166238,36862,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(166239,117295,'Inflicts 301 - 502 melee damage on target',100,1,0),
(166240,117295,'Decreases Damage Per Second of target by 12.7',100,1,1),
(166241,117295,'Decreases Attack Speed of target by 8.0',100,1,2),
(166242,10117295,'Inflicts 361 - 602 melee damage on target',100,1,0),
(166243,10117295,'Decreases Damage Per Second of target by 12.7',100,1,1),
(166244,10117295,'Decreases Attack Speed of target by 8.0',100,1,2),
(166245,36596,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(166246,81554,'When Equipped:',100,0,0),
(166247,81554,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(166248,81554,'Inflicts 107 - 199 magic damage on target',100,2,2),
(166249,81554,'Decreases Threat to target by 376 ',100,2,3),
(166250,81554,'Must be flanking or behind',100,3,4),
(166251,81554,'Increases Threat to target by 381 ',100,2,5),
(166252,81554,'Must be in front of',100,3,6),
(166253,81554,'Cannot be modified except by direct means',100,2,7),
(166254,10081554,'When Equipped:',100,0,0),
(166255,10081554,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(166256,10081554,'Inflicts 128 - 238 magic damage on target',100,2,2),
(166257,10081554,'Cannot be modified except by direct means',100,2,3),
(166258,48858,'Applies Pyzin''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(166259,48858,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(166260,10048858,'Applies Pyzin''s Replenishment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(166261,10048858,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(166262,137978,'Applies Heroic Resistance X when Equipped.',100,0,0),
(166263,137978,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(166264,137978,'Cannot be modified except by direct means',100,1,2),
(166265,137978,'When Equipped:',100,0,3),
(166266,137978,'Reduces physical damage done to target by 5%',100,1,4),
(166267,10137978,'Applies Heroic Resistance X when Equipped.',100,0,0),
(166268,10137978,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(166269,10137978,'Cannot be modified except by direct means',100,1,2),
(166270,10137978,'When Equipped:',100,0,3),
(166271,10137978,'Reduces physical damage done to target by 5%',100,1,4),
(166272,47832,'Applies Disassemble Rocks when Activated.',100,0,0),
(166273,47832,'Disassemble some rock matter.',100,1,1),
(166274,10047832,'Applies Disassemble Rocks when Activated.',100,0,0),
(166275,10047832,'Disassemble some rock matter.',100,1,1),
(166276,120616,'Inflicts 291 - 541 heat damage on target',100,1,0),
(166277,10120616,'Inflicts 349 - 649 heat damage on target',100,1,0),
(166278,87093,'Applies Fire Ball when Activated.',100,0,0),
(166279,87093,'Inflicts 125 - 208 heat damage on target',100,1,1),
(166280,87093,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166281,10087093,'Applies Fire Ball when Activated.',100,0,0),
(166282,10087093,'Inflicts 150 - 249 heat damage on target',100,1,1),
(166283,10087093,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166284,104674,'Decreases Mitigation of target vs all damage by 217',100,1,0),
(166285,10104674,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 217',100,1,0),
(166286,10104674,'Decreases Mitigation of target vs physical damage by 181',100,1,1),
(166287,80691,'When Equipped:',100,0,0),
(166288,80691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166289,80691,'Inflicts 48 - 89 magic damage on target',100,2,2),
(166290,80691,'Cannot be modified except by direct means',100,2,3),
(166291,10080691,'When Equipped:',100,0,0),
(166292,10080691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166293,10080691,'Inflicts 57 - 106 magic damage on target',100,2,2),
(166294,10080691,'Cannot be modified except by direct means',100,2,3),
(166295,102363,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(166296,102363,'Increases Attack Speed of target by 18.2',100,2,1),
(166297,102363,'Increases Damage Per Second of target by 18.2',100,2,2),
(166298,102363,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(166299,102363,'Increases Attack Speed of target by 18.2',100,2,4),
(166300,102363,'Increases Damage Per Second of target by 18.2',100,2,5),
(166301,102363,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(166302,102363,'Increases Attack Speed of target by 18.2',100,2,7),
(166303,102363,'Increases Damage Per Second of target by 18.2',100,2,8),
(166304,10102363,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(166305,10102363,'Increases Attack Speed of target by 18.2',100,2,1),
(166306,10102363,'Increases Damage Per Second of target by 18.2',100,2,2),
(166307,10102363,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(166308,10102363,'Increases Attack Speed of target by 18.2',100,2,4),
(166309,10102363,'Increases Damage Per Second of target by 18.2',100,2,5),
(166310,10102363,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(166311,10102363,'Increases Attack Speed of target by 18.2',100,2,7),
(166312,10102363,'Increases Damage Per Second of target by 18.2',100,2,8),
(166313,113785,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(166314,113785,'Heals target for 203 - 249',100,2,1),
(166315,10113785,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(166316,10113785,'Heals target for 132 - 162',100,2,1),
(166317,114180,'Inflicts 34 - 57 melee damage on target',100,1,0),
(166318,114180,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(166319,10114180,'Inflicts 41 - 69 melee damage on target',100,1,0),
(166320,10114180,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(166321,115871,'Inflicts 545 - 909 mental damage on target encounter',100,1,0),
(166322,115871,'Interrupts target encounter',100,1,1),
(166323,10115871,'Inflicts 655 - 1091 mental damage on target encounter',100,1,0),
(166324,10115871,'Interrupts target encounter',100,1,1),
(166325,111682,'Inflicts 69 - 85 cold damage on target',100,1,0),
(166326,111682,'Inflicts 69 - 85 cold damage on target',100,1,1),
(166327,111682,'If target is elemental',100,2,2),
(166328,10111682,'Inflicts 71 - 87 cold damage on target',100,1,0),
(166329,115536,'Increases Mitigation of raid and group members (AE) vs noxious damage by 571',100,1,0),
(166330,10115536,'Increases Mitigation of raid and group members (AE) vs noxious damage by 571',100,1,0),
(166331,117180,'Inflicts 80 poison damage on target instantly and every 4 seconds',100,1,0),
(166332,117180,'Decreases WIS of target by 68.3',100,1,1),
(166333,10117180,'Inflicts 96 poison damage on target instantly and every 4 seconds',100,1,0),
(166334,10117180,'Decreases WIS of target by 68.3',100,1,1),
(166335,115931,'Inflicts 227 - 378 melee damage on target',100,1,0),
(166336,115931,'Roots target',100,1,1),
(166337,115931,'If Target is not Epic',100,2,2),
(166338,115931,'5% chance to dispel when target takes damage',100,1,3),
(166339,115931,'Resistibility increases against targets higher than level 61.',100,1,4),
(166340,10115931,'Inflicts 272 - 454 melee damage on target',100,1,0),
(166341,10115931,'Roots target',100,1,1),
(166342,10115931,'If Target is not Epic',100,2,2),
(166343,10115931,'5% chance to dispel when target takes damage',100,1,3),
(166344,10115931,'Resistibility increases against targets higher than level 61.',100,1,4),
(166345,116116,'Inflicts 9 - 15 divine damage on target',100,1,0),
(166346,116116,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(166347,116116,'Stuns target',100,2,2),
(166348,116116,'Throws target back',100,2,3),
(166349,116116,'Blurs vision of target',100,2,4),
(166350,116116,'Does not affect Epic targets',100,2,5),
(166351,10116116,'Inflicts 10 - 18 divine damage on target',100,1,0),
(166352,10116116,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(166353,10116116,'Stuns target',100,2,2),
(166354,10116116,'Throws target back',100,2,3),
(166355,10116116,'Blurs vision of target',100,2,4),
(166356,10116116,'Does not affect Epic targets',100,2,5),
(166357,107568,'Inflicts 45 - 54 mental damage on target',100,1,0),
(166358,107568,'Roots target',100,1,1),
(166359,107568,'5% chance to dispel when target takes damage',100,1,2),
(166360,107568,'5% chance to dispel when target receives hostile action',100,1,3),
(166361,107568,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(166362,107568,'Resistibility increases against targets higher than level 40.',100,1,5),
(166363,10107568,'Inflicts 53 - 65 mental damage on target',100,1,0),
(166364,10107568,'Roots target',100,1,1),
(166365,10107568,'5% chance to dispel when target takes damage',100,1,2),
(166366,10107568,'5% chance to dispel when target receives hostile action',100,1,3),
(166367,10107568,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(166368,10107568,'Resistibility increases against targets higher than level 40.',100,1,5),
(166369,106661,'Heals caster for 42.1 - 51.5% of max health',100,1,0),
(166370,106661,'This effect cannot be critically applied.',100,2,1),
(166371,106661,'Increases Max Health of caster by 165.8',100,1,2),
(166372,106661,'The healing of this spell cannot be modified except by direct means',100,1,3),
(166373,10106661,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(166374,10106661,'This effect cannot be critically applied.',100,2,1),
(166375,10106661,'Increases Max Health of caster by 165.8',100,1,2),
(166376,10106661,'The healing of this spell cannot be modified except by direct means',100,1,3),
(166377,72126,'When Equipped:',100,0,0),
(166378,72126,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166379,72126,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(166380,72126,'Cannot be modified except by direct means',100,2,3),
(166381,10072126,'When Equipped:',100,0,0),
(166382,10072126,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166383,10072126,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(166384,10072126,'Cannot be modified except by direct means',100,2,3),
(166385,180982,'When Equipped:',100,0,0),
(166386,180982,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(166387,180982,'Heals group members (AE) for 2624',100,2,2),
(166388,180982,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(166389,180982,'Must not be engaged in pvp combat',100,2,4),
(166390,180982,'Cannot be modified except by direct means',100,2,5),
(166391,180982,'Must not be engaged in pvp combat',100,1,6),
(166392,10180982,'When Equipped:',100,0,0),
(166393,10180982,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(166394,10180982,'Heals group members (AE) for 3071',100,2,2),
(166395,10180982,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(166396,10180982,'Must not be engaged in pvp combat',100,2,4),
(166397,10180982,'Cannot be modified except by direct means',100,2,5),
(166398,10180982,'Must not be engaged in pvp combat',100,1,6),
(166399,106217,'Inflicts 138 - 415 melee damage on target',100,1,0),
(166400,106217,'Stifles target',100,1,1),
(166401,106217,'If Target is not Epic',100,2,2),
(166402,106217,'Resistibility increases against targets higher than level 69.',100,1,3),
(166403,10106217,'Inflicts 166 - 498 melee damage on target',100,1,0),
(166404,10106217,'Stifles target',100,1,1),
(166405,10106217,'If Target is not Epic',100,2,2),
(166406,10106217,'Resistibility increases against targets higher than level 69.',100,1,3),
(166407,165006,'When Equipped:',100,0,0),
(166408,165006,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(166409,10165006,'When Equipped:',100,0,0),
(166410,10165006,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(166411,80620,'When Equipped:',100,0,0),
(166412,80620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166413,80620,'Inflicts 53 - 98 magic damage on target',100,2,2),
(166414,80620,'Cannot be modified except by direct means',100,2,3),
(166415,10080620,'When Equipped:',100,0,0),
(166416,10080620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166417,10080620,'Inflicts 64 - 118 magic damage on target',100,2,2),
(166418,10080620,'Cannot be modified except by direct means',100,2,3),
(166419,24224,'Adds Crushbone: Stash to your Dungeon Maker toolbox',100,0,0),
(166420,10024224,'Adds Crushbone: Stash to your Dungeon Maker toolbox',100,0,0),
(166421,116684,'Heals group members (AE) for 7.3 - 9.0% of max health',100,1,0),
(166422,116684,'This effect cannot be critically applied.',100,2,1),
(166423,116684,'Increases Max Health of group members (AE) by 381.7',100,1,2),
(166424,116684,'The healing of this spell cannot be modified except by direct means',100,1,3),
(166425,10116684,'Heals group members (AE) for 2.3 - 2.8% of max health',100,1,0),
(166426,10116684,'This effect cannot be critically applied.',100,2,1),
(166427,10116684,'Increases Max Health of group members (AE) by 381.7',100,1,2),
(166428,10116684,'The healing of this spell cannot be modified except by direct means',100,1,3),
(166429,105419,'Increases STR of caster by 102.0',100,1,0),
(166430,105419,'Decreases Defense of caster by 13.8',100,1,1),
(166431,105419,'Increases Slashing, Piercing, Crushing and Disruption of caster by 19.7',100,1,2),
(166432,10105419,'Increases STR of caster by 102.0',100,1,0),
(166433,10105419,'Decreases Defense of caster by 13.8',100,1,1),
(166434,10105419,'Increases Slashing, Piercing, Crushing and Disruption of caster by 19.7',100,1,2),
(166435,111112,'Heals target for 17.1 - 20.9% of max health',100,1,0),
(166436,111112,'This effect cannot be critically applied.',100,2,1),
(166437,111112,'Increases Mitigation of target vs physical damage by 325',100,1,2),
(166438,111112,'The healing of this spell cannot be modified except by direct means',100,1,3),
(166439,10111112,'Heals target for 6.4 - 7.8% of max health',100,1,0),
(166440,10111112,'This effect cannot be critically applied.',100,2,1),
(166441,10111112,'Increases Mitigation of target vs physical damage by 325',100,1,2),
(166442,10111112,'The healing of this spell cannot be modified except by direct means',100,1,3),
(166443,101724,'Mesmerizes target',100,1,0),
(166444,101724,'Prevents AOE (except when direct) ',100,1,1),
(166445,101724,'Mesmerizes caster',100,1,2),
(166446,101724,'Dispelled when target takes damage',100,1,3),
(166447,101724,'Does not affect Epic targets',100,1,4),
(166448,101724,'Resistibility increases against targets higher than level 82.',100,1,5),
(166449,10101724,'Mesmerizes target',100,1,0),
(166450,10101724,'Prevents AOE (except when direct) ',100,1,1),
(166451,10101724,'Mesmerizes caster',100,1,2),
(166452,10101724,'Dispelled when target takes damage',100,1,3),
(166453,10101724,'Does not affect Epic targets',100,1,4),
(166454,10101724,'Resistibility increases against targets higher than level 82.',100,1,5),
(166455,104635,'Inflicts 92 - 154 crushing damage on target',100,1,0),
(166456,104635,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 13.5',100,1,1),
(166457,10104635,'Inflicts 111 - 185 crushing damage on target',100,1,0),
(166458,10104635,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 13.5',100,1,1),
(166459,54557,'When Equipped:',100,0,0),
(166460,54557,'When any damage is received this spell has a 2.5% chance to cast Brass Flash on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(166461,54557,'Stuns target',100,2,2),
(166462,54557,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(166463,54557,'Resistibility increases against targets higher than level 74.',100,2,4),
(166464,54557,'Cannot be modified except by direct means',100,2,5),
(166465,10054557,'When Equipped:',100,0,0),
(166466,10054557,'When any damage is received this spell has a 2.5% chance to cast Brass Flash on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(166467,10054557,'Stuns target',100,2,2),
(166468,10054557,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(166469,10054557,'Resistibility increases against targets higher than level 74.',100,2,4),
(166470,10054557,'Cannot be modified except by direct means',100,2,5),
(166471,120461,'Inflicts 154 - 257 ranged damage on target',100,1,0),
(166472,120461,'Slows target by 41.6%',100,1,1),
(166473,120461,'10% chance to dispel when target receives hostile action',100,1,2),
(166474,120461,'Requires bow',100,1,3),
(166475,10120461,'Inflicts 120 - 200 ranged damage on target',100,1,0),
(166476,10120461,'Slows target by 41.6%',100,1,1),
(166477,10120461,'10% chance to dispel when target receives hostile action',100,1,2),
(166478,10120461,'Requires bow',100,1,3),
(166479,104746,'Applies Consecration.',100,1,0),
(166480,104746,'Inflicts 144 - 176 divine damage on targets in Area of Effect',100,2,1),
(166481,10104746,'Applies Consecration.',100,1,0),
(166482,10104746,'Inflicts 172 - 211 divine damage on targets in Area of Effect',100,2,1),
(166483,101749,'Increases Max Power of target by 102.0',100,1,0),
(166484,101749,'Increases Max Health of target by 135.2',100,1,1),
(166485,10101749,'Increases Max Power of target by 102.0',100,1,0),
(166486,10101749,'Increases Max Health of target by 135.2',100,1,1),
(166487,118861,'Inflicts 201 - 604 melee damage on target',100,1,0),
(166488,10118861,'Inflicts 241 - 725 melee damage on target',100,1,0),
(166489,48565,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(166490,48565,'Shrinks caster by 35.0%',100,1,1),
(166491,48565,'Enlarges caster by 50.0%',100,1,2),
(166492,10048565,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(166493,10048565,'Shrinks caster by 35.0%',100,1,1),
(166494,10048565,'Enlarges caster by 50.0%',100,1,2),
(166495,122334,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(166496,122334,'Inflicts 1 piercing damage on target',100,2,1),
(166497,10122334,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(166498,10122334,'Inflicts 1 - 2 piercing damage on target',100,2,1),
(166499,192035,'When Equipped:',100,0,0),
(166500,192035,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(166501,192035,'Heals group members (AE) for 190',100,2,2),
(166502,192035,'Cannot be modified except by direct means',100,2,3),
(166503,192035,'Cannot be modified except by direct means',100,1,4),
(166504,10192035,'When Equipped:',100,0,0),
(166505,10192035,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(166506,10192035,'Heals group members (AE) for 124',100,2,2),
(166507,10192035,'Cannot be modified except by direct means',100,2,3),
(166508,10192035,'Cannot be modified except by direct means',100,1,4),
(166509,81500,'When Equipped:',100,0,0),
(166510,81500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166511,81500,'Inflicts 70 - 129 magic damage on target',100,2,2),
(166512,81500,'Cannot be modified except by direct means',100,2,3),
(166513,10081500,'When Equipped:',100,0,0),
(166514,10081500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166515,10081500,'Inflicts 84 - 155 magic damage on target',100,2,2),
(166516,10081500,'Cannot be modified except by direct means',100,2,3),
(166517,104787,'Charms target',100,1,0),
(166518,104787,'If outside an arena',100,1,1),
(166519,104787,'Certain enemies cannot be charmed',100,1,2),
(166520,104787,'Does not affect Epic targets',100,1,3),
(166521,10104787,'Charms target',100,1,0),
(166522,10104787,'If outside an arena',100,1,1),
(166523,10104787,'Certain enemies cannot be charmed',100,1,2),
(166524,10104787,'Does not affect Epic targets',100,1,3),
(166525,135942,'When Equipped:',100,0,0),
(166526,135942,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(166527,10135942,'When Equipped:',100,0,0),
(166528,10135942,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(166529,108124,'Increases Attack Speed of caster by 22.5',100,1,0),
(166530,10108124,'Increases Attack Speed of caster by 22.5',100,1,0),
(166531,48772,'Applies Elixir of the Wise  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(166532,48772,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(166533,10048772,'Applies Elixir of the Wise  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(166534,10048772,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(166535,36753,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(166536,81480,'When Equipped:',100,0,0),
(166537,81480,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(166538,81480,'Inflicts 77 - 144 magic damage on target',100,2,2),
(166539,81480,'Decreases Threat to target by 352 ',100,2,3),
(166540,81480,'Must be flanking or behind',100,3,4),
(166541,81480,'Increases Threat to target by 357 ',100,2,5),
(166542,81480,'Must be in front of',100,3,6),
(166543,81480,'Cannot be modified except by direct means',100,2,7),
(166544,10081480,'When Equipped:',100,0,0),
(166545,10081480,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(166546,10081480,'Inflicts 93 - 173 magic damage on target',100,2,2),
(166547,10081480,'Cannot be modified except by direct means',100,2,3),
(166548,79020,'Applies Frost Blast when Activated.',100,0,0),
(166549,79020,'Inflicts 69 - 115 cold damage on target',100,1,1),
(166550,79020,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166551,10079020,'Applies Frost Blast when Activated.',100,0,0),
(166552,10079020,'Inflicts 83 - 138 cold damage on target',100,1,1),
(166553,10079020,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166554,176350,'When Equipped:',100,0,0),
(166555,176350,'Reduces reuse time of beneficial spells by 6 percent.',100,1,1),
(166556,10176350,'When Equipped:',100,0,0),
(166557,10176350,'Reduces reuse time of beneficial spells by 6 percent.',100,1,1),
(166558,26977,'When Equipped:',100,0,0),
(166559,26977,'Increases Crit Chance of caster by 1.0',100,1,1),
(166560,10026977,'When Equipped:',100,0,0),
(166561,10026977,'Increases Crit Chance of caster by 1.0',100,1,1),
(166562,82798,'When Equipped:',100,0,0),
(166563,82798,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(166564,82798,'Inflicts 233 - 434 magic damage on target',100,2,2),
(166565,82798,'Decreases Threat to target by 1,174 ',100,2,3),
(166566,82798,'Must be flanking or behind',100,3,4),
(166567,82798,'Increases Threat to target by 1,179 ',100,2,5),
(166568,82798,'Must be in front of',100,3,6),
(166569,82798,'Cannot be modified except by direct means',100,2,7),
(166570,10082798,'When Equipped:',100,0,0),
(166571,10082798,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(166572,10082798,'Inflicts 280 - 520 magic damage on target',100,2,2),
(166573,10082798,'Cannot be modified except by direct means',100,2,3),
(166574,119611,'Inflicts 620 - 1033 mental damage on targets in Area of Effect',100,1,0),
(166575,119611,'Stuns targets in Area of Effect',100,1,1),
(166576,119611,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(166577,119611,'Resistibility increases against targets higher than level 79.',100,1,3),
(166578,10119611,'Inflicts 743 - 1239 mental damage on targets in Area of Effect',100,1,0),
(166579,10119611,'Stuns targets in Area of Effect',100,1,1),
(166580,10119611,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(166581,10119611,'Resistibility increases against targets higher than level 79.',100,1,3),
(166582,118648,'Inflicts 45 - 76 slashing damage on target',100,1,0),
(166583,10118648,'Inflicts 55 - 91 slashing damage on target',100,1,0),
(166584,110463,'Dazes targets in Area of Effect',100,1,0),
(166585,110463,'If Target is not Epic',100,2,1),
(166586,110463,'Decreases Threat to targets in Area of Effect by 3,313 ',100,1,2),
(166587,110463,'Dispelled when target receives hostile action',100,1,3),
(166588,110463,'Dispelled when target takes damage',100,1,4),
(166589,10110463,'Dazes targets in Area of Effect',100,1,0),
(166590,10110463,'If Target is not Epic',100,2,1),
(166591,10110463,'Applies Distract.',100,1,2),
(166592,10110463,'Forces target to clear their selected target.',100,2,3),
(166593,10110463,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(166594,10110463,'Dispelled when target receives hostile action',100,1,5),
(166595,10110463,'Dispelled when target takes damage',100,1,6),
(166596,109536,'Summons a limited pet to aid the caster',100,1,0),
(166597,10109536,'Summons a limited pet to aid the caster',100,1,0),
(166598,105679,'Decreases Damage Per Second of target by 25.0',100,1,0),
(166599,105679,'Inflicts 275 - 458 melee damage on target',100,1,1),
(166600,105679,'Must be flanking or behind',100,1,2),
(166601,10105679,'Decreases Damage Per Second of target by 25.0',100,1,0),
(166602,10105679,'Inflicts 330 - 550 melee damage on target',100,1,1),
(166603,10105679,'Must be flanking or behind',100,1,2),
(166604,100907,'Stuns targets in Area of Effect',20,1,0),
(166605,100907,'If Target is not Epic',100,2,1),
(166606,100907,'Inflicts 173 - 288 divine damage on targets in Area of Effect',100,1,2),
(166607,100907,'Resistibility increases against targets higher than level 71.',100,1,3),
(166608,10100907,'Stuns targets in Area of Effect',20,1,0),
(166609,10100907,'If Target is not Epic',100,2,1),
(166610,10100907,'Inflicts 207 - 345 divine damage on targets in Area of Effect',100,1,2),
(166611,10100907,'Resistibility increases against targets higher than level 71.',100,1,3),
(166612,101424,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(166613,101424,'Increases Mitigation of group members (AE) vs noxious damage by 140',100,1,1),
(166614,10101424,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(166615,10101424,'Increases Mitigation of group members (AE) vs noxious damage by 140',100,1,1),
(166616,121232,'Reduces physical damage done to caster by 5%',100,1,0),
(166617,121232,'Increases STA of caster by 25.1',100,1,1),
(166618,121232,'Adds 2.9% to base avoidance.',100,1,2),
(166619,121232,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(166620,121232,'Increases Defense and Aggression of caster by 4.6',100,1,4),
(166621,121232,'Increases Mitigation of caster vs arcane damage by 328',100,1,5),
(166622,121232,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(166623,10121232,'Reduces physical damage done to caster by 5%',100,1,0),
(166624,10121232,'Increases STA of caster by 25.1',100,1,1),
(166625,10121232,'Adds 2.9% to base avoidance.',100,1,2),
(166626,10121232,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(166627,10121232,'Increases Defense and Aggression of caster by 4.6',100,1,4),
(166628,10121232,'Increases Mitigation of caster vs arcane damage by 328',100,1,5),
(166629,10121232,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(166630,36066,'Increases Max Power of target by 3.3',100,0,0),
(166631,36066,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(166632,42555,'When Equipped:',100,0,0),
(166633,42555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166634,42555,'Inflicts 69 - 103 magic damage on target',100,2,2),
(166635,42555,'Cannot be modified except by direct means',100,2,3),
(166636,10042555,'When Equipped:',100,0,0),
(166637,10042555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166638,10042555,'Inflicts 83 - 124 magic damage on target',100,2,2),
(166639,10042555,'Cannot be modified except by direct means',100,2,3),
(166640,112817,'Inflicts 946 - 1576 slashing damage on target',100,1,0),
(166641,112817,'Stifles target',100,1,1),
(166642,112817,'If Target is not Epic',100,2,2),
(166643,112817,'You must be in stealth.',100,1,3),
(166644,112817,'Resistibility increases against targets higher than level 113.',100,1,4),
(166645,10112817,'Inflicts 1135 - 1892 slashing damage on target',100,1,0),
(166646,10112817,'Stifles target',100,1,1),
(166647,10112817,'If Target is not Epic',100,2,2),
(166648,10112817,'You must be in stealth.',100,1,3),
(166649,10112817,'Resistibility increases against targets higher than level 113.',100,1,4),
(166650,104552,'Inflicts 37 - 62 disease damage on target',100,1,0),
(166651,104552,'Decreases WIS of target by 17.1',100,1,1),
(166652,10104552,'Inflicts 44 - 74 disease damage on target',100,1,0),
(166653,10104552,'Decreases WIS of target by 17.1',100,1,1),
(166654,112279,'Inflicts 4 - 5 disease damage on target',100,1,0),
(166655,112279,'Inflicts 2 disease damage on target every 3 seconds',100,1,1),
(166656,112279,'Increases Threat to target by 38 - 45  instantly and by 11 - 12  every 3 seconds thereafter',100,1,2),
(166657,10112279,'Inflicts 2 - 3 disease damage on target every 3 seconds',100,1,0),
(166658,10112279,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(166659,52820,'Applies Sanguine Imbued when Equipped.',100,0,0),
(166660,52820,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(166661,52820,'Inflicts 75 heat damage on target',100,2,2),
(166662,52820,'Cannot be modified except by direct means',100,2,3),
(166663,10052820,'Applies Sanguine Imbued when Equipped.',100,0,0),
(166664,10052820,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(166665,10052820,'Inflicts 90 heat damage on target',100,2,2),
(166666,10052820,'Cannot be modified except by direct means',100,2,3),
(166667,124483,'Heals group members (AE) for 423 - 517',100,1,0),
(166668,10124483,'Heals group members (AE) for 495 - 605',100,1,0),
(166669,123908,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(166670,123908,'Slows target by 51.8%',100,2,1),
(166671,123908,'5% chance to dispel when target receives hostile action',100,2,2),
(166672,123908,'5% chance to dispel when target takes damage',100,2,3),
(166673,123908,'Decreases Mitigation of target vs elemental and noxious damage by 792',100,1,4),
(166674,10123908,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(166675,10123908,'Slows target by 51.8%',100,2,1),
(166676,10123908,'5% chance to dispel when target receives hostile action',100,2,2),
(166677,10123908,'5% chance to dispel when target takes damage',100,2,3),
(166678,10123908,'Decreases Mitigation of target vs elemental and noxious damage by 792',100,1,4),
(166679,36331,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(166680,36331,'This effect suspends during combat',100,0,1),
(166681,47024,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(166682,47024,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(166683,47024,'Inflicts 69 poison damage on target instantly and every 6 seconds',100,2,2),
(166684,47024,'Inflicts 78 poison damage on target',100,2,3),
(166685,47024,'Cannot be modified except by direct means',100,2,4),
(166686,47024,'Grants a total of 200 triggers of the spell.',100,2,5),
(166687,10047024,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(166688,10047024,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(166689,10047024,'Inflicts 70 poison damage on target',100,2,2),
(166690,10047024,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,3),
(166691,10047024,'Cannot be modified except by direct means',100,2,4),
(166692,10047024,'Grants a total of 200 triggers of the spell.',100,2,5),
(166693,109493,'Inflicts 447 - 745 cold damage on target',100,1,0),
(166694,10109493,'Inflicts 536 - 894 cold damage on target',100,1,0),
(166695,111017,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(166696,111017,'Increases Threat to target by 62 ',100,2,1),
(166697,111017,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(166698,111017,'Increases Threat to target by 62 ',100,2,3),
(166699,10111017,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(166700,10111017,'Inflicts 8 - 9 crushing damage on target',100,2,1),
(166701,10111017,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(166702,10111017,'Inflicts 8 - 9 crushing damage on target',100,2,3),
(166703,45716,'Applies Rinturion''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(166704,45716,'Increases STA and STR of caster by 16.0',100,1,1),
(166705,10045716,'Applies Rinturion''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(166706,10045716,'Increases STA and STR of caster by 16.0',100,1,1),
(166707,188521,'When Equipped:',100,0,0),
(166708,188521,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(166709,188521,'Inflicts 1986 cold damage on target encounter',100,2,2),
(166710,188521,'Must not be engaged in pvp combat',100,2,3),
(166711,188521,'Cannot be modified except by direct means',100,2,4),
(166712,188521,'Must not be engaged in pvp combat',100,1,5),
(166713,10188521,'When Equipped:',100,0,0),
(166714,10188521,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(166715,10188521,'Inflicts 1192 cold damage on target encounter',100,2,2),
(166716,10188521,'Must not be engaged in pvp combat',100,2,3),
(166717,10188521,'Cannot be modified except by direct means',100,2,4),
(166718,10188521,'Must not be engaged in pvp combat',100,1,5),
(166719,36514,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(166720,36514,'This effect suspends during combat',100,0,1),
(166721,48339,'Applies noxious remedy when Activated.',100,0,0),
(166722,48339,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(166723,10048339,'Applies noxious remedy when Activated.',100,0,0),
(166724,10048339,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(166725,79834,'When Equipped:',100,0,0),
(166726,79834,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166727,79834,'Inflicts 135 - 225 crushing damage on target',100,2,2),
(166728,79834,'Throws target back',100,2,3),
(166729,79834,'Interrupts target',100,2,4),
(166730,79834,'Cannot be modified except by direct means',100,2,5),
(166731,10079834,'When Equipped:',100,0,0),
(166732,10079834,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 0.2 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166733,10079834,'Inflicts 162 - 270 crushing damage on target',100,2,2),
(166734,10079834,'Throws target back',100,2,3),
(166735,10079834,'Interrupts target',100,2,4),
(166736,10079834,'Cannot be modified except by direct means',100,2,5),
(166737,101210,'Inflicts 180 - 300 cold damage on target',100,1,0),
(166738,101210,'Dazes target',100,1,1),
(166739,101210,'If Target is not Epic',100,2,2),
(166740,101210,'Resistibility increases against targets higher than level 73.',100,1,3),
(166741,10101210,'Inflicts 216 - 360 cold damage on target',100,1,0),
(166742,10101210,'Dazes target',100,1,1),
(166743,10101210,'If Target is not Epic',100,2,2),
(166744,10101210,'Resistibility increases against targets higher than level 73.',100,1,3),
(166745,165674,'When Equipped:',100,0,0),
(166746,165674,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(166747,165674,'Wards caster against 200 points of all damage',100,2,2),
(166748,165674,'Cannot be modified except by direct means',100,2,3),
(166749,165674,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(166750,10165674,'When Equipped:',100,0,0),
(166751,10165674,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(166752,10165674,'Wards caster against 200 points of all damage',100,2,2),
(166753,10165674,'Cannot be modified except by direct means',100,2,3),
(166754,10165674,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(166755,115437,'Inflicts 37 - 46 mental damage on target instantly and every 6 seconds',100,1,0),
(166756,115437,'Decreases Mitigation of target vs arcane damage by 392',100,1,1),
(166757,10115437,'Inflicts 45 - 55 mental damage on target instantly and every 6 seconds',100,1,0),
(166758,10115437,'Decreases Mitigation of target vs arcane damage by 392',100,1,1),
(166759,109347,'Increases STR of caster by 191.0',100,1,0),
(166760,109347,'Decreases Defense of caster by 25.8',100,1,1),
(166761,109347,'Increases Slashing, Piercing and Crushing of caster by 54.6',100,1,2),
(166762,10109347,'Increases STR of caster by 191.0',100,1,0),
(166763,10109347,'Decreases Defense of caster by 25.8',100,1,1),
(166764,10109347,'Increases Slashing, Piercing and Crushing of caster by 54.6',100,1,2),
(166765,181811,'When Equipped:',100,0,0),
(166766,181811,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(166767,181811,'Heals group members (AE) for 1385 - 1531',100,2,2),
(166768,181811,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(166769,181811,'This ward regenerates slowly over time.',100,2,4),
(166770,181811,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(166771,181811,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(166772,181811,'Must not be engaged in pvp combat',100,2,7),
(166773,181811,'Cannot be modified except by direct means',100,2,8),
(166774,181811,'Must not be engaged in pvp combat',100,1,9),
(166775,10181811,'When Equipped:',100,0,0),
(166776,10181811,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(166777,10181811,'Heals group members (AE) for 1621 - 1791',100,2,2),
(166778,10181811,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(166779,10181811,'This ward regenerates slowly over time.',100,2,4),
(166780,10181811,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(166781,10181811,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(166782,10181811,'Must not be engaged in pvp combat',100,2,7),
(166783,10181811,'Cannot be modified except by direct means',100,2,8),
(166784,10181811,'Must not be engaged in pvp combat',100,1,9),
(166785,160563,'When Equipped:',100,0,0),
(166786,160563,'On a ranged hit this spell may cast Splintered Arrow on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166787,160563,'Inflicts 76 piercing damage on target instantly and every 2 seconds',100,2,2),
(166788,160563,'Cannot be modified except by direct means',100,2,3),
(166789,10160563,'When Equipped:',100,0,0),
(166790,10160563,'On a ranged hit this spell may cast Splintered Arrow on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(166791,10160563,'Inflicts 91 piercing damage on target instantly and every 2 seconds',100,2,2),
(166792,10160563,'Cannot be modified except by direct means',100,2,3),
(166793,114415,'Mesmerizes target',100,1,0),
(166794,114415,'Prevents AOE (except when direct) ',100,1,1),
(166795,114415,'Dispelled when target takes damage',100,1,2),
(166796,114415,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(166797,114415,'Resistibility increases against targets higher than level 67.',100,1,4),
(166798,10114415,'Mesmerizes target',100,1,0),
(166799,10114415,'Prevents AOE (except when direct) ',100,1,1),
(166800,10114415,'Dispelled when target takes damage',100,1,2),
(166801,10114415,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(166802,10114415,'Resistibility increases against targets higher than level 67.',100,1,4),
(166803,37191,'Increases STR of target by 1.5',100,0,0),
(166804,37191,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(166805,105429,'Increases STR of caster by 225.6',100,1,0),
(166806,105429,'Decreases Defense of caster by 18.0',100,1,1),
(166807,105429,'Increases Slashing, Piercing, Crushing and Disruption of caster by 43.2',100,1,2),
(166808,10105429,'Increases STR of caster by 225.6',100,1,0),
(166809,10105429,'Decreases Defense of caster by 18.0',100,1,1),
(166810,10105429,'Increases Slashing, Piercing, Crushing and Disruption of caster by 43.2',100,1,2),
(166811,82171,'When Equipped:',100,0,0),
(166812,82171,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166813,82171,'Inflicts 31 - 57 magic damage on target',100,2,2),
(166814,82171,'Cannot be modified except by direct means',100,2,3),
(166815,10082171,'When Equipped:',100,0,0),
(166816,10082171,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166817,10082171,'Inflicts 37 - 68 magic damage on target',100,2,2),
(166818,10082171,'Cannot be modified except by direct means',100,2,3),
(166819,124771,'Inflicts 677 - 827 disease damage on target encounter',100,1,0),
(166820,10124771,'Inflicts 812 - 993 disease damage on target encounter',100,1,0),
(166821,118297,'Summons a limited pet to aid the caster',100,1,0),
(166822,10118297,'Summons a limited pet to aid the caster',100,1,0),
(166823,164370,'When Equipped:',100,0,0),
(166824,164370,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(166825,164370,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(166826,164370,'Increases Attack Speed of caster by 6.0',100,2,3),
(166827,164370,'Increases Damage Per Second of caster by 9.0',100,2,4),
(166828,164370,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(166829,164370,'Must not be engaged in pvp combat',100,2,6),
(166830,164370,'Cannot be modified except by direct means',100,2,7),
(166831,164370,'Cannot be modified except by direct means',100,1,8),
(166832,10164370,'When Equipped:',100,0,0),
(166833,10164370,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(166834,10164370,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(166835,10164370,'Increases Attack Speed of caster by 6.0',100,2,3),
(166836,10164370,'Increases Damage Per Second of caster by 9.0',100,2,4),
(166837,10164370,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(166838,10164370,'Must not be engaged in pvp combat',100,2,6),
(166839,10164370,'Cannot be modified except by direct means',100,2,7),
(166840,10164370,'Cannot be modified except by direct means',100,1,8),
(166841,46997,'Applies Middling Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(166842,46997,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(166843,46997,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(166844,46997,'Cannot be modified except by direct means',100,2,3),
(166845,46997,'Grants a total of 80 triggers of the spell.',100,2,4),
(166846,46997,'Only affects targets level 50 and above',100,1,5),
(166847,10046997,'Applies Middling Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(166848,10046997,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(166849,10046997,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(166850,10046997,'Cannot be modified except by direct means',100,2,3),
(166851,10046997,'Grants a total of 80 triggers of the spell.',100,2,4),
(166852,10046997,'Only affects targets level 50 and above',100,1,5),
(166853,75645,'Applies Holy Strike when Activated.',100,0,0),
(166854,75645,'Inflicts 305 - 509 divine damage on target',100,1,1),
(166855,75645,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166856,10075645,'Applies Holy Strike when Activated.',100,0,0),
(166857,10075645,'Inflicts 366 - 611 divine damage on target',100,1,1),
(166858,10075645,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166859,101896,'Inflicts 161 - 269 ranged damage on target',100,1,0),
(166860,101896,'If weapon equipped in Ranged',100,1,1),
(166861,101896,'Must be behind',100,1,2),
(166862,10101896,'Inflicts 137 - 229 ranged damage on target',100,1,0),
(166863,10101896,'If weapon equipped in Ranged',100,1,1),
(166864,10101896,'Must be behind',100,1,2),
(166865,105117,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(166866,105117,'Summon 1 Distilled Soul (Master)',100,2,1),
(166867,10105117,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(166868,10105117,'Summon 1 Distilled Soul (Master)',100,2,1),
(166869,46943,'Applies Middling Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(166870,46943,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(166871,46943,'Decreases AGI of target by 19.6',100,2,2),
(166872,46943,'Cannot be modified except by direct means',100,2,3),
(166873,46943,'Grants a total of 30 triggers of the spell.',100,2,4),
(166874,46943,'Only affects targets level 50 and above',100,1,5),
(166875,10046943,'Applies Middling Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(166876,10046943,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(166877,10046943,'Decreases AGI of target by 19.6',100,2,2),
(166878,10046943,'Cannot be modified except by direct means',100,2,3),
(166879,10046943,'Grants a total of 30 triggers of the spell.',100,2,4),
(166880,10046943,'Only affects targets level 50 and above',100,1,5),
(166881,116877,'Wards group members (AE) against 1018 points of noxious damage',100,1,0),
(166882,116877,'Increases Mitigation of group members (AE) vs noxious damage by 602',100,1,1),
(166883,10116877,'Wards group members (AE) against 1018 points of noxious damage',100,1,0),
(166884,10116877,'Increases Mitigation of group members (AE) vs noxious damage by 602',100,1,1),
(166885,100222,'Increases Threat to target encounter by 920 - 1,123 ',100,1,0),
(166886,100222,'Interrupts target encounter',100,1,1),
(166887,10100222,'Interrupts target encounter',100,1,0),
(166888,10100222,'Forces target encounter to change their selected target to caster.',100,1,1),
(166889,10100222,'Prevents target encounter from changing targets',100,1,2),
(166890,74590,'When Equipped:',100,0,0),
(166891,74590,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166892,74590,'Inflicts 42 - 64 magic damage on target',100,2,2),
(166893,74590,'Cannot be modified except by direct means',100,2,3),
(166894,10074590,'When Equipped:',100,0,0),
(166895,10074590,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(166896,10074590,'Inflicts 51 - 76 magic damage on target',100,2,2),
(166897,10074590,'Cannot be modified except by direct means',100,2,3),
(166898,85773,'When Equipped:',100,0,0),
(166899,85773,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(166900,85773,'Increases power of caster by 80',100,2,2),
(166901,85773,'Cannot be modified except by direct means',100,2,3),
(166902,10085773,'When Equipped:',100,0,0),
(166903,10085773,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(166904,10085773,'Increases power of caster by 80',100,2,2),
(166905,10085773,'Cannot be modified except by direct means',100,2,3),
(166906,170076,'When Equipped:',100,0,0),
(166907,170076,'When any damage is received this spell has a 5% chance to cast Toxicity on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(166908,170076,'Inflicts 56 - 93 poison damage on targets in Area of Effect every 4.8 seconds',100,2,2),
(166909,170076,'Cannot be modified except by direct means',100,2,3),
(166910,10170076,'When Equipped:',100,0,0),
(166911,10170076,'When any damage is received this spell has a 5% chance to cast Toxicity on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(166912,10170076,'Inflicts 67 - 112 poison damage on targets in Area of Effect every 4.8 seconds',100,2,2),
(166913,10170076,'Cannot be modified except by direct means',100,2,3),
(166914,139500,'Applies Dragon Breath when Activated.  Lasts for 5.0 seconds.',100,0,0),
(166915,139500,'When Equipped:',100,0,1),
(166916,139500,'Reduces maximum falling speed of caster',100,1,2),
(166917,10139500,'Applies Dragon Breath when Activated.  Lasts for 5.0 seconds.',100,0,0),
(166918,10139500,'When Equipped:',100,0,1),
(166919,10139500,'Reduces maximum falling speed of caster',100,1,2),
(166920,48868,'Applies Remedy of the Gods  when Activated.',100,0,0),
(166921,48868,'Heals caster for 108',100,1,1),
(166922,10048868,'Applies Remedy of the Gods  when Activated.',100,0,0),
(166923,10048868,'Heals caster for 70',100,1,1),
(166924,104668,'Decreases Mitigation of target vs all damage by 144',100,1,0),
(166925,10104668,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 144',100,1,0),
(166926,10104668,'Decreases Mitigation of target vs physical damage by 120',100,1,1),
(166927,100251,'Inflicts 15 - 27 poison damage on target instantly and every 3 seconds',100,1,0),
(166928,10100251,'Inflicts 40 - 74 poison damage on target instantly and every 3 seconds',100,1,0),
(166929,106065,'Increases AGI of caster by 120.4',100,1,0),
(166930,106065,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(166931,106065,'Inflicts 160 - 266 disease damage on target',100,2,2),
(166932,106065,'Adds 25.0% to base avoidance.',100,1,3),
(166933,106065,'Increases Mitigation of caster vs physical damage by 616',100,1,4),
(166934,106065,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,5),
(166935,10106065,'Increases AGI of caster by 120.4',100,1,0),
(166936,10106065,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(166937,10106065,'Inflicts 192 - 319 disease damage on target',100,2,2),
(166938,10106065,'Adds 25.0% to base avoidance.',100,1,3),
(166939,10106065,'Increases Mitigation of caster vs physical damage by 616',100,1,4),
(166940,10106065,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,5),
(166941,107769,'Inflicts 766 - 1276 cold damage on target',100,1,0),
(166942,107769,'Stuns target',100,1,1),
(166943,107769,'If Target is not Epic',100,2,2),
(166944,107769,'Resistibility increases against targets higher than level 101.',100,1,3),
(166945,10107769,'Inflicts 919 - 1531 cold damage on target',100,1,0),
(166946,10107769,'Stuns target',100,1,1),
(166947,10107769,'If Target is not Epic',100,2,2),
(166948,10107769,'Resistibility increases against targets higher than level 101.',100,1,3),
(166949,104151,'Roots target',100,1,0),
(166950,104151,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(166951,104151,'Makes target afraid',100,2,2),
(166952,104151,'Slows target by 35.7%',100,2,3),
(166953,104151,'30% chance to dispel when target takes damage',100,2,4),
(166954,104151,'Resistibility increases against targets higher than level 102.',100,2,5),
(166955,104151,'15% chance to dispel when target takes damage',100,1,6),
(166956,104151,'Does not affect Epic targets',100,1,7),
(166957,104151,'Resistibility increases against targets higher than level 102.',100,1,8),
(166958,10104151,'Roots target',100,1,0),
(166959,10104151,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(166960,10104151,'Makes target afraid',100,2,2),
(166961,10104151,'Slows target by 35.7%',100,2,3),
(166962,10104151,'30% chance to dispel when target takes damage',100,2,4),
(166963,10104151,'Resistibility increases against targets higher than level 102.',100,2,5),
(166964,10104151,'15% chance to dispel when target takes damage',100,1,6),
(166965,10104151,'Does not affect Epic targets',100,1,7),
(166966,10104151,'Resistibility increases against targets higher than level 102.',100,1,8),
(166967,117943,'Heals target for 184 - 224',100,1,0),
(166968,117943,'Increases Max Health of target by 20.2',100,1,1),
(166969,10117943,'Heals target for 211 - 257',100,1,0),
(166970,10117943,'Increases Max Health of target by 20.2',100,1,1),
(166971,115979,'Inflicts 202 - 303 mental damage on target',100,1,0),
(166972,115979,'Stuns target',100,1,1),
(166973,115979,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(166974,115979,'Resistibility increases against targets higher than level 84.',100,1,3),
(166975,10115979,'Stuns target',100,1,0),
(166976,10115979,'Inflicts 243 - 364 mental damage on target',100,1,1),
(166977,10115979,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(166978,10115979,'Resistibility increases against targets higher than level 84.',100,1,3),
(166979,75282,'When Equipped:',100,0,0),
(166980,75282,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(166981,75282,'Inflicts 167 - 278 heat damage on target',100,2,2),
(166982,75282,'Cannot be modified except by direct means',100,2,3),
(166983,10075282,'When Equipped:',100,0,0),
(166984,10075282,'On any combat or spell hit this spell may cast Big Boom on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(166985,10075282,'Inflicts 200 - 333 heat damage on target',100,2,2),
(166986,10075282,'Cannot be modified except by direct means',100,2,3),
(166987,177478,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(166988,177478,'Decreases Attack Speed of target by 12.0',100,1,1),
(166989,177478,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(166990,10177478,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(166991,10177478,'Decreases Attack Speed of target by 12.0',100,1,1),
(166992,10177478,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(166993,75037,'Applies Mental Blast when Activated.',100,0,0),
(166994,75037,'Inflicts 267 - 445 mental damage on target',100,1,1),
(166995,75037,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166996,10075037,'Applies Mental Blast when Activated.',100,0,0),
(166997,10075037,'Inflicts 321 - 535 mental damage on target',100,1,1),
(166998,10075037,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(166999,103986,'Inflicts 81 - 151 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(167000,103986,'Interrupts targets in Area of Effect',100,1,1),
(167001,10103986,'Inflicts 98 - 181 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(167002,10103986,'Interrupts targets in Area of Effect',100,1,1),
(167003,49128,'Applies Welno''s Resurgence when Activated.',100,0,0),
(167004,49128,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(167005,10049128,'Applies Welno''s Resurgence when Activated.',100,0,0),
(167006,10049128,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(167007,106174,'Wards target against 47 points of all damage',100,1,0),
(167008,106174,'Decreases INT of target by 54.0',100,1,1),
(167009,106174,'Decreases Attack Speed of target by 25.0',100,1,2),
(167010,106174,'Increases Max Health of target by 16.0%',100,1,3),
(167011,106174,'Increases Hate Gain of target by 28.8%',100,1,4),
(167012,106174,'Increases Aggression of target by 6.7',100,1,5),
(167013,106174,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(167014,106174,'Increases Threat to target encounter by 56 - 68 ',100,2,7),
(167015,106174,'Increases Mitigation of target vs elemental, noxious and arcane damage by 448',100,1,8),
(167016,10106174,'Wards target against 47 points of all damage',100,1,0),
(167017,10106174,'Decreases INT of target by 54.0',100,1,1),
(167018,10106174,'Decreases Attack Speed of target by 25.0',100,1,2),
(167019,10106174,'Increases Max Health of target by 16.0%',100,1,3),
(167020,10106174,'Increases Aggression of target by 6.7',100,1,4),
(167021,10106174,'Increases Mitigation of target vs elemental, noxious and arcane damage by 448',100,1,5),
(167022,116743,'Increases Max Health of target by 67.6',100,1,0),
(167023,116743,'Increases Max Power of target by 76.5',100,1,1),
(167024,10116743,'Increases Max Health of target by 67.6',100,1,0),
(167025,10116743,'Increases Max Power of target by 76.5',100,1,1),
(167026,105480,'Inflicts 245 - 456 poison damage on target encounter',100,1,0),
(167027,105480,'Stuns target encounter',100,1,1),
(167028,105480,'If Target is not Epic',100,2,2),
(167029,105480,'Resistibility increases against targets higher than level 79.',100,1,3),
(167030,10105480,'Inflicts 294 - 547 poison damage on target encounter',100,1,0),
(167031,10105480,'Stuns target encounter',100,1,1),
(167032,10105480,'If Target is not Epic',100,2,2),
(167033,10105480,'Resistibility increases against targets higher than level 79.',100,1,3),
(167034,115479,'Summons a pet nightshade',100,1,0),
(167035,10115479,'Summons a pet nightshade',100,1,0),
(167036,102547,'Increases AGI of caster by 20.0',100,1,0),
(167037,102547,'Increases Max Health of caster by 39.2',100,1,1),
(167038,102547,'Adds 18.7% to base avoidance.',100,1,2),
(167039,102547,'Increases Mitigation of caster vs physical damage by 109',100,1,3),
(167040,102547,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,4),
(167041,10102547,'Increases AGI of caster by 20.0',100,1,0),
(167042,10102547,'Increases Max Health of caster by 39.2',100,1,1),
(167043,10102547,'Adds 18.7% to base avoidance.',100,1,2),
(167044,10102547,'Increases Mitigation of caster vs physical damage by 109',100,1,3),
(167045,10102547,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,4),
(167046,71670,'When Equipped:',100,0,0),
(167047,71670,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167048,71670,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(167049,71670,'Cannot be modified except by direct means',100,2,3),
(167050,10071670,'When Equipped:',100,0,0),
(167051,10071670,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167052,10071670,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(167053,10071670,'Cannot be modified except by direct means',100,2,3),
(167054,110027,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(167055,110027,'Inflicts 103 - 172 disease damage on target',100,2,1),
(167056,110027,'Heals caster for 1.9 - 3.1% of max health',100,2,2),
(167057,110027,'This effect cannot be critically applied.',100,3,3),
(167058,110027,'The healing of this spell cannot be modified except by direct means',100,2,4),
(167059,10110027,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(167060,10110027,'Inflicts 124 - 206 disease damage on target',100,2,1),
(167061,10110027,'Heals caster for 0.6 - 0.9% of max health',100,2,2),
(167062,10110027,'This effect cannot be critically applied.',100,3,3),
(167063,10110027,'The healing of this spell cannot be modified except by direct means',100,2,4),
(167064,103505,'Charms target',100,1,0),
(167065,103505,'If outside an arena',100,1,1),
(167066,103505,'Certain enemies cannot be charmed',100,1,2),
(167067,103505,'Does not affect Epic targets',100,1,3),
(167068,10103505,'Mesmerizes target',100,1,0),
(167069,10103505,'Prevents AOE (except when direct) ',100,1,1),
(167070,10103505,'Dispelled when target takes damage',100,1,2),
(167071,10103505,'If outside an arena',100,1,3),
(167072,10103505,'Certain enemies cannot be charmed',100,1,4),
(167073,10103505,'Does not affect Epic targets',100,1,5),
(167074,10103505,'Resistibility increases against targets higher than level 49.',100,1,6),
(167075,101543,'Inflicts 50 - 83 melee damage on target',100,1,0),
(167076,101543,'You must be sneaking to use this ability.',100,1,1),
(167077,10101543,'Inflicts 60 - 100 melee damage on target',100,1,0),
(167078,10101543,'You must be sneaking to use this ability.',100,1,1),
(167079,71747,'When Equipped:',100,0,0),
(167080,71747,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167081,71747,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(167082,71747,'Cannot be modified except by direct means',100,2,3),
(167083,10071747,'When Equipped:',100,0,0),
(167084,10071747,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167085,10071747,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(167086,10071747,'Cannot be modified except by direct means',100,2,3),
(167087,80536,'When Equipped:',100,0,0),
(167088,80536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167089,80536,'Inflicts 315 - 585 magic damage on target',100,2,2),
(167090,80536,'Decreases Threat to target by 1,219 ',100,2,3),
(167091,80536,'Must be flanking or behind',100,3,4),
(167092,80536,'Increases Threat to target by 1,224 ',100,2,5),
(167093,80536,'Must be in front of',100,3,6),
(167094,80536,'Cannot be modified except by direct means',100,2,7),
(167095,10080536,'When Equipped:',100,0,0),
(167096,10080536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167097,10080536,'Inflicts 378 - 702 magic damage on target',100,2,2),
(167098,10080536,'Cannot be modified except by direct means',100,2,3),
(167099,36091,'Decreases Hate Gain of target by 4.0%',100,0,0),
(167100,36091,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(167101,108985,'Decreases Damage Per Second of target by 11.8',100,1,0),
(167102,108985,'Inflicts 18 - 22 melee damage on target',100,1,1),
(167103,10108985,'Decreases Damage Per Second of target by 11.8',100,1,0),
(167104,10108985,'Inflicts 21 - 26 melee damage on target',100,1,1),
(167105,120445,'Inflicts 274 - 457 melee damage on target',100,1,0),
(167106,120445,'Inflicts 274 - 457 melee damage on target',100,1,1),
(167107,10120445,'Inflicts 329 - 549 melee damage on target',100,1,0),
(167108,10120445,'Inflicts 329 - 549 melee damage on target',100,1,1),
(167109,111631,'Inflicts 9 - 12 cold damage on target encounter',100,1,0),
(167110,111631,'Slows target encounter by 30.4%',100,1,1),
(167111,111631,'5% chance to dispel when target takes damage',100,1,2),
(167112,111631,'5% chance to dispel when target receives hostile action',100,1,3),
(167113,10111631,'Inflicts 15 - 18 cold damage on target encounter',100,1,0),
(167114,10111631,'Slows target encounter by 30.4%',100,1,1),
(167115,10111631,'5% chance to dispel when target takes damage',100,1,2),
(167116,10111631,'5% chance to dispel when target receives hostile action',100,1,3),
(167117,121855,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(167118,121855,'Increases Mitigation of group members (AE) vs arcane damage by 164',100,1,1),
(167119,10121855,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(167120,10121855,'Increases Mitigation of group members (AE) vs arcane damage by 164',100,1,1),
(167121,48153,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(167122,48153,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(167123,48153,'Inflicts 561 poison damage on target',100,2,2),
(167124,48153,'Heals caster for 531',100,2,3),
(167125,48153,'Cannot be modified except by direct means',100,2,4),
(167126,48153,'Grants a total of 100 triggers of the spell.',100,2,5),
(167127,10048153,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(167128,10048153,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(167129,10048153,'Inflicts 481 poison damage on target',100,2,2),
(167130,10048153,'Heals caster for 216',100,2,3),
(167131,10048153,'Cannot be modified except by direct means',100,2,4),
(167132,10048153,'Grants a total of 100 triggers of the spell.',100,2,5),
(167133,105460,'Inflicts 379 - 463 poison damage on target instantly and every 4 seconds',100,1,0),
(167134,105460,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(167135,105460,'Summons 3 limited pets to aid the caster',100,2,2),
(167136,105460,'Grants a total of 1 trigger of the spell.',100,2,3),
(167137,10105460,'Inflicts 455 - 556 poison damage on target instantly and every 4 seconds',100,1,0),
(167138,10105460,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(167139,10105460,'Summons 3 limited pets to aid the caster',100,2,2),
(167140,10105460,'Grants a total of 1 trigger of the spell.',100,2,3),
(167141,107763,'Inflicts 746 - 1243 cold damage on target',100,1,0),
(167142,107763,'Stuns target',100,1,1),
(167143,107763,'If Target is not Epic',100,2,2),
(167144,107763,'Resistibility increases against targets higher than level 87.',100,1,3),
(167145,10107763,'Inflicts 895 - 1491 cold damage on target',100,1,0),
(167146,10107763,'Stuns target',100,1,1),
(167147,10107763,'If Target is not Epic',100,2,2),
(167148,10107763,'Resistibility increases against targets higher than level 87.',100,1,3),
(167149,115856,'Inflicts 240 - 400 mental damage on target encounter',100,1,0),
(167150,115856,'Interrupts target encounter',100,1,1),
(167151,10115856,'Inflicts 288 - 480 mental damage on target encounter',100,1,0),
(167152,10115856,'Interrupts target encounter',100,1,1),
(167153,113816,'Inflicts 96 - 160 disease damage on target',100,1,0),
(167154,10113816,'Inflicts 115 - 192 disease damage on target',100,1,0),
(167155,122027,'Inflicts 12 - 20 melee damage on target',100,1,0),
(167156,122027,'Increases Threat to target by 113 - 137 ',100,1,1),
(167157,10122027,'Inflicts 14 - 24 melee damage on target',100,1,0),
(167158,80796,'When Equipped:',100,0,0),
(167159,80796,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167160,80796,'Inflicts 171 - 317 magic damage on target',100,2,2),
(167161,80796,'Cannot be modified except by direct means',100,2,3),
(167162,10080796,'When Equipped:',100,0,0),
(167163,10080796,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167164,10080796,'Inflicts 205 - 381 magic damage on target',100,2,2),
(167165,10080796,'Cannot be modified except by direct means',100,2,3),
(167166,115495,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(167167,115495,'Increases Mitigation of group members (AE) vs noxious damage by 216',100,1,1),
(167168,10115495,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(167169,10115495,'Increases Mitigation of group members (AE) vs noxious damage by 216',100,1,1),
(167170,119877,'Increases INT and AGI of group members (AE) by 49.6',100,1,0),
(167171,119877,'Adds 2.6% to base avoidance.',100,1,1),
(167172,10119877,'Increases INT and AGI of group members (AE) by 49.6',100,1,0),
(167173,10119877,'Adds 2.6% to base avoidance.',100,1,1),
(167174,41555,'When Equipped:',100,0,0),
(167175,41555,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167176,41555,'Inflicts 77 - 144 magic damage on target',100,2,2),
(167177,41555,'Decreases Threat to target by 352 ',100,2,3),
(167178,41555,'Must be flanking or behind',100,3,4),
(167179,41555,'Increases Threat to target by 357 ',100,2,5),
(167180,41555,'Must be in front of',100,3,6),
(167181,41555,'Cannot be modified except by direct means',100,2,7),
(167182,10041555,'When Equipped:',100,0,0),
(167183,10041555,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167184,10041555,'Inflicts 93 - 173 magic damage on target',100,2,2),
(167185,10041555,'Cannot be modified except by direct means',100,2,3),
(167186,45721,'Applies Salvation of the Tranquil  when Activated.  Lasts for 30 minutes.',100,0,0),
(167187,45721,'Increases WIS and INT of caster by 16.0',100,1,1),
(167188,10045721,'Applies Salvation of the Tranquil  when Activated.  Lasts for 30 minutes.',100,0,0),
(167189,10045721,'Increases WIS and INT of caster by 16.0',100,1,1),
(167190,122578,'Decreases Mitigation of target vs arcane damage by 143',100,1,0),
(167191,122578,'Inflicts 11 - 13 mental damage on target instantly and every 3 seconds',100,1,1),
(167192,10122578,'Decreases Mitigation of target vs arcane damage by 143',100,1,0),
(167193,10122578,'Inflicts 13 - 16 mental damage on target instantly and every 3 seconds',100,1,1),
(167194,104954,'Inflicts 668 - 1113 melee damage on target',100,1,0),
(167195,104954,'Decreases Defense of target by 39.2',100,1,1),
(167196,104954,'Must be behind',100,1,2),
(167197,10104954,'Inflicts 801 - 1336 melee damage on target',100,1,0),
(167198,10104954,'Decreases Defense of target by 39.2',100,1,1),
(167199,10104954,'Must be behind',100,1,2),
(167200,88147,'When Equipped:',100,0,0),
(167201,88147,'This effect will not stack with any rank or tier of itself.',100,1,1),
(167202,88147,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(167203,88147,'Cannot be modified except by direct means',100,1,3),
(167204,10088147,'When Equipped:',100,0,0),
(167205,10088147,'This effect will not stack with any rank or tier of itself.',100,1,1),
(167206,10088147,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(167207,10088147,'Cannot be modified except by direct means',100,1,3),
(167208,103165,'Throws target back',100,1,0),
(167209,103165,'If Target is not Epic',100,2,1),
(167210,103165,'Inflicts 91 - 274 crushing damage on target',100,1,2),
(167211,103165,'Stuns target',100,1,3),
(167212,103165,'If Target is not Epic',100,2,4),
(167213,103165,'Resistibility increases against targets higher than level 84.',100,1,5),
(167214,10103165,'Throws target back',100,1,0),
(167215,10103165,'If Target is not Epic',100,2,1),
(167216,10103165,'Inflicts 109 - 329 crushing damage on target',100,1,2),
(167217,10103165,'Stuns target',100,1,3),
(167218,10103165,'If Target is not Epic',100,2,4),
(167219,10103165,'Resistibility increases against targets higher than level 84.',100,1,5),
(167220,80421,'When Equipped:',100,0,0),
(167221,80421,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167222,80421,'Inflicts 45 - 84 magic damage on target',100,2,2),
(167223,80421,'Decreases Threat to target by 153 ',100,2,3),
(167224,80421,'Must be flanking or behind',100,3,4),
(167225,80421,'Increases Threat to target by 158 ',100,2,5),
(167226,80421,'Must be in front of',100,3,6),
(167227,80421,'Cannot be modified except by direct means',100,2,7),
(167228,10080421,'When Equipped:',100,0,0),
(167229,10080421,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167230,10080421,'Inflicts 54 - 100 magic damage on target',100,2,2),
(167231,10080421,'Cannot be modified except by direct means',100,2,3),
(167232,112038,'Roots target',100,1,0),
(167233,112038,'Stifles target',100,1,1),
(167234,112038,'If Target is not Epic',100,2,2),
(167235,112038,'20% chance to dispel when target takes damage',100,1,3),
(167236,112038,'Does not affect Epic targets',100,1,4),
(167237,112038,'Resistibility increases against targets higher than level 82.',100,1,5),
(167238,10112038,'Roots target',100,1,0),
(167239,10112038,'Stifles target',100,1,1),
(167240,10112038,'If Target is not Epic',100,2,2),
(167241,10112038,'20% chance to dispel when target takes damage',100,1,3),
(167242,10112038,'Does not affect Epic targets',100,1,4),
(167243,10112038,'Resistibility increases against targets higher than level 82.',100,1,5),
(167244,122938,'Inflicts 20 - 27 mental damage on target',100,1,0),
(167245,10122938,'Inflicts 24 - 32 mental damage on target',100,1,0),
(167246,115101,'Heals target for 1119 - 1368',100,1,0),
(167247,115101,'Heals target for 144 - 176 every second',100,1,1),
(167248,10115101,'Heals target for 2079 - 2541',100,1,0),
(167249,10115101,'Heals target for 156 - 191 every second',100,1,1),
(167250,41686,'When Equipped:',100,0,0),
(167251,41686,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167252,41686,'Inflicts 105 - 195 magic damage on target',100,2,2),
(167253,41686,'Decreases Threat to target by 487 ',100,2,3),
(167254,41686,'Must be flanking or behind',100,3,4),
(167255,41686,'Increases Threat to target by 492 ',100,2,5),
(167256,41686,'Must be in front of',100,3,6),
(167257,41686,'Cannot be modified except by direct means',100,2,7),
(167258,10041686,'When Equipped:',100,0,0),
(167259,10041686,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167260,10041686,'Inflicts 126 - 234 magic damage on target',100,2,2),
(167261,10041686,'Cannot be modified except by direct means',100,2,3),
(167262,116511,'Increases Mitigation of target vs physical damage by 133',100,1,0),
(167263,116511,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(167264,10116511,'Increases Mitigation of target vs physical damage by 133',100,1,0),
(167265,10116511,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(167266,114891,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(167267,118177,'Resurrects target with 18% health and power',100,1,0),
(167268,118177,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(167269,118177,'Decreases Attack Speed of target by 20.0',100,2,2),
(167270,118177,'If not between levels 1 - 6',100,3,3),
(167271,118177,'Decreases All Attributes of target by 20.0%',100,2,4),
(167272,118177,'If not between levels 1 - 6',100,3,5),
(167273,118177,'Decreases Attack Speed of target by 5.0',100,2,6),
(167274,118177,'If between levels 1 - 6',100,3,7),
(167275,118177,'Decreases All Attributes of target by 5.0%',100,2,8),
(167276,118177,'If between levels 1 - 6',100,3,9),
(167277,118177,'If outside an arena',100,1,10),
(167278,10118177,'Resurrects target with 18% health and power',100,1,0),
(167279,10118177,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(167280,10118177,'Decreases Attack Speed of target by 20.0',100,2,2),
(167281,10118177,'If not between levels 1 - 6',100,3,3),
(167282,10118177,'Decreases All Attributes of target by 20.0%',100,2,4),
(167283,10118177,'If not between levels 1 - 6',100,3,5),
(167284,10118177,'Decreases Attack Speed of target by 5.0',100,2,6),
(167285,10118177,'If between levels 1 - 6',100,3,7),
(167286,10118177,'Decreases All Attributes of target by 5.0%',100,2,8),
(167287,10118177,'If between levels 1 - 6',100,3,9),
(167288,10118177,'If outside an arena',100,1,10),
(167289,115894,'Inflicts 24 - 30 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(167290,10115894,'Inflicts 38 - 46 disease damage on target encounter',100,1,0),
(167291,10115894,'Inflicts 29 - 35 disease damage on target encounter every 3 seconds',100,1,1),
(167292,48614,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(167293,48614,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(167294,48614,'Decreases Attack Speed of target by 23.1',100,2,2),
(167295,48614,'Cannot be modified except by direct means',100,2,3),
(167296,48614,'Grants a total of 30 triggers of the spell.',100,2,4),
(167297,10048614,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(167298,10048614,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(167299,10048614,'Decreases Attack Speed of target by 23.1',100,2,2),
(167300,10048614,'Cannot be modified except by direct means',100,2,3),
(167301,10048614,'Grants a total of 30 triggers of the spell.',100,2,4),
(167302,49193,'Applies Drop when Activated.',100,0,0),
(167303,49193,'This effect cannot be cast during combat',100,1,1),
(167304,10049193,'Applies Drop when Activated.',100,0,0),
(167305,10049193,'This effect cannot be cast during combat',100,1,1),
(167306,101556,'Inflicts 3671 - 6118 melee damage on target',100,1,0),
(167307,101556,'You must be stealthed to use this ability',100,1,1),
(167308,10101556,'Inflicts 2070 - 3450 melee damage on target',100,1,0),
(167309,10101556,'You must be stealthed to use this ability',100,1,1),
(167310,46114,'Applies Elixir of the Fleetfoot when Activated.  Lasts for 30 minutes.',100,0,0),
(167311,10046114,'Applies Elixir of the Fleetfoot when Activated.  Lasts for 30 minutes.',100,0,0),
(167312,136256,'When Equipped:',100,0,0),
(167313,136256,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(167314,10136256,'When Equipped:',100,0,0),
(167315,10136256,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(167316,80984,'When Equipped:',100,0,0),
(167317,80984,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167318,80984,'Inflicts 184 - 342 magic damage on target',100,2,2),
(167319,80984,'Decreases Threat to target by 672 ',100,2,3),
(167320,80984,'Must be flanking or behind',100,3,4),
(167321,80984,'Increases Threat to target by 677 ',100,2,5),
(167322,80984,'Must be in front of',100,3,6),
(167323,80984,'Cannot be modified except by direct means',100,2,7),
(167324,10080984,'When Equipped:',100,0,0),
(167325,10080984,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167326,10080984,'Inflicts 221 - 410 magic damage on target',100,2,2),
(167327,10080984,'Cannot be modified except by direct means',100,2,3),
(167328,110693,'Heals target for 1453',100,1,0),
(167329,110693,'Dispels 103 levels of any hostile effects on target',100,1,1),
(167330,10110693,'Heals target for 945',100,1,0),
(167331,10110693,'Dispels 103 levels of any hostile effects on target',100,1,1),
(167332,102041,'Interrupts targets in Area of Effect',100,1,0),
(167333,102041,'Inflicts 67 - 112 melee damage on targets in area',100,1,1),
(167334,10102041,'Interrupts targets in Area of Effect',100,1,0),
(167335,10102041,'Inflicts 80 - 134 melee damage on targets in area',100,1,1),
(167336,101797,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(167337,101797,'Decreases Threat to target by 373 ',100,2,1),
(167338,10101797,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(167339,10101797,'Inflicts 21 - 23 crushing damage on target',100,2,1),
(167340,116401,'Heals target for 271 - 331 instantly and every 2 seconds',100,1,0),
(167341,10116401,'Heals target for 176 - 215 instantly and every 2 seconds',100,1,0),
(167342,113434,'Reduces physical damage done to caster by 5%',100,1,0),
(167343,113434,'Increases STA of caster by 221.8',100,1,1),
(167344,113434,'Adds 4.3% to base avoidance.',100,1,2),
(167345,113434,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(167346,113434,'Increases Defense and Aggression of caster by 43.4',100,1,4),
(167347,113434,'Increases Mitigation of caster vs noxious damage by 2834',100,1,5),
(167348,113434,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(167349,10113434,'Reduces physical damage done to caster by 5%',100,1,0),
(167350,10113434,'Increases STA of caster by 221.8',100,1,1),
(167351,10113434,'Adds 4.3% to base avoidance.',100,1,2),
(167352,10113434,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(167353,10113434,'Increases Defense and Aggression of caster by 43.4',100,1,4),
(167354,10113434,'Increases Mitigation of caster vs noxious damage by 2834',100,1,5),
(167355,10113434,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(167356,117346,'Roots target',100,1,0),
(167357,117346,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(167358,117346,'Slows target by 46.4%',100,2,2),
(167359,117346,'5% chance to dispel when target receives hostile action',100,2,3),
(167360,117346,'5% chance to dispel when target takes damage',100,2,4),
(167361,117346,'15% chance to dispel when target takes damage',100,1,5),
(167362,117346,'Does not affect Epic targets',100,1,6),
(167363,117346,'Resistibility increases against targets higher than level 90.',100,1,7),
(167364,10117346,'Roots target',100,1,0),
(167365,10117346,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(167366,10117346,'Slows target by 46.4%',100,2,2),
(167367,10117346,'10% chance to dispel when target receives hostile action',100,2,3),
(167368,10117346,'10% chance to dispel when target takes damage',100,2,4),
(167369,10117346,'15% chance to dispel when target takes damage',100,1,5),
(167370,10117346,'Does not affect Epic targets',100,1,6),
(167371,10117346,'Resistibility increases against targets higher than level 90.',100,1,7),
(167372,109499,'Inflicts 618 - 1031 cold damage on target',100,1,0),
(167373,10109499,'Inflicts 742 - 1237 cold damage on target',100,1,0),
(167374,35973,'Increases AGI of target by 1.5',100,0,0),
(167375,35973,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(167376,177666,'When Equipped:',100,0,0),
(167377,177666,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(167378,177666,'Increases AGI of caster by 16.3',100,2,2),
(167379,177666,'Increases Attack Speed of caster by 19.7',100,2,3),
(167380,177666,'Cannot be modified except by direct means',100,2,4),
(167381,10177666,'When Equipped:',100,0,0),
(167382,10177666,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(167383,10177666,'Increases AGI of caster by 16.3',100,2,2),
(167384,10177666,'Increases Attack Speed of caster by 19.7',100,2,3),
(167385,10177666,'Cannot be modified except by direct means',100,2,4),
(167386,166584,'When Equipped:',100,0,0),
(167387,166584,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(167388,166584,'Reduces healing received by 15.00%',100,2,2),
(167389,166584,'Cannot be modified except by direct means',100,2,3),
(167390,166584,'This effect can only trigger once every 1 second.',100,2,4),
(167391,166584,'Must be engaged in pvp combat',100,1,5),
(167392,10166584,'When Equipped:',100,0,0),
(167393,10166584,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(167394,10166584,'Reduces healing received by 15.00%',100,2,2),
(167395,10166584,'Cannot be modified except by direct means',100,2,3),
(167396,10166584,'This effect can only trigger once every 1 second.',100,2,4),
(167397,10166584,'Must be engaged in pvp combat',100,1,5),
(167398,123045,'Summons a pet undead knight',100,1,0),
(167399,10123045,'Summons a pet undead knight',100,1,0),
(167400,25739,'When Equipped:',100,0,0),
(167401,25739,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(167402,25739,'Improves the hate gain reduction of Primal Reflexes IV by 10%.',100,1,2),
(167403,10025739,'When Equipped:',100,0,0),
(167404,10025739,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(167405,10025739,'Improves the hate gain reduction of Primal Reflexes IV by 10%.',100,1,2),
(167406,169108,'When Equipped:',100,0,0),
(167407,169108,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(167408,10169108,'When Equipped:',100,0,0),
(167409,10169108,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(167410,121841,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(167411,121841,'Increases Mitigation of group members (AE) vs arcane damage by 1134',100,1,1),
(167412,10121841,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(167413,10121841,'Increases Mitigation of group members (AE) vs arcane damage by 1134',100,1,1),
(167414,74600,'When Equipped:',100,0,0),
(167415,74600,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167416,74600,'Inflicts 36 - 54 magic damage on target',100,2,2),
(167417,74600,'Cannot be modified except by direct means',100,2,3),
(167418,10074600,'When Equipped:',100,0,0),
(167419,10074600,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167420,10074600,'Inflicts 43 - 65 magic damage on target',100,2,2),
(167421,10074600,'Cannot be modified except by direct means',100,2,3),
(167422,47346,'Applies A Close Shave when Activated.',100,0,0),
(167423,47346,'Using this item opens a customization window used to change your current appearance. If used while a playable-race illusion is active, the customizations will affect that race and be saved until changed. Before using, please make sure you do not have any active illusions that are hidden. Happy Customizing!',100,1,1),
(167424,10047346,'Applies A Close Shave when Activated.',100,0,0),
(167425,10047346,'Using this item opens a customization window used to change your current appearance. If used while a playable-race illusion is active, the customizations will affect that race and be saved until changed. Before using, please make sure you do not have any active illusions that are hidden. Happy Customizing!',100,1,1),
(167426,27272,'When Equipped:',100,0,0),
(167427,27272,'Increases all poison damage by up to 50.',100,1,1),
(167428,10027272,'When Equipped:',100,0,0),
(167429,10027272,'Increases all poison damage by up to 50.',100,1,1),
(167430,76138,'When Equipped:',100,0,0),
(167431,76138,'On a hostile spell cast this spell has a 12% chance to cast Inferno on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(167432,76138,'Inflicts 573 - 860 heat damage on target',100,2,2),
(167433,76138,'Inflicts 160 - 241 heat damage on target every 3 seconds',100,2,3),
(167434,76138,'Applies Inferno.  Lasts for 12.0 seconds.',100,2,4),
(167435,76138,'Prevents AOE (except when direct) ',100,3,5),
(167436,76138,'Increases Crit Chance of pet by 20.0',100,3,6),
(167437,76138,'Cannot be modified except by direct means',100,2,7),
(167438,76138,'Cannot be modified except by direct means',100,1,8),
(167439,76138,'Applies Elemental Manifestation when Activated.',100,0,9),
(167440,76138,'Summons a pet Elemental Manifestation',100,1,10),
(167441,76138,'The casting time of Elemental Manifestation is 10.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,11),
(167442,76138,'When Equipped:',100,0,12),
(167443,76138,'Increases the base damage of hostile spells by 10%',100,1,13),
(167444,10076138,'When Equipped:',100,0,0),
(167445,10076138,'On a hostile spell cast this spell has a 12% chance to cast Inferno on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(167446,10076138,'Inflicts 688 - 1031 heat damage on target',100,2,2),
(167447,10076138,'Inflicts 193 - 289 heat damage on target every 3 seconds',100,2,3),
(167448,10076138,'Applies Inferno.  Lasts for 12.0 seconds.',100,2,4),
(167449,10076138,'Prevents AOE (except when direct) ',100,3,5),
(167450,10076138,'Increases Crit Chance of pet by 20.0',100,3,6),
(167451,10076138,'Cannot be modified except by direct means',100,2,7),
(167452,10076138,'Cannot be modified except by direct means',100,1,8),
(167453,10076138,'Applies Elemental Manifestation when Activated.',100,0,9),
(167454,10076138,'Summons a pet Elemental Manifestation',100,1,10),
(167455,10076138,'The casting time of Elemental Manifestation is 10.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,11),
(167456,10076138,'When Equipped:',100,0,12),
(167457,10076138,'Increases the base damage of hostile spells by 10%',100,1,13),
(167458,71519,'When Equipped:',100,0,0),
(167459,71519,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167460,71519,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(167461,71519,'Cannot be modified except by direct means',100,2,3),
(167462,10071519,'When Equipped:',100,0,0),
(167463,10071519,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167464,10071519,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(167465,10071519,'Cannot be modified except by direct means',100,2,3),
(167466,117186,'Inflicts 107 poison damage on target instantly and every 4 seconds',100,1,0),
(167467,117186,'Decreases WIS of target by 86.8',100,1,1),
(167468,10117186,'Inflicts 128 poison damage on target instantly and every 4 seconds',100,1,0),
(167469,10117186,'Decreases WIS of target by 86.8',100,1,1),
(167470,107663,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1164',100,1,0),
(167471,10107663,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1164',100,1,0),
(167472,102618,'Increases Threat to target encounter by 1,713 - 2,093 ',100,1,0),
(167473,102618,'Interrupts target encounter',100,1,1),
(167474,102618,'Decreases Mitigation of target encounter vs noxious damage by 1155',100,1,2),
(167475,10102618,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(167476,10102618,'Prevents target from changing targets',100,2,1),
(167477,10102618,'Forces target to change their selected target to caster.',100,2,2),
(167478,10102618,'Interrupts target encounter',100,1,3),
(167479,10102618,'Decreases Mitigation of target encounter vs noxious damage by 1155',100,1,4),
(167480,122179,'Inflicts 94 - 115 cold damage on target instantly and every 2 seconds',100,1,0),
(167481,122179,'Inflicts 94 - 115 cold damage on target instantly and every 2 seconds',100,1,1),
(167482,122179,'If target is elemental',100,2,2),
(167483,10122179,'Inflicts 113 - 138 cold damage on target instantly and every 2 seconds',100,1,0),
(167484,123465,'Shapechanges caster into a bear',100,1,0),
(167485,123465,'Increases WIS of caster by 97.2',100,1,1),
(167486,123465,'Grants See Stealth to caster',100,1,2),
(167487,123465,'Increases Max Health of caster by 430.2',100,1,3),
(167488,123465,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1473',100,1,4),
(167489,10123465,'Shapechanges caster into a bear',100,1,0),
(167490,10123465,'Increases WIS of caster by 97.2',100,1,1),
(167491,10123465,'Grants See Stealth to caster',100,1,2),
(167492,10123465,'Increases Max Health of caster by 430.2',100,1,3),
(167493,10123465,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1473',100,1,4),
(167494,117414,'Increases Mitigation of group members (AE) vs physical damage by 79',100,1,0),
(167495,10117414,'Increases Mitigation of group members (AE) vs physical damage by 79',100,1,0),
(167496,124088,'Dispels 78 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(167497,10124088,'Dispels 78 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(167498,116385,'Heals target for 120 - 147 instantly and every 2 seconds',100,1,0),
(167499,10116385,'Heals target for 78 - 95 instantly and every 2 seconds',100,1,0),
(167500,117860,'Heals target for 81 - 99 instantly and every 2 seconds',100,1,0),
(167501,10117860,'Heals target for 53 - 65 instantly and every 2 seconds',100,1,0),
(167502,109635,'Wards target against 345 points of all damage',100,1,0),
(167503,10109635,'Wards target against 345 points of all damage',100,1,0),
(167504,108018,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(167505,108018,'Increases Mitigation of group members (AE) vs elemental damage by 1738',100,1,1),
(167506,10108018,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(167507,10108018,'Increases Mitigation of group members (AE) vs elemental damage by 1738',100,1,1),
(167508,104077,'Inflicts 161 - 268 mental damage on target',100,1,0),
(167509,104077,'Inflicts 161 - 268 mental damage on target',100,1,1),
(167510,10104077,'Inflicts 193 - 322 mental damage on target',100,1,0),
(167511,10104077,'Inflicts 193 - 322 mental damage on target',100,1,1),
(167512,85310,'When Equipped:',100,0,0),
(167513,85310,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167514,85310,'Inflicts 164 - 273 magic damage on target',100,2,2),
(167515,85310,'Cannot be modified except by direct means',100,2,3),
(167516,10085310,'When Equipped:',100,0,0),
(167517,10085310,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167518,10085310,'Inflicts 196 - 327 magic damage on target',100,2,2),
(167519,10085310,'Cannot be modified except by direct means',100,2,3),
(167520,124170,'Inflicts 9 - 16 melee damage on target',100,1,0),
(167521,10124170,'Inflicts 11 - 19 melee damage on target',100,1,0),
(167522,115626,'Wards target against 2288 points of all damage',100,1,0),
(167523,10115626,'Wards target against 3432 points of all damage',100,1,0),
(167524,109334,'Increases STR of caster by 109.4',100,1,0),
(167525,109334,'Decreases Defense of caster by 13.2',100,1,1),
(167526,109334,'Increases Slashing, Piercing and Crushing of caster by 31.7',100,1,2),
(167527,10109334,'Increases STR of caster by 109.4',100,1,0),
(167528,10109334,'Decreases Defense of caster by 13.2',100,1,1),
(167529,10109334,'Increases Slashing, Piercing and Crushing of caster by 31.7',100,1,2),
(167530,122997,'Wards group members (AE) collectively against 973 total points of all damage',100,1,0),
(167531,10122997,'Wards group members (AE) collectively against 1450 total points of all damage',100,1,0),
(167532,53245,'When Equipped:',100,0,0),
(167533,53245,'Increases caster''s chance to block by 10.0%',100,1,1),
(167534,10053245,'When Equipped:',100,0,0),
(167535,10053245,'Increases caster''s chance to block by 10.0%',100,1,1),
(167536,47523,'Applies Petrified Halfling Eye when Activated.  Lasts for 6 hours.',100,0,0),
(167537,47523,'Shapechanges caster into a halfling',100,1,1),
(167538,10047523,'Applies Petrified Halfling Eye when Activated.  Lasts for 6 hours.',100,0,0),
(167539,10047523,'Shapechanges caster into a halfling',100,1,1),
(167540,107025,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',100,1,0),
(167541,107025,'Dazes caster',100,2,1),
(167542,107025,'Stifles caster',100,2,2),
(167543,107025,'Heals caster for 80.0% of max health',100,2,3),
(167544,107025,'This effect cannot be critically applied.',100,3,4),
(167545,107025,'The healing of this spell cannot be modified except by direct means',100,2,5),
(167546,107025,'Grants a total of 1 trigger of the spell.',100,2,6),
(167547,10107025,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',100,1,0),
(167548,10107025,'Stifles caster',100,2,1),
(167549,10107025,'Dazes caster',100,2,2),
(167550,10107025,'Heals caster for 40.0% of max health',100,2,3),
(167551,10107025,'This effect cannot be critically applied.',100,3,4),
(167552,10107025,'The healing of this spell cannot be modified except by direct means',100,2,5),
(167553,10107025,'Grants a total of 1 trigger of the spell.',100,2,6),
(167554,47123,'Applies Murky Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(167555,47123,'Increases Max Health of caster by 332.8',100,1,1),
(167556,47123,'Only affects targets level 50 and above',100,1,2),
(167557,10047123,'Applies Murky Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(167558,10047123,'Increases Max Health of caster by 332.8',100,1,1),
(167559,10047123,'Only affects targets level 50 and above',100,1,2),
(167560,114971,'Decreases Attack Speed of target by 9.9',100,1,0),
(167561,114971,'Inflicts 44 - 133 slashing damage on target',100,1,1),
(167562,114971,'Inflicts 89 slashing damage on target instantly and every 4 seconds',100,1,2),
(167563,10114971,'Decreases Attack Speed of target by 9.9',100,1,0),
(167564,10114971,'Inflicts 53 - 160 slashing damage on target',100,1,1),
(167565,10114971,'Inflicts 107 slashing damage on target instantly and every 4 seconds',100,1,2),
(167566,40225,'When Equipped:',100,0,0),
(167567,40225,'On a combat hit this spell may cast Hollow Bludgeon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167568,40225,'Inflicts 173 - 260 divine damage on target',100,2,2),
(167569,40225,'Cannot be modified except by direct means',100,2,3),
(167570,40225,'Applies Summon Umbral Darkness when Activated.',100,0,4),
(167571,40225,'Summons 100 umbral darknesses',100,1,5),
(167572,40225,'The casting time of Summon Umbral Darkness is 4.0 seconds and the reuse time of the spell is 5 minutes',100,1,6),
(167573,10040225,'When Equipped:',100,0,0),
(167574,10040225,'On a combat hit this spell may cast Hollow Bludgeon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167575,10040225,'Inflicts 208 - 312 divine damage on target',100,2,2),
(167576,10040225,'Cannot be modified except by direct means',100,2,3),
(167577,10040225,'Applies Summon Umbral Darkness when Activated.',100,0,4),
(167578,10040225,'Summons 100 umbral darknesses',100,1,5),
(167579,10040225,'The casting time of Summon Umbral Darkness is 4.0 seconds and the reuse time of the spell is 5 minutes',100,1,6),
(167580,123627,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(167581,123627,'Slows target by 31.8%',100,2,1),
(167582,123627,'5% chance to dispel when target receives hostile action',100,2,2),
(167583,123627,'5% chance to dispel when target takes damage',100,2,3),
(167584,123627,'Inflicts 28 - 35 cold damage on target',100,1,4),
(167585,10123627,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(167586,10123627,'Slows target by 31.8%',100,2,1),
(167587,10123627,'5% chance to dispel when target receives hostile action',100,2,2),
(167588,10123627,'5% chance to dispel when target takes damage',100,2,3),
(167589,10123627,'Inflicts 29 - 36 cold damage on target',100,1,4),
(167590,146053,'When Equipped:',100,0,0),
(167591,146053,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(167592,146053,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(167593,146053,'Increases Attack Speed of caster by 6.0',100,2,3),
(167594,146053,'Increases Damage Per Second of caster by 9.0',100,2,4),
(167595,146053,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(167596,146053,'Must not be engaged in pvp combat',100,2,6),
(167597,146053,'Cannot be modified except by direct means',100,2,7),
(167598,146053,'Cannot be modified except by direct means',100,1,8),
(167599,10146053,'When Equipped:',100,0,0),
(167600,10146053,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(167601,10146053,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(167602,10146053,'Increases Attack Speed of caster by 6.0',100,2,3),
(167603,10146053,'Increases Damage Per Second of caster by 9.0',100,2,4),
(167604,10146053,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(167605,10146053,'Must not be engaged in pvp combat',100,2,6),
(167606,10146053,'Cannot be modified except by direct means',100,2,7),
(167607,10146053,'Cannot be modified except by direct means',100,1,8),
(167608,75637,'Applies Holy Strike when Activated.',100,0,0),
(167609,75637,'Inflicts 69 - 115 divine damage on target',100,1,1),
(167610,75637,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(167611,10075637,'Applies Holy Strike when Activated.',100,0,0),
(167612,10075637,'Inflicts 83 - 138 divine damage on target',100,1,1),
(167613,10075637,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(167614,49042,'Applies Play Unstable Recording: ''Nobility of the Di''Zok'' when Activated.',100,0,0),
(167615,49042,'Play the recording of ''Nobility of the Di''Zok''.',100,1,1),
(167616,10049042,'Applies Play Unstable Recording: ''Nobility of the Di''Zok'' when Activated.',100,0,0),
(167617,10049042,'Play the recording of ''Nobility of the Di''Zok''.',100,1,1),
(167618,123752,'Decreases Mitigation of target vs noxious damage by 207',100,1,0),
(167619,123752,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(167620,123752,'Slows target by 29.8%',100,2,2),
(167621,123752,'5% chance to dispel when target receives hostile action',100,2,3),
(167622,123752,'5% chance to dispel when target takes damage',100,2,4),
(167623,10123752,'Decreases Mitigation of target vs noxious damage by 207',100,1,0),
(167624,10123752,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(167625,10123752,'Slows target by 29.8%',100,2,2),
(167626,10123752,'5% chance to dispel when target receives hostile action',100,2,3),
(167627,10123752,'5% chance to dispel when target takes damage',100,2,4),
(167628,124592,'Roots targets in Area of Effect',100,1,0),
(167629,124592,'If Target is not Epic',100,2,1),
(167630,124592,'Decreases Threat to targets in Area of Effect by 3,313 ',100,1,2),
(167631,124592,'Interrupts targets in Area of Effect',100,1,3),
(167632,10124592,'Roots targets in Area of Effect',100,1,0),
(167633,10124592,'If Target is not Epic',100,2,1),
(167634,10124592,'Applies Distract.',100,1,2),
(167635,10124592,'Forces target to clear their selected target.',100,2,3),
(167636,10124592,'Interrupts targets in Area of Effect',100,1,4),
(167637,10124592,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(167638,159040,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(167639,159040,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(167640,159040,'Heals target for 50 instantly and every 4 seconds',100,2,2),
(167641,159040,'Cannot be modified except by direct means',100,2,3),
(167642,10159040,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(167643,10159040,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(167644,10159040,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(167645,10159040,'Cannot be modified except by direct means',100,2,3),
(167646,134561,'When Equipped:',100,0,0),
(167647,134561,'On a combat hit this spell may cast Aggravate II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(167648,134561,'Increases Threat to target by 705 ',100,2,2),
(167649,134561,'Cannot be modified except by direct means',100,2,3),
(167650,10134561,'When Equipped:',100,0,0),
(167651,10134561,'On a combat hit this spell may cast Aggravate II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(167652,10134561,'Cannot be modified except by direct means',100,2,2),
(167653,118874,'Inflicts 23 - 39 melee damage on target',100,1,0),
(167654,118874,'Inflicts 23 - 39 melee damage on target',100,1,1),
(167655,118874,'Inflicts 23 - 39 melee damage on target',100,1,2),
(167656,118874,'Inflicts 23 - 39 melee damage on target',100,1,3),
(167657,118874,'Inflicts 23 - 39 melee damage on target',100,1,4),
(167658,10118874,'Inflicts 28 - 47 melee damage on target',100,1,0),
(167659,10118874,'Inflicts 28 - 47 melee damage on target',100,1,1),
(167660,10118874,'Inflicts 28 - 47 melee damage on target',100,1,2),
(167661,10118874,'Inflicts 28 - 47 melee damage on target',100,1,3),
(167662,10118874,'Inflicts 28 - 47 melee damage on target',100,1,4),
(167663,188217,'When Equipped:',100,0,0),
(167664,188217,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(167665,188217,'Increases Threat to target by 455 ',100,2,2),
(167666,188217,'Cannot be modified except by direct means',100,2,3),
(167667,10188217,'When Equipped:',100,0,0),
(167668,10188217,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(167669,10188217,'Cannot be modified except by direct means',100,2,2),
(167670,159358,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(167671,159358,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(167672,159358,'Inflicts 84 heat damage on target',100,2,2),
(167673,159358,'Cannot be modified except by direct means',100,2,3),
(167674,10159358,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(167675,10159358,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(167676,10159358,'Inflicts 101 heat damage on target',100,2,2),
(167677,10159358,'Cannot be modified except by direct means',100,2,3),
(167678,81856,'When Equipped:',100,0,0),
(167679,81856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167680,81856,'Inflicts 105 - 195 magic damage on target',100,2,2),
(167681,81856,'Cannot be modified except by direct means',100,2,3),
(167682,10081856,'When Equipped:',100,0,0),
(167683,10081856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167684,10081856,'Inflicts 126 - 234 magic damage on target',100,2,2),
(167685,10081856,'Cannot be modified except by direct means',100,2,3),
(167686,124542,'Dispels 68 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(167687,10124542,'Dispels 68 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(167688,116351,'Mesmerizes target encounter',100,1,0),
(167689,116351,'Prevents AOE (except when direct) ',100,1,1),
(167690,116351,'Dispelled when target takes damage',100,1,2),
(167691,116351,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(167692,116351,'Resistibility increases against targets higher than level 80.',100,1,4),
(167693,10116351,'Mesmerizes target encounter',100,1,0),
(167694,10116351,'Prevents AOE (except when direct) ',100,1,1),
(167695,10116351,'Dispelled when target takes damage',100,1,2),
(167696,10116351,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(167697,10116351,'Resistibility increases against targets higher than level 80.',100,1,4),
(167698,35833,'Increases AGI of target by 1.5',100,0,0),
(167699,35833,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(167700,109720,'Inflicts 124 - 208 cold damage on target',100,1,0),
(167701,109720,'If weapon equipped in Ranged',100,1,1),
(167702,10109720,'Inflicts 106 - 177 cold damage on target',100,1,0),
(167703,10109720,'If weapon equipped in Ranged',100,1,1),
(167704,177490,'When Equipped:',100,0,0),
(167705,177490,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167706,177490,'Increases STR of caster by 23.1',100,2,2),
(167707,177490,'Increases Damage Per Second of caster by 27.8',100,2,3),
(167708,177490,'Cannot be modified except by direct means',100,2,4),
(167709,10177490,'When Equipped:',100,0,0),
(167710,10177490,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167711,10177490,'Increases STR of caster by 23.1',100,2,2),
(167712,10177490,'Increases Damage Per Second of caster by 27.8',100,2,3),
(167713,10177490,'Cannot be modified except by direct means',100,2,4),
(167714,155203,'When Equipped:',100,0,0),
(167715,155203,'Increases the caster''s heals and wards by 5%.',100,1,1),
(167716,155203,'Must not be engaged in pvp combat',100,1,2),
(167717,10155203,'When Equipped:',100,0,0),
(167718,10155203,'Increases the caster''s heals and wards by 5%.',100,1,1),
(167719,10155203,'Must not be engaged in pvp combat',100,1,2),
(167720,117904,'Increases In-Combat Health Regeneration of group members (AE) by 75.6',100,1,0),
(167721,117904,'Increases Max Health of group members (AE) by 411.6',100,1,1),
(167722,10117904,'Increases In-Combat Health Regeneration of group members (AE) by 75.6',100,1,0),
(167723,10117904,'Increases Max Health of group members (AE) by 411.6',100,1,1),
(167724,139330,'When Equipped:',100,0,0),
(167725,139330,'On a damage spell hit this spell may cast Mindtap on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(167726,139330,'Decreases power of target by 50',100,2,2),
(167727,139330,'Increases power of caster by 50',100,2,3),
(167728,139330,'Cannot be modified except by direct means',100,2,4),
(167729,10139330,'When Equipped:',100,0,0),
(167730,10139330,'On a damage spell hit this spell may cast Mindtap on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(167731,10139330,'Decreases power of target by 50',100,2,2),
(167732,10139330,'Increases power of caster by 50',100,2,3),
(167733,10139330,'Cannot be modified except by direct means',100,2,4),
(167734,72186,'When Equipped:',100,0,0),
(167735,72186,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167736,72186,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(167737,72186,'Cannot be modified except by direct means',100,2,3),
(167738,10072186,'When Equipped:',100,0,0),
(167739,10072186,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(167740,10072186,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(167741,10072186,'Cannot be modified except by direct means',100,2,3),
(167742,154440,'When Equipped:',100,0,0),
(167743,154440,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(167744,154440,'Increases Threat to target by 1,005 ',100,2,2),
(167745,154440,'Cannot be modified except by direct means',100,2,3),
(167746,10154440,'When Equipped:',100,0,0),
(167747,10154440,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(167748,10154440,'Cannot be modified except by direct means',100,2,2),
(167749,131847,'When Equipped:',100,0,0),
(167750,131847,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(167751,131847,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(167752,131847,'Applies Dispersion on termination.',100,2,3),
(167753,131847,'Increases power of group members by 188',100,3,4),
(167754,131847,'Cannot be modified except by direct means',100,2,5),
(167755,131847,'Cannot be modified except by direct means',100,1,6),
(167756,10131847,'When Equipped:',100,0,0),
(167757,10131847,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(167758,10131847,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(167759,10131847,'Applies Dispersion on termination.',100,2,3),
(167760,10131847,'Increases power of group members by 188',100,3,4),
(167761,10131847,'Cannot be modified except by direct means',100,2,5),
(167762,10131847,'Cannot be modified except by direct means',100,1,6),
(167763,123077,'Summons a pet undead knight',100,1,0),
(167764,10123077,'Summons a pet undead knight',100,1,0),
(167765,107999,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(167766,107999,'Increases Mitigation of group members (AE) vs elemental damage by 550',100,1,1),
(167767,10107999,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(167768,10107999,'Increases Mitigation of group members (AE) vs elemental damage by 550',100,1,1),
(167769,107561,'Heals target for 125 - 152',100,1,0),
(167770,107561,'Heals target for 16 - 20 every second',100,1,1),
(167771,10107561,'Heals target for 81 - 99',100,1,0),
(167772,10107561,'Heals target for 10 - 13 every second',100,1,1),
(167773,112149,'Dispels 137 levels of physical and arcane hostile effects on caster',100,1,0),
(167774,10112149,'Dispels 137 levels of physical and arcane hostile effects on caster',100,1,0),
(167775,101615,'Applies Forceful Headache on termination.',100,1,0),
(167776,101615,'Inflicts 35 - 58 mental damage on target',100,2,1),
(167777,101615,'If over 50% power',100,3,2),
(167778,101615,'Inflicts 14 - 17 mental damage on target instantly and every 6 seconds',100,1,3),
(167779,101615,'Decreases Mitigation of target vs arcane damage by 172',100,1,4),
(167780,10101615,'Applies Forceful Headache on termination.',100,1,0),
(167781,10101615,'Inflicts 42 - 69 mental damage on target',100,2,1),
(167782,10101615,'If over 50% power',100,3,2),
(167783,10101615,'Inflicts 17 - 20 mental damage on target instantly and every 6 seconds',100,1,3),
(167784,10101615,'Decreases Mitigation of target vs arcane damage by 172',100,1,4),
(167785,170541,'When Equipped:',100,0,0),
(167786,170541,'Increases Attack Speed of caster by 35.0',100,1,1),
(167787,10170541,'When Equipped:',100,0,0),
(167788,10170541,'Increases Attack Speed of caster by 35.0',100,1,1),
(167789,112527,'Interrupts target',50,1,0),
(167790,112527,'Inflicts 27 - 33 divine damage on target',100,1,1),
(167791,10112527,'Interrupts target',50,1,0),
(167792,10112527,'Inflicts 42 - 51 divine damage on target',100,1,1),
(167793,36623,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(167794,87536,'Applies Lightning Shock when Activated.',100,0,0),
(167795,87536,'Inflicts 121 - 202 magic damage on target',100,1,1),
(167796,87536,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(167797,10087536,'Applies Lightning Shock when Activated.',100,0,0),
(167798,10087536,'Inflicts 145 - 242 magic damage on target',100,1,1),
(167799,10087536,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(167800,117437,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(167801,117437,'Inflicts 250 - 464 melee damage on targets in area',100,2,1),
(167802,117437,'Grants a total of 10 triggers of the spell.',100,2,2),
(167803,10117437,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(167804,10117437,'Inflicts 300 - 557 melee damage on targets in area',100,2,1),
(167805,10117437,'Grants a total of 10 triggers of the spell.',100,2,2),
(167806,111197,'Inflicts 167 - 279 divine damage on targets in area',100,1,0),
(167807,111197,'Heals group members (AE) for 1.7% of max health',100,1,1),
(167808,111197,'This effect cannot be critically applied.',100,2,2),
(167809,111197,'The healing of this spell cannot be modified except by direct means',100,1,3),
(167810,10111197,'Inflicts 201 - 335 divine damage on targets in area',100,1,0),
(167811,10111197,'Heals group members (AE) for 1.1% of max health',100,1,1),
(167812,10111197,'This effect cannot be critically applied.',100,2,2),
(167813,10111197,'The healing of this spell cannot be modified except by direct means',100,1,3),
(167814,46197,'Applies Petamorph: Black Dragon when Activated.  Lasts for 2 hours.',100,0,0),
(167815,46197,'Turns the caster''s combat pet into a black baby dragon. Does not work on cosmetic pets.',100,1,1),
(167816,10046197,'Applies Petamorph: Black Dragon when Activated.  Lasts for 2 hours.',100,0,0),
(167817,10046197,'Turns the caster''s combat pet into a black baby dragon. Does not work on cosmetic pets.',100,1,1),
(167818,103466,'Increases In-Combat Power Regeneration of group members (AE) by 8.7',100,1,0),
(167819,10103466,'Increases In-Combat Power Regeneration of group members (AE) by 8.7',100,1,0),
(167820,116165,'Increases Attack Speed of caster by 26.6',100,1,0),
(167821,116165,'Increases Damage Per Second of caster by 30.7',100,1,1),
(167822,10116165,'Increases Attack Speed of caster by 26.6',100,1,0),
(167823,10116165,'Increases Damage Per Second of caster by 30.7',100,1,1),
(167824,46787,'Applies noxious remedy when Activated.',100,0,0),
(167825,46787,'Dispels 18 levels of noxious hostile effects on caster',100,1,1),
(167826,10046787,'Applies noxious remedy when Activated.',100,0,0),
(167827,10046787,'Dispels 18 levels of noxious hostile effects on caster',100,1,1),
(167828,45352,'Applies Touch of The Prime Healer when Activated.',100,0,0),
(167829,10045352,'Applies Touch of The Prime Healer when Activated.',100,0,0),
(167830,102560,'Increases AGI of caster by 47.7',100,1,0),
(167831,102560,'Increases Max Health of caster by 138.0',100,1,1),
(167832,102560,'Adds 15.6% to base avoidance.',100,1,2),
(167833,102560,'Increases Mitigation of caster vs physical damage by 287',100,1,3),
(167834,102560,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,4),
(167835,10102560,'Increases AGI of caster by 47.7',100,1,0),
(167836,10102560,'Increases Max Health of caster by 138.0',100,1,1),
(167837,10102560,'Adds 15.6% to base avoidance.',100,1,2),
(167838,10102560,'Increases Mitigation of caster vs physical damage by 287',100,1,3),
(167839,10102560,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,4),
(167840,24644,'Adds Poet''s Palace: Shattered Fragments to your Dungeon Maker toolbox',100,0,0),
(167841,10024644,'Adds Poet''s Palace: Shattered Fragments to your Dungeon Maker toolbox',100,0,0),
(167842,113038,'Decreases Damage Per Second of target by 28.3',100,1,0),
(167843,10113038,'Decreases Damage Per Second of target by 28.3',100,1,0),
(167844,82001,'When Equipped:',100,0,0),
(167845,82001,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167846,82001,'Inflicts 135 - 252 magic damage on target',100,2,2),
(167847,82001,'Decreases Threat to target by 641 ',100,2,3),
(167848,82001,'Must be flanking or behind',100,3,4),
(167849,82001,'Increases Threat to target by 646 ',100,2,5),
(167850,82001,'Must be in front of',100,3,6),
(167851,82001,'Cannot be modified except by direct means',100,2,7),
(167852,10082001,'When Equipped:',100,0,0),
(167853,10082001,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(167854,10082001,'Inflicts 163 - 302 magic damage on target',100,2,2),
(167855,10082001,'Cannot be modified except by direct means',100,2,3),
(167856,104580,'Inflicts 347 - 578 disease damage on target',100,1,0),
(167857,104580,'Decreases WIS of target by 120.8',100,1,1),
(167858,10104580,'Inflicts 416 - 694 disease damage on target',100,1,0),
(167859,10104580,'Decreases WIS of target by 120.8',100,1,1),
(167860,35263,'Increases STR of target by 1.5',100,0,0),
(167861,35263,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(167862,136613,'When Equipped:',100,0,0),
(167863,136613,'On a combat hit this spell may cast Symphonic Allure on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(167864,136613,'Inflicts 1752 poison damage on target',100,2,2),
(167865,136613,'Heals caster for 1402',100,2,3),
(167866,136613,'When any damage is received this spell has a 10% chance to cast Symphonic Allure on target''s attacker.  ',100,2,4),
(167867,136613,'Heals target for 1292',100,3,5),
(167868,136613,'This effect cannot be critically applied.',100,4,6),
(167869,136613,'Cannot be modified except by direct means',100,3,7),
(167870,136613,'Cannot be modified except by direct means',100,2,8),
(167871,136613,'Cannot be modified except by direct means',100,1,9),
(167872,10136613,'When Equipped:',100,0,0),
(167873,10136613,'On a combat hit this spell may cast Symphonic Allure on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(167874,10136613,'Inflicts 2102 poison damage on target',100,2,2),
(167875,10136613,'Heals caster for 911',100,2,3),
(167876,10136613,'When any damage is received this spell has a 10% chance to cast Symphonic Allure on target''s attacker.  ',100,2,4),
(167877,10136613,'Heals target for 840',100,3,5),
(167878,10136613,'This effect cannot be critically applied.',100,4,6),
(167879,10136613,'Cannot be modified except by direct means',100,3,7),
(167880,10136613,'Cannot be modified except by direct means',100,2,8),
(167881,10136613,'Cannot be modified except by direct means',100,1,9),
(167882,117255,'Inflicts 48 slashing damage on target every 4 seconds',100,1,0),
(167883,117255,'Inflicts 242 - 404 melee damage on target',100,1,1),
(167884,10117255,'Inflicts 58 slashing damage on target every 4 seconds',100,1,0),
(167885,10117255,'Inflicts 291 - 485 melee damage on target',100,1,1),
(167886,48613,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(167887,48613,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(167888,48613,'Decreases power of target by 52',100,2,2),
(167889,48613,'Cannot be modified except by direct means',100,2,3),
(167890,48613,'Grants a total of 4 triggers of the spell.',100,2,4),
(167891,10048613,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(167892,10048613,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(167893,10048613,'Decreases power of target by 52',100,2,2),
(167894,10048613,'Cannot be modified except by direct means',100,2,3),
(167895,10048613,'Grants a total of 4 triggers of the spell.',100,2,4),
(167896,82302,'When Equipped:',100,0,0),
(167897,82302,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167898,82302,'Inflicts 184 - 342 magic damage on target',100,2,2),
(167899,82302,'Cannot be modified except by direct means',100,2,3),
(167900,10082302,'When Equipped:',100,0,0),
(167901,10082302,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167902,10082302,'Inflicts 221 - 410 magic damage on target',100,2,2),
(167903,10082302,'Cannot be modified except by direct means',100,2,3),
(167904,74768,'When Equipped:',100,0,0),
(167905,74768,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167906,74768,'Inflicts 62 - 93 magic damage on target',100,2,2),
(167907,74768,'Cannot be modified except by direct means',100,2,3),
(167908,10074768,'When Equipped:',100,0,0),
(167909,10074768,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(167910,10074768,'Inflicts 74 - 111 magic damage on target',100,2,2),
(167911,10074768,'Cannot be modified except by direct means',100,2,3),
(167912,52911,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(167913,52911,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(167914,52911,'Inflicts 60 heat damage on target',100,2,2),
(167915,52911,'Cannot be modified except by direct means',100,2,3),
(167916,10052911,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(167917,10052911,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(167918,10052911,'Inflicts 72 heat damage on target',100,2,2),
(167919,10052911,'Cannot be modified except by direct means',100,2,3),
(167920,112545,'Interrupts target',50,1,0),
(167921,112545,'Inflicts 580 - 709 divine damage on target',100,1,1),
(167922,10112545,'Interrupts target',50,1,0),
(167923,10112545,'Inflicts 895 - 1094 divine damage on target',100,1,1),
(167924,47336,'Applies Summon Myron''s Gearskif when Activated.',100,0,0),
(167925,47336,'Summons a mount to ride',100,1,1),
(167926,47336,'Increases your ground speed by 130%',100,2,2),
(167927,10047336,'Applies Summon Myron''s Gearskif when Activated.',100,0,0),
(167928,10047336,'Summons a mount to ride',100,1,1),
(167929,10047336,'Increases your ground speed by 130%',100,2,2),
(167930,102462,'Stuns target encounter',100,1,0),
(167931,102462,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(167932,102462,'Resistibility increases against targets higher than level 100.',100,1,2),
(167933,10102462,'Stuns target encounter',100,1,0),
(167934,10102462,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(167935,10102462,'Resistibility increases against targets higher than level 100.',100,1,2),
(167936,48687,'Applies Conladan''s Awakening  when Activated.  Lasts for 15 minutes.',100,0,0),
(167937,48687,'Increases Max Power of caster by 207.2',100,1,1),
(167938,10048687,'Applies Conladan''s Awakening  when Activated.  Lasts for 15 minutes.',100,0,0),
(167939,10048687,'Increases Max Power of caster by 207.2',100,1,1),
(167940,120917,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(167941,120917,'Inflicts 222 - 271 mental damage on target',100,2,1),
(167942,120917,'Grants a total of 3 triggers of the spell.',100,2,2),
(167943,10120917,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(167944,10120917,'Inflicts 266 - 325 mental damage on target',100,2,1),
(167945,10120917,'Grants a total of 3 triggers of the spell.',100,2,2),
(167946,117645,'Decreases Mitigation of target vs physical damage by 120',100,1,0),
(167947,10117645,'Decreases Mitigation of target vs physical damage by 120',100,1,0),
(167948,171389,'When Equipped:',100,0,0),
(167949,171389,'On a critical healing spell cast this spell may cast Rehabilitate IX on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(167950,171389,'Heals target for 1385 - 1531',100,2,2),
(167951,171389,'Applies Rehabilitate IX on termination.  Lasts for 15.0 seconds.',100,2,3),
(167952,171389,'Wards target against 2500 points of all damage',100,3,4),
(167953,171389,'Must not be engaged in pvp combat',100,3,5),
(167954,171389,'Cannot be modified except by direct means',100,3,6),
(167955,171389,'If under 50% Health',100,3,7),
(167956,171389,'Must not be engaged in pvp combat',100,2,8),
(167957,171389,'Cannot be modified except by direct means',100,2,9),
(167958,171389,'Must not be engaged in pvp combat',100,1,10),
(167959,10171389,'When Equipped:',100,0,0),
(167960,10171389,'On a critical healing spell cast this spell may cast Rehabilitate IX on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(167961,10171389,'Heals target for 1621 - 1791',100,2,2),
(167962,10171389,'Applies Rehabilitate IX on termination.  Lasts for 15.0 seconds.',100,2,3),
(167963,10171389,'Wards target against 2500 points of all damage',100,3,4),
(167964,10171389,'Must not be engaged in pvp combat',100,3,5),
(167965,10171389,'Cannot be modified except by direct means',100,3,6),
(167966,10171389,'If under 50% Health',100,3,7),
(167967,10171389,'Must not be engaged in pvp combat',100,2,8),
(167968,10171389,'Cannot be modified except by direct means',100,2,9),
(167969,10171389,'Must not be engaged in pvp combat',100,1,10),
(167970,159370,'Applies Lambent Imbued when Equipped.',100,0,0),
(167971,159370,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(167972,159370,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(167973,159370,'Cannot be modified except by direct means',100,2,3),
(167974,10159370,'Applies Lambent Imbued when Equipped.',100,0,0),
(167975,10159370,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(167976,10159370,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(167977,10159370,'Cannot be modified except by direct means',100,2,3),
(167978,45604,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(167979,45604,'Increases STR and STA of caster by 17.3',100,1,1),
(167980,10045604,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(167981,10045604,'Increases STR and STA of caster by 17.3',100,1,1),
(167982,35258,'Increases INT of target by 1.5',100,0,0),
(167983,35258,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(167984,107904,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(167985,107904,'Slows target by 70.4%',100,2,1),
(167986,107904,'5% chance to dispel when target receives hostile action',100,2,2),
(167987,107904,'5% chance to dispel when target takes damage',100,2,3),
(167988,107904,'Slows target encounter by 84.5%',100,1,4),
(167989,107904,'5% chance to dispel when target takes damage',100,1,5),
(167990,10107904,'Slows target encounter by 84.5%',100,1,0),
(167991,10107904,'5% chance to dispel when target takes damage',100,1,1),
(167992,24708,'Adds Spider (Assassin) to your Dungeon Maker toolbox',100,0,0),
(167993,10024708,'Adds Spider (Assassin) to your Dungeon Maker toolbox',100,0,0),
(167994,107029,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(167995,107029,'Inflicts 14 - 24 divine damage on target',100,2,1),
(167996,107029,'Inflicts 14 - 24 divine damage on target',100,2,2),
(167997,107029,'If target is undead',100,3,3),
(167998,10107029,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(167999,10107029,'Inflicts 28 - 47 divine damage on target',100,2,1),
(168000,101014,'Increases INT of target by 209.4',100,1,0),
(168001,101014,'Increases Attack Speed of target by 73.3',100,1,1),
(168002,101014,'Decreases Defense and Parry of target by 42.3',100,1,2),
(168003,101014,'Increases Slashing, Piercing and Crushing of target by 46.4',100,1,3),
(168004,10101014,'Increases INT of target by 209.4',100,1,0),
(168005,10101014,'Increases Attack Speed of target by 73.3',100,1,1),
(168006,10101014,'Decreases Defense and Parry of target by 42.3',100,1,2),
(168007,10101014,'Increases Slashing, Piercing and Crushing of target by 46.4',100,1,3),
(168008,24100,'Adds Chardok: Stone End Table to your Dungeon Maker toolbox',100,0,0),
(168009,10024100,'Adds Chardok: Stone End Table to your Dungeon Maker toolbox',100,0,0),
(168010,149039,'When Equipped:',100,0,0),
(168011,149039,'This effect will not stack with itself.',100,1,1),
(168012,149039,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(168013,149039,'Increases in-combat movement speed of caster by 10.0%',100,2,3),
(168014,149039,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(168015,149039,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(168016,149039,'Must not be engaged in pvp combat',100,2,6),
(168017,149039,'Cannot be modified except by direct means',100,2,7),
(168018,149039,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(168019,149039,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(168020,149039,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(168021,149039,'Increases Ability Casting Speed of caster by 10.0%',100,2,11),
(168022,149039,'Must not be engaged in pvp combat',100,2,12),
(168023,149039,'Cannot be modified except by direct means',100,2,13),
(168024,149039,'Must not be engaged in pvp combat',100,1,14),
(168025,10149039,'When Equipped:',100,0,0),
(168026,10149039,'This effect will not stack with itself.',100,1,1),
(168027,10149039,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(168028,10149039,'Increases in-combat movement speed of caster by 10.0%',100,2,3),
(168029,10149039,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(168030,10149039,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(168031,10149039,'Must not be engaged in pvp combat',100,2,6),
(168032,10149039,'Cannot be modified except by direct means',100,2,7),
(168033,10149039,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(168034,10149039,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(168035,10149039,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(168036,10149039,'Increases Ability Casting Speed of caster by 10.0%',100,2,11),
(168037,10149039,'Must not be engaged in pvp combat',100,2,12),
(168038,10149039,'Cannot be modified except by direct means',100,2,13),
(168039,10149039,'Must not be engaged in pvp combat',100,1,14),
(168040,110419,'Inflicts 2223 - 3706 disease damage on target',100,1,0),
(168041,10110419,'Inflicts 1830 - 3049 disease damage on target',100,1,0),
(168042,117035,'Inflicts 19 - 32 melee damage on target',100,1,0),
(168043,117035,'Decreases Attack Speed of target by 13.0',100,1,1),
(168044,10117035,'Inflicts 23 - 38 melee damage on target',100,1,0),
(168045,10117035,'Decreases Attack Speed of target by 13.0',100,1,1),
(168046,75466,'When Equipped:',100,0,0),
(168047,75466,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(168048,75466,'Reduces healing received by 15.00%',100,2,2),
(168049,75466,'Cannot be modified except by direct means',100,2,3),
(168050,75466,'This effect can only trigger once every 1 second.',100,2,4),
(168051,75466,'Must be engaged in pvp combat',100,1,5),
(168052,10075466,'When Equipped:',100,0,0),
(168053,10075466,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(168054,10075466,'Reduces healing received by 15.00%',100,2,2),
(168055,10075466,'Cannot be modified except by direct means',100,2,3),
(168056,10075466,'This effect can only trigger once every 1 second.',100,2,4),
(168057,10075466,'Must be engaged in pvp combat',100,1,5),
(168058,47567,'Applies Portable Workbench when Activated.  Lasts for 5 minutes.',100,0,0),
(168059,47567,'Summons Work Bench',100,1,1),
(168060,47567,'This effect cancels during combat',100,1,2),
(168061,10047567,'Applies Portable Workbench when Activated.  Lasts for 5 minutes.',100,0,0),
(168062,10047567,'Summons Work Bench',100,1,1),
(168063,10047567,'This effect cancels during combat',100,1,2),
(168064,144454,'When Equipped:',100,0,0),
(168065,144454,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(168066,144454,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(168067,144454,'Heals caster for 1277 - 1916',100,2,3),
(168068,144454,'Cannot be modified except by direct means',100,2,4),
(168069,144454,'Cannot be modified except by direct means',100,1,5),
(168070,10144454,'When Equipped:',100,0,0),
(168071,10144454,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(168072,10144454,'Inflicts 2302 - 3453 magic damage on target',100,2,2),
(168073,10144454,'Heals caster for 1495 - 2242',100,2,3),
(168074,10144454,'Cannot be modified except by direct means',100,2,4),
(168075,10144454,'Cannot be modified except by direct means',100,1,5),
(168076,163856,'When Equipped:',100,0,0),
(168077,163856,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(168078,163856,'Wards target against 80 points of all damage',100,2,2),
(168079,163856,'Cannot be modified except by direct means',100,2,3),
(168080,10163856,'When Equipped:',100,0,0),
(168081,10163856,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(168082,10163856,'Wards target against 80 points of all damage',100,2,2),
(168083,10163856,'Cannot be modified except by direct means',100,2,3),
(168084,102921,'Inflicts 15 - 18 disease damage on target instantly and every 4 seconds',100,1,0),
(168085,10102921,'Inflicts 24 - 29 disease damage on target',100,1,0),
(168086,10102921,'Inflicts 18 - 22 disease damage on target every 4 seconds',100,1,1),
(168087,108461,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(168088,108461,'Increases Aggression of caster by 4.6',100,1,1),
(168089,108461,'Increases Defense and Parry of caster by 9.1',100,1,2),
(168090,108461,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(168091,10108461,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(168092,10108461,'Increases Aggression of caster by 4.6',100,1,1),
(168093,10108461,'Increases Defense and Parry of caster by 9.1',100,1,2),
(168094,10108461,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(168095,111130,'Heals target for 18.8 - 23.0% of max health',100,1,0),
(168096,111130,'This effect cannot be critically applied.',100,2,1),
(168097,111130,'Increases Mitigation of target vs physical damage by 664',100,1,2),
(168098,111130,'The healing of this spell cannot be modified except by direct means',100,1,3),
(168099,10111130,'Heals target for 7.1 - 8.6% of max health',100,1,0),
(168100,10111130,'This effect cannot be critically applied.',100,2,1),
(168101,10111130,'Increases Mitigation of target vs physical damage by 664',100,1,2),
(168102,10111130,'The healing of this spell cannot be modified except by direct means',100,1,3),
(168103,120419,'Inflicts 29 - 48 melee damage on target',100,1,0),
(168104,120419,'Inflicts 29 - 48 melee damage on target',100,1,1),
(168105,10120419,'Inflicts 34 - 58 melee damage on target',100,1,0),
(168106,10120419,'Inflicts 34 - 58 melee damage on target',100,1,1),
(168107,108266,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(168108,108266,'Inflicts 115 heat damage on target',100,2,1),
(168109,108266,'Grants a total of 3 triggers of the spell.',100,2,2),
(168110,10108266,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(168111,10108266,'Inflicts 138 heat damage on target',100,2,1),
(168112,10108266,'Grants a total of 3 triggers of the spell.',100,2,2),
(168113,135156,'When Equipped:',100,0,0),
(168114,135156,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168115,135156,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(168116,135156,'Cannot be modified except by direct means',100,2,3),
(168117,10135156,'When Equipped:',100,0,0),
(168118,10135156,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168119,10135156,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(168120,10135156,'Cannot be modified except by direct means',100,2,3),
(168121,111448,'Decreases Attack Speed of caster by 15.5',100,1,0),
(168122,111448,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(168123,111448,'Roots target',100,2,2),
(168124,111448,'5% chance to dispel when target takes damage',100,2,3),
(168125,111448,'5% chance to dispel when target receives hostile action',100,2,4),
(168126,111448,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(168127,111448,'Increases Mitigation of caster vs physical damage by 550',100,1,6),
(168128,10111448,'Decreases Attack Speed of caster by 15.5',100,1,0),
(168129,10111448,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(168130,10111448,'Roots target',100,2,2),
(168131,10111448,'5% chance to dispel when target takes damage',100,2,3),
(168132,10111448,'5% chance to dispel when target receives hostile action',100,2,4),
(168133,10111448,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(168134,10111448,'Increases Mitigation of caster vs physical damage by 550',100,1,6),
(168135,102681,'Inflicts 339 divine damage on target encounter',100,1,0),
(168136,10102681,'Inflicts 407 divine damage on target encounter',100,1,0),
(168137,109734,'Inflicts 286 - 477 cold damage on target',100,1,0),
(168138,109734,'If weapon equipped in Ranged',100,1,1),
(168139,10109734,'Inflicts 243 - 406 cold damage on target',100,1,0),
(168140,10109734,'If weapon equipped in Ranged',100,1,1),
(168141,120346,'Inflicts 10 - 12 divine damage on target',100,1,0),
(168142,10120346,'Inflicts 12 - 14 divine damage on target',100,1,0),
(168143,122022,'Inflicts 10 - 17 melee damage on target',100,1,0),
(168144,122022,'Increases Threat to target by 99 - 120 ',100,1,1),
(168145,10122022,'Inflicts 12 - 21 melee damage on target',100,1,0),
(168146,48635,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(168147,48635,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(168148,48635,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(168149,48635,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(168150,48635,'Cannot be modified except by direct means',100,2,4),
(168151,48635,'Grants a total of 80 triggers of the spell.',100,2,5),
(168152,10048635,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(168153,10048635,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(168154,10048635,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(168155,10048635,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(168156,10048635,'Cannot be modified except by direct means',100,2,4),
(168157,10048635,'Grants a total of 80 triggers of the spell.',100,2,5),
(168158,25304,'When Equipped:',100,0,0),
(168159,25304,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(168160,25304,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(168161,10025304,'When Equipped:',100,0,0),
(168162,10025304,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(168163,10025304,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(168164,178891,'When Equipped:',100,0,0),
(168165,178891,'Reduces maximum falling speed of caster',100,1,1),
(168166,10178891,'When Equipped:',100,0,0),
(168167,10178891,'Reduces maximum falling speed of caster',100,1,1),
(168168,159912,'Applies Lambent Imbued when Equipped.',100,0,0),
(168169,159912,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(168170,159912,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(168171,159912,'Cannot be modified except by direct means',100,2,3),
(168172,10159912,'Applies Lambent Imbued when Equipped.',100,0,0),
(168173,10159912,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(168174,10159912,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(168175,10159912,'Cannot be modified except by direct means',100,2,3),
(168176,80809,'When Equipped:',100,0,0),
(168177,80809,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168178,80809,'Inflicts 190 - 352 magic damage on target',100,2,2),
(168179,80809,'Cannot be modified except by direct means',100,2,3),
(168180,10080809,'When Equipped:',100,0,0),
(168181,10080809,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168182,10080809,'Inflicts 228 - 423 magic damage on target',100,2,2),
(168183,10080809,'Cannot be modified except by direct means',100,2,3),
(168184,48609,'Applies Spirit Totem of the Sabertooth when Activated.  Lasts for 30 minutes.',100,0,0),
(168185,48609,'Increases speed of caster by 55.0%',100,1,1),
(168186,48609,'Shapechanges caster into a sabertooth',100,1,2),
(168187,48609,'This effect suspends during combat',100,1,3),
(168188,48609,'Only affects targets level 80 and above',100,1,4),
(168189,10048609,'Applies Spirit Totem of the Sabertooth when Activated.  Lasts for 30 minutes.',100,0,0),
(168190,10048609,'Increases speed of caster by 55.0%',100,1,1),
(168191,10048609,'Shapechanges caster into a sabertooth',100,1,2),
(168192,10048609,'This effect suspends during combat',100,1,3),
(168193,10048609,'Only affects targets level 80 and above',100,1,4),
(168194,81495,'When Equipped:',100,0,0),
(168195,81495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168196,81495,'Inflicts 70 - 129 magic damage on target',100,2,2),
(168197,81495,'Cannot be modified except by direct means',100,2,3),
(168198,10081495,'When Equipped:',100,0,0),
(168199,10081495,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168200,10081495,'Inflicts 84 - 155 magic damage on target',100,2,2),
(168201,10081495,'Cannot be modified except by direct means',100,2,3),
(168202,152470,'When Equipped:',100,0,0),
(168203,152470,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168204,152470,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 570',100,2,2),
(168205,152470,'Cannot be modified except by direct means',100,2,3),
(168206,10152470,'When Equipped:',100,0,0),
(168207,10152470,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168208,10152470,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 570',100,2,2),
(168209,10152470,'Cannot be modified except by direct means',100,2,3),
(168210,104853,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(168211,104853,'If Fighter',100,2,1),
(168212,104853,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(168213,104853,'Increases power of target by 152',100,2,3),
(168214,104853,'Increases power of caster by 152',100,2,4),
(168215,10104853,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(168216,10104853,'Increases power of target by 152',100,2,1),
(168217,10104853,'Increases power of caster by 152',100,2,2),
(168218,117938,'Heals target for 138 - 168',100,1,0),
(168219,117938,'Increases Max Health of target by 15.1',100,1,1),
(168220,10117938,'Heals target for 158 - 193',100,1,0),
(168221,10117938,'Increases Max Health of target by 15.1',100,1,1),
(168222,131483,'When Equipped:',100,0,0),
(168223,131483,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168224,131483,'Increases WIS, INT, AGI and STR of caster by 110.0',100,2,2),
(168225,131483,'Increases Potency of caster by 3.0%',100,2,3),
(168226,131483,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(168227,131483,'Must not be engaged in pvp combat',100,2,5),
(168228,131483,'Cannot be modified except by direct means',100,2,6),
(168229,131483,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(168230,131483,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(168231,131483,'Increases WIS, INT, AGI and STR of caster by 110.0',100,2,9),
(168232,131483,'Increases Potency of caster by 3.0%',100,2,10),
(168233,131483,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(168234,131483,'Must not be engaged in pvp combat',100,2,12),
(168235,131483,'Cannot be modified except by direct means',100,2,13),
(168236,131483,'Cannot be modified except by direct means',100,1,14),
(168237,10131483,'When Equipped:',100,0,0),
(168238,10131483,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168239,10131483,'Increases WIS, INT, AGI and STR of caster by 110.0',100,2,2),
(168240,10131483,'Increases Potency of caster by 3.0%',100,2,3),
(168241,10131483,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(168242,10131483,'Must not be engaged in pvp combat',100,2,5),
(168243,10131483,'Cannot be modified except by direct means',100,2,6),
(168244,10131483,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(168245,10131483,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(168246,10131483,'Increases WIS, INT, AGI and STR of caster by 110.0',100,2,9),
(168247,10131483,'Increases Potency of caster by 3.0%',100,2,10),
(168248,10131483,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(168249,10131483,'Must not be engaged in pvp combat',100,2,12),
(168250,10131483,'Cannot be modified except by direct means',100,2,13),
(168251,10131483,'Cannot be modified except by direct means',100,1,14),
(168252,112867,'Inflicts 21 - 26 melee damage on target',100,1,0),
(168253,112867,'Decreases Mitigation of target vs physical damage by 54',100,1,1),
(168254,112867,'Must be flanking or behind',100,1,2),
(168255,10112867,'Inflicts 25 - 31 melee damage on target',100,1,0),
(168256,10112867,'Decreases Mitigation of target vs physical damage by 54',100,1,1),
(168257,10112867,'Must be flanking or behind',100,1,2),
(168258,47089,'Applies Most Wanted Poster when Activated.',100,0,0),
(168259,47089,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(168260,47089,'If above level 90',100,1,2),
(168261,47089,'Cannot be modified except by direct means',100,1,3),
(168262,10047089,'Applies Most Wanted Poster when Activated.',100,0,0),
(168263,10047089,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(168264,10047089,'If above level 90',100,1,2),
(168265,10047089,'Cannot be modified except by direct means',100,1,3),
(168266,110747,'Summons a limited pet to aid the caster',100,1,0),
(168267,10110747,'Summons a limited pet to aid the caster',100,1,0),
(168268,121491,'Inflicts 199 - 332 melee damage on target',100,1,0),
(168269,121491,'Decreases Defense of target by 9.1',100,1,1),
(168270,10121491,'Inflicts 239 - 399 melee damage on target',100,1,0),
(168271,10121491,'Decreases Defense of target by 9.1',100,1,1),
(168272,116293,'Stuns target',100,1,0),
(168273,116293,'If Target is not Epic',100,2,1),
(168274,116293,'Inflicts 72 - 88 magic damage on target',100,1,2),
(168275,116293,'Resistibility increases against targets higher than level 45.',100,1,3),
(168276,10116293,'Stuns target',100,1,0),
(168277,10116293,'If Target is not Epic',100,2,1),
(168278,10116293,'Inflicts 86 - 106 magic damage on target',100,1,2),
(168279,10116293,'Resistibility increases against targets higher than level 45.',100,1,3),
(168280,113959,'Decreases power of target encounter by 51 instantly and every 4 seconds',100,1,0),
(168281,113959,'Increases power of group members (AE) by 34 instantly and every 4 seconds',100,1,1),
(168282,10113959,'Decreases power of target encounter by 51 instantly and every 4 seconds',100,1,0),
(168283,10113959,'Increases power of group members (AE) by 34 instantly and every 4 seconds',100,1,1),
(168284,134861,'Applies Protector''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(168285,134861,'Caster will Riposte 5.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(168286,134861,'The casting time of Protector''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(168287,134861,'When Equipped:',100,0,3),
(168288,134861,'Reduces maximum falling speed of caster',100,1,4),
(168289,10134861,'Applies Protector''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(168290,10134861,'Caster will Riposte 5.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(168291,10134861,'The casting time of Protector''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(168292,10134861,'When Equipped:',100,0,3),
(168293,10134861,'Reduces maximum falling speed of caster',100,1,4),
(168294,82592,'When Equipped:',100,0,0),
(168295,82592,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(168296,82592,'Inflicts 75 - 140 magic damage on target',100,2,2),
(168297,82592,'Decreases Threat to target by 259 ',100,2,3),
(168298,82592,'Must be flanking or behind',100,3,4),
(168299,82592,'Increases Threat to target by 264 ',100,2,5),
(168300,82592,'Must be in front of',100,3,6),
(168301,82592,'Cannot be modified except by direct means',100,2,7),
(168302,10082592,'When Equipped:',100,0,0),
(168303,10082592,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(168304,10082592,'Inflicts 90 - 168 magic damage on target',100,2,2),
(168305,10082592,'Cannot be modified except by direct means',100,2,3),
(168306,159074,'Applies Sanguine Imbued when Equipped.',100,0,0),
(168307,159074,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(168308,159074,'Inflicts 105 heat damage on target',100,2,2),
(168309,159074,'Cannot be modified except by direct means',100,2,3),
(168310,10159074,'Applies Sanguine Imbued when Equipped.',100,0,0),
(168311,10159074,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(168312,10159074,'Inflicts 126 heat damage on target',100,2,2),
(168313,10159074,'Cannot be modified except by direct means',100,2,3),
(168314,103234,'Reduces physical damage done to caster by 5%',100,1,0),
(168315,103234,'Adds 1.5% to base avoidance.',100,1,1),
(168316,103234,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(168317,103234,'Increases Parry of caster by 13.2',100,1,3),
(168318,103234,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(168319,103234,'Increases Aggression of caster by 9.9',100,1,5),
(168320,103234,'Increases Defense and Deflection of caster by 13.2',100,1,6),
(168321,103234,'Increases Mitigation of caster vs noxious damage by 880',100,1,7),
(168322,103234,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(168323,10103234,'Reduces physical damage done to caster by 5%',100,1,0),
(168324,10103234,'Adds 1.5% to base avoidance.',100,1,1),
(168325,10103234,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(168326,10103234,'Increases Parry of caster by 13.2',100,1,3),
(168327,10103234,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(168328,10103234,'Increases Aggression of caster by 9.9',100,1,5),
(168329,10103234,'Increases Defense and Deflection of caster by 13.2',100,1,6),
(168330,10103234,'Increases Mitigation of caster vs noxious damage by 880',100,1,7),
(168331,10103234,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(168332,159756,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(168333,159756,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(168334,159756,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(168335,159756,'Cannot be modified except by direct means',100,2,3),
(168336,10159756,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(168337,10159756,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(168338,10159756,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(168339,10159756,'Cannot be modified except by direct means',100,2,3),
(168340,122264,'Decreases Threat to targets in Area of Effect by 684 ',100,1,0),
(168341,122264,'Makes targets in Area of Effect afraid',100,1,1),
(168342,122264,'If Target is not Epic',100,2,2),
(168343,122264,'30% chance to dispel when target takes damage',100,1,3),
(168344,10122264,'Applies Distract.',100,1,0),
(168345,10122264,'Forces target to clear their selected target.',100,2,1),
(168346,10122264,'Makes targets in Area of Effect afraid',100,1,2),
(168347,10122264,'If Target is not Epic',100,2,3),
(168348,10122264,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(168349,10122264,'30% chance to dispel when target takes damage',100,1,5),
(168350,81844,'When Equipped:',100,0,0),
(168351,81844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168352,81844,'Inflicts 94 - 175 magic damage on target',100,2,2),
(168353,81844,'Cannot be modified except by direct means',100,2,3),
(168354,10081844,'When Equipped:',100,0,0),
(168355,10081844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168356,10081844,'Inflicts 113 - 210 magic damage on target',100,2,2),
(168357,10081844,'Cannot be modified except by direct means',100,2,3),
(168358,26243,'When Equipped:',100,0,0),
(168359,26243,'Increases In-Combat Health Regeneration of caster by 2.0',100,1,1),
(168360,10026243,'When Equipped:',100,0,0),
(168361,10026243,'Increases In-Combat Health Regeneration of caster by 2.0',100,1,1),
(168362,80307,'When Equipped:',100,0,0),
(168363,80307,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168364,80307,'Inflicts 48 - 89 magic damage on target',100,2,2),
(168365,80307,'Cannot be modified except by direct means',100,2,3),
(168366,10080307,'When Equipped:',100,0,0),
(168367,10080307,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168368,10080307,'Inflicts 57 - 106 magic damage on target',100,2,2),
(168369,10080307,'Cannot be modified except by direct means',100,2,3),
(168370,120876,'Stifles target',100,1,0),
(168371,120876,'Inflicts 79 - 97 mental damage on target',100,1,1),
(168372,120876,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(168373,120876,'Resistibility increases against targets higher than level 45.',100,1,3),
(168374,10120876,'Stifles target',100,1,0),
(168375,10120876,'Inflicts 95 - 116 mental damage on target',100,1,1),
(168376,10120876,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(168377,10120876,'Resistibility increases against targets higher than level 45.',100,1,3),
(168378,117229,'Inflicts 12 slashing damage on target every 4 seconds',100,1,0),
(168379,117229,'Inflicts 61 - 102 melee damage on target',100,1,1),
(168380,10117229,'Inflicts 15 slashing damage on target every 4 seconds',100,1,0),
(168381,10117229,'Inflicts 74 - 123 melee damage on target',100,1,1),
(168382,118711,'Inflicts 34 - 56 slashing damage on target',100,1,0),
(168383,118711,'Decreases Slashing, Crushing and Piercing of target by 3.7',100,1,1),
(168384,118711,'Inflicts 14 - 17 slashing damage on target every 5 seconds',100,1,2),
(168385,10118711,'Inflicts 40 - 68 slashing damage on target',100,1,0),
(168386,10118711,'Decreases Slashing, Crushing and Piercing of target by 3.7',100,1,1),
(168387,10118711,'Inflicts 17 - 21 slashing damage on target every 5 seconds',100,1,2),
(168388,35753,'Increases WIS of target by 1.1',100,0,0),
(168389,35753,'Target will Dodge 0.2% of incoming attacks',100,0,1),
(168390,35753,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,2),
(168391,54033,'When Equipped:',100,0,0),
(168392,54033,'Increases Max Health of caster by 1,220.0',100,1,1),
(168393,54033,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(168394,54033,'Cannot be modified except by direct means',100,1,3),
(168395,10054033,'When Equipped:',100,0,0),
(168396,10054033,'Increases Max Health of caster by 1,220.0',100,1,1),
(168397,10054033,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(168398,10054033,'Cannot be modified except by direct means',100,1,3),
(168399,80337,'When Equipped:',100,0,0),
(168400,80337,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168401,80337,'Inflicts 39 - 72 magic damage on target',100,2,2),
(168402,80337,'Cannot be modified except by direct means',100,2,3),
(168403,10080337,'When Equipped:',100,0,0),
(168404,10080337,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168405,10080337,'Inflicts 46 - 86 magic damage on target',100,2,2),
(168406,10080337,'Cannot be modified except by direct means',100,2,3),
(168407,115493,'Summons a pet nightshade',100,1,0),
(168408,10115493,'Summons a pet nightshade',100,1,0),
(168409,71765,'When Equipped:',100,0,0),
(168410,71765,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(168411,71765,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(168412,71765,'Cannot be modified except by direct means',100,2,3),
(168413,10071765,'When Equipped:',100,0,0),
(168414,10071765,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(168415,10071765,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(168416,10071765,'Cannot be modified except by direct means',100,2,3),
(168417,70570,'When Equipped:',100,0,0),
(168418,70570,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168419,70570,'Inflicts 178 cold damage on target',100,2,2),
(168420,70570,'Cannot be modified except by direct means',100,2,3),
(168421,10070570,'When Equipped:',100,0,0),
(168422,10070570,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168423,10070570,'Inflicts 214 cold damage on target',100,2,2),
(168424,10070570,'Cannot be modified except by direct means',100,2,3),
(168425,71946,'When Equipped:',100,0,0),
(168426,71946,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(168427,71946,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(168428,71946,'Cannot be modified except by direct means',100,2,3),
(168429,10071946,'When Equipped:',100,0,0),
(168430,10071946,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(168431,10071946,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(168432,10071946,'Cannot be modified except by direct means',100,2,3),
(168433,113629,'Interrupts target encounter',100,1,0),
(168434,113629,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 23.7',100,1,1),
(168435,10113629,'Interrupts target encounter',100,1,0),
(168436,10113629,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 23.7',100,1,1),
(168437,116746,'Increases Max Health of target by 108.2',100,1,0),
(168438,116746,'Increases Max Power of target by 122.4',100,1,1),
(168439,10116746,'Increases Max Health of target by 108.2',100,1,0),
(168440,10116746,'Increases Max Power of target by 122.4',100,1,1),
(168441,104729,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(168442,104729,'Decreases Mitigation of target vs elemental and arcane damage by 840',100,2,1),
(168443,104729,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(168444,104729,'Decreases Mitigation of target vs elemental and arcane damage by 840',100,2,3),
(168445,10104729,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(168446,10104729,'Decreases Mitigation of target vs elemental and arcane damage by 840',100,2,1),
(168447,10104729,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(168448,10104729,'Decreases Mitigation of target vs elemental and arcane damage by 840',100,2,3),
(168449,119533,'Increases threat priority of target by 2 positions',100,1,0),
(168450,119533,'Stuns caster',100,1,1),
(168451,119533,'Decreases Defense and Parry of caster by 339.0',100,1,2),
(168452,119533,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(168453,119533,'Inflicts 1391 - 2319 piercing damage on target',100,2,4),
(168454,119533,'Grants a total of 1 trigger of the spell.',100,2,5),
(168455,10119533,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(168456,10119533,'Prevents target from changing targets',100,2,1),
(168457,10119533,'Forces target to change their selected target to caster.',100,2,2),
(168458,10119533,'Stuns caster',100,1,3),
(168459,10119533,'Decreases Defense and Parry of caster by 339.0',100,1,4),
(168460,10119533,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(168461,10119533,'Inflicts 1192 - 1986 piercing damage on target',100,2,6),
(168462,10119533,'Grants a total of 1 trigger of the spell.',100,2,7),
(168463,108454,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(168464,108454,'Increases Aggression of caster by 3.8',100,1,1),
(168465,108454,'Increases Defense and Parry of caster by 7.6',100,1,2),
(168466,108454,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(168467,10108454,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(168468,10108454,'Increases Aggression of caster by 3.8',100,1,1),
(168469,10108454,'Increases Defense and Parry of caster by 7.6',100,1,2),
(168470,10108454,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(168471,118928,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(168472,118928,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1027',100,1,1),
(168473,118928,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,2),
(168474,10118928,'Increases Max Health of group members (AE) by 318.6',100,1,0),
(168475,10118928,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1027',100,1,1),
(168476,10118928,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,2),
(168477,80443,'When Equipped:',100,0,0),
(168478,80443,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(168479,80443,'Inflicts 45 - 84 magic damage on target',100,2,2),
(168480,80443,'Decreases Threat to target by 153 ',100,2,3),
(168481,80443,'Must be flanking or behind',100,3,4),
(168482,80443,'Increases Threat to target by 158 ',100,2,5),
(168483,80443,'Must be in front of',100,3,6),
(168484,80443,'Cannot be modified except by direct means',100,2,7),
(168485,10080443,'When Equipped:',100,0,0),
(168486,10080443,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(168487,10080443,'Inflicts 54 - 100 magic damage on target',100,2,2),
(168488,10080443,'Cannot be modified except by direct means',100,2,3),
(168489,124004,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(168490,124004,'Heals target for 66 - 80',100,2,1),
(168491,124004,'Grants a total of 5 triggers of the spell.',100,2,2),
(168492,10124004,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(168493,10124004,'Heals target for 43 - 52',100,2,1),
(168494,10124004,'Grants a total of 5 triggers of the spell.',100,2,2),
(168495,48258,'Applies Sten''s Invigoration when Activated.',100,0,0),
(168496,48258,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(168497,10048258,'Applies Sten''s Invigoration when Activated.',100,0,0),
(168498,10048258,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(168499,177082,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(168500,177082,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(168501,177082,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(168502,177082,'Cannot be modified except by direct means',100,2,3),
(168503,10177082,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(168504,10177082,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(168505,10177082,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(168506,10177082,'Cannot be modified except by direct means',100,2,3),
(168507,112806,'Inflicts 623 - 1039 slashing damage on target',100,1,0),
(168508,112806,'Stifles target',100,1,1),
(168509,112806,'If Target is not Epic',100,2,2),
(168510,112806,'You must be in stealth.',100,1,3),
(168511,112806,'Resistibility increases against targets higher than level 91.',100,1,4),
(168512,10112806,'Inflicts 748 - 1247 slashing damage on target',100,1,0),
(168513,10112806,'Stifles target',100,1,1),
(168514,10112806,'If Target is not Epic',100,2,2),
(168515,10112806,'You must be in stealth.',100,1,3),
(168516,10112806,'Resistibility increases against targets higher than level 91.',100,1,4),
(168517,26251,'When Equipped:',100,0,0),
(168518,26251,'Increases Crit Chance of caster by 1.0',100,1,1),
(168519,10026251,'When Equipped:',100,0,0),
(168520,10026251,'Increases Crit Chance of caster by 1.0',100,1,1),
(168521,105037,'Increases WIS of raid and group members (AE) by 38.8',100,1,0),
(168522,105037,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(168523,105037,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 146',100,1,2),
(168524,10105037,'Increases WIS of raid and group members (AE) by 38.8',100,1,0),
(168525,10105037,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(168526,10105037,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 146',100,1,2),
(168527,101224,'Inflicts 389 - 649 cold damage on target',100,1,0),
(168528,101224,'Dazes target',100,1,1),
(168529,101224,'If Target is not Epic',100,2,2),
(168530,101224,'Resistibility increases against targets higher than level 101.',100,1,3),
(168531,10101224,'Inflicts 467 - 779 cold damage on target',100,1,0),
(168532,10101224,'Dazes target',100,1,1),
(168533,10101224,'If Target is not Epic',100,2,2),
(168534,10101224,'Resistibility increases against targets higher than level 101.',100,1,3),
(168535,123456,'Shapechanges caster into a bear',100,1,0),
(168536,123456,'Increases WIS of caster by 57.6',100,1,1),
(168537,123456,'Grants See Stealth to caster',100,1,2),
(168538,123456,'Increases Max Health of caster by 228.6',100,1,3),
(168539,123456,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 888',100,1,4),
(168540,10123456,'Shapechanges caster into a bear',100,1,0),
(168541,10123456,'Increases WIS of caster by 57.6',100,1,1),
(168542,10123456,'Grants See Stealth to caster',100,1,2),
(168543,10123456,'Increases Max Health of caster by 228.6',100,1,3),
(168544,10123456,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 888',100,1,4),
(168545,159148,'Applies Sanguine Imbued when Equipped.',100,0,0),
(168546,159148,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(168547,159148,'Inflicts 225 heat damage on target',100,2,2),
(168548,159148,'Cannot be modified except by direct means',100,2,3),
(168549,10159148,'Applies Sanguine Imbued when Equipped.',100,0,0),
(168550,10159148,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(168551,10159148,'Inflicts 270 heat damage on target',100,2,2),
(168552,10159148,'Cannot be modified except by direct means',100,2,3),
(168553,35497,'Increases Max Health of target by 3.9',100,0,0),
(168554,35497,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(168555,122613,'Makes target afraid',100,1,0),
(168556,122613,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',100,1,1),
(168557,122613,'Mesmerizes target',100,2,2),
(168558,122613,'Decreases Threat to target by 546  instantly and Decreases Threat by 546  every 1.8 seconds thereafter',100,2,3),
(168559,122613,'Dispelled when target takes damage',100,2,4),
(168560,122613,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',100,2,5),
(168561,122613,'Resistibility increases against targets higher than level 76.',100,2,6),
(168562,122613,'30% chance to dispel when target takes damage',100,1,7),
(168563,122613,'Does not affect Epic targets',100,1,8),
(168564,122613,'Resistibility increases against targets higher than level 76.',100,1,9),
(168565,10122613,'Makes target afraid',100,1,0),
(168566,10122613,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(168567,10122613,'Mesmerizes target',100,2,2),
(168568,10122613,'Applies Distract.',100,2,3),
(168569,10122613,'Forces target to clear their selected target.',100,3,4),
(168570,10122613,'Dispelled when target takes damage',100,2,5),
(168571,10122613,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(168572,10122613,'Resistibility increases against targets higher than level 76.',100,2,7),
(168573,10122613,'30% chance to dispel when target takes damage',100,1,8),
(168574,10122613,'Does not affect Epic targets',100,1,9),
(168575,10122613,'Resistibility increases against targets higher than level 76.',100,1,10),
(168576,106002,'Inflicts 17 - 21 divine damage on target instantly and every 3 seconds',100,1,0),
(168577,106002,'Decreases Defense of target by 3.9',100,1,1),
(168578,10106002,'Inflicts 14 - 17 divine damage on target instantly and every 3 seconds',100,1,0),
(168579,10106002,'Decreases Defense of target by 3.9',100,1,1),
(168580,72807,'When Equipped:',100,0,0),
(168581,72807,'On a critical combat hit this spell may cast Paralyzing Puncture IX on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168582,72807,'Stuns target',100,2,2),
(168583,72807,'If Target is not Epic',100,3,3),
(168584,72807,'Inflicts 5441 - 6014 heat damage on target',100,2,4),
(168585,72807,'Must not be engaged in pvp combat',100,2,5),
(168586,72807,'Cannot be modified except by direct means',100,2,6),
(168587,72807,'Must not be engaged in pvp combat',100,1,7),
(168588,10072807,'When Equipped:',100,0,0),
(168589,10072807,'On a critical combat hit this spell may cast Paralyzing Puncture IX on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168590,10072807,'Stuns target',100,2,2),
(168591,10072807,'If Target is not Epic',100,3,3),
(168592,10072807,'Inflicts 6529 - 7217 heat damage on target',100,2,4),
(168593,10072807,'Must not be engaged in pvp combat',100,2,5),
(168594,10072807,'Cannot be modified except by direct means',100,2,6),
(168595,10072807,'Must not be engaged in pvp combat',100,1,7),
(168596,47979,'Applies Sounding when Activated.',100,0,0),
(168597,10047979,'Applies Sounding when Activated.',100,0,0),
(168598,100744,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(168599,100744,'Increases power of target by 68 every 6 seconds',100,2,1),
(168600,100744,'Heals target for 296',100,2,2),
(168601,100744,'Wards target against 364 points of all damage',100,2,3),
(168602,100744,'Grants a total of 1 trigger of the spell.',100,2,4),
(168603,10100744,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(168604,10100744,'Increases power of target by 68 every 6 seconds',100,2,1),
(168605,10100744,'Heals target for 192',100,2,2),
(168606,10100744,'Wards target against 364 points of all damage',100,2,3),
(168607,10100744,'Grants a total of 1 trigger of the spell.',100,2,4),
(168608,48901,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(168609,48901,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(168610,48901,'Inflicts 57 poison damage on target',100,2,2),
(168611,48901,'Inflicts 9 poison damage on target instantly and every 6 seconds',100,2,3),
(168612,48901,'Cannot be modified except by direct means',100,2,4),
(168613,48901,'Grants a total of 200 triggers of the spell.',100,2,5),
(168614,10048901,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(168615,10048901,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(168616,10048901,'Inflicts 8 poison damage on target instantly and every 6 seconds',100,2,2),
(168617,10048901,'Inflicts 51 poison damage on target',100,2,3),
(168618,10048901,'Cannot be modified except by direct means',100,2,4),
(168619,10048901,'Grants a total of 200 triggers of the spell.',100,2,5),
(168620,110010,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(168621,110010,'Slows target by 33.4%',100,2,1),
(168622,110010,'5% chance to dispel when target receives hostile action',100,2,2),
(168623,110010,'5% chance to dispel when target takes damage',100,2,3),
(168624,110010,'Inflicts 73 - 90 cold damage on target',100,1,4),
(168625,10110010,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(168626,10110010,'Slows target by 33.4%',100,2,1),
(168627,10110010,'5% chance to dispel when target receives hostile action',100,2,2),
(168628,10110010,'5% chance to dispel when target takes damage',100,2,3),
(168629,10110010,'Inflicts 88 - 108 cold damage on target',100,1,4),
(168630,46107,'Applies Elixir of Spiritual Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(168631,10046107,'Applies Elixir of Spiritual Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(168632,36786,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(168633,111957,'Inflicts 105 - 128 disease damage on target',100,1,0),
(168634,111957,'Decreases Mitigation of target vs noxious damage by 310',100,1,1),
(168635,10111957,'Inflicts 161 - 197 disease damage on target',100,1,0),
(168636,10111957,'Decreases Mitigation of target vs noxious damage by 310',100,1,1),
(168637,48403,'Applies Use when Activated.',100,0,0),
(168638,48403,'Enables you to play the flute.',100,1,1),
(168639,10048403,'Applies Use when Activated.',100,0,0),
(168640,10048403,'Enables you to play the flute.',100,1,1),
(168641,80187,'When Equipped:',100,0,0),
(168642,80187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168643,80187,'Inflicts 166 - 308 magic damage on target',100,2,2),
(168644,80187,'Cannot be modified except by direct means',100,2,3),
(168645,10080187,'When Equipped:',100,0,0),
(168646,10080187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168647,10080187,'Inflicts 199 - 370 magic damage on target',100,2,2),
(168648,10080187,'Cannot be modified except by direct means',100,2,3),
(168649,114591,'Inflicts 442 - 737 ranged damage on target',100,1,0),
(168650,114591,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(168651,114591,'Requires bow',100,1,2),
(168652,10114591,'Inflicts 467 - 778 ranged damage on target',100,1,0),
(168653,10114591,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(168654,10114591,'Requires bow',100,1,2),
(168655,24588,'Adds Naga (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(168656,10024588,'Adds Naga (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(168657,80381,'When Equipped:',100,0,0),
(168658,80381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168659,80381,'Inflicts 43 - 79 magic damage on target',100,2,2),
(168660,80381,'Cannot be modified except by direct means',100,2,3),
(168661,10080381,'When Equipped:',100,0,0),
(168662,10080381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168663,10080381,'Inflicts 51 - 95 magic damage on target',100,2,2),
(168664,10080381,'Cannot be modified except by direct means',100,2,3),
(168665,55180,'When Equipped:',100,0,0),
(168666,55180,'Increases caster''s chance to block by 10.0%',100,1,1),
(168667,55180,'When Equipped:',100,0,2),
(168668,55180,'Additional equipment with Vampire Bane improves this effect.',100,1,3),
(168669,55180,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(168670,55180,'Inflicts 378 divine damage on target',100,2,5),
(168671,55180,'Must not be classified as a vampire',100,3,6),
(168672,55180,'Inflicts 756 divine damage on target',100,2,7),
(168673,55180,'Must be classified as a vampire',100,3,8),
(168674,55180,'Decreases Mitigation of target vs arcane damage by 560',100,2,9),
(168675,55180,'Must be classified as a vampire',100,3,10),
(168676,55180,'Cannot be modified except by direct means',100,2,11),
(168677,10055180,'When Equipped:',100,0,0),
(168678,10055180,'Increases caster''s chance to block by 10.0%',100,1,1),
(168679,10055180,'When Equipped:',100,0,2),
(168680,10055180,'Additional equipment with Vampire Bane improves this effect.',100,1,3),
(168681,10055180,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(168682,10055180,'Inflicts 454 divine damage on target',100,2,5),
(168683,10055180,'Must not be classified as a vampire',100,3,6),
(168684,10055180,'Inflicts 907 divine damage on target',100,2,7),
(168685,10055180,'Must be classified as a vampire',100,3,8),
(168686,10055180,'Decreases Mitigation of target vs arcane damage by 560',100,2,9),
(168687,10055180,'Must be classified as a vampire',100,3,10),
(168688,10055180,'Cannot be modified except by direct means',100,2,11),
(168689,108484,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(168690,108484,'Increases Aggression of caster by 18.5',100,1,1),
(168691,108484,'Increases Defense and Parry of caster by 37.1',100,1,2),
(168692,108484,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(168693,10108484,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(168694,10108484,'Increases Aggression of caster by 18.5',100,1,1),
(168695,10108484,'Increases Defense and Parry of caster by 37.1',100,1,2),
(168696,10108484,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(168697,24228,'Adds Crushbone: Stone Cup to your Dungeon Maker toolbox',100,0,0),
(168698,10024228,'Adds Crushbone: Stone Cup to your Dungeon Maker toolbox',100,0,0),
(168699,100470,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(168700,100470,'Decreases Threat to target by 69 ',100,2,1),
(168701,100470,'If not fighter',100,2,2),
(168702,100470,'Decreases Hate Gain of group members (AE) by 24.5%',100,1,3),
(168703,100470,'If not fighter',100,2,4),
(168704,10100470,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(168705,10100470,'If not fighter',100,2,1),
(168706,10100470,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(168707,10100470,'Inflicts 38 - 42 crushing damage on target',100,2,3),
(168708,10100470,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(168709,10100470,'If not fighter',100,2,5),
(168710,10100470,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(168711,10100470,'If not fighter',100,2,7),
(168712,10100470,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(168713,10100470,'If not fighter',100,2,9),
(168714,36921,'Increases Max Health of target by 3.9',100,0,0),
(168715,36921,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(168716,117299,'Inflicts 352 - 588 melee damage on target',100,1,0),
(168717,117299,'Decreases Damage Per Second of target by 14.2',100,1,1),
(168718,117299,'Decreases Attack Speed of target by 8.4',100,1,2),
(168719,10117299,'Inflicts 423 - 705 melee damage on target',100,1,0),
(168720,10117299,'Decreases Damage Per Second of target by 14.2',100,1,1),
(168721,10117299,'Decreases Attack Speed of target by 8.4',100,1,2),
(168722,40957,'When Equipped:',100,0,0),
(168723,40957,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(168724,40957,'Inflicts 2344 heat damage on target',100,2,2),
(168725,40957,'Heals caster for 2100',100,2,3),
(168726,40957,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(168727,40957,'Cannot be modified except by direct means',100,2,5),
(168728,40957,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(168729,40957,'Inflicts 2344 heat damage on target',100,2,7),
(168730,40957,'Heals caster for 2100',100,2,8),
(168731,40957,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(168732,40957,'Cannot be modified except by direct means',100,2,10),
(168733,10040957,'When Equipped:',100,0,0),
(168734,10040957,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(168735,10040957,'Inflicts 2813 heat damage on target',100,2,2),
(168736,10040957,'Heals caster for 2456',100,2,3),
(168737,10040957,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(168738,10040957,'Cannot be modified except by direct means',100,2,5),
(168739,10040957,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(168740,10040957,'Inflicts 2813 heat damage on target',100,2,7),
(168741,10040957,'Heals caster for 2456',100,2,8),
(168742,10040957,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(168743,10040957,'Cannot be modified except by direct means',100,2,10),
(168744,35022,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(168745,35717,'Increases AGI of target by 1.5',100,0,0),
(168746,35717,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(168747,143107,'When Equipped:',100,0,0),
(168748,143107,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(168749,143107,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(168750,143107,'Wards target against 4840 points of all damage',100,2,3),
(168751,143107,'Must not be engaged in pvp combat',100,2,4),
(168752,143107,'Cannot be modified except by direct means',100,2,5),
(168753,143107,'Cannot be modified except by direct means',100,1,6),
(168754,143107,'When Equipped:',100,0,7),
(168755,143107,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(168756,143107,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(168757,143107,'Increases Attack Speed of caster by 6.0',100,2,10),
(168758,143107,'Increases Damage Per Second of caster by 9.0',100,2,11),
(168759,143107,'Increases Multi Attack Chance of caster by 22.0',100,2,12),
(168760,143107,'Must not be engaged in pvp combat',100,2,13),
(168761,143107,'Cannot be modified except by direct means',100,2,14),
(168762,143107,'Cannot be modified except by direct means',100,1,15),
(168763,10143107,'When Equipped:',100,0,0),
(168764,10143107,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(168765,10143107,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(168766,10143107,'Wards target against 4840 points of all damage',100,2,3),
(168767,10143107,'Must not be engaged in pvp combat',100,2,4),
(168768,10143107,'Cannot be modified except by direct means',100,2,5),
(168769,10143107,'Cannot be modified except by direct means',100,1,6),
(168770,10143107,'When Equipped:',100,0,7),
(168771,10143107,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(168772,10143107,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(168773,10143107,'Increases Attack Speed of caster by 6.0',100,2,10),
(168774,10143107,'Increases Damage Per Second of caster by 9.0',100,2,11),
(168775,10143107,'Increases Multi Attack Chance of caster by 22.0',100,2,12),
(168776,10143107,'Must not be engaged in pvp combat',100,2,13),
(168777,10143107,'Cannot be modified except by direct means',100,2,14),
(168778,10143107,'Cannot be modified except by direct means',100,1,15),
(168779,100929,'Stuns targets in Area of Effect',20,1,0),
(168780,100929,'If Target is not Epic',100,2,1),
(168781,100929,'Inflicts 375 - 626 divine damage on targets in Area of Effect',100,1,2),
(168782,100929,'Resistibility increases against targets higher than level 119.',100,1,3),
(168783,10100929,'Stuns targets in Area of Effect',20,1,0),
(168784,10100929,'If Target is not Epic',100,2,1),
(168785,10100929,'Inflicts 450 - 751 divine damage on targets in Area of Effect',100,1,2),
(168786,10100929,'Resistibility increases against targets higher than level 119.',100,1,3),
(168787,113047,'Decreases Damage Per Second of target by 23.0',100,1,0),
(168788,10113047,'Decreases Damage Per Second of target by 23.0',100,1,0),
(168789,115323,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(168790,115323,'Makes target afraid',100,2,1),
(168791,115323,'Slows target by 47.3%',100,2,2),
(168792,115323,'30% chance to dispel when target takes damage',100,2,3),
(168793,115323,'Does not affect Epic targets',100,2,4),
(168794,115323,'Resistibility increases against targets higher than level 48.',100,2,5),
(168795,115323,'Roots target',100,1,6),
(168796,115323,'15% chance to dispel when target takes damage',100,1,7),
(168797,115323,'Does not affect Epic targets',100,1,8),
(168798,115323,'Resistibility increases against targets higher than level 48.',100,1,9),
(168799,10115323,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(168800,10115323,'Slows target by 47.3%',100,2,1),
(168801,10115323,'Makes target afraid',100,2,2),
(168802,10115323,'30% chance to dispel when target takes damage',100,2,3),
(168803,10115323,'Does not affect Epic targets',100,2,4),
(168804,10115323,'Resistibility increases against targets higher than level 48.',100,2,5),
(168805,10115323,'Roots target',100,1,6),
(168806,10115323,'15% chance to dispel when target takes damage',100,1,7),
(168807,10115323,'Does not affect Epic targets',100,1,8),
(168808,10115323,'Resistibility increases against targets higher than level 48.',100,1,9),
(168809,101609,'Inflicts 392 - 654 melee damage on targets in area',100,1,0),
(168810,10101609,'Inflicts 471 - 785 melee damage on targets in area',100,1,0),
(168811,117814,'Mesmerizes target',100,1,0),
(168812,117814,'Prevents AOE (except when direct) ',100,1,1),
(168813,117814,'Dispelled when target takes damage',100,1,2),
(168814,117814,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(168815,117814,'Resistibility increases against targets higher than level 117.',100,1,4),
(168816,10117814,'Mesmerizes target',100,1,0),
(168817,10117814,'Prevents AOE (except when direct) ',100,1,1),
(168818,10117814,'Dispelled when target takes damage',100,1,2),
(168819,10117814,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(168820,10117814,'Resistibility increases against targets higher than level 117.',100,1,4),
(168821,107179,'Inflicts 100 - 166 divine damage on target',100,1,0),
(168822,107179,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(168823,107179,'Inflicts 233 - 389 divine damage on target',100,2,2),
(168824,107179,'Inflicts 200 - 333 divine damage on target',100,2,3),
(168825,107179,'If target is undead',100,3,4),
(168826,107179,'Stuns target',100,2,5),
(168827,107179,'If Target is not Epic',100,3,6),
(168828,10107179,'Inflicts 80 - 133 divine damage on target',100,1,0),
(168829,10107179,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(168830,10107179,'Inflicts 420 - 700 divine damage on target',100,2,2),
(168831,10107179,'Stuns target',100,2,3),
(168832,10107179,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(168833,119338,'Inflicts 43 - 64 disease damage on target',100,1,0),
(168834,119338,'Inflicts 17 - 26 disease damage on target every 4 seconds',100,1,1),
(168835,10119338,'Inflicts 51 - 77 disease damage on target',100,1,0),
(168836,10119338,'Inflicts 20 - 31 disease damage on target every 4 seconds',100,1,1),
(168837,119832,'Dazes target',100,1,0),
(168838,119832,'Does not affect Epic targets',100,1,1),
(168839,119832,'Resistibility increases against targets higher than level 50.',100,1,2),
(168840,10119832,'Dazes target',100,1,0),
(168841,10119832,'Does not affect Epic targets',100,1,1),
(168842,10119832,'Resistibility increases against targets higher than level 50.',100,1,2),
(168843,146078,'When Equipped:',100,0,0),
(168844,146078,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(168845,10146078,'When Equipped:',100,0,0),
(168846,10146078,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(168847,52886,'Applies Sanguine Imbued when Equipped.',100,0,0),
(168848,52886,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(168849,52886,'Inflicts 119 heat damage on target',100,2,2),
(168850,52886,'Cannot be modified except by direct means',100,2,3),
(168851,10052886,'Applies Sanguine Imbued when Equipped.',100,0,0),
(168852,10052886,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(168853,10052886,'Inflicts 142 heat damage on target',100,2,2),
(168854,10052886,'Cannot be modified except by direct means',100,2,3),
(168855,87276,'When Equipped:',100,0,0),
(168856,87276,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168857,87276,'Inflicts 205 - 307 magic damage on target',100,2,2),
(168858,87276,'Cannot be modified except by direct means',100,2,3),
(168859,10087276,'When Equipped:',100,0,0),
(168860,10087276,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168861,10087276,'Inflicts 246 - 368 magic damage on target',100,2,2),
(168862,10087276,'Cannot be modified except by direct means',100,2,3),
(168863,137752,'When Equipped:',100,0,0),
(168864,137752,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(168865,137752,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(168866,137752,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(168867,137752,'Heals target for 1777',100,3,4),
(168868,137752,'Must not be engaged in pvp combat',100,3,5),
(168869,137752,'Cannot be modified except by direct means',100,3,6),
(168870,137752,'Grants a total of 5 triggers of the spell.',100,3,7),
(168871,137752,'Must not be engaged in pvp combat',100,2,8),
(168872,137752,'Cannot be modified except by direct means',100,2,9),
(168873,137752,'Cannot be modified except by direct means',100,1,10),
(168874,10137752,'When Equipped:',100,0,0),
(168875,10137752,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(168876,10137752,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(168877,10137752,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(168878,10137752,'Heals target for 2080',100,3,4),
(168879,10137752,'Must not be engaged in pvp combat',100,3,5),
(168880,10137752,'Cannot be modified except by direct means',100,3,6),
(168881,10137752,'Grants a total of 5 triggers of the spell.',100,3,7),
(168882,10137752,'Must not be engaged in pvp combat',100,2,8),
(168883,10137752,'Cannot be modified except by direct means',100,2,9),
(168884,10137752,'Cannot be modified except by direct means',100,1,10),
(168885,103864,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(168886,103864,'Slows target by 38.2%',100,2,1),
(168887,103864,'5% chance to dispel when target receives hostile action',100,2,2),
(168888,103864,'5% chance to dispel when target takes damage',100,2,3),
(168889,103864,'Decreases Mitigation of target vs noxious damage by 969',100,1,4),
(168890,10103864,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(168891,10103864,'Slows target by 38.2%',100,2,1),
(168892,10103864,'5% chance to dispel when target receives hostile action',100,2,2),
(168893,10103864,'5% chance to dispel when target takes damage',100,2,3),
(168894,10103864,'Decreases Mitigation of target vs noxious damage by 969',100,1,4),
(168895,118527,'Inflicts 151 - 253 melee damage on target',100,1,0),
(168896,118527,'Decreases STR of target by 27.0',100,1,1),
(168897,118527,'You must be sneaking to use this ability.',100,1,2),
(168898,10118527,'Inflicts 182 - 303 melee damage on target',100,1,0),
(168899,10118527,'Decreases STR of target by 27.0',100,1,1),
(168900,10118527,'You must be sneaking to use this ability.',100,1,2),
(168901,80454,'When Equipped:',100,0,0),
(168902,80454,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(168903,80454,'Inflicts 45 - 84 magic damage on target',100,2,2),
(168904,80454,'Decreases Threat to target by 153 ',100,2,3),
(168905,80454,'Must be flanking or behind',100,3,4),
(168906,80454,'Increases Threat to target by 158 ',100,2,5),
(168907,80454,'Must be in front of',100,3,6),
(168908,80454,'Cannot be modified except by direct means',100,2,7),
(168909,10080454,'When Equipped:',100,0,0),
(168910,10080454,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(168911,10080454,'Inflicts 54 - 100 magic damage on target',100,2,2),
(168912,10080454,'Cannot be modified except by direct means',100,2,3),
(168913,122356,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(168914,122356,'Inflicts 16 - 19 piercing damage on target',100,2,1),
(168915,10122356,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(168916,10122356,'Inflicts 19 - 23 piercing damage on target',100,2,1),
(168917,169273,'When Equipped:',100,0,0),
(168918,169273,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168919,169273,'Increases Ability Reuse Speed of group members by 5.0%',100,2,2),
(168920,169273,'Cannot be modified except by direct means',100,2,3),
(168921,169273,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(168922,169273,'Increases Ability Reuse Speed of group members by 5.0%',100,2,5),
(168923,169273,'Cannot be modified except by direct means',100,2,6),
(168924,169273,'Cannot be modified except by direct means',100,1,7),
(168925,10169273,'When Equipped:',100,0,0),
(168926,10169273,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(168927,10169273,'Increases Ability Reuse Speed of group members by 5.0%',100,2,2),
(168928,10169273,'Cannot be modified except by direct means',100,2,3),
(168929,10169273,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(168930,10169273,'Increases Ability Reuse Speed of group members by 5.0%',100,2,5),
(168931,10169273,'Cannot be modified except by direct means',100,2,6),
(168932,10169273,'Cannot be modified except by direct means',100,1,7),
(168933,119524,'Increases threat priority of target by 2 positions',100,1,0),
(168934,119524,'Stuns caster',100,1,1),
(168935,119524,'Decreases Defense and Parry of caster by 279.0',100,1,2),
(168936,119524,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(168937,119524,'Inflicts 1210 - 2017 piercing damage on target',100,2,4),
(168938,119524,'Grants a total of 1 trigger of the spell.',100,2,5),
(168939,10119524,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(168940,10119524,'Prevents target from changing targets',100,2,1),
(168941,10119524,'Forces target to change their selected target to caster.',100,2,2),
(168942,10119524,'Stuns caster',100,1,3),
(168943,10119524,'Decreases Defense and Parry of caster by 279.0',100,1,4),
(168944,10119524,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(168945,10119524,'Inflicts 1036 - 1727 piercing damage on target',100,2,6),
(168946,10119524,'Grants a total of 1 trigger of the spell.',100,2,7),
(168947,103871,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(168948,103871,'Slows target by 43.0%',100,2,1),
(168949,103871,'5% chance to dispel when target receives hostile action',100,2,2),
(168950,103871,'5% chance to dispel when target takes damage',100,2,3),
(168951,103871,'Decreases Mitigation of target vs noxious damage by 1300',100,1,4),
(168952,10103871,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(168953,10103871,'Slows target by 43.0%',100,2,1),
(168954,10103871,'5% chance to dispel when target receives hostile action',100,2,2),
(168955,10103871,'5% chance to dispel when target takes damage',100,2,3),
(168956,10103871,'Decreases Mitigation of target vs noxious damage by 1300',100,1,4),
(168957,108006,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(168958,108006,'Increases Mitigation of group members (AE) vs elemental damage by 689',100,1,1),
(168959,10108006,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(168960,10108006,'Increases Mitigation of group members (AE) vs elemental damage by 689',100,1,1),
(168961,145996,'Applies Strength of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(168962,145996,'Increases Max Health of caster by 200.0',100,1,1),
(168963,145996,'This effect cannot be cast during combat',100,1,2),
(168964,145996,'The casting time of Strength of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(168965,10145996,'Applies Strength of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(168966,10145996,'Increases Max Health of caster by 200.0',100,1,1),
(168967,10145996,'This effect cannot be cast during combat',100,1,2),
(168968,10145996,'The casting time of Strength of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(168969,46201,'Applies Petamorph: Golden Monkey when Activated.  Lasts for 2 hours.',100,0,0),
(168970,46201,'Turns the caster''s combat pet into a golden monkey. Does not work on cosmetic pets.',100,1,1),
(168971,10046201,'Applies Petamorph: Golden Monkey when Activated.  Lasts for 2 hours.',100,0,0),
(168972,10046201,'Turns the caster''s combat pet into a golden monkey. Does not work on cosmetic pets.',100,1,1),
(168973,80220,'When Equipped:',100,0,0),
(168974,80220,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168975,80220,'Inflicts 149 - 278 magic damage on target',100,2,2),
(168976,80220,'Cannot be modified except by direct means',100,2,3),
(168977,10080220,'When Equipped:',100,0,0),
(168978,10080220,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(168979,10080220,'Inflicts 179 - 333 magic damage on target',100,2,2),
(168980,10080220,'Cannot be modified except by direct means',100,2,3),
(168981,124446,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(168982,124446,'Inflicts 110 - 183 melee damage on target',100,2,1),
(168983,124446,'Decreases Defense of caster by 13.5',100,1,2),
(168984,124446,'Increases Slashing, Piercing, Ranged and Crushing of caster by 19.2',100,1,3),
(168985,10124446,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(168986,10124446,'Inflicts 132 - 220 melee damage on target',100,2,1),
(168987,10124446,'Decreases Defense of caster by 13.5',100,1,2),
(168988,10124446,'Increases Slashing, Piercing, Ranged and Crushing of caster by 19.2',100,1,3),
(168989,55429,'When Equipped:',100,0,0),
(168990,55429,'Increases caster''s chance to block by 10.0%',100,1,1),
(168991,10055429,'When Equipped:',100,0,0),
(168992,10055429,'Increases caster''s chance to block by 10.0%',100,1,1),
(168993,123872,'Increases AGI of caster by 61.7',100,1,0),
(168994,123872,'Adds 14.8% to base avoidance.',100,1,1),
(168995,123872,'Increases Damage Per Second of caster by 46.1',100,1,2),
(168996,123872,'Increases Mitigation of caster vs physical damage by 525',100,1,3),
(168997,123872,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,4),
(168998,10123872,'Increases AGI of caster by 61.7',100,1,0),
(168999,10123872,'Adds 14.8% to base avoidance.',100,1,1),
(169000,10123872,'Increases Damage Per Second of caster by 46.1',100,1,2),
(169001,10123872,'Increases Mitigation of caster vs physical damage by 525',100,1,3),
(169002,10123872,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,4),
(169003,163235,'When Equipped:',100,0,0),
(169004,163235,'On a critical combat hit this spell may cast Arcane Vulnerability V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(169005,163235,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,2),
(169006,163235,'Must not be engaged in pvp combat',100,2,3),
(169007,163235,'Cannot be modified except by direct means',100,2,4),
(169008,163235,'On a critical spell hit this spell may cast Arcane Vulnerability V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(169009,163235,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,6),
(169010,163235,'Must not be engaged in pvp combat',100,2,7),
(169011,163235,'Cannot be modified except by direct means',100,2,8),
(169012,163235,'Must not be engaged in pvp combat',100,1,9),
(169013,10163235,'When Equipped:',100,0,0),
(169014,10163235,'On a critical combat hit this spell may cast Arcane Vulnerability V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(169015,10163235,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,2),
(169016,10163235,'Must not be engaged in pvp combat',100,2,3),
(169017,10163235,'Cannot be modified except by direct means',100,2,4),
(169018,10163235,'On a critical spell hit this spell may cast Arcane Vulnerability V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(169019,10163235,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',100,2,6),
(169020,10163235,'Must not be engaged in pvp combat',100,2,7),
(169021,10163235,'Cannot be modified except by direct means',100,2,8),
(169022,10163235,'Must not be engaged in pvp combat',100,1,9),
(169023,41995,'When Equipped:',100,0,0),
(169024,41995,'On a critical spell hit this spell may cast Mana Deluge IV on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(169025,41995,'Inflicts 245 - 270 crushing damage on target',100,2,2),
(169026,41995,'Increases power of caster by 52',100,2,3),
(169027,41995,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,4),
(169028,41995,'Must not be engaged in pvp combat',100,2,5),
(169029,41995,'Cannot be modified except by direct means',100,2,6),
(169030,41995,'On a critical combat hit this spell may cast Mana Deluge IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(169031,41995,'Inflicts 245 - 270 crushing damage on target',100,2,8),
(169032,41995,'Increases power of caster by 52',100,2,9),
(169033,41995,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,10),
(169034,41995,'Must not be engaged in pvp combat',100,2,11),
(169035,41995,'Cannot be modified except by direct means',100,2,12),
(169036,41995,'Must not be engaged in pvp combat',100,1,13),
(169037,10041995,'When Equipped:',100,0,0),
(169038,10041995,'On a critical spell hit this spell may cast Mana Deluge IV on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(169039,10041995,'Inflicts 294 - 324 crushing damage on target',100,2,2),
(169040,10041995,'Increases power of caster by 52',100,2,3),
(169041,10041995,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,4),
(169042,10041995,'Must not be engaged in pvp combat',100,2,5),
(169043,10041995,'Cannot be modified except by direct means',100,2,6),
(169044,10041995,'On a critical combat hit this spell may cast Mana Deluge IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(169045,10041995,'Inflicts 294 - 324 crushing damage on target',100,2,8),
(169046,10041995,'Increases power of caster by 52',100,2,9),
(169047,10041995,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,10),
(169048,10041995,'Must not be engaged in pvp combat',100,2,11),
(169049,10041995,'Cannot be modified except by direct means',100,2,12),
(169050,10041995,'Must not be engaged in pvp combat',100,1,13),
(169051,46207,'Applies Petamorph: Naga when Activated.  Lasts for 2 hours.',100,0,0),
(169052,46207,'Turns the caster''s combat pet into a naga guardian. Does not work on cosmetic pets.',100,1,1),
(169053,10046207,'Applies Petamorph: Naga when Activated.  Lasts for 2 hours.',100,0,0),
(169054,10046207,'Turns the caster''s combat pet into a naga guardian. Does not work on cosmetic pets.',100,1,1),
(169055,47271,'Applies Narron''s Restoration  when Activated.',100,0,0),
(169056,47271,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(169057,10047271,'Applies Narron''s Restoration  when Activated.',100,0,0),
(169058,10047271,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(169059,100532,'Heals group members (AE) for 251 - 307',100,1,0),
(169060,10100532,'Heals group members (AE) for 305 - 372',100,1,0),
(169061,117796,'Mesmerizes target',100,1,0),
(169062,117796,'Prevents AOE (except when direct) ',100,1,1),
(169063,117796,'Dispelled when target takes damage',100,1,2),
(169064,117796,'Epic targets gain an immunity to Mesmerize effects of 52.5 seconds and duration is reduced to 5.8 seconds.',100,1,3),
(169065,117796,'Resistibility increases against targets higher than level 83.',100,1,4),
(169066,10117796,'Mesmerizes target',100,1,0),
(169067,10117796,'Prevents AOE (except when direct) ',100,1,1),
(169068,10117796,'Dispelled when target takes damage',100,1,2),
(169069,10117796,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(169070,10117796,'Resistibility increases against targets higher than level 83.',100,1,4),
(169071,81446,'When Equipped:',100,0,0),
(169072,81446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169073,81446,'Inflicts 70 - 129 magic damage on target',100,2,2),
(169074,81446,'Cannot be modified except by direct means',100,2,3),
(169075,10081446,'When Equipped:',100,0,0),
(169076,10081446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169077,10081446,'Inflicts 84 - 155 magic damage on target',100,2,2),
(169078,10081446,'Cannot be modified except by direct means',100,2,3),
(169079,26201,'When Equipped:',100,0,0),
(169080,26201,'Increases all arcane damage by up to 20.',100,1,1),
(169081,10026201,'When Equipped:',100,0,0),
(169082,10026201,'Increases all arcane damage by up to 20.',100,1,1),
(169083,71678,'When Equipped:',100,0,0),
(169084,71678,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169085,71678,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(169086,71678,'Cannot be modified except by direct means',100,2,3),
(169087,10071678,'When Equipped:',100,0,0),
(169088,10071678,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169089,10071678,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(169090,10071678,'Cannot be modified except by direct means',100,2,3),
(169091,105562,'Inflicts 156 - 290 disease damage on target',100,1,0),
(169092,105562,'Inflicts 94 - 174 disease damage on target every 2 seconds',100,1,1),
(169093,10105562,'Inflicts 187 - 348 disease damage on target',100,1,0),
(169094,10105562,'Inflicts 112 - 209 disease damage on target every 2 seconds',100,1,1),
(169095,48492,'Applies Thinning Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(169096,48492,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(169097,48492,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(169098,48492,'Cannot be modified except by direct means',100,2,3),
(169099,48492,'Grants a total of 80 triggers of the spell.',100,2,4),
(169100,48492,'Only affects targets level 50 and above',100,1,5),
(169101,10048492,'Applies Thinning Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(169102,10048492,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(169103,10048492,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(169104,10048492,'Cannot be modified except by direct means',100,2,3),
(169105,10048492,'Grants a total of 80 triggers of the spell.',100,2,4),
(169106,10048492,'Only affects targets level 50 and above',100,1,5),
(169107,107693,'Inflicts 39 - 65 heat damage on target',100,1,0),
(169108,107693,'You must be sneaking to use this ability.',100,1,1),
(169109,10107693,'Inflicts 46 - 78 heat damage on target',100,1,0),
(169110,10107693,'You must be sneaking to use this ability.',100,1,1),
(169111,48438,'Applies Thinning Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(169112,48438,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(169113,48438,'Decreases AGI of target by 19.6',100,2,2),
(169114,48438,'Cannot be modified except by direct means',100,2,3),
(169115,48438,'Grants a total of 30 triggers of the spell.',100,2,4),
(169116,48438,'Only affects targets level 50 and above',100,1,5),
(169117,10048438,'Applies Thinning Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(169118,10048438,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(169119,10048438,'Decreases AGI of target by 19.6',100,2,2),
(169120,10048438,'Cannot be modified except by direct means',100,2,3),
(169121,10048438,'Grants a total of 30 triggers of the spell.',100,2,4),
(169122,10048438,'Only affects targets level 50 and above',100,1,5),
(169123,71835,'When Equipped:',100,0,0),
(169124,71835,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169125,71835,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(169126,71835,'Cannot be modified except by direct means',100,2,3),
(169127,10071835,'When Equipped:',100,0,0),
(169128,10071835,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169129,10071835,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(169130,10071835,'Cannot be modified except by direct means',100,2,3),
(169131,80547,'When Equipped:',100,0,0),
(169132,80547,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169133,80547,'Inflicts 77 - 144 magic damage on target',100,2,2),
(169134,80547,'Decreases Threat to target by 352 ',100,2,3),
(169135,80547,'Must be flanking or behind',100,3,4),
(169136,80547,'Increases Threat to target by 357 ',100,2,5),
(169137,80547,'Must be in front of',100,3,6),
(169138,80547,'Cannot be modified except by direct means',100,2,7),
(169139,10080547,'When Equipped:',100,0,0),
(169140,10080547,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169141,10080547,'Inflicts 93 - 173 magic damage on target',100,2,2),
(169142,10080547,'Cannot be modified except by direct means',100,2,3),
(169143,101969,'Inflicts 443 - 823 heat damage on target',100,1,0),
(169144,10101969,'Inflicts 532 - 988 heat damage on target',100,1,0),
(169145,36620,'Increases Max Power of target by 3.3',100,0,0),
(169146,36620,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(169147,46420,'Applies Form of the Zeklord when Activated.',100,0,0),
(169148,46420,'Shapechanges caster into a zeklord',100,1,1),
(169149,10046420,'Applies Form of the Zeklord when Activated.',100,0,0),
(169150,10046420,'Shapechanges caster into a zeklord',100,1,1),
(169151,115499,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(169152,115499,'Increases Mitigation of group members (AE) vs noxious damage by 450',100,1,1),
(169153,10115499,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(169154,10115499,'Increases Mitigation of group members (AE) vs noxious damage by 450',100,1,1),
(169155,172920,'When Equipped:',100,0,0),
(169156,172920,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,1,1),
(169157,172920,'Increases Riposte Damage of caster by 18.0',100,1,2),
(169158,172920,'Increases Additional chance to Riposte of caster by 18.0',100,1,3),
(169159,172920,'Must not be engaged in pvp combat',100,1,4),
(169160,10172920,'When Equipped:',100,0,0),
(169161,10172920,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,1,1),
(169162,10172920,'Increases Riposte Damage of caster by 18.0',100,1,2),
(169163,10172920,'Increases Additional chance to Riposte of caster by 18.0',100,1,3),
(169164,10172920,'Must not be engaged in pvp combat',100,1,4),
(169165,118587,'Roots target',100,1,0),
(169166,118587,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(169167,118587,'Slows target by 34.2%',100,2,2),
(169168,118587,'5% chance to dispel when target receives hostile action',100,2,3),
(169169,118587,'5% chance to dispel when target takes damage',100,2,4),
(169170,118587,'5% chance to dispel when target takes damage',100,1,5),
(169171,118587,'Does not affect Epic targets',100,1,6),
(169172,118587,'Resistibility increases against targets higher than level 50.',100,1,7),
(169173,10118587,'Roots target',100,1,0),
(169174,10118587,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(169175,10118587,'Slows target by 34.2%',100,2,2),
(169176,10118587,'5% chance to dispel when target receives hostile action',100,2,3),
(169177,10118587,'5% chance to dispel when target takes damage',100,2,4),
(169178,10118587,'5% chance to dispel when target takes damage',100,1,5),
(169179,10118587,'Does not affect Epic targets',100,1,6),
(169180,10118587,'Resistibility increases against targets higher than level 50.',100,1,7),
(169181,112307,'Inflicts 97 - 119 disease damage on target',100,1,0),
(169182,112307,'Inflicts 49 - 59 disease damage on target every 3 seconds',100,1,1),
(169183,112307,'Increases Threat to target by 912 - 1,114  instantly and by 175 - 213  every 3 seconds thereafter',100,1,2),
(169184,10112307,'Inflicts 58 - 71 disease damage on target every 3 seconds',100,1,0),
(169185,10112307,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(169186,115623,'Wards target against 2496 points of all damage',100,1,0),
(169187,10115623,'Wards target against 3744 points of all damage',100,1,0),
(169188,109554,'Inflicts 5087 - 8478 cold damage on targets in Area of Effect',100,1,0),
(169189,109554,'Throws target back',100,1,1),
(169190,109554,'If Target is not Epic',100,2,2),
(169191,109554,'Stuns targets in Area of Effect',100,1,3),
(169192,109554,'If Target is not Epic',100,2,4),
(169193,109554,'Resistibility increases against targets higher than level 117.',100,1,5),
(169194,10109554,'Inflicts 4069 - 6782 cold damage on targets in Area of Effect',100,1,0),
(169195,10109554,'Throws target back',100,1,1),
(169196,10109554,'If Target is not Epic',100,2,2),
(169197,10109554,'Stuns targets in Area of Effect',100,1,3),
(169198,10109554,'If Target is not Epic',100,2,4),
(169199,10109554,'Resistibility increases against targets higher than level 117.',100,1,5),
(169200,46186,'Applies Essence of the Treefolk when Activated.',100,0,0),
(169201,46186,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(169202,10046186,'Applies Essence of the Treefolk when Activated.',100,0,0),
(169203,10046186,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(169204,24371,'Adds Flying Snake (Brigand) to your Dungeon Maker toolbox',100,0,0),
(169205,10024371,'Adds Flying Snake (Brigand) to your Dungeon Maker toolbox',100,0,0),
(169206,120210,'Decreases STR and INT of target by 95.0',100,1,0),
(169207,120210,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(169208,120210,'Grants a total of 1 trigger of the spell.',100,2,2),
(169209,10120210,'Decreases STR and INT of target by 95.0',100,1,0),
(169210,10120210,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(169211,10120210,'Grants a total of 1 trigger of the spell.',100,2,2),
(169212,82089,'When Equipped:',100,0,0),
(169213,82089,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169214,82089,'Inflicts 122 - 226 magic damage on target',100,2,2),
(169215,82089,'Cannot be modified except by direct means',100,2,3),
(169216,10082089,'When Equipped:',100,0,0),
(169217,10082089,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169218,10082089,'Inflicts 146 - 272 magic damage on target',100,2,2),
(169219,10082089,'Cannot be modified except by direct means',100,2,3),
(169220,84019,'Applies Lightning Shock when Activated.',100,0,0),
(169221,84019,'Inflicts 174 - 291 magic damage on target',100,1,1),
(169222,84019,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(169223,10084019,'Applies Lightning Shock when Activated.',100,0,0),
(169224,10084019,'Inflicts 209 - 349 magic damage on target',100,1,1),
(169225,10084019,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(169226,71717,'When Equipped:',100,0,0),
(169227,71717,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169228,71717,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(169229,71717,'Cannot be modified except by direct means',100,2,3),
(169230,10071717,'When Equipped:',100,0,0),
(169231,10071717,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169232,10071717,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(169233,10071717,'Cannot be modified except by direct means',100,2,3),
(169234,45033,'Applies Calm when Activated.',100,0,0),
(169235,10045033,'Applies Calm when Activated.',100,0,0),
(169236,108685,'Inflicts 29 heat damage on target',100,1,0),
(169237,108685,'Inflicts 6 heat damage on target every 4 seconds',100,1,1),
(169238,10108685,'Inflicts 48 heat damage on target',100,1,0),
(169239,10108685,'Inflicts 8 heat damage on target every 4 seconds',100,1,1),
(169240,118469,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(169241,118469,'Inflicts 37 - 46 heat damage on target instantly and every second',100,2,1),
(169242,10118469,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(169243,10118469,'Inflicts 45 - 55 heat damage on target instantly and every second',100,2,1),
(169244,100762,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(169245,100762,'Wards target against 1164 points of all damage',100,2,1),
(169246,100762,'Increases power of target by 252 every 6 seconds',100,2,2),
(169247,100762,'Heals target for 1092',100,2,3),
(169248,100762,'Grants a total of 1 trigger of the spell.',100,2,4),
(169249,10100762,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(169250,10100762,'Wards target against 1164 points of all damage',100,2,1),
(169251,10100762,'Increases power of target by 252 every 6 seconds',100,2,2),
(169252,10100762,'Heals target for 710',100,2,3),
(169253,10100762,'Grants a total of 1 trigger of the spell.',100,2,4),
(169254,86198,'When Equipped:',100,0,0),
(169255,86198,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169256,86198,'Inflicts 44 - 54 disease damage on target',100,2,2),
(169257,86198,'Inflicts 41 - 50 disease damage on target every 6 seconds',100,2,3),
(169258,86198,'Cannot be modified except by direct means',100,2,4),
(169259,10086198,'When Equipped:',100,0,0),
(169260,10086198,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169261,10086198,'Inflicts 53 - 64 disease damage on target',100,2,2),
(169262,10086198,'Inflicts 49 - 60 disease damage on target every 6 seconds',100,2,3),
(169263,10086198,'Cannot be modified except by direct means',100,2,4),
(169264,117326,'Roots target',100,1,0),
(169265,117326,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(169266,117326,'Slows target by 47.3%',100,2,2),
(169267,117326,'5% chance to dispel when target receives hostile action',100,2,3),
(169268,117326,'5% chance to dispel when target takes damage',100,2,4),
(169269,117326,'15% chance to dispel when target takes damage',100,1,5),
(169270,117326,'Does not affect Epic targets',100,1,6),
(169271,117326,'Resistibility increases against targets higher than level 76.',100,1,7),
(169272,10117326,'Roots target',100,1,0),
(169273,10117326,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(169274,10117326,'Slows target by 47.3%',100,2,2),
(169275,10117326,'10% chance to dispel when target receives hostile action',100,2,3),
(169276,10117326,'10% chance to dispel when target takes damage',100,2,4),
(169277,10117326,'15% chance to dispel when target takes damage',100,1,5),
(169278,10117326,'Does not affect Epic targets',100,1,6),
(169279,10117326,'Resistibility increases against targets higher than level 76.',100,1,7),
(169280,119912,'Stifles target',100,1,0),
(169281,119912,'Inflicts 86 - 106 mental damage on target',100,1,1),
(169282,119912,'Inflicts 29 - 35 mental damage on target every 1.6 seconds',100,1,2),
(169283,119912,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(169284,119912,'Resistibility increases against targets higher than level 59.',100,1,4),
(169285,10119912,'Stifles target',100,1,0),
(169286,10119912,'Inflicts 104 - 127 mental damage on target',100,1,1),
(169287,10119912,'Inflicts 35 - 42 mental damage on target every second',100,1,2),
(169288,10119912,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(169289,10119912,'Resistibility increases against targets higher than level 59.',100,1,4),
(169290,120952,'Inflicts 379 - 632 ranged damage on target',100,1,0),
(169291,120952,'If weapon equipped in Ranged',100,1,1),
(169292,120952,'Must be behind',100,1,2),
(169293,10120952,'Inflicts 322 - 537 ranged damage on target',100,1,0),
(169294,10120952,'If weapon equipped in Ranged',100,1,1),
(169295,10120952,'Must be behind',100,1,2),
(169296,115369,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(169297,115369,'Increases Parry of caster by 5.3',100,1,1),
(169298,10115369,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(169299,10115369,'Increases Parry of caster by 5.3',100,1,1),
(169300,117653,'Decreases Mitigation of target vs physical damage by 192',100,1,0),
(169301,10117653,'Decreases Mitigation of target vs physical damage by 192',100,1,0),
(169302,111542,'Increases Hate Gain of target by 27.1%',100,1,0),
(169303,111542,'Increases Aggression of target by 19.3',100,1,1),
(169304,10111542,'Increases STR of target by 50.1',100,1,0),
(169305,10111542,'Increases Aggression of target by 19.3',100,1,1),
(169306,82618,'When Equipped:',100,0,0),
(169307,82618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169308,82618,'Inflicts 74 - 138 magic damage on target',100,2,2),
(169309,82618,'Cannot be modified except by direct means',100,2,3),
(169310,10082618,'When Equipped:',100,0,0),
(169311,10082618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169312,10082618,'Inflicts 89 - 165 magic damage on target',100,2,2),
(169313,10082618,'Cannot be modified except by direct means',100,2,3),
(169314,81532,'When Equipped:',100,0,0),
(169315,81532,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169316,81532,'Inflicts 107 - 199 magic damage on target',100,2,2),
(169317,81532,'Decreases Threat to target by 376 ',100,2,3),
(169318,81532,'Must be flanking or behind',100,3,4),
(169319,81532,'Increases Threat to target by 381 ',100,2,5),
(169320,81532,'Must be in front of',100,3,6),
(169321,81532,'Cannot be modified except by direct means',100,2,7),
(169322,10081532,'When Equipped:',100,0,0),
(169323,10081532,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169324,10081532,'Inflicts 128 - 238 magic damage on target',100,2,2),
(169325,10081532,'Cannot be modified except by direct means',100,2,3),
(169326,101651,'Decreases Attack Speed of target by 14.3',100,1,0),
(169327,101651,'Decreases Damage Per Second of target by 8.2',100,1,1),
(169328,10101651,'Decreases Attack Speed of target by 14.3',100,1,0),
(169329,10101651,'Decreases Damage Per Second of target by 8.2',100,1,1),
(169330,118398,'Heals target for 40 - 49',100,1,0),
(169331,118398,'Increases Max Health of target by 7.0',100,1,1),
(169332,10118398,'Heals target for 47 - 57',100,1,0),
(169333,10118398,'Increases Max Health of target by 7.0',100,1,1),
(169334,115154,'Heals target for 50 - 61',100,1,0),
(169335,10115154,'Heals target for 68 - 83',100,1,0),
(169336,118219,'Increases Damage Per Second of group members (AE) by 30.2',100,1,0),
(169337,10118219,'Increases Damage Per Second of group members (AE) by 30.2',100,1,0),
(169338,112084,'Inflicts 92 - 153 heat damage on target instantly and every 2 seconds',100,1,0),
(169339,10112084,'Inflicts 270 - 450 heat damage on target instantly and every 2 seconds',100,1,0),
(169340,187139,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(169341,187139,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(169342,187139,'Cannot be modified except by direct means',100,1,2),
(169343,10187139,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(169344,10187139,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(169345,10187139,'Cannot be modified except by direct means',100,1,2),
(169346,47800,'Applies Aura of the Teir''dal when Activated.',100,0,0),
(169347,47800,'Engulfs user with the aura of the Teir''Dal',100,1,1),
(169348,10047800,'Applies Aura of the Teir''dal when Activated.',100,0,0),
(169349,10047800,'Engulfs user with the aura of the Teir''Dal',100,1,1),
(169350,144088,'When Equipped:',100,0,0),
(169351,144088,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169352,144088,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(169353,144088,'Increases Potency of caster by 11.0%',100,2,3),
(169354,144088,'Must not be engaged in pvp combat',100,2,4),
(169355,144088,'Cannot be modified except by direct means',100,2,5),
(169356,144088,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(169357,144088,'Increases Potency of caster by 11.0%',100,2,7),
(169358,144088,'Must not be engaged in pvp combat',100,2,8),
(169359,144088,'Cannot be modified except by direct means',100,2,9),
(169360,144088,'Cannot be modified except by direct means',100,1,10),
(169361,10144088,'When Equipped:',100,0,0),
(169362,10144088,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169363,10144088,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(169364,10144088,'Increases Potency of caster by 11.0%',100,2,3),
(169365,10144088,'Must not be engaged in pvp combat',100,2,4),
(169366,10144088,'Cannot be modified except by direct means',100,2,5),
(169367,10144088,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(169368,10144088,'Increases Potency of caster by 11.0%',100,2,7),
(169369,10144088,'Must not be engaged in pvp combat',100,2,8),
(169370,10144088,'Cannot be modified except by direct means',100,2,9),
(169371,10144088,'Cannot be modified except by direct means',100,1,10),
(169372,158342,'Applies Hooluk in a Hat when Activated.',100,0,0),
(169373,158342,'Summons a pet Hooluk',100,1,1),
(169374,158342,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(169375,10158342,'Applies Hooluk in a Hat when Activated.',100,0,0),
(169376,10158342,'Summons a pet Hooluk',100,1,1),
(169377,10158342,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(169378,45725,'Applies Scintillation Potion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(169379,45725,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(169380,45725,'Inflicts 19 magic damage on target',100,2,2),
(169381,45725,'Cannot be modified except by direct means',100,2,3),
(169382,10045725,'Applies Scintillation Potion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(169383,10045725,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(169384,10045725,'Inflicts 23 magic damage on target',100,2,2),
(169385,10045725,'Cannot be modified except by direct means',100,2,3),
(169386,119663,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(169387,119663,'Throws target back',100,2,1),
(169388,119663,'Stuns target',100,2,2),
(169389,119663,'Blurs vision of target',100,2,3),
(169390,119663,'Does not affect Epic targets',100,2,4),
(169391,119663,'Inflicts 120 - 360 melee damage on target',100,1,5),
(169392,10119663,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(169393,10119663,'Throws target back',100,2,1),
(169394,10119663,'Stuns target',100,2,2),
(169395,10119663,'Blurs vision of target',100,2,3),
(169396,10119663,'Does not affect Epic targets',100,2,4),
(169397,10119663,'Inflicts 144 - 433 melee damage on target',100,1,5),
(169398,159599,'When Equipped:',100,0,0),
(169399,159599,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169400,159599,'Increases WIS of caster by 8.9',100,2,2),
(169401,159599,'Increases Ministration, Ordination and Focus of caster by 5.7',100,2,3),
(169402,159599,'Cannot be modified except by direct means',100,2,4),
(169403,10159599,'When Equipped:',100,0,0),
(169404,10159599,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169405,10159599,'Increases WIS of caster by 8.9',100,2,2),
(169406,10159599,'Increases Ministration, Ordination and Focus of caster by 5.7',100,2,3),
(169407,10159599,'Cannot be modified except by direct means',100,2,4),
(169408,81911,'When Equipped:',100,0,0),
(169409,81911,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169410,81911,'Inflicts 261 - 484 magic damage on target',100,2,2),
(169411,81911,'Decreases Threat to target by 994 ',100,2,3),
(169412,81911,'Must be flanking or behind',100,3,4),
(169413,81911,'Increases Threat to target by 999 ',100,2,5),
(169414,81911,'Must be in front of',100,3,6),
(169415,81911,'Cannot be modified except by direct means',100,2,7),
(169416,10081911,'When Equipped:',100,0,0),
(169417,10081911,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169418,10081911,'Inflicts 313 - 581 magic damage on target',100,2,2),
(169419,10081911,'Cannot be modified except by direct means',100,2,3),
(169420,117175,'Inflicts 79 poison damage on target instantly and every 4 seconds',100,1,0),
(169421,117175,'Decreases WIS of target by 72.5',100,1,1),
(169422,10117175,'Inflicts 95 poison damage on target instantly and every 4 seconds',100,1,0),
(169423,10117175,'Decreases WIS of target by 72.5',100,1,1),
(169424,107624,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(169425,107624,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(169426,10107624,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(169427,10107624,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(169428,81478,'When Equipped:',100,0,0),
(169429,81478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169430,81478,'Inflicts 77 - 144 magic damage on target',100,2,2),
(169431,81478,'Cannot be modified except by direct means',100,2,3),
(169432,10081478,'When Equipped:',100,0,0),
(169433,10081478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169434,10081478,'Inflicts 93 - 173 magic damage on target',100,2,2),
(169435,10081478,'Cannot be modified except by direct means',100,2,3),
(169436,122939,'Inflicts 29 - 39 mental damage on target',100,1,0),
(169437,10122939,'Inflicts 34 - 46 mental damage on target',100,1,0),
(169438,158918,'When Equipped:',100,0,0),
(169439,158918,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169440,158918,'Increases INT, AGI, WIS and STR of caster by 50.0',100,1,2),
(169441,158918,'Increases Potency of caster by 3.5%',100,1,3),
(169442,158918,'Cannot be modified except by direct means',100,1,4),
(169443,10158918,'When Equipped:',100,0,0),
(169444,10158918,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169445,10158918,'Increases INT, AGI, WIS and STR of caster by 50.0',100,1,2),
(169446,10158918,'Increases Potency of caster by 3.5%',100,1,3),
(169447,10158918,'Cannot be modified except by direct means',100,1,4),
(169448,85370,'Applies Poison Bolt when Activated.',100,0,0),
(169449,85370,'Inflicts 169 - 282 poison damage on target',100,1,1),
(169450,85370,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(169451,10085370,'Applies Poison Bolt when Activated.',100,0,0),
(169452,10085370,'Inflicts 203 - 338 poison damage on target',100,1,1),
(169453,10085370,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(169454,139796,'When Equipped:',100,0,0),
(169455,139796,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(169456,10139796,'When Equipped:',100,0,0),
(169457,10139796,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(169458,159019,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(169459,159019,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(169460,159019,'Inflicts 77 heat damage on target',100,2,2),
(169461,159019,'Cannot be modified except by direct means',100,2,3),
(169462,10159019,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(169463,10159019,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(169464,10159019,'Inflicts 93 heat damage on target',100,2,2),
(169465,10159019,'Cannot be modified except by direct means',100,2,3),
(169466,153814,'Applies Indomitable IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(169467,153814,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(169468,153814,'Wards caster against 400 points of all damage',100,2,2),
(169469,153814,'Must not be engaged in pvp combat',100,2,3),
(169470,153814,'Cannot be modified except by direct means',100,2,4),
(169471,153814,'Increases the caster''s physical mitigation over time.',100,1,5),
(169472,153814,'Must not be engaged in pvp combat',100,1,6),
(169473,153814,'Cannot be modified except by direct means',100,1,7),
(169474,153814,'The reuse time of Indomitable IV is 10 minutes',100,1,8),
(169475,10153814,'Applies Indomitable IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(169476,10153814,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,1),
(169477,10153814,'Wards caster against 400 points of all damage',100,2,2),
(169478,10153814,'Must not be engaged in pvp combat',100,2,3),
(169479,10153814,'Cannot be modified except by direct means',100,2,4),
(169480,10153814,'Increases the caster''s physical mitigation over time.',100,1,5),
(169481,10153814,'Must not be engaged in pvp combat',100,1,6),
(169482,10153814,'Cannot be modified except by direct means',100,1,7),
(169483,10153814,'The reuse time of Indomitable IV is 10 minutes',100,1,8),
(169484,103592,'Increases Mitigation of caster vs physical damage by 476',100,1,0),
(169485,10103592,'Increases Mitigation of caster vs physical damage by 476',100,1,0),
(169486,54758,'When Equipped:',100,0,0),
(169487,54758,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169488,54758,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(169489,54758,'Increases STR, WIS, INT and AGI of caster by 110.0',100,2,3),
(169490,54758,'Increases Potency of caster by 3.0%',100,2,4),
(169491,54758,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(169492,54758,'Must not be engaged in pvp combat',100,2,6),
(169493,54758,'Cannot be modified except by direct means',100,2,7),
(169494,54758,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(169495,54758,'Increases STR, WIS, INT and AGI of caster by 110.0',100,2,9),
(169496,54758,'Increases Potency of caster by 3.0%',100,2,10),
(169497,54758,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(169498,54758,'Must not be engaged in pvp combat',100,2,12),
(169499,54758,'Cannot be modified except by direct means',100,2,13),
(169500,54758,'Cannot be modified except by direct means',100,1,14),
(169501,10054758,'When Equipped:',100,0,0),
(169502,10054758,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169503,10054758,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(169504,10054758,'Increases STR, WIS, INT and AGI of caster by 110.0',100,2,3),
(169505,10054758,'Increases Potency of caster by 3.0%',100,2,4),
(169506,10054758,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(169507,10054758,'Must not be engaged in pvp combat',100,2,6),
(169508,10054758,'Cannot be modified except by direct means',100,2,7),
(169509,10054758,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(169510,10054758,'Increases STR, WIS, INT and AGI of caster by 110.0',100,2,9),
(169511,10054758,'Increases Potency of caster by 3.0%',100,2,10),
(169512,10054758,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(169513,10054758,'Must not be engaged in pvp combat',100,2,12),
(169514,10054758,'Cannot be modified except by direct means',100,2,13),
(169515,10054758,'Cannot be modified except by direct means',100,1,14),
(169516,123113,'Inflicts 104 disease damage on targets in Area of Effect',100,1,0),
(169517,123113,'Inflicts 71 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(169518,10123113,'Inflicts 125 disease damage on targets in Area of Effect',100,1,0),
(169519,10123113,'Inflicts 85 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(169520,145946,'When Equipped:',100,0,0),
(169521,145946,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169522,145946,'On any combat or spell hit this spell may cast Wild Swings II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(169523,145946,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,3),
(169524,145946,'Must not be engaged in pvp combat',100,2,4),
(169525,145946,'Cannot be modified except by direct means',100,2,5),
(169526,145946,'Cannot be modified except by direct means',100,1,6),
(169527,10145946,'When Equipped:',100,0,0),
(169528,10145946,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(169529,10145946,'On any combat or spell hit this spell may cast Wild Swings II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(169530,10145946,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,3),
(169531,10145946,'Must not be engaged in pvp combat',100,2,4),
(169532,10145946,'Cannot be modified except by direct means',100,2,5),
(169533,10145946,'Cannot be modified except by direct means',100,1,6),
(169534,82115,'When Equipped:',100,0,0),
(169535,82115,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169536,82115,'Inflicts 135 - 252 magic damage on target',100,2,2),
(169537,82115,'Cannot be modified except by direct means',100,2,3),
(169538,10082115,'When Equipped:',100,0,0),
(169539,10082115,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169540,10082115,'Inflicts 163 - 302 magic damage on target',100,2,2),
(169541,10082115,'Cannot be modified except by direct means',100,2,3),
(169542,104743,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(169543,104743,'Decreases Mitigation of target vs elemental and arcane damage by 1728',100,2,1),
(169544,104743,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(169545,104743,'Decreases Mitigation of target vs elemental and arcane damage by 1728',100,2,3),
(169546,10104743,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(169547,10104743,'Decreases Mitigation of target vs elemental and arcane damage by 1728',100,2,1),
(169548,10104743,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(169549,10104743,'Decreases Mitigation of target vs elemental and arcane damage by 1728',100,2,3),
(169550,103557,'Increases In-Combat Power Regeneration of group members (AE) by 36.6',100,1,0),
(169551,10103557,'Increases In-Combat Power Regeneration of group members (AE) by 36.6',100,1,0),
(169552,48691,'Applies Crucorn''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(169553,10048691,'Applies Crucorn''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(169554,82910,'When Equipped:',100,0,0),
(169555,82910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169556,82910,'Inflicts 224 - 416 magic damage on target',100,2,2),
(169557,82910,'Cannot be modified except by direct means',100,2,3),
(169558,10082910,'When Equipped:',100,0,0),
(169559,10082910,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169560,10082910,'Inflicts 269 - 499 magic damage on target',100,2,2),
(169561,10082910,'Cannot be modified except by direct means',100,2,3),
(169562,104756,'Increases power of caster by 8 instantly and every 4 seconds',100,1,0),
(169563,10104756,'Increases power of caster by 8 instantly and every 4 seconds',100,1,0),
(169564,121719,'Increases AGI of caster by 47.0',100,1,0),
(169565,121719,'Adds 1.5% to base avoidance.',100,1,1),
(169566,121719,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(169567,121719,'Increases Parry of caster by 27.0',100,1,3),
(169568,121719,'Increases Defense of caster by 36.0',100,1,4),
(169569,10121719,'Increases AGI of caster by 47.0',100,1,0),
(169570,10121719,'Adds 1.5% to base avoidance.',100,1,1),
(169571,10121719,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(169572,10121719,'Increases Parry of caster by 27.0',100,1,3),
(169573,10121719,'Increases Defense of caster by 36.0',100,1,4),
(169574,175266,'When Equipped:',100,0,0),
(169575,175266,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(169576,175266,'Heals group members (AE) for 372 - 454',100,2,2),
(169577,175266,'Heals group members (AE) for 80 - 97 every 2 seconds',100,2,3),
(169578,175266,'Must not be engaged in pvp combat',100,2,4),
(169579,175266,'Cannot be modified except by direct means',100,2,5),
(169580,175266,'Cannot be modified except by direct means',100,1,6),
(169581,10175266,'When Equipped:',100,0,0),
(169582,10175266,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(169583,10175266,'Heals group members (AE) for 242 - 295',100,2,2),
(169584,10175266,'Heals group members (AE) for 52 - 63 every 2 seconds',100,2,3),
(169585,10175266,'Must not be engaged in pvp combat',100,2,4),
(169586,10175266,'Cannot be modified except by direct means',100,2,5),
(169587,10175266,'Cannot be modified except by direct means',100,1,6),
(169588,118557,'Dazes caster',100,1,0),
(169589,118557,'Roots caster',100,1,1),
(169590,118557,'Increases Mitigation of caster vs physical damage by 880',100,1,2),
(169591,10118557,'Dazes caster',100,1,0),
(169592,10118557,'Roots caster',100,1,1),
(169593,10118557,'Increases Mitigation of caster vs physical damage by 880',100,1,2),
(169594,36743,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(169595,24751,'Adds Vulrich (Berserker) to your Dungeon Maker toolbox',100,0,0),
(169596,10024751,'Adds Vulrich (Berserker) to your Dungeon Maker toolbox',100,0,0),
(169597,35571,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(169598,72124,'When Equipped:',100,0,0),
(169599,72124,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169600,72124,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(169601,72124,'Cannot be modified except by direct means',100,2,3),
(169602,10072124,'When Equipped:',100,0,0),
(169603,10072124,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169604,10072124,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(169605,10072124,'Cannot be modified except by direct means',100,2,3),
(169606,51379,'When Equipped:',100,0,0),
(169607,51379,'On a spell cast this spell may cast Plasma Amplification on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169608,51379,'Increases Potency of caster by 10.0%',100,2,2),
(169609,51379,'Cannot be modified except by direct means',100,2,3),
(169610,51379,'Cannot be modified except by direct means',100,1,4),
(169611,10051379,'When Equipped:',100,0,0),
(169612,10051379,'On a spell cast this spell may cast Plasma Amplification on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169613,10051379,'Increases Potency of caster by 10.0%',100,2,2),
(169614,10051379,'Cannot be modified except by direct means',100,2,3),
(169615,10051379,'Cannot be modified except by direct means',100,1,4),
(169616,75315,'When Equipped:',100,0,0),
(169617,75315,'Increases Ability Modifier of caster by 30.0',100,1,1),
(169618,75315,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(169619,75315,'Increases Damage Per Second of caster by 15.0',100,2,3),
(169620,75315,'Cannot be modified except by direct means',100,2,4),
(169621,10075315,'When Equipped:',100,0,0),
(169622,10075315,'Increases Ability Modifier of caster by 30.0',100,1,1),
(169623,10075315,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(169624,10075315,'Increases Damage Per Second of caster by 15.0',100,2,3),
(169625,10075315,'Cannot be modified except by direct means',100,2,4),
(169626,159093,'When Equipped:',100,0,0),
(169627,159093,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(169628,159093,'Increases AGI of caster by 14.8',100,2,2),
(169629,159093,'Increases Attack Speed of caster by 16.5',100,2,3),
(169630,159093,'Cannot be modified except by direct means',100,2,4),
(169631,10159093,'When Equipped:',100,0,0),
(169632,10159093,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(169633,10159093,'Increases AGI of caster by 14.8',100,2,2),
(169634,10159093,'Increases Attack Speed of caster by 16.5',100,2,3),
(169635,10159093,'Cannot be modified except by direct means',100,2,4),
(169636,162436,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(169637,162436,'Increases speed of caster by 10.0%',100,1,1),
(169638,162436,'This effect suspends during combat',100,1,2),
(169639,10162436,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(169640,10162436,'Increases speed of caster by 10.0%',100,1,1),
(169641,10162436,'This effect suspends during combat',100,1,2),
(169642,48473,'Applies Thinning Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(169643,48473,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(169644,48473,'Stuns target',100,2,2),
(169645,48473,'If Target is not Epic',100,3,3),
(169646,48473,'Cannot be modified except by direct means',100,2,4),
(169647,48473,'Grants a total of 30 triggers of the spell.',100,2,5),
(169648,48473,'Only affects targets level 50 and above',100,1,6),
(169649,10048473,'Applies Thinning Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(169650,10048473,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(169651,10048473,'Stuns target',100,2,2),
(169652,10048473,'If Target is not Epic',100,3,3),
(169653,10048473,'Cannot be modified except by direct means',100,2,4),
(169654,10048473,'Grants a total of 30 triggers of the spell.',100,2,5),
(169655,10048473,'Only affects targets level 50 and above',100,1,6),
(169656,82718,'When Equipped:',100,0,0),
(169657,82718,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169658,82718,'Decreases Threat to target by 135 ',100,2,2),
(169659,82718,'Must be flanking or behind',100,3,3),
(169660,82718,'Increases Threat to target by 140 ',100,2,4),
(169661,82718,'Must be in front of',100,3,5),
(169662,82718,'Inflicts 31 - 57 magic damage on target',100,2,6),
(169663,82718,'Cannot be modified except by direct means',100,2,7),
(169664,10082718,'When Equipped:',100,0,0),
(169665,10082718,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169666,10082718,'Inflicts 37 - 68 magic damage on target',100,2,2),
(169667,10082718,'Cannot be modified except by direct means',100,2,3),
(169668,46136,'Applies Collect Water when Activated.',100,0,0),
(169669,46136,'Updates a specific part of the Quest \"Grobin Trouble at the Pond\"',100,1,1),
(169670,46136,'This effect cannot be cast during combat',100,1,2),
(169671,46136,'You must use this to collect water from the Amethyst Pond in Greater Faydark.',100,1,3),
(169672,10046136,'Applies Collect Water when Activated.',100,0,0),
(169673,10046136,'Updates a specific part of the Quest \"Grobin Trouble at the Pond\"',100,1,1),
(169674,10046136,'This effect cannot be cast during combat',100,1,2),
(169675,10046136,'You must use this to collect water from the Amethyst Pond in Greater Faydark.',100,1,3),
(169676,104739,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(169677,104739,'Decreases Mitigation of target vs elemental and arcane damage by 1463',100,2,1),
(169678,104739,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(169679,104739,'Decreases Mitigation of target vs elemental and arcane damage by 1463',100,2,3),
(169680,10104739,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(169681,10104739,'Decreases Mitigation of target vs elemental and arcane damage by 1463',100,2,1),
(169682,10104739,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(169683,10104739,'Decreases Mitigation of target vs elemental and arcane damage by 1463',100,2,3),
(169684,113310,'Inflicts 192 - 320 heat damage on target',100,1,0),
(169685,10113310,'Inflicts 349 - 582 heat damage on target',100,1,0),
(169686,80945,'When Equipped:',100,0,0),
(169687,80945,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169688,80945,'Inflicts 171 - 317 magic damage on target',100,2,2),
(169689,80945,'Cannot be modified except by direct means',100,2,3),
(169690,10080945,'When Equipped:',100,0,0),
(169691,10080945,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169692,10080945,'Inflicts 205 - 381 magic damage on target',100,2,2),
(169693,10080945,'Cannot be modified except by direct means',100,2,3),
(169694,48516,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(169695,48516,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(169696,48516,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(169697,48516,'Cannot be modified except by direct means',100,2,3),
(169698,48516,'Grants a total of 80 triggers of the spell.',100,2,4),
(169699,10048516,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(169700,10048516,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(169701,10048516,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(169702,10048516,'Cannot be modified except by direct means',100,2,3),
(169703,10048516,'Grants a total of 80 triggers of the spell.',100,2,4),
(169704,173393,'When Equipped:',100,0,0),
(169705,173393,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(169706,173393,'Inflicts 1192 magic damage on target',100,2,2),
(169707,173393,'Cannot be modified except by direct means',100,2,3),
(169708,10173393,'When Equipped:',100,0,0),
(169709,10173393,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(169710,10173393,'Inflicts 715 magic damage on target',100,2,2),
(169711,10173393,'Cannot be modified except by direct means',100,2,3),
(169712,47703,'Applies Refreshing Elixir when Activated.',100,0,0),
(169713,47703,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(169714,10047703,'Applies Refreshing Elixir when Activated.',100,0,0),
(169715,10047703,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(169716,48871,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(169717,48871,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(169718,48871,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(169719,48871,'Cannot be modified except by direct means',100,2,3),
(169720,48871,'Grants a total of 80 triggers of the spell.',100,2,4),
(169721,10048871,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(169722,10048871,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(169723,10048871,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(169724,10048871,'Cannot be modified except by direct means',100,2,3),
(169725,10048871,'Grants a total of 80 triggers of the spell.',100,2,4),
(169726,121100,'Mesmerizes targets in Area of Effect',100,1,0),
(169727,121100,'If Target is not Epic',100,2,1),
(169728,121100,'Decreases Threat to targets in Area of Effect by 1,186 ',100,1,2),
(169729,121100,'Dispelled when target takes damage',100,1,3),
(169730,10121100,'Mesmerizes targets in Area of Effect',100,1,0),
(169731,10121100,'If Target is not Epic',100,2,1),
(169732,10121100,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(169733,10121100,'Applies Distract.',100,1,3),
(169734,10121100,'Forces target to clear their selected target.',100,2,4),
(169735,10121100,'Dispelled when target takes damage',100,1,5),
(169736,107007,'Interrupts target',100,1,0),
(169737,107007,'Inflicts 54 - 90 melee damage on target',100,1,1),
(169738,107007,'Must be flanking or behind',100,1,2),
(169739,10107007,'Interrupts target',100,1,0),
(169740,10107007,'Inflicts 64 - 108 melee damage on target',100,1,1),
(169741,10107007,'Must be flanking or behind',100,1,2),
(169742,188264,'When Equipped:',100,0,0),
(169743,188264,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(169744,10188264,'When Equipped:',100,0,0),
(169745,10188264,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(169746,150084,'When Equipped:',100,0,0),
(169747,150084,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(169748,150084,'Heals group members (AE) for 875',100,2,2),
(169749,150084,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(169750,150084,'Must not be engaged in pvp combat',100,2,4),
(169751,150084,'Cannot be modified except by direct means',100,2,5),
(169752,150084,'Must not be engaged in pvp combat',100,1,6),
(169753,10150084,'When Equipped:',100,0,0),
(169754,10150084,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(169755,10150084,'Heals group members (AE) for 1024',100,2,2),
(169756,10150084,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(169757,10150084,'Must not be engaged in pvp combat',100,2,4),
(169758,10150084,'Cannot be modified except by direct means',100,2,5),
(169759,10150084,'Must not be engaged in pvp combat',100,1,6),
(169760,81829,'When Equipped:',100,0,0),
(169761,81829,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169762,81829,'Inflicts 105 - 195 magic damage on target',100,2,2),
(169763,81829,'Cannot be modified except by direct means',100,2,3),
(169764,10081829,'When Equipped:',100,0,0),
(169765,10081829,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169766,10081829,'Inflicts 126 - 234 magic damage on target',100,2,2),
(169767,10081829,'Cannot be modified except by direct means',100,2,3),
(169768,111891,'Inflicts 342 - 635 heat damage on target',100,1,0),
(169769,111891,'Inflicts 128 - 238 heat damage on target every 2 seconds',100,1,1),
(169770,10111891,'Inflicts 410 - 762 heat damage on target',100,1,0),
(169771,10111891,'Inflicts 154 - 286 heat damage on target every 2 seconds',100,1,1),
(169772,80163,'When Equipped:',100,0,0),
(169773,80163,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169774,80163,'Inflicts 149 - 278 magic damage on target',100,2,2),
(169775,80163,'Cannot be modified except by direct means',100,2,3),
(169776,10080163,'When Equipped:',100,0,0),
(169777,10080163,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169778,10080163,'Inflicts 179 - 333 magic damage on target',100,2,2),
(169779,10080163,'Cannot be modified except by direct means',100,2,3),
(169780,106497,'Decreases STR and AGI of target by 87.8',100,1,0),
(169781,10106497,'Decreases STR and AGI of target by 87.8',100,1,0),
(169782,108153,'Inflicts 366 - 611 melee damage on target',100,1,0),
(169783,108153,'You must be sneaking to use this ability.',100,1,1),
(169784,108153,'Must be flanking or behind',100,1,2),
(169785,10108153,'Inflicts 290 - 483 melee damage on target',100,1,0),
(169786,10108153,'You must be sneaking to use this ability.',100,1,1),
(169787,10108153,'Must be flanking or behind',100,1,2),
(169788,106151,'Inflicts 253 - 422 divine damage on target encounter',100,1,0),
(169789,106151,'Interrupts target encounter',100,1,1),
(169790,10106151,'Inflicts 304 - 507 divine damage on target encounter',100,1,0),
(169791,10106151,'Interrupts target encounter',100,1,1),
(169792,101082,'Summons 3 limited pets to aid the caster',100,1,0),
(169793,10101082,'Summons 3 limited pets to aid the caster',100,1,0),
(169794,109194,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 6.5',100,1,0),
(169795,10109194,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 6.5',100,1,0),
(169796,74849,'When Equipped:',100,0,0),
(169797,74849,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169798,74849,'Inflicts 108 - 163 magic damage on target',100,2,2),
(169799,74849,'Cannot be modified except by direct means',100,2,3),
(169800,10074849,'When Equipped:',100,0,0),
(169801,10074849,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169802,10074849,'Inflicts 130 - 195 magic damage on target',100,2,2),
(169803,10074849,'Cannot be modified except by direct means',100,2,3),
(169804,107086,'Inflicts 146 - 179 divine damage on target',100,1,0),
(169805,10107086,'Inflicts 176 - 215 divine damage on target',100,1,0),
(169806,80913,'When Equipped:',100,0,0),
(169807,80913,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169808,80913,'Inflicts 171 - 317 magic damage on target',100,2,2),
(169809,80913,'Cannot be modified except by direct means',100,2,3),
(169810,10080913,'When Equipped:',100,0,0),
(169811,10080913,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169812,10080913,'Inflicts 205 - 381 magic damage on target',100,2,2),
(169813,10080913,'Cannot be modified except by direct means',100,2,3),
(169814,82715,'When Equipped:',100,0,0),
(169815,82715,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169816,82715,'Decreases Threat to target by 135 ',100,2,2),
(169817,82715,'Must be flanking or behind',100,3,3),
(169818,82715,'Increases Threat to target by 140 ',100,2,4),
(169819,82715,'Must be in front of',100,3,5),
(169820,82715,'Inflicts 31 - 57 magic damage on target',100,2,6),
(169821,82715,'Cannot be modified except by direct means',100,2,7),
(169822,10082715,'When Equipped:',100,0,0),
(169823,10082715,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(169824,10082715,'Inflicts 37 - 68 magic damage on target',100,2,2),
(169825,10082715,'Cannot be modified except by direct means',100,2,3),
(169826,118523,'Inflicts 118 - 197 melee damage on target',100,1,0),
(169827,118523,'Decreases STR of target by 23.4',100,1,1),
(169828,118523,'You must be sneaking to use this ability.',100,1,2),
(169829,10118523,'Inflicts 142 - 237 melee damage on target',100,1,0),
(169830,10118523,'Decreases STR of target by 23.4',100,1,1),
(169831,10118523,'You must be sneaking to use this ability.',100,1,2),
(169832,100138,'Inflicts 49 - 60 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(169833,100138,'Decreases Mitigation of target encounter vs noxious damage by 552',100,1,1),
(169834,10100138,'Inflicts 59 - 72 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(169835,10100138,'Decreases Mitigation of target encounter vs noxious damage by 552',100,1,1),
(169836,108001,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(169837,108001,'Increases Mitigation of group members (AE) vs elemental damage by 770',100,1,1),
(169838,10108001,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(169839,10108001,'Increases Mitigation of group members (AE) vs elemental damage by 770',100,1,1),
(169840,110150,'Applies Untreated Bleeding on termination.',100,1,0),
(169841,110150,'Inflicts 6 - 11 piercing damage on target',100,2,1),
(169842,110150,'Inflicts 1 - 2 piercing damage on target instantly and every 4 seconds',100,1,2),
(169843,110150,'Inflicts 1 melee damage on target',100,1,3),
(169844,10110150,'Applies Untreated Bleeding on termination.',100,1,0),
(169845,10110150,'Inflicts 8 - 13 piercing damage on target',100,2,1),
(169846,10110150,'Inflicts 2 - 3 piercing damage on target instantly and every 4 seconds',100,1,2),
(169847,10110150,'Inflicts 1 melee damage on target',100,1,3),
(169848,164518,'When Equipped:',100,0,0),
(169849,164518,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(169850,10164518,'When Equipped:',100,0,0),
(169851,10164518,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(169852,24778,'Adds Yha-Lei (Ranger) to your Dungeon Maker toolbox',100,0,0),
(169853,10024778,'Adds Yha-Lei (Ranger) to your Dungeon Maker toolbox',100,0,0),
(169854,120466,'Inflicts 242 - 403 ranged damage on target',100,1,0),
(169855,120466,'Slows target by 53.3%',100,1,1),
(169856,120466,'10% chance to dispel when target receives hostile action',100,1,2),
(169857,120466,'Requires bow',100,1,3),
(169858,10120466,'Inflicts 188 - 314 ranged damage on target',100,1,0),
(169859,10120466,'Slows target by 53.3%',100,1,1),
(169860,10120466,'10% chance to dispel when target receives hostile action',100,1,2),
(169861,10120466,'Requires bow',100,1,3),
(169862,100985,'Increases INT of target by 47.8',100,1,0),
(169863,100985,'Increases Attack Speed of target by 32.2',100,1,1),
(169864,100985,'Decreases Defense and Parry of target by 11.3',100,1,2),
(169865,100985,'Increases Slashing, Piercing and Crushing of target by 10.5',100,1,3),
(169866,10100985,'Increases INT of target by 47.8',100,1,0),
(169867,10100985,'Increases Attack Speed of target by 32.2',100,1,1),
(169868,10100985,'Decreases Defense and Parry of target by 11.3',100,1,2),
(169869,10100985,'Increases Slashing, Piercing and Crushing of target by 10.5',100,1,3),
(169870,48025,'Applies A Close Shave when Activated.',100,0,0),
(169871,48025,'Using this item opens a customization window used to change your current appearance. If used while a playable-race illusion is active, the customizations will affect that race and be saved until changed. Before using, please make sure you do not have any active illusions that are hidden. Happy Customizing!',100,1,1),
(169872,10048025,'Applies A Close Shave when Activated.',100,0,0),
(169873,10048025,'Using this item opens a customization window used to change your current appearance. If used while a playable-race illusion is active, the customizations will affect that race and be saved until changed. Before using, please make sure you do not have any active illusions that are hidden. Happy Customizing!',100,1,1),
(169874,115307,'Summons a limited pet to aid the caster',100,1,0),
(169875,10115307,'Summons a limited pet to aid the caster',100,1,0),
(169876,183408,'When Equipped:',100,0,0),
(169877,183408,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(169878,183408,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(169879,183408,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(169880,183408,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(169881,183408,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(169882,183408,'Must not be engaged in pvp combat',100,2,6),
(169883,183408,'Cannot be modified except by direct means',100,2,7),
(169884,183408,'Must not be engaged in pvp combat',100,1,8),
(169885,10183408,'When Equipped:',100,0,0),
(169886,10183408,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(169887,10183408,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(169888,10183408,'Inflicts 835 - 923 piercing damage on target instantly and every 3 seconds',100,2,3),
(169889,10183408,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(169890,10183408,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(169891,10183408,'Must not be engaged in pvp combat',100,2,6),
(169892,10183408,'Cannot be modified except by direct means',100,2,7),
(169893,10183408,'Must not be engaged in pvp combat',100,1,8),
(169894,110189,'Applies Untreated Bleeding on termination.',100,1,0),
(169895,110189,'Inflicts 438 - 729 piercing damage on target',100,2,1),
(169896,110189,'Inflicts 94 - 156 piercing damage on target instantly and every 4 seconds',100,1,2),
(169897,110189,'Inflicts 62 - 104 melee damage on target',100,1,3),
(169898,10110189,'Applies Untreated Bleeding on termination.',100,1,0),
(169899,10110189,'Inflicts 525 - 875 piercing damage on target',100,2,1),
(169900,10110189,'Inflicts 113 - 188 piercing damage on target instantly and every 4 seconds',100,1,2),
(169901,10110189,'Inflicts 75 - 125 melee damage on target',100,1,3),
(169902,118965,'Applies Sacrifice.',100,1,0),
(169903,118965,'Heals group members (AE) for 740',100,2,1),
(169904,118965,'Increases power of group members (AE) by 211',100,2,2),
(169905,118965,'Stuns target',100,1,3),
(169906,10118965,'Applies Sacrifice.',100,1,0),
(169907,10118965,'Increases power of group members (AE) by 211',100,2,1),
(169908,10118965,'Heals group members (AE) for 1031',100,2,2),
(169909,10118965,'Stuns target',100,1,3),
(169910,100030,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(169911,100030,'Inflicts 168 - 280 melee damage on targets in area',100,2,1),
(169912,100030,'Decreases Defense of caster by 19.2',100,1,2),
(169913,100030,'Increases Slashing, Piercing and Crushing of caster by 40.3',100,1,3),
(169914,10100030,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(169915,10100030,'Inflicts 201 - 336 melee damage on targets in area',100,2,1),
(169916,10100030,'Decreases Defense of caster by 19.2',100,1,2),
(169917,10100030,'Increases Slashing, Piercing and Crushing of caster by 40.3',100,1,3),
(169918,124589,'Roots targets in Area of Effect',100,1,0),
(169919,124589,'If Target is not Epic',100,2,1),
(169920,124589,'Decreases Threat to targets in Area of Effect by 3,615 ',100,1,2),
(169921,124589,'Interrupts targets in Area of Effect',100,1,3),
(169922,10124589,'Roots targets in Area of Effect',100,1,0),
(169923,10124589,'If Target is not Epic',100,2,1),
(169924,10124589,'Applies Distract.',100,1,2),
(169925,10124589,'Forces target to clear their selected target.',100,2,3),
(169926,10124589,'Interrupts targets in Area of Effect',100,1,4),
(169927,10124589,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(169928,142967,'When Equipped:',100,0,0),
(169929,142967,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(169930,142967,'Heals caster for 210',100,2,2),
(169931,142967,'Cannot be modified except by direct means',100,2,3),
(169932,10142967,'When Equipped:',100,0,0),
(169933,10142967,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(169934,10142967,'Heals caster for 137',100,2,2),
(169935,10142967,'Cannot be modified except by direct means',100,2,3),
(169936,82312,'When Equipped:',100,0,0),
(169937,82312,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169938,82312,'Inflicts 184 - 342 magic damage on target',100,2,2),
(169939,82312,'Cannot be modified except by direct means',100,2,3),
(169940,10082312,'When Equipped:',100,0,0),
(169941,10082312,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(169942,10082312,'Inflicts 221 - 410 magic damage on target',100,2,2),
(169943,10082312,'Cannot be modified except by direct means',100,2,3),
(169944,71761,'When Equipped:',100,0,0),
(169945,71761,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169946,71761,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(169947,71761,'Cannot be modified except by direct means',100,2,3),
(169948,10071761,'When Equipped:',100,0,0),
(169949,10071761,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(169950,10071761,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(169951,10071761,'Cannot be modified except by direct means',100,2,3),
(169952,113185,'Inflicts 1091 disease damage on target',100,1,0),
(169953,113185,'Heals caster for 803',100,1,1),
(169954,10113185,'Inflicts 1309 disease damage on target',100,1,0),
(169955,10113185,'Heals caster for 678',100,1,1),
(169956,110083,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(169957,110083,'Inflicts 5 disease damage on target',100,2,1),
(169958,110083,'Heals caster for 4',100,2,2),
(169959,110083,'Decreases INT of target by 28.0',100,1,3),
(169960,110083,'Decreases Attack Speed of target by 25.0',100,1,4),
(169961,110083,'Increases Max Health of target by 12.0%',100,1,5),
(169962,110083,'Increases Hate Gain of target by 15.9%',100,1,6),
(169963,110083,'Increases Aggression of target by 2.5',100,1,7),
(169964,110083,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(169965,110083,'Increases Threat to target encounter by 23 - 27 ',100,2,9),
(169966,110083,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,10),
(169967,10110083,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(169968,10110083,'Inflicts 6 disease damage on target',100,2,1),
(169969,10110083,'Heals caster for 2',100,2,2),
(169970,10110083,'Decreases INT of target by 28.0',100,1,3),
(169971,10110083,'Decreases Attack Speed of target by 25.0',100,1,4),
(169972,10110083,'Increases Max Health of target by 12.0%',100,1,5),
(169973,10110083,'Increases Aggression of target by 2.5',100,1,6),
(169974,10110083,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,7),
(169975,114297,'Heals target for 390 - 476',100,1,0),
(169976,10114297,'Heals target for 458 - 560',100,1,0),
(169977,118182,'Resurrects target with 24% health and power',100,1,0),
(169978,118182,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(169979,118182,'Decreases Attack Speed of target by 20.0',100,2,2),
(169980,118182,'If not between levels 1 - 6',100,3,3),
(169981,118182,'Decreases All Attributes of target by 20.0%',100,2,4),
(169982,118182,'If not between levels 1 - 6',100,3,5),
(169983,118182,'Decreases Attack Speed of target by 5.0',100,2,6),
(169984,118182,'If between levels 1 - 6',100,3,7),
(169985,118182,'Decreases All Attributes of target by 5.0%',100,2,8),
(169986,118182,'If between levels 1 - 6',100,3,9),
(169987,118182,'If outside an arena',100,1,10),
(169988,10118182,'Resurrects target with 24% health and power',100,1,0),
(169989,10118182,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(169990,10118182,'Decreases Attack Speed of target by 20.0',100,2,2),
(169991,10118182,'If not between levels 1 - 6',100,3,3),
(169992,10118182,'Decreases All Attributes of target by 20.0%',100,2,4),
(169993,10118182,'If not between levels 1 - 6',100,3,5),
(169994,10118182,'Decreases Attack Speed of target by 5.0',100,2,6),
(169995,10118182,'If between levels 1 - 6',100,3,7),
(169996,10118182,'Decreases All Attributes of target by 5.0%',100,2,8),
(169997,10118182,'If between levels 1 - 6',100,3,9),
(169998,10118182,'If outside an arena',100,1,10),
(169999,113464,'Increases INT of target by 95.3',100,1,0),
(170000,113464,'Increases Max Health of target by 787.5',100,1,1),
(170001,10113464,'Increases INT of target by 95.3',100,1,0),
(170002,10113464,'Increases Max Health of target by 787.5',100,1,1),
(170003,80881,'When Equipped:',100,0,0),
(170004,80881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170005,80881,'Inflicts 166 - 308 magic damage on target',100,2,2),
(170006,80881,'Cannot be modified except by direct means',100,2,3),
(170007,10080881,'When Equipped:',100,0,0),
(170008,10080881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170009,10080881,'Inflicts 199 - 369 magic damage on target',100,2,2),
(170010,10080881,'Cannot be modified except by direct means',100,2,3),
(170011,101361,'Reduces physical damage done to caster by 5%',100,1,0),
(170012,101361,'Adds 2.4% to base avoidance.',100,1,1),
(170013,101361,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(170014,101361,'Increases Aggression of caster by 10.8',100,1,3),
(170015,101361,'Increases Defense and Parry of caster by 17.3',100,1,4),
(170016,101361,'Increases Mitigation of caster vs noxious and arcane damage by 106',100,1,5),
(170017,101361,'Increases Mitigation of caster vs elemental damage by 1056',100,1,6),
(170018,101361,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(170019,10101361,'Reduces physical damage done to caster by 5%',100,1,0),
(170020,10101361,'Adds 2.4% to base avoidance.',100,1,1),
(170021,10101361,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(170022,10101361,'Increases Aggression of caster by 10.8',100,1,3),
(170023,10101361,'Increases Defense and Parry of caster by 17.3',100,1,4),
(170024,10101361,'Increases Mitigation of caster vs noxious and arcane damage by 106',100,1,5),
(170025,10101361,'Increases Mitigation of caster vs elemental damage by 1056',100,1,6),
(170026,10101361,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(170027,46257,'Applies elemental remedy when Activated.',100,0,0),
(170028,46257,'Dispels 88 levels of elemental hostile effects on caster',100,1,1),
(170029,10046257,'Applies elemental remedy when Activated.',100,0,0),
(170030,10046257,'Dispels 88 levels of elemental hostile effects on caster',100,1,1),
(170031,72315,'When Equipped:',100,0,0),
(170032,72315,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170033,72315,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(170034,72315,'Cannot be modified except by direct means',100,2,3),
(170035,10072315,'When Equipped:',100,0,0),
(170036,10072315,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170037,10072315,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(170038,10072315,'Cannot be modified except by direct means',100,2,3),
(170039,119878,'Increases INT and AGI of group members (AE) by 50.6',100,1,0),
(170040,119878,'Adds 1.9% to base avoidance.',100,1,1),
(170041,10119878,'Increases INT and AGI of group members (AE) by 50.6',100,1,0),
(170042,10119878,'Adds 1.9% to base avoidance.',100,1,1),
(170043,119126,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(170044,119126,'Inflicts 145 - 177 slashing damage on target',100,2,1),
(170045,119126,'Increases Mitigation of caster vs physical damage by 480',100,1,2),
(170046,10119126,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(170047,10119126,'Inflicts 174 - 213 slashing damage on target',100,2,1),
(170048,10119126,'Increases Mitigation of caster vs physical damage by 480',100,1,2),
(170049,37182,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(170050,24687,'Adds Skeleton (Fury) to your Dungeon Maker toolbox',100,0,0),
(170051,10024687,'Adds Skeleton (Fury) to your Dungeon Maker toolbox',100,0,0),
(170052,41578,'When Equipped:',100,0,0),
(170053,41578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170054,41578,'Inflicts 271 - 503 magic damage on target',100,2,2),
(170055,41578,'Cannot be modified except by direct means',100,2,3),
(170056,10041578,'When Equipped:',100,0,0),
(170057,10041578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170058,10041578,'Inflicts 325 - 604 magic damage on target',100,2,2),
(170059,10041578,'Cannot be modified except by direct means',100,2,3),
(170060,80188,'When Equipped:',100,0,0),
(170061,80188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170062,80188,'Inflicts 149 - 278 magic damage on target',100,2,2),
(170063,80188,'Cannot be modified except by direct means',100,2,3),
(170064,10080188,'When Equipped:',100,0,0),
(170065,10080188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170066,10080188,'Inflicts 179 - 333 magic damage on target',100,2,2),
(170067,10080188,'Cannot be modified except by direct means',100,2,3),
(170068,103166,'Throws target back',100,1,0),
(170069,103166,'If Target is not Epic',100,2,1),
(170070,103166,'Inflicts 133 - 399 crushing damage on target',100,1,2),
(170071,103166,'Stuns target',100,1,3),
(170072,103166,'If Target is not Epic',100,2,4),
(170073,103166,'Resistibility increases against targets higher than level 84.',100,1,5),
(170074,10103166,'Throws target back',100,1,0),
(170075,10103166,'If Target is not Epic',100,2,1),
(170076,10103166,'Inflicts 159 - 478 crushing damage on target',100,1,2),
(170077,10103166,'Stuns target',100,1,3),
(170078,10103166,'If Target is not Epic',100,2,4),
(170079,10103166,'Resistibility increases against targets higher than level 84.',100,1,5),
(170080,141842,'When Equipped:',100,0,0),
(170081,141842,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(170082,141842,'Increases STA of caster by 8.3',100,2,2),
(170083,141842,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(170084,141842,'Cannot be modified except by direct means',100,2,4),
(170085,10141842,'When Equipped:',100,0,0),
(170086,10141842,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(170087,10141842,'Increases STA of caster by 8.3',100,2,2),
(170088,10141842,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(170089,10141842,'Cannot be modified except by direct means',100,2,4),
(170090,115344,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(170091,115344,'Makes target afraid',100,2,1),
(170092,115344,'Slows target by 53.5%',100,2,2),
(170093,115344,'30% chance to dispel when target takes damage',100,2,3),
(170094,115344,'Does not affect Epic targets',100,2,4),
(170095,115344,'Resistibility increases against targets higher than level 102.',100,2,5),
(170096,115344,'Roots target',100,1,6),
(170097,115344,'15% chance to dispel when target takes damage',100,1,7),
(170098,115344,'Does not affect Epic targets',100,1,8),
(170099,115344,'Resistibility increases against targets higher than level 102.',100,1,9),
(170100,10115344,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(170101,10115344,'Makes target afraid',100,2,1),
(170102,10115344,'Slows target by 53.5%',100,2,2),
(170103,10115344,'30% chance to dispel when target takes damage',100,2,3),
(170104,10115344,'Does not affect Epic targets',100,2,4),
(170105,10115344,'Resistibility increases against targets higher than level 102.',100,2,5),
(170106,10115344,'Roots target',100,1,6),
(170107,10115344,'15% chance to dispel when target takes damage',100,1,7),
(170108,10115344,'Does not affect Epic targets',100,1,8),
(170109,10115344,'Resistibility increases against targets higher than level 102.',100,1,9),
(170110,115412,'Inflicts 505 - 842 melee damage on target',100,1,0),
(170111,115412,'Decreases INT of target by 91.7',100,1,1),
(170112,115412,'You must be sneaking to use this ability.',100,1,2),
(170113,10115412,'Inflicts 606 - 1011 melee damage on target',100,1,0),
(170114,10115412,'Decreases INT of target by 91.7',100,1,1),
(170115,10115412,'You must be sneaking to use this ability.',100,1,2),
(170116,114400,'Mesmerizes target',100,1,0),
(170117,114400,'Prevents AOE (except when direct) ',100,1,1),
(170118,114400,'Dispelled when target takes damage',100,1,2),
(170119,114400,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(170120,114400,'Resistibility increases against targets higher than level 41.',100,1,4),
(170121,10114400,'Mesmerizes target',100,1,0),
(170122,10114400,'Prevents AOE (except when direct) ',100,1,1),
(170123,10114400,'Dispelled when target takes damage',100,1,2),
(170124,10114400,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(170125,10114400,'Resistibility increases against targets higher than level 41.',100,1,4),
(170126,48198,'Applies Spirit of the Frog when Activated.  Lasts for 30 minutes.',100,0,0),
(170127,48198,'Increases Out-of-Combat Health Regeneration of caster by 8.0',100,1,1),
(170128,48198,'This effect suspends during combat',100,1,2),
(170129,48198,'Only affects targets level 1 and above',100,1,3),
(170130,10048198,'Applies Spirit of the Frog when Activated.  Lasts for 30 minutes.',100,0,0),
(170131,10048198,'Increases Out-of-Combat Health Regeneration of caster by 8.0',100,1,1),
(170132,10048198,'This effect suspends during combat',100,1,2),
(170133,10048198,'Only affects targets level 1 and above',100,1,3),
(170134,117019,'Inflicts 121 - 365 melee damage on target',100,1,0),
(170135,10117019,'Inflicts 146 - 439 melee damage on target',100,1,0),
(170136,119212,'Inflicts 408 - 680 heat damage on target',100,1,0),
(170137,119212,'Inflicts 408 - 680 heat damage on target',100,1,1),
(170138,119212,'Requires bow',100,1,2),
(170139,10119212,'Inflicts 466 - 778 heat damage on target',100,1,0),
(170140,10119212,'Inflicts 466 - 778 heat damage on target',100,1,1),
(170141,10119212,'Requires bow',100,1,2),
(170142,35885,'Increases INT of target by 1.5',100,0,0),
(170143,35885,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(170144,109470,'Inflicts 80 - 133 cold damage on target',100,1,0),
(170145,10109470,'Inflicts 96 - 160 cold damage on target',100,1,0),
(170146,51505,'When Equipped:',100,0,0),
(170147,51505,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(170148,51505,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(170149,51505,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(170150,51505,'Must not be engaged in pvp combat',100,2,4),
(170151,51505,'Cannot be modified except by direct means',100,2,5),
(170152,51505,'Cannot be modified except by direct means',100,1,6),
(170153,10051505,'When Equipped:',100,0,0),
(170154,10051505,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(170155,10051505,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(170156,10051505,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(170157,10051505,'Must not be engaged in pvp combat',100,2,4),
(170158,10051505,'Cannot be modified except by direct means',100,2,5),
(170159,10051505,'Cannot be modified except by direct means',100,1,6),
(170160,102663,'Inflicts 322 - 537 melee damage on target',100,1,0),
(170161,102663,'Inflicts 139 heat damage on target every 6 seconds',100,1,1),
(170162,10102663,'Inflicts 386 - 644 melee damage on target',100,1,0),
(170163,10102663,'Inflicts 167 heat damage on target every 6 seconds',100,1,1),
(170164,118405,'Heals target for 134 - 163',100,1,0),
(170165,118405,'Increases Max Health of target by 16.0',100,1,1),
(170166,10118405,'Heals target for 155 - 189',100,1,0),
(170167,10118405,'Increases Max Health of target by 16.0',100,1,1),
(170168,100400,'Summons a pet aery hunter',100,1,0),
(170169,10100400,'Summons a pet aery hunter',100,1,0),
(170170,104680,'Decreases Mitigation of target vs all damage by 296',100,1,0),
(170171,10104680,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 296',100,1,0),
(170172,10104680,'Decreases Mitigation of target vs physical damage by 247',100,1,1),
(170173,120316,'Increases Threat to target by 295 - 359 ',100,1,0),
(170174,10120316,'Forces target to change their selected target to caster.',100,1,0),
(170175,10120316,'Prevents target from changing targets',100,1,1),
(170176,112216,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(170177,112216,'Inflicts 12 disease damage on target',100,2,1),
(170178,112216,'Increases Threat to target by 32 ',100,2,2),
(170179,112216,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,3),
(170180,10112216,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(170181,10112216,'Inflicts 14 disease damage on target',100,2,1),
(170182,10112216,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,2),
(170183,100868,'Makes target afraid',100,1,0),
(170184,100868,'30% chance to dispel when target takes damage',100,1,1),
(170185,100868,'Does not affect Epic targets',100,1,2),
(170186,100868,'Resistibility increases against targets higher than level 68.',100,1,3),
(170187,10100868,'Makes target afraid',100,1,0),
(170188,10100868,'30% chance to dispel when target takes damage',100,1,1),
(170189,10100868,'Does not affect Epic targets',100,1,2),
(170190,10100868,'Resistibility increases against targets higher than level 68.',100,1,3),
(170191,48916,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(170192,48916,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(170193,48916,'Decreases AGI of target by 7.7',100,2,2),
(170194,48916,'Cannot be modified except by direct means',100,2,3),
(170195,48916,'Grants a total of 30 triggers of the spell.',100,2,4),
(170196,10048916,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(170197,10048916,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(170198,10048916,'Decreases AGI of target by 7.7',100,2,2),
(170199,10048916,'Cannot be modified except by direct means',100,2,3),
(170200,10048916,'Grants a total of 30 triggers of the spell.',100,2,4),
(170201,114978,'Summon 1 Shard of Essence (Apprentice)',100,1,0),
(170202,114978,'Must not be engaged in combat',100,1,1),
(170203,10114978,'Summon 1 Shard of Essence (Apprentice)',100,1,0),
(170204,10114978,'Must not be engaged in combat',100,1,1),
(170205,48063,'Applies Silandria''s Warding when Activated.  Lasts for 15 minutes.',100,0,0),
(170206,48063,'Increases Max Power of caster by 52.0',100,1,1),
(170207,10048063,'Applies Silandria''s Warding when Activated.  Lasts for 15 minutes.',100,0,0),
(170208,10048063,'Increases Max Power of caster by 52.0',100,1,1),
(170209,110967,'Inflicts 844 - 1408 ranged damage on target',100,1,0),
(170210,110967,'I need to be stealthed!',100,1,1),
(170211,110967,'Requires bow',100,1,2),
(170212,10110967,'Inflicts 538 - 897 ranged damage on target',100,1,0),
(170213,10110967,'I need to be stealthed!',100,1,1),
(170214,10110967,'Requires bow',100,1,2),
(170215,111718,'Inflicts 870 - 1064 cold damage on target',100,1,0),
(170216,111718,'Inflicts 870 - 1064 cold damage on target',100,1,1),
(170217,111718,'If target is elemental',100,2,2),
(170218,10111718,'Inflicts 895 - 1094 cold damage on target',100,1,0),
(170219,112892,'Inflicts 271 - 332 melee damage on target',100,1,0),
(170220,112892,'Decreases Mitigation of target vs physical damage by 305',100,1,1),
(170221,112892,'Must be flanking or behind',100,1,2),
(170222,10112892,'Inflicts 326 - 398 melee damage on target',100,1,0),
(170223,10112892,'Decreases Mitigation of target vs physical damage by 305',100,1,1),
(170224,10112892,'Must be flanking or behind',100,1,2),
(170225,123649,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(170226,123649,'Slows target by 39.0%',100,2,1),
(170227,123649,'5% chance to dispel when target receives hostile action',100,2,2),
(170228,123649,'5% chance to dispel when target takes damage',100,2,3),
(170229,123649,'Inflicts 154 - 188 cold damage on target',100,1,4),
(170230,10123649,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(170231,10123649,'Slows target by 39.0%',100,2,1),
(170232,10123649,'5% chance to dispel when target receives hostile action',100,2,2),
(170233,10123649,'5% chance to dispel when target takes damage',100,2,3),
(170234,10123649,'Inflicts 159 - 194 cold damage on target',100,1,4),
(170235,109264,'Increases INT and WIS of group members (AE) by 76.2',100,1,0),
(170236,109264,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,1),
(170237,10109264,'Increases INT and WIS of group members (AE) by 76.2',100,1,0),
(170238,10109264,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,1),
(170239,72121,'Applies Astral Blessing when Equipped.',100,0,0),
(170240,72121,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(170241,72121,'Heals target for 442 instantly and every second',100,2,2),
(170242,72121,'Cannot be modified except by direct means',100,2,3),
(170243,72121,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(170244,72121,'Heals caster for 442 instantly and every second',100,2,5),
(170245,72121,'Cannot be modified except by direct means',100,2,6),
(170246,72121,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(170247,72121,'Heals caster for 442 instantly and every second',100,2,8),
(170248,72121,'Cannot be modified except by direct means',100,2,9),
(170249,10072121,'Applies Astral Blessing when Equipped.',100,0,0),
(170250,10072121,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(170251,10072121,'Heals target for 517 instantly and every second',100,2,2),
(170252,10072121,'Cannot be modified except by direct means',100,2,3),
(170253,10072121,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(170254,10072121,'Heals caster for 517 instantly and every second',100,2,5),
(170255,10072121,'Cannot be modified except by direct means',100,2,6),
(170256,10072121,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(170257,10072121,'Heals caster for 517 instantly and every second',100,2,8),
(170258,10072121,'Cannot be modified except by direct means',100,2,9),
(170259,112182,'Increases STR of caster by 50.7',100,1,0),
(170260,112182,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1260',100,1,1),
(170261,112182,'Increases Mitigation of caster vs physical damage by 323',100,1,2),
(170262,10112182,'Increases STR of caster by 50.7',100,1,0),
(170263,10112182,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1260',100,1,1),
(170264,10112182,'Increases Mitigation of caster vs physical damage by 323',100,1,2),
(170265,36877,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(170266,120221,'Roots target encounter',100,1,0),
(170267,120221,'15% chance to dispel when target takes damage',100,1,1),
(170268,120221,'Does not affect Epic targets',100,1,2),
(170269,120221,'Resistibility increases against targets higher than level 83.',100,1,3),
(170270,10120221,'Roots target encounter',100,1,0),
(170271,10120221,'15% chance to dispel when target takes damage',100,1,1),
(170272,10120221,'Does not affect Epic targets',100,1,2),
(170273,10120221,'Resistibility increases against targets higher than level 83.',100,1,3),
(170274,111634,'Inflicts 32 - 40 cold damage on target encounter',100,1,0),
(170275,111634,'Slows target encounter by 31.6%',100,1,1),
(170276,111634,'5% chance to dispel when target takes damage',100,1,2),
(170277,111634,'5% chance to dispel when target receives hostile action',100,1,3),
(170278,10111634,'Inflicts 52 - 63 cold damage on target encounter',100,1,0),
(170279,10111634,'Slows target encounter by 31.6%',100,1,1),
(170280,10111634,'5% chance to dispel when target takes damage',100,1,2),
(170281,10111634,'5% chance to dispel when target receives hostile action',100,1,3),
(170282,110251,'Inflicts 132 - 221 melee damage on target',100,1,0),
(170283,110251,'Slows target by 40.7%',100,1,1),
(170284,110251,'5% chance to dispel when target receives hostile action',100,1,2),
(170285,110251,'5% chance to dispel when target takes damage',100,1,3),
(170286,10110251,'Inflicts 159 - 265 melee damage on target',100,1,0),
(170287,10110251,'Slows target by 40.7%',100,1,1),
(170288,10110251,'5% chance to dispel when target receives hostile action',100,1,2),
(170289,10110251,'5% chance to dispel when target takes damage',100,1,3),
(170290,107828,'Causes 12% Threat to transfer to target when in combat',100,1,0),
(170291,107828,'Increases Hate Gain of target by 12.3%',100,1,1),
(170292,114426,'Mesmerizes target',100,1,0),
(170293,114426,'Prevents AOE (except when direct) ',100,1,1),
(170294,114426,'Dispelled when target takes damage',100,1,2),
(170295,114426,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(170296,114426,'Resistibility increases against targets higher than level 95.',100,1,4),
(170297,10114426,'Mesmerizes target',100,1,0),
(170298,10114426,'Prevents AOE (except when direct) ',100,1,1),
(170299,10114426,'Dispelled when target takes damage',100,1,2),
(170300,10114426,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(170301,10114426,'Resistibility increases against targets higher than level 95.',100,1,4),
(170302,116337,'Makes targets in Area of Effect afraid',100,1,0),
(170303,116337,'Decreases Threat to targets in Area of Effect by 520 ',100,1,1),
(170304,116337,'30% chance to dispel when target takes damage',100,1,2),
(170305,10116337,'Makes targets in Area of Effect afraid',100,1,0),
(170306,10116337,'30% chance to dispel when target takes damage',100,1,1),
(170307,37583,'Increases WIS and STA of target by 1.1',100,0,0),
(170308,37583,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(170309,102727,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(170313,102727,'Inflicts 50 - 64 divine damage on target',100,2,1),
(170315,10102727,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(170316,10102727,'Stuns target',100,2,1),
(170317,10102727,'Inflicts 66 - 110 divine damage on target',100,2,2),
(170318,10102727,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(170319,48932,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(170320,48932,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(170321,48932,'Stifles target',100,2,2),
(170322,48932,'If Target is not Epic',100,3,3),
(170323,48932,'Cannot be modified except by direct means',100,2,4),
(170324,48932,'Grants a total of 4 triggers of the spell.',100,2,5),
(170325,10048932,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(170326,10048932,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(170327,10048932,'Stifles target',100,2,2),
(170328,10048932,'If Target is not Epic',100,3,3),
(170329,10048932,'Cannot be modified except by direct means',100,2,4),
(170330,10048932,'Grants a total of 4 triggers of the spell.',100,2,5),
(170331,153786,'When Equipped:',100,0,0),
(170332,153786,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle VIII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(170333,153786,'Heals caster for 857 - 1047',100,2,2),
(170334,153786,'Increases Mitigation of caster vs physical damage by 913',100,2,3),
(170335,153786,'Must not be engaged in pvp combat',100,2,4),
(170336,153786,'Cannot be modified except by direct means',100,2,5),
(170337,153786,'Must not be engaged in pvp combat',100,1,6),
(170338,10153786,'When Equipped:',100,0,0),
(170339,10153786,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle VIII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(170340,10153786,'Heals caster for 557 - 681',100,2,2),
(170341,10153786,'Increases Mitigation of caster vs physical damage by 913',100,2,3),
(170342,10153786,'Must not be engaged in pvp combat',100,2,4),
(170343,10153786,'Cannot be modified except by direct means',100,2,5),
(170344,10153786,'Must not be engaged in pvp combat',100,1,6),
(170345,26809,'When Equipped:',100,0,0),
(170346,26809,'Increases Crit Chance of caster by 3.0',100,1,1),
(170347,10026809,'When Equipped:',100,0,0),
(170348,10026809,'Increases Crit Chance of caster by 3.0',100,1,1),
(170349,48810,'Applies Incandescent Elixir  when Activated.',100,0,0),
(170350,48810,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(170351,10048810,'Applies Incandescent Elixir  when Activated.',100,0,0),
(170352,10048810,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(170353,166429,'When Equipped:',100,0,0),
(170354,166429,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(170355,166429,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(170356,166429,'Must not be engaged in pvp combat',100,2,3),
(170357,166429,'Cannot be modified except by direct means',100,2,4),
(170358,166429,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(170359,166429,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(170360,166429,'Must not be engaged in pvp combat',100,2,7),
(170361,166429,'Cannot be modified except by direct means',100,2,8),
(170362,166429,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(170363,166429,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(170364,166429,'Must not be engaged in pvp combat',100,2,11),
(170365,166429,'Cannot be modified except by direct means',100,2,12),
(170366,166429,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(170367,166429,'Inflicts 40 piercing damage on target',100,2,14),
(170368,166429,'Must not be engaged in pvp combat',100,2,15),
(170369,166429,'Cannot be modified except by direct means',100,2,16),
(170370,10166429,'When Equipped:',100,0,0),
(170371,10166429,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(170372,10166429,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(170373,10166429,'Must not be engaged in pvp combat',100,2,3),
(170374,10166429,'Cannot be modified except by direct means',100,2,4),
(170375,10166429,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(170376,10166429,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(170377,10166429,'Must not be engaged in pvp combat',100,2,7),
(170378,10166429,'Cannot be modified except by direct means',100,2,8),
(170379,10166429,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(170380,10166429,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(170381,10166429,'Must not be engaged in pvp combat',100,2,11),
(170382,10166429,'Cannot be modified except by direct means',100,2,12),
(170383,10166429,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(170384,10166429,'Inflicts 48 piercing damage on target',100,2,14),
(170385,10166429,'Must not be engaged in pvp combat',100,2,15),
(170386,10166429,'Cannot be modified except by direct means',100,2,16),
(170387,36232,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(170388,36232,'This effect suspends during combat',100,0,1),
(170389,46381,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(170390,46381,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(170391,46381,'Decreases INT of target by 71.5',100,2,2),
(170392,46381,'Decreases Ministration, Ordination, Subjugation and Disruption of target by 27.0',100,2,3),
(170393,46381,'Cannot be modified except by direct means',100,2,4),
(170394,46381,'Grants a total of 60 triggers of the spell.',100,2,5),
(170395,10046381,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(170396,10046381,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(170397,10046381,'Decreases INT of target by 71.5',100,2,2),
(170398,10046381,'Decreases Ministration, Ordination, Subjugation and Disruption of target by 27.0',100,2,3),
(170399,10046381,'Cannot be modified except by direct means',100,2,4),
(170400,10046381,'Grants a total of 60 triggers of the spell.',100,2,5),
(170401,181456,'When Equipped:',100,0,0),
(170402,181456,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(170403,181456,'Heals group members (AE) for 871',100,2,2),
(170404,181456,'Cannot be modified except by direct means',100,2,3),
(170405,181456,'When Equipped:',100,0,4),
(170406,181456,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(170407,181456,'Increases power of caster by 272',100,2,6),
(170408,181456,'Cannot be modified except by direct means',100,2,7),
(170409,10181456,'When Equipped:',100,0,0),
(170410,10181456,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(170411,10181456,'Heals group members (AE) for 1019',100,2,2),
(170412,10181456,'Cannot be modified except by direct means',100,2,3),
(170413,10181456,'When Equipped:',100,0,4),
(170414,10181456,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(170415,10181456,'Increases power of caster by 272',100,2,6),
(170416,10181456,'Cannot be modified except by direct means',100,2,7),
(170417,45720,'Applies Salinsa''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(170418,45720,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(170419,10045720,'Applies Salinsa''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(170420,10045720,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(170421,141799,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(170422,141799,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(170423,141799,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(170424,141799,'Cannot be modified except by direct means',100,2,3),
(170425,10141799,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(170426,10141799,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(170427,10141799,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(170428,10141799,'Cannot be modified except by direct means',100,2,3),
(170429,105940,'Inflicts 91 - 111 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(170430,105940,'Inflicts 211 - 352 disease damage on targets in area',100,1,1),
(170431,10105940,'Inflicts 109 - 133 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(170432,10105940,'Inflicts 253 - 422 disease damage on targets in area',100,1,1),
(170433,122193,'Inflicts 237 - 290 cold damage on target instantly and every 2 seconds',100,1,0),
(170434,122193,'Inflicts 237 - 290 cold damage on target instantly and every 2 seconds',100,1,1),
(170435,122193,'If target is elemental',100,2,2),
(170436,10122193,'Inflicts 285 - 348 cold damage on target instantly and every 2 seconds',100,1,0),
(170437,151767,'When Equipped:',100,0,0),
(170438,151767,'Increases Attack Speed of caster by 30.0',100,1,1),
(170439,10151767,'When Equipped:',100,0,0),
(170440,10151767,'Increases Attack Speed of caster by 30.0',100,1,1),
(170441,176425,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(170442,176425,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(170443,176425,'Decreases Attack Speed of target by 11.6',100,2,2),
(170444,176425,'Cannot be modified except by direct means',100,2,3),
(170445,176425,'Slows target by 29.3%',100,1,4),
(170446,176425,'5% chance to dispel when target takes damage',100,1,5),
(170447,176425,'5% chance to dispel when target receives hostile action',100,1,6),
(170448,176425,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(170449,10176425,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(170450,10176425,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(170451,10176425,'Decreases Attack Speed of target by 11.6',100,2,2),
(170452,10176425,'Cannot be modified except by direct means',100,2,3),
(170453,10176425,'Slows target by 29.3%',100,1,4),
(170454,10176425,'5% chance to dispel when target takes damage',100,1,5),
(170455,10176425,'5% chance to dispel when target receives hostile action',100,1,6),
(170456,10176425,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(170457,100949,'Dazes target',100,1,0),
(170458,100949,'Inflicts 274 - 335 mental damage on target',100,1,1),
(170459,100949,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(170460,100949,'Resistibility increases against targets higher than level 82.',100,1,3),
(170461,10100949,'Dazes target',100,1,0),
(170462,10100949,'Inflicts 329 - 402 mental damage on target',100,1,1),
(170463,10100949,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(170464,10100949,'Resistibility increases against targets higher than level 82.',100,1,3),
(170465,111466,'Decreases Attack Speed of caster by 18.9',100,1,0),
(170466,111466,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(170467,111466,'Roots target',100,2,2),
(170468,111466,'5% chance to dispel when target takes damage',100,2,3),
(170469,111466,'5% chance to dispel when target receives hostile action',100,2,4),
(170470,111466,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(170471,111466,'Increases Mitigation of caster vs physical damage by 1559',100,1,6),
(170472,10111466,'Decreases Attack Speed of caster by 18.9',100,1,0),
(170473,10111466,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(170474,10111466,'Roots target',100,2,2),
(170475,10111466,'5% chance to dispel when target takes damage',100,2,3),
(170476,10111466,'5% chance to dispel when target receives hostile action',100,2,4),
(170477,10111466,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(170478,10111466,'Increases Mitigation of caster vs physical damage by 1559',100,1,6),
(170479,46365,'Applies Flask of Tradecrafting III when Activated.  Lasts for 2 hours.',100,0,0),
(170480,46365,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(170481,46365,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(170482,46365,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(170483,46365,'You can only have one experience potion active at a time.',100,1,4),
(170484,10046365,'Applies Flask of Tradecrafting III when Activated.  Lasts for 2 hours.',100,0,0),
(170485,10046365,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(170486,10046365,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(170487,10046365,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(170488,10046365,'You can only have one experience potion active at a time.',100,1,4),
(170489,80197,'When Equipped:',100,0,0),
(170490,80197,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170491,80197,'Inflicts 149 - 278 magic damage on target',100,2,2),
(170492,80197,'Cannot be modified except by direct means',100,2,3),
(170493,10080197,'When Equipped:',100,0,0),
(170494,10080197,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170495,10080197,'Inflicts 179 - 333 magic damage on target',100,2,2),
(170496,10080197,'Cannot be modified except by direct means',100,2,3),
(170497,122498,'Inflicts 406 - 677 mental damage on targets in Area of Effect',100,1,0),
(170498,10122498,'Inflicts 488 - 813 mental damage on targets in Area of Effect',100,1,0),
(170499,46040,'Applies Summon Elemental Disc of Water when Activated.',100,0,0),
(170500,46040,'Increases Ordination, Ministration and Subjugation of caster by 5.0',100,1,1),
(170501,46040,'Summons a mount to ride',100,1,2),
(170502,46040,'Increases your ground speed by 75%',100,2,3),
(170503,46040,'Increases your air speed by 150%',100,2,4),
(170504,46040,'Increases Focus, Ranged, Aggression, Crushing, Piercing, Disruption and Slashing of caster by 5.0',100,1,5),
(170505,10046040,'Applies Summon Elemental Disc of Water when Activated.',100,0,0),
(170506,10046040,'Increases Ordination, Ministration and Subjugation of caster by 5.0',100,1,1),
(170507,10046040,'Summons a mount to ride',100,1,2),
(170508,10046040,'Increases your ground speed by 75%',100,2,3),
(170509,10046040,'Increases your air speed by 150%',100,2,4),
(170510,10046040,'Increases Focus, Ranged, Aggression, Crushing, Piercing, Disruption and Slashing of caster by 5.0',100,1,5),
(170511,162147,'When Equipped:',100,0,0),
(170512,162147,'When damaged with a melee weapon this spell has a 6% chance to cast Reinforce on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(170513,162147,'Wards caster against 900 points of physical damage',100,2,2),
(170514,162147,'Cannot be modified except by direct means',100,2,3),
(170515,10162147,'When Equipped:',100,0,0),
(170516,10162147,'When damaged with a melee weapon this spell has a 6% chance to cast Reinforce on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(170517,10162147,'Wards caster against 900 points of physical damage',100,2,2),
(170518,10162147,'Cannot be modified except by direct means',100,2,3),
(170519,107945,'Mesmerizes target',100,1,0),
(170520,107945,'Prevents AOE (except when direct) ',100,1,1),
(170521,107945,'Dispelled when target takes damage',100,1,2),
(170522,107945,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(170523,107945,'Resistibility increases against targets higher than level 106.',100,1,4),
(170524,10107945,'Mesmerizes target',100,1,0),
(170525,10107945,'Prevents AOE (except when direct) ',100,1,1),
(170526,10107945,'Dispelled when target takes damage',100,1,2),
(170527,10107945,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(170528,10107945,'Resistibility increases against targets higher than level 106.',100,1,4),
(170529,163585,'When Equipped:',100,0,0),
(170530,163585,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(170531,10163585,'When Equipped:',100,0,0),
(170532,10163585,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(170533,46360,'Applies Flask of Adventuring II when Activated.  Lasts for 2 hours.',100,0,0),
(170534,46360,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,1),
(170535,46360,'Increases AA XP Gain of caster by 50.0%',100,1,2),
(170536,46360,'Increases Combat XP Gain of caster by 50.0%',100,1,3),
(170537,46360,'You can only have one experience potion active at a time.',100,1,4),
(170538,10046360,'Applies Flask of Adventuring II when Activated.  Lasts for 2 hours.',100,0,0),
(170539,10046360,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,1),
(170540,10046360,'Increases AA XP Gain of caster by 50.0%',100,1,2),
(170541,10046360,'Increases Combat XP Gain of caster by 50.0%',100,1,3),
(170542,10046360,'You can only have one experience potion active at a time.',100,1,4),
(170543,116931,'Increases Threat to target by 131 - 159 ',100,1,0),
(170544,74985,'When Equipped:',100,0,0),
(170545,74985,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170546,74985,'Inflicts 60 - 90 magic damage on target',100,2,2),
(170547,74985,'Cannot be modified except by direct means',100,2,3),
(170548,10074985,'When Equipped:',100,0,0),
(170549,10074985,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170550,10074985,'Inflicts 72 - 108 magic damage on target',100,2,2),
(170551,10074985,'Cannot be modified except by direct means',100,2,3),
(170552,134839,'When Equipped:',100,0,0),
(170553,134839,'On a beneficial spell cast this spell may cast Purifying Presence on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(170554,134839,'Dispels 103 levels of any hostile effects on target',100,2,2),
(170555,134839,'Cannot be modified except by direct means',100,2,3),
(170556,10134839,'When Equipped:',100,0,0),
(170557,10134839,'On a beneficial spell cast this spell may cast Purifying Presence on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(170558,10134839,'Dispels 103 levels of any hostile effects on target',100,2,2),
(170559,10134839,'Cannot be modified except by direct means',100,2,3),
(170560,46394,'Applies essence of power when Activated.',100,0,0),
(170561,46394,'Increases power of caster by 251',100,1,1),
(170562,10046394,'Applies essence of power when Activated.',100,0,0),
(170563,10046394,'Increases power of caster by 197',100,1,1),
(170564,113461,'Increases INT of target by 81.7',100,1,0),
(170565,113461,'Increases Max Health of target by 675.0',100,1,1),
(170566,10113461,'Increases INT of target by 81.7',100,1,0),
(170567,10113461,'Increases Max Health of target by 675.0',100,1,1),
(170568,101719,'Mesmerizes target',100,1,0),
(170569,101719,'Prevents AOE (except when direct) ',100,1,1),
(170570,101719,'Mesmerizes caster',100,1,2),
(170571,101719,'Dispelled when target takes damage',100,1,3),
(170572,101719,'Does not affect Epic targets',100,1,4),
(170573,101719,'Resistibility increases against targets higher than level 68.',100,1,5),
(170574,10101719,'Mesmerizes target',100,1,0),
(170575,10101719,'Prevents AOE (except when direct) ',100,1,1),
(170576,10101719,'Mesmerizes caster',100,1,2),
(170577,10101719,'Dispelled when target takes damage',100,1,3),
(170578,10101719,'Does not affect Epic targets',100,1,4),
(170579,10101719,'Resistibility increases against targets higher than level 68.',100,1,5),
(170580,46778,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(170581,46778,'Inflicts 16 - 19 melee damage on target',100,1,1),
(170582,46778,'Inflicts 4 - 6 slashing damage on target every 4 seconds',100,1,2),
(170583,10046778,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(170584,10046778,'Inflicts 19 - 23 melee damage on target',100,1,1),
(170585,10046778,'Inflicts 4 - 7 slashing damage on target every 4 seconds',100,1,2),
(170586,101317,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(170587,101317,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 99',100,1,1),
(170588,101317,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,2),
(170589,10101317,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(170590,10101317,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 99',100,1,1),
(170591,10101317,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,2),
(170592,107798,'Increases Threat to target encounter by 442 - 539 ',100,1,0),
(170593,10107798,'Forces target encounter to change their selected target to caster.',100,1,0),
(170594,10107798,'Prevents target encounter from changing targets',100,1,1),
(170595,162933,'When Equipped:',100,0,0),
(170596,162933,'This effect will not stack with any rank or tier of itself.',100,1,1),
(170597,162933,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(170598,162933,'Cannot be modified except by direct means',100,1,3),
(170599,10162933,'When Equipped:',100,0,0),
(170600,10162933,'This effect will not stack with any rank or tier of itself.',100,1,1),
(170601,10162933,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(170602,10162933,'Cannot be modified except by direct means',100,1,3),
(170603,123545,'Inflicts 107 - 160 piercing damage on target instantly and every 4 seconds',100,1,0),
(170604,123545,'Decreases Defense of target by 27.9',100,1,1),
(170605,10123545,'Inflicts 179 - 269 piercing damage on target',100,1,0),
(170606,10123545,'Inflicts 128 - 192 piercing damage on target every 4 seconds',100,1,1),
(170607,10123545,'Decreases Defense of target by 27.9',100,1,2),
(170608,101746,'Increases Max Power of target by 63.7',100,1,0),
(170609,101746,'Increases Max Health of target by 84.5',100,1,1),
(170610,10101746,'Increases Max Power of target by 63.7',100,1,0),
(170611,10101746,'Increases Max Health of target by 84.5',100,1,1),
(170612,116055,'Shapechanges caster into a lion',100,1,0),
(170613,116055,'Increases STA of caster by 69.3',100,1,1),
(170614,116055,'Adds 2.2% to base avoidance.',100,1,2),
(170615,116055,'Grants See Stealth to caster',100,1,3),
(170616,116055,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1119',100,1,4),
(170617,10116055,'Shapechanges caster into a lion',100,1,0),
(170618,10116055,'Increases STA of caster by 69.3',100,1,1),
(170619,10116055,'Adds 2.2% to base avoidance.',100,1,2),
(170620,10116055,'Grants See Stealth to caster',100,1,3),
(170621,10116055,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1119',100,1,4),
(170622,119799,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(170623,119799,'Adds 1.0% to base avoidance.',100,1,1),
(170624,10119799,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(170625,10119799,'Adds 1.0% to base avoidance.',100,1,1),
(170626,118152,'Inflicts 264 - 440 melee damage on target',100,1,0),
(170627,118152,'Dazes target',100,1,1),
(170628,118152,'If Target is not Epic',100,2,2),
(170629,118152,'Resistibility increases against targets higher than level 69.',100,1,3),
(170630,10118152,'Inflicts 316 - 528 melee damage on target',100,1,0),
(170631,10118152,'Dazes target',100,1,1),
(170632,10118152,'If Target is not Epic',100,2,2),
(170633,10118152,'Resistibility increases against targets higher than level 69.',100,1,3),
(170634,124430,'Inflicts 22 - 37 melee damage on targets in area',100,1,0),
(170635,10124430,'Inflicts 26 - 44 melee damage on targets in area',100,1,0),
(170636,101858,'Stuns target',100,1,0),
(170637,101858,'Does not affect Epic targets',100,1,1),
(170638,101858,'Resistibility increases against targets higher than level 82.',100,1,2),
(170639,10101858,'Stuns target',100,1,0),
(170640,10101858,'Does not affect Epic targets',100,1,1),
(170641,10101858,'Resistibility increases against targets higher than level 82.',100,1,2),
(170642,45380,'Applies Blue C.R.A.S.H. Pad when Activated.',100,0,0),
(170643,45380,'Summons a mount to ride',100,1,1),
(170644,45380,'Increases your ground speed by 130%',100,2,2),
(170645,45380,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,3),
(170646,45380,'This can be used as a flying mount appearance.',100,1,4),
(170647,10045380,'Applies Blue C.R.A.S.H. Pad when Activated.',100,0,0),
(170648,10045380,'Summons a mount to ride',100,1,1),
(170649,10045380,'Increases your ground speed by 130%',100,2,2),
(170650,10045380,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,3),
(170651,10045380,'This can be used as a flying mount appearance.',100,1,4),
(170652,79700,'When Equipped:',100,0,0),
(170653,79700,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(170654,79700,'Reduces healing received by 15.00%',100,2,2),
(170655,79700,'Cannot be modified except by direct means',100,2,3),
(170656,79700,'This effect can only trigger once every 1 second.',100,2,4),
(170657,79700,'Must be engaged in pvp combat',100,1,5),
(170658,10079700,'When Equipped:',100,0,0),
(170659,10079700,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(170660,10079700,'Reduces healing received by 15.00%',100,2,2),
(170661,10079700,'Cannot be modified except by direct means',100,2,3),
(170662,10079700,'This effect can only trigger once every 1 second.',100,2,4),
(170663,10079700,'Must be engaged in pvp combat',100,1,5),
(170664,119937,'Stifles target',100,1,0),
(170665,119937,'Inflicts 486 - 593 mental damage on target',100,1,1),
(170666,119937,'Inflicts 162 - 198 mental damage on target every 3 seconds',100,1,2),
(170667,119937,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(170668,119937,'Resistibility increases against targets higher than level 111.',100,1,4),
(170669,10119937,'Stifles target',100,1,0),
(170670,10119937,'Inflicts 583 - 712 mental damage on target',100,1,1),
(170671,10119937,'Inflicts 194 - 237 mental damage on target every second',100,1,2),
(170672,10119937,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(170673,10119937,'Resistibility increases against targets higher than level 111.',100,1,4),
(170674,71840,'When Equipped:',100,0,0),
(170675,71840,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170676,71840,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(170677,71840,'Cannot be modified except by direct means',100,2,3),
(170678,10071840,'When Equipped:',100,0,0),
(170679,10071840,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170680,10071840,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(170681,10071840,'Cannot be modified except by direct means',100,2,3),
(170682,35280,'Increases STA of target by 1.5',100,0,0),
(170683,35280,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(170684,35451,'Increases STA of target by 1.5',100,0,0),
(170685,35451,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(170686,100652,'Increases AGI, STR and STA of target by 45.4',100,1,0),
(170687,100652,'Adds 1.4% to base avoidance.',100,1,1),
(170688,10100652,'Increases AGI, STR and STA of target by 45.4',100,1,0),
(170689,10100652,'Adds 1.4% to base avoidance.',100,1,1),
(170690,110749,'Summons a limited pet to aid the caster',100,1,0),
(170691,10110749,'Summons a limited pet to aid the caster',100,1,0),
(170692,119113,'Inflicts 202 - 608 melee damage on targets in area',100,1,0),
(170693,119113,'Inflicts 202 - 608 melee damage on targets in area',100,1,1),
(170694,119113,'Inflicts 202 - 608 melee damage on targets in area',100,1,2),
(170695,119113,'Inflicts 202 - 608 melee damage on targets in area',100,1,3),
(170696,10119113,'Inflicts 243 - 730 melee damage on targets in area',100,1,0),
(170697,10119113,'Inflicts 243 - 730 melee damage on targets in area',100,1,1),
(170698,10119113,'Inflicts 243 - 730 melee damage on targets in area',100,1,2),
(170699,10119113,'Inflicts 243 - 730 melee damage on targets in area',100,1,3),
(170700,102482,'Inflicts 176 - 294 crushing damage on target',100,1,0),
(170701,102482,'Prevents target from changing direction while active.',100,1,1),
(170702,102482,'If Target is not Epic',100,2,2),
(170703,102482,'Roots target',100,1,3),
(170704,102482,'If Target is not Epic',100,2,4),
(170705,102482,'Resistibility increases against targets higher than level 65.',100,1,5),
(170706,10102482,'Inflicts 211 - 352 crushing damage on target',100,1,0),
(170707,10102482,'Prevents target from changing direction while active.',100,1,1),
(170708,10102482,'If Target is not Epic',100,2,2),
(170709,10102482,'Roots target',100,1,3),
(170710,10102482,'If Target is not Epic',100,2,4),
(170711,10102482,'Resistibility increases against targets higher than level 65.',100,1,5),
(170712,158460,'When Equipped:',100,0,0),
(170713,158460,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(170714,10158460,'When Equipped:',100,0,0),
(170715,10158460,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(170716,87418,'When Equipped:',100,0,0),
(170717,87418,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170718,87418,'Inflicts 28 - 42 magic damage on target',100,2,2),
(170719,87418,'Cannot be modified except by direct means',100,2,3),
(170720,10087418,'When Equipped:',100,0,0),
(170721,10087418,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170722,10087418,'Inflicts 34 - 50 magic damage on target',100,2,2),
(170723,10087418,'Cannot be modified except by direct means',100,2,3),
(170724,106039,'Inflicts 212 - 260 divine damage on target instantly and every 3 seconds',100,1,0),
(170725,106039,'Decreases Defense of target by 36.1',100,1,1),
(170726,10106039,'Inflicts 170 - 208 divine damage on target instantly and every 3 seconds',100,1,0),
(170727,10106039,'Decreases Defense of target by 36.1',100,1,1),
(170728,113954,'Decreases power of target encounter by 54 instantly and every 4 seconds',100,1,0),
(170729,113954,'Increases power of group members (AE) by 36 instantly and every 4 seconds',100,1,1),
(170730,10113954,'Decreases power of target encounter by 54 instantly and every 4 seconds',100,1,0),
(170731,10113954,'Increases power of group members (AE) by 36 instantly and every 4 seconds',100,1,1),
(170732,48411,'Applies Queen''s Masquerade when Activated.  Lasts for 6 hours.',100,0,0),
(170733,48411,'Join the Queen''s Masquerade',100,1,1),
(170734,10048411,'Applies Queen''s Masquerade when Activated.  Lasts for 6 hours.',100,0,0),
(170735,10048411,'Join the Queen''s Masquerade',100,1,1),
(170736,40781,'When Equipped:',100,0,0),
(170737,40781,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(170738,10040781,'When Equipped:',100,0,0),
(170739,10040781,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(170740,159430,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(170741,159430,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(170742,159430,'Inflicts 44 heat damage on target',100,2,2),
(170743,159430,'Cannot be modified except by direct means',100,2,3),
(170744,10159430,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(170745,10159430,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(170746,10159430,'Inflicts 53 heat damage on target',100,2,2),
(170747,10159430,'Cannot be modified except by direct means',100,2,3),
(170748,40620,'When Equipped:',100,0,0),
(170749,40620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170750,40620,'Inflicts 62 - 93 magic damage on target',100,2,2),
(170751,40620,'Cannot be modified except by direct means',100,2,3),
(170752,10040620,'When Equipped:',100,0,0),
(170753,10040620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170754,10040620,'Inflicts 74 - 111 magic damage on target',100,2,2),
(170755,10040620,'Cannot be modified except by direct means',100,2,3),
(170756,75123,'When Equipped:',100,0,0),
(170757,75123,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(170758,10075123,'When Equipped:',100,0,0),
(170759,10075123,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(170760,119084,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(170761,119084,'Increases Parry and Deflection of group members (AE) by 9.7',100,1,1),
(170762,119084,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(170763,119084,'Decreases Threat to target encounter by 387 - 473 ',100,2,3),
(170764,119084,'If not fighter',100,3,4),
(170765,119084,'Increases Threat to target encounter by 392 - 478 ',100,2,5),
(170766,119084,'If fighter',100,3,6),
(170767,119084,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(170768,119084,'Decreases Threat to target encounter by 387 - 473 ',100,2,8),
(170769,119084,'If not fighter',100,3,9),
(170770,119084,'Increases Threat to target encounter by 392 - 478 ',100,2,10),
(170771,119084,'If fighter',100,3,11),
(170772,10119084,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(170773,10119084,'Increases Parry and Deflection of group members (AE) by 9.7',100,1,1),
(170774,10119084,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(170775,10119084,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(170776,105515,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 16.8',100,1,0),
(170777,10105515,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 16.8',100,1,0),
(170778,107373,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',100,1,0),
(170779,107373,'Inflicts 77 - 94 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(170780,10107373,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',100,1,0),
(170781,10107373,'Inflicts 92 - 112 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(170782,89874,'When Equipped:',100,0,0),
(170783,89874,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170784,89874,'Inflicts 43 - 72 heat damage on target every 4.8 seconds',100,2,2),
(170785,89874,'Inflicts 105 - 175 heat damage on target',100,2,3),
(170786,89874,'Cannot be modified except by direct means',100,2,4),
(170787,10089874,'When Equipped:',100,0,0),
(170788,10089874,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170789,10089874,'Inflicts 52 - 86 heat damage on target every 4.8 seconds',100,2,2),
(170790,10089874,'Inflicts 126 - 210 heat damage on target',100,2,3),
(170791,10089874,'Cannot be modified except by direct means',100,2,4),
(170792,81287,'When Equipped:',100,0,0),
(170793,81287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170794,81287,'Inflicts 201 - 373 magic damage on target',100,2,2),
(170795,81287,'Cannot be modified except by direct means',100,2,3),
(170796,10081287,'When Equipped:',100,0,0),
(170797,10081287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170798,10081287,'Inflicts 241 - 447 magic damage on target',100,2,2),
(170799,10081287,'Cannot be modified except by direct means',100,2,3),
(170800,46459,'Applies Geo-Arcanic Tremor when Activated.',100,0,0),
(170801,46459,'This effect cannot be cast during combat',100,1,1),
(170802,10046459,'Applies Geo-Arcanic Tremor when Activated.',100,0,0),
(170803,10046459,'This effect cannot be cast during combat',100,1,1),
(170804,103320,'Applies Migraine on termination.',100,1,0),
(170805,103320,'Inflicts 135 - 183 mental damage on target',100,2,1),
(170806,103320,'Inflicts 62 - 76 mental damage on target instantly and every 6 seconds',100,1,2),
(170807,10103320,'Applies Migraine on termination.',100,1,0),
(170808,10103320,'Inflicts 163 - 220 mental damage on target',100,2,1),
(170809,10103320,'Inflicts 75 - 91 mental damage on target instantly and every 6 seconds',100,1,2),
(170810,144590,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(170811,144590,'Decreases STR, AGI, WIS and INT of target by 12.0',100,1,1),
(170812,144590,'Decreases Max Health of target by 1.0%',100,1,2),
(170813,144590,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(170814,10144590,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(170815,10144590,'Decreases STR, AGI, WIS and INT of target by 12.0',100,1,1),
(170816,10144590,'Decreases Max Health of target by 1.0%',100,1,2),
(170817,10144590,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(170818,48442,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(170819,48442,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(170820,48442,'Inflicts 240 poison damage on target',100,2,2),
(170821,48442,'Inflicts 39 poison damage on target instantly and every 6 seconds',100,2,3),
(170822,48442,'Cannot be modified except by direct means',100,2,4),
(170823,48442,'Grants a total of 200 triggers of the spell.',100,2,5),
(170824,10048442,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(170825,10048442,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(170826,10048442,'Inflicts 216 poison damage on target',100,2,2),
(170827,10048442,'Inflicts 35 poison damage on target instantly and every 6 seconds',100,2,3),
(170828,10048442,'Cannot be modified except by direct means',100,2,4),
(170829,10048442,'Grants a total of 200 triggers of the spell.',100,2,5),
(170830,157683,'When Equipped:',100,0,0),
(170831,157683,'Increases Attack Speed of caster by 38.0',100,1,1),
(170832,157683,'When Equipped:',100,0,2),
(170833,157683,'Reduces cast time of all spells by 3 percent.',100,1,3),
(170834,10157683,'When Equipped:',100,0,0),
(170835,10157683,'Increases Attack Speed of caster by 38.0',100,1,1),
(170836,10157683,'When Equipped:',100,0,2),
(170837,10157683,'Reduces cast time of all spells by 3 percent.',100,1,3),
(170838,48713,'Applies Translucent Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(170839,48713,'Increases Max Power of caster by 248.6',100,1,1),
(170840,48713,'Only affects targets level 50 and above',100,1,2),
(170841,10048713,'Applies Translucent Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(170842,10048713,'Increases Max Power of caster by 248.6',100,1,1),
(170843,10048713,'Only affects targets level 50 and above',100,1,2),
(170844,120327,'Increases Threat to target by 467 - 570 ',100,1,0),
(170845,10120327,'Forces target to change their selected target to caster.',100,1,0),
(170846,10120327,'Prevents target from changing targets',100,1,1),
(170847,82439,'Applies Imbued Smite when Equipped.',100,0,0),
(170848,82439,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(170849,82439,'Inflicts 404 divine damage on target instantly and every second',100,2,2),
(170850,82439,'Cannot be modified except by direct means',100,2,3),
(170851,82439,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(170852,82439,'Inflicts 404 divine damage on target instantly and every second',100,2,5),
(170853,82439,'Cannot be modified except by direct means',100,2,6),
(170854,10082439,'Applies Imbued Smite when Equipped.',100,0,0),
(170855,10082439,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(170856,10082439,'Inflicts 485 divine damage on target instantly and every second',100,2,2),
(170857,10082439,'Cannot be modified except by direct means',100,2,3),
(170858,10082439,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(170859,10082439,'Inflicts 485 divine damage on target instantly and every second',100,2,5),
(170860,10082439,'Cannot be modified except by direct means',100,2,6),
(170861,158662,'When Equipped:',100,0,0),
(170862,158662,'On any combat or spell hit this spell may cast Banshee''s Wail on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170863,158662,'This effect can be stacked by multiple casters.',100,2,2),
(170864,158662,'Decreases INT and STR of target by 50.0',100,2,3),
(170865,158662,'Decreases Damage Per Second of target by 5.0',100,2,4),
(170866,158662,'Cannot be modified except by direct means',100,2,5),
(170867,10158662,'When Equipped:',100,0,0),
(170868,10158662,'On any combat or spell hit this spell may cast Banshee''s Wail on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(170869,10158662,'This effect can be stacked by multiple casters.',100,2,2),
(170870,10158662,'Decreases INT and STR of target by 50.0',100,2,3),
(170871,10158662,'Decreases Damage Per Second of target by 5.0',100,2,4),
(170872,10158662,'Cannot be modified except by direct means',100,2,5),
(170873,74626,'When Equipped:',100,0,0),
(170874,74626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170875,74626,'Inflicts 34 - 51 magic damage on target',100,2,2),
(170876,74626,'Cannot be modified except by direct means',100,2,3),
(170877,10074626,'When Equipped:',100,0,0),
(170878,10074626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170879,10074626,'Inflicts 41 - 62 magic damage on target',100,2,2),
(170880,10074626,'Cannot be modified except by direct means',100,2,3),
(170881,74618,'When Equipped:',100,0,0),
(170882,74618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170883,74618,'Inflicts 36 - 54 magic damage on target',100,2,2),
(170884,74618,'Cannot be modified except by direct means',100,2,3),
(170885,10074618,'When Equipped:',100,0,0),
(170886,10074618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170887,10074618,'Inflicts 43 - 65 magic damage on target',100,2,2),
(170888,10074618,'Cannot be modified except by direct means',100,2,3),
(170889,47354,'Applies Natures Wonder when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(170890,47354,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(170891,47354,'Inflicts 9 magic damage on target',100,2,2),
(170892,47354,'Cannot be modified except by direct means',100,2,3),
(170893,10047354,'Applies Natures Wonder when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(170894,10047354,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(170895,10047354,'Inflicts 11 magic damage on target',100,2,2),
(170896,10047354,'Cannot be modified except by direct means',100,2,3),
(170897,121105,'Mesmerizes targets in Area of Effect',100,1,0),
(170898,121105,'If Target is not Epic',100,2,1),
(170899,121105,'Decreases Threat to targets in Area of Effect by 1,692 ',100,1,2),
(170900,121105,'Dispelled when target takes damage',100,1,3),
(170901,10121105,'Mesmerizes targets in Area of Effect',100,1,0),
(170902,10121105,'If Target is not Epic',100,2,1),
(170903,10121105,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(170904,10121105,'Applies Distract.',100,1,3),
(170905,10121105,'Forces target to clear their selected target.',100,2,4),
(170906,10121105,'Dispelled when target takes damage',100,1,5),
(170907,111557,'Inflicts 1611 - 2991 cold damage on target',100,1,0),
(170908,111557,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(170909,111557,'Throws target back',100,2,2),
(170910,111557,'Stuns target',100,2,3),
(170911,111557,'Blurs vision of target',100,2,4),
(170912,111557,'Does not affect Epic targets',100,2,5),
(170913,10111557,'Inflicts 1398 - 2596 cold damage on target',100,1,0),
(170914,10111557,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(170915,10111557,'Throws target back',100,2,2),
(170916,10111557,'Stuns target',100,2,3),
(170917,10111557,'Blurs vision of target',100,2,4),
(170918,10111557,'Does not affect Epic targets',100,2,5),
(170919,88194,'When Equipped:',100,0,0),
(170920,88194,'On a combat hit this spell may cast Taste of Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170921,88194,'Inflicts 104 - 173 heat damage on target',100,2,2),
(170922,88194,'Cannot be modified except by direct means',100,2,3),
(170923,10088194,'When Equipped:',100,0,0),
(170924,10088194,'On a combat hit this spell may cast Taste of Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170925,10088194,'Inflicts 124 - 207 heat damage on target',100,2,2),
(170926,10088194,'Cannot be modified except by direct means',100,2,3),
(170927,42551,'When Equipped:',100,0,0),
(170928,42551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170929,42551,'Inflicts 71 - 106 magic damage on target',100,2,2),
(170930,42551,'Cannot be modified except by direct means',100,2,3),
(170931,10042551,'When Equipped:',100,0,0),
(170932,10042551,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(170933,10042551,'Inflicts 85 - 127 magic damage on target',100,2,2),
(170934,10042551,'Cannot be modified except by direct means',100,2,3),
(170935,120442,'Inflicts 264 - 440 melee damage on target',100,1,0),
(170936,120442,'Inflicts 264 - 440 melee damage on target',100,1,1),
(170937,10120442,'Inflicts 317 - 529 melee damage on target',100,1,0),
(170938,10120442,'Inflicts 317 - 529 melee damage on target',100,1,1),
(170939,141934,'When Equipped:',100,0,0),
(170940,141934,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(170941,141934,'Increases STA of caster by 3.6',100,2,2),
(170942,141934,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(170943,141934,'Cannot be modified except by direct means',100,2,4),
(170944,10141934,'When Equipped:',100,0,0),
(170945,10141934,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(170946,10141934,'Increases STA of caster by 3.6',100,2,2),
(170947,10141934,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(170948,10141934,'Cannot be modified except by direct means',100,2,4),
(170949,35354,'Increases Max Health of target by 3.9',100,0,0),
(170950,35354,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(170951,124642,'Inflicts 297 - 363 cold damage on target encounter',100,1,0),
(170952,124642,'Decreases Piercing, Slashing and Crushing of target encounter by 11.5',100,1,1),
(170953,10124642,'Inflicts 357 - 436 cold damage on target encounter',100,1,0),
(170954,10124642,'Decreases Piercing, Slashing and Crushing of target encounter by 11.5',100,1,1),
(170955,116012,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(170956,116012,'Decreases threat priority of target by 1 position',100,2,1),
(170957,116012,'Decreases Hate Gain of target by 12.9%',100,1,2),
(170958,10116012,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(170959,10116012,'Forces target to clear their selected target.',100,2,1),
(170960,110396,'Increases STR and AGI of group members (AE) by 117.9',100,1,0),
(170961,110396,'Adds 2.5% to base avoidance.',100,1,1),
(170962,10110396,'Increases STR and AGI of group members (AE) by 117.9',100,1,0),
(170963,10110396,'Adds 2.5% to base avoidance.',100,1,1),
(170964,124439,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(170965,124439,'Inflicts 70 - 118 melee damage on target',100,2,1),
(170966,124439,'Decreases Defense of caster by 9.3',100,1,2),
(170967,124439,'Increases Slashing, Piercing, Ranged and Crushing of caster by 13.3',100,1,3),
(170968,10124439,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(170969,10124439,'Inflicts 85 - 141 melee damage on target',100,2,1),
(170970,10124439,'Decreases Defense of caster by 9.3',100,1,2),
(170971,10124439,'Increases Slashing, Piercing, Ranged and Crushing of caster by 13.3',100,1,3),
(170972,110621,'Decreases Focus of target by 43.2',100,1,0),
(170973,110621,'Interrupts target',100,1,1),
(170974,110621,'Inflicts 189 - 567 crushing damage on target',100,1,2),
(170975,10110621,'Decreases Focus of target by 43.2',100,1,0),
(170976,10110621,'Interrupts target',100,1,1),
(170977,10110621,'Inflicts 226 - 680 crushing damage on target',100,1,2),
(170978,119958,'Inflicts 267 - 445 melee damage on target',100,1,0),
(170979,119958,'Stifles target',100,1,1),
(170980,119958,'If Target is not Epic',100,2,2),
(170981,119958,'Resistibility increases against targets higher than level 109.',100,1,3),
(170982,10119958,'Inflicts 320 - 534 melee damage on target',100,1,0),
(170983,10119958,'Stifles target',100,1,1),
(170984,10119958,'If Target is not Epic',100,2,2),
(170985,10119958,'Resistibility increases against targets higher than level 109.',100,1,3),
(170986,113061,'Applies Scream on termination.',100,1,0),
(170987,113061,'Inflicts 106 - 177 disease damage on target',100,2,1),
(170988,113061,'Dazes target',100,1,2),
(170989,113061,'If Target is not Epic',100,2,3),
(170990,113061,'Resistibility increases against targets higher than level 63.',100,1,4),
(170991,10113061,'Dazes target',100,1,0),
(170992,10113061,'If Target is not Epic',100,2,1),
(170993,10113061,'Applies Scream on termination.',100,1,2),
(170994,10113061,'Inflicts 128 - 213 disease damage on target',100,2,3),
(170995,10113061,'Resistibility increases against targets higher than level 63.',100,1,4),
(170996,159836,'Applies Sanguine Imbued when Equipped.',100,0,0),
(170997,159836,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(170998,159836,'Inflicts 186 heat damage on target',100,2,2),
(170999,159836,'Cannot be modified except by direct means',100,2,3),
(171000,10159836,'Applies Sanguine Imbued when Equipped.',100,0,0),
(171001,10159836,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(171002,10159836,'Inflicts 224 heat damage on target',100,2,2),
(171003,10159836,'Cannot be modified except by direct means',100,2,3),
(171004,52800,'Applies Sanguine Imbued when Equipped.',100,0,0),
(171005,52800,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(171006,52800,'Inflicts 76 heat damage on target',100,2,2),
(171007,52800,'Cannot be modified except by direct means',100,2,3),
(171008,10052800,'Applies Sanguine Imbued when Equipped.',100,0,0),
(171009,10052800,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(171010,10052800,'Inflicts 92 heat damage on target',100,2,2),
(171011,10052800,'Cannot be modified except by direct means',100,2,3),
(171012,182570,'When Equipped:',100,0,0),
(171013,182570,'Increases Attack Speed of caster by 40.0',100,1,1),
(171014,10182570,'When Equipped:',100,0,0),
(171015,10182570,'Increases Attack Speed of caster by 40.0',100,1,1),
(171016,154209,'When Equipped:',100,0,0),
(171017,154209,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(171018,10154209,'When Equipped:',100,0,0),
(171019,10154209,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(171020,26932,'When Equipped:',100,0,0),
(171021,26932,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(171022,26932,'Decreases power of target by 140',100,2,2),
(171023,26932,'Increases power of caster by 140',100,2,3),
(171024,26932,'Cannot be modified except by direct means',100,2,4),
(171025,10026932,'When Equipped:',100,0,0),
(171026,10026932,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(171027,10026932,'Decreases power of target by 140',100,2,2),
(171028,10026932,'Increases power of caster by 140',100,2,3),
(171029,10026932,'Cannot be modified except by direct means',100,2,4),
(171030,101095,'Increases Mitigation of raid and group members (AE) vs arcane damage by 308',100,1,0),
(171031,10101095,'Increases Mitigation of raid and group members (AE) vs arcane damage by 308',100,1,0),
(171032,35344,'Increases STA of target by 1.5',100,0,0),
(171033,35344,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(171034,54777,'Applies Necromantic Fluids when Activated.',100,0,0),
(171035,54777,'Heals caster for 481',100,1,1),
(171036,54777,'Increases power of caster by 241',100,1,2),
(171037,54777,'The casting time of Necromantic Fluids is 1.0 second and the reuse time of the spell is 30 minutes',100,1,3),
(171038,10054777,'Applies Necromantic Fluids when Activated.',100,0,0),
(171039,10054777,'Heals caster for 313',100,1,1),
(171040,10054777,'Increases power of caster by 241',100,1,2),
(171041,10054777,'The casting time of Necromantic Fluids is 1.0 second and the reuse time of the spell is 30 minutes',100,1,3),
(171042,26974,'When Equipped:',100,0,0),
(171043,26974,'Increases Attack Speed of caster by 2.0',100,1,1),
(171044,10026974,'When Equipped:',100,0,0),
(171045,10026974,'Increases Attack Speed of caster by 2.0',100,1,1),
(171046,45215,'Applies elemental remedy when Activated.',100,0,0),
(171047,45215,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(171048,10045215,'Applies elemental remedy when Activated.',100,0,0),
(171049,10045215,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(171050,162505,'When Equipped:',100,0,0),
(171051,162505,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(171052,10162505,'When Equipped:',100,0,0),
(171053,10162505,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(171054,80030,'Applies Fire Ball when Activated.',100,0,0),
(171055,80030,'Inflicts 232 - 387 heat damage on target',100,1,1),
(171056,80030,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(171057,10080030,'Applies Fire Ball when Activated.',100,0,0),
(171058,10080030,'Inflicts 279 - 465 heat damage on target',100,1,1),
(171059,10080030,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(171060,36848,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(171061,80696,'When Equipped:',100,0,0),
(171062,80696,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171063,80696,'Inflicts 53 - 98 magic damage on target',100,2,2),
(171064,80696,'Decreases Threat to target by 236 ',100,2,3),
(171065,80696,'Must be flanking or behind',100,3,4),
(171066,80696,'Increases Threat to target by 241 ',100,2,5),
(171067,80696,'Must be in front of',100,3,6),
(171068,80696,'Cannot be modified except by direct means',100,2,7),
(171069,10080696,'When Equipped:',100,0,0),
(171070,10080696,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171071,10080696,'Inflicts 64 - 118 magic damage on target',100,2,2),
(171072,10080696,'Cannot be modified except by direct means',100,2,3),
(171073,106576,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(171074,106576,'Increases Parry of caster by 7.7',100,1,1),
(171075,10106576,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(171076,10106576,'Increases Parry of caster by 7.7',100,1,1),
(171077,116876,'Wards group members (AE) against 727 points of noxious damage',100,1,0),
(171078,116876,'Increases Mitigation of group members (AE) vs noxious damage by 430',100,1,1),
(171079,10116876,'Wards group members (AE) against 727 points of noxious damage',100,1,0),
(171080,10116876,'Increases Mitigation of group members (AE) vs noxious damage by 430',100,1,1),
(171081,82448,'When Equipped:',100,0,0),
(171082,82448,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171083,82448,'Inflicts 166 - 308 magic damage on target',100,2,2),
(171084,82448,'Decreases Threat to target by 801 ',100,2,3),
(171085,82448,'Must be flanking or behind',100,3,4),
(171086,82448,'Increases Threat to target by 806 ',100,2,5),
(171087,82448,'Must be in front of',100,3,6),
(171088,82448,'Cannot be modified except by direct means',100,2,7),
(171089,10082448,'When Equipped:',100,0,0),
(171090,10082448,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171091,10082448,'Inflicts 199 - 370 magic damage on target',100,2,2),
(171092,10082448,'Cannot be modified except by direct means',100,2,3),
(171093,117449,'Inflicts 255 - 426 melee damage on target',100,1,0),
(171094,117449,'You must be sneaking to use this ability.',100,1,1),
(171095,117449,'Must be flanking or behind',100,1,2),
(171096,10117449,'Inflicts 190 - 317 melee damage on target',100,1,0),
(171097,10117449,'You must be sneaking to use this ability.',100,1,1),
(171098,10117449,'Must be flanking or behind',100,1,2),
(171099,74691,'When Equipped:',100,0,0),
(171100,74691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171101,74691,'Inflicts 115 - 173 magic damage on target',100,2,2),
(171102,74691,'Cannot be modified except by direct means',100,2,3),
(171103,10074691,'When Equipped:',100,0,0),
(171104,10074691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171105,10074691,'Inflicts 139 - 208 magic damage on target',100,2,2),
(171106,10074691,'Cannot be modified except by direct means',100,2,3),
(171107,176443,'When Equipped:',100,0,0),
(171108,176443,'On any combat or spell hit this spell may cast Fearless on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(171109,176443,'Makes caster immune to Fear effects',100,2,2),
(171110,176443,'Must not be engaged in pvp combat',100,2,3),
(171111,176443,'Cannot be modified except by direct means',100,2,4),
(171112,10176443,'When Equipped:',100,0,0),
(171113,10176443,'On any combat or spell hit this spell may cast Fearless on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(171114,10176443,'Makes caster immune to Fear effects',100,2,2),
(171115,10176443,'Must not be engaged in pvp combat',100,2,3),
(171116,10176443,'Cannot be modified except by direct means',100,2,4),
(171117,102876,'Heals caster for 75',100,1,0),
(171118,102876,'Inflicts 112 disease damage on targets in Area of Effect',100,1,1),
(171119,10102876,'Heals caster for 49',100,1,0),
(171120,10102876,'Inflicts 134 disease damage on targets in Area of Effect',100,1,1),
(171121,109488,'Inflicts 342 - 570 cold damage on target',100,1,0),
(171122,10109488,'Inflicts 411 - 685 cold damage on target',100,1,0),
(171123,111416,'Increases Attack Speed of target by 44.4',100,1,0),
(171124,111416,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(171125,111416,'Inflicts 309 disease damage on target',100,2,2),
(171126,111416,'Heals caster for 113',100,2,3),
(171127,111416,'Decreases Defense and Parry of target by 36.3',100,1,4),
(171128,111416,'Increases Disruption and Subjugation of target by 38.6',100,1,5),
(171129,111416,'Increases Focus of target by 39.9',100,1,6),
(171130,10111416,'Increases Attack Speed of target by 44.4',100,1,0),
(171131,10111416,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(171132,10111416,'Inflicts 371 disease damage on target',100,2,2),
(171133,10111416,'Heals caster for 73',100,2,3),
(171134,10111416,'Decreases Defense and Parry of target by 36.3',100,1,4),
(171135,10111416,'Increases Disruption and Subjugation of target by 38.6',100,1,5),
(171136,10111416,'Increases Focus of target by 39.9',100,1,6),
(171137,35395,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(171138,121637,'Inflicts 504 - 1512 melee damage on target',100,1,0),
(171139,121637,'Dazes target',100,1,1),
(171140,121637,'If Target is not Epic',100,2,2),
(171141,121637,'Must be flanking or behind',100,1,3),
(171142,121637,'Resistibility increases against targets higher than level 112.',100,1,4),
(171143,10121637,'Inflicts 605 - 1815 melee damage on target',100,1,0),
(171144,10121637,'Dazes target',100,1,1),
(171145,10121637,'If Target is not Epic',100,2,2),
(171146,10121637,'Must be flanking or behind',100,1,3),
(171147,10121637,'Resistibility increases against targets higher than level 112.',100,1,4),
(171148,26956,'When Equipped:',100,0,0),
(171149,26956,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(171150,26956,'Inflicts 280 magic damage on target',100,2,2),
(171151,26956,'Cannot be modified except by direct means',100,2,3),
(171152,10026956,'When Equipped:',100,0,0),
(171153,10026956,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(171154,10026956,'Inflicts 336 magic damage on target',100,2,2),
(171155,10026956,'Cannot be modified except by direct means',100,2,3),
(171156,116515,'Increases Mitigation of target vs physical damage by 243',100,1,0),
(171157,116515,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(171158,10116515,'Increases Mitigation of target vs physical damage by 243',100,1,0),
(171159,10116515,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(171160,37325,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(171161,120153,'Decreases STR and INT of target by 75.0',100,1,0),
(171162,120153,'Increases STR and INT of caster by 75.0',100,1,1),
(171163,10120153,'Decreases STR and INT of target by 75.0',100,1,0),
(171164,10120153,'Increases STR and INT of caster by 75.0',100,1,1),
(171165,164522,'When Equipped:',100,0,0),
(171166,164522,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(171167,10164522,'When Equipped:',100,0,0),
(171168,10164522,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(171169,103707,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(171170,103707,'Inflicts 81 - 136 disease damage on target',100,2,1),
(171171,103707,'Increases Attack Speed of group members (AE) by 53.5',100,1,2),
(171172,10103707,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(171173,10103707,'Inflicts 98 - 163 disease damage on target',100,2,1),
(171174,10103707,'Increases Attack Speed of group members (AE) by 53.5',100,1,2),
(171175,73923,'Applies Holy Strike when Activated.',100,0,0),
(171176,73923,'Inflicts 49 - 82 divine damage on target',100,1,1),
(171177,73923,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(171178,10073923,'Applies Holy Strike when Activated.',100,0,0),
(171179,10073923,'Inflicts 59 - 98 divine damage on target',100,1,1),
(171180,10073923,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(171181,116944,'Increases Threat to target by 158 - 192 ',100,1,0),
(171182,116944,'Interrupts target',100,1,1),
(171183,10116944,'Forces target to change their selected target to caster.',100,1,0),
(171184,10116944,'Interrupts target',100,1,1),
(171185,10116944,'Prevents target from changing targets',100,1,2),
(171186,24058,'Adds Burynai (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(171187,10024058,'Adds Burynai (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(171188,45145,'Applies Hatch when Activated.',100,0,0),
(171189,45145,'Summons a pet maturing owlbear',100,1,1),
(171190,10045145,'Applies Hatch when Activated.',100,0,0),
(171191,10045145,'Summons a pet maturing owlbear',100,1,1),
(171192,74541,'Applies Fire Ball when Activated.',100,0,0),
(171193,74541,'Inflicts 296 - 494 heat damage on target',100,1,1),
(171194,74541,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(171195,10074541,'Applies Fire Ball when Activated.',100,0,0),
(171196,10074541,'Inflicts 356 - 593 heat damage on target',100,1,1),
(171197,10074541,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(171198,106875,'Stuns targets in Area of Effect',100,1,0),
(171199,106875,'If Target is not Epic',100,2,1),
(171200,106875,'Decreases Threat to targets in Area of Effect by 1,661 ',100,1,2),
(171201,10106875,'Stuns targets in Area of Effect',100,1,0),
(171202,10106875,'If Target is not Epic',100,2,1),
(171203,10106875,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(171204,10106875,'Applies Distract.',100,1,3),
(171205,10106875,'Forces target to clear their selected target.',100,2,4),
(171206,112780,'Interrupts target',100,1,0),
(171207,112780,'Inflicts 306 - 511 divine damage on target',100,1,1),
(171208,10112780,'Interrupts target',100,1,0),
(171209,10112780,'Inflicts 368 - 613 divine damage on target',100,1,1),
(171210,52733,'Applies Sanguine Imbued when Equipped.',100,0,0),
(171211,52733,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(171212,52733,'Inflicts 32 heat damage on target',100,2,2),
(171213,52733,'Cannot be modified except by direct means',100,2,3),
(171214,10052733,'Applies Sanguine Imbued when Equipped.',100,0,0),
(171215,10052733,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(171216,10052733,'Inflicts 39 heat damage on target',100,2,2),
(171217,10052733,'Cannot be modified except by direct means',100,2,3),
(171218,113413,'Reduces physical damage done to caster by 5%',100,1,0),
(171219,113413,'Increases STA of caster by 68.4',100,1,1),
(171220,113413,'Adds 3.1% to base avoidance.',100,1,2),
(171221,113413,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(171222,113413,'Increases Defense and Aggression of caster by 13.2',100,1,4),
(171223,113413,'Increases Mitigation of caster vs noxious damage by 880',100,1,5),
(171224,113413,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(171225,10113413,'Reduces physical damage done to caster by 5%',100,1,0),
(171226,10113413,'Increases STA of caster by 68.4',100,1,1),
(171227,10113413,'Adds 3.1% to base avoidance.',100,1,2),
(171228,10113413,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(171229,10113413,'Increases Defense and Aggression of caster by 13.2',100,1,4),
(171230,10113413,'Increases Mitigation of caster vs noxious damage by 880',100,1,5),
(171231,10113413,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(171232,111477,'Increases AGI of caster by 23.0',100,1,0),
(171233,111477,'Increases Attack Speed of caster by 19.5',100,1,1),
(171234,111477,'Increases in-combat movement speed of caster by 5.5%',100,1,2),
(171235,111477,'Adds 17.2% to base avoidance.',100,1,3),
(171236,111477,'Increases Mitigation of caster vs physical damage by 208',100,1,4),
(171237,111477,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,5),
(171238,10111477,'Increases AGI of caster by 23.0',100,1,0),
(171239,10111477,'Increases Attack Speed of caster by 19.5',100,1,1),
(171240,10111477,'Increases speed of caster by 5.5%',100,1,2),
(171241,10111477,'Adds 17.2% to base avoidance.',100,1,3),
(171242,10111477,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,4),
(171243,140800,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(171244,140800,'Decreases AGI, WIS, INT and STR of target by 43.0',100,1,1),
(171245,140800,'Decreases Max Health of target by 1.0%',100,1,2),
(171246,140800,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(171247,10140800,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(171248,10140800,'Decreases AGI, WIS, INT and STR of target by 43.0',100,1,1),
(171249,10140800,'Decreases Max Health of target by 1.0%',100,1,2),
(171250,10140800,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(171251,122105,'Increases STA and INT of group members (AE) by 90.9',100,1,0),
(171252,10122105,'Increases STA and INT of group members (AE) by 90.9',100,1,0),
(171253,46758,'Applies Queasy Reliever when Activated.  Lasts for 10 minutes.',100,0,0),
(171254,46758,'Increases Mitigation of caster vs noxious damage by 513',100,1,1),
(171255,46758,'Dispels 63 levels of noxious hostile effects on caster',100,1,2),
(171256,10046758,'Applies Queasy Reliever when Activated.  Lasts for 10 minutes.',100,0,0),
(171257,10046758,'Increases Mitigation of caster vs noxious damage by 513',100,1,1),
(171258,10046758,'Dispels 63 levels of noxious hostile effects on caster',100,1,2),
(171259,107976,'Increases In-Combat Power Regeneration of group members (AE) by 46.3',100,1,0),
(171260,10107976,'Increases In-Combat Power Regeneration of group members (AE) by 46.3',100,1,0),
(171261,46095,'Applies Elixir of Perception when Activated.  Lasts for 30 minutes.',100,0,0),
(171262,46095,'Increases AGI of caster by 23.0',100,1,1),
(171263,10046095,'Applies Elixir of Perception when Activated.  Lasts for 30 minutes.',100,0,0),
(171264,10046095,'Increases AGI of caster by 23.0',100,1,1),
(171265,159460,'Applies Lambent Imbued when Equipped.',100,0,0),
(171266,159460,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(171267,159460,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(171268,159460,'Cannot be modified except by direct means',100,2,3),
(171269,10159460,'Applies Lambent Imbued when Equipped.',100,0,0),
(171270,10159460,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(171271,10159460,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(171272,10159460,'Cannot be modified except by direct means',100,2,3),
(171273,100769,'Summons a limited pet to aid the caster',100,1,0),
(171274,10100769,'Summons a limited pet to aid the caster',100,1,0),
(171275,101812,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(171276,101812,'Decreases Threat to target by 978 ',100,2,1),
(171277,10101812,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(171278,10101812,'Inflicts 50 - 56 crushing damage on target',100,2,1),
(171279,82342,'When Equipped:',100,0,0),
(171280,82342,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171281,82342,'Inflicts 261 - 484 magic damage on target',100,2,2),
(171282,82342,'Decreases Threat to target by 994 ',100,2,3),
(171283,82342,'Must be flanking or behind',100,3,4),
(171284,82342,'Increases Threat to target by 999 ',100,2,5),
(171285,82342,'Must be in front of',100,3,6),
(171286,82342,'Cannot be modified except by direct means',100,2,7),
(171287,10082342,'When Equipped:',100,0,0),
(171288,10082342,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171289,10082342,'Inflicts 313 - 581 magic damage on target',100,2,2),
(171290,10082342,'Cannot be modified except by direct means',100,2,3),
(171291,49025,'Applies Vapor Gloves when Activated.',100,0,0),
(171292,49025,'Covers the user''s hands in illusory vapor.',100,1,1),
(171293,10049025,'Applies Vapor Gloves when Activated.',100,0,0),
(171294,10049025,'Covers the user''s hands in illusory vapor.',100,1,1),
(171295,113953,'Decreases power of target encounter by 37 instantly and every 4 seconds',100,1,0),
(171296,113953,'Increases power of group members (AE) by 25 instantly and every 4 seconds',100,1,1),
(171297,10113953,'Decreases power of target encounter by 37 instantly and every 4 seconds',100,1,0),
(171298,10113953,'Increases power of group members (AE) by 25 instantly and every 4 seconds',100,1,1),
(171299,151789,'When Equipped:',100,0,0),
(171300,151789,'Increases Attack Speed of caster by 35.0',100,1,1),
(171301,10151789,'When Equipped:',100,0,0),
(171302,10151789,'Increases Attack Speed of caster by 35.0',100,1,1),
(171303,110739,'Summons a limited pet to aid the caster',100,1,0),
(171304,10110739,'Summons a limited pet to aid the caster',100,1,0),
(171305,24315,'Adds Drachnid (Wizard) to your Dungeon Maker toolbox',100,0,0),
(171306,10024315,'Adds Drachnid (Wizard) to your Dungeon Maker toolbox',100,0,0),
(171307,118146,'Heals target for 3015 - 3685',100,1,0),
(171308,10118146,'Heals target for 3563 - 4355',100,1,0),
(171309,119269,'Inflicts 29 - 48 slashing damage on target',100,1,0),
(171310,119269,'Decreases Damage Per Second of target by 10.1',100,1,1),
(171311,119269,'Inflicts 39 slashing damage on target instantly and every 4 seconds',100,1,2),
(171312,10119269,'Inflicts 34 - 58 slashing damage on target',100,1,0),
(171313,10119269,'Decreases Damage Per Second of target by 10.1',100,1,1),
(171314,10119269,'Inflicts 47 slashing damage on target instantly and every 4 seconds',100,1,2),
(171315,81261,'When Equipped:',100,0,0),
(171316,81261,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171317,81261,'Inflicts 201 - 373 magic damage on target',100,2,2),
(171318,81261,'Cannot be modified except by direct means',100,2,3),
(171319,10081261,'When Equipped:',100,0,0),
(171320,10081261,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171321,10081261,'Inflicts 241 - 447 magic damage on target',100,2,2),
(171322,10081261,'Cannot be modified except by direct means',100,2,3),
(171323,105190,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(171324,105190,'Inflicts 73 - 90 poison damage on target encounter',100,2,1),
(171325,10105190,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(171326,10105190,'Inflicts 88 - 107 poison damage on target encounter',100,2,1),
(171327,103671,'Interrupts target',100,1,0),
(171328,103671,'Inflicts 196 - 327 melee damage on target',100,1,1),
(171329,103671,'Must be flanking or behind',100,1,2),
(171330,10103671,'Interrupts target',100,1,0),
(171331,10103671,'Inflicts 235 - 392 melee damage on target',100,1,1),
(171332,10103671,'Must be flanking or behind',100,1,2),
(171333,87664,'When Equipped:',100,0,0),
(171334,87664,'On a combat hit this spell may cast Shock on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171335,87664,'Inflicts 284 heat damage on target',100,2,2),
(171336,87664,'Cannot be modified except by direct means',100,2,3),
(171337,10087664,'When Equipped:',100,0,0),
(171338,10087664,'On a combat hit this spell may cast Shock on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171339,10087664,'Inflicts 341 heat damage on target',100,2,2),
(171340,10087664,'Cannot be modified except by direct means',100,2,3),
(171341,120991,'Inflicts 59 - 99 poison damage on target',100,1,0),
(171342,120991,'Inflicts 15 - 25 poison damage on target instantly and every 4 seconds',100,1,1),
(171343,10120991,'Inflicts 71 - 119 poison damage on target',100,1,0),
(171344,10120991,'Inflicts 18 - 30 poison damage on target instantly and every 4 seconds',100,1,1),
(171345,37505,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(171346,82097,'When Equipped:',100,0,0),
(171347,82097,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171348,82097,'Inflicts 122 - 226 magic damage on target',100,2,2),
(171349,82097,'Cannot be modified except by direct means',100,2,3),
(171350,10082097,'When Equipped:',100,0,0),
(171351,10082097,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171352,10082097,'Inflicts 146 - 272 magic damage on target',100,2,2),
(171353,10082097,'Cannot be modified except by direct means',100,2,3),
(171354,159080,'When Equipped:',100,0,0),
(171355,159080,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(171356,159080,'Increases STA of caster by 17.3',100,2,2),
(171357,159080,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(171358,159080,'Cannot be modified except by direct means',100,2,4),
(171359,10159080,'When Equipped:',100,0,0),
(171360,10159080,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(171361,10159080,'Increases STA of caster by 17.3',100,2,2),
(171362,10159080,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(171363,10159080,'Cannot be modified except by direct means',100,2,4),
(171364,179423,'When Equipped:',100,0,0),
(171365,179423,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(171366,179423,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(171367,179423,'Inflicts 562 mental damage on target',100,2,3),
(171368,179423,'Must be classified as an undead',100,3,4),
(171369,179423,'Inflicts 281 mental damage on target',100,2,5),
(171370,179423,'Must not be classified as an undead',100,3,6),
(171371,179423,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(171372,179423,'Must be classified as an undead',100,3,8),
(171373,179423,'Cannot be modified except by direct means',100,2,9),
(171374,10179423,'When Equipped:',100,0,0),
(171375,10179423,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(171376,10179423,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(171377,10179423,'Inflicts 674 mental damage on target',100,2,3),
(171378,10179423,'Must be classified as an undead',100,3,4),
(171379,10179423,'Inflicts 337 mental damage on target',100,2,5),
(171380,10179423,'Must not be classified as an undead',100,3,6),
(171381,10179423,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(171382,10179423,'Must be classified as an undead',100,3,8),
(171383,10179423,'Cannot be modified except by direct means',100,2,9),
(171384,111667,'Inflicts 373 - 456 cold damage on target encounter',100,1,0),
(171385,111667,'Slows target encounter by 45.2%',100,1,1),
(171386,111667,'5% chance to dispel when target takes damage',100,1,2),
(171387,111667,'5% chance to dispel when target receives hostile action',100,1,3),
(171388,10111667,'Inflicts 596 - 729 cold damage on target encounter',100,1,0),
(171389,10111667,'Slows target encounter by 45.2%',100,1,1),
(171390,10111667,'5% chance to dispel when target takes damage',100,1,2),
(171391,10111667,'5% chance to dispel when target receives hostile action',100,1,3),
(171392,116373,'Teleports target to a random location within 5 meters.',100,1,0),
(171393,116373,'If Target is not Epic',100,2,1),
(171394,116373,'Wipes almost all of target''s memory of aggression towards their current target.',100,1,2),
(171395,10116373,'Teleports target to a random location within 31 - 38 meters.',100,1,0),
(171396,10116373,'If Target is not Epic',100,2,1),
(171397,108656,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(171398,108656,'Heals target for 900',100,2,1),
(171399,108656,'Heals target for 225 every 2 seconds',100,2,2),
(171400,108656,'Increases AGI of target by 79.2',100,2,3),
(171401,108656,'Grants a total of 1 trigger of the spell.',100,2,4),
(171402,10108656,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(171403,10108656,'Heals target for 585',100,2,1),
(171404,10108656,'Heals target for 146 every 2 seconds',100,2,2),
(171405,10108656,'Increases AGI of target by 79.2',100,2,3),
(171406,10108656,'Grants a total of 1 trigger of the spell.',100,2,4),
(171407,103052,'Inflicts 41 magic damage on target instantly and every 4 seconds',100,1,0),
(171408,103052,'Increases power of caster by 20 instantly and every 4 seconds',100,1,1),
(171409,10103052,'Inflicts 49 magic damage on target instantly and every 4 seconds',100,1,0),
(171410,10103052,'Increases power of caster by 20 instantly and every 4 seconds',100,1,1),
(171411,124036,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(171412,124036,'Heals target for 610 - 746',100,2,1),
(171413,124036,'Grants a total of 5 triggers of the spell.',100,2,2),
(171414,10124036,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(171415,10124036,'Heals target for 397 - 485',100,2,1),
(171416,10124036,'Grants a total of 5 triggers of the spell.',100,2,2),
(171417,148802,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(171418,148802,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(171419,148802,'Decreases Threat to target encounter by 388 - 646 ',100,2,2),
(171420,148802,'Cannot be modified except by direct means',100,2,3),
(171421,148802,'The reuse time of Distracting Aura is 30 minutes',100,1,4),
(171422,10148802,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(171423,10148802,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(171424,10148802,'Applies Distract.',100,2,2),
(171425,10148802,'Forces target to clear their selected target.',100,3,3),
(171426,10148802,'Cannot be modified except by direct means',100,2,4),
(171427,10148802,'The reuse time of Distracting Aura is 30 minutes',100,1,5),
(171428,52797,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(171429,52797,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(171430,52797,'Inflicts 44 heat damage on target',100,2,2),
(171431,52797,'Cannot be modified except by direct means',100,2,3),
(171432,10052797,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(171433,10052797,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(171434,10052797,'Inflicts 53 heat damage on target',100,2,2),
(171435,10052797,'Cannot be modified except by direct means',100,2,3),
(171436,139514,'When Equipped:',100,0,0),
(171437,139514,'Reduces maximum falling speed of caster',100,1,1),
(171438,139514,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(171439,139514,'Enlarges caster by 34.1%',100,1,3),
(171440,139514,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(171441,10139514,'When Equipped:',100,0,0),
(171442,10139514,'Reduces maximum falling speed of caster',100,1,1),
(171443,10139514,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(171444,10139514,'Enlarges caster by 34.1%',100,1,3),
(171445,10139514,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(171446,159543,'Applies Lambent Imbued when Equipped.',100,0,0),
(171447,159543,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(171448,159543,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(171449,159543,'Cannot be modified except by direct means',100,2,3),
(171450,10159543,'Applies Lambent Imbued when Equipped.',100,0,0),
(171451,10159543,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(171452,10159543,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(171453,10159543,'Cannot be modified except by direct means',100,2,3),
(171454,104429,'Interrupts target encounter',100,1,0),
(171455,104429,'Applies Stumble on termination.',100,1,1),
(171456,104429,'Interrupts target',100,2,2),
(171457,104429,'Inflicts 8 - 10 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(171458,10104429,'Interrupts target encounter',100,1,0),
(171459,10104429,'Applies Stumble on termination.',100,1,1),
(171460,10104429,'Interrupts target',100,2,2),
(171461,10104429,'Inflicts 10 - 12 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(171462,37162,'Increases WIS of target by 5.4',100,0,0),
(171463,37162,'Increases outgoing heal and ward amount by 2%',100,0,1),
(171464,37162,'Increases STA of target by 5.4',100,0,2),
(171465,37162,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,3),
(171466,37057,'Increases Max Power of target by 3.3',100,0,0),
(171467,37057,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(171468,100417,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(171469,100417,'Increases Threat to target by 180 ',100,2,1),
(171470,100417,'Inflicts 49 - 81 slashing damage on target',100,2,2),
(171471,100417,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(171472,100417,'Increases Threat to target by 180 ',100,2,4),
(171473,100417,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 696',100,1,5),
(171474,10100417,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(171475,10100417,'Inflicts 58 - 97 slashing damage on target',100,2,1),
(171476,10100417,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(171477,10100417,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 696',100,1,3),
(171478,116687,'Heals group members (AE) for 8.5 - 10.4% of max health',100,1,0),
(171479,116687,'This effect cannot be critically applied.',100,2,1),
(171480,116687,'Increases Max Health of group members (AE) by 442.0',100,1,2),
(171481,116687,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171482,10116687,'Heals group members (AE) for 2.7 - 3.3% of max health',100,1,0),
(171483,10116687,'This effect cannot be critically applied.',100,2,1),
(171484,10116687,'Increases Max Health of group members (AE) by 442.0',100,1,2),
(171485,10116687,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171486,109116,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(171487,109116,'Increases Attack Speed of caster by 56.3',100,1,1),
(171488,109116,'Increases Damage Per Second of caster by 64.8',100,1,2),
(171489,109116,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(171490,109116,'Increases Ranged of caster by 72.0',100,1,4),
(171491,109116,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(171492,109116,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(171493,109116,'Increases Crushing of group members (AE) by 72.0',100,2,7),
(171494,109116,'Increases Piercing of group members (AE) by 72.0',100,2,8),
(171495,109116,'If profession other than Ranger',100,3,9),
(171496,109116,'Increases Slashing of group members (AE) by 72.0',100,2,10),
(171497,109116,'If profession other than Ranger',100,3,11),
(171498,10109116,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(171499,10109116,'Increases Attack Speed of caster by 56.3',100,1,1),
(171500,10109116,'Increases Damage Per Second of caster by 64.8',100,1,2),
(171501,10109116,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(171502,10109116,'Increases Ranged of caster by 72.0',100,1,4),
(171503,10109116,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(171504,10109116,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(171505,10109116,'Increases Crushing of group members (AE) by 72.0',100,2,7),
(171506,10109116,'Increases Piercing of group members (AE) by 72.0',100,2,8),
(171507,10109116,'If profession other than Ranger',100,3,9),
(171508,10109116,'Increases Slashing of group members (AE) by 72.0',100,2,10),
(171509,10109116,'If profession other than Ranger',100,3,11),
(171510,100715,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(171511,100715,'Increases Mitigation of group members (AE) vs noxious damage by 413',100,1,1),
(171512,10100715,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(171513,10100715,'Increases Mitigation of group members (AE) vs noxious damage by 413',100,1,1),
(171514,116609,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(171515,116609,'Increases Mitigation of group members (AE) vs arcane damage by 105',100,1,1),
(171516,10116609,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(171517,10116609,'Increases Mitigation of group members (AE) vs arcane damage by 105',100,1,1),
(171518,138351,'Applies Heroic Resistance X when Equipped.',100,0,0),
(171519,138351,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(171520,138351,'Cannot be modified except by direct means',100,1,2),
(171521,138351,'When Equipped:',100,0,3),
(171522,138351,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(171523,138351,'Heals group members (AE) for 583',100,2,5),
(171524,138351,'Cannot be modified except by direct means',100,2,6),
(171525,10138351,'Applies Heroic Resistance X when Equipped.',100,0,0),
(171526,10138351,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(171527,10138351,'Cannot be modified except by direct means',100,1,2),
(171528,10138351,'When Equipped:',100,0,3),
(171529,10138351,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(171530,10138351,'Heals group members (AE) for 682',100,2,5),
(171531,10138351,'Cannot be modified except by direct means',100,2,6),
(171532,47237,'Applies Murky Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(171533,47237,'Increases INT and WIS of caster by 47.0',100,1,1),
(171534,47237,'Only affects targets level 50 and above',100,1,2),
(171535,10047237,'Applies Murky Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(171536,10047237,'Increases INT and WIS of caster by 47.0',100,1,1),
(171537,10047237,'Only affects targets level 50 and above',100,1,2),
(171538,116423,'Inflicts 50 - 84 mental damage on target',100,1,0),
(171539,10116423,'Inflicts 60 - 100 mental damage on target',100,1,0),
(171540,124221,'Decreases Attack Speed of caster by 14.1',100,1,0),
(171541,124221,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(171542,124221,'Slows targets in Area of Effect by 42.0%',100,2,2),
(171543,124221,'5% chance to dispel when target receives hostile action',100,2,3),
(171544,124221,'5% chance to dispel when target takes damage',100,2,4),
(171545,124221,'Increases Mitigation of caster vs physical damage by 451',100,1,5),
(171546,10124221,'Decreases Attack Speed of caster by 14.1',100,1,0),
(171547,10124221,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(171548,10124221,'Slows targets in Area of Effect by 31.5%',100,2,2),
(171549,10124221,'5% chance to dispel when target receives hostile action',100,2,3),
(171550,10124221,'5% chance to dispel when target takes damage',100,2,4),
(171551,10124221,'Increases Mitigation of caster vs physical damage by 451',100,1,5),
(171552,106635,'Inflicts 622 - 760 disease damage on target',100,1,0),
(171553,106635,'Heals caster for 8.6 - 10.6% of max health',100,1,1),
(171554,106635,'This effect cannot be critically applied.',100,2,2),
(171555,106635,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171556,10106635,'Inflicts 746 - 912 disease damage on target',100,1,0),
(171557,10106635,'Heals caster for 2.9 - 3.5% of max health',100,1,1),
(171558,10106635,'This effect cannot be critically applied.',100,2,2),
(171559,10106635,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171560,46917,'Applies Mercurial Essence when Activated.',100,0,0),
(171561,46917,'Summons a pet partial mercurial essence',100,1,1),
(171562,46917,'Must be in zone The Hole',100,1,2),
(171563,10046917,'Applies Mercurial Essence when Activated.',100,0,0),
(171564,10046917,'Summons a pet partial mercurial essence',100,1,1),
(171565,10046917,'Must be in zone The Hole',100,1,2),
(171566,168939,'When Equipped:',100,0,0),
(171567,168939,'On a hostile spell hit this spell may cast Mutagenic Reaction on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(171568,168939,'Decreases Threat to target by 350 ',100,2,2),
(171569,168939,'Increases power of caster by 133 every 5 seconds',100,2,3),
(171570,168939,'Cannot be modified except by direct means',100,2,4),
(171571,10168939,'When Equipped:',100,0,0),
(171572,10168939,'On a hostile spell hit this spell may cast Mutagenic Reaction on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(171573,10168939,'Increases power of caster by 133 every 5 seconds',100,2,2),
(171574,10168939,'Cannot be modified except by direct means',100,2,3),
(171575,88934,'When Equipped:',100,0,0),
(171576,88934,'On a healing spell cast this spell may cast Twilight''s Favor on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(171577,88934,'Heals target for 293 - 358',100,2,2),
(171578,88934,'Cannot be modified except by direct means',100,2,3),
(171579,10088934,'When Equipped:',100,0,0),
(171580,10088934,'On a healing spell cast this spell may cast Twilight''s Favor on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(171581,10088934,'Heals target for 190 - 233',100,2,2),
(171582,10088934,'Cannot be modified except by direct means',100,2,3),
(171583,87257,'When Equipped:',100,0,0),
(171584,87257,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171585,87257,'Inflicts 168 - 252 magic damage on target',100,2,2),
(171586,87257,'Cannot be modified except by direct means',100,2,3),
(171587,10087257,'When Equipped:',100,0,0),
(171588,10087257,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171589,10087257,'Inflicts 202 - 303 magic damage on target',100,2,2),
(171590,10087257,'Cannot be modified except by direct means',100,2,3),
(171591,102973,'Increases STR and AGI of group members (AE) by 27.1',100,1,0),
(171592,10102973,'Increases STR and AGI of group members (AE) by 27.1',100,1,0),
(171593,80522,'When Equipped:',100,0,0),
(171594,80522,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171595,80522,'Inflicts 315 - 585 magic damage on target',100,2,2),
(171596,80522,'Decreases Threat to target by 1,219 ',100,2,3),
(171597,80522,'Must be flanking or behind',100,3,4),
(171598,80522,'Increases Threat to target by 1,224 ',100,2,5),
(171599,80522,'Must be in front of',100,3,6),
(171600,80522,'Cannot be modified except by direct means',100,2,7),
(171601,10080522,'When Equipped:',100,0,0),
(171602,10080522,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171603,10080522,'Inflicts 378 - 702 magic damage on target',100,2,2),
(171604,10080522,'Cannot be modified except by direct means',100,2,3),
(171605,26568,'When Equipped:',100,0,0),
(171606,26568,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(171607,26568,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(171608,10026568,'When Equipped:',100,0,0),
(171609,10026568,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(171610,10026568,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(171611,35605,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(171612,35605,'Increases Max Power of target by 300.0',100,0,1),
(171613,100357,'Increases Max Health of target by 602.7',100,1,0),
(171614,100357,'Increases Crushing, Piercing, Slashing and Ranged of target by 8.7',100,1,1),
(171615,10100357,'Increases Max Health of target by 602.7',100,1,0),
(171616,10100357,'Increases Crushing, Piercing, Slashing and Ranged of target by 8.7',100,1,1),
(171617,111496,'Increases AGI of caster by 86.7',100,1,0),
(171618,111496,'Increases Attack Speed of caster by 44.9',100,1,1),
(171619,111496,'Increases in-combat movement speed of caster by 8.0%',100,1,2),
(171620,111496,'Adds 25.0% to base avoidance.',100,1,3),
(171621,111496,'Increases Mitigation of caster vs physical damage by 773',100,1,4),
(171622,111496,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,5),
(171623,10111496,'Increases AGI of caster by 86.7',100,1,0),
(171624,10111496,'Increases Attack Speed of caster by 44.9',100,1,1),
(171625,10111496,'Increases speed of caster by 8.0%',100,1,2),
(171626,10111496,'Adds 25.0% to base avoidance.',100,1,3),
(171627,10111496,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,4),
(171628,189083,'When Equipped:',100,0,0),
(171629,189083,'Increases Attack Speed of caster by 35.0',100,1,1),
(171630,10189083,'When Equipped:',100,0,0),
(171631,10189083,'Increases Attack Speed of caster by 35.0',100,1,1),
(171632,120179,'Applies Life Draw on termination.',100,1,0),
(171633,120179,'Inflicts 286 - 476 disease damage on target',100,2,1),
(171634,120179,'Heals caster for 9.9 - 12.1% of max health',100,2,2),
(171635,120179,'This effect cannot be critically applied.',100,3,3),
(171636,120179,'The healing of this spell cannot be modified except by direct means',100,2,4),
(171637,120179,'Inflicts 83 - 138 disease damage on target',100,1,5),
(171638,10120179,'Applies Life Draw on termination.',100,1,0),
(171639,10120179,'Inflicts 343 - 572 disease damage on target',100,2,1),
(171640,10120179,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(171641,10120179,'This effect cannot be critically applied.',100,3,3),
(171642,10120179,'The healing of this spell cannot be modified except by direct means',100,2,4),
(171643,10120179,'Inflicts 100 - 166 disease damage on target',100,1,5),
(171644,48610,'Applies Totem of the Void when Activated.  Lasts for 10 minutes.',100,0,0),
(171645,48610,'Grants invisibility to group members (AE)',100,1,1),
(171646,48610,'Suspends group members (AE)''s movement speed enhancements',100,1,2),
(171647,48610,'Dispelled when target takes damage',100,1,3),
(171648,48610,'This effect cancels during combat',100,1,4),
(171649,48610,'Only affects targets level 30 and above',100,1,5),
(171650,48610,'Requires 219 Power to cast.',100,1,6),
(171651,10048610,'Applies Totem of the Void when Activated.  Lasts for 10 minutes.',100,0,0),
(171652,10048610,'Grants invisibility to group members (AE)',100,1,1),
(171653,10048610,'Suspends group members (AE)''s movement speed enhancements',100,1,2),
(171654,10048610,'Dispelled when target takes damage',100,1,3),
(171655,10048610,'This effect cancels during combat',100,1,4),
(171656,10048610,'Only affects targets level 30 and above',100,1,5),
(171657,10048610,'Requires 219 Power to cast.',100,1,6),
(171658,105199,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(171659,105199,'Inflicts 113 - 138 poison damage on target encounter',100,2,1),
(171660,10105199,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(171661,10105199,'Inflicts 136 - 166 poison damage on target encounter',100,2,1),
(171662,48231,'Applies Collect spores when Activated.',100,0,0),
(171663,48231,'Must be in The Moors of Ykesha.',100,1,1),
(171664,10048231,'Applies Collect spores when Activated.',100,0,0),
(171665,10048231,'Must be in The Moors of Ykesha.',100,1,1),
(171666,123279,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(171667,123279,'Inflicts 53 - 88 disease damage on target',100,2,1),
(171668,123279,'Heals caster for 0.8 - 1.3% of max health',100,2,2),
(171669,123279,'This effect cannot be critically applied.',100,3,3),
(171670,123279,'The healing of this spell cannot be modified except by direct means',100,2,4),
(171671,10123279,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(171672,10123279,'Inflicts 64 - 106 disease damage on target',100,2,1),
(171673,10123279,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(171674,10123279,'This effect cannot be critically applied.',100,3,3),
(171675,10123279,'The healing of this spell cannot be modified except by direct means',100,2,4),
(171676,100995,'Increases INT of target by 72.4',100,1,0),
(171677,100995,'Increases Attack Speed of target by 32.3',100,1,1),
(171678,100995,'Decreases Defense and Parry of target by 23.9',100,1,2),
(171679,100995,'Increases Slashing, Piercing and Crushing of target by 15.9',100,1,3),
(171680,10100995,'Increases INT of target by 72.4',100,1,0),
(171681,10100995,'Increases Attack Speed of target by 32.3',100,1,1),
(171682,10100995,'Decreases Defense and Parry of target by 23.9',100,1,2),
(171683,10100995,'Increases Slashing, Piercing and Crushing of target by 15.9',100,1,3),
(171684,47316,'Applies Murky Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(171685,47316,'Only affects targets level 50 and above',100,1,1),
(171686,10047316,'Applies Murky Stonehide Concotion when Activated.  Lasts for 30 minutes.',100,0,0),
(171687,10047316,'Only affects targets level 50 and above',100,1,1),
(171688,116672,'Heals group members (AE) for 7.7 - 9.4% of max health',100,1,0),
(171689,116672,'This effect cannot be critically applied.',100,2,1),
(171690,116672,'Increases Max Health of group members (AE) by 173.0',100,1,2),
(171691,116672,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171692,10116672,'Heals group members (AE) for 2.4 - 3.0% of max health',100,1,0),
(171693,10116672,'This effect cannot be critically applied.',100,2,1),
(171694,10116672,'Increases Max Health of group members (AE) by 173.0',100,1,2),
(171695,10116672,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171696,110451,'Dazes targets in Area of Effect',100,1,0),
(171697,110451,'If Target is not Epic',100,2,1),
(171698,110451,'Decreases Threat to targets in Area of Effect by 2,493 ',100,1,2),
(171699,110451,'Dispelled when target receives hostile action',100,1,3),
(171700,110451,'Dispelled when target takes damage',100,1,4),
(171701,10110451,'Dazes targets in Area of Effect',100,1,0),
(171702,10110451,'If Target is not Epic',100,2,1),
(171703,10110451,'Applies Distract.',100,1,2),
(171704,10110451,'Forces target to clear their selected target.',100,2,3),
(171705,10110451,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(171706,10110451,'Dispelled when target receives hostile action',100,1,5),
(171707,10110451,'Dispelled when target takes damage',100,1,6),
(171708,111371,'Inflicts 240 - 401 disease damage on target',100,1,0),
(171709,111371,'Heals caster for 160 - 267',100,1,1),
(171710,10111371,'Inflicts 288 - 481 disease damage on target',100,1,0),
(171711,10111371,'Heals caster for 104 - 174',100,1,1),
(171712,82721,'When Equipped:',100,0,0),
(171713,82721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171714,82721,'Inflicts 94 - 175 magic damage on target',100,2,2),
(171715,82721,'Cannot be modified except by direct means',100,2,3),
(171716,10082721,'When Equipped:',100,0,0),
(171717,10082721,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171718,10082721,'Inflicts 113 - 210 magic damage on target',100,2,2),
(171719,10082721,'Cannot be modified except by direct means',100,2,3),
(171720,82102,'When Equipped:',100,0,0),
(171721,82102,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171722,82102,'Inflicts 135 - 252 magic damage on target',100,2,2),
(171723,82102,'Decreases Threat to target by 641 ',100,2,3),
(171724,82102,'Must be flanking or behind',100,3,4),
(171725,82102,'Increases Threat to target by 646 ',100,2,5),
(171726,82102,'Must be in front of',100,3,6),
(171727,82102,'Cannot be modified except by direct means',100,2,7),
(171728,10082102,'When Equipped:',100,0,0),
(171729,10082102,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(171730,10082102,'Inflicts 163 - 302 magic damage on target',100,2,2),
(171731,10082102,'Cannot be modified except by direct means',100,2,3),
(171732,45890,'Applies Decaying Mist Prototype when Activated.',100,0,0),
(171733,45890,'Applies decaying mist to target.',100,1,1),
(171734,10045890,'Applies Decaying Mist Prototype when Activated.',100,0,0),
(171735,10045890,'Applies decaying mist to target.',100,1,1),
(171736,119770,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(171737,119770,'Inflicts 42 - 52 poison damage on target encounter',100,2,1),
(171738,10119770,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(171739,10119770,'Inflicts 51 - 62 poison damage on target encounter',100,2,1),
(171740,123703,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(171741,123703,'Inflicts 107 divine damage on target',100,2,1),
(171742,123703,'Grants a total of 5 triggers of the spell.',100,2,2),
(171743,10123703,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(171744,10123703,'Inflicts 128 divine damage on target',100,2,1),
(171745,10123703,'Grants a total of 5 triggers of the spell.',100,2,2),
(171746,102886,'Heals caster for 240',100,1,0),
(171747,102886,'Inflicts 358 disease damage on targets in Area of Effect',100,1,1),
(171748,10102886,'Heals caster for 156',100,1,0),
(171749,10102886,'Inflicts 430 disease damage on targets in Area of Effect',100,1,1),
(171750,111399,'Increases Attack Speed of target by 26.3',100,1,0),
(171751,111399,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(171752,111399,'Inflicts 110 disease damage on target',100,2,2),
(171753,111399,'Heals caster for 37',100,2,3),
(171754,111399,'Decreases Defense and Parry of target by 17.5',100,1,4),
(171755,111399,'Increases Disruption, Subjugation and Focus of target by 16.7',100,1,5),
(171756,10111399,'Increases Attack Speed of target by 26.3',100,1,0),
(171757,10111399,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(171758,10111399,'Inflicts 132 disease damage on target',100,2,2),
(171759,10111399,'Heals caster for 24',100,2,3),
(171760,10111399,'Decreases Defense and Parry of target by 17.5',100,1,4),
(171761,10111399,'Increases Disruption, Subjugation and Focus of target by 16.7',100,1,5),
(171762,106170,'Wards target against 28 points of all damage',100,1,0),
(171763,106170,'Decreases INT of target by 54.0',100,1,1),
(171764,106170,'Decreases Attack Speed of target by 25.0',100,1,2),
(171765,106170,'Increases Max Health of target by 9.5%',100,1,3),
(171766,106170,'Increases Hate Gain of target by 17.1%',100,1,4),
(171767,106170,'Increases Aggression of target by 4.0',100,1,5),
(171768,106170,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(171769,106170,'Increases Threat to target encounter by 35 - 42 ',100,2,7),
(171770,106170,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',100,1,8),
(171771,10106170,'Wards target against 28 points of all damage',100,1,0),
(171772,10106170,'Decreases INT of target by 54.0',100,1,1),
(171773,10106170,'Decreases Attack Speed of target by 25.0',100,1,2),
(171774,10106170,'Increases Max Health of target by 9.5%',100,1,3),
(171775,10106170,'Increases Aggression of target by 4.0',100,1,4),
(171776,10106170,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',100,1,5),
(171777,35269,'Increases Max Power of target by 3.3',100,0,0),
(171778,35269,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(171779,82873,'When Equipped:',100,0,0),
(171780,82873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171781,82873,'Inflicts 224 - 416 magic damage on target',100,2,2),
(171782,82873,'Cannot be modified except by direct means',100,2,3),
(171783,10082873,'When Equipped:',100,0,0),
(171784,10082873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171785,10082873,'Inflicts 269 - 499 magic damage on target',100,2,2),
(171786,10082873,'Cannot be modified except by direct means',100,2,3),
(171787,47853,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(171788,47853,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(171789,47853,'Requires 15 Health to cast.',100,1,2),
(171790,10047853,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(171791,10047853,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(171792,10047853,'Requires 15 Health to cast.',100,1,2),
(171793,122362,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(171794,122362,'Inflicts 21 - 26 piercing damage on target',100,2,1),
(171795,10122362,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(171796,10122362,'Inflicts 26 - 31 piercing damage on target',100,2,1),
(171797,130067,'When Equipped:',100,0,0),
(171798,130067,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(171799,10130067,'When Equipped:',100,0,0),
(171800,10130067,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(171801,116413,'Heals target for 480 - 586 instantly and every 2 seconds',100,1,0),
(171802,10116413,'Heals target for 312 - 381 instantly and every 2 seconds',100,1,0),
(171803,188256,'When Equipped:',100,0,0),
(171804,188256,'1% of all damage received by the caster is prevented.',100,1,1),
(171805,188256,'Must not be engaged in pvp combat',100,1,2),
(171806,10188256,'When Equipped:',100,0,0),
(171807,10188256,'1% of all damage received by the caster is prevented.',100,1,1),
(171808,10188256,'Must not be engaged in pvp combat',100,1,2),
(171809,140360,'When Equipped:',100,0,0),
(171810,140360,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(171811,140360,'Inflicts 947 magic damage on target',100,2,2),
(171812,140360,'Inflicts 95 magic damage on target every 4 seconds',100,2,3),
(171813,140360,'Must not be engaged in pvp combat',100,2,4),
(171814,140360,'Cannot be modified except by direct means',100,2,5),
(171815,10140360,'When Equipped:',100,0,0),
(171816,10140360,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(171817,10140360,'Inflicts 1136 magic damage on target',100,2,2),
(171818,10140360,'Inflicts 114 magic damage on target every 4 seconds',100,2,3),
(171819,10140360,'Must not be engaged in pvp combat',100,2,4),
(171820,10140360,'Cannot be modified except by direct means',100,2,5),
(171821,105693,'Decreases Attack Speed of target encounter by 17.3',100,1,0),
(171822,105693,'Slows target encounter by 23.3%',100,1,1),
(171823,10105693,'Decreases Attack Speed of target encounter by 17.3',100,1,0),
(171824,10105693,'Slows target encounter by 23.3%',100,1,1),
(171825,46900,'Applies Illusion: Human when Activated.  Lasts for 6 hours.',100,0,0),
(171826,46900,'Shapechanges caster into a human',100,1,1),
(171827,10046900,'Applies Illusion: Human when Activated.  Lasts for 6 hours.',100,0,0),
(171828,10046900,'Shapechanges caster into a human',100,1,1),
(171829,109723,'Inflicts 334 - 557 cold damage on target',100,1,0),
(171830,109723,'If weapon equipped in Ranged',100,1,1),
(171831,10109723,'Inflicts 284 - 474 cold damage on target',100,1,0),
(171832,10109723,'If weapon equipped in Ranged',100,1,1),
(171833,109474,'Inflicts 106 - 177 cold damage on target',100,1,0),
(171834,10109474,'Inflicts 127 - 212 cold damage on target',100,1,0),
(171835,106691,'Heals caster for 49.1 - 60.1% of max health',100,1,0),
(171836,106691,'This effect cannot be critically applied.',100,2,1),
(171837,106691,'Increases Max Health of caster by 933.8',100,1,2),
(171838,106691,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171839,10106691,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(171840,10106691,'This effect cannot be critically applied.',100,2,1),
(171841,10106691,'Increases Max Health of caster by 933.8',100,1,2),
(171842,10106691,'The healing of this spell cannot be modified except by direct means',100,1,3),
(171843,122065,'Increases Threat to target by 1,048 - 1,280 ',100,1,0),
(171844,122065,'Inflicts 101 - 169 melee damage on target',100,1,1),
(171845,10122065,'Forces target to change their selected target to caster.',100,1,0),
(171846,10122065,'Inflicts 122 - 203 melee damage on target',100,1,1),
(171847,35198,'Increases AGI of target by 1.5',100,0,0),
(171848,35198,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(171849,47755,'Applies Research Time Reduction when Activated.',100,0,0),
(171850,47755,'Reduces the time remaining on the spell being actively researched by one hour.',100,1,1),
(171851,47755,'Special: See Description',100,1,2),
(171852,47755,'Cannot be modified except by direct means',100,1,3),
(171853,10047755,'Applies Research Time Reduction when Activated.',100,0,0),
(171854,10047755,'Reduces the time remaining on the spell being actively researched by one hour.',100,1,1),
(171855,10047755,'Special: See Description',100,1,2),
(171856,10047755,'Cannot be modified except by direct means',100,1,3),
(171857,45937,'Applies Call Dervish Destrier when Activated.',100,0,0),
(171858,45937,'Increases Focus, Slashing and Piercing of caster by 4.7',100,1,1),
(171859,45937,'Summons a mount to ride',100,1,2),
(171860,45937,'Increases your ground speed by 130%',100,2,3),
(171861,45937,'Increases Crushing of caster by 4.7',100,1,4),
(171862,10045937,'Applies Call Dervish Destrier when Activated.',100,0,0),
(171863,10045937,'Increases Focus, Slashing and Piercing of caster by 4.7',100,1,1),
(171864,10045937,'Summons a mount to ride',100,1,2),
(171865,10045937,'Increases your ground speed by 130%',100,2,3),
(171866,10045937,'Increases Crushing of caster by 4.7',100,1,4),
(171867,81851,'When Equipped:',100,0,0),
(171868,81851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171869,81851,'Inflicts 105 - 195 magic damage on target',100,2,2),
(171870,81851,'Cannot be modified except by direct means',100,2,3),
(171871,10081851,'When Equipped:',100,0,0),
(171872,10081851,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171873,10081851,'Inflicts 126 - 234 magic damage on target',100,2,2),
(171874,10081851,'Cannot be modified except by direct means',100,2,3),
(171875,114149,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(171876,114149,'Increases Mitigation of group members (AE) vs elemental damage by 1521',100,1,1),
(171877,10114149,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(171878,10114149,'Increases Mitigation of group members (AE) vs elemental damage by 1521',100,1,1),
(171879,120382,'Decreases Defense of caster by 4.8',100,1,0),
(171880,120382,'Increases Crushing and Ranged of caster by 8.6',100,1,1),
(171881,120382,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(171882,120382,'Inflicts 43 - 72 heat damage on target',100,2,3),
(171883,120382,'Increases Slashing and Piercing of caster by 8.6',100,1,4),
(171884,10120382,'Decreases Defense of caster by 4.8',100,1,0),
(171885,10120382,'Increases Crushing and Ranged of caster by 8.6',100,1,1),
(171886,10120382,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(171887,10120382,'Inflicts 52 - 86 heat damage on target',100,2,3),
(171888,10120382,'Increases Slashing and Piercing of caster by 8.6',100,1,4),
(171889,106780,'Mesmerizes target',100,1,0),
(171890,106780,'Prevents AOE (except when direct) ',100,1,1),
(171891,106780,'Dispelled when target takes damage',100,1,2),
(171892,106780,'Does not affect Epic targets',100,1,3),
(171893,106780,'Resistibility increases against targets higher than level 107.',100,1,4),
(171894,10106780,'Mesmerizes target',100,1,0),
(171895,10106780,'Prevents AOE (except when direct) ',100,1,1),
(171896,10106780,'Dispelled when target takes damage',100,1,2),
(171897,10106780,'Does not affect Epic targets',100,1,3),
(171898,10106780,'Resistibility increases against targets higher than level 107.',100,1,4),
(171899,122146,'Summons a pet earthen avatar',100,1,0),
(171900,10122146,'Summons a pet earthen avatar',100,1,0),
(171901,81407,'When Equipped:',100,0,0),
(171902,81407,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171903,81407,'Inflicts 77 - 144 magic damage on target',100,2,2),
(171904,81407,'Cannot be modified except by direct means',100,2,3),
(171905,10081407,'When Equipped:',100,0,0),
(171906,10081407,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171907,10081407,'Inflicts 93 - 173 magic damage on target',100,2,2),
(171908,10081407,'Cannot be modified except by direct means',100,2,3),
(171909,147153,'Applies Atheneal Lightning when Activated.  Lasts for 30.0 seconds.',100,0,0),
(171910,147153,'All offensive spells deal magic damage.',100,1,1),
(171911,147153,'Must be in Ward of Elements.',100,1,2),
(171912,147153,'The casting time of Atheneal Lightning is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(171913,10147153,'Applies Atheneal Lightning when Activated.  Lasts for 30.0 seconds.',100,0,0),
(171914,10147153,'All offensive spells deal magic damage.',100,1,1),
(171915,10147153,'Must be in Ward of Elements.',100,1,2),
(171916,10147153,'The casting time of Atheneal Lightning is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(171917,115786,'Decreases power of target by 14 - 18 instantly and every 1.3 seconds',100,1,0),
(171918,115786,'Stifles target',100,1,1),
(171919,115786,'If Target is not Epic',100,2,2),
(171920,115786,'Resistibility increases against targets higher than level 45.',100,1,3),
(171921,10115786,'Decreases power of target by 14 - 18 instantly and every 1.3 seconds',100,1,0),
(171922,10115786,'Stifles target',100,1,1),
(171923,10115786,'If Target is not Epic',100,2,2),
(171924,10115786,'Resistibility increases against targets higher than level 45.',100,1,3),
(171925,132199,'When Equipped:',100,0,0),
(171926,132199,'Increases Attack Speed of caster by 35.0',100,1,1),
(171927,10132199,'When Equipped:',100,0,0),
(171928,10132199,'Increases Attack Speed of caster by 35.0',100,1,1),
(171929,134535,'When Equipped:',100,0,0),
(171930,134535,'When any physical damage is received this spell has a 1% chance to cast Wicked Sting on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(171931,134535,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,2,2),
(171932,134535,'Inflicts 15 piercing damage on target',100,3,3),
(171933,134535,'Cannot be modified except by direct means',100,2,4),
(171934,10134535,'When Equipped:',100,0,0),
(171935,10134535,'When any physical damage is received this spell has a 1% chance to cast Wicked Sting on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(171936,10134535,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,2,2),
(171937,10134535,'Inflicts 18 piercing damage on target',100,3,3),
(171938,10134535,'Cannot be modified except by direct means',100,2,4),
(171939,48974,'Applies Place the Trap when Activated.',100,0,0),
(171940,48974,'Place down the trap for Guardian''s Gulch.',100,1,1),
(171941,10048974,'Applies Place the Trap when Activated.',100,0,0),
(171942,10048974,'Place down the trap for Guardian''s Gulch.',100,1,1),
(171943,71986,'When Equipped:',100,0,0),
(171944,71986,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(171945,71986,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(171946,71986,'Cannot be modified except by direct means',100,2,3),
(171947,10071986,'When Equipped:',100,0,0),
(171948,10071986,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(171949,10071986,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(171950,10071986,'Cannot be modified except by direct means',100,2,3),
(171951,106733,'Heals target for 706 - 862',100,1,0),
(171952,10106733,'Heals target for 829 - 1014',100,1,0),
(171953,160745,'When Equipped:',100,0,0),
(171954,160745,'Increases damage done by combat arts by up to 45.',100,1,1),
(171955,10160745,'When Equipped:',100,0,0),
(171956,10160745,'Increases damage done by combat arts by up to 45.',100,1,1),
(171957,81391,'When Equipped:',100,0,0),
(171958,81391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171959,81391,'Inflicts 70 - 129 magic damage on target',100,2,2),
(171960,81391,'Cannot be modified except by direct means',100,2,3),
(171961,10081391,'When Equipped:',100,0,0),
(171962,10081391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(171963,10081391,'Inflicts 84 - 155 magic damage on target',100,2,2),
(171964,10081391,'Cannot be modified except by direct means',100,2,3),
(171965,115315,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(171966,115315,'Slows target by 29.4%',100,2,1),
(171967,115315,'Makes target afraid',100,2,2),
(171968,115315,'30% chance to dispel when target takes damage',100,2,3),
(171969,115315,'Does not affect Epic targets',100,2,4),
(171970,115315,'Resistibility increases against targets higher than level 34.',100,2,5),
(171971,115315,'Roots target',100,1,6),
(171972,115315,'15% chance to dispel when target takes damage',100,1,7),
(171973,115315,'Does not affect Epic targets',100,1,8),
(171974,115315,'Resistibility increases against targets higher than level 34.',100,1,9),
(171975,10115315,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(171976,10115315,'Makes target afraid',100,2,1),
(171977,10115315,'Slows target by 29.4%',100,2,2),
(171978,10115315,'30% chance to dispel when target takes damage',100,2,3),
(171979,10115315,'Does not affect Epic targets',100,2,4),
(171980,10115315,'Resistibility increases against targets higher than level 34.',100,2,5),
(171981,10115315,'Roots target',100,1,6),
(171982,10115315,'15% chance to dispel when target takes damage',100,1,7),
(171983,10115315,'Does not affect Epic targets',100,1,8),
(171984,10115315,'Resistibility increases against targets higher than level 34.',100,1,9),
(171985,102897,'Heals caster for 366',100,1,0),
(171986,102897,'Inflicts 547 disease damage on targets in Area of Effect',100,1,1),
(171987,10102897,'Heals caster for 238',100,1,0),
(171988,10102897,'Inflicts 656 disease damage on targets in Area of Effect',100,1,1),
(171989,37136,'Increases AGI of target by 1.5',100,0,0),
(171990,37136,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(171991,36110,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(171992,36110,'This effect suspends during combat',100,0,1),
(171993,105738,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(171994,105738,'Throws target back',100,2,1),
(171995,105738,'Stuns target',100,2,2),
(171996,105738,'Blurs vision of target',100,2,3),
(171997,105738,'Does not affect Epic targets',100,2,4),
(171998,105738,'Inflicts 457 - 762 melee damage on targets in area',100,1,5),
(171999,10105738,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(172000,10105738,'Throws target back',100,2,1),
(172001,10105738,'Stuns target',100,2,2),
(172002,10105738,'Blurs vision of target',100,2,3),
(172003,10105738,'Does not affect Epic targets',100,2,4),
(172004,10105738,'Inflicts 548 - 914 melee damage on targets in area',100,1,5),
(172005,124674,'Heals group members (AE) for 71 - 86 instantly and every 2 seconds',100,1,0),
(172006,10124674,'Heals group members (AE) for 46 - 56 instantly and every 2 seconds',100,1,0),
(172007,24083,'Adds Chardok: Double Bunk to your Dungeon Maker toolbox',100,0,0),
(172008,10024083,'Adds Chardok: Double Bunk to your Dungeon Maker toolbox',100,0,0),
(172009,51331,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(172010,51331,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(172011,51331,'Inflicts 9 heat damage on target',100,2,2),
(172012,51331,'Cannot be modified except by direct means',100,2,3),
(172013,10051331,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(172014,10051331,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(172015,10051331,'Inflicts 10 heat damage on target',100,2,2),
(172016,10051331,'Cannot be modified except by direct means',100,2,3),
(172017,106232,'Inflicts 281 - 844 melee damage on target',100,1,0),
(172018,106232,'Stifles target',100,1,1),
(172019,106232,'If Target is not Epic',100,2,2),
(172020,106232,'Resistibility increases against targets higher than level 107.',100,1,3),
(172021,10106232,'Inflicts 337 - 1012 melee damage on target',100,1,0),
(172022,10106232,'Stifles target',100,1,1),
(172023,10106232,'If Target is not Epic',100,2,2),
(172024,10106232,'Resistibility increases against targets higher than level 107.',100,1,3),
(172025,70312,'When Equipped:',100,0,0),
(172026,70312,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(172027,70312,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(172028,70312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,3),
(172029,70312,'Must not be engaged in pvp combat',100,2,4),
(172030,70312,'Cannot be modified except by direct means',100,2,5),
(172031,70312,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(172032,70312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,7),
(172033,70312,'Must not be engaged in pvp combat',100,2,8),
(172034,70312,'Cannot be modified except by direct means',100,2,9),
(172035,70312,'Cannot be modified except by direct means',100,1,10),
(172036,70312,'When Equipped:',100,0,11),
(172037,70312,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,12),
(172038,70312,'Increases Max Health of caster by 1,220.0',100,1,13),
(172039,70312,'Cannot be modified except by direct means',100,1,14),
(172040,10070312,'When Equipped:',100,0,0),
(172041,10070312,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(172042,10070312,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(172043,10070312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,3),
(172044,10070312,'Must not be engaged in pvp combat',100,2,4),
(172045,10070312,'Cannot be modified except by direct means',100,2,5),
(172046,10070312,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(172047,10070312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,7),
(172048,10070312,'Must not be engaged in pvp combat',100,2,8),
(172049,10070312,'Cannot be modified except by direct means',100,2,9),
(172050,10070312,'Cannot be modified except by direct means',100,1,10),
(172051,10070312,'When Equipped:',100,0,11),
(172052,10070312,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,12),
(172053,10070312,'Increases Max Health of caster by 1,220.0',100,1,13),
(172054,10070312,'Cannot be modified except by direct means',100,1,14),
(172055,41540,'When Equipped:',100,0,0),
(172056,41540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172057,41540,'Inflicts 96 - 179 magic damage on target',100,2,2),
(172058,41540,'Cannot be modified except by direct means',100,2,3),
(172059,10041540,'When Equipped:',100,0,0),
(172060,10041540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172061,10041540,'Inflicts 116 - 215 magic damage on target',100,2,2),
(172062,10041540,'Cannot be modified except by direct means',100,2,3),
(172063,123929,'Increases STR and WIS of target by 63.3',100,1,0),
(172064,123929,'Increases Mitigation of target vs elemental, noxious and arcane damage by 189',100,1,1),
(172065,10123929,'Increases STR and WIS of target by 63.3',100,1,0),
(172066,10123929,'Increases Mitigation of target vs elemental, noxious and arcane damage by 189',100,1,1),
(172067,119530,'Increases threat priority of target by 2 positions',100,1,0),
(172068,119530,'Stuns caster',100,1,1),
(172069,119530,'Decreases Defense and Parry of caster by 339.0',100,1,2),
(172070,119530,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(172071,119530,'Inflicts 1518 - 2530 piercing damage on target',100,2,4),
(172072,119530,'Grants a total of 1 trigger of the spell.',100,2,5),
(172073,10119530,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(172074,10119530,'Forces target to change their selected target to caster.',100,2,1),
(172075,10119530,'Prevents target from changing targets',100,2,2),
(172076,10119530,'Stuns caster',100,1,3),
(172077,10119530,'Decreases Defense and Parry of caster by 339.0',100,1,4),
(172078,10119530,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(172079,10119530,'Inflicts 1300 - 2167 piercing damage on target',100,2,6),
(172080,10119530,'Grants a total of 1 trigger of the spell.',100,2,7),
(172081,80264,'When Equipped:',100,0,0),
(172082,80264,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172083,80264,'Inflicts 166 - 308 magic damage on target',100,2,2),
(172084,80264,'Cannot be modified except by direct means',100,2,3),
(172085,10080264,'When Equipped:',100,0,0),
(172086,10080264,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172087,10080264,'Inflicts 199 - 370 magic damage on target',100,2,2),
(172088,10080264,'Cannot be modified except by direct means',100,2,3),
(172089,116238,'Summons a pet Illusion Ally',100,1,0),
(172090,10116238,'Summons a pet Illusion Ally',100,1,0),
(172091,71459,'When Equipped:',100,0,0),
(172092,71459,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172093,71459,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(172094,71459,'Cannot be modified except by direct means',100,2,3),
(172095,10071459,'When Equipped:',100,0,0),
(172096,10071459,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172097,10071459,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(172098,10071459,'Cannot be modified except by direct means',100,2,3),
(172099,124766,'Inflicts 380 - 464 disease damage on target encounter',100,1,0),
(172100,10124766,'Inflicts 456 - 557 disease damage on target encounter',100,1,0),
(172101,47654,'Applies Second Sight when Activated.  Lasts for 25 minutes.',100,0,0),
(172102,47654,'Summons a Void Stalker!  You may not have a pet summoned when using this.',100,1,1),
(172103,10047654,'Applies Second Sight when Activated.  Lasts for 25 minutes.',100,0,0),
(172104,10047654,'Summons a Void Stalker!  You may not have a pet summoned when using this.',100,1,1),
(172105,45409,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(172106,45409,'Caster will harvest a second time on 4.0% of harvests.',100,1,1),
(172107,45409,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,2),
(172108,10045409,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(172109,10045409,'Caster will harvest a second time on 4.0% of harvests.',100,1,1),
(172110,10045409,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .2 seconds.',100,1,2),
(172111,173344,'When Equipped:',100,0,0),
(172112,173344,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(172113,173344,'Heals caster for 147 instantly and every 5 seconds',100,2,2),
(172114,173344,'Cannot be modified except by direct means',100,2,3),
(172115,10173344,'When Equipped:',100,0,0),
(172116,10173344,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(172117,10173344,'Heals caster for 96 instantly and every 5 seconds',100,2,2),
(172118,10173344,'Cannot be modified except by direct means',100,2,3),
(172119,115973,'Inflicts 138 - 207 mental damage on target',100,1,0),
(172120,115973,'Stuns target',100,1,1),
(172121,115973,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(172122,115973,'Resistibility increases against targets higher than level 70.',100,1,3),
(172123,10115973,'Stuns target',100,1,0),
(172124,10115973,'Inflicts 166 - 249 mental damage on target',100,1,1),
(172125,10115973,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(172126,10115973,'Resistibility increases against targets higher than level 70.',100,1,3),
(172127,124034,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(172128,124034,'Heals target for 574 - 701',100,2,1),
(172129,124034,'Grants a total of 5 triggers of the spell.',100,2,2),
(172130,10124034,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(172131,10124034,'Heals target for 373 - 456',100,2,1),
(172132,10124034,'Grants a total of 5 triggers of the spell.',100,2,2),
(172133,117780,'Inflicts 877 - 1462 divine damage on target',100,1,0),
(172134,10117780,'Inflicts 1053 - 1754 divine damage on target',100,1,0),
(172135,108892,'Inflicts 209 heat damage on target',100,1,0),
(172136,108892,'Inflicts 209 cold damage on target',100,1,1),
(172137,108892,'Slows target by 37.0%',100,1,2),
(172138,10108892,'Inflicts 251 heat damage on target',100,1,0),
(172139,10108892,'Inflicts 251 cold damage on target',100,1,1),
(172140,10108892,'Slows target by 37.0%',100,1,2),
(172141,72103,'When Equipped:',100,0,0),
(172142,72103,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172143,72103,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(172144,72103,'Cannot be modified except by direct means',100,2,3),
(172145,10072103,'When Equipped:',100,0,0),
(172146,10072103,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172147,10072103,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(172148,10072103,'Cannot be modified except by direct means',100,2,3),
(172149,101551,'Inflicts 3540 - 5900 melee damage on target',100,1,0),
(172150,101551,'You must be stealthed to use this ability',100,1,1),
(172151,10101551,'Inflicts 1996 - 3327 melee damage on target',100,1,0),
(172152,10101551,'You must be stealthed to use this ability',100,1,1),
(172153,182205,'When Equipped:',100,0,0),
(172154,182205,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(172155,182205,'Stifles target',100,2,2),
(172156,182205,'Does not affect Epic targets',100,2,3),
(172157,182205,'Resistibility increases against targets higher than level 77.',100,2,4),
(172158,182205,'Cannot be modified except by direct means',100,2,5),
(172159,10182205,'When Equipped:',100,0,0),
(172160,10182205,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(172161,10182205,'Stifles target',100,2,2),
(172162,10182205,'Does not affect Epic targets',100,2,3),
(172163,10182205,'Resistibility increases against targets higher than level 77.',100,2,4),
(172164,10182205,'Cannot be modified except by direct means',100,2,5),
(172165,106955,'Inflicts 337 - 626 poison damage on target',100,1,0),
(172166,10106955,'Inflicts 405 - 751 poison damage on target',100,1,0),
(172167,107303,'Decreases WIS of target by 20.9',100,1,0),
(172168,107303,'Decreases Defense of target by 7.9',100,1,1),
(172169,10107303,'Decreases WIS of target by 20.9',100,1,0),
(172170,10107303,'Decreases Defense of target by 7.9',100,1,1),
(172171,46209,'Applies Petamorph: Pet Rock when Activated.  Lasts for 2 hours.',100,0,0),
(172172,46209,'Turns the caster''s combat pet into a pet rock. Does not work on cosmetic pets.',100,1,1),
(172173,10046209,'Applies Petamorph: Pet Rock when Activated.  Lasts for 2 hours.',100,0,0),
(172174,10046209,'Turns the caster''s combat pet into a pet rock. Does not work on cosmetic pets.',100,1,1),
(172175,27163,'When Equipped:',100,0,0),
(172176,27163,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(172177,27163,'Inflicts 20 heat damage on target instantly and every 5 seconds',100,2,2),
(172178,27163,'Cannot be modified except by direct means',100,2,3),
(172179,10027163,'When Equipped:',100,0,0),
(172180,10027163,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(172181,10027163,'Inflicts 25 heat damage on target instantly and every 5 seconds',100,2,2),
(172182,10027163,'Cannot be modified except by direct means',100,2,3),
(172183,120245,'Inflicts 111 - 186 crushing damage on target',100,1,0),
(172184,10120245,'Inflicts 134 - 223 crushing damage on target',100,1,0),
(172185,121423,'Inflicts 1434 - 1753 ranged damage on targets in area',100,1,0),
(172186,10121423,'Inflicts 1219 - 1490 ranged damage on targets in area',100,1,0),
(172187,101538,'Increases WIS of target by 130.7',100,1,0),
(172188,101538,'Increases Max Health of target by 1,166.6',100,1,1),
(172189,101538,'Increases Mitigation of target vs elemental, noxious and arcane damage by 356',100,1,2),
(172190,10101538,'Increases WIS of target by 130.7',100,1,0),
(172191,10101538,'Increases Max Health of target by 1,166.6',100,1,1),
(172192,10101538,'Increases Mitigation of target vs elemental, noxious and arcane damage by 356',100,1,2),
(172193,37617,'Increases AGI and STA of target by 1.1',100,0,0),
(172194,37617,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(172195,120989,'Inflicts 40 - 68 poison damage on target',100,1,0),
(172196,120989,'Inflicts 10 - 17 poison damage on target instantly and every 4 seconds',100,1,1),
(172197,10120989,'Inflicts 48 - 81 poison damage on target',100,1,0),
(172198,10120989,'Inflicts 12 - 20 poison damage on target instantly and every 4 seconds',100,1,1),
(172199,107262,'Inflicts 55 - 92 ranged damage on target',100,1,0),
(172200,107262,'Inflicts 55 - 92 ranged damage on target',100,1,1),
(172201,107262,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(172202,107262,'Stuns target',100,2,3),
(172203,107262,'Throws target back',100,2,4),
(172204,107262,'Blurs vision of target',100,2,5),
(172205,107262,'Does not affect Epic targets',100,2,6),
(172206,107262,'If weapon equipped in Ranged',100,1,7),
(172207,10107262,'Inflicts 47 - 78 ranged damage on target',100,1,0),
(172208,10107262,'Inflicts 47 - 78 ranged damage on target',100,1,1),
(172209,10107262,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(172210,10107262,'Stuns target',100,2,3),
(172211,10107262,'Throws target back',100,2,4),
(172212,10107262,'Blurs vision of target',100,2,5),
(172213,10107262,'Does not affect Epic targets',100,2,6),
(172214,10107262,'If weapon equipped in Ranged',100,1,7),
(172215,113760,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(172216,113760,'Inflicts 309 piercing damage on target',100,2,1),
(172217,113760,'Grants a total of 60 triggers of the spell.',100,2,2),
(172218,10113760,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(172219,10113760,'Inflicts 370 piercing damage on target',100,2,1),
(172220,10113760,'Grants a total of 60 triggers of the spell.',100,2,2),
(172221,113580,'Mesmerizes target',100,1,0),
(172222,113580,'Prevents AOE (except when direct) ',100,1,1),
(172223,113580,'Dispelled when target takes damage',100,1,2),
(172224,113580,'Does not affect Epic x2 targets',100,1,3),
(172225,113580,'Resistibility increases against targets higher than level 99.',100,1,4),
(172226,10113580,'Mesmerizes target',100,1,0),
(172227,10113580,'Prevents AOE (except when direct) ',100,1,1),
(172228,10113580,'Dispelled when target takes damage',100,1,2),
(172229,10113580,'Does not affect Epic x2 targets',100,1,3),
(172230,10113580,'Resistibility increases against targets higher than level 99.',100,1,4),
(172231,47487,'Applies Shard of the Parishioner when Activated.  Lasts for 15.0 seconds.',100,0,0),
(172232,47487,'Increases healing done by up to 10.',100,1,1),
(172233,10047487,'Applies Shard of the Parishioner when Activated.  Lasts for 15.0 seconds.',100,0,0),
(172234,10047487,'Increases healing done by up to 10.',100,1,1),
(172235,84014,'Applies Lightning Shock when Activated.',100,0,0),
(172236,84014,'Inflicts 49 - 82 magic damage on target',100,1,1),
(172237,84014,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(172238,10084014,'Applies Lightning Shock when Activated.',100,0,0),
(172239,10084014,'Inflicts 59 - 98 magic damage on target',100,1,1),
(172240,10084014,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(172241,120034,'Inflicts 85 - 104 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(172242,120034,'Decreases power of target encounter by 28 instantly and every 4 seconds',100,1,1),
(172243,10120034,'Inflicts 102 - 125 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(172244,10120034,'Decreases power of target encounter by 28 instantly and every 4 seconds',100,1,1),
(172245,120430,'Inflicts 135 - 225 melee damage on target',100,1,0),
(172246,120430,'Inflicts 135 - 225 melee damage on target',100,1,1),
(172247,10120430,'Inflicts 162 - 270 melee damage on target',100,1,0),
(172248,10120430,'Inflicts 162 - 270 melee damage on target',100,1,1),
(172249,111769,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(172250,111769,'This effect cannot be critically applied.',100,2,1),
(172251,111769,'The healing of this spell cannot be modified except by direct means',100,1,2),
(172252,10111769,'Heals caster for 5.9 - 7.3% of max health',100,1,0),
(172253,10111769,'This effect cannot be critically applied.',100,2,1),
(172254,10111769,'The healing of this spell cannot be modified except by direct means',100,1,2),
(172255,120974,'Inflicts 1208 - 2014 ranged damage on target',100,1,0),
(172256,120974,'If weapon equipped in Ranged',100,1,1),
(172257,120974,'Must be behind',100,1,2),
(172258,10120974,'Inflicts 1027 - 1712 ranged damage on target',100,1,0),
(172259,10120974,'If weapon equipped in Ranged',100,1,1),
(172260,10120974,'Must be behind',100,1,2),
(172261,75673,'When Equipped:',100,0,0),
(172262,75673,'On a spell cast this spell may cast Impassive Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172263,75673,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(172264,75673,'Must not be engaged in pvp combat',100,1,3),
(172265,75673,'Cannot be modified except by direct means',100,1,4),
(172266,10075673,'When Equipped:',100,0,0),
(172267,10075673,'On a spell cast this spell may cast Impassive Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172268,10075673,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(172269,10075673,'Must not be engaged in pvp combat',100,1,3),
(172270,10075673,'Cannot be modified except by direct means',100,1,4),
(172271,101766,'Heals group members (AE) for 257 - 314 instantly and every 2 seconds',100,1,0),
(172272,10101766,'Heals group members (AE) for 167 - 204 instantly and every 2 seconds',100,1,0),
(172273,36420,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(172274,112609,'Increases STA of caster by 39.4',100,1,0),
(172275,112609,'Reduces slow effects on caster by 13.8%',100,1,1),
(172276,112609,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1037',100,1,2),
(172277,10112609,'Increases STA of caster by 39.4',100,1,0),
(172278,10112609,'Reduces slow effects on caster by 13.8%',100,1,1),
(172279,10112609,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1037',100,1,2),
(172280,74543,'Applies Fire Ball when Activated.',100,0,0),
(172281,74543,'Inflicts 172 - 287 heat damage on target',100,1,1),
(172282,74543,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(172283,10074543,'Applies Fire Ball when Activated.',100,0,0),
(172284,10074543,'Inflicts 207 - 345 heat damage on target',100,1,1),
(172285,10074543,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(172286,35912,'Increases Max Power of target by 3.3',100,0,0),
(172287,35912,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(172288,120501,'Inflicts 129 - 215 melee damage on target',100,1,0),
(172289,120501,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(172290,120501,'Grants stealth to caster',100,2,2),
(172291,120501,'Suspends caster''s movement speed enhancements',100,2,3),
(172292,120501,'Must be flanking or behind',100,1,4),
(172293,10120501,'Inflicts 155 - 258 melee damage on target',100,1,0),
(172294,10120501,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(172295,10120501,'Grants stealth to caster',100,2,2),
(172296,10120501,'Suspends caster''s movement speed enhancements',100,2,3),
(172297,10120501,'Must be flanking or behind',100,1,4),
(172298,118743,'Increases INT and WIS of group members (AE) by 9.9',100,1,0),
(172299,118743,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 30',100,1,1),
(172300,10118743,'Increases INT and WIS of group members (AE) by 9.9',100,1,0),
(172301,10118743,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 30',100,1,1),
(172302,26980,'When Equipped:',100,0,0),
(172303,26980,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(172304,26980,'Inflicts 140 divine damage on target',100,2,2),
(172305,26980,'Heals caster for 140',100,2,3),
(172306,26980,'Cannot be modified except by direct means',100,2,4),
(172307,10026980,'When Equipped:',100,0,0),
(172308,10026980,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(172309,10026980,'Inflicts 168 divine damage on target',100,2,2),
(172310,10026980,'Heals caster for 91',100,2,3),
(172311,10026980,'Cannot be modified except by direct means',100,2,4),
(172312,117384,'Increases Threat to target by 245 ',100,1,0),
(172313,117384,'Inflicts 29 - 89 melee damage on target',100,1,1),
(172314,10117384,'Forces target to change their selected target to caster.',100,1,0),
(172315,10117384,'Inflicts 23 - 71 melee damage on target',100,1,1),
(172316,108898,'Inflicts 489 heat damage on target',100,1,0),
(172317,108898,'Inflicts 489 cold damage on target',100,1,1),
(172318,108898,'Slows target by 56.8%',100,1,2),
(172319,10108898,'Inflicts 587 heat damage on target',100,1,0),
(172320,10108898,'Inflicts 587 cold damage on target',100,1,1),
(172321,10108898,'Slows target by 56.8%',100,1,2),
(172322,100807,'Wards target against 1565 points of all damage',100,1,0),
(172323,10100807,'Wards target against 2408 points of all damage',100,1,0),
(172324,122604,'Decreases Mitigation of target vs arcane damage by 1043',100,1,0),
(172325,122604,'Inflicts 113 - 138 mental damage on target instantly and every 3 seconds',100,1,1),
(172326,10122604,'Decreases Mitigation of target vs arcane damage by 1043',100,1,0),
(172327,10122604,'Inflicts 135 - 165 mental damage on target instantly and every 3 seconds',100,1,1),
(172328,111837,'Inflicts 200 - 334 melee damage on target',100,1,0),
(172329,111837,'Roots target',100,1,1),
(172330,111837,'If Target is not Epic',100,2,2),
(172331,111837,'Resistibility increases against targets higher than level 84.',100,1,3),
(172332,10111837,'Inflicts 217 - 362 melee damage on target',100,1,0),
(172333,10111837,'Roots target',100,1,1),
(172334,10111837,'If Target is not Epic',100,2,2),
(172335,10111837,'Resistibility increases against targets higher than level 84.',100,1,3),
(172336,81033,'When Equipped:',100,0,0),
(172337,81033,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172338,81033,'Inflicts 144 - 268 magic damage on target',100,2,2),
(172339,81033,'Cannot be modified except by direct means',100,2,3),
(172340,10081033,'When Equipped:',100,0,0),
(172341,10081033,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172342,10081033,'Inflicts 173 - 322 magic damage on target',100,2,2),
(172343,10081033,'Cannot be modified except by direct means',100,2,3),
(172344,110517,'Increases Threat to target by 275  instantly and by 117  every 3 seconds thereafter',100,1,0),
(172345,110517,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(172346,110517,'Stuns target',100,2,2),
(172347,110517,'Throws target back',100,2,3),
(172348,110517,'Blurs vision of target',100,2,4),
(172349,110517,'Does not affect Epic targets',100,2,5),
(172350,110517,'Inflicts 48 - 81 disease damage on target',100,1,6),
(172351,10110517,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(172352,10110517,'Stuns target',100,2,1),
(172353,10110517,'Throws target back',100,2,2),
(172354,10110517,'Blurs vision of target',100,2,3),
(172355,10110517,'Does not affect Epic targets',100,2,4),
(172356,10110517,'Forces target to change their selected target to caster.',100,1,5),
(172357,10110517,'Inflicts 48 - 81 disease damage on target',100,1,6),
(172358,10110517,'Prevents target from changing targets',100,1,7),
(172359,115349,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(172360,115349,'Makes target afraid',100,2,1),
(172361,115349,'Slows target by 65.2%',100,2,2),
(172362,115349,'30% chance to dispel when target takes damage',100,2,3),
(172363,115349,'Does not affect Epic targets',100,2,4),
(172364,115349,'Resistibility increases against targets higher than level 112.',100,2,5),
(172365,115349,'Roots target',100,1,6),
(172366,115349,'15% chance to dispel when target takes damage',100,1,7),
(172367,115349,'Does not affect Epic targets',100,1,8),
(172368,115349,'Resistibility increases against targets higher than level 112.',100,1,9),
(172369,10115349,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(172370,10115349,'Slows target by 65.2%',100,2,1),
(172371,10115349,'Makes target afraid',100,2,2),
(172372,10115349,'30% chance to dispel when target takes damage',100,2,3),
(172373,10115349,'Does not affect Epic targets',100,2,4),
(172374,10115349,'Resistibility increases against targets higher than level 112.',100,2,5),
(172375,10115349,'Roots target',100,1,6),
(172376,10115349,'15% chance to dispel when target takes damage',100,1,7),
(172377,10115349,'Does not affect Epic targets',100,1,8),
(172378,10115349,'Resistibility increases against targets higher than level 112.',100,1,9),
(172379,109305,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(172380,109305,'Increases Mitigation of group members (AE) vs elemental damage by 693',100,1,1),
(172381,10109305,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(172382,10109305,'Increases Mitigation of group members (AE) vs elemental damage by 693',100,1,1),
(172383,82836,'When Equipped:',100,0,0),
(172384,82836,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172385,82836,'Inflicts 224 - 416 magic damage on target',100,2,2),
(172386,82836,'Cannot be modified except by direct means',100,2,3),
(172387,10082836,'When Equipped:',100,0,0),
(172388,10082836,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172389,10082836,'Inflicts 269 - 499 magic damage on target',100,2,2),
(172390,10082836,'Cannot be modified except by direct means',100,2,3),
(172391,135879,'When Equipped:',100,0,0),
(172392,135879,'Increases Damage Per Second of caster by 11.0',100,1,1),
(172393,135879,'This effect will not stack with any rank or tier of itself.',100,1,2),
(172394,135879,'Cannot be modified except by direct means',100,1,3),
(172395,10135879,'When Equipped:',100,0,0),
(172396,10135879,'Increases Damage Per Second of caster by 11.0',100,1,1),
(172397,10135879,'This effect will not stack with any rank or tier of itself.',100,1,2),
(172398,10135879,'Cannot be modified except by direct means',100,1,3),
(172399,81539,'When Equipped:',100,0,0),
(172400,81539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172401,81539,'Inflicts 107 - 199 magic damage on target',100,2,2),
(172402,81539,'Cannot be modified except by direct means',100,2,3),
(172403,10081539,'When Equipped:',100,0,0),
(172404,10081539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172405,10081539,'Inflicts 128 - 238 magic damage on target',100,2,2),
(172406,10081539,'Cannot be modified except by direct means',100,2,3),
(172407,188252,'When Equipped:',100,0,0),
(172408,188252,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,1,1),
(172409,188252,'Increases Riposte Damage of caster by 27.0',100,1,2),
(172410,188252,'Increases Additional chance to Riposte of caster by 27.0',100,1,3),
(172411,188252,'Must not be engaged in pvp combat',100,1,4),
(172412,10188252,'When Equipped:',100,0,0),
(172413,10188252,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',100,1,1),
(172414,10188252,'Increases Riposte Damage of caster by 27.0',100,1,2),
(172415,10188252,'Increases Additional chance to Riposte of caster by 27.0',100,1,3),
(172416,10188252,'Must not be engaged in pvp combat',100,1,4),
(172417,24200,'Adds Crushbone: Melting Pot to your Dungeon Maker toolbox',100,0,0),
(172418,10024200,'Adds Crushbone: Melting Pot to your Dungeon Maker toolbox',100,0,0),
(172419,112651,'Inflicts 167 - 279 disease damage on target',100,1,0),
(172420,112651,'Inflicts 167 - 279 disease damage on target',100,1,1),
(172421,112651,'Roots target',100,1,2),
(172422,112651,'If Target is not Epic',100,2,3),
(172423,112651,'15% chance to dispel when target takes damage',100,1,4),
(172424,112651,'If weapon equipped in Ranged',100,1,5),
(172425,112651,'Resistibility increases against targets higher than level 87.',100,1,6),
(172426,10112651,'Inflicts 142 - 237 disease damage on target',100,1,0),
(172427,10112651,'Inflicts 142 - 237 disease damage on target',100,1,1),
(172428,10112651,'Roots target',100,1,2),
(172429,10112651,'If Target is not Epic',100,2,3),
(172430,10112651,'15% chance to dispel when target takes damage',100,1,4),
(172431,10112651,'If weapon equipped in Ranged',100,1,5),
(172432,10112651,'Resistibility increases against targets higher than level 87.',100,1,6),
(172433,105144,'Increases AGI of caster by 13.9',100,1,0),
(172434,105144,'Adds 1.5% to base avoidance.',100,1,1),
(172435,105144,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(172436,105144,'Increases Parry of caster by 7.7',100,1,3),
(172437,105144,'Increases Defense of caster by 10.3',100,1,4),
(172438,10105144,'Increases AGI of caster by 13.9',100,1,0),
(172439,10105144,'Adds 1.5% to base avoidance.',100,1,1),
(172440,10105144,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(172441,10105144,'Increases Parry of caster by 7.7',100,1,3),
(172442,10105144,'Increases Defense of caster by 10.3',100,1,4),
(172443,122502,'Inflicts 334 - 557 mental damage on targets in Area of Effect',100,1,0),
(172444,10122502,'Inflicts 401 - 668 mental damage on targets in Area of Effect',100,1,0),
(172445,164076,'Applies Awakened Instinct when Equipped.',100,0,0),
(172446,164076,'Increases Crit Chance of caster by 2.0',100,1,1),
(172447,164076,'Increases In-Combat Power Regeneration of caster by 5.0',100,1,2),
(172448,10164076,'Applies Awakened Instinct when Equipped.',100,0,0),
(172449,10164076,'Increases Crit Chance of caster by 2.0',100,1,1),
(172450,10164076,'Increases In-Combat Power Regeneration of caster by 5.0',100,1,2),
(172451,113445,'Increases INT of target by 19.8',100,1,0),
(172452,113445,'Increases Max Health of target by 94.6',100,1,1),
(172453,10113445,'Increases INT of target by 19.8',100,1,0),
(172454,10113445,'Increases Max Health of target by 94.6',100,1,1),
(172455,111461,'Decreases Attack Speed of caster by 17.9',100,1,0),
(172456,111461,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(172457,111461,'Roots target',100,2,2),
(172458,111461,'5% chance to dispel when target takes damage',100,2,3),
(172459,111461,'5% chance to dispel when target receives hostile action',100,2,4),
(172460,111461,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(172461,111461,'Increases Mitigation of caster vs physical damage by 912',100,1,6),
(172462,10111461,'Decreases Attack Speed of caster by 17.9',100,1,0),
(172463,10111461,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(172464,10111461,'Roots target',100,2,2),
(172465,10111461,'5% chance to dispel when target takes damage',100,2,3),
(172466,10111461,'5% chance to dispel when target receives hostile action',100,2,4),
(172467,10111461,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(172468,10111461,'Increases Mitigation of caster vs physical damage by 912',100,1,6),
(172469,104365,'Charms target',100,1,0),
(172470,104365,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(172471,104365,'Mesmerizes target',100,2,2),
(172472,104365,'Dispelled when target takes damage',100,2,3),
(172473,104365,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(172474,104365,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(172475,104365,'Grants Sonic Vision to caster',100,2,6),
(172476,104365,'Increases Out-of-Combat Power Regeneration of target by 56.0',100,1,7),
(172477,104365,'Increases Out-of-Combat Health Regeneration of target by 114.2',100,1,8),
(172478,104365,'Certain enemies cannot be charmed',100,1,9),
(172479,104365,'Does not affect Epic targets',100,1,10),
(172480,10104365,'Mesmerizes target',100,1,0),
(172481,10104365,'Prevents AOE (except when direct) ',100,1,1),
(172482,10104365,'Dispelled when target takes damage',100,1,2),
(172483,10104365,'Certain enemies cannot be charmed',100,1,3),
(172484,10104365,'Does not affect Epic targets',100,1,4),
(172485,10104365,'Resistibility increases against targets higher than level 113.',100,1,5),
(172486,171739,'When Equipped:',100,0,0),
(172487,171739,'On a critical healing spell cast this spell may cast Shared Vigor II on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172488,171739,'Increases Potency of target by 2.5%',100,2,2),
(172489,171739,'Increases Potency of caster by 2.5%',100,2,3),
(172490,171739,'Must not be engaged in pvp combat',100,2,4),
(172491,171739,'Cannot be modified except by direct means',100,2,5),
(172492,171739,'Must not be engaged in pvp combat',100,1,6),
(172493,10171739,'When Equipped:',100,0,0),
(172494,10171739,'On a critical healing spell cast this spell may cast Shared Vigor II on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172495,10171739,'Increases Potency of target by 2.5%',100,2,2),
(172496,10171739,'Increases Potency of caster by 2.5%',100,2,3),
(172497,10171739,'Must not be engaged in pvp combat',100,2,4),
(172498,10171739,'Cannot be modified except by direct means',100,2,5),
(172499,10171739,'Must not be engaged in pvp combat',100,1,6),
(172500,24341,'Adds Drolvarg (Warden) to your Dungeon Maker toolbox',100,0,0),
(172501,10024341,'Adds Drolvarg (Warden) to your Dungeon Maker toolbox',100,0,0),
(172502,154696,'When Equipped:',100,0,0),
(172503,154696,'When damaged with a melee weapon this spell has a 6% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(172504,154696,'Decreases Attack Speed of target by 14.0',100,2,2),
(172505,154696,'Cannot be modified except by direct means',100,2,3),
(172506,10154696,'When Equipped:',100,0,0),
(172507,10154696,'When damaged with a melee weapon this spell has a 6% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(172508,10154696,'Decreases Attack Speed of target by 14.0',100,2,2),
(172509,10154696,'Cannot be modified except by direct means',100,2,3),
(172510,138648,'When Equipped:',100,0,0),
(172511,138648,'On a melee hit this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172512,138648,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(172513,138648,'Cannot be modified except by direct means',100,2,3),
(172514,138648,'On a spell cast this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(172515,138648,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(172516,138648,'Cannot be modified except by direct means',100,2,6),
(172517,10138648,'When Equipped:',100,0,0),
(172518,10138648,'On a melee hit this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172519,10138648,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(172520,10138648,'Cannot be modified except by direct means',100,2,3),
(172521,10138648,'On a spell cast this spell may cast Infused Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(172522,10138648,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(172523,10138648,'Cannot be modified except by direct means',100,2,6),
(172524,106121,'Increases Attack Speed of caster by 26.6',100,1,0),
(172525,106121,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(172526,106121,'Stuns target',100,2,2),
(172527,106121,'Throws target back',100,2,3),
(172528,106121,'Blurs vision of target',100,2,4),
(172529,106121,'Does not affect Epic targets',100,2,5),
(172530,10106121,'Increases Attack Speed of caster by 26.6',100,1,0),
(172531,10106121,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(172532,10106121,'Stuns target',100,2,2),
(172533,10106121,'Throws target back',100,2,3),
(172534,10106121,'Blurs vision of target',100,2,4),
(172535,10106121,'Does not affect Epic targets',100,2,5),
(172536,114429,'Mesmerizes target',100,1,0),
(172537,114429,'Prevents AOE (except when direct) ',100,1,1),
(172538,114429,'Dispelled when target takes damage',100,1,2),
(172539,114429,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(172540,114429,'Resistibility increases against targets higher than level 106.',100,1,4),
(172541,10114429,'Mesmerizes target',100,1,0),
(172542,10114429,'Prevents AOE (except when direct) ',100,1,1),
(172543,10114429,'Dispelled when target takes damage',100,1,2),
(172544,10114429,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(172545,10114429,'Resistibility increases against targets higher than level 106.',100,1,4),
(172546,117132,'Decreases Mitigation of target vs arcane damage by 612',100,1,0),
(172547,117132,'Inflicts 111 - 136 heat damage on target instantly and every 4 seconds',100,1,1),
(172548,10117132,'Decreases Mitigation of target vs arcane damage by 612',100,1,0),
(172549,10117132,'Inflicts 133 - 163 heat damage on target instantly and every 4 seconds',100,1,1),
(172550,24430,'Adds Greater Battle Prowess (Multiple) to your Dungeon Maker toolbox',100,0,0),
(172551,10024430,'Adds Greater Battle Prowess (Multiple) to your Dungeon Maker toolbox',100,0,0),
(172552,111029,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(172553,111029,'Increases Threat to target by 208 ',100,2,1),
(172554,111029,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(172555,111029,'Increases Threat to target by 208 ',100,2,3),
(172556,10111029,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(172557,10111029,'Inflicts 28 - 31 crushing damage on target',100,2,1),
(172558,10111029,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(172559,10111029,'Inflicts 28 - 31 crushing damage on target',100,2,3),
(172560,36155,'Increases Max Power of target by 3.3',100,0,0),
(172561,36155,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(172562,107044,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(172563,107044,'Inflicts 82 - 136 divine damage on target',100,2,1),
(172564,107044,'Inflicts 82 - 136 divine damage on target',100,2,2),
(172565,107044,'If target is undead',100,3,3),
(172566,10107044,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(172567,10107044,'Inflicts 163 - 272 divine damage on target',100,2,1),
(172568,118972,'Applies Sacrifice.',100,1,0),
(172569,118972,'Heals group members (AE) for 1136',100,2,1),
(172570,118972,'Increases power of group members (AE) by 324',100,2,2),
(172571,118972,'Stuns target',100,1,3),
(172572,10118972,'Applies Sacrifice.',100,1,0),
(172573,10118972,'Increases power of group members (AE) by 324',100,2,1),
(172574,10118972,'Heals group members (AE) for 1582',100,2,2),
(172575,10118972,'Stuns target',100,1,3),
(172576,48137,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(172577,48137,'Increases INT of caster by 92.1',100,1,1),
(172578,10048137,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(172579,10048137,'Increases INT of caster by 92.1',100,1,1),
(172580,51811,'When Equipped:',100,0,0),
(172581,51811,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(172582,51811,'Inflicts 24 divine damage on target',100,2,2),
(172583,51811,'Cannot be modified except by direct means',100,2,3),
(172584,10051811,'When Equipped:',100,0,0),
(172585,10051811,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(172586,10051811,'Inflicts 29 divine damage on target',100,2,2),
(172587,10051811,'Cannot be modified except by direct means',100,2,3),
(172588,82434,'Applies Imbued Smite when Equipped.',100,0,0),
(172589,82434,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(172590,82434,'Inflicts 402 divine damage on target instantly and every second',100,2,2),
(172591,82434,'Cannot be modified except by direct means',100,2,3),
(172592,82434,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(172593,82434,'Inflicts 402 divine damage on target instantly and every second',100,2,5),
(172594,82434,'Cannot be modified except by direct means',100,2,6),
(172595,10082434,'Applies Imbued Smite when Equipped.',100,0,0),
(172596,10082434,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(172597,10082434,'Inflicts 482 divine damage on target instantly and every second',100,2,2),
(172598,10082434,'Cannot be modified except by direct means',100,2,3),
(172599,10082434,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(172600,10082434,'Inflicts 482 divine damage on target instantly and every second',100,2,5),
(172601,10082434,'Cannot be modified except by direct means',100,2,6),
(172602,81004,'When Equipped:',100,0,0),
(172603,81004,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172604,81004,'Inflicts 201 - 374 magic damage on target',100,2,2),
(172605,81004,'Cannot be modified except by direct means',100,2,3),
(172606,10081004,'When Equipped:',100,0,0),
(172607,10081004,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172608,10081004,'Inflicts 242 - 449 magic damage on target',100,2,2),
(172609,10081004,'Cannot be modified except by direct means',100,2,3),
(172610,51293,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(172611,51293,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(172612,51293,'Inflicts 12 heat damage on target',100,2,2),
(172613,51293,'Cannot be modified except by direct means',100,2,3),
(172614,10051293,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(172615,10051293,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(172616,10051293,'Inflicts 15 heat damage on target',100,2,2),
(172617,10051293,'Cannot be modified except by direct means',100,2,3),
(172618,122872,'Inflicts 181 - 302 ranged damage on target',100,1,0),
(172619,122872,'Inflicts 362 - 604 ranged damage on target',100,1,1),
(172620,122872,'Inflicts 544 - 907 ranged damage on target',100,1,2),
(172621,122872,'Requires bow',100,1,3),
(172622,10122872,'Inflicts 192 - 321 ranged damage on target',100,1,0),
(172623,10122872,'Inflicts 385 - 642 ranged damage on target',100,1,1),
(172624,10122872,'Inflicts 578 - 963 ranged damage on target',100,1,2),
(172625,10122872,'Requires bow',100,1,3),
(172626,117248,'Inflicts 44 slashing damage on target every 4 seconds',100,1,0),
(172627,117248,'Inflicts 222 - 371 melee damage on target',100,1,1),
(172628,10117248,'Inflicts 53 slashing damage on target every 4 seconds',100,1,0),
(172629,10117248,'Inflicts 267 - 445 melee damage on target',100,1,1),
(172630,122824,'Inflicts 289 - 482 ranged damage on target',100,1,0),
(172631,122824,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(172632,122824,'Increases Hate Gain of target by 30.0%',100,2,2),
(172633,122824,'Grants a total of 1 trigger of the spell.',100,2,3),
(172634,122824,'Requires bow',100,1,4),
(172635,10122824,'Inflicts 246 - 410 ranged damage on target',100,1,0),
(172636,10122824,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(172637,10122824,'Grants a total of 1 trigger of the spell.',100,2,2),
(172638,10122824,'Requires bow',100,1,3),
(172639,47463,'Applies Overclocked Lifestone when Activated.',100,0,0),
(172640,47463,'Inflicts 12.0% of max health in heat damage on caster',10,1,1),
(172641,47463,'Heals caster for 20.0% of max health',90,1,2),
(172642,10047463,'Applies Overclocked Lifestone when Activated.',100,0,0),
(172643,10047463,'Inflicts 14.4% of max health in heat damage on caster',10,1,1),
(172644,10047463,'Heals caster for 13.0% of max health',90,1,2),
(172645,80397,'When Equipped:',100,0,0),
(172646,80397,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172647,80397,'Inflicts 41 - 75 magic damage on target',100,2,2),
(172648,80397,'Cannot be modified except by direct means',100,2,3),
(172649,10080397,'When Equipped:',100,0,0),
(172650,10080397,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172651,10080397,'Inflicts 49 - 90 magic damage on target',100,2,2),
(172652,10080397,'Cannot be modified except by direct means',100,2,3),
(172653,35144,'Increases AGI of target by 1.5',100,0,0),
(172654,35144,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(172655,161107,'Applies Fireworks when Activated.  Lasts for 3.0 seconds.',100,0,0),
(172656,161107,'Launches a firework when used.',100,1,1),
(172657,161107,'The casting time of Fireworks is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(172658,10161107,'Applies Fireworks when Activated.  Lasts for 3.0 seconds.',100,0,0),
(172659,10161107,'Launches a firework when used.',100,1,1),
(172660,10161107,'The casting time of Fireworks is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(172661,82314,'When Equipped:',100,0,0),
(172662,82314,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172663,82314,'Inflicts 184 - 342 magic damage on target',100,2,2),
(172664,82314,'Cannot be modified except by direct means',100,2,3),
(172665,10082314,'When Equipped:',100,0,0),
(172666,10082314,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172667,10082314,'Inflicts 221 - 410 magic damage on target',100,2,2),
(172668,10082314,'Cannot be modified except by direct means',100,2,3),
(172669,122390,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(172670,122390,'Inflicts 4 - 5 piercing damage on target encounter',100,2,1),
(172671,10122390,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(172672,10122390,'Inflicts 5 - 7 piercing damage on target encounter',100,2,1),
(172673,112951,'Inflicts 51 - 155 crushing damage on target',100,1,0),
(172674,10112951,'Inflicts 62 - 186 crushing damage on target',100,1,0),
(172675,25485,'When Equipped:',100,0,0),
(172676,25485,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(172677,25485,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(172678,10025485,'When Equipped:',100,0,0),
(172679,10025485,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(172680,10025485,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(172681,120691,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 2.6',100,1,0),
(172682,10120691,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 2.6',100,1,0),
(172683,113832,'Inflicts 206 - 343 disease damage on target',100,1,0),
(172684,10113832,'Inflicts 247 - 411 disease damage on target',100,1,0),
(172685,82803,'When Equipped:',100,0,0),
(172686,82803,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(172687,82803,'Decreases Threat to target by 1,174 ',100,2,2),
(172688,82803,'Must be flanking or behind',100,3,3),
(172689,82803,'Increases Threat to target by 1,179 ',100,2,4),
(172690,82803,'Must be in front of',100,3,5),
(172691,82803,'Inflicts 233 - 434 magic damage on target',100,2,6),
(172692,82803,'Cannot be modified except by direct means',100,2,7),
(172693,10082803,'When Equipped:',100,0,0),
(172694,10082803,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(172695,10082803,'Inflicts 280 - 520 magic damage on target',100,2,2),
(172696,10082803,'Cannot be modified except by direct means',100,2,3),
(172697,70455,'When Equipped:',100,0,0),
(172698,70455,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172699,70455,'Inflicts 143 - 238 poison damage on target every 4.8 seconds',100,2,2),
(172700,70455,'Cannot be modified except by direct means',100,2,3),
(172701,10070455,'When Equipped:',100,0,0),
(172702,10070455,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172703,10070455,'Inflicts 171 - 285 poison damage on target every 4.8 seconds',100,2,2),
(172704,10070455,'Cannot be modified except by direct means',100,2,3),
(172705,50455,'When Equipped:',100,0,0),
(172706,50455,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172707,50455,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(172708,50455,'Heals caster for 1712',100,3,3),
(172709,50455,'Cannot be modified except by direct means',100,3,4),
(172710,50455,'Grants a total of 2 triggers of the spell.',100,3,5),
(172711,50455,'Cannot be modified except by direct means',100,2,6),
(172712,10050455,'When Equipped:',100,0,0),
(172713,10050455,'On a healing spell cast this spell may cast Immaculate Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172714,10050455,'When any damage is received this spell will cast Immaculate Perception on target.  ',100,2,2),
(172715,10050455,'Heals caster for 2003',100,3,3),
(172716,10050455,'Cannot be modified except by direct means',100,3,4),
(172717,10050455,'Grants a total of 2 triggers of the spell.',100,3,5),
(172718,10050455,'Cannot be modified except by direct means',100,2,6),
(172719,117455,'Inflicts 428 - 715 melee damage on target',100,1,0),
(172720,117455,'You must be sneaking to use this ability.',100,1,1),
(172721,117455,'Must be flanking or behind',100,1,2),
(172722,10117455,'Inflicts 319 - 531 melee damage on target',100,1,0),
(172723,10117455,'You must be sneaking to use this ability.',100,1,1),
(172724,10117455,'Must be flanking or behind',100,1,2),
(172725,82376,'When Equipped:',100,0,0),
(172726,82376,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(172727,82376,'Decreases Threat to target by 1,174 ',100,2,2),
(172728,82376,'Must be flanking or behind',100,3,3),
(172729,82376,'Increases Threat to target by 1,179 ',100,2,4),
(172730,82376,'Must be in front of',100,3,5),
(172731,82376,'Inflicts 233 - 434 magic damage on target',100,2,6),
(172732,82376,'Cannot be modified except by direct means',100,2,7),
(172733,10082376,'When Equipped:',100,0,0),
(172734,10082376,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(172735,10082376,'Inflicts 280 - 520 magic damage on target',100,2,2),
(172736,10082376,'Cannot be modified except by direct means',100,2,3),
(172737,48441,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(172738,48441,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(172739,48441,'Inflicts 27 poison damage on target instantly and every 6 seconds',100,2,2),
(172740,48441,'Inflicts 52 poison damage on target',100,2,3),
(172741,48441,'Cannot be modified except by direct means',100,2,4),
(172742,48441,'Grants a total of 200 triggers of the spell.',100,2,5),
(172743,10048441,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(172744,10048441,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(172745,10048441,'Inflicts 24 poison damage on target instantly and every 6 seconds',100,2,2),
(172746,10048441,'Inflicts 47 poison damage on target',100,2,3),
(172747,10048441,'Cannot be modified except by direct means',100,2,4),
(172748,10048441,'Grants a total of 200 triggers of the spell.',100,2,5),
(172749,138546,'When Equipped:',100,0,0),
(172750,138546,'On a combat hit this spell may cast Mischievous Mockery on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172751,138546,'Summons 2 limited pets to aid the caster',100,2,2),
(172752,138546,'Cannot be modified except by direct means',100,2,3),
(172753,10138546,'When Equipped:',100,0,0),
(172754,10138546,'On a combat hit this spell may cast Mischievous Mockery on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(172755,10138546,'Summons 2 limited pets to aid the caster',100,2,2),
(172756,10138546,'Cannot be modified except by direct means',100,2,3),
(172757,115069,'Heals target for 69 - 85',100,1,0),
(172758,115069,'Heals target for 9 - 11 every second',100,1,1),
(172759,10115069,'Heals target for 129 - 157',100,1,0),
(172760,10115069,'Heals target for 10 - 12 every second',100,1,1),
(172761,149058,'When Equipped:',100,0,0),
(172762,149058,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(172763,149058,'Increases power of caster by 121',100,2,2),
(172764,149058,'Cannot be modified except by direct means',100,2,3),
(172765,10149058,'When Equipped:',100,0,0),
(172766,10149058,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(172767,10149058,'Increases power of caster by 121',100,2,2),
(172768,10149058,'Cannot be modified except by direct means',100,2,3),
(172769,102702,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(172770,102702,'Inflicts 255 - 425 heat damage on target',100,2,1),
(172771,102702,'Grants a total of 5 triggers of the spell.',100,2,2),
(172772,102702,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(172773,102702,'Inflicts 255 - 425 heat damage on target',100,2,4),
(172774,102702,'Grants a total of 5 triggers of the spell.',100,2,5),
(172775,10102702,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(172776,10102702,'Inflicts 306 - 510 heat damage on target',100,2,1),
(172777,10102702,'Grants a total of 5 triggers of the spell.',100,2,2),
(172778,10102702,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(172779,10102702,'Inflicts 306 - 510 heat damage on target',100,2,4),
(172780,10102702,'Grants a total of 5 triggers of the spell.',100,2,5),
(172781,134694,'When Equipped:',100,0,0),
(172782,134694,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(172783,10134694,'When Equipped:',100,0,0),
(172784,10134694,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(172785,103278,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(172786,103278,'Increases power of target by 15 instantly and every 4 seconds',100,2,1),
(172787,103278,'Increases power of caster by 15 instantly and every 4 seconds',100,2,2),
(172788,103278,'Causes 3% Threat to transfer to target when in combat',100,1,3),
(172789,103278,'If Fighter',100,2,4),
(172790,10103278,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(172791,10103278,'Increases power of target by 15 instantly and every 4 seconds',100,2,1),
(172792,10103278,'Increases power of caster by 15 instantly and every 4 seconds',100,2,2),
(172793,124624,'Heals group members (AE) for 458 - 559',100,1,0),
(172794,124624,'Heals group members (AE) for 77 - 94 every second',100,1,1),
(172795,10124624,'Heals group members (AE) for 668 - 817',100,1,0),
(172796,10124624,'Heals group members (AE) for 84 - 102 every second',100,1,1),
(172797,81221,'When Equipped:',100,0,0),
(172798,81221,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172799,81221,'Inflicts 108 - 201 magic damage on target',100,2,2),
(172800,81221,'Cannot be modified except by direct means',100,2,3),
(172801,10081221,'When Equipped:',100,0,0),
(172802,10081221,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172803,10081221,'Inflicts 130 - 242 magic damage on target',100,2,2),
(172804,10081221,'Cannot be modified except by direct means',100,2,3),
(172805,46106,'Applies Elixir of Sharpness when Activated.  Lasts for 30 minutes.',100,0,0),
(172806,46106,'Increases AGI of caster by 31.0',100,1,1),
(172807,10046106,'Applies Elixir of Sharpness when Activated.  Lasts for 30 minutes.',100,0,0),
(172808,10046106,'Increases AGI of caster by 31.0',100,1,1),
(172809,45441,'Applies Bulwark of Jaggedpine when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(172810,45441,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(172811,45441,'Inflicts 27 magic damage on target',100,2,2),
(172812,45441,'Cannot be modified except by direct means',100,2,3),
(172813,10045441,'Applies Bulwark of Jaggedpine when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(172814,10045441,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(172815,10045441,'Inflicts 32 magic damage on target',100,2,2),
(172816,10045441,'Cannot be modified except by direct means',100,2,3),
(172817,122292,'Decreases Threat to targets in Area of Effect by 4,365 ',100,1,0),
(172818,122292,'Makes targets in Area of Effect afraid',100,1,1),
(172819,122292,'If Target is not Epic',100,2,2),
(172820,122292,'30% chance to dispel when target takes damage',100,1,3),
(172821,10122292,'Applies Distract.',100,1,0),
(172822,10122292,'Forces target to clear their selected target.',100,2,1),
(172823,10122292,'Makes targets in Area of Effect afraid',100,1,2),
(172824,10122292,'If Target is not Epic',100,2,3),
(172825,10122292,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(172826,10122292,'30% chance to dispel when target takes damage',100,1,5),
(172827,112022,'Inflicts 532 - 888 piercing damage on target',100,1,0),
(172828,10112022,'Inflicts 639 - 1065 piercing damage on target',100,1,0),
(172829,162102,'When Equipped:',100,0,0),
(172830,162102,'On a critical combat hit this spell may cast Guise of Scowls on target of attack.  Triggers about 2.8 times per minute. ',100,1,1),
(172831,162102,'Decreases Threat to target by 4,750 ',100,2,2),
(172832,162102,'Must be flanking or behind',100,3,3),
(172833,162102,'Increases Threat to target by 4,755 ',100,2,4),
(172834,162102,'Must be in front of',100,3,5),
(172835,162102,'Cannot be modified except by direct means',100,2,6),
(172836,10162102,'When Equipped:',100,0,0),
(172837,10162102,'On a critical combat hit this spell may cast Guise of Scowls on target of attack.  Triggers about 2.8 times per minute. ',100,1,1),
(172838,10162102,'Cannot be modified except by direct means',100,2,2),
(172839,116599,'Inflicts 179 - 299 divine damage on target',100,1,0),
(172840,10116599,'Inflicts 215 - 359 divine damage on target',100,1,0),
(172841,109882,'Increases Defense of group members (AE) by 29.2',100,1,0),
(172842,10109882,'Increases Defense of group members (AE) by 29.2',100,1,0),
(172843,47524,'Applies Petrified High Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(172844,47524,'Shapechanges caster into a high elf',100,1,1),
(172845,10047524,'Applies Petrified High Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(172846,10047524,'Shapechanges caster into a high elf',100,1,1),
(172847,100678,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(172848,100678,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(172849,100678,'Heals caster for 656',100,3,2),
(172850,100678,'Wards caster against 840 points of all damage',100,3,3),
(172851,100678,'Summons a limited pet to aid the caster',100,2,4),
(172852,100678,'Grants a total of 1 trigger of the spell.',100,2,5),
(172853,10100678,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(172854,10100678,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(172855,10100678,'Heals caster for 427',100,3,2),
(172856,10100678,'Wards caster against 840 points of all damage',100,3,3),
(172857,10100678,'Summons a limited pet to aid the caster',100,2,4),
(172858,10100678,'Grants a total of 1 trigger of the spell.',100,2,5),
(172859,80572,'When Equipped:',100,0,0),
(172860,80572,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(172861,80572,'Decreases Threat to target by 352 ',100,2,2),
(172862,80572,'Must be flanking or behind',100,3,3),
(172863,80572,'Increases Threat to target by 357 ',100,2,4),
(172864,80572,'Must be in front of',100,3,5),
(172865,80572,'Inflicts 77 - 144 magic damage on target',100,2,6),
(172866,80572,'Cannot be modified except by direct means',100,2,7),
(172867,10080572,'When Equipped:',100,0,0),
(172868,10080572,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(172869,10080572,'Inflicts 93 - 173 magic damage on target',100,2,2),
(172870,10080572,'Cannot be modified except by direct means',100,2,3),
(172871,121872,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(172872,121872,'Inflicts 191 - 233 mental damage on target',100,2,1),
(172873,121872,'Decreases Threat to target by 461 - 563 ',100,2,2),
(172874,121872,'If profession other than Fighter',100,3,3),
(172875,10121872,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(172876,10121872,'Inflicts 229 - 280 mental damage on target',100,2,1),
(172877,110866,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(172878,110866,'Inflicts 464 - 773 divine damage on target',100,2,1),
(172879,110866,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(172880,110866,'Stuns target',100,3,3),
(172881,110866,'Throws target back',100,3,4),
(172882,110866,'Blurs vision of target',100,3,5),
(172883,110866,'Does not affect Epic targets',100,3,6),
(172884,110866,'Grants a total of 3 triggers of the spell.',100,2,7),
(172885,10110866,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(172886,10110866,'Inflicts 556 - 927 divine damage on target',100,2,1),
(172887,10110866,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(172888,10110866,'Stuns target',100,3,3),
(172889,10110866,'Throws target back',100,3,4),
(172890,10110866,'Blurs vision of target',100,3,5),
(172891,10110866,'Does not affect Epic targets',100,3,6),
(172892,10110866,'Grants a total of 3 triggers of the spell.',100,2,7),
(172893,80198,'When Equipped:',100,0,0),
(172894,80198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172895,80198,'Inflicts 166 - 308 magic damage on target',100,2,2),
(172896,80198,'Cannot be modified except by direct means',100,2,3),
(172897,10080198,'When Equipped:',100,0,0),
(172898,10080198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172899,10080198,'Inflicts 199 - 370 magic damage on target',100,2,2),
(172900,10080198,'Cannot be modified except by direct means',100,2,3),
(172901,35324,'Increases STA of target by 1.5',100,0,0),
(172902,35324,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(172903,105388,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(172904,105388,'Interrupts target',100,2,1),
(172905,105388,'Inflicts 74 melee damage on target',100,2,2),
(172906,105388,'Decreases Defense of caster by 20.7',100,1,3),
(172907,105388,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.5',100,1,4),
(172908,10105388,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(172909,10105388,'Interrupts target',100,2,1),
(172910,10105388,'Inflicts 89 melee damage on target',100,2,2),
(172911,10105388,'Decreases Defense of caster by 20.7',100,1,3),
(172912,10105388,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.5',100,1,4),
(172913,104101,'Roots target',100,1,0),
(172914,104101,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(172915,104101,'Makes target afraid',100,2,2),
(172916,104101,'Slows target by 20.3%',100,2,3),
(172917,104101,'30% chance to dispel when target takes damage',100,2,4),
(172918,104101,'Resistibility increases against targets higher than level 48.',100,2,5),
(172919,104101,'15% chance to dispel when target takes damage',100,1,6),
(172920,104101,'Does not affect Epic targets',100,1,7),
(172921,104101,'Resistibility increases against targets higher than level 48.',100,1,8),
(172922,10104101,'Roots target',100,1,0),
(172923,10104101,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(172924,10104101,'Makes target afraid',100,2,2),
(172925,10104101,'Slows target by 20.3%',100,2,3),
(172926,10104101,'30% chance to dispel when target takes damage',100,2,4),
(172927,10104101,'Resistibility increases against targets higher than level 48.',100,2,5),
(172928,10104101,'15% chance to dispel when target takes damage',100,1,6),
(172929,10104101,'Does not affect Epic targets',100,1,7),
(172930,10104101,'Resistibility increases against targets higher than level 48.',100,1,8),
(172931,114435,'Mesmerizes target',100,1,0),
(172932,114435,'Prevents AOE (except when direct) ',100,1,1),
(172933,114435,'Dispelled when target takes damage',100,1,2),
(172934,114435,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(172935,114435,'Resistibility increases against targets higher than level 116.',100,1,4),
(172936,10114435,'Mesmerizes target',100,1,0),
(172937,10114435,'Prevents AOE (except when direct) ',100,1,1),
(172938,10114435,'Dispelled when target takes damage',100,1,2),
(172939,10114435,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(172940,10114435,'Resistibility increases against targets higher than level 116.',100,1,4),
(172941,175035,'When Equipped:',100,0,0),
(172942,175035,'Increases Attack Speed of caster by 30.0',100,1,1),
(172943,10175035,'When Equipped:',100,0,0),
(172944,10175035,'Increases Attack Speed of caster by 30.0',100,1,1),
(172945,27422,'When Equipped:',100,0,0),
(172946,27422,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(172947,27422,'Inflicts 60 divine damage on target',100,2,2),
(172948,27422,'Heals caster for 60',100,2,3),
(172949,27422,'Cannot be modified except by direct means',100,2,4),
(172950,10027422,'When Equipped:',100,0,0),
(172951,10027422,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(172952,10027422,'Inflicts 72 divine damage on target',100,2,2),
(172953,10027422,'Heals caster for 39',100,2,3),
(172954,10027422,'Cannot be modified except by direct means',100,2,4),
(172955,80211,'When Equipped:',100,0,0),
(172956,80211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172957,80211,'Inflicts 166 - 308 magic damage on target',100,2,2),
(172958,80211,'Cannot be modified except by direct means',100,2,3),
(172959,10080211,'When Equipped:',100,0,0),
(172960,10080211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(172961,10080211,'Inflicts 199 - 370 magic damage on target',100,2,2),
(172962,10080211,'Cannot be modified except by direct means',100,2,3),
(172963,122804,'Heals target for 1115',100,1,0),
(172964,10122804,'Heals target for 870',100,1,0),
(172965,118990,'Heals target for 267 - 327',100,1,0),
(172966,10118990,'Heals target for 284 - 347',100,1,0),
(172967,169356,'When Equipped:',100,0,0),
(172968,169356,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(172969,10169356,'When Equipped:',100,0,0),
(172970,10169356,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(172971,116621,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(172972,116621,'Increases Mitigation of group members (AE) vs arcane damage by 280',100,1,1),
(172973,10116621,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(172974,10116621,'Increases Mitigation of group members (AE) vs arcane damage by 280',100,1,1),
(172975,107439,'Summons a pet earthen avatar',100,1,0),
(172976,10107439,'Summons a pet earthen avatar',100,1,0),
(172977,52842,'Applies Sanguine Imbued when Equipped.',100,0,0),
(172978,52842,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(172979,52842,'Inflicts 151 heat damage on target',100,2,2),
(172980,52842,'Cannot be modified except by direct means',100,2,3),
(172981,10052842,'Applies Sanguine Imbued when Equipped.',100,0,0),
(172982,10052842,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(172983,10052842,'Inflicts 181 heat damage on target',100,2,2),
(172984,10052842,'Cannot be modified except by direct means',100,2,3),
(172985,75101,'Applies Mental Blast when Activated.',100,0,0),
(172986,75101,'Inflicts 174 - 291 mental damage on target',100,1,1),
(172987,75101,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(172988,10075101,'Applies Mental Blast when Activated.',100,0,0),
(172989,10075101,'Inflicts 209 - 349 mental damage on target',100,1,1),
(172990,10075101,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(172991,112111,'Dispels 16 levels of physical and arcane hostile effects on caster',100,1,0),
(172992,10112111,'Dispels 16 levels of physical and arcane hostile effects on caster',100,1,0),
(172993,184908,'When Equipped:',100,0,0),
(172994,184908,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(172995,184908,'Increases Potency of group members by 5.0%',100,2,2),
(172996,184908,'Cannot be modified except by direct means',100,2,3),
(172997,184908,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(172998,184908,'Increases Potency of group members by 5.0%',100,2,5),
(172999,184908,'Cannot be modified except by direct means',100,2,6),
(173000,184908,'Cannot be modified except by direct means',100,1,7),
(173001,184908,'When Equipped:',100,0,8),
(173002,184908,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,9),
(173003,184908,'Wards caster against 2000 points of all damage',100,2,10),
(173004,184908,'Cannot be modified except by direct means',100,2,11),
(173005,184908,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,12),
(173006,184908,'Wards caster against 2000 points of all damage',100,2,13),
(173007,184908,'Cannot be modified except by direct means',100,2,14),
(173008,10184908,'When Equipped:',100,0,0),
(173009,10184908,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(173010,10184908,'Increases Potency of group members by 5.0%',100,2,2),
(173011,10184908,'Cannot be modified except by direct means',100,2,3),
(173012,10184908,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(173013,10184908,'Increases Potency of group members by 5.0%',100,2,5),
(173014,10184908,'Cannot be modified except by direct means',100,2,6),
(173015,10184908,'Cannot be modified except by direct means',100,1,7),
(173016,10184908,'When Equipped:',100,0,8),
(173017,10184908,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,9),
(173018,10184908,'Wards caster against 1000 points of all damage',100,2,10),
(173019,10184908,'Cannot be modified except by direct means',100,2,11),
(173020,10184908,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,12),
(173021,10184908,'Wards caster against 1000 points of all damage',100,2,13),
(173022,10184908,'Cannot be modified except by direct means',100,2,14),
(173023,119170,'Inflicts 7 - 11 heat damage on target',100,1,0),
(173024,119170,'Inflicts 7 - 11 heat damage on target',100,1,1),
(173025,119170,'Requires bow',100,1,2),
(173026,10119170,'Inflicts 8 - 13 heat damage on target',100,1,0),
(173027,10119170,'Inflicts 8 - 13 heat damage on target',100,1,1),
(173028,10119170,'Requires bow',100,1,2),
(173029,81496,'When Equipped:',100,0,0),
(173030,81496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173031,81496,'Inflicts 77 - 144 magic damage on target',100,2,2),
(173032,81496,'Cannot be modified except by direct means',100,2,3),
(173033,10081496,'When Equipped:',100,0,0),
(173034,10081496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173035,10081496,'Inflicts 93 - 173 magic damage on target',100,2,2),
(173036,10081496,'Cannot be modified except by direct means',100,2,3),
(173037,35718,'Increases Max Health of target by 3.9',100,0,0),
(173038,35718,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(173039,111690,'Inflicts 229 - 280 cold damage on target',100,1,0),
(173040,111690,'Inflicts 229 - 280 cold damage on target',100,1,1),
(173041,111690,'If target is elemental',100,2,2),
(173042,10111690,'Inflicts 236 - 288 cold damage on target',100,1,0),
(173043,73167,'When Equipped:',100,0,0),
(173044,73167,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(173045,73167,'Inflicts 225 cold damage on target',100,2,2),
(173046,73167,'Cannot be modified except by direct means',100,2,3),
(173047,73167,'Cannot be modified except by direct means',100,1,4),
(173048,10073167,'When Equipped:',100,0,0),
(173049,10073167,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(173050,10073167,'Inflicts 270 cold damage on target',100,2,2),
(173051,10073167,'Cannot be modified except by direct means',100,2,3),
(173052,10073167,'Cannot be modified except by direct means',100,1,4),
(173053,123561,'Increases STR of group members (AE) by 13.9',100,1,0),
(173054,123561,'Increases Max Health of group members (AE) by 73.0',100,1,1),
(173055,10123561,'Increases STR of group members (AE) by 13.9',100,1,0),
(173056,10123561,'Increases Max Health of group members (AE) by 73.0',100,1,1),
(173057,107957,'Increases In-Combat Power Regeneration of group members (AE) by 11.9',100,1,0),
(173058,10107957,'Increases In-Combat Power Regeneration of group members (AE) by 11.9',100,1,0),
(173059,81188,'When Equipped:',100,0,0),
(173060,81188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173061,81188,'Inflicts 224 - 416 magic damage on target',100,2,2),
(173062,81188,'Cannot be modified except by direct means',100,2,3),
(173063,10081188,'When Equipped:',100,0,0),
(173064,10081188,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173065,10081188,'Inflicts 269 - 499 magic damage on target',100,2,2),
(173066,10081188,'Cannot be modified except by direct means',100,2,3),
(173067,123459,'Shapechanges caster into a bear',100,1,0),
(173068,123459,'Increases WIS of caster by 71.1',100,1,1),
(173069,123459,'Grants See Stealth to caster',100,1,2),
(173070,123459,'Increases Max Health of caster by 311.6',100,1,3),
(173071,123459,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1083',100,1,4),
(173072,10123459,'Shapechanges caster into a bear',100,1,0),
(173073,10123459,'Increases WIS of caster by 71.1',100,1,1),
(173074,10123459,'Grants See Stealth to caster',100,1,2),
(173075,10123459,'Increases Max Health of caster by 311.6',100,1,3),
(173076,10123459,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1083',100,1,4),
(173077,36716,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(173078,109760,'Inflicts 198 - 367 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(173079,10109760,'Inflicts 237 - 440 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(173080,118427,'Heals target for 1187 - 1451',100,1,0),
(173081,118427,'Increases Max Health of target by 199.7',100,1,1),
(173082,10118427,'Heals target for 1377 - 1683',100,1,0),
(173083,10118427,'Increases Max Health of target by 199.7',100,1,1),
(173084,139561,'When Equipped:',100,0,0),
(173085,139561,'On a hostile spell cast this spell has a 3% chance to cast Eye of Zet on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(173086,139561,'Increases the speed of casting timers by 10%.',100,2,2),
(173087,139561,'Cannot be modified except by direct means',100,2,3),
(173088,10139561,'When Equipped:',100,0,0),
(173089,10139561,'On a hostile spell cast this spell has a 3% chance to cast Eye of Zet on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(173090,10139561,'Increases the speed of casting timers by 10%.',100,2,2),
(173091,10139561,'Cannot be modified except by direct means',100,2,3),
(173092,113981,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(173093,113981,'Inflicts 21 - 35 melee damage on target',100,2,1),
(173094,113981,'Increases Threat to target by 113 ',100,2,2),
(173095,10113981,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(173096,10113981,'Inflicts 25 - 43 melee damage on target',100,2,1),
(173097,178592,'When Equipped:',100,0,0),
(173098,178592,'This effect will not stack with itself.',100,1,1),
(173099,178592,'On a critical healing spell cast this spell may cast Major Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(173100,178592,'Heals target for 485 - 536 instantly and every 2 seconds',100,2,3),
(173101,178592,'Wards target against 5000 points of all damage',100,2,4),
(173102,178592,'Replenishes 700 points of absorption every 2 seconds.',100,2,5),
(173103,178592,'Must not be engaged in pvp combat',100,2,6),
(173104,178592,'Cannot be modified except by direct means',100,2,7),
(173105,178592,'Must not be engaged in pvp combat',100,1,8),
(173106,10178592,'When Equipped:',100,0,0),
(173107,10178592,'This effect will not stack with itself.',100,1,1),
(173108,10178592,'On a critical healing spell cast this spell may cast Major Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(173109,10178592,'Heals target for 567 - 627 instantly and every 2 seconds',100,2,3),
(173110,10178592,'Wards target against 5000 points of all damage',100,2,4),
(173111,10178592,'Replenishes 700 points of absorption every 2 seconds.',100,2,5),
(173112,10178592,'Must not be engaged in pvp combat',100,2,6),
(173113,10178592,'Cannot be modified except by direct means',100,2,7),
(173114,10178592,'Must not be engaged in pvp combat',100,1,8),
(173115,24628,'Adds Poet''s Palace: Brass Cup to your Dungeon Maker toolbox',100,0,0),
(173116,10024628,'Adds Poet''s Palace: Brass Cup to your Dungeon Maker toolbox',100,0,0),
(173117,108969,'Increases INT of group members (AE) by 153.1',100,1,0),
(173118,108969,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 56.2',100,1,1),
(173119,10108969,'Increases INT of group members (AE) by 153.1',100,1,0),
(173120,10108969,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 56.2',100,1,1),
(173121,36078,'Increases outgoing heal and ward amount by 2%',100,0,0),
(173122,36078,'Increases WIS and STA of target by 5.4',100,0,1),
(173123,36078,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(173124,115622,'Wards target against 2848 points of all damage',100,1,0),
(173125,10115622,'Wards target against 4272 points of all damage',100,1,0),
(173126,124677,'Inflicts 96 - 118 cold damage on target instantly and every 4 seconds',100,1,0),
(173127,124677,'Slows target by 75.0%',100,1,1),
(173128,10124677,'Inflicts 116 - 141 cold damage on target',100,1,0),
(173129,10124677,'Inflicts 101 - 123 cold damage on target every 4 seconds',100,1,1),
(173130,10124677,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(173131,10124677,'Slows target by 75.0%',100,2,3),
(173132,113479,'Increases INT of target by 190.1',100,1,0),
(173133,113479,'Increases Max Health of target by 1,583.7',100,1,1),
(173134,10113479,'Increases INT of target by 190.1',100,1,0),
(173135,10113479,'Increases Max Health of target by 1,583.7',100,1,1),
(173136,113652,'Inflicts 255 - 312 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(173137,113652,'Decreases power of target encounter by 42 - 52 instantly and every 5 seconds',100,1,1),
(173138,113652,'Heals group members (AE) for 255 - 312 instantly and every 5 seconds',100,1,2),
(173139,113652,'Increases power of group members (AE) by 42 - 52 instantly and every 5 seconds',100,1,3),
(173140,10113652,'Inflicts 306 - 374 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(173141,10113652,'Decreases power of target encounter by 42 - 52 instantly and every 5 seconds',100,1,1),
(173142,10113652,'Heals group members (AE) for 166 - 202 instantly and every 5 seconds',100,1,2),
(173143,10113652,'Increases power of group members (AE) by 42 - 52 instantly and every 5 seconds',100,1,3),
(173144,121468,'Increases AGI of caster by 107.1',100,1,0),
(173145,121468,'Adds 17.2% to base avoidance.',100,1,1),
(173146,121468,'Increases Mitigation of caster vs physical damage by 1040',100,1,2),
(173147,121468,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,3),
(173148,10121468,'Increases AGI of caster by 107.1',100,1,0),
(173149,10121468,'Adds 17.2% to base avoidance.',100,1,1),
(173150,10121468,'Increases Mitigation of caster vs physical damage by 1040',100,1,2),
(173151,10121468,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,3),
(173152,72138,'When Equipped:',100,0,0),
(173153,72138,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173154,72138,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(173155,72138,'Cannot be modified except by direct means',100,2,3),
(173156,10072138,'When Equipped:',100,0,0),
(173157,10072138,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173158,10072138,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(173159,10072138,'Cannot be modified except by direct means',100,2,3),
(173160,24402,'Adds Gnoll (Mystic) to your Dungeon Maker toolbox',100,0,0),
(173161,10024402,'Adds Gnoll (Mystic) to your Dungeon Maker toolbox',100,0,0),
(173162,159608,'Applies Sanguine Imbued when Equipped.',100,0,0),
(173163,159608,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(173164,159608,'Inflicts 105 heat damage on target',100,2,2),
(173165,159608,'Cannot be modified except by direct means',100,2,3),
(173166,10159608,'Applies Sanguine Imbued when Equipped.',100,0,0),
(173167,10159608,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(173168,10159608,'Inflicts 126 heat damage on target',100,2,2),
(173169,10159608,'Cannot be modified except by direct means',100,2,3),
(173170,71992,'When Equipped:',100,0,0),
(173171,71992,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173172,71992,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(173173,71992,'Cannot be modified except by direct means',100,2,3),
(173174,10071992,'When Equipped:',100,0,0),
(173175,10071992,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173176,10071992,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(173177,10071992,'Cannot be modified except by direct means',100,2,3),
(173178,119902,'Increases INT and WIS of group members (AE) by 14.6',100,1,0),
(173179,10119902,'Increases INT and WIS of group members (AE) by 14.6',100,1,0),
(173180,55413,'When Equipped:',100,0,0),
(173181,55413,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(173182,55413,'Decreases Attack Speed of target by 11.1 - 18.5',100,2,2),
(173183,55413,'Only affects targets level 60 and below',100,2,3),
(173184,55413,'Cannot be modified except by direct means',100,2,4),
(173185,10055413,'When Equipped:',100,0,0),
(173186,10055413,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(173187,10055413,'Decreases Attack Speed of target by 11.1 - 18.5',100,2,2),
(173188,10055413,'Only affects targets level 60 and below',100,2,3),
(173189,10055413,'Cannot be modified except by direct means',100,2,4),
(173190,115744,'Inflicts 3 - 5 melee damage on target',100,1,0),
(173191,10115744,'Inflicts 3 - 6 melee damage on target',100,1,0),
(173192,111989,'Heals target for 96 - 118',100,1,0),
(173193,10111989,'Heals target for 63 - 76',100,1,0),
(173194,48841,'Applies Melernil''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(173195,48841,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(173196,10048841,'Applies Melernil''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(173197,10048841,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(173198,82474,'When Equipped:',100,0,0),
(173199,82474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173200,82474,'Inflicts 135 - 252 magic damage on target',100,2,2),
(173201,82474,'Cannot be modified except by direct means',100,2,3),
(173202,10082474,'When Equipped:',100,0,0),
(173203,10082474,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173204,10082474,'Inflicts 163 - 302 magic damage on target',100,2,2),
(173205,10082474,'Cannot be modified except by direct means',100,2,3),
(173206,80509,'When Equipped:',100,0,0),
(173207,80509,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173208,80509,'Inflicts 315 - 585 magic damage on target',100,2,2),
(173209,80509,'Decreases Threat to target by 1,219 ',100,2,3),
(173210,80509,'Must be flanking or behind',100,3,4),
(173211,80509,'Increases Threat to target by 1,224 ',100,2,5),
(173212,80509,'Must be in front of',100,3,6),
(173213,80509,'Cannot be modified except by direct means',100,2,7),
(173214,10080509,'When Equipped:',100,0,0),
(173215,10080509,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173216,10080509,'Inflicts 378 - 702 magic damage on target',100,2,2),
(173217,10080509,'Cannot be modified except by direct means',100,2,3),
(173218,25546,'When Equipped:',100,0,0),
(173219,25546,'Adds 3 triggers and 5% base damage to Hostage VI.',100,1,1),
(173220,10025546,'When Equipped:',100,0,0),
(173221,10025546,'Adds 3 triggers and 5% base damage to Hostage VI.',100,1,1),
(173222,114362,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(173223,114362,'Throws target back',100,2,1),
(173224,114362,'Stuns target',100,2,2),
(173225,114362,'Blurs vision of target',100,2,3),
(173226,114362,'Does not affect Epic targets',100,2,4),
(173227,114362,'Inflicts 70 - 117 crushing damage on target',100,1,5),
(173228,10114362,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(173229,10114362,'Throws target back',100,2,1),
(173230,10114362,'Stuns target',100,2,2),
(173231,10114362,'Blurs vision of target',100,2,3),
(173232,10114362,'Does not affect Epic targets',100,2,4),
(173233,10114362,'Inflicts 84 - 141 crushing damage on target',100,1,5),
(173234,135836,'When Equipped:',100,0,0),
(173235,135836,'Increases Attack Speed of caster by 35.0',100,1,1),
(173236,10135836,'When Equipped:',100,0,0),
(173237,10135836,'Increases Attack Speed of caster by 35.0',100,1,1),
(173238,107533,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(173239,107533,'Decreases Mitigation of target encounter vs elemental and noxious damage by 440',100,1,1),
(173240,10107533,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(173241,10107533,'Decreases Mitigation of target encounter vs elemental and noxious damage by 440',100,1,1),
(173242,82540,'When Equipped:',100,0,0),
(173243,82540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173244,82540,'Inflicts 67 - 124 magic damage on target',100,2,2),
(173245,82540,'Cannot be modified except by direct means',100,2,3),
(173246,10082540,'When Equipped:',100,0,0),
(173247,10082540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173248,10082540,'Inflicts 80 - 149 magic damage on target',100,2,2),
(173249,10082540,'Cannot be modified except by direct means',100,2,3),
(173250,158332,'Applies Hooluk in a Hat when Activated.',100,0,0),
(173251,158332,'Summons a pet Hooluk',100,1,1),
(173252,158332,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(173253,10158332,'Applies Hooluk in a Hat when Activated.',100,0,0),
(173254,10158332,'Summons a pet Hooluk',100,1,1),
(173255,10158332,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(173256,36483,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(173257,36189,'Increases STA and STR of target by 1.1',100,0,0),
(173258,36189,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(173259,46631,'Applies Helm of Foamy Goodness when Activated.',100,0,0),
(173260,10046631,'Applies Helm of Foamy Goodness when Activated.',100,0,0),
(173261,80882,'When Equipped:',100,0,0),
(173262,80882,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173263,80882,'Inflicts 184 - 342 magic damage on target',100,2,2),
(173264,80882,'Decreases Threat to target by 672 ',100,2,3),
(173265,80882,'Must be flanking or behind',100,3,4),
(173266,80882,'Increases Threat to target by 677 ',100,2,5),
(173267,80882,'Must be in front of',100,3,6),
(173268,80882,'Cannot be modified except by direct means',100,2,7),
(173269,10080882,'When Equipped:',100,0,0),
(173270,10080882,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173271,10080882,'Inflicts 221 - 410 magic damage on target',100,2,2),
(173272,10080882,'Cannot be modified except by direct means',100,2,3),
(173273,109446,'Inflicts 226 - 276 cold damage on target instantly and every 4 seconds',100,1,0),
(173274,109446,'Decreases Mitigation of target vs elemental damage by 1186',100,1,1),
(173275,10109446,'Inflicts 271 - 331 cold damage on target instantly and every 4 seconds',100,1,0),
(173276,10109446,'Decreases Mitigation of target vs elemental damage by 1186',100,1,1),
(173277,47478,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(173278,47478,'Summons a mount to ride',100,1,1),
(173279,47478,'Increases your ground speed by 130%',100,2,2),
(173280,10047478,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(173281,10047478,'Summons a mount to ride',100,1,1),
(173282,10047478,'Increases your ground speed by 130%',100,2,2),
(173283,106341,'Decreases Mitigation of target vs arcane damage by 306',100,1,0),
(173284,106341,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(173285,106341,'Slows target by 44.0%',100,2,2),
(173286,106341,'5% chance to dispel when target receives hostile action',100,2,3),
(173287,106341,'5% chance to dispel when target takes damage',100,2,4),
(173288,10106341,'Decreases Mitigation of target vs arcane damage by 306',100,1,0),
(173289,10106341,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(173290,10106341,'Slows target by 44.0%',100,2,2),
(173291,10106341,'5% chance to dispel when target receives hostile action',100,2,3),
(173292,10106341,'5% chance to dispel when target takes damage',100,2,4),
(173293,81628,'When Equipped:',100,0,0),
(173294,81628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173295,81628,'Inflicts 107 - 199 magic damage on target',100,2,2),
(173296,81628,'Cannot be modified except by direct means',100,2,3),
(173297,10081628,'When Equipped:',100,0,0),
(173298,10081628,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173299,10081628,'Inflicts 128 - 238 magic damage on target',100,2,2),
(173300,10081628,'Cannot be modified except by direct means',100,2,3),
(173301,46641,'Applies Holy Anti-Venin when Activated.',100,0,0),
(173302,46641,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(173303,10046641,'Applies Holy Anti-Venin when Activated.',100,0,0),
(173304,10046641,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(173305,120488,'Inflicts 16 - 27 melee damage on target',100,1,0),
(173306,120488,'Must be flanking or behind',100,1,1),
(173307,10120488,'Inflicts 19 - 33 melee damage on target',100,1,0),
(173308,10120488,'Must be flanking or behind',100,1,1),
(173309,101441,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(173310,101441,'Increases Mitigation of group members (AE) vs noxious damage by 431',100,1,1),
(173311,10101441,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(173312,10101441,'Increases Mitigation of group members (AE) vs noxious damage by 431',100,1,1),
(173313,52584,'When Equipped:',100,0,0),
(173314,52584,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(173315,52584,'Wards caster against 280 points of all damage',100,2,2),
(173316,52584,'Cannot be modified except by direct means',100,2,3),
(173317,10052584,'When Equipped:',100,0,0),
(173318,10052584,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(173319,10052584,'Wards caster against 280 points of all damage',100,2,2),
(173320,10052584,'Cannot be modified except by direct means',100,2,3),
(173321,81095,'When Equipped:',100,0,0),
(173322,81095,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173323,81095,'Inflicts 130 - 241 magic damage on target',100,2,2),
(173324,81095,'Cannot be modified except by direct means',100,2,3),
(173325,10081095,'When Equipped:',100,0,0),
(173326,10081095,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173327,10081095,'Inflicts 156 - 290 magic damage on target',100,2,2),
(173328,10081095,'Cannot be modified except by direct means',100,2,3),
(173329,116846,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(173330,116846,'Inflicts 288 - 352 mental damage on target',100,2,1),
(173331,116846,'Grants a total of 3 triggers of the spell.',100,2,2),
(173332,10116846,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(173333,10116846,'Inflicts 345 - 422 mental damage on target',100,2,1),
(173334,10116846,'Grants a total of 3 triggers of the spell.',100,2,2),
(173335,52742,'Applies Sanguine Imbued when Equipped.',100,0,0),
(173336,52742,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(173337,52742,'Inflicts 55 heat damage on target',100,2,2),
(173338,52742,'Cannot be modified except by direct means',100,2,3),
(173339,10052742,'Applies Sanguine Imbued when Equipped.',100,0,0),
(173340,10052742,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(173341,10052742,'Inflicts 66 heat damage on target',100,2,2),
(173342,10052742,'Cannot be modified except by direct means',100,2,3),
(173343,110897,'Inflicts 454 - 554 heat damage on target encounter',100,1,0),
(173344,10110897,'Inflicts 544 - 665 heat damage on target encounter',100,1,0),
(173345,118108,'Heals target for 178 - 218',100,1,0),
(173346,10118108,'Heals target for 211 - 257',100,1,0),
(173347,102782,'Increases STR of caster by 48.7',100,1,0),
(173348,102782,'Increases Max Health of caster by 287.4',100,1,1),
(173349,102782,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1327',100,1,2),
(173350,10102782,'Increases STR of caster by 48.7',100,1,0),
(173351,10102782,'Increases Max Health of caster by 287.4',100,1,1),
(173352,10102782,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1327',100,1,2),
(173353,145998,'When Equipped:',100,0,0),
(173354,145998,'Increases Hate Gain of caster by 5.0%',100,1,1),
(173355,145998,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,2),
(173356,145998,'Gives caster an extra 5.0% mitigation to their worn armor',100,1,3),
(173357,145998,'Must not be engaged in pvp combat',100,1,4),
(173358,10145998,'When Equipped:',100,0,0),
(173359,10145998,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,1),
(173360,10145998,'Gives caster an extra 5.0% mitigation to their worn armor',100,1,2),
(173361,10145998,'Must not be engaged in pvp combat',100,1,3),
(173362,88018,'When Equipped:',100,0,0),
(173363,88018,'On a healing spell cast this spell may cast Absolve Vitae on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(173364,88018,'Heals group members (AE) for 192',100,2,2),
(173365,88018,'Cannot be modified except by direct means',100,2,3),
(173366,10088018,'When Equipped:',100,0,0),
(173367,10088018,'On a healing spell cast this spell may cast Absolve Vitae on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(173368,10088018,'Heals group members (AE) for 125',100,2,2),
(173369,10088018,'Cannot be modified except by direct means',100,2,3),
(173370,174725,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(173371,174725,'Decreases Mitigation of target vs physical damage by 405',100,1,1),
(173372,174725,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(173373,10174725,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(173374,10174725,'Decreases Mitigation of target vs physical damage by 405',100,1,1),
(173375,10174725,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(173376,114961,'Decreases Attack Speed of target by 12.5',100,1,0),
(173377,114961,'Inflicts 40 - 122 slashing damage on target',100,1,1),
(173378,114961,'Inflicts 82 slashing damage on target instantly and every 4 seconds',100,1,2),
(173379,10114961,'Decreases Attack Speed of target by 12.5',100,1,0),
(173380,10114961,'Inflicts 48 - 146 slashing damage on target',100,1,1),
(173381,10114961,'Inflicts 98 slashing damage on target instantly and every 4 seconds',100,1,2),
(173382,81556,'When Equipped:',100,0,0),
(173383,81556,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173384,81556,'Inflicts 107 - 199 magic damage on target',100,2,2),
(173385,81556,'Decreases Threat to target by 376 ',100,2,3),
(173386,81556,'Must be flanking or behind',100,3,4),
(173387,81556,'Increases Threat to target by 381 ',100,2,5),
(173388,81556,'Must be in front of',100,3,6),
(173389,81556,'Cannot be modified except by direct means',100,2,7),
(173390,10081556,'When Equipped:',100,0,0),
(173391,10081556,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173392,10081556,'Inflicts 128 - 238 magic damage on target',100,2,2),
(173393,10081556,'Cannot be modified except by direct means',100,2,3),
(173394,80992,'When Equipped:',100,0,0),
(173395,80992,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173396,80992,'Inflicts 67 - 124 magic damage on target',100,2,2),
(173397,80992,'Cannot be modified except by direct means',100,2,3),
(173398,10080992,'When Equipped:',100,0,0),
(173399,10080992,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173400,10080992,'Inflicts 80 - 149 magic damage on target',100,2,2),
(173401,10080992,'Cannot be modified except by direct means',100,2,3),
(173402,166500,'When Equipped:',100,0,0),
(173403,166500,'On a critical combat hit this spell may cast Critical Perfection II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(173404,166500,'Decreases Crit Chance of target by 2.0',100,2,2),
(173405,166500,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(173406,166500,'Increases Crit Bonus of caster by 2.5%',100,2,4),
(173407,166500,'Increases Crit Chance of caster by 2.5',100,2,5),
(173408,166500,'Must not be engaged in pvp combat',100,2,6),
(173409,166500,'Cannot be modified except by direct means',100,2,7),
(173410,166500,'On a critical spell hit this spell may cast Critical Perfection II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(173411,166500,'Decreases Crit Chance of target by 2.0',100,2,9),
(173412,166500,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(173413,166500,'Increases Crit Bonus of caster by 2.5%',100,2,11),
(173414,166500,'Increases Crit Chance of caster by 2.5',100,2,12),
(173415,166500,'Must not be engaged in pvp combat',100,2,13),
(173416,166500,'Cannot be modified except by direct means',100,2,14),
(173417,166500,'Must not be engaged in pvp combat',100,1,15),
(173418,10166500,'When Equipped:',100,0,0),
(173419,10166500,'On a critical combat hit this spell may cast Critical Perfection II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(173420,10166500,'Decreases Crit Chance of target by 2.0',100,2,2),
(173421,10166500,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(173422,10166500,'Increases Crit Bonus of caster by 2.5%',100,2,4),
(173423,10166500,'Increases Crit Chance of caster by 2.5',100,2,5),
(173424,10166500,'Must not be engaged in pvp combat',100,2,6),
(173425,10166500,'Cannot be modified except by direct means',100,2,7),
(173426,10166500,'On a critical spell hit this spell may cast Critical Perfection II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(173427,10166500,'Decreases Crit Chance of target by 2.0',100,2,9),
(173428,10166500,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(173429,10166500,'Increases Crit Bonus of caster by 2.5%',100,2,11),
(173430,10166500,'Increases Crit Chance of caster by 2.5',100,2,12),
(173431,10166500,'Must not be engaged in pvp combat',100,2,13),
(173432,10166500,'Cannot be modified except by direct means',100,2,14),
(173433,10166500,'Must not be engaged in pvp combat',100,1,15),
(173434,124762,'Inflicts 429 - 524 disease damage on target encounter',100,1,0),
(173435,10124762,'Inflicts 515 - 629 disease damage on target encounter',100,1,0),
(173436,72176,'When Equipped:',100,0,0),
(173437,72176,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173438,72176,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(173439,72176,'Cannot be modified except by direct means',100,2,3),
(173440,10072176,'When Equipped:',100,0,0),
(173441,10072176,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173442,10072176,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(173443,10072176,'Cannot be modified except by direct means',100,2,3),
(173444,177546,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(173445,177546,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(173446,177546,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(173447,177546,'Cannot be modified except by direct means',100,2,3),
(173448,10177546,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(173449,10177546,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(173450,10177546,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(173451,10177546,'Cannot be modified except by direct means',100,2,3),
(173452,106043,'Increases AGI of caster by 19.4',100,1,0),
(173453,106043,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(173454,106043,'Inflicts 20 - 33 disease damage on target',100,2,2),
(173455,106043,'Adds 15.6% to base avoidance.',100,1,3),
(173456,106043,'Increases Mitigation of caster vs physical damage by 91',100,1,4),
(173457,106043,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',100,1,5),
(173458,10106043,'Increases AGI of caster by 19.4',100,1,0),
(173459,10106043,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(173460,10106043,'Inflicts 23 - 39 disease damage on target',100,2,2),
(173461,10106043,'Adds 15.6% to base avoidance.',100,1,3),
(173462,10106043,'Increases Mitigation of caster vs physical damage by 91',100,1,4),
(173463,10106043,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',100,1,5),
(173464,75035,'Applies Mental Blast when Activated.',100,0,0),
(173465,75035,'Inflicts 49 - 82 mental damage on target',100,1,1),
(173466,75035,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(173467,10075035,'Applies Mental Blast when Activated.',100,0,0),
(173468,10075035,'Inflicts 59 - 98 mental damage on target',100,1,1),
(173469,10075035,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(173470,123420,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(173471,123420,'Stuns target',100,2,1),
(173472,123420,'Blurs vision of target',100,2,2),
(173473,123420,'Throws target back',100,2,3),
(173474,123420,'Does not affect Epic targets',100,2,4),
(173475,123420,'Inflicts 128 - 384 melee damage on target',100,1,5),
(173476,10123420,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(173477,10123420,'Stuns target',100,2,1),
(173478,10123420,'Throws target back',100,2,2),
(173479,10123420,'Blurs vision of target',100,2,3),
(173480,10123420,'Does not affect Epic targets',100,2,4),
(173481,10123420,'Inflicts 153 - 460 melee damage on target',100,1,5),
(173482,162766,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,0),
(173483,162766,'Increases the chance of all procs by 25 percent.',100,1,1),
(173484,162766,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(173485,10162766,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,0),
(173486,10162766,'Increases the chance of all procs by 25 percent.',100,1,1),
(173487,10162766,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(173488,116228,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(173489,116228,'Inflicts 393 - 480 mental damage on target',100,2,1),
(173490,116228,'Increases INT of group members (AE) by 116.2',100,1,2),
(173491,10116228,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(173492,10116228,'Inflicts 471 - 576 mental damage on target',100,2,1),
(173493,10116228,'Increases INT of group members (AE) by 116.2',100,1,2),
(173494,110413,'Inflicts 1617 - 2695 disease damage on target',100,1,0),
(173495,10110413,'Inflicts 1331 - 2218 disease damage on target',100,1,0),
(173496,35777,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(173497,171969,'When Equipped:',100,0,0),
(173498,171969,'On a critical healing spell cast this spell may cast Flockmaster''s Protection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(173499,171969,'This effect applies to both the caster and the target.',100,2,2),
(173500,171969,'When any damage is received this spell will cast Flockmaster''s Protection on target.  ',100,2,3),
(173501,171969,'Heals target for 50 - 55',100,3,4),
(173502,171969,'Must not be engaged in pvp combat',100,3,5),
(173503,171969,'Cannot be modified except by direct means',100,3,6),
(173504,171969,'Grants a total of 5 triggers of the spell.',100,3,7),
(173505,171969,'Must not be engaged in pvp combat',100,2,8),
(173506,171969,'Cannot be modified except by direct means',100,2,9),
(173507,171969,'Must not be engaged in pvp combat',100,1,10),
(173508,10171969,'When Equipped:',100,0,0),
(173509,10171969,'On a critical healing spell cast this spell may cast Flockmaster''s Protection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(173510,10171969,'This effect applies to both the caster and the target.',100,2,2),
(173511,10171969,'When any damage is received this spell will cast Flockmaster''s Protection on target.  ',100,2,3),
(173512,10171969,'Heals target for 32 - 36',100,3,4),
(173513,10171969,'Must not be engaged in pvp combat',100,3,5),
(173514,10171969,'Cannot be modified except by direct means',100,3,6),
(173515,10171969,'Grants a total of 5 triggers of the spell.',100,3,7),
(173516,10171969,'Must not be engaged in pvp combat',100,2,8),
(173517,10171969,'Cannot be modified except by direct means',100,2,9),
(173518,10171969,'Must not be engaged in pvp combat',100,1,10),
(173519,111030,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(173520,111030,'Increases Threat to target by 198 ',100,2,1),
(173521,111030,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(173522,111030,'Increases Threat to target by 198 ',100,2,3),
(173523,10111030,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(173524,10111030,'Inflicts 26 - 29 crushing damage on target',100,2,1),
(173525,10111030,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(173526,10111030,'Inflicts 26 - 29 crushing damage on target',100,2,3),
(173527,35729,'Increases Max Power of target by 5.5',100,0,0),
(173528,35729,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(173529,105772,'Inflicts 83 - 101 heat damage on target',100,1,0),
(173530,10105772,'Inflicts 132 - 162 heat damage on target',100,1,0),
(173531,159275,'When Equipped:',100,0,0),
(173532,159275,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173533,159275,'Increases WIS of caster by 5.1',100,2,2),
(173534,159275,'Increases Ordination, Focus and Ministration of caster by 3.3',100,2,3),
(173535,159275,'Cannot be modified except by direct means',100,2,4),
(173536,10159275,'When Equipped:',100,0,0),
(173537,10159275,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173538,10159275,'Increases WIS of caster by 5.1',100,2,2),
(173539,10159275,'Increases Ordination, Focus and Ministration of caster by 3.3',100,2,3),
(173540,10159275,'Cannot be modified except by direct means',100,2,4),
(173541,123979,'Inflicts 496 - 827 melee damage on target',100,1,0),
(173542,123979,'Decreases AGI of target by 65.0',100,1,1),
(173543,123979,'Must be behind',100,1,2),
(173544,10123979,'Inflicts 595 - 992 melee damage on target',100,1,0),
(173545,10123979,'Decreases AGI of target by 65.0',100,1,1),
(173546,10123979,'Must be behind',100,1,2),
(173547,87341,'When Equipped:',100,0,0),
(173548,87341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173549,87341,'Inflicts 96 - 144 magic damage on target',100,2,2),
(173550,87341,'Cannot be modified except by direct means',100,2,3),
(173551,10087341,'When Equipped:',100,0,0),
(173552,10087341,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173553,10087341,'Inflicts 115 - 173 magic damage on target',100,2,2),
(173554,10087341,'Cannot be modified except by direct means',100,2,3),
(173555,80164,'When Equipped:',100,0,0),
(173556,80164,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173557,80164,'Inflicts 166 - 308 magic damage on target',100,2,2),
(173558,80164,'Cannot be modified except by direct means',100,2,3),
(173559,10080164,'When Equipped:',100,0,0),
(173560,10080164,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173561,10080164,'Inflicts 199 - 370 magic damage on target',100,2,2),
(173562,10080164,'Cannot be modified except by direct means',100,2,3),
(173563,35359,'Increases AGI of target by 1.5',100,0,0),
(173564,35359,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(173565,81462,'When Equipped:',100,0,0),
(173566,81462,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173567,81462,'Inflicts 77 - 144 magic damage on target',100,2,2),
(173568,81462,'Decreases Threat to target by 352 ',100,2,3),
(173569,81462,'Must be flanking or behind',100,3,4),
(173570,81462,'Increases Threat to target by 357 ',100,2,5),
(173571,81462,'Must be in front of',100,3,6),
(173572,81462,'Cannot be modified except by direct means',100,2,7),
(173573,10081462,'When Equipped:',100,0,0),
(173574,10081462,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173575,10081462,'Inflicts 93 - 173 magic damage on target',100,2,2),
(173576,10081462,'Cannot be modified except by direct means',100,2,3),
(173577,110634,'Inflicts 541 - 902 ranged damage on target',100,1,0),
(173578,110634,'If weapon equipped in Ranged',100,1,1),
(173579,110634,'Must be flanking or behind',100,1,2),
(173580,10110634,'Inflicts 336 - 561 ranged damage on target',100,1,0),
(173581,10110634,'If weapon equipped in Ranged',100,1,1),
(173582,10110634,'Must be flanking or behind',100,1,2),
(173583,147015,'When Equipped:',100,0,0),
(173584,147015,'When any damage is received this spell has a 7.5% chance to cast Distract on target''s attacker.  ',100,1,1),
(173585,147015,'Decreases Threat to targets in Area of Effect by 214 - 357 ',100,2,2),
(173586,147015,'Cannot be modified except by direct means',100,2,3),
(173587,10147015,'When Equipped:',100,0,0),
(173588,10147015,'When any damage is received this spell has a 7.5% chance to cast Distract on target''s attacker.  ',100,1,1),
(173589,10147015,'Cannot be modified except by direct means',100,2,2),
(173590,105593,'Decreases power of target encounter by 31 - 38 instantly and every 3 seconds',100,1,0),
(173591,105593,'Inflicts 72 - 133 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(173592,105593,'Heals group members (AE) for 36 - 66 instantly and every 3 seconds',100,1,2),
(173593,105593,'Increases power of group members (AE) by 14 instantly and every 3 seconds',100,1,3),
(173594,10105593,'Decreases power of target encounter by 31 - 38 instantly and every 3 seconds',100,1,0),
(173595,10105593,'Inflicts 86 - 160 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(173596,10105593,'Heals group members (AE) for 23 - 43 instantly and every 3 seconds',100,1,2),
(173597,10105593,'Increases power of group members (AE) by 14 instantly and every 3 seconds',100,1,3),
(173598,113255,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(173599,113255,'Inflicts 58 - 97 magic damage on target',100,2,1),
(173600,113255,'Grants a total of 8 triggers of the spell.',100,2,2),
(173601,10113255,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(173602,10113255,'Inflicts 70 - 117 magic damage on target',100,2,1),
(173603,10113255,'Grants a total of 8 triggers of the spell.',100,2,2),
(173604,100338,'Increases Max Health of target by 121.7',100,1,0),
(173605,100338,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.9',100,1,1),
(173606,10100338,'Increases Max Health of target by 121.7',100,1,0),
(173607,10100338,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.9',100,1,1),
(173608,103185,'Increases Mitigation of caster vs physical damage by 182',100,1,0),
(173609,103185,'Roots caster',100,1,1),
(173610,10103185,'Increases Mitigation of caster vs physical damage by 182',100,1,0),
(173611,10103185,'Roots caster',100,1,1),
(173612,110864,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(173613,110864,'Inflicts 506 - 843 divine damage on target',100,2,1),
(173614,110864,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(173615,110864,'Stuns target',100,3,3),
(173616,110864,'Blurs vision of target',100,3,4),
(173617,110864,'Throws target back',100,3,5),
(173618,110864,'Does not affect Epic targets',100,3,6),
(173619,110864,'Grants a total of 3 triggers of the spell.',100,2,7),
(173620,10110864,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(173621,10110864,'Inflicts 607 - 1012 divine damage on target',100,2,1),
(173622,10110864,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(173623,10110864,'Stuns target',100,3,3),
(173624,10110864,'Throws target back',100,3,4),
(173625,10110864,'Blurs vision of target',100,3,5),
(173626,10110864,'Does not affect Epic targets',100,3,6),
(173627,10110864,'Grants a total of 3 triggers of the spell.',100,2,7),
(173628,163427,'When Equipped:',100,0,0),
(173629,163427,'Increases Attack Speed of caster by 40.0',100,1,1),
(173630,10163427,'When Equipped:',100,0,0),
(173631,10163427,'Increases Attack Speed of caster by 40.0',100,1,1),
(173632,90314,'When Equipped:',100,0,0),
(173633,90314,'On a combat hit this spell may cast Malisement on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173634,90314,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 527 - 643',100,2,2),
(173635,90314,'Cannot be modified except by direct means',100,2,3),
(173636,10090314,'When Equipped:',100,0,0),
(173637,10090314,'On a combat hit this spell may cast Malisement on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173638,10090314,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 527 - 643',100,2,2),
(173639,10090314,'Cannot be modified except by direct means',100,2,3),
(173640,164591,'Applies Unstable Magics when Equipped.',100,0,0),
(173641,164591,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(173642,10164591,'Applies Unstable Magics when Equipped.',100,0,0),
(173643,10164591,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(173644,87507,'When Equipped:',100,0,0),
(173645,87507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173646,87507,'Inflicts 96 - 144 magic damage on target',100,2,2),
(173647,87507,'Cannot be modified except by direct means',100,2,3),
(173648,10087507,'When Equipped:',100,0,0),
(173649,10087507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173650,10087507,'Inflicts 115 - 173 magic damage on target',100,2,2),
(173651,10087507,'Cannot be modified except by direct means',100,2,3),
(173652,144123,'When Equipped:',100,0,0),
(173653,144123,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(173654,144123,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(173655,144123,'Inflicts 281 mental damage on target',100,2,3),
(173656,144123,'Must not be classified as an undead',100,3,4),
(173657,144123,'Inflicts 562 mental damage on target',100,2,5),
(173658,144123,'Must be classified as an undead',100,3,6),
(173659,144123,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(173660,144123,'Must be classified as an undead',100,3,8),
(173661,144123,'Cannot be modified except by direct means',100,2,9),
(173662,144123,'When Equipped:',100,0,10),
(173663,144123,'Reduces reuse time of beneficial spells by 1 percent.',100,1,11),
(173664,10144123,'When Equipped:',100,0,0),
(173665,10144123,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(173666,10144123,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(173667,10144123,'Inflicts 337 mental damage on target',100,2,3),
(173668,10144123,'Must not be classified as an undead',100,3,4),
(173669,10144123,'Inflicts 674 mental damage on target',100,2,5),
(173670,10144123,'Must be classified as an undead',100,3,6),
(173671,10144123,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(173672,10144123,'Must be classified as an undead',100,3,8),
(173673,10144123,'Cannot be modified except by direct means',100,2,9),
(173674,10144123,'When Equipped:',100,0,10),
(173675,10144123,'Reduces reuse time of beneficial spells by 1 percent.',100,1,11),
(173676,75006,'When Equipped:',100,0,0),
(173677,75006,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173678,75006,'Inflicts 179 - 269 magic damage on target',100,2,2),
(173679,75006,'Cannot be modified except by direct means',100,2,3),
(173680,10075006,'When Equipped:',100,0,0),
(173681,10075006,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173682,10075006,'Inflicts 215 - 322 magic damage on target',100,2,2),
(173683,10075006,'Cannot be modified except by direct means',100,2,3),
(173684,75238,'When Equipped:',100,0,0),
(173685,75238,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(173686,75238,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(173687,75238,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(173688,75238,'Heals caster for 1185 - 1309',100,2,4),
(173689,75238,'Must not be engaged in pvp combat',100,2,5),
(173690,75238,'Cannot be modified except by direct means',100,2,6),
(173691,75238,'Cannot be modified except by direct means',100,1,7),
(173692,10075238,'When Equipped:',100,0,0),
(173693,10075238,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(173694,10075238,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(173695,10075238,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(173696,10075238,'Heals caster for 1386 - 1532',100,2,4),
(173697,10075238,'Must not be engaged in pvp combat',100,2,5),
(173698,10075238,'Cannot be modified except by direct means',100,2,6),
(173699,10075238,'Cannot be modified except by direct means',100,1,7),
(173700,46124,'Applies Elixir of Thought when Activated.  Lasts for 30.0 seconds.',100,0,0),
(173701,46124,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(173702,10046124,'Applies Elixir of Thought when Activated.  Lasts for 30.0 seconds.',100,0,0),
(173703,10046124,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(173704,114206,'Inflicts 292 - 487 melee damage on target',100,1,0),
(173705,114206,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(173706,10114206,'Inflicts 351 - 585 melee damage on target',100,1,0),
(173707,10114206,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(173708,80010,'When Equipped:',100,0,0),
(173709,80010,'Improves the damage of rear based combat arts by 30%',100,1,1),
(173710,80010,'When Equipped:',100,0,2),
(173711,80010,'On a combat hit this spell may cast Havoc''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,3),
(173712,80010,'Inflicts 550 - 825 piercing damage on target',100,2,4),
(173713,80010,'Increases Multi Attack Chance of caster by 15.0',100,2,5),
(173714,80010,'Cannot be modified except by direct means',100,2,6),
(173715,80010,'Cannot be modified except by direct means',100,1,7),
(173716,80010,'When Equipped:',100,0,8),
(173717,80010,'Improves the Brigand''s profession debuffs by 10%.',100,1,9),
(173718,10080010,'When Equipped:',100,0,0),
(173719,10080010,'Improves the damage of rear based combat arts by 30%',100,1,1),
(173720,10080010,'When Equipped:',100,0,2),
(173721,10080010,'On a combat hit this spell may cast Havoc''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,3),
(173722,10080010,'Inflicts 660 - 990 piercing damage on target',100,2,4),
(173723,10080010,'Increases Multi Attack Chance of caster by 15.0',100,2,5),
(173724,10080010,'Cannot be modified except by direct means',100,2,6),
(173725,10080010,'Cannot be modified except by direct means',100,1,7),
(173726,10080010,'When Equipped:',100,0,8),
(173727,10080010,'Improves the Brigand''s profession debuffs by 10%.',100,1,9),
(173728,46862,'Applies Cense Room when Activated.',100,0,0),
(173729,46862,'This effect cannot be cast during combat',100,1,1),
(173730,10046862,'Applies Cense Room when Activated.',100,0,0),
(173731,10046862,'This effect cannot be cast during combat',100,1,1),
(173732,74555,'When Equipped:',100,0,0),
(173733,74555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173734,74555,'Inflicts 133 - 199 magic damage on target',100,2,2),
(173735,74555,'Cannot be modified except by direct means',100,2,3),
(173736,10074555,'When Equipped:',100,0,0),
(173737,10074555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173738,10074555,'Inflicts 159 - 239 magic damage on target',100,2,2),
(173739,10074555,'Cannot be modified except by direct means',100,2,3),
(173740,105277,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(173741,105277,'Inflicts 23 - 39 mental damage on target',100,2,1),
(173742,105277,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,2),
(173743,105277,'Inflicts 23 - 39 mental damage on target',100,2,3),
(173744,105277,'Increases AGI of caster by 33.3',100,1,4),
(173745,105277,'Adds 18.7% to base avoidance.',100,1,5),
(173746,105277,'Increases Mitigation of caster vs physical damage by 109',100,1,6),
(173747,105277,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,7),
(173748,10105277,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(173749,10105277,'Inflicts 28 - 47 mental damage on target',100,2,1),
(173750,10105277,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,2),
(173751,10105277,'Inflicts 28 - 47 mental damage on target',100,2,3),
(173752,10105277,'Increases AGI of caster by 33.3',100,1,4),
(173753,10105277,'Adds 18.7% to base avoidance.',100,1,5),
(173754,10105277,'Increases Mitigation of caster vs physical damage by 109',100,1,6),
(173755,10105277,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,7),
(173756,45536,'Applies Aegis of the Windrider  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(173757,45536,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(173758,45536,'Inflicts 5 magic damage on target',100,2,2),
(173759,45536,'Cannot be modified except by direct means',100,2,3),
(173760,10045536,'Applies Aegis of the Windrider  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(173761,10045536,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(173762,10045536,'Inflicts 5 magic damage on target',100,2,2),
(173763,10045536,'Cannot be modified except by direct means',100,2,3),
(173764,71856,'When Equipped:',100,0,0),
(173765,71856,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173766,71856,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(173767,71856,'Cannot be modified except by direct means',100,2,3),
(173768,10071856,'When Equipped:',100,0,0),
(173769,10071856,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173770,10071856,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(173771,10071856,'Cannot be modified except by direct means',100,2,3),
(173772,115189,'Heals target for 721 - 881',100,1,0),
(173773,10115189,'Heals target for 976 - 1193',100,1,0),
(173774,40664,'When Equipped:',100,0,0),
(173775,40664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173776,40664,'Inflicts 147 - 221 magic damage on target',100,2,2),
(173777,40664,'Cannot be modified except by direct means',100,2,3),
(173778,10040664,'When Equipped:',100,0,0),
(173779,10040664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173780,10040664,'Inflicts 177 - 265 magic damage on target',100,2,2),
(173781,10040664,'Cannot be modified except by direct means',100,2,3),
(173782,121795,'Heals target for 314 - 384',100,1,0),
(173783,121795,'Heals target for 52 - 64 every second',100,1,1),
(173784,10121795,'Heals target for 545 - 666',100,1,0),
(173785,10121795,'Heals target for 45 - 55 every second',100,1,1),
(173786,121323,'Inflicts 663 - 1106 ranged damage on targets in area',100,1,0),
(173787,121323,'Requires bow',100,1,1),
(173788,10121323,'Inflicts 507 - 846 ranged damage on targets in area',100,1,0),
(173789,10121323,'Requires bow',100,1,1),
(173790,35775,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(173791,80856,'When Equipped:',100,0,0),
(173792,80856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173793,80856,'Inflicts 190 - 352 magic damage on target',100,2,2),
(173794,80856,'Cannot be modified except by direct means',100,2,3),
(173795,10080856,'When Equipped:',100,0,0),
(173796,10080856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173797,10080856,'Inflicts 228 - 423 magic damage on target',100,2,2),
(173798,10080856,'Cannot be modified except by direct means',100,2,3),
(173799,45655,'Applies Elixir of Understanding  when Activated.',100,0,0),
(173800,45655,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(173801,10045655,'Applies Elixir of Understanding  when Activated.',100,0,0),
(173802,10045655,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(173803,89041,'Applies Mental Blast when Activated.',100,0,0),
(173804,89041,'Inflicts 119 - 199 mental damage on target',100,1,1),
(173805,89041,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(173806,10089041,'Applies Mental Blast when Activated.',100,0,0),
(173807,10089041,'Inflicts 143 - 239 mental damage on target',100,1,1),
(173808,10089041,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(173809,124564,'Roots targets in Area of Effect',100,1,0),
(173810,124564,'If Target is not Epic',100,2,1),
(173811,124564,'Decreases Threat to targets in Area of Effect by 520 ',100,1,2),
(173812,124564,'Interrupts targets in Area of Effect',100,1,3),
(173813,10124564,'Roots targets in Area of Effect',100,1,0),
(173814,10124564,'If Target is not Epic',100,2,1),
(173815,10124564,'Applies Distract.',100,1,2),
(173816,10124564,'Forces target to clear their selected target.',100,2,3),
(173817,10124564,'Interrupts targets in Area of Effect',100,1,4),
(173818,10124564,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(173819,123048,'Summons a pet undead knight',100,1,0),
(173820,10123048,'Summons a pet undead knight',100,1,0),
(173821,121427,'Inflicts 1734 - 2119 ranged damage on targets in area',100,1,0),
(173822,10121427,'Inflicts 1474 - 1801 ranged damage on targets in area',100,1,0),
(173823,71865,'When Equipped:',100,0,0),
(173824,71865,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173825,71865,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(173826,71865,'Cannot be modified except by direct means',100,2,3),
(173827,10071865,'When Equipped:',100,0,0),
(173828,10071865,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173829,10071865,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(173830,10071865,'Cannot be modified except by direct means',100,2,3),
(173831,71427,'When Equipped:',100,0,0),
(173832,71427,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173833,71427,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(173834,71427,'Cannot be modified except by direct means',100,2,3),
(173835,10071427,'When Equipped:',100,0,0),
(173836,10071427,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173837,10071427,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(173838,10071427,'Cannot be modified except by direct means',100,2,3),
(173839,52912,'Applies Sanguine Imbued when Equipped.',100,0,0),
(173840,52912,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(173841,52912,'Inflicts 75 heat damage on target',100,2,2),
(173842,52912,'Cannot be modified except by direct means',100,2,3),
(173843,10052912,'Applies Sanguine Imbued when Equipped.',100,0,0),
(173844,10052912,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(173845,10052912,'Inflicts 90 heat damage on target',100,2,2),
(173846,10052912,'Cannot be modified except by direct means',100,2,3),
(173847,133836,'When Equipped:',100,0,0),
(173848,133836,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(173849,10133836,'When Equipped:',100,0,0),
(173850,10133836,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(173851,159397,'Applies Lambent Imbued when Equipped.',100,0,0),
(173852,159397,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(173853,159397,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(173854,159397,'Cannot be modified except by direct means',100,2,3),
(173855,10159397,'Applies Lambent Imbued when Equipped.',100,0,0),
(173856,10159397,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(173857,10159397,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(173858,10159397,'Cannot be modified except by direct means',100,2,3),
(173859,88496,'When Equipped:',100,0,0),
(173860,88496,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(173861,88496,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(173862,88496,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(173863,88496,'Heals caster for 1185 - 1309',100,2,4),
(173864,88496,'Decreases Piercing, Crushing, Slashing and Ranged of target by 22.0',100,2,5),
(173865,88496,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(173866,88496,'Must not be engaged in pvp combat',100,2,7),
(173867,88496,'Cannot be modified except by direct means',100,2,8),
(173868,88496,'Cannot be modified except by direct means',100,1,9),
(173869,88496,'When Equipped:',100,0,10),
(173870,88496,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(173871,88496,'Increases Attack Speed of caster by 6.0',100,2,12),
(173872,88496,'Increases Damage Per Second of caster by 9.0',100,2,13),
(173873,88496,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(173874,88496,'Must not be engaged in pvp combat',100,2,15),
(173875,88496,'Cannot be modified except by direct means',100,2,16),
(173876,88496,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,17),
(173877,88496,'Cannot be modified except by direct means',100,1,18),
(173878,10088496,'When Equipped:',100,0,0),
(173879,10088496,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(173880,10088496,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(173881,10088496,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(173882,10088496,'Heals caster for 1386 - 1532',100,2,4),
(173883,10088496,'Decreases Piercing, Crushing, Slashing and Ranged of target by 22.0',100,2,5),
(173884,10088496,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(173885,10088496,'Must not be engaged in pvp combat',100,2,7),
(173886,10088496,'Cannot be modified except by direct means',100,2,8),
(173887,10088496,'Cannot be modified except by direct means',100,1,9),
(173888,10088496,'When Equipped:',100,0,10),
(173889,10088496,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(173890,10088496,'Increases Attack Speed of caster by 6.0',100,2,12),
(173891,10088496,'Increases Damage Per Second of caster by 9.0',100,2,13),
(173892,10088496,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(173893,10088496,'Must not be engaged in pvp combat',100,2,15),
(173894,10088496,'Cannot be modified except by direct means',100,2,16),
(173895,10088496,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,17),
(173896,10088496,'Cannot be modified except by direct means',100,1,18),
(173897,159861,'Applies Lambent Imbued when Equipped.',100,0,0),
(173898,159861,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(173899,159861,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(173900,159861,'Cannot be modified except by direct means',100,2,3),
(173901,10159861,'Applies Lambent Imbued when Equipped.',100,0,0),
(173902,10159861,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(173903,10159861,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(173904,10159861,'Cannot be modified except by direct means',100,2,3),
(173905,112473,'Decreases AGI and WIS of target by 25.6',100,1,0),
(173906,10112473,'Decreases AGI and WIS of target by 25.6',100,1,0),
(173907,24032,'Adds Elite: Beetle (Coercer) to your Dungeon Maker toolbox',100,0,0),
(173908,10024032,'Adds Elite: Beetle (Coercer) to your Dungeon Maker toolbox',100,0,0),
(173909,24175,'Adds Crushbone: Empty Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(173910,10024175,'Adds Crushbone: Empty Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(173911,37037,'Increases STA of target by 5.4',100,0,0),
(173912,37037,'Increases outgoing damaging spell amount by 2%',100,0,1),
(173913,37037,'Increases INT of target by 5.4',100,0,2),
(173914,37037,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,3),
(173915,109530,'Inflicts 264 - 323 disease damage on target instantly and every 4 seconds',100,1,0),
(173916,109530,'Decreases Attack Speed of target by 13.1',100,1,1),
(173917,10109530,'Inflicts 317 - 388 disease damage on target instantly and every 4 seconds',100,1,0),
(173918,10109530,'Decreases Attack Speed of target by 13.1',100,1,1),
(173919,101632,'Applies Forceful Headache on termination.',100,1,0);
INSERT INTO `item_effects` VALUES
(173920,101632,'Inflicts 214 - 357 mental damage on target',100,2,1),
(173921,101632,'If over 50% power',100,3,2),
(173922,101632,'Inflicts 86 - 105 mental damage on target instantly and every 6 seconds',100,1,3),
(173923,101632,'Decreases Mitigation of target vs arcane damage by 784',100,1,4),
(173924,10101632,'Applies Forceful Headache on termination.',100,1,0),
(173925,10101632,'Inflicts 257 - 428 mental damage on target',100,2,1),
(173926,10101632,'If over 50% power',100,3,2),
(173927,10101632,'Inflicts 103 - 126 mental damage on target instantly and every 6 seconds',100,1,3),
(173928,10101632,'Decreases Mitigation of target vs arcane damage by 784',100,1,4),
(173929,82286,'When Equipped:',100,0,0),
(173930,82286,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173931,82286,'Inflicts 31 - 57 magic damage on target',100,2,2),
(173932,82286,'Decreases Threat to target by 135 ',100,2,3),
(173933,82286,'Must be flanking or behind',100,3,4),
(173934,82286,'Increases Threat to target by 140 ',100,2,5),
(173935,82286,'Must be in front of',100,3,6),
(173936,82286,'Cannot be modified except by direct means',100,2,7),
(173937,10082286,'When Equipped:',100,0,0),
(173938,10082286,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(173939,10082286,'Inflicts 37 - 68 magic damage on target',100,2,2),
(173940,10082286,'Cannot be modified except by direct means',100,2,3),
(173941,123966,'Inflicts 136 - 227 melee damage on target',100,1,0),
(173942,123966,'Decreases AGI of target by 20.7',100,1,1),
(173943,123966,'Must be behind',100,1,2),
(173944,10123966,'Inflicts 163 - 272 melee damage on target',100,1,0),
(173945,10123966,'Decreases AGI of target by 20.7',100,1,1),
(173946,10123966,'Must be behind',100,1,2),
(173947,109015,'Decreases Damage Per Second of target by 30.7',100,1,0),
(173948,109015,'Inflicts 233 - 285 melee damage on target',100,1,1),
(173949,10109015,'Decreases Damage Per Second of target by 30.7',100,1,0),
(173950,10109015,'Inflicts 280 - 342 melee damage on target',100,1,1),
(173951,107385,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(173952,107385,'Slows target by 36.1%',100,2,1),
(173953,107385,'5% chance to dispel when target receives hostile action',100,2,2),
(173954,107385,'5% chance to dispel when target takes damage',100,2,3),
(173955,107385,'Inflicts 227 - 379 disease damage on target',100,1,4),
(173956,10107385,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(173957,10107385,'Slows target by 36.1%',100,2,1),
(173958,10107385,'5% chance to dispel when target receives hostile action',100,2,2),
(173959,10107385,'5% chance to dispel when target takes damage',100,2,3),
(173960,10107385,'Inflicts 273 - 455 disease damage on target',100,1,4),
(173961,36653,'Increases STA of target by 1.5',100,0,0),
(173962,36653,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(173963,49037,'Applies Call in the Band! when Activated.  Lasts for 5 minutes.',100,0,0),
(173964,49037,'Calls in Vhalen''s Tribute Band and their concert promoter!',100,1,1),
(173965,10049037,'Applies Call in the Band! when Activated.  Lasts for 5 minutes.',100,0,0),
(173966,10049037,'Calls in Vhalen''s Tribute Band and their concert promoter!',100,1,1),
(173967,37134,'Increases AGI of target by 1.5',100,0,0),
(173968,37134,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(173969,87402,'When Equipped:',100,0,0),
(173970,87402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173971,87402,'Inflicts 124 - 186 magic damage on target',100,2,2),
(173972,87402,'Cannot be modified except by direct means',100,2,3),
(173973,10087402,'When Equipped:',100,0,0),
(173974,10087402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(173975,10087402,'Inflicts 149 - 223 magic damage on target',100,2,2),
(173976,10087402,'Cannot be modified except by direct means',100,2,3),
(173977,71755,'When Equipped:',100,0,0),
(173978,71755,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173979,71755,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(173980,71755,'Cannot be modified except by direct means',100,2,3),
(173981,10071755,'When Equipped:',100,0,0),
(173982,10071755,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(173983,10071755,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(173984,10071755,'Cannot be modified except by direct means',100,2,3),
(173985,101302,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(173986,101302,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,1),
(173987,10101302,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(173988,10101302,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,1),
(173989,88001,'When Equipped:',100,0,0),
(173990,88001,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(173991,88001,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(173992,88001,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(173993,88001,'Increases Hate Gain of caster by 12.0%',100,2,4),
(173994,88001,'Increases Threat to target by 4,350  instantly and every 4 seconds thereafter',100,2,5),
(173995,88001,'Must not be engaged in pvp combat',100,2,6),
(173996,88001,'Cannot be modified except by direct means',100,2,7),
(173997,88001,'Must not be engaged in pvp combat',100,1,8),
(173998,10088001,'When Equipped:',100,0,0),
(173999,10088001,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(174000,10088001,'Inflicts 6394 heat damage on target instantly and every 4 seconds',100,2,2),
(174001,10088001,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(174002,10088001,'Must not be engaged in pvp combat',100,2,4),
(174003,10088001,'Cannot be modified except by direct means',100,2,5),
(174004,10088001,'Must not be engaged in pvp combat',100,1,6),
(174005,104492,'Decreases Mitigation of target encounter vs physical damage by 924',100,1,0),
(174006,10104492,'Decreases Mitigation of target encounter vs physical damage by 924',100,1,0),
(174007,118054,'Increases threat priority of target by 3 positions',100,1,0),
(174008,118054,'Increases Threat to target by 951 ',100,1,1),
(174009,10118054,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,1,0),
(174010,10118054,'Prevents target from changing targets',100,2,1),
(174011,10118054,'Forces target to change their selected target to caster.',100,2,2),
(174012,170247,'Applies Rift Portals when Activated.',100,0,0),
(174013,170247,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(174014,10170247,'Applies Rift Portals when Activated.',100,0,0),
(174015,10170247,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(174016,132370,'When Equipped:',100,0,0),
(174017,132370,'On a spell cast this spell may cast Tender Loving Care on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(174018,132370,'Increases power of group members (AE) by 140',100,2,2),
(174019,132370,'Cannot be modified except by direct means',100,2,3),
(174020,10132370,'When Equipped:',100,0,0),
(174021,10132370,'On a spell cast this spell may cast Tender Loving Care on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(174022,10132370,'Increases power of group members (AE) by 140',100,2,2),
(174023,10132370,'Cannot be modified except by direct means',100,2,3),
(174024,35762,'Increases WIS of target by 1.5',100,0,0),
(174025,35762,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(174026,139406,'When Equipped:',100,0,0),
(174027,139406,'Reduces maximum falling speed of caster',100,1,1),
(174028,139406,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(174029,139406,'Allows caster to jump farther',100,1,3),
(174030,139406,'Cannot be modified except by direct means',100,1,4),
(174031,139406,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(174032,10139406,'When Equipped:',100,0,0),
(174033,10139406,'Reduces maximum falling speed of caster',100,1,1),
(174034,10139406,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(174035,10139406,'Allows caster to jump farther',100,1,3),
(174036,10139406,'Cannot be modified except by direct means',100,1,4),
(174037,10139406,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(174038,122424,'Sets a trap',100,1,0),
(174039,10122424,'Sets a trap',100,1,0),
(174040,117591,'Inflicts 528 - 881 melee damage on target',100,1,0),
(174041,117591,'Decreases Parry of target by 61.0',100,1,1),
(174042,117591,'Must be in front of or flanking',100,1,2),
(174043,10117591,'Inflicts 634 - 1057 melee damage on target',100,1,0),
(174044,10117591,'Decreases Parry of target by 61.0',100,1,1),
(174045,10117591,'Must be in front of or flanking',100,1,2),
(174046,35774,'Increases Max Health of target by 3.9',100,0,0),
(174047,35774,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(174048,75548,'Applies Disease Blast when Activated.',100,0,0),
(174049,75548,'Inflicts 72 - 121 disease damage on target',100,1,1),
(174050,75548,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(174051,10075548,'Applies Disease Blast when Activated.',100,0,0),
(174052,10075548,'Inflicts 87 - 145 disease damage on target',100,1,1),
(174053,10075548,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(174054,116048,'Shapechanges caster into a lion',100,1,0),
(174055,116048,'Increases STA of caster by 53.3',100,1,1),
(174056,116048,'Adds 2.2% to base avoidance.',100,1,2),
(174057,116048,'Grants See Stealth to caster',100,1,3),
(174058,116048,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 866',100,1,4),
(174059,10116048,'Shapechanges caster into a lion',100,1,0),
(174060,10116048,'Increases STA of caster by 53.3',100,1,1),
(174061,10116048,'Adds 2.2% to base avoidance.',100,1,2),
(174062,10116048,'Grants See Stealth to caster',100,1,3),
(174063,10116048,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 866',100,1,4),
(174064,36770,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(174065,35273,'Increases STR of target by 1.5',100,0,0),
(174066,35273,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(174067,106286,'Wards target against 2971 points of all damage',100,1,0),
(174068,10106286,'Wards target against 2971 points of all damage',100,1,0),
(174069,49046,'Applies Vhalen''s Discordant Tone when Activated.  Lasts for 16.0 seconds.',100,0,0),
(174070,49046,'An intervening force that disables some powerful magics.',100,1,1),
(174071,49046,'Vhalen''s Unchained Fork is disarmed, and cannot be used.',100,1,2),
(174072,49046,'If target is Maestro of Rancor',100,1,3),
(174073,10049046,'Applies Vhalen''s Discordant Tone when Activated.  Lasts for 16.0 seconds.',100,0,0),
(174074,10049046,'An intervening force that disables some powerful magics.',100,1,1),
(174075,10049046,'Vhalen''s Unchained Fork is disarmed, and cannot be used.',100,1,2),
(174076,10049046,'If target is Maestro of Rancor',100,1,3),
(174077,106266,'Wards target against 1170 points of all damage',100,1,0),
(174078,10106266,'Wards target against 1170 points of all damage',100,1,0),
(174079,117168,'Inflicts 33 poison damage on target instantly and every 4 seconds',100,1,0),
(174080,117168,'Decreases WIS of target by 32.2',100,1,1),
(174081,10117168,'Inflicts 39 poison damage on target instantly and every 4 seconds',100,1,0),
(174082,10117168,'Decreases WIS of target by 32.2',100,1,1),
(174083,27100,'When Equipped:',100,0,0),
(174084,27100,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(174085,27100,'Inflicts 68 disease damage on target',100,2,2),
(174086,27100,'Cancels up to 5.8% of target''s speed buffs',100,2,3),
(174087,27100,'Cannot be modified except by direct means',100,2,4),
(174088,10027100,'When Equipped:',100,0,0),
(174089,10027100,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(174090,10027100,'Inflicts 82 disease damage on target',100,2,2),
(174091,10027100,'Cancels up to 5.8% of target''s speed buffs',100,2,3),
(174092,10027100,'Cannot be modified except by direct means',100,2,4),
(174093,118941,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(174094,118941,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1727',100,1,1),
(174095,118941,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,2),
(174096,10118941,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(174097,10118941,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1727',100,1,1),
(174098,10118941,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,2),
(174099,48742,'Applies Elixir of Mental Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(174100,10048742,'Applies Elixir of Mental Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(174101,46297,'Applies Faris'' Disk of Meditation when Activated.',100,0,0),
(174102,46297,'Reduces maximum falling speed of caster',100,1,1),
(174103,46297,'Summons a mount to ride',100,1,2),
(174104,46297,'Increases your ground speed by 130%',100,2,3),
(174105,46297,'Increases Potency of caster by 1.5%',100,1,4),
(174106,46297,'Increases Max Power of caster by 250.0',100,1,5),
(174107,46297,'Increases Max Health of caster by 250.0',100,1,6),
(174108,10046297,'Applies Faris'' Disk of Meditation when Activated.',100,0,0),
(174109,10046297,'Reduces maximum falling speed of caster',100,1,1),
(174110,10046297,'Summons a mount to ride',100,1,2),
(174111,10046297,'Increases your ground speed by 130%',100,2,3),
(174112,10046297,'Increases Potency of caster by 1.5%',100,1,4),
(174113,10046297,'Increases Max Power of caster by 250.0',100,1,5),
(174114,10046297,'Increases Max Health of caster by 250.0',100,1,6),
(174115,101805,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(174116,101805,'Decreases Threat to target by 939 ',100,2,1),
(174117,10101805,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(174118,10101805,'Inflicts 50 - 55 crushing damage on target',100,2,1),
(174119,158357,'Applies Hooluk in a Hat when Activated.',100,0,0),
(174120,158357,'Summons a pet Hooluk',100,1,1),
(174121,158357,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(174122,10158357,'Applies Hooluk in a Hat when Activated.',100,0,0),
(174123,10158357,'Summons a pet Hooluk',100,1,1),
(174124,10158357,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(174125,103141,'Throws target back',100,1,0),
(174126,103141,'If Target is not Epic',100,2,1),
(174127,103141,'Inflicts 2 - 8 crushing damage on target',100,1,2),
(174128,103141,'Stuns target',100,1,3),
(174129,103141,'If Target is not Epic',100,2,4),
(174130,103141,'Resistibility increases against targets higher than level 31.',100,1,5),
(174131,10103141,'Throws target back',100,1,0),
(174132,10103141,'If Target is not Epic',100,2,1),
(174133,10103141,'Inflicts 3 - 9 crushing damage on target',100,1,2),
(174134,10103141,'Stuns target',100,1,3),
(174135,10103141,'If Target is not Epic',100,2,4),
(174136,10103141,'Resistibility increases against targets higher than level 31.',100,1,5),
(174137,122254,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(174138,122254,'Decreases Damage Per Second of target by 32.6',100,2,1),
(174139,122254,'Decreases Attack Speed of target by 22.8',100,2,2),
(174140,10122254,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(174141,10122254,'Decreases Damage Per Second of target by 32.6',100,2,1),
(174142,10122254,'Decreases Attack Speed of target by 22.8',100,2,2),
(174143,37149,'Increases STA and AGI of target by 5.4',100,0,0),
(174144,37149,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(174145,37149,'Increases Attack Speed of target by 10.0',100,0,2),
(174146,123508,'Decreases Mitigation of target encounter vs noxious damage by 880',100,1,0),
(174147,10123508,'Decreases Mitigation of target encounter vs noxious damage by 880',100,1,0),
(174148,47077,'Applies Summon Unicorn when Activated.',100,0,0),
(174149,47077,'Increases Ordination, Ministration and Crushing of caster by 5.0',100,1,1),
(174150,47077,'Summons a mount to ride',100,1,2),
(174151,47077,'Increases your ground speed by 135%',100,2,3),
(174152,47077,'Increases Focus, Disruption, Subjugation, Aggression, Ranged, Piercing and Slashing of caster by 5.0',100,1,4),
(174153,10047077,'Applies Summon Unicorn when Activated.',100,0,0),
(174154,10047077,'Increases Ordination, Ministration and Crushing of caster by 5.0',100,1,1),
(174155,10047077,'Summons a mount to ride',100,1,2),
(174156,10047077,'Increases your ground speed by 135%',100,2,3),
(174157,10047077,'Increases Focus, Disruption, Subjugation, Aggression, Ranged, Piercing and Slashing of caster by 5.0',100,1,4),
(174158,163386,'When Equipped:',100,0,0),
(174159,163386,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(174160,163386,'Increases Potency of caster by 3.5%',100,1,2),
(174161,163386,'Cannot be modified except by direct means',100,1,3),
(174162,10163386,'When Equipped:',100,0,0),
(174163,10163386,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(174164,10163386,'Increases Potency of caster by 3.5%',100,1,2),
(174165,10163386,'Cannot be modified except by direct means',100,1,3),
(174166,134186,'When Equipped:',100,0,0),
(174167,134186,'On a critical spell hit this spell may cast Velium Flames IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174168,134186,'Inflicts 4866 - 5379 heat damage on target',100,2,2),
(174169,134186,'Decreases Mitigation of target vs elemental damage by 1850',100,2,3),
(174170,134186,'Must not be engaged in pvp combat',100,2,4),
(174171,134186,'Cannot be modified except by direct means',100,2,5),
(174172,134186,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(174173,134186,'On a critical combat hit this spell may cast Velium Flames IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(174174,134186,'Inflicts 4866 - 5379 heat damage on target',100,2,8),
(174175,134186,'Decreases Mitigation of target vs elemental damage by 1850',100,2,9),
(174176,134186,'Must not be engaged in pvp combat',100,2,10),
(174177,134186,'Cannot be modified except by direct means',100,2,11),
(174178,134186,'Cannot be modified except by direct means',100,1,12),
(174179,10134186,'When Equipped:',100,0,0),
(174180,10134186,'On a critical spell hit this spell may cast Velium Flames IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174181,10134186,'Inflicts 5840 - 6454 heat damage on target',100,2,2),
(174182,10134186,'Decreases Mitigation of target vs elemental damage by 1850',100,2,3),
(174183,10134186,'Must not be engaged in pvp combat',100,2,4),
(174184,10134186,'Cannot be modified except by direct means',100,2,5),
(174185,10134186,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(174186,10134186,'On a critical combat hit this spell may cast Velium Flames IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(174187,10134186,'Inflicts 5840 - 6454 heat damage on target',100,2,8),
(174188,10134186,'Decreases Mitigation of target vs elemental damage by 1850',100,2,9),
(174189,10134186,'Must not be engaged in pvp combat',100,2,10),
(174190,10134186,'Cannot be modified except by direct means',100,2,11),
(174191,10134186,'Cannot be modified except by direct means',100,1,12),
(174192,118001,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(174193,118001,'Increases Damage Per Second of target by 22.2',100,2,1),
(174194,118001,'Increases Attack Speed of target by 22.2',100,2,2),
(174195,118001,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(174196,118001,'Increases Damage Per Second of target by 22.2',100,2,4),
(174197,118001,'Increases Attack Speed of target by 22.2',100,2,5),
(174198,118001,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(174199,118001,'Increases Damage Per Second of target by 22.2',100,2,7),
(174200,118001,'Increases Attack Speed of target by 22.2',100,2,8),
(174201,10118001,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(174202,10118001,'Increases Damage Per Second of target by 22.2',100,2,1),
(174203,10118001,'Increases Attack Speed of target by 22.2',100,2,2),
(174204,10118001,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(174205,10118001,'Increases Damage Per Second of target by 22.2',100,2,4),
(174206,10118001,'Increases Attack Speed of target by 22.2',100,2,5),
(174207,10118001,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(174208,10118001,'Increases Damage Per Second of target by 22.2',100,2,7),
(174209,10118001,'Increases Attack Speed of target by 22.2',100,2,8),
(174210,111513,'Caster has a 43.7% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,0),
(174211,10111513,'Caster has a 43.7% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,0),
(174212,72236,'When Equipped:',100,0,0),
(174213,72236,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174214,72236,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(174215,72236,'Cannot be modified except by direct means',100,2,3),
(174216,10072236,'When Equipped:',100,0,0),
(174217,10072236,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174218,10072236,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(174219,10072236,'Cannot be modified except by direct means',100,2,3),
(174220,121196,'Grants stealth to caster',100,1,0),
(174221,121196,'Suspends caster''s movement speed enhancements',100,1,1),
(174222,121196,'Decreases Threat to target by 547 - 912 ',100,1,2),
(174223,10121196,'Forces target to clear their selected target.',100,1,0),
(174224,10121196,'Grants stealth to caster',100,1,1),
(174225,10121196,'Suspends caster''s movement speed enhancements',100,1,2),
(174226,87535,'Applies Lightning Shock when Activated.',100,0,0),
(174227,87535,'Inflicts 360 - 600 magic damage on target',100,1,1),
(174228,87535,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(174229,10087535,'Applies Lightning Shock when Activated.',100,0,0),
(174230,10087535,'Inflicts 432 - 721 magic damage on target',100,1,1),
(174231,10087535,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(174232,118653,'Inflicts 61 - 102 slashing damage on target',100,1,0),
(174233,10118653,'Inflicts 73 - 122 slashing damage on target',100,1,0),
(174234,112214,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(174235,112214,'Inflicts 15 disease damage on target',100,2,1),
(174236,112214,'Increases Threat to target by 39 ',100,2,2),
(174237,112214,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 728',100,1,3),
(174238,10112214,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(174239,10112214,'Inflicts 18 disease damage on target',100,2,1),
(174240,10112214,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 728',100,1,2),
(174241,117444,'Inflicts 150 - 250 melee damage on target',100,1,0),
(174242,117444,'You must be sneaking to use this ability.',100,1,1),
(174243,117444,'Must be flanking or behind',100,1,2),
(174244,10117444,'Inflicts 111 - 186 melee damage on target',100,1,0),
(174245,10117444,'You must be sneaking to use this ability.',100,1,1),
(174246,10117444,'Must be flanking or behind',100,1,2),
(174247,123134,'Inflicts 333 disease damage on targets in Area of Effect',100,1,0),
(174248,123134,'Inflicts 227 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(174249,10123134,'Inflicts 399 disease damage on targets in Area of Effect',100,1,0),
(174250,10123134,'Inflicts 272 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(174251,111431,'Decreases Attack Speed of caster by 11.3',100,1,0),
(174252,111431,'Slows caster by 32.6%',100,1,1),
(174253,111431,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(174254,111431,'Slows targets in Area of Effect by 35.9%',100,2,3),
(174255,111431,'5% chance to dispel when target receives hostile action',100,2,4),
(174256,111431,'5% chance to dispel when target takes damage',100,2,5),
(174257,111431,'Increases Mitigation of caster vs physical damage by 163',100,1,6),
(174258,10111431,'Decreases Attack Speed of caster by 11.3',100,1,0),
(174259,10111431,'Slows caster by 32.6%',100,1,1),
(174260,10111431,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(174261,10111431,'Slows targets in Area of Effect by 26.9%',100,2,3),
(174262,10111431,'5% chance to dispel when target receives hostile action',100,2,4),
(174263,10111431,'5% chance to dispel when target takes damage',100,2,5),
(174264,10111431,'Increases Mitigation of caster vs physical damage by 163',100,1,6),
(174265,112438,'Mesmerizes target',100,1,0),
(174266,112438,'Prevents AOE (except when direct) ',100,1,1),
(174267,112438,'Dispelled when target takes damage',100,1,2),
(174268,112438,'Does not affect Epic targets',100,1,3),
(174269,112438,'Resistibility increases against targets higher than level 67.',100,1,4),
(174270,10112438,'Mesmerizes target',100,1,0),
(174271,10112438,'Prevents AOE (except when direct) ',100,1,1),
(174272,10112438,'Dispelled when target takes damage',100,1,2),
(174273,10112438,'Does not affect Epic targets',100,1,3),
(174274,10112438,'Resistibility increases against targets higher than level 67.',100,1,4),
(174275,117558,'Inflicts 3432 - 5148 heat damage on target',100,1,0),
(174276,10117558,'Inflicts 2546 - 3819 heat damage on target',100,1,0),
(174277,102960,'Inflicts 194 - 237 disease damage on target instantly and every 4 seconds',100,1,0),
(174278,10102960,'Inflicts 303 - 370 disease damage on target',100,1,0),
(174279,10102960,'Inflicts 233 - 285 disease damage on target every 4 seconds',100,1,1),
(174280,113640,'Interrupts target encounter',100,1,0),
(174281,113640,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 37.8',100,1,1),
(174282,10113640,'Interrupts target encounter',100,1,0),
(174283,10113640,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 37.8',100,1,1),
(174284,111813,'Roots target',100,1,0),
(174285,111813,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(174286,111813,'Slows target by 37.2%',100,2,2),
(174287,111813,'5% chance to dispel when target receives hostile action',100,2,3),
(174288,111813,'5% chance to dispel when target takes damage',100,2,4),
(174289,111813,'10% chance to dispel when target receives hostile action',100,1,5),
(174290,111813,'10% chance to dispel when target takes damage',100,1,6),
(174291,111813,'Does not affect Epic targets',100,1,7),
(174292,111813,'Resistibility increases against targets higher than level 48.',100,1,8),
(174293,10111813,'Roots target',100,1,0),
(174294,10111813,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(174295,10111813,'Slows target by 37.2%',100,2,2),
(174296,10111813,'10% chance to dispel when target receives hostile action',100,2,3),
(174297,10111813,'10% chance to dispel when target takes damage',100,2,4),
(174298,10111813,'10% chance to dispel when target receives hostile action',100,1,5),
(174299,10111813,'10% chance to dispel when target takes damage',100,1,6),
(174300,10111813,'Does not affect Epic targets',100,1,7),
(174301,10111813,'Resistibility increases against targets higher than level 48.',100,1,8),
(174302,36394,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(174303,36394,'This effect suspends during combat',100,0,1),
(174304,139208,'When Equipped:',100,0,0),
(174305,139208,'When a combat art is used this spell has a 10% chance to cast Extension of Pain on target of combat art.  ',100,1,1),
(174306,139208,'Inflicts 173 slashing damage on target',100,2,2),
(174307,139208,'Cannot be modified except by direct means',100,2,3),
(174308,10139208,'When Equipped:',100,0,0),
(174309,10139208,'When a combat art is used this spell has a 10% chance to cast Extension of Pain on target of combat art.  ',100,1,1),
(174310,10139208,'Inflicts 208 slashing damage on target',100,2,2),
(174311,10139208,'Cannot be modified except by direct means',100,2,3),
(174312,123206,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(174313,123206,'Inflicts 61 - 75 disease damage on target',100,2,1),
(174314,123206,'Heals caster for 2.4 - 2.9% of max health',100,2,2),
(174315,123206,'This effect cannot be critically applied.',100,3,3),
(174316,123206,'The healing of this spell cannot be modified except by direct means',100,2,4),
(174317,123206,'Grants a total of 5 triggers of the spell.',100,2,5),
(174318,10123206,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(174319,10123206,'Inflicts 73 - 90 disease damage on target',100,2,1),
(174320,10123206,'Heals caster for 0.8 - 1.0% of max health',100,2,2),
(174321,10123206,'This effect cannot be critically applied.',100,3,3),
(174322,10123206,'The healing of this spell cannot be modified except by direct means',100,2,4),
(174323,10123206,'Grants a total of 5 triggers of the spell.',100,2,5),
(174324,104334,'Charms target',100,1,0),
(174325,104334,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(174326,104334,'Mesmerizes target',100,2,2),
(174327,104334,'Dispelled when target takes damage',100,2,3),
(174328,104334,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(174329,104334,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(174330,104334,'Grants Sonic Vision to caster',100,2,6),
(174331,104334,'Increases Out-of-Combat Power Regeneration of target by 4.8',100,1,7),
(174332,104334,'Increases Out-of-Combat Health Regeneration of target by 9.6',100,1,8),
(174333,104334,'Certain enemies cannot be charmed',100,1,9),
(174334,104334,'Only affects targets level 24 and below',100,1,10),
(174335,104334,'Does not affect Epic targets',100,1,11),
(174336,10104334,'Mesmerizes target',100,1,0),
(174337,10104334,'Prevents AOE (except when direct) ',100,1,1),
(174338,10104334,'Dispelled when target takes damage',100,1,2),
(174339,10104334,'Certain enemies cannot be charmed',100,1,3),
(174340,10104334,'Only affects targets level 24 and below',100,1,4),
(174341,10104334,'Does not affect Epic targets',100,1,5),
(174342,10104334,'Resistibility increases against targets higher than level 39.',100,1,6),
(174343,103530,'Charms target',100,1,0),
(174344,103530,'If outside an arena',100,1,1),
(174345,103530,'Certain enemies cannot be charmed',100,1,2),
(174346,103530,'Does not affect Epic targets',100,1,3),
(174347,10103530,'Mesmerizes target',100,1,0),
(174348,10103530,'Prevents AOE (except when direct) ',100,1,1),
(174349,10103530,'Dispelled when target takes damage',100,1,2),
(174350,10103530,'If outside an arena',100,1,3),
(174351,10103530,'Certain enemies cannot be charmed',100,1,4),
(174352,10103530,'Does not affect Epic targets',100,1,5),
(174353,10103530,'Resistibility increases against targets higher than level 113.',100,1,6),
(174354,111976,'Inflicts 251 - 307 disease damage on target',100,1,0),
(174355,111976,'Decreases Mitigation of target vs noxious damage by 649',100,1,1),
(174356,10111976,'Inflicts 388 - 474 disease damage on target',100,1,0),
(174357,10111976,'Decreases Mitigation of target vs noxious damage by 649',100,1,1),
(174358,80728,'When Equipped:',100,0,0),
(174359,80728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174360,80728,'Inflicts 53 - 98 magic damage on target',100,2,2),
(174361,80728,'Cannot be modified except by direct means',100,2,3),
(174362,10080728,'When Equipped:',100,0,0),
(174363,10080728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174364,10080728,'Inflicts 64 - 118 magic damage on target',100,2,2),
(174365,10080728,'Cannot be modified except by direct means',100,2,3),
(174366,102780,'Increases STR of caster by 42.6',100,1,0),
(174367,102780,'Increases Max Health of caster by 251.4',100,1,1),
(174368,102780,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1162',100,1,2),
(174369,10102780,'Increases STR of caster by 42.6',100,1,0),
(174370,10102780,'Increases Max Health of caster by 251.4',100,1,1),
(174371,10102780,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1162',100,1,2),
(174372,112076,'Inflicts 11 - 18 heat damage on target instantly and every 2 seconds',100,1,0),
(174373,10112076,'Inflicts 32 - 53 heat damage on target instantly and every 2 seconds',100,1,0),
(174374,119156,'Inflicts 70 disease damage on target every 3 seconds',100,1,0),
(174375,119156,'Inflicts 349 - 581 melee damage on target',100,1,1),
(174376,119156,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(174377,119156,'Inflicts 140 disease damage on target every 3 seconds',100,2,3),
(174378,119156,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(174379,119156,'Inflicts 209 disease damage on target every 3 seconds',100,3,5),
(174380,119156,'You must be sneaking to use this ability.',100,1,6),
(174381,119156,'Must be behind',100,1,7),
(174382,10119156,'Inflicts 84 disease damage on target every 3 seconds',100,1,0),
(174383,10119156,'Inflicts 418 - 698 melee damage on target',100,1,1),
(174384,10119156,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(174385,10119156,'Inflicts 168 disease damage on target every 3 seconds',100,2,3),
(174386,10119156,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(174387,10119156,'Inflicts 251 disease damage on target every 3 seconds',100,3,5),
(174388,10119156,'You must be sneaking to use this ability.',100,1,6),
(174389,10119156,'Must be behind',100,1,7),
(174390,155707,'When Equipped:',100,0,0),
(174391,155707,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(174392,155707,'Makes target immune to Stifle effects',100,2,2),
(174393,155707,'Cannot be modified except by direct means',100,2,3),
(174394,10155707,'When Equipped:',100,0,0),
(174395,10155707,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(174396,10155707,'Makes target immune to Stifle effects',100,2,2),
(174397,10155707,'Cannot be modified except by direct means',100,2,3),
(174398,112699,'Increases Parry of group members (AE) by 63.6',100,1,0),
(174399,10112699,'Increases Parry of group members (AE) by 63.6',100,1,0),
(174400,117729,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(174401,117729,'Heals target for 683',100,2,1),
(174402,117729,'Increases Max Health of target by 483.3',100,2,2),
(174403,117729,'Grants a total of 1 trigger of the spell.',100,2,3),
(174404,10117729,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(174405,10117729,'Heals target for 444',100,2,1),
(174406,10117729,'Increases Max Health of target by 483.3',100,2,2),
(174407,10117729,'Grants a total of 1 trigger of the spell.',100,2,3),
(174408,82090,'When Equipped:',100,0,0),
(174409,82090,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(174410,82090,'Inflicts 135 - 252 magic damage on target',100,2,2),
(174411,82090,'Decreases Threat to target by 641 ',100,2,3),
(174412,82090,'Must be flanking or behind',100,3,4),
(174413,82090,'Increases Threat to target by 646 ',100,2,5),
(174414,82090,'Must be in front of',100,3,6),
(174415,82090,'Cannot be modified except by direct means',100,2,7),
(174416,10082090,'When Equipped:',100,0,0),
(174417,10082090,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(174418,10082090,'Inflicts 163 - 302 magic damage on target',100,2,2),
(174419,10082090,'Cannot be modified except by direct means',100,2,3),
(174420,109972,'Inflicts 624 - 936 disease damage on targets in Area of Effect',100,1,0),
(174421,109972,'Inflicts 312 - 468 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(174422,109972,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(174423,109972,'Increases Threat to targets in Area of Effect by 2,507 - 3,063  instantly and every 4 seconds thereafter',100,1,3),
(174424,10109972,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(174425,10109972,'Prevents target from changing targets',100,2,1),
(174426,10109972,'Forces target to change their selected target to caster.',100,2,2),
(174427,10109972,'Inflicts 749 - 1123 disease damage on targets in Area of Effect',100,1,3),
(174428,10109972,'Inflicts 374 - 562 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(174429,80458,'When Equipped:',100,0,0),
(174430,80458,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(174431,80458,'Inflicts 40 - 74 magic damage on target',100,2,2),
(174432,80458,'Decreases Threat to target by 135 ',100,2,3),
(174433,80458,'Must be flanking or behind',100,3,4),
(174434,80458,'Increases Threat to target by 140 ',100,2,5),
(174435,80458,'Must be in front of',100,3,6),
(174436,80458,'Cannot be modified except by direct means',100,2,7),
(174437,10080458,'When Equipped:',100,0,0),
(174438,10080458,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(174439,10080458,'Inflicts 48 - 89 magic damage on target',100,2,2),
(174440,10080458,'Cannot be modified except by direct means',100,2,3),
(174441,108206,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(174442,10108206,'Increases power of caster by 53 instantly and every 4 seconds',100,1,0),
(174443,104162,'Increases Threat to target encounter by 91 - 110 ',100,1,0),
(174444,104162,'Interrupts target encounter',100,1,1),
(174445,10104162,'Forces target encounter to change their selected target to caster.',100,1,0),
(174446,10104162,'Interrupts target encounter',100,1,1),
(174447,10104162,'Prevents target encounter from changing targets',100,1,2),
(174448,116489,'Prevents targets in Area of Effect from changing targets',100,1,0),
(174449,116489,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(174450,116489,'Increases Threat to targets in Area of Effect by 271 ',100,1,2),
(174451,10116489,'Prevents targets in Area of Effect from changing targets',100,1,0),
(174452,10116489,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(174453,36191,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(174454,36191,'This effect suspends during combat',100,0,1),
(174455,175803,'Applies Overclocked Tools when Equipped.',100,0,0),
(174456,175803,'Increases success chance by 5.0%',100,1,1),
(174457,10175803,'Applies Overclocked Tools when Equipped.',100,0,0),
(174458,10175803,'Increases success chance by 5.0%',100,1,1),
(174459,170869,'When Equipped:',100,0,0),
(174460,170869,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174461,170869,'Increases Potency of group members by 9.0%',100,2,2),
(174462,170869,'Cannot be modified except by direct means',100,2,3),
(174463,170869,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(174464,170869,'Increases Potency of group members by 9.0%',100,2,5),
(174465,170869,'Cannot be modified except by direct means',100,2,6),
(174466,170869,'Cannot be modified except by direct means',100,1,7),
(174467,10170869,'When Equipped:',100,0,0),
(174468,10170869,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174469,10170869,'Increases Potency of group members by 9.0%',100,2,2),
(174470,10170869,'Cannot be modified except by direct means',100,2,3),
(174471,10170869,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(174472,10170869,'Increases Potency of group members by 9.0%',100,2,5),
(174473,10170869,'Cannot be modified except by direct means',100,2,6),
(174474,10170869,'Cannot be modified except by direct means',100,1,7),
(174475,47496,'Applies Personal Theme Music: Drafling Tower when Activated.',100,0,0),
(174476,47496,'Play your own personal theme music!',100,1,1),
(174477,10047496,'Applies Personal Theme Music: Drafling Tower when Activated.',100,0,0),
(174478,10047496,'Play your own personal theme music!',100,1,1),
(174479,81682,'When Equipped:',100,0,0),
(174480,81682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174481,81682,'Inflicts 67 - 124 magic damage on target',100,2,2),
(174482,81682,'Cannot be modified except by direct means',100,2,3),
(174483,10081682,'When Equipped:',100,0,0),
(174484,10081682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174485,10081682,'Inflicts 80 - 149 magic damage on target',100,2,2),
(174486,10081682,'Cannot be modified except by direct means',100,2,3),
(174487,46276,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(174488,46276,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(174489,46276,'Inflicts 299 poison damage on target instantly and every 4 seconds',100,2,2),
(174490,46276,'Cannot be modified except by direct means',100,2,3),
(174491,46276,'Grants a total of 100 triggers of the spell.',100,2,4),
(174492,10046276,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(174493,10046276,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(174494,10046276,'Inflicts 269 poison damage on target instantly and every 4 seconds',100,2,2),
(174495,10046276,'Cannot be modified except by direct means',100,2,3),
(174496,10046276,'Grants a total of 100 triggers of the spell.',100,2,4),
(174497,143596,'When Equipped:',100,0,0),
(174498,143596,'Increases Attack Speed of caster by 40.0',100,1,1),
(174499,10143596,'When Equipped:',100,0,0),
(174500,10143596,'Increases Attack Speed of caster by 40.0',100,1,1),
(174501,45008,'Applies Create Medal when Activated.',100,0,0),
(174502,45008,'Summon 1 Medal of Commendation',100,1,1),
(174503,10045008,'Applies Create Medal when Activated.',100,0,0),
(174504,10045008,'Summon 1 Medal of Commendation',100,1,1),
(174505,71981,'When Equipped:',100,0,0),
(174506,71981,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174507,71981,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(174508,71981,'Cannot be modified except by direct means',100,2,3),
(174509,10071981,'When Equipped:',100,0,0),
(174510,10071981,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174511,10071981,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(174512,10071981,'Cannot be modified except by direct means',100,2,3),
(174513,123018,'Wards group members (AE) collectively against 2890 total points of all damage',100,1,0),
(174514,10123018,'Wards group members (AE) collectively against 4305 total points of all damage',100,1,0),
(174515,124728,'Heals group members (AE) for 856 - 1046',100,1,0),
(174516,10124728,'Heals group members (AE) for 1039 - 1270',100,1,0),
(174517,83836,'When Equipped:',100,0,0),
(174518,83836,'On a combat hit this spell may cast Lifeless Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174519,83836,'Decreases power of target by 99 - 149',100,2,2),
(174520,83836,'Inflicts 199 - 299 magic damage on target',100,2,3),
(174521,83836,'Heals caster for 224 - 274',100,2,4),
(174522,83836,'Increases power of caster by 112 - 137',100,2,5),
(174523,83836,'Cannot be modified except by direct means',100,2,6),
(174524,10083836,'When Equipped:',100,0,0),
(174525,10083836,'On a combat hit this spell may cast Lifeless Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174526,10083836,'Decreases power of target by 99 - 149',100,2,2),
(174527,10083836,'Inflicts 239 - 359 magic damage on target',100,2,3),
(174528,10083836,'Heals caster for 146 - 178',100,2,4),
(174529,10083836,'Increases power of caster by 112 - 137',100,2,5),
(174530,10083836,'Cannot be modified except by direct means',100,2,6),
(174531,36330,'Increases STA and AGI of target by 5.4',100,0,0),
(174532,36330,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(174533,36330,'Increases Attack Speed of target by 10.0',100,0,2),
(174534,160537,'When Equipped:',100,0,0),
(174535,160537,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(174536,160537,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(174537,160537,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(174538,160537,'This effect cannot occur more than once a second',100,2,4),
(174539,160537,'Must be engaged in pvp combat',100,2,5),
(174540,160537,'Cannot be modified except by direct means',100,2,6),
(174541,160537,'Cannot be modified except by direct means',100,1,7),
(174542,160537,'When Equipped:',100,0,8),
(174543,160537,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(174544,160537,'Must be engaged in pvp combat',100,1,10),
(174545,160537,'When Equipped:',100,0,11),
(174546,160537,'Increases Mitigation of caster vs physical damage by 651',100,1,12),
(174547,160537,'Must be engaged in pvp combat',100,1,13),
(174548,10160537,'When Equipped:',100,0,0),
(174549,10160537,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(174550,10160537,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(174551,10160537,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(174552,10160537,'This effect cannot occur more than once a second',100,2,4),
(174553,10160537,'Must be engaged in pvp combat',100,2,5),
(174554,10160537,'Cannot be modified except by direct means',100,2,6),
(174555,10160537,'Cannot be modified except by direct means',100,1,7),
(174556,10160537,'When Equipped:',100,0,8),
(174557,10160537,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(174558,10160537,'Must be engaged in pvp combat',100,1,10),
(174559,10160537,'When Equipped:',100,0,11),
(174560,10160537,'Increases Mitigation of caster vs physical damage by 651',100,1,12),
(174561,10160537,'Must be engaged in pvp combat',100,1,13),
(174562,189308,'When Equipped:',100,0,0),
(174563,189308,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174564,189308,'Increases power of group members by 65 instantly and every 4 seconds',100,2,2),
(174565,189308,'Cannot be modified except by direct means',100,2,3),
(174566,10189308,'When Equipped:',100,0,0),
(174567,10189308,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174568,10189308,'Increases power of group members by 65 instantly and every 4 seconds',100,2,2),
(174569,10189308,'Cannot be modified except by direct means',100,2,3),
(174570,100592,'Inflicts 183 - 306 melee damage on target',100,1,0),
(174571,100592,'You must be sneaking to use this ability.',100,1,1),
(174572,10100592,'Inflicts 263 - 438 melee damage on target',100,1,0),
(174573,10100592,'You must be sneaking to use this ability.',100,1,1),
(174574,113582,'Mesmerizes target',100,1,0),
(174575,113582,'Prevents AOE (except when direct) ',100,1,1),
(174576,113582,'Dispelled when target takes damage',100,1,2),
(174577,113582,'Does not affect Epic targets',100,1,3),
(174578,113582,'Resistibility increases against targets higher than level 109.',100,1,4),
(174579,10113582,'Mesmerizes target',100,1,0),
(174580,10113582,'Prevents AOE (except when direct) ',100,1,1),
(174581,10113582,'Dispelled when target takes damage',100,1,2),
(174582,10113582,'Does not affect Epic targets',100,1,3),
(174583,10113582,'Resistibility increases against targets higher than level 109.',100,1,4),
(174584,159343,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(174585,159343,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(174586,159343,'Heals target for 67 instantly and every 4 seconds',100,2,2),
(174587,159343,'Cannot be modified except by direct means',100,2,3),
(174588,10159343,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(174589,10159343,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(174590,10159343,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(174591,10159343,'Cannot be modified except by direct means',100,2,3),
(174592,118245,'Applies Blessed Strike on termination.',100,1,0),
(174593,118245,'Inflicts 27 - 45 divine damage on target',100,2,1),
(174594,118245,'Inflicts 11 - 18 divine damage on target',100,1,2),
(174595,10118245,'Applies Blessed Strike on termination.',100,1,0),
(174596,10118245,'Inflicts 33 - 54 divine damage on target',100,2,1),
(174597,10118245,'Inflicts 13 - 22 divine damage on target',100,1,2),
(174598,46736,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(174599,46736,'Summons a mount to ride',100,1,1),
(174600,46736,'Increases your ground speed by 130%',100,2,2),
(174601,10046736,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(174602,10046736,'Summons a mount to ride',100,1,1),
(174603,10046736,'Increases your ground speed by 130%',100,2,2),
(174604,117755,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(174605,117755,'Heals target for 2860',100,2,1),
(174606,117755,'Increases Max Health of target by 1,648.8',100,2,2),
(174607,117755,'Grants a total of 1 trigger of the spell.',100,2,3),
(174608,10117755,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(174609,10117755,'Heals target for 3346',100,2,1),
(174610,10117755,'Increases Max Health of target by 1,648.8',100,2,2),
(174611,10117755,'Grants a total of 1 trigger of the spell.',100,2,3),
(174612,47762,'Applies Resonating Geode when Activated.',100,0,0),
(174613,47762,'Increases power of caster by 1133',100,1,1),
(174614,47762,'Cannot be modified except by direct means',100,1,2),
(174615,47762,'Requires 1050 Health to cast.',100,1,3),
(174616,10047762,'Applies Resonating Geode when Activated.',100,0,0),
(174617,10047762,'Increases power of caster by 1133',100,1,1),
(174618,10047762,'Cannot be modified except by direct means',100,1,2),
(174619,10047762,'Requires 1050 Health to cast.',100,1,3),
(174620,103428,'Stifles targets in Area of Effect',100,1,0),
(174621,103428,'If Target is not Epic',100,2,1),
(174622,103428,'Decreases Threat to targets in Area of Effect by 3,313 ',100,1,2),
(174623,103428,'Slows targets in Area of Effect by 38.5%',100,1,3),
(174624,103428,'10% chance to dispel when target receives hostile action',100,1,4),
(174625,103428,'10% chance to dispel when target takes damage',100,1,5),
(174626,10103428,'Stifles targets in Area of Effect',100,1,0),
(174627,10103428,'If Target is not Epic',100,2,1),
(174628,10103428,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(174629,10103428,'Slows targets in Area of Effect by 38.5%',100,1,3),
(174630,155117,'When Equipped:',100,0,0),
(174631,155117,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174632,155117,'Increases Potency of caster by 5.0%',100,2,2),
(174633,155117,'Cannot be modified except by direct means',100,2,3),
(174634,10155117,'When Equipped:',100,0,0),
(174635,10155117,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174636,10155117,'Increases Potency of caster by 5.0%',100,2,2),
(174637,10155117,'Cannot be modified except by direct means',100,2,3),
(174638,46528,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(174639,46528,'Wards caster against 1098 points of arcane damage',100,1,1),
(174640,10046528,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(174641,10046528,'Wards caster against 1098 points of arcane damage',100,1,1),
(174642,71628,'When Equipped:',100,0,0),
(174643,71628,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174644,71628,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(174645,71628,'Cannot be modified except by direct means',100,2,3),
(174646,10071628,'When Equipped:',100,0,0),
(174647,10071628,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174648,10071628,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(174649,10071628,'Cannot be modified except by direct means',100,2,3),
(174650,117434,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(174651,117434,'Inflicts 302 - 561 melee damage on targets in area',100,2,1),
(174652,117434,'Grants a total of 10 triggers of the spell.',100,2,2),
(174653,10117434,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(174654,10117434,'Inflicts 362 - 673 melee damage on targets in area',100,2,1),
(174655,10117434,'Grants a total of 10 triggers of the spell.',100,2,2),
(174656,104533,'Increases Threat to target by 516 - 630  instantly and by 107 - 130  every 2 seconds thereafter',100,1,0),
(174657,10104533,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(174658,47995,'Applies Summon Snowmane when Activated.',100,0,0),
(174659,47995,'Increases Subjugation and Ministration of caster by 5.0',100,1,1),
(174660,47995,'Summons a mount to ride',100,1,2),
(174661,47995,'Increases your ground speed by 135%',100,2,3),
(174662,47995,'Increases Aggression, Ranged, Disruption, Piercing, Crushing, Ordination, Slashing and Focus of caster by 5.0',100,1,4),
(174663,10047995,'Applies Summon Snowmane when Activated.',100,0,0),
(174664,10047995,'Increases Subjugation and Ministration of caster by 5.0',100,1,1),
(174665,10047995,'Summons a mount to ride',100,1,2),
(174666,10047995,'Increases your ground speed by 135%',100,2,3),
(174667,10047995,'Increases Aggression, Ranged, Disruption, Piercing, Crushing, Ordination, Slashing and Focus of caster by 5.0',100,1,4),
(174668,113097,'Heals target for 44.5 - 54.3% of max health',100,1,0),
(174669,113097,'This effect cannot be critically applied.',100,2,1),
(174670,113097,'Increases Max Health of target by 389.5',100,1,2),
(174671,113097,'Increases Mitigation of target vs physical damage by 456',100,1,3),
(174672,113097,'The healing of this spell cannot be modified except by direct means',100,1,4),
(174673,10113097,'Heals target for 17.8 - 21.7% of max health',100,1,0),
(174674,10113097,'This effect cannot be critically applied.',100,2,1),
(174675,10113097,'Increases Max Health of target by 389.5',100,1,2),
(174676,10113097,'Increases Mitigation of target vs physical damage by 456',100,1,3),
(174677,10113097,'The healing of this spell cannot be modified except by direct means',100,1,4),
(174678,146082,'When Equipped:',100,0,0),
(174679,146082,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(174680,146082,'Inflicts 1986 cold damage on target encounter',100,2,2),
(174681,146082,'Must not be engaged in pvp combat',100,2,3),
(174682,146082,'Cannot be modified except by direct means',100,2,4),
(174683,146082,'Must not be engaged in pvp combat',100,1,5),
(174684,10146082,'When Equipped:',100,0,0),
(174685,10146082,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(174686,10146082,'Inflicts 1192 cold damage on target encounter',100,2,2),
(174687,10146082,'Must not be engaged in pvp combat',100,2,3),
(174688,10146082,'Cannot be modified except by direct means',100,2,4),
(174689,10146082,'Must not be engaged in pvp combat',100,1,5),
(174690,101741,'Mesmerizes target',100,1,0),
(174691,101741,'Prevents AOE (except when direct) ',100,1,1),
(174692,101741,'Mesmerizes caster',100,1,2),
(174693,101741,'Dispelled when target takes damage',100,1,3),
(174694,101741,'Does not affect Epic targets',100,1,4),
(174695,101741,'Resistibility increases against targets higher than level 117.',100,1,5),
(174696,10101741,'Mesmerizes target',100,1,0),
(174697,10101741,'Prevents AOE (except when direct) ',100,1,1),
(174698,10101741,'Mesmerizes caster',100,1,2),
(174699,10101741,'Dispelled when target takes damage',100,1,3),
(174700,10101741,'Does not affect Epic targets',100,1,4),
(174701,10101741,'Resistibility increases against targets higher than level 117.',100,1,5),
(174702,123180,'Reduces physical damage done to caster by 5%',100,1,0),
(174703,123180,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,1),
(174704,123180,'Increases Aggression of caster by 18.6',100,1,2),
(174705,123180,'Increases Defense and Parry of caster by 37.2',100,1,3),
(174706,123180,'Increases Mitigation of caster vs elemental damage by 2429',100,1,4),
(174707,123180,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(174708,10123180,'Reduces physical damage done to caster by 5%',100,1,0),
(174709,10123180,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,1),
(174710,10123180,'Increases Aggression of caster by 18.6',100,1,2),
(174711,10123180,'Increases Defense and Parry of caster by 37.2',100,1,3),
(174712,10123180,'Increases Mitigation of caster vs elemental damage by 2429',100,1,4),
(174713,10123180,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(174714,119516,'Increases threat priority of target by 2 positions',100,1,0),
(174715,119516,'Stuns caster',100,1,1),
(174716,119516,'Decreases Defense and Parry of caster by 153.0',100,1,2),
(174717,119516,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(174718,119516,'Inflicts 530 - 883 piercing damage on target',100,2,4),
(174719,119516,'Grants a total of 1 trigger of the spell.',100,2,5),
(174720,10119516,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(174721,10119516,'Forces target to change their selected target to caster.',100,2,1),
(174722,10119516,'Prevents target from changing targets',100,2,2),
(174723,10119516,'Stuns caster',100,1,3),
(174724,10119516,'Decreases Defense and Parry of caster by 153.0',100,1,4),
(174725,10119516,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(174726,10119516,'Inflicts 454 - 757 piercing damage on target',100,2,6),
(174727,10119516,'Grants a total of 1 trigger of the spell.',100,2,7),
(174728,102473,'Applies Blind.  Lasts for 5.0 seconds.',100,1,0),
(174729,102473,'Dazes target',100,2,1),
(174730,102473,'Blurs vision of target',100,2,2),
(174731,102473,'Dispelled when target takes damage',100,2,3),
(174732,102473,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(174733,102473,'Roots target',100,1,5),
(174734,102473,'5% chance to dispel when target takes damage',100,1,6),
(174735,102473,'Does not affect Epic targets',100,1,7),
(174736,102473,'Resistibility increases against targets higher than level 48.',100,1,8),
(174737,10102473,'Applies Blind.  Lasts for 2.0 seconds.',100,1,0),
(174738,10102473,'Blurs vision of target',100,2,1),
(174739,10102473,'Dazes target',100,2,2),
(174740,10102473,'Dispelled when target takes damage',100,2,3),
(174741,10102473,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(174742,10102473,'Roots target',100,1,5),
(174743,10102473,'5% chance to dispel when target takes damage',100,1,6),
(174744,10102473,'Does not affect Epic targets',100,1,7),
(174745,10102473,'Resistibility increases against targets higher than level 48.',100,1,8),
(174746,48059,'Applies Greater Replenishment when Activated.  Lasts for 12.0 seconds.',100,0,0),
(174747,48059,'Increases power of caster by 598 - 1111',100,1,1),
(174748,48059,'Increases power of caster by 179 - 333 every 2 seconds',100,1,2),
(174749,10048059,'Applies Greater Replenishment when Activated.  Lasts for 12.0 seconds.',100,0,0),
(174750,10048059,'Increases power of caster by 598 - 1111',100,1,1),
(174751,10048059,'Increases power of caster by 179 - 333 every 2 seconds',100,1,2),
(174752,101399,'Inflicts 281 - 468 melee damage on target',100,1,0),
(174753,101399,'Returns the last arrow used to the ranger.',100,1,1),
(174754,10101399,'Inflicts 337 - 562 melee damage on target',100,1,0),
(174755,10101399,'Returns the last arrow used to the ranger.',100,1,1),
(174756,148928,'When Equipped:',100,0,0),
(174757,148928,'On any combat or spell hit this spell may cast Demolishing Boulder on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174758,148928,'Inflicts 5122 - 5662 crushing damage on target encounter',100,2,2),
(174759,148928,'Decreases Potency of target encounter by 5.0%',100,2,3),
(174760,148928,'Increases Potency of group members (AE) by 5.0%',100,2,4),
(174761,148928,'Must not be engaged in pvp combat',100,2,5),
(174762,148928,'Cannot be modified except by direct means',100,2,6),
(174763,148928,'Must not be engaged in pvp combat',100,1,7),
(174764,10148928,'When Equipped:',100,0,0),
(174765,10148928,'On any combat or spell hit this spell may cast Demolishing Boulder on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174766,10148928,'Inflicts 6147 - 6794 crushing damage on target encounter',100,2,2),
(174767,10148928,'Decreases Potency of target encounter by 5.0%',100,2,3),
(174768,10148928,'Increases Potency of group members (AE) by 5.0%',100,2,4),
(174769,10148928,'Must not be engaged in pvp combat',100,2,5),
(174770,10148928,'Cannot be modified except by direct means',100,2,6),
(174771,10148928,'Must not be engaged in pvp combat',100,1,7),
(174772,108750,'Summons a pet fiery magician',100,1,0),
(174773,10108750,'Summons a pet fiery magician',100,1,0),
(174774,88635,'When Equipped:',100,0,0),
(174775,88635,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(174776,88635,'Inflicts 1986 piercing damage on target',100,2,2),
(174777,88635,'Cannot be modified except by direct means',100,2,3),
(174778,10088635,'When Equipped:',100,0,0),
(174779,10088635,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(174780,10088635,'Inflicts 1192 piercing damage on target',100,2,2),
(174781,10088635,'Cannot be modified except by direct means',100,2,3),
(174782,110242,'Inflicts 75 - 125 melee damage on target',100,1,0),
(174783,110242,'Slows target by 40.9%',100,1,1),
(174784,110242,'5% chance to dispel when target receives hostile action',100,1,2),
(174785,110242,'5% chance to dispel when target takes damage',100,1,3),
(174786,10110242,'Inflicts 90 - 150 melee damage on target',100,1,0),
(174787,10110242,'Slows target by 40.9%',100,1,1),
(174788,10110242,'5% chance to dispel when target receives hostile action',100,1,2),
(174789,10110242,'5% chance to dispel when target takes damage',100,1,3),
(174790,71442,'When Equipped:',100,0,0),
(174791,71442,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174792,71442,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(174793,71442,'Cannot be modified except by direct means',100,2,3),
(174794,10071442,'When Equipped:',100,0,0),
(174795,10071442,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174796,10071442,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(174797,10071442,'Cannot be modified except by direct means',100,2,3),
(174798,100342,'Increases Max Health of target by 111.5',100,1,0),
(174799,100342,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.6',100,1,1),
(174800,10100342,'Increases Max Health of target by 111.5',100,1,0),
(174801,10100342,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.6',100,1,1),
(174802,81604,'When Equipped:',100,0,0),
(174803,81604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174804,81604,'Inflicts 96 - 179 magic damage on target',100,2,2),
(174805,81604,'Cannot be modified except by direct means',100,2,3),
(174806,10081604,'When Equipped:',100,0,0),
(174807,10081604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(174808,10081604,'Inflicts 116 - 215 magic damage on target',100,2,2),
(174809,10081604,'Cannot be modified except by direct means',100,2,3),
(174810,147019,'When Equipped:',100,0,0),
(174811,147019,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(174812,147019,'Decreases Damage Per Second of target encounter by 5.4 - 8.9',100,2,2),
(174813,147019,'Cannot be modified except by direct means',100,2,3),
(174814,10147019,'When Equipped:',100,0,0),
(174815,10147019,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(174816,10147019,'Decreases Damage Per Second of target encounter by 5.4 - 8.9',100,2,2),
(174817,10147019,'Cannot be modified except by direct means',100,2,3),
(174818,36139,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(174819,36139,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(174820,115680,'Inflicts 23 - 70 melee damage on target',100,1,0),
(174821,115680,'Inflicts 23 - 70 melee damage on target',100,1,1),
(174822,115680,'Inflicts 23 - 70 melee damage on target',100,1,2),
(174823,115680,'Inflicts 23 - 70 melee damage on target',100,1,3),
(174824,115680,'Inflicts 23 - 70 melee damage on target',100,1,4),
(174825,115680,'Inflicts 23 - 70 melee damage on target',100,1,5),
(174826,115680,'Inflicts 23 - 70 melee damage on target',100,1,6),
(174827,115680,'Inflicts 23 - 70 melee damage on target',100,1,7),
(174828,10115680,'Inflicts 28 - 84 melee damage on target',100,1,0),
(174829,10115680,'Inflicts 28 - 84 melee damage on target',100,1,1),
(174830,10115680,'Inflicts 28 - 84 melee damage on target',100,1,2),
(174831,10115680,'Inflicts 28 - 84 melee damage on target',100,1,3),
(174832,10115680,'Inflicts 28 - 84 melee damage on target',100,1,4),
(174833,10115680,'Inflicts 28 - 84 melee damage on target',100,1,5),
(174834,10115680,'Inflicts 28 - 84 melee damage on target',100,1,6),
(174835,10115680,'Inflicts 28 - 84 melee damage on target',100,1,7),
(174836,114642,'Decreases WIS of target by 72.6',100,1,0),
(174837,114642,'Inflicts 649 - 1083 melee damage on target',100,1,1),
(174838,114642,'You must be sneaking to use this ability.',100,1,2),
(174839,10114642,'Decreases WIS of target by 72.6',100,1,0),
(174840,10114642,'Inflicts 779 - 1299 melee damage on target',100,1,1),
(174841,10114642,'You must be sneaking to use this ability.',100,1,2),
(174842,183401,'When Equipped:',100,0,0),
(174843,183401,'Increases Attack Speed of caster by 50.0',100,1,1),
(174844,183401,'Must not be engaged in pvp combat',100,1,2),
(174845,10183401,'When Equipped:',100,0,0),
(174846,10183401,'Increases Attack Speed of caster by 50.0',100,1,1),
(174847,10183401,'Must not be engaged in pvp combat',100,1,2),
(174848,82365,'When Equipped:',100,0,0),
(174849,82365,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(174850,82365,'Decreases Threat to target by 135 ',100,2,2),
(174851,82365,'Must be flanking or behind',100,3,3),
(174852,82365,'Increases Threat to target by 140 ',100,2,4),
(174853,82365,'Must be in front of',100,3,5),
(174854,82365,'Inflicts 31 - 57 magic damage on target',100,2,6),
(174855,82365,'Cannot be modified except by direct means',100,2,7),
(174856,10082365,'When Equipped:',100,0,0),
(174857,10082365,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(174858,10082365,'Inflicts 37 - 68 magic damage on target',100,2,2),
(174859,10082365,'Cannot be modified except by direct means',100,2,3),
(174860,118351,'Inflicts 105 - 175 melee damage on target',100,1,0),
(174861,118351,'Inflicts 105 - 176 heat damage on target every 4 seconds',100,1,1),
(174862,10118351,'Inflicts 126 - 210 melee damage on target',100,1,0),
(174863,10118351,'Inflicts 127 - 211 heat damage on target every 4 seconds',100,1,1),
(174864,36941,'Increases STA of target by 1.5',100,0,0),
(174865,36941,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(174866,101980,'Inflicts 1138 - 2114 heat damage on target',100,1,0),
(174867,10101980,'Inflicts 1366 - 2536 heat damage on target',100,1,0),
(174868,135246,'When Equipped:',100,0,0),
(174869,135246,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174870,135246,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(174871,135246,'Cannot be modified except by direct means',100,2,3),
(174872,135246,'When Equipped:',100,0,4),
(174873,135246,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(174874,135246,'Heals group members (AE) for 2612',100,2,6),
(174875,135246,'Heals group members (AE) for 871 every 5 seconds',100,2,7),
(174876,135246,'Must not be engaged in pvp combat',100,2,8),
(174877,135246,'Cannot be modified except by direct means',100,2,9),
(174878,135246,'Must not be engaged in pvp combat',100,1,10),
(174879,10135246,'When Equipped:',100,0,0),
(174880,10135246,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(174881,10135246,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(174882,10135246,'Cannot be modified except by direct means',100,2,3),
(174883,10135246,'When Equipped:',100,0,4),
(174884,10135246,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(174885,10135246,'Heals group members (AE) for 3056',100,2,6),
(174886,10135246,'Heals group members (AE) for 1019 every 5 seconds',100,2,7),
(174887,10135246,'Must not be engaged in pvp combat',100,2,8),
(174888,10135246,'Cannot be modified except by direct means',100,2,9),
(174889,10135246,'Must not be engaged in pvp combat',100,1,10),
(174890,24112,'Adds Chokidai (Fury) to your Dungeon Maker toolbox',100,0,0),
(174891,10024112,'Adds Chokidai (Fury) to your Dungeon Maker toolbox',100,0,0),
(174892,113995,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(174893,113995,'Increases Threat to target by 266 ',100,2,1),
(174894,113995,'Inflicts 48 - 80 melee damage on target',100,2,2),
(174895,10113995,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(174896,10113995,'Inflicts 57 - 96 melee damage on target',100,2,1),
(174897,116751,'Increases Max Health of target by 190.3',100,1,0),
(174898,116751,'Increases Max Power of target by 222.8',100,1,1),
(174899,10116751,'Increases Max Health of target by 190.3',100,1,0),
(174900,10116751,'Increases Max Power of target by 222.8',100,1,1),
(174901,24003,'Adds Amygdalan (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(174902,10024003,'Adds Amygdalan (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(174903,179395,'When Equipped:',100,0,0),
(174904,179395,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(174905,179395,'Heals caster for 392',100,2,2),
(174906,179395,'Cannot be modified except by direct means',100,2,3),
(174907,10179395,'When Equipped:',100,0,0),
(174908,10179395,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(174909,10179395,'Heals caster for 255',100,2,2),
(174910,10179395,'Cannot be modified except by direct means',100,2,3),
(174911,71837,'When Equipped:',100,0,0),
(174912,71837,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174913,71837,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(174914,71837,'Cannot be modified except by direct means',100,2,3),
(174915,10071837,'When Equipped:',100,0,0),
(174916,10071837,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174917,10071837,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(174918,10071837,'Cannot be modified except by direct means',100,2,3),
(174919,103413,'Stifles targets in Area of Effect',100,1,0),
(174920,103413,'If Target is not Epic',100,2,1),
(174921,103413,'Decreases Threat to targets in Area of Effect by 2,137 ',100,1,2),
(174922,103413,'Slows targets in Area of Effect by 42.0%',100,1,3),
(174923,103413,'10% chance to dispel when target receives hostile action',100,1,4),
(174924,103413,'10% chance to dispel when target takes damage',100,1,5),
(174925,10103413,'Stifles targets in Area of Effect',100,1,0),
(174926,10103413,'If Target is not Epic',100,2,1),
(174927,10103413,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(174928,10103413,'Slows targets in Area of Effect by 42.0%',100,1,3),
(174929,111647,'Inflicts 126 - 154 cold damage on target encounter',100,1,0),
(174930,111647,'Slows target encounter by 37.2%',100,1,1),
(174931,111647,'5% chance to dispel when target takes damage',100,1,2),
(174932,111647,'5% chance to dispel when target receives hostile action',100,1,3),
(174933,10111647,'Inflicts 201 - 246 cold damage on target encounter',100,1,0),
(174934,10111647,'Slows target encounter by 37.2%',100,1,1),
(174935,10111647,'5% chance to dispel when target takes damage',100,1,2),
(174936,10111647,'5% chance to dispel when target receives hostile action',100,1,3),
(174937,108567,'Makes target afraid',100,1,0),
(174938,108567,'30% chance to dispel when target takes damage',100,1,1),
(174939,108567,'Does not affect Epic targets',100,1,2),
(174940,108567,'Resistibility increases against targets higher than level 106.',100,1,3),
(174941,10108567,'Makes target afraid',100,1,0),
(174942,10108567,'30% chance to dispel when target takes damage',100,1,1),
(174943,10108567,'Does not affect Epic targets',100,1,2),
(174944,10108567,'Resistibility increases against targets higher than level 106.',100,1,3),
(174945,104009,'Stifles target',100,1,0),
(174946,104009,'If Target is not Epic',100,2,1),
(174947,104009,'Interrupts target',100,1,2),
(174948,104009,'Decreases Threat to target by 99 - 121 ',100,1,3),
(174949,104009,'Resistibility increases against targets higher than level 39.',100,1,4),
(174950,10104009,'Stifles target',100,1,0),
(174951,10104009,'If Target is not Epic',100,2,1),
(174952,10104009,'Interrupts target',100,1,2),
(174953,10104009,'Resistibility increases against targets higher than level 39.',100,1,3),
(174954,49100,'Applies Absolution when Activated.  Lasts for 0.5 seconds.',100,0,0),
(174955,49100,'Repairs target''s equipment',100,1,1),
(174956,49100,'Removes experience debt when used.',100,1,2),
(174957,10049100,'Applies Absolution when Activated.  Lasts for 0.5 seconds.',100,0,0),
(174958,10049100,'Repairs target''s equipment',100,1,1),
(174959,10049100,'Removes experience debt when used.',100,1,2),
(174960,72263,'When Equipped:',100,0,0),
(174961,72263,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174962,72263,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(174963,72263,'Cannot be modified except by direct means',100,2,3),
(174964,10072263,'When Equipped:',100,0,0),
(174965,10072263,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(174966,10072263,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(174967,10072263,'Cannot be modified except by direct means',100,2,3),
(174968,124152,'Inflicts 218 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(174969,124152,'Applies Banshee''s Scream on termination.',100,1,1),
(174970,124152,'Inflicts 655 - 1092 disease damage on target',100,2,2),
(174971,10124152,'Inflicts 262 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(174972,10124152,'Applies Banshee''s Scream on termination.',100,1,1),
(174973,10124152,'Inflicts 786 - 1310 disease damage on target',100,2,2),
(174974,115682,'Inflicts 26 - 80 melee damage on target',100,1,0),
(174975,115682,'Inflicts 26 - 80 melee damage on target',100,1,1),
(174976,115682,'Inflicts 26 - 80 melee damage on target',100,1,2),
(174977,115682,'Inflicts 26 - 80 melee damage on target',100,1,3),
(174978,115682,'Inflicts 26 - 80 melee damage on target',100,1,4),
(174979,115682,'Inflicts 26 - 80 melee damage on target',100,1,5),
(174980,115682,'Inflicts 26 - 80 melee damage on target',100,1,6),
(174981,115682,'Inflicts 26 - 80 melee damage on target',100,1,7),
(174982,10115682,'Inflicts 32 - 96 melee damage on target',100,1,0),
(174983,10115682,'Inflicts 32 - 96 melee damage on target',100,1,1),
(174984,10115682,'Inflicts 32 - 96 melee damage on target',100,1,2),
(174985,10115682,'Inflicts 32 - 96 melee damage on target',100,1,3),
(174986,10115682,'Inflicts 32 - 96 melee damage on target',100,1,4),
(174987,10115682,'Inflicts 32 - 96 melee damage on target',100,1,5),
(174988,10115682,'Inflicts 32 - 96 melee damage on target',100,1,6),
(174989,10115682,'Inflicts 32 - 96 melee damage on target',100,1,7),
(174990,104576,'Inflicts 226 - 377 disease damage on target',100,1,0),
(174991,104576,'Decreases WIS of target by 79.9',100,1,1),
(174992,10104576,'Inflicts 272 - 453 disease damage on target',100,1,0),
(174993,10104576,'Decreases WIS of target by 79.9',100,1,1),
(174994,120097,'Shapechanges caster into a chaos essence',100,1,0),
(174995,120097,'Increases WIS of caster by 44.8',100,1,1),
(174996,120097,'Grants See Invisibility to caster',100,1,2),
(174997,120097,'Increases Max Health of caster by 120.4',100,1,3),
(174998,120097,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 665',100,1,4),
(174999,10120097,'Shapechanges caster into a chaos essence',100,1,0),
(175000,10120097,'Increases WIS of caster by 44.8',100,1,1),
(175001,10120097,'Grants See Invisibility to caster',100,1,2),
(175002,10120097,'Increases Max Health of caster by 120.4',100,1,3),
(175003,10120097,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 665',100,1,4),
(175004,48388,'Applies Temple Street Gnome Illusion when Activated.',100,0,0),
(175005,48388,'Shapechanges caster into a Temple Street Gnome Illusion',100,1,1),
(175006,48388,'Must be in zone Temple Street: Vault of Necromechanica',100,1,2),
(175007,10048388,'Applies Temple Street Gnome Illusion when Activated.',100,0,0),
(175008,10048388,'Shapechanges caster into a Temple Street Gnome Illusion',100,1,1),
(175009,10048388,'Must be in zone Temple Street: Vault of Necromechanica',100,1,2),
(175010,123934,'Increases STR and WIS of target by 96.1',100,1,0),
(175011,123934,'Increases Mitigation of target vs elemental, noxious and arcane damage by 286',100,1,1),
(175012,10123934,'Increases STR and WIS of target by 96.1',100,1,0),
(175013,10123934,'Increases Mitigation of target vs elemental, noxious and arcane damage by 286',100,1,1),
(175014,102221,'Increases Max Health of group members (AE) by 382.3',100,1,0),
(175015,10102221,'Increases Max Health of group members (AE) by 382.3',100,1,0),
(175016,45991,'Applies Dracurion Embrace when Activated.',100,0,0),
(175017,45991,'Shapechanges the user into a Dracurion in armor worn by covenant defenders.',100,1,1),
(175018,10045991,'Applies Dracurion Embrace when Activated.',100,0,0),
(175019,10045991,'Shapechanges the user into a Dracurion in armor worn by covenant defenders.',100,1,1),
(175020,114987,'Inflicts 182 - 304 ranged damage on targets in area',100,1,0),
(175021,114987,'You must be in stealth to use this!',100,1,1),
(175022,114987,'Requires bow',100,1,2),
(175023,10114987,'Inflicts 155 - 258 ranged damage on targets in area',100,1,0),
(175024,10114987,'You must be in stealth to use this!',100,1,1),
(175025,10114987,'Requires bow',100,1,2),
(175026,104597,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(175027,104597,'Slows target by 32.0%',100,2,1),
(175028,104597,'5% chance to dispel when target receives hostile action',100,2,2),
(175029,104597,'5% chance to dispel when target takes damage',100,2,3),
(175030,104597,'Inflicts 43 - 53 cold damage on target',100,1,4),
(175031,10104597,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(175032,10104597,'Slows target by 32.0%',100,2,1),
(175033,10104597,'5% chance to dispel when target receives hostile action',100,2,2),
(175034,10104597,'5% chance to dispel when target takes damage',100,2,3),
(175035,10104597,'Inflicts 52 - 63 cold damage on target',100,1,4),
(175036,107071,'Inflicts 34 - 42 divine damage on target',100,1,0),
(175037,10107071,'Inflicts 41 - 50 divine damage on target',100,1,0),
(175038,106744,'Heals target for 1459 - 1783',100,1,0),
(175039,10106744,'Heals target for 3087 - 3773',100,1,0),
(175040,35969,'Increases STR of target by 1.5',100,0,0),
(175041,35969,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(175042,108375,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(175043,108375,'Increases Mitigation of group members (AE) vs arcane damage by 1521',100,1,1),
(175044,10108375,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(175045,10108375,'Increases Mitigation of group members (AE) vs arcane damage by 1521',100,1,1),
(175046,75610,'Applies Holy Strike when Activated.',100,0,0),
(175047,75610,'Inflicts 72 - 121 divine damage on target',100,1,1),
(175048,75610,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(175049,10075610,'Applies Holy Strike when Activated.',100,0,0),
(175050,10075610,'Inflicts 87 - 145 divine damage on target',100,1,1),
(175051,10075610,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(175052,148979,'When Equipped:',100,0,0),
(175053,148979,'Increases poison trigger chance by 3.0%',100,1,1),
(175054,10148979,'When Equipped:',100,0,0),
(175055,10148979,'Increases poison trigger chance by 3.0%',100,1,1),
(175056,108518,'Increases AGI and WIS of group members (AE) by 27.1',100,1,0),
(175057,108518,'Adds 1.7% to base avoidance.',100,1,1),
(175058,108518,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 77',100,1,2),
(175059,10108518,'Increases AGI and WIS of group members (AE) by 27.1',100,1,0),
(175060,10108518,'Adds 1.7% to base avoidance.',100,1,1),
(175061,10108518,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 77',100,1,2),
(175062,81193,'When Equipped:',100,0,0),
(175063,81193,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175064,81193,'Inflicts 224 - 416 magic damage on target',100,2,2),
(175065,81193,'Cannot be modified except by direct means',100,2,3),
(175066,10081193,'When Equipped:',100,0,0),
(175067,10081193,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175068,10081193,'Inflicts 269 - 499 magic damage on target',100,2,2),
(175069,10081193,'Cannot be modified except by direct means',100,2,3),
(175070,170702,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(175071,170702,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(175072,170702,'Decreases Attack Speed of target by 12.4',100,2,2),
(175073,170702,'Cannot be modified except by direct means',100,2,3),
(175074,170702,'Slows target by 30.8%',100,1,4),
(175075,170702,'5% chance to dispel when target takes damage',100,1,5),
(175076,170702,'5% chance to dispel when target receives hostile action',100,1,6),
(175077,170702,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(175078,10170702,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(175079,10170702,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(175080,10170702,'Decreases Attack Speed of target by 12.4',100,2,2),
(175081,10170702,'Cannot be modified except by direct means',100,2,3),
(175082,10170702,'Slows target by 30.8%',100,1,4),
(175083,10170702,'5% chance to dispel when target takes damage',100,1,5),
(175084,10170702,'5% chance to dispel when target receives hostile action',100,1,6),
(175085,10170702,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(175086,46754,'Applies Klom''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(175087,46754,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(175088,10046754,'Applies Klom''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(175089,10046754,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(175090,115761,'Inflicts 76 - 126 melee damage on target',100,1,0),
(175091,10115761,'Inflicts 91 - 152 melee damage on target',100,1,0),
(175092,120021,'Inflicts 22 - 27 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(175093,120021,'Decreases power of target encounter by 7 instantly and every 4 seconds',100,1,1),
(175094,10120021,'Inflicts 27 - 33 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(175095,10120021,'Decreases power of target encounter by 7 instantly and every 4 seconds',100,1,1),
(175096,101848,'Summons a limited pet to aid the caster',100,1,0),
(175097,10101848,'Summons a limited pet to aid the caster',100,1,0),
(175098,109652,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(175099,109652,'Inflicts 27 - 49 poison damage on target encounter',100,2,1),
(175100,10109652,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(175101,10109652,'Inflicts 32 - 59 poison damage on target encounter',100,2,1),
(175102,111418,'Increases Attack Speed of target by 55.0',100,1,0),
(175103,111418,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(175104,111418,'Inflicts 407 disease damage on target',100,2,2),
(175105,111418,'Heals caster for 149',100,2,3),
(175106,111418,'Decreases Defense and Parry of target by 42.3',100,1,4),
(175107,111418,'Increases Disruption and Subjugation of target by 47.5',100,1,5),
(175108,111418,'Increases Focus of target by 52.2',100,1,6),
(175109,10111418,'Increases Attack Speed of target by 55.0',100,1,0),
(175110,10111418,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(175111,10111418,'Inflicts 488 disease damage on target',100,2,2),
(175112,10111418,'Heals caster for 97',100,2,3),
(175113,10111418,'Decreases Defense and Parry of target by 42.3',100,1,4),
(175114,10111418,'Increases Disruption and Subjugation of target by 47.5',100,1,5),
(175115,10111418,'Increases Focus of target by 52.2',100,1,6),
(175116,114373,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(175117,114373,'Stuns target',100,2,1),
(175118,114373,'Throws target back',100,2,2),
(175119,114373,'Blurs vision of target',100,2,3),
(175120,114373,'Does not affect Epic targets',100,2,4),
(175121,114373,'Inflicts 176 - 294 crushing damage on target',100,1,5),
(175122,10114373,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(175123,10114373,'Stuns target',100,2,1),
(175124,10114373,'Throws target back',100,2,2),
(175125,10114373,'Blurs vision of target',100,2,3),
(175126,10114373,'Does not affect Epic targets',100,2,4),
(175127,10114373,'Inflicts 212 - 353 crushing damage on target',100,1,5),
(175128,80372,'When Equipped:',100,0,0),
(175129,80372,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175130,80372,'Inflicts 45 - 84 magic damage on target',100,2,2),
(175131,80372,'Decreases Threat to target by 153 ',100,2,3),
(175132,80372,'Must be flanking or behind',100,3,4),
(175133,80372,'Increases Threat to target by 158 ',100,2,5),
(175134,80372,'Must be in front of',100,3,6),
(175135,80372,'Cannot be modified except by direct means',100,2,7),
(175136,10080372,'When Equipped:',100,0,0),
(175137,10080372,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175138,10080372,'Inflicts 54 - 100 magic damage on target',100,2,2),
(175139,10080372,'Cannot be modified except by direct means',100,2,3),
(175140,108380,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(175141,108380,'Increases Mitigation of group members (AE) vs arcane damage by 1392',100,1,1),
(175142,10108380,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(175143,10108380,'Increases Mitigation of group members (AE) vs arcane damage by 1392',100,1,1),
(175144,122995,'Wards group members (AE) collectively against 660 total points of all damage',100,1,0),
(175145,10122995,'Wards group members (AE) collectively against 984 total points of all damage',100,1,0),
(175146,106334,'Decreases INT and STR of target by 87.1',100,1,0),
(175147,10106334,'Decreases INT and STR of target by 87.1',100,1,0),
(175148,164001,'When Equipped:',100,0,0),
(175149,164001,'Increases base Combat Art damage by 5%.',100,1,1),
(175150,10164001,'When Equipped:',100,0,0),
(175151,10164001,'Increases base Combat Art damage by 5%.',100,1,1),
(175152,80615,'When Equipped:',100,0,0),
(175153,80615,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175154,80615,'Inflicts 53 - 98 magic damage on target',100,2,2),
(175155,80615,'Decreases Threat to target by 236 ',100,2,3),
(175156,80615,'Must be flanking or behind',100,3,4),
(175157,80615,'Increases Threat to target by 241 ',100,2,5),
(175158,80615,'Must be in front of',100,3,6),
(175159,80615,'Cannot be modified except by direct means',100,2,7),
(175160,10080615,'When Equipped:',100,0,0),
(175161,10080615,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175162,10080615,'Inflicts 64 - 118 magic damage on target',100,2,2),
(175163,10080615,'Cannot be modified except by direct means',100,2,3),
(175164,117287,'Inflicts 166 - 277 melee damage on target',100,1,0),
(175165,117287,'Decreases Damage Per Second of target by 9.1',100,1,1),
(175166,117287,'Decreases Attack Speed of target by 6.7',100,1,2),
(175167,10117287,'Inflicts 199 - 332 melee damage on target',100,1,0),
(175168,10117287,'Decreases Damage Per Second of target by 9.1',100,1,1),
(175169,10117287,'Decreases Attack Speed of target by 6.7',100,1,2),
(175170,102902,'Heals caster for 475',100,1,0),
(175171,102902,'Inflicts 700 disease damage on targets in Area of Effect',100,1,1),
(175172,10102902,'Heals caster for 309',100,1,0),
(175173,10102902,'Inflicts 840 disease damage on targets in Area of Effect',100,1,1),
(175174,80866,'When Equipped:',100,0,0),
(175175,80866,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175176,80866,'Inflicts 184 - 342 magic damage on target',100,2,2),
(175177,80866,'Decreases Threat to target by 672 ',100,2,3),
(175178,80866,'Must be flanking or behind',100,3,4),
(175179,80866,'Increases Threat to target by 677 ',100,2,5),
(175180,80866,'Must be in front of',100,3,6),
(175181,80866,'Cannot be modified except by direct means',100,2,7),
(175182,10080866,'When Equipped:',100,0,0),
(175183,10080866,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175184,10080866,'Inflicts 221 - 410 magic damage on target',100,2,2),
(175185,10080866,'Cannot be modified except by direct means',100,2,3),
(175186,46733,'Applies Kaglari''s Awakening when Activated.  Lasts for 30 minutes.',100,0,0),
(175187,46733,'Increases INT and WIS of caster by 39.0',100,1,1),
(175188,10046733,'Applies Kaglari''s Awakening when Activated.  Lasts for 30 minutes.',100,0,0),
(175189,10046733,'Increases INT and WIS of caster by 39.0',100,1,1),
(175190,124012,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(175191,124012,'Heals target for 166 - 203',100,2,1),
(175192,124012,'Grants a total of 5 triggers of the spell.',100,2,2),
(175193,10124012,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(175194,10124012,'Heals target for 108 - 132',100,2,1),
(175195,10124012,'Grants a total of 5 triggers of the spell.',100,2,2),
(175196,115631,'Wards target against 4032 points of all damage',100,1,0),
(175197,10115631,'Wards target against 6048 points of all damage',100,1,0),
(175198,151027,'When Equipped:',100,0,0),
(175199,151027,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(175200,151027,'Wards target against 2450 points of all damage',100,2,2),
(175201,151027,'Must not be engaged in pvp combat',100,2,3),
(175202,151027,'Cannot be modified except by direct means',100,2,4),
(175203,151027,'Cannot be modified except by direct means',100,1,5),
(175204,10151027,'When Equipped:',100,0,0),
(175205,10151027,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(175206,10151027,'Wards target against 2450 points of all damage',100,2,2),
(175207,10151027,'Must not be engaged in pvp combat',100,2,3),
(175208,10151027,'Cannot be modified except by direct means',100,2,4),
(175209,10151027,'Cannot be modified except by direct means',100,1,5),
(175210,35446,'Increases STA and INT of target by 1.1',100,0,0),
(175211,35446,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(175212,100506,'Increases Attack Speed of group members (AE) by 23.9',100,1,0),
(175213,10100506,'Increases Attack Speed of group members (AE) by 23.9',100,1,0),
(175214,111248,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(175215,111248,'Heals target for 532 - 650',100,2,1),
(175216,10111248,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(175217,10111248,'Heals target for 346 - 423',100,2,1),
(175218,70616,'When Equipped:',100,0,0),
(175219,70616,'On a combat hit this spell may cast Aqueous Asphyxiation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175220,70616,'Inflicts 187 - 312 magic damage on target',100,2,2),
(175221,70616,'Cannot be modified except by direct means',100,2,3),
(175222,10070616,'When Equipped:',100,0,0),
(175223,10070616,'On a combat hit this spell may cast Aqueous Asphyxiation on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175224,10070616,'Inflicts 224 - 374 magic damage on target',100,2,2),
(175225,10070616,'Cannot be modified except by direct means',100,2,3),
(175226,103308,'Applies Migraine on termination.',100,1,0),
(175227,103308,'Inflicts 41 - 55 mental damage on target',100,2,1),
(175228,103308,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',100,1,2),
(175229,10103308,'Applies Migraine on termination.',100,1,0),
(175230,10103308,'Inflicts 49 - 66 mental damage on target',100,2,1),
(175231,10103308,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',100,1,2),
(175232,114352,'Increases Attack Speed of group members (AE) by 13.9',100,1,0),
(175233,10114352,'Increases Attack Speed of group members (AE) by 13.9',100,1,0),
(175234,177621,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(175235,177621,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175236,177621,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(175237,177621,'Cannot be modified except by direct means',100,2,3),
(175238,10177621,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(175239,10177621,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175240,10177621,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(175241,10177621,'Cannot be modified except by direct means',100,2,3),
(175242,71875,'When Equipped:',100,0,0),
(175243,71875,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175244,71875,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(175245,71875,'Cannot be modified except by direct means',100,2,3),
(175246,10071875,'When Equipped:',100,0,0),
(175247,10071875,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175248,10071875,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(175249,10071875,'Cannot be modified except by direct means',100,2,3),
(175250,122519,'Heals caster for 15',100,1,0),
(175251,122519,'Inflicts 22 - 37 melee damage on target',100,1,1),
(175252,10122519,'Heals caster for 10',100,1,0),
(175253,10122519,'Inflicts 26 - 44 melee damage on target',100,1,1),
(175254,40660,'When Equipped:',100,0,0),
(175255,40660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175256,40660,'Inflicts 108 - 163 magic damage on target',100,2,2),
(175257,40660,'Cannot be modified except by direct means',100,2,3),
(175258,10040660,'When Equipped:',100,0,0),
(175259,10040660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175260,10040660,'Inflicts 130 - 195 magic damage on target',100,2,2),
(175261,10040660,'Cannot be modified except by direct means',100,2,3),
(175262,82522,'When Equipped:',100,0,0),
(175263,82522,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175264,82522,'Inflicts 67 - 124 magic damage on target',100,2,2),
(175265,82522,'Cannot be modified except by direct means',100,2,3),
(175266,10082522,'When Equipped:',100,0,0),
(175267,10082522,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175268,10082522,'Inflicts 80 - 149 magic damage on target',100,2,2),
(175269,10082522,'Cannot be modified except by direct means',100,2,3),
(175270,105069,'Inflicts 49 - 66 magic damage on target',100,1,0),
(175271,10105069,'Inflicts 59 - 79 magic damage on target',100,1,0),
(175272,121143,'Summon 1 Splinter of Essence (Adept I)',100,1,0),
(175273,10121143,'Summon 1 Splinter of Essence (Adept I)',100,1,0),
(175274,46097,'Applies Elixir of Precision when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(175275,46097,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(175276,46097,'Inflicts 3 magic damage on target',100,2,2),
(175277,46097,'Cannot be modified except by direct means',100,2,3),
(175278,10046097,'Applies Elixir of Precision when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(175279,10046097,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(175280,10046097,'Inflicts 4 magic damage on target',100,2,2),
(175281,10046097,'Cannot be modified except by direct means',100,2,3),
(175282,115285,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(175283,115285,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(175284,115285,'Inflicts 258 - 315 poison damage on target',100,3,2),
(175285,115285,'Grants a total of 1 trigger of the spell.',100,3,3),
(175286,10115285,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(175287,10115285,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(175288,10115285,'Inflicts 309 - 378 poison damage on target',100,3,2),
(175289,10115285,'Grants a total of 1 trigger of the spell.',100,3,3),
(175290,115179,'Heals target for 314 - 384',100,1,0),
(175291,10115179,'Heals target for 426 - 520',100,1,0),
(175292,45726,'Applies Sergug''s Renewal  when Activated.',100,0,0),
(175293,45726,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(175294,10045726,'Applies Sergug''s Renewal  when Activated.',100,0,0),
(175295,10045726,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(175296,105646,'Inflicts 80 disease damage on target instantly and every 6 seconds',100,1,0),
(175297,105646,'Inflicts 184 - 308 disease damage on target',100,1,1),
(175298,105646,'Inflicts 184 - 308 disease damage on target',100,1,2),
(175299,10105646,'Inflicts 96 disease damage on target instantly and every 6 seconds',100,1,0),
(175300,10105646,'Inflicts 221 - 369 disease damage on target',100,1,1),
(175301,10105646,'Inflicts 221 - 369 disease damage on target',100,1,2),
(175302,35618,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(175303,89608,'When Equipped:',100,0,0),
(175304,89608,'Increases Metalworking and Metal Shaping of caster by 23.4',100,1,1),
(175305,10089608,'When Equipped:',100,0,0),
(175306,10089608,'Increases Metalworking and Metal Shaping of caster by 23.4',100,1,1),
(175307,144687,'When Equipped:',100,0,0),
(175308,144687,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175309,144687,'Wards target against 1000 points of all damage',100,2,2),
(175310,144687,'Cannot be modified except by direct means',100,2,3),
(175311,10144687,'When Equipped:',100,0,0),
(175312,10144687,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175313,10144687,'Wards target against 1000 points of all damage',100,2,2),
(175314,10144687,'Cannot be modified except by direct means',100,2,3),
(175315,37141,'Increases STA of target by 1.5',100,0,0),
(175316,37141,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(175317,82498,'When Equipped:',100,0,0),
(175318,82498,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175319,82498,'Inflicts 135 - 252 magic damage on target',100,2,2),
(175320,82498,'Cannot be modified except by direct means',100,2,3),
(175321,10082498,'When Equipped:',100,0,0),
(175322,10082498,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175323,10082498,'Inflicts 163 - 302 magic damage on target',100,2,2),
(175324,10082498,'Cannot be modified except by direct means',100,2,3),
(175325,100183,'Inflicts 1117 - 2074 disease damage on target encounter',100,1,0),
(175326,10100183,'Inflicts 1340 - 2489 disease damage on target encounter',100,1,0),
(175327,176273,'When Equipped:',100,0,0),
(175328,176273,'On a combat hit this spell may cast Silence II on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(175329,176273,'Stifles target',100,2,2),
(175330,176273,'Does not affect Epic targets',100,2,3),
(175331,176273,'Resistibility increases against targets higher than level 99.',100,2,4),
(175332,176273,'Cannot be modified except by direct means',100,2,5),
(175333,10176273,'When Equipped:',100,0,0),
(175334,10176273,'On a combat hit this spell may cast Silence II on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(175335,10176273,'Stifles target',100,2,2),
(175336,10176273,'Does not affect Epic targets',100,2,3),
(175337,10176273,'Resistibility increases against targets higher than level 99.',100,2,4),
(175338,10176273,'Cannot be modified except by direct means',100,2,5),
(175339,161962,'When Equipped:',100,0,0),
(175340,161962,'Increases Attack Speed of caster by 40.0',100,1,1),
(175341,10161962,'When Equipped:',100,0,0),
(175342,10161962,'Increases Attack Speed of caster by 40.0',100,1,1),
(175343,49026,'Applies Veeshan''s Salvation when Activated.  Lasts for 15 minutes.',100,0,0),
(175344,49026,'Increases Max Power of caster by 156.0',100,1,1),
(175345,10049026,'Applies Veeshan''s Salvation when Activated.  Lasts for 15 minutes.',100,0,0),
(175346,10049026,'Increases Max Power of caster by 156.0',100,1,1),
(175347,24279,'Adds Elite: Diaku (Berserker) to your Dungeon Maker toolbox',100,0,0),
(175348,10024279,'Adds Elite: Diaku (Berserker) to your Dungeon Maker toolbox',100,0,0),
(175349,101513,'Increases WIS of target by 38.0',100,1,0),
(175350,101513,'Increases Max Health of target by 285.5',100,1,1),
(175351,101513,'Increases Mitigation of target vs elemental, noxious and arcane damage by 106',100,1,2),
(175352,10101513,'Increases WIS of target by 38.0',100,1,0),
(175353,10101513,'Increases Max Health of target by 285.5',100,1,1),
(175354,10101513,'Increases Mitigation of target vs elemental, noxious and arcane damage by 106',100,1,2),
(175355,159414,'Applies Sanguine Imbued when Equipped.',100,0,0),
(175356,159414,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(175357,159414,'Inflicts 138 heat damage on target',100,2,2),
(175358,159414,'Cannot be modified except by direct means',100,2,3),
(175359,10159414,'Applies Sanguine Imbued when Equipped.',100,0,0),
(175360,10159414,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(175361,10159414,'Inflicts 165 heat damage on target',100,2,2),
(175362,10159414,'Cannot be modified except by direct means',100,2,3),
(175363,50526,'Applies Astral Blessing when Equipped.',100,0,0),
(175364,50526,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(175365,50526,'Heals target for 440 instantly and every second',100,2,2),
(175366,50526,'Cannot be modified except by direct means',100,2,3),
(175367,50526,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(175368,50526,'Heals caster for 440 instantly and every second',100,2,5),
(175369,50526,'Cannot be modified except by direct means',100,2,6),
(175370,50526,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(175371,50526,'Heals caster for 440 instantly and every second',100,2,8),
(175372,50526,'Cannot be modified except by direct means',100,2,9),
(175373,10050526,'Applies Astral Blessing when Equipped.',100,0,0),
(175374,10050526,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(175375,10050526,'Heals target for 514 instantly and every second',100,2,2),
(175376,10050526,'Cannot be modified except by direct means',100,2,3),
(175377,10050526,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(175378,10050526,'Heals caster for 514 instantly and every second',100,2,5),
(175379,10050526,'Cannot be modified except by direct means',100,2,6),
(175380,10050526,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(175381,10050526,'Heals caster for 514 instantly and every second',100,2,8),
(175382,10050526,'Cannot be modified except by direct means',100,2,9),
(175383,47970,'Applies Read the Scroll when Activated.',100,0,0),
(175384,47970,'Lerenth must be kneeling and weakened to be affected by this magic.',100,1,1),
(175385,10047970,'Applies Read the Scroll when Activated.',100,0,0),
(175386,10047970,'Lerenth must be kneeling and weakened to be affected by this magic.',100,1,1),
(175387,45784,'Applies Marsh Fiend Illusion when Activated.',100,0,0),
(175388,45784,'Shapechanges the user into a marsh fiend',100,1,1),
(175389,10045784,'Applies Marsh Fiend Illusion when Activated.',100,0,0),
(175390,10045784,'Shapechanges the user into a marsh fiend',100,1,1),
(175391,110075,'Summons a pet grim sorcerer',100,1,0),
(175392,10110075,'Summons a pet grim sorcerer',100,1,0),
(175393,124295,'Wards group members (AE) against 1251 points of elemental damage',100,1,0),
(175394,124295,'Increases Mitigation of group members (AE) vs elemental damage by 684',100,1,1),
(175395,10124295,'Wards group members (AE) against 1251 points of elemental damage',100,1,0),
(175396,10124295,'Increases Mitigation of group members (AE) vs elemental damage by 684',100,1,1),
(175397,101809,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(175398,101809,'Decreases Threat to target by 860 ',100,2,1),
(175399,10101809,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(175400,10101809,'Inflicts 45 - 50 crushing damage on target',100,2,1),
(175401,41708,'When Equipped:',100,0,0),
(175402,41708,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175403,41708,'Inflicts 28 - 51 magic damage on target',100,2,2),
(175404,41708,'Cannot be modified except by direct means',100,2,3),
(175405,10041708,'When Equipped:',100,0,0),
(175406,10041708,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175407,10041708,'Inflicts 33 - 61 magic damage on target',100,2,2),
(175408,10041708,'Cannot be modified except by direct means',100,2,3),
(175409,47062,'Applies Miscalibrated Automated Shears when Activated.  Lasts for 10 days.',100,0,0),
(175410,47062,'Reduces the harvest time for gathering and foresting by .2 seconds.',100,1,1),
(175411,47062,'Increases Gathering and Foresting of caster by 5.0',100,1,2),
(175412,10047062,'Applies Miscalibrated Automated Shears when Activated.  Lasts for 10 days.',100,0,0),
(175413,10047062,'Reduces the harvest time for gathering and foresting by .2 seconds.',100,1,1),
(175414,10047062,'Increases Gathering and Foresting of caster by 5.0',100,1,2),
(175415,113179,'Inflicts 960 disease damage on target',100,1,0),
(175416,113179,'Heals caster for 640',100,1,1),
(175417,10113179,'Inflicts 1152 disease damage on target',100,1,0),
(175418,10113179,'Heals caster for 541',100,1,1),
(175419,119245,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(175420,119245,'If profession other than Fighter',100,1,1),
(175421,119245,'If profession other than Scout',100,1,2),
(175422,10119245,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(175423,10119245,'If profession other than Fighter',100,1,1),
(175424,10119245,'If profession other than Scout',100,1,2),
(175425,177526,'When Equipped:',100,0,0),
(175426,177526,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(175427,177526,'Increases STA of caster by 11.9',100,2,2),
(175428,177526,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(175429,177526,'Cannot be modified except by direct means',100,2,4),
(175430,10177526,'When Equipped:',100,0,0),
(175431,10177526,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(175432,10177526,'Increases STA of caster by 11.9',100,2,2),
(175433,10177526,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(175434,10177526,'Cannot be modified except by direct means',100,2,4),
(175435,42323,'When Equipped:',100,0,0),
(175436,42323,'On a combat hit this spell may cast Mortal Puncture on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175437,42323,'Inflicts 227 - 378 piercing damage on target',100,2,2),
(175438,42323,'Cannot be modified except by direct means',100,2,3),
(175439,10042323,'When Equipped:',100,0,0),
(175440,10042323,'On a combat hit this spell may cast Mortal Puncture on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175441,10042323,'Inflicts 272 - 454 piercing damage on target',100,2,2),
(175442,10042323,'Cannot be modified except by direct means',100,2,3),
(175443,105091,'Inflicts 198 - 268 magic damage on target',100,1,0),
(175444,10105091,'Inflicts 237 - 321 magic damage on target',100,1,0),
(175445,100228,'Increases Threat to target encounter by 1,309 - 1,598 ',100,1,0),
(175446,100228,'Interrupts target encounter',100,1,1),
(175447,10100228,'Interrupts target encounter',100,1,0),
(175448,10100228,'Forces target encounter to change their selected target to caster.',100,1,1),
(175449,10100228,'Prevents target encounter from changing targets',100,1,2),
(175450,110687,'Heals target for 770',100,1,0),
(175451,110687,'Dispels 64 levels of any hostile effects on target',100,1,1),
(175452,10110687,'Heals target for 500',100,1,0),
(175453,10110687,'Dispels 64 levels of any hostile effects on target',100,1,1),
(175454,103755,'Inflicts 1990 - 2432 magic damage on targets in Area of Effect',100,1,0),
(175455,10103755,'Inflicts 2387 - 2918 magic damage on targets in Area of Effect',100,1,0),
(175456,115899,'Inflicts 32 - 39 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(175457,10115899,'Inflicts 50 - 62 disease damage on target encounter',100,1,0),
(175458,10115899,'Inflicts 39 - 47 disease damage on target encounter every 3 seconds',100,1,1),
(175459,80311,'When Equipped:',100,0,0),
(175460,80311,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175461,80311,'Inflicts 48 - 89 magic damage on target',100,2,2),
(175462,80311,'Cannot be modified except by direct means',100,2,3),
(175463,10080311,'When Equipped:',100,0,0),
(175464,10080311,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175465,10080311,'Inflicts 57 - 106 magic damage on target',100,2,2),
(175466,10080311,'Cannot be modified except by direct means',100,2,3),
(175467,36210,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(175468,36210,'This effect suspends during combat',100,0,1),
(175469,104095,'Roots target',100,1,0),
(175470,104095,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(175471,104095,'Slows target by 18.6%',100,2,2),
(175472,104095,'Makes target afraid',100,2,3),
(175473,104095,'30% chance to dispel when target takes damage',100,2,4),
(175474,104095,'Resistibility increases against targets higher than level 34.',100,2,5),
(175475,104095,'15% chance to dispel when target takes damage',100,1,6),
(175476,104095,'Does not affect Epic targets',100,1,7),
(175477,104095,'Resistibility increases against targets higher than level 34.',100,1,8),
(175478,10104095,'Roots target',100,1,0),
(175479,10104095,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(175480,10104095,'Makes target afraid',100,2,2),
(175481,10104095,'Slows target by 18.6%',100,2,3),
(175482,10104095,'30% chance to dispel when target takes damage',100,2,4),
(175483,10104095,'Resistibility increases against targets higher than level 34.',100,2,5),
(175484,10104095,'15% chance to dispel when target takes damage',100,1,6),
(175485,10104095,'Does not affect Epic targets',100,1,7),
(175486,10104095,'Resistibility increases against targets higher than level 34.',100,1,8),
(175487,81289,'When Equipped:',100,0,0),
(175488,81289,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175489,81289,'Decreases Threat to target by 949 ',100,2,2),
(175490,81289,'Must be flanking or behind',100,3,3),
(175491,81289,'Increases Threat to target by 954 ',100,2,4),
(175492,81289,'Must be in front of',100,3,5),
(175493,81289,'Inflicts 193 - 358 magic damage on target',100,2,6),
(175494,81289,'Cannot be modified except by direct means',100,2,7),
(175495,10081289,'When Equipped:',100,0,0),
(175496,10081289,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175497,10081289,'Inflicts 231 - 430 magic damage on target',100,2,2),
(175498,10081289,'Cannot be modified except by direct means',100,2,3),
(175499,119272,'Inflicts 38 - 63 slashing damage on target',100,1,0),
(175500,119272,'Decreases Damage Per Second of target by 10.8',100,1,1),
(175501,119272,'Inflicts 51 slashing damage on target instantly and every 4 seconds',100,1,2),
(175502,10119272,'Inflicts 45 - 76 slashing damage on target',100,1,0),
(175503,10119272,'Decreases Damage Per Second of target by 10.8',100,1,1),
(175504,10119272,'Inflicts 61 slashing damage on target instantly and every 4 seconds',100,1,2),
(175505,132066,'When Equipped:',100,0,0),
(175506,132066,'Increases Attack Speed of caster by 45.0',100,1,1),
(175507,132066,'When Equipped:',100,0,2),
(175508,132066,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,3),
(175509,132066,'Increases Max Health of caster by 1,220.0',100,1,4),
(175510,132066,'Cannot be modified except by direct means',100,1,5),
(175511,10132066,'When Equipped:',100,0,0),
(175512,10132066,'Increases Attack Speed of caster by 45.0',100,1,1),
(175513,10132066,'When Equipped:',100,0,2),
(175514,10132066,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,3),
(175515,10132066,'Increases Max Health of caster by 1,220.0',100,1,4),
(175516,10132066,'Cannot be modified except by direct means',100,1,5),
(175517,114153,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(175518,114153,'Increases Mitigation of group members (AE) vs elemental damage by 1771',100,1,1),
(175519,10114153,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(175520,10114153,'Increases Mitigation of group members (AE) vs elemental damage by 1771',100,1,1),
(175521,108449,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(175522,108449,'Increases Defense and Parry of caster by 6.5',100,1,1),
(175523,108449,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(175524,10108449,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(175525,10108449,'Increases Defense and Parry of caster by 6.5',100,1,1),
(175526,10108449,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(175527,103775,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',100,1,0),
(175528,10103775,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',100,1,0),
(175529,106448,'Increases Multi Attack Chance of raid and group members (AE) by 5.9',100,1,0),
(175530,10106448,'Increases Multi Attack Chance of raid and group members (AE) by 5.9',100,1,0),
(175531,147155,'When Equipped:',100,0,0),
(175532,147155,'Increases Attack Speed of caster by 40.0',100,1,1),
(175533,147155,'When Equipped:',100,0,2),
(175534,147155,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(175535,10147155,'When Equipped:',100,0,0),
(175536,10147155,'Increases Attack Speed of caster by 40.0',100,1,1),
(175537,10147155,'When Equipped:',100,0,2),
(175538,10147155,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(175539,176105,'When Equipped:',100,0,0),
(175540,176105,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(175541,176105,'Wards caster against 280 points of all damage',100,2,2),
(175542,176105,'Cannot be modified except by direct means',100,2,3),
(175543,10176105,'When Equipped:',100,0,0),
(175544,10176105,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(175545,10176105,'Wards caster against 280 points of all damage',100,2,2),
(175546,10176105,'Cannot be modified except by direct means',100,2,3),
(175547,40865,'When Equipped:',100,0,0),
(175548,40865,'On a critical spell hit this spell may cast Imposing Righteousness V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(175549,40865,'Decreases Potency of target by 2.0%',100,2,2),
(175550,40865,'Increases Potency of caster by 6.0%',100,2,3),
(175551,40865,'Must not be engaged in pvp combat',100,2,4),
(175552,40865,'Cannot be modified except by direct means',100,2,5),
(175553,40865,'On a critical combat hit this spell may cast Imposing Righteousness V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(175554,40865,'Decreases Potency of target by 2.0%',100,2,7),
(175555,40865,'Increases Potency of caster by 6.0%',100,2,8),
(175556,40865,'Must not be engaged in pvp combat',100,2,9),
(175557,40865,'Cannot be modified except by direct means',100,2,10),
(175558,40865,'Must not be engaged in pvp combat',100,1,11),
(175559,10040865,'When Equipped:',100,0,0),
(175560,10040865,'On a critical spell hit this spell may cast Imposing Righteousness V on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(175561,10040865,'Decreases Potency of target by 2.0%',100,2,2),
(175562,10040865,'Increases Potency of caster by 6.0%',100,2,3),
(175563,10040865,'Must not be engaged in pvp combat',100,2,4),
(175564,10040865,'Cannot be modified except by direct means',100,2,5),
(175565,10040865,'On a critical combat hit this spell may cast Imposing Righteousness V on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(175566,10040865,'Decreases Potency of target by 2.0%',100,2,7),
(175567,10040865,'Increases Potency of caster by 6.0%',100,2,8),
(175568,10040865,'Must not be engaged in pvp combat',100,2,9),
(175569,10040865,'Cannot be modified except by direct means',100,2,10),
(175570,10040865,'Must not be engaged in pvp combat',100,1,11),
(175571,108974,'Increases INT of group members (AE) by 179.5',100,1,0),
(175572,108974,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 63.4',100,1,1),
(175573,10108974,'Increases INT of group members (AE) by 179.5',100,1,0),
(175574,10108974,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 63.4',100,1,1),
(175575,102882,'Heals caster for 143',100,1,0),
(175576,102882,'Inflicts 213 disease damage on targets in Area of Effect',100,1,1),
(175577,10102882,'Heals caster for 93',100,1,0),
(175578,10102882,'Inflicts 255 disease damage on targets in Area of Effect',100,1,1),
(175579,164297,'When Equipped:',100,0,0),
(175580,164297,'Increases in-combat movement speed of caster by 2.0%',100,1,1),
(175581,164297,'Increases Damage Per Second of caster by 2.0',100,1,2),
(175582,164297,'Increases Attack Speed of caster by 2.0',100,1,3),
(175583,164297,'Must not be engaged in pvp combat',100,1,4),
(175584,10164297,'When Equipped:',100,0,0),
(175585,10164297,'Increases in-combat movement speed of caster by 2.0%',100,1,1),
(175586,10164297,'Increases Damage Per Second of caster by 2.0',100,1,2),
(175587,10164297,'Increases Attack Speed of caster by 2.0',100,1,3),
(175588,10164297,'Must not be engaged in pvp combat',100,1,4),
(175589,112257,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(175590,112257,'Decreases power of target by 156',100,2,1),
(175591,112257,'Increases power of caster by 135',100,2,2),
(175592,10112257,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(175593,10112257,'Decreases power of target by 156',100,2,1),
(175594,10112257,'Increases power of caster by 108',100,2,2),
(175595,107222,'Inflicts 485 - 809 melee damage on targets in area',100,1,0),
(175596,107222,'Dispels 149 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(175597,10107222,'Inflicts 582 - 971 melee damage on targets in area',100,1,0),
(175598,10107222,'Reduces healing received of targets in area by 10%',100,1,1),
(175599,101668,'Decreases Attack Speed of target by 13.1',100,1,0),
(175600,101668,'Decreases Damage Per Second of target by 8.3',100,1,1),
(175601,10101668,'Decreases Attack Speed of target by 13.1',100,1,0),
(175602,10101668,'Decreases Damage Per Second of target by 8.3',100,1,1),
(175603,87345,'When Equipped:',100,0,0),
(175604,87345,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175605,87345,'Inflicts 96 - 144 magic damage on target',100,2,2),
(175606,87345,'Cannot be modified except by direct means',100,2,3),
(175607,10087345,'When Equipped:',100,0,0),
(175608,10087345,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175609,10087345,'Inflicts 115 - 173 magic damage on target',100,2,2),
(175610,10087345,'Cannot be modified except by direct means',100,2,3),
(175611,47998,'Applies Apply Disease when Activated.',100,0,0),
(175612,47998,'Applies disease when activated. Target must be Goredeth Maulhammer!',100,1,1),
(175613,10047998,'Applies Apply Disease when Activated.',100,0,0),
(175614,10047998,'Applies disease when activated. Target must be Goredeth Maulhammer!',100,1,1),
(175615,159637,'When Equipped:',100,0,0),
(175616,159637,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(175617,159637,'Increases STA of caster by 14.8',100,2,2),
(175618,159637,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(175619,159637,'Cannot be modified except by direct means',100,2,4),
(175620,10159637,'When Equipped:',100,0,0),
(175621,10159637,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(175622,10159637,'Increases STA of caster by 14.8',100,2,2),
(175623,10159637,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(175624,10159637,'Cannot be modified except by direct means',100,2,4),
(175625,118783,'Wards group members (AE) against 5 points of physical damage',100,1,0),
(175626,118783,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,1),
(175627,10118783,'Wards group members (AE) against 5 points of physical damage',100,1,0),
(175628,10118783,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,1),
(175629,87434,'When Equipped:',100,0,0),
(175630,87434,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175631,87434,'Inflicts 28 - 42 magic damage on target',100,2,2),
(175632,87434,'Cannot be modified except by direct means',100,2,3),
(175633,10087434,'When Equipped:',100,0,0),
(175634,10087434,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175635,10087434,'Inflicts 34 - 50 magic damage on target',100,2,2),
(175636,10087434,'Cannot be modified except by direct means',100,2,3),
(175637,37075,'Increases STR of target by 1.5',100,0,0),
(175638,37075,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(175639,113323,'Inflicts 381 - 636 heat damage on target',100,1,0),
(175640,10113323,'Inflicts 694 - 1157 heat damage on target',100,1,0),
(175641,153801,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(175642,153801,'Increases Hate Gain of caster by 15.0%',100,1,1),
(175643,153801,'Must not be engaged in pvp combat',100,1,2),
(175644,153801,'Cannot be modified except by direct means',100,1,3),
(175645,153801,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(175646,153801,'When Equipped:',100,0,5),
(175647,153801,'On a critical combat hit this spell may cast Intimidating Rush V on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(175648,153801,'Increases Threat to target by 480 - 530 ',100,2,7),
(175649,153801,'If over 80% Health',100,3,8),
(175650,153801,'Must not be engaged in pvp combat',100,2,9),
(175651,153801,'Cannot be modified except by direct means',100,2,10),
(175652,153801,'On a critical spell hit this spell may cast Intimidating Rush V on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(175653,153801,'Increases Threat to target by 480 - 530 ',100,2,12),
(175654,153801,'If over 80% Health',100,3,13),
(175655,153801,'Must not be engaged in pvp combat',100,2,14),
(175656,153801,'Cannot be modified except by direct means',100,2,15),
(175657,153801,'Must not be engaged in pvp combat',100,1,16),
(175658,10153801,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(175659,10153801,'Must not be engaged in pvp combat',100,1,1),
(175660,10153801,'Cannot be modified except by direct means',100,1,2),
(175661,10153801,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(175662,10153801,'When Equipped:',100,0,4),
(175663,10153801,'On a critical combat hit this spell may cast Intimidating Rush V on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(175664,10153801,'Must not be engaged in pvp combat',100,2,6),
(175665,10153801,'Cannot be modified except by direct means',100,2,7),
(175666,10153801,'On a critical spell hit this spell may cast Intimidating Rush V on target of spell.  Triggers about 2.0 times per minute. ',100,1,8),
(175667,10153801,'Must not be engaged in pvp combat',100,2,9),
(175668,10153801,'Cannot be modified except by direct means',100,2,10),
(175669,10153801,'Must not be engaged in pvp combat',100,1,11),
(175670,117506,'Increases Attack Speed of target by 67.6',100,1,0),
(175671,10117506,'Increases Attack Speed of target by 67.6',100,1,0),
(175672,81932,'When Equipped:',100,0,0),
(175673,81932,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175674,81932,'Decreases Threat to target by 994 ',100,2,2),
(175675,81932,'Must be flanking or behind',100,3,3),
(175676,81932,'Increases Threat to target by 999 ',100,2,4),
(175677,81932,'Must be in front of',100,3,5),
(175678,81932,'Inflicts 261 - 484 magic damage on target',100,2,6),
(175679,81932,'Cannot be modified except by direct means',100,2,7),
(175680,10081932,'When Equipped:',100,0,0),
(175681,10081932,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175682,10081932,'Inflicts 313 - 581 magic damage on target',100,2,2),
(175683,10081932,'Cannot be modified except by direct means',100,2,3),
(175684,72204,'When Equipped:',100,0,0),
(175685,72204,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175686,72204,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(175687,72204,'Cannot be modified except by direct means',100,2,3),
(175688,10072204,'When Equipped:',100,0,0),
(175689,10072204,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175690,10072204,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(175691,10072204,'Cannot be modified except by direct means',100,2,3),
(175692,111621,'Inflicts 64 - 119 cold damage on target instantly and every 4 seconds',100,1,0),
(175693,111621,'Decreases Mitigation of target vs elemental damage by 1175',100,1,1),
(175694,10111621,'Inflicts 77 - 143 cold damage on target instantly and every 4 seconds',100,1,0),
(175695,10111621,'Decreases Mitigation of target vs elemental damage by 1175',100,1,1),
(175696,116523,'Increases Mitigation of target vs physical damage by 252',100,1,0),
(175697,116523,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(175698,10116523,'Increases Mitigation of target vs physical damage by 252',100,1,0),
(175699,10116523,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(175700,112466,'Decreases AGI and WIS of target by 20.0',100,1,0),
(175701,10112466,'Decreases AGI and WIS of target by 20.0',100,1,0),
(175702,122517,'Heals caster for 11',100,1,0),
(175703,122517,'Inflicts 16 - 26 melee damage on target',100,1,1),
(175704,10122517,'Heals caster for 7',100,1,0),
(175705,10122517,'Inflicts 19 - 32 melee damage on target',100,1,1),
(175706,37484,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(175707,37484,'Increases Max Power of target by 300.0',100,0,1),
(175708,112491,'Decreases AGI and WIS of target by 58.5',100,1,0),
(175709,10112491,'Decreases AGI and WIS of target by 58.5',100,1,0),
(175710,35993,'Increases STR of target by 1.5',100,0,0),
(175711,35993,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(175712,47914,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(175713,47914,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(175714,47914,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(175715,10047914,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(175716,10047914,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(175717,10047914,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(175718,114309,'Heals target for 740 - 905',100,1,0),
(175719,10114309,'Heals target for 870 - 1064',100,1,0),
(175720,46171,'Applies Escape Root when Activated.',100,0,0),
(175721,46171,'Teleports caster and caster''s group within the zone',80,1,1),
(175722,10046171,'Applies Escape Root when Activated.',100,0,0),
(175723,10046171,'Teleports caster and caster''s group within the zone',80,1,1),
(175724,71312,'When Equipped:',100,0,0),
(175725,71312,'On any combat or spell hit this spell may cast Uplifting Concerto on the group.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175726,71312,'On any combat or spell hit this spell will cast Singing Blades on target of attack.  ',100,2,2),
(175727,71312,'Inflicts 413 - 504 magic damage on target',100,3,3),
(175728,71312,'Grants a total of 3 triggers of the spell.',100,3,4),
(175729,71312,'Cannot be modified except by direct means',100,2,5),
(175730,71312,'Cannot be modified except by direct means',100,1,6),
(175731,10071312,'When Equipped:',100,0,0),
(175732,10071312,'On any combat or spell hit this spell may cast Uplifting Concerto on the group.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175733,10071312,'On any combat or spell hit this spell will cast Singing Blades on target of attack.  ',100,2,2),
(175734,10071312,'Inflicts 421 - 514 magic damage on target',100,3,3),
(175735,10071312,'Grants a total of 3 triggers of the spell.',100,3,4),
(175736,10071312,'Cannot be modified except by direct means',100,2,5),
(175737,10071312,'Cannot be modified except by direct means',100,1,6),
(175738,47633,'Applies Prayer Of Harla Dar when Activated.',100,0,0),
(175739,47633,'Heals caster for 7172 - 10758',100,1,1),
(175740,47633,'Dispels 110 levels of any hostile effects on caster',100,1,2),
(175741,10047633,'Applies Prayer Of Harla Dar when Activated.',100,0,0),
(175742,10047633,'Heals caster for 4662 - 6993',100,1,1),
(175743,10047633,'Dispels 110 levels of any hostile effects on caster',100,1,2),
(175744,105697,'Decreases Attack Speed of target encounter by 19.0',100,1,0),
(175745,105697,'Slows target encounter by 25.0%',100,1,1),
(175746,10105697,'Decreases Attack Speed of target encounter by 19.0',100,1,0),
(175747,10105697,'Slows target encounter by 25.0%',100,1,1),
(175748,37589,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(175749,172479,'When Equipped:',100,0,0),
(175750,172479,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175751,172479,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(175752,172479,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(175753,172479,'Increases Crit Chance of caster by 25.0',100,2,4),
(175754,172479,'Cannot be modified except by direct means',100,2,5),
(175755,10172479,'When Equipped:',100,0,0),
(175756,10172479,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175757,10172479,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(175758,10172479,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(175759,10172479,'Increases Crit Chance of caster by 25.0',100,2,4),
(175760,10172479,'Cannot be modified except by direct means',100,2,5),
(175761,101685,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(175762,101685,'Inflicts 130 - 159 disease damage on target',100,2,1),
(175763,101685,'Grants a total of 3 triggers of the spell.',100,2,2),
(175764,10101685,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(175765,10101685,'Inflicts 156 - 191 disease damage on target',100,2,1),
(175766,10101685,'Grants a total of 3 triggers of the spell.',100,2,2),
(175767,35169,'Increases AGI of target by 1.5',100,0,0),
(175768,35169,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(175769,124180,'Inflicts 96 - 161 melee damage on target',100,1,0),
(175770,10124180,'Inflicts 116 - 193 melee damage on target',100,1,0),
(175771,189923,'When Equipped:',100,0,0),
(175772,189923,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(175773,189923,'Heals caster for 170 instantly and every 5 seconds',100,2,2),
(175774,189923,'Cannot be modified except by direct means',100,2,3),
(175775,10189923,'When Equipped:',100,0,0),
(175776,10189923,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(175777,10189923,'Heals caster for 110 instantly and every 5 seconds',100,2,2),
(175778,10189923,'Cannot be modified except by direct means',100,2,3),
(175779,115930,'Inflicts 288 - 481 melee damage on target',100,1,0),
(175780,115930,'Roots target',100,1,1),
(175781,115930,'If Target is not Epic',100,2,2),
(175782,115930,'5% chance to dispel when target takes damage',100,1,3),
(175783,115930,'Resistibility increases against targets higher than level 61.',100,1,4),
(175784,10115930,'Inflicts 346 - 577 melee damage on target',100,1,0),
(175785,10115930,'Roots target',100,1,1),
(175786,10115930,'If Target is not Epic',100,2,2),
(175787,10115930,'5% chance to dispel when target takes damage',100,1,3),
(175788,10115930,'Resistibility increases against targets higher than level 61.',100,1,4),
(175789,144617,'When Equipped:',100,0,0),
(175790,144617,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175791,144617,'Wards target against 1000 points of all damage',100,2,2),
(175792,144617,'Cannot be modified except by direct means',100,2,3),
(175793,10144617,'When Equipped:',100,0,0),
(175794,10144617,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175795,10144617,'Wards target against 1000 points of all damage',100,2,2),
(175796,10144617,'Cannot be modified except by direct means',100,2,3),
(175797,82849,'When Equipped:',100,0,0),
(175798,82849,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175799,82849,'Decreases Threat to target by 833 ',100,2,2),
(175800,82849,'Must be flanking or behind',100,3,3),
(175801,82849,'Increases Threat to target by 838 ',100,2,4),
(175802,82849,'Must be in front of',100,3,5),
(175803,82849,'Inflicts 224 - 416 magic damage on target',100,2,6),
(175804,82849,'Cannot be modified except by direct means',100,2,7),
(175805,10082849,'When Equipped:',100,0,0),
(175806,10082849,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175807,10082849,'Inflicts 269 - 499 magic damage on target',100,2,2),
(175808,10082849,'Cannot be modified except by direct means',100,2,3),
(175809,102587,'Increases Threat to target encounter by 87 - 105 ',100,1,0),
(175810,102587,'Interrupts target encounter',100,1,1),
(175811,102587,'Decreases Mitigation of target encounter vs noxious damage by 109',100,1,2),
(175812,10102587,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(175813,10102587,'Prevents target from changing targets',100,2,1),
(175814,10102587,'Forces target to change their selected target to caster.',100,2,2),
(175815,10102587,'Interrupts target encounter',100,1,3),
(175816,10102587,'Decreases Mitigation of target encounter vs noxious damage by 109',100,1,4),
(175817,81968,'When Equipped:',100,0,0),
(175818,81968,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175819,81968,'Decreases Threat to target by 994 ',100,2,2),
(175820,81968,'Must be flanking or behind',100,3,3),
(175821,81968,'Increases Threat to target by 999 ',100,2,4),
(175822,81968,'Must be in front of',100,3,5),
(175823,81968,'Inflicts 261 - 484 magic damage on target',100,2,6),
(175824,81968,'Cannot be modified except by direct means',100,2,7),
(175825,10081968,'When Equipped:',100,0,0),
(175826,10081968,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(175827,10081968,'Inflicts 313 - 581 magic damage on target',100,2,2),
(175828,10081968,'Cannot be modified except by direct means',100,2,3),
(175829,71540,'When Equipped:',100,0,0),
(175830,71540,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175831,71540,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(175832,71540,'Cannot be modified except by direct means',100,2,3),
(175833,10071540,'When Equipped:',100,0,0),
(175834,10071540,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(175835,10071540,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(175836,10071540,'Cannot be modified except by direct means',100,2,3),
(175837,111571,'Inflicts 3440 - 6388 cold damage on target',100,1,0),
(175838,111571,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(175839,111571,'Blurs vision of target',100,2,2),
(175840,111571,'Stuns target',100,2,3),
(175841,111571,'Throws target back',100,2,4),
(175842,111571,'Does not affect Epic targets',100,2,5),
(175843,10111571,'Inflicts 2985 - 5543 cold damage on target',100,1,0),
(175844,10111571,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(175845,10111571,'Stuns target',100,2,2),
(175846,10111571,'Throws target back',100,2,3),
(175847,10111571,'Blurs vision of target',100,2,4),
(175848,10111571,'Does not affect Epic targets',100,2,5),
(175849,85430,'Applies Prismatic Glow when Equipped.',100,0,0),
(175850,85430,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(175851,85430,'When Equipped:',100,0,2),
(175852,85430,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(175853,85430,'Inflicts 142 - 263 magic damage on target',100,2,4),
(175854,85430,'Cannot be modified except by direct means',100,2,5),
(175855,10085430,'Applies Prismatic Glow when Equipped.',100,0,0),
(175856,10085430,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(175857,10085430,'When Equipped:',100,0,2),
(175858,10085430,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(175859,10085430,'Inflicts 170 - 316 magic damage on target',100,2,4),
(175860,10085430,'Cannot be modified except by direct means',100,2,5),
(175861,114981,'Summon 1 Shard of Essence (Master)',100,1,0),
(175862,114981,'Must not be engaged in combat',100,1,1),
(175863,10114981,'Summon 1 Shard of Essence (Master)',100,1,0),
(175864,10114981,'Must not be engaged in combat',100,1,1),
(175865,107327,'Decreases WIS of target by 72.6',100,1,0),
(175866,107327,'Decreases Defense of target by 27.6',100,1,1),
(175867,10107327,'Decreases WIS of target by 72.6',100,1,0),
(175868,10107327,'Decreases Defense of target by 27.6',100,1,1),
(175869,177542,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(175870,177542,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175871,177542,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(175872,177542,'Cannot be modified except by direct means',100,2,3),
(175873,10177542,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(175874,10177542,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(175875,10177542,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(175876,10177542,'Cannot be modified except by direct means',100,2,3),
(175877,120817,'Inflicts 6 - 8 disease damage on target instantly and every second',100,1,0),
(175878,10120817,'Inflicts 10 - 14 disease damage on target',100,1,0),
(175879,10120817,'Inflicts 7 - 10 disease damage on target every second',100,1,1),
(175880,159184,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(175881,159184,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(175882,159184,'Inflicts 121 heat damage on target',100,2,2),
(175883,159184,'Cannot be modified except by direct means',100,2,3),
(175884,10159184,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(175885,10159184,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(175886,10159184,'Inflicts 145 heat damage on target',100,2,2),
(175887,10159184,'Cannot be modified except by direct means',100,2,3),
(175888,74832,'When Equipped:',100,0,0),
(175889,74832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175890,74832,'Inflicts 84 - 126 magic damage on target',100,2,2),
(175891,74832,'Cannot be modified except by direct means',100,2,3),
(175892,10074832,'When Equipped:',100,0,0),
(175893,10074832,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175894,10074832,'Inflicts 101 - 151 magic damage on target',100,2,2),
(175895,10074832,'Cannot be modified except by direct means',100,2,3),
(175896,80184,'When Equipped:',100,0,0),
(175897,80184,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175898,80184,'Inflicts 149 - 278 magic damage on target',100,2,2),
(175899,80184,'Cannot be modified except by direct means',100,2,3),
(175900,10080184,'When Equipped:',100,0,0),
(175901,10080184,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175902,10080184,'Inflicts 179 - 333 magic damage on target',100,2,2),
(175903,10080184,'Cannot be modified except by direct means',100,2,3),
(175904,148622,'When Equipped:',100,0,0),
(175905,148622,'Increases Max Health of caster by 1,220.0',100,1,1),
(175906,148622,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(175907,148622,'Cannot be modified except by direct means',100,1,3),
(175908,10148622,'When Equipped:',100,0,0),
(175909,10148622,'Increases Max Health of caster by 1,220.0',100,1,1),
(175910,10148622,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(175911,10148622,'Cannot be modified except by direct means',100,1,3),
(175912,25872,'When Equipped:',100,0,0),
(175913,25872,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(175914,25872,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(175915,10025872,'When Equipped:',100,0,0),
(175916,10025872,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(175917,10025872,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(175918,141715,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(175919,141715,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(175920,141715,'Inflicts 13 heat damage on target',100,2,2),
(175921,141715,'Cannot be modified except by direct means',100,2,3),
(175922,10141715,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(175923,10141715,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(175924,10141715,'Inflicts 15 heat damage on target',100,2,2),
(175925,10141715,'Cannot be modified except by direct means',100,2,3),
(175926,110457,'Dazes targets in Area of Effect',100,1,0),
(175927,110457,'If Target is not Epic',100,2,1),
(175928,110457,'Decreases Threat to targets in Area of Effect by 3,367 ',100,1,2),
(175929,110457,'Dispelled when target receives hostile action',100,1,3),
(175930,110457,'Dispelled when target takes damage',100,1,4),
(175931,10110457,'Dazes targets in Area of Effect',100,1,0),
(175932,10110457,'If Target is not Epic',100,2,1),
(175933,10110457,'Applies Distract.',100,1,2),
(175934,10110457,'Forces target to clear their selected target.',100,2,3),
(175935,10110457,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(175936,10110457,'Dispelled when target receives hostile action',100,1,5),
(175937,10110457,'Dispelled when target takes damage',100,1,6),
(175938,188387,'When Equipped:',100,0,0),
(175939,188387,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(175940,188387,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(175941,188387,'Must be engaged in combat',100,3,3),
(175942,188387,'Cannot be modified except by direct means',100,2,4),
(175943,10188387,'When Equipped:',100,0,0),
(175944,10188387,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(175945,10188387,'Cannot be modified except by direct means',100,2,2),
(175946,124637,'Heals group members (AE) for 923 - 1128',100,1,0),
(175947,124637,'Heals group members (AE) for 156 - 190 every second',100,1,1),
(175948,10124637,'Heals group members (AE) for 1348 - 1647',100,1,0),
(175949,10124637,'Heals group members (AE) for 168 - 206 every second',100,1,1),
(175950,119986,'Increases Threat to target by 1,657 - 2,024 ',100,1,0),
(175951,10119986,'Prevents target from changing targets',100,1,0),
(175952,10119986,'Forces target to change their selected target to caster.',100,1,1),
(175953,80358,'When Equipped:',100,0,0),
(175954,80358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175955,80358,'Inflicts 39 - 72 magic damage on target',100,2,2),
(175956,80358,'Cannot be modified except by direct means',100,2,3),
(175957,10080358,'When Equipped:',100,0,0),
(175958,10080358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(175959,10080358,'Inflicts 46 - 86 magic damage on target',100,2,2),
(175960,10080358,'Cannot be modified except by direct means',100,2,3),
(175961,110995,'Heals target for 360 - 441 instantly and every 2 seconds',100,1,0),
(175962,110995,'Increases power of target by 28 - 34 instantly and every 2 seconds',100,1,1),
(175963,10110995,'Heals target for 234 - 286 instantly and every 2 seconds',100,1,0),
(175964,10110995,'Increases power of target by 28 - 34 instantly and every 2 seconds',100,1,1),
(175965,109020,'Decreases Damage Per Second of target by 35.4',100,1,0),
(175966,109020,'Inflicts 305 - 373 melee damage on target',100,1,1),
(175967,10109020,'Decreases Damage Per Second of target by 35.4',100,1,0),
(175968,10109020,'Inflicts 366 - 448 melee damage on target',100,1,1),
(175969,115876,'Inflicts 942 - 1570 mental damage on target encounter',100,1,0),
(175970,115876,'Interrupts target encounter',100,1,1),
(175971,10115876,'Inflicts 1130 - 1884 mental damage on target encounter',100,1,0),
(175972,10115876,'Interrupts target encounter',100,1,1),
(175973,106655,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(175974,106655,'Increases Mitigation of caster vs physical damage by 264',100,2,1),
(175975,106655,'Decreases Mitigation of target encounter vs physical damage by 1509',100,1,2),
(175976,10106655,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(175977,10106655,'Increases Mitigation of caster vs physical damage by 264',100,2,1),
(175978,10106655,'Decreases Mitigation of target encounter vs physical damage by 1509',100,1,2),
(175979,121972,'Inflicts 103 - 172 disease damage on target',100,1,0),
(175980,121972,'Decreases Defense of target by 32.2',100,1,1),
(175981,121972,'Interrupts target',100,1,2),
(175982,10121972,'Inflicts 124 - 207 disease damage on target',100,1,0),
(175983,10121972,'Decreases Defense of target by 32.2',100,1,1),
(175984,10121972,'Interrupts target',100,1,2),
(175985,148357,'When Equipped:',100,0,0),
(175986,148357,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(175987,148357,'Increases Ability Modifier of caster by 100.0',100,2,2),
(175988,148357,'Cannot be modified except by direct means',100,2,3),
(175989,10148357,'When Equipped:',100,0,0),
(175990,10148357,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(175991,10148357,'Increases Ability Modifier of caster by 100.0',100,2,2),
(175992,10148357,'Cannot be modified except by direct means',100,2,3),
(175993,110871,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(175994,110871,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,1),
(175995,110871,'Throws target back',100,3,2),
(175996,110871,'Stuns target',100,3,3),
(175997,110871,'Blurs vision of target',100,3,4),
(175998,110871,'Does not affect Epic targets',100,3,5),
(175999,110871,'Inflicts 790 - 1316 divine damage on target',100,2,6),
(176000,110871,'Grants a total of 3 triggers of the spell.',100,2,7),
(176001,10110871,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(176002,10110871,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,1),
(176003,10110871,'Throws target back',100,3,2),
(176004,10110871,'Blurs vision of target',100,3,3),
(176005,10110871,'Stuns target',100,3,4),
(176006,10110871,'Does not affect Epic targets',100,3,5),
(176007,10110871,'Inflicts 948 - 1579 divine damage on target',100,2,6),
(176008,10110871,'Grants a total of 3 triggers of the spell.',100,2,7),
(176009,75024,'Applies Lightning Shock when Activated.',100,0,0),
(176010,75024,'Inflicts 267 - 445 magic damage on target',100,1,1),
(176011,75024,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176012,10075024,'Applies Lightning Shock when Activated.',100,0,0),
(176013,10075024,'Inflicts 321 - 535 magic damage on target',100,1,1),
(176014,10075024,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176015,104089,'Inflicts 200 - 334 mental damage on target',100,1,0),
(176016,104089,'Inflicts 200 - 334 mental damage on target',100,1,1),
(176017,10104089,'Inflicts 240 - 400 mental damage on target',100,1,0),
(176018,10104089,'Inflicts 240 - 400 mental damage on target',100,1,1),
(176019,109035,'Increases Attack Speed of caster by 21.0',100,1,0),
(176020,109035,'Decreases Defense of caster by 4.8',100,1,1),
(176021,109035,'Increases Slashing, Piercing, Crushing and Ranged of caster by 10.1',100,1,2),
(176022,10109035,'Increases Attack Speed of caster by 21.0',100,1,0),
(176023,10109035,'Decreases Defense of caster by 4.8',100,1,1),
(176024,10109035,'Increases Slashing, Piercing, Crushing and Ranged of caster by 10.1',100,1,2),
(176025,87504,'When Equipped:',100,0,0),
(176026,87504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176027,87504,'Inflicts 124 - 186 magic damage on target',100,2,2),
(176028,87504,'Cannot be modified except by direct means',100,2,3),
(176029,10087504,'When Equipped:',100,0,0),
(176030,10087504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176031,10087504,'Inflicts 149 - 223 magic damage on target',100,2,2),
(176032,10087504,'Cannot be modified except by direct means',100,2,3),
(176033,106102,'Inflicts 583 - 972 melee damage on target',100,1,0),
(176034,106102,'Decreases Mitigation of target vs physical damage by 2194',100,1,1),
(176035,106102,'Must be behind',100,1,2),
(176036,10106102,'Inflicts 699 - 1166 melee damage on target',100,1,0),
(176037,10106102,'Decreases Mitigation of target vs physical damage by 549',100,1,1),
(176038,10106102,'Must be behind',100,1,2),
(176039,104619,'Inflicts 25 - 42 crushing damage on target',100,1,0),
(176040,104619,'Decreases power of target by 26 - 43',100,1,1),
(176041,10104619,'Inflicts 30 - 51 crushing damage on target',100,1,0),
(176042,10104619,'Decreases power of target by 26 - 43',100,1,1),
(176043,82095,'When Equipped:',100,0,0),
(176044,82095,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(176045,82095,'Decreases Threat to target by 641 ',100,2,2),
(176046,82095,'Must be flanking or behind',100,3,3),
(176047,82095,'Increases Threat to target by 646 ',100,2,4),
(176048,82095,'Must be in front of',100,3,5),
(176049,82095,'Inflicts 135 - 252 magic damage on target',100,2,6),
(176050,82095,'Cannot be modified except by direct means',100,2,7),
(176051,10082095,'When Equipped:',100,0,0),
(176052,10082095,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(176053,10082095,'Inflicts 163 - 302 magic damage on target',100,2,2),
(176054,10082095,'Cannot be modified except by direct means',100,2,3),
(176055,117283,'Inflicts 126 - 210 melee damage on target',100,1,0),
(176056,117283,'Decreases Damage Per Second of target by 8.1',100,1,1),
(176057,117283,'Decreases Attack Speed of target by 6.2',100,1,2),
(176058,10117283,'Inflicts 151 - 252 melee damage on target',100,1,0),
(176059,10117283,'Decreases Damage Per Second of target by 8.1',100,1,1),
(176060,10117283,'Decreases Attack Speed of target by 6.2',100,1,2),
(176061,158785,'When Equipped:',100,0,0),
(176062,158785,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(176063,158785,'Inflicts 18 cold damage on target',100,2,2),
(176064,158785,'Cannot be modified except by direct means',100,2,3),
(176065,10158785,'When Equipped:',100,0,0),
(176066,10158785,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(176067,10158785,'Inflicts 21 cold damage on target',100,2,2),
(176068,10158785,'Cannot be modified except by direct means',100,2,3),
(176069,119274,'Inflicts 53 - 89 slashing damage on target',100,1,0),
(176070,119274,'Decreases Damage Per Second of target by 15.2',100,1,1),
(176071,119274,'Inflicts 71 slashing damage on target instantly and every 4 seconds',100,1,2),
(176072,10119274,'Inflicts 64 - 107 slashing damage on target',100,1,0),
(176073,10119274,'Decreases Damage Per Second of target by 15.2',100,1,1),
(176074,10119274,'Inflicts 86 slashing damage on target instantly and every 4 seconds',100,1,2),
(176075,117301,'Roots target',100,1,0),
(176076,117301,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(176077,117301,'Slows target by 37.2%',100,2,2),
(176078,117301,'5% chance to dispel when target receives hostile action',100,2,3),
(176079,117301,'5% chance to dispel when target takes damage',100,2,4),
(176080,117301,'15% chance to dispel when target takes damage',100,1,5),
(176081,117301,'Does not affect Epic targets',100,1,6),
(176082,117301,'Resistibility increases against targets higher than level 34.',100,1,7),
(176083,10117301,'Roots target',100,1,0),
(176084,10117301,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(176085,10117301,'Slows target by 37.2%',100,2,2),
(176086,10117301,'10% chance to dispel when target receives hostile action',100,2,3),
(176087,10117301,'10% chance to dispel when target takes damage',100,2,4),
(176088,10117301,'15% chance to dispel when target takes damage',100,1,5),
(176089,10117301,'Does not affect Epic targets',100,1,6),
(176090,10117301,'Resistibility increases against targets higher than level 34.',100,1,7),
(176091,172798,'When Equipped:',100,0,0),
(176092,172798,'When damaged with a melee weapon this spell has a 6% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(176093,172798,'Decreases Attack Speed of target by 14.0',100,2,2),
(176094,172798,'Cannot be modified except by direct means',100,2,3),
(176095,10172798,'When Equipped:',100,0,0),
(176096,10172798,'When damaged with a melee weapon this spell has a 6% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(176097,10172798,'Decreases Attack Speed of target by 14.0',100,2,2),
(176098,10172798,'Cannot be modified except by direct means',100,2,3),
(176099,182582,'When Equipped:',100,0,0),
(176100,182582,'On a combat hit this spell may cast Silence IV on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(176101,182582,'Stifles target',100,2,2),
(176102,182582,'Does not affect Epic targets',100,2,3),
(176103,182582,'Resistibility increases against targets higher than level 112.',100,2,4),
(176104,182582,'Cannot be modified except by direct means',100,2,5),
(176105,10182582,'When Equipped:',100,0,0),
(176106,10182582,'On a combat hit this spell may cast Silence IV on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(176107,10182582,'Stifles target',100,2,2),
(176108,10182582,'Does not affect Epic targets',100,2,3),
(176109,10182582,'Resistibility increases against targets higher than level 112.',100,2,4),
(176110,10182582,'Cannot be modified except by direct means',100,2,5),
(176111,117917,'Increases In-Combat Health Regeneration of group members (AE) by 155.5',100,1,0),
(176112,117917,'Increases Max Health of group members (AE) by 811.2',100,1,1),
(176113,10117917,'Increases In-Combat Health Regeneration of group members (AE) by 155.5',100,1,0),
(176114,10117917,'Increases Max Health of group members (AE) by 811.2',100,1,1),
(176115,24318,'Adds Drake (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(176116,10024318,'Adds Drake (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(176117,47425,'Applies Place Offering when Activated.',100,0,0),
(176118,47425,'This effect cannot be cast during combat',100,1,1),
(176119,10047425,'Applies Place Offering when Activated.',100,0,0),
(176120,10047425,'This effect cannot be cast during combat',100,1,1),
(176121,74969,'When Equipped:',100,0,0),
(176122,74969,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176123,74969,'Inflicts 60 - 90 magic damage on target',100,2,2),
(176124,74969,'Cannot be modified except by direct means',100,2,3),
(176125,10074969,'When Equipped:',100,0,0),
(176126,10074969,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176127,10074969,'Inflicts 72 - 108 magic damage on target',100,2,2),
(176128,10074969,'Cannot be modified except by direct means',100,2,3),
(176129,72133,'When Equipped:',100,0,0),
(176130,72133,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176131,72133,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(176132,72133,'Cannot be modified except by direct means',100,2,3),
(176133,10072133,'When Equipped:',100,0,0),
(176134,10072133,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176135,10072133,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(176136,10072133,'Cannot be modified except by direct means',100,2,3),
(176137,107478,'Inflicts 123 - 370 magic damage on targets in Area of Effect',100,1,0),
(176138,107478,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(176139,107478,'Stuns target',100,2,2),
(176140,107478,'Throws target back',100,2,3),
(176141,107478,'Blurs vision of target',100,2,4),
(176142,107478,'Does not affect Epic targets',100,2,5),
(176143,10107478,'Inflicts 148 - 444 magic damage on targets in Area of Effect',100,1,0),
(176144,10107478,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(176145,10107478,'Blurs vision of target',100,2,2),
(176146,10107478,'Stuns target',100,2,3),
(176147,10107478,'Throws target back',100,2,4),
(176148,10107478,'Does not affect Epic targets',100,2,5),
(176149,107620,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(176150,107620,'Increases Mitigation of group members (AE) vs elemental damage by 269',100,1,1),
(176151,10107620,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(176152,10107620,'Increases Mitigation of group members (AE) vs elemental damage by 269',100,1,1),
(176153,81041,'When Equipped:',100,0,0),
(176154,81041,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(176155,81041,'Decreases Threat to target by 517 ',100,2,2),
(176156,81041,'Must be flanking or behind',100,3,3),
(176157,81041,'Increases Threat to target by 522 ',100,2,4),
(176158,81041,'Must be in front of',100,3,5),
(176159,81041,'Inflicts 144 - 268 magic damage on target',100,2,6),
(176160,81041,'Cannot be modified except by direct means',100,2,7),
(176161,10081041,'When Equipped:',100,0,0),
(176162,10081041,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(176163,10081041,'Inflicts 173 - 322 magic damage on target',100,2,2),
(176164,10081041,'Cannot be modified except by direct means',100,2,3),
(176165,24483,'Adds Lair of Scale: Hallway Torch to your Dungeon Maker toolbox',100,0,0),
(176166,10024483,'Adds Lair of Scale: Hallway Torch to your Dungeon Maker toolbox',100,0,0),
(176167,49019,'Applies Untested Tinkerer Plague when Activated.',100,0,0),
(176168,10049019,'Applies Untested Tinkerer Plague when Activated.',100,0,0),
(176169,72046,'When Equipped:',100,0,0),
(176170,72046,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176171,72046,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(176172,72046,'Cannot be modified except by direct means',100,2,3),
(176173,10072046,'When Equipped:',100,0,0),
(176174,10072046,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176175,10072046,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(176176,10072046,'Cannot be modified except by direct means',100,2,3),
(176177,24660,'Adds Popup Text (Purple) to your Dungeon Maker toolbox',100,0,0),
(176178,10024660,'Adds Popup Text (Purple) to your Dungeon Maker toolbox',100,0,0),
(176179,82360,'When Equipped:',100,0,0),
(176180,82360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176181,82360,'Inflicts 28 - 51 magic damage on target',100,2,2),
(176182,82360,'Cannot be modified except by direct means',100,2,3),
(176183,10082360,'When Equipped:',100,0,0),
(176184,10082360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176185,10082360,'Inflicts 33 - 61 magic damage on target',100,2,2),
(176186,10082360,'Cannot be modified except by direct means',100,2,3),
(176187,121985,'Increases Threat to target by 30 - 35 ',100,1,0),
(176188,10121985,'Prevents target from changing targets',100,1,0),
(176189,10121985,'Forces target to change their selected target to caster.',100,1,1),
(176190,100852,'Wards target against 1118 points of all damage',100,1,0),
(176191,10100852,'Wards target against 1720 points of all damage',100,1,0),
(176192,109525,'Inflicts 149 - 182 disease damage on target instantly and every 4 seconds',100,1,0),
(176193,109525,'Decreases Attack Speed of target by 8.4',100,1,1),
(176194,10109525,'Inflicts 178 - 218 disease damage on target instantly and every 4 seconds',100,1,0),
(176195,10109525,'Decreases Attack Speed of target by 8.4',100,1,1),
(176196,26400,'When Equipped:',100,0,0),
(176197,26400,'On a block this spell has a 6% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(176198,26400,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(176199,26400,'Heals caster for 57 - 69',100,3,3),
(176200,26400,'Grants a total of 3 triggers of the spell.',100,3,4),
(176201,26400,'Cannot be modified except by direct means',100,2,5),
(176202,10026400,'When Equipped:',100,0,0),
(176203,10026400,'On a block this spell has a 6% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(176204,10026400,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(176205,10026400,'Heals caster for 37 - 45',100,3,3),
(176206,10026400,'Grants a total of 3 triggers of the spell.',100,3,4),
(176207,10026400,'Cannot be modified except by direct means',100,2,5),
(176208,103919,'Wards group members (AE) collectively against 765 total points of all damage',100,1,0),
(176209,10103919,'Wards group members (AE) collectively against 1139 total points of all damage',100,1,0),
(176210,116178,'Inflicts 108 - 180 mental damage on target',100,1,0),
(176211,10116178,'Inflicts 130 - 216 mental damage on target',100,1,0),
(176212,159178,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(176213,159178,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(176214,159178,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(176215,159178,'Cannot be modified except by direct means',100,2,3),
(176216,10159178,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(176217,10159178,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(176218,10159178,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(176219,10159178,'Cannot be modified except by direct means',100,2,3),
(176220,117738,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(176221,117738,'Heals target for 1164',100,2,1),
(176222,117738,'Increases Max Health of target by 799.0',100,2,2),
(176223,117738,'Grants a total of 1 trigger of the spell.',100,2,3),
(176224,10117738,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(176225,10117738,'Heals target for 756',100,2,1),
(176226,10117738,'Increases Max Health of target by 799.0',100,2,2),
(176227,10117738,'Grants a total of 1 trigger of the spell.',100,2,3),
(176228,181238,'When Equipped:',100,0,0),
(176229,181238,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(176230,181238,'Stuns target',100,2,2),
(176231,181238,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(176232,181238,'Resistibility increases against targets higher than level 64.',100,2,4),
(176233,181238,'Cannot be modified except by direct means',100,2,5),
(176234,10181238,'When Equipped:',100,0,0),
(176235,10181238,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(176236,10181238,'Stuns target',100,2,2),
(176237,10181238,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(176238,10181238,'Resistibility increases against targets higher than level 64.',100,2,4),
(176239,10181238,'Cannot be modified except by direct means',100,2,5),
(176240,80031,'Applies Fire Ball when Activated.',100,0,0),
(176241,80031,'Inflicts 232 - 387 heat damage on target',100,1,1),
(176242,80031,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176243,10080031,'Applies Fire Ball when Activated.',100,0,0),
(176244,10080031,'Inflicts 279 - 465 heat damage on target',100,1,1),
(176245,10080031,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176246,136992,'When Equipped:',100,0,0),
(176247,136992,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(176248,136992,'Heals group members for 250',100,2,2),
(176249,136992,'Cannot be modified except by direct means',100,2,3),
(176250,10136992,'When Equipped:',100,0,0),
(176251,10136992,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(176252,10136992,'Heals group members for 162',100,2,2),
(176253,10136992,'Cannot be modified except by direct means',100,2,3),
(176254,79877,'When Equipped:',100,0,0),
(176255,79877,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(176256,79877,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(176257,79877,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(176258,79877,'Applies Energize.  Lasts for 12.0 seconds.',100,2,4),
(176259,79877,'Heals group members (AE) for 1458 instantly and every 4 seconds',100,3,5),
(176260,79877,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,6),
(176261,79877,'Cannot be modified except by direct means',100,3,7),
(176262,79877,'Must not be engaged in pvp combat',100,2,8),
(176263,79877,'Cannot be modified except by direct means',100,2,9),
(176264,79877,'Must not be engaged in pvp combat',100,1,10),
(176265,10079877,'When Equipped:',100,0,0),
(176266,10079877,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(176267,10079877,'Inflicts 6394 heat damage on target instantly and every 4 seconds',100,2,2),
(176268,10079877,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(176269,10079877,'Applies Energize.  Lasts for 12.0 seconds.',100,2,4),
(176270,10079877,'Heals group members (AE) for 1706 instantly and every 4 seconds',100,3,5),
(176271,10079877,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,6),
(176272,10079877,'Cannot be modified except by direct means',100,3,7),
(176273,10079877,'Must not be engaged in pvp combat',100,2,8),
(176274,10079877,'Cannot be modified except by direct means',100,2,9),
(176275,10079877,'Must not be engaged in pvp combat',100,1,10),
(176276,112118,'Dispels 26 levels of physical and arcane hostile effects on caster',100,1,0),
(176277,10112118,'Dispels 26 levels of physical and arcane hostile effects on caster',100,1,0),
(176278,26007,'When Equipped:',100,0,0),
(176279,26007,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(176280,26007,'Inflicts 136 divine damage on target',100,2,2),
(176281,26007,'Heals caster for 24',100,2,3),
(176282,26007,'Cannot be modified except by direct means',100,2,4),
(176283,10026007,'When Equipped:',100,0,0),
(176284,10026007,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(176285,10026007,'Inflicts 163 divine damage on target',100,2,2),
(176286,10026007,'Heals caster for 15',100,2,3),
(176287,10026007,'Cannot be modified except by direct means',100,2,4),
(176288,45498,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(176289,45498,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,1),
(176290,45498,'Charms target',100,1,2),
(176291,45498,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(176292,45498,'5% chance to dispel when target takes damage',100,1,4),
(176293,45498,'If target is gnoll',100,1,5),
(176294,45498,'Certain enemies cannot be charmed',100,1,6),
(176295,45498,'Does not affect Epic targets',100,1,7),
(176296,10045498,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(176297,10045498,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,1),
(176298,10045498,'Charms target',100,1,2),
(176299,10045498,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(176300,10045498,'5% chance to dispel when target takes damage',100,1,4),
(176301,10045498,'If target is gnoll',100,1,5),
(176302,10045498,'Certain enemies cannot be charmed',100,1,6),
(176303,10045498,'Does not affect Epic targets',100,1,7),
(176304,140797,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(176305,140797,'Decreases INT, AGI, WIS and STR of target by 39.0',100,1,1),
(176306,140797,'Decreases Max Health of target by 1.0%',100,1,2),
(176307,140797,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(176308,10140797,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(176309,10140797,'Decreases INT, AGI, WIS and STR of target by 39.0',100,1,1),
(176310,10140797,'Decreases Max Health of target by 1.0%',100,1,2),
(176311,10140797,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(176312,103999,'Inflicts 150 - 278 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(176313,103999,'Interrupts targets in Area of Effect',100,1,1),
(176314,10103999,'Inflicts 180 - 334 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(176315,10103999,'Interrupts targets in Area of Effect',100,1,1),
(176316,87367,'When Equipped:',100,0,0),
(176317,87367,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176318,87367,'Inflicts 96 - 144 magic damage on target',100,2,2),
(176319,87367,'Cannot be modified except by direct means',100,2,3),
(176320,10087367,'When Equipped:',100,0,0),
(176321,10087367,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176322,10087367,'Inflicts 115 - 173 magic damage on target',100,2,2),
(176323,10087367,'Cannot be modified except by direct means',100,2,3),
(176324,136002,'When Equipped:',100,0,0),
(176325,136002,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(176326,136002,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(176327,136002,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(176328,136002,'Must be classified as a vampire',100,3,4),
(176329,136002,'Inflicts 516 divine damage on target',100,2,5),
(176330,136002,'Must not be classified as a vampire',100,3,6),
(176331,136002,'Inflicts 1031 divine damage on target',100,2,7),
(176332,136002,'Must be classified as a vampire',100,3,8),
(176333,136002,'Cannot be modified except by direct means',100,2,9),
(176334,10136002,'When Equipped:',100,0,0),
(176335,10136002,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(176336,10136002,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(176337,10136002,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(176338,10136002,'Must be classified as a vampire',100,3,4),
(176339,10136002,'Inflicts 619 divine damage on target',100,2,5),
(176340,10136002,'Must not be classified as a vampire',100,3,6),
(176341,10136002,'Inflicts 1238 divine damage on target',100,2,7),
(176342,10136002,'Must be classified as a vampire',100,3,8),
(176343,10136002,'Cannot be modified except by direct means',100,2,9),
(176344,113706,'Stuns target',100,1,0),
(176345,113706,'If Target is not Epic',100,2,1),
(176346,113706,'Inflicts 1113 - 1855 heat damage on target',100,1,2),
(176347,113706,'Resistibility increases against targets higher than level 111.',100,1,3),
(176348,10113706,'Stuns target',100,1,0),
(176349,10113706,'If Target is not Epic',100,2,1),
(176350,10113706,'Inflicts 1335 - 2226 heat damage on target',100,1,2),
(176351,10113706,'Resistibility increases against targets higher than level 111.',100,1,3),
(176352,163197,'When Equipped:',100,0,0),
(176353,163197,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(176354,163197,'Increases caster''s chance to block by 8.0%',100,2,2),
(176355,163197,'Cannot be modified except by direct means',100,2,3),
(176356,163197,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(176357,163197,'Increases caster''s chance to block by 8.0%',100,2,5),
(176358,163197,'Cannot be modified except by direct means',100,2,6),
(176359,10163197,'When Equipped:',100,0,0),
(176360,10163197,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(176361,10163197,'Increases caster''s chance to block by 8.0%',100,2,2),
(176362,10163197,'Cannot be modified except by direct means',100,2,3),
(176363,10163197,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(176364,10163197,'Increases caster''s chance to block by 8.0%',100,2,5),
(176365,10163197,'Cannot be modified except by direct means',100,2,6),
(176366,36762,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(176367,124449,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(176368,124449,'Inflicts 185 - 309 melee damage on target',100,2,1),
(176369,124449,'Decreases Defense of caster by 13.5',100,1,2),
(176370,124449,'Increases Slashing, Piercing, Ranged and Crushing of caster by 32.4',100,1,3),
(176371,10124449,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(176372,10124449,'Inflicts 222 - 370 melee damage on target',100,2,1),
(176373,10124449,'Decreases Defense of caster by 13.5',100,1,2),
(176374,10124449,'Increases Slashing, Piercing, Ranged and Crushing of caster by 32.4',100,1,3),
(176375,26559,'When Equipped:',100,0,0),
(176376,26559,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(176377,26559,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(176378,10026559,'When Equipped:',100,0,0),
(176379,10026559,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(176380,10026559,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(176381,105520,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 15.4',100,1,0),
(176382,10105520,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 15.4',100,1,0),
(176383,166430,'When Equipped:',100,0,0),
(176384,166430,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(176385,166430,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(176386,166430,'Must not be engaged in pvp combat',100,2,3),
(176387,166430,'Cannot be modified except by direct means',100,2,4),
(176388,166430,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(176389,166430,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(176390,166430,'Must not be engaged in pvp combat',100,2,7),
(176391,166430,'Cannot be modified except by direct means',100,2,8),
(176392,166430,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(176393,166430,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(176394,166430,'Must not be engaged in pvp combat',100,2,11),
(176395,166430,'Cannot be modified except by direct means',100,2,12),
(176396,166430,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(176397,166430,'Inflicts 40 piercing damage on target',100,2,14),
(176398,166430,'Must not be engaged in pvp combat',100,2,15),
(176399,166430,'Cannot be modified except by direct means',100,2,16),
(176400,10166430,'When Equipped:',100,0,0),
(176401,10166430,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(176402,10166430,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(176403,10166430,'Must not be engaged in pvp combat',100,2,3),
(176404,10166430,'Cannot be modified except by direct means',100,2,4),
(176405,10166430,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(176406,10166430,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(176407,10166430,'Must not be engaged in pvp combat',100,2,7),
(176408,10166430,'Cannot be modified except by direct means',100,2,8),
(176409,10166430,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(176410,10166430,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(176411,10166430,'Must not be engaged in pvp combat',100,2,11),
(176412,10166430,'Cannot be modified except by direct means',100,2,12),
(176413,10166430,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(176414,10166430,'Inflicts 48 piercing damage on target',100,2,14),
(176415,10166430,'Must not be engaged in pvp combat',100,2,15),
(176416,10166430,'Cannot be modified except by direct means',100,2,16),
(176417,137671,'When Equipped:',100,0,0),
(176418,137671,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(176419,137671,'Increases power of target by 12',100,2,2),
(176420,137671,'Cannot be modified except by direct means',100,2,3),
(176421,10137671,'When Equipped:',100,0,0),
(176422,10137671,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(176423,10137671,'Increases power of target by 12',100,2,2),
(176424,10137671,'Cannot be modified except by direct means',100,2,3),
(176425,116504,'Increases Mitigation of target vs physical damage by 81',100,1,0),
(176426,116504,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(176427,10116504,'Increases Mitigation of target vs physical damage by 81',100,1,0),
(176428,10116504,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(176429,109759,'Inflicts 134 - 249 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(176430,10109759,'Inflicts 161 - 299 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(176431,77401,'When Equipped:',100,0,0),
(176432,77401,'On a combat hit this spell may cast Fire Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176433,77401,'Inflicts 125 heat damage on target',100,2,2),
(176434,77401,'Cannot be modified except by direct means',100,2,3),
(176435,10077401,'When Equipped:',100,0,0),
(176436,10077401,'On a combat hit this spell may cast Fire Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176437,10077401,'Inflicts 150 heat damage on target',100,2,2),
(176438,10077401,'Cannot be modified except by direct means',100,2,3),
(176439,108423,'Heals target for 1713 - 2094',100,1,0),
(176440,10108423,'Heals target for 2049 - 2504',100,1,0),
(176441,108338,'Heals caster for 15',100,1,0),
(176442,108338,'Inflicts 22 - 37 melee damage on target',100,1,1),
(176443,10108338,'Heals caster for 10',100,1,0),
(176444,10108338,'Inflicts 27 - 45 melee damage on target',100,1,1),
(176445,112192,'Increases STR of caster by 91.1',100,1,0),
(176446,112192,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2083',100,1,1),
(176447,112192,'Increases Mitigation of caster vs physical damage by 585',100,1,2),
(176448,10112192,'Increases STR of caster by 91.1',100,1,0),
(176449,10112192,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2083',100,1,1),
(176450,10112192,'Increases Mitigation of caster vs physical damage by 585',100,1,2),
(176451,25835,'When Equipped:',100,0,0),
(176452,25835,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(176453,25835,'Improves the base damage of Storm of Arrows IV by 10%.',100,1,2),
(176454,10025835,'When Equipped:',100,0,0),
(176455,10025835,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(176456,10025835,'Improves the base damage of Storm of Arrows IV by 10%.',100,1,2),
(176457,80883,'When Equipped:',100,0,0),
(176458,80883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176459,80883,'Inflicts 171 - 317 magic damage on target',100,2,2),
(176460,80883,'Cannot be modified except by direct means',100,2,3),
(176461,10080883,'When Equipped:',100,0,0),
(176462,10080883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176463,10080883,'Inflicts 205 - 381 magic damage on target',100,2,2),
(176464,10080883,'Cannot be modified except by direct means',100,2,3),
(176465,141814,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(176466,141814,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(176467,141814,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(176468,141814,'Cannot be modified except by direct means',100,2,3),
(176469,10141814,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(176470,10141814,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(176471,10141814,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(176472,10141814,'Cannot be modified except by direct means',100,2,3),
(176473,37216,'Increases AGI of target by 1.1',100,0,0),
(176474,37216,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(176475,111824,'Inflicts 109 - 181 melee damage on target',100,1,0),
(176476,111824,'Roots target',100,1,1),
(176477,111824,'If Target is not Epic',100,2,2),
(176478,111824,'Resistibility increases against targets higher than level 56.',100,1,3),
(176479,10111824,'Inflicts 118 - 196 melee damage on target',100,1,0),
(176480,10111824,'Roots target',100,1,1),
(176481,10111824,'If Target is not Epic',100,2,2),
(176482,10111824,'Resistibility increases against targets higher than level 56.',100,1,3),
(176483,112627,'Increases STA of caster by 80.8',100,1,0),
(176484,112627,'Reduces slow effects on caster by 31.5%',100,1,1),
(176485,112627,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,2),
(176486,10112627,'Increases STA of caster by 80.8',100,1,0),
(176487,10112627,'Reduces slow effects on caster by 31.5%',100,1,1),
(176488,10112627,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,2),
(176489,120469,'Inflicts 222 - 370 ranged damage on target',100,1,0),
(176490,120469,'Slows target by 48.8%',100,1,1),
(176491,120469,'10% chance to dispel when target receives hostile action',100,1,2),
(176492,120469,'Requires bow',100,1,3),
(176493,10120469,'Inflicts 173 - 288 ranged damage on target',100,1,0),
(176494,10120469,'Slows target by 48.8%',100,1,1),
(176495,10120469,'10% chance to dispel when target receives hostile action',100,1,2),
(176496,10120469,'Requires bow',100,1,3),
(176497,84023,'Applies Lightning Shock when Activated.',100,0,0),
(176498,84023,'Inflicts 323 - 538 magic damage on target',100,1,1),
(176499,84023,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176500,10084023,'Applies Lightning Shock when Activated.',100,0,0),
(176501,10084023,'Inflicts 388 - 646 magic damage on target',100,1,1),
(176502,10084023,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176503,120639,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 1.9',100,1,0),
(176504,120639,'Increases Focus of group members (AE) by 3.8',100,1,1),
(176505,10120639,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 1.9',100,1,0),
(176506,10120639,'Increases Focus of group members (AE) by 3.8',100,1,1),
(176507,124067,'Increases power of caster by 241',100,1,0),
(176508,10124067,'Increases power of caster by 241',100,1,0),
(176509,80321,'When Equipped:',100,0,0),
(176510,80321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176511,80321,'Inflicts 48 - 89 magic damage on target',100,2,2),
(176512,80321,'Cannot be modified except by direct means',100,2,3),
(176513,10080321,'When Equipped:',100,0,0),
(176514,10080321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176515,10080321,'Inflicts 57 - 106 magic damage on target',100,2,2),
(176516,10080321,'Cannot be modified except by direct means',100,2,3),
(176517,102613,'Increases Threat to target encounter by 1,323 - 1,616 ',100,1,0),
(176518,102613,'Interrupts target encounter',100,1,1),
(176519,102613,'Decreases Mitigation of target encounter vs noxious damage by 896',100,1,2),
(176520,10102613,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(176521,10102613,'Prevents target from changing targets',100,2,1),
(176522,10102613,'Forces target to change their selected target to caster.',100,2,2),
(176523,10102613,'Interrupts target encounter',100,1,3),
(176524,10102613,'Decreases Mitigation of target encounter vs noxious damage by 896',100,1,4),
(176525,71636,'When Equipped:',100,0,0),
(176526,71636,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176527,71636,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(176528,71636,'Cannot be modified except by direct means',100,2,3),
(176529,10071636,'When Equipped:',100,0,0),
(176530,10071636,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176531,10071636,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(176532,10071636,'Cannot be modified except by direct means',100,2,3),
(176533,122541,'Heals caster for 90',100,1,0),
(176534,122541,'Inflicts 135 - 226 melee damage on target',100,1,1),
(176535,10122541,'Heals caster for 59',100,1,0),
(176536,10122541,'Inflicts 163 - 271 melee damage on target',100,1,1),
(176537,25754,'When Equipped:',100,0,0),
(176538,25754,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(176539,25754,'Reduces the reuse time of Rift by 30 seconds.',100,1,2),
(176540,10025754,'When Equipped:',100,0,0),
(176541,10025754,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(176542,10025754,'Reduces the reuse time of Rift by 30 seconds.',100,1,2),
(176543,115305,'Summons a limited pet to aid the caster',100,1,0),
(176544,10115305,'Summons a limited pet to aid the caster',100,1,0),
(176545,27007,'When Equipped:',100,0,0),
(176546,27007,'On a block this spell has a 2% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(176547,27007,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(176548,27007,'Heals caster for 18 - 22',100,3,3),
(176549,27007,'Grants a total of 3 triggers of the spell.',100,3,4),
(176550,27007,'Cannot be modified except by direct means',100,2,5),
(176551,10027007,'When Equipped:',100,0,0),
(176552,10027007,'On a block this spell has a 2% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(176553,10027007,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(176554,10027007,'Heals caster for 11 - 14',100,3,3),
(176555,10027007,'Grants a total of 3 triggers of the spell.',100,3,4),
(176556,10027007,'Cannot be modified except by direct means',100,2,5),
(176557,24570,'Adds Mummy (Mystic) to your Dungeon Maker toolbox',100,0,0),
(176558,10024570,'Adds Mummy (Mystic) to your Dungeon Maker toolbox',100,0,0),
(176559,138970,'When Equipped:',100,0,0),
(176560,138970,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(176561,138970,'Inflicts 120 heat damage on target',100,2,2),
(176562,138970,'Cannot be modified except by direct means',100,2,3),
(176563,10138970,'When Equipped:',100,0,0),
(176564,10138970,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(176565,10138970,'Inflicts 144 heat damage on target',100,2,2),
(176566,10138970,'Cannot be modified except by direct means',100,2,3),
(176567,102901,'Heals caster for 605',100,1,0),
(176568,102901,'Inflicts 891 disease damage on targets in Area of Effect',100,1,1),
(176569,10102901,'Heals caster for 393',100,1,0),
(176570,10102901,'Inflicts 1069 disease damage on targets in Area of Effect',100,1,1),
(176571,106897,'Stuns targets in Area of Effect',100,1,0),
(176572,106897,'If Target is not Epic',100,2,1),
(176573,106897,'Decreases Threat to targets in Area of Effect by 4,001 ',100,1,2),
(176574,10106897,'Stuns targets in Area of Effect',100,1,0),
(176575,10106897,'If Target is not Epic',100,2,1),
(176576,10106897,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(176577,10106897,'Applies Distract.',100,1,3),
(176578,10106897,'Forces target to clear their selected target.',100,2,4),
(176579,121671,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(176580,121671,'Inflicts 17 - 21 heat damage on target instantly and every second',100,2,1),
(176581,10121671,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(176582,10121671,'Inflicts 21 - 25 heat damage on target instantly and every second',100,2,1),
(176583,36140,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(176584,36140,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(176585,37415,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(176586,121689,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(176587,121689,'Inflicts 43 - 53 heat damage on target instantly and every second',100,2,1),
(176588,10121689,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(176589,10121689,'Inflicts 52 - 64 heat damage on target instantly and every second',100,2,1),
(176590,112827,'Roots target',100,1,0),
(176591,112827,'5% chance to dispel when target takes damage',100,1,1),
(176592,112827,'Does not affect Epic targets',100,1,2),
(176593,112827,'Resistibility increases against targets higher than level 36.',100,1,3),
(176594,10112827,'Roots target',100,1,0),
(176595,10112827,'5% chance to dispel when target takes damage',100,1,1),
(176596,10112827,'Does not affect Epic targets',100,1,2),
(176597,10112827,'Resistibility increases against targets higher than level 36.',100,1,3),
(176598,174729,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(176599,174729,'Decreases Mitigation of target vs physical damage by 886',100,1,1),
(176600,174729,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(176601,10174729,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(176602,10174729,'Decreases Mitigation of target vs physical damage by 886',100,1,1),
(176603,10174729,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(176604,109322,'Increases STR of caster by 42.2',100,1,0),
(176605,109322,'Decreases Defense of caster by 4.8',100,1,1),
(176606,109322,'Increases Slashing, Piercing and Crushing of caster by 11.5',100,1,2),
(176607,10109322,'Increases STR of caster by 42.2',100,1,0),
(176608,10109322,'Decreases Defense of caster by 4.8',100,1,1),
(176609,10109322,'Increases Slashing, Piercing and Crushing of caster by 11.5',100,1,2),
(176610,88051,'When Equipped:',100,0,0),
(176611,88051,'On a hostile spell cast this spell may cast Malisement on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176612,88051,'Decreases Mitigation of target vs elemental and noxious damage by 936 - 1144',100,2,2),
(176613,88051,'Cannot be modified except by direct means',100,2,3),
(176614,10088051,'When Equipped:',100,0,0),
(176615,10088051,'On a hostile spell cast this spell may cast Malisement on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176616,10088051,'Decreases Mitigation of target vs elemental and noxious damage by 936 - 1144',100,2,2),
(176617,10088051,'Cannot be modified except by direct means',100,2,3),
(176618,80392,'When Equipped:',100,0,0),
(176619,80392,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(176620,80392,'Inflicts 45 - 84 magic damage on target',100,2,2),
(176621,80392,'Decreases Threat to target by 153 ',100,2,3),
(176622,80392,'Must be flanking or behind',100,3,4),
(176623,80392,'Increases Threat to target by 158 ',100,2,5),
(176624,80392,'Must be in front of',100,3,6),
(176625,80392,'Cannot be modified except by direct means',100,2,7),
(176626,10080392,'When Equipped:',100,0,0),
(176627,10080392,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(176628,10080392,'Inflicts 54 - 100 magic damage on target',100,2,2),
(176629,10080392,'Cannot be modified except by direct means',100,2,3),
(176630,35386,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(176631,46781,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(176632,46781,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(176633,46781,'Inflicts 25 poison damage on target',100,2,2),
(176634,46781,'Cannot be modified except by direct means',100,2,3),
(176635,46781,'Grants a total of 100 triggers of the spell.',100,2,4),
(176636,10046781,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(176637,10046781,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(176638,10046781,'Inflicts 23 poison damage on target',100,2,2),
(176639,10046781,'Cannot be modified except by direct means',100,2,3),
(176640,10046781,'Grants a total of 100 triggers of the spell.',100,2,4),
(176641,107547,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(176642,107547,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1070',100,1,1),
(176643,10107547,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(176644,10107547,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1070',100,1,1),
(176645,101329,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(176646,101329,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 183',100,1,1),
(176647,101329,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,2),
(176648,10101329,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(176649,10101329,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 183',100,1,1),
(176650,10101329,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,2),
(176651,144431,'When Equipped:',100,0,0),
(176652,144431,'On a damage spell hit this spell may cast Binding Howl on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176653,144431,'Roots target',100,2,2),
(176654,144431,'15% chance to dispel when target takes damage',100,2,3),
(176655,144431,'Only affects targets level 80 and below',100,2,4),
(176656,144431,'Does not affect Epic targets',100,2,5),
(176657,144431,'Resistibility increases against targets higher than level 99.',100,2,6),
(176658,144431,'Cannot be modified except by direct means',100,2,7),
(176659,10144431,'When Equipped:',100,0,0),
(176660,10144431,'On a damage spell hit this spell may cast Binding Howl on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176661,10144431,'Roots target',100,2,2),
(176662,10144431,'15% chance to dispel when target takes damage',100,2,3),
(176663,10144431,'Only affects targets level 80 and below',100,2,4),
(176664,10144431,'Does not affect Epic targets',100,2,5),
(176665,10144431,'Resistibility increases against targets higher than level 99.',100,2,6),
(176666,10144431,'Cannot be modified except by direct means',100,2,7),
(176667,123176,'Reduces physical damage done to caster by 5%',100,1,0),
(176668,123176,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(176669,123176,'Increases Aggression of caster by 15.6',100,1,2),
(176670,123176,'Increases Defense and Parry of caster by 31.2',100,1,3),
(176671,123176,'Increases Mitigation of caster vs elemental damage by 2086',100,1,4),
(176672,123176,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(176673,10123176,'Reduces physical damage done to caster by 5%',100,1,0),
(176674,10123176,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(176675,10123176,'Increases Aggression of caster by 15.6',100,1,2),
(176676,10123176,'Increases Defense and Parry of caster by 31.2',100,1,3),
(176677,10123176,'Increases Mitigation of caster vs elemental damage by 2086',100,1,4),
(176678,10123176,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(176679,36474,'Increases STA and AGI of target by 5.4',100,0,0),
(176680,36474,'Increases Damage Per Second of target by 10.0',100,0,1),
(176681,36474,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(176682,81797,'When Equipped:',100,0,0),
(176683,81797,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176684,81797,'Inflicts 94 - 175 magic damage on target',100,2,2),
(176685,81797,'Cannot be modified except by direct means',100,2,3),
(176686,10081797,'When Equipped:',100,0,0),
(176687,10081797,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176688,10081797,'Inflicts 113 - 210 magic damage on target',100,2,2),
(176689,10081797,'Cannot be modified except by direct means',100,2,3),
(176690,24446,'Adds Iksar Skeleton (Brigand) to your Dungeon Maker toolbox',100,0,0),
(176691,10024446,'Adds Iksar Skeleton (Brigand) to your Dungeon Maker toolbox',100,0,0),
(176692,104063,'Inflicts 47 - 78 mental damage on target',100,1,0),
(176693,104063,'Inflicts 47 - 78 mental damage on target',100,1,1),
(176694,10104063,'Inflicts 56 - 94 mental damage on target',100,1,0),
(176695,10104063,'Inflicts 56 - 94 mental damage on target',100,1,1),
(176696,48275,'Applies Stormfeather''s Protection when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(176697,48275,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(176698,48275,'Inflicts 15 magic damage on target',100,2,2),
(176699,48275,'Cannot be modified except by direct means',100,2,3),
(176700,10048275,'Applies Stormfeather''s Protection when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(176701,10048275,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(176702,10048275,'Inflicts 18 magic damage on target',100,2,2),
(176703,10048275,'Cannot be modified except by direct means',100,2,3),
(176704,159730,'When Equipped:',100,0,0),
(176705,159730,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(176706,159730,'Increases STA of caster by 15.5',100,2,2),
(176707,159730,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(176708,159730,'Cannot be modified except by direct means',100,2,4),
(176709,10159730,'When Equipped:',100,0,0),
(176710,10159730,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(176711,10159730,'Increases STA of caster by 15.5',100,2,2),
(176712,10159730,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(176713,10159730,'Cannot be modified except by direct means',100,2,4),
(176714,118368,'Inflicts 85 - 143 melee damage on target',100,1,0),
(176715,118368,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(176716,118368,'Stuns target',100,2,2),
(176717,118368,'Throws target back',100,2,3),
(176718,118368,'Blurs vision of target',100,2,4),
(176719,118368,'Does not affect Epic targets',100,2,5),
(176720,10118368,'Inflicts 102 - 171 melee damage on target',100,1,0),
(176721,10118368,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(176722,10118368,'Stuns target',100,2,2),
(176723,10118368,'Blurs vision of target',100,2,3),
(176724,10118368,'Throws target back',100,2,4),
(176725,10118368,'Does not affect Epic targets',100,2,5),
(176726,155708,'When Equipped:',100,0,0),
(176727,155708,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(176728,10155708,'When Equipped:',100,0,0),
(176729,10155708,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(176730,103980,'Inflicts 59 - 110 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(176731,103980,'Interrupts targets in Area of Effect',100,1,1),
(176732,10103980,'Inflicts 71 - 132 poison damage on targets in Area of Effect instantly and every second',100,1,0),
(176733,10103980,'Interrupts targets in Area of Effect',100,1,1),
(176734,118741,'Inflicts 259 - 431 slashing damage on target',100,1,0),
(176735,118741,'Decreases Slashing, Crushing and Piercing of target by 22.2',100,1,1),
(176736,118741,'Inflicts 107 - 130 slashing damage on target every 5 seconds',100,1,2),
(176737,10118741,'Inflicts 310 - 518 slashing damage on target',100,1,0),
(176738,10118741,'Decreases Slashing, Crushing and Piercing of target by 22.2',100,1,1),
(176739,10118741,'Inflicts 128 - 156 slashing damage on target every 5 seconds',100,1,2),
(176740,51351,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(176741,51351,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(176742,51351,'Inflicts 64 heat damage on target',100,2,2),
(176743,51351,'Cannot be modified except by direct means',100,2,3),
(176744,10051351,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(176745,10051351,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(176746,10051351,'Inflicts 77 heat damage on target',100,2,2),
(176747,10051351,'Cannot be modified except by direct means',100,2,3),
(176748,100466,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(176749,100466,'Decreases Threat to target by 43 ',100,2,1),
(176750,100466,'If not fighter',100,2,2),
(176751,100466,'Decreases Hate Gain of group members (AE) by 15.3%',100,1,3),
(176752,100466,'If not fighter',100,2,4),
(176753,10100466,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(176754,10100466,'If not fighter',100,2,1),
(176755,10100466,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(176756,10100466,'Inflicts 24 - 26 crushing damage on target',100,2,3),
(176757,10100466,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(176758,10100466,'If not fighter',100,2,5),
(176759,10100466,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(176760,10100466,'If not fighter',100,2,7),
(176761,10100466,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(176762,10100466,'If not fighter',100,2,9),
(176763,24740,'Adds Vampire-Greater (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(176764,10024740,'Adds Vampire-Greater (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(176765,40615,'When Equipped:',100,0,0),
(176766,40615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176767,40615,'Inflicts 42 - 64 magic damage on target',100,2,2),
(176768,40615,'Cannot be modified except by direct means',100,2,3),
(176769,10040615,'When Equipped:',100,0,0),
(176770,10040615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176771,10040615,'Inflicts 51 - 76 magic damage on target',100,2,2),
(176772,10040615,'Cannot be modified except by direct means',100,2,3),
(176773,143017,'When Equipped:',100,0,0),
(176774,143017,'When damaged with a melee weapon this spell has a 5% chance to cast Harla Dar''s Prayer on caster.  ',100,1,1),
(176775,143017,'Heals caster for 243',100,2,2),
(176776,143017,'Cannot be modified except by direct means',100,2,3),
(176777,10143017,'When Equipped:',100,0,0),
(176778,10143017,'When damaged with a melee weapon this spell has a 5% chance to cast Harla Dar''s Prayer on caster.  ',100,1,1),
(176779,10143017,'Heals caster for 158',100,2,2),
(176780,10143017,'Cannot be modified except by direct means',100,2,3),
(176781,144685,'When Equipped:',100,0,0),
(176782,144685,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(176783,144685,'Must be engaged in pvp combat',100,1,2),
(176784,10144685,'When Equipped:',100,0,0),
(176785,10144685,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(176786,10144685,'Must be engaged in pvp combat',100,1,2),
(176787,75557,'Applies Disease Blast when Activated.',100,0,0),
(176788,75557,'Inflicts 360 - 600 disease damage on target',100,1,1),
(176789,75557,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176790,10075557,'Applies Disease Blast when Activated.',100,0,0),
(176791,10075557,'Inflicts 432 - 721 disease damage on target',100,1,1),
(176792,10075557,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(176793,46267,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(176794,46267,'Increases Max Power of caster by 319.1',100,1,1),
(176795,10046267,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(176796,10046267,'Increases Max Power of caster by 319.1',100,1,1),
(176797,188997,'When Equipped:',100,0,0),
(176798,188997,'Increases poison trigger chance by 4.0%',100,1,1),
(176799,10188997,'When Equipped:',100,0,0),
(176800,10188997,'Increases poison trigger chance by 4.0%',100,1,1),
(176801,121475,'Inflicts 28 - 47 melee damage on target',100,1,0),
(176802,121475,'Decreases Defense of target by 1.4',100,1,1),
(176803,10121475,'Inflicts 34 - 57 melee damage on target',100,1,0),
(176804,10121475,'Decreases Defense of target by 1.4',100,1,1),
(176805,71701,'When Equipped:',100,0,0),
(176806,71701,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176807,71701,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(176808,71701,'Cannot be modified except by direct means',100,2,3),
(176809,10071701,'When Equipped:',100,0,0),
(176810,10071701,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(176811,10071701,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(176812,10071701,'Cannot be modified except by direct means',100,2,3),
(176813,142797,'When Equipped:',100,0,0),
(176814,142797,'When any damage is received this spell has a 5% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(176815,142797,'Inflicts 135 - 225 divine damage on target',100,2,2),
(176816,142797,'Cannot be modified except by direct means',100,2,3),
(176817,142797,'When any damage is received this spell has a 15% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,4),
(176818,142797,'Inflicts 45 - 61 divine damage on target',100,2,5),
(176819,142797,'Inflicts 112 - 152 divine damage on target every 12 seconds',100,2,6),
(176820,142797,'If target is undead',100,3,7),
(176821,142797,'If target is undead',100,2,8),
(176822,142797,'Cannot be modified except by direct means',100,2,9),
(176823,10142797,'When Equipped:',100,0,0),
(176824,10142797,'When any damage is received this spell has a 5% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(176825,10142797,'Inflicts 162 - 270 divine damage on target',100,2,2),
(176826,10142797,'Cannot be modified except by direct means',100,2,3),
(176827,10142797,'When any damage is received this spell has a 15% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,4),
(176828,10142797,'Inflicts 54 - 73 divine damage on target',100,2,5),
(176829,10142797,'Inflicts 134 - 182 divine damage on target every 12 seconds',100,2,6),
(176830,10142797,'If target is undead',100,3,7),
(176831,10142797,'If target is undead',100,2,8),
(176832,10142797,'Cannot be modified except by direct means',100,2,9),
(176833,121012,'Inflicts 139 - 232 poison damage on target',100,1,0),
(176834,121012,'Inflicts 35 - 58 poison damage on target instantly and every 4 seconds',100,1,1),
(176835,10121012,'Inflicts 167 - 278 poison damage on target',100,1,0),
(176836,10121012,'Inflicts 42 - 70 poison damage on target instantly and every 4 seconds',100,1,1),
(176837,48853,'Applies Translucent Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(176838,48853,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(176839,48853,'Stuns target',100,2,2),
(176840,48853,'If Target is not Epic',100,3,3),
(176841,48853,'Cannot be modified except by direct means',100,2,4),
(176842,48853,'Grants a total of 30 triggers of the spell.',100,2,5),
(176843,48853,'Only affects targets level 50 and above',100,1,6),
(176844,10048853,'Applies Translucent Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(176845,10048853,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(176846,10048853,'Stuns target',100,2,2),
(176847,10048853,'If Target is not Epic',100,3,3),
(176848,10048853,'Cannot be modified except by direct means',100,2,4),
(176849,10048853,'Grants a total of 30 triggers of the spell.',100,2,5),
(176850,10048853,'Only affects targets level 50 and above',100,1,6),
(176851,36157,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(176852,112431,'Mesmerizes target',100,1,0),
(176853,112431,'Prevents AOE (except when direct) ',100,1,1),
(176854,112431,'Dispelled when target takes damage',100,1,2),
(176855,112431,'Does not affect Epic targets',100,1,3),
(176856,112431,'Resistibility increases against targets higher than level 53.',100,1,4),
(176857,10112431,'Mesmerizes target',100,1,0),
(176858,10112431,'Prevents AOE (except when direct) ',100,1,1),
(176859,10112431,'Dispelled when target takes damage',100,1,2),
(176860,10112431,'Does not affect Epic targets',100,1,3),
(176861,10112431,'Resistibility increases against targets higher than level 53.',100,1,4),
(176862,134039,'When Equipped:',100,0,0),
(176863,134039,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(176864,134039,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(176865,134039,'Cannot be modified except by direct means',100,2,3),
(176866,10134039,'When Equipped:',100,0,0),
(176867,10134039,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(176868,10134039,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(176869,10134039,'Cannot be modified except by direct means',100,2,3),
(176870,101423,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(176871,101423,'Increases Mitigation of group members (AE) vs noxious damage by 96',100,1,1),
(176872,10101423,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(176873,10101423,'Increases Mitigation of group members (AE) vs noxious damage by 96',100,1,1),
(176874,111663,'Inflicts 432 - 528 cold damage on target encounter',100,1,0),
(176875,111663,'Slows target encounter by 42.8%',100,1,1),
(176876,111663,'5% chance to dispel when target takes damage',100,1,2),
(176877,111663,'5% chance to dispel when target receives hostile action',100,1,3),
(176878,10111663,'Inflicts 691 - 845 cold damage on target encounter',100,1,0),
(176879,10111663,'Slows target encounter by 42.8%',100,1,1),
(176880,10111663,'5% chance to dispel when target takes damage',100,1,2),
(176881,10111663,'5% chance to dispel when target receives hostile action',100,1,3),
(176882,101521,'Increases WIS of target by 81.7',100,1,0),
(176883,101521,'Increases Max Health of target by 723.2',100,1,1),
(176884,101521,'Increases Mitigation of target vs elemental, noxious and arcane damage by 223',100,1,2),
(176885,10101521,'Increases WIS of target by 81.7',100,1,0),
(176886,10101521,'Increases Max Health of target by 723.2',100,1,1),
(176887,10101521,'Increases Mitigation of target vs elemental, noxious and arcane damage by 223',100,1,2),
(176888,87279,'When Equipped:',100,0,0),
(176889,87279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176890,87279,'Inflicts 99 - 149 magic damage on target',100,2,2),
(176891,87279,'Cannot be modified except by direct means',100,2,3),
(176892,10087279,'When Equipped:',100,0,0),
(176893,10087279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176894,10087279,'Inflicts 119 - 178 magic damage on target',100,2,2),
(176895,10087279,'Cannot be modified except by direct means',100,2,3),
(176896,103203,'Increases Mitigation of caster vs physical damage by 476',100,1,0),
(176897,103203,'Roots caster',100,1,1),
(176898,10103203,'Increases Mitigation of caster vs physical damage by 476',100,1,0),
(176899,10103203,'Roots caster',100,1,1),
(176900,105377,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(176901,105377,'Interrupts target',100,2,1),
(176902,105377,'Inflicts 57 melee damage on target',100,2,2),
(176903,105377,'Decreases Defense of caster by 12.3',100,1,3),
(176904,105377,'Increases Piercing, Slashing, Ranged and Crushing of caster by 25.8',100,1,4),
(176905,10105377,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(176906,10105377,'Interrupts target',100,2,1),
(176907,10105377,'Inflicts 68 melee damage on target',100,2,2),
(176908,10105377,'Decreases Defense of caster by 12.3',100,1,3),
(176909,10105377,'Increases Piercing, Slashing, Ranged and Crushing of caster by 25.8',100,1,4),
(176910,81039,'When Equipped:',100,0,0),
(176911,81039,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176912,81039,'Inflicts 144 - 268 magic damage on target',100,2,2),
(176913,81039,'Cannot be modified except by direct means',100,2,3),
(176914,10081039,'When Equipped:',100,0,0),
(176915,10081039,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176916,10081039,'Inflicts 173 - 322 magic damage on target',100,2,2),
(176917,10081039,'Cannot be modified except by direct means',100,2,3),
(176918,100630,'Transfers 39% of target''s current Threat to the caster',100,1,0),
(176919,10100630,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(176920,10100630,'10% of all damage received by the caster is prevented.',100,2,1),
(176921,10100630,'This effect can only trigger once every 5 seconds.',100,2,2),
(176922,141681,'When Equipped:',100,0,0),
(176923,141681,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(176924,141681,'Increases STA of caster by 23.1',100,2,2),
(176925,141681,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(176926,141681,'Cannot be modified except by direct means',100,2,4),
(176927,10141681,'When Equipped:',100,0,0),
(176928,10141681,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(176929,10141681,'Increases STA of caster by 23.1',100,2,2),
(176930,10141681,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(176931,10141681,'Cannot be modified except by direct means',100,2,4),
(176932,117488,'Increases Attack Speed of target by 40.9',100,1,0),
(176933,10117488,'Increases Attack Speed of target by 40.9',100,1,0),
(176934,108572,'Makes target afraid',100,1,0),
(176935,108572,'30% chance to dispel when target takes damage',100,1,1),
(176936,108572,'Does not affect Epic targets',100,1,2),
(176937,108572,'Resistibility increases against targets higher than level 116.',100,1,3),
(176938,10108572,'Makes target afraid',100,1,0),
(176939,10108572,'30% chance to dispel when target takes damage',100,1,1),
(176940,10108572,'Does not affect Epic targets',100,1,2),
(176941,10108572,'Resistibility increases against targets higher than level 116.',100,1,3),
(176942,107058,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(176943,107058,'Inflicts 158 - 264 divine damage on target',100,2,1),
(176944,107058,'Inflicts 158 - 264 divine damage on target',100,2,2),
(176945,107058,'If target is undead',100,3,3),
(176946,10107058,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(176947,10107058,'Inflicts 316 - 527 divine damage on target',100,2,1),
(176948,74823,'When Equipped:',100,0,0),
(176949,74823,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176950,74823,'Inflicts 84 - 126 magic damage on target',100,2,2),
(176951,74823,'Cannot be modified except by direct means',100,2,3),
(176952,10074823,'When Equipped:',100,0,0),
(176953,10074823,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176954,10074823,'Inflicts 101 - 151 magic damage on target',100,2,2),
(176955,10074823,'Cannot be modified except by direct means',100,2,3),
(176956,80869,'When Equipped:',100,0,0),
(176957,80869,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176958,80869,'Inflicts 184 - 342 magic damage on target',100,2,2),
(176959,80869,'Cannot be modified except by direct means',100,2,3),
(176960,10080869,'When Equipped:',100,0,0),
(176961,10080869,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(176962,10080869,'Inflicts 221 - 410 magic damage on target',100,2,2),
(176963,10080869,'Cannot be modified except by direct means',100,2,3),
(176964,26325,'When Equipped:',100,0,0),
(176965,26325,'Increases all disease damage by up to 40.',100,1,1),
(176966,10026325,'When Equipped:',100,0,0),
(176967,10026325,'Increases all disease damage by up to 40.',100,1,1),
(176968,123466,'Shapechanges caster into a bear',100,1,0),
(176969,123466,'Increases WIS of caster by 92.3',100,1,1),
(176970,123466,'Grants See Stealth to caster',100,1,2),
(176971,123466,'Increases Max Health of caster by 408.7',100,1,3),
(176972,123466,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1399',100,1,4),
(176973,10123466,'Shapechanges caster into a bear',100,1,0),
(176974,10123466,'Increases WIS of caster by 92.3',100,1,1),
(176975,10123466,'Grants See Stealth to caster',100,1,2),
(176976,10123466,'Increases Max Health of caster by 408.7',100,1,3),
(176977,10123466,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1399',100,1,4),
(176978,112034,'Roots target',100,1,0),
(176979,112034,'Stifles target',100,1,1),
(176980,112034,'If Target is not Epic',100,2,2),
(176981,112034,'20% chance to dispel when target takes damage',100,1,3),
(176982,112034,'Does not affect Epic targets',100,1,4),
(176983,112034,'Resistibility increases against targets higher than level 82.',100,1,5),
(176984,10112034,'Roots target',100,1,0),
(176985,10112034,'Stifles target',100,1,1),
(176986,10112034,'If Target is not Epic',100,2,2),
(176987,10112034,'20% chance to dispel when target takes damage',100,1,3),
(176988,10112034,'Does not affect Epic targets',100,1,4),
(176989,10112034,'Resistibility increases against targets higher than level 82.',100,1,5),
(176990,122819,'Inflicts 217 - 361 ranged damage on target',100,1,0),
(176991,122819,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(176992,122819,'Increases Hate Gain of target by 30.0%',100,2,2),
(176993,122819,'Grants a total of 1 trigger of the spell.',100,2,3),
(176994,122819,'Requires bow',100,1,4),
(176995,10122819,'Inflicts 184 - 307 ranged damage on target',100,1,0),
(176996,10122819,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(176997,10122819,'Grants a total of 1 trigger of the spell.',100,2,2),
(176998,10122819,'Requires bow',100,1,3),
(176999,106294,'Decreases AGI, STR, INT and WIS of target encounter by 142.6',100,1,0),
(177000,106294,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 36.2',100,1,1),
(177001,106294,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 35.5',100,1,2),
(177002,10106294,'Decreases AGI, STR, INT and WIS of target encounter by 142.6',100,1,0),
(177003,10106294,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 36.2',100,1,1),
(177004,10106294,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 35.5',100,1,2),
(177005,37409,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(177006,124703,'Heals group members (AE) for 135 - 165',100,1,0),
(177007,10124703,'Heals group members (AE) for 163 - 200',100,1,0),
(177008,159722,'Applies Lambent Imbued when Equipped.',100,0,0),
(177009,159722,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(177010,159722,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(177011,159722,'Cannot be modified except by direct means',100,2,3),
(177012,10159722,'Applies Lambent Imbued when Equipped.',100,0,0),
(177013,10159722,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(177014,10159722,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(177015,10159722,'Cannot be modified except by direct means',100,2,3),
(177016,89509,'When Equipped:',100,0,0),
(177017,89509,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(177018,10089509,'When Equipped:',100,0,0),
(177019,10089509,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(177020,87318,'When Equipped:',100,0,0),
(177021,87318,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177022,87318,'Inflicts 71 - 106 magic damage on target',100,2,2),
(177023,87318,'Cannot be modified except by direct means',100,2,3),
(177024,10087318,'When Equipped:',100,0,0),
(177025,10087318,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177026,10087318,'Inflicts 85 - 127 magic damage on target',100,2,2),
(177027,10087318,'Cannot be modified except by direct means',100,2,3),
(177028,47527,'Applies Petrified Kerra Eye when Activated.  Lasts for 6 hours.',100,0,0),
(177029,47527,'Shapechanges caster into a kerra',100,1,1),
(177030,10047527,'Applies Petrified Kerra Eye when Activated.  Lasts for 6 hours.',100,0,0),
(177031,10047527,'Shapechanges caster into a kerra',100,1,1),
(177032,43373,'When Equipped:',100,0,0),
(177033,43373,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177034,43373,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177035,43373,'Wards target against 4840 points of all damage',100,2,3),
(177036,43373,'Must not be engaged in pvp combat',100,2,4),
(177037,43373,'Cannot be modified except by direct means',100,2,5),
(177038,43373,'Cannot be modified except by direct means',100,1,6),
(177039,10043373,'When Equipped:',100,0,0),
(177040,10043373,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177041,10043373,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177042,10043373,'Wards target against 4840 points of all damage',100,2,3),
(177043,10043373,'Must not be engaged in pvp combat',100,2,4),
(177044,10043373,'Cannot be modified except by direct means',100,2,5),
(177045,10043373,'Cannot be modified except by direct means',100,1,6),
(177046,116307,'Stuns target',100,1,0),
(177047,116307,'If Target is not Epic',100,2,1),
(177048,116307,'Inflicts 270 - 330 magic damage on target',100,1,2),
(177049,116307,'Resistibility increases against targets higher than level 73.',100,1,3),
(177050,10116307,'Stuns target',100,1,0),
(177051,10116307,'If Target is not Epic',100,2,1),
(177052,10116307,'Inflicts 324 - 396 magic damage on target',100,1,2),
(177053,10116307,'Resistibility increases against targets higher than level 73.',100,1,3),
(177054,26708,'When Equipped:',100,0,0),
(177055,26708,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177056,26708,'On a critical spell hit this spell may cast Fervor I on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177057,26708,'Makes caster immune to Stun effects',100,2,3),
(177058,26708,'Makes caster immune to Stifle effects',100,2,4),
(177059,26708,'Must not be engaged in pvp combat',100,2,5),
(177060,26708,'Cannot be modified except by direct means',100,2,6),
(177061,26708,'On a critical combat hit this spell may cast Fervor I on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(177062,26708,'Makes caster immune to Stun effects',100,2,8),
(177063,26708,'Makes caster immune to Stifle effects',100,2,9),
(177064,26708,'Must not be engaged in pvp combat',100,2,10),
(177065,26708,'Cannot be modified except by direct means',100,2,11),
(177066,26708,'On a critical healing spell cast this spell may cast Fervor I on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(177067,26708,'Makes caster immune to Stun effects',100,2,13),
(177068,26708,'Makes caster immune to Stifle effects',100,2,14),
(177069,26708,'Must not be engaged in pvp combat',100,2,15),
(177070,26708,'Cannot be modified except by direct means',100,2,16),
(177071,26708,'Must not be engaged in pvp combat',100,1,17),
(177072,10026708,'When Equipped:',100,0,0),
(177073,10026708,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177074,10026708,'On a critical spell hit this spell may cast Fervor I on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177075,10026708,'Makes caster immune to Stun effects',100,2,3),
(177076,10026708,'Makes caster immune to Stifle effects',100,2,4),
(177077,10026708,'Must not be engaged in pvp combat',100,2,5),
(177078,10026708,'Cannot be modified except by direct means',100,2,6),
(177079,10026708,'On a critical combat hit this spell may cast Fervor I on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(177080,10026708,'Makes caster immune to Stun effects',100,2,8),
(177081,10026708,'Makes caster immune to Stifle effects',100,2,9),
(177082,10026708,'Must not be engaged in pvp combat',100,2,10),
(177083,10026708,'Cannot be modified except by direct means',100,2,11),
(177084,10026708,'On a critical healing spell cast this spell may cast Fervor I on caster.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(177085,10026708,'Makes caster immune to Stun effects',100,2,13),
(177086,10026708,'Makes caster immune to Stifle effects',100,2,14),
(177087,10026708,'Must not be engaged in pvp combat',100,2,15),
(177088,10026708,'Cannot be modified except by direct means',100,2,16),
(177089,10026708,'Must not be engaged in pvp combat',100,1,17),
(177090,119055,'Decreases power of target by 91 - 152',100,1,0),
(177091,119055,'Increases power of caster by 55 - 91',100,1,1),
(177092,119055,'Inflicts 97 - 161 mental damage on target',100,1,2),
(177093,10119055,'Decreases power of target by 91 - 152',100,1,0),
(177094,10119055,'Increases power of caster by 55 - 91',100,1,1),
(177095,10119055,'Inflicts 116 - 194 mental damage on target',100,1,2),
(177096,141970,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(177097,141970,'Decreases Mitigation of target vs physical damage by 468',100,1,1),
(177098,141970,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(177099,10141970,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(177100,10141970,'Decreases Mitigation of target vs physical damage by 468',100,1,1),
(177101,10141970,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(177102,105844,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(177103,105844,'Increases Damage Per Second of caster by 30.6',100,1,1),
(177104,105844,'Increases Piercing, Slashing and Crushing of caster by 11.4',100,1,2),
(177105,10105844,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(177106,10105844,'Increases Damage Per Second of caster by 30.6',100,1,1),
(177107,10105844,'Increases Piercing, Slashing and Crushing of caster by 11.4',100,1,2),
(177108,107761,'Inflicts 533 - 888 cold damage on target',100,1,0),
(177109,107761,'Stuns target',100,1,1),
(177110,107761,'If Target is not Epic',100,2,2),
(177111,107761,'Resistibility increases against targets higher than level 87.',100,1,3),
(177112,10107761,'Inflicts 639 - 1065 cold damage on target',100,1,0),
(177113,10107761,'Stuns target',100,1,1),
(177114,10107761,'If Target is not Epic',100,2,2),
(177115,10107761,'Resistibility increases against targets higher than level 87.',100,1,3),
(177116,36713,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(177117,102476,'Inflicts 100 - 168 crushing damage on target',100,1,0),
(177118,102476,'Prevents target from changing direction while active.',100,1,1),
(177119,102476,'If Target is not Epic',100,2,2),
(177120,102476,'Roots target',100,1,3),
(177121,102476,'If Target is not Epic',100,2,4),
(177122,102476,'Resistibility increases against targets higher than level 51.',100,1,5),
(177123,10102476,'Inflicts 120 - 201 crushing damage on target',100,1,0),
(177124,10102476,'Prevents target from changing direction while active.',100,1,1),
(177125,10102476,'If Target is not Epic',100,2,2),
(177126,10102476,'Roots target',100,1,3),
(177127,10102476,'If Target is not Epic',100,2,4),
(177128,10102476,'Resistibility increases against targets higher than level 51.',100,1,5),
(177129,159068,'Applies Lambent Imbued when Equipped.',100,0,0),
(177130,159068,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(177131,159068,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(177132,159068,'Cannot be modified except by direct means',100,2,3),
(177133,10159068,'Applies Lambent Imbued when Equipped.',100,0,0),
(177134,10159068,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(177135,10159068,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(177136,10159068,'Cannot be modified except by direct means',100,2,3),
(177137,122112,'Interrupts target',100,1,0),
(177138,122112,'Increases Threat to target by 305 ',100,1,1),
(177139,122112,'Dispels 31 levels of arcane beneficial effects on target',100,1,2),
(177140,10122112,'Interrupts target',100,1,0),
(177141,10122112,'Forces target to change their selected target to caster.',100,1,1),
(177142,10122112,'Dispels 31 levels of arcane beneficial effects on target',100,1,2),
(177143,106282,'Wards target against 2460 points of all damage',100,1,0),
(177144,10106282,'Wards target against 2460 points of all damage',100,1,0),
(177145,108865,'Inflicts 135 - 225 melee damage on target',100,1,0),
(177146,108865,'Decreases INT of target by 82.1',100,1,1),
(177147,10108865,'Inflicts 162 - 270 melee damage on target',100,1,0),
(177148,10108865,'Decreases INT of target by 82.1',100,1,1),
(177149,117853,'Heals target for 60 - 74 instantly and every 2 seconds',100,1,0),
(177150,10117853,'Heals target for 39 - 48 instantly and every 2 seconds',100,1,0),
(177151,178886,'When Equipped:',100,0,0),
(177152,178886,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(177153,178886,'Decreases Mitigation of target vs arcane damage by 410',100,2,2),
(177154,178886,'Must be classified as a goblin',100,3,3),
(177155,178886,'Inflicts 562 mental damage on target',100,2,4),
(177156,178886,'Must be classified as a goblin',100,3,5),
(177157,178886,'Inflicts 281 mental damage on target',100,2,6),
(177158,178886,'Must not be classified as a goblin',100,3,7),
(177159,178886,'Cannot be modified except by direct means',100,2,8),
(177160,178886,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(177161,10178886,'When Equipped:',100,0,0),
(177162,10178886,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(177163,10178886,'Decreases Mitigation of target vs arcane damage by 410',100,2,2),
(177164,10178886,'Must be classified as a goblin',100,3,3),
(177165,10178886,'Inflicts 674 mental damage on target',100,2,4),
(177166,10178886,'Must be classified as a goblin',100,3,5),
(177167,10178886,'Inflicts 337 mental damage on target',100,2,6),
(177168,10178886,'Must not be classified as a goblin',100,3,7),
(177169,10178886,'Cannot be modified except by direct means',100,2,8),
(177170,10178886,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(177171,131905,'When Equipped:',100,0,0),
(177172,131905,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(177173,131905,'Increases power of caster by 146',100,2,2),
(177174,131905,'Cannot be modified except by direct means',100,2,3),
(177175,10131905,'When Equipped:',100,0,0),
(177176,10131905,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(177177,10131905,'Increases power of caster by 146',100,2,2),
(177178,10131905,'Cannot be modified except by direct means',100,2,3),
(177179,100160,'Inflicts 189 - 351 disease damage on target encounter',100,1,0),
(177180,10100160,'Inflicts 227 - 421 disease damage on target encounter',100,1,0),
(177181,108814,'Inflicts 480 - 891 heat damage on targets in Area of Effect',100,1,0),
(177182,10108814,'Inflicts 576 - 1069 heat damage on targets in Area of Effect',100,1,0),
(177183,123536,'Inflicts 89 - 134 piercing damage on target instantly and every 4 seconds',100,1,0),
(177184,123536,'Decreases Defense of target by 25.4',100,1,1),
(177185,10123536,'Inflicts 150 - 225 piercing damage on target',100,1,0),
(177186,10123536,'Inflicts 107 - 161 piercing damage on target every 4 seconds',100,1,1),
(177187,10123536,'Decreases Defense of target by 25.4',100,1,2),
(177188,90078,'When Equipped:',100,0,0),
(177189,90078,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(177190,90078,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177191,90078,'Inflicts 2355 - 2603 poison damage on target',100,2,3),
(177192,90078,'Heals caster for 1178 - 1301',100,2,4),
(177193,90078,'Decreases Ranged, Piercing, Slashing and Crushing of target by 22.0',100,2,5),
(177194,90078,'Decreases Mitigation of target vs physical damage by 523',100,2,6),
(177195,90078,'Must not be engaged in pvp combat',100,2,7),
(177196,90078,'Cannot be modified except by direct means',100,2,8),
(177197,90078,'Cannot be modified except by direct means',100,1,9),
(177198,10090078,'When Equipped:',100,0,0),
(177199,10090078,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(177200,10090078,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177201,10090078,'Inflicts 2826 - 3124 poison damage on target',100,2,3),
(177202,10090078,'Heals caster for 1378 - 1523',100,2,4),
(177203,10090078,'Decreases Ranged, Piercing, Slashing and Crushing of target by 22.0',100,2,5),
(177204,10090078,'Decreases Mitigation of target vs physical damage by 523',100,2,6),
(177205,10090078,'Must not be engaged in pvp combat',100,2,7),
(177206,10090078,'Cannot be modified except by direct means',100,2,8),
(177207,10090078,'Cannot be modified except by direct means',100,1,9),
(177208,82797,'When Equipped:',100,0,0),
(177209,82797,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177210,82797,'Inflicts 233 - 434 magic damage on target',100,2,2),
(177211,82797,'Decreases Threat to target by 1,174 ',100,2,3),
(177212,82797,'Must be flanking or behind',100,3,4),
(177213,82797,'Increases Threat to target by 1,179 ',100,2,5),
(177214,82797,'Must be in front of',100,3,6),
(177215,82797,'Cannot be modified except by direct means',100,2,7),
(177216,10082797,'When Equipped:',100,0,0),
(177217,10082797,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177218,10082797,'Inflicts 280 - 520 magic damage on target',100,2,2),
(177219,10082797,'Cannot be modified except by direct means',100,2,3),
(177220,113391,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,0),
(177221,113391,'Stifles target',100,2,1),
(177222,113391,'Blurs vision of target',100,2,2),
(177223,113391,'Dispelled when target takes damage',100,2,3),
(177224,113391,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(177225,113391,'Resistibility increases against targets higher than level 112.',100,2,5),
(177226,113391,'Roots target',100,1,6),
(177227,113391,'5% chance to dispel when target takes damage',100,1,7),
(177228,113391,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(177229,113391,'Resistibility increases against targets higher than level 112.',100,1,9),
(177230,10113391,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(177231,10113391,'Stifles target',100,2,1),
(177232,10113391,'Blurs vision of target',100,2,2),
(177233,10113391,'Dispelled when target takes damage',100,2,3),
(177234,10113391,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(177235,10113391,'Resistibility increases against targets higher than level 112.',100,2,5),
(177236,10113391,'Roots target',100,1,6),
(177237,10113391,'5% chance to dispel when target takes damage',100,1,7),
(177238,10113391,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(177239,10113391,'Resistibility increases against targets higher than level 112.',100,1,9),
(177240,87389,'When Equipped:',100,0,0),
(177241,87389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177242,87389,'Inflicts 124 - 186 magic damage on target',100,2,2),
(177243,87389,'Cannot be modified except by direct means',100,2,3),
(177244,10087389,'When Equipped:',100,0,0),
(177245,10087389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177246,10087389,'Inflicts 149 - 223 magic damage on target',100,2,2),
(177247,10087389,'Cannot be modified except by direct means',100,2,3),
(177248,35986,'Increases INT and WIS of target by 1.1',100,0,0),
(177249,35986,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(177250,82030,'When Equipped:',100,0,0),
(177251,82030,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177252,82030,'Inflicts 122 - 226 magic damage on target',100,2,2),
(177253,82030,'Cannot be modified except by direct means',100,2,3),
(177254,10082030,'When Equipped:',100,0,0),
(177255,10082030,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177256,10082030,'Inflicts 146 - 272 magic damage on target',100,2,2),
(177257,10082030,'Cannot be modified except by direct means',100,2,3),
(177258,45789,'Applies Pour Out Soil when Activated.',100,0,0),
(177259,10045789,'Applies Pour Out Soil when Activated.',100,0,0),
(177260,108794,'Inflicts 71 - 131 heat damage on targets in Area of Effect',100,1,0),
(177261,10108794,'Inflicts 85 - 157 heat damage on targets in Area of Effect',100,1,0),
(177262,100958,'Dazes target',100,1,0),
(177263,100958,'Inflicts 426 - 521 mental damage on target',100,1,1),
(177264,100958,'Epic targets gain an immunity to Daze effects of 31.5 seconds and duration is reduced to 3.5 seconds.',100,1,2),
(177265,100958,'Resistibility increases against targets higher than level 96.',100,1,3),
(177266,10100958,'Dazes target',100,1,0),
(177267,10100958,'Inflicts 511 - 625 mental damage on target',100,1,1),
(177268,10100958,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(177269,10100958,'Resistibility increases against targets higher than level 96.',100,1,3),
(177270,113178,'Inflicts 660 disease damage on target',100,1,0),
(177271,113178,'Heals caster for 440',100,1,1),
(177272,10113178,'Inflicts 792 disease damage on target',100,1,0),
(177273,10113178,'Heals caster for 372',100,1,1),
(177274,119764,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(177275,119764,'Inflicts 23 - 28 poison damage on target encounter',100,2,1),
(177276,10119764,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(177277,10119764,'Inflicts 28 - 34 poison damage on target encounter',100,2,1),
(177278,48346,'Applies Superior Salve when Activated.',100,0,0),
(177279,48346,'Dispels 68 levels of physical hostile effects on caster',100,1,1),
(177280,10048346,'Applies Superior Salve when Activated.',100,0,0),
(177281,10048346,'Dispels 68 levels of physical hostile effects on caster',100,1,1),
(177282,113679,'Stuns target',100,1,0),
(177283,113679,'If Target is not Epic',100,2,1),
(177284,113679,'Inflicts 158 - 264 heat damage on target',100,1,2),
(177285,113679,'Resistibility increases against targets higher than level 45.',100,1,3),
(177286,10113679,'Stuns target',100,1,0),
(177287,10113679,'If Target is not Epic',100,2,1),
(177288,10113679,'Inflicts 190 - 317 heat damage on target',100,1,2),
(177289,10113679,'Resistibility increases against targets higher than level 45.',100,1,3),
(177290,48062,'Applies Replenishment when Activated.  Lasts for 6.0 seconds.',100,0,0),
(177291,48062,'Increases power of caster by 299 - 555',100,1,1),
(177292,48062,'Increases power of caster by 75 - 139 every second',100,1,2),
(177293,10048062,'Applies Replenishment when Activated.  Lasts for 6.0 seconds.',100,0,0),
(177294,10048062,'Increases power of caster by 299 - 555',100,1,1),
(177295,10048062,'Increases power of caster by 75 - 139 every second',100,1,2),
(177296,35563,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(177297,80573,'When Equipped:',100,0,0),
(177298,80573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177299,80573,'Inflicts 70 - 129 magic damage on target',100,2,2),
(177300,80573,'Cannot be modified except by direct means',100,2,3),
(177301,10080573,'When Equipped:',100,0,0),
(177302,10080573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177303,10080573,'Inflicts 84 - 155 magic damage on target',100,2,2),
(177304,10080573,'Cannot be modified except by direct means',100,2,3),
(177305,82827,'When Equipped:',100,0,0),
(177306,82827,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177307,82827,'Inflicts 224 - 416 magic damage on target',100,2,2),
(177308,82827,'Cannot be modified except by direct means',100,2,3),
(177309,10082827,'When Equipped:',100,0,0),
(177310,10082827,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177311,10082827,'Inflicts 269 - 499 magic damage on target',100,2,2),
(177312,10082827,'Cannot be modified except by direct means',100,2,3),
(177313,117876,'Heals target for 328 - 400 instantly and every 2 seconds',100,1,0),
(177314,10117876,'Heals target for 213 - 260 instantly and every 2 seconds',100,1,0),
(177315,137114,'When Equipped:',100,0,0),
(177316,137114,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(177317,137114,'Increases WIS of caster by 30.4',100,2,2),
(177318,137114,'Increases Focus, Ordination and Ministration of caster by 16.6',100,2,3),
(177319,137114,'Cannot be modified except by direct means',100,2,4),
(177320,10137114,'When Equipped:',100,0,0),
(177321,10137114,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(177322,10137114,'Increases WIS of caster by 30.4',100,2,2),
(177323,10137114,'Increases Focus, Ordination and Ministration of caster by 16.6',100,2,3),
(177324,10137114,'Cannot be modified except by direct means',100,2,4),
(177325,103032,'Inflicts 142 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(177326,103032,'Inflicts 53 - 88 melee damage on target',100,1,1),
(177327,10103032,'Inflicts 170 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(177328,10103032,'Inflicts 63 - 106 melee damage on target',100,1,1),
(177329,163396,'When Equipped:',100,0,0),
(177330,163396,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(177331,10163396,'When Equipped:',100,0,0),
(177332,10163396,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(177333,156875,'When Equipped:',100,0,0),
(177334,156875,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(177335,156875,'Increases STA of target by 15.6',100,2,2),
(177336,156875,'Cannot be modified except by direct means',100,2,3),
(177337,10156875,'When Equipped:',100,0,0),
(177338,10156875,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(177339,10156875,'Increases STA of target by 15.6',100,2,2),
(177340,10156875,'Cannot be modified except by direct means',100,2,3),
(177341,123932,'Increases STR and WIS of target by 69.6',100,1,0),
(177342,123932,'Increases Mitigation of target vs elemental, noxious and arcane damage by 208',100,1,1),
(177343,10123932,'Increases STR and WIS of target by 69.6',100,1,0),
(177344,10123932,'Increases Mitigation of target vs elemental, noxious and arcane damage by 208',100,1,1),
(177345,47075,'Applies Call Misty Mustang when Activated.',100,0,0),
(177346,47075,'Summons a mount to ride',100,1,1),
(177347,47075,'Increases your ground speed by 130%',100,2,2),
(177348,10047075,'Applies Call Misty Mustang when Activated.',100,0,0),
(177349,10047075,'Summons a mount to ride',100,1,1),
(177350,10047075,'Increases your ground speed by 130%',100,2,2),
(177351,107552,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(177352,107552,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1282',100,1,1),
(177353,10107552,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(177354,10107552,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1282',100,1,1),
(177355,138171,'When Equipped:',100,0,0),
(177356,138171,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(177357,10138171,'When Equipped:',100,0,0),
(177358,10138171,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(177359,140735,'When Equipped:',100,0,0),
(177360,140735,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(177361,140735,'Decreases Attack Speed of target by 20.0',100,2,2),
(177362,140735,'Cannot be modified except by direct means',100,2,3),
(177363,10140735,'When Equipped:',100,0,0),
(177364,10140735,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(177365,10140735,'Decreases Attack Speed of target by 20.0',100,2,2),
(177366,10140735,'Cannot be modified except by direct means',100,2,3),
(177367,110456,'Dazes targets in Area of Effect',100,1,0),
(177368,110456,'If Target is not Epic',100,2,1),
(177369,110456,'Decreases Threat to targets in Area of Effect by 2,405 ',100,1,2),
(177370,110456,'Dispelled when target receives hostile action',100,1,3),
(177371,110456,'Dispelled when target takes damage',100,1,4),
(177372,10110456,'Dazes targets in Area of Effect',100,1,0),
(177373,10110456,'If Target is not Epic',100,2,1),
(177374,10110456,'Applies Distract.',100,1,2),
(177375,10110456,'Forces target to clear their selected target.',100,2,3),
(177376,10110456,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(177377,10110456,'Dispelled when target receives hostile action',100,1,5),
(177378,10110456,'Dispelled when target takes damage',100,1,6),
(177379,104402,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(177380,104402,'Inflicts 317 - 387 cold damage on target',100,2,1),
(177381,10104402,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(177382,10104402,'Inflicts 380 - 464 cold damage on target',100,2,1),
(177383,106052,'Increases AGI of caster by 40.2',100,1,0),
(177384,106052,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(177385,106052,'Inflicts 47 - 78 disease damage on target',100,2,2),
(177386,106052,'Adds 17.2% to base avoidance.',100,1,3),
(177387,106052,'Increases Mitigation of caster vs physical damage by 208',100,1,4),
(177388,106052,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,5),
(177389,10106052,'Increases AGI of caster by 40.2',100,1,0),
(177390,10106052,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(177391,10106052,'Inflicts 56 - 94 disease damage on target',100,2,2),
(177392,10106052,'Adds 17.2% to base avoidance.',100,1,3),
(177393,10106052,'Increases Mitigation of caster vs physical damage by 208',100,1,4),
(177394,10106052,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,5),
(177395,53161,'When Equipped:',100,0,0),
(177396,53161,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(177397,53161,'Wards caster against 750 points of all damage',100,2,2),
(177398,53161,'Cannot be modified except by direct means',100,2,3),
(177399,53161,'Cannot be modified except by direct means',100,1,4),
(177400,10053161,'When Equipped:',100,0,0),
(177401,10053161,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(177402,10053161,'Wards caster against 750 points of all damage',100,2,2),
(177403,10053161,'Cannot be modified except by direct means',100,2,3),
(177404,10053161,'Cannot be modified except by direct means',100,1,4),
(177405,187400,'When Equipped:',100,0,0),
(177406,187400,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(177407,187400,'Increases power of target by 359',100,2,2),
(177408,187400,'Decreases power of caster by 324',100,2,3),
(177409,187400,'Cannot be modified except by direct means',100,2,4),
(177410,10187400,'When Equipped:',100,0,0),
(177411,10187400,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(177412,10187400,'Increases power of target by 359',100,2,2),
(177413,10187400,'Decreases power of caster by 324',100,2,3),
(177414,10187400,'Cannot be modified except by direct means',100,2,4),
(177415,124734,'Heals group members (AE) for 1701 - 2079',100,1,0),
(177416,10124734,'Heals group members (AE) for 2064 - 2523',100,1,0),
(177417,110746,'Summons a limited pet to aid the caster',100,1,0),
(177418,10110746,'Summons a limited pet to aid the caster',100,1,0),
(177419,169970,'When Equipped:',100,0,0),
(177420,169970,'This effect will not stack with itself.',100,1,1),
(177421,169970,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(177422,169970,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(177423,169970,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(177424,169970,'Increases Ability Recovery Speed of caster by 12.0%',100,2,5),
(177425,169970,'Must not be engaged in pvp combat',100,2,6),
(177426,169970,'Cannot be modified except by direct means',100,2,7),
(177427,169970,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(177428,169970,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(177429,169970,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(177430,169970,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(177431,169970,'Must not be engaged in pvp combat',100,2,12),
(177432,169970,'Cannot be modified except by direct means',100,2,13),
(177433,169970,'Must not be engaged in pvp combat',100,1,14),
(177434,10169970,'When Equipped:',100,0,0),
(177435,10169970,'This effect will not stack with itself.',100,1,1),
(177436,10169970,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(177437,10169970,'Increases in-combat movement speed of caster by 12.0%',100,2,3),
(177438,10169970,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(177439,10169970,'Increases Ability Recovery Speed of caster by 12.0%',100,2,5),
(177440,10169970,'Must not be engaged in pvp combat',100,2,6),
(177441,10169970,'Cannot be modified except by direct means',100,2,7),
(177442,10169970,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(177443,10169970,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(177444,10169970,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(177445,10169970,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(177446,10169970,'Must not be engaged in pvp combat',100,2,12),
(177447,10169970,'Cannot be modified except by direct means',100,2,13),
(177448,10169970,'Must not be engaged in pvp combat',100,1,14),
(177449,109604,'Increases Defense of group members'' pets (AE) by 7.8',100,1,0),
(177450,109604,'Increases Mitigation of group members (AE) vs all damage by 125',100,1,1),
(177451,10109604,'Increases Defense of group members'' pets (AE) by 7.8',100,1,0),
(177452,10109604,'Increases Mitigation of group members (AE) vs all damage by 125',100,1,1),
(177453,36676,'Increases STA and STR of target by 1.1',100,0,0),
(177454,36676,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(177455,103895,'Increases power of group members (AE) by 30 instantly and every 6 seconds',100,1,0),
(177456,103895,'Decreases INT of target by 114.6',100,1,1),
(177457,10103895,'Increases power of group members (AE) by 30 instantly and every 6 seconds',100,1,0),
(177458,10103895,'Decreases INT of target by 114.6',100,1,1),
(177459,157421,'When Equipped:',100,0,0),
(177460,157421,'Increases AGI, WIS, INT and STR of caster by 50.0',100,1,1),
(177461,157421,'Increases Potency of caster by 3.5%',100,1,2),
(177462,157421,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(177463,157421,'Cannot be modified except by direct means',100,1,4),
(177464,157421,'When Equipped:',100,0,5),
(177465,157421,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(177466,157421,'Increases WIS and INT of caster by 44.0',100,2,7),
(177467,157421,'Increases Ability Casting Speed of caster by 1.5%',100,2,8),
(177468,157421,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(177469,157421,'Must not be engaged in pvp combat',100,2,10),
(177470,157421,'Cannot be modified except by direct means',100,2,11),
(177471,157421,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(177472,157421,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(177473,157421,'Increases WIS and INT of caster by 44.0',100,2,14),
(177474,157421,'Increases Ability Casting Speed of caster by 1.5%',100,2,15),
(177475,157421,'Increases Crit Bonus of caster by 11.5%',100,2,16),
(177476,157421,'Must not be engaged in pvp combat',100,2,17),
(177477,157421,'Cannot be modified except by direct means',100,2,18),
(177478,157421,'Cannot be modified except by direct means',100,1,19),
(177479,10157421,'When Equipped:',100,0,0),
(177480,10157421,'Increases AGI, WIS, INT and STR of caster by 50.0',100,1,1),
(177481,10157421,'Increases Potency of caster by 3.5%',100,1,2),
(177482,10157421,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(177483,10157421,'Cannot be modified except by direct means',100,1,4),
(177484,10157421,'When Equipped:',100,0,5),
(177485,10157421,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(177486,10157421,'Increases WIS and INT of caster by 44.0',100,2,7),
(177487,10157421,'Increases Ability Casting Speed of caster by 1.5%',100,2,8),
(177488,10157421,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(177489,10157421,'Must not be engaged in pvp combat',100,2,10),
(177490,10157421,'Cannot be modified except by direct means',100,2,11),
(177491,10157421,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(177492,10157421,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(177493,10157421,'Increases WIS and INT of caster by 44.0',100,2,14),
(177494,10157421,'Increases Ability Casting Speed of caster by 1.5%',100,2,15),
(177495,10157421,'Increases Crit Bonus of caster by 11.5%',100,2,16),
(177496,10157421,'Must not be engaged in pvp combat',100,2,17),
(177497,10157421,'Cannot be modified except by direct means',100,2,18),
(177498,10157421,'Cannot be modified except by direct means',100,1,19),
(177499,118285,'Increases Threat to target encounter by 1,495 - 1,826 ',100,1,0),
(177500,118285,'Decreases Mitigation of target encounter vs arcane damage by 1651',100,1,1),
(177501,10118285,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(177502,10118285,'Prevents target from changing targets',100,2,1),
(177503,10118285,'Forces target to change their selected target to caster.',100,2,2),
(177504,10118285,'Decreases Mitigation of target encounter vs arcane damage by 1651',100,1,3),
(177505,100172,'Inflicts 503 - 934 disease damage on target encounter',100,1,0),
(177506,10100172,'Inflicts 603 - 1120 disease damage on target encounter',100,1,0),
(177507,123811,'Inflicts 56 - 93 magic damage on target',100,1,0),
(177508,123811,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(177509,123811,'Decreases Defense of target by 21.0',100,1,2),
(177510,123811,'Target will lose 28% more power when power is consumed',100,1,3),
(177511,123811,'28% of target''s power consumed will also be drained from target''s health',100,1,4),
(177512,10123811,'Inflicts 67 - 112 magic damage on target',100,1,0),
(177513,10123811,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(177514,10123811,'Decreases Defense of target by 21.0',100,1,2),
(177515,10123811,'Target will lose 28% more power when power is consumed',100,1,3),
(177516,10123811,'28% of target''s power consumed will also be drained from target''s health',100,1,4),
(177517,118144,'Heals target for 2638 - 3225',100,1,0),
(177518,10118144,'Heals target for 3118 - 3811',100,1,0),
(177519,100373,'Increases Max Health of target by 1,166.6',100,1,0),
(177520,100373,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.1',100,1,1),
(177521,10100373,'Increases Max Health of target by 1,166.6',100,1,0),
(177522,10100373,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.1',100,1,1),
(177523,119122,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(177524,119122,'Inflicts 108 - 132 slashing damage on target',100,2,1),
(177525,119122,'Increases Mitigation of caster vs physical damage by 382',100,1,2),
(177526,10119122,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(177527,10119122,'Inflicts 129 - 158 slashing damage on target',100,2,1),
(177528,10119122,'Increases Mitigation of caster vs physical damage by 382',100,1,2),
(177529,165024,'When Equipped:',100,0,0),
(177530,165024,'Increases Attack Speed of caster by 40.0',100,1,1),
(177531,10165024,'When Equipped:',100,0,0),
(177532,10165024,'Increases Attack Speed of caster by 40.0',100,1,1),
(177533,116397,'Heals target for 287 - 350 instantly and every 2 seconds',100,1,0),
(177534,10116397,'Heals target for 186 - 228 instantly and every 2 seconds',100,1,0),
(177535,104486,'Decreases Mitigation of target encounter vs physical damage by 728',100,1,0),
(177536,10104486,'Decreases Mitigation of target encounter vs physical damage by 728',100,1,0),
(177537,107193,'Inflicts 166 - 277 divine damage on target',100,1,0),
(177538,107193,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(177539,107193,'Stuns target',100,2,2),
(177540,107193,'If Target is not Epic',100,3,3),
(177541,107193,'Inflicts 389 - 648 divine damage on target',100,2,4),
(177542,107193,'Inflicts 333 - 555 divine damage on target',100,2,5),
(177543,107193,'If target is undead',100,3,6),
(177544,10107193,'Inflicts 133 - 222 divine damage on target',100,1,0),
(177545,10107193,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(177546,10107193,'Stuns target',100,2,2),
(177547,10107193,'Inflicts 700 - 1166 divine damage on target',100,2,3),
(177548,10107193,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(177549,35327,'Increases STA of target by 1.5',100,0,0),
(177550,35327,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(177551,181226,'When Equipped:',100,0,0),
(177552,181226,'Reduces resistibility of all spells by 5%.',100,1,1),
(177553,10181226,'When Equipped:',100,0,0),
(177554,10181226,'Reduces resistibility of all spells by 5%.',100,1,1),
(177555,181289,'When Equipped:',100,0,0),
(177556,181289,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(177557,10181289,'When Equipped:',100,0,0),
(177558,10181289,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(177559,115483,'Summons a pet nightshade',100,1,0),
(177560,10115483,'Summons a pet nightshade',100,1,0),
(177561,104955,'Inflicts 779 - 1299 melee damage on target',100,1,0),
(177562,104955,'Decreases Defense of target by 45.8',100,1,1),
(177563,104955,'Must be behind',100,1,2),
(177564,10104955,'Inflicts 935 - 1559 melee damage on target',100,1,0),
(177565,10104955,'Decreases Defense of target by 45.8',100,1,1),
(177566,10104955,'Must be behind',100,1,2),
(177567,80105,'When Equipped:',100,0,0),
(177568,80105,'On a combat hit this spell may cast Corrupted Grasp on target of attack.  Lasts for 2.0 seconds.  Triggers about 0.8 times per minute. ',100,1,1),
(177569,80105,'Slows target by 20.0%',100,2,2),
(177570,80105,'Does not affect Epic targets',100,2,3),
(177571,80105,'Cannot be modified except by direct means',100,2,4),
(177572,80105,'When Equipped:',100,0,5),
(177573,80105,'On a combat hit this spell may cast Fear III on target of attack.  Lasts for 2.0 seconds.  Triggers about 0.8 times per minute. ',100,1,6),
(177574,80105,'Makes target afraid',100,2,7),
(177575,80105,'Does not affect Epic targets',100,2,8),
(177576,80105,'Resistibility increases against targets higher than level 89.',100,2,9),
(177577,80105,'Cannot be modified except by direct means',100,2,10),
(177578,10080105,'When Equipped:',100,0,0),
(177579,10080105,'On a combat hit this spell may cast Corrupted Grasp on target of attack.  Lasts for 2.0 seconds.  Triggers about 0.8 times per minute. ',100,1,1),
(177580,10080105,'Slows target by 20.0%',100,2,2),
(177581,10080105,'Does not affect Epic targets',100,2,3),
(177582,10080105,'Cannot be modified except by direct means',100,2,4),
(177583,10080105,'When Equipped:',100,0,5),
(177584,10080105,'On a combat hit this spell may cast Fear III on target of attack.  Lasts for 2.0 seconds.  Triggers about 0.8 times per minute. ',100,1,6),
(177585,10080105,'Makes target afraid',100,2,7),
(177586,10080105,'Does not affect Epic targets',100,2,8),
(177587,10080105,'Resistibility increases against targets higher than level 89.',100,2,9),
(177588,10080105,'Cannot be modified except by direct means',100,2,10),
(177589,156950,'When Equipped:',100,0,0),
(177590,156950,'When a combat art is used this spell has a 7% chance to cast Strife of the Codex on target of combat art.  ',100,1,1),
(177591,156950,'Increases Threat to target by 305 ',100,2,2),
(177592,156950,'Cannot be modified except by direct means',100,2,3),
(177593,10156950,'When Equipped:',100,0,0),
(177594,10156950,'When a combat art is used this spell has a 7% chance to cast Strife of the Codex on target of combat art.  ',100,1,1),
(177595,10156950,'Forces target to change their selected target to caster.',100,2,2),
(177596,10156950,'Cannot be modified except by direct means',100,2,3),
(177597,80292,'When Equipped:',100,0,0),
(177598,80292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177599,80292,'Inflicts 53 - 98 magic damage on target',100,2,2),
(177600,80292,'Cannot be modified except by direct means',100,2,3),
(177601,10080292,'When Equipped:',100,0,0),
(177602,10080292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177603,10080292,'Inflicts 64 - 118 magic damage on target',100,2,2),
(177604,10080292,'Cannot be modified except by direct means',100,2,3),
(177605,135900,'When Equipped:',100,0,0),
(177606,135900,'This effect will not stack with itself.',100,1,1),
(177607,135900,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(177608,135900,'Inflicts 4049 - 4476 piercing damage on target encounter',100,2,3),
(177609,135900,'Heals group members (AE) for 4432 - 4899',100,2,4),
(177610,135900,'Must not be engaged in pvp combat',100,2,5),
(177611,135900,'Cannot be modified except by direct means',100,2,6),
(177612,135900,'Must not be engaged in pvp combat',100,1,7),
(177613,10135900,'When Equipped:',100,0,0),
(177614,10135900,'This effect will not stack with itself.',100,1,1),
(177615,10135900,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(177616,10135900,'Inflicts 4859 - 5371 piercing damage on target encounter',100,2,3),
(177617,10135900,'Heals group members (AE) for 5186 - 5732',100,2,4),
(177618,10135900,'Must not be engaged in pvp combat',100,2,5),
(177619,10135900,'Cannot be modified except by direct means',100,2,6),
(177620,10135900,'Must not be engaged in pvp combat',100,1,7),
(177621,108000,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(177622,108000,'Increases Mitigation of group members (AE) vs elemental damage by 523',100,1,1),
(177623,10108000,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(177624,10108000,'Increases Mitigation of group members (AE) vs elemental damage by 523',100,1,1),
(177625,106565,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(177626,106565,'Increases Parry of caster by 3.8',100,1,1),
(177627,10106565,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(177628,10106565,'Increases Parry of caster by 3.8',100,1,1),
(177629,107396,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(177630,107396,'Slows target by 43.6%',100,2,1),
(177631,107396,'5% chance to dispel when target receives hostile action',100,2,2),
(177632,107396,'5% chance to dispel when target takes damage',100,2,3),
(177633,107396,'Inflicts 468 - 779 disease damage on target',100,1,4),
(177634,10107396,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(177635,10107396,'Slows target by 43.6%',100,2,1),
(177636,10107396,'5% chance to dispel when target receives hostile action',100,2,2),
(177637,10107396,'5% chance to dispel when target takes damage',100,2,3),
(177638,10107396,'Inflicts 561 - 935 disease damage on target',100,1,4),
(177639,101658,'Decreases Attack Speed of target by 12.1',100,1,0),
(177640,101658,'Decreases Damage Per Second of target by 7.0',100,1,1),
(177641,10101658,'Decreases Attack Speed of target by 12.1',100,1,0),
(177642,10101658,'Decreases Damage Per Second of target by 7.0',100,1,1),
(177643,121248,'Inflicts 409 - 499 heat damage on target encounter',100,1,0),
(177644,10121248,'Inflicts 490 - 599 heat damage on target encounter',100,1,0),
(177645,24380,'Adds Froglok-Undead (Guardian) to your Dungeon Maker toolbox',100,0,0),
(177646,10024380,'Adds Froglok-Undead (Guardian) to your Dungeon Maker toolbox',100,0,0),
(177647,120470,'Inflicts 322 - 538 ranged damage on target',100,1,0),
(177648,120470,'Slows target by 71.0%',100,1,1),
(177649,120470,'10% chance to dispel when target receives hostile action',100,1,2),
(177650,120470,'Requires bow',100,1,3),
(177651,10120470,'Inflicts 251 - 419 ranged damage on target',100,1,0),
(177652,10120470,'Slows target by 71.0%',100,1,1),
(177653,10120470,'10% chance to dispel when target receives hostile action',100,1,2),
(177654,10120470,'Requires bow',100,1,3),
(177655,105355,'Summons a pet Dancing Satyr',100,1,0),
(177656,10105355,'Summons a pet Dancing Satyr',100,1,0),
(177657,35869,'Increases STR of target by 1.5',100,0,0),
(177658,35869,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(177659,138363,'Applies Heroic Resistance X when Equipped.',100,0,0),
(177660,138363,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(177661,138363,'Cannot be modified except by direct means',100,1,2),
(177662,138363,'When Equipped:',100,0,3),
(177663,138363,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(177664,138363,'Inflicts 1199 disease damage on target encounter',100,2,5),
(177665,138363,'Must not be engaged in pvp combat',100,2,6),
(177666,138363,'Cannot be modified except by direct means',100,2,7),
(177667,10138363,'Applies Heroic Resistance X when Equipped.',100,0,0),
(177668,10138363,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(177669,10138363,'Cannot be modified except by direct means',100,1,2),
(177670,10138363,'When Equipped:',100,0,3),
(177671,10138363,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(177672,10138363,'Inflicts 719 disease damage on target encounter',100,2,5),
(177673,10138363,'Must not be engaged in pvp combat',100,2,6),
(177674,10138363,'Cannot be modified except by direct means',100,2,7),
(177675,117291,'Inflicts 206 - 344 melee damage on target',100,1,0),
(177676,117291,'Decreases Damage Per Second of target by 10.2',100,1,1),
(177677,117291,'Decreases Attack Speed of target by 7.1',100,1,2),
(177678,10117291,'Inflicts 247 - 412 melee damage on target',100,1,0),
(177679,10117291,'Decreases Damage Per Second of target by 10.2',100,1,1),
(177680,10117291,'Decreases Attack Speed of target by 7.1',100,1,2),
(177681,144904,'When Equipped:',100,0,0),
(177682,144904,'This effect will not stack with any rank or tier of itself.',100,1,1),
(177683,144904,'Increases Multi Attack Chance of caster by 7.5',100,1,2),
(177684,144904,'Cannot be modified except by direct means',100,1,3),
(177685,10144904,'When Equipped:',100,0,0),
(177686,10144904,'This effect will not stack with any rank or tier of itself.',100,1,1),
(177687,10144904,'Increases Multi Attack Chance of caster by 7.5',100,1,2),
(177688,10144904,'Cannot be modified except by direct means',100,1,3),
(177689,146085,'When Equipped:',100,0,0),
(177690,146085,'On a combat hit this spell may cast Soultap on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177691,146085,'Inflicts 100 divine damage on target',100,2,2),
(177692,146085,'Heals caster for 100',100,2,3),
(177693,146085,'Cannot be modified except by direct means',100,2,4),
(177694,10146085,'When Equipped:',100,0,0),
(177695,10146085,'On a combat hit this spell may cast Soultap on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177696,10146085,'Inflicts 120 divine damage on target',100,2,2),
(177697,10146085,'Heals caster for 65',100,2,3),
(177698,10146085,'Cannot be modified except by direct means',100,2,4),
(177699,75571,'Applies Disease Blast when Activated.',100,0,0),
(177700,75571,'Inflicts 174 - 291 disease damage on target',100,1,1),
(177701,75571,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(177702,10075571,'Applies Disease Blast when Activated.',100,0,0),
(177703,10075571,'Inflicts 209 - 349 disease damage on target',100,1,1),
(177704,10075571,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(177705,113502,'Inflicts 170 - 284 melee damage on targets in area',100,1,0),
(177706,10113502,'Inflicts 204 - 341 melee damage on targets in area',100,1,0),
(177707,103863,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(177708,103863,'Slows target by 48.2%',100,2,1),
(177709,103863,'5% chance to dispel when target receives hostile action',100,2,2),
(177710,103863,'5% chance to dispel when target takes damage',100,2,3),
(177711,103863,'Decreases Mitigation of target vs noxious damage by 1224',100,1,4),
(177712,10103863,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(177713,10103863,'Slows target by 48.2%',100,2,1),
(177714,10103863,'5% chance to dispel when target receives hostile action',100,2,2),
(177715,10103863,'5% chance to dispel when target takes damage',100,2,3),
(177716,10103863,'Decreases Mitigation of target vs noxious damage by 1224',100,1,4),
(177717,116907,'Summons a limited pet to aid the caster',100,1,0),
(177718,10116907,'Summons a limited pet to aid the caster',100,1,0),
(177719,87954,'When Equipped:',100,0,0),
(177720,87954,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(177721,87954,'Inflicts 14 - 17 poison damage on target',100,2,2),
(177722,87954,'Inflicts 2 - 3 poison damage on target every 4 seconds',100,2,3),
(177723,87954,'Cannot be modified except by direct means',100,2,4),
(177724,10087954,'When Equipped:',100,0,0),
(177725,10087954,'On a combat hit this spell may cast Toxic Sting on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(177726,10087954,'Inflicts 16 - 20 poison damage on target',100,2,2),
(177727,10087954,'Inflicts 3 poison damage on target every 4 seconds',100,2,3),
(177728,10087954,'Cannot be modified except by direct means',100,2,4),
(177729,36529,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(177730,36529,'This effect suspends during combat',100,0,1),
(177731,47645,'Applies Aura of Holy Water when Activated.  Lasts for 10 minutes 3 seconds.',100,0,0),
(177732,47645,'Grants Fish Vision to caster',100,1,1),
(177733,47645,'Allows caster to breathe under water',100,1,2),
(177734,47645,'On a combat hit this spell may cast Holy Might on target of attack.  Triggers about 1.8 times per minute. ',100,1,3),
(177735,47645,'Inflicts 77 - 128 divine damage on target',100,2,4),
(177736,47645,'Cannot be modified except by direct means',100,2,5),
(177737,10047645,'Applies Aura of Holy Water when Activated.  Lasts for 10 minutes 3 seconds.',100,0,0),
(177738,10047645,'Grants Fish Vision to caster',100,1,1),
(177739,10047645,'Allows caster to breathe under water',100,1,2),
(177740,10047645,'On a combat hit this spell may cast Holy Might on target of attack.  Triggers about 1.8 times per minute. ',100,1,3),
(177741,10047645,'Inflicts 92 - 154 divine damage on target',100,2,4),
(177742,10047645,'Cannot be modified except by direct means',100,2,5),
(177743,35348,'Increases STA of target by 1.5',100,0,0),
(177744,35348,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(177745,116806,'Increases STR, AGI, WIS and INT of target by 103.8',100,1,0),
(177746,116806,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(177747,116806,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(177748,116806,'Increases Damage Per Second of target by 65.1',100,2,3),
(177749,116806,'Increases Attack Speed of target by 65.1',100,2,4),
(177750,116806,'Adds 2.6% to base avoidance.',100,1,5),
(177751,116806,'Increases Mitigation of target vs elemental, noxious and arcane damage by 305',100,1,6),
(177752,10116806,'Increases STR, AGI, WIS and INT of target by 103.8',100,1,0),
(177753,10116806,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(177754,10116806,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(177755,10116806,'Increases Damage Per Second of target by 65.1',100,2,3),
(177756,10116806,'Increases Attack Speed of target by 65.1',100,2,4),
(177757,10116806,'Adds 2.6% to base avoidance.',100,1,5),
(177758,10116806,'Increases Mitigation of target vs elemental, noxious and arcane damage by 305',100,1,6),
(177759,134770,'When Equipped:',100,0,0),
(177760,134770,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(177761,10134770,'When Equipped:',100,0,0),
(177762,10134770,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(177763,106924,'Inflicts 50 - 93 poison damage on target',100,1,0),
(177764,10106924,'Inflicts 60 - 112 poison damage on target',100,1,0),
(177765,185091,'When Equipped:',100,0,0),
(177766,185091,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177767,185091,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177768,185091,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(177769,185091,'Heals target for 1840',100,3,4),
(177770,185091,'Must not be engaged in pvp combat',100,3,5),
(177771,185091,'Cannot be modified except by direct means',100,3,6),
(177772,185091,'Grants a total of 5 triggers of the spell.',100,3,7),
(177773,185091,'Must not be engaged in pvp combat',100,2,8),
(177774,185091,'Cannot be modified except by direct means',100,2,9),
(177775,185091,'Cannot be modified except by direct means',100,1,10),
(177776,10185091,'When Equipped:',100,0,0),
(177777,10185091,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177778,10185091,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(177779,10185091,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(177780,10185091,'Heals target for 2153',100,3,4),
(177781,10185091,'Must not be engaged in pvp combat',100,3,5),
(177782,10185091,'Cannot be modified except by direct means',100,3,6),
(177783,10185091,'Grants a total of 5 triggers of the spell.',100,3,7),
(177784,10185091,'Must not be engaged in pvp combat',100,2,8),
(177785,10185091,'Cannot be modified except by direct means',100,2,9),
(177786,10185091,'Cannot be modified except by direct means',100,1,10),
(177787,81568,'When Equipped:',100,0,0),
(177788,81568,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177789,81568,'Decreases Threat to target by 376 ',100,2,2),
(177790,81568,'Must be flanking or behind',100,3,3),
(177791,81568,'Increases Threat to target by 381 ',100,2,4),
(177792,81568,'Must be in front of',100,3,5),
(177793,81568,'Inflicts 107 - 199 magic damage on target',100,2,6),
(177794,81568,'Cannot be modified except by direct means',100,2,7),
(177795,10081568,'When Equipped:',100,0,0),
(177796,10081568,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177797,10081568,'Inflicts 128 - 238 magic damage on target',100,2,2),
(177798,10081568,'Cannot be modified except by direct means',100,2,3),
(177799,101686,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(177800,101686,'Inflicts 137 - 167 disease damage on target',100,2,1),
(177801,101686,'Grants a total of 3 triggers of the spell.',100,2,2),
(177802,10101686,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(177803,10101686,'Inflicts 164 - 201 disease damage on target',100,2,1),
(177804,10101686,'Grants a total of 3 triggers of the spell.',100,2,2),
(177805,82195,'When Equipped:',100,0,0),
(177806,82195,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177807,82195,'Inflicts 28 - 51 magic damage on target',100,2,2),
(177808,82195,'Cannot be modified except by direct means',100,2,3),
(177809,10082195,'When Equipped:',100,0,0),
(177810,10082195,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177811,10082195,'Inflicts 33 - 61 magic damage on target',100,2,2),
(177812,10082195,'Cannot be modified except by direct means',100,2,3),
(177813,138763,'When Equipped:',100,0,0),
(177814,138763,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177815,138763,'Increases WIS, AGI, INT and STR of caster by 50.0',100,1,2),
(177816,138763,'Increases Potency of caster by 3.5%',100,1,3),
(177817,138763,'Cannot be modified except by direct means',100,1,4),
(177818,10138763,'When Equipped:',100,0,0),
(177819,10138763,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(177820,10138763,'Increases WIS, AGI, INT and STR of caster by 50.0',100,1,2),
(177821,10138763,'Increases Potency of caster by 3.5%',100,1,3),
(177822,10138763,'Cannot be modified except by direct means',100,1,4),
(177823,87680,'When Equipped:',100,0,0),
(177824,87680,'On a combat hit this spell may cast Ykesha''s Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177825,87680,'Inflicts 125 - 153 magic damage on target',100,2,2),
(177826,87680,'Cannot be modified except by direct means',100,2,3),
(177827,10087680,'When Equipped:',100,0,0),
(177828,10087680,'On a combat hit this spell may cast Ykesha''s Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177829,10087680,'Inflicts 150 - 184 magic damage on target',100,2,2),
(177830,10087680,'Cannot be modified except by direct means',100,2,3),
(177831,24405,'Adds Gnoll (Wizard) to your Dungeon Maker toolbox',100,0,0),
(177832,10024405,'Adds Gnoll (Wizard) to your Dungeon Maker toolbox',100,0,0),
(177833,81275,'When Equipped:',100,0,0),
(177834,81275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177835,81275,'Inflicts 201 - 373 magic damage on target',100,2,2),
(177836,81275,'Cannot be modified except by direct means',100,2,3),
(177837,10081275,'When Equipped:',100,0,0),
(177838,10081275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177839,10081275,'Inflicts 241 - 447 magic damage on target',100,2,2),
(177840,10081275,'Cannot be modified except by direct means',100,2,3),
(177841,113596,'Summons a limited pet to aid the caster',100,1,0),
(177842,10113596,'Summons a limited pet to aid the caster',100,1,0),
(177843,115267,'Heals target for 401',100,1,0),
(177844,115267,'Heals target for 67 every second',100,1,1),
(177845,115267,'Dispels 64 levels of any hostile effects on target',100,1,2),
(177846,10115267,'Heals target for 260',100,1,0),
(177847,10115267,'Heals target for 43 every second',100,1,1),
(177848,10115267,'Dispels 64 levels of any hostile effects on target',100,1,2),
(177849,113083,'Applies Scream on termination.',100,1,0),
(177850,113083,'Inflicts 491 - 818 disease damage on target',100,2,1),
(177851,113083,'Dazes target',100,1,2),
(177852,113083,'If Target is not Epic',100,2,3),
(177853,113083,'Resistibility increases against targets higher than level 113.',100,1,4),
(177854,10113083,'Dazes target',100,1,0),
(177855,10113083,'If Target is not Epic',100,2,1),
(177856,10113083,'Applies Scream on termination.',100,1,2),
(177857,10113083,'Inflicts 589 - 981 disease damage on target',100,2,3),
(177858,10113083,'Resistibility increases against targets higher than level 113.',100,1,4),
(177859,41511,'When Equipped:',100,0,0),
(177860,41511,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177861,41511,'Decreases Threat to target by 153 ',100,2,2),
(177862,41511,'Must be flanking or behind',100,3,3),
(177863,41511,'Increases Threat to target by 158 ',100,2,4),
(177864,41511,'Must be in front of',100,3,5),
(177865,41511,'Inflicts 45 - 84 magic damage on target',100,2,6),
(177866,41511,'Cannot be modified except by direct means',100,2,7),
(177867,10041511,'When Equipped:',100,0,0),
(177868,10041511,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177869,10041511,'Inflicts 54 - 100 magic damage on target',100,2,2),
(177870,10041511,'Cannot be modified except by direct means',100,2,3),
(177871,120988,'Inflicts 28 - 46 poison damage on target',100,1,0),
(177872,120988,'Inflicts 7 - 12 poison damage on target instantly and every 4 seconds',100,1,1),
(177873,10120988,'Inflicts 33 - 56 poison damage on target',100,1,0),
(177874,10120988,'Inflicts 8 - 14 poison damage on target instantly and every 4 seconds',100,1,1),
(177875,159568,'Applies Lambent Imbued when Equipped.',100,0,0),
(177876,159568,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(177877,159568,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(177878,159568,'Cannot be modified except by direct means',100,2,3),
(177879,10159568,'Applies Lambent Imbued when Equipped.',100,0,0),
(177880,10159568,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(177881,10159568,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(177882,10159568,'Cannot be modified except by direct means',100,2,3),
(177883,106360,'Decreases Mitigation of target vs arcane damage by 1122',100,1,0),
(177884,106360,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(177885,106360,'Slows target by 44.2%',100,2,2),
(177886,106360,'5% chance to dispel when target receives hostile action',100,2,3),
(177887,106360,'5% chance to dispel when target takes damage',100,2,4),
(177888,10106360,'Decreases Mitigation of target vs arcane damage by 1122',100,1,0),
(177889,10106360,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(177890,10106360,'Slows target by 44.2%',100,2,2),
(177891,10106360,'5% chance to dispel when target receives hostile action',100,2,3),
(177892,10106360,'5% chance to dispel when target takes damage',100,2,4),
(177893,102345,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(177894,102345,'Increases Damage Per Second of target by 10.9',100,2,1),
(177895,102345,'Increases Attack Speed of target by 10.9',100,2,2),
(177896,102345,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(177897,102345,'Increases Damage Per Second of target by 10.9',100,2,4),
(177898,102345,'Increases Attack Speed of target by 10.9',100,2,5),
(177899,102345,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(177900,102345,'Increases Damage Per Second of target by 10.9',100,2,7),
(177901,102345,'Increases Attack Speed of target by 10.9',100,2,8),
(177902,10102345,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(177903,10102345,'Increases Damage Per Second of target by 10.9',100,2,1),
(177904,10102345,'Increases Attack Speed of target by 10.9',100,2,2),
(177905,10102345,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(177906,10102345,'Increases Damage Per Second of target by 10.9',100,2,4),
(177907,10102345,'Increases Attack Speed of target by 10.9',100,2,5),
(177908,10102345,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(177909,10102345,'Increases Damage Per Second of target by 10.9',100,2,7),
(177910,10102345,'Increases Attack Speed of target by 10.9',100,2,8),
(177911,113068,'Applies Scream on termination.',100,1,0),
(177912,113068,'Inflicts 235 - 392 disease damage on target',100,2,1),
(177913,113068,'Dazes target',100,1,2),
(177914,113068,'If Target is not Epic',100,2,3),
(177915,113068,'Resistibility increases against targets higher than level 77.',100,1,4),
(177916,10113068,'Dazes target',100,1,0),
(177917,10113068,'If Target is not Epic',100,2,1),
(177918,10113068,'Applies Scream on termination.',100,1,2),
(177919,10113068,'Inflicts 282 - 470 disease damage on target',100,2,3),
(177920,10113068,'Resistibility increases against targets higher than level 77.',100,1,4),
(177921,121770,'Heals target for 58 - 71',100,1,0),
(177922,121770,'Heals target for 10 - 12 every second',100,1,1),
(177923,10121770,'Heals target for 100 - 122',100,1,0),
(177924,10121770,'Heals target for 8 - 10 every second',100,1,1),
(177925,80644,'When Equipped:',100,0,0),
(177926,80644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177927,80644,'Inflicts 48 - 89 magic damage on target',100,2,2),
(177928,80644,'Cannot be modified except by direct means',100,2,3),
(177929,10080644,'When Equipped:',100,0,0),
(177930,10080644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(177931,10080644,'Inflicts 57 - 106 magic damage on target',100,2,2),
(177932,10080644,'Cannot be modified except by direct means',100,2,3),
(177933,176330,'When Equipped:',100,0,0),
(177934,176330,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(177935,176330,'Inflicts 2648 disease damage on target encounter',100,2,2),
(177936,176330,'Must not be engaged in pvp combat',100,2,3),
(177937,176330,'Cannot be modified except by direct means',100,2,4),
(177938,10176330,'When Equipped:',100,0,0),
(177939,10176330,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(177940,10176330,'Inflicts 1589 disease damage on target encounter',100,2,2),
(177941,10176330,'Must not be engaged in pvp combat',100,2,3),
(177942,10176330,'Cannot be modified except by direct means',100,2,4),
(177943,82801,'When Equipped:',100,0,0),
(177944,82801,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177945,82801,'Decreases Threat to target by 1,174 ',100,2,2),
(177946,82801,'Must be flanking or behind',100,3,3),
(177947,82801,'Increases Threat to target by 1,179 ',100,2,4),
(177948,82801,'Must be in front of',100,3,5),
(177949,82801,'Inflicts 233 - 434 magic damage on target',100,2,6),
(177950,82801,'Cannot be modified except by direct means',100,2,7),
(177951,10082801,'When Equipped:',100,0,0),
(177952,10082801,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(177953,10082801,'Inflicts 280 - 520 magic damage on target',100,2,2),
(177954,10082801,'Cannot be modified except by direct means',100,2,3),
(177955,52779,'Applies Sanguine Imbued when Equipped.',100,0,0),
(177956,52779,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(177957,52779,'Inflicts 103 heat damage on target',100,2,2),
(177958,52779,'Cannot be modified except by direct means',100,2,3),
(177959,10052779,'Applies Sanguine Imbued when Equipped.',100,0,0),
(177960,10052779,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(177961,10052779,'Inflicts 124 heat damage on target',100,2,2),
(177962,10052779,'Cannot be modified except by direct means',100,2,3),
(177963,181768,'Applies Heroic Resistance X when Equipped.',100,0,0),
(177964,181768,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(177965,181768,'Cannot be modified except by direct means',100,1,2),
(177966,181768,'When Equipped:',100,0,3),
(177967,181768,'Reduces physical damage done to target by 5%',100,1,4),
(177968,10181768,'Applies Heroic Resistance X when Equipped.',100,0,0),
(177969,10181768,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(177970,10181768,'Cannot be modified except by direct means',100,1,2),
(177971,10181768,'When Equipped:',100,0,3),
(177972,10181768,'Reduces physical damage done to target by 5%',100,1,4),
(177973,48381,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(177974,48381,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(177975,48381,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(177976,10048381,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(177977,10048381,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(177978,10048381,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(177979,103928,'Wards group members (AE) collectively against 1598 total points of all damage',100,1,0),
(177980,10103928,'Wards group members (AE) collectively against 2380 total points of all damage',100,1,0),
(177981,107789,'Increases Threat to target encounter by 157 - 190 ',100,1,0),
(177982,10107789,'Forces target encounter to change their selected target to caster.',100,1,0),
(177983,10107789,'Prevents target encounter from changing targets',100,1,1),
(177984,27252,'When Equipped:',100,0,0),
(177985,27252,'Increases all divine damage by up to 50.',100,1,1),
(177986,10027252,'When Equipped:',100,0,0),
(177987,10027252,'Increases all divine damage by up to 50.',100,1,1),
(177988,72331,'When Equipped:',100,0,0),
(177989,72331,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(177990,72331,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(177991,72331,'Cannot be modified except by direct means',100,2,3),
(177992,10072331,'When Equipped:',100,0,0),
(177993,10072331,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(177994,10072331,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(177995,10072331,'Cannot be modified except by direct means',100,2,3),
(177996,115751,'Inflicts 13 - 23 melee damage on target',100,1,0),
(177997,10115751,'Inflicts 16 - 27 melee damage on target',100,1,0),
(177998,45905,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(177999,45905,'Increases INT of caster by 60.5',100,1,1),
(178000,10045905,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(178001,10045905,'Increases INT of caster by 60.5',100,1,1),
(178002,24699,'Adds Slug (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(178003,10024699,'Adds Slug (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(178004,104775,'Inflicts 13 disease damage on target instantly and every 4 seconds',100,1,0),
(178005,104775,'Inflicts 13 disease damage on target instantly and every 4 seconds',100,1,1),
(178006,104775,'If target is nightblood',100,2,2),
(178007,104775,'Inflicts 13 disease damage on target instantly and every 4 seconds',100,1,3),
(178008,104775,'If target is shadowed folk',100,2,4),
(178009,10104775,'Inflicts 15 disease damage on target instantly and every 4 seconds',100,1,0),
(178010,10104775,'Inflicts 15 disease damage on target instantly and every 4 seconds',100,1,1),
(178011,10104775,'If target is nightblood',100,2,2),
(178012,10104775,'Inflicts 15 disease damage on target instantly and every 4 seconds',100,1,3),
(178013,10104775,'If target is shadowed folk',100,2,4),
(178014,52890,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(178015,52890,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(178016,52890,'Inflicts 77 heat damage on target',100,2,2),
(178017,52890,'Cannot be modified except by direct means',100,2,3),
(178018,10052890,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(178019,10052890,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(178020,10052890,'Inflicts 93 heat damage on target',100,2,2),
(178021,10052890,'Cannot be modified except by direct means',100,2,3),
(178022,107587,'Dazes target encounter',100,1,0),
(178023,107587,'Inflicts 274 - 335 mental damage on target encounter',100,1,1),
(178024,107587,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(178025,107587,'Resistibility increases against targets higher than level 82.',100,1,3),
(178026,10107587,'Dazes target encounter',100,1,0),
(178027,10107587,'Inflicts 329 - 402 mental damage on target encounter',100,1,1),
(178028,10107587,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(178029,10107587,'Resistibility increases against targets higher than level 82.',100,1,3),
(178030,80303,'When Equipped:',100,0,0),
(178031,80303,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178032,80303,'Inflicts 48 - 89 magic damage on target',100,2,2),
(178033,80303,'Cannot be modified except by direct means',100,2,3),
(178034,10080303,'When Equipped:',100,0,0),
(178035,10080303,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178036,10080303,'Inflicts 57 - 106 magic damage on target',100,2,2),
(178037,10080303,'Cannot be modified except by direct means',100,2,3),
(178038,177551,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(178039,177551,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(178040,177551,'Inflicts 90 heat damage on target',100,2,2),
(178041,177551,'Cannot be modified except by direct means',100,2,3),
(178042,10177551,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(178043,10177551,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(178044,10177551,'Inflicts 109 heat damage on target',100,2,2),
(178045,10177551,'Cannot be modified except by direct means',100,2,3),
(178046,100464,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(178047,100464,'Decreases Threat to target by 40 ',100,2,1),
(178048,100464,'If not fighter',100,2,2),
(178049,100464,'Decreases Hate Gain of group members (AE) by 19.0%',100,1,3),
(178050,100464,'If not fighter',100,2,4),
(178051,10100464,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(178052,10100464,'If not fighter',100,2,1),
(178053,10100464,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(178054,10100464,'Inflicts 23 - 25 crushing damage on target',100,2,3),
(178055,10100464,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(178056,10100464,'If not fighter',100,2,5),
(178057,10100464,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(178058,10100464,'If not fighter',100,2,7),
(178059,10100464,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(178060,10100464,'If not fighter',100,2,9),
(178061,108355,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(178062,108355,'Increases Mitigation of group members (AE) vs arcane damage by 413',100,1,1),
(178063,10108355,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(178064,10108355,'Increases Mitigation of group members (AE) vs arcane damage by 413',100,1,1),
(178065,82930,'When Equipped:',100,0,0),
(178066,82930,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178067,82930,'Inflicts 201 - 374 magic damage on target',100,2,2),
(178068,82930,'Cannot be modified except by direct means',100,2,3),
(178069,10082930,'When Equipped:',100,0,0),
(178070,10082930,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178071,10082930,'Inflicts 242 - 449 magic damage on target',100,2,2),
(178072,10082930,'Cannot be modified except by direct means',100,2,3),
(178073,26108,'When Equipped:',100,0,0),
(178074,26108,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(178075,26108,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(178076,10026108,'When Equipped:',100,0,0),
(178077,10026108,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(178078,10026108,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(178079,115807,'Inflicts 2 disease damage on target every 3 seconds',100,1,0),
(178080,115807,'Inflicts 8 - 14 melee damage on target',100,1,1),
(178081,115807,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(178082,115807,'Heals caster for 8 instantly and every 3 seconds',100,2,3),
(178083,115807,'This effect cannot be critically applied.',100,3,4),
(178084,115807,'The healing of this spell cannot be modified except by direct means',100,2,5),
(178085,115807,'The healing of this spell cannot be modified except by direct means',100,1,6),
(178086,10115807,'Inflicts 3 disease damage on target every 3 seconds',100,1,0),
(178087,10115807,'Inflicts 10 - 17 melee damage on target',100,1,1),
(178088,10115807,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(178089,10115807,'Heals caster for 2 instantly and every 3 seconds',100,2,3),
(178090,10115807,'This effect cannot be critically applied.',100,3,4),
(178091,10115807,'The healing of this spell cannot be modified except by direct means',100,2,5),
(178092,10115807,'The healing of this spell cannot be modified except by direct means',100,1,6),
(178093,35586,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(178094,111464,'Decreases Attack Speed of caster by 18.9',100,1,0),
(178095,111464,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(178096,111464,'Roots target',100,2,2),
(178097,111464,'5% chance to dispel when target takes damage',100,2,3),
(178098,111464,'5% chance to dispel when target receives hostile action',100,2,4),
(178099,111464,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(178100,111464,'Increases Mitigation of caster vs physical damage by 1364',100,1,6),
(178101,10111464,'Decreases Attack Speed of caster by 18.9',100,1,0),
(178102,10111464,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(178103,10111464,'Roots target',100,2,2),
(178104,10111464,'5% chance to dispel when target takes damage',100,2,3),
(178105,10111464,'5% chance to dispel when target receives hostile action',100,2,4),
(178106,10111464,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(178107,10111464,'Increases Mitigation of caster vs physical damage by 1364',100,1,6),
(178108,104962,'Inflicts 1079 - 1798 melee damage on target',100,1,0),
(178109,104962,'Decreases Defense of target by 61.9',100,1,1),
(178110,104962,'Must be behind',100,1,2),
(178111,10104962,'Inflicts 1294 - 2158 melee damage on target',100,1,0),
(178112,10104962,'Decreases Defense of target by 61.9',100,1,1),
(178113,10104962,'Must be behind',100,1,2),
(178114,24393,'Adds Genie (Dirge) to your Dungeon Maker toolbox',100,0,0),
(178115,10024393,'Adds Genie (Dirge) to your Dungeon Maker toolbox',100,0,0),
(178116,117110,'Mesmerizes target encounter',100,1,0),
(178117,117110,'Prevents AOE (except when direct) ',100,1,1),
(178118,117110,'Dispelled when target takes damage',100,1,2),
(178119,117110,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(178120,117110,'Resistibility increases against targets higher than level 96.',100,1,4),
(178121,10117110,'Mesmerizes target encounter',100,1,0),
(178122,10117110,'Prevents AOE (except when direct) ',100,1,1),
(178123,10117110,'Dispelled when target takes damage',100,1,2),
(178124,10117110,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(178125,10117110,'Resistibility increases against targets higher than level 96.',100,1,4),
(178126,116247,'Summons a pet Illusion Ally',100,1,0),
(178127,10116247,'Summons a pet Illusion Ally',100,1,0),
(178128,80668,'When Equipped:',100,0,0),
(178129,80668,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178130,80668,'Decreases Threat to target by 236 ',100,2,2),
(178131,80668,'Must be flanking or behind',100,3,3),
(178132,80668,'Increases Threat to target by 241 ',100,2,4),
(178133,80668,'Must be in front of',100,3,5),
(178134,80668,'Inflicts 53 - 98 magic damage on target',100,2,6),
(178135,80668,'Cannot be modified except by direct means',100,2,7),
(178136,10080668,'When Equipped:',100,0,0),
(178137,10080668,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178138,10080668,'Inflicts 64 - 118 magic damage on target',100,2,2),
(178139,10080668,'Cannot be modified except by direct means',100,2,3),
(178140,137393,'When Equipped:',100,0,0),
(178141,137393,'Increases Attack Speed of caster by 40.0',100,1,1),
(178142,10137393,'When Equipped:',100,0,0),
(178143,10137393,'Increases Attack Speed of caster by 40.0',100,1,1),
(178144,82742,'When Equipped:',100,0,0),
(178145,82742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178146,82742,'Inflicts 105 - 195 magic damage on target',100,2,2),
(178147,82742,'Cannot be modified except by direct means',100,2,3),
(178148,10082742,'When Equipped:',100,0,0),
(178149,10082742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178150,10082742,'Inflicts 126 - 234 magic damage on target',100,2,2),
(178151,10082742,'Cannot be modified except by direct means',100,2,3),
(178152,72011,'When Equipped:',100,0,0),
(178153,72011,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178154,72011,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(178155,72011,'Cannot be modified except by direct means',100,2,3),
(178156,10072011,'When Equipped:',100,0,0),
(178157,10072011,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178158,10072011,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(178159,10072011,'Cannot be modified except by direct means',100,2,3),
(178160,105361,'Increases STA of group members (AE) by 24.5',100,1,0),
(178161,105361,'Increases Mitigation of group members (AE) vs physical damage by 233',100,1,1),
(178162,10105361,'Increases STA of group members (AE) by 24.5',100,1,0),
(178163,10105361,'Increases Mitigation of group members (AE) vs physical damage by 233',100,1,1),
(178164,106321,'Decreases INT and STR of target by 42.0',100,1,0),
(178165,10106321,'Decreases INT and STR of target by 42.0',100,1,0),
(178166,191695,'When Equipped:',100,0,0),
(178167,191695,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(178168,10191695,'When Equipped:',100,0,0),
(178169,10191695,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(178170,112380,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.2',100,1,0),
(178171,112380,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(178172,112380,'Inflicts 108 - 132 piercing damage on target',100,2,2),
(178173,112380,'Inflicts 54 - 66 piercing damage on target every 3 seconds',100,2,3),
(178174,10112380,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.2',100,1,0),
(178175,10112380,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(178176,10112380,'Inflicts 129 - 158 piercing damage on target',100,2,2),
(178177,10112380,'Inflicts 65 - 79 piercing damage on target every 3 seconds',100,2,3),
(178178,82861,'When Equipped:',100,0,0),
(178179,82861,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178180,82861,'Decreases Threat to target by 833 ',100,2,2),
(178181,82861,'Must be flanking or behind',100,3,3),
(178182,82861,'Increases Threat to target by 838 ',100,2,4),
(178183,82861,'Must be in front of',100,3,5),
(178184,82861,'Inflicts 224 - 416 magic damage on target',100,2,6),
(178185,82861,'Cannot be modified except by direct means',100,2,7),
(178186,10082861,'When Equipped:',100,0,0),
(178187,10082861,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178188,10082861,'Inflicts 269 - 499 magic damage on target',100,2,2),
(178189,10082861,'Cannot be modified except by direct means',100,2,3),
(178190,113428,'Reduces physical damage done to caster by 5%',100,1,0),
(178191,113428,'Increases STA of caster by 183.0',100,1,1),
(178192,113428,'Adds 5.0% to base avoidance.',100,1,2),
(178193,113428,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(178194,113428,'Increases Defense and Aggression of caster by 34.9',100,1,4),
(178195,113428,'Increases Mitigation of caster vs noxious damage by 2419',100,1,5),
(178196,113428,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(178197,10113428,'Reduces physical damage done to caster by 5%',100,1,0),
(178198,10113428,'Increases STA of caster by 183.0',100,1,1),
(178199,10113428,'Adds 5.0% to base avoidance.',100,1,2),
(178200,10113428,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(178201,10113428,'Increases Defense and Aggression of caster by 34.9',100,1,4),
(178202,10113428,'Increases Mitigation of caster vs noxious damage by 2419',100,1,5),
(178203,10113428,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(178204,123335,'Increases STA of raid and group members (AE) by 59.1',100,1,0),
(178205,123335,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(178206,10123335,'Increases STA of raid and group members (AE) by 59.1',100,1,0),
(178207,10123335,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(178208,47282,'Applies Refreshing Elixir  when Activated.',100,0,0),
(178209,47282,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(178210,10047282,'Applies Refreshing Elixir  when Activated.',100,0,0),
(178211,10047282,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(178212,135915,'When Equipped:',100,0,0),
(178213,135915,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(178214,135915,'Inflicts 1986 heat damage on target',100,2,2),
(178215,135915,'Cannot be modified except by direct means',100,2,3),
(178216,10135915,'When Equipped:',100,0,0),
(178217,10135915,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(178218,10135915,'Inflicts 1192 heat damage on target',100,2,2),
(178219,10135915,'Cannot be modified except by direct means',100,2,3),
(178220,47840,'Applies Extract when Activated.',100,0,0),
(178221,10047840,'Applies Extract when Activated.',100,0,0),
(178222,120646,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.8',100,1,0),
(178223,120646,'Increases Focus of group members (AE) by 9.7',100,1,1),
(178224,10120646,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.8',100,1,0),
(178225,10120646,'Increases Focus of group members (AE) by 9.7',100,1,1),
(178226,37153,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(178227,103246,'Reduces physical damage done to caster by 5%',100,1,0),
(178228,103246,'Adds 1.8% to base avoidance.',100,1,1),
(178229,103246,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(178230,103246,'Increases Parry of caster by 26.2',100,1,3),
(178231,103246,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(178232,103246,'Increases Aggression of caster by 19.6',100,1,5),
(178233,103246,'Increases Defense and Deflection of caster by 26.2',100,1,6),
(178234,103246,'Increases Mitigation of caster vs noxious damage by 1814',100,1,7),
(178235,103246,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(178236,10103246,'Reduces physical damage done to caster by 5%',100,1,0),
(178237,10103246,'Adds 1.8% to base avoidance.',100,1,1),
(178238,10103246,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(178239,10103246,'Increases Parry of caster by 26.2',100,1,3),
(178240,10103246,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(178241,10103246,'Increases Aggression of caster by 19.6',100,1,5),
(178242,10103246,'Increases Defense and Deflection of caster by 26.2',100,1,6),
(178243,10103246,'Increases Mitigation of caster vs noxious damage by 1814',100,1,7),
(178244,10103246,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(178245,171749,'When Equipped:',100,0,0),
(178246,171749,'On a critical healing spell cast this spell may cast Shared Vigor III on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(178247,171749,'Increases Potency of target by 3.0%',100,2,2),
(178248,171749,'Increases Potency of caster by 3.0%',100,2,3),
(178249,171749,'Must not be engaged in pvp combat',100,2,4),
(178250,171749,'Cannot be modified except by direct means',100,2,5),
(178251,171749,'Must not be engaged in pvp combat',100,1,6),
(178252,10171749,'When Equipped:',100,0,0),
(178253,10171749,'On a critical healing spell cast this spell may cast Shared Vigor III on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(178254,10171749,'Increases Potency of target by 3.0%',100,2,2),
(178255,10171749,'Increases Potency of caster by 3.0%',100,2,3),
(178256,10171749,'Must not be engaged in pvp combat',100,2,4),
(178257,10171749,'Cannot be modified except by direct means',100,2,5),
(178258,10171749,'Must not be engaged in pvp combat',100,1,6),
(178259,52916,'Applies Sanguine Imbued when Equipped.',100,0,0),
(178260,52916,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(178261,52916,'Inflicts 75 heat damage on target',100,2,2),
(178262,52916,'Cannot be modified except by direct means',100,2,3),
(178263,10052916,'Applies Sanguine Imbued when Equipped.',100,0,0),
(178264,10052916,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(178265,10052916,'Inflicts 90 heat damage on target',100,2,2),
(178266,10052916,'Cannot be modified except by direct means',100,2,3),
(178267,118080,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(178268,118080,'Increases Defense of caster by 9.0',100,1,1),
(178269,10118080,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(178270,10118080,'Increases Defense of caster by 9.0',100,1,1),
(178271,101481,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(178272,101481,'Increases Mitigation of group members (AE) vs arcane damage by 627',100,1,1),
(178273,10101481,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(178274,10101481,'Increases Mitigation of group members (AE) vs arcane damage by 627',100,1,1),
(178275,108799,'Inflicts 179 - 332 heat damage on targets in Area of Effect',100,1,0),
(178276,10108799,'Inflicts 215 - 399 heat damage on targets in Area of Effect',100,1,0),
(178277,191059,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(178278,191059,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(178279,191059,'Cannot be modified except by direct means',100,1,2),
(178280,10191059,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(178281,10191059,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(178282,10191059,'Cannot be modified except by direct means',100,1,2),
(178283,81884,'When Equipped:',100,0,0),
(178284,81884,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178285,81884,'Decreases Threat to target by 487 ',100,2,2),
(178286,81884,'Must be flanking or behind',100,3,3),
(178287,81884,'Increases Threat to target by 492 ',100,2,4),
(178288,81884,'Must be in front of',100,3,5),
(178289,81884,'Inflicts 105 - 195 magic damage on target',100,2,6),
(178290,81884,'Cannot be modified except by direct means',100,2,7),
(178291,10081884,'When Equipped:',100,0,0),
(178292,10081884,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178293,10081884,'Inflicts 126 - 234 magic damage on target',100,2,2),
(178294,10081884,'Cannot be modified except by direct means',100,2,3),
(178295,71526,'When Equipped:',100,0,0),
(178296,71526,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178297,71526,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(178298,71526,'Cannot be modified except by direct means',100,2,3),
(178299,10071526,'When Equipped:',100,0,0),
(178300,10071526,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178301,10071526,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(178302,10071526,'Cannot be modified except by direct means',100,2,3),
(178303,112316,'Inflicts 150 - 184 disease damage on target',100,1,0),
(178304,112316,'Inflicts 75 - 92 disease damage on target every 3 seconds',100,1,1),
(178305,112316,'Increases Threat to target by 1,484 - 1,813  instantly and by 283 - 344  every 3 seconds thereafter',100,1,2),
(178306,10112316,'Inflicts 90 - 110 disease damage on target every 3 seconds',100,1,0),
(178307,10112316,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(178308,142864,'When Equipped:',100,0,0),
(178309,142864,'Reduces power cost of all spells by 5 percent.',100,1,1),
(178310,10142864,'When Equipped:',100,0,0),
(178311,10142864,'Reduces power cost of all spells by 5 percent.',100,1,1),
(178312,154849,'When Equipped:',100,0,0),
(178313,154849,'On any combat or spell hit this spell may cast Misguided Crown on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(178314,154849,'Decreases Mitigation of target vs all damage by 2232',100,2,2),
(178315,154849,'Must not be engaged in pvp combat',100,2,3),
(178316,154849,'Cannot be modified except by direct means',100,2,4),
(178317,10154849,'When Equipped:',100,0,0),
(178318,10154849,'On any combat or spell hit this spell may cast Misguided Crown on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(178319,10154849,'Decreases Mitigation of target vs all damage by 2232',100,2,2),
(178320,10154849,'Must not be engaged in pvp combat',100,2,3),
(178321,10154849,'Cannot be modified except by direct means',100,2,4),
(178322,159279,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(178323,159279,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(178324,159279,'Inflicts 60 heat damage on target',100,2,2),
(178325,159279,'Cannot be modified except by direct means',100,2,3),
(178326,10159279,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(178327,10159279,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(178328,10159279,'Inflicts 72 heat damage on target',100,2,2),
(178329,10159279,'Cannot be modified except by direct means',100,2,3),
(178330,48094,'Applies Draw upon Essence when Activated.',100,0,0),
(178331,48094,'Increases power of caster by 5',100,1,1),
(178332,48094,'Requires 15 Health to cast.',100,1,2),
(178333,10048094,'Applies Draw upon Essence when Activated.',100,0,0),
(178334,10048094,'Increases power of caster by 5',100,1,1),
(178335,10048094,'Requires 15 Health to cast.',100,1,2),
(178336,100073,'Increases the amount of durability gained by 20.0.',100,1,0),
(178337,10100073,'Increases the amount of durability gained by 20.0.',100,1,0),
(178338,103453,'Blurs vision of target encounter',100,1,0),
(178339,103453,'13% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(178340,103453,'Stuns target',100,2,2),
(178341,103453,'Blurs vision of target',100,2,3),
(178342,103453,'Throws target back',100,2,4),
(178343,103453,'Does not affect Epic targets',100,2,5),
(178344,103453,'Interrupts target encounter',100,1,6),
(178345,10103453,'Interrupts target encounter',100,1,0),
(178346,10103453,'Blurs vision of target encounter',100,1,1),
(178347,10103453,'13% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(178348,10103453,'Stuns target',100,2,3),
(178349,10103453,'Blurs vision of target',100,2,4),
(178350,10103453,'Throws target back',100,2,5),
(178351,10103453,'Does not affect Epic targets',100,2,6),
(178352,35761,'Increases WIS of target by 1.1',100,0,0),
(178353,35761,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(178354,36097,'Increases STA and WIS of target by 5.9',100,0,0),
(178355,36097,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,1),
(178356,36097,'Increases outgoing heal and ward amount by 3%',100,0,2),
(178357,116919,'Summons a limited pet to aid the caster',100,1,0),
(178358,10116919,'Summons a limited pet to aid the caster',100,1,0),
(178359,36979,'Increases Max Power of target by 3.3',100,0,0),
(178360,36979,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(178361,24386,'Adds Froglok-Undead (Warlock) to your Dungeon Maker toolbox',100,0,0),
(178362,10024386,'Adds Froglok-Undead (Warlock) to your Dungeon Maker toolbox',100,0,0),
(178363,35990,'Increases STA of target by 1.5',100,0,0),
(178364,35990,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(178365,25748,'When Equipped:',100,0,0),
(178366,25748,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(178367,25748,'Adds an additional trigger to Repentance VI.',100,1,2),
(178368,10025748,'When Equipped:',100,0,0),
(178369,10025748,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(178370,10025748,'Adds an additional trigger to Repentance VI.',100,1,2),
(178371,120448,'Inflicts 251 - 419 melee damage on target',100,1,0),
(178372,120448,'Inflicts 251 - 419 melee damage on target',100,1,1),
(178373,10120448,'Inflicts 302 - 503 melee damage on target',100,1,0),
(178374,10120448,'Inflicts 302 - 503 melee damage on target',100,1,1),
(178375,80417,'When Equipped:',100,0,0),
(178376,80417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178377,80417,'Inflicts 45 - 84 magic damage on target',100,2,2),
(178378,80417,'Cannot be modified except by direct means',100,2,3),
(178379,10080417,'When Equipped:',100,0,0),
(178380,10080417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178381,10080417,'Inflicts 54 - 100 magic damage on target',100,2,2),
(178382,10080417,'Cannot be modified except by direct means',100,2,3),
(178383,81288,'When Equipped:',100,0,0),
(178384,81288,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178385,81288,'Decreases Threat to target by 949 ',100,2,2),
(178386,81288,'Must be flanking or behind',100,3,3),
(178387,81288,'Increases Threat to target by 954 ',100,2,4),
(178388,81288,'Must be in front of',100,3,5),
(178389,81288,'Inflicts 193 - 358 magic damage on target',100,2,6),
(178390,81288,'Cannot be modified except by direct means',100,2,7),
(178391,10081288,'When Equipped:',100,0,0),
(178392,10081288,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178393,10081288,'Inflicts 231 - 430 magic damage on target',100,2,2),
(178394,10081288,'Cannot be modified except by direct means',100,2,3),
(178395,105227,'Decreases STR and INT of target by 48.2',100,1,0),
(178396,105227,'Only affects targets level 20 and above',100,1,1),
(178397,10105227,'Decreases STR and INT of target by 48.2',100,1,0),
(178398,10105227,'Only affects targets level 20 and above',100,1,1),
(178399,108689,'Inflicts 48 heat damage on target',100,1,0),
(178400,108689,'Inflicts 11 heat damage on target every 4 seconds',100,1,1),
(178401,10108689,'Inflicts 81 heat damage on target',100,1,0),
(178402,10108689,'Inflicts 13 heat damage on target every 4 seconds',100,1,1),
(178403,117500,'Increases Attack Speed of target by 58.8',100,1,0),
(178404,10117500,'Increases Attack Speed of target by 58.8',100,1,0),
(178405,116260,'Summons a pet Illusion Ally',100,1,0),
(178406,10116260,'Summons a pet Illusion Ally',100,1,0),
(178407,105727,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(178408,105727,'Stuns target',100,2,1),
(178409,105727,'Blurs vision of target',100,2,2),
(178410,105727,'Throws target back',100,2,3),
(178411,105727,'Does not affect Epic targets',100,2,4),
(178412,105727,'Inflicts 182 - 303 melee damage on targets in area',100,1,5),
(178413,10105727,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(178414,10105727,'Stuns target',100,2,1),
(178415,10105727,'Blurs vision of target',100,2,2),
(178416,10105727,'Throws target back',100,2,3),
(178417,10105727,'Does not affect Epic targets',100,2,4),
(178418,10105727,'Inflicts 218 - 364 melee damage on targets in area',100,1,5),
(178419,26249,'When Equipped:',100,0,0),
(178420,26249,'Increases Damage Per Second of caster by 8.0',100,1,1),
(178421,10026249,'When Equipped:',100,0,0),
(178422,10026249,'Increases Damage Per Second of caster by 8.0',100,1,1),
(178423,116505,'Increases Mitigation of target vs physical damage by 77',100,1,0),
(178424,116505,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(178425,10116505,'Increases Mitigation of target vs physical damage by 77',100,1,0),
(178426,10116505,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(178427,47030,'Applies Middling Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(178428,47030,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(178429,47030,'Inflicts 159 poison damage on target instantly and every 6 seconds',100,2,2),
(178430,47030,'Inflicts 181 poison damage on target',100,2,3),
(178431,47030,'Cannot be modified except by direct means',100,2,4),
(178432,47030,'Grants a total of 200 triggers of the spell.',100,2,5),
(178433,47030,'Only affects targets level 50 and above',100,1,6),
(178434,10047030,'Applies Middling Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(178435,10047030,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(178436,10047030,'Inflicts 143 poison damage on target instantly and every 6 seconds',100,2,2),
(178437,10047030,'Inflicts 163 poison damage on target',100,2,3),
(178438,10047030,'Cannot be modified except by direct means',100,2,4),
(178439,10047030,'Grants a total of 200 triggers of the spell.',100,2,5),
(178440,10047030,'Only affects targets level 50 and above',100,1,6),
(178441,52787,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(178442,52787,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(178443,52787,'Inflicts 128 heat damage on target',100,2,2),
(178444,52787,'Cannot be modified except by direct means',100,2,3),
(178445,10052787,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(178446,10052787,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(178447,10052787,'Inflicts 153 heat damage on target',100,2,2),
(178448,10052787,'Cannot be modified except by direct means',100,2,3),
(178449,106898,'Stuns targets in Area of Effect',100,1,0),
(178450,106898,'If Target is not Epic',100,2,1),
(178451,106898,'Decreases Threat to targets in Area of Effect by 5,820 ',100,1,2),
(178452,10106898,'Stuns targets in Area of Effect',100,1,0),
(178453,10106898,'If Target is not Epic',100,2,1),
(178454,10106898,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(178455,10106898,'Applies Distract.',100,1,3),
(178456,10106898,'Forces target to clear their selected target.',100,2,4),
(178457,176624,'When Equipped:',100,0,0),
(178458,176624,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(178459,176624,'Heals group members (AE) for 384',100,2,2),
(178460,176624,'Cannot be modified except by direct means',100,2,3),
(178461,176624,'Cannot be modified except by direct means',100,1,4),
(178462,10176624,'When Equipped:',100,0,0),
(178463,10176624,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(178464,10176624,'Heals group members (AE) for 250',100,2,2),
(178465,10176624,'Cannot be modified except by direct means',100,2,3),
(178466,10176624,'Cannot be modified except by direct means',100,1,4),
(178467,110337,'Increases Max Power of target by 330.5',100,1,0),
(178468,110337,'Increases Max Health of target by 663.0',100,1,1),
(178469,10110337,'Increases Max Power of target by 330.5',100,1,0),
(178470,10110337,'Increases Max Health of target by 663.0',100,1,1),
(178471,46119,'Applies Elixir of the Steadfast when Activated.',100,0,0),
(178472,46119,'Heals caster for 199',100,1,1),
(178473,10046119,'Applies Elixir of the Steadfast when Activated.',100,0,0),
(178474,10046119,'Heals caster for 129',100,1,1),
(178475,103597,'Increases Mitigation of caster vs physical damage by 688',100,1,0),
(178476,10103597,'Increases Mitigation of caster vs physical damage by 688',100,1,0),
(178477,112541,'Interrupts target',50,1,0),
(178478,112541,'Inflicts 146 - 179 divine damage on target',100,1,1),
(178479,10112541,'Interrupts target',50,1,0),
(178480,10112541,'Inflicts 226 - 276 divine damage on target',100,1,1),
(178481,113213,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(178482,113213,'Inflicts 83 magic damage on target',100,2,1),
(178483,113213,'Grants a total of 5 triggers of the spell.',100,2,2),
(178484,10113213,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(178485,10113213,'Inflicts 100 magic damage on target',100,2,1),
(178486,10113213,'Grants a total of 5 triggers of the spell.',100,2,2),
(178487,35606,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(178488,121204,'Grants stealth to caster',100,1,0),
(178489,121204,'Suspends caster''s movement speed enhancements',100,1,1),
(178490,121204,'Decreases Threat to target by 882 - 1,470 ',100,1,2),
(178491,10121204,'Forces target to clear their selected target.',100,1,0),
(178492,10121204,'Grants stealth to caster',100,1,1),
(178493,10121204,'Suspends caster''s movement speed enhancements',100,1,2),
(178494,119043,'Decreases power of target by 69 - 116',100,1,0),
(178495,119043,'Increases power of caster by 42 - 69',100,1,1),
(178496,119043,'Inflicts 74 - 123 mental damage on target',100,1,2),
(178497,10119043,'Decreases power of target by 69 - 116',100,1,0),
(178498,10119043,'Increases power of caster by 42 - 69',100,1,1),
(178499,10119043,'Inflicts 88 - 148 mental damage on target',100,1,2),
(178500,116719,'Inflicts 312 - 520 melee damage on target',100,1,0),
(178501,10116719,'Inflicts 374 - 624 melee damage on target',100,1,0),
(178502,75126,'When Equipped:',100,0,0),
(178503,75126,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(178504,10075126,'When Equipped:',100,0,0),
(178505,10075126,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(178506,37038,'Increases Max Power of target by 3.3',100,0,0),
(178507,37038,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(178508,175419,'When Equipped:',100,0,0),
(178509,175419,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(178510,175419,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(178511,175419,'Cannot be modified except by direct means',100,2,3),
(178512,10175419,'When Equipped:',100,0,0),
(178513,10175419,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(178514,10175419,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(178515,10175419,'Cannot be modified except by direct means',100,2,3),
(178516,136655,'When Equipped:',100,0,0),
(178517,136655,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(178518,136655,'When Equipped:',100,0,2),
(178519,136655,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,3),
(178520,136655,'Increases power of caster by 34 instantly and every 5 seconds',100,2,4),
(178521,136655,'Cannot be modified except by direct means',100,2,5),
(178522,10136655,'When Equipped:',100,0,0),
(178523,10136655,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(178524,10136655,'When Equipped:',100,0,2),
(178525,10136655,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,3),
(178526,10136655,'Increases power of caster by 34 instantly and every 5 seconds',100,2,4),
(178527,10136655,'Cannot be modified except by direct means',100,2,5),
(178528,35859,'Increases AGI of target by 1.5',100,0,0),
(178529,35859,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(178530,47268,'Applies Melernil''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(178531,47268,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(178532,10047268,'Applies Melernil''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(178533,10047268,'Increases Mitigation of caster vs physical damage by 200',100,1,1),
(178534,147467,'When Equipped:',100,0,0),
(178535,147467,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(178536,147467,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,2,2),
(178537,147467,'Cannot be modified except by direct means',100,2,3),
(178538,10147467,'When Equipped:',100,0,0),
(178539,10147467,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(178540,10147467,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,2,2),
(178541,10147467,'Cannot be modified except by direct means',100,2,3),
(178542,82411,'When Equipped:',100,0,0),
(178543,82411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178544,82411,'Inflicts 98 - 181 magic damage on target',100,2,2),
(178545,82411,'Cannot be modified except by direct means',100,2,3),
(178546,10082411,'When Equipped:',100,0,0),
(178547,10082411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178548,10082411,'Inflicts 117 - 217 magic damage on target',100,2,2),
(178549,10082411,'Cannot be modified except by direct means',100,2,3),
(178550,101683,'Decreases Attack Speed of target by 26.6',100,1,0),
(178551,101683,'Decreases Damage Per Second of target by 19.2',100,1,1),
(178552,10101683,'Decreases Attack Speed of target by 26.6',100,1,0),
(178553,10101683,'Decreases Damage Per Second of target by 19.2',100,1,1),
(178554,109465,'Inflicts 11 - 18 cold damage on target',100,1,0),
(178555,10109465,'Inflicts 13 - 22 cold damage on target',100,1,0),
(178556,113772,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(178557,113772,'Heals target for 93 - 114',100,2,1),
(178558,10113772,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(178559,10113772,'Heals target for 61 - 74',100,2,1),
(178560,54796,'When Equipped:',100,0,0),
(178561,54796,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(178562,54796,'Heals caster for 392',100,2,2),
(178563,54796,'Cannot be modified except by direct means',100,2,3),
(178564,10054796,'When Equipped:',100,0,0),
(178565,10054796,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(178566,10054796,'Heals caster for 255',100,2,2),
(178567,10054796,'Cannot be modified except by direct means',100,2,3),
(178568,87263,'When Equipped:',100,0,0),
(178569,87263,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178570,87263,'Inflicts 68 - 102 magic damage on target',100,2,2),
(178571,87263,'Cannot be modified except by direct means',100,2,3),
(178572,10087263,'When Equipped:',100,0,0),
(178573,10087263,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178574,10087263,'Inflicts 81 - 122 magic damage on target',100,2,2),
(178575,10087263,'Cannot be modified except by direct means',100,2,3),
(178576,159737,'When Equipped:',100,0,0),
(178577,159737,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178578,159737,'Increases WIS of caster by 16.3',100,2,2),
(178579,159737,'Increases Ministration, Ordination and Focus of caster by 9.2',100,2,3),
(178580,159737,'Cannot be modified except by direct means',100,2,4),
(178581,10159737,'When Equipped:',100,0,0),
(178582,10159737,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178583,10159737,'Increases WIS of caster by 16.3',100,2,2),
(178584,10159737,'Increases Ministration, Ordination and Focus of caster by 9.2',100,2,3),
(178585,10159737,'Cannot be modified except by direct means',100,2,4),
(178586,35044,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(178587,119962,'Inflicts 321 - 536 melee damage on target',100,1,0),
(178588,119962,'Stifles target',100,1,1),
(178589,119962,'If Target is not Epic',100,2,2),
(178590,119962,'Resistibility increases against targets higher than level 119.',100,1,3),
(178591,10119962,'Inflicts 386 - 643 melee damage on target',100,1,0),
(178592,10119962,'Stifles target',100,1,1),
(178593,10119962,'If Target is not Epic',100,2,2),
(178594,10119962,'Resistibility increases against targets higher than level 119.',100,1,3),
(178595,82642,'When Equipped:',100,0,0),
(178596,82642,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178597,82642,'Decreases Threat to target by 259 ',100,2,2),
(178598,82642,'Must be flanking or behind',100,3,3),
(178599,82642,'Increases Threat to target by 264 ',100,2,4),
(178600,82642,'Must be in front of',100,3,5),
(178601,82642,'Inflicts 75 - 140 magic damage on target',100,2,6),
(178602,82642,'Cannot be modified except by direct means',100,2,7),
(178603,10082642,'When Equipped:',100,0,0),
(178604,10082642,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178605,10082642,'Inflicts 90 - 168 magic damage on target',100,2,2),
(178606,10082642,'Cannot be modified except by direct means',100,2,3),
(178607,114028,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(178608,114028,'Heals target for 28 instantly and every 2 seconds',100,2,1),
(178609,114028,'Decreases Mitigation of target vs arcane damage by 570',100,1,2),
(178610,10114028,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(178611,10114028,'Heals target for 91 instantly and every 2 seconds',100,2,1),
(178612,10114028,'Decreases Mitigation of target vs arcane damage by 570',100,1,2),
(178613,104705,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(178614,104705,'Decreases Mitigation of target vs elemental and arcane damage by 188',100,2,1),
(178615,104705,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(178616,104705,'Decreases Mitigation of target vs elemental and arcane damage by 188',100,2,3),
(178617,10104705,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(178618,10104705,'Decreases Mitigation of target vs elemental and arcane damage by 188',100,2,1),
(178619,10104705,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(178620,10104705,'Decreases Mitigation of target vs elemental and arcane damage by 188',100,2,3),
(178621,112789,'Inflicts 162 - 270 slashing damage on target',100,1,0),
(178622,112789,'Stifles target',100,1,1),
(178623,112789,'If Target is not Epic',100,2,2),
(178624,112789,'You must be in stealth.',100,1,3),
(178625,112789,'Resistibility increases against targets higher than level 49.',100,1,4),
(178626,10112789,'Inflicts 194 - 324 slashing damage on target',100,1,0),
(178627,10112789,'Stifles target',100,1,1),
(178628,10112789,'If Target is not Epic',100,2,2),
(178629,10112789,'You must be in stealth.',100,1,3),
(178630,10112789,'Resistibility increases against targets higher than level 49.',100,1,4),
(178631,177649,'When Equipped:',100,0,0),
(178632,177649,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178633,177649,'Increases WIS of caster by 14.8',100,2,2),
(178634,177649,'Increases Ministration, Ordination and Focus of caster by 8.3',100,2,3),
(178635,177649,'Cannot be modified except by direct means',100,2,4),
(178636,10177649,'When Equipped:',100,0,0),
(178637,10177649,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178638,10177649,'Increases WIS of caster by 14.8',100,2,2),
(178639,10177649,'Increases Ministration, Ordination and Focus of caster by 8.3',100,2,3),
(178640,10177649,'Cannot be modified except by direct means',100,2,4),
(178641,82186,'When Equipped:',100,0,0),
(178642,82186,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178643,82186,'Inflicts 31 - 57 magic damage on target',100,2,2),
(178644,82186,'Cannot be modified except by direct means',100,2,3),
(178645,10082186,'When Equipped:',100,0,0),
(178646,10082186,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178647,10082186,'Inflicts 37 - 68 magic damage on target',100,2,2),
(178648,10082186,'Cannot be modified except by direct means',100,2,3),
(178649,35766,'Increases STR of target by 1.5',100,0,0),
(178650,35766,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(178651,103858,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(178652,103858,'Slows target by 37.4%',100,2,1),
(178653,103858,'5% chance to dispel when target receives hostile action',100,2,2),
(178654,103858,'5% chance to dispel when target takes damage',100,2,3),
(178655,103858,'Decreases Mitigation of target vs noxious damage by 740',100,1,4),
(178656,10103858,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(178657,10103858,'Slows target by 37.4%',100,2,1),
(178658,10103858,'5% chance to dispel when target receives hostile action',100,2,2),
(178659,10103858,'5% chance to dispel when target takes damage',100,2,3),
(178660,10103858,'Decreases Mitigation of target vs noxious damage by 740',100,1,4),
(178661,118860,'Inflicts 172 - 517 melee damage on target',100,1,0),
(178662,10118860,'Inflicts 207 - 621 melee damage on target',100,1,0),
(178663,120836,'Inflicts 22 - 30 disease damage on target instantly and every second',100,1,0),
(178664,10120836,'Inflicts 37 - 50 disease damage on target',100,1,0),
(178665,10120836,'Inflicts 26 - 36 disease damage on target every second',100,1,1),
(178666,46180,'Applies Essence of Discord when Activated.  Lasts for 5 minutes.',100,0,0),
(178667,46180,'Caster will have their chance to hit with a weapon increased by 3.0%',100,1,1),
(178668,10046180,'Applies Essence of Discord when Activated.  Lasts for 5 minutes.',100,0,0),
(178669,10046180,'Caster will have their chance to hit with a weapon increased by 3.0%',100,1,1),
(178670,36218,'Increases INT of target by 0.4',100,0,0),
(178671,36218,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(178672,111918,'Inflicts 28 - 47 piercing damage on target instantly and every 4 seconds',100,1,0),
(178673,111918,'Inflicts 104 - 173 piercing damage on target',100,1,1),
(178674,10111918,'Inflicts 57 - 95 piercing damage on target instantly and every 4 seconds',100,1,0),
(178675,10111918,'Inflicts 170 - 284 piercing damage on target',100,1,1),
(178676,159033,'Applies Sanguine Imbued when Equipped.',100,0,0),
(178677,159033,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(178678,159033,'Inflicts 119 heat damage on target',100,2,2),
(178679,159033,'Cannot be modified except by direct means',100,2,3),
(178680,10159033,'Applies Sanguine Imbued when Equipped.',100,0,0),
(178681,10159033,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(178682,10159033,'Inflicts 142 heat damage on target',100,2,2),
(178683,10159033,'Cannot be modified except by direct means',100,2,3),
(178684,122874,'Inflicts 207 - 345 ranged damage on target',100,1,0),
(178685,122874,'Inflicts 414 - 691 ranged damage on target',100,1,1),
(178686,122874,'Inflicts 622 - 1036 ranged damage on target',100,1,2),
(178687,122874,'Requires bow',100,1,3),
(178688,10122874,'Inflicts 220 - 367 ranged damage on target',100,1,0),
(178689,10122874,'Inflicts 440 - 734 ranged damage on target',100,1,1),
(178690,10122874,'Inflicts 660 - 1101 ranged damage on target',100,1,2),
(178691,10122874,'Requires bow',100,1,3),
(178692,116281,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(178693,116281,'Inflicts 352 - 430 disease damage on caster',100,2,1),
(178694,116281,'Inflicts 117 - 143 disease damage on caster every 2 seconds',100,2,2),
(178695,116281,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(178696,116281,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(178697,116281,'Grants a total of 1 trigger of the spell.',100,3,5),
(178698,10116281,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(178699,10116281,'Inflicts 422 - 516 disease damage on caster',100,2,1),
(178700,10116281,'Inflicts 141 - 172 disease damage on caster every 2 seconds',100,2,2),
(178701,10116281,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(178702,10116281,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(178703,10116281,'Grants a total of 1 trigger of the spell.',100,3,5),
(178704,102059,'Interrupts targets in Area of Effect',100,1,0),
(178705,102059,'Inflicts 326 - 544 melee damage on targets in area',100,1,1),
(178706,10102059,'Interrupts targets in Area of Effect',100,1,0),
(178707,10102059,'Inflicts 391 - 652 melee damage on targets in area',100,1,1),
(178708,143556,'When Equipped:',100,0,0),
(178709,143556,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(178710,143556,'Inflicts 1199 disease damage on target encounter',100,2,2),
(178711,143556,'Must not be engaged in pvp combat',100,2,3),
(178712,143556,'Cannot be modified except by direct means',100,2,4),
(178713,10143556,'When Equipped:',100,0,0),
(178714,10143556,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(178715,10143556,'Inflicts 719 disease damage on target encounter',100,2,2),
(178716,10143556,'Must not be engaged in pvp combat',100,2,3),
(178717,10143556,'Cannot be modified except by direct means',100,2,4),
(178718,107505,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(178719,10107505,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(178720,181810,'When Equipped:',100,0,0),
(178721,181810,'Increases Max Health of caster by 1,220.0',100,1,1),
(178722,181810,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(178723,181810,'Cannot be modified except by direct means',100,1,3),
(178724,10181810,'When Equipped:',100,0,0),
(178725,10181810,'Increases Max Health of caster by 1,220.0',100,1,1),
(178726,10181810,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(178727,10181810,'Cannot be modified except by direct means',100,1,3),
(178728,102279,'Inflicts 416 - 693 melee damage on targets in area',100,1,0),
(178729,10102279,'Inflicts 499 - 832 melee damage on targets in area',100,1,0),
(178730,120999,'Inflicts 84 - 141 poison damage on target',100,1,0),
(178731,120999,'Inflicts 21 - 35 poison damage on target instantly and every 4 seconds',100,1,1),
(178732,10120999,'Inflicts 101 - 169 poison damage on target',100,1,0),
(178733,10120999,'Inflicts 25 - 42 poison damage on target instantly and every 4 seconds',100,1,1),
(178734,113659,'Inflicts 350 - 428 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(178735,113659,'Decreases power of target encounter by 58 - 71 instantly and every 5 seconds',100,1,1),
(178736,113659,'Heals group members (AE) for 389 - 475 instantly and every 5 seconds',100,1,2),
(178737,113659,'Increases power of group members (AE) by 65 - 79 instantly and every 5 seconds',100,1,3),
(178738,10113659,'Inflicts 420 - 513 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(178739,10113659,'Decreases power of target encounter by 58 - 71 instantly and every 5 seconds',100,1,1),
(178740,10113659,'Heals group members (AE) for 253 - 309 instantly and every 5 seconds',100,1,2),
(178741,10113659,'Increases power of group members (AE) by 65 - 79 instantly and every 5 seconds',100,1,3),
(178742,114306,'Heals target for 647 - 790',100,1,0),
(178743,10114306,'Heals target for 760 - 929',100,1,0),
(178744,101111,'Increases Mitigation of raid and group members (AE) vs arcane damage by 868',100,1,0),
(178745,10101111,'Increases Mitigation of raid and group members (AE) vs arcane damage by 868',100,1,0),
(178746,117233,'Inflicts 63 slashing damage on target every 4 seconds',100,1,0),
(178747,117233,'Inflicts 314 - 523 melee damage on target',100,1,1),
(178748,10117233,'Inflicts 75 slashing damage on target every 4 seconds',100,1,0),
(178749,10117233,'Inflicts 377 - 628 melee damage on target',100,1,1),
(178750,179216,'When Equipped:',100,0,0),
(178751,179216,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(178752,179216,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(178753,179216,'Must not be engaged in pvp combat',100,2,3),
(178754,179216,'Cannot be modified except by direct means',100,2,4),
(178755,179216,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(178756,179216,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(178757,179216,'Must not be engaged in pvp combat',100,2,7),
(178758,179216,'Cannot be modified except by direct means',100,2,8),
(178759,179216,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(178760,179216,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(178761,179216,'Must not be engaged in pvp combat',100,2,11),
(178762,179216,'Cannot be modified except by direct means',100,2,12),
(178763,179216,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(178764,179216,'Inflicts 20 piercing damage on target',100,2,14),
(178765,179216,'Must not be engaged in pvp combat',100,2,15),
(178766,179216,'Cannot be modified except by direct means',100,2,16),
(178767,10179216,'When Equipped:',100,0,0),
(178768,10179216,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(178769,10179216,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(178770,10179216,'Must not be engaged in pvp combat',100,2,3),
(178771,10179216,'Cannot be modified except by direct means',100,2,4),
(178772,10179216,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(178773,10179216,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(178774,10179216,'Must not be engaged in pvp combat',100,2,7),
(178775,10179216,'Cannot be modified except by direct means',100,2,8),
(178776,10179216,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(178777,10179216,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(178778,10179216,'Must not be engaged in pvp combat',100,2,11),
(178779,10179216,'Cannot be modified except by direct means',100,2,12),
(178780,10179216,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(178781,10179216,'Inflicts 24 piercing damage on target',100,2,14),
(178782,10179216,'Must not be engaged in pvp combat',100,2,15),
(178783,10179216,'Cannot be modified except by direct means',100,2,16),
(178784,45130,'Applies elixir of fortitude when Activated.  Lasts for 4 hours.',100,0,0),
(178785,45130,'Increases STA and STR of caster by 181.5',100,1,1),
(178786,45130,'Gives caster an extra 4.0% mitigation to their worn armor',100,1,2),
(178787,10045130,'Applies elixir of fortitude when Activated.  Lasts for 4 hours.',100,0,0),
(178788,10045130,'Increases STA and STR of caster by 181.5',100,1,1),
(178789,10045130,'Gives caster an extra 4.0% mitigation to their worn armor',100,1,2),
(178790,114194,'Inflicts 148 - 247 melee damage on target',100,1,0),
(178791,114194,'Decreases Slashing, Crushing and Piercing of target by 6.4',100,1,1),
(178792,10114194,'Inflicts 177 - 296 melee damage on target',100,1,0),
(178793,10114194,'Decreases Slashing, Crushing and Piercing of target by 6.4',100,1,1),
(178794,81059,'When Equipped:',100,0,0),
(178795,81059,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178796,81059,'Decreases Threat to target by 517 ',100,2,2),
(178797,81059,'Must be flanking or behind',100,3,3),
(178798,81059,'Increases Threat to target by 522 ',100,2,4),
(178799,81059,'Must be in front of',100,3,5),
(178800,81059,'Inflicts 144 - 268 magic damage on target',100,2,6),
(178801,81059,'Cannot be modified except by direct means',100,2,7),
(178802,10081059,'When Equipped:',100,0,0),
(178803,10081059,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(178804,10081059,'Inflicts 173 - 322 magic damage on target',100,2,2),
(178805,10081059,'Cannot be modified except by direct means',100,2,3),
(178806,104834,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(178807,104834,'If Fighter',100,2,1),
(178808,104834,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(178809,104834,'Increases power of target by 41',100,2,3),
(178810,104834,'Increases power of caster by 41',100,2,4),
(178811,10104834,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(178812,10104834,'Increases power of target by 41',100,2,1),
(178813,10104834,'Increases power of caster by 41',100,2,2),
(178814,112049,'Roots target',100,1,0),
(178815,112049,'Stifles target',100,1,1),
(178816,112049,'If Target is not Epic',100,2,2),
(178817,112049,'20% chance to dispel when target takes damage',100,1,3),
(178818,112049,'Does not affect Epic targets',100,1,4),
(178819,112049,'Resistibility increases against targets higher than level 106.',100,1,5),
(178820,10112049,'Roots target',100,1,0),
(178821,10112049,'Stifles target',100,1,1),
(178822,10112049,'If Target is not Epic',100,2,2),
(178823,10112049,'20% chance to dispel when target takes damage',100,1,3),
(178824,10112049,'Does not affect Epic targets',100,1,4),
(178825,10112049,'Resistibility increases against targets higher than level 106.',100,1,5),
(178826,157735,'When Equipped:',100,0,0),
(178827,157735,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(178828,157735,'Increases Threat to target by 4,005 ',100,2,2),
(178829,157735,'Inflicts 1390 mental damage on target',100,2,3),
(178830,157735,'Cannot be modified except by direct means',100,2,4),
(178831,157735,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(178832,157735,'Increases Threat to target by 4,005 ',100,2,6),
(178833,157735,'Inflicts 1390 mental damage on target',100,2,7),
(178834,157735,'Cannot be modified except by direct means',100,2,8),
(178835,10157735,'When Equipped:',100,0,0),
(178836,10157735,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(178837,10157735,'Inflicts 1668 mental damage on target',100,2,2),
(178838,10157735,'Cannot be modified except by direct means',100,2,3),
(178839,10157735,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(178840,10157735,'Inflicts 1668 mental damage on target',100,2,5),
(178841,10157735,'Cannot be modified except by direct means',100,2,6),
(178842,48449,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(178843,48449,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(178844,48449,'Inflicts 14 poison damage on target instantly and every 6 seconds',100,2,2),
(178845,48449,'Inflicts 26 poison damage on target',100,2,3),
(178846,48449,'Cannot be modified except by direct means',100,2,4),
(178847,48449,'Grants a total of 200 triggers of the spell.',100,2,5),
(178848,10048449,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(178849,10048449,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(178850,10048449,'Inflicts 24 poison damage on target',100,2,2),
(178851,10048449,'Inflicts 12 poison damage on target instantly and every 6 seconds',100,2,3),
(178852,10048449,'Cannot be modified except by direct means',100,2,4),
(178853,10048449,'Grants a total of 200 triggers of the spell.',100,2,5),
(178854,26088,'When Equipped:',100,0,0),
(178855,26088,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(178856,26088,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(178857,10026088,'When Equipped:',100,0,0),
(178858,10026088,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(178859,10026088,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(178860,102537,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(178861,102537,'Increases Aggression of caster by 15.9',100,1,1),
(178862,102537,'Increases Defense and Parry of caster by 31.8',100,1,2),
(178863,102537,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(178864,10102537,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(178865,10102537,'Increases Aggression of caster by 15.9',100,1,1),
(178866,10102537,'Increases Defense and Parry of caster by 31.8',100,1,2),
(178867,10102537,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(178868,171460,'Applies Call of the Prime VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(178869,171460,'Applies Prime Focus VII on termination.  Lasts for 15.0 seconds.',100,1,1),
(178870,171460,'Increases Potency of group members (AE) by 6.0%',100,2,2),
(178871,171460,'Must not be engaged in pvp combat',100,2,3),
(178872,171460,'Cannot be modified except by direct means',100,2,4),
(178873,171460,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(178874,171460,'Must not be engaged in pvp combat',100,1,6),
(178875,171460,'Cannot be modified except by direct means',100,1,7),
(178876,171460,'The reuse time of Call of the Prime VII is 10 minutes',100,1,8),
(178877,10171460,'Applies Call of the Prime VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(178878,10171460,'Applies Prime Focus VII on termination.  Lasts for 15.0 seconds.',100,1,1),
(178879,10171460,'Increases Potency of group members (AE) by 6.0%',100,2,2),
(178880,10171460,'Must not be engaged in pvp combat',100,2,3),
(178881,10171460,'Cannot be modified except by direct means',100,2,4),
(178882,10171460,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(178883,10171460,'Must not be engaged in pvp combat',100,1,6),
(178884,10171460,'Cannot be modified except by direct means',100,1,7),
(178885,10171460,'The reuse time of Call of the Prime VII is 10 minutes',100,1,8),
(178886,71848,'When Equipped:',100,0,0),
(178887,71848,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178888,71848,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(178889,71848,'Cannot be modified except by direct means',100,2,3),
(178890,10071848,'When Equipped:',100,0,0),
(178891,10071848,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(178892,10071848,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(178893,10071848,'Cannot be modified except by direct means',100,2,3),
(178894,48226,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(178895,48226,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(178896,48226,'Requires 15 Health to cast.',100,1,2),
(178897,10048226,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(178898,10048226,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(178899,10048226,'Requires 15 Health to cast.',100,1,2),
(178900,48464,'Applies Thinning Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(178901,48464,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(178902,48464,'Decreases WIS and INT of target by 27.4',100,2,2),
(178903,48464,'Cannot be modified except by direct means',100,2,3),
(178904,48464,'Grants a total of 30 triggers of the spell.',100,2,4),
(178905,48464,'Only affects targets level 50 and above',100,1,5),
(178906,10048464,'Applies Thinning Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(178907,10048464,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(178908,10048464,'Decreases WIS and INT of target by 27.4',100,2,2),
(178909,10048464,'Cannot be modified except by direct means',100,2,3),
(178910,10048464,'Grants a total of 30 triggers of the spell.',100,2,4),
(178911,10048464,'Only affects targets level 50 and above',100,1,5),
(178912,36781,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(178913,121769,'Heals target for 73 - 89',100,1,0),
(178914,121769,'Heals target for 12 - 15 every second',100,1,1),
(178915,10121769,'Heals target for 126 - 154',100,1,0),
(178916,10121769,'Heals target for 11 - 13 every second',100,1,1),
(178917,81463,'When Equipped:',100,0,0),
(178918,81463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178919,81463,'Inflicts 77 - 144 magic damage on target',100,2,2),
(178920,81463,'Cannot be modified except by direct means',100,2,3),
(178921,10081463,'When Equipped:',100,0,0),
(178922,10081463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178923,10081463,'Inflicts 93 - 173 magic damage on target',100,2,2),
(178924,10081463,'Cannot be modified except by direct means',100,2,3),
(178925,45124,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(178926,45124,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(178927,45124,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(178928,45124,'Cannot be modified except by direct means',100,2,3),
(178929,45124,'Grants a total of 80 triggers of the spell.',100,2,4),
(178930,10045124,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(178931,10045124,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(178932,10045124,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(178933,10045124,'Cannot be modified except by direct means',100,2,3),
(178934,10045124,'Grants a total of 80 triggers of the spell.',100,2,4),
(178935,112159,'Increases STR of caster by 10.4',100,1,0),
(178936,112159,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 234',100,1,1),
(178937,112159,'Increases Mitigation of caster vs physical damage by 70',100,1,2),
(178938,10112159,'Increases STR of caster by 10.4',100,1,0),
(178939,10112159,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 234',100,1,1),
(178940,10112159,'Increases Mitigation of caster vs physical damage by 70',100,1,2),
(178941,106812,'Decreases STR and AGI of target encounter by 114.7',100,1,0),
(178942,10106812,'Decreases STR and AGI of target encounter by 114.7',100,1,0),
(178943,37587,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(178944,35566,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(178945,158817,'When Equipped:',100,0,0),
(178946,158817,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(178947,158817,'Stuns target',100,2,2),
(178948,158817,'Throws target back',100,2,3),
(178949,158817,'Does not affect Epic targets',100,2,4),
(178950,158817,'Resistibility increases against targets higher than level 77.',100,2,5),
(178951,158817,'Cannot be modified except by direct means',100,2,6),
(178952,10158817,'When Equipped:',100,0,0),
(178953,10158817,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(178954,10158817,'Stuns target',100,2,2),
(178955,10158817,'Throws target back',100,2,3),
(178956,10158817,'Does not affect Epic targets',100,2,4),
(178957,10158817,'Resistibility increases against targets higher than level 77.',100,2,5),
(178958,10158817,'Cannot be modified except by direct means',100,2,6),
(178959,46397,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(178960,46397,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 26.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(178961,46397,'Slows target by 35.2%',100,2,2),
(178962,46397,'Cannot be modified except by direct means',100,2,3),
(178963,46397,'Grants a total of 60 triggers of the spell.',100,2,4),
(178964,10046397,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(178965,10046397,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(178966,10046397,'Slows target by 35.2%',100,2,2),
(178967,10046397,'Cannot be modified except by direct means',100,2,3),
(178968,10046397,'Grants a total of 60 triggers of the spell.',100,2,4),
(178969,45786,'Applies Wash the Vegetables when Activated.',100,0,0),
(178970,10045786,'Applies Wash the Vegetables when Activated.',100,0,0),
(178971,105518,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.4',100,1,0),
(178972,10105518,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.4',100,1,0),
(178973,122431,'Sets a trap',100,1,0),
(178974,10122431,'Sets a trap',100,1,0),
(178975,82073,'When Equipped:',100,0,0),
(178976,82073,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178977,82073,'Inflicts 122 - 226 magic damage on target',100,2,2),
(178978,82073,'Cannot be modified except by direct means',100,2,3),
(178979,10082073,'When Equipped:',100,0,0),
(178980,10082073,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178981,10082073,'Inflicts 146 - 272 magic damage on target',100,2,2),
(178982,10082073,'Cannot be modified except by direct means',100,2,3),
(178983,80355,'When Equipped:',100,0,0),
(178984,80355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178985,80355,'Inflicts 39 - 72 magic damage on target',100,2,2),
(178986,80355,'Cannot be modified except by direct means',100,2,3),
(178987,10080355,'When Equipped:',100,0,0),
(178988,10080355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(178989,10080355,'Inflicts 46 - 86 magic damage on target',100,2,2),
(178990,10080355,'Cannot be modified except by direct means',100,2,3),
(178991,117140,'Decreases Mitigation of target vs arcane damage by 618',100,1,0),
(178992,117140,'Inflicts 118 - 145 heat damage on target instantly and every 4 seconds',100,1,1),
(178993,10117140,'Decreases Mitigation of target vs arcane damage by 618',100,1,0),
(178994,10117140,'Inflicts 142 - 174 heat damage on target instantly and every 4 seconds',100,1,1),
(178995,114029,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(178996,114029,'Heals target for 30 instantly and every 2 seconds',100,2,1),
(178997,114029,'Decreases Mitigation of target vs arcane damage by 600',100,1,2),
(178998,10114029,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(178999,10114029,'Heals target for 96 instantly and every 2 seconds',100,2,1),
(179000,10114029,'Decreases Mitigation of target vs arcane damage by 600',100,1,2),
(179001,36342,'Increases Max Power of target by 3.3',100,0,0),
(179002,36342,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(179003,46149,'Applies Break Crystal when Activated.  Lasts for 0.5 seconds.',100,0,0),
(179004,46149,'When held in your inventory, this allows you to affect some void portals.  When hurled at certain creatures this crystal can overcome powerful void magics such as those protecting Greater Void Minions.',100,1,1),
(179005,10046149,'Applies Break Crystal when Activated.  Lasts for 0.5 seconds.',100,0,0),
(179006,10046149,'When held in your inventory, this allows you to affect some void portals.  When hurled at certain creatures this crystal can overcome powerful void magics such as those protecting Greater Void Minions.',100,1,1),
(179007,103257,'Reduces physical damage done to caster by 5%',100,1,0),
(179008,103257,'Adds 1.7% to base avoidance.',100,1,1),
(179009,103257,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(179010,103257,'Increases Parry of caster by 34.1',100,1,3),
(179011,103257,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(179012,103257,'Increases Aggression of caster by 25.6',100,1,5),
(179013,103257,'Increases Defense and Deflection of caster by 34.1',100,1,6),
(179014,103257,'Increases Mitigation of caster vs noxious damage by 2226',100,1,7),
(179015,103257,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(179016,10103257,'Reduces physical damage done to caster by 5%',100,1,0),
(179017,10103257,'Adds 1.7% to base avoidance.',100,1,1),
(179018,10103257,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(179019,10103257,'Increases Parry of caster by 34.1',100,1,3),
(179020,10103257,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(179021,10103257,'Increases Aggression of caster by 25.6',100,1,5),
(179022,10103257,'Increases Defense and Deflection of caster by 34.1',100,1,6),
(179023,10103257,'Increases Mitigation of caster vs noxious damage by 2226',100,1,7),
(179024,10103257,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(179025,130299,'When Equipped:',100,0,0),
(179026,130299,'Increases Potency of caster by 3.5%',100,1,1),
(179027,130299,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(179028,130299,'Cannot be modified except by direct means',100,1,3),
(179029,10130299,'When Equipped:',100,0,0),
(179030,10130299,'Increases Potency of caster by 3.5%',100,1,1),
(179031,10130299,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(179032,10130299,'Cannot be modified except by direct means',100,1,3),
(179033,119128,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(179034,119128,'Inflicts 166 - 202 slashing damage on target',100,2,1),
(179035,119128,'Increases Mitigation of caster vs physical damage by 549',100,1,2),
(179036,10119128,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(179037,10119128,'Inflicts 199 - 243 slashing damage on target',100,2,1),
(179038,10119128,'Increases Mitigation of caster vs physical damage by 549',100,1,2),
(179039,35955,'Increases Max Health of target by 3.9',100,0,0),
(179040,35955,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(179041,104553,'Inflicts 39 - 65 disease damage on target',100,1,0),
(179042,104553,'Decreases WIS of target by 18.0',100,1,1),
(179043,10104553,'Inflicts 47 - 78 disease damage on target',100,1,0),
(179044,10104553,'Decreases WIS of target by 18.0',100,1,1),
(179045,24195,'Adds Crushbone: Jail Cup to your Dungeon Maker toolbox',100,0,0),
(179046,10024195,'Adds Crushbone: Jail Cup to your Dungeon Maker toolbox',100,0,0),
(179047,166506,'When Equipped:',100,0,0),
(179048,166506,'On a critical combat hit this spell may cast Final Stab VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(179049,166506,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(179050,166506,'Must not be engaged in pvp combat',100,2,3),
(179051,166506,'Cannot be modified except by direct means',100,2,4),
(179052,166506,'On a critical spell hit this spell may cast Final Stab VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(179053,166506,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(179054,166506,'Must not be engaged in pvp combat',100,2,7),
(179055,166506,'Cannot be modified except by direct means',100,2,8),
(179056,166506,'Must not be engaged in pvp combat',100,1,9),
(179057,10166506,'When Equipped:',100,0,0),
(179058,10166506,'On a critical combat hit this spell may cast Final Stab VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(179059,10166506,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(179060,10166506,'Must not be engaged in pvp combat',100,2,3),
(179061,10166506,'Cannot be modified except by direct means',100,2,4),
(179062,10166506,'On a critical spell hit this spell may cast Final Stab VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(179063,10166506,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(179064,10166506,'Must not be engaged in pvp combat',100,2,7),
(179065,10166506,'Cannot be modified except by direct means',100,2,8),
(179066,10166506,'Must not be engaged in pvp combat',100,1,9),
(179067,147262,'When Equipped:',100,0,0),
(179068,147262,'Increases Attack Speed of caster by 45.0',100,1,1),
(179069,10147262,'When Equipped:',100,0,0),
(179070,10147262,'Increases Attack Speed of caster by 45.0',100,1,1),
(179071,36539,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(179072,114995,'Inflicts 310 - 517 ranged damage on targets in area',100,1,0),
(179073,114995,'You must be in stealth to use this!',100,1,1),
(179074,114995,'Requires bow',100,1,2),
(179075,10114995,'Inflicts 264 - 440 ranged damage on targets in area',100,1,0),
(179076,10114995,'You must be in stealth to use this!',100,1,1),
(179077,10114995,'Requires bow',100,1,2),
(179078,46545,'Applies essence of power when Activated.',100,0,0),
(179079,46545,'Increases power of caster by 210',100,1,1),
(179080,10046545,'Applies essence of power when Activated.',100,0,0),
(179081,10046545,'Increases power of caster by 165',100,1,1),
(179082,121536,'Inflicts 539 - 899 melee damage on target',100,1,0),
(179083,121536,'Stuns target',100,1,1),
(179084,121536,'If Target is not Epic',100,2,2),
(179085,121536,'Resistibility increases against targets higher than level 111.',100,1,3),
(179086,10121536,'Inflicts 647 - 1078 melee damage on target',100,1,0),
(179087,10121536,'Stuns target',100,1,1),
(179088,10121536,'If Target is not Epic',100,2,2),
(179089,10121536,'Resistibility increases against targets higher than level 111.',100,1,3),
(179090,116988,'Inflicts 2 - 6 melee damage on target',100,1,0),
(179091,10116988,'Inflicts 2 - 8 melee damage on target',100,1,0),
(179092,45218,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(179093,45218,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(179094,45218,'Inflicts 50 poison damage on target instantly and every 4 seconds',100,2,2),
(179095,45218,'Cannot be modified except by direct means',100,2,3),
(179096,45218,'Grants a total of 100 triggers of the spell.',100,2,4),
(179097,10045218,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(179098,10045218,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(179099,10045218,'Inflicts 45 poison damage on target instantly and every 4 seconds',100,2,2),
(179100,10045218,'Cannot be modified except by direct means',100,2,3),
(179101,10045218,'Grants a total of 100 triggers of the spell.',100,2,4),
(179102,26143,'When Equipped:',100,0,0),
(179103,26143,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(179104,26143,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(179105,10026143,'When Equipped:',100,0,0),
(179106,10026143,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(179107,10026143,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(179108,87424,'When Equipped:',100,0,0),
(179109,87424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179110,87424,'Inflicts 28 - 42 magic damage on target',100,2,2),
(179111,87424,'Cannot be modified except by direct means',100,2,3),
(179112,10087424,'When Equipped:',100,0,0),
(179113,10087424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179114,10087424,'Inflicts 34 - 50 magic damage on target',100,2,2),
(179115,10087424,'Cannot be modified except by direct means',100,2,3),
(179116,117321,'Roots target',100,1,0),
(179117,117321,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(179118,117321,'Slows target by 40.3%',100,2,2),
(179119,117321,'5% chance to dispel when target receives hostile action',100,2,3),
(179120,117321,'5% chance to dispel when target takes damage',100,2,4),
(179121,117321,'15% chance to dispel when target takes damage',100,1,5),
(179122,117321,'Does not affect Epic targets',100,1,6),
(179123,117321,'Resistibility increases against targets higher than level 62.',100,1,7),
(179124,10117321,'Roots target',100,1,0),
(179125,10117321,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(179126,10117321,'Slows target by 40.3%',100,2,2),
(179127,10117321,'10% chance to dispel when target receives hostile action',100,2,3),
(179128,10117321,'10% chance to dispel when target takes damage',100,2,4),
(179129,10117321,'15% chance to dispel when target takes damage',100,1,5),
(179130,10117321,'Does not affect Epic targets',100,1,6),
(179131,10117321,'Resistibility increases against targets higher than level 62.',100,1,7),
(179132,119856,'Dazes target',100,1,0),
(179133,119856,'Does not affect Epic targets',100,1,1),
(179134,119856,'Resistibility increases against targets higher than level 105.',100,1,2),
(179135,10119856,'Dazes target',100,1,0),
(179136,10119856,'Does not affect Epic targets',100,1,1),
(179137,10119856,'Resistibility increases against targets higher than level 105.',100,1,2),
(179138,141789,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(179139,141789,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(179140,141789,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(179141,141789,'Cannot be modified except by direct means',100,2,3),
(179142,10141789,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(179143,10141789,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(179144,10141789,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(179145,10141789,'Cannot be modified except by direct means',100,2,3),
(179146,87460,'When Equipped:',100,0,0),
(179147,87460,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179148,87460,'Inflicts 28 - 42 magic damage on target',100,2,2),
(179149,87460,'Cannot be modified except by direct means',100,2,3),
(179150,10087460,'When Equipped:',100,0,0),
(179151,10087460,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179152,10087460,'Inflicts 34 - 50 magic damage on target',100,2,2),
(179153,10087460,'Cannot be modified except by direct means',100,2,3),
(179154,119848,'Dazes target',100,1,0),
(179155,119848,'Does not affect Epic targets',100,1,1),
(179156,119848,'Resistibility increases against targets higher than level 93.',100,1,2),
(179157,10119848,'Dazes target',100,1,0),
(179158,10119848,'Does not affect Epic targets',100,1,1),
(179159,10119848,'Resistibility increases against targets higher than level 93.',100,1,2),
(179160,116383,'Heals target for 86 - 105 instantly and every 2 seconds',100,1,0),
(179161,10116383,'Heals target for 56 - 68 instantly and every 2 seconds',100,1,0),
(179162,24630,'Adds Poet''s Palace: Brass Genie Bottle to your Dungeon Maker toolbox',100,0,0),
(179163,10024630,'Adds Poet''s Palace: Brass Genie Bottle to your Dungeon Maker toolbox',100,0,0),
(179164,79023,'Applies Frost Blast when Activated.',100,0,0),
(179165,79023,'Inflicts 236 - 394 cold damage on target',100,1,1),
(179166,79023,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(179167,10079023,'Applies Frost Blast when Activated.',100,0,0),
(179168,10079023,'Inflicts 284 - 473 cold damage on target',100,1,1),
(179169,10079023,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(179170,47444,'Applies Unroll the Lava-threaded Flying Carpet when Activated.',100,0,0),
(179171,47444,'Reduces maximum falling speed of caster',100,1,1),
(179172,47444,'Increases Out-of-Combat Health Regeneration of caster by 90.0',100,1,2),
(179173,47444,'Summons a mount to ride',100,1,3),
(179174,47444,'Increases your ground speed by 130%',100,2,4),
(179175,47444,'Increases Out-of-Combat Power Regeneration of caster by 90.0',100,1,5),
(179176,47444,'Increases Ability Modifier of caster by 15.0',100,1,6),
(179177,10047444,'Applies Unroll the Lava-threaded Flying Carpet when Activated.',100,0,0),
(179178,10047444,'Reduces maximum falling speed of caster',100,1,1),
(179179,10047444,'Increases Out-of-Combat Health Regeneration of caster by 90.0',100,1,2),
(179180,10047444,'Summons a mount to ride',100,1,3),
(179181,10047444,'Increases your ground speed by 130%',100,2,4),
(179182,10047444,'Increases Out-of-Combat Power Regeneration of caster by 90.0',100,1,5),
(179183,10047444,'Increases Ability Modifier of caster by 15.0',100,1,6),
(179184,137184,'When Equipped:',100,0,0),
(179185,137184,'Reduces maximum falling speed of caster',100,1,1),
(179186,10137184,'When Equipped:',100,0,0),
(179187,10137184,'Reduces maximum falling speed of caster',100,1,1),
(179188,158544,'When Equipped:',100,0,0),
(179189,158544,'Increases Out-of-Combat Health Regeneration of caster by 20.3',100,1,1),
(179190,158544,'This effect suspends during combat',100,1,2),
(179191,10158544,'When Equipped:',100,0,0),
(179192,10158544,'Increases Out-of-Combat Health Regeneration of caster by 20.3',100,1,1),
(179193,10158544,'This effect suspends during combat',100,1,2),
(179194,121318,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(179195,10121318,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(179196,35278,'Increases AGI of target by 1.5',100,0,0),
(179197,35278,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(179198,47090,'Applies Most Wanted Poster when Activated.',100,0,0),
(179199,47090,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(179200,47090,'If between levels 80 - 89',100,1,2),
(179201,47090,'Cannot be modified except by direct means',100,1,3),
(179202,10047090,'Applies Most Wanted Poster when Activated.',100,0,0),
(179203,10047090,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(179204,10047090,'If between levels 80 - 89',100,1,2),
(179205,10047090,'Cannot be modified except by direct means',100,1,3),
(179206,35628,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(179207,101348,'Reduces physical damage done to caster by 5%',100,1,0),
(179208,101348,'Adds 1.7% to base avoidance.',100,1,1),
(179209,101348,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(179210,101348,'Increases Aggression of caster by 1.5',100,1,3),
(179211,101348,'Increases Defense and Parry of caster by 2.4',100,1,4),
(179212,101348,'Increases Mitigation of caster vs noxious and arcane damage by 19',100,1,5),
(179213,101348,'Increases Mitigation of caster vs elemental damage by 186',100,1,6),
(179214,101348,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(179215,10101348,'Reduces physical damage done to caster by 5%',100,1,0),
(179216,10101348,'Adds 1.7% to base avoidance.',100,1,1),
(179217,10101348,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(179218,10101348,'Increases Aggression of caster by 1.5',100,1,3),
(179219,10101348,'Increases Defense and Parry of caster by 2.4',100,1,4),
(179220,10101348,'Increases Mitigation of caster vs noxious and arcane damage by 19',100,1,5),
(179221,10101348,'Increases Mitigation of caster vs elemental damage by 186',100,1,6),
(179222,10101348,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(179223,105148,'Increases AGI of caster by 23.4',100,1,0),
(179224,105148,'Adds 2.5% to base avoidance.',100,1,1),
(179225,105148,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(179226,105148,'Increases Parry of caster by 13.0',100,1,3),
(179227,105148,'Increases Defense of caster by 17.3',100,1,4),
(179228,10105148,'Increases AGI of caster by 23.4',100,1,0),
(179229,10105148,'Adds 2.5% to base avoidance.',100,1,1),
(179230,10105148,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(179231,10105148,'Increases Parry of caster by 13.0',100,1,3),
(179232,10105148,'Increases Defense of caster by 17.3',100,1,4),
(179233,36668,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(179234,111335,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(179235,111335,'Inflicts 343 - 419 mental damage on target',100,2,1),
(179236,111335,'Grants a total of 3 triggers of the spell.',100,2,2),
(179237,10111335,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(179238,10111335,'Inflicts 412 - 503 mental damage on target',100,2,1),
(179239,10111335,'Grants a total of 3 triggers of the spell.',100,2,2),
(179240,37502,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(179241,146189,'When Equipped:',100,0,0),
(179242,146189,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(179243,146189,'Wards caster against 150 points of all damage',100,2,2),
(179244,146189,'Cannot be modified except by direct means',100,2,3),
(179245,10146189,'When Equipped:',100,0,0),
(179246,10146189,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(179247,10146189,'Wards caster against 150 points of all damage',100,2,2),
(179248,10146189,'Cannot be modified except by direct means',100,2,3),
(179249,105787,'Inflicts 853 - 1042 heat damage on target',100,1,0),
(179250,10105787,'Inflicts 1364 - 1668 heat damage on target',100,1,0),
(179251,120820,'Inflicts 10 - 14 disease damage on target instantly and every second',100,1,0),
(179252,10120820,'Inflicts 17 - 23 disease damage on target',100,1,0),
(179253,10120820,'Inflicts 12 - 17 disease damage on target every second',100,1,1),
(179254,119839,'Dazes target',100,1,0),
(179255,119839,'Does not affect Epic targets',100,1,1),
(179256,119839,'Resistibility increases against targets higher than level 64.',100,1,2),
(179257,10119839,'Dazes target',100,1,0),
(179258,10119839,'Does not affect Epic targets',100,1,1),
(179259,10119839,'Resistibility increases against targets higher than level 64.',100,1,2),
(179260,46928,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(179261,46928,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(179262,46928,'Inflicts 206 poison damage on target',100,2,2),
(179263,46928,'Inflicts 60 poison damage on target instantly and every 6 seconds',100,2,3),
(179264,46928,'Cannot be modified except by direct means',100,2,4),
(179265,46928,'Grants a total of 200 triggers of the spell.',100,2,5),
(179266,10046928,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(179267,10046928,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(179268,10046928,'Inflicts 54 poison damage on target instantly and every 6 seconds',100,2,2),
(179269,10046928,'Inflicts 185 poison damage on target',100,2,3),
(179270,10046928,'Cannot be modified except by direct means',100,2,4),
(179271,10046928,'Grants a total of 200 triggers of the spell.',100,2,5),
(179272,35647,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(179273,123567,'Increases STR of group members (AE) by 24.6',100,1,0),
(179274,123567,'Increases Max Health of group members (AE) by 190.4',100,1,1),
(179275,10123567,'Increases STR of group members (AE) by 24.6',100,1,0),
(179276,10123567,'Increases Max Health of group members (AE) by 190.4',100,1,1),
(179277,114878,'Decreases AGI of target by 85.8',100,1,0),
(179278,114878,'Decreases Defense of target by 32.4',100,1,1),
(179279,10114878,'Decreases AGI of target by 85.8',100,1,0),
(179280,10114878,'Decreases Defense of target by 32.4',100,1,1),
(179281,118909,'Increases Damage Per Second of caster by 33.3',100,1,0),
(179282,10118909,'Increases Damage Per Second of caster by 33.3',100,1,0),
(179283,35537,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(179284,82017,'When Equipped:',100,0,0),
(179285,82017,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179286,82017,'Inflicts 122 - 226 magic damage on target',100,2,2),
(179287,82017,'Cannot be modified except by direct means',100,2,3),
(179288,10082017,'When Equipped:',100,0,0),
(179289,10082017,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179290,10082017,'Inflicts 146 - 272 magic damage on target',100,2,2),
(179291,10082017,'Cannot be modified except by direct means',100,2,3),
(179292,123600,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(179293,123600,'Increases Defense of target by 16.2',100,1,1),
(179294,10123600,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(179295,10123600,'Increases Defense of target by 16.2',100,1,1),
(179296,124249,'Decreases power of target by 18 - 30',100,1,0),
(179297,124249,'Inflicts 48 - 80 mental damage on target',100,1,1),
(179298,10124249,'Decreases power of target by 18 - 30',100,1,0),
(179299,10124249,'Inflicts 57 - 96 mental damage on target',100,1,1),
(179300,111457,'Decreases Attack Speed of caster by 16.9',100,1,0),
(179301,111457,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(179302,111457,'Roots target',100,2,2),
(179303,111457,'5% chance to dispel when target takes damage',100,2,3),
(179304,111457,'5% chance to dispel when target receives hostile action',100,2,4),
(179305,111457,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(179306,111457,'Increases Mitigation of caster vs physical damage by 1104',100,1,6),
(179307,10111457,'Decreases Attack Speed of caster by 16.9',100,1,0),
(179308,10111457,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(179309,10111457,'Roots target',100,2,2),
(179310,10111457,'5% chance to dispel when target takes damage',100,2,3),
(179311,10111457,'5% chance to dispel when target receives hostile action',100,2,4),
(179312,10111457,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(179313,10111457,'Increases Mitigation of caster vs physical damage by 1104',100,1,6),
(179314,108361,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(179315,108361,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(179316,10108361,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(179317,10108361,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(179318,26130,'When Equipped:',100,0,0),
(179319,26130,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(179320,26130,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,2),
(179321,10026130,'When Equipped:',100,0,0),
(179322,10026130,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(179323,10026130,'Reduces the duration of Spinechiller Blood X by 10 seconds.',100,1,2),
(179324,114984,'Inflicts 114 - 190 ranged damage on targets in area',100,1,0),
(179325,114984,'You must be in stealth to use this!',100,1,1),
(179326,114984,'Requires bow',100,1,2),
(179327,10114984,'Inflicts 96 - 161 ranged damage on targets in area',100,1,0),
(179328,10114984,'You must be in stealth to use this!',100,1,1),
(179329,10114984,'Requires bow',100,1,2),
(179330,82227,'When Equipped:',100,0,0),
(179331,82227,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179332,82227,'Inflicts 31 - 57 magic damage on target',100,2,2),
(179333,82227,'Cannot be modified except by direct means',100,2,3),
(179334,10082227,'When Equipped:',100,0,0),
(179335,10082227,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179336,10082227,'Inflicts 37 - 68 magic damage on target',100,2,2),
(179337,10082227,'Cannot be modified except by direct means',100,2,3),
(179338,111365,'Inflicts 184 - 306 disease damage on target',100,1,0),
(179339,111365,'Heals caster for 122 - 204',100,1,1),
(179340,10111365,'Inflicts 220 - 367 disease damage on target',100,1,0),
(179341,10111365,'Heals caster for 80 - 133',100,1,1),
(179342,118205,'Increases Damage Per Second of group members (AE) by 24.2',100,1,0),
(179343,10118205,'Increases Damage Per Second of group members (AE) by 24.2',100,1,0),
(179344,87151,'When Equipped:',100,0,0),
(179345,87151,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179346,87151,'Inflicts 132 - 198 magic damage on target',100,2,2),
(179347,87151,'Cannot be modified except by direct means',100,2,3),
(179348,10087151,'When Equipped:',100,0,0),
(179349,10087151,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179350,10087151,'Inflicts 158 - 238 magic damage on target',100,2,2),
(179351,10087151,'Cannot be modified except by direct means',100,2,3),
(179352,151720,'When Equipped:',100,0,0),
(179353,151720,'On a healing spell cast this spell may cast Planar Mender''s Aura on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(179354,151720,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(179355,151720,'Increases the caster''s heals and wards by 10%.',100,2,3),
(179356,151720,'Increases healing received by 3.00%',100,2,4),
(179357,151720,'Must not be engaged in pvp combat',100,2,5),
(179358,151720,'Cannot be modified except by direct means',100,2,6),
(179359,151720,'Must not be engaged in pvp combat',100,1,7),
(179360,10151720,'When Equipped:',100,0,0),
(179361,10151720,'On a healing spell cast this spell may cast Planar Mender''s Aura on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(179362,10151720,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(179363,10151720,'Increases the caster''s heals and wards by 10%.',100,2,3),
(179364,10151720,'Increases healing received by 3.00%',100,2,4),
(179365,10151720,'Must not be engaged in pvp combat',100,2,5),
(179366,10151720,'Cannot be modified except by direct means',100,2,6),
(179367,10151720,'Must not be engaged in pvp combat',100,1,7),
(179368,100603,'Inflicts 483 - 805 melee damage on target',100,1,0),
(179369,100603,'You must be sneaking to use this ability.',100,1,1),
(179370,10100603,'Inflicts 692 - 1153 melee damage on target',100,1,0),
(179371,10100603,'You must be sneaking to use this ability.',100,1,1),
(179372,80852,'When Equipped:',100,0,0),
(179373,80852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179374,80852,'Inflicts 190 - 352 magic damage on target',100,2,2),
(179375,80852,'Cannot be modified except by direct means',100,2,3),
(179376,10080852,'When Equipped:',100,0,0),
(179377,10080852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179378,10080852,'Inflicts 228 - 423 magic damage on target',100,2,2),
(179379,10080852,'Cannot be modified except by direct means',100,2,3),
(179380,81449,'When Equipped:',100,0,0),
(179381,81449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179382,81449,'Inflicts 77 - 144 magic damage on target',100,2,2),
(179383,81449,'Cannot be modified except by direct means',100,2,3),
(179384,10081449,'When Equipped:',100,0,0),
(179385,10081449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179386,10081449,'Inflicts 93 - 173 magic damage on target',100,2,2),
(179387,10081449,'Cannot be modified except by direct means',100,2,3),
(179388,114747,'Inflicts 2048 - 3413 melee damage on target',100,1,0),
(179389,114747,'You must be in stealth.',100,1,1),
(179390,10114747,'Inflicts 1464 - 2440 melee damage on target',100,1,0),
(179391,10114747,'You must be in stealth.',100,1,1),
(179392,105442,'Summon 1 Dark Heart (Expert)',100,1,0),
(179393,10105442,'Summon 1 Dark Heart (Expert)',100,1,0),
(179394,113249,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(179395,113249,'Inflicts 41 - 68 magic damage on target',100,2,1),
(179396,113249,'Grants a total of 8 triggers of the spell.',100,2,2),
(179397,10113249,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(179398,10113249,'Inflicts 49 - 81 magic damage on target',100,2,1),
(179399,10113249,'Grants a total of 8 triggers of the spell.',100,2,2),
(179400,177475,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(179401,177475,'Decreases Attack Speed of target by 14.6',100,1,1),
(179402,177475,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(179403,10177475,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(179404,10177475,'Decreases Attack Speed of target by 14.6',100,1,1),
(179405,10177475,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(179406,142995,'When Equipped:',100,0,0),
(179407,142995,'When damaged with a melee weapon this spell has a 4% chance to cast Majesty on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(179408,142995,'Stuns target',100,2,2),
(179409,142995,'Only affects targets level 88 and below',100,2,3),
(179410,142995,'Does not affect Epic targets',100,2,4),
(179411,142995,'Resistibility increases against targets higher than level 101.',100,2,5),
(179412,142995,'Cannot be modified except by direct means',100,2,6),
(179413,10142995,'When Equipped:',100,0,0),
(179414,10142995,'When damaged with a melee weapon this spell has a 4% chance to cast Majesty on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(179415,10142995,'Stuns target',100,2,2),
(179416,10142995,'Only affects targets level 88 and below',100,2,3),
(179417,10142995,'Does not affect Epic targets',100,2,4),
(179418,10142995,'Resistibility increases against targets higher than level 101.',100,2,5),
(179419,10142995,'Cannot be modified except by direct means',100,2,6),
(179420,103174,'Throws target back',100,1,0),
(179421,103174,'If Target is not Epic',100,2,1),
(179422,103174,'Inflicts 125 - 377 crushing damage on target',100,1,2),
(179423,103174,'Stuns target',100,1,3),
(179424,103174,'If Target is not Epic',100,2,4),
(179425,103174,'Resistibility increases against targets higher than level 108.',100,1,5),
(179426,10103174,'Throws target back',100,1,0),
(179427,10103174,'If Target is not Epic',100,2,1),
(179428,10103174,'Inflicts 151 - 453 crushing damage on target',100,1,2),
(179429,10103174,'Stuns target',100,1,3),
(179430,10103174,'If Target is not Epic',100,2,4),
(179431,10103174,'Resistibility increases against targets higher than level 108.',100,1,5),
(179432,75449,'When Equipped:',100,0,0),
(179433,75449,'On a critical combat hit this spell may cast Endless Wounds VI on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(179434,75449,'Inflicts 39 - 43 cold damage on target',100,2,2),
(179435,75449,'Inflicts 48 - 53 cold damage on target every 2 seconds',100,2,3),
(179436,75449,'Inflicts an additional 9 - 10 cold damage on target every tick',100,2,4),
(179437,75449,'Must not be engaged in pvp combat',100,2,5),
(179438,75449,'Cannot be modified except by direct means',100,2,6),
(179439,75449,'On a critical spell hit this spell may cast Endless Wounds VI on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(179440,75449,'Inflicts 39 - 43 cold damage on target',100,2,8),
(179441,75449,'Inflicts 48 - 53 cold damage on target every 2 seconds',100,2,9),
(179442,75449,'Inflicts an additional 9 - 10 cold damage on target every tick',100,2,10),
(179443,75449,'Must not be engaged in pvp combat',100,2,11),
(179444,75449,'Cannot be modified except by direct means',100,2,12),
(179445,75449,'Must not be engaged in pvp combat',100,1,13),
(179446,10075449,'When Equipped:',100,0,0),
(179447,10075449,'On a critical combat hit this spell may cast Endless Wounds VI on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(179448,10075449,'Inflicts 46 - 51 cold damage on target',100,2,2),
(179449,10075449,'Inflicts 58 - 64 cold damage on target every 2 seconds',100,2,3),
(179450,10075449,'Inflicts an additional 9 - 10 cold damage on target every tick',100,2,4),
(179451,10075449,'Must not be engaged in pvp combat',100,2,5),
(179452,10075449,'Cannot be modified except by direct means',100,2,6),
(179453,10075449,'On a critical spell hit this spell may cast Endless Wounds VI on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(179454,10075449,'Inflicts 46 - 51 cold damage on target',100,2,8),
(179455,10075449,'Inflicts 58 - 64 cold damage on target every 2 seconds',100,2,9),
(179456,10075449,'Inflicts an additional 9 - 10 cold damage on target every tick',100,2,10),
(179457,10075449,'Must not be engaged in pvp combat',100,2,11),
(179458,10075449,'Cannot be modified except by direct means',100,2,12),
(179459,10075449,'Must not be engaged in pvp combat',100,1,13),
(179460,81972,'When Equipped:',100,0,0),
(179461,81972,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179462,81972,'Inflicts 261 - 484 magic damage on target',100,2,2),
(179463,81972,'Cannot be modified except by direct means',100,2,3),
(179464,10081972,'When Equipped:',100,0,0),
(179465,10081972,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179466,10081972,'Inflicts 313 - 581 magic damage on target',100,2,2),
(179467,10081972,'Cannot be modified except by direct means',100,2,3),
(179468,160558,'When Equipped:',100,0,0),
(179469,160558,'On any combat or spell hit this spell may cast Stinging Barbs on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(179470,160558,'Decreases Damage Per Second of target by 7.0',100,2,2),
(179471,160558,'Cannot be modified except by direct means',100,2,3),
(179472,10160558,'When Equipped:',100,0,0),
(179473,10160558,'On any combat or spell hit this spell may cast Stinging Barbs on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(179474,10160558,'Decreases Damage Per Second of target by 7.0',100,2,2),
(179475,10160558,'Cannot be modified except by direct means',100,2,3),
(179476,124633,'Heals group members (AE) for 692 - 846',100,1,0),
(179477,124633,'Heals group members (AE) for 117 - 143 every second',100,1,1),
(179478,10124633,'Heals group members (AE) for 1011 - 1236',100,1,0),
(179479,10124633,'Heals group members (AE) for 126 - 154 every second',100,1,1),
(179480,104786,'Charms target',100,1,0),
(179481,104786,'If outside an arena',100,1,1),
(179482,104786,'Certain enemies cannot be charmed',100,1,2),
(179483,104786,'Does not affect Epic targets',100,1,3),
(179484,10104786,'Charms target',100,1,0),
(179485,10104786,'If outside an arena',100,1,1),
(179486,10104786,'Certain enemies cannot be charmed',100,1,2),
(179487,10104786,'Does not affect Epic targets',100,1,3),
(179488,159998,'Applies Lambent Imbued when Equipped.',100,0,0),
(179489,159998,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(179490,159998,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(179491,159998,'Cannot be modified except by direct means',100,2,3),
(179492,10159998,'Applies Lambent Imbued when Equipped.',100,0,0),
(179493,10159998,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(179494,10159998,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(179495,10159998,'Cannot be modified except by direct means',100,2,3),
(179496,144227,'When Equipped:',100,0,0),
(179497,144227,'Increases Attack Speed of caster by 40.0',100,1,1),
(179498,10144227,'When Equipped:',100,0,0),
(179499,10144227,'Increases Attack Speed of caster by 40.0',100,1,1),
(179500,123722,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(179501,123722,'Inflicts 288 divine damage on target',100,2,1),
(179502,123722,'Grants a total of 5 triggers of the spell.',100,2,2),
(179503,10123722,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(179504,10123722,'Inflicts 345 divine damage on target',100,2,1),
(179505,10123722,'Grants a total of 5 triggers of the spell.',100,2,2),
(179506,159712,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(179507,159712,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(179508,159712,'Inflicts 60 heat damage on target',100,2,2),
(179509,159712,'Cannot be modified except by direct means',100,2,3),
(179510,10159712,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(179511,10159712,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(179512,10159712,'Inflicts 72 heat damage on target',100,2,2),
(179513,10159712,'Cannot be modified except by direct means',100,2,3),
(179514,107034,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(179515,107034,'Inflicts 25 - 42 divine damage on target',100,2,1),
(179516,107034,'Inflicts 25 - 42 divine damage on target',100,2,2),
(179517,107034,'If target is undead',100,3,3),
(179518,10107034,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(179519,10107034,'Inflicts 50 - 84 divine damage on target',100,2,1),
(179520,107245,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(179521,107245,'Slows target by 38.2%',100,2,1),
(179522,107245,'5% chance to dispel when target receives hostile action',100,2,2),
(179523,107245,'5% chance to dispel when target takes damage',100,2,3),
(179524,107245,'Inflicts 26 - 32 disease damage on target every 4 seconds',100,1,4),
(179525,107245,'Slows target by 38.2%',100,1,5),
(179526,107245,'5% chance to dispel when target receives hostile action',100,1,6),
(179527,107245,'5% chance to dispel when target takes damage',100,1,7),
(179528,10107245,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(179529,10107245,'Slows target by 38.2%',100,2,1),
(179530,10107245,'5% chance to dispel when target receives hostile action',100,2,2),
(179531,10107245,'5% chance to dispel when target takes damage',100,2,3),
(179532,10107245,'Inflicts 31 - 38 disease damage on target every 2.5 seconds',100,1,4),
(179533,10107245,'Slows target by 38.2%',100,1,5),
(179534,10107245,'5% chance to dispel when target receives hostile action',100,1,6),
(179535,10107245,'5% chance to dispel when target takes damage',100,1,7),
(179536,82833,'When Equipped:',100,0,0),
(179537,82833,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179538,82833,'Inflicts 224 - 416 magic damage on target',100,2,2),
(179539,82833,'Cannot be modified except by direct means',100,2,3),
(179540,10082833,'When Equipped:',100,0,0),
(179541,10082833,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179542,10082833,'Inflicts 269 - 499 magic damage on target',100,2,2),
(179543,10082833,'Cannot be modified except by direct means',100,2,3),
(179544,36021,'Increases AGI and STA of target by 5.4',100,0,0),
(179545,36021,'Increases Damage Per Second of target by 10.0',100,0,1),
(179546,36021,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(179547,141849,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(179548,141849,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(179549,141849,'Inflicts 13 heat damage on target',100,2,2),
(179550,141849,'Cannot be modified except by direct means',100,2,3),
(179551,10141849,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(179552,10141849,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(179553,10141849,'Inflicts 15 heat damage on target',100,2,2),
(179554,10141849,'Cannot be modified except by direct means',100,2,3),
(179555,26973,'When Equipped:',100,0,0),
(179556,26973,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(179557,26973,'Inflicts 42 piercing damage on target',100,2,2),
(179558,26973,'Cannot be modified except by direct means',100,2,3),
(179559,10026973,'When Equipped:',100,0,0),
(179560,10026973,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(179561,10026973,'Inflicts 51 piercing damage on target',100,2,2),
(179562,10026973,'Cannot be modified except by direct means',100,2,3),
(179563,123840,'Increases WIS and STR of group members (AE) by 17.1',100,1,0),
(179564,10123840,'Increases WIS and STR of group members (AE) by 17.1',100,1,0),
(179565,122330,'Applies Partners in Crime: Increases potency of the partner by 6%.',100,1,0),
(179566,122330,'If five combat arts are used within five seconds.',100,2,1),
(179567,122330,'Applies Accomplice: Increases potency of the partner by 4%.',100,1,2),
(179568,122330,'If three combat arts are used within five seconds.',100,2,3),
(179569,122330,'Both Accomplice and Partners in Crime can be active at once.',100,1,4),
(179570,122330,'If not brigand',100,1,5),
(179571,122330,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(179572,10122330,'Applies Partners in Crime: Increases potency of the partner by 6%.',100,1,0),
(179573,10122330,'If five combat arts are used within five seconds.',100,2,1),
(179574,10122330,'Applies Accomplice: Increases potency of the partner by 4%.',100,1,2),
(179575,10122330,'If three combat arts are used within five seconds.',100,2,3),
(179576,10122330,'Both Accomplice and Partners in Crime can be active at once.',100,1,4),
(179577,10122330,'If not brigand',100,1,5),
(179578,10122330,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(179579,100181,'Inflicts 800 - 1486 disease damage on target encounter',100,1,0),
(179580,10100181,'Inflicts 960 - 1784 disease damage on target encounter',100,1,0),
(179581,35769,'Increases AGI of target by 0.4',100,0,0),
(179582,35769,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(179583,105801,'Inflicts 357 - 436 heat damage on target',100,1,0),
(179584,10105801,'Inflicts 571 - 698 heat damage on target',100,1,0),
(179585,115224,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(179586,115224,'Decreases Mitigation of target vs noxious damage by 980',100,2,1),
(179587,115224,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(179588,115224,'Decreases Mitigation of target vs noxious damage by 980',100,2,3),
(179589,10115224,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(179590,10115224,'Decreases Mitigation of target vs noxious damage by 980',100,2,1),
(179591,10115224,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(179592,10115224,'Decreases Mitigation of target vs noxious damage by 980',100,2,3),
(179593,113093,'Heals target for 65.5 - 80.1% of max health',100,1,0),
(179594,113093,'This effect cannot be critically applied.',100,2,1),
(179595,113093,'Increases Max Health of target by 363.6',100,1,2),
(179596,113093,'Increases Mitigation of target vs physical damage by 476',100,1,3),
(179597,113093,'The healing of this spell cannot be modified except by direct means',100,1,4),
(179598,10113093,'Heals target for 26.2 - 32.0% of max health',100,1,0),
(179599,10113093,'This effect cannot be critically applied.',100,2,1),
(179600,10113093,'Increases Max Health of target by 363.6',100,1,2),
(179601,10113093,'Increases Mitigation of target vs physical damage by 476',100,1,3),
(179602,10113093,'The healing of this spell cannot be modified except by direct means',100,1,4),
(179603,173749,'When Equipped:',100,0,0),
(179604,173749,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(179605,173749,'Wards caster against 720 points of all damage',100,2,2),
(179606,173749,'Cannot be modified except by direct means',100,2,3),
(179607,173749,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(179608,173749,'Wards caster against 720 points of all damage',100,2,5),
(179609,173749,'Cannot be modified except by direct means',100,2,6),
(179610,10173749,'When Equipped:',100,0,0),
(179611,10173749,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(179612,10173749,'Wards caster against 360 points of all damage',100,2,2),
(179613,10173749,'Cannot be modified except by direct means',100,2,3),
(179614,10173749,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(179615,10173749,'Wards caster against 360 points of all damage',100,2,5),
(179616,10173749,'Cannot be modified except by direct means',100,2,6),
(179617,173029,'When Equipped:',100,0,0),
(179618,173029,'On any combat or spell hit this spell may cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(179619,173029,'Increases Hate Gain of caster by 1.5%',100,2,2),
(179620,173029,'Cannot be modified except by direct means',100,2,3),
(179621,173029,'When damaged in combat this spell has a 7% chance to cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(179622,173029,'Increases Hate Gain of caster by 1.5%',100,2,5),
(179623,173029,'Cannot be modified except by direct means',100,2,6),
(179624,10173029,'When Equipped:',100,0,0),
(179625,10173029,'On any combat or spell hit this spell may cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(179626,10173029,'Cannot be modified except by direct means',100,2,2),
(179627,10173029,'When damaged in combat this spell has a 7% chance to cast Lesser Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,3),
(179628,10173029,'Cannot be modified except by direct means',100,2,4),
(179629,114675,'Increases Threat to target by 1,519 - 1,856 ',100,1,0),
(179630,114675,'Interrupts target',100,1,1),
(179631,10114675,'Interrupts target',100,1,0),
(179632,10114675,'Forces target to change their selected target to caster.',100,1,1),
(179633,10114675,'Prevents target from changing targets',100,1,2),
(179634,110999,'Heals target for 577 - 705 instantly and every 2 seconds',100,1,0),
(179635,110999,'Increases power of target by 45 - 55 instantly and every 2 seconds',100,1,1),
(179636,10110999,'Heals target for 375 - 458 instantly and every 2 seconds',100,1,0),
(179637,10110999,'Increases power of target by 45 - 55 instantly and every 2 seconds',100,1,1),
(179638,120924,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(179639,120924,'Inflicts 325 - 397 mental damage on target',100,2,1),
(179640,120924,'Grants a total of 3 triggers of the spell.',100,2,2),
(179641,10120924,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(179642,10120924,'Inflicts 390 - 477 mental damage on target',100,2,1),
(179643,10120924,'Grants a total of 3 triggers of the spell.',100,2,2),
(179644,80919,'When Equipped:',100,0,0),
(179645,80919,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179646,80919,'Inflicts 190 - 352 magic damage on target',100,2,2),
(179647,80919,'Cannot be modified except by direct means',100,2,3),
(179648,10080919,'When Equipped:',100,0,0),
(179649,10080919,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179650,10080919,'Inflicts 228 - 423 magic damage on target',100,2,2),
(179651,10080919,'Cannot be modified except by direct means',100,2,3),
(179652,36267,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(179653,82240,'When Equipped:',100,0,0),
(179654,82240,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(179655,82240,'Inflicts 31 - 57 magic damage on target',100,2,2),
(179656,82240,'Decreases Threat to target by 135 ',100,2,3),
(179657,82240,'Must be flanking or behind',100,3,4),
(179658,82240,'Increases Threat to target by 140 ',100,2,5),
(179659,82240,'Must be in front of',100,3,6),
(179660,82240,'Cannot be modified except by direct means',100,2,7),
(179661,10082240,'When Equipped:',100,0,0),
(179662,10082240,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(179663,10082240,'Inflicts 37 - 68 magic damage on target',100,2,2),
(179664,10082240,'Cannot be modified except by direct means',100,2,3),
(179665,36491,'Increases STR of target by 0.4',100,0,0),
(179666,36491,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(179667,102228,'Increases Max Health of group members (AE) by 609.3',100,1,0),
(179668,10102228,'Increases Max Health of group members (AE) by 609.3',100,1,0),
(179669,35190,'Increases Max Power of target by 3.3',100,0,0),
(179670,35190,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(179671,27369,'When Equipped:',100,0,0),
(179672,27369,'Increases all heat damage by up to 10.',100,1,1),
(179673,10027369,'When Equipped:',100,0,0),
(179674,10027369,'Increases all heat damage by up to 10.',100,1,1),
(179675,113895,'Increases power of target by 223',100,1,0),
(179676,10113895,'Increases power of target by 223',100,1,0),
(179677,112370,'Makes target afraid',100,1,0),
(179678,112370,'30% chance to dispel when target takes damage',100,1,1),
(179679,112370,'Does not affect Epic targets',100,1,2),
(179680,112370,'Resistibility increases against targets higher than level 79.',100,1,3),
(179681,10112370,'Makes target afraid',100,1,0),
(179682,10112370,'30% chance to dispel when target takes damage',100,1,1),
(179683,10112370,'Does not affect Epic targets',100,1,2),
(179684,10112370,'Resistibility increases against targets higher than level 79.',100,1,3),
(179685,117690,'Decreases Mitigation of target vs physical damage by 1282',100,1,0),
(179686,10117690,'Decreases Mitigation of target vs physical damage by 641',100,1,0),
(179687,115316,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(179688,115316,'Makes target afraid',100,2,1),
(179689,115316,'Slows target by 31.0%',100,2,2),
(179690,115316,'30% chance to dispel when target takes damage',100,2,3),
(179691,115316,'Does not affect Epic targets',100,2,4),
(179692,115316,'Resistibility increases against targets higher than level 34.',100,2,5),
(179693,115316,'Roots target',100,1,6),
(179694,115316,'15% chance to dispel when target takes damage',100,1,7),
(179695,115316,'Does not affect Epic targets',100,1,8),
(179696,115316,'Resistibility increases against targets higher than level 34.',100,1,9),
(179697,10115316,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(179698,10115316,'Makes target afraid',100,2,1),
(179699,10115316,'Slows target by 31.0%',100,2,2),
(179700,10115316,'30% chance to dispel when target takes damage',100,2,3),
(179701,10115316,'Does not affect Epic targets',100,2,4),
(179702,10115316,'Resistibility increases against targets higher than level 34.',100,2,5),
(179703,10115316,'Roots target',100,1,6),
(179704,10115316,'15% chance to dispel when target takes damage',100,1,7),
(179705,10115316,'Does not affect Epic targets',100,1,8),
(179706,10115316,'Resistibility increases against targets higher than level 34.',100,1,9),
(179707,45903,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(179708,45903,'Increases AGI of caster by 60.5',100,1,1),
(179709,10045903,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(179710,10045903,'Increases AGI of caster by 60.5',100,1,1),
(179711,101037,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(179712,101037,'Inflicts 195 poison damage on target instantly and every 4 seconds',100,2,1),
(179713,101037,'If profession other than Predator',100,1,2),
(179714,101037,'If profession other than Rogue',100,1,3),
(179715,10101037,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(179716,10101037,'Inflicts 234 poison damage on target instantly and every 4 seconds',100,2,1),
(179717,10101037,'If profession other than Predator',100,1,2),
(179718,10101037,'If profession other than Rogue',100,1,3),
(179719,118014,'Wards target against 3024 points of all damage',100,1,0),
(179720,10118014,'Wards target against 3024 points of all damage',100,1,0),
(179721,124785,'Increases STR of caster by 42.2',100,1,0),
(179722,124785,'Decreases Defense of caster by 4.8',100,1,1),
(179723,124785,'Increases Crushing, Piercing, Slashing and Disruption of caster by 11.5',100,1,2),
(179724,10124785,'Increases STR of caster by 42.2',100,1,0),
(179725,10124785,'Decreases Defense of caster by 4.8',100,1,1),
(179726,10124785,'Increases Crushing, Piercing, Slashing and Disruption of caster by 11.5',100,1,2),
(179727,53977,'When Equipped:',100,0,0),
(179728,53977,'Grants a 5.0% chance to resist Stun effects',100,1,1),
(179729,53977,'On any combat or spell hit this spell may cast Divine Aegis on the group.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(179730,53977,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 830',100,2,3),
(179731,53977,'Increases Mitigation of group members (AE) vs arcane damage by 1245',100,2,4),
(179732,53977,'Cannot be modified except by direct means',100,2,5),
(179733,10053977,'When Equipped:',100,0,0),
(179734,10053977,'Grants a 5.0% chance to resist Stun effects',100,1,1),
(179735,10053977,'On any combat or spell hit this spell may cast Divine Aegis on the group.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(179736,10053977,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 830',100,2,3),
(179737,10053977,'Increases Mitigation of group members (AE) vs arcane damage by 1245',100,2,4),
(179738,10053977,'Cannot be modified except by direct means',100,2,5),
(179739,121138,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(179740,121138,'Increases Mitigation of group members (AE) vs noxious damage by 164',100,1,1),
(179741,10121138,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(179742,10121138,'Increases Mitigation of group members (AE) vs noxious damage by 164',100,1,1),
(179743,26670,'When Equipped:',100,0,0),
(179744,26670,'Adds a positional threat reduction component to Miracle Shot V.',100,1,1),
(179745,26670,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(179746,10026670,'When Equipped:',100,0,0),
(179747,10026670,'Adds a positional threat reduction component to Miracle Shot V.',100,1,1),
(179748,10026670,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(179749,116729,'Inflicts 343 - 573 melee damage on target',100,1,0),
(179750,10116729,'Inflicts 412 - 687 melee damage on target',100,1,0),
(179751,107515,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(179752,10107515,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(179753,107384,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(179754,107384,'Slows target by 45.6%',100,2,1),
(179755,107384,'5% chance to dispel when target receives hostile action',100,2,2),
(179756,107384,'5% chance to dispel when target takes damage',100,2,3),
(179757,107384,'Inflicts 287 - 479 disease damage on target',100,1,4),
(179758,10107384,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(179759,10107384,'Slows target by 45.6%',100,2,1),
(179760,10107384,'5% chance to dispel when target receives hostile action',100,2,2),
(179761,10107384,'5% chance to dispel when target takes damage',100,2,3),
(179762,10107384,'Inflicts 345 - 574 disease damage on target',100,1,4),
(179763,102343,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(179764,102343,'Increases Damage Per Second of target by 7.4',100,2,1),
(179765,102343,'Increases Attack Speed of target by 7.4',100,2,2),
(179766,102343,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(179767,102343,'Increases Damage Per Second of target by 7.4',100,2,4),
(179768,102343,'Increases Attack Speed of target by 7.4',100,2,5),
(179769,102343,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(179770,102343,'Increases Damage Per Second of target by 7.4',100,2,7),
(179771,102343,'Increases Attack Speed of target by 7.4',100,2,8),
(179772,10102343,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(179773,10102343,'Increases Damage Per Second of target by 7.4',100,2,1),
(179774,10102343,'Increases Attack Speed of target by 7.4',100,2,2),
(179775,10102343,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(179776,10102343,'Increases Damage Per Second of target by 7.4',100,2,4),
(179777,10102343,'Increases Attack Speed of target by 7.4',100,2,5),
(179778,10102343,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(179779,10102343,'Increases Damage Per Second of target by 7.4',100,2,7),
(179780,10102343,'Increases Attack Speed of target by 7.4',100,2,8),
(179781,47795,'Applies Aura of the Ogre when Activated.',100,0,0),
(179782,47795,'Casts flies on the user',100,1,1),
(179783,10047795,'Applies Aura of the Ogre when Activated.',100,0,0),
(179784,10047795,'Casts flies on the user',100,1,1),
(179785,174330,'When Equipped:',100,0,0),
(179786,174330,'On a hostile spell hit this spell may cast Forgotten Dreams on caster.  Lasts for 30.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(179787,174330,'Increases power of caster by 262',100,2,2),
(179788,174330,'Wards caster against 500 points of all damage',100,2,3),
(179789,174330,'Cannot be modified except by direct means',100,2,4),
(179790,10174330,'When Equipped:',100,0,0),
(179791,10174330,'On a hostile spell hit this spell may cast Forgotten Dreams on caster.  Lasts for 30.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(179792,10174330,'Increases power of caster by 262',100,2,2),
(179793,10174330,'Wards caster against 500 points of all damage',100,2,3),
(179794,10174330,'Cannot be modified except by direct means',100,2,4),
(179795,144285,'When Equipped:',100,0,0),
(179796,144285,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(179797,144285,'Must not be engaged in pvp combat',100,1,2),
(179798,10144285,'When Equipped:',100,0,0),
(179799,10144285,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(179800,10144285,'Must not be engaged in pvp combat',100,1,2),
(179801,122831,'Inflicts 433 - 722 ranged damage on target',100,1,0),
(179802,122831,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(179803,122831,'Increases Hate Gain of target by 30.0%',100,2,2),
(179804,122831,'Grants a total of 1 trigger of the spell.',100,2,3),
(179805,122831,'Requires bow',100,1,4),
(179806,10122831,'Inflicts 368 - 613 ranged damage on target',100,1,0),
(179807,10122831,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(179808,10122831,'Grants a total of 1 trigger of the spell.',100,2,2),
(179809,10122831,'Requires bow',100,1,3),
(179810,71632,'When Equipped:',100,0,0),
(179811,71632,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(179812,71632,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(179813,71632,'Cannot be modified except by direct means',100,2,3),
(179814,10071632,'When Equipped:',100,0,0),
(179815,10071632,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(179816,10071632,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(179817,10071632,'Cannot be modified except by direct means',100,2,3),
(179818,158814,'When Equipped:',100,0,0),
(179819,158814,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(179820,158814,'Decreases threat priority of target by 1 position',100,2,2),
(179821,158814,'Cannot be modified except by direct means',100,2,3),
(179822,10158814,'When Equipped:',100,0,0),
(179823,10158814,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(179824,10158814,'Cannot be modified except by direct means',100,2,2),
(179825,100322,'Inflicts 27 - 33 divine damage on target',100,1,0),
(179826,100322,'Dazes target',100,1,1),
(179827,100322,'If Target is not Epic',100,2,2),
(179828,100322,'Dispelled when target receives hostile action',100,1,3),
(179829,100322,'Dispelled when target takes damage',100,1,4),
(179830,100322,'Resistibility increases against targets higher than level 39.',100,1,5),
(179831,10100322,'Inflicts 32 - 40 divine damage on target',100,1,0),
(179832,10100322,'Dazes target',100,1,1),
(179833,10100322,'If Target is not Epic',100,2,2),
(179834,10100322,'Dispelled when target receives hostile action',100,1,3),
(179835,10100322,'Dispelled when target takes damage',100,1,4),
(179836,10100322,'Resistibility increases against targets higher than level 39.',100,1,5),
(179837,102861,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(179838,102861,'Blurs vision of target',100,2,1),
(179839,102861,'Stuns target',100,2,2),
(179840,102861,'Throws target back',100,2,3),
(179841,102861,'Does not affect Epic targets',100,2,4),
(179842,102861,'Inflicts 204 - 612 melee damage on targets in area',100,1,5),
(179843,10102861,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(179844,10102861,'Stuns target',100,2,1),
(179845,10102861,'Throws target back',100,2,2),
(179846,10102861,'Blurs vision of target',100,2,3),
(179847,10102861,'Does not affect Epic targets',100,2,4),
(179848,10102861,'Inflicts 244 - 734 melee damage on targets in area',100,1,5),
(179849,100385,'Summons a pet aery hunter',100,1,0),
(179850,10100385,'Summons a pet aery hunter',100,1,0),
(179851,119836,'Dazes target',100,1,0),
(179852,119836,'Does not affect Epic targets',100,1,1),
(179853,119836,'Resistibility increases against targets higher than level 64.',100,1,2),
(179854,10119836,'Dazes target',100,1,0),
(179855,10119836,'Does not affect Epic targets',100,1,1),
(179856,10119836,'Resistibility increases against targets higher than level 64.',100,1,2),
(179857,27402,'When Equipped:',100,0,0),
(179858,27402,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(179859,27402,'Inflicts 120 magic damage on target',100,2,2),
(179860,27402,'Cannot be modified except by direct means',100,2,3),
(179861,10027402,'When Equipped:',100,0,0),
(179862,10027402,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(179863,10027402,'Inflicts 144 magic damage on target',100,2,2),
(179864,10027402,'Cannot be modified except by direct means',100,2,3),
(179865,25589,'When Equipped:',100,0,0),
(179866,25589,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(179867,25589,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(179868,10025589,'When Equipped:',100,0,0),
(179869,10025589,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(179870,10025589,'Improves the potency of Lethargy III by 20% while reducing the target''s Crit Chance by 5%.',100,1,2),
(179871,114557,'Heals target for 684 - 836',100,1,0),
(179872,10114557,'Heals target for 889 - 1087',100,1,0),
(179873,82349,'When Equipped:',100,0,0),
(179874,82349,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179875,82349,'Inflicts 28 - 51 magic damage on target',100,2,2),
(179876,82349,'Cannot be modified except by direct means',100,2,3),
(179877,10082349,'When Equipped:',100,0,0),
(179878,10082349,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(179879,10082349,'Inflicts 33 - 61 magic damage on target',100,2,2),
(179880,10082349,'Cannot be modified except by direct means',100,2,3),
(179881,120031,'Inflicts 53 - 65 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(179882,120031,'Decreases power of target encounter by 18 instantly and every 4 seconds',100,1,1),
(179883,10120031,'Inflicts 64 - 78 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(179884,10120031,'Decreases power of target encounter by 18 instantly and every 4 seconds',100,1,1),
(179885,186996,'When Equipped:',100,0,0),
(179886,186996,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(179887,186996,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(179888,186996,'Cannot be modified except by direct means',100,2,3),
(179889,10186996,'When Equipped:',100,0,0),
(179890,10186996,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(179891,10186996,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(179892,10186996,'Cannot be modified except by direct means',100,2,3),
(179893,112899,'Inflicts 486 - 595 melee damage on target',100,1,0),
(179894,112899,'Decreases Mitigation of target vs physical damage by 548',100,1,1),
(179895,112899,'Must be flanking or behind',100,1,2),
(179896,10112899,'Inflicts 584 - 714 melee damage on target',100,1,0),
(179897,10112899,'Decreases Mitigation of target vs physical damage by 548',100,1,1),
(179898,10112899,'Must be flanking or behind',100,1,2),
(179899,72229,'When Equipped:',100,0,0),
(179900,72229,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(179901,72229,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(179902,72229,'Cannot be modified except by direct means',100,2,3),
(179903,10072229,'When Equipped:',100,0,0),
(179904,10072229,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(179905,10072229,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(179906,10072229,'Cannot be modified except by direct means',100,2,3),
(179907,102367,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(179908,102367,'Increases Damage Per Second of target by 14.6',100,2,1),
(179909,102367,'Increases Attack Speed of target by 14.6',100,2,2),
(179910,102367,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(179911,102367,'Increases Damage Per Second of target by 14.6',100,2,4),
(179912,102367,'Increases Attack Speed of target by 14.6',100,2,5),
(179913,102367,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(179914,102367,'Increases Damage Per Second of target by 14.6',100,2,7),
(179915,102367,'Increases Attack Speed of target by 14.6',100,2,8),
(179916,10102367,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(179917,10102367,'Increases Damage Per Second of target by 14.6',100,2,1),
(179918,10102367,'Increases Attack Speed of target by 14.6',100,2,2),
(179919,10102367,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(179920,10102367,'Increases Damage Per Second of target by 14.6',100,2,4),
(179921,10102367,'Increases Attack Speed of target by 14.6',100,2,5),
(179922,10102367,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(179923,10102367,'Increases Damage Per Second of target by 14.6',100,2,7),
(179924,10102367,'Increases Attack Speed of target by 14.6',100,2,8),
(179925,159169,'Applies Lambent Imbued when Equipped.',100,0,0),
(179926,159169,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(179927,159169,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(179928,159169,'Cannot be modified except by direct means',100,2,3),
(179929,10159169,'Applies Lambent Imbued when Equipped.',100,0,0),
(179930,10159169,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(179931,10159169,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(179932,10159169,'Cannot be modified except by direct means',100,2,3),
(179933,114195,'Inflicts 215 - 359 melee damage on target',100,1,0),
(179934,114195,'Decreases Slashing, Crushing and Piercing of target by 9.4',100,1,1),
(179935,10114195,'Inflicts 258 - 431 melee damage on target',100,1,0),
(179936,10114195,'Decreases Slashing, Crushing and Piercing of target by 9.4',100,1,1),
(179937,101394,'Inflicts 142 - 237 melee damage on target',100,1,0),
(179938,101394,'Returns the last arrow used to the ranger.',100,1,1),
(179939,10101394,'Inflicts 171 - 285 melee damage on target',100,1,0),
(179940,10101394,'Returns the last arrow used to the ranger.',100,1,1),
(179941,155618,'When Equipped:',100,0,0),
(179942,155618,'On a melee hit this spell may cast Ward of Security on caster.  Lasts for 12.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(179943,155618,'Wards caster against 200 points of all damage',100,2,2),
(179944,155618,'Cannot be modified except by direct means',100,2,3),
(179945,10155618,'When Equipped:',100,0,0),
(179946,10155618,'On a melee hit this spell may cast Ward of Security on caster.  Lasts for 12.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(179947,10155618,'Wards caster against 200 points of all damage',100,2,2),
(179948,10155618,'Cannot be modified except by direct means',100,2,3),
(179949,119995,'Increases Threat to target by 784 - 958 ',100,1,0),
(179950,10119995,'Prevents target from changing targets',100,1,0),
(179951,10119995,'Forces target to change their selected target to caster.',100,1,1),
(179952,72438,'When Equipped:',100,0,0),
(179953,72438,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(179954,72438,'Reduces healing received by 15.00%',100,2,2),
(179955,72438,'Cannot be modified except by direct means',100,2,3),
(179956,72438,'This effect can only trigger once every 1 second.',100,2,4),
(179957,72438,'Must be engaged in pvp combat',100,1,5),
(179958,10072438,'When Equipped:',100,0,0),
(179959,10072438,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(179960,10072438,'Reduces healing received by 15.00%',100,2,2),
(179961,10072438,'Cannot be modified except by direct means',100,2,3),
(179962,10072438,'This effect can only trigger once every 1 second.',100,2,4),
(179963,10072438,'Must be engaged in pvp combat',100,1,5),
(179964,35555,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(179965,177660,'When Equipped:',100,0,0),
(179966,177660,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(179967,177660,'Increases STA of caster by 8.3',100,2,2),
(179968,177660,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(179969,177660,'Cannot be modified except by direct means',100,2,4),
(179970,10177660,'When Equipped:',100,0,0),
(179971,10177660,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(179972,10177660,'Increases STA of caster by 8.3',100,2,2),
(179973,10177660,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(179974,10177660,'Cannot be modified except by direct means',100,2,4),
(179975,110144,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 6.2',100,1,0),
(179976,10110144,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 6.2',100,1,0),
(179977,112464,'Decreases AGI and WIS of target by 7.8',100,1,0),
(179978,10112464,'Decreases AGI and WIS of target by 7.8',100,1,0),
(179979,144691,'When Equipped:',100,0,0),
(179980,144691,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(179981,144691,'Reduces healing received by 15.00%',100,2,2),
(179982,144691,'Cannot be modified except by direct means',100,2,3),
(179983,144691,'This effect can only trigger once every 1 second.',100,2,4),
(179984,144691,'Must be engaged in pvp combat',100,1,5),
(179985,10144691,'When Equipped:',100,0,0),
(179986,10144691,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(179987,10144691,'Reduces healing received by 15.00%',100,2,2),
(179988,10144691,'Cannot be modified except by direct means',100,2,3),
(179989,10144691,'This effect can only trigger once every 1 second.',100,2,4),
(179990,10144691,'Must be engaged in pvp combat',100,1,5),
(179991,104413,'Stifles target encounter',100,1,0),
(179992,104413,'Inflicts 172 - 210 mental damage on target encounter instantly and every second',100,1,1),
(179993,104413,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(179994,104413,'Resistibility increases against targets higher than level 99.',100,1,3),
(179995,10104413,'Stifles target encounter',100,1,0),
(179996,10104413,'Inflicts 192 - 235 mental damage on target encounter instantly and every 0.4 seconds',100,1,1),
(179997,10104413,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(179998,10104413,'Resistibility increases against targets higher than level 99.',100,1,3),
(179999,117670,'Decreases Mitigation of target vs physical damage by 532',100,1,0),
(180000,10117670,'Decreases Mitigation of target vs physical damage by 266',100,1,0),
(180001,36175,'When any damage is received this spell will cast Magma Burn on target''s attacker.  ',100,0,0),
(180002,36175,'Inflicts 1 heat damage on target',100,1,1),
(180003,36175,'Increases Out-of-Combat Health Regeneration of caster by 10.0',100,0,2),
(180004,178541,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(180005,178541,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(180006,178541,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(180007,10178541,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(180008,10178541,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(180009,10178541,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(180010,71484,'When Equipped:',100,0,0),
(180011,71484,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180012,71484,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(180013,71484,'Cannot be modified except by direct means',100,2,3),
(180014,10071484,'When Equipped:',100,0,0),
(180015,10071484,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180016,10071484,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(180017,10071484,'Cannot be modified except by direct means',100,2,3),
(180018,117914,'Increases In-Combat Health Regeneration of group members (AE) by 92.3',100,1,0),
(180019,117914,'Increases Max Health of group members (AE) by 481.6',100,1,1),
(180020,10117914,'Increases In-Combat Health Regeneration of group members (AE) by 92.3',100,1,0),
(180021,10117914,'Increases Max Health of group members (AE) by 481.6',100,1,1),
(180022,122293,'Decreases Threat to targets in Area of Effect by 5,092 ',100,1,0),
(180023,122293,'Makes targets in Area of Effect afraid',100,1,1),
(180024,122293,'If Target is not Epic',100,2,2),
(180025,122293,'30% chance to dispel when target takes damage',100,1,3),
(180026,10122293,'Applies Distract.',100,1,0),
(180027,10122293,'Forces target to clear their selected target.',100,2,1),
(180028,10122293,'Makes targets in Area of Effect afraid',100,1,2),
(180029,10122293,'If Target is not Epic',100,2,3),
(180030,10122293,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(180031,10122293,'30% chance to dispel when target takes damage',100,1,5),
(180032,109520,'Inflicts 118 - 145 disease damage on target instantly and every 4 seconds',100,1,0),
(180033,109520,'Decreases Attack Speed of target by 7.8',100,1,1),
(180034,10109520,'Inflicts 142 - 174 disease damage on target instantly and every 4 seconds',100,1,0),
(180035,10109520,'Decreases Attack Speed of target by 7.8',100,1,1),
(180036,35383,'Increases INT of target by 0.4',100,0,0),
(180037,35383,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(180038,105541,'Inflicts 16 - 29 disease damage on target',100,1,0),
(180039,105541,'Inflicts 9 - 18 disease damage on target every 2 seconds',100,1,1),
(180040,10105541,'Inflicts 19 - 35 disease damage on target',100,1,0),
(180041,10105541,'Inflicts 11 - 21 disease damage on target every 2 seconds',100,1,1),
(180042,109664,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(180043,109664,'Inflicts 69 - 129 poison damage on target encounter',100,2,1),
(180044,10109664,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(180045,10109664,'Inflicts 83 - 154 poison damage on target encounter',100,2,1),
(180046,103061,'Inflicts 96 magic damage on target instantly and every 4 seconds',100,1,0),
(180047,103061,'Increases power of caster by 40 instantly and every 4 seconds',100,1,1),
(180048,10103061,'Inflicts 116 magic damage on target instantly and every 4 seconds',100,1,0),
(180049,10103061,'Increases power of caster by 40 instantly and every 4 seconds',100,1,1),
(180050,104987,'Reduces physical damage done to caster by 5%',100,1,0),
(180051,104987,'Adds 1.8% to base avoidance.',100,1,1),
(180052,104987,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(180053,104987,'Increases Parry of caster by 15.8',100,1,3),
(180054,104987,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(180055,104987,'Increases Aggression of caster by 9.5',100,1,5),
(180056,104987,'Increases Defense and Deflection of caster by 15.8',100,1,6),
(180057,104987,'Increases Mitigation of caster vs arcane damage by 1056',100,1,7),
(180058,104987,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(180059,10104987,'Reduces physical damage done to caster by 5%',100,1,0),
(180060,10104987,'Adds 1.8% to base avoidance.',100,1,1),
(180061,10104987,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(180062,10104987,'Increases Parry of caster by 15.8',100,1,3),
(180063,10104987,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(180064,10104987,'Increases Aggression of caster by 9.5',100,1,5),
(180065,10104987,'Increases Defense and Deflection of caster by 15.8',100,1,6),
(180066,10104987,'Increases Mitigation of caster vs arcane damage by 1056',100,1,7),
(180067,10104987,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(180068,46158,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(180069,46158,'Roots target',100,1,1),
(180070,46158,'80% chance to dispel when target takes damage',100,1,2),
(180071,46158,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(180072,46158,'Resistibility increases against targets higher than level 59.',100,1,4),
(180073,10046158,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(180074,10046158,'Roots target',100,1,1),
(180075,10046158,'80% chance to dispel when target takes damage',100,1,2),
(180076,10046158,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(180077,10046158,'Resistibility increases against targets higher than level 59.',100,1,4),
(180078,75666,'When Equipped:',100,0,0),
(180079,75666,'On a combat hit this spell may cast Rigid Blows on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180080,75666,'Inflicts 370 - 617 magic damage on target',100,2,2),
(180081,75666,'Interrupts target',100,2,3),
(180082,75666,'Cannot be modified except by direct means',100,2,4),
(180083,10075666,'When Equipped:',100,0,0),
(180084,10075666,'On a combat hit this spell may cast Rigid Blows on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180085,10075666,'Inflicts 445 - 741 magic damage on target',100,2,2),
(180086,10075666,'Interrupts target',100,2,3),
(180087,10075666,'Cannot be modified except by direct means',100,2,4),
(180088,123083,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',100,1,0),
(180089,123083,'Roots target',100,2,1),
(180090,123083,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(180091,123083,'Slows target by 39.4%',100,3,3),
(180092,123083,'5% chance to dispel when target receives hostile action',100,3,4),
(180093,123083,'5% chance to dispel when target takes damage',100,3,5),
(180094,123083,'5% chance to dispel when target takes damage',100,2,6),
(180095,123083,'Does not affect Epic targets',100,2,7),
(180096,123083,'Resistibility increases against targets higher than level 76.',100,2,8),
(180097,123083,'Decreases AGI of target encounter by 36.6',100,1,9),
(180098,10123083,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(180099,10123083,'Roots target',100,2,1),
(180100,10123083,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(180101,10123083,'Slows target by 39.4%',100,3,3),
(180102,10123083,'5% chance to dispel when target receives hostile action',100,3,4),
(180103,10123083,'5% chance to dispel when target takes damage',100,3,5),
(180104,10123083,'5% chance to dispel when target takes damage',100,2,6),
(180105,10123083,'Does not affect Epic targets',100,2,7),
(180106,10123083,'Resistibility increases against targets higher than level 76.',100,2,8),
(180107,10123083,'Decreases AGI of target encounter by 36.6',100,1,9),
(180108,116416,'Inflicts 7 piercing damage on target every 4 seconds',100,1,0),
(180109,116416,'Inflicts 36 - 60 melee damage on target',100,1,1),
(180110,10116416,'Inflicts 9 piercing damage on target every 4 seconds',100,1,0),
(180111,10116416,'Inflicts 43 - 72 melee damage on target',100,1,1),
(180112,118233,'Inflicts 2072 - 3454 magic damage on targets in Area of Effect',100,1,0),
(180113,118233,'Throws target back',100,1,1),
(180114,118233,'If Target is not Epic',100,2,2),
(180115,118233,'Stuns targets in Area of Effect',100,1,3),
(180116,118233,'If Target is not Epic',100,2,4),
(180117,118233,'Resistibility increases against targets higher than level 117.',100,1,5),
(180118,10118233,'Inflicts 2487 - 4145 magic damage on targets in Area of Effect',100,1,0),
(180119,10118233,'Throws target back',100,1,1),
(180120,10118233,'If Target is not Epic',100,2,2),
(180121,10118233,'Stuns targets in Area of Effect',100,1,3),
(180122,10118233,'If Target is not Epic',100,2,4),
(180123,10118233,'Resistibility increases against targets higher than level 117.',100,1,5),
(180124,177778,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(180125,177778,'Decreases Mitigation of target vs physical damage by 234',100,1,1),
(180126,177778,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(180127,10177778,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(180128,10177778,'Decreases Mitigation of target vs physical damage by 234',100,1,1),
(180129,10177778,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(180130,183219,'When Equipped:',100,0,0),
(180131,183219,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(180132,183219,'Inflicts 2664 disease damage on target encounter',100,2,2),
(180133,183219,'Must not be engaged in pvp combat',100,2,3),
(180134,183219,'Cannot be modified except by direct means',100,2,4),
(180135,10183219,'When Equipped:',100,0,0),
(180136,10183219,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(180137,10183219,'Inflicts 1598 disease damage on target encounter',100,2,2),
(180138,10183219,'Must not be engaged in pvp combat',100,2,3),
(180139,10183219,'Cannot be modified except by direct means',100,2,4),
(180140,120816,'Inflicts 4 - 6 disease damage on target instantly and every second',100,1,0),
(180141,10120816,'Inflicts 7 - 10 disease damage on target',100,1,0),
(180142,10120816,'Inflicts 5 - 7 disease damage on target every second',100,1,1),
(180143,37324,'Increases WIS of target by 1.5',100,0,0),
(180144,37324,'Target will Dodge 0.2% of incoming attacks',100,0,1),
(180145,37324,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(180146,80393,'When Equipped:',100,0,0),
(180147,80393,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180148,80393,'Inflicts 45 - 84 magic damage on target',100,2,2),
(180149,80393,'Decreases Threat to target by 153 ',100,2,3),
(180150,80393,'Must be flanking or behind',100,3,4),
(180151,80393,'Increases Threat to target by 158 ',100,2,5),
(180152,80393,'Must be in front of',100,3,6),
(180153,80393,'Cannot be modified except by direct means',100,2,7),
(180154,10080393,'When Equipped:',100,0,0),
(180155,10080393,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180156,10080393,'Inflicts 54 - 100 magic damage on target',100,2,2),
(180157,10080393,'Cannot be modified except by direct means',100,2,3),
(180158,80223,'When Equipped:',100,0,0),
(180159,80223,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180160,80223,'Inflicts 166 - 308 magic damage on target',100,2,2),
(180161,80223,'Cannot be modified except by direct means',100,2,3),
(180162,10080223,'When Equipped:',100,0,0),
(180163,10080223,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180164,10080223,'Inflicts 199 - 370 magic damage on target',100,2,2),
(180165,10080223,'Cannot be modified except by direct means',100,2,3),
(180166,107015,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(180167,107015,'Increases Threat to target encounter by 1,185 - 1,776 ',100,1,1),
(180168,107015,'Increases threat priority of target encounter by 2 positions',100,1,2),
(180169,10107015,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(180170,104359,'Charms target',100,1,0),
(180171,104359,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(180172,104359,'Mesmerizes target',100,2,2),
(180173,104359,'Dispelled when target takes damage',100,2,3),
(180174,104359,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(180175,104359,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(180176,104359,'Grants Sonic Vision to caster',100,2,6),
(180177,104359,'Increases Out-of-Combat Power Regeneration of target by 40.6',100,1,7),
(180178,104359,'Increases Out-of-Combat Health Regeneration of target by 81.1',100,1,8),
(180179,104359,'Certain enemies cannot be charmed',100,1,9),
(180180,104359,'Does not affect Epic targets',100,1,10),
(180181,10104359,'Mesmerizes target',100,1,0),
(180182,10104359,'Prevents AOE (except when direct) ',100,1,1),
(180183,10104359,'Dispelled when target takes damage',100,1,2),
(180184,10104359,'Certain enemies cannot be charmed',100,1,3),
(180185,10104359,'Does not affect Epic targets',100,1,4),
(180186,10104359,'Resistibility increases against targets higher than level 103.',100,1,5),
(180187,163241,'When Equipped:',100,0,0),
(180188,163241,'On a critical combat hit this spell may cast Arcane Vulnerability IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(180189,163241,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,2),
(180190,163241,'Must not be engaged in pvp combat',100,2,3),
(180191,163241,'Cannot be modified except by direct means',100,2,4),
(180192,163241,'On a critical spell hit this spell may cast Arcane Vulnerability IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(180193,163241,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,6),
(180194,163241,'Must not be engaged in pvp combat',100,2,7),
(180195,163241,'Cannot be modified except by direct means',100,2,8),
(180196,163241,'Must not be engaged in pvp combat',100,1,9),
(180197,10163241,'When Equipped:',100,0,0),
(180198,10163241,'On a critical combat hit this spell may cast Arcane Vulnerability IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(180199,10163241,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,2),
(180200,10163241,'Must not be engaged in pvp combat',100,2,3),
(180201,10163241,'Cannot be modified except by direct means',100,2,4),
(180202,10163241,'On a critical spell hit this spell may cast Arcane Vulnerability IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(180203,10163241,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,6),
(180204,10163241,'Must not be engaged in pvp combat',100,2,7),
(180205,10163241,'Cannot be modified except by direct means',100,2,8),
(180206,10163241,'Must not be engaged in pvp combat',100,1,9),
(180207,108073,'Decreases Threat to target by 49 - 82 ',100,1,0),
(180208,10108073,'Forces target to clear their selected target.',100,1,0),
(180209,10108073,'Target cannot target caster for the duration of this effect.',100,1,1),
(180210,186062,'When Equipped:',100,0,0),
(180211,186062,'Increases Focus, Subjugation and Disruption of caster by 28.0',100,1,1),
(180212,186062,'Reduces resistibility of all spells by 2.3%.',100,1,2),
(180213,186062,'Must not be engaged in pvp combat',100,1,3),
(180214,10186062,'When Equipped:',100,0,0),
(180215,10186062,'Increases Focus, Subjugation and Disruption of caster by 28.0',100,1,1),
(180216,10186062,'Reduces resistibility of all spells by 2.3%.',100,1,2),
(180217,10186062,'Must not be engaged in pvp combat',100,1,3),
(180218,47257,'Applies Kendoan''s Magical Concotion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(180219,47257,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(180220,47257,'Inflicts 14 magic damage on target',100,2,2),
(180221,47257,'Cannot be modified except by direct means',100,2,3),
(180222,10047257,'Applies Kendoan''s Magical Concotion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(180223,10047257,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(180224,10047257,'Inflicts 17 magic damage on target',100,2,2),
(180225,10047257,'Cannot be modified except by direct means',100,2,3),
(180226,103936,'Wards group members (AE) collectively against 2928 total points of all damage',100,1,0),
(180227,10103936,'Wards group members (AE) collectively against 4361 total points of all damage',100,1,0),
(180228,107925,'Mesmerizes target',100,1,0),
(180229,107925,'Prevents AOE (except when direct) ',100,1,1),
(180230,107925,'Dispelled when target takes damage',100,1,2),
(180231,107925,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(180232,107925,'Resistibility increases against targets higher than level 67.',100,1,4),
(180233,10107925,'Mesmerizes target',100,1,0),
(180234,10107925,'Prevents AOE (except when direct) ',100,1,1),
(180235,10107925,'Dispelled when target takes damage',100,1,2),
(180236,10107925,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(180237,10107925,'Resistibility increases against targets higher than level 67.',100,1,4),
(180238,141847,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(180239,141847,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(180240,141847,'Inflicts 41 heat damage on target',100,2,2),
(180241,141847,'Cannot be modified except by direct means',100,2,3),
(180242,10141847,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(180243,10141847,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(180244,10141847,'Inflicts 49 heat damage on target',100,2,2),
(180245,10141847,'Cannot be modified except by direct means',100,2,3),
(180246,105365,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(180247,105365,'Inflicts 16 melee damage on target',100,2,1),
(180248,105365,'Interrupts target',100,2,2),
(180249,105365,'Decreases Defense of caster by 3.9',100,1,3),
(180250,105365,'Increases Piercing, Slashing, Ranged and Crushing of caster by 8.2',100,1,4),
(180251,10105365,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(180252,10105365,'Inflicts 19 melee damage on target',100,2,1),
(180253,10105365,'Interrupts target',100,2,2),
(180254,10105365,'Decreases Defense of caster by 3.9',100,1,3),
(180255,10105365,'Increases Piercing, Slashing, Ranged and Crushing of caster by 8.2',100,1,4),
(180256,48936,'Applies Translucent Trauma Remedy when Activated.',100,0,0),
(180257,48936,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(180258,48936,'Only affects targets level 50 and above',100,1,2),
(180259,10048936,'Applies Translucent Trauma Remedy when Activated.',100,0,0),
(180260,10048936,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(180261,10048936,'Only affects targets level 50 and above',100,1,2),
(180262,159420,'Applies Sanguine Imbued when Equipped.',100,0,0),
(180263,159420,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(180264,159420,'Inflicts 143 heat damage on target',100,2,2),
(180265,159420,'Cannot be modified except by direct means',100,2,3),
(180266,10159420,'Applies Sanguine Imbued when Equipped.',100,0,0),
(180267,10159420,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(180268,10159420,'Inflicts 172 heat damage on target',100,2,2),
(180269,10159420,'Cannot be modified except by direct means',100,2,3),
(180270,119421,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(180271,119421,'Stuns target',100,2,1),
(180272,119421,'Throws target back',100,2,2),
(180273,119421,'Blurs vision of target',100,2,3),
(180274,119421,'Does not affect Epic targets',100,2,4),
(180275,119421,'Inflicts 229 - 383 melee damage on target',100,1,5),
(180276,119421,'You must be sneaking to use this ability.',100,1,6),
(180277,10119421,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(180278,10119421,'Stuns target',100,2,1),
(180279,10119421,'Throws target back',100,2,2),
(180280,10119421,'Blurs vision of target',100,2,3),
(180281,10119421,'Does not affect Epic targets',100,2,4),
(180282,10119421,'Inflicts 275 - 459 melee damage on target',100,1,5),
(180283,10119421,'You must be sneaking to use this ability.',100,1,6),
(180284,105698,'Decreases Attack Speed of target encounter by 15.0',100,1,0),
(180285,105698,'Slows target encounter by 19.8%',100,1,1),
(180286,10105698,'Decreases Attack Speed of target encounter by 15.0',100,1,0),
(180287,10105698,'Slows target encounter by 19.8%',100,1,1),
(180288,108268,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(180289,108268,'Inflicts 98 heat damage on target',100,2,1),
(180290,108268,'Grants a total of 3 triggers of the spell.',100,2,2),
(180291,10108268,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(180292,10108268,'Inflicts 118 heat damage on target',100,2,1),
(180293,10108268,'Grants a total of 3 triggers of the spell.',100,2,2),
(180294,105894,'Inflicts 179 - 299 ranged damage on target',100,1,0),
(180295,105894,'Inflicts 179 - 299 ranged damage on target',100,1,1),
(180296,105894,'If weapon equipped in Ranged',100,1,2),
(180297,10105894,'Inflicts 152 - 254 ranged damage on target',100,1,0),
(180298,10105894,'Inflicts 152 - 254 ranged damage on target',100,1,1),
(180299,10105894,'If weapon equipped in Ranged',100,1,2),
(180300,111168,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(180301,111168,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2287',100,1,1),
(180302,111168,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,2),
(180303,10111168,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(180304,10111168,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2287',100,1,1),
(180305,10111168,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,2),
(180306,102306,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(180307,102306,'Decreases Threat to target by 1,236 ',100,2,1),
(180308,10102306,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(180309,10102306,'Inflicts 63 - 70 crushing damage on target',100,2,1),
(180310,36498,'Increases STR of target by 1.5',100,0,0),
(180311,36498,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(180312,120192,'Applies Life Draw on termination.',100,1,0),
(180313,120192,'Inflicts 506 - 844 disease damage on target',100,2,1),
(180314,120192,'Heals caster for 10.9 - 13.3% of max health',100,2,2),
(180315,120192,'This effect cannot be critically applied.',100,3,3),
(180316,120192,'The healing of this spell cannot be modified except by direct means',100,2,4),
(180317,120192,'Inflicts 147 - 246 disease damage on target',100,1,5),
(180318,10120192,'Applies Life Draw on termination.',100,1,0),
(180319,10120192,'Inflicts 608 - 1013 disease damage on target',100,2,1),
(180320,10120192,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(180321,10120192,'This effect cannot be critically applied.',100,3,3),
(180322,10120192,'The healing of this spell cannot be modified except by direct means',100,2,4),
(180323,10120192,'Inflicts 177 - 295 disease damage on target',100,1,5),
(180324,101093,'Increases Mitigation of raid and group members (AE) vs arcane damage by 280',100,1,0),
(180325,10101093,'Increases Mitigation of raid and group members (AE) vs arcane damage by 280',100,1,0),
(180326,106395,'Inflicts 629 - 1049 melee damage on target',100,1,0),
(180327,106395,'Decreases Defense of target by 36.1',100,1,1),
(180328,106395,'Decreases Defense of caster by 25.8',100,1,2),
(180329,10106395,'Inflicts 755 - 1258 melee damage on target',100,1,0),
(180330,10106395,'Decreases Defense of target by 36.1',100,1,1),
(180331,10106395,'Decreases Defense of caster by 25.8',100,1,2),
(180332,100959,'Dazes target',100,1,0),
(180333,100959,'Inflicts 335 - 409 mental damage on target',100,1,1),
(180334,100959,'Epic targets gain an immunity to Daze effects of 31.5 seconds and duration is reduced to 3.5 seconds.',100,1,2),
(180335,100959,'Resistibility increases against targets higher than level 96.',100,1,3),
(180336,10100959,'Dazes target',100,1,0),
(180337,10100959,'Inflicts 402 - 491 mental damage on target',100,1,1),
(180338,10100959,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(180339,10100959,'Resistibility increases against targets higher than level 96.',100,1,3),
(180340,116637,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(180341,116637,'Increases Mitigation of group members (AE) vs arcane damage by 806',100,1,1),
(180342,10116637,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(180343,10116637,'Increases Mitigation of group members (AE) vs arcane damage by 806',100,1,1),
(180344,109338,'Increases STR of caster by 127.1',100,1,0),
(180345,109338,'Decreases Defense of caster by 17.4',100,1,1),
(180346,109338,'Increases Slashing, Piercing and Crushing of caster by 36.5',100,1,2),
(180347,10109338,'Increases STR of caster by 127.1',100,1,0),
(180348,10109338,'Decreases Defense of caster by 17.4',100,1,1),
(180349,10109338,'Increases Slashing, Piercing and Crushing of caster by 36.5',100,1,2),
(180350,47400,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(180351,47400,'This potion will grant you the illusion of being a Renda''Dal thrall!',100,1,1),
(180352,10047400,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(180353,10047400,'This potion will grant you the illusion of being a Renda''Dal thrall!',100,1,1),
(180354,45854,'Applies Cyclone of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(180355,45854,'Increases power of caster by 10 instantly and every 5 seconds',100,1,1),
(180356,10045854,'Applies Cyclone of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(180357,10045854,'Increases power of caster by 10 instantly and every 5 seconds',100,1,1),
(180358,112516,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(180359,112516,'Inflicts 103 disease damage on target instantly and every 4 seconds',100,2,1),
(180360,112516,'60% of target''s power consumed will also be drained from target''s health',100,2,2),
(180361,10112516,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(180362,10112516,'Inflicts 124 disease damage on target instantly and every 4 seconds',100,2,1),
(180363,10112516,'60% of target''s power consumed will also be drained from target''s health',100,2,2),
(180364,103663,'Interrupts target',100,1,0),
(180365,103663,'Inflicts 62 - 104 melee damage on target',100,1,1),
(180366,103663,'Must be flanking or behind',100,1,2),
(180367,10103663,'Interrupts target',100,1,0),
(180368,10103663,'Inflicts 75 - 125 melee damage on target',100,1,1),
(180369,10103663,'Must be flanking or behind',100,1,2),
(180370,82373,'When Equipped:',100,0,0),
(180371,82373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180372,82373,'Inflicts 31 - 57 magic damage on target',100,2,2),
(180373,82373,'Cannot be modified except by direct means',100,2,3),
(180374,10082373,'When Equipped:',100,0,0),
(180375,10082373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180376,10082373,'Inflicts 37 - 68 magic damage on target',100,2,2),
(180377,10082373,'Cannot be modified except by direct means',100,2,3),
(180378,115367,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(180379,115367,'Increases Parry of caster by 4.6',100,1,1),
(180380,10115367,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(180381,10115367,'Increases Parry of caster by 4.6',100,1,1),
(180382,115502,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(180383,115502,'Increases Mitigation of group members (AE) vs noxious damage by 525',100,1,1),
(180384,10115502,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(180385,10115502,'Increases Mitigation of group members (AE) vs noxious damage by 525',100,1,1),
(180386,25971,'When Equipped:',100,0,0),
(180387,25971,'Increases Damage Per Second of caster by 4.0',100,1,1),
(180388,10025971,'When Equipped:',100,0,0),
(180389,10025971,'Increases Damage Per Second of caster by 4.0',100,1,1),
(180390,25027,'When Equipped:',100,0,0),
(180391,25027,'Increases INT, AGI, WIS and STR of caster by 25.0',100,1,1),
(180392,10025027,'When Equipped:',100,0,0),
(180393,10025027,'Increases INT, AGI, WIS and STR of caster by 25.0',100,1,1),
(180394,24657,'Adds Popup Text (Grey) to your Dungeon Maker toolbox',100,0,0),
(180395,10024657,'Adds Popup Text (Grey) to your Dungeon Maker toolbox',100,0,0),
(180396,24309,'Adds Drachnid (Coercer) to your Dungeon Maker toolbox',100,0,0),
(180397,10024309,'Adds Drachnid (Coercer) to your Dungeon Maker toolbox',100,0,0),
(180398,36274,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(180399,36274,'This effect suspends during combat',100,0,1),
(180400,84190,'When Equipped:',100,0,0),
(180401,84190,'This effect will not stack with any rank or tier of itself.',100,1,1),
(180402,84190,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(180403,84190,'Increases Attack Speed of caster by 11.0',100,1,3),
(180404,84190,'Cannot be modified except by direct means',100,1,4),
(180405,84190,'When Equipped:',100,0,5),
(180406,84190,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(180407,84190,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(180408,84190,'Increases Attack Speed of caster by 6.0',100,2,8),
(180409,84190,'Increases Damage Per Second of caster by 9.0',100,2,9),
(180410,84190,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(180411,84190,'Must not be engaged in pvp combat',100,2,11),
(180412,84190,'Cannot be modified except by direct means',100,2,12),
(180413,84190,'Cannot be modified except by direct means',100,1,13),
(180414,10084190,'When Equipped:',100,0,0),
(180415,10084190,'This effect will not stack with any rank or tier of itself.',100,1,1),
(180416,10084190,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(180417,10084190,'Increases Attack Speed of caster by 11.0',100,1,3),
(180418,10084190,'Cannot be modified except by direct means',100,1,4),
(180419,10084190,'When Equipped:',100,0,5),
(180420,10084190,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(180421,10084190,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(180422,10084190,'Increases Attack Speed of caster by 6.0',100,2,8),
(180423,10084190,'Increases Damage Per Second of caster by 9.0',100,2,9),
(180424,10084190,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(180425,10084190,'Must not be engaged in pvp combat',100,2,11),
(180426,10084190,'Cannot be modified except by direct means',100,2,12),
(180427,10084190,'Cannot be modified except by direct means',100,1,13),
(180428,100048,'Decreases STR, AGI and WIS of target by 57.4',100,1,0),
(180429,10100048,'Decreases STR, AGI and WIS of target by 57.4',100,1,0),
(180430,182823,'When Equipped:',100,0,0),
(180431,182823,'Increases Attack Speed of caster by 25.0',100,1,1),
(180432,10182823,'When Equipped:',100,0,0),
(180433,10182823,'Increases Attack Speed of caster by 25.0',100,1,1),
(180434,112262,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(180435,112262,'Decreases power of target by 275',100,2,1),
(180436,112262,'Increases power of caster by 254',100,2,2),
(180437,10112262,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(180438,10112262,'Decreases power of target by 275',100,2,1),
(180439,10112262,'Increases power of caster by 203',100,2,2),
(180440,117027,'Inflicts 175 - 526 melee damage on target',100,1,0),
(180441,10117027,'Inflicts 210 - 631 melee damage on target',100,1,0),
(180442,115331,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(180443,115331,'Makes target afraid',100,2,1),
(180444,115331,'Slows target by 58.6%',100,2,2),
(180445,115331,'30% chance to dispel when target takes damage',100,2,3),
(180446,115331,'Does not affect Epic targets',100,2,4),
(180447,115331,'Resistibility increases against targets higher than level 62.',100,2,5),
(180448,115331,'Roots target',100,1,6),
(180449,115331,'15% chance to dispel when target takes damage',100,1,7),
(180450,115331,'Does not affect Epic targets',100,1,8),
(180451,115331,'Resistibility increases against targets higher than level 62.',100,1,9),
(180452,10115331,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(180453,10115331,'Makes target afraid',100,2,1),
(180454,10115331,'Slows target by 58.6%',100,2,2),
(180455,10115331,'30% chance to dispel when target takes damage',100,2,3),
(180456,10115331,'Does not affect Epic targets',100,2,4),
(180457,10115331,'Resistibility increases against targets higher than level 62.',100,2,5),
(180458,10115331,'Roots target',100,1,6),
(180459,10115331,'15% chance to dispel when target takes damage',100,1,7),
(180460,10115331,'Does not affect Epic targets',100,1,8),
(180461,10115331,'Resistibility increases against targets higher than level 62.',100,1,9),
(180462,118946,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(180463,118946,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1961',100,1,1),
(180464,118946,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,2),
(180465,10118946,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(180466,10118946,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1961',100,1,1),
(180467,10118946,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,2),
(180468,109028,'Increases Attack Speed of caster by 12.1',100,1,0),
(180469,109028,'Decreases Defense of caster by 1.8',100,1,1),
(180470,109028,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.7',100,1,2),
(180471,10109028,'Increases Attack Speed of caster by 12.1',100,1,0),
(180472,10109028,'Decreases Defense of caster by 1.8',100,1,1),
(180473,10109028,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.7',100,1,2),
(180474,25543,'When Equipped:',100,0,0),
(180475,25543,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(180476,25543,'Improves the base damage of Hidden Openings by 15%.',100,1,2),
(180477,10025543,'When Equipped:',100,0,0),
(180478,10025543,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(180479,10025543,'Improves the base damage of Hidden Openings by 15%.',100,1,2),
(180480,117179,'Inflicts 102 poison damage on target instantly and every 4 seconds',100,1,0),
(180481,117179,'Decreases WIS of target by 86.9',100,1,1),
(180482,10117179,'Inflicts 123 poison damage on target instantly and every 4 seconds',100,1,0),
(180483,10117179,'Decreases WIS of target by 86.9',100,1,1),
(180484,82385,'When Equipped:',100,0,0),
(180485,82385,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180486,82385,'Inflicts 98 - 181 magic damage on target',100,2,2),
(180487,82385,'Cannot be modified except by direct means',100,2,3),
(180488,10082385,'When Equipped:',100,0,0),
(180489,10082385,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180490,10082385,'Inflicts 117 - 217 magic damage on target',100,2,2),
(180491,10082385,'Cannot be modified except by direct means',100,2,3),
(180492,112290,'Inflicts 22 - 27 disease damage on target',100,1,0),
(180493,112290,'Inflicts 11 - 13 disease damage on target every 3 seconds',100,1,1),
(180494,112290,'Increases Threat to target by 198 - 241  instantly and by 41 - 49  every 3 seconds thereafter',100,1,2),
(180495,10112290,'Inflicts 13 - 16 disease damage on target every 3 seconds',100,1,0),
(180496,10112290,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(180497,102967,'Increases STR and AGI of group members (AE) by 12.9',100,1,0),
(180498,10102967,'Increases STR and AGI of group members (AE) by 12.9',100,1,0),
(180499,52435,'When Equipped:',100,0,0),
(180500,52435,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(180501,52435,'Increases power of caster by 301',100,2,2),
(180502,52435,'Cannot be modified except by direct means',100,2,3),
(180503,52435,'When Equipped:',100,0,4),
(180504,52435,'On a damage spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(180505,52435,'Increases Ability Casting Speed of caster by 10.0%',100,2,6),
(180506,52435,'Cannot be modified except by direct means',100,2,7),
(180507,10052435,'When Equipped:',100,0,0),
(180508,10052435,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(180509,10052435,'Increases power of caster by 301',100,2,2),
(180510,10052435,'Cannot be modified except by direct means',100,2,3),
(180511,10052435,'When Equipped:',100,0,4),
(180512,10052435,'On a damage spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(180513,10052435,'Increases Ability Casting Speed of caster by 10.0%',100,2,6),
(180514,10052435,'Cannot be modified except by direct means',100,2,7),
(180515,116832,'Decreases Hate Gain of caster by 23.2%',100,1,0),
(180516,10116832,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(180517,10116832,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(180518,10116832,'This effect can only trigger once every 5 seconds.',100,2,2),
(180519,111617,'Inflicts 53 - 99 cold damage on target instantly and every 4 seconds',100,1,0),
(180520,111617,'Decreases Mitigation of target vs elemental damage by 981',100,1,1),
(180521,10111617,'Inflicts 64 - 118 cold damage on target instantly and every 4 seconds',100,1,0),
(180522,10111617,'Decreases Mitigation of target vs elemental damage by 981',100,1,1),
(180523,103491,'Increases In-Combat Power Regeneration of group members (AE) by 39.7',100,1,0),
(180524,10103491,'Increases In-Combat Power Regeneration of group members (AE) by 39.7',100,1,0),
(180525,173595,'When Equipped:',100,0,0),
(180526,173595,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(180527,173595,'Increases Threat to target by 1,005 ',100,2,2),
(180528,173595,'Cannot be modified except by direct means',100,2,3),
(180529,10173595,'When Equipped:',100,0,0),
(180530,10173595,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(180531,10173595,'Cannot be modified except by direct means',100,2,2),
(180532,119776,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(180533,119776,'Inflicts 55 - 67 poison damage on target encounter',100,2,1),
(180534,10119776,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(180535,10119776,'Inflicts 66 - 80 poison damage on target encounter',100,2,1),
(180536,153811,'Applies Indomitable V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(180537,153811,'Increases the caster''s physical mitigation over time.',100,1,1),
(180538,153811,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(180539,153811,'Wards caster against 500 points of all damage',100,2,3),
(180540,153811,'Must not be engaged in pvp combat',100,2,4),
(180541,153811,'Cannot be modified except by direct means',100,2,5),
(180542,153811,'Must not be engaged in pvp combat',100,1,6),
(180543,153811,'Cannot be modified except by direct means',100,1,7),
(180544,153811,'The reuse time of Indomitable V is 10 minutes',100,1,8),
(180545,10153811,'Applies Indomitable V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(180546,10153811,'Increases the caster''s physical mitigation over time.',100,1,1),
(180547,10153811,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(180548,10153811,'Wards caster against 500 points of all damage',100,2,3),
(180549,10153811,'Must not be engaged in pvp combat',100,2,4),
(180550,10153811,'Cannot be modified except by direct means',100,2,5),
(180551,10153811,'Must not be engaged in pvp combat',100,1,6),
(180552,10153811,'Cannot be modified except by direct means',100,1,7),
(180553,10153811,'The reuse time of Indomitable V is 10 minutes',100,1,8),
(180554,81411,'When Equipped:',100,0,0),
(180555,81411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180556,81411,'Inflicts 70 - 129 magic damage on target',100,2,2),
(180557,81411,'Cannot be modified except by direct means',100,2,3),
(180558,10081411,'When Equipped:',100,0,0),
(180559,10081411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180560,10081411,'Inflicts 84 - 155 magic damage on target',100,2,2),
(180561,10081411,'Cannot be modified except by direct means',100,2,3),
(180562,103708,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(180563,103708,'Inflicts 95 - 159 disease damage on target',100,2,1),
(180564,103708,'Increases Attack Speed of group members (AE) by 62.5',100,1,2),
(180565,10103708,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(180566,10103708,'Inflicts 114 - 190 disease damage on target',100,2,1),
(180567,10103708,'Increases Attack Speed of group members (AE) by 62.5',100,1,2),
(180568,81592,'When Equipped:',100,0,0),
(180569,81592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180570,81592,'Inflicts 96 - 179 magic damage on target',100,2,2),
(180571,81592,'Cannot be modified except by direct means',100,2,3),
(180572,10081592,'When Equipped:',100,0,0),
(180573,10081592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180574,10081592,'Inflicts 116 - 215 magic damage on target',100,2,2),
(180575,10081592,'Cannot be modified except by direct means',100,2,3),
(180576,35479,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(180577,35479,'This effect suspends during combat',100,0,1),
(180578,108987,'Decreases Damage Per Second of target by 17.4',100,1,0),
(180579,108987,'Inflicts 26 - 32 melee damage on target',100,1,1),
(180580,10108987,'Decreases Damage Per Second of target by 17.4',100,1,0),
(180581,10108987,'Inflicts 32 - 39 melee damage on target',100,1,1),
(180582,142907,'When Equipped:',100,0,0),
(180583,142907,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(180584,142907,'When Equipped:',100,0,2),
(180585,142907,'Reduces resistibility of all spells by 5%.',100,1,3),
(180586,10142907,'When Equipped:',100,0,0),
(180587,10142907,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(180588,10142907,'When Equipped:',100,0,2),
(180589,10142907,'Reduces resistibility of all spells by 5%.',100,1,3),
(180590,110191,'Applies Untreated Bleeding on termination.',100,1,0),
(180591,110191,'Inflicts 462 - 769 piercing damage on target',100,2,1),
(180592,110191,'Inflicts 99 - 165 piercing damage on target instantly and every 4 seconds',100,1,2),
(180593,110191,'Inflicts 65 - 109 melee damage on target',100,1,3),
(180594,10110191,'Applies Untreated Bleeding on termination.',100,1,0),
(180595,10110191,'Inflicts 554 - 923 piercing damage on target',100,2,1),
(180596,10110191,'Inflicts 119 - 198 piercing damage on target instantly and every 4 seconds',100,1,2),
(180597,10110191,'Inflicts 79 - 131 melee damage on target',100,1,3),
(180598,106516,'Inflicts 1035 - 1725 melee damage on target',100,1,0),
(180599,106516,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(180600,106516,'If Target is Standard or weaker',100,2,2),
(180601,10106516,'Inflicts 621 - 1035 melee damage on target',100,1,0),
(180602,36101,'Increases STA and AGI of target by 5.9',100,0,0),
(180603,36101,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,1),
(180604,36101,'Increases Attack Speed of target by 15.0',100,0,2),
(180605,36101,'Increases Damage Per Second of target by 15.0',100,0,3),
(180606,24151,'Adds Crushbone Keep 2 to your Dungeon Maker toolbox',100,0,0),
(180607,10024151,'Adds Crushbone Keep 2 to your Dungeon Maker toolbox',100,0,0),
(180608,24540,'Adds Mistmoore: Metal Bench to your Dungeon Maker toolbox',100,0,0),
(180609,10024540,'Adds Mistmoore: Metal Bench to your Dungeon Maker toolbox',100,0,0),
(180610,49035,'When Equipped:',100,0,0),
(180611,49035,'Increases success chance by 1.1%',100,1,1),
(180612,10049035,'When Equipped:',100,0,0),
(180613,10049035,'Increases success chance by 1.1%',100,1,1),
(180614,100867,'Makes target afraid',100,1,0),
(180615,100867,'30% chance to dispel when target takes damage',100,1,1),
(180616,100867,'Does not affect Epic targets',100,1,2),
(180617,100867,'Resistibility increases against targets higher than level 68.',100,1,3),
(180618,10100867,'Makes target afraid',100,1,0),
(180619,10100867,'30% chance to dispel when target takes damage',100,1,1),
(180620,10100867,'Does not affect Epic targets',100,1,2),
(180621,10100867,'Resistibility increases against targets higher than level 68.',100,1,3),
(180622,24583,'Adds Myr''Dal (Dirge) to your Dungeon Maker toolbox',100,0,0),
(180623,10024583,'Adds Myr''Dal (Dirge) to your Dungeon Maker toolbox',100,0,0),
(180624,174215,'When Equipped:',100,0,0),
(180625,174215,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(180626,174215,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(180627,174215,'Cannot be modified except by direct means',100,2,3),
(180628,10174215,'When Equipped:',100,0,0),
(180629,10174215,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(180630,10174215,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(180631,10174215,'Cannot be modified except by direct means',100,2,3),
(180632,74821,'When Equipped:',100,0,0),
(180633,74821,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180634,74821,'Inflicts 84 - 126 magic damage on target',100,2,2),
(180635,74821,'Cannot be modified except by direct means',100,2,3),
(180636,10074821,'When Equipped:',100,0,0),
(180637,10074821,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180638,10074821,'Inflicts 101 - 151 magic damage on target',100,2,2),
(180639,10074821,'Cannot be modified except by direct means',100,2,3),
(180640,82422,'When Equipped:',100,0,0),
(180641,82422,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180642,82422,'Inflicts 193 - 358 magic damage on target',100,2,2),
(180643,82422,'Decreases Threat to target by 949 ',100,2,3),
(180644,82422,'Must be flanking or behind',100,3,4),
(180645,82422,'Increases Threat to target by 954 ',100,2,5),
(180646,82422,'Must be in front of',100,3,6),
(180647,82422,'Cannot be modified except by direct means',100,2,7),
(180648,10082422,'When Equipped:',100,0,0),
(180649,10082422,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180650,10082422,'Inflicts 231 - 430 magic damage on target',100,2,2),
(180651,10082422,'Cannot be modified except by direct means',100,2,3),
(180652,112432,'Mesmerizes target',100,1,0),
(180653,112432,'Prevents AOE (except when direct) ',100,1,1),
(180654,112432,'Dispelled when target takes damage',100,1,2),
(180655,112432,'Does not affect Epic targets',100,1,3),
(180656,112432,'Resistibility increases against targets higher than level 53.',100,1,4),
(180657,10112432,'Mesmerizes target',100,1,0),
(180658,10112432,'Prevents AOE (except when direct) ',100,1,1),
(180659,10112432,'Dispelled when target takes damage',100,1,2),
(180660,10112432,'Does not affect Epic targets',100,1,3),
(180661,10112432,'Resistibility increases against targets higher than level 53.',100,1,4),
(180662,90072,'When Equipped:',100,0,0),
(180663,90072,'On any combat or spell hit this spell may cast Savagery II on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180664,90072,'Increases Damage Per Second of caster by 25.0',100,2,2),
(180665,90072,'Cannot be modified except by direct means',100,2,3),
(180666,10090072,'When Equipped:',100,0,0),
(180667,10090072,'On any combat or spell hit this spell may cast Savagery II on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180668,10090072,'Increases Damage Per Second of caster by 25.0',100,2,2),
(180669,10090072,'Cannot be modified except by direct means',100,2,3),
(180670,153825,'When Equipped:',100,0,0),
(180671,153825,'On a block this spell has a 10% chance to cast Champion''s Impedence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(180672,153825,'Increases caster''s chance to block by 9.0%',100,2,2),
(180673,153825,'Must not be engaged in pvp combat',100,2,3),
(180674,153825,'Cannot be modified except by direct means',100,2,4),
(180675,153825,'When damaged this spell has a 10% chance to cast Champion''s Impedence on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(180676,153825,'Increases caster''s chance to block by 9.0%',100,2,6),
(180677,153825,'Must not be engaged in pvp combat',100,2,7),
(180678,153825,'Cannot be modified except by direct means',100,2,8),
(180679,153825,'Must not be engaged in pvp combat',100,1,9),
(180680,10153825,'When Equipped:',100,0,0),
(180681,10153825,'On a block this spell has a 10% chance to cast Champion''s Impedence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(180682,10153825,'Increases caster''s chance to block by 9.0%',100,2,2),
(180683,10153825,'Must not be engaged in pvp combat',100,2,3),
(180684,10153825,'Cannot be modified except by direct means',100,2,4),
(180685,10153825,'When damaged this spell has a 10% chance to cast Champion''s Impedence on caster.  Lasts for 12.0 seconds.  ',100,1,5),
(180686,10153825,'Increases caster''s chance to block by 9.0%',100,2,6),
(180687,10153825,'Must not be engaged in pvp combat',100,2,7),
(180688,10153825,'Cannot be modified except by direct means',100,2,8),
(180689,10153825,'Must not be engaged in pvp combat',100,1,9),
(180690,115238,'Heals target for 9',100,1,0),
(180691,115238,'Heals target for 2 every second',100,1,1),
(180692,115238,'Dispels 6 levels of any hostile effects on target',100,1,2),
(180693,10115238,'Heals target for 6',100,1,0),
(180694,10115238,'Heals target for 1 every second',100,1,1),
(180695,10115238,'Dispels 6 levels of any hostile effects on target',100,1,2),
(180696,36430,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(180697,36430,'This effect suspends during combat',100,0,1),
(180698,89952,'When Equipped:',100,0,0),
(180699,89952,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(180700,89952,'Increases In-Combat Health Regeneration of caster by 1.0',100,1,2),
(180701,89952,'Increases Max Power of caster by 50.0',100,1,3),
(180702,10089952,'When Equipped:',100,0,0),
(180703,10089952,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(180704,10089952,'Increases In-Combat Health Regeneration of caster by 1.0',100,1,2),
(180705,10089952,'Increases Max Power of caster by 50.0',100,1,3),
(180706,143150,'Applies Lycanthropy when Activated.  Lasts for 15.0 seconds.',100,0,0),
(180707,143150,'Shapechanges caster into a werewolf',100,1,1),
(180708,143150,'When a combat art is used this spell will cast Lycanthropic Rage on target of combat art.  ',100,1,2),
(180709,143150,'Inflicts 1146 disease damage on target',100,2,3),
(180710,143150,'Heals caster for 573',100,2,4),
(180711,143150,'Increases Threat to target by 505 ',100,2,5),
(180712,143150,'Cannot be modified except by direct means',100,2,6),
(180713,143150,'Enlarges caster by 50.0%',100,1,7),
(180714,143150,'The casting time of Lycanthropy is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,8),
(180715,10143150,'Applies Lycanthropy when Activated.  Lasts for 15.0 seconds.',100,0,0),
(180716,10143150,'Shapechanges caster into a werewolf',100,1,1),
(180717,10143150,'When a combat art is used this spell will cast Lycanthropic Rage on target of combat art.  ',100,1,2),
(180718,10143150,'Inflicts 894 disease damage on target',100,2,3),
(180719,10143150,'Heals caster for 242',100,2,4),
(180720,10143150,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,2,5),
(180721,10143150,'Prevents target from changing targets',100,3,6),
(180722,10143150,'Forces target to change their selected target to caster.',100,3,7),
(180723,10143150,'Cannot be modified except by direct means',100,2,8),
(180724,10143150,'Enlarges caster by 50.0%',100,1,9),
(180725,10143150,'The casting time of Lycanthropy is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,10),
(180726,177702,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(180727,177702,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(180728,177702,'Inflicts 58 heat damage on target',100,2,2),
(180729,177702,'Cannot be modified except by direct means',100,2,3),
(180730,10177702,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(180731,10177702,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(180732,10177702,'Inflicts 70 heat damage on target',100,2,2),
(180733,10177702,'Cannot be modified except by direct means',100,2,3),
(180734,36356,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(180735,122373,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(180736,122373,'Inflicts 47 - 57 piercing damage on target',100,2,1),
(180737,10122373,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(180738,10122373,'Inflicts 56 - 68 piercing damage on target',100,2,1),
(180739,122117,'Interrupts target',100,1,0),
(180740,122117,'Increases Threat to target by 405 ',100,1,1),
(180741,122117,'Dispels 41 levels of arcane beneficial effects on target',100,1,2),
(180742,10122117,'Interrupts target',100,1,0),
(180743,10122117,'Forces target to change their selected target to caster.',100,1,1),
(180744,10122117,'Dispels 41 levels of arcane beneficial effects on target',100,1,2),
(180745,144641,'When Equipped:',100,0,0),
(180746,144641,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(180747,144641,'Inflicts 1192 heat damage on target',100,2,2),
(180748,144641,'Cannot be modified except by direct means',100,2,3),
(180749,10144641,'When Equipped:',100,0,0),
(180750,10144641,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(180751,10144641,'Inflicts 715 heat damage on target',100,2,2),
(180752,10144641,'Cannot be modified except by direct means',100,2,3),
(180753,122780,'Heals group members (AE) for 1802 - 2202',100,1,0),
(180754,122780,'Increases Max Health of group members (AE) by 288.5',100,1,1),
(180755,10122780,'Heals group members (AE) for 3795 - 4638',100,1,0),
(180756,10122780,'Increases Max Health of group members (AE) by 288.5',100,1,1),
(180757,71655,'When Equipped:',100,0,0),
(180758,71655,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180759,71655,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(180760,71655,'Cannot be modified except by direct means',100,2,3),
(180761,10071655,'When Equipped:',100,0,0),
(180762,10071655,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180763,10071655,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(180764,10071655,'Cannot be modified except by direct means',100,2,3),
(180765,108665,'Dispels 111 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(180766,10108665,'Dispels 111 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(180767,104195,'Increases Threat to target encounter by 1,495 - 1,826 ',100,1,0),
(180768,104195,'Interrupts target encounter',100,1,1),
(180769,10104195,'Forces target encounter to change their selected target to caster.',100,1,0),
(180770,10104195,'Interrupts target encounter',100,1,1),
(180771,10104195,'Prevents target encounter from changing targets',100,1,2),
(180772,113963,'Decreases power of target encounter by 81 instantly and every 4 seconds',100,1,0),
(180773,113963,'Increases power of group members (AE) by 57 instantly and every 4 seconds',100,1,1),
(180774,10113963,'Decreases power of target encounter by 81 instantly and every 4 seconds',100,1,0),
(180775,10113963,'Increases power of group members (AE) by 57 instantly and every 4 seconds',100,1,1),
(180776,114991,'Inflicts 299 - 498 ranged damage on targets in area',100,1,0),
(180777,114991,'You must be in stealth to use this!',100,1,1),
(180778,114991,'Requires bow',100,1,2),
(180779,10114991,'Inflicts 254 - 423 ranged damage on targets in area',100,1,0),
(180780,10114991,'You must be in stealth to use this!',100,1,1),
(180781,10114991,'Requires bow',100,1,2),
(180782,24450,'Adds Iksar Skeleton (Dirge) to your Dungeon Maker toolbox',100,0,0),
(180783,10024450,'Adds Iksar Skeleton (Dirge) to your Dungeon Maker toolbox',100,0,0),
(180784,100934,'Dazes target',100,1,0),
(180785,100934,'Inflicts 55 - 68 mental damage on target',100,1,1),
(180786,100934,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',100,1,2),
(180787,100934,'Resistibility increases against targets higher than level 40.',100,1,3),
(180788,10100934,'Dazes target',100,1,0),
(180789,10100934,'Inflicts 67 - 81 mental damage on target',100,1,1),
(180790,10100934,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(180791,10100934,'Resistibility increases against targets higher than level 40.',100,1,3),
(180792,80193,'When Equipped:',100,0,0),
(180793,80193,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180794,80193,'Inflicts 166 - 308 magic damage on target',100,2,2),
(180795,80193,'Decreases Threat to target by 801 ',100,2,3),
(180796,80193,'Must be flanking or behind',100,3,4),
(180797,80193,'Increases Threat to target by 806 ',100,2,5),
(180798,80193,'Must be in front of',100,3,6),
(180799,80193,'Cannot be modified except by direct means',100,2,7),
(180800,10080193,'When Equipped:',100,0,0),
(180801,10080193,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180802,10080193,'Inflicts 199 - 370 magic damage on target',100,2,2),
(180803,10080193,'Cannot be modified except by direct means',100,2,3),
(180804,36507,'Increases WIS and STR of target by 1.1',100,0,0),
(180805,36507,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(180806,48156,'Applies Spectre of Gukta when Activated.',100,0,0),
(180807,48156,'Shapechanges the user into froglok skeleton.',100,1,1),
(180808,10048156,'Applies Spectre of Gukta when Activated.',100,0,0),
(180809,10048156,'Shapechanges the user into froglok skeleton.',100,1,1),
(180810,100104,'Decreases STR, AGI, WIS and INT of target by 16.0',100,1,0),
(180811,100104,'Decreases Max Health of target by 1.0%',100,1,1),
(180812,10100104,'Decreases STR, AGI, WIS and INT of target by 16.0',100,1,0),
(180813,10100104,'Decreases Max Health of target by 1.0%',100,1,1),
(180814,80384,'When Equipped:',100,0,0),
(180815,80384,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180816,80384,'Inflicts 45 - 84 magic damage on target',100,2,2),
(180817,80384,'Decreases Threat to target by 153 ',100,2,3),
(180818,80384,'Must be flanking or behind',100,3,4),
(180819,80384,'Increases Threat to target by 158 ',100,2,5),
(180820,80384,'Must be in front of',100,3,6),
(180821,80384,'Cannot be modified except by direct means',100,2,7),
(180822,10080384,'When Equipped:',100,0,0),
(180823,10080384,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(180824,10080384,'Inflicts 54 - 100 magic damage on target',100,2,2),
(180825,10080384,'Cannot be modified except by direct means',100,2,3),
(180826,116917,'Summons a limited pet to aid the caster',100,1,0),
(180827,10116917,'Summons a limited pet to aid the caster',100,1,0),
(180828,100252,'Inflicts 12 - 22 poison damage on target instantly and every 3 seconds',100,1,0),
(180829,10100252,'Inflicts 31 - 58 poison damage on target instantly and every 3 seconds',100,1,0),
(180830,81867,'When Equipped:',100,0,0),
(180831,81867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180832,81867,'Inflicts 94 - 175 magic damage on target',100,2,2),
(180833,81867,'Cannot be modified except by direct means',100,2,3),
(180834,10081867,'When Equipped:',100,0,0),
(180835,10081867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180836,10081867,'Inflicts 113 - 210 magic damage on target',100,2,2),
(180837,10081867,'Cannot be modified except by direct means',100,2,3),
(180838,112229,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(180839,112229,'Inflicts 24 disease damage on target',100,2,1),
(180840,112229,'Increases Threat to target by 62 ',100,2,2),
(180841,112229,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',100,1,3),
(180842,10112229,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(180843,10112229,'Inflicts 28 disease damage on target',100,2,1),
(180844,10112229,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',100,1,2),
(180845,111373,'Inflicts 190 - 317 disease damage on target',100,1,0),
(180846,111373,'Heals caster for 127 - 211',100,1,1),
(180847,10111373,'Inflicts 228 - 380 disease damage on target',100,1,0),
(180848,10111373,'Heals caster for 82 - 137',100,1,1),
(180849,82896,'When Equipped:',100,0,0),
(180850,82896,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180851,82896,'Inflicts 224 - 416 magic damage on target',100,2,2),
(180852,82896,'Cannot be modified except by direct means',100,2,3),
(180853,10082896,'When Equipped:',100,0,0),
(180854,10082896,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180855,10082896,'Inflicts 269 - 499 magic damage on target',100,2,2),
(180856,10082896,'Cannot be modified except by direct means',100,2,3),
(180857,107335,'Decreases WIS of target by 114.4',100,1,0),
(180858,107335,'Decreases Defense of target by 43.2',100,1,1),
(180859,10107335,'Decreases WIS of target by 114.4',100,1,0),
(180860,10107335,'Decreases Defense of target by 43.2',100,1,1),
(180861,81674,'When Equipped:',100,0,0),
(180862,81674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180863,81674,'Inflicts 74 - 138 magic damage on target',100,2,2),
(180864,81674,'Cannot be modified except by direct means',100,2,3),
(180865,10081674,'When Equipped:',100,0,0),
(180866,10081674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180867,10081674,'Inflicts 89 - 165 magic damage on target',100,2,2),
(180868,10081674,'Cannot be modified except by direct means',100,2,3),
(180869,159742,'Applies Lambent Imbued when Equipped.',100,0,0),
(180870,159742,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(180871,159742,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(180872,159742,'Cannot be modified except by direct means',100,2,3),
(180873,10159742,'Applies Lambent Imbued when Equipped.',100,0,0),
(180874,10159742,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(180875,10159742,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(180876,10159742,'Cannot be modified except by direct means',100,2,3),
(180877,48249,'Applies Steamfont Stew when Activated.  Lasts for 12 minutes.',100,0,0),
(180878,48249,'Increases Max Health of target by 132.0',100,1,1),
(180879,10048249,'Applies Steamfont Stew when Activated.  Lasts for 12 minutes.',100,0,0),
(180880,10048249,'Increases Max Health of target by 132.0',100,1,1),
(180881,123624,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(180882,123624,'Slows target by 30.2%',100,2,1),
(180883,123624,'5% chance to dispel when target receives hostile action',100,2,2),
(180884,123624,'5% chance to dispel when target takes damage',100,2,3),
(180885,123624,'Inflicts 7 - 8 cold damage on target',100,1,4),
(180886,10123624,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(180887,10123624,'Slows target by 30.2%',100,2,1),
(180888,10123624,'5% chance to dispel when target receives hostile action',100,2,2),
(180889,10123624,'5% chance to dispel when target takes damage',100,2,3),
(180890,10123624,'Inflicts 7 - 9 cold damage on target',100,1,4),
(180891,152876,'When Equipped:',100,0,0),
(180892,152876,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(180893,152876,'Increases Damage Per Second of caster by 10.0',100,2,2),
(180894,152876,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(180895,152876,'Cannot be modified except by direct means',100,2,4),
(180896,152876,'Applies Heroic Resistance X when Equipped.',100,0,5),
(180897,152876,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(180898,152876,'Cannot be modified except by direct means',100,1,7),
(180899,10152876,'When Equipped:',100,0,0),
(180900,10152876,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(180901,10152876,'Increases Damage Per Second of caster by 10.0',100,2,2),
(180902,10152876,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(180903,10152876,'Cannot be modified except by direct means',100,2,4),
(180904,10152876,'Applies Heroic Resistance X when Equipped.',100,0,5),
(180905,10152876,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(180906,10152876,'Cannot be modified except by direct means',100,1,7),
(180907,48796,'Applies Froakus'' Blessing  when Activated.  Lasts for 30 minutes.',100,0,0),
(180908,48796,'Increases STA and STR of caster by 31.0',100,1,1),
(180909,10048796,'Applies Froakus'' Blessing  when Activated.  Lasts for 30 minutes.',100,0,0),
(180910,10048796,'Increases STA and STR of caster by 31.0',100,1,1),
(180911,48865,'Applies Refreshing Elixir  when Activated.',100,0,0),
(180912,48865,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(180913,10048865,'Applies Refreshing Elixir  when Activated.',100,0,0),
(180914,10048865,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(180915,112777,'Interrupts target',100,1,0),
(180916,112777,'Inflicts 334 - 557 divine damage on target',100,1,1),
(180917,10112777,'Interrupts target',100,1,0),
(180918,10112777,'Inflicts 401 - 668 divine damage on target',100,1,1),
(180919,122957,'Inflicts 92 - 124 mental damage on target',100,1,0),
(180920,10122957,'Inflicts 110 - 149 mental damage on target',100,1,0),
(180921,119863,'Increases INT and AGI of group members (AE) by 14.6',100,1,0),
(180922,119863,'Adds 2.2% to base avoidance.',100,1,1),
(180923,10119863,'Increases INT and AGI of group members (AE) by 14.6',100,1,0),
(180924,10119863,'Adds 2.2% to base avoidance.',100,1,1),
(180925,36433,'Increases INT of target by 1.5',100,0,0),
(180926,36433,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(180927,134867,'When Equipped:',100,0,0),
(180928,134867,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(180929,134867,'Increases STR of caster by 23.4',100,2,2),
(180930,134867,'Cannot be modified except by direct means',100,2,3),
(180931,10134867,'When Equipped:',100,0,0),
(180932,10134867,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(180933,10134867,'Increases STR of caster by 23.4',100,2,2),
(180934,10134867,'Cannot be modified except by direct means',100,2,3),
(180935,77290,'When Equipped:',100,0,0),
(180936,77290,'On a combat hit this spell may cast Fever of War on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180937,77290,'Caster will Double Attack on 10% of melee attacks. Increases Melee Crit Chance of caster by 25%. Caster has a 55% chance of having their primary weapon''s AutoAttack affect multiple targets.',100,2,2),
(180938,77290,'Caster has a 20.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(180939,10077290,'When Equipped:',100,0,0),
(180940,10077290,'On a combat hit this spell may cast Fever of War on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(180941,10077290,'Caster will Double Attack on 10% of melee attacks. Increases Melee Crit Chance of caster by 25%. Caster has a 55% chance of having their primary weapon''s AutoAttack affect multiple targets.',100,2,2),
(180942,10077290,'Caster has a 20.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(180943,82116,'When Equipped:',100,0,0),
(180944,82116,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180945,82116,'Inflicts 122 - 226 magic damage on target',100,2,2),
(180946,82116,'Cannot be modified except by direct means',100,2,3),
(180947,10082116,'When Equipped:',100,0,0),
(180948,10082116,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(180949,10082116,'Inflicts 146 - 272 magic damage on target',100,2,2),
(180950,10082116,'Cannot be modified except by direct means',100,2,3),
(180951,117106,'Mesmerizes target encounter',100,1,0),
(180952,117106,'Prevents AOE (except when direct) ',100,1,1),
(180953,117106,'Dispelled when target takes damage',100,1,2),
(180954,117106,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(180955,117106,'Resistibility increases against targets higher than level 96.',100,1,4),
(180956,10117106,'Mesmerizes target encounter',100,1,0),
(180957,10117106,'Prevents AOE (except when direct) ',100,1,1),
(180958,10117106,'Dispelled when target takes damage',100,1,2),
(180959,10117106,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(180960,10117106,'Resistibility increases against targets higher than level 96.',100,1,4),
(180961,112327,'Applies Insolent Gibe.',100,1,0),
(180962,112327,'Increases Threat to targets in Area of Effect by 1,272 - 1,905 ',100,2,1),
(180963,112327,'Applies Insolent Assault.',100,1,2),
(180964,112327,'Inflicts 714 - 1071 melee damage on targets in area',100,2,3),
(180965,112327,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(180966,112327,'Increases Threat to target encounter by 480 - 585 ',100,2,5),
(180967,10112327,'Applies Insolent Gibe.',100,1,0),
(180968,10112327,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(180969,10112327,'Applies Insolent Assault.',100,1,2),
(180970,10112327,'Inflicts 857 - 1285 melee damage on targets in area',100,2,3),
(180971,10112327,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(180972,10112327,'Forces target encounter to change their selected target to caster.',100,2,5),
(180973,118892,'Inflicts 125 - 209 melee damage on target',100,1,0),
(180974,118892,'Inflicts 125 - 209 melee damage on target',100,1,1),
(180975,118892,'Inflicts 125 - 209 melee damage on target',100,1,2),
(180976,118892,'Inflicts 125 - 209 melee damage on target',100,1,3),
(180977,118892,'Inflicts 125 - 209 melee damage on target',100,1,4),
(180978,10118892,'Inflicts 150 - 251 melee damage on target',100,1,0),
(180979,10118892,'Inflicts 150 - 251 melee damage on target',100,1,1),
(180980,10118892,'Inflicts 150 - 251 melee damage on target',100,1,2),
(180981,10118892,'Inflicts 150 - 251 melee damage on target',100,1,3),
(180982,10118892,'Inflicts 150 - 251 melee damage on target',100,1,4),
(180983,116833,'Decreases Hate Gain of caster by 18.3%',100,1,0),
(180984,10116833,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(180985,10116833,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(180986,10116833,'This effect can only trigger once every 5 seconds.',100,2,2),
(180987,123652,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(180988,123652,'Slows target by 39.0%',100,2,1),
(180989,123652,'5% chance to dispel when target receives hostile action',100,2,2),
(180990,123652,'5% chance to dispel when target takes damage',100,2,3),
(180991,123652,'Inflicts 178 - 218 cold damage on target',100,1,4),
(180992,10123652,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(180993,10123652,'Slows target by 39.0%',100,2,1),
(180994,10123652,'5% chance to dispel when target receives hostile action',100,2,2),
(180995,10123652,'5% chance to dispel when target takes damage',100,2,3),
(180996,10123652,'Inflicts 184 - 224 cold damage on target',100,1,4),
(180997,143915,'When Equipped:',100,0,0),
(180998,143915,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(180999,143915,'Heals caster for 28',100,2,2),
(181000,143915,'Cannot be modified except by direct means',100,2,3),
(181001,10143915,'When Equipped:',100,0,0),
(181002,10143915,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(181003,10143915,'Heals caster for 18',100,2,2),
(181004,10143915,'Cannot be modified except by direct means',100,2,3),
(181005,118360,'Inflicts 31 - 52 melee damage on target',100,1,0),
(181006,118360,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(181007,118360,'Stuns target',100,2,2),
(181008,118360,'Throws target back',100,2,3),
(181009,118360,'Blurs vision of target',100,2,4),
(181010,118360,'Does not affect Epic targets',100,2,5),
(181011,10118360,'Inflicts 37 - 62 melee damage on target',100,1,0),
(181012,10118360,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(181013,10118360,'Stuns target',100,2,2),
(181014,10118360,'Throws target back',100,2,3),
(181015,10118360,'Blurs vision of target',100,2,4),
(181016,10118360,'Does not affect Epic targets',100,2,5),
(181017,45790,'Applies Craft Keeper''s Disc of Flight when Activated.',100,0,0),
(181018,45790,'Reduces maximum falling speed of caster',100,1,1),
(181019,45790,'Increases Multi Attack Chance of caster by 2.0',100,1,2),
(181020,45790,'Summons a mount to ride',100,1,3),
(181021,45790,'Increases your ground speed by 130%',100,2,4),
(181022,45790,'Increases Ability Casting Speed of caster by 2.0%',100,1,5),
(181023,45790,'Increases Max Health of caster by 200.0',100,1,6),
(181024,45790,'Increases Max Power of caster by 200.0',100,1,7),
(181025,10045790,'Applies Craft Keeper''s Disc of Flight when Activated.',100,0,0),
(181026,10045790,'Reduces maximum falling speed of caster',100,1,1),
(181027,10045790,'Increases Multi Attack Chance of caster by 2.0',100,1,2),
(181028,10045790,'Summons a mount to ride',100,1,3),
(181029,10045790,'Increases your ground speed by 130%',100,2,4),
(181030,10045790,'Increases Ability Casting Speed of caster by 2.0%',100,1,5),
(181031,10045790,'Increases Max Health of caster by 200.0',100,1,6),
(181032,10045790,'Increases Max Power of caster by 200.0',100,1,7),
(181033,25012,'When Equipped:',100,0,0),
(181034,25012,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(181035,25012,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,2),
(181036,10025012,'When Equipped:',100,0,0),
(181037,10025012,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(181038,10025012,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,2),
(181039,73916,'Applies Holy Strike when Activated.',100,0,0),
(181040,73916,'Inflicts 85 - 142 divine damage on target',100,1,1),
(181041,73916,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(181042,10073916,'Applies Holy Strike when Activated.',100,0,0),
(181043,10073916,'Inflicts 102 - 171 divine damage on target',100,1,1),
(181044,10073916,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(181045,116573,'Inflicts 37 - 63 divine damage on target',100,1,0),
(181046,10116573,'Inflicts 45 - 75 divine damage on target',100,1,0),
(181047,114629,'Decreases WIS of target by 43.2',100,1,0),
(181048,114629,'Inflicts 334 - 557 melee damage on target',100,1,1),
(181049,114629,'You must be sneaking to use this ability.',100,1,2),
(181050,10114629,'Decreases WIS of target by 43.2',100,1,0),
(181051,10114629,'Inflicts 401 - 668 melee damage on target',100,1,1),
(181052,10114629,'You must be sneaking to use this ability.',100,1,2),
(181053,116634,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(181054,116634,'Increases Mitigation of group members (AE) vs arcane damage by 479',100,1,1),
(181055,10116634,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(181056,10116634,'Increases Mitigation of group members (AE) vs arcane damage by 479',100,1,1),
(181057,112612,'Increases STA of caster by 46.0',100,1,0),
(181058,112612,'Reduces slow effects on caster by 16.1%',100,1,1),
(181059,112612,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1209',100,1,2),
(181060,10112612,'Increases STA of caster by 46.0',100,1,0),
(181061,10112612,'Reduces slow effects on caster by 16.1%',100,1,1),
(181062,10112612,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1209',100,1,2),
(181063,120450,'Inflicts 331 - 552 melee damage on target',100,1,0),
(181064,120450,'Inflicts 331 - 552 melee damage on target',100,1,1),
(181065,10120450,'Inflicts 397 - 662 melee damage on target',100,1,0),
(181066,10120450,'Inflicts 397 - 662 melee damage on target',100,1,1),
(181067,87463,'When Equipped:',100,0,0),
(181068,87463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181069,87463,'Inflicts 28 - 42 magic damage on target',100,2,2),
(181070,87463,'Cannot be modified except by direct means',100,2,3),
(181071,10087463,'When Equipped:',100,0,0),
(181072,10087463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181073,10087463,'Inflicts 34 - 50 magic damage on target',100,2,2),
(181074,10087463,'Cannot be modified except by direct means',100,2,3),
(181075,187469,'When Equipped:',100,0,0),
(181076,187469,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(181077,187469,'Inflicts 2648 cold damage on target encounter',100,2,2),
(181078,187469,'Must not be engaged in pvp combat',100,2,3),
(181079,187469,'Cannot be modified except by direct means',100,2,4),
(181080,187469,'Must not be engaged in pvp combat',100,1,5),
(181081,10187469,'When Equipped:',100,0,0),
(181082,10187469,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(181083,10187469,'Inflicts 1589 cold damage on target encounter',100,2,2),
(181084,10187469,'Must not be engaged in pvp combat',100,2,3),
(181085,10187469,'Cannot be modified except by direct means',100,2,4),
(181086,10187469,'Must not be engaged in pvp combat',100,1,5),
(181087,122919,'Increases STR and INT of group members (AE) by 61.7',100,1,0),
(181088,10122919,'Increases STR and INT of group members (AE) by 61.7',100,1,0),
(181089,102787,'Increases STR of caster by 42.7',100,1,0),
(181090,102787,'Increases Max Health of caster by 252.2',100,1,1),
(181091,102787,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',100,1,2),
(181092,10102787,'Increases STR of caster by 42.7',100,1,0),
(181093,10102787,'Increases Max Health of caster by 252.2',100,1,1),
(181094,10102787,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',100,1,2),
(181095,113743,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(181096,113743,'Inflicts 112 piercing damage on target',100,2,1),
(181097,113743,'Grants a total of 60 triggers of the spell.',100,2,2),
(181098,10113743,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(181099,10113743,'Inflicts 134 piercing damage on target',100,2,1),
(181100,10113743,'Grants a total of 60 triggers of the spell.',100,2,2),
(181101,107942,'Mesmerizes target',100,1,0),
(181102,107942,'Prevents AOE (except when direct) ',100,1,1),
(181103,107942,'Dispelled when target takes damage',100,1,2),
(181104,107942,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(181105,107942,'Resistibility increases against targets higher than level 106.',100,1,4),
(181106,10107942,'Mesmerizes target',100,1,0),
(181107,10107942,'Prevents AOE (except when direct) ',100,1,1),
(181108,10107942,'Dispelled when target takes damage',100,1,2),
(181109,10107942,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(181110,10107942,'Resistibility increases against targets higher than level 106.',100,1,4),
(181111,72031,'When Equipped:',100,0,0),
(181112,72031,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181113,72031,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(181114,72031,'Cannot be modified except by direct means',100,2,3),
(181115,10072031,'When Equipped:',100,0,0),
(181116,10072031,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181117,10072031,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(181118,10072031,'Cannot be modified except by direct means',100,2,3),
(181119,71852,'When Equipped:',100,0,0),
(181120,71852,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181121,71852,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(181122,71852,'Cannot be modified except by direct means',100,2,3),
(181123,10071852,'When Equipped:',100,0,0),
(181124,10071852,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181125,10071852,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(181126,10071852,'Cannot be modified except by direct means',100,2,3),
(181127,47613,'Applies Stunspore Paralysis when Activated.  Lasts for 8.0 seconds.',100,0,0),
(181128,47613,'Stuns target',100,1,1),
(181129,47613,'Must be in Darklight Wood.',100,1,2),
(181130,47613,'Must be classified as a skeleton',100,1,3),
(181131,47613,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,4),
(181132,47613,'Resistibility increases against targets higher than level 39.',100,1,5),
(181133,10047613,'Applies Stunspore Paralysis when Activated.  Lasts for 8.0 seconds.',100,0,0),
(181134,10047613,'Stuns target',100,1,1),
(181135,10047613,'Must be in Darklight Wood.',100,1,2),
(181136,10047613,'Must be classified as a skeleton',100,1,3),
(181137,10047613,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,4),
(181138,10047613,'Resistibility increases against targets higher than level 39.',100,1,5),
(181139,45588,'Applies Clouded Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(181140,45588,'Only affects targets level 50 and above',100,1,1),
(181141,10045588,'Applies Clouded Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(181142,10045588,'Only affects targets level 50 and above',100,1,1),
(181143,80478,'When Equipped:',100,0,0),
(181144,80478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181145,80478,'Inflicts 43 - 79 magic damage on target',100,2,2),
(181146,80478,'Cannot be modified except by direct means',100,2,3),
(181147,10080478,'When Equipped:',100,0,0),
(181148,10080478,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181149,10080478,'Inflicts 51 - 95 magic damage on target',100,2,2),
(181150,10080478,'Cannot be modified except by direct means',100,2,3),
(181151,111479,'Increases AGI of caster by 38.2',100,1,0),
(181152,111479,'Increases Attack Speed of caster by 25.5',100,1,1),
(181153,111479,'Increases in-combat movement speed of caster by 6.0%',100,1,2),
(181154,111479,'Adds 18.7% to base avoidance.',100,1,3),
(181155,111479,'Increases Mitigation of caster vs physical damage by 344',100,1,4),
(181156,111479,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,5),
(181157,10111479,'Increases AGI of caster by 38.2',100,1,0),
(181158,10111479,'Increases Attack Speed of caster by 25.5',100,1,1),
(181159,10111479,'Increases speed of caster by 6.0%',100,1,2),
(181160,10111479,'Adds 18.7% to base avoidance.',100,1,3),
(181161,10111479,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,4),
(181162,115145,'Heals target for 12 - 15',100,1,0),
(181163,10115145,'Heals target for 17 - 20',100,1,0),
(181164,123030,'Summons 12 limited pets to aid the caster',100,1,0),
(181165,10123030,'Summons 12 limited pets to aid the caster',100,1,0),
(181166,121619,'Inflicts 201 - 604 melee damage on target',100,1,0),
(181167,121619,'Dazes target',100,1,1),
(181168,121619,'If Target is not Epic',100,2,2),
(181169,121619,'Must be flanking or behind',100,1,3),
(181170,121619,'Resistibility increases against targets higher than level 75.',100,1,4),
(181171,10121619,'Inflicts 241 - 725 melee damage on target',100,1,0),
(181172,10121619,'Dazes target',100,1,1),
(181173,10121619,'If Target is not Epic',100,2,2),
(181174,10121619,'Must be flanking or behind',100,1,3),
(181175,10121619,'Resistibility increases against targets higher than level 75.',100,1,4),
(181176,104488,'Decreases Mitigation of target encounter vs physical damage by 832',100,1,0),
(181177,10104488,'Decreases Mitigation of target encounter vs physical damage by 832',100,1,0),
(181178,48943,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(181179,48943,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(181180,48943,'Decreases STR of target by 17.7',100,2,2),
(181181,48943,'Cannot be modified except by direct means',100,2,3),
(181182,48943,'Grants a total of 30 triggers of the spell.',100,2,4),
(181183,10048943,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(181184,10048943,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(181185,10048943,'Decreases STR of target by 17.7',100,2,2),
(181186,10048943,'Cannot be modified except by direct means',100,2,3),
(181187,10048943,'Grants a total of 30 triggers of the spell.',100,2,4),
(181188,122237,'Increases Damage Per Second of target by 31.2',100,1,0),
(181189,122237,'Increases Max Health of target by 1,166.6',100,1,1),
(181190,10122237,'Increases Damage Per Second of target by 31.2',100,1,0),
(181191,10122237,'Increases Max Health of target by 1,166.6',100,1,1),
(181192,84180,'When Equipped:',100,0,0),
(181193,84180,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181194,84180,'Inflicts 64 - 78 mental damage on target',100,2,2),
(181195,84180,'Cannot be modified except by direct means',100,2,3),
(181196,10084180,'When Equipped:',100,0,0),
(181197,10084180,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181198,10084180,'Inflicts 76 - 93 mental damage on target',100,2,2),
(181199,10084180,'Cannot be modified except by direct means',100,2,3),
(181200,177598,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(181201,177598,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(181202,177598,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(181203,177598,'Cannot be modified except by direct means',100,2,3),
(181204,10177598,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(181205,10177598,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(181206,10177598,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(181207,10177598,'Cannot be modified except by direct means',100,2,3),
(181208,47091,'Applies Most Wanted Poster when Activated.',100,0,0),
(181209,47091,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(181210,47091,'If between levels 70 - 79',100,1,2),
(181211,47091,'Cannot be modified except by direct means',100,1,3),
(181212,10047091,'Applies Most Wanted Poster when Activated.',100,0,0),
(181213,10047091,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(181214,10047091,'If between levels 70 - 79',100,1,2),
(181215,10047091,'Cannot be modified except by direct means',100,1,3),
(181216,48177,'Applies Spirit of the Lion when Activated.  Lasts for 30 minutes.',100,0,0),
(181217,48177,'Shapechanges caster into a lion',100,1,1),
(181218,48177,'Increases Out-of-Combat Health Regeneration of caster by 82.0',100,1,2),
(181219,48177,'This effect suspends during combat',100,1,3),
(181220,48177,'Only affects targets level 40 and above',100,1,4),
(181221,10048177,'Applies Spirit of the Lion when Activated.  Lasts for 30 minutes.',100,0,0),
(181222,10048177,'Shapechanges caster into a lion',100,1,1),
(181223,10048177,'Increases Out-of-Combat Health Regeneration of caster by 82.0',100,1,2),
(181224,10048177,'This effect suspends during combat',100,1,3),
(181225,10048177,'Only affects targets level 40 and above',100,1,4),
(181226,144664,'When Equipped:',100,0,0),
(181227,144664,'Increases Attack Speed of caster by 40.0',100,1,1),
(181228,10144664,'When Equipped:',100,0,0),
(181229,10144664,'Increases Attack Speed of caster by 40.0',100,1,1),
(181230,26726,'Applies Greater Oracle I when Equipped.',100,0,0),
(181231,26726,'\\#FF0000 This effect will not stack with any other Oracle effect. \\/c',100,1,1),
(181232,26726,'Reduces resistibility of all spells by 6%.',100,1,2),
(181233,26726,'Must not be engaged in pvp combat',100,1,3),
(181234,10026726,'Applies Greater Oracle I when Equipped.',100,0,0),
(181235,10026726,'\\#FF0000 This effect will not stack with any other Oracle effect. \\/c',100,1,1),
(181236,10026726,'Reduces resistibility of all spells by 6%.',100,1,2),
(181237,10026726,'Must not be engaged in pvp combat',100,1,3),
(181238,105383,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(181239,105383,'Interrupts target',100,2,1),
(181240,105383,'Inflicts 83 melee damage on target',100,2,2),
(181241,105383,'Decreases Defense of caster by 16.5',100,1,3),
(181242,105383,'Increases Piercing, Slashing, Ranged and Crushing of caster by 34.6',100,1,4),
(181243,10105383,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(181244,10105383,'Interrupts target',100,2,1),
(181245,10105383,'Inflicts 100 melee damage on target',100,2,2),
(181246,10105383,'Decreases Defense of caster by 16.5',100,1,3),
(181247,10105383,'Increases Piercing, Slashing, Ranged and Crushing of caster by 34.6',100,1,4),
(181248,104218,'Inflicts 50 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(181249,104218,'Decreases WIS of target encounter by 34.0',100,1,1),
(181250,10104218,'Inflicts 60 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(181251,10104218,'Decreases WIS of target encounter by 34.0',100,1,1),
(181252,180856,'When Equipped:',100,0,0),
(181253,180856,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181254,180856,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(181255,180856,'Cannot be modified except by direct means',100,2,3),
(181256,10180856,'When Equipped:',100,0,0),
(181257,10180856,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181258,10180856,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(181259,10180856,'Cannot be modified except by direct means',100,2,3),
(181260,114424,'Mesmerizes target',100,1,0),
(181261,114424,'Prevents AOE (except when direct) ',100,1,1),
(181262,114424,'Dispelled when target takes damage',100,1,2),
(181263,114424,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(181264,114424,'Resistibility increases against targets higher than level 95.',100,1,4),
(181265,10114424,'Mesmerizes target',100,1,0),
(181266,10114424,'Prevents AOE (except when direct) ',100,1,1),
(181267,10114424,'Dispelled when target takes damage',100,1,2),
(181268,10114424,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(181269,10114424,'Resistibility increases against targets higher than level 95.',100,1,4),
(181270,123050,'Summons a pet undead knight',100,1,0),
(181271,10123050,'Summons a pet undead knight',100,1,0),
(181272,45166,'Applies Essence of Quackers when Activated.  Lasts for 5 minutes.',100,0,0),
(181273,45166,'Shapechanges caster into a duck',100,1,1),
(181274,45166,'Increases INT of caster by 2.2',100,1,2),
(181275,45166,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,3),
(181276,10045166,'Applies Essence of Quackers when Activated.  Lasts for 5 minutes.',100,0,0),
(181277,10045166,'Shapechanges caster into a duck',100,1,1),
(181278,10045166,'Increases INT of caster by 2.2',100,1,2),
(181279,10045166,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,3),
(181280,48538,'Applies Steal Egg when Activated.',100,0,0),
(181281,10048538,'Applies Steal Egg when Activated.',100,0,0),
(181282,109167,'Roots target',100,1,0),
(181283,109167,'Applies Blind.  Lasts for 6.0 seconds.',100,1,1),
(181284,109167,'Dazes target',100,2,2),
(181285,109167,'Blurs vision of target',100,2,3),
(181286,109167,'Dispelled when target takes damage',100,2,4),
(181287,109167,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(181288,109167,'5% chance to dispel when target takes damage',100,1,6),
(181289,109167,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,7),
(181290,109167,'Resistibility increases against targets higher than level 62.',100,1,8),
(181291,10109167,'Roots target',100,1,0),
(181292,10109167,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(181293,10109167,'Dazes target',100,2,2),
(181294,10109167,'Blurs vision of target',100,2,3),
(181295,10109167,'Dispelled when target takes damage',100,2,4),
(181296,10109167,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(181297,10109167,'5% chance to dispel when target takes damage',100,1,6),
(181298,10109167,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(181299,10109167,'Resistibility increases against targets higher than level 62.',100,1,8),
(181300,80369,'When Equipped:',100,0,0),
(181301,80369,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(181302,80369,'Inflicts 45 - 84 magic damage on target',100,2,2),
(181303,80369,'Decreases Threat to target by 153 ',100,2,3),
(181304,80369,'Must be flanking or behind',100,3,4),
(181305,80369,'Increases Threat to target by 158 ',100,2,5),
(181306,80369,'Must be in front of',100,3,6),
(181307,80369,'Cannot be modified except by direct means',100,2,7),
(181308,10080369,'When Equipped:',100,0,0),
(181309,10080369,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(181310,10080369,'Inflicts 54 - 100 magic damage on target',100,2,2),
(181311,10080369,'Cannot be modified except by direct means',100,2,3),
(181312,107545,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(181313,107545,'Decreases Mitigation of target encounter vs elemental and noxious damage by 748',100,1,1),
(181314,10107545,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(181315,10107545,'Decreases Mitigation of target encounter vs elemental and noxious damage by 748',100,1,1),
(181316,87091,'Applies Fire Ball when Activated.',100,0,0),
(181317,87091,'Inflicts 85 - 142 heat damage on target',100,1,1),
(181318,87091,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(181319,10087091,'Applies Fire Ball when Activated.',100,0,0),
(181320,10087091,'Inflicts 102 - 171 heat damage on target',100,1,1),
(181321,10087091,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(181322,119959,'Inflicts 388 - 648 melee damage on target',100,1,0),
(181323,119959,'Stifles target',100,1,1),
(181324,119959,'If Target is not Epic',100,2,2),
(181325,119959,'Resistibility increases against targets higher than level 109.',100,1,3),
(181326,10119959,'Inflicts 466 - 777 melee damage on target',100,1,0),
(181327,10119959,'Stifles target',100,1,1),
(181328,10119959,'If Target is not Epic',100,2,2),
(181329,10119959,'Resistibility increases against targets higher than level 109.',100,1,3),
(181330,124245,'Decreases power of target by 11 - 18',100,1,0),
(181331,124245,'Inflicts 28 - 47 mental damage on target',100,1,1),
(181332,10124245,'Decreases power of target by 11 - 18',100,1,0),
(181333,10124245,'Inflicts 34 - 57 mental damage on target',100,1,1),
(181334,37014,'Increases STA of target by 1.5',100,0,0),
(181335,37014,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(181336,48972,'Applies Ysanna''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(181337,48972,'Heals caster for 125',100,1,1),
(181338,48972,'Heals caster for 62 every 5 seconds',100,1,2),
(181339,10048972,'Applies Ysanna''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(181340,10048972,'Heals caster for 81',100,1,1),
(181341,10048972,'Heals caster for 40 every 5 seconds',100,1,2),
(181342,107964,'Increases In-Combat Power Regeneration of group members (AE) by 18.5',100,1,0),
(181343,10107964,'Increases In-Combat Power Regeneration of group members (AE) by 18.5',100,1,0),
(181344,24548,'Adds Mistmoore: Shelves of Spell Tomes to your Dungeon Maker toolbox',100,0,0),
(181345,10024548,'Adds Mistmoore: Shelves of Spell Tomes to your Dungeon Maker toolbox',100,0,0),
(181346,107035,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(181347,107035,'Inflicts 37 - 62 divine damage on target',100,2,1),
(181348,107035,'Inflicts 37 - 62 divine damage on target',100,2,2),
(181349,107035,'If target is undead',100,3,3),
(181350,10107035,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(181351,10107035,'Inflicts 74 - 124 divine damage on target',100,2,1),
(181352,109985,'Inflicts 1055 - 1583 disease damage on targets in Area of Effect',100,1,0),
(181353,109985,'Inflicts 528 - 791 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(181354,109985,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(181355,109985,'Increases Threat to targets in Area of Effect by 4,509 - 5,510  instantly and every 4 seconds thereafter',100,1,3),
(181356,10109985,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(181357,10109985,'Prevents target from changing targets',100,2,1),
(181358,10109985,'Forces target to change their selected target to caster.',100,2,2),
(181359,10109985,'Inflicts 1266 - 1899 disease damage on targets in Area of Effect',100,1,3),
(181360,10109985,'Inflicts 633 - 950 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(181361,158818,'When Equipped:',100,0,0),
(181362,158818,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(181363,158818,'Makes target afraid',100,2,2),
(181364,158818,'25% chance to dispel when target takes damage',100,2,3),
(181365,158818,'25% chance to dispel when target receives hostile action',100,2,4),
(181366,158818,'Does not affect Epic targets',100,2,5),
(181367,158818,'Resistibility increases against targets higher than level 77.',100,2,6),
(181368,158818,'Cannot be modified except by direct means',100,2,7),
(181369,10158818,'When Equipped:',100,0,0),
(181370,10158818,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(181371,10158818,'Makes target afraid',100,2,2),
(181372,10158818,'25% chance to dispel when target takes damage',100,2,3),
(181373,10158818,'25% chance to dispel when target receives hostile action',100,2,4),
(181374,10158818,'Does not affect Epic targets',100,2,5),
(181375,10158818,'Resistibility increases against targets higher than level 77.',100,2,6),
(181376,10158818,'Cannot be modified except by direct means',100,2,7),
(181377,100684,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(181378,100684,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(181379,100684,'Heals caster for 900',100,3,2),
(181380,100684,'Wards caster against 998 points of all damage',100,3,3),
(181381,100684,'Summons a limited pet to aid the caster',100,2,4),
(181382,100684,'Grants a total of 1 trigger of the spell.',100,2,5),
(181383,10100684,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(181384,10100684,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(181385,10100684,'Heals caster for 585',100,3,2),
(181386,10100684,'Wards caster against 998 points of all damage',100,3,3),
(181387,10100684,'Summons a limited pet to aid the caster',100,2,4),
(181388,10100684,'Grants a total of 1 trigger of the spell.',100,2,5),
(181389,116317,'Stuns target',100,1,0),
(181390,116317,'If Target is not Epic',100,2,1),
(181391,116317,'Inflicts 351 - 430 magic damage on target',100,1,2),
(181392,116317,'Resistibility increases against targets higher than level 87.',100,1,3),
(181393,10116317,'Stuns target',100,1,0),
(181394,10116317,'If Target is not Epic',100,2,1),
(181395,10116317,'Inflicts 422 - 515 magic damage on target',100,1,2),
(181396,10116317,'Resistibility increases against targets higher than level 87.',100,1,3),
(181397,100621,'Transfers 28% of target''s current Threat to the caster',100,1,0),
(181398,10100621,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(181399,10100621,'10% of all damage received by the caster is prevented.',100,2,1),
(181400,10100621,'This effect can only trigger once every 5 seconds.',100,2,2),
(181401,116084,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(181402,116084,'Heals target for 81 - 99',100,2,1),
(181403,116084,'Grants a total of 5 triggers of the spell.',100,2,2),
(181404,10116084,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(181405,10116084,'Heals target for 53 - 65',100,2,1),
(181406,10116084,'Grants a total of 5 triggers of the spell.',100,2,2),
(181407,109024,'Decreases Damage Per Second of target by 31.4',100,1,0),
(181408,109024,'Inflicts 291 - 356 melee damage on target',100,1,1),
(181409,10109024,'Decreases Damage Per Second of target by 31.4',100,1,0),
(181410,10109024,'Inflicts 349 - 427 melee damage on target',100,1,1),
(181411,81491,'When Equipped:',100,0,0),
(181412,81491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181413,81491,'Inflicts 77 - 144 magic damage on target',100,2,2),
(181414,81491,'Cannot be modified except by direct means',100,2,3),
(181415,10081491,'When Equipped:',100,0,0),
(181416,10081491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181417,10081491,'Inflicts 93 - 173 magic damage on target',100,2,2),
(181418,10081491,'Cannot be modified except by direct means',100,2,3),
(181419,45808,'Applies Crypt Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(181420,45808,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(181421,45808,'Inflicts 11 poison damage on target',100,2,2),
(181422,45808,'Inflicts 44 poison damage on target instantly and every 6 seconds',100,2,3),
(181423,45808,'Cannot be modified except by direct means',100,2,4),
(181424,45808,'Grants a total of 100 triggers of the spell.',100,2,5),
(181425,10045808,'Applies Crypt Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(181426,10045808,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(181427,10045808,'Inflicts 10 poison damage on target',100,2,2),
(181428,10045808,'Inflicts 39 poison damage on target instantly and every 6 seconds',100,2,3),
(181429,10045808,'Cannot be modified except by direct means',100,2,4),
(181430,10045808,'Grants a total of 100 triggers of the spell.',100,2,5),
(181431,170870,'When Equipped:',100,0,0),
(181432,170870,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(181433,170870,'Inflicts 1986 cold damage on target encounter',100,2,2),
(181434,170870,'Must not be engaged in pvp combat',100,2,3),
(181435,170870,'Cannot be modified except by direct means',100,2,4),
(181436,170870,'Must not be engaged in pvp combat',100,1,5),
(181437,10170870,'When Equipped:',100,0,0),
(181438,10170870,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(181439,10170870,'Inflicts 1192 cold damage on target encounter',100,2,2),
(181440,10170870,'Must not be engaged in pvp combat',100,2,3),
(181441,10170870,'Cannot be modified except by direct means',100,2,4),
(181442,10170870,'Must not be engaged in pvp combat',100,1,5),
(181443,122635,'Heals target for 179 - 218 every 2 seconds',100,1,0),
(181444,122635,'Wards target against 595 points of all damage',100,1,1),
(181445,122635,'Decreases Attack Speed of target by 25.0',100,1,2),
(181446,122635,'Slows target by 50.0%',100,1,3),
(181447,10122635,'Heals target for 116 - 142 every 2 seconds',100,1,0),
(181448,10122635,'Wards target against 595 points of all damage',100,1,1),
(181449,10122635,'Decreases Attack Speed of target by 25.0',100,1,2),
(181450,10122635,'Slows target by 20.0%',100,1,3),
(181451,46070,'Applies Elixir of Endless Intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(181452,46070,'Increases WIS and INT of caster by 12.0',100,1,1),
(181453,10046070,'Applies Elixir of Endless Intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(181454,10046070,'Increases WIS and INT of caster by 12.0',100,1,1),
(181455,141913,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(181456,141913,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(181457,141913,'Inflicts 21 heat damage on target',100,2,2),
(181458,141913,'Cannot be modified except by direct means',100,2,3),
(181459,10141913,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(181460,10141913,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(181461,10141913,'Inflicts 26 heat damage on target',100,2,2),
(181462,10141913,'Cannot be modified except by direct means',100,2,3),
(181463,37503,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(181464,187310,'When Equipped:',100,0,0),
(181465,187310,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(181466,187310,'Stuns target',100,2,2),
(181467,187310,'Only affects targets level 95 and below',100,2,3),
(181468,187310,'Does not affect Epic targets',100,2,4),
(181469,187310,'Resistibility increases against targets higher than level 111.',100,2,5),
(181470,187310,'Cannot be modified except by direct means',100,2,6),
(181471,10187310,'When Equipped:',100,0,0),
(181472,10187310,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(181473,10187310,'Stuns target',100,2,2),
(181474,10187310,'Only affects targets level 95 and below',100,2,3),
(181475,10187310,'Does not affect Epic targets',100,2,4),
(181476,10187310,'Resistibility increases against targets higher than level 111.',100,2,5),
(181477,10187310,'Cannot be modified except by direct means',100,2,6),
(181478,107730,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(181479,107730,'Inflicts 220 - 366 melee damage on target',100,2,1),
(181480,107730,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(181481,107730,'Inflicts 220 - 366 melee damage on target',100,2,3),
(181482,107730,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(181483,107730,'Inflicts 220 - 366 melee damage on target',100,2,5),
(181484,107730,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(181485,107730,'Inflicts 220 - 366 melee damage on target',100,2,7),
(181486,107730,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(181487,107730,'Inflicts 220 - 366 melee damage on target',100,2,9),
(181488,107730,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(181489,107730,'Inflicts 220 - 366 melee damage on target',100,2,11),
(181490,107730,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(181491,107730,'Inflicts 220 - 366 melee damage on target',100,2,13),
(181492,107730,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(181493,107730,'Inflicts 220 - 366 melee damage on target',100,2,15),
(181494,10107730,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(181495,10107730,'Inflicts 149 - 249 melee damage on target',100,2,1),
(181496,10107730,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(181497,10107730,'Inflicts 149 - 249 melee damage on target',100,2,3),
(181498,10107730,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(181499,10107730,'Inflicts 149 - 249 melee damage on target',100,2,5),
(181500,10107730,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(181501,10107730,'Inflicts 149 - 249 melee damage on target',100,2,7),
(181502,10107730,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(181503,10107730,'Inflicts 149 - 249 melee damage on target',100,2,9),
(181504,10107730,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(181505,10107730,'Inflicts 149 - 249 melee damage on target',100,2,11),
(181506,10107730,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(181507,10107730,'Inflicts 149 - 249 melee damage on target',100,2,13),
(181508,10107730,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(181509,10107730,'Inflicts 149 - 249 melee damage on target',100,2,15),
(181510,80616,'When Equipped:',100,0,0),
(181511,80616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181512,80616,'Inflicts 53 - 98 magic damage on target',100,2,2),
(181513,80616,'Cannot be modified except by direct means',100,2,3),
(181514,10080616,'When Equipped:',100,0,0),
(181515,10080616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181516,10080616,'Inflicts 64 - 118 magic damage on target',100,2,2),
(181517,10080616,'Cannot be modified except by direct means',100,2,3),
(181518,37287,'Increases AGI and STA of target by 5.4',100,0,0),
(181519,37287,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(181520,37287,'Increases Attack Speed of target by 10.0',100,0,2),
(181521,103615,'Increases STR of raid and group members (AE) by 5.7',100,1,0),
(181522,103615,'Improves the base amount of taunts by 9.5%.',100,1,1),
(181523,103615,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(181524,103615,'Increases AGI of raid and group members (AE) by 5.7',100,1,3),
(181525,103615,'Adds 0.9% to base avoidance.',100,1,4),
(181526,10103615,'Increases STR of raid and group members (AE) by 5.7',100,1,0),
(181527,10103615,'Improves the base amount of taunts by 9.5%.',100,1,1),
(181528,10103615,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(181529,10103615,'Increases AGI of raid and group members (AE) by 5.7',100,1,3),
(181530,10103615,'Adds 0.9% to base avoidance.',100,1,4),
(181531,120609,'Inflicts 257 - 477 heat damage on target',100,1,0),
(181532,10120609,'Inflicts 308 - 572 heat damage on target',100,1,0),
(181533,101366,'Reduces physical damage done to caster by 5%',100,1,0),
(181534,101366,'Adds 1.7% to base avoidance.',100,1,1),
(181535,101366,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(181536,101366,'Increases Aggression of caster by 10.9',100,1,3),
(181537,101366,'Increases Defense and Parry of caster by 17.4',100,1,4),
(181538,101366,'Increases Mitigation of caster vs noxious and arcane damage by 106',100,1,5),
(181539,101366,'Increases Mitigation of caster vs elemental damage by 1065',100,1,6),
(181540,101366,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(181541,10101366,'Reduces physical damage done to caster by 5%',100,1,0),
(181542,10101366,'Adds 1.7% to base avoidance.',100,1,1),
(181543,10101366,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(181544,10101366,'Increases Aggression of caster by 10.9',100,1,3),
(181545,10101366,'Increases Defense and Parry of caster by 17.4',100,1,4),
(181546,10101366,'Increases Mitigation of caster vs noxious and arcane damage by 106',100,1,5),
(181547,10101366,'Increases Mitigation of caster vs elemental damage by 1065',100,1,6),
(181548,10101366,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(181549,46681,'Applies Call Incandescent Swiftwing when Activated.',100,0,0),
(181550,46681,'Increases Crushing, Disruption and Ordination of caster by 5.0',100,1,1),
(181551,46681,'Summons a mount to ride',100,1,2),
(181552,46681,'Increases your ground speed by 75%',100,2,3),
(181553,46681,'Increases your air speed by 150%',100,2,4),
(181554,46681,'Increases Piercing, Slashing, Subjugation, Ministration, Focus, Ranged and Aggression of caster by 5.0',100,1,5),
(181555,10046681,'Applies Call Incandescent Swiftwing when Activated.',100,0,0),
(181556,10046681,'Increases Crushing, Disruption and Ordination of caster by 5.0',100,1,1),
(181557,10046681,'Summons a mount to ride',100,1,2),
(181558,10046681,'Increases your ground speed by 75%',100,2,3),
(181559,10046681,'Increases your air speed by 150%',100,2,4),
(181560,10046681,'Increases Piercing, Slashing, Subjugation, Ministration, Focus, Ranged and Aggression of caster by 5.0',100,1,5),
(181561,110752,'Heals target for 203 - 248',100,1,0),
(181562,110752,'Increases Max Health of target by 30.7',100,1,1),
(181563,10110752,'Heals target for 132 - 161',100,1,0),
(181564,10110752,'Increases Max Health of target by 30.7',100,1,1),
(181565,108130,'Increases Attack Speed of caster by 24.6',100,1,0),
(181566,10108130,'Increases Attack Speed of caster by 24.6',100,1,0),
(181567,37204,'Increases INT of target by 0.4',100,0,0),
(181568,37204,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(181569,46047,'Applies Frigid Dissipation when Activated.  Lasts for 2.0 seconds.',100,0,0),
(181570,46047,'Inflicts 108 magic damage on target',100,1,1),
(181571,46047,'Removes elemental frost infused curse effects.',100,1,2),
(181572,46047,'Interrupts target',100,1,3),
(181573,46047,'If any of the following are true:',100,1,4),
(181574,46047,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(181575,46047,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(181576,46047,'Cannot be modified except by direct means',100,1,7),
(181577,10046047,'Applies Frigid Dissipation when Activated.  Lasts for 2.0 seconds.',100,0,0),
(181578,10046047,'Inflicts 130 magic damage on target',100,1,1),
(181579,10046047,'Removes elemental frost infused curse effects.',100,1,2),
(181580,10046047,'Interrupts target',100,1,3),
(181581,10046047,'If any of the following are true:',100,1,4),
(181582,10046047,'Must be in Throne of Storms: Hall of Legends [Challenge].',100,2,5),
(181583,10046047,'Must be in Throne of Storms: Hall of Legends.',100,2,6),
(181584,10046047,'Cannot be modified except by direct means',100,1,7),
(181585,124678,'Inflicts 110 - 135 cold damage on target instantly and every 4 seconds',100,1,0),
(181586,124678,'Slows target by 75.0%',100,1,1),
(181587,10124678,'Inflicts 132 - 162 cold damage on target',100,1,0),
(181588,10124678,'Inflicts 115 - 140 cold damage on target every 4 seconds',100,1,1),
(181589,10124678,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(181590,10124678,'Slows target by 75.0%',100,2,3),
(181591,87665,'When Equipped:',100,0,0),
(181592,87665,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181593,87665,'Inflicts 25 - 31 cold damage on target',100,2,2),
(181594,87665,'Cannot be modified except by direct means',100,2,3),
(181595,10087665,'When Equipped:',100,0,0),
(181596,10087665,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181597,10087665,'Inflicts 30 - 37 cold damage on target',100,2,2),
(181598,10087665,'Cannot be modified except by direct means',100,2,3),
(181599,115294,'Summons a limited pet to aid the caster',100,1,0),
(181600,10115294,'Summons a limited pet to aid the caster',100,1,0),
(181601,26521,'When Equipped:',100,0,0),
(181602,26521,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(181603,26521,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,2),
(181604,10026521,'When Equipped:',100,0,0),
(181605,10026521,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(181606,10026521,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,2),
(181607,105924,'Inflicts 13 - 15 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(181608,105924,'Inflicts 29 - 49 disease damage on targets in area',100,1,1),
(181609,10105924,'Inflicts 15 - 18 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(181610,10105924,'Inflicts 35 - 58 disease damage on targets in area',100,1,1),
(181611,47785,'Applies Aura of the Freeblood when Activated.',100,0,0),
(181612,47785,'Casts aura of the freeblood on the user',100,1,1),
(181613,10047785,'Applies Aura of the Freeblood when Activated.',100,0,0),
(181614,10047785,'Casts aura of the freeblood on the user',100,1,1),
(181615,24511,'Adds Mistmoore 2 to your Dungeon Maker toolbox',100,0,0),
(181616,10024511,'Adds Mistmoore 2 to your Dungeon Maker toolbox',100,0,0),
(181617,101956,'Summons a limited pet to aid the caster',100,1,0),
(181618,10101956,'Summons a limited pet to aid the caster',100,1,0),
(181619,109357,'Stuns target',100,1,0),
(181620,109357,'If Target is not Epic',100,2,1),
(181621,109357,'Inflicts 202 - 246 cold damage on target',100,1,2),
(181622,109357,'Resistibility increases against targets higher than level 45.',100,1,3),
(181623,10109357,'Stuns target',100,1,0),
(181624,10109357,'If Target is not Epic',100,2,1),
(181625,10109357,'Inflicts 242 - 296 cold damage on target',100,1,2),
(181626,10109357,'Resistibility increases against targets higher than level 45.',100,1,3),
(181627,112775,'Interrupts target',100,1,0),
(181628,112775,'Inflicts 253 - 421 divine damage on target',100,1,1),
(181629,10112775,'Interrupts target',100,1,0),
(181630,10112775,'Inflicts 303 - 505 divine damage on target',100,1,1),
(181631,116895,'Wards group members (AE) against 2282 points of noxious damage',100,1,0),
(181632,116895,'Increases Mitigation of group members (AE) vs noxious damage by 1201',100,1,1),
(181633,10116895,'Wards group members (AE) against 2282 points of noxious damage',100,1,0),
(181634,10116895,'Increases Mitigation of group members (AE) vs noxious damage by 1201',100,1,1),
(181635,45637,'Applies Elixir of Sharpness  when Activated.  Lasts for 30 minutes.',100,0,0),
(181636,45637,'Increases AGI of caster by 31.0',100,1,1),
(181637,10045637,'Applies Elixir of Sharpness  when Activated.  Lasts for 30 minutes.',100,0,0),
(181638,10045637,'Increases AGI of caster by 31.0',100,1,1),
(181639,46731,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(181640,46731,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(181641,46731,'Decreases WIS of target by 27.2',100,2,2),
(181642,46731,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 351',100,2,3),
(181643,46731,'Cannot be modified except by direct means',100,2,4),
(181644,46731,'Grants a total of 60 triggers of the spell.',100,2,5),
(181645,10046731,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(181646,10046731,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(181647,10046731,'Decreases WIS of target by 27.2',100,2,2),
(181648,10046731,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 351',100,2,3),
(181649,10046731,'Cannot be modified except by direct means',100,2,4),
(181650,10046731,'Grants a total of 60 triggers of the spell.',100,2,5),
(181651,159381,'When Equipped:',100,0,0),
(181652,159381,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181653,159381,'Increases STR of caster by 3.6',100,2,2),
(181654,159381,'Increases Damage Per Second of caster by 11.3',100,2,3),
(181655,159381,'Cannot be modified except by direct means',100,2,4),
(181656,10159381,'When Equipped:',100,0,0),
(181657,10159381,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181658,10159381,'Increases STR of caster by 3.6',100,2,2),
(181659,10159381,'Increases Damage Per Second of caster by 11.3',100,2,3),
(181660,10159381,'Cannot be modified except by direct means',100,2,4),
(181661,140312,'When Equipped:',100,0,0),
(181662,140312,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(181663,140312,'Stuns target',100,2,2),
(181664,140312,'Only affects targets level 125 and below',100,2,3),
(181665,140312,'Does not affect Epic targets',100,2,4),
(181666,140312,'Resistibility increases against targets higher than level 109.',100,2,5),
(181667,140312,'Cannot be modified except by direct means',100,2,6),
(181668,10140312,'When Equipped:',100,0,0),
(181669,10140312,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(181670,10140312,'Stuns target',100,2,2),
(181671,10140312,'Only affects targets level 125 and below',100,2,3),
(181672,10140312,'Does not affect Epic targets',100,2,4),
(181673,10140312,'Resistibility increases against targets higher than level 109.',100,2,5),
(181674,10140312,'Cannot be modified except by direct means',100,2,6),
(181675,48430,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(181676,48430,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(181677,48430,'Decreases WIS and INT of target by 23.1',100,2,2),
(181678,48430,'Cannot be modified except by direct means',100,2,3),
(181679,48430,'Grants a total of 30 triggers of the spell.',100,2,4),
(181680,10048430,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(181681,10048430,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(181682,10048430,'Decreases WIS and INT of target by 23.1',100,2,2),
(181683,10048430,'Cannot be modified except by direct means',100,2,3),
(181684,10048430,'Grants a total of 30 triggers of the spell.',100,2,4),
(181685,121945,'Inflicts 7 - 12 disease damage on target',100,1,0),
(181686,121945,'Decreases Defense of target by 3.5',100,1,1),
(181687,121945,'Interrupts target',100,1,2),
(181688,10121945,'Inflicts 9 - 14 disease damage on target',100,1,0),
(181689,10121945,'Decreases Defense of target by 3.5',100,1,1),
(181690,10121945,'Interrupts target',100,1,2),
(181691,47939,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(181692,47939,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(181693,47939,'Inflicts 1568 poison damage on target',100,2,2),
(181694,47939,'Heals caster for 1714',100,2,3),
(181695,47939,'Cannot be modified except by direct means',100,2,4),
(181696,47939,'Grants a total of 100 triggers of the spell.',100,2,5),
(181697,10047939,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(181698,10047939,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(181699,10047939,'Inflicts 523 poison damage on target',100,2,2),
(181700,10047939,'Heals caster for 418',100,2,3),
(181701,10047939,'Cannot be modified except by direct means',100,2,4),
(181702,10047939,'Grants a total of 100 triggers of the spell.',100,2,5),
(181703,117288,'Inflicts 241 - 403 melee damage on target',100,1,0),
(181704,117288,'Decreases Damage Per Second of target by 13.3',100,1,1),
(181705,117288,'Decreases Attack Speed of target by 9.7',100,1,2),
(181706,10117288,'Inflicts 290 - 483 melee damage on target',100,1,0),
(181707,10117288,'Decreases Damage Per Second of target by 13.3',100,1,1),
(181708,10117288,'Decreases Attack Speed of target by 9.7',100,1,2),
(181709,117779,'Inflicts 603 - 1005 divine damage on target',100,1,0),
(181710,10117779,'Inflicts 724 - 1206 divine damage on target',100,1,0),
(181711,120169,'Applies Life Draw on termination.',100,1,0),
(181712,120169,'Inflicts 129 - 215 disease damage on target',100,2,1),
(181713,120169,'Heals caster for 10.9 - 13.3% of max health',100,2,2),
(181714,120169,'This effect cannot be critically applied.',100,3,3),
(181715,120169,'The healing of this spell cannot be modified except by direct means',100,2,4),
(181716,120169,'Inflicts 37 - 62 disease damage on target',100,1,5),
(181717,10120169,'Applies Life Draw on termination.',100,1,0),
(181718,10120169,'Inflicts 154 - 257 disease damage on target',100,2,1),
(181719,10120169,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(181720,10120169,'This effect cannot be critically applied.',100,3,3),
(181721,10120169,'The healing of this spell cannot be modified except by direct means',100,2,4),
(181722,10120169,'Inflicts 45 - 75 disease damage on target',100,1,5),
(181723,159187,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(181724,159187,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(181725,159187,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(181726,159187,'Cannot be modified except by direct means',100,2,3),
(181727,10159187,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(181728,10159187,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(181729,10159187,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(181730,10159187,'Cannot be modified except by direct means',100,2,3),
(181731,119387,'Decreases threat priority of target by 1 position',100,1,0),
(181732,119387,'Decreases Threat to target by 1,379 ',100,1,1),
(181733,119387,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(181734,119387,'Grants stealth to caster',100,2,3),
(181735,119387,'Suspends caster''s movement speed enhancements',100,2,4),
(181736,10119387,'Applies Distract.',100,1,0),
(181737,10119387,'Forces target to clear their selected target.',100,2,1),
(181738,10119387,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(181739,10119387,'Grants stealth to caster',100,2,3),
(181740,10119387,'Suspends caster''s movement speed enhancements',100,2,4),
(181741,142793,'When Equipped:',100,0,0),
(181742,142793,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(181743,10142793,'When Equipped:',100,0,0),
(181744,10142793,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(181745,36268,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(181746,112701,'Inflicts 47 - 78 disease damage on target encounter',100,1,0),
(181747,10112701,'Inflicts 56 - 94 disease damage on target encounter',100,1,0),
(181748,109556,'Inflicts 4663 - 7772 cold damage on targets in Area of Effect',100,1,0),
(181749,109556,'Throws target back',100,1,1),
(181750,109556,'If Target is not Epic',100,2,2),
(181751,109556,'Stuns targets in Area of Effect',100,1,3),
(181752,109556,'If Target is not Epic',100,2,4),
(181753,109556,'Resistibility increases against targets higher than level 117.',100,1,5),
(181754,10109556,'Inflicts 3730 - 6217 cold damage on targets in Area of Effect',100,1,0),
(181755,10109556,'Throws target back',100,1,1),
(181756,10109556,'If Target is not Epic',100,2,2),
(181757,10109556,'Stuns targets in Area of Effect',100,1,3),
(181758,10109556,'If Target is not Epic',100,2,4),
(181759,10109556,'Resistibility increases against targets higher than level 117.',100,1,5),
(181760,84911,'When Equipped:',100,0,0),
(181761,84911,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(181762,84911,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(181763,84911,'Heals target for 5594 - 6182',100,2,3),
(181764,84911,'Must not be engaged in pvp combat',100,2,4),
(181765,84911,'Cannot be modified except by direct means',100,2,5),
(181766,84911,'Cannot be modified except by direct means',100,1,6),
(181767,10084911,'When Equipped:',100,0,0),
(181768,10084911,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(181769,10084911,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(181770,10084911,'Heals target for 6545 - 7233',100,2,3),
(181771,10084911,'Must not be engaged in pvp combat',100,2,4),
(181772,10084911,'Cannot be modified except by direct means',100,2,5),
(181773,10084911,'Cannot be modified except by direct means',100,1,6),
(181774,134785,'When Equipped:',100,0,0),
(181775,134785,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(181776,134785,'Heals group members for 206',100,2,2),
(181777,134785,'Cannot be modified except by direct means',100,2,3),
(181778,10134785,'When Equipped:',100,0,0),
(181779,10134785,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(181780,10134785,'Heals group members for 134',100,2,2),
(181781,10134785,'Cannot be modified except by direct means',100,2,3),
(181782,118077,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(181783,118077,'Increases Defense of caster by 11.0',100,1,1),
(181784,10118077,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(181785,10118077,'Increases Defense of caster by 11.0',100,1,1),
(181786,115325,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(181787,115325,'Makes target afraid',100,2,1),
(181788,115325,'Slows target by 54.1%',100,2,2),
(181789,115325,'30% chance to dispel when target takes damage',100,2,3),
(181790,115325,'Does not affect Epic targets',100,2,4),
(181791,115325,'Resistibility increases against targets higher than level 48.',100,2,5),
(181792,115325,'Roots target',100,1,6),
(181793,115325,'15% chance to dispel when target takes damage',100,1,7),
(181794,115325,'Does not affect Epic targets',100,1,8),
(181795,115325,'Resistibility increases against targets higher than level 48.',100,1,9),
(181796,10115325,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(181797,10115325,'Slows target by 54.1%',100,2,1),
(181798,10115325,'Makes target afraid',100,2,2),
(181799,10115325,'30% chance to dispel when target takes damage',100,2,3),
(181800,10115325,'Does not affect Epic targets',100,2,4),
(181801,10115325,'Resistibility increases against targets higher than level 48.',100,2,5),
(181802,10115325,'Roots target',100,1,6),
(181803,10115325,'15% chance to dispel when target takes damage',100,1,7),
(181804,10115325,'Does not affect Epic targets',100,1,8),
(181805,10115325,'Resistibility increases against targets higher than level 48.',100,1,9),
(181806,117076,'Inflicts 242 - 404 melee damage on target',100,1,0),
(181807,117076,'Decreases Attack Speed of target by 19.9',100,1,1),
(181808,10117076,'Inflicts 291 - 485 melee damage on target',100,1,0),
(181809,10117076,'Decreases Attack Speed of target by 19.9',100,1,1),
(181810,88838,'When Equipped:',100,0,0),
(181811,88838,'On a combat hit this spell may cast Talon Swipe on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181812,88838,'Inflicts 146 - 244 slashing damage on target',100,2,2),
(181813,88838,'Cannot be modified except by direct means',100,2,3),
(181814,10088838,'When Equipped:',100,0,0),
(181815,10088838,'On a combat hit this spell may cast Talon Swipe on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181816,10088838,'Inflicts 175 - 292 slashing damage on target',100,2,2),
(181817,10088838,'Cannot be modified except by direct means',100,2,3),
(181818,47105,'Applies Aegis of Shimmering Light  when Activated.  Lasts for 30 minutes.',100,0,0),
(181819,10047105,'Applies Aegis of Shimmering Light  when Activated.  Lasts for 30 minutes.',100,0,0),
(181820,47960,'Applies Draw upon Essence when Activated.',100,0,0),
(181821,47960,'Increases power of caster by 5',100,1,1),
(181822,47960,'Requires 15 Health to cast.',100,1,2),
(181823,10047960,'Applies Draw upon Essence when Activated.',100,0,0),
(181824,10047960,'Increases power of caster by 5',100,1,1),
(181825,10047960,'Requires 15 Health to cast.',100,1,2),
(181826,121222,'Reduces physical damage done to caster by 5%',100,1,0),
(181827,121222,'Adds 2.1% to base avoidance.',100,1,1),
(181828,121222,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(181829,121222,'Increases Aggression of caster by 5.0',100,1,3),
(181830,121222,'Increases Defense and Parry of caster by 8.1',100,1,4),
(181831,121222,'Increases Mitigation of caster vs noxious and arcane damage by 53',100,1,5),
(181832,121222,'Increases Mitigation of caster vs elemental damage by 532',100,1,6),
(181833,121222,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(181834,10121222,'Reduces physical damage done to caster by 5%',100,1,0),
(181835,10121222,'Adds 2.1% to base avoidance.',100,1,1),
(181836,10121222,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(181837,10121222,'Increases Aggression of caster by 5.0',100,1,3),
(181838,10121222,'Increases Defense and Parry of caster by 8.1',100,1,4),
(181839,10121222,'Increases Mitigation of caster vs noxious and arcane damage by 53',100,1,5),
(181840,10121222,'Increases Mitigation of caster vs elemental damage by 532',100,1,6),
(181841,10121222,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(181842,182290,'When Equipped:',100,0,0),
(181843,182290,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(181844,182290,'Heals group members (AE) for 875',100,2,2),
(181845,182290,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(181846,182290,'Must not be engaged in pvp combat',100,2,4),
(181847,182290,'Cannot be modified except by direct means',100,2,5),
(181848,182290,'Must not be engaged in pvp combat',100,1,6),
(181849,10182290,'When Equipped:',100,0,0),
(181850,10182290,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(181851,10182290,'Heals group members (AE) for 1024',100,2,2),
(181852,10182290,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(181853,10182290,'Must not be engaged in pvp combat',100,2,4),
(181854,10182290,'Cannot be modified except by direct means',100,2,5),
(181855,10182290,'Must not be engaged in pvp combat',100,1,6),
(181856,36938,'Increases Max Health of target by 3.9',100,0,0),
(181857,36938,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(181858,110523,'Increases Threat to target by 432  instantly and by 183  every 3 seconds thereafter',100,1,0),
(181859,110523,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(181860,110523,'Stuns target',100,2,2),
(181861,110523,'Throws target back',100,2,3),
(181862,110523,'Blurs vision of target',100,2,4),
(181863,110523,'Does not affect Epic targets',100,2,5),
(181864,110523,'Inflicts 74 - 124 disease damage on target',100,1,6),
(181865,10110523,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(181866,10110523,'Stuns target',100,2,1),
(181867,10110523,'Throws target back',100,2,2),
(181868,10110523,'Blurs vision of target',100,2,3),
(181869,10110523,'Does not affect Epic targets',100,2,4),
(181870,10110523,'Forces target to change their selected target to caster.',100,1,5),
(181871,10110523,'Inflicts 74 - 124 disease damage on target',100,1,6),
(181872,10110523,'Prevents target from changing targets',100,1,7),
(181873,87330,'When Equipped:',100,0,0),
(181874,87330,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181875,87330,'Inflicts 69 - 103 magic damage on target',100,2,2),
(181876,87330,'Cannot be modified except by direct means',100,2,3),
(181877,10087330,'When Equipped:',100,0,0),
(181878,10087330,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(181879,10087330,'Inflicts 83 - 124 magic damage on target',100,2,2),
(181880,10087330,'Cannot be modified except by direct means',100,2,3),
(181881,121612,'Inflicts 165 - 495 melee damage on target',100,1,0),
(181882,121612,'Dazes target',100,1,1),
(181883,121612,'If Target is not Epic',100,2,2),
(181884,121612,'Must be flanking or behind',100,1,3),
(181885,121612,'Resistibility increases against targets higher than level 61.',100,1,4),
(181886,10121612,'Inflicts 198 - 594 melee damage on target',100,1,0),
(181887,10121612,'Dazes target',100,1,1),
(181888,10121612,'If Target is not Epic',100,2,2),
(181889,10121612,'Must be flanking or behind',100,1,3),
(181890,10121612,'Resistibility increases against targets higher than level 61.',100,1,4),
(181891,100835,'Wards target against 495 points of all damage',100,1,0),
(181892,10100835,'Wards target against 761 points of all damage',100,1,0),
(181893,26144,'When Equipped:',100,0,0),
(181894,26144,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(181895,26144,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(181896,10026144,'When Equipped:',100,0,0),
(181897,10026144,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(181898,10026144,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(181899,159744,'Applies Sanguine Imbued when Equipped.',100,0,0),
(181900,159744,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(181901,159744,'Inflicts 53 heat damage on target',100,2,2),
(181902,159744,'Cannot be modified except by direct means',100,2,3),
(181903,10159744,'Applies Sanguine Imbued when Equipped.',100,0,0),
(181904,10159744,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(181905,10159744,'Inflicts 64 heat damage on target',100,2,2),
(181906,10159744,'Cannot be modified except by direct means',100,2,3),
(181907,71626,'When Equipped:',100,0,0),
(181908,71626,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181909,71626,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(181910,71626,'Cannot be modified except by direct means',100,2,3),
(181911,10071626,'When Equipped:',100,0,0),
(181912,10071626,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(181913,10071626,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(181914,10071626,'Cannot be modified except by direct means',100,2,3),
(181915,141903,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(181916,141903,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(181917,141903,'Inflicts 39 heat damage on target',100,2,2),
(181918,141903,'Cannot be modified except by direct means',100,2,3),
(181919,10141903,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(181920,10141903,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(181921,10141903,'Inflicts 46 heat damage on target',100,2,2),
(181922,10141903,'Cannot be modified except by direct means',100,2,3),
(181923,48271,'Applies Call Wind Komodo when Activated.',100,0,0),
(181924,48271,'Increases Ministration, Crushing, Ordination and Ranged of caster by 5.0',100,1,1),
(181925,48271,'Summons a mount to ride',100,1,2),
(181926,48271,'Increases your ground speed by 60%',100,2,3),
(181927,48271,'Increases your air speed by 200%',100,2,4),
(181928,48271,'Increases Focus, Disruption, Subjugation, Slashing, Piercing and Aggression of caster by 5.0',100,1,5),
(181929,10048271,'Applies Call Wind Komodo when Activated.',100,0,0),
(181930,10048271,'Increases Ministration, Crushing, Ordination and Ranged of caster by 5.0',100,1,1),
(181931,10048271,'Summons a mount to ride',100,1,2),
(181932,10048271,'Increases your ground speed by 60%',100,2,3),
(181933,10048271,'Increases your air speed by 200%',100,2,4),
(181934,10048271,'Increases Focus, Disruption, Subjugation, Slashing, Piercing and Aggression of caster by 5.0',100,1,5),
(181935,89269,'When Equipped:',100,0,0),
(181936,89269,'On a critical spell hit this spell may cast Vitality Consumption V on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(181937,89269,'Inflicts 379 - 419 disease damage on target',100,2,2),
(181938,89269,'Heals caster for 316 - 349',100,2,3),
(181939,89269,'Must not be engaged in pvp combat',100,2,4),
(181940,89269,'Cannot be modified except by direct means',100,2,5),
(181941,89269,'On a critical combat hit this spell may cast Vitality Consumption V on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(181942,89269,'Inflicts 379 - 419 disease damage on target',100,2,7),
(181943,89269,'Heals caster for 316 - 349',100,2,8),
(181944,89269,'Must not be engaged in pvp combat',100,2,9),
(181945,89269,'Cannot be modified except by direct means',100,2,10),
(181946,89269,'Must not be engaged in pvp combat',100,1,11),
(181947,10089269,'When Equipped:',100,0,0),
(181948,10089269,'On a critical spell hit this spell may cast Vitality Consumption V on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(181949,10089269,'Inflicts 455 - 503 disease damage on target',100,2,2),
(181950,10089269,'Heals caster for 205 - 227',100,2,3),
(181951,10089269,'Must not be engaged in pvp combat',100,2,4),
(181952,10089269,'Cannot be modified except by direct means',100,2,5),
(181953,10089269,'On a critical combat hit this spell may cast Vitality Consumption V on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(181954,10089269,'Inflicts 455 - 503 disease damage on target',100,2,7),
(181955,10089269,'Heals caster for 205 - 227',100,2,8),
(181956,10089269,'Must not be engaged in pvp combat',100,2,9),
(181957,10089269,'Cannot be modified except by direct means',100,2,10),
(181958,10089269,'Must not be engaged in pvp combat',100,1,11),
(181959,90251,'When Equipped:',100,0,0),
(181960,90251,'Increases caster''s chance to block by 18.0%',100,1,1),
(181961,90251,'When Equipped:',100,0,2),
(181962,90251,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(181963,90251,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(181964,90251,'Increases Ability Modifier of caster by 660.0',100,2,5),
(181965,90251,'Must not be engaged in pvp combat',100,2,6),
(181966,90251,'Cannot be modified except by direct means',100,2,7),
(181967,90251,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(181968,90251,'Increases Ability Modifier of caster by 660.0',100,2,9),
(181969,90251,'Must not be engaged in pvp combat',100,2,10),
(181970,90251,'Cannot be modified except by direct means',100,2,11),
(181971,90251,'Cannot be modified except by direct means',100,1,12),
(181972,10090251,'When Equipped:',100,0,0),
(181973,10090251,'Increases caster''s chance to block by 18.0%',100,1,1),
(181974,10090251,'When Equipped:',100,0,2),
(181975,10090251,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(181976,10090251,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(181977,10090251,'Increases Ability Modifier of caster by 660.0',100,2,5),
(181978,10090251,'Must not be engaged in pvp combat',100,2,6),
(181979,10090251,'Cannot be modified except by direct means',100,2,7),
(181980,10090251,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(181981,10090251,'Increases Ability Modifier of caster by 660.0',100,2,9),
(181982,10090251,'Must not be engaged in pvp combat',100,2,10),
(181983,10090251,'Cannot be modified except by direct means',100,2,11),
(181984,10090251,'Cannot be modified except by direct means',100,1,12),
(181985,165231,'When Equipped:',100,0,0),
(181986,165231,'Applies Toxic Avenger to qualifying pets.',100,1,1),
(181987,165231,'Wards caster against 516 points of noxious damage',100,2,2),
(181988,165231,'On any combat or spell hit this spell may cast Toxic Revenge on target of attack.  Triggers about 2.0 times per minute. ',100,2,3),
(181989,165231,'Inflicts 229 poison damage on target',100,3,4),
(181990,165231,'Inflicts 229 disease damage on target',100,3,5),
(181991,10165231,'When Equipped:',100,0,0),
(181992,10165231,'Applies Toxic Avenger to qualifying pets.',100,1,1),
(181993,10165231,'Wards caster against 516 points of noxious damage',100,2,2),
(181994,10165231,'On any combat or spell hit this spell may cast Toxic Revenge on target of attack.  Triggers about 2.0 times per minute. ',100,2,3),
(181995,10165231,'Inflicts 275 poison damage on target',100,3,4),
(181996,10165231,'Inflicts 275 disease damage on target',100,3,5),
(181997,70895,'When Equipped:',100,0,0),
(181998,70895,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(181999,70895,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(182000,70895,'Increases Ability Modifier of caster by 660.0',100,2,3),
(182001,70895,'Must not be engaged in pvp combat',100,2,4),
(182002,70895,'Cannot be modified except by direct means',100,2,5),
(182003,70895,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(182004,70895,'Increases Ability Modifier of caster by 660.0',100,2,7),
(182005,70895,'Must not be engaged in pvp combat',100,2,8),
(182006,70895,'Cannot be modified except by direct means',100,2,9),
(182007,70895,'Cannot be modified except by direct means',100,1,10),
(182008,70895,'When Equipped:',100,0,11),
(182009,70895,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(182010,70895,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(182011,70895,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,14),
(182012,70895,'Must not be engaged in pvp combat',100,2,15),
(182013,70895,'Cannot be modified except by direct means',100,2,16),
(182014,70895,'Cannot be modified except by direct means',100,1,17),
(182015,10070895,'When Equipped:',100,0,0),
(182016,10070895,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(182017,10070895,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(182018,10070895,'Increases Ability Modifier of caster by 660.0',100,2,3),
(182019,10070895,'Must not be engaged in pvp combat',100,2,4),
(182020,10070895,'Cannot be modified except by direct means',100,2,5),
(182021,10070895,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(182022,10070895,'Increases Ability Modifier of caster by 660.0',100,2,7),
(182023,10070895,'Must not be engaged in pvp combat',100,2,8),
(182024,10070895,'Cannot be modified except by direct means',100,2,9),
(182025,10070895,'Cannot be modified except by direct means',100,1,10),
(182026,10070895,'When Equipped:',100,0,11),
(182027,10070895,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(182028,10070895,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(182029,10070895,'Inflicts 1299 - 1435 disease damage on target instantly and every 2 seconds',100,2,14),
(182030,10070895,'Must not be engaged in pvp combat',100,2,15),
(182031,10070895,'Cannot be modified except by direct means',100,2,16),
(182032,10070895,'Cannot be modified except by direct means',100,1,17),
(182033,82357,'When Equipped:',100,0,0),
(182034,82357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182035,82357,'Inflicts 28 - 51 magic damage on target',100,2,2),
(182036,82357,'Cannot be modified except by direct means',100,2,3),
(182037,10082357,'When Equipped:',100,0,0),
(182038,10082357,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182039,10082357,'Inflicts 33 - 61 magic damage on target',100,2,2),
(182040,10082357,'Cannot be modified except by direct means',100,2,3),
(182041,122435,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(182042,122435,'Blurs vision of target',100,2,1),
(182043,122435,'Stuns target',100,2,2),
(182044,122435,'Throws target back',100,2,3),
(182045,122435,'Does not affect Epic targets',100,2,4),
(182046,122435,'Inflicts 46 - 77 crushing damage on target',100,1,5),
(182047,122435,'If facing target',100,1,6),
(182048,10122435,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(182049,10122435,'Throws target back',100,2,1),
(182050,10122435,'Stuns target',100,2,2),
(182051,10122435,'Blurs vision of target',100,2,3),
(182052,10122435,'Does not affect Epic targets',100,2,4),
(182053,10122435,'Inflicts 55 - 92 crushing damage on target',100,1,5),
(182054,10122435,'If facing target',100,1,6),
(182055,116125,'Inflicts 45 - 76 divine damage on target',100,1,0),
(182056,116125,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(182057,116125,'Blurs vision of target',100,2,2),
(182058,116125,'Stuns target',100,2,3),
(182059,116125,'Throws target back',100,2,4),
(182060,116125,'Does not affect Epic targets',100,2,5),
(182061,10116125,'Inflicts 54 - 91 divine damage on target',100,1,0),
(182062,10116125,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(182063,10116125,'Throws target back',100,2,2),
(182064,10116125,'Stuns target',100,2,3),
(182065,10116125,'Blurs vision of target',100,2,4),
(182066,10116125,'Does not affect Epic targets',100,2,5),
(182067,81472,'When Equipped:',100,0,0),
(182068,81472,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182069,81472,'Decreases Threat to target by 352 ',100,2,2),
(182070,81472,'Must be flanking or behind',100,3,3),
(182071,81472,'Increases Threat to target by 357 ',100,2,4),
(182072,81472,'Must be in front of',100,3,5),
(182073,81472,'Inflicts 77 - 144 magic damage on target',100,2,6),
(182074,81472,'Cannot be modified except by direct means',100,2,7),
(182075,10081472,'When Equipped:',100,0,0),
(182076,10081472,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182077,10081472,'Inflicts 93 - 173 magic damage on target',100,2,2),
(182078,10081472,'Cannot be modified except by direct means',100,2,3),
(182079,157341,'When Equipped:',100,0,0),
(182080,157341,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(182081,157341,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(182082,157341,'Cannot be modified except by direct means',100,2,3),
(182083,10157341,'When Equipped:',100,0,0),
(182084,10157341,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(182085,10157341,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(182086,10157341,'Cannot be modified except by direct means',100,2,3),
(182087,115439,'Inflicts 43 - 52 mental damage on target instantly and every 6 seconds',100,1,0),
(182088,115439,'Decreases Mitigation of target vs arcane damage by 448',100,1,1),
(182089,10115439,'Inflicts 51 - 63 mental damage on target instantly and every 6 seconds',100,1,0),
(182090,10115439,'Decreases Mitigation of target vs arcane damage by 448',100,1,1),
(182091,121396,'Roots caster',100,1,0),
(182092,121396,'Dazes caster',100,1,1),
(182093,121396,'Applies Steel Hail.',100,1,2),
(182094,121396,'Inflicts 735 - 1226 ranged damage on target',100,2,3),
(182095,121396,'Stifles caster',100,1,4),
(182096,121396,'If weapon equipped in Ranged',100,1,5),
(182097,121396,'Resistibility increases against targets higher than level 113.',100,1,6),
(182098,10121396,'Roots caster',100,1,0),
(182099,10121396,'Dazes caster',100,1,1),
(182100,10121396,'Applies Steel Hail.',100,1,2),
(182101,10121396,'Inflicts 625 - 1042 ranged damage on target',100,2,3),
(182102,10121396,'Stifles caster',100,1,4),
(182103,10121396,'If weapon equipped in Ranged',100,1,5),
(182104,10121396,'Resistibility increases against targets higher than level 113.',100,1,6),
(182105,82772,'When Equipped:',100,0,0),
(182106,82772,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182107,82772,'Decreases Threat to target by 1,174 ',100,2,2),
(182108,82772,'Must be flanking or behind',100,3,3),
(182109,82772,'Increases Threat to target by 1,179 ',100,2,4),
(182110,82772,'Must be in front of',100,3,5),
(182111,82772,'Inflicts 233 - 434 magic damage on target',100,2,6),
(182112,82772,'Cannot be modified except by direct means',100,2,7),
(182113,10082772,'When Equipped:',100,0,0),
(182114,10082772,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182115,10082772,'Inflicts 280 - 520 magic damage on target',100,2,2),
(182116,10082772,'Cannot be modified except by direct means',100,2,3),
(182117,108002,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(182118,108002,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(182119,10108002,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(182120,10108002,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(182121,120936,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(182122,120936,'Inflicts 554 - 677 mental damage on target',100,2,1),
(182123,120936,'Grants a total of 3 triggers of the spell.',100,2,2),
(182124,10120936,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(182125,10120936,'Inflicts 665 - 812 mental damage on target',100,2,1),
(182126,10120936,'Grants a total of 3 triggers of the spell.',100,2,2),
(182127,107605,'Dazes target encounter',100,1,0),
(182128,107605,'Inflicts 633 - 774 mental damage on target encounter',100,1,1),
(182129,107605,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(182130,107605,'Resistibility increases against targets higher than level 117.',100,1,3),
(182131,10107605,'Dazes target encounter',100,1,0),
(182132,10107605,'Inflicts 760 - 928 mental damage on target encounter',100,1,1),
(182133,10107605,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(182134,10107605,'Resistibility increases against targets higher than level 117.',100,1,3),
(182135,88207,'When Equipped:',100,0,0),
(182136,88207,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182137,88207,'Inflicts 1192 poison damage on target',100,2,2),
(182138,88207,'Cannot be modified except by direct means',100,2,3),
(182139,88207,'When Equipped:',100,0,4),
(182140,88207,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(182141,88207,'Inflicts 1192 disease damage on target encounter',100,2,6),
(182142,88207,'Must not be engaged in pvp combat',100,2,7),
(182143,88207,'Cannot be modified except by direct means',100,2,8),
(182144,10088207,'When Equipped:',100,0,0),
(182145,10088207,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182146,10088207,'Inflicts 715 poison damage on target',100,2,2),
(182147,10088207,'Cannot be modified except by direct means',100,2,3),
(182148,10088207,'When Equipped:',100,0,4),
(182149,10088207,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(182150,10088207,'Inflicts 715 disease damage on target encounter',100,2,6),
(182151,10088207,'Must not be engaged in pvp combat',100,2,7),
(182152,10088207,'Cannot be modified except by direct means',100,2,8),
(182153,100749,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(182154,100749,'Wards target against 532 points of all damage',100,2,1),
(182155,100749,'Increases power of target by 100 every 6 seconds',100,2,2),
(182156,100749,'Heals target for 432',100,2,3),
(182157,100749,'Grants a total of 1 trigger of the spell.',100,2,4),
(182158,10100749,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(182159,10100749,'Wards target against 532 points of all damage',100,2,1),
(182160,10100749,'Increases power of target by 100 every 6 seconds',100,2,2),
(182161,10100749,'Heals target for 281',100,2,3),
(182162,10100749,'Grants a total of 1 trigger of the spell.',100,2,4),
(182163,101857,'Stuns target',100,1,0),
(182164,101857,'Does not affect Epic targets',100,1,1),
(182165,101857,'Resistibility increases against targets higher than level 82.',100,1,2),
(182166,10101857,'Stuns target',100,1,0),
(182167,10101857,'Does not affect Epic targets',100,1,1),
(182168,10101857,'Resistibility increases against targets higher than level 82.',100,1,2),
(182169,159213,'Applies Lambent Imbued when Equipped.',100,0,0),
(182170,159213,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(182171,159213,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(182172,159213,'Cannot be modified except by direct means',100,2,3),
(182173,10159213,'Applies Lambent Imbued when Equipped.',100,0,0),
(182174,10159213,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(182175,10159213,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(182176,10159213,'Cannot be modified except by direct means',100,2,3),
(182177,102174,'Increases Mitigation of group members (AE) vs physical damage by 156',100,1,0),
(182178,10102174,'Increases Mitigation of group members (AE) vs physical damage by 156',100,1,0),
(182179,45363,'Applies Blessing of Growth when Activated.',100,0,0),
(182180,45363,'This effect cannot be cast during combat',100,1,1),
(182181,10045363,'Applies Blessing of Growth when Activated.',100,0,0),
(182182,10045363,'This effect cannot be cast during combat',100,1,1),
(182183,104993,'Reduces physical damage done to caster by 5%',100,1,0),
(182184,104993,'Adds 1.8% to base avoidance.',100,1,1),
(182185,104993,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(182186,104993,'Increases Parry of caster by 20.9',100,1,3),
(182187,104993,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(182188,104993,'Increases Aggression of caster by 12.5',100,1,5),
(182189,104993,'Increases Defense and Deflection of caster by 20.9',100,1,6),
(182190,104993,'Increases Mitigation of caster vs arcane damage by 1392',100,1,7),
(182191,104993,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(182192,10104993,'Reduces physical damage done to caster by 5%',100,1,0),
(182193,10104993,'Adds 1.8% to base avoidance.',100,1,1),
(182194,10104993,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(182195,10104993,'Increases Parry of caster by 20.9',100,1,3),
(182196,10104993,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(182197,10104993,'Increases Aggression of caster by 12.5',100,1,5),
(182198,10104993,'Increases Defense and Deflection of caster by 20.9',100,1,6),
(182199,10104993,'Increases Mitigation of caster vs arcane damage by 1392',100,1,7),
(182200,10104993,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(182201,173467,'When Equipped:',100,0,0),
(182202,173467,'Increases the caster''s heals and wards by 5%.',100,1,1),
(182203,173467,'Must not be engaged in pvp combat',100,1,2),
(182204,10173467,'When Equipped:',100,0,0),
(182205,10173467,'Increases the caster''s heals and wards by 5%.',100,1,1),
(182206,10173467,'Must not be engaged in pvp combat',100,1,2),
(182207,186265,'Applies Unstable Magics when Equipped.',100,0,0),
(182208,186265,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(182209,10186265,'Applies Unstable Magics when Equipped.',100,0,0),
(182210,10186265,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(182211,154126,'When Equipped:',100,0,0),
(182212,154126,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(182213,154126,'Decreases power of target by 253',100,2,2),
(182214,154126,'Increases power of caster by 156',100,2,3),
(182215,154126,'Cannot be modified except by direct means',100,2,4),
(182216,10154126,'When Equipped:',100,0,0),
(182217,10154126,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(182218,10154126,'Decreases power of target by 253',100,2,2),
(182219,10154126,'Increases power of caster by 156',100,2,3),
(182220,10154126,'Cannot be modified except by direct means',100,2,4),
(182221,47912,'Applies Collect Sample when Activated.',100,0,0),
(182222,47912,'Summon 1 Ryjesium Lake Water Sample',100,1,1),
(182223,47912,'This effect cannot be cast during combat',100,1,2),
(182224,10047912,'Applies Collect Sample when Activated.',100,0,0),
(182225,10047912,'Summon 1 Ryjesium Lake Water Sample',100,1,1),
(182226,10047912,'This effect cannot be cast during combat',100,1,2),
(182227,42350,'When Equipped:',100,0,0),
(182228,42350,'On a ranged hit this spell may cast Scale Slice on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182229,42350,'Inflicts 373 slashing damage on target',100,2,2),
(182230,42350,'Cannot be modified except by direct means',100,2,3),
(182231,10042350,'When Equipped:',100,0,0),
(182232,10042350,'On a ranged hit this spell may cast Scale Slice on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182233,10042350,'Inflicts 448 slashing damage on target',100,2,2),
(182234,10042350,'Cannot be modified except by direct means',100,2,3),
(182235,85424,'When Equipped:',100,0,0),
(182236,85424,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182237,85424,'Inflicts 490 - 817 divine damage on target',100,2,2),
(182238,85424,'Inflicts 490 - 817 magic damage on target',100,2,3),
(182239,85424,'Inflicts 490 - 817 piercing damage on target',100,2,4),
(182240,85424,'Must not be engaged in pvp combat',100,2,5),
(182241,85424,'Cannot be modified except by direct means',100,2,6),
(182242,85424,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(182243,85424,'Inflicts 490 - 817 divine damage on target',100,2,8),
(182244,85424,'Inflicts 490 - 817 magic damage on target',100,2,9),
(182245,85424,'Inflicts 490 - 817 piercing damage on target',100,2,10),
(182246,85424,'Must not be engaged in pvp combat',100,2,11),
(182247,85424,'Cannot be modified except by direct means',100,2,12),
(182248,85424,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(182249,85424,'Inflicts 490 - 817 divine damage on target',100,2,14),
(182250,85424,'Inflicts 490 - 817 magic damage on target',100,2,15),
(182251,85424,'Inflicts 490 - 817 piercing damage on target',100,2,16),
(182252,85424,'Must not be engaged in pvp combat',100,2,17),
(182253,85424,'Cannot be modified except by direct means',100,2,18),
(182254,85424,'Must not be engaged in pvp combat',100,1,19),
(182255,10085424,'When Equipped:',100,0,0),
(182256,10085424,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182257,10085424,'Inflicts 588 - 980 divine damage on target',100,2,2),
(182258,10085424,'Inflicts 588 - 980 magic damage on target',100,2,3),
(182259,10085424,'Inflicts 588 - 980 piercing damage on target',100,2,4),
(182260,10085424,'Must not be engaged in pvp combat',100,2,5),
(182261,10085424,'Cannot be modified except by direct means',100,2,6),
(182262,10085424,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(182263,10085424,'Inflicts 588 - 980 divine damage on target',100,2,8),
(182264,10085424,'Inflicts 588 - 980 magic damage on target',100,2,9),
(182265,10085424,'Inflicts 588 - 980 piercing damage on target',100,2,10),
(182266,10085424,'Must not be engaged in pvp combat',100,2,11),
(182267,10085424,'Cannot be modified except by direct means',100,2,12),
(182268,10085424,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(182269,10085424,'Inflicts 588 - 980 divine damage on target',100,2,14),
(182270,10085424,'Inflicts 588 - 980 magic damage on target',100,2,15),
(182271,10085424,'Inflicts 588 - 980 piercing damage on target',100,2,16),
(182272,10085424,'Must not be engaged in pvp combat',100,2,17),
(182273,10085424,'Cannot be modified except by direct means',100,2,18),
(182274,10085424,'Must not be engaged in pvp combat',100,1,19),
(182275,36951,'Increases WIS of target by 1.5',100,0,0),
(182276,36951,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(182277,120197,'Applies Life Draw on termination.',100,1,0),
(182278,120197,'Inflicts 888 - 1481 disease damage on target',100,2,1),
(182279,120197,'Heals caster for 15.8 - 19.4% of max health',100,2,2),
(182280,120197,'This effect cannot be critically applied.',100,3,3),
(182281,120197,'The healing of this spell cannot be modified except by direct means',100,2,4),
(182282,120197,'Inflicts 259 - 431 disease damage on target',100,1,5),
(182283,10120197,'Applies Life Draw on termination.',100,1,0),
(182284,10120197,'Inflicts 1066 - 1777 disease damage on target',100,2,1),
(182285,10120197,'Heals caster for 4.3 - 5.3% of max health',100,2,2),
(182286,10120197,'This effect cannot be critically applied.',100,3,3),
(182287,10120197,'The healing of this spell cannot be modified except by direct means',100,2,4),
(182288,10120197,'Inflicts 310 - 518 disease damage on target',100,1,5),
(182289,103645,'Increases STR of raid and group members (AE) by 60.4',100,1,0),
(182290,103645,'Improves the base amount of taunts by 14%.',100,1,1),
(182291,103645,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(182292,103645,'Increases AGI of raid and group members (AE) by 60.4',100,1,3),
(182293,103645,'Adds 1.4% to base avoidance.',100,1,4),
(182294,10103645,'Increases STR of raid and group members (AE) by 60.4',100,1,0),
(182295,10103645,'Improves the base amount of taunts by 14%.',100,1,1),
(182296,10103645,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(182297,10103645,'Increases AGI of raid and group members (AE) by 60.4',100,1,3),
(182298,10103645,'Adds 1.4% to base avoidance.',100,1,4),
(182299,138092,'When Equipped:',100,0,0),
(182300,138092,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182301,138092,'Inflicts 2664 disease damage on target encounter',100,2,2),
(182302,138092,'Must not be engaged in pvp combat',100,2,3),
(182303,138092,'Cannot be modified except by direct means',100,2,4),
(182304,10138092,'When Equipped:',100,0,0),
(182305,10138092,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182306,10138092,'Inflicts 1598 disease damage on target encounter',100,2,2),
(182307,10138092,'Must not be engaged in pvp combat',100,2,3),
(182308,10138092,'Cannot be modified except by direct means',100,2,4),
(182309,106167,'Wards target against 15 points of all damage',100,1,0),
(182310,106167,'Decreases INT of target by 28.0',100,1,1),
(182311,106167,'Decreases Attack Speed of target by 25.0',100,1,2),
(182312,106167,'Increases Max Health of target by 11.0%',100,1,3),
(182313,106167,'Increases Hate Gain of target by 14.6%',100,1,4),
(182314,106167,'Increases Aggression of target by 2.3',100,1,5),
(182315,106167,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(182316,106167,'Increases Threat to target encounter by 21 - 25 ',100,2,7),
(182317,106167,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,8),
(182318,10106167,'Wards target against 15 points of all damage',100,1,0),
(182319,10106167,'Decreases INT of target by 28.0',100,1,1),
(182320,10106167,'Decreases Attack Speed of target by 25.0',100,1,2),
(182321,10106167,'Increases Max Health of target by 11.0%',100,1,3),
(182322,10106167,'Increases Aggression of target by 2.3',100,1,4),
(182323,10106167,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,5),
(182324,159223,'Applies Lambent Imbued when Equipped.',100,0,0),
(182325,159223,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(182326,159223,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(182327,159223,'Cannot be modified except by direct means',100,2,3),
(182328,10159223,'Applies Lambent Imbued when Equipped.',100,0,0),
(182329,10159223,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(182330,10159223,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(182331,10159223,'Cannot be modified except by direct means',100,2,3),
(182332,135511,'When Equipped:',100,0,0),
(182333,135511,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(182334,135511,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(182335,135511,'Must be engaged in combat',100,3,3),
(182336,135511,'Cannot be modified except by direct means',100,2,4),
(182337,10135511,'When Equipped:',100,0,0),
(182338,10135511,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(182339,10135511,'Cannot be modified except by direct means',100,2,2),
(182340,111216,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(182341,111216,'Heals target for 53 - 65',100,2,1),
(182342,10111216,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(182343,10111216,'Heals target for 34 - 42',100,2,1),
(182344,113893,'Increases power of target by 193',100,1,0),
(182345,10113893,'Increases power of target by 193',100,1,0),
(182346,46344,'Applies Flame Root when Activated.',100,0,0),
(182347,46344,'Inflicts 16 - 24 heat damage on target',100,1,1),
(182348,10046344,'Applies Flame Root when Activated.',100,0,0),
(182349,10046344,'Inflicts 19 - 29 heat damage on target',100,1,1),
(182350,116477,'Prevents targets in Area of Effect from changing targets',100,1,0),
(182351,116477,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(182352,116477,'Increases Threat to targets in Area of Effect by 128 ',100,1,2),
(182353,10116477,'Prevents targets in Area of Effect from changing targets',100,1,0),
(182354,10116477,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(182355,158724,'When Equipped:',100,0,0),
(182356,158724,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(182357,158724,'Wards caster against 1250 points of all damage',100,2,2),
(182358,158724,'Cannot be modified except by direct means',100,2,3),
(182359,158724,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(182360,158724,'Wards caster against 1250 points of all damage',100,2,5),
(182361,158724,'Cannot be modified except by direct means',100,2,6),
(182362,10158724,'When Equipped:',100,0,0),
(182363,10158724,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(182364,10158724,'Wards caster against 625 points of all damage',100,2,2),
(182365,10158724,'Cannot be modified except by direct means',100,2,3),
(182366,10158724,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(182367,10158724,'Wards caster against 625 points of all damage',100,2,5),
(182368,10158724,'Cannot be modified except by direct means',100,2,6),
(182369,117459,'Inflicts 552 - 920 melee damage on target',100,1,0),
(182370,117459,'You must be sneaking to use this ability.',100,1,1),
(182371,117459,'Must be flanking or behind',100,1,2),
(182372,10117459,'Inflicts 410 - 684 melee damage on target',100,1,0),
(182373,10117459,'You must be sneaking to use this ability.',100,1,1),
(182374,10117459,'Must be flanking or behind',100,1,2),
(182375,120934,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(182376,120934,'Inflicts 525 - 642 mental damage on target',100,2,1),
(182377,120934,'Grants a total of 3 triggers of the spell.',100,2,2),
(182378,10120934,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(182379,10120934,'Inflicts 630 - 770 mental damage on target',100,2,1),
(182380,10120934,'Grants a total of 3 triggers of the spell.',100,2,2),
(182381,27378,'When Equipped:',100,0,0),
(182382,27378,'On a parry this spell has a 3% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(182383,27378,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(182384,27378,'Heals caster for 30 - 36',100,3,3),
(182385,27378,'Grants a total of 3 triggers of the spell.',100,3,4),
(182386,27378,'Cannot be modified except by direct means',100,2,5),
(182387,10027378,'When Equipped:',100,0,0),
(182388,10027378,'On a parry this spell has a 3% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(182389,10027378,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(182390,10027378,'Heals caster for 19 - 23',100,3,3),
(182391,10027378,'Grants a total of 3 triggers of the spell.',100,3,4),
(182392,10027378,'Cannot be modified except by direct means',100,2,5),
(182393,164731,'When Equipped:',100,0,0),
(182394,164731,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(182395,164731,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(182396,164731,'Must not be engaged in pvp combat',100,2,3),
(182397,164731,'Cannot be modified except by direct means',100,2,4),
(182398,164731,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(182399,164731,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(182400,164731,'Must not be engaged in pvp combat',100,2,7),
(182401,164731,'Cannot be modified except by direct means',100,2,8),
(182402,164731,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(182403,164731,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(182404,164731,'Must not be engaged in pvp combat',100,2,11),
(182405,164731,'Cannot be modified except by direct means',100,2,12),
(182406,164731,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(182407,164731,'Inflicts 47 piercing damage on target',100,2,14),
(182408,164731,'Must not be engaged in pvp combat',100,2,15),
(182409,164731,'Cannot be modified except by direct means',100,2,16),
(182410,10164731,'When Equipped:',100,0,0),
(182411,10164731,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(182412,10164731,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(182413,10164731,'Must not be engaged in pvp combat',100,2,3),
(182414,10164731,'Cannot be modified except by direct means',100,2,4),
(182415,10164731,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(182416,10164731,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(182417,10164731,'Must not be engaged in pvp combat',100,2,7),
(182418,10164731,'Cannot be modified except by direct means',100,2,8),
(182419,10164731,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(182420,10164731,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(182421,10164731,'Must not be engaged in pvp combat',100,2,11),
(182422,10164731,'Cannot be modified except by direct means',100,2,12),
(182423,10164731,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(182424,10164731,'Inflicts 56 piercing damage on target',100,2,14),
(182425,10164731,'Must not be engaged in pvp combat',100,2,15),
(182426,10164731,'Cannot be modified except by direct means',100,2,16),
(182427,123410,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(182428,123410,'Heals caster for 62.5% of max health',100,2,1),
(182429,123410,'This effect cannot be critically applied.',100,3,2),
(182430,123410,'Applies Exploding Heart on termination.',100,2,3),
(182431,123410,'The healing of this spell cannot be modified except by direct means',100,2,4),
(182432,123410,'Grants a total of 1 trigger of the spell.',100,2,5),
(182433,10123410,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(182434,10123410,'Heals caster for 31.3% of max health',100,2,1),
(182435,10123410,'This effect cannot be critically applied.',100,3,2),
(182436,10123410,'Applies Exploding Heart on termination.',100,2,3),
(182437,10123410,'The healing of this spell cannot be modified except by direct means',100,2,4),
(182438,10123410,'Grants a total of 1 trigger of the spell.',100,2,5),
(182439,102036,'Interrupts targets in Area of Effect',100,1,0),
(182440,102036,'Inflicts 50 - 84 melee damage on targets in area',100,1,1),
(182441,10102036,'Interrupts targets in Area of Effect',100,1,0),
(182442,10102036,'Inflicts 60 - 100 melee damage on targets in area',100,1,1),
(182443,144883,'Applies Summon Carpet of the Djinn Master when Activated.',100,0,0),
(182444,144883,'Reduces maximum falling speed of caster',100,1,1),
(182445,144883,'Summons a mount to ride',100,1,2),
(182446,144883,'Increases your ground speed by 130%',100,2,3),
(182447,144883,'Wards caster against 163 points of all damage',100,1,4),
(182448,144883,'Cannot be modified except by direct means',100,1,5),
(182449,144883,'The casting time of Summon Carpet of the Djinn Master is 1.0 second',100,1,6),
(182450,10144883,'Applies Summon Carpet of the Djinn Master when Activated.',100,0,0),
(182451,10144883,'Reduces maximum falling speed of caster',100,1,1),
(182452,10144883,'Summons a mount to ride',100,1,2),
(182453,10144883,'Increases your ground speed by 130%',100,2,3),
(182454,10144883,'Wards caster against 163 points of all damage',100,1,4),
(182455,10144883,'Cannot be modified except by direct means',100,1,5),
(182456,10144883,'The casting time of Summon Carpet of the Djinn Master is 1.0 second',100,1,6),
(182457,105897,'Inflicts 164 - 274 ranged damage on target',100,1,0),
(182458,105897,'Inflicts 164 - 274 ranged damage on target',100,1,1),
(182459,105897,'If weapon equipped in Ranged',100,1,2),
(182460,10105897,'Inflicts 140 - 233 ranged damage on target',100,1,0),
(182461,10105897,'Inflicts 140 - 233 ranged damage on target',100,1,1),
(182462,10105897,'If weapon equipped in Ranged',100,1,2),
(182463,121274,'Inflicts 3 - 4 magic damage on target instantly and every 4 seconds',100,1,0),
(182464,10121274,'Inflicts 4 - 5 magic damage on target instantly and every 4 seconds',100,1,0),
(182465,123765,'Decreases Mitigation of target vs noxious damage by 740',100,1,0),
(182466,123765,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(182467,123765,'Slows target by 37.4%',100,2,2),
(182468,123765,'5% chance to dispel when target receives hostile action',100,2,3),
(182469,123765,'5% chance to dispel when target takes damage',100,2,4),
(182470,10123765,'Decreases Mitigation of target vs noxious damage by 740',100,1,0),
(182471,10123765,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(182472,10123765,'Slows target by 37.4%',100,2,2),
(182473,10123765,'5% chance to dispel when target receives hostile action',100,2,3),
(182474,10123765,'5% chance to dispel when target takes damage',100,2,4),
(182475,133903,'When Equipped:',100,0,0),
(182476,133903,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182477,133903,'Inflicts 1199 cold damage on target encounter',100,2,2),
(182478,133903,'Cannot be modified except by direct means',100,2,3),
(182479,10133903,'When Equipped:',100,0,0),
(182480,10133903,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182481,10133903,'Inflicts 719 cold damage on target encounter',100,2,2),
(182482,10133903,'Cannot be modified except by direct means',100,2,3),
(182483,102804,'Summons 3 limited pets to aid the caster',100,1,0),
(182484,10102804,'Summons 3 limited pets to aid the caster',100,1,0),
(182485,106059,'Increases AGI of caster by 89.0',100,1,0),
(182486,106059,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(182487,106059,'Inflicts 109 - 182 disease damage on target',100,2,2),
(182488,106059,'Adds 25.0% to base avoidance.',100,1,3),
(182489,106059,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(182490,106059,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(182491,10106059,'Increases AGI of caster by 89.0',100,1,0),
(182492,10106059,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(182493,10106059,'Inflicts 131 - 218 disease damage on target',100,2,2),
(182494,10106059,'Adds 25.0% to base avoidance.',100,1,3),
(182495,10106059,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(182496,10106059,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(182497,80191,'When Equipped:',100,0,0),
(182498,80191,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182499,80191,'Inflicts 166 - 308 magic damage on target',100,2,2),
(182500,80191,'Cannot be modified except by direct means',100,2,3),
(182501,10080191,'When Equipped:',100,0,0),
(182502,10080191,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182503,10080191,'Inflicts 199 - 370 magic damage on target',100,2,2),
(182504,10080191,'Cannot be modified except by direct means',100,2,3),
(182505,37267,'Increases STA of target by 1.5',100,0,0),
(182506,37267,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(182507,35911,'Increases Max Power of target by 3.3',100,0,0),
(182508,35911,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(182509,48117,'Applies Flaming Dragon Breath when Activated.  Lasts for 5.0 seconds.',100,0,0),
(182510,48117,'Not for the faint of heart ... or digestion.',100,1,1),
(182511,10048117,'Applies Flaming Dragon Breath when Activated.  Lasts for 5.0 seconds.',100,0,0),
(182512,10048117,'Not for the faint of heart ... or digestion.',100,1,1),
(182513,170654,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(182514,170654,'Decreases INT, WIS, AGI and STR of target by 15.6',100,1,1),
(182515,170654,'Decreases Max Health of target by 1.0%',100,1,2),
(182516,170654,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(182517,10170654,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(182518,10170654,'Decreases INT, WIS, AGI and STR of target by 15.6',100,1,1),
(182519,10170654,'Decreases Max Health of target by 1.0%',100,1,2),
(182520,10170654,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(182521,89441,'When Equipped:',100,0,0),
(182522,89441,'On a combat hit this spell may cast Truesilver Befuddlement on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182523,89441,'Decreases Threat to target by 300 ',100,2,2),
(182524,89441,'Cannot be modified except by direct means',100,2,3),
(182525,10089441,'When Equipped:',100,0,0),
(182526,10089441,'On a combat hit this spell may cast Truesilver Befuddlement on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182527,10089441,'Cannot be modified except by direct means',100,2,2),
(182528,81345,'When Equipped:',100,0,0),
(182529,81345,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182530,81345,'Inflicts 70 - 129 magic damage on target',100,2,2),
(182531,81345,'Cannot be modified except by direct means',100,2,3),
(182532,10081345,'When Equipped:',100,0,0),
(182533,10081345,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182534,10081345,'Inflicts 84 - 155 magic damage on target',100,2,2),
(182535,10081345,'Cannot be modified except by direct means',100,2,3),
(182536,113265,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(182537,113265,'Inflicts 82 - 137 magic damage on target',100,2,1),
(182538,113265,'Grants a total of 8 triggers of the spell.',100,2,2),
(182539,10113265,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(182540,10113265,'Inflicts 99 - 165 magic damage on target',100,2,1),
(182541,10113265,'Grants a total of 8 triggers of the spell.',100,2,2),
(182542,185023,'When Equipped:',100,0,0),
(182543,185023,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182544,185023,'Inflicts 2664 cold damage on target encounter',100,2,2),
(182545,185023,'Must not be engaged in pvp combat',100,2,3),
(182546,185023,'Cannot be modified except by direct means',100,2,4),
(182547,185023,'Must not be engaged in pvp combat',100,1,5),
(182548,10185023,'When Equipped:',100,0,0),
(182549,10185023,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182550,10185023,'Inflicts 1598 cold damage on target encounter',100,2,2),
(182551,10185023,'Must not be engaged in pvp combat',100,2,3),
(182552,10185023,'Cannot be modified except by direct means',100,2,4),
(182553,10185023,'Must not be engaged in pvp combat',100,1,5),
(182554,100424,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(182555,100424,'Inflicts 60 - 100 slashing damage on target',100,2,1),
(182556,100424,'Increases Threat to target by 228 ',100,2,2),
(182557,100424,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(182558,100424,'Increases Threat to target by 228 ',100,2,4),
(182559,100424,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 810',100,1,5),
(182560,10100424,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(182561,10100424,'Inflicts 72 - 120 slashing damage on target',100,2,1),
(182562,10100424,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(182563,10100424,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 810',100,1,3),
(182564,47163,'Applies Elixir of Brilliance  when Activated.  Lasts for 30 minutes.',100,0,0),
(182565,47163,'Increases INT and WIS of caster by 17.3',100,1,1),
(182566,10047163,'Applies Elixir of Brilliance  when Activated.  Lasts for 30 minutes.',100,0,0),
(182567,10047163,'Increases INT and WIS of caster by 17.3',100,1,1),
(182568,174865,'When Equipped:',100,0,0),
(182569,174865,'On a spell cast this spell may cast Wisdom of Paixao on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182570,174865,'Increases WIS of caster by 75.0',100,2,2),
(182571,174865,'Increases Potency of caster by 5.0%',100,2,3),
(182572,174865,'Increases Ability Reuse Speed of caster by 5.0%',100,2,4),
(182573,174865,'Cannot be modified except by direct means',100,2,5),
(182574,10174865,'When Equipped:',100,0,0),
(182575,10174865,'On a spell cast this spell may cast Wisdom of Paixao on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182576,10174865,'Increases WIS of caster by 75.0',100,2,2),
(182577,10174865,'Increases Potency of caster by 5.0%',100,2,3),
(182578,10174865,'Increases Ability Reuse Speed of caster by 5.0%',100,2,4),
(182579,10174865,'Cannot be modified except by direct means',100,2,5),
(182580,25184,'When Equipped:',100,0,0),
(182581,25184,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182582,25184,'Decreases power of target by 16',100,2,2),
(182583,25184,'Increases power of caster by 16',100,2,3),
(182584,25184,'Cannot be modified except by direct means',100,2,4),
(182585,10025184,'When Equipped:',100,0,0),
(182586,10025184,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182587,10025184,'Decreases power of target by 16',100,2,2),
(182588,10025184,'Increases power of caster by 16',100,2,3),
(182589,10025184,'Cannot be modified except by direct means',100,2,4),
(182590,115464,'Inflicts 164 - 200 mental damage on target instantly and every 6 seconds',100,1,0),
(182591,115464,'Decreases Mitigation of target vs arcane damage by 1512',100,1,1),
(182592,10115464,'Inflicts 197 - 240 mental damage on target instantly and every 6 seconds',100,1,0),
(182593,10115464,'Decreases Mitigation of target vs arcane damage by 1512',100,1,1),
(182594,122360,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(182595,122360,'Inflicts 27 - 33 piercing damage on target',100,2,1),
(182596,10122360,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(182597,10122360,'Inflicts 32 - 39 piercing damage on target',100,2,1),
(182598,124424,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(182599,124424,'Inflicts 217 - 361 melee damage on target',100,2,1),
(182600,124424,'Grants a total of 3 triggers of the spell.',100,2,2),
(182601,10124424,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(182602,10124424,'Inflicts 260 - 434 melee damage on target',100,2,1),
(182603,10124424,'Grants a total of 3 triggers of the spell.',100,2,2),
(182604,82524,'When Equipped:',100,0,0),
(182605,82524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182606,82524,'Inflicts 67 - 124 magic damage on target',100,2,2),
(182607,82524,'Cannot be modified except by direct means',100,2,3),
(182608,10082524,'When Equipped:',100,0,0),
(182609,10082524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182610,10082524,'Inflicts 80 - 149 magic damage on target',100,2,2),
(182611,10082524,'Cannot be modified except by direct means',100,2,3),
(182612,24701,'Adds Snake (Berserker) to your Dungeon Maker toolbox',100,0,0),
(182613,10024701,'Adds Snake (Berserker) to your Dungeon Maker toolbox',100,0,0),
(182614,106720,'Heals target for 1655 - 2023',100,1,0),
(182615,10106720,'Heals target for 1946 - 2378',100,1,0),
(182616,115702,'Inflicts 60 - 181 melee damage on target',100,1,0),
(182617,115702,'Inflicts 60 - 181 melee damage on target',100,1,1),
(182618,115702,'Inflicts 60 - 181 melee damage on target',100,1,2),
(182619,115702,'Inflicts 60 - 181 melee damage on target',100,1,3),
(182620,115702,'Inflicts 60 - 181 melee damage on target',100,1,4),
(182621,115702,'Inflicts 60 - 181 melee damage on target',100,1,5),
(182622,115702,'Inflicts 60 - 181 melee damage on target',100,1,6),
(182623,115702,'Inflicts 60 - 181 melee damage on target',100,1,7),
(182624,10115702,'Inflicts 72 - 217 melee damage on target',100,1,0),
(182625,10115702,'Inflicts 72 - 217 melee damage on target',100,1,1),
(182626,10115702,'Inflicts 72 - 217 melee damage on target',100,1,2),
(182627,10115702,'Inflicts 72 - 217 melee damage on target',100,1,3),
(182628,10115702,'Inflicts 72 - 217 melee damage on target',100,1,4),
(182629,10115702,'Inflicts 72 - 217 melee damage on target',100,1,5),
(182630,10115702,'Inflicts 72 - 217 melee damage on target',100,1,6),
(182631,10115702,'Inflicts 72 - 217 melee damage on target',100,1,7),
(182632,75909,'When Equipped:',100,0,0),
(182633,75909,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(182634,75909,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(182635,75909,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(182636,75909,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(182637,75909,'Must not be engaged in pvp combat',100,2,5),
(182638,75909,'Cannot be modified except by direct means',100,2,6),
(182639,75909,'Cannot be modified except by direct means',100,1,7),
(182640,75909,'When Equipped:',100,0,8),
(182641,75909,'Increases WIS, INT, STR and AGI of caster by 50.0',100,1,9),
(182642,75909,'Increases Potency of caster by 3.5%',100,1,10),
(182643,75909,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(182644,75909,'Cannot be modified except by direct means',100,1,12),
(182645,10075909,'When Equipped:',100,0,0),
(182646,10075909,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(182647,10075909,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(182648,10075909,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,3),
(182649,10075909,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(182650,10075909,'Must not be engaged in pvp combat',100,2,5),
(182651,10075909,'Cannot be modified except by direct means',100,2,6),
(182652,10075909,'Cannot be modified except by direct means',100,1,7),
(182653,10075909,'When Equipped:',100,0,8),
(182654,10075909,'Increases WIS, INT, STR and AGI of caster by 50.0',100,1,9),
(182655,10075909,'Increases Potency of caster by 3.5%',100,1,10),
(182656,10075909,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(182657,10075909,'Cannot be modified except by direct means',100,1,12),
(182658,35372,'Increases STR of target by 1.5',100,0,0),
(182659,35372,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(182660,118840,'Inflicts 50 - 152 melee damage on target',100,1,0),
(182661,10118840,'Inflicts 60 - 182 melee damage on target',100,1,0),
(182662,115791,'Increases in-combat movement speed of group members (AE) by 48.0%',100,1,0),
(182663,115791,'Dispels 42 levels of hostile Root effects on group members (AE)',100,1,1),
(182664,10115791,'Increases in-combat movement speed of group members (AE) by 30.0%',100,1,0),
(182665,10115791,'Dispels 42 levels of hostile Root effects on group members (AE)',100,1,1),
(182666,71876,'When Equipped:',100,0,0),
(182667,71876,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182668,71876,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(182669,71876,'Cannot be modified except by direct means',100,2,3),
(182670,10071876,'When Equipped:',100,0,0),
(182671,10071876,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182672,10071876,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(182673,10071876,'Cannot be modified except by direct means',100,2,3),
(182674,81722,'When Equipped:',100,0,0),
(182675,81722,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182676,81722,'Inflicts 105 - 195 magic damage on target',100,2,2),
(182677,81722,'Decreases Threat to target by 487 ',100,2,3),
(182678,81722,'Must be flanking or behind',100,3,4),
(182679,81722,'Increases Threat to target by 492 ',100,2,5),
(182680,81722,'Must be in front of',100,3,6),
(182681,81722,'Cannot be modified except by direct means',100,2,7),
(182682,10081722,'When Equipped:',100,0,0),
(182683,10081722,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182684,10081722,'Inflicts 126 - 234 magic damage on target',100,2,2),
(182685,10081722,'Cannot be modified except by direct means',100,2,3),
(182686,159580,'Applies Sanguine Imbued when Equipped.',100,0,0),
(182687,159580,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(182688,159580,'Inflicts 22 heat damage on target',100,2,2),
(182689,159580,'Cannot be modified except by direct means',100,2,3),
(182690,10159580,'Applies Sanguine Imbued when Equipped.',100,0,0),
(182691,10159580,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(182692,10159580,'Inflicts 26 heat damage on target',100,2,2),
(182693,10159580,'Cannot be modified except by direct means',100,2,3),
(182694,115233,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(182695,115233,'Decreases Mitigation of target vs noxious damage by 1512',100,2,1),
(182696,115233,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(182697,115233,'Decreases Mitigation of target vs noxious damage by 1512',100,2,3),
(182698,10115233,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(182699,10115233,'Decreases Mitigation of target vs noxious damage by 1512',100,2,1),
(182700,10115233,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(182701,10115233,'Decreases Mitigation of target vs noxious damage by 1512',100,2,3),
(182702,115123,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(182703,115123,'Heals target for 499',100,2,1),
(182704,115123,'Heals target for 124 every 2 seconds',100,2,2),
(182705,115123,'Increases WIS of target by 51.6',100,2,3),
(182706,115123,'Grants a total of 1 trigger of the spell.',100,2,4),
(182707,10115123,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(182708,10115123,'Heals target for 324',100,2,1),
(182709,10115123,'Heals target for 81 every 2 seconds',100,2,2),
(182710,10115123,'Increases WIS of target by 51.6',100,2,3),
(182711,10115123,'Grants a total of 1 trigger of the spell.',100,2,4),
(182712,111245,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(182713,111245,'Heals target for 516 - 630',100,2,1),
(182714,10111245,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(182715,10111245,'Heals target for 335 - 410',100,2,1),
(182716,114061,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(182717,114061,'Grants stealth to caster',100,2,1),
(182718,114061,'Suspends caster''s movement speed enhancements',100,2,2),
(182719,114061,'Inflicts 101 - 169 melee damage on target',100,1,3),
(182720,114061,'Must be flanking or behind',100,1,4),
(182721,10114061,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(182722,10114061,'Grants stealth to caster',100,2,1),
(182723,10114061,'Suspends caster''s movement speed enhancements',100,2,2),
(182724,10114061,'Inflicts 182 - 304 melee damage on target',100,1,3),
(182725,10114061,'Must be flanking or behind',100,1,4),
(182726,35468,'Increases INT of target by 1.5',100,0,0),
(182727,35468,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(182728,101291,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(182729,101291,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,1),
(182730,10101291,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(182731,10101291,'Increases Mitigation of group members (AE) vs physical damage by 842',100,1,1),
(182732,113888,'Increases power of target by 143',100,1,0),
(182733,10113888,'Increases power of target by 143',100,1,0),
(182734,120281,'Swaps your current hate position with your target''s hate position.',100,1,0),
(182735,120281,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(182736,120281,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(182737,120281,'Cannot be modified except by direct means',100,2,3),
(182738,120281,'Decreases Threat to target by 2,541 ',100,1,4),
(182739,120281,'If profession other than Fighter',100,2,5),
(182740,120281,'Increases Threat to target by 2,546 ',100,1,6),
(182741,120281,'If Fighter',100,2,7),
(182742,120281,'Must be engaged in combat',100,1,8),
(182743,120281,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(182744,10120281,'Forces target to clear their selected target.',100,1,0),
(182745,10120281,'Must be engaged in combat',100,1,1),
(182746,10120281,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(182747,35151,'Increases STA of target by 1.5',100,0,0),
(182748,35151,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(182749,103938,'Wards group members (AE) collectively against 3346 total points of all damage',100,1,0),
(182750,10103938,'Wards group members (AE) collectively against 4984 total points of all damage',100,1,0),
(182751,115695,'Inflicts 54 - 163 melee damage on target',100,1,0),
(182752,115695,'Inflicts 54 - 163 melee damage on target',100,1,1),
(182753,115695,'Inflicts 54 - 163 melee damage on target',100,1,2),
(182754,115695,'Inflicts 54 - 163 melee damage on target',100,1,3),
(182755,115695,'Inflicts 54 - 163 melee damage on target',100,1,4),
(182756,115695,'Inflicts 54 - 163 melee damage on target',100,1,5),
(182757,115695,'Inflicts 54 - 163 melee damage on target',100,1,6),
(182758,115695,'Inflicts 54 - 163 melee damage on target',100,1,7),
(182759,10115695,'Inflicts 65 - 196 melee damage on target',100,1,0),
(182760,10115695,'Inflicts 65 - 196 melee damage on target',100,1,1),
(182761,10115695,'Inflicts 65 - 196 melee damage on target',100,1,2),
(182762,10115695,'Inflicts 65 - 196 melee damage on target',100,1,3),
(182763,10115695,'Inflicts 65 - 196 melee damage on target',100,1,4),
(182764,10115695,'Inflicts 65 - 196 melee damage on target',100,1,5),
(182765,10115695,'Inflicts 65 - 196 melee damage on target',100,1,6),
(182766,10115695,'Inflicts 65 - 196 melee damage on target',100,1,7),
(182767,80083,'When Equipped:',100,0,0),
(182768,80083,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182769,80083,'Inflicts 490 - 817 divine damage on target',100,2,2),
(182770,80083,'Inflicts 490 - 817 magic damage on target',100,2,3),
(182771,80083,'Inflicts 490 - 817 piercing damage on target',100,2,4),
(182772,80083,'Must not be engaged in pvp combat',100,2,5),
(182773,80083,'Cannot be modified except by direct means',100,2,6),
(182774,80083,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(182775,80083,'Inflicts 490 - 817 divine damage on target',100,2,8),
(182776,80083,'Inflicts 490 - 817 magic damage on target',100,2,9),
(182777,80083,'Inflicts 490 - 817 piercing damage on target',100,2,10),
(182778,80083,'Must not be engaged in pvp combat',100,2,11),
(182779,80083,'Cannot be modified except by direct means',100,2,12),
(182780,80083,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(182781,80083,'Inflicts 490 - 817 divine damage on target',100,2,14),
(182782,80083,'Inflicts 490 - 817 magic damage on target',100,2,15),
(182783,80083,'Inflicts 490 - 817 piercing damage on target',100,2,16),
(182784,80083,'Must not be engaged in pvp combat',100,2,17),
(182785,80083,'Cannot be modified except by direct means',100,2,18),
(182786,80083,'Must not be engaged in pvp combat',100,1,19),
(182787,10080083,'When Equipped:',100,0,0),
(182788,10080083,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(182789,10080083,'Inflicts 588 - 980 divine damage on target',100,2,2),
(182790,10080083,'Inflicts 588 - 980 magic damage on target',100,2,3),
(182791,10080083,'Inflicts 588 - 980 piercing damage on target',100,2,4),
(182792,10080083,'Must not be engaged in pvp combat',100,2,5),
(182793,10080083,'Cannot be modified except by direct means',100,2,6),
(182794,10080083,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(182795,10080083,'Inflicts 588 - 980 divine damage on target',100,2,8),
(182796,10080083,'Inflicts 588 - 980 magic damage on target',100,2,9),
(182797,10080083,'Inflicts 588 - 980 piercing damage on target',100,2,10),
(182798,10080083,'Must not be engaged in pvp combat',100,2,11),
(182799,10080083,'Cannot be modified except by direct means',100,2,12),
(182800,10080083,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(182801,10080083,'Inflicts 588 - 980 divine damage on target',100,2,14),
(182802,10080083,'Inflicts 588 - 980 magic damage on target',100,2,15),
(182803,10080083,'Inflicts 588 - 980 piercing damage on target',100,2,16),
(182804,10080083,'Must not be engaged in pvp combat',100,2,17),
(182805,10080083,'Cannot be modified except by direct means',100,2,18),
(182806,10080083,'Must not be engaged in pvp combat',100,1,19),
(182807,45076,'Applies Enduring Flavor when Activated.  Lasts for 1 hour.',100,0,0),
(182808,45076,'Doubles the duration of food and drink consumed within the next hour.',100,1,1),
(182809,10045076,'Applies Enduring Flavor when Activated.  Lasts for 1 hour.',100,0,0),
(182810,10045076,'Doubles the duration of food and drink consumed within the next hour.',100,1,1),
(182811,118417,'Heals target for 437 - 534',100,1,0),
(182812,118417,'Increases Max Health of target by 72.4',100,1,1),
(182813,10118417,'Heals target for 507 - 619',100,1,0),
(182814,10118417,'Increases Max Health of target by 72.4',100,1,1),
(182815,47802,'Applies Aura of the Wanderer when Activated.',100,0,0),
(182816,47802,'Casts aura of the Wanderer',100,1,1),
(182817,10047802,'Applies Aura of the Wanderer when Activated.',100,0,0),
(182818,10047802,'Casts aura of the Wanderer',100,1,1),
(182819,71403,'When Equipped:',100,0,0),
(182820,71403,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182821,71403,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(182822,71403,'Cannot be modified except by direct means',100,2,3),
(182823,10071403,'When Equipped:',100,0,0),
(182824,10071403,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182825,10071403,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(182826,10071403,'Cannot be modified except by direct means',100,2,3),
(182827,119359,'Inflicts 176 - 264 disease damage on target',100,1,0),
(182828,119359,'Inflicts 70 - 106 disease damage on target every 4 seconds',100,1,1),
(182829,10119359,'Inflicts 211 - 317 disease damage on target',100,1,0),
(182830,10119359,'Inflicts 84 - 127 disease damage on target every 4 seconds',100,1,1),
(182831,119654,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(182832,119654,'Stuns target',100,2,1),
(182833,119654,'Throws target back',100,2,2),
(182834,119654,'Blurs vision of target',100,2,3),
(182835,119654,'Does not affect Epic targets',100,2,4),
(182836,119654,'Inflicts 78 - 236 melee damage on target',100,1,5),
(182837,10119654,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(182838,10119654,'Stuns target',100,2,1),
(182839,10119654,'Throws target back',100,2,2),
(182840,10119654,'Blurs vision of target',100,2,3),
(182841,10119654,'Does not affect Epic targets',100,2,4),
(182842,10119654,'Inflicts 94 - 284 melee damage on target',100,1,5),
(182843,105020,'Increases WIS of raid and group members (AE) by 16.9',100,1,0),
(182844,105020,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(182845,105020,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 63',100,1,2),
(182846,10105020,'Increases WIS of raid and group members (AE) by 16.9',100,1,0),
(182847,10105020,'Increases heal amounts of raid members by 2.97%.',100,1,1),
(182848,10105020,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 63',100,1,2),
(182849,112174,'Increases STR of caster by 34.1',100,1,0),
(182850,112174,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,1),
(182851,112174,'Increases Mitigation of caster vs physical damage by 220',100,1,2),
(182852,10112174,'Increases STR of caster by 34.1',100,1,0),
(182853,10112174,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,1),
(182854,10112174,'Increases Mitigation of caster vs physical damage by 220',100,1,2),
(182855,104385,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(182856,104385,'Inflicts 121 - 148 cold damage on target',100,2,1),
(182857,10104385,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(182858,10104385,'Inflicts 145 - 177 cold damage on target',100,2,1),
(182859,187430,'When Equipped:',100,0,0),
(182860,187430,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(182861,10187430,'When Equipped:',100,0,0),
(182862,10187430,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(182863,71424,'When Equipped:',100,0,0),
(182864,71424,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182865,71424,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(182866,71424,'Cannot be modified except by direct means',100,2,3),
(182867,10071424,'When Equipped:',100,0,0),
(182868,10071424,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(182869,10071424,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(182870,10071424,'Cannot be modified except by direct means',100,2,3),
(182871,103128,'Increases STR of caster by 58.7',100,1,0),
(182872,103128,'Adds 3.1% to base avoidance.',100,1,1),
(182873,103128,'Increases Mitigation of caster vs physical damage by 374',100,1,2),
(182874,103128,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',100,1,3),
(182875,10103128,'Increases STR of caster by 58.7',100,1,0),
(182876,10103128,'Adds 3.1% to base avoidance.',100,1,1),
(182877,10103128,'Increases Mitigation of caster vs physical damage by 374',100,1,2),
(182878,10103128,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',100,1,3),
(182879,115403,'Inflicts 198 - 330 melee damage on target',100,1,0),
(182880,115403,'Decreases INT of target by 38.5',100,1,1),
(182881,115403,'You must be sneaking to use this ability.',100,1,2),
(182882,10115403,'Inflicts 238 - 396 melee damage on target',100,1,0),
(182883,10115403,'Decreases INT of target by 38.5',100,1,1),
(182884,10115403,'You must be sneaking to use this ability.',100,1,2),
(182885,116707,'Inflicts 130 - 217 melee damage on target',100,1,0),
(182886,10116707,'Inflicts 156 - 261 melee damage on target',100,1,0),
(182887,82417,'When Equipped:',100,0,0),
(182888,82417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182889,82417,'Inflicts 201 - 373 magic damage on target',100,2,2),
(182890,82417,'Cannot be modified except by direct means',100,2,3),
(182891,10082417,'When Equipped:',100,0,0),
(182892,10082417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(182893,10082417,'Inflicts 241 - 447 magic damage on target',100,2,2),
(182894,10082417,'Cannot be modified except by direct means',100,2,3),
(182895,116426,'Inflicts 58 - 97 mental damage on target',100,1,0),
(182896,10116426,'Inflicts 70 - 116 mental damage on target',100,1,0),
(182897,107579,'Dazes target encounter',100,1,0),
(182898,107579,'Inflicts 103 - 126 mental damage on target encounter',100,1,1),
(182899,107579,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(182900,107579,'Resistibility increases against targets higher than level 54.',100,1,3),
(182901,10107579,'Dazes target encounter',100,1,0),
(182902,10107579,'Inflicts 124 - 151 mental damage on target encounter',100,1,1),
(182903,10107579,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(182904,10107579,'Resistibility increases against targets higher than level 54.',100,1,3),
(182905,36812,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(182906,134038,'When Equipped:',100,0,0),
(182907,134038,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(182908,134038,'Increases power of caster by 94 instantly and every 4 seconds',100,2,2),
(182909,134038,'Cannot be modified except by direct means',100,2,3),
(182910,10134038,'When Equipped:',100,0,0),
(182911,10134038,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(182912,10134038,'Increases power of caster by 94 instantly and every 4 seconds',100,2,2),
(182913,10134038,'Cannot be modified except by direct means',100,2,3),
(182914,85144,'When Equipped:',100,0,0),
(182915,85144,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(182916,10085144,'When Equipped:',100,0,0),
(182917,10085144,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(182918,25882,'When Equipped:',100,0,0),
(182919,25882,'Reduces the casting time of Transcendence VII by .5 seconds and increases the base heal amount by 15%.',100,1,1),
(182920,25882,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(182921,10025882,'When Equipped:',100,0,0),
(182922,10025882,'Reduces the casting time of Transcendence VII by .5 seconds and increases the base heal amount by 15%.',100,1,1),
(182923,10025882,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(182924,121441,'Increases AGI of caster by 37.6',100,1,0),
(182925,121441,'Adds 18.7% to base avoidance.',100,1,1),
(182926,121441,'Increases Mitigation of caster vs physical damage by 369',100,1,2),
(182927,121441,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,3),
(182928,10121441,'Increases AGI of caster by 37.6',100,1,0),
(182929,10121441,'Adds 18.7% to base avoidance.',100,1,1),
(182930,10121441,'Increases Mitigation of caster vs physical damage by 369',100,1,2),
(182931,10121441,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,3),
(182932,152632,'When Equipped:',100,0,0),
(182933,152632,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(182934,10152632,'When Equipped:',100,0,0),
(182935,10152632,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(182936,41493,'When Equipped:',100,0,0),
(182937,41493,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182938,41493,'Inflicts 75 - 140 magic damage on target',100,2,2),
(182939,41493,'Decreases Threat to target by 259 ',100,2,3),
(182940,41493,'Must be flanking or behind',100,3,4),
(182941,41493,'Increases Threat to target by 264 ',100,2,5),
(182942,41493,'Must be in front of',100,3,6),
(182943,41493,'Cannot be modified except by direct means',100,2,7),
(182944,10041493,'When Equipped:',100,0,0),
(182945,10041493,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(182946,10041493,'Inflicts 90 - 168 magic damage on target',100,2,2),
(182947,10041493,'Cannot be modified except by direct means',100,2,3),
(182948,107089,'Inflicts 497 - 608 divine damage on target',100,1,0),
(182949,10107089,'Inflicts 597 - 730 divine damage on target',100,1,0),
(182950,123346,'Summons a pet hammer',100,1,0),
(182951,10123346,'Summons a pet hammer',100,1,0),
(182952,110157,'Applies Untreated Bleeding on termination.',100,1,0),
(182953,110157,'Inflicts 32 - 53 piercing damage on target',100,2,1),
(182954,110157,'Inflicts 7 - 11 piercing damage on target instantly and every 4 seconds',100,1,2),
(182955,110157,'Inflicts 4 - 7 melee damage on target',100,1,3),
(182956,10110157,'Applies Untreated Bleeding on termination.',100,1,0),
(182957,10110157,'Inflicts 38 - 63 piercing damage on target',100,2,1),
(182958,10110157,'Inflicts 8 - 14 piercing damage on target instantly and every 4 seconds',100,1,2),
(182959,10110157,'Inflicts 5 - 9 melee damage on target',100,1,3),
(182960,117134,'Decreases Mitigation of target vs arcane damage by 485',100,1,0),
(182961,117134,'Inflicts 88 - 107 heat damage on target instantly and every 4 seconds',100,1,1),
(182962,10117134,'Decreases Mitigation of target vs arcane damage by 485',100,1,0),
(182963,10117134,'Inflicts 106 - 129 heat damage on target instantly and every 4 seconds',100,1,1),
(182964,112196,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(182965,112196,'Inflicts 1 disease damage on target',100,2,1),
(182966,112196,'Increases Threat to target by 4 ',100,2,2),
(182967,112196,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 57',100,1,3),
(182968,10112196,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(182969,10112196,'Inflicts 1 disease damage on target',100,2,1),
(182970,10112196,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 57',100,1,2),
(182971,85412,'When Equipped:',100,0,0),
(182972,85412,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(182973,85412,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(182974,85412,'Inflicts 757 - 837 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(182975,85412,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(182976,85412,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(182977,85412,'Must not be engaged in pvp combat',100,2,6),
(182978,85412,'Cannot be modified except by direct means',100,2,7),
(182979,85412,'Cannot be modified except by direct means',100,1,8),
(182980,85412,'When Equipped:',100,0,9),
(182981,85412,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(182982,85412,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,11),
(182983,85412,'Dispels 221 levels of any hostile effects on target',100,2,12),
(182984,85412,'Heals target for 5664 - 6260',100,2,13),
(182985,85412,'Must not be engaged in pvp combat',100,2,14),
(182986,85412,'Cannot be modified except by direct means',100,2,15),
(182987,85412,'Cannot be modified except by direct means',100,1,16),
(182988,10085412,'When Equipped:',100,0,0),
(182989,10085412,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(182990,10085412,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(182991,10085412,'Inflicts 909 - 1005 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(182992,10085412,'Decreases Defense and Parry of target encounter by 10.0',100,2,4),
(182993,10085412,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(182994,10085412,'Must not be engaged in pvp combat',100,2,6),
(182995,10085412,'Cannot be modified except by direct means',100,2,7),
(182996,10085412,'Cannot be modified except by direct means',100,1,8),
(182997,10085412,'When Equipped:',100,0,9),
(182998,10085412,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(182999,10085412,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,11),
(183000,10085412,'Dispels 221 levels of any hostile effects on target',100,2,12),
(183001,10085412,'Heals target for 6626 - 7324',100,2,13),
(183002,10085412,'Must not be engaged in pvp combat',100,2,14),
(183003,10085412,'Cannot be modified except by direct means',100,2,15),
(183004,10085412,'Cannot be modified except by direct means',100,1,16),
(183005,101127,'Heals target for 284 - 346',100,1,0),
(183006,10101127,'Heals target for 184 - 225',100,1,0),
(183007,100809,'Wards target against 1575 points of all damage',100,1,0),
(183008,10100809,'Wards target against 2424 points of all damage',100,1,0),
(183009,37499,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(183010,48305,'Applies Superb Enigmatic Formula when Activated.',100,0,0),
(183011,48305,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(183012,10048305,'Applies Superb Enigmatic Formula when Activated.',100,0,0),
(183013,10048305,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(183014,107418,'Summons a pet earthen avatar',100,1,0),
(183015,10107418,'Summons a pet earthen avatar',100,1,0),
(183016,35875,'Increases outgoing heal and ward amount by 2%',100,0,0),
(183017,35875,'Increases WIS and STA of target by 5.4',100,0,1),
(183018,35875,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(183019,80746,'When Equipped:',100,0,0),
(183020,80746,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183021,80746,'Inflicts 53 - 98 magic damage on target',100,2,2),
(183022,80746,'Decreases Threat to target by 236 ',100,2,3),
(183023,80746,'Must be flanking or behind',100,3,4),
(183024,80746,'Increases Threat to target by 241 ',100,2,5),
(183025,80746,'Must be in front of',100,3,6),
(183026,80746,'Cannot be modified except by direct means',100,2,7),
(183027,10080746,'When Equipped:',100,0,0),
(183028,10080746,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183029,10080746,'Inflicts 64 - 118 magic damage on target',100,2,2),
(183030,10080746,'Cannot be modified except by direct means',100,2,3),
(183031,114839,'Dazes caster',100,1,0),
(183032,114839,'Roots caster',100,1,1),
(183033,114839,'Increases Mitigation of caster vs physical damage by 2302',100,1,2),
(183034,10114839,'Dazes caster',100,1,0),
(183035,10114839,'Roots caster',100,1,1),
(183036,10114839,'Increases Mitigation of caster vs physical damage by 2302',100,1,2),
(183037,124571,'Roots targets in Area of Effect',100,1,0),
(183038,124571,'If Target is not Epic',100,2,1),
(183039,124571,'Decreases Threat to targets in Area of Effect by 1,424 ',100,1,2),
(183040,124571,'Interrupts targets in Area of Effect',100,1,3),
(183041,10124571,'Roots targets in Area of Effect',100,1,0),
(183042,10124571,'If Target is not Epic',100,2,1),
(183043,10124571,'Applies Distract.',100,1,2),
(183044,10124571,'Forces target to clear their selected target.',100,2,3),
(183045,10124571,'Interrupts targets in Area of Effect',100,1,4),
(183046,10124571,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,5),
(183047,100148,'Inflicts 63 - 77 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(183048,100148,'Decreases Mitigation of target encounter vs noxious damage by 660',100,1,1),
(183049,10100148,'Inflicts 76 - 92 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(183050,10100148,'Decreases Mitigation of target encounter vs noxious damage by 660',100,1,1),
(183051,120486,'Inflicts 23 - 38 melee damage on target',100,1,0),
(183052,120486,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(183053,120486,'Grants stealth to caster',100,2,2),
(183054,120486,'Suspends caster''s movement speed enhancements',100,2,3),
(183055,120486,'Must be flanking or behind',100,1,4),
(183056,10120486,'Inflicts 27 - 46 melee damage on target',100,1,0),
(183057,10120486,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(183058,10120486,'Grants stealth to caster',100,2,2),
(183059,10120486,'Suspends caster''s movement speed enhancements',100,2,3),
(183060,10120486,'Must be flanking or behind',100,1,4),
(183061,111933,'Inflicts 76 - 127 piercing damage on target instantly and every 4 seconds',100,1,0),
(183062,111933,'Inflicts 280 - 466 piercing damage on target',100,1,1),
(183063,10111933,'Inflicts 153 - 255 piercing damage on target instantly and every 4 seconds',100,1,0),
(183064,10111933,'Inflicts 458 - 763 piercing damage on target',100,1,1),
(183065,123096,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(183066,123096,'Roots target',100,2,1),
(183067,123096,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(183068,123096,'Slows target by 49.5%',100,3,3),
(183069,123096,'5% chance to dispel when target receives hostile action',100,3,4),
(183070,123096,'5% chance to dispel when target takes damage',100,3,5),
(183071,123096,'5% chance to dispel when target takes damage',100,2,6),
(183072,123096,'Does not affect Epic targets',100,2,7),
(183073,123096,'Resistibility increases against targets higher than level 104.',100,2,8),
(183074,123096,'Decreases AGI of target encounter by 66.6',100,1,9),
(183075,10123096,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(183076,10123096,'Roots target',100,2,1),
(183077,10123096,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(183078,10123096,'Slows target by 49.5%',100,3,3),
(183079,10123096,'5% chance to dispel when target receives hostile action',100,3,4),
(183080,10123096,'5% chance to dispel when target takes damage',100,3,5),
(183081,10123096,'5% chance to dispel when target takes damage',100,2,6),
(183082,10123096,'Does not affect Epic targets',100,2,7),
(183083,10123096,'Resistibility increases against targets higher than level 104.',100,2,8),
(183084,10123096,'Decreases AGI of target encounter by 66.6',100,1,9),
(183085,124493,'Heals group members (AE) for 961 - 1175',100,1,0),
(183086,10124493,'Heals group members (AE) for 1125 - 1375',100,1,0),
(183087,170580,'When Equipped:',100,0,0),
(183088,170580,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183089,170580,'Inflicts 1998 disease damage on target encounter',100,2,2),
(183090,170580,'Must not be engaged in pvp combat',100,2,3),
(183091,170580,'Cannot be modified except by direct means',100,2,4),
(183092,10170580,'When Equipped:',100,0,0),
(183093,10170580,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183094,10170580,'Inflicts 1199 disease damage on target encounter',100,2,2),
(183095,10170580,'Must not be engaged in pvp combat',100,2,3),
(183096,10170580,'Cannot be modified except by direct means',100,2,4),
(183097,41437,'When Equipped:',100,0,0),
(183098,41437,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183099,41437,'Inflicts 130 - 241 magic damage on target',100,2,2),
(183100,41437,'Cannot be modified except by direct means',100,2,3),
(183101,10041437,'When Equipped:',100,0,0),
(183102,10041437,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183103,10041437,'Inflicts 156 - 290 magic damage on target',100,2,2),
(183104,10041437,'Cannot be modified except by direct means',100,2,3),
(183105,175109,'When Equipped:',100,0,0),
(183106,175109,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(183107,175109,'This effect will not stack with any rank or tier of itself.',100,1,2),
(183108,175109,'Cannot be modified except by direct means',100,1,3),
(183109,10175109,'When Equipped:',100,0,0),
(183110,10175109,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(183111,10175109,'This effect will not stack with any rank or tier of itself.',100,1,2),
(183112,10175109,'Cannot be modified except by direct means',100,1,3),
(183113,106382,'Inflicts 319 - 533 melee damage on target',100,1,0),
(183114,106382,'Decreases Defense of target by 21.1',100,1,1),
(183115,106382,'Decreases Defense of caster by 13.2',100,1,2),
(183116,10106382,'Inflicts 383 - 639 melee damage on target',100,1,0),
(183117,10106382,'Decreases Defense of target by 21.1',100,1,1),
(183118,10106382,'Decreases Defense of caster by 13.2',100,1,2),
(183119,41506,'When Equipped:',100,0,0),
(183120,41506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183121,41506,'Inflicts 41 - 75 magic damage on target',100,2,2),
(183122,41506,'Cannot be modified except by direct means',100,2,3),
(183123,10041506,'When Equipped:',100,0,0),
(183124,10041506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183125,10041506,'Inflicts 49 - 90 magic damage on target',100,2,2),
(183126,10041506,'Cannot be modified except by direct means',100,2,3),
(183127,74544,'Applies Fire Ball when Activated.',100,0,0),
(183128,74544,'Inflicts 267 - 445 heat damage on target',100,1,1),
(183129,74544,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(183130,10074544,'Applies Fire Ball when Activated.',100,0,0),
(183131,10074544,'Inflicts 321 - 535 heat damage on target',100,1,1),
(183132,10074544,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(183133,35780,'Increases STR of target by 1.1',100,0,0),
(183134,35780,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(183135,45998,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(183136,45998,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(183137,45998,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(183138,45998,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(183139,45998,'You can only have one experience potion active at a time.',100,1,4),
(183140,10045998,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(183141,10045998,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(183142,10045998,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(183143,10045998,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(183144,10045998,'You can only have one experience potion active at a time.',100,1,4),
(183145,107871,'Decreases Mitigation of target vs elemental damage by 1430',100,1,0),
(183146,107871,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(183147,107871,'Slows target by 47.3%',100,2,2),
(183148,107871,'5% chance to dispel when target receives hostile action',100,2,3),
(183149,107871,'5% chance to dispel when target takes damage',100,2,4),
(183150,10107871,'Decreases Mitigation of target vs elemental damage by 1430',100,1,0),
(183151,10107871,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(183152,10107871,'Slows target by 47.3%',100,2,2),
(183153,10107871,'5% chance to dispel when target receives hostile action',100,2,3),
(183154,10107871,'5% chance to dispel when target takes damage',100,2,4),
(183155,88965,'When Equipped:',100,0,0),
(183156,88965,'On a beneficial spell cast this spell has a 12% chance to cast Impenetrable Faith on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(183157,88965,'Makes caster immune to Stun effects and increases casting speed by 20%',100,2,2),
(183158,88965,'Cannot be modified except by direct means',100,2,3),
(183159,88965,'Cannot be modified except by direct means',100,1,4),
(183160,88965,'When Equipped:',100,0,5),
(183161,88965,'Makes Aegolism VI a group wide spell adding additional haste, defense, parry, deflection and aggression',100,1,6),
(183162,88965,'Increases the heal amount of Supplicant''s Prayer and Divine Prayer by 20% of the templar''s wisdom.',100,1,7),
(183163,88965,'Applies Divine Light when Activated.  Lasts for 20.0 seconds.',100,0,8),
(183164,88965,'Reduces all damage done to the target by 8%.  50% of the reduced damage is reflected on the attacker.',100,1,9),
(183165,88965,'The casting time of Divine Light is 2.0 seconds and the reuse time of the spell is 5 minutes',100,1,10),
(183166,10088965,'When Equipped:',100,0,0),
(183167,10088965,'On a beneficial spell cast this spell has a 12% chance to cast Impenetrable Faith on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(183168,10088965,'Makes caster immune to Stun effects and increases casting speed by 20%',100,2,2),
(183169,10088965,'Cannot be modified except by direct means',100,2,3),
(183170,10088965,'Cannot be modified except by direct means',100,1,4),
(183171,10088965,'When Equipped:',100,0,5),
(183172,10088965,'Makes Aegolism VI a group wide spell adding additional haste, defense, parry, deflection and aggression',100,1,6),
(183173,10088965,'Increases the heal amount of Supplicant''s Prayer and Divine Prayer by 20% of the templar''s wisdom.',100,1,7),
(183174,10088965,'Applies Divine Light when Activated.  Lasts for 20.0 seconds.',100,0,8),
(183175,10088965,'Reduces all damage done to the target by 8%.  50% of the reduced damage is reflected on the attacker.',100,1,9),
(183176,10088965,'The casting time of Divine Light is 2.0 seconds and the reuse time of the spell is 5 minutes',100,1,10),
(183177,82264,'When Equipped:',100,0,0),
(183178,82264,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183179,82264,'Inflicts 31 - 57 magic damage on target',100,2,2),
(183180,82264,'Cannot be modified except by direct means',100,2,3),
(183181,10082264,'When Equipped:',100,0,0),
(183182,10082264,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183183,10082264,'Inflicts 37 - 68 magic damage on target',100,2,2),
(183184,10082264,'Cannot be modified except by direct means',100,2,3),
(183185,119505,'Dazes target encounter',100,1,0),
(183186,119505,'If Target is not Epic',100,2,1),
(183187,119505,'Inflicts 344 - 420 magic damage on target encounter instantly and every second',100,1,2),
(183188,119505,'Resistibility increases against targets higher than level 117.',100,1,3),
(183189,10119505,'Dazes target encounter',100,1,0),
(183190,10119505,'If Target is not Epic',100,2,1),
(183191,10119505,'Inflicts 543 - 663 magic damage on target encounter',100,1,2),
(183192,10119505,'Inflicts 412 - 504 magic damage on target encounter every second',100,1,3),
(183193,10119505,'Resistibility increases against targets higher than level 117.',100,1,4),
(183194,81342,'When Equipped:',100,0,0),
(183195,81342,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183196,81342,'Inflicts 77 - 144 magic damage on target',100,2,2),
(183197,81342,'Decreases Threat to target by 352 ',100,2,3),
(183198,81342,'Must be flanking or behind',100,3,4),
(183199,81342,'Increases Threat to target by 357 ',100,2,5),
(183200,81342,'Must be in front of',100,3,6),
(183201,81342,'Cannot be modified except by direct means',100,2,7),
(183202,10081342,'When Equipped:',100,0,0),
(183203,10081342,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183204,10081342,'Inflicts 93 - 173 magic damage on target',100,2,2),
(183205,10081342,'Cannot be modified except by direct means',100,2,3),
(183206,181798,'When Equipped:',100,0,0),
(183207,181798,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(183208,181798,'Heals group members (AE) for 1385 - 1531',100,2,2),
(183209,181798,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(183210,181798,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(183211,181798,'This ward regenerates slowly over time.',100,2,5),
(183212,181798,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(183213,181798,'Must not be engaged in pvp combat',100,2,7),
(183214,181798,'Cannot be modified except by direct means',100,2,8),
(183215,181798,'Must not be engaged in pvp combat',100,1,9),
(183216,10181798,'When Equipped:',100,0,0),
(183217,10181798,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(183218,10181798,'Heals group members (AE) for 1621 - 1791',100,2,2),
(183219,10181798,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(183220,10181798,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(183221,10181798,'This ward regenerates slowly over time.',100,2,5),
(183222,10181798,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(183223,10181798,'Must not be engaged in pvp combat',100,2,7),
(183224,10181798,'Cannot be modified except by direct means',100,2,8),
(183225,10181798,'Must not be engaged in pvp combat',100,1,9),
(183226,47239,'Applies Murky Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(183227,47239,'Increases STA and STR of caster by 47.0',100,1,1),
(183228,47239,'Only affects targets level 50 and above',100,1,2),
(183229,10047239,'Applies Murky Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(183230,10047239,'Increases STA and STR of caster by 47.0',100,1,1),
(183231,10047239,'Only affects targets level 50 and above',100,1,2),
(183232,117460,'Inflicts 813 - 1356 melee damage on target',100,1,0),
(183233,117460,'You must be sneaking to use this ability.',100,1,1),
(183234,117460,'Must be flanking or behind',100,1,2),
(183235,10117460,'Inflicts 605 - 1009 melee damage on target',100,1,0),
(183236,10117460,'You must be sneaking to use this ability.',100,1,1),
(183237,10117460,'Must be flanking or behind',100,1,2),
(183238,123880,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(183239,123880,'Slows target by 37.4%',100,2,1),
(183240,123880,'5% chance to dispel when target receives hostile action',100,2,2),
(183241,123880,'5% chance to dispel when target takes damage',100,2,3),
(183242,123880,'Decreases Mitigation of target vs elemental and noxious damage by 121',100,1,4),
(183243,10123880,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(183244,10123880,'Slows target by 37.4%',100,2,1),
(183245,10123880,'5% chance to dispel when target receives hostile action',100,2,2),
(183246,10123880,'5% chance to dispel when target takes damage',100,2,3),
(183247,10123880,'Decreases Mitigation of target vs elemental and noxious damage by 121',100,1,4),
(183248,166440,'When Equipped:',100,0,0),
(183249,166440,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183250,166440,'Inflicts 2664 cold damage on target encounter',100,2,2),
(183251,166440,'Must not be engaged in pvp combat',100,2,3),
(183252,166440,'Cannot be modified except by direct means',100,2,4),
(183253,166440,'Must not be engaged in pvp combat',100,1,5),
(183254,10166440,'When Equipped:',100,0,0),
(183255,10166440,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183256,10166440,'Inflicts 1598 cold damage on target encounter',100,2,2),
(183257,10166440,'Must not be engaged in pvp combat',100,2,3),
(183258,10166440,'Cannot be modified except by direct means',100,2,4),
(183259,10166440,'Must not be engaged in pvp combat',100,1,5),
(183260,85341,'Applies Poison Bolt when Activated.',100,0,0),
(183261,85341,'Inflicts 360 - 600 poison damage on target',100,1,1),
(183262,85341,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(183263,10085341,'Applies Poison Bolt when Activated.',100,0,0),
(183264,10085341,'Inflicts 432 - 721 poison damage on target',100,1,1),
(183265,10085341,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(183266,107241,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(183267,107241,'Slows target by 52.1%',100,2,1),
(183268,107241,'5% chance to dispel when target receives hostile action',100,2,2),
(183269,107241,'5% chance to dispel when target takes damage',100,2,3),
(183270,107241,'Inflicts 25 - 30 disease damage on target every 4 seconds',100,1,4),
(183271,107241,'Slows target by 52.1%',100,1,5),
(183272,107241,'5% chance to dispel when target receives hostile action',100,1,6),
(183273,107241,'5% chance to dispel when target takes damage',100,1,7),
(183274,10107241,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(183275,10107241,'Slows target by 52.1%',100,2,1),
(183276,10107241,'5% chance to dispel when target receives hostile action',100,2,2),
(183277,10107241,'5% chance to dispel when target takes damage',100,2,3),
(183278,10107241,'Inflicts 30 - 36 disease damage on target every 2.5 seconds',100,1,4),
(183279,10107241,'Slows target by 52.1%',100,1,5),
(183280,10107241,'5% chance to dispel when target receives hostile action',100,1,6),
(183281,10107241,'5% chance to dispel when target takes damage',100,1,7),
(183282,111468,'Increases AGI of caster by 9.2',100,1,0),
(183283,111468,'Increases Attack Speed of caster by 13.1',100,1,1),
(183284,111468,'Increases in-combat movement speed of caster by 4.7%',100,1,2),
(183285,111468,'Adds 14.8% to base avoidance.',100,1,3),
(183286,111468,'Increases Mitigation of caster vs physical damage by 73',100,1,4),
(183287,111468,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 163',100,1,5),
(183288,10111468,'Increases AGI of caster by 9.2',100,1,0),
(183289,10111468,'Increases Attack Speed of caster by 13.1',100,1,1),
(183290,10111468,'Increases speed of caster by 4.7%',100,1,2),
(183291,10111468,'Adds 14.8% to base avoidance.',100,1,3),
(183292,10111468,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 163',100,1,4),
(183293,83761,'When Equipped:',100,0,0),
(183294,83761,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(183295,83761,'Increases Max Health of group members by 8.0%',100,2,2),
(183296,83761,'Inflicts 6660 heat damage on target instantly and every 4 seconds',100,2,3),
(183297,83761,'Inflicts an additional 3996 heat damage on target every tick',100,2,4),
(183298,83761,'Increases Crit Bonus of group members by 10.0%',100,2,5),
(183299,83761,'Increases Potency of group members by 10.0%',100,2,6),
(183300,83761,'Must not be engaged in pvp combat',100,2,7),
(183301,83761,'Cannot be modified except by direct means',100,2,8),
(183302,83761,'Must not be engaged in pvp combat',100,1,9),
(183303,83761,'Cannot be modified except by direct means',100,1,10),
(183304,10083761,'When Equipped:',100,0,0),
(183305,10083761,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(183306,10083761,'Increases Potency of caster by 4.0%',100,2,2),
(183307,10083761,'Inflicts 799 poison damage on target',100,2,3),
(183308,10083761,'Inflicts 799 heat damage on target',100,2,4),
(183309,10083761,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(183310,10083761,'Must not be engaged in pvp combat',100,2,6),
(183311,10083761,'Cannot be modified except by direct means',100,2,7),
(183312,10083761,'Must not be engaged in pvp combat',100,1,8),
(183313,10083761,'Cannot be modified except by direct means',100,1,9),
(183314,116981,'Inflicts 15 - 19 divine damage on target instantly and every 3 seconds',100,1,0),
(183315,116981,'Decreases Defense of target by 5.1',100,1,1),
(183316,10116981,'Inflicts 18 - 22 divine damage on target instantly and every 3 seconds',100,1,0),
(183317,10116981,'Decreases Defense of target by 5.1',100,1,1),
(183318,159027,'Applies Sanguine Imbued when Equipped.',100,0,0),
(183319,159027,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(183320,159027,'Inflicts 119 heat damage on target',100,2,2),
(183321,159027,'Cannot be modified except by direct means',100,2,3),
(183322,10159027,'Applies Sanguine Imbued when Equipped.',100,0,0),
(183323,10159027,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(183324,10159027,'Inflicts 142 heat damage on target',100,2,2),
(183325,10159027,'Cannot be modified except by direct means',100,2,3),
(183326,112298,'Inflicts 49 - 60 disease damage on target',100,1,0),
(183327,112298,'Inflicts 25 - 30 disease damage on target every 3 seconds',100,1,1),
(183328,112298,'Increases Threat to target by 451 - 550  instantly and by 88 - 107  every 3 seconds thereafter',100,1,2),
(183329,10112298,'Inflicts 30 - 36 disease damage on target every 3 seconds',100,1,0),
(183330,10112298,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(183331,162378,'When Equipped:',100,0,0),
(183332,162378,'On a healing spell cast this spell may cast Unstable Emollient on target of spell cast.  Triggers about 4.0 times per minute. ',100,1,1),
(183333,162378,'Applies Unstable Emollient.',100,2,2),
(183334,162378,'Inflicts 590 - 984 heat damage on target',100,3,3),
(183335,162378,'Cannot be modified except by direct means',100,2,4),
(183336,10162378,'When Equipped:',100,0,0),
(183337,10162378,'On a healing spell cast this spell may cast Unstable Emollient on target of spell cast.  Triggers about 4.0 times per minute. ',100,1,1),
(183338,10162378,'Applies Unstable Emollient.',100,2,2),
(183339,10162378,'Inflicts 708 - 1180 heat damage on target',100,3,3),
(183340,10162378,'Cannot be modified except by direct means',100,2,4),
(183341,104265,'Increases Mitigation of group members (AE) vs physical damage by 995',100,1,0),
(183342,10104265,'Increases Mitigation of group members (AE) vs physical damage by 995',100,1,0),
(183343,112120,'Dispels 38 levels of physical and arcane hostile effects on caster',100,1,0),
(183344,10112120,'Dispels 38 levels of physical and arcane hostile effects on caster',100,1,0),
(183345,176424,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(183346,176424,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(183347,176424,'Decreases Attack Speed of target by 15.1',100,2,2),
(183348,176424,'Cannot be modified except by direct means',100,2,3),
(183349,176424,'Slows target by 38.0%',100,1,4),
(183350,176424,'5% chance to dispel when target takes damage',100,1,5),
(183351,176424,'5% chance to dispel when target receives hostile action',100,1,6),
(183352,176424,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(183353,10176424,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(183354,10176424,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(183355,10176424,'Decreases Attack Speed of target by 15.1',100,2,2),
(183356,10176424,'Cannot be modified except by direct means',100,2,3),
(183357,10176424,'Slows target by 38.0%',100,1,4),
(183358,10176424,'5% chance to dispel when target takes damage',100,1,5),
(183359,10176424,'5% chance to dispel when target receives hostile action',100,1,6),
(183360,10176424,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(183361,108773,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(183362,108773,'Inflicts 23 - 28 heat damage on target instantly and every 4 seconds',100,2,1),
(183363,108773,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(183364,108773,'Inflicts 103 - 126 heat damage on target encounter',100,3,3),
(183365,108773,'Grants a total of 1 trigger of the spell.',100,3,4),
(183366,10108773,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(183367,10108773,'Inflicts 28 - 34 heat damage on target instantly and every 4 seconds',100,2,1),
(183368,10108773,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(183369,10108773,'Inflicts 124 - 152 heat damage on target encounter',100,3,3),
(183370,10108773,'Grants a total of 1 trigger of the spell.',100,3,4),
(183371,102257,'Inflicts 90 - 150 melee damage on targets in area',100,1,0),
(183372,10102257,'Inflicts 108 - 180 melee damage on targets in area',100,1,0),
(183373,141870,'When Equipped:',100,0,0),
(183374,141870,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(183375,141870,'Increases WIS of caster by 8.8',100,2,2),
(183376,141870,'Increases Focus, Ordination and Ministration of caster by 5.2',100,2,3),
(183377,141870,'Cannot be modified except by direct means',100,2,4),
(183378,10141870,'When Equipped:',100,0,0),
(183379,10141870,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(183380,10141870,'Increases WIS of caster by 8.8',100,2,2),
(183381,10141870,'Increases Focus, Ordination and Ministration of caster by 5.2',100,2,3),
(183382,10141870,'Cannot be modified except by direct means',100,2,4),
(183383,47529,'Applies Petrified Orc Eye when Activated.  Lasts for 6 hours.',100,0,0),
(183384,47529,'Shapechanges caster into an orc',100,1,1),
(183385,10047529,'Applies Petrified Orc Eye when Activated.  Lasts for 6 hours.',100,0,0),
(183386,10047529,'Shapechanges caster into an orc',100,1,1),
(183387,113242,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(183388,113242,'Inflicts 18 - 30 magic damage on target',100,2,1),
(183389,113242,'Grants a total of 8 triggers of the spell.',100,2,2),
(183390,10113242,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(183391,10113242,'Inflicts 21 - 36 magic damage on target',100,2,1),
(183392,10113242,'Grants a total of 8 triggers of the spell.',100,2,2),
(183393,177612,'When Equipped:',100,0,0),
(183394,177612,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(183395,177612,'Increases STA of caster by 5.8',100,2,2),
(183396,177612,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(183397,177612,'Cannot be modified except by direct means',100,2,4),
(183398,10177612,'When Equipped:',100,0,0),
(183399,10177612,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(183400,10177612,'Increases STA of caster by 5.8',100,2,2),
(183401,10177612,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(183402,10177612,'Cannot be modified except by direct means',100,2,4),
(183403,100814,'Wards target against 1896 points of all damage',100,1,0),
(183404,10100814,'Wards target against 2918 points of all damage',100,1,0),
(183405,81266,'When Equipped:',100,0,0),
(183406,81266,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183407,81266,'Inflicts 193 - 358 magic damage on target',100,2,2),
(183408,81266,'Decreases Threat to target by 949 ',100,2,3),
(183409,81266,'Must be flanking or behind',100,3,4),
(183410,81266,'Increases Threat to target by 954 ',100,2,5),
(183411,81266,'Must be in front of',100,3,6),
(183412,81266,'Cannot be modified except by direct means',100,2,7),
(183413,10081266,'When Equipped:',100,0,0),
(183414,10081266,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183415,10081266,'Inflicts 231 - 430 magic damage on target',100,2,2),
(183416,10081266,'Cannot be modified except by direct means',100,2,3),
(183417,112999,'Reduces physical damage done to caster by 5%',100,1,0),
(183418,112999,'Increases STA of caster by 145.3',100,1,1),
(183419,112999,'Adds 5.0% to base avoidance.',100,1,2),
(183420,112999,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(183421,112999,'Increases Defense and Aggression of caster by 27.8',100,1,4),
(183422,112999,'Increases Mitigation of caster vs arcane damage by 1856',100,1,5),
(183423,112999,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(183424,10112999,'Reduces physical damage done to caster by 5%',100,1,0),
(183425,10112999,'Increases STA of caster by 145.3',100,1,1),
(183426,10112999,'Adds 5.0% to base avoidance.',100,1,2),
(183427,10112999,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(183428,10112999,'Increases Defense and Aggression of caster by 27.8',100,1,4),
(183429,10112999,'Increases Mitigation of caster vs arcane damage by 1856',100,1,5),
(183430,10112999,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(183431,45855,'Applies Dagda''s Blessing when Activated.  Lasts for 15 minutes.',100,0,0),
(183432,45855,'Increases Max Health of caster by 32.0',100,1,1),
(183433,10045855,'Applies Dagda''s Blessing when Activated.  Lasts for 15 minutes.',100,0,0),
(183434,10045855,'Increases Max Health of caster by 32.0',100,1,1),
(183435,71057,'When Equipped:',100,0,0),
(183436,71057,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183437,71057,'Inflicts 94 - 114 magic damage on target',100,2,2),
(183438,71057,'Cannot be modified except by direct means',100,2,3),
(183439,10071057,'When Equipped:',100,0,0),
(183440,10071057,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183441,10071057,'Inflicts 112 - 137 magic damage on target',100,2,2),
(183442,10071057,'Cannot be modified except by direct means',100,2,3),
(183443,111756,'Heals caster for 36 - 44',100,1,0),
(183444,111756,'This effect cannot be critically applied.',100,2,1),
(183445,111756,'The healing of this spell cannot be modified except by direct means',100,1,2),
(183446,10111756,'Heals caster for 18 - 22',100,1,0),
(183447,10111756,'This effect cannot be critically applied.',100,2,1),
(183448,10111756,'The healing of this spell cannot be modified except by direct means',100,1,2),
(183449,117010,'Inflicts 101 - 305 melee damage on target',100,1,0),
(183450,10117010,'Inflicts 122 - 366 melee damage on target',100,1,0),
(183451,87450,'When Equipped:',100,0,0),
(183452,87450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183453,87450,'Inflicts 28 - 42 magic damage on target',100,2,2),
(183454,87450,'Cannot be modified except by direct means',100,2,3),
(183455,10087450,'When Equipped:',100,0,0),
(183456,10087450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183457,10087450,'Inflicts 34 - 50 magic damage on target',100,2,2),
(183458,10087450,'Cannot be modified except by direct means',100,2,3),
(183459,159500,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(183460,159500,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(183461,159500,'Inflicts 60 heat damage on target',100,2,2),
(183462,159500,'Cannot be modified except by direct means',100,2,3),
(183463,10159500,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(183464,10159500,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(183465,10159500,'Inflicts 72 heat damage on target',100,2,2),
(183466,10159500,'Cannot be modified except by direct means',100,2,3),
(183467,109009,'Decreases Damage Per Second of target by 26.0',100,1,0),
(183468,109009,'Inflicts 163 - 199 melee damage on target',100,1,1),
(183469,10109009,'Decreases Damage Per Second of target by 26.0',100,1,0),
(183470,10109009,'Inflicts 195 - 239 melee damage on target',100,1,1),
(183471,123057,'Summons a pet undead knight',100,1,0),
(183472,10123057,'Summons a pet undead knight',100,1,0),
(183473,40306,'When Equipped:',100,0,0),
(183474,40306,'On a combat hit this spell may cast Searing Missile on target of attack.  Triggers about 18.0 times per minute. ',100,1,1),
(183475,40306,'Inflicts 12 heat damage on target',100,2,2),
(183476,40306,'Cannot be modified except by direct means',100,2,3),
(183477,10040306,'When Equipped:',100,0,0),
(183478,10040306,'On a combat hit this spell may cast Searing Missile on target of attack.  Triggers about 18.0 times per minute. ',100,1,1),
(183479,10040306,'Inflicts 14 heat damage on target',100,2,2),
(183480,10040306,'Cannot be modified except by direct means',100,2,3),
(183481,81937,'When Equipped:',100,0,0),
(183482,81937,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183483,81937,'Inflicts 261 - 484 magic damage on target',100,2,2),
(183484,81937,'Decreases Threat to target by 994 ',100,2,3),
(183485,81937,'Must be flanking or behind',100,3,4),
(183486,81937,'Increases Threat to target by 999 ',100,2,5),
(183487,81937,'Must be in front of',100,3,6),
(183488,81937,'Cannot be modified except by direct means',100,2,7),
(183489,10081937,'When Equipped:',100,0,0),
(183490,10081937,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183491,10081937,'Inflicts 313 - 581 magic damage on target',100,2,2),
(183492,10081937,'Cannot be modified except by direct means',100,2,3),
(183493,122672,'Decreases Defense of target by 24.0',100,1,0),
(183494,122672,'Decreases Mitigation of target vs physical damage by 400',100,1,1),
(183495,10122672,'Decreases Defense of target by 24.0',100,1,0),
(183496,10122672,'Decreases Mitigation of target vs physical damage by 400',100,1,1),
(183497,36364,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(183498,108351,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(183499,108351,'Increases Mitigation of group members (AE) vs arcane damage by 450',100,1,1),
(183500,10108351,'Increases Max Health of group members (AE) by 103.8',100,1,0),
(183501,10108351,'Increases Mitigation of group members (AE) vs arcane damage by 450',100,1,1),
(183502,49133,'Applies Call White Cavalry Horse when Activated.',100,0,0),
(183503,49133,'Increases Focus and Piercing of caster by 7.0',100,1,1),
(183504,49133,'Summons a mount to ride',100,1,2),
(183505,49133,'Increases your ground speed by 130%',100,2,3),
(183506,49133,'Increases Crushing, Ranged and Slashing of caster by 7.0',100,1,4),
(183507,10049133,'Applies Call White Cavalry Horse when Activated.',100,0,0),
(183508,10049133,'Increases Focus and Piercing of caster by 7.0',100,1,1),
(183509,10049133,'Summons a mount to ride',100,1,2),
(183510,10049133,'Increases your ground speed by 130%',100,2,3),
(183511,10049133,'Increases Crushing, Ranged and Slashing of caster by 7.0',100,1,4),
(183512,35375,'Increases STR of target by 1.5',100,0,0),
(183513,35375,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(183514,169002,'When Equipped:',100,0,0),
(183515,169002,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183516,169002,'Inflicts 1192 cold damage on target encounter',100,2,2),
(183517,169002,'Cannot be modified except by direct means',100,2,3),
(183518,10169002,'When Equipped:',100,0,0),
(183519,10169002,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183520,10169002,'Inflicts 715 cold damage on target encounter',100,2,2),
(183521,10169002,'Cannot be modified except by direct means',100,2,3),
(183522,113727,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(183523,10113727,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(183524,75620,'Applies Holy Strike when Activated.',100,0,0),
(183525,75620,'Inflicts 296 - 494 divine damage on target',100,1,1),
(183526,75620,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(183527,10075620,'Applies Holy Strike when Activated.',100,0,0),
(183528,10075620,'Inflicts 356 - 593 divine damage on target',100,1,1),
(183529,10075620,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(183530,49084,'Applies Void Prowler when Activated.',100,0,0),
(183531,49084,'Increases Focus and Subjugation of caster by 5.0',100,1,1),
(183532,49084,'Reduces maximum falling speed of caster',100,1,2),
(183533,49084,'Summons a mount to ride',100,1,3),
(183534,49084,'Increases your ground speed by 130%',100,2,4),
(183535,49084,'Increases Ordination, Ministration and Disruption of caster by 5.0',100,1,5),
(183536,10049084,'Applies Void Prowler when Activated.',100,0,0),
(183537,10049084,'Increases Focus and Subjugation of caster by 5.0',100,1,1),
(183538,10049084,'Reduces maximum falling speed of caster',100,1,2),
(183539,10049084,'Summons a mount to ride',100,1,3),
(183540,10049084,'Increases your ground speed by 130%',100,2,4),
(183541,10049084,'Increases Ordination, Ministration and Disruption of caster by 5.0',100,1,5),
(183542,105163,'Increases AGI of caster by 44.6',100,1,0),
(183543,105163,'Adds 1.5% to base avoidance.',100,1,1),
(183544,105163,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(183545,105163,'Increases Parry of caster by 25.6',100,1,3),
(183546,105163,'Increases Defense of caster by 34.2',100,1,4),
(183547,10105163,'Increases AGI of caster by 44.6',100,1,0),
(183548,10105163,'Adds 1.5% to base avoidance.',100,1,1),
(183549,10105163,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(183550,10105163,'Increases Parry of caster by 25.6',100,1,3),
(183551,10105163,'Increases Defense of caster by 34.2',100,1,4),
(183552,102659,'Inflicts 209 - 348 melee damage on target',100,1,0),
(183553,102659,'Inflicts 90 heat damage on target every 6 seconds',100,1,1),
(183554,10102659,'Inflicts 250 - 418 melee damage on target',100,1,0),
(183555,10102659,'Inflicts 108 heat damage on target every 6 seconds',100,1,1),
(183556,41607,'When Equipped:',100,0,0),
(183557,41607,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183558,41607,'Inflicts 261 - 484 magic damage on target',100,2,2),
(183559,41607,'Decreases Threat to target by 994 ',100,2,3),
(183560,41607,'Must be flanking or behind',100,3,4),
(183561,41607,'Increases Threat to target by 999 ',100,2,5),
(183562,41607,'Must be in front of',100,3,6),
(183563,41607,'Cannot be modified except by direct means',100,2,7),
(183564,10041607,'When Equipped:',100,0,0),
(183565,10041607,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183566,10041607,'Inflicts 313 - 581 magic damage on target',100,2,2),
(183567,10041607,'Cannot be modified except by direct means',100,2,3),
(183568,82255,'When Equipped:',100,0,0),
(183569,82255,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183570,82255,'Inflicts 31 - 57 magic damage on target',100,2,2),
(183571,82255,'Decreases Threat to target by 135 ',100,2,3),
(183572,82255,'Must be flanking or behind',100,3,4),
(183573,82255,'Increases Threat to target by 140 ',100,2,5),
(183574,82255,'Must be in front of',100,3,6),
(183575,82255,'Cannot be modified except by direct means',100,2,7),
(183576,10082255,'When Equipped:',100,0,0),
(183577,10082255,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183578,10082255,'Inflicts 37 - 68 magic damage on target',100,2,2),
(183579,10082255,'Cannot be modified except by direct means',100,2,3),
(183580,100800,'Wards target against 845 points of all damage',100,1,0),
(183581,10100800,'Wards target against 1300 points of all damage',100,1,0),
(183582,107675,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(183583,10107675,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(183584,117866,'Heals target for 139 - 169 instantly and every 2 seconds',100,1,0),
(183585,10117866,'Heals target for 90 - 110 instantly and every 2 seconds',100,1,0),
(183586,157924,'When Equipped:',100,0,0),
(183587,157924,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(183588,157924,'Inflicts 787 mental damage on target',100,2,2),
(183589,157924,'Must be classified as an undead',100,3,3),
(183590,157924,'Inflicts 393 mental damage on target',100,2,4),
(183591,157924,'Must not be classified as an undead',100,3,5),
(183592,157924,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(183593,157924,'Must be classified as an undead',100,3,7),
(183594,157924,'Cannot be modified except by direct means',100,2,8),
(183595,157924,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(183596,10157924,'When Equipped:',100,0,0),
(183597,10157924,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(183598,10157924,'Inflicts 944 mental damage on target',100,2,2),
(183599,10157924,'Must be classified as an undead',100,3,3),
(183600,10157924,'Inflicts 472 mental damage on target',100,2,4),
(183601,10157924,'Must not be classified as an undead',100,3,5),
(183602,10157924,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(183603,10157924,'Must be classified as an undead',100,3,7),
(183604,10157924,'Cannot be modified except by direct means',100,2,8),
(183605,10157924,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(183606,112997,'Reduces physical damage done to caster by 5%',100,1,0),
(183607,112997,'Increases STA of caster by 127.1',100,1,1),
(183608,112997,'Adds 4.3% to base avoidance.',100,1,2),
(183609,112997,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(183610,112997,'Increases Defense and Aggression of caster by 24.4',100,1,4),
(183611,112997,'Increases Mitigation of caster vs arcane damage by 1624',100,1,5),
(183612,112997,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(183613,10112997,'Reduces physical damage done to caster by 5%',100,1,0),
(183614,10112997,'Increases STA of caster by 127.1',100,1,1),
(183615,10112997,'Adds 4.3% to base avoidance.',100,1,2),
(183616,10112997,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(183617,10112997,'Increases Defense and Aggression of caster by 24.4',100,1,4),
(183618,10112997,'Increases Mitigation of caster vs arcane damage by 1624',100,1,5),
(183619,10112997,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(183620,133528,'When Equipped:',100,0,0),
(183621,133528,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(183622,133528,'Heals group members (AE) for 2624',100,2,2),
(183623,133528,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(183624,133528,'Must not be engaged in pvp combat',100,2,4),
(183625,133528,'Cannot be modified except by direct means',100,2,5),
(183626,133528,'Must not be engaged in pvp combat',100,1,6),
(183627,10133528,'When Equipped:',100,0,0),
(183628,10133528,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(183629,10133528,'Heals group members (AE) for 3071',100,2,2),
(183630,10133528,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(183631,10133528,'Must not be engaged in pvp combat',100,2,4),
(183632,10133528,'Cannot be modified except by direct means',100,2,5),
(183633,10133528,'Must not be engaged in pvp combat',100,1,6),
(183634,135624,'When Equipped:',100,0,0),
(183635,135624,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183636,135624,'Inflicts 2648 heat damage on target',100,2,2),
(183637,135624,'Cannot be modified except by direct means',100,2,3),
(183638,10135624,'When Equipped:',100,0,0),
(183639,10135624,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183640,10135624,'Inflicts 1589 heat damage on target',100,2,2),
(183641,10135624,'Cannot be modified except by direct means',100,2,3),
(183642,106429,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(183643,106429,'Inflicts 481 - 588 mental damage on target',100,2,1),
(183644,106429,'Grants a total of 3 triggers of the spell.',100,2,2),
(183645,10106429,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(183646,10106429,'Inflicts 577 - 706 mental damage on target',100,2,1),
(183647,10106429,'Grants a total of 3 triggers of the spell.',100,2,2),
(183648,105070,'Inflicts 39 - 52 magic damage on target',100,1,0),
(183649,10105070,'Inflicts 47 - 63 magic damage on target',100,1,0),
(183650,24113,'Adds Chokidai (Monk) to your Dungeon Maker toolbox',100,0,0),
(183651,10024113,'Adds Chokidai (Monk) to your Dungeon Maker toolbox',100,0,0),
(183652,109738,'Inflicts 352 - 588 cold damage on target',100,1,0),
(183653,109738,'If weapon equipped in Ranged',100,1,1),
(183654,10109738,'Inflicts 299 - 499 cold damage on target',100,1,0),
(183655,10109738,'If weapon equipped in Ranged',100,1,1),
(183656,82466,'When Equipped:',100,0,0),
(183657,82466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183658,82466,'Inflicts 122 - 226 magic damage on target',100,2,2),
(183659,82466,'Cannot be modified except by direct means',100,2,3),
(183660,10082466,'When Equipped:',100,0,0),
(183661,10082466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183662,10082466,'Inflicts 146 - 272 magic damage on target',100,2,2),
(183663,10082466,'Cannot be modified except by direct means',100,2,3),
(183664,112357,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(183665,112357,'Inflicts 259 - 432 piercing damage on target',100,2,1),
(183666,10112357,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(183667,10112357,'Inflicts 163 - 272 piercing damage on target',100,2,1),
(183668,132067,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(183669,132067,'Increases Damage Per Second of caster by 20.0',100,1,1),
(183670,132067,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(183671,10132067,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(183672,10132067,'Increases Damage Per Second of caster by 20.0',100,1,1),
(183673,10132067,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(183674,103443,'Blurs vision of target encounter',100,1,0),
(183675,103443,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(183676,103443,'Stuns target',100,2,2),
(183677,103443,'Throws target back',100,2,3),
(183678,103443,'Blurs vision of target',100,2,4),
(183679,103443,'Does not affect Epic targets',100,2,5),
(183680,103443,'Interrupts target encounter',100,1,6),
(183681,10103443,'Interrupts target encounter',100,1,0),
(183682,10103443,'7% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(183683,10103443,'Stuns target',100,2,2),
(183684,10103443,'Throws target back',100,2,3),
(183685,10103443,'Blurs vision of target',100,2,4),
(183686,10103443,'Does not affect Epic targets',100,2,5),
(183687,10103443,'Blurs vision of target encounter',100,1,6),
(183688,108360,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(183689,108360,'Increases Mitigation of group members (AE) vs arcane damage by 770',100,1,1),
(183690,10108360,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(183691,10108360,'Increases Mitigation of group members (AE) vs arcane damage by 770',100,1,1),
(183692,82480,'When Equipped:',100,0,0),
(183693,82480,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183694,82480,'Inflicts 135 - 252 magic damage on target',100,2,2),
(183695,82480,'Decreases Threat to target by 641 ',100,2,3),
(183696,82480,'Must be flanking or behind',100,3,4),
(183697,82480,'Increases Threat to target by 646 ',100,2,5),
(183698,82480,'Must be in front of',100,3,6),
(183699,82480,'Cannot be modified except by direct means',100,2,7),
(183700,10082480,'When Equipped:',100,0,0),
(183701,10082480,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183702,10082480,'Inflicts 163 - 302 magic damage on target',100,2,2),
(183703,10082480,'Cannot be modified except by direct means',100,2,3),
(183704,105746,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(183705,105746,'Stuns target',100,2,1),
(183706,105746,'Throws target back',100,2,2),
(183707,105746,'Blurs vision of target',100,2,3),
(183708,105746,'Does not affect Epic targets',100,2,4),
(183709,105746,'Inflicts 669 - 1115 melee damage on targets in area',100,1,5),
(183710,10105746,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(183711,10105746,'Stuns target',100,2,1),
(183712,10105746,'Throws target back',100,2,2),
(183713,10105746,'Blurs vision of target',100,2,3),
(183714,10105746,'Does not affect Epic targets',100,2,4),
(183715,10105746,'Inflicts 803 - 1338 melee damage on targets in area',100,1,5),
(183716,177556,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(183717,177556,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(183718,177556,'Heals target for 38 instantly and every 4 seconds',100,2,2),
(183719,177556,'Cannot be modified except by direct means',100,2,3),
(183720,10177556,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(183721,10177556,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(183722,10177556,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(183723,10177556,'Cannot be modified except by direct means',100,2,3),
(183724,118482,'Summons a limited pet to aid the caster',100,1,0),
(183725,10118482,'Summons a limited pet to aid the caster',100,1,0),
(183726,107640,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(183727,107640,'Increases Mitigation of group members (AE) vs elemental damage by 599',100,1,1),
(183728,10107640,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(183729,10107640,'Increases Mitigation of group members (AE) vs elemental damage by 599',100,1,1),
(183730,111044,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(183731,111044,'Increases Threat to target by 648 ',100,2,1),
(183732,111044,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(183733,111044,'Increases Threat to target by 648 ',100,2,3),
(183734,10111044,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(183735,10111044,'Inflicts 83 - 92 crushing damage on target',100,2,1),
(183736,10111044,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(183737,10111044,'Inflicts 83 - 92 crushing damage on target',100,2,3),
(183738,112977,'Reduces physical damage done to caster by 5%',100,1,0),
(183739,112977,'Increases STA of caster by 31.7',100,1,1),
(183740,112977,'Adds 3.7% to base avoidance.',100,1,2),
(183741,112977,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(183742,112977,'Increases Defense and Aggression of caster by 5.8',100,1,4),
(183743,112977,'Increases Mitigation of caster vs arcane damage by 415',100,1,5),
(183744,112977,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(183745,10112977,'Reduces physical damage done to caster by 5%',100,1,0),
(183746,10112977,'Increases STA of caster by 31.7',100,1,1),
(183747,10112977,'Adds 3.7% to base avoidance.',100,1,2),
(183748,10112977,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(183749,10112977,'Increases Defense and Aggression of caster by 5.8',100,1,4),
(183750,10112977,'Increases Mitigation of caster vs arcane damage by 415',100,1,5),
(183751,10112977,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(183752,45613,'Applies Elixir of Invigoration  when Activated.  Lasts for 15 minutes.',100,0,0),
(183753,45613,'Increases Max Health of caster by 20.0',100,1,1),
(183754,10045613,'Applies Elixir of Invigoration  when Activated.  Lasts for 15 minutes.',100,0,0),
(183755,10045613,'Increases Max Health of caster by 20.0',100,1,1),
(183756,47721,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(183757,47721,'Increases AGI of caster by 43.0',100,1,1),
(183758,10047721,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(183759,10047721,'Increases AGI of caster by 43.0',100,1,1),
(183760,108175,'Inflicts 1304 - 2174 melee damage on target',100,1,0),
(183761,108175,'You must be sneaking to use this ability.',100,1,1),
(183762,108175,'Must be flanking or behind',100,1,2),
(183763,10108175,'Inflicts 1032 - 1721 melee damage on target',100,1,0),
(183764,10108175,'You must be sneaking to use this ability.',100,1,1),
(183765,10108175,'Must be flanking or behind',100,1,2),
(183766,104228,'Inflicts 114 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(183767,104228,'Decreases WIS of target encounter by 70.0',100,1,1),
(183768,10104228,'Inflicts 136 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(183769,10104228,'Decreases WIS of target encounter by 70.0',100,1,1),
(183770,48965,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(183771,48965,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(183772,48965,'Decreases WIS and INT of target by 4.6',100,2,2),
(183773,48965,'Cannot be modified except by direct means',100,2,3),
(183774,48965,'Grants a total of 30 triggers of the spell.',100,2,4),
(183775,10048965,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(183776,10048965,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(183777,10048965,'Decreases WIS and INT of target by 4.6',100,2,2),
(183778,10048965,'Cannot be modified except by direct means',100,2,3),
(183779,10048965,'Grants a total of 30 triggers of the spell.',100,2,4),
(183780,105172,'Increases AGI of caster by 83.2',100,1,0),
(183781,105172,'Adds 1.9% to base avoidance.',100,1,1),
(183782,105172,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(183783,105172,'Increases Parry of caster by 47.7',100,1,3),
(183784,105172,'Increases Defense of caster by 63.6',100,1,4),
(183785,10105172,'Increases AGI of caster by 83.2',100,1,0),
(183786,10105172,'Adds 1.9% to base avoidance.',100,1,1),
(183787,10105172,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(183788,10105172,'Increases Parry of caster by 47.7',100,1,3),
(183789,10105172,'Increases Defense of caster by 63.6',100,1,4),
(183790,114939,'Decreases Attack Speed of target by 5.7',100,1,0),
(183791,114939,'Inflicts 5 - 15 slashing damage on target',100,1,1),
(183792,114939,'Inflicts 11 slashing damage on target instantly and every 4 seconds',100,1,2),
(183793,10114939,'Decreases Attack Speed of target by 5.7',100,1,0),
(183794,10114939,'Inflicts 6 - 18 slashing damage on target',100,1,1),
(183795,10114939,'Inflicts 13 slashing damage on target instantly and every 4 seconds',100,1,2),
(183796,118006,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(183797,118006,'Increases Attack Speed of target by 36.6',100,2,1),
(183798,118006,'Increases Damage Per Second of target by 36.6',100,2,2),
(183799,118006,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(183800,118006,'Increases Attack Speed of target by 36.6',100,2,4),
(183801,118006,'Increases Damage Per Second of target by 36.6',100,2,5),
(183802,118006,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(183803,118006,'Increases Attack Speed of target by 36.6',100,2,7),
(183804,118006,'Increases Damage Per Second of target by 36.6',100,2,8),
(183805,10118006,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(183806,10118006,'Increases Attack Speed of target by 36.6',100,2,1),
(183807,10118006,'Increases Damage Per Second of target by 36.6',100,2,2),
(183808,10118006,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(183809,10118006,'Increases Attack Speed of target by 36.6',100,2,4),
(183810,10118006,'Increases Damage Per Second of target by 36.6',100,2,5),
(183811,10118006,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(183812,10118006,'Increases Attack Speed of target by 36.6',100,2,7),
(183813,10118006,'Increases Damage Per Second of target by 36.6',100,2,8),
(183814,104988,'Reduces physical damage done to caster by 5%',100,1,0),
(183815,104988,'Adds 1.5% to base avoidance.',100,1,1),
(183816,104988,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(183817,104988,'Increases Parry of caster by 13.2',100,1,3),
(183818,104988,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(183819,104988,'Increases Aggression of caster by 7.9',100,1,5),
(183820,104988,'Increases Defense and Deflection of caster by 13.2',100,1,6),
(183821,104988,'Increases Mitigation of caster vs arcane damage by 880',100,1,7),
(183822,104988,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(183823,10104988,'Reduces physical damage done to caster by 5%',100,1,0),
(183824,10104988,'Adds 1.5% to base avoidance.',100,1,1),
(183825,10104988,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(183826,10104988,'Increases Parry of caster by 13.2',100,1,3),
(183827,10104988,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(183828,10104988,'Increases Aggression of caster by 7.9',100,1,5),
(183829,10104988,'Increases Defense and Deflection of caster by 13.2',100,1,6),
(183830,10104988,'Increases Mitigation of caster vs arcane damage by 880',100,1,7),
(183831,10104988,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(183832,48033,'Applies Shifting Root when Activated.  Lasts for 3 minutes 36 seconds.',100,0,0),
(183833,48033,'Grants invisibility to caster',100,1,1),
(183834,48033,'Suspends caster''s movement speed enhancements',100,1,2),
(183835,48033,'Dispelled when target receives hostile action',100,1,3),
(183836,48033,'Dispelled when target takes damage',100,1,4),
(183837,10048033,'Applies Shifting Root when Activated.  Lasts for 3 minutes 36 seconds.',100,0,0),
(183838,10048033,'Grants invisibility to caster',100,1,1),
(183839,10048033,'Suspends caster''s movement speed enhancements',100,1,2),
(183840,10048033,'Dispelled when target receives hostile action',100,1,3),
(183841,10048033,'Dispelled when target takes damage',100,1,4),
(183842,115657,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,0),
(183843,10115657,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,0),
(183844,114790,'Decreases WIS of target by 28.7',100,1,0),
(183845,114790,'Increases WIS and STA of caster by 28.7',100,1,1),
(183846,114790,'Decreases Max Health of target by 0.9%',100,1,2),
(183847,114790,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 93',100,1,3),
(183848,114790,'Only affects targets level 17 and above',100,1,4),
(183849,10114790,'Decreases WIS of target by 28.7',100,1,0),
(183850,10114790,'Increases WIS and STA of caster by 28.7',100,1,1),
(183851,10114790,'Decreases Max Health of target by 0.9%',100,1,2),
(183852,10114790,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 93',100,1,3),
(183853,10114790,'Only affects targets level 17 and above',100,1,4),
(183854,117030,'Inflicts 3 - 6 melee damage on target',100,1,0),
(183855,117030,'Decreases Attack Speed of target by 9.6',100,1,1),
(183856,10117030,'Inflicts 4 - 7 melee damage on target',100,1,0),
(183857,10117030,'Decreases Attack Speed of target by 9.6',100,1,1),
(183858,111390,'Increases Attack Speed of target by 29.3',100,1,0),
(183859,111390,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183860,111390,'Inflicts 48 disease damage on target',100,2,2),
(183861,111390,'Heals caster for 16',100,2,3),
(183862,111390,'Decreases Defense and Parry of target by 4.9',100,1,4),
(183863,111390,'Increases Disruption, Subjugation and Focus of target by 7.9',100,1,5),
(183864,10111390,'Increases Attack Speed of target by 29.3',100,1,0),
(183865,10111390,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(183866,10111390,'Inflicts 57 disease damage on target',100,2,2),
(183867,10111390,'Heals caster for 10',100,2,3),
(183868,10111390,'Decreases Defense and Parry of target by 4.9',100,1,4),
(183869,10111390,'Increases Disruption, Subjugation and Focus of target by 7.9',100,1,5),
(183870,159480,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(183871,159480,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(183872,159480,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(183873,159480,'Cannot be modified except by direct means',100,2,3),
(183874,10159480,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(183875,10159480,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(183876,10159480,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(183877,10159480,'Cannot be modified except by direct means',100,2,3),
(183878,80893,'When Equipped:',100,0,0),
(183879,80893,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183880,80893,'Inflicts 190 - 352 magic damage on target',100,2,2),
(183881,80893,'Cannot be modified except by direct means',100,2,3),
(183882,10080893,'When Equipped:',100,0,0),
(183883,10080893,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183884,10080893,'Inflicts 228 - 423 magic damage on target',100,2,2),
(183885,10080893,'Cannot be modified except by direct means',100,2,3),
(183886,110555,'Decreases Attack Speed of target by 10.2',100,1,0),
(183887,110555,'Decreases Crushing, Slashing and Piercing of target by 0.7',100,1,1),
(183888,10110555,'Decreases Attack Speed of target by 10.2',100,1,0),
(183889,10110555,'Decreases Crushing, Slashing and Piercing of target by 0.7',100,1,1),
(183890,86234,'When Equipped:',100,0,0),
(183891,86234,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(183892,86234,'Inflicts 490 - 599 disease damage on target',100,2,2),
(183893,86234,'100% of health regained from lifetaps will be applied as hate to engaged targets.',100,2,3),
(183894,86234,'Cannot be modified except by direct means',100,2,4),
(183895,86234,'Cannot be modified except by direct means',100,1,5),
(183896,10086234,'When Equipped:',100,0,0),
(183897,10086234,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(183898,10086234,'Inflicts 588 - 719 disease damage on target',100,2,2),
(183899,10086234,'100% of health regained from lifetaps will be applied as hate to engaged targets.',100,2,3),
(183900,10086234,'Cannot be modified except by direct means',100,2,4),
(183901,10086234,'Cannot be modified except by direct means',100,1,5),
(183902,45982,'Applies Throw Pie when Activated.  Lasts for 1.0 second.',100,0,0),
(183903,10045982,'Applies Throw Pie when Activated.  Lasts for 1.0 second.',100,0,0),
(183904,102653,'Inflicts 157 - 261 melee damage on target',100,1,0),
(183905,102653,'Inflicts 68 heat damage on target every 6 seconds',100,1,1),
(183906,10102653,'Inflicts 188 - 314 melee damage on target',100,1,0),
(183907,10102653,'Inflicts 81 heat damage on target every 6 seconds',100,1,1),
(183908,40663,'When Equipped:',100,0,0),
(183909,40663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183910,40663,'Inflicts 108 - 163 magic damage on target',100,2,2),
(183911,40663,'Cannot be modified except by direct means',100,2,3),
(183912,10040663,'When Equipped:',100,0,0),
(183913,10040663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(183914,10040663,'Inflicts 130 - 195 magic damage on target',100,2,2),
(183915,10040663,'Cannot be modified except by direct means',100,2,3),
(183916,160871,'When Equipped:',100,0,0),
(183917,160871,'When any damage is received this spell has a 5% chance to cast Frost Gale on target''s attacker.  Lasts for 0.2 seconds.  ',100,1,1),
(183918,160871,'Inflicts 157 - 261 cold damage on targets in Area of Effect',100,2,2),
(183919,160871,'Throws target back',100,2,3),
(183920,160871,'Cannot be modified except by direct means',100,2,4),
(183921,10160871,'When Equipped:',100,0,0),
(183922,10160871,'When any damage is received this spell has a 5% chance to cast Frost Gale on target''s attacker.  Lasts for 0.2 seconds.  ',100,1,1),
(183923,10160871,'Inflicts 188 - 313 cold damage on targets in Area of Effect',100,2,2),
(183924,10160871,'Throws target back',100,2,3),
(183925,10160871,'Cannot be modified except by direct means',100,2,4),
(183926,118736,'Inflicts 147 - 246 slashing damage on target',100,1,0),
(183927,118736,'Decreases Slashing, Crushing and Piercing of target by 13.1',100,1,1),
(183928,118736,'Inflicts 61 - 74 slashing damage on target every 5 seconds',100,1,2),
(183929,10118736,'Inflicts 177 - 295 slashing damage on target',100,1,0),
(183930,10118736,'Decreases Slashing, Crushing and Piercing of target by 13.1',100,1,1),
(183931,10118736,'Inflicts 73 - 89 slashing damage on target every 5 seconds',100,1,2),
(183932,116093,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(183933,116093,'Heals target for 152 - 186',100,2,1),
(183934,116093,'Grants a total of 5 triggers of the spell.',100,2,2),
(183935,10116093,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(183936,10116093,'Heals target for 99 - 121',100,2,1),
(183937,10116093,'Grants a total of 5 triggers of the spell.',100,2,2),
(183938,25774,'When Equipped:',100,0,0),
(183939,25774,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(183940,25774,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(183941,10025774,'When Equipped:',100,0,0),
(183942,10025774,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(183943,10025774,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(183944,116036,'Shapechanges caster into a lion',100,1,0),
(183945,116036,'Increases STA of caster by 24.0',100,1,1),
(183946,116036,'Adds 2.3% to base avoidance.',100,1,2),
(183947,116036,'Grants See Stealth to caster',100,1,3),
(183948,116036,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 380',100,1,4),
(183949,10116036,'Shapechanges caster into a lion',100,1,0),
(183950,10116036,'Increases STA of caster by 24.0',100,1,1),
(183951,10116036,'Adds 2.3% to base avoidance.',100,1,2),
(183952,10116036,'Grants See Stealth to caster',100,1,3),
(183953,10116036,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 380',100,1,4),
(183954,52853,'Applies Sanguine Imbued when Equipped.',100,0,0),
(183955,52853,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(183956,52853,'Inflicts 194 heat damage on target',100,2,2),
(183957,52853,'Cannot be modified except by direct means',100,2,3),
(183958,10052853,'Applies Sanguine Imbued when Equipped.',100,0,0),
(183959,10052853,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(183960,10052853,'Inflicts 232 heat damage on target',100,2,2),
(183961,10052853,'Cannot be modified except by direct means',100,2,3),
(183962,181184,'Applies Anti-Obfuscation when Equipped.',100,0,0),
(183963,181184,'When equipped, these spectacles will reveal that which is hidden from prying eyes!',100,1,1),
(183964,10181184,'Applies Anti-Obfuscation when Equipped.',100,0,0),
(183965,10181184,'When equipped, these spectacles will reveal that which is hidden from prying eyes!',100,1,1),
(183966,102459,'Stuns target encounter',100,1,0),
(183967,102459,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(183968,102459,'Resistibility increases against targets higher than level 100.',100,1,2),
(183969,10102459,'Stuns target encounter',100,1,0),
(183970,10102459,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(183971,10102459,'Resistibility increases against targets higher than level 100.',100,1,2),
(183972,113916,'Inflicts 474 - 790 disease damage on target',100,1,0),
(183973,113916,'Inflicts 118 - 197 disease damage on target every 4 seconds',100,1,1),
(183974,113916,'Increases power of caster by 260 - 433',100,1,2),
(183975,113916,'Increases power of caster by 56 - 94 every 4 seconds',100,1,3),
(183976,10113916,'Inflicts 569 - 948 disease damage on target',100,1,0),
(183977,10113916,'Inflicts 142 - 237 disease damage on target every 4 seconds',100,1,1),
(183978,10113916,'Increases power of caster by 260 - 433',100,1,2),
(183979,10113916,'Increases power of caster by 56 - 94 every 4 seconds',100,1,3),
(183980,110375,'Increases STR and AGI of group members (AE) by 47.0',100,1,0),
(183981,110375,'Adds 2.5% to base avoidance.',100,1,1),
(183982,10110375,'Increases STR and AGI of group members (AE) by 47.0',100,1,0),
(183983,10110375,'Adds 2.5% to base avoidance.',100,1,1),
(183984,81951,'When Equipped:',100,0,0),
(183985,81951,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183986,81951,'Inflicts 261 - 484 magic damage on target',100,2,2),
(183987,81951,'Decreases Threat to target by 994 ',100,2,3),
(183988,81951,'Must be flanking or behind',100,3,4),
(183989,81951,'Increases Threat to target by 999 ',100,2,5),
(183990,81951,'Must be in front of',100,3,6),
(183991,81951,'Cannot be modified except by direct means',100,2,7),
(183992,10081951,'When Equipped:',100,0,0),
(183993,10081951,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(183994,10081951,'Inflicts 313 - 581 magic damage on target',100,2,2),
(183995,10081951,'Cannot be modified except by direct means',100,2,3),
(183996,110615,'Decreases Focus of target by 31.6',100,1,0),
(183997,110615,'Interrupts target',100,1,1),
(183998,110615,'Inflicts 134 - 404 crushing damage on target',100,1,2),
(183999,10110615,'Decreases Focus of target by 31.6',100,1,0),
(184000,10110615,'Interrupts target',100,1,1),
(184001,10110615,'Inflicts 161 - 485 crushing damage on target',100,1,2),
(184002,48799,'Applies Griblok''s Restoration  when Activated.',100,0,0),
(184003,48799,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(184004,10048799,'Applies Griblok''s Restoration  when Activated.',100,0,0),
(184005,10048799,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(184006,115658,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1155',100,1,0),
(184007,10115658,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1155',100,1,0),
(184008,75503,'When Equipped:',100,0,0),
(184009,75503,'On any combat or spell hit this spell may cast Exalted Wave III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184010,75503,'Inflicts 144 - 160 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(184011,75503,'Heals group members (AE) for 144 - 160 instantly and every 2 seconds',100,2,3),
(184012,75503,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(184013,75503,'Must not be engaged in pvp combat',100,2,5),
(184014,75503,'Cannot be modified except by direct means',100,2,6),
(184015,75503,'Must not be engaged in pvp combat',100,1,7),
(184016,10075503,'When Equipped:',100,0,0),
(184017,10075503,'On any combat or spell hit this spell may cast Exalted Wave III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184018,10075503,'Inflicts 173 - 192 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(184019,10075503,'Heals group members (AE) for 94 - 104 instantly and every 2 seconds',100,2,3),
(184020,10075503,'Increases the amount of wards and heals cast by the caster''s group by 5%.',100,2,4),
(184021,10075503,'Must not be engaged in pvp combat',100,2,5),
(184022,10075503,'Cannot be modified except by direct means',100,2,6),
(184023,10075503,'Must not be engaged in pvp combat',100,1,7),
(184024,40670,'When Equipped:',100,0,0),
(184025,40670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184026,40670,'Inflicts 84 - 126 magic damage on target',100,2,2),
(184027,40670,'Cannot be modified except by direct means',100,2,3),
(184028,10040670,'When Equipped:',100,0,0),
(184029,10040670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184030,10040670,'Inflicts 101 - 151 magic damage on target',100,2,2),
(184031,10040670,'Cannot be modified except by direct means',100,2,3),
(184032,112355,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(184033,112355,'Inflicts 226 - 378 piercing damage on target',100,2,1),
(184034,10112355,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(184035,10112355,'Inflicts 142 - 238 piercing damage on target',100,2,1),
(184036,106370,'Decreases Mitigation of target vs arcane damage by 2310',100,1,0),
(184037,106370,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(184038,106370,'Slows target by 63.3%',100,2,2),
(184039,106370,'5% chance to dispel when target receives hostile action',100,2,3),
(184040,106370,'5% chance to dispel when target takes damage',100,2,4),
(184041,10106370,'Decreases Mitigation of target vs arcane damage by 2310',100,1,0),
(184042,10106370,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(184043,10106370,'Slows target by 63.3%',100,2,2),
(184044,10106370,'5% chance to dispel when target receives hostile action',100,2,3),
(184045,10106370,'5% chance to dispel when target takes damage',100,2,4),
(184046,107928,'Mesmerizes target',100,1,0),
(184047,107928,'Prevents AOE (except when direct) ',100,1,1),
(184048,107928,'Dispelled when target takes damage',100,1,2),
(184049,107928,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(184050,107928,'Resistibility increases against targets higher than level 67.',100,1,4),
(184051,10107928,'Mesmerizes target',100,1,0),
(184052,10107928,'Prevents AOE (except when direct) ',100,1,1),
(184053,10107928,'Dispelled when target takes damage',100,1,2),
(184054,10107928,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(184055,10107928,'Resistibility increases against targets higher than level 67.',100,1,4),
(184056,47936,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(184057,47936,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(184058,47936,'Inflicts 1568 poison damage on target instantly and every 4 seconds',100,2,2),
(184059,47936,'Cannot be modified except by direct means',100,2,3),
(184060,47936,'Grants a total of 100 triggers of the spell.',100,2,4),
(184061,10047936,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(184062,10047936,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(184063,10047936,'Inflicts 353 poison damage on target instantly and every 4 seconds',100,2,2),
(184064,10047936,'Cannot be modified except by direct means',100,2,3),
(184065,10047936,'Grants a total of 100 triggers of the spell.',100,2,4),
(184066,26076,'When Equipped:',100,0,0),
(184067,26076,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(184068,26076,'Adds 10% hate gain reduction to Befuddle VI.',100,1,2),
(184069,10026076,'When Equipped:',100,0,0),
(184070,10026076,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(184071,10026076,'Adds 10% hate gain reduction to Befuddle VI.',100,1,2),
(184072,135032,'When Equipped:',100,0,0),
(184073,135032,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(184074,135032,'Inflicts 1199 cold damage on target encounter',100,2,2),
(184075,135032,'Cannot be modified except by direct means',100,2,3),
(184076,10135032,'When Equipped:',100,0,0),
(184077,10135032,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(184078,10135032,'Inflicts 719 cold damage on target encounter',100,2,2),
(184079,10135032,'Cannot be modified except by direct means',100,2,3),
(184080,124353,'Wards group members (AE) collectively against 526 total points of ',100,1,0),
(184081,10124353,'Wards group members (AE) collectively against 526 total points of ',100,1,0),
(184082,81451,'When Equipped:',100,0,0),
(184083,81451,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(184084,81451,'Inflicts 77 - 144 magic damage on target',100,2,2),
(184085,81451,'Decreases Threat to target by 352 ',100,2,3),
(184086,81451,'Must be flanking or behind',100,3,4),
(184087,81451,'Increases Threat to target by 357 ',100,2,5),
(184088,81451,'Must be in front of',100,3,6),
(184089,81451,'Cannot be modified except by direct means',100,2,7),
(184090,10081451,'When Equipped:',100,0,0),
(184091,10081451,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(184092,10081451,'Inflicts 93 - 173 magic damage on target',100,2,2),
(184093,10081451,'Cannot be modified except by direct means',100,2,3),
(184094,72442,'When Equipped:',100,0,0),
(184095,72442,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184096,72442,'Inflicts 25 - 31 divine damage on target',100,2,2),
(184097,72442,'Cannot be modified except by direct means',100,2,3),
(184098,10072442,'When Equipped:',100,0,0),
(184099,10072442,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184100,10072442,'Inflicts 30 - 37 divine damage on target',100,2,2),
(184101,10072442,'Cannot be modified except by direct means',100,2,3),
(184102,124675,'Heals group members (AE) for 71 - 86 instantly and every 2 seconds',100,1,0),
(184103,10124675,'Heals group members (AE) for 46 - 56 instantly and every 2 seconds',100,1,0),
(184104,106132,'Inflicts 562 - 937 melee damage on target',100,1,0),
(184105,106132,'Decreases Defense, Parry and Deflection of target by 58.1',100,1,1),
(184106,10106132,'Inflicts 675 - 1125 melee damage on target',100,1,0),
(184107,10106132,'Decreases Defense, Parry and Deflection of target by 58.1',100,1,1),
(184108,43502,'When Equipped:',100,0,0),
(184109,43502,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(184110,43502,'Inflicts 1986 piercing damage on target',100,2,2),
(184111,43502,'Cannot be modified except by direct means',100,2,3),
(184112,43502,'Applies Diamond Etched Daggers when Activated.',100,0,4),
(184113,43502,'Summons 99 Diamond Etched Daggers',100,1,5),
(184114,43502,'Cannot be modified except by direct means',100,1,6),
(184115,43502,'The reuse time of Diamond Etched Daggers is 15 minutes',100,1,7),
(184116,10043502,'When Equipped:',100,0,0),
(184117,10043502,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(184118,10043502,'Inflicts 1192 piercing damage on target',100,2,2),
(184119,10043502,'Cannot be modified except by direct means',100,2,3),
(184120,10043502,'Applies Diamond Etched Daggers when Activated.',100,0,4),
(184121,10043502,'Summons 99 Diamond Etched Daggers',100,1,5),
(184122,10043502,'Cannot be modified except by direct means',100,1,6),
(184123,10043502,'The reuse time of Diamond Etched Daggers is 15 minutes',100,1,7),
(184124,139303,'When Equipped:',100,0,0),
(184125,139303,'This effect will not stack with itself.',100,1,1),
(184126,139303,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(184127,139303,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(184128,139303,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(184129,139303,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(184130,139303,'Must not be engaged in pvp combat',100,2,6),
(184131,139303,'Cannot be modified except by direct means',100,2,7),
(184132,139303,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(184133,139303,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(184134,139303,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(184135,139303,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(184136,139303,'Must not be engaged in pvp combat',100,2,12),
(184137,139303,'Cannot be modified except by direct means',100,2,13),
(184138,139303,'Must not be engaged in pvp combat',100,1,14),
(184139,10139303,'When Equipped:',100,0,0),
(184140,10139303,'This effect will not stack with itself.',100,1,1),
(184141,10139303,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(184142,10139303,'Inflicts 1518 - 1678 slashing damage on target',100,2,3),
(184143,10139303,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,4),
(184144,10139303,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(184145,10139303,'Must not be engaged in pvp combat',100,2,6),
(184146,10139303,'Cannot be modified except by direct means',100,2,7),
(184147,10139303,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(184148,10139303,'Inflicts 1518 - 1678 slashing damage on target',100,2,9),
(184149,10139303,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,10),
(184150,10139303,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(184151,10139303,'Must not be engaged in pvp combat',100,2,12),
(184152,10139303,'Cannot be modified except by direct means',100,2,13),
(184153,10139303,'Must not be engaged in pvp combat',100,1,14),
(184154,72158,'When Equipped:',100,0,0),
(184155,72158,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184156,72158,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(184157,72158,'Cannot be modified except by direct means',100,2,3),
(184158,10072158,'When Equipped:',100,0,0),
(184159,10072158,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184160,10072158,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(184161,10072158,'Cannot be modified except by direct means',100,2,3),
(184162,49181,'Applies Yha-lei Ferocity when Activated.',100,0,0),
(184163,49181,'Shapechanges the user into a Fishman, and provides a shield which damages any melee attacker.',100,1,1),
(184164,10049181,'Applies Yha-lei Ferocity when Activated.',100,0,0),
(184165,10049181,'Shapechanges the user into a Fishman, and provides a shield which damages any melee attacker.',100,1,1),
(184166,41195,'When Equipped:',100,0,0),
(184167,41195,'This effect will not stack with itself.',100,1,1),
(184168,41195,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(184169,41195,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(184170,41195,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(184171,41195,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(184172,41195,'Must not be engaged in pvp combat',100,2,6),
(184173,41195,'Cannot be modified except by direct means',100,2,7),
(184174,41195,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(184175,41195,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(184176,41195,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(184177,41195,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(184178,41195,'Must not be engaged in pvp combat',100,2,12),
(184179,41195,'Cannot be modified except by direct means',100,2,13),
(184180,41195,'Must not be engaged in pvp combat',100,1,14),
(184181,10041195,'When Equipped:',100,0,0),
(184182,10041195,'This effect will not stack with itself.',100,1,1),
(184183,10041195,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(184184,10041195,'Inflicts 1518 - 1678 slashing damage on target',100,2,3),
(184185,10041195,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,4),
(184186,10041195,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,5),
(184187,10041195,'Must not be engaged in pvp combat',100,2,6),
(184188,10041195,'Cannot be modified except by direct means',100,2,7),
(184189,10041195,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(184190,10041195,'Inflicts 1518 - 1678 slashing damage on target',100,2,9),
(184191,10041195,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,10),
(184192,10041195,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,11),
(184193,10041195,'Must not be engaged in pvp combat',100,2,12),
(184194,10041195,'Cannot be modified except by direct means',100,2,13),
(184195,10041195,'Must not be engaged in pvp combat',100,1,14),
(184196,117594,'Inflicts 704 - 1174 melee damage on target',100,1,0),
(184197,117594,'Decreases Parry of target by 81.3',100,1,1),
(184198,117594,'Must be in front of or flanking',100,1,2),
(184199,10117594,'Inflicts 845 - 1409 melee damage on target',100,1,0),
(184200,10117594,'Decreases Parry of target by 81.3',100,1,1),
(184201,10117594,'Must be in front of or flanking',100,1,2),
(184202,120994,'Inflicts 184 - 306 poison damage on target',100,1,0),
(184203,120994,'Inflicts 46 - 77 poison damage on target instantly and every 4 seconds',100,1,1),
(184204,10120994,'Inflicts 220 - 368 poison damage on target',100,1,0),
(184205,10120994,'Inflicts 55 - 92 poison damage on target instantly and every 4 seconds',100,1,1),
(184206,36263,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(184207,107588,'Dazes target encounter',100,1,0),
(184208,107588,'Inflicts 229 - 279 mental damage on target encounter',100,1,1),
(184209,107588,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(184210,107588,'Resistibility increases against targets higher than level 82.',100,1,3),
(184211,10107588,'Dazes target encounter',100,1,0),
(184212,10107588,'Inflicts 274 - 335 mental damage on target encounter',100,1,1),
(184213,10107588,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(184214,10107588,'Resistibility increases against targets higher than level 82.',100,1,3),
(184215,87406,'When Equipped:',100,0,0),
(184216,87406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184217,87406,'Inflicts 124 - 186 magic damage on target',100,2,2),
(184218,87406,'Cannot be modified except by direct means',100,2,3),
(184219,10087406,'When Equipped:',100,0,0),
(184220,10087406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184221,10087406,'Inflicts 149 - 223 magic damage on target',100,2,2),
(184222,10087406,'Cannot be modified except by direct means',100,2,3),
(184223,46258,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(184224,46258,'Wards caster against 1293 points of elemental damage',100,1,1),
(184225,10046258,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(184226,10046258,'Wards caster against 1293 points of elemental damage',100,1,1),
(184227,104430,'Interrupts target encounter',100,1,0),
(184228,104430,'Applies Stumble on termination.',100,1,1),
(184229,104430,'Interrupts target',100,2,2),
(184230,104430,'Inflicts 12 - 14 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(184231,10104430,'Interrupts target encounter',100,1,0),
(184232,10104430,'Applies Stumble on termination.',100,1,1),
(184233,10104430,'Interrupts target',100,2,2),
(184234,10104430,'Inflicts 14 - 17 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(184235,71560,'When Equipped:',100,0,0),
(184236,71560,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184237,71560,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(184238,71560,'Cannot be modified except by direct means',100,2,3),
(184239,10071560,'When Equipped:',100,0,0),
(184240,10071560,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184241,10071560,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(184242,10071560,'Cannot be modified except by direct means',100,2,3),
(184243,101930,'Inflicts 59 piercing damage on target instantly and every 4 seconds',100,1,0),
(184244,101930,'Inflicts 176 - 294 melee damage on target',100,1,1),
(184245,101930,'Must be behind',100,1,2),
(184246,10101930,'Inflicts 71 piercing damage on target instantly and every 4 seconds',100,1,0),
(184247,10101930,'Inflicts 212 - 353 melee damage on target',100,1,1),
(184248,10101930,'Must be behind',100,1,2),
(184249,109646,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(184250,109646,'Inflicts 19 - 35 poison damage on target encounter',100,2,1),
(184251,10109646,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(184252,10109646,'Inflicts 23 - 42 poison damage on target encounter',100,2,1),
(184253,117142,'Decreases Mitigation of target vs arcane damage by 715',100,1,0),
(184254,117142,'Inflicts 137 - 168 heat damage on target instantly and every 4 seconds',100,1,1),
(184255,10117142,'Decreases Mitigation of target vs arcane damage by 715',100,1,0),
(184256,10117142,'Inflicts 165 - 201 heat damage on target instantly and every 4 seconds',100,1,1),
(184257,35809,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(184258,35944,'Increases STR of target by 1.5',100,0,0),
(184259,35944,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(184260,110393,'Increases STR and AGI of group members (AE) by 88.4',100,1,0),
(184261,110393,'Adds 1.9% to base avoidance.',100,1,1),
(184262,10110393,'Increases STR and AGI of group members (AE) by 88.4',100,1,0),
(184263,10110393,'Adds 1.9% to base avoidance.',100,1,1),
(184264,116331,'Stuns target',100,1,0),
(184265,116331,'If Target is not Epic',100,2,1),
(184266,116331,'Inflicts 948 - 1158 magic damage on target',100,1,2),
(184267,116331,'Resistibility increases against targets higher than level 121.',100,1,3),
(184268,10116331,'Stuns target',100,1,0),
(184269,10116331,'If Target is not Epic',100,2,1),
(184270,10116331,'Inflicts 1137 - 1390 magic damage on target',100,1,2),
(184271,10116331,'Resistibility increases against targets higher than level 121.',100,1,3),
(184272,121256,'Inflicts 959 - 1172 heat damage on target encounter',100,1,0),
(184273,10121256,'Inflicts 1151 - 1407 heat damage on target encounter',100,1,0),
(184274,136223,'When Equipped:',100,0,0),
(184275,136223,'Increases Attack Speed of caster by 30.0',100,1,1),
(184276,10136223,'When Equipped:',100,0,0),
(184277,10136223,'Increases Attack Speed of caster by 30.0',100,1,1),
(184278,112032,'Roots target',100,1,0),
(184279,112032,'Stifles target',100,1,1),
(184280,112032,'If Target is not Epic',100,2,2),
(184281,112032,'20% chance to dispel when target takes damage',100,1,3),
(184282,112032,'Does not affect Epic targets',100,1,4),
(184283,112032,'Resistibility increases against targets higher than level 68.',100,1,5),
(184284,10112032,'Roots target',100,1,0),
(184285,10112032,'Stifles target',100,1,1),
(184286,10112032,'If Target is not Epic',100,2,2),
(184287,10112032,'20% chance to dispel when target takes damage',100,1,3),
(184288,10112032,'Does not affect Epic targets',100,1,4),
(184289,10112032,'Resistibility increases against targets higher than level 68.',100,1,5),
(184290,107892,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(184291,107892,'Slows target by 61.4%',100,2,1),
(184292,107892,'5% chance to dispel when target receives hostile action',100,2,2),
(184293,107892,'5% chance to dispel when target takes damage',100,2,3),
(184294,107892,'Slows target encounter by 73.7%',100,1,4),
(184295,107892,'5% chance to dispel when target takes damage',100,1,5),
(184296,10107892,'Slows target encounter by 73.7%',100,1,0),
(184297,10107892,'5% chance to dispel when target takes damage',100,1,1),
(184298,116624,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(184299,116624,'Increases Mitigation of group members (AE) vs arcane damage by 308',100,1,1),
(184300,10116624,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(184301,10116624,'Increases Mitigation of group members (AE) vs arcane damage by 308',100,1,1),
(184302,114460,'Inflicts 233 - 389 heat damage on target',100,1,0),
(184303,10114460,'Inflicts 280 - 467 heat damage on target',100,1,0),
(184304,48577,'Applies Token of Thurgadin Loyalty when Activated.  Lasts for 1.0 second.',100,0,0),
(184305,48577,'Using this token will grant the user maximum faction with the City of Thurgadin!',100,1,1),
(184306,10048577,'Applies Token of Thurgadin Loyalty when Activated.  Lasts for 1.0 second.',100,0,0),
(184307,10048577,'Using this token will grant the user maximum faction with the City of Thurgadin!',100,1,1),
(184308,116997,'Inflicts 11 - 35 melee damage on target',100,1,0),
(184309,10116997,'Inflicts 14 - 42 melee damage on target',100,1,0),
(184310,107135,'Inflicts 206 - 252 divine damage on target',100,1,0),
(184311,107135,'Inflicts 206 - 252 divine damage on target',100,1,1),
(184312,107135,'If target is undead',100,2,2),
(184313,10107135,'Inflicts 247 - 302 divine damage on target',100,1,0),
(184314,10107135,'Inflicts 247 - 302 divine damage on target',100,1,1),
(184315,45528,'Applies Call the Lad when Activated.  Lasts for 45.0 seconds.',100,0,0),
(184316,45528,'Summons a limited pet to aid the caster',100,1,1),
(184317,10045528,'Applies Call the Lad when Activated.  Lasts for 45.0 seconds.',100,0,0),
(184318,10045528,'Summons a limited pet to aid the caster',100,1,1),
(184319,105351,'Inflicts 420 - 700 melee damage on target',100,1,0),
(184320,105351,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 786',100,1,1),
(184321,105351,'Must be flanking or behind',100,1,2),
(184322,10105351,'Inflicts 504 - 840 melee damage on target',100,1,0),
(184323,10105351,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 786',100,1,1),
(184324,10105351,'Must be flanking or behind',100,1,2),
(184325,81283,'When Equipped:',100,0,0),
(184326,81283,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(184327,81283,'Decreases Threat to target by 949 ',100,2,2),
(184328,81283,'Must be flanking or behind',100,3,3),
(184329,81283,'Increases Threat to target by 954 ',100,2,4),
(184330,81283,'Must be in front of',100,3,5),
(184331,81283,'Inflicts 193 - 358 magic damage on target',100,2,6),
(184332,81283,'Cannot be modified except by direct means',100,2,7),
(184333,10081283,'When Equipped:',100,0,0),
(184334,10081283,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(184335,10081283,'Inflicts 231 - 430 magic damage on target',100,2,2),
(184336,10081283,'Cannot be modified except by direct means',100,2,3),
(184337,121309,'Inflicts 143 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(184338,121309,'Inflicts 471 - 786 melee damage on targets in area',100,1,1),
(184339,121309,'You must be in stealth or have Bloody Assault.',100,1,2),
(184340,10121309,'Inflicts 172 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(184341,10121309,'Inflicts 566 - 943 melee damage on targets in area',100,1,1),
(184342,10121309,'You must be in stealth or have Bloody Assault.',100,1,2),
(184343,124288,'Wards group members (AE) against 739 points of elemental damage',100,1,0),
(184344,124288,'Increases Mitigation of group members (AE) vs elemental damage by 464',100,1,1),
(184345,10124288,'Wards group members (AE) against 739 points of elemental damage',100,1,0),
(184346,10124288,'Increases Mitigation of group members (AE) vs elemental damage by 464',100,1,1),
(184347,48314,'Applies Superb Salve when Activated.',100,0,0),
(184348,48314,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(184349,10048314,'Applies Superb Salve when Activated.',100,0,0),
(184350,10048314,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(184351,106173,'Wards target against 32 points of all damage',100,1,0),
(184352,106173,'Decreases INT of target by 54.0',100,1,1),
(184353,106173,'Decreases Attack Speed of target by 25.0',100,1,2),
(184354,106173,'Increases Max Health of target by 11.0%',100,1,3),
(184355,106173,'Increases Hate Gain of target by 19.8%',100,1,4),
(184356,106173,'Increases Aggression of target by 4.6',100,1,5),
(184357,106173,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(184358,106173,'Increases Threat to target encounter by 40 - 48 ',100,2,7),
(184359,106173,'Increases Mitigation of target vs elemental, noxious and arcane damage by 308',100,1,8),
(184360,10106173,'Wards target against 32 points of all damage',100,1,0),
(184361,10106173,'Decreases INT of target by 54.0',100,1,1),
(184362,10106173,'Decreases Attack Speed of target by 25.0',100,1,2),
(184363,10106173,'Increases Max Health of target by 11.0%',100,1,3),
(184364,10106173,'Increases Aggression of target by 4.6',100,1,4),
(184365,10106173,'Increases Mitigation of target vs elemental, noxious and arcane damage by 308',100,1,5),
(184366,74966,'When Equipped:',100,0,0),
(184367,74966,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184368,74966,'Inflicts 108 - 163 magic damage on target',100,2,2),
(184369,74966,'Cannot be modified except by direct means',100,2,3),
(184370,10074966,'When Equipped:',100,0,0),
(184371,10074966,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184372,10074966,'Inflicts 130 - 195 magic damage on target',100,2,2),
(184373,10074966,'Cannot be modified except by direct means',100,2,3),
(184374,160870,'When Equipped:',100,0,0),
(184375,160870,'When any damage is received this spell has a 5% chance to cast Frost Gale on target''s attacker.  Lasts for 0.2 seconds.  ',100,1,1),
(184376,160870,'Inflicts 157 - 261 cold damage on targets in Area of Effect',100,2,2),
(184377,160870,'Throws target back',100,2,3),
(184378,160870,'Cannot be modified except by direct means',100,2,4),
(184379,10160870,'When Equipped:',100,0,0),
(184380,10160870,'When any damage is received this spell has a 5% chance to cast Frost Gale on target''s attacker.  Lasts for 0.2 seconds.  ',100,1,1),
(184381,10160870,'Inflicts 188 - 313 cold damage on targets in Area of Effect',100,2,2),
(184382,10160870,'Throws target back',100,2,3),
(184383,10160870,'Cannot be modified except by direct means',100,2,4),
(184384,71527,'When Equipped:',100,0,0),
(184385,71527,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184386,71527,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(184387,71527,'Cannot be modified except by direct means',100,2,3),
(184388,10071527,'When Equipped:',100,0,0),
(184389,10071527,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184390,10071527,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(184391,10071527,'Cannot be modified except by direct means',100,2,3),
(184392,112045,'Roots target',100,1,0),
(184393,112045,'Stifles target',100,1,1),
(184394,112045,'If Target is not Epic',100,2,2),
(184395,112045,'20% chance to dispel when target takes damage',100,1,3),
(184396,112045,'Does not affect Epic targets',100,1,4),
(184397,112045,'Resistibility increases against targets higher than level 106.',100,1,5),
(184398,10112045,'Roots target',100,1,0),
(184399,10112045,'Stifles target',100,1,1),
(184400,10112045,'If Target is not Epic',100,2,2),
(184401,10112045,'20% chance to dispel when target takes damage',100,1,3),
(184402,10112045,'Does not affect Epic targets',100,1,4),
(184403,10112045,'Resistibility increases against targets higher than level 106.',100,1,5),
(184404,124459,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(184405,124459,'Inflicts 229 - 382 melee damage on target',100,2,1),
(184406,124459,'Decreases Defense of caster by 21.8',100,1,2),
(184407,124459,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.0',100,1,3),
(184408,10124459,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(184409,10124459,'Inflicts 275 - 459 melee damage on target',100,2,1),
(184410,10124459,'Decreases Defense of caster by 21.8',100,1,2),
(184411,10124459,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.0',100,1,3),
(184412,183355,'When Equipped:',100,0,0),
(184413,183355,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(184414,183355,'Inflicts 88 heat damage on target',100,2,2),
(184415,183355,'Cannot be modified except by direct means',100,2,3),
(184416,10183355,'When Equipped:',100,0,0),
(184417,10183355,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(184418,10183355,'Inflicts 106 heat damage on target',100,2,2),
(184419,10183355,'Cannot be modified except by direct means',100,2,3),
(184420,159873,'When Equipped:',100,0,0),
(184421,159873,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184422,159873,'Increases WIS of caster by 17.3',100,2,2),
(184423,159873,'Increases Ministration, Ordination and Focus of caster by 9.8',100,2,3),
(184424,159873,'Cannot be modified except by direct means',100,2,4),
(184425,10159873,'When Equipped:',100,0,0),
(184426,10159873,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184427,10159873,'Increases WIS of caster by 17.3',100,2,2),
(184428,10159873,'Increases Ministration, Ordination and Focus of caster by 9.8',100,2,3),
(184429,10159873,'Cannot be modified except by direct means',100,2,4),
(184430,72117,'Applies Astral Blessing when Equipped.',100,0,0),
(184431,72117,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184432,72117,'Heals target for 442 instantly and every second',100,2,2),
(184433,72117,'Cannot be modified except by direct means',100,2,3),
(184434,72117,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(184435,72117,'Heals caster for 442 instantly and every second',100,2,5),
(184436,72117,'Cannot be modified except by direct means',100,2,6),
(184437,72117,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(184438,72117,'Heals caster for 442 instantly and every second',100,2,8),
(184439,72117,'Cannot be modified except by direct means',100,2,9),
(184440,10072117,'Applies Astral Blessing when Equipped.',100,0,0),
(184441,10072117,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184442,10072117,'Heals target for 517 instantly and every second',100,2,2),
(184443,10072117,'Cannot be modified except by direct means',100,2,3),
(184444,10072117,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(184445,10072117,'Heals caster for 517 instantly and every second',100,2,5),
(184446,10072117,'Cannot be modified except by direct means',100,2,6),
(184447,10072117,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(184448,10072117,'Heals caster for 517 instantly and every second',100,2,8),
(184449,10072117,'Cannot be modified except by direct means',100,2,9),
(184450,107699,'Inflicts 92 - 153 heat damage on target',100,1,0),
(184451,107699,'You must be sneaking to use this ability.',100,1,1),
(184452,10107699,'Inflicts 110 - 184 heat damage on target',100,1,0),
(184453,10107699,'You must be sneaking to use this ability.',100,1,1),
(184454,105317,'Inflicts 15 - 25 melee damage on target',100,1,0),
(184455,105317,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 59',100,1,1),
(184456,105317,'Must be flanking or behind',100,1,2),
(184457,10105317,'Inflicts 18 - 30 melee damage on target',100,1,0),
(184458,10105317,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 59',100,1,1),
(184459,10105317,'Must be flanking or behind',100,1,2),
(184460,75543,'Applies Disease Blast when Activated.',100,0,0),
(184461,75543,'Inflicts 85 - 142 disease damage on target',100,1,1),
(184462,75543,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(184463,10075543,'Applies Disease Blast when Activated.',100,0,0),
(184464,10075543,'Inflicts 102 - 171 disease damage on target',100,1,1),
(184465,10075543,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(184466,117992,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(184467,117992,'Increases Attack Speed of target by 22.3',100,2,1),
(184468,117992,'Increases Damage Per Second of target by 22.3',100,2,2),
(184469,117992,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(184470,117992,'Increases Attack Speed of target by 22.3',100,2,4),
(184471,117992,'Increases Damage Per Second of target by 22.3',100,2,5),
(184472,117992,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(184473,117992,'Increases Attack Speed of target by 22.3',100,2,7),
(184474,117992,'Increases Damage Per Second of target by 22.3',100,2,8),
(184475,10117992,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(184476,10117992,'Increases Attack Speed of target by 22.3',100,2,1),
(184477,10117992,'Increases Damage Per Second of target by 22.3',100,2,2),
(184478,10117992,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(184479,10117992,'Increases Attack Speed of target by 22.3',100,2,4),
(184480,10117992,'Increases Damage Per Second of target by 22.3',100,2,5),
(184481,10117992,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(184482,10117992,'Increases Attack Speed of target by 22.3',100,2,7),
(184483,10117992,'Increases Damage Per Second of target by 22.3',100,2,8),
(184484,111486,'Increases AGI of caster by 40.8',100,1,0),
(184485,111486,'Increases Attack Speed of caster by 23.5',100,1,1),
(184486,111486,'Increases in-combat movement speed of caster by 4.7%',100,1,2),
(184487,111486,'Adds 14.8% to base avoidance.',100,1,3),
(184488,111486,'Increases Mitigation of caster vs physical damage by 366',100,1,4),
(184489,111486,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,5),
(184490,10111486,'Increases AGI of caster by 40.8',100,1,0),
(184491,10111486,'Increases Attack Speed of caster by 23.5',100,1,1),
(184492,10111486,'Increases speed of caster by 4.7%',100,1,2),
(184493,10111486,'Adds 14.8% to base avoidance.',100,1,3),
(184494,10111486,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,4),
(184495,52728,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(184496,52728,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(184497,52728,'Inflicts 24 heat damage on target',100,2,2),
(184498,52728,'Cannot be modified except by direct means',100,2,3),
(184499,10052728,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(184500,10052728,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(184501,10052728,'Inflicts 29 heat damage on target',100,2,2),
(184502,10052728,'Cannot be modified except by direct means',100,2,3),
(184503,47389,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(184504,47389,'This potion will grant you the illusion of being a fauna stalker!',100,1,1),
(184505,10047389,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(184506,10047389,'This potion will grant you the illusion of being a fauna stalker!',100,1,1),
(184507,75453,'When Equipped:',100,0,0),
(184508,75453,'On a critical combat hit this spell may cast Endless Wounds III on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184509,75453,'Inflicts 2 cold damage on target',100,2,2),
(184510,75453,'Inflicts 3 cold damage on target every 2 seconds',100,2,3),
(184511,75453,'Inflicts an additional 1 cold damage on target every tick',100,2,4),
(184512,75453,'Must not be engaged in pvp combat',100,2,5),
(184513,75453,'Cannot be modified except by direct means',100,2,6),
(184514,75453,'On a critical spell hit this spell may cast Endless Wounds III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(184515,75453,'Inflicts 2 cold damage on target',100,2,8),
(184516,75453,'Inflicts 3 cold damage on target every 2 seconds',100,2,9),
(184517,75453,'Inflicts an additional 1 cold damage on target every tick',100,2,10),
(184518,75453,'Must not be engaged in pvp combat',100,2,11),
(184519,75453,'Cannot be modified except by direct means',100,2,12),
(184520,75453,'Must not be engaged in pvp combat',100,1,13),
(184521,10075453,'When Equipped:',100,0,0),
(184522,10075453,'On a critical combat hit this spell may cast Endless Wounds III on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184523,10075453,'Inflicts 3 cold damage on target',100,2,2),
(184524,10075453,'Inflicts 3 - 4 cold damage on target every 2 seconds',100,2,3),
(184525,10075453,'Inflicts an additional 1 cold damage on target every tick',100,2,4),
(184526,10075453,'Must not be engaged in pvp combat',100,2,5),
(184527,10075453,'Cannot be modified except by direct means',100,2,6),
(184528,10075453,'On a critical spell hit this spell may cast Endless Wounds III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(184529,10075453,'Inflicts 3 cold damage on target',100,2,8),
(184530,10075453,'Inflicts 3 - 4 cold damage on target every 2 seconds',100,2,9),
(184531,10075453,'Inflicts an additional 1 cold damage on target every tick',100,2,10),
(184532,10075453,'Must not be engaged in pvp combat',100,2,11),
(184533,10075453,'Cannot be modified except by direct means',100,2,12),
(184534,10075453,'Must not be engaged in pvp combat',100,1,13),
(184535,109234,'Increases INT and WIS of group members (AE) by 13.9',100,1,0),
(184536,109234,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 39',100,1,1),
(184537,10109234,'Increases INT and WIS of group members (AE) by 13.9',100,1,0),
(184538,10109234,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 39',100,1,1),
(184539,180562,'When Equipped:',100,0,0),
(184540,180562,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(184541,180562,'Decreases power of target by 234',100,2,2),
(184542,180562,'Increases power of caster by 142',100,2,3),
(184543,180562,'Cannot be modified except by direct means',100,2,4),
(184544,10180562,'When Equipped:',100,0,0),
(184545,10180562,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(184546,10180562,'Decreases power of target by 234',100,2,2),
(184547,10180562,'Increases power of caster by 142',100,2,3),
(184548,10180562,'Cannot be modified except by direct means',100,2,4),
(184549,177731,'When Equipped:',100,0,0),
(184550,177731,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(184551,177731,'Increases AGI of caster by 8.8',100,2,2),
(184552,177731,'Increases Attack Speed of caster by 13.2',100,2,3),
(184553,177731,'Cannot be modified except by direct means',100,2,4),
(184554,10177731,'When Equipped:',100,0,0),
(184555,10177731,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(184556,10177731,'Increases AGI of caster by 8.8',100,2,2),
(184557,10177731,'Increases Attack Speed of caster by 13.2',100,2,3),
(184558,10177731,'Cannot be modified except by direct means',100,2,4),
(184559,115434,'Inflicts 32 - 39 mental damage on target instantly and every 6 seconds',100,1,0),
(184560,115434,'Decreases Mitigation of target vs arcane damage by 336',100,1,1),
(184561,10115434,'Inflicts 38 - 47 mental damage on target instantly and every 6 seconds',100,1,0),
(184562,10115434,'Decreases Mitigation of target vs arcane damage by 336',100,1,1),
(184563,72260,'When Equipped:',100,0,0),
(184564,72260,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184565,72260,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(184566,72260,'Cannot be modified except by direct means',100,2,3),
(184567,10072260,'When Equipped:',100,0,0),
(184568,10072260,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184569,10072260,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(184570,10072260,'Cannot be modified except by direct means',100,2,3),
(184571,108241,'Inflicts 200 - 600 piercing damage on target',100,1,0),
(184572,108241,'Decreases Slashing, Crushing, Piercing and Ranged of target by 31.5',100,1,1),
(184573,10108241,'Inflicts 240 - 720 piercing damage on target',100,1,0),
(184574,10108241,'Decreases Slashing, Crushing, Piercing and Ranged of target by 31.5',100,1,1),
(184575,46184,'Applies Call of Rime! when Activated.  Lasts for 30.0 seconds.',100,0,0),
(184576,46184,'Shapechanges caster into an an ice badger',100,1,1),
(184577,46184,'Applies Call of Rime.',100,1,2),
(184578,46184,'Teleports caster to a random zone location',100,2,3),
(184579,10046184,'Applies Call of Rime! when Activated.  Lasts for 30.0 seconds.',100,0,0),
(184580,10046184,'Shapechanges caster into an an ice badger',100,1,1),
(184581,10046184,'Applies Call of Rime.',100,1,2),
(184582,10046184,'Teleports caster to a random zone location',100,2,3),
(184583,141973,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(184584,141973,'Decreases Mitigation of target vs physical damage by 450',100,1,1),
(184585,141973,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(184586,10141973,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(184587,10141973,'Decreases Mitigation of target vs physical damage by 450',100,1,1),
(184588,10141973,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(184589,120413,'Decreases Defense of caster by 27.0',100,1,0),
(184590,120413,'Increases Crushing and Ranged of caster by 45.4',100,1,1),
(184591,120413,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(184592,120413,'Inflicts 295 - 491 heat damage on target',100,2,3),
(184593,120413,'Increases Slashing and Piercing of caster by 45.4',100,1,4),
(184594,10120413,'Decreases Defense of caster by 27.0',100,1,0),
(184595,10120413,'Increases Crushing and Ranged of caster by 45.4',100,1,1),
(184596,10120413,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(184597,10120413,'Inflicts 353 - 589 heat damage on target',100,2,3),
(184598,10120413,'Increases Slashing and Piercing of caster by 45.4',100,1,4),
(184599,115759,'Inflicts 81 - 135 melee damage on target',100,1,0),
(184600,10115759,'Inflicts 97 - 162 melee damage on target',100,1,0),
(184601,107463,'Increases Defense of group members'' pets (AE) by 2.2',100,1,0),
(184602,107463,'Increases Mitigation of group members (AE) vs all damage by 42',100,1,1),
(184603,10107463,'Increases Defense of group members'' pets (AE) by 2.2',100,1,0),
(184604,10107463,'Increases Mitigation of group members (AE) vs all damage by 42',100,1,1),
(184605,107571,'Inflicts 49 - 60 mental damage on target',100,1,0),
(184606,107571,'Roots target',100,1,1),
(184607,107571,'5% chance to dispel when target takes damage',100,1,2),
(184608,107571,'5% chance to dispel when target receives hostile action',100,1,3),
(184609,107571,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(184610,107571,'Resistibility increases against targets higher than level 40.',100,1,5),
(184611,10107571,'Inflicts 59 - 72 mental damage on target',100,1,0),
(184612,10107571,'Roots target',100,1,1),
(184613,10107571,'5% chance to dispel when target takes damage',100,1,2),
(184614,10107571,'5% chance to dispel when target receives hostile action',100,1,3),
(184615,10107571,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(184616,10107571,'Resistibility increases against targets higher than level 40.',100,1,5),
(184617,82481,'When Equipped:',100,0,0),
(184618,82481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184619,82481,'Inflicts 122 - 226 magic damage on target',100,2,2),
(184620,82481,'Cannot be modified except by direct means',100,2,3),
(184621,10082481,'When Equipped:',100,0,0),
(184622,10082481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184623,10082481,'Inflicts 146 - 272 magic damage on target',100,2,2),
(184624,10082481,'Cannot be modified except by direct means',100,2,3),
(184625,104439,'Interrupts target encounter',100,1,0),
(184626,104439,'Applies Stumble on termination.',100,1,1),
(184627,104439,'Interrupts target',100,2,2),
(184628,104439,'Inflicts 34 - 41 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(184629,10104439,'Interrupts target encounter',100,1,0),
(184630,10104439,'Applies Stumble on termination.',100,1,1),
(184631,10104439,'Interrupts target',100,2,2),
(184632,10104439,'Inflicts 40 - 49 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(184633,110261,'Inflicts 249 - 415 melee damage on target',100,1,0),
(184634,110261,'Slows target by 56.4%',100,1,1),
(184635,110261,'5% chance to dispel when target receives hostile action',100,1,2),
(184636,110261,'5% chance to dispel when target takes damage',100,1,3),
(184637,10110261,'Inflicts 299 - 499 melee damage on target',100,1,0),
(184638,10110261,'Slows target by 56.4%',100,1,1),
(184639,10110261,'5% chance to dispel when target receives hostile action',100,1,2),
(184640,10110261,'5% chance to dispel when target takes damage',100,1,3),
(184641,100617,'Transfers 18% of target''s current Threat to the caster',100,1,0),
(184642,10100617,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(184643,10100617,'10% of all damage received by the caster is prevented.',100,2,1),
(184644,10100617,'This effect can only trigger once every 5 seconds.',100,2,2),
(184645,80754,'When Equipped:',100,0,0),
(184646,80754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184647,80754,'Inflicts 132 - 246 magic damage on target',100,2,2),
(184648,80754,'Cannot be modified except by direct means',100,2,3),
(184649,10080754,'When Equipped:',100,0,0),
(184650,10080754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184651,10080754,'Inflicts 159 - 295 magic damage on target',100,2,2),
(184652,10080754,'Cannot be modified except by direct means',100,2,3),
(184653,45711,'Applies Refreshing Elixir  when Activated.',100,0,0),
(184654,45711,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(184655,10045711,'Applies Refreshing Elixir  when Activated.',100,0,0),
(184656,10045711,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(184657,111972,'Inflicts 274 - 335 disease damage on target',100,1,0),
(184658,111972,'Decreases Mitigation of target vs noxious damage by 708',100,1,1),
(184659,10111972,'Inflicts 423 - 517 disease damage on target',100,1,0),
(184660,10111972,'Decreases Mitigation of target vs noxious damage by 708',100,1,1),
(184661,51670,'When Equipped:',100,0,0),
(184662,51670,'When damaged with a melee weapon this spell has a 10% chance to cast Electrified Barrier on target''s attacker.  ',100,1,1),
(184663,51670,'Inflicts 114 magic damage on target',100,2,2),
(184664,51670,'Cannot be modified except by direct means',100,2,3),
(184665,10051670,'When Equipped:',100,0,0),
(184666,10051670,'When damaged with a melee weapon this spell has a 10% chance to cast Electrified Barrier on target''s attacker.  ',100,1,1),
(184667,10051670,'Inflicts 137 magic damage on target',100,2,2),
(184668,10051670,'Cannot be modified except by direct means',100,2,3),
(184669,165737,'Applies Noggin Spark when Activated.',100,0,0),
(184670,165737,'Increases power of caster by 73',100,1,1),
(184671,165737,'The casting time of Noggin Spark is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(184672,10165737,'Applies Noggin Spark when Activated.',100,0,0),
(184673,10165737,'Increases power of caster by 73',100,1,1),
(184674,10165737,'The casting time of Noggin Spark is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(184675,119586,'Increases power of caster by 36 instantly and every 4 seconds',100,1,0),
(184676,10119586,'Increases power of caster by 36 instantly and every 4 seconds',100,1,0),
(184677,114908,'Inflicts 126 - 210 melee damage on target',100,1,0),
(184678,114908,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 560',100,1,1),
(184679,114908,'Must be behind',100,1,2),
(184680,10114908,'Inflicts 151 - 252 melee damage on target',100,1,0),
(184681,10114908,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 280',100,1,1),
(184682,10114908,'Must be behind',100,1,2),
(184683,184777,'When Equipped:',100,0,0),
(184684,184777,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184685,184777,'Increases Ability Modifier of caster by 300.0',100,2,2),
(184686,184777,'Cannot be modified except by direct means',100,2,3),
(184687,184777,'When Equipped:',100,0,4),
(184688,184777,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,5),
(184689,184777,'Decreases power of target by 152',100,2,6),
(184690,184777,'Increases power of caster by 101',100,2,7),
(184691,184777,'Cannot be modified except by direct means',100,2,8),
(184692,10184777,'When Equipped:',100,0,0),
(184693,10184777,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184694,10184777,'Increases Ability Modifier of caster by 300.0',100,2,2),
(184695,10184777,'Cannot be modified except by direct means',100,2,3),
(184696,10184777,'When Equipped:',100,0,4),
(184697,10184777,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,5),
(184698,10184777,'Decreases power of target by 152',100,2,6),
(184699,10184777,'Increases power of caster by 101',100,2,7),
(184700,10184777,'Cannot be modified except by direct means',100,2,8),
(184701,122041,'Increases Threat to target by 296 - 361 ',100,1,0),
(184702,122041,'Inflicts 31 - 52 melee damage on target',100,1,1),
(184703,10122041,'Forces target to change their selected target to caster.',100,1,0),
(184704,10122041,'Inflicts 37 - 62 melee damage on target',100,1,1),
(184705,36673,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(184706,101141,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(184707,101141,'Inflicts 185 ranged damage on target',100,2,1),
(184708,101141,'Decreases Defense of caster by 13.5',100,1,2),
(184709,101141,'Increases Crushing, Piercing, Ranged and Slashing of caster by 24.3',100,1,3),
(184710,10101141,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(184711,10101141,'Inflicts 157 ranged damage on target',100,2,1),
(184712,10101141,'Decreases Defense of caster by 13.5',100,1,2),
(184713,10101141,'Increases Crushing, Piercing, Ranged and Slashing of caster by 24.3',100,1,3),
(184714,160008,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(184715,160008,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(184716,160008,'Inflicts 128 heat damage on target',100,2,2),
(184717,160008,'Cannot be modified except by direct means',100,2,3),
(184718,10160008,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(184719,10160008,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(184720,10160008,'Inflicts 153 heat damage on target',100,2,2),
(184721,10160008,'Cannot be modified except by direct means',100,2,3),
(184722,109894,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(184723,109894,'Inflicts 39 - 48 poison damage on target instantly and every 4 seconds',100,2,1),
(184724,10109894,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(184725,10109894,'Inflicts 47 - 58 poison damage on target instantly and every 4 seconds',100,2,1),
(184726,47208,'Applies Elixir of Sharpness  when Activated.  Lasts for 30 minutes.',100,0,0),
(184727,47208,'Increases AGI of caster by 31.0',100,1,1),
(184728,10047208,'Applies Elixir of Sharpness  when Activated.  Lasts for 30 minutes.',100,0,0),
(184729,10047208,'Increases AGI of caster by 31.0',100,1,1),
(184730,173413,'When Equipped:',100,0,0),
(184731,173413,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(184732,10173413,'When Equipped:',100,0,0),
(184733,10173413,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(184734,111062,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(184735,111062,'Slows target by 48.4%',100,2,1),
(184736,111062,'5% chance to dispel when target receives hostile action',100,2,2),
(184737,111062,'5% chance to dispel when target takes damage',100,2,3),
(184738,111062,'Decreases Mitigation of target vs elemental damage by 644',100,1,4),
(184739,10111062,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(184740,10111062,'Slows target by 48.4%',100,2,1),
(184741,10111062,'5% chance to dispel when target receives hostile action',100,2,2),
(184742,10111062,'5% chance to dispel when target takes damage',100,2,3),
(184743,10111062,'Decreases Mitigation of target vs elemental damage by 644',100,1,4),
(184744,160011,'Applies Sanguine Imbued when Equipped.',100,0,0),
(184745,160011,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(184746,160011,'Inflicts 160 heat damage on target',100,2,2),
(184747,160011,'Cannot be modified except by direct means',100,2,3),
(184748,10160011,'Applies Sanguine Imbued when Equipped.',100,0,0),
(184749,10160011,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(184750,10160011,'Inflicts 192 heat damage on target',100,2,2),
(184751,10160011,'Cannot be modified except by direct means',100,2,3),
(184752,24073,'Adds Chardok: Bone Chandelier to your Dungeon Maker toolbox',100,0,0),
(184753,10024073,'Adds Chardok: Bone Chandelier to your Dungeon Maker toolbox',100,0,0),
(184754,167529,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(184755,167529,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(184756,167529,'Cannot be modified except by direct means',100,1,2),
(184757,10167529,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(184758,10167529,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(184759,10167529,'Cannot be modified except by direct means',100,1,2),
(184760,123776,'Decreases Mitigation of target vs noxious damage by 1300',100,1,0),
(184761,123776,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(184762,123776,'Slows target by 43.0%',100,2,2),
(184763,123776,'5% chance to dispel when target receives hostile action',100,2,3),
(184764,123776,'5% chance to dispel when target takes damage',100,2,4),
(184765,10123776,'Decreases Mitigation of target vs noxious damage by 1300',100,1,0),
(184766,10123776,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(184767,10123776,'Slows target by 43.0%',100,2,2),
(184768,10123776,'5% chance to dispel when target receives hostile action',100,2,3),
(184769,10123776,'5% chance to dispel when target takes damage',100,2,4),
(184770,105583,'Decreases power of target encounter by 22 - 27 instantly and every 3 seconds',100,1,0),
(184771,105583,'Inflicts 52 - 97 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(184772,105583,'Heals group members (AE) for 26 - 49 instantly and every 3 seconds',100,1,2),
(184773,105583,'Increases power of group members (AE) by 10 instantly and every 3 seconds',100,1,3),
(184774,10105583,'Decreases power of target encounter by 22 - 27 instantly and every 3 seconds',100,1,0),
(184775,10105583,'Inflicts 63 - 117 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(184776,10105583,'Heals group members (AE) for 17 - 32 instantly and every 3 seconds',100,1,2),
(184777,10105583,'Increases power of group members (AE) by 10 instantly and every 3 seconds',100,1,3),
(184778,111097,'Heals target for 213 - 261',100,1,0),
(184779,111097,'This effect cannot be critically applied.',100,2,1),
(184780,111097,'Increases Mitigation of target vs physical damage by 93',100,1,2),
(184781,111097,'The healing of this spell cannot be modified except by direct means',100,1,3),
(184782,10111097,'Heals target for 78 - 95',100,1,0),
(184783,10111097,'This effect cannot be critically applied.',100,2,1),
(184784,10111097,'Increases Mitigation of target vs physical damage by 93',100,1,2),
(184785,10111097,'The healing of this spell cannot be modified except by direct means',100,1,3),
(184786,112191,'Increases STR of caster by 103.8',100,1,0),
(184787,112191,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2465',100,1,1),
(184788,112191,'Increases Mitigation of caster vs physical damage by 664',100,1,2),
(184789,10112191,'Increases STR of caster by 103.8',100,1,0),
(184790,10112191,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2465',100,1,1),
(184791,10112191,'Increases Mitigation of caster vs physical damage by 664',100,1,2),
(184792,121614,'Inflicts 137 - 412 melee damage on target',100,1,0),
(184793,121614,'Dazes target',100,1,1),
(184794,121614,'If Target is not Epic',100,2,2),
(184795,121614,'Must be flanking or behind',100,1,3),
(184796,121614,'Resistibility increases against targets higher than level 61.',100,1,4),
(184797,10121614,'Inflicts 165 - 495 melee damage on target',100,1,0),
(184798,10121614,'Dazes target',100,1,1),
(184799,10121614,'If Target is not Epic',100,2,2),
(184800,10121614,'Must be flanking or behind',100,1,3),
(184801,10121614,'Resistibility increases against targets higher than level 61.',100,1,4),
(184802,83869,'When Equipped:',100,0,0),
(184803,83869,'On a spell cast this spell may cast Lethargy on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184804,83869,'Decreases Damage Per Second of targets in Area of Effect by 18.0',100,2,2),
(184805,83869,'Cannot be modified except by direct means',100,2,3),
(184806,10083869,'When Equipped:',100,0,0),
(184807,10083869,'On a spell cast this spell may cast Lethargy on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(184808,10083869,'Decreases Damage Per Second of targets in Area of Effect by 18.0',100,2,2),
(184809,10083869,'Cannot be modified except by direct means',100,2,3),
(184810,46897,'Applies Place Pie when Activated.',100,0,0),
(184811,10046897,'Applies Place Pie when Activated.',100,0,0),
(184812,81773,'When Equipped:',100,0,0),
(184813,81773,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184814,81773,'Inflicts 105 - 195 magic damage on target',100,2,2),
(184815,81773,'Cannot be modified except by direct means',100,2,3),
(184816,10081773,'When Equipped:',100,0,0),
(184817,10081773,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184818,10081773,'Inflicts 126 - 234 magic damage on target',100,2,2),
(184819,10081773,'Cannot be modified except by direct means',100,2,3),
(184820,109903,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(184821,109903,'Inflicts 57 - 70 poison damage on target instantly and every 4 seconds',100,2,1),
(184822,10109903,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(184823,10109903,'Inflicts 68 - 84 poison damage on target instantly and every 4 seconds',100,2,1),
(184824,114066,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(184825,114066,'Grants stealth to caster',100,2,1),
(184826,114066,'Suspends caster''s movement speed enhancements',100,2,2),
(184827,114066,'Inflicts 196 - 327 melee damage on target',100,1,3),
(184828,114066,'Must be flanking or behind',100,1,4),
(184829,10114066,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(184830,10114066,'Grants stealth to caster',100,2,1),
(184831,10114066,'Suspends caster''s movement speed enhancements',100,2,2),
(184832,10114066,'Inflicts 353 - 588 melee damage on target',100,1,3),
(184833,10114066,'Must be flanking or behind',100,1,4),
(184834,35229,'Increases Max Health of target by 3.9',100,0,0),
(184835,35229,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(184836,116528,'Increases Mitigation of target vs physical damage by 328',100,1,0),
(184837,116528,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(184838,10116528,'Increases Mitigation of target vs physical damage by 328',100,1,0),
(184839,10116528,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(184840,124373,'Inflicts 264 - 323 divine damage on target',100,1,0),
(184841,124373,'Inflicts 110 - 134 divine damage on target every 4 seconds',100,1,1),
(184842,10124373,'Inflicts 317 - 387 divine damage on target',100,1,0),
(184843,10124373,'Inflicts 132 - 161 divine damage on target every 4 seconds',100,1,1),
(184844,112998,'Reduces physical damage done to caster by 5%',100,1,0),
(184845,112998,'Increases STA of caster by 99.9',100,1,1),
(184846,112998,'Adds 3.4% to base avoidance.',100,1,2),
(184847,112998,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(184848,112998,'Increases Defense and Aggression of caster by 19.1',100,1,4),
(184849,112998,'Increases Mitigation of caster vs arcane damage by 1276',100,1,5),
(184850,112998,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(184851,10112998,'Reduces physical damage done to caster by 5%',100,1,0),
(184852,10112998,'Increases STA of caster by 99.9',100,1,1),
(184853,10112998,'Adds 3.4% to base avoidance.',100,1,2),
(184854,10112998,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(184855,10112998,'Increases Defense and Aggression of caster by 19.1',100,1,4),
(184856,10112998,'Increases Mitigation of caster vs arcane damage by 1276',100,1,5),
(184857,10112998,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(184858,35084,'Increases INT of target by 1.5',100,0,0),
(184859,35084,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(184860,100745,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(184861,100745,'Wards target against 509 points of all damage',100,2,1),
(184862,100745,'Heals target for 414',100,2,2),
(184863,100745,'Increases power of target by 96 every 6 seconds',100,2,3),
(184864,100745,'Grants a total of 1 trigger of the spell.',100,2,4),
(184865,10100745,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(184866,10100745,'Wards target against 509 points of all damage',100,2,1),
(184867,10100745,'Heals target for 269',100,2,2),
(184868,10100745,'Increases power of target by 96 every 6 seconds',100,2,3),
(184869,10100745,'Grants a total of 1 trigger of the spell.',100,2,4),
(184870,122543,'Heals caster for 103',100,1,0),
(184871,122543,'Inflicts 155 - 258 melee damage on target',100,1,1),
(184872,10122543,'Heals caster for 67',100,1,0),
(184873,10122543,'Inflicts 186 - 310 melee damage on target',100,1,1),
(184874,81608,'When Equipped:',100,0,0),
(184875,81608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184876,81608,'Inflicts 98 - 181 magic damage on target',100,2,2),
(184877,81608,'Cannot be modified except by direct means',100,2,3),
(184878,10081608,'When Equipped:',100,0,0),
(184879,10081608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184880,10081608,'Inflicts 117 - 217 magic damage on target',100,2,2),
(184881,10081608,'Cannot be modified except by direct means',100,2,3),
(184882,107711,'Inflicts 250 - 416 heat damage on target',100,1,0),
(184883,107711,'You must be sneaking to use this ability.',100,1,1),
(184884,10107711,'Inflicts 300 - 500 heat damage on target',100,1,0),
(184885,10107711,'You must be sneaking to use this ability.',100,1,1),
(184886,106581,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(184887,106581,'Increases Parry of caster by 7.6',100,1,1),
(184888,10106581,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(184889,10106581,'Increases Parry of caster by 7.6',100,1,1),
(184890,116700,'Heals group members (AE) for 8.5 - 10.4% of max health',100,1,0),
(184891,116700,'This effect cannot be critically applied.',100,2,1),
(184892,116700,'Increases Max Health of group members (AE) by 777.7',100,1,2),
(184893,116700,'The healing of this spell cannot be modified except by direct means',100,1,3),
(184894,10116700,'Heals group members (AE) for 4.8 - 5.9% of max health',100,1,0),
(184895,10116700,'This effect cannot be critically applied.',100,2,1),
(184896,10116700,'Increases Max Health of group members (AE) by 777.7',100,1,2),
(184897,10116700,'The healing of this spell cannot be modified except by direct means',100,1,3),
(184898,72251,'When Equipped:',100,0,0),
(184899,72251,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184900,72251,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(184901,72251,'Cannot be modified except by direct means',100,2,3),
(184902,10072251,'When Equipped:',100,0,0),
(184903,10072251,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184904,10072251,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(184905,10072251,'Cannot be modified except by direct means',100,2,3),
(184906,111974,'Inflicts 228 - 279 disease damage on target',100,1,0),
(184907,111974,'Decreases Mitigation of target vs noxious damage by 590',100,1,1),
(184908,10111974,'Inflicts 352 - 431 disease damage on target',100,1,0),
(184909,10111974,'Decreases Mitigation of target vs noxious damage by 590',100,1,1),
(184910,86179,'When Equipped:',100,0,0),
(184911,86179,'On a combat hit this spell may cast Light Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184912,86179,'Inflicts 45 - 61 divine damage on target',100,2,2),
(184913,86179,'Inflicts 112 - 152 divine damage on target every 12 seconds',100,2,3),
(184914,86179,'If target is undead',100,3,4),
(184915,86179,'Cannot be modified except by direct means',100,2,5),
(184916,10086179,'When Equipped:',100,0,0),
(184917,10086179,'On a combat hit this spell may cast Light Strike on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184918,10086179,'Inflicts 54 - 73 divine damage on target',100,2,2),
(184919,10086179,'Inflicts 134 - 182 divine damage on target every 12 seconds',100,2,3),
(184920,10086179,'If target is undead',100,3,4),
(184921,10086179,'Cannot be modified except by direct means',100,2,5),
(184922,117452,'Inflicts 370 - 617 melee damage on target',100,1,0),
(184923,117452,'You must be sneaking to use this ability.',100,1,1),
(184924,117452,'Must be flanking or behind',100,1,2),
(184925,10117452,'Inflicts 275 - 459 melee damage on target',100,1,0),
(184926,10117452,'You must be sneaking to use this ability.',100,1,1),
(184927,10117452,'Must be flanking or behind',100,1,2),
(184928,71490,'When Equipped:',100,0,0),
(184929,71490,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184930,71490,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(184931,71490,'Cannot be modified except by direct means',100,2,3),
(184932,10071490,'When Equipped:',100,0,0),
(184933,10071490,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184934,10071490,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(184935,10071490,'Cannot be modified except by direct means',100,2,3),
(184936,113829,'Inflicts 178 - 296 disease damage on target',100,1,0),
(184937,10113829,'Inflicts 213 - 355 disease damage on target',100,1,0),
(184938,112018,'Inflicts 417 - 695 piercing damage on target',100,1,0),
(184939,10112018,'Inflicts 500 - 834 piercing damage on target',100,1,0),
(184940,24275,'Adds Dervish (Monk) to your Dungeon Maker toolbox',100,0,0),
(184941,10024275,'Adds Dervish (Monk) to your Dungeon Maker toolbox',100,0,0),
(184942,106627,'Inflicts 304 - 372 disease damage on target',100,1,0),
(184943,106627,'Heals caster for 5.1 - 6.3% of max health',100,1,1),
(184944,106627,'This effect cannot be critically applied.',100,2,2),
(184945,106627,'The healing of this spell cannot be modified except by direct means',100,1,3),
(184946,10106627,'Inflicts 365 - 446 disease damage on target',100,1,0),
(184947,10106627,'Heals caster for 1.7 - 2.1% of max health',100,1,1),
(184948,10106627,'This effect cannot be critically applied.',100,2,2),
(184949,10106627,'The healing of this spell cannot be modified except by direct means',100,1,3),
(184950,109603,'Increases Defense of group members'' pets (AE) by 5.4',100,1,0),
(184951,109603,'Increases Mitigation of group members (AE) vs all damage by 86',100,1,1),
(184952,10109603,'Increases Defense of group members'' pets (AE) by 5.4',100,1,0),
(184953,10109603,'Increases Mitigation of group members (AE) vs all damage by 86',100,1,1),
(184954,48323,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(184955,48323,'Increases Max Health of caster by 151.3',100,1,1),
(184956,10048323,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(184957,10048323,'Increases Max Health of caster by 151.3',100,1,1),
(184958,108815,'Inflicts 377 - 700 heat damage on targets in Area of Effect',100,1,0),
(184959,10108815,'Inflicts 452 - 840 heat damage on targets in Area of Effect',100,1,0),
(184960,72289,'When Equipped:',100,0,0),
(184961,72289,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184962,72289,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(184963,72289,'Cannot be modified except by direct means',100,2,3),
(184964,10072289,'When Equipped:',100,0,0),
(184965,10072289,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(184966,10072289,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(184967,10072289,'Cannot be modified except by direct means',100,2,3),
(184968,113972,'Inflicts 21 - 36 slashing damage on target',100,1,0),
(184969,113972,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(184970,10113972,'Inflicts 26 - 43 slashing damage on target',100,1,0),
(184971,10113972,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(184972,36004,'Increases Max Power of target by 3.3',100,0,0),
(184973,36004,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(184974,41544,'When Equipped:',100,0,0),
(184975,41544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184976,41544,'Inflicts 107 - 199 magic damage on target',100,2,2),
(184977,41544,'Cannot be modified except by direct means',100,2,3),
(184978,10041544,'When Equipped:',100,0,0),
(184979,10041544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184980,10041544,'Inflicts 128 - 238 magic damage on target',100,2,2),
(184981,10041544,'Cannot be modified except by direct means',100,2,3),
(184982,111779,'Heals caster for 30.2 - 37.0% of max health',100,1,0),
(184983,111779,'This effect cannot be critically applied.',100,2,1),
(184984,111779,'The healing of this spell cannot be modified except by direct means',100,1,2),
(184985,10111779,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(184986,10111779,'This effect cannot be critically applied.',100,2,1),
(184987,10111779,'The healing of this spell cannot be modified except by direct means',100,1,2),
(184988,74666,'When Equipped:',100,0,0),
(184989,74666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184990,74666,'Inflicts 42 - 64 magic damage on target',100,2,2),
(184991,74666,'Cannot be modified except by direct means',100,2,3),
(184992,10074666,'When Equipped:',100,0,0),
(184993,10074666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(184994,10074666,'Inflicts 51 - 76 magic damage on target',100,2,2),
(184995,10074666,'Cannot be modified except by direct means',100,2,3),
(184996,159806,'Applies Lambent Imbued when Equipped.',100,0,0),
(184997,159806,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(184998,159806,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(184999,159806,'Cannot be modified except by direct means',100,2,3),
(185000,10159806,'Applies Lambent Imbued when Equipped.',100,0,0),
(185001,10159806,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185002,10159806,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(185003,10159806,'Cannot be modified except by direct means',100,2,3),
(185004,131042,'Applies Illusion: Skeleton when Activated.',100,0,0),
(185005,131042,'Shapechanges caster into a skeleton',100,1,1),
(185006,10131042,'Applies Illusion: Skeleton when Activated.',100,0,0),
(185007,10131042,'Shapechanges caster into a skeleton',100,1,1),
(185008,82626,'When Equipped:',100,0,0),
(185009,82626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185010,82626,'Inflicts 75 - 140 magic damage on target',100,2,2),
(185011,82626,'Cannot be modified except by direct means',100,2,3),
(185012,10082626,'When Equipped:',100,0,0),
(185013,10082626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185014,10082626,'Inflicts 90 - 168 magic damage on target',100,2,2),
(185015,10082626,'Cannot be modified except by direct means',100,2,3),
(185016,46220,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(185017,46220,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(185018,46220,'Inflicts 408 poison damage on target',100,2,2),
(185019,46220,'Cannot be modified except by direct means',100,2,3),
(185020,46220,'Grants a total of 100 triggers of the spell.',100,2,4),
(185021,10046220,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(185022,10046220,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(185023,10046220,'Inflicts 367 poison damage on target',100,2,2),
(185024,10046220,'Cannot be modified except by direct means',100,2,3),
(185025,10046220,'Grants a total of 100 triggers of the spell.',100,2,4),
(185026,121764,'Heals target for 28 - 35',100,1,0),
(185027,121764,'Heals target for 5 - 6 every second',100,1,1),
(185028,10121764,'Heals target for 49 - 60',100,1,0),
(185029,10121764,'Heals target for 4 - 5 every second',100,1,1),
(185030,82925,'When Equipped:',100,0,0),
(185031,82925,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(185032,82925,'Decreases Threat to target by 833 ',100,2,2),
(185033,82925,'Must be flanking or behind',100,3,3),
(185034,82925,'Increases Threat to target by 838 ',100,2,4),
(185035,82925,'Must be in front of',100,3,5),
(185036,82925,'Inflicts 224 - 416 magic damage on target',100,2,6),
(185037,82925,'Cannot be modified except by direct means',100,2,7),
(185038,10082925,'When Equipped:',100,0,0),
(185039,10082925,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(185040,10082925,'Inflicts 269 - 499 magic damage on target',100,2,2),
(185041,10082925,'Cannot be modified except by direct means',100,2,3),
(185042,37362,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(185043,37362,'This effect suspends during combat',100,0,1),
(185044,108227,'Inflicts 126 - 380 piercing damage on target',100,1,0),
(185045,108227,'Decreases Slashing, Crushing, Piercing and Ranged of target by 22.7',100,1,1),
(185046,10108227,'Inflicts 152 - 456 piercing damage on target',100,1,0),
(185047,10108227,'Decreases Slashing, Crushing, Piercing and Ranged of target by 22.7',100,1,1),
(185048,112346,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(185049,112346,'Inflicts 141 - 236 piercing damage on target',100,2,1),
(185050,10112346,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(185051,10112346,'Inflicts 89 - 148 piercing damage on target',100,2,1),
(185052,107180,'Inflicts 78 - 130 divine damage on target',100,1,0),
(185053,107180,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(185054,107180,'Stuns target',100,2,2),
(185055,107180,'If Target is not Epic',100,3,3),
(185056,107180,'Inflicts 183 - 306 divine damage on target',100,2,4),
(185057,107180,'Inflicts 157 - 262 divine damage on target',100,2,5),
(185058,107180,'If target is undead',100,3,6),
(185059,10107180,'Inflicts 62 - 104 divine damage on target',100,1,0),
(185060,10107180,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(185061,10107180,'Stuns target',100,2,2),
(185062,10107180,'Inflicts 330 - 550 divine damage on target',100,2,3),
(185063,10107180,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(185064,89862,'When Equipped:',100,0,0),
(185065,89862,'On a combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(185066,89862,'Inflicts 511 - 1062 magic damage on target',100,2,2),
(185067,89862,'Heals caster for 341 - 707',100,2,3),
(185068,89862,'Cannot be modified except by direct means',100,2,4),
(185069,10089862,'When Equipped:',100,0,0),
(185070,10089862,'On a combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(185071,10089862,'Inflicts 614 - 1275 magic damage on target',100,2,2),
(185072,10089862,'Heals caster for 221 - 460',100,2,3),
(185073,10089862,'Cannot be modified except by direct means',100,2,4),
(185074,46988,'Applies Middling Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(185075,46988,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(185076,46988,'Inflicts 170 poison damage on target instantly and every 6 seconds',100,2,2),
(185077,46988,'Inflicts 65 poison damage on target',100,2,3),
(185078,46988,'Cannot be modified except by direct means',100,2,4),
(185079,46988,'Grants a total of 200 triggers of the spell.',100,2,5),
(185080,46988,'Only affects targets level 50 and above',100,1,6),
(185081,10046988,'Applies Middling Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(185082,10046988,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(185083,10046988,'Inflicts 58 poison damage on target',100,2,2),
(185084,10046988,'Inflicts 153 poison damage on target instantly and every 6 seconds',100,2,3),
(185085,10046988,'Cannot be modified except by direct means',100,2,4),
(185086,10046988,'Grants a total of 200 triggers of the spell.',100,2,5),
(185087,10046988,'Only affects targets level 50 and above',100,1,6),
(185088,81437,'When Equipped:',100,0,0),
(185089,81437,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(185090,81437,'Decreases Threat to target by 352 ',100,2,2),
(185091,81437,'Must be flanking or behind',100,3,3),
(185092,81437,'Increases Threat to target by 357 ',100,2,4),
(185093,81437,'Must be in front of',100,3,5),
(185094,81437,'Inflicts 77 - 144 magic damage on target',100,2,6),
(185095,81437,'Cannot be modified except by direct means',100,2,7),
(185096,10081437,'When Equipped:',100,0,0),
(185097,10081437,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(185098,10081437,'Inflicts 93 - 173 magic damage on target',100,2,2),
(185099,10081437,'Cannot be modified except by direct means',100,2,3),
(185100,138360,'When Equipped:',100,0,0),
(185101,138360,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185102,138360,'Wards target against 1000 points of all damage',100,2,2),
(185103,138360,'Cannot be modified except by direct means',100,2,3),
(185104,10138360,'When Equipped:',100,0,0),
(185105,10138360,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185106,10138360,'Wards target against 1000 points of all damage',100,2,2),
(185107,10138360,'Cannot be modified except by direct means',100,2,3),
(185108,102022,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(185109,102022,'Wards target against 516 points of all damage',100,2,1),
(185110,10102022,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(185111,10102022,'Wards target against 516 points of all damage',100,2,1),
(185112,109716,'Inflicts 70 - 117 cold damage on target',100,1,0),
(185113,109716,'If weapon equipped in Ranged',100,1,1),
(185114,10109716,'Inflicts 59 - 99 cold damage on target',100,1,0),
(185115,10109716,'If weapon equipped in Ranged',100,1,1),
(185116,117358,'Roots target',100,1,0),
(185117,117358,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(185118,117358,'Slows target by 71.4%',100,2,2),
(185119,117358,'5% chance to dispel when target receives hostile action',100,2,3),
(185120,117358,'5% chance to dispel when target takes damage',100,2,4),
(185121,117358,'15% chance to dispel when target takes damage',100,1,5),
(185122,117358,'Does not affect Epic targets',100,1,6),
(185123,117358,'Resistibility increases against targets higher than level 102.',100,1,7),
(185124,10117358,'Roots target',100,1,0),
(185125,10117358,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(185126,10117358,'Slows target by 71.4%',100,2,2),
(185127,10117358,'10% chance to dispel when target receives hostile action',100,2,3),
(185128,10117358,'10% chance to dispel when target takes damage',100,2,4),
(185129,10117358,'15% chance to dispel when target takes damage',100,1,5),
(185130,10117358,'Does not affect Epic targets',100,1,6),
(185131,10117358,'Resistibility increases against targets higher than level 102.',100,1,7),
(185132,52794,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(185133,52794,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(185134,52794,'Inflicts 44 heat damage on target',100,2,2),
(185135,52794,'Cannot be modified except by direct means',100,2,3),
(185136,10052794,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(185137,10052794,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(185138,10052794,'Inflicts 53 heat damage on target',100,2,2),
(185139,10052794,'Cannot be modified except by direct means',100,2,3),
(185140,108638,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(185141,108638,'Heals target for 341',100,2,1),
(185142,108638,'Heals target for 85 every 2 seconds',100,2,2),
(185143,108638,'Increases AGI of target by 38.2',100,2,3),
(185144,108638,'Grants a total of 1 trigger of the spell.',100,2,4),
(185145,10108638,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(185146,10108638,'Heals target for 222',100,2,1),
(185147,10108638,'Heals target for 55 every 2 seconds',100,2,2),
(185148,10108638,'Increases AGI of target by 38.2',100,2,3),
(185149,10108638,'Grants a total of 1 trigger of the spell.',100,2,4),
(185150,71620,'When Equipped:',100,0,0),
(185151,71620,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185152,71620,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(185153,71620,'Cannot be modified except by direct means',100,2,3),
(185154,10071620,'When Equipped:',100,0,0),
(185155,10071620,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185156,10071620,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(185157,10071620,'Cannot be modified except by direct means',100,2,3),
(185158,160018,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(185159,160018,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185160,160018,'Heals target for 67 instantly and every 4 seconds',100,2,2),
(185161,160018,'Cannot be modified except by direct means',100,2,3),
(185162,10160018,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(185163,10160018,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185164,10160018,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(185165,10160018,'Cannot be modified except by direct means',100,2,3),
(185166,111128,'Heals target for 20.5 - 25.1% of max health',100,1,0),
(185167,111128,'This effect cannot be critically applied.',100,2,1),
(185168,111128,'Increases Mitigation of target vs physical damage by 724',100,1,2),
(185169,111128,'The healing of this spell cannot be modified except by direct means',100,1,3),
(185170,10111128,'Heals target for 7.7 - 9.4% of max health',100,1,0),
(185171,10111128,'This effect cannot be critically applied.',100,2,1),
(185172,10111128,'Increases Mitigation of target vs physical damage by 724',100,1,2),
(185173,10111128,'The healing of this spell cannot be modified except by direct means',100,1,3),
(185174,117556,'Inflicts 2614 - 3920 heat damage on target',100,1,0),
(185175,10117556,'Inflicts 1939 - 2908 heat damage on target',100,1,0),
(185176,48653,'Applies Aura of the Planeswalker  when Activated.  Lasts for 30 minutes.',100,0,0),
(185177,48653,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(185178,10048653,'Applies Aura of the Planeswalker  when Activated.  Lasts for 30 minutes.',100,0,0),
(185179,10048653,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(185180,121425,'Inflicts 1892 - 2312 ranged damage on targets in area',100,1,0),
(185181,10121425,'Inflicts 1608 - 1965 ranged damage on targets in area',100,1,0),
(185182,108577,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(185183,108577,'Increases INT, AGI, WIS and STR of group members (AE) by 12.3',100,2,1),
(185184,108577,'Increases STA of group members (AE) by 24.5',100,2,2),
(185185,108577,'Adds 0.7% to base avoidance.',100,2,3),
(185186,108577,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 32',100,2,4),
(185187,108577,'Heals group members (AE) for 30 - 37 instantly and every 3 seconds',100,2,5),
(185188,108577,'Increases Mitigation of group members (AE) vs arcane damage by 32',100,2,6),
(185189,10108577,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(185190,10108577,'Increases INT, AGI, WIS and STR of group members (AE) by 12.3',100,2,1),
(185191,10108577,'Increases STA of group members (AE) by 24.5',100,2,2),
(185192,10108577,'Adds 0.7% to base avoidance.',100,2,3),
(185193,10108577,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 32',100,2,4),
(185194,10108577,'Heals group members (AE) for 20 - 24 instantly and every 3 seconds',100,2,5),
(185195,10108577,'Increases Mitigation of group members (AE) vs arcane damage by 32',100,2,6),
(185196,120499,'Inflicts 111 - 186 melee damage on target',100,1,0),
(185197,120499,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(185198,120499,'Grants stealth to caster',100,2,2),
(185199,120499,'Suspends caster''s movement speed enhancements',100,2,3),
(185200,120499,'Must be flanking or behind',100,1,4),
(185201,10120499,'Inflicts 133 - 223 melee damage on target',100,1,0),
(185202,10120499,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(185203,10120499,'Grants stealth to caster',100,2,2),
(185204,10120499,'Suspends caster''s movement speed enhancements',100,2,3),
(185205,10120499,'Must be flanking or behind',100,1,4),
(185206,109065,'Inflicts 53 - 88 melee damage on target',100,1,0),
(185207,109065,'Inflicts 53 - 88 melee damage on target',100,1,1),
(185208,109065,'Inflicts 53 - 88 melee damage on target',100,1,2),
(185209,109065,'Decreases Mitigation of target vs physical damage by 252',100,1,3),
(185210,10109065,'Inflicts 63 - 106 melee damage on target',100,1,0),
(185211,10109065,'Inflicts 63 - 106 melee damage on target',100,1,1),
(185212,10109065,'Inflicts 63 - 106 melee damage on target',100,1,2),
(185213,10109065,'Decreases Mitigation of target vs physical damage by 252',100,1,3),
(185214,116786,'Increases STR, AGI, WIS and INT of target by 29.4',100,1,0),
(185215,116786,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(185216,116786,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(185217,116786,'Increases Attack Speed of target by 26.6',100,2,3),
(185218,116786,'Increases Damage Per Second of target by 26.6',100,2,4),
(185219,116786,'Adds 1.5% to base avoidance.',100,1,5),
(185220,116786,'Increases Mitigation of target vs elemental, noxious and arcane damage by 87',100,1,6),
(185221,10116786,'Increases STR, AGI, WIS and INT of target by 29.4',100,1,0),
(185222,10116786,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(185223,10116786,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(185224,10116786,'Increases Attack Speed of target by 26.6',100,2,3),
(185225,10116786,'Increases Damage Per Second of target by 26.6',100,2,4),
(185226,10116786,'Adds 1.5% to base avoidance.',100,1,5),
(185227,10116786,'Increases Mitigation of target vs elemental, noxious and arcane damage by 87',100,1,6),
(185228,122661,'Decreases Defense of target by 13.0',100,1,0),
(185229,122661,'Decreases Mitigation of target vs physical damage by 216',100,1,1),
(185230,10122661,'Decreases Defense of target by 13.0',100,1,0),
(185231,10122661,'Decreases Mitigation of target vs physical damage by 216',100,1,1),
(185232,54432,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(185233,54432,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(185234,54432,'Inflicts 46 heat damage on target',100,2,2),
(185235,54432,'Cannot be modified except by direct means',100,2,3),
(185236,10054432,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(185237,10054432,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(185238,10054432,'Inflicts 55 heat damage on target',100,2,2),
(185239,10054432,'Cannot be modified except by direct means',100,2,3),
(185240,108664,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(185241,108664,'Heals target for 1430',100,2,1),
(185242,108664,'Heals target for 357 every 2 seconds',100,2,2),
(185243,108664,'Increases AGI of target by 123.2',100,2,3),
(185244,108664,'Grants a total of 1 trigger of the spell.',100,2,4),
(185245,10108664,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(185246,10108664,'Heals target for 1673',100,2,1),
(185247,10108664,'Heals target for 418 every 2 seconds',100,2,2),
(185248,10108664,'Increases AGI of target by 123.2',100,2,3),
(185249,10108664,'Grants a total of 1 trigger of the spell.',100,2,4),
(185250,88673,'When Equipped:',100,0,0),
(185251,88673,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(185252,88673,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(185253,88673,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(185254,88673,'Heals caster for 1185 - 1309',100,2,4),
(185255,88673,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(185256,88673,'Must not be engaged in pvp combat',100,2,6),
(185257,88673,'Cannot be modified except by direct means',100,2,7),
(185258,88673,'Cannot be modified except by direct means',100,1,8),
(185259,88673,'When Equipped:',100,0,9),
(185260,88673,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(185261,88673,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(185262,88673,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,12),
(185263,88673,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(185264,88673,'Must not be engaged in pvp combat',100,2,14),
(185265,88673,'Cannot be modified except by direct means',100,2,15),
(185266,88673,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(185267,88673,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,17),
(185268,88673,'Increases Crit Bonus of caster by 11.5%',100,2,18),
(185269,88673,'Must not be engaged in pvp combat',100,2,19),
(185270,88673,'Cannot be modified except by direct means',100,2,20),
(185271,88673,'Cannot be modified except by direct means',100,1,21),
(185272,10088673,'When Equipped:',100,0,0),
(185273,10088673,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(185274,10088673,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(185275,10088673,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(185276,10088673,'Heals caster for 1386 - 1532',100,2,4),
(185277,10088673,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(185278,10088673,'Must not be engaged in pvp combat',100,2,6),
(185279,10088673,'Cannot be modified except by direct means',100,2,7),
(185280,10088673,'Cannot be modified except by direct means',100,1,8),
(185281,10088673,'When Equipped:',100,0,9),
(185282,10088673,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(185283,10088673,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(185284,10088673,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,12),
(185285,10088673,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(185286,10088673,'Must not be engaged in pvp combat',100,2,14),
(185287,10088673,'Cannot be modified except by direct means',100,2,15),
(185288,10088673,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(185289,10088673,'Increases INT, AGI, STR and WIS of caster by 50.0',100,2,17),
(185290,10088673,'Increases Crit Bonus of caster by 11.5%',100,2,18),
(185291,10088673,'Must not be engaged in pvp combat',100,2,19),
(185292,10088673,'Cannot be modified except by direct means',100,2,20),
(185293,10088673,'Cannot be modified except by direct means',100,1,21),
(185294,102290,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(185295,102290,'Decreases Threat to target by 322 ',100,2,1),
(185296,10102290,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(185297,10102290,'Inflicts 18 - 20 crushing damage on target',100,2,1),
(185298,116184,'Inflicts 245 - 408 mental damage on target',100,1,0),
(185299,10116184,'Inflicts 294 - 490 mental damage on target',100,1,0),
(185300,107632,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(185301,107632,'Increases Mitigation of group members (AE) vs elemental damage by 627',100,1,1),
(185302,10107632,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(185303,10107632,'Increases Mitigation of group members (AE) vs elemental damage by 627',100,1,1),
(185304,37576,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(185305,106703,'Heals target for 83 - 101',100,1,0),
(185306,10106703,'Heals target for 97 - 119',100,1,0),
(185307,102488,'Inflicts 265 - 442 crushing damage on target',100,1,0),
(185308,102488,'Prevents target from changing direction while active.',100,1,1),
(185309,102488,'If Target is not Epic',100,2,2),
(185310,102488,'Roots target',100,1,3),
(185311,102488,'If Target is not Epic',100,2,4),
(185312,102488,'Resistibility increases against targets higher than level 79.',100,1,5),
(185313,10102488,'Inflicts 318 - 531 crushing damage on target',100,1,0),
(185314,10102488,'Prevents target from changing direction while active.',100,1,1),
(185315,10102488,'If Target is not Epic',100,2,2),
(185316,10102488,'Roots target',100,1,3),
(185317,10102488,'If Target is not Epic',100,2,4),
(185318,10102488,'Resistibility increases against targets higher than level 79.',100,1,5),
(185319,120828,'Inflicts 20 - 27 disease damage on target instantly and every second',100,1,0),
(185320,10120828,'Inflicts 34 - 45 disease damage on target',100,1,0),
(185321,10120828,'Inflicts 24 - 32 disease damage on target every second',100,1,1),
(185322,35302,'Increases AGI of target by 1.5',100,0,0),
(185323,35302,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(185324,82122,'When Equipped:',100,0,0),
(185325,82122,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185326,82122,'Inflicts 135 - 252 magic damage on target',100,2,2),
(185327,82122,'Cannot be modified except by direct means',100,2,3),
(185328,10082122,'When Equipped:',100,0,0),
(185329,10082122,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185330,10082122,'Inflicts 163 - 302 magic damage on target',100,2,2),
(185331,10082122,'Cannot be modified except by direct means',100,2,3),
(185332,113141,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,0),
(185333,113141,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(185334,113141,'Inflicts 144 disease damage on target',100,2,2),
(185335,113141,'Heals caster for 96',100,2,3),
(185336,113141,'Shapechanges caster into an archlich',100,1,4),
(185337,10113141,'Increases power of caster by 1.2% instantly and every 6 seconds',100,1,0),
(185338,10113141,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(185339,10113141,'Inflicts 173 disease damage on target',100,2,2),
(185340,10113141,'Heals caster for 62',100,2,3),
(185341,10113141,'Shapechanges caster into an archlich',100,1,4),
(185342,27448,'When Equipped:',100,0,0),
(185343,27448,'Adds a small heal to Caress Feedback.',100,1,1),
(185344,27448,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(185345,10027448,'When Equipped:',100,0,0),
(185346,10027448,'Adds a small heal to Caress Feedback.',100,1,1),
(185347,10027448,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(185348,36467,'Increases Max Health of target by 5.5',100,0,0),
(185349,36467,'Increases Max Power of target by 5.5',100,0,1),
(185350,36467,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,2),
(185351,40862,'When Equipped:',100,0,0),
(185352,40862,'On a critical spell hit this spell may cast Imposing Righteousness III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(185353,40862,'Decreases Potency of target by 2.0%',100,2,2),
(185354,40862,'Increases Potency of caster by 4.0%',100,2,3),
(185355,40862,'Must not be engaged in pvp combat',100,2,4),
(185356,40862,'Cannot be modified except by direct means',100,2,5),
(185357,40862,'On a critical combat hit this spell may cast Imposing Righteousness III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(185358,40862,'Decreases Potency of target by 2.0%',100,2,7),
(185359,40862,'Increases Potency of caster by 4.0%',100,2,8),
(185360,40862,'Must not be engaged in pvp combat',100,2,9),
(185361,40862,'Cannot be modified except by direct means',100,2,10),
(185362,40862,'Must not be engaged in pvp combat',100,1,11),
(185363,10040862,'When Equipped:',100,0,0),
(185364,10040862,'On a critical spell hit this spell may cast Imposing Righteousness III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(185365,10040862,'Decreases Potency of target by 2.0%',100,2,2),
(185366,10040862,'Increases Potency of caster by 4.0%',100,2,3),
(185367,10040862,'Must not be engaged in pvp combat',100,2,4),
(185368,10040862,'Cannot be modified except by direct means',100,2,5),
(185369,10040862,'On a critical combat hit this spell may cast Imposing Righteousness III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(185370,10040862,'Decreases Potency of target by 2.0%',100,2,7),
(185371,10040862,'Increases Potency of caster by 4.0%',100,2,8),
(185372,10040862,'Must not be engaged in pvp combat',100,2,9),
(185373,10040862,'Cannot be modified except by direct means',100,2,10),
(185374,10040862,'Must not be engaged in pvp combat',100,1,11),
(185375,87199,'When Equipped:',100,0,0),
(185376,87199,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185377,87199,'Inflicts 48 - 73 magic damage on target',100,2,2),
(185378,87199,'Cannot be modified except by direct means',100,2,3),
(185379,10087199,'When Equipped:',100,0,0),
(185380,10087199,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185381,10087199,'Inflicts 58 - 87 magic damage on target',100,2,2),
(185382,10087199,'Cannot be modified except by direct means',100,2,3),
(185383,104592,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(185384,104592,'Slows target by 32.0%',100,2,1),
(185385,104592,'5% chance to dispel when target receives hostile action',100,2,2),
(185386,104592,'5% chance to dispel when target takes damage',100,2,3),
(185387,104592,'Inflicts 32 - 40 cold damage on target',100,1,4),
(185388,10104592,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(185389,10104592,'Slows target by 32.0%',100,2,1),
(185390,10104592,'5% chance to dispel when target receives hostile action',100,2,2),
(185391,10104592,'5% chance to dispel when target takes damage',100,2,3),
(185392,10104592,'Inflicts 39 - 48 cold damage on target',100,1,4),
(185393,191767,'When Equipped:',100,0,0),
(185394,191767,'Increases Attack Speed of caster by 20.0',100,1,1),
(185395,10191767,'When Equipped:',100,0,0),
(185396,10191767,'Increases Attack Speed of caster by 20.0',100,1,1),
(185397,53505,'When Equipped:',100,0,0),
(185398,53505,'On a spell cast this spell may cast Coalescing Matter on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185399,53505,'Coalescing Matter increases the base damage of hostile spells cast by 12% while reducing casting times by 5%.',100,2,2),
(185400,53505,'Cannot be modified except by direct means',100,2,3),
(185401,53505,'Cannot be modified except by direct means',100,1,4),
(185402,10053505,'When Equipped:',100,0,0),
(185403,10053505,'On a spell cast this spell may cast Coalescing Matter on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185404,10053505,'Coalescing Matter increases the base damage of hostile spells cast by 12% while reducing casting times by 5%.',100,2,2),
(185405,10053505,'Cannot be modified except by direct means',100,2,3),
(185406,10053505,'Cannot be modified except by direct means',100,1,4),
(185407,101580,'Inflicts 60 - 100 melee damage on targets in area',100,1,0),
(185408,10101580,'Inflicts 72 - 120 melee damage on targets in area',100,1,0),
(185409,24504,'Adds Libant Frostfuser to your Dungeon Maker toolbox',100,0,0),
(185410,10024504,'Adds Libant Frostfuser to your Dungeon Maker toolbox',100,0,0),
(185411,101131,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(185412,101131,'Inflicts 48 ranged damage on target',100,2,1),
(185413,101131,'Decreases Defense of caster by 5.1',100,1,2),
(185414,101131,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.3',100,1,3),
(185415,10101131,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(185416,10101131,'Inflicts 41 ranged damage on target',100,2,1),
(185417,10101131,'Decreases Defense of caster by 5.1',100,1,2),
(185418,10101131,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.3',100,1,3),
(185419,181225,'When Equipped:',100,0,0),
(185420,181225,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(185421,10181225,'When Equipped:',100,0,0),
(185422,10181225,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(185423,112303,'Inflicts 284 - 347 disease damage on target',100,1,0),
(185424,112303,'Inflicts 142 - 174 disease damage on target every 3 seconds',100,1,1),
(185425,112303,'Increases Threat to target by 2,935 - 3,586  instantly and by 555 - 678  every 3 seconds thereafter',100,1,2),
(185426,10112303,'Inflicts 171 - 208 disease damage on target every 3 seconds',100,1,0),
(185427,10112303,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(185428,111018,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(185429,111018,'Increases Threat to target by 65 ',100,2,1),
(185430,111018,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(185431,111018,'Increases Threat to target by 65 ',100,2,3),
(185432,10111018,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(185433,10111018,'Inflicts 9 crushing damage on target',100,2,1),
(185434,10111018,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(185435,10111018,'Inflicts 9 crushing damage on target',100,2,3),
(185436,104181,'Increases Threat to target encounter by 711 - 868 ',100,1,0),
(185437,104181,'Interrupts target encounter',100,1,1),
(185438,10104181,'Forces target encounter to change their selected target to caster.',100,1,0),
(185439,10104181,'Interrupts target encounter',100,1,1),
(185440,10104181,'Prevents target encounter from changing targets',100,1,2),
(185441,105492,'Inflicts 397 - 737 poison damage on target encounter',100,1,0),
(185442,105492,'Stuns target encounter',100,1,1),
(185443,105492,'If Target is not Epic',100,2,2),
(185444,105492,'Resistibility increases against targets higher than level 105.',100,1,3),
(185445,10105492,'Inflicts 476 - 884 poison damage on target encounter',100,1,0),
(185446,10105492,'Stuns target encounter',100,1,1),
(185447,10105492,'If Target is not Epic',100,2,2),
(185448,10105492,'Resistibility increases against targets higher than level 105.',100,1,3),
(185449,109495,'Inflicts 511 - 852 cold damage on target',100,1,0),
(185450,10109495,'Inflicts 613 - 1022 cold damage on target',100,1,0),
(185451,159290,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(185452,159290,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(185453,159290,'Inflicts 42 heat damage on target',100,2,2),
(185454,159290,'Cannot be modified except by direct means',100,2,3),
(185455,10159290,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(185456,10159290,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(185457,10159290,'Inflicts 51 heat damage on target',100,2,2),
(185458,10159290,'Cannot be modified except by direct means',100,2,3),
(185459,45018,'Applies Create Medal when Activated.',100,0,0),
(185460,45018,'Summon 1 Mark of Distinguished Service',100,1,1),
(185461,10045018,'Applies Create Medal when Activated.',100,0,0),
(185462,10045018,'Summon 1 Mark of Distinguished Service',100,1,1),
(185463,159504,'Applies Lambent Imbued when Equipped.',100,0,0),
(185464,159504,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185465,159504,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(185466,159504,'Cannot be modified except by direct means',100,2,3),
(185467,10159504,'Applies Lambent Imbued when Equipped.',100,0,0),
(185468,10159504,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185469,10159504,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(185470,10159504,'Cannot be modified except by direct means',100,2,3),
(185471,115242,'Heals target for 76',100,1,0),
(185472,115242,'Heals target for 13 every second',100,1,1),
(185473,115242,'Dispels 17 levels of any hostile effects on target',100,1,2),
(185474,10115242,'Heals target for 49',100,1,0),
(185475,10115242,'Heals target for 8 every second',100,1,1),
(185476,10115242,'Dispels 17 levels of any hostile effects on target',100,1,2),
(185477,116757,'Increases Max Health of target by 323.4',100,1,0),
(185478,116757,'Increases Max Power of target by 364.0',100,1,1),
(185479,10116757,'Increases Max Health of target by 323.4',100,1,0),
(185480,10116757,'Increases Max Power of target by 364.0',100,1,1),
(185481,26666,'When Equipped:',100,0,0),
(185482,26666,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(185483,26666,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,2),
(185484,10026666,'When Equipped:',100,0,0),
(185485,10026666,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(185486,10026666,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,2),
(185487,46032,'Applies Metaphysic Propulsion when Activated.',100,0,0),
(185488,46032,'This effect cannot be cast during combat',100,1,1),
(185489,10046032,'Applies Metaphysic Propulsion when Activated.',100,0,0),
(185490,10046032,'This effect cannot be cast during combat',100,1,1),
(185491,159763,'Applies Sanguine Imbued when Equipped.',100,0,0),
(185492,159763,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(185493,159763,'Inflicts 119 heat damage on target',100,2,2),
(185494,159763,'Cannot be modified except by direct means',100,2,3),
(185495,10159763,'Applies Sanguine Imbued when Equipped.',100,0,0),
(185496,10159763,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(185497,10159763,'Inflicts 142 heat damage on target',100,2,2),
(185498,10159763,'Cannot be modified except by direct means',100,2,3),
(185499,122859,'Inflicts 81 - 136 ranged damage on target',100,1,0),
(185500,122859,'Inflicts 163 - 272 ranged damage on target',100,1,1),
(185501,122859,'Inflicts 244 - 408 ranged damage on target',100,1,2),
(185502,122859,'Requires bow',100,1,3),
(185503,10122859,'Inflicts 86 - 144 ranged damage on target',100,1,0),
(185504,10122859,'Inflicts 173 - 289 ranged damage on target',100,1,1),
(185505,10122859,'Inflicts 260 - 433 ranged damage on target',100,1,2),
(185506,10122859,'Requires bow',100,1,3),
(185507,102276,'Inflicts 270 - 451 melee damage on targets in area',100,1,0),
(185508,10102276,'Inflicts 324 - 541 melee damage on targets in area',100,1,0),
(185509,124792,'Increases STR of caster by 85.9',100,1,0),
(185510,124792,'Decreases Defense of caster by 13.8',100,1,1),
(185511,124792,'Increases Crushing, Piercing, Slashing and Disruption of caster by 24.8',100,1,2),
(185512,10124792,'Increases STR of caster by 85.9',100,1,0),
(185513,10124792,'Decreases Defense of caster by 13.8',100,1,1),
(185514,10124792,'Increases Crushing, Piercing, Slashing and Disruption of caster by 24.8',100,1,2),
(185515,87196,'When Equipped:',100,0,0),
(185516,87196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185517,87196,'Inflicts 48 - 73 magic damage on target',100,2,2),
(185518,87196,'Cannot be modified except by direct means',100,2,3),
(185519,10087196,'When Equipped:',100,0,0),
(185520,10087196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185521,10087196,'Inflicts 58 - 87 magic damage on target',100,2,2),
(185522,10087196,'Cannot be modified except by direct means',100,2,3),
(185523,107570,'Dazes target encounter',100,1,0),
(185524,107570,'Inflicts 55 - 68 mental damage on target encounter',100,1,1),
(185525,107570,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,2),
(185526,107570,'Resistibility increases against targets higher than level 40.',100,1,3),
(185527,10107570,'Dazes target encounter',100,1,0),
(185528,10107570,'Inflicts 67 - 81 mental damage on target encounter',100,1,1),
(185529,10107570,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(185530,10107570,'Resistibility increases against targets higher than level 40.',100,1,3),
(185531,46992,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(185532,46992,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(185533,46992,'Inflicts 57 poison damage on target',100,2,2),
(185534,46992,'Inflicts 9 poison damage on target instantly and every 6 seconds',100,2,3),
(185535,46992,'Cannot be modified except by direct means',100,2,4),
(185536,46992,'Grants a total of 200 triggers of the spell.',100,2,5),
(185537,10046992,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(185538,10046992,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(185539,10046992,'Inflicts 51 poison damage on target',100,2,2),
(185540,10046992,'Inflicts 8 poison damage on target instantly and every 6 seconds',100,2,3),
(185541,10046992,'Cannot be modified except by direct means',100,2,4),
(185542,10046992,'Grants a total of 200 triggers of the spell.',100,2,5),
(185543,119745,'Wards group members (AE) against 151 points of elemental, noxious and arcane damage',100,1,0),
(185544,119745,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,1),
(185545,10119745,'Wards group members (AE) against 151 points of elemental, noxious and arcane damage',100,1,0),
(185546,10119745,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,1),
(185547,134324,'When Equipped:',100,0,0),
(185548,134324,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(185549,10134324,'When Equipped:',100,0,0),
(185550,10134324,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(185551,24448,'Adds Iksar Skeleton (Coercer) to your Dungeon Maker toolbox',100,0,0),
(185552,10024448,'Adds Iksar Skeleton (Coercer) to your Dungeon Maker toolbox',100,0,0),
(185553,50549,'When Equipped:',100,0,0),
(185554,50549,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185555,50549,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(185556,50549,'Cannot be modified except by direct means',100,2,3),
(185557,10050549,'When Equipped:',100,0,0),
(185558,10050549,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185559,10050549,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(185560,10050549,'Cannot be modified except by direct means',100,2,3),
(185561,107419,'Summons a pet earthen avatar',100,1,0),
(185562,10107419,'Summons a pet earthen avatar',100,1,0),
(185563,134853,'When Equipped:',100,0,0),
(185564,134853,'Decreases Hate Gain of caster by 7.0%',100,1,1),
(185565,134853,'When Equipped:',100,0,2),
(185566,134853,'Increases poison trigger chance by 2.0%',100,1,3),
(185567,10134853,'When Equipped:',100,0,0),
(185568,10134853,'When Equipped:',100,0,1),
(185569,10134853,'Increases poison trigger chance by 2.0%',100,1,2),
(185570,170249,'When Equipped:',100,0,0),
(185571,170249,'Reduces reuse time of Subjugation-based spells by 4 percent.',100,1,1),
(185572,10170249,'When Equipped:',100,0,0),
(185573,10170249,'Reduces reuse time of Subjugation-based spells by 4 percent.',100,1,1),
(185574,124131,'Increases power of caster by 492',100,1,0),
(185575,10124131,'Increases power of caster by 492',100,1,0),
(185576,24155,'Adds Crushbone: Banquet Table to your Dungeon Maker toolbox',100,0,0),
(185577,10024155,'Adds Crushbone: Banquet Table to your Dungeon Maker toolbox',100,0,0),
(185578,105750,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(185579,105750,'Throws target back',100,2,1),
(185580,105750,'Stuns target',100,2,2),
(185581,105750,'Blurs vision of target',100,2,3),
(185582,105750,'Does not affect Epic targets',100,2,4),
(185583,105750,'Inflicts 809 - 1349 melee damage on targets in area',100,1,5),
(185584,10105750,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(185585,10105750,'Throws target back',100,2,1),
(185586,10105750,'Stuns target',100,2,2),
(185587,10105750,'Blurs vision of target',100,2,3),
(185588,10105750,'Does not affect Epic targets',100,2,4),
(185589,10105750,'Inflicts 971 - 1618 melee damage on targets in area',100,1,5),
(185590,102282,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(185591,102282,'Decreases Threat to target by 204 ',100,2,1),
(185592,10102282,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(185593,10102282,'Inflicts 12 - 13 crushing damage on target',100,2,1),
(185594,160366,'When Equipped:',100,0,0),
(185595,160366,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(185596,160366,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(185597,160366,'Increases Potency of caster by 11.0%',100,2,3),
(185598,160366,'Increases Disruption, Subjugation, Ordination and Ministration of caster by 11.5',100,2,4),
(185599,160366,'Must not be engaged in pvp combat',100,2,5),
(185600,160366,'Cannot be modified except by direct means',100,2,6),
(185601,160366,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(185602,160366,'Increases Potency of caster by 11.0%',100,2,8),
(185603,160366,'Increases Disruption, Subjugation, Ordination and Ministration of caster by 11.5',100,2,9),
(185604,160366,'Must not be engaged in pvp combat',100,2,10),
(185605,160366,'Cannot be modified except by direct means',100,2,11),
(185606,160366,'Cannot be modified except by direct means',100,1,12),
(185607,10160366,'When Equipped:',100,0,0),
(185608,10160366,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(185609,10160366,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(185610,10160366,'Increases Potency of caster by 11.0%',100,2,3),
(185611,10160366,'Increases Disruption, Subjugation, Ordination and Ministration of caster by 11.5',100,2,4),
(185612,10160366,'Must not be engaged in pvp combat',100,2,5),
(185613,10160366,'Cannot be modified except by direct means',100,2,6),
(185614,10160366,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(185615,10160366,'Increases Potency of caster by 11.0%',100,2,8),
(185616,10160366,'Increases Disruption, Subjugation, Ordination and Ministration of caster by 11.5',100,2,9),
(185617,10160366,'Must not be engaged in pvp combat',100,2,10),
(185618,10160366,'Cannot be modified except by direct means',100,2,11),
(185619,10160366,'Cannot be modified except by direct means',100,1,12),
(185620,121971,'Inflicts 70 - 117 disease damage on target',100,1,0),
(185621,121971,'Decreases Defense of target by 21.9',100,1,1),
(185622,121971,'Interrupts target',100,1,2),
(185623,10121971,'Inflicts 84 - 140 disease damage on target',100,1,0),
(185624,10121971,'Decreases Defense of target by 21.9',100,1,1),
(185625,10121971,'Interrupts target',100,1,2),
(185626,36037,'Increases AGI of target by 1.5',100,0,0),
(185627,36037,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(185628,110795,'Inflicts 39 - 53 mental damage on target',100,1,0),
(185629,10110795,'Inflicts 47 - 64 mental damage on target',100,1,0),
(185630,166499,'When Equipped:',100,0,0),
(185631,166499,'On a critical spell hit this spell may cast Critical Perfection III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(185632,166499,'Decreases Crit Chance of target by 2.0',100,2,2),
(185633,166499,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(185634,166499,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(185635,166499,'Increases Crit Chance of caster by 3.0',100,2,5),
(185636,166499,'Must not be engaged in pvp combat',100,2,6),
(185637,166499,'Cannot be modified except by direct means',100,2,7),
(185638,166499,'On a critical combat hit this spell may cast Critical Perfection III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(185639,166499,'Decreases Crit Chance of target by 2.0',100,2,9),
(185640,166499,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(185641,166499,'Increases Crit Bonus of caster by 3.0%',100,2,11),
(185642,166499,'Increases Crit Chance of caster by 3.0',100,2,12),
(185643,166499,'Must not be engaged in pvp combat',100,2,13),
(185644,166499,'Cannot be modified except by direct means',100,2,14),
(185645,166499,'Must not be engaged in pvp combat',100,1,15),
(185646,10166499,'When Equipped:',100,0,0),
(185647,10166499,'On a critical spell hit this spell may cast Critical Perfection III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(185648,10166499,'Decreases Crit Chance of target by 2.0',100,2,2),
(185649,10166499,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(185650,10166499,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(185651,10166499,'Increases Crit Chance of caster by 3.0',100,2,5),
(185652,10166499,'Must not be engaged in pvp combat',100,2,6),
(185653,10166499,'Cannot be modified except by direct means',100,2,7),
(185654,10166499,'On a critical combat hit this spell may cast Critical Perfection III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(185655,10166499,'Decreases Crit Chance of target by 2.0',100,2,9),
(185656,10166499,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(185657,10166499,'Increases Crit Bonus of caster by 3.0%',100,2,11),
(185658,10166499,'Increases Crit Chance of caster by 3.0',100,2,12),
(185659,10166499,'Must not be engaged in pvp combat',100,2,13),
(185660,10166499,'Cannot be modified except by direct means',100,2,14),
(185661,10166499,'Must not be engaged in pvp combat',100,1,15),
(185662,109795,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(185663,109795,'Heals group members (AE) for 415',100,2,1),
(185664,10109795,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(185665,10109795,'Heals group members (AE) for 270',100,2,1),
(185666,123637,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(185667,123637,'Slows target by 33.4%',100,2,1),
(185668,123637,'5% chance to dispel when target receives hostile action',100,2,2),
(185669,123637,'5% chance to dispel when target takes damage',100,2,3),
(185670,123637,'Inflicts 86 - 105 cold damage on target',100,1,4),
(185671,10123637,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(185672,10123637,'Slows target by 33.4%',100,2,1),
(185673,10123637,'5% chance to dispel when target receives hostile action',100,2,2),
(185674,10123637,'5% chance to dispel when target takes damage',100,2,3),
(185675,10123637,'Inflicts 88 - 108 cold damage on target',100,1,4),
(185676,74564,'When Equipped:',100,0,0),
(185677,74564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185678,74564,'Inflicts 133 - 199 magic damage on target',100,2,2),
(185679,74564,'Cannot be modified except by direct means',100,2,3),
(185680,10074564,'When Equipped:',100,0,0),
(185681,10074564,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185682,10074564,'Inflicts 159 - 239 magic damage on target',100,2,2),
(185683,10074564,'Cannot be modified except by direct means',100,2,3),
(185684,102081,'Inflicts 21 - 35 crushing damage on target',100,1,0),
(185685,102081,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(185686,102081,'Throws target back',100,2,2),
(185687,102081,'Blurs vision of target',100,2,3),
(185688,102081,'Stuns target',100,2,4),
(185689,102081,'Does not affect Epic targets',100,2,5),
(185690,10102081,'Inflicts 25 - 42 crushing damage on target',100,1,0),
(185691,10102081,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(185692,10102081,'Blurs vision of target',100,2,2),
(185693,10102081,'Stuns target',100,2,3),
(185694,10102081,'Throws target back',100,2,4),
(185695,10102081,'Does not affect Epic targets',100,2,5),
(185696,103795,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.1',100,1,0),
(185697,10103795,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.1',100,1,0),
(185698,101775,'Heals group members (AE) for 392 - 480 instantly and every 2 seconds',100,1,0),
(185699,10101775,'Heals group members (AE) for 255 - 312 instantly and every 2 seconds',100,1,0),
(185700,108237,'Inflicts 168 - 504 piercing damage on target',100,1,0),
(185701,108237,'Decreases Slashing, Crushing, Piercing and Ranged of target by 27.7',100,1,1),
(185702,10108237,'Inflicts 201 - 605 piercing damage on target',100,1,0),
(185703,10108237,'Decreases Slashing, Crushing, Piercing and Ranged of target by 27.7',100,1,1),
(185704,109317,'Increases STR of caster by 31.7',100,1,0),
(185705,109317,'Decreases Defense of caster by 4.8',100,1,1),
(185706,109317,'Increases Slashing, Piercing and Crushing of caster by 8.6',100,1,2),
(185707,10109317,'Increases STR of caster by 31.7',100,1,0),
(185708,10109317,'Decreases Defense of caster by 4.8',100,1,1),
(185709,10109317,'Increases Slashing, Piercing and Crushing of caster by 8.6',100,1,2),
(185710,105322,'Inflicts 68 - 114 melee damage on target',100,1,0),
(185711,105322,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 151',100,1,1),
(185712,105322,'Must be flanking or behind',100,1,2),
(185713,10105322,'Inflicts 82 - 136 melee damage on target',100,1,0),
(185714,10105322,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 151',100,1,1),
(185715,10105322,'Must be flanking or behind',100,1,2),
(185716,151784,'When Equipped:',100,0,0),
(185717,151784,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(185718,10151784,'When Equipped:',100,0,0),
(185719,10151784,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(185720,107916,'Mesmerizes target',100,1,0),
(185721,107916,'Prevents AOE (except when direct) ',100,1,1),
(185722,107916,'Dispelled when target takes damage',100,1,2),
(185723,107916,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(185724,107916,'Resistibility increases against targets higher than level 41.',100,1,4),
(185725,10107916,'Mesmerizes target',100,1,0),
(185726,10107916,'Prevents AOE (except when direct) ',100,1,1),
(185727,10107916,'Dispelled when target takes damage',100,1,2),
(185728,10107916,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(185729,10107916,'Resistibility increases against targets higher than level 41.',100,1,4),
(185730,122357,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(185731,122357,'Inflicts 17 - 20 piercing damage on target',100,2,1),
(185732,10122357,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(185733,10122357,'Inflicts 20 - 25 piercing damage on target',100,2,1),
(185734,107841,'Decreases Mitigation of target vs elemental damage by 218',100,1,0),
(185735,107841,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(185736,107841,'Slows target by 31.4%',100,2,2),
(185737,107841,'5% chance to dispel when target receives hostile action',100,2,3),
(185738,107841,'5% chance to dispel when target takes damage',100,2,4),
(185739,10107841,'Decreases Mitigation of target vs elemental damage by 218',100,1,0),
(185740,10107841,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(185741,10107841,'Slows target by 31.4%',100,2,2),
(185742,10107841,'5% chance to dispel when target receives hostile action',100,2,3),
(185743,10107841,'5% chance to dispel when target takes damage',100,2,4),
(185744,109031,'Increases Attack Speed of caster by 19.4',100,1,0),
(185745,109031,'Decreases Defense of caster by 1.8',100,1,1),
(185746,109031,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.3',100,1,2),
(185747,10109031,'Increases Attack Speed of caster by 19.4',100,1,0),
(185748,10109031,'Decreases Defense of caster by 1.8',100,1,1),
(185749,10109031,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.3',100,1,2),
(185750,54524,'Applies Shielding of the Magi when Equipped.',100,0,0),
(185751,54524,'When damaged this spell has a 10% chance to cast Shielding of the Magi on caster.  Lasts for 36.0 seconds.  ',100,1,1),
(185752,54524,'Wards caster against 300 points of all damage',100,2,2),
(185753,54524,'Cannot be modified except by direct means',100,2,3),
(185754,10054524,'Applies Shielding of the Magi when Equipped.',100,0,0),
(185755,10054524,'When damaged this spell has a 10% chance to cast Shielding of the Magi on caster.  Lasts for 36.0 seconds.  ',100,1,1),
(185756,10054524,'Wards caster against 300 points of all damage',100,2,2),
(185757,10054524,'Cannot be modified except by direct means',100,2,3),
(185758,105346,'Inflicts 347 - 579 melee damage on target',100,1,0),
(185759,105346,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 610',100,1,1),
(185760,105346,'Must be flanking or behind',100,1,2),
(185761,10105346,'Inflicts 417 - 695 melee damage on target',100,1,0),
(185762,10105346,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 610',100,1,1),
(185763,10105346,'Must be flanking or behind',100,1,2),
(185764,116531,'Increases Mitigation of target vs physical damage by 552',100,1,0),
(185765,116531,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(185766,10116531,'Increases Mitigation of target vs physical damage by 552',100,1,0),
(185767,10116531,'Decreases Mitigation of caster vs physical damage by 685',100,1,1),
(185768,164906,'Applies Share Pain when Activated.',100,0,0),
(185769,164906,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 5% of attack damage, target takes 95% of attack damage.',100,1,1),
(185770,164906,'The casting time of Share Pain is 0.5 seconds',100,1,2),
(185771,10164906,'Applies Share Pain when Activated.',100,0,0),
(185772,10164906,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 5% of attack damage, target takes 95% of attack damage.',100,1,1),
(185773,10164906,'The casting time of Share Pain is 0.5 seconds',100,1,2),
(185774,114795,'Decreases WIS of target by 49.7',100,1,0),
(185775,114795,'Increases WIS and STA of caster by 49.7',100,1,1),
(185776,114795,'Decreases Max Health of target by 1.2%',100,1,2),
(185777,114795,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 159',100,1,3),
(185778,114795,'Only affects targets level 17 and above',100,1,4),
(185779,10114795,'Decreases WIS of target by 49.7',100,1,0),
(185780,10114795,'Increases WIS and STA of caster by 49.7',100,1,1),
(185781,10114795,'Decreases Max Health of target by 1.2%',100,1,2),
(185782,10114795,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 159',100,1,3),
(185783,10114795,'Only affects targets level 17 and above',100,1,4),
(185784,144672,'When Equipped:',100,0,0),
(185785,144672,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185786,144672,'Decreases power of target by 132',100,2,2),
(185787,144672,'Increases power of caster by 88',100,2,3),
(185788,144672,'Cannot be modified except by direct means',100,2,4),
(185789,10144672,'When Equipped:',100,0,0),
(185790,10144672,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185791,10144672,'Decreases power of target by 132',100,2,2),
(185792,10144672,'Increases power of caster by 88',100,2,3),
(185793,10144672,'Cannot be modified except by direct means',100,2,4),
(185794,143607,'When Equipped:',100,0,0),
(185795,143607,'On a combat hit this spell may cast Bloodcall on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(185796,143607,'Inflicts 458 - 688 magic damage on target',100,2,2),
(185797,143607,'Heals caster for 458 - 688',100,2,3),
(185798,143607,'Cannot be modified except by direct means',100,2,4),
(185799,143607,'Cannot be modified except by direct means',100,1,5),
(185800,10143607,'When Equipped:',100,0,0),
(185801,10143607,'On a combat hit this spell may cast Bloodcall on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(185802,10143607,'Inflicts 550 - 825 magic damage on target',100,2,2),
(185803,10143607,'Heals caster for 298 - 447',100,2,3),
(185804,10143607,'Cannot be modified except by direct means',100,2,4),
(185805,10143607,'Cannot be modified except by direct means',100,1,5),
(185806,25630,'When Equipped:',100,0,0),
(185807,25630,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,1),
(185808,25630,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(185809,10025630,'When Equipped:',100,0,0),
(185810,10025630,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,1),
(185811,10025630,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(185812,159762,'Applies Lambent Imbued when Equipped.',100,0,0),
(185813,159762,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185814,159762,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(185815,159762,'Cannot be modified except by direct means',100,2,3),
(185816,10159762,'Applies Lambent Imbued when Equipped.',100,0,0),
(185817,10159762,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(185818,10159762,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(185819,10159762,'Cannot be modified except by direct means',100,2,3),
(185820,45324,'Applies Black Spotted Warg with Black Saddle when Activated.',100,0,0),
(185821,45324,'Increases Slashing of caster by 7.0',100,1,1),
(185822,45324,'Summons a mount to ride',100,1,2),
(185823,45324,'Increases your ground speed by 130%',100,2,3),
(185824,45324,'Increases Crushing, Ranged, Piercing and Disruption of caster by 7.0',100,1,4),
(185825,45324,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(185826,10045324,'Applies Black Spotted Warg with Black Saddle when Activated.',100,0,0),
(185827,10045324,'Increases Slashing of caster by 7.0',100,1,1),
(185828,10045324,'Summons a mount to ride',100,1,2),
(185829,10045324,'Increases your ground speed by 130%',100,2,3),
(185830,10045324,'Increases Crushing, Ranged, Piercing and Disruption of caster by 7.0',100,1,4),
(185831,10045324,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(185832,119677,'Increases Threat to target encounter by 56 - 67 ',100,1,0),
(185833,10119677,'Prevents target encounter from changing targets',100,1,0),
(185834,10119677,'Forces target encounter to change their selected target to caster.',100,1,1),
(185835,47454,'Applies Recombulate Drake Egg when Activated.',100,0,0),
(185836,10047454,'Applies Recombulate Drake Egg when Activated.',100,0,0),
(185837,112511,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(185838,112511,'60% of target''s power consumed will also be drained from target''s health',100,2,1),
(185839,112511,'Inflicts 85 disease damage on target instantly and every 4 seconds',100,2,2),
(185840,10112511,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(185841,10112511,'60% of target''s power consumed will also be drained from target''s health',100,2,1),
(185842,10112511,'Inflicts 102 disease damage on target instantly and every 4 seconds',100,2,2),
(185843,102983,'Increases STR and AGI of group members (AE) by 71.6',100,1,0),
(185844,10102983,'Increases STR and AGI of group members (AE) by 71.6',100,1,0),
(185845,118463,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(185846,118463,'Inflicts 28 - 34 heat damage on target instantly and every second',100,2,1),
(185847,10118463,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(185848,10118463,'Inflicts 34 - 41 heat damage on target instantly and every second',100,2,1),
(185849,115860,'Inflicts 313 - 521 mental damage on target encounter',100,1,0),
(185850,115860,'Interrupts target encounter',100,1,1),
(185851,10115860,'Inflicts 375 - 626 mental damage on target encounter',100,1,0),
(185852,10115860,'Interrupts target encounter',100,1,1),
(185853,46974,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(185854,46974,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(185855,46974,'Inflicts 38 poison damage on target instantly and every 6 seconds',100,2,2),
(185856,46974,'Inflicts 73 poison damage on target',100,2,3),
(185857,46974,'Cannot be modified except by direct means',100,2,4),
(185858,46974,'Grants a total of 200 triggers of the spell.',100,2,5),
(185859,10046974,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(185860,10046974,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(185861,10046974,'Inflicts 66 poison damage on target',100,2,2),
(185862,10046974,'Inflicts 34 poison damage on target instantly and every 6 seconds',100,2,3),
(185863,10046974,'Cannot be modified except by direct means',100,2,4),
(185864,10046974,'Grants a total of 200 triggers of the spell.',100,2,5),
(185865,122736,'Applies Tranquil Healing.',100,1,0),
(185866,122736,'Heals target for 717',100,2,1),
(185867,122736,'Dispels 103 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(185868,122736,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(185869,122736,'Heals target for 717',100,3,4),
(185870,10122736,'Applies Tranquil Healing.',100,1,0),
(185871,10122736,'Heals target for 288',100,2,1),
(185872,10122736,'Dispels 103 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(185873,10122736,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(185874,10122736,'Heals target for 288',100,3,4),
(185875,123852,'Increases AGI of caster by 33.4',100,1,0),
(185876,123852,'Adds 25.0% to base avoidance.',100,1,1),
(185877,123852,'Increases Damage Per Second of caster by 43.5',100,1,2),
(185878,123852,'Increases Mitigation of caster vs physical damage by 302',100,1,3),
(185879,123852,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,4),
(185880,10123852,'Increases AGI of caster by 33.4',100,1,0),
(185881,10123852,'Adds 25.0% to base avoidance.',100,1,1),
(185882,10123852,'Increases Damage Per Second of caster by 43.5',100,1,2),
(185883,10123852,'Increases Mitigation of caster vs physical damage by 302',100,1,3),
(185884,10123852,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,4),
(185885,108633,'Feigns Death with 97% chance of success',100,1,0),
(185886,10108633,'Feigns Death with 97% chance of success',100,1,0),
(185887,72844,'When Equipped:',100,0,0),
(185888,72844,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185889,72844,'Slows target by 20.0%',100,2,2),
(185890,72844,'Cannot be modified except by direct means',100,2,3),
(185891,10072844,'When Equipped:',100,0,0),
(185892,10072844,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185893,10072844,'Slows target by 20.0%',100,2,2),
(185894,10072844,'Cannot be modified except by direct means',100,2,3),
(185895,41584,'When Equipped:',100,0,0),
(185896,41584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185897,41584,'Inflicts 166 - 308 magic damage on target',100,2,2),
(185898,41584,'Cannot be modified except by direct means',100,2,3),
(185899,10041584,'When Equipped:',100,0,0),
(185900,10041584,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(185901,10041584,'Inflicts 199 - 370 magic damage on target',100,2,2),
(185902,10041584,'Cannot be modified except by direct means',100,2,3),
(185903,119506,'Increases threat priority of target by 2 positions',100,1,0),
(185904,119506,'Stuns caster',100,1,1),
(185905,119506,'Decreases Defense and Parry of caster by 90.0',100,1,2),
(185906,119506,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(185907,119506,'Inflicts 314 - 524 piercing damage on target',100,2,4),
(185908,119506,'Grants a total of 1 trigger of the spell.',100,2,5),
(185909,10119506,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(185910,10119506,'Forces target to change their selected target to caster.',100,2,1),
(185911,10119506,'Prevents target from changing targets',100,2,2),
(185912,10119506,'Stuns caster',100,1,3),
(185913,10119506,'Decreases Defense and Parry of caster by 90.0',100,1,4),
(185914,10119506,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(185915,10119506,'Inflicts 269 - 449 piercing damage on target',100,2,6),
(185916,10119506,'Grants a total of 1 trigger of the spell.',100,2,7),
(185917,115139,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(185918,115139,'Heals target for 1200',100,2,1),
(185919,115139,'Heals target for 300 every 2 seconds',100,2,2),
(185920,115139,'Increases WIS of target by 105.6',100,2,3),
(185921,115139,'Grants a total of 1 trigger of the spell.',100,2,4),
(185922,10115139,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(185923,10115139,'Heals target for 780',100,2,1),
(185924,10115139,'Heals target for 195 every 2 seconds',100,2,2),
(185925,10115139,'Increases WIS of target by 105.6',100,2,3),
(185926,10115139,'Grants a total of 1 trigger of the spell.',100,2,4),
(185927,112377,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.6',100,1,0),
(185928,112377,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(185929,112377,'Inflicts 98 - 120 piercing damage on target',100,2,2),
(185930,112377,'Inflicts 49 - 60 piercing damage on target every 3 seconds',100,2,3),
(185931,10112377,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.6',100,1,0),
(185932,10112377,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(185933,10112377,'Inflicts 118 - 144 piercing damage on target',100,2,2),
(185934,10112377,'Inflicts 59 - 72 piercing damage on target every 3 seconds',100,2,3),
(185935,36727,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(185936,105234,'Decreases STR and INT of target by 88.0',100,1,0),
(185937,105234,'Only affects targets level 20 and above',100,1,1),
(185938,10105234,'Decreases STR and INT of target by 88.0',100,1,0),
(185939,10105234,'Only affects targets level 20 and above',100,1,1),
(185940,121283,'Inflicts 33 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(185941,121283,'Inflicts 107 - 179 melee damage on targets in area',100,1,1),
(185942,121283,'You must be in stealth or have Bloody Assault.',100,1,2),
(185943,10121283,'Inflicts 39 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(185944,10121283,'Inflicts 128 - 214 melee damage on targets in area',100,1,1),
(185945,10121283,'You must be in stealth or have Bloody Assault.',100,1,2),
(185946,113939,'Increases power of target by 71 instantly and every 4 seconds',100,1,0),
(185947,10113939,'Increases power of target by 71 instantly and every 4 seconds',100,1,0),
(185948,119632,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(185949,119632,'Throws target back',100,2,1),
(185950,119632,'Stuns target',100,2,2),
(185951,119632,'Blurs vision of target',100,2,3),
(185952,119632,'Does not affect Epic targets',100,2,4),
(185953,119632,'Inflicts 16 - 48 melee damage on target',100,1,5),
(185954,10119632,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(185955,10119632,'Throws target back',100,2,1),
(185956,10119632,'Blurs vision of target',100,2,2),
(185957,10119632,'Stuns target',100,2,3),
(185958,10119632,'Does not affect Epic targets',100,2,4),
(185959,10119632,'Inflicts 19 - 58 melee damage on target',100,1,5),
(185960,101737,'Mesmerizes target',100,1,0),
(185961,101737,'Prevents AOE (except when direct) ',100,1,1),
(185962,101737,'Mesmerizes caster',100,1,2),
(185963,101737,'Dispelled when target takes damage',100,1,3),
(185964,101737,'Does not affect Epic targets',100,1,4),
(185965,101737,'Resistibility increases against targets higher than level 107.',100,1,5),
(185966,10101737,'Mesmerizes target',100,1,0),
(185967,10101737,'Prevents AOE (except when direct) ',100,1,1),
(185968,10101737,'Mesmerizes caster',100,1,2),
(185969,10101737,'Dispelled when target takes damage',100,1,3),
(185970,10101737,'Does not affect Epic targets',100,1,4),
(185971,10101737,'Resistibility increases against targets higher than level 107.',100,1,5),
(185972,86483,'Applies Disease Blast when Activated.',100,0,0),
(185973,86483,'Inflicts 125 - 208 disease damage on target',100,1,1),
(185974,86483,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(185975,10086483,'Applies Disease Blast when Activated.',100,0,0),
(185976,10086483,'Inflicts 150 - 249 disease damage on target',100,1,1),
(185977,10086483,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(185978,71713,'When Equipped:',100,0,0),
(185979,71713,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185980,71713,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(185981,71713,'Cannot be modified except by direct means',100,2,3),
(185982,10071713,'When Equipped:',100,0,0),
(185983,10071713,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(185984,10071713,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(185985,10071713,'Cannot be modified except by direct means',100,2,3),
(185986,123967,'Inflicts 198 - 330 melee damage on target',100,1,0),
(185987,123967,'Decreases AGI of target by 30.1',100,1,1),
(185988,123967,'Must be behind',100,1,2),
(185989,10123967,'Inflicts 238 - 396 melee damage on target',100,1,0),
(185990,10123967,'Decreases AGI of target by 30.1',100,1,1),
(185991,10123967,'Must be behind',100,1,2),
(185992,116627,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(185993,116627,'Increases Mitigation of group members (AE) vs arcane damage by 372',100,1,1),
(185994,10116627,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(185995,10116627,'Increases Mitigation of group members (AE) vs arcane damage by 372',100,1,1),
(185996,82761,'When Equipped:',100,0,0),
(185997,82761,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(185998,82761,'Decreases Threat to target by 1,174 ',100,2,2),
(185999,82761,'Must be flanking or behind',100,3,3),
(186000,82761,'Increases Threat to target by 1,179 ',100,2,4),
(186001,82761,'Must be in front of',100,3,5),
(186002,82761,'Inflicts 233 - 434 magic damage on target',100,2,6),
(186003,82761,'Cannot be modified except by direct means',100,2,7),
(186004,10082761,'When Equipped:',100,0,0),
(186005,10082761,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186006,10082761,'Inflicts 280 - 520 magic damage on target',100,2,2),
(186007,10082761,'Cannot be modified except by direct means',100,2,3),
(186008,87488,'When Equipped:',100,0,0),
(186009,87488,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186010,87488,'Inflicts 168 - 252 magic damage on target',100,2,2),
(186011,87488,'Cannot be modified except by direct means',100,2,3),
(186012,10087488,'When Equipped:',100,0,0),
(186013,10087488,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186014,10087488,'Inflicts 202 - 303 magic damage on target',100,2,2),
(186015,10087488,'Cannot be modified except by direct means',100,2,3),
(186016,24522,'Adds Mistmoore: Candle to your Dungeon Maker toolbox',100,0,0),
(186017,10024522,'Adds Mistmoore: Candle to your Dungeon Maker toolbox',100,0,0),
(186018,36071,'Increases STA of target by 1.5',100,0,0),
(186019,36071,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(186020,106877,'Stuns targets in Area of Effect',100,1,0),
(186021,106877,'If Target is not Epic',100,2,1),
(186022,106877,'Decreases Threat to targets in Area of Effect by 1,898 ',100,1,2),
(186023,10106877,'Stuns targets in Area of Effect',100,1,0),
(186024,10106877,'If Target is not Epic',100,2,1),
(186025,10106877,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(186026,10106877,'Applies Distract.',100,1,3),
(186027,10106877,'Forces target to clear their selected target.',100,2,4),
(186028,82810,'Applies Imbued Smite when Equipped.',100,0,0),
(186029,82810,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(186030,82810,'Inflicts 402 divine damage on target instantly and every second',100,2,2),
(186031,82810,'Cannot be modified except by direct means',100,2,3),
(186032,82810,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(186033,82810,'Inflicts 402 divine damage on target instantly and every second',100,2,5),
(186034,82810,'Cannot be modified except by direct means',100,2,6),
(186035,10082810,'Applies Imbued Smite when Equipped.',100,0,0),
(186036,10082810,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(186037,10082810,'Inflicts 482 divine damage on target instantly and every second',100,2,2),
(186038,10082810,'Cannot be modified except by direct means',100,2,3),
(186039,10082810,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(186040,10082810,'Inflicts 482 divine damage on target instantly and every second',100,2,5),
(186041,10082810,'Cannot be modified except by direct means',100,2,6),
(186042,36926,'Increases STR of target by 1.5',100,0,0),
(186043,36926,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(186044,105334,'Inflicts 196 - 327 melee damage on target',100,1,0),
(186045,105334,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 367',100,1,1),
(186046,105334,'Must be flanking or behind',100,1,2),
(186047,10105334,'Inflicts 235 - 392 melee damage on target',100,1,0),
(186048,10105334,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 367',100,1,1),
(186049,10105334,'Must be flanking or behind',100,1,2),
(186050,103501,'Charms target',100,1,0),
(186051,103501,'If outside an arena',100,1,1),
(186052,103501,'Certain enemies cannot be charmed',100,1,2),
(186053,103501,'Does not affect Epic targets',100,1,3),
(186054,10103501,'Mesmerizes target',100,1,0),
(186055,10103501,'Prevents AOE (except when direct) ',100,1,1),
(186056,10103501,'Dispelled when target takes damage',100,1,2),
(186057,10103501,'If outside an arena',100,1,3),
(186058,10103501,'Certain enemies cannot be charmed',100,1,4),
(186059,10103501,'Does not affect Epic targets',100,1,5),
(186060,10103501,'Resistibility increases against targets higher than level 49.',100,1,6),
(186061,124029,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(186062,124029,'Heals target for 433 - 530',100,2,1),
(186063,124029,'Grants a total of 5 triggers of the spell.',100,2,2),
(186064,10124029,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(186065,10124029,'Heals target for 282 - 344',100,2,1),
(186066,10124029,'Grants a total of 5 triggers of the spell.',100,2,2),
(186067,139522,'When Equipped:',100,0,0),
(186068,139522,'Reduces maximum falling speed of caster',100,1,1),
(186069,10139522,'When Equipped:',100,0,0),
(186070,10139522,'Reduces maximum falling speed of caster',100,1,1),
(186071,45582,'Applies Clouded Elemental Remedy when Activated.',100,0,0),
(186072,45582,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(186073,45582,'Only affects targets level 50 and above',100,1,2),
(186074,10045582,'Applies Clouded Elemental Remedy when Activated.',100,0,0),
(186075,10045582,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(186076,10045582,'Only affects targets level 50 and above',100,1,2),
(186077,47534,'Applies Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(186078,47534,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(186079,47534,'Stuns target',100,2,2),
(186080,47534,'If Target is not Epic',100,3,3),
(186081,47534,'Cannot be modified except by direct means',100,2,4),
(186082,47534,'Grants a total of 30 triggers of the spell.',100,2,5),
(186083,47534,'Only affects targets level 50 and above',100,1,6),
(186084,10047534,'Applies Phantasmic Visions when Activated.  Lasts for 12 hours.',100,0,0),
(186085,10047534,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(186086,10047534,'Stuns target',100,2,2),
(186087,10047534,'If Target is not Epic',100,3,3),
(186088,10047534,'Cannot be modified except by direct means',100,2,4),
(186089,10047534,'Grants a total of 30 triggers of the spell.',100,2,5),
(186090,10047534,'Only affects targets level 50 and above',100,1,6),
(186091,74798,'When Equipped:',100,0,0),
(186092,74798,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186093,74798,'Inflicts 84 - 126 magic damage on target',100,2,2),
(186094,74798,'Cannot be modified except by direct means',100,2,3),
(186095,10074798,'When Equipped:',100,0,0),
(186096,10074798,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186097,10074798,'Inflicts 101 - 151 magic damage on target',100,2,2),
(186098,10074798,'Cannot be modified except by direct means',100,2,3),
(186099,104610,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(186100,10104610,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(186101,81301,'When Equipped:',100,0,0),
(186102,81301,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186103,81301,'Decreases Threat to target by 949 ',100,2,2),
(186104,81301,'Must be flanking or behind',100,3,3),
(186105,81301,'Increases Threat to target by 954 ',100,2,4),
(186106,81301,'Must be in front of',100,3,5),
(186107,81301,'Inflicts 193 - 358 magic damage on target',100,2,6),
(186108,81301,'Cannot be modified except by direct means',100,2,7),
(186109,10081301,'When Equipped:',100,0,0),
(186110,10081301,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186111,10081301,'Inflicts 231 - 430 magic damage on target',100,2,2),
(186112,10081301,'Cannot be modified except by direct means',100,2,3),
(186113,117786,'Inflicts 961 - 1601 divine damage on target',100,1,0),
(186114,10117786,'Inflicts 1153 - 1922 divine damage on target',100,1,0),
(186115,82265,'When Equipped:',100,0,0),
(186116,82265,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186117,82265,'Inflicts 28 - 51 magic damage on target',100,2,2),
(186118,82265,'Cannot be modified except by direct means',100,2,3),
(186119,10082265,'When Equipped:',100,0,0),
(186120,10082265,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186121,10082265,'Inflicts 33 - 61 magic damage on target',100,2,2),
(186122,10082265,'Cannot be modified except by direct means',100,2,3),
(186123,82297,'When Equipped:',100,0,0),
(186124,82297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186125,82297,'Inflicts 190 - 352 magic damage on target',100,2,2),
(186126,82297,'Cannot be modified except by direct means',100,2,3),
(186127,10082297,'When Equipped:',100,0,0),
(186128,10082297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186129,10082297,'Inflicts 228 - 423 magic damage on target',100,2,2),
(186130,10082297,'Cannot be modified except by direct means',100,2,3),
(186131,102378,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(186132,102378,'Increases Attack Speed of target by 23.4',100,2,1),
(186133,102378,'Increases Damage Per Second of target by 23.4',100,2,2),
(186134,102378,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(186135,102378,'Increases Attack Speed of target by 23.4',100,2,4),
(186136,102378,'Increases Damage Per Second of target by 23.4',100,2,5),
(186137,102378,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(186138,102378,'Increases Attack Speed of target by 23.4',100,2,7),
(186139,102378,'Increases Damage Per Second of target by 23.4',100,2,8),
(186140,10102378,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(186141,10102378,'Increases Attack Speed of target by 23.4',100,2,1),
(186142,10102378,'Increases Damage Per Second of target by 23.4',100,2,2),
(186143,10102378,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(186144,10102378,'Increases Attack Speed of target by 23.4',100,2,4),
(186145,10102378,'Increases Damage Per Second of target by 23.4',100,2,5),
(186146,10102378,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(186147,10102378,'Increases Attack Speed of target by 23.4',100,2,7),
(186148,10102378,'Increases Damage Per Second of target by 23.4',100,2,8),
(186149,74778,'When Equipped:',100,0,0),
(186150,74778,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186151,74778,'Inflicts 86 - 128 magic damage on target',100,2,2),
(186152,74778,'Cannot be modified except by direct means',100,2,3),
(186153,10074778,'When Equipped:',100,0,0),
(186154,10074778,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186155,10074778,'Inflicts 103 - 154 magic damage on target',100,2,2),
(186156,10074778,'Cannot be modified except by direct means',100,2,3),
(186157,101047,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(186158,101047,'Inflicts 355 poison damage on target instantly and every 4 seconds',100,2,1),
(186159,101047,'If profession other than Predator',100,1,2),
(186160,101047,'If profession other than Rogue',100,1,3),
(186161,10101047,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(186162,10101047,'Inflicts 426 poison damage on target instantly and every 4 seconds',100,2,1),
(186163,10101047,'If profession other than Predator',100,1,2),
(186164,10101047,'If profession other than Rogue',100,1,3),
(186165,123202,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(186166,123202,'Inflicts 61 - 75 disease damage on target',100,2,1),
(186167,123202,'Heals caster for 3.5 - 4.2% of max health',100,2,2),
(186168,123202,'This effect cannot be critically applied.',100,3,3),
(186169,123202,'The healing of this spell cannot be modified except by direct means',100,2,4),
(186170,123202,'Grants a total of 5 triggers of the spell.',100,2,5),
(186171,10123202,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(186172,10123202,'Inflicts 73 - 89 disease damage on target',100,2,1),
(186173,10123202,'Heals caster for 1.2 - 1.5% of max health',100,2,2),
(186174,10123202,'This effect cannot be critically applied.',100,3,3),
(186175,10123202,'The healing of this spell cannot be modified except by direct means',100,2,4),
(186176,10123202,'Grants a total of 5 triggers of the spell.',100,2,5),
(186177,107962,'Increases In-Combat Power Regeneration of group members (AE) by 23.4',100,1,0),
(186178,10107962,'Increases In-Combat Power Regeneration of group members (AE) by 23.4',100,1,0),
(186179,107667,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1339',100,1,0),
(186180,10107667,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1339',100,1,0),
(186181,48484,'Applies Thinning Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(186182,48484,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(186183,48484,'Inflicts 113 poison damage on target instantly and every 6 seconds',100,2,2),
(186184,48484,'Inflicts 129 poison damage on target',100,2,3),
(186185,48484,'Cannot be modified except by direct means',100,2,4),
(186186,48484,'Grants a total of 200 triggers of the spell.',100,2,5),
(186187,48484,'Only affects targets level 50 and above',100,1,6),
(186188,10048484,'Applies Thinning Spine Jolt when Activated.  Lasts for 12 hours.',100,0,0),
(186189,10048484,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(186190,10048484,'Inflicts 116 poison damage on target',100,2,2),
(186191,10048484,'Inflicts 102 poison damage on target instantly and every 6 seconds',100,2,3),
(186192,10048484,'Cannot be modified except by direct means',100,2,4),
(186193,10048484,'Grants a total of 200 triggers of the spell.',100,2,5),
(186194,10048484,'Only affects targets level 50 and above',100,1,6),
(186195,36882,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(186196,121442,'Increases AGI of caster by 29.8',100,1,0),
(186197,121442,'Adds 14.8% to base avoidance.',100,1,1),
(186198,121442,'Increases Mitigation of caster vs physical damage by 292',100,1,2),
(186199,121442,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,3),
(186200,10121442,'Increases AGI of caster by 29.8',100,1,0),
(186201,10121442,'Adds 14.8% to base avoidance.',100,1,1),
(186202,10121442,'Increases Mitigation of caster vs physical damage by 292',100,1,2),
(186203,10121442,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,3),
(186204,103585,'Increases Mitigation of caster vs physical damage by 454',100,1,0),
(186205,10103585,'Increases Mitigation of caster vs physical damage by 454',100,1,0),
(186206,108993,'Decreases Damage Per Second of target by 18.7',100,1,0),
(186207,108993,'Inflicts 50 - 61 melee damage on target',100,1,1),
(186208,10108993,'Decreases Damage Per Second of target by 18.7',100,1,0),
(186209,10108993,'Inflicts 60 - 74 melee damage on target',100,1,1),
(186210,37419,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(186211,35200,'Increases Max Health of target by 3.9',100,0,0),
(186212,35200,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(186213,114652,'Increases Threat to target by 30 - 35 ',100,1,0),
(186214,114652,'Interrupts target',100,1,1),
(186215,10114652,'Interrupts target',100,1,0),
(186216,10114652,'Forces target to change their selected target to caster.',100,1,1),
(186217,10114652,'Prevents target from changing targets',100,1,2),
(186218,119370,'Decreases threat priority of target by 1 position',100,1,0),
(186219,119370,'Decreases Threat to target by 342 ',100,1,1),
(186220,119370,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(186221,119370,'Grants stealth to caster',100,2,3),
(186222,119370,'Suspends caster''s movement speed enhancements',100,2,4),
(186223,10119370,'Applies Distract.',100,1,0),
(186224,10119370,'Forces target to clear their selected target.',100,2,1),
(186225,10119370,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(186226,10119370,'Grants stealth to caster',100,2,3),
(186227,10119370,'Suspends caster''s movement speed enhancements',100,2,4),
(186228,46556,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(186229,46556,'Wards caster against 1098 points of noxious damage',100,1,1),
(186230,10046556,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(186231,10046556,'Wards caster against 1098 points of noxious damage',100,1,1),
(186232,159335,'When Equipped:',100,0,0),
(186233,159335,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(186234,159335,'Increases AGI of caster by 11.9',100,2,2),
(186235,159335,'Increases Attack Speed of caster by 14.8',100,2,3),
(186236,159335,'Cannot be modified except by direct means',100,2,4),
(186237,10159335,'When Equipped:',100,0,0),
(186238,10159335,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(186239,10159335,'Increases AGI of caster by 11.9',100,2,2),
(186240,10159335,'Increases Attack Speed of caster by 14.8',100,2,3),
(186241,10159335,'Cannot be modified except by direct means',100,2,4),
(186242,123256,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(186243,123256,'Increases Mitigation of group members (AE) vs noxious damage by 756',100,1,1),
(186244,10123256,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(186245,10123256,'Increases Mitigation of group members (AE) vs noxious damage by 756',100,1,1),
(186246,74989,'When Equipped:',100,0,0),
(186247,74989,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186248,74989,'Inflicts 60 - 90 magic damage on target',100,2,2),
(186249,74989,'Cannot be modified except by direct means',100,2,3),
(186250,10074989,'When Equipped:',100,0,0),
(186251,10074989,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186252,10074989,'Inflicts 72 - 108 magic damage on target',100,2,2),
(186253,10074989,'Cannot be modified except by direct means',100,2,3),
(186254,148863,'When Equipped:',100,0,0),
(186255,148863,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(186256,10148863,'When Equipped:',100,0,0),
(186257,10148863,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(186258,35066,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(186259,71646,'When Equipped:',100,0,0),
(186260,71646,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186261,71646,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(186262,71646,'Cannot be modified except by direct means',100,2,3),
(186263,10071646,'When Equipped:',100,0,0),
(186264,10071646,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186265,10071646,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(186266,10071646,'Cannot be modified except by direct means',100,2,3),
(186267,109208,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 12.3',100,1,0),
(186268,10109208,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 12.3',100,1,0),
(186269,107106,'Inflicts 278 - 339 divine damage on target',100,1,0),
(186270,10107106,'Inflicts 333 - 407 divine damage on target',100,1,0),
(186271,74822,'When Equipped:',100,0,0),
(186272,74822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186273,74822,'Inflicts 84 - 126 magic damage on target',100,2,2),
(186274,74822,'Cannot be modified except by direct means',100,2,3),
(186275,10074822,'When Equipped:',100,0,0),
(186276,10074822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186277,10074822,'Inflicts 101 - 151 magic damage on target',100,2,2),
(186278,10074822,'Cannot be modified except by direct means',100,2,3),
(186279,24419,'Adds Goblin-Aqua (Coercer) to your Dungeon Maker toolbox',100,0,0),
(186280,10024419,'Adds Goblin-Aqua (Coercer) to your Dungeon Maker toolbox',100,0,0),
(186281,35111,'Increases STR of target by 1.5',100,0,0),
(186282,35111,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(186283,114342,'Dispels 51 levels of noxious hostile effects on target',100,1,0),
(186284,114342,'Heals target for 17.1 - 20.9% of max health',100,1,1),
(186285,114342,'This effect cannot be critically applied.',100,2,2),
(186286,114342,'The healing of this spell cannot be modified except by direct means',100,1,3),
(186287,10114342,'Dispels 51 levels of noxious hostile effects on target',100,1,0),
(186288,10114342,'Heals target for 6.8 - 8.4% of max health',100,1,1),
(186289,10114342,'This effect cannot be critically applied.',100,2,2),
(186290,10114342,'The healing of this spell cannot be modified except by direct means',100,1,3),
(186291,159369,'Applies Sanguine Imbued when Equipped.',100,0,0),
(186292,159369,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(186293,159369,'Inflicts 103 heat damage on target',100,2,2),
(186294,159369,'Cannot be modified except by direct means',100,2,3),
(186295,10159369,'Applies Sanguine Imbued when Equipped.',100,0,0),
(186296,10159369,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(186297,10159369,'Inflicts 124 heat damage on target',100,2,2),
(186298,10159369,'Cannot be modified except by direct means',100,2,3),
(186299,120343,'Increases Threat to target by 1,617 - 1,976 ',100,1,0),
(186300,10120343,'Forces target to change their selected target to caster.',100,1,0),
(186301,10120343,'Prevents target from changing targets',100,1,1),
(186302,87165,'When Equipped:',100,0,0),
(186303,87165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186304,87165,'Inflicts 41 - 62 magic damage on target',100,2,2),
(186305,87165,'Cannot be modified except by direct means',100,2,3),
(186306,10087165,'When Equipped:',100,0,0),
(186307,10087165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186308,10087165,'Inflicts 49 - 74 magic damage on target',100,2,2),
(186309,10087165,'Cannot be modified except by direct means',100,2,3),
(186310,47363,'Applies noxious remedy when Activated.',100,0,0),
(186311,47363,'Dispels 18 levels of noxious hostile effects on caster',100,1,1),
(186312,10047363,'Applies noxious remedy when Activated.',100,0,0),
(186313,10047363,'Dispels 18 levels of noxious hostile effects on caster',100,1,1),
(186314,48550,'Applies Shiny tinkered firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(186315,48550,'Launches a firework when used.',100,1,1),
(186316,10048550,'Applies Shiny tinkered firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(186317,10048550,'Launches a firework when used.',100,1,1),
(186318,177645,'When Equipped:',100,0,0),
(186319,177645,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186320,177645,'Increases INT of caster by 14.8',100,2,2),
(186321,177645,'Increases Focus, Disruption and Subjugation of caster by 8.3',100,2,3),
(186322,177645,'Cannot be modified except by direct means',100,2,4),
(186323,10177645,'When Equipped:',100,0,0),
(186324,10177645,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186325,10177645,'Increases INT of caster by 14.8',100,2,2),
(186326,10177645,'Increases Focus, Disruption and Subjugation of caster by 8.3',100,2,3),
(186327,10177645,'Cannot be modified except by direct means',100,2,4),
(186328,163541,'When Equipped:',100,0,0),
(186329,163541,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(186330,10163541,'When Equipped:',100,0,0),
(186331,10163541,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(186332,110782,'Heals group members (AE) for 392 - 480 instantly and every 2 seconds',100,1,0),
(186333,10110782,'Heals group members (AE) for 255 - 312 instantly and every 2 seconds',100,1,0),
(186334,47511,'Applies Petamorph: Spirit Lion when Activated.  Lasts for 2 hours.',100,0,0),
(186335,47511,'Turns the caster''s combat pet into a spirit lion. Does not work on cosmetic pets.',100,1,1),
(186336,10047511,'Applies Petamorph: Spirit Lion when Activated.  Lasts for 2 hours.',100,0,0),
(186337,10047511,'Turns the caster''s combat pet into a spirit lion. Does not work on cosmetic pets.',100,1,1),
(186338,131972,'When Equipped:',100,0,0),
(186339,131972,'Increases Attack Speed of caster by 3.0',100,1,1),
(186340,10131972,'When Equipped:',100,0,0),
(186341,10131972,'Increases Attack Speed of caster by 3.0',100,1,1),
(186342,35426,'Increases STA and STR of target by 1.1',100,0,0),
(186343,35426,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(186344,82701,'When Equipped:',100,0,0),
(186345,82701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186346,82701,'Inflicts 94 - 175 magic damage on target',100,2,2),
(186347,82701,'Cannot be modified except by direct means',100,2,3),
(186348,10082701,'When Equipped:',100,0,0),
(186349,10082701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186350,10082701,'Inflicts 113 - 210 magic damage on target',100,2,2),
(186351,10082701,'Cannot be modified except by direct means',100,2,3),
(186352,47589,'Applies an ingenious experience when Activated.',100,0,0),
(186353,10047589,'Applies an ingenious experience when Activated.',100,0,0),
(186354,72025,'When Equipped:',100,0,0),
(186355,72025,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186356,72025,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(186357,72025,'Cannot be modified except by direct means',100,2,3),
(186358,10072025,'When Equipped:',100,0,0),
(186359,10072025,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186360,10072025,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(186361,10072025,'Cannot be modified except by direct means',100,2,3),
(186362,124452,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(186363,124452,'Inflicts 163 - 271 melee damage on target',100,2,1),
(186364,124452,'Decreases Defense of caster by 17.7',100,1,2),
(186365,124452,'Increases Slashing, Piercing, Ranged and Crushing of caster by 26.5',100,1,3),
(186366,10124452,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(186367,10124452,'Inflicts 195 - 326 melee damage on target',100,2,1),
(186368,10124452,'Decreases Defense of caster by 17.7',100,1,2),
(186369,10124452,'Increases Slashing, Piercing, Ranged and Crushing of caster by 26.5',100,1,3),
(186370,121579,'Stuns target encounter',100,1,0),
(186371,121579,'Epic targets gain an immunity to Stun effects of 14.6 seconds and duration is reduced to 1.6 seconds.',100,1,1),
(186372,121579,'Resistibility increases against targets higher than level 45.',100,1,2),
(186373,10121579,'Stuns target encounter',100,1,0),
(186374,10121579,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(186375,10121579,'Resistibility increases against targets higher than level 45.',100,1,2),
(186376,110941,'Inflicts 167 - 279 divine damage on target',100,1,0),
(186377,110941,'Increases Threat to target by 2,042 ',100,1,1),
(186378,110941,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(186379,110941,'Throws target back',100,2,3),
(186380,110941,'Stuns target',100,2,4),
(186381,110941,'Blurs vision of target',100,2,5),
(186382,110941,'Does not affect Epic targets',100,2,6),
(186383,10110941,'Inflicts 201 - 335 divine damage on target',100,1,0),
(186384,10110941,'Prevents target from changing targets',100,1,1),
(186385,10110941,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(186386,10110941,'Throws target back',100,2,3),
(186387,10110941,'Stuns target',100,2,4),
(186388,10110941,'Blurs vision of target',100,2,5),
(186389,10110941,'Does not affect Epic targets',100,2,6),
(186390,10110941,'Forces target to change their selected target to caster.',100,1,7),
(186391,134160,'When Equipped:',100,0,0),
(186392,134160,'Caster will Parry 2.0% of incoming attacks',100,1,1),
(186393,10134160,'When Equipped:',100,0,0),
(186394,10134160,'Caster will Parry 2.0% of incoming attacks',100,1,1),
(186395,109570,'Makes target afraid',100,1,0),
(186396,109570,'30% chance to dispel when target takes damage',100,1,1),
(186397,109570,'Does not affect Epic targets',100,1,2),
(186398,109570,'Resistibility increases against targets higher than level 69.',100,1,3),
(186399,10109570,'Makes target afraid',100,1,0),
(186400,10109570,'30% chance to dispel when target takes damage',100,1,1),
(186401,10109570,'Does not affect Epic targets',100,1,2),
(186402,10109570,'Resistibility increases against targets higher than level 69.',100,1,3),
(186403,104784,'Charms target',100,1,0),
(186404,104784,'If outside an arena',100,1,1),
(186405,104784,'Certain enemies cannot be charmed',100,1,2),
(186406,104784,'Does not affect Epic targets',100,1,3),
(186407,10104784,'Charms target',100,1,0),
(186408,10104784,'If outside an arena',100,1,1),
(186409,10104784,'Certain enemies cannot be charmed',100,1,2),
(186410,10104784,'Does not affect Epic targets',100,1,3),
(186411,24220,'Adds Crushbone: Single Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(186412,10024220,'Adds Crushbone: Single Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(186413,83664,'When Equipped:',100,0,0),
(186414,83664,'On a melee hit this spell may cast Fierce Blow on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(186415,83664,'Inflicts 486 - 729 slashing damage on target',100,2,2),
(186416,83664,'Cannot be modified except by direct means',100,2,3),
(186417,10083664,'When Equipped:',100,0,0),
(186418,10083664,'On a melee hit this spell may cast Fierce Blow on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(186419,10083664,'Inflicts 583 - 875 slashing damage on target',100,2,2),
(186420,10083664,'Cannot be modified except by direct means',100,2,3),
(186421,123051,'Summons a pet undead knight',100,1,0),
(186422,10123051,'Summons a pet undead knight',100,1,0),
(186423,71602,'When Equipped:',100,0,0),
(186424,71602,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186425,71602,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(186426,71602,'Cannot be modified except by direct means',100,2,3),
(186427,10071602,'When Equipped:',100,0,0),
(186428,10071602,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186429,10071602,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(186430,10071602,'Cannot be modified except by direct means',100,2,3),
(186431,122150,'Summons a pet earthen avatar',100,1,0),
(186432,10122150,'Summons a pet earthen avatar',100,1,0),
(186433,103693,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(186434,103693,'Inflicts 3 - 4 heat damage on target instantly and every second',100,2,1),
(186435,10103693,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(186436,10103693,'Inflicts 4 - 5 heat damage on target instantly and every second',100,2,1),
(186437,45849,'Applies Cure Potion when Activated.',100,0,0),
(186438,45849,'Dispels 500 levels of any hostile effects on caster',100,1,1),
(186439,45849,'Cannot be modified except by direct means',100,1,2),
(186440,10045849,'Applies Cure Potion when Activated.',100,0,0),
(186441,10045849,'Dispels 500 levels of any hostile effects on caster',100,1,1),
(186442,10045849,'Cannot be modified except by direct means',100,1,2),
(186443,112280,'Inflicts 3 - 4 disease damage on target',100,1,0),
(186444,112280,'Inflicts 1 - 2 disease damage on target every 3 seconds',100,1,1),
(186445,112280,'Increases Threat to target by 31 - 37  instantly and by 8 - 10  every 3 seconds thereafter',100,1,2),
(186446,10112280,'Inflicts 2 disease damage on target every 3 seconds',100,1,0),
(186447,10112280,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(186448,137361,'When Equipped:',100,0,0),
(186449,137361,'Increases Attack Speed of caster by 35.0',100,1,1),
(186450,10137361,'When Equipped:',100,0,0),
(186451,10137361,'Increases Attack Speed of caster by 35.0',100,1,1),
(186452,109473,'Inflicts 134 - 224 cold damage on target',100,1,0),
(186453,10109473,'Inflicts 161 - 268 cold damage on target',100,1,0),
(186454,144694,'When Equipped:',100,0,0),
(186455,144694,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(186456,144694,'Must be engaged in pvp combat',100,1,2),
(186457,10144694,'When Equipped:',100,0,0),
(186458,10144694,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(186459,10144694,'Must be engaged in pvp combat',100,1,2),
(186460,109111,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(186461,109111,'Increases Attack Speed of caster by 38.0',100,1,1),
(186462,109111,'Increases Damage Per Second of caster by 43.7',100,1,2),
(186463,109111,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(186464,109111,'Increases Ranged of caster by 41.0',100,1,4),
(186465,109111,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(186466,109111,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(186467,109111,'Increases Crushing of group members (AE) by 41.0',100,2,7),
(186468,109111,'Increases Piercing of group members (AE) by 41.0',100,2,8),
(186469,109111,'If profession other than Ranger',100,3,9),
(186470,109111,'Increases Slashing of group members (AE) by 41.0',100,2,10),
(186471,109111,'If profession other than Ranger',100,3,11),
(186472,10109111,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(186473,10109111,'Increases Attack Speed of caster by 38.0',100,1,1),
(186474,10109111,'Increases Damage Per Second of caster by 43.7',100,1,2),
(186475,10109111,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(186476,10109111,'Increases Ranged of caster by 41.0',100,1,4),
(186477,10109111,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(186478,10109111,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(186479,10109111,'Increases Crushing of group members (AE) by 41.0',100,2,7),
(186480,10109111,'Increases Piercing of group members (AE) by 41.0',100,2,8),
(186481,10109111,'If profession other than Ranger',100,3,9),
(186482,10109111,'Increases Slashing of group members (AE) by 41.0',100,2,10),
(186483,10109111,'If profession other than Ranger',100,3,11),
(186484,105164,'Increases AGI of caster by 65.8',100,1,0),
(186485,105164,'Adds 2.2% to base avoidance.',100,1,1),
(186486,105164,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(186487,105164,'Increases Parry of caster by 37.8',100,1,3),
(186488,105164,'Increases Defense of caster by 50.4',100,1,4),
(186489,10105164,'Increases AGI of caster by 65.8',100,1,0),
(186490,10105164,'Adds 2.2% to base avoidance.',100,1,1),
(186491,10105164,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(186492,10105164,'Increases Parry of caster by 37.8',100,1,3),
(186493,10105164,'Increases Defense of caster by 50.4',100,1,4),
(186494,100580,'Inflicts 43 - 72 melee damage on target',100,1,0),
(186495,100580,'You must be sneaking to use this ability.',100,1,1),
(186496,10100580,'Inflicts 62 - 103 melee damage on target',100,1,0),
(186497,10100580,'You must be sneaking to use this ability.',100,1,1),
(186498,102125,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(186499,102125,'Throws target back',100,2,1),
(186500,102125,'Stuns target',100,2,2),
(186501,102125,'Blurs vision of target',100,2,3),
(186502,102125,'Does not affect Epic targets',100,2,4),
(186503,102125,'Inflicts 383 - 639 crushing damage on target',100,1,5),
(186504,10102125,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(186505,10102125,'Throws target back',100,2,1),
(186506,10102125,'Stuns target',100,2,2),
(186507,10102125,'Blurs vision of target',100,2,3),
(186508,10102125,'Does not affect Epic targets',100,2,4),
(186509,10102125,'Inflicts 460 - 766 crushing damage on target',100,1,5),
(186510,24286,'Adds Dire Bear (Berserker) to your Dungeon Maker toolbox',100,0,0),
(186511,10024286,'Adds Dire Bear (Berserker) to your Dungeon Maker toolbox',100,0,0),
(186512,47238,'Applies Froakus'' Blessing  when Activated.  Lasts for 30 minutes.',100,0,0),
(186513,47238,'Increases STA and STR of caster by 31.0',100,1,1),
(186514,10047238,'Applies Froakus'' Blessing  when Activated.  Lasts for 30 minutes.',100,0,0),
(186515,10047238,'Increases STA and STR of caster by 31.0',100,1,1),
(186516,71949,'When Equipped:',100,0,0),
(186517,71949,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186518,71949,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(186519,71949,'Cannot be modified except by direct means',100,2,3),
(186520,10071949,'When Equipped:',100,0,0),
(186521,10071949,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186522,10071949,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(186523,10071949,'Cannot be modified except by direct means',100,2,3),
(186524,103441,'Blurs vision of target encounter',100,1,0),
(186525,103441,'3% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(186526,103441,'Stuns target',100,2,2),
(186527,103441,'Throws target back',100,2,3),
(186528,103441,'Blurs vision of target',100,2,4),
(186529,103441,'Does not affect Epic targets',100,2,5),
(186530,103441,'Interrupts target encounter',100,1,6),
(186531,10103441,'Interrupts target encounter',100,1,0),
(186532,10103441,'3% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(186533,10103441,'Stuns target',100,2,2),
(186534,10103441,'Throws target back',100,2,3),
(186535,10103441,'Blurs vision of target',100,2,4),
(186536,10103441,'Does not affect Epic targets',100,2,5),
(186537,10103441,'Blurs vision of target encounter',100,1,6),
(186538,104719,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(186539,104719,'Decreases Mitigation of target vs elemental and arcane damage by 399',100,2,1),
(186540,104719,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(186541,104719,'Decreases Mitigation of target vs elemental and arcane damage by 399',100,2,3),
(186542,10104719,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(186543,10104719,'Decreases Mitigation of target vs elemental and arcane damage by 399',100,2,1),
(186544,10104719,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(186545,10104719,'Decreases Mitigation of target vs elemental and arcane damage by 399',100,2,3),
(186546,46194,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(186547,46194,'Increases Aggression and Disruption of caster by 5.0',100,1,1),
(186548,46194,'Summons a mount to ride',100,1,2),
(186549,46194,'Increases your ground speed by 135%',100,2,3),
(186550,46194,'Increases Ordination, Ranged, Subjugation, Slashing, Focus, Ministration, Piercing and Crushing of caster by 5.0',100,1,4),
(186551,10046194,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(186552,10046194,'Increases Aggression and Disruption of caster by 5.0',100,1,1),
(186553,10046194,'Summons a mount to ride',100,1,2),
(186554,10046194,'Increases your ground speed by 135%',100,2,3),
(186555,10046194,'Increases Ordination, Ranged, Subjugation, Slashing, Focus, Ministration, Piercing and Crushing of caster by 5.0',100,1,4),
(186556,189220,'When Equipped:',100,0,0),
(186557,189220,'Increases Attack Speed of caster by 40.0',100,1,1),
(186558,10189220,'When Equipped:',100,0,0),
(186559,10189220,'Increases Attack Speed of caster by 40.0',100,1,1),
(186560,123791,'Inflicts 4 - 6 magic damage on target',100,1,0),
(186561,123791,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(186562,123791,'Decreases Defense of target by 2.1',100,1,2),
(186563,123791,'Target will lose 8% more power when power is consumed',100,1,3),
(186564,123791,'8% of target''s power consumed will also be drained from target''s health',100,1,4),
(186565,10123791,'Inflicts 5 - 8 magic damage on target',100,1,0),
(186566,10123791,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(186567,10123791,'Decreases Defense of target by 2.1',100,1,2),
(186568,10123791,'Target will lose 8% more power when power is consumed',100,1,3),
(186569,10123791,'8% of target''s power consumed will also be drained from target''s health',100,1,4),
(186570,133975,'When Equipped:',100,0,0),
(186571,133975,'Increases Max Health of caster by 1,220.0',100,1,1),
(186572,133975,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(186573,133975,'Cannot be modified except by direct means',100,1,3),
(186574,10133975,'When Equipped:',100,0,0),
(186575,10133975,'Increases Max Health of caster by 1,220.0',100,1,1),
(186576,10133975,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(186577,10133975,'Cannot be modified except by direct means',100,1,3),
(186578,186069,'When Equipped:',100,0,0),
(186579,186069,'Increases Subjugation, Focus and Disruption of caster by 16.0',100,1,1),
(186580,186069,'Reduces resistibility of all spells by 1.3%.',100,1,2),
(186581,186069,'Must not be engaged in pvp combat',100,1,3),
(186582,10186069,'When Equipped:',100,0,0),
(186583,10186069,'Increases Subjugation, Focus and Disruption of caster by 16.0',100,1,1),
(186584,10186069,'Reduces resistibility of all spells by 1.3%.',100,1,2),
(186585,10186069,'Must not be engaged in pvp combat',100,1,3),
(186586,48345,'Applies Rune of Portals when Activated.  Lasts for 1 minute.',100,0,0),
(186587,48345,'Opens a portal that transports adventurers to any Druid Ring in Norrath.',100,1,1),
(186588,10048345,'Applies Rune of Portals when Activated.  Lasts for 1 minute.',100,0,0),
(186589,10048345,'Opens a portal that transports adventurers to any Druid Ring in Norrath.',100,1,1),
(186590,71924,'When Equipped:',100,0,0),
(186591,71924,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186592,71924,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(186593,71924,'Cannot be modified except by direct means',100,2,3),
(186594,10071924,'When Equipped:',100,0,0),
(186595,10071924,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186596,10071924,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(186597,10071924,'Cannot be modified except by direct means',100,2,3),
(186598,46925,'Applies Middling Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(186599,46925,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(186600,46925,'Inflicts 422 poison damage on target',100,2,2),
(186601,46925,'Inflicts 69 poison damage on target instantly and every 6 seconds',100,2,3),
(186602,46925,'Cannot be modified except by direct means',100,2,4),
(186603,46925,'Grants a total of 200 triggers of the spell.',100,2,5),
(186604,46925,'Only affects targets level 50 and above',100,1,6),
(186605,10046925,'Applies Middling Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(186606,10046925,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(186607,10046925,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,2),
(186608,10046925,'Inflicts 380 poison damage on target',100,2,3),
(186609,10046925,'Cannot be modified except by direct means',100,2,4),
(186610,10046925,'Grants a total of 200 triggers of the spell.',100,2,5),
(186611,10046925,'Only affects targets level 50 and above',100,1,6),
(186612,123439,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(186613,123439,'Throws target back',100,2,1),
(186614,123439,'Stuns target',100,2,2),
(186615,123439,'Blurs vision of target',100,2,3),
(186616,123439,'Does not affect Epic targets',100,2,4),
(186617,123439,'Inflicts 393 - 1180 melee damage on target',100,1,5),
(186618,10123439,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(186619,10123439,'Throws target back',100,2,1),
(186620,10123439,'Stuns target',100,2,2),
(186621,10123439,'Blurs vision of target',100,2,3),
(186622,10123439,'Does not affect Epic targets',100,2,4),
(186623,10123439,'Inflicts 472 - 1416 melee damage on target',100,1,5),
(186624,157399,'Applies Trickster''s Touch when Activated.  Lasts for 9.0 seconds.',100,0,0),
(186625,157399,'Stuns target',100,1,1),
(186626,157399,'If under level 18',100,1,2),
(186627,157399,'Epic targets gain an immunity to Stun effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,3),
(186628,157399,'Resistibility increases against targets higher than level 36.',100,1,4),
(186629,157399,'The casting time of Trickster''s Touch is 1.0 second and the reuse time of the spell is 10 minutes',100,1,5),
(186630,10157399,'Applies Trickster''s Touch when Activated.  Lasts for 5.0 seconds.',100,0,0),
(186631,10157399,'Stuns target',100,1,1),
(186632,10157399,'If under level 18',100,1,2),
(186633,10157399,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(186634,10157399,'Resistibility increases against targets higher than level 36.',100,1,4),
(186635,10157399,'The casting time of Trickster''s Touch is 1.0 second and the reuse time of the spell is 10 minutes',100,1,5),
(186636,108850,'Inflicts 103 - 173 melee damage on target',100,1,0),
(186637,108850,'Inflicts 103 - 173 melee damage on target',100,1,1),
(186638,108850,'Inflicts 103 - 173 melee damage on target',100,1,2),
(186639,108850,'Inflicts 103 - 173 melee damage on target',100,1,3),
(186640,108850,'Inflicts 103 - 173 melee damage on target',100,1,4),
(186641,10108850,'Inflicts 124 - 207 melee damage on target',100,1,0),
(186642,10108850,'Inflicts 124 - 207 melee damage on target',100,1,1),
(186643,10108850,'Inflicts 124 - 207 melee damage on target',100,1,2),
(186644,10108850,'Inflicts 124 - 207 melee damage on target',100,1,3),
(186645,10108850,'Inflicts 124 - 207 melee damage on target',100,1,4),
(186646,54781,'When Equipped:',100,0,0),
(186647,54781,'Increases Max Health of caster by 1,220.0',100,1,1),
(186648,54781,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(186649,54781,'Cannot be modified except by direct means',100,1,3),
(186650,10054781,'When Equipped:',100,0,0),
(186651,10054781,'Increases Max Health of caster by 1,220.0',100,1,1),
(186652,10054781,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(186653,10054781,'Cannot be modified except by direct means',100,1,3),
(186654,116819,'Decreases Hate Gain of caster by 10.4%',100,1,0),
(186655,10116819,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(186656,10116819,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(186657,10116819,'This effect can only trigger once every 5 seconds.',100,2,2),
(186658,122046,'Increases Threat to target by 539 - 658 ',100,1,0),
(186659,122046,'Inflicts 55 - 93 melee damage on target',100,1,1),
(186660,10122046,'Forces target to change their selected target to caster.',100,1,0),
(186661,10122046,'Inflicts 66 - 111 melee damage on target',100,1,1),
(186662,36919,'Increases STR of target by 1.5',100,0,0),
(186663,36919,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(186664,104254,'Increases Mitigation of group members (AE) vs physical damage by 648',100,1,0),
(186665,10104254,'Increases Mitigation of group members (AE) vs physical damage by 648',100,1,0),
(186666,82853,'When Equipped:',100,0,0),
(186667,82853,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186668,82853,'Decreases Threat to target by 833 ',100,2,2),
(186669,82853,'Must be flanking or behind',100,3,3),
(186670,82853,'Increases Threat to target by 838 ',100,2,4),
(186671,82853,'Must be in front of',100,3,5),
(186672,82853,'Inflicts 224 - 416 magic damage on target',100,2,6),
(186673,82853,'Cannot be modified except by direct means',100,2,7),
(186674,10082853,'When Equipped:',100,0,0),
(186675,10082853,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186676,10082853,'Inflicts 269 - 499 magic damage on target',100,2,2),
(186677,10082853,'Cannot be modified except by direct means',100,2,3),
(186678,179109,'When Equipped:',100,0,0),
(186679,179109,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(186680,179109,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(186681,179109,'Cannot be modified except by direct means',100,2,3),
(186682,10179109,'When Equipped:',100,0,0),
(186683,10179109,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(186684,10179109,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(186685,10179109,'Cannot be modified except by direct means',100,2,3),
(186686,118163,'Inflicts 354 - 591 melee damage on target',100,1,0),
(186687,118163,'Dazes target',100,1,1),
(186688,118163,'If Target is not Epic',100,2,2),
(186689,118163,'Resistibility increases against targets higher than level 97.',100,1,3),
(186690,10118163,'Inflicts 425 - 709 melee damage on target',100,1,0),
(186691,10118163,'Dazes target',100,1,1),
(186692,10118163,'If Target is not Epic',100,2,2),
(186693,10118163,'Resistibility increases against targets higher than level 97.',100,1,3),
(186694,143568,'When Equipped:',100,0,0),
(186695,143568,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(186696,143568,'Inflicts 2664 disease damage on target encounter',100,2,2),
(186697,143568,'Must not be engaged in pvp combat',100,2,3),
(186698,143568,'Cannot be modified except by direct means',100,2,4),
(186699,10143568,'When Equipped:',100,0,0),
(186700,10143568,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(186701,10143568,'Inflicts 1598 disease damage on target encounter',100,2,2),
(186702,10143568,'Must not be engaged in pvp combat',100,2,3),
(186703,10143568,'Cannot be modified except by direct means',100,2,4),
(186704,163264,'When Equipped:',100,0,0),
(186705,163264,'On any combat or spell hit this spell may cast Fatal Pestilience on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(186706,163264,'Inflicts 14 - 16 disease damage on targets in Area of Effect',100,2,2),
(186707,163264,'Inflicts 18 - 20 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(186708,163264,'Inflicts an additional 1 - 1 disease damage on targets in Area of Effect every tick',100,2,4),
(186709,163264,'Must not be engaged in pvp combat',100,2,5),
(186710,163264,'Cannot be modified except by direct means',100,2,6),
(186711,163264,'Must not be engaged in pvp combat',100,1,7),
(186712,10163264,'When Equipped:',100,0,0),
(186713,10163264,'On any combat or spell hit this spell may cast Fatal Pestilience on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(186714,10163264,'Inflicts 17 - 19 disease damage on targets in Area of Effect',100,2,2),
(186715,10163264,'Inflicts 21 - 24 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(186716,10163264,'Inflicts an additional 1 - 1 disease damage on targets in Area of Effect every tick',100,2,4),
(186717,10163264,'Must not be engaged in pvp combat',100,2,5),
(186718,10163264,'Cannot be modified except by direct means',100,2,6),
(186719,10163264,'Must not be engaged in pvp combat',100,1,7),
(186720,131660,'When Equipped:',100,0,0),
(186721,131660,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(186722,131660,'Decreases Damage Per Second of target by 15.0',100,2,2),
(186723,131660,'Cannot be modified except by direct means',100,2,3),
(186724,10131660,'When Equipped:',100,0,0),
(186725,10131660,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(186726,10131660,'Decreases Damage Per Second of target by 15.0',100,2,2),
(186727,10131660,'Cannot be modified except by direct means',100,2,3),
(186728,105309,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(186729,105309,'Inflicts 223 - 371 mental damage on target',100,2,1),
(186730,105309,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,2),
(186731,105309,'Inflicts 223 - 371 mental damage on target',100,2,3),
(186732,105309,'Increases AGI of caster by 227.1',100,1,4),
(186733,105309,'Adds 21.8% to base avoidance.',100,1,5),
(186734,105309,'Increases Mitigation of caster vs physical damage by 774',100,1,6),
(186735,105309,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,7),
(186736,10105309,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(186737,10105309,'Inflicts 267 - 446 mental damage on target',100,2,1),
(186738,10105309,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,2),
(186739,10105309,'Inflicts 267 - 446 mental damage on target',100,2,3),
(186740,10105309,'Increases AGI of caster by 227.1',100,1,4),
(186741,10105309,'Adds 21.8% to base avoidance.',100,1,5),
(186742,10105309,'Increases Mitigation of caster vs physical damage by 774',100,1,6),
(186743,10105309,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,7),
(186744,124388,'Decreases STR of target by 12.8',100,1,0),
(186745,10124388,'Decreases STR of target by 12.8',100,1,0),
(186746,178849,'When Equipped:',100,0,0),
(186747,178849,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(186748,10178849,'When Equipped:',100,0,0),
(186749,10178849,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(186750,89047,'Applies Mental Blast when Activated.',100,0,0),
(186751,89047,'Inflicts 174 - 291 mental damage on target',100,1,1),
(186752,89047,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(186753,10089047,'Applies Mental Blast when Activated.',100,0,0),
(186754,10089047,'Inflicts 209 - 349 mental damage on target',100,1,1),
(186755,10089047,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(186756,54067,'When Equipped:',100,0,0),
(186757,54067,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(186758,54067,'Heals caster for 152 instantly and every 5 seconds',100,2,2),
(186759,54067,'Cannot be modified except by direct means',100,2,3),
(186760,10054067,'When Equipped:',100,0,0),
(186761,10054067,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(186762,10054067,'Heals caster for 98 instantly and every 5 seconds',100,2,2),
(186763,10054067,'Cannot be modified except by direct means',100,2,3),
(186764,107508,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(186765,10107508,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(186766,124729,'Heals group members (AE) for 1262 - 1542',100,1,0),
(186767,10124729,'Heals group members (AE) for 1531 - 1871',100,1,0),
(186768,82792,'When Equipped:',100,0,0),
(186769,82792,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186770,82792,'Decreases Threat to target by 1,174 ',100,2,2),
(186771,82792,'Must be flanking or behind',100,3,3),
(186772,82792,'Increases Threat to target by 1,179 ',100,2,4),
(186773,82792,'Must be in front of',100,3,5),
(186774,82792,'Inflicts 233 - 434 magic damage on target',100,2,6),
(186775,82792,'Cannot be modified except by direct means',100,2,7),
(186776,10082792,'When Equipped:',100,0,0),
(186777,10082792,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186778,10082792,'Inflicts 280 - 520 magic damage on target',100,2,2),
(186779,10082792,'Cannot be modified except by direct means',100,2,3),
(186780,155590,'When Equipped:',100,0,0),
(186781,155590,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186782,155590,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(186783,155590,'Heals caster for 5 instantly and every 3 seconds',100,2,3),
(186784,155590,'Cannot be modified except by direct means',100,2,4),
(186785,155590,'Cannot be modified except by direct means',100,1,5),
(186786,10155590,'When Equipped:',100,0,0),
(186787,10155590,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(186788,10155590,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(186789,10155590,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(186790,10155590,'Cannot be modified except by direct means',100,2,4),
(186791,10155590,'Cannot be modified except by direct means',100,1,5),
(186792,114227,'Inflicts 58 - 71 mental damage on target',100,1,0),
(186793,114227,'Stuns target',100,1,1),
(186794,114227,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(186795,114227,'Resistibility increases against targets higher than level 42.',100,1,3),
(186796,10114227,'Inflicts 69 - 85 mental damage on target',100,1,0),
(186797,10114227,'Requires not being affected by Mesmerize effects.',100,2,1),
(186798,10114227,'Stuns target',100,1,2),
(186799,10114227,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(186800,10114227,'Resistibility increases against targets higher than level 42.',100,1,4),
(186801,122095,'Increases STA and INT of group members (AE) by 46.4',100,1,0),
(186802,10122095,'Increases STA and INT of group members (AE) by 46.4',100,1,0),
(186803,37441,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(186804,114210,'Inflicts 451 - 751 melee damage on target',100,1,0),
(186805,114210,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(186806,10114210,'Inflicts 541 - 902 melee damage on target',100,1,0),
(186807,10114210,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(186808,164823,'When Equipped:',100,0,0),
(186809,164823,'Increases Attack Speed of caster by 40.0',100,1,1),
(186810,164823,'When Equipped:',100,0,2),
(186811,164823,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(186812,10164823,'When Equipped:',100,0,0),
(186813,10164823,'Increases Attack Speed of caster by 40.0',100,1,1),
(186814,10164823,'When Equipped:',100,0,2),
(186815,10164823,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(186816,180456,'When Equipped:',100,0,0),
(186817,180456,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(186818,180456,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(186819,180456,'Increases INT, STR, WIS and AGI of caster by 50.0',100,2,3),
(186820,180456,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(186821,180456,'Must not be engaged in pvp combat',100,2,5),
(186822,180456,'Cannot be modified except by direct means',100,2,6),
(186823,180456,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(186824,180456,'Increases INT, STR, WIS and AGI of caster by 50.0',100,2,8),
(186825,180456,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(186826,180456,'Must not be engaged in pvp combat',100,2,10),
(186827,180456,'Cannot be modified except by direct means',100,2,11),
(186828,180456,'Cannot be modified except by direct means',100,1,12),
(186829,180456,'When Equipped:',100,0,13),
(186830,180456,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(186831,180456,'On any combat or spell hit this spell may cast Static Followup III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(186832,180456,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,16),
(186833,180456,'Increases Spell Weapon Multi Attack Chance of caster by 11.0',100,2,17),
(186834,180456,'Must not be engaged in pvp combat',100,2,18),
(186835,180456,'Cannot be modified except by direct means',100,2,19),
(186836,180456,'Cannot be modified except by direct means',100,1,20),
(186837,10180456,'When Equipped:',100,0,0),
(186838,10180456,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(186839,10180456,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(186840,10180456,'Increases INT, STR, WIS and AGI of caster by 50.0',100,2,3),
(186841,10180456,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(186842,10180456,'Must not be engaged in pvp combat',100,2,5),
(186843,10180456,'Cannot be modified except by direct means',100,2,6),
(186844,10180456,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(186845,10180456,'Increases INT, STR, WIS and AGI of caster by 50.0',100,2,8),
(186846,10180456,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(186847,10180456,'Must not be engaged in pvp combat',100,2,10),
(186848,10180456,'Cannot be modified except by direct means',100,2,11),
(186849,10180456,'Cannot be modified except by direct means',100,1,12),
(186850,10180456,'When Equipped:',100,0,13),
(186851,10180456,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(186852,10180456,'On any combat or spell hit this spell may cast Static Followup III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(186853,10180456,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,16),
(186854,10180456,'Increases Spell Weapon Multi Attack Chance of caster by 11.0',100,2,17),
(186855,10180456,'Must not be engaged in pvp combat',100,2,18),
(186856,10180456,'Cannot be modified except by direct means',100,2,19),
(186857,10180456,'Cannot be modified except by direct means',100,1,20),
(186858,119175,'Inflicts 9 - 15 heat damage on target',100,1,0),
(186859,119175,'Inflicts 9 - 15 heat damage on target',100,1,1),
(186860,119175,'Requires bow',100,1,2),
(186861,10119175,'Inflicts 10 - 17 heat damage on target',100,1,0),
(186862,10119175,'Inflicts 10 - 17 heat damage on target',100,1,1),
(186863,10119175,'Requires bow',100,1,2),
(186864,45153,'Applies Alimaja''s Awakening when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(186865,45153,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(186866,45153,'Inflicts 2 magic damage on target',100,2,2),
(186867,45153,'Cannot be modified except by direct means',100,2,3),
(186868,10045153,'Applies Alimaja''s Awakening when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(186869,10045153,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(186870,10045153,'Inflicts 2 magic damage on target',100,2,2),
(186871,10045153,'Cannot be modified except by direct means',100,2,3),
(186872,52905,'Applies Sanguine Imbued when Equipped.',100,0,0),
(186873,52905,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(186874,52905,'Inflicts 54 heat damage on target',100,2,2),
(186875,52905,'Cannot be modified except by direct means',100,2,3),
(186876,10052905,'Applies Sanguine Imbued when Equipped.',100,0,0),
(186877,10052905,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(186878,10052905,'Inflicts 64 heat damage on target',100,2,2),
(186879,10052905,'Cannot be modified except by direct means',100,2,3),
(186880,178631,'When Equipped:',100,0,0),
(186881,178631,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(186882,178631,'Inflicts 105 - 175 heat damage on target',100,2,2),
(186883,178631,'Inflicts 43 - 72 heat damage on target every 4.8 seconds',100,2,3),
(186884,178631,'Cannot be modified except by direct means',100,2,4),
(186885,10178631,'When Equipped:',100,0,0),
(186886,10178631,'When any damage is received this spell has a 5% chance to cast Flame Pillar on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(186887,10178631,'Inflicts 126 - 210 heat damage on target',100,2,2),
(186888,10178631,'Inflicts 52 - 86 heat damage on target every 4.8 seconds',100,2,3),
(186889,10178631,'Cannot be modified except by direct means',100,2,4),
(186890,82789,'When Equipped:',100,0,0),
(186891,82789,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186892,82789,'Decreases Threat to target by 1,174 ',100,2,2),
(186893,82789,'Must be flanking or behind',100,3,3),
(186894,82789,'Increases Threat to target by 1,179 ',100,2,4),
(186895,82789,'Must be in front of',100,3,5),
(186896,82789,'Inflicts 233 - 434 magic damage on target',100,2,6),
(186897,82789,'Cannot be modified except by direct means',100,2,7),
(186898,10082789,'When Equipped:',100,0,0),
(186899,10082789,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(186900,10082789,'Inflicts 280 - 520 magic damage on target',100,2,2),
(186901,10082789,'Cannot be modified except by direct means',100,2,3),
(186902,165435,'When Equipped:',100,0,0),
(186903,165435,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(186904,165435,'Reduces resistibility of all spells by 6.5%.',100,1,2),
(186905,165435,'Cannot be modified except by direct means',100,1,3),
(186906,10165435,'When Equipped:',100,0,0),
(186907,10165435,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(186908,10165435,'Reduces resistibility of all spells by 6.5%.',100,1,2),
(186909,10165435,'Cannot be modified except by direct means',100,1,3),
(186910,81204,'When Equipped:',100,0,0),
(186911,81204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186912,81204,'Inflicts 224 - 416 magic damage on target',100,2,2),
(186913,81204,'Cannot be modified except by direct means',100,2,3),
(186914,10081204,'When Equipped:',100,0,0),
(186915,10081204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186916,10081204,'Inflicts 269 - 499 magic damage on target',100,2,2),
(186917,10081204,'Cannot be modified except by direct means',100,2,3),
(186918,24499,'Adds Lair of Scale: Short Xegonite Table to your Dungeon Maker toolbox',100,0,0),
(186919,10024499,'Adds Lair of Scale: Short Xegonite Table to your Dungeon Maker toolbox',100,0,0),
(186920,110172,'Applies Untreated Bleeding on termination.',100,1,0),
(186921,110172,'Inflicts 185 - 308 piercing damage on target',100,2,1),
(186922,110172,'Inflicts 40 - 66 piercing damage on target instantly and every 4 seconds',100,1,2),
(186923,110172,'Inflicts 26 - 44 melee damage on target',100,1,3),
(186924,10110172,'Applies Untreated Bleeding on termination.',100,1,0),
(186925,10110172,'Inflicts 222 - 370 piercing damage on target',100,2,1),
(186926,10110172,'Inflicts 48 - 79 piercing damage on target instantly and every 4 seconds',100,1,2),
(186927,10110172,'Inflicts 31 - 52 melee damage on target',100,1,3),
(186928,109070,'Inflicts 71 - 118 melee damage on target',100,1,0),
(186929,109070,'Inflicts 71 - 118 melee damage on target',100,1,1),
(186930,109070,'Inflicts 71 - 118 melee damage on target',100,1,2),
(186931,109070,'Decreases Mitigation of target vs physical damage by 336',100,1,3),
(186932,10109070,'Inflicts 85 - 142 melee damage on target',100,1,0),
(186933,10109070,'Inflicts 85 - 142 melee damage on target',100,1,1),
(186934,10109070,'Inflicts 85 - 142 melee damage on target',100,1,2),
(186935,10109070,'Decreases Mitigation of target vs physical damage by 336',100,1,3),
(186936,105848,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(186937,105848,'Increases Damage Per Second of caster by 45.1',100,1,1),
(186938,105848,'Increases Piercing, Slashing and Crushing of caster by 19.4',100,1,2),
(186939,10105848,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(186940,10105848,'Increases Damage Per Second of caster by 45.1',100,1,1),
(186941,10105848,'Increases Piercing, Slashing and Crushing of caster by 19.4',100,1,2),
(186942,123282,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(186943,123282,'Inflicts 58 - 97 disease damage on target',100,2,1),
(186944,123282,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(186945,123282,'This effect cannot be critically applied.',100,3,3),
(186946,123282,'The healing of this spell cannot be modified except by direct means',100,2,4),
(186947,10123282,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(186948,10123282,'Inflicts 70 - 117 disease damage on target',100,2,1),
(186949,10123282,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(186950,10123282,'This effect cannot be critically applied.',100,3,3),
(186951,10123282,'The healing of this spell cannot be modified except by direct means',100,2,4),
(186952,107273,'Inflicts 119 - 199 ranged damage on target',100,1,0),
(186953,107273,'Inflicts 119 - 199 ranged damage on target',100,1,1),
(186954,107273,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(186955,107273,'Throws target back',100,2,3),
(186956,107273,'Stuns target',100,2,4),
(186957,107273,'Blurs vision of target',100,2,5),
(186958,107273,'Does not affect Epic targets',100,2,6),
(186959,107273,'If weapon equipped in Ranged',100,1,7),
(186960,10107273,'Inflicts 101 - 169 ranged damage on target',100,1,0),
(186961,10107273,'Inflicts 101 - 169 ranged damage on target',100,1,1),
(186962,10107273,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(186963,10107273,'Stuns target',100,2,3),
(186964,10107273,'Throws target back',100,2,4),
(186965,10107273,'Blurs vision of target',100,2,5),
(186966,10107273,'Does not affect Epic targets',100,2,6),
(186967,10107273,'If weapon equipped in Ranged',100,1,7),
(186968,35672,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(186969,82266,'When Equipped:',100,0,0),
(186970,82266,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186971,82266,'Inflicts 28 - 51 magic damage on target',100,2,2),
(186972,82266,'Cannot be modified except by direct means',100,2,3),
(186973,10082266,'When Equipped:',100,0,0),
(186974,10082266,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(186975,10082266,'Inflicts 33 - 61 magic damage on target',100,2,2),
(186976,10082266,'Cannot be modified except by direct means',100,2,3),
(186977,48365,'Applies Plant the flag when Activated.',100,0,0),
(186978,48365,'This effect cannot be cast during combat',100,1,1),
(186979,48365,'Special: See Description',100,1,2),
(186980,48365,'Banner cannot be placed in an instance.',100,1,3),
(186981,10048365,'Applies Plant the flag when Activated.',100,0,0),
(186982,10048365,'This effect cannot be cast during combat',100,1,1),
(186983,10048365,'Special: See Description',100,1,2),
(186984,10048365,'Banner cannot be placed in an instance.',100,1,3),
(186985,114453,'Inflicts 191 - 319 heat damage on target',100,1,0),
(186986,10114453,'Inflicts 230 - 383 heat damage on target',100,1,0),
(186987,100078,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(186988,10100078,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(186989,124534,'Dispels 44 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(186990,10124534,'Dispels 44 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(186991,159525,'Applies Sanguine Imbued when Equipped.',100,0,0),
(186992,159525,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(186993,159525,'Inflicts 186 heat damage on target',100,2,2),
(186994,159525,'Cannot be modified except by direct means',100,2,3),
(186995,10159525,'Applies Sanguine Imbued when Equipped.',100,0,0),
(186996,10159525,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(186997,10159525,'Inflicts 224 heat damage on target',100,2,2),
(186998,10159525,'Cannot be modified except by direct means',100,2,3),
(186999,72140,'When Equipped:',100,0,0),
(187000,72140,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187001,72140,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(187002,72140,'Cannot be modified except by direct means',100,2,3),
(187003,10072140,'When Equipped:',100,0,0),
(187004,10072140,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187005,10072140,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(187006,10072140,'Cannot be modified except by direct means',100,2,3),
(187007,118147,'Inflicts 198 - 330 melee damage on target',100,1,0),
(187008,118147,'Dazes target',100,1,1),
(187009,118147,'If Target is not Epic',100,2,2),
(187010,118147,'Resistibility increases against targets higher than level 69.',100,1,3),
(187011,10118147,'Inflicts 237 - 396 melee damage on target',100,1,0),
(187012,10118147,'Dazes target',100,1,1),
(187013,10118147,'If Target is not Epic',100,2,2),
(187014,10118147,'Resistibility increases against targets higher than level 69.',100,1,3),
(187015,36400,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(187016,72317,'When Equipped:',100,0,0),
(187017,72317,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187018,72317,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(187019,72317,'Cannot be modified except by direct means',100,2,3),
(187020,10072317,'When Equipped:',100,0,0),
(187021,10072317,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187022,10072317,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(187023,10072317,'Cannot be modified except by direct means',100,2,3),
(187024,46476,'Applies Grommulitz Everything Soup when Activated.  Lasts for 15 minutes.',100,0,0),
(187025,46476,'Fury of the Devoted:  Adds +50 combat art damage,  +50 to heal amount, and +50 spell damage.',100,1,1),
(187026,46476,'Increases Max Power of caster by 10.0%',100,1,2),
(187027,46476,'Increases Max Health of caster by 10.0%',100,1,3),
(187028,46476,'Must be in Runnyeye: The Gathering.',100,1,4),
(187029,10046476,'Applies Grommulitz Everything Soup when Activated.  Lasts for 15 minutes.',100,0,0),
(187030,10046476,'Fury of the Devoted:  Adds +50 combat art damage,  +50 to heal amount, and +50 spell damage.',100,1,1),
(187031,10046476,'Increases Max Power of caster by 10.0%',100,1,2),
(187032,10046476,'Increases Max Health of caster by 10.0%',100,1,3),
(187033,10046476,'Must be in Runnyeye: The Gathering.',100,1,4),
(187034,116164,'Increases Attack Speed of caster by 33.9',100,1,0),
(187035,116164,'Increases Damage Per Second of caster by 39.1',100,1,1),
(187036,10116164,'Increases Attack Speed of caster by 33.9',100,1,0),
(187037,10116164,'Increases Damage Per Second of caster by 39.1',100,1,1),
(187038,138392,'When Equipped:',100,0,0),
(187039,138392,'Increases Attack Speed of caster by 40.0',100,1,1),
(187040,10138392,'When Equipped:',100,0,0),
(187041,10138392,'Increases Attack Speed of caster by 40.0',100,1,1),
(187042,81776,'When Equipped:',100,0,0),
(187043,81776,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187044,81776,'Inflicts 94 - 175 magic damage on target',100,2,2),
(187045,81776,'Cannot be modified except by direct means',100,2,3),
(187046,10081776,'When Equipped:',100,0,0),
(187047,10081776,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187048,10081776,'Inflicts 113 - 210 magic damage on target',100,2,2),
(187049,10081776,'Cannot be modified except by direct means',100,2,3),
(187050,106244,'Wards target against 120 points of all damage',100,1,0),
(187051,10106244,'Wards target against 120 points of all damage',100,1,0),
(187052,122632,'Makes target afraid',100,1,0),
(187053,122632,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(187054,122632,'Mesmerizes target',100,2,2),
(187055,122632,'Decreases Threat to target by 2,168  instantly and Decreases Threat by 2,168  every 2.2 seconds thereafter',100,2,3),
(187056,122632,'Dispelled when target takes damage',100,2,4),
(187057,122632,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(187058,122632,'Resistibility increases against targets higher than level 114.',100,2,6),
(187059,122632,'30% chance to dispel when target takes damage',100,1,7),
(187060,122632,'Does not affect Epic targets',100,1,8),
(187061,122632,'Resistibility increases against targets higher than level 114.',100,1,9),
(187062,10122632,'Makes target afraid',100,1,0),
(187063,10122632,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(187064,10122632,'Mesmerizes target',100,2,2),
(187065,10122632,'Applies Distract.',100,2,3),
(187066,10122632,'Forces target to clear their selected target.',100,3,4),
(187067,10122632,'Dispelled when target takes damage',100,2,5),
(187068,10122632,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(187069,10122632,'Resistibility increases against targets higher than level 114.',100,2,7),
(187070,10122632,'30% chance to dispel when target takes damage',100,1,8),
(187071,10122632,'Does not affect Epic targets',100,1,9),
(187072,10122632,'Resistibility increases against targets higher than level 114.',100,1,10),
(187073,120814,'Inflicts 5 - 7 disease damage on target instantly and every second',100,1,0),
(187074,10120814,'Inflicts 9 - 12 disease damage on target',100,1,0),
(187075,10120814,'Inflicts 6 - 8 disease damage on target every second',100,1,1),
(187076,119606,'Increases power of caster by 77 instantly and every 4 seconds',100,1,0),
(187077,10119606,'Increases power of caster by 77 instantly and every 4 seconds',100,1,0),
(187078,103949,'Applies Castigate.',100,1,0),
(187079,103949,'Inflicts 428 - 713 divine damage on targets in Area of Effect',100,2,1),
(187080,103949,'Dispels 101 levels of any hostile effects on caster',100,1,2),
(187081,103949,'Casts Castigate for each successful Dispel.',100,1,3),
(187082,103949,'Inflicts 428 - 713 divine damage on targets in Area of Effect',100,3,4),
(187083,10103949,'Applies Castigate.',100,1,0),
(187084,10103949,'Inflicts 513 - 856 divine damage on targets in Area of Effect',100,2,1),
(187085,10103949,'Dispels 101 levels of any hostile effects on caster',100,1,2),
(187086,10103949,'Casts Castigate for each successful Dispel.',100,1,3),
(187087,10103949,'Inflicts 513 - 856 divine damage on targets in Area of Effect',100,3,4),
(187088,109214,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 16.7',100,1,0),
(187089,10109214,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 16.7',100,1,0),
(187090,110955,'Applies Awakening on termination.',100,1,0),
(187091,110955,'Heals target for 2408 - 2944',100,2,1),
(187092,10110955,'Applies Awakening on termination.',100,1,0),
(187093,10110955,'Heals target for 3757 - 4592',100,2,1),
(187094,132720,'When Equipped:',100,0,0),
(187095,132720,'When any damage is received this spell has a 7.5% chance to cast Stumble on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(187096,132720,'Decreases AGI of target by 57.2',100,2,2),
(187097,132720,'Cannot be modified except by direct means',100,2,3),
(187098,10132720,'When Equipped:',100,0,0),
(187099,10132720,'When any damage is received this spell has a 7.5% chance to cast Stumble on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(187100,10132720,'Decreases AGI of target by 57.2',100,2,2),
(187101,10132720,'Cannot be modified except by direct means',100,2,3),
(187102,159977,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187103,159977,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187104,159977,'Inflicts 38 heat damage on target',100,2,2),
(187105,159977,'Cannot be modified except by direct means',100,2,3),
(187106,10159977,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187107,10159977,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187108,10159977,'Inflicts 45 heat damage on target',100,2,2),
(187109,10159977,'Cannot be modified except by direct means',100,2,3),
(187110,172468,'When Equipped:',100,0,0),
(187111,172468,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(187112,172468,'Increases power of caster by 236',100,2,2),
(187113,172468,'Heals caster for 530 - 648',100,2,3),
(187114,172468,'Must not be engaged in pvp combat',100,2,4),
(187115,172468,'Cannot be modified except by direct means',100,2,5),
(187116,172468,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(187117,172468,'Increases power of caster by 236',100,2,7),
(187118,172468,'Heals caster for 530 - 648',100,2,8),
(187119,172468,'Must not be engaged in pvp combat',100,2,9),
(187120,172468,'Cannot be modified except by direct means',100,2,10),
(187121,10172468,'When Equipped:',100,0,0),
(187122,10172468,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(187123,10172468,'Increases power of caster by 236',100,2,2),
(187124,10172468,'Heals caster for 344 - 421',100,2,3),
(187125,10172468,'Must not be engaged in pvp combat',100,2,4),
(187126,10172468,'Cannot be modified except by direct means',100,2,5),
(187127,10172468,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(187128,10172468,'Increases power of caster by 236',100,2,7),
(187129,10172468,'Heals caster for 344 - 421',100,2,8),
(187130,10172468,'Must not be engaged in pvp combat',100,2,9),
(187131,10172468,'Cannot be modified except by direct means',100,2,10),
(187132,103015,'Inflicts 65 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(187133,103015,'Inflicts 24 - 40 melee damage on target',100,1,1),
(187134,10103015,'Inflicts 78 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(187135,10103015,'Inflicts 29 - 48 melee damage on target',100,1,1),
(187136,24001,'Adds Amygdalan (Berserker) to your Dungeon Maker toolbox',100,0,0),
(187137,10024001,'Adds Amygdalan (Berserker) to your Dungeon Maker toolbox',100,0,0),
(187138,118319,'Roots target encounter',100,1,0),
(187139,118319,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(187140,118319,'Slows target by 50.2%',100,2,2),
(187141,118319,'5% chance to dispel when target receives hostile action',100,2,3),
(187142,118319,'5% chance to dispel when target takes damage',100,2,4),
(187143,118319,'20% chance to dispel when target takes damage',100,1,5),
(187144,118319,'Does not affect Epic targets',100,1,6),
(187145,118319,'Resistibility increases against targets higher than level 107.',100,1,7),
(187146,10118319,'Roots target encounter',100,1,0),
(187147,10118319,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(187148,10118319,'Slows target by 50.2%',100,2,2),
(187149,10118319,'5% chance to dispel when target receives hostile action',100,2,3),
(187150,10118319,'5% chance to dispel when target takes damage',100,2,4),
(187151,10118319,'20% chance to dispel when target takes damage',100,1,5),
(187152,10118319,'Does not affect Epic targets',100,1,6),
(187153,10118319,'Resistibility increases against targets higher than level 107.',100,1,7),
(187154,25060,'When Equipped:',100,0,0),
(187155,25060,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(187156,25060,'On a critical combat hit this spell has a 15% chance to cast Elemental Detonation on target of attack.  Lasts for 6.0 seconds.  ',100,1,2),
(187157,25060,'On death this spell will cast Elemental Detonation on caster.  ',100,2,3),
(187158,25060,'Inflicts 6175 - 6825 cold damage on targets in Area of Effect',100,3,4),
(187159,25060,'Must not be engaged in pvp combat',100,3,5),
(187160,25060,'Cannot be modified except by direct means',100,3,6),
(187161,25060,'Must not be engaged in pvp combat',100,2,7),
(187162,25060,'Cannot be modified except by direct means',100,2,8),
(187163,25060,'On a critical spell hit this spell has a 15% chance to cast Elemental Detonation on target of spell.  Lasts for 6.0 seconds.  ',100,1,9),
(187164,25060,'On death this spell will cast Elemental Detonation on caster.  ',100,2,10),
(187165,25060,'Inflicts 6175 - 6825 cold damage on targets in Area of Effect',100,3,11),
(187166,25060,'Must not be engaged in pvp combat',100,3,12),
(187167,25060,'Cannot be modified except by direct means',100,3,13),
(187168,25060,'Must not be engaged in pvp combat',100,2,14),
(187169,25060,'Cannot be modified except by direct means',100,2,15),
(187170,25060,'Must not be engaged in pvp combat',100,1,16),
(187171,10025060,'When Equipped:',100,0,0),
(187172,10025060,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(187173,10025060,'On a critical combat hit this spell has a 15% chance to cast Elemental Detonation on target of attack.  Lasts for 6.0 seconds.  ',100,1,2),
(187174,10025060,'On death this spell will cast Elemental Detonation on caster.  ',100,2,3),
(187175,10025060,'Inflicts 7410 - 8190 cold damage on targets in Area of Effect',100,3,4),
(187176,10025060,'Must not be engaged in pvp combat',100,3,5);
INSERT INTO `item_effects` VALUES
(187177,10025060,'Cannot be modified except by direct means',100,3,6),
(187178,10025060,'Must not be engaged in pvp combat',100,2,7),
(187179,10025060,'Cannot be modified except by direct means',100,2,8),
(187180,10025060,'On a critical spell hit this spell has a 15% chance to cast Elemental Detonation on target of spell.  Lasts for 6.0 seconds.  ',100,1,9),
(187181,10025060,'On death this spell will cast Elemental Detonation on caster.  ',100,2,10),
(187182,10025060,'Inflicts 7410 - 8190 cold damage on targets in Area of Effect',100,3,11),
(187183,10025060,'Must not be engaged in pvp combat',100,3,12),
(187184,10025060,'Cannot be modified except by direct means',100,3,13),
(187185,10025060,'Must not be engaged in pvp combat',100,2,14),
(187186,10025060,'Cannot be modified except by direct means',100,2,15),
(187187,10025060,'Must not be engaged in pvp combat',100,1,16),
(187188,52848,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187189,52848,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187190,52848,'Inflicts 131 heat damage on target',100,2,2),
(187191,52848,'Cannot be modified except by direct means',100,2,3),
(187192,10052848,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187193,10052848,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187194,10052848,'Inflicts 158 heat damage on target',100,2,2),
(187195,10052848,'Cannot be modified except by direct means',100,2,3),
(187196,106213,'Applies Defile.',100,1,0),
(187197,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,1),
(187198,106213,'If under 40% Health',100,3,2),
(187199,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,3),
(187200,106213,'If under 10% Health',100,3,4),
(187201,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,5),
(187202,106213,'If under 20% Health',100,3,6),
(187203,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,7),
(187204,106213,'If under 70% Health',100,3,8),
(187205,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,9),
(187206,106213,'If under 80% Health',100,3,10),
(187207,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,11),
(187208,106213,'If under 90% Health',100,3,12),
(187209,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,13),
(187210,106213,'If under 60% Health',100,3,14),
(187211,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,15),
(187212,106213,'If under 100% Health',100,3,16),
(187213,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,17),
(187214,106213,'If under 30% Health',100,3,18),
(187215,106213,'Inflicts 90 disease damage on targets in Area of Effect',100,2,19),
(187216,106213,'If under 50% Health',100,3,20),
(187217,10106213,'Applies Defile.',100,1,0),
(187218,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,1),
(187219,10106213,'If over 100% Health',100,3,2),
(187220,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,3),
(187221,10106213,'If at 80% Health or less',100,3,4),
(187222,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,5),
(187223,10106213,'If at 90% Health or less',100,3,6),
(187224,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,7),
(187225,10106213,'If at 40% Health or less',100,3,8),
(187226,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,9),
(187227,10106213,'If at 50% Health or less',100,3,10),
(187228,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,11),
(187229,10106213,'If at 60% Health or less',100,3,12),
(187230,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,13),
(187231,10106213,'If at 20% Health or less',100,3,14),
(187232,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,15),
(187233,10106213,'If at 10% Health or less',100,3,16),
(187234,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,17),
(187235,10106213,'If at 30% Health or less',100,3,18),
(187236,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,19),
(187237,10106213,'If at 100% Health or greater',100,3,20),
(187238,10106213,'Inflicts 109 disease damage on targets in Area of Effect',100,2,21),
(187239,10106213,'If at 70% Health or less',100,3,22),
(187240,40609,'When Equipped:',100,0,0),
(187241,40609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187242,40609,'Inflicts 115 - 173 magic damage on target',100,2,2),
(187243,40609,'Cannot be modified except by direct means',100,2,3),
(187244,10040609,'When Equipped:',100,0,0),
(187245,10040609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187246,10040609,'Inflicts 139 - 208 magic damage on target',100,2,2),
(187247,10040609,'Cannot be modified except by direct means',100,2,3),
(187248,108238,'Inflicts 244 - 734 piercing damage on target',100,1,0),
(187249,108238,'Decreases Slashing, Crushing, Piercing and Ranged of target by 40.3',100,1,1),
(187250,10108238,'Inflicts 293 - 881 piercing damage on target',100,1,0),
(187251,10108238,'Decreases Slashing, Crushing, Piercing and Ranged of target by 40.3',100,1,1),
(187252,26027,'When Equipped:',100,0,0),
(187253,26027,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(187254,26027,'Inflicts 20 piercing damage on target',100,2,2),
(187255,26027,'Cannot be modified except by direct means',100,2,3),
(187256,10026027,'When Equipped:',100,0,0),
(187257,10026027,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(187258,10026027,'Inflicts 24 piercing damage on target',100,2,2),
(187259,10026027,'Cannot be modified except by direct means',100,2,3),
(187260,106883,'Stuns targets in Area of Effect',100,1,0),
(187261,106883,'If Target is not Epic',100,2,1),
(187262,106883,'Decreases Threat to targets in Area of Effect by 2,850 ',100,1,2),
(187263,10106883,'Stuns targets in Area of Effect',100,1,0),
(187264,10106883,'If Target is not Epic',100,2,1),
(187265,10106883,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,2),
(187266,10106883,'Applies Distract.',100,1,3),
(187267,10106883,'Forces target to clear their selected target.',100,2,4),
(187268,123558,'Summons a limited pet to aid the caster',100,1,0),
(187269,10123558,'Summons a limited pet to aid the caster',100,1,0),
(187270,82119,'When Equipped:',100,0,0),
(187271,82119,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187272,82119,'Inflicts 135 - 252 magic damage on target',100,2,2),
(187273,82119,'Decreases Threat to target by 641 ',100,2,3),
(187274,82119,'Must be flanking or behind',100,3,4),
(187275,82119,'Increases Threat to target by 646 ',100,2,5),
(187276,82119,'Must be in front of',100,3,6),
(187277,82119,'Cannot be modified except by direct means',100,2,7),
(187278,10082119,'When Equipped:',100,0,0),
(187279,10082119,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187280,10082119,'Inflicts 163 - 302 magic damage on target',100,2,2),
(187281,10082119,'Cannot be modified except by direct means',100,2,3),
(187282,112615,'Increases STA of caster by 49.5',100,1,0),
(187283,112615,'Reduces slow effects on caster by 18.0%',100,1,1),
(187284,112615,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1296',100,1,2),
(187285,10112615,'Increases STA of caster by 49.5',100,1,0),
(187286,10112615,'Reduces slow effects on caster by 18.0%',100,1,1),
(187287,10112615,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1296',100,1,2),
(187288,103481,'Increases In-Combat Power Regeneration of group members (AE) by 18.5',100,1,0),
(187289,10103481,'Increases In-Combat Power Regeneration of group members (AE) by 18.5',100,1,0),
(187290,109811,'Inflicts 59 - 99 melee damage on target',100,1,0),
(187291,109811,'Decreases Parry of target by 9.0',100,1,1),
(187292,109811,'Must be in front of or flanking',100,1,2),
(187293,10109811,'Inflicts 71 - 119 melee damage on target',100,1,0),
(187294,10109811,'Decreases Parry of target by 9.0',100,1,1),
(187295,10109811,'Must be in front of or flanking',100,1,2),
(187296,104143,'Roots target',100,1,0),
(187297,104143,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(187298,104143,'Slows target by 26.8%',100,2,2),
(187299,104143,'Makes target afraid',100,2,3),
(187300,104143,'30% chance to dispel when target takes damage',100,2,4),
(187301,104143,'Resistibility increases against targets higher than level 102.',100,2,5),
(187302,104143,'15% chance to dispel when target takes damage',100,1,6),
(187303,104143,'Does not affect Epic targets',100,1,7),
(187304,104143,'Resistibility increases against targets higher than level 102.',100,1,8),
(187305,10104143,'Roots target',100,1,0),
(187306,10104143,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(187307,10104143,'Makes target afraid',100,2,2),
(187308,10104143,'Slows target by 26.8%',100,2,3),
(187309,10104143,'30% chance to dispel when target takes damage',100,2,4),
(187310,10104143,'Resistibility increases against targets higher than level 102.',100,2,5),
(187311,10104143,'15% chance to dispel when target takes damage',100,1,6),
(187312,10104143,'Does not affect Epic targets',100,1,7),
(187313,10104143,'Resistibility increases against targets higher than level 102.',100,1,8),
(187314,104243,'Increases Mitigation of group members (AE) vs physical damage by 360',100,1,0),
(187315,10104243,'Increases Mitigation of group members (AE) vs physical damage by 360',100,1,0),
(187316,181048,'When Equipped:',100,0,0),
(187317,181048,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(187318,181048,'Decreases power of target by 226',100,2,2),
(187319,181048,'Increases power of caster by 135',100,2,3),
(187320,181048,'Cannot be modified except by direct means',100,2,4),
(187321,10181048,'When Equipped:',100,0,0),
(187322,10181048,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(187323,10181048,'Decreases power of target by 226',100,2,2),
(187324,10181048,'Increases power of caster by 135',100,2,3),
(187325,10181048,'Cannot be modified except by direct means',100,2,4),
(187326,117408,'Increases Threat to target by 1,016 ',100,1,0),
(187327,117408,'Inflicts 111 - 333 melee damage on target',100,1,1),
(187328,10117408,'Forces target to change their selected target to caster.',100,1,0),
(187329,10117408,'Inflicts 88 - 266 melee damage on target',100,1,1),
(187330,115666,'Increases STR of caster by 11.1',100,1,0),
(187331,115666,'Decreases Defense of caster by 2.2',100,1,1),
(187332,115666,'Increases Slashing, Piercing and Crushing of caster by 4.4',100,1,2),
(187333,10115666,'Increases STR of caster by 11.1',100,1,0),
(187334,10115666,'Decreases Defense of caster by 2.2',100,1,1),
(187335,10115666,'Increases Slashing, Piercing and Crushing of caster by 4.4',100,1,2),
(187336,122211,'Increases Damage Per Second of target by 19.9',100,1,0),
(187337,122211,'Increases Max Health of target by 363.3',100,1,1),
(187338,10122211,'Increases Damage Per Second of target by 19.9',100,1,0),
(187339,10122211,'Increases Max Health of target by 363.3',100,1,1),
(187340,120594,'Inflicts 84 - 156 heat damage on target',100,1,0),
(187341,10120594,'Inflicts 101 - 187 heat damage on target',100,1,0),
(187342,121581,'Decreases Threat to target by 256 ',100,1,0),
(187343,121581,'Stuns target',100,1,1),
(187344,121581,'If Target is not Epic',100,2,2),
(187345,121581,'Resistibility increases against targets higher than level 45.',100,1,3),
(187346,10121581,'Stuns target',100,1,0),
(187347,10121581,'If Target is not Epic',100,2,1),
(187348,10121581,'Resistibility increases against targets higher than level 45.',100,1,2),
(187349,104057,'Inflicts 19 - 33 mental damage on target',100,1,0),
(187350,104057,'Inflicts 19 - 33 mental damage on target',100,1,1),
(187351,10104057,'Inflicts 23 - 39 mental damage on target',100,1,0),
(187352,10104057,'Inflicts 23 - 39 mental damage on target',100,1,1),
(187353,107342,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(187354,107342,'Increases Threat to target by 181 ',100,2,1),
(187355,10107342,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(187356,10107342,'Inflicts 32 - 36 crushing damage on target',100,2,1),
(187357,80604,'When Equipped:',100,0,0),
(187358,80604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187359,80604,'Inflicts 53 - 98 magic damage on target',100,2,2),
(187360,80604,'Cannot be modified except by direct means',100,2,3),
(187361,10080604,'When Equipped:',100,0,0),
(187362,10080604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187363,10080604,'Inflicts 64 - 118 magic damage on target',100,2,2),
(187364,10080604,'Cannot be modified except by direct means',100,2,3),
(187365,110654,'Inflicts 1546 - 2577 ranged damage on target',100,1,0),
(187366,110654,'If weapon equipped in Ranged',100,1,1),
(187367,110654,'Must be flanking or behind',100,1,2),
(187368,10110654,'Inflicts 960 - 1601 ranged damage on target',100,1,0),
(187369,10110654,'If weapon equipped in Ranged',100,1,1),
(187370,10110654,'Must be flanking or behind',100,1,2),
(187371,104773,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(187372,104773,'Inflicts 388 disease damage on target',100,2,1),
(187373,104773,'Heals caster for 214',100,2,2),
(187374,104773,'Heals group members'' pets for 214',100,2,3),
(187375,10104773,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(187376,10104773,'Inflicts 465 disease damage on target',100,2,1),
(187377,10104773,'Heals caster for 139',100,2,2),
(187378,10104773,'Heals group members'' pets for 139',100,2,3),
(187379,52784,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187380,52784,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187381,52784,'Inflicts 160 heat damage on target',100,2,2),
(187382,52784,'Cannot be modified except by direct means',100,2,3),
(187383,10052784,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187384,10052784,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187385,10052784,'Inflicts 192 heat damage on target',100,2,2),
(187386,10052784,'Cannot be modified except by direct means',100,2,3),
(187387,107608,'Resurrects target with 10% health and power',100,1,0),
(187388,107608,'Applies Elegy on termination.',100,1,1),
(187389,107608,'Heals target for 25.0% of max health',100,2,2),
(187390,107608,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,3),
(187391,107608,'Decreases Attack Speed of target by 20.0',100,2,4),
(187392,107608,'If not between levels 1 - 6',100,3,5),
(187393,107608,'Decreases All Attributes of target by 20.0%',100,2,6),
(187394,107608,'If not between levels 1 - 6',100,3,7),
(187395,107608,'Decreases All Attributes of target by 5.0%',100,2,8),
(187396,107608,'If between levels 1 - 6',100,3,9),
(187397,107608,'Decreases Attack Speed of target by 5.0',100,2,10),
(187398,107608,'If between levels 1 - 6',100,3,11),
(187399,107608,'If outside an arena',100,1,12),
(187400,10107608,'Resurrects target with 10% health and power',100,1,0),
(187401,10107608,'Applies Elegy on termination.',100,1,1),
(187402,10107608,'Heals target for 16.3% of max health',100,2,2),
(187403,10107608,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,3),
(187404,10107608,'Decreases Attack Speed of target by 20.0',100,2,4),
(187405,10107608,'If not between levels 1 - 6',100,3,5),
(187406,10107608,'Decreases All Attributes of target by 20.0%',100,2,6),
(187407,10107608,'If not between levels 1 - 6',100,3,7),
(187408,10107608,'Decreases All Attributes of target by 5.0%',100,2,8),
(187409,10107608,'If between levels 1 - 6',100,3,9),
(187410,10107608,'Decreases Attack Speed of target by 5.0',100,2,10),
(187411,10107608,'If between levels 1 - 6',100,3,11),
(187412,10107608,'If outside an arena',100,1,12),
(187413,159970,'When Equipped:',100,0,0),
(187414,159970,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187415,159970,'Increases STR of caster by 8.8',100,2,2),
(187416,159970,'Increases Damage Per Second of caster by 15.1',100,2,3),
(187417,159970,'Cannot be modified except by direct means',100,2,4),
(187418,10159970,'When Equipped:',100,0,0),
(187419,10159970,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187420,10159970,'Increases STR of caster by 8.8',100,2,2),
(187421,10159970,'Increases Damage Per Second of caster by 15.1',100,2,3),
(187422,10159970,'Cannot be modified except by direct means',100,2,4),
(187423,116372,'Teleports target to a random location within 5 meters.',100,1,0),
(187424,116372,'If Target is not Epic',100,2,1),
(187425,116372,'Wipes almost all of target''s memory of aggression towards their current target.',100,1,2),
(187426,10116372,'Teleports target to a random location within 31 - 38 meters.',100,1,0),
(187427,10116372,'If Target is not Epic',100,2,1),
(187428,103365,'Decreases power of target by 12 instantly and every 6 seconds',100,1,0),
(187429,103365,'Inflicts 46 - 57 mental damage on target instantly and every 6 seconds',100,1,1),
(187430,103365,'Increases power of caster by 58',100,1,2),
(187431,10103365,'Decreases power of target by 12 instantly and every 6 seconds',100,1,0),
(187432,10103365,'Inflicts 56 - 68 mental damage on target instantly and every 6 seconds',100,1,1),
(187433,10103365,'Increases power of caster by 58',100,1,2),
(187434,84028,'Applies Lightning Shock when Activated.',100,0,0),
(187435,84028,'Inflicts 218 - 364 magic damage on target',100,1,1),
(187436,84028,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(187437,10084028,'Applies Lightning Shock when Activated.',100,0,0),
(187438,10084028,'Inflicts 262 - 436 magic damage on target',100,1,1),
(187439,10084028,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(187440,37291,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(187441,89945,'When Equipped:',100,0,0),
(187442,89945,'On a combat hit this spell may cast Icy Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187443,89945,'Inflicts 135 cold damage on target',100,2,2),
(187444,89945,'Cannot be modified except by direct means',100,2,3),
(187445,10089945,'When Equipped:',100,0,0),
(187446,10089945,'On a combat hit this spell may cast Icy Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187447,10089945,'Inflicts 162 cold damage on target',100,2,2),
(187448,10089945,'Cannot be modified except by direct means',100,2,3),
(187449,117262,'Inflicts 23 - 39 melee damage on target',100,1,0),
(187450,117262,'Decreases Damage Per Second of target by 6.9',100,1,1),
(187451,117262,'Decreases Attack Speed of target by 6.0',100,1,2),
(187452,10117262,'Inflicts 28 - 47 melee damage on target',100,1,0),
(187453,10117262,'Decreases Damage Per Second of target by 6.9',100,1,1),
(187454,10117262,'Decreases Attack Speed of target by 6.0',100,1,2),
(187455,71939,'When Equipped:',100,0,0),
(187456,71939,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187457,71939,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(187458,71939,'Cannot be modified except by direct means',100,2,3),
(187459,10071939,'When Equipped:',100,0,0),
(187460,10071939,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187461,10071939,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(187462,10071939,'Cannot be modified except by direct means',100,2,3),
(187463,41470,'When Equipped:',100,0,0),
(187464,41470,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187465,41470,'Inflicts 77 - 144 magic damage on target',100,2,2),
(187466,41470,'Decreases Threat to target by 352 ',100,2,3),
(187467,41470,'Must be flanking or behind',100,3,4),
(187468,41470,'Increases Threat to target by 357 ',100,2,5),
(187469,41470,'Must be in front of',100,3,6),
(187470,41470,'Cannot be modified except by direct means',100,2,7),
(187471,10041470,'When Equipped:',100,0,0),
(187472,10041470,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187473,10041470,'Inflicts 93 - 173 magic damage on target',100,2,2),
(187474,10041470,'Cannot be modified except by direct means',100,2,3),
(187475,52426,'Applies Amazing Presence II when Activated.  Lasts for 15.0 seconds.',100,0,0),
(187476,52426,'On a healing spell cast this spell will cast Amazing Presence on target of spell cast.  ',100,1,1),
(187477,52426,'Dispels 103 levels of any hostile effects on target',100,2,2),
(187478,52426,'Cannot be modified except by direct means',100,2,3),
(187479,52426,'Must not be engaged in pvp combat',100,1,4),
(187480,52426,'The reuse time of Amazing Presence II is 5 minutes',100,1,5),
(187481,10052426,'Applies Amazing Presence II when Activated.  Lasts for 15.0 seconds.',100,0,0),
(187482,10052426,'On a healing spell cast this spell will cast Amazing Presence on target of spell cast.  ',100,1,1),
(187483,10052426,'Dispels 103 levels of any hostile effects on target',100,2,2),
(187484,10052426,'Cannot be modified except by direct means',100,2,3),
(187485,10052426,'Must not be engaged in pvp combat',100,1,4),
(187486,10052426,'The reuse time of Amazing Presence II is 5 minutes',100,1,5),
(187487,107114,'Inflicts 9 - 11 divine damage on target',100,1,0),
(187488,107114,'Inflicts 9 - 11 divine damage on target',100,1,1),
(187489,107114,'If target is undead',100,2,2),
(187490,10107114,'Inflicts 11 - 13 divine damage on target',100,1,0),
(187491,10107114,'Inflicts 11 - 13 divine damage on target',100,1,1),
(187492,115073,'Heals target for 108 - 132',100,1,0),
(187493,115073,'Heals target for 14 - 17 every second',100,1,1),
(187494,10115073,'Heals target for 200 - 245',100,1,0),
(187495,10115073,'Heals target for 15 - 18 every second',100,1,1),
(187496,135817,'When Equipped:',100,0,0),
(187497,135817,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(187498,135817,'Inflicts 1998 disease damage on target encounter',100,2,2),
(187499,135817,'Must not be engaged in pvp combat',100,2,3),
(187500,135817,'Cannot be modified except by direct means',100,2,4),
(187501,10135817,'When Equipped:',100,0,0),
(187502,10135817,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(187503,10135817,'Inflicts 1199 disease damage on target encounter',100,2,2),
(187504,10135817,'Must not be engaged in pvp combat',100,2,3),
(187505,10135817,'Cannot be modified except by direct means',100,2,4),
(187506,178810,'When Equipped:',100,0,0),
(187507,178810,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(187508,178810,'Increases power of caster by 604',100,2,2),
(187509,178810,'Cannot be modified except by direct means',100,2,3),
(187510,10178810,'When Equipped:',100,0,0),
(187511,10178810,'On a kill this spell has a 10% chance to cast Essence Absorption on caster.  ',100,1,1),
(187512,10178810,'Increases power of caster by 604',100,2,2),
(187513,10178810,'Cannot be modified except by direct means',100,2,3),
(187514,102490,'Inflicts 371 - 619 crushing damage on target',100,1,0),
(187515,102490,'Prevents target from changing direction while active.',100,1,1),
(187516,102490,'If Target is not Epic',100,2,2),
(187517,102490,'Roots target',100,1,3),
(187518,102490,'If Target is not Epic',100,2,4),
(187519,102490,'Resistibility increases against targets higher than level 79.',100,1,5),
(187520,10102490,'Inflicts 446 - 743 crushing damage on target',100,1,0),
(187521,10102490,'Prevents target from changing direction while active.',100,1,1),
(187522,10102490,'If Target is not Epic',100,2,2),
(187523,10102490,'Roots target',100,1,3),
(187524,10102490,'If Target is not Epic',100,2,4),
(187525,10102490,'Resistibility increases against targets higher than level 79.',100,1,5),
(187526,120020,'Inflicts 28 - 34 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(187527,120020,'Decreases power of target encounter by 9 instantly and every 4 seconds',100,1,1),
(187528,10120020,'Inflicts 34 - 41 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(187529,10120020,'Decreases power of target encounter by 9 instantly and every 4 seconds',100,1,1),
(187530,84006,'Applies Lightning Shock when Activated.',100,0,0),
(187531,84006,'Inflicts 296 - 494 magic damage on target',100,1,1),
(187532,84006,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(187533,10084006,'Applies Lightning Shock when Activated.',100,0,0),
(187534,10084006,'Inflicts 356 - 593 magic damage on target',100,1,1),
(187535,10084006,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(187536,103017,'Inflicts 66 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(187537,103017,'Inflicts 24 - 41 melee damage on target',100,1,1),
(187538,10103017,'Inflicts 79 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(187539,10103017,'Inflicts 29 - 49 melee damage on target',100,1,1),
(187540,165673,'When Equipped:',100,0,0),
(187541,165673,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(187542,165673,'Heals caster for 114 instantly and every 5 seconds',100,2,2),
(187543,165673,'Cannot be modified except by direct means',100,2,3),
(187544,10165673,'When Equipped:',100,0,0),
(187545,10165673,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(187546,10165673,'Heals caster for 74 instantly and every 5 seconds',100,2,2),
(187547,10165673,'Cannot be modified except by direct means',100,2,3),
(187548,71781,'When Equipped:',100,0,0),
(187549,71781,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187550,71781,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(187551,71781,'Cannot be modified except by direct means',100,2,3),
(187552,10071781,'When Equipped:',100,0,0),
(187553,10071781,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187554,10071781,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(187555,10071781,'Cannot be modified except by direct means',100,2,3),
(187556,81971,'When Equipped:',100,0,0),
(187557,81971,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187558,81971,'Inflicts 408 - 757 magic damage on target',100,2,2),
(187559,81971,'Decreases Threat to target by 994 ',100,2,3),
(187560,81971,'Must be flanking or behind',100,3,4),
(187561,81971,'Increases Threat to target by 995 ',100,2,5),
(187562,81971,'Must be in front of',100,3,6),
(187563,81971,'Cannot be modified except by direct means',100,2,7),
(187564,10081971,'When Equipped:',100,0,0),
(187565,10081971,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187566,10081971,'Inflicts 530 - 984 magic damage on target',100,2,2),
(187567,10081971,'Cannot be modified except by direct means',100,2,3),
(187568,111454,'Decreases Attack Speed of caster by 16.9',100,1,0),
(187569,111454,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(187570,111454,'Roots target',100,2,2),
(187571,111454,'5% chance to dispel when target takes damage',100,2,3),
(187572,111454,'5% chance to dispel when target receives hostile action',100,2,4),
(187573,111454,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(187574,111454,'Increases Mitigation of caster vs physical damage by 656',100,1,6),
(187575,10111454,'Decreases Attack Speed of caster by 16.9',100,1,0),
(187576,10111454,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(187577,10111454,'Roots target',100,2,2),
(187578,10111454,'5% chance to dispel when target takes damage',100,2,3),
(187579,10111454,'5% chance to dispel when target receives hostile action',100,2,4),
(187580,10111454,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(187581,10111454,'Increases Mitigation of caster vs physical damage by 656',100,1,6),
(187582,119001,'Heals target for 944 - 1154',100,1,0),
(187583,10119001,'Heals target for 1005 - 1228',100,1,0),
(187584,138382,'When Equipped:',100,0,0),
(187585,138382,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(187586,138382,'Inflicts 1225 - 1838 poison damage on target',100,2,2),
(187587,138382,'Heals caster for 816 - 1224',100,2,3),
(187588,138382,'Cannot be modified except by direct means',100,2,4),
(187589,138382,'Cannot be modified except by direct means',100,1,5),
(187590,10138382,'When Equipped:',100,0,0),
(187591,10138382,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(187592,10138382,'Inflicts 1593 - 2390 poison damage on target',100,2,2),
(187593,10138382,'Heals caster for 955 - 1432',100,2,3),
(187594,10138382,'Cannot be modified except by direct means',100,2,4),
(187595,10138382,'Cannot be modified except by direct means',100,1,5),
(187596,107580,'Dazes target encounter',100,1,0),
(187597,107580,'Inflicts 234 - 286 mental damage on target encounter',100,1,1),
(187598,107580,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(187599,107580,'Resistibility increases against targets higher than level 54.',100,1,3),
(187600,10107580,'Dazes target encounter',100,1,0),
(187601,10107580,'Inflicts 304 - 372 mental damage on target encounter',100,1,1),
(187602,10107580,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(187603,10107580,'Resistibility increases against targets higher than level 54.',100,1,3),
(187604,36958,'Increases INT of target by 1.5',100,0,0),
(187605,36958,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(187606,111246,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(187607,111246,'Heals target for 405 - 495',100,2,1),
(187608,10111246,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(187609,10111246,'Heals target for 263 - 322',100,2,1),
(187610,111949,'Inflicts 71 - 87 disease damage on target',100,1,0),
(187611,111949,'Decreases Mitigation of target vs noxious damage by 190',100,1,1),
(187612,10111949,'Inflicts 119 - 145 disease damage on target',100,1,0),
(187613,10111949,'Decreases Mitigation of target vs noxious damage by 190',100,1,1),
(187614,116566,'Inflicts 63 - 105 divine damage on target',100,1,0),
(187615,116566,'Decreases Parry of target by 5.4',100,1,1),
(187616,116566,'If Two-Handed weapon equipped in Primary',100,1,2),
(187617,10116566,'Inflicts 82 - 137 divine damage on target',100,1,0),
(187618,10116566,'Decreases Parry of target by 5.4',100,1,1),
(187619,10116566,'If Two-Handed weapon equipped in Primary',100,1,2),
(187620,45003,'Applies Create Badge when Activated.',100,0,0),
(187621,45003,'Summon 1 Badge of Service',100,1,1),
(187622,10045003,'Applies Create Badge when Activated.',100,0,0),
(187623,10045003,'Summon 1 Badge of Service',100,1,1),
(187624,104593,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(187625,104593,'Slows target by 32.0%',100,2,1),
(187626,104593,'5% chance to dispel when target receives hostile action',100,2,2),
(187627,104593,'5% chance to dispel when target takes damage',100,2,3),
(187628,104593,'Inflicts 40 - 49 cold damage on target',100,1,4),
(187629,10104593,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(187630,10104593,'Slows target by 32.0%',100,2,1),
(187631,10104593,'5% chance to dispel when target receives hostile action',100,2,2),
(187632,10104593,'5% chance to dispel when target takes damage',100,2,3),
(187633,10104593,'Inflicts 52 - 64 cold damage on target',100,1,4),
(187634,148900,'When Equipped:',100,0,0),
(187635,148900,'On a hostile spell cast this spell may cast Concussive Shock on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(187636,148900,'Stuns target encounter',100,2,2),
(187637,148900,'Must not be engaged in pvp combat',100,2,3),
(187638,148900,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,4),
(187639,148900,'Resistibility increases against targets higher than level 112.',100,2,5),
(187640,148900,'Cannot be modified except by direct means',100,2,6),
(187641,148900,'Must not be engaged in pvp combat',100,1,7),
(187642,10148900,'When Equipped:',100,0,0),
(187643,10148900,'On a hostile spell cast this spell may cast Concussive Shock on target of spell.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(187644,10148900,'Stuns target encounter',100,2,2),
(187645,10148900,'Must not be engaged in pvp combat',100,2,3),
(187646,10148900,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(187647,10148900,'Resistibility increases against targets higher than level 112.',100,2,5),
(187648,10148900,'Cannot be modified except by direct means',100,2,6),
(187649,10148900,'Must not be engaged in pvp combat',100,1,7),
(187650,41566,'When Equipped:',100,0,0),
(187651,41566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187652,41566,'Inflicts 116 - 215 magic damage on target',100,2,2),
(187653,41566,'Cannot be modified except by direct means',100,2,3),
(187654,10041566,'When Equipped:',100,0,0),
(187655,10041566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187656,10041566,'Inflicts 151 - 280 magic damage on target',100,2,2),
(187657,10041566,'Cannot be modified except by direct means',100,2,3),
(187658,116601,'Inflicts 372 - 620 divine damage on target',100,1,0),
(187659,10116601,'Inflicts 483 - 806 divine damage on target',100,1,0),
(187660,80326,'When Equipped:',100,0,0),
(187661,80326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187662,80326,'Inflicts 230 - 426 magic damage on target',100,2,2),
(187663,80326,'Cannot be modified except by direct means',100,2,3),
(187664,10080326,'When Equipped:',100,0,0),
(187665,10080326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187666,10080326,'Inflicts 298 - 554 magic damage on target',100,2,2),
(187667,10080326,'Cannot be modified except by direct means',100,2,3),
(187668,26694,'When Equipped:',100,0,0),
(187669,26694,'On a critical spell hit this spell may cast Cerebral Destruction I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(187670,26694,'Inflicts 2075 - 2293 mental damage on target',100,2,2),
(187671,26694,'Decreases INT of target by 134.0',100,2,3),
(187672,26694,'Must not be engaged in pvp combat',100,2,4),
(187673,26694,'Cannot be modified except by direct means',100,2,5),
(187674,26694,'On a critical combat hit this spell may cast Cerebral Destruction I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(187675,26694,'Inflicts 2075 - 2293 mental damage on target',100,2,7),
(187676,26694,'Decreases INT of target by 134.0',100,2,8),
(187677,26694,'Must not be engaged in pvp combat',100,2,9),
(187678,26694,'Cannot be modified except by direct means',100,2,10),
(187679,26694,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(187680,26694,'Must not be engaged in pvp combat',100,1,12),
(187681,10026694,'When Equipped:',100,0,0),
(187682,10026694,'On a critical spell hit this spell may cast Cerebral Destruction I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(187683,10026694,'Inflicts 2697 - 2981 mental damage on target',100,2,2),
(187684,10026694,'Decreases INT of target by 134.0',100,2,3),
(187685,10026694,'Must not be engaged in pvp combat',100,2,4),
(187686,10026694,'Cannot be modified except by direct means',100,2,5),
(187687,10026694,'On a critical combat hit this spell may cast Cerebral Destruction I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(187688,10026694,'Inflicts 2697 - 2981 mental damage on target',100,2,7),
(187689,10026694,'Decreases INT of target by 134.0',100,2,8),
(187690,10026694,'Must not be engaged in pvp combat',100,2,9),
(187691,10026694,'Cannot be modified except by direct means',100,2,10),
(187692,10026694,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(187693,10026694,'Must not be engaged in pvp combat',100,1,12),
(187694,110005,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(187695,110005,'Slows target by 33.4%',100,2,1),
(187696,110005,'5% chance to dispel when target receives hostile action',100,2,2),
(187697,110005,'5% chance to dispel when target takes damage',100,2,3),
(187698,110005,'Inflicts 86 - 105 cold damage on target',100,1,4),
(187699,10110005,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(187700,10110005,'Slows target by 33.4%',100,2,1),
(187701,10110005,'5% chance to dispel when target receives hostile action',100,2,2),
(187702,10110005,'5% chance to dispel when target takes damage',100,2,3),
(187703,10110005,'Inflicts 112 - 137 cold damage on target',100,1,4),
(187704,82501,'When Equipped:',100,0,0),
(187705,82501,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187706,82501,'Inflicts 212 - 393 magic damage on target',100,2,2),
(187707,82501,'Decreases Threat to target by 641 ',100,2,3),
(187708,82501,'Must be flanking or behind',100,3,4),
(187709,82501,'Increases Threat to target by 642 ',100,2,5),
(187710,82501,'Must be in front of',100,3,6),
(187711,82501,'Cannot be modified except by direct means',100,2,7),
(187712,10082501,'When Equipped:',100,0,0),
(187713,10082501,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187714,10082501,'Inflicts 275 - 511 magic damage on target',100,2,2),
(187715,10082501,'Cannot be modified except by direct means',100,2,3),
(187716,101471,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(187717,101471,'Increases Mitigation of group members (AE) vs arcane damage by 280',100,1,1),
(187718,10101471,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(187719,10101471,'Increases Mitigation of group members (AE) vs arcane damage by 280',100,1,1),
(187720,159174,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187721,159174,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187722,159174,'Inflicts 34 heat damage on target',100,2,2),
(187723,159174,'Cannot be modified except by direct means',100,2,3),
(187724,10159174,'Applies Sanguine Imbued when Equipped.',100,0,0),
(187725,10159174,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(187726,10159174,'Inflicts 44 heat damage on target',100,2,2),
(187727,10159174,'Cannot be modified except by direct means',100,2,3),
(187728,104556,'Inflicts 98 - 164 disease damage on target',100,1,0),
(187729,104556,'Decreases WIS of target by 28.8',100,1,1),
(187730,10104556,'Inflicts 128 - 213 disease damage on target',100,1,0),
(187731,10104556,'Decreases WIS of target by 28.8',100,1,1),
(187732,45001,'Applies Research Time Reduction when Activated.',100,0,0),
(187733,45001,'Reduces the time remaining on the spell being actively researched by seven days.',100,1,1),
(187734,45001,'Special: See Description',100,1,2),
(187735,45001,'Cannot be modified except by direct means',100,1,3),
(187736,10045001,'Applies Research Time Reduction when Activated.',100,0,0),
(187737,10045001,'Reduces the time remaining on the spell being actively researched by seven days.',100,1,1),
(187738,10045001,'Special: See Description',100,1,2),
(187739,10045001,'Cannot be modified except by direct means',100,1,3),
(187740,131056,'When Equipped:',100,0,0),
(187741,131056,'Increases Attack Speed of caster by 23.0',100,1,1),
(187742,10131056,'When Equipped:',100,0,0),
(187743,10131056,'Increases Attack Speed of caster by 23.0',100,1,1),
(187744,104822,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(187745,104822,'If Fighter',100,2,1),
(187746,104822,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(187747,104822,'Increases power of target by 13',100,2,3),
(187748,104822,'Increases power of caster by 13',100,2,4),
(187749,10104822,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(187750,10104822,'Increases power of target by 13',100,2,1),
(187751,10104822,'Increases power of caster by 13',100,2,2),
(187752,48377,'Applies Throw Bone when Activated.  Lasts for 1.0 second.',100,0,0),
(187753,48377,'Must be in Great Divide.',100,1,1),
(187754,10048377,'Applies Throw Bone when Activated.  Lasts for 1.0 second.',100,0,0),
(187755,10048377,'Must be in Great Divide.',100,1,1),
(187756,35630,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(187757,116900,'Wards target against 14 points of all damage',100,1,0),
(187758,116900,'Decreases INT of target by 28.0',100,1,1),
(187759,116900,'Decreases Attack Speed of target by 25.0',100,1,2),
(187760,116900,'Increases Max Health of target by 10.0%',100,1,3),
(187761,116900,'Increases Hate Gain of target by 13.3%',100,1,4),
(187762,116900,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,5),
(187763,10116900,'Wards target against 14 points of all damage',100,1,0),
(187764,10116900,'Decreases INT of target by 28.0',100,1,1),
(187765,10116900,'Decreases Attack Speed of target by 25.0',100,1,2),
(187766,10116900,'Increases Max Health of target by 10.0%',100,1,3),
(187767,10116900,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,4),
(187768,45437,'Applies bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(187769,45437,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(187770,45437,'Inflicts 387 poison damage on target instantly and every 6 seconds',100,2,2),
(187771,45437,'Cannot be modified except by direct means',100,2,3),
(187772,45437,'Grants a total of 4 triggers of the spell.',100,2,4),
(187773,10045437,'Applies bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(187774,10045437,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(187775,10045437,'Inflicts 378 poison damage on target instantly and every 6 seconds',100,2,2),
(187776,10045437,'Cannot be modified except by direct means',100,2,3),
(187777,10045437,'Grants a total of 4 triggers of the spell.',100,2,4),
(187778,162260,'When Equipped:',100,0,0),
(187779,162260,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(187780,162260,'Inflicts 270 mental damage on target',100,2,2),
(187781,162260,'Must not be classified as a goblin',100,3,3),
(187782,162260,'Inflicts 540 mental damage on target',100,2,4),
(187783,162260,'Must be classified as a goblin',100,3,5),
(187784,162260,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(187785,162260,'Must be classified as a goblin',100,3,7),
(187786,162260,'Cannot be modified except by direct means',100,2,8),
(187787,162260,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(187788,10162260,'When Equipped:',100,0,0),
(187789,10162260,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(187790,10162260,'Inflicts 351 mental damage on target',100,2,2),
(187791,10162260,'Must not be classified as a goblin',100,3,3),
(187792,10162260,'Inflicts 702 mental damage on target',100,2,4),
(187793,10162260,'Must be classified as a goblin',100,3,5),
(187794,10162260,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(187795,10162260,'Must be classified as a goblin',100,3,7),
(187796,10162260,'Cannot be modified except by direct means',100,2,8),
(187797,10162260,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(187798,117949,'Heals target for 1123 - 1372',100,1,0),
(187799,117949,'Increases Max Health of target by 143.3',100,1,1),
(187800,10117949,'Heals target for 1288 - 1574',100,1,0),
(187801,10117949,'Increases Max Health of target by 143.3',100,1,1),
(187802,186991,'When Equipped:',100,0,0),
(187803,186991,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187804,186991,'Inflicts 2398 magic damage on target',100,2,2),
(187805,186991,'Decreases Damage Per Second of target by 20.0',100,2,3),
(187806,186991,'Cannot be modified except by direct means',100,2,4),
(187807,186991,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(187808,186991,'Inflicts 2398 magic damage on target',100,2,6),
(187809,186991,'Decreases Damage Per Second of target by 20.0',100,2,7),
(187810,186991,'Cannot be modified except by direct means',100,2,8),
(187811,10186991,'When Equipped:',100,0,0),
(187812,10186991,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187813,10186991,'Inflicts 3117 magic damage on target',100,2,2),
(187814,10186991,'Decreases Damage Per Second of target by 20.0',100,2,3),
(187815,10186991,'Cannot be modified except by direct means',100,2,4),
(187816,10186991,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(187817,10186991,'Inflicts 3117 magic damage on target',100,2,6),
(187818,10186991,'Decreases Damage Per Second of target by 20.0',100,2,7),
(187819,10186991,'Cannot be modified except by direct means',100,2,8),
(187820,108267,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(187821,108267,'Inflicts 184 heat damage on target',100,2,1),
(187822,108267,'Grants a total of 3 triggers of the spell.',100,2,2),
(187823,10108267,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(187824,10108267,'Inflicts 239 heat damage on target',100,2,1),
(187825,10108267,'Grants a total of 3 triggers of the spell.',100,2,2),
(187826,159907,'Applies Lambent Imbued when Equipped.',100,0,0),
(187827,159907,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(187828,159907,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(187829,159907,'Cannot be modified except by direct means',100,2,3),
(187830,10159907,'Applies Lambent Imbued when Equipped.',100,0,0),
(187831,10159907,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(187832,10159907,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(187833,10159907,'Cannot be modified except by direct means',100,2,3),
(187834,121420,'Inflicts 2446 - 2990 ranged damage on targets in area',100,1,0),
(187835,10121420,'Inflicts 2079 - 2541 ranged damage on targets in area',100,1,0),
(187836,82759,'When Equipped:',100,0,0),
(187837,82759,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187838,82759,'Inflicts 365 - 678 magic damage on target',100,2,2),
(187839,82759,'Decreases Threat to target by 1,174 ',100,2,3),
(187840,82759,'Must be flanking or behind',100,3,4),
(187841,82759,'Increases Threat to target by 1,175 ',100,2,5),
(187842,82759,'Must be in front of',100,3,6),
(187843,82759,'Cannot be modified except by direct means',100,2,7),
(187844,10082759,'When Equipped:',100,0,0),
(187845,10082759,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(187846,10082759,'Inflicts 474 - 881 magic damage on target',100,2,2),
(187847,10082759,'Cannot be modified except by direct means',100,2,3),
(187848,24276,'Adds Elite: Dervish (Wizard) to your Dungeon Maker toolbox',100,0,0),
(187849,10024276,'Adds Elite: Dervish (Wizard) to your Dungeon Maker toolbox',100,0,0),
(187850,103939,'Wards group members (AE) collectively against 2890 total points of all damage',100,1,0),
(187851,10103939,'Wards group members (AE) collectively against 4305 total points of all damage',100,1,0),
(187852,114417,'Mesmerizes target',100,1,0),
(187853,114417,'Prevents AOE (except when direct) ',100,1,1),
(187854,114417,'Dispelled when target takes damage',100,1,2),
(187855,114417,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(187856,114417,'Resistibility increases against targets higher than level 81.',100,1,4),
(187857,10114417,'Mesmerizes target',100,1,0),
(187858,10114417,'Prevents AOE (except when direct) ',100,1,1),
(187859,10114417,'Dispelled when target takes damage',100,1,2),
(187860,10114417,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(187861,10114417,'Resistibility increases against targets higher than level 81.',100,1,4),
(187862,113149,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,0),
(187863,113149,'Shapechanges caster into a demilich',100,1,1),
(187864,113149,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(187865,113149,'Inflicts 319 disease damage on target',100,2,3),
(187866,113149,'Heals caster for 151',100,2,4),
(187867,10113149,'Increases power of caster by 1.4% instantly and every 6 seconds',100,1,0),
(187868,10113149,'Shapechanges caster into a demilich',100,1,1),
(187869,10113149,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(187870,10113149,'Inflicts 415 disease damage on target',100,2,3),
(187871,10113149,'Heals caster for 98',100,2,4),
(187872,41545,'When Equipped:',100,0,0),
(187873,41545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187874,41545,'Inflicts 151 - 280 magic damage on target',100,2,2),
(187875,41545,'Cannot be modified except by direct means',100,2,3),
(187876,10041545,'When Equipped:',100,0,0),
(187877,10041545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187878,10041545,'Inflicts 196 - 364 magic damage on target',100,2,2),
(187879,10041545,'Cannot be modified except by direct means',100,2,3),
(187880,47445,'Applies Order of Rime Flurryburst Illusion when Activated.',100,0,0),
(187881,47445,'Shapechanges caster into an Order of Rime',100,1,1),
(187882,47445,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(187883,10047445,'Applies Order of Rime Flurryburst Illusion when Activated.',100,0,0),
(187884,10047445,'Shapechanges caster into an Order of Rime',100,1,1),
(187885,10047445,'Must be in zone Hold of Rime: The Fortress Spire',100,1,2),
(187886,120840,'Inflicts 55 - 74 disease damage on target instantly and every second',100,1,0),
(187887,10120840,'Inflicts 100 - 135 disease damage on target',100,1,0),
(187888,10120840,'Inflicts 72 - 97 disease damage on target every second',100,1,1),
(187889,121903,'Inflicts 83 - 138 mental damage on target encounter',100,1,0),
(187890,121903,'Increases power of group members (AE) by 44 - 73',100,1,1),
(187891,10121903,'Inflicts 107 - 179 mental damage on target encounter',100,1,0),
(187892,10121903,'Increases power of group members (AE) by 44 - 73',100,1,1),
(187893,186063,'When Equipped:',100,0,0),
(187894,186063,'Increases Disruption of caster by 20.0',100,1,1),
(187895,186063,'Reduces resistibility of all spells by 1.6%.',100,1,2),
(187896,186063,'Increases Focus and Subjugation of caster by 20.0',100,1,3),
(187897,186063,'Must not be engaged in pvp combat',100,1,4),
(187898,10186063,'When Equipped:',100,0,0),
(187899,10186063,'Increases Disruption of caster by 20.0',100,1,1),
(187900,10186063,'Reduces resistibility of all spells by 1.6%.',100,1,2),
(187901,10186063,'Increases Focus and Subjugation of caster by 20.0',100,1,3),
(187902,10186063,'Must not be engaged in pvp combat',100,1,4),
(187903,171752,'When Equipped:',100,0,0),
(187904,171752,'On a critical healing spell cast this spell may cast Shared Vigor on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(187905,171752,'Increases Potency of target by 2.0%',100,2,2),
(187906,171752,'Increases Potency of caster by 2.0%',100,2,3),
(187907,171752,'Must not be engaged in pvp combat',100,2,4),
(187908,171752,'Cannot be modified except by direct means',100,2,5),
(187909,171752,'Must not be engaged in pvp combat',100,1,6),
(187910,10171752,'When Equipped:',100,0,0),
(187911,10171752,'On a critical healing spell cast this spell may cast Shared Vigor on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(187912,10171752,'Increases Potency of target by 2.0%',100,2,2),
(187913,10171752,'Increases Potency of caster by 2.0%',100,2,3),
(187914,10171752,'Must not be engaged in pvp combat',100,2,4),
(187915,10171752,'Cannot be modified except by direct means',100,2,5),
(187916,10171752,'Must not be engaged in pvp combat',100,1,6),
(187917,110717,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(187918,110717,'Heals group members (AE) for 500',100,2,1),
(187919,10110717,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(187920,10110717,'Heals group members (AE) for 325',100,2,1),
(187921,116831,'Decreases Hate Gain of caster by 15.8%',100,1,0),
(187922,10116831,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(187923,10116831,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(187924,10116831,'This effect can only trigger once every 5 seconds.',100,2,2),
(187925,51288,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(187926,51288,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(187927,51288,'Inflicts 24 heat damage on target',100,2,2),
(187928,51288,'Cannot be modified except by direct means',100,2,3),
(187929,10051288,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(187930,10051288,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(187931,10051288,'Inflicts 31 heat damage on target',100,2,2),
(187932,10051288,'Cannot be modified except by direct means',100,2,3),
(187933,47980,'Applies Security Sensor Beacon when Activated.',100,0,0),
(187934,10047980,'Applies Security Sensor Beacon when Activated.',100,0,0),
(187935,122096,'Increases STA and INT of group members (AE) by 67.5',100,1,0),
(187936,10122096,'Increases STA and INT of group members (AE) by 67.5',100,1,0),
(187937,27213,'When Equipped:',100,0,0),
(187938,27213,'Increases Damage Per Second of caster by 12.0',100,1,1),
(187939,10027213,'When Equipped:',100,0,0),
(187940,10027213,'Increases Damage Per Second of caster by 12.0',100,1,1),
(187941,36526,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(187942,108626,'Feigns Death with 91% chance of success',100,1,0),
(187943,10108626,'Feigns Death with 91% chance of success',100,1,0),
(187944,71839,'When Equipped:',100,0,0),
(187945,71839,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187946,71839,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(187947,71839,'Cannot be modified except by direct means',100,2,3),
(187948,10071839,'When Equipped:',100,0,0),
(187949,10071839,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(187950,10071839,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(187951,10071839,'Cannot be modified except by direct means',100,2,3),
(187952,80704,'When Equipped:',100,0,0),
(187953,80704,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187954,80704,'Inflicts 75 - 138 magic damage on target',100,2,2),
(187955,80704,'Cannot be modified except by direct means',100,2,3),
(187956,10080704,'When Equipped:',100,0,0),
(187957,10080704,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187958,10080704,'Inflicts 97 - 180 magic damage on target',100,2,2),
(187959,10080704,'Cannot be modified except by direct means',100,2,3),
(187960,81897,'When Equipped:',100,0,0),
(187961,81897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187962,81897,'Inflicts 408 - 757 magic damage on target',100,2,2),
(187963,81897,'Cannot be modified except by direct means',100,2,3),
(187964,10081897,'When Equipped:',100,0,0),
(187965,10081897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(187966,10081897,'Inflicts 530 - 984 magic damage on target',100,2,2),
(187967,10081897,'Cannot be modified except by direct means',100,2,3),
(187968,35562,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(187969,136761,'When Equipped:',100,0,0),
(187970,136761,'Increases damage done by combat arts by up to 45.',100,1,1),
(187971,10136761,'When Equipped:',100,0,0),
(187972,10136761,'Increases damage done by combat arts by up to 45.',100,1,1),
(187973,157441,'When Equipped:',100,0,0),
(187974,157441,'Increases Attack Speed of caster by 45.0',100,1,1),
(187975,10157441,'When Equipped:',100,0,0),
(187976,10157441,'Increases Attack Speed of caster by 45.0',100,1,1),
(187977,101001,'Increases INT of target by 87.4',100,1,0),
(187978,101001,'Increases Attack Speed of target by 35.0',100,1,1),
(187979,101001,'Decreases Defense and Parry of target by 30.1',100,1,2),
(187980,101001,'Increases Slashing, Piercing and Crushing of target by 19.1',100,1,3),
(187981,10101001,'Increases INT of target by 87.4',100,1,0),
(187982,10101001,'Increases Attack Speed of target by 35.0',100,1,1),
(187983,10101001,'Decreases Defense and Parry of target by 30.1',100,1,2),
(187984,10101001,'Increases Slashing, Piercing and Crushing of target by 19.1',100,1,3),
(187985,115647,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 700',100,1,0),
(187986,10115647,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 700',100,1,0),
(187987,77409,'Applies Fire Ball when Activated.',100,0,0),
(187988,77409,'Inflicts 108 - 179 heat damage on target',100,1,1),
(187989,77409,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(187990,10077409,'Applies Fire Ball when Activated.',100,0,0),
(187991,10077409,'Inflicts 140 - 233 heat damage on target',100,1,1),
(187992,10077409,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(187993,41069,'When Equipped:',100,0,0),
(187994,41069,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(187995,41069,'Inflicts 599 piercing damage on target',100,2,2),
(187996,41069,'Cannot be modified except by direct means',100,2,3),
(187997,10041069,'When Equipped:',100,0,0),
(187998,10041069,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(187999,10041069,'Inflicts 389 piercing damage on target',100,2,2),
(188000,10041069,'Cannot be modified except by direct means',100,2,3),
(188001,119641,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(188002,119641,'Throws target back',100,2,1),
(188003,119641,'Stuns target',100,2,2),
(188004,119641,'Blurs vision of target',100,2,3),
(188005,119641,'Does not affect Epic targets',100,2,4),
(188006,119641,'Inflicts 66 - 199 melee damage on target',100,1,5),
(188007,10119641,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(188008,10119641,'Throws target back',100,2,1),
(188009,10119641,'Stuns target',100,2,2),
(188010,10119641,'Blurs vision of target',100,2,3),
(188011,10119641,'Does not affect Epic targets',100,2,4),
(188012,10119641,'Inflicts 86 - 259 melee damage on target',100,1,5),
(188013,50543,'When Equipped:',100,0,0),
(188014,50543,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188015,50543,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(188016,50543,'Cannot be modified except by direct means',100,2,3),
(188017,10050543,'When Equipped:',100,0,0),
(188018,10050543,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188019,10050543,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(188020,10050543,'Cannot be modified except by direct means',100,2,3),
(188021,113544,'Inflicts 366 - 610 disease damage on target',100,1,0),
(188022,10113544,'Inflicts 476 - 794 disease damage on target',100,1,0),
(188023,48878,'Applies Salinsa''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(188024,48878,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(188025,10048878,'Applies Salinsa''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(188026,10048878,'Increases power of caster by 23 instantly and every 5 seconds',100,1,1),
(188027,114046,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(188028,114046,'Heals target for 8 instantly and every 2 seconds',100,2,1),
(188029,114046,'Decreases Mitigation of target vs arcane damage by 206',100,1,2),
(188030,10114046,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(188031,10114046,'Heals target for 5 instantly and every 2 seconds',100,2,1),
(188032,10114046,'Decreases Mitigation of target vs arcane damage by 206',100,1,2),
(188033,116500,'Prevents targets in Area of Effect from changing targets',100,1,0),
(188034,116500,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(188035,116500,'Increases Threat to targets in Area of Effect by 640 ',100,1,2),
(188036,10116500,'Prevents targets in Area of Effect from changing targets',100,1,0),
(188037,10116500,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(188038,54877,'Applies Symbolic Fury when Equipped.',100,0,0),
(188039,54877,'Increases Damage Per Second of caster by 15.0',100,1,1),
(188040,10054877,'Applies Symbolic Fury when Equipped.',100,0,0),
(188041,10054877,'Increases Damage Per Second of caster by 15.0',100,1,1),
(188042,114158,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(188043,114158,'Heals target for 532',100,2,1),
(188044,114158,'Grants a total of 1 trigger of the spell.',100,2,2),
(188045,10114158,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(188046,10114158,'Heals target for 346',100,2,1),
(188047,10114158,'Grants a total of 1 trigger of the spell.',100,2,2),
(188048,115865,'Inflicts 608 - 1013 mental damage on target encounter',100,1,0),
(188049,115865,'Interrupts target encounter',100,1,1),
(188050,10115865,'Inflicts 790 - 1316 mental damage on target encounter',100,1,0),
(188051,10115865,'Interrupts target encounter',100,1,1),
(188052,103218,'Reduces physical damage done to caster by 5%',100,1,0),
(188053,103218,'Adds 2.1% to base avoidance.',100,1,1),
(188054,103218,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(188055,103218,'Increases Parry of caster by 2.5',100,1,3),
(188056,103218,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(188057,103218,'Increases Aggression of caster by 1.9',100,1,5),
(188058,103218,'Increases Defense and Deflection of caster by 2.5',100,1,6),
(188059,103218,'Increases Mitigation of caster vs noxious damage by 215',100,1,7),
(188060,103218,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(188061,10103218,'Reduces physical damage done to caster by 5%',100,1,0),
(188062,10103218,'Adds 2.1% to base avoidance.',100,1,1),
(188063,10103218,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(188064,10103218,'Increases Parry of caster by 2.5',100,1,3),
(188065,10103218,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(188066,10103218,'Increases Aggression of caster by 1.9',100,1,5),
(188067,10103218,'Increases Defense and Deflection of caster by 2.5',100,1,6),
(188068,10103218,'Increases Mitigation of caster vs noxious damage by 215',100,1,7),
(188069,10103218,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(188070,121550,'Inflicts 298 - 497 melee damage on targets in area',100,1,0),
(188071,121550,'Stuns target encounter',100,1,1),
(188072,121550,'If Target is not Epic',100,2,2),
(188073,121550,'Resistibility increases against targets higher than level 75.',100,1,3),
(188074,10121550,'Inflicts 387 - 646 melee damage on targets in area',100,1,0),
(188075,10121550,'Stuns target encounter',100,1,1),
(188076,10121550,'If Target is not Epic',100,2,2),
(188077,10121550,'Resistibility increases against targets higher than level 75.',100,1,3),
(188078,80033,'Applies Fire Ball when Activated.',100,0,0),
(188079,80033,'Inflicts 563 - 939 heat damage on target',100,1,1),
(188080,80033,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(188081,10080033,'Applies Fire Ball when Activated.',100,0,0),
(188082,10080033,'Inflicts 732 - 1220 heat damage on target',100,1,1),
(188083,10080033,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(188084,72113,'When Equipped:',100,0,0),
(188085,72113,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188086,72113,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(188087,72113,'Cannot be modified except by direct means',100,2,3),
(188088,10072113,'When Equipped:',100,0,0),
(188089,10072113,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188090,10072113,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(188091,10072113,'Cannot be modified except by direct means',100,2,3),
(188092,117118,'Mesmerizes target encounter',100,1,0),
(188093,117118,'Prevents AOE (except when direct) ',100,1,1),
(188094,117118,'Dispelled when target takes damage',100,1,2),
(188095,117118,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(188096,117118,'Resistibility increases against targets higher than level 117.',100,1,4),
(188097,10117118,'Mesmerizes target encounter',100,1,0),
(188098,10117118,'Prevents AOE (except when direct) ',100,1,1),
(188099,10117118,'Dispelled when target takes damage',100,1,2),
(188100,10117118,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(188101,10117118,'Resistibility increases against targets higher than level 117.',100,1,4),
(188102,119599,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(188103,10119599,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(188104,81574,'When Equipped:',100,0,0),
(188105,81574,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188106,81574,'Inflicts 167 - 311 magic damage on target',100,2,2),
(188107,81574,'Decreases Threat to target by 376 ',100,2,3),
(188108,81574,'Must be flanking or behind',100,3,4),
(188109,81574,'Increases Threat to target by 377 ',100,2,5),
(188110,81574,'Must be in front of',100,3,6),
(188111,81574,'Cannot be modified except by direct means',100,2,7),
(188112,10081574,'When Equipped:',100,0,0),
(188113,10081574,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188114,10081574,'Inflicts 217 - 404 magic damage on target',100,2,2),
(188115,10081574,'Cannot be modified except by direct means',100,2,3),
(188116,81398,'When Equipped:',100,0,0),
(188117,81398,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188118,81398,'Inflicts 121 - 225 magic damage on target',100,2,2),
(188119,81398,'Decreases Threat to target by 352 ',100,2,3),
(188120,81398,'Must be flanking or behind',100,3,4),
(188121,81398,'Increases Threat to target by 353 ',100,2,5),
(188122,81398,'Must be in front of',100,3,6),
(188123,81398,'Cannot be modified except by direct means',100,2,7),
(188124,10081398,'When Equipped:',100,0,0),
(188125,10081398,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188126,10081398,'Inflicts 157 - 292 magic damage on target',100,2,2),
(188127,10081398,'Cannot be modified except by direct means',100,2,3),
(188128,46402,'Applies Focused MCE Ray when Activated.',100,0,0),
(188129,46402,'This effect cannot be cast during combat',100,1,1),
(188130,10046402,'Applies Focused MCE Ray when Activated.',100,0,0),
(188131,10046402,'This effect cannot be cast during combat',100,1,1),
(188132,114784,'Decreases WIS of target by 19.5',100,1,0),
(188133,114784,'Increases WIS and STA of caster by 19.5',100,1,1),
(188134,114784,'Decreases Max Health of target by 1.0%',100,1,2),
(188135,114784,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 63',100,1,3),
(188136,114784,'Only affects targets level 17 and above',100,1,4),
(188137,10114784,'Decreases WIS of target by 19.5',100,1,0),
(188138,10114784,'Increases WIS and STA of caster by 19.5',100,1,1),
(188139,10114784,'Decreases Max Health of target by 1.0%',100,1,2),
(188140,10114784,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 63',100,1,3),
(188141,10114784,'Only affects targets level 17 and above',100,1,4),
(188142,117618,'Inflicts 530 - 884 ranged damage on target',100,1,0),
(188143,117618,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(188144,117618,'Slows target by 38.6%',100,2,2),
(188145,117618,'5% chance to dispel when target receives hostile action',100,2,3),
(188146,117618,'5% chance to dispel when target takes damage',100,2,4),
(188147,117618,'Must be flanking or behind',100,1,5),
(188148,117618,'Requires bow',100,1,6),
(188149,10117618,'Inflicts 451 - 751 ranged damage on target',100,1,0),
(188150,10117618,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(188151,10117618,'Slows target by 38.6%',100,2,2),
(188152,10117618,'5% chance to dispel when target receives hostile action',100,2,3),
(188153,10117618,'5% chance to dispel when target takes damage',100,2,4),
(188154,10117618,'Must be flanking or behind',100,1,5),
(188155,10117618,'Requires bow',100,1,6),
(188156,118638,'Inflicts 143 - 429 crushing damage on target',100,1,0),
(188157,10118638,'Inflicts 186 - 558 crushing damage on target',100,1,0),
(188158,106374,'Decreases Mitigation of target vs arcane damage by 2890',100,1,0),
(188159,106374,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(188160,106374,'Slows target by 66.1%',100,2,2),
(188161,106374,'5% chance to dispel when target receives hostile action',100,2,3),
(188162,106374,'5% chance to dispel when target takes damage',100,2,4),
(188163,10106374,'Decreases Mitigation of target vs arcane damage by 2890',100,1,0),
(188164,10106374,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(188165,10106374,'Slows target by 66.1%',100,2,2),
(188166,10106374,'5% chance to dispel when target receives hostile action',100,2,3),
(188167,10106374,'5% chance to dispel when target takes damage',100,2,4),
(188168,24432,'Adds Griffin (Monk) to your Dungeon Maker toolbox',100,0,0),
(188169,10024432,'Adds Griffin (Monk) to your Dungeon Maker toolbox',100,0,0),
(188170,47329,'Applies Warding of the Forest Princess  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(188171,47329,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(188172,47329,'Inflicts 20 magic damage on target',100,2,2),
(188173,47329,'Cannot be modified except by direct means',100,2,3),
(188174,10047329,'Applies Warding of the Forest Princess  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(188175,10047329,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(188176,10047329,'Inflicts 25 magic damage on target',100,2,2),
(188177,10047329,'Cannot be modified except by direct means',100,2,3),
(188178,104064,'Inflicts 70 - 116 mental damage on target',100,1,0),
(188179,104064,'Inflicts 70 - 116 mental damage on target',100,1,1),
(188180,10104064,'Inflicts 91 - 151 mental damage on target',100,1,0),
(188181,10104064,'Inflicts 91 - 151 mental damage on target',100,1,1),
(188182,119115,'Inflicts 290 - 871 melee damage on targets in area',100,1,0),
(188183,119115,'Inflicts 290 - 871 melee damage on targets in area',100,1,1),
(188184,119115,'Inflicts 290 - 871 melee damage on targets in area',100,1,2),
(188185,119115,'Inflicts 290 - 871 melee damage on targets in area',100,1,3),
(188186,10119115,'Inflicts 377 - 1133 melee damage on targets in area',100,1,0),
(188187,10119115,'Inflicts 377 - 1133 melee damage on targets in area',100,1,1),
(188188,10119115,'Inflicts 377 - 1133 melee damage on targets in area',100,1,2),
(188189,10119115,'Inflicts 377 - 1133 melee damage on targets in area',100,1,3),
(188190,52746,'Applies Sanguine Imbued when Equipped.',100,0,0),
(188191,52746,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(188192,52746,'Inflicts 86 heat damage on target',100,2,2),
(188193,52746,'Cannot be modified except by direct means',100,2,3),
(188194,10052746,'Applies Sanguine Imbued when Equipped.',100,0,0),
(188195,10052746,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(188196,10052746,'Inflicts 112 heat damage on target',100,2,2),
(188197,10052746,'Cannot be modified except by direct means',100,2,3),
(188198,119347,'Inflicts 135 - 202 disease damage on target',100,1,0),
(188199,119347,'Inflicts 54 - 81 disease damage on target every 4 seconds',100,1,1),
(188200,10119347,'Inflicts 175 - 263 disease damage on target',100,1,0),
(188201,10119347,'Inflicts 70 - 105 disease damage on target every 4 seconds',100,1,1),
(188202,117996,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(188203,117996,'Increases Attack Speed of target by 20.4',100,2,1),
(188204,117996,'Increases Damage Per Second of target by 20.4',100,2,2),
(188205,117996,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(188206,117996,'Increases Attack Speed of target by 20.4',100,2,4),
(188207,117996,'Increases Damage Per Second of target by 20.4',100,2,5),
(188208,117996,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(188209,117996,'Increases Attack Speed of target by 20.4',100,2,7),
(188210,117996,'Increases Damage Per Second of target by 20.4',100,2,8),
(188211,10117996,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(188212,10117996,'Increases Attack Speed of target by 20.4',100,2,1),
(188213,10117996,'Increases Damage Per Second of target by 20.4',100,2,2),
(188214,10117996,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(188215,10117996,'Increases Attack Speed of target by 20.4',100,2,4),
(188216,10117996,'Increases Damage Per Second of target by 20.4',100,2,5),
(188217,10117996,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(188218,10117996,'Increases Attack Speed of target by 20.4',100,2,7),
(188219,10117996,'Increases Damage Per Second of target by 20.4',100,2,8),
(188220,170687,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(188221,170687,'Decreases Mitigation of target vs physical damage by 293',100,1,1),
(188222,170687,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(188223,10170687,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(188224,10170687,'Decreases Mitigation of target vs physical damage by 293',100,1,1),
(188225,10170687,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(188226,115108,'Summons 4 limited pets to aid the caster',100,1,0),
(188227,10115108,'Summons 4 limited pets to aid the caster',100,1,0),
(188228,82502,'When Equipped:',100,0,0),
(188229,82502,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188230,82502,'Inflicts 288 - 534 magic damage on target',100,2,2),
(188231,82502,'Decreases Threat to target by 672 ',100,2,3),
(188232,82502,'Must be flanking or behind',100,3,4),
(188233,82502,'Increases Threat to target by 673 ',100,2,5),
(188234,82502,'Must be in front of',100,3,6),
(188235,82502,'Cannot be modified except by direct means',100,2,7),
(188236,10082502,'When Equipped:',100,0,0),
(188237,10082502,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188238,10082502,'Inflicts 374 - 695 magic damage on target',100,2,2),
(188239,10082502,'Cannot be modified except by direct means',100,2,3),
(188240,177498,'When Equipped:',100,0,0),
(188241,177498,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(188242,177498,'Increases STA of caster by 5.8',100,2,2),
(188243,177498,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(188244,177498,'Cannot be modified except by direct means',100,2,4),
(188245,10177498,'When Equipped:',100,0,0),
(188246,10177498,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(188247,10177498,'Increases STA of caster by 5.8',100,2,2),
(188248,10177498,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(188249,10177498,'Cannot be modified except by direct means',100,2,4),
(188250,81270,'When Equipped:',100,0,0),
(188251,81270,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188252,81270,'Inflicts 302 - 560 magic damage on target',100,2,2),
(188253,81270,'Decreases Threat to target by 949 ',100,2,3),
(188254,81270,'Must be flanking or behind',100,3,4),
(188255,81270,'Increases Threat to target by 950 ',100,2,5),
(188256,81270,'Must be in front of',100,3,6),
(188257,81270,'Cannot be modified except by direct means',100,2,7),
(188258,10081270,'When Equipped:',100,0,0),
(188259,10081270,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188260,10081270,'Inflicts 392 - 728 magic damage on target',100,2,2),
(188261,10081270,'Cannot be modified except by direct means',100,2,3),
(188262,172997,'When Equipped:',100,0,0),
(188263,172997,'1% of all damage received by the caster is prevented.',100,1,1),
(188264,172997,'Must not be engaged in pvp combat',100,1,2),
(188265,10172997,'When Equipped:',100,0,0),
(188266,10172997,'1% of all damage received by the caster is prevented.',100,1,1),
(188267,10172997,'Must not be engaged in pvp combat',100,1,2),
(188268,25455,'When Equipped:',100,0,0),
(188269,25455,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(188270,25455,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(188271,10025455,'When Equipped:',100,0,0),
(188272,10025455,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(188273,10025455,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(188274,123941,'Increases STR and WIS of target by 92.5',100,1,0),
(188275,123941,'Increases Mitigation of target vs elemental, noxious and arcane damage by 276',100,1,1),
(188276,10123941,'Increases STR and WIS of target by 92.5',100,1,0),
(188277,10123941,'Increases Mitigation of target vs elemental, noxious and arcane damage by 276',100,1,1),
(188278,119006,'Heals target for 1259 - 1539',100,1,0),
(188279,10119006,'Heals target for 1339 - 1637',100,1,0),
(188280,103254,'Reduces physical damage done to caster by 5%',100,1,0),
(188281,103254,'Adds 2.4% to base avoidance.',100,1,1),
(188282,103254,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(188283,103254,'Increases Parry of caster by 41.6',100,1,3),
(188284,103254,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(188285,103254,'Increases Aggression of caster by 31.2',100,1,5),
(188286,103254,'Increases Defense and Deflection of caster by 41.6',100,1,6),
(188287,103254,'Increases Mitigation of caster vs noxious damage by 2781',100,1,7),
(188288,103254,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(188289,10103254,'Reduces physical damage done to caster by 5%',100,1,0),
(188290,10103254,'Adds 2.4% to base avoidance.',100,1,1),
(188291,10103254,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(188292,10103254,'Increases Parry of caster by 41.6',100,1,3),
(188293,10103254,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(188294,10103254,'Increases Aggression of caster by 31.2',100,1,5),
(188295,10103254,'Increases Defense and Deflection of caster by 41.6',100,1,6),
(188296,10103254,'Increases Mitigation of caster vs noxious damage by 2781',100,1,7),
(188297,10103254,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(188298,71419,'When Equipped:',100,0,0),
(188299,71419,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188300,71419,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(188301,71419,'Cannot be modified except by direct means',100,2,3),
(188302,10071419,'When Equipped:',100,0,0),
(188303,10071419,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188304,10071419,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(188305,10071419,'Cannot be modified except by direct means',100,2,3),
(188306,172994,'When Equipped:',100,0,0),
(188307,172994,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(188308,172994,'Inflicts 662 cold damage on target encounter',100,2,2),
(188309,172994,'Must not be engaged in pvp combat',100,2,3),
(188310,172994,'Cannot be modified except by direct means',100,2,4),
(188311,172994,'Must not be engaged in pvp combat',100,1,5),
(188312,10172994,'When Equipped:',100,0,0),
(188313,10172994,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(188314,10172994,'Inflicts 775 cold damage on target encounter',100,2,2),
(188315,10172994,'Must not be engaged in pvp combat',100,2,3),
(188316,10172994,'Cannot be modified except by direct means',100,2,4),
(188317,10172994,'Must not be engaged in pvp combat',100,1,5),
(188318,102817,'Summons 3 limited pets to aid the caster',100,1,0),
(188319,10102817,'Summons 3 limited pets to aid the caster',100,1,0),
(188320,40617,'When Equipped:',100,0,0),
(188321,40617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188322,40617,'Inflicts 53 - 80 magic damage on target',100,2,2),
(188323,40617,'Cannot be modified except by direct means',100,2,3),
(188324,10040617,'When Equipped:',100,0,0),
(188325,10040617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188326,10040617,'Inflicts 70 - 104 magic damage on target',100,2,2),
(188327,10040617,'Cannot be modified except by direct means',100,2,3),
(188328,53384,'When Equipped:',100,0,0),
(188329,53384,'Increases divine damage done by spells by up to 50.',100,1,1),
(188330,10053384,'When Equipped:',100,0,0),
(188331,10053384,'Increases divine damage done by spells by up to 50.',100,1,1),
(188332,117090,'Mesmerizes target encounter',100,1,0),
(188333,117090,'Prevents AOE (except when direct) ',100,1,1),
(188334,117090,'Dispelled when target takes damage',100,1,2),
(188335,117090,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(188336,117090,'Resistibility increases against targets higher than level 54.',100,1,4),
(188337,10117090,'Mesmerizes target encounter',100,1,0),
(188338,10117090,'Prevents AOE (except when direct) ',100,1,1),
(188339,10117090,'Dispelled when target takes damage',100,1,2),
(188340,10117090,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(188341,10117090,'Resistibility increases against targets higher than level 54.',100,1,4),
(188342,102991,'Increases STR and AGI of group members (AE) by 72.7',100,1,0),
(188343,10102991,'Increases STR and AGI of group members (AE) by 72.7',100,1,0),
(188344,120621,'Inflicts 752 - 1397 heat damage on target',100,1,0),
(188345,10120621,'Inflicts 978 - 1816 heat damage on target',100,1,0),
(188346,118536,'Inflicts 395 - 658 melee damage on target',100,1,0),
(188347,118536,'Decreases STR of target by 42.0',100,1,1),
(188348,118536,'You must be sneaking to use this ability.',100,1,2),
(188349,10118536,'Inflicts 513 - 856 melee damage on target',100,1,0),
(188350,10118536,'Decreases STR of target by 42.0',100,1,1),
(188351,10118536,'You must be sneaking to use this ability.',100,1,2),
(188352,123544,'Inflicts 212 - 318 piercing damage on target instantly and every 4 seconds',100,1,0),
(188353,123544,'Decreases Defense of target by 35.6',100,1,1),
(188354,10123544,'Inflicts 386 - 579 piercing damage on target',100,1,0),
(188355,10123544,'Inflicts 276 - 414 piercing damage on target every 4 seconds',100,1,1),
(188356,10123544,'Decreases Defense of target by 35.6',100,1,2),
(188357,102792,'Increases STR of caster by 51.7',100,1,0),
(188358,102792,'Increases Max Health of caster by 306.4',100,1,1),
(188359,102792,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1351',100,1,2),
(188360,10102792,'Increases STR of caster by 51.7',100,1,0),
(188361,10102792,'Increases Max Health of caster by 306.4',100,1,1),
(188362,10102792,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1351',100,1,2),
(188363,175733,'When Equipped:',100,0,0),
(188364,175733,'Increases Attack Speed of caster by 50.0',100,1,1),
(188365,175733,'Must not be engaged in pvp combat',100,1,2),
(188366,175733,'When Equipped:',100,0,3),
(188367,175733,'On any combat or spell hit this spell may cast Crushing Grip on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(188368,175733,'Increases Crit Bonus of caster by 12.0%',100,2,5),
(188369,175733,'Must not be engaged in pvp combat',100,2,6),
(188370,175733,'Cannot be modified except by direct means',100,2,7),
(188371,175733,'Must not be engaged in pvp combat',100,1,8),
(188372,10175733,'When Equipped:',100,0,0),
(188373,10175733,'Increases Attack Speed of caster by 50.0',100,1,1),
(188374,10175733,'Must not be engaged in pvp combat',100,1,2),
(188375,10175733,'When Equipped:',100,0,3),
(188376,10175733,'On any combat or spell hit this spell may cast Crushing Grip on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(188377,10175733,'Increases Crit Bonus of caster by 12.0%',100,2,5),
(188378,10175733,'Must not be engaged in pvp combat',100,2,6),
(188379,10175733,'Cannot be modified except by direct means',100,2,7),
(188380,10175733,'Must not be engaged in pvp combat',100,1,8),
(188381,108492,'Prevents AOE (except when direct) ',100,1,0),
(188382,108492,'Stuns target',100,1,1),
(188383,108492,'Dispelled when target takes damage',100,1,2),
(188384,108492,'Does not affect Epic targets',100,1,3),
(188385,108492,'Resistibility increases against targets higher than level 39.',100,1,4),
(188386,10108492,'Prevents AOE (except when direct) ',100,1,0),
(188387,10108492,'Stuns target',100,1,1),
(188388,10108492,'Dispelled when target takes damage',100,1,2),
(188389,10108492,'Does not affect Epic targets',100,1,3),
(188390,10108492,'Resistibility increases against targets higher than level 39.',100,1,4),
(188391,87267,'When Equipped:',100,0,0),
(188392,87267,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188393,87267,'Inflicts 210 - 315 magic damage on target',100,2,2),
(188394,87267,'Cannot be modified except by direct means',100,2,3),
(188395,10087267,'When Equipped:',100,0,0),
(188396,10087267,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188397,10087267,'Inflicts 273 - 409 magic damage on target',100,2,2),
(188398,10087267,'Cannot be modified except by direct means',100,2,3),
(188399,118026,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(188400,118026,'Inflicts 153 - 255 divine damage on target',100,2,1),
(188401,118026,'Stuns target',100,2,2),
(188402,118026,'If Target is not Epic',100,3,3),
(188403,118026,'Grants a total of 3 triggers of the spell.',100,2,4),
(188404,10118026,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(188405,10118026,'Inflicts 199 - 332 divine damage on target',100,2,1),
(188406,10118026,'Stuns target',100,2,2),
(188407,10118026,'If Target is not Epic',100,3,3),
(188408,10118026,'Grants a total of 3 triggers of the spell.',100,2,4),
(188409,144235,'When Equipped:',100,0,0),
(188410,144235,'Increases Attack Speed of caster by 35.0',100,1,1),
(188411,10144235,'When Equipped:',100,0,0),
(188412,10144235,'Increases Attack Speed of caster by 35.0',100,1,1),
(188413,108193,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(188414,10108193,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(188415,86096,'When Equipped:',100,0,0),
(188416,86096,'On a melee hit this spell may cast Lethargy on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188417,86096,'Decreases Damage Per Second of target by 12.0',100,2,2),
(188418,86096,'Cannot be modified except by direct means',100,2,3),
(188419,10086096,'When Equipped:',100,0,0),
(188420,10086096,'On a melee hit this spell may cast Lethargy on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188421,10086096,'Decreases Damage Per Second of target by 12.0',100,2,2),
(188422,10086096,'Cannot be modified except by direct means',100,2,3),
(188423,104638,'Inflicts 159 - 265 crushing damage on target',100,1,0),
(188424,104638,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 14.9',100,1,1),
(188425,10104638,'Inflicts 207 - 345 crushing damage on target',100,1,0),
(188426,10104638,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 14.9',100,1,1),
(188427,140779,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(188428,140779,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 180',100,1,1),
(188429,140779,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(188430,10140779,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(188431,10140779,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 180',100,1,1),
(188432,10140779,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(188433,80797,'When Equipped:',100,0,0),
(188434,80797,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188435,80797,'Inflicts 296 - 551 magic damage on target',100,2,2),
(188436,80797,'Cannot be modified except by direct means',100,2,3),
(188437,10080797,'When Equipped:',100,0,0),
(188438,10080797,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188439,10080797,'Inflicts 385 - 716 magic damage on target',100,2,2),
(188440,10080797,'Cannot be modified except by direct means',100,2,3),
(188441,80731,'When Equipped:',100,0,0),
(188442,80731,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188443,80731,'Inflicts 83 - 154 magic damage on target',100,2,2),
(188444,80731,'Cannot be modified except by direct means',100,2,3),
(188445,10080731,'When Equipped:',100,0,0),
(188446,10080731,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188447,10080731,'Inflicts 108 - 200 magic damage on target',100,2,2),
(188448,10080731,'Cannot be modified except by direct means',100,2,3),
(188449,102005,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(188450,102005,'Wards target against 136 points of all damage',100,2,1),
(188451,10102005,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(188452,10102005,'Wards target against 136 points of all damage',100,2,1),
(188453,102807,'Summons 3 limited pets to aid the caster',100,1,0),
(188454,10102807,'Summons 3 limited pets to aid the caster',100,1,0),
(188455,80839,'When Equipped:',100,0,0),
(188456,80839,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188457,80839,'Inflicts 288 - 534 magic damage on target',100,2,2),
(188458,80839,'Decreases Threat to target by 672 ',100,2,3),
(188459,80839,'Must be flanking or behind',100,3,4),
(188460,80839,'Increases Threat to target by 673 ',100,2,5),
(188461,80839,'Must be in front of',100,3,6),
(188462,80839,'Cannot be modified except by direct means',100,2,7),
(188463,10080839,'When Equipped:',100,0,0),
(188464,10080839,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188465,10080839,'Inflicts 374 - 695 magic damage on target',100,2,2),
(188466,10080839,'Cannot be modified except by direct means',100,2,3),
(188467,112227,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(188468,112227,'Inflicts 47 disease damage on target',100,2,1),
(188469,112227,'Increases Threat to target by 73 ',100,2,2),
(188470,112227,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',100,1,3),
(188471,10112227,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(188472,10112227,'Inflicts 61 disease damage on target',100,2,1),
(188473,10112227,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',100,1,2),
(188474,82016,'When Equipped:',100,0,0),
(188475,82016,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188476,82016,'Inflicts 212 - 393 magic damage on target',100,2,2),
(188477,82016,'Cannot be modified except by direct means',100,2,3),
(188478,10082016,'When Equipped:',100,0,0),
(188479,10082016,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188480,10082016,'Inflicts 275 - 511 magic damage on target',100,2,2),
(188481,10082016,'Cannot be modified except by direct means',100,2,3),
(188482,45962,'Applies Feverish Pox when Activated.  Lasts for 10.0 seconds.',100,0,0),
(188483,45962,'Inflicts 3250 disease damage on caster instantly and every 5 seconds',100,1,1),
(188484,45962,'This effect cannot be critically applied.',100,2,2),
(188485,45962,'Perhaps this disease provides some immunity from a more lethal affliction.',100,1,3),
(188486,45962,'If any of the following are true:',100,1,4),
(188487,45962,'Must be in Sullon''s Spire [Challenge].',100,2,5),
(188488,45962,'Must be in Sullon''s Spire.',100,2,6),
(188489,45962,'Cannot be modified except by direct means',100,1,7),
(188490,10045962,'Applies Feverish Pox when Activated.  Lasts for 10.0 seconds.',100,0,0),
(188491,10045962,'Inflicts 4225 disease damage on caster instantly and every 5 seconds',100,1,1),
(188492,10045962,'This effect cannot be critically applied.',100,2,2),
(188493,10045962,'Perhaps this disease provides some immunity from a more lethal affliction.',100,1,3),
(188494,10045962,'If any of the following are true:',100,1,4),
(188495,10045962,'Must be in Sullon''s Spire [Challenge].',100,2,5),
(188496,10045962,'Must be in Sullon''s Spire.',100,2,6),
(188497,10045962,'Cannot be modified except by direct means',100,1,7),
(188498,152532,'When Equipped:',100,0,0),
(188499,152532,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188500,152532,'Decreases power of target by 149',100,2,2),
(188501,152532,'Increases power of caster by 149',100,2,3),
(188502,152532,'Cannot be modified except by direct means',100,2,4),
(188503,10152532,'When Equipped:',100,0,0),
(188504,10152532,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188505,10152532,'Decreases power of target by 149',100,2,2),
(188506,10152532,'Increases power of caster by 149',100,2,3),
(188507,10152532,'Cannot be modified except by direct means',100,2,4),
(188508,122339,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(188509,122339,'Inflicts 4 - 5 piercing damage on target',100,2,1),
(188510,10122339,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(188511,10122339,'Inflicts 5 - 7 piercing damage on target',100,2,1),
(188512,48448,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(188513,48448,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(188514,48448,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(188515,48448,'Cannot be modified except by direct means',100,2,3),
(188516,48448,'Grants a total of 80 triggers of the spell.',100,2,4),
(188517,10048448,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(188518,10048448,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(188519,10048448,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(188520,10048448,'Cannot be modified except by direct means',100,2,3),
(188521,10048448,'Grants a total of 80 triggers of the spell.',100,2,4),
(188522,80351,'When Equipped:',100,0,0),
(188523,80351,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188524,80351,'Inflicts 60 - 112 magic damage on target',100,2,2),
(188525,80351,'Cannot be modified except by direct means',100,2,3),
(188526,10080351,'When Equipped:',100,0,0),
(188527,10080351,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188528,10080351,'Inflicts 78 - 145 magic damage on target',100,2,2),
(188529,10080351,'Cannot be modified except by direct means',100,2,3),
(188530,110760,'Heals group members (AE) for 71 - 86 instantly and every 2 seconds',100,1,0),
(188531,10110760,'Heals group members (AE) for 46 - 56 instantly and every 2 seconds',100,1,0),
(188532,114874,'Decreases AGI of target by 57.5',100,1,0),
(188533,114874,'Decreases Defense of target by 21.9',100,1,1),
(188534,10114874,'Decreases AGI of target by 57.5',100,1,0),
(188535,10114874,'Decreases Defense of target by 21.9',100,1,1),
(188536,122911,'Increases STR and INT of group members (AE) by 46.4',100,1,0),
(188537,10122911,'Increases STR and INT of group members (AE) by 46.4',100,1,0),
(188538,82613,'When Equipped:',100,0,0),
(188539,82613,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188540,82613,'Inflicts 118 - 218 magic damage on target',100,2,2),
(188541,82613,'Decreases Threat to target by 259 ',100,2,3),
(188542,82613,'Must be flanking or behind',100,3,4),
(188543,82613,'Increases Threat to target by 259 ',100,2,5),
(188544,82613,'Must be in front of',100,3,6),
(188545,82613,'Cannot be modified except by direct means',100,2,7),
(188546,10082613,'When Equipped:',100,0,0),
(188547,10082613,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188548,10082613,'Inflicts 153 - 284 magic damage on target',100,2,2),
(188549,10082613,'Cannot be modified except by direct means',100,2,3),
(188550,26774,'When Equipped:',100,0,0),
(188551,26774,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(188552,26774,'On a critical healing spell cast this spell may cast Mending I on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(188553,26774,'Heals target for 951 - 1051 instantly and every 2 seconds',100,2,3),
(188554,26774,'Must not be engaged in pvp combat',100,2,4),
(188555,26774,'Cannot be modified except by direct means',100,2,5),
(188556,26774,'Must not be engaged in pvp combat',100,1,6),
(188557,10026774,'When Equipped:',100,0,0),
(188558,10026774,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(188559,10026774,'On a critical healing spell cast this spell may cast Mending I on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(188560,10026774,'Heals target for 1113 - 1230 instantly and every 2 seconds',100,2,3),
(188561,10026774,'Must not be engaged in pvp combat',100,2,4),
(188562,10026774,'Cannot be modified except by direct means',100,2,5),
(188563,10026774,'Must not be engaged in pvp combat',100,1,6),
(188564,115737,'Wards caster against 8672 points of elemental, noxious and arcane damage',100,1,0),
(188565,10115737,'Wards caster against 8672 points of elemental, noxious and arcane damage',100,1,0),
(188566,80858,'When Equipped:',100,0,0),
(188567,80858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188568,80858,'Inflicts 288 - 534 magic damage on target',100,2,2),
(188569,80858,'Cannot be modified except by direct means',100,2,3),
(188570,10080858,'When Equipped:',100,0,0),
(188571,10080858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188572,10080858,'Inflicts 374 - 695 magic damage on target',100,2,2),
(188573,10080858,'Cannot be modified except by direct means',100,2,3),
(188574,113378,'Roots target',100,1,0),
(188575,113378,'Applies Stifle.  Lasts for 8.0 seconds.',100,1,1),
(188576,113378,'Stifles target',100,2,2),
(188577,113378,'Blurs vision of target',100,2,3),
(188578,113378,'Dispelled when target takes damage',100,2,4),
(188579,113378,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(188580,113378,'Resistibility increases against targets higher than level 90.',100,2,6),
(188581,113378,'5% chance to dispel when target takes damage',100,1,7),
(188582,113378,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,8),
(188583,113378,'Resistibility increases against targets higher than level 90.',100,1,9),
(188584,10113378,'Roots target',100,1,0),
(188585,10113378,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(188586,10113378,'Stifles target',100,2,2),
(188587,10113378,'Blurs vision of target',100,2,3),
(188588,10113378,'Dispelled when target takes damage',100,2,4),
(188589,10113378,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(188590,10113378,'Resistibility increases against targets higher than level 90.',100,2,6),
(188591,10113378,'5% chance to dispel when target takes damage',100,1,7),
(188592,10113378,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(188593,10113378,'Resistibility increases against targets higher than level 90.',100,1,9),
(188594,116075,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(188595,116075,'Heals target for 45 - 55',100,2,1),
(188596,116075,'Grants a total of 5 triggers of the spell.',100,2,2),
(188597,10116075,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(188598,10116075,'Heals target for 29 - 36',100,2,1),
(188599,10116075,'Grants a total of 5 triggers of the spell.',100,2,2),
(188600,109955,'Inflicts 306 - 459 disease damage on targets in Area of Effect',100,1,0),
(188601,109955,'Inflicts 153 - 230 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(188602,109955,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(188603,109955,'Increases Threat to targets in Area of Effect by 744 - 909  instantly and every 4 seconds thereafter',100,1,3),
(188604,10109955,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(188605,10109955,'Forces target to change their selected target to caster.',100,2,1),
(188606,10109955,'Prevents target from changing targets',100,2,2),
(188607,10109955,'Inflicts 398 - 597 disease damage on targets in Area of Effect',100,1,3),
(188608,10109955,'Inflicts 199 - 299 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(188609,123718,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(188610,123718,'Inflicts 379 divine damage on target',100,2,1),
(188611,123718,'Grants a total of 5 triggers of the spell.',100,2,2),
(188612,10123718,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(188613,10123718,'Inflicts 493 divine damage on target',100,2,1),
(188614,10123718,'Grants a total of 5 triggers of the spell.',100,2,2),
(188615,46568,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(188616,46568,'Increases Attack Speed of caster by 28.1',100,1,1),
(188617,10046568,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(188618,10046568,'Increases Attack Speed of caster by 28.1',100,1,1),
(188619,81160,'When Equipped:',100,0,0),
(188620,81160,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188621,81160,'Inflicts 230 - 426 magic damage on target',100,2,2),
(188622,81160,'Cannot be modified except by direct means',100,2,3),
(188623,10081160,'When Equipped:',100,0,0),
(188624,10081160,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188625,10081160,'Inflicts 298 - 554 magic damage on target',100,2,2),
(188626,10081160,'Cannot be modified except by direct means',100,2,3),
(188627,120109,'Shapechanges caster into a chaos essence',100,1,0),
(188628,120109,'Increases WIS of caster by 104.7',100,1,1),
(188629,120109,'Grants See Invisibility to caster',100,1,2),
(188630,120109,'Increases Max Health of caster by 459.2',100,1,3),
(188631,120109,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1596',100,1,4),
(188632,10120109,'Shapechanges caster into a chaos essence',100,1,0),
(188633,10120109,'Increases WIS of caster by 104.7',100,1,1),
(188634,10120109,'Grants See Invisibility to caster',100,1,2),
(188635,10120109,'Increases Max Health of caster by 459.2',100,1,3),
(188636,10120109,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1596',100,1,4),
(188637,115355,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(188638,115355,'Inflicts 7 piercing damage on target',100,2,1),
(188639,10115355,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(188640,10115355,'Inflicts 9 piercing damage on target',100,2,1),
(188641,80557,'When Equipped:',100,0,0),
(188642,80557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188643,80557,'Inflicts 109 - 202 magic damage on target',100,2,2),
(188644,80557,'Cannot be modified except by direct means',100,2,3),
(188645,10080557,'When Equipped:',100,0,0),
(188646,10080557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188647,10080557,'Inflicts 142 - 263 magic damage on target',100,2,2),
(188648,10080557,'Cannot be modified except by direct means',100,2,3),
(188649,111723,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(188650,111723,'Inflicts 197 - 241 cold damage on target',100,2,1),
(188651,111723,'Grants a total of 3 triggers of the spell.',100,2,2),
(188652,10111723,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(188653,10111723,'Inflicts 256 - 313 cold damage on target',100,2,1),
(188654,10111723,'Grants a total of 3 triggers of the spell.',100,2,2),
(188655,111642,'Inflicts 118 - 144 cold damage on target encounter',100,1,0),
(188656,111642,'Slows target encounter by 34.4%',100,1,1),
(188657,111642,'5% chance to dispel when target takes damage',100,1,2),
(188658,111642,'5% chance to dispel when target receives hostile action',100,1,3),
(188659,10111642,'Inflicts 205 - 250 cold damage on target encounter',100,1,0),
(188660,10111642,'Slows target encounter by 34.4%',100,1,1),
(188661,10111642,'5% chance to dispel when target takes damage',100,1,2),
(188662,10111642,'5% chance to dispel when target receives hostile action',100,1,3),
(188663,117832,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(188664,117832,'Heals target for 99 - 121 instantly and every 2 seconds',100,2,1),
(188665,117832,'If over 50% Health',100,3,2),
(188666,117832,'Heals target for 198 - 242 instantly and every 2 seconds',100,2,3),
(188667,117832,'If at 50% Health or less',100,3,4),
(188668,10117832,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(188669,10117832,'Heals target for 29 - 35 instantly and every 2 seconds',100,2,1),
(188670,10117832,'If over 50% Health',100,3,2),
(188671,10117832,'Heals target for 48 - 59 instantly and every 2 seconds',100,2,3),
(188672,10117832,'If at 50% Health or less',100,3,4),
(188673,107807,'Increases Threat to target encounter by 588 - 719 ',100,1,0),
(188674,10107807,'Prevents target encounter from changing targets',100,1,0),
(188675,10107807,'Forces target encounter to change their selected target to caster.',100,1,1),
(188676,124079,'Increases STR and INT of group members (AE) by 9.9',100,1,0),
(188677,10124079,'Increases STR and INT of group members (AE) by 9.9',100,1,0),
(188678,45374,'Applies Blight of the Tombstone when Activated.  Lasts for 12 hours.',100,0,0),
(188679,45374,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(188680,45374,'Inflicts 95 poison damage on target',100,2,2),
(188681,45374,'Inflicts 117 poison damage on target instantly and every 6 seconds',100,2,3),
(188682,45374,'Cannot be modified except by direct means',100,2,4),
(188683,45374,'Grants a total of 100 triggers of the spell.',100,2,5),
(188684,10045374,'Applies Blight of the Tombstone when Activated.  Lasts for 12 hours.',100,0,0),
(188685,10045374,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(188686,10045374,'Inflicts 114 poison damage on target instantly and every 6 seconds',100,2,2),
(188687,10045374,'Inflicts 93 poison damage on target',100,2,3),
(188688,10045374,'Cannot be modified except by direct means',100,2,4),
(188689,10045374,'Grants a total of 100 triggers of the spell.',100,2,5),
(188690,105086,'Inflicts 156 - 210 magic damage on target',100,1,0),
(188691,10105086,'Inflicts 202 - 274 magic damage on target',100,1,0),
(188692,103303,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',100,1,0),
(188693,103303,'Applies Migraine on termination.',100,1,1),
(188694,103303,'Inflicts 48 - 65 mental damage on target',100,2,2),
(188695,10103303,'Inflicts 29 - 35 mental damage on target instantly and every 6 seconds',100,1,0),
(188696,10103303,'Applies Migraine on termination.',100,1,1),
(188697,10103303,'Inflicts 62 - 84 mental damage on target',100,2,2),
(188698,52780,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(188699,52780,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(188700,52780,'Inflicts 129 heat damage on target',100,2,2),
(188701,52780,'Cannot be modified except by direct means',100,2,3),
(188702,10052780,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(188703,10052780,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(188704,10052780,'Inflicts 168 heat damage on target',100,2,2),
(188705,10052780,'Cannot be modified except by direct means',100,2,3),
(188706,52792,'Applies Sanguine Imbued when Equipped.',100,0,0),
(188707,52792,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(188708,52792,'Inflicts 215 heat damage on target',100,2,2),
(188709,52792,'Cannot be modified except by direct means',100,2,3),
(188710,10052792,'Applies Sanguine Imbued when Equipped.',100,0,0),
(188711,10052792,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(188712,10052792,'Inflicts 280 heat damage on target',100,2,2),
(188713,10052792,'Cannot be modified except by direct means',100,2,3),
(188714,108401,'Heals target for 387 - 473',100,1,0),
(188715,10108401,'Heals target for 463 - 566',100,1,0),
(188716,115811,'Inflicts 17 disease damage on target every 3 seconds',100,1,0),
(188717,115811,'Inflicts 63 - 105 melee damage on target',100,1,1),
(188718,115811,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(188719,115811,'Heals caster for 1.2% of max health instantly and every 3 seconds',100,2,3),
(188720,115811,'This effect cannot be critically applied.',100,3,4),
(188721,115811,'The healing of this spell cannot be modified except by direct means',100,2,5),
(188722,115811,'The healing of this spell cannot be modified except by direct means',100,1,6),
(188723,10115811,'Inflicts 22 disease damage on target every 3 seconds',100,1,0),
(188724,10115811,'Inflicts 82 - 136 melee damage on target',100,1,1),
(188725,10115811,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(188726,10115811,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(188727,10115811,'This effect cannot be critically applied.',100,3,4),
(188728,10115811,'The healing of this spell cannot be modified except by direct means',100,2,5),
(188729,10115811,'The healing of this spell cannot be modified except by direct means',100,1,6),
(188730,35693,'Increases Max Power of target by 3.3',100,0,0),
(188731,35693,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(188732,113716,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(188733,10113716,'Dispels 52 levels of any hostile effects on group members (AE)',100,1,0),
(188734,171128,'When Equipped:',100,0,0),
(188735,171128,'On a healing spell cast this spell has a 10% chance to cast Passive Aggressive on target of spell cast.  Lasts for 10.0 seconds.  ',100,1,1),
(188736,171128,'Decreases Hate Gain of target by 5.0%',100,2,2),
(188737,171128,'If not fighter',100,3,3),
(188738,171128,'Increases Hate Gain of target by 5.0%',100,2,4),
(188739,171128,'If fighter',100,3,5),
(188740,171128,'Cannot be modified except by direct means',100,2,6),
(188741,10171128,'When Equipped:',100,0,0),
(188742,10171128,'On a healing spell cast this spell has a 10% chance to cast Passive Aggressive on target of spell cast.  Lasts for 10.0 seconds.  ',100,1,1),
(188743,10171128,'Cannot be modified except by direct means',100,2,2),
(188744,119090,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(188745,119090,'Increases Parry and Deflection of group members (AE) by 17.8',100,1,1),
(188746,119090,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(188747,119090,'Decreases Threat to target encounter by 759 - 928 ',100,2,3),
(188748,119090,'If not fighter',100,3,4),
(188749,119090,'Increases Threat to target encounter by 759 - 928 ',100,2,5),
(188750,119090,'If fighter',100,3,6),
(188751,119090,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(188752,119090,'Decreases Threat to target encounter by 759 - 928 ',100,2,8),
(188753,119090,'If not fighter',100,3,9),
(188754,119090,'Increases Threat to target encounter by 759 - 928 ',100,2,10),
(188755,119090,'If fighter',100,3,11),
(188756,10119090,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(188757,10119090,'Increases Parry and Deflection of group members (AE) by 17.8',100,1,1),
(188758,10119090,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(188759,10119090,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(188760,35268,'Increases STR of target by 1.5',100,0,0),
(188761,35268,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(188762,106652,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(188763,106652,'Increases Mitigation of caster vs physical damage by 288',100,2,1),
(188764,106652,'Decreases Mitigation of target encounter vs physical damage by 1646',100,1,2),
(188765,10106652,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(188766,10106652,'Increases Mitigation of caster vs physical damage by 288',100,2,1),
(188767,10106652,'Decreases Mitigation of target encounter vs physical damage by 1646',100,1,2),
(188768,164517,'When Equipped:',100,0,0),
(188769,164517,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(188770,10164517,'When Equipped:',100,0,0),
(188771,10164517,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(188772,116708,'Inflicts 247 - 412 melee damage on target',100,1,0),
(188773,10116708,'Inflicts 321 - 536 melee damage on target',100,1,0),
(188774,159556,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(188775,159556,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(188776,159556,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(188777,159556,'Cannot be modified except by direct means',100,2,3),
(188778,10159556,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(188779,10159556,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(188780,10159556,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(188781,10159556,'Cannot be modified except by direct means',100,2,3),
(188782,35127,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(188783,111339,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(188784,111339,'Inflicts 490 - 599 mental damage on target',100,2,1),
(188785,111339,'Grants a total of 3 triggers of the spell.',100,2,2),
(188786,10111339,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(188787,10111339,'Inflicts 637 - 779 mental damage on target',100,2,1),
(188788,10111339,'Grants a total of 3 triggers of the spell.',100,2,2),
(188789,110509,'Increases Threat to target by 207  instantly and by 86  every 3 seconds thereafter',100,1,0),
(188790,110509,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(188791,110509,'Throws target back',100,2,2),
(188792,110509,'Stuns target',100,2,3),
(188793,110509,'Blurs vision of target',100,2,4),
(188794,110509,'Does not affect Epic targets',100,2,5),
(188795,110509,'Inflicts 59 - 99 disease damage on target',100,1,6),
(188796,10110509,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(188797,10110509,'Throws target back',100,2,1),
(188798,10110509,'Stuns target',100,2,2),
(188799,10110509,'Blurs vision of target',100,2,3),
(188800,10110509,'Does not affect Epic targets',100,2,4),
(188801,10110509,'Forces target to change their selected target to caster.',100,1,5),
(188802,10110509,'Inflicts 64 - 108 disease damage on target',100,1,6),
(188803,10110509,'Prevents target from changing targets',100,1,7),
(188804,141702,'When Equipped:',100,0,0),
(188805,141702,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(188806,141702,'Increases STA of caster by 17.3',100,2,2),
(188807,141702,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(188808,141702,'Cannot be modified except by direct means',100,2,4),
(188809,10141702,'When Equipped:',100,0,0),
(188810,10141702,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(188811,10141702,'Increases STA of caster by 17.3',100,2,2),
(188812,10141702,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(188813,10141702,'Cannot be modified except by direct means',100,2,4),
(188814,53240,'Applies Flameshield when Activated.  Lasts for 30.0 seconds.',100,0,0),
(188815,53240,'Wards caster against 250 points of elemental damage',100,1,1),
(188816,53240,'The casting time of Flameshield is 7.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(188817,10053240,'Applies Flameshield when Activated.  Lasts for 30.0 seconds.',100,0,0),
(188818,10053240,'Wards caster against 250 points of elemental damage',100,1,1),
(188819,10053240,'The casting time of Flameshield is 7.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(188820,35938,'Increases AGI of target by 1.5',100,0,0),
(188821,35938,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(188822,104960,'Inflicts 1159 - 1932 melee damage on target',100,1,0),
(188823,104960,'Decreases Defense of target by 42.6',100,1,1),
(188824,104960,'Must be behind',100,1,2),
(188825,10104960,'Inflicts 1507 - 2512 melee damage on target',100,1,0),
(188826,10104960,'Decreases Defense of target by 42.6',100,1,1),
(188827,10104960,'Must be behind',100,1,2),
(188828,112105,'Inflicts 123 - 204 heat damage on target instantly and every 2 seconds',100,1,0),
(188829,10112105,'Inflicts 391 - 651 heat damage on target instantly and every 2 seconds',100,1,0),
(188830,108147,'Inflicts 341 - 569 melee damage on target',100,1,0),
(188831,108147,'You must be sneaking to use this ability.',100,1,1),
(188832,108147,'Must be flanking or behind',100,1,2),
(188833,10108147,'Inflicts 292 - 488 melee damage on target',100,1,0),
(188834,10108147,'You must be sneaking to use this ability.',100,1,1),
(188835,10108147,'Must be flanking or behind',100,1,2),
(188836,108827,'Inflicts 1362 - 2529 heat damage on targets in Area of Effect',100,1,0),
(188837,10108827,'Inflicts 1770 - 3287 heat damage on targets in Area of Effect',100,1,0),
(188838,36533,'Increases Max Power of target by 5.5',100,0,0),
(188839,36533,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(188840,72088,'When Equipped:',100,0,0),
(188841,72088,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188842,72088,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(188843,72088,'Cannot be modified except by direct means',100,2,3),
(188844,10072088,'When Equipped:',100,0,0),
(188845,10072088,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(188846,10072088,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(188847,10072088,'Cannot be modified except by direct means',100,2,3),
(188848,118610,'Roots target',100,1,0),
(188849,118610,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(188850,118610,'Slows target by 54.2%',100,2,2),
(188851,118610,'5% chance to dispel when target receives hostile action',100,2,3),
(188852,118610,'5% chance to dispel when target takes damage',100,2,4),
(188853,118610,'5% chance to dispel when target takes damage',100,1,5),
(188854,118610,'Does not affect Epic targets',100,1,6),
(188855,118610,'Resistibility increases against targets higher than level 105.',100,1,7),
(188856,10118610,'Roots target',100,1,0),
(188857,10118610,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(188858,10118610,'Slows target by 54.2%',100,2,2),
(188859,10118610,'5% chance to dispel when target receives hostile action',100,2,3),
(188860,10118610,'5% chance to dispel when target takes damage',100,2,4),
(188861,10118610,'5% chance to dispel when target takes damage',100,1,5),
(188862,10118610,'Does not affect Epic targets',100,1,6),
(188863,10118610,'Resistibility increases against targets higher than level 105.',100,1,7),
(188864,26601,'When Equipped:',100,0,0),
(188865,26601,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(188866,26601,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(188867,10026601,'When Equipped:',100,0,0),
(188868,10026601,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(188869,10026601,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(188870,117155,'Inflicts 5 poison damage on target instantly and every 4 seconds',100,1,0),
(188871,117155,'Decreases WIS of target by 11.8',100,1,1),
(188872,10117155,'Inflicts 7 poison damage on target instantly and every 4 seconds',100,1,0),
(188873,10117155,'Decreases WIS of target by 11.8',100,1,1),
(188874,116089,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(188875,116089,'Heals target for 166 - 203',100,2,1),
(188876,116089,'Grants a total of 5 triggers of the spell.',100,2,2),
(188877,10116089,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(188878,10116089,'Heals target for 108 - 132',100,2,1),
(188879,10116089,'Grants a total of 5 triggers of the spell.',100,2,2),
(188880,105885,'Inflicts 180 - 300 ranged damage on target',100,1,0),
(188881,105885,'Inflicts 180 - 300 ranged damage on target',100,1,1),
(188882,105885,'If weapon equipped in Ranged',100,1,2),
(188883,10105885,'Inflicts 153 - 255 ranged damage on target',100,1,0),
(188884,10105885,'Inflicts 153 - 255 ranged damage on target',100,1,1),
(188885,10105885,'If weapon equipped in Ranged',100,1,2),
(188886,35256,'Increases INT of target by 1.5',100,0,0),
(188887,35256,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(188888,122969,'Inflicts 323 - 437 mental damage on target',100,1,0),
(188889,10122969,'Inflicts 420 - 569 mental damage on target',100,1,0),
(188890,106116,'Increases Attack Speed of caster by 33.2',100,1,0),
(188891,106116,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(188892,106116,'Throws target back',100,2,2),
(188893,106116,'Stuns target',100,2,3),
(188894,106116,'Blurs vision of target',100,2,4),
(188895,106116,'Does not affect Epic targets',100,2,5),
(188896,10106116,'Increases Attack Speed of caster by 33.2',100,1,0),
(188897,10106116,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(188898,10106116,'Throws target back',100,2,2),
(188899,10106116,'Stuns target',100,2,3),
(188900,10106116,'Blurs vision of target',100,2,4),
(188901,10106116,'Does not affect Epic targets',100,2,5),
(188902,82330,'When Equipped:',100,0,0),
(188903,82330,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188904,82330,'Decreases Threat to target by 994 ',100,2,2),
(188905,82330,'Must be flanking or behind',100,3,3),
(188906,82330,'Increases Threat to target by 994 ',100,2,4),
(188907,82330,'Must be in front of',100,3,5),
(188908,82330,'Inflicts 408 - 757 magic damage on target',100,2,6),
(188909,82330,'Cannot be modified except by direct means',100,2,7),
(188910,10082330,'When Equipped:',100,0,0),
(188911,10082330,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(188912,10082330,'Inflicts 530 - 984 magic damage on target',100,2,2),
(188913,10082330,'Cannot be modified except by direct means',100,2,3),
(188914,109886,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(188915,109886,'Inflicts 16 - 20 poison damage on target instantly and every 4 seconds',100,2,1),
(188916,10109886,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(188917,10109886,'Inflicts 21 - 26 poison damage on target instantly and every 4 seconds',100,2,1),
(188918,81257,'When Equipped:',100,0,0),
(188919,81257,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188920,81257,'Inflicts 314 - 583 magic damage on target',100,2,2),
(188921,81257,'Cannot be modified except by direct means',100,2,3),
(188922,10081257,'When Equipped:',100,0,0),
(188923,10081257,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(188924,10081257,'Inflicts 408 - 757 magic damage on target',100,2,2),
(188925,10081257,'Cannot be modified except by direct means',100,2,3),
(188926,113682,'Stuns target',100,1,0),
(188927,113682,'If Target is not Epic',100,2,1),
(188928,113682,'Inflicts 428 - 713 heat damage on target',100,1,2),
(188929,113682,'Resistibility increases against targets higher than level 59.',100,1,3),
(188930,10113682,'Stuns target',100,1,0),
(188931,10113682,'If Target is not Epic',100,2,1),
(188932,10113682,'Inflicts 556 - 927 heat damage on target',100,1,2),
(188933,10113682,'Resistibility increases against targets higher than level 59.',100,1,3),
(188934,113334,'Inflicts 248 - 303 divine damage on target encounter',100,1,0),
(188935,113334,'Interrupts target encounter',100,1,1),
(188936,10113334,'Inflicts 322 - 394 divine damage on target encounter',100,1,0),
(188937,10113334,'Interrupts target encounter',100,1,1),
(188938,106189,'Wards target against 89 points of all damage',100,1,0),
(188939,106189,'Decreases INT of target by 137.5',100,1,1),
(188940,106189,'Decreases Attack Speed of target by 25.0',100,1,2),
(188941,106189,'Increases Max Health of target by 10.0%',100,1,3),
(188942,106189,'Increases Hate Gain of target by 28.8%',100,1,4),
(188943,106189,'Increases Aggression of target by 10.5',100,1,5),
(188944,106189,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(188945,106189,'Increases Threat to target encounter by 105 - 129 ',100,2,7),
(188946,106189,'Increases Mitigation of target vs elemental, noxious and arcane damage by 700',100,1,8),
(188947,10106189,'Wards target against 89 points of all damage',100,1,0),
(188948,10106189,'Decreases INT of target by 137.5',100,1,1),
(188949,10106189,'Decreases Attack Speed of target by 25.0',100,1,2),
(188950,10106189,'Increases Max Health of target by 10.0%',100,1,3),
(188951,10106189,'Increases Aggression of target by 10.5',100,1,4),
(188952,10106189,'Increases Mitigation of target vs elemental, noxious and arcane damage by 700',100,1,5),
(188953,123333,'Increases STA of raid and group members (AE) by 44.9',100,1,0),
(188954,123333,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(188955,10123333,'Increases STA of raid and group members (AE) by 44.9',100,1,0),
(188956,10123333,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(188957,123906,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(188958,123906,'Slows target by 45.3%',100,2,1),
(188959,123906,'5% chance to dispel when target receives hostile action',100,2,2),
(188960,123906,'5% chance to dispel when target takes damage',100,2,3),
(188961,123906,'Decreases Mitigation of target vs elemental and noxious damage by 616',100,1,4),
(188962,10123906,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(188963,10123906,'Slows target by 45.3%',100,2,1),
(188964,10123906,'5% chance to dispel when target receives hostile action',100,2,2),
(188965,10123906,'5% chance to dispel when target takes damage',100,2,3),
(188966,10123906,'Decreases Mitigation of target vs elemental and noxious damage by 616',100,1,4),
(188967,52871,'Applies Sanguine Imbued when Equipped.',100,0,0),
(188968,52871,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(188969,52871,'Inflicts 121 heat damage on target',100,2,2),
(188970,52871,'Cannot be modified except by direct means',100,2,3),
(188971,10052871,'Applies Sanguine Imbued when Equipped.',100,0,0),
(188972,10052871,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(188973,10052871,'Inflicts 157 heat damage on target',100,2,2),
(188974,10052871,'Cannot be modified except by direct means',100,2,3),
(188975,79267,'When Equipped:',100,0,0),
(188976,79267,'On any combat or spell hit this spell may cast Shissar Anguish on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(188977,79267,'Inflicts 630 disease damage on target',100,2,2),
(188978,79267,'Cannot be modified except by direct means',100,2,3),
(188979,10079267,'When Equipped:',100,0,0),
(188980,10079267,'On any combat or spell hit this spell may cast Shissar Anguish on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(188981,10079267,'Inflicts 819 disease damage on target',100,2,2),
(188982,10079267,'Cannot be modified except by direct means',100,2,3),
(188983,41873,'When Equipped:',100,0,0),
(188984,41873,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(188985,41873,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(188986,41873,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(188987,41873,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(188988,41873,'Must not be engaged in pvp combat',100,2,5),
(188989,41873,'Cannot be modified except by direct means',100,2,6),
(188990,41873,'Cannot be modified except by direct means',100,1,7),
(188991,10041873,'When Equipped:',100,0,0),
(188992,10041873,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(188993,10041873,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(188994,10041873,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(188995,10041873,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(188996,10041873,'Must not be engaged in pvp combat',100,2,5),
(188997,10041873,'Cannot be modified except by direct means',100,2,6),
(188998,10041873,'Cannot be modified except by direct means',100,1,7),
(188999,82733,'When Equipped:',100,0,0),
(189000,82733,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189001,82733,'Decreases Threat to target by 487 ',100,2,2),
(189002,82733,'Must be flanking or behind',100,3,3),
(189003,82733,'Increases Threat to target by 487 ',100,2,4),
(189004,82733,'Must be in front of',100,3,5),
(189005,82733,'Inflicts 164 - 305 magic damage on target',100,2,6),
(189006,82733,'Cannot be modified except by direct means',100,2,7),
(189007,10082733,'When Equipped:',100,0,0),
(189008,10082733,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189009,10082733,'Inflicts 213 - 396 magic damage on target',100,2,2),
(189010,10082733,'Cannot be modified except by direct means',100,2,3),
(189011,123233,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(189012,123233,'Increases Mitigation of group members (AE) vs noxious damage by 168',100,1,1),
(189013,10123233,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(189014,10123233,'Increases Mitigation of group members (AE) vs noxious damage by 168',100,1,1),
(189015,103118,'Increases STR of caster by 50.6',100,1,0),
(189016,103118,'Adds 3.4% to base avoidance.',100,1,1),
(189017,103118,'Increases Mitigation of caster vs physical damage by 324',100,1,2),
(189018,103118,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1011',100,1,3),
(189019,10103118,'Increases STR of caster by 50.6',100,1,0),
(189020,10103118,'Adds 3.4% to base avoidance.',100,1,1),
(189021,10103118,'Increases Mitigation of caster vs physical damage by 324',100,1,2),
(189022,10103118,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1011',100,1,3),
(189023,105165,'Increases AGI of caster by 51.7',100,1,0),
(189024,105165,'Adds 1.7% to base avoidance.',100,1,1),
(189025,105165,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(189026,105165,'Increases Parry of caster by 29.7',100,1,3),
(189027,105165,'Increases Defense of caster by 39.6',100,1,4),
(189028,10105165,'Increases AGI of caster by 51.7',100,1,0),
(189029,10105165,'Adds 1.7% to base avoidance.',100,1,1),
(189030,10105165,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(189031,10105165,'Increases Parry of caster by 29.7',100,1,3),
(189032,10105165,'Increases Defense of caster by 39.6',100,1,4),
(189033,75646,'Applies Holy Strike when Activated.',100,0,0),
(189034,75646,'Inflicts 477 - 796 divine damage on target',100,1,1),
(189035,75646,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(189036,10075646,'Applies Holy Strike when Activated.',100,0,0),
(189037,10075646,'Inflicts 621 - 1034 divine damage on target',100,1,1),
(189038,10075646,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(189039,74956,'When Equipped:',100,0,0),
(189040,74956,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189041,74956,'Inflicts 208 - 311 magic damage on target',100,2,2),
(189042,74956,'Cannot be modified except by direct means',100,2,3),
(189043,10074956,'When Equipped:',100,0,0),
(189044,10074956,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189045,10074956,'Inflicts 270 - 405 magic damage on target',100,2,2),
(189046,10074956,'Cannot be modified except by direct means',100,2,3),
(189047,81125,'When Equipped:',100,0,0),
(189048,81125,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189049,81125,'Inflicts 226 - 419 magic damage on target',100,2,2),
(189050,81125,'Cannot be modified except by direct means',100,2,3),
(189051,10081125,'When Equipped:',100,0,0),
(189052,10081125,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189053,10081125,'Inflicts 293 - 545 magic damage on target',100,2,2),
(189054,10081125,'Cannot be modified except by direct means',100,2,3),
(189055,112848,'Roots target',100,1,0),
(189056,112848,'5% chance to dispel when target takes damage',100,1,1),
(189057,112848,'Does not affect Epic targets',100,1,2),
(189058,112848,'Resistibility increases against targets higher than level 93.',100,1,3),
(189059,10112848,'Roots target',100,1,0),
(189060,10112848,'5% chance to dispel when target takes damage',100,1,1),
(189061,10112848,'Does not affect Epic targets',100,1,2),
(189062,10112848,'Resistibility increases against targets higher than level 93.',100,1,3),
(189063,48407,'Applies The Jester Card when Activated.  Lasts for 10 minutes.',100,0,0),
(189064,48407,'Decreases Hate Gain of caster by 25.0%',100,1,1),
(189065,10048407,'Applies The Jester Card when Activated.  Lasts for 10 minutes.',100,0,0),
(189066,36128,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(189067,36128,'This effect suspends during combat',100,0,1),
(189068,24254,'Adds Cyclops (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(189069,10024254,'Adds Cyclops (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(189070,138096,'When Equipped:',100,0,0),
(189071,138096,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(189072,138096,'Inflicts 1199 disease damage on target encounter',100,2,2),
(189073,138096,'Must not be engaged in pvp combat',100,2,3),
(189074,138096,'Cannot be modified except by direct means',100,2,4),
(189075,10138096,'When Equipped:',100,0,0),
(189076,10138096,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(189077,10138096,'Inflicts 779 disease damage on target encounter',100,2,2),
(189078,10138096,'Must not be engaged in pvp combat',100,2,3),
(189079,10138096,'Cannot be modified except by direct means',100,2,4),
(189080,119293,'Roots target',100,1,0),
(189081,119293,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(189082,119293,'Slows target by 31.0%',100,2,2),
(189083,119293,'5% chance to dispel when target receives hostile action',100,2,3),
(189084,119293,'5% chance to dispel when target takes damage',100,2,4),
(189085,119293,'15% chance to dispel when target takes damage',100,1,5),
(189086,119293,'Does not affect Epic targets',100,1,6),
(189087,119293,'Resistibility increases against targets higher than level 34.',100,1,7),
(189088,10119293,'Roots target',100,1,0),
(189089,10119293,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(189090,10119293,'Slows target by 31.0%',100,2,2),
(189091,10119293,'5% chance to dispel when target receives hostile action',100,2,3),
(189092,10119293,'5% chance to dispel when target takes damage',100,2,4),
(189093,10119293,'15% chance to dispel when target takes damage',100,1,5),
(189094,10119293,'Does not affect Epic targets',100,1,6),
(189095,10119293,'Resistibility increases against targets higher than level 34.',100,1,7),
(189096,159311,'Applies Sanguine Imbued when Equipped.',100,0,0),
(189097,159311,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(189098,159311,'Inflicts 50 heat damage on target',100,2,2),
(189099,159311,'Cannot be modified except by direct means',100,2,3),
(189100,10159311,'Applies Sanguine Imbued when Equipped.',100,0,0),
(189101,10159311,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(189102,10159311,'Inflicts 65 heat damage on target',100,2,2),
(189103,10159311,'Cannot be modified except by direct means',100,2,3),
(189104,79359,'When Equipped:',100,0,0),
(189105,79359,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(189106,10079359,'When Equipped:',100,0,0),
(189107,10079359,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(189108,124344,'Shapechanges caster into a wolf',100,1,0),
(189109,124344,'Grants See Invisibility to caster',100,1,1),
(189110,124344,'Increases Focus of caster by 58.8',100,1,2),
(189111,124344,'Increases Mitigation of caster vs physical damage by 650',100,1,3),
(189112,124344,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2287',100,1,4),
(189113,10124344,'Shapechanges caster into a wolf',100,1,0),
(189114,10124344,'Grants See Invisibility to caster',100,1,1),
(189115,10124344,'Increases Focus of caster by 58.8',100,1,2),
(189116,10124344,'Increases Mitigation of caster vs physical damage by 650',100,1,3),
(189117,10124344,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2287',100,1,4),
(189118,116310,'Stuns target',100,1,0),
(189119,116310,'If Target is not Epic',100,2,1),
(189120,116310,'Inflicts 492 - 602 magic damage on target',100,1,2),
(189121,116310,'Resistibility increases against targets higher than level 73.',100,1,3),
(189122,10116310,'Stuns target',100,1,0),
(189123,10116310,'If Target is not Epic',100,2,1),
(189124,10116310,'Inflicts 640 - 782 magic damage on target',100,1,2),
(189125,10116310,'Resistibility increases against targets higher than level 73.',100,1,3),
(189126,24154,'Adds Crushbone: Ancient Blue Tome to your Dungeon Maker toolbox',100,0,0),
(189127,10024154,'Adds Crushbone: Ancient Blue Tome to your Dungeon Maker toolbox',100,0,0),
(189128,123060,'Summons a pet undead knight',100,1,0),
(189129,10123060,'Summons a pet undead knight',100,1,0),
(189130,122820,'Inflicts 282 - 471 ranged damage on target',100,1,0),
(189131,122820,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(189132,122820,'Increases Hate Gain of target by 30.0%',100,2,2),
(189133,122820,'Grants a total of 1 trigger of the spell.',100,2,3),
(189134,122820,'Requires bow',100,1,4),
(189135,10122820,'Inflicts 240 - 400 ranged damage on target',100,1,0),
(189136,10122820,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(189137,10122820,'Grants a total of 1 trigger of the spell.',100,2,2),
(189138,10122820,'Requires bow',100,1,3),
(189139,74961,'When Equipped:',100,0,0),
(189140,74961,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189141,74961,'Inflicts 169 - 254 magic damage on target',100,2,2),
(189142,74961,'Cannot be modified except by direct means',100,2,3),
(189143,10074961,'When Equipped:',100,0,0),
(189144,10074961,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189145,10074961,'Inflicts 220 - 330 magic damage on target',100,2,2),
(189146,10074961,'Cannot be modified except by direct means',100,2,3),
(189147,119924,'Stifles target',100,1,0),
(189148,119924,'Inflicts 285 - 348 mental damage on target',100,1,1),
(189149,119924,'Inflicts 95 - 116 mental damage on target every 2.3 seconds',100,1,2),
(189150,119924,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,3),
(189151,119924,'Resistibility increases against targets higher than level 87.',100,1,4),
(189152,10119924,'Stifles target',100,1,0),
(189153,10119924,'Inflicts 370 - 452 mental damage on target',100,1,1),
(189154,10119924,'Inflicts 123 - 151 mental damage on target every second',100,1,2),
(189155,10119924,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(189156,10119924,'Resistibility increases against targets higher than level 87.',100,1,4),
(189157,101418,'Summons a pet Artisan''s Pack Pony',100,1,0),
(189158,10101418,'Summons a pet Artisan''s Pack Pony',100,1,0),
(189159,108304,'Inflicts 24 - 41 divine damage on target',100,1,0),
(189160,108304,'Heals caster for 10',100,1,1),
(189161,108304,'This effect cannot be critically applied.',100,2,2),
(189162,108304,'The healing of this spell cannot be modified except by direct means',100,1,3),
(189163,10108304,'Inflicts 32 - 53 divine damage on target',100,1,0),
(189164,10108304,'Heals target for 4',100,1,1),
(189165,10108304,'This effect cannot be critically applied.',100,2,2),
(189166,10108304,'The healing of this spell cannot be modified except by direct means',100,1,3),
(189167,141749,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(189168,141749,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(189169,141749,'Inflicts 24 heat damage on target',100,2,2),
(189170,141749,'Cannot be modified except by direct means',100,2,3),
(189171,10141749,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(189172,10141749,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(189173,10141749,'Inflicts 31 heat damage on target',100,2,2),
(189174,10141749,'Cannot be modified except by direct means',100,2,3),
(189175,106178,'Wards target against 65 points of all damage',100,1,0),
(189176,106178,'Decreases INT of target by 81.5',100,1,1),
(189177,106178,'Decreases Attack Speed of target by 25.0',100,1,2),
(189178,106178,'Increases Max Health of target by 14.0%',100,1,3),
(189179,106178,'Increases Hate Gain of target by 31.9%',100,1,4),
(189180,106178,'Increases Aggression of target by 8.8',100,1,5),
(189181,106178,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(189182,106178,'Increases Threat to target encounter by 74 - 90 ',100,2,7),
(189183,106178,'Increases Mitigation of target vs elemental, noxious and arcane damage by 588',100,1,8),
(189184,10106178,'Wards target against 65 points of all damage',100,1,0),
(189185,10106178,'Decreases INT of target by 81.5',100,1,1),
(189186,10106178,'Decreases Attack Speed of target by 25.0',100,1,2),
(189187,10106178,'Increases Max Health of target by 14.0%',100,1,3),
(189188,10106178,'Increases Aggression of target by 8.8',100,1,4),
(189189,10106178,'Increases Mitigation of target vs elemental, noxious and arcane damage by 588',100,1,5),
(189190,41656,'When Equipped:',100,0,0),
(189191,41656,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189192,41656,'Decreases Threat to target by 641 ',100,2,2),
(189193,41656,'Must be flanking or behind',100,3,3),
(189194,41656,'Increases Threat to target by 641 ',100,2,4),
(189195,41656,'Must be in front of',100,3,5),
(189196,41656,'Inflicts 212 - 393 magic damage on target',100,2,6),
(189197,41656,'Cannot be modified except by direct means',100,2,7),
(189198,10041656,'When Equipped:',100,0,0),
(189199,10041656,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189200,10041656,'Inflicts 275 - 511 magic damage on target',100,2,2),
(189201,10041656,'Cannot be modified except by direct means',100,2,3),
(189202,25901,'When Equipped:',100,0,0),
(189203,25901,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(189204,25901,'On a critical healing spell cast this spell may cast Foundations of Stone on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(189205,25901,'Increases Mitigation of target vs elemental damage by 1260',100,2,3),
(189206,25901,'This effect can be stacked by multiple casters.',100,2,4),
(189207,25901,'Increases Mitigation of target vs physical, noxious and arcane damage by 1260',100,2,5),
(189208,25901,'Must not be engaged in pvp combat',100,2,6),
(189209,25901,'Cannot be modified except by direct means',100,2,7),
(189210,10025901,'When Equipped:',100,0,0),
(189211,10025901,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(189212,10025901,'On a critical healing spell cast this spell may cast Foundations of Stone on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(189213,10025901,'Increases Mitigation of target vs elemental damage by 1260',100,2,3),
(189214,10025901,'This effect can be stacked by multiple casters.',100,2,4),
(189215,10025901,'Increases Mitigation of target vs physical, noxious and arcane damage by 1260',100,2,5),
(189216,10025901,'Must not be engaged in pvp combat',100,2,6),
(189217,10025901,'Cannot be modified except by direct means',100,2,7),
(189218,80684,'When Equipped:',100,0,0),
(189219,80684,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189220,80684,'Inflicts 75 - 138 magic damage on target',100,2,2),
(189221,80684,'Cannot be modified except by direct means',100,2,3),
(189222,10080684,'When Equipped:',100,0,0),
(189223,10080684,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189224,10080684,'Inflicts 97 - 180 magic damage on target',100,2,2),
(189225,10080684,'Cannot be modified except by direct means',100,2,3),
(189226,106366,'Decreases Mitigation of target vs arcane damage by 1430',100,1,0),
(189227,106366,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(189228,106366,'Slows target by 47.3%',100,2,2),
(189229,106366,'5% chance to dispel when target receives hostile action',100,2,3),
(189230,106366,'5% chance to dispel when target takes damage',100,2,4),
(189231,10106366,'Decreases Mitigation of target vs arcane damage by 1430',100,1,0),
(189232,10106366,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(189233,10106366,'Slows target by 47.3%',100,2,2),
(189234,10106366,'5% chance to dispel when target receives hostile action',100,2,3),
(189235,10106366,'5% chance to dispel when target takes damage',100,2,4),
(189236,144679,'When Equipped:',100,0,0),
(189237,144679,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(189238,144679,'Elemental Barrier cannot proc more than once per second.',100,2,2),
(189239,144679,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,3),
(189240,144679,'This effect cannot occur more than once a second',100,2,4),
(189241,144679,'Must be engaged in pvp combat',100,2,5),
(189242,144679,'Cannot be modified except by direct means',100,2,6),
(189243,144679,'Cannot be modified except by direct means',100,1,7),
(189244,144679,'When Equipped:',100,0,8),
(189245,144679,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(189246,144679,'Must be engaged in pvp combat',100,1,10),
(189247,144679,'When Equipped:',100,0,11),
(189248,144679,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(189249,144679,'Must be engaged in pvp combat',100,1,13),
(189250,10144679,'When Equipped:',100,0,0),
(189251,10144679,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(189252,10144679,'Elemental Barrier cannot proc more than once per second.',100,2,2),
(189253,10144679,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,3),
(189254,10144679,'This effect cannot occur more than once a second',100,2,4),
(189255,10144679,'Must be engaged in pvp combat',100,2,5),
(189256,10144679,'Cannot be modified except by direct means',100,2,6),
(189257,10144679,'Cannot be modified except by direct means',100,1,7),
(189258,10144679,'When Equipped:',100,0,8),
(189259,10144679,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(189260,10144679,'Must be engaged in pvp combat',100,1,10),
(189261,10144679,'When Equipped:',100,0,11),
(189262,10144679,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(189263,10144679,'Must be engaged in pvp combat',100,1,13),
(189264,70916,'When Equipped:',100,0,0),
(189265,70916,'On a combat hit this spell may cast Icy Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189266,70916,'Inflicts 181 cold damage on target',100,2,2),
(189267,70916,'Cannot be modified except by direct means',100,2,3),
(189268,10070916,'When Equipped:',100,0,0),
(189269,10070916,'On a combat hit this spell may cast Icy Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189270,10070916,'Inflicts 235 cold damage on target',100,2,2),
(189271,10070916,'Cannot be modified except by direct means',100,2,3),
(189272,35501,'Increases STR and AGI of target by 1.1',100,0,0),
(189273,35501,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(189274,81913,'When Equipped:',100,0,0),
(189275,81913,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189276,81913,'Inflicts 408 - 757 magic damage on target',100,2,2),
(189277,81913,'Cannot be modified except by direct means',100,2,3),
(189278,10081913,'When Equipped:',100,0,0),
(189279,10081913,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189280,10081913,'Inflicts 530 - 984 magic damage on target',100,2,2),
(189281,10081913,'Cannot be modified except by direct means',100,2,3),
(189282,109622,'Increases Defense of group members'' pets (AE) by 20.4',100,1,0),
(189283,109622,'Increases Mitigation of group members (AE) vs all damage by 326',100,1,1),
(189284,10109622,'Increases Defense of group members'' pets (AE) by 20.4',100,1,0),
(189285,10109622,'Increases Mitigation of group members (AE) vs all damage by 326',100,1,1),
(189286,83921,'When Equipped:',100,0,0),
(189287,83921,'Increases caster''s chance to block by 18.0%',100,1,1),
(189288,83921,'When Equipped:',100,0,2),
(189289,83921,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(189290,83921,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(189291,83921,'Increases STR and AGI of caster by 44.0',100,2,5),
(189292,83921,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,6),
(189293,83921,'Increases Crit Bonus of caster by 11.5%',100,2,7),
(189294,83921,'Must not be engaged in pvp combat',100,2,8),
(189295,83921,'Cannot be modified except by direct means',100,2,9),
(189296,83921,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(189297,83921,'Increases STR and AGI of caster by 44.0',100,2,11),
(189298,83921,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,12),
(189299,83921,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(189300,83921,'Must not be engaged in pvp combat',100,2,14),
(189301,83921,'Cannot be modified except by direct means',100,2,15),
(189302,83921,'Cannot be modified except by direct means',100,1,16),
(189303,10083921,'When Equipped:',100,0,0),
(189304,10083921,'Increases caster''s chance to block by 18.0%',100,1,1),
(189305,10083921,'When Equipped:',100,0,2),
(189306,10083921,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(189307,10083921,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(189308,10083921,'Increases STR and AGI of caster by 44.0',100,2,5),
(189309,10083921,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,6),
(189310,10083921,'Increases Crit Bonus of caster by 11.5%',100,2,7),
(189311,10083921,'Must not be engaged in pvp combat',100,2,8),
(189312,10083921,'Cannot be modified except by direct means',100,2,9),
(189313,10083921,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(189314,10083921,'Increases STR and AGI of caster by 44.0',100,2,11),
(189315,10083921,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,12),
(189316,10083921,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(189317,10083921,'Must not be engaged in pvp combat',100,2,14),
(189318,10083921,'Cannot be modified except by direct means',100,2,15),
(189319,10083921,'Cannot be modified except by direct means',100,1,16),
(189320,141762,'When Equipped:',100,0,0),
(189321,141762,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(189322,141762,'Increases STA of caster by 5.1',100,2,2),
(189323,141762,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(189324,141762,'Cannot be modified except by direct means',100,2,4),
(189325,10141762,'When Equipped:',100,0,0),
(189326,10141762,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(189327,10141762,'Increases STA of caster by 5.1',100,2,2),
(189328,10141762,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(189329,10141762,'Cannot be modified except by direct means',100,2,4),
(189330,124721,'Heals group members (AE) for 689 - 842',100,1,0),
(189331,10124721,'Heals group members (AE) for 835 - 1021',100,1,0),
(189332,80855,'When Equipped:',100,0,0),
(189333,80855,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189334,80855,'Inflicts 267 - 496 magic damage on target',100,2,2),
(189335,80855,'Cannot be modified except by direct means',100,2,3),
(189336,10080855,'When Equipped:',100,0,0),
(189337,10080855,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189338,10080855,'Inflicts 347 - 644 magic damage on target',100,2,2),
(189339,10080855,'Cannot be modified except by direct means',100,2,3),
(189340,119932,'Stifles target',100,1,0),
(189341,119932,'Inflicts 431 - 527 mental damage on target',100,1,1),
(189342,119932,'Inflicts 144 - 176 mental damage on target every 2.7 seconds',100,1,2),
(189343,119932,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,3),
(189344,119932,'Resistibility increases against targets higher than level 101.',100,1,4),
(189345,10119932,'Stifles target',100,1,0),
(189346,10119932,'Inflicts 560 - 685 mental damage on target',100,1,1),
(189347,10119932,'Inflicts 187 - 228 mental damage on target every second',100,1,2),
(189348,10119932,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(189349,10119932,'Resistibility increases against targets higher than level 101.',100,1,4),
(189350,111994,'Inflicts 168 - 281 piercing damage on target',100,1,0),
(189351,10111994,'Inflicts 219 - 365 piercing damage on target',100,1,0),
(189352,122615,'Makes target afraid',100,1,0),
(189353,122615,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',100,1,1),
(189354,122615,'Decreases Threat to target by 804  instantly and Decreases Threat by 804  every 1.8 seconds thereafter',100,2,2),
(189355,122615,'Mesmerizes target',100,2,3),
(189356,122615,'Dispelled when target takes damage',100,2,4),
(189357,122615,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',100,2,5),
(189358,122615,'Resistibility increases against targets higher than level 76.',100,2,6),
(189359,122615,'30% chance to dispel when target takes damage',100,1,7),
(189360,122615,'Does not affect Epic targets',100,1,8),
(189361,122615,'Resistibility increases against targets higher than level 76.',100,1,9),
(189362,10122615,'Makes target afraid',100,1,0),
(189363,10122615,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(189364,10122615,'Applies Distract.',100,2,2),
(189365,10122615,'Forces target to clear their selected target.',100,3,3),
(189366,10122615,'Mesmerizes target',100,2,4),
(189367,10122615,'Dispelled when target takes damage',100,2,5),
(189368,10122615,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(189369,10122615,'Resistibility increases against targets higher than level 76.',100,2,7),
(189370,10122615,'30% chance to dispel when target takes damage',100,1,8),
(189371,10122615,'Does not affect Epic targets',100,1,9),
(189372,10122615,'Resistibility increases against targets higher than level 76.',100,1,10),
(189373,108733,'Summons a pet fiery magician',100,1,0),
(189374,10108733,'Summons a pet fiery magician',100,1,0),
(189375,108110,'Decreases Threat to target by 1,107 - 1,846 ',100,1,0),
(189376,10108110,'Forces target to clear their selected target.',100,1,0),
(189377,10108110,'Target cannot target caster for the duration of this effect.',100,1,1),
(189378,74623,'When Equipped:',100,0,0),
(189379,74623,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189380,74623,'Inflicts 56 - 84 magic damage on target',100,2,2),
(189381,74623,'Cannot be modified except by direct means',100,2,3),
(189382,10074623,'When Equipped:',100,0,0),
(189383,10074623,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189384,10074623,'Inflicts 73 - 110 magic damage on target',100,2,2),
(189385,10074623,'Cannot be modified except by direct means',100,2,3),
(189386,191719,'When Equipped:',100,0,0),
(189387,191719,'On a damage spell hit this spell will cast Channeling Force on target of spell.  ',100,1,1),
(189388,191719,'Inflicts 40 magic damage on target',100,2,2),
(189389,191719,'Cannot be modified except by direct means',100,2,3),
(189390,10191719,'When Equipped:',100,0,0),
(189391,10191719,'On a damage spell hit this spell will cast Channeling Force on target of spell.  ',100,1,1),
(189392,10191719,'Inflicts 51 magic damage on target',100,2,2),
(189393,10191719,'Cannot be modified except by direct means',100,2,3),
(189394,90316,'When Equipped:',100,0,0),
(189395,90316,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(189396,90316,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(189397,90316,'Inflicts 2341 - 2587 poison damage on target',100,2,3),
(189398,90316,'Heals caster for 1170 - 1294',100,2,4),
(189399,90316,'Must not be engaged in pvp combat',100,2,5),
(189400,90316,'Cannot be modified except by direct means',100,2,6),
(189401,90316,'Cannot be modified except by direct means',100,1,7),
(189402,10090316,'When Equipped:',100,0,0),
(189403,10090316,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(189404,10090316,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(189405,10090316,'Inflicts 3043 - 3364 poison damage on target',100,2,3),
(189406,10090316,'Heals caster for 1369 - 1514',100,2,4),
(189407,10090316,'Must not be engaged in pvp combat',100,2,5),
(189408,10090316,'Cannot be modified except by direct means',100,2,6),
(189409,10090316,'Cannot be modified except by direct means',100,1,7),
(189410,124175,'Inflicts 80 - 133 melee damage on target',100,1,0),
(189411,10124175,'Inflicts 104 - 173 melee damage on target',100,1,0),
(189412,117331,'Roots target',100,1,0),
(189413,117331,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(189414,117331,'Slows target by 55.2%',100,2,2),
(189415,117331,'5% chance to dispel when target receives hostile action',100,2,3),
(189416,117331,'5% chance to dispel when target takes damage',100,2,4),
(189417,117331,'15% chance to dispel when target takes damage',100,1,5),
(189418,117331,'Does not affect Epic targets',100,1,6),
(189419,117331,'Resistibility increases against targets higher than level 76.',100,1,7),
(189420,10117331,'Roots target',100,1,0),
(189421,10117331,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(189422,10117331,'Slows target by 55.2%',100,2,2),
(189423,10117331,'10% chance to dispel when target receives hostile action',100,2,3),
(189424,10117331,'10% chance to dispel when target takes damage',100,2,4),
(189425,10117331,'15% chance to dispel when target takes damage',100,1,5),
(189426,10117331,'Does not affect Epic targets',100,1,6),
(189427,10117331,'Resistibility increases against targets higher than level 76.',100,1,7),
(189428,74647,'When Equipped:',100,0,0),
(189429,74647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189430,74647,'Inflicts 66 - 99 magic damage on target',100,2,2),
(189431,74647,'Cannot be modified except by direct means',100,2,3),
(189432,10074647,'When Equipped:',100,0,0),
(189433,10074647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189434,10074647,'Inflicts 86 - 129 magic damage on target',100,2,2),
(189435,10074647,'Cannot be modified except by direct means',100,2,3),
(189436,37146,'Increases STR of target by 1.5',100,0,0),
(189437,37146,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(189438,189206,'When Equipped:',100,0,0),
(189439,189206,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(189440,189206,'Decreases power of target by 253',100,2,2),
(189441,189206,'Increases power of caster by 156',100,2,3),
(189442,189206,'Cannot be modified except by direct means',100,2,4),
(189443,10189206,'When Equipped:',100,0,0),
(189444,10189206,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(189445,10189206,'Decreases power of target by 253',100,2,2),
(189446,10189206,'Increases power of caster by 156',100,2,3),
(189447,10189206,'Cannot be modified except by direct means',100,2,4),
(189448,120292,'Target will lose 70% more power when power is consumed',100,1,0),
(189449,120292,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(189450,120292,'Inflicts 571 - 698 divine damage on target',100,2,2),
(189451,120292,'Grants a total of 3 triggers of the spell.',100,2,3),
(189452,10120292,'Target will lose 70% more power when power is consumed',100,1,0),
(189453,10120292,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(189454,10120292,'Inflicts 742 - 907 divine damage on target',100,2,2),
(189455,10120292,'Grants a total of 3 triggers of the spell.',100,2,3),
(189456,120520,'Inflicts 723 - 1205 melee damage on target',100,1,0),
(189457,120520,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(189458,120520,'Grants stealth to caster',100,2,2),
(189459,120520,'Suspends caster''s movement speed enhancements',100,2,3),
(189460,120520,'Must be flanking or behind',100,1,4),
(189461,10120520,'Inflicts 940 - 1566 melee damage on target',100,1,0),
(189462,10120520,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(189463,10120520,'Grants stealth to caster',100,2,2),
(189464,10120520,'Suspends caster''s movement speed enhancements',100,2,3),
(189465,10120520,'Must be flanking or behind',100,1,4),
(189466,120552,'Decreases Defense of target by 31.7',100,1,0),
(189467,10120552,'Decreases Defense of target by 31.7',100,1,0),
(189468,41503,'When Equipped:',100,0,0),
(189469,41503,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189470,41503,'Decreases Threat to target by 259 ',100,2,2),
(189471,41503,'Must be flanking or behind',100,3,3),
(189472,41503,'Increases Threat to target by 259 ',100,2,4),
(189473,41503,'Must be in front of',100,3,5),
(189474,41503,'Inflicts 118 - 218 magic damage on target',100,2,6),
(189475,41503,'Cannot be modified except by direct means',100,2,7),
(189476,10041503,'When Equipped:',100,0,0),
(189477,10041503,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189478,10041503,'Inflicts 153 - 284 magic damage on target',100,2,2),
(189479,10041503,'Cannot be modified except by direct means',100,2,3),
(189480,111888,'Inflicts 645 - 1198 heat damage on target',100,1,0),
(189481,111888,'Inflicts 242 - 449 heat damage on target every 2 seconds',100,1,1),
(189482,10111888,'Inflicts 838 - 1557 heat damage on target',100,1,0),
(189483,10111888,'Inflicts 314 - 584 heat damage on target every 2 seconds',100,1,1),
(189484,74676,'When Equipped:',100,0,0),
(189485,74676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189486,74676,'Inflicts 66 - 99 magic damage on target',100,2,2),
(189487,74676,'Cannot be modified except by direct means',100,2,3),
(189488,10074676,'When Equipped:',100,0,0),
(189489,10074676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189490,10074676,'Inflicts 86 - 129 magic damage on target',100,2,2),
(189491,10074676,'Cannot be modified except by direct means',100,2,3),
(189492,123460,'Shapechanges caster into a bear',100,1,0),
(189493,123460,'Increases WIS of caster by 74.8',100,1,1),
(189494,123460,'Grants See Stealth to caster',100,1,2),
(189495,123460,'Increases Max Health of caster by 328.0',100,1,3),
(189496,123460,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1140',100,1,4),
(189497,10123460,'Shapechanges caster into a bear',100,1,0),
(189498,10123460,'Increases WIS of caster by 74.8',100,1,1),
(189499,10123460,'Grants See Stealth to caster',100,1,2),
(189500,10123460,'Increases Max Health of caster by 328.0',100,1,3),
(189501,10123460,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1140',100,1,4),
(189502,102535,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(189503,102535,'Increases Aggression of caster by 12.2',100,1,1),
(189504,102535,'Increases Defense and Parry of caster by 24.4',100,1,2),
(189505,102535,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(189506,10102535,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(189507,10102535,'Increases Aggression of caster by 12.2',100,1,1),
(189508,10102535,'Increases Defense and Parry of caster by 24.4',100,1,2),
(189509,10102535,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(189510,81000,'When Equipped:',100,0,0),
(189511,81000,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189512,81000,'Inflicts 70 - 131 magic damage on target',100,2,2),
(189513,81000,'Cannot be modified except by direct means',100,2,3),
(189514,10081000,'When Equipped:',100,0,0),
(189515,10081000,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189516,10081000,'Inflicts 91 - 170 magic damage on target',100,2,2),
(189517,10081000,'Cannot be modified except by direct means',100,2,3),
(189518,115911,'Inflicts 133 - 162 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(189519,10115911,'Inflicts 224 - 274 disease damage on target encounter',100,1,0),
(189520,10115911,'Inflicts 173 - 211 disease damage on target encounter every 3 seconds',100,1,1),
(189521,179145,'When Equipped:',100,0,0),
(189522,179145,'Increases Effective Level of caster to 83.',100,1,1),
(189523,179145,'Must be in Munzok''s Material Bastion.',100,1,2),
(189524,179145,'Requires not having an apprentice',100,1,3),
(189525,10179145,'When Equipped:',100,0,0),
(189526,10179145,'Increases Effective Level of caster to 83.',100,1,1),
(189527,10179145,'Must be in Munzok''s Material Bastion.',100,1,2),
(189528,10179145,'Requires not having an apprentice',100,1,3),
(189529,123983,'Inflicts 908 - 1514 melee damage on target',100,1,0),
(189530,123983,'Decreases AGI of target by 72.5',100,1,1),
(189531,123983,'Must be behind',100,1,2),
(189532,10123983,'Inflicts 1181 - 1968 melee damage on target',100,1,0),
(189533,10123983,'Decreases AGI of target by 72.5',100,1,1),
(189534,10123983,'Must be behind',100,1,2),
(189535,112162,'Increases STR of caster by 11.4',100,1,0),
(189536,112162,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 257',100,1,1),
(189537,112162,'Increases Mitigation of caster vs physical damage by 77',100,1,2),
(189538,10112162,'Increases STR of caster by 11.4',100,1,0),
(189539,10112162,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 257',100,1,1),
(189540,10112162,'Increases Mitigation of caster vs physical damage by 77',100,1,2),
(189541,41680,'When Equipped:',100,0,0),
(189542,41680,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189543,41680,'Decreases Threat to target by 641 ',100,2,2),
(189544,41680,'Must be flanking or behind',100,3,3),
(189545,41680,'Increases Threat to target by 641 ',100,2,4),
(189546,41680,'Must be in front of',100,3,5),
(189547,41680,'Inflicts 212 - 393 magic damage on target',100,2,6),
(189548,41680,'Cannot be modified except by direct means',100,2,7),
(189549,10041680,'When Equipped:',100,0,0),
(189550,10041680,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189551,10041680,'Inflicts 275 - 511 magic damage on target',100,2,2),
(189552,10041680,'Cannot be modified except by direct means',100,2,3),
(189553,119652,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(189554,119652,'Throws target back',100,2,1),
(189555,119652,'Stuns target',100,2,2),
(189556,119652,'Blurs vision of target',100,2,3),
(189557,119652,'Does not affect Epic targets',100,2,4),
(189558,119652,'Inflicts 142 - 426 melee damage on target',100,1,5),
(189559,10119652,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(189560,10119652,'Throws target back',100,2,1),
(189561,10119652,'Stuns target',100,2,2),
(189562,10119652,'Blurs vision of target',100,2,3),
(189563,10119652,'Does not affect Epic targets',100,2,4),
(189564,10119652,'Inflicts 184 - 554 melee damage on target',100,1,5),
(189565,82047,'When Equipped:',100,0,0),
(189566,82047,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189567,82047,'Inflicts 191 - 354 magic damage on target',100,2,2),
(189568,82047,'Cannot be modified except by direct means',100,2,3),
(189569,10082047,'When Equipped:',100,0,0),
(189570,10082047,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189571,10082047,'Inflicts 248 - 460 magic damage on target',100,2,2),
(189572,10082047,'Cannot be modified except by direct means',100,2,3),
(189573,107104,'Inflicts 571 - 698 divine damage on target',100,1,0),
(189574,10107104,'Inflicts 743 - 908 divine damage on target',100,1,0),
(189575,35174,'Increases Max Health of target by 3.9',100,0,0),
(189576,35174,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(189577,24767,'Adds Wood Elemental (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(189578,10024767,'Adds Wood Elemental (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(189579,82491,'When Equipped:',100,0,0),
(189580,82491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189581,82491,'Inflicts 191 - 354 magic damage on target',100,2,2),
(189582,82491,'Cannot be modified except by direct means',100,2,3),
(189583,10082491,'When Equipped:',100,0,0),
(189584,10082491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189585,10082491,'Inflicts 248 - 460 magic damage on target',100,2,2),
(189586,10082491,'Cannot be modified except by direct means',100,2,3),
(189587,113647,'Inflicts 299 - 365 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(189588,113647,'Decreases power of target encounter by 50 - 61 instantly and every 5 seconds',100,1,1),
(189589,113647,'Heals group members (AE) for 191 - 234 instantly and every 5 seconds',100,1,2),
(189590,113647,'Increases power of group members (AE) by 32 - 39 instantly and every 5 seconds',100,1,3),
(189591,10113647,'Inflicts 389 - 475 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(189592,10113647,'Decreases power of target encounter by 50 - 61 instantly and every 5 seconds',100,1,1),
(189593,10113647,'Heals group members (AE) for 124 - 152 instantly and every 5 seconds',100,1,2),
(189594,10113647,'Increases power of group members (AE) by 32 - 39 instantly and every 5 seconds',100,1,3),
(189595,75664,'When Equipped:',100,0,0),
(189596,75664,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(189597,75664,'Inflicts 336 - 559 piercing damage on target',100,2,2),
(189598,75664,'Inflicts 336 - 559 magic damage on target',100,2,3),
(189599,75664,'Inflicts 336 - 559 divine damage on target',100,2,4),
(189600,75664,'Must not be engaged in pvp combat',100,2,5),
(189601,75664,'Cannot be modified except by direct means',100,2,6),
(189602,75664,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(189603,75664,'Inflicts 336 - 559 piercing damage on target',100,2,8),
(189604,75664,'Inflicts 336 - 559 magic damage on target',100,2,9),
(189605,75664,'Inflicts 336 - 559 divine damage on target',100,2,10),
(189606,75664,'Must not be engaged in pvp combat',100,2,11),
(189607,75664,'Cannot be modified except by direct means',100,2,12),
(189608,75664,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(189609,75664,'Inflicts 336 - 559 piercing damage on target',100,2,14),
(189610,75664,'Inflicts 336 - 559 magic damage on target',100,2,15),
(189611,75664,'Inflicts 336 - 559 divine damage on target',100,2,16),
(189612,75664,'Must not be engaged in pvp combat',100,2,17),
(189613,75664,'Cannot be modified except by direct means',100,2,18),
(189614,75664,'Must not be engaged in pvp combat',100,1,19),
(189615,10075664,'When Equipped:',100,0,0),
(189616,10075664,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(189617,10075664,'Inflicts 436 - 727 piercing damage on target',100,2,2),
(189618,10075664,'Inflicts 436 - 727 magic damage on target',100,2,3),
(189619,10075664,'Inflicts 436 - 727 divine damage on target',100,2,4),
(189620,10075664,'Must not be engaged in pvp combat',100,2,5),
(189621,10075664,'Cannot be modified except by direct means',100,2,6),
(189622,10075664,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(189623,10075664,'Inflicts 436 - 727 piercing damage on target',100,2,8),
(189624,10075664,'Inflicts 436 - 727 magic damage on target',100,2,9),
(189625,10075664,'Inflicts 436 - 727 divine damage on target',100,2,10),
(189626,10075664,'Must not be engaged in pvp combat',100,2,11),
(189627,10075664,'Cannot be modified except by direct means',100,2,12),
(189628,10075664,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(189629,10075664,'Inflicts 436 - 727 piercing damage on target',100,2,14),
(189630,10075664,'Inflicts 436 - 727 magic damage on target',100,2,15),
(189631,10075664,'Inflicts 436 - 727 divine damage on target',100,2,16),
(189632,10075664,'Must not be engaged in pvp combat',100,2,17),
(189633,10075664,'Cannot be modified except by direct means',100,2,18),
(189634,10075664,'Must not be engaged in pvp combat',100,1,19),
(189635,114064,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(189636,114064,'Grants stealth to caster',100,2,1),
(189637,114064,'Suspends caster''s movement speed enhancements',100,2,2),
(189638,114064,'Inflicts 183 - 306 melee damage on target',100,1,3),
(189639,114064,'Must be flanking or behind',100,1,4),
(189640,10114064,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(189641,10114064,'Grants stealth to caster',100,2,1),
(189642,10114064,'Suspends caster''s movement speed enhancements',100,2,2),
(189643,10114064,'Inflicts 358 - 596 melee damage on target',100,1,3),
(189644,10114064,'Must be flanking or behind',100,1,4),
(189645,105961,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(189646,105961,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(189647,105961,'Inflicts 92 - 154 piercing damage on target',100,3,2),
(189648,105961,'Grants a total of 5 triggers of the spell.',100,3,3),
(189649,105961,'Grants a total of 1 trigger of the spell.',100,2,4),
(189650,10105961,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(189651,10105961,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(189652,10105961,'Inflicts 120 - 201 piercing damage on target',100,3,2),
(189653,10105961,'Grants a total of 5 triggers of the spell.',100,3,3),
(189654,10105961,'Grants a total of 1 trigger of the spell.',100,2,4),
(189655,26609,'When Equipped:',100,0,0),
(189656,26609,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(189657,26609,'Adds two additional triggers to Focused Intervention IV.',100,1,2),
(189658,10026609,'When Equipped:',100,0,0),
(189659,10026609,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(189660,10026609,'Adds two additional triggers to Focused Intervention IV.',100,1,2),
(189661,159129,'When Equipped:',100,0,0),
(189662,159129,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(189663,159129,'Increases WIS of caster by 11.9',100,2,2),
(189664,159129,'Increases Ministration, Ordination and Focus of caster by 6.7',100,2,3),
(189665,159129,'Cannot be modified except by direct means',100,2,4),
(189666,10159129,'When Equipped:',100,0,0),
(189667,10159129,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(189668,10159129,'Increases WIS of caster by 11.9',100,2,2),
(189669,10159129,'Increases Ministration, Ordination and Focus of caster by 6.7',100,2,3),
(189670,10159129,'Cannot be modified except by direct means',100,2,4),
(189671,173292,'When Equipped:',100,0,0),
(189672,173292,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(189673,10173292,'When Equipped:',100,0,0),
(189674,10173292,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(189675,100690,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(189676,100690,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(189677,100690,'Wards caster against 1411 points of all damage',100,3,2),
(189678,100690,'Heals caster for 1251',100,3,3),
(189679,100690,'Summons a limited pet to aid the caster',100,2,4),
(189680,100690,'Grants a total of 1 trigger of the spell.',100,2,5),
(189681,10100690,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(189682,10100690,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(189683,10100690,'Wards caster against 1411 points of all damage',100,3,2),
(189684,10100690,'Heals caster for 1464',100,3,3),
(189685,10100690,'Summons a limited pet to aid the caster',100,2,4),
(189686,10100690,'Grants a total of 1 trigger of the spell.',100,2,5),
(189687,122793,'Heals target for 600',100,1,0),
(189688,10122793,'Heals target for 468',100,1,0),
(189689,110536,'Increases Threat to target by 795  instantly and by 331  every 3 seconds thereafter',100,1,0),
(189690,110536,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(189691,110536,'Throws target back',100,2,2),
(189692,110536,'Stuns target',100,2,3),
(189693,110536,'Blurs vision of target',100,2,4),
(189694,110536,'Does not affect Epic targets',100,2,5),
(189695,110536,'Inflicts 205 - 342 disease damage on target',100,1,6),
(189696,10110536,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(189697,10110536,'Throws target back',100,2,1),
(189698,10110536,'Stuns target',100,2,2),
(189699,10110536,'Blurs vision of target',100,2,3),
(189700,10110536,'Does not affect Epic targets',100,2,4),
(189701,10110536,'Forces target to change their selected target to caster.',100,1,5),
(189702,10110536,'Inflicts 222 - 370 disease damage on target',100,1,6),
(189703,10110536,'Prevents target from changing targets',100,1,7),
(189704,101185,'Inflicts 289 - 482 cold damage on target',100,1,0),
(189705,101185,'Inflicts 289 - 482 cold damage on target',100,1,1),
(189706,101185,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(189707,101185,'Slows target by 49.9%',100,2,3),
(189708,101185,'5% chance to dispel when target receives hostile action',100,2,4),
(189709,101185,'5% chance to dispel when target takes damage',100,2,5),
(189710,101185,'If weapon equipped in Ranged',100,1,6),
(189711,10101185,'Inflicts 246 - 410 cold damage on target',100,1,0),
(189712,10101185,'Inflicts 246 - 410 cold damage on target',100,1,1),
(189713,10101185,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(189714,10101185,'Slows target by 49.9%',100,2,3),
(189715,10101185,'5% chance to dispel when target receives hostile action',100,2,4),
(189716,10101185,'5% chance to dispel when target takes damage',100,2,5),
(189717,10101185,'If weapon equipped in Ranged',100,1,6),
(189718,115828,'Inflicts 47 disease damage on target every 3 seconds',100,1,0),
(189719,115828,'Inflicts 177 - 295 melee damage on target',100,1,1),
(189720,115828,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(189721,115828,'Heals caster for 1.1% of max health instantly and every 3 seconds',100,2,3),
(189722,115828,'This effect cannot be critically applied.',100,3,4),
(189723,115828,'The healing of this spell cannot be modified except by direct means',100,2,5),
(189724,115828,'The healing of this spell cannot be modified except by direct means',100,1,6),
(189725,10115828,'Inflicts 61 disease damage on target every 3 seconds',100,1,0),
(189726,10115828,'Inflicts 230 - 383 melee damage on target',100,1,1),
(189727,10115828,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(189728,10115828,'Heals caster for 0.3% of max health instantly and every 3 seconds',100,2,3),
(189729,10115828,'This effect cannot be critically applied.',100,3,4),
(189730,10115828,'The healing of this spell cannot be modified except by direct means',100,2,5),
(189731,10115828,'The healing of this spell cannot be modified except by direct means',100,1,6),
(189732,141860,'When Equipped:',100,0,0),
(189733,141860,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(189734,141860,'Increases AGI of caster by 13.2',100,2,2),
(189735,141860,'Increases Attack Speed of caster by 18.9',100,2,3),
(189736,141860,'Cannot be modified except by direct means',100,2,4),
(189737,10141860,'When Equipped:',100,0,0),
(189738,10141860,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(189739,10141860,'Increases AGI of caster by 13.2',100,2,2),
(189740,10141860,'Increases Attack Speed of caster by 18.9',100,2,3),
(189741,10141860,'Cannot be modified except by direct means',100,2,4),
(189742,106640,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(189743,106640,'Increases Mitigation of caster vs physical damage by 180',100,2,1),
(189744,106640,'Decreases Mitigation of target encounter vs physical damage by 900',100,1,2),
(189745,10106640,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(189746,10106640,'Increases Mitigation of caster vs physical damage by 180',100,2,1),
(189747,10106640,'Decreases Mitigation of target encounter vs physical damage by 900',100,1,2),
(189748,104554,'Inflicts 86 - 143 disease damage on target',100,1,0),
(189749,104554,'Decreases WIS of target by 25.2',100,1,1),
(189750,10104554,'Inflicts 112 - 186 disease damage on target',100,1,0),
(189751,10104554,'Decreases WIS of target by 25.2',100,1,1),
(189752,48726,'Applies Elixir of Enlightenment  when Activated.  Lasts for 30 minutes.',100,0,0),
(189753,48726,'Increases WIS and INT of caster by 6.7',100,1,1),
(189754,10048726,'Applies Elixir of Enlightenment  when Activated.  Lasts for 30 minutes.',100,0,0),
(189755,10048726,'Increases WIS and INT of caster by 6.7',100,1,1),
(189756,104242,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,0),
(189757,10104242,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,0),
(189758,159063,'Applies Sanguine Imbued when Equipped.',100,0,0),
(189759,159063,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(189760,159063,'Inflicts 121 heat damage on target',100,2,2),
(189761,159063,'Cannot be modified except by direct means',100,2,3),
(189762,10159063,'Applies Sanguine Imbued when Equipped.',100,0,0),
(189763,10159063,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(189764,10159063,'Inflicts 157 heat damage on target',100,2,2),
(189765,10159063,'Cannot be modified except by direct means',100,2,3),
(189766,185944,'When Equipped:',100,0,0),
(189767,185944,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(189768,185944,'Inflicts 1192 disease damage on target encounter',100,2,2),
(189769,185944,'Must not be engaged in pvp combat',100,2,3),
(189770,185944,'Cannot be modified except by direct means',100,2,4),
(189771,10185944,'When Equipped:',100,0,0),
(189772,10185944,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(189773,10185944,'Inflicts 775 disease damage on target encounter',100,2,2),
(189774,10185944,'Must not be engaged in pvp combat',100,2,3),
(189775,10185944,'Cannot be modified except by direct means',100,2,4),
(189776,89635,'When Equipped:',100,0,0),
(189777,89635,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(189778,89635,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(189779,89635,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(189780,89635,'Must not be engaged in pvp combat',100,2,4),
(189781,89635,'Cannot be modified except by direct means',100,2,5),
(189782,89635,'Cannot be modified except by direct means',100,1,6),
(189783,89635,'When Equipped:',100,0,7),
(189784,89635,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(189785,89635,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(189786,89635,'Heals target for 15 - 17 instantly and every 2 seconds',100,2,10),
(189787,89635,'Must not be engaged in pvp combat',100,2,11),
(189788,89635,'Cannot be modified except by direct means',100,2,12),
(189789,89635,'Cannot be modified except by direct means',100,1,13),
(189790,10089635,'When Equipped:',100,0,0),
(189791,10089635,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(189792,10089635,'On a healing spell cast this spell may cast Engulfing Aegis III on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(189793,10089635,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(189794,10089635,'Must not be engaged in pvp combat',100,2,4),
(189795,10089635,'Cannot be modified except by direct means',100,2,5),
(189796,10089635,'Cannot be modified except by direct means',100,1,6),
(189797,10089635,'When Equipped:',100,0,7),
(189798,10089635,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(189799,10089635,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(189800,10089635,'Heals target for 10 - 11 instantly and every 2 seconds',100,2,10),
(189801,10089635,'Must not be engaged in pvp combat',100,2,11),
(189802,10089635,'Cannot be modified except by direct means',100,2,12),
(189803,10089635,'Cannot be modified except by direct means',100,1,13),
(189804,76491,'When Equipped:',100,0,0),
(189805,76491,'On a combat hit this spell may cast Alacrity on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(189806,76491,'Increases Attack Speed of caster by 17.9',100,2,2),
(189807,76491,'Cannot be modified except by direct means',100,2,3),
(189808,10076491,'When Equipped:',100,0,0),
(189809,10076491,'On a combat hit this spell may cast Alacrity on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(189810,10076491,'Increases Attack Speed of caster by 17.9',100,2,2),
(189811,10076491,'Cannot be modified except by direct means',100,2,3),
(189812,80971,'When Equipped:',100,0,0),
(189813,80971,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189814,80971,'Decreases Threat to target by 672 ',100,2,2),
(189815,80971,'Must be flanking or behind',100,3,3),
(189816,80971,'Increases Threat to target by 672 ',100,2,4),
(189817,80971,'Must be in front of',100,3,5),
(189818,80971,'Inflicts 288 - 534 magic damage on target',100,2,6),
(189819,80971,'Cannot be modified except by direct means',100,2,7),
(189820,10080971,'When Equipped:',100,0,0),
(189821,10080971,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189822,10080971,'Inflicts 374 - 695 magic damage on target',100,2,2),
(189823,10080971,'Cannot be modified except by direct means',100,2,3),
(189824,116891,'Wards group members (AE) against 1911 points of noxious damage',100,1,0),
(189825,116891,'Increases Mitigation of group members (AE) vs noxious damage by 1025',100,1,1),
(189826,10116891,'Wards group members (AE) against 1911 points of noxious damage',100,1,0),
(189827,10116891,'Increases Mitigation of group members (AE) vs noxious damage by 1025',100,1,1),
(189828,115870,'Inflicts 1085 - 1809 mental damage on target encounter',100,1,0),
(189829,115870,'Interrupts target encounter',100,1,1),
(189830,10115870,'Inflicts 1411 - 2352 mental damage on target encounter',100,1,0),
(189831,10115870,'Interrupts target encounter',100,1,1),
(189832,117521,'Increases AGI, WIS and INT of group members (AE) by 17.9',100,1,0),
(189833,117521,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 68',100,1,1),
(189834,10117521,'Increases AGI, WIS and INT of group members (AE) by 17.9',100,1,0),
(189835,10117521,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 68',100,1,1),
(189836,122571,'Inflicts 4 - 5 mental damage on target instantly and every 3 seconds',100,1,0),
(189837,122571,'Decreases Mitigation of target vs arcane damage by 60',100,1,1),
(189838,10122571,'Inflicts 5 - 6 mental damage on target instantly and every 3 seconds',100,1,0),
(189839,10122571,'Decreases Mitigation of target vs arcane damage by 60',100,1,1),
(189840,117026,'Inflicts 349 - 1047 melee damage on target',100,1,0),
(189841,10117026,'Inflicts 454 - 1362 melee damage on target',100,1,0),
(189842,45694,'Applies Lusun''s Replenishment  when Activated.',100,0,0),
(189843,45694,'Heals caster for 47',100,1,1),
(189844,10045694,'Applies Lusun''s Replenishment  when Activated.',100,0,0),
(189845,10045694,'Heals caster for 31',100,1,1),
(189846,36192,'Increases AGI of target by 0.4',100,0,0),
(189847,36192,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(189848,45052,'Applies Immortalize Trakanon when Activated.',100,0,0),
(189849,45052,'Summon 1 Trophy: Trakanon''s Head',100,1,1),
(189850,45052,'This effect cannot be cast during combat',100,1,2),
(189851,10045052,'Applies Immortalize Trakanon when Activated.',100,0,0),
(189852,10045052,'Summon 1 Trophy: Trakanon''s Head',100,1,1),
(189853,10045052,'This effect cannot be cast during combat',100,1,2),
(189854,36523,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(189855,24768,'Adds Wood Elemental (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(189856,10024768,'Adds Wood Elemental (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(189857,47192,'Applies Elixir of Magic Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(189858,10047192,'Applies Elixir of Magic Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(189859,24164,'Adds Crushbone: Cauldron of Flames to your Dungeon Maker toolbox',100,0,0),
(189860,10024164,'Adds Crushbone: Cauldron of Flames to your Dungeon Maker toolbox',100,0,0),
(189861,41614,'When Equipped:',100,0,0),
(189862,41614,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189863,41614,'Decreases Threat to target by 135 ',100,2,2),
(189864,41614,'Must be flanking or behind',100,3,3),
(189865,41614,'Increases Threat to target by 135 ',100,2,4),
(189866,41614,'Must be in front of',100,3,5),
(189867,41614,'Inflicts 48 - 89 magic damage on target',100,2,6),
(189868,41614,'Cannot be modified except by direct means',100,2,7),
(189869,10041614,'When Equipped:',100,0,0),
(189870,10041614,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189871,10041614,'Inflicts 62 - 115 magic damage on target',100,2,2),
(189872,10041614,'Cannot be modified except by direct means',100,2,3),
(189873,41574,'When Equipped:',100,0,0),
(189874,41574,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189875,41574,'Decreases Threat to target by 994 ',100,2,2),
(189876,41574,'Must be flanking or behind',100,3,3),
(189877,41574,'Increases Threat to target by 994 ',100,2,4),
(189878,41574,'Must be in front of',100,3,5),
(189879,41574,'Inflicts 408 - 757 magic damage on target',100,2,6),
(189880,41574,'Cannot be modified except by direct means',100,2,7),
(189881,10041574,'When Equipped:',100,0,0),
(189882,10041574,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(189883,10041574,'Inflicts 530 - 984 magic damage on target',100,2,2),
(189884,10041574,'Cannot be modified except by direct means',100,2,3),
(189885,36661,'Increases STA of target by 0.4',100,0,0),
(189886,36661,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(189887,115835,'Inflicts 96 disease damage on target every 3 seconds',100,1,0),
(189888,115835,'Inflicts 361 - 602 melee damage on target',100,1,1),
(189889,115835,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(189890,115835,'Heals caster for 1.9% of max health instantly and every 3 seconds',100,2,3),
(189891,115835,'This effect cannot be critically applied.',100,3,4),
(189892,115835,'The healing of this spell cannot be modified except by direct means',100,2,5),
(189893,115835,'The healing of this spell cannot be modified except by direct means',100,1,6),
(189894,10115835,'Inflicts 125 disease damage on target every 3 seconds',100,1,0),
(189895,10115835,'Inflicts 470 - 783 melee damage on target',100,1,1),
(189896,10115835,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(189897,10115835,'Heals caster for 0.6% of max health instantly and every 3 seconds',100,2,3),
(189898,10115835,'This effect cannot be critically applied.',100,3,4),
(189899,10115835,'The healing of this spell cannot be modified except by direct means',100,2,5),
(189900,10115835,'The healing of this spell cannot be modified except by direct means',100,1,6),
(189901,81881,'When Equipped:',100,0,0),
(189902,81881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189903,81881,'Inflicts 164 - 305 magic damage on target',100,2,2),
(189904,81881,'Cannot be modified except by direct means',100,2,3),
(189905,10081881,'When Equipped:',100,0,0),
(189906,10081881,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(189907,10081881,'Inflicts 213 - 396 magic damage on target',100,2,2),
(189908,10081881,'Cannot be modified except by direct means',100,2,3),
(189909,105832,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(189910,105832,'Inflicts 300 - 500 disease damage on target',100,2,1),
(189911,10105832,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(189912,10105832,'Inflicts 390 - 650 disease damage on target',100,2,1),
(189913,106460,'Increases Multi Attack Chance of raid and group members (AE) by 10.4',100,1,0),
(189914,10106460,'Increases Multi Attack Chance of raid and group members (AE) by 10.4',100,1,0),
(189915,130053,'When Equipped:',100,0,0),
(189916,130053,'Increases Attack Speed of caster by 38.0',100,1,1),
(189917,10130053,'When Equipped:',100,0,0),
(189918,10130053,'Increases Attack Speed of caster by 38.0',100,1,1),
(189919,113964,'Decreases power of target encounter by 100 instantly and every 4 seconds',100,1,0),
(189920,113964,'Increases power of group members (AE) by 45 instantly and every 4 seconds',100,1,1),
(189921,10113964,'Decreases power of target encounter by 100 instantly and every 4 seconds',100,1,0),
(189922,10113964,'Increases power of group members (AE) by 45 instantly and every 4 seconds',100,1,1),
(189923,120134,'Decreases STR and INT of target by 41.0',100,1,0),
(189924,120134,'Increases STR and INT of caster by 41.0',100,1,1),
(189925,10120134,'Decreases STR and INT of target by 41.0',100,1,0),
(189926,10120134,'Increases STR and INT of caster by 41.0',100,1,1),
(189927,191682,'When Equipped:',100,0,0),
(189928,191682,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(189929,191682,'This effect can be stacked by multiple casters.',100,2,2),
(189930,191682,'Increases Mitigation of target vs all damage by 930',100,2,3),
(189931,191682,'Cannot be modified except by direct means',100,2,4),
(189932,10191682,'When Equipped:',100,0,0),
(189933,10191682,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(189934,10191682,'This effect can be stacked by multiple casters.',100,2,2),
(189935,10191682,'Increases Mitigation of target vs all damage by 930',100,2,3),
(189936,10191682,'Cannot be modified except by direct means',100,2,4),
(189937,160017,'Applies Sanguine Imbued when Equipped.',100,0,0),
(189938,160017,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(189939,160017,'Inflicts 250 heat damage on target',100,2,2),
(189940,160017,'Cannot be modified except by direct means',100,2,3),
(189941,10160017,'Applies Sanguine Imbued when Equipped.',100,0,0),
(189942,10160017,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(189943,10160017,'Inflicts 325 heat damage on target',100,2,2),
(189944,10160017,'Cannot be modified except by direct means',100,2,3),
(189945,47778,'Applies Erudite Tendencies when Activated.',100,0,0),
(189946,47778,'Allows the user to summon a book to read',100,1,1),
(189947,10047778,'Applies Erudite Tendencies when Activated.',100,0,0),
(189948,10047778,'Allows the user to summon a book to read',100,1,1),
(189949,85344,'Applies Poison Bolt when Activated.',100,0,0),
(189950,85344,'Inflicts 189 - 316 poison damage on target',100,1,1),
(189951,85344,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(189952,10085344,'Applies Poison Bolt when Activated.',100,0,0),
(189953,10085344,'Inflicts 246 - 410 poison damage on target',100,1,1),
(189954,10085344,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(189955,109934,'Stuns target',100,1,0),
(189956,109934,'Does not affect Epic targets',100,1,1),
(189957,109934,'Resistibility increases against targets higher than level 73.',100,1,2),
(189958,10109934,'Stuns target',100,1,0),
(189959,10109934,'Does not affect Epic targets',100,1,1),
(189960,10109934,'Resistibility increases against targets higher than level 73.',100,1,2),
(189961,36130,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(189962,178880,'Applies Flames of the Gathering when Activated.',100,0,0),
(189963,178880,'Send fireworks into the sky!',100,1,1),
(189964,178880,'The casting time of Flames of the Gathering is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(189965,10178880,'Applies Flames of the Gathering when Activated.',100,0,0),
(189966,10178880,'Send fireworks into the sky!',100,1,1),
(189967,10178880,'The casting time of Flames of the Gathering is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(189968,106327,'Decreases INT and STR of target by 55.2',100,1,0),
(189969,10106327,'Decreases INT and STR of target by 55.2',100,1,0),
(189970,26577,'When Equipped:',100,0,0),
(189971,26577,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(189972,26577,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,2),
(189973,10026577,'When Equipped:',100,0,0),
(189974,10026577,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(189975,10026577,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,2),
(189976,120422,'Inflicts 93 - 155 melee damage on target',100,1,0),
(189977,120422,'Inflicts 93 - 155 melee damage on target',100,1,1),
(189978,10120422,'Inflicts 121 - 202 melee damage on target',100,1,0),
(189979,10120422,'Inflicts 121 - 202 melee damage on target',100,1,1),
(189980,110917,'Inflicts 80 - 133 divine damage on target',100,1,0),
(189981,110917,'Increases Threat to target by 569 ',100,1,1),
(189982,110917,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(189983,110917,'Throws target back',100,2,3),
(189984,110917,'Stuns target',100,2,4),
(189985,110917,'Blurs vision of target',100,2,5),
(189986,110917,'Does not affect Epic targets',100,2,6),
(189987,10110917,'Inflicts 104 - 173 divine damage on target',100,1,0),
(189988,10110917,'Prevents target from changing targets',100,1,1),
(189989,10110917,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(189990,10110917,'Throws target back',100,2,3),
(189991,10110917,'Stuns target',100,2,4),
(189992,10110917,'Blurs vision of target',100,2,5),
(189993,10110917,'Does not affect Epic targets',100,2,6),
(189994,10110917,'Forces target to change their selected target to caster.',100,1,7),
(189995,104612,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(189996,10104612,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(189997,118753,'Increases INT and WIS of group members (AE) by 32.3',100,1,0),
(189998,118753,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 96',100,1,1),
(189999,10118753,'Increases INT and WIS of group members (AE) by 32.3',100,1,0),
(190000,10118753,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 96',100,1,1),
(190001,115442,'Inflicts 63 - 77 mental damage on target instantly and every 6 seconds',100,1,0),
(190002,115442,'Decreases Mitigation of target vs arcane damage by 399',100,1,1),
(190003,10115442,'Inflicts 82 - 100 mental damage on target instantly and every 6 seconds',100,1,0),
(190004,10115442,'Decreases Mitigation of target vs arcane damage by 399',100,1,1),
(190005,102551,'Increases AGI of caster by 18.3',100,1,0),
(190006,102551,'Increases Max Health of caster by 35.9',100,1,1),
(190007,102551,'Adds 17.2% to base avoidance.',100,1,2),
(190008,102551,'Increases Mitigation of caster vs physical damage by 100',100,1,3),
(190009,102551,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,4),
(190010,10102551,'Increases AGI of caster by 18.3',100,1,0),
(190011,10102551,'Increases Max Health of caster by 35.9',100,1,1),
(190012,10102551,'Adds 17.2% to base avoidance.',100,1,2),
(190013,10102551,'Increases Mitigation of caster vs physical damage by 100',100,1,3),
(190014,10102551,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,4),
(190015,135814,'When Equipped:',100,0,0),
(190016,135814,'Increases Attack Speed of caster by 40.0',100,1,1),
(190017,10135814,'When Equipped:',100,0,0),
(190018,10135814,'Increases Attack Speed of caster by 40.0',100,1,1),
(190019,112044,'Roots target',100,1,0),
(190020,112044,'Stifles target',100,1,1),
(190021,112044,'If Target is not Epic',100,2,2),
(190022,112044,'20% chance to dispel when target takes damage',100,1,3),
(190023,112044,'Does not affect Epic targets',100,1,4),
(190024,112044,'Resistibility increases against targets higher than level 96.',100,1,5),
(190025,10112044,'Roots target',100,1,0),
(190026,10112044,'Stifles target',100,1,1),
(190027,10112044,'If Target is not Epic',100,2,2),
(190028,10112044,'20% chance to dispel when target takes damage',100,1,3),
(190029,10112044,'Does not affect Epic targets',100,1,4),
(190030,10112044,'Resistibility increases against targets higher than level 96.',100,1,5),
(190031,81121,'When Equipped:',100,0,0),
(190032,81121,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190033,81121,'Inflicts 226 - 419 magic damage on target',100,2,2),
(190034,81121,'Cannot be modified except by direct means',100,2,3),
(190035,10081121,'When Equipped:',100,0,0),
(190036,10081121,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190037,10081121,'Inflicts 293 - 545 magic damage on target',100,2,2),
(190038,10081121,'Cannot be modified except by direct means',100,2,3),
(190039,103282,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(190040,103282,'If Fighter',100,2,1),
(190041,103282,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(190042,103282,'Increases power of target by 15 instantly and every 4 seconds',100,2,3),
(190043,103282,'Increases power of caster by 15 instantly and every 4 seconds',100,2,4),
(190044,10103282,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(190045,10103282,'Increases power of target by 15 instantly and every 4 seconds',100,2,1),
(190046,10103282,'Increases power of caster by 15 instantly and every 4 seconds',100,2,2),
(190047,177656,'When Equipped:',100,0,0),
(190048,177656,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(190049,177656,'Increases STA of caster by 8.8',100,2,2),
(190050,177656,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(190051,177656,'Cannot be modified except by direct means',100,2,4),
(190052,10177656,'When Equipped:',100,0,0),
(190053,10177656,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(190054,10177656,'Increases STA of caster by 8.8',100,2,2),
(190055,10177656,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(190056,10177656,'Cannot be modified except by direct means',100,2,4),
(190057,116233,'Increases AGI of caster by 12.2',100,1,0),
(190058,116233,'Increases INT of caster by 30.5',100,1,1),
(190059,10116233,'Increases AGI of caster by 12.2',100,1,0),
(190060,10116233,'Increases INT of caster by 30.5',100,1,1),
(190061,161056,'Applies Heroic Resistance X when Equipped.',100,0,0),
(190062,161056,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(190063,161056,'Cannot be modified except by direct means',100,1,2),
(190064,161056,'When Equipped:',100,0,3),
(190065,161056,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(190066,161056,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,5),
(190067,161056,'Cannot be modified except by direct means',100,2,6),
(190068,10161056,'Applies Heroic Resistance X when Equipped.',100,0,0),
(190069,10161056,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(190070,10161056,'Cannot be modified except by direct means',100,1,2),
(190071,10161056,'When Equipped:',100,0,3),
(190072,10161056,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(190073,10161056,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,5),
(190074,10161056,'Cannot be modified except by direct means',100,2,6),
(190075,119553,'Wards group members (AE) against 1042 points of arcane damage',100,1,0),
(190076,119553,'Increases Mitigation of group members (AE) vs arcane damage by 570',100,1,1),
(190077,10119553,'Wards group members (AE) against 1042 points of arcane damage',100,1,0),
(190078,10119553,'Increases Mitigation of group members (AE) vs arcane damage by 570',100,1,1),
(190079,24480,'Adds Lair of Scale: Forged Archaic Dragon Statue to your Dungeon Maker toolbox',100,0,0),
(190080,10024480,'Adds Lair of Scale: Forged Archaic Dragon Statue to your Dungeon Maker toolbox',100,0,0),
(190081,109283,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(190082,109283,'Increases Mitigation of group members (AE) vs elemental damage by 269',100,1,1),
(190083,10109283,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(190084,10109283,'Increases Mitigation of group members (AE) vs elemental damage by 269',100,1,1),
(190085,141774,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(190086,141774,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190087,141774,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(190088,141774,'Cannot be modified except by direct means',100,2,3),
(190089,10141774,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(190090,10141774,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190091,10141774,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(190092,10141774,'Cannot be modified except by direct means',100,2,3),
(190093,124676,'Inflicts 129 - 158 cold damage on target instantly and every 4 seconds',100,1,0),
(190094,124676,'Slows target by 75.0%',100,1,1),
(190095,10124676,'Inflicts 168 - 205 cold damage on target',100,1,0),
(190096,10124676,'Inflicts 146 - 178 cold damage on target every 4 seconds',100,1,1),
(190097,10124676,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(190098,10124676,'Slows target by 75.0%',100,2,3),
(190099,131574,'When Equipped:',100,0,0),
(190100,131574,'On a damage spell hit this spell may cast Visage of Dominion on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(190101,131574,'Increases power of caster by 138 - 141 instantly and every 4 seconds',100,2,2),
(190102,131574,'Increases Ability Modifier of caster by 2,700.0 - 3,300.0',100,2,3),
(190103,131574,'Must not be engaged in pvp combat',100,2,4),
(190104,131574,'Cannot be modified except by direct means',100,2,5),
(190105,10131574,'When Equipped:',100,0,0),
(190106,10131574,'On a damage spell hit this spell may cast Visage of Dominion on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(190107,10131574,'Increases power of caster by 138 - 141 instantly and every 4 seconds',100,2,2),
(190108,10131574,'Increases Ability Modifier of caster by 2,700.0 - 3,300.0',100,2,3),
(190109,10131574,'Must not be engaged in pvp combat',100,2,4),
(190110,10131574,'Cannot be modified except by direct means',100,2,5),
(190111,120095,'Shapechanges caster into a chaos essence',100,1,0),
(190112,120095,'Increases WIS of caster by 32.0',100,1,1),
(190113,120095,'Grants See Invisibility to caster',100,1,2),
(190114,120095,'Increases Max Health of caster by 86.0',100,1,3),
(190115,120095,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',100,1,4),
(190116,10120095,'Shapechanges caster into a chaos essence',100,1,0),
(190117,10120095,'Increases WIS of caster by 32.0',100,1,1),
(190118,10120095,'Grants See Invisibility to caster',100,1,2),
(190119,10120095,'Increases Max Health of caster by 86.0',100,1,3),
(190120,10120095,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',100,1,4),
(190121,27081,'When Equipped:',100,0,0),
(190122,27081,'Decreases falling damage taken by caster by 10.0%',100,1,1),
(190123,10027081,'When Equipped:',100,0,0),
(190124,10027081,'Decreases falling damage taken by caster by 10.0%',100,1,1),
(190125,102296,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(190126,102296,'Decreases Threat to target by 541 ',100,2,1),
(190127,10102296,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(190128,10102296,'Inflicts 50 - 55 crushing damage on target',100,2,1),
(190129,47726,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(190130,47726,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(190131,47726,'Decreases STR of target by 43.0',100,2,2),
(190132,47726,'Decreases Slashing, Piercing, Crushing and Ranged of target by 16.5',100,2,3),
(190133,47726,'Cannot be modified except by direct means',100,2,4),
(190134,47726,'Grants a total of 60 triggers of the spell.',100,2,5),
(190135,10047726,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(190136,10047726,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(190137,10047726,'Decreases STR of target by 43.0',100,2,2),
(190138,10047726,'Decreases Slashing, Piercing, Crushing and Ranged of target by 16.5',100,2,3),
(190139,10047726,'Cannot be modified except by direct means',100,2,4),
(190140,10047726,'Grants a total of 60 triggers of the spell.',100,2,5),
(190141,100422,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(190142,100422,'Increases Threat to target by 193 ',100,2,1),
(190143,100422,'Inflicts 81 - 135 slashing damage on target',100,2,2),
(190144,100422,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(190145,100422,'Increases Threat to target by 193 ',100,2,4),
(190146,100422,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 700',100,1,5),
(190147,10100422,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(190148,10100422,'Inflicts 105 - 176 slashing damage on target',100,2,1),
(190149,10100422,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(190150,10100422,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 700',100,1,3),
(190151,110971,'Inflicts 1707 - 2845 ranged damage on target',100,1,0),
(190152,110971,'I need to be stealthed!',100,1,1),
(190153,110971,'Requires bow',100,1,2),
(190154,10110971,'Inflicts 1088 - 1813 ranged damage on target',100,1,0),
(190155,10110971,'I need to be stealthed!',100,1,1),
(190156,10110971,'Requires bow',100,1,2),
(190157,24435,'Adds Gruengach Striker to your Dungeon Maker toolbox',100,0,0),
(190158,10024435,'Adds Gruengach Striker to your Dungeon Maker toolbox',100,0,0),
(190159,103654,'Interrupts target',100,1,0),
(190160,103654,'Inflicts 23 - 39 melee damage on target',100,1,1),
(190161,103654,'Must be flanking or behind',100,1,2),
(190162,10103654,'Interrupts target',100,1,0),
(190163,10103654,'Inflicts 30 - 50 melee damage on target',100,1,1),
(190164,10103654,'Must be flanking or behind',100,1,2),
(190165,151792,'When Equipped:',100,0,0),
(190166,151792,'Increases base Combat Art damage by 5%.',100,1,1),
(190167,10151792,'When Equipped:',100,0,0),
(190168,10151792,'Increases base Combat Art damage by 5%.',100,1,1),
(190169,85327,'Applies Poison Bolt when Activated.',100,0,0),
(190170,85327,'Inflicts 133 - 222 poison damage on target',100,1,1),
(190171,85327,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(190172,10085327,'Applies Poison Bolt when Activated.',100,0,0),
(190173,10085327,'Inflicts 173 - 289 poison damage on target',100,1,1),
(190174,10085327,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(190175,101306,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(190176,101306,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 21',100,1,1),
(190177,101306,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,2),
(190178,10101306,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(190179,10101306,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 21',100,1,1),
(190180,10101306,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,2),
(190181,82919,'When Equipped:',100,0,0),
(190182,82919,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190183,82919,'Inflicts 315 - 585 magic damage on target',100,2,2),
(190184,82919,'Cannot be modified except by direct means',100,2,3),
(190185,10082919,'When Equipped:',100,0,0),
(190186,10082919,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190187,10082919,'Inflicts 409 - 760 magic damage on target',100,2,2),
(190188,10082919,'Cannot be modified except by direct means',100,2,3),
(190189,106219,'Inflicts 247 - 742 melee damage on target',100,1,0),
(190190,106219,'Stifles target',100,1,1),
(190191,106219,'If Target is not Epic',100,2,2),
(190192,106219,'Resistibility increases against targets higher than level 69.',100,1,3),
(190193,10106219,'Inflicts 321 - 965 melee damage on target',100,1,0),
(190194,10106219,'Stifles target',100,1,1),
(190195,10106219,'If Target is not Epic',100,2,2),
(190196,10106219,'Resistibility increases against targets higher than level 69.',100,1,3),
(190197,100608,'Inflicts 947 - 1579 melee damage on target',100,1,0),
(190198,100608,'You must be sneaking to use this ability.',100,1,1),
(190199,10100608,'Inflicts 1471 - 2452 melee damage on target',100,1,0),
(190200,10100608,'You must be sneaking to use this ability.',100,1,1),
(190201,109695,'Inflicts 321 - 392 cold damage on target instantly and every 3 seconds',100,1,0),
(190202,10109695,'Inflicts 417 - 510 cold damage on target instantly and every 3 seconds',100,1,0),
(190203,148850,'When Equipped:',100,0,0),
(190204,148850,'Increases Attack Speed of caster by 40.0',100,1,1),
(190205,10148850,'When Equipped:',100,0,0),
(190206,10148850,'Increases Attack Speed of caster by 40.0',100,1,1),
(190207,37478,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(190208,117439,'Inflicts 175 - 293 melee damage on target',100,1,0),
(190209,117439,'You must be sneaking to use this ability.',100,1,1),
(190210,117439,'Must be flanking or behind',100,1,2),
(190211,10117439,'Inflicts 141 - 236 melee damage on target',100,1,0),
(190212,10117439,'You must be sneaking to use this ability.',100,1,1),
(190213,10117439,'Must be flanking or behind',100,1,2),
(190214,123322,'Increases STA of raid and group members (AE) by 28.2',100,1,0),
(190215,123322,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(190216,10123322,'Increases STA of raid and group members (AE) by 28.2',100,1,0),
(190217,10123322,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(190218,103650,'Increases STR of raid and group members (AE) by 55.9',100,1,0),
(190219,103650,'Improves the base amount of taunts by 11%.',100,1,1),
(190220,103650,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(190221,103650,'Increases AGI of raid and group members (AE) by 55.9',100,1,3),
(190222,103650,'Adds 1.1% to base avoidance.',100,1,4),
(190223,10103650,'Increases STR of raid and group members (AE) by 55.9',100,1,0),
(190224,10103650,'Improves the base amount of taunts by 11%.',100,1,1),
(190225,10103650,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(190226,10103650,'Increases AGI of raid and group members (AE) by 55.9',100,1,3),
(190227,10103650,'Adds 1.1% to base avoidance.',100,1,4),
(190228,114789,'Decreases WIS of target by 36.2',100,1,0),
(190229,114789,'Increases WIS and STA of caster by 36.2',100,1,1),
(190230,114789,'Decreases Max Health of target by 1.2%',100,1,2),
(190231,114789,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 117',100,1,3),
(190232,114789,'Only affects targets level 17 and above',100,1,4),
(190233,10114789,'Decreases WIS of target by 36.2',100,1,0),
(190234,10114789,'Increases WIS and STA of caster by 36.2',100,1,1),
(190235,10114789,'Decreases Max Health of target by 1.2%',100,1,2),
(190236,10114789,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 117',100,1,3),
(190237,10114789,'Only affects targets level 17 and above',100,1,4),
(190238,87382,'When Equipped:',100,0,0),
(190239,87382,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190240,87382,'Inflicts 194 - 290 magic damage on target',100,2,2),
(190241,87382,'Cannot be modified except by direct means',100,2,3),
(190242,10087382,'When Equipped:',100,0,0),
(190243,10087382,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190244,10087382,'Inflicts 252 - 378 magic damage on target',100,2,2),
(190245,10087382,'Cannot be modified except by direct means',100,2,3),
(190246,177638,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(190247,177638,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190248,177638,'Heals target for 38 instantly and every 4 seconds',100,2,2),
(190249,177638,'Cannot be modified except by direct means',100,2,3),
(190250,10177638,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(190251,10177638,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190252,10177638,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(190253,10177638,'Cannot be modified except by direct means',100,2,3),
(190254,122391,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(190255,122391,'Inflicts 10 - 12 piercing damage on target encounter',100,2,1),
(190256,10122391,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(190257,10122391,'Inflicts 13 - 16 piercing damage on target encounter',100,2,1),
(190258,101134,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(190259,101134,'Inflicts 127 ranged damage on target',100,2,1),
(190260,101134,'Decreases Defense of caster by 5.1',100,1,2),
(190261,101134,'Increases Crushing, Piercing, Ranged and Slashing of caster by 12.2',100,1,3),
(190262,10101134,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(190263,10101134,'Inflicts 108 ranged damage on target',100,2,1),
(190264,10101134,'Decreases Defense of caster by 5.1',100,1,2),
(190265,10101134,'Increases Crushing, Piercing, Ranged and Slashing of caster by 12.2',100,1,3),
(190266,50754,'When Equipped:',100,0,0),
(190267,50754,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(190268,10050754,'When Equipped:',100,0,0),
(190269,10050754,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(190270,46345,'Applies Flame Root when Activated.',100,0,0),
(190271,46345,'Inflicts 110 - 165 heat damage on target',100,1,1),
(190272,10046345,'Applies Flame Root when Activated.',100,0,0),
(190273,10046345,'Inflicts 143 - 215 heat damage on target',100,1,1),
(190274,118419,'Heals target for 506 - 618',100,1,0),
(190275,118419,'Increases Max Health of target by 83.8',100,1,1),
(190276,10118419,'Heals target for 587 - 717',100,1,0),
(190277,10118419,'Increases Max Health of target by 83.8',100,1,1),
(190278,36906,'Increases AGI of target by 1.5',100,0,0),
(190279,36906,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(190280,88278,'When Equipped:',100,0,0),
(190281,88278,'Reduces casting time by 7 percent.',100,1,1),
(190282,88278,'On a hostile spell hit this spell may cast Flaming Justice on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(190283,88278,'Inflicts 1129 - 2096 heat damage on target',100,2,3),
(190284,88278,'Cannot be modified except by direct means',100,2,4),
(190285,10088278,'When Equipped:',100,0,0),
(190286,10088278,'Reduces casting time by 7 percent.',100,1,1),
(190287,10088278,'On a hostile spell hit this spell may cast Flaming Justice on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(190288,10088278,'Inflicts 1467 - 2725 heat damage on target',100,2,3),
(190289,10088278,'Cannot be modified except by direct means',100,2,4),
(190290,158725,'When Equipped:',100,0,0),
(190291,158725,'On a healing spell cast this spell may cast Intensity on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(190292,158725,'Increases ward and heal amount by 5%.',100,2,2),
(190293,158725,'Cannot be modified except by direct means',100,2,3),
(190294,10158725,'When Equipped:',100,0,0),
(190295,10158725,'On a healing spell cast this spell may cast Intensity on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(190296,10158725,'Increases ward and heal amount by 5%.',100,2,2),
(190297,10158725,'Cannot be modified except by direct means',100,2,3),
(190298,124823,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 636',100,1,0),
(190299,10124823,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 636',100,1,0),
(190300,82252,'When Equipped:',100,0,0),
(190301,82252,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190302,82252,'Decreases Threat to target by 135 ',100,2,2),
(190303,82252,'Must be flanking or behind',100,3,3),
(190304,82252,'Increases Threat to target by 135 ',100,2,4),
(190305,82252,'Must be in front of',100,3,5),
(190306,82252,'Inflicts 48 - 89 magic damage on target',100,2,6),
(190307,82252,'Cannot be modified except by direct means',100,2,7),
(190308,10082252,'When Equipped:',100,0,0),
(190309,10082252,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190310,10082252,'Inflicts 62 - 115 magic damage on target',100,2,2),
(190311,10082252,'Cannot be modified except by direct means',100,2,3),
(190312,151924,'When Equipped:',100,0,0),
(190313,151924,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(190314,10151924,'When Equipped:',100,0,0),
(190315,10151924,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(190316,148448,'When Equipped:',100,0,0),
(190317,148448,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(190318,148448,'Roots target',100,2,2),
(190319,148448,'15% chance to dispel when target takes damage',100,2,3),
(190320,148448,'Only affects targets level 90 and below',100,2,4),
(190321,148448,'Does not affect Epic targets',100,2,5),
(190322,148448,'Resistibility increases against targets higher than level 112.',100,2,6),
(190323,148448,'Cannot be modified except by direct means',100,2,7),
(190324,10148448,'When Equipped:',100,0,0),
(190325,10148448,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(190326,10148448,'Roots target',100,2,2),
(190327,10148448,'15% chance to dispel when target takes damage',100,2,3),
(190328,10148448,'Only affects targets level 90 and below',100,2,4),
(190329,10148448,'Does not affect Epic targets',100,2,5),
(190330,10148448,'Resistibility increases against targets higher than level 112.',100,2,6),
(190331,10148448,'Cannot be modified except by direct means',100,2,7),
(190332,87472,'When Equipped:',100,0,0),
(190333,87472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190334,87472,'Inflicts 237 - 356 magic damage on target',100,2,2),
(190335,87472,'Cannot be modified except by direct means',100,2,3),
(190336,10087472,'When Equipped:',100,0,0),
(190337,10087472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190338,10087472,'Inflicts 308 - 463 magic damage on target',100,2,2),
(190339,10087472,'Cannot be modified except by direct means',100,2,3),
(190340,46515,'Applies Calibrated Tools when Equipped.',100,0,0),
(190341,46515,'Increases success chance by 2.0%',100,1,1),
(190342,10046515,'Applies Calibrated Tools when Equipped.',100,0,0),
(190343,10046515,'Increases success chance by 2.0%',100,1,1),
(190344,115980,'Inflicts 333 - 499 mental damage on target',100,1,0),
(190345,115980,'Stuns target',100,1,1),
(190346,115980,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(190347,115980,'Resistibility increases against targets higher than level 84.',100,1,3),
(190348,10115980,'Inflicts 432 - 649 mental damage on target',100,1,0),
(190349,10115980,'Stuns target',100,1,1),
(190350,10115980,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(190351,10115980,'Resistibility increases against targets higher than level 84.',100,1,3),
(190352,80304,'When Equipped:',100,0,0),
(190353,80304,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190354,80304,'Inflicts 83 - 154 magic damage on target',100,2,2),
(190355,80304,'Cannot be modified except by direct means',100,2,3),
(190356,10080304,'When Equipped:',100,0,0),
(190357,10080304,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190358,10080304,'Inflicts 108 - 200 magic damage on target',100,2,2),
(190359,10080304,'Cannot be modified except by direct means',100,2,3),
(190360,105901,'Inflicts 312 - 521 ranged damage on target',100,1,0),
(190361,105901,'Inflicts 312 - 521 ranged damage on target',100,1,1),
(190362,105901,'If weapon equipped in Ranged',100,1,2),
(190363,10105901,'Inflicts 265 - 442 ranged damage on target',100,1,0),
(190364,10105901,'Inflicts 265 - 442 ranged damage on target',100,1,1),
(190365,10105901,'If weapon equipped in Ranged',100,1,2),
(190366,53383,'When Equipped:',100,0,0),
(190367,53383,'Increases caster''s chance to block by 10.0%',100,1,1),
(190368,10053383,'When Equipped:',100,0,0),
(190369,10053383,'Increases caster''s chance to block by 10.0%',100,1,1),
(190370,115519,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(190371,115519,'Increases Mitigation of group members (AE) vs noxious damage by 1323',100,1,1),
(190372,10115519,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(190373,10115519,'Increases Mitigation of group members (AE) vs noxious damage by 1323',100,1,1),
(190374,70571,'When Equipped:',100,0,0),
(190375,70571,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190376,70571,'Inflicts 278 cold damage on target',100,2,2),
(190377,70571,'Cannot be modified except by direct means',100,2,3),
(190378,10070571,'When Equipped:',100,0,0),
(190379,10070571,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190380,10070571,'Inflicts 362 cold damage on target',100,2,2),
(190381,10070571,'Cannot be modified except by direct means',100,2,3),
(190382,107700,'Inflicts 201 - 336 heat damage on target',100,1,0),
(190383,107700,'You must be sneaking to use this ability.',100,1,1),
(190384,10107700,'Inflicts 262 - 437 heat damage on target',100,1,0),
(190385,10107700,'You must be sneaking to use this ability.',100,1,1),
(190386,159576,'Applies Sanguine Imbued when Equipped.',100,0,0),
(190387,159576,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(190388,159576,'Inflicts 34 heat damage on target',100,2,2),
(190389,159576,'Cannot be modified except by direct means',100,2,3),
(190390,10159576,'Applies Sanguine Imbued when Equipped.',100,0,0),
(190391,10159576,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(190392,10159576,'Inflicts 44 heat damage on target',100,2,2),
(190393,10159576,'Cannot be modified except by direct means',100,2,3),
(190394,118158,'Inflicts 609 - 1016 melee damage on target',100,1,0),
(190395,118158,'Dazes target',100,1,1),
(190396,118158,'If Target is not Epic',100,2,2),
(190397,118158,'Resistibility increases against targets higher than level 83.',100,1,3),
(190398,10118158,'Inflicts 792 - 1321 melee damage on target',100,1,0),
(190399,10118158,'Dazes target',100,1,1),
(190400,10118158,'If Target is not Epic',100,2,2),
(190401,10118158,'Resistibility increases against targets higher than level 83.',100,1,3),
(190402,37552,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(190403,159435,'Applies Lambent Imbued when Equipped.',100,0,0),
(190404,159435,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190405,159435,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(190406,159435,'Cannot be modified except by direct means',100,2,3),
(190407,10159435,'Applies Lambent Imbued when Equipped.',100,0,0),
(190408,10159435,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190409,10159435,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(190410,10159435,'Cannot be modified except by direct means',100,2,3),
(190411,109658,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(190412,109658,'Inflicts 78 - 146 poison damage on target encounter',100,2,1),
(190413,10109658,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(190414,10109658,'Inflicts 102 - 189 poison damage on target encounter',100,2,1),
(190415,82123,'When Equipped:',100,0,0),
(190416,82123,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190417,82123,'Inflicts 191 - 354 magic damage on target',100,2,2),
(190418,82123,'Cannot be modified except by direct means',100,2,3),
(190419,10082123,'When Equipped:',100,0,0),
(190420,10082123,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190421,10082123,'Inflicts 248 - 460 magic damage on target',100,2,2),
(190422,10082123,'Cannot be modified except by direct means',100,2,3),
(190423,107516,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(190424,10107516,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(190425,25336,'When Equipped:',100,0,0),
(190426,25336,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(190427,25336,'Reduces the reuse time of Bob and Weave by 30 seconds.',100,1,2),
(190428,10025336,'When Equipped:',100,0,0),
(190429,10025336,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(190430,10025336,'Reduces the reuse time of Bob and Weave by 30 seconds.',100,1,2),
(190431,112172,'Increases STR of caster by 29.4',100,1,0),
(190432,112172,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 741',100,1,1),
(190433,112172,'Increases Mitigation of caster vs physical damage by 190',100,1,2),
(190434,10112172,'Increases STR of caster by 29.4',100,1,0),
(190435,10112172,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 741',100,1,1),
(190436,10112172,'Increases Mitigation of caster vs physical damage by 190',100,1,2),
(190437,102678,'Inflicts 315 divine damage on target encounter',100,1,0),
(190438,10102678,'Inflicts 409 divine damage on target encounter',100,1,0),
(190439,100433,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(190440,100433,'Inflicts 152 - 253 slashing damage on target',100,2,1),
(190441,100433,'Increases Threat to target by 381 ',100,2,2),
(190442,100433,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(190443,100433,'Increases Threat to target by 381 ',100,2,4),
(190444,100433,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1156',100,1,5),
(190445,10100433,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(190446,10100433,'Inflicts 197 - 329 slashing damage on target',100,2,1),
(190447,10100433,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(190448,10100433,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1156',100,1,3),
(190449,109639,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(190450,109639,'Inflicts 20 - 38 poison damage on target encounter',100,2,1),
(190451,10109639,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(190452,10109639,'Inflicts 26 - 49 poison damage on target encounter',100,2,1),
(190453,100090,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(190454,10100090,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(190455,117693,'Decreases Mitigation of target vs physical damage by 1709',100,1,0),
(190456,10117693,'Decreases Mitigation of target vs physical damage by 854',100,1,0),
(190457,113905,'Inflicts 310 - 517 disease damage on target',100,1,0),
(190458,113905,'Inflicts 78 - 129 disease damage on target every 4 seconds',100,1,1),
(190459,113905,'Increases power of caster by 102 - 170',100,1,2),
(190460,113905,'Increases power of caster by 22 - 37 every 4 seconds',100,1,3),
(190461,10113905,'Inflicts 403 - 672 disease damage on target',100,1,0),
(190462,10113905,'Inflicts 101 - 168 disease damage on target every 4 seconds',100,1,1),
(190463,10113905,'Increases power of caster by 102 - 170',100,1,2),
(190464,10113905,'Increases power of caster by 22 - 37 every 4 seconds',100,1,3),
(190465,102202,'Increases Mitigation of group members (AE) vs physical damage by 630',100,1,0),
(190466,10102202,'Increases Mitigation of group members (AE) vs physical damage by 630',100,1,0),
(190467,37379,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(190468,37379,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(190469,133607,'When Equipped:',100,0,0),
(190470,133607,'Caster will Riposte 1.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(190471,133607,'Increases Riposte Damage of caster by 50.0',100,1,2),
(190472,10133607,'When Equipped:',100,0,0),
(190473,10133607,'Caster will Riposte 1.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(190474,10133607,'Increases Riposte Damage of caster by 50.0',100,1,2),
(190475,101452,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(190476,101452,'Increases Mitigation of group members (AE) vs noxious damage by 693',100,1,1),
(190477,10101452,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(190478,10101452,'Increases Mitigation of group members (AE) vs noxious damage by 693',100,1,1),
(190479,24261,'Adds Decrease Level III (Multiple) to your Dungeon Maker toolbox',100,0,0),
(190480,10024261,'Adds Decrease Level III (Multiple) to your Dungeon Maker toolbox',100,0,0),
(190481,114662,'Increases Threat to target by 153 - 187 ',100,1,0),
(190482,114662,'Interrupts target',100,1,1),
(190483,10114662,'Interrupts target',100,1,0),
(190484,10114662,'Forces target to change their selected target to caster.',100,1,1),
(190485,10114662,'Prevents target from changing targets',100,1,2),
(190486,82345,'When Equipped:',100,0,0),
(190487,82345,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190488,82345,'Inflicts 408 - 757 magic damage on target',100,2,2),
(190489,82345,'Decreases Threat to target by 994 ',100,2,3),
(190490,82345,'Must be flanking or behind',100,3,4),
(190491,82345,'Increases Threat to target by 994 ',100,2,5),
(190492,82345,'Must be in front of',100,3,6),
(190493,82345,'Cannot be modified except by direct means',100,2,7),
(190494,10082345,'When Equipped:',100,0,0),
(190495,10082345,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190496,10082345,'Inflicts 530 - 984 magic damage on target',100,2,2),
(190497,10082345,'Cannot be modified except by direct means',100,2,3),
(190498,152043,'When Equipped:',100,0,0),
(190499,152043,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(190500,152043,'Inflicts 2648 disease damage on target encounter',100,2,2),
(190501,152043,'Must not be engaged in pvp combat',100,2,3),
(190502,152043,'Cannot be modified except by direct means',100,2,4),
(190503,10152043,'When Equipped:',100,0,0),
(190504,10152043,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(190505,10152043,'Inflicts 1721 disease damage on target encounter',100,2,2),
(190506,10152043,'Must not be engaged in pvp combat',100,2,3),
(190507,10152043,'Cannot be modified except by direct means',100,2,4),
(190508,159707,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(190509,159707,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190510,159707,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(190511,159707,'Cannot be modified except by direct means',100,2,3),
(190512,10159707,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(190513,10159707,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190514,10159707,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(190515,10159707,'Cannot be modified except by direct means',100,2,3),
(190516,122972,'Inflicts 356 - 481 mental damage on target',100,1,0),
(190517,10122972,'Inflicts 462 - 625 mental damage on target',100,1,0),
(190518,81302,'When Equipped:',100,0,0),
(190519,81302,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190520,81302,'Inflicts 314 - 583 magic damage on target',100,2,2),
(190521,81302,'Cannot be modified except by direct means',100,2,3),
(190522,10081302,'When Equipped:',100,0,0),
(190523,10081302,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190524,10081302,'Inflicts 408 - 757 magic damage on target',100,2,2),
(190525,10081302,'Cannot be modified except by direct means',100,2,3),
(190526,139509,'When Equipped:',100,0,0),
(190527,139509,'Reduces maximum falling speed of caster',100,1,1),
(190528,10139509,'When Equipped:',100,0,0),
(190529,10139509,'Reduces maximum falling speed of caster',100,1,1),
(190530,116771,'Increases Max Health of target by 849.8',100,1,0),
(190531,116771,'Increases Max Power of target by 892.0',100,1,1),
(190532,10116771,'Increases Max Health of target by 849.8',100,1,0),
(190533,10116771,'Increases Max Power of target by 892.0',100,1,1),
(190534,121435,'Increases AGI of caster by 23.3',100,1,0),
(190535,121435,'Adds 21.8% to base avoidance.',100,1,1),
(190536,121435,'Increases Mitigation of caster vs physical damage by 237',100,1,2),
(190537,121435,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,3),
(190538,10121435,'Increases AGI of caster by 23.3',100,1,0),
(190539,10121435,'Adds 21.8% to base avoidance.',100,1,1),
(190540,10121435,'Increases Mitigation of caster vs physical damage by 237',100,1,2),
(190541,10121435,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,3),
(190542,48248,'Applies Summon Steam-powered Spring Cube when Activated.',100,0,0),
(190543,48248,'Summons a pet steam-powered spring cube',100,1,1),
(190544,10048248,'Applies Summon Steam-powered Spring Cube when Activated.',100,0,0),
(190545,10048248,'Summons a pet steam-powered spring cube',100,1,1),
(190546,81670,'When Equipped:',100,0,0),
(190547,81670,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190548,81670,'Inflicts 167 - 311 magic damage on target',100,2,2),
(190549,81670,'Decreases Threat to target by 376 ',100,2,3),
(190550,81670,'Must be flanking or behind',100,3,4),
(190551,81670,'Increases Threat to target by 376 ',100,2,5),
(190552,81670,'Must be in front of',100,3,6),
(190553,81670,'Cannot be modified except by direct means',100,2,7),
(190554,10081670,'When Equipped:',100,0,0),
(190555,10081670,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190556,10081670,'Inflicts 217 - 404 magic damage on target',100,2,2),
(190557,10081670,'Cannot be modified except by direct means',100,2,3),
(190558,46537,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(190559,46537,'Increases WIS of caster by 65.7',100,1,1),
(190560,10046537,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(190561,10046537,'Increases WIS of caster by 65.7',100,1,1),
(190562,114792,'Decreases WIS of target by 42.3',100,1,0),
(190563,114792,'Increases WIS and STA of caster by 42.3',100,1,1),
(190564,114792,'Decreases Max Health of target by 1.4%',100,1,2),
(190565,114792,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 137',100,1,3),
(190566,114792,'Only affects targets level 17 and above',100,1,4),
(190567,10114792,'Decreases WIS of target by 42.3',100,1,0),
(190568,10114792,'Increases WIS and STA of caster by 42.3',100,1,1),
(190569,10114792,'Decreases Max Health of target by 1.4%',100,1,2),
(190570,10114792,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 137',100,1,3),
(190571,10114792,'Only affects targets level 17 and above',100,1,4),
(190572,112800,'Inflicts 709 - 1181 slashing damage on target',100,1,0),
(190573,112800,'Stifles target',100,1,1),
(190574,112800,'If Target is not Epic',100,2,2),
(190575,112800,'You must be in stealth.',100,1,3),
(190576,112800,'Resistibility increases against targets higher than level 77.',100,1,4),
(190577,10112800,'Inflicts 921 - 1536 slashing damage on target',100,1,0),
(190578,10112800,'Stifles target',100,1,1),
(190579,10112800,'If Target is not Epic',100,2,2),
(190580,10112800,'You must be in stealth.',100,1,3),
(190581,10112800,'Resistibility increases against targets higher than level 77.',100,1,4),
(190582,81179,'When Equipped:',100,0,0),
(190583,81179,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190584,81179,'Inflicts 226 - 419 magic damage on target',100,2,2),
(190585,81179,'Cannot be modified except by direct means',100,2,3),
(190586,10081179,'When Equipped:',100,0,0),
(190587,10081179,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190588,10081179,'Inflicts 293 - 545 magic damage on target',100,2,2),
(190589,10081179,'Cannot be modified except by direct means',100,2,3),
(190590,105001,'Reduces physical damage done to caster by 5%',100,1,0),
(190591,105001,'Adds 2.1% to base avoidance.',100,1,1),
(190592,105001,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(190593,105001,'Increases Parry of caster by 30.5',100,1,3),
(190594,105001,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(190595,105001,'Increases Aggression of caster by 18.3',100,1,5),
(190596,105001,'Increases Defense and Deflection of caster by 30.5',100,1,6),
(190597,105001,'Increases Mitigation of caster vs arcane damage by 2117',100,1,7),
(190598,105001,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(190599,10105001,'Reduces physical damage done to caster by 5%',100,1,0),
(190600,10105001,'Adds 2.1% to base avoidance.',100,1,1),
(190601,10105001,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(190602,10105001,'Increases Parry of caster by 30.5',100,1,3),
(190603,10105001,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(190604,10105001,'Increases Aggression of caster by 18.3',100,1,5),
(190605,10105001,'Increases Defense and Deflection of caster by 30.5',100,1,6),
(190606,10105001,'Increases Mitigation of caster vs arcane damage by 2117',100,1,7),
(190607,10105001,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(190608,124620,'Heals group members (AE) for 361 - 442',100,1,0),
(190609,124620,'Heals group members (AE) for 61 - 74 every second',100,1,1),
(190610,10124620,'Heals group members (AE) for 528 - 645',100,1,0),
(190611,10124620,'Heals group members (AE) for 66 - 81 every second',100,1,1),
(190612,104028,'Stifles target',100,1,0),
(190613,104028,'If Target is not Epic',100,2,1),
(190614,104028,'Interrupts target',100,1,2),
(190615,104028,'Decreases Threat to target by 950 - 1,161 ',100,1,3),
(190616,104028,'Resistibility increases against targets higher than level 81.',100,1,4),
(190617,10104028,'Stifles target',100,1,0),
(190618,10104028,'If Target is not Epic',100,2,1),
(190619,10104028,'Interrupts target',100,1,2),
(190620,10104028,'Resistibility increases against targets higher than level 81.',100,1,3),
(190621,110833,'Inflicts 210 - 284 mental damage on target',100,1,0),
(190622,110833,'Interrupts target',100,1,1),
(190623,10110833,'Inflicts 272 - 369 mental damage on target',100,1,0),
(190624,10110833,'Interrupts target',100,1,1),
(190625,139299,'When Equipped:',100,0,0),
(190626,139299,'Reduces maximum falling speed of caster',100,1,1),
(190627,10139299,'When Equipped:',100,0,0),
(190628,10139299,'Reduces maximum falling speed of caster',100,1,1),
(190629,47092,'Applies Most Wanted Poster when Activated.',100,0,0),
(190630,47092,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(190631,47092,'If above level 90',100,1,2),
(190632,47092,'Cannot be modified except by direct means',100,1,3),
(190633,10047092,'Applies Most Wanted Poster when Activated.',100,0,0),
(190634,10047092,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(190635,10047092,'If above level 90',100,1,2),
(190636,10047092,'Cannot be modified except by direct means',100,1,3),
(190637,113085,'Heals target for 46.8 - 57.2% of max health',100,1,0),
(190638,113085,'This effect cannot be critically applied.',100,2,1),
(190639,113085,'Increases Max Health of target by 107.5',100,1,2),
(190640,113085,'Increases Mitigation of target vs physical damage by 200',100,1,3),
(190641,113085,'The healing of this spell cannot be modified except by direct means',100,1,4),
(190642,10113085,'Heals target for 18.7 - 22.9% of max health',100,1,0),
(190643,10113085,'This effect cannot be critically applied.',100,2,1),
(190644,10113085,'Increases Max Health of target by 107.5',100,1,2),
(190645,10113085,'Increases Mitigation of target vs physical damage by 200',100,1,3),
(190646,10113085,'The healing of this spell cannot be modified except by direct means',100,1,4),
(190647,123588,'Increases STR of group members (AE) by 93.3',100,1,0),
(190648,123588,'Increases Max Health of group members (AE) by 827.2',100,1,1),
(190649,10123588,'Increases STR of group members (AE) by 93.3',100,1,0),
(190650,10123588,'Increases Max Health of group members (AE) by 827.2',100,1,1),
(190651,164373,'When Equipped:',100,0,0),
(190652,164373,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(190653,164373,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(190654,164373,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,3),
(190655,164373,'Increases Potency of caster by 11.0%',100,2,4),
(190656,164373,'Increases Ranged, Piercing, Slashing and Crushing of caster by 11.5',100,2,5),
(190657,164373,'Must not be engaged in pvp combat',100,2,6),
(190658,164373,'Cannot be modified except by direct means',100,2,7),
(190659,164373,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(190660,164373,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(190661,164373,'Increases Potency of caster by 11.0%',100,2,10),
(190662,164373,'Increases Ranged, Piercing, Slashing and Crushing of caster by 11.5',100,2,11),
(190663,164373,'Must not be engaged in pvp combat',100,2,12),
(190664,164373,'Cannot be modified except by direct means',100,2,13),
(190665,164373,'Cannot be modified except by direct means',100,1,14),
(190666,10164373,'When Equipped:',100,0,0),
(190667,10164373,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(190668,10164373,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(190669,10164373,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,3),
(190670,10164373,'Increases Potency of caster by 11.0%',100,2,4),
(190671,10164373,'Increases Ranged, Piercing, Slashing and Crushing of caster by 11.5',100,2,5),
(190672,10164373,'Must not be engaged in pvp combat',100,2,6),
(190673,10164373,'Cannot be modified except by direct means',100,2,7),
(190674,10164373,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(190675,10164373,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(190676,10164373,'Increases Potency of caster by 11.0%',100,2,10),
(190677,10164373,'Increases Ranged, Piercing, Slashing and Crushing of caster by 11.5',100,2,11),
(190678,10164373,'Must not be engaged in pvp combat',100,2,12),
(190679,10164373,'Cannot be modified except by direct means',100,2,13),
(190680,10164373,'Cannot be modified except by direct means',100,1,14),
(190681,74640,'When Equipped:',100,0,0),
(190682,74640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190683,74640,'Inflicts 97 - 145 magic damage on target',100,2,2),
(190684,74640,'Cannot be modified except by direct means',100,2,3),
(190685,10074640,'When Equipped:',100,0,0),
(190686,10074640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190687,10074640,'Inflicts 126 - 189 magic damage on target',100,2,2),
(190688,10074640,'Cannot be modified except by direct means',100,2,3),
(190689,117070,'Inflicts 270 - 450 melee damage on target',100,1,0),
(190690,117070,'Decreases Attack Speed of target by 16.2',100,1,1),
(190691,10117070,'Inflicts 351 - 585 melee damage on target',100,1,0),
(190692,10117070,'Decreases Attack Speed of target by 16.2',100,1,1),
(190693,81475,'When Equipped:',100,0,0),
(190694,81475,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190695,81475,'Inflicts 109 - 202 magic damage on target',100,2,2),
(190696,81475,'Cannot be modified except by direct means',100,2,3),
(190697,10081475,'When Equipped:',100,0,0),
(190698,10081475,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190699,10081475,'Inflicts 142 - 263 magic damage on target',100,2,2),
(190700,10081475,'Cannot be modified except by direct means',100,2,3),
(190701,101837,'Summons a limited pet to aid the caster',100,1,0),
(190702,10101837,'Summons a limited pet to aid the caster',100,1,0),
(190703,108517,'Increases AGI and WIS of group members (AE) by 34.4',100,1,0),
(190704,108517,'Adds 2.1% to base avoidance.',100,1,1),
(190705,108517,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 99',100,1,2),
(190706,10108517,'Increases AGI and WIS of group members (AE) by 34.4',100,1,0),
(190707,10108517,'Adds 2.1% to base avoidance.',100,1,1),
(190708,10108517,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 99',100,1,2),
(190709,142855,'When Equipped:',100,0,0),
(190710,142855,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(190711,142855,'Heals group members (AE) for 1161',100,2,2),
(190712,142855,'Cannot be modified except by direct means',100,2,3),
(190713,10142855,'When Equipped:',100,0,0),
(190714,10142855,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(190715,10142855,'Heals group members (AE) for 1358',100,2,2),
(190716,10142855,'Cannot be modified except by direct means',100,2,3),
(190717,81346,'When Equipped:',100,0,0),
(190718,81346,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190719,81346,'Inflicts 121 - 225 magic damage on target',100,2,2),
(190720,81346,'Cannot be modified except by direct means',100,2,3),
(190721,10081346,'When Equipped:',100,0,0),
(190722,10081346,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190723,10081346,'Inflicts 157 - 292 magic damage on target',100,2,2),
(190724,10081346,'Cannot be modified except by direct means',100,2,3),
(190725,37550,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(190726,48566,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(190727,48566,'Shrinks caster by 35.0%',100,1,1),
(190728,48566,'Enlarges caster by 50.0%',100,1,2),
(190729,10048566,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(190730,10048566,'Shrinks caster by 35.0%',100,1,1),
(190731,10048566,'Enlarges caster by 50.0%',100,1,2),
(190732,102340,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(190733,102340,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(190734,102340,'Decreases threat priority of target encounter by 1 position',100,2,2),
(190735,102340,'Decreases Threat to target encounter by 1,038 ',100,2,3),
(190736,102340,'Grants a total of 3 triggers of the spell.',100,2,4),
(190737,102340,'If profession other than Fighter',100,1,5),
(190738,10102340,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(190739,10102340,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(190740,10102340,'Target cannot target caster for the duration of this effect.',100,2,2),
(190741,10102340,'Forces target to clear their selected target.',100,2,3),
(190742,10102340,'Grants a total of 3 triggers of the spell.',100,2,4),
(190743,10102340,'If profession other than Fighter',100,1,5),
(190744,141850,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(190745,141850,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190746,141850,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(190747,141850,'Cannot be modified except by direct means',100,2,3),
(190748,10141850,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(190749,10141850,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190750,10141850,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(190751,10141850,'Cannot be modified except by direct means',100,2,3),
(190752,41532,'When Equipped:',100,0,0),
(190753,41532,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190754,41532,'Inflicts 315 - 585 magic damage on target',100,2,2),
(190755,41532,'Cannot be modified except by direct means',100,2,3),
(190756,10041532,'When Equipped:',100,0,0),
(190757,10041532,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190758,10041532,'Inflicts 409 - 760 magic damage on target',100,2,2),
(190759,10041532,'Cannot be modified except by direct means',100,2,3),
(190760,112497,'Decreases AGI and WIS of target by 79.9',100,1,0),
(190761,10112497,'Decreases AGI and WIS of target by 79.9',100,1,0),
(190762,105826,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(190763,105826,'Inflicts 221 - 368 disease damage on target',100,2,1),
(190764,10105826,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(190765,10105826,'Inflicts 287 - 479 disease damage on target',100,2,1),
(190766,105733,'Inflicts 433 - 722 melee damage on targets in area',100,1,0),
(190767,105733,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(190768,105733,'Stuns target',100,2,2),
(190769,105733,'Blurs vision of target',100,2,3),
(190770,105733,'Throws target back',100,2,4),
(190771,105733,'Does not affect Epic targets',100,2,5),
(190772,10105733,'Inflicts 563 - 938 melee damage on targets in area',100,1,0),
(190773,10105733,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(190774,10105733,'Stuns target',100,2,2),
(190775,10105733,'Throws target back',100,2,3),
(190776,10105733,'Blurs vision of target',100,2,4),
(190777,10105733,'Does not affect Epic targets',100,2,5),
(190778,159194,'Applies Lambent Imbued when Equipped.',100,0,0),
(190779,159194,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190780,159194,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(190781,159194,'Cannot be modified except by direct means',100,2,3),
(190782,10159194,'Applies Lambent Imbued when Equipped.',100,0,0),
(190783,10159194,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(190784,10159194,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(190785,10159194,'Cannot be modified except by direct means',100,2,3),
(190786,82615,'When Equipped:',100,0,0),
(190787,82615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190788,82615,'Inflicts 118 - 218 magic damage on target',100,2,2),
(190789,82615,'Cannot be modified except by direct means',100,2,3),
(190790,10082615,'When Equipped:',100,0,0),
(190791,10082615,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190792,10082615,'Inflicts 153 - 284 magic damage on target',100,2,2),
(190793,10082615,'Cannot be modified except by direct means',100,2,3),
(190794,36829,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(190795,45538,'Applies Alimaja''s Awakening  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(190796,45538,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(190797,45538,'Inflicts 3 magic damage on target',100,2,2),
(190798,45538,'Cannot be modified except by direct means',100,2,3),
(190799,10045538,'Applies Alimaja''s Awakening  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(190800,10045538,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(190801,10045538,'Inflicts 4 magic damage on target',100,2,2),
(190802,10045538,'Cannot be modified except by direct means',100,2,3),
(190803,121265,'Inflicts 1794 - 2193 heat damage on target encounter',100,1,0),
(190804,10121265,'Inflicts 2332 - 2851 heat damage on target encounter',100,1,0),
(190805,173005,'When Equipped:',100,0,0),
(190806,173005,'1% of all damage received by the caster is prevented.',100,1,1),
(190807,173005,'Must not be engaged in pvp combat',100,1,2),
(190808,10173005,'When Equipped:',100,0,0),
(190809,10173005,'1% of all damage received by the caster is prevented.',100,1,1),
(190810,10173005,'Must not be engaged in pvp combat',100,1,2),
(190811,36950,'Increases INT of target by 1.5',100,0,0),
(190812,36950,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(190813,109725,'Inflicts 217 - 362 cold damage on target',100,1,0),
(190814,109725,'If weapon equipped in Ranged',100,1,1),
(190815,10109725,'Inflicts 184 - 308 cold damage on target',100,1,0),
(190816,10109725,'If weapon equipped in Ranged',100,1,1),
(190817,144597,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(190818,144597,'Decreases STR, AGI, INT and WIS of target by 35.0',100,1,1),
(190819,144597,'Decreases Max Health of target by 1.0%',100,1,2),
(190820,144597,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(190821,10144597,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(190822,10144597,'Decreases STR, AGI, INT and WIS of target by 35.0',100,1,1),
(190823,10144597,'Decreases Max Health of target by 1.0%',100,1,2),
(190824,10144597,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(190825,102190,'Increases Mitigation of group members (AE) vs physical damage by 432',100,1,0),
(190826,10102190,'Increases Mitigation of group members (AE) vs physical damage by 432',100,1,0),
(190827,121051,'Increases STR and STA of group members (AE) by 16.1',100,1,0),
(190828,10121051,'Increases STR and STA of group members (AE) by 16.1',100,1,0),
(190829,87487,'When Equipped:',100,0,0),
(190830,87487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190831,87487,'Inflicts 194 - 290 magic damage on target',100,2,2),
(190832,87487,'Cannot be modified except by direct means',100,2,3),
(190833,10087487,'When Equipped:',100,0,0),
(190834,10087487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(190835,10087487,'Inflicts 252 - 378 magic damage on target',100,2,2),
(190836,10087487,'Cannot be modified except by direct means',100,2,3),
(190837,47763,'Applies Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(190838,47763,'Heals caster for 150',100,1,1),
(190839,47763,'Heals caster for 75 every 5 seconds',100,1,2),
(190840,47763,'Only affects targets level 50 and above',100,1,3),
(190841,10047763,'Applies Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(190842,10047763,'Heals caster for 97',100,1,1),
(190843,10047763,'Heals caster for 49 every 5 seconds',100,1,2),
(190844,10047763,'Only affects targets level 50 and above',100,1,3),
(190845,81497,'When Equipped:',100,0,0),
(190846,81497,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190847,81497,'Inflicts 121 - 225 magic damage on target',100,2,2),
(190848,81497,'Decreases Threat to target by 352 ',100,2,3),
(190849,81497,'Must be flanking or behind',100,3,4),
(190850,81497,'Increases Threat to target by 352 ',100,2,5),
(190851,81497,'Must be in front of',100,3,6),
(190852,81497,'Cannot be modified except by direct means',100,2,7),
(190853,10081497,'When Equipped:',100,0,0),
(190854,10081497,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(190855,10081497,'Inflicts 157 - 292 magic damage on target',100,2,2),
(190856,10081497,'Cannot be modified except by direct means',100,2,3),
(190857,116792,'Increases STR, AGI, WIS and INT of target by 42.2',100,1,0),
(190858,116792,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(190859,116792,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(190860,116792,'Increases Damage Per Second of target by 32.6',100,2,3),
(190861,116792,'Increases Attack Speed of target by 32.6',100,2,4),
(190862,116792,'Adds 1.6% to base avoidance.',100,1,5),
(190863,116792,'Increases Mitigation of target vs elemental, noxious and arcane damage by 124',100,1,6),
(190864,10116792,'Increases STR, AGI, WIS and INT of target by 42.2',100,1,0),
(190865,10116792,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(190866,10116792,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(190867,10116792,'Increases Damage Per Second of target by 32.6',100,2,3),
(190868,10116792,'Increases Attack Speed of target by 32.6',100,2,4),
(190869,10116792,'Adds 1.6% to base avoidance.',100,1,5),
(190870,10116792,'Increases Mitigation of target vs elemental, noxious and arcane damage by 124',100,1,6),
(190871,100201,'Increases Threat to target encounter by 212 - 260 ',100,1,0),
(190872,100201,'Interrupts target encounter',100,1,1),
(190873,10100201,'Interrupts target encounter',100,1,0),
(190874,10100201,'Forces target encounter to change their selected target to caster.',100,1,1),
(190875,10100201,'Prevents target encounter from changing targets',100,1,2),
(190876,122001,'Inflicts 183 - 305 melee damage on targets in area',100,1,0),
(190877,122001,'Increases Threat to target encounter by 631 ',100,1,1),
(190878,10122001,'Inflicts 238 - 396 melee damage on targets in area',100,1,0),
(190879,10122001,'Prevents target encounter from changing targets',100,1,1),
(190880,10122001,'Forces target encounter to change their selected target to caster.',100,1,2),
(190881,103699,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(190882,103699,'Inflicts 74 - 124 disease damage on target',100,2,1),
(190883,103699,'Increases Attack Speed of group members (AE) by 40.7',100,1,2),
(190884,10103699,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(190885,10103699,'Inflicts 97 - 162 disease damage on target',100,2,1),
(190886,10103699,'Increases Attack Speed of group members (AE) by 40.7',100,1,2),
(190887,35532,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(190888,109164,'Roots target',100,1,0),
(190889,109164,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(190890,109164,'Dazes target',100,2,2),
(190891,109164,'Blurs vision of target',100,2,3),
(190892,109164,'Dispelled when target takes damage',100,2,4),
(190893,109164,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(190894,109164,'5% chance to dispel when target takes damage',100,1,6),
(190895,109164,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,7),
(190896,109164,'Resistibility increases against targets higher than level 48.',100,1,8),
(190897,10109164,'Roots target',100,1,0),
(190898,10109164,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(190899,10109164,'Dazes target',100,2,2),
(190900,10109164,'Blurs vision of target',100,2,3),
(190901,10109164,'Dispelled when target takes damage',100,2,4),
(190902,10109164,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(190903,10109164,'5% chance to dispel when target takes damage',100,1,6),
(190904,10109164,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(190905,10109164,'Resistibility increases against targets higher than level 48.',100,1,8),
(190906,47434,'Applies Disintegrate Undead Rift when Activated.',100,0,0),
(190907,47434,'Must be in Starcrest Commune: Shattered Sanctum.',100,1,1),
(190908,10047434,'Applies Disintegrate Undead Rift when Activated.',100,0,0),
(190909,10047434,'Must be in Starcrest Commune: Shattered Sanctum.',100,1,1),
(190910,116357,'Mesmerizes target encounter',100,1,0),
(190911,116357,'Prevents AOE (except when direct) ',100,1,1),
(190912,116357,'Dispelled when target takes damage',100,1,2),
(190913,116357,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(190914,116357,'Resistibility increases against targets higher than level 94.',100,1,4),
(190915,10116357,'Mesmerizes target encounter',100,1,0),
(190916,10116357,'Prevents AOE (except when direct) ',100,1,1),
(190917,10116357,'Dispelled when target takes damage',100,1,2),
(190918,10116357,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(190919,10116357,'Resistibility increases against targets higher than level 94.',100,1,4),
(190920,181415,'When Equipped:',100,0,0),
(190921,181415,'Increases Attack Speed of caster by 45.0',100,1,1),
(190922,10181415,'When Equipped:',100,0,0),
(190923,10181415,'Increases Attack Speed of caster by 45.0',100,1,1),
(190924,102102,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(190925,102102,'Stuns target',100,2,1),
(190926,102102,'Blurs vision of target',100,2,2),
(190927,102102,'Throws target back',100,2,3),
(190928,102102,'Does not affect Epic targets',100,2,4),
(190929,102102,'Inflicts 186 - 311 crushing damage on target',100,1,5),
(190930,10102102,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(190931,10102102,'Stuns target',100,2,1),
(190932,10102102,'Throws target back',100,2,2),
(190933,10102102,'Blurs vision of target',100,2,3),
(190934,10102102,'Does not affect Epic targets',100,2,4),
(190935,10102102,'Inflicts 242 - 404 crushing damage on target',100,1,5),
(190936,144446,'When Equipped:',100,0,0),
(190937,144446,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(190938,144446,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(190939,144446,'Dispelled when target casts a hostile spell',100,2,3),
(190940,144446,'Dispelled when target casts a combat art',100,2,4),
(190941,144446,'Cannot be modified except by direct means',100,2,5),
(190942,10144446,'When Equipped:',100,0,0),
(190943,10144446,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(190944,10144446,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(190945,10144446,'Dispelled when target casts a hostile spell',100,2,3),
(190946,10144446,'Dispelled when target casts a combat art',100,2,4),
(190947,10144446,'Cannot be modified except by direct means',100,2,5),
(190948,109077,'Inflicts 191 - 318 melee damage on target',100,1,0),
(190949,109077,'Inflicts 191 - 318 melee damage on target',100,1,1),
(190950,109077,'Inflicts 191 - 318 melee damage on target',100,1,2),
(190951,109077,'Decreases Mitigation of target vs physical damage by 504',100,1,3),
(190952,10109077,'Inflicts 248 - 414 melee damage on target',100,1,0),
(190953,10109077,'Inflicts 248 - 414 melee damage on target',100,1,1),
(190954,10109077,'Inflicts 248 - 414 melee damage on target',100,1,2),
(190955,10109077,'Decreases Mitigation of target vs physical damage by 504',100,1,3),
(190956,111402,'Increases Attack Speed of target by 44.3',100,1,0),
(190957,111402,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(190958,111402,'Inflicts 289 disease damage on target',100,2,2),
(190959,111402,'Heals caster for 62',100,2,3),
(190960,111402,'Decreases Defense and Parry of target by 17.5',100,1,4),
(190961,111402,'Increases Disruption, Subjugation and Focus of target by 28.1',100,1,5),
(190962,10111402,'Increases Attack Speed of target by 44.3',100,1,0),
(190963,10111402,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(190964,10111402,'Inflicts 376 disease damage on target',100,2,2),
(190965,10111402,'Heals caster for 40',100,2,3),
(190966,10111402,'Decreases Defense and Parry of target by 17.5',100,1,4),
(190967,10111402,'Increases Disruption, Subjugation and Focus of target by 28.1',100,1,5),
(190968,122086,'Increases STA and INT of group members (AE) by 31.0',100,1,0),
(190969,10122086,'Increases STA and INT of group members (AE) by 31.0',100,1,0),
(190970,110394,'Increases STR and AGI of group members (AE) by 103.2',100,1,0),
(190971,110394,'Adds 2.2% to base avoidance.',100,1,1),
(190972,10110394,'Increases STR and AGI of group members (AE) by 103.2',100,1,0),
(190973,10110394,'Adds 2.2% to base avoidance.',100,1,1),
(190974,104462,'Inflicts 188 - 229 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(190975,104462,'Interrupts target encounter',100,1,1),
(190976,104462,'Applies Stumble on termination.',100,1,2),
(190977,104462,'Interrupts target',100,2,3),
(190978,10104462,'Inflicts 244 - 298 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(190979,10104462,'Interrupts target encounter',100,1,1),
(190980,10104462,'Applies Stumble on termination.',100,1,2),
(190981,10104462,'Interrupts target',100,2,3),
(190982,103273,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(190983,103273,'If Fighter',100,2,1),
(190984,103273,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(190985,103273,'Increases power of target by 8 instantly and every 4 seconds',100,2,3),
(190986,103273,'Increases power of caster by 8 instantly and every 4 seconds',100,2,4),
(190987,10103273,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(190988,10103273,'Increases power of target by 8 instantly and every 4 seconds',100,2,1),
(190989,10103273,'Increases power of caster by 8 instantly and every 4 seconds',100,2,2),
(190990,118590,'Roots target',100,1,0),
(190991,118590,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(190992,118590,'Slows target by 37.6%',100,2,2),
(190993,118590,'5% chance to dispel when target receives hostile action',100,2,3),
(190994,118590,'5% chance to dispel when target takes damage',100,2,4),
(190995,118590,'5% chance to dispel when target takes damage',100,1,5),
(190996,118590,'Does not affect Epic targets',100,1,6),
(190997,118590,'Resistibility increases against targets higher than level 50.',100,1,7),
(190998,10118590,'Roots target',100,1,0),
(190999,10118590,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(191000,10118590,'Slows target by 37.6%',100,2,2),
(191001,10118590,'5% chance to dispel when target receives hostile action',100,2,3),
(191002,10118590,'5% chance to dispel when target takes damage',100,2,4),
(191003,10118590,'5% chance to dispel when target takes damage',100,1,5),
(191004,10118590,'Does not affect Epic targets',100,1,6),
(191005,10118590,'Resistibility increases against targets higher than level 50.',100,1,7),
(191006,111561,'Inflicts 2308 - 4287 cold damage on target',100,1,0),
(191007,111561,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(191008,111561,'Stuns target',100,2,2),
(191009,111561,'Throws target back',100,2,3),
(191010,111561,'Blurs vision of target',100,2,4),
(191011,111561,'Does not affect Epic targets',100,2,5),
(191012,10111561,'Inflicts 2170 - 4029 cold damage on target',100,1,0),
(191013,10111561,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(191014,10111561,'Stuns target',100,2,2),
(191015,10111561,'Throws target back',100,2,3),
(191016,10111561,'Blurs vision of target',100,2,4),
(191017,10111561,'Does not affect Epic targets',100,2,5),
(191018,119914,'Stifles target',100,1,0),
(191019,119914,'Inflicts 189 - 231 mental damage on target',100,1,1),
(191020,119914,'Inflicts 63 - 77 mental damage on target every 1.6 seconds',100,1,2),
(191021,119914,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(191022,119914,'Resistibility increases against targets higher than level 59.',100,1,4),
(191023,10119914,'Stifles target',100,1,0),
(191024,10119914,'Inflicts 246 - 300 mental damage on target',100,1,1),
(191025,10119914,'Inflicts 82 - 100 mental damage on target every second',100,1,2),
(191026,10119914,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(191027,10119914,'Resistibility increases against targets higher than level 59.',100,1,4),
(191028,82249,'When Equipped:',100,0,0),
(191029,82249,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191030,82249,'Inflicts 48 - 89 magic damage on target',100,2,2),
(191031,82249,'Decreases Threat to target by 135 ',100,2,3),
(191032,82249,'Must be flanking or behind',100,3,4),
(191033,82249,'Increases Threat to target by 135 ',100,2,5),
(191034,82249,'Must be in front of',100,3,6),
(191035,82249,'Cannot be modified except by direct means',100,2,7),
(191036,10082249,'When Equipped:',100,0,0),
(191037,10082249,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191038,10082249,'Inflicts 62 - 115 magic damage on target',100,2,2),
(191039,10082249,'Cannot be modified except by direct means',100,2,3),
(191040,153629,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(191041,153629,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(191042,153629,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(191043,153629,'Cannot be modified except by direct means',100,2,3),
(191044,10153629,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(191045,10153629,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(191046,10153629,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(191047,10153629,'Cannot be modified except by direct means',100,2,3),
(191048,185685,'Applies Underwater Vision when Activated.  Lasts for 30.0 seconds.',100,0,0),
(191049,185685,'Grants Fish Vision to caster',100,1,1),
(191050,185685,'Cannot be applied while Fish Vision is active.',100,1,2),
(191051,10185685,'Applies Underwater Vision when Activated.  Lasts for 30.0 seconds.',100,0,0),
(191052,10185685,'Grants Fish Vision to caster',100,1,1),
(191053,10185685,'Cannot be applied while Fish Vision is active.',100,1,2),
(191054,123106,'Inflicts 53 disease damage on targets in Area of Effect',100,1,0),
(191055,123106,'Inflicts 36 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(191056,10123106,'Inflicts 69 disease damage on targets in Area of Effect',100,1,0),
(191057,10123106,'Inflicts 47 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(191058,82744,'When Equipped:',100,0,0),
(191059,82744,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191060,82744,'Inflicts 164 - 305 magic damage on target',100,2,2),
(191061,82744,'Decreases Threat to target by 487 ',100,2,3),
(191062,82744,'Must be flanking or behind',100,3,4),
(191063,82744,'Increases Threat to target by 487 ',100,2,5),
(191064,82744,'Must be in front of',100,3,6),
(191065,82744,'Cannot be modified except by direct means',100,2,7),
(191066,10082744,'When Equipped:',100,0,0),
(191067,10082744,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191068,10082744,'Inflicts 213 - 396 magic damage on target',100,2,2),
(191069,10082744,'Cannot be modified except by direct means',100,2,3),
(191070,71589,'When Equipped:',100,0,0),
(191071,71589,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191072,71589,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(191073,71589,'Cannot be modified except by direct means',100,2,3),
(191074,10071589,'When Equipped:',100,0,0),
(191075,10071589,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191076,10071589,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(191077,10071589,'Cannot be modified except by direct means',100,2,3),
(191078,136690,'When Equipped:',100,0,0),
(191079,136690,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191080,136690,'Increases Ability Modifier of group members by 100.0',100,2,2),
(191081,136690,'Cannot be modified except by direct means',100,2,3),
(191082,136690,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(191083,136690,'Increases Ability Modifier of group members by 100.0',100,2,5),
(191084,136690,'Cannot be modified except by direct means',100,2,6),
(191085,136690,'Cannot be modified except by direct means',100,1,7),
(191086,10136690,'When Equipped:',100,0,0),
(191087,10136690,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191088,10136690,'Increases Ability Modifier of group members by 100.0',100,2,2),
(191089,10136690,'Cannot be modified except by direct means',100,2,3),
(191090,10136690,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(191091,10136690,'Increases Ability Modifier of group members by 100.0',100,2,5),
(191092,10136690,'Cannot be modified except by direct means',100,2,6),
(191093,10136690,'Cannot be modified except by direct means',100,1,7),
(191094,136551,'When Equipped:',100,0,0),
(191095,136551,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(191096,136551,'Inflicts 37 divine damage on target',100,2,2),
(191097,136551,'Cannot be modified except by direct means',100,2,3),
(191098,10136551,'When Equipped:',100,0,0),
(191099,10136551,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(191100,10136551,'Inflicts 49 divine damage on target',100,2,2),
(191101,10136551,'Cannot be modified except by direct means',100,2,3),
(191102,119760,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(191103,119760,'Inflicts 23 - 28 poison damage on target encounter',100,2,1),
(191104,10119760,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(191105,10119760,'Inflicts 29 - 36 poison damage on target encounter',100,2,1),
(191106,110403,'Inflicts 1812 - 3020 disease damage on target',100,1,0),
(191107,10110403,'Inflicts 1615 - 2692 disease damage on target',100,1,0),
(191108,72092,'When Equipped:',100,0,0),
(191109,72092,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191110,72092,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(191111,72092,'Cannot be modified except by direct means',100,2,3),
(191112,10072092,'When Equipped:',100,0,0),
(191113,10072092,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191114,10072092,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(191115,10072092,'Cannot be modified except by direct means',100,2,3),
(191116,47236,'Applies Fireblight''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(191117,47236,'Heals caster for 167',100,1,1),
(191118,47236,'Heals caster for 84 every 5 seconds',100,1,2),
(191119,10047236,'Applies Fireblight''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(191120,10047236,'Heals caster for 109',100,1,1),
(191121,10047236,'Heals caster for 54 every 5 seconds',100,1,2),
(191122,119200,'Inflicts 332 - 554 heat damage on target',100,1,0),
(191123,119200,'Inflicts 332 - 554 heat damage on target',100,1,1),
(191124,119200,'Requires bow',100,1,2),
(191125,10119200,'Inflicts 380 - 634 heat damage on target',100,1,0),
(191126,10119200,'Inflicts 380 - 634 heat damage on target',100,1,1),
(191127,10119200,'Requires bow',100,1,2),
(191128,157922,'When Equipped:',100,0,0),
(191129,157922,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(191130,157922,'Increases power of target by 359',100,2,2),
(191131,157922,'Decreases power of caster by 324',100,2,3),
(191132,157922,'Cannot be modified except by direct means',100,2,4),
(191133,10157922,'When Equipped:',100,0,0),
(191134,10157922,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(191135,10157922,'Increases power of target by 359',100,2,2),
(191136,10157922,'Decreases power of caster by 324',100,2,3),
(191137,10157922,'Cannot be modified except by direct means',100,2,4),
(191138,72275,'When Equipped:',100,0,0),
(191139,72275,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191140,72275,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(191141,72275,'Cannot be modified except by direct means',100,2,3),
(191142,10072275,'When Equipped:',100,0,0),
(191143,10072275,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191144,10072275,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(191145,10072275,'Cannot be modified except by direct means',100,2,3),
(191146,147309,'When Equipped:',100,0,0),
(191147,147309,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(191148,147309,'Inflicts 1986 heat damage on target',100,2,2),
(191149,147309,'Cannot be modified except by direct means',100,2,3),
(191150,10147309,'When Equipped:',100,0,0),
(191151,10147309,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(191152,10147309,'Inflicts 1291 heat damage on target',100,2,2),
(191153,10147309,'Cannot be modified except by direct means',100,2,3),
(191154,106867,'Decreases Threat to targets in Area of Effect by 720 ',100,1,0),
(191155,106867,'Stuns targets in Area of Effect',100,1,1),
(191156,106867,'If Target is not Epic',100,2,2),
(191157,10106867,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(191158,10106867,'Applies Distract.',100,1,1),
(191159,10106867,'Forces target to clear their selected target.',100,2,2),
(191160,10106867,'Stuns targets in Area of Effect',100,1,3),
(191161,10106867,'If Target is not Epic',100,2,4),
(191162,105905,'Inflicts 371 - 618 ranged damage on target',100,1,0),
(191163,105905,'Inflicts 371 - 618 ranged damage on target',100,1,1),
(191164,105905,'If weapon equipped in Ranged',100,1,2),
(191165,10105905,'Inflicts 315 - 525 ranged damage on target',100,1,0),
(191166,10105905,'Inflicts 315 - 525 ranged damage on target',100,1,1),
(191167,10105905,'If weapon equipped in Ranged',100,1,2),
(191168,24197,'Adds Crushbone: Lit Spiked Sconce to your Dungeon Maker toolbox',100,0,0),
(191169,10024197,'Adds Crushbone: Lit Spiked Sconce to your Dungeon Maker toolbox',100,0,0),
(191170,124103,'Increases power of caster by 67',100,1,0),
(191171,10124103,'Increases power of caster by 67',100,1,0),
(191172,152567,'When Equipped:',100,0,0),
(191173,152567,'Increases Attack Speed of caster by 23.0',100,1,1),
(191174,10152567,'When Equipped:',100,0,0),
(191175,10152567,'Increases Attack Speed of caster by 23.0',100,1,1),
(191176,111908,'Inflicts 102 - 170 piercing damage on target',100,1,0),
(191177,111908,'Inflicts 28 - 47 piercing damage on target instantly and every 4 seconds',100,1,1),
(191178,10111908,'Inflicts 181 - 303 piercing damage on target',100,1,0),
(191179,10111908,'Inflicts 61 - 101 piercing damage on target instantly and every 4 seconds',100,1,1),
(191180,103531,'Charms target',100,1,0),
(191181,103531,'If outside an arena',100,1,1),
(191182,103531,'Certain enemies cannot be charmed',100,1,2),
(191183,103531,'Does not affect Epic targets',100,1,3),
(191184,10103531,'Mesmerizes target',100,1,0),
(191185,10103531,'Prevents AOE (except when direct) ',100,1,1),
(191186,10103531,'Dispelled when target takes damage',100,1,2),
(191187,10103531,'If outside an arena',100,1,3),
(191188,10103531,'Certain enemies cannot be charmed',100,1,4),
(191189,10103531,'Does not affect Epic targets',100,1,5),
(191190,10103531,'Resistibility increases against targets higher than level 113.',100,1,6),
(191191,119163,'Inflicts 164 disease damage on target every 3 seconds',100,1,0),
(191192,119163,'Inflicts 821 - 1369 melee damage on target',100,1,1),
(191193,119163,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(191194,119163,'Inflicts 329 disease damage on target every 3 seconds',100,2,3),
(191195,119163,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(191196,119163,'Inflicts 493 disease damage on target every 3 seconds',100,3,5),
(191197,119163,'You must be sneaking to use this ability.',100,1,6),
(191198,119163,'Must be behind',100,1,7),
(191199,10119163,'Inflicts 214 disease damage on target every 3 seconds',100,1,0),
(191200,10119163,'Inflicts 1068 - 1780 melee damage on target',100,1,1),
(191201,10119163,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(191202,10119163,'Inflicts 427 disease damage on target every 3 seconds',100,2,3),
(191203,10119163,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(191204,10119163,'Inflicts 641 disease damage on target every 3 seconds',100,3,5),
(191205,10119163,'You must be sneaking to use this ability.',100,1,6),
(191206,10119163,'Must be behind',100,1,7),
(191207,113724,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(191208,10113724,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(191209,45439,'Applies Douse Flames when Activated.',100,0,0),
(191210,45439,'This effect cannot be cast during combat',100,1,1),
(191211,45439,'The water must be used to douse the flames of the burning tree, Tunare''s Sapling!',100,1,2),
(191212,10045439,'Applies Douse Flames when Activated.',100,0,0),
(191213,10045439,'This effect cannot be cast during combat',100,1,1),
(191214,10045439,'The water must be used to douse the flames of the burning tree, Tunare''s Sapling!',100,1,2),
(191215,82707,'When Equipped:',100,0,0),
(191216,82707,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191217,82707,'Inflicts 365 - 678 magic damage on target',100,2,2),
(191218,82707,'Decreases Threat to target by 1,174 ',100,2,3),
(191219,82707,'Must be flanking or behind',100,3,4),
(191220,82707,'Increases Threat to target by 1,174 ',100,2,5),
(191221,82707,'Must be in front of',100,3,6),
(191222,82707,'Cannot be modified except by direct means',100,2,7),
(191223,10082707,'When Equipped:',100,0,0),
(191224,10082707,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191225,10082707,'Inflicts 474 - 881 magic damage on target',100,2,2),
(191226,10082707,'Cannot be modified except by direct means',100,2,3),
(191227,107512,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(191228,10107512,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(191229,35676,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(191230,191451,'When Equipped:',100,0,0),
(191231,191451,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(191232,191451,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(191233,191451,'Inflicts 281 mental damage on target',100,2,3),
(191234,191451,'Must not be classified as an undead',100,3,4),
(191235,191451,'Inflicts 562 mental damage on target',100,2,5),
(191236,191451,'Must be classified as an undead',100,3,6),
(191237,191451,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(191238,191451,'Must be classified as an undead',100,3,8),
(191239,191451,'Cannot be modified except by direct means',100,2,9),
(191240,10191451,'When Equipped:',100,0,0),
(191241,10191451,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(191242,10191451,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(191243,10191451,'Inflicts 365 mental damage on target',100,2,3),
(191244,10191451,'Must not be classified as an undead',100,3,4),
(191245,10191451,'Inflicts 731 mental damage on target',100,2,5),
(191246,10191451,'Must be classified as an undead',100,3,6),
(191247,10191451,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(191248,10191451,'Must be classified as an undead',100,3,8),
(191249,10191451,'Cannot be modified except by direct means',100,2,9),
(191250,45015,'Applies Create Medal when Activated.',100,0,0),
(191251,45015,'Summon 1 Award of Merit',100,1,1),
(191252,10045015,'Applies Create Medal when Activated.',100,0,0),
(191253,10045015,'Summon 1 Award of Merit',100,1,1),
(191254,103706,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(191255,103706,'Inflicts 141 - 235 disease damage on target',100,2,1),
(191256,103706,'Increases Attack Speed of group members (AE) by 63.6',100,1,2),
(191257,10103706,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(191258,10103706,'Inflicts 183 - 306 disease damage on target',100,2,1),
(191259,10103706,'Increases Attack Speed of group members (AE) by 63.6',100,1,2),
(191260,112040,'Roots target',100,1,0),
(191261,112040,'Stifles target',100,1,1),
(191262,112040,'If Target is not Epic',100,2,2),
(191263,112040,'20% chance to dispel when target takes damage',100,1,3),
(191264,112040,'Does not affect Epic targets',100,1,4),
(191265,112040,'Resistibility increases against targets higher than level 96.',100,1,5),
(191266,10112040,'Roots target',100,1,0),
(191267,10112040,'Stifles target',100,1,1),
(191268,10112040,'If Target is not Epic',100,2,2),
(191269,10112040,'20% chance to dispel when target takes damage',100,1,3),
(191270,10112040,'Does not affect Epic targets',100,1,4),
(191271,10112040,'Resistibility increases against targets higher than level 96.',100,1,5),
(191272,107618,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(191273,107618,'Increases Mitigation of group members (AE) vs elemental damage by 235',100,1,1),
(191274,10107618,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(191275,10107618,'Increases Mitigation of group members (AE) vs elemental damage by 235',100,1,1),
(191276,122728,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(191277,122728,'Increases Deflection of caster by 9.0',100,1,1),
(191278,10122728,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(191279,10122728,'Increases Deflection of caster by 9.0',100,1,1),
(191280,109833,'Inflicts 412 - 687 melee damage on target',100,1,0),
(191281,109833,'Decreases Parry of target by 32.5',100,1,1),
(191282,109833,'Must be in front of or flanking',100,1,2),
(191283,10109833,'Inflicts 536 - 894 melee damage on target',100,1,0),
(191284,10109833,'Decreases Parry of target by 32.5',100,1,1),
(191285,10109833,'Must be in front of or flanking',100,1,2),
(191286,81133,'When Equipped:',100,0,0),
(191287,81133,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191288,81133,'Inflicts 226 - 419 magic damage on target',100,2,2),
(191289,81133,'Decreases Threat to target by 517 ',100,2,3),
(191290,81133,'Must be flanking or behind',100,3,4),
(191291,81133,'Increases Threat to target by 517 ',100,2,5),
(191292,81133,'Must be in front of',100,3,6),
(191293,81133,'Cannot be modified except by direct means',100,2,7),
(191294,10081133,'When Equipped:',100,0,0),
(191295,10081133,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191296,10081133,'Inflicts 293 - 545 magic damage on target',100,2,2),
(191297,10081133,'Cannot be modified except by direct means',100,2,3),
(191298,80338,'When Equipped:',100,0,0),
(191299,80338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191300,80338,'Inflicts 67 - 124 magic damage on target',100,2,2),
(191301,80338,'Cannot be modified except by direct means',100,2,3),
(191302,10080338,'When Equipped:',100,0,0),
(191303,10080338,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191304,10080338,'Inflicts 87 - 161 magic damage on target',100,2,2),
(191305,10080338,'Cannot be modified except by direct means',100,2,3),
(191306,134730,'When Equipped:',100,0,0),
(191307,134730,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(191308,134730,'Wards caster against 280 points of all damage',100,2,2),
(191309,134730,'Cannot be modified except by direct means',100,2,3),
(191310,10134730,'When Equipped:',100,0,0),
(191311,10134730,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(191312,10134730,'Wards caster against 280 points of all damage',100,2,2),
(191313,10134730,'Cannot be modified except by direct means',100,2,3),
(191314,45285,'Applies Bangflash when Activated.  Lasts for 9.0 seconds.',100,0,0),
(191315,45285,'Stuns target',100,1,1),
(191316,45285,'Prevents AOE (except when direct) ',100,1,2),
(191317,45285,'Dispelled when target takes damage',100,1,3),
(191318,45285,'Does not affect Epic targets',100,1,4),
(191319,45285,'Resistibility increases against targets higher than level 89.',100,1,5),
(191320,10045285,'Applies Bangflash when Activated.  Lasts for 9.0 seconds.',100,0,0),
(191321,10045285,'Stuns target',100,1,1),
(191322,10045285,'Prevents AOE (except when direct) ',100,1,2),
(191323,10045285,'Dispelled when target takes damage',100,1,3),
(191324,10045285,'Does not affect Epic targets',100,1,4),
(191325,10045285,'Resistibility increases against targets higher than level 89.',100,1,5),
(191326,25333,'When Equipped:',100,0,0),
(191327,25333,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(191328,25333,'Improves the base damage of Bloodcloud VI by 15%.',100,1,2),
(191329,10025333,'When Equipped:',100,0,0),
(191330,10025333,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(191331,10025333,'Improves the base damage of Bloodcloud VI by 15%.',100,1,2),
(191332,141730,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(191333,141730,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(191334,141730,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(191335,141730,'Cannot be modified except by direct means',100,2,3),
(191336,10141730,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(191337,10141730,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(191338,10141730,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(191339,10141730,'Cannot be modified except by direct means',100,2,3),
(191340,103846,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(191341,103846,'Slows target by 31.4%',100,2,1),
(191342,103846,'5% chance to dispel when target receives hostile action',100,2,2),
(191343,103846,'5% chance to dispel when target takes damage',100,2,3),
(191344,103846,'Decreases Mitigation of target vs noxious damage by 218',100,1,4),
(191345,10103846,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(191346,10103846,'Slows target by 31.4%',100,2,1),
(191347,10103846,'5% chance to dispel when target receives hostile action',100,2,2),
(191348,10103846,'5% chance to dispel when target takes damage',100,2,3),
(191349,10103846,'Decreases Mitigation of target vs noxious damage by 218',100,1,4),
(191350,75635,'Applies Holy Strike when Activated.',100,0,0),
(191351,75635,'Inflicts 133 - 222 divine damage on target',100,1,1),
(191352,75635,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(191353,10075635,'Applies Holy Strike when Activated.',100,0,0),
(191354,10075635,'Inflicts 173 - 289 divine damage on target',100,1,1),
(191355,10075635,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(191356,81185,'When Equipped:',100,0,0),
(191357,81185,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191358,81185,'Inflicts 226 - 419 magic damage on target',100,2,2),
(191359,81185,'Decreases Threat to target by 517 ',100,2,3),
(191360,81185,'Must be flanking or behind',100,3,4),
(191361,81185,'Increases Threat to target by 517 ',100,2,5),
(191362,81185,'Must be in front of',100,3,6),
(191363,81185,'Cannot be modified except by direct means',100,2,7),
(191364,10081185,'When Equipped:',100,0,0),
(191365,10081185,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191366,10081185,'Inflicts 293 - 545 magic damage on target',100,2,2),
(191367,10081185,'Cannot be modified except by direct means',100,2,3),
(191368,100453,'Inflicts 93 - 155 mental damage on target encounter',100,1,0),
(191369,10100453,'Inflicts 121 - 201 mental damage on target encounter',100,1,0),
(191370,74892,'When Equipped:',100,0,0),
(191371,74892,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191372,74892,'Inflicts 169 - 254 magic damage on target',100,2,2),
(191373,74892,'Cannot be modified except by direct means',100,2,3),
(191374,10074892,'When Equipped:',100,0,0),
(191375,10074892,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191376,10074892,'Inflicts 220 - 330 magic damage on target',100,2,2),
(191377,10074892,'Cannot be modified except by direct means',100,2,3),
(191378,110216,'Interrupts target',100,1,0),
(191379,110216,'Inflicts 233 - 389 crushing damage on target',100,1,1),
(191380,10110216,'Interrupts target',100,1,0),
(191381,10110216,'Inflicts 303 - 506 crushing damage on target',100,1,1),
(191382,102109,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(191383,102109,'Stuns target',100,2,1),
(191384,102109,'Throws target back',100,2,2),
(191385,102109,'Blurs vision of target',100,2,3),
(191386,102109,'Does not affect Epic targets',100,2,4),
(191387,102109,'Inflicts 214 - 357 crushing damage on target',100,1,5),
(191388,10102109,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(191389,10102109,'Stuns target',100,2,1),
(191390,10102109,'Throws target back',100,2,2),
(191391,10102109,'Blurs vision of target',100,2,3),
(191392,10102109,'Does not affect Epic targets',100,2,4),
(191393,10102109,'Inflicts 278 - 464 crushing damage on target',100,1,5),
(191394,43404,'When Equipped:',100,0,0),
(191395,43404,'On any combat or spell hit this spell may cast Clairvoyance on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191396,43404,'This effect grows over time.',100,2,2),
(191397,43404,'Increases Potency of caster by 1.0%',100,2,3),
(191398,43404,'Must not be engaged in pvp combat',100,2,4),
(191399,43404,'Cannot be modified except by direct means',100,2,5),
(191400,43404,'Must not be engaged in pvp combat',100,1,6),
(191401,10043404,'When Equipped:',100,0,0),
(191402,10043404,'On any combat or spell hit this spell may cast Clairvoyance on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191403,10043404,'This effect grows over time.',100,2,2),
(191404,10043404,'Increases Potency of caster by 1.0%',100,2,3),
(191405,10043404,'Must not be engaged in pvp combat',100,2,4),
(191406,10043404,'Cannot be modified except by direct means',100,2,5),
(191407,10043404,'Must not be engaged in pvp combat',100,1,6),
(191408,110639,'Inflicts 860 - 1433 ranged damage on target',100,1,0),
(191409,110639,'If weapon equipped in Ranged',100,1,1),
(191410,110639,'Must be flanking or behind',100,1,2),
(191411,10110639,'Inflicts 534 - 890 ranged damage on target',100,1,0),
(191412,10110639,'If weapon equipped in Ranged',100,1,1),
(191413,10110639,'Must be flanking or behind',100,1,2),
(191414,123437,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(191415,123437,'Stuns target',100,2,1),
(191416,123437,'Throws target back',100,2,2),
(191417,123437,'Blurs vision of target',100,2,3),
(191418,123437,'Does not affect Epic targets',100,2,4),
(191419,123437,'Inflicts 580 - 1740 melee damage on target',100,1,5),
(191420,10123437,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(191421,10123437,'Stuns target',100,2,1),
(191422,10123437,'Throws target back',100,2,2),
(191423,10123437,'Blurs vision of target',100,2,3),
(191424,10123437,'Does not affect Epic targets',100,2,4),
(191425,10123437,'Inflicts 754 - 2263 melee damage on target',100,1,5),
(191426,47702,'Applies The Reforming when Activated.  Lasts for 1.0 second.',100,0,0),
(191427,10047702,'Applies The Reforming when Activated.  Lasts for 1.0 second.',100,0,0),
(191428,47396,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(191429,47396,'This potion will grant you the illusion of being a moldering froglok!',100,1,1),
(191430,10047396,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(191431,10047396,'This potion will grant you the illusion of being a moldering froglok!',100,1,1),
(191432,114339,'Dispels 43 levels of noxious hostile effects on target',100,1,0),
(191433,114339,'Heals target for 14.9 - 18.1% of max health',100,1,1),
(191434,114339,'This effect cannot be critically applied.',100,2,2),
(191435,114339,'The healing of this spell cannot be modified except by direct means',100,1,3),
(191436,10114339,'Dispels 43 levels of noxious hostile effects on target',100,1,0),
(191437,10114339,'Heals target for 5.9 - 7.3% of max health',100,1,1),
(191438,10114339,'This effect cannot be critically applied.',100,2,2),
(191439,10114339,'The healing of this spell cannot be modified except by direct means',100,1,3),
(191440,106267,'Wards target against 926 points of all damage',100,1,0),
(191441,10106267,'Wards target against 926 points of all damage',100,1,0),
(191442,87433,'When Equipped:',100,0,0),
(191443,87433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191444,87433,'Inflicts 44 - 66 magic damage on target',100,2,2),
(191445,87433,'Cannot be modified except by direct means',100,2,3),
(191446,10087433,'When Equipped:',100,0,0),
(191447,10087433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191448,10087433,'Inflicts 57 - 85 magic damage on target',100,2,2),
(191449,10087433,'Cannot be modified except by direct means',100,2,3),
(191450,106255,'Wards target against 408 points of all damage',100,1,0),
(191451,10106255,'Wards target against 408 points of all damage',100,1,0),
(191452,184851,'When Equipped:',100,0,0),
(191453,184851,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(191454,10184851,'When Equipped:',100,0,0),
(191455,10184851,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(191456,105707,'Decreases Attack Speed of target encounter by 27.5',100,1,0),
(191457,105707,'Slows target encounter by 35.5%',100,1,1),
(191458,10105707,'Decreases Attack Speed of target encounter by 27.5',100,1,0),
(191459,10105707,'Slows target encounter by 35.5%',100,1,1),
(191460,122730,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(191461,122730,'Increases Deflection of caster by 12.6',100,1,1),
(191462,10122730,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(191463,10122730,'Increases Deflection of caster by 12.6',100,1,1),
(191464,152571,'When Equipped:',100,0,0),
(191465,152571,'On a combat hit this spell may cast Flawless Aura of Stealth on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191466,152571,'Inflicts 1146 poison damage on target',100,2,2),
(191467,152571,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,3),
(191468,152571,'Cannot be modified except by direct means',100,2,4),
(191469,10152571,'When Equipped:',100,0,0),
(191470,10152571,'On a combat hit this spell may cast Flawless Aura of Stealth on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191471,10152571,'Inflicts 1490 poison damage on target',100,2,2),
(191472,10152571,'Caster will have their chance to hit with a weapon increased by 2.0%',100,2,3),
(191473,10152571,'Cannot be modified except by direct means',100,2,4),
(191474,113883,'Increases power of target by 153',100,1,0),
(191475,10113883,'Increases power of target by 153',100,1,0),
(191476,120993,'Inflicts 27 - 44 poison damage on target instantly and every 4 seconds',100,1,0),
(191477,120993,'Inflicts 106 - 177 poison damage on target',100,1,1),
(191478,10120993,'Inflicts 35 - 58 poison damage on target instantly and every 4 seconds',100,1,0),
(191479,10120993,'Inflicts 138 - 230 poison damage on target',100,1,1),
(191480,102600,'Increases Threat to target encounter by 415 - 508 ',100,1,0),
(191481,102600,'Interrupts target encounter',100,1,1),
(191482,102600,'Decreases Mitigation of target encounter vs noxious damage by 342',100,1,2),
(191483,10102600,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(191484,10102600,'Forces target to change their selected target to caster.',100,2,1),
(191485,10102600,'Prevents target from changing targets',100,2,2),
(191486,10102600,'Interrupts target encounter',100,1,3),
(191487,10102600,'Decreases Mitigation of target encounter vs noxious damage by 342',100,1,4),
(191488,108428,'Increases INT, AGI, STR and WIS of group members (AE) by 39.0',100,1,0),
(191489,108428,'Adds 1.7% to base avoidance.',100,1,1),
(191490,108428,'Increases Attack Speed of group members (AE) by 31.3',100,1,2),
(191491,108428,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 115',100,1,3),
(191492,10108428,'Increases INT, AGI, STR and WIS of group members (AE) by 39.0',100,1,0),
(191493,10108428,'Adds 1.7% to base avoidance.',100,1,1),
(191494,10108428,'Increases Attack Speed of group members (AE) by 31.3',100,1,2),
(191495,10108428,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 115',100,1,3),
(191496,171967,'When Equipped:',100,0,0),
(191497,171967,'On a critical healing spell cast this spell may cast Flockmaster''s Protection III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191498,171967,'This effect applies to both the caster and the target.',100,2,2),
(191499,171967,'When any damage is received this spell will cast Flockmaster''s Protection III on target.  ',100,2,3),
(191500,171967,'Heals target for 126 - 140',100,3,4),
(191501,171967,'Must not be engaged in pvp combat',100,3,5),
(191502,171967,'Cannot be modified except by direct means',100,3,6),
(191503,171967,'Grants a total of 5 triggers of the spell.',100,3,7),
(191504,171967,'Must not be engaged in pvp combat',100,2,8),
(191505,171967,'Cannot be modified except by direct means',100,2,9),
(191506,171967,'Must not be engaged in pvp combat',100,1,10),
(191507,10171967,'When Equipped:',100,0,0),
(191508,10171967,'On a critical healing spell cast this spell may cast Flockmaster''s Protection III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(191509,10171967,'This effect applies to both the caster and the target.',100,2,2),
(191510,10171967,'When any damage is received this spell will cast Flockmaster''s Protection III on target.  ',100,2,3),
(191511,10171967,'Heals target for 82 - 91',100,3,4),
(191512,10171967,'Must not be engaged in pvp combat',100,3,5),
(191513,10171967,'Cannot be modified except by direct means',100,3,6),
(191514,10171967,'Grants a total of 5 triggers of the spell.',100,3,7),
(191515,10171967,'Must not be engaged in pvp combat',100,2,8),
(191516,10171967,'Cannot be modified except by direct means',100,2,9),
(191517,10171967,'Must not be engaged in pvp combat',100,1,10),
(191518,102585,'Increases AGI of caster by 182.2',100,1,0),
(191519,102585,'Increases Max Health of caster by 622.2',100,1,1),
(191520,102585,'Adds 25.0% to base avoidance.',100,1,2),
(191521,102585,'Increases Mitigation of caster vs physical damage by 997',100,1,3),
(191522,102585,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,4),
(191523,10102585,'Increases AGI of caster by 182.2',100,1,0),
(191524,10102585,'Increases Max Health of caster by 622.2',100,1,1),
(191525,10102585,'Adds 25.0% to base avoidance.',100,1,2),
(191526,10102585,'Increases Mitigation of caster vs physical damage by 997',100,1,3),
(191527,10102585,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,4),
(191528,111191,'Inflicts 192 - 320 divine damage on targets in area',100,1,0),
(191529,111191,'Heals group members (AE) for 1.7% of max health',100,1,1),
(191530,111191,'This effect cannot be critically applied.',100,2,2),
(191531,111191,'The healing of this spell cannot be modified except by direct means',100,1,3),
(191532,10111191,'Inflicts 249 - 416 divine damage on targets in area',100,1,0),
(191533,10111191,'Heals group members (AE) for 1.1% of max health',100,1,1),
(191534,10111191,'This effect cannot be critically applied.',100,2,2),
(191535,10111191,'The healing of this spell cannot be modified except by direct means',100,1,3),
(191536,114038,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(191537,114038,'Heals target for 61 instantly and every 2 seconds',100,2,1),
(191538,114038,'Decreases Mitigation of target vs arcane damage by 1181',100,1,2),
(191539,10114038,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(191540,10114038,'Heals target for 198 instantly and every 2 seconds',100,2,1),
(191541,10114038,'Decreases Mitigation of target vs arcane damage by 1181',100,1,2),
(191542,80544,'When Equipped:',100,0,0),
(191543,80544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191544,80544,'Inflicts 121 - 225 magic damage on target',100,2,2),
(191545,80544,'Cannot be modified except by direct means',100,2,3),
(191546,10080544,'When Equipped:',100,0,0),
(191547,10080544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191548,10080544,'Inflicts 157 - 292 magic damage on target',100,2,2),
(191549,10080544,'Cannot be modified except by direct means',100,2,3),
(191550,45414,'Applies Thermal Shock when Activated.',100,0,0),
(191551,45414,'Inflicts 343 - 514 magic damage on target',100,1,1),
(191552,45414,'Inflicts 343 - 514 heat damage on target',100,1,2),
(191553,10045414,'Applies Thermal Shock when Activated.',100,0,0),
(191554,10045414,'Inflicts 445 - 668 magic damage on target',100,1,1),
(191555,10045414,'Inflicts 445 - 668 heat damage on target',100,1,2),
(191556,124038,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(191557,124038,'Heals target for 698 - 853',100,2,1),
(191558,124038,'Grants a total of 5 triggers of the spell.',100,2,2),
(191559,10124038,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(191560,10124038,'Heals target for 453 - 554',100,2,1),
(191561,10124038,'Grants a total of 5 triggers of the spell.',100,2,2),
(191562,117844,'Heals target for 45 - 55 instantly and every 2 seconds',100,1,0),
(191563,10117844,'Heals target for 29 - 36 instantly and every 2 seconds',100,1,0),
(191564,108988,'Decreases Damage Per Second of target by 13.7',100,1,0),
(191565,108988,'Inflicts 33 - 40 melee damage on target',100,1,1),
(191566,10108988,'Decreases Damage Per Second of target by 13.7',100,1,0),
(191567,10108988,'Inflicts 42 - 52 melee damage on target',100,1,1),
(191568,100887,'Makes target afraid',100,1,0),
(191569,100887,'30% chance to dispel when target takes damage',100,1,1),
(191570,100887,'Does not affect Epic targets',100,1,2),
(191571,100887,'Resistibility increases against targets higher than level 106.',100,1,3),
(191572,10100887,'Makes target afraid',100,1,0),
(191573,10100887,'30% chance to dispel when target takes damage',100,1,1),
(191574,10100887,'Does not affect Epic targets',100,1,2),
(191575,10100887,'Resistibility increases against targets higher than level 106.',100,1,3),
(191576,120261,'Inflicts 787 - 1313 crushing damage on target',100,1,0),
(191577,10120261,'Inflicts 1024 - 1707 crushing damage on target',100,1,0),
(191578,75311,'When Equipped:',100,0,0),
(191579,75311,'On a damage spell hit this spell may cast Aura of the Chosen on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191580,75311,'Increase pets melee damage by 5% and spell damage by 100.',100,2,2),
(191581,75311,'Increases Damage Per Second of pet by 5.0',100,2,3),
(191582,75311,'Cannot be modified except by direct means',100,2,4),
(191583,10075311,'When Equipped:',100,0,0),
(191584,10075311,'On a damage spell hit this spell may cast Aura of the Chosen on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191585,10075311,'Increase pets melee damage by 5% and spell damage by 100.',100,2,2),
(191586,10075311,'Increases Damage Per Second of pet by 5.0',100,2,3),
(191587,10075311,'Cannot be modified except by direct means',100,2,4),
(191588,49152,'Applies elemental remedy when Activated.',100,0,0),
(191589,49152,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(191590,10049152,'Applies elemental remedy when Activated.',100,0,0),
(191591,10049152,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(191592,35442,'Increases Max Power of target by 5.5',100,0,0),
(191593,35442,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(191594,82511,'When Equipped:',100,0,0),
(191595,82511,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191596,82511,'Decreases Threat to target by 672 ',100,2,2),
(191597,82511,'Must be flanking or behind',100,3,3),
(191598,82511,'Increases Threat to target by 672 ',100,2,4),
(191599,82511,'Must be in front of',100,3,5),
(191600,82511,'Inflicts 288 - 534 magic damage on target',100,2,6),
(191601,82511,'Cannot be modified except by direct means',100,2,7),
(191602,10082511,'When Equipped:',100,0,0),
(191603,10082511,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(191604,10082511,'Inflicts 374 - 695 magic damage on target',100,2,2),
(191605,10082511,'Cannot be modified except by direct means',100,2,3),
(191606,106797,'Decreases AGI and STR of target encounter by 48.6',100,1,0),
(191607,10106797,'Decreases AGI and STR of target encounter by 48.6',100,1,0),
(191608,105955,'Inflicts 293 - 358 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(191609,105955,'Inflicts 683 - 1139 disease damage on targets in area',100,1,1),
(191610,10105955,'Inflicts 381 - 466 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(191611,10105955,'Inflicts 888 - 1481 disease damage on targets in area',100,1,1),
(191612,46324,'Applies Rainbow Rings when Activated.  Lasts for 3.0 seconds.',100,0,0),
(191613,46324,'Launches a firework when used.',100,1,1),
(191614,10046324,'Applies Rainbow Rings when Activated.  Lasts for 3.0 seconds.',100,0,0),
(191615,10046324,'Launches a firework when used.',100,1,1),
(191616,103800,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 19.3',100,1,0),
(191617,10103800,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 19.3',100,1,0),
(191618,113284,'Inflicts 30 - 51 heat damage on target',100,1,0),
(191619,10113284,'Inflicts 60 - 101 heat damage on target',100,1,0),
(191620,104389,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(191621,104389,'Inflicts 240 - 293 cold damage on target',100,2,1),
(191622,10104389,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(191623,10104389,'Inflicts 312 - 381 cold damage on target',100,2,1),
(191624,47797,'Applies Aura of the Ratonga when Activated.',100,0,0),
(191625,47797,'Casts aura of the ratonga on the user',100,1,1),
(191626,10047797,'Applies Aura of the Ratonga when Activated.',100,0,0),
(191627,10047797,'Casts aura of the ratonga on the user',100,1,1),
(191628,118982,'Heals target for 71 - 87',100,1,0),
(191629,10118982,'Heals target for 76 - 93',100,1,0),
(191630,101738,'Mesmerizes target',100,1,0),
(191631,101738,'Prevents AOE (except when direct) ',100,1,1),
(191632,101738,'Mesmerizes caster',100,1,2),
(191633,101738,'Dispelled when target takes damage',100,1,3),
(191634,101738,'Does not affect Epic targets',100,1,4),
(191635,101738,'Resistibility increases against targets higher than level 107.',100,1,5),
(191636,10101738,'Mesmerizes target',100,1,0),
(191637,10101738,'Prevents AOE (except when direct) ',100,1,1),
(191638,10101738,'Mesmerizes caster',100,1,2),
(191639,10101738,'Dispelled when target takes damage',100,1,3),
(191640,10101738,'Does not affect Epic targets',100,1,4),
(191641,10101738,'Resistibility increases against targets higher than level 107.',100,1,5),
(191642,121278,'Increases Crit Chance of caster by 60.0',100,1,0),
(191643,121278,'Increases Attack Speed of caster by 120.0',100,1,1),
(191644,121278,'Increases Damage Per Second of caster by 144.0',100,1,2),
(191645,121278,'Decreases Slashing and Piercing of caster by 330.0',100,1,3),
(191646,121278,'Increases Ranged of caster by 224.0',100,1,4),
(191647,121278,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(191648,121278,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(191649,121278,'Increases Crushing of group members (AE) by 224.0',100,2,7),
(191650,121278,'Increases Slashing of group members (AE) by 224.0',100,2,8),
(191651,121278,'If profession other than Ranger',100,3,9),
(191652,121278,'Increases Piercing of group members (AE) by 224.0',100,2,10),
(191653,121278,'If profession other than Ranger',100,3,11),
(191654,10121278,'Increases Crit Chance of caster by 60.0',100,1,0),
(191655,10121278,'Increases Attack Speed of caster by 120.0',100,1,1),
(191656,10121278,'Increases Damage Per Second of caster by 144.0',100,1,2),
(191657,10121278,'Decreases Slashing and Piercing of caster by 330.0',100,1,3),
(191658,10121278,'Increases Ranged of caster by 224.0',100,1,4),
(191659,10121278,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(191660,10121278,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(191661,10121278,'Increases Crushing of group members (AE) by 224.0',100,2,7),
(191662,10121278,'Increases Slashing of group members (AE) by 224.0',100,2,8),
(191663,10121278,'If profession other than Ranger',100,3,9),
(191664,10121278,'Increases Piercing of group members (AE) by 224.0',100,2,10),
(191665,10121278,'If profession other than Ranger',100,3,11),
(191666,82606,'When Equipped:',100,0,0),
(191667,82606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191668,82606,'Inflicts 106 - 197 magic damage on target',100,2,2),
(191669,82606,'Cannot be modified except by direct means',100,2,3),
(191670,10082606,'When Equipped:',100,0,0),
(191671,10082606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191672,10082606,'Inflicts 138 - 256 magic damage on target',100,2,2),
(191673,10082606,'Cannot be modified except by direct means',100,2,3),
(191674,115529,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(191675,115529,'Increases Mitigation of group members (AE) vs noxious damage by 2024',100,1,1),
(191676,10115529,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(191677,10115529,'Increases Mitigation of group members (AE) vs noxious damage by 2024',100,1,1),
(191678,83973,'When Equipped:',100,0,0),
(191679,83973,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(191680,83973,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(191681,83973,'Heals target for 14 - 16 instantly and every 2 seconds',100,2,3),
(191682,83973,'Must not be engaged in pvp combat',100,2,4),
(191683,83973,'Cannot be modified except by direct means',100,2,5),
(191684,83973,'Cannot be modified except by direct means',100,1,6),
(191685,10083973,'When Equipped:',100,0,0),
(191686,10083973,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(191687,10083973,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(191688,10083973,'Heals target for 9 - 10 instantly and every 2 seconds',100,2,3),
(191689,10083973,'Must not be engaged in pvp combat',100,2,4),
(191690,10083973,'Cannot be modified except by direct means',100,2,5),
(191691,10083973,'Cannot be modified except by direct means',100,1,6),
(191692,122788,'Heals target for 570',100,1,0),
(191693,10122788,'Heals target for 444',100,1,0),
(191694,118064,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(191695,118064,'Increases Defense of caster by 3.5',100,1,1),
(191696,10118064,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(191697,10118064,'Increases Defense of caster by 3.5',100,1,1),
(191698,49146,'Applies Wolves Howl when Activated.',100,0,0),
(191699,49146,'Shapechanges the user into a werewolf, and provides a shield which damages any melee attacker.',100,1,1),
(191700,10049146,'Applies Wolves Howl when Activated.',100,0,0),
(191701,10049146,'Shapechanges the user into a werewolf, and provides a shield which damages any melee attacker.',100,1,1),
(191702,45876,'Applies Dark Pegasus when Activated.',100,0,0),
(191703,45876,'Increases Ordination of caster by 5.0',100,1,1),
(191704,45876,'Summons a mount to ride',100,1,2),
(191705,45876,'Increases your ground speed by 75%',100,2,3),
(191706,45876,'Increases your air speed by 150%',100,2,4),
(191707,45876,'Increases Disruption, Focus, Ranged, Ministration, Subjugation, Aggression, Crushing, Piercing and Slashing of caster by 5.0',100,1,5),
(191708,10045876,'Applies Dark Pegasus when Activated.',100,0,0),
(191709,10045876,'Increases Ordination of caster by 5.0',100,1,1),
(191710,10045876,'Summons a mount to ride',100,1,2),
(191711,10045876,'Increases your ground speed by 75%',100,2,3),
(191712,10045876,'Increases your air speed by 150%',100,2,4),
(191713,10045876,'Increases Disruption, Focus, Ranged, Ministration, Subjugation, Aggression, Crushing, Piercing and Slashing of caster by 5.0',100,1,5),
(191714,110793,'Heals group members (AE) for 709 - 867 instantly and every 2 seconds',100,1,0),
(191715,10110793,'Heals group members (AE) for 461 - 563 instantly and every 2 seconds',100,1,0),
(191716,115670,'Increases STR of caster by 17.8',100,1,0),
(191717,115670,'Decreases Defense of caster by 2.2',100,1,1),
(191718,115670,'Increases Slashing, Piercing and Crushing of caster by 7.0',100,1,2),
(191719,10115670,'Increases STR of caster by 17.8',100,1,0),
(191720,10115670,'Decreases Defense of caster by 2.2',100,1,1),
(191721,10115670,'Increases Slashing, Piercing and Crushing of caster by 7.0',100,1,2),
(191722,71564,'When Equipped:',100,0,0),
(191723,71564,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191724,71564,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(191725,71564,'Cannot be modified except by direct means',100,2,3),
(191726,10071564,'When Equipped:',100,0,0),
(191727,10071564,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191728,10071564,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(191729,10071564,'Cannot be modified except by direct means',100,2,3),
(191730,106477,'Decreases STR and AGI of target by 20.9',100,1,0),
(191731,10106477,'Decreases STR and AGI of target by 20.9',100,1,0),
(191732,133844,'When Equipped:',100,0,0),
(191733,133844,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(191734,133844,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(191735,133844,'Cannot be modified except by direct means',100,1,3),
(191736,10133844,'When Equipped:',100,0,0),
(191737,10133844,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(191738,10133844,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(191739,10133844,'Cannot be modified except by direct means',100,1,3),
(191740,147465,'When Equipped:',100,0,0),
(191741,147465,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(191742,147465,'Increases power of caster by 15 instantly and every 5 seconds',100,2,2),
(191743,147465,'Cannot be modified except by direct means',100,2,3),
(191744,10147465,'When Equipped:',100,0,0),
(191745,10147465,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(191746,10147465,'Increases power of caster by 15 instantly and every 5 seconds',100,2,2),
(191747,10147465,'Cannot be modified except by direct means',100,2,3),
(191748,106609,'Inflicts 167 - 204 disease damage on target',100,1,0),
(191749,106609,'Heals caster for 5.4 - 6.6% of max health',100,1,1),
(191750,106609,'This effect cannot be critically applied.',100,2,2),
(191751,106609,'The healing of this spell cannot be modified except by direct means',100,1,3),
(191752,10106609,'Inflicts 217 - 265 disease damage on target',100,1,0),
(191753,10106609,'Heals caster for 1.8 - 2.2% of max health',100,1,1),
(191754,10106609,'This effect cannot be critically applied.',100,2,2),
(191755,10106609,'The healing of this spell cannot be modified except by direct means',100,1,3),
(191756,113261,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(191757,113261,'Inflicts 109 - 181 magic damage on target',100,2,1),
(191758,113261,'Grants a total of 8 triggers of the spell.',100,2,2),
(191759,10113261,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(191760,10113261,'Inflicts 141 - 235 magic damage on target',100,2,1),
(191761,10113261,'Grants a total of 8 triggers of the spell.',100,2,2),
(191762,116339,'Mesmerizes target encounter',100,1,0),
(191763,116339,'Prevents AOE (except when direct) ',100,1,1),
(191764,116339,'Dispelled when target takes damage',100,1,2),
(191765,116339,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(191766,116339,'Resistibility increases against targets higher than level 52.',100,1,4),
(191767,10116339,'Mesmerizes target encounter',100,1,0),
(191768,10116339,'Prevents AOE (except when direct) ',100,1,1),
(191769,10116339,'Dispelled when target takes damage',100,1,2),
(191770,10116339,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(191771,10116339,'Resistibility increases against targets higher than level 52.',100,1,4),
(191772,109189,'Roots target',100,1,0),
(191773,109189,'Applies Blind.  Lasts for 9.0 seconds.',100,1,1),
(191774,109189,'Dazes target',100,2,2),
(191775,109189,'Blurs vision of target',100,2,3),
(191776,109189,'Dispelled when target takes damage',100,2,4),
(191777,109189,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(191778,109189,'5% chance to dispel when target takes damage',100,1,6),
(191779,109189,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(191780,109189,'Resistibility increases against targets higher than level 102.',100,1,8),
(191781,10109189,'Roots target',100,1,0),
(191782,10109189,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(191783,10109189,'Dazes target',100,2,2),
(191784,10109189,'Blurs vision of target',100,2,3),
(191785,10109189,'Dispelled when target takes damage',100,2,4),
(191786,10109189,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(191787,10109189,'5% chance to dispel when target takes damage',100,1,6),
(191788,10109189,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(191789,10109189,'Resistibility increases against targets higher than level 102.',100,1,8),
(191790,165166,'When Equipped:',100,0,0),
(191791,165166,'On a hostile spell cast this spell may cast Char on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(191792,165166,'Inflicts 357 - 535 heat damage on target',100,2,2),
(191793,165166,'Cannot be modified except by direct means',100,2,3),
(191794,10165166,'When Equipped:',100,0,0),
(191795,10165166,'On a hostile spell cast this spell may cast Char on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(191796,10165166,'Inflicts 464 - 696 heat damage on target',100,2,2),
(191797,10165166,'Cannot be modified except by direct means',100,2,3),
(191798,159488,'Applies Lambent Imbued when Equipped.',100,0,0),
(191799,159488,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(191800,159488,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(191801,159488,'Cannot be modified except by direct means',100,2,3),
(191802,10159488,'Applies Lambent Imbued when Equipped.',100,0,0),
(191803,10159488,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(191804,10159488,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(191805,10159488,'Cannot be modified except by direct means',100,2,3),
(191806,41556,'When Equipped:',100,0,0),
(191807,41556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191808,41556,'Inflicts 109 - 202 magic damage on target',100,2,2),
(191809,41556,'Cannot be modified except by direct means',100,2,3),
(191810,10041556,'When Equipped:',100,0,0),
(191811,10041556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191812,10041556,'Inflicts 142 - 263 magic damage on target',100,2,2),
(191813,10041556,'Cannot be modified except by direct means',100,2,3),
(191814,123421,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(191815,123421,'Throws target back',100,2,1),
(191816,123421,'Stuns target',100,2,2),
(191817,123421,'Blurs vision of target',100,2,3),
(191818,123421,'Does not affect Epic targets',100,2,4),
(191819,123421,'Inflicts 234 - 703 melee damage on target',100,1,5),
(191820,10123421,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(191821,10123421,'Throws target back',100,2,1),
(191822,10123421,'Stuns target',100,2,2),
(191823,10123421,'Blurs vision of target',100,2,3),
(191824,10123421,'Does not affect Epic targets',100,2,4),
(191825,10123421,'Inflicts 304 - 914 melee damage on target',100,1,5),
(191826,185937,'When Equipped:',100,0,0),
(191827,185937,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(191828,185937,'Inflicts 37 divine damage on target',100,2,2),
(191829,185937,'Cannot be modified except by direct means',100,2,3),
(191830,10185937,'When Equipped:',100,0,0),
(191831,10185937,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(191832,10185937,'Inflicts 49 divine damage on target',100,2,2),
(191833,10185937,'Cannot be modified except by direct means',100,2,3),
(191834,46580,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(191835,46580,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(191836,46580,'Inflicts 91 poison damage on target instantly and every 4 seconds',100,2,2),
(191837,46580,'Cannot be modified except by direct means',100,2,3),
(191838,46580,'Grants a total of 100 triggers of the spell.',100,2,4),
(191839,10046580,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(191840,10046580,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(191841,10046580,'Inflicts 89 poison damage on target instantly and every 4 seconds',100,2,2),
(191842,10046580,'Cannot be modified except by direct means',100,2,3),
(191843,10046580,'Grants a total of 100 triggers of the spell.',100,2,4),
(191844,26599,'When Equipped:',100,0,0),
(191845,26599,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(191846,26599,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(191847,10026599,'When Equipped:',100,0,0),
(191848,10026599,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(191849,10026599,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(191850,37426,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(191851,76861,'When Equipped:',100,0,0),
(191852,76861,'On a combat hit this spell may cast Koturah''s Venom on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191853,76861,'Inflicts 137 poison damage on target instantly and every 6 seconds',100,2,2),
(191854,76861,'Cannot be modified except by direct means',100,2,3),
(191855,10076861,'When Equipped:',100,0,0),
(191856,10076861,'On a combat hit this spell may cast Koturah''s Venom on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191857,10076861,'Inflicts 178 poison damage on target instantly and every 6 seconds',100,2,2),
(191858,10076861,'Cannot be modified except by direct means',100,2,3),
(191859,80665,'When Equipped:',100,0,0),
(191860,80665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191861,80665,'Inflicts 83 - 154 magic damage on target',100,2,2),
(191862,80665,'Cannot be modified except by direct means',100,2,3),
(191863,10080665,'When Equipped:',100,0,0),
(191864,10080665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191865,10080665,'Inflicts 108 - 200 magic damage on target',100,2,2),
(191866,10080665,'Cannot be modified except by direct means',100,2,3),
(191867,164300,'When Equipped:',100,0,0),
(191868,164300,'Caster will have their chance to hit with a weapon increased by 3.0%',100,1,1),
(191869,164300,'Increases Piercing, Ranged, Slashing and Crushing of caster by 36.0',100,1,2),
(191870,164300,'Must not be engaged in pvp combat',100,1,3),
(191871,10164300,'When Equipped:',100,0,0),
(191872,10164300,'Caster will have their chance to hit with a weapon increased by 3.0%',100,1,1),
(191873,10164300,'Increases Piercing, Ranged, Slashing and Crushing of caster by 36.0',100,1,2),
(191874,10164300,'Must not be engaged in pvp combat',100,1,3),
(191875,46542,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(191876,46542,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(191877,46542,'Decreases STR of target by 68.4',100,2,2),
(191878,46542,'Decreases Crushing, Slashing, Ranged and Piercing of target by 26.1',100,2,3),
(191879,46542,'Cannot be modified except by direct means',100,2,4),
(191880,46542,'Grants a total of 60 triggers of the spell.',100,2,5),
(191881,10046542,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(191882,10046542,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(191883,10046542,'Decreases STR of target by 68.4',100,2,2),
(191884,10046542,'Decreases Crushing, Slashing, Ranged and Piercing of target by 26.1',100,2,3),
(191885,10046542,'Cannot be modified except by direct means',100,2,4),
(191886,10046542,'Grants a total of 60 triggers of the spell.',100,2,5),
(191887,71737,'When Equipped:',100,0,0),
(191888,71737,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191889,71737,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(191890,71737,'Cannot be modified except by direct means',100,2,3),
(191891,10071737,'When Equipped:',100,0,0),
(191892,10071737,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(191893,10071737,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(191894,10071737,'Cannot be modified except by direct means',100,2,3),
(191895,46215,'Applies Petamorph: Vampire Mage when Activated.  Lasts for 2 hours.',100,0,0),
(191896,46215,'Turns the caster''s combat pet into a vampire mage. Does not work on cosmetic pets.',100,1,1),
(191897,10046215,'Applies Petamorph: Vampire Mage when Activated.  Lasts for 2 hours.',100,0,0),
(191898,10046215,'Turns the caster''s combat pet into a vampire mage. Does not work on cosmetic pets.',100,1,1),
(191899,120855,'Inflicts 142 - 192 disease damage on target instantly and every second',100,1,0),
(191900,10120855,'Inflicts 259 - 350 disease damage on target',100,1,0),
(191901,10120855,'Inflicts 185 - 250 disease damage on target every second',100,1,1),
(191902,103965,'Interrupts targets in Area of Effect',100,1,0),
(191903,103965,'Inflicts 6 - 12 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(191904,10103965,'Interrupts targets in Area of Effect',100,1,0),
(191905,10103965,'Inflicts 8 - 15 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(191906,74879,'When Equipped:',100,0,0),
(191907,74879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191908,74879,'Inflicts 169 - 254 magic damage on target',100,2,2),
(191909,74879,'Cannot be modified except by direct means',100,2,3),
(191910,10074879,'When Equipped:',100,0,0),
(191911,10074879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191912,10074879,'Inflicts 220 - 330 magic damage on target',100,2,2),
(191913,10074879,'Cannot be modified except by direct means',100,2,3),
(191914,79033,'Applies Frost Blast when Activated.',100,0,0),
(191915,79033,'Inflicts 341 - 568 cold damage on target',100,1,1),
(191916,79033,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(191917,10079033,'Applies Frost Blast when Activated.',100,0,0),
(191918,10079033,'Inflicts 443 - 739 cold damage on target',100,1,1),
(191919,10079033,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(191920,25628,'When Equipped:',100,0,0),
(191921,25628,'Increases the base damage of Mutilate VII by 10% and damages the entire encounter.',100,1,1),
(191922,25628,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(191923,10025628,'When Equipped:',100,0,0),
(191924,10025628,'Increases the base damage of Mutilate VII by 10% and damages the entire encounter.',100,1,1),
(191925,10025628,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(191926,109608,'Increases Defense of group members'' pets (AE) by 10.5',100,1,0),
(191927,109608,'Increases Mitigation of group members (AE) vs all damage by 168',100,1,1),
(191928,10109608,'Increases Defense of group members'' pets (AE) by 10.5',100,1,0),
(191929,10109608,'Increases Mitigation of group members (AE) vs all damage by 168',100,1,1),
(191930,81586,'When Equipped:',100,0,0),
(191931,81586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191932,81586,'Inflicts 151 - 280 magic damage on target',100,2,2),
(191933,81586,'Cannot be modified except by direct means',100,2,3),
(191934,10081586,'When Equipped:',100,0,0),
(191935,10081586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191936,10081586,'Inflicts 196 - 364 magic damage on target',100,2,2),
(191937,10081586,'Cannot be modified except by direct means',100,2,3),
(191938,112555,'Interrupts target',50,1,0),
(191939,112555,'Inflicts 339 - 415 divine damage on target',100,1,1),
(191940,10112555,'Interrupts target',50,1,0),
(191941,10112555,'Inflicts 567 - 693 divine damage on target',100,1,1),
(191942,110095,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(191943,110095,'Inflicts 26 disease damage on target',100,2,1),
(191944,110095,'Heals caster for 13',100,2,2),
(191945,110095,'Decreases INT of target by 81.5',100,1,3),
(191946,110095,'Decreases Attack Speed of target by 25.0',100,1,4),
(191947,110095,'Increases Max Health of target by 12.0%',100,1,5),
(191948,110095,'Increases Hate Gain of target by 27.3%',100,1,6),
(191949,110095,'Increases Aggression of target by 7.6',100,1,7),
(191950,110095,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(191951,110095,'Increases Threat to target encounter by 63 - 77 ',100,2,9),
(191952,110095,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',100,1,10),
(191953,10110095,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(191954,10110095,'Inflicts 34 disease damage on target',100,2,1),
(191955,10110095,'Heals caster for 8',100,2,2),
(191956,10110095,'Decreases INT of target by 81.5',100,1,3),
(191957,10110095,'Decreases Attack Speed of target by 25.0',100,1,4),
(191958,10110095,'Increases Max Health of target by 12.0%',100,1,5),
(191959,10110095,'Increases Aggression of target by 7.6',100,1,6),
(191960,10110095,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',100,1,7),
(191961,109021,'Decreases Damage Per Second of target by 27.8',100,1,0),
(191962,109021,'Inflicts 375 - 459 melee damage on target',100,1,1),
(191963,10109021,'Decreases Damage Per Second of target by 27.8',100,1,0),
(191964,10109021,'Inflicts 488 - 596 melee damage on target',100,1,1),
(191965,49070,'Applies Vision Totem of the Butterfly when Activated.  Lasts for 15 minutes.',100,0,0),
(191966,49070,'Grants See Stealth to caster',100,1,1),
(191967,49070,'Only affects targets level 20 and above',100,1,2),
(191968,10049070,'Applies Vision Totem of the Butterfly when Activated.  Lasts for 15 minutes.',100,0,0),
(191969,10049070,'Grants See Stealth to caster',100,1,1),
(191970,10049070,'Only affects targets level 20 and above',100,1,2),
(191971,102564,'Increases AGI of caster by 76.3',100,1,0),
(191972,102564,'Increases Max Health of caster by 220.8',100,1,1),
(191973,102564,'Adds 25.0% to base avoidance.',100,1,2),
(191974,102564,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(191975,102564,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(191976,10102564,'Increases AGI of caster by 76.3',100,1,0),
(191977,10102564,'Increases Max Health of caster by 220.8',100,1,1),
(191978,10102564,'Adds 25.0% to base avoidance.',100,1,2),
(191979,10102564,'Increases Mitigation of caster vs physical damage by 459',100,1,3),
(191980,10102564,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(191981,36156,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(191982,82485,'When Equipped:',100,0,0),
(191983,82485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191984,82485,'Inflicts 212 - 393 magic damage on target',100,2,2),
(191985,82485,'Cannot be modified except by direct means',100,2,3),
(191986,10082485,'When Equipped:',100,0,0),
(191987,10082485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(191988,10082485,'Inflicts 275 - 511 magic damage on target',100,2,2),
(191989,10082485,'Cannot be modified except by direct means',100,2,3),
(191990,159084,'Applies Sanguine Imbued when Equipped.',100,0,0),
(191991,159084,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(191992,159084,'Inflicts 59 heat damage on target',100,2,2),
(191993,159084,'Cannot be modified except by direct means',100,2,3),
(191994,10159084,'Applies Sanguine Imbued when Equipped.',100,0,0),
(191995,10159084,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(191996,10159084,'Inflicts 77 heat damage on target',100,2,2),
(191997,10159084,'Cannot be modified except by direct means',100,2,3),
(191998,113043,'Decreases Damage Per Second of target by 23.1',100,1,0),
(191999,10113043,'Decreases Damage Per Second of target by 23.1',100,1,0),
(192000,112054,'Inflicts 20 - 37 heat damage on target instantly and every 3 seconds',100,1,0),
(192001,10112054,'Inflicts 26 - 48 heat damage on target instantly and every 3 seconds',100,1,0),
(192002,182106,'When Equipped:',100,0,0),
(192003,182106,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(192004,182106,'Heals caster for 56',100,2,2),
(192005,182106,'Cannot be modified except by direct means',100,2,3),
(192006,10182106,'When Equipped:',100,0,0),
(192007,10182106,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(192008,10182106,'Heals caster for 36',100,2,2),
(192009,10182106,'Cannot be modified except by direct means',100,2,3),
(192010,112190,'Increases STR of caster by 71.4',100,1,0),
(192011,112190,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1695',100,1,1),
(192012,112190,'Increases Mitigation of caster vs physical damage by 456',100,1,2),
(192013,10112190,'Increases STR of caster by 71.4',100,1,0),
(192014,10112190,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1695',100,1,1),
(192015,10112190,'Increases Mitigation of caster vs physical damage by 456',100,1,2),
(192016,87364,'When Equipped:',100,0,0),
(192017,87364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192018,87364,'Inflicts 150 - 225 magic damage on target',100,2,2),
(192019,87364,'Cannot be modified except by direct means',100,2,3),
(192020,10087364,'When Equipped:',100,0,0),
(192021,10087364,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192022,10087364,'Inflicts 195 - 292 magic damage on target',100,2,2),
(192023,10087364,'Cannot be modified except by direct means',100,2,3),
(192024,116491,'Prevents targets in Area of Effect from changing targets',100,1,0),
(192025,116491,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(192026,116491,'Increases Threat to targets in Area of Effect by 392 ',100,1,2),
(192027,10116491,'Prevents targets in Area of Effect from changing targets',100,1,0),
(192028,10116491,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(192029,111869,'Inflicts 229 - 426 heat damage on target',100,1,0),
(192030,111869,'Inflicts 86 - 160 heat damage on target every 2 seconds',100,1,1),
(192031,10111869,'Inflicts 298 - 554 heat damage on target',100,1,0),
(192032,10111869,'Inflicts 112 - 208 heat damage on target every 2 seconds',100,1,1),
(192033,145934,'When Equipped:',100,0,0),
(192034,145934,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192035,145934,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(192036,145934,'Must not be engaged in pvp combat',100,2,3),
(192037,145934,'Cannot be modified except by direct means',100,2,4),
(192038,145934,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(192039,145934,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(192040,145934,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(192041,145934,'Must not be engaged in pvp combat',100,2,8),
(192042,145934,'Cannot be modified except by direct means',100,2,9),
(192043,145934,'Cannot be modified except by direct means',100,1,10),
(192044,10145934,'When Equipped:',100,0,0),
(192045,10145934,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192046,10145934,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(192047,10145934,'Must not be engaged in pvp combat',100,2,3),
(192048,10145934,'Cannot be modified except by direct means',100,2,4),
(192049,10145934,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(192050,10145934,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(192051,10145934,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(192052,10145934,'Must not be engaged in pvp combat',100,2,8),
(192053,10145934,'Cannot be modified except by direct means',100,2,9),
(192054,10145934,'Cannot be modified except by direct means',100,1,10),
(192055,141700,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(192056,141700,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(192057,141700,'Heals target for 34 instantly and every 4 seconds',100,2,2),
(192058,141700,'Cannot be modified except by direct means',100,2,3),
(192059,10141700,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(192060,10141700,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(192061,10141700,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(192062,10141700,'Cannot be modified except by direct means',100,2,3),
(192063,26627,'When Equipped:',100,0,0),
(192064,26627,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(192065,26627,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(192066,10026627,'When Equipped:',100,0,0),
(192067,10026627,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(192068,10026627,'Improves the accuracy of Noxious Enfeeblement by 50%.',100,1,2),
(192069,88180,'When Equipped:',100,0,0),
(192070,88180,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192071,88180,'Increases Potency of caster by 11.0%',100,2,2),
(192072,88180,'Increases Ministration, Disruption, Subjugation and Ordination of caster by 11.5',100,2,3),
(192073,88180,'Reduces resistibility of all spells by 1%.',100,2,4),
(192074,88180,'Must not be engaged in pvp combat',100,2,5),
(192075,88180,'Cannot be modified except by direct means',100,2,6),
(192076,88180,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(192077,88180,'Increases Potency of caster by 11.0%',100,2,8),
(192078,88180,'Increases Ministration, Disruption, Subjugation and Ordination of caster by 11.5',100,2,9),
(192079,88180,'Reduces resistibility of all spells by 1%.',100,2,10),
(192080,88180,'Must not be engaged in pvp combat',100,2,11),
(192081,88180,'Cannot be modified except by direct means',100,2,12),
(192082,88180,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(192083,88180,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(192084,88180,'Increases Potency of caster by 11.0%',100,2,15),
(192085,88180,'Increases Ministration, Disruption, Subjugation and Ordination of caster by 11.5',100,2,16),
(192086,88180,'Reduces resistibility of all spells by 1%.',100,2,17),
(192087,88180,'Must not be engaged in pvp combat',100,2,18),
(192088,88180,'Cannot be modified except by direct means',100,2,19),
(192089,88180,'Cannot be modified except by direct means',100,1,20),
(192090,88180,'When Equipped:',100,0,21),
(192091,88180,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,22),
(192092,88180,'Increases INT and WIS of caster by 44.0',100,2,23),
(192093,88180,'Increases Ability Casting Speed of caster by 1.5%',100,2,24),
(192094,88180,'Increases Crit Bonus of caster by 11.5%',100,2,25),
(192095,88180,'Must not be engaged in pvp combat',100,2,26),
(192096,88180,'Cannot be modified except by direct means',100,2,27),
(192097,88180,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,28),
(192098,88180,'Increases INT and WIS of caster by 44.0',100,2,29),
(192099,88180,'Increases Ability Casting Speed of caster by 1.5%',100,2,30),
(192100,88180,'Increases Crit Bonus of caster by 11.5%',100,2,31),
(192101,88180,'Must not be engaged in pvp combat',100,2,32),
(192102,88180,'Cannot be modified except by direct means',100,2,33),
(192103,88180,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,34),
(192104,88180,'Cannot be modified except by direct means',100,1,35),
(192105,10088180,'When Equipped:',100,0,0),
(192106,10088180,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192107,10088180,'Increases Potency of caster by 11.0%',100,2,2),
(192108,10088180,'Increases Ministration, Disruption, Subjugation and Ordination of caster by 11.5',100,2,3),
(192109,10088180,'Reduces resistibility of all spells by 1%.',100,2,4),
(192110,10088180,'Must not be engaged in pvp combat',100,2,5),
(192111,10088180,'Cannot be modified except by direct means',100,2,6),
(192112,10088180,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(192113,10088180,'Increases Potency of caster by 11.0%',100,2,8),
(192114,10088180,'Increases Ministration, Disruption, Subjugation and Ordination of caster by 11.5',100,2,9),
(192115,10088180,'Reduces resistibility of all spells by 1%.',100,2,10),
(192116,10088180,'Must not be engaged in pvp combat',100,2,11),
(192117,10088180,'Cannot be modified except by direct means',100,2,12),
(192118,10088180,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(192119,10088180,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(192120,10088180,'Increases Potency of caster by 11.0%',100,2,15),
(192121,10088180,'Increases Ministration, Disruption, Subjugation and Ordination of caster by 11.5',100,2,16),
(192122,10088180,'Reduces resistibility of all spells by 1%.',100,2,17),
(192123,10088180,'Must not be engaged in pvp combat',100,2,18),
(192124,10088180,'Cannot be modified except by direct means',100,2,19),
(192125,10088180,'Cannot be modified except by direct means',100,1,20),
(192126,10088180,'When Equipped:',100,0,21),
(192127,10088180,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,22),
(192128,10088180,'Increases INT and WIS of caster by 44.0',100,2,23),
(192129,10088180,'Increases Ability Casting Speed of caster by 1.5%',100,2,24),
(192130,10088180,'Increases Crit Bonus of caster by 11.5%',100,2,25),
(192131,10088180,'Must not be engaged in pvp combat',100,2,26),
(192132,10088180,'Cannot be modified except by direct means',100,2,27),
(192133,10088180,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,28),
(192134,10088180,'Increases INT and WIS of caster by 44.0',100,2,29),
(192135,10088180,'Increases Ability Casting Speed of caster by 1.5%',100,2,30),
(192136,10088180,'Increases Crit Bonus of caster by 11.5%',100,2,31),
(192137,10088180,'Must not be engaged in pvp combat',100,2,32),
(192138,10088180,'Cannot be modified except by direct means',100,2,33),
(192139,10088180,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,34),
(192140,10088180,'Cannot be modified except by direct means',100,1,35),
(192141,89773,'When Equipped:',100,0,0),
(192142,89773,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(192143,89773,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(192144,89773,'Inflicts 4113 - 4545 heat damage on target encounter',100,2,3),
(192145,89773,'Decreases Mitigation of target encounter vs elemental damage by 1787',100,2,4),
(192146,89773,'Must not be engaged in pvp combat',100,2,5),
(192147,89773,'Cannot be modified except by direct means',100,2,6),
(192148,89773,'Cannot be modified except by direct means',100,1,7),
(192149,89773,'When Equipped:',100,0,8),
(192150,89773,'Increases Subjugation of caster by 5.5',100,1,9),
(192151,89773,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,10),
(192152,89773,'Increases Max Health of caster by 1,220.0',100,1,11),
(192153,89773,'Increases Ordination, Disruption and Ministration of caster by 5.5',100,1,12),
(192154,89773,'Cannot be modified except by direct means',100,1,13),
(192155,10089773,'When Equipped:',100,0,0),
(192156,10089773,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(192157,10089773,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(192158,10089773,'Inflicts 5346 - 5909 heat damage on target encounter',100,2,3),
(192159,10089773,'Decreases Mitigation of target encounter vs elemental damage by 1787',100,2,4),
(192160,10089773,'Must not be engaged in pvp combat',100,2,5),
(192161,10089773,'Cannot be modified except by direct means',100,2,6),
(192162,10089773,'Cannot be modified except by direct means',100,1,7),
(192163,10089773,'When Equipped:',100,0,8),
(192164,10089773,'Increases Subjugation of caster by 5.5',100,1,9),
(192165,10089773,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,10),
(192166,10089773,'Increases Max Health of caster by 1,220.0',100,1,11),
(192167,10089773,'Increases Ordination, Disruption and Ministration of caster by 5.5',100,1,12),
(192168,10089773,'Cannot be modified except by direct means',100,1,13),
(192169,134973,'When Equipped:',100,0,0),
(192170,134973,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192171,134973,'Inflicts 2664 cold damage on target encounter',100,2,2),
(192172,134973,'Must not be engaged in pvp combat',100,2,3),
(192173,134973,'Cannot be modified except by direct means',100,2,4),
(192174,134973,'Must not be engaged in pvp combat',100,1,5),
(192175,10134973,'When Equipped:',100,0,0),
(192176,10134973,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192177,10134973,'Inflicts 1732 cold damage on target encounter',100,2,2),
(192178,10134973,'Must not be engaged in pvp combat',100,2,3),
(192179,10134973,'Cannot be modified except by direct means',100,2,4),
(192180,10134973,'Must not be engaged in pvp combat',100,1,5),
(192181,75684,'When Equipped:',100,0,0),
(192182,75684,'This effect will not stack with any rank or tier of itself.',100,1,1),
(192183,75684,'Increases Attack Speed of caster by 4.5',100,1,2),
(192184,75684,'Increases Damage Per Second of caster by 11.0',100,1,3),
(192185,75684,'Cannot be modified except by direct means',100,1,4),
(192186,10075684,'When Equipped:',100,0,0),
(192187,10075684,'This effect will not stack with any rank or tier of itself.',100,1,1),
(192188,10075684,'Increases Attack Speed of caster by 4.5',100,1,2),
(192189,10075684,'Increases Damage Per Second of caster by 11.0',100,1,3),
(192190,10075684,'Cannot be modified except by direct means',100,1,4),
(192191,116273,'Summons a pet Illusion Ally',100,1,0),
(192192,10116273,'Summons a pet Illusion Ally',100,1,0),
(192193,138119,'When Equipped:',100,0,0),
(192194,138119,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(192195,138119,'Stuns target',100,2,2),
(192196,138119,'Does not affect Epic targets',100,2,3),
(192197,138119,'Resistibility increases against targets higher than level 104.',100,2,4),
(192198,138119,'Cannot be modified except by direct means',100,2,5),
(192199,10138119,'When Equipped:',100,0,0),
(192200,10138119,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(192201,10138119,'Stuns target',100,2,2),
(192202,10138119,'Does not affect Epic targets',100,2,3),
(192203,10138119,'Resistibility increases against targets higher than level 104.',100,2,4),
(192204,10138119,'Cannot be modified except by direct means',100,2,5),
(192205,112530,'Interrupts target',50,1,0),
(192206,112530,'Inflicts 49 - 60 divine damage on target',100,1,1),
(192207,10112530,'Interrupts target',50,1,0),
(192208,10112530,'Inflicts 81 - 100 divine damage on target',100,1,1),
(192209,48172,'Applies Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(192210,48172,'Increases Max Health of caster by 208.0',100,1,1),
(192211,48172,'Only affects targets level 50 and above',100,1,2),
(192212,10048172,'Applies Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(192213,10048172,'Increases Max Health of caster by 208.0',100,1,1),
(192214,10048172,'Only affects targets level 50 and above',100,1,2),
(192215,113744,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(192216,113744,'Inflicts 166 piercing damage on target',100,2,1),
(192217,113744,'Grants a total of 60 triggers of the spell.',100,2,2),
(192218,10113744,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(192219,10113744,'Inflicts 216 piercing damage on target',100,2,1),
(192220,10113744,'Grants a total of 60 triggers of the spell.',100,2,2),
(192221,118335,'Inflicts 50 - 84 melee damage on target',100,1,0),
(192222,118335,'Inflicts 51 - 84 heat damage on target every 4 seconds',100,1,1),
(192223,10118335,'Inflicts 65 - 109 melee damage on target',100,1,0),
(192224,10118335,'Inflicts 66 - 110 heat damage on target every 4 seconds',100,1,1),
(192225,105806,'Inflicts 996 - 1218 heat damage on target',100,1,0),
(192226,10105806,'Inflicts 1727 - 2111 heat damage on target',100,1,0),
(192227,133404,'When Equipped:',100,0,0),
(192228,133404,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(192229,10133404,'When Equipped:',100,0,0),
(192230,10133404,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(192231,107634,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(192232,107634,'Increases Mitigation of group members (AE) vs elemental damage by 479',100,1,1),
(192233,10107634,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(192234,10107634,'Increases Mitigation of group members (AE) vs elemental damage by 479',100,1,1),
(192235,49085,'When Equipped:',100,0,0),
(192236,49085,'Reduces cast time of all spells by 5 percent.',100,1,1),
(192237,10049085,'When Equipped:',100,0,0),
(192238,10049085,'Reduces cast time of all spells by 5 percent.',100,1,1),
(192239,106953,'Inflicts 455 - 845 poison damage on target',100,1,0),
(192240,10106953,'Inflicts 592 - 1099 poison damage on target',100,1,0),
(192241,87122,'When Equipped:',100,0,0),
(192242,87122,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192243,87122,'Inflicts 237 - 356 magic damage on target',100,2,2),
(192244,87122,'Cannot be modified except by direct means',100,2,3),
(192245,10087122,'When Equipped:',100,0,0),
(192246,10087122,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192247,10087122,'Inflicts 308 - 463 magic damage on target',100,2,2),
(192248,10087122,'Cannot be modified except by direct means',100,2,3),
(192249,100939,'Inflicts 146 - 179 mental damage on target',100,1,0),
(192250,100939,'Dazes target',100,1,1),
(192251,100939,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(192252,100939,'Resistibility increases against targets higher than level 54.',100,1,3),
(192253,10100939,'Inflicts 190 - 232 mental damage on target',100,1,0),
(192254,10100939,'Dazes target',100,1,1),
(192255,10100939,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(192256,10100939,'Resistibility increases against targets higher than level 54.',100,1,3),
(192257,104378,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(192258,104378,'Inflicts 117 - 143 cold damage on target',100,2,1),
(192259,10104378,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(192260,10104378,'Inflicts 152 - 185 cold damage on target',100,2,1),
(192261,120754,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(192262,120754,'Heals target for 71 - 86',100,2,1),
(192263,10120754,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(192264,10120754,'Heals target for 46 - 56',100,2,1),
(192265,120351,'Inflicts 20 - 25 divine damage on target',100,1,0),
(192266,10120351,'Inflicts 26 - 32 divine damage on target',100,1,0),
(192267,75290,'When Equipped:',100,0,0),
(192268,75290,'This effect will not stack with any rank or tier of itself.',100,1,1),
(192269,75290,'Increases Attack Speed of caster by 11.0',100,1,2),
(192270,75290,'Cannot be modified except by direct means',100,1,3),
(192271,10075290,'When Equipped:',100,0,0),
(192272,10075290,'This effect will not stack with any rank or tier of itself.',100,1,1),
(192273,10075290,'Increases Attack Speed of caster by 11.0',100,1,2),
(192274,10075290,'Cannot be modified except by direct means',100,1,3),
(192275,37430,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(192276,107513,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(192277,10107513,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(192278,46312,'Applies Heat Protection when Activated.  Lasts for 10 minutes.',100,0,0),
(192279,46312,'Increases Mitigation of caster vs elemental damage by 700',100,1,1),
(192280,46312,'Dispels 63 levels of elemental hostile effects on caster',100,1,2),
(192281,10046312,'Applies Heat Protection when Activated.  Lasts for 10 minutes.',100,0,0),
(192282,10046312,'Increases Mitigation of caster vs elemental damage by 700',100,1,1),
(192283,10046312,'Dispels 63 levels of elemental hostile effects on caster',100,1,2),
(192284,45070,'Applies A dimly lit crystal when Activated.',100,0,0),
(192285,45070,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(192286,10045070,'Applies A dimly lit crystal when Activated.',100,0,0),
(192287,10045070,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(192288,80920,'When Equipped:',100,0,0),
(192289,80920,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192290,80920,'Inflicts 259 - 481 magic damage on target',100,2,2),
(192291,80920,'Cannot be modified except by direct means',100,2,3),
(192292,10080920,'When Equipped:',100,0,0),
(192293,10080920,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192294,10080920,'Inflicts 337 - 625 magic damage on target',100,2,2),
(192295,10080920,'Cannot be modified except by direct means',100,2,3),
(192296,47685,'Applies Red C.R.A.S.H. Pad when Activated.',100,0,0),
(192297,47685,'Summons a mount to ride',100,1,1),
(192298,47685,'Increases your ground speed by 130%',100,2,2),
(192299,47685,'This can be used as a flying mount appearance.',100,1,3),
(192300,47685,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,4),
(192301,10047685,'Applies Red C.R.A.S.H. Pad when Activated.',100,0,0),
(192302,10047685,'Summons a mount to ride',100,1,1),
(192303,10047685,'Increases your ground speed by 130%',100,2,2),
(192304,10047685,'This can be used as a flying mount appearance.',100,1,3),
(192305,10047685,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,4),
(192306,26555,'When Equipped:',100,0,0),
(192307,26555,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(192308,26555,'Improves the hate transfer of Converge by up to 5%.',100,1,2),
(192309,10026555,'When Equipped:',100,0,0),
(192310,10026555,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(192311,10026555,'Improves the hate transfer of Converge by up to 5%.',100,1,2),
(192312,103617,'Increases STR of raid and group members (AE) by 6.6',100,1,0),
(192313,103617,'Improves the base amount of taunts by 11%.',100,1,1),
(192314,103617,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(192315,103617,'Increases AGI of raid and group members (AE) by 6.6',100,1,3),
(192316,103617,'Adds 1.1% to base avoidance.',100,1,4),
(192317,10103617,'Increases STR of raid and group members (AE) by 6.6',100,1,0),
(192318,10103617,'Improves the base amount of taunts by 11%.',100,1,1),
(192319,10103617,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(192320,10103617,'Increases AGI of raid and group members (AE) by 6.6',100,1,3),
(192321,10103617,'Adds 1.1% to base avoidance.',100,1,4),
(192322,83660,'When Equipped:',100,0,0),
(192323,83660,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192324,83660,'Inflicts 1986 poison damage on target',100,2,2),
(192325,83660,'Cannot be modified except by direct means',100,2,3),
(192326,10083660,'When Equipped:',100,0,0),
(192327,10083660,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192328,10083660,'Inflicts 1291 poison damage on target',100,2,2),
(192329,10083660,'Cannot be modified except by direct means',100,2,3),
(192330,124710,'Heals group members (AE) for 300 - 366',100,1,0),
(192331,10124710,'Heals group members (AE) for 364 - 444',100,1,0),
(192332,24663,'Adds Popup Text (Yellow) to your Dungeon Maker toolbox',100,0,0),
(192333,10024663,'Adds Popup Text (Yellow) to your Dungeon Maker toolbox',100,0,0),
(192334,46159,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(192335,46159,'Roots target',100,1,1),
(192336,46159,'80% chance to dispel when target takes damage',100,1,2),
(192337,46159,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(192338,46159,'Resistibility increases against targets higher than level 89.',100,1,4),
(192339,10046159,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(192340,10046159,'Roots target',100,1,1),
(192341,10046159,'80% chance to dispel when target takes damage',100,1,2),
(192342,10046159,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(192343,10046159,'Resistibility increases against targets higher than level 89.',100,1,4),
(192344,155072,'When Equipped:',100,0,0),
(192345,155072,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(192346,155072,'Inflicts 1390 mental damage on target',100,2,2),
(192347,155072,'Increases Threat to target by 4,000 ',100,2,3),
(192348,155072,'Cannot be modified except by direct means',100,2,4),
(192349,155072,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(192350,155072,'Inflicts 1390 mental damage on target',100,2,6),
(192351,155072,'Increases Threat to target by 4,000 ',100,2,7),
(192352,155072,'Cannot be modified except by direct means',100,2,8),
(192353,10155072,'When Equipped:',100,0,0),
(192354,10155072,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(192355,10155072,'Inflicts 1807 mental damage on target',100,2,2),
(192356,10155072,'Cannot be modified except by direct means',100,2,3),
(192357,10155072,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(192358,10155072,'Inflicts 1807 mental damage on target',100,2,5),
(192359,10155072,'Cannot be modified except by direct means',100,2,6),
(192360,101216,'Inflicts 399 - 665 cold damage on target',100,1,0),
(192361,101216,'Dazes target',100,1,1),
(192362,101216,'If Target is not Epic',100,2,2),
(192363,101216,'Resistibility increases against targets higher than level 87.',100,1,3),
(192364,10101216,'Inflicts 519 - 865 cold damage on target',100,1,0),
(192365,10101216,'Dazes target',100,1,1),
(192366,10101216,'If Target is not Epic',100,2,2),
(192367,10101216,'Resistibility increases against targets higher than level 87.',100,1,3),
(192368,48667,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(192369,48667,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(192370,48667,'Inflicts 127 poison damage on target',100,2,2),
(192371,48667,'Inflicts 21 poison damage on target instantly and every 6 seconds',100,2,3),
(192372,48667,'Cannot be modified except by direct means',100,2,4),
(192373,48667,'Grants a total of 200 triggers of the spell.',100,2,5),
(192374,10048667,'Applies bloodburst when Activated.  Lasts for 12 hours.',100,0,0),
(192375,10048667,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(192376,10048667,'Inflicts 20 poison damage on target instantly and every 6 seconds',100,2,2),
(192377,10048667,'Inflicts 124 poison damage on target',100,2,3),
(192378,10048667,'Cannot be modified except by direct means',100,2,4),
(192379,10048667,'Grants a total of 200 triggers of the spell.',100,2,5),
(192380,102065,'Inflicts 667 - 1113 melee damage on targets in area',100,1,0),
(192381,102065,'Interrupts targets in Area of Effect',100,1,1),
(192382,10102065,'Inflicts 868 - 1447 melee damage on targets in area',100,1,0),
(192383,10102065,'Interrupts targets in Area of Effect',100,1,1),
(192384,82315,'When Equipped:',100,0,0),
(192385,82315,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192386,82315,'Inflicts 288 - 534 magic damage on target',100,2,2),
(192387,82315,'Decreases Threat to target by 672 ',100,2,3),
(192388,82315,'Must be flanking or behind',100,3,4),
(192389,82315,'Increases Threat to target by 672 ',100,2,5),
(192390,82315,'Must be in front of',100,3,6),
(192391,82315,'Cannot be modified except by direct means',100,2,7),
(192392,10082315,'When Equipped:',100,0,0),
(192393,10082315,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192394,10082315,'Inflicts 374 - 695 magic damage on target',100,2,2),
(192395,10082315,'Cannot be modified except by direct means',100,2,3),
(192396,106120,'Increases Attack Speed of caster by 33.9',100,1,0),
(192397,106120,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(192398,106120,'Stuns target',100,2,2),
(192399,106120,'Throws target back',100,2,3),
(192400,106120,'Blurs vision of target',100,2,4),
(192401,106120,'Does not affect Epic targets',100,2,5),
(192402,10106120,'Increases Attack Speed of caster by 33.9',100,1,0),
(192403,10106120,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(192404,10106120,'Stuns target',100,2,2),
(192405,10106120,'Throws target back',100,2,3),
(192406,10106120,'Blurs vision of target',100,2,4),
(192407,10106120,'Does not affect Epic targets',100,2,5),
(192408,102919,'Inflicts 17 - 21 disease damage on target instantly and every 4 seconds',100,1,0),
(192409,10102919,'Inflicts 29 - 35 disease damage on target',100,1,0),
(192410,10102919,'Inflicts 22 - 27 disease damage on target every 4 seconds',100,1,1),
(192411,144954,'When Equipped:',100,0,0),
(192412,144954,'This effect will not stack with any rank or tier of itself.',100,1,1),
(192413,144954,'Increases Spell Weapon Multi Attack Chance of caster by 5.5',100,1,2),
(192414,144954,'Cannot be modified except by direct means',100,1,3),
(192415,10144954,'When Equipped:',100,0,0),
(192416,10144954,'This effect will not stack with any rank or tier of itself.',100,1,1),
(192417,10144954,'Increases Spell Weapon Multi Attack Chance of caster by 5.5',100,1,2),
(192418,10144954,'Cannot be modified except by direct means',100,1,3),
(192419,107214,'Inflicts 467 - 779 melee damage on targets in area',100,1,0),
(192420,107214,'Dispels 112 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(192421,10107214,'Inflicts 608 - 1013 melee damage on targets in area',100,1,0),
(192422,10107214,'Reduces healing received of targets in area by 10%',100,1,1),
(192423,48040,'Applies Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(192424,48040,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(192425,48040,'Inflicts 16 magic damage on target',100,2,2),
(192426,48040,'Cannot be modified except by direct means',100,2,3),
(192427,10048040,'Applies Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(192428,10048040,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(192429,10048040,'Inflicts 21 magic damage on target',100,2,2),
(192430,10048040,'Cannot be modified except by direct means',100,2,3),
(192431,121717,'Increases AGI of caster by 56.4',100,1,0),
(192432,121717,'Adds 1.9% to base avoidance.',100,1,1),
(192433,121717,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(192434,121717,'Increases Parry of caster by 32.4',100,1,3),
(192435,121717,'Increases Defense of caster by 43.2',100,1,4),
(192436,10121717,'Increases AGI of caster by 56.4',100,1,0),
(192437,10121717,'Adds 1.9% to base avoidance.',100,1,1),
(192438,10121717,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(192439,10121717,'Increases Parry of caster by 32.4',100,1,3),
(192440,10121717,'Increases Defense of caster by 43.2',100,1,4),
(192441,130932,'When Equipped:',100,0,0),
(192442,130932,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(192443,130932,'Reduces resistibility of all spells by 6%.',100,1,2),
(192444,130932,'Cannot be modified except by direct means',100,1,3),
(192445,10130932,'When Equipped:',100,0,0),
(192446,10130932,'\\#FF0000This effect will not stack with any other Oracle effect.\\/c',100,1,1),
(192447,10130932,'Reduces resistibility of all spells by 6%.',100,1,2),
(192448,10130932,'Cannot be modified except by direct means',100,1,3),
(192449,87103,'When Equipped:',100,0,0),
(192450,87103,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192451,87103,'Inflicts 237 - 356 magic damage on target',100,2,2),
(192452,87103,'Cannot be modified except by direct means',100,2,3),
(192453,10087103,'When Equipped:',100,0,0),
(192454,10087103,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192455,10087103,'Inflicts 308 - 463 magic damage on target',100,2,2),
(192456,10087103,'Cannot be modified except by direct means',100,2,3),
(192457,112866,'Inflicts 18 - 31 crushing damage on target',100,1,0),
(192458,10112866,'Inflicts 24 - 40 crushing damage on target',100,1,0),
(192459,132208,'When Equipped:',100,0,0),
(192460,132208,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192461,132208,'Inflicts 1998 disease damage on target encounter',100,2,2),
(192462,132208,'Must not be engaged in pvp combat',100,2,3),
(192463,132208,'Cannot be modified except by direct means',100,2,4),
(192464,10132208,'When Equipped:',100,0,0),
(192465,10132208,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192466,10132208,'Inflicts 1299 disease damage on target encounter',100,2,2),
(192467,10132208,'Must not be engaged in pvp combat',100,2,3),
(192468,10132208,'Cannot be modified except by direct means',100,2,4),
(192469,114611,'Decreases WIS of target by 9.0',100,1,0),
(192470,114611,'Inflicts 27 - 45 melee damage on target',100,1,1),
(192471,114611,'You must be sneaking to use this ability.',100,1,2),
(192472,10114611,'Decreases WIS of target by 9.0',100,1,0),
(192473,10114611,'Inflicts 35 - 59 melee damage on target',100,1,1),
(192474,10114611,'You must be sneaking to use this ability.',100,1,2),
(192475,102424,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(192476,102424,'Heals target for 53 - 65',100,2,1),
(192477,102424,'Grants a total of 5 triggers of the spell.',100,2,2),
(192478,10102424,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(192479,10102424,'Heals target for 34 - 42',100,2,1),
(192480,10102424,'Grants a total of 5 triggers of the spell.',100,2,2),
(192481,105982,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(192482,105982,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(192483,105982,'Inflicts 417 - 695 piercing damage on target',100,3,2),
(192484,105982,'Grants a total of 5 triggers of the spell.',100,3,3),
(192485,105982,'Grants a total of 1 trigger of the spell.',100,2,4),
(192486,10105982,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(192487,10105982,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(192488,10105982,'Inflicts 542 - 903 piercing damage on target',100,3,2),
(192489,10105982,'Grants a total of 5 triggers of the spell.',100,3,3),
(192490,10105982,'Grants a total of 1 trigger of the spell.',100,2,4),
(192491,108133,'Increases Attack Speed of caster by 28.5',100,1,0),
(192492,10108133,'Increases Attack Speed of caster by 28.5',100,1,0),
(192493,36447,'Increases STR and STA of target by 4.3',100,0,0),
(192494,36447,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(192495,36447,'Increases Out-of-Combat Power Regeneration of target by 6.4',100,0,2),
(192496,103248,'Reduces physical damage done to caster by 5%',100,1,0),
(192497,103248,'Adds 2.1% to base avoidance.',100,1,1),
(192498,103248,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(192499,103248,'Increases Parry of caster by 30.5',100,1,3),
(192500,103248,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(192501,103248,'Increases Aggression of caster by 22.9',100,1,5),
(192502,103248,'Increases Defense and Deflection of caster by 30.5',100,1,6),
(192503,103248,'Increases Mitigation of caster vs noxious damage by 2117',100,1,7),
(192504,103248,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(192505,10103248,'Reduces physical damage done to caster by 5%',100,1,0),
(192506,10103248,'Adds 2.1% to base avoidance.',100,1,1),
(192507,10103248,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(192508,10103248,'Increases Parry of caster by 30.5',100,1,3),
(192509,10103248,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(192510,10103248,'Increases Aggression of caster by 22.9',100,1,5),
(192511,10103248,'Increases Defense and Deflection of caster by 30.5',100,1,6),
(192512,10103248,'Increases Mitigation of caster vs noxious damage by 2117',100,1,7),
(192513,10103248,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(192514,50887,'When Equipped:',100,0,0),
(192515,50887,'Reduces power cost of all spells by 2 percent.',100,1,1),
(192516,10050887,'When Equipped:',100,0,0),
(192517,10050887,'Reduces power cost of all spells by 2 percent.',100,1,1),
(192518,47956,'Applies Proof of Conspiracy when Activated.',100,0,0),
(192519,47956,'Chief Conspirator Schtalinsk''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Schtalinsk''s wrath. You feel it would be wise to not mention that you gathered this from Schtalinsk''s corpse...',100,1,1),
(192520,10047956,'Applies Proof of Conspiracy when Activated.',100,0,0),
(192521,10047956,'Chief Conspirator Schtalinsk''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Schtalinsk''s wrath. You feel it would be wise to not mention that you gathered this from Schtalinsk''s corpse...',100,1,1),
(192522,106417,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(192523,106417,'Inflicts 603 - 737 mental damage on target',100,2,1),
(192524,106417,'Grants a total of 3 triggers of the spell.',100,2,2),
(192525,10106417,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(192526,10106417,'Inflicts 784 - 958 mental damage on target',100,2,1),
(192527,10106417,'Grants a total of 3 triggers of the spell.',100,2,2),
(192528,107683,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(192529,10107683,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(192530,159990,'Applies Lambent Imbued when Equipped.',100,0,0),
(192531,159990,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(192532,159990,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(192533,159990,'Cannot be modified except by direct means',100,2,3),
(192534,10159990,'Applies Lambent Imbued when Equipped.',100,0,0),
(192535,10159990,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(192536,10159990,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(192537,10159990,'Cannot be modified except by direct means',100,2,3),
(192538,107961,'Increases In-Combat Power Regeneration of group members (AE) by 20.0',100,1,0),
(192539,10107961,'Increases In-Combat Power Regeneration of group members (AE) by 20.0',100,1,0),
(192540,121766,'Heals target for 40 - 49',100,1,0),
(192541,121766,'Heals target for 7 - 8 every second',100,1,1),
(192542,10121766,'Heals target for 69 - 84',100,1,0),
(192543,10121766,'Heals target for 6 - 7 every second',100,1,1),
(192544,103892,'Increases power of group members (AE) by 19 instantly and every 6 seconds',100,1,0),
(192545,103892,'Decreases INT of target by 71.6',100,1,1),
(192546,10103892,'Increases power of group members (AE) by 19 instantly and every 6 seconds',100,1,0),
(192547,10103892,'Decreases INT of target by 71.6',100,1,1),
(192548,160857,'When Equipped:',100,0,0),
(192549,160857,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(192550,160857,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(192551,160857,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(192552,160857,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(192553,160857,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(192554,160857,'Must not be engaged in pvp combat',100,2,6),
(192555,160857,'Cannot be modified except by direct means',100,2,7),
(192556,160857,'Must not be engaged in pvp combat',100,1,8),
(192557,160857,'When Equipped:',100,0,9),
(192558,160857,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(192559,160857,'Inflicts 2664 cold damage on target encounter',100,2,11),
(192560,160857,'Must not be engaged in pvp combat',100,2,12),
(192561,160857,'Cannot be modified except by direct means',100,2,13),
(192562,160857,'Must not be engaged in pvp combat',100,1,14),
(192563,10160857,'When Equipped:',100,0,0),
(192564,10160857,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(192565,10160857,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(192566,10160857,'Inflicts 905 - 1000 piercing damage on target instantly and every 3 seconds',100,2,3),
(192567,10160857,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(192568,10160857,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(192569,10160857,'Must not be engaged in pvp combat',100,2,6),
(192570,10160857,'Cannot be modified except by direct means',100,2,7),
(192571,10160857,'Must not be engaged in pvp combat',100,1,8),
(192572,10160857,'When Equipped:',100,0,9),
(192573,10160857,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(192574,10160857,'Inflicts 1732 cold damage on target encounter',100,2,11),
(192575,10160857,'Must not be engaged in pvp combat',100,2,12),
(192576,10160857,'Cannot be modified except by direct means',100,2,13),
(192577,10160857,'Must not be engaged in pvp combat',100,1,14),
(192578,109022,'Decreases Damage Per Second of target by 40.4',100,1,0),
(192579,109022,'Inflicts 546 - 667 melee damage on target',100,1,1),
(192580,10109022,'Decreases Damage Per Second of target by 40.4',100,1,0),
(192581,10109022,'Inflicts 710 - 868 melee damage on target',100,1,1),
(192582,41553,'When Equipped:',100,0,0),
(192583,41553,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192584,41553,'Inflicts 121 - 225 magic damage on target',100,2,2),
(192585,41553,'Cannot be modified except by direct means',100,2,3),
(192586,10041553,'When Equipped:',100,0,0),
(192587,10041553,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192588,10041553,'Inflicts 157 - 292 magic damage on target',100,2,2),
(192589,10041553,'Cannot be modified except by direct means',100,2,3),
(192590,117059,'Inflicts 151 - 253 melee damage on target',100,1,0),
(192591,117059,'Decreases Attack Speed of target by 14.3',100,1,1),
(192592,10117059,'Inflicts 197 - 328 melee damage on target',100,1,0),
(192593,10117059,'Decreases Attack Speed of target by 14.3',100,1,1),
(192594,48825,'Applies Translucent Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(192595,48825,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(192596,48825,'Stifles target',100,2,2),
(192597,48825,'If Target is not Epic',100,3,3),
(192598,48825,'Cannot be modified except by direct means',100,2,4),
(192599,48825,'Grants a total of 4 triggers of the spell.',100,2,5),
(192600,48825,'Only affects targets level 50 and above',100,1,6),
(192601,10048825,'Applies Translucent Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(192602,10048825,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(192603,10048825,'Stifles target',100,2,2),
(192604,10048825,'If Target is not Epic',100,3,3),
(192605,10048825,'Cannot be modified except by direct means',100,2,4),
(192606,10048825,'Grants a total of 4 triggers of the spell.',100,2,5),
(192607,10048825,'Only affects targets level 50 and above',100,1,6),
(192608,81141,'When Equipped:',100,0,0),
(192609,81141,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192610,81141,'Inflicts 226 - 419 magic damage on target',100,2,2),
(192611,81141,'Cannot be modified except by direct means',100,2,3),
(192612,10081141,'When Equipped:',100,0,0),
(192613,10081141,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192614,10081141,'Inflicts 293 - 545 magic damage on target',100,2,2),
(192615,10081141,'Cannot be modified except by direct means',100,2,3),
(192616,122433,'Inflicts 51 - 85 crushing damage on target',100,1,0),
(192617,122433,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(192618,122433,'Stuns target',100,2,2),
(192619,122433,'Blurs vision of target',100,2,3),
(192620,122433,'Throws target back',100,2,4),
(192621,122433,'Does not affect Epic targets',100,2,5),
(192622,122433,'If facing target',100,1,6),
(192623,10122433,'Inflicts 67 - 111 crushing damage on target',100,1,0),
(192624,10122433,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(192625,10122433,'Stuns target',100,2,2),
(192626,10122433,'Blurs vision of target',100,2,3),
(192627,10122433,'Throws target back',100,2,4),
(192628,10122433,'Does not affect Epic targets',100,2,5),
(192629,10122433,'If facing target',100,1,6),
(192630,192074,'When Equipped:',100,0,0),
(192631,192074,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(192632,10192074,'When Equipped:',100,0,0),
(192633,10192074,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(192634,138776,'When Equipped:',100,0,0),
(192635,138776,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192636,138776,'Increases Threat to target by 600 ',100,2,2),
(192637,138776,'Cannot be modified except by direct means',100,2,3),
(192638,10138776,'When Equipped:',100,0,0),
(192639,10138776,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192640,10138776,'Cannot be modified except by direct means',100,2,2),
(192641,139362,'When Equipped:',100,0,0),
(192642,139362,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192643,139362,'Increases power of caster by 65 instantly and every 4 seconds',100,2,2),
(192644,139362,'Cannot be modified except by direct means',100,2,3),
(192645,10139362,'When Equipped:',100,0,0),
(192646,10139362,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192647,10139362,'Increases power of caster by 65 instantly and every 4 seconds',100,2,2),
(192648,10139362,'Cannot be modified except by direct means',100,2,3),
(192649,105740,'Inflicts 595 - 993 melee damage on targets in area',100,1,0),
(192650,105740,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(192651,105740,'Stuns target',100,2,2),
(192652,105740,'Blurs vision of target',100,2,3),
(192653,105740,'Throws target back',100,2,4),
(192654,105740,'Does not affect Epic targets',100,2,5),
(192655,10105740,'Inflicts 774 - 1291 melee damage on targets in area',100,1,0),
(192656,10105740,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(192657,10105740,'Stuns target',100,2,2),
(192658,10105740,'Blurs vision of target',100,2,3),
(192659,10105740,'Throws target back',100,2,4),
(192660,10105740,'Does not affect Epic targets',100,2,5),
(192661,37329,'Increases INT of target by 5.4',100,0,0),
(192662,37329,'Increases outgoing damaging spell amount by 2%',100,0,1),
(192663,37329,'Increases STA of target by 5.4',100,0,2),
(192664,37329,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,3),
(192665,172394,'When Equipped:',100,0,0),
(192666,172394,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(192667,172394,'Increases AGI of target by 6.4',100,2,2),
(192668,172394,'Cannot be modified except by direct means',100,2,3),
(192669,10172394,'When Equipped:',100,0,0),
(192670,10172394,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(192671,10172394,'Increases AGI of target by 6.4',100,2,2),
(192672,10172394,'Cannot be modified except by direct means',100,2,3),
(192673,159815,'Applies Lambent Imbued when Equipped.',100,0,0),
(192674,159815,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(192675,159815,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(192676,159815,'Cannot be modified except by direct means',100,2,3),
(192677,10159815,'Applies Lambent Imbued when Equipped.',100,0,0),
(192678,10159815,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(192679,10159815,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(192680,10159815,'Cannot be modified except by direct means',100,2,3),
(192681,100689,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(192682,100689,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(192683,100689,'Heals caster for 1073',100,3,2),
(192684,100689,'Wards caster against 1209 points of all damage',100,3,3),
(192685,100689,'Summons a limited pet to aid the caster',100,2,4),
(192686,100689,'Grants a total of 1 trigger of the spell.',100,2,5),
(192687,10100689,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(192688,10100689,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(192689,10100689,'Heals caster for 1255',100,3,2),
(192690,10100689,'Wards caster against 1209 points of all damage',100,3,3),
(192691,10100689,'Summons a limited pet to aid the caster',100,2,4),
(192692,10100689,'Grants a total of 1 trigger of the spell.',100,2,5),
(192693,118959,'Applies Sacrifice.',100,1,0),
(192694,118959,'Heals group members (AE) for 534',100,2,1),
(192695,118959,'Increases power of group members (AE) by 153',100,2,2),
(192696,118959,'Stuns target',100,1,3),
(192697,10118959,'Applies Sacrifice.',100,1,0),
(192698,10118959,'Heals group members (AE) for 744',100,2,1),
(192699,10118959,'Increases power of group members (AE) by 153',100,2,2),
(192700,10118959,'Stuns target',100,1,3),
(192701,115921,'Inflicts 155 - 190 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(192702,10115921,'Inflicts 263 - 321 disease damage on target encounter',100,1,0),
(192703,10115921,'Inflicts 202 - 247 disease damage on target encounter every 3 seconds',100,1,1),
(192704,107586,'Dazes target encounter',100,1,0),
(192705,107586,'Inflicts 385 - 471 mental damage on target encounter',100,1,1),
(192706,107586,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(192707,107586,'Resistibility increases against targets higher than level 68.',100,1,3),
(192708,10107586,'Inflicts 501 - 612 mental damage on target encounter',100,1,0),
(192709,10107586,'Dazes target encounter',100,1,1),
(192710,10107586,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(192711,10107586,'Resistibility increases against targets higher than level 68.',100,1,3),
(192712,116434,'Inflicts 25 disease damage on target instantly and every 4 seconds',100,1,0),
(192713,116434,'Inflicts 25 disease damage on target instantly and every 4 seconds',100,1,1),
(192714,116434,'If target is nightblood',100,2,2),
(192715,116434,'Inflicts 25 disease damage on target instantly and every 4 seconds',100,1,3),
(192716,116434,'If target is shadowed folk',100,2,4),
(192717,10116434,'Inflicts 32 disease damage on target instantly and every 4 seconds',100,1,0),
(192718,36379,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(192719,173733,'When Equipped:',100,0,0),
(192720,173733,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(192721,173733,'Heals caster for 802 instantly and every 2 seconds',100,2,2),
(192722,173733,'Must not be engaged in pvp combat',100,2,3),
(192723,173733,'Cannot be modified except by direct means',100,2,4),
(192724,173733,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(192725,173733,'Increases Crit Bonus of caster by 6.0%',100,2,6),
(192726,173733,'Must not be engaged in pvp combat',100,2,7),
(192727,173733,'Cannot be modified except by direct means',100,2,8),
(192728,173733,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(192729,173733,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(192730,173733,'Must not be engaged in pvp combat',100,2,11),
(192731,173733,'Cannot be modified except by direct means',100,2,12),
(192732,173733,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(192733,173733,'Heals caster for 802 instantly and every 2 seconds',100,2,14),
(192734,173733,'Must not be engaged in pvp combat',100,2,15),
(192735,173733,'Cannot be modified except by direct means',100,2,16),
(192736,173733,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(192737,173733,'Heals caster for 802 instantly and every 2 seconds',100,2,18),
(192738,173733,'Must not be engaged in pvp combat',100,2,19),
(192739,173733,'Cannot be modified except by direct means',100,2,20),
(192740,173733,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(192741,173733,'Increases Crit Bonus of caster by 6.0%',100,2,22),
(192742,173733,'Must not be engaged in pvp combat',100,2,23),
(192743,173733,'Cannot be modified except by direct means',100,2,24),
(192744,173733,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(192745,173733,'Inflicts 73 piercing damage on target',100,2,26),
(192746,173733,'Must not be engaged in pvp combat',100,2,27),
(192747,173733,'Cannot be modified except by direct means',100,2,28),
(192748,10173733,'When Equipped:',100,0,0),
(192749,10173733,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(192750,10173733,'Heals caster for 938 instantly and every 2 seconds',100,2,2),
(192751,10173733,'Must not be engaged in pvp combat',100,2,3),
(192752,10173733,'Cannot be modified except by direct means',100,2,4),
(192753,10173733,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(192754,10173733,'Increases Crit Bonus of caster by 6.0%',100,2,6),
(192755,10173733,'Must not be engaged in pvp combat',100,2,7),
(192756,10173733,'Cannot be modified except by direct means',100,2,8),
(192757,10173733,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(192758,10173733,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(192759,10173733,'Must not be engaged in pvp combat',100,2,11),
(192760,10173733,'Cannot be modified except by direct means',100,2,12),
(192761,10173733,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(192762,10173733,'Heals caster for 938 instantly and every 2 seconds',100,2,14),
(192763,10173733,'Must not be engaged in pvp combat',100,2,15),
(192764,10173733,'Cannot be modified except by direct means',100,2,16),
(192765,10173733,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(192766,10173733,'Heals caster for 938 instantly and every 2 seconds',100,2,18),
(192767,10173733,'Must not be engaged in pvp combat',100,2,19),
(192768,10173733,'Cannot be modified except by direct means',100,2,20),
(192769,10173733,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(192770,10173733,'Increases Crit Bonus of caster by 6.0%',100,2,22),
(192771,10173733,'Must not be engaged in pvp combat',100,2,23),
(192772,10173733,'Cannot be modified except by direct means',100,2,24),
(192773,10173733,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(192774,10173733,'Inflicts 95 piercing damage on target',100,2,26),
(192775,10173733,'Must not be engaged in pvp combat',100,2,27),
(192776,10173733,'Cannot be modified except by direct means',100,2,28),
(192777,24352,'Adds Erollisian Sprite of Passion (Wizard) to your Dungeon Maker toolbox',100,0,0),
(192778,10024352,'Adds Erollisian Sprite of Passion (Wizard) to your Dungeon Maker toolbox',100,0,0),
(192779,121907,'Inflicts 144 - 239 mental damage on target encounter',100,1,0),
(192780,121907,'Increases power of group members (AE) by 77 - 128',100,1,1),
(192781,10121907,'Inflicts 187 - 311 mental damage on target encounter',100,1,0),
(192782,10121907,'Increases power of group members (AE) by 77 - 128',100,1,1),
(192783,154944,'When Equipped:',100,0,0),
(192784,154944,'Increases Attack Speed of caster by 35.0',100,1,1),
(192785,10154944,'When Equipped:',100,0,0),
(192786,10154944,'Increases Attack Speed of caster by 35.0',100,1,1),
(192787,102138,'Inflicts 123 - 206 melee damage on target',100,1,0),
(192788,102138,'Inflicts 123 - 206 melee damage on target',100,1,1),
(192789,10102138,'Inflicts 160 - 267 melee damage on target',100,1,0),
(192790,10102138,'Inflicts 160 - 267 melee damage on target',100,1,1),
(192791,111359,'Inflicts 198 - 331 disease damage on target',100,1,0),
(192792,111359,'Heals caster for 85 - 141',100,1,1),
(192793,10111359,'Inflicts 258 - 430 disease damage on target',100,1,0),
(192794,10111359,'Heals caster for 55 - 92',100,1,1),
(192795,117032,'Inflicts 8 - 14 melee damage on target',100,1,0),
(192796,117032,'Decreases Attack Speed of target by 14.1',100,1,1),
(192797,10117032,'Inflicts 11 - 18 melee damage on target',100,1,0),
(192798,10117032,'Decreases Attack Speed of target by 14.1',100,1,1),
(192799,123745,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(192800,123745,'Increases Mitigation of group members (AE) vs elemental damage by 207',100,1,1),
(192801,10123745,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(192802,10123745,'Increases Mitigation of group members (AE) vs elemental damage by 207',100,1,1),
(192803,120699,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 11.2',100,1,0),
(192804,10120699,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 11.2',100,1,0),
(192805,26657,'When Equipped:',100,0,0),
(192806,26657,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(192807,26657,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(192808,10026657,'When Equipped:',100,0,0),
(192809,10026657,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(192810,10026657,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(192811,81930,'When Equipped:',100,0,0),
(192812,81930,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192813,81930,'Inflicts 408 - 757 magic damage on target',100,2,2),
(192814,81930,'Decreases Threat to target by 994 ',100,2,3),
(192815,81930,'Must be flanking or behind',100,3,4),
(192816,81930,'Increases Threat to target by 994 ',100,2,5),
(192817,81930,'Must be in front of',100,3,6),
(192818,81930,'Cannot be modified except by direct means',100,2,7),
(192819,10081930,'When Equipped:',100,0,0),
(192820,10081930,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192821,10081930,'Inflicts 530 - 984 magic damage on target',100,2,2),
(192822,10081930,'Cannot be modified except by direct means',100,2,3),
(192823,114101,'Inflicts 787 - 1312 melee damage on targets in area',100,1,0),
(192824,114101,'You must be in stealth to use this!',100,1,1),
(192825,10114101,'Inflicts 1023 - 1705 melee damage on targets in area',100,1,0),
(192826,10114101,'You must be in stealth to use this!',100,1,1),
(192827,112621,'Increases STA of caster by 59.4',100,1,0),
(192828,112621,'Reduces slow effects on caster by 24.0%',100,1,1),
(192829,112621,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1481',100,1,2),
(192830,10112621,'Increases STA of caster by 59.4',100,1,0),
(192831,10112621,'Reduces slow effects on caster by 24.0%',100,1,1),
(192832,10112621,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1481',100,1,2),
(192833,174727,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(192834,174727,'Decreases Mitigation of target vs physical damage by 293',100,1,1),
(192835,174727,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(192836,10174727,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(192837,10174727,'Decreases Mitigation of target vs physical damage by 293',100,1,1),
(192838,10174727,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(192839,71690,'When Equipped:',100,0,0),
(192840,71690,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(192841,71690,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(192842,71690,'Cannot be modified except by direct means',100,2,3),
(192843,10071690,'When Equipped:',100,0,0),
(192844,10071690,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(192845,10071690,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(192846,10071690,'Cannot be modified except by direct means',100,2,3),
(192847,111159,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(192848,111159,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1661',100,1,1),
(192849,111159,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,2),
(192850,10111159,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(192851,10111159,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1661',100,1,1),
(192852,10111159,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,2),
(192853,81002,'When Equipped:',100,0,0),
(192854,81002,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192855,81002,'Inflicts 70 - 131 magic damage on target',100,2,2),
(192856,81002,'Decreases Threat to target by 153 ',100,2,3),
(192857,81002,'Must be flanking or behind',100,3,4),
(192858,81002,'Increases Threat to target by 153 ',100,2,5),
(192859,81002,'Must be in front of',100,3,6),
(192860,81002,'Cannot be modified except by direct means',100,2,7),
(192861,10081002,'When Equipped:',100,0,0),
(192862,10081002,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192863,10081002,'Inflicts 91 - 170 magic damage on target',100,2,2),
(192864,10081002,'Cannot be modified except by direct means',100,2,3),
(192865,107901,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(192866,107901,'Slows target by 41.8%',100,2,1),
(192867,107901,'5% chance to dispel when target receives hostile action',100,2,2),
(192868,107901,'5% chance to dispel when target takes damage',100,2,3),
(192869,107901,'Slows target encounter by 50.2%',100,1,4),
(192870,107901,'5% chance to dispel when target takes damage',100,1,5),
(192871,10107901,'Slows target encounter by 50.2%',100,1,0),
(192872,10107901,'5% chance to dispel when target takes damage',100,1,1),
(192873,119329,'Roots target',100,1,0),
(192874,119329,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(192875,119329,'Slows target by 51.3%',100,2,2),
(192876,119329,'5% chance to dispel when target receives hostile action',100,2,3),
(192877,119329,'5% chance to dispel when target takes damage',100,2,4),
(192878,119329,'15% chance to dispel when target takes damage',100,1,5),
(192879,119329,'Does not affect Epic targets',100,1,6),
(192880,119329,'Resistibility increases against targets higher than level 112.',100,1,7),
(192881,10119329,'Roots target',100,1,0),
(192882,10119329,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(192883,10119329,'Slows target by 51.3%',100,2,2),
(192884,10119329,'5% chance to dispel when target receives hostile action',100,2,3),
(192885,10119329,'5% chance to dispel when target takes damage',100,2,4),
(192886,10119329,'15% chance to dispel when target takes damage',100,1,5),
(192887,10119329,'Does not affect Epic targets',100,1,6),
(192888,10119329,'Resistibility increases against targets higher than level 112.',100,1,7),
(192889,90107,'When Equipped:',100,0,0),
(192890,90107,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192891,90107,'Inflicts 6660 heat damage on target instantly and every 4 seconds',100,2,2),
(192892,90107,'Inflicts an additional 3996 heat damage on target every tick',100,2,3),
(192893,90107,'Increases Max Health of group members by 8.0%',100,2,4),
(192894,90107,'Increases Potency of group members by 10.0%',100,2,5),
(192895,90107,'Increases Crit Bonus of group members by 10.0%',100,2,6),
(192896,90107,'Must not be engaged in pvp combat',100,2,7),
(192897,90107,'Cannot be modified except by direct means',100,2,8),
(192898,90107,'Must not be engaged in pvp combat',100,1,9),
(192899,90107,'Cannot be modified except by direct means',100,1,10),
(192900,10090107,'When Equipped:',100,0,0),
(192901,10090107,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(192902,10090107,'Increases Potency of caster by 4.0%',100,2,2),
(192903,10090107,'Inflicts 866 poison damage on target',100,2,3),
(192904,10090107,'Inflicts 866 heat damage on target',100,2,4),
(192905,10090107,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(192906,10090107,'Must not be engaged in pvp combat',100,2,6),
(192907,10090107,'Cannot be modified except by direct means',100,2,7),
(192908,10090107,'Must not be engaged in pvp combat',100,1,8),
(192909,10090107,'Cannot be modified except by direct means',100,1,9),
(192910,110246,'Inflicts 161 - 268 melee damage on target',100,1,0),
(192911,110246,'Slows target by 40.0%',100,1,1),
(192912,110246,'5% chance to dispel when target receives hostile action',100,1,2),
(192913,110246,'5% chance to dispel when target takes damage',100,1,3),
(192914,10110246,'Inflicts 209 - 349 melee damage on target',100,1,0),
(192915,10110246,'Slows target by 40.0%',100,1,1),
(192916,10110246,'5% chance to dispel when target receives hostile action',100,1,2),
(192917,10110246,'5% chance to dispel when target takes damage',100,1,3),
(192918,82037,'When Equipped:',100,0,0),
(192919,82037,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192920,82037,'Inflicts 212 - 393 magic damage on target',100,2,2),
(192921,82037,'Cannot be modified except by direct means',100,2,3),
(192922,10082037,'When Equipped:',100,0,0),
(192923,10082037,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(192924,10082037,'Inflicts 275 - 511 magic damage on target',100,2,2),
(192925,10082037,'Cannot be modified except by direct means',100,2,3),
(192926,35884,'Increases INT of target by 1.5',100,0,0),
(192927,35884,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(192928,36537,'Increases Max Power of target by 5.5',100,0,0),
(192929,36537,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(192930,46694,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(192931,46694,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(192932,46694,'Inflicts 204 poison damage on target',100,2,2),
(192933,46694,'Inflicts 33 poison damage on target instantly and every 6 seconds',100,2,3),
(192934,46694,'Cannot be modified except by direct means',100,2,4),
(192935,46694,'Grants a total of 200 triggers of the spell.',100,2,5),
(192936,10046694,'Applies insufferable anguish when Activated.  Lasts for 12 hours.',100,0,0),
(192937,10046694,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(192938,10046694,'Inflicts 199 poison damage on target',100,2,2),
(192939,10046694,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,3),
(192940,10046694,'Cannot be modified except by direct means',100,2,4),
(192941,10046694,'Grants a total of 200 triggers of the spell.',100,2,5),
(192942,102890,'Heals caster for 328',100,1,0),
(192943,102890,'Inflicts 766 disease damage on targets in Area of Effect',100,1,1),
(192944,10102890,'Heals caster for 213',100,1,0),
(192945,10102890,'Inflicts 996 disease damage on targets in Area of Effect',100,1,1),
(192946,105184,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(192947,105184,'Inflicts 81 - 99 poison damage on target encounter',100,2,1),
(192948,10105184,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(192949,10105184,'Inflicts 106 - 129 poison damage on target encounter',100,2,1),
(192950,162014,'When Equipped:',100,0,0),
(192951,162014,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192952,162014,'Inflicts 1998 disease damage on target encounter',100,2,2),
(192953,162014,'Must not be engaged in pvp combat',100,2,3),
(192954,162014,'Cannot be modified except by direct means',100,2,4),
(192955,10162014,'When Equipped:',100,0,0),
(192956,10162014,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(192957,10162014,'Inflicts 1299 disease damage on target encounter',100,2,2),
(192958,10162014,'Must not be engaged in pvp combat',100,2,3),
(192959,10162014,'Cannot be modified except by direct means',100,2,4),
(192960,82352,'When Equipped:',100,0,0),
(192961,82352,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192962,82352,'Inflicts 48 - 89 magic damage on target',100,2,2),
(192963,82352,'Decreases Threat to target by 135 ',100,2,3),
(192964,82352,'Must be flanking or behind',100,3,4),
(192965,82352,'Increases Threat to target by 135 ',100,2,5),
(192966,82352,'Must be in front of',100,3,6),
(192967,82352,'Cannot be modified except by direct means',100,2,7),
(192968,10082352,'When Equipped:',100,0,0),
(192969,10082352,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192970,10082352,'Inflicts 62 - 115 magic damage on target',100,2,2),
(192971,10082352,'Cannot be modified except by direct means',100,2,3),
(192972,81368,'When Equipped:',100,0,0),
(192973,81368,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192974,81368,'Inflicts 121 - 225 magic damage on target',100,2,2),
(192975,81368,'Decreases Threat to target by 352 ',100,2,3),
(192976,81368,'Must be flanking or behind',100,3,4),
(192977,81368,'Increases Threat to target by 352 ',100,2,5),
(192978,81368,'Must be in front of',100,3,6),
(192979,81368,'Cannot be modified except by direct means',100,2,7),
(192980,10081368,'When Equipped:',100,0,0),
(192981,10081368,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(192982,10081368,'Inflicts 157 - 292 magic damage on target',100,2,2),
(192983,10081368,'Cannot be modified except by direct means',100,2,3),
(192984,48831,'Applies Translucent Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(192985,48831,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(192986,48831,'Inflicts 566 poison damage on target',100,2,2),
(192987,48831,'Inflicts 166 poison damage on target instantly and every 6 seconds',100,2,3),
(192988,48831,'Cannot be modified except by direct means',100,2,4),
(192989,48831,'Grants a total of 200 triggers of the spell.',100,2,5),
(192990,48831,'Only affects targets level 50 and above',100,1,6),
(192991,10048831,'Applies Translucent Kyri''s Hateborn Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(192992,10048831,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(192993,10048831,'Inflicts 162 poison damage on target instantly and every 6 seconds',100,2,2),
(192994,10048831,'Inflicts 551 poison damage on target',100,2,3),
(192995,10048831,'Cannot be modified except by direct means',100,2,4),
(192996,10048831,'Grants a total of 200 triggers of the spell.',100,2,5),
(192997,10048831,'Only affects targets level 50 and above',100,1,6),
(192998,111816,'Inflicts 55 - 92 melee damage on target',100,1,0),
(192999,111816,'Roots target',100,1,1),
(193000,111816,'If Target is not Epic',100,2,2),
(193001,111816,'Resistibility increases against targets higher than level 42.',100,1,3),
(193002,10111816,'Inflicts 65 - 108 melee damage on target',100,1,0),
(193003,10111816,'Roots target',100,1,1),
(193004,10111816,'If Target is not Epic',100,2,2),
(193005,10111816,'Resistibility increases against targets higher than level 42.',100,1,3),
(193006,121864,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(193007,121864,'Inflicts 132 - 162 mental damage on target',100,2,1),
(193008,121864,'Decreases Threat to target by 194 - 237 ',100,2,2),
(193009,121864,'If profession other than Fighter',100,3,3),
(193010,10121864,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(193011,10121864,'Inflicts 172 - 210 mental damage on target',100,2,1),
(193012,111071,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(193013,111071,'Slows target by 48.2%',100,2,1),
(193014,111071,'5% chance to dispel when target receives hostile action',100,2,2),
(193015,111071,'5% chance to dispel when target takes damage',100,2,3),
(193016,111071,'Decreases Mitigation of target vs elemental damage by 1224',100,1,4),
(193017,10111071,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(193018,10111071,'Slows target by 48.2%',100,2,1),
(193019,10111071,'5% chance to dispel when target receives hostile action',100,2,2),
(193020,10111071,'5% chance to dispel when target takes damage',100,2,3),
(193021,10111071,'Decreases Mitigation of target vs elemental damage by 1224',100,1,4),
(193022,106624,'Inflicts 612 - 748 disease damage on target',100,1,0),
(193023,106624,'Heals caster for 8.6 - 10.6% of max health',100,1,1),
(193024,106624,'This effect cannot be critically applied.',100,2,2),
(193025,106624,'The healing of this spell cannot be modified except by direct means',100,1,3),
(193026,10106624,'Inflicts 796 - 973 disease damage on target',100,1,0),
(193027,10106624,'Heals caster for 2.9 - 3.5% of max health',100,1,1),
(193028,10106624,'This effect cannot be critically applied.',100,2,2),
(193029,10106624,'The healing of this spell cannot be modified except by direct means',100,1,3),
(193030,105494,'Stuns target encounter',100,1,0),
(193031,105494,'If Target is not Epic',100,2,1),
(193032,105494,'Inflicts 718 - 1333 poison damage on target encounter',100,1,2),
(193033,105494,'Resistibility increases against targets higher than level 105.',100,1,3),
(193034,10105494,'Stuns target encounter',100,1,0),
(193035,10105494,'If Target is not Epic',100,2,1),
(193036,10105494,'Inflicts 933 - 1733 poison damage on target encounter',100,1,2),
(193037,10105494,'Resistibility increases against targets higher than level 105.',100,1,3),
(193038,159569,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(193039,159569,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193040,159569,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(193041,159569,'Cannot be modified except by direct means',100,2,3),
(193042,10159569,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(193043,10159569,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193044,10159569,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(193045,10159569,'Cannot be modified except by direct means',100,2,3),
(193046,101656,'Decreases Attack Speed of target by 10.4',100,1,0),
(193047,101656,'Decreases Damage Per Second of target by 6.0',100,1,1),
(193048,10101656,'Decreases Attack Speed of target by 10.4',100,1,0),
(193049,10101656,'Decreases Damage Per Second of target by 6.0',100,1,1),
(193050,122369,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(193051,122369,'Inflicts 60 - 74 piercing damage on target',100,2,1),
(193052,10122369,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(193053,10122369,'Inflicts 79 - 96 piercing damage on target',100,2,1),
(193054,114896,'Causes 9% Threat to transfer to target when in combat',100,1,0),
(193055,144698,'When Equipped:',100,0,0),
(193056,144698,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193057,144698,'Increases Mitigation of target vs physical damage by 930',100,2,2),
(193058,144698,'This effect can be stacked by multiple casters.',100,2,3),
(193059,144698,'Increases Mitigation of target vs elemental, noxious and arcane damage by 930',100,2,4),
(193060,144698,'Cannot be modified except by direct means',100,2,5),
(193061,10144698,'When Equipped:',100,0,0),
(193062,10144698,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193063,10144698,'Increases Mitigation of target vs physical damage by 930',100,2,2),
(193064,10144698,'This effect can be stacked by multiple casters.',100,2,3),
(193065,10144698,'Increases Mitigation of target vs elemental, noxious and arcane damage by 930',100,2,4),
(193066,10144698,'Cannot be modified except by direct means',100,2,5),
(193067,111791,'Grants Fish Vision to caster',100,1,0),
(193068,111791,'Allows caster to breathe under water',100,1,1),
(193069,111791,'Shapechanges caster',100,1,2),
(193070,111791,'This effect cannot be cast during combat',100,1,3),
(193071,10111791,'Grants Fish Vision to caster',100,1,0),
(193072,10111791,'Allows caster to breathe under water',100,1,1),
(193073,10111791,'Shapechanges caster',100,1,2),
(193074,10111791,'This effect cannot be cast during combat',100,1,3),
(193075,170655,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(193076,170655,'Decreases AGI, WIS, INT and STR of target by 25.3',100,1,1),
(193077,170655,'Decreases Max Health of target by 1.0%',100,1,2),
(193078,170655,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(193079,10170655,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(193080,10170655,'Decreases AGI, WIS, INT and STR of target by 25.3',100,1,1),
(193081,10170655,'Decreases Max Health of target by 1.0%',100,1,2),
(193082,10170655,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(193083,82158,'When Equipped:',100,0,0),
(193084,82158,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193085,82158,'Inflicts 191 - 354 magic damage on target',100,2,2),
(193086,82158,'Cannot be modified except by direct means',100,2,3),
(193087,10082158,'When Equipped:',100,0,0),
(193088,10082158,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193089,10082158,'Inflicts 248 - 460 magic damage on target',100,2,2),
(193090,10082158,'Cannot be modified except by direct means',100,2,3),
(193091,174730,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(193092,174730,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(193093,174730,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(193094,10174730,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(193095,10174730,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(193096,10174730,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(193097,111564,'Inflicts 3007 - 5585 cold damage on target',100,1,0),
(193098,111564,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(193099,111564,'Stuns target',100,2,2),
(193100,111564,'Throws target back',100,2,3),
(193101,111564,'Blurs vision of target',100,2,4),
(193102,111564,'Does not affect Epic targets',100,2,5),
(193103,10111564,'Inflicts 2827 - 5250 cold damage on target',100,1,0),
(193104,10111564,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(193105,10111564,'Stuns target',100,2,2),
(193106,10111564,'Blurs vision of target',100,2,3),
(193107,10111564,'Throws target back',100,2,4),
(193108,10111564,'Does not affect Epic targets',100,2,5),
(193109,164789,'When Equipped:',100,0,0),
(193110,164789,'Increases Attack Speed of caster by 35.0',100,1,1),
(193111,10164789,'When Equipped:',100,0,0),
(193112,10164789,'Increases Attack Speed of caster by 35.0',100,1,1),
(193113,146683,'Applies Earring of the Solstice when Activated.  Lasts for 1 day.',100,0,0),
(193114,146683,'Increases speed of caster by 45.0%',100,1,1),
(193115,146683,'Increases success chance by 1.0%',100,1,2),
(193116,146683,'Increases critical success chance by 1.0%',100,1,3),
(193117,146683,'This effect suspends during combat',100,1,4),
(193118,146683,'The casting time of Earring of the Solstice is 2.0 seconds and the reuse time of the spell is 1 minute',100,1,5),
(193119,10146683,'Applies Earring of the Solstice when Activated.  Lasts for 1 day.',100,0,0),
(193120,10146683,'Increases speed of caster by 45.0%',100,1,1),
(193121,10146683,'Increases success chance by 1.0%',100,1,2),
(193122,10146683,'Increases critical success chance by 1.0%',100,1,3),
(193123,10146683,'This effect suspends during combat',100,1,4),
(193124,10146683,'The casting time of Earring of the Solstice is 2.0 seconds and the reuse time of the spell is 1 minute',100,1,5),
(193125,170029,'When Equipped:',100,0,0),
(193126,170029,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(193127,170029,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(193128,170029,'Must not be engaged in pvp combat',100,2,3),
(193129,170029,'Cannot be modified except by direct means',100,2,4),
(193130,170029,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(193131,170029,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(193132,170029,'Must not be engaged in pvp combat',100,2,7),
(193133,170029,'Cannot be modified except by direct means',100,2,8),
(193134,170029,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(193135,170029,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(193136,170029,'Must not be engaged in pvp combat',100,2,11),
(193137,170029,'Cannot be modified except by direct means',100,2,12),
(193138,170029,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(193139,170029,'Inflicts 33 piercing damage on target',100,2,14),
(193140,170029,'Must not be engaged in pvp combat',100,2,15),
(193141,170029,'Cannot be modified except by direct means',100,2,16),
(193142,10170029,'When Equipped:',100,0,0),
(193143,10170029,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(193144,10170029,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(193145,10170029,'Must not be engaged in pvp combat',100,2,3),
(193146,10170029,'Cannot be modified except by direct means',100,2,4),
(193147,10170029,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(193148,10170029,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(193149,10170029,'Must not be engaged in pvp combat',100,2,7),
(193150,10170029,'Cannot be modified except by direct means',100,2,8),
(193151,10170029,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(193152,10170029,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(193153,10170029,'Must not be engaged in pvp combat',100,2,11),
(193154,10170029,'Cannot be modified except by direct means',100,2,12),
(193155,10170029,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(193156,10170029,'Inflicts 43 piercing damage on target',100,2,14),
(193157,10170029,'Must not be engaged in pvp combat',100,2,15),
(193158,10170029,'Cannot be modified except by direct means',100,2,16),
(193159,118699,'Increases STR and AGI of group members (AE) by 14.4',100,1,0),
(193160,10118699,'Increases STR and AGI of group members (AE) by 14.4',100,1,0),
(193161,166493,'When Equipped:',100,0,0),
(193162,166493,'On a critical spell hit this spell may cast Critical Perfection IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(193163,166493,'Decreases Crit Chance of target by 2.0',100,2,2),
(193164,166493,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(193165,166493,'Increases Crit Bonus of caster by 10.0%',100,2,4),
(193166,166493,'Increases Crit Chance of caster by 10.0',100,2,5),
(193167,166493,'Must not be engaged in pvp combat',100,2,6),
(193168,166493,'Cannot be modified except by direct means',100,2,7),
(193169,166493,'On a critical combat hit this spell may cast Critical Perfection IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(193170,166493,'Decreases Crit Chance of target by 2.0',100,2,9),
(193171,166493,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(193172,166493,'Increases Crit Bonus of caster by 10.0%',100,2,11),
(193173,166493,'Increases Crit Chance of caster by 10.0',100,2,12),
(193174,166493,'Must not be engaged in pvp combat',100,2,13),
(193175,166493,'Cannot be modified except by direct means',100,2,14),
(193176,166493,'Must not be engaged in pvp combat',100,1,15),
(193177,10166493,'When Equipped:',100,0,0),
(193178,10166493,'On a critical spell hit this spell may cast Critical Perfection IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(193179,10166493,'Decreases Crit Chance of target by 2.0',100,2,2),
(193180,10166493,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(193181,10166493,'Increases Crit Bonus of caster by 10.0%',100,2,4),
(193182,10166493,'Increases Crit Chance of caster by 10.0',100,2,5),
(193183,10166493,'Must not be engaged in pvp combat',100,2,6),
(193184,10166493,'Cannot be modified except by direct means',100,2,7),
(193185,10166493,'On a critical combat hit this spell may cast Critical Perfection IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(193186,10166493,'Decreases Crit Chance of target by 2.0',100,2,9),
(193187,10166493,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(193188,10166493,'Increases Crit Bonus of caster by 10.0%',100,2,11),
(193189,10166493,'Increases Crit Chance of caster by 10.0',100,2,12),
(193190,10166493,'Must not be engaged in pvp combat',100,2,13),
(193191,10166493,'Cannot be modified except by direct means',100,2,14),
(193192,10166493,'Must not be engaged in pvp combat',100,1,15),
(193193,114766,'Feigns Death with 68% chance of success',100,1,0),
(193194,10114766,'Feigns Death with 68% chance of success',100,1,0),
(193195,144654,'When Equipped:',100,0,0),
(193196,144654,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193197,144654,'Wards target against 1000 points of all damage',100,2,2),
(193198,144654,'Cannot be modified except by direct means',100,2,3),
(193199,10144654,'When Equipped:',100,0,0),
(193200,10144654,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193201,10144654,'Wards target against 1000 points of all damage',100,2,2),
(193202,10144654,'Cannot be modified except by direct means',100,2,3),
(193203,110609,'Decreases Focus of target by 25.2',100,1,0),
(193204,110609,'Interrupts target',100,1,1),
(193205,110609,'Inflicts 161 - 484 crushing damage on target',100,1,2),
(193206,10110609,'Decreases Focus of target by 25.2',100,1,0),
(193207,10110609,'Interrupts target',100,1,1),
(193208,10110609,'Inflicts 209 - 629 crushing damage on target',100,1,2),
(193209,141733,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(193210,141733,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193211,141733,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(193212,141733,'Cannot be modified except by direct means',100,2,3),
(193213,10141733,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(193214,10141733,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193215,10141733,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(193216,10141733,'Cannot be modified except by direct means',100,2,3),
(193217,146064,'When Equipped:',100,0,0),
(193218,146064,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(193219,10146064,'When Equipped:',100,0,0),
(193220,10146064,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(193221,114916,'Inflicts 414 - 690 melee damage on target',100,1,0),
(193222,114916,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1088',100,1,1),
(193223,114916,'Must be behind',100,1,2),
(193224,10114916,'Inflicts 538 - 897 melee damage on target',100,1,0),
(193225,10114916,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 544',100,1,1),
(193226,10114916,'Must be behind',100,1,2),
(193227,45198,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(193228,45198,'Increases INT of caster by 45.7',100,1,1),
(193229,10045198,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(193230,10045198,'Increases INT of caster by 45.7',100,1,1),
(193231,119969,'Increases Threat to target by 81 - 99 ',100,1,0),
(193232,10119969,'Prevents target from changing targets',100,1,0),
(193233,10119969,'Forces target to change their selected target to caster.',100,1,1),
(193234,112075,'Inflicts 22 - 36 heat damage on target instantly and every 2 seconds',100,1,0),
(193235,10112075,'Inflicts 69 - 115 heat damage on target instantly and every 2 seconds',100,1,0),
(193236,35763,'Increases INT and STA of target by 1.1',100,0,0),
(193237,35763,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(193238,52881,'Applies Sanguine Imbued when Equipped.',100,0,0),
(193239,52881,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(193240,52881,'Inflicts 224 heat damage on target',100,2,2),
(193241,52881,'Cannot be modified except by direct means',100,2,3),
(193242,10052881,'Applies Sanguine Imbued when Equipped.',100,0,0),
(193243,10052881,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(193244,10052881,'Inflicts 291 heat damage on target',100,2,2),
(193245,10052881,'Cannot be modified except by direct means',100,2,3),
(193246,174720,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(193247,174720,'Decreases Mitigation of target vs physical damage by 225',100,1,1),
(193248,174720,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(193249,10174720,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(193250,10174720,'Decreases Mitigation of target vs physical damage by 225',100,1,1),
(193251,10174720,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(193252,35164,'Increases Max Power of target by 3.3',100,0,0),
(193253,35164,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(193254,124089,'Dispels 115 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(193255,10124089,'Dispels 115 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(193256,173007,'When Equipped:',100,0,0),
(193257,173007,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(193258,173007,'Decreases Damage Per Second of target encounter by 5.4 - 8.9',100,2,2),
(193259,173007,'Cannot be modified except by direct means',100,2,3),
(193260,10173007,'When Equipped:',100,0,0),
(193261,10173007,'When any damage is received this spell has a 7.5% chance to cast Languor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(193262,10173007,'Decreases Damage Per Second of target encounter by 5.4 - 8.9',100,2,2),
(193263,10173007,'Cannot be modified except by direct means',100,2,3),
(193264,113107,'Heals target for 74.9 - 91.5% of max health',100,1,0),
(193265,113107,'This effect cannot be critically applied.',100,2,1),
(193266,113107,'Increases Max Health of target by 860.4',100,1,2),
(193267,113107,'Increases Mitigation of target vs physical damage by 992',100,1,3),
(193268,113107,'The healing of this spell cannot be modified except by direct means',100,1,4),
(193269,10113107,'Heals target for 30.0 - 36.6% of max health',100,1,0),
(193270,10113107,'This effect cannot be critically applied.',100,2,1),
(193271,10113107,'Increases Max Health of target by 860.4',100,1,2),
(193272,10113107,'Increases Mitigation of target vs physical damage by 992',100,1,3),
(193273,10113107,'The healing of this spell cannot be modified except by direct means',100,1,4),
(193274,117751,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(193275,117751,'Heals target for 2400',100,2,1),
(193276,117751,'Increases Max Health of target by 1,408.8',100,2,2),
(193277,117751,'Grants a total of 1 trigger of the spell.',100,2,3),
(193278,10117751,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(193279,10117751,'Heals target for 1560',100,2,1),
(193280,10117751,'Increases Max Health of target by 1,408.8',100,2,2),
(193281,10117751,'Grants a total of 1 trigger of the spell.',100,2,3),
(193282,178784,'When Equipped:',100,0,0),
(193283,178784,'Reduces cast time of all spells by 5 percent.',100,1,1),
(193284,10178784,'When Equipped:',100,0,0),
(193285,10178784,'Reduces cast time of all spells by 5 percent.',100,1,1),
(193286,108730,'Summons a pet fiery magician',100,1,0),
(193287,10108730,'Summons a pet fiery magician',100,1,0),
(193288,115468,'Summons a pet nightshade',100,1,0),
(193289,10115468,'Summons a pet nightshade',100,1,0),
(193290,72220,'When Equipped:',100,0,0),
(193291,72220,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193292,72220,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(193293,72220,'Cannot be modified except by direct means',100,2,3),
(193294,10072220,'When Equipped:',100,0,0),
(193295,10072220,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193296,10072220,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(193297,10072220,'Cannot be modified except by direct means',100,2,3),
(193298,109978,'Inflicts 1291 - 1936 disease damage on targets in Area of Effect',100,1,0),
(193299,109978,'Inflicts 645 - 968 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(193300,109978,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(193301,109978,'Increases Threat to targets in Area of Effect by 3,398 - 4,153  instantly and every 4 seconds thereafter',100,1,3),
(193302,10109978,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(193303,10109978,'Prevents target from changing targets',100,2,1),
(193304,10109978,'Forces target to change their selected target to caster.',100,2,2),
(193305,10109978,'Inflicts 1678 - 2517 disease damage on targets in Area of Effect',100,1,3),
(193306,10109978,'Inflicts 839 - 1258 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(193307,110861,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(193308,110861,'Inflicts 762 - 1269 divine damage on target',100,2,1),
(193309,110861,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(193310,110861,'Stuns target',100,3,3),
(193311,110861,'Throws target back',100,3,4),
(193312,110861,'Blurs vision of target',100,3,5),
(193313,110861,'Does not affect Epic targets',100,3,6),
(193314,110861,'Grants a total of 3 triggers of the spell.',100,2,7),
(193315,10110861,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(193316,10110861,'Inflicts 990 - 1650 divine damage on target',100,2,1),
(193317,10110861,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(193318,10110861,'Stuns target',100,3,3),
(193319,10110861,'Throws target back',100,3,4),
(193320,10110861,'Blurs vision of target',100,3,5),
(193321,10110861,'Does not affect Epic targets',100,3,6),
(193322,10110861,'Grants a total of 3 triggers of the spell.',100,2,7),
(193323,74585,'When Equipped:',100,0,0),
(193324,74585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193325,74585,'Inflicts 208 - 311 magic damage on target',100,2,2),
(193326,74585,'Cannot be modified except by direct means',100,2,3),
(193327,10074585,'When Equipped:',100,0,0),
(193328,10074585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193329,10074585,'Inflicts 270 - 405 magic damage on target',100,2,2),
(193330,10074585,'Cannot be modified except by direct means',100,2,3),
(193331,80817,'When Equipped:',100,0,0),
(193332,80817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193333,80817,'Inflicts 267 - 496 magic damage on target',100,2,2),
(193334,80817,'Cannot be modified except by direct means',100,2,3),
(193335,10080817,'When Equipped:',100,0,0),
(193336,10080817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193337,10080817,'Inflicts 347 - 644 magic damage on target',100,2,2),
(193338,10080817,'Cannot be modified except by direct means',100,2,3),
(193339,159936,'When Equipped:',100,0,0),
(193340,159936,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193341,159936,'Increases STR of caster by 3.6',100,2,2),
(193342,159936,'Increases Damage Per Second of caster by 11.3',100,2,3),
(193343,159936,'Cannot be modified except by direct means',100,2,4),
(193344,10159936,'When Equipped:',100,0,0),
(193345,10159936,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193346,10159936,'Increases STR of caster by 3.6',100,2,2),
(193347,10159936,'Increases Damage Per Second of caster by 11.3',100,2,3),
(193348,10159936,'Cannot be modified except by direct means',100,2,4),
(193349,101673,'Decreases Attack Speed of target by 15.2',100,1,0),
(193350,101673,'Decreases Damage Per Second of target by 10.4',100,1,1),
(193351,10101673,'Decreases Attack Speed of target by 15.2',100,1,0),
(193352,10101673,'Decreases Damage Per Second of target by 10.4',100,1,1),
(193353,134398,'When Equipped:',100,0,0),
(193354,134398,'On any combat or spell hit this spell may cast Blood and Ashes on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(193355,134398,'Inflicts 1139 - 1259 slashing damage on target encounter instantly and every 2 seconds',100,2,2),
(193356,134398,'Heals group members (AE) for 1247 - 1378 instantly and every 2 seconds',100,2,3),
(193357,134398,'Decreases Potency of target encounter by 10%.',100,2,4),
(193358,134398,'Increases Potency of group members (AE) by 10%.',100,2,5),
(193359,134398,'Must not be engaged in pvp combat',100,2,6),
(193360,134398,'Cannot be modified except by direct means',100,2,7),
(193361,134398,'Must not be engaged in pvp combat',100,1,8),
(193362,10134398,'When Equipped:',100,0,0),
(193363,10134398,'On any combat or spell hit this spell may cast Blood and Ashes on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(193364,10134398,'Inflicts 1481 - 1636 slashing damage on target encounter instantly and every 2 seconds',100,2,2),
(193365,10134398,'Heals group members (AE) for 1459 - 1612 instantly and every 2 seconds',100,2,3),
(193366,10134398,'Decreases Potency of target encounter by 10%.',100,2,4),
(193367,10134398,'Increases Potency of group members (AE) by 10%.',100,2,5),
(193368,10134398,'Must not be engaged in pvp combat',100,2,6),
(193369,10134398,'Cannot be modified except by direct means',100,2,7),
(193370,10134398,'Must not be engaged in pvp combat',100,1,8),
(193371,27300,'When Equipped:',100,0,0),
(193372,27300,'Increases Crit Chance of caster by 1.0',100,1,1),
(193373,10027300,'When Equipped:',100,0,0),
(193374,10027300,'Increases Crit Chance of caster by 1.0',100,1,1),
(193375,107955,'Increases In-Combat Power Regeneration of group members (AE) by 9.9',100,1,0),
(193376,10107955,'Increases In-Combat Power Regeneration of group members (AE) by 9.9',100,1,0),
(193377,159807,'Applies Lambent Imbued when Equipped.',100,0,0),
(193378,159807,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193379,159807,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(193380,159807,'Cannot be modified except by direct means',100,2,3),
(193381,10159807,'Applies Lambent Imbued when Equipped.',100,0,0),
(193382,10159807,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(193383,10159807,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(193384,10159807,'Cannot be modified except by direct means',100,2,3),
(193385,157337,'When Equipped:',100,0,0),
(193386,157337,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(193387,157337,'Roots target',100,2,2),
(193388,157337,'15% chance to dispel when target takes damage',100,2,3),
(193389,157337,'Only affects targets level 90 and below',100,2,4),
(193390,157337,'Does not affect Epic targets',100,2,5),
(193391,157337,'Resistibility increases against targets higher than level 107.',100,2,6),
(193392,157337,'Cannot be modified except by direct means',100,2,7),
(193393,10157337,'When Equipped:',100,0,0),
(193394,10157337,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(193395,10157337,'Roots target',100,2,2),
(193396,10157337,'15% chance to dispel when target takes damage',100,2,3),
(193397,10157337,'Only affects targets level 90 and below',100,2,4),
(193398,10157337,'Does not affect Epic targets',100,2,5),
(193399,10157337,'Resistibility increases against targets higher than level 107.',100,2,6),
(193400,10157337,'Cannot be modified except by direct means',100,2,7),
(193401,81042,'When Equipped:',100,0,0),
(193402,81042,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193403,81042,'Inflicts 203 - 377 magic damage on target',100,2,2),
(193404,81042,'Cannot be modified except by direct means',100,2,3),
(193405,10081042,'When Equipped:',100,0,0),
(193406,10081042,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193407,10081042,'Inflicts 264 - 490 magic damage on target',100,2,2),
(193408,10081042,'Cannot be modified except by direct means',100,2,3),
(193409,113677,'Stuns target',100,1,0),
(193410,113677,'If Target is not Epic',100,2,1),
(193411,113677,'Inflicts 214 - 356 heat damage on target',100,1,2),
(193412,113677,'Resistibility increases against targets higher than level 45.',100,1,3),
(193413,10113677,'Stuns target',100,1,0),
(193414,10113677,'If Target is not Epic',100,2,1),
(193415,10113677,'Inflicts 278 - 463 heat damage on target',100,1,2),
(193416,10113677,'Resistibility increases against targets higher than level 45.',100,1,3),
(193417,47915,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(193418,47915,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(193419,47915,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(193420,10047915,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(193421,10047915,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(193422,10047915,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(193423,104211,'Inflicts 51 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(193424,104211,'Decreases WIS of target encounter by 23.4',100,1,1),
(193425,10104211,'Inflicts 66 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(193426,10104211,'Decreases WIS of target encounter by 23.4',100,1,1),
(193427,81249,'When Equipped:',100,0,0),
(193428,81249,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193429,81249,'Inflicts 314 - 583 magic damage on target',100,2,2),
(193430,81249,'Cannot be modified except by direct means',100,2,3),
(193431,10081249,'When Equipped:',100,0,0),
(193432,10081249,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193433,10081249,'Inflicts 408 - 757 magic damage on target',100,2,2),
(193434,10081249,'Cannot be modified except by direct means',100,2,3),
(193435,113494,'Inflicts 152 - 254 melee damage on targets in area',100,1,0),
(193436,10113494,'Inflicts 198 - 330 melee damage on targets in area',100,1,0),
(193437,102980,'Increases STR and AGI of group members (AE) by 42.9',100,1,0),
(193438,10102980,'Increases STR and AGI of group members (AE) by 42.9',100,1,0),
(193439,80597,'When Equipped:',100,0,0),
(193440,80597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193441,80597,'Inflicts 83 - 154 magic damage on target',100,2,2),
(193442,80597,'Cannot be modified except by direct means',100,2,3),
(193443,10080597,'When Equipped:',100,0,0),
(193444,10080597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193445,10080597,'Inflicts 108 - 200 magic damage on target',100,2,2),
(193446,10080597,'Cannot be modified except by direct means',100,2,3),
(193447,106119,'Increases Attack Speed of caster by 24.2',100,1,0),
(193448,106119,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(193449,106119,'Stuns target',100,2,2),
(193450,106119,'Throws target back',100,2,3),
(193451,106119,'Blurs vision of target',100,2,4),
(193452,106119,'Does not affect Epic targets',100,2,5),
(193453,10106119,'Increases Attack Speed of caster by 24.2',100,1,0),
(193454,10106119,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(193455,10106119,'Stuns target',100,2,2),
(193456,10106119,'Throws target back',100,2,3),
(193457,10106119,'Blurs vision of target',100,2,4),
(193458,10106119,'Does not affect Epic targets',100,2,5),
(193459,114196,'Inflicts 375 - 625 melee damage on target',100,1,0),
(193460,114196,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(193461,10114196,'Inflicts 487 - 813 melee damage on target',100,1,0),
(193462,10114196,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(193463,101782,'Heals group members (AE) for 589 - 720 instantly and every 2 seconds',100,1,0),
(193464,10101782,'Heals group members (AE) for 383 - 468 instantly and every 2 seconds',100,1,0),
(193465,114436,'Mesmerizes target',100,1,0),
(193466,114436,'Prevents AOE (except when direct) ',100,1,1),
(193467,114436,'Dispelled when target takes damage',100,1,2),
(193468,114436,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(193469,114436,'Resistibility increases against targets higher than level 116.',100,1,4),
(193470,10114436,'Mesmerizes target',100,1,0),
(193471,10114436,'Prevents AOE (except when direct) ',100,1,1),
(193472,10114436,'Dispelled when target takes damage',100,1,2),
(193473,10114436,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(193474,10114436,'Resistibility increases against targets higher than level 116.',100,1,4),
(193475,41661,'When Equipped:',100,0,0),
(193476,41661,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(193477,41661,'Inflicts 288 - 534 magic damage on target',100,2,2),
(193478,41661,'Decreases Threat to target by 672 ',100,2,3),
(193479,41661,'Must be flanking or behind',100,3,4),
(193480,41661,'Increases Threat to target by 672 ',100,2,5),
(193481,41661,'Must be in front of',100,3,6),
(193482,41661,'Cannot be modified except by direct means',100,2,7),
(193483,10041661,'When Equipped:',100,0,0),
(193484,10041661,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(193485,10041661,'Inflicts 374 - 695 magic damage on target',100,2,2),
(193486,10041661,'Cannot be modified except by direct means',100,2,3),
(193487,115027,'Heals target for 226 - 276',100,1,0),
(193488,10115027,'Heals target for 316 - 386',100,1,0),
(193489,102436,'Stuns target encounter',100,1,0),
(193490,102436,'Epic targets gain an immunity to Stun effects of 9.8 seconds and duration is reduced to 1.1 seconds.',100,1,1),
(193491,102436,'Resistibility increases against targets higher than level 45.',100,1,2),
(193492,10102436,'Stuns target encounter',100,1,0),
(193493,10102436,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(193494,10102436,'Resistibility increases against targets higher than level 45.',100,1,2),
(193495,36997,'Increases AGI of target by 1.5',100,0,0),
(193496,36997,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(193497,135208,'When Equipped:',100,0,0),
(193498,135208,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(193499,135208,'Inflicts 1986 poison damage on target',100,2,2),
(193500,135208,'Cannot be modified except by direct means',100,2,3),
(193501,10135208,'When Equipped:',100,0,0),
(193502,10135208,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(193503,10135208,'Inflicts 1291 poison damage on target',100,2,2),
(193504,10135208,'Cannot be modified except by direct means',100,2,3),
(193505,110603,'Decreases Focus of target by 20.3',100,1,0),
(193506,110603,'Interrupts target',100,1,1),
(193507,110603,'Inflicts 120 - 362 crushing damage on target',100,1,2),
(193508,10110603,'Decreases Focus of target by 20.3',100,1,0),
(193509,10110603,'Interrupts target',100,1,1),
(193510,10110603,'Inflicts 156 - 470 crushing damage on target',100,1,2),
(193511,185474,'When Equipped:',100,0,0),
(193512,185474,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(193513,185474,'Inflicts 2664 disease damage on target encounter',100,2,2),
(193514,185474,'Must not be engaged in pvp combat',100,2,3),
(193515,185474,'Cannot be modified except by direct means',100,2,4),
(193516,10185474,'When Equipped:',100,0,0),
(193517,10185474,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(193518,10185474,'Inflicts 1732 disease damage on target encounter',100,2,2),
(193519,10185474,'Must not be engaged in pvp combat',100,2,3),
(193520,10185474,'Cannot be modified except by direct means',100,2,4),
(193521,121184,'Grants stealth to caster',100,1,0),
(193522,121184,'Suspends caster''s movement speed enhancements',100,1,1),
(193523,121184,'Decreases Threat to target by 315 - 526 ',100,1,2),
(193524,10121184,'Grants stealth to caster',100,1,0),
(193525,10121184,'Suspends caster''s movement speed enhancements',100,1,1),
(193526,10121184,'Forces target to clear their selected target.',100,1,2),
(193527,101935,'Inflicts 467 - 778 melee damage on target',100,1,0),
(193528,101935,'Inflicts 156 piercing damage on target instantly and every 4 seconds',100,1,1),
(193529,101935,'Must be behind',100,1,2),
(193530,10101935,'Inflicts 607 - 1012 melee damage on target',100,1,0),
(193531,10101935,'Inflicts 202 piercing damage on target instantly and every 4 seconds',100,1,1),
(193532,10101935,'Must be behind',100,1,2),
(193533,36516,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(193534,115026,'Heals target for 167 - 204',100,1,0),
(193535,10115026,'Heals target for 234 - 286',100,1,0),
(193536,82045,'When Equipped:',100,0,0),
(193537,82045,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193538,82045,'Inflicts 191 - 354 magic damage on target',100,2,2),
(193539,82045,'Cannot be modified except by direct means',100,2,3),
(193540,10082045,'When Equipped:',100,0,0),
(193541,10082045,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193542,10082045,'Inflicts 248 - 460 magic damage on target',100,2,2),
(193543,10082045,'Cannot be modified except by direct means',100,2,3),
(193544,119199,'Inflicts 346 - 577 heat damage on target',100,1,0),
(193545,119199,'Inflicts 346 - 577 heat damage on target',100,1,1),
(193546,119199,'Requires bow',100,1,2),
(193547,10119199,'Inflicts 396 - 660 heat damage on target',100,1,0),
(193548,10119199,'Inflicts 396 - 660 heat damage on target',100,1,1),
(193549,10119199,'Requires bow',100,1,2),
(193550,52830,'Applies Sanguine Imbued when Equipped.',100,0,0),
(193551,52830,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(193552,52830,'Inflicts 151 heat damage on target',100,2,2),
(193553,52830,'Cannot be modified except by direct means',100,2,3),
(193554,10052830,'Applies Sanguine Imbued when Equipped.',100,0,0),
(193555,10052830,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(193556,10052830,'Inflicts 197 heat damage on target',100,2,2),
(193557,10052830,'Cannot be modified except by direct means',100,2,3),
(193558,48313,'Applies noxious remedy when Activated.',100,0,0),
(193559,48313,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(193560,10048313,'Applies noxious remedy when Activated.',100,0,0),
(193561,10048313,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(193562,106285,'Wards target against 2042 points of all damage',100,1,0),
(193563,10106285,'Wards target against 2042 points of all damage',100,1,0),
(193564,120302,'Increases Threat to target by 28 - 35 ',100,1,0),
(193565,10120302,'Forces target to change their selected target to caster.',100,1,0),
(193566,10120302,'Prevents target from changing targets',100,1,1),
(193567,74917,'When Equipped:',100,0,0),
(193568,74917,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193569,74917,'Inflicts 38 - 57 magic damage on target',100,2,2),
(193570,74917,'Cannot be modified except by direct means',100,2,3),
(193571,10074917,'When Equipped:',100,0,0),
(193572,10074917,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193573,10074917,'Inflicts 50 - 75 magic damage on target',100,2,2),
(193574,10074917,'Cannot be modified except by direct means',100,2,3),
(193575,110527,'Increases Threat to target by 692  instantly and by 288  every 3 seconds thereafter',100,1,0),
(193576,110527,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(193577,110527,'Stuns target',100,2,2),
(193578,110527,'Throws target back',100,2,3),
(193579,110527,'Blurs vision of target',100,2,4),
(193580,110527,'Does not affect Epic targets',100,2,5),
(193581,110527,'Inflicts 184 - 307 disease damage on target',100,1,6),
(193582,10110527,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(193583,10110527,'Stuns target',100,2,1),
(193584,10110527,'Throws target back',100,2,2),
(193585,10110527,'Blurs vision of target',100,2,3),
(193586,10110527,'Does not affect Epic targets',100,2,4),
(193587,10110527,'Forces target to change their selected target to caster.',100,1,5),
(193588,10110527,'Inflicts 200 - 333 disease damage on target',100,1,6),
(193589,10110527,'Prevents target from changing targets',100,1,7),
(193590,186901,'When Equipped:',100,0,0),
(193591,186901,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(193592,10186901,'When Equipped:',100,0,0),
(193593,10186901,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(193594,121120,'Decreases Threat to targets in Area of Effect by 4,820 ',100,1,0),
(193595,121120,'Mesmerizes targets in Area of Effect',100,1,1),
(193596,121120,'If Target is not Epic',100,2,2),
(193597,121120,'Dispelled when target takes damage',100,1,3),
(193598,10121120,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(193599,10121120,'Applies Distract.',100,1,1),
(193600,10121120,'Forces target to clear their selected target.',100,2,2),
(193601,10121120,'Mesmerizes targets in Area of Effect',100,1,3),
(193602,10121120,'If Target is not Epic',100,2,4),
(193603,10121120,'Dispelled when target takes damage',100,1,5),
(193604,106224,'Inflicts 251 - 754 melee damage on target',100,1,0),
(193605,106224,'Stifles target',100,1,1),
(193606,106224,'If Target is not Epic',100,2,2),
(193607,106224,'Resistibility increases against targets higher than level 83.',100,1,3),
(193608,10106224,'Inflicts 326 - 980 melee damage on target',100,1,0),
(193609,10106224,'Stifles target',100,1,1),
(193610,10106224,'If Target is not Epic',100,2,2),
(193611,10106224,'Resistibility increases against targets higher than level 83.',100,1,3),
(193612,104827,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(193613,104827,'If Fighter',100,2,1),
(193614,104827,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(193615,104827,'Increases power of target by 32',100,2,3),
(193616,104827,'Increases power of caster by 32',100,2,4),
(193617,10104827,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(193618,10104827,'Increases power of target by 32',100,2,1),
(193619,10104827,'Increases power of caster by 32',100,2,2),
(193620,85853,'Applies Artisan''s Escape when Activated.',100,0,0),
(193621,85853,'Teleports caster within the zone',100,1,1),
(193622,85853,'Must not be engaged in combat',100,2,2),
(193623,85853,'Must not be engaged in pvp combat',100,2,3),
(193624,85853,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(193625,10085853,'Applies Artisan''s Escape when Activated.',100,0,0),
(193626,10085853,'Teleports caster within the zone',100,1,1),
(193627,10085853,'Must not be engaged in combat',100,2,2),
(193628,10085853,'Must not be engaged in pvp combat',100,2,3),
(193629,10085853,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(193630,25011,'When Equipped:',100,0,0),
(193631,25011,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(193632,25011,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,2),
(193633,25011,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(193634,10025011,'When Equipped:',100,0,0),
(193635,10025011,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(193636,10025011,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,2),
(193637,10025011,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(193638,114303,'Heals target for 588 - 719',100,1,0),
(193639,10114303,'Heals target for 691 - 845',100,1,0),
(193640,74678,'When Equipped:',100,0,0),
(193641,74678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193642,74678,'Inflicts 66 - 99 magic damage on target',100,2,2),
(193643,74678,'Cannot be modified except by direct means',100,2,3),
(193644,10074678,'When Equipped:',100,0,0),
(193645,10074678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193646,10074678,'Inflicts 86 - 129 magic damage on target',100,2,2),
(193647,10074678,'Cannot be modified except by direct means',100,2,3),
(193648,123027,'Summons 12 limited pets to aid the caster',100,1,0),
(193649,10123027,'Summons 12 limited pets to aid the caster',100,1,0),
(193650,75306,'When Equipped:',100,0,0),
(193651,75306,'On a combat hit this spell may cast Strike of the Eternal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193652,75306,'Inflicts 364 - 677 magic damage on target',100,2,2),
(193653,75306,'Cannot be modified except by direct means',100,2,3),
(193654,75306,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(193655,75306,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(193656,10075306,'When Equipped:',100,0,0),
(193657,10075306,'On a combat hit this spell may cast Strike of the Eternal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193658,10075306,'Inflicts 474 - 880 magic damage on target',100,2,2),
(193659,10075306,'Cannot be modified except by direct means',100,2,3),
(193660,10075306,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(193661,10075306,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(193662,122904,'Increases STR and INT of group members (AE) by 43.4',100,1,0),
(193663,10122904,'Increases STR and INT of group members (AE) by 43.4',100,1,0),
(193664,47681,'Applies Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(193665,47681,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(193666,47681,'Inflicts 471 poison damage on target',100,2,2),
(193667,47681,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,3),
(193668,47681,'Cannot be modified except by direct means',100,2,4),
(193669,47681,'Grants a total of 200 triggers of the spell.',100,2,5),
(193670,47681,'Only affects targets level 50 and above',100,1,6),
(193671,10047681,'Applies Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(193672,10047681,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(193673,10047681,'Inflicts 459 poison damage on target',100,2,2),
(193674,10047681,'Inflicts 75 poison damage on target instantly and every 6 seconds',100,2,3),
(193675,10047681,'Cannot be modified except by direct means',100,2,4),
(193676,10047681,'Grants a total of 200 triggers of the spell.',100,2,5),
(193677,10047681,'Only affects targets level 50 and above',100,1,6),
(193678,184850,'When Equipped:',100,0,0),
(193679,184850,'Reduces maximum falling speed of caster',100,1,1),
(193680,10184850,'When Equipped:',100,0,0),
(193681,10184850,'Reduces maximum falling speed of caster',100,1,1),
(193682,124410,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(193683,124410,'Inflicts 233 - 388 melee damage on target',100,2,1),
(193684,124410,'Grants a total of 3 triggers of the spell.',100,2,2),
(193685,10124410,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(193686,10124410,'Inflicts 303 - 505 melee damage on target',100,2,1),
(193687,10124410,'Grants a total of 3 triggers of the spell.',100,2,2),
(193688,114151,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(193689,114151,'Increases Mitigation of group members (AE) vs elemental damage by 1738',100,1,1),
(193690,10114151,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(193691,10114151,'Increases Mitigation of group members (AE) vs elemental damage by 1738',100,1,1),
(193692,107778,'Stuns target',100,1,0),
(193693,107778,'If Target is not Epic',100,2,1),
(193694,107778,'Inflicts 2469 - 4115 cold damage on target',100,1,2),
(193695,107778,'Resistibility increases against targets higher than level 121.',100,1,3),
(193696,10107778,'Stuns target',100,1,0),
(193697,10107778,'If Target is not Epic',100,2,1),
(193698,10107778,'Inflicts 3209 - 5349 cold damage on target',100,1,2),
(193699,10107778,'Resistibility increases against targets higher than level 121.',100,1,3),
(193700,177566,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(193701,177566,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(193702,177566,'Inflicts 50 heat damage on target',100,2,2),
(193703,177566,'Cannot be modified except by direct means',100,2,3),
(193704,10177566,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(193705,10177566,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(193706,10177566,'Inflicts 66 heat damage on target',100,2,2),
(193707,10177566,'Cannot be modified except by direct means',100,2,3),
(193708,46915,'Applies Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(193709,46915,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(193710,46915,'Decreases power of target by 188',100,2,2),
(193711,46915,'Cannot be modified except by direct means',100,2,3),
(193712,46915,'Grants a total of 4 triggers of the spell.',100,2,4),
(193713,46915,'Only affects targets level 50 and above',100,1,5),
(193714,10046915,'Applies Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(193715,10046915,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(193716,10046915,'Decreases power of target by 188',100,2,2),
(193717,10046915,'Cannot be modified except by direct means',100,2,3),
(193718,10046915,'Grants a total of 4 triggers of the spell.',100,2,4),
(193719,10046915,'Only affects targets level 50 and above',100,1,5),
(193720,114456,'Inflicts 398 - 664 heat damage on target',100,1,0),
(193721,10114456,'Inflicts 518 - 863 heat damage on target',100,1,0),
(193722,46416,'Applies Form of the Ice Efreeti when Activated.',100,0,0),
(193723,46416,'Shapechanges caster into an Ice Efreeti',100,1,1),
(193724,10046416,'Applies Form of the Ice Efreeti when Activated.',100,0,0),
(193725,10046416,'Shapechanges caster into an Ice Efreeti',100,1,1),
(193726,48739,'Applies Translucent Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(193727,48739,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(193728,48739,'Only affects targets level 50 and above',100,1,2),
(193729,10048739,'Applies Translucent Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(193730,10048739,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(193731,10048739,'Only affects targets level 50 and above',100,1,2),
(193732,181728,'When Equipped:',100,0,0),
(193733,181728,'Reduces maximum falling speed of caster',100,1,1),
(193734,181728,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(193735,181728,'Enlarges caster by 49.6%',100,1,3),
(193736,181728,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(193737,10181728,'When Equipped:',100,0,0),
(193738,10181728,'Reduces maximum falling speed of caster',100,1,1),
(193739,10181728,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(193740,10181728,'Enlarges caster by 49.6%',100,1,3),
(193741,10181728,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(193742,115016,'Heals target for 30 - 36',100,1,0),
(193743,10115016,'Heals target for 42 - 51',100,1,0),
(193744,74624,'When Equipped:',100,0,0),
(193745,74624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193746,74624,'Inflicts 56 - 84 magic damage on target',100,2,2),
(193747,74624,'Cannot be modified except by direct means',100,2,3),
(193748,10074624,'When Equipped:',100,0,0),
(193749,10074624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193750,10074624,'Inflicts 73 - 110 magic damage on target',100,2,2),
(193751,10074624,'Cannot be modified except by direct means',100,2,3),
(193752,36548,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(193753,36548,'This effect suspends during combat',100,0,1),
(193754,109013,'Decreases Damage Per Second of target by 20.8',100,1,0),
(193755,109013,'Inflicts 248 - 303 melee damage on target',100,1,1),
(193756,10109013,'Decreases Damage Per Second of target by 20.8',100,1,0),
(193757,10109013,'Inflicts 322 - 394 melee damage on target',100,1,1),
(193758,117547,'Increases AGI, WIS and INT of group members (AE) by 100.3',100,1,0),
(193759,117547,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 388',100,1,1),
(193760,10117547,'Increases AGI, WIS and INT of group members (AE) by 100.3',100,1,0),
(193761,10117547,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 388',100,1,1),
(193762,111221,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(193763,111221,'Heals target for 93 - 114',100,2,1),
(193764,10111221,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(193765,10111221,'Heals target for 61 - 74',100,2,1),
(193766,179421,'When Equipped:',100,0,0),
(193767,179421,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(193768,179421,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(193769,179421,'Inflicts 562 mental damage on target',100,2,3),
(193770,179421,'Must be classified as an undead',100,3,4),
(193771,179421,'Inflicts 281 mental damage on target',100,2,5),
(193772,179421,'Must not be classified as an undead',100,3,6),
(193773,179421,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(193774,179421,'Must be classified as an undead',100,3,8),
(193775,179421,'Cannot be modified except by direct means',100,2,9),
(193776,10179421,'When Equipped:',100,0,0),
(193777,10179421,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(193778,10179421,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(193779,10179421,'Inflicts 731 mental damage on target',100,2,3),
(193780,10179421,'Must be classified as an undead',100,3,4),
(193781,10179421,'Inflicts 365 mental damage on target',100,2,5),
(193782,10179421,'Must not be classified as an undead',100,3,6),
(193783,10179421,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(193784,10179421,'Must be classified as an undead',100,3,8),
(193785,10179421,'Cannot be modified except by direct means',100,2,9),
(193786,71502,'When Equipped:',100,0,0),
(193787,71502,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193788,71502,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(193789,71502,'Cannot be modified except by direct means',100,2,3),
(193790,10071502,'When Equipped:',100,0,0),
(193791,10071502,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193792,10071502,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(193793,10071502,'Cannot be modified except by direct means',100,2,3),
(193794,159282,'Applies Sanguine Imbued when Equipped.',100,0,0),
(193795,159282,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(193796,159282,'Inflicts 117 heat damage on target',100,2,2),
(193797,159282,'Cannot be modified except by direct means',100,2,3),
(193798,10159282,'Applies Sanguine Imbued when Equipped.',100,0,0),
(193799,10159282,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(193800,10159282,'Inflicts 152 heat damage on target',100,2,2),
(193801,10159282,'Cannot be modified except by direct means',100,2,3),
(193802,80857,'When Equipped:',100,0,0),
(193803,80857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193804,80857,'Inflicts 267 - 496 magic damage on target',100,2,2),
(193805,80857,'Cannot be modified except by direct means',100,2,3),
(193806,10080857,'When Equipped:',100,0,0),
(193807,10080857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193808,10080857,'Inflicts 347 - 644 magic damage on target',100,2,2),
(193809,10080857,'Cannot be modified except by direct means',100,2,3),
(193810,132160,'When Equipped:',100,0,0),
(193811,132160,'On a healing spell cast this spell may cast Momentary Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(193812,132160,'Momentary Perception increases the amount of your next healing spell by 35%',100,2,2),
(193813,132160,'Dispelled when target casts a heal spell',100,2,3),
(193814,132160,'Cannot be modified except by direct means',100,2,4),
(193815,10132160,'When Equipped:',100,0,0),
(193816,10132160,'On a healing spell cast this spell may cast Momentary Perception on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(193817,10132160,'Momentary Perception increases the amount of your next healing spell by 35%',100,2,2),
(193818,10132160,'Dispelled when target casts a heal spell',100,2,3),
(193819,10132160,'Cannot be modified except by direct means',100,2,4),
(193820,102410,'Inflicts 1114 - 2069 melee damage on targets in area',100,1,0),
(193821,10102410,'Inflicts 1448 - 2690 melee damage on targets in area',100,1,0),
(193822,120366,'Inflicts 141 - 172 divine damage on target instantly and every 4 seconds',100,1,0),
(193823,120366,'Decreases WIS of target by 61.7',100,1,1),
(193824,10120366,'Inflicts 183 - 224 divine damage on target instantly and every 4 seconds',100,1,0),
(193825,10120366,'Decreases WIS of target by 61.7',100,1,1),
(193826,109210,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 14.3',100,1,0),
(193827,10109210,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 14.3',100,1,0),
(193828,46894,'Applies Max''s Miracle Cure when Activated.',100,0,0),
(193829,46894,'Dispels 98 levels of any hostile effects on caster',100,1,1),
(193830,10046894,'Applies Max''s Miracle Cure when Activated.',100,0,0),
(193831,10046894,'Dispels 98 levels of any hostile effects on caster',100,1,1),
(193832,71754,'When Equipped:',100,0,0),
(193833,71754,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193834,71754,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(193835,71754,'Cannot be modified except by direct means',100,2,3),
(193836,10071754,'When Equipped:',100,0,0),
(193837,10071754,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193838,10071754,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(193839,10071754,'Cannot be modified except by direct means',100,2,3),
(193840,108497,'Inflicts 30 - 51 melee damage on target',100,1,0),
(193841,10108497,'Inflicts 40 - 67 melee damage on target',100,1,0),
(193842,161148,'When Equipped:',100,0,0),
(193843,161148,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(193844,10161148,'When Equipped:',100,0,0),
(193845,10161148,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(193846,48507,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(193847,48507,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(193848,48507,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(193849,48507,'Cannot be modified except by direct means',100,2,3),
(193850,48507,'Grants a total of 80 triggers of the spell.',100,2,4),
(193851,10048507,'Applies turbulent misery when Activated.  Lasts for 12 hours.',100,0,0),
(193852,10048507,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(193853,10048507,'Decreases Mitigation of target vs noxious damage by 660',100,2,2),
(193854,10048507,'Cannot be modified except by direct means',100,2,3),
(193855,10048507,'Grants a total of 80 triggers of the spell.',100,2,4),
(193856,108637,'Using a Primal will activate Feral Rampage on the Beastlord',100,1,0),
(193857,108637,'Increases Damage Per Second of caster by 28.5',100,1,1),
(193858,108637,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.3',100,1,2),
(193859,108637,'When a combat art is used this spell will cast Savage Spirit on target.  ',100,1,3),
(193860,108637,'Increases savagery of caster by 14.0',100,2,4),
(193861,108637,'This effect cannot be critically applied.',100,3,5),
(193862,108637,'Cannot be modified except by direct means',100,2,6),
(193863,10108637,'Using a Primal will activate Feral Rampage on the Beastlord',100,1,0),
(193864,10108637,'Increases Damage Per Second of caster by 28.5',100,1,1),
(193865,10108637,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.3',100,1,2),
(193866,10108637,'When a combat art is used this spell will cast Savage Spirit on target.  ',100,1,3),
(193867,10108637,'Increases savagery of caster by 14.0',100,2,4),
(193868,10108637,'This effect cannot be critically applied.',100,3,5),
(193869,10108637,'Cannot be modified except by direct means',100,2,6),
(193870,110538,'Increases Threat to target by 1,047  instantly and by 436  every 3 seconds thereafter',100,1,0),
(193871,110538,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(193872,110538,'Stuns target',100,2,2),
(193873,110538,'Throws target back',100,2,3),
(193874,110538,'Blurs vision of target',100,2,4),
(193875,110538,'Does not affect Epic targets',100,2,5),
(193876,110538,'Inflicts 269 - 449 disease damage on target',100,1,6),
(193877,10110538,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(193878,10110538,'Stuns target',100,2,1),
(193879,10110538,'Blurs vision of target',100,2,2),
(193880,10110538,'Throws target back',100,2,3),
(193881,10110538,'Does not affect Epic targets',100,2,4),
(193882,10110538,'Forces target to change their selected target to caster.',100,1,5),
(193883,10110538,'Inflicts 292 - 486 disease damage on target',100,1,6),
(193884,10110538,'Prevents target from changing targets',100,1,7),
(193885,105319,'Inflicts 32 - 54 melee damage on target',100,1,0),
(193886,105319,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 82',100,1,1),
(193887,105319,'Must be flanking or behind',100,1,2),
(193888,10105319,'Inflicts 42 - 71 melee damage on target',100,1,0),
(193889,10105319,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 82',100,1,1),
(193890,10105319,'Must be flanking or behind',100,1,2),
(193891,103339,'Inflicts 238 - 290 mental damage on target instantly and every 6 seconds',100,1,0),
(193892,103339,'Applies Migraine on termination.',100,1,1),
(193893,103339,'Inflicts 518 - 701 mental damage on target',100,2,2),
(193894,10103339,'Inflicts 309 - 378 mental damage on target instantly and every 6 seconds',100,1,0),
(193895,10103339,'Applies Migraine on termination.',100,1,1),
(193896,10103339,'Inflicts 673 - 911 mental damage on target',100,2,2),
(193897,71836,'When Equipped:',100,0,0),
(193898,71836,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193899,71836,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(193900,71836,'Cannot be modified except by direct means',100,2,3),
(193901,10071836,'When Equipped:',100,0,0),
(193902,10071836,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(193903,10071836,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(193904,10071836,'Cannot be modified except by direct means',100,2,3),
(193905,37619,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(193906,124559,'Decreases Threat to targets in Area of Effect by 390 ',100,1,0),
(193907,124559,'Interrupts targets in Area of Effect',100,1,1),
(193908,124559,'Roots targets in Area of Effect',100,1,2),
(193909,124559,'If Target is not Epic',100,2,3),
(193910,10124559,'Applies Distract.',100,1,0),
(193911,10124559,'Forces target to clear their selected target.',100,2,1),
(193912,10124559,'Interrupts targets in Area of Effect',100,1,2),
(193913,10124559,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(193914,10124559,'Roots targets in Area of Effect',100,1,4),
(193915,10124559,'If Target is not Epic',100,2,5),
(193916,87097,'Applies Fire Ball when Activated.',100,0,0),
(193917,87097,'Inflicts 269 - 449 heat damage on target',100,1,1),
(193918,87097,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(193919,10087097,'Applies Fire Ball when Activated.',100,0,0),
(193920,10087097,'Inflicts 350 - 583 heat damage on target',100,1,1),
(193921,10087097,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(193922,124819,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 333',100,1,0),
(193923,10124819,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 333',100,1,0),
(193924,112707,'Inflicts 151 - 252 disease damage on target encounter',100,1,0),
(193925,10112707,'Inflicts 196 - 327 disease damage on target encounter',100,1,0),
(193926,106433,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(193927,106433,'Inflicts 905 - 1107 mental damage on target',100,2,1),
(193928,106433,'Grants a total of 3 triggers of the spell.',100,2,2),
(193929,10106433,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(193930,10106433,'Inflicts 1177 - 1439 mental damage on target',100,2,1),
(193931,10106433,'Grants a total of 3 triggers of the spell.',100,2,2),
(193932,119667,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(193933,119667,'Stuns target',100,2,1),
(193934,119667,'Throws target back',100,2,2),
(193935,119667,'Blurs vision of target',100,2,3),
(193936,119667,'Does not affect Epic targets',100,2,4),
(193937,119667,'Inflicts 290 - 870 melee damage on target',100,1,5),
(193938,10119667,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(193939,10119667,'Stuns target',100,2,1),
(193940,10119667,'Blurs vision of target',100,2,2),
(193941,10119667,'Throws target back',100,2,3),
(193942,10119667,'Does not affect Epic targets',100,2,4),
(193943,10119667,'Inflicts 377 - 1132 melee damage on target',100,1,5),
(193944,74633,'When Equipped:',100,0,0),
(193945,74633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193946,74633,'Inflicts 53 - 80 magic damage on target',100,2,2),
(193947,74633,'Cannot be modified except by direct means',100,2,3),
(193948,10074633,'When Equipped:',100,0,0),
(193949,10074633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193950,10074633,'Inflicts 70 - 104 magic damage on target',100,2,2),
(193951,10074633,'Cannot be modified except by direct means',100,2,3),
(193952,102387,'Inflicts 277 - 516 melee damage on targets in area',100,1,0),
(193953,10102387,'Inflicts 361 - 670 melee damage on targets in area',100,1,0),
(193954,40300,'When Equipped:',100,0,0),
(193955,40300,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193956,40300,'Inflicts 39 - 48 divine damage on target',100,2,2),
(193957,40300,'Cannot be modified except by direct means',100,2,3),
(193958,10040300,'When Equipped:',100,0,0),
(193959,10040300,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(193960,10040300,'Inflicts 51 - 62 divine damage on target',100,2,2),
(193961,10040300,'Cannot be modified except by direct means',100,2,3),
(193962,121773,'Heals target for 67 - 82',100,1,0),
(193963,121773,'Heals target for 11 - 14 every second',100,1,1),
(193964,10121773,'Heals target for 116 - 142',100,1,0),
(193965,10121773,'Heals target for 10 - 12 every second',100,1,1),
(193966,143191,'Applies Hooluk in a Hat when Activated.',100,0,0),
(193967,143191,'Summons a pet Hooluk',100,1,1),
(193968,143191,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(193969,10143191,'Applies Hooluk in a Hat when Activated.',100,0,0),
(193970,10143191,'Summons a pet Hooluk',100,1,1),
(193971,10143191,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(193972,43522,'When Equipped:',100,0,0),
(193973,43522,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(193974,43522,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(193975,43522,'Increases Ability Modifier of caster by 660.0',100,2,3),
(193976,43522,'Must not be engaged in pvp combat',100,2,4),
(193977,43522,'Cannot be modified except by direct means',100,2,5),
(193978,43522,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(193979,43522,'Increases Ability Modifier of caster by 660.0',100,2,7),
(193980,43522,'Must not be engaged in pvp combat',100,2,8),
(193981,43522,'Cannot be modified except by direct means',100,2,9),
(193982,43522,'Cannot be modified except by direct means',100,1,10),
(193983,10043522,'When Equipped:',100,0,0),
(193984,10043522,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(193985,10043522,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(193986,10043522,'Increases Ability Modifier of caster by 660.0',100,2,3),
(193987,10043522,'Must not be engaged in pvp combat',100,2,4),
(193988,10043522,'Cannot be modified except by direct means',100,2,5),
(193989,10043522,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(193990,10043522,'Increases Ability Modifier of caster by 660.0',100,2,7),
(193991,10043522,'Must not be engaged in pvp combat',100,2,8),
(193992,10043522,'Cannot be modified except by direct means',100,2,9),
(193993,10043522,'Cannot be modified except by direct means',100,1,10),
(193994,108438,'Increases INT, AGI, STR and WIS of group members (AE) by 88.0',100,1,0),
(193995,108438,'Adds 2.7% to base avoidance.',100,1,1),
(193996,108438,'Increases Ability Reuse Speed of group members (AE) by 9.6%',100,1,2),
(193997,108438,'Increases Attack Speed of group members (AE) by 60.4',100,1,3),
(193998,108438,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 258',100,1,4),
(193999,10108438,'Increases INT, AGI, STR and WIS of group members (AE) by 88.0',100,1,0),
(194000,10108438,'Adds 2.7% to base avoidance.',100,1,1),
(194001,10108438,'Increases Ability Reuse Speed of group members (AE) by 9.6%',100,1,2),
(194002,10108438,'Increases Attack Speed of group members (AE) by 60.4',100,1,3),
(194003,10108438,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 258',100,1,4),
(194004,47082,'Applies Mordant Strike when Activated.  Lasts for 12 hours.',100,0,0),
(194005,47082,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(194006,47082,'Inflicts 49 poison damage on target instantly and every 6 seconds',100,2,2),
(194007,47082,'Inflicts 152 poison damage on target',100,2,3),
(194008,47082,'Cannot be modified except by direct means',100,2,4),
(194009,47082,'Grants a total of 100 triggers of the spell.',100,2,5),
(194010,10047082,'Applies Mordant Strike when Activated.  Lasts for 12 hours.',100,0,0),
(194011,10047082,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(194012,10047082,'Inflicts 47 poison damage on target instantly and every 6 seconds',100,2,2),
(194013,10047082,'Inflicts 148 poison damage on target',100,2,3),
(194014,10047082,'Cannot be modified except by direct means',100,2,4),
(194015,10047082,'Grants a total of 100 triggers of the spell.',100,2,5),
(194016,112876,'Inflicts 149 - 182 melee damage on target',100,1,0),
(194017,112876,'Decreases Mitigation of target vs physical damage by 136',100,1,1),
(194018,112876,'Must be flanking or behind',100,1,2),
(194019,10112876,'Inflicts 194 - 237 melee damage on target',100,1,0),
(194020,10112876,'Decreases Mitigation of target vs physical damage by 136',100,1,1),
(194021,10112876,'Must be flanking or behind',100,1,2),
(194022,82175,'When Equipped:',100,0,0),
(194023,82175,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194024,82175,'Inflicts 48 - 89 magic damage on target',100,2,2),
(194025,82175,'Cannot be modified except by direct means',100,2,3),
(194026,10082175,'When Equipped:',100,0,0),
(194027,10082175,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194028,10082175,'Inflicts 62 - 115 magic damage on target',100,2,2),
(194029,10082175,'Cannot be modified except by direct means',100,2,3),
(194030,109722,'Inflicts 665 - 1109 cold damage on target',100,1,0),
(194031,109722,'If weapon equipped in Ranged',100,1,1),
(194032,10109722,'Inflicts 566 - 943 cold damage on target',100,1,0),
(194033,10109722,'If weapon equipped in Ranged',100,1,1),
(194034,119629,'Inflicts 41 - 68 crushing damage on target',100,1,0),
(194035,119629,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(194036,119629,'Stuns target',100,2,2),
(194037,119629,'Throws target back',100,2,3),
(194038,119629,'Blurs vision of target',100,2,4),
(194039,119629,'Does not affect Epic targets',100,2,5),
(194040,10119629,'Inflicts 53 - 89 crushing damage on target',100,1,0),
(194041,10119629,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(194042,10119629,'Stuns target',100,2,2),
(194043,10119629,'Blurs vision of target',100,2,3),
(194044,10119629,'Throws target back',100,2,4),
(194045,10119629,'Does not affect Epic targets',100,2,5),
(194046,110220,'Interrupts target',100,1,0),
(194047,110220,'Inflicts 214 - 357 crushing damage on target',100,1,1),
(194048,10110220,'Interrupts target',100,1,0),
(194049,10110220,'Inflicts 278 - 464 crushing damage on target',100,1,1),
(194050,35556,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(194051,120987,'Inflicts 14 - 23 poison damage on target instantly and every 4 seconds',100,1,0),
(194052,120987,'Inflicts 55 - 93 poison damage on target',100,1,1),
(194053,10120987,'Inflicts 18 - 30 poison damage on target instantly and every 4 seconds',100,1,0),
(194054,10120987,'Inflicts 72 - 120 poison damage on target',100,1,1),
(194055,160012,'Applies Lambent Imbued when Equipped.',100,0,0),
(194056,160012,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(194057,160012,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(194058,160012,'Cannot be modified except by direct means',100,2,3),
(194059,10160012,'Applies Lambent Imbued when Equipped.',100,0,0),
(194060,10160012,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(194061,10160012,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(194062,10160012,'Cannot be modified except by direct means',100,2,3),
(194063,121797,'Heals target for 267 - 327',100,1,0),
(194064,121797,'Heals target for 45 - 54 every second',100,1,1),
(194065,10121797,'Heals target for 463 - 566',100,1,0),
(194066,10121797,'Heals target for 39 - 47 every second',100,1,1),
(194067,79440,'When Equipped:',100,0,0),
(194068,79440,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194069,79440,'Inflicts 1986 magic damage on target',100,2,2),
(194070,79440,'Cannot be modified except by direct means',100,2,3),
(194071,10079440,'When Equipped:',100,0,0),
(194072,10079440,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194073,10079440,'Inflicts 1291 magic damage on target',100,2,2),
(194074,10079440,'Cannot be modified except by direct means',100,2,3),
(194075,105565,'Inflicts 204 - 380 disease damage on target',100,1,0),
(194076,105565,'Inflicts 123 - 228 disease damage on target every 2 seconds',100,1,1),
(194077,10105565,'Inflicts 266 - 493 disease damage on target',100,1,0),
(194078,10105565,'Inflicts 159 - 296 disease damage on target every 2 seconds',100,1,1),
(194079,134097,'When Equipped:',100,0,0),
(194080,134097,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(194081,134097,'Inflicts 37 cold damage on target',100,2,2),
(194082,134097,'Cannot be modified except by direct means',100,2,3),
(194083,10134097,'When Equipped:',100,0,0),
(194084,10134097,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(194085,10134097,'Inflicts 49 cold damage on target',100,2,2),
(194086,10134097,'Cannot be modified except by direct means',100,2,3),
(194087,116593,'Inflicts 273 - 456 divine damage on target',100,1,0),
(194088,10116593,'Inflicts 355 - 593 divine damage on target',100,1,0),
(194089,109768,'Inflicts 485 - 901 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(194090,10109768,'Inflicts 631 - 1172 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(194091,117114,'Mesmerizes target encounter',100,1,0),
(194092,117114,'Prevents AOE (except when direct) ',100,1,1),
(194093,117114,'Dispelled when target takes damage',100,1,2),
(194094,117114,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(194095,117114,'Resistibility increases against targets higher than level 107.',100,1,4),
(194096,10117114,'Mesmerizes target encounter',100,1,0),
(194097,10117114,'Prevents AOE (except when direct) ',100,1,1),
(194098,10117114,'Dispelled when target takes damage',100,1,2),
(194099,10117114,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(194100,10117114,'Resistibility increases against targets higher than level 107.',100,1,4),
(194101,109423,'Inflicts 81 - 99 cold damage on target instantly and every 4 seconds',100,1,0),
(194102,109423,'Decreases Mitigation of target vs elemental damage by 322',100,1,1),
(194103,10109423,'Inflicts 106 - 129 cold damage on target instantly and every 4 seconds',100,1,0),
(194104,10109423,'Decreases Mitigation of target vs elemental damage by 322',100,1,1),
(194105,118277,'Increases Threat to target encounter by 915 - 1,118 ',100,1,0),
(194106,118277,'Decreases Mitigation of target encounter vs arcane damage by 990',100,1,1),
(194107,10118277,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(194108,10118277,'Prevents target from changing targets',100,2,1),
(194109,10118277,'Forces target to change their selected target to caster.',100,2,2),
(194110,10118277,'Decreases Mitigation of target encounter vs arcane damage by 990',100,1,3),
(194111,107431,'Summons a pet earthen avatar',100,1,0),
(194112,10107431,'Summons a pet earthen avatar',100,1,0),
(194113,100831,'Wards target against 395 points of all damage',100,1,0),
(194114,10100831,'Wards target against 608 points of all damage',100,1,0),
(194115,102918,'Inflicts 20 - 25 disease damage on target instantly and every 4 seconds',100,1,0),
(194116,10102918,'Inflicts 34 - 42 disease damage on target',100,1,0),
(194117,10102918,'Inflicts 26 - 32 disease damage on target every 4 seconds',100,1,1),
(194118,118891,'Inflicts 200 - 333 melee damage on target',100,1,0),
(194119,118891,'Inflicts 200 - 333 melee damage on target',100,1,1),
(194120,118891,'Inflicts 200 - 333 melee damage on target',100,1,2),
(194121,118891,'Inflicts 200 - 333 melee damage on target',100,1,3),
(194122,118891,'Inflicts 200 - 333 melee damage on target',100,1,4),
(194123,10118891,'Inflicts 260 - 433 melee damage on target',100,1,0),
(194124,10118891,'Inflicts 260 - 433 melee damage on target',100,1,1),
(194125,10118891,'Inflicts 260 - 433 melee damage on target',100,1,2),
(194126,10118891,'Inflicts 260 - 433 melee damage on target',100,1,3),
(194127,10118891,'Inflicts 260 - 433 melee damage on target',100,1,4),
(194128,138511,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(194129,138511,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 527',100,1,1),
(194130,138511,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(194131,10138511,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(194132,10138511,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 527',100,1,1),
(194133,10138511,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(194134,144518,'Applies Death Cheater''s Song when Activated.',100,0,0),
(194135,144518,'Resurrects all deceased group members within a 25 meter radius of the caster with 100% health and power.',100,1,1),
(194136,144518,'The casting time of Death Cheater''s Song is 0.5 seconds and the reuse time of the spell is 7 minutes',100,1,2),
(194137,10144518,'Applies Death Cheater''s Song when Activated.',100,0,0),
(194138,10144518,'Resurrects all deceased group members within a 25 meter radius of the caster with 100% health and power.',100,1,1),
(194139,10144518,'The casting time of Death Cheater''s Song is 0.5 seconds and the reuse time of the spell is 7 minutes',100,1,2),
(194140,108132,'Increases Attack Speed of caster by 36.3',100,1,0),
(194141,10108132,'Increases Attack Speed of caster by 36.3',100,1,0),
(194142,24277,'Adds Devourer (Assassin) to your Dungeon Maker toolbox',100,0,0),
(194143,10024277,'Adds Devourer (Assassin) to your Dungeon Maker toolbox',100,0,0),
(194144,80815,'When Equipped:',100,0,0),
(194145,80815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194146,80815,'Inflicts 296 - 551 magic damage on target',100,2,2),
(194147,80815,'Cannot be modified except by direct means',100,2,3),
(194148,10080815,'When Equipped:',100,0,0),
(194149,10080815,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194150,10080815,'Inflicts 385 - 716 magic damage on target',100,2,2),
(194151,10080815,'Cannot be modified except by direct means',100,2,3),
(194152,111052,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(194153,111052,'Increases Threat to target by 963 ',100,2,1),
(194154,111052,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(194155,111052,'Increases Threat to target by 963 ',100,2,3),
(194156,10111052,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(194157,10111052,'Inflicts 202 - 223 crushing damage on target',100,2,1),
(194158,10111052,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(194159,10111052,'Inflicts 202 - 223 crushing damage on target',100,2,3),
(194160,141810,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(194161,141810,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(194162,141810,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(194163,141810,'Cannot be modified except by direct means',100,2,3),
(194164,10141810,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(194165,10141810,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(194166,10141810,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(194167,10141810,'Cannot be modified except by direct means',100,2,3),
(194168,71357,'When Equipped:',100,0,0),
(194169,71357,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194170,71357,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(194171,71357,'Cannot be modified except by direct means',100,2,3),
(194172,10071357,'When Equipped:',100,0,0),
(194173,10071357,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194174,10071357,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(194175,10071357,'Cannot be modified except by direct means',100,2,3),
(194176,147197,'When Equipped:',100,0,0),
(194177,147197,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194178,147197,'Inflicts 1199 cold damage on target encounter',100,2,2),
(194179,147197,'Cannot be modified except by direct means',100,2,3),
(194180,10147197,'When Equipped:',100,0,0),
(194181,10147197,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194182,10147197,'Inflicts 779 cold damage on target encounter',100,2,2),
(194183,10147197,'Cannot be modified except by direct means',100,2,3),
(194184,170755,'When Equipped:',100,0,0),
(194185,170755,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(194186,170755,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(194187,170755,'Heals caster for 1185 - 1309',100,2,3),
(194188,170755,'Decreases Crushing, Slashing, Ranged and Piercing of target by 22.0',100,2,4),
(194189,170755,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(194190,170755,'Must not be engaged in pvp combat',100,2,6),
(194191,170755,'Cannot be modified except by direct means',100,2,7),
(194192,170755,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(194193,170755,'Cannot be modified except by direct means',100,1,9),
(194194,10170755,'When Equipped:',100,0,0),
(194195,10170755,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(194196,10170755,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(194197,10170755,'Heals caster for 1386 - 1532',100,2,3),
(194198,10170755,'Decreases Crushing, Slashing, Ranged and Piercing of target by 22.0',100,2,4),
(194199,10170755,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(194200,10170755,'Must not be engaged in pvp combat',100,2,6),
(194201,10170755,'Cannot be modified except by direct means',100,2,7),
(194202,10170755,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(194203,10170755,'Cannot be modified except by direct means',100,1,9),
(194204,121087,'Decreases Threat to targets in Area of Effect by 308 ',100,1,0),
(194205,121087,'Mesmerizes targets in Area of Effect',100,1,1),
(194206,121087,'If Target is not Epic',100,2,2),
(194207,121087,'Dispelled when target takes damage',100,1,3),
(194208,10121087,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(194209,10121087,'Applies Distract.',100,1,1),
(194210,10121087,'Forces target to clear their selected target.',100,2,2),
(194211,10121087,'Mesmerizes targets in Area of Effect',100,1,3),
(194212,10121087,'If Target is not Epic',100,2,4),
(194213,10121087,'Dispelled when target takes damage',100,1,5),
(194214,41512,'When Equipped:',100,0,0),
(194215,41512,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194216,41512,'Inflicts 63 - 118 magic damage on target',100,2,2),
(194217,41512,'Cannot be modified except by direct means',100,2,3),
(194218,10041512,'When Equipped:',100,0,0),
(194219,10041512,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194220,10041512,'Inflicts 82 - 153 magic damage on target',100,2,2),
(194221,10041512,'Cannot be modified except by direct means',100,2,3),
(194222,41569,'When Equipped:',100,0,0),
(194223,41569,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194224,41569,'Inflicts 118 - 218 magic damage on target',100,2,2),
(194225,41569,'Decreases Threat to target by 259 ',100,2,3),
(194226,41569,'Must be flanking or behind',100,3,4),
(194227,41569,'Increases Threat to target by 259 ',100,2,5),
(194228,41569,'Must be in front of',100,3,6),
(194229,41569,'Cannot be modified except by direct means',100,2,7),
(194230,10041569,'When Equipped:',100,0,0),
(194231,10041569,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194232,10041569,'Inflicts 153 - 284 magic damage on target',100,2,2),
(194233,10041569,'Cannot be modified except by direct means',100,2,3),
(194234,80484,'When Equipped:',100,0,0),
(194235,80484,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194236,80484,'Inflicts 70 - 131 magic damage on target',100,2,2),
(194237,80484,'Decreases Threat to target by 153 ',100,2,3),
(194238,80484,'Must be flanking or behind',100,3,4),
(194239,80484,'Increases Threat to target by 153 ',100,2,5),
(194240,80484,'Must be in front of',100,3,6),
(194241,80484,'Cannot be modified except by direct means',100,2,7),
(194242,10080484,'When Equipped:',100,0,0),
(194243,10080484,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194244,10080484,'Inflicts 91 - 170 magic damage on target',100,2,2),
(194245,10080484,'Cannot be modified except by direct means',100,2,3),
(194246,82541,'When Equipped:',100,0,0),
(194247,82541,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194248,82541,'Inflicts 118 - 218 magic damage on target',100,2,2),
(194249,82541,'Decreases Threat to target by 259 ',100,2,3),
(194250,82541,'Must be flanking or behind',100,3,4),
(194251,82541,'Increases Threat to target by 259 ',100,2,5),
(194252,82541,'Must be in front of',100,3,6),
(194253,82541,'Cannot be modified except by direct means',100,2,7),
(194254,10082541,'When Equipped:',100,0,0),
(194255,10082541,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194256,10082541,'Inflicts 153 - 284 magic damage on target',100,2,2),
(194257,10082541,'Cannot be modified except by direct means',100,2,3),
(194258,111370,'Inflicts 383 - 638 disease damage on target',100,1,0),
(194259,111370,'Heals caster for 163 - 272',100,1,1),
(194260,10111370,'Inflicts 498 - 829 disease damage on target',100,1,0),
(194261,10111370,'Heals caster for 106 - 177',100,1,1),
(194262,24123,'Adds Clockwork Eye (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(194263,10024123,'Adds Clockwork Eye (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(194264,103851,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(194265,103851,'Slows target by 41.5%',100,2,1),
(194266,103851,'5% chance to dispel when target receives hostile action',100,2,2),
(194267,103851,'5% chance to dispel when target takes damage',100,2,3),
(194268,103851,'Decreases Mitigation of target vs noxious damage by 552',100,1,4),
(194269,10103851,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(194270,10103851,'Slows target by 41.5%',100,2,1),
(194271,10103851,'5% chance to dispel when target receives hostile action',100,2,2),
(194272,10103851,'5% chance to dispel when target takes damage',100,2,3),
(194273,10103851,'Decreases Mitigation of target vs noxious damage by 552',100,1,4),
(194274,174378,'When Equipped:',100,0,0),
(194275,174378,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(194276,10174378,'When Equipped:',100,0,0),
(194277,10174378,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(194278,109102,'Inflicts 56 - 93 crushing damage on target',100,1,0),
(194279,10109102,'Inflicts 73 - 122 crushing damage on target',100,1,0),
(194280,82475,'When Equipped:',100,0,0),
(194281,82475,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194282,82475,'Inflicts 191 - 354 magic damage on target',100,2,2),
(194283,82475,'Cannot be modified except by direct means',100,2,3),
(194284,10082475,'When Equipped:',100,0,0),
(194285,10082475,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194286,10082475,'Inflicts 248 - 460 magic damage on target',100,2,2),
(194287,10082475,'Cannot be modified except by direct means',100,2,3),
(194288,107974,'Increases In-Combat Power Regeneration of group members (AE) by 39.7',100,1,0),
(194289,10107974,'Increases In-Combat Power Regeneration of group members (AE) by 39.7',100,1,0),
(194290,47211,'Applies Elixir of Swiftness  when Activated.  Lasts for 30 minutes.',100,0,0),
(194291,10047211,'Applies Elixir of Swiftness  when Activated.  Lasts for 30 minutes.',100,0,0),
(194292,121662,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(194293,121662,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,1),
(194294,121662,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(194295,121662,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,3),
(194296,10121662,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(194297,10121662,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,1),
(194298,10121662,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(194299,10121662,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,3),
(194300,104518,'Increases Threat to target by 126 - 154  instantly and by 25 - 30  every 2 seconds thereafter',100,1,0),
(194301,10104518,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(194302,47818,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(194303,47818,'Increases INT of caster by 123.7',100,1,1),
(194304,47818,'Increases Potency of caster by 1.5%',100,1,2),
(194305,10047818,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(194306,10047818,'Increases INT of caster by 123.7',100,1,1),
(194307,10047818,'Increases Potency of caster by 1.5%',100,1,2),
(194308,41049,'When Equipped:',100,0,0),
(194309,41049,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194310,41049,'Inflicts 94 - 114 magic damage on target',100,2,2),
(194311,41049,'Cannot be modified except by direct means',100,2,3),
(194312,10041049,'When Equipped:',100,0,0),
(194313,10041049,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194314,10041049,'Inflicts 122 - 149 magic damage on target',100,2,2),
(194315,10041049,'Cannot be modified except by direct means',100,2,3),
(194316,138405,'When Equipped:',100,0,0),
(194317,138405,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194318,138405,'Wards target against 1000 points of all damage',100,2,2),
(194319,138405,'Cannot be modified except by direct means',100,2,3),
(194320,138405,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(194321,10138405,'When Equipped:',100,0,0),
(194322,10138405,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194323,10138405,'Wards target against 1000 points of all damage',100,2,2),
(194324,10138405,'Cannot be modified except by direct means',100,2,3),
(194325,10138405,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(194326,75644,'Applies Holy Strike when Activated.',100,0,0),
(194327,75644,'Inflicts 187 - 311 divine damage on target',100,1,1),
(194328,75644,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(194329,10075644,'Applies Holy Strike when Activated.',100,0,0),
(194330,10075644,'Inflicts 243 - 404 divine damage on target',100,1,1),
(194331,10075644,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(194332,115852,'Inflicts 409 - 682 mental damage on target encounter',100,1,0),
(194333,115852,'Interrupts target encounter',100,1,1),
(194334,10115852,'Inflicts 532 - 887 mental damage on target encounter',100,1,0),
(194335,10115852,'Interrupts target encounter',100,1,1),
(194336,111905,'Inflicts 87 - 146 piercing damage on target',100,1,0),
(194337,111905,'Inflicts 24 - 40 piercing damage on target instantly and every 4 seconds',100,1,1),
(194338,10111905,'Inflicts 155 - 259 piercing damage on target',100,1,0),
(194339,10111905,'Inflicts 52 - 87 piercing damage on target instantly and every 4 seconds',100,1,1),
(194340,25949,'When Equipped:',100,0,0),
(194341,25949,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(194342,25949,'Decreases Threat to target encounter by 334 ',100,2,2),
(194343,25949,'Cannot be modified except by direct means',100,2,3),
(194344,10025949,'When Equipped:',100,0,0),
(194345,10025949,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(194346,10025949,'Cannot be modified except by direct means',100,2,2),
(194347,119517,'Increases threat priority of target by 2 positions',100,1,0),
(194348,119517,'Stuns caster',100,1,1),
(194349,119517,'Decreases Defense and Parry of caster by 153.0',100,1,2),
(194350,119517,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(194351,119517,'Inflicts 1205 - 2009 piercing damage on target',100,2,4),
(194352,119517,'Grants a total of 1 trigger of the spell.',100,2,5),
(194353,10119517,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(194354,10119517,'Forces target to change their selected target to caster.',100,2,1),
(194355,10119517,'Prevents target from changing targets',100,2,2),
(194356,10119517,'Stuns caster',100,1,3),
(194357,10119517,'Decreases Defense and Parry of caster by 153.0',100,1,4),
(194358,10119517,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(194359,10119517,'Inflicts 1118 - 1864 piercing damage on target',100,2,6),
(194360,10119517,'Grants a total of 1 trigger of the spell.',100,2,7),
(194361,50018,'When Equipped:',100,0,0),
(194362,50018,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(194363,50018,'Wards caster against 300 points of all damage',100,2,2),
(194364,50018,'Cannot be modified except by direct means',100,2,3),
(194365,10050018,'When Equipped:',100,0,0),
(194366,10050018,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(194367,10050018,'Wards caster against 300 points of all damage',100,2,2),
(194368,10050018,'Cannot be modified except by direct means',100,2,3),
(194369,71052,'When Equipped:',100,0,0),
(194370,71052,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194371,71052,'Inflicts 94 - 114 magic damage on target',100,2,2),
(194372,71052,'Cannot be modified except by direct means',100,2,3),
(194373,10071052,'When Equipped:',100,0,0),
(194374,10071052,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194375,10071052,'Inflicts 122 - 149 magic damage on target',100,2,2),
(194376,10071052,'Cannot be modified except by direct means',100,2,3),
(194377,119899,'Increases INT and WIS of group members (AE) by 12.5',100,1,0),
(194378,10119899,'Increases INT and WIS of group members (AE) by 12.5',100,1,0),
(194379,55286,'When Equipped:',100,0,0),
(194380,55286,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(194381,55286,'Decreases STR of target by 35.0',100,2,2),
(194382,55286,'Cannot be modified except by direct means',100,2,3),
(194383,55286,'When Equipped:',100,0,4),
(194384,55286,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(194385,55286,'Inflicts 62 - 103 heat damage on target every 4.8 seconds',100,2,6),
(194386,55286,'Inflicts 151 - 252 heat damage on target',100,2,7),
(194387,55286,'Cannot be modified except by direct means',100,2,8),
(194388,10055286,'When Equipped:',100,0,0),
(194389,10055286,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(194390,10055286,'Decreases STR of target by 35.0',100,2,2),
(194391,10055286,'Cannot be modified except by direct means',100,2,3),
(194392,10055286,'When Equipped:',100,0,4),
(194393,10055286,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(194394,10055286,'Inflicts 80 - 134 heat damage on target every 4.8 seconds',100,2,6),
(194395,10055286,'Inflicts 196 - 327 heat damage on target',100,2,7),
(194396,10055286,'Cannot be modified except by direct means',100,2,8),
(194397,76165,'When Equipped:',100,0,0),
(194398,76165,'On a critical combat hit this spell may cast Bind Wounds on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(194399,76165,'Heals caster for 1021 instantly and every 3 seconds',100,2,2),
(194400,76165,'Must not be engaged in pvp combat',100,2,3),
(194401,76165,'Must not be engaged in pvp combat',100,2,4),
(194402,76165,'Cannot be modified except by direct means',100,2,5),
(194403,10076165,'When Equipped:',100,0,0),
(194404,10076165,'On a critical combat hit this spell may cast Bind Wounds on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(194405,10076165,'Heals caster for 1194 instantly and every 3 seconds',100,2,2),
(194406,10076165,'Must not be engaged in pvp combat',100,2,3),
(194407,10076165,'Must not be engaged in pvp combat',100,2,4),
(194408,10076165,'Cannot be modified except by direct means',100,2,5),
(194409,114183,'Inflicts 86 - 144 melee damage on target',100,1,0),
(194410,114183,'Decreases Slashing, Crushing and Piercing of target by 2.6',100,1,1),
(194411,10114183,'Inflicts 112 - 187 melee damage on target',100,1,0),
(194412,10114183,'Decreases Slashing, Crushing and Piercing of target by 2.6',100,1,1),
(194413,82748,'When Equipped:',100,0,0),
(194414,82748,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194415,82748,'Inflicts 164 - 305 magic damage on target',100,2,2),
(194416,82748,'Cannot be modified except by direct means',100,2,3),
(194417,10082748,'When Equipped:',100,0,0),
(194418,10082748,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194419,10082748,'Inflicts 213 - 396 magic damage on target',100,2,2),
(194420,10082748,'Cannot be modified except by direct means',100,2,3),
(194421,120424,'Inflicts 130 - 218 melee damage on target',100,1,0),
(194422,120424,'Inflicts 130 - 218 melee damage on target',100,1,1),
(194423,10120424,'Inflicts 170 - 283 melee damage on target',100,1,0),
(194424,10120424,'Inflicts 170 - 283 melee damage on target',100,1,1),
(194425,112521,'Interrupts target',50,1,0),
(194426,112521,'Inflicts 9 - 11 divine damage on target',100,1,1),
(194427,10112521,'Interrupts target',50,1,0),
(194428,10112521,'Inflicts 16 - 19 divine damage on target',100,1,1),
(194429,116366,'Mesmerizes target encounter',100,1,0),
(194430,116366,'Prevents AOE (except when direct) ',100,1,1),
(194431,116366,'Dispelled when target takes damage',100,1,2),
(194432,116366,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(194433,116366,'Resistibility increases against targets higher than level 106.',100,1,4),
(194434,10116366,'Mesmerizes target encounter',100,1,0),
(194435,10116366,'Prevents AOE (except when direct) ',100,1,1),
(194436,10116366,'Dispelled when target takes damage',100,1,2),
(194437,10116366,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(194438,10116366,'Resistibility increases against targets higher than level 106.',100,1,4),
(194439,104712,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(194440,104712,'Decreases Mitigation of target vs elemental and arcane damage by 280',100,2,1),
(194441,104712,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(194442,104712,'Decreases Mitigation of target vs elemental and arcane damage by 280',100,2,3),
(194443,10104712,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(194444,10104712,'Decreases Mitigation of target vs elemental and arcane damage by 280',100,2,1),
(194445,10104712,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(194446,10104712,'Decreases Mitigation of target vs elemental and arcane damage by 280',100,2,3),
(194447,109104,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(194448,109104,'Increases Attack Speed of caster by 39.5',100,1,1),
(194449,109104,'Increases Damage Per Second of caster by 45.5',100,1,2),
(194450,109104,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(194451,109104,'Increases Ranged of caster by 31.7',100,1,4),
(194452,109104,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(194453,109104,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(194454,109104,'Increases Crushing of group members (AE) by 31.7',100,2,7),
(194455,109104,'Increases Slashing of group members (AE) by 31.7',100,2,8),
(194456,109104,'If profession other than Ranger',100,3,9),
(194457,109104,'Increases Piercing of group members (AE) by 31.7',100,2,10),
(194458,109104,'If profession other than Ranger',100,3,11),
(194459,10109104,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(194460,10109104,'Increases Attack Speed of caster by 39.5',100,1,1),
(194461,10109104,'Increases Damage Per Second of caster by 45.5',100,1,2),
(194462,10109104,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(194463,10109104,'Increases Ranged of caster by 31.7',100,1,4),
(194464,10109104,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(194465,10109104,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(194466,10109104,'Increases Crushing of group members (AE) by 31.7',100,2,7),
(194467,10109104,'Increases Slashing of group members (AE) by 31.7',100,2,8),
(194468,10109104,'If profession other than Ranger',100,3,9),
(194469,10109104,'Increases Piercing of group members (AE) by 31.7',100,2,10),
(194470,10109104,'If profession other than Ranger',100,3,11),
(194471,121081,'Increases STR and STA of group members (AE) by 93.3',100,1,0),
(194472,10121081,'Increases STR and STA of group members (AE) by 93.3',100,1,0),
(194473,105311,'Increases AGI of caster by 259.6',100,1,0),
(194474,105311,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(194475,105311,'Inflicts 398 - 663 mental damage on target',100,2,2),
(194476,105311,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(194477,105311,'Inflicts 398 - 663 mental damage on target',100,2,4),
(194478,105311,'Adds 25.0% to base avoidance.',100,1,5),
(194479,105311,'Increases Mitigation of caster vs physical damage by 885',100,1,6),
(194480,105311,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,7),
(194481,10105311,'Increases AGI of caster by 259.6',100,1,0),
(194482,10105311,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(194483,10105311,'Inflicts 518 - 863 mental damage on target',100,2,2),
(194484,10105311,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(194485,10105311,'Inflicts 518 - 863 mental damage on target',100,2,4),
(194486,10105311,'Adds 25.0% to base avoidance.',100,1,5),
(194487,10105311,'Increases Mitigation of caster vs physical damage by 885',100,1,6),
(194488,10105311,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,7),
(194489,137723,'Applies Summon Creation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(194490,137723,'Summons a limited pet to aid the caster',100,1,1),
(194491,137723,'The casting time of Summon Creation is 2.0 seconds and the reuse time of the spell is 15 minutes',100,1,2),
(194492,137723,'Requires 134 Power to cast.',100,1,3),
(194493,10137723,'Applies Summon Creation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(194494,10137723,'Summons a limited pet to aid the caster',100,1,1),
(194495,10137723,'The casting time of Summon Creation is 2.0 seconds and the reuse time of the spell is 15 minutes',100,1,2),
(194496,10137723,'Requires 134 Power to cast.',100,1,3),
(194497,110146,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.2',100,1,0),
(194498,10110146,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.2',100,1,0),
(194499,114431,'Mesmerizes target',100,1,0),
(194500,114431,'Prevents AOE (except when direct) ',100,1,1),
(194501,114431,'Dispelled when target takes damage',100,1,2),
(194502,114431,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(194503,114431,'Resistibility increases against targets higher than level 106.',100,1,4),
(194504,10114431,'Mesmerizes target',100,1,0),
(194505,10114431,'Prevents AOE (except when direct) ',100,1,1),
(194506,10114431,'Dispelled when target takes damage',100,1,2),
(194507,10114431,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(194508,10114431,'Resistibility increases against targets higher than level 106.',100,1,4),
(194509,80706,'When Equipped:',100,0,0),
(194510,80706,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194511,80706,'Inflicts 75 - 138 magic damage on target',100,2,2),
(194512,80706,'Cannot be modified except by direct means',100,2,3),
(194513,10080706,'When Equipped:',100,0,0),
(194514,10080706,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194515,10080706,'Inflicts 97 - 180 magic damage on target',100,2,2),
(194516,10080706,'Cannot be modified except by direct means',100,2,3),
(194517,102189,'Increases Mitigation of group members (AE) vs physical damage by 518',100,1,0),
(194518,10102189,'Increases Mitigation of group members (AE) vs physical damage by 518',100,1,0),
(194519,101039,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(194520,101039,'Inflicts 392 poison damage on target instantly and every 4 seconds',100,2,1),
(194521,101039,'If profession other than Predator',100,1,2),
(194522,101039,'If profession other than Rogue',100,1,3),
(194523,10101039,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(194524,10101039,'Inflicts 509 poison damage on target instantly and every 4 seconds',100,2,1),
(194525,10101039,'If profession other than Predator',100,1,2),
(194526,10101039,'If profession other than Rogue',100,1,3),
(194527,172916,'When Equipped:',100,0,0),
(194528,172916,'Gives caster a 0.6% chance to strikethrough a successful avoidance check',100,1,1),
(194529,172916,'Increases Riposte Damage of caster by 6.0',100,1,2),
(194530,172916,'Increases Additional chance to Riposte of caster by 6.0',100,1,3),
(194531,172916,'Must not be engaged in pvp combat',100,1,4),
(194532,10172916,'When Equipped:',100,0,0),
(194533,10172916,'Gives caster a 0.6% chance to strikethrough a successful avoidance check',100,1,1),
(194534,10172916,'Increases Riposte Damage of caster by 6.0',100,1,2),
(194535,10172916,'Increases Additional chance to Riposte of caster by 6.0',100,1,3),
(194536,10172916,'Must not be engaged in pvp combat',100,1,4),
(194537,152473,'When Equipped:',100,0,0),
(194538,152473,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(194539,152473,'Decreases Damage Per Second of target by 15.0',100,2,2),
(194540,152473,'Cannot be modified except by direct means',100,2,3),
(194541,10152473,'When Equipped:',100,0,0),
(194542,10152473,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(194543,10152473,'Decreases Damage Per Second of target by 15.0',100,2,2),
(194544,10152473,'Cannot be modified except by direct means',100,2,3),
(194545,117994,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(194546,117994,'Increases Damage Per Second of target by 17.6',100,2,1),
(194547,117994,'Increases Attack Speed of target by 17.6',100,2,2),
(194548,117994,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(194549,117994,'Increases Damage Per Second of target by 17.6',100,2,4),
(194550,117994,'Increases Attack Speed of target by 17.6',100,2,5),
(194551,117994,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(194552,117994,'Increases Damage Per Second of target by 17.6',100,2,7),
(194553,117994,'Increases Attack Speed of target by 17.6',100,2,8),
(194554,10117994,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(194555,10117994,'Increases Damage Per Second of target by 17.6',100,2,1),
(194556,10117994,'Increases Attack Speed of target by 17.6',100,2,2),
(194557,10117994,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(194558,10117994,'Increases Damage Per Second of target by 17.6',100,2,4),
(194559,10117994,'Increases Attack Speed of target by 17.6',100,2,5),
(194560,10117994,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(194561,10117994,'Increases Damage Per Second of target by 17.6',100,2,7),
(194562,10117994,'Increases Attack Speed of target by 17.6',100,2,8),
(194563,71901,'When Equipped:',100,0,0),
(194564,71901,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194565,71901,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(194566,71901,'Cannot be modified except by direct means',100,2,3),
(194567,10071901,'When Equipped:',100,0,0),
(194568,10071901,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194569,10071901,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(194570,10071901,'Cannot be modified except by direct means',100,2,3),
(194571,117236,'Inflicts 131 slashing damage on target every 4 seconds',100,1,0),
(194572,117236,'Inflicts 655 - 1091 melee damage on target',100,1,1),
(194573,10117236,'Inflicts 170 slashing damage on target every 4 seconds',100,1,0),
(194574,10117236,'Inflicts 851 - 1419 melee damage on target',100,1,1),
(194575,35031,'Increases Max Power of target by 3.3',100,0,0),
(194576,35031,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(194577,71378,'When Equipped:',100,0,0),
(194578,71378,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194579,71378,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(194580,71378,'Cannot be modified except by direct means',100,2,3),
(194581,10071378,'When Equipped:',100,0,0),
(194582,10071378,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194583,10071378,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(194584,10071378,'Cannot be modified except by direct means',100,2,3),
(194585,100916,'Stuns targets in Area of Effect',20,1,0),
(194586,100916,'If Target is not Epic',100,2,1),
(194587,100916,'Inflicts 438 - 730 divine damage on targets in Area of Effect',100,1,2),
(194588,100916,'Resistibility increases against targets higher than level 99.',100,1,3),
(194589,10100916,'Stuns targets in Area of Effect',20,1,0),
(194590,10100916,'If Target is not Epic',100,2,1),
(194591,10100916,'Inflicts 570 - 950 divine damage on targets in Area of Effect',100,1,2),
(194592,10100916,'Resistibility increases against targets higher than level 99.',100,1,3),
(194593,37211,'Increases INT of target by 4.3',100,0,0),
(194594,37211,'Increases outgoing damaging spell amount by 1.5%',100,0,1),
(194595,37211,'Increases STA of target by 4.3',100,0,2),
(194596,37211,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,3),
(194597,140727,'When Equipped:',100,0,0),
(194598,140727,'Increases Ability Casting Speed of caster by 10.0%',100,1,1),
(194599,140727,'Decreases Subjugation, Ministration, Ordination and Disruption of caster by 20.0',100,1,2),
(194600,10140727,'When Equipped:',100,0,0),
(194601,10140727,'Increases Ability Casting Speed of caster by 10.0%',100,1,1),
(194602,10140727,'Decreases Subjugation, Ministration, Ordination and Disruption of caster by 20.0',100,1,2),
(194603,50536,'When Equipped:',100,0,0),
(194604,50536,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194605,50536,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(194606,50536,'Cannot be modified except by direct means',100,2,3),
(194607,10050536,'When Equipped:',100,0,0),
(194608,10050536,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194609,10050536,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(194610,10050536,'Cannot be modified except by direct means',100,2,3),
(194611,115132,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(194612,115132,'Heals target for 766',100,2,1),
(194613,115132,'Heals target for 191 every 2 seconds',100,2,2),
(194614,115132,'Increases WIS of target by 75.9',100,2,3),
(194615,115132,'Grants a total of 1 trigger of the spell.',100,2,4),
(194616,10115132,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(194617,10115132,'Heals target for 498',100,2,1),
(194618,10115132,'Heals target for 124 every 2 seconds',100,2,2),
(194619,10115132,'Increases WIS of target by 75.9',100,2,3),
(194620,10115132,'Grants a total of 1 trigger of the spell.',100,2,4),
(194621,119622,'Inflicts 1773 - 2955 mental damage on targets in Area of Effect',100,1,0),
(194622,119622,'Stuns targets in Area of Effect',100,1,1),
(194623,119622,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(194624,119622,'Resistibility increases against targets higher than level 109.',100,1,3),
(194625,10119622,'Inflicts 2305 - 3841 mental damage on targets in Area of Effect',100,1,0),
(194626,10119622,'Stuns targets in Area of Effect',100,1,1),
(194627,10119622,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(194628,10119622,'Resistibility increases against targets higher than level 109.',100,1,3),
(194629,166369,'Applies Noxious Environmental Suit when Equipped.',100,0,0),
(194630,166369,'Converts 3% of all noxious damage received into power gain.',100,1,1),
(194631,10166369,'Applies Noxious Environmental Suit when Equipped.',100,0,0),
(194632,10166369,'Converts 3% of all noxious damage received into power gain.',100,1,1),
(194633,102819,'Summons 3 limited pets to aid the caster',100,1,0),
(194634,10102819,'Summons 3 limited pets to aid the caster',100,1,0),
(194635,113984,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(194636,113984,'Increases Threat to target by 115 ',100,2,1),
(194637,113984,'Inflicts 34 - 58 melee damage on target',100,2,2),
(194638,10113984,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(194639,10113984,'Inflicts 45 - 75 melee damage on target',100,2,1),
(194640,124504,'Heals group members (AE) for 1544 - 1888',100,1,0),
(194641,10124504,'Heals group members (AE) for 3253 - 3975',100,1,0),
(194642,35023,'Increases STA and WIS of target by 1.1',100,0,0),
(194643,35023,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(194644,71863,'When Equipped:',100,0,0),
(194645,71863,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194646,71863,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(194647,71863,'Cannot be modified except by direct means',100,2,3),
(194648,10071863,'When Equipped:',100,0,0),
(194649,10071863,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194650,10071863,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(194651,10071863,'Cannot be modified except by direct means',100,2,3),
(194652,26460,'When Equipped:',100,0,0),
(194653,26460,'Increases all mental damage by up to 30.',100,1,1),
(194654,10026460,'When Equipped:',100,0,0),
(194655,10026460,'Increases all mental damage by up to 30.',100,1,1),
(194656,49172,'Applies Wyrmsteel - Firestorm when Activated.  Lasts for 24.0 seconds.',100,0,0),
(194657,49172,'Inflicts 99 - 121 heat damage on target encounter',100,1,1),
(194658,49172,'If target is darathar',100,2,2),
(194659,49172,'If target is darathar',100,1,3),
(194660,10049172,'Applies Wyrmsteel - Firestorm when Activated.  Lasts for 24.0 seconds.',100,0,0),
(194661,10049172,'Inflicts 129 - 157 heat damage on target encounter',100,1,1),
(194662,10049172,'If target is darathar',100,2,2),
(194663,10049172,'If target is darathar',100,1,3),
(194664,103004,'Inflicts 34 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(194665,103004,'Inflicts 12 - 21 melee damage on target',100,1,1),
(194666,10103004,'Inflicts 44 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(194667,10103004,'Inflicts 16 - 27 melee damage on target',100,1,1),
(194668,24000,'Adds Slug (Guardian) to your Dungeon Maker toolbox',100,0,0),
(194669,10024000,'Adds Slug (Guardian) to your Dungeon Maker toolbox',100,0,0),
(194670,116450,'Inflicts 88 disease damage on target instantly and every 4 seconds',100,1,0),
(194671,116450,'Inflicts 88 disease damage on target instantly and every 4 seconds',100,1,1),
(194672,116450,'If target is nightblood',100,2,2),
(194673,116450,'Inflicts 88 disease damage on target instantly and every 4 seconds',100,1,3),
(194674,116450,'If target is shadowed folk',100,2,4),
(194675,10116450,'Inflicts 115 disease damage on target instantly and every 4 seconds',100,1,0),
(194676,107167,'Inflicts 64 - 106 divine damage on target',100,1,0),
(194677,107167,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(194678,107167,'Inflicts 149 - 249 divine damage on target',100,2,2),
(194679,107167,'Inflicts 128 - 213 divine damage on target',100,2,3),
(194680,107167,'If target is undead',100,3,4),
(194681,107167,'Stuns target',100,2,5),
(194682,107167,'If Target is not Epic',100,3,6),
(194683,10107167,'Inflicts 55 - 92 divine damage on target',100,1,0),
(194684,10107167,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(194685,10107167,'Inflicts 291 - 485 divine damage on target',100,2,2),
(194686,10107167,'Stuns target',100,2,3),
(194687,10107167,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(194688,139530,'Applies Round on Brell when Activated.',100,0,0),
(194689,139530,'Once a day, Brell may be called upon to treat his disciples to a round of spirits... to raise their spirits!',100,1,1),
(194690,139530,'The casting time of Round on Brell is 3.0 seconds and the reuse time of the spell is 1 hour 12 minutes',100,1,2),
(194691,139530,'When Equipped:',100,0,3),
(194692,139530,'When a combat art is used this spell has a 5% chance to cast Constitution of Stone on caster.  ',100,1,4),
(194693,139530,'Heals caster for 350',100,2,5),
(194694,139530,'Cannot be modified except by direct means',100,2,6),
(194695,139530,'On a hostile spell cast this spell has a 5% chance to cast Constitution of Stone on caster.  ',100,1,7),
(194696,139530,'Heals caster for 350',100,2,8),
(194697,139530,'Cannot be modified except by direct means',100,2,9),
(194698,10139530,'Applies Round on Brell when Activated.',100,0,0),
(194699,10139530,'Once a day, Brell may be called upon to treat his disciples to a round of spirits... to raise their spirits!',100,1,1),
(194700,10139530,'The casting time of Round on Brell is 3.0 seconds and the reuse time of the spell is 1 hour 12 minutes',100,1,2),
(194701,10139530,'When Equipped:',100,0,3),
(194702,10139530,'When a combat art is used this spell has a 5% chance to cast Constitution of Stone on caster.  ',100,1,4),
(194703,10139530,'Heals caster for 227',100,2,5),
(194704,10139530,'Cannot be modified except by direct means',100,2,6),
(194705,10139530,'On a hostile spell cast this spell has a 5% chance to cast Constitution of Stone on caster.  ',100,1,7),
(194706,10139530,'Heals caster for 227',100,2,8),
(194707,10139530,'Cannot be modified except by direct means',100,2,9),
(194708,105353,'Inflicts 602 - 1004 melee damage on target',100,1,0),
(194709,105353,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 721',100,1,1),
(194710,105353,'Must be flanking or behind',100,1,2),
(194711,10105353,'Inflicts 783 - 1305 melee damage on target',100,1,0),
(194712,10105353,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 721',100,1,1),
(194713,10105353,'Must be flanking or behind',100,1,2),
(194714,112055,'Inflicts 3 - 5 heat damage on target instantly and every 2 seconds',100,1,0),
(194715,10112055,'Inflicts 10 - 17 heat damage on target instantly and every 2 seconds',100,1,0),
(194716,45594,'Applies Elixir of Clarity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(194717,45594,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(194718,10045594,'Applies Elixir of Clarity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(194719,10045594,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(194720,164900,'When Equipped:',100,0,0),
(194721,164900,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(194722,164900,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(194723,164900,'Heals target for 5384 - 5951',100,2,3),
(194724,164900,'Dispels 200 levels of any hostile effects on target',100,2,4),
(194725,164900,'Must not be engaged in pvp combat',100,2,5),
(194726,164900,'Cannot be modified except by direct means',100,2,6),
(194727,164900,'Cannot be modified except by direct means',100,1,7),
(194728,10164900,'When Equipped:',100,0,0),
(194729,10164900,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(194730,10164900,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(194731,10164900,'Heals target for 6299 - 6962',100,2,3),
(194732,10164900,'Dispels 200 levels of any hostile effects on target',100,2,4),
(194733,10164900,'Must not be engaged in pvp combat',100,2,5),
(194734,10164900,'Cannot be modified except by direct means',100,2,6),
(194735,10164900,'Cannot be modified except by direct means',100,1,7),
(194736,119300,'Roots target',100,1,0),
(194737,119300,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(194738,119300,'Slows target by 32.1%',100,2,2),
(194739,119300,'5% chance to dispel when target receives hostile action',100,2,3),
(194740,119300,'5% chance to dispel when target takes damage',100,2,4),
(194741,119300,'15% chance to dispel when target takes damage',100,1,5),
(194742,119300,'Does not affect Epic targets',100,1,6),
(194743,119300,'Resistibility increases against targets higher than level 48.',100,1,7),
(194744,10119300,'Roots target',100,1,0),
(194745,10119300,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(194746,10119300,'Slows target by 32.1%',100,2,2),
(194747,10119300,'5% chance to dispel when target receives hostile action',100,2,3),
(194748,10119300,'5% chance to dispel when target takes damage',100,2,4),
(194749,10119300,'15% chance to dispel when target takes damage',100,1,5),
(194750,10119300,'Does not affect Epic targets',100,1,6),
(194751,10119300,'Resistibility increases against targets higher than level 48.',100,1,7),
(194752,35899,'Increases WIS and INT of target by 1.1',100,0,0),
(194753,35899,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(194754,46100,'Applies Elixir of Reflection when Activated.  Lasts for 30 minutes.',100,0,0),
(194755,46100,'Increases STR and STA of caster by 29.3',100,1,1),
(194756,10046100,'Applies Elixir of Reflection when Activated.  Lasts for 30 minutes.',100,0,0),
(194757,10046100,'Increases STR and STA of caster by 29.3',100,1,1),
(194758,177541,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(194759,177541,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(194760,177541,'Inflicts 35 heat damage on target',100,2,2),
(194761,177541,'Cannot be modified except by direct means',100,2,3),
(194762,10177541,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(194763,10177541,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(194764,10177541,'Inflicts 46 heat damage on target',100,2,2),
(194765,10177541,'Cannot be modified except by direct means',100,2,3),
(194766,153802,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(194767,153802,'Increases Hate Gain of caster by 15.0%',100,1,1),
(194768,153802,'Must not be engaged in pvp combat',100,1,2),
(194769,153802,'Cannot be modified except by direct means',100,1,3),
(194770,153802,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(194771,153802,'When Equipped:',100,0,5),
(194772,153802,'On a critical spell hit this spell may cast Intimidating Rush VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(194773,153802,'Increases Threat to target by 4,750 - 5,250 ',100,2,7),
(194774,153802,'If over 80% Health',100,3,8),
(194775,153802,'Must not be engaged in pvp combat',100,2,9),
(194776,153802,'Cannot be modified except by direct means',100,2,10),
(194777,153802,'On a critical combat hit this spell may cast Intimidating Rush VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(194778,153802,'Increases Threat to target by 4,750 - 5,250 ',100,2,12),
(194779,153802,'If over 80% Health',100,3,13),
(194780,153802,'Must not be engaged in pvp combat',100,2,14),
(194781,153802,'Cannot be modified except by direct means',100,2,15),
(194782,153802,'Must not be engaged in pvp combat',100,1,16),
(194783,10153802,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(194784,10153802,'Must not be engaged in pvp combat',100,1,1),
(194785,10153802,'Cannot be modified except by direct means',100,1,2),
(194786,10153802,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(194787,10153802,'When Equipped:',100,0,4),
(194788,10153802,'On a critical spell hit this spell may cast Intimidating Rush VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(194789,10153802,'Must not be engaged in pvp combat',100,2,6),
(194790,10153802,'Cannot be modified except by direct means',100,2,7),
(194791,10153802,'On a critical combat hit this spell may cast Intimidating Rush VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(194792,10153802,'Must not be engaged in pvp combat',100,2,9),
(194793,10153802,'Cannot be modified except by direct means',100,2,10),
(194794,10153802,'Must not be engaged in pvp combat',100,1,11),
(194795,108094,'Decreases Threat to target by 502 - 837 ',100,1,0),
(194796,10108094,'Forces target to clear their selected target.',100,1,0),
(194797,10108094,'Target cannot target caster for the duration of this effect.',100,1,1),
(194798,105908,'Inflicts 874 - 1456 melee damage on target',100,1,0),
(194799,105908,'If over 33% Health',100,2,1),
(194800,105908,'Inflicts 2622 - 4370 melee damage on target',100,1,2),
(194801,105908,'If under 33% Health',100,2,3),
(194802,105908,'Must be flanking or behind',100,1,4),
(194803,10105908,'Inflicts 1136 - 1893 melee damage on target',100,1,0),
(194804,10105908,'If over 20% Health',100,2,1),
(194805,10105908,'Inflicts 3030 - 5050 melee damage on target',100,1,2),
(194806,10105908,'If under 20% Health',100,2,3),
(194807,10105908,'Must be flanking or behind',100,1,4),
(194808,111362,'Inflicts 231 - 386 disease damage on target',100,1,0),
(194809,111362,'Heals caster for 99 - 164',100,1,1),
(194810,10111362,'Inflicts 301 - 501 disease damage on target',100,1,0),
(194811,10111362,'Heals caster for 64 - 107',100,1,1),
(194812,47359,'Applies Necrotic Concussion when Activated.  Lasts for 2.0 seconds.',100,0,0),
(194813,47359,'Inflicts 108 magic damage on target',100,1,1),
(194814,47359,'Perhaps this can be used to knock fellow players out of a seemingly incurable condition (some of the spells cast by the 3 Sages above Maalus).',100,1,2),
(194815,47359,'Interrupts target',100,1,3),
(194816,47359,'Grants Sonic Vision to target',100,1,4),
(194817,47359,'Blurs vision of target',100,1,5),
(194818,47359,'Must be in The Palace of Roehn Theer.',100,1,6),
(194819,10047359,'Applies Necrotic Concussion when Activated.  Lasts for 2.0 seconds.',100,0,0),
(194820,10047359,'Inflicts 140 magic damage on target',100,1,1),
(194821,10047359,'Perhaps this can be used to knock fellow players out of a seemingly incurable condition (some of the spells cast by the 3 Sages above Maalus).',100,1,2),
(194822,10047359,'Interrupts target',100,1,3),
(194823,10047359,'Grants Sonic Vision to target',100,1,4),
(194824,10047359,'Blurs vision of target',100,1,5),
(194825,10047359,'Must be in The Palace of Roehn Theer.',100,1,6),
(194826,46019,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(194827,46019,'Increases AA XP Gain of caster by 55.0%',100,1,1),
(194828,46019,'Increases Combat XP Gain of caster by 55.0%',100,1,2),
(194829,46019,'Increases Tradeskill XP Gain of caster by 55.0%',100,1,3),
(194830,46019,'You can only have one experience potion active at a time.',100,1,4),
(194831,10046019,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(194832,10046019,'Increases AA XP Gain of caster by 55.0%',100,1,1),
(194833,10046019,'Increases Combat XP Gain of caster by 55.0%',100,1,2),
(194834,10046019,'Increases Tradeskill XP Gain of caster by 55.0%',100,1,3),
(194835,10046019,'You can only have one experience potion active at a time.',100,1,4),
(194836,174984,'When Equipped:',100,0,0),
(194837,174984,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(194838,174984,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(194839,174984,'Dispelled when target casts a hostile spell',100,2,3),
(194840,174984,'Dispelled when target casts a combat art',100,2,4),
(194841,174984,'Cannot be modified except by direct means',100,2,5),
(194842,10174984,'When Equipped:',100,0,0),
(194843,10174984,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(194844,10174984,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(194845,10174984,'Dispelled when target casts a hostile spell',100,2,3),
(194846,10174984,'Dispelled when target casts a combat art',100,2,4),
(194847,10174984,'Cannot be modified except by direct means',100,2,5),
(194848,46875,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(194849,46875,'Increases WIS of caster by 55.7',100,1,1),
(194850,10046875,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(194851,10046875,'Increases WIS of caster by 55.7',100,1,1),
(194852,48023,'Applies Stake Through the Heart when Activated.',100,0,0),
(194853,48023,'Inflicts 2.7% of max health in piercing damage on target',100,1,1),
(194854,48023,'If target is Greater Vampire',100,1,2),
(194855,48023,'If under 6% Health',100,1,3),
(194856,10048023,'Applies Stake Through the Heart when Activated.',100,0,0),
(194857,10048023,'Inflicts 3.5% of max health in piercing damage on target',100,1,1),
(194858,10048023,'If target is Greater Vampire',100,1,2),
(194859,10048023,'If under 6% Health',100,1,3),
(194860,108437,'Increases INT, AGI, STR and WIS of group members (AE) by 60.5',100,1,0),
(194861,108437,'Adds 1.9% to base avoidance.',100,1,1),
(194862,108437,'Increases Ability Reuse Speed of group members (AE) by 6.6%',100,1,2),
(194863,108437,'Increases Attack Speed of group members (AE) by 41.6',100,1,3),
(194864,108437,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 177',100,1,4),
(194865,10108437,'Increases INT, AGI, STR and WIS of group members (AE) by 60.5',100,1,0),
(194866,10108437,'Adds 1.9% to base avoidance.',100,1,1),
(194867,10108437,'Increases Ability Reuse Speed of group members (AE) by 6.6%',100,1,2),
(194868,10108437,'Increases Attack Speed of group members (AE) by 41.6',100,1,3),
(194869,10108437,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 177',100,1,4),
(194870,47776,'Applies Barbarian Tendencies when Activated.',100,0,0),
(194871,47776,'Allows the user to have a drink while sitting',100,1,1),
(194872,10047776,'Applies Barbarian Tendencies when Activated.',100,0,0),
(194873,10047776,'Allows the user to have a drink while sitting',100,1,1),
(194874,35400,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(194875,107760,'Stuns target',100,1,0),
(194876,107760,'If Target is not Epic',100,2,1),
(194877,107760,'Inflicts 999 - 1665 cold damage on target',100,1,2),
(194878,107760,'Resistibility increases against targets higher than level 87.',100,1,3),
(194879,10107760,'Stuns target',100,1,0),
(194880,10107760,'If Target is not Epic',100,2,1),
(194881,10107760,'Inflicts 1299 - 2164 cold damage on target',100,1,2),
(194882,10107760,'Resistibility increases against targets higher than level 87.',100,1,3),
(194883,46495,'Applies Activate Gnome Observatron when Activated.',100,0,0),
(194884,10046495,'Applies Activate Gnome Observatron when Activated.',100,0,0),
(194885,136292,'When Equipped:',100,0,0),
(194886,136292,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194887,136292,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(194888,136292,'Heals caster for 635 - 952',100,2,3),
(194889,136292,'Cannot be modified except by direct means',100,2,4),
(194890,136292,'Cannot be modified except by direct means',100,1,5),
(194891,10136292,'When Equipped:',100,0,0),
(194892,10136292,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(194893,10136292,'Inflicts 1239 - 1859 poison damage on target',100,2,2),
(194894,10136292,'Heals caster for 743 - 1114',100,2,3),
(194895,10136292,'Cannot be modified except by direct means',100,2,4),
(194896,10136292,'Cannot be modified except by direct means',100,1,5),
(194897,110626,'Inflicts 458 - 763 ranged damage on target',100,1,0),
(194898,110626,'If weapon equipped in Ranged',100,1,1),
(194899,110626,'Must be flanking or behind',100,1,2),
(194900,10110626,'Inflicts 284 - 474 ranged damage on target',100,1,0),
(194901,10110626,'If weapon equipped in Ranged',100,1,1),
(194902,10110626,'Must be flanking or behind',100,1,2),
(194903,47916,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(194904,47916,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(194905,47916,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(194906,10047916,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(194907,10047916,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(194908,10047916,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(194909,81400,'When Equipped:',100,0,0),
(194910,81400,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194911,81400,'Inflicts 121 - 225 magic damage on target',100,2,2),
(194912,81400,'Decreases Threat to target by 352 ',100,2,3),
(194913,81400,'Must be flanking or behind',100,3,4),
(194914,81400,'Increases Threat to target by 352 ',100,2,5),
(194915,81400,'Must be in front of',100,3,6),
(194916,81400,'Cannot be modified except by direct means',100,2,7),
(194917,10081400,'When Equipped:',100,0,0),
(194918,10081400,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(194919,10081400,'Inflicts 157 - 292 magic damage on target',100,2,2),
(194920,10081400,'Cannot be modified except by direct means',100,2,3),
(194921,120965,'Inflicts 1313 - 2189 ranged damage on target',100,1,0),
(194922,120965,'If weapon equipped in Ranged',100,1,1),
(194923,120965,'Must be behind',100,1,2),
(194924,10120965,'Inflicts 1116 - 1860 ranged damage on target',100,1,0),
(194925,10120965,'If weapon equipped in Ranged',100,1,1),
(194926,10120965,'Must be behind',100,1,2),
(194927,24765,'Adds Wolf (Templar) to your Dungeon Maker toolbox',100,0,0),
(194928,10024765,'Adds Wolf (Templar) to your Dungeon Maker toolbox',100,0,0),
(194929,158352,'Applies Hooluk in a Hat when Activated.',100,0,0),
(194930,158352,'Summons a pet Hooluk',100,1,1),
(194931,158352,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(194932,10158352,'Applies Hooluk in a Hat when Activated.',100,0,0),
(194933,10158352,'Summons a pet Hooluk',100,1,1),
(194934,10158352,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(194935,35634,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(194936,45598,'Applies Elixir of Contemplation  when Activated.  Lasts for 30 minutes.',100,0,0),
(194937,45598,'Increases INT and WIS of caster by 29.3',100,1,1),
(194938,10045598,'Applies Elixir of Contemplation  when Activated.  Lasts for 30 minutes.',100,0,0),
(194939,10045598,'Increases INT and WIS of caster by 29.3',100,1,1),
(194940,37595,'Increases STA and AGI of target by 1.1',100,0,0),
(194941,37595,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(194942,154353,'When Equipped:',100,0,0),
(194943,154353,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(194944,154353,'This effect will not stack with any rank or tier of itself.',100,1,2),
(194945,154353,'Increases Attack Speed of caster by 4.5',100,1,3),
(194946,154353,'Increases Damage Per Second of caster by 11.0',100,1,4),
(194947,154353,'Cannot be modified except by direct means',100,1,5),
(194948,10154353,'When Equipped:',100,0,0),
(194949,10154353,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(194950,10154353,'This effect will not stack with any rank or tier of itself.',100,1,2),
(194951,10154353,'Increases Attack Speed of caster by 4.5',100,1,3),
(194952,10154353,'Increases Damage Per Second of caster by 11.0',100,1,4),
(194953,10154353,'Cannot be modified except by direct means',100,1,5),
(194954,71838,'When Equipped:',100,0,0),
(194955,71838,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194956,71838,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(194957,71838,'Cannot be modified except by direct means',100,2,3),
(194958,10071838,'When Equipped:',100,0,0),
(194959,10071838,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194960,10071838,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(194961,10071838,'Cannot be modified except by direct means',100,2,3),
(194962,182111,'When Equipped:',100,0,0),
(194963,182111,'On a hostile spell cast this spell may cast Ego Whip on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194964,182111,'Makes target afraid',100,2,2),
(194965,182111,'Slows target by 70.0%',100,2,3),
(194966,182111,'15% chance to dispel when target takes damage',100,2,4),
(194967,182111,'Must not be engaged in pvp combat',100,2,5),
(194968,182111,'If Target is not Epic',100,2,6),
(194969,182111,'Resistibility increases against targets higher than level 103.',100,2,7),
(194970,182111,'Cannot be modified except by direct means',100,2,8),
(194971,182111,'If Target is not Epic',100,1,9),
(194972,10182111,'When Equipped:',100,0,0),
(194973,10182111,'On a hostile spell cast this spell may cast Ego Whip on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(194974,10182111,'Makes target afraid',100,2,2),
(194975,10182111,'Slows target by 70.0%',100,2,3),
(194976,10182111,'15% chance to dispel when target takes damage',100,2,4),
(194977,10182111,'Must not be engaged in pvp combat',100,2,5),
(194978,10182111,'If Target is not Epic',100,2,6),
(194979,10182111,'Resistibility increases against targets higher than level 103.',100,2,7),
(194980,10182111,'Cannot be modified except by direct means',100,2,8),
(194981,10182111,'If Target is not Epic',100,1,9),
(194982,100646,'Increases AGI, STR and STA of target by 34.8',100,1,0),
(194983,100646,'Adds 1.4% to base avoidance.',100,1,1),
(194984,10100646,'Increases AGI, STR and STA of target by 34.8',100,1,0),
(194985,10100646,'Adds 1.4% to base avoidance.',100,1,1),
(194986,103720,'Increases Max Health of raid and group members (AE) by 322.7',100,1,0),
(194987,103720,'Increases Defense of raid and group members (AE) by 12.0',100,1,1),
(194988,10103720,'Increases Max Health of raid and group members (AE) by 322.7',100,1,0),
(194989,10103720,'Increases Defense of raid and group members (AE) by 12.0',100,1,1),
(194990,103069,'Inflicts 127 magic damage on target instantly and every 4 seconds',100,1,0),
(194991,103069,'Increases power of caster by 44 instantly and every 4 seconds',100,1,1),
(194992,10103069,'Inflicts 165 magic damage on target instantly and every 4 seconds',100,1,0),
(194993,10103069,'Increases power of caster by 44 instantly and every 4 seconds',100,1,1),
(194994,81134,'When Equipped:',100,0,0),
(194995,81134,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(194996,81134,'Inflicts 230 - 426 magic damage on target',100,2,2),
(194997,81134,'Cannot be modified except by direct means',100,2,3),
(194998,10081134,'When Equipped:',100,0,0),
(194999,10081134,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195000,10081134,'Inflicts 298 - 554 magic damage on target',100,2,2),
(195001,10081134,'Cannot be modified except by direct means',100,2,3),
(195002,24620,'Adds Physical Force (Multiple) to your Dungeon Maker toolbox',100,0,0),
(195003,10024620,'Adds Physical Force (Multiple) to your Dungeon Maker toolbox',100,0,0),
(195004,48289,'Applies Subtle Perception when Activated.  Lasts for 15 minutes.',100,0,0),
(195005,48289,'On any combat or spell hit this spell may cast Subtle Perception on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(195006,48289,'Inflicts 324 piercing damage on target',100,2,2),
(195007,48289,'Cannot be modified except by direct means',100,2,3),
(195008,10048289,'Applies Subtle Perception when Activated.  Lasts for 15 minutes.',100,0,0),
(195009,10048289,'On any combat or spell hit this spell may cast Subtle Perception on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(195010,10048289,'Inflicts 421 piercing damage on target',100,2,2),
(195011,10048289,'Cannot be modified except by direct means',100,2,3),
(195012,108041,'Inflicts 387 magic damage on target',100,1,0),
(195013,108041,'Increases power of caster by 137',100,1,1),
(195014,10108041,'Inflicts 503 magic damage on target',100,1,0),
(195015,10108041,'Increases power of caster by 137',100,1,1),
(195016,119574,'Increases power of caster by 10 instantly and every 4 seconds',100,1,0),
(195017,10119574,'Increases power of caster by 10 instantly and every 4 seconds',100,1,0),
(195018,191111,'When Equipped:',100,0,0),
(195019,191111,'Increases Attack Speed of caster by 30.0',100,1,1),
(195020,10191111,'When Equipped:',100,0,0),
(195021,10191111,'Increases Attack Speed of caster by 30.0',100,1,1),
(195022,110102,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(195023,110102,'Inflicts 32 disease damage on target',100,2,1),
(195024,110102,'Heals caster for 15',100,2,2),
(195025,110102,'Decreases INT of target by 109.5',100,1,3),
(195026,110102,'Decreases Attack Speed of target by 25.0',100,1,4),
(195027,110102,'Increases Max Health of target by 10.0%',100,1,5),
(195028,110102,'Increases Hate Gain of target by 27.0%',100,1,6),
(195029,110102,'Increases Aggression of target by 8.4',100,1,7),
(195030,110102,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(195031,110102,'Increases Threat to target encounter by 78 - 96 ',100,2,9),
(195032,110102,'Increases Mitigation of target vs elemental, noxious and arcane damage by 560',100,1,10),
(195033,10110102,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(195034,10110102,'Inflicts 41 disease damage on target',100,2,1),
(195035,10110102,'Heals caster for 10',100,2,2),
(195036,10110102,'Decreases INT of target by 109.5',100,1,3),
(195037,10110102,'Decreases Attack Speed of target by 25.0',100,1,4),
(195038,10110102,'Increases Max Health of target by 10.0%',100,1,5),
(195039,10110102,'Increases Aggression of target by 8.4',100,1,6),
(195040,10110102,'Increases Mitigation of target vs elemental, noxious and arcane damage by 560',100,1,7),
(195041,147180,'When Equipped:',100,0,0),
(195042,147180,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(195043,147180,'Inflicts 2664 cold damage on target encounter',100,2,2),
(195044,147180,'Must not be engaged in pvp combat',100,2,3),
(195045,147180,'Cannot be modified except by direct means',100,2,4),
(195046,147180,'Must not be engaged in pvp combat',100,1,5),
(195047,10147180,'When Equipped:',100,0,0),
(195048,10147180,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(195049,10147180,'Inflicts 1732 cold damage on target encounter',100,2,2),
(195050,10147180,'Must not be engaged in pvp combat',100,2,3),
(195051,10147180,'Cannot be modified except by direct means',100,2,4),
(195052,10147180,'Must not be engaged in pvp combat',100,1,5),
(195053,111105,'Heals target for 20.5 - 25.1% of max health',100,1,0),
(195054,111105,'This effect cannot be critically applied.',100,2,1),
(195055,111105,'Increases Mitigation of target vs physical damage by 281',100,1,2),
(195056,111105,'The healing of this spell cannot be modified except by direct means',100,1,3),
(195057,10111105,'Heals target for 7.7 - 9.4% of max health',100,1,0),
(195058,10111105,'This effect cannot be critically applied.',100,2,1),
(195059,10111105,'Increases Mitigation of target vs physical damage by 281',100,1,2),
(195060,10111105,'The healing of this spell cannot be modified except by direct means',100,1,3),
(195061,48590,'Applies Totem of Escape when Activated.',100,0,0),
(195062,48590,'Teleports caster within the zone',100,1,1),
(195063,48590,'Must not be engaged in combat',100,2,2),
(195064,48590,'Must not be engaged in pvp combat',100,2,3),
(195065,48590,'Only affects targets level 30 and above',100,1,4),
(195066,10048590,'Applies Totem of Escape when Activated.',100,0,0),
(195067,10048590,'Teleports caster within the zone',100,1,1),
(195068,10048590,'Must not be engaged in combat',100,2,2),
(195069,10048590,'Must not be engaged in pvp combat',100,2,3),
(195070,10048590,'Only affects targets level 30 and above',100,1,4),
(195071,73907,'Applies Disease Blast when Activated.',100,0,0),
(195072,73907,'Inflicts 563 - 939 disease damage on target',100,1,1),
(195073,73907,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(195074,10073907,'Applies Disease Blast when Activated.',100,0,0),
(195075,10073907,'Inflicts 732 - 1220 disease damage on target',100,1,1),
(195076,10073907,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(195077,102277,'Inflicts 615 - 1025 melee damage on targets in area',100,1,0),
(195078,10102277,'Inflicts 799 - 1333 melee damage on targets in area',100,1,0),
(195079,36204,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(195080,36204,'This effect suspends during combat',100,0,1),
(195081,105470,'Stuns target encounter',100,1,0),
(195082,105470,'If Target is not Epic',100,2,1),
(195083,105470,'Inflicts 204 - 379 poison damage on target encounter',100,1,2),
(195084,105470,'Resistibility increases against targets higher than level 51.',100,1,3),
(195085,10105470,'Stuns target encounter',100,1,0),
(195086,10105470,'If Target is not Epic',100,2,1),
(195087,10105470,'Inflicts 265 - 492 poison damage on target encounter',100,1,2),
(195088,10105470,'Resistibility increases against targets higher than level 51.',100,1,3),
(195089,46673,'Applies Planes Invader when Activated.',100,0,0),
(195090,46673,'Shapechanges the user into an Amygdalan Death Knight!',100,1,1),
(195091,10046673,'Applies Planes Invader when Activated.',100,0,0),
(195092,10046673,'Shapechanges the user into an Amygdalan Death Knight!',100,1,1),
(195093,138640,'When Equipped:',100,0,0),
(195094,138640,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(195095,138640,'Heals group members (AE) for 871',100,2,2),
(195096,138640,'Heals group members (AE) for 290 every 5 seconds',100,2,3),
(195097,138640,'Must not be engaged in pvp combat',100,2,4),
(195098,138640,'Cannot be modified except by direct means',100,2,5),
(195099,138640,'Must not be engaged in pvp combat',100,1,6),
(195100,10138640,'When Equipped:',100,0,0),
(195101,10138640,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(195102,10138640,'Heals group members (AE) for 1019',100,2,2),
(195103,10138640,'Heals group members (AE) for 340 every 5 seconds',100,2,3),
(195104,10138640,'Must not be engaged in pvp combat',100,2,4),
(195105,10138640,'Cannot be modified except by direct means',100,2,5),
(195106,10138640,'Must not be engaged in pvp combat',100,1,6),
(195107,45549,'Applies Aura of the Rainbringer  when Activated.  Lasts for 30 minutes.',100,0,0),
(195108,10045549,'Applies Aura of the Rainbringer  when Activated.  Lasts for 30 minutes.',100,0,0),
(195109,43266,'When Equipped:',100,0,0),
(195110,43266,'On a ranged hit this spell may cast Tunare''s Grace on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(195111,43266,'Inflicts 507 heat damage on target',100,2,2),
(195112,43266,'Cannot be modified except by direct means',100,2,3),
(195113,10043266,'When Equipped:',100,0,0),
(195114,10043266,'On a ranged hit this spell may cast Tunare''s Grace on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(195115,10043266,'Inflicts 659 heat damage on target',100,2,2),
(195116,10043266,'Cannot be modified except by direct means',100,2,3),
(195117,47349,'Applies Apply Naptheric Paste when Activated.',100,0,0),
(195118,10047349,'Applies Apply Naptheric Paste when Activated.',100,0,0),
(195119,71549,'When Equipped:',100,0,0),
(195120,71549,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195121,71549,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(195122,71549,'Cannot be modified except by direct means',100,2,3),
(195123,10071549,'When Equipped:',100,0,0),
(195124,10071549,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195125,10071549,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(195126,10071549,'Cannot be modified except by direct means',100,2,3),
(195127,75472,'When Equipped:',100,0,0),
(195128,75472,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(195129,75472,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(195130,75472,'Heals target for 5384 - 5951',100,2,3),
(195131,75472,'Dispels 200 levels of any hostile effects on target',100,2,4),
(195132,75472,'Must not be engaged in pvp combat',100,2,5),
(195133,75472,'Cannot be modified except by direct means',100,2,6),
(195134,75472,'Cannot be modified except by direct means',100,1,7),
(195135,75472,'When Equipped:',100,0,8),
(195136,75472,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(195137,75472,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,10),
(195138,75472,'Must not be engaged in pvp combat',100,2,11),
(195139,75472,'Cannot be modified except by direct means',100,2,12),
(195140,75472,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,13),
(195141,10075472,'When Equipped:',100,0,0),
(195142,10075472,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(195143,10075472,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(195144,10075472,'Heals target for 6299 - 6962',100,2,3),
(195145,10075472,'Dispels 200 levels of any hostile effects on target',100,2,4),
(195146,10075472,'Must not be engaged in pvp combat',100,2,5),
(195147,10075472,'Cannot be modified except by direct means',100,2,6),
(195148,10075472,'Cannot be modified except by direct means',100,1,7),
(195149,10075472,'When Equipped:',100,0,8),
(195150,10075472,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(195151,10075472,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,10),
(195152,10075472,'Must not be engaged in pvp combat',100,2,11),
(195153,10075472,'Cannot be modified except by direct means',100,2,12),
(195154,10075472,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,13),
(195155,105407,'Increases STR of caster by 37.6',100,1,0),
(195156,105407,'Decreases Defense of caster by 4.8',100,1,1),
(195157,105407,'Increases Slashing, Piercing, Crushing and Disruption of caster by 6.8',100,1,2),
(195158,10105407,'Increases STR of caster by 37.6',100,1,0),
(195159,10105407,'Decreases Defense of caster by 4.8',100,1,1),
(195160,10105407,'Increases Slashing, Piercing, Crushing and Disruption of caster by 6.8',100,1,2),
(195161,100106,'Decreases STR, AGI, WIS and INT of target by 15.4',100,1,0),
(195162,100106,'Decreases Max Health of target by 0.6%',100,1,1),
(195163,10100106,'Decreases STR, AGI, WIS and INT of target by 15.4',100,1,0),
(195164,10100106,'Decreases Max Health of target by 0.6%',100,1,1),
(195165,48106,'Applies Call Snow Gryphon when Activated.',100,0,0),
(195166,48106,'Summons a mount to ride',100,1,1),
(195167,48106,'Increases your ground speed by 75%',100,2,2),
(195168,48106,'Increases your air speed by 150%',100,2,3),
(195169,10048106,'Applies Call Snow Gryphon when Activated.',100,0,0),
(195170,10048106,'Summons a mount to ride',100,1,1),
(195171,10048106,'Increases your ground speed by 75%',100,2,2),
(195172,10048106,'Increases your air speed by 150%',100,2,3),
(195173,47232,'Applies Murky Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(195174,47232,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(195175,47232,'Inflicts 24 magic damage on target',100,2,2),
(195176,47232,'Cannot be modified except by direct means',100,2,3),
(195177,47232,'Only affects targets level 50 and above',100,1,4),
(195178,10047232,'Applies Murky Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(195179,10047232,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(195180,10047232,'Inflicts 31 magic damage on target',100,2,2),
(195181,10047232,'Cannot be modified except by direct means',100,2,3),
(195182,10047232,'Only affects targets level 50 and above',100,1,4),
(195183,26907,'When Equipped:',100,0,0),
(195184,26907,'Increases In-Combat Health Regeneration of caster by 3.0',100,1,1),
(195185,10026907,'When Equipped:',100,0,0),
(195186,10026907,'Increases In-Combat Health Regeneration of caster by 3.0',100,1,1),
(195187,82650,'When Equipped:',100,0,0),
(195188,82650,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(195189,82650,'Inflicts 118 - 218 magic damage on target',100,2,2),
(195190,82650,'Decreases Threat to target by 259 ',100,2,3),
(195191,82650,'Must be flanking or behind',100,3,4),
(195192,82650,'Increases Threat to target by 259 ',100,2,5),
(195193,82650,'Must be in front of',100,3,6),
(195194,82650,'Cannot be modified except by direct means',100,2,7),
(195195,10082650,'When Equipped:',100,0,0),
(195196,10082650,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(195197,10082650,'Inflicts 153 - 284 magic damage on target',100,2,2),
(195198,10082650,'Cannot be modified except by direct means',100,2,3),
(195199,105413,'Increases STR of caster by 70.1',100,1,0),
(195200,105413,'Decreases Defense of caster by 9.6',100,1,1),
(195201,105413,'Increases Slashing, Piercing, Crushing and Disruption of caster by 13.7',100,1,2),
(195202,10105413,'Increases STR of caster by 70.1',100,1,0),
(195203,10105413,'Decreases Defense of caster by 9.6',100,1,1),
(195204,10105413,'Increases Slashing, Piercing, Crushing and Disruption of caster by 13.7',100,1,2),
(195205,112274,'Increases Defense of group members (AE) by 5.1',100,1,0),
(195206,10112274,'Increases Defense of group members (AE) by 5.1',100,1,0),
(195207,48753,'Applies Elixir of Renewal  when Activated.',100,0,0),
(195208,48753,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(195209,10048753,'Applies Elixir of Renewal  when Activated.',100,0,0),
(195210,10048753,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(195211,115830,'Inflicts 55 disease damage on target every 3 seconds',100,1,0),
(195212,115830,'Inflicts 205 - 341 melee damage on target',100,1,1),
(195213,115830,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(195214,115830,'Heals caster for 1.3% of max health instantly and every 3 seconds',100,2,3),
(195215,115830,'This effect cannot be critically applied.',100,3,4),
(195216,115830,'The healing of this spell cannot be modified except by direct means',100,2,5),
(195217,115830,'The healing of this spell cannot be modified except by direct means',100,1,6),
(195218,10115830,'Inflicts 71 disease damage on target every 3 seconds',100,1,0),
(195219,10115830,'Inflicts 266 - 444 melee damage on target',100,1,1),
(195220,10115830,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(195221,10115830,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(195222,10115830,'This effect cannot be critically applied.',100,3,4),
(195223,10115830,'The healing of this spell cannot be modified except by direct means',100,2,5),
(195224,10115830,'The healing of this spell cannot be modified except by direct means',100,1,6),
(195225,81992,'When Equipped:',100,0,0),
(195226,81992,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195227,81992,'Inflicts 212 - 393 magic damage on target',100,2,2),
(195228,81992,'Cannot be modified except by direct means',100,2,3),
(195229,10081992,'When Equipped:',100,0,0),
(195230,10081992,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195231,10081992,'Inflicts 275 - 511 magic damage on target',100,2,2),
(195232,10081992,'Cannot be modified except by direct means',100,2,3),
(195233,50649,'When Equipped:',100,0,0),
(195234,50649,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195235,50649,'Increases the amount of your next healing spell or rune by 20%.',100,2,2),
(195236,50649,'Dispelled when target casts a heal spell',100,2,3),
(195237,50649,'Cannot be modified except by direct means',100,2,4),
(195238,10050649,'When Equipped:',100,0,0),
(195239,10050649,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195240,10050649,'Increases the amount of your next healing spell or rune by 20%.',100,2,2),
(195241,10050649,'Dispelled when target casts a heal spell',100,2,3),
(195242,10050649,'Cannot be modified except by direct means',100,2,4),
(195243,100315,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(195244,100315,'Inflicts 407 divine damage on target',100,2,1),
(195245,10100315,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(195246,10100315,'Inflicts 528 divine damage on target',100,2,1),
(195247,108216,'Increases power of caster by 94 instantly and every 4 seconds',100,1,0),
(195248,10108216,'Increases power of caster by 94 instantly and every 4 seconds',100,1,0),
(195249,24589,'Adds Naga (Templar) to your Dungeon Maker toolbox',100,0,0),
(195250,10024589,'Adds Naga (Templar) to your Dungeon Maker toolbox',100,0,0),
(195251,118270,'Increases Threat to target encounter by 675 - 825 ',100,1,0),
(195252,118270,'Decreases Mitigation of target encounter vs arcane damage by 800',100,1,1),
(195253,10118270,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(195254,10118270,'Prevents target from changing targets',100,2,1),
(195255,10118270,'Forces target to change their selected target to caster.',100,2,2),
(195256,10118270,'Decreases Mitigation of target encounter vs arcane damage by 800',100,1,3),
(195257,49013,'Applies Unreliable C.R.A.S.H. Pad when Activated.',100,0,0),
(195258,49013,'This can be used as a flying mount appearance.',100,1,1),
(195259,49013,'Summons a mount to ride',100,1,2),
(195260,49013,'Increases your ground speed by 130%',100,2,3),
(195261,10049013,'Applies Unreliable C.R.A.S.H. Pad when Activated.',100,0,0),
(195262,10049013,'This can be used as a flying mount appearance.',100,1,1),
(195263,10049013,'Summons a mount to ride',100,1,2),
(195264,10049013,'Increases your ground speed by 130%',100,2,3),
(195265,124392,'Decreases STR of target by 11.7',100,1,0),
(195266,10124392,'Decreases STR of target by 11.7',100,1,0),
(195267,110388,'Increases STR and AGI of group members (AE) by 75.2',100,1,0),
(195268,110388,'Adds 1.9% to base avoidance.',100,1,1),
(195269,10110388,'Increases STR and AGI of group members (AE) by 75.2',100,1,0),
(195270,10110388,'Adds 1.9% to base avoidance.',100,1,1),
(195271,111085,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(195272,111085,'Slows target by 63.3%',100,2,1),
(195273,111085,'5% chance to dispel when target receives hostile action',100,2,2),
(195274,111085,'5% chance to dispel when target takes damage',100,2,3),
(195275,111085,'Decreases Mitigation of target vs elemental damage by 2310',100,1,4),
(195276,10111085,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(195277,10111085,'Slows target by 63.3%',100,2,1),
(195278,10111085,'5% chance to dispel when target receives hostile action',100,2,2),
(195279,10111085,'5% chance to dispel when target takes damage',100,2,3),
(195280,10111085,'Decreases Mitigation of target vs elemental damage by 2310',100,1,4),
(195281,104699,'Inflicts 132 - 246 heat damage on targets in Area of Effect',100,1,0),
(195282,10104699,'Inflicts 172 - 320 heat damage on targets in Area of Effect',100,1,0),
(195283,71472,'When Equipped:',100,0,0),
(195284,71472,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195285,71472,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(195286,71472,'Cannot be modified except by direct means',100,2,3),
(195287,10071472,'When Equipped:',100,0,0),
(195288,10071472,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195289,10071472,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(195290,10071472,'Cannot be modified except by direct means',100,2,3),
(195291,105663,'Decreases Damage Per Second of target by 23.1',100,1,0),
(195292,105663,'Inflicts 233 - 389 melee damage on target',100,1,1),
(195293,105663,'Must be flanking or behind',100,1,2),
(195294,10105663,'Decreases Damage Per Second of target by 23.1',100,1,0),
(195295,10105663,'Inflicts 303 - 506 melee damage on target',100,1,1),
(195296,10105663,'Must be flanking or behind',100,1,2),
(195297,138783,'When Equipped:',100,0,0),
(195298,138783,'On a hostile spell hit this spell may cast Mutagenic Reaction on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(195299,138783,'Increases power of caster by 133 every 5 seconds',100,2,2),
(195300,138783,'Decreases Threat to target by 350 ',100,2,3),
(195301,138783,'Cannot be modified except by direct means',100,2,4),
(195302,10138783,'When Equipped:',100,0,0),
(195303,10138783,'On a hostile spell hit this spell may cast Mutagenic Reaction on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(195304,10138783,'Increases power of caster by 133 every 5 seconds',100,2,2),
(195305,10138783,'Cannot be modified except by direct means',100,2,3),
(195306,37010,'Increases Max Health of target by 3.9',100,0,0),
(195307,37010,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(195308,152882,'When Equipped:',100,0,0),
(195309,152882,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(195310,152882,'Heals group members (AE) for 2304',100,2,2),
(195311,152882,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(195312,152882,'Must not be engaged in pvp combat',100,2,4),
(195313,152882,'Cannot be modified except by direct means',100,2,5),
(195314,152882,'Must not be engaged in pvp combat',100,1,6),
(195315,10152882,'When Equipped:',100,0,0),
(195316,10152882,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(195317,10152882,'Heals group members (AE) for 2695',100,2,2),
(195318,10152882,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(195319,10152882,'Must not be engaged in pvp combat',100,2,4),
(195320,10152882,'Cannot be modified except by direct means',100,2,5),
(195321,10152882,'Must not be engaged in pvp combat',100,1,6),
(195322,140191,'When Equipped:',100,0,0),
(195323,140191,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(195324,140191,'Heals group members (AE) for 308 - 377',100,2,2),
(195325,140191,'Heals group members (AE) for 66 - 81 every 2 seconds',100,2,3),
(195326,140191,'Must not be engaged in pvp combat',100,2,4),
(195327,140191,'Cannot be modified except by direct means',100,2,5),
(195328,140191,'Cannot be modified except by direct means',100,1,6),
(195329,10140191,'When Equipped:',100,0,0),
(195330,10140191,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(195331,10140191,'Heals group members (AE) for 200 - 245',100,2,2),
(195332,10140191,'Heals group members (AE) for 43 - 52 every 2 seconds',100,2,3),
(195333,10140191,'Must not be engaged in pvp combat',100,2,4),
(195334,10140191,'Cannot be modified except by direct means',100,2,5),
(195335,10140191,'Cannot be modified except by direct means',100,1,6),
(195336,110045,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(195337,110045,'Inflicts 576 - 960 disease damage on target',100,2,1),
(195338,110045,'Heals caster for 2.7 - 4.5% of max health',100,2,2),
(195339,110045,'This effect cannot be critically applied.',100,3,3),
(195340,110045,'The healing of this spell cannot be modified except by direct means',100,2,4),
(195341,10110045,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(195342,10110045,'Inflicts 748 - 1247 disease damage on target',100,2,1),
(195343,10110045,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(195344,10110045,'This effect cannot be critically applied.',100,3,3),
(195345,10110045,'The healing of this spell cannot be modified except by direct means',100,2,4),
(195346,120437,'Inflicts 245 - 409 melee damage on target',100,1,0),
(195347,120437,'Inflicts 245 - 409 melee damage on target',100,1,1),
(195348,10120437,'Inflicts 319 - 532 melee damage on target',100,1,0),
(195349,10120437,'Inflicts 319 - 532 melee damage on target',100,1,1),
(195350,102514,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(195351,102514,'Increases Aggression of caster by 4.3',100,1,1),
(195352,102514,'Increases Defense and Parry of caster by 8.6',100,1,2),
(195353,102514,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(195354,10102514,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(195355,10102514,'Increases Aggression of caster by 4.3',100,1,1),
(195356,10102514,'Increases Defense and Parry of caster by 8.6',100,1,2),
(195357,10102514,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(195358,105876,'Inflicts 99 - 165 ranged damage on target',100,1,0),
(195359,105876,'Inflicts 99 - 165 ranged damage on target',100,1,1),
(195360,105876,'If weapon equipped in Ranged',100,1,2),
(195361,10105876,'Inflicts 84 - 140 ranged damage on target',100,1,0),
(195362,10105876,'Inflicts 84 - 140 ranged damage on target',100,1,1),
(195363,10105876,'If weapon equipped in Ranged',100,1,2),
(195364,115249,'Heals target for 133',100,1,0),
(195365,115249,'Heals target for 22 every second',100,1,1),
(195366,115249,'Dispels 27 levels of any hostile effects on target',100,1,2),
(195367,10115249,'Heals target for 87',100,1,0),
(195368,10115249,'Heals target for 14 every second',100,1,1),
(195369,10115249,'Dispels 27 levels of any hostile effects on target',100,1,2),
(195370,48665,'Applies Blessing of the Craftkeepers  when Activated.  Lasts for 30 minutes.',100,0,0),
(195371,48665,'Increases INT and WIS of caster by 23.0',100,1,1),
(195372,10048665,'Applies Blessing of the Craftkeepers  when Activated.  Lasts for 30 minutes.',100,0,0),
(195373,10048665,'Increases INT and WIS of caster by 23.0',100,1,1),
(195374,113486,'Inflicts 86 - 144 melee damage on targets in area',100,1,0),
(195375,10113486,'Inflicts 112 - 187 melee damage on targets in area',100,1,0),
(195376,141767,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195377,141767,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195378,141767,'Inflicts 47 heat damage on target',100,2,2),
(195379,141767,'Cannot be modified except by direct means',100,2,3),
(195380,10141767,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195381,10141767,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195382,10141767,'Inflicts 61 heat damage on target',100,2,2),
(195383,10141767,'Cannot be modified except by direct means',100,2,3),
(195384,82482,'When Equipped:',100,0,0),
(195385,82482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195386,82482,'Inflicts 212 - 393 magic damage on target',100,2,2),
(195387,82482,'Cannot be modified except by direct means',100,2,3),
(195388,10082482,'When Equipped:',100,0,0),
(195389,10082482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195390,10082482,'Inflicts 275 - 511 magic damage on target',100,2,2),
(195391,10082482,'Cannot be modified except by direct means',100,2,3),
(195392,48732,'Applies Translucent Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(195393,48732,'Increases INT and WIS of caster by 35.2',100,1,1),
(195394,48732,'Only affects targets level 50 and above',100,1,2),
(195395,10048732,'Applies Translucent Elixir of Insight when Activated.  Lasts for 30 minutes.',100,0,0),
(195396,10048732,'Increases INT and WIS of caster by 35.2',100,1,1),
(195397,10048732,'Only affects targets level 50 and above',100,1,2),
(195398,113722,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(195399,10113722,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(195400,108690,'Inflicts 96 heat damage on target',100,1,0),
(195401,108690,'Inflicts 21 heat damage on target every 4 seconds',100,1,1),
(195402,10108690,'Inflicts 174 heat damage on target',100,1,0),
(195403,10108690,'Inflicts 28 heat damage on target every 4 seconds',100,1,1),
(195404,118770,'Increases INT and WIS of group members (AE) by 58.7',100,1,0),
(195405,118770,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 172',100,1,1),
(195406,10118770,'Increases INT and WIS of group members (AE) by 58.7',100,1,0),
(195407,10118770,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 172',100,1,1),
(195408,37501,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(195409,82487,'When Equipped:',100,0,0),
(195410,82487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195411,82487,'Inflicts 212 - 393 magic damage on target',100,2,2),
(195412,82487,'Cannot be modified except by direct means',100,2,3),
(195413,10082487,'When Equipped:',100,0,0),
(195414,10082487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195415,10082487,'Inflicts 275 - 511 magic damage on target',100,2,2),
(195416,10082487,'Cannot be modified except by direct means',100,2,3),
(195417,25284,'When Equipped:',100,0,0),
(195418,25284,'Reduces the reuse time of Apocalypse IV by 15 seconds.',100,1,1),
(195419,25284,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(195420,10025284,'When Equipped:',100,0,0),
(195421,10025284,'Reduces the reuse time of Apocalypse IV by 15 seconds.',100,1,1),
(195422,10025284,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(195423,88907,'When Equipped:',100,0,0),
(195424,88907,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195425,88907,'Slows target by 20.0%',100,2,2),
(195426,88907,'Cannot be modified except by direct means',100,2,3),
(195427,10088907,'When Equipped:',100,0,0),
(195428,10088907,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195429,10088907,'Slows target by 20.0%',100,2,2),
(195430,10088907,'Cannot be modified except by direct means',100,2,3),
(195431,87271,'When Equipped:',100,0,0),
(195432,87271,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195433,87271,'Inflicts 320 - 480 magic damage on target',100,2,2),
(195434,87271,'Cannot be modified except by direct means',100,2,3),
(195435,10087271,'When Equipped:',100,0,0),
(195436,10087271,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195437,10087271,'Inflicts 416 - 624 magic damage on target',100,2,2),
(195438,10087271,'Cannot be modified except by direct means',100,2,3),
(195439,118111,'Heals target for 208 - 254',100,1,0),
(195440,10118111,'Heals target for 246 - 300',100,1,0),
(195441,123708,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(195442,123708,'Inflicts 304 divine damage on target',100,2,1),
(195443,123708,'Grants a total of 5 triggers of the spell.',100,2,2),
(195444,10123708,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(195445,10123708,'Inflicts 395 divine damage on target',100,2,1),
(195446,10123708,'Grants a total of 5 triggers of the spell.',100,2,2),
(195447,114728,'Inflicts 649 - 1081 melee damage on target',100,1,0),
(195448,114728,'You must be in stealth.',100,1,1),
(195449,10114728,'Inflicts 502 - 837 melee damage on target',100,1,0),
(195450,10114728,'You must be in stealth.',100,1,1),
(195451,103756,'Shapechanges caster into a fairy',100,1,0),
(195452,10103756,'Shapechanges caster into a fairy',100,1,0),
(195453,123820,'Inflicts 125 - 208 magic damage on target',100,1,0),
(195454,123820,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(195455,123820,'Decreases Defense of target by 27.6',100,1,2),
(195456,123820,'Target will lose 31% more power when power is consumed',100,1,3),
(195457,123820,'31% of target''s power consumed will also be drained from target''s health',100,1,4),
(195458,10123820,'Inflicts 162 - 270 magic damage on target',100,1,0),
(195459,10123820,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(195460,10123820,'Decreases Defense of target by 27.6',100,1,2),
(195461,10123820,'Target will lose 31% more power when power is consumed',100,1,3),
(195462,10123820,'31% of target''s power consumed will also be drained from target''s health',100,1,4),
(195463,35441,'Increases AGI of target by 1.5',100,0,0),
(195464,35441,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(195465,108131,'Increases Attack Speed of caster by 25.9',100,1,0),
(195466,10108131,'Increases Attack Speed of caster by 25.9',100,1,0),
(195467,138711,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(195468,138711,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(195469,138711,'Decreases Threat to target encounter by 388 - 646 ',100,2,2),
(195470,138711,'Cannot be modified except by direct means',100,2,3),
(195471,138711,'The reuse time of Distracting Aura is 30 minutes',100,1,4),
(195472,10138711,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(195473,10138711,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(195474,10138711,'Applies Distract.',100,2,2),
(195475,10138711,'Forces target to clear their selected target.',100,3,3),
(195476,10138711,'Cannot be modified except by direct means',100,2,4),
(195477,10138711,'The reuse time of Distracting Aura is 30 minutes',100,1,5),
(195478,113054,'Dazes target',100,1,0),
(195479,113054,'If Target is not Epic',100,2,1),
(195480,113054,'Applies Scream on termination.',100,1,2),
(195481,113054,'Inflicts 115 - 192 disease damage on target',100,2,3),
(195482,113054,'Resistibility increases against targets higher than level 49.',100,1,4),
(195483,10113054,'Dazes target',100,1,0),
(195484,10113054,'If Target is not Epic',100,2,1),
(195485,10113054,'Applies Scream on termination.',100,1,2),
(195486,10113054,'Inflicts 149 - 249 disease damage on target',100,2,3),
(195487,10113054,'Resistibility increases against targets higher than level 49.',100,1,4),
(195488,75020,'Applies Lightning Shock when Activated.',100,0,0),
(195489,75020,'Inflicts 463 - 772 magic damage on target',100,1,1),
(195490,75020,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(195491,10075020,'Applies Lightning Shock when Activated.',100,0,0),
(195492,10075020,'Inflicts 602 - 1004 magic damage on target',100,1,1),
(195493,10075020,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(195494,88283,'When Equipped:',100,0,0),
(195495,88283,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195496,88283,'Increases Attack Speed of caster by 20.0',100,2,2),
(195497,88283,'Cannot be modified except by direct means',100,2,3),
(195498,10088283,'When Equipped:',100,0,0),
(195499,10088283,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195500,10088283,'Increases Attack Speed of caster by 20.0',100,2,2),
(195501,10088283,'Cannot be modified except by direct means',100,2,3),
(195502,35370,'Increases STA of target by 1.5',100,0,0),
(195503,35370,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(195504,102322,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(195505,102322,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(195506,102322,'Decreases threat priority of target encounter by 1 position',100,2,2),
(195507,102322,'Decreases Threat to target encounter by 303 ',100,2,3),
(195508,102322,'Grants a total of 3 triggers of the spell.',100,2,4),
(195509,102322,'If profession other than Fighter',100,1,5),
(195510,10102322,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(195511,10102322,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(195512,10102322,'Target cannot target caster for the duration of this effect.',100,2,2),
(195513,10102322,'Forces target to clear their selected target.',100,2,3),
(195514,10102322,'Grants a total of 3 triggers of the spell.',100,2,4),
(195515,10102322,'If profession other than Fighter',100,1,5),
(195516,75168,'When Equipped:',100,0,0),
(195517,75168,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(195518,10075168,'When Equipped:',100,0,0),
(195519,10075168,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(195520,46068,'Applies Elixir of Divine Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(195521,10046068,'Applies Elixir of Divine Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(195522,100501,'Increases Attack Speed of group members (AE) by 18.0',100,1,0),
(195523,10100501,'Increases Attack Speed of group members (AE) by 18.0',100,1,0),
(195524,43211,'When Equipped:',100,0,0),
(195525,43211,'On a ranged hit this spell may cast Hidden Shot on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195526,43211,'Decreases Threat to target by 675 ',100,2,2),
(195527,43211,'Cannot be modified except by direct means',100,2,3),
(195528,10043211,'When Equipped:',100,0,0),
(195529,10043211,'On a ranged hit this spell may cast Hidden Shot on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195530,10043211,'Cannot be modified except by direct means',100,2,2),
(195531,172536,'When Equipped:',100,0,0),
(195532,172536,'Increases Attack Speed of caster by 38.0',100,1,1),
(195533,10172536,'When Equipped:',100,0,0),
(195534,10172536,'Increases Attack Speed of caster by 38.0',100,1,1),
(195535,134187,'When Equipped:',100,0,0),
(195536,134187,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(195537,134187,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,2),
(195538,134187,'Increases Potency of caster by 3.0%',100,2,3),
(195539,134187,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(195540,134187,'Must not be engaged in pvp combat',100,2,5),
(195541,134187,'Cannot be modified except by direct means',100,2,6),
(195542,134187,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(195543,134187,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(195544,134187,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,9),
(195545,134187,'Increases Potency of caster by 3.0%',100,2,10),
(195546,134187,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(195547,134187,'Must not be engaged in pvp combat',100,2,12),
(195548,134187,'Cannot be modified except by direct means',100,2,13),
(195549,134187,'Cannot be modified except by direct means',100,1,14),
(195550,10134187,'When Equipped:',100,0,0),
(195551,10134187,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(195552,10134187,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,2),
(195553,10134187,'Increases Potency of caster by 3.0%',100,2,3),
(195554,10134187,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(195555,10134187,'Must not be engaged in pvp combat',100,2,5),
(195556,10134187,'Cannot be modified except by direct means',100,2,6),
(195557,10134187,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(195558,10134187,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(195559,10134187,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,9),
(195560,10134187,'Increases Potency of caster by 3.0%',100,2,10),
(195561,10134187,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(195562,10134187,'Must not be engaged in pvp combat',100,2,12),
(195563,10134187,'Cannot be modified except by direct means',100,2,13),
(195564,10134187,'Cannot be modified except by direct means',100,1,14),
(195565,106486,'Decreases STR and AGI of target by 37.1',100,1,0),
(195566,10106486,'Decreases STR and AGI of target by 37.1',100,1,0),
(195567,185917,'When Equipped:',100,0,0),
(195568,185917,'On a hostile spell cast this spell may cast Darkened Direction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(195569,185917,'Inflicts 564 - 690 disease damage on target',100,2,2),
(195570,185917,'Inflicts 564 - 690 cold damage on target',100,2,3),
(195571,185917,'Inflicts 564 - 690 mental damage on target',100,2,4),
(195572,185917,'Cannot be modified except by direct means',100,2,5),
(195573,10185917,'When Equipped:',100,0,0),
(195574,10185917,'On a hostile spell cast this spell may cast Darkened Direction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(195575,10185917,'Inflicts 734 - 897 cold damage on target',100,2,2),
(195576,10185917,'Inflicts 734 - 897 disease damage on target',100,2,3),
(195577,10185917,'Inflicts 734 - 897 mental damage on target',100,2,4),
(195578,10185917,'Cannot be modified except by direct means',100,2,5),
(195579,40656,'When Equipped:',100,0,0),
(195580,40656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195581,40656,'Inflicts 134 - 201 magic damage on target',100,2,2),
(195582,40656,'Cannot be modified except by direct means',100,2,3),
(195583,10040656,'When Equipped:',100,0,0),
(195584,10040656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195585,10040656,'Inflicts 174 - 261 magic damage on target',100,2,2),
(195586,10040656,'Cannot be modified except by direct means',100,2,3),
(195587,81683,'When Equipped:',100,0,0),
(195588,81683,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(195589,81683,'Inflicts 118 - 218 magic damage on target',100,2,2),
(195590,81683,'Decreases Threat to target by 259 ',100,2,3),
(195591,81683,'Must be flanking or behind',100,3,4),
(195592,81683,'Increases Threat to target by 259 ',100,2,5),
(195593,81683,'Must be in front of',100,3,6),
(195594,81683,'Cannot be modified except by direct means',100,2,7),
(195595,10081683,'When Equipped:',100,0,0),
(195596,10081683,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(195597,10081683,'Inflicts 153 - 284 magic damage on target',100,2,2),
(195598,10081683,'Cannot be modified except by direct means',100,2,3),
(195599,37600,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(195600,26304,'When Equipped:',100,0,0),
(195601,26304,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(195602,26304,'Inflicts 54 piercing damage on target',100,2,2),
(195603,26304,'Cannot be modified except by direct means',100,2,3),
(195604,10026304,'When Equipped:',100,0,0),
(195605,10026304,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(195606,10026304,'Inflicts 71 piercing damage on target',100,2,2),
(195607,10026304,'Cannot be modified except by direct means',100,2,3),
(195608,47675,'Applies Raging Flame when Activated.',100,0,0),
(195609,47675,'Inflicts 10368 heat damage on caster',100,1,1),
(195610,47675,'A powerful flame, perhaps capable of destroying the indestructable.',100,1,2),
(195611,47675,'If any of the following are true:',100,1,3),
(195612,47675,'Must be in Sullon''s Spire [Challenge].',100,2,4),
(195613,47675,'Must be in Sullon''s Spire.',100,2,5),
(195614,47675,'Cannot be modified except by direct means',100,1,6),
(195615,10047675,'Applies Raging Flame when Activated.',100,0,0),
(195616,10047675,'Inflicts 13478 heat damage on caster',100,1,1),
(195617,10047675,'A powerful flame, perhaps capable of destroying the indestructable.',100,1,2),
(195618,10047675,'If any of the following are true:',100,1,3),
(195619,10047675,'Must be in Sullon''s Spire [Challenge].',100,2,4),
(195620,10047675,'Must be in Sullon''s Spire.',100,2,5),
(195621,10047675,'Cannot be modified except by direct means',100,1,6),
(195622,124033,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(195623,124033,'Heals target for 394 - 482',100,2,1),
(195624,124033,'Grants a total of 5 triggers of the spell.',100,2,2),
(195625,10124033,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(195626,10124033,'Heals target for 256 - 313',100,2,1),
(195627,10124033,'Grants a total of 5 triggers of the spell.',100,2,2),
(195628,52795,'Applies Sanguine Imbued when Equipped.',100,0,0),
(195629,52795,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(195630,52795,'Inflicts 86 heat damage on target',100,2,2),
(195631,52795,'Cannot be modified except by direct means',100,2,3),
(195632,10052795,'Applies Sanguine Imbued when Equipped.',100,0,0),
(195633,10052795,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(195634,10052795,'Inflicts 112 heat damage on target',100,2,2),
(195635,10052795,'Cannot be modified except by direct means',100,2,3),
(195636,36308,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(195637,36308,'This effect suspends during combat',100,0,1),
(195638,86260,'When Equipped:',100,0,0),
(195639,86260,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(195640,86260,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,2),
(195641,86260,'Increases Potency of caster by 3.0%',100,2,3),
(195642,86260,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(195643,86260,'Must not be engaged in pvp combat',100,2,5),
(195644,86260,'Cannot be modified except by direct means',100,2,6),
(195645,86260,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(195646,86260,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(195647,86260,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,9),
(195648,86260,'Increases Potency of caster by 3.0%',100,2,10),
(195649,86260,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(195650,86260,'Must not be engaged in pvp combat',100,2,12),
(195651,86260,'Cannot be modified except by direct means',100,2,13),
(195652,86260,'Cannot be modified except by direct means',100,1,14),
(195653,86260,'When Equipped:',100,0,15),
(195654,86260,'This effect will not stack with any rank or tier of itself.',100,1,16),
(195655,86260,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(195656,86260,'Cannot be modified except by direct means',100,1,18),
(195657,10086260,'When Equipped:',100,0,0),
(195658,10086260,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(195659,10086260,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,2),
(195660,10086260,'Increases Potency of caster by 3.0%',100,2,3),
(195661,10086260,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(195662,10086260,'Must not be engaged in pvp combat',100,2,5),
(195663,10086260,'Cannot be modified except by direct means',100,2,6),
(195664,10086260,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(195665,10086260,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(195666,10086260,'Increases AGI, INT, WIS and STR of caster by 110.0',100,2,9),
(195667,10086260,'Increases Potency of caster by 3.0%',100,2,10),
(195668,10086260,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(195669,10086260,'Must not be engaged in pvp combat',100,2,12),
(195670,10086260,'Cannot be modified except by direct means',100,2,13),
(195671,10086260,'Cannot be modified except by direct means',100,1,14),
(195672,10086260,'When Equipped:',100,0,15),
(195673,10086260,'This effect will not stack with any rank or tier of itself.',100,1,16),
(195674,10086260,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(195675,10086260,'Cannot be modified except by direct means',100,1,18),
(195676,48803,'Applies Gubaku''s Resurgence  when Activated.',100,0,0),
(195677,48803,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(195678,10048803,'Applies Gubaku''s Resurgence  when Activated.',100,0,0),
(195679,10048803,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(195680,120125,'Shapechanges caster into a chaos essence',100,1,0),
(195681,120125,'Increases WIS of caster by 159.7',100,1,1),
(195682,120125,'Grants See Invisibility to caster',100,1,2),
(195683,120125,'Increases Max Health of caster by 711.7',100,1,3),
(195684,120125,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2247',100,1,4),
(195685,10120125,'Shapechanges caster into a chaos essence',100,1,0),
(195686,10120125,'Increases WIS of caster by 159.7',100,1,1),
(195687,10120125,'Grants See Invisibility to caster',100,1,2),
(195688,10120125,'Increases Max Health of caster by 711.7',100,1,3),
(195689,10120125,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2247',100,1,4),
(195690,108330,'Inflicts 312 - 521 divine damage on target',100,1,0),
(195691,108330,'Heals caster for 1.1% of max health',100,1,1),
(195692,108330,'This effect cannot be critically applied.',100,2,2),
(195693,108330,'The healing of this spell cannot be modified except by direct means',100,1,3),
(195694,10108330,'Inflicts 406 - 677 divine damage on target',100,1,0),
(195695,10108330,'Heals caster for 0.6% of max health',100,1,1),
(195696,10108330,'This effect cannot be critically applied.',100,2,2),
(195697,10108330,'The healing of this spell cannot be modified except by direct means',100,1,3),
(195698,51348,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195699,51348,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195700,51348,'Inflicts 47 heat damage on target',100,2,2),
(195701,51348,'Cannot be modified except by direct means',100,2,3),
(195702,10051348,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195703,10051348,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195704,10051348,'Inflicts 61 heat damage on target',100,2,2),
(195705,10051348,'Cannot be modified except by direct means',100,2,3),
(195706,119013,'Heals target for 1752 - 2141',100,1,0),
(195707,10119013,'Heals target for 1863 - 2277',100,1,0),
(195708,25631,'When Equipped:',100,0,0),
(195709,25631,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(195710,25631,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(195711,10025631,'When Equipped:',100,0,0),
(195712,10025631,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(195713,10025631,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(195714,45918,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(195715,45918,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(195716,45918,'Decreases Threat to target by 1,193 - 1,458 ',100,2,2),
(195717,45918,'Cannot be modified except by direct means',100,2,3),
(195718,45918,'Grants a total of 100 triggers of the spell.',100,2,4),
(195719,10045918,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(195720,10045918,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(195721,10045918,'5% chance to apply Distract.',100,2,2),
(195722,10045918,'Forces target to clear their selected target.',100,3,3),
(195723,10045918,'Cannot be modified except by direct means',100,2,4),
(195724,10045918,'Grants a total of 100 triggers of the spell.',100,2,5),
(195725,45906,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(195726,45906,'Increases WIS of caster by 60.5',100,1,1),
(195727,10045906,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(195728,10045906,'Increases WIS of caster by 60.5',100,1,1),
(195729,35454,'Increases STR of target by 1.5',100,0,0),
(195730,35454,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(195731,81774,'When Equipped:',100,0,0),
(195732,81774,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195733,81774,'Inflicts 148 - 274 magic damage on target',100,2,2),
(195734,81774,'Cannot be modified except by direct means',100,2,3),
(195735,10081774,'When Equipped:',100,0,0),
(195736,10081774,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195737,10081774,'Inflicts 192 - 356 magic damage on target',100,2,2),
(195738,10081774,'Cannot be modified except by direct means',100,2,3),
(195739,115855,'Inflicts 478 - 796 mental damage on target encounter',100,1,0),
(195740,115855,'Interrupts target encounter',100,1,1),
(195741,10115855,'Inflicts 621 - 1035 mental damage on target encounter',100,1,0),
(195742,10115855,'Interrupts target encounter',100,1,1),
(195743,109917,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(195744,109917,'Inflicts 246 - 301 poison damage on target instantly and every 4 seconds',100,2,1),
(195745,10109917,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(195746,10109917,'Inflicts 320 - 391 poison damage on target instantly and every 4 seconds',100,2,1),
(195747,124755,'Inflicts 343 - 419 disease damage on target encounter',100,1,0),
(195748,10124755,'Inflicts 446 - 545 disease damage on target encounter',100,1,0),
(195749,106563,'Inflicts 987 - 1207 melee damage on target',100,1,0),
(195750,106563,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(195751,106563,'Increases Hate Gain of target by 30.0%',100,2,2),
(195752,106563,'Grants a total of 1 trigger of the spell.',100,2,3),
(195753,10106563,'Inflicts 1284 - 1569 melee damage on target',100,1,0),
(195754,10106563,'25% chance to apply Distract on termination.',100,1,1),
(195755,10106563,'Forces target to clear their selected target.',100,2,2),
(195756,117269,'Inflicts 102 - 170 melee damage on target',100,1,0),
(195757,117269,'Decreases Damage Per Second of target by 6.9',100,1,1),
(195758,117269,'Decreases Attack Speed of target by 5.9',100,1,2),
(195759,10117269,'Inflicts 133 - 221 melee damage on target',100,1,0),
(195760,10117269,'Decreases Damage Per Second of target by 6.9',100,1,1),
(195761,10117269,'Decreases Attack Speed of target by 5.9',100,1,2),
(195762,109862,'Increases Defense of group members (AE) by 15.4',100,1,0),
(195763,10109862,'Increases Defense of group members (AE) by 15.4',100,1,0),
(195764,107229,'Inflicts 1550 - 2584 melee damage on targets in area',100,1,0),
(195765,107229,'Dispels 286 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(195766,10107229,'Inflicts 2015 - 3359 melee damage on targets in area',100,1,0),
(195767,10107229,'Reduces healing received of targets in area by 10%',100,1,1),
(195768,110567,'Decreases Attack Speed of target by 12.4',100,1,0),
(195769,110567,'Decreases Crushing, Slashing and Piercing of target by 3.6',100,1,1),
(195770,10110567,'Decreases Attack Speed of target by 12.4',100,1,0),
(195771,10110567,'Decreases Crushing, Slashing and Piercing of target by 3.6',100,1,1),
(195772,107981,'Increases In-Combat Power Regeneration of group members (AE) by 43.5',100,1,0),
(195773,10107981,'Increases In-Combat Power Regeneration of group members (AE) by 43.5',100,1,0),
(195774,123457,'Shapechanges caster into a bear',100,1,0),
(195775,123457,'Increases WIS of caster by 83.8',100,1,1),
(195776,123457,'Grants See Stealth to caster',100,1,2),
(195777,123457,'Increases Max Health of caster by 332.5',100,1,3),
(195778,123457,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(195779,10123457,'Shapechanges caster into a bear',100,1,0),
(195780,10123457,'Increases WIS of caster by 83.8',100,1,1),
(195781,10123457,'Grants See Stealth to caster',100,1,2),
(195782,10123457,'Increases Max Health of caster by 332.5',100,1,3),
(195783,10123457,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(195784,166378,'When Equipped:',100,0,0),
(195785,166378,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(195786,10166378,'When Equipped:',100,0,0),
(195787,10166378,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(195788,35920,'Increases STA of target by 1.5',100,0,0),
(195789,35920,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(195790,124188,'Inflicts 171 - 286 melee damage on target',100,1,0),
(195791,10124188,'Inflicts 223 - 372 melee damage on target',100,1,0),
(195792,36871,'Increases Max Power of target by 5.5',100,0,0),
(195793,36871,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(195794,114466,'Inflicts 514 - 857 heat damage on target',100,1,0),
(195795,10114466,'Inflicts 668 - 1114 heat damage on target',100,1,0),
(195796,82467,'When Equipped:',100,0,0),
(195797,82467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195798,82467,'Inflicts 212 - 393 magic damage on target',100,2,2),
(195799,82467,'Cannot be modified except by direct means',100,2,3),
(195800,10082467,'When Equipped:',100,0,0),
(195801,10082467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(195802,10082467,'Inflicts 275 - 511 magic damage on target',100,2,2),
(195803,10082467,'Cannot be modified except by direct means',100,2,3),
(195804,87541,'Applies Lightning Shock when Activated.',100,0,0),
(195805,87541,'Inflicts 418 - 696 magic damage on target',100,1,1),
(195806,87541,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(195807,10087541,'Applies Lightning Shock when Activated.',100,0,0),
(195808,10087541,'Inflicts 543 - 905 magic damage on target',100,1,1),
(195809,10087541,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(195810,110428,'Inflicts 5272 - 8787 disease damage on target',100,1,0),
(195811,10110428,'Inflicts 4700 - 7833 disease damage on target',100,1,0),
(195812,106259,'Wards target against 652 points of all damage',100,1,0),
(195813,10106259,'Wards target against 652 points of all damage',100,1,0),
(195814,25834,'When Equipped:',100,0,0),
(195815,25834,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(195816,25834,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,2),
(195817,10025834,'When Equipped:',100,0,0),
(195818,10025834,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(195819,10025834,'Improves the reuse time of Stoneskin by 60 seconds.',100,1,2),
(195820,71344,'When Equipped:',100,0,0),
(195821,71344,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195822,71344,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(195823,71344,'Cannot be modified except by direct means',100,2,3),
(195824,10071344,'When Equipped:',100,0,0),
(195825,10071344,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195826,10071344,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(195827,10071344,'Cannot be modified except by direct means',100,2,3),
(195828,114506,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',100,1,0),
(195829,114506,'Stuns target',100,2,1),
(195830,114506,'If Target is not Epic',100,3,2),
(195831,114506,'Grants a total of 3 triggers of the spell.',100,2,3),
(195832,10114506,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 2.0 seconds.  ',100,1,0),
(195833,10114506,'Stuns target',100,2,1),
(195834,10114506,'If Target is not Epic',100,3,2),
(195835,10114506,'Grants a total of 3 triggers of the spell.',100,2,3),
(195836,100287,'Inflicts 126 - 234 poison damage on target instantly and every 3 seconds',100,1,0),
(195837,10100287,'Inflicts 370 - 687 poison damage on target instantly and every 3 seconds',100,1,0),
(195838,135109,'Applies Second Chance when Activated.  Lasts for 10.0 seconds.',100,0,0),
(195839,135109,'Caster will Parry 100.0% of incoming attacks',100,1,1),
(195840,135109,'Must be engaged in pvp combat',100,1,2),
(195841,135109,'Only affects targets level 79 and below',100,1,3),
(195842,135109,'The casting time of Second Chance is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(195843,10135109,'Applies Second Chance when Activated.  Lasts for 10.0 seconds.',100,0,0),
(195844,10135109,'Caster will Parry 100.0% of incoming attacks',100,1,1),
(195845,10135109,'Must be engaged in pvp combat',100,1,2),
(195846,10135109,'Only affects targets level 79 and below',100,1,3),
(195847,10135109,'The casting time of Second Chance is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(195848,27396,'When Equipped:',100,0,0),
(195849,27396,'Increases all divine damage by up to 10.',100,1,1),
(195850,10027396,'When Equipped:',100,0,0),
(195851,10027396,'Increases all divine damage by up to 10.',100,1,1),
(195852,45446,'Applies Bulwark of Trueheart when Activated.  Lasts for 30 minutes.',100,0,0),
(195853,10045446,'Applies Bulwark of Trueheart when Activated.  Lasts for 30 minutes.',100,0,0),
(195854,26649,'When Equipped:',100,0,0),
(195855,26649,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(195856,26649,'Thorncoat VIII grants additional physical mitigation.',100,1,2),
(195857,10026649,'When Equipped:',100,0,0),
(195858,10026649,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(195859,10026649,'Thorncoat VIII grants additional physical mitigation.',100,1,2),
(195860,108727,'Summons a pet fiery magician',100,1,0),
(195861,10108727,'Summons a pet fiery magician',100,1,0),
(195862,163998,'When Equipped:',100,0,0),
(195863,163998,'Increases Attack Speed of caster by 35.0',100,1,1),
(195864,10163998,'When Equipped:',100,0,0),
(195865,10163998,'Increases Attack Speed of caster by 35.0',100,1,1),
(195866,104409,'Inflicts 196 - 240 mental damage on target encounter instantly and every second',100,1,0),
(195867,104409,'Stifles target encounter',100,1,1),
(195868,104409,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(195869,104409,'Resistibility increases against targets higher than level 79.',100,1,3),
(195870,10104409,'Inflicts 237 - 290 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(195871,10104409,'Stifles target encounter',100,1,1),
(195872,10104409,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(195873,10104409,'Resistibility increases against targets higher than level 79.',100,1,3),
(195874,121786,'Heals target for 125 - 152',100,1,0),
(195875,121786,'Heals target for 21 - 25 every second',100,1,1),
(195876,10121786,'Heals target for 216 - 264',100,1,0),
(195877,10121786,'Heals target for 18 - 22 every second',100,1,1),
(195878,123790,'Inflicts 8 - 13 magic damage on target',100,1,0),
(195879,123790,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(195880,123790,'Decreases Defense of target by 2.6',100,1,2),
(195881,123790,'Target will lose 10% more power when power is consumed',100,1,3),
(195882,123790,'10% of target''s power consumed will also be drained from target''s health',100,1,4),
(195883,10123790,'Inflicts 10 - 16 magic damage on target',100,1,0),
(195884,10123790,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(195885,10123790,'Decreases Defense of target by 2.6',100,1,2),
(195886,10123790,'Target will lose 10% more power when power is consumed',100,1,3),
(195887,10123790,'10% of target''s power consumed will also be drained from target''s health',100,1,4),
(195888,112341,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(195889,112341,'Inflicts 166 - 276 piercing damage on target',100,2,1),
(195890,10112341,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(195891,10112341,'Inflicts 113 - 188 piercing damage on target',100,2,1),
(195892,105671,'Decreases Damage Per Second of target by 31.3',100,1,0),
(195893,105671,'Inflicts 408 - 681 melee damage on target',100,1,1),
(195894,105671,'Must be flanking or behind',100,1,2),
(195895,10105671,'Decreases Damage Per Second of target by 31.3',100,1,0),
(195896,10105671,'Inflicts 531 - 886 melee damage on target',100,1,1),
(195897,10105671,'Must be flanking or behind',100,1,2),
(195898,72225,'When Equipped:',100,0,0),
(195899,72225,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195900,72225,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(195901,72225,'Cannot be modified except by direct means',100,2,3),
(195902,10072225,'When Equipped:',100,0,0),
(195903,10072225,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195904,10072225,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(195905,10072225,'Cannot be modified except by direct means',100,2,3),
(195906,36205,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(195907,25035,'When Equipped:',100,0,0),
(195908,25035,'Increases Ability Casting Speed of caster by 5.0%',100,1,1),
(195909,10025035,'When Equipped:',100,0,0),
(195910,10025035,'Increases Ability Casting Speed of caster by 5.0%',100,1,1),
(195911,48725,'Applies Elixir of Energy  when Activated.  Lasts for 15 minutes.',100,0,0),
(195912,48725,'Increases Max Power of caster by 32.5',100,1,1),
(195913,10048725,'Applies Elixir of Energy  when Activated.  Lasts for 15 minutes.',100,0,0),
(195914,10048725,'Increases Max Power of caster by 32.5',100,1,1),
(195915,71898,'When Equipped:',100,0,0),
(195916,71898,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195917,71898,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(195918,71898,'Cannot be modified except by direct means',100,2,3),
(195919,10071898,'When Equipped:',100,0,0),
(195920,10071898,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(195921,10071898,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(195922,10071898,'Cannot be modified except by direct means',100,2,3),
(195923,115721,'Heals target for 152 instantly and every 0.3 seconds',100,1,0),
(195924,115721,'Stifles caster',100,1,1),
(195925,10115721,'Heals target for 99 instantly and every 0.3 seconds',100,1,0),
(195926,10115721,'Stifles caster',100,1,1),
(195927,104865,'Increases damage of your next stealth attack by 24%',100,1,0),
(195928,104865,'Grants stealth to caster',100,1,1),
(195929,104865,'Suspends caster''s movement speed enhancements',100,1,2),
(195930,104865,'You must execute certain combat arts before you can use this ability.',100,1,3),
(195931,10104865,'Increases damage of your next stealth attack by 24%',100,1,0),
(195932,10104865,'Grants stealth to caster',100,1,1),
(195933,10104865,'Suspends caster''s movement speed enhancements',100,1,2),
(195934,10104865,'You must execute certain combat arts before you can use this ability.',100,1,3),
(195935,141750,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195936,141750,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195937,141750,'Inflicts 24 heat damage on target',100,2,2),
(195938,141750,'Cannot be modified except by direct means',100,2,3),
(195939,10141750,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195940,10141750,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195941,10141750,'Inflicts 31 heat damage on target',100,2,2),
(195942,10141750,'Cannot be modified except by direct means',100,2,3),
(195943,108162,'Inflicts 939 - 1565 melee damage on target',100,1,0),
(195944,108162,'You must be sneaking to use this ability.',100,1,1),
(195945,108162,'Must be flanking or behind',100,1,2),
(195946,10108162,'Inflicts 805 - 1342 melee damage on target',100,1,0),
(195947,10108162,'You must be sneaking to use this ability.',100,1,1),
(195948,10108162,'Must be flanking or behind',100,1,2),
(195949,144274,'When Equipped:',100,0,0),
(195950,144274,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(195951,144274,'Heals group members (AE) for 197',100,2,2),
(195952,144274,'Cannot be modified except by direct means',100,2,3),
(195953,144274,'Cannot be modified except by direct means',100,1,4),
(195954,10144274,'When Equipped:',100,0,0),
(195955,10144274,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 2.8 times per minute. ',100,1,1),
(195956,10144274,'Heals group members (AE) for 128',100,2,2),
(195957,10144274,'Cannot be modified except by direct means',100,2,3),
(195958,10144274,'Cannot be modified except by direct means',100,1,4),
(195959,118396,'Inflicts 925 - 1543 melee damage on target',100,1,0),
(195960,118396,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(195961,118396,'Throws target back',100,2,2),
(195962,118396,'Stuns target',100,2,3),
(195963,118396,'Blurs vision of target',100,2,4),
(195964,118396,'Does not affect Epic targets',100,2,5),
(195965,10118396,'Inflicts 1203 - 2006 melee damage on target',100,1,0),
(195966,10118396,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(195967,10118396,'Throws target back',100,2,2),
(195968,10118396,'Stuns target',100,2,3),
(195969,10118396,'Blurs vision of target',100,2,4),
(195970,10118396,'Does not affect Epic targets',100,2,5),
(195971,120972,'Inflicts 1459 - 2432 ranged damage on target',100,1,0),
(195972,120972,'If weapon equipped in Ranged',100,1,1),
(195973,120972,'Must be behind',100,1,2),
(195974,10120972,'Inflicts 1240 - 2067 ranged damage on target',100,1,0),
(195975,10120972,'If weapon equipped in Ranged',100,1,1),
(195976,10120972,'Must be behind',100,1,2),
(195977,101140,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(195978,101140,'Inflicts 249 ranged damage on target',100,2,1),
(195979,101140,'Decreases Defense of caster by 9.3',100,1,2),
(195980,101140,'Increases Crushing, Piercing, Ranged and Slashing of caster by 22.3',100,1,3),
(195981,10101140,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(195982,10101140,'Inflicts 211 ranged damage on target',100,2,1),
(195983,10101140,'Decreases Defense of caster by 9.3',100,1,2),
(195984,10101140,'Increases Crushing, Piercing, Ranged and Slashing of caster by 22.3',100,1,3),
(195985,115392,'Inflicts 108 - 180 melee damage on target',100,1,0),
(195986,115392,'Decreases INT of target by 16.2',100,1,1),
(195987,115392,'You must be sneaking to use this ability.',100,1,2),
(195988,10115392,'Inflicts 140 - 234 melee damage on target',100,1,0),
(195989,10115392,'Decreases INT of target by 16.2',100,1,1),
(195990,10115392,'You must be sneaking to use this ability.',100,1,2),
(195991,51311,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195992,51311,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195993,51311,'Inflicts 82 heat damage on target',100,2,2),
(195994,51311,'Cannot be modified except by direct means',100,2,3),
(195995,10051311,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(195996,10051311,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(195997,10051311,'Inflicts 107 heat damage on target',100,2,2),
(195998,10051311,'Cannot be modified except by direct means',100,2,3),
(195999,71993,'When Equipped:',100,0,0),
(196000,71993,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(196001,71993,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(196002,71993,'Cannot be modified except by direct means',100,2,3),
(196003,10071993,'When Equipped:',100,0,0),
(196004,10071993,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(196005,10071993,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(196006,10071993,'Cannot be modified except by direct means',100,2,3),
(196007,47861,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(196008,47861,'Increases Slashing of caster by 4.7',100,1,1),
(196009,47861,'Summons a mount to ride',100,1,2),
(196010,47861,'Increases your ground speed by 130%',100,2,3),
(196011,47861,'Increases Piercing, Focus and Crushing of caster by 4.7',100,1,4),
(196012,10047861,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(196013,10047861,'Increases Slashing of caster by 4.7',100,1,1),
(196014,10047861,'Summons a mount to ride',100,1,2),
(196015,10047861,'Increases your ground speed by 130%',100,2,3),
(196016,10047861,'Increases Piercing, Focus and Crushing of caster by 4.7',100,1,4),
(196017,76475,'When Equipped:',100,0,0),
(196018,76475,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(196019,76475,'Inflicts 401 mental damage on target',100,2,2),
(196020,76475,'Must not be classified as a void beast',100,3,3),
(196021,76475,'Must not be classified as a shadowed folk',100,3,4),
(196022,76475,'Inflicts 802 mental damage on target',100,2,5),
(196023,76475,'If any of the following are true:',100,3,6),
(196024,76475,'Must be classified as a void beast',100,4,7),
(196025,76475,'Must be classified as a shadowed folk',100,4,8),
(196026,76475,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(196027,76475,'If any of the following are true:',100,3,10),
(196028,76475,'Must be classified as a void beast',100,4,11),
(196029,76475,'Must be classified as a shadowed folk',100,4,12),
(196030,76475,'Cannot be modified except by direct means',100,2,13),
(196031,76475,'Additional equipment with Void Bane improves this effect.',100,1,14),
(196032,10076475,'When Equipped:',100,0,0),
(196033,10076475,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(196034,10076475,'Inflicts 521 mental damage on target',100,2,2),
(196035,10076475,'Must not be classified as a void beast',100,3,3),
(196036,10076475,'Must not be classified as a shadowed folk',100,3,4),
(196037,10076475,'Inflicts 1043 mental damage on target',100,2,5),
(196038,10076475,'If any of the following are true:',100,3,6),
(196039,10076475,'Must be classified as a void beast',100,4,7),
(196040,10076475,'Must be classified as a shadowed folk',100,4,8),
(196041,10076475,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(196042,10076475,'If any of the following are true:',100,3,10),
(196043,10076475,'Must be classified as a void beast',100,4,11),
(196044,10076475,'Must be classified as a shadowed folk',100,4,12),
(196045,10076475,'Cannot be modified except by direct means',100,2,13),
(196046,10076475,'Additional equipment with Void Bane improves this effect.',100,1,14),
(196047,181648,'When Equipped:',100,0,0),
(196048,181648,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(196049,181648,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(196050,181648,'Increases Attack Speed of caster by 6.0',100,2,3),
(196051,181648,'Increases Damage Per Second of caster by 9.0',100,2,4),
(196052,181648,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(196053,181648,'Must not be engaged in pvp combat',100,2,6),
(196054,181648,'Cannot be modified except by direct means',100,2,7),
(196055,181648,'Cannot be modified except by direct means',100,1,8),
(196056,10181648,'When Equipped:',100,0,0),
(196057,10181648,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(196058,10181648,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(196059,10181648,'Increases Attack Speed of caster by 6.0',100,2,3),
(196060,10181648,'Increases Damage Per Second of caster by 9.0',100,2,4),
(196061,10181648,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(196062,10181648,'Must not be engaged in pvp combat',100,2,6),
(196063,10181648,'Cannot be modified except by direct means',100,2,7),
(196064,10181648,'Cannot be modified except by direct means',100,1,8),
(196065,114155,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(196066,114155,'Increases Mitigation of group members (AE) vs elemental damage by 2024',100,1,1),
(196067,10114155,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(196068,10114155,'Increases Mitigation of group members (AE) vs elemental damage by 2024',100,1,1),
(196069,81857,'When Equipped:',100,0,0),
(196070,81857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196071,81857,'Inflicts 164 - 305 magic damage on target',100,2,2),
(196072,81857,'Cannot be modified except by direct means',100,2,3),
(196073,10081857,'When Equipped:',100,0,0),
(196074,10081857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196075,10081857,'Inflicts 213 - 396 magic damage on target',100,2,2),
(196076,10081857,'Cannot be modified except by direct means',100,2,3),
(196077,47508,'Applies Petamorph: Ice Triceps when Activated.  Lasts for 2 hours.',100,0,0),
(196078,47508,'Turns the caster''s combat pet into an ice triceps. Does not work on cosmetic pets.',100,1,1),
(196079,10047508,'Applies Petamorph: Ice Triceps when Activated.  Lasts for 2 hours.',100,0,0),
(196080,10047508,'Turns the caster''s combat pet into an ice triceps. Does not work on cosmetic pets.',100,1,1),
(196081,123987,'Inflicts 760 - 1266 melee damage on target',100,1,0),
(196082,123987,'Decreases AGI of target by 59.6',100,1,1),
(196083,123987,'Must be behind',100,1,2),
(196084,10123987,'Inflicts 988 - 1646 melee damage on target',100,1,0),
(196085,10123987,'Decreases AGI of target by 59.6',100,1,1),
(196086,10123987,'Must be behind',100,1,2),
(196087,47573,'Applies Potion of Amnesia when Activated.',100,0,0),
(196088,47573,'Allows the caster to rename themselves.',100,1,1),
(196089,10047573,'Applies Potion of Amnesia when Activated.',100,0,0),
(196090,10047573,'Allows the caster to rename themselves.',100,1,1),
(196091,176529,'When Equipped:',100,0,0),
(196092,176529,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196093,176529,'Inflicts 1199 disease damage on target encounter',100,2,2),
(196094,176529,'Must not be engaged in pvp combat',100,2,3),
(196095,176529,'Cannot be modified except by direct means',100,2,4),
(196096,10176529,'When Equipped:',100,0,0),
(196097,10176529,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196098,10176529,'Inflicts 779 disease damage on target encounter',100,2,2),
(196099,10176529,'Must not be engaged in pvp combat',100,2,3),
(196100,10176529,'Cannot be modified except by direct means',100,2,4),
(196101,124475,'Heals group members (AE) for 320 - 391',100,1,0),
(196102,10124475,'Heals group members (AE) for 374 - 457',100,1,0),
(196103,24044,'Adds Boarfiend (Assassin) to your Dungeon Maker toolbox',100,0,0),
(196104,10024044,'Adds Boarfiend (Assassin) to your Dungeon Maker toolbox',100,0,0),
(196105,41484,'When Equipped:',100,0,0),
(196106,41484,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196107,41484,'Inflicts 230 - 426 magic damage on target',100,2,2),
(196108,41484,'Cannot be modified except by direct means',100,2,3),
(196109,10041484,'When Equipped:',100,0,0),
(196110,10041484,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196111,10041484,'Inflicts 298 - 554 magic damage on target',100,2,2),
(196112,10041484,'Cannot be modified except by direct means',100,2,3),
(196113,112871,'Inflicts 30 - 37 melee damage on target',100,1,0),
(196114,112871,'Decreases Mitigation of target vs physical damage by 50',100,1,1),
(196115,112871,'Must be flanking or behind',100,1,2),
(196116,10112871,'Inflicts 40 - 49 melee damage on target',100,1,0),
(196117,10112871,'Decreases Mitigation of target vs physical damage by 50',100,1,1),
(196118,10112871,'Must be flanking or behind',100,1,2),
(196119,117289,'Inflicts 352 - 586 melee damage on target',100,1,0),
(196120,117289,'Decreases Damage Per Second of target by 11.1',100,1,1),
(196121,117289,'Decreases Attack Speed of target by 7.8',100,1,2),
(196122,10117289,'Inflicts 457 - 762 melee damage on target',100,1,0),
(196123,10117289,'Decreases Damage Per Second of target by 11.1',100,1,1),
(196124,10117289,'Decreases Attack Speed of target by 7.8',100,1,2),
(196125,26773,'When Equipped:',100,0,0),
(196126,26773,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(196127,26773,'On a critical spell hit this spell may cast Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,2),
(196128,26773,'Increases power of caster by 429',100,2,3),
(196129,26773,'Must not be engaged in pvp combat',100,2,4),
(196130,26773,'Cannot be modified except by direct means',100,2,5),
(196131,26773,'On a critical combat hit this spell may cast Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(196132,26773,'Increases power of caster by 429',100,2,7),
(196133,26773,'Must not be engaged in pvp combat',100,2,8),
(196134,26773,'Cannot be modified except by direct means',100,2,9),
(196135,26773,'On a critical healing spell cast this spell may cast Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,10),
(196136,26773,'Increases power of caster by 429',100,2,11),
(196137,26773,'Must not be engaged in pvp combat',100,2,12),
(196138,26773,'Cannot be modified except by direct means',100,2,13),
(196139,26773,'Must not be engaged in pvp combat',100,1,14),
(196140,10026773,'When Equipped:',100,0,0),
(196141,10026773,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(196142,10026773,'On a critical spell hit this spell may cast Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,2),
(196143,10026773,'Increases power of caster by 429',100,2,3),
(196144,10026773,'Must not be engaged in pvp combat',100,2,4),
(196145,10026773,'Cannot be modified except by direct means',100,2,5),
(196146,10026773,'On a critical combat hit this spell may cast Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(196147,10026773,'Increases power of caster by 429',100,2,7),
(196148,10026773,'Must not be engaged in pvp combat',100,2,8),
(196149,10026773,'Cannot be modified except by direct means',100,2,9),
(196150,10026773,'On a critical healing spell cast this spell may cast Mana Sprinkles I on caster.  Triggers about 2.0 times per minute. ',100,1,10),
(196151,10026773,'Increases power of caster by 429',100,2,11),
(196152,10026773,'Must not be engaged in pvp combat',100,2,12),
(196153,10026773,'Cannot be modified except by direct means',100,2,13),
(196154,10026773,'Must not be engaged in pvp combat',100,1,14),
(196155,188345,'When Equipped:',100,0,0),
(196156,188345,'Increases Attack Speed of caster by 35.0',100,1,1),
(196157,10188345,'When Equipped:',100,0,0),
(196158,10188345,'Increases Attack Speed of caster by 35.0',100,1,1),
(196159,108834,'Inflicts 31 - 52 melee damage on target',100,1,0),
(196160,108834,'Inflicts 31 - 52 melee damage on target',100,1,1),
(196161,108834,'Inflicts 31 - 52 melee damage on target',100,1,2),
(196162,108834,'Inflicts 31 - 52 melee damage on target',100,1,3),
(196163,108834,'Inflicts 31 - 52 melee damage on target',100,1,4),
(196164,10108834,'Inflicts 41 - 68 melee damage on target',100,1,0),
(196165,10108834,'Inflicts 41 - 68 melee damage on target',100,1,1),
(196166,10108834,'Inflicts 41 - 68 melee damage on target',100,1,2),
(196167,10108834,'Inflicts 41 - 68 melee damage on target',100,1,3),
(196168,10108834,'Inflicts 41 - 68 melee damage on target',100,1,4),
(196169,105244,'Increases Threat to target by 300 ',100,1,0),
(196170,105244,'Interrupts target',100,1,1),
(196171,105244,'Dispels 51 levels of arcane beneficial effects on target',100,1,2),
(196172,10105244,'Forces target to change their selected target to caster.',100,1,0),
(196173,10105244,'Interrupts target',100,1,1),
(196174,10105244,'Dispels 51 levels of arcane beneficial effects on target',100,1,2),
(196175,35387,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(196176,123940,'Increases STR and WIS of target by 116.8',100,1,0),
(196177,123940,'Increases Mitigation of target vs elemental, noxious and arcane damage by 348',100,1,1),
(196178,10123940,'Increases STR and WIS of target by 116.8',100,1,0),
(196179,10123940,'Increases Mitigation of target vs elemental, noxious and arcane damage by 348',100,1,1),
(196180,185892,'When Equipped:',100,0,0),
(196181,185892,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(196182,10185892,'When Equipped:',100,0,0),
(196183,10185892,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(196184,104259,'Increases Mitigation of group members (AE) vs physical damage by 561',100,1,0),
(196185,10104259,'Increases Mitigation of group members (AE) vs physical damage by 561',100,1,0),
(196186,103954,'Applies Castigate.',100,1,0),
(196187,103954,'Inflicts 672 - 1120 divine damage on targets in Area of Effect',100,2,1),
(196188,103954,'Dispels 95 levels of any hostile effects on caster',100,1,2),
(196189,103954,'Casts Castigate for each successful Dispel.',100,1,3),
(196190,103954,'Inflicts 672 - 1120 divine damage on targets in Area of Effect',100,3,4),
(196191,10103954,'Applies Castigate.',100,1,0),
(196192,10103954,'Inflicts 874 - 1456 divine damage on targets in Area of Effect',100,2,1),
(196193,10103954,'Dispels 95 levels of any hostile effects on caster',100,1,2),
(196194,10103954,'Casts Castigate for each successful Dispel.',100,1,3),
(196195,10103954,'Inflicts 874 - 1456 divine damage on targets in Area of Effect',100,3,4),
(196196,102298,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(196197,102298,'Decreases Threat to target by 595 ',100,2,1),
(196198,10102298,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(196199,10102298,'Inflicts 55 - 60 crushing damage on target',100,2,1),
(196200,188494,'When Equipped:',100,0,0),
(196201,188494,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(196202,188494,'Heals group members (AE) for 2304',100,2,2),
(196203,188494,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(196204,188494,'Must not be engaged in pvp combat',100,2,4),
(196205,188494,'Cannot be modified except by direct means',100,2,5),
(196206,188494,'Must not be engaged in pvp combat',100,1,6),
(196207,10188494,'When Equipped:',100,0,0),
(196208,10188494,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(196209,10188494,'Heals group members (AE) for 2695',100,2,2),
(196210,10188494,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(196211,10188494,'Must not be engaged in pvp combat',100,2,4),
(196212,10188494,'Cannot be modified except by direct means',100,2,5),
(196213,10188494,'Must not be engaged in pvp combat',100,1,6),
(196214,87555,'Applies Mental Blast when Activated.',100,0,0),
(196215,87555,'Inflicts 341 - 568 mental damage on target',100,1,1),
(196216,87555,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(196217,10087555,'Applies Mental Blast when Activated.',100,0,0),
(196218,10087555,'Inflicts 443 - 739 mental damage on target',100,1,1),
(196219,10087555,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(196220,105360,'Increases STA of group members (AE) by 16.8',100,1,0),
(196221,105360,'Increases Mitigation of group members (AE) vs physical damage by 160',100,1,1),
(196222,10105360,'Increases STA of group members (AE) by 16.8',100,1,0),
(196223,10105360,'Increases Mitigation of group members (AE) vs physical damage by 160',100,1,1),
(196224,109133,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(196225,109133,'Heals target for 552 - 675',100,2,1),
(196226,109133,'Grants a total of 8 triggers of the spell.',100,2,2),
(196227,10109133,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(196228,10109133,'Heals target for 359 - 439',100,2,1),
(196229,10109133,'Grants a total of 8 triggers of the spell.',100,2,2),
(196230,109860,'Increases Defense of group members (AE) by 13.4',100,1,0),
(196231,10109860,'Increases Defense of group members (AE) by 13.4',100,1,0),
(196232,121457,'Increases AGI of caster by 71.0',100,1,0),
(196233,121457,'Adds 17.2% to base avoidance.',100,1,1),
(196234,121457,'Increases Mitigation of caster vs physical damage by 690',100,1,2),
(196235,121457,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,3),
(196236,10121457,'Increases AGI of caster by 71.0',100,1,0),
(196237,10121457,'Adds 17.2% to base avoidance.',100,1,1),
(196238,10121457,'Increases Mitigation of caster vs physical damage by 690',100,1,2),
(196239,10121457,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,3),
(196240,113775,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(196241,113775,'Heals target for 103 - 125',100,2,1),
(196242,10113775,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(196243,10113775,'Heals target for 67 - 81',100,2,1),
(196244,150893,'When Equipped:',100,0,0),
(196245,150893,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(196246,10150893,'When Equipped:',100,0,0),
(196247,10150893,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(196248,120308,'Increases Threat to target by 129 - 158 ',100,1,0),
(196249,10120308,'Forces target to change their selected target to caster.',100,1,0),
(196250,10120308,'Prevents target from changing targets',100,1,1),
(196251,139660,'Applies Fury of the Hounds when Activated.  Lasts for 20.0 seconds.',100,0,0),
(196252,139660,'Increases Potency of caster by 50.0%',100,1,1),
(196253,139660,'Prevents AOE (except when direct) ',100,1,2),
(196254,139660,'Decreases Hate Gain of caster by 18.0 - 22.0%',100,1,3),
(196255,139660,'Must not be engaged in pvp combat',100,1,4),
(196256,139660,'Cannot be modified except by direct means',100,1,5),
(196257,139660,'The reuse time of Fury of the Hounds is 5 minutes',100,1,6),
(196258,10139660,'Applies Fury of the Hounds when Activated.  Lasts for 20.0 seconds.',100,0,0),
(196259,10139660,'Increases Potency of caster by 50.0%',100,1,1),
(196260,10139660,'Prevents AOE (except when direct) ',100,1,2),
(196261,10139660,'Must not be engaged in pvp combat',100,1,3),
(196262,10139660,'Cannot be modified except by direct means',100,1,4),
(196263,10139660,'The reuse time of Fury of the Hounds is 5 minutes',100,1,5),
(196264,107223,'Inflicts 1119 - 1865 melee damage on targets in area',100,1,0),
(196265,107223,'Dispels 220 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(196266,10107223,'Inflicts 1454 - 2424 melee damage on targets in area',100,1,0),
(196267,10107223,'Reduces healing received of targets in area by 10%',100,1,1),
(196268,122666,'Decreases Defense of target by 17.3',100,1,0),
(196269,122666,'Decreases Mitigation of target vs physical damage by 288',100,1,1),
(196270,10122666,'Decreases Defense of target by 17.3',100,1,0),
(196271,10122666,'Decreases Mitigation of target vs physical damage by 288',100,1,1),
(196272,37473,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(196273,103669,'Interrupts target',100,1,0),
(196274,103669,'Inflicts 183 - 306 melee damage on target',100,1,1),
(196275,103669,'Must be flanking or behind',100,1,2),
(196276,10103669,'Interrupts target',100,1,0),
(196277,10103669,'Inflicts 238 - 397 melee damage on target',100,1,1),
(196278,10103669,'Must be flanking or behind',100,1,2),
(196279,121810,'Heals target for 931 - 1138',100,1,0),
(196280,121810,'Heals target for 155 - 190 every second',100,1,1),
(196281,10121810,'Heals target for 2905 - 3551',100,1,0),
(196282,10121810,'Heals target for 242 - 296 every second',100,1,1),
(196283,72281,'Applies Astral Blessing when Equipped.',100,0,0),
(196284,72281,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(196285,72281,'Heals target for 442 instantly and every second',100,2,2),
(196286,72281,'Cannot be modified except by direct means',100,2,3),
(196287,72281,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(196288,72281,'Heals caster for 442 instantly and every second',100,2,5),
(196289,72281,'Cannot be modified except by direct means',100,2,6),
(196290,72281,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(196291,72281,'Heals caster for 442 instantly and every second',100,2,8),
(196292,72281,'Cannot be modified except by direct means',100,2,9),
(196293,10072281,'Applies Astral Blessing when Equipped.',100,0,0),
(196294,10072281,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(196295,10072281,'Heals target for 517 instantly and every second',100,2,2),
(196296,10072281,'Cannot be modified except by direct means',100,2,3),
(196297,10072281,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(196298,10072281,'Heals caster for 517 instantly and every second',100,2,5),
(196299,10072281,'Cannot be modified except by direct means',100,2,6),
(196300,10072281,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(196301,10072281,'Heals caster for 517 instantly and every second',100,2,8),
(196302,10072281,'Cannot be modified except by direct means',100,2,9),
(196303,108739,'Summons a pet fiery magician',100,1,0),
(196304,10108739,'Summons a pet fiery magician',100,1,0),
(196305,121242,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(196306,121242,'Increases Parry of caster by 3.0',100,1,1),
(196307,10121242,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(196308,10121242,'Increases Parry of caster by 3.0',100,1,1),
(196309,82366,'When Equipped:',100,0,0),
(196310,82366,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(196311,82366,'Inflicts 48 - 89 magic damage on target',100,2,2),
(196312,82366,'Decreases Threat to target by 135 ',100,2,3),
(196313,82366,'Must be flanking or behind',100,3,4),
(196314,82366,'Increases Threat to target by 135 ',100,2,5),
(196315,82366,'Must be in front of',100,3,6),
(196316,82366,'Cannot be modified except by direct means',100,2,7),
(196317,10082366,'When Equipped:',100,0,0),
(196318,10082366,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(196319,10082366,'Inflicts 62 - 115 magic damage on target',100,2,2),
(196320,10082366,'Cannot be modified except by direct means',100,2,3),
(196321,121513,'Inflicts 240 - 400 melee damage on target',100,1,0),
(196322,121513,'Stuns target',100,1,1),
(196323,121513,'If Target is not Epic',100,2,2),
(196324,121513,'Resistibility increases against targets higher than level 59.',100,1,3),
(196325,10121513,'Inflicts 312 - 520 melee damage on target',100,1,0),
(196326,10121513,'Stuns target',100,1,1),
(196327,10121513,'If Target is not Epic',100,2,2),
(196328,10121513,'Resistibility increases against targets higher than level 59.',100,1,3),
(196329,122256,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(196330,122256,'Decreases Damage Per Second of target by 37.3',100,2,1),
(196331,122256,'Decreases Attack Speed of target by 26.1',100,2,2),
(196332,10122256,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(196333,10122256,'Decreases Damage Per Second of target by 37.3',100,2,1),
(196334,10122256,'Decreases Attack Speed of target by 26.1',100,2,2),
(196335,141744,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(196336,141744,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(196337,141744,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(196338,141744,'Cannot be modified except by direct means',100,2,3),
(196339,10141744,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(196340,10141744,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(196341,10141744,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(196342,10141744,'Cannot be modified except by direct means',100,2,3),
(196343,109462,'Inflicts 15 - 26 cold damage on target',100,1,0),
(196344,10109462,'Inflicts 20 - 34 cold damage on target',100,1,0),
(196345,74785,'When Equipped:',100,0,0),
(196346,74785,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196347,74785,'Inflicts 134 - 201 magic damage on target',100,2,2),
(196348,74785,'Cannot be modified except by direct means',100,2,3),
(196349,10074785,'When Equipped:',100,0,0),
(196350,10074785,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196351,10074785,'Inflicts 174 - 261 magic damage on target',100,2,2),
(196352,10074785,'Cannot be modified except by direct means',100,2,3),
(196353,88209,'When Equipped:',100,0,0),
(196354,88209,'On a hostile spell hit this spell may cast Power of Hidden Rage on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(196355,88209,'Heals caster for 476',100,2,2),
(196356,88209,'Cannot be modified except by direct means',100,2,3),
(196357,10088209,'When Equipped:',100,0,0),
(196358,10088209,'On a hostile spell hit this spell may cast Power of Hidden Rage on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(196359,10088209,'Heals caster for 309',100,2,2),
(196360,10088209,'Cannot be modified except by direct means',100,2,3),
(196361,75329,'When Equipped:',100,0,0),
(196362,75329,'On a combat hit this spell may cast Siphon Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196363,75329,'Decreases power of target by 101 - 124',100,2,2),
(196364,75329,'Inflicts 180 - 271 magic damage on target',100,2,3),
(196365,75329,'Heals caster for 130 - 159',100,2,4),
(196366,75329,'Cannot be modified except by direct means',100,2,5),
(196367,10075329,'When Equipped:',100,0,0),
(196368,10075329,'On a combat hit this spell may cast Siphon Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196369,10075329,'Decreases power of target by 101 - 124',100,2,2),
(196370,10075329,'Inflicts 234 - 352 magic damage on target',100,2,3),
(196371,10075329,'Heals caster for 84 - 103',100,2,4),
(196372,10075329,'Cannot be modified except by direct means',100,2,5),
(196373,80806,'When Equipped:',100,0,0),
(196374,80806,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196375,80806,'Inflicts 259 - 481 magic damage on target',100,2,2),
(196376,80806,'Cannot be modified except by direct means',100,2,3),
(196377,10080806,'When Equipped:',100,0,0),
(196378,10080806,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196379,10080806,'Inflicts 337 - 625 magic damage on target',100,2,2),
(196380,10080806,'Cannot be modified except by direct means',100,2,3),
(196381,108975,'Increases INT of group members (AE) by 209.4',100,1,0),
(196382,108975,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 73.9',100,1,1),
(196383,10108975,'Increases INT of group members (AE) by 209.4',100,1,0),
(196384,10108975,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 73.9',100,1,1),
(196385,136455,'When Equipped:',100,0,0),
(196386,136455,'On any combat or spell hit this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(196387,136455,'Increases WIS, AGI and STR of caster by 150.0',100,2,2),
(196388,136455,'Increases Crit Bonus of caster by 10.0%',100,2,3),
(196389,136455,'Must not be engaged in pvp combat',100,2,4),
(196390,136455,'Cannot be modified except by direct means',100,2,5),
(196391,136455,'On a hostile spell cast this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(196392,136455,'Increases WIS, AGI and STR of caster by 150.0',100,2,7),
(196393,136455,'Increases Crit Bonus of caster by 10.0%',100,2,8),
(196394,136455,'Must not be engaged in pvp combat',100,2,9),
(196395,136455,'Cannot be modified except by direct means',100,2,10),
(196396,136455,'Cannot be modified except by direct means',100,1,11),
(196397,10136455,'When Equipped:',100,0,0),
(196398,10136455,'On any combat or spell hit this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(196399,10136455,'Increases WIS, AGI and STR of caster by 150.0',100,2,2),
(196400,10136455,'Increases Crit Bonus of caster by 10.0%',100,2,3),
(196401,10136455,'Must not be engaged in pvp combat',100,2,4),
(196402,10136455,'Cannot be modified except by direct means',100,2,5),
(196403,10136455,'On a hostile spell cast this spell may cast Art of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(196404,10136455,'Increases WIS, AGI and STR of caster by 150.0',100,2,7),
(196405,10136455,'Increases Crit Bonus of caster by 10.0%',100,2,8),
(196406,10136455,'Must not be engaged in pvp combat',100,2,9),
(196407,10136455,'Cannot be modified except by direct means',100,2,10),
(196408,10136455,'Cannot be modified except by direct means',100,1,11),
(196409,101511,'Increases WIS of target by 34.5',100,1,0),
(196410,101511,'Increases Max Health of target by 259.5',100,1,1),
(196411,101511,'Increases Mitigation of target vs elemental, noxious and arcane damage by 96',100,1,2),
(196412,10101511,'Increases WIS of target by 34.5',100,1,0),
(196413,10101511,'Increases Max Health of target by 259.5',100,1,1),
(196414,10101511,'Increases Mitigation of target vs elemental, noxious and arcane damage by 96',100,1,2),
(196415,107669,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1700',100,1,0),
(196416,10107669,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1700',100,1,0),
(196417,122429,'Sets a trap',100,1,0),
(196418,10122429,'Sets a trap',100,1,0),
(196419,109640,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(196420,109640,'Inflicts 19 - 36 poison damage on target encounter',100,2,1),
(196421,10109640,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(196422,10109640,'Inflicts 25 - 47 poison damage on target encounter',100,2,1),
(196423,172942,'When Equipped:',100,0,0),
(196424,172942,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196425,172942,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(196426,172942,'Heals caster for 635 - 952',100,2,3),
(196427,172942,'Cannot be modified except by direct means',100,2,4),
(196428,172942,'Cannot be modified except by direct means',100,1,5),
(196429,10172942,'When Equipped:',100,0,0),
(196430,10172942,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196431,10172942,'Inflicts 1239 - 1859 poison damage on target',100,2,2),
(196432,10172942,'Heals caster for 743 - 1114',100,2,3),
(196433,10172942,'Cannot be modified except by direct means',100,2,4),
(196434,10172942,'Cannot be modified except by direct means',100,1,5),
(196435,118316,'Roots target encounter',100,1,0),
(196436,118316,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(196437,118316,'Slows target by 54.7%',100,2,2),
(196438,118316,'5% chance to dispel when target receives hostile action',100,2,3),
(196439,118316,'5% chance to dispel when target takes damage',100,2,4),
(196440,118316,'20% chance to dispel when target takes damage',100,1,5),
(196441,118316,'Does not affect Epic targets',100,1,6),
(196442,118316,'Resistibility increases against targets higher than level 107.',100,1,7),
(196443,10118316,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(196444,10118316,'Slows target by 54.7%',100,2,1),
(196445,10118316,'5% chance to dispel when target receives hostile action',100,2,2),
(196446,10118316,'5% chance to dispel when target takes damage',100,2,3),
(196447,10118316,'Roots target encounter',100,1,4),
(196448,10118316,'20% chance to dispel when target takes damage',100,1,5),
(196449,10118316,'Does not affect Epic targets',100,1,6),
(196450,10118316,'Resistibility increases against targets higher than level 107.',100,1,7),
(196451,104050,'Inflicts 17 - 21 mental damage on target instantly and every 6 seconds',100,1,0),
(196452,104050,'Applies Migraine on termination.',100,1,1),
(196453,104050,'Inflicts 48 - 65 mental damage on target',100,2,2),
(196454,10104050,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',100,1,0),
(196455,10104050,'Applies Migraine on termination.',100,1,1),
(196456,10104050,'Inflicts 62 - 84 mental damage on target',100,2,2),
(196457,154672,'When Equipped:',100,0,0),
(196458,154672,'Increases Attack Speed of caster by 40.0',100,1,1),
(196459,10154672,'When Equipped:',100,0,0),
(196460,10154672,'Increases Attack Speed of caster by 40.0',100,1,1),
(196461,137747,'When Equipped:',100,0,0),
(196462,137747,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(196463,137747,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(196464,137747,'Inflicts 4610 - 5095 heat damage on target',100,2,3),
(196465,137747,'Must not be engaged in pvp combat',100,2,4),
(196466,137747,'Cannot be modified except by direct means',100,2,5),
(196467,137747,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(196468,137747,'Inflicts 4610 - 5095 heat damage on target',100,2,7),
(196469,137747,'Must not be engaged in pvp combat',100,2,8),
(196470,137747,'Cannot be modified except by direct means',100,2,9),
(196471,10137747,'When Equipped:',100,0,0),
(196472,10137747,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(196473,10137747,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(196474,10137747,'Inflicts 5993 - 6624 heat damage on target',100,2,3),
(196475,10137747,'Must not be engaged in pvp combat',100,2,4),
(196476,10137747,'Cannot be modified except by direct means',100,2,5),
(196477,10137747,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(196478,10137747,'Inflicts 5993 - 6624 heat damage on target',100,2,7),
(196479,10137747,'Must not be engaged in pvp combat',100,2,8),
(196480,10137747,'Cannot be modified except by direct means',100,2,9),
(196481,82923,'When Equipped:',100,0,0),
(196482,82923,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196483,82923,'Inflicts 315 - 585 magic damage on target',100,2,2),
(196484,82923,'Cannot be modified except by direct means',100,2,3),
(196485,10082923,'When Equipped:',100,0,0),
(196486,10082923,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196487,10082923,'Inflicts 409 - 760 magic damage on target',100,2,2),
(196488,10082923,'Cannot be modified except by direct means',100,2,3),
(196489,155071,'When Equipped:',100,0,0),
(196490,155071,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(196491,155071,'Inflicts 1390 mental damage on target',100,2,2),
(196492,155071,'Increases Threat to target by 4,000 ',100,2,3),
(196493,155071,'Cannot be modified except by direct means',100,2,4),
(196494,155071,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(196495,155071,'Inflicts 1390 mental damage on target',100,2,6),
(196496,155071,'Increases Threat to target by 4,000 ',100,2,7),
(196497,155071,'Cannot be modified except by direct means',100,2,8),
(196498,155071,'When Equipped:',100,0,9),
(196499,155071,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,10),
(196500,155071,'Wards caster against 1250 points of all damage',100,2,11),
(196501,155071,'Cannot be modified except by direct means',100,2,12),
(196502,155071,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,13),
(196503,155071,'Wards caster against 1250 points of all damage',100,2,14),
(196504,155071,'Cannot be modified except by direct means',100,2,15),
(196505,10155071,'When Equipped:',100,0,0),
(196506,10155071,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(196507,10155071,'Inflicts 1807 mental damage on target',100,2,2),
(196508,10155071,'Cannot be modified except by direct means',100,2,3),
(196509,10155071,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(196510,10155071,'Inflicts 1807 mental damage on target',100,2,5),
(196511,10155071,'Cannot be modified except by direct means',100,2,6),
(196512,10155071,'When Equipped:',100,0,7),
(196513,10155071,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,8),
(196514,10155071,'Wards caster against 625 points of all damage',100,2,9),
(196515,10155071,'Cannot be modified except by direct means',100,2,10),
(196516,10155071,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,11),
(196517,10155071,'Wards caster against 625 points of all damage',100,2,12),
(196518,10155071,'Cannot be modified except by direct means',100,2,13),
(196519,103702,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(196520,103702,'Inflicts 105 - 176 disease damage on target',100,2,1),
(196521,103702,'Increases Attack Speed of group members (AE) by 47.7',100,1,2),
(196522,10103702,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(196523,10103702,'Inflicts 137 - 229 disease damage on target',100,2,1),
(196524,10103702,'Increases Attack Speed of group members (AE) by 47.7',100,1,2),
(196525,177488,'When Equipped:',100,0,0),
(196526,177488,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(196527,177488,'Increases AGI of caster by 23.1',100,2,2),
(196528,177488,'Increases Attack Speed of caster by 23.9',100,2,3),
(196529,177488,'Cannot be modified except by direct means',100,2,4),
(196530,10177488,'When Equipped:',100,0,0),
(196531,10177488,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(196532,10177488,'Increases AGI of caster by 23.1',100,2,2),
(196533,10177488,'Increases Attack Speed of caster by 23.9',100,2,3),
(196534,10177488,'Cannot be modified except by direct means',100,2,4),
(196535,107786,'Increases Threat to target encounter by 86 - 105 ',100,1,0),
(196536,10107786,'Prevents target encounter from changing targets',100,1,0),
(196537,10107786,'Forces target encounter to change their selected target to caster.',100,1,1),
(196538,42231,'When Equipped:',100,0,0),
(196539,42231,'This effect will not stack with any rank or tier of itself.',100,1,1),
(196540,42231,'Increases Attack Speed of caster by 4.5',100,1,2),
(196541,42231,'Increases Damage Per Second of caster by 11.0',100,1,3),
(196542,42231,'Cannot be modified except by direct means',100,1,4),
(196543,10042231,'When Equipped:',100,0,0),
(196544,10042231,'This effect will not stack with any rank or tier of itself.',100,1,1),
(196545,10042231,'Increases Attack Speed of caster by 4.5',100,1,2),
(196546,10042231,'Increases Damage Per Second of caster by 11.0',100,1,3),
(196547,10042231,'Cannot be modified except by direct means',100,1,4),
(196548,124052,'Increases power of caster by 114',100,1,0),
(196549,10124052,'Increases power of caster by 114',100,1,0),
(196550,45043,'Applies Immortalize Darathar when Activated.',100,0,0),
(196551,45043,'Summon 1 Trophy: Darathar''s Head',100,1,1),
(196552,45043,'This effect cannot be cast during combat',100,1,2),
(196553,10045043,'Applies Immortalize Darathar when Activated.',100,0,0),
(196554,10045043,'Summon 1 Trophy: Darathar''s Head',100,1,1),
(196555,10045043,'This effect cannot be cast during combat',100,1,2),
(196556,47668,'Applies Quellious''s Blessing when Activated.',100,0,0),
(196557,47668,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(196558,10047668,'Applies Quellious''s Blessing when Activated.',100,0,0),
(196559,10047668,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(196560,152949,'When Equipped:',100,0,0),
(196561,152949,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196562,152949,'Inflicts 1998 disease damage on target encounter',100,2,2),
(196563,152949,'Must not be engaged in pvp combat',100,2,3),
(196564,152949,'Cannot be modified except by direct means',100,2,4),
(196565,10152949,'When Equipped:',100,0,0),
(196566,10152949,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196567,10152949,'Inflicts 1299 disease damage on target encounter',100,2,2),
(196568,10152949,'Must not be engaged in pvp combat',100,2,3),
(196569,10152949,'Cannot be modified except by direct means',100,2,4),
(196570,166394,'Applies Nurgg''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(196571,166394,'The caster''s combat arts require 5% less power.',100,1,1),
(196572,166394,'Cannot be modified except by direct means',100,1,2),
(196573,166394,'The casting time of Nurgg''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(196574,166394,'When Equipped:',100,0,4),
(196575,166394,'Reduces maximum falling speed of caster',100,1,5),
(196576,10166394,'Applies Nurgg''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(196577,10166394,'The caster''s combat arts require 5% less power.',100,1,1),
(196578,10166394,'Cannot be modified except by direct means',100,1,2),
(196579,10166394,'The casting time of Nurgg''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(196580,10166394,'When Equipped:',100,0,4),
(196581,10166394,'Reduces maximum falling speed of caster',100,1,5),
(196582,165562,'When Equipped:',100,0,0),
(196583,165562,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(196584,165562,'On a critical spell hit this spell may cast Repugnant Cloud III on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(196585,165562,'Inflicts 757 - 837 disease damage on target instantly and every 2 seconds',100,2,3),
(196586,165562,'Decreases Parry of target by 15.0',100,2,4),
(196587,165562,'Decreases Defense of target by 5.0',100,2,5),
(196588,165562,'Decreases Mitigation of target vs physical damage by 480',100,2,6),
(196589,165562,'Must not be engaged in pvp combat',100,2,7),
(196590,165562,'Cannot be modified except by direct means',100,2,8),
(196591,165562,'On a critical combat hit this spell may cast Repugnant Cloud III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(196592,165562,'Inflicts 757 - 837 disease damage on target instantly and every 2 seconds',100,2,10),
(196593,165562,'Decreases Parry of target by 15.0',100,2,11),
(196594,165562,'Decreases Defense of target by 5.0',100,2,12),
(196595,165562,'Decreases Mitigation of target vs physical damage by 480',100,2,13),
(196596,165562,'Must not be engaged in pvp combat',100,2,14),
(196597,165562,'Cannot be modified except by direct means',100,2,15),
(196598,165562,'Cannot be modified except by direct means',100,1,16),
(196599,10165562,'When Equipped:',100,0,0),
(196600,10165562,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(196601,10165562,'On a critical spell hit this spell may cast Repugnant Cloud III on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(196602,10165562,'Inflicts 985 - 1088 disease damage on target instantly and every 2 seconds',100,2,3),
(196603,10165562,'Decreases Parry of target by 15.0',100,2,4),
(196604,10165562,'Decreases Defense of target by 5.0',100,2,5),
(196605,10165562,'Decreases Mitigation of target vs physical damage by 480',100,2,6),
(196606,10165562,'Must not be engaged in pvp combat',100,2,7),
(196607,10165562,'Cannot be modified except by direct means',100,2,8),
(196608,10165562,'On a critical combat hit this spell may cast Repugnant Cloud III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(196609,10165562,'Inflicts 985 - 1088 disease damage on target instantly and every 2 seconds',100,2,10),
(196610,10165562,'Decreases Parry of target by 15.0',100,2,11),
(196611,10165562,'Decreases Defense of target by 5.0',100,2,12),
(196612,10165562,'Decreases Mitigation of target vs physical damage by 480',100,2,13),
(196613,10165562,'Must not be engaged in pvp combat',100,2,14),
(196614,10165562,'Cannot be modified except by direct means',100,2,15),
(196615,10165562,'Cannot be modified except by direct means',100,1,16),
(196616,81503,'When Equipped:',100,0,0),
(196617,81503,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196618,81503,'Inflicts 153 - 283 magic damage on target',100,2,2),
(196619,81503,'Cannot be modified except by direct means',100,2,3),
(196620,10081503,'When Equipped:',100,0,0),
(196621,10081503,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196622,10081503,'Inflicts 198 - 368 magic damage on target',100,2,2),
(196623,10081503,'Cannot be modified except by direct means',100,2,3),
(196624,112623,'Increases STA of caster by 69.3',100,1,0),
(196625,112623,'Reduces slow effects on caster by 28.0%',100,1,1),
(196626,112623,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1728',100,1,2),
(196627,10112623,'Increases STA of caster by 69.3',100,1,0),
(196628,10112623,'Reduces slow effects on caster by 28.0%',100,1,1),
(196629,10112623,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1728',100,1,2),
(196630,82499,'When Equipped:',100,0,0),
(196631,82499,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196632,82499,'Inflicts 191 - 354 magic damage on target',100,2,2),
(196633,82499,'Cannot be modified except by direct means',100,2,3),
(196634,10082499,'When Equipped:',100,0,0),
(196635,10082499,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196636,10082499,'Inflicts 248 - 460 magic damage on target',100,2,2),
(196637,10082499,'Cannot be modified except by direct means',100,2,3),
(196638,109683,'Inflicts 159 - 195 cold damage on target instantly and every 3 seconds',100,1,0),
(196639,10109683,'Inflicts 207 - 253 cold damage on target instantly and every 3 seconds',100,1,0),
(196640,121337,'Inflicts 3039 - 5065 ranged damage on targets in area',100,1,0),
(196641,121337,'Requires bow',100,1,1),
(196642,10121337,'Inflicts 2324 - 3874 ranged damage on targets in area',100,1,0),
(196643,10121337,'Requires bow',100,1,1),
(196644,144594,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(196645,144594,'Decreases AGI, WIS, STR and INT of target by 66.3',100,1,1),
(196646,144594,'Decreases Max Health of target by 1.0%',100,1,2),
(196647,144594,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(196648,10144594,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(196649,10144594,'Decreases AGI, WIS, STR and INT of target by 66.3',100,1,1),
(196650,10144594,'Decreases Max Health of target by 1.0%',100,1,2),
(196651,10144594,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(196652,117246,'Inflicts 61 slashing damage on target every 4 seconds',100,1,0),
(196653,117246,'Inflicts 304 - 507 melee damage on target',100,1,1),
(196654,10117246,'Inflicts 79 slashing damage on target every 4 seconds',100,1,0),
(196655,10117246,'Inflicts 395 - 659 melee damage on target',100,1,1),
(196656,112716,'Inflicts 275 - 459 disease damage on target encounter',100,1,0),
(196657,10112716,'Inflicts 358 - 596 disease damage on target encounter',100,1,0),
(196658,100177,'Inflicts 1365 - 2535 disease damage on target encounter',100,1,0),
(196659,10100177,'Inflicts 1775 - 3296 disease damage on target encounter',100,1,0),
(196660,37244,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(196661,185053,'When Equipped:',100,0,0),
(196662,185053,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(196663,185053,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(196664,185053,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(196665,185053,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(196666,185053,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(196667,185053,'Must not be engaged in pvp combat',100,2,6),
(196668,185053,'Cannot be modified except by direct means',100,2,7),
(196669,185053,'Must not be engaged in pvp combat',100,1,8),
(196670,185053,'When Equipped:',100,0,9),
(196671,185053,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(196672,185053,'Inflicts 2664 cold damage on target encounter',100,2,11),
(196673,185053,'Must not be engaged in pvp combat',100,2,12),
(196674,185053,'Cannot be modified except by direct means',100,2,13),
(196675,185053,'Must not be engaged in pvp combat',100,1,14),
(196676,10185053,'When Equipped:',100,0,0),
(196677,10185053,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(196678,10185053,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(196679,10185053,'Inflicts 905 - 1000 piercing damage on target instantly and every 3 seconds',100,2,3),
(196680,10185053,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(196681,10185053,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(196682,10185053,'Must not be engaged in pvp combat',100,2,6),
(196683,10185053,'Cannot be modified except by direct means',100,2,7),
(196684,10185053,'Must not be engaged in pvp combat',100,1,8),
(196685,10185053,'When Equipped:',100,0,9),
(196686,10185053,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(196687,10185053,'Inflicts 1732 cold damage on target encounter',100,2,11),
(196688,10185053,'Must not be engaged in pvp combat',100,2,12),
(196689,10185053,'Cannot be modified except by direct means',100,2,13),
(196690,10185053,'Must not be engaged in pvp combat',100,1,14),
(196691,105658,'Decreases Damage Per Second of target by 15.4',100,1,0),
(196692,105658,'Inflicts 98 - 163 melee damage on target',100,1,1),
(196693,105658,'Must be flanking or behind',100,1,2),
(196694,10105658,'Decreases Damage Per Second of target by 15.4',100,1,0),
(196695,10105658,'Inflicts 127 - 212 melee damage on target',100,1,1),
(196696,10105658,'Must be flanking or behind',100,1,2),
(196697,123643,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(196698,123643,'Slows target by 36.2%',100,2,1),
(196699,123643,'5% chance to dispel when target receives hostile action',100,2,2),
(196700,123643,'5% chance to dispel when target takes damage',100,2,3),
(196701,123643,'Inflicts 262 - 320 cold damage on target',100,1,4),
(196702,10123643,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(196703,10123643,'Slows target by 36.2%',100,2,1),
(196704,10123643,'5% chance to dispel when target receives hostile action',100,2,2),
(196705,10123643,'5% chance to dispel when target takes damage',100,2,3),
(196706,10123643,'Inflicts 291 - 356 cold damage on target',100,1,4),
(196707,115883,'Inflicts 3 - 4 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(196708,10115883,'Inflicts 6 - 7 disease damage on target encounter',100,1,0),
(196709,10115883,'Inflicts 4 - 5 disease damage on target encounter every 3 seconds',100,1,1),
(196710,108511,'Increases AGI and WIS of group members (AE) by 20.4',100,1,0),
(196711,108511,'Adds 2.1% to base avoidance.',100,1,1),
(196712,108511,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,2),
(196713,10108511,'Increases AGI and WIS of group members (AE) by 20.4',100,1,0),
(196714,10108511,'Adds 2.1% to base avoidance.',100,1,1),
(196715,10108511,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,2),
(196716,101884,'Heals target for 1097 - 1340',100,1,0),
(196717,101884,'If over 50% Health',100,2,1),
(196718,101884,'Heals target for 2193 - 2681',100,1,2),
(196719,101884,'If at 50% Health or less',100,2,3),
(196720,10101884,'Heals target for 713 - 871',100,1,0),
(196721,10101884,'If over 50% Health',100,2,1),
(196722,10101884,'Heals target for 2495 - 3049',100,1,2),
(196723,10101884,'If at 50% Health or less',100,2,3),
(196724,103850,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(196725,103850,'Slows target by 50.2%',100,2,1),
(196726,103850,'5% chance to dispel when target receives hostile action',100,2,2),
(196727,103850,'5% chance to dispel when target takes damage',100,2,3),
(196728,103850,'Decreases Mitigation of target vs noxious damage by 349',100,1,4),
(196729,10103850,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(196730,10103850,'Slows target by 50.2%',100,2,1),
(196731,10103850,'5% chance to dispel when target receives hostile action',100,2,2),
(196732,10103850,'5% chance to dispel when target takes damage',100,2,3),
(196733,10103850,'Decreases Mitigation of target vs noxious damage by 349',100,1,4),
(196734,123523,'Decreases Mitigation of target encounter vs noxious damage by 1709',100,1,0),
(196735,10123523,'Decreases Mitigation of target encounter vs noxious damage by 1709',100,1,0),
(196736,144591,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(196737,144591,'Decreases AGI, WIS, STR and INT of target by 55.9',100,1,1),
(196738,144591,'Decreases Max Health of target by 1.0%',100,1,2),
(196739,144591,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(196740,10144591,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(196741,10144591,'Decreases AGI, WIS, STR and INT of target by 55.9',100,1,1),
(196742,10144591,'Decreases Max Health of target by 1.0%',100,1,2),
(196743,10144591,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(196744,108443,'Increases INT, AGI, STR and WIS of group members (AE) by 105.6',100,1,0),
(196745,108443,'Adds 2.7% to base avoidance.',100,1,1),
(196746,108443,'Increases Ability Reuse Speed of group members (AE) by 9.6%',100,1,2),
(196747,108443,'Increases Attack Speed of group members (AE) by 65.6',100,1,3),
(196748,108443,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 309',100,1,4),
(196749,10108443,'Increases INT, AGI, STR and WIS of group members (AE) by 105.6',100,1,0),
(196750,10108443,'Adds 2.7% to base avoidance.',100,1,1),
(196751,10108443,'Increases Ability Reuse Speed of group members (AE) by 9.6%',100,1,2),
(196752,10108443,'Increases Attack Speed of group members (AE) by 65.6',100,1,3),
(196753,10108443,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 309',100,1,4),
(196754,48864,'Applies Reebo''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(196755,48864,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(196756,10048864,'Applies Reebo''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(196757,10048864,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(196758,101978,'Inflicts 1207 - 2242 heat damage on target',100,1,0),
(196759,10101978,'Inflicts 1570 - 2915 heat damage on target',100,1,0),
(196760,111870,'Inflicts 180 - 335 heat damage on target',100,1,0),
(196761,111870,'Inflicts 68 - 126 heat damage on target every 2 seconds',100,1,1),
(196762,10111870,'Inflicts 234 - 435 heat damage on target',100,1,0),
(196763,10111870,'Inflicts 88 - 163 heat damage on target every 2 seconds',100,1,1),
(196764,117861,'Heals target for 86 - 105 instantly and every 2 seconds',100,1,0),
(196765,10117861,'Heals target for 56 - 68 instantly and every 2 seconds',100,1,0),
(196766,110966,'Inflicts 907 - 1513 ranged damage on target',100,1,0),
(196767,110966,'I need to be stealthed!',100,1,1),
(196768,110966,'Requires bow',100,1,2),
(196769,10110966,'Inflicts 578 - 964 ranged damage on target',100,1,0),
(196770,10110966,'I need to be stealthed!',100,1,1),
(196771,10110966,'Requires bow',100,1,2),
(196772,159001,'When Equipped:',100,0,0),
(196773,159001,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(196774,10159001,'When Equipped:',100,0,0),
(196775,10159001,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(196776,36455,'Increases AGI of target by 1.5',100,0,0),
(196777,36455,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(196778,90362,'When Equipped:',100,0,0),
(196779,90362,'On any combat or spell hit this spell may cast Wrathful Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196780,90362,'Inflicts 5296 mental damage on targets in Area of Effect',100,2,2),
(196781,90362,'Increases Threat to targets in Area of Effect by 5,000 ',100,2,3),
(196782,90362,'Must not be engaged in pvp combat',100,2,4),
(196783,90362,'Cannot be modified except by direct means',100,2,5),
(196784,90362,'On any combat or spell hit this spell may cast Wrathful Ire on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(196785,90362,'Wards caster against 1250 points of all damage',100,2,7),
(196786,90362,'Must not be engaged in pvp combat',100,2,8),
(196787,90362,'Cannot be modified except by direct means',100,2,9),
(196788,90362,'Must not be engaged in pvp combat',100,1,10),
(196789,90362,'Cannot be modified except by direct means',100,1,11),
(196790,10090362,'When Equipped:',100,0,0),
(196791,10090362,'On any combat or spell hit this spell may cast Wrathful Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196792,10090362,'Inflicts 6885 mental damage on targets in Area of Effect',100,2,2),
(196793,10090362,'Must not be engaged in pvp combat',100,2,3),
(196794,10090362,'Cannot be modified except by direct means',100,2,4),
(196795,10090362,'On any combat or spell hit this spell may cast Wrathful Ire on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(196796,10090362,'Wards caster against 1250 points of all damage',100,2,6),
(196797,10090362,'Must not be engaged in pvp combat',100,2,7),
(196798,10090362,'Cannot be modified except by direct means',100,2,8),
(196799,10090362,'Must not be engaged in pvp combat',100,1,9),
(196800,10090362,'Cannot be modified except by direct means',100,1,10),
(196801,81703,'When Equipped:',100,0,0),
(196802,81703,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196803,81703,'Inflicts 116 - 215 magic damage on target',100,2,2),
(196804,81703,'Cannot be modified except by direct means',100,2,3),
(196805,10081703,'When Equipped:',100,0,0),
(196806,10081703,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(196807,10081703,'Inflicts 151 - 280 magic damage on target',100,2,2),
(196808,10081703,'Cannot be modified except by direct means',100,2,3),
(196809,105791,'Inflicts 457 - 558 heat damage on target',100,1,0),
(196810,10105791,'Inflicts 791 - 967 heat damage on target',100,1,0),
(196811,102789,'Increases STR of caster by 56.4',100,1,0),
(196812,102789,'Increases Max Health of caster by 334.2',100,1,1),
(196813,102789,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,2),
(196814,10102789,'Increases STR of caster by 56.4',100,1,0),
(196815,10102789,'Increases Max Health of caster by 334.2',100,1,1),
(196816,10102789,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,2),
(196817,79753,'Applies Mark of Pestilence when Equipped.',100,0,0),
(196818,10079753,'Applies Mark of Pestilence when Equipped.',100,0,0),
(196819,100511,'Increases Attack Speed of group members (AE) by 18.7',100,1,0),
(196820,10100511,'Increases Attack Speed of group members (AE) by 18.7',100,1,0),
(196821,182920,'When Equipped:',100,0,0),
(196822,182920,'Increases Attack Speed of caster by 30.0',100,1,1),
(196823,10182920,'When Equipped:',100,0,0),
(196824,10182920,'Increases Attack Speed of caster by 30.0',100,1,1),
(196825,37280,'Increases Out-of-Combat Power Regeneration of target by 12.0',100,0,0),
(196826,102413,'Inflicts 1183 - 2197 melee damage on targets in area',100,1,0),
(196827,10102413,'Inflicts 1537 - 2856 melee damage on targets in area',100,1,0),
(196828,114592,'Inflicts 1006 - 1677 ranged damage on target',100,1,0),
(196829,114592,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(196830,114592,'Requires bow',100,1,2),
(196831,10114592,'Inflicts 1062 - 1770 ranged damage on target',100,1,0),
(196832,10114592,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(196833,10114592,'Requires bow',100,1,2),
(196834,120500,'Inflicts 257 - 428 melee damage on target',100,1,0),
(196835,120500,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(196836,120500,'Grants stealth to caster',100,2,2),
(196837,120500,'Suspends caster''s movement speed enhancements',100,2,3),
(196838,120500,'Must be flanking or behind',100,1,4),
(196839,10120500,'Inflicts 334 - 557 melee damage on target',100,1,0),
(196840,10120500,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(196841,10120500,'Grants stealth to caster',100,2,2),
(196842,10120500,'Suspends caster''s movement speed enhancements',100,2,3),
(196843,10120500,'Must be flanking or behind',100,1,4),
(196844,164553,'When Equipped:',100,0,0),
(196845,164553,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196846,164553,'Inflicts 2648 magic damage on target',100,2,2),
(196847,164553,'Cannot be modified except by direct means',100,2,3),
(196848,10164553,'When Equipped:',100,0,0),
(196849,10164553,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196850,10164553,'Inflicts 1721 magic damage on target',100,2,2),
(196851,10164553,'Cannot be modified except by direct means',100,2,3),
(196852,102579,'Increases AGI of caster by 136.3',100,1,0),
(196853,102579,'Increases Max Health of caster by 476.2',100,1,1),
(196854,102579,'Adds 21.8% to base avoidance.',100,1,2),
(196855,102579,'Increases Mitigation of caster vs physical damage by 774',100,1,3),
(196856,102579,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,4),
(196857,10102579,'Increases AGI of caster by 136.3',100,1,0),
(196858,10102579,'Increases Max Health of caster by 476.2',100,1,1),
(196859,10102579,'Adds 21.8% to base avoidance.',100,1,2),
(196860,10102579,'Increases Mitigation of caster vs physical damage by 774',100,1,3),
(196861,10102579,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,4),
(196862,80659,'When Equipped:',100,0,0),
(196863,80659,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(196864,80659,'Inflicts 83 - 154 magic damage on target',100,2,2),
(196865,80659,'Decreases Threat to target by 236 ',100,2,3),
(196866,80659,'Must be flanking or behind',100,3,4),
(196867,80659,'Increases Threat to target by 236 ',100,2,5),
(196868,80659,'Must be in front of',100,3,6),
(196869,80659,'Cannot be modified except by direct means',100,2,7),
(196870,10080659,'When Equipped:',100,0,0),
(196871,10080659,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(196872,10080659,'Inflicts 108 - 200 magic damage on target',100,2,2),
(196873,10080659,'Cannot be modified except by direct means',100,2,3),
(196874,102388,'Inflicts 220 - 408 melee damage on targets in area',100,1,0),
(196875,10102388,'Inflicts 286 - 531 melee damage on targets in area',100,1,0),
(196876,141984,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(196877,141984,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(196878,141984,'Decreases Attack Speed of target by 15.6',100,2,2),
(196879,141984,'Cannot be modified except by direct means',100,2,3),
(196880,141984,'Slows target by 39.0%',100,1,4),
(196881,141984,'5% chance to dispel when target takes damage',100,1,5),
(196882,141984,'5% chance to dispel when target receives hostile action',100,1,6),
(196883,141984,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(196884,10141984,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(196885,10141984,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(196886,10141984,'Decreases Attack Speed of target by 15.6',100,2,2),
(196887,10141984,'Cannot be modified except by direct means',100,2,3),
(196888,10141984,'Slows target by 39.0%',100,1,4),
(196889,10141984,'5% chance to dispel when target takes damage',100,1,5),
(196890,10141984,'5% chance to dispel when target receives hostile action',100,1,6),
(196891,10141984,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(196892,24664,'Adds Raptor (Assassin) to your Dungeon Maker toolbox',100,0,0),
(196893,10024664,'Adds Raptor (Assassin) to your Dungeon Maker toolbox',100,0,0),
(196894,106534,'Inflicts 262 - 320 melee damage on target',100,1,0),
(196895,106534,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(196896,106534,'Increases Hate Gain of target by 30.0%',100,2,2),
(196897,106534,'Grants a total of 1 trigger of the spell.',100,2,3),
(196898,10106534,'Inflicts 340 - 416 melee damage on target',100,1,0),
(196899,10106534,'25% chance to apply Distract on termination.',100,1,1),
(196900,10106534,'Forces target to clear their selected target.',100,2,2),
(196901,124492,'Heals group members (AE) for 979 - 1197',100,1,0),
(196902,10124492,'Heals group members (AE) for 1146 - 1400',100,1,0),
(196903,115727,'Wards caster against 4340 points of elemental, noxious and arcane damage',100,1,0),
(196904,10115727,'Wards caster against 4340 points of elemental, noxious and arcane damage',100,1,0),
(196905,43542,'When Equipped:',100,0,0),
(196906,43542,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196907,43542,'Inflicts 1986 poison damage on target',100,2,2),
(196908,43542,'Cannot be modified except by direct means',100,2,3),
(196909,10043542,'When Equipped:',100,0,0),
(196910,10043542,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(196911,10043542,'Inflicts 1291 poison damage on target',100,2,2),
(196912,10043542,'Cannot be modified except by direct means',100,2,3),
(196913,155595,'When Equipped:',100,0,0),
(196914,155595,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(196915,155595,'Increases STR of caster by 9.6',100,2,2),
(196916,155595,'Cannot be modified except by direct means',100,2,3),
(196917,10155595,'When Equipped:',100,0,0),
(196918,10155595,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(196919,10155595,'Increases STR of caster by 9.6',100,2,2),
(196920,10155595,'Cannot be modified except by direct means',100,2,3),
(196921,101530,'Increases WIS of target by 94.4',100,1,0),
(196922,101530,'Increases Max Health of target by 836.5',100,1,1),
(196923,101530,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',100,1,2),
(196924,10101530,'Increases WIS of target by 94.4',100,1,0),
(196925,10101530,'Increases Max Health of target by 836.5',100,1,1),
(196926,10101530,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',100,1,2),
(196927,75445,'When Equipped:',100,0,0),
(196928,75445,'On a critical combat hit this spell may cast Endless Wounds II on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(196929,75445,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,2),
(196930,75445,'Inflicts an additional 1 cold damage on target every tick',100,2,3),
(196931,75445,'Must not be engaged in pvp combat',100,2,4),
(196932,75445,'Cannot be modified except by direct means',100,2,5),
(196933,75445,'On a critical spell hit this spell may cast Endless Wounds II on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(196934,75445,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,7),
(196935,75445,'Inflicts an additional 1 cold damage on target every tick',100,2,8),
(196936,75445,'Must not be engaged in pvp combat',100,2,9),
(196937,75445,'Cannot be modified except by direct means',100,2,10),
(196938,75445,'Must not be engaged in pvp combat',100,1,11),
(196939,10075445,'When Equipped:',100,0,0),
(196940,10075445,'On a critical combat hit this spell may cast Endless Wounds II on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(196941,10075445,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,2),
(196942,10075445,'Inflicts an additional 1 cold damage on target every tick',100,2,3),
(196943,10075445,'Must not be engaged in pvp combat',100,2,4),
(196944,10075445,'Cannot be modified except by direct means',100,2,5),
(196945,10075445,'On a critical spell hit this spell may cast Endless Wounds II on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(196946,10075445,'Inflicts 1 cold damage on target instantly and every 2 seconds',100,2,7),
(196947,10075445,'Inflicts an additional 1 cold damage on target every tick',100,2,8),
(196948,10075445,'Must not be engaged in pvp combat',100,2,9),
(196949,10075445,'Cannot be modified except by direct means',100,2,10),
(196950,10075445,'Must not be engaged in pvp combat',100,1,11),
(196951,36415,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(196952,100521,'Increases Attack Speed of group members (AE) by 33.8',100,1,0),
(196953,10100521,'Increases Attack Speed of group members (AE) by 33.8',100,1,0),
(196954,117837,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(196955,117837,'Heals target for 263 - 322 instantly and every 2 seconds',100,2,1),
(196956,117837,'If at 50% Health or less',100,3,2),
(196957,117837,'Heals target for 132 - 161 instantly and every 2 seconds',100,2,3),
(196958,117837,'If over 50% Health',100,3,4),
(196959,10117837,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(196960,10117837,'Heals target for 39 - 47 instantly and every 2 seconds',100,2,1),
(196961,10117837,'If over 50% Health',100,3,2),
(196962,10117837,'Heals target for 64 - 78 instantly and every 2 seconds',100,2,3),
(196963,10117837,'If at 50% Health or less',100,3,4),
(196964,102936,'Inflicts 267 - 326 disease damage on target instantly and every 4 seconds',100,1,0),
(196965,10102936,'Inflicts 451 - 551 disease damage on target',100,1,0),
(196966,10102936,'Inflicts 347 - 424 disease damage on target every 4 seconds',100,1,1),
(196967,100389,'Summons a pet aery hunter',100,1,0),
(196968,10100389,'Summons a pet aery hunter',100,1,0),
(196969,119024,'Makes group members (AE) immune to Root effects',100,1,0),
(196970,119024,'Makes group members (AE) immune to Stifle effects',100,1,1),
(196971,119024,'Makes group members (AE) immune to Stun effects',100,1,2),
(196972,119024,'Makes group members (AE) immune to Fear effects',100,1,3),
(196973,119024,'Makes group members (AE) immune to Daze effects',100,1,4),
(196974,119024,'Makes group members (AE) immune to Mesmerize effects',100,1,5),
(196975,119024,'1% chance to dispel when target takes damage',100,1,6),
(196976,119024,'1% chance to dispel when target receives hostile action',100,1,7),
(196977,10119024,'Makes group members (AE) immune to Root effects',100,1,0),
(196978,10119024,'Makes group members (AE) immune to Stifle effects',100,1,1),
(196979,10119024,'Makes group members (AE) immune to Stun effects',100,1,2),
(196980,10119024,'Makes group members (AE) immune to Fear effects',100,1,3),
(196981,10119024,'Makes group members (AE) immune to Daze effects',100,1,4),
(196982,10119024,'Makes group members (AE) immune to Mesmerize effects',100,1,5),
(196983,10119024,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,1,6),
(196984,10119024,'Applies Lost Focus.  Lasts for 1 minute.',100,2,7),
(196985,10119024,'You cannot be affected by Commanding Roar.',100,3,8),
(196986,10119024,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,2,9),
(196987,10119024,'You cannot be affected by Commanding Roar.',100,3,10),
(196988,10119024,'Makes Group members (AE) immune to taunt effects.',100,2,11),
(196989,10119024,'1% chance to dispel when target takes damage',100,1,12),
(196990,10119024,'1% chance to dispel when target receives hostile action',100,1,13),
(196991,47828,'Applies noxious remedy when Activated.',100,0,0),
(196992,47828,'Dispels 112 levels of noxious hostile effects on caster',100,1,1),
(196993,10047828,'Applies noxious remedy when Activated.',100,0,0),
(196994,10047828,'Dispels 112 levels of noxious hostile effects on caster',100,1,1),
(196995,103766,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.0',100,1,0),
(196996,10103766,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.0',100,1,0),
(196997,113251,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(196998,113251,'Inflicts 57 - 95 magic damage on target',100,2,1),
(196999,113251,'Grants a total of 8 triggers of the spell.',100,2,2),
(197000,10113251,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(197001,10113251,'Inflicts 74 - 124 magic damage on target',100,2,1),
(197002,10113251,'Grants a total of 8 triggers of the spell.',100,2,2),
(197003,112916,'Increases Damage Per Second of caster by 62.0',100,1,0),
(197004,112916,'Increases Ranged of caster by 26.7',100,1,1),
(197005,10112916,'Increases Damage Per Second of caster by 62.0',100,1,0),
(197006,10112916,'Increases Ranged of caster by 26.7',100,1,1),
(197007,115775,'Inflicts 257 - 429 melee damage on target',100,1,0),
(197008,10115775,'Inflicts 335 - 558 melee damage on target',100,1,0),
(197009,51827,'When Equipped:',100,0,0),
(197010,51827,'Increases caster''s chance to block by 15.0%',100,1,1),
(197011,10051827,'When Equipped:',100,0,0),
(197012,10051827,'Increases caster''s chance to block by 15.0%',100,1,1),
(197013,124093,'Dispels 130 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(197014,10124093,'Dispels 130 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(197015,87440,'When Equipped:',100,0,0),
(197016,87440,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197017,87440,'Inflicts 44 - 66 magic damage on target',100,2,2),
(197018,87440,'Cannot be modified except by direct means',100,2,3),
(197019,10087440,'When Equipped:',100,0,0),
(197020,10087440,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197021,10087440,'Inflicts 57 - 85 magic damage on target',100,2,2),
(197022,10087440,'Cannot be modified except by direct means',100,2,3),
(197023,80168,'When Equipped:',100,0,0),
(197024,80168,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197025,80168,'Inflicts 260 - 482 magic damage on target',100,2,2),
(197026,80168,'Decreases Threat to target by 801 ',100,2,3),
(197027,80168,'Must be flanking or behind',100,3,4),
(197028,80168,'Increases Threat to target by 801 ',100,2,5),
(197029,80168,'Must be in front of',100,3,6),
(197030,80168,'Cannot be modified except by direct means',100,2,7),
(197031,10080168,'When Equipped:',100,0,0),
(197032,10080168,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197033,10080168,'Inflicts 337 - 627 magic damage on target',100,2,2),
(197034,10080168,'Cannot be modified except by direct means',100,2,3),
(197035,47758,'Applies Research Time Reduction when Activated.',100,0,0),
(197036,47758,'Reduces the time remaining on the spell being actively researched by seven days.',100,1,1),
(197037,47758,'Special: See Description',100,1,2),
(197038,47758,'Cannot be modified except by direct means',100,1,3),
(197039,10047758,'Applies Research Time Reduction when Activated.',100,0,0),
(197040,10047758,'Reduces the time remaining on the spell being actively researched by seven days.',100,1,1),
(197041,10047758,'Special: See Description',100,1,2),
(197042,10047758,'Cannot be modified except by direct means',100,1,3),
(197043,177472,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(197044,177472,'Decreases Attack Speed of target by 9.6',100,1,1),
(197045,177472,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(197046,10177472,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(197047,10177472,'Decreases Attack Speed of target by 9.6',100,1,1),
(197048,10177472,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(197049,124655,'Inflicts 833 - 1018 cold damage on target encounter',100,1,0),
(197050,124655,'Decreases Piercing, Slashing and Crushing of target encounter by 18.0',100,1,1),
(197051,10124655,'Inflicts 1083 - 1323 cold damage on target encounter',100,1,0),
(197052,10124655,'Decreases Piercing, Slashing and Crushing of target encounter by 18.0',100,1,1),
(197053,152634,'When Equipped:',100,0,0),
(197054,152634,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(197055,10152634,'When Equipped:',100,0,0),
(197056,10152634,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(197057,155475,'When Equipped:',100,0,0),
(197058,155475,'On a melee hit this spell may cast Wu''s Intercession on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197059,155475,'Wards caster against 333 points of all damage',100,2,2),
(197060,155475,'Cannot be modified except by direct means',100,2,3),
(197061,10155475,'When Equipped:',100,0,0),
(197062,10155475,'On a melee hit this spell may cast Wu''s Intercession on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197063,10155475,'Wards caster against 333 points of all damage',100,2,2),
(197064,10155475,'Cannot be modified except by direct means',100,2,3),
(197065,53835,'When Equipped:',100,0,0),
(197066,53835,'When damaged with a spell this spell has a 25% chance to cast Pureblood Protection on the group.  Lasts for 1 minute.  ',100,1,1),
(197067,53835,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 584',100,2,2),
(197068,53835,'Cannot be modified except by direct means',100,2,3),
(197069,10053835,'When Equipped:',100,0,0),
(197070,10053835,'When damaged with a spell this spell has a 25% chance to cast Pureblood Protection on the group.  Lasts for 1 minute.  ',100,1,1),
(197071,10053835,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 584',100,2,2),
(197072,10053835,'Cannot be modified except by direct means',100,2,3),
(197073,118178,'Resurrects target with 15% health and power',100,1,0),
(197074,118178,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(197075,118178,'Decreases All Attributes of target by 20.0%',100,2,2),
(197076,118178,'If not between levels 1 - 6',100,3,3),
(197077,118178,'Decreases Attack Speed of target by 20.0',100,2,4),
(197078,118178,'If not between levels 1 - 6',100,3,5),
(197079,118178,'Decreases All Attributes of target by 5.0%',100,2,6),
(197080,118178,'If between levels 1 - 6',100,3,7),
(197081,118178,'Decreases Attack Speed of target by 5.0',100,2,8),
(197082,118178,'If between levels 1 - 6',100,3,9),
(197083,118178,'If outside an arena',100,1,10),
(197084,10118178,'Resurrects target with 15% health and power',100,1,0),
(197085,10118178,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(197086,10118178,'Decreases All Attributes of target by 20.0%',100,2,2),
(197087,10118178,'If not between levels 1 - 6',100,3,3),
(197088,10118178,'Decreases Attack Speed of target by 20.0',100,2,4),
(197089,10118178,'If not between levels 1 - 6',100,3,5),
(197090,10118178,'Decreases All Attributes of target by 5.0%',100,2,6),
(197091,10118178,'If between levels 1 - 6',100,3,7),
(197092,10118178,'Decreases Attack Speed of target by 5.0',100,2,8),
(197093,10118178,'If between levels 1 - 6',100,3,9),
(197094,10118178,'If outside an arena',100,1,10),
(197095,121114,'Decreases Threat to targets in Area of Effect by 2,645 ',100,1,0),
(197096,121114,'Mesmerizes targets in Area of Effect',100,1,1),
(197097,121114,'If Target is not Epic',100,2,2),
(197098,121114,'Dispelled when target takes damage',100,1,3),
(197099,10121114,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(197100,10121114,'Applies Distract.',100,1,1),
(197101,10121114,'Forces target to clear their selected target.',100,2,2),
(197102,10121114,'Mesmerizes targets in Area of Effect',100,1,3),
(197103,10121114,'If Target is not Epic',100,2,4),
(197104,10121114,'Dispelled when target takes damage',100,1,5),
(197105,48312,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(197106,48312,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(197107,48312,'Inflicts 134 poison damage on target instantly and every 4 seconds',100,2,2),
(197108,48312,'Cannot be modified except by direct means',100,2,3),
(197109,48312,'Grants a total of 100 triggers of the spell.',100,2,4),
(197110,10048312,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(197111,10048312,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(197112,10048312,'Inflicts 130 poison damage on target instantly and every 4 seconds',100,2,2),
(197113,10048312,'Cannot be modified except by direct means',100,2,3),
(197114,10048312,'Grants a total of 100 triggers of the spell.',100,2,4),
(197115,113411,'Increases STA of caster by 73.6',100,1,0),
(197116,113411,'Adds 5.0% to base avoidance.',100,1,1),
(197117,113411,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,2),
(197118,113411,'Increases Defense and Aggression of caster by 14.4',100,1,3),
(197119,113411,'Increases Mitigation of caster vs noxious damage by 960',100,1,4),
(197120,113411,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(197121,113411,'Reduces physical damage done to caster by 5%',100,1,6),
(197122,10113411,'Increases STA of caster by 73.6',100,1,0),
(197123,10113411,'Adds 5.0% to base avoidance.',100,1,1),
(197124,10113411,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,2),
(197125,10113411,'Increases Defense and Aggression of caster by 14.4',100,1,3),
(197126,10113411,'Increases Mitigation of caster vs noxious damage by 960',100,1,4),
(197127,10113411,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(197128,10113411,'Reduces physical damage done to caster by 5%',100,1,6),
(197129,114949,'Decreases Attack Speed of target by 10.2',100,1,0),
(197130,114949,'Inflicts 27 - 83 slashing damage on target',100,1,1),
(197131,114949,'Inflicts 56 slashing damage on target instantly and every 4 seconds',100,1,2),
(197132,10114949,'Decreases Attack Speed of target by 10.2',100,1,0),
(197133,10114949,'Inflicts 36 - 108 slashing damage on target',100,1,1),
(197134,10114949,'Inflicts 72 slashing damage on target instantly and every 4 seconds',100,1,2),
(197135,116639,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(197136,116639,'Increases Mitigation of group members (AE) vs arcane damage by 599',100,1,1),
(197137,10116639,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(197138,10116639,'Increases Mitigation of group members (AE) vs arcane damage by 599',100,1,1),
(197139,35835,'Increases AGI of target by 1.5',100,0,0),
(197140,35835,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(197141,35205,'Increases Max Power of target by 3.3',100,0,0),
(197142,35205,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(197143,42445,'When Equipped:',100,0,0),
(197144,42445,'This effect will not stack with any rank or tier of itself.',100,1,1),
(197145,42445,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(197146,42445,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(197147,42445,'Increases Attack Speed of caster by 11.0',100,1,4),
(197148,42445,'Cannot be modified except by direct means',100,1,5),
(197149,42445,'When Equipped:',100,0,6),
(197150,42445,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(197151,42445,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(197152,42445,'Increases Attack Speed of caster by 6.0',100,2,9),
(197153,42445,'Increases Damage Per Second of caster by 9.0',100,2,10),
(197154,42445,'Increases Multi Attack Chance of caster by 22.0',100,2,11),
(197155,42445,'Must not be engaged in pvp combat',100,2,12),
(197156,42445,'Cannot be modified except by direct means',100,2,13),
(197157,42445,'Cannot be modified except by direct means',100,1,14),
(197158,10042445,'When Equipped:',100,0,0),
(197159,10042445,'This effect will not stack with any rank or tier of itself.',100,1,1),
(197160,10042445,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(197161,10042445,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(197162,10042445,'Increases Attack Speed of caster by 11.0',100,1,4),
(197163,10042445,'Cannot be modified except by direct means',100,1,5),
(197164,10042445,'When Equipped:',100,0,6),
(197165,10042445,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(197166,10042445,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(197167,10042445,'Increases Attack Speed of caster by 6.0',100,2,9),
(197168,10042445,'Increases Damage Per Second of caster by 9.0',100,2,10),
(197169,10042445,'Increases Multi Attack Chance of caster by 22.0',100,2,11),
(197170,10042445,'Must not be engaged in pvp combat',100,2,12),
(197171,10042445,'Cannot be modified except by direct means',100,2,13),
(197172,10042445,'Cannot be modified except by direct means',100,1,14),
(197173,157502,'When Equipped:',100,0,0),
(197174,157502,'Increases Attack Speed of caster by 40.0',100,1,1),
(197175,10157502,'When Equipped:',100,0,0),
(197176,10157502,'Increases Attack Speed of caster by 40.0',100,1,1),
(197177,124006,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(197178,124006,'Heals target for 103 - 126',100,2,1),
(197179,124006,'Grants a total of 5 triggers of the spell.',100,2,2),
(197180,10124006,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(197181,10124006,'Heals target for 67 - 82',100,2,1),
(197182,10124006,'Grants a total of 5 triggers of the spell.',100,2,2),
(197183,122242,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(197184,122242,'Decreases Damage Per Second of target by 23.6',100,2,1),
(197185,122242,'Decreases Attack Speed of target by 18.9',100,2,2),
(197186,10122242,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(197187,10122242,'Decreases Damage Per Second of target by 23.6',100,2,1),
(197188,10122242,'Decreases Attack Speed of target by 18.9',100,2,2),
(197189,110932,'Inflicts 179 - 299 divine damage on target',100,1,0),
(197190,110932,'Increases Threat to target by 1,346 ',100,1,1),
(197191,110932,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(197192,110932,'Blurs vision of target',100,2,3),
(197193,110932,'Stuns target',100,2,4),
(197194,110932,'Throws target back',100,2,5),
(197195,110932,'Does not affect Epic targets',100,2,6),
(197196,10110932,'Inflicts 233 - 389 divine damage on target',100,1,0),
(197197,10110932,'Prevents target from changing targets',100,1,1),
(197198,10110932,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(197199,10110932,'Stuns target',100,2,3),
(197200,10110932,'Throws target back',100,2,4),
(197201,10110932,'Blurs vision of target',100,2,5),
(197202,10110932,'Does not affect Epic targets',100,2,6),
(197203,10110932,'Forces target to change their selected target to caster.',100,1,7),
(197204,119014,'Heals target for 1387 - 1695',100,1,0),
(197205,10119014,'Heals target for 1475 - 1803',100,1,0),
(197206,79389,'Applies Globe of Flame when Activated.  Lasts for 20.0 seconds.',100,0,0),
(197207,79389,'Increases Ability Modifier of caster by 500.0',100,1,1),
(197208,79389,'All offensive spells deal heat damage!',100,1,2),
(197209,79389,'The casting time of Globe of Flame is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(197210,10079389,'Applies Globe of Flame when Activated.  Lasts for 20.0 seconds.',100,0,0),
(197211,10079389,'Increases Ability Modifier of caster by 500.0',100,1,1),
(197212,10079389,'All offensive spells deal heat damage!',100,1,2),
(197213,10079389,'The casting time of Globe of Flame is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(197214,100850,'Wards target against 1341 points of all damage',100,1,0),
(197215,10100850,'Wards target against 2064 points of all damage',100,1,0),
(197216,101245,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(197217,101245,'Inflicts 147 - 245 mental damage on target',100,2,1),
(197218,10101245,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(197219,10101245,'Inflicts 191 - 319 mental damage on target',100,2,1),
(197220,108725,'Inflicts 580 heat damage on target',100,1,0),
(197221,108725,'Inflicts 130 heat damage on target every 4 seconds',100,1,1),
(197222,10108725,'Inflicts 1055 heat damage on target',100,1,0),
(197223,10108725,'Inflicts 168 heat damage on target every 4 seconds',100,1,1),
(197224,117658,'Decreases Mitigation of target vs physical damage by 168',100,1,0),
(197225,10117658,'Decreases Mitigation of target vs physical damage by 84',100,1,0),
(197226,121302,'Inflicts 668 - 1114 melee damage on targets in area',100,1,0),
(197227,121302,'Inflicts 203 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(197228,121302,'You must be in stealth or have Bloody Assault.',100,1,2),
(197229,10121302,'Inflicts 869 - 1448 melee damage on targets in area',100,1,0),
(197230,10121302,'Inflicts 263 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(197231,10121302,'You must be in stealth or have Bloody Assault.',100,1,2),
(197232,120922,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(197233,120922,'Inflicts 352 - 430 mental damage on target',100,2,1),
(197234,120922,'Grants a total of 3 triggers of the spell.',100,2,2),
(197235,10120922,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(197236,10120922,'Inflicts 458 - 559 mental damage on target',100,2,1),
(197237,10120922,'Grants a total of 3 triggers of the spell.',100,2,2),
(197238,72512,'When Equipped:',100,0,0),
(197239,72512,'On a combat hit this spell may cast System Shock on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197240,72512,'Inflicts 834 - 1390 magic damage on target',100,2,2),
(197241,72512,'Inflicts 233 magic damage on target encounter instantly and every 4 seconds',100,2,3),
(197242,72512,'Enlarges caster by 30.0%',100,2,4),
(197243,72512,'Cannot be modified except by direct means',100,2,5),
(197244,10072512,'When Equipped:',100,0,0),
(197245,10072512,'On a combat hit this spell may cast System Shock on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197246,10072512,'Inflicts 1084 - 1807 magic damage on target',100,2,2),
(197247,10072512,'Inflicts 303 magic damage on target encounter instantly and every 4 seconds',100,2,3),
(197248,10072512,'Enlarges caster by 30.0%',100,2,4),
(197249,10072512,'Cannot be modified except by direct means',100,2,5),
(197250,82153,'When Equipped:',100,0,0),
(197251,82153,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197252,82153,'Inflicts 212 - 393 magic damage on target',100,2,2),
(197253,82153,'Cannot be modified except by direct means',100,2,3),
(197254,10082153,'When Equipped:',100,0,0),
(197255,10082153,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197256,10082153,'Inflicts 275 - 511 magic damage on target',100,2,2),
(197257,10082153,'Cannot be modified except by direct means',100,2,3),
(197258,100748,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(197259,100748,'Heals target for 519',100,2,1),
(197260,100748,'Increases power of target by 120 every 6 seconds',100,2,2),
(197261,100748,'Wards target against 638 points of all damage',100,2,3),
(197262,100748,'Grants a total of 1 trigger of the spell.',100,2,4),
(197263,10100748,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(197264,10100748,'Heals target for 337',100,2,1),
(197265,10100748,'Increases power of target by 120 every 6 seconds',100,2,2),
(197266,10100748,'Wards target against 638 points of all damage',100,2,3),
(197267,10100748,'Grants a total of 1 trigger of the spell.',100,2,4),
(197268,35086,'Increases INT and STA of target by 1.1',100,0,0),
(197269,35086,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(197270,82542,'When Equipped:',100,0,0),
(197271,82542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197272,82542,'Inflicts 106 - 197 magic damage on target',100,2,2),
(197273,82542,'Cannot be modified except by direct means',100,2,3),
(197274,10082542,'When Equipped:',100,0,0),
(197275,10082542,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197276,10082542,'Inflicts 138 - 256 magic damage on target',100,2,2),
(197277,10082542,'Cannot be modified except by direct means',100,2,3),
(197278,111512,'Caster has a 37.5% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,0),
(197279,10111512,'Caster has a 37.5% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,0),
(197280,160016,'Applies Lambent Imbued when Equipped.',100,0,0),
(197281,160016,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(197282,160016,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(197283,160016,'Cannot be modified except by direct means',100,2,3),
(197284,10160016,'Applies Lambent Imbued when Equipped.',100,0,0),
(197285,10160016,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(197286,10160016,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(197287,10160016,'Cannot be modified except by direct means',100,2,3),
(197288,74991,'When Equipped:',100,0,0),
(197289,74991,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197290,74991,'Inflicts 93 - 139 magic damage on target',100,2,2),
(197291,74991,'Cannot be modified except by direct means',100,2,3),
(197292,10074991,'When Equipped:',100,0,0),
(197293,10074991,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197294,10074991,'Inflicts 121 - 181 magic damage on target',100,2,2),
(197295,10074991,'Cannot be modified except by direct means',100,2,3),
(197296,45371,'Applies Blight of the Eventide when Activated.  Lasts for 12 hours.',100,0,0),
(197297,45371,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(197298,45371,'Inflicts 43 poison damage on target',100,2,2),
(197299,45371,'Inflicts 53 poison damage on target instantly and every 6 seconds',100,2,3),
(197300,45371,'Cannot be modified except by direct means',100,2,4),
(197301,45371,'Grants a total of 100 triggers of the spell.',100,2,5),
(197302,10045371,'Applies Blight of the Eventide when Activated.  Lasts for 12 hours.',100,0,0),
(197303,10045371,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(197304,10045371,'Inflicts 52 poison damage on target instantly and every 6 seconds',100,2,2),
(197305,10045371,'Inflicts 42 poison damage on target',100,2,3),
(197306,10045371,'Cannot be modified except by direct means',100,2,4),
(197307,10045371,'Grants a total of 100 triggers of the spell.',100,2,5),
(197308,26638,'When Equipped:',100,0,0),
(197309,26638,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(197310,26638,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,2),
(197311,10026638,'When Equipped:',100,0,0),
(197312,10026638,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(197313,10026638,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,2),
(197314,106616,'Inflicts 370 - 453 disease damage on target',100,1,0),
(197315,106616,'Heals caster for 7.6 - 9.2% of max health',100,1,1),
(197316,106616,'This effect cannot be critically applied.',100,2,2),
(197317,106616,'The healing of this spell cannot be modified except by direct means',100,1,3),
(197318,10106616,'Inflicts 481 - 588 disease damage on target',100,1,0),
(197319,10106616,'Heals caster for 2.5 - 3.1% of max health',100,1,1),
(197320,10106616,'This effect cannot be critically applied.',100,2,2),
(197321,10106616,'The healing of this spell cannot be modified except by direct means',100,1,3),
(197322,113353,'Roots target',100,1,0),
(197323,113353,'Applies Stifle.  Lasts for 4.0 seconds.',100,1,1),
(197324,113353,'Stifles target',100,2,2),
(197325,113353,'Blurs vision of target',100,2,3),
(197326,113353,'Dispelled when target takes damage',100,2,4),
(197327,113353,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(197328,113353,'Resistibility increases against targets higher than level 34.',100,2,6),
(197329,113353,'5% chance to dispel when target takes damage',100,1,7),
(197330,113353,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,8),
(197331,113353,'Resistibility increases against targets higher than level 34.',100,1,9),
(197332,10113353,'Roots target',100,1,0),
(197333,10113353,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(197334,10113353,'Stifles target',100,2,2),
(197335,10113353,'Blurs vision of target',100,2,3),
(197336,10113353,'Dispelled when target takes damage',100,2,4),
(197337,10113353,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(197338,10113353,'Resistibility increases against targets higher than level 34.',100,2,6),
(197339,10113353,'5% chance to dispel when target takes damage',100,1,7),
(197340,10113353,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(197341,10113353,'Resistibility increases against targets higher than level 34.',100,1,9),
(197342,82465,'When Equipped:',100,0,0),
(197343,82465,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197344,82465,'Inflicts 260 - 482 magic damage on target',100,2,2),
(197345,82465,'Decreases Threat to target by 801 ',100,2,3),
(197346,82465,'Must be flanking or behind',100,3,4),
(197347,82465,'Increases Threat to target by 801 ',100,2,5),
(197348,82465,'Must be in front of',100,3,6),
(197349,82465,'Cannot be modified except by direct means',100,2,7),
(197350,10082465,'When Equipped:',100,0,0),
(197351,10082465,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197352,10082465,'Inflicts 337 - 627 magic damage on target',100,2,2),
(197353,10082465,'Cannot be modified except by direct means',100,2,3),
(197354,37494,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(197355,111226,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(197356,111226,'Heals target for 178 - 217',100,2,1),
(197357,10111226,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(197358,10111226,'Heals target for 115 - 141',100,2,1),
(197359,35040,'Increases outgoing heal and ward amount by 2%',100,0,0),
(197360,35040,'Increases WIS and STA of target by 5.4',100,0,1),
(197361,35040,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(197362,35351,'Increases Max Health of target by 3.9',100,0,0),
(197363,35351,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(197364,170591,'When Equipped:',100,0,0),
(197365,170591,'Increases Attack Speed of caster by 35.0',100,1,1),
(197366,10170591,'When Equipped:',100,0,0),
(197367,10170591,'Increases Attack Speed of caster by 35.0',100,1,1),
(197368,120415,'Inflicts 49 - 82 melee damage on target',100,1,0),
(197369,120415,'Inflicts 49 - 82 melee damage on target',100,1,1),
(197370,10120415,'Inflicts 64 - 107 melee damage on target',100,1,0),
(197371,10120415,'Inflicts 64 - 107 melee damage on target',100,1,1),
(197372,102313,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(197373,102313,'Decreases Threat to target by 2,048 ',100,2,1),
(197374,10102313,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(197375,10102313,'Inflicts 174 - 192 crushing damage on target',100,2,1),
(197376,102408,'Inflicts 974 - 1810 melee damage on targets in area',100,1,0),
(197377,10102408,'Inflicts 1267 - 2353 melee damage on targets in area',100,1,0),
(197378,80537,'When Equipped:',100,0,0),
(197379,80537,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197380,80537,'Inflicts 493 - 915 magic damage on target',100,2,2),
(197381,80537,'Decreases Threat to target by 1,219 ',100,2,3),
(197382,80537,'Must be flanking or behind',100,3,4),
(197383,80537,'Increases Threat to target by 1,219 ',100,2,5),
(197384,80537,'Must be in front of',100,3,6),
(197385,80537,'Cannot be modified except by direct means',100,2,7),
(197386,10080537,'When Equipped:',100,0,0),
(197387,10080537,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197388,10080537,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(197389,10080537,'Cannot be modified except by direct means',100,2,3),
(197390,180556,'When Equipped:',100,0,0),
(197391,180556,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(197392,180556,'Inflicts 37 disease damage on target',100,2,2),
(197393,180556,'Cannot be modified except by direct means',100,2,3),
(197394,10180556,'When Equipped:',100,0,0),
(197395,10180556,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(197396,10180556,'Inflicts 49 disease damage on target',100,2,2),
(197397,10180556,'Cannot be modified except by direct means',100,2,3),
(197398,160874,'When Equipped:',100,0,0),
(197399,160874,'When any damage is received this spell has a 5% chance to cast Mindlash on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(197400,160874,'Applies Mindlash Bite on termination.',100,2,2),
(197401,160874,'Inflicts 152 - 254 mental damage on target',100,3,3),
(197402,160874,'Inflicts 101 - 168 mental damage on target every 4.8 seconds',100,2,4),
(197403,160874,'Cannot be modified except by direct means',100,2,5),
(197404,10160874,'When Equipped:',100,0,0),
(197405,10160874,'When any damage is received this spell has a 5% chance to cast Mindlash on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(197406,10160874,'Applies Mindlash Bite on termination.',100,2,2),
(197407,10160874,'Inflicts 198 - 330 mental damage on target',100,3,3),
(197408,10160874,'Inflicts 131 - 218 mental damage on target every 4.8 seconds',100,2,4),
(197409,10160874,'Cannot be modified except by direct means',100,2,5),
(197410,112135,'Dispels 68 levels of physical and arcane hostile effects on caster',100,1,0),
(197411,10112135,'Dispels 68 levels of physical and arcane hostile effects on caster',100,1,0),
(197412,159592,'When Equipped:',100,0,0),
(197413,159592,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(197414,159592,'Increases STA of caster by 7.6',100,2,2),
(197415,159592,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(197416,159592,'Cannot be modified except by direct means',100,2,4),
(197417,10159592,'When Equipped:',100,0,0),
(197418,10159592,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(197419,10159592,'Increases STA of caster by 7.6',100,2,2),
(197420,10159592,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(197421,10159592,'Cannot be modified except by direct means',100,2,4),
(197422,109775,'Inflicts 656 - 1219 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(197423,10109775,'Inflicts 853 - 1585 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(197424,152953,'When Equipped:',100,0,0),
(197425,152953,'Increases Attack Speed of caster by 40.0',100,1,1),
(197426,10152953,'When Equipped:',100,0,0),
(197427,10152953,'Increases Attack Speed of caster by 40.0',100,1,1),
(197428,74825,'When Equipped:',100,0,0),
(197429,74825,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197430,74825,'Inflicts 131 - 197 magic damage on target',100,2,2),
(197431,74825,'Cannot be modified except by direct means',100,2,3),
(197432,10074825,'When Equipped:',100,0,0),
(197433,10074825,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197434,10074825,'Inflicts 171 - 256 magic damage on target',100,2,2),
(197435,10074825,'Cannot be modified except by direct means',100,2,3),
(197436,174352,'When Equipped:',100,0,0),
(197437,174352,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197438,174352,'Increases INT of target by 98.9',100,2,2),
(197439,174352,'Cannot be modified except by direct means',100,2,3),
(197440,10174352,'When Equipped:',100,0,0),
(197441,10174352,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197442,10174352,'Increases INT of target by 98.9',100,2,2),
(197443,10174352,'Cannot be modified except by direct means',100,2,3),
(197444,105956,'Inflicts 230 - 281 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(197445,105956,'Inflicts 537 - 895 disease damage on targets in area',100,1,1),
(197446,10105956,'Inflicts 299 - 366 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(197447,10105956,'Inflicts 698 - 1163 disease damage on targets in area',100,1,1),
(197448,82664,'When Equipped:',100,0,0),
(197449,82664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197450,82664,'Inflicts 106 - 197 magic damage on target',100,2,2),
(197451,82664,'Cannot be modified except by direct means',100,2,3),
(197452,10082664,'When Equipped:',100,0,0),
(197453,10082664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197454,10082664,'Inflicts 138 - 256 magic damage on target',100,2,2),
(197455,10082664,'Cannot be modified except by direct means',100,2,3),
(197456,173465,'When Equipped:',100,0,0),
(197457,173465,'Increases the caster''s heals and wards by 5%.',100,1,1),
(197458,173465,'Must not be engaged in pvp combat',100,1,2),
(197459,10173465,'When Equipped:',100,0,0),
(197460,10173465,'Increases the caster''s heals and wards by 5%.',100,1,1),
(197461,10173465,'Must not be engaged in pvp combat',100,1,2),
(197462,112093,'Inflicts 75 - 125 heat damage on target instantly and every 2 seconds',100,1,0),
(197463,10112093,'Inflicts 239 - 398 heat damage on target instantly and every 2 seconds',100,1,0),
(197464,74591,'When Equipped:',100,0,0),
(197465,74591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197466,74591,'Inflicts 66 - 99 magic damage on target',100,2,2),
(197467,74591,'Cannot be modified except by direct means',100,2,3),
(197468,10074591,'When Equipped:',100,0,0),
(197469,10074591,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197470,10074591,'Inflicts 86 - 129 magic damage on target',100,2,2),
(197471,10074591,'Cannot be modified except by direct means',100,2,3),
(197472,119697,'Increases Threat to target encounter by 437 - 534 ',100,1,0),
(197473,10119697,'Prevents target encounter from changing targets',100,1,0),
(197474,10119697,'Forces target encounter to change their selected target to caster.',100,1,1),
(197475,80160,'When Equipped:',100,0,0),
(197476,80160,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197477,80160,'Decreases Threat to target by 801 ',100,2,2),
(197478,80160,'Must be flanking or behind',100,3,3),
(197479,80160,'Increases Threat to target by 801 ',100,2,4),
(197480,80160,'Must be in front of',100,3,5),
(197481,80160,'Inflicts 260 - 482 magic damage on target',100,2,6),
(197482,80160,'Cannot be modified except by direct means',100,2,7),
(197483,10080160,'When Equipped:',100,0,0),
(197484,10080160,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197485,10080160,'Inflicts 337 - 627 magic damage on target',100,2,2),
(197486,10080160,'Cannot be modified except by direct means',100,2,3),
(197487,189075,'When Equipped:',100,0,0),
(197488,189075,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(197489,189075,'Inflicts 1998 disease damage on target encounter',100,2,2),
(197490,189075,'Must not be engaged in pvp combat',100,2,3),
(197491,189075,'Cannot be modified except by direct means',100,2,4),
(197492,10189075,'When Equipped:',100,0,0),
(197493,10189075,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(197494,10189075,'Inflicts 1299 disease damage on target encounter',100,2,2),
(197495,10189075,'Must not be engaged in pvp combat',100,2,3),
(197496,10189075,'Cannot be modified except by direct means',100,2,4),
(197497,173520,'When Equipped:',100,0,0),
(197498,173520,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(197499,173520,'Heals group members (AE) for 2293',100,2,2),
(197500,173520,'Heals group members (AE) for 769 every 5 seconds',100,2,3),
(197501,173520,'Must not be engaged in pvp combat',100,2,4),
(197502,173520,'Cannot be modified except by direct means',100,2,5),
(197503,173520,'Must not be engaged in pvp combat',100,1,6),
(197504,10173520,'When Equipped:',100,0,0),
(197505,10173520,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(197506,10173520,'Heals group members (AE) for 2682',100,2,2),
(197507,10173520,'Heals group members (AE) for 900 every 5 seconds',100,2,3),
(197508,10173520,'Must not be engaged in pvp combat',100,2,4),
(197509,10173520,'Cannot be modified except by direct means',100,2,5),
(197510,10173520,'Must not be engaged in pvp combat',100,1,6),
(197511,177783,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(197512,177783,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(197513,177783,'Decreases Attack Speed of target by 9.6',100,2,2),
(197514,177783,'Cannot be modified except by direct means',100,2,3),
(197515,177783,'Slows target by 25.5%',100,1,4),
(197516,177783,'5% chance to dispel when target takes damage',100,1,5),
(197517,177783,'5% chance to dispel when target receives hostile action',100,1,6),
(197518,177783,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(197519,10177783,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(197520,10177783,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(197521,10177783,'Decreases Attack Speed of target by 9.6',100,2,2),
(197522,10177783,'Cannot be modified except by direct means',100,2,3),
(197523,10177783,'Slows target by 25.5%',100,1,4),
(197524,10177783,'5% chance to dispel when target takes damage',100,1,5),
(197525,10177783,'5% chance to dispel when target receives hostile action',100,1,6),
(197526,10177783,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(197527,144282,'When Equipped:',100,0,0),
(197528,144282,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(197529,144282,'Must not be engaged in pvp combat',100,1,2),
(197530,10144282,'When Equipped:',100,0,0),
(197531,10144282,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(197532,10144282,'Must not be engaged in pvp combat',100,1,2),
(197533,102552,'Increases AGI of caster by 26.6',100,1,0),
(197534,102552,'Increases Max Health of caster by 52.2',100,1,1),
(197535,102552,'Adds 25.0% to base avoidance.',100,1,2),
(197536,102552,'Increases Mitigation of caster vs physical damage by 146',100,1,3),
(197537,102552,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',100,1,4),
(197538,10102552,'Increases AGI of caster by 26.6',100,1,0),
(197539,10102552,'Increases Max Health of caster by 52.2',100,1,1),
(197540,10102552,'Adds 25.0% to base avoidance.',100,1,2),
(197541,10102552,'Increases Mitigation of caster vs physical damage by 146',100,1,3),
(197542,10102552,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',100,1,4),
(197543,81161,'When Equipped:',100,0,0),
(197544,81161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197545,81161,'Inflicts 203 - 377 magic damage on target',100,2,2),
(197546,81161,'Cannot be modified except by direct means',100,2,3),
(197547,10081161,'When Equipped:',100,0,0),
(197548,10081161,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197549,10081161,'Inflicts 264 - 490 magic damage on target',100,2,2),
(197550,10081161,'Cannot be modified except by direct means',100,2,3),
(197551,101456,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(197552,101456,'Increases Mitigation of group members (AE) vs noxious damage by 804',100,1,1),
(197553,10101456,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(197554,10101456,'Increases Mitigation of group members (AE) vs noxious damage by 804',100,1,1),
(197555,112776,'Interrupts target',100,1,0),
(197556,112776,'Inflicts 575 - 958 divine damage on target',100,1,1),
(197557,10112776,'Interrupts target',100,1,0),
(197558,10112776,'Inflicts 747 - 1245 divine damage on target',100,1,1),
(197559,51829,'When Equipped:',100,0,0),
(197560,51829,'On a hostile spell cast this spell may cast Rune of the Eye on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(197561,51829,'Wards caster against 800 points of all damage',100,2,2),
(197562,51829,'Increases Disruption of caster by 5.0',100,2,3),
(197563,51829,'Cannot be modified except by direct means',100,2,4),
(197564,10051829,'When Equipped:',100,0,0),
(197565,10051829,'On a hostile spell cast this spell may cast Rune of the Eye on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(197566,10051829,'Wards caster against 800 points of all damage',100,2,2),
(197567,10051829,'Increases Disruption of caster by 5.0',100,2,3),
(197568,10051829,'Cannot be modified except by direct means',100,2,4),
(197569,115029,'Heals target for 188 - 230',100,1,0),
(197570,10115029,'Heals target for 263 - 322',100,1,0),
(197571,82476,'When Equipped:',100,0,0),
(197572,82476,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197573,82476,'Decreases Threat to target by 641 ',100,2,2),
(197574,82476,'Must be flanking or behind',100,3,3),
(197575,82476,'Increases Threat to target by 641 ',100,2,4),
(197576,82476,'Must be in front of',100,3,5),
(197577,82476,'Inflicts 212 - 393 magic damage on target',100,2,6),
(197578,82476,'Cannot be modified except by direct means',100,2,7),
(197579,10082476,'When Equipped:',100,0,0),
(197580,10082476,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197581,10082476,'Inflicts 275 - 511 magic damage on target',100,2,2),
(197582,10082476,'Cannot be modified except by direct means',100,2,3),
(197583,187438,'Applies Curse of the Living Dead when Activated.  Lasts for 1 minute.',100,0,0),
(197584,187438,'Inflicts 294 - 359 disease damage on target',100,1,1),
(197585,187438,'Inflicts 163 - 199 disease damage on target every 6 seconds',100,1,2),
(197586,187438,'The casting time of Curse of the Living Dead is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(197587,10187438,'Applies Curse of the Living Dead when Activated.  Lasts for 1 minute.',100,0,0),
(197588,10187438,'Inflicts 382 - 467 disease damage on target',100,1,1),
(197589,10187438,'Inflicts 212 - 259 disease damage on target every 6 seconds',100,1,2),
(197590,10187438,'The casting time of Curse of the Living Dead is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(197591,100977,'Increases INT of target by 17.0',100,1,0),
(197592,100977,'Increases Attack Speed of target by 18.3',100,1,1),
(197593,100977,'Decreases Defense and Parry of target by 4.9',100,1,2),
(197594,100977,'Increases Slashing, Piercing and Crushing of target by 3.3',100,1,3),
(197595,10100977,'Increases INT of target by 17.0',100,1,0),
(197596,10100977,'Increases Attack Speed of target by 18.3',100,1,1),
(197597,10100977,'Decreases Defense and Parry of target by 4.9',100,1,2),
(197598,10100977,'Increases Slashing, Piercing and Crushing of target by 3.3',100,1,3),
(197599,81043,'When Equipped:',100,0,0),
(197600,81043,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197601,81043,'Inflicts 226 - 419 magic damage on target',100,2,2),
(197602,81043,'Cannot be modified except by direct means',100,2,3),
(197603,10081043,'When Equipped:',100,0,0),
(197604,10081043,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197605,10081043,'Inflicts 293 - 545 magic damage on target',100,2,2),
(197606,10081043,'Cannot be modified except by direct means',100,2,3),
(197607,83484,'When Equipped:',100,0,0),
(197608,83484,'On a combat hit this spell may cast Bone Break on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197609,83484,'Inflicts 120 - 146 crushing damage on target',100,2,2),
(197610,83484,'Cannot be modified except by direct means',100,2,3),
(197611,10083484,'When Equipped:',100,0,0),
(197612,10083484,'On a combat hit this spell may cast Bone Break on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197613,10083484,'Inflicts 155 - 190 crushing damage on target',100,2,2),
(197614,10083484,'Cannot be modified except by direct means',100,2,3),
(197615,123719,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(197616,123719,'Inflicts 551 divine damage on target',100,2,1),
(197617,123719,'Grants a total of 5 triggers of the spell.',100,2,2),
(197618,10123719,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(197619,10123719,'Inflicts 717 divine damage on target',100,2,1),
(197620,10123719,'Grants a total of 5 triggers of the spell.',100,2,2),
(197621,105060,'Inflicts 61 - 91 magic damage on target',100,1,0),
(197622,10105060,'Inflicts 79 - 118 magic damage on target',100,1,0),
(197623,102495,'Inflicts 534 - 891 crushing damage on target',100,1,0),
(197624,102495,'Prevents target from changing direction while active.',100,1,1),
(197625,102495,'If Target is not Epic',100,2,2),
(197626,102495,'Roots target',100,1,3),
(197627,102495,'If Target is not Epic',100,2,4),
(197628,102495,'Resistibility increases against targets higher than level 93.',100,1,5),
(197629,10102495,'Inflicts 695 - 1158 crushing damage on target',100,1,0),
(197630,10102495,'Prevents target from changing direction while active.',100,1,1),
(197631,10102495,'If Target is not Epic',100,2,2),
(197632,10102495,'Roots target',100,1,3),
(197633,10102495,'If Target is not Epic',100,2,4),
(197634,10102495,'Resistibility increases against targets higher than level 93.',100,1,5),
(197635,35996,'Increases STR of target by 1.5',100,0,0),
(197636,35996,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(197637,77423,'Applies Fire Ball when Activated.',100,0,0),
(197638,77423,'Inflicts 341 - 568 heat damage on target',100,1,1),
(197639,77423,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(197640,10077423,'Applies Fire Ball when Activated.',100,0,0),
(197641,10077423,'Inflicts 443 - 739 heat damage on target',100,1,1),
(197642,10077423,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(197643,103825,'Increases Ability Casting Speed of raid and group members (AE) by 4.5%',100,1,0),
(197644,103825,'Increases Attack Speed of raid and group members (AE) by 11.3',100,1,1),
(197645,10103825,'Increases Ability Casting Speed of raid and group members (AE) by 4.5%',100,1,0),
(197646,10103825,'Increases Attack Speed of raid and group members (AE) by 11.3',100,1,1),
(197647,103792,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 14.6',100,1,0),
(197648,10103792,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 14.6',100,1,0),
(197649,106421,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(197650,106421,'Inflicts 564 - 689 mental damage on target',100,2,1),
(197651,106421,'Grants a total of 3 triggers of the spell.',100,2,2),
(197652,10106421,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(197653,10106421,'Inflicts 733 - 895 mental damage on target',100,2,1),
(197654,10106421,'Grants a total of 3 triggers of the spell.',100,2,2),
(197655,48034,'Applies Shifting Root when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(197656,48034,'Grants invisibility to caster',100,1,1),
(197657,48034,'Suspends caster''s movement speed enhancements',100,1,2),
(197658,48034,'Dispelled when target receives hostile action',100,1,3),
(197659,48034,'Dispelled when target takes damage',100,1,4),
(197660,10048034,'Applies Shifting Root when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(197661,10048034,'Grants invisibility to caster',100,1,1),
(197662,10048034,'Suspends caster''s movement speed enhancements',100,1,2),
(197663,10048034,'Dispelled when target receives hostile action',100,1,3),
(197664,10048034,'Dispelled when target takes damage',100,1,4),
(197665,35274,'Increases AGI of target by 1.5',100,0,0),
(197666,35274,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(197667,136687,'When Equipped:',100,0,0),
(197668,136687,'On a damage spell hit this spell may cast Thule''s Temper on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(197669,136687,'Decreases Threat to target by 300 ',100,2,2),
(197670,136687,'Inflicts 415 mental damage on target',100,2,3),
(197671,136687,'Cannot be modified except by direct means',100,2,4),
(197672,10136687,'When Equipped:',100,0,0),
(197673,10136687,'On a damage spell hit this spell may cast Thule''s Temper on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(197674,10136687,'Inflicts 539 mental damage on target',100,2,2),
(197675,10136687,'Cannot be modified except by direct means',100,2,3),
(197676,123518,'Decreases Mitigation of target encounter vs noxious damage by 981',100,1,0),
(197677,10123518,'Decreases Mitigation of target encounter vs noxious damage by 981',100,1,0),
(197678,35343,'Increases Max Health of target by 3.9',100,0,0),
(197679,35343,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(197680,87189,'When Equipped:',100,0,0),
(197681,87189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197682,87189,'Inflicts 111 - 166 magic damage on target',100,2,2),
(197683,87189,'Cannot be modified except by direct means',100,2,3),
(197684,10087189,'When Equipped:',100,0,0),
(197685,10087189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197686,10087189,'Inflicts 144 - 216 magic damage on target',100,2,2),
(197687,10087189,'Cannot be modified except by direct means',100,2,3),
(197688,35131,'Increases WIS and STA of target by 1.1',100,0,0),
(197689,35131,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(197690,103485,'Increases In-Combat Power Regeneration of group members (AE) by 31.8',100,1,0),
(197691,10103485,'Increases In-Combat Power Regeneration of group members (AE) by 31.8',100,1,0),
(197692,123533,'Inflicts 58 - 86 piercing damage on target instantly and every 4 seconds',100,1,0),
(197693,123533,'Decreases Defense of target by 11.6',100,1,1),
(197694,10123533,'Inflicts 105 - 157 piercing damage on target',100,1,0),
(197695,10123533,'Inflicts 75 - 112 piercing damage on target every 4 seconds',100,1,1),
(197696,10123533,'Decreases Defense of target by 11.6',100,1,2),
(197697,102116,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(197698,102116,'Throws target back',100,2,1),
(197699,102116,'Stuns target',100,2,2),
(197700,102116,'Blurs vision of target',100,2,3),
(197701,102116,'Does not affect Epic targets',100,2,4),
(197702,102116,'Inflicts 410 - 683 crushing damage on target',100,1,5),
(197703,10102116,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(197704,10102116,'Throws target back',100,2,1),
(197705,10102116,'Stuns target',100,2,2),
(197706,10102116,'Blurs vision of target',100,2,3),
(197707,10102116,'Does not affect Epic targets',100,2,4),
(197708,10102116,'Inflicts 533 - 889 crushing damage on target',100,1,5),
(197709,138349,'Applies Heroic Resistance X when Equipped.',100,0,0),
(197710,138349,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(197711,138349,'Cannot be modified except by direct means',100,1,2),
(197712,138349,'When Equipped:',100,0,3),
(197713,138349,'Increases poison trigger chance by 4.0%',100,1,4),
(197714,10138349,'Applies Heroic Resistance X when Equipped.',100,0,0),
(197715,10138349,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(197716,10138349,'Cannot be modified except by direct means',100,1,2),
(197717,10138349,'When Equipped:',100,0,3),
(197718,10138349,'Increases poison trigger chance by 4.0%',100,1,4),
(197719,102205,'Increases Mitigation of group members (AE) vs physical damage by 1062',100,1,0),
(197720,10102205,'Increases Mitigation of group members (AE) vs physical damage by 1062',100,1,0),
(197721,48496,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(197722,48496,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(197723,48496,'Inflicts 27 poison damage on target',100,2,2),
(197724,48496,'Inflicts 72 poison damage on target instantly and every 6 seconds',100,2,3),
(197725,48496,'Cannot be modified except by direct means',100,2,4),
(197726,48496,'Grants a total of 200 triggers of the spell.',100,2,5),
(197727,10048496,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(197728,10048496,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(197729,10048496,'Inflicts 27 poison damage on target',100,2,2),
(197730,10048496,'Inflicts 70 poison damage on target instantly and every 6 seconds',100,2,3),
(197731,10048496,'Cannot be modified except by direct means',100,2,4),
(197732,10048496,'Grants a total of 200 triggers of the spell.',100,2,5),
(197733,36879,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(197734,112745,'Interrupts target',100,1,0),
(197735,112745,'Inflicts 9 - 15 divine damage on target',100,1,1),
(197736,10112745,'Interrupts target',100,1,0),
(197737,10112745,'Inflicts 12 - 20 divine damage on target',100,1,1),
(197738,157356,'When Equipped:',100,0,0),
(197739,157356,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(197740,157356,'On any combat or spell hit this spell may cast Burst Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(197741,157356,'Increases Potency of caster by 3.0%',100,2,3),
(197742,157356,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,4),
(197743,157356,'Caster has a 9.0% chance of having one of their spell weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,5),
(197744,157356,'Must not be engaged in pvp combat',100,2,6),
(197745,157356,'Cannot be modified except by direct means',100,2,7),
(197746,157356,'Cannot be modified except by direct means',100,1,8),
(197747,10157356,'When Equipped:',100,0,0),
(197748,10157356,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(197749,10157356,'On any combat or spell hit this spell may cast Burst Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(197750,10157356,'Increases Potency of caster by 3.0%',100,2,3),
(197751,10157356,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,4),
(197752,10157356,'Caster has a 9.0% chance of having one of their spell weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,5),
(197753,10157356,'Must not be engaged in pvp combat',100,2,6),
(197754,10157356,'Cannot be modified except by direct means',100,2,7),
(197755,10157356,'Cannot be modified except by direct means',100,1,8),
(197756,119095,'Summons a companion pet baby dragon',100,1,0),
(197757,10119095,'Summons a companion pet baby dragon',100,1,0),
(197758,171190,'When Equipped:',100,0,0),
(197759,171190,'On a damage spell hit this spell may cast Fiery Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(197760,171190,'Inflicts 630 heat damage on target',100,2,2),
(197761,171190,'Cannot be modified except by direct means',100,2,3),
(197762,171190,'Cannot be modified except by direct means',100,1,4),
(197763,10171190,'When Equipped:',100,0,0),
(197764,10171190,'On a damage spell hit this spell may cast Fiery Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(197765,10171190,'Inflicts 819 heat damage on target',100,2,2),
(197766,10171190,'Cannot be modified except by direct means',100,2,3),
(197767,10171190,'Cannot be modified except by direct means',100,1,4),
(197768,115291,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(197769,115291,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(197770,115291,'Inflicts 563 - 688 poison damage on target',100,3,2),
(197771,115291,'Grants a total of 1 trigger of the spell.',100,3,3),
(197772,10115291,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(197773,10115291,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(197774,10115291,'Inflicts 732 - 894 poison damage on target',100,3,2),
(197775,10115291,'Grants a total of 1 trigger of the spell.',100,3,3),
(197776,71739,'When Equipped:',100,0,0),
(197777,71739,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197778,71739,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(197779,71739,'Cannot be modified except by direct means',100,2,3),
(197780,10071739,'When Equipped:',100,0,0),
(197781,10071739,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197782,10071739,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(197783,10071739,'Cannot be modified except by direct means',100,2,3),
(197784,47578,'Applies Deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(197785,47578,'Increases AGI of caster by 31.0',100,1,1),
(197786,10047578,'Applies Deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(197787,10047578,'Increases AGI of caster by 31.0',100,1,1),
(197788,159798,'Applies Sanguine Imbued when Equipped.',100,0,0),
(197789,159798,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(197790,159798,'Inflicts 83 heat damage on target',100,2,2),
(197791,159798,'Cannot be modified except by direct means',100,2,3),
(197792,10159798,'Applies Sanguine Imbued when Equipped.',100,0,0),
(197793,10159798,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(197794,10159798,'Inflicts 108 heat damage on target',100,2,2),
(197795,10159798,'Cannot be modified except by direct means',100,2,3),
(197796,166529,'Applies Rising Brutality VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(197797,166529,'Applies Invigorated Haste VIII on termination.  Lasts for 30.0 seconds.',100,1,1),
(197798,166529,'Increases Attack Speed of caster by 90.0',100,2,2),
(197799,166529,'Must not be engaged in pvp combat',100,2,3),
(197800,166529,'Cannot be modified except by direct means',100,2,4),
(197801,166529,'Increases the Damage Per Second of the caster over time.',100,1,5),
(197802,166529,'Must not be engaged in pvp combat',100,1,6),
(197803,166529,'Cannot be modified except by direct means',100,1,7),
(197804,166529,'The reuse time of Rising Brutality VIII is 10 minutes',100,1,8),
(197805,10166529,'Applies Rising Brutality VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(197806,10166529,'Applies Invigorated Haste VIII on termination.  Lasts for 30.0 seconds.',100,1,1),
(197807,10166529,'Increases Attack Speed of caster by 90.0',100,2,2),
(197808,10166529,'Must not be engaged in pvp combat',100,2,3),
(197809,10166529,'Cannot be modified except by direct means',100,2,4),
(197810,10166529,'Increases the Damage Per Second of the caster over time.',100,1,5),
(197811,10166529,'Must not be engaged in pvp combat',100,1,6),
(197812,10166529,'Cannot be modified except by direct means',100,1,7),
(197813,10166529,'The reuse time of Rising Brutality VIII is 10 minutes',100,1,8),
(197814,100917,'Stuns targets in Area of Effect',20,1,0),
(197815,100917,'If Target is not Epic',100,2,1),
(197816,100917,'Inflicts 365 - 609 divine damage on targets in Area of Effect',100,1,2),
(197817,100917,'Resistibility increases against targets higher than level 99.',100,1,3),
(197818,10100917,'Stuns targets in Area of Effect',20,1,0),
(197819,10100917,'If Target is not Epic',100,2,1),
(197820,10100917,'Inflicts 475 - 791 divine damage on targets in Area of Effect',100,1,2),
(197821,10100917,'Resistibility increases against targets higher than level 99.',100,1,3),
(197822,43507,'When Equipped:',100,0,0),
(197823,43507,'On a ranged hit this spell may cast Wind Scar on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197824,43507,'Inflicts 554 piercing damage on target',100,2,2),
(197825,43507,'Cannot be modified except by direct means',100,2,3),
(197826,10043507,'When Equipped:',100,0,0),
(197827,10043507,'On a ranged hit this spell may cast Wind Scar on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197828,10043507,'Inflicts 720 piercing damage on target',100,2,2),
(197829,10043507,'Cannot be modified except by direct means',100,2,3),
(197830,114602,'Summon 1 Dark Heart (Apprentice)',100,1,0),
(197831,114602,'Must not be engaged in combat',100,1,1),
(197832,10114602,'Summon 1 Dark Heart (Apprentice)',100,1,0),
(197833,10114602,'Must not be engaged in combat',100,1,1),
(197834,47177,'Applies Elixir of Enlightenment  when Activated.  Lasts for 30 minutes.',100,0,0),
(197835,47177,'Increases WIS and INT of caster by 6.7',100,1,1),
(197836,10047177,'Applies Elixir of Enlightenment  when Activated.  Lasts for 30 minutes.',100,0,0),
(197837,10047177,'Increases WIS and INT of caster by 6.7',100,1,1),
(197838,144668,'When Equipped:',100,0,0),
(197839,144668,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197840,144668,'Decreases power of target by 207',100,2,2),
(197841,144668,'Increases power of caster by 138',100,2,3),
(197842,144668,'Cannot be modified except by direct means',100,2,4),
(197843,10144668,'When Equipped:',100,0,0),
(197844,10144668,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197845,10144668,'Decreases power of target by 207',100,2,2),
(197846,10144668,'Increases power of caster by 138',100,2,3),
(197847,10144668,'Cannot be modified except by direct means',100,2,4),
(197848,45782,'Applies Condensed Toughness when Activated.  Lasts for 30 minutes.',100,0,0),
(197849,45782,'Increases Toughness of caster by 250.0',100,1,1),
(197850,10045782,'Applies Condensed Toughness when Activated.  Lasts for 30 minutes.',100,0,0),
(197851,10045782,'Increases Toughness of caster by 250.0',100,1,1),
(197852,88671,'When Equipped:',100,0,0),
(197853,88671,'On a combat hit this spell may cast Cold Swelter on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197854,88671,'Inflicts 766 - 936 cold damage on target',100,2,2),
(197855,88671,'Inflicts 766 - 936 heat damage on target',100,2,3),
(197856,88671,'Cannot be modified except by direct means',100,2,4),
(197857,10088671,'When Equipped:',100,0,0),
(197858,10088671,'On a combat hit this spell may cast Cold Swelter on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197859,10088671,'Inflicts 996 - 1217 cold damage on target',100,2,2),
(197860,10088671,'Inflicts 996 - 1217 heat damage on target',100,2,3),
(197861,10088671,'Cannot be modified except by direct means',100,2,4),
(197862,104418,'Inflicts 457 - 559 mental damage on target encounter instantly and every second',100,1,0),
(197863,104418,'Stifles target encounter',100,1,1),
(197864,104418,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(197865,104418,'Resistibility increases against targets higher than level 109.',100,1,3),
(197866,10104418,'Inflicts 553 - 676 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(197867,10104418,'Stifles target encounter',100,1,1),
(197868,10104418,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(197869,10104418,'Resistibility increases against targets higher than level 109.',100,1,3),
(197870,124733,'Heals group members (AE) for 1154 - 1411',100,1,0),
(197871,10124733,'Heals group members (AE) for 1400 - 1712',100,1,0),
(197872,116801,'Increases STR, AGI, WIS and INT of target by 85.4',100,1,0),
(197873,116801,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(197874,116801,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(197875,116801,'Increases Damage Per Second of target by 59.4',100,2,3),
(197876,116801,'Increases Attack Speed of target by 59.4',100,2,4),
(197877,116801,'Adds 2.6% to base avoidance.',100,1,5),
(197878,116801,'Increases Mitigation of target vs elemental, noxious and arcane damage by 250',100,1,6),
(197879,10116801,'Increases STR, AGI, WIS and INT of target by 85.4',100,1,0),
(197880,10116801,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(197881,10116801,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(197882,10116801,'Increases Damage Per Second of target by 59.4',100,2,3),
(197883,10116801,'Increases Attack Speed of target by 59.4',100,2,4),
(197884,10116801,'Adds 2.6% to base avoidance.',100,1,5),
(197885,10116801,'Increases Mitigation of target vs elemental, noxious and arcane damage by 250',100,1,6),
(197886,123767,'Decreases Mitigation of target vs noxious damage by 814',100,1,0),
(197887,123767,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(197888,123767,'Slows target by 41.1%',100,2,2),
(197889,123767,'5% chance to dispel when target receives hostile action',100,2,3),
(197890,123767,'5% chance to dispel when target takes damage',100,2,4),
(197891,10123767,'Decreases Mitigation of target vs noxious damage by 814',100,1,0),
(197892,10123767,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(197893,10123767,'Slows target by 41.1%',100,2,2),
(197894,10123767,'5% chance to dispel when target receives hostile action',100,2,3),
(197895,10123767,'5% chance to dispel when target takes damage',100,2,4),
(197896,159339,'When Equipped:',100,0,0),
(197897,159339,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197898,159339,'Increases STR of caster by 11.9',100,2,2),
(197899,159339,'Increases Damage Per Second of caster by 17.0',100,2,3),
(197900,159339,'Cannot be modified except by direct means',100,2,4),
(197901,10159339,'When Equipped:',100,0,0),
(197902,10159339,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197903,10159339,'Increases STR of caster by 11.9',100,2,2),
(197904,10159339,'Increases Damage Per Second of caster by 17.0',100,2,3),
(197905,10159339,'Cannot be modified except by direct means',100,2,4),
(197906,111801,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(197907,111801,'Wipes most of the target''s memory of aggression',100,2,1),
(197908,111801,'Summons 6 limited pets to aid the caster',100,1,2),
(197909,10111801,'Applies Distract on termination.',100,1,0),
(197910,10111801,'Forces target to clear their selected target.',100,2,1),
(197911,10111801,'Summons 6 limited pets to aid the caster',100,1,2),
(197912,80414,'When Equipped:',100,0,0),
(197913,80414,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197914,80414,'Inflicts 60 - 112 magic damage on target',100,2,2),
(197915,80414,'Cannot be modified except by direct means',100,2,3),
(197916,10080414,'When Equipped:',100,0,0),
(197917,10080414,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197918,10080414,'Inflicts 78 - 145 magic damage on target',100,2,2),
(197919,10080414,'Cannot be modified except by direct means',100,2,3),
(197920,26147,'When Equipped:',100,0,0),
(197921,26147,'Increases Multi Attack Chance of caster by 4.0',100,1,1),
(197922,10026147,'When Equipped:',100,0,0),
(197923,10026147,'Increases Multi Attack Chance of caster by 4.0',100,1,1),
(197924,81008,'When Equipped:',100,0,0),
(197925,81008,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197926,81008,'Decreases Threat to target by 517 ',100,2,2),
(197927,81008,'Must be flanking or behind',100,3,3),
(197928,81008,'Increases Threat to target by 517 ',100,2,4),
(197929,81008,'Must be in front of',100,3,5),
(197930,81008,'Inflicts 226 - 419 magic damage on target',100,2,6),
(197931,81008,'Cannot be modified except by direct means',100,2,7),
(197932,10081008,'When Equipped:',100,0,0),
(197933,10081008,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(197934,10081008,'Inflicts 293 - 545 magic damage on target',100,2,2),
(197935,10081008,'Cannot be modified except by direct means',100,2,3),
(197936,46346,'Applies Flame Root when Activated.',100,0,0),
(197937,46346,'Inflicts 50 - 75 heat damage on target',100,1,1),
(197938,10046346,'Applies Flame Root when Activated.',100,0,0),
(197939,10046346,'Inflicts 65 - 98 heat damage on target',100,1,1),
(197940,71950,'When Equipped:',100,0,0),
(197941,71950,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197942,71950,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(197943,71950,'Cannot be modified except by direct means',100,2,3),
(197944,10071950,'When Equipped:',100,0,0),
(197945,10071950,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(197946,10071950,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(197947,10071950,'Cannot be modified except by direct means',100,2,3),
(197948,120439,'Inflicts 354 - 590 melee damage on target',100,1,0),
(197949,120439,'Inflicts 354 - 590 melee damage on target',100,1,1),
(197950,10120439,'Inflicts 460 - 768 melee damage on target',100,1,0),
(197951,10120439,'Inflicts 460 - 768 melee damage on target',100,1,1),
(197952,124008,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(197953,124008,'Heals target for 81 - 99',100,2,1),
(197954,124008,'Grants a total of 5 triggers of the spell.',100,2,2),
(197955,10124008,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(197956,10124008,'Heals target for 53 - 65',100,2,1),
(197957,10124008,'Grants a total of 5 triggers of the spell.',100,2,2),
(197958,102429,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(197959,102429,'Heals target for 57 - 69',100,2,1),
(197960,102429,'Grants a total of 5 triggers of the spell.',100,2,2),
(197961,10102429,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(197962,10102429,'Heals target for 37 - 45',100,2,1),
(197963,10102429,'Grants a total of 5 triggers of the spell.',100,2,2),
(197964,46833,'Applies Summon Decorated Carpet when Activated.',100,0,0),
(197965,46833,'Reduces maximum falling speed of caster',100,1,1),
(197966,46833,'Increases Subjugation of caster by 5.0',100,1,2),
(197967,46833,'Summons a mount to ride',100,1,3),
(197968,46833,'Increases your ground speed by 130%',100,2,4),
(197969,46833,'Increases Focus, Ordination, Ministration and Disruption of caster by 5.0',100,1,5),
(197970,10046833,'Applies Summon Decorated Carpet when Activated.',100,0,0),
(197971,10046833,'Reduces maximum falling speed of caster',100,1,1),
(197972,10046833,'Increases Subjugation of caster by 5.0',100,1,2),
(197973,10046833,'Summons a mount to ride',100,1,3),
(197974,10046833,'Increases your ground speed by 130%',100,2,4),
(197975,10046833,'Increases Focus, Ordination, Ministration and Disruption of caster by 5.0',100,1,5),
(197976,40619,'When Equipped:',100,0,0),
(197977,40619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197978,40619,'Inflicts 56 - 84 magic damage on target',100,2,2),
(197979,40619,'Cannot be modified except by direct means',100,2,3),
(197980,10040619,'When Equipped:',100,0,0),
(197981,10040619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197982,10040619,'Inflicts 73 - 110 magic damage on target',100,2,2),
(197983,10040619,'Cannot be modified except by direct means',100,2,3),
(197984,87285,'When Equipped:',100,0,0),
(197985,87285,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197986,87285,'Inflicts 111 - 166 magic damage on target',100,2,2),
(197987,87285,'Cannot be modified except by direct means',100,2,3),
(197988,10087285,'When Equipped:',100,0,0),
(197989,10087285,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(197990,10087285,'Inflicts 144 - 216 magic damage on target',100,2,2),
(197991,10087285,'Cannot be modified except by direct means',100,2,3),
(197992,47885,'Applies Leash when Activated.',100,0,0),
(197993,10047885,'Applies Leash when Activated.',100,0,0),
(197994,175261,'When Equipped:',100,0,0),
(197995,175261,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(197996,175261,'On a healing spell cast this spell may cast Steady Pulse IV on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(197997,175261,'Heals target for 15 - 17 instantly and every 2 seconds',100,2,3),
(197998,175261,'Must not be engaged in pvp combat',100,2,4),
(197999,175261,'Cannot be modified except by direct means',100,2,5),
(198000,175261,'Cannot be modified except by direct means',100,1,6),
(198001,175261,'When Equipped:',100,0,7),
(198002,175261,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(198003,175261,'Increases STR, AGI, WIS and INT of caster by 50.0',100,1,9),
(198004,175261,'Increases Potency of caster by 3.5%',100,1,10),
(198005,175261,'Cannot be modified except by direct means',100,1,11),
(198006,10175261,'When Equipped:',100,0,0),
(198007,10175261,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(198008,10175261,'On a healing spell cast this spell may cast Steady Pulse IV on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(198009,10175261,'Heals target for 10 - 11 instantly and every 2 seconds',100,2,3),
(198010,10175261,'Must not be engaged in pvp combat',100,2,4),
(198011,10175261,'Cannot be modified except by direct means',100,2,5),
(198012,10175261,'Cannot be modified except by direct means',100,1,6),
(198013,10175261,'When Equipped:',100,0,7),
(198014,10175261,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(198015,10175261,'Increases STR, AGI, WIS and INT of caster by 50.0',100,1,9),
(198016,10175261,'Increases Potency of caster by 3.5%',100,1,10),
(198017,10175261,'Cannot be modified except by direct means',100,1,11),
(198018,111787,'Shapechanges caster',100,1,0),
(198019,111787,'If female',100,2,1),
(198020,111787,'Shapechanges caster',100,1,2),
(198021,111787,'If male',100,2,3),
(198022,111787,'Shrinks caster by 18.0%',100,1,4),
(198023,111787,'This effect cannot be cast during combat',100,1,5),
(198024,10111787,'Shapechanges caster',100,1,0),
(198025,10111787,'If female',100,2,1),
(198026,10111787,'Shapechanges caster',100,1,2),
(198027,10111787,'If male',100,2,3),
(198028,10111787,'Shrinks caster by 18.0%',100,1,4),
(198029,10111787,'This effect cannot be cast during combat',100,1,5),
(198030,114266,'Heals target for 24 - 29',100,1,0),
(198031,10114266,'Heals target for 28 - 34',100,1,0),
(198032,101856,'Stuns target',100,1,0),
(198033,101856,'Does not affect Epic targets',100,1,1),
(198034,101856,'Resistibility increases against targets higher than level 68.',100,1,2),
(198035,10101856,'Stuns target',100,1,0),
(198036,10101856,'Does not affect Epic targets',100,1,1),
(198037,10101856,'Resistibility increases against targets higher than level 68.',100,1,2),
(198038,177491,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(198039,177491,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(198040,177491,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(198041,177491,'Cannot be modified except by direct means',100,2,3),
(198042,10177491,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(198043,10177491,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(198044,10177491,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(198045,10177491,'Cannot be modified except by direct means',100,2,3),
(198046,108326,'Inflicts 257 - 429 divine damage on target',100,1,0),
(198047,108326,'Heals caster for 1.1% of max health',100,1,1),
(198048,108326,'This effect cannot be critically applied.',100,2,2),
(198049,108326,'The healing of this spell cannot be modified except by direct means',100,1,3),
(198050,10108326,'Inflicts 335 - 558 divine damage on target',100,1,0),
(198051,10108326,'Heals caster for 0.6% of max health',100,1,1),
(198052,10108326,'This effect cannot be critically applied.',100,2,2),
(198053,10108326,'The healing of this spell cannot be modified except by direct means',100,1,3),
(198054,113665,'Inflicts 768 - 939 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(198055,113665,'Decreases power of target encounter by 128 - 156 instantly and every 5 seconds',100,1,1),
(198056,113665,'Heals group members (AE) for 541 - 661 instantly and every 5 seconds',100,1,2),
(198057,113665,'Increases power of group members (AE) by 90 - 110 instantly and every 5 seconds',100,1,3),
(198058,10113665,'Inflicts 999 - 1221 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(198059,10113665,'Decreases power of target encounter by 128 - 156 instantly and every 5 seconds',100,1,1),
(198060,10113665,'Heals group members (AE) for 632 - 773 instantly and every 5 seconds',100,1,2),
(198061,10113665,'Increases power of group members (AE) by 90 - 110 instantly and every 5 seconds',100,1,3),
(198062,77413,'Applies Fire Ball when Activated.',100,0,0),
(198063,77413,'Inflicts 370 - 616 heat damage on target',100,1,1),
(198064,77413,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(198065,10077413,'Applies Fire Ball when Activated.',100,0,0),
(198066,10077413,'Inflicts 481 - 801 heat damage on target',100,1,1),
(198067,10077413,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(198068,24186,'Adds Crushbone: Gilded Teir''Dal Table to your Dungeon Maker toolbox',100,0,0),
(198069,10024186,'Adds Crushbone: Gilded Teir''Dal Table to your Dungeon Maker toolbox',100,0,0),
(198070,47505,'Applies Petamorph: Frigid Icemaw when Activated.  Lasts for 2 hours.',100,0,0),
(198071,47505,'Turns the caster''s combat pet into a frigid icemaw. Does not work on cosmetic pets.',100,1,1),
(198072,10047505,'Applies Petamorph: Frigid Icemaw when Activated.  Lasts for 2 hours.',100,0,0),
(198073,10047505,'Turns the caster''s combat pet into a frigid icemaw. Does not work on cosmetic pets.',100,1,1),
(198074,132131,'When Equipped:',100,0,0),
(198075,132131,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(198076,10132131,'When Equipped:',100,0,0),
(198077,10132131,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(198078,36733,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(198079,147132,'When Equipped:',100,0,0),
(198080,147132,'This effect will not stack with any rank or tier of itself.',100,1,1),
(198081,147132,'Increases Attack Speed of caster by 11.0',100,1,2),
(198082,147132,'Cannot be modified except by direct means',100,1,3),
(198083,10147132,'When Equipped:',100,0,0),
(198084,10147132,'This effect will not stack with any rank or tier of itself.',100,1,1),
(198085,10147132,'Increases Attack Speed of caster by 11.0',100,1,2),
(198086,10147132,'Cannot be modified except by direct means',100,1,3),
(198087,101833,'Summons a limited pet to aid the caster',100,1,0),
(198088,10101833,'Summons a limited pet to aid the caster',100,1,0),
(198089,112238,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(198090,112238,'Inflicts 69 disease damage on target',100,2,1),
(198091,112238,'Increases Threat to target by 112 ',100,2,2),
(198092,112238,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,3),
(198093,10112238,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(198094,10112238,'Inflicts 90 disease damage on target',100,2,1),
(198095,10112238,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,2),
(198096,123041,'Summons a pet undead knight',100,1,0),
(198097,10123041,'Summons a pet undead knight',100,1,0),
(198098,41435,'When Equipped:',100,0,0),
(198099,41435,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198100,41435,'Inflicts 226 - 419 magic damage on target',100,2,2),
(198101,41435,'Cannot be modified except by direct means',100,2,3),
(198102,10041435,'When Equipped:',100,0,0),
(198103,10041435,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198104,10041435,'Inflicts 293 - 545 magic damage on target',100,2,2),
(198105,10041435,'Cannot be modified except by direct means',100,2,3),
(198106,100611,'Inflicts 981 - 1635 melee damage on target',100,1,0),
(198107,100611,'You must be sneaking to use this ability.',100,1,1),
(198108,10100611,'Inflicts 1523 - 2539 melee damage on target',100,1,0),
(198109,10100611,'You must be sneaking to use this ability.',100,1,1),
(198110,25591,'When Equipped:',100,0,0),
(198111,25591,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(198112,25591,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(198113,10025591,'When Equipped:',100,0,0),
(198114,10025591,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(198115,10025591,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(198116,135387,'When Equipped:',100,0,0),
(198117,135387,'On a combat hit this spell may cast Stone Feet on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(198118,135387,'Roots target',100,2,2),
(198119,135387,'15% chance to dispel when target takes damage',100,2,3),
(198120,135387,'Only affects targets level 70 and below',100,2,4),
(198121,135387,'Does not affect Epic targets',100,2,5),
(198122,135387,'Resistibility increases against targets higher than level 94.',100,2,6),
(198123,135387,'Cannot be modified except by direct means',100,2,7),
(198124,10135387,'When Equipped:',100,0,0),
(198125,10135387,'On a combat hit this spell may cast Stone Feet on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(198126,10135387,'Roots target',100,2,2),
(198127,10135387,'15% chance to dispel when target takes damage',100,2,3),
(198128,10135387,'Only affects targets level 70 and below',100,2,4),
(198129,10135387,'Does not affect Epic targets',100,2,5),
(198130,10135387,'Resistibility increases against targets higher than level 94.',100,2,6),
(198131,10135387,'Cannot be modified except by direct means',100,2,7),
(198132,124279,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(198133,124279,'Increases Attack Speed of target by 27.1',100,2,1),
(198134,124279,'Increases Damage Per Second of target by 27.1',100,2,2),
(198135,124279,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(198136,124279,'Increases Attack Speed of target by 27.1',100,2,4),
(198137,124279,'Increases Damage Per Second of target by 27.1',100,2,5),
(198138,124279,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(198139,124279,'Increases Attack Speed of target by 27.1',100,2,7),
(198140,124279,'Increases Damage Per Second of target by 27.1',100,2,8),
(198141,10124279,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(198142,10124279,'Increases Attack Speed of target by 27.1',100,2,1),
(198143,10124279,'Increases Damage Per Second of target by 27.1',100,2,2),
(198144,10124279,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(198145,10124279,'Increases Attack Speed of target by 27.1',100,2,4),
(198146,10124279,'Increases Damage Per Second of target by 27.1',100,2,5),
(198147,10124279,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(198148,10124279,'Increases Attack Speed of target by 27.1',100,2,7),
(198149,10124279,'Increases Damage Per Second of target by 27.1',100,2,8),
(198150,25001,'When Equipped:',100,0,0),
(198151,25001,'Increases Multi Attack Chance of caster by 3.0',100,1,1),
(198152,10025001,'When Equipped:',100,0,0),
(198153,10025001,'Increases Multi Attack Chance of caster by 3.0',100,1,1),
(198154,164305,'When Equipped:',100,0,0),
(198155,164305,'Caster will have their chance to hit with a weapon increased by 2.6%',100,1,1),
(198156,164305,'Increases Ranged, Piercing, Slashing and Crushing of caster by 32.0',100,1,2),
(198157,164305,'Must not be engaged in pvp combat',100,1,3),
(198158,10164305,'When Equipped:',100,0,0),
(198159,10164305,'Caster will have their chance to hit with a weapon increased by 2.6%',100,1,1),
(198160,10164305,'Increases Ranged, Piercing, Slashing and Crushing of caster by 32.0',100,1,2),
(198161,10164305,'Must not be engaged in pvp combat',100,1,3),
(198162,159048,'When Equipped:',100,0,0),
(198163,159048,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198164,159048,'Increases INT of caster by 5.8',100,2,2),
(198165,159048,'Increases Disruption, Subjugation and Focus of caster by 3.7',100,2,3),
(198166,159048,'Cannot be modified except by direct means',100,2,4),
(198167,10159048,'When Equipped:',100,0,0),
(198168,10159048,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198169,10159048,'Increases INT of caster by 5.8',100,2,2),
(198170,10159048,'Increases Disruption, Subjugation and Focus of caster by 3.7',100,2,3),
(198171,10159048,'Cannot be modified except by direct means',100,2,4),
(198172,112984,'Reduces physical damage done to caster by 5%',100,1,0),
(198173,112984,'Increases STA of caster by 46.0',100,1,1),
(198174,112984,'Adds 3.1% to base avoidance.',100,1,2),
(198175,112984,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(198176,112984,'Increases Defense and Aggression of caster by 9.0',100,1,4),
(198177,112984,'Increases Mitigation of caster vs arcane damage by 600',100,1,5),
(198178,112984,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(198179,10112984,'Reduces physical damage done to caster by 5%',100,1,0),
(198180,10112984,'Increases STA of caster by 46.0',100,1,1),
(198181,10112984,'Adds 3.1% to base avoidance.',100,1,2),
(198182,10112984,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(198183,10112984,'Increases Defense and Aggression of caster by 9.0',100,1,4),
(198184,10112984,'Increases Mitigation of caster vs arcane damage by 600',100,1,5),
(198185,10112984,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(198186,123590,'Increases STR of group members (AE) by 97.0',100,1,0),
(198187,123590,'Increases Max Health of group members (AE) by 863.8',100,1,1),
(198188,10123590,'Increases STR of group members (AE) by 97.0',100,1,0),
(198189,10123590,'Increases Max Health of group members (AE) by 863.8',100,1,1),
(198190,120737,'Interrupts target',100,1,0),
(198191,120737,'Inflicts 1087 - 1812 melee damage on target',100,1,1),
(198192,10120737,'Interrupts target',100,1,0),
(198193,10120737,'Inflicts 1413 - 2355 melee damage on target',100,1,1),
(198194,100075,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(198195,10100075,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(198196,26728,'When Equipped:',100,0,0),
(198197,26728,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(198198,26728,'On a critical healing spell cast this spell may cast Greater Panacea I on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(198199,26728,'Heals target for 5434 - 6006',100,2,3),
(198200,26728,'Dispels 135 levels of any hostile effects on target',100,2,4),
(198201,26728,'Must not be engaged in pvp combat',100,2,5),
(198202,26728,'Cannot be modified except by direct means',100,2,6),
(198203,26728,'Must not be engaged in pvp combat',100,1,7),
(198204,10026728,'When Equipped:',100,0,0),
(198205,10026728,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(198206,10026728,'On a critical healing spell cast this spell may cast Greater Panacea I on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(198207,10026728,'Heals target for 6358 - 7027',100,2,3),
(198208,10026728,'Dispels 135 levels of any hostile effects on target',100,2,4),
(198209,10026728,'Must not be engaged in pvp combat',100,2,5),
(198210,10026728,'Cannot be modified except by direct means',100,2,6),
(198211,10026728,'Must not be engaged in pvp combat',100,1,7),
(198212,36761,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(198213,81903,'When Equipped:',100,0,0),
(198214,81903,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198215,81903,'Inflicts 260 - 482 magic damage on target',100,2,2),
(198216,81903,'Decreases Threat to target by 801 ',100,2,3),
(198217,81903,'Must be flanking or behind',100,3,4),
(198218,81903,'Increases Threat to target by 801 ',100,2,5),
(198219,81903,'Must be in front of',100,3,6),
(198220,81903,'Cannot be modified except by direct means',100,2,7),
(198221,10081903,'When Equipped:',100,0,0),
(198222,10081903,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198223,10081903,'Inflicts 337 - 627 magic damage on target',100,2,2),
(198224,10081903,'Cannot be modified except by direct means',100,2,3),
(198225,102178,'Increases Mitigation of group members (AE) vs physical damage by 198',100,1,0),
(198226,10102178,'Increases Mitigation of group members (AE) vs physical damage by 198',100,1,0),
(198227,116828,'Decreases Hate Gain of caster by 22.1%',100,1,0),
(198228,10116828,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(198229,10116828,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(198230,10116828,'This effect can only trigger once every 5 seconds.',100,2,2),
(198231,121284,'Inflicts 290 - 484 melee damage on targets in area',100,1,0),
(198232,121284,'Inflicts 88 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(198233,121284,'You must be in stealth or have Bloody Assault.',100,1,2),
(198234,10121284,'Inflicts 378 - 630 melee damage on targets in area',100,1,0),
(198235,10121284,'Inflicts 115 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(198236,10121284,'You must be in stealth or have Bloody Assault.',100,1,2),
(198237,148970,'When Equipped:',100,0,0),
(198238,148970,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198239,148970,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(198240,148970,'Cannot be modified except by direct means',100,2,3),
(198241,10148970,'When Equipped:',100,0,0),
(198242,10148970,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198243,10148970,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(198244,10148970,'Cannot be modified except by direct means',100,2,3),
(198245,47350,'Applies Apply Naptheric Paste when Activated.',100,0,0),
(198246,10047350,'Applies Apply Naptheric Paste when Activated.',100,0,0),
(198247,45811,'Applies Beam of Dark Matter when Activated.',100,0,0),
(198248,45811,'Emits a mysterious beam that might harm specific creatures of extraplanar origin, perhaps neutralizing an avatar''s curse!',100,1,1),
(198249,10045811,'Applies Beam of Dark Matter when Activated.',100,0,0),
(198250,10045811,'Emits a mysterious beam that might harm specific creatures of extraplanar origin, perhaps neutralizing an avatar''s curse!',100,1,1),
(198251,52996,'When Equipped:',100,0,0),
(198252,52996,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(198253,52996,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(198254,52996,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,3),
(198255,52996,'While active Renewing Bulwark is disabled.',100,2,4),
(198256,52996,'Cannot be modified except by direct means',100,2,5),
(198257,52996,'Wards caster against 2420 points of all damage',100,1,6),
(198258,52996,'Must not be engaged in pvp combat',100,1,7),
(198259,52996,'Cannot be modified except by direct means',100,1,8),
(198260,10052996,'When Equipped:',100,0,0),
(198261,10052996,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(198262,10052996,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(198263,10052996,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,3),
(198264,10052996,'While active Renewing Bulwark is disabled.',100,2,4),
(198265,10052996,'Cannot be modified except by direct means',100,2,5),
(198266,10052996,'Wards caster against 2420 points of all damage',100,1,6),
(198267,10052996,'Must not be engaged in pvp combat',100,1,7),
(198268,10052996,'Cannot be modified except by direct means',100,1,8),
(198269,48567,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(198270,48567,'Shrinks caster by 35.0%',100,1,1),
(198271,48567,'Enlarges caster by 50.0%',100,1,2),
(198272,10048567,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(198273,10048567,'Shrinks caster by 35.0%',100,1,1),
(198274,10048567,'Enlarges caster by 50.0%',100,1,2),
(198275,46127,'Applies Elixir of Vitality when Activated.',100,0,0),
(198276,46127,'Heals caster for 68',100,1,1),
(198277,10046127,'Applies Elixir of Vitality when Activated.',100,0,0),
(198278,10046127,'Heals caster for 44',100,1,1),
(198279,41717,'When Equipped:',100,0,0),
(198280,41717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198281,41717,'Inflicts 164 - 305 magic damage on target',100,2,2),
(198282,41717,'Cannot be modified except by direct means',100,2,3),
(198283,10041717,'When Equipped:',100,0,0),
(198284,10041717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198285,10041717,'Inflicts 213 - 396 magic damage on target',100,2,2),
(198286,10041717,'Cannot be modified except by direct means',100,2,3),
(198287,72218,'When Equipped:',100,0,0),
(198288,72218,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198289,72218,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(198290,72218,'Cannot be modified except by direct means',100,2,3),
(198291,10072218,'When Equipped:',100,0,0),
(198292,10072218,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198293,10072218,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(198294,10072218,'Cannot be modified except by direct means',100,2,3),
(198295,113467,'Increases INT of target by 103.0',100,1,0),
(198296,113467,'Increases Max Health of target by 851.8',100,1,1),
(198297,10113467,'Increases INT of target by 103.0',100,1,0),
(198298,10113467,'Increases Max Health of target by 851.8',100,1,1),
(198299,24561,'Adds Mummy (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(198300,10024561,'Adds Mummy (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(198301,24762,'Adds Wolf (Monk) to your Dungeon Maker toolbox',100,0,0),
(198302,10024762,'Adds Wolf (Monk) to your Dungeon Maker toolbox',100,0,0),
(198303,114982,'Inflicts 213 - 356 ranged damage on targets in area',100,1,0),
(198304,114982,'You must be in stealth to use this!',100,1,1),
(198305,114982,'Requires bow',100,1,2),
(198306,10114982,'Inflicts 181 - 302 ranged damage on targets in area',100,1,0),
(198307,10114982,'You must be in stealth to use this!',100,1,1),
(198308,10114982,'Requires bow',100,1,2),
(198309,81308,'When Equipped:',100,0,0),
(198310,81308,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198311,81308,'Inflicts 302 - 560 magic damage on target',100,2,2),
(198312,81308,'Decreases Threat to target by 949 ',100,2,3),
(198313,81308,'Must be flanking or behind',100,3,4),
(198314,81308,'Increases Threat to target by 949 ',100,2,5),
(198315,81308,'Must be in front of',100,3,6),
(198316,81308,'Cannot be modified except by direct means',100,2,7),
(198317,10081308,'When Equipped:',100,0,0),
(198318,10081308,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198319,10081308,'Inflicts 392 - 728 magic damage on target',100,2,2),
(198320,10081308,'Cannot be modified except by direct means',100,2,3),
(198321,118952,'Applies Sacrifice.',100,1,0),
(198322,118952,'Heals group members (AE) for 249',100,2,1),
(198323,118952,'Increases power of group members (AE) by 71',100,2,2),
(198324,118952,'Stuns target',100,1,3),
(198325,10118952,'Applies Sacrifice.',100,1,0),
(198326,10118952,'Increases power of group members (AE) by 71',100,2,1),
(198327,10118952,'Heals group members (AE) for 347',100,2,2),
(198328,10118952,'Stuns target',100,1,3),
(198329,146813,'When Equipped:',100,0,0),
(198330,146813,'On a combat hit this spell may cast Terrestrial Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198331,146813,'Inflicts 794 poison damage on target',100,2,2),
(198332,146813,'Inflicts 794 heat damage on target',100,2,3),
(198333,146813,'Increases Crit Bonus of caster by 4.0%',100,2,4),
(198334,146813,'Increases Potency of caster by 4.0%',100,2,5),
(198335,146813,'Cannot be modified except by direct means',100,2,6),
(198336,146813,'Cannot be modified except by direct means',100,1,7),
(198337,10146813,'When Equipped:',100,0,0),
(198338,10146813,'On a combat hit this spell may cast Terrestrial Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198339,10146813,'Inflicts 861 poison damage on target',100,2,2),
(198340,10146813,'Inflicts 861 heat damage on target',100,2,3),
(198341,10146813,'Increases Potency of caster by 4.0%',100,2,4),
(198342,10146813,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(198343,10146813,'Cannot be modified except by direct means',100,2,6),
(198344,10146813,'Cannot be modified except by direct means',100,1,7),
(198345,118735,'Inflicts 293 - 489 slashing damage on target',100,1,0),
(198346,118735,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(198347,118735,'Inflicts 121 - 148 slashing damage on target every 5 seconds',100,1,2),
(198348,10118735,'Inflicts 382 - 636 slashing damage on target',100,1,0),
(198349,10118735,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(198350,10118735,'Inflicts 157 - 192 slashing damage on target every 5 seconds',100,1,2),
(198351,112575,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(198352,112575,'Heals targets in Area of Effect for 124 - 152',100,2,1),
(198353,112575,'Dispels 66 levels of physical hostile effects on target',100,2,2),
(198354,10112575,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(198355,10112575,'Heals targets in Area of Effect for 81 - 99',100,2,1),
(198356,10112575,'Dispels 66 levels of physical hostile effects on target',100,2,2),
(198357,40667,'When Equipped:',100,0,0),
(198358,40667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198359,40667,'Inflicts 169 - 254 magic damage on target',100,2,2),
(198360,40667,'Cannot be modified except by direct means',100,2,3),
(198361,10040667,'When Equipped:',100,0,0),
(198362,10040667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198363,10040667,'Inflicts 220 - 330 magic damage on target',100,2,2),
(198364,10040667,'Cannot be modified except by direct means',100,2,3),
(198365,109246,'Increases INT and WIS of group members (AE) by 35.8',100,1,0),
(198366,109246,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,1),
(198367,10109246,'Increases INT and WIS of group members (AE) by 35.8',100,1,0),
(198368,10109246,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,1),
(198369,116459,'Inflicts 151 disease damage on target instantly and every 4 seconds',100,1,0),
(198370,116459,'Inflicts 151 disease damage on target instantly and every 4 seconds',100,1,1),
(198371,116459,'If target is nightblood',100,2,2),
(198372,116459,'Inflicts 151 disease damage on target instantly and every 4 seconds',100,1,3),
(198373,116459,'If target is shadowed folk',100,2,4),
(198374,10116459,'Inflicts 196 disease damage on target instantly and every 4 seconds',100,1,0),
(198375,124265,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(198376,124265,'Increases Attack Speed of target by 22.4',100,2,1),
(198377,124265,'Increases Damage Per Second of target by 22.4',100,2,2),
(198378,124265,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(198379,124265,'Increases Attack Speed of target by 22.4',100,2,4),
(198380,124265,'Increases Damage Per Second of target by 22.4',100,2,5),
(198381,124265,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(198382,124265,'Increases Attack Speed of target by 22.4',100,2,7),
(198383,124265,'Increases Damage Per Second of target by 22.4',100,2,8),
(198384,10124265,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(198385,10124265,'Increases Attack Speed of target by 22.4',100,2,1),
(198386,10124265,'Increases Damage Per Second of target by 22.4',100,2,2),
(198387,10124265,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(198388,10124265,'Increases Attack Speed of target by 22.4',100,2,4),
(198389,10124265,'Increases Damage Per Second of target by 22.4',100,2,5),
(198390,10124265,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(198391,10124265,'Increases Attack Speed of target by 22.4',100,2,7),
(198392,10124265,'Increases Damage Per Second of target by 22.4',100,2,8),
(198393,45558,'Applies Blessing of the Craftkeepers  when Activated.  Lasts for 30 minutes.',100,0,0),
(198394,45558,'Increases INT and WIS of caster by 23.0',100,1,1),
(198395,10045558,'Applies Blessing of the Craftkeepers  when Activated.  Lasts for 30 minutes.',100,0,0),
(198396,10045558,'Increases INT and WIS of caster by 23.0',100,1,1),
(198397,121154,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(198398,121154,'Increases Hate Gain of caster by 5.0%',100,2,1),
(198399,121154,'Increases Attack Speed of caster by 50.7',100,2,2),
(198400,121154,'Dispelled when target takes damage',100,2,3),
(198401,10121154,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(198402,10121154,'Increases Attack Speed of caster by 50.7',100,2,1),
(198403,10121154,'Dispelled when target takes damage',100,2,2),
(198404,35903,'Increases Max Power of target by 3.3',100,0,0),
(198405,35903,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(198406,137259,'When Equipped:',100,0,0),
(198407,137259,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(198408,137259,'Inflicts 539 piercing damage on target',100,2,2),
(198409,137259,'Cannot be modified except by direct means',100,2,3),
(198410,10137259,'When Equipped:',100,0,0),
(198411,10137259,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(198412,10137259,'Inflicts 701 piercing damage on target',100,2,2),
(198413,10137259,'Cannot be modified except by direct means',100,2,3),
(198414,101756,'Heals group members (AE) for 89 - 108 instantly and every 2 seconds',100,1,0),
(198415,10101756,'Heals group members (AE) for 58 - 70 instantly and every 2 seconds',100,1,0),
(198416,101158,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(198417,101158,'Inflicts 632 ranged damage on target',100,2,1),
(198418,101158,'Decreases Defense of caster by 25.8',100,1,2),
(198419,101158,'Increases Crushing, Piercing, Ranged and Slashing of caster by 46.8',100,1,3),
(198420,10101158,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(198421,10101158,'Inflicts 537 ranged damage on target',100,2,1),
(198422,10101158,'Decreases Defense of caster by 25.8',100,1,2),
(198423,10101158,'Increases Crushing, Piercing, Ranged and Slashing of caster by 46.8',100,1,3),
(198424,37320,'Increases STA of target by 1.1',100,0,0),
(198425,37320,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(198426,47614,'Applies Poultice when Activated.',100,0,0),
(198427,10047614,'Applies Poultice when Activated.',100,0,0),
(198428,163183,'When Equipped:',100,0,0),
(198429,163183,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198430,163183,'Increases Ability Modifier of group members by 200.0',100,2,2),
(198431,163183,'Cannot be modified except by direct means',100,2,3),
(198432,163183,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(198433,163183,'Increases Ability Modifier of group members by 200.0',100,2,5),
(198434,163183,'Cannot be modified except by direct means',100,2,6),
(198435,163183,'Cannot be modified except by direct means',100,1,7),
(198436,10163183,'When Equipped:',100,0,0),
(198437,10163183,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198438,10163183,'Increases Ability Modifier of group members by 200.0',100,2,2),
(198439,10163183,'Cannot be modified except by direct means',100,2,3),
(198440,10163183,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(198441,10163183,'Increases Ability Modifier of group members by 200.0',100,2,5),
(198442,10163183,'Cannot be modified except by direct means',100,2,6),
(198443,10163183,'Cannot be modified except by direct means',100,1,7),
(198444,74926,'When Equipped:',100,0,0),
(198445,74926,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198446,74926,'Inflicts 38 - 57 magic damage on target',100,2,2),
(198447,74926,'Cannot be modified except by direct means',100,2,3),
(198448,10074926,'When Equipped:',100,0,0),
(198449,10074926,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198450,10074926,'Inflicts 50 - 75 magic damage on target',100,2,2),
(198451,10074926,'Cannot be modified except by direct means',100,2,3),
(198452,40633,'When Equipped:',100,0,0),
(198453,40633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198454,40633,'Inflicts 56 - 84 magic damage on target',100,2,2),
(198455,40633,'Cannot be modified except by direct means',100,2,3),
(198456,10040633,'When Equipped:',100,0,0),
(198457,10040633,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198458,10040633,'Inflicts 73 - 110 magic damage on target',100,2,2),
(198459,10040633,'Cannot be modified except by direct means',100,2,3),
(198460,41475,'When Equipped:',100,0,0),
(198461,41475,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198462,41475,'Inflicts 302 - 560 magic damage on target',100,2,2),
(198463,41475,'Decreases Threat to target by 949 ',100,2,3),
(198464,41475,'Must be flanking or behind',100,3,4),
(198465,41475,'Increases Threat to target by 949 ',100,2,5),
(198466,41475,'Must be in front of',100,3,6),
(198467,41475,'Cannot be modified except by direct means',100,2,7),
(198468,10041475,'When Equipped:',100,0,0),
(198469,10041475,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198470,10041475,'Inflicts 392 - 728 magic damage on target',100,2,2),
(198471,10041475,'Cannot be modified except by direct means',100,2,3),
(198472,124140,'Inflicts 200 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(198473,124140,'Applies Banshee''s Scream on termination.',100,1,1),
(198474,124140,'Inflicts 601 - 1002 disease damage on target',100,2,2),
(198475,10124140,'Inflicts 260 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(198476,10124140,'Applies Banshee''s Scream on termination.',100,1,1),
(198477,10124140,'Inflicts 781 - 1302 disease damage on target',100,2,2),
(198478,112226,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(198479,112226,'Inflicts 47 disease damage on target',100,2,1),
(198480,112226,'Increases Threat to target by 70 ',100,2,2),
(198481,112226,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1327',100,1,3),
(198482,10112226,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(198483,10112226,'Inflicts 60 disease damage on target',100,2,1),
(198484,10112226,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1327',100,1,2),
(198485,177483,'When Equipped:',100,0,0),
(198486,177483,'Applies Frosty Breath',100,1,1),
(198487,10177483,'When Equipped:',100,0,0),
(198488,10177483,'Applies Frosty Breath',100,1,1),
(198489,113009,'Reduces physical damage done to caster by 5%',100,1,0),
(198490,113009,'Increases STA of caster by 221.8',100,1,1),
(198491,113009,'Adds 4.3% to base avoidance.',100,1,2),
(198492,113009,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(198493,113009,'Increases Defense and Aggression of caster by 43.4',100,1,4),
(198494,113009,'Increases Mitigation of caster vs arcane damage by 2834',100,1,5),
(198495,113009,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(198496,10113009,'Reduces physical damage done to caster by 5%',100,1,0),
(198497,10113009,'Increases STA of caster by 221.8',100,1,1),
(198498,10113009,'Adds 4.3% to base avoidance.',100,1,2),
(198499,10113009,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(198500,10113009,'Increases Defense and Aggression of caster by 43.4',100,1,4),
(198501,10113009,'Increases Mitigation of caster vs arcane damage by 2834',100,1,5),
(198502,10113009,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(198503,36118,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(198504,74649,'When Equipped:',100,0,0),
(198505,74649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198506,74649,'Inflicts 66 - 99 magic damage on target',100,2,2),
(198507,74649,'Cannot be modified except by direct means',100,2,3),
(198508,10074649,'When Equipped:',100,0,0),
(198509,10074649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198510,10074649,'Inflicts 86 - 129 magic damage on target',100,2,2),
(198511,10074649,'Cannot be modified except by direct means',100,2,3),
(198512,36563,'Increases STA and STR of target by 1.1',100,0,0),
(198513,36563,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(198514,47667,'Applies Quel''ule Teleport Stone when Activated.',100,0,0),
(198515,47667,'Teleports the caster to Quel''ule. This item must be equipped to use.',100,1,1),
(198516,10047667,'Applies Quel''ule Teleport Stone when Activated.',100,0,0),
(198517,10047667,'Teleports the caster to Quel''ule. This item must be equipped to use.',100,1,1),
(198518,187043,'When Equipped:',100,0,0),
(198519,187043,'On any combat or spell hit this spell may cast Mistarget on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198520,187043,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(198521,187043,'Cannot be modified except by direct means',100,2,3),
(198522,10187043,'When Equipped:',100,0,0),
(198523,10187043,'On any combat or spell hit this spell may cast Mistarget on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198524,10187043,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(198525,10187043,'Cannot be modified except by direct means',100,2,3),
(198526,119956,'Inflicts 360 - 601 melee damage on target',100,1,0),
(198527,119956,'Stifles target',100,1,1),
(198528,119956,'If Target is not Epic',100,2,2),
(198529,119956,'Resistibility increases against targets higher than level 109.',100,1,3),
(198530,10119956,'Inflicts 469 - 781 melee damage on target',100,1,0),
(198531,10119956,'Stifles target',100,1,1),
(198532,10119956,'If Target is not Epic',100,2,2),
(198533,10119956,'Resistibility increases against targets higher than level 109.',100,1,3),
(198534,75257,'When Equipped:',100,0,0),
(198535,75257,'On a hostile spell cast this spell may cast Temporal Rending on target of spell.  Lasts for 7.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198536,75257,'Inflicts 310 - 516 heat damage on target',100,2,2),
(198537,75257,'Stifles target',100,2,3),
(198538,75257,'Does not affect Epic targets',100,2,4),
(198539,75257,'Resistibility increases against targets higher than level 93.',100,2,5),
(198540,75257,'Cannot be modified except by direct means',100,2,6),
(198541,10075257,'When Equipped:',100,0,0),
(198542,10075257,'On a hostile spell cast this spell may cast Temporal Rending on target of spell.  Lasts for 7.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198543,10075257,'Inflicts 402 - 671 heat damage on target',100,2,2),
(198544,10075257,'Stifles target',100,2,3),
(198545,10075257,'Does not affect Epic targets',100,2,4),
(198546,10075257,'Resistibility increases against targets higher than level 93.',100,2,5),
(198547,10075257,'Cannot be modified except by direct means',100,2,6),
(198548,105992,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(198549,105992,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(198550,105992,'Inflicts 723 - 1205 piercing damage on target',100,3,2),
(198551,105992,'Grants a total of 5 triggers of the spell.',100,3,3),
(198552,105992,'Grants a total of 1 trigger of the spell.',100,2,4),
(198553,10105992,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(198554,10105992,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(198555,10105992,'Inflicts 940 - 1566 piercing damage on target',100,3,2),
(198556,10105992,'Grants a total of 5 triggers of the spell.',100,3,3),
(198557,10105992,'Grants a total of 1 trigger of the spell.',100,2,4),
(198558,115530,'Increases Mitigation of raid and group members (AE) vs noxious damage by 336',100,1,0),
(198559,10115530,'Increases Mitigation of raid and group members (AE) vs noxious damage by 336',100,1,0),
(198560,112451,'Mesmerizes target',100,1,0),
(198561,112451,'Prevents AOE (except when direct) ',100,1,1),
(198562,112451,'Dispelled when target takes damage',100,1,2),
(198563,112451,'Does not affect Epic targets',100,1,3),
(198564,112451,'Resistibility increases against targets higher than level 106.',100,1,4),
(198565,10112451,'Mesmerizes target',100,1,0),
(198566,10112451,'Prevents AOE (except when direct) ',100,1,1),
(198567,10112451,'Dispelled when target takes damage',100,1,2),
(198568,10112451,'Does not affect Epic targets',100,1,3),
(198569,10112451,'Resistibility increases against targets higher than level 106.',100,1,4),
(198570,124259,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(198571,124259,'Increases Attack Speed of target by 19.1',100,2,1),
(198572,124259,'Increases Damage Per Second of target by 19.1',100,2,2),
(198573,124259,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(198574,124259,'Increases Attack Speed of target by 19.1',100,2,4),
(198575,124259,'Increases Damage Per Second of target by 19.1',100,2,5),
(198576,124259,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(198577,124259,'Increases Attack Speed of target by 19.1',100,2,7),
(198578,124259,'Increases Damage Per Second of target by 19.1',100,2,8),
(198579,10124259,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(198580,10124259,'Increases Attack Speed of target by 19.1',100,2,1),
(198581,10124259,'Increases Damage Per Second of target by 19.1',100,2,2),
(198582,10124259,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(198583,10124259,'Increases Attack Speed of target by 19.1',100,2,4),
(198584,10124259,'Increases Damage Per Second of target by 19.1',100,2,5),
(198585,10124259,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(198586,10124259,'Increases Attack Speed of target by 19.1',100,2,7),
(198587,10124259,'Increases Damage Per Second of target by 19.1',100,2,8),
(198588,110018,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(198589,110018,'Inflicts 83 - 138 disease damage on target',100,2,1),
(198590,110018,'Heals caster for 1.6 - 2.7% of max health',100,2,2),
(198591,110018,'This effect cannot be critically applied.',100,3,3),
(198592,110018,'The healing of this spell cannot be modified except by direct means',100,2,4),
(198593,10110018,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(198594,10110018,'Inflicts 108 - 180 disease damage on target',100,2,1),
(198595,10110018,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(198596,10110018,'This effect cannot be critically applied.',100,3,3),
(198597,10110018,'The healing of this spell cannot be modified except by direct means',100,2,4),
(198598,81759,'When Equipped:',100,0,0),
(198599,81759,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198600,81759,'Inflicts 164 - 305 magic damage on target',100,2,2),
(198601,81759,'Decreases Threat to target by 487 ',100,2,3),
(198602,81759,'Must be flanking or behind',100,3,4),
(198603,81759,'Increases Threat to target by 487 ',100,2,5),
(198604,81759,'Must be in front of',100,3,6),
(198605,81759,'Cannot be modified except by direct means',100,2,7),
(198606,10081759,'When Equipped:',100,0,0),
(198607,10081759,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198608,10081759,'Inflicts 213 - 396 magic damage on target',100,2,2),
(198609,10081759,'Cannot be modified except by direct means',100,2,3),
(198610,152624,'When Equipped:',100,0,0),
(198611,152624,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(198612,152624,'Inflicts 1192 mental damage on target',100,2,2),
(198613,152624,'Increases Threat to target by 3,000 ',100,2,3),
(198614,152624,'Cannot be modified except by direct means',100,2,4),
(198615,152624,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(198616,152624,'Inflicts 1192 mental damage on target',100,2,6),
(198617,152624,'Increases Threat to target by 3,000 ',100,2,7),
(198618,152624,'Cannot be modified except by direct means',100,2,8),
(198619,10152624,'When Equipped:',100,0,0),
(198620,10152624,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(198621,10152624,'Inflicts 1549 mental damage on target',100,2,2),
(198622,10152624,'Cannot be modified except by direct means',100,2,3),
(198623,10152624,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(198624,10152624,'Inflicts 1549 mental damage on target',100,2,5),
(198625,10152624,'Cannot be modified except by direct means',100,2,6),
(198626,173145,'When Equipped:',100,0,0),
(198627,173145,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(198628,173145,'Inflicts 2664 cold damage on target encounter',100,2,2),
(198629,173145,'Must not be engaged in pvp combat',100,2,3),
(198630,173145,'Cannot be modified except by direct means',100,2,4),
(198631,173145,'Must not be engaged in pvp combat',100,1,5),
(198632,10173145,'When Equipped:',100,0,0),
(198633,10173145,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(198634,10173145,'Inflicts 1732 cold damage on target encounter',100,2,2),
(198635,10173145,'Must not be engaged in pvp combat',100,2,3),
(198636,10173145,'Cannot be modified except by direct means',100,2,4),
(198637,10173145,'Must not be engaged in pvp combat',100,1,5),
(198638,105260,'Increases Threat to target by 726 ',100,1,0),
(198639,105260,'Interrupts target',100,1,1),
(198640,105260,'Dispels 96 levels of arcane beneficial effects on target',100,1,2),
(198641,10105260,'Forces target to change their selected target to caster.',100,1,0),
(198642,10105260,'Interrupts target',100,1,1),
(198643,10105260,'Dispels 96 levels of arcane beneficial effects on target',100,1,2),
(198644,80507,'When Equipped:',100,0,0),
(198645,80507,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198646,80507,'Inflicts 493 - 915 magic damage on target',100,2,2),
(198647,80507,'Decreases Threat to target by 1,219 ',100,2,3),
(198648,80507,'Must be flanking or behind',100,3,4),
(198649,80507,'Increases Threat to target by 1,219 ',100,2,5),
(198650,80507,'Must be in front of',100,3,6),
(198651,80507,'Cannot be modified except by direct means',100,2,7),
(198652,10080507,'When Equipped:',100,0,0),
(198653,10080507,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198654,10080507,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(198655,10080507,'Cannot be modified except by direct means',100,2,3),
(198656,81947,'When Equipped:',100,0,0),
(198657,81947,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198658,81947,'Inflicts 408 - 757 magic damage on target',100,2,2),
(198659,81947,'Decreases Threat to target by 994 ',100,2,3),
(198660,81947,'Must be flanking or behind',100,3,4),
(198661,81947,'Increases Threat to target by 994 ',100,2,5),
(198662,81947,'Must be in front of',100,3,6),
(198663,81947,'Cannot be modified except by direct means',100,2,7),
(198664,10081947,'When Equipped:',100,0,0),
(198665,10081947,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198666,10081947,'Inflicts 530 - 984 magic damage on target',100,2,2),
(198667,10081947,'Cannot be modified except by direct means',100,2,3),
(198668,116711,'Inflicts 288 - 481 melee damage on target',100,1,0),
(198669,10116711,'Inflicts 375 - 625 melee damage on target',100,1,0),
(198670,117187,'Inflicts 243 poison damage on target instantly and every 4 seconds',100,1,0),
(198671,117187,'Decreases WIS of target by 126.2',100,1,1),
(198672,10117187,'Inflicts 316 poison damage on target instantly and every 4 seconds',100,1,0),
(198673,10117187,'Decreases WIS of target by 126.2',100,1,1),
(198674,116325,'Stuns target',100,1,0),
(198675,116325,'If Target is not Epic',100,2,1),
(198676,116325,'Inflicts 1107 - 1353 magic damage on target',100,1,2),
(198677,116325,'Resistibility increases against targets higher than level 111.',100,1,3),
(198678,10116325,'Stuns target',100,1,0),
(198679,10116325,'If Target is not Epic',100,2,1),
(198680,10116325,'Inflicts 1439 - 1759 magic damage on target',100,1,2),
(198681,10116325,'Resistibility increases against targets higher than level 111.',100,1,3),
(198682,109435,'Inflicts 209 - 255 cold damage on target instantly and every 4 seconds',100,1,0),
(198683,109435,'Decreases Mitigation of target vs elemental damage by 714',100,1,1),
(198684,10109435,'Inflicts 271 - 331 cold damage on target instantly and every 4 seconds',100,1,0),
(198685,10109435,'Decreases Mitigation of target vs elemental damage by 714',100,1,1),
(198686,153865,'When Equipped:',100,0,0),
(198687,153865,'This effect will not stack with any rank or tier of itself.',100,1,1),
(198688,153865,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(198689,153865,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,3),
(198690,153865,'Inflicts 201 - 222 piercing damage on target',100,3,4),
(198691,153865,'Must not be engaged in pvp combat',100,3,5),
(198692,153865,'Cannot be modified except by direct means',100,3,6),
(198693,153865,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,7),
(198694,153865,'Must not be engaged in pvp combat',100,2,8),
(198695,153865,'Cannot be modified except by direct means',100,2,9),
(198696,153865,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(198697,153865,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,11),
(198698,153865,'Inflicts 201 - 222 piercing damage on target',100,3,12),
(198699,153865,'Must not be engaged in pvp combat',100,3,13),
(198700,153865,'Cannot be modified except by direct means',100,3,14),
(198701,153865,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,15),
(198702,153865,'Must not be engaged in pvp combat',100,2,16),
(198703,153865,'Cannot be modified except by direct means',100,2,17),
(198704,153865,'Cannot be modified except by direct means',100,1,18),
(198705,10153865,'When Equipped:',100,0,0),
(198706,10153865,'This effect will not stack with any rank or tier of itself.',100,1,1),
(198707,10153865,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(198708,10153865,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,3),
(198709,10153865,'Inflicts 261 - 289 piercing damage on target',100,3,4),
(198710,10153865,'Must not be engaged in pvp combat',100,3,5),
(198711,10153865,'Cannot be modified except by direct means',100,3,6),
(198712,10153865,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,7),
(198713,10153865,'Must not be engaged in pvp combat',100,2,8),
(198714,10153865,'Cannot be modified except by direct means',100,2,9),
(198715,10153865,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(198716,10153865,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,11),
(198717,10153865,'Inflicts 261 - 289 piercing damage on target',100,3,12),
(198718,10153865,'Must not be engaged in pvp combat',100,3,13),
(198719,10153865,'Cannot be modified except by direct means',100,3,14),
(198720,10153865,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,15),
(198721,10153865,'Must not be engaged in pvp combat',100,2,16),
(198722,10153865,'Cannot be modified except by direct means',100,2,17),
(198723,10153865,'Cannot be modified except by direct means',100,1,18),
(198724,76503,'When Equipped:',100,0,0),
(198725,76503,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198726,76503,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(198727,76503,'Inflicts 599 crushing damage on caster',100,3,3),
(198728,76503,'Cannot be modified except by direct means',100,3,4),
(198729,76503,'Cannot be modified except by direct means',100,2,5),
(198730,76503,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(198731,76503,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(198732,76503,'Inflicts 599 crushing damage on caster',100,3,8),
(198733,76503,'Cannot be modified except by direct means',100,3,9),
(198734,76503,'Cannot be modified except by direct means',100,2,10),
(198735,10076503,'When Equipped:',100,0,0),
(198736,10076503,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(198737,10076503,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(198738,10076503,'Inflicts 693 crushing damage on caster',100,3,3),
(198739,10076503,'Cannot be modified except by direct means',100,3,4),
(198740,10076503,'Cannot be modified except by direct means',100,2,5),
(198741,10076503,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(198742,10076503,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(198743,10076503,'Inflicts 693 crushing damage on caster',100,3,8),
(198744,10076503,'Cannot be modified except by direct means',100,3,9),
(198745,10076503,'Cannot be modified except by direct means',100,2,10),
(198746,103372,'Inflicts 316 - 386 mental damage on target instantly and every 6 seconds',100,1,0),
(198747,103372,'Decreases power of target by 79 instantly and every 6 seconds',100,1,1),
(198748,103372,'Increases power of caster by 278',100,1,2),
(198749,10103372,'Inflicts 410 - 502 mental damage on target instantly and every 6 seconds',100,1,0),
(198750,10103372,'Decreases power of target by 79 instantly and every 6 seconds',100,1,1),
(198751,10103372,'Increases power of caster by 278',100,1,2),
(198752,121178,'Grants stealth to caster',100,1,0),
(198753,121178,'Suspends caster''s movement speed enhancements',100,1,1),
(198754,121178,'Decreases Threat to target by 147 - 245 ',100,1,2),
(198755,10121178,'Grants stealth to caster',100,1,0),
(198756,10121178,'Suspends caster''s movement speed enhancements',100,1,1),
(198757,10121178,'Forces target to clear their selected target.',100,1,2),
(198758,185454,'When Equipped:',100,0,0),
(198759,185454,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(198760,185454,'Stifles target',100,2,2),
(198761,185454,'Only affects targets level 102 and below',100,2,3),
(198762,185454,'Does not affect Epic targets',100,2,4),
(198763,185454,'Resistibility increases against targets higher than level 112.',100,2,5),
(198764,185454,'Cannot be modified except by direct means',100,2,6),
(198765,10185454,'When Equipped:',100,0,0),
(198766,10185454,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(198767,10185454,'Stifles target',100,2,2),
(198768,10185454,'Only affects targets level 102 and below',100,2,3),
(198769,10185454,'Does not affect Epic targets',100,2,4),
(198770,10185454,'Resistibility increases against targets higher than level 112.',100,2,5),
(198771,10185454,'Cannot be modified except by direct means',100,2,6),
(198772,115175,'Heals target for 279 - 342',100,1,0),
(198773,10115175,'Heals target for 378 - 462',100,1,0),
(198774,104687,'Decreases Mitigation of target vs all damage by 554',100,1,0),
(198775,10104687,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 554',100,1,0),
(198776,10104687,'Decreases Mitigation of target vs physical damage by 462',100,1,1),
(198777,53838,'When Equipped:',100,0,0),
(198778,53838,'When damaged with a spell this spell has a 5% chance to cast Skin of Valor on caster.  Lasts for 3 minutes.  ',100,1,1),
(198779,53838,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,2),
(198780,53838,'Cannot be modified except by direct means',100,2,3),
(198781,53838,'When damaged with a spell this spell has a 5% chance to cast Ward of Valor on caster.  Lasts for 3 minutes.  ',100,1,4),
(198782,53838,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,5),
(198783,53838,'Only affects targets level 83 and below',100,2,6),
(198784,53838,'Cannot be modified except by direct means',100,2,7),
(198785,10053838,'When Equipped:',100,0,0),
(198786,10053838,'When damaged with a spell this spell has a 5% chance to cast Skin of Valor on caster.  Lasts for 3 minutes.  ',100,1,1),
(198787,10053838,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,2),
(198788,10053838,'Cannot be modified except by direct means',100,2,3),
(198789,10053838,'When damaged with a spell this spell has a 5% chance to cast Ward of Valor on caster.  Lasts for 3 minutes.  ',100,1,4),
(198790,10053838,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,5),
(198791,10053838,'Only affects targets level 83 and below',100,2,6),
(198792,10053838,'Cannot be modified except by direct means',100,2,7),
(198793,102993,'Increases STR and AGI of group members (AE) by 84.2',100,1,0),
(198794,10102993,'Increases STR and AGI of group members (AE) by 84.2',100,1,0),
(198795,45249,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(198796,45249,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(198797,45249,'Inflicts 99 poison damage on target instantly and every 6 seconds',100,2,2),
(198798,45249,'Inflicts 336 poison damage on target',100,2,3),
(198799,45249,'Cannot be modified except by direct means',100,2,4),
(198800,45249,'Grants a total of 200 triggers of the spell.',100,2,5),
(198801,10045249,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(198802,10045249,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(198803,10045249,'Inflicts 328 poison damage on target',100,2,2),
(198804,10045249,'Inflicts 96 poison damage on target instantly and every 6 seconds',100,2,3),
(198805,10045249,'Cannot be modified except by direct means',100,2,4),
(198806,10045249,'Grants a total of 200 triggers of the spell.',100,2,5),
(198807,162236,'When Equipped:',100,0,0),
(198808,162236,'On a healing spell cast this spell may cast Soothing Breeze III on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(198809,162236,'Heals group members (AE) for 5174 - 5719',100,2,2),
(198810,162236,'Must not be engaged in pvp combat',100,2,3),
(198811,162236,'Cannot be modified except by direct means',100,2,4),
(198812,162236,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(198813,162236,'Cannot be modified except by direct means',100,1,6),
(198814,10162236,'When Equipped:',100,0,0),
(198815,10162236,'On a healing spell cast this spell may cast Soothing Breeze III on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(198816,10162236,'Heals group members (AE) for 6054 - 6691',100,2,2),
(198817,10162236,'Must not be engaged in pvp combat',100,2,3),
(198818,10162236,'Cannot be modified except by direct means',100,2,4),
(198819,10162236,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(198820,10162236,'Cannot be modified except by direct means',100,1,6),
(198821,118084,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(198822,10118084,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(198823,132184,'When Equipped:',100,0,0),
(198824,132184,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(198825,132184,'Inflicts 1199 disease damage on target encounter',100,2,2),
(198826,132184,'Must not be engaged in pvp combat',100,2,3),
(198827,132184,'Cannot be modified except by direct means',100,2,4),
(198828,10132184,'When Equipped:',100,0,0),
(198829,10132184,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(198830,10132184,'Inflicts 779 disease damage on target encounter',100,2,2),
(198831,10132184,'Must not be engaged in pvp combat',100,2,3),
(198832,10132184,'Cannot be modified except by direct means',100,2,4),
(198833,47126,'Applies Barodreth''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(198834,47126,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(198835,10047126,'Applies Barodreth''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(198836,10047126,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(198837,177705,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(198838,177705,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(198839,177705,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(198840,177705,'Cannot be modified except by direct means',100,2,3),
(198841,10177705,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(198842,10177705,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(198843,10177705,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(198844,10177705,'Cannot be modified except by direct means',100,2,3),
(198845,177642,'When Equipped:',100,0,0),
(198846,177642,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198847,177642,'Increases INT of caster by 23.1',100,2,2),
(198848,177642,'Increases Disruption, Focus and Subjugation of caster by 13.1',100,2,3),
(198849,177642,'Cannot be modified except by direct means',100,2,4),
(198850,10177642,'When Equipped:',100,0,0),
(198851,10177642,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198852,10177642,'Increases INT of caster by 23.1',100,2,2),
(198853,10177642,'Increases Disruption, Focus and Subjugation of caster by 13.1',100,2,3),
(198854,10177642,'Cannot be modified except by direct means',100,2,4),
(198855,82107,'When Equipped:',100,0,0),
(198856,82107,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198857,82107,'Inflicts 212 - 393 magic damage on target',100,2,2),
(198858,82107,'Decreases Threat to target by 641 ',100,2,3),
(198859,82107,'Must be flanking or behind',100,3,4),
(198860,82107,'Increases Threat to target by 641 ',100,2,5),
(198861,82107,'Must be in front of',100,3,6),
(198862,82107,'Cannot be modified except by direct means',100,2,7),
(198863,10082107,'When Equipped:',100,0,0),
(198864,10082107,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(198865,10082107,'Inflicts 275 - 511 magic damage on target',100,2,2),
(198866,10082107,'Cannot be modified except by direct means',100,2,3),
(198867,74774,'When Equipped:',100,0,0),
(198868,74774,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198869,74774,'Inflicts 97 - 145 magic damage on target',100,2,2),
(198870,74774,'Cannot be modified except by direct means',100,2,3),
(198871,10074774,'When Equipped:',100,0,0),
(198872,10074774,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198873,10074774,'Inflicts 126 - 189 magic damage on target',100,2,2),
(198874,10074774,'Cannot be modified except by direct means',100,2,3),
(198875,109451,'Inflicts 334 - 408 cold damage on target instantly and every 4 seconds',100,1,0),
(198876,109451,'Decreases Mitigation of target vs elemental damage by 1148',100,1,1),
(198877,10109451,'Inflicts 434 - 531 cold damage on target instantly and every 4 seconds',100,1,0),
(198878,10109451,'Decreases Mitigation of target vs elemental damage by 1148',100,1,1),
(198879,124448,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(198880,124448,'Inflicts 199 - 332 melee damage on target',100,2,1),
(198881,124448,'Decreases Defense of caster by 13.5',100,1,2),
(198882,124448,'Increases Slashing, Piercing, Ranged and Crushing of caster by 22.3',100,1,3),
(198883,10124448,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(198884,10124448,'Inflicts 259 - 431 melee damage on target',100,2,1),
(198885,10124448,'Decreases Defense of caster by 13.5',100,1,2),
(198886,10124448,'Increases Slashing, Piercing, Ranged and Crushing of caster by 22.3',100,1,3),
(198887,159926,'When Equipped:',100,0,0),
(198888,159926,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(198889,159926,'Increases AGI of caster by 3.6',100,2,2),
(198890,159926,'Increases Attack Speed of caster by 9.8',100,2,3),
(198891,159926,'Cannot be modified except by direct means',100,2,4),
(198892,10159926,'When Equipped:',100,0,0),
(198893,10159926,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(198894,10159926,'Increases AGI of caster by 3.6',100,2,2),
(198895,10159926,'Increases Attack Speed of caster by 9.8',100,2,3),
(198896,10159926,'Cannot be modified except by direct means',100,2,4),
(198897,26136,'When Equipped:',100,0,0),
(198898,26136,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(198899,26136,'Thorncoat VIII grants additional physical mitigation.',100,1,2),
(198900,10026136,'When Equipped:',100,0,0),
(198901,10026136,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(198902,10026136,'Thorncoat VIII grants additional physical mitigation.',100,1,2),
(198903,121185,'Grants stealth to caster',100,1,0),
(198904,121185,'Suspends caster''s movement speed enhancements',100,1,1),
(198905,121185,'Decreases Threat to target by 248 - 413 ',100,1,2),
(198906,10121185,'Grants stealth to caster',100,1,0),
(198907,10121185,'Suspends caster''s movement speed enhancements',100,1,1),
(198908,10121185,'Forces target to clear their selected target.',100,1,2),
(198909,110495,'Stifles caster',100,1,0),
(198910,110495,'Increases power of caster by 42 instantly and every second',100,1,1),
(198911,10110495,'Stifles caster',100,1,0),
(198912,10110495,'Increases power of caster by 42 instantly and every second',100,1,1),
(198913,177672,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(198914,177672,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(198915,177672,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(198916,177672,'Cannot be modified except by direct means',100,2,3),
(198917,10177672,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(198918,10177672,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(198919,10177672,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(198920,10177672,'Cannot be modified except by direct means',100,2,3),
(198921,187346,'When Equipped:',100,0,0),
(198922,187346,'On a damage spell hit this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(198923,187346,'Heals group members for 226',100,2,2),
(198924,187346,'This effect may trigger off each target of an AE heal.',100,2,3),
(198925,187346,'Cannot be modified except by direct means',100,2,4),
(198926,187346,'On a healing spell cast this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(198927,187346,'Heals group members for 226',100,2,6),
(198928,187346,'This effect may trigger off each target of an AE heal.',100,2,7),
(198929,187346,'Cannot be modified except by direct means',100,2,8),
(198930,10187346,'When Equipped:',100,0,0),
(198931,10187346,'On a damage spell hit this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(198932,10187346,'Heals group members for 147',100,2,2),
(198933,10187346,'This effect may trigger off each target of an AE heal.',100,2,3),
(198934,10187346,'Cannot be modified except by direct means',100,2,4),
(198935,10187346,'On a healing spell cast this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(198936,10187346,'Heals group members for 147',100,2,6),
(198937,10187346,'This effect may trigger off each target of an AE heal.',100,2,7),
(198938,10187346,'Cannot be modified except by direct means',100,2,8),
(198939,123380,'Heals group members (AE) for 1096 - 1339',100,1,0),
(198940,10123380,'Heals group members (AE) for 1333 - 1629',100,1,0),
(198941,45365,'Applies Blessing of Prexus when Activated.',100,0,0),
(198942,45365,'Envelops the user in a coat of shimmering water, allowing the user to breathe water as if it were air, and see more clearly underwater.',100,1,1),
(198943,10045365,'Applies Blessing of Prexus when Activated.',100,0,0),
(198944,10045365,'Envelops the user in a coat of shimmering water, allowing the user to breathe water as if it were air, and see more clearly underwater.',100,1,1),
(198945,123400,'When damaged with a melee weapon this spell has a 6% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(198946,123400,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(198947,10123400,'When damaged with a melee weapon this spell has a 6% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(198948,10123400,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(198949,72137,'When Equipped:',100,0,0),
(198950,72137,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198951,72137,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(198952,72137,'Cannot be modified except by direct means',100,2,3),
(198953,10072137,'When Equipped:',100,0,0),
(198954,10072137,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(198955,10072137,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(198956,10072137,'Cannot be modified except by direct means',100,2,3),
(198957,115679,'Inflicts 24 - 74 melee damage on target',100,1,0),
(198958,115679,'Inflicts 24 - 74 melee damage on target',100,1,1),
(198959,115679,'Inflicts 24 - 74 melee damage on target',100,1,2),
(198960,115679,'Inflicts 24 - 74 melee damage on target',100,1,3),
(198961,115679,'Inflicts 24 - 74 melee damage on target',100,1,4),
(198962,115679,'Inflicts 24 - 74 melee damage on target',100,1,5),
(198963,115679,'Inflicts 24 - 74 melee damage on target',100,1,6),
(198964,115679,'Inflicts 24 - 74 melee damage on target',100,1,7),
(198965,10115679,'Inflicts 32 - 96 melee damage on target',100,1,0),
(198966,10115679,'Inflicts 32 - 96 melee damage on target',100,1,1),
(198967,10115679,'Inflicts 32 - 96 melee damage on target',100,1,2),
(198968,10115679,'Inflicts 32 - 96 melee damage on target',100,1,3),
(198969,10115679,'Inflicts 32 - 96 melee damage on target',100,1,4),
(198970,10115679,'Inflicts 32 - 96 melee damage on target',100,1,5),
(198971,10115679,'Inflicts 32 - 96 melee damage on target',100,1,6),
(198972,10115679,'Inflicts 32 - 96 melee damage on target',100,1,7),
(198973,46607,'Applies Gubaku''s Resurgence when Activated.',100,0,0),
(198974,46607,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(198975,10046607,'Applies Gubaku''s Resurgence when Activated.',100,0,0),
(198976,10046607,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(198977,123650,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(198978,123650,'Slows target by 39.0%',100,2,1),
(198979,123650,'5% chance to dispel when target receives hostile action',100,2,2),
(198980,123650,'5% chance to dispel when target takes damage',100,2,3),
(198981,123650,'Inflicts 254 - 310 cold damage on target',100,1,4),
(198982,10123650,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(198983,10123650,'Slows target by 39.0%',100,2,1),
(198984,10123650,'5% chance to dispel when target receives hostile action',100,2,2),
(198985,10123650,'5% chance to dispel when target takes damage',100,2,3),
(198986,10123650,'Inflicts 283 - 345 cold damage on target',100,1,4),
(198987,87109,'When Equipped:',100,0,0),
(198988,87109,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198989,87109,'Inflicts 237 - 356 magic damage on target',100,2,2),
(198990,87109,'Cannot be modified except by direct means',100,2,3),
(198991,10087109,'When Equipped:',100,0,0),
(198992,10087109,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(198993,10087109,'Inflicts 308 - 463 magic damage on target',100,2,2),
(198994,10087109,'Cannot be modified except by direct means',100,2,3),
(198995,46710,'Applies Jade Golem Shrinking Ray when Activated.',100,0,0),
(198996,10046710,'Applies Jade Golem Shrinking Ray when Activated.',100,0,0),
(198997,173603,'When Equipped:',100,0,0),
(198998,173603,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(198999,10173603,'When Equipped:',100,0,0),
(199000,10173603,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(199001,119412,'Inflicts 211 - 353 melee damage on target',100,1,0),
(199002,119412,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(199003,119412,'Blurs vision of target',100,2,2),
(199004,119412,'Stuns target',100,2,3),
(199005,119412,'Throws target back',100,2,4),
(199006,119412,'Does not affect Epic targets',100,2,5),
(199007,119412,'You must be sneaking to use this ability.',100,1,6),
(199008,10119412,'Inflicts 275 - 459 melee damage on target',100,1,0),
(199009,10119412,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(199010,10119412,'Stuns target',100,2,2),
(199011,10119412,'Throws target back',100,2,3),
(199012,10119412,'Blurs vision of target',100,2,4),
(199013,10119412,'Does not affect Epic targets',100,2,5),
(199014,10119412,'You must be sneaking to use this ability.',100,1,6),
(199015,36441,'Increases WIS, STR, AGI and INT of target by 5.4',100,0,0),
(199016,36441,'Increases Crit Chance of target by 3.0',100,0,1),
(199017,36441,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(199018,36441,'This effect suspends during combat',100,0,3),
(199019,109846,'Inflicts 1101 - 1836 melee damage on target',100,1,0),
(199020,109846,'Decreases Parry of target by 81.3',100,1,1),
(199021,109846,'Must be in front of or flanking',100,1,2),
(199022,10109846,'Inflicts 1432 - 2387 melee damage on target',100,1,0),
(199023,10109846,'Decreases Parry of target by 81.3',100,1,1),
(199024,10109846,'Must be in front of or flanking',100,1,2),
(199025,72057,'When Equipped:',100,0,0),
(199026,72057,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199027,72057,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(199028,72057,'Cannot be modified except by direct means',100,2,3),
(199029,10072057,'When Equipped:',100,0,0),
(199030,10072057,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199031,10072057,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(199032,10072057,'Cannot be modified except by direct means',100,2,3),
(199033,111080,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(199034,111080,'Slows target by 60.2%',100,2,1),
(199035,111080,'5% chance to dispel when target receives hostile action',100,2,2),
(199036,111080,'5% chance to dispel when target takes damage',100,2,3),
(199037,111080,'Decreases Mitigation of target vs elemental damage by 1820',100,1,4),
(199038,10111080,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(199039,10111080,'Slows target by 60.2%',100,2,1),
(199040,10111080,'5% chance to dispel when target receives hostile action',100,2,2),
(199041,10111080,'5% chance to dispel when target takes damage',100,2,3),
(199042,10111080,'Decreases Mitigation of target vs elemental damage by 1820',100,1,4),
(199043,123068,'Summons a pet undead knight',100,1,0),
(199044,10123068,'Summons a pet undead knight',100,1,0),
(199045,105291,'Increases AGI of caster by 79.5',100,1,0),
(199046,105291,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(199047,105291,'Inflicts 107 - 178 mental damage on target',100,2,2),
(199048,105291,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(199049,105291,'Inflicts 107 - 178 mental damage on target',100,2,4),
(199050,105291,'Adds 15.6% to base avoidance.',100,1,5),
(199051,105291,'Increases Mitigation of caster vs physical damage by 287',100,1,6),
(199052,105291,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,7),
(199053,10105291,'Increases AGI of caster by 79.5',100,1,0),
(199054,10105291,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(199055,10105291,'Inflicts 139 - 231 mental damage on target',100,2,2),
(199056,10105291,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(199057,10105291,'Inflicts 139 - 231 mental damage on target',100,2,4),
(199058,10105291,'Adds 15.6% to base avoidance.',100,1,5),
(199059,10105291,'Increases Mitigation of caster vs physical damage by 287',100,1,6),
(199060,10105291,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,7),
(199061,27457,'When Equipped:',100,0,0),
(199062,27457,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(199063,27457,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,2),
(199064,10027457,'When Equipped:',100,0,0),
(199065,10027457,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(199066,10027457,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,2),
(199067,159160,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(199068,159160,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(199069,159160,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(199070,159160,'Cannot be modified except by direct means',100,2,3),
(199071,10159160,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(199072,10159160,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(199073,10159160,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(199074,10159160,'Cannot be modified except by direct means',100,2,3),
(199075,105137,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(199076,105137,'Summon 1 Crystallized Essence (Journeyman)',100,2,1),
(199077,10105137,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(199078,10105137,'Summon 1 Crystallized Essence (Journeyman)',100,2,1),
(199079,46155,'Applies Enigmatic Formula when Activated.',100,0,0),
(199080,46155,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(199081,10046155,'Applies Enigmatic Formula when Activated.',100,0,0),
(199082,10046155,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(199083,43199,'When Equipped:',100,0,0),
(199084,43199,'On a ranged hit this spell may cast Entangling Shot on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199085,43199,'Inflicts 272 - 332 heat damage on target',100,2,2),
(199086,43199,'Roots target',100,2,3),
(199087,43199,'15% chance to dispel when target takes damage',100,2,4),
(199088,43199,'Only affects targets level 90 and below',100,2,5),
(199089,43199,'Does not affect Epic targets',100,2,6),
(199090,43199,'Resistibility increases against targets higher than level 114.',100,2,7),
(199091,43199,'Cannot be modified except by direct means',100,2,8),
(199092,43199,'Cannot be modified except by direct means',100,1,9),
(199093,10043199,'When Equipped:',100,0,0),
(199094,10043199,'On a ranged hit this spell may cast Entangling Shot on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199095,10043199,'Inflicts 354 - 432 heat damage on target',100,2,2),
(199096,10043199,'Roots target',100,2,3),
(199097,10043199,'15% chance to dispel when target takes damage',100,2,4),
(199098,10043199,'Only affects targets level 90 and below',100,2,5),
(199099,10043199,'Does not affect Epic targets',100,2,6),
(199100,10043199,'Resistibility increases against targets higher than level 114.',100,2,7),
(199101,10043199,'Cannot be modified except by direct means',100,2,8),
(199102,10043199,'Cannot be modified except by direct means',100,1,9),
(199103,181774,'When Equipped:',100,0,0),
(199104,181774,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(199105,181774,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(199106,181774,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(199107,181774,'Must not be engaged in pvp combat',100,2,4),
(199108,181774,'Cannot be modified except by direct means',100,2,5),
(199109,181774,'Cannot be modified except by direct means',100,1,6),
(199110,10181774,'When Equipped:',100,0,0),
(199111,10181774,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(199112,10181774,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(199113,10181774,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(199114,10181774,'Must not be engaged in pvp combat',100,2,4),
(199115,10181774,'Cannot be modified except by direct means',100,2,5),
(199116,10181774,'Cannot be modified except by direct means',100,1,6),
(199117,170453,'When Equipped:',100,0,0),
(199118,170453,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(199119,170453,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(199120,170453,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(199121,170453,'Must not be engaged in pvp combat',100,2,4),
(199122,170453,'Cannot be modified except by direct means',100,2,5),
(199123,10170453,'When Equipped:',100,0,0),
(199124,10170453,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(199125,10170453,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(199126,10170453,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(199127,10170453,'Must not be engaged in pvp combat',100,2,4),
(199128,10170453,'Cannot be modified except by direct means',100,2,5),
(199129,112664,'Inflicts 483 - 805 disease damage on target',100,1,0),
(199130,112664,'Inflicts 483 - 805 disease damage on target',100,1,1),
(199131,112664,'Roots target',100,1,2),
(199132,112664,'If Target is not Epic',100,2,3),
(199133,112664,'15% chance to dispel when target takes damage',100,1,4),
(199134,112664,'If weapon equipped in Ranged',100,1,5),
(199135,112664,'Resistibility increases against targets higher than level 120.',100,1,6),
(199136,10112664,'Inflicts 410 - 684 disease damage on target',100,1,0),
(199137,10112664,'Inflicts 410 - 684 disease damage on target',100,1,1),
(199138,10112664,'Roots target',100,1,2),
(199139,10112664,'If Target is not Epic',100,2,3),
(199140,10112664,'15% chance to dispel when target takes damage',100,1,4),
(199141,10112664,'If weapon equipped in Ranged',100,1,5),
(199142,10112664,'Resistibility increases against targets higher than level 120.',100,1,6),
(199143,45735,'Applies Solvent of Life  when Activated.  Lasts for 15 minutes.',100,0,0),
(199144,45735,'Increases Max Health of caster by 276.0',100,1,1),
(199145,10045735,'Applies Solvent of Life  when Activated.  Lasts for 15 minutes.',100,0,0),
(199146,10045735,'Increases Max Health of caster by 276.0',100,1,1),
(199147,47151,'Applies Durak''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(199148,47151,'Increases AGI of caster by 20.0',100,1,1),
(199149,10047151,'Applies Durak''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(199150,10047151,'Increases AGI of caster by 20.0',100,1,1),
(199151,80561,'When Equipped:',100,0,0),
(199152,80561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199153,80561,'Inflicts 121 - 225 magic damage on target',100,2,2),
(199154,80561,'Cannot be modified except by direct means',100,2,3),
(199155,10080561,'When Equipped:',100,0,0),
(199156,10080561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199157,10080561,'Inflicts 157 - 292 magic damage on target',100,2,2),
(199158,10080561,'Cannot be modified except by direct means',100,2,3),
(199159,46108,'Applies Elixir of Subconscious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(199160,10046108,'Applies Elixir of Subconscious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(199161,189048,'When Equipped:',100,0,0),
(199162,189048,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(199163,189048,'Inflicts 2664 disease damage on target encounter',100,2,2),
(199164,189048,'Must not be engaged in pvp combat',100,2,3),
(199165,189048,'Cannot be modified except by direct means',100,2,4),
(199166,189048,'When Equipped:',100,0,5),
(199167,189048,'This effect will not stack with itself.',100,1,6),
(199168,189048,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(199169,189048,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(199170,189048,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(199171,189048,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(199172,189048,'Must not be engaged in pvp combat',100,2,11),
(199173,189048,'Cannot be modified except by direct means',100,2,12),
(199174,189048,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(199175,189048,'Increases in-combat movement speed of caster by 10.0%',100,2,14),
(199176,189048,'Increases Ability Casting Speed of caster by 10.0%',100,2,15),
(199177,189048,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(199178,189048,'Must not be engaged in pvp combat',100,2,17),
(199179,189048,'Cannot be modified except by direct means',100,2,18),
(199180,189048,'Must not be engaged in pvp combat',100,1,19),
(199181,10189048,'When Equipped:',100,0,0),
(199182,10189048,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(199183,10189048,'Inflicts 1732 disease damage on target encounter',100,2,2),
(199184,10189048,'Must not be engaged in pvp combat',100,2,3),
(199185,10189048,'Cannot be modified except by direct means',100,2,4),
(199186,10189048,'When Equipped:',100,0,5),
(199187,10189048,'This effect will not stack with itself.',100,1,6),
(199188,10189048,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(199189,10189048,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(199190,10189048,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(199191,10189048,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(199192,10189048,'Must not be engaged in pvp combat',100,2,11),
(199193,10189048,'Cannot be modified except by direct means',100,2,12),
(199194,10189048,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(199195,10189048,'Increases in-combat movement speed of caster by 10.0%',100,2,14),
(199196,10189048,'Increases Ability Casting Speed of caster by 10.0%',100,2,15),
(199197,10189048,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(199198,10189048,'Must not be engaged in pvp combat',100,2,17),
(199199,10189048,'Cannot be modified except by direct means',100,2,18),
(199200,10189048,'Must not be engaged in pvp combat',100,1,19),
(199201,72001,'When Equipped:',100,0,0),
(199202,72001,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199203,72001,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(199204,72001,'Cannot be modified except by direct means',100,2,3),
(199205,10072001,'When Equipped:',100,0,0),
(199206,10072001,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199207,10072001,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(199208,10072001,'Cannot be modified except by direct means',100,2,3),
(199209,115847,'Inflicts 206 - 343 mental damage on target encounter',100,1,0),
(199210,115847,'Interrupts target encounter',100,1,1),
(199211,10115847,'Inflicts 268 - 446 mental damage on target encounter',100,1,0),
(199212,10115847,'Interrupts target encounter',100,1,1),
(199213,36127,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(199214,45466,'Applies Caress of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(199215,45466,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(199216,45466,'Inflicts 500 poison damage on target',100,2,2),
(199217,45466,'Inflicts 88 poison damage on target instantly and every 6 seconds',100,2,3),
(199218,45466,'Cannot be modified except by direct means',100,2,4),
(199219,45466,'Grants a total of 100 triggers of the spell.',100,2,5),
(199220,10045466,'Applies Caress of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(199221,10045466,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(199222,10045466,'Inflicts 86 poison damage on target instantly and every 6 seconds',100,2,2),
(199223,10045466,'Inflicts 487 poison damage on target',100,2,3),
(199224,10045466,'Cannot be modified except by direct means',100,2,4),
(199225,10045466,'Grants a total of 100 triggers of the spell.',100,2,5),
(199226,81533,'When Equipped:',100,0,0),
(199227,81533,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199228,81533,'Inflicts 167 - 311 magic damage on target',100,2,2),
(199229,81533,'Cannot be modified except by direct means',100,2,3),
(199230,10081533,'When Equipped:',100,0,0),
(199231,10081533,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199232,10081533,'Inflicts 217 - 404 magic damage on target',100,2,2),
(199233,10081533,'Cannot be modified except by direct means',100,2,3),
(199234,169234,'When Equipped:',100,0,0),
(199235,169234,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(199236,10169234,'When Equipped:',100,0,0),
(199237,10169234,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(199238,123298,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(199239,123298,'Inflicts 288 - 481 disease damage on target',100,2,1),
(199240,123298,'Heals caster for 1.0 - 1.8% of max health',100,2,2),
(199241,123298,'This effect cannot be critically applied.',100,3,3),
(199242,123298,'The healing of this spell cannot be modified except by direct means',100,2,4),
(199243,10123298,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(199244,10123298,'Inflicts 375 - 625 disease damage on target',100,2,1),
(199245,10123298,'Heals caster for 0.4 - 0.6% of max health',100,2,2),
(199246,10123298,'This effect cannot be critically applied.',100,3,3),
(199247,10123298,'The healing of this spell cannot be modified except by direct means',100,2,4),
(199248,115651,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 640',100,1,0),
(199249,10115651,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 640',100,1,0),
(199250,47982,'Applies Call Forth a Cloud when Activated.',100,0,0),
(199251,47982,'Reduces maximum falling speed of caster',100,1,1),
(199252,47982,'Summons a mount to ride',100,1,2),
(199253,47982,'Increases your ground speed by 130%',100,2,3),
(199254,10047982,'Applies Call Forth a Cloud when Activated.',100,0,0),
(199255,10047982,'Reduces maximum falling speed of caster',100,1,1),
(199256,10047982,'Summons a mount to ride',100,1,2),
(199257,10047982,'Increases your ground speed by 130%',100,2,3),
(199258,50628,'When Equipped:',100,0,0),
(199259,50628,'On a healing spell cast this spell may cast Blackstone on caster.  Lasts for 10.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(199260,50628,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(199261,50628,'If priest',100,2,3),
(199262,50628,'Cannot be modified except by direct means',100,2,4),
(199263,50628,'When Equipped:',100,0,5),
(199264,50628,'Reduces cast time of beneficial spells by 5 percent.',100,1,6),
(199265,10050628,'When Equipped:',100,0,0),
(199266,10050628,'On a healing spell cast this spell may cast Blackstone on caster.  Lasts for 10.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(199267,10050628,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(199268,10050628,'If priest',100,2,3),
(199269,10050628,'Cannot be modified except by direct means',100,2,4),
(199270,10050628,'When Equipped:',100,0,5),
(199271,10050628,'Reduces cast time of beneficial spells by 5 percent.',100,1,6),
(199272,101842,'Summons a limited pet to aid the caster',100,1,0),
(199273,10101842,'Summons a limited pet to aid the caster',100,1,0),
(199274,159945,'When Equipped:',100,0,0),
(199275,159945,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(199276,159945,'Increases AGI of caster by 19.2',100,2,2),
(199277,159945,'Increases Attack Speed of caster by 21.4',100,2,3),
(199278,159945,'Cannot be modified except by direct means',100,2,4),
(199279,10159945,'When Equipped:',100,0,0),
(199280,10159945,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(199281,10159945,'Increases AGI of caster by 19.2',100,2,2),
(199282,10159945,'Increases Attack Speed of caster by 21.4',100,2,3),
(199283,10159945,'Cannot be modified except by direct means',100,2,4),
(199284,119477,'Dazes target encounter',100,1,0),
(199285,119477,'If Target is not Epic',100,2,1),
(199286,119477,'Inflicts 76 - 93 magic damage on target encounter instantly and every second',100,1,2),
(199287,119477,'Resistibility increases against targets higher than level 54.',100,1,3),
(199288,10119477,'Inflicts 131 - 160 magic damage on target encounter',100,1,0),
(199289,10119477,'Inflicts 99 - 121 magic damage on target encounter every second',100,1,1),
(199290,10119477,'Dazes target encounter',100,1,2),
(199291,10119477,'If Target is not Epic',100,2,3),
(199292,10119477,'Resistibility increases against targets higher than level 54.',100,1,4),
(199293,117123,'Inflicts 79 - 97 heat damage on target instantly and every 4 seconds',100,1,0),
(199294,117123,'Decreases Mitigation of target vs arcane damage by 322',100,1,1),
(199295,10117123,'Inflicts 103 - 126 heat damage on target instantly and every 4 seconds',100,1,0),
(199296,10117123,'Decreases Mitigation of target vs arcane damage by 322',100,1,1),
(199297,158907,'When Equipped:',100,0,0),
(199298,158907,'On a damage spell hit this spell may cast Thought Retrieval on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199299,158907,'Increases power of caster by 56 instantly and every 4 seconds',100,2,2),
(199300,158907,'Cannot be modified except by direct means',100,2,3),
(199301,10158907,'When Equipped:',100,0,0),
(199302,10158907,'On a damage spell hit this spell may cast Thought Retrieval on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199303,10158907,'Increases power of caster by 56 instantly and every 4 seconds',100,2,2),
(199304,10158907,'Cannot be modified except by direct means',100,2,3),
(199305,75652,'Applies Holy Strike when Activated.',100,0,0),
(199306,75652,'Inflicts 264 - 440 divine damage on target',100,1,1),
(199307,75652,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(199308,10075652,'Applies Holy Strike when Activated.',100,0,0),
(199309,10075652,'Inflicts 343 - 572 divine damage on target',100,1,1),
(199310,10075652,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(199311,106590,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(199312,10106590,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(199313,101240,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(199314,101240,'Inflicts 84 - 140 mental damage on target',100,2,1),
(199315,10101240,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(199316,10101240,'Inflicts 109 - 182 mental damage on target',100,2,1),
(199317,103354,'Inflicts 21 - 25 mental damage on target instantly and every 6 seconds',100,1,0),
(199318,103354,'Decreases power of target by 5 instantly and every 6 seconds',100,1,1),
(199319,103354,'Increases power of caster by 17',100,1,2),
(199320,10103354,'Inflicts 27 - 33 mental damage on target instantly and every 6 seconds',100,1,0),
(199321,10103354,'Decreases power of target by 5 instantly and every 6 seconds',100,1,1),
(199322,10103354,'Increases power of caster by 17',100,1,2),
(199323,24215,'Adds Crushbone: Roasting Spit to your Dungeon Maker toolbox',100,0,0),
(199324,10024215,'Adds Crushbone: Roasting Spit to your Dungeon Maker toolbox',100,0,0),
(199325,46424,'Applies Frayed Heart Thingymabob when Activated.',100,0,0),
(199326,46424,'Resurrects target with 1% health and power',25,1,1),
(199327,46424,'This effect cannot be cast during combat',100,1,2),
(199328,10046424,'Applies Frayed Heart Thingymabob when Activated.',100,0,0),
(199329,10046424,'Resurrects target with 1% health and power',25,1,1),
(199330,10046424,'This effect cannot be cast during combat',100,1,2),
(199331,177547,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(199332,177547,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(199333,177547,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(199334,177547,'Cannot be modified except by direct means',100,2,3),
(199335,10177547,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(199336,10177547,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(199337,10177547,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(199338,10177547,'Cannot be modified except by direct means',100,2,3),
(199339,121088,'Decreases Threat to targets in Area of Effect by 325 ',100,1,0),
(199340,121088,'Mesmerizes targets in Area of Effect',100,1,1),
(199341,121088,'If Target is not Epic',100,2,2),
(199342,121088,'Dispelled when target takes damage',100,1,3),
(199343,10121088,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(199344,10121088,'Applies Distract.',100,1,1),
(199345,10121088,'Forces target to clear their selected target.',100,2,2),
(199346,10121088,'Mesmerizes targets in Area of Effect',100,1,3),
(199347,10121088,'If Target is not Epic',100,2,4),
(199348,10121088,'Dispelled when target takes damage',100,1,5),
(199349,24306,'Adds Boss: Djinn Master (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(199350,10024306,'Adds Boss: Djinn Master (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(199351,106734,'Heals target for 588 - 719',100,1,0),
(199352,10106734,'Heals target for 691 - 845',100,1,0),
(199353,36255,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(199354,36255,'This effect suspends during combat',100,0,1),
(199355,121978,'Inflicts 223 - 372 disease damage on target',100,1,0),
(199356,121978,'Decreases Defense of target by 43.2',100,1,1),
(199357,121978,'Interrupts target',100,1,2),
(199358,10121978,'Inflicts 290 - 484 disease damage on target',100,1,0),
(199359,10121978,'Decreases Defense of target by 43.2',100,1,1),
(199360,10121978,'Interrupts target',100,1,2),
(199361,24473,'Adds Lair of Scale: Azurite Entwined Sculpture to your Dungeon Maker toolbox',100,0,0),
(199362,10024473,'Adds Lair of Scale: Azurite Entwined Sculpture to your Dungeon Maker toolbox',100,0,0),
(199363,103860,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(199364,103860,'Slows target by 52.4%',100,2,1),
(199365,103860,'5% chance to dispel when target receives hostile action',100,2,2),
(199366,103860,'5% chance to dispel when target takes damage',100,2,3),
(199367,103860,'Decreases Mitigation of target vs noxious damage by 1036',100,1,4),
(199368,10103860,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(199369,10103860,'Slows target by 52.4%',100,2,1),
(199370,10103860,'5% chance to dispel when target receives hostile action',100,2,2),
(199371,10103860,'5% chance to dispel when target takes damage',100,2,3),
(199372,10103860,'Decreases Mitigation of target vs noxious damage by 1036',100,1,4),
(199373,114469,'Inflicts 580 - 966 heat damage on target',100,1,0),
(199374,10114469,'Inflicts 754 - 1257 heat damage on target',100,1,0),
(199375,104689,'Decreases Mitigation of target vs all damage by 634',100,1,0),
(199376,10104689,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 634',100,1,0),
(199377,10104689,'Decreases Mitigation of target vs physical damage by 528',100,1,1),
(199378,119033,'Inflicts 23 - 39 mental damage on target',100,1,0),
(199379,119033,'Decreases power of target by 22 - 37',100,1,1),
(199380,119033,'Increases power of caster by 9 - 14',100,1,2),
(199381,10119033,'Inflicts 30 - 51 mental damage on target',100,1,0),
(199382,10119033,'Decreases power of target by 22 - 37',100,1,1),
(199383,10119033,'Increases power of caster by 9 - 14',100,1,2),
(199384,122451,'Inflicts 851 - 1419 magic damage on target',100,1,0),
(199385,10122451,'Inflicts 1107 - 1844 magic damage on target',100,1,0),
(199386,89804,'When Equipped:',100,0,0),
(199387,89804,'On a combat hit this spell may cast Scorpic Necrotoxin on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199388,89804,'Inflicts 518 poison damage on target',100,2,2),
(199389,89804,'Cannot be modified except by direct means',100,2,3),
(199390,10089804,'When Equipped:',100,0,0),
(199391,10089804,'On a combat hit this spell may cast Scorpic Necrotoxin on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199392,10089804,'Inflicts 674 poison damage on target',100,2,2),
(199393,10089804,'Cannot be modified except by direct means',100,2,3),
(199394,112056,'Inflicts 16 - 29 heat damage on target instantly and every 3 seconds',100,1,0),
(199395,10112056,'Inflicts 20 - 38 heat damage on target instantly and every 3 seconds',100,1,0),
(199396,104398,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(199397,104398,'Inflicts 411 - 502 cold damage on target',100,2,1),
(199398,10104398,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(199399,10104398,'Inflicts 534 - 652 cold damage on target',100,2,1),
(199400,159379,'When Equipped:',100,0,0),
(199401,159379,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(199402,159379,'Increases STA of caster by 3.6',100,2,2),
(199403,159379,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(199404,159379,'Cannot be modified except by direct means',100,2,4),
(199405,10159379,'When Equipped:',100,0,0),
(199406,10159379,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(199407,10159379,'Increases STA of caster by 3.6',100,2,2),
(199408,10159379,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(199409,10159379,'Cannot be modified except by direct means',100,2,4),
(199410,46396,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(199411,46396,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(199412,46396,'Decreases Attack Speed of target by 20.4',100,2,2),
(199413,46396,'Cannot be modified except by direct means',100,2,3),
(199414,46396,'Grants a total of 60 triggers of the spell.',100,2,4),
(199415,10046396,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(199416,10046396,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(199417,10046396,'Decreases Attack Speed of target by 20.4',100,2,2),
(199418,10046396,'Cannot be modified except by direct means',100,2,3),
(199419,10046396,'Grants a total of 60 triggers of the spell.',100,2,4),
(199420,24513,'Adds Mistmoore 4 to your Dungeon Maker toolbox',100,0,0),
(199421,10024513,'Adds Mistmoore 4 to your Dungeon Maker toolbox',100,0,0),
(199422,123532,'Inflicts 73 - 110 piercing damage on target instantly and every 4 seconds',100,1,0),
(199423,123532,'Decreases Defense of target by 14.7',100,1,1),
(199424,10123532,'Inflicts 133 - 200 piercing damage on target',100,1,0),
(199425,10123532,'Inflicts 95 - 143 piercing damage on target every 4 seconds',100,1,1),
(199426,10123532,'Decreases Defense of target by 14.7',100,1,2),
(199427,159551,'Applies Lambent Imbued when Equipped.',100,0,0),
(199428,159551,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(199429,159551,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(199430,159551,'Cannot be modified except by direct means',100,2,3),
(199431,10159551,'Applies Lambent Imbued when Equipped.',100,0,0),
(199432,10159551,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(199433,10159551,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(199434,10159551,'Cannot be modified except by direct means',100,2,3),
(199435,124469,'Heals group members (AE) for 151 - 185',100,1,0),
(199436,10124469,'Heals group members (AE) for 177 - 216',100,1,0),
(199437,48521,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(199438,48521,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(199439,48521,'Inflicts 76 poison damage on target',100,2,2),
(199440,48521,'Inflicts 67 poison damage on target instantly and every 6 seconds',100,2,3),
(199441,48521,'Cannot be modified except by direct means',100,2,4),
(199442,48521,'Grants a total of 200 triggers of the spell.',100,2,5),
(199443,10048521,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(199444,10048521,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(199445,10048521,'Inflicts 65 poison damage on target instantly and every 6 seconds',100,2,2),
(199446,10048521,'Inflicts 74 poison damage on target',100,2,3),
(199447,10048521,'Cannot be modified except by direct means',100,2,4),
(199448,10048521,'Grants a total of 200 triggers of the spell.',100,2,5),
(199449,26428,'When Equipped:',100,0,0),
(199450,26428,'On a riposte this spell has a 30% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(199451,26428,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(199452,26428,'Heals caster for 57 - 69',100,3,3),
(199453,26428,'Grants a total of 3 triggers of the spell.',100,3,4),
(199454,26428,'Cannot be modified except by direct means',100,2,5),
(199455,10026428,'When Equipped:',100,0,0),
(199456,10026428,'On a riposte this spell has a 30% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(199457,10026428,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(199458,10026428,'Heals caster for 37 - 45',100,3,3),
(199459,10026428,'Grants a total of 3 triggers of the spell.',100,3,4),
(199460,10026428,'Cannot be modified except by direct means',100,2,5),
(199461,159124,'When Equipped:',100,0,0),
(199462,159124,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(199463,159124,'Increases STA of caster by 11.9',100,2,2),
(199464,159124,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(199465,159124,'Cannot be modified except by direct means',100,2,4),
(199466,10159124,'When Equipped:',100,0,0),
(199467,10159124,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(199468,10159124,'Increases STA of caster by 11.9',100,2,2),
(199469,10159124,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(199470,10159124,'Cannot be modified except by direct means',100,2,4),
(199471,162733,'Applies Unstable Magics when Equipped.',100,0,0),
(199472,162733,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(199473,10162733,'Applies Unstable Magics when Equipped.',100,0,0),
(199474,10162733,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(199475,108058,'Inflicts 744 magic damage on target',100,1,0),
(199476,108058,'Increases power of caster by 350',100,1,1),
(199477,10108058,'Inflicts 967 magic damage on target',100,1,0),
(199478,10108058,'Increases power of caster by 350',100,1,1),
(199479,120946,'Inflicts 198 - 331 ranged damage on target',100,1,0),
(199480,120946,'If weapon equipped in Ranged',100,1,1),
(199481,120946,'Must be behind',100,1,2),
(199482,10120946,'Inflicts 168 - 281 ranged damage on target',100,1,0),
(199483,10120946,'If weapon equipped in Ranged',100,1,1),
(199484,10120946,'Must be behind',100,1,2),
(199485,107146,'Inflicts 832 - 1017 divine damage on target',100,1,0),
(199486,107146,'Inflicts 832 - 1017 divine damage on target',100,1,1),
(199487,107146,'If target is undead',100,2,2),
(199488,10107146,'Inflicts 1082 - 1322 divine damage on target',100,1,0),
(199489,10107146,'Inflicts 1082 - 1322 divine damage on target',100,1,1),
(199490,106397,'Inflicts 1124 - 1874 melee damage on target',100,1,0),
(199491,106397,'Decreases Defense of target by 41.3',100,1,1),
(199492,106397,'Decreases Defense of caster by 25.8',100,1,2),
(199493,10106397,'Inflicts 1461 - 2436 melee damage on target',100,1,0),
(199494,10106397,'Decreases Defense of target by 41.3',100,1,1),
(199495,10106397,'Decreases Defense of caster by 25.8',100,1,2),
(199496,104144,'Roots target',100,1,0),
(199497,104144,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(199498,104144,'Makes target afraid',100,2,2),
(199499,104144,'Slows target by 26.8%',100,2,3),
(199500,104144,'30% chance to dispel when target takes damage',100,2,4),
(199501,104144,'Resistibility increases against targets higher than level 102.',100,2,5),
(199502,104144,'15% chance to dispel when target takes damage',100,1,6),
(199503,104144,'Does not affect Epic targets',100,1,7),
(199504,104144,'Resistibility increases against targets higher than level 102.',100,1,8),
(199505,10104144,'Roots target',100,1,0),
(199506,10104144,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(199507,10104144,'Makes target afraid',100,2,2),
(199508,10104144,'Slows target by 26.8%',100,2,3),
(199509,10104144,'30% chance to dispel when target takes damage',100,2,4),
(199510,10104144,'Resistibility increases against targets higher than level 102.',100,2,5),
(199511,10104144,'15% chance to dispel when target takes damage',100,1,6),
(199512,10104144,'Does not affect Epic targets',100,1,7),
(199513,10104144,'Resistibility increases against targets higher than level 102.',100,1,8),
(199514,35134,'Increases Max Power of target by 3.3',100,0,0),
(199515,35134,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(199516,102151,'Inflicts 233 - 389 melee damage on target',100,1,0),
(199517,102151,'Inflicts 233 - 389 melee damage on target',100,1,1),
(199518,10102151,'Inflicts 304 - 506 melee damage on target',100,1,0),
(199519,10102151,'Inflicts 304 - 506 melee damage on target',100,1,1),
(199520,118691,'Inflicts 241 - 723 crushing damage on target',100,1,0),
(199521,10118691,'Inflicts 313 - 940 crushing damage on target',100,1,0),
(199522,118107,'Heals target for 71 - 87',100,1,0),
(199523,10118107,'Heals target for 84 - 103',100,1,0),
(199524,119399,'Inflicts 13 - 22 melee damage on target',100,1,0),
(199525,119399,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(199526,119399,'Stuns target',100,2,2),
(199527,119399,'Throws target back',100,2,3),
(199528,119399,'Blurs vision of target',100,2,4),
(199529,119399,'Does not affect Epic targets',100,2,5),
(199530,119399,'You must be sneaking to use this ability.',100,1,6),
(199531,10119399,'Inflicts 17 - 29 melee damage on target',100,1,0),
(199532,10119399,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(199533,10119399,'Stuns target',100,2,2),
(199534,10119399,'Throws target back',100,2,3),
(199535,10119399,'Blurs vision of target',100,2,4),
(199536,10119399,'Does not affect Epic targets',100,2,5),
(199537,10119399,'You must be sneaking to use this ability.',100,1,6),
(199538,159738,'When Equipped:',100,0,0),
(199539,159738,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199540,159738,'Increases WIS of caster by 17.6',100,2,2),
(199541,159738,'Increases Ministration, Ordination and Focus of caster by 9.9',100,2,3),
(199542,159738,'Cannot be modified except by direct means',100,2,4),
(199543,10159738,'When Equipped:',100,0,0),
(199544,10159738,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199545,10159738,'Increases WIS of caster by 17.6',100,2,2),
(199546,10159738,'Increases Ministration, Ordination and Focus of caster by 9.9',100,2,3),
(199547,10159738,'Cannot be modified except by direct means',100,2,4),
(199548,109148,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(199549,109148,'Heals target for 1338 - 1636',100,2,1),
(199550,109148,'Grants a total of 8 triggers of the spell.',100,2,2),
(199551,10109148,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(199552,10109148,'Heals target for 1566 - 1914',100,2,1),
(199553,10109148,'Grants a total of 8 triggers of the spell.',100,2,2),
(199554,111252,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(199555,111252,'Heals target for 683',100,2,1),
(199556,111252,'Increases Mitigation of target vs physical damage by 492',100,2,2),
(199557,111252,'Grants a total of 1 trigger of the spell.',100,2,3),
(199558,10111252,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(199559,10111252,'Heals target for 444',100,2,1),
(199560,10111252,'Increases Mitigation of target vs physical damage by 492',100,2,2),
(199561,10111252,'Grants a total of 1 trigger of the spell.',100,2,3),
(199562,36709,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(199563,159491,'Applies Sanguine Imbued when Equipped.',100,0,0),
(199564,159491,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(199565,159491,'Inflicts 117 heat damage on target',100,2,2),
(199566,159491,'Cannot be modified except by direct means',100,2,3),
(199567,10159491,'Applies Sanguine Imbued when Equipped.',100,0,0),
(199568,10159491,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(199569,10159491,'Inflicts 152 heat damage on target',100,2,2),
(199570,10159491,'Cannot be modified except by direct means',100,2,3),
(199571,153976,'When Equipped:',100,0,0),
(199572,153976,'Increases range of hostile spells by 10 percent.',100,1,1),
(199573,10153976,'When Equipped:',100,0,0),
(199574,10153976,'Increases range of hostile spells by 10 percent.',100,1,1),
(199575,81964,'When Equipped:',100,0,0),
(199576,81964,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199577,81964,'Inflicts 408 - 757 magic damage on target',100,2,2),
(199578,81964,'Decreases Threat to target by 994 ',100,2,3),
(199579,81964,'Must be flanking or behind',100,3,4),
(199580,81964,'Increases Threat to target by 994 ',100,2,5),
(199581,81964,'Must be in front of',100,3,6),
(199582,81964,'Cannot be modified except by direct means',100,2,7),
(199583,10081964,'When Equipped:',100,0,0),
(199584,10081964,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199585,10081964,'Inflicts 530 - 984 magic damage on target',100,2,2),
(199586,10081964,'Cannot be modified except by direct means',100,2,3),
(199587,48786,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(199588,48786,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(199589,48786,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,2),
(199590,48786,'Inflicts 57 poison damage on target',100,2,3),
(199591,48786,'Cannot be modified except by direct means',100,2,4),
(199592,48786,'Grants a total of 200 triggers of the spell.',100,2,5),
(199593,10048786,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(199594,10048786,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(199595,10048786,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,2),
(199596,10048786,'Inflicts 56 poison damage on target',100,2,3),
(199597,10048786,'Cannot be modified except by direct means',100,2,4),
(199598,10048786,'Grants a total of 200 triggers of the spell.',100,2,5),
(199599,115854,'Inflicts 341 - 569 mental damage on target encounter',100,1,0),
(199600,115854,'Interrupts target encounter',100,1,1),
(199601,10115854,'Inflicts 444 - 739 mental damage on target encounter',100,1,0),
(199602,10115854,'Interrupts target encounter',100,1,1),
(199603,25975,'When Equipped:',100,0,0),
(199604,25975,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(199605,10025975,'When Equipped:',100,0,0),
(199606,10025975,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(199607,86061,'When Equipped:',100,0,0),
(199608,86061,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199609,86061,'Increases Ability Modifier of caster by 660.0',100,2,2),
(199610,86061,'Must not be engaged in pvp combat',100,2,3),
(199611,86061,'Cannot be modified except by direct means',100,2,4),
(199612,86061,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(199613,86061,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(199614,86061,'Increases Ability Modifier of caster by 660.0',100,2,7),
(199615,86061,'Must not be engaged in pvp combat',100,2,8),
(199616,86061,'Cannot be modified except by direct means',100,2,9),
(199617,86061,'Cannot be modified except by direct means',100,1,10),
(199618,10086061,'When Equipped:',100,0,0),
(199619,10086061,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199620,10086061,'Increases Ability Modifier of caster by 660.0',100,2,2),
(199621,10086061,'Must not be engaged in pvp combat',100,2,3),
(199622,10086061,'Cannot be modified except by direct means',100,2,4),
(199623,10086061,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(199624,10086061,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(199625,10086061,'Increases Ability Modifier of caster by 660.0',100,2,7),
(199626,10086061,'Must not be engaged in pvp combat',100,2,8),
(199627,10086061,'Cannot be modified except by direct means',100,2,9),
(199628,10086061,'Cannot be modified except by direct means',100,1,10),
(199629,77294,'Applies Balance when Activated.  Lasts for 20.0 seconds.',100,0,0),
(199630,77294,'Caster will Parry 15.0% of incoming attacks',100,1,1),
(199631,77294,'Increases threat priority of target by 3 positions',100,1,2),
(199632,77294,'Increases Threat to target by 5,000 ',100,1,3),
(199633,77294,'Must have Finality, Arbiter of Light and Dark equipped.',100,1,4),
(199634,77294,'The casting time of Balance is 0.5 seconds and the reuse time of the spell is 2 minutes',100,1,5),
(199635,10077294,'Applies Balance when Activated.  Lasts for 20.0 seconds.',100,0,0),
(199636,10077294,'Caster will Parry 15.0% of incoming attacks',100,1,1),
(199637,10077294,'Must have Finality, Arbiter of Light and Dark equipped.',100,1,2),
(199638,10077294,'The casting time of Balance is 0.5 seconds and the reuse time of the spell is 2 minutes',100,1,3),
(199639,122472,'Grants the brawler a small chance to briefly stun their target with  each melee hit.',100,1,0),
(199642,10122472,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(199643,10122472,'Inflicts 30 magic damage on target',100,2,1),
(199644,10122472,'Grants a total of 5 triggers of the spell.',100,2,2),
(199645,110759,'Heals group members (AE) for 49 - 59 instantly and every 2 seconds',100,1,0),
(199646,10110759,'Heals group members (AE) for 32 - 39 instantly and every 2 seconds',100,1,0),
(199647,88003,'When Equipped:',100,0,0),
(199648,88003,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199649,88003,'Inflicts 93 - 113 disease damage on target',100,2,2),
(199650,88003,'Inflicts 87 - 106 disease damage on target every 6 seconds',100,2,3),
(199651,88003,'Cannot be modified except by direct means',100,2,4),
(199652,10088003,'When Equipped:',100,0,0),
(199653,10088003,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199654,10088003,'Inflicts 121 - 147 disease damage on target',100,2,2),
(199655,10088003,'Inflicts 113 - 138 disease damage on target every 6 seconds',100,2,3),
(199656,10088003,'Cannot be modified except by direct means',100,2,4),
(199657,118975,'Applies Sacrifice.',100,1,0),
(199658,118975,'Increases power of group members (AE) by 284',100,2,1),
(199659,118975,'Heals group members (AE) for 995',100,2,2),
(199660,118975,'Stuns target',100,1,3),
(199661,10118975,'Stuns target',100,1,0),
(199662,10118975,'Applies Sacrifice.',100,1,1),
(199663,10118975,'Heals group members (AE) for 1386',100,2,2),
(199664,10118975,'Increases power of group members (AE) by 284',100,2,3),
(199665,70897,'When Equipped:',100,0,0),
(199666,70897,'On a combat hit this spell may cast Slash of Doom on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199667,70897,'Inflicts 363 - 1088 divine damage on target',100,2,2),
(199668,70897,'Cannot be modified except by direct means',100,2,3),
(199669,10070897,'When Equipped:',100,0,0),
(199670,10070897,'On a combat hit this spell may cast Slash of Doom on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199671,10070897,'Inflicts 472 - 1415 divine damage on target',100,2,2),
(199672,10070897,'Cannot be modified except by direct means',100,2,3),
(199673,41666,'When Equipped:',100,0,0),
(199674,41666,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199675,41666,'Inflicts 288 - 534 magic damage on target',100,2,2),
(199676,41666,'Decreases Threat to target by 672 ',100,2,3),
(199677,41666,'Must be flanking or behind',100,3,4),
(199678,41666,'Increases Threat to target by 672 ',100,2,5),
(199679,41666,'Must be in front of',100,3,6),
(199680,41666,'Cannot be modified except by direct means',100,2,7),
(199681,10041666,'When Equipped:',100,0,0),
(199682,10041666,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199683,10041666,'Inflicts 374 - 695 magic damage on target',100,2,2),
(199684,10041666,'Cannot be modified except by direct means',100,2,3),
(199685,111683,'Inflicts 103 - 126 cold damage on target',100,1,0),
(199686,111683,'Inflicts 103 - 126 cold damage on target',100,1,1),
(199687,111683,'If target is elemental',100,2,2),
(199688,10111683,'Inflicts 115 - 140 cold damage on target',100,1,0),
(199689,84325,'When Equipped:',100,0,0),
(199690,84325,'On a healing spell cast this spell may cast Immaterial Planar Barrier on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199691,84325,'Increases Mitigation of group members (AE) vs physical damage by 1128',100,2,2),
(199692,84325,'Wards group members (AE) against 6500 points of all damage',100,2,3),
(199693,84325,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1128',100,2,4),
(199694,84325,'Cannot be modified except by direct means',100,2,5),
(199695,10084325,'When Equipped:',100,0,0),
(199696,10084325,'On a healing spell cast this spell may cast Immaterial Planar Barrier on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199697,10084325,'Increases Mitigation of group members (AE) vs physical damage by 1128',100,2,2),
(199698,10084325,'Wards group members (AE) against 6500 points of all damage',100,2,3),
(199699,10084325,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1128',100,2,4),
(199700,10084325,'Cannot be modified except by direct means',100,2,5),
(199701,109974,'Inflicts 807 - 1210 disease damage on targets in Area of Effect',100,1,0),
(199702,109974,'Inflicts 403 - 605 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(199703,109974,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(199704,109974,'Increases Threat to targets in Area of Effect by 2,124 - 2,596  instantly and every 4 seconds thereafter',100,1,3),
(199705,10109974,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(199706,10109974,'Prevents target from changing targets',100,2,1),
(199707,10109974,'Forces target to change their selected target to caster.',100,2,2),
(199708,10109974,'Inflicts 1049 - 1573 disease damage on targets in Area of Effect',100,1,3),
(199709,10109974,'Inflicts 524 - 787 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(199710,135788,'When Equipped:',100,0,0),
(199711,135788,'When a combat art is used this spell has a 5% chance to cast Nectar Collection on target of combat art.  ',100,1,1),
(199712,135788,'Decreases power of target by 396',100,2,2),
(199713,135788,'Increases power of caster by 165',100,2,3),
(199714,135788,'Cannot be modified except by direct means',100,2,4),
(199715,10135788,'When Equipped:',100,0,0),
(199716,10135788,'When a combat art is used this spell has a 5% chance to cast Nectar Collection on target of combat art.  ',100,1,1),
(199717,10135788,'Decreases power of target by 396',100,2,2),
(199718,10135788,'Increases power of caster by 165',100,2,3),
(199719,10135788,'Cannot be modified except by direct means',100,2,4),
(199720,102155,'Inflicts 393 - 656 melee damage on target',100,1,0),
(199721,102155,'Inflicts 393 - 656 melee damage on target',100,1,1),
(199722,10102155,'Inflicts 512 - 853 melee damage on target',100,1,0),
(199723,10102155,'Inflicts 512 - 853 melee damage on target',100,1,1),
(199724,35461,'Increases INT of target by 1.5',100,0,0),
(199725,35461,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(199726,46826,'Applies Magic Rejuvenator when Activated.',100,0,0),
(199727,46826,'Inflicts 25.0% of max health in mental damage on target',100,1,1),
(199728,10046826,'Applies Magic Rejuvenator when Activated.',100,0,0),
(199729,10046826,'Inflicts 32.5% of max health in mental damage on target',100,1,1),
(199730,47640,'Applies Protection of the Songweaver when Activated.  Lasts for 30 minutes.',100,0,0),
(199731,10047640,'Applies Protection of the Songweaver when Activated.  Lasts for 30 minutes.',100,0,0),
(199732,111279,'Summons a mount to ride',100,1,0),
(199733,111279,'Increases your ground speed by 130%',100,2,1),
(199734,10111279,'Summons a mount to ride',100,1,0),
(199735,10111279,'Increases your ground speed by 130%',100,2,1),
(199736,123680,'Increases Damage Per Second of target by 57.4',100,1,0),
(199737,10123680,'Increases Damage Per Second of target by 57.4',100,1,0),
(199738,139575,'When Equipped:',100,0,0),
(199739,139575,'Reduces maximum falling speed of caster',100,1,1),
(199740,139575,'Applies Spirit of Ak''Anon when Activated.  Lasts for 1 hour.',100,0,2),
(199741,139575,'Shapechanges caster into a gnome',100,1,3),
(199742,139575,'The casting time of Spirit of Ak''Anon is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(199743,10139575,'When Equipped:',100,0,0),
(199744,10139575,'Reduces maximum falling speed of caster',100,1,1),
(199745,10139575,'Applies Spirit of Ak''Anon when Activated.  Lasts for 1 hour.',100,0,2),
(199746,10139575,'Shapechanges caster into a gnome',100,1,3),
(199747,10139575,'The casting time of Spirit of Ak''Anon is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(199748,124301,'Wards group members (AE) against 1629 points of elemental damage',100,1,0),
(199749,124301,'Increases Mitigation of group members (AE) vs elemental damage by 895',100,1,1),
(199750,10124301,'Wards group members (AE) against 1629 points of elemental damage',100,1,0),
(199751,10124301,'Increases Mitigation of group members (AE) vs elemental damage by 895',100,1,1),
(199752,24266,'Adds Decrease Tier I (Single) to your Dungeon Maker toolbox',100,0,0),
(199753,10024266,'Adds Decrease Tier I (Single) to your Dungeon Maker toolbox',100,0,0),
(199754,114884,'Causes 5% Threat to transfer to target when in combat',100,1,0),
(199755,25456,'When Equipped:',100,0,0),
(199756,25456,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(199757,25456,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(199758,10025456,'When Equipped:',100,0,0),
(199759,10025456,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(199760,10025456,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,2),
(199761,43220,'When Equipped:',100,0,0),
(199762,43220,'On a critical spell hit this spell may cast Vital Exposure VI on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199763,43220,'Inflicts 77 - 86 disease damage on target instantly and every 2 seconds',100,2,2),
(199764,43220,'Inflicts an additional 7 - 8 disease damage on target every tick',100,2,3),
(199765,43220,'Decreases the target''s physical mitigation over time.',100,2,4),
(199766,43220,'Must not be engaged in pvp combat',100,2,5),
(199767,43220,'Cannot be modified except by direct means',100,2,6),
(199768,43220,'On a critical combat hit this spell may cast Vital Exposure VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(199769,43220,'Inflicts 77 - 86 disease damage on target instantly and every 2 seconds',100,2,8),
(199770,43220,'Inflicts an additional 7 - 8 disease damage on target every tick',100,2,9),
(199771,43220,'Decreases the target''s physical mitigation over time.',100,2,10),
(199772,43220,'Must not be engaged in pvp combat',100,2,11),
(199773,43220,'Cannot be modified except by direct means',100,2,12),
(199774,43220,'Must not be engaged in pvp combat',100,1,13),
(199775,10043220,'When Equipped:',100,0,0),
(199776,10043220,'On a critical spell hit this spell may cast Vital Exposure VI on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(199777,10043220,'Inflicts 101 - 111 disease damage on target instantly and every 2 seconds',100,2,2),
(199778,10043220,'Inflicts an additional 7 - 8 disease damage on target every tick',100,2,3),
(199779,10043220,'Decreases the target''s physical mitigation over time.',100,2,4),
(199780,10043220,'Must not be engaged in pvp combat',100,2,5),
(199781,10043220,'Cannot be modified except by direct means',100,2,6),
(199782,10043220,'On a critical combat hit this spell may cast Vital Exposure VI on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(199783,10043220,'Inflicts 101 - 111 disease damage on target instantly and every 2 seconds',100,2,8),
(199784,10043220,'Inflicts an additional 7 - 8 disease damage on target every tick',100,2,9),
(199785,10043220,'Decreases the target''s physical mitigation over time.',100,2,10),
(199786,10043220,'Must not be engaged in pvp combat',100,2,11),
(199787,10043220,'Cannot be modified except by direct means',100,2,12),
(199788,10043220,'Must not be engaged in pvp combat',100,1,13),
(199789,120063,'Inflicts 84 - 140 mental damage on target',100,1,0),
(199790,120063,'Inflicts 84 - 140 mental damage on target',100,1,1),
(199791,120063,'Stifles target',100,1,2),
(199792,120063,'If Target is not Epic',100,2,3),
(199793,120063,'If weapon equipped in Ranged',100,1,4),
(199794,120063,'Resistibility increases against targets higher than level 59.',100,1,5),
(199795,10120063,'Inflicts 95 - 159 mental damage on target',100,1,0),
(199796,10120063,'Inflicts 95 - 159 mental damage on target',100,1,1),
(199797,10120063,'Stifles target',100,1,2),
(199798,10120063,'If Target is not Epic',100,2,3),
(199799,10120063,'If weapon equipped in Ranged',100,1,4),
(199800,10120063,'Resistibility increases against targets higher than level 59.',100,1,5),
(199801,25057,'When Equipped:',100,0,0),
(199802,25057,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(199803,25057,'On a spell cast this spell may cast Descent of Kael on the group.  Lasts for 16.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(199804,25057,'Heals group members (AE) for 1766 - 1952',100,2,3),
(199805,25057,'Heals group members (AE) for 951 - 1051 every 2 seconds',100,2,4),
(199806,25057,'Increases Crit Bonus of group members (AE) by 5.0%',100,2,5),
(199807,25057,'Must not be engaged in pvp combat',100,2,6),
(199808,25057,'Cannot be modified except by direct means',100,2,7),
(199809,25057,'Must not be engaged in pvp combat',100,1,8),
(199810,10025057,'When Equipped:',100,0,0),
(199811,10025057,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(199812,10025057,'On a spell cast this spell may cast Descent of Kael on the group.  Lasts for 16.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(199813,10025057,'Heals group members (AE) for 2066 - 2284',100,2,3),
(199814,10025057,'Heals group members (AE) for 1113 - 1230 every 2 seconds',100,2,4),
(199815,10025057,'Increases Crit Bonus of group members (AE) by 5.0%',100,2,5),
(199816,10025057,'Must not be engaged in pvp combat',100,2,6),
(199817,10025057,'Cannot be modified except by direct means',100,2,7),
(199818,10025057,'Must not be engaged in pvp combat',100,1,8),
(199819,108648,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(199820,108648,'Heals target for 457',100,2,1),
(199821,108648,'Heals target for 114 every 2 seconds',100,2,2),
(199822,108648,'Increases AGI of target by 47.3',100,2,3),
(199823,108648,'Grants a total of 1 trigger of the spell.',100,2,4),
(199824,10108648,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(199825,10108648,'Heals target for 297',100,2,1),
(199826,10108648,'Heals target for 74 every 2 seconds',100,2,2),
(199827,10108648,'Increases AGI of target by 47.3',100,2,3),
(199828,10108648,'Grants a total of 1 trigger of the spell.',100,2,4),
(199829,113639,'Interrupts target encounter',100,1,0),
(199830,113639,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 25.7',100,1,1),
(199831,10113639,'Interrupts target encounter',100,1,0),
(199832,10113639,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 25.7',100,1,1),
(199833,118996,'Heals target for 485 - 593',100,1,0),
(199834,10118996,'Heals target for 516 - 631',100,1,0),
(199835,74641,'When Equipped:',100,0,0),
(199836,74641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199837,74641,'Inflicts 97 - 145 magic damage on target',100,2,2),
(199838,74641,'Cannot be modified except by direct means',100,2,3),
(199839,10074641,'When Equipped:',100,0,0),
(199840,10074641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(199841,10074641,'Inflicts 126 - 189 magic damage on target',100,2,2),
(199842,10074641,'Cannot be modified except by direct means',100,2,3),
(199843,185462,'When Equipped:',100,0,0),
(199844,185462,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(199845,185462,'Inflicts 2664 disease damage on target encounter',100,2,2),
(199846,185462,'Must not be engaged in pvp combat',100,2,3),
(199847,185462,'Cannot be modified except by direct means',100,2,4),
(199848,185462,'When Equipped:',100,0,5),
(199849,185462,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(199850,185462,'Increases Ability Casting Speed of caster by 10.0%',100,2,7),
(199851,185462,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(199852,185462,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(199853,185462,'Must not be engaged in pvp combat',100,2,10),
(199854,185462,'Cannot be modified except by direct means',100,2,11),
(199855,185462,'This effect will not stack with itself.',100,1,12),
(199856,185462,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(199857,185462,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(199858,185462,'Increases in-combat movement speed of caster by 10.0%',100,2,15),
(199859,185462,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(199860,185462,'Must not be engaged in pvp combat',100,2,17),
(199861,185462,'Cannot be modified except by direct means',100,2,18),
(199862,185462,'Must not be engaged in pvp combat',100,1,19),
(199863,10185462,'When Equipped:',100,0,0),
(199864,10185462,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(199865,10185462,'Inflicts 1732 disease damage on target encounter',100,2,2),
(199866,10185462,'Must not be engaged in pvp combat',100,2,3),
(199867,10185462,'Cannot be modified except by direct means',100,2,4),
(199868,10185462,'When Equipped:',100,0,5),
(199869,10185462,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(199870,10185462,'Increases Ability Casting Speed of caster by 10.0%',100,2,7),
(199871,10185462,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(199872,10185462,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(199873,10185462,'Must not be engaged in pvp combat',100,2,10),
(199874,10185462,'Cannot be modified except by direct means',100,2,11),
(199875,10185462,'This effect will not stack with itself.',100,1,12),
(199876,10185462,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(199877,10185462,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(199878,10185462,'Increases in-combat movement speed of caster by 10.0%',100,2,15),
(199879,10185462,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(199880,10185462,'Must not be engaged in pvp combat',100,2,17),
(199881,10185462,'Cannot be modified except by direct means',100,2,18),
(199882,10185462,'Must not be engaged in pvp combat',100,1,19),
(199883,102583,'Increases AGI of caster by 159.4',100,1,0),
(199884,102583,'Increases Max Health of caster by 544.4',100,1,1),
(199885,102583,'Adds 21.8% to base avoidance.',100,1,2),
(199886,102583,'Increases Mitigation of caster vs physical damage by 872',100,1,3),
(199887,102583,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,4),
(199888,10102583,'Increases AGI of caster by 159.4',100,1,0),
(199889,10102583,'Increases Max Health of caster by 544.4',100,1,1),
(199890,10102583,'Adds 21.8% to base avoidance.',100,1,2),
(199891,10102583,'Increases Mitigation of caster vs physical damage by 872',100,1,3),
(199892,10102583,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,4),
(199893,105088,'Inflicts 229 - 310 magic damage on target',100,1,0),
(199894,10105088,'Inflicts 298 - 403 magic damage on target',100,1,0),
(199895,191021,'When Equipped:',100,0,0),
(199896,191021,'Reduces maximum falling speed of caster',100,1,1),
(199897,191021,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(199898,191021,'Allows caster to jump farther',100,1,3),
(199899,191021,'Cannot be modified except by direct means',100,1,4),
(199900,191021,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(199901,10191021,'When Equipped:',100,0,0),
(199902,10191021,'Reduces maximum falling speed of caster',100,1,1),
(199903,10191021,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(199904,10191021,'Allows caster to jump farther',100,1,3),
(199905,10191021,'Cannot be modified except by direct means',100,1,4),
(199906,10191021,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(199907,124561,'Decreases Threat to targets in Area of Effect by 308 ',100,1,0),
(199908,124561,'Interrupts targets in Area of Effect',100,1,1),
(199909,124561,'Roots targets in Area of Effect',100,1,2),
(199910,124561,'If Target is not Epic',100,2,3),
(199911,10124561,'Applies Distract.',100,1,0),
(199912,10124561,'Forces target to clear their selected target.',100,2,1),
(199913,10124561,'Interrupts targets in Area of Effect',100,1,2),
(199914,10124561,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(199915,10124561,'Roots targets in Area of Effect',100,1,4),
(199916,10124561,'If Target is not Epic',100,2,5),
(199917,109594,'Increases Defense of group members'' pets (AE) by 2.2',100,1,0),
(199918,109594,'Increases Mitigation of group members (AE) vs all damage by 42',100,1,1),
(199919,10109594,'Increases Defense of group members'' pets (AE) by 2.2',100,1,0),
(199920,10109594,'Increases Mitigation of group members (AE) vs all damage by 42',100,1,1),
(199921,82462,'When Equipped:',100,0,0),
(199922,82462,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199923,82462,'Inflicts 260 - 482 magic damage on target',100,2,2),
(199924,82462,'Decreases Threat to target by 801 ',100,2,3),
(199925,82462,'Must be flanking or behind',100,3,4),
(199926,82462,'Increases Threat to target by 801 ',100,2,5),
(199927,82462,'Must be in front of',100,3,6),
(199928,82462,'Cannot be modified except by direct means',100,2,7),
(199929,10082462,'When Equipped:',100,0,0),
(199930,10082462,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(199931,10082462,'Inflicts 337 - 627 magic damage on target',100,2,2),
(199932,10082462,'Cannot be modified except by direct means',100,2,3),
(199933,45020,'Applies Create Medal when Activated.',100,0,0),
(199934,45020,'Summon 1 Mark of Commendation',100,1,1),
(199935,10045020,'Applies Create Medal when Activated.',100,0,0),
(199936,10045020,'Summon 1 Mark of Commendation',100,1,1),
(199937,103683,'Interrupts target',100,1,0),
(199938,103683,'Inflicts 543 - 906 melee damage on target',100,1,1),
(199939,103683,'Must be flanking or behind',100,1,2),
(199940,10103683,'Interrupts target',100,1,0),
(199941,10103683,'Inflicts 706 - 1177 melee damage on target',100,1,1),
(199942,10103683,'Must be flanking or behind',100,1,2),
(199943,123613,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(199944,123613,'Increases Defense of target by 33.9',100,1,1),
(199945,10123613,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(199946,10123613,'Increases Defense of target by 33.9',100,1,1),
(199947,134106,'When Equipped:',100,0,0),
(199948,134106,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199949,134106,'Wards target against 1000 points of all damage',100,2,2),
(199950,134106,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(199951,134106,'Cannot be modified except by direct means',100,2,4),
(199952,10134106,'When Equipped:',100,0,0),
(199953,10134106,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199954,10134106,'Wards target against 1000 points of all damage',100,2,2),
(199955,10134106,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(199956,10134106,'Cannot be modified except by direct means',100,2,4),
(199957,121819,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(199958,121819,'Increases Mitigation of group members (AE) vs arcane damage by 205',100,1,1),
(199959,10121819,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(199960,10121819,'Increases Mitigation of group members (AE) vs arcane damage by 205',100,1,1),
(199961,110551,'Summons a pet attack hawk',100,1,0),
(199962,10110551,'Summons a pet attack hawk',100,1,0),
(199963,119772,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(199964,119772,'Inflicts 93 - 114 poison damage on target encounter',100,2,1),
(199965,10119772,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(199966,10119772,'Inflicts 121 - 148 poison damage on target encounter',100,2,1),
(199967,41419,'When Equipped:',100,0,0),
(199968,41419,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(199969,41419,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(199970,41419,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(199971,41419,'Must not be engaged in pvp combat',100,2,4),
(199972,41419,'Cannot be modified except by direct means',100,2,5),
(199973,41419,'Cannot be modified except by direct means',100,1,6),
(199974,10041419,'When Equipped:',100,0,0),
(199975,10041419,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(199976,10041419,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(199977,10041419,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(199978,10041419,'Must not be engaged in pvp combat',100,2,4),
(199979,10041419,'Cannot be modified except by direct means',100,2,5),
(199980,10041419,'Cannot be modified except by direct means',100,1,6),
(199981,185918,'When Equipped:',100,0,0),
(199982,185918,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199983,185918,'Reduces the power cost of spells by 10%.',100,2,2),
(199984,185918,'Cannot be modified except by direct means',100,2,3),
(199985,10185918,'When Equipped:',100,0,0),
(199986,10185918,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(199987,10185918,'Reduces the power cost of spells by 10%.',100,2,2),
(199988,10185918,'Cannot be modified except by direct means',100,2,3),
(199989,103981,'Interrupts targets in Area of Effect',100,1,0),
(199990,103981,'Inflicts 130 - 241 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(199991,10103981,'Interrupts targets in Area of Effect',100,1,0),
(199992,10103981,'Inflicts 168 - 313 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(199993,147231,'When Equipped:',100,0,0),
(199994,147231,'Increases base Spell damage by 8%.',100,1,1),
(199995,10147231,'When Equipped:',100,0,0),
(199996,10147231,'Increases base Spell damage by 8%.',100,1,1),
(199997,109303,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(199998,109303,'Increases Mitigation of group members (AE) vs elemental damage by 599',100,1,1),
(199999,10109303,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(200000,10109303,'Increases Mitigation of group members (AE) vs elemental damage by 599',100,1,1),
(200001,106741,'Heals target for 1091 - 1333',100,1,0),
(200002,10106741,'Heals target for 1282 - 1567',100,1,0),
(200003,114036,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(200004,114036,'Heals target for 43 instantly and every 2 seconds',100,2,1),
(200005,114036,'Decreases Mitigation of target vs arcane damage by 837',100,1,2),
(200006,10114036,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(200007,10114036,'Heals target for 141 instantly and every 2 seconds',100,2,1),
(200008,10114036,'Decreases Mitigation of target vs arcane damage by 837',100,1,2),
(200009,105957,'Inflicts 335 - 409 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(200010,105957,'Inflicts 781 - 1302 disease damage on targets in area',100,1,1),
(200011,10105957,'Inflicts 435 - 532 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(200012,10105957,'Inflicts 1015 - 1692 disease damage on targets in area',100,1,1),
(200013,48141,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(200014,48141,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(200015,48141,'Decreases STR of target by 95.8',100,2,2),
(200016,48141,'Decreases Piercing, Ranged, Crushing and Slashing of target by 36.1',100,2,3),
(200017,48141,'Cannot be modified except by direct means',100,2,4),
(200018,48141,'Grants a total of 60 triggers of the spell.',100,2,5),
(200019,10048141,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(200020,10048141,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(200021,10048141,'Decreases STR of target by 95.8',100,2,2),
(200022,10048141,'Decreases Piercing, Ranged, Crushing and Slashing of target by 36.1',100,2,3),
(200023,10048141,'Cannot be modified except by direct means',100,2,4),
(200024,10048141,'Grants a total of 60 triggers of the spell.',100,2,5),
(200025,85927,'When Equipped:',100,0,0),
(200026,85927,'On a damage spell hit this spell may cast Unable to Scream on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200027,85927,'Stifles target',100,2,2),
(200028,85927,'Only affects targets level 80 and below',100,2,3),
(200029,85927,'Does not affect Epic targets',100,2,4),
(200030,85927,'Cannot be modified except by direct means',100,2,5),
(200031,10085927,'When Equipped:',100,0,0),
(200032,10085927,'On a damage spell hit this spell may cast Unable to Scream on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200033,10085927,'Stifles target',100,2,2),
(200034,10085927,'Only affects targets level 80 and below',100,2,3),
(200035,10085927,'Does not affect Epic targets',100,2,4),
(200036,10085927,'Cannot be modified except by direct means',100,2,5),
(200037,37210,'Increases STR and STA of target by 4.3',100,0,0),
(200038,37210,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(200039,37210,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,2),
(200040,102608,'Increases Threat to target encounter by 742 - 907 ',100,1,0),
(200041,102608,'Interrupts target encounter',100,1,1),
(200042,102608,'Decreases Mitigation of target encounter vs noxious damage by 550',100,1,2),
(200043,10102608,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(200044,10102608,'Prevents target from changing targets',100,2,1),
(200045,10102608,'Forces target to change their selected target to caster.',100,2,2),
(200046,10102608,'Interrupts target encounter',100,1,3),
(200047,10102608,'Decreases Mitigation of target encounter vs noxious damage by 550',100,1,4),
(200048,111459,'Decreases Attack Speed of caster by 17.9',100,1,0),
(200049,111459,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(200050,111459,'Roots target',100,2,2),
(200051,111459,'5% chance to dispel when target takes damage',100,2,3),
(200052,111459,'5% chance to dispel when target receives hostile action',100,2,4),
(200053,111459,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(200054,111459,'Increases Mitigation of caster vs physical damage by 788',100,1,6),
(200055,10111459,'Decreases Attack Speed of caster by 17.9',100,1,0),
(200056,10111459,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(200057,10111459,'Roots target',100,2,2),
(200058,10111459,'5% chance to dispel when target takes damage',100,2,3),
(200059,10111459,'5% chance to dispel when target receives hostile action',100,2,4),
(200060,10111459,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(200061,10111459,'Increases Mitigation of caster vs physical damage by 788',100,1,6),
(200062,104504,'Increases Threat to target by 16 - 19  instantly and by 3  every 2 seconds thereafter',100,1,0),
(200063,10104504,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(200064,112204,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(200065,112204,'Inflicts 6 disease damage on target',100,2,1),
(200066,112204,'Increases Threat to target by 8 ',100,2,2),
(200067,112204,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 191',100,1,3),
(200068,10112204,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(200069,10112204,'Inflicts 7 disease damage on target',100,2,1),
(200070,10112204,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 191',100,1,2),
(200071,90117,'When Equipped:',100,0,0),
(200072,90117,'On a combat hit this spell may cast Eidolon''s Wrath on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200073,90117,'Inflicts 61 - 74 divine damage on target',100,2,2),
(200074,90117,'Inflicts 12 - 15 divine damage on target every 4.8 seconds',100,2,3),
(200075,90117,'Cannot be modified except by direct means',100,2,4),
(200076,10090117,'When Equipped:',100,0,0),
(200077,10090117,'On a combat hit this spell may cast Eidolon''s Wrath on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200078,10090117,'Inflicts 79 - 97 divine damage on target',100,2,2),
(200079,10090117,'Inflicts 16 - 19 divine damage on target every 4.8 seconds',100,2,3),
(200080,10090117,'Cannot be modified except by direct means',100,2,4),
(200081,104098,'Roots target',100,1,0),
(200082,104098,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(200083,104098,'Makes target afraid',100,2,2),
(200084,104098,'Slows target by 21.7%',100,2,3),
(200085,104098,'30% chance to dispel when target takes damage',100,2,4),
(200086,104098,'Resistibility increases against targets higher than level 34.',100,2,5),
(200087,104098,'15% chance to dispel when target takes damage',100,1,6),
(200088,104098,'Does not affect Epic targets',100,1,7),
(200089,104098,'Resistibility increases against targets higher than level 34.',100,1,8),
(200090,10104098,'Roots target',100,1,0),
(200091,10104098,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(200092,10104098,'Slows target by 21.7%',100,2,2),
(200093,10104098,'Makes target afraid',100,2,3),
(200094,10104098,'30% chance to dispel when target takes damage',100,2,4),
(200095,10104098,'Resistibility increases against targets higher than level 34.',100,2,5),
(200096,10104098,'15% chance to dispel when target takes damage',100,1,6),
(200097,10104098,'Does not affect Epic targets',100,1,7),
(200098,10104098,'Resistibility increases against targets higher than level 34.',100,1,8),
(200099,36041,'Increases Max Health of target by 3.9',100,0,0),
(200100,36041,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(200101,80592,'When Equipped:',100,0,0),
(200102,80592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200103,80592,'Inflicts 83 - 154 magic damage on target',100,2,2),
(200104,80592,'Cannot be modified except by direct means',100,2,3),
(200105,10080592,'When Equipped:',100,0,0),
(200106,10080592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200107,10080592,'Inflicts 108 - 200 magic damage on target',100,2,2),
(200108,10080592,'Cannot be modified except by direct means',100,2,3),
(200109,24153,'Adds Crushbone Keep 4 to your Dungeon Maker toolbox',100,0,0),
(200110,10024153,'Adds Crushbone Keep 4 to your Dungeon Maker toolbox',100,0,0),
(200111,141966,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(200112,141966,'Decreases Mitigation of target vs physical damage by 360',100,1,1),
(200113,141966,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(200114,10141966,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(200115,10141966,'Decreases Mitigation of target vs physical damage by 360',100,1,1),
(200116,10141966,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(200117,72501,'When Equipped:',100,0,0),
(200118,72501,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200119,72501,'Inflicts 84 - 102 cold damage on target',100,2,2),
(200120,72501,'Cannot be modified except by direct means',100,2,3),
(200121,10072501,'When Equipped:',100,0,0),
(200122,10072501,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200123,10072501,'Inflicts 109 - 133 cold damage on target',100,2,2),
(200124,10072501,'Cannot be modified except by direct means',100,2,3),
(200125,48207,'Applies Spirit of the Rat when Activated.  Lasts for 30 minutes.',100,0,0),
(200126,48207,'Increases Out-of-Combat Power Regeneration of caster by 24.0',100,1,1),
(200127,48207,'Shapechanges caster into a rat',100,1,2),
(200128,48207,'This effect suspends during combat',100,1,3),
(200129,48207,'Only affects targets level 10 and above',100,1,4),
(200130,10048207,'Applies Spirit of the Rat when Activated.  Lasts for 30 minutes.',100,0,0),
(200131,10048207,'Increases Out-of-Combat Power Regeneration of caster by 24.0',100,1,1),
(200132,10048207,'Shapechanges caster into a rat',100,1,2),
(200133,10048207,'This effect suspends during combat',100,1,3),
(200134,10048207,'Only affects targets level 10 and above',100,1,4),
(200135,101758,'Heals group members (AE) for 103 - 125 instantly and every 2 seconds',100,1,0),
(200136,10101758,'Heals group members (AE) for 67 - 81 instantly and every 2 seconds',100,1,0),
(200137,104650,'Inflicts 426 - 710 crushing damage on target',100,1,0),
(200138,104650,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 35.0',100,1,1),
(200139,10104650,'Inflicts 554 - 923 crushing damage on target',100,1,0),
(200140,10104650,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 35.0',100,1,1),
(200141,120542,'Decreases Defense of target by 27.0',100,1,0),
(200142,10120542,'Decreases Defense of target by 27.0',100,1,0),
(200143,113649,'Inflicts 249 - 304 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(200144,113649,'Decreases power of target encounter by 42 - 51 instantly and every 5 seconds',100,1,1),
(200145,113649,'Heals group members (AE) for 159 - 195 instantly and every 5 seconds',100,1,2),
(200146,113649,'Increases power of group members (AE) by 27 - 32 instantly and every 5 seconds',100,1,3),
(200147,10113649,'Inflicts 324 - 396 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(200148,10113649,'Decreases power of target encounter by 42 - 51 instantly and every 5 seconds',100,1,1),
(200149,10113649,'Heals group members (AE) for 104 - 127 instantly and every 5 seconds',100,1,2),
(200150,10113649,'Increases power of group members (AE) by 27 - 32 instantly and every 5 seconds',100,1,3),
(200151,123623,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(200152,123623,'Slows target by 30.2%',100,2,1),
(200153,123623,'5% chance to dispel when target receives hostile action',100,2,2),
(200154,123623,'5% chance to dispel when target takes damage',100,2,3),
(200155,123623,'Inflicts 14 - 17 cold damage on target',100,1,4),
(200156,10123623,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(200157,10123623,'Slows target by 30.2%',100,2,1),
(200158,10123623,'5% chance to dispel when target receives hostile action',100,2,2),
(200159,10123623,'5% chance to dispel when target takes damage',100,2,3),
(200160,10123623,'Inflicts 15 - 19 cold damage on target',100,1,4),
(200161,109295,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(200162,109295,'Increases Mitigation of group members (AE) vs elemental damage by 627',100,1,1),
(200163,10109295,'Increases Max Power of group members (AE) by 404.2',100,1,0),
(200164,10109295,'Increases Mitigation of group members (AE) vs elemental damage by 627',100,1,1),
(200165,46334,'Applies Safety Recaller Rechargerator when Activated.',100,0,0),
(200166,46334,'Heals caster for 15.0 - 45.0% of max health',100,1,1),
(200167,46334,'Summon 1 Gnomish Safety Recaller',100,1,2),
(200168,46334,'Must have Gnomish Safety Recaller in inventory.',100,1,3),
(200169,10046334,'Applies Safety Recaller Rechargerator when Activated.',100,0,0),
(200170,10046334,'Heals caster for 9.8 - 29.2% of max health',100,1,1),
(200171,10046334,'Summon 1 Gnomish Safety Recaller',100,1,2),
(200172,10046334,'Must have Gnomish Safety Recaller in inventory.',100,1,3),
(200173,110950,'Applies Awakening on termination.',100,1,0),
(200174,110950,'Heals target for 1332 - 1627',100,2,1),
(200175,10110950,'Applies Awakening on termination.',100,1,0),
(200176,10110950,'Heals target for 2077 - 2539',100,2,1),
(200177,110058,'Summons a pet grim sorcerer',100,1,0),
(200178,10110058,'Summons a pet grim sorcerer',100,1,0),
(200179,35443,'Increases STR of target by 1.1',100,0,0),
(200180,35443,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(200181,113116,'Heals target for 74.9 - 91.5% of max health',100,1,0),
(200182,113116,'This effect cannot be critically applied.',100,2,1),
(200183,113116,'Increases Max Health of target by 1,254.0',100,1,2),
(200184,113116,'Increases Mitigation of target vs physical damage by 1438',100,1,3),
(200185,113116,'The healing of this spell cannot be modified except by direct means',100,1,4),
(200186,10113116,'Heals target for 30.0 - 36.6% of max health',100,1,0),
(200187,10113116,'This effect cannot be critically applied.',100,2,1),
(200188,10113116,'Increases Max Health of target by 1,254.0',100,1,2),
(200189,10113116,'Increases Mitigation of target vs physical damage by 1438',100,1,3),
(200190,10113116,'The healing of this spell cannot be modified except by direct means',100,1,4),
(200191,124719,'Heals group members (AE) for 761 - 931',100,1,0),
(200192,10124719,'Heals group members (AE) for 924 - 1129',100,1,0),
(200193,84032,'Applies Lightning Shock when Activated.',100,0,0),
(200194,84032,'Inflicts 588 - 979 magic damage on target',100,1,1),
(200195,84032,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(200196,10084032,'Applies Lightning Shock when Activated.',100,0,0),
(200197,10084032,'Inflicts 764 - 1273 magic damage on target',100,1,1),
(200198,10084032,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(200199,118832,'Inflicts 16 - 49 melee damage on target',100,1,0),
(200200,10118832,'Inflicts 21 - 64 melee damage on target',100,1,0),
(200201,103583,'Increases Mitigation of caster vs physical damage by 308',100,1,0),
(200202,10103583,'Increases Mitigation of caster vs physical damage by 308',100,1,0),
(200203,112109,'Dispels 20 levels of physical and arcane hostile effects on caster',100,1,0),
(200204,10112109,'Dispels 20 levels of physical and arcane hostile effects on caster',100,1,0),
(200205,104860,'Increases STA of group members (AE) by 7.0',100,1,0),
(200206,104860,'Increases Mitigation of group members (AE) vs physical damage by 68',100,1,1),
(200207,10104860,'Increases STA of group members (AE) by 7.0',100,1,0),
(200208,10104860,'Increases Mitigation of group members (AE) vs physical damage by 68',100,1,1),
(200209,154473,'When Equipped:',100,0,0),
(200210,154473,'Increases Attack Speed of caster by 35.0',100,1,1),
(200211,10154473,'When Equipped:',100,0,0),
(200212,10154473,'Increases Attack Speed of caster by 35.0',100,1,1),
(200213,141836,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(200214,141836,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(200215,141836,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(200216,141836,'Cannot be modified except by direct means',100,2,3),
(200217,10141836,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(200218,10141836,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(200219,10141836,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(200220,10141836,'Cannot be modified except by direct means',100,2,3),
(200221,159354,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(200222,159354,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(200223,159354,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(200224,159354,'Cannot be modified except by direct means',100,2,3),
(200225,10159354,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(200226,10159354,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(200227,10159354,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(200228,10159354,'Cannot be modified except by direct means',100,2,3),
(200229,46649,'Applies Hordus the Covetous Wyvern when Activated.',100,0,0),
(200230,46649,'Summons a mount to ride',100,1,1),
(200231,46649,'Increases your ground speed by 75%',100,2,2),
(200232,46649,'Increases your air speed by 150%',100,2,3),
(200233,46649,'Increases Aggression, Ministration, Subjugation, Disruption, Focus, Crushing, Ordination, Piercing, Slashing and Ranged of caster by 5.0',100,1,4),
(200234,10046649,'Applies Hordus the Covetous Wyvern when Activated.',100,0,0),
(200235,10046649,'Summons a mount to ride',100,1,1),
(200236,10046649,'Increases your ground speed by 75%',100,2,2),
(200237,10046649,'Increases your air speed by 150%',100,2,3),
(200238,10046649,'Increases Aggression, Ministration, Subjugation, Disruption, Focus, Crushing, Ordination, Piercing, Slashing and Ranged of caster by 5.0',100,1,4),
(200239,80565,'When Equipped:',100,0,0),
(200240,80565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200241,80565,'Inflicts 121 - 225 magic damage on target',100,2,2),
(200242,80565,'Cannot be modified except by direct means',100,2,3),
(200243,10080565,'When Equipped:',100,0,0),
(200244,10080565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200245,10080565,'Inflicts 157 - 292 magic damage on target',100,2,2),
(200246,10080565,'Cannot be modified except by direct means',100,2,3),
(200247,35784,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(200248,36251,'Increases Max Health of target by 5.5',100,0,0),
(200249,36251,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(200250,124219,'Decreases Attack Speed of caster by 14.1',100,1,0),
(200251,124219,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(200252,124219,'Slows targets in Area of Effect by 38.2%',100,2,2),
(200253,124219,'5% chance to dispel when target receives hostile action',100,2,3),
(200254,124219,'5% chance to dispel when target takes damage',100,2,4),
(200255,124219,'Increases Mitigation of caster vs physical damage by 410',100,1,5),
(200256,10124219,'Decreases Attack Speed of caster by 14.1',100,1,0),
(200257,10124219,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(200258,10124219,'Slows targets in Area of Effect by 28.6%',100,2,2),
(200259,10124219,'5% chance to dispel when target receives hostile action',100,2,3),
(200260,10124219,'5% chance to dispel when target takes damage',100,2,4),
(200261,10124219,'Increases Mitigation of caster vs physical damage by 410',100,1,5),
(200262,112017,'Inflicts 830 - 1383 piercing damage on target',100,1,0),
(200263,10112017,'Inflicts 1079 - 1798 piercing damage on target',100,1,0),
(200264,82040,'When Equipped:',100,0,0),
(200265,82040,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200266,82040,'Inflicts 191 - 354 magic damage on target',100,2,2),
(200267,82040,'Cannot be modified except by direct means',100,2,3),
(200268,10082040,'When Equipped:',100,0,0),
(200269,10082040,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200270,10082040,'Inflicts 248 - 460 magic damage on target',100,2,2),
(200271,10082040,'Cannot be modified except by direct means',100,2,3),
(200272,100010,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(200273,100010,'Inflicts 37 - 62 melee damage on targets in area',100,2,1),
(200274,100010,'Decreases Defense of caster by 4.8',100,1,2),
(200275,100010,'Increases Slashing, Piercing and Crushing of caster by 7.2',100,1,3),
(200276,10100010,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(200277,10100010,'Inflicts 48 - 81 melee damage on targets in area',100,2,1),
(200278,10100010,'Decreases Defense of caster by 4.8',100,1,2),
(200279,10100010,'Increases Slashing, Piercing and Crushing of caster by 7.2',100,1,3),
(200280,121946,'Inflicts 32 - 53 disease damage on target',100,1,0),
(200281,121946,'Decreases Defense of target by 7.9',100,1,1),
(200282,121946,'Interrupts target',100,1,2),
(200283,10121946,'Inflicts 41 - 68 disease damage on target',100,1,0),
(200284,10121946,'Decreases Defense of target by 7.9',100,1,1),
(200285,10121946,'Interrupts target',100,1,2),
(200286,111116,'Heals target for 27.4 - 33.4% of max health',100,1,0),
(200287,111116,'This effect cannot be critically applied.',100,2,1),
(200288,111116,'Increases Mitigation of target vs physical damage by 520',100,1,2),
(200289,111116,'The healing of this spell cannot be modified except by direct means',100,1,3),
(200290,10111116,'Heals target for 10.3 - 12.5% of max health',100,1,0),
(200291,10111116,'This effect cannot be critically applied.',100,2,1),
(200292,10111116,'Increases Mitigation of target vs physical damage by 520',100,1,2),
(200293,10111116,'The healing of this spell cannot be modified except by direct means',100,1,3),
(200294,124069,'Increases power of caster by 351',100,1,0),
(200295,10124069,'Increases power of caster by 351',100,1,0),
(200296,82794,'When Equipped:',100,0,0),
(200297,82794,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200298,82794,'Inflicts 365 - 678 magic damage on target',100,2,2),
(200299,82794,'Decreases Threat to target by 1,174 ',100,2,3),
(200300,82794,'Must be flanking or behind',100,3,4),
(200301,82794,'Increases Threat to target by 1,174 ',100,2,5),
(200302,82794,'Must be in front of',100,3,6),
(200303,82794,'Cannot be modified except by direct means',100,2,7),
(200304,10082794,'When Equipped:',100,0,0),
(200305,10082794,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200306,10082794,'Inflicts 474 - 881 magic damage on target',100,2,2),
(200307,10082794,'Cannot be modified except by direct means',100,2,3),
(200308,124712,'Heals group members (AE) for 330 - 403',100,1,0),
(200309,10124712,'Heals group members (AE) for 400 - 489',100,1,0),
(200310,109709,'Inflicts 53 - 88 cold damage on target',100,1,0),
(200311,109709,'If weapon equipped in Ranged',100,1,1),
(200312,10109709,'Inflicts 45 - 75 cold damage on target',100,1,0),
(200313,10109709,'If weapon equipped in Ranged',100,1,1),
(200314,122768,'Heals group members (AE) for 961 - 1175',100,1,0),
(200315,122768,'Increases Max Health of group members (AE) by 175.3',100,1,1),
(200316,10122768,'Heals group members (AE) for 1125 - 1375',100,1,0),
(200317,10122768,'Increases Max Health of group members (AE) by 175.3',100,1,1),
(200318,48120,'Applies Soonog''s Refreshment when Activated.',100,0,0),
(200319,48120,'Heals caster for 95',100,1,1),
(200320,10048120,'Applies Soonog''s Refreshment when Activated.',100,0,0),
(200321,10048120,'Heals caster for 61',100,1,1),
(200322,107200,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(200323,107200,'Heals target for 227',100,2,1),
(200324,10107200,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(200325,10107200,'Heals target for 148',100,2,1),
(200326,45910,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(200327,45910,'Increases power of caster by 53 instantly and every 5 seconds',100,1,1),
(200328,10045910,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(200329,10045910,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(200330,113867,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(200331,113867,'Increases power of caster by 404',100,2,1),
(200332,113867,'Grants a total of 3 triggers of the spell.',100,2,2),
(200333,10113867,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(200334,10113867,'Increases power of caster by 404',100,2,1),
(200335,10113867,'Grants a total of 3 triggers of the spell.',100,2,2),
(200336,112112,'Dispels 15 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(200337,10112112,'Dispels 15 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(200338,111699,'Inflicts 750 - 917 cold damage on target',100,1,0),
(200339,111699,'Inflicts 750 - 917 cold damage on target',100,1,1),
(200340,111699,'If target is elemental',100,2,2),
(200341,10111699,'Inflicts 836 - 1022 cold damage on target',100,1,0),
(200342,178751,'When Equipped:',100,0,0),
(200343,178751,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(200344,178751,'Stuns target',100,2,2),
(200345,178751,'Does not affect Epic targets',100,2,3),
(200346,178751,'Resistibility increases against targets higher than level 99.',100,2,4),
(200347,178751,'Cannot be modified except by direct means',100,2,5),
(200348,10178751,'When Equipped:',100,0,0),
(200349,10178751,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(200350,10178751,'Stuns target',100,2,2),
(200351,10178751,'Does not affect Epic targets',100,2,3),
(200352,10178751,'Resistibility increases against targets higher than level 99.',100,2,4),
(200353,10178751,'Cannot be modified except by direct means',100,2,5),
(200354,113287,'Inflicts 34 - 56 heat damage on target',100,1,0),
(200355,10113287,'Inflicts 67 - 111 heat damage on target',100,1,0),
(200356,36939,'Increases Max Health of target by 3.9',100,0,0),
(200357,36939,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(200358,142798,'When Equipped:',100,0,0),
(200359,142798,'On a hostile spell hit this spell may cast Lethargy on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200360,142798,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(200361,142798,'Only affects targets level 60 and below',100,2,3),
(200362,142798,'Cannot be modified except by direct means',100,2,4),
(200363,142798,'When a combat art is used this spell has a 5% chance to cast Lethargy on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,5),
(200364,142798,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,6),
(200365,142798,'Only affects targets level 60 and below',100,2,7),
(200366,142798,'Cannot be modified except by direct means',100,2,8),
(200367,142798,'On a hostile spell hit this spell may cast Ice Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,9),
(200368,142798,'Inflicts 211 - 352 cold damage on target',100,2,10),
(200369,142798,'Cannot be modified except by direct means',100,2,11),
(200370,142798,'When a combat art is used this spell has a 5% chance to cast Ice Blast on target of combat art.  ',100,1,12),
(200371,142798,'Inflicts 211 - 352 cold damage on target',100,2,13),
(200372,142798,'Cannot be modified except by direct means',100,2,14),
(200373,142798,'When Equipped:',100,0,15),
(200374,142798,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,16),
(200375,142798,'Stifles target',100,2,17),
(200376,142798,'Does not affect Epic targets',100,2,18),
(200377,142798,'Resistibility increases against targets higher than level 74.',100,2,19),
(200378,142798,'Cannot be modified except by direct means',100,2,20),
(200379,10142798,'When Equipped:',100,0,0),
(200380,10142798,'On a hostile spell hit this spell may cast Lethargy on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200381,10142798,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(200382,10142798,'Only affects targets level 60 and below',100,2,3),
(200383,10142798,'Cannot be modified except by direct means',100,2,4),
(200384,10142798,'When a combat art is used this spell has a 5% chance to cast Lethargy on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,5),
(200385,10142798,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,6),
(200386,10142798,'Only affects targets level 60 and below',100,2,7),
(200387,10142798,'Cannot be modified except by direct means',100,2,8),
(200388,10142798,'On a hostile spell hit this spell may cast Ice Blast on target of spell.  Triggers about 1.8 times per minute. ',100,1,9),
(200389,10142798,'Inflicts 275 - 458 cold damage on target',100,2,10),
(200390,10142798,'Cannot be modified except by direct means',100,2,11),
(200391,10142798,'When a combat art is used this spell has a 5% chance to cast Ice Blast on target of combat art.  ',100,1,12),
(200392,10142798,'Inflicts 275 - 458 cold damage on target',100,2,13),
(200393,10142798,'Cannot be modified except by direct means',100,2,14),
(200394,10142798,'When Equipped:',100,0,15),
(200395,10142798,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,16),
(200396,10142798,'Stifles target',100,2,17),
(200397,10142798,'Does not affect Epic targets',100,2,18),
(200398,10142798,'Resistibility increases against targets higher than level 74.',100,2,19),
(200399,10142798,'Cannot be modified except by direct means',100,2,20),
(200400,36893,'Increases WIS and AGI of target by 1.1',100,0,0),
(200401,36893,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(200402,48830,'Applies Kordian''s Replenishment  when Activated.',100,0,0),
(200403,48830,'Heals caster for 149',100,1,1),
(200404,10048830,'Applies Kordian''s Replenishment  when Activated.',100,0,0),
(200405,10048830,'Heals caster for 97',100,1,1),
(200406,122505,'Inflicts 880 - 1466 mental damage on targets in Area of Effect',100,1,0),
(200407,10122505,'Inflicts 1144 - 1906 mental damage on targets in Area of Effect',100,1,0),
(200408,24646,'Adds Poet''s Palace: Silvered Stool to your Dungeon Maker toolbox',100,0,0),
(200409,10024646,'Adds Poet''s Palace: Silvered Stool to your Dungeon Maker toolbox',100,0,0),
(200410,80165,'When Equipped:',100,0,0),
(200411,80165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200412,80165,'Inflicts 234 - 434 magic damage on target',100,2,2),
(200413,80165,'Cannot be modified except by direct means',100,2,3),
(200414,10080165,'When Equipped:',100,0,0);
INSERT INTO `item_effects` VALUES
(200415,10080165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200416,10080165,'Inflicts 304 - 564 magic damage on target',100,2,2),
(200417,10080165,'Cannot be modified except by direct means',100,2,3),
(200418,116773,'Increases Max Health of target by 971.2',100,1,0),
(200419,116773,'Increases Max Power of target by 1,019.4',100,1,1),
(200420,10116773,'Increases Max Health of target by 971.2',100,1,0),
(200421,10116773,'Increases Max Power of target by 1,019.4',100,1,1),
(200422,123267,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(200423,123267,'Inflicts 18 - 31 disease damage on target',100,2,1),
(200424,123267,'Heals caster for 7 - 11',100,2,2),
(200425,123267,'This effect cannot be critically applied.',100,3,3),
(200426,123267,'The healing of this spell cannot be modified except by direct means',100,2,4),
(200427,10123267,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(200428,10123267,'Inflicts 24 - 40 disease damage on target',100,2,1),
(200429,10123267,'Heals caster for 2 - 4',100,2,2),
(200430,10123267,'This effect cannot be critically applied.',100,3,3),
(200431,10123267,'The healing of this spell cannot be modified except by direct means',100,2,4),
(200432,101641,'Applies Forceful Headache on termination.',100,1,0),
(200433,101641,'Inflicts 532 - 886 mental damage on target',100,2,1),
(200434,101641,'If over 50% power',100,3,2),
(200435,101641,'Inflicts 213 - 260 mental damage on target instantly and every 6 seconds',100,1,3),
(200436,101641,'Decreases Mitigation of target vs arcane damage by 1280',100,1,4),
(200437,10101641,'Applies Forceful Headache on termination.',100,1,0),
(200438,10101641,'Inflicts 691 - 1152 mental damage on target',100,2,1),
(200439,10101641,'If over 50% power',100,3,2),
(200440,10101641,'Inflicts 277 - 338 mental damage on target instantly and every 6 seconds',100,1,3),
(200441,10101641,'Decreases Mitigation of target vs arcane damage by 1280',100,1,4),
(200442,109660,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(200443,109660,'Inflicts 90 - 166 poison damage on target encounter',100,2,1),
(200444,10109660,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(200445,10109660,'Inflicts 116 - 216 poison damage on target encounter',100,2,1),
(200446,87307,'When Equipped:',100,0,0),
(200447,87307,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200448,87307,'Inflicts 111 - 166 magic damage on target',100,2,2),
(200449,87307,'Cannot be modified except by direct means',100,2,3),
(200450,10087307,'When Equipped:',100,0,0),
(200451,10087307,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200452,10087307,'Inflicts 144 - 216 magic damage on target',100,2,2),
(200453,10087307,'Cannot be modified except by direct means',100,2,3),
(200454,35222,'Increases Max Power of target by 3.3',100,0,0),
(200455,35222,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(200456,110233,'Inflicts 61 - 101 melee damage on target',100,1,0),
(200457,110233,'Slows target by 34.4%',100,1,1),
(200458,110233,'5% chance to dispel when target receives hostile action',100,1,2),
(200459,110233,'5% chance to dispel when target takes damage',100,1,3),
(200460,10110233,'Inflicts 79 - 132 melee damage on target',100,1,0),
(200461,10110233,'Slows target by 34.4%',100,1,1),
(200462,10110233,'5% chance to dispel when target receives hostile action',100,1,2),
(200463,10110233,'5% chance to dispel when target takes damage',100,1,3),
(200464,105953,'Inflicts 277 - 339 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(200465,105953,'Inflicts 646 - 1077 disease damage on targets in area',100,1,1),
(200466,10105953,'Inflicts 360 - 440 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(200467,10105953,'Inflicts 840 - 1401 disease damage on targets in area',100,1,1),
(200468,105438,'Increases STR of caster by 332.6',100,1,0),
(200469,105438,'Decreases Defense of caster by 26.2',100,1,1),
(200470,105438,'Increases Slashing, Piercing, Crushing and Disruption of caster by 63.6',100,1,2),
(200471,10105438,'Increases STR of caster by 332.6',100,1,0),
(200472,10105438,'Decreases Defense of caster by 26.2',100,1,1),
(200473,10105438,'Increases Slashing, Piercing, Crushing and Disruption of caster by 63.6',100,1,2),
(200474,119655,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(200475,119655,'Stuns target',100,2,1),
(200476,119655,'Blurs vision of target',100,2,2),
(200477,119655,'Throws target back',100,2,3),
(200478,119655,'Does not affect Epic targets',100,2,4),
(200479,119655,'Inflicts 129 - 389 melee damage on target',100,1,5),
(200480,10119655,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(200481,10119655,'Blurs vision of target',100,2,1),
(200482,10119655,'Stuns target',100,2,2),
(200483,10119655,'Throws target back',100,2,3),
(200484,10119655,'Does not affect Epic targets',100,2,4),
(200485,10119655,'Inflicts 168 - 506 melee damage on target',100,1,5),
(200486,177772,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(200487,177772,'Decreases Mitigation of target vs physical damage by 702',100,1,1),
(200488,177772,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(200489,10177772,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(200490,10177772,'Decreases Mitigation of target vs physical damage by 702',100,1,1),
(200491,10177772,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(200492,47515,'Applies Petrified Barbarian Eye when Activated.  Lasts for 6 hours.',100,0,0),
(200493,47515,'Shapechanges caster into a barbarian',100,1,1),
(200494,10047515,'Applies Petrified Barbarian Eye when Activated.  Lasts for 6 hours.',100,0,0),
(200495,10047515,'Shapechanges caster into a barbarian',100,1,1),
(200496,116341,'Mesmerizes target encounter',100,1,0),
(200497,116341,'Prevents AOE (except when direct) ',100,1,1),
(200498,116341,'Dispelled when target takes damage',100,1,2),
(200499,116341,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(200500,116341,'Resistibility increases against targets higher than level 52.',100,1,4),
(200501,10116341,'Mesmerizes target encounter',100,1,0),
(200502,10116341,'Prevents AOE (except when direct) ',100,1,1),
(200503,10116341,'Dispelled when target takes damage',100,1,2),
(200504,10116341,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(200505,10116341,'Resistibility increases against targets higher than level 52.',100,1,4),
(200506,134803,'When Equipped:',100,0,0),
(200507,134803,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(200508,134803,'Heals group members for 206',100,2,2),
(200509,134803,'Cannot be modified except by direct means',100,2,3),
(200510,134803,'Cannot be modified except by direct means',100,1,4),
(200511,10134803,'When Equipped:',100,0,0),
(200512,10134803,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(200513,10134803,'Heals group members for 134',100,2,2),
(200514,10134803,'Cannot be modified except by direct means',100,2,3),
(200515,10134803,'Cannot be modified except by direct means',100,1,4),
(200516,101876,'Stuns target',100,1,0),
(200517,101876,'Does not affect Epic targets',100,1,1),
(200518,101876,'Resistibility increases against targets higher than level 116.',100,1,2),
(200519,10101876,'Stuns target',100,1,0),
(200520,10101876,'Does not affect Epic targets',100,1,1),
(200521,10101876,'Resistibility increases against targets higher than level 116.',100,1,2),
(200522,124192,'Inflicts 283 - 473 melee damage on target',100,1,0),
(200523,10124192,'Inflicts 369 - 615 melee damage on target',100,1,0),
(200524,35248,'Increases STA of target by 1.5',100,0,0),
(200525,35248,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(200526,26583,'When Equipped:',100,0,0),
(200527,26583,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(200528,26583,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,2),
(200529,10026583,'When Equipped:',100,0,0),
(200530,10026583,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(200531,10026583,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,2),
(200532,54060,'When Equipped:',100,0,0),
(200533,54060,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(200534,10054060,'When Equipped:',100,0,0),
(200535,10054060,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(200536,118399,'Heals target for 38 - 47',100,1,0),
(200537,118399,'Increases Max Health of target by 6.7',100,1,1),
(200538,10118399,'Heals target for 44 - 54',100,1,0),
(200539,10118399,'Increases Max Health of target by 6.7',100,1,1),
(200540,46859,'Applies Illusion: Half Elf when Activated.  Lasts for 6 hours.',100,0,0),
(200541,46859,'Shapechanges caster into a half elf',100,1,1),
(200542,10046859,'Applies Illusion: Half Elf when Activated.  Lasts for 6 hours.',100,0,0),
(200543,10046859,'Shapechanges caster into a half elf',100,1,1),
(200544,82710,'When Equipped:',100,0,0),
(200545,82710,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200546,82710,'Inflicts 365 - 678 magic damage on target',100,2,2),
(200547,82710,'Decreases Threat to target by 1,174 ',100,2,3),
(200548,82710,'Must be flanking or behind',100,3,4),
(200549,82710,'Increases Threat to target by 1,174 ',100,2,5),
(200550,82710,'Must be in front of',100,3,6),
(200551,82710,'Cannot be modified except by direct means',100,2,7),
(200552,10082710,'When Equipped:',100,0,0),
(200553,10082710,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200554,10082710,'Inflicts 474 - 881 magic damage on target',100,2,2),
(200555,10082710,'Cannot be modified except by direct means',100,2,3),
(200556,175649,'When Equipped:',100,0,0),
(200557,175649,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(200558,175649,'Inflicts 1986 cold damage on target encounter',100,2,2),
(200559,175649,'Must not be engaged in pvp combat',100,2,3),
(200560,175649,'Cannot be modified except by direct means',100,2,4),
(200561,175649,'Must not be engaged in pvp combat',100,1,5),
(200562,10175649,'When Equipped:',100,0,0),
(200563,10175649,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(200564,10175649,'Inflicts 1291 cold damage on target encounter',100,2,2),
(200565,10175649,'Must not be engaged in pvp combat',100,2,3),
(200566,10175649,'Cannot be modified except by direct means',100,2,4),
(200567,10175649,'Must not be engaged in pvp combat',100,1,5),
(200568,123570,'Increases STR of group members (AE) by 27.1',100,1,0),
(200569,123570,'Increases Max Health of group members (AE) by 209.4',100,1,1),
(200570,10123570,'Increases STR of group members (AE) by 27.1',100,1,0),
(200571,10123570,'Increases Max Health of group members (AE) by 209.4',100,1,1),
(200572,141758,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(200573,141758,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(200574,141758,'Heals target for 33 instantly and every 4 seconds',100,2,2),
(200575,141758,'Cannot be modified except by direct means',100,2,3),
(200576,10141758,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(200577,10141758,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(200578,10141758,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(200579,10141758,'Cannot be modified except by direct means',100,2,3),
(200580,40639,'When Equipped:',100,0,0),
(200581,40639,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200582,40639,'Inflicts 134 - 201 magic damage on target',100,2,2),
(200583,40639,'Cannot be modified except by direct means',100,2,3),
(200584,10040639,'When Equipped:',100,0,0),
(200585,10040639,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200586,10040639,'Inflicts 174 - 261 magic damage on target',100,2,2),
(200587,10040639,'Cannot be modified except by direct means',100,2,3),
(200588,36160,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(200589,110899,'Inflicts 821 - 1004 heat damage on target encounter',100,1,0),
(200590,10110899,'Inflicts 1067 - 1305 heat damage on target encounter',100,1,0),
(200591,124199,'Inflicts 315 - 525 melee damage on target',100,1,0),
(200592,10124199,'Inflicts 410 - 683 melee damage on target',100,1,0),
(200593,74605,'When Equipped:',100,0,0),
(200594,74605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200595,74605,'Inflicts 56 - 84 magic damage on target',100,2,2),
(200596,74605,'Cannot be modified except by direct means',100,2,3),
(200597,10074605,'When Equipped:',100,0,0),
(200598,10074605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200599,10074605,'Inflicts 73 - 110 magic damage on target',100,2,2),
(200600,10074605,'Cannot be modified except by direct means',100,2,3),
(200601,54061,'When Equipped:',100,0,0),
(200602,54061,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(200603,10054061,'When Equipped:',100,0,0),
(200604,10054061,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(200605,82725,'When Equipped:',100,0,0),
(200606,82725,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200607,82725,'Inflicts 164 - 305 magic damage on target',100,2,2),
(200608,82725,'Decreases Threat to target by 487 ',100,2,3),
(200609,82725,'Must be flanking or behind',100,3,4),
(200610,82725,'Increases Threat to target by 487 ',100,2,5),
(200611,82725,'Must be in front of',100,3,6),
(200612,82725,'Cannot be modified except by direct means',100,2,7),
(200613,10082725,'When Equipped:',100,0,0),
(200614,10082725,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200615,10082725,'Inflicts 213 - 396 magic damage on target',100,2,2),
(200616,10082725,'Cannot be modified except by direct means',100,2,3),
(200617,170859,'When Equipped:',100,0,0),
(200618,170859,'Increases Attack Speed of caster by 45.0',100,1,1),
(200619,10170859,'When Equipped:',100,0,0),
(200620,10170859,'Increases Attack Speed of caster by 45.0',100,1,1),
(200621,142854,'When Equipped:',100,0,0),
(200622,142854,'On any combat or spell hit this spell may cast Fragmentation of Power on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200623,142854,'Increases the base trigger chance of spells and items by 10%.',100,2,2),
(200624,142854,'Cannot be modified except by direct means',100,2,3),
(200625,10142854,'When Equipped:',100,0,0),
(200626,10142854,'On any combat or spell hit this spell may cast Fragmentation of Power on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200627,10142854,'Increases the base trigger chance of spells and items by 10%.',100,2,2),
(200628,10142854,'Cannot be modified except by direct means',100,2,3),
(200629,71659,'When Equipped:',100,0,0),
(200630,71659,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200631,71659,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(200632,71659,'Cannot be modified except by direct means',100,2,3),
(200633,10071659,'When Equipped:',100,0,0),
(200634,10071659,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200635,10071659,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(200636,10071659,'Cannot be modified except by direct means',100,2,3),
(200637,134010,'When Equipped:',100,0,0),
(200638,134010,'Increases Attack Speed of caster by 22.0',100,1,1),
(200639,10134010,'When Equipped:',100,0,0),
(200640,10134010,'Increases Attack Speed of caster by 22.0',100,1,1),
(200641,101186,'Inflicts 241 - 402 cold damage on target',100,1,0),
(200642,101186,'Inflicts 241 - 402 cold damage on target',100,1,1),
(200643,101186,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(200644,101186,'Slows target by 41.6%',100,2,3),
(200645,101186,'5% chance to dispel when target receives hostile action',100,2,4),
(200646,101186,'5% chance to dispel when target takes damage',100,2,5),
(200647,101186,'If weapon equipped in Ranged',100,1,6),
(200648,10101186,'Inflicts 205 - 342 cold damage on target',100,1,0),
(200649,10101186,'Inflicts 205 - 342 cold damage on target',100,1,1),
(200650,10101186,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(200651,10101186,'Slows target by 41.6%',100,2,3),
(200652,10101186,'5% chance to dispel when target receives hostile action',100,2,4),
(200653,10101186,'5% chance to dispel when target takes damage',100,2,5),
(200654,10101186,'If weapon equipped in Ranged',100,1,6),
(200655,115938,'Inflicts 795 - 1325 melee damage on target',100,1,0),
(200656,115938,'Roots target',100,1,1),
(200657,115938,'If Target is not Epic',100,2,2),
(200658,115938,'5% chance to dispel when target takes damage',100,1,3),
(200659,115938,'Resistibility increases against targets higher than level 75.',100,1,4),
(200660,10115938,'Inflicts 1034 - 1723 melee damage on target',100,1,0),
(200661,10115938,'Roots target',100,1,1),
(200662,10115938,'If Target is not Epic',100,2,2),
(200663,10115938,'5% chance to dispel when target takes damage',100,1,3),
(200664,10115938,'Resistibility increases against targets higher than level 75.',100,1,4),
(200665,35006,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(200666,35006,'This effect suspends during combat',100,0,1),
(200667,35357,'Increases Max Health of target by 3.9',100,0,0),
(200668,35357,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(200669,36521,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(200670,109989,'Increases the healing and ward of target ally by 19%',100,1,0),
(200671,109989,'Increases the resurrect restoration amount of target ally by 19%',100,1,1),
(200672,109989,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(200673,109989,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(200674,10109989,'Increases the healing and ward of target ally by 19%',100,1,0),
(200675,10109989,'Increases the resurrect restoration amount of target ally by 19%',100,1,1),
(200676,10109989,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(200677,10109989,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(200678,105723,'Inflicts 216 - 361 melee damage on targets in area',100,1,0),
(200679,105723,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(200680,105723,'Blurs vision of target',100,2,2),
(200681,105723,'Stuns target',100,2,3),
(200682,105723,'Throws target back',100,2,4),
(200683,105723,'Does not affect Epic targets',100,2,5),
(200684,10105723,'Inflicts 281 - 469 melee damage on targets in area',100,1,0),
(200685,10105723,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(200686,10105723,'Stuns target',100,2,2),
(200687,10105723,'Throws target back',100,2,3),
(200688,10105723,'Blurs vision of target',100,2,4),
(200689,10105723,'Does not affect Epic targets',100,2,5),
(200690,142868,'When Equipped:',100,0,0),
(200691,142868,'On any combat or spell hit this spell may cast Tenacity of the Void Striker on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(200692,142868,'Increases Potency of caster by 3.0%',100,2,2),
(200693,142868,'Increases Hate Gain of caster by 5.0%',100,2,3),
(200694,142868,'Cannot be modified except by direct means',100,2,4),
(200695,142868,'Cannot be modified except by direct means',100,1,5),
(200696,10142868,'When Equipped:',100,0,0),
(200697,10142868,'On any combat or spell hit this spell may cast Tenacity of the Void Striker on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(200698,10142868,'Increases Potency of caster by 3.0%',100,2,2),
(200699,10142868,'Cannot be modified except by direct means',100,2,3),
(200700,10142868,'Cannot be modified except by direct means',100,1,4),
(200701,114572,'Heals target for 57 - 69',100,1,0),
(200702,10114572,'Heals target for 37 - 45',100,1,0),
(200703,123896,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(200704,123896,'Slows target by 56.6%',100,2,1),
(200705,123896,'5% chance to dispel when target receives hostile action',100,2,2),
(200706,123896,'5% chance to dispel when target takes damage',100,2,3),
(200707,123896,'Decreases Mitigation of target vs elemental and noxious damage by 1238',100,1,4),
(200708,10123896,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(200709,10123896,'Slows target by 56.6%',100,2,1),
(200710,10123896,'5% chance to dispel when target receives hostile action',100,2,2),
(200711,10123896,'5% chance to dispel when target takes damage',100,2,3),
(200712,10123896,'Decreases Mitigation of target vs elemental and noxious damage by 1238',100,1,4),
(200713,71581,'When Equipped:',100,0,0),
(200714,71581,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200715,71581,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(200716,71581,'Cannot be modified except by direct means',100,2,3),
(200717,10071581,'When Equipped:',100,0,0),
(200718,10071581,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(200719,10071581,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(200720,10071581,'Cannot be modified except by direct means',100,2,3),
(200721,35436,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(200722,110849,'Inflicts 425 - 575 mental damage on target',100,1,0),
(200723,110849,'Interrupts target',100,1,1),
(200724,10110849,'Inflicts 553 - 748 mental damage on target',100,1,0),
(200725,10110849,'Interrupts target',100,1,1),
(200726,116294,'Stuns target',100,1,0),
(200727,116294,'If Target is not Epic',100,2,1),
(200728,116294,'Inflicts 107 - 131 magic damage on target',100,1,2),
(200729,116294,'Resistibility increases against targets higher than level 45.',100,1,3),
(200730,10116294,'Stuns target',100,1,0),
(200731,10116294,'If Target is not Epic',100,2,1),
(200732,10116294,'Inflicts 139 - 170 magic damage on target',100,1,2),
(200733,10116294,'Resistibility increases against targets higher than level 45.',100,1,3),
(200734,176074,'When Equipped:',100,0,0),
(200735,176074,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(200736,176074,'Inflicts 2648 piercing damage on target',100,2,2),
(200737,176074,'Cannot be modified except by direct means',100,2,3),
(200738,176074,'When Equipped:',100,0,4),
(200739,176074,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(200740,176074,'Increases Potency of group members by 9.0%',100,2,6),
(200741,176074,'Cannot be modified except by direct means',100,2,7),
(200742,176074,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(200743,176074,'Increases Potency of group members by 9.0%',100,2,9),
(200744,176074,'Cannot be modified except by direct means',100,2,10),
(200745,176074,'Cannot be modified except by direct means',100,1,11),
(200746,10176074,'When Equipped:',100,0,0),
(200747,10176074,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(200748,10176074,'Inflicts 1721 piercing damage on target',100,2,2),
(200749,10176074,'Cannot be modified except by direct means',100,2,3),
(200750,10176074,'When Equipped:',100,0,4),
(200751,10176074,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(200752,10176074,'Increases Potency of group members by 9.0%',100,2,6),
(200753,10176074,'Cannot be modified except by direct means',100,2,7),
(200754,10176074,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(200755,10176074,'Increases Potency of group members by 9.0%',100,2,9),
(200756,10176074,'Cannot be modified except by direct means',100,2,10),
(200757,10176074,'Cannot be modified except by direct means',100,1,11),
(200758,120526,'Decreases Defense of target by 3.9',100,1,0),
(200759,10120526,'Decreases Defense of target by 3.9',100,1,0),
(200760,26075,'When Equipped:',100,0,0),
(200761,26075,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,1),
(200762,26075,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(200763,10026075,'When Equipped:',100,0,0),
(200764,10026075,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,1),
(200765,10026075,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(200766,24252,'Adds Cyclops (Ranger) to your Dungeon Maker toolbox',100,0,0),
(200767,10024252,'Adds Cyclops (Ranger) to your Dungeon Maker toolbox',100,0,0),
(200768,112799,'Inflicts 621 - 1035 slashing damage on target',100,1,0),
(200769,112799,'Stifles target',100,1,1),
(200770,112799,'If Target is not Epic',100,2,2),
(200771,112799,'You must be in stealth.',100,1,3),
(200772,112799,'Resistibility increases against targets higher than level 63.',100,1,4),
(200773,10112799,'Inflicts 807 - 1346 slashing damage on target',100,1,0),
(200774,10112799,'Stifles target',100,1,1),
(200775,10112799,'If Target is not Epic',100,2,2),
(200776,10112799,'You must be in stealth.',100,1,3),
(200777,10112799,'Resistibility increases against targets higher than level 63.',100,1,4),
(200778,74580,'When Equipped:',100,0,0),
(200779,74580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200780,74580,'Inflicts 208 - 311 magic damage on target',100,2,2),
(200781,74580,'Cannot be modified except by direct means',100,2,3),
(200782,10074580,'When Equipped:',100,0,0),
(200783,10074580,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200784,10074580,'Inflicts 270 - 405 magic damage on target',100,2,2),
(200785,10074580,'Cannot be modified except by direct means',100,2,3),
(200786,150147,'When Equipped:',100,0,0),
(200787,150147,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(200788,150147,'Inflicts 2648 piercing damage on target',100,2,2),
(200789,150147,'Cannot be modified except by direct means',100,2,3),
(200790,10150147,'When Equipped:',100,0,0),
(200791,10150147,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(200792,10150147,'Inflicts 1721 piercing damage on target',100,2,2),
(200793,10150147,'Cannot be modified except by direct means',100,2,3),
(200794,124317,'Shapechanges caster into a wolf',100,1,0),
(200795,124317,'Grants See Invisibility to caster',100,1,1),
(200796,124317,'Increases Focus of caster by 12.6',100,1,2),
(200797,124317,'Increases Mitigation of caster vs physical damage by 140',100,1,3),
(200798,124317,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 532',100,1,4),
(200799,10124317,'Shapechanges caster into a wolf',100,1,0),
(200800,10124317,'Grants See Invisibility to caster',100,1,1),
(200801,10124317,'Increases Focus of caster by 12.6',100,1,2),
(200802,10124317,'Increases Mitigation of caster vs physical damage by 140',100,1,3),
(200803,10124317,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 532',100,1,4),
(200804,72507,'When Equipped:',100,0,0),
(200805,72507,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(200806,72507,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(200807,72507,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(200808,72507,'Must not be engaged in pvp combat',100,2,4),
(200809,72507,'Cannot be modified except by direct means',100,2,5),
(200810,10072507,'When Equipped:',100,0,0),
(200811,10072507,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(200812,10072507,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(200813,10072507,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(200814,10072507,'Must not be engaged in pvp combat',100,2,4),
(200815,10072507,'Cannot be modified except by direct means',100,2,5),
(200816,104901,'Inflicts 402 - 671 magic damage on targets in area',100,1,0),
(200817,10104901,'Inflicts 523 - 872 magic damage on targets in area',100,1,0),
(200818,107802,'Increases Threat to target encounter by 590 - 721 ',100,1,0),
(200819,10107802,'Prevents target encounter from changing targets',100,1,0),
(200820,10107802,'Forces target encounter to change their selected target to caster.',100,1,1),
(200821,121861,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(200822,121861,'Inflicts 120 - 147 mental damage on target',100,2,1),
(200823,121861,'Decreases Threat to target by 176 - 215 ',100,2,2),
(200824,121861,'If profession other than Fighter',100,3,3),
(200825,10121861,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(200826,10121861,'Inflicts 156 - 191 mental damage on target',100,2,1),
(200827,106245,'Wards target against 180 points of all damage',100,1,0),
(200828,10106245,'Wards target against 180 points of all damage',100,1,0),
(200829,156888,'Applies Unstable Magics when Equipped.',100,0,0),
(200830,156888,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(200831,10156888,'Applies Unstable Magics when Equipped.',100,0,0),
(200832,10156888,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(200833,112330,'Applies Insolent Gibe.',100,1,0),
(200834,112330,'Increases Threat to targets in Area of Effect by 1,730 - 2,595 ',100,2,1),
(200835,112330,'Applies Insolent Assault.',100,1,2),
(200836,112330,'Inflicts 1462 - 2193 melee damage on targets in area',100,2,3),
(200837,112330,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(200838,112330,'Increases Threat to target encounter by 648 - 793 ',100,2,5),
(200839,10112330,'Applies Insolent Gibe.',100,1,0),
(200840,10112330,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(200841,10112330,'Applies Insolent Assault.',100,1,2),
(200842,10112330,'Inflicts 1901 - 2851 melee damage on targets in area',100,2,3),
(200843,10112330,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(200844,10112330,'Forces target encounter to change their selected target to caster.',100,2,5),
(200845,81938,'When Equipped:',100,0,0),
(200846,81938,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200847,81938,'Inflicts 408 - 757 magic damage on target',100,2,2),
(200848,81938,'Decreases Threat to target by 994 ',100,2,3),
(200849,81938,'Must be flanking or behind',100,3,4),
(200850,81938,'Increases Threat to target by 994 ',100,2,5),
(200851,81938,'Must be in front of',100,3,6),
(200852,81938,'Cannot be modified except by direct means',100,2,7),
(200853,10081938,'When Equipped:',100,0,0),
(200854,10081938,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(200855,10081938,'Inflicts 530 - 984 magic damage on target',100,2,2),
(200856,10081938,'Cannot be modified except by direct means',100,2,3),
(200857,106540,'Inflicts 409 - 500 melee damage on target',100,1,0),
(200858,106540,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(200859,106540,'Increases Hate Gain of target by 30.0%',100,2,2),
(200860,106540,'Grants a total of 1 trigger of the spell.',100,2,3),
(200861,10106540,'Inflicts 532 - 650 melee damage on target',100,1,0),
(200862,10106540,'25% chance to apply Distract on termination.',100,1,1),
(200863,10106540,'Forces target to clear their selected target.',100,2,2),
(200864,37118,'Increases AGI of target by 1.5',100,0,0),
(200865,37118,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(200866,118654,'Inflicts 134 - 224 slashing damage on target',100,1,0),
(200867,10118654,'Inflicts 174 - 291 slashing damage on target',100,1,0),
(200868,122792,'Heals target for 763',100,1,0),
(200869,10122792,'Heals target for 595',100,1,0),
(200870,102267,'Inflicts 367 - 612 melee damage on targets in area',100,1,0),
(200871,10102267,'Inflicts 478 - 796 melee damage on targets in area',100,1,0),
(200872,89796,'When Equipped:',100,0,0),
(200873,89796,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(200874,89796,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(200875,89796,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(200876,89796,'Must not be engaged in pvp combat',100,2,4),
(200877,89796,'Cannot be modified except by direct means',100,2,5),
(200878,89796,'Cannot be modified except by direct means',100,1,6),
(200879,10089796,'When Equipped:',100,0,0),
(200880,10089796,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(200881,10089796,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(200882,10089796,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(200883,10089796,'Must not be engaged in pvp combat',100,2,4),
(200884,10089796,'Cannot be modified except by direct means',100,2,5),
(200885,10089796,'Cannot be modified except by direct means',100,1,6),
(200886,123525,'Inflicts 19 - 29 piercing damage on target instantly and every 4 seconds',100,1,0),
(200887,123525,'Decreases Defense of target by 4.2',100,1,1),
(200888,10123525,'Inflicts 35 - 53 piercing damage on target',100,1,0),
(200889,10123525,'Inflicts 25 - 38 piercing damage on target every 4 seconds',100,1,1),
(200890,10123525,'Decreases Defense of target by 4.2',100,1,2),
(200891,108810,'Inflicts 593 - 1100 heat damage on targets in Area of Effect',100,1,0),
(200892,10108810,'Inflicts 770 - 1431 heat damage on targets in Area of Effect',100,1,0),
(200893,47708,'Applies Call Reinforced Armored Warg when Activated.',100,0,0),
(200894,47708,'Increases Crushing and Slashing of caster by 5.0',100,1,1),
(200895,47708,'Summons a mount to ride',100,1,2),
(200896,47708,'Increases your ground speed by 130%',100,2,3),
(200897,47708,'Increases Piercing, Ranged and Aggression of caster by 5.0',100,1,4),
(200898,10047708,'Applies Call Reinforced Armored Warg when Activated.',100,0,0),
(200899,10047708,'Increases Crushing and Slashing of caster by 5.0',100,1,1),
(200900,10047708,'Summons a mount to ride',100,1,2),
(200901,10047708,'Increases your ground speed by 130%',100,2,3),
(200902,10047708,'Increases Piercing, Ranged and Aggression of caster by 5.0',100,1,4),
(200903,102423,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(200904,102423,'Heals target for 38 - 46',100,2,1),
(200905,102423,'Grants a total of 5 triggers of the spell.',100,2,2),
(200906,10102423,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(200907,10102423,'Heals target for 25 - 30',100,2,1),
(200908,10102423,'Grants a total of 5 triggers of the spell.',100,2,2),
(200909,145008,'When Equipped:',100,0,0),
(200910,145008,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(200911,145008,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(200912,145008,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,3),
(200913,145008,'Increases Potency of caster by 11.0%',100,2,4),
(200914,145008,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,5),
(200915,145008,'Must not be engaged in pvp combat',100,2,6),
(200916,145008,'Cannot be modified except by direct means',100,2,7),
(200917,145008,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(200918,145008,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(200919,145008,'Increases Potency of caster by 11.0%',100,2,10),
(200920,145008,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,11),
(200921,145008,'Must not be engaged in pvp combat',100,2,12),
(200922,145008,'Cannot be modified except by direct means',100,2,13),
(200923,145008,'Cannot be modified except by direct means',100,1,14),
(200924,10145008,'When Equipped:',100,0,0),
(200925,10145008,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(200926,10145008,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(200927,10145008,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,3),
(200928,10145008,'Increases Potency of caster by 11.0%',100,2,4),
(200929,10145008,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,5),
(200930,10145008,'Must not be engaged in pvp combat',100,2,6),
(200931,10145008,'Cannot be modified except by direct means',100,2,7),
(200932,10145008,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(200933,10145008,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(200934,10145008,'Increases Potency of caster by 11.0%',100,2,10),
(200935,10145008,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,11),
(200936,10145008,'Must not be engaged in pvp combat',100,2,12),
(200937,10145008,'Cannot be modified except by direct means',100,2,13),
(200938,10145008,'Cannot be modified except by direct means',100,1,14),
(200939,107293,'Inflicts 711 - 1186 ranged damage on target',100,1,0),
(200940,107293,'Inflicts 711 - 1186 ranged damage on target',100,1,1),
(200941,107293,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(200942,107293,'Stuns target',100,2,3),
(200943,107293,'Throws target back',100,2,4),
(200944,107293,'Blurs vision of target',100,2,5),
(200945,107293,'Does not affect Epic targets',100,2,6),
(200946,107293,'If weapon equipped in Ranged',100,1,7),
(200947,10107293,'Inflicts 604 - 1008 ranged damage on target',100,1,0),
(200948,10107293,'Inflicts 604 - 1008 ranged damage on target',100,1,1),
(200949,10107293,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(200950,10107293,'Stuns target',100,2,3),
(200951,10107293,'Throws target back',100,2,4),
(200952,10107293,'Blurs vision of target',100,2,5),
(200953,10107293,'Does not affect Epic targets',100,2,6),
(200954,10107293,'If weapon equipped in Ranged',100,1,7),
(200955,114168,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(200956,114168,'Heals target for 1232',100,2,1),
(200957,114168,'Grants a total of 1 trigger of the spell.',100,2,2),
(200958,10114168,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(200959,10114168,'Heals target for 801',100,2,1),
(200960,10114168,'Grants a total of 1 trigger of the spell.',100,2,2),
(200961,116990,'Inflicts 4 - 12 melee damage on target',100,1,0),
(200962,10116990,'Inflicts 5 - 16 melee damage on target',100,1,0),
(200963,80225,'When Equipped:',100,0,0),
(200964,80225,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200965,80225,'Inflicts 234 - 434 magic damage on target',100,2,2),
(200966,80225,'Cannot be modified except by direct means',100,2,3),
(200967,10080225,'When Equipped:',100,0,0),
(200968,10080225,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(200969,10080225,'Inflicts 304 - 564 magic damage on target',100,2,2),
(200970,10080225,'Cannot be modified except by direct means',100,2,3),
(200971,107046,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(200972,107046,'Inflicts 106 - 177 divine damage on target',100,2,1),
(200973,107046,'Inflicts 106 - 177 divine damage on target',100,2,2),
(200974,107046,'If target is undead',100,3,3),
(200975,10107046,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(200976,10107046,'Inflicts 231 - 384 divine damage on target',100,2,1),
(200977,111983,'Inflicts 664 - 812 disease damage on target',100,1,0),
(200978,111983,'Decreases Mitigation of target vs noxious damage by 1153',100,1,1),
(200979,10111983,'Inflicts 1110 - 1357 disease damage on target',100,1,0),
(200980,10111983,'Decreases Mitigation of target vs noxious damage by 1153',100,1,1),
(200981,47962,'Applies Draw upon Essence when Activated.',100,0,0),
(200982,47962,'Increases power of caster by 6',100,1,1),
(200983,47962,'Requires 15 Health to cast.',100,1,2),
(200984,10047962,'Applies Draw upon Essence when Activated.',100,0,0),
(200985,10047962,'Increases power of caster by 6',100,1,1),
(200986,10047962,'Requires 15 Health to cast.',100,1,2),
(200987,104133,'Roots target',100,1,0),
(200988,104133,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(200989,104133,'Makes target afraid',100,2,2),
(200990,104133,'Slows target by 20.0%',100,2,3),
(200991,104133,'30% chance to dispel when target takes damage',100,2,4),
(200992,104133,'Resistibility increases against targets higher than level 90.',100,2,5),
(200993,104133,'15% chance to dispel when target takes damage',100,1,6),
(200994,104133,'Does not affect Epic targets',100,1,7),
(200995,104133,'Resistibility increases against targets higher than level 90.',100,1,8),
(200996,10104133,'Roots target',100,1,0),
(200997,10104133,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(200998,10104133,'Slows target by 20.0%',100,2,2),
(200999,10104133,'Makes target afraid',100,2,3),
(201000,10104133,'30% chance to dispel when target takes damage',100,2,4),
(201001,10104133,'Resistibility increases against targets higher than level 90.',100,2,5),
(201002,10104133,'15% chance to dispel when target takes damage',100,1,6),
(201003,10104133,'Does not affect Epic targets',100,1,7),
(201004,10104133,'Resistibility increases against targets higher than level 90.',100,1,8),
(201005,122484,'Inflicts 221 - 368 mental damage on targets in Area of Effect',100,1,0),
(201006,10122484,'Inflicts 287 - 478 mental damage on targets in Area of Effect',100,1,0),
(201007,52834,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(201008,52834,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(201009,52834,'Inflicts 121 heat damage on target',100,2,2),
(201010,52834,'Cannot be modified except by direct means',100,2,3),
(201011,10052834,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(201012,10052834,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(201013,10052834,'Inflicts 157 heat damage on target',100,2,2),
(201014,10052834,'Cannot be modified except by direct means',100,2,3),
(201015,111574,'Inflicts 5548 - 10304 cold damage on target',100,1,0),
(201016,111574,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(201017,111574,'Stuns target',100,2,2),
(201018,111574,'Throws target back',100,2,3),
(201019,111574,'Blurs vision of target',100,2,4),
(201020,111574,'Does not affect Epic targets',100,2,5),
(201021,10111574,'Inflicts 5215 - 9686 cold damage on target',100,1,0),
(201022,10111574,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(201023,10111574,'Stuns target',100,2,2),
(201024,10111574,'Blurs vision of target',100,2,3),
(201025,10111574,'Throws target back',100,2,4),
(201026,10111574,'Does not affect Epic targets',100,2,5),
(201027,118793,'Wards group members (AE) against 30 points of physical damage',100,1,0),
(201028,118793,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,1),
(201029,10118793,'Wards group members (AE) against 30 points of physical damage',100,1,0),
(201030,10118793,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,1),
(201031,139344,'When Equipped:',100,0,0),
(201032,139344,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(201033,139344,'Increases Ability Reuse Speed of caster by 7.0%',100,2,2),
(201034,139344,'Cannot be modified except by direct means',100,2,3),
(201035,10139344,'When Equipped:',100,0,0),
(201036,10139344,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(201037,10139344,'Increases Ability Reuse Speed of caster by 7.0%',100,2,2),
(201038,10139344,'Cannot be modified except by direct means',100,2,3),
(201039,76124,'When Equipped:',100,0,0),
(201040,76124,'On a combat hit this spell may cast Eidolon''s Wrath on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(201041,76124,'Inflicts 71 - 86 divine damage on target',100,2,2),
(201042,76124,'Inflicts 14 - 17 divine damage on target every 4.8 seconds',100,2,3),
(201043,76124,'Cannot be modified except by direct means',100,2,4),
(201044,10076124,'When Equipped:',100,0,0),
(201045,10076124,'On a combat hit this spell may cast Eidolon''s Wrath on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(201046,10076124,'Inflicts 92 - 112 divine damage on target',100,2,2),
(201047,10076124,'Inflicts 18 - 22 divine damage on target every 4.8 seconds',100,2,3),
(201048,10076124,'Cannot be modified except by direct means',100,2,4),
(201049,75119,'When Equipped:',100,0,0),
(201050,75119,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(201051,10075119,'When Equipped:',100,0,0),
(201052,10075119,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(201053,51343,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(201054,51343,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(201055,51343,'Inflicts 61 heat damage on target',100,2,2),
(201056,51343,'Cannot be modified except by direct means',100,2,3),
(201057,10051343,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(201058,10051343,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(201059,10051343,'Inflicts 79 heat damage on target',100,2,2),
(201060,10051343,'Cannot be modified except by direct means',100,2,3),
(201061,150039,'When Equipped:',100,0,0),
(201062,150039,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(201063,150039,'Heals group members (AE) for 2624',100,2,2),
(201064,150039,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(201065,150039,'Must not be engaged in pvp combat',100,2,4),
(201066,150039,'Cannot be modified except by direct means',100,2,5),
(201067,150039,'Must not be engaged in pvp combat',100,1,6),
(201068,10150039,'When Equipped:',100,0,0),
(201069,10150039,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(201070,10150039,'Heals group members (AE) for 3071',100,2,2),
(201071,10150039,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(201072,10150039,'Must not be engaged in pvp combat',100,2,4),
(201073,10150039,'Cannot be modified except by direct means',100,2,5),
(201074,10150039,'Must not be engaged in pvp combat',100,1,6),
(201075,112031,'Roots target',100,1,0),
(201076,112031,'Stifles target',100,1,1),
(201077,112031,'If Target is not Epic',100,2,2),
(201078,112031,'20% chance to dispel when target takes damage',100,1,3),
(201079,112031,'Does not affect Epic targets',100,1,4),
(201080,112031,'Resistibility increases against targets higher than level 68.',100,1,5),
(201081,10112031,'Roots target',100,1,0),
(201082,10112031,'Stifles target',100,1,1),
(201083,10112031,'If Target is not Epic',100,2,2),
(201084,10112031,'20% chance to dispel when target takes damage',100,1,3),
(201085,10112031,'Does not affect Epic targets',100,1,4),
(201086,10112031,'Resistibility increases against targets higher than level 68.',100,1,5),
(201087,141890,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(201088,141890,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(201089,141890,'Inflicts 20 heat damage on target',100,2,2),
(201090,141890,'Cannot be modified except by direct means',100,2,3),
(201091,10141890,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(201092,10141890,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(201093,10141890,'Inflicts 26 heat damage on target',100,2,2),
(201094,10141890,'Cannot be modified except by direct means',100,2,3),
(201095,87496,'When Equipped:',100,0,0),
(201096,87496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201097,87496,'Inflicts 107 - 161 magic damage on target',100,2,2),
(201098,87496,'Cannot be modified except by direct means',100,2,3),
(201099,10087496,'When Equipped:',100,0,0),
(201100,10087496,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201101,10087496,'Inflicts 140 - 210 magic damage on target',100,2,2),
(201102,10087496,'Cannot be modified except by direct means',100,2,3),
(201103,107474,'Inflicts 210 - 630 magic damage on targets in Area of Effect',100,1,0),
(201104,107474,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(201105,107474,'Stuns target',100,2,2),
(201106,107474,'Throws target back',100,2,3),
(201107,107474,'Blurs vision of target',100,2,4),
(201108,107474,'Does not affect Epic targets',100,2,5),
(201109,10107474,'Inflicts 273 - 819 magic damage on targets in Area of Effect',100,1,0),
(201110,10107474,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(201111,10107474,'Stuns target',100,2,2),
(201112,10107474,'Blurs vision of target',100,2,3),
(201113,10107474,'Throws target back',100,2,4),
(201114,10107474,'Does not affect Epic targets',100,2,5),
(201115,141907,'When Equipped:',100,0,0),
(201116,141907,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(201117,141907,'Increases STA of caster by 5.1',100,2,2),
(201118,141907,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(201119,141907,'Cannot be modified except by direct means',100,2,4),
(201120,10141907,'When Equipped:',100,0,0),
(201121,10141907,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(201122,10141907,'Increases STA of caster by 5.1',100,2,2),
(201123,10141907,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(201124,10141907,'Cannot be modified except by direct means',100,2,4),
(201125,164575,'Applies Unstable Magics when Equipped.',100,0,0),
(201126,164575,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(201127,10164575,'Applies Unstable Magics when Equipped.',100,0,0),
(201128,10164575,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(201129,148938,'Applies Ernie''s Incorporeal-Vison when Equipped.',100,0,0),
(201130,148938,'Grants Incorporeal-Vision to caster',100,1,1),
(201131,10148938,'Applies Ernie''s Incorporeal-Vison when Equipped.',100,0,0),
(201132,10148938,'Grants Incorporeal-Vision to caster',100,1,1),
(201133,106204,'Applies Defile.',100,1,0),
(201134,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,1),
(201135,106204,'If under 40% Health',100,3,2),
(201136,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,3),
(201137,106204,'If under 50% Health',100,3,4),
(201138,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,5),
(201139,106204,'If under 30% Health',100,3,6),
(201140,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,7),
(201141,106204,'If under 10% Health',100,3,8),
(201142,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,9),
(201143,106204,'If under 70% Health',100,3,10),
(201144,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,11),
(201145,106204,'If under 60% Health',100,3,12),
(201146,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,13),
(201147,106204,'If under 20% Health',100,3,14),
(201148,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,15),
(201149,106204,'If under 90% Health',100,3,16),
(201150,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,17),
(201151,106204,'If under 100% Health',100,3,18),
(201152,106204,'Inflicts 92 disease damage on targets in Area of Effect',100,2,19),
(201153,106204,'If under 80% Health',100,3,20),
(201154,10106204,'Applies Defile.',100,1,0),
(201155,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,1),
(201156,10106204,'If at 20% Health or less',100,3,2),
(201157,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,3),
(201158,10106204,'If at 90% Health or less',100,3,4),
(201159,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,5),
(201160,10106204,'If at 50% Health or less',100,3,6),
(201161,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,7),
(201162,10106204,'If at 10% Health or less',100,3,8),
(201163,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,9),
(201164,10106204,'If at 70% Health or less',100,3,10),
(201165,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,11),
(201166,10106204,'If at 30% Health or less',100,3,12),
(201167,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,13),
(201168,10106204,'If over 100% Health',100,3,14),
(201169,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,15),
(201170,10106204,'If at 80% Health or less',100,3,16),
(201171,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,17),
(201172,10106204,'If at 40% Health or less',100,3,18),
(201173,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,19),
(201174,10106204,'If at 60% Health or less',100,3,20),
(201175,10106204,'Inflicts 119 disease damage on targets in Area of Effect',100,2,21),
(201176,10106204,'If at 100% Health or greater',100,3,22),
(201177,143773,'When Equipped:',100,0,0),
(201178,143773,'When damaged in combat this spell has a 8% chance to cast Betraying Thoughts on target''s attacker.  ',100,1,1),
(201179,143773,'Decreases Threat to target by 500 ',100,2,2),
(201180,143773,'Cannot be modified except by direct means',100,2,3),
(201181,10143773,'When Equipped:',100,0,0),
(201182,10143773,'When damaged in combat this spell has a 8% chance to cast Betraying Thoughts on target''s attacker.  ',100,1,1),
(201183,10143773,'Forces target to clear their selected target.',100,2,2),
(201184,10143773,'Cannot be modified except by direct means',100,2,3),
(201185,112199,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(201186,112199,'Inflicts 2 disease damage on target',100,2,1),
(201187,112199,'Increases Threat to target by 2 ',100,2,2),
(201188,112199,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 67',100,1,3),
(201189,10112199,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(201190,10112199,'Inflicts 3 disease damage on target',100,2,1),
(201191,10112199,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 67',100,1,2),
(201192,113312,'Inflicts 268 - 448 heat damage on target',100,1,0),
(201193,10113312,'Inflicts 529 - 882 heat damage on target',100,1,0),
(201194,119889,'Increases INT and AGI of group members (AE) by 85.4',100,1,0),
(201195,119889,'Adds 2.6% to base avoidance.',100,1,1),
(201196,10119889,'Increases INT and AGI of group members (AE) by 85.4',100,1,0),
(201197,10119889,'Adds 2.6% to base avoidance.',100,1,1),
(201198,121936,'Applies Tap on termination.',100,1,0),
(201199,121936,'Inflicts 1972 disease damage on target',100,2,1),
(201200,121936,'Heals caster for 5.3% of max health',100,2,2),
(201201,121936,'This effect cannot be critically applied.',100,3,3),
(201202,121936,'The healing of this spell cannot be modified except by direct means',100,2,4),
(201203,10121936,'Applies Tap on termination.',100,1,0),
(201204,10121936,'Inflicts 2564 disease damage on target',100,2,1),
(201205,10121936,'Heals caster for 1.9% of max health',100,2,2),
(201206,10121936,'This effect cannot be critically applied.',100,3,3),
(201207,10121936,'The healing of this spell cannot be modified except by direct means',100,2,4),
(201208,122288,'Makes targets in Area of Effect afraid',100,1,0),
(201209,122288,'If Target is not Epic',100,2,1),
(201210,122288,'Decreases Threat to targets in Area of Effect by 2,861 ',100,1,2),
(201211,122288,'30% chance to dispel when target takes damage',100,1,3),
(201212,10122288,'Makes targets in Area of Effect afraid',100,1,0),
(201213,10122288,'If Target is not Epic',100,2,1),
(201214,10122288,'Applies Distract.',100,1,2),
(201215,10122288,'Forces target to clear their selected target.',100,2,3),
(201216,10122288,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(201217,10122288,'30% chance to dispel when target takes damage',100,1,5),
(201218,45502,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(201219,45502,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,1),
(201220,45502,'Charms target',100,1,2),
(201221,45502,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,3),
(201222,45502,'5% chance to dispel when target takes damage',100,1,4),
(201223,45502,'If target is orc',100,1,5),
(201224,45502,'Certain enemies cannot be charmed',100,1,6),
(201225,45502,'Does not affect Epic targets',100,1,7),
(201226,10045502,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(201227,10045502,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,1),
(201228,10045502,'Charms target',100,1,2),
(201229,10045502,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,3),
(201230,10045502,'5% chance to dispel when target takes damage',100,1,4),
(201231,10045502,'If target is orc',100,1,5),
(201232,10045502,'Certain enemies cannot be charmed',100,1,6),
(201233,10045502,'Does not affect Epic targets',100,1,7),
(201234,47877,'Applies Seal codex within the coffer when Activated.',100,0,0),
(201235,47877,'Summon 1 Sealed Codex Coffer',100,1,1),
(201236,47877,'This effect cannot be cast during combat',100,1,2),
(201237,10047877,'Applies Seal codex within the coffer when Activated.',100,0,0),
(201238,10047877,'Summon 1 Sealed Codex Coffer',100,1,1),
(201239,10047877,'This effect cannot be cast during combat',100,1,2),
(201240,101097,'Increases Mitigation of raid and group members (AE) vs arcane damage by 571',100,1,0),
(201241,10101097,'Increases Mitigation of raid and group members (AE) vs arcane damage by 571',100,1,0),
(201242,106328,'Decreases INT and STR of target by 80.3',100,1,0),
(201243,10106328,'Decreases INT and STR of target by 80.3',100,1,0),
(201244,36836,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(201245,112632,'Inflicts 42 - 70 disease damage on target',100,1,0),
(201246,112632,'Inflicts 42 - 70 disease damage on target',100,1,1),
(201247,112632,'Roots target',100,1,2),
(201248,112632,'If Target is not Epic',100,2,3),
(201249,112632,'15% chance to dispel when target takes damage',100,1,4),
(201250,112632,'If weapon equipped in Ranged',100,1,5),
(201251,112632,'Resistibility increases against targets higher than level 45.',100,1,6),
(201252,10112632,'Inflicts 35 - 59 disease damage on target',100,1,0),
(201253,10112632,'Inflicts 35 - 59 disease damage on target',100,1,1),
(201254,10112632,'Roots target',100,1,2),
(201255,10112632,'If Target is not Epic',100,2,3),
(201256,10112632,'15% chance to dispel when target takes damage',100,1,4),
(201257,10112632,'If weapon equipped in Ranged',100,1,5),
(201258,10112632,'Resistibility increases against targets higher than level 45.',100,1,6),
(201259,121001,'Inflicts 38 - 63 poison damage on target instantly and every 4 seconds',100,1,0),
(201260,121001,'Inflicts 151 - 252 poison damage on target',100,1,1),
(201261,10121001,'Inflicts 49 - 82 poison damage on target instantly and every 4 seconds',100,1,0),
(201262,10121001,'Inflicts 197 - 328 poison damage on target',100,1,1),
(201263,119602,'Increases power of caster by 64 instantly and every 4 seconds',100,1,0),
(201264,10119602,'Increases power of caster by 64 instantly and every 4 seconds',100,1,0),
(201265,115206,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(201266,115206,'Decreases Mitigation of target vs noxious damage by 266',100,2,1),
(201267,115206,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(201268,115206,'Decreases Mitigation of target vs noxious damage by 266',100,2,3),
(201269,10115206,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(201270,10115206,'Decreases Mitigation of target vs noxious damage by 266',100,2,1),
(201271,10115206,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(201272,10115206,'Decreases Mitigation of target vs noxious damage by 266',100,2,3),
(201273,123451,'Shapechanges caster into a bear',100,1,0),
(201274,123451,'Increases WIS of caster by 51.2',100,1,1),
(201275,123451,'Grants See Stealth to caster',100,1,2),
(201276,123451,'Increases Max Health of caster by 137.6',100,1,3),
(201277,123451,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 760',100,1,4),
(201278,10123451,'Shapechanges caster into a bear',100,1,0),
(201279,10123451,'Increases WIS of caster by 51.2',100,1,1),
(201280,10123451,'Grants See Stealth to caster',100,1,2),
(201281,10123451,'Increases Max Health of caster by 137.6',100,1,3),
(201282,10123451,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 760',100,1,4),
(201283,115833,'Inflicts 84 disease damage on target every 3 seconds',100,1,0),
(201284,115833,'Inflicts 316 - 527 melee damage on target',100,1,1),
(201285,115833,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(201286,115833,'Heals caster for 1.6% of max health instantly and every 3 seconds',100,2,3),
(201287,115833,'This effect cannot be critically applied.',100,3,4),
(201288,115833,'The healing of this spell cannot be modified except by direct means',100,2,5),
(201289,115833,'The healing of this spell cannot be modified except by direct means',100,1,6),
(201290,10115833,'Inflicts 110 disease damage on target every 3 seconds',100,1,0),
(201291,10115833,'Inflicts 411 - 685 melee damage on target',100,1,1),
(201292,10115833,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(201293,10115833,'Heals caster for 0.5% of max health instantly and every 3 seconds',100,2,3),
(201294,10115833,'This effect cannot be critically applied.',100,3,4),
(201295,10115833,'The healing of this spell cannot be modified except by direct means',100,2,5),
(201296,10115833,'The healing of this spell cannot be modified except by direct means',100,1,6),
(201297,52809,'Applies Sanguine Imbued when Equipped.',100,0,0),
(201298,52809,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(201299,52809,'Inflicts 83 heat damage on target',100,2,2),
(201300,52809,'Cannot be modified except by direct means',100,2,3),
(201301,10052809,'Applies Sanguine Imbued when Equipped.',100,0,0),
(201302,10052809,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(201303,10052809,'Inflicts 108 heat damage on target',100,2,2),
(201304,10052809,'Cannot be modified except by direct means',100,2,3),
(201305,100905,'Stuns targets in Area of Effect',20,1,0),
(201306,100905,'If Target is not Epic',100,2,1),
(201307,100905,'Inflicts 183 - 305 divine damage on targets in Area of Effect',100,1,2),
(201308,100905,'Resistibility increases against targets higher than level 71.',100,1,3),
(201309,10100905,'Stuns targets in Area of Effect',20,1,0),
(201310,10100905,'If Target is not Epic',100,2,1),
(201311,10100905,'Inflicts 238 - 397 divine damage on targets in Area of Effect',100,1,2),
(201312,10100905,'Resistibility increases against targets higher than level 71.',100,1,3),
(201313,165639,'When Equipped:',100,0,0),
(201314,165639,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(201315,165639,'Stuns target',100,2,2),
(201316,165639,'Does not affect Epic targets',100,2,3),
(201317,165639,'Resistibility increases against targets higher than level 99.',100,2,4),
(201318,165639,'Cannot be modified except by direct means',100,2,5),
(201319,10165639,'When Equipped:',100,0,0),
(201320,10165639,'On a combat hit this spell may cast Stun VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(201321,10165639,'Stuns target',100,2,2),
(201322,10165639,'Does not affect Epic targets',100,2,3),
(201323,10165639,'Resistibility increases against targets higher than level 99.',100,2,4),
(201324,10165639,'Cannot be modified except by direct means',100,2,5),
(201325,104284,'Inflicts 74 - 124 melee damage on target',100,1,0),
(201326,104284,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(201327,104284,'Stuns target',100,2,2),
(201328,104284,'Throws target back',100,2,3),
(201329,104284,'Blurs vision of target',100,2,4),
(201330,104284,'Does not affect Epic targets',100,2,5),
(201331,10104284,'Inflicts 97 - 162 melee damage on target',100,1,0),
(201332,10104284,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(201333,10104284,'Stuns target',100,2,2),
(201334,10104284,'Blurs vision of target',100,2,3),
(201335,10104284,'Throws target back',100,2,4),
(201336,10104284,'Does not affect Epic targets',100,2,5),
(201337,177738,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(201338,177738,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(201339,177738,'Heals target for 59 instantly and every 4 seconds',100,2,2),
(201340,177738,'Cannot be modified except by direct means',100,2,3),
(201341,10177738,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(201342,10177738,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(201343,10177738,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(201344,10177738,'Cannot be modified except by direct means',100,2,3),
(201345,36015,'Increases Max Power of target by 3.3',100,0,0),
(201346,36015,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(201347,46990,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(201348,46990,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(201349,46990,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(201350,46990,'Cannot be modified except by direct means',100,2,3),
(201351,46990,'Grants a total of 80 triggers of the spell.',100,2,4),
(201352,10046990,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(201353,10046990,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(201354,10046990,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(201355,10046990,'Cannot be modified except by direct means',100,2,3),
(201356,10046990,'Grants a total of 80 triggers of the spell.',100,2,4),
(201357,49129,'Applies Sharpen Bite of the Wolf when Activated.',100,0,0),
(201358,10049129,'Applies Sharpen Bite of the Wolf when Activated.',100,0,0),
(201359,169028,'When Equipped:',100,0,0),
(201360,169028,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(201361,169028,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(201362,169028,'Wards target against 1000 points of all damage',100,2,3),
(201363,169028,'Cannot be modified except by direct means',100,2,4),
(201364,10169028,'When Equipped:',100,0,0),
(201365,10169028,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(201366,10169028,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(201367,10169028,'Wards target against 1000 points of all damage',100,2,3),
(201368,10169028,'Cannot be modified except by direct means',100,2,4),
(201369,24567,'Adds Mummy (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(201370,10024567,'Adds Mummy (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(201371,84007,'Applies Lightning Shock when Activated.',100,0,0),
(201372,84007,'Inflicts 477 - 796 magic damage on target',100,1,1),
(201373,84007,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(201374,10084007,'Applies Lightning Shock when Activated.',100,0,0),
(201375,10084007,'Inflicts 621 - 1034 magic damage on target',100,1,1),
(201376,10084007,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(201377,47330,'Applies Wave of Health  when Activated.',100,0,0),
(201378,47330,'Heals caster for 54',100,1,1),
(201379,10047330,'Applies Wave of Health  when Activated.',100,0,0),
(201380,10047330,'Heals caster for 35',100,1,1),
(201381,82780,'When Equipped:',100,0,0),
(201382,82780,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(201383,82780,'Inflicts 365 - 678 magic damage on target',100,2,2),
(201384,82780,'Decreases Threat to target by 1,174 ',100,2,3),
(201385,82780,'Must be flanking or behind',100,3,4),
(201386,82780,'Increases Threat to target by 1,174 ',100,2,5),
(201387,82780,'Must be in front of',100,3,6),
(201388,82780,'Cannot be modified except by direct means',100,2,7),
(201389,10082780,'When Equipped:',100,0,0),
(201390,10082780,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(201391,10082780,'Inflicts 474 - 881 magic damage on target',100,2,2),
(201392,10082780,'Cannot be modified except by direct means',100,2,3),
(201393,89270,'When Equipped:',100,0,0),
(201394,89270,'On a critical combat hit this spell may cast Vitality Consumption IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(201395,89270,'Inflicts 245 - 270 disease damage on target',100,2,2),
(201396,89270,'Heals caster for 196 - 216',100,2,3),
(201397,89270,'Must not be engaged in pvp combat',100,2,4),
(201398,89270,'Cannot be modified except by direct means',100,2,5),
(201399,89270,'On a critical spell hit this spell may cast Vitality Consumption IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(201400,89270,'Inflicts 245 - 270 disease damage on target',100,2,7),
(201401,89270,'Heals caster for 196 - 216',100,2,8),
(201402,89270,'Must not be engaged in pvp combat',100,2,9),
(201403,89270,'Cannot be modified except by direct means',100,2,10),
(201404,89270,'Must not be engaged in pvp combat',100,1,11),
(201405,10089270,'When Equipped:',100,0,0),
(201406,10089270,'On a critical combat hit this spell may cast Vitality Consumption IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(201407,10089270,'Inflicts 318 - 351 disease damage on target',100,2,2),
(201408,10089270,'Heals caster for 127 - 141',100,2,3),
(201409,10089270,'Must not be engaged in pvp combat',100,2,4),
(201410,10089270,'Cannot be modified except by direct means',100,2,5),
(201411,10089270,'On a critical spell hit this spell may cast Vitality Consumption IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(201412,10089270,'Inflicts 318 - 351 disease damage on target',100,2,7),
(201413,10089270,'Heals caster for 127 - 141',100,2,8),
(201414,10089270,'Must not be engaged in pvp combat',100,2,9),
(201415,10089270,'Cannot be modified except by direct means',100,2,10),
(201416,10089270,'Must not be engaged in pvp combat',100,1,11),
(201417,52791,'Applies Sanguine Imbued when Equipped.',100,0,0),
(201418,52791,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(201419,52791,'Inflicts 215 heat damage on target',100,2,2),
(201420,52791,'Cannot be modified except by direct means',100,2,3),
(201421,10052791,'Applies Sanguine Imbued when Equipped.',100,0,0),
(201422,10052791,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(201423,10052791,'Inflicts 280 heat damage on target',100,2,2),
(201424,10052791,'Cannot be modified except by direct means',100,2,3),
(201425,119623,'Inflicts 1393 - 2322 mental damage on targets in Area of Effect',100,1,0),
(201426,119623,'Stuns targets in Area of Effect',100,1,1),
(201427,119623,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(201428,119623,'Resistibility increases against targets higher than level 109.',100,1,3),
(201429,10119623,'Inflicts 1811 - 3018 mental damage on targets in Area of Effect',100,1,0),
(201430,10119623,'Stuns targets in Area of Effect',100,1,1),
(201431,10119623,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(201432,10119623,'Resistibility increases against targets higher than level 109.',100,1,3),
(201433,114656,'Increases Threat to target by 76 - 94 ',100,1,0),
(201434,114656,'Interrupts target',100,1,1),
(201435,10114656,'Interrupts target',100,1,0),
(201436,10114656,'Forces target to change their selected target to caster.',100,1,1),
(201437,10114656,'Prevents target from changing targets',100,1,2),
(201438,101289,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(201439,101289,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,1),
(201440,10101289,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(201441,10101289,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,1),
(201442,25884,'When Equipped:',100,0,0),
(201443,25884,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(201444,25884,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,2),
(201445,10025884,'When Equipped:',100,0,0),
(201446,10025884,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(201447,10025884,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,2),
(201448,100386,'Summons a pet aery hunter',100,1,0),
(201449,10100386,'Summons a pet aery hunter',100,1,0),
(201450,115235,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(201451,115235,'Decreases Mitigation of target vs noxious damage by 1728',100,2,1),
(201452,115235,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(201453,115235,'Decreases Mitigation of target vs noxious damage by 1728',100,2,3),
(201454,10115235,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(201455,10115235,'Decreases Mitigation of target vs noxious damage by 1728',100,2,1),
(201456,10115235,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(201457,10115235,'Decreases Mitigation of target vs noxious damage by 1728',100,2,3),
(201458,123644,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(201459,123644,'Slows target by 48.4%',100,2,1),
(201460,123644,'5% chance to dispel when target receives hostile action',100,2,2),
(201461,123644,'5% chance to dispel when target takes damage',100,2,3),
(201462,123644,'Inflicts 778 - 950 cold damage on target',100,1,4),
(201463,10123644,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(201464,10123644,'Slows target by 48.4%',100,2,1),
(201465,10123644,'5% chance to dispel when target receives hostile action',100,2,2),
(201466,10123644,'5% chance to dispel when target takes damage',100,2,3),
(201467,10123644,'Inflicts 867 - 1059 cold damage on target',100,1,4),
(201468,48261,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(201469,48261,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(201470,48261,'Inflicts 93 poison damage on target instantly and every 6 seconds',100,2,2),
(201471,48261,'Inflicts 180 poison damage on target',100,2,3),
(201472,48261,'Cannot be modified except by direct means',100,2,4),
(201473,48261,'Grants a total of 200 triggers of the spell.',100,2,5),
(201474,10048261,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(201475,10048261,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(201476,10048261,'Inflicts 91 poison damage on target instantly and every 6 seconds',100,2,2),
(201477,10048261,'Inflicts 176 poison damage on target',100,2,3),
(201478,10048261,'Cannot be modified except by direct means',100,2,4),
(201479,10048261,'Grants a total of 200 triggers of the spell.',100,2,5),
(201480,137421,'When Equipped:',100,0,0),
(201481,137421,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(201482,137421,'Inflicts 1998 disease damage on target encounter',100,2,2),
(201483,137421,'Must not be engaged in pvp combat',100,2,3),
(201484,137421,'Cannot be modified except by direct means',100,2,4),
(201485,10137421,'When Equipped:',100,0,0),
(201486,10137421,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(201487,10137421,'Inflicts 1299 disease damage on target encounter',100,2,2),
(201488,10137421,'Must not be engaged in pvp combat',100,2,3),
(201489,10137421,'Cannot be modified except by direct means',100,2,4),
(201490,108935,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(201491,108935,'Inflicts 41 heat damage on target',100,2,1),
(201492,10108935,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(201493,10108935,'Inflicts 54 heat damage on target',100,2,1),
(201494,189148,'When Equipped:',100,0,0),
(201495,189148,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(201496,10189148,'When Equipped:',100,0,0),
(201497,10189148,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(201498,51317,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(201499,51317,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(201500,51317,'Inflicts 48 heat damage on target',100,2,2),
(201501,51317,'Cannot be modified except by direct means',100,2,3),
(201502,10051317,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(201503,10051317,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(201504,10051317,'Inflicts 62 heat damage on target',100,2,2),
(201505,10051317,'Cannot be modified except by direct means',100,2,3),
(201506,173440,'When Equipped:',100,0,0),
(201507,173440,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(201508,173440,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(201509,173440,'Cannot be modified except by direct means',100,2,3),
(201510,173440,'When Equipped:',100,0,4),
(201511,173440,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(201512,173440,'Heals group members (AE) for 2612',100,2,6),
(201513,173440,'Heals group members (AE) for 871 every 5 seconds',100,2,7),
(201514,173440,'Must not be engaged in pvp combat',100,2,8),
(201515,173440,'Cannot be modified except by direct means',100,2,9),
(201516,173440,'Must not be engaged in pvp combat',100,1,10),
(201517,10173440,'When Equipped:',100,0,0),
(201518,10173440,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(201519,10173440,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(201520,10173440,'Cannot be modified except by direct means',100,2,3),
(201521,10173440,'When Equipped:',100,0,4),
(201522,10173440,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(201523,10173440,'Heals group members (AE) for 3056',100,2,6),
(201524,10173440,'Heals group members (AE) for 1019 every 5 seconds',100,2,7),
(201525,10173440,'Must not be engaged in pvp combat',100,2,8),
(201526,10173440,'Cannot be modified except by direct means',100,2,9),
(201527,10173440,'Must not be engaged in pvp combat',100,1,10),
(201528,103231,'Reduces physical damage done to caster by 5%',100,1,0),
(201529,103231,'Adds 1.7% to base avoidance.',100,1,1),
(201530,103231,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(201531,103231,'Increases Parry of caster by 9.9',100,1,3),
(201532,103231,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(201533,103231,'Increases Aggression of caster by 7.4',100,1,5),
(201534,103231,'Increases Defense and Deflection of caster by 9.9',100,1,6),
(201535,103231,'Increases Mitigation of caster vs noxious damage by 660',100,1,7),
(201536,103231,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(201537,10103231,'Reduces physical damage done to caster by 5%',100,1,0),
(201538,10103231,'Adds 1.7% to base avoidance.',100,1,1),
(201539,10103231,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(201540,10103231,'Increases Parry of caster by 9.9',100,1,3),
(201541,10103231,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(201542,10103231,'Increases Aggression of caster by 7.4',100,1,5),
(201543,10103231,'Increases Defense and Deflection of caster by 9.9',100,1,6),
(201544,10103231,'Increases Mitigation of caster vs noxious damage by 660',100,1,7),
(201545,10103231,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(201546,46692,'Applies Dump Insect Carcasses when Activated.',100,0,0),
(201547,10046692,'Applies Dump Insect Carcasses when Activated.',100,0,0),
(201548,173089,'When Equipped:',100,0,0),
(201549,173089,'When damaged with a melee weapon this spell has a 8% chance to cast Lord''s Stone Stance on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(201550,173089,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,2),
(201551,173089,'Cannot be modified except by direct means',100,2,3),
(201552,173089,'This effect can only trigger once every 20 seconds.',100,2,4),
(201553,173089,'Cannot be modified except by direct means',100,1,5),
(201554,10173089,'When Equipped:',100,0,0),
(201555,10173089,'When damaged with a melee weapon this spell has a 8% chance to cast Lord''s Stone Stance on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(201556,10173089,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,2),
(201557,10173089,'Cannot be modified except by direct means',100,2,3),
(201558,10173089,'This effect can only trigger once every 20 seconds.',100,2,4),
(201559,10173089,'Cannot be modified except by direct means',100,1,5),
(201560,35663,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(201561,170550,'When Equipped:',100,0,0),
(201562,170550,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(201563,170550,'Inflicts 1998 disease damage on target encounter',100,2,2),
(201564,170550,'Must not be engaged in pvp combat',100,2,3),
(201565,170550,'Cannot be modified except by direct means',100,2,4),
(201566,10170550,'When Equipped:',100,0,0),
(201567,10170550,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(201568,10170550,'Inflicts 1299 disease damage on target encounter',100,2,2),
(201569,10170550,'Must not be engaged in pvp combat',100,2,3),
(201570,10170550,'Cannot be modified except by direct means',100,2,4),
(201571,119210,'Inflicts 558 - 930 heat damage on target',100,1,0),
(201572,119210,'Inflicts 558 - 930 heat damage on target',100,1,1),
(201573,119210,'Requires bow',100,1,2),
(201574,10119210,'Inflicts 638 - 1064 heat damage on target',100,1,0),
(201575,10119210,'Inflicts 638 - 1064 heat damage on target',100,1,1),
(201576,10119210,'Requires bow',100,1,2),
(201577,123102,'Inflicts 58 disease damage on targets in Area of Effect',100,1,0),
(201578,123102,'Inflicts 39 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(201579,10123102,'Inflicts 75 disease damage on targets in Area of Effect',100,1,0),
(201580,10123102,'Inflicts 51 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(201581,46150,'Applies Summon Tinkerfest Hovercog when Activated.',100,0,0),
(201582,46150,'Summons a mount to ride',100,1,1),
(201583,46150,'Increases your ground speed by 130%',100,2,2),
(201584,10046150,'Applies Summon Tinkerfest Hovercog when Activated.',100,0,0),
(201585,10046150,'Summons a mount to ride',100,1,1),
(201586,10046150,'Increases your ground speed by 130%',100,2,2),
(201587,36667,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(201588,123309,'Increases STA of raid and group members (AE) by 14.3',100,1,0),
(201589,123309,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(201590,10123309,'Increases STA of raid and group members (AE) by 14.3',100,1,0),
(201591,10123309,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(201592,159008,'When Equipped:',100,0,0),
(201593,159008,'Reduces resistibility of all spells by 10%.',100,1,1),
(201594,10159008,'When Equipped:',100,0,0),
(201595,10159008,'Reduces resistibility of all spells by 10%.',100,1,1),
(201596,46172,'Applies Escape Root when Activated.',100,0,0),
(201597,46172,'Teleports caster and caster''s group within the zone',70,1,1),
(201598,10046172,'Applies Escape Root when Activated.',100,0,0),
(201599,10046172,'Teleports caster and caster''s group within the zone',70,1,1),
(201600,159609,'Applies Sanguine Imbued when Equipped.',100,0,0),
(201601,159609,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(201602,159609,'Inflicts 161 heat damage on target',100,2,2),
(201603,159609,'Cannot be modified except by direct means',100,2,3),
(201604,10159609,'Applies Sanguine Imbued when Equipped.',100,0,0),
(201605,10159609,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(201606,10159609,'Inflicts 210 heat damage on target',100,2,2),
(201607,10159609,'Cannot be modified except by direct means',100,2,3),
(201608,37121,'Increases STA of target by 1.5',100,0,0),
(201609,37121,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(201610,110645,'Inflicts 1655 - 2758 ranged damage on target',100,1,0),
(201611,110645,'If weapon equipped in Ranged',100,1,1),
(201612,110645,'Must be flanking or behind',100,1,2),
(201613,10110645,'Inflicts 1028 - 1714 ranged damage on target',100,1,0),
(201614,10110645,'If weapon equipped in Ranged',100,1,1),
(201615,10110645,'Must be flanking or behind',100,1,2),
(201616,36495,'Increases STA of target by 0.4',100,0,0),
(201617,36495,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(201618,117308,'Roots target',100,1,0),
(201619,117308,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(201620,117308,'Slows target by 32.1%',100,2,2),
(201621,117308,'5% chance to dispel when target receives hostile action',100,2,3),
(201622,117308,'5% chance to dispel when target takes damage',100,2,4),
(201623,117308,'15% chance to dispel when target takes damage',100,1,5),
(201624,117308,'Does not affect Epic targets',100,1,6),
(201625,117308,'Resistibility increases against targets higher than level 48.',100,1,7),
(201626,10117308,'Roots target',100,1,0),
(201627,10117308,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(201628,10117308,'Slows target by 32.1%',100,2,2),
(201629,10117308,'10% chance to dispel when target receives hostile action',100,2,3),
(201630,10117308,'10% chance to dispel when target takes damage',100,2,4),
(201631,10117308,'15% chance to dispel when target takes damage',100,1,5),
(201632,10117308,'Does not affect Epic targets',100,1,6),
(201633,10117308,'Resistibility increases against targets higher than level 48.',100,1,7),
(201634,54409,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(201635,54409,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(201636,54409,'Inflicts 97 heat damage on target',100,2,2),
(201637,54409,'Cannot be modified except by direct means',100,2,3),
(201638,10054409,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(201639,10054409,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(201640,10054409,'Inflicts 126 heat damage on target',100,2,2),
(201641,10054409,'Cannot be modified except by direct means',100,2,3),
(201642,35171,'Increases AGI of target by 1.5',100,0,0),
(201643,35171,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(201644,122072,'Increases Threat to target by 244 - 299 ',100,1,0),
(201645,160664,'When Equipped:',100,0,0),
(201646,160664,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(201647,160664,'On any combat or spell hit this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(201648,160664,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,3),
(201649,160664,'Must not be engaged in pvp combat',100,2,4),
(201650,160664,'Cannot be modified except by direct means',100,2,5),
(201651,160664,'On a healing spell cast this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(201652,160664,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,7),
(201653,160664,'Must not be engaged in pvp combat',100,2,8),
(201654,160664,'Cannot be modified except by direct means',100,2,9),
(201655,160664,'Cannot be modified except by direct means',100,1,10),
(201656,10160664,'When Equipped:',100,0,0),
(201657,10160664,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(201658,10160664,'On any combat or spell hit this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(201659,10160664,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,3),
(201660,10160664,'Must not be engaged in pvp combat',100,2,4),
(201661,10160664,'Cannot be modified except by direct means',100,2,5),
(201662,10160664,'On a healing spell cast this spell may cast Winds of the Tundra on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(201663,10160664,'Increases the damage of group members'' spells and combat arts by 15%.',100,2,7),
(201664,10160664,'Must not be engaged in pvp combat',100,2,8),
(201665,10160664,'Cannot be modified except by direct means',100,2,9),
(201666,10160664,'Cannot be modified except by direct means',100,1,10),
(201667,46961,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(201668,46961,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(201669,46961,'Inflicts 47 poison damage on target instantly and every 6 seconds',100,2,2),
(201670,46961,'Inflicts 285 poison damage on target',100,2,3),
(201671,46961,'Cannot be modified except by direct means',100,2,4),
(201672,46961,'Grants a total of 200 triggers of the spell.',100,2,5),
(201673,10046961,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(201674,10046961,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(201675,10046961,'Inflicts 278 poison damage on target',100,2,2),
(201676,10046961,'Inflicts 45 poison damage on target instantly and every 6 seconds',100,2,3),
(201677,10046961,'Cannot be modified except by direct means',100,2,4),
(201678,10046961,'Grants a total of 200 triggers of the spell.',100,2,5),
(201679,45413,'Applies Toss Throwing Stick when Activated.',100,0,0),
(201680,10045413,'Applies Toss Throwing Stick when Activated.',100,0,0),
(201681,120106,'Shapechanges caster into a chaos essence',100,1,0),
(201682,120106,'Increases WIS of caster by 89.8',100,1,1),
(201683,120106,'Grants See Invisibility to caster',100,1,2),
(201684,120106,'Increases Max Health of caster by 393.6',100,1,3),
(201685,120106,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1368',100,1,4),
(201686,10120106,'Shapechanges caster into a chaos essence',100,1,0),
(201687,10120106,'Increases WIS of caster by 89.8',100,1,1),
(201688,10120106,'Grants See Invisibility to caster',100,1,2),
(201689,10120106,'Increases Max Health of caster by 393.6',100,1,3),
(201690,10120106,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1368',100,1,4),
(201691,74689,'When Equipped:',100,0,0),
(201692,74689,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201693,74689,'Inflicts 180 - 271 magic damage on target',100,2,2),
(201694,74689,'Cannot be modified except by direct means',100,2,3),
(201695,10074689,'When Equipped:',100,0,0),
(201696,10074689,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201697,10074689,'Inflicts 235 - 352 magic damage on target',100,2,2),
(201698,10074689,'Cannot be modified except by direct means',100,2,3),
(201699,111036,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(201700,111036,'Increases Threat to target by 299 ',100,2,1),
(201701,111036,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(201702,111036,'Increases Threat to target by 299 ',100,2,3),
(201703,10111036,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(201704,10111036,'Inflicts 67 - 74 crushing damage on target',100,2,1),
(201705,10111036,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(201706,10111036,'Inflicts 67 - 74 crushing damage on target',100,2,3),
(201707,147199,'When Equipped:',100,0,0),
(201708,147199,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(201709,147199,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(201710,147199,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(201711,147199,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(201712,147199,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(201713,147199,'Must not be engaged in pvp combat',100,2,6),
(201714,147199,'Cannot be modified except by direct means',100,2,7),
(201715,147199,'Must not be engaged in pvp combat',100,1,8),
(201716,147199,'When Equipped:',100,0,9),
(201717,147199,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(201718,147199,'Inflicts 2664 cold damage on target encounter',100,2,11),
(201719,147199,'Must not be engaged in pvp combat',100,2,12),
(201720,147199,'Cannot be modified except by direct means',100,2,13),
(201721,147199,'Must not be engaged in pvp combat',100,1,14),
(201722,10147199,'When Equipped:',100,0,0),
(201723,10147199,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(201724,10147199,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(201725,10147199,'Inflicts 905 - 1000 piercing damage on target instantly and every 3 seconds',100,2,3),
(201726,10147199,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(201727,10147199,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(201728,10147199,'Must not be engaged in pvp combat',100,2,6),
(201729,10147199,'Cannot be modified except by direct means',100,2,7),
(201730,10147199,'Must not be engaged in pvp combat',100,1,8),
(201731,10147199,'When Equipped:',100,0,9),
(201732,10147199,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,10),
(201733,10147199,'Inflicts 1732 cold damage on target encounter',100,2,11),
(201734,10147199,'Must not be engaged in pvp combat',100,2,12),
(201735,10147199,'Cannot be modified except by direct means',100,2,13),
(201736,10147199,'Must not be engaged in pvp combat',100,1,14),
(201737,47658,'Applies Pegasus when Activated.',100,0,0),
(201738,47658,'Increases Aggression, Piercing, Crushing, Ministration, Ordination, Subjugation and Disruption of caster by 5.0',100,1,1),
(201739,47658,'Summons a mount to ride',100,1,2),
(201740,47658,'Increases your ground speed by 75%',100,2,3),
(201741,47658,'Increases your air speed by 150%',100,2,4),
(201742,47658,'Increases Slashing, Focus and Ranged of caster by 5.0',100,1,5),
(201743,10047658,'Applies Pegasus when Activated.',100,0,0),
(201744,10047658,'Increases Aggression, Piercing, Crushing, Ministration, Ordination, Subjugation and Disruption of caster by 5.0',100,1,1),
(201745,10047658,'Summons a mount to ride',100,1,2),
(201746,10047658,'Increases your ground speed by 75%',100,2,3),
(201747,10047658,'Increases your air speed by 150%',100,2,4),
(201748,10047658,'Increases Slashing, Focus and Ranged of caster by 5.0',100,1,5),
(201749,103734,'Increases Max Health of raid and group members (AE) by 697.1',100,1,0),
(201750,103734,'Increases Defense of raid and group members (AE) by 23.8',100,1,1),
(201751,10103734,'Increases Max Health of raid and group members (AE) by 697.1',100,1,0),
(201752,10103734,'Increases Defense of raid and group members (AE) by 23.8',100,1,1),
(201753,26911,'When Equipped:',100,0,0),
(201754,26911,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(201755,26911,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(201756,26911,'Heals caster for 88 - 107',100,3,3),
(201757,26911,'Grants a total of 3 triggers of the spell.',100,3,4),
(201758,26911,'Cannot be modified except by direct means',100,2,5),
(201759,10026911,'When Equipped:',100,0,0),
(201760,10026911,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(201761,10026911,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(201762,10026911,'Heals caster for 57 - 70',100,3,3),
(201763,10026911,'Grants a total of 3 triggers of the spell.',100,3,4),
(201764,10026911,'Cannot be modified except by direct means',100,2,5),
(201765,80677,'When Equipped:',100,0,0),
(201766,80677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201767,80677,'Inflicts 83 - 154 magic damage on target',100,2,2),
(201768,80677,'Cannot be modified except by direct means',100,2,3),
(201769,10080677,'When Equipped:',100,0,0),
(201770,10080677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201771,10080677,'Inflicts 108 - 200 magic damage on target',100,2,2),
(201772,10080677,'Cannot be modified except by direct means',100,2,3),
(201773,75615,'Applies Holy Strike when Activated.',100,0,0),
(201774,75615,'Inflicts 363 - 605 divine damage on target',100,1,1),
(201775,75615,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(201776,10075615,'Applies Holy Strike when Activated.',100,0,0),
(201777,10075615,'Inflicts 472 - 787 divine damage on target',100,1,1),
(201778,10075615,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(201779,122898,'Increases STR and INT of group members (AE) by 28.3',100,1,0),
(201780,10122898,'Increases STR and INT of group members (AE) by 28.3',100,1,0),
(201781,101679,'Decreases Attack Speed of target by 15.8',100,1,0),
(201782,101679,'Decreases Damage Per Second of target by 11.4',100,1,1),
(201783,10101679,'Decreases Attack Speed of target by 15.8',100,1,0),
(201784,10101679,'Decreases Damage Per Second of target by 11.4',100,1,1),
(201785,113209,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(201786,113209,'Inflicts 72 magic damage on target',100,2,1),
(201787,113209,'Grants a total of 5 triggers of the spell.',100,2,2),
(201788,10113209,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(201789,10113209,'Inflicts 94 magic damage on target',100,2,1),
(201790,10113209,'Grants a total of 5 triggers of the spell.',100,2,2),
(201791,117770,'Inflicts 648 - 1080 divine damage on target',100,1,0),
(201792,10117770,'Inflicts 842 - 1404 divine damage on target',100,1,0),
(201793,103425,'Decreases Threat to targets in Area of Effect by 3,615 ',100,1,0),
(201794,103425,'Slows targets in Area of Effect by 42.0%',100,1,1),
(201795,103425,'Stifles targets in Area of Effect',100,1,2),
(201796,103425,'If Target is not Epic',100,2,3),
(201797,103425,'10% chance to dispel when target receives hostile action',100,1,4),
(201798,103425,'10% chance to dispel when target takes damage',100,1,5),
(201799,10103425,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(201800,10103425,'Slows targets in Area of Effect by 42.0%',100,1,1),
(201801,10103425,'Stifles targets in Area of Effect',100,1,2),
(201802,10103425,'If Target is not Epic',100,2,3),
(201803,36619,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(201804,36619,'This effect suspends during combat',100,0,1),
(201805,35319,'Increases Max Power of target by 3.3',100,0,0),
(201806,35319,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(201807,75712,'When Equipped:',100,0,0),
(201808,75712,'On any combat or spell hit this spell may cast Martial Quake on target of attack.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(201809,75712,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(201810,75712,'Inflicts 4482 - 4954 heat damage on targets in Area of Effect',100,2,3),
(201811,75712,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,4),
(201812,75712,'Stuns target',100,3,5),
(201813,75712,'Throws target back',100,3,6),
(201814,75712,'Blurs vision of target',100,3,7),
(201815,75712,'Does not affect Epic targets',100,3,8),
(201816,75712,'Must not be engaged in pvp combat',100,2,9),
(201817,75712,'Cannot be modified except by direct means',100,2,10),
(201818,75712,'Must not be engaged in pvp combat',100,1,11),
(201819,10075712,'When Equipped:',100,0,0),
(201820,10075712,'On any combat or spell hit this spell may cast Martial Quake on target of attack.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(201821,10075712,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(201822,10075712,'Inflicts 5827 - 6440 heat damage on targets in Area of Effect',100,2,3),
(201823,10075712,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,4),
(201824,10075712,'Stuns target',100,3,5),
(201825,10075712,'Throws target back',100,3,6),
(201826,10075712,'Blurs vision of target',100,3,7),
(201827,10075712,'Does not affect Epic targets',100,3,8),
(201828,10075712,'Must not be engaged in pvp combat',100,2,9),
(201829,10075712,'Cannot be modified except by direct means',100,2,10),
(201830,10075712,'Must not be engaged in pvp combat',100,1,11),
(201831,110293,'Decreases Mitigation of target vs arcane damage by 1632',100,1,0),
(201832,110293,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(201833,110293,'Slows target by 64.3%',100,2,2),
(201834,110293,'5% chance to dispel when target receives hostile action',100,2,3),
(201835,110293,'5% chance to dispel when target takes damage',100,2,4),
(201836,10110293,'Decreases Mitigation of target vs arcane damage by 1632',100,1,0),
(201837,10110293,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(201838,10110293,'Slows target by 64.3%',100,2,2),
(201839,10110293,'5% chance to dispel when target receives hostile action',100,2,3),
(201840,10110293,'5% chance to dispel when target takes damage',100,2,4),
(201841,108767,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(201842,108767,'Inflicts 24 - 30 heat damage on target instantly and every 4 seconds',100,2,1),
(201843,108767,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(201844,108767,'Inflicts 108 - 132 heat damage on target encounter',100,3,3),
(201845,108767,'Grants a total of 1 trigger of the spell.',100,3,4),
(201846,10108767,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(201847,10108767,'Inflicts 32 - 39 heat damage on target instantly and every 4 seconds',100,2,1),
(201848,10108767,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(201849,10108767,'Inflicts 140 - 172 heat damage on target encounter',100,3,3),
(201850,10108767,'Grants a total of 1 trigger of the spell.',100,3,4),
(201851,24025,'Adds Aviak (Troubador) to your Dungeon Maker toolbox',100,0,0),
(201852,10024025,'Adds Aviak (Troubador) to your Dungeon Maker toolbox',100,0,0),
(201853,71962,'When Equipped:',100,0,0),
(201854,71962,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(201855,71962,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(201856,71962,'Cannot be modified except by direct means',100,2,3),
(201857,10071962,'When Equipped:',100,0,0),
(201858,10071962,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(201859,10071962,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(201860,10071962,'Cannot be modified except by direct means',100,2,3),
(201861,41641,'When Equipped:',100,0,0),
(201862,41641,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(201863,41641,'Inflicts 302 - 560 magic damage on target',100,2,2),
(201864,41641,'Decreases Threat to target by 949 ',100,2,3),
(201865,41641,'Must be flanking or behind',100,3,4),
(201866,41641,'Increases Threat to target by 949 ',100,2,5),
(201867,41641,'Must be in front of',100,3,6),
(201868,41641,'Cannot be modified except by direct means',100,2,7),
(201869,10041641,'When Equipped:',100,0,0),
(201870,10041641,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(201871,10041641,'Inflicts 392 - 728 magic damage on target',100,2,2),
(201872,10041641,'Cannot be modified except by direct means',100,2,3),
(201873,24391,'Adds Genie (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(201874,10024391,'Adds Genie (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(201875,112823,'Roots target',100,1,0),
(201876,112823,'5% chance to dispel when target takes damage',100,1,1),
(201877,112823,'Does not affect Epic targets',100,1,2),
(201878,112823,'Resistibility increases against targets higher than level 36.',100,1,3),
(201879,10112823,'Roots target',100,1,0),
(201880,10112823,'5% chance to dispel when target takes damage',100,1,1),
(201881,10112823,'Does not affect Epic targets',100,1,2),
(201882,10112823,'Resistibility increases against targets higher than level 36.',100,1,3),
(201883,47093,'Applies Most Wanted Poster when Activated.',100,0,0),
(201884,47093,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(201885,47093,'If between levels 80 - 89',100,1,2),
(201886,47093,'Cannot be modified except by direct means',100,1,3),
(201887,10047093,'Applies Most Wanted Poster when Activated.',100,0,0),
(201888,10047093,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(201889,10047093,'If between levels 80 - 89',100,1,2),
(201890,10047093,'Cannot be modified except by direct means',100,1,3),
(201891,24142,'Adds Coldain (Monk) to your Dungeon Maker toolbox',100,0,0),
(201892,10024142,'Adds Coldain (Monk) to your Dungeon Maker toolbox',100,0,0),
(201893,105253,'Increases Threat to target by 604 ',100,1,0),
(201894,105253,'Interrupts target',100,1,1),
(201895,105253,'Dispels 90 levels of arcane beneficial effects on target',100,1,2),
(201896,10105253,'Forces target to change their selected target to caster.',100,1,0),
(201897,10105253,'Interrupts target',100,1,1),
(201898,10105253,'Dispels 90 levels of arcane beneficial effects on target',100,1,2),
(201899,104045,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',100,1,0),
(201900,104045,'Applies Migraine on termination.',100,1,1),
(201901,104045,'Inflicts 68 - 92 mental damage on target',100,2,2),
(201902,10104045,'Inflicts 31 - 38 mental damage on target instantly and every 6 seconds',100,1,0),
(201903,10104045,'Applies Migraine on termination.',100,1,1),
(201904,10104045,'Inflicts 88 - 119 mental damage on target',100,2,2),
(201905,81456,'When Equipped:',100,0,0),
(201906,81456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201907,81456,'Inflicts 121 - 225 magic damage on target',100,2,2),
(201908,81456,'Cannot be modified except by direct means',100,2,3),
(201909,10081456,'When Equipped:',100,0,0),
(201910,10081456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201911,10081456,'Inflicts 157 - 292 magic damage on target',100,2,2),
(201912,10081456,'Cannot be modified except by direct means',100,2,3),
(201913,108631,'Feigns Death with 96% chance of success',100,1,0),
(201914,10108631,'Feigns Death with 96% chance of success',100,1,0),
(201915,122487,'Inflicts 255 - 426 mental damage on targets in Area of Effect',100,1,0),
(201916,10122487,'Inflicts 332 - 553 mental damage on targets in Area of Effect',100,1,0),
(201917,40635,'When Equipped:',100,0,0),
(201918,40635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201919,40635,'Inflicts 280 - 420 magic damage on target',100,2,2),
(201920,40635,'Cannot be modified except by direct means',100,2,3),
(201921,10040635,'When Equipped:',100,0,0),
(201922,10040635,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(201923,10040635,'Inflicts 364 - 546 magic damage on target',100,2,2),
(201924,10040635,'Cannot be modified except by direct means',100,2,3),
(201925,119119,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(201926,119119,'Inflicts 95 - 117 slashing damage on target',100,2,1),
(201927,119119,'Increases Mitigation of caster vs physical damage by 223',100,1,2),
(201928,10119119,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(201929,10119119,'Inflicts 124 - 151 slashing damage on target',100,2,1),
(201930,10119119,'Increases Mitigation of caster vs physical damage by 223',100,1,2),
(201931,116221,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(201932,116221,'Inflicts 302 - 369 mental damage on target',100,2,1),
(201933,116221,'Increases INT of group members (AE) by 58.5',100,1,2),
(201934,10116221,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(201935,10116221,'Inflicts 393 - 480 mental damage on target',100,2,1),
(201936,10116221,'Increases INT of group members (AE) by 58.5',100,1,2),
(201937,81471,'When Equipped:',100,0,0),
(201938,81471,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(201939,81471,'Inflicts 121 - 225 magic damage on target',100,2,2),
(201940,81471,'Decreases Threat to target by 352 ',100,2,3),
(201941,81471,'Must be flanking or behind',100,3,4),
(201942,81471,'Increases Threat to target by 352 ',100,2,5),
(201943,81471,'Must be in front of',100,3,6),
(201944,81471,'Cannot be modified except by direct means',100,2,7),
(201945,10081471,'When Equipped:',100,0,0),
(201946,10081471,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(201947,10081471,'Inflicts 157 - 292 magic damage on target',100,2,2),
(201948,10081471,'Cannot be modified except by direct means',100,2,3),
(201949,122015,'Inflicts 490 - 817 melee damage on targets in area',100,1,0),
(201950,122015,'Increases Threat to target encounter by 1,806 ',100,1,1),
(201951,10122015,'Inflicts 637 - 1063 melee damage on targets in area',100,1,0),
(201952,10122015,'Prevents target encounter from changing targets',100,1,1),
(201953,10122015,'Forces target encounter to change their selected target to caster.',100,1,2),
(201954,108119,'Increases Attack Speed of caster by 18.0',100,1,0),
(201955,10108119,'Increases Attack Speed of caster by 18.0',100,1,0),
(201956,111349,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(201957,111349,'Inflicts 938 - 1146 mental damage on target',100,2,1),
(201958,111349,'Grants a total of 3 triggers of the spell.',100,2,2),
(201959,10111349,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(201960,10111349,'Inflicts 1219 - 1490 mental damage on target',100,2,1),
(201961,10111349,'Grants a total of 3 triggers of the spell.',100,2,2),
(201962,100407,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(201963,100407,'Inflicts 8 - 14 slashing damage on target',100,2,1),
(201964,100407,'Increases Threat to target by 19 ',100,2,2),
(201965,100407,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(201966,100407,'Increases Threat to target by 19 ',100,2,4),
(201967,100407,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 82',100,1,5),
(201968,10100407,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(201969,10100407,'Inflicts 11 - 18 slashing damage on target',100,2,1),
(201970,10100407,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(201971,10100407,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 82',100,1,3),
(201972,112572,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(201973,112572,'Dispels 56 levels of physical hostile effects on target',100,2,1),
(201974,112572,'Heals targets in Area of Effect for 96 - 117',100,2,2),
(201975,10112572,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(201976,10112572,'Dispels 56 levels of physical hostile effects on target',100,2,1),
(201977,10112572,'Heals targets in Area of Effect for 62 - 76',100,2,2),
(201978,104366,'Charms target',100,1,0),
(201979,104366,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(201980,104366,'Mesmerizes target',100,2,2),
(201981,104366,'Dispelled when target takes damage',100,2,3),
(201982,104366,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(201983,104366,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(201984,104366,'Grants Sonic Vision to caster',100,2,6),
(201985,104366,'Increases Out-of-Combat Power Regeneration of target by 44.0',100,1,7),
(201986,104366,'Increases Out-of-Combat Health Regeneration of target by 89.8',100,1,8),
(201987,104366,'Certain enemies cannot be charmed',100,1,9),
(201988,104366,'Does not affect Epic targets',100,1,10),
(201989,10104366,'Mesmerizes target',100,1,0),
(201990,10104366,'Prevents AOE (except when direct) ',100,1,1),
(201991,10104366,'Dispelled when target takes damage',100,1,2),
(201992,10104366,'Certain enemies cannot be charmed',100,1,3),
(201993,10104366,'Does not affect Epic targets',100,1,4),
(201994,10104366,'Resistibility increases against targets higher than level 113.',100,1,5),
(201995,105627,'Inflicts 71 disease damage on target instantly and every 6 seconds',100,1,0),
(201996,105627,'Inflicts 165 - 275 disease damage on target',100,1,1),
(201997,105627,'Inflicts 165 - 275 disease damage on target',100,1,2),
(201998,10105627,'Inflicts 93 disease damage on target instantly and every 6 seconds',100,1,0),
(201999,10105627,'Inflicts 214 - 358 disease damage on target',100,1,1),
(202000,10105627,'Inflicts 214 - 358 disease damage on target',100,1,2),
(202001,45706,'Applies Protection of the Songweaver  when Activated.  Lasts for 30 minutes.',100,0,0),
(202002,10045706,'Applies Protection of the Songweaver  when Activated.  Lasts for 30 minutes.',100,0,0),
(202003,179268,'When Equipped:',100,0,0),
(202004,179268,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(202005,10179268,'When Equipped:',100,0,0),
(202006,10179268,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(202007,82691,'When Equipped:',100,0,0),
(202008,82691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202009,82691,'Inflicts 212 - 393 magic damage on target',100,2,2),
(202010,82691,'Cannot be modified except by direct means',100,2,3),
(202011,10082691,'When Equipped:',100,0,0),
(202012,10082691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202013,10082691,'Inflicts 275 - 511 magic damage on target',100,2,2),
(202014,10082691,'Cannot be modified except by direct means',100,2,3),
(202015,167702,'When Equipped:',100,0,0),
(202016,167702,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(202017,167702,'Summons 2 limited pets to aid the caster',100,2,2),
(202018,167702,'Cannot be modified except by direct means',100,2,3),
(202019,10167702,'When Equipped:',100,0,0),
(202020,10167702,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(202021,10167702,'Summons 2 limited pets to aid the caster',100,2,2),
(202022,10167702,'Cannot be modified except by direct means',100,2,3),
(202023,115405,'Inflicts 359 - 598 melee damage on target',100,1,0),
(202024,115405,'Decreases INT of target by 44.5',100,1,1),
(202025,115405,'You must be sneaking to use this ability.',100,1,2),
(202026,10115405,'Inflicts 467 - 778 melee damage on target',100,1,0),
(202027,10115405,'Decreases INT of target by 44.5',100,1,1),
(202028,10115405,'You must be sneaking to use this ability.',100,1,2),
(202029,73258,'Applies Frost Blast when Activated.',100,0,0),
(202030,73258,'Inflicts 133 - 222 cold damage on target',100,1,1),
(202031,73258,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(202032,10073258,'Applies Frost Blast when Activated.',100,0,0),
(202033,10073258,'Inflicts 173 - 289 cold damage on target',100,1,1),
(202034,10073258,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(202035,46160,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(202036,46160,'Roots target',100,1,1),
(202037,46160,'80% chance to dispel when target takes damage',100,1,2),
(202038,46160,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(202039,46160,'Resistibility increases against targets higher than level 49.',100,1,4),
(202040,10046160,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(202041,10046160,'Roots target',100,1,1),
(202042,10046160,'80% chance to dispel when target takes damage',100,1,2),
(202043,10046160,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(202044,10046160,'Resistibility increases against targets higher than level 49.',100,1,4),
(202045,100272,'Summons a limited pet to aid the caster',100,1,0),
(202046,10100272,'Summons a limited pet to aid the caster',100,1,0),
(202047,35046,'Increases Max Power of target by 3.3',100,0,0),
(202048,35046,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(202049,46780,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(202050,46780,'Increases speed of caster by 16.2%',100,1,1),
(202051,46780,'This effect suspends during combat',100,1,2),
(202052,10046780,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(202053,10046780,'Increases speed of caster by 16.2%',100,1,1),
(202054,10046780,'This effect suspends during combat',100,1,2),
(202055,106104,'Inflicts 1063 - 1772 melee damage on target',100,1,0),
(202056,106104,'Decreases Mitigation of target vs physical damage by 2560',100,1,1),
(202057,106104,'Must be behind',100,1,2),
(202058,10106104,'Inflicts 1382 - 2304 melee damage on target',100,1,0),
(202059,10106104,'Decreases Mitigation of target vs physical damage by 640',100,1,1),
(202060,10106104,'Must be behind',100,1,2),
(202061,74535,'Applies Fire Ball when Activated.',100,0,0),
(202062,74535,'Inflicts 133 - 222 heat damage on target',100,1,1),
(202063,74535,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(202064,10074535,'Applies Fire Ball when Activated.',100,0,0),
(202065,10074535,'Inflicts 173 - 289 heat damage on target',100,1,1),
(202066,10074535,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(202067,122133,'Interrupts target',100,1,0),
(202068,122133,'Dispels 92 levels of arcane beneficial effects on target',100,1,1),
(202069,122133,'Increases Threat to target by 1,271 ',100,1,2),
(202070,10122133,'Interrupts target',100,1,0),
(202071,10122133,'Forces target to change their selected target to caster.',100,1,1),
(202072,10122133,'Dispels 92 levels of arcane beneficial effects on target',100,1,2),
(202073,124298,'Wards group members (AE) against 1459 points of elemental damage',100,1,0),
(202074,124298,'Increases Mitigation of group members (AE) vs elemental damage by 798',100,1,1),
(202075,10124298,'Wards group members (AE) against 1459 points of elemental damage',100,1,0),
(202076,10124298,'Increases Mitigation of group members (AE) vs elemental damage by 798',100,1,1),
(202077,84181,'When Equipped:',100,0,0),
(202078,84181,'Adds 10% in-combat movement speed to Selo''s Accelerando IV.',100,1,1),
(202079,84181,'Adds a Spell and Combat Art reuse speed bonus to Aria of Magic V and Riana''s Relentless Tune VI.',100,1,2),
(202080,84181,'Increases in-combat movement speed of caster by 10.0%',100,1,3),
(202081,10084181,'When Equipped:',100,0,0),
(202082,10084181,'Adds 10% in-combat movement speed to Selo''s Accelerando IV.',100,1,1),
(202083,10084181,'Adds a Spell and Combat Art reuse speed bonus to Aria of Magic V and Riana''s Relentless Tune VI.',100,1,2),
(202084,10084181,'Increases in-combat movement speed of caster by 10.0%',100,1,3),
(202085,116848,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(202086,116848,'Inflicts 386 - 472 mental damage on target',100,2,1),
(202087,116848,'Grants a total of 3 triggers of the spell.',100,2,2),
(202088,10116848,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(202089,10116848,'Inflicts 502 - 614 mental damage on target',100,2,1),
(202090,10116848,'Grants a total of 3 triggers of the spell.',100,2,2),
(202091,177537,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(202092,177537,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(202093,177537,'Inflicts 20 heat damage on target',100,2,2),
(202094,177537,'Cannot be modified except by direct means',100,2,3),
(202095,10177537,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(202096,10177537,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(202097,10177537,'Inflicts 27 heat damage on target',100,2,2),
(202098,10177537,'Cannot be modified except by direct means',100,2,3),
(202099,120460,'Inflicts 289 - 482 ranged damage on target',100,1,0),
(202100,120460,'Slows target by 49.9%',100,1,1),
(202101,120460,'10% chance to dispel when target receives hostile action',100,1,2),
(202102,120460,'Requires bow',100,1,3),
(202103,10120460,'Inflicts 225 - 376 ranged damage on target',100,1,0),
(202104,10120460,'Slows target by 49.9%',100,1,1),
(202105,10120460,'10% chance to dispel when target receives hostile action',100,1,2),
(202106,10120460,'Requires bow',100,1,3),
(202107,107951,'Increases In-Combat Power Regeneration of group members (AE) by 6.2',100,1,0),
(202108,10107951,'Increases In-Combat Power Regeneration of group members (AE) by 6.2',100,1,0),
(202109,88046,'When Equipped:',100,0,0),
(202110,88046,'On a combat hit this spell may cast Spirit Theft on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202111,88046,'Inflicts 169 - 282 mental damage on target',100,2,2),
(202112,88046,'Increases power of caster by 72 - 120',100,2,3),
(202113,88046,'Cannot be modified except by direct means',100,2,4),
(202114,10088046,'When Equipped:',100,0,0),
(202115,10088046,'On a combat hit this spell may cast Spirit Theft on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202116,10088046,'Inflicts 220 - 367 mental damage on target',100,2,2),
(202117,10088046,'Increases power of caster by 72 - 120',100,2,3),
(202118,10088046,'Cannot be modified except by direct means',100,2,4),
(202119,103230,'Reduces physical damage done to caster by 5%',100,1,0),
(202120,103230,'Adds 2.1% to base avoidance.',100,1,1),
(202121,103230,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(202122,103230,'Increases Parry of caster by 12.6',100,1,3),
(202123,103230,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(202124,103230,'Increases Aggression of caster by 9.4',100,1,5),
(202125,103230,'Increases Defense and Deflection of caster by 12.6',100,1,6),
(202126,103230,'Increases Mitigation of caster vs noxious damage by 840',100,1,7),
(202127,103230,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(202128,10103230,'Reduces physical damage done to caster by 5%',100,1,0),
(202129,10103230,'Adds 2.1% to base avoidance.',100,1,1),
(202130,10103230,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(202131,10103230,'Increases Parry of caster by 12.6',100,1,3),
(202132,10103230,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(202133,10103230,'Increases Aggression of caster by 9.4',100,1,5),
(202134,10103230,'Increases Defense and Deflection of caster by 12.6',100,1,6),
(202135,10103230,'Increases Mitigation of caster vs noxious damage by 840',100,1,7),
(202136,10103230,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(202137,141881,'When Equipped:',100,0,0),
(202138,141881,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(202139,141881,'Increases STA of caster by 16.3',100,2,2),
(202140,141881,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(202141,141881,'Cannot be modified except by direct means',100,2,4),
(202142,10141881,'When Equipped:',100,0,0),
(202143,10141881,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(202144,10141881,'Increases STA of caster by 16.3',100,2,2),
(202145,10141881,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(202146,10141881,'Cannot be modified except by direct means',100,2,4),
(202147,118236,'Inflicts 40 - 66 divine damage on target',100,1,0),
(202148,118236,'Interrupts target',100,1,1),
(202149,10118236,'Inflicts 52 - 86 divine damage on target',100,1,0),
(202150,10118236,'Interrupts target',100,1,1),
(202151,36626,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(202152,110290,'Decreases Mitigation of target vs arcane damage by 1020',100,1,0),
(202153,110290,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(202154,110290,'Slows target by 40.2%',100,2,2),
(202155,110290,'5% chance to dispel when target receives hostile action',100,2,3),
(202156,110290,'5% chance to dispel when target takes damage',100,2,4),
(202157,10110290,'Decreases Mitigation of target vs arcane damage by 1020',100,1,0),
(202158,10110290,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(202159,10110290,'Slows target by 40.2%',100,2,2),
(202160,10110290,'5% chance to dispel when target receives hostile action',100,2,3),
(202161,10110290,'5% chance to dispel when target takes damage',100,2,4),
(202162,177613,'When Equipped:',100,0,0),
(202163,177613,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202164,177613,'Increases STR of caster by 5.8',100,2,2),
(202165,177613,'Increases Damage Per Second of caster by 13.2',100,2,3),
(202166,177613,'Cannot be modified except by direct means',100,2,4),
(202167,10177613,'When Equipped:',100,0,0),
(202168,10177613,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202169,10177613,'Increases STR of caster by 5.8',100,2,2),
(202170,10177613,'Increases Damage Per Second of caster by 13.2',100,2,3),
(202171,10177613,'Cannot be modified except by direct means',100,2,4),
(202172,107268,'Inflicts 174 - 290 ranged damage on target',100,1,0),
(202173,107268,'Inflicts 174 - 290 ranged damage on target',100,1,1),
(202174,107268,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(202175,107268,'Stuns target',100,2,3),
(202176,107268,'Throws target back',100,2,4),
(202177,107268,'Blurs vision of target',100,2,5),
(202178,107268,'Does not affect Epic targets',100,2,6),
(202179,107268,'If weapon equipped in Ranged',100,1,7),
(202180,10107268,'Inflicts 147 - 246 ranged damage on target',100,1,0),
(202181,10107268,'Inflicts 147 - 246 ranged damage on target',100,1,1),
(202182,10107268,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(202183,10107268,'Blurs vision of target',100,2,3),
(202184,10107268,'Stuns target',100,2,4),
(202185,10107268,'Throws target back',100,2,5),
(202186,10107268,'Does not affect Epic targets',100,2,6),
(202187,10107268,'If weapon equipped in Ranged',100,1,7),
(202188,36956,'Increases Max Power of target by 3.3',100,0,0),
(202189,36956,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(202190,47471,'Applies Call Blue-saddled Pale Mistrunner when Activated.',100,0,0),
(202191,47471,'Increases Max Power of caster by 100.0',100,1,1),
(202192,47471,'Increases Max Health of caster by 100.0',100,1,2),
(202193,47471,'Increases Piercing and Slashing of caster by 7.0',100,1,3),
(202194,47471,'Summons a mount to ride',100,1,4),
(202195,47471,'Increases your ground speed by 130%',100,2,5),
(202196,47471,'Increases Crushing, Disruption and Ranged of caster by 7.0',100,1,6),
(202197,47471,'Requires good alignment',100,1,7),
(202198,10047471,'Applies Call Blue-saddled Pale Mistrunner when Activated.',100,0,0),
(202199,10047471,'Increases Max Power of caster by 100.0',100,1,1),
(202200,10047471,'Increases Max Health of caster by 100.0',100,1,2),
(202201,10047471,'Increases Piercing and Slashing of caster by 7.0',100,1,3),
(202202,10047471,'Summons a mount to ride',100,1,4),
(202203,10047471,'Increases your ground speed by 130%',100,2,5),
(202204,10047471,'Increases Crushing, Disruption and Ranged of caster by 7.0',100,1,6),
(202205,10047471,'Requires good alignment',100,1,7),
(202206,109393,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(202207,109393,'Slows target by 44.4%',100,2,1),
(202208,109393,'Inflicts 112 - 137 cold damage on target',100,2,2),
(202209,109393,'5% chance to dispel when target receives hostile action',100,2,3),
(202210,109393,'5% chance to dispel when target takes damage',100,2,4),
(202211,10109393,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(202212,10109393,'Inflicts 146 - 178 cold damage on target',100,2,1),
(202213,10109393,'Slows target by 44.4%',100,2,2),
(202214,10109393,'5% chance to dispel when target receives hostile action',100,2,3),
(202215,10109393,'5% chance to dispel when target takes damage',100,2,4),
(202216,120417,'Inflicts 41 - 68 melee damage on target',100,1,0),
(202217,120417,'Inflicts 41 - 68 melee damage on target',100,1,1),
(202218,10120417,'Inflicts 53 - 89 melee damage on target',100,1,0),
(202219,10120417,'Inflicts 53 - 89 melee damage on target',100,1,1),
(202220,105856,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(202221,105856,'Increases Damage Per Second of caster by 42.8',100,1,1),
(202222,105856,'Increases Piercing, Slashing and Crushing of caster by 20.1',100,1,2),
(202223,10105856,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(202224,10105856,'Increases Damage Per Second of caster by 42.8',100,1,1),
(202225,10105856,'Increases Piercing, Slashing and Crushing of caster by 20.1',100,1,2),
(202226,112534,'Interrupts target',50,1,0),
(202227,112534,'Inflicts 80 - 97 divine damage on target',100,1,1),
(202228,10112534,'Interrupts target',50,1,0),
(202229,10112534,'Inflicts 133 - 162 divine damage on target',100,1,1),
(202230,46964,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(202231,46964,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(202232,46964,'Inflicts 10 poison damage on target instantly and every 6 seconds',100,2,2),
(202233,46964,'Inflicts 64 poison damage on target',100,2,3),
(202234,46964,'Cannot be modified except by direct means',100,2,4),
(202235,46964,'Grants a total of 200 triggers of the spell.',100,2,5),
(202236,10046964,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(202237,10046964,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(202238,10046964,'Inflicts 62 poison damage on target',100,2,2),
(202239,10046964,'Inflicts 10 poison damage on target instantly and every 6 seconds',100,2,3),
(202240,10046964,'Cannot be modified except by direct means',100,2,4),
(202241,10046964,'Grants a total of 200 triggers of the spell.',100,2,5),
(202242,82717,'When Equipped:',100,0,0),
(202243,82717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202244,82717,'Inflicts 43 - 80 magic damage on target',100,2,2),
(202245,82717,'Cannot be modified except by direct means',100,2,3),
(202246,10082717,'When Equipped:',100,0,0),
(202247,10082717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202248,10082717,'Inflicts 56 - 104 magic damage on target',100,2,2),
(202249,10082717,'Cannot be modified except by direct means',100,2,3),
(202250,108286,'Summons a limited pet to aid the caster',100,1,0),
(202251,10108286,'Summons a limited pet to aid the caster',100,1,0),
(202252,85479,'When Equipped:',100,0,0),
(202253,85479,'On a combat hit this spell may cast Awareness of Marr on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202254,85479,'Prevents AOE (except when direct) ',100,2,2),
(202255,85479,'Must not be engaged in pvp combat',100,2,3),
(202256,85479,'Cannot be modified except by direct means',100,2,4),
(202257,85479,'When a combat art is used this spell has a 10% chance to cast Vengeance of Marr on target of combat art.  Lasts for 36.0 seconds.  ',100,1,5),
(202258,85479,'Reduces target''s combat art damage by 10%.',100,2,6),
(202259,85479,'Only affects targets level 83 and below',100,2,7),
(202260,85479,'Cannot be modified except by direct means',100,2,8),
(202261,10085479,'When Equipped:',100,0,0),
(202262,10085479,'On a combat hit this spell may cast Awareness of Marr on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202263,10085479,'Prevents AOE (except when direct) ',100,2,2),
(202264,10085479,'Must not be engaged in pvp combat',100,2,3),
(202265,10085479,'Cannot be modified except by direct means',100,2,4),
(202266,10085479,'When a combat art is used this spell has a 10% chance to cast Vengeance of Marr on target of combat art.  Lasts for 36.0 seconds.  ',100,1,5),
(202267,10085479,'Reduces target''s combat art damage by 10%.',100,2,6),
(202268,10085479,'Only affects targets level 83 and below',100,2,7),
(202269,10085479,'Cannot be modified except by direct means',100,2,8),
(202270,37470,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(202271,109596,'Increases Defense of group members'' pets (AE) by 3.1',100,1,0),
(202272,109596,'Increases Mitigation of group members (AE) vs all damage by 58',100,1,1),
(202273,10109596,'Increases Defense of group members'' pets (AE) by 3.1',100,1,0),
(202274,10109596,'Increases Mitigation of group members (AE) vs all damage by 58',100,1,1),
(202275,119748,'Wards group members (AE) against 166 points of elemental, noxious and arcane damage',100,1,0),
(202276,119748,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,1),
(202277,10119748,'Wards group members (AE) against 166 points of elemental, noxious and arcane damage',100,1,0),
(202278,10119748,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,1),
(202279,177555,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(202280,177555,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(202281,177555,'Inflicts 98 heat damage on target',100,2,2),
(202282,177555,'Cannot be modified except by direct means',100,2,3),
(202283,10177555,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(202284,10177555,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(202285,10177555,'Inflicts 128 heat damage on target',100,2,2),
(202286,10177555,'Cannot be modified except by direct means',100,2,3),
(202287,104456,'Inflicts 134 - 164 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(202288,104456,'Interrupts target encounter',100,1,1),
(202289,104456,'Applies Stumble on termination.',100,1,2),
(202290,104456,'Interrupts target',100,2,3),
(202291,10104456,'Inflicts 174 - 213 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(202292,10104456,'Interrupts target encounter',100,1,1),
(202293,10104456,'Applies Stumble on termination.',100,1,2),
(202294,10104456,'Interrupts target',100,2,3),
(202295,122929,'Inflicts 9 - 13 mental damage on target',100,1,0),
(202296,10122929,'Inflicts 12 - 16 mental damage on target',100,1,0),
(202297,176041,'When Equipped:',100,0,0),
(202298,176041,'On any combat or spell hit this spell may cast Mistarget on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202299,176041,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(202300,176041,'Cannot be modified except by direct means',100,2,3),
(202301,10176041,'When Equipped:',100,0,0),
(202302,10176041,'On any combat or spell hit this spell may cast Mistarget on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202303,10176041,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(202304,10176041,'Cannot be modified except by direct means',100,2,3),
(202305,101280,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(202306,101280,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,1),
(202307,10101280,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(202308,10101280,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,1),
(202309,71482,'When Equipped:',100,0,0),
(202310,71482,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202311,71482,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(202312,71482,'Cannot be modified except by direct means',100,2,3),
(202313,10071482,'When Equipped:',100,0,0),
(202314,10071482,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202315,10071482,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(202316,10071482,'Cannot be modified except by direct means',100,2,3),
(202317,25520,'When Equipped:',100,0,0),
(202318,25520,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(202319,25520,'Improves the duration and recast time of Focus Aim IV by 5 seconds.',100,1,2),
(202320,10025520,'When Equipped:',100,0,0),
(202321,10025520,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(202322,10025520,'Improves the duration and recast time of Focus Aim IV by 5 seconds.',100,1,2),
(202323,36087,'Increases STA and STR of target by 1.1',100,0,0),
(202324,36087,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(202325,72216,'Applies Astral Blessing when Equipped.',100,0,0),
(202326,72216,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(202327,72216,'Heals target for 440 instantly and every second',100,2,2),
(202328,72216,'Cannot be modified except by direct means',100,2,3),
(202329,72216,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(202330,72216,'Heals caster for 440 instantly and every second',100,2,5),
(202331,72216,'Cannot be modified except by direct means',100,2,6),
(202332,72216,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(202333,72216,'Heals caster for 440 instantly and every second',100,2,8),
(202334,72216,'Cannot be modified except by direct means',100,2,9),
(202335,10072216,'Applies Astral Blessing when Equipped.',100,0,0),
(202336,10072216,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(202337,10072216,'Heals target for 514 instantly and every second',100,2,2),
(202338,10072216,'Cannot be modified except by direct means',100,2,3),
(202339,10072216,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(202340,10072216,'Heals caster for 514 instantly and every second',100,2,5),
(202341,10072216,'Cannot be modified except by direct means',100,2,6),
(202342,10072216,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(202343,10072216,'Heals caster for 514 instantly and every second',100,2,8),
(202344,10072216,'Cannot be modified except by direct means',100,2,9),
(202345,47207,'Applies Elixir of Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(202346,47207,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(202347,10047207,'Applies Elixir of Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(202348,10047207,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(202349,107647,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(202350,107647,'Increases Mitigation of group members (AE) vs elemental damage by 1170',100,1,1),
(202351,10107647,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(202352,10107647,'Increases Mitigation of group members (AE) vs elemental damage by 1170',100,1,1),
(202353,48408,'Applies Jester''s Cap when Activated.  Lasts for 6 hours.',100,0,0),
(202354,48408,'Try the Jester''s Cap and be transformed ...',100,1,1),
(202355,10048408,'Applies Jester''s Cap when Activated.  Lasts for 6 hours.',100,0,0),
(202356,10048408,'Try the Jester''s Cap and be transformed ...',100,1,1),
(202357,102747,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(202358,102747,'Stuns target',100,2,1),
(202359,102747,'If Target is not Epic',100,3,2),
(202360,102747,'Inflicts 407 - 678 divine damage on target',100,2,3),
(202361,102747,'Inflicts 349 - 582 divine damage on target',100,2,4),
(202362,102747,'If target is undead',100,3,5),
(202363,10102747,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(202364,10102747,'Stuns target',100,2,1),
(202365,10102747,'Inflicts 794 - 1323 divine damage on target',100,2,2),
(202366,10102747,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(202367,102448,'Stuns target encounter',100,1,0),
(202368,102448,'Epic targets gain an immunity to Stun effects of 11.3 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(202369,102448,'Resistibility increases against targets higher than level 73.',100,1,2),
(202370,10102448,'Stuns target encounter',100,1,0),
(202371,10102448,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(202372,10102448,'Resistibility increases against targets higher than level 73.',100,1,2),
(202373,123889,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(202374,123889,'Slows target by 49.3%',100,2,1),
(202375,123889,'5% chance to dispel when target receives hostile action',100,2,2),
(202376,123889,'5% chance to dispel when target takes damage',100,2,3),
(202377,123889,'Decreases Mitigation of target vs elemental and noxious damage by 364',100,1,4),
(202378,10123889,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(202379,10123889,'Slows target by 49.3%',100,2,1),
(202380,10123889,'5% chance to dispel when target receives hostile action',100,2,2),
(202381,10123889,'5% chance to dispel when target takes damage',100,2,3),
(202382,10123889,'Decreases Mitigation of target vs elemental and noxious damage by 364',100,1,4),
(202383,73903,'Applies Disease Blast when Activated.',100,0,0),
(202384,73903,'Inflicts 113 - 189 disease damage on target',100,1,1),
(202385,73903,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(202386,10073903,'Applies Disease Blast when Activated.',100,0,0),
(202387,10073903,'Inflicts 147 - 246 disease damage on target',100,1,1),
(202388,10073903,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(202389,124737,'Heals group members (AE) for 1737 - 2124',100,1,0),
(202390,10124737,'Heals group members (AE) for 3795 - 4638',100,1,0),
(202391,107499,'Inflicts 663 - 1990 magic damage on targets in Area of Effect',100,1,0),
(202392,107499,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(202393,107499,'Stuns target',100,2,2),
(202394,107499,'Blurs vision of target',100,2,3),
(202395,107499,'Throws target back',100,2,4),
(202396,107499,'Does not affect Epic targets',100,2,5),
(202397,10107499,'Inflicts 862 - 2587 magic damage on targets in Area of Effect',100,1,0),
(202398,10107499,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(202399,10107499,'Blurs vision of target',100,2,2),
(202400,10107499,'Stuns target',100,2,3),
(202401,10107499,'Throws target back',100,2,4),
(202402,10107499,'Does not affect Epic targets',100,2,5),
(202403,49057,'Applies Virile Frenzy when Activated.  Lasts for 15 minutes.',100,0,0),
(202404,49057,'Decreases INT and WIS of caster by 6.8',100,1,1),
(202405,49057,'Increases AGI, STA and STR of caster by 7.7',100,1,2),
(202406,10049057,'Applies Virile Frenzy when Activated.  Lasts for 15 minutes.',100,0,0),
(202407,10049057,'Decreases INT and WIS of caster by 6.8',100,1,1),
(202408,10049057,'Increases AGI, STA and STR of caster by 7.7',100,1,2),
(202409,88998,'When Equipped:',100,0,0),
(202410,88998,'On a combat hit this spell may cast Calamity Thrash on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202411,88998,'Inflicts 576 - 704 piercing damage on target',100,2,2),
(202412,88998,'Cannot be modified except by direct means',100,2,3),
(202413,10088998,'When Equipped:',100,0,0),
(202414,10088998,'On a combat hit this spell may cast Calamity Thrash on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202415,10088998,'Inflicts 748 - 915 piercing damage on target',100,2,2),
(202416,10088998,'Cannot be modified except by direct means',100,2,3),
(202417,51299,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(202418,51299,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(202419,51299,'Inflicts 35 heat damage on target',100,2,2),
(202420,51299,'Cannot be modified except by direct means',100,2,3),
(202421,10051299,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(202422,10051299,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(202423,10051299,'Inflicts 45 heat damage on target',100,2,2),
(202424,10051299,'Cannot be modified except by direct means',100,2,3),
(202425,36719,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(202426,107850,'Decreases Mitigation of target vs elemental damage by 437',100,1,0),
(202427,107850,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(202428,107850,'Slows target by 32.9%',100,2,2),
(202429,107850,'5% chance to dispel when target receives hostile action',100,2,3),
(202430,107850,'5% chance to dispel when target takes damage',100,2,4),
(202431,10107850,'Decreases Mitigation of target vs elemental damage by 437',100,1,0),
(202432,10107850,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(202433,10107850,'Slows target by 32.9%',100,2,2),
(202434,10107850,'5% chance to dispel when target receives hostile action',100,2,3),
(202435,10107850,'5% chance to dispel when target takes damage',100,2,4),
(202436,122238,'Increases Damage Per Second of target by 45.4',100,1,0),
(202437,122238,'Increases Max Health of target by 1,696.8',100,1,1),
(202438,10122238,'Increases Damage Per Second of target by 45.4',100,1,0),
(202439,10122238,'Increases Max Health of target by 1,696.8',100,1,1),
(202440,134175,'When Equipped:',100,0,0),
(202441,134175,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(202442,10134175,'When Equipped:',100,0,0),
(202443,10134175,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(202444,48317,'Applies Superior Anti-Venin when Activated.',100,0,0),
(202445,48317,'Dispels 68 levels of noxious hostile effects on caster',100,1,1),
(202446,10048317,'Applies Superior Anti-Venin when Activated.',100,0,0),
(202447,10048317,'Dispels 68 levels of noxious hostile effects on caster',100,1,1),
(202448,123454,'Shapechanges caster into a bear',100,1,0),
(202449,123454,'Increases WIS of caster by 52.4',100,1,1),
(202450,123454,'Grants See Stealth to caster',100,1,2),
(202451,123454,'Increases Max Health of caster by 207.8',100,1,3),
(202452,123454,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 808',100,1,4),
(202453,10123454,'Shapechanges caster into a bear',100,1,0),
(202454,10123454,'Increases WIS of caster by 52.4',100,1,1),
(202455,10123454,'Grants See Stealth to caster',100,1,2),
(202456,10123454,'Increases Max Health of caster by 207.8',100,1,3),
(202457,10123454,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 808',100,1,4),
(202458,110982,'Inflicts 2150 - 3583 ranged damage on target',100,1,0),
(202459,110982,'I need to be stealthed!',100,1,1),
(202460,110982,'Requires bow',100,1,2),
(202461,10110982,'Inflicts 1370 - 2284 ranged damage on target',100,1,0),
(202462,10110982,'I need to be stealthed!',100,1,1),
(202463,10110982,'Requires bow',100,1,2),
(202464,116022,'Decreases Hate Gain of target by 16.3%',100,1,0),
(202465,116022,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(202466,116022,'Decreases threat priority of target by 1 position',100,2,2),
(202467,10116022,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(202468,10116022,'Forces target to clear their selected target.',100,2,1),
(202469,116695,'Heals group members (AE) for 10.8 - 13.2% of max health',100,1,0),
(202470,116695,'This effect cannot be critically applied.',100,2,1),
(202471,116695,'Increases Max Health of group members (AE) by 849.8',100,1,2),
(202472,116695,'The healing of this spell cannot be modified except by direct means',100,1,3),
(202473,10116695,'Heals group members (AE) for 3.4 - 4.2% of max health',100,1,0),
(202474,10116695,'This effect cannot be critically applied.',100,2,1),
(202475,10116695,'Increases Max Health of group members (AE) by 849.8',100,1,2),
(202476,10116695,'The healing of this spell cannot be modified except by direct means',100,1,3),
(202477,170965,'When Equipped:',100,0,0),
(202478,170965,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(202479,170965,'Decreases Threat to target by 800 ',100,2,2),
(202480,170965,'Cannot be modified except by direct means',100,2,3),
(202481,10170965,'When Equipped:',100,0,0),
(202482,10170965,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(202483,10170965,'Cannot be modified except by direct means',100,2,2),
(202484,80494,'When Equipped:',100,0,0),
(202485,80494,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(202486,80494,'Inflicts 493 - 915 magic damage on target',100,2,2),
(202487,80494,'Decreases Threat to target by 1,219 ',100,2,3),
(202488,80494,'Must be flanking or behind',100,3,4),
(202489,80494,'Increases Threat to target by 1,219 ',100,2,5),
(202490,80494,'Must be in front of',100,3,6),
(202491,80494,'Cannot be modified except by direct means',100,2,7),
(202492,10080494,'When Equipped:',100,0,0),
(202493,10080494,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(202494,10080494,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(202495,10080494,'Cannot be modified except by direct means',100,2,3),
(202496,72323,'When Equipped:',100,0,0),
(202497,72323,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202498,72323,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(202499,72323,'Cannot be modified except by direct means',100,2,3),
(202500,10072323,'When Equipped:',100,0,0),
(202501,10072323,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202502,10072323,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(202503,10072323,'Cannot be modified except by direct means',100,2,3),
(202504,81663,'When Equipped:',100,0,0),
(202505,81663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202506,81663,'Inflicts 169 - 315 magic damage on target',100,2,2),
(202507,81663,'Cannot be modified except by direct means',100,2,3),
(202508,10081663,'When Equipped:',100,0,0),
(202509,10081663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202510,10081663,'Inflicts 220 - 409 magic damage on target',100,2,2),
(202511,10081663,'Cannot be modified except by direct means',100,2,3),
(202512,106467,'Increases Multi Attack Chance of raid and group members (AE) by 19.2',100,1,0),
(202513,10106467,'Increases Multi Attack Chance of raid and group members (AE) by 19.2',100,1,0),
(202514,117457,'Inflicts 1090 - 1817 melee damage on target',100,1,0),
(202515,117457,'You must be sneaking to use this ability.',100,1,1),
(202516,117457,'Must be flanking or behind',100,1,2),
(202517,10117457,'Inflicts 878 - 1464 melee damage on target',100,1,0),
(202518,10117457,'You must be sneaking to use this ability.',100,1,1),
(202519,10117457,'Must be flanking or behind',100,1,2),
(202520,114128,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(202521,114128,'Increases Mitigation of group members (AE) vs elemental damage by 525',100,1,1),
(202522,10114128,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(202523,10114128,'Increases Mitigation of group members (AE) vs elemental damage by 525',100,1,1),
(202524,114110,'Inflicts 1172 - 1954 melee damage on targets in area',100,1,0),
(202525,114110,'You must be in stealth to use this!',100,1,1),
(202526,10114110,'Inflicts 1524 - 2540 melee damage on targets in area',100,1,0),
(202527,10114110,'You must be in stealth to use this!',100,1,1),
(202528,110228,'Interrupts target',100,1,0),
(202529,110228,'Inflicts 331 - 552 crushing damage on target',100,1,1),
(202530,10110228,'Interrupts target',100,1,0),
(202531,10110228,'Inflicts 430 - 718 crushing damage on target',100,1,1),
(202532,122415,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(202533,122415,'Inflicts 32 - 39 piercing damage on target encounter',100,2,1),
(202534,10122415,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(202535,10122415,'Inflicts 41 - 50 piercing damage on target encounter',100,2,1),
(202536,102954,'Inflicts 219 - 268 disease damage on target instantly and every 4 seconds',100,1,0),
(202537,10102954,'Inflicts 371 - 453 disease damage on target',100,1,0),
(202538,10102954,'Inflicts 285 - 349 disease damage on target every 4 seconds',100,1,1),
(202539,36782,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(202540,101075,'Summons 3 limited pets to aid the caster',100,1,0),
(202541,10101075,'Summons 3 limited pets to aid the caster',100,1,0),
(202542,148407,'When Equipped:',100,0,0),
(202543,148407,'Increases Attack Speed of caster by 45.0',100,1,1),
(202544,10148407,'When Equipped:',100,0,0),
(202545,10148407,'Increases Attack Speed of caster by 45.0',100,1,1),
(202546,52863,'Applies Sanguine Imbued when Equipped.',100,0,0),
(202547,52863,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(202548,52863,'Inflicts 34 heat damage on target',100,2,2),
(202549,52863,'Cannot be modified except by direct means',100,2,3),
(202550,10052863,'Applies Sanguine Imbued when Equipped.',100,0,0),
(202551,10052863,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(202552,10052863,'Inflicts 44 heat damage on target',100,2,2),
(202553,10052863,'Cannot be modified except by direct means',100,2,3),
(202554,104548,'Increases Threat to target by 1,209 - 1,478  instantly and by 241 - 295  every 2 seconds thereafter',100,1,0),
(202555,10104548,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(202556,37184,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(202557,37184,'This effect suspends during combat',100,0,1),
(202558,109000,'Decreases Damage Per Second of target by 17.2',100,1,0),
(202559,109000,'Inflicts 127 - 155 melee damage on target',100,1,1),
(202560,10109000,'Decreases Damage Per Second of target by 17.2',100,1,0),
(202561,10109000,'Inflicts 165 - 202 melee damage on target',100,1,1),
(202562,82326,'When Equipped:',100,0,0),
(202563,82326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202564,82326,'Inflicts 259 - 481 magic damage on target',100,2,2),
(202565,82326,'Cannot be modified except by direct means',100,2,3),
(202566,10082326,'When Equipped:',100,0,0),
(202567,10082326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202568,10082326,'Inflicts 337 - 625 magic damage on target',100,2,2),
(202569,10082326,'Cannot be modified except by direct means',100,2,3),
(202570,86214,'When Equipped:',100,0,0),
(202571,86214,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202572,86214,'Slows target by 20.0%',100,2,2),
(202573,86214,'Cannot be modified except by direct means',100,2,3),
(202574,10086214,'When Equipped:',100,0,0),
(202575,10086214,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202576,10086214,'Slows target by 20.0%',100,2,2),
(202577,10086214,'Cannot be modified except by direct means',100,2,3),
(202578,115745,'Inflicts 7 - 12 melee damage on target',100,1,0),
(202579,10115745,'Inflicts 9 - 15 melee damage on target',100,1,0),
(202580,81131,'When Equipped:',100,0,0),
(202581,81131,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202582,81131,'Inflicts 230 - 426 magic damage on target',100,2,2),
(202583,81131,'Cannot be modified except by direct means',100,2,3),
(202584,10081131,'When Equipped:',100,0,0),
(202585,10081131,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202586,10081131,'Inflicts 298 - 554 magic damage on target',100,2,2),
(202587,10081131,'Cannot be modified except by direct means',100,2,3),
(202588,114114,'Inflicts 1563 - 2605 melee damage on targets in area',100,1,0),
(202589,114114,'You must be in stealth to use this!',100,1,1),
(202590,10114114,'Inflicts 2032 - 3387 melee damage on targets in area',100,1,0),
(202591,10114114,'You must be in stealth to use this!',100,1,1),
(202592,107501,'Inflicts 859 - 2576 magic damage on targets in Area of Effect',100,1,0),
(202593,107501,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(202594,107501,'Stuns target',100,2,2),
(202595,107501,'Blurs vision of target',100,2,3),
(202596,107501,'Throws target back',100,2,4),
(202597,107501,'Does not affect Epic targets',100,2,5),
(202598,10107501,'Inflicts 1116 - 3349 magic damage on targets in Area of Effect',100,1,0),
(202599,10107501,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(202600,10107501,'Blurs vision of target',100,2,2),
(202601,10107501,'Stuns target',100,2,3),
(202602,10107501,'Throws target back',100,2,4),
(202603,10107501,'Does not affect Epic targets',100,2,5),
(202604,114772,'Feigns Death with 78% chance of success',100,1,0),
(202605,10114772,'Feigns Death with 78% chance of success',100,1,0),
(202606,71456,'When Equipped:',100,0,0),
(202607,71456,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202608,71456,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(202609,71456,'Cannot be modified except by direct means',100,2,3),
(202610,10071456,'When Equipped:',100,0,0),
(202611,10071456,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202612,10071456,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(202613,10071456,'Cannot be modified except by direct means',100,2,3),
(202614,45645,'Applies Elixir of the Fleetfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(202615,10045645,'Applies Elixir of the Fleetfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(202616,100858,'Wards target against 1838 points of all damage',100,1,0),
(202617,10100858,'Wards target against 2828 points of all damage',100,1,0),
(202618,111545,'Increases Hate Gain of target by 27.0%',100,1,0),
(202619,111545,'Increases Aggression of target by 21.6',100,1,1),
(202620,10111545,'Increases STR of target by 56.4',100,1,0),
(202621,10111545,'Increases Aggression of target by 21.6',100,1,1),
(202622,24586,'Adds Mystic Guardian to your Dungeon Maker toolbox',100,0,0),
(202623,10024586,'Adds Mystic Guardian to your Dungeon Maker toolbox',100,0,0),
(202624,107237,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(202625,107237,'Slows target by 37.6%',100,2,1),
(202626,107237,'5% chance to dispel when target receives hostile action',100,2,2),
(202627,107237,'5% chance to dispel when target takes damage',100,2,3),
(202628,107237,'Inflicts 16 - 20 disease damage on target every 4 seconds',100,1,4),
(202629,107237,'Slows target by 37.6%',100,1,5),
(202630,107237,'5% chance to dispel when target receives hostile action',100,1,6),
(202631,107237,'5% chance to dispel when target takes damage',100,1,7),
(202632,10107237,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(202633,10107237,'Slows target by 37.6%',100,2,1),
(202634,10107237,'5% chance to dispel when target receives hostile action',100,2,2),
(202635,10107237,'5% chance to dispel when target takes damage',100,2,3),
(202636,10107237,'Inflicts 21 - 26 disease damage on target every 2.5 seconds',100,1,4),
(202637,10107237,'Slows target by 37.6%',100,1,5),
(202638,10107237,'5% chance to dispel when target receives hostile action',100,1,6),
(202639,10107237,'5% chance to dispel when target takes damage',100,1,7),
(202640,48353,'Applies Swog''s Pacifying Unction when Activated.  Lasts for 30.0 seconds.',100,0,0),
(202641,10048353,'Applies Swog''s Pacifying Unction when Activated.  Lasts for 30.0 seconds.',100,0,0),
(202642,110466,'Dazes targets in Area of Effect',100,1,0),
(202643,110466,'If Target is not Epic',100,2,1),
(202644,110466,'Decreases Threat to targets in Area of Effect by 5,092 ',100,1,2),
(202645,110466,'Dispelled when target receives hostile action',100,1,3),
(202646,110466,'Dispelled when target takes damage',100,1,4),
(202647,10110466,'Dazes targets in Area of Effect',100,1,0),
(202648,10110466,'If Target is not Epic',100,2,1),
(202649,10110466,'Applies Distract.',100,1,2),
(202650,10110466,'Forces target to clear their selected target.',100,2,3),
(202651,10110466,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(202652,10110466,'Dispelled when target receives hostile action',100,1,5),
(202653,10110466,'Dispelled when target takes damage',100,1,6),
(202654,47611,'Applies Rested Mind and Body when Activated.',100,0,0),
(202655,47611,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(202656,10047611,'Applies Rested Mind and Body when Activated.',100,0,0),
(202657,10047611,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(202658,144882,'When Equipped:',100,0,0),
(202659,144882,'When any damage is received this spell has a 7% chance to cast Harmless Appearance on target''s attacker.  ',100,1,1),
(202660,144882,'Decreases Threat to target by 393 - 656 ',100,2,2),
(202661,144882,'Cannot be modified except by direct means',100,2,3),
(202662,10144882,'When Equipped:',100,0,0),
(202663,10144882,'When any damage is received this spell has a 7% chance to cast Harmless Appearance on target''s attacker.  ',100,1,1),
(202664,10144882,'Cannot be modified except by direct means',100,2,2),
(202665,105504,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.0',100,1,0),
(202666,10105504,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.0',100,1,0),
(202667,80638,'When Equipped:',100,0,0),
(202668,80638,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(202669,80638,'Inflicts 83 - 154 magic damage on target',100,2,2),
(202670,80638,'Decreases Threat to target by 236 ',100,2,3),
(202671,80638,'Must be flanking or behind',100,3,4),
(202672,80638,'Increases Threat to target by 236 ',100,2,5),
(202673,80638,'Must be in front of',100,3,6),
(202674,80638,'Cannot be modified except by direct means',100,2,7),
(202675,10080638,'When Equipped:',100,0,0),
(202676,10080638,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(202677,10080638,'Inflicts 108 - 200 magic damage on target',100,2,2),
(202678,10080638,'Cannot be modified except by direct means',100,2,3),
(202679,109674,'Inflicts 58 - 71 cold damage on target instantly and every 3 seconds',100,1,0),
(202680,10109674,'Inflicts 76 - 92 cold damage on target instantly and every 3 seconds',100,1,0),
(202681,82407,'When Equipped:',100,0,0),
(202682,82407,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202683,82407,'Inflicts 151 - 280 magic damage on target',100,2,2),
(202684,82407,'Cannot be modified except by direct means',100,2,3),
(202685,10082407,'When Equipped:',100,0,0),
(202686,10082407,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202687,10082407,'Inflicts 196 - 364 magic damage on target',100,2,2),
(202688,10082407,'Cannot be modified except by direct means',100,2,3),
(202689,119314,'Roots target',100,1,0),
(202690,119314,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(202691,119314,'Slows target by 43.3%',100,2,2),
(202692,119314,'5% chance to dispel when target receives hostile action',100,2,3),
(202693,119314,'5% chance to dispel when target takes damage',100,2,4),
(202694,119314,'15% chance to dispel when target takes damage',100,1,5),
(202695,119314,'Does not affect Epic targets',100,1,6),
(202696,119314,'Resistibility increases against targets higher than level 76.',100,1,7),
(202697,10119314,'Roots target',100,1,0),
(202698,10119314,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(202699,10119314,'Slows target by 43.3%',100,2,2),
(202700,10119314,'5% chance to dispel when target receives hostile action',100,2,3),
(202701,10119314,'5% chance to dispel when target takes damage',100,2,4),
(202702,10119314,'15% chance to dispel when target takes damage',100,1,5),
(202703,10119314,'Does not affect Epic targets',100,1,6),
(202704,10119314,'Resistibility increases against targets higher than level 76.',100,1,7),
(202705,51345,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(202706,51345,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(202707,51345,'Inflicts 34 heat damage on target',100,2,2),
(202708,51345,'Cannot be modified except by direct means',100,2,3),
(202709,10051345,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(202710,10051345,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(202711,10051345,'Inflicts 44 heat damage on target',100,2,2),
(202712,10051345,'Cannot be modified except by direct means',100,2,3),
(202713,37117,'Increases AGI of target by 1.5',100,0,0),
(202714,37117,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(202715,120660,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.9',100,1,0),
(202716,120660,'Increases Focus of group members (AE) by 29.7',100,1,1),
(202717,10120660,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.9',100,1,0),
(202718,10120660,'Increases Focus of group members (AE) by 29.7',100,1,1),
(202719,111612,'Inflicts 68 - 127 cold damage on target instantly and every 4 seconds',100,1,0),
(202720,111612,'Decreases Mitigation of target vs elemental damage by 759',100,1,1),
(202721,10111612,'Inflicts 89 - 165 cold damage on target instantly and every 4 seconds',100,1,0),
(202722,10111612,'Decreases Mitigation of target vs elemental damage by 759',100,1,1),
(202723,120299,'Increases Threat to target by 21 - 26 ',100,1,0),
(202724,10120299,'Forces target to change their selected target to caster.',100,1,0),
(202725,10120299,'Prevents target from changing targets',100,1,1),
(202726,107678,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(202727,10107678,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(202728,113571,'Mesmerizes target',100,1,0),
(202729,113571,'Prevents AOE (except when direct) ',100,1,1),
(202730,113571,'Dispelled when target takes damage',100,1,2),
(202731,113571,'Does not affect Epic targets',100,1,3),
(202732,113571,'Resistibility increases against targets higher than level 79.',100,1,4),
(202733,10113571,'Mesmerizes target',100,1,0),
(202734,10113571,'Prevents AOE (except when direct) ',100,1,1),
(202735,10113571,'Dispelled when target takes damage',100,1,2),
(202736,10113571,'Does not affect Epic targets',100,1,3),
(202737,10113571,'Resistibility increases against targets higher than level 79.',100,1,4),
(202738,111041,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(202739,111041,'Increases Threat to target by 381 ',100,2,1),
(202740,111041,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(202741,111041,'Increases Threat to target by 381 ',100,2,3),
(202742,10111041,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(202743,10111041,'Inflicts 83 - 92 crushing damage on target',100,2,1),
(202744,10111041,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(202745,10111041,'Inflicts 83 - 92 crushing damage on target',100,2,3),
(202746,120016,'Inflicts 18 - 22 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(202747,120016,'Decreases power of target encounter by 6 instantly and every 4 seconds',100,1,1),
(202748,10120016,'Inflicts 23 - 29 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(202749,10120016,'Decreases power of target encounter by 6 instantly and every 4 seconds',100,1,1),
(202750,120454,'Inflicts 204 - 340 ranged damage on target',100,1,0),
(202751,120454,'Slows target by 46.6%',100,1,1),
(202752,120454,'10% chance to dispel when target receives hostile action',100,1,2),
(202753,120454,'Requires bow',100,1,3),
(202754,10120454,'Inflicts 159 - 265 ranged damage on target',100,1,0),
(202755,10120454,'Slows target by 46.6%',100,1,1),
(202756,10120454,'10% chance to dispel when target receives hostile action',100,1,2),
(202757,10120454,'Requires bow',100,1,3),
(202758,133596,'When Equipped:',100,0,0),
(202759,133596,'On a damage spell hit this spell may cast Fetter on target of spell.  Lasts for 8.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(202760,133596,'Decreases Damage Per Second of target by 6.0',100,2,2),
(202761,133596,'Cannot be modified except by direct means',100,2,3),
(202762,10133596,'When Equipped:',100,0,0),
(202763,10133596,'On a damage spell hit this spell may cast Fetter on target of spell.  Lasts for 8.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(202764,10133596,'Decreases Damage Per Second of target by 6.0',100,2,2),
(202765,10133596,'Cannot be modified except by direct means',100,2,3),
(202766,106195,'Wards target against 145 points of all damage',100,1,0),
(202767,106195,'Decreases INT of target by 165.0',100,1,1),
(202768,106195,'Decreases Attack Speed of target by 25.0',100,1,2),
(202769,106195,'Increases Max Health of target by 14.0%',100,1,3),
(202770,106195,'Increases Hate Gain of target by 46.0%',100,1,4),
(202771,106195,'Increases Aggression of target by 17.5',100,1,5),
(202772,106195,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(202773,106195,'Increases Threat to target encounter by 185 - 227 ',100,2,7),
(202774,106195,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,8),
(202775,10106195,'Wards target against 145 points of all damage',100,1,0),
(202776,10106195,'Decreases INT of target by 165.0',100,1,1),
(202777,10106195,'Decreases Attack Speed of target by 25.0',100,1,2),
(202778,10106195,'Increases Max Health of target by 14.0%',100,1,3),
(202779,10106195,'Increases Aggression of target by 17.5',100,1,4),
(202780,10106195,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,5),
(202781,103154,'Throws target back',100,1,0),
(202782,103154,'If Target is not Epic',100,2,1),
(202783,103154,'Inflicts 88 - 266 crushing damage on target',100,1,2),
(202784,103154,'Stuns target',100,1,3),
(202785,103154,'If Target is not Epic',100,2,4),
(202786,103154,'Resistibility increases against targets higher than level 56.',100,1,5),
(202787,10103154,'Throws target back',100,1,0),
(202788,10103154,'If Target is not Epic',100,2,1),
(202789,10103154,'Inflicts 115 - 346 crushing damage on target',100,1,2),
(202790,10103154,'Stuns target',100,1,3),
(202791,10103154,'If Target is not Epic',100,2,4),
(202792,10103154,'Resistibility increases against targets higher than level 56.',100,1,5),
(202793,105124,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(202794,105124,'Summon 1 Crystallized Spirit (Adept)',100,2,1),
(202795,10105124,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(202796,10105124,'Summon 1 Crystallized Spirit (Adept)',100,2,1),
(202797,118343,'Inflicts 112 - 187 melee damage on target',100,1,0),
(202798,118343,'Inflicts 113 - 188 heat damage on target every 4 seconds',100,1,1),
(202799,10118343,'Inflicts 146 - 243 melee damage on target',100,1,0),
(202800,10118343,'Inflicts 146 - 244 heat damage on target every 4 seconds',100,1,1),
(202801,104989,'Reduces physical damage done to caster by 5%',100,1,0),
(202802,104989,'Adds 1.4% to base avoidance.',100,1,1),
(202803,104989,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(202804,104989,'Increases Parry of caster by 12.5',100,1,3),
(202805,104989,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(202806,104989,'Increases Aggression of caster by 7.5',100,1,5),
(202807,104989,'Increases Defense and Deflection of caster by 12.5',100,1,6),
(202808,104989,'Increases Mitigation of caster vs arcane damage by 836',100,1,7),
(202809,104989,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(202810,10104989,'Reduces physical damage done to caster by 5%',100,1,0),
(202811,10104989,'Adds 1.4% to base avoidance.',100,1,1),
(202812,10104989,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(202813,10104989,'Increases Parry of caster by 12.5',100,1,3),
(202814,10104989,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(202815,10104989,'Increases Aggression of caster by 7.5',100,1,5),
(202816,10104989,'Increases Defense and Deflection of caster by 12.5',100,1,6),
(202817,10104989,'Increases Mitigation of caster vs arcane damage by 836',100,1,7),
(202818,10104989,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(202819,116920,'Summons a limited pet to aid the caster',100,1,0),
(202820,10116920,'Summons a limited pet to aid the caster',100,1,0),
(202821,105230,'Decreases STR and INT of target by 55.0',100,1,0),
(202822,105230,'Only affects targets level 20 and above',100,1,1),
(202823,10105230,'Decreases STR and INT of target by 55.0',100,1,0),
(202824,10105230,'Only affects targets level 20 and above',100,1,1),
(202825,109999,'Inflicts 72 - 88 divine damage on target',100,1,0),
(202826,109999,'Dazes target',100,1,1),
(202827,109999,'If Target is not Epic',100,2,2),
(202828,109999,'Dispelled when target receives hostile action',100,1,3),
(202829,109999,'Dispelled when target takes damage',100,1,4),
(202830,109999,'Resistibility increases against targets higher than level 46.',100,1,5),
(202831,10109999,'Inflicts 93 - 114 divine damage on target',100,1,0),
(202832,10109999,'Dazes target',100,1,1),
(202833,10109999,'If Target is not Epic',100,2,2),
(202834,10109999,'Dispelled when target receives hostile action',100,1,3),
(202835,10109999,'Dispelled when target takes damage',100,1,4),
(202836,10109999,'Resistibility increases against targets higher than level 46.',100,1,5),
(202837,45929,'Applies Derakar the Soul Melter when Activated.',100,0,0),
(202838,45929,'Summons a mount to ride',100,1,1),
(202839,45929,'Increases your ground speed by 75%',100,2,2),
(202840,45929,'Increases your air speed by 150%',100,2,3),
(202841,45929,'Increases Potency of caster by 7.0%',100,1,4),
(202842,45929,'Increases Crit Bonus of caster by 7.0%',100,1,5),
(202843,45929,'Increases Crit Chance of caster by 22.0',100,1,6),
(202844,45929,'Increases Max Power of caster by 900.0',100,1,7),
(202845,45929,'Increases Max Health of caster by 900.0',100,1,8),
(202846,10045929,'Applies Derakar the Soul Melter when Activated.',100,0,0),
(202847,10045929,'Summons a mount to ride',100,1,1),
(202848,10045929,'Increases your ground speed by 75%',100,2,2),
(202849,10045929,'Increases your air speed by 150%',100,2,3),
(202850,10045929,'Increases Potency of caster by 7.0%',100,1,4),
(202851,10045929,'Increases Crit Bonus of caster by 7.0%',100,1,5),
(202852,10045929,'Increases Crit Chance of caster by 22.0',100,1,6),
(202853,10045929,'Increases Max Power of caster by 900.0',100,1,7),
(202854,10045929,'Increases Max Health of caster by 900.0',100,1,8),
(202855,100161,'Inflicts 281 - 521 disease damage on target encounter',100,1,0),
(202856,10100161,'Inflicts 365 - 678 disease damage on target encounter',100,1,0),
(202857,123257,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(202858,123257,'Increases Mitigation of group members (AE) vs noxious damage by 599',100,1,1),
(202859,10123257,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(202860,10123257,'Increases Mitigation of group members (AE) vs noxious damage by 599',100,1,1),
(202861,143439,'When Equipped:',100,0,0),
(202862,143439,'On a spell cast this spell may cast Darkened Vitality on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202863,143439,'Reduces cast time of beneficial spells by 3 percent.',100,2,2),
(202864,143439,'Reduces reuse time of beneficial spells by 3 percent.',100,2,3),
(202865,143439,'Increases the amount of your base heals and base damage by 5%',100,2,4),
(202866,143439,'Cannot be modified except by direct means',100,2,5),
(202867,10143439,'When Equipped:',100,0,0),
(202868,10143439,'On a spell cast this spell may cast Darkened Vitality on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202869,10143439,'Reduces cast time of beneficial spells by 3 percent.',100,2,2),
(202870,10143439,'Reduces reuse time of beneficial spells by 3 percent.',100,2,3),
(202871,10143439,'Increases the amount of your base heals and base damage by 5%',100,2,4),
(202872,10143439,'Cannot be modified except by direct means',100,2,5),
(202873,80843,'When Equipped:',100,0,0),
(202874,80843,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(202875,80843,'Inflicts 288 - 534 magic damage on target',100,2,2),
(202876,80843,'Decreases Threat to target by 672 ',100,2,3),
(202877,80843,'Must be flanking or behind',100,3,4),
(202878,80843,'Increases Threat to target by 672 ',100,2,5),
(202879,80843,'Must be in front of',100,3,6),
(202880,80843,'Cannot be modified except by direct means',100,2,7),
(202881,10080843,'When Equipped:',100,0,0),
(202882,10080843,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(202883,10080843,'Inflicts 374 - 695 magic damage on target',100,2,2),
(202884,10080843,'Cannot be modified except by direct means',100,2,3),
(202885,46698,'Applies Iony''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(202886,46698,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(202887,10046698,'Applies Iony''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(202888,10046698,'Increases power of caster by 6 instantly and every 5 seconds',100,1,1),
(202889,100847,'Wards target against 1183 points of all damage',100,1,0),
(202890,10100847,'Wards target against 1820 points of all damage',100,1,0),
(202891,47714,'Applies Greater Stability when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(202892,47714,'Makes caster immune to Stun effects',100,1,1),
(202893,47714,'Must not be engaged in pvp combat',100,1,2),
(202894,10047714,'Applies Greater Stability when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(202895,10047714,'Makes caster immune to Stun effects',100,1,1),
(202896,10047714,'Must not be engaged in pvp combat',100,1,2),
(202897,80185,'When Equipped:',100,0,0),
(202898,80185,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202899,80185,'Inflicts 260 - 482 magic damage on target',100,2,2),
(202900,80185,'Cannot be modified except by direct means',100,2,3),
(202901,10080185,'When Equipped:',100,0,0),
(202902,10080185,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(202903,10080185,'Inflicts 337 - 627 magic damage on target',100,2,2),
(202904,10080185,'Cannot be modified except by direct means',100,2,3),
(202905,35422,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(202906,159620,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(202907,159620,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(202908,159620,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(202909,159620,'Cannot be modified except by direct means',100,2,3),
(202910,10159620,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(202911,10159620,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(202912,10159620,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(202913,10159620,'Cannot be modified except by direct means',100,2,3),
(202914,117821,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(202915,117821,'Heals target for 38 - 46 instantly and every 2 seconds',100,2,1),
(202916,117821,'If over 50% Health',100,3,2),
(202917,117821,'Heals target for 75 - 92 instantly and every 2 seconds',100,2,3),
(202918,117821,'If at 50% Health or less',100,3,4),
(202919,10117821,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(202920,10117821,'Heals target for 11 - 13 instantly and every 2 seconds',100,2,1),
(202921,10117821,'If over 50% Health',100,3,2),
(202922,10117821,'Heals target for 18 - 22 instantly and every 2 seconds',100,2,3),
(202923,10117821,'If at 50% Health or less',100,3,4),
(202924,117656,'Decreases Mitigation of target vs physical damage by 114',100,1,0),
(202925,10117656,'Decreases Mitigation of target vs physical damage by 57',100,1,0),
(202926,159614,'Applies Sanguine Imbued when Equipped.',100,0,0),
(202927,159614,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(202928,159614,'Inflicts 48 heat damage on target',100,2,2),
(202929,159614,'Cannot be modified except by direct means',100,2,3),
(202930,10159614,'Applies Sanguine Imbued when Equipped.',100,0,0),
(202931,10159614,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(202932,10159614,'Inflicts 62 heat damage on target',100,2,2),
(202933,10159614,'Cannot be modified except by direct means',100,2,3),
(202934,100978,'Increases INT of target by 16.1',100,1,0),
(202935,100978,'Increases Attack Speed of target by 17.4',100,1,1),
(202936,100978,'Decreases Defense and Parry of target by 4.9',100,1,2),
(202937,100978,'Increases Slashing, Piercing and Crushing of target by 3.1',100,1,3),
(202938,10100978,'Increases INT of target by 16.1',100,1,0),
(202939,10100978,'Increases Attack Speed of target by 17.4',100,1,1),
(202940,10100978,'Decreases Defense and Parry of target by 4.9',100,1,2),
(202941,10100978,'Increases Slashing, Piercing and Crushing of target by 3.1',100,1,3),
(202942,117425,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(202943,117425,'Inflicts 243 - 452 melee damage on targets in area',100,2,1),
(202944,117425,'Grants a total of 10 triggers of the spell.',100,2,2),
(202945,10117425,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(202946,10117425,'Inflicts 316 - 587 melee damage on targets in area',100,2,1),
(202947,10117425,'Grants a total of 10 triggers of the spell.',100,2,2),
(202948,86212,'When Equipped:',100,0,0),
(202949,86212,'On a combat hit this spell may cast Terror Yaulp on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202950,86212,'Increases STR of caster by 36.6',100,2,2),
(202951,86212,'Decreases Threat to caster by 258 ',100,2,3),
(202952,86212,'Increases power of caster by 191',100,2,4),
(202953,86212,'Increases Max Power of caster by 239.8',100,2,5),
(202954,86212,'Cannot be modified except by direct means',100,2,6),
(202955,10086212,'When Equipped:',100,0,0),
(202956,10086212,'On a combat hit this spell may cast Terror Yaulp on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(202957,10086212,'Increases STR of caster by 36.6',100,2,2),
(202958,10086212,'Increases power of caster by 191',100,2,3),
(202959,10086212,'Increases Max Power of caster by 239.8',100,2,4),
(202960,10086212,'Cannot be modified except by direct means',100,2,5),
(202961,120799,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(202962,120799,'Throws target back',100,2,1),
(202963,120799,'Stuns target',100,2,2),
(202964,120799,'Blurs vision of target',100,2,3),
(202965,120799,'Does not affect Epic targets',100,2,4),
(202966,120799,'Inflicts 271 - 453 piercing damage on target',100,1,5),
(202967,10120799,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(202968,10120799,'Throws target back',100,2,1),
(202969,10120799,'Stuns target',100,2,2),
(202970,10120799,'Blurs vision of target',100,2,3),
(202971,10120799,'Does not affect Epic targets',100,2,4),
(202972,10120799,'Inflicts 353 - 588 piercing damage on target',100,1,5),
(202973,114379,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(202974,114379,'Throws target back',100,2,1),
(202975,114379,'Stuns target',100,2,2),
(202976,114379,'Blurs vision of target',100,2,3),
(202977,114379,'Does not affect Epic targets',100,2,4),
(202978,114379,'Inflicts 389 - 648 crushing damage on target',100,1,5),
(202979,10114379,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(202980,10114379,'Throws target back',100,2,1),
(202981,10114379,'Stuns target',100,2,2),
(202982,10114379,'Blurs vision of target',100,2,3),
(202983,10114379,'Does not affect Epic targets',100,2,4),
(202984,10114379,'Inflicts 506 - 843 crushing damage on target',100,1,5),
(202985,111828,'Inflicts 185 - 309 melee damage on target',100,1,0),
(202986,111828,'Roots target',100,1,1),
(202987,111828,'If Target is not Epic',100,2,2),
(202988,111828,'Resistibility increases against targets higher than level 70.',100,1,3),
(202989,10111828,'Inflicts 217 - 362 melee damage on target',100,1,0),
(202990,10111828,'Roots target',100,1,1),
(202991,10111828,'If Target is not Epic',100,2,2),
(202992,10111828,'Resistibility increases against targets higher than level 70.',100,1,3),
(202993,120577,'Inflicts 13 - 24 heat damage on target',100,1,0),
(202994,10120577,'Inflicts 17 - 32 heat damage on target',100,1,0),
(202995,47682,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(202996,47682,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(202997,47682,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(202998,47682,'Inflicts 55 poison damage on target',100,2,3),
(202999,47682,'Cannot be modified except by direct means',100,2,4),
(203000,47682,'Grants a total of 200 triggers of the spell.',100,2,5),
(203001,10047682,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(203002,10047682,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(203003,10047682,'Inflicts 53 poison damage on target',100,2,2),
(203004,10047682,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,3),
(203005,10047682,'Cannot be modified except by direct means',100,2,4),
(203006,10047682,'Grants a total of 200 triggers of the spell.',100,2,5),
(203007,118563,'Dazes caster',100,1,0),
(203008,118563,'Roots caster',100,1,1),
(203009,118563,'Increases Mitigation of caster vs physical damage by 1188',100,1,2),
(203010,10118563,'Dazes caster',100,1,0),
(203011,10118563,'Roots caster',100,1,1),
(203012,10118563,'Increases Mitigation of caster vs physical damage by 1188',100,1,2),
(203013,186950,'When Equipped:',100,0,0),
(203014,186950,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203015,186950,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(203016,186950,'Wards target against 1000 points of all damage',100,2,3),
(203017,186950,'Cannot be modified except by direct means',100,2,4),
(203018,10186950,'When Equipped:',100,0,0),
(203019,10186950,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203020,10186950,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(203021,10186950,'Wards target against 1000 points of all damage',100,2,3),
(203022,10186950,'Cannot be modified except by direct means',100,2,4),
(203023,192062,'When Equipped:',100,0,0),
(203024,192062,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(203025,192062,'On any combat or spell hit this spell may cast Burst Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(203026,192062,'Increases Potency of caster by 3.0%',100,2,3),
(203027,192062,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,4),
(203028,192062,'Caster has a 9.0% chance of having one of their spell weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,5),
(203029,192062,'Must not be engaged in pvp combat',100,2,6),
(203030,192062,'Cannot be modified except by direct means',100,2,7),
(203031,192062,'Cannot be modified except by direct means',100,1,8),
(203032,10192062,'When Equipped:',100,0,0),
(203033,10192062,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(203034,10192062,'On any combat or spell hit this spell may cast Burst Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(203035,10192062,'Increases Potency of caster by 3.0%',100,2,3),
(203036,10192062,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,4),
(203037,10192062,'Caster has a 9.0% chance of having one of their spell weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,5),
(203038,10192062,'Must not be engaged in pvp combat',100,2,6),
(203039,10192062,'Cannot be modified except by direct means',100,2,7),
(203040,10192062,'Cannot be modified except by direct means',100,1,8),
(203041,100235,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(203042,100235,'Increases power of caster by 29',100,2,1),
(203043,10100235,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(203044,10100235,'Increases power of caster by 29',100,2,1),
(203045,102698,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(203046,102698,'Inflicts 249 - 415 heat damage on target',100,2,1),
(203047,102698,'Grants a total of 5 triggers of the spell.',100,2,2),
(203048,102698,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(203049,102698,'Inflicts 249 - 415 heat damage on target',100,2,4),
(203050,102698,'Grants a total of 5 triggers of the spell.',100,2,5),
(203051,10102698,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(203052,10102698,'Inflicts 324 - 540 heat damage on target',100,2,1),
(203053,10102698,'Grants a total of 5 triggers of the spell.',100,2,2),
(203054,10102698,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(203055,10102698,'Inflicts 324 - 540 heat damage on target',100,2,4),
(203056,10102698,'Grants a total of 5 triggers of the spell.',100,2,5),
(203057,45750,'Applies thernig''s Rejuvenation  when Activated.',100,0,0),
(203058,45750,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(203059,10045750,'Applies thernig''s Rejuvenation  when Activated.',100,0,0),
(203060,10045750,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(203061,50857,'When Equipped:',100,0,0),
(203062,50857,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(203063,50857,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 615',100,2,2),
(203064,50857,'Cannot be modified except by direct means',100,2,3),
(203065,10050857,'When Equipped:',100,0,0),
(203066,10050857,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(203067,10050857,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 615',100,2,2),
(203068,10050857,'Cannot be modified except by direct means',100,2,3),
(203069,114937,'Inflicts 1314 - 2191 melee damage on target',100,1,0),
(203070,114937,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3226',100,1,1),
(203071,114937,'Must be behind',100,1,2),
(203072,10114937,'Inflicts 1709 - 2848 melee damage on target',100,1,0),
(203073,10114937,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1613',100,1,1),
(203074,10114937,'Must be behind',100,1,2),
(203075,118397,'Heals target for 48 - 59',100,1,0),
(203076,118397,'Increases Max Health of target by 8.4',100,1,1),
(203077,10118397,'Heals target for 56 - 68',100,1,0),
(203078,10118397,'Increases Max Health of target by 8.4',100,1,1),
(203079,46016,'Applies Drawing Ray when Activated.',100,0,0),
(203080,10046016,'Applies Drawing Ray when Activated.',100,0,0),
(203081,103016,'Inflicts 124 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(203082,103016,'Inflicts 46 - 77 melee damage on target',100,1,1),
(203083,10103016,'Inflicts 161 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(203084,10103016,'Inflicts 60 - 100 melee damage on target',100,1,1),
(203085,79705,'When Equipped:',100,0,0),
(203086,79705,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(203087,79705,'Reduces healing received by 15.00%',100,2,2),
(203088,79705,'Cannot be modified except by direct means',100,2,3),
(203089,79705,'This effect can only trigger once every 1 second.',100,2,4),
(203090,79705,'Must be engaged in pvp combat',100,1,5),
(203091,10079705,'When Equipped:',100,0,0),
(203092,10079705,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(203093,10079705,'Reduces healing received by 15.00%',100,2,2),
(203094,10079705,'Cannot be modified except by direct means',100,2,3),
(203095,10079705,'This effect can only trigger once every 1 second.',100,2,4),
(203096,10079705,'Must be engaged in pvp combat',100,1,5),
(203097,117639,'Inflicts 2003 - 3339 ranged damage on target',100,1,0),
(203098,117639,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(203099,117639,'Slows target by 67.5%',100,2,2),
(203100,117639,'5% chance to dispel when target receives hostile action',100,2,3),
(203101,117639,'5% chance to dispel when target takes damage',100,2,4),
(203102,117639,'Must be flanking or behind',100,1,5),
(203103,117639,'Requires bow',100,1,6),
(203104,10117639,'Inflicts 1703 - 2838 ranged damage on target',100,1,0),
(203105,10117639,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(203106,10117639,'Slows target by 67.5%',100,2,2),
(203107,10117639,'5% chance to dispel when target receives hostile action',100,2,3),
(203108,10117639,'5% chance to dispel when target takes damage',100,2,4),
(203109,10117639,'Must be flanking or behind',100,1,5),
(203110,10117639,'Requires bow',100,1,6),
(203111,46524,'Applies Goriba''s Reclamation when Activated.',100,0,0),
(203112,46524,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(203113,10046524,'Applies Goriba''s Reclamation when Activated.',100,0,0),
(203114,10046524,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(203115,110002,'Inflicts 79 - 96 divine damage on target',100,1,0),
(203116,110002,'Dazes target',100,1,1),
(203117,110002,'If Target is not Epic',100,2,2),
(203118,110002,'Dispelled when target receives hostile action',100,1,3),
(203119,110002,'Dispelled when target takes damage',100,1,4),
(203120,110002,'Resistibility increases against targets higher than level 46.',100,1,5),
(203121,10110002,'Inflicts 103 - 125 divine damage on target',100,1,0),
(203122,10110002,'Dazes target',100,1,1),
(203123,10110002,'If Target is not Epic',100,2,2),
(203124,10110002,'Dispelled when target receives hostile action',100,1,3),
(203125,10110002,'Dispelled when target takes damage',100,1,4),
(203126,10110002,'Resistibility increases against targets higher than level 46.',100,1,5),
(203127,122784,'Heals target for 338',100,1,0),
(203128,10122784,'Heals target for 264',100,1,0),
(203129,170674,'When Equipped:',100,0,0),
(203130,170674,'On a healing spell cast this spell may cast Lesser Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203131,170674,'Wards target against 750 points of all damage',100,2,2),
(203132,170674,'Replenishes 150 points of absorption every 2 seconds.',100,2,3),
(203133,170674,'Cannot be modified except by direct means',100,2,4),
(203134,10170674,'When Equipped:',100,0,0),
(203135,10170674,'On a healing spell cast this spell may cast Lesser Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203136,10170674,'Wards target against 750 points of all damage',100,2,2),
(203137,10170674,'Replenishes 150 points of absorption every 2 seconds.',100,2,3),
(203138,10170674,'Cannot be modified except by direct means',100,2,4),
(203139,113617,'Decreases Slashing of target by 65.5',100,1,0),
(203140,113617,'Inflicts 659 - 1098 melee damage on target',100,1,1),
(203141,113617,'Decreases Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 65.5',100,1,2),
(203142,113617,'Must be flanking or behind',100,1,3),
(203143,10113617,'Decreases Slashing of target by 65.5',100,1,0),
(203144,10113617,'Inflicts 856 - 1428 melee damage on target',100,1,1),
(203145,10113617,'Decreases Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 65.5',100,1,2),
(203146,10113617,'Must be flanking or behind',100,1,3),
(203147,116484,'Prevents targets in Area of Effect from changing targets',100,1,0),
(203148,116484,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(203149,116484,'Increases Threat to targets in Area of Effect by 185 ',100,1,2),
(203150,10116484,'Prevents targets in Area of Effect from changing targets',100,1,0),
(203151,10116484,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(203152,114010,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(203153,114010,'Heals target for 7 instantly and every 2 seconds',100,2,1),
(203154,114010,'Decreases Mitigation of target vs arcane damage by 178',100,1,2),
(203155,10114010,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(203156,10114010,'Heals target for 22 instantly and every 2 seconds',100,2,1),
(203157,10114010,'Decreases Mitigation of target vs arcane damage by 178',100,1,2),
(203158,42887,'When Equipped:',100,0,0),
(203159,42887,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(203160,42887,'Inflicts 2344 heat damage on target',100,2,2),
(203161,42887,'Heals caster for 2100',100,2,3),
(203162,42887,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(203163,42887,'Cannot be modified except by direct means',100,2,5),
(203164,42887,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(203165,42887,'Inflicts 2344 heat damage on target',100,2,7),
(203166,42887,'Heals caster for 2100',100,2,8),
(203167,42887,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(203168,42887,'Cannot be modified except by direct means',100,2,10),
(203169,10042887,'When Equipped:',100,0,0),
(203170,10042887,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(203171,10042887,'Inflicts 3048 heat damage on target',100,2,2),
(203172,10042887,'Heals caster for 2456',100,2,3),
(203173,10042887,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(203174,10042887,'Cannot be modified except by direct means',100,2,5),
(203175,10042887,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(203176,10042887,'Inflicts 3048 heat damage on target',100,2,7),
(203177,10042887,'Heals caster for 2456',100,2,8),
(203178,10042887,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(203179,10042887,'Cannot be modified except by direct means',100,2,10),
(203180,41530,'When Equipped:',100,0,0),
(203181,41530,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203182,41530,'Inflicts 350 - 650 magic damage on target',100,2,2),
(203183,41530,'Decreases Threat to target by 833 ',100,2,3),
(203184,41530,'Must be flanking or behind',100,3,4),
(203185,41530,'Increases Threat to target by 833 ',100,2,5),
(203186,41530,'Must be in front of',100,3,6),
(203187,41530,'Cannot be modified except by direct means',100,2,7),
(203188,10041530,'When Equipped:',100,0,0),
(203189,10041530,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203190,10041530,'Inflicts 455 - 845 magic damage on target',100,2,2),
(203191,10041530,'Cannot be modified except by direct means',100,2,3),
(203192,179320,'Applies Arcane aura of the Guide when Equipped.',100,0,0),
(203193,10179320,'Applies Arcane aura of the Guide when Equipped.',100,0,0),
(203194,102709,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(203195,102709,'Inflicts 547 - 912 heat damage on target',100,2,1),
(203196,102709,'Grants a total of 5 triggers of the spell.',100,2,2),
(203197,102709,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(203198,102709,'Inflicts 547 - 912 heat damage on target',100,2,4),
(203199,102709,'Grants a total of 5 triggers of the spell.',100,2,5),
(203200,10102709,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(203201,10102709,'Inflicts 711 - 1185 heat damage on target',100,2,1),
(203202,10102709,'Grants a total of 5 triggers of the spell.',100,2,2),
(203203,10102709,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(203204,10102709,'Inflicts 711 - 1185 heat damage on target',100,2,4),
(203205,10102709,'Grants a total of 5 triggers of the spell.',100,2,5),
(203206,112978,'Reduces physical damage done to caster by 5%',100,1,0),
(203207,112978,'Increases STA of caster by 26.4',100,1,1),
(203208,112978,'Adds 3.1% to base avoidance.',100,1,2),
(203209,112978,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(203210,112978,'Increases Defense and Aggression of caster by 4.8',100,1,4),
(203211,112978,'Increases Mitigation of caster vs arcane damage by 346',100,1,5),
(203212,112978,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(203213,10112978,'Reduces physical damage done to caster by 5%',100,1,0),
(203214,10112978,'Increases STA of caster by 26.4',100,1,1),
(203215,10112978,'Adds 3.1% to base avoidance.',100,1,2),
(203216,10112978,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(203217,10112978,'Increases Defense and Aggression of caster by 4.8',100,1,4),
(203218,10112978,'Increases Mitigation of caster vs arcane damage by 346',100,1,5),
(203219,10112978,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(203220,48964,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(203221,48964,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(203222,48964,'Decreases Attack Speed of target by 21.6',100,2,2),
(203223,48964,'Cannot be modified except by direct means',100,2,3),
(203224,48964,'Grants a total of 30 triggers of the spell.',100,2,4),
(203225,10048964,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(203226,10048964,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(203227,10048964,'Decreases Attack Speed of target by 21.6',100,2,2),
(203228,10048964,'Cannot be modified except by direct means',100,2,3),
(203229,10048964,'Grants a total of 30 triggers of the spell.',100,2,4),
(203230,47751,'Applies Renegade Fist when Activated.',100,0,0),
(203231,47751,'Shapechanges the user into a Renegade Fist.',100,1,1),
(203232,10047751,'Applies Renegade Fist when Activated.',100,0,0),
(203233,10047751,'Shapechanges the user into a Renegade Fist.',100,1,1),
(203234,114007,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(203235,114007,'Inflicts 125 - 208 melee damage on target',100,2,1),
(203236,114007,'Increases Threat to target by 455 ',100,2,2),
(203237,10114007,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(203238,10114007,'Inflicts 162 - 270 melee damage on target',100,2,1),
(203239,81057,'When Equipped:',100,0,0),
(203240,81057,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203241,81057,'Inflicts 226 - 419 magic damage on target',100,2,2),
(203242,81057,'Decreases Threat to target by 517 ',100,2,3),
(203243,81057,'Must be flanking or behind',100,3,4),
(203244,81057,'Increases Threat to target by 517 ',100,2,5),
(203245,81057,'Must be in front of',100,3,6),
(203246,81057,'Cannot be modified except by direct means',100,2,7),
(203247,10081057,'When Equipped:',100,0,0),
(203248,10081057,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203249,10081057,'Inflicts 293 - 545 magic damage on target',100,2,2),
(203250,10081057,'Cannot be modified except by direct means',100,2,3),
(203251,119227,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(203252,119227,'If profession other than Fighter',100,1,1),
(203253,119227,'If profession other than Scout',100,1,2),
(203254,10119227,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(203255,10119227,'If profession other than Fighter',100,1,1),
(203256,10119227,'If profession other than Scout',100,1,2),
(203257,122028,'Increases Threat to target by 81 - 99 ',100,1,0),
(203258,122028,'Inflicts 14 - 23 melee damage on target',100,1,1),
(203259,10122028,'Forces target to change their selected target to caster.',100,1,0),
(203260,10122028,'Inflicts 18 - 30 melee damage on target',100,1,1),
(203261,111432,'Decreases Attack Speed of caster by 11.3',100,1,0),
(203262,111432,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(203263,111432,'Roots target',100,2,2),
(203264,111432,'5% chance to dispel when target takes damage',100,2,3),
(203265,111432,'5% chance to dispel when target receives hostile action',100,2,4),
(203266,111432,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(203267,111432,'Increases Mitigation of caster vs physical damage by 237',100,1,6),
(203268,10111432,'Decreases Attack Speed of caster by 11.3',100,1,0),
(203269,10111432,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(203270,10111432,'Roots target',100,2,2),
(203271,10111432,'5% chance to dispel when target takes damage',100,2,3),
(203272,10111432,'5% chance to dispel when target receives hostile action',100,2,4),
(203273,10111432,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(203274,10111432,'Increases Mitigation of caster vs physical damage by 237',100,1,6),
(203275,112873,'Inflicts 128 - 156 melee damage on target',100,1,0),
(203276,112873,'Decreases Mitigation of target vs physical damage by 116',100,1,1),
(203277,112873,'Must be flanking or behind',100,1,2),
(203278,10112873,'Inflicts 166 - 203 melee damage on target',100,1,0),
(203279,10112873,'Decreases Mitigation of target vs physical damage by 116',100,1,1),
(203280,10112873,'Must be flanking or behind',100,1,2),
(203281,81967,'When Equipped:',100,0,0),
(203282,81967,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203283,81967,'Inflicts 408 - 757 magic damage on target',100,2,2),
(203284,81967,'Decreases Threat to target by 994 ',100,2,3),
(203285,81967,'Must be flanking or behind',100,3,4),
(203286,81967,'Increases Threat to target by 994 ',100,2,5),
(203287,81967,'Must be in front of',100,3,6),
(203288,81967,'Cannot be modified except by direct means',100,2,7),
(203289,10081967,'When Equipped:',100,0,0),
(203290,10081967,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203291,10081967,'Inflicts 530 - 984 magic damage on target',100,2,2),
(203292,10081967,'Cannot be modified except by direct means',100,2,3),
(203293,47823,'Applies essence of power when Activated.',100,0,0),
(203294,47823,'Increases power of caster by 1319',100,1,1),
(203295,10047823,'Applies essence of power when Activated.',100,0,0),
(203296,10047823,'Increases power of caster by 659',100,1,1),
(203297,108392,'Heals target for 124 - 151',100,1,0),
(203298,10108392,'Heals target for 148 - 181',100,1,0),
(203299,110016,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(203300,110016,'Inflicts 56 - 94 disease damage on target',100,2,1),
(203301,110016,'Heals caster for 27 - 45',100,2,2),
(203302,110016,'This effect cannot be critically applied.',100,3,3),
(203303,110016,'The healing of this spell cannot be modified except by direct means',100,2,4),
(203304,10110016,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(203305,10110016,'Inflicts 73 - 122 disease damage on target',100,2,1),
(203306,10110016,'Heals caster for 8 - 14',100,2,2),
(203307,10110016,'This effect cannot be critically applied.',100,3,3),
(203308,10110016,'The healing of this spell cannot be modified except by direct means',100,2,4),
(203309,172194,'When Equipped:',100,0,0),
(203310,172194,'Increases Attack Speed of caster by 35.0',100,1,1),
(203311,10172194,'When Equipped:',100,0,0),
(203312,10172194,'Increases Attack Speed of caster by 35.0',100,1,1),
(203313,114638,'Decreases WIS of target by 49.4',100,1,0),
(203314,114638,'Inflicts 674 - 1124 melee damage on target',100,1,1),
(203315,114638,'You must be sneaking to use this ability.',100,1,2),
(203316,10114638,'Decreases WIS of target by 49.4',100,1,0),
(203317,10114638,'Inflicts 877 - 1461 melee damage on target',100,1,1),
(203318,10114638,'You must be sneaking to use this ability.',100,1,2),
(203319,89424,'When Equipped:',100,0,0),
(203320,89424,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(203321,89424,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(203322,89424,'Heals target for 5594 - 6182',100,2,3),
(203323,89424,'Must not be engaged in pvp combat',100,2,4),
(203324,89424,'Cannot be modified except by direct means',100,2,5),
(203325,89424,'Cannot be modified except by direct means',100,1,6),
(203326,10089424,'When Equipped:',100,0,0),
(203327,10089424,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(203328,10089424,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(203329,10089424,'Heals target for 6545 - 7233',100,2,3),
(203330,10089424,'Must not be engaged in pvp combat',100,2,4),
(203331,10089424,'Cannot be modified except by direct means',100,2,5),
(203332,10089424,'Cannot be modified except by direct means',100,1,6),
(203333,104841,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(203334,104841,'If Fighter',100,2,1),
(203335,104841,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(203336,104841,'Increases power of target by 57',100,2,3),
(203337,104841,'Increases power of caster by 57',100,2,4),
(203338,10104841,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(203339,10104841,'Increases power of target by 57',100,2,1),
(203340,10104841,'Increases power of caster by 57',100,2,2),
(203341,111235,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(203342,111235,'Heals target for 300 - 367',100,2,1),
(203343,10111235,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(203344,10111235,'Heals target for 195 - 238',100,2,1),
(203345,82217,'When Equipped:',100,0,0),
(203346,82217,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203347,82217,'Inflicts 48 - 89 magic damage on target',100,2,2),
(203348,82217,'Decreases Threat to target by 135 ',100,2,3),
(203349,82217,'Must be flanking or behind',100,3,4),
(203350,82217,'Increases Threat to target by 135 ',100,2,5),
(203351,82217,'Must be in front of',100,3,6),
(203352,82217,'Cannot be modified except by direct means',100,2,7),
(203353,10082217,'When Equipped:',100,0,0),
(203354,10082217,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203355,10082217,'Inflicts 62 - 115 magic damage on target',100,2,2),
(203356,10082217,'Cannot be modified except by direct means',100,2,3),
(203357,100011,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(203358,100011,'Inflicts 52 - 87 melee damage on targets in area',100,2,1),
(203359,100011,'Decreases Defense of caster by 4.8',100,1,2),
(203360,100011,'Increases Slashing, Piercing and Crushing of caster by 10.1',100,1,3),
(203361,10100011,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(203362,10100011,'Inflicts 68 - 113 melee damage on targets in area',100,2,1),
(203363,10100011,'Decreases Defense of caster by 4.8',100,1,2),
(203364,10100011,'Increases Slashing, Piercing and Crushing of caster by 10.1',100,1,3),
(203365,124614,'Heals group members (AE) for 228 - 278',100,1,0),
(203366,124614,'Heals group members (AE) for 38 - 47 every second',100,1,1),
(203367,10124614,'Heals group members (AE) for 332 - 406',100,1,0),
(203368,10124614,'Heals group members (AE) for 42 - 51 every second',100,1,1),
(203369,101212,'Inflicts 234 - 390 cold damage on target',100,1,0),
(203370,101212,'Dazes target',100,1,1),
(203371,101212,'If Target is not Epic',100,2,2),
(203372,101212,'Resistibility increases against targets higher than level 73.',100,1,3),
(203373,10101212,'Inflicts 304 - 508 cold damage on target',100,1,0),
(203374,10101212,'Dazes target',100,1,1),
(203375,10101212,'If Target is not Epic',100,2,2),
(203376,10101212,'Resistibility increases against targets higher than level 73.',100,1,3),
(203377,114162,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(203378,114162,'Heals target for 896',100,2,1),
(203379,114162,'Grants a total of 1 trigger of the spell.',100,2,2),
(203380,10114162,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(203381,10114162,'Heals target for 582',100,2,1),
(203382,10114162,'Grants a total of 1 trigger of the spell.',100,2,2),
(203383,45699,'Applies Namistai''s Invigoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(203384,45699,'Heals caster for 91',100,1,1),
(203385,45699,'Heals caster for 45 every 5 seconds',100,1,2),
(203386,10045699,'Applies Namistai''s Invigoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(203387,10045699,'Heals caster for 59',100,1,1),
(203388,10045699,'Heals caster for 29 every 5 seconds',100,1,2),
(203389,173514,'When Equipped:',100,0,0),
(203390,173514,'Increases Attack Speed of caster by 30.0',100,1,1),
(203391,173514,'When Equipped:',100,0,2),
(203392,173514,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(203393,173514,'Inflicts 1986 poison damage on target',100,2,4),
(203394,173514,'Cannot be modified except by direct means',100,2,5),
(203395,10173514,'When Equipped:',100,0,0),
(203396,10173514,'Increases Attack Speed of caster by 30.0',100,1,1),
(203397,10173514,'When Equipped:',100,0,2),
(203398,10173514,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(203399,10173514,'Inflicts 1291 poison damage on target',100,2,4),
(203400,10173514,'Cannot be modified except by direct means',100,2,5),
(203401,24019,'Adds Boss: Aviak (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(203402,10024019,'Adds Boss: Aviak (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(203403,139798,'When Equipped:',100,0,0),
(203404,139798,'Reduces resistibility of all spells by 5%.',100,1,1),
(203405,10139798,'When Equipped:',100,0,0),
(203406,10139798,'Reduces resistibility of all spells by 5%.',100,1,1),
(203407,122483,'Inflicts 279 - 464 mental damage on targets in Area of Effect',100,1,0),
(203408,10122483,'Inflicts 362 - 604 mental damage on targets in Area of Effect',100,1,0),
(203409,190741,'When Equipped:',100,0,0),
(203410,190741,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(203411,190741,'Inflicts 815 crushing damage on target',100,2,2),
(203412,190741,'Increases Threat to target by 1,250 ',100,2,3),
(203413,190741,'Must not be engaged in pvp combat',100,2,4),
(203414,190741,'Cannot be modified except by direct means',100,2,5),
(203415,190741,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(203416,190741,'Inflicts 815 crushing damage on target',100,2,7),
(203417,190741,'Increases Threat to target by 1,250 ',100,2,8),
(203418,190741,'Must not be engaged in pvp combat',100,2,9),
(203419,190741,'Cannot be modified except by direct means',100,2,10),
(203420,10190741,'When Equipped:',100,0,0),
(203421,10190741,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(203422,10190741,'Inflicts 1060 crushing damage on target',100,2,2),
(203423,10190741,'Must not be engaged in pvp combat',100,2,3),
(203424,10190741,'Cannot be modified except by direct means',100,2,4),
(203425,10190741,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(203426,10190741,'Inflicts 1060 crushing damage on target',100,2,6),
(203427,10190741,'Must not be engaged in pvp combat',100,2,7),
(203428,10190741,'Cannot be modified except by direct means',100,2,8),
(203429,107998,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(203430,107998,'Increases Mitigation of group members (AE) vs elemental damage by 660',100,1,1),
(203431,10107998,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(203432,10107998,'Increases Mitigation of group members (AE) vs elemental damage by 660',100,1,1),
(203433,102822,'Summons 3 limited pets to aid the caster',100,1,0),
(203434,10102822,'Summons 3 limited pets to aid the caster',100,1,0),
(203435,105749,'Inflicts 1084 - 1807 melee damage on targets in area',100,1,0),
(203436,105749,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(203437,105749,'Stuns target',100,2,2),
(203438,105749,'Throws target back',100,2,3),
(203439,105749,'Blurs vision of target',100,2,4),
(203440,105749,'Does not affect Epic targets',100,2,5),
(203441,10105749,'Inflicts 1410 - 2350 melee damage on targets in area',100,1,0),
(203442,10105749,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(203443,10105749,'Stuns target',100,2,2),
(203444,10105749,'Blurs vision of target',100,2,3),
(203445,10105749,'Throws target back',100,2,4),
(203446,10105749,'Does not affect Epic targets',100,2,5),
(203447,104747,'Applies Consecration.',100,1,0),
(203448,104747,'Inflicts 245 - 299 divine damage on targets in Area of Effect',100,2,1),
(203449,10104747,'Applies Consecration.',100,1,0),
(203450,10104747,'Inflicts 318 - 389 divine damage on targets in Area of Effect',100,2,1),
(203451,105338,'Inflicts 281 - 468 melee damage on target',100,1,0),
(203452,105338,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 336',100,1,1),
(203453,105338,'Must be flanking or behind',100,1,2),
(203454,10105338,'Inflicts 365 - 609 melee damage on target',100,1,0),
(203455,10105338,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 336',100,1,1),
(203456,10105338,'Must be flanking or behind',100,1,2),
(203457,105490,'Stuns target encounter',100,1,0),
(203458,105490,'If Target is not Epic',100,2,1),
(203459,105490,'Inflicts 832 - 1545 poison damage on target encounter',100,1,2),
(203460,105490,'Resistibility increases against targets higher than level 93.',100,1,3),
(203461,10105490,'Stuns target encounter',100,1,0),
(203462,10105490,'If Target is not Epic',100,2,1),
(203463,10105490,'Inflicts 1082 - 2009 poison damage on target encounter',100,1,2),
(203464,10105490,'Resistibility increases against targets higher than level 93.',100,1,3),
(203465,49018,'Applies Void Portal when Activated.',100,0,0),
(203466,49018,'Teleports caster and caster''s group within the zone',100,1,1),
(203467,10049018,'Applies Void Portal when Activated.',100,0,0),
(203468,10049018,'Teleports caster and caster''s group within the zone',100,1,1),
(203469,177654,'When Equipped:',100,0,0),
(203470,177654,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(203471,177654,'Increases AGI of caster by 8.8',100,2,2),
(203472,177654,'Increases Attack Speed of caster by 13.2',100,2,3),
(203473,177654,'Cannot be modified except by direct means',100,2,4),
(203474,10177654,'When Equipped:',100,0,0),
(203475,10177654,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(203476,10177654,'Increases AGI of caster by 8.8',100,2,2),
(203477,10177654,'Increases Attack Speed of caster by 13.2',100,2,3),
(203478,10177654,'Cannot be modified except by direct means',100,2,4),
(203479,84020,'Applies Lightning Shock when Activated.',100,0,0),
(203480,84020,'Inflicts 269 - 449 magic damage on target',100,1,1),
(203481,84020,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(203482,10084020,'Applies Lightning Shock when Activated.',100,0,0),
(203483,10084020,'Inflicts 350 - 583 magic damage on target',100,1,1),
(203484,10084020,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(203485,122277,'Makes targets in Area of Effect afraid',100,1,0),
(203486,122277,'If Target is not Epic',100,2,1),
(203487,122277,'Decreases Threat to targets in Area of Effect by 1,781 ',100,1,2),
(203488,122277,'30% chance to dispel when target takes damage',100,1,3),
(203489,10122277,'Makes targets in Area of Effect afraid',100,1,0),
(203490,10122277,'If Target is not Epic',100,2,1),
(203491,10122277,'Applies Distract.',100,1,2),
(203492,10122277,'Forces target to clear their selected target.',100,2,3),
(203493,10122277,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(203494,10122277,'30% chance to dispel when target takes damage',100,1,5),
(203495,72083,'When Equipped:',100,0,0),
(203496,72083,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203497,72083,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(203498,72083,'Cannot be modified except by direct means',100,2,3),
(203499,10072083,'When Equipped:',100,0,0),
(203500,10072083,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203501,10072083,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(203502,10072083,'Cannot be modified except by direct means',100,2,3),
(203503,82795,'When Equipped:',100,0,0),
(203504,82795,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203505,82795,'Inflicts 365 - 678 magic damage on target',100,2,2),
(203506,82795,'Decreases Threat to target by 1,174 ',100,2,3),
(203507,82795,'Must be flanking or behind',100,3,4),
(203508,82795,'Increases Threat to target by 1,174 ',100,2,5),
(203509,82795,'Must be in front of',100,3,6),
(203510,82795,'Cannot be modified except by direct means',100,2,7),
(203511,10082795,'When Equipped:',100,0,0),
(203512,10082795,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203513,10082795,'Inflicts 474 - 881 magic damage on target',100,2,2),
(203514,10082795,'Cannot be modified except by direct means',100,2,3),
(203515,124050,'Increases power of caster by 114',100,1,0),
(203516,10124050,'Increases power of caster by 114',100,1,0),
(203517,120947,'Inflicts 288 - 481 ranged damage on target',100,1,0),
(203518,120947,'If weapon equipped in Ranged',100,1,1),
(203519,120947,'Must be behind',100,1,2),
(203520,10120947,'Inflicts 245 - 409 ranged damage on target',100,1,0),
(203521,10120947,'If weapon equipped in Ranged',100,1,1),
(203522,10120947,'Must be behind',100,1,2),
(203523,84617,'When Equipped:',100,0,0),
(203524,84617,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203525,84617,'Inflicts 133 - 200 magic damage on target',100,2,2),
(203526,84617,'Decreases power of target by 75 - 91',100,2,3),
(203527,84617,'Increases power of caster by 45 - 61',100,2,4),
(203528,84617,'Cannot be modified except by direct means',100,2,5),
(203529,10084617,'When Equipped:',100,0,0),
(203530,10084617,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203531,10084617,'Inflicts 173 - 259 magic damage on target',100,2,2),
(203532,10084617,'Decreases power of target by 75 - 91',100,2,3),
(203533,10084617,'Increases power of caster by 45 - 61',100,2,4),
(203534,10084617,'Cannot be modified except by direct means',100,2,5),
(203535,105391,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(203536,105391,'Inflicts 196 melee damage on target',100,2,1),
(203537,105391,'Interrupts target',100,2,2),
(203538,105391,'Decreases Defense of caster by 20.7',100,1,3),
(203539,105391,'Increases Piercing, Slashing, Ranged and Crushing of caster by 49.7',100,1,4),
(203540,10105391,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(203541,10105391,'Inflicts 256 melee damage on target',100,2,1),
(203542,10105391,'Interrupts target',100,2,2),
(203543,10105391,'Decreases Defense of caster by 20.7',100,1,3),
(203544,10105391,'Increases Piercing, Slashing, Ranged and Crushing of caster by 49.7',100,1,4),
(203545,87232,'When Equipped:',100,0,0),
(203546,87232,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203547,87232,'Inflicts 76 - 114 magic damage on target',100,2,2),
(203548,87232,'Cannot be modified except by direct means',100,2,3),
(203549,10087232,'When Equipped:',100,0,0),
(203550,10087232,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203551,10087232,'Inflicts 98 - 148 magic damage on target',100,2,2),
(203552,10087232,'Cannot be modified except by direct means',100,2,3),
(203553,24239,'Adds Cyclops (Assassin)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(203554,10024239,'Adds Cyclops (Assassin)-alt 2 to your Dungeon Maker toolbox',100,0,0),
(203555,159866,'Applies Sanguine Imbued when Equipped.',100,0,0),
(203556,159866,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(203557,159866,'Inflicts 261 heat damage on target',100,2,2),
(203558,159866,'Cannot be modified except by direct means',100,2,3),
(203559,10159866,'Applies Sanguine Imbued when Equipped.',100,0,0),
(203560,10159866,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(203561,10159866,'Inflicts 339 heat damage on target',100,2,2),
(203562,10159866,'Cannot be modified except by direct means',100,2,3),
(203563,115956,'Inflicts 10 - 15 mental damage on target',100,1,0),
(203564,115956,'Stuns target',100,1,1),
(203565,115956,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(203566,115956,'Resistibility increases against targets higher than level 31.',100,1,3),
(203567,10115956,'Stuns target',100,1,0),
(203568,10115956,'Applies Bewilderment on termination.',100,1,1),
(203569,10115956,'Inflicts 13 - 20 mental damage on target',100,2,2),
(203570,10115956,'Requires not being affected by Mesmerize effects.',100,3,3),
(203571,10115956,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,4),
(203572,10115956,'Resistibility increases against targets higher than level 31.',100,1,5),
(203573,121575,'Stuns target encounter',100,1,0),
(203574,121575,'Epic targets gain an immunity to Stun effects of 14.6 seconds and duration is reduced to 1.6 seconds.',100,1,1),
(203575,121575,'Resistibility increases against targets higher than level 45.',100,1,2),
(203576,10121575,'Stuns target encounter',100,1,0),
(203577,10121575,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(203578,10121575,'Resistibility increases against targets higher than level 45.',100,1,2),
(203579,46720,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(203580,46720,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(203581,46720,'Inflicts 289 poison damage on target',100,2,2),
(203582,46720,'Cannot be modified except by direct means',100,2,3),
(203583,46720,'Grants a total of 100 triggers of the spell.',100,2,4),
(203584,10046720,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(203585,10046720,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(203586,10046720,'Inflicts 281 poison damage on target',100,2,2),
(203587,10046720,'Cannot be modified except by direct means',100,2,3),
(203588,10046720,'Grants a total of 100 triggers of the spell.',100,2,4),
(203589,115533,'Increases Mitigation of raid and group members (AE) vs noxious damage by 392',100,1,0),
(203590,10115533,'Increases Mitigation of raid and group members (AE) vs noxious damage by 392',100,1,0),
(203591,81955,'When Equipped:',100,0,0),
(203592,81955,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203593,81955,'Inflicts 408 - 757 magic damage on target',100,2,2),
(203594,81955,'Decreases Threat to target by 994 ',100,2,3),
(203595,81955,'Must be flanking or behind',100,3,4),
(203596,81955,'Increases Threat to target by 994 ',100,2,5),
(203597,81955,'Must be in front of',100,3,6),
(203598,81955,'Cannot be modified except by direct means',100,2,7),
(203599,10081955,'When Equipped:',100,0,0),
(203600,10081955,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203601,10081955,'Inflicts 530 - 984 magic damage on target',100,2,2),
(203602,10081955,'Cannot be modified except by direct means',100,2,3),
(203603,47811,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(203604,47811,'Wards caster against 2600 points of arcane damage',100,1,1),
(203605,10047811,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(203606,10047811,'Wards caster against 2600 points of arcane damage',100,1,1),
(203607,110697,'Heals target for 1732',100,1,0),
(203608,110697,'Dispels 115 levels of any hostile effects on target',100,1,1),
(203609,10110697,'Heals target for 2026',100,1,0),
(203610,10110697,'Dispels 115 levels of any hostile effects on target',100,1,1),
(203611,112805,'Inflicts 945 - 1575 slashing damage on target',100,1,0),
(203612,112805,'Stifles target',100,1,1),
(203613,112805,'If Target is not Epic',100,2,2),
(203614,112805,'You must be in stealth.',100,1,3),
(203615,112805,'Resistibility increases against targets higher than level 77.',100,1,4),
(203616,10112805,'Inflicts 1229 - 2048 slashing damage on target',100,1,0),
(203617,10112805,'Stifles target',100,1,1),
(203618,10112805,'If Target is not Epic',100,2,2),
(203619,10112805,'You must be in stealth.',100,1,3),
(203620,10112805,'Resistibility increases against targets higher than level 77.',100,1,4),
(203621,104541,'Increases Threat to target by 845 - 1,032  instantly and by 169 - 206  every 2 seconds thereafter',100,1,0),
(203622,10104541,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(203623,48568,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(203624,48568,'Shrinks caster by 35.0%',100,1,1),
(203625,48568,'Enlarges caster by 50.0%',100,1,2),
(203626,10048568,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(203627,10048568,'Shrinks caster by 35.0%',100,1,1),
(203628,10048568,'Enlarges caster by 50.0%',100,1,2),
(203629,75965,'When Equipped:',100,0,0),
(203630,75965,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(203631,75965,'Inflicts 15 - 18 divine damage on target',100,2,2),
(203632,75965,'If target is undead',100,2,3),
(203633,75965,'Cannot be modified except by direct means',100,2,4),
(203634,10075965,'When Equipped:',100,0,0),
(203635,10075965,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(203636,10075965,'Inflicts 19 - 23 divine damage on target',100,2,2),
(203637,10075965,'If target is undead',100,2,3),
(203638,10075965,'Cannot be modified except by direct means',100,2,4),
(203639,112825,'Roots target',100,1,0),
(203640,112825,'5% chance to dispel when target takes damage',100,1,1),
(203641,112825,'Does not affect Epic targets',100,1,2),
(203642,112825,'Resistibility increases against targets higher than level 36.',100,1,3),
(203643,10112825,'Roots target',100,1,0),
(203644,10112825,'5% chance to dispel when target takes damage',100,1,1),
(203645,10112825,'Does not affect Epic targets',100,1,2),
(203646,10112825,'Resistibility increases against targets higher than level 36.',100,1,3),
(203647,103007,'Inflicts 39 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(203648,103007,'Inflicts 14 - 24 melee damage on target',100,1,1),
(203649,10103007,'Inflicts 51 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(203650,10103007,'Inflicts 19 - 32 melee damage on target',100,1,1),
(203651,81317,'When Equipped:',100,0,0),
(203652,81317,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203653,81317,'Inflicts 302 - 560 magic damage on target',100,2,2),
(203654,81317,'Decreases Threat to target by 949 ',100,2,3),
(203655,81317,'Must be flanking or behind',100,3,4),
(203656,81317,'Increases Threat to target by 949 ',100,2,5),
(203657,81317,'Must be in front of',100,3,6),
(203658,81317,'Cannot be modified except by direct means',100,2,7),
(203659,10081317,'When Equipped:',100,0,0),
(203660,10081317,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203661,10081317,'Inflicts 392 - 728 magic damage on target',100,2,2),
(203662,10081317,'Cannot be modified except by direct means',100,2,3),
(203663,71684,'When Equipped:',100,0,0),
(203664,71684,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203665,71684,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(203666,71684,'Cannot be modified except by direct means',100,2,3),
(203667,10071684,'When Equipped:',100,0,0),
(203668,10071684,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203669,10071684,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(203670,10071684,'Cannot be modified except by direct means',100,2,3),
(203671,47391,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(203672,47391,'This potion will grant you the illusion of being a Boneyard Watcher!',100,1,1),
(203673,10047391,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(203674,10047391,'This potion will grant you the illusion of being a Boneyard Watcher!',100,1,1),
(203675,47059,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(203676,47059,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(203677,47059,'Inflicts 115 poison damage on target',100,2,2),
(203678,47059,'Inflicts 59 poison damage on target instantly and every 6 seconds',100,2,3),
(203679,47059,'Cannot be modified except by direct means',100,2,4),
(203680,47059,'Grants a total of 200 triggers of the spell.',100,2,5),
(203681,10047059,'Applies miraculous stability when Activated.  Lasts for 12 hours.',100,0,0),
(203682,10047059,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(203683,10047059,'Inflicts 58 poison damage on target instantly and every 6 seconds',100,2,2),
(203684,10047059,'Inflicts 112 poison damage on target',100,2,3),
(203685,10047059,'Cannot be modified except by direct means',100,2,4),
(203686,10047059,'Grants a total of 200 triggers of the spell.',100,2,5),
(203687,45675,'Applies Gubbin''s Replenishment  when Activated.',100,0,0),
(203688,45675,'Heals caster for 47',100,1,1),
(203689,10045675,'Applies Gubbin''s Replenishment  when Activated.',100,0,0),
(203690,10045675,'Heals caster for 31',100,1,1),
(203691,118302,'Roots target encounter',100,1,0),
(203692,118302,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(203693,118302,'Slows target by 41.8%',100,2,2),
(203694,118302,'5% chance to dispel when target receives hostile action',100,2,3),
(203695,118302,'5% chance to dispel when target takes damage',100,2,4),
(203696,118302,'20% chance to dispel when target takes damage',100,1,5),
(203697,118302,'Does not affect Epic targets',100,1,6),
(203698,118302,'Resistibility increases against targets higher than level 69.',100,1,7),
(203699,10118302,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(203700,10118302,'Slows target by 41.8%',100,2,1),
(203701,10118302,'5% chance to dispel when target receives hostile action',100,2,2),
(203702,10118302,'5% chance to dispel when target takes damage',100,2,3),
(203703,10118302,'Roots target encounter',100,1,4),
(203704,10118302,'20% chance to dispel when target takes damage',100,1,5),
(203705,10118302,'Does not affect Epic targets',100,1,6),
(203706,10118302,'Resistibility increases against targets higher than level 69.',100,1,7),
(203707,112568,'Interrupts target',50,1,0),
(203708,112568,'Inflicts 886 - 1082 divine damage on target',100,1,1),
(203709,10112568,'Interrupts target',50,1,0),
(203710,10112568,'Inflicts 1480 - 1809 divine damage on target',100,1,1),
(203711,113855,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(203712,113855,'Increases power of caster by 182',100,2,1),
(203713,113855,'Grants a total of 3 triggers of the spell.',100,2,2),
(203714,10113855,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(203715,10113855,'Increases power of caster by 182',100,2,1),
(203716,10113855,'Grants a total of 3 triggers of the spell.',100,2,2),
(203717,48123,'Applies Soporific Dispensorator when Activated.',100,0,0),
(203718,48123,'Must be in Drafling Tower: Tradeskill.',100,1,1),
(203719,10048123,'Applies Soporific Dispensorator when Activated.',100,0,0),
(203720,10048123,'Must be in Drafling Tower: Tradeskill.',100,1,1),
(203721,109228,'Inflicts 38 - 64 melee damage on target',100,1,0),
(203722,10109228,'Inflicts 50 - 83 melee damage on target',100,1,0),
(203723,111184,'Inflicts 160 - 267 divine damage on targets in area',100,1,0),
(203724,111184,'Heals group members (AE) for 2.1% of max health',100,1,1),
(203725,111184,'This effect cannot be critically applied.',100,2,2),
(203726,111184,'The healing of this spell cannot be modified except by direct means',100,1,3),
(203727,10111184,'Inflicts 208 - 347 divine damage on targets in area',100,1,0),
(203728,10111184,'Heals group members (AE) for 1.4% of max health',100,1,1),
(203729,10111184,'This effect cannot be critically applied.',100,2,2),
(203730,10111184,'The healing of this spell cannot be modified except by direct means',100,1,3),
(203731,120666,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.5',100,1,0),
(203732,120666,'Increases Focus of group members (AE) by 38.9',100,1,1),
(203733,10120666,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.5',100,1,0),
(203734,10120666,'Increases Focus of group members (AE) by 38.9',100,1,1),
(203735,37254,'Increases STA and INT of target by 1.1',100,0,0),
(203736,37254,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(203737,82936,'When Equipped:',100,0,0),
(203738,82936,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203739,82936,'Inflicts 350 - 650 magic damage on target',100,2,2),
(203740,82936,'Decreases Threat to target by 833 ',100,2,3),
(203741,82936,'Must be flanking or behind',100,3,4),
(203742,82936,'Increases Threat to target by 833 ',100,2,5),
(203743,82936,'Must be in front of',100,3,6),
(203744,82936,'Cannot be modified except by direct means',100,2,7),
(203745,10082936,'When Equipped:',100,0,0),
(203746,10082936,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203747,10082936,'Inflicts 455 - 845 magic damage on target',100,2,2),
(203748,10082936,'Cannot be modified except by direct means',100,2,3),
(203749,118126,'Heals target for 944 - 1154',100,1,0),
(203750,10118126,'Heals target for 1116 - 1364',100,1,0),
(203751,37427,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(203752,122947,'Inflicts 88 - 120 mental damage on target',100,1,0),
(203753,10122947,'Inflicts 115 - 155 mental damage on target',100,1,0),
(203754,47106,'Applies Aegis of the Air Queen  when Activated.  Lasts for 30 minutes.',100,0,0),
(203755,47106,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(203756,10047106,'Applies Aegis of the Air Queen  when Activated.  Lasts for 30 minutes.',100,0,0),
(203757,10047106,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(203758,37296,'Increases AGI of target by 1.5',100,0,0),
(203759,37296,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(203760,112819,'Inflicts 1355 - 2259 slashing damage on target',100,1,0),
(203761,112819,'Stifles target',100,1,1),
(203762,112819,'If Target is not Epic',100,2,2),
(203763,112819,'You must be in stealth.',100,1,3),
(203764,112819,'Resistibility increases against targets higher than level 113.',100,1,4),
(203765,10112819,'Inflicts 1762 - 2937 slashing damage on target',100,1,0),
(203766,10112819,'Stifles target',100,1,1),
(203767,10112819,'If Target is not Epic',100,2,2),
(203768,10112819,'You must be in stealth.',100,1,3),
(203769,10112819,'Resistibility increases against targets higher than level 113.',100,1,4),
(203770,151080,'When Equipped:',100,0,0),
(203771,151080,'Increases Attack Speed of caster by 11.0',100,1,1),
(203772,151080,'This effect will not stack with any rank or tier of itself.',100,1,2),
(203773,151080,'Cannot be modified except by direct means',100,1,3),
(203774,10151080,'When Equipped:',100,0,0),
(203775,10151080,'Increases Attack Speed of caster by 11.0',100,1,1),
(203776,10151080,'This effect will not stack with any rank or tier of itself.',100,1,2),
(203777,10151080,'Cannot be modified except by direct means',100,1,3),
(203778,113020,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(203779,113020,'Inflicts 203 - 611 melee damage on target',100,2,1),
(203780,113020,'Stuns target',40,2,2),
(203781,113020,'If Target is not Epic',100,3,3),
(203782,113020,'Resistibility increases against targets higher than level 94.',100,2,4),
(203783,10113020,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(203784,10113020,'Inflicts 265 - 795 melee damage on target',100,2,1),
(203785,100284,'Inflicts 113 - 209 poison damage on target instantly and every 3 seconds',100,1,0),
(203786,10100284,'Inflicts 330 - 613 poison damage on target instantly and every 3 seconds',100,1,0),
(203787,51402,'When Equipped:',100,0,0),
(203788,51402,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203789,51402,'Increases the amount of your next healing spell or rune by 20%.',100,2,2),
(203790,51402,'Dispelled when target casts a heal spell',100,2,3),
(203791,51402,'Cannot be modified except by direct means',100,2,4),
(203792,10051402,'When Equipped:',100,0,0),
(203793,10051402,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203794,10051402,'Increases the amount of your next healing spell or rune by 20%.',100,2,2),
(203795,10051402,'Dispelled when target casts a heal spell',100,2,3),
(203796,10051402,'Cannot be modified except by direct means',100,2,4),
(203797,103781,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.9',100,1,0),
(203798,10103781,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.9',100,1,0),
(203799,45226,'Applies Sniff Magic when Activated.',100,0,0),
(203800,10045226,'Applies Sniff Magic when Activated.',100,0,0),
(203801,111206,'Inflicts 554 - 923 divine damage on targets in area',100,1,0),
(203802,111206,'Heals group members (AE) for 2.8% of max health',100,1,1),
(203803,111206,'This effect cannot be critically applied.',100,2,2),
(203804,111206,'The healing of this spell cannot be modified except by direct means',100,1,3),
(203805,10111206,'Inflicts 720 - 1201 divine damage on targets in area',100,1,0),
(203806,10111206,'Heals group members (AE) for 1.8% of max health',100,1,1),
(203807,10111206,'This effect cannot be critically applied.',100,2,2),
(203808,10111206,'The healing of this spell cannot be modified except by direct means',100,1,3),
(203809,107084,'Inflicts 163 - 200 divine damage on target',100,1,0),
(203810,10107084,'Inflicts 213 - 260 divine damage on target',100,1,0),
(203811,114951,'Decreases Attack Speed of target by 7.1',100,1,0),
(203812,114951,'Inflicts 27 - 82 slashing damage on target',100,1,1),
(203813,114951,'Inflicts 55 slashing damage on target instantly and every 4 seconds',100,1,2),
(203814,10114951,'Decreases Attack Speed of target by 7.1',100,1,0),
(203815,10114951,'Inflicts 35 - 107 slashing damage on target',100,1,1),
(203816,10114951,'Inflicts 72 slashing damage on target instantly and every 4 seconds',100,1,2),
(203817,114689,'Increases Threat to target by 1,112 - 1,359 ',100,1,0),
(203818,114689,'Interrupts target',100,1,1),
(203819,10114689,'Interrupts target',100,1,0),
(203820,10114689,'Forces target to change their selected target to caster.',100,1,1),
(203821,10114689,'Prevents target from changing targets',100,1,2),
(203822,118629,'Inflicts 80 - 240 crushing damage on target',100,1,0),
(203823,10118629,'Inflicts 104 - 312 crushing damage on target',100,1,0),
(203824,35428,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(203825,41636,'When Equipped:',100,0,0),
(203826,41636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203827,41636,'Inflicts 314 - 583 magic damage on target',100,2,2),
(203828,41636,'Cannot be modified except by direct means',100,2,3),
(203829,10041636,'When Equipped:',100,0,0),
(203830,10041636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203831,10041636,'Inflicts 408 - 757 magic damage on target',100,2,2),
(203832,10041636,'Cannot be modified except by direct means',100,2,3),
(203833,80469,'When Equipped:',100,0,0),
(203834,80469,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203835,80469,'Inflicts 83 - 154 magic damage on target',100,2,2),
(203836,80469,'Decreases Threat to target by 236 ',100,2,3),
(203837,80469,'Must be flanking or behind',100,3,4),
(203838,80469,'Increases Threat to target by 236 ',100,2,5),
(203839,80469,'Must be in front of',100,3,6),
(203840,80469,'Cannot be modified except by direct means',100,2,7),
(203841,10080469,'When Equipped:',100,0,0),
(203842,10080469,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(203843,10080469,'Inflicts 108 - 200 magic damage on target',100,2,2),
(203844,10080469,'Cannot be modified except by direct means',100,2,3),
(203845,141824,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(203846,141824,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(203847,141824,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(203848,141824,'Cannot be modified except by direct means',100,2,3),
(203849,10141824,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(203850,10141824,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(203851,10141824,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(203852,10141824,'Cannot be modified except by direct means',100,2,3),
(203853,162430,'Applies Reverse Pauldron when Activated.',100,0,0),
(203854,162430,'Summon 1 Right Pauldron of the Odyssey',100,1,1),
(203855,162430,'This effect cannot be cast during combat',100,1,2),
(203856,162430,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(203857,10162430,'Applies Reverse Pauldron when Activated.',100,0,0),
(203858,10162430,'Summon 1 Right Pauldron of the Odyssey',100,1,1),
(203859,10162430,'This effect cannot be cast during combat',100,1,2),
(203860,10162430,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(203861,105656,'Decreases Damage Per Second of target by 14.0',100,1,0),
(203862,105656,'Inflicts 89 - 148 melee damage on target',100,1,1),
(203863,105656,'Must be flanking or behind',100,1,2),
(203864,10105656,'Decreases Damage Per Second of target by 14.0',100,1,0),
(203865,10105656,'Inflicts 115 - 193 melee damage on target',100,1,1),
(203866,10105656,'Must be flanking or behind',100,1,2),
(203867,71675,'When Equipped:',100,0,0),
(203868,71675,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203869,71675,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(203870,71675,'Cannot be modified except by direct means',100,2,3),
(203871,10071675,'When Equipped:',100,0,0),
(203872,10071675,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(203873,10071675,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(203874,10071675,'Cannot be modified except by direct means',100,2,3),
(203875,82191,'When Equipped:',100,0,0),
(203876,82191,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203877,82191,'Inflicts 43 - 80 magic damage on target',100,2,2),
(203878,82191,'Cannot be modified except by direct means',100,2,3),
(203879,10082191,'When Equipped:',100,0,0),
(203880,10082191,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(203881,10082191,'Inflicts 56 - 104 magic damage on target',100,2,2),
(203882,10082191,'Cannot be modified except by direct means',100,2,3),
(203883,107993,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(203884,107993,'Increases Mitigation of group members (AE) vs elemental damage by 375',100,1,1),
(203885,10107993,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(203886,10107993,'Increases Mitigation of group members (AE) vs elemental damage by 375',100,1,1),
(203887,187130,'When Equipped:',100,0,0),
(203888,187130,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(203889,187130,'Stifles target',100,2,2),
(203890,187130,'Does not affect Epic targets',100,2,3),
(203891,187130,'Resistibility increases against targets higher than level 74.',100,2,4),
(203892,187130,'Cannot be modified except by direct means',100,2,5),
(203893,10187130,'When Equipped:',100,0,0),
(203894,10187130,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(203895,10187130,'Stifles target',100,2,2),
(203896,10187130,'Does not affect Epic targets',100,2,3),
(203897,10187130,'Resistibility increases against targets higher than level 74.',100,2,4),
(203898,10187130,'Cannot be modified except by direct means',100,2,5),
(203899,26420,'When Equipped:',100,0,0),
(203900,26420,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(203901,26420,'Decreases power of target by 156',100,2,2),
(203902,26420,'Increases power of caster by 100',100,2,3),
(203903,26420,'Cannot be modified except by direct means',100,2,4),
(203904,10026420,'When Equipped:',100,0,0),
(203905,10026420,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(203906,10026420,'Decreases power of target by 156',100,2,2),
(203907,10026420,'Increases power of caster by 100',100,2,3),
(203908,10026420,'Cannot be modified except by direct means',100,2,4),
(203909,84619,'When Equipped:',100,0,0),
(203910,84619,'On a critical spell hit this spell may cast Mindsieve VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(203911,84619,'Inflicts 675 - 746 mental damage on target',100,2,2),
(203912,84619,'Increases power of caster by 49',100,2,3),
(203913,84619,'Must not be engaged in pvp combat',100,2,4),
(203914,84619,'Cannot be modified except by direct means',100,2,5),
(203915,84619,'On a critical combat hit this spell may cast Mindsieve VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(203916,84619,'Inflicts 675 - 746 mental damage on target',100,2,7),
(203917,84619,'Increases power of caster by 49',100,2,8),
(203918,84619,'Must not be engaged in pvp combat',100,2,9),
(203919,84619,'Cannot be modified except by direct means',100,2,10),
(203920,84619,'Must not be engaged in pvp combat',100,1,11),
(203921,10084619,'When Equipped:',100,0,0),
(203922,10084619,'On a critical spell hit this spell may cast Mindsieve VII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(203923,10084619,'Inflicts 877 - 969 mental damage on target',100,2,2),
(203924,10084619,'Increases power of caster by 49',100,2,3),
(203925,10084619,'Must not be engaged in pvp combat',100,2,4),
(203926,10084619,'Cannot be modified except by direct means',100,2,5),
(203927,10084619,'On a critical combat hit this spell may cast Mindsieve VII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(203928,10084619,'Inflicts 877 - 969 mental damage on target',100,2,7),
(203929,10084619,'Increases power of caster by 49',100,2,8),
(203930,10084619,'Must not be engaged in pvp combat',100,2,9),
(203931,10084619,'Cannot be modified except by direct means',100,2,10),
(203932,10084619,'Must not be engaged in pvp combat',100,1,11),
(203933,137718,'When Equipped:',100,0,0),
(203934,137718,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(203935,137718,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(203936,137718,'Cannot be modified except by direct means',100,2,3),
(203937,10137718,'When Equipped:',100,0,0),
(203938,10137718,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(203939,10137718,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(203940,10137718,'Cannot be modified except by direct means',100,2,3),
(203941,103096,'Inflicts 61 - 91 magic damage on target',100,1,0),
(203942,103096,'Inflicts 14 - 20 magic damage on target every 4 seconds',100,1,1),
(203943,10103096,'Inflicts 79 - 118 magic damage on target',100,1,0),
(203944,10103096,'Inflicts 18 - 26 magic damage on target every 4 seconds',100,1,1),
(203945,106408,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(203946,106408,'Inflicts 357 - 436 mental damage on target',100,2,1),
(203947,106408,'Grants a total of 3 triggers of the spell.',100,2,2),
(203948,10106408,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(203949,10106408,'Inflicts 464 - 567 mental damage on target',100,2,1),
(203950,10106408,'Grants a total of 3 triggers of the spell.',100,2,2),
(203951,35189,'Increases WIS of target by 1.5',100,0,0),
(203952,35189,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(203953,159988,'Applies Lambent Imbued when Equipped.',100,0,0),
(203954,159988,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(203955,159988,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(203956,159988,'Cannot be modified except by direct means',100,2,3),
(203957,10159988,'Applies Lambent Imbued when Equipped.',100,0,0),
(203958,10159988,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(203959,10159988,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(203960,10159988,'Cannot be modified except by direct means',100,2,3),
(203961,104755,'Applies Consecration.',100,1,0),
(203962,104755,'Inflicts 394 - 482 divine damage on targets in Area of Effect',100,2,1),
(203963,10104755,'Applies Consecration.',100,1,0),
(203964,10104755,'Inflicts 513 - 627 divine damage on targets in Area of Effect',100,2,1),
(203965,75223,'When Equipped:',100,0,0),
(203966,75223,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(203967,75223,'Inflicts 31 - 38 magic damage on target',100,2,2),
(203968,75223,'If target is ravasect',100,3,3),
(203969,75223,'Cannot be modified except by direct means',100,2,4),
(203970,10075223,'When Equipped:',100,0,0),
(203971,10075223,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(203972,10075223,'Inflicts 41 - 50 magic damage on target',100,2,2),
(203973,10075223,'If target is ravasect',100,3,3),
(203974,10075223,'Cannot be modified except by direct means',100,2,4),
(203975,135098,'When Equipped:',100,0,0),
(203976,135098,'Decreases Hate Gain of caster by 7.0%',100,1,1),
(203977,10135098,'When Equipped:',100,0,0),
(203978,134456,'When Equipped:',100,0,0),
(203979,134456,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(203980,134456,'Inflicts 1986 piercing damage on target',100,2,2),
(203981,134456,'Cannot be modified except by direct means',100,2,3),
(203982,10134456,'When Equipped:',100,0,0),
(203983,10134456,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(203984,10134456,'Inflicts 1291 piercing damage on target',100,2,2),
(203985,10134456,'Cannot be modified except by direct means',100,2,3),
(203986,181827,'When Equipped:',100,0,0),
(203987,181827,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(203988,10181827,'When Equipped:',100,0,0),
(203989,10181827,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(203990,122265,'Makes targets in Area of Effect afraid',100,1,0),
(203991,122265,'If Target is not Epic',100,2,1),
(203992,122265,'Decreases Threat to targets in Area of Effect by 720 ',100,1,2),
(203993,122265,'30% chance to dispel when target takes damage',100,1,3),
(203994,10122265,'Makes targets in Area of Effect afraid',100,1,0),
(203995,10122265,'If Target is not Epic',100,2,1),
(203996,10122265,'Applies Distract.',100,1,2),
(203997,10122265,'Forces target to clear their selected target.',100,2,3),
(203998,10122265,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(203999,10122265,'30% chance to dispel when target takes damage',100,1,5),
(204000,47909,'Applies Salve when Activated.',100,0,0),
(204001,47909,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(204002,10047909,'Applies Salve when Activated.',100,0,0),
(204003,10047909,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(204004,73934,'Applies Fire Ball when Activated.',100,0,0),
(204005,73934,'Inflicts 77 - 128 heat damage on target',100,1,1),
(204006,73934,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(204007,10073934,'Applies Fire Ball when Activated.',100,0,0),
(204008,10073934,'Inflicts 100 - 167 heat damage on target',100,1,1),
(204009,10073934,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(204010,124122,'Increases power of caster by 306',100,1,0),
(204011,10124122,'Increases power of caster by 306',100,1,0),
(204012,123954,'Inflicts 17 - 28 melee damage on target',100,1,0),
(204013,123954,'Decreases AGI of target by 6.2',100,1,1),
(204014,123954,'Must be behind',100,1,2),
(204015,10123954,'Inflicts 22 - 37 melee damage on target',100,1,0),
(204016,10123954,'Decreases AGI of target by 6.2',100,1,1),
(204017,10123954,'Must be behind',100,1,2),
(204018,113274,'Inflicts 52 - 70 magic damage on target',100,1,0),
(204019,10113274,'Inflicts 68 - 92 magic damage on target',100,1,0),
(204020,169355,'When Equipped:',100,0,0),
(204021,169355,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(204022,10169355,'When Equipped:',100,0,0),
(204023,10169355,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(204024,108350,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(204025,108350,'Increases Mitigation of group members (AE) vs arcane damage by 346',100,1,1),
(204026,10108350,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(204027,10108350,'Increases Mitigation of group members (AE) vs arcane damage by 346',100,1,1),
(204028,124147,'Inflicts 192 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(204029,124147,'Applies Banshee''s Scream on termination.',100,1,1),
(204030,124147,'Inflicts 577 - 962 disease damage on target',100,2,2),
(204031,10124147,'Inflicts 250 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(204032,10124147,'Applies Banshee''s Scream on termination.',100,1,1),
(204033,10124147,'Inflicts 751 - 1251 disease damage on target',100,2,2),
(204034,121787,'Heals target for 175 - 213',100,1,0),
(204035,121787,'Heals target for 29 - 36 every second',100,1,1),
(204036,10121787,'Heals target for 303 - 370',100,1,0),
(204037,10121787,'Heals target for 25 - 31 every second',100,1,1),
(204038,159993,'Applies Sanguine Imbued when Equipped.',100,0,0),
(204039,159993,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(204040,159993,'Inflicts 206 heat damage on target',100,2,2),
(204041,159993,'Cannot be modified except by direct means',100,2,3),
(204042,10159993,'Applies Sanguine Imbued when Equipped.',100,0,0),
(204043,10159993,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(204044,10159993,'Inflicts 267 heat damage on target',100,2,2),
(204045,10159993,'Cannot be modified except by direct means',100,2,3),
(204046,46453,'Applies Gnomish Destruction Device when Activated.  Lasts for 5.0 seconds.',100,0,0),
(204047,46453,'Must be in zone Great Divide',100,1,1),
(204048,46453,'If target is rimerack',100,1,2),
(204049,10046453,'Applies Gnomish Destruction Device when Activated.  Lasts for 5.0 seconds.',100,0,0),
(204050,10046453,'Must be in zone Great Divide',100,1,1),
(204051,10046453,'If target is rimerack',100,1,2),
(204052,101036,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(204053,101036,'Inflicts 262 poison damage on target instantly and every 4 seconds',100,2,1),
(204054,101036,'If profession other than Predator',100,1,2),
(204055,101036,'If profession other than Rogue',100,1,3),
(204056,10101036,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(204057,10101036,'Inflicts 340 poison damage on target instantly and every 4 seconds',100,2,1),
(204058,10101036,'If profession other than Predator',100,1,2),
(204059,10101036,'If profession other than Rogue',100,1,3),
(204060,35872,'Increases STR of target by 1.5',100,0,0),
(204061,35872,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(204062,36045,'Increases AGI of target by 1.5',100,0,0),
(204063,36045,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(204064,36535,'Target will Dodge 0.2% of incoming attacks',100,0,0),
(204065,36535,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(204066,106788,'Shapechanges caster into a half elf',100,1,0),
(204067,10106788,'Shapechanges caster into a half elf',100,1,0),
(204068,82912,'When Equipped:',100,0,0),
(204069,82912,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204070,82912,'Inflicts 350 - 650 magic damage on target',100,2,2),
(204071,82912,'Cannot be modified except by direct means',100,2,3),
(204072,10082912,'When Equipped:',100,0,0),
(204073,10082912,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204074,10082912,'Inflicts 455 - 845 magic damage on target',100,2,2),
(204075,10082912,'Cannot be modified except by direct means',100,2,3),
(204076,124724,'Heals group members (AE) for 757 - 926',100,1,0),
(204077,10124724,'Heals group members (AE) for 919 - 1123',100,1,0),
(204078,158985,'When Equipped:',100,0,0),
(204079,158985,'On a hostile spell cast this spell may cast Forced Silence on target of spell.  Lasts for 7.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(204080,158985,'Stifles target',100,2,2),
(204081,158985,'Only affects targets level 80 and below',100,2,3),
(204082,158985,'Does not affect Epic targets',100,2,4),
(204083,158985,'Resistibility increases against targets higher than level 99.',100,2,5),
(204084,158985,'Cannot be modified except by direct means',100,2,6),
(204085,10158985,'When Equipped:',100,0,0),
(204086,10158985,'On a hostile spell cast this spell may cast Forced Silence on target of spell.  Lasts for 7.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(204087,10158985,'Stifles target',100,2,2),
(204088,10158985,'Only affects targets level 80 and below',100,2,3),
(204089,10158985,'Does not affect Epic targets',100,2,4),
(204090,10158985,'Resistibility increases against targets higher than level 99.',100,2,5),
(204091,10158985,'Cannot be modified except by direct means',100,2,6),
(204092,122636,'Heals target for 206 - 251 every 2 seconds',100,1,0),
(204093,122636,'Wards target against 662 points of all damage',100,1,1),
(204094,122636,'Decreases Attack Speed of target by 25.0',100,1,2),
(204095,122636,'Slows target by 50.0%',100,1,3),
(204096,10122636,'Heals target for 134 - 163 every 2 seconds',100,1,0),
(204097,10122636,'Wards target against 662 points of all damage',100,1,1),
(204098,10122636,'Decreases Attack Speed of target by 25.0',100,1,2),
(204099,10122636,'Slows target by 20.0%',100,1,3),
(204100,114451,'Inflicts 214 - 356 heat damage on target',100,1,0),
(204101,10114451,'Inflicts 278 - 463 heat damage on target',100,1,0),
(204102,25054,'When Equipped:',100,0,0),
(204103,25054,'Increases damage done by combat arts by up to 50.',100,1,1),
(204104,10025054,'When Equipped:',100,0,0),
(204105,10025054,'Increases damage done by combat arts by up to 50.',100,1,1),
(204106,123502,'Decreases Mitigation of target encounter vs noxious damage by 656',100,1,0),
(204107,10123502,'Decreases Mitigation of target encounter vs noxious damage by 656',100,1,0),
(204108,45556,'Applies Blessed Tonic Water  when Activated.',100,0,0),
(204109,45556,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(204110,10045556,'Applies Blessed Tonic Water  when Activated.',100,0,0),
(204111,10045556,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(204112,116853,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(204113,116853,'Inflicts 639 - 781 mental damage on target',100,2,1),
(204114,116853,'Grants a total of 3 triggers of the spell.',100,2,2),
(204115,10116853,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(204116,10116853,'Inflicts 830 - 1015 mental damage on target',100,2,1),
(204117,10116853,'Grants a total of 3 triggers of the spell.',100,2,2),
(204118,121304,'Inflicts 780 - 1300 melee damage on targets in area',100,1,0),
(204119,121304,'Inflicts 236 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(204120,121304,'You must be in stealth or have Bloody Assault.',100,1,2),
(204121,10121304,'Inflicts 1014 - 1690 melee damage on targets in area',100,1,0),
(204122,10121304,'Inflicts 307 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(204123,10121304,'You must be in stealth or have Bloody Assault.',100,1,2),
(204124,25340,'When Equipped:',100,0,0),
(204125,25340,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(204126,25340,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(204127,10025340,'When Equipped:',100,0,0),
(204128,10025340,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(204129,10025340,'Improves the hate transfer of Boon of the Damned VI by 5%.',100,1,2),
(204130,82281,'When Equipped:',100,0,0),
(204131,82281,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204132,82281,'Inflicts 43 - 80 magic damage on target',100,2,2),
(204133,82281,'Cannot be modified except by direct means',100,2,3),
(204134,10082281,'When Equipped:',100,0,0),
(204135,10082281,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204136,10082281,'Inflicts 56 - 104 magic damage on target',100,2,2),
(204137,10082281,'Cannot be modified except by direct means',100,2,3),
(204138,100021,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(204139,100021,'Inflicts 131 - 219 melee damage on targets in area',100,2,1),
(204140,100021,'Decreases Defense of caster by 15.0',100,1,2),
(204141,100021,'Increases Slashing, Piercing and Crushing of caster by 21.4',100,1,3),
(204142,10100021,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(204143,10100021,'Inflicts 170 - 284 melee damage on targets in area',100,2,1),
(204144,10100021,'Decreases Defense of caster by 15.0',100,1,2),
(204145,10100021,'Increases Slashing, Piercing and Crushing of caster by 21.4',100,1,3),
(204146,80914,'When Equipped:',100,0,0),
(204147,80914,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204148,80914,'Inflicts 296 - 551 magic damage on target',100,2,2),
(204149,80914,'Cannot be modified except by direct means',100,2,3),
(204150,10080914,'When Equipped:',100,0,0),
(204151,10080914,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204152,10080914,'Inflicts 385 - 716 magic damage on target',100,2,2),
(204153,10080914,'Cannot be modified except by direct means',100,2,3),
(204154,139506,'When Equipped:',100,0,0),
(204155,139506,'Reduces maximum falling speed of caster',100,1,1),
(204156,139506,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(204157,139506,'Enlarges caster by 49.6%',100,1,3),
(204158,139506,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(204159,10139506,'When Equipped:',100,0,0),
(204160,10139506,'Reduces maximum falling speed of caster',100,1,1),
(204161,10139506,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(204162,10139506,'Enlarges caster by 49.6%',100,1,3),
(204163,10139506,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(204164,108677,'Summons a pet a festive burynai',100,1,0),
(204165,10108677,'Summons a pet a festive burynai',100,1,0),
(204166,138288,'When Equipped:',100,0,0),
(204167,138288,'Increases Attack Speed of caster by 40.0',100,1,1),
(204168,10138288,'When Equipped:',100,0,0),
(204169,10138288,'Increases Attack Speed of caster by 40.0',100,1,1),
(204170,83959,'When Equipped:',100,0,0),
(204171,83959,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(204172,83959,'Reduces healing received by 15.00%',100,2,2),
(204173,83959,'Cannot be modified except by direct means',100,2,3),
(204174,83959,'This effect can only trigger once every 1 second.',100,2,4),
(204175,83959,'Must be engaged in pvp combat',100,1,5),
(204176,10083959,'When Equipped:',100,0,0),
(204177,10083959,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(204178,10083959,'Reduces healing received by 15.00%',100,2,2),
(204179,10083959,'Cannot be modified except by direct means',100,2,3),
(204180,10083959,'This effect can only trigger once every 1 second.',100,2,4),
(204181,10083959,'Must be engaged in pvp combat',100,1,5),
(204182,82645,'When Equipped:',100,0,0),
(204183,82645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204184,82645,'Inflicts 106 - 197 magic damage on target',100,2,2),
(204185,82645,'Cannot be modified except by direct means',100,2,3),
(204186,10082645,'When Equipped:',100,0,0),
(204187,10082645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204188,10082645,'Inflicts 138 - 256 magic damage on target',100,2,2),
(204189,10082645,'Cannot be modified except by direct means',100,2,3),
(204190,82471,'When Equipped:',100,0,0),
(204191,82471,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204192,82471,'Inflicts 191 - 354 magic damage on target',100,2,2),
(204193,82471,'Cannot be modified except by direct means',100,2,3),
(204194,10082471,'When Equipped:',100,0,0),
(204195,10082471,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204196,10082471,'Inflicts 248 - 460 magic damage on target',100,2,2),
(204197,10082471,'Cannot be modified except by direct means',100,2,3),
(204198,172465,'When Equipped:',100,0,0),
(204199,172465,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(204200,172465,'Increases power of caster by 146',100,2,2),
(204201,172465,'Heals caster for 284 - 347',100,2,3),
(204202,172465,'Must not be engaged in pvp combat',100,2,4),
(204203,172465,'Cannot be modified except by direct means',100,2,5),
(204204,172465,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(204205,172465,'Increases power of caster by 146',100,2,7),
(204206,172465,'Heals caster for 284 - 347',100,2,8),
(204207,172465,'Must not be engaged in pvp combat',100,2,9),
(204208,172465,'Cannot be modified except by direct means',100,2,10),
(204209,10172465,'When Equipped:',100,0,0),
(204210,10172465,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(204211,10172465,'Increases power of caster by 146',100,2,2),
(204212,10172465,'Heals caster for 184 - 225',100,2,3),
(204213,10172465,'Must not be engaged in pvp combat',100,2,4),
(204214,10172465,'Cannot be modified except by direct means',100,2,5),
(204215,10172465,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(204216,10172465,'Increases power of caster by 146',100,2,7),
(204217,10172465,'Heals caster for 184 - 225',100,2,8),
(204218,10172465,'Must not be engaged in pvp combat',100,2,9),
(204219,10172465,'Cannot be modified except by direct means',100,2,10),
(204220,115801,'Inflicts 1 disease damage on target every 3 seconds',100,1,0),
(204221,115801,'Inflicts 4 - 7 melee damage on target',100,1,1),
(204222,115801,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(204223,115801,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(204224,115801,'This effect cannot be critically applied.',100,3,4),
(204225,115801,'The healing of this spell cannot be modified except by direct means',100,2,5),
(204226,115801,'The healing of this spell cannot be modified except by direct means',100,1,6),
(204227,10115801,'Inflicts 2 disease damage on target every 3 seconds',100,1,0),
(204228,10115801,'Inflicts 5 - 9 melee damage on target',100,1,1),
(204229,10115801,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(204230,10115801,'Heals caster for 1 instantly and every 3 seconds',100,2,3),
(204231,10115801,'This effect cannot be critically applied.',100,3,4),
(204232,10115801,'The healing of this spell cannot be modified except by direct means',100,2,5),
(204233,10115801,'The healing of this spell cannot be modified except by direct means',100,1,6),
(204234,108649,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(204235,108649,'Heals target for 665',100,2,1),
(204236,108649,'Heals target for 166 every 2 seconds',100,2,2),
(204237,108649,'Increases AGI of target by 68.8',100,2,3),
(204238,108649,'Grants a total of 1 trigger of the spell.',100,2,4),
(204239,10108649,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(204240,10108649,'Heals target for 432',100,2,1),
(204241,10108649,'Heals target for 108 every 2 seconds',100,2,2),
(204242,10108649,'Increases AGI of target by 68.8',100,2,3),
(204243,10108649,'Grants a total of 1 trigger of the spell.',100,2,4),
(204244,131171,'When Equipped:',100,0,0),
(204245,131171,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(204246,131171,'Inflicts 2648 magic damage on target',100,2,2),
(204247,131171,'Cannot be modified except by direct means',100,2,3),
(204248,10131171,'When Equipped:',100,0,0),
(204249,10131171,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(204250,10131171,'Inflicts 1721 magic damage on target',100,2,2),
(204251,10131171,'Cannot be modified except by direct means',100,2,3),
(204252,110928,'Inflicts 155 - 259 divine damage on target',100,1,0),
(204253,110928,'Increases Threat to target by 1,140 ',100,1,1),
(204254,110928,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(204255,110928,'Stuns target',100,2,3),
(204256,110928,'Throws target back',100,2,4),
(204257,110928,'Blurs vision of target',100,2,5),
(204258,110928,'Does not affect Epic targets',100,2,6),
(204259,10110928,'Inflicts 202 - 337 divine damage on target',100,1,0),
(204260,10110928,'Prevents target from changing targets',100,1,1),
(204261,10110928,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(204262,10110928,'Blurs vision of target',100,2,3),
(204263,10110928,'Stuns target',100,2,4),
(204264,10110928,'Throws target back',100,2,5),
(204265,10110928,'Does not affect Epic targets',100,2,6),
(204266,10110928,'Forces target to change their selected target to caster.',100,1,7),
(204267,113998,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(204268,113998,'Inflicts 82 - 137 melee damage on target',100,2,1),
(204269,113998,'Increases Threat to target by 287 ',100,2,2),
(204270,10113998,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(204271,10113998,'Inflicts 107 - 178 melee damage on target',100,2,1),
(204272,106435,'Increases Multi Attack Chance of raid and group members (AE) by 4.4',100,1,0),
(204273,10106435,'Increases Multi Attack Chance of raid and group members (AE) by 4.4',100,1,0),
(204274,111169,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(204275,111169,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,1),
(204276,111169,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,2),
(204277,10111169,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(204278,10111169,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,1),
(204279,10111169,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,2),
(204280,117068,'Inflicts 348 - 580 melee damage on target',100,1,0),
(204281,117068,'Decreases Attack Speed of target by 25.1',100,1,1),
(204282,10117068,'Inflicts 452 - 754 melee damage on target',100,1,0),
(204283,10117068,'Decreases Attack Speed of target by 25.1',100,1,1),
(204284,108789,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(204285,108789,'Inflicts 94 - 115 heat damage on target instantly and every 4 seconds',100,2,1),
(204286,108789,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(204287,108789,'Inflicts 417 - 509 heat damage on target encounter',100,3,3),
(204288,108789,'Grants a total of 1 trigger of the spell.',100,3,4),
(204289,10108789,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(204290,10108789,'Inflicts 122 - 149 heat damage on target instantly and every 4 seconds',100,2,1),
(204291,10108789,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(204292,10108789,'Inflicts 542 - 662 heat damage on target encounter',100,3,3),
(204293,10108789,'Grants a total of 1 trigger of the spell.',100,3,4),
(204294,101628,'Applies Forceful Headache on termination.',100,1,0),
(204295,101628,'Inflicts 265 - 441 mental damage on target',100,2,1),
(204296,101628,'If over 50% power',100,3,2),
(204297,101628,'Inflicts 106 - 129 mental damage on target instantly and every 6 seconds',100,1,3),
(204298,101628,'Decreases Mitigation of target vs arcane damage by 672',100,1,4),
(204299,10101628,'Applies Forceful Headache on termination.',100,1,0),
(204300,10101628,'Inflicts 344 - 573 mental damage on target',100,2,1),
(204301,10101628,'If over 50% power',100,3,2),
(204302,10101628,'Inflicts 138 - 168 mental damage on target instantly and every 6 seconds',100,1,3),
(204303,10101628,'Decreases Mitigation of target vs arcane damage by 672',100,1,4),
(204304,124415,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(204305,124415,'Inflicts 304 - 507 melee damage on target',100,2,1),
(204306,124415,'Grants a total of 3 triggers of the spell.',100,2,2),
(204307,10124415,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(204308,10124415,'Inflicts 396 - 660 melee damage on target',100,2,1),
(204309,10124415,'Grants a total of 3 triggers of the spell.',100,2,2),
(204310,71507,'When Equipped:',100,0,0),
(204311,71507,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(204312,71507,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(204313,71507,'Cannot be modified except by direct means',100,2,3),
(204314,10071507,'When Equipped:',100,0,0),
(204315,10071507,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(204316,10071507,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(204317,10071507,'Cannot be modified except by direct means',100,2,3),
(204318,24515,'Adds Mistmoore: Arcane Glass Vial to your Dungeon Maker toolbox',100,0,0),
(204319,10024515,'Adds Mistmoore: Arcane Glass Vial to your Dungeon Maker toolbox',100,0,0),
(204320,116661,'Heals group members (AE) for 22 - 27',100,1,0),
(204321,116661,'This effect cannot be critically applied.',100,2,1),
(204322,116661,'Increases Max Health of group members (AE) by 16.7',100,1,2),
(204323,116661,'The healing of this spell cannot be modified except by direct means',100,1,3),
(204324,10116661,'Heals group members (AE) for 7 - 8',100,1,0),
(204325,10116661,'This effect cannot be critically applied.',100,2,1),
(204326,10116661,'Increases Max Health of group members (AE) by 16.7',100,1,2),
(204327,10116661,'The healing of this spell cannot be modified except by direct means',100,1,3),
(204328,159652,'When Equipped:',100,0,0),
(204329,159652,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(204330,159652,'Increases STA of caster by 12.2',100,2,2),
(204331,159652,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(204332,159652,'Cannot be modified except by direct means',100,2,4),
(204333,10159652,'When Equipped:',100,0,0),
(204334,10159652,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(204335,10159652,'Increases STA of caster by 12.2',100,2,2),
(204336,10159652,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(204337,10159652,'Cannot be modified except by direct means',100,2,4),
(204338,103046,'Inflicts 19 magic damage on target instantly and every 4 seconds',100,1,0),
(204339,103046,'Increases power of caster by 9 instantly and every 4 seconds',100,1,1),
(204340,10103046,'Inflicts 25 magic damage on target instantly and every 4 seconds',100,1,0),
(204341,10103046,'Increases power of caster by 9 instantly and every 4 seconds',100,1,1),
(204342,113120,'Decreases Attack Speed of target encounter by 18.9',100,1,0),
(204343,10113120,'Decreases Attack Speed of target encounter by 18.9',100,1,0),
(204344,72280,'Applies Astral Blessing when Equipped.',100,0,0),
(204345,72280,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204346,72280,'Heals target for 442 instantly and every second',100,2,2),
(204347,72280,'Cannot be modified except by direct means',100,2,3),
(204348,72280,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(204349,72280,'Heals caster for 442 instantly and every second',100,2,5),
(204350,72280,'Cannot be modified except by direct means',100,2,6),
(204351,72280,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(204352,72280,'Heals caster for 442 instantly and every second',100,2,8),
(204353,72280,'Cannot be modified except by direct means',100,2,9),
(204354,10072280,'Applies Astral Blessing when Equipped.',100,0,0),
(204355,10072280,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204356,10072280,'Heals target for 517 instantly and every second',100,2,2),
(204357,10072280,'Cannot be modified except by direct means',100,2,3),
(204358,10072280,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(204359,10072280,'Heals caster for 517 instantly and every second',100,2,5),
(204360,10072280,'Cannot be modified except by direct means',100,2,6),
(204361,10072280,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(204362,10072280,'Heals caster for 517 instantly and every second',100,2,8),
(204363,10072280,'Cannot be modified except by direct means',100,2,9),
(204364,110914,'Inflicts 58 - 97 divine damage on target',100,1,0),
(204365,110914,'Increases Threat to target by 403 ',100,1,1),
(204366,110914,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(204367,110914,'Stuns target',100,2,3),
(204368,110914,'Throws target back',100,2,4),
(204369,110914,'Blurs vision of target',100,2,5),
(204370,110914,'Does not affect Epic targets',100,2,6),
(204371,10110914,'Inflicts 75 - 126 divine damage on target',100,1,0),
(204372,10110914,'Prevents target from changing targets',100,1,1),
(204373,10110914,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(204374,10110914,'Blurs vision of target',100,2,3),
(204375,10110914,'Stuns target',100,2,4),
(204376,10110914,'Throws target back',100,2,5),
(204377,10110914,'Does not affect Epic targets',100,2,6),
(204378,10110914,'Forces target to change their selected target to caster.',100,1,7),
(204379,35652,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(204380,42578,'When Equipped:',100,0,0),
(204381,42578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204382,42578,'Inflicts 150 - 225 magic damage on target',100,2,2),
(204383,42578,'Cannot be modified except by direct means',100,2,3),
(204384,10042578,'When Equipped:',100,0,0),
(204385,10042578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204386,10042578,'Inflicts 195 - 292 magic damage on target',100,2,2),
(204387,10042578,'Cannot be modified except by direct means',100,2,3),
(204388,47289,'Applies Rollian''s Reclamation  when Activated.',100,0,0),
(204389,47289,'Heals caster for 151',100,1,1),
(204390,10047289,'Applies Rollian''s Reclamation  when Activated.',100,0,0),
(204391,10047289,'Heals caster for 98',100,1,1),
(204392,108566,'Makes target afraid',100,1,0),
(204393,108566,'30% chance to dispel when target takes damage',100,1,1),
(204394,108566,'Does not affect Epic targets',100,1,2),
(204395,108566,'Resistibility increases against targets higher than level 106.',100,1,3),
(204396,10108566,'Makes target afraid',100,1,0),
(204397,10108566,'30% chance to dispel when target takes damage',100,1,1),
(204398,10108566,'Does not affect Epic targets',100,1,2),
(204399,10108566,'Resistibility increases against targets higher than level 106.',100,1,3),
(204400,178605,'When Equipped:',100,0,0),
(204401,178605,'On a melee hit this spell may cast Shifting Hatred on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(204402,178605,'Decreases Threat to target by 1,761 - 2,153 ',100,2,2),
(204403,178605,'If profession other than Fighter',100,3,3),
(204404,178605,'Increases Threat to target by 2,349 - 2,871 ',100,2,4),
(204405,178605,'If Fighter',100,3,5),
(204406,178605,'Cannot be modified except by direct means',100,2,6),
(204407,10178605,'When Equipped:',100,0,0),
(204408,10178605,'On a melee hit this spell may cast Shifting Hatred on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(204409,10178605,'Cannot be modified except by direct means',100,2,2),
(204410,36587,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(204411,146820,'When Equipped:',100,0,0),
(204412,146820,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(204413,10146820,'When Equipped:',100,0,0),
(204414,10146820,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(204415,170488,'When Equipped:',100,0,0),
(204416,170488,'On any combat or spell hit this spell may cast Fury of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204417,170488,'Increases Damage Per Second of caster by 25.0',100,2,2),
(204418,170488,'Increases Multi Attack Chance of caster by 25.0',100,2,3),
(204419,170488,'Must not be engaged in pvp combat',100,2,4),
(204420,170488,'Cannot be modified except by direct means',100,2,5),
(204421,170488,'Cannot be modified except by direct means',100,1,6),
(204422,10170488,'When Equipped:',100,0,0),
(204423,10170488,'On any combat or spell hit this spell may cast Fury of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204424,10170488,'Increases Damage Per Second of caster by 25.0',100,2,2),
(204425,10170488,'Increases Multi Attack Chance of caster by 25.0',100,2,3),
(204426,10170488,'Must not be engaged in pvp combat',100,2,4),
(204427,10170488,'Cannot be modified except by direct means',100,2,5),
(204428,10170488,'Cannot be modified except by direct means',100,1,6),
(204429,117936,'Heals target for 59 - 72',100,1,0),
(204430,117936,'Increases Max Health of target by 6.7',100,1,1),
(204431,10117936,'Heals target for 68 - 83',100,1,0),
(204432,10117936,'Increases Max Health of target by 6.7',100,1,1),
(204433,24162,'Adds Crushbone: Brass Pan to your Dungeon Maker toolbox',100,0,0),
(204434,10024162,'Adds Crushbone: Brass Pan to your Dungeon Maker toolbox',100,0,0),
(204435,113182,'Inflicts 1648 disease damage on target',100,1,0),
(204436,113182,'Heals caster for 753',100,1,1),
(204437,10113182,'Inflicts 2142 disease damage on target',100,1,0),
(204438,10113182,'Heals caster for 636',100,1,1),
(204439,144684,'When Equipped:',100,0,0),
(204440,144684,'Increases Attack Speed of caster by 40.0',100,1,1),
(204441,10144684,'When Equipped:',100,0,0),
(204442,10144684,'Increases Attack Speed of caster by 40.0',100,1,1),
(204443,115492,'Summons a pet nightshade',100,1,0),
(204444,10115492,'Summons a pet nightshade',100,1,0),
(204445,83931,'When Equipped:',100,0,0),
(204446,83931,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204447,83931,'Heals group members (AE) for 1662 - 1837 instantly and every 3 seconds',100,2,2),
(204448,83931,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(204449,83931,'Increases Potency of group members (AE) by 8.0%',100,2,4),
(204450,83931,'Must not be engaged in pvp combat',100,2,5),
(204451,83931,'Cannot be modified except by direct means',100,2,6),
(204452,83931,'Must not be engaged in pvp combat',100,1,7),
(204453,10083931,'When Equipped:',100,0,0),
(204454,10083931,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204455,10083931,'Heals group members (AE) for 1945 - 2149 instantly and every 3 seconds',100,2,2),
(204456,10083931,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(204457,10083931,'Increases Potency of group members (AE) by 8.0%',100,2,4),
(204458,10083931,'Must not be engaged in pvp combat',100,2,5),
(204459,10083931,'Cannot be modified except by direct means',100,2,6),
(204460,10083931,'Must not be engaged in pvp combat',100,1,7),
(204461,121597,'Stuns target encounter',100,1,0),
(204462,121597,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,1),
(204463,121597,'Resistibility increases against targets higher than level 87.',100,1,2),
(204464,10121597,'Stuns target encounter',100,1,0),
(204465,10121597,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(204466,10121597,'Resistibility increases against targets higher than level 87.',100,1,2),
(204467,75899,'When Equipped:',100,0,0),
(204468,75899,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(204469,75899,'Heals group members for 987',100,2,2),
(204470,75899,'Cannot be modified except by direct means',100,2,3),
(204471,10075899,'When Equipped:',100,0,0),
(204472,10075899,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(204473,10075899,'Heals group members for 1154',100,2,2),
(204474,10075899,'Cannot be modified except by direct means',100,2,3),
(204475,36223,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(204476,36223,'This effect suspends during combat',100,0,1),
(204477,108831,'Inflicts 1639 - 3044 heat damage on targets in Area of Effect',100,1,0),
(204478,10108831,'Inflicts 2131 - 3957 heat damage on targets in Area of Effect',100,1,0),
(204479,185988,'When Equipped:',100,0,0),
(204480,185988,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(204481,185988,'Heals group members (AE) for 580',100,2,2),
(204482,185988,'Cannot be modified except by direct means',100,2,3),
(204483,10185988,'When Equipped:',100,0,0),
(204484,10185988,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(204485,10185988,'Heals group members (AE) for 679',100,2,2),
(204486,10185988,'Cannot be modified except by direct means',100,2,3),
(204487,115276,'Heals target for 864',100,1,0),
(204488,115276,'Heals target for 144 every second',100,1,1),
(204489,115276,'Dispels 117 levels of any hostile effects on target',100,1,2),
(204490,10115276,'Heals target for 562',100,1,0),
(204491,10115276,'Heals target for 94 every second',100,1,1),
(204492,10115276,'Dispels 117 levels of any hostile effects on target',100,1,2),
(204493,75462,'When Equipped:',100,0,0),
(204494,75462,'On a hit this spell may cast Disarming Counter on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(204495,75462,'Dazes target',100,2,2),
(204496,75462,'Inflicts 247 - 302 mental damage on target',100,2,3),
(204497,75462,'Interrupts target',100,2,4),
(204498,75462,'Only affects targets level 90 and below',100,2,5),
(204499,75462,'Does not affect Epic targets',100,2,6),
(204500,75462,'Resistibility increases against targets higher than level 114.',100,2,7),
(204501,75462,'Cannot be modified except by direct means',100,2,8),
(204502,75462,'Cannot be modified except by direct means',100,1,9),
(204503,10075462,'When Equipped:',100,0,0),
(204504,10075462,'On a hit this spell may cast Disarming Counter on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(204505,10075462,'Dazes target',100,2,2),
(204506,10075462,'Inflicts 321 - 392 mental damage on target',100,2,3),
(204507,10075462,'Interrupts target',100,2,4),
(204508,10075462,'Only affects targets level 90 and below',100,2,5),
(204509,10075462,'Does not affect Epic targets',100,2,6),
(204510,10075462,'Resistibility increases against targets higher than level 114.',100,2,7),
(204511,10075462,'Cannot be modified except by direct means',100,2,8),
(204512,10075462,'Cannot be modified except by direct means',100,1,9),
(204513,24639,'Adds Poet''s Palace: Large Ornate Pedestal to your Dungeon Maker toolbox',100,0,0),
(204514,10024639,'Adds Poet''s Palace: Large Ornate Pedestal to your Dungeon Maker toolbox',100,0,0),
(204515,121056,'Increases STR and STA of group members (AE) by 20.4',100,1,0),
(204516,10121056,'Increases STR and STA of group members (AE) by 20.4',100,1,0),
(204517,124291,'Wards group members (AE) against 727 points of elemental damage',100,1,0),
(204518,124291,'Increases Mitigation of group members (AE) vs elemental damage by 430',100,1,1),
(204519,10124291,'Wards group members (AE) against 727 points of elemental damage',100,1,0),
(204520,10124291,'Increases Mitigation of group members (AE) vs elemental damage by 430',100,1,1),
(204521,47326,'Applies Tynkale''s Reclamation  when Activated.',100,0,0),
(204522,47326,'Heals caster for 208',100,1,1),
(204523,10047326,'Applies Tynkale''s Reclamation  when Activated.',100,0,0),
(204524,10047326,'Heals caster for 135',100,1,1),
(204525,111305,'Inflicts 421 - 701 divine damage on target',100,1,0),
(204526,111305,'Inflicts 168 - 281 divine damage on target every 4 seconds',100,1,1),
(204527,10111305,'Inflicts 547 - 912 divine damage on target',100,1,0),
(204528,10111305,'Inflicts 219 - 365 divine damage on target every 4 seconds',100,1,1),
(204529,115588,'Interrupts target encounter',100,1,0),
(204530,115588,'Decreases Threat to target encounter by 712 - 871 ',100,1,1),
(204531,115588,'Dazes target encounter',100,1,2),
(204532,115588,'If Target is not Epic',100,2,3),
(204533,115588,'Resistibility increases against targets higher than level 81.',100,1,4),
(204534,10115588,'Interrupts target encounter',100,1,0),
(204535,10115588,'Dazes target encounter',100,1,1),
(204536,10115588,'If Target is not Epic',100,2,2),
(204537,10115588,'Resistibility increases against targets higher than level 81.',100,1,3),
(204538,35447,'Increases WIS and AGI of target by 1.1',100,0,0),
(204539,35447,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(204540,114230,'Inflicts 171 - 209 mental damage on target',100,1,0),
(204541,114230,'Stuns target',100,1,1),
(204542,114230,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(204543,114230,'Resistibility increases against targets higher than level 56.',100,1,3),
(204544,10114230,'Inflicts 222 - 271 mental damage on target',100,1,0),
(204545,10114230,'Requires not being affected by Mesmerize effects.',100,2,1),
(204546,10114230,'Stuns target',100,1,2),
(204547,10114230,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(204548,10114230,'Resistibility increases against targets higher than level 56.',100,1,4),
(204549,81521,'When Equipped:',100,0,0),
(204550,81521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204551,81521,'Inflicts 153 - 283 magic damage on target',100,2,2),
(204552,81521,'Cannot be modified except by direct means',100,2,3),
(204553,10081521,'When Equipped:',100,0,0),
(204554,10081521,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204555,10081521,'Inflicts 198 - 368 magic damage on target',100,2,2),
(204556,10081521,'Cannot be modified except by direct means',100,2,3),
(204557,48058,'Applies Greater Touch of Life when Activated.  Lasts for 12.0 seconds.',100,0,0),
(204558,48058,'Heals caster for 897 - 1096',100,1,1),
(204559,48058,'Heals caster for 256 - 313 every 2 seconds',100,1,2),
(204560,48058,'Requires 178 Power to cast.',100,1,3),
(204561,10048058,'Applies Greater Touch of Life when Activated.  Lasts for 12.0 seconds.',100,0,0),
(204562,10048058,'Heals caster for 583 - 713',100,1,1),
(204563,10048058,'Heals caster for 167 - 204 every 2 seconds',100,1,2),
(204564,10048058,'Requires 178 Power to cast.',100,1,3),
(204565,111803,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(204566,111803,'Wipes most of the target''s memory of aggression',100,2,1),
(204567,111803,'Summons 6 limited pets to aid the caster',100,1,2),
(204568,10111803,'Applies Distract on termination.',100,1,0),
(204569,10111803,'Forces target to clear their selected target.',100,2,1),
(204570,10111803,'Summons 6 limited pets to aid the caster',100,1,2),
(204571,106348,'Decreases Mitigation of target vs arcane damage by 506',100,1,0),
(204572,106348,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(204573,106348,'Slows target by 38.1%',100,2,2),
(204574,106348,'5% chance to dispel when target receives hostile action',100,2,3),
(204575,106348,'5% chance to dispel when target takes damage',100,2,4),
(204576,10106348,'Decreases Mitigation of target vs arcane damage by 506',100,1,0),
(204577,10106348,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(204578,10106348,'Slows target by 38.1%',100,2,2),
(204579,10106348,'5% chance to dispel when target receives hostile action',100,2,3),
(204580,10106348,'5% chance to dispel when target takes damage',100,2,4),
(204581,123972,'Inflicts 357 - 596 melee damage on target',100,1,0),
(204582,123972,'Decreases AGI of target by 32.3',100,1,1),
(204583,123972,'Must be behind',100,1,2),
(204584,10123972,'Inflicts 465 - 775 melee damage on target',100,1,0),
(204585,10123972,'Decreases AGI of target by 32.3',100,1,1),
(204586,10123972,'Must be behind',100,1,2),
(204587,123353,'Heals group members (AE) for 108 - 132',100,1,0),
(204588,10123353,'Heals group members (AE) for 131 - 160',100,1,0),
(204589,107355,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(204590,107355,'Increases Threat to target by 279 ',100,2,1),
(204591,10107355,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(204592,10107355,'Inflicts 82 - 90 crushing damage on target',100,2,1),
(204593,179217,'When Equipped:',100,0,0),
(204594,179217,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(204595,179217,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(204596,179217,'Must not be engaged in pvp combat',100,2,3),
(204597,179217,'Cannot be modified except by direct means',100,2,4),
(204598,179217,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(204599,179217,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(204600,179217,'Must not be engaged in pvp combat',100,2,7),
(204601,179217,'Cannot be modified except by direct means',100,2,8),
(204602,179217,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(204603,179217,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(204604,179217,'Must not be engaged in pvp combat',100,2,11),
(204605,179217,'Cannot be modified except by direct means',100,2,12),
(204606,179217,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(204607,179217,'Inflicts 20 piercing damage on target',100,2,14),
(204608,179217,'Must not be engaged in pvp combat',100,2,15),
(204609,179217,'Cannot be modified except by direct means',100,2,16),
(204610,10179217,'When Equipped:',100,0,0),
(204611,10179217,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(204612,10179217,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(204613,10179217,'Must not be engaged in pvp combat',100,2,3),
(204614,10179217,'Cannot be modified except by direct means',100,2,4),
(204615,10179217,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(204616,10179217,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(204617,10179217,'Must not be engaged in pvp combat',100,2,7),
(204618,10179217,'Cannot be modified except by direct means',100,2,8),
(204619,10179217,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(204620,10179217,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(204621,10179217,'Must not be engaged in pvp combat',100,2,11),
(204622,10179217,'Cannot be modified except by direct means',100,2,12),
(204623,10179217,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(204624,10179217,'Inflicts 26 piercing damage on target',100,2,14),
(204625,10179217,'Must not be engaged in pvp combat',100,2,15),
(204626,10179217,'Cannot be modified except by direct means',100,2,16),
(204627,40320,'When Equipped:',100,0,0),
(204628,40320,'On a ranged hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204629,40320,'Inflicts 1060 slashing damage on target',100,2,2),
(204630,40320,'Cannot be modified except by direct means',100,2,3),
(204631,10040320,'When Equipped:',100,0,0),
(204632,10040320,'On a ranged hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204633,10040320,'Inflicts 1378 slashing damage on target',100,2,2),
(204634,10040320,'Cannot be modified except by direct means',100,2,3),
(204635,82018,'When Equipped:',100,0,0),
(204636,82018,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204637,82018,'Inflicts 212 - 393 magic damage on target',100,2,2),
(204638,82018,'Cannot be modified except by direct means',100,2,3),
(204639,10082018,'When Equipped:',100,0,0),
(204640,10082018,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204641,10082018,'Inflicts 275 - 511 magic damage on target',100,2,2),
(204642,10082018,'Cannot be modified except by direct means',100,2,3),
(204643,115850,'Inflicts 238 - 397 mental damage on target encounter',100,1,0),
(204644,115850,'Interrupts target encounter',100,1,1),
(204645,10115850,'Inflicts 310 - 516 mental damage on target encounter',100,1,0),
(204646,10115850,'Interrupts target encounter',100,1,1),
(204647,119515,'Increases threat priority of target by 2 positions',100,1,0),
(204648,119515,'Stuns caster',100,1,1),
(204649,119515,'Decreases Defense and Parry of caster by 153.0',100,1,2),
(204650,119515,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(204651,119515,'Inflicts 1055 - 1758 piercing damage on target',100,2,4),
(204652,119515,'Grants a total of 1 trigger of the spell.',100,2,5),
(204653,10119515,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(204654,10119515,'Prevents target from changing targets',100,2,1),
(204655,10119515,'Forces target to change their selected target to caster.',100,2,2),
(204656,10119515,'Stuns caster',100,1,3),
(204657,10119515,'Decreases Defense and Parry of caster by 153.0',100,1,4),
(204658,10119515,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(204659,10119515,'Inflicts 978 - 1631 piercing damage on target',100,2,6),
(204660,10119515,'Grants a total of 1 trigger of the spell.',100,2,7),
(204661,81126,'When Equipped:',100,0,0),
(204662,81126,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204663,81126,'Inflicts 203 - 377 magic damage on target',100,2,2),
(204664,81126,'Cannot be modified except by direct means',100,2,3),
(204665,10081126,'When Equipped:',100,0,0),
(204666,10081126,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204667,10081126,'Inflicts 264 - 490 magic damage on target',100,2,2),
(204668,10081126,'Cannot be modified except by direct means',100,2,3),
(204669,159452,'Applies Lambent Imbued when Equipped.',100,0,0),
(204670,159452,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(204671,159452,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(204672,159452,'Cannot be modified except by direct means',100,2,3),
(204673,10159452,'Applies Lambent Imbued when Equipped.',100,0,0),
(204674,10159452,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(204675,10159452,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(204676,10159452,'Cannot be modified except by direct means',100,2,3),
(204677,119536,'Increases threat priority of target by 2 positions',100,1,0),
(204678,119536,'Stuns caster',100,1,1),
(204679,119536,'Decreases Defense and Parry of caster by 399.0',100,1,2),
(204680,119536,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(204681,119536,'Inflicts 3348 - 5579 piercing damage on target',100,2,4),
(204682,119536,'Grants a total of 1 trigger of the spell.',100,2,5),
(204683,10119536,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(204684,10119536,'Prevents target from changing targets',100,2,1),
(204685,10119536,'Forces target to change their selected target to caster.',100,2,2),
(204686,10119536,'Stuns caster',100,1,3),
(204687,10119536,'Decreases Defense and Parry of caster by 399.0',100,1,4),
(204688,10119536,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(204689,10119536,'Inflicts 3106 - 5176 piercing damage on target',100,2,6),
(204690,10119536,'Grants a total of 1 trigger of the spell.',100,2,7),
(204691,102409,'Inflicts 766 - 1422 melee damage on targets in area',100,1,0),
(204692,10102409,'Inflicts 995 - 1849 melee damage on targets in area',100,1,0),
(204693,123726,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(204694,10123726,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(204695,120000,'Increases Threat to target by 774 - 946 ',100,1,0),
(204696,10120000,'Prevents target from changing targets',100,1,0),
(204697,10120000,'Forces target to change their selected target to caster.',100,1,1),
(204698,123081,'Summons a pet undead knight',100,1,0),
(204699,10123081,'Summons a pet undead knight',100,1,0),
(204700,86026,'When Equipped:',100,0,0),
(204701,86026,'On a combat hit this spell will cast Gnollbane on target of attack.  ',100,1,1),
(204702,86026,'Inflicts 11 - 20 magic damage on target',100,2,2),
(204703,86026,'If target is gnoll',100,2,3),
(204704,86026,'Cannot be modified except by direct means',100,2,4),
(204705,10086026,'When Equipped:',100,0,0),
(204706,10086026,'On a combat hit this spell will cast Gnollbane on target of attack.  ',100,1,1),
(204707,10086026,'Inflicts 14 - 26 magic damage on target',100,2,2),
(204708,10086026,'If target is gnoll',100,2,3),
(204709,10086026,'Cannot be modified except by direct means',100,2,4),
(204710,36030,'Increases WIS of target by 1.5',100,0,0),
(204711,36030,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(204712,122829,'Inflicts 463 - 772 ranged damage on target',100,1,0),
(204713,122829,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(204714,122829,'Increases Hate Gain of target by 30.0%',100,2,2),
(204715,122829,'Grants a total of 1 trigger of the spell.',100,2,3),
(204716,122829,'Requires bow',100,1,4),
(204717,10122829,'Inflicts 394 - 657 ranged damage on target',100,1,0),
(204718,10122829,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(204719,10122829,'Grants a total of 1 trigger of the spell.',100,2,2),
(204720,10122829,'Requires bow',100,1,3),
(204721,82463,'When Equipped:',100,0,0),
(204722,82463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204723,82463,'Inflicts 234 - 434 magic damage on target',100,2,2),
(204724,82463,'Cannot be modified except by direct means',100,2,3),
(204725,10082463,'When Equipped:',100,0,0),
(204726,10082463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204727,10082463,'Inflicts 304 - 564 magic damage on target',100,2,2),
(204728,10082463,'Cannot be modified except by direct means',100,2,3),
(204729,107274,'Inflicts 272 - 453 ranged damage on target',100,1,0),
(204730,107274,'Inflicts 272 - 453 ranged damage on target',100,1,1),
(204731,107274,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(204732,107274,'Stuns target',100,2,3),
(204733,107274,'Throws target back',100,2,4),
(204734,107274,'Blurs vision of target',100,2,5),
(204735,107274,'Does not affect Epic targets',100,2,6),
(204736,107274,'If weapon equipped in Ranged',100,1,7),
(204737,10107274,'Inflicts 231 - 385 ranged damage on target',100,1,0),
(204738,10107274,'Inflicts 231 - 385 ranged damage on target',100,1,1),
(204739,10107274,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(204740,10107274,'Stuns target',100,2,3),
(204741,10107274,'Throws target back',100,2,4),
(204742,10107274,'Blurs vision of target',100,2,5),
(204743,10107274,'Does not affect Epic targets',100,2,6),
(204744,10107274,'If weapon equipped in Ranged',100,1,7),
(204745,81513,'When Equipped:',100,0,0),
(204746,81513,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204747,81513,'Inflicts 167 - 311 magic damage on target',100,2,2),
(204748,81513,'Cannot be modified except by direct means',100,2,3),
(204749,10081513,'When Equipped:',100,0,0),
(204750,10081513,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204751,10081513,'Inflicts 217 - 404 magic damage on target',100,2,2),
(204752,10081513,'Cannot be modified except by direct means',100,2,3),
(204753,116070,'Inflicts 36 - 53 magic damage on target',100,1,0),
(204754,116070,'Inflicts 8 - 12 magic damage on target every 4 seconds',100,1,1),
(204755,10116070,'Inflicts 46 - 70 magic damage on target',100,1,0),
(204756,10116070,'Inflicts 10 - 16 magic damage on target every 4 seconds',100,1,1),
(204757,120137,'Decreases STR and INT of target by 47.9',100,1,0),
(204758,120137,'Increases STR and INT of caster by 47.9',100,1,1),
(204759,10120137,'Decreases STR and INT of target by 47.9',100,1,0),
(204760,10120137,'Increases STR and INT of caster by 47.9',100,1,1),
(204761,36258,'Increases WIS of target by 4.3',100,0,0),
(204762,36258,'Increases outgoing heal and ward amount by 1.5%',100,0,1),
(204763,36258,'Increases STA of target by 4.3',100,0,2),
(204764,36258,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,3),
(204765,138636,'When Equipped:',100,0,0),
(204766,138636,'On a combat hit this spell may cast Aggravate I on target of attack.  Triggers about 0.8 times per minute. ',100,1,1),
(204767,138636,'Increases Threat to target by 600 ',100,2,2),
(204768,138636,'Cannot be modified except by direct means',100,2,3),
(204769,10138636,'When Equipped:',100,0,0),
(204770,10138636,'On a combat hit this spell may cast Aggravate I on target of attack.  Triggers about 0.8 times per minute. ',100,1,1),
(204771,10138636,'Cannot be modified except by direct means',100,2,2),
(204772,101494,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(204773,101494,'Increases Mitigation of group members (AE) vs arcane damage by 1023',100,1,1),
(204774,10101494,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(204775,10101494,'Increases Mitigation of group members (AE) vs arcane damage by 1023',100,1,1),
(204776,159507,'When Equipped:',100,0,0),
(204777,159507,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(204778,159507,'Increases AGI of caster by 5.8',100,2,2),
(204779,159507,'Increases Attack Speed of caster by 11.5',100,2,3),
(204780,159507,'Cannot be modified except by direct means',100,2,4),
(204781,10159507,'When Equipped:',100,0,0),
(204782,10159507,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(204783,10159507,'Increases AGI of caster by 5.8',100,2,2),
(204784,10159507,'Increases Attack Speed of caster by 11.5',100,2,3),
(204785,10159507,'Cannot be modified except by direct means',100,2,4),
(204786,100454,'Inflicts 77 - 129 mental damage on target encounter',100,1,0),
(204787,10100454,'Inflicts 101 - 168 mental damage on target encounter',100,1,0),
(204788,113314,'Inflicts 376 - 627 heat damage on target',100,1,0),
(204789,10113314,'Inflicts 741 - 1235 heat damage on target',100,1,0),
(204790,54438,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(204791,54438,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(204792,54438,'Inflicts 91 heat damage on target',100,2,2),
(204793,54438,'Cannot be modified except by direct means',100,2,3),
(204794,10054438,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(204795,10054438,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(204796,10054438,'Inflicts 118 heat damage on target',100,2,2),
(204797,10054438,'Cannot be modified except by direct means',100,2,3),
(204798,146375,'Applies Summon Stormguard when Activated.  Lasts for 30.0 seconds.',100,0,0),
(204799,146375,'Summons a limited pet to aid the caster',100,1,1),
(204800,146375,'The casting time of Summon Stormguard is 2.0 seconds and the reuse time of the spell is 15 minutes',100,1,2),
(204801,146375,'Requires 152 Power to cast.',100,1,3),
(204802,10146375,'Applies Summon Stormguard when Activated.  Lasts for 30.0 seconds.',100,0,0),
(204803,10146375,'Summons a limited pet to aid the caster',100,1,1),
(204804,10146375,'The casting time of Summon Stormguard is 2.0 seconds and the reuse time of the spell is 15 minutes',100,1,2),
(204805,10146375,'Requires 152 Power to cast.',100,1,3),
(204806,117501,'Increases Attack Speed of target by 50.7',100,1,0),
(204807,10117501,'Increases Attack Speed of target by 50.7',100,1,0),
(204808,124235,'Decreases Attack Speed of caster by 17.9',100,1,0),
(204809,124235,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(204810,124235,'Slows targets in Area of Effect by 55.0%',100,2,2),
(204811,124235,'5% chance to dispel when target receives hostile action',100,2,3),
(204812,124235,'5% chance to dispel when target takes damage',100,2,4),
(204813,124235,'Increases Mitigation of caster vs physical damage by 995',100,1,5),
(204814,10124235,'Decreases Attack Speed of caster by 17.9',100,1,0),
(204815,10124235,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(204816,10124235,'Slows targets in Area of Effect by 41.2%',100,2,2),
(204817,10124235,'5% chance to dispel when target receives hostile action',100,2,3),
(204818,10124235,'5% chance to dispel when target takes damage',100,2,4),
(204819,10124235,'Increases Mitigation of caster vs physical damage by 995',100,1,5),
(204820,112636,'Inflicts 101 - 168 disease damage on target',100,1,0),
(204821,112636,'Inflicts 101 - 168 disease damage on target',100,1,1),
(204822,112636,'Roots target',100,1,2),
(204823,112636,'If Target is not Epic',100,2,3),
(204824,112636,'15% chance to dispel when target takes damage',100,1,4),
(204825,112636,'If weapon equipped in Ranged',100,1,5),
(204826,112636,'Resistibility increases against targets higher than level 59.',100,1,6),
(204827,10112636,'Inflicts 86 - 143 disease damage on target',100,1,0),
(204828,10112636,'Inflicts 86 - 143 disease damage on target',100,1,1),
(204829,10112636,'Roots target',100,1,2),
(204830,10112636,'If Target is not Epic',100,2,3),
(204831,10112636,'15% chance to dispel when target takes damage',100,1,4),
(204832,10112636,'If weapon equipped in Ranged',100,1,5),
(204833,10112636,'Resistibility increases against targets higher than level 59.',100,1,6),
(204834,173572,'When Equipped:',100,0,0),
(204835,173572,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(204836,173572,'Inflicts 1986 poison damage on target',100,2,2),
(204837,173572,'Cannot be modified except by direct means',100,2,3),
(204838,10173572,'When Equipped:',100,0,0),
(204839,10173572,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(204840,10173572,'Inflicts 1291 poison damage on target',100,2,2),
(204841,10173572,'Cannot be modified except by direct means',100,2,3),
(204842,47997,'Applies Shadowscale Drakota when Activated.',100,0,0),
(204843,47997,'Increases Crushing and Slashing of caster by 5.0',100,1,1),
(204844,47997,'Summons a mount to ride',100,1,2),
(204845,47997,'Increases your ground speed by 75%',100,2,3),
(204846,47997,'Increases your air speed by 150%',100,2,4),
(204847,47997,'Increases Focus, Subjugation, Ordination, Piercing, Disruption, Aggression, Ministration and Ranged of caster by 5.0',100,1,5),
(204848,10047997,'Applies Shadowscale Drakota when Activated.',100,0,0),
(204849,10047997,'Increases Crushing and Slashing of caster by 5.0',100,1,1),
(204850,10047997,'Summons a mount to ride',100,1,2),
(204851,10047997,'Increases your ground speed by 75%',100,2,3),
(204852,10047997,'Increases your air speed by 150%',100,2,4),
(204853,10047997,'Increases Focus, Subjugation, Ordination, Piercing, Disruption, Aggression, Ministration and Ranged of caster by 5.0',100,1,5),
(204854,121426,'Inflicts 3451 - 4217 ranged damage on targets in area',100,1,0),
(204855,10121426,'Inflicts 2933 - 3585 ranged damage on targets in area',100,1,0),
(204856,138343,'Applies Heroic Resistance X when Equipped.',100,0,0),
(204857,138343,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(204858,138343,'Cannot be modified except by direct means',100,1,2),
(204859,10138343,'Applies Heroic Resistance X when Equipped.',100,0,0),
(204860,10138343,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(204861,10138343,'Cannot be modified except by direct means',100,1,2),
(204862,122301,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(204863,122301,'Inflicts 249 - 305 mental damage on target',100,2,1),
(204864,122301,'Grants a total of 3 triggers of the spell.',100,2,2),
(204865,10122301,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(204866,10122301,'Inflicts 324 - 396 mental damage on target',100,2,1),
(204867,10122301,'Grants a total of 3 triggers of the spell.',100,2,2),
(204868,111715,'Inflicts 1642 - 2007 cold damage on target',100,1,0),
(204869,111715,'Inflicts 1642 - 2007 cold damage on target',100,1,1),
(204870,111715,'If target is elemental',100,2,2),
(204871,10111715,'Inflicts 1830 - 2236 cold damage on target',100,1,0),
(204872,119642,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(204873,119642,'Stuns target',100,2,1),
(204874,119642,'Throws target back',100,2,2),
(204875,119642,'Blurs vision of target',100,2,3),
(204876,119642,'Does not affect Epic targets',100,2,4),
(204877,119642,'Inflicts 52 - 158 melee damage on target',100,1,5),
(204878,10119642,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(204879,10119642,'Stuns target',100,2,1),
(204880,10119642,'Throws target back',100,2,2),
(204881,10119642,'Blurs vision of target',100,2,3),
(204882,10119642,'Does not affect Epic targets',100,2,4),
(204883,10119642,'Inflicts 68 - 205 melee damage on target',100,1,5),
(204884,122745,'Heals group members (AE) for 151 - 185',100,1,0),
(204885,122745,'Increases Max Health of group members (AE) by 21.0',100,1,1),
(204886,10122745,'Heals group members (AE) for 177 - 216',100,1,0),
(204887,10122745,'Increases Max Health of group members (AE) by 21.0',100,1,1),
(204888,104892,'Inflicts 272 - 453 magic damage on targets in area',100,1,0),
(204889,10104892,'Inflicts 353 - 589 magic damage on targets in area',100,1,0),
(204890,111146,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(204891,111146,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 610',100,1,1),
(204892,111146,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,2),
(204893,10111146,'Increases Max Health of group members (AE) by 189.1',100,1,0),
(204894,10111146,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 610',100,1,1),
(204895,10111146,'Increases Mitigation of group members (AE) vs physical damage by 361',100,1,2),
(204896,74579,'When Equipped:',100,0,0),
(204897,74579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204898,74579,'Inflicts 208 - 311 magic damage on target',100,2,2),
(204899,74579,'Cannot be modified except by direct means',100,2,3),
(204900,10074579,'When Equipped:',100,0,0),
(204901,10074579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(204902,10074579,'Inflicts 270 - 405 magic damage on target',100,2,2),
(204903,10074579,'Cannot be modified except by direct means',100,2,3),
(204904,103562,'Increases In-Combat Power Regeneration of group members (AE) by 48.8',100,1,0),
(204905,10103562,'Increases In-Combat Power Regeneration of group members (AE) by 48.8',100,1,0),
(204906,36171,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(204907,35026,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(204908,141780,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(204909,141780,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(204910,141780,'Heals target for 52 instantly and every 4 seconds',100,2,2),
(204911,141780,'Cannot be modified except by direct means',100,2,3),
(204912,10141780,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(204913,10141780,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(204914,10141780,'Heals target for 34 instantly and every 4 seconds',100,2,2),
(204915,10141780,'Cannot be modified except by direct means',100,2,3),
(204916,114580,'Inflicts 467 - 779 ranged damage on target',100,1,0),
(204917,114580,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(204918,114580,'Requires bow',100,1,2),
(204919,10114580,'Inflicts 493 - 822 ranged damage on target',100,1,0),
(204920,10114580,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(204921,10114580,'Requires bow',100,1,2),
(204922,120562,'Decreases Defense of target by 64.8',100,1,0),
(204923,10120562,'Decreases Defense of target by 64.8',100,1,0),
(204924,121024,'Increases AGI of target by 16.2',100,1,0),
(204925,121024,'Adds 0.7% to base avoidance.',100,1,1),
(204926,121024,'Increases In-Combat Power Regeneration of target by 8.1',100,1,2),
(204927,121024,'Increases Max Power of target by 99.0',100,1,3),
(204928,10121024,'Increases AGI of target by 16.2',100,1,0),
(204929,10121024,'Adds 0.7% to base avoidance.',100,1,1),
(204930,10121024,'Increases In-Combat Power Regeneration of target by 8.1',100,1,2),
(204931,10121024,'Increases Max Power of target by 99.0',100,1,3),
(204932,47650,'Applies Purification when Activated.',100,0,0),
(204933,47650,'Inflicts 1903 - 2326 divine damage on target',100,1,1),
(204934,47650,'If target is undead',100,1,2),
(204935,10047650,'Applies Purification when Activated.',100,0,0),
(204936,10047650,'Inflicts 2474 - 3024 divine damage on target',100,1,1),
(204937,10047650,'If target is undead',100,1,2),
(204938,35310,'Increases Max Power of target by 3.3',100,0,0),
(204939,35310,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(204940,102561,'Increases AGI of caster by 45.3',100,1,0),
(204941,102561,'Increases Max Health of caster by 131.1',100,1,1),
(204942,102561,'Adds 14.8% to base avoidance.',100,1,2),
(204943,102561,'Increases Mitigation of caster vs physical damage by 273',100,1,3),
(204944,102561,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(204945,10102561,'Increases AGI of caster by 45.3',100,1,0),
(204946,10102561,'Increases Max Health of caster by 131.1',100,1,1),
(204947,10102561,'Adds 14.8% to base avoidance.',100,1,2),
(204948,10102561,'Increases Mitigation of caster vs physical damage by 273',100,1,3),
(204949,10102561,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(204950,115433,'Inflicts 32 - 39 mental damage on target instantly and every 6 seconds',100,1,0),
(204951,115433,'Decreases Mitigation of target vs arcane damage by 251',100,1,1),
(204952,10115433,'Inflicts 41 - 50 mental damage on target instantly and every 6 seconds',100,1,0),
(204953,10115433,'Decreases Mitigation of target vs arcane damage by 251',100,1,1),
(204954,110667,'Heals target for 307',100,1,0),
(204955,110667,'Dispels 33 levels of any hostile effects on target',100,1,1),
(204956,10110667,'Heals target for 200',100,1,0),
(204957,10110667,'Dispels 33 levels of any hostile effects on target',100,1,1),
(204958,103356,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',100,1,0),
(204959,103356,'Decreases power of target by 6 instantly and every 6 seconds',100,1,1),
(204960,103356,'Increases power of caster by 19',100,1,2),
(204961,10103356,'Inflicts 31 - 38 mental damage on target instantly and every 6 seconds',100,1,0),
(204962,10103356,'Decreases power of target by 6 instantly and every 6 seconds',100,1,1),
(204963,10103356,'Increases power of caster by 19',100,1,2),
(204964,104370,'Summons a pet Child''s Play Cube',100,1,0),
(204965,10104370,'Summons a pet Child''s Play Cube',100,1,0),
(204966,51451,'When Equipped:',100,0,0),
(204967,51451,'On a hostile spell cast this spell may cast Life Flow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(204968,51451,'Heals group members for 571',100,2,2),
(204969,51451,'Cannot be modified except by direct means',100,2,3),
(204970,10051451,'When Equipped:',100,0,0),
(204971,10051451,'On a hostile spell cast this spell may cast Life Flow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(204972,10051451,'Heals group members for 371',100,2,2),
(204973,10051451,'Cannot be modified except by direct means',100,2,3),
(204974,138580,'When Equipped:',100,0,0),
(204975,138580,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,1),
(204976,138580,'Inflicts 435 disease damage on targets in Area of Effect',100,2,2),
(204977,138580,'Cannot be modified except by direct means',100,2,3),
(204978,138580,'Increases Burst effect damage by 33%.',100,1,4),
(204979,10138580,'When Equipped:',100,0,0),
(204980,10138580,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,1),
(204981,10138580,'Inflicts 566 disease damage on targets in Area of Effect',100,2,2),
(204982,10138580,'Cannot be modified except by direct means',100,2,3),
(204983,10138580,'Increases Burst effect damage by 33%.',100,1,4),
(204984,124804,'Increases STR of caster by 139.9',100,1,0),
(204985,124804,'Decreases Defense of caster by 22.2',100,1,1),
(204986,124804,'Increases Crushing, Piercing, Slashing and Disruption of caster by 40.0',100,1,2),
(204987,10124804,'Increases STR of caster by 139.9',100,1,0),
(204988,10124804,'Decreases Defense of caster by 22.2',100,1,1),
(204989,10124804,'Increases Crushing, Piercing, Slashing and Disruption of caster by 40.0',100,1,2),
(204990,185945,'When Equipped:',100,0,0),
(204991,185945,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204992,185945,'Increases Potency of caster by 7.0%',100,2,2),
(204993,185945,'Cannot be modified except by direct means',100,2,3),
(204994,10185945,'When Equipped:',100,0,0),
(204995,10185945,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(204996,10185945,'Increases Potency of caster by 7.0%',100,2,2),
(204997,10185945,'Cannot be modified except by direct means',100,2,3),
(204998,141734,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(204999,141734,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(205000,141734,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(205001,141734,'Cannot be modified except by direct means',100,2,3),
(205002,10141734,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(205003,10141734,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(205004,10141734,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(205005,10141734,'Cannot be modified except by direct means',100,2,3),
(205006,104487,'Decreases Mitigation of target encounter vs physical damage by 572',100,1,0),
(205007,10104487,'Decreases Mitigation of target encounter vs physical damage by 572',100,1,0),
(205008,114764,'Feigns Death with 66% chance of success',100,1,0),
(205009,10114764,'Feigns Death with 66% chance of success',100,1,0),
(205010,117616,'Inflicts 539 - 898 ranged damage on target',100,1,0),
(205011,117616,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(205012,117616,'Slows target by 57.3%',100,2,2),
(205013,117616,'5% chance to dispel when target receives hostile action',100,2,3),
(205014,117616,'5% chance to dispel when target takes damage',100,2,4),
(205015,117616,'Must be flanking or behind',100,1,5),
(205016,117616,'Requires bow',100,1,6),
(205017,10117616,'Inflicts 458 - 763 ranged damage on target',100,1,0),
(205018,10117616,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(205019,10117616,'Slows target by 57.3%',100,2,2),
(205020,10117616,'5% chance to dispel when target receives hostile action',100,2,3),
(205021,10117616,'5% chance to dispel when target takes damage',100,2,4),
(205022,10117616,'Must be flanking or behind',100,1,5),
(205023,10117616,'Requires bow',100,1,6),
(205024,104079,'Inflicts 288 - 480 mental damage on target',100,1,0),
(205025,104079,'Inflicts 288 - 480 mental damage on target',100,1,1),
(205026,10104079,'Inflicts 374 - 624 mental damage on target',100,1,0),
(205027,10104079,'Inflicts 374 - 624 mental damage on target',100,1,1),
(205028,114737,'Inflicts 1833 - 3056 melee damage on target',100,1,0),
(205029,114737,'You must be in stealth.',100,1,1),
(205030,10114737,'Inflicts 1420 - 2367 melee damage on target',100,1,0),
(205031,10114737,'You must be in stealth.',100,1,1),
(205032,24756,'Adds Windrider Curate to your Dungeon Maker toolbox',100,0,0),
(205033,10024756,'Adds Windrider Curate to your Dungeon Maker toolbox',100,0,0),
(205034,183306,'Applies Silence of the Grave when Activated.  Lasts for 30.0 seconds.',100,0,0),
(205035,183306,'On any combat or spell hit this spell may cast Grave Silence on target of attack.  Lasts for 6.0 seconds.  Triggers about 6.0 times per minute. ',100,1,1),
(205036,183306,'Stifles target',100,2,2),
(205037,183306,'If Target is not Epic',100,3,3),
(205038,183306,'If between levels 1 - 44',100,3,4),
(205039,183306,'Cannot be modified except by direct means',100,2,5),
(205040,183306,'The reuse time of Silence of the Grave is 20 minutes',100,1,6),
(205041,10183306,'Applies Silence of the Grave when Activated.  Lasts for 30.0 seconds.',100,0,0),
(205042,10183306,'On any combat or spell hit this spell may cast Grave Silence on target of attack.  Lasts for 4.5 seconds.  Triggers about 6.0 times per minute. ',100,1,1),
(205043,10183306,'Stifles target',100,2,2),
(205044,10183306,'If Target is not Epic',100,3,3),
(205045,10183306,'If between levels 1 - 44',100,3,4),
(205046,10183306,'Cannot be modified except by direct means',100,2,5),
(205047,10183306,'The reuse time of Silence of the Grave is 20 minutes',100,1,6),
(205048,111668,'Inflicts 848 - 1036 cold damage on target encounter',100,1,0),
(205049,111668,'Slows target encounter by 45.2%',100,1,1),
(205050,111668,'5% chance to dispel when target takes damage',100,1,2),
(205051,111668,'5% chance to dispel when target receives hostile action',100,1,3),
(205052,10111668,'Inflicts 1469 - 1796 cold damage on target encounter',100,1,0),
(205053,10111668,'Slows target encounter by 45.2%',100,1,1),
(205054,10111668,'5% chance to dispel when target takes damage',100,1,2),
(205055,10111668,'5% chance to dispel when target receives hostile action',100,1,3),
(205056,107758,'Stuns target',100,1,0),
(205057,107758,'If Target is not Epic',100,2,1),
(205058,107758,'Inflicts 645 - 1075 cold damage on target',100,1,2),
(205059,107758,'Resistibility increases against targets higher than level 73.',100,1,3),
(205060,10107758,'Stuns target',100,1,0),
(205061,10107758,'If Target is not Epic',100,2,1),
(205062,10107758,'Inflicts 838 - 1397 cold damage on target',100,1,2),
(205063,10107758,'Resistibility increases against targets higher than level 73.',100,1,3),
(205064,117322,'Roots target',100,1,0),
(205065,117322,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(205066,117322,'Slows target by 40.3%',100,2,2),
(205067,117322,'5% chance to dispel when target receives hostile action',100,2,3),
(205068,117322,'5% chance to dispel when target takes damage',100,2,4),
(205069,117322,'15% chance to dispel when target takes damage',100,1,5),
(205070,117322,'Does not affect Epic targets',100,1,6),
(205071,117322,'Resistibility increases against targets higher than level 62.',100,1,7),
(205072,10117322,'Roots target',100,1,0),
(205073,10117322,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(205074,10117322,'Slows target by 40.3%',100,2,2),
(205075,10117322,'10% chance to dispel when target receives hostile action',100,2,3),
(205076,10117322,'10% chance to dispel when target takes damage',100,2,4),
(205077,10117322,'15% chance to dispel when target takes damage',100,1,5),
(205078,10117322,'Does not affect Epic targets',100,1,6),
(205079,10117322,'Resistibility increases against targets higher than level 62.',100,1,7),
(205080,122082,'Increases STA and INT of group members (AE) by 28.3',100,1,0),
(205081,10122082,'Increases STA and INT of group members (AE) by 28.3',100,1,0),
(205082,109163,'Roots target',100,1,0),
(205083,109163,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(205084,109163,'Dazes target',100,2,2),
(205085,109163,'Blurs vision of target',100,2,3),
(205086,109163,'Dispelled when target takes damage',100,2,4),
(205087,109163,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(205088,109163,'5% chance to dispel when target takes damage',100,1,6),
(205089,109163,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,7),
(205090,109163,'Resistibility increases against targets higher than level 48.',100,1,8),
(205091,10109163,'Roots target',100,1,0),
(205092,10109163,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(205093,10109163,'Dazes target',100,2,2),
(205094,10109163,'Blurs vision of target',100,2,3),
(205095,10109163,'Dispelled when target takes damage',100,2,4),
(205096,10109163,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(205097,10109163,'5% chance to dispel when target takes damage',100,1,6),
(205098,10109163,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(205099,10109163,'Resistibility increases against targets higher than level 48.',100,1,8),
(205100,100702,'Dispels 120 levels of any hostile effects on target',100,1,0),
(205101,100702,'Dispels 120 levels of hostile Fear effects on target',100,1,1),
(205102,100702,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(205103,100702,'Makes target immune to Fear effects',100,3,3),
(205104,100702,'Dispels 120 levels of hostile Daze effects on target',100,1,4),
(205105,100702,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(205106,100702,'Makes target immune to Daze effects',100,3,6),
(205107,100702,'Dispels 120 levels of hostile Root effects on target',100,1,7),
(205108,100702,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(205109,100702,'Makes target immune to Root effects',100,3,9),
(205110,100702,'Dispels 120 levels of hostile Stifle effects on target',100,1,10),
(205111,100702,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(205112,100702,'Makes target immune to Stifle effects',100,3,12),
(205113,100702,'Dispels 120 levels of hostile Stun effects on target',100,1,13),
(205114,100702,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(205115,100702,'Makes target immune to Stun effects',100,3,15),
(205116,10100702,'Dispels 120 levels of any hostile effects on target',100,1,0),
(205117,10100702,'Dispels 120 levels of hostile Fear effects on target',100,1,1),
(205118,10100702,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(205119,10100702,'Makes target immune to Fear effects',100,3,3),
(205120,10100702,'Dispels 120 levels of hostile Daze effects on target',100,1,4),
(205121,10100702,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(205122,10100702,'Makes target immune to Daze effects',100,3,6),
(205123,10100702,'Dispels 120 levels of hostile Root effects on target',100,1,7),
(205124,10100702,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(205125,10100702,'Makes target immune to Root effects',100,3,9),
(205126,10100702,'Dispels 120 levels of hostile Stifle effects on target',100,1,10),
(205127,10100702,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(205128,10100702,'Makes target immune to Stifle effects',100,3,12),
(205129,10100702,'Dispels 120 levels of hostile Stun effects on target',100,1,13),
(205130,10100702,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(205131,10100702,'Makes target immune to Stun effects',100,3,15),
(205132,54392,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(205133,54392,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(205134,54392,'Inflicts 30 heat damage on target',100,2,2),
(205135,54392,'Cannot be modified except by direct means',100,2,3),
(205136,10054392,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(205137,10054392,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(205138,10054392,'Inflicts 39 heat damage on target',100,2,2),
(205139,10054392,'Cannot be modified except by direct means',100,2,3),
(205140,108490,'Prevents AOE (except when direct) ',100,1,0),
(205141,108490,'Stuns target',100,1,1),
(205142,108490,'Dispelled when target takes damage',100,1,2),
(205143,108490,'Does not affect Epic targets',100,1,3),
(205144,108490,'Resistibility increases against targets higher than level 39.',100,1,4),
(205145,10108490,'Prevents AOE (except when direct) ',100,1,0),
(205146,10108490,'Stuns target',100,1,1),
(205147,10108490,'Dispelled when target takes damage',100,1,2),
(205148,10108490,'Does not affect Epic targets',100,1,3),
(205149,10108490,'Resistibility increases against targets higher than level 39.',100,1,4),
(205150,189156,'When Equipped:',100,0,0),
(205151,189156,'Reduces physical damage done to target by 3%',100,1,1),
(205152,10189156,'When Equipped:',100,0,0),
(205153,10189156,'Reduces physical damage done to target by 3%',100,1,1),
(205154,36624,'Increases Max Power of target by 3.3',100,0,0),
(205155,36624,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(205156,80778,'When Equipped:',100,0,0),
(205157,80778,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205158,80778,'Inflicts 230 - 426 magic damage on target',100,2,2),
(205159,80778,'Cannot be modified except by direct means',100,2,3),
(205160,10080778,'When Equipped:',100,0,0),
(205161,10080778,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205162,10080778,'Inflicts 298 - 554 magic damage on target',100,2,2),
(205163,10080778,'Cannot be modified except by direct means',100,2,3),
(205164,101285,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(205165,101285,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,1),
(205166,10101285,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(205167,10101285,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,1),
(205168,54932,'When Equipped:',100,0,0),
(205169,54932,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(205170,54932,'Heals group members (AE) for 871',100,2,2),
(205171,54932,'Heals group members (AE) for 290 every 5 seconds',100,2,3),
(205172,54932,'Must not be engaged in pvp combat',100,2,4),
(205173,54932,'Cannot be modified except by direct means',100,2,5),
(205174,54932,'Must not be engaged in pvp combat',100,1,6),
(205175,10054932,'When Equipped:',100,0,0),
(205176,10054932,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(205177,10054932,'Heals group members (AE) for 1019',100,2,2),
(205178,10054932,'Heals group members (AE) for 340 every 5 seconds',100,2,3),
(205179,10054932,'Must not be engaged in pvp combat',100,2,4),
(205180,10054932,'Cannot be modified except by direct means',100,2,5),
(205181,10054932,'Must not be engaged in pvp combat',100,1,6),
(205182,82884,'When Equipped:',100,0,0),
(205183,82884,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205184,82884,'Inflicts 350 - 650 magic damage on target',100,2,2),
(205185,82884,'Decreases Threat to target by 833 ',100,2,3),
(205186,82884,'Must be flanking or behind',100,3,4),
(205187,82884,'Increases Threat to target by 833 ',100,2,5),
(205188,82884,'Must be in front of',100,3,6),
(205189,82884,'Cannot be modified except by direct means',100,2,7),
(205190,10082884,'When Equipped:',100,0,0),
(205191,10082884,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205192,10082884,'Inflicts 455 - 845 magic damage on target',100,2,2),
(205193,10082884,'Cannot be modified except by direct means',100,2,3),
(205194,116612,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(205195,116612,'Increases Mitigation of group members (AE) vs arcane damage by 122',100,1,1),
(205196,10116612,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(205197,10116612,'Increases Mitigation of group members (AE) vs arcane damage by 122',100,1,1),
(205198,122103,'Increases STA and INT of group members (AE) by 77.9',100,1,0),
(205199,10122103,'Increases STA and INT of group members (AE) by 77.9',100,1,0),
(205200,177688,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(205201,177688,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(205202,177688,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(205203,177688,'Cannot be modified except by direct means',100,2,3),
(205204,10177688,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(205205,10177688,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(205206,10177688,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(205207,10177688,'Cannot be modified except by direct means',100,2,3),
(205208,120493,'Inflicts 98 - 163 melee damage on target',100,1,0),
(205209,120493,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(205210,120493,'Grants stealth to caster',100,2,2),
(205211,120493,'Suspends caster''s movement speed enhancements',100,2,3),
(205212,120493,'Must be flanking or behind',100,1,4),
(205213,10120493,'Inflicts 127 - 212 melee damage on target',100,1,0),
(205214,10120493,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(205215,10120493,'Grants stealth to caster',100,2,2),
(205216,10120493,'Suspends caster''s movement speed enhancements',100,2,3),
(205217,10120493,'Must be flanking or behind',100,1,4),
(205218,114040,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(205219,114040,'Heals target for 56 instantly and every 2 seconds',100,2,1),
(205220,114040,'Decreases Mitigation of target vs arcane damage by 1083',100,1,2),
(205221,10114040,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(205222,10114040,'Heals target for 181 instantly and every 2 seconds',100,2,1),
(205223,10114040,'Decreases Mitigation of target vs arcane damage by 1083',100,1,2),
(205224,158820,'When Equipped:',100,0,0),
(205225,158820,'When any damage is received this spell has a 5% chance to cast Panic on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(205226,158820,'Makes target afraid',100,2,2),
(205227,158820,'25% chance to dispel when target takes damage',100,2,3),
(205228,158820,'25% chance to dispel when target receives hostile action',100,2,4),
(205229,158820,'Does not affect Epic targets',100,2,5),
(205230,158820,'Resistibility increases against targets higher than level 77.',100,2,6),
(205231,158820,'Cannot be modified except by direct means',100,2,7),
(205232,10158820,'When Equipped:',100,0,0),
(205233,10158820,'When any damage is received this spell has a 5% chance to cast Panic on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(205234,10158820,'Makes target afraid',100,2,2),
(205235,10158820,'25% chance to dispel when target takes damage',100,2,3),
(205236,10158820,'25% chance to dispel when target receives hostile action',100,2,4),
(205237,10158820,'Does not affect Epic targets',100,2,5),
(205238,10158820,'Resistibility increases against targets higher than level 77.',100,2,6),
(205239,10158820,'Cannot be modified except by direct means',100,2,7),
(205240,110799,'Inflicts 49 - 66 mental damage on target',100,1,0),
(205241,10110799,'Inflicts 63 - 85 mental damage on target',100,1,0),
(205242,101988,'Inflicts 2309 - 4289 heat damage on target',100,1,0),
(205243,10101988,'Inflicts 3002 - 5575 heat damage on target',100,1,0),
(205244,110286,'Decreases Mitigation of target vs arcane damage by 814',100,1,0),
(205245,110286,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(205246,110286,'Slows target by 41.1%',100,2,2),
(205247,110286,'5% chance to dispel when target receives hostile action',100,2,3),
(205248,110286,'5% chance to dispel when target takes damage',100,2,4),
(205249,10110286,'Decreases Mitigation of target vs arcane damage by 814',100,1,0),
(205250,10110286,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(205251,10110286,'Slows target by 41.1%',100,2,2),
(205252,10110286,'5% chance to dispel when target receives hostile action',100,2,3),
(205253,10110286,'5% chance to dispel when target takes damage',100,2,4),
(205254,36184,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(205255,36184,'Increases Ability Modifier of target by 50.0',100,0,1),
(205256,123011,'Wards group members (AE) collectively against 2556 total points of all damage',100,1,0),
(205257,10123011,'Wards group members (AE) collectively against 3808 total points of all damage',100,1,0),
(205258,112242,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(205259,112242,'Decreases power of target by 145',100,2,1),
(205260,112242,'Increases power of caster by 77',100,2,2),
(205261,10112242,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(205262,10112242,'Decreases power of target by 145',100,2,1),
(205263,10112242,'Increases power of caster by 62',100,2,2),
(205264,116287,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(205265,116287,'Inflicts 636 - 778 disease damage on caster',100,2,1),
(205266,116287,'Inflicts 212 - 259 disease damage on caster every 2 seconds',100,2,2),
(205267,116287,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(205268,116287,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(205269,116287,'Grants a total of 1 trigger of the spell.',100,3,5),
(205270,10116287,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(205271,10116287,'Inflicts 827 - 1011 disease damage on caster',100,2,1),
(205272,10116287,'Inflicts 276 - 337 disease damage on caster every 2 seconds',100,2,2),
(205273,10116287,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(205274,10116287,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(205275,10116287,'Grants a total of 1 trigger of the spell.',100,3,5),
(205276,45688,'Applies Kiston''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(205277,10045688,'Applies Kiston''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(205278,109505,'Inflicts 90 - 110 disease damage on target instantly and every 4 seconds',100,1,0),
(205279,109505,'Decreases Attack Speed of target by 9.8',100,1,1),
(205280,10109505,'Inflicts 117 - 144 disease damage on target instantly and every 4 seconds',100,1,0),
(205281,10109505,'Decreases Attack Speed of target by 9.8',100,1,1),
(205282,121747,'Causes 14% Threat to transfer to target when in combat',100,1,0),
(205283,10121747,'Applies Swarthy Distraction.',100,1,0),
(205284,10121747,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(205285,10121747,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(205286,112782,'Interrupts target',100,1,0),
(205287,112782,'Inflicts 629 - 1049 divine damage on target',100,1,1),
(205288,10112782,'Interrupts target',100,1,0),
(205289,10112782,'Inflicts 818 - 1364 divine damage on target',100,1,1),
(205290,72202,'When Equipped:',100,0,0),
(205291,72202,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205292,72202,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(205293,72202,'Cannot be modified except by direct means',100,2,3),
(205294,10072202,'When Equipped:',100,0,0),
(205295,10072202,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205296,10072202,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(205297,10072202,'Cannot be modified except by direct means',100,2,3),
(205298,117989,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(205299,117989,'Increases Damage Per Second of target by 22.8',100,2,1),
(205300,117989,'Increases Attack Speed of target by 22.8',100,2,2),
(205301,117989,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(205302,117989,'Increases Damage Per Second of target by 22.8',100,2,4),
(205303,117989,'Increases Attack Speed of target by 22.8',100,2,5),
(205304,117989,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(205305,117989,'Increases Damage Per Second of target by 22.8',100,2,7),
(205306,117989,'Increases Attack Speed of target by 22.8',100,2,8),
(205307,10117989,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(205308,10117989,'Increases Damage Per Second of target by 22.8',100,2,1),
(205309,10117989,'Increases Attack Speed of target by 22.8',100,2,2),
(205310,10117989,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(205311,10117989,'Increases Damage Per Second of target by 22.8',100,2,4),
(205312,10117989,'Increases Attack Speed of target by 22.8',100,2,5),
(205313,10117989,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(205314,10117989,'Increases Damage Per Second of target by 22.8',100,2,7),
(205315,10117989,'Increases Attack Speed of target by 22.8',100,2,8),
(205316,105242,'Decreases STR and INT of target by 84.7',100,1,0),
(205317,105242,'Only affects targets level 20 and above',100,1,1),
(205318,10105242,'Decreases STR and INT of target by 84.7',100,1,0),
(205319,10105242,'Only affects targets level 20 and above',100,1,1),
(205320,114221,'Inflicts 14 - 17 mental damage on target',100,1,0),
(205321,114221,'Stuns target',100,1,1),
(205322,114221,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(205323,114221,'Resistibility increases against targets higher than level 31.',100,1,3),
(205324,10114221,'Inflicts 18 - 22 mental damage on target',100,1,0),
(205325,10114221,'Requires not being affected by Mesmerize effects.',100,2,1),
(205326,10114221,'Stuns target',100,1,2),
(205327,10114221,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(205328,10114221,'Resistibility increases against targets higher than level 31.',100,1,4),
(205329,124536,'Dispels 51 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(205330,10124536,'Dispels 51 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(205331,114605,'Summon 1 Dark Heart (Master)',100,1,0),
(205332,114605,'Must not be engaged in combat',100,1,1),
(205333,10114605,'Summon 1 Dark Heart (Master)',100,1,0),
(205334,10114605,'Must not be engaged in combat',100,1,1),
(205335,139831,'When Equipped:',100,0,0),
(205336,139831,'Increases Attack Speed of caster by 30.0',100,1,1),
(205337,10139831,'When Equipped:',100,0,0),
(205338,10139831,'Increases Attack Speed of caster by 30.0',100,1,1),
(205339,159577,'Applies Sanguine Imbued when Equipped.',100,0,0),
(205340,159577,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(205341,159577,'Inflicts 34 heat damage on target',100,2,2),
(205342,159577,'Cannot be modified except by direct means',100,2,3),
(205343,10159577,'Applies Sanguine Imbued when Equipped.',100,0,0),
(205344,10159577,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(205345,10159577,'Inflicts 44 heat damage on target',100,2,2),
(205346,10159577,'Cannot be modified except by direct means',100,2,3),
(205347,112744,'Interrupts target',100,1,0),
(205348,112744,'Inflicts 11 - 19 divine damage on target',100,1,1),
(205349,10112744,'Interrupts target',100,1,0),
(205350,10112744,'Inflicts 15 - 25 divine damage on target',100,1,1),
(205351,37458,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(205352,123383,'Heals group members (AE) for 1293 - 1580',100,1,0),
(205353,10123383,'Heals group members (AE) for 1572 - 1922',100,1,0),
(205354,154405,'When Equipped:',100,0,0),
(205355,154405,'On a combat hit this spell may cast Greater Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(205356,154405,'Heals group members for 857',100,2,2),
(205357,154405,'Cannot be modified except by direct means',100,2,3),
(205358,10154405,'When Equipped:',100,0,0),
(205359,10154405,'On a combat hit this spell may cast Greater Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(205360,10154405,'Heals group members for 557',100,2,2),
(205361,10154405,'Cannot be modified except by direct means',100,2,3),
(205362,48854,'Applies Translucent Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(205363,48854,'Only affects targets level 50 and above',100,1,1),
(205364,10048854,'Applies Translucent Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(205365,10048854,'Only affects targets level 50 and above',100,1,1),
(205366,109524,'Inflicts 294 - 359 disease damage on target instantly and every 4 seconds',100,1,0),
(205367,109524,'Decreases Attack Speed of target by 10.6',100,1,1),
(205368,10109524,'Inflicts 382 - 467 disease damage on target instantly and every 4 seconds',100,1,0),
(205369,10109524,'Decreases Attack Speed of target by 10.6',100,1,1),
(205370,82793,'When Equipped:',100,0,0),
(205371,82793,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205372,82793,'Inflicts 365 - 678 magic damage on target',100,2,2),
(205373,82793,'Decreases Threat to target by 1,174 ',100,2,3),
(205374,82793,'Must be flanking or behind',100,3,4),
(205375,82793,'Increases Threat to target by 1,174 ',100,2,5),
(205376,82793,'Must be in front of',100,3,6),
(205377,82793,'Cannot be modified except by direct means',100,2,7),
(205378,10082793,'When Equipped:',100,0,0),
(205379,10082793,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205380,10082793,'Inflicts 474 - 881 magic damage on target',100,2,2),
(205381,10082793,'Cannot be modified except by direct means',100,2,3),
(205382,159523,'Applies Sanguine Imbued when Equipped.',100,0,0),
(205383,159523,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(205384,159523,'Inflicts 291 heat damage on target',100,2,2),
(205385,159523,'Cannot be modified except by direct means',100,2,3),
(205386,10159523,'Applies Sanguine Imbued when Equipped.',100,0,0),
(205387,10159523,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(205388,10159523,'Inflicts 379 heat damage on target',100,2,2),
(205389,10159523,'Cannot be modified except by direct means',100,2,3),
(205390,71821,'When Equipped:',100,0,0),
(205391,71821,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205392,71821,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(205393,71821,'Cannot be modified except by direct means',100,2,3),
(205394,10071821,'When Equipped:',100,0,0),
(205395,10071821,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205396,10071821,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(205397,10071821,'Cannot be modified except by direct means',100,2,3),
(205398,187444,'When Equipped:',100,0,0),
(205399,187444,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(205400,10187444,'When Equipped:',100,0,0),
(205401,10187444,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(205402,103967,'Interrupts targets in Area of Effect',100,1,0),
(205403,103967,'Inflicts 28 - 51 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(205404,10103967,'Interrupts targets in Area of Effect',100,1,0),
(205405,10103967,'Inflicts 36 - 67 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(205406,74889,'When Equipped:',100,0,0),
(205407,74889,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205408,74889,'Inflicts 169 - 254 magic damage on target',100,2,2),
(205409,74889,'Cannot be modified except by direct means',100,2,3),
(205410,10074889,'When Equipped:',100,0,0),
(205411,10074889,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205412,10074889,'Inflicts 220 - 330 magic damage on target',100,2,2),
(205413,10074889,'Cannot be modified except by direct means',100,2,3),
(205414,158433,'When Equipped:',100,0,0),
(205415,158433,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(205416,158433,'This effect suspends during combat',100,1,2),
(205417,10158433,'When Equipped:',100,0,0),
(205418,10158433,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(205419,10158433,'This effect suspends during combat',100,1,2),
(205420,116330,'Stuns target',100,1,0),
(205421,116330,'If Target is not Epic',100,2,1),
(205422,116330,'Inflicts 1018 - 1245 magic damage on target',100,1,2),
(205423,116330,'Resistibility increases against targets higher than level 121.',100,1,3),
(205424,10116330,'Stuns target',100,1,0),
(205425,10116330,'If Target is not Epic',100,2,1),
(205426,10116330,'Inflicts 1324 - 1618 magic damage on target',100,1,2),
(205427,10116330,'Resistibility increases against targets higher than level 121.',100,1,3),
(205428,46098,'Applies Elixir of Purity when Activated.  Lasts for 30 minutes.',100,0,0),
(205429,46098,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(205430,10046098,'Applies Elixir of Purity when Activated.  Lasts for 30 minutes.',100,0,0),
(205431,10046098,'Increases Mitigation of caster vs noxious damage by 100',100,1,1),
(205432,52831,'Applies Sanguine Imbued when Equipped.',100,0,0),
(205433,52831,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(205434,52831,'Inflicts 151 heat damage on target',100,2,2),
(205435,52831,'Cannot be modified except by direct means',100,2,3),
(205436,10052831,'Applies Sanguine Imbued when Equipped.',100,0,0),
(205437,10052831,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(205438,10052831,'Inflicts 197 heat damage on target',100,2,2),
(205439,10052831,'Cannot be modified except by direct means',100,2,3),
(205440,103820,'Increases Ability Casting Speed of raid and group members (AE) by 4.0%',100,1,0),
(205441,103820,'Increases Attack Speed of raid and group members (AE) by 10.1',100,1,1),
(205442,10103820,'Increases Ability Casting Speed of raid and group members (AE) by 4.0%',100,1,0),
(205443,10103820,'Increases Attack Speed of raid and group members (AE) by 10.1',100,1,1),
(205444,123658,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(205445,123658,'Slows target by 41.8%',100,2,1),
(205446,123658,'5% chance to dispel when target receives hostile action',100,2,2),
(205447,123658,'5% chance to dispel when target takes damage',100,2,3),
(205448,123658,'Inflicts 393 - 480 cold damage on target',100,1,4),
(205449,10123658,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(205450,10123658,'Slows target by 41.8%',100,2,1),
(205451,10123658,'5% chance to dispel when target receives hostile action',100,2,2),
(205452,10123658,'5% chance to dispel when target takes damage',100,2,3),
(205453,10123658,'Inflicts 438 - 535 cold damage on target',100,1,4),
(205454,115907,'Inflicts 79 - 96 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(205455,10115907,'Inflicts 133 - 163 disease damage on target encounter',100,1,0),
(205456,10115907,'Inflicts 103 - 125 disease damage on target encounter every 3 seconds',100,1,1),
(205457,107297,'Decreases WIS of target by 8.2',100,1,0),
(205458,107297,'Decreases Defense of target by 2.6',100,1,1),
(205459,10107297,'Decreases WIS of target by 8.2',100,1,0),
(205460,10107297,'Decreases Defense of target by 2.6',100,1,1),
(205461,106682,'Heals caster for 49.1 - 60.1% of max health',100,1,0),
(205462,106682,'This effect cannot be critically applied.',100,2,1),
(205463,106682,'Increases Max Health of caster by 661.9',100,1,2),
(205464,106682,'The healing of this spell cannot be modified except by direct means',100,1,3),
(205465,10106682,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(205466,10106682,'This effect cannot be critically applied.',100,2,1),
(205467,10106682,'Increases Max Health of caster by 661.9',100,1,2),
(205468,10106682,'The healing of this spell cannot be modified except by direct means',100,1,3),
(205469,46944,'Applies Middling Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(205470,46944,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(205471,46944,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(205472,46944,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(205473,46944,'Cannot be modified except by direct means',100,2,4),
(205474,46944,'Grants a total of 80 triggers of the spell.',100,2,5),
(205475,46944,'Only affects targets level 50 and above',100,1,6),
(205476,10046944,'Applies Middling Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(205477,10046944,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(205478,10046944,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(205479,10046944,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(205480,10046944,'Cannot be modified except by direct means',100,2,4),
(205481,10046944,'Grants a total of 80 triggers of the spell.',100,2,5),
(205482,10046944,'Only affects targets level 50 and above',100,1,6),
(205483,74951,'When Equipped:',100,0,0),
(205484,74951,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205485,74951,'Inflicts 208 - 311 magic damage on target',100,2,2),
(205486,74951,'Cannot be modified except by direct means',100,2,3),
(205487,10074951,'When Equipped:',100,0,0),
(205488,10074951,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205489,10074951,'Inflicts 270 - 405 magic damage on target',100,2,2),
(205490,10074951,'Cannot be modified except by direct means',100,2,3),
(205491,81070,'When Equipped:',100,0,0),
(205492,81070,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205493,81070,'Inflicts 203 - 377 magic damage on target',100,2,2),
(205494,81070,'Cannot be modified except by direct means',100,2,3),
(205495,10081070,'When Equipped:',100,0,0),
(205496,10081070,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205497,10081070,'Inflicts 264 - 490 magic damage on target',100,2,2),
(205498,10081070,'Cannot be modified except by direct means',100,2,3),
(205499,35522,'Increases STA and AGI of target by 1.1',100,0,0),
(205500,35522,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(205501,119496,'Dazes target encounter',100,1,0),
(205502,119496,'If Target is not Epic',100,2,1),
(205503,119496,'Inflicts 361 - 442 magic damage on target encounter instantly and every second',100,1,2),
(205504,119496,'Resistibility increases against targets higher than level 96.',100,1,3),
(205505,10119496,'Inflicts 618 - 756 magic damage on target encounter',100,1,0),
(205506,10119496,'Inflicts 470 - 574 magic damage on target encounter every second',100,1,1),
(205507,10119496,'Dazes target encounter',100,1,2),
(205508,10119496,'If Target is not Epic',100,2,3),
(205509,10119496,'Resistibility increases against targets higher than level 96.',100,1,4),
(205510,107126,'Inflicts 183 - 224 divine damage on target',100,1,0),
(205511,107126,'Inflicts 183 - 224 divine damage on target',100,1,1),
(205512,107126,'If target is undead',100,2,2),
(205513,10107126,'Inflicts 238 - 291 divine damage on target',100,1,0),
(205514,10107126,'Inflicts 238 - 291 divine damage on target',100,1,1),
(205515,119696,'Increases Threat to target encounter by 300 - 367 ',100,1,0),
(205516,10119696,'Prevents target encounter from changing targets',100,1,0),
(205517,10119696,'Forces target encounter to change their selected target to caster.',100,1,1),
(205518,117921,'Increases In-Combat Health Regeneration of group members (AE) by 189.1',100,1,0),
(205519,117921,'Increases Max Health of group members (AE) by 971.2',100,1,1),
(205520,10117921,'Increases In-Combat Health Regeneration of group members (AE) by 189.1',100,1,0),
(205521,10117921,'Increases Max Health of group members (AE) by 971.2',100,1,1),
(205522,46919,'Applies Mesmerizing Song when Activated.',100,0,0),
(205523,46919,'You can only use this on Freeport denizens or residents.',100,1,1),
(205524,10046919,'Applies Mesmerizing Song when Activated.',100,0,0),
(205525,10046919,'You can only use this on Freeport denizens or residents.',100,1,1),
(205526,110855,'Summons a pet piglet',100,1,0),
(205527,10110855,'Summons a pet piglet',100,1,0),
(205528,48720,'Applies Elixir of Divine Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(205529,10048720,'Applies Elixir of Divine Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(205530,84127,'When Equipped:',100,0,0),
(205531,84127,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(205532,84127,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(205533,84127,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(205534,84127,'Must not be engaged in pvp combat',100,2,4),
(205535,84127,'Cannot be modified except by direct means',100,2,5),
(205536,84127,'When Equipped:',100,0,6),
(205537,84127,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(205538,84127,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,8),
(205539,84127,'Must not be engaged in pvp combat',100,2,9),
(205540,84127,'Cannot be modified except by direct means',100,2,10),
(205541,84127,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(205542,84127,'Cannot be modified except by direct means',100,1,12),
(205543,10084127,'When Equipped:',100,0,0),
(205544,10084127,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(205545,10084127,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(205546,10084127,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(205547,10084127,'Must not be engaged in pvp combat',100,2,4),
(205548,10084127,'Cannot be modified except by direct means',100,2,5),
(205549,10084127,'When Equipped:',100,0,6),
(205550,10084127,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(205551,10084127,'Inflicts 1407 - 1555 disease damage on target instantly and every 2 seconds',100,2,8),
(205552,10084127,'Must not be engaged in pvp combat',100,2,9),
(205553,10084127,'Cannot be modified except by direct means',100,2,10),
(205554,10084127,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(205555,10084127,'Cannot be modified except by direct means',100,1,12),
(205556,113968,'Decreases power of target encounter by 121 instantly and every 4 seconds',100,1,0),
(205557,113968,'Increases power of group members (AE) by 57 instantly and every 4 seconds',100,1,1),
(205558,10113968,'Decreases power of target encounter by 121 instantly and every 4 seconds',100,1,0),
(205559,10113968,'Increases power of group members (AE) by 57 instantly and every 4 seconds',100,1,1),
(205560,52704,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(205561,52704,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(205562,52704,'Inflicts 148 heat damage on target',100,2,2),
(205563,52704,'Cannot be modified except by direct means',100,2,3),
(205564,10052704,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(205565,10052704,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(205566,10052704,'Inflicts 193 heat damage on target',100,2,2),
(205567,10052704,'Cannot be modified except by direct means',100,2,3),
(205568,171067,'When Equipped:',100,0,0),
(205569,171067,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205570,171067,'Inflicts 1199 disease damage on target encounter',100,2,2),
(205571,171067,'Must not be engaged in pvp combat',100,2,3),
(205572,171067,'Cannot be modified except by direct means',100,2,4),
(205573,10171067,'When Equipped:',100,0,0),
(205574,10171067,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205575,10171067,'Inflicts 779 disease damage on target encounter',100,2,2),
(205576,10171067,'Must not be engaged in pvp combat',100,2,3),
(205577,10171067,'Cannot be modified except by direct means',100,2,4),
(205578,82763,'When Equipped:',100,0,0),
(205579,82763,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205580,82763,'Inflicts 365 - 678 magic damage on target',100,2,2),
(205581,82763,'Decreases Threat to target by 1,174 ',100,2,3),
(205582,82763,'Must be flanking or behind',100,3,4),
(205583,82763,'Increases Threat to target by 1,174 ',100,2,5),
(205584,82763,'Must be in front of',100,3,6),
(205585,82763,'Cannot be modified except by direct means',100,2,7),
(205586,10082763,'When Equipped:',100,0,0),
(205587,10082763,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205588,10082763,'Inflicts 474 - 881 magic damage on target',100,2,2),
(205589,10082763,'Cannot be modified except by direct means',100,2,3),
(205590,119818,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(205591,119818,'Adds 1.5% to base avoidance.',100,1,1),
(205592,10119818,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(205593,10119818,'Adds 1.5% to base avoidance.',100,1,1),
(205594,155041,'When Equipped:',100,0,0),
(205595,155041,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(205596,155041,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(205597,155041,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(205598,155041,'Must be classified as an undead',100,3,4),
(205599,155041,'Inflicts 562 mental damage on target',100,2,5),
(205600,155041,'Must be classified as an undead',100,3,6),
(205601,155041,'Inflicts 281 mental damage on target',100,2,7),
(205602,155041,'Must not be classified as an undead',100,3,8),
(205603,155041,'Cannot be modified except by direct means',100,2,9),
(205604,10155041,'When Equipped:',100,0,0),
(205605,10155041,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(205606,10155041,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(205607,10155041,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(205608,10155041,'Must be classified as an undead',100,3,4),
(205609,10155041,'Inflicts 731 mental damage on target',100,2,5),
(205610,10155041,'Must be classified as an undead',100,3,6),
(205611,10155041,'Inflicts 365 mental damage on target',100,2,7),
(205612,10155041,'Must not be classified as an undead',100,3,8),
(205613,10155041,'Cannot be modified except by direct means',100,2,9),
(205614,109538,'Summons a limited pet to aid the caster',100,1,0),
(205615,10109538,'Summons a limited pet to aid the caster',100,1,0),
(205616,108358,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(205617,108358,'Increases Mitigation of group members (AE) vs arcane damage by 550',100,1,1),
(205618,10108358,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(205619,10108358,'Increases Mitigation of group members (AE) vs arcane damage by 550',100,1,1),
(205620,100133,'Inflicts 40 - 48 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(205621,100133,'Decreases Mitigation of target encounter vs noxious damage by 304',100,1,1),
(205622,10100133,'Inflicts 51 - 63 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(205623,10100133,'Decreases Mitigation of target encounter vs noxious damage by 304',100,1,1),
(205624,50840,'When Equipped:',100,0,0),
(205625,50840,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(205626,50840,'Wards caster against 200 points of all damage',100,2,2),
(205627,50840,'Cannot be modified except by direct means',100,2,3),
(205628,50840,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(205629,10050840,'When Equipped:',100,0,0),
(205630,10050840,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(205631,10050840,'Wards caster against 200 points of all damage',100,2,2),
(205632,10050840,'Cannot be modified except by direct means',100,2,3),
(205633,10050840,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(205634,37066,'Increases STR of target by 1.5',100,0,0),
(205635,37066,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(205636,82380,'When Equipped:',100,0,0),
(205637,82380,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205638,82380,'Inflicts 167 - 311 magic damage on target',100,2,2),
(205639,82380,'Decreases Threat to target by 376 ',100,2,3),
(205640,82380,'Must be flanking or behind',100,3,4),
(205641,82380,'Increases Threat to target by 376 ',100,2,5),
(205642,82380,'Must be in front of',100,3,6),
(205643,82380,'Cannot be modified except by direct means',100,2,7),
(205644,10082380,'When Equipped:',100,0,0),
(205645,10082380,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205646,10082380,'Inflicts 217 - 404 magic damage on target',100,2,2),
(205647,10082380,'Cannot be modified except by direct means',100,2,3),
(205648,24566,'Adds Mummy (Guardian) to your Dungeon Maker toolbox',100,0,0),
(205649,10024566,'Adds Mummy (Guardian) to your Dungeon Maker toolbox',100,0,0),
(205650,101239,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(205651,101239,'Inflicts 58 - 96 mental damage on target',100,2,1),
(205652,10101239,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(205653,10101239,'Inflicts 75 - 125 mental damage on target',100,2,1),
(205654,46298,'Applies Favor of the Froglok King when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(205655,46298,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(205656,46298,'Inflicts 14 magic damage on target',100,2,2),
(205657,46298,'Cannot be modified except by direct means',100,2,3),
(205658,10046298,'Applies Favor of the Froglok King when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(205659,10046298,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(205660,10046298,'Inflicts 19 magic damage on target',100,2,2),
(205661,10046298,'Cannot be modified except by direct means',100,2,3),
(205662,52849,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(205663,52849,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(205664,52849,'Inflicts 164 heat damage on target',100,2,2),
(205665,52849,'Cannot be modified except by direct means',100,2,3),
(205666,10052849,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(205667,10052849,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(205668,10052849,'Inflicts 214 heat damage on target',100,2,2),
(205669,10052849,'Cannot be modified except by direct means',100,2,3),
(205670,115985,'Inflicts 438 - 657 mental damage on target',100,1,0),
(205671,115985,'Stuns target',100,1,1),
(205672,115985,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(205673,115985,'Resistibility increases against targets higher than level 98.',100,1,3),
(205674,10115985,'Inflicts 569 - 854 mental damage on target',100,1,0),
(205675,10115985,'Stuns target',100,1,1),
(205676,10115985,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(205677,10115985,'Resistibility increases against targets higher than level 98.',100,1,3),
(205678,84245,'Applies Mental Blast when Activated.',100,0,0),
(205679,84245,'Inflicts 363 - 605 mental damage on target',100,1,1),
(205680,84245,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(205681,10084245,'Applies Mental Blast when Activated.',100,0,0),
(205682,10084245,'Inflicts 472 - 787 mental damage on target',100,1,1),
(205683,10084245,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(205684,54754,'When Equipped:',100,0,0),
(205685,54754,'Applies Eye of the Storm to qualifying pets.',100,1,1),
(205686,54754,'Increases Ability Casting Speed of target by 10.0%',100,2,2),
(205687,54754,'Increases Ability Reuse Speed of target by 10.0%',100,2,3),
(205688,54754,'Increases Max Health of target by 25.0%',100,2,4),
(205689,54754,'Increases Max Power of target by 25.0%',100,2,5),
(205690,54754,'Increases Slashing, Piercing, Disruption and Crushing of target by 10.0',100,2,6),
(205691,54754,'Increases Ability Modifier of target by 125.0',100,2,7),
(205692,54754,'When Equipped:',100,0,8),
(205693,54754,'Reduces reuse time of all spells by 2 percent.',100,1,9),
(205694,10054754,'When Equipped:',100,0,0),
(205695,10054754,'Applies Eye of the Storm to qualifying pets.',100,1,1),
(205696,10054754,'Increases Ability Casting Speed of target by 10.0%',100,2,2),
(205697,10054754,'Increases Ability Reuse Speed of target by 10.0%',100,2,3),
(205698,10054754,'Increases Max Health of target by 25.0%',100,2,4),
(205699,10054754,'Increases Max Power of target by 25.0%',100,2,5),
(205700,10054754,'Increases Slashing, Piercing, Disruption and Crushing of target by 10.0',100,2,6),
(205701,10054754,'Increases Ability Modifier of target by 125.0',100,2,7),
(205702,10054754,'When Equipped:',100,0,8),
(205703,10054754,'Reduces reuse time of all spells by 2 percent.',100,1,9),
(205704,116371,'Teleports target to a random location within 5 meters.',100,1,0),
(205705,116371,'If Target is not Epic',100,2,1),
(205706,116371,'Wipes almost all of target''s memory of aggression towards their current target.',100,1,2),
(205707,10116371,'Teleports target to a random location within 31 - 38 meters.',100,1,0),
(205708,10116371,'If Target is not Epic',100,2,1),
(205709,88258,'When Equipped:',100,0,0),
(205710,88258,'On a combat hit this spell may cast Prismatic Guardians Rage on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205711,88258,'Inflicts 290 cold damage on target',100,2,2),
(205712,88258,'Inflicts 290 heat damage on target',100,2,3),
(205713,88258,'Cannot be modified except by direct means',100,2,4),
(205714,10088258,'When Equipped:',100,0,0),
(205715,10088258,'On a combat hit this spell may cast Prismatic Guardians Rage on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205716,10088258,'Inflicts 377 cold damage on target',100,2,2),
(205717,10088258,'Inflicts 377 heat damage on target',100,2,3),
(205718,10088258,'Cannot be modified except by direct means',100,2,4),
(205719,113201,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(205720,113201,'Inflicts 58 magic damage on target',100,2,1),
(205721,113201,'Grants a total of 5 triggers of the spell.',100,2,2),
(205722,10113201,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(205723,10113201,'Inflicts 75 magic damage on target',100,2,1),
(205724,10113201,'Grants a total of 5 triggers of the spell.',100,2,2),
(205725,172799,'When Equipped:',100,0,0),
(205726,172799,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(205727,172799,'Stuns target',100,2,2),
(205728,172799,'Only affects targets level 95 and below',100,2,3),
(205729,172799,'Does not affect Epic targets',100,2,4),
(205730,172799,'Resistibility increases against targets higher than level 102.',100,2,5),
(205731,172799,'Cannot be modified except by direct means',100,2,6),
(205732,10172799,'When Equipped:',100,0,0),
(205733,10172799,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(205734,10172799,'Stuns target',100,2,2),
(205735,10172799,'Only affects targets level 95 and below',100,2,3),
(205736,10172799,'Does not affect Epic targets',100,2,4),
(205737,10172799,'Resistibility increases against targets higher than level 102.',100,2,5),
(205738,10172799,'Cannot be modified except by direct means',100,2,6),
(205739,113136,'Shapechanges caster into a lich',100,1,0),
(205740,113136,'Increases power of caster by 1.0% instantly and every 6 seconds',100,1,1),
(205741,113136,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(205742,113136,'Inflicts 125 disease damage on target',100,2,3),
(205743,113136,'Heals caster for 53',100,2,4),
(205744,10113136,'Shapechanges caster into a lich',100,1,0),
(205745,10113136,'Increases power of caster by 1.0% instantly and every 6 seconds',100,1,1),
(205746,10113136,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(205747,10113136,'Inflicts 162 disease damage on target',100,2,3),
(205748,10113136,'Heals caster for 35',100,2,4),
(205749,102168,'Inflicts 665 - 1109 melee damage on target',100,1,0),
(205750,102168,'Inflicts 665 - 1109 melee damage on target',100,1,1),
(205751,10102168,'Inflicts 865 - 1442 melee damage on target',100,1,0),
(205752,10102168,'Inflicts 865 - 1442 melee damage on target',100,1,1),
(205753,189242,'When Equipped:',100,0,0),
(205754,189242,'Reduces physical damage done to target by 5%',100,1,1),
(205755,10189242,'When Equipped:',100,0,0),
(205756,10189242,'Reduces physical damage done to target by 5%',100,1,1),
(205757,102150,'Inflicts 295 - 492 melee damage on target',100,1,0),
(205758,102150,'Inflicts 295 - 492 melee damage on target',100,1,1),
(205759,10102150,'Inflicts 384 - 640 melee damage on target',100,1,0),
(205760,10102150,'Inflicts 384 - 640 melee damage on target',100,1,1),
(205761,122249,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(205762,122249,'Decreases Damage Per Second of target by 22.0',100,2,1),
(205763,122249,'Decreases Attack Speed of target by 16.4',100,2,2),
(205764,10122249,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(205765,10122249,'Decreases Damage Per Second of target by 22.0',100,2,1),
(205766,10122249,'Decreases Attack Speed of target by 16.4',100,2,2),
(205767,134943,'When Equipped:',100,0,0),
(205768,134943,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205769,134943,'Inflicts 1998 cold damage on target encounter',100,2,2),
(205770,134943,'Must not be engaged in pvp combat',100,2,3),
(205771,134943,'Cannot be modified except by direct means',100,2,4),
(205772,134943,'Must not be engaged in pvp combat',100,1,5),
(205773,10134943,'When Equipped:',100,0,0),
(205774,10134943,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205775,10134943,'Inflicts 1299 cold damage on target encounter',100,2,2),
(205776,10134943,'Must not be engaged in pvp combat',100,2,3),
(205777,10134943,'Cannot be modified except by direct means',100,2,4),
(205778,10134943,'Must not be engaged in pvp combat',100,1,5),
(205779,121842,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(205780,121842,'Increases Mitigation of group members (AE) vs arcane damage by 898',100,1,1),
(205781,10121842,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(205782,10121842,'Increases Mitigation of group members (AE) vs arcane damage by 898',100,1,1),
(205783,36388,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(205784,81605,'When Equipped:',100,0,0),
(205785,81605,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205786,81605,'Inflicts 167 - 311 magic damage on target',100,2,2),
(205787,81605,'Decreases Threat to target by 376 ',100,2,3),
(205788,81605,'Must be flanking or behind',100,3,4),
(205789,81605,'Increases Threat to target by 376 ',100,2,5),
(205790,81605,'Must be in front of',100,3,6),
(205791,81605,'Cannot be modified except by direct means',100,2,7),
(205792,10081605,'When Equipped:',100,0,0),
(205793,10081605,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(205794,10081605,'Inflicts 217 - 404 magic damage on target',100,2,2),
(205795,10081605,'Cannot be modified except by direct means',100,2,3),
(205796,104703,'Inflicts 121 - 225 heat damage on targets in Area of Effect',100,1,0),
(205797,10104703,'Inflicts 158 - 293 heat damage on targets in Area of Effect',100,1,0),
(205798,46386,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(205799,46386,'Increases STR of caster by 71.5',100,1,1),
(205800,10046386,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(205801,10046386,'Increases STR of caster by 71.5',100,1,1),
(205802,141830,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(205803,141830,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(205804,141830,'Inflicts 61 heat damage on target',100,2,2),
(205805,141830,'Cannot be modified except by direct means',100,2,3),
(205806,10141830,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(205807,10141830,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(205808,10141830,'Inflicts 79 heat damage on target',100,2,2),
(205809,10141830,'Cannot be modified except by direct means',100,2,3),
(205810,187349,'When Equipped:',100,0,0),
(205811,187349,'When damaged this spell has a 4% chance to cast Fearless on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(205812,187349,'Makes caster immune to Fear effects',100,2,2),
(205813,187349,'Must not be engaged in pvp combat',100,2,3),
(205814,187349,'Cannot be modified except by direct means',100,2,4),
(205815,10187349,'When Equipped:',100,0,0),
(205816,10187349,'When damaged this spell has a 4% chance to cast Fearless on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(205817,10187349,'Makes caster immune to Fear effects',100,2,2),
(205818,10187349,'Must not be engaged in pvp combat',100,2,3),
(205819,10187349,'Cannot be modified except by direct means',100,2,4),
(205820,47064,'Applies Mis-calibrated Lifestone when Activated.',100,0,0),
(205821,47064,'Inflicts 12.0% of max health in heat damage on caster',50,1,1),
(205822,47064,'Heals caster for 15.0% of max health',50,1,2),
(205823,10047064,'Applies Mis-calibrated Lifestone when Activated.',100,0,0),
(205824,10047064,'Inflicts 15.6% of max health in heat damage on caster',50,1,1),
(205825,10047064,'Heals caster for 9.8% of max health',50,1,2),
(205826,48532,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(205827,48532,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(205828,48532,'Decreases STR of target by 4.6',100,2,2),
(205829,48532,'Cannot be modified except by direct means',100,2,3),
(205830,48532,'Grants a total of 30 triggers of the spell.',100,2,4),
(205831,10048532,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(205832,10048532,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(205833,10048532,'Decreases STR of target by 4.6',100,2,2),
(205834,10048532,'Cannot be modified except by direct means',100,2,3),
(205835,10048532,'Grants a total of 30 triggers of the spell.',100,2,4),
(205836,81862,'When Equipped:',100,0,0),
(205837,81862,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205838,81862,'Inflicts 148 - 274 magic damage on target',100,2,2),
(205839,81862,'Cannot be modified except by direct means',100,2,3),
(205840,10081862,'When Equipped:',100,0,0),
(205841,10081862,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(205842,10081862,'Inflicts 192 - 356 magic damage on target',100,2,2),
(205843,10081862,'Cannot be modified except by direct means',100,2,3),
(205844,114458,'Inflicts 332 - 553 heat damage on target',100,1,0),
(205845,10114458,'Inflicts 431 - 719 heat damage on target',100,1,0),
(205846,141898,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(205847,141898,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(205848,141898,'Inflicts 34 heat damage on target',100,2,2),
(205849,141898,'Cannot be modified except by direct means',100,2,3),
(205850,10141898,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(205851,10141898,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(205852,10141898,'Inflicts 44 heat damage on target',100,2,2),
(205853,10141898,'Cannot be modified except by direct means',100,2,3),
(205854,89501,'When Equipped:',100,0,0),
(205855,89501,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(205856,10089501,'When Equipped:',100,0,0),
(205857,10089501,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(205858,123225,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(205859,123225,'Inflicts 316 - 387 disease damage on target',100,2,1),
(205860,123225,'Heals caster for 4.0 - 4.8% of max health',100,2,2),
(205861,123225,'This effect cannot be critically applied.',100,3,3),
(205862,123225,'The healing of this spell cannot be modified except by direct means',100,2,4),
(205863,123225,'Grants a total of 5 triggers of the spell.',100,2,5),
(205864,10123225,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(205865,10123225,'Inflicts 411 - 503 disease damage on target',100,2,1),
(205866,10123225,'Heals caster for 1.4 - 1.7% of max health',100,2,2),
(205867,10123225,'This effect cannot be critically applied.',100,3,3),
(205868,10123225,'The healing of this spell cannot be modified except by direct means',100,2,4),
(205869,10123225,'Grants a total of 5 triggers of the spell.',100,2,5),
(205870,113292,'Inflicts 81 - 135 heat damage on target',100,1,0),
(205871,10113292,'Inflicts 160 - 266 heat damage on target',100,1,0),
(205872,72232,'When Equipped:',100,0,0),
(205873,72232,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205874,72232,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(205875,72232,'Cannot be modified except by direct means',100,2,3),
(205876,10072232,'When Equipped:',100,0,0),
(205877,10072232,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205878,10072232,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(205879,10072232,'Cannot be modified except by direct means',100,2,3),
(205880,102542,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(205881,102542,'Inflicts 59 - 99 melee damage on target',100,2,1),
(205882,102542,'Decreases Defense of caster by 5.1',100,1,2),
(205883,102542,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.7',100,1,3),
(205884,10102542,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(205885,10102542,'Inflicts 77 - 129 melee damage on target',100,2,1),
(205886,10102542,'Decreases Defense of caster by 5.1',100,1,2),
(205887,10102542,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.7',100,1,3),
(205888,116545,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(205889,116545,'Inflicts 292 divine damage on target',100,2,1),
(205890,116545,'Increases Mitigation of raid and group members (AE) vs all damage by 1960',100,1,2),
(205891,10116545,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(205892,10116545,'Inflicts 380 divine damage on target',100,2,1),
(205893,10116545,'Increases Mitigation of raid and group members (AE) vs all damage by 1960',100,1,2),
(205894,101972,'Inflicts 896 - 1665 heat damage on target',100,1,0),
(205895,10101972,'Inflicts 1165 - 2164 heat damage on target',100,1,0),
(205896,109796,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(205897,109796,'Heals group members (AE) for 604',100,2,1),
(205898,10109796,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(205899,10109796,'Heals group members (AE) for 393',100,2,1),
(205900,79778,'When Equipped:',100,0,0),
(205901,79778,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205902,79778,'Inflicts 271 - 452 piercing damage on target',100,2,2),
(205903,79778,'Inflicts 271 - 452 magic damage on target',100,2,3),
(205904,79778,'Inflicts 271 - 452 divine damage on target',100,2,4),
(205905,79778,'Must not be engaged in pvp combat',100,2,5),
(205906,79778,'Cannot be modified except by direct means',100,2,6),
(205907,79778,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(205908,79778,'Inflicts 271 - 452 piercing damage on target',100,2,8),
(205909,79778,'Inflicts 271 - 452 magic damage on target',100,2,9),
(205910,79778,'Inflicts 271 - 452 divine damage on target',100,2,10),
(205911,79778,'Must not be engaged in pvp combat',100,2,11),
(205912,79778,'Cannot be modified except by direct means',100,2,12),
(205913,79778,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(205914,79778,'Inflicts 271 - 452 piercing damage on target',100,2,14),
(205915,79778,'Inflicts 271 - 452 magic damage on target',100,2,15),
(205916,79778,'Inflicts 271 - 452 divine damage on target',100,2,16),
(205917,79778,'Must not be engaged in pvp combat',100,2,17),
(205918,79778,'Cannot be modified except by direct means',100,2,18),
(205919,79778,'Must not be engaged in pvp combat',100,1,19),
(205920,10079778,'When Equipped:',100,0,0),
(205921,10079778,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(205922,10079778,'Inflicts 353 - 588 piercing damage on target',100,2,2),
(205923,10079778,'Inflicts 353 - 588 magic damage on target',100,2,3),
(205924,10079778,'Inflicts 353 - 588 divine damage on target',100,2,4),
(205925,10079778,'Must not be engaged in pvp combat',100,2,5),
(205926,10079778,'Cannot be modified except by direct means',100,2,6),
(205927,10079778,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(205928,10079778,'Inflicts 353 - 588 piercing damage on target',100,2,8),
(205929,10079778,'Inflicts 353 - 588 magic damage on target',100,2,9),
(205930,10079778,'Inflicts 353 - 588 divine damage on target',100,2,10),
(205931,10079778,'Must not be engaged in pvp combat',100,2,11),
(205932,10079778,'Cannot be modified except by direct means',100,2,12),
(205933,10079778,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(205934,10079778,'Inflicts 353 - 588 piercing damage on target',100,2,14),
(205935,10079778,'Inflicts 353 - 588 magic damage on target',100,2,15),
(205936,10079778,'Inflicts 353 - 588 divine damage on target',100,2,16),
(205937,10079778,'Must not be engaged in pvp combat',100,2,17),
(205938,10079778,'Cannot be modified except by direct means',100,2,18),
(205939,10079778,'Must not be engaged in pvp combat',100,1,19),
(205940,36095,'Target will Parry 0.2% of incoming attacks',100,0,0),
(205941,36095,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(205942,104757,'Increases power of caster by 6 instantly and every 4 seconds',100,1,0),
(205943,10104757,'Increases power of caster by 6 instantly and every 4 seconds',100,1,0),
(205944,35703,'Increases Max Power of target by 3.3',100,0,0),
(205945,35703,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(205946,110151,'Applies Untreated Bleeding on termination.',100,1,0),
(205947,110151,'Inflicts 8 - 14 piercing damage on target',100,2,1),
(205948,110151,'Inflicts 2 - 3 piercing damage on target instantly and every 4 seconds',100,1,2),
(205949,110151,'Inflicts 1 melee damage on target',100,1,3),
(205950,10110151,'Applies Untreated Bleeding on termination.',100,1,0),
(205951,10110151,'Inflicts 11 - 18 piercing damage on target',100,2,1),
(205952,10110151,'Inflicts 2 - 4 piercing damage on target instantly and every 4 seconds',100,1,2),
(205953,10110151,'Inflicts 1 - 2 melee damage on target',100,1,3),
(205954,77420,'Applies Fire Ball when Activated.',100,0,0),
(205955,77420,'Inflicts 77 - 128 heat damage on target',100,1,1),
(205956,77420,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(205957,10077420,'Applies Fire Ball when Activated.',100,0,0),
(205958,10077420,'Inflicts 100 - 167 heat damage on target',100,1,1),
(205959,10077420,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(205960,76141,'When Equipped:',100,0,0),
(205961,76141,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205962,76141,'Increases Attack Speed of caster by 11.9',100,2,2),
(205963,76141,'Cannot be modified except by direct means',100,2,3),
(205964,10076141,'When Equipped:',100,0,0),
(205965,10076141,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205966,10076141,'Increases Attack Speed of caster by 11.9',100,2,2),
(205967,10076141,'Cannot be modified except by direct means',100,2,3),
(205968,111020,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(205969,111020,'Increases Threat to target by 66 ',100,2,1),
(205970,111020,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(205971,111020,'Increases Threat to target by 66 ',100,2,3),
(205972,10111020,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(205973,10111020,'Inflicts 16 - 18 crushing damage on target',100,2,1),
(205974,10111020,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(205975,10111020,'Inflicts 16 - 18 crushing damage on target',100,2,3),
(205976,35410,'Increases AGI of target by 1.5',100,0,0),
(205977,35410,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(205978,107316,'Decreases WIS of target by 39.0',100,1,0),
(205979,107316,'Decreases Defense of target by 15.0',100,1,1),
(205980,10107316,'Decreases WIS of target by 39.0',100,1,0),
(205981,10107316,'Decreases Defense of target by 15.0',100,1,1),
(205982,110963,'Inflicts 825 - 1375 ranged damage on target',100,1,0),
(205983,110963,'I need to be stealthed!',100,1,1),
(205984,110963,'Requires bow',100,1,2),
(205985,10110963,'Inflicts 526 - 877 ranged damage on target',100,1,0),
(205986,10110963,'I need to be stealthed!',100,1,1),
(205987,10110963,'Requires bow',100,1,2),
(205988,109632,'Wards target against 296 points of all damage',100,1,0),
(205989,10109632,'Wards target against 296 points of all damage',100,1,0),
(205990,162314,'When Equipped:',100,0,0),
(205991,162314,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(205992,10162314,'When Equipped:',100,0,0),
(205993,10162314,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(205994,71654,'When Equipped:',100,0,0),
(205995,71654,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(205996,71654,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(205997,71654,'Cannot be modified except by direct means',100,2,3),
(205998,10071654,'When Equipped:',100,0,0),
(205999,10071654,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206000,10071654,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(206001,10071654,'Cannot be modified except by direct means',100,2,3),
(206002,119643,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(206003,119643,'Stuns target',100,2,1),
(206004,119643,'Throws target back',100,2,2),
(206005,119643,'Blurs vision of target',100,2,3),
(206006,119643,'Does not affect Epic targets',100,2,4),
(206007,119643,'Inflicts 55 - 166 melee damage on target',100,1,5),
(206008,10119643,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(206009,10119643,'Blurs vision of target',100,2,1),
(206010,10119643,'Stuns target',100,2,2),
(206011,10119643,'Throws target back',100,2,3),
(206012,10119643,'Does not affect Epic targets',100,2,4),
(206013,10119643,'Inflicts 72 - 216 melee damage on target',100,1,5),
(206014,120402,'Decreases Defense of caster by 18.9',100,1,0),
(206015,120402,'Increases Crushing and Ranged of caster by 28.4',100,1,1),
(206016,120402,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(206017,120402,'Inflicts 276 - 460 heat damage on target',100,2,3),
(206018,120402,'Increases Slashing and Piercing of caster by 28.4',100,1,4),
(206019,10120402,'Decreases Defense of caster by 18.9',100,1,0),
(206020,10120402,'Increases Crushing and Ranged of caster by 28.4',100,1,1),
(206021,10120402,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(206022,10120402,'Inflicts 359 - 598 heat damage on target',100,2,3),
(206023,10120402,'Increases Slashing and Piercing of caster by 28.4',100,1,4),
(206024,173519,'When Equipped:',100,0,0),
(206025,173519,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(206026,173519,'Wards caster against 1250 points of all damage',100,2,2),
(206027,173519,'Cannot be modified except by direct means',100,2,3),
(206028,173519,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(206029,173519,'Wards caster against 1250 points of all damage',100,2,5),
(206030,173519,'Cannot be modified except by direct means',100,2,6),
(206031,10173519,'When Equipped:',100,0,0),
(206032,10173519,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(206033,10173519,'Wards caster against 625 points of all damage',100,2,2),
(206034,10173519,'Cannot be modified except by direct means',100,2,3),
(206035,10173519,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(206036,10173519,'Wards caster against 625 points of all damage',100,2,5),
(206037,10173519,'Cannot be modified except by direct means',100,2,6),
(206038,102437,'Stuns target encounter',100,1,0),
(206039,102437,'Epic targets gain an immunity to Stun effects of 9.8 seconds and duration is reduced to 1.1 seconds.',100,1,1),
(206040,102437,'Resistibility increases against targets higher than level 45.',100,1,2),
(206041,10102437,'Stuns target encounter',100,1,0),
(206042,10102437,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(206043,10102437,'Resistibility increases against targets higher than level 45.',100,1,2),
(206044,121846,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(206045,121846,'Increases Mitigation of group members (AE) vs arcane damage by 1304',100,1,1),
(206046,10121846,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(206047,10121846,'Increases Mitigation of group members (AE) vs arcane damage by 1304',100,1,1),
(206048,75649,'Applies Holy Strike when Activated.',100,0,0),
(206049,75649,'Inflicts 273 - 455 divine damage on target',100,1,1),
(206050,75649,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(206051,10075649,'Applies Holy Strike when Activated.',100,0,0),
(206052,10075649,'Inflicts 355 - 591 divine damage on target',100,1,1),
(206053,10075649,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(206054,45595,'Applies Elixir of Comprehension  when Activated.  Lasts for 30 minutes.',100,0,0),
(206055,10045595,'Applies Elixir of Comprehension  when Activated.  Lasts for 30 minutes.',100,0,0),
(206056,113124,'Decreases Attack Speed of target encounter by 14.2',100,1,0),
(206057,10113124,'Decreases Attack Speed of target encounter by 14.2',100,1,0),
(206058,105308,'Increases AGI of caster by 154.1',100,1,0),
(206059,105308,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(206060,105308,'Inflicts 236 - 394 mental damage on target',100,2,2),
(206061,105308,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(206062,105308,'Inflicts 236 - 394 mental damage on target',100,2,4),
(206063,105308,'Adds 14.8% to base avoidance.',100,1,5),
(206064,105308,'Increases Mitigation of caster vs physical damage by 525',100,1,6),
(206065,105308,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,7),
(206066,10105308,'Increases AGI of caster by 154.1',100,1,0),
(206067,10105308,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(206068,10105308,'Inflicts 307 - 512 mental damage on target',100,2,2),
(206069,10105308,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(206070,10105308,'Inflicts 307 - 512 mental damage on target',100,2,4),
(206071,10105308,'Adds 14.8% to base avoidance.',100,1,5),
(206072,10105308,'Increases Mitigation of caster vs physical damage by 525',100,1,6),
(206073,10105308,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,7),
(206074,47609,'Applies Potion of Tradecrafting when Activated.  Lasts for 2 hours.',100,0,0),
(206075,47609,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(206076,47609,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(206077,47609,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(206078,47609,'You can only have one experience potion active at a time.',100,1,4),
(206079,10047609,'Applies Potion of Tradecrafting when Activated.  Lasts for 2 hours.',100,0,0),
(206080,10047609,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(206081,10047609,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(206082,10047609,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(206083,10047609,'You can only have one experience potion active at a time.',100,1,4),
(206084,119528,'Increases threat priority of target by 2 positions',100,1,0),
(206085,119528,'Stuns caster',100,1,1),
(206086,119528,'Decreases Defense and Parry of caster by 279.0',100,1,2),
(206087,119528,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(206088,119528,'Inflicts 1734 - 2890 piercing damage on target',100,2,4),
(206089,119528,'Grants a total of 1 trigger of the spell.',100,2,5),
(206090,10119528,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(206091,10119528,'Prevents target from changing targets',100,2,1),
(206092,10119528,'Forces target to change their selected target to caster.',100,2,2),
(206093,10119528,'Stuns caster',100,1,3),
(206094,10119528,'Decreases Defense and Parry of caster by 279.0',100,1,4),
(206095,10119528,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(206096,10119528,'Inflicts 1609 - 2681 piercing damage on target',100,2,6),
(206097,10119528,'Grants a total of 1 trigger of the spell.',100,2,7),
(206098,154344,'Applies Full Body Noxious Environmental Suit when Equipped.',100,0,0),
(206099,154344,'Converts 4.5% of all noxious damage received into power gain.',100,1,1),
(206100,10154344,'Applies Full Body Noxious Environmental Suit when Equipped.',100,0,0),
(206101,10154344,'Converts 4.5% of all noxious damage received into power gain.',100,1,1),
(206102,82767,'When Equipped:',100,0,0),
(206103,82767,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(206104,82767,'Inflicts 365 - 678 magic damage on target',100,2,2),
(206105,82767,'Decreases Threat to target by 1,174 ',100,2,3),
(206106,82767,'Must be flanking or behind',100,3,4),
(206107,82767,'Increases Threat to target by 1,174 ',100,2,5),
(206108,82767,'Must be in front of',100,3,6),
(206109,82767,'Cannot be modified except by direct means',100,2,7),
(206110,10082767,'When Equipped:',100,0,0),
(206111,10082767,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(206112,10082767,'Inflicts 474 - 881 magic damage on target',100,2,2),
(206113,10082767,'Cannot be modified except by direct means',100,2,3),
(206114,48747,'Applies Elixir of Poison Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(206115,48747,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(206116,10048747,'Applies Elixir of Poison Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(206117,10048747,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(206118,106950,'Inflicts 535 - 994 poison damage on target',100,1,0),
(206119,10106950,'Inflicts 695 - 1292 poison damage on target',100,1,0),
(206120,71783,'When Equipped:',100,0,0),
(206121,71783,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206122,71783,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(206123,71783,'Cannot be modified except by direct means',100,2,3),
(206124,10071783,'When Equipped:',100,0,0),
(206125,10071783,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206126,10071783,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(206127,10071783,'Cannot be modified except by direct means',100,2,3),
(206128,106970,'Inflicts 405 - 752 poison damage on target',100,1,0),
(206129,106970,'Increases power of caster by 26',100,1,1),
(206130,10106970,'Inflicts 526 - 977 poison damage on target',100,1,0),
(206131,10106970,'Increases power of caster by 26',100,1,1),
(206132,82099,'When Equipped:',100,0,0),
(206133,82099,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206134,82099,'Inflicts 212 - 393 magic damage on target',100,2,2),
(206135,82099,'Cannot be modified except by direct means',100,2,3),
(206136,10082099,'When Equipped:',100,0,0),
(206137,10082099,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206138,10082099,'Inflicts 275 - 511 magic damage on target',100,2,2),
(206139,10082099,'Cannot be modified except by direct means',100,2,3),
(206140,25555,'When Equipped:',100,0,0),
(206141,25555,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(206142,25555,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(206143,10025555,'When Equipped:',100,0,0),
(206144,10025555,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(206145,10025555,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(206146,47219,'Applies Murky Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(206147,47219,'Increases AGI of caster by 47.0',100,1,1),
(206148,47219,'Only affects targets level 50 and above',100,1,2),
(206149,10047219,'Applies Murky Elixir of the Nimble when Activated.  Lasts for 30 minutes.',100,0,0),
(206150,10047219,'Increases AGI of caster by 47.0',100,1,1),
(206151,10047219,'Only affects targets level 50 and above',100,1,2),
(206152,108476,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(206153,108476,'Increases Aggression of caster by 9.9',100,1,1),
(206154,108476,'Increases Defense and Parry of caster by 19.8',100,1,2),
(206155,108476,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(206156,10108476,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(206157,10108476,'Increases Aggression of caster by 9.9',100,1,1),
(206158,10108476,'Increases Defense and Parry of caster by 19.8',100,1,2),
(206159,10108476,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(206160,115140,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(206161,115140,'Heals target for 1073',100,2,1),
(206162,115140,'Heals target for 268 every 2 seconds',100,2,2),
(206163,115140,'Increases WIS of target by 92.4',100,2,3),
(206164,115140,'Grants a total of 1 trigger of the spell.',100,2,4),
(206165,10115140,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(206166,10115140,'Heals target for 1255',100,2,1),
(206167,10115140,'Heals target for 313 every 2 seconds',100,2,2),
(206168,10115140,'Increases WIS of target by 92.4',100,2,3),
(206169,10115140,'Grants a total of 1 trigger of the spell.',100,2,4),
(206170,71995,'When Equipped:',100,0,0),
(206171,71995,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206172,71995,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(206173,71995,'Cannot be modified except by direct means',100,2,3),
(206174,10071995,'When Equipped:',100,0,0),
(206175,10071995,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206176,10071995,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(206177,10071995,'Cannot be modified except by direct means',100,2,3),
(206178,25005,'When Equipped:',100,0,0),
(206179,25005,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(206180,25005,'On a spell cast this spell may cast Blinding Light on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(206181,25005,'Makes caster immune to Fear effects',100,2,3),
(206182,25005,'Must not be engaged in pvp combat',100,2,4),
(206183,25005,'Cannot be modified except by direct means',100,2,5),
(206184,25005,'Must not be engaged in pvp combat',100,1,6),
(206185,10025005,'When Equipped:',100,0,0),
(206186,10025005,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(206187,10025005,'On a spell cast this spell may cast Blinding Light on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(206188,10025005,'Makes caster immune to Fear effects',100,2,3),
(206189,10025005,'Must not be engaged in pvp combat',100,2,4),
(206190,10025005,'Cannot be modified except by direct means',100,2,5),
(206191,10025005,'Must not be engaged in pvp combat',100,1,6),
(206192,80328,'When Equipped:',100,0,0),
(206193,80328,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206194,80328,'Inflicts 207 - 384 magic damage on target',100,2,2),
(206195,80328,'Cannot be modified except by direct means',100,2,3),
(206196,10080328,'When Equipped:',100,0,0),
(206197,10080328,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206198,10080328,'Inflicts 269 - 499 magic damage on target',100,2,2),
(206199,10080328,'Cannot be modified except by direct means',100,2,3),
(206200,124479,'Heals group members (AE) for 293 - 358',100,1,0),
(206201,10124479,'Heals group members (AE) for 343 - 419',100,1,0),
(206202,111942,'Inflicts 11 - 13 disease damage on target',100,1,0),
(206203,111942,'Decreases Mitigation of target vs noxious damage by 25',100,1,1),
(206204,10111942,'Inflicts 18 - 22 disease damage on target',100,1,0),
(206205,10111942,'Decreases Mitigation of target vs noxious damage by 25',100,1,1),
(206206,111139,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(206207,111139,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 351',100,1,1),
(206208,111139,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,2),
(206209,10111139,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(206210,10111139,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 351',100,1,1),
(206211,10111139,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,2),
(206212,112066,'Inflicts 11 - 18 heat damage on target instantly and every 2 seconds',100,1,0),
(206213,10112066,'Inflicts 35 - 58 heat damage on target instantly and every 2 seconds',100,1,0),
(206214,108910,'Inflicts 1350 heat damage on target',100,1,0),
(206215,108910,'Inflicts 1350 cold damage on target',100,1,1),
(206216,108910,'Slows target by 57.8%',100,1,2),
(206217,10108910,'Inflicts 1754 heat damage on target',100,1,0),
(206218,10108910,'Inflicts 1754 cold damage on target',100,1,1),
(206219,10108910,'Slows target by 57.8%',100,1,2),
(206220,163248,'When Equipped:',100,0,0),
(206221,163248,'On a critical spell hit this spell may cast Overwhelming Power on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206222,163248,'Decreases Potency of target by 1.0%',100,2,2),
(206223,163248,'Increases Potency of caster by 1.0%',100,2,3),
(206224,163248,'Must not be engaged in pvp combat',100,2,4),
(206225,163248,'Cannot be modified except by direct means',100,2,5),
(206226,163248,'On a critical combat hit this spell may cast Overwhelming Power on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(206227,163248,'Decreases Potency of target by 1.0%',100,2,7),
(206228,163248,'Increases Potency of caster by 1.0%',100,2,8),
(206229,163248,'Must not be engaged in pvp combat',100,2,9),
(206230,163248,'Cannot be modified except by direct means',100,2,10),
(206231,163248,'Must not be engaged in pvp combat',100,1,11),
(206232,10163248,'When Equipped:',100,0,0),
(206233,10163248,'On a critical spell hit this spell may cast Overwhelming Power on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206234,10163248,'Decreases Potency of target by 1.0%',100,2,2),
(206235,10163248,'Increases Potency of caster by 1.0%',100,2,3),
(206236,10163248,'Must not be engaged in pvp combat',100,2,4),
(206237,10163248,'Cannot be modified except by direct means',100,2,5),
(206238,10163248,'On a critical combat hit this spell may cast Overwhelming Power on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(206239,10163248,'Decreases Potency of target by 1.0%',100,2,7),
(206240,10163248,'Increases Potency of caster by 1.0%',100,2,8),
(206241,10163248,'Must not be engaged in pvp combat',100,2,9),
(206242,10163248,'Cannot be modified except by direct means',100,2,10),
(206243,10163248,'Must not be engaged in pvp combat',100,1,11),
(206244,48903,'Applies Spirit of the Hunt  when Activated.',100,0,0),
(206245,48903,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(206246,10048903,'Applies Spirit of the Hunt  when Activated.',100,0,0),
(206247,10048903,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(206248,114104,'Inflicts 934 - 1558 melee damage on targets in area',100,1,0),
(206249,114104,'You must be in stealth to use this!',100,1,1),
(206250,10114104,'Inflicts 1215 - 2025 melee damage on targets in area',100,1,0),
(206251,10114104,'You must be in stealth to use this!',100,1,1),
(206252,170690,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(206253,170690,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(206254,170690,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(206255,10170690,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(206256,10170690,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(206257,10170690,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(206258,108768,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(206259,108768,'Inflicts 26 - 31 heat damage on target instantly and every 4 seconds',100,2,1),
(206260,108768,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(206261,108768,'Inflicts 114 - 139 heat damage on target encounter',100,3,3),
(206262,108768,'Grants a total of 1 trigger of the spell.',100,3,4),
(206263,10108768,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(206264,10108768,'Inflicts 33 - 41 heat damage on target instantly and every 4 seconds',100,2,1),
(206265,10108768,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(206266,10108768,'Inflicts 148 - 181 heat damage on target encounter',100,3,3),
(206267,10108768,'Grants a total of 1 trigger of the spell.',100,3,4),
(206268,37279,'Increases STR and STA of target by 5.4',100,0,0),
(206269,37279,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(206270,37279,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(206271,90308,'When Equipped:',100,0,0),
(206272,90308,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(206273,90308,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(206274,90308,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(206275,90308,'Must not be engaged in pvp combat',100,2,4),
(206276,90308,'Cannot be modified except by direct means',100,2,5),
(206277,90308,'Cannot be modified except by direct means',100,1,6),
(206278,10090308,'When Equipped:',100,0,0),
(206279,10090308,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(206280,10090308,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(206281,10090308,'Wards group members (AE) against 4400 points of all damage',100,2,3),
(206282,10090308,'Must not be engaged in pvp combat',100,2,4),
(206283,10090308,'Cannot be modified except by direct means',100,2,5),
(206284,10090308,'Cannot be modified except by direct means',100,1,6),
(206285,152671,'When Equipped:',100,0,0),
(206286,152671,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(206287,152671,'Increases power of target by 5',100,2,2),
(206288,152671,'Cannot be modified except by direct means',100,2,3),
(206289,10152671,'When Equipped:',100,0,0),
(206290,10152671,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(206291,10152671,'Increases power of target by 5',100,2,2),
(206292,10152671,'Cannot be modified except by direct means',100,2,3),
(206293,114428,'Mesmerizes target',100,1,0),
(206294,114428,'Prevents AOE (except when direct) ',100,1,1),
(206295,114428,'Dispelled when target takes damage',100,1,2),
(206296,114428,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(206297,114428,'Resistibility increases against targets higher than level 95.',100,1,4),
(206298,10114428,'Mesmerizes target',100,1,0),
(206299,10114428,'Prevents AOE (except when direct) ',100,1,1),
(206300,10114428,'Dispelled when target takes damage',100,1,2),
(206301,10114428,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(206302,10114428,'Resistibility increases against targets higher than level 95.',100,1,4),
(206303,122952,'Inflicts 615 - 832 mental damage on target',100,1,0),
(206304,10122952,'Inflicts 800 - 1082 mental damage on target',100,1,0),
(206305,100832,'Wards target against 424 points of all damage',100,1,0),
(206306,10100832,'Wards target against 652 points of all damage',100,1,0),
(206307,82450,'When Equipped:',100,0,0),
(206308,82450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206309,82450,'Inflicts 260 - 482 magic damage on target',100,2,2),
(206310,82450,'Cannot be modified except by direct means',100,2,3),
(206311,10082450,'When Equipped:',100,0,0),
(206312,10082450,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206313,10082450,'Inflicts 337 - 627 magic damage on target',100,2,2),
(206314,10082450,'Cannot be modified except by direct means',100,2,3),
(206315,147264,'When Equipped:',100,0,0),
(206316,147264,'Increases Attack Speed of caster by 45.0',100,1,1),
(206317,10147264,'When Equipped:',100,0,0),
(206318,10147264,'Increases Attack Speed of caster by 45.0',100,1,1),
(206319,115960,'Inflicts 78 - 117 mental damage on target',100,1,0),
(206320,115960,'Stuns target',100,1,1),
(206321,115960,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(206322,115960,'Resistibility increases against targets higher than level 42.',100,1,3),
(206323,10115960,'Inflicts 101 - 152 mental damage on target',100,1,0),
(206324,10115960,'Stuns target',100,1,1),
(206325,10115960,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(206326,10115960,'Resistibility increases against targets higher than level 42.',100,1,3),
(206327,71984,'When Equipped:',100,0,0),
(206328,71984,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206329,71984,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(206330,71984,'Cannot be modified except by direct means',100,2,3),
(206331,10071984,'When Equipped:',100,0,0),
(206332,10071984,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206333,10071984,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(206334,10071984,'Cannot be modified except by direct means',100,2,3),
(206335,121395,'Roots caster',100,1,0),
(206336,121395,'Applies Steel Hail.',100,1,1),
(206337,121395,'Inflicts 986 - 1643 ranged damage on target',100,2,2),
(206338,121395,'Dazes caster',100,1,3),
(206339,121395,'Stifles caster',100,1,4),
(206340,121395,'If weapon equipped in Ranged',100,1,5),
(206341,121395,'Resistibility increases against targets higher than level 113.',100,1,6),
(206342,10121395,'Roots caster',100,1,0),
(206343,10121395,'Applies Steel Hail.',100,1,1),
(206344,10121395,'Inflicts 838 - 1396 ranged damage on target',100,2,2),
(206345,10121395,'Dazes caster',100,1,3),
(206346,10121395,'Stifles caster',100,1,4),
(206347,10121395,'If weapon equipped in Ranged',100,1,5),
(206348,10121395,'Resistibility increases against targets higher than level 113.',100,1,6),
(206349,160443,'When Equipped:',100,0,0),
(206350,160443,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(206351,160443,'This effect suspends during combat',100,1,2),
(206352,10160443,'When Equipped:',100,0,0),
(206353,10160443,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(206354,10160443,'This effect suspends during combat',100,1,2),
(206355,174083,'When Equipped:',100,0,0),
(206356,174083,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206357,174083,'Wards target against 2800 points of all damage',100,2,2),
(206358,174083,'Cannot be modified except by direct means',100,2,3),
(206359,10174083,'When Equipped:',100,0,0),
(206360,10174083,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206361,10174083,'Wards target against 2800 points of all damage',100,2,2),
(206362,10174083,'Cannot be modified except by direct means',100,2,3),
(206363,112077,'Inflicts 25 - 41 heat damage on target instantly and every 2 seconds',100,1,0),
(206364,10112077,'Inflicts 79 - 131 heat damage on target instantly and every 2 seconds',100,1,0),
(206365,106738,'Heals target for 941 - 1150',100,1,0),
(206366,10106738,'Heals target for 1106 - 1352',100,1,0),
(206367,115698,'Inflicts 78 - 234 melee damage on target',100,1,0),
(206368,115698,'Inflicts 78 - 234 melee damage on target',100,1,1),
(206369,115698,'Inflicts 78 - 234 melee damage on target',100,1,2),
(206370,115698,'Inflicts 78 - 234 melee damage on target',100,1,3),
(206371,115698,'Inflicts 78 - 234 melee damage on target',100,1,4),
(206372,115698,'Inflicts 78 - 234 melee damage on target',100,1,5),
(206373,115698,'Inflicts 78 - 234 melee damage on target',100,1,6),
(206374,115698,'Inflicts 78 - 234 melee damage on target',100,1,7),
(206375,10115698,'Inflicts 101 - 304 melee damage on target',100,1,0),
(206376,10115698,'Inflicts 101 - 304 melee damage on target',100,1,1),
(206377,10115698,'Inflicts 101 - 304 melee damage on target',100,1,2),
(206378,10115698,'Inflicts 101 - 304 melee damage on target',100,1,3),
(206379,10115698,'Inflicts 101 - 304 melee damage on target',100,1,4),
(206380,10115698,'Inflicts 101 - 304 melee damage on target',100,1,5),
(206381,10115698,'Inflicts 101 - 304 melee damage on target',100,1,6),
(206382,10115698,'Inflicts 101 - 304 melee damage on target',100,1,7),
(206383,45160,'Applies Release Essarr Hawk when Activated.',100,0,0),
(206384,45160,'This effect cannot be cast during combat',100,1,1),
(206385,10045160,'Applies Release Essarr Hawk when Activated.',100,0,0),
(206386,10045160,'This effect cannot be cast during combat',100,1,1),
(206387,123075,'Summons a pet undead knight',100,1,0),
(206388,10123075,'Summons a pet undead knight',100,1,0),
(206389,46782,'Applies Transmute when Activated.',100,0,0),
(206390,10046782,'Applies Transmute when Activated.',100,0,0),
(206391,135234,'When Equipped:',100,0,0),
(206392,135234,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(206393,135234,'Inflicts 539 piercing damage on target',100,2,2),
(206394,135234,'Cannot be modified except by direct means',100,2,3),
(206395,10135234,'When Equipped:',100,0,0),
(206396,10135234,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(206397,10135234,'Inflicts 701 piercing damage on target',100,2,2),
(206398,10135234,'Cannot be modified except by direct means',100,2,3),
(206399,71697,'When Equipped:',100,0,0),
(206400,71697,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206401,71697,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(206402,71697,'Cannot be modified except by direct means',100,2,3),
(206403,10071697,'When Equipped:',100,0,0),
(206404,10071697,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206405,10071697,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(206406,10071697,'Cannot be modified except by direct means',100,2,3),
(206407,109951,'Stuns target',100,1,0),
(206408,109951,'Does not affect Epic targets',100,1,1),
(206409,109951,'Resistibility increases against targets higher than level 111.',100,1,2),
(206410,10109951,'Stuns target',100,1,0),
(206411,10109951,'Does not affect Epic targets',100,1,1),
(206412,10109951,'Resistibility increases against targets higher than level 111.',100,1,2),
(206413,104424,'Inflicts 629 - 769 mental damage on target encounter instantly and every second',100,1,0),
(206414,104424,'Stifles target encounter',100,1,1),
(206415,104424,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(206416,104424,'Resistibility increases against targets higher than level 119.',100,1,3),
(206417,10104424,'Inflicts 761 - 930 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(206418,10104424,'Stifles target encounter',100,1,1),
(206419,10104424,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(206420,10104424,'Resistibility increases against targets higher than level 119.',100,1,3),
(206421,75435,'When Equipped:',100,0,0),
(206422,75435,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206423,75435,'Inflicts 393 mental damage on target',100,2,2),
(206424,75435,'Must not be classified as an undead',100,3,3),
(206425,75435,'Inflicts 787 mental damage on target',100,2,4),
(206426,75435,'Must be classified as an undead',100,3,5),
(206427,75435,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(206428,75435,'Must be classified as an undead',100,3,7),
(206429,75435,'Cannot be modified except by direct means',100,2,8),
(206430,75435,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(206431,10075435,'When Equipped:',100,0,0),
(206432,10075435,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206433,10075435,'Inflicts 511 mental damage on target',100,2,2),
(206434,10075435,'Must not be classified as an undead',100,3,3),
(206435,10075435,'Inflicts 1023 mental damage on target',100,2,4),
(206436,10075435,'Must be classified as an undead',100,3,5),
(206437,10075435,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(206438,10075435,'Must be classified as an undead',100,3,7),
(206439,10075435,'Cannot be modified except by direct means',100,2,8),
(206440,10075435,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(206441,115011,'Inflicts 1289 - 2149 ranged damage on targets in area',100,1,0),
(206442,115011,'You must be in stealth to use this!',100,1,1),
(206443,115011,'Requires bow',100,1,2),
(206444,10115011,'Inflicts 1096 - 1827 ranged damage on targets in area',100,1,0),
(206445,10115011,'You must be in stealth to use this!',100,1,1),
(206446,10115011,'Requires bow',100,1,2),
(206447,136796,'When Equipped:',100,0,0),
(206448,136796,'On a hit this spell may cast Rejuvenating Aggression on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(206449,136796,'Heals caster for 55',100,2,2),
(206450,136796,'Cannot be modified except by direct means',100,2,3),
(206451,10136796,'When Equipped:',100,0,0),
(206452,10136796,'On a hit this spell may cast Rejuvenating Aggression on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(206453,10136796,'Heals caster for 36',100,2,2),
(206454,10136796,'Cannot be modified except by direct means',100,2,3),
(206455,111760,'Heals caster for 65 - 79',100,1,0),
(206456,111760,'This effect cannot be critically applied.',100,2,1),
(206457,111760,'The healing of this spell cannot be modified except by direct means',100,1,2),
(206458,10111760,'Heals caster for 32 - 40',100,1,0),
(206459,10111760,'This effect cannot be critically applied.',100,2,1),
(206460,10111760,'The healing of this spell cannot be modified except by direct means',100,1,2),
(206461,165640,'When Equipped:',100,0,0),
(206462,165640,'Increases damage done by combat arts by up to 45.',100,1,1),
(206463,10165640,'When Equipped:',100,0,0),
(206464,10165640,'Increases damage done by combat arts by up to 45.',100,1,1),
(206465,52843,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(206466,52843,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(206467,52843,'Inflicts 164 heat damage on target',100,2,2),
(206468,52843,'Cannot be modified except by direct means',100,2,3),
(206469,10052843,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(206470,10052843,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(206471,10052843,'Inflicts 214 heat damage on target',100,2,2),
(206472,10052843,'Cannot be modified except by direct means',100,2,3),
(206473,45590,'Applies Elixir of Astuteness  when Activated.  Lasts for 15 minutes.',100,0,0),
(206474,45590,'Increases Max Power of caster by 97.5',100,1,1),
(206475,10045590,'Applies Elixir of Astuteness  when Activated.  Lasts for 15 minutes.',100,0,0),
(206476,10045590,'Increases Max Power of caster by 97.5',100,1,1),
(206477,24204,'Adds Crushbone: Orange Candle to your Dungeon Maker toolbox',100,0,0),
(206478,10024204,'Adds Crushbone: Orange Candle to your Dungeon Maker toolbox',100,0,0),
(206479,121308,'Inflicts 938 - 1564 melee damage on targets in area',100,1,0),
(206480,121308,'Inflicts 285 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(206481,121308,'You must be in stealth or have Bloody Assault.',100,1,2),
(206482,10121308,'Inflicts 1220 - 2034 melee damage on targets in area',100,1,0),
(206483,10121308,'Inflicts 370 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(206484,10121308,'You must be in stealth or have Bloody Assault.',100,1,2),
(206485,177711,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(206486,177711,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(206487,177711,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(206488,177711,'Cannot be modified except by direct means',100,2,3),
(206489,10177711,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(206490,10177711,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(206491,10177711,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(206492,10177711,'Cannot be modified except by direct means',100,2,3),
(206493,140405,'When Equipped:',100,0,0),
(206494,140405,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(206495,140405,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(206496,140405,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,3),
(206497,140405,'Increases Potency of caster by 3.0%',100,2,4),
(206498,140405,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(206499,140405,'Must not be engaged in pvp combat',100,2,6),
(206500,140405,'Cannot be modified except by direct means',100,2,7),
(206501,140405,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(206502,140405,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,9),
(206503,140405,'Increases Potency of caster by 3.0%',100,2,10),
(206504,140405,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(206505,140405,'Must not be engaged in pvp combat',100,2,12),
(206506,140405,'Cannot be modified except by direct means',100,2,13),
(206507,140405,'Cannot be modified except by direct means',100,1,14),
(206508,10140405,'When Equipped:',100,0,0),
(206509,10140405,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(206510,10140405,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(206511,10140405,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,3),
(206512,10140405,'Increases Potency of caster by 3.0%',100,2,4),
(206513,10140405,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(206514,10140405,'Must not be engaged in pvp combat',100,2,6),
(206515,10140405,'Cannot be modified except by direct means',100,2,7),
(206516,10140405,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(206517,10140405,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,9),
(206518,10140405,'Increases Potency of caster by 3.0%',100,2,10),
(206519,10140405,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(206520,10140405,'Must not be engaged in pvp combat',100,2,12),
(206521,10140405,'Cannot be modified except by direct means',100,2,13),
(206522,10140405,'Cannot be modified except by direct means',100,1,14),
(206523,123815,'Inflicts 84 - 141 magic damage on target',100,1,0),
(206524,123815,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(206525,123815,'Decreases Defense of target by 19.2',100,1,2),
(206526,123815,'Target will lose 23% more power when power is consumed',100,1,3),
(206527,123815,'23% of target''s power consumed will also be drained from target''s health',100,1,4),
(206528,10123815,'Inflicts 110 - 183 magic damage on target',100,1,0),
(206529,10123815,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(206530,10123815,'Decreases Defense of target by 19.2',100,1,2),
(206531,10123815,'Target will lose 23% more power when power is consumed',100,1,3),
(206532,10123815,'23% of target''s power consumed will also be drained from target''s health',100,1,4),
(206533,147456,'When Equipped:',100,0,0),
(206534,147456,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206535,147456,'Decreases power of target by 207',100,2,2),
(206536,147456,'Increases power of caster by 138',100,2,3),
(206537,147456,'Cannot be modified except by direct means',100,2,4),
(206538,10147456,'When Equipped:',100,0,0),
(206539,10147456,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206540,10147456,'Decreases power of target by 207',100,2,2),
(206541,10147456,'Increases power of caster by 138',100,2,3),
(206542,10147456,'Cannot be modified except by direct means',100,2,4),
(206543,107912,'Mesmerizes target',100,1,0),
(206544,107912,'Prevents AOE (except when direct) ',100,1,1),
(206545,107912,'Dispelled when target takes damage',100,1,2),
(206546,107912,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(206547,107912,'Resistibility increases against targets higher than level 41.',100,1,4),
(206548,10107912,'Mesmerizes target',100,1,0),
(206549,10107912,'Prevents AOE (except when direct) ',100,1,1),
(206550,10107912,'Dispelled when target takes damage',100,1,2),
(206551,10107912,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(206552,10107912,'Resistibility increases against targets higher than level 41.',100,1,4),
(206553,177728,'When Equipped:',100,0,0),
(206554,177728,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(206555,177728,'Increases STA of caster by 21.4',100,2,2),
(206556,177728,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(206557,177728,'Cannot be modified except by direct means',100,2,4),
(206558,10177728,'When Equipped:',100,0,0),
(206559,10177728,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(206560,10177728,'Increases STA of caster by 21.4',100,2,2),
(206561,10177728,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(206562,10177728,'Cannot be modified except by direct means',100,2,4),
(206563,100210,'Increases Threat to target encounter by 506 - 618 ',100,1,0),
(206564,100210,'Interrupts target encounter',100,1,1),
(206565,10100210,'Interrupts target encounter',100,1,0),
(206566,10100210,'Forces target encounter to change their selected target to caster.',100,1,1),
(206567,10100210,'Prevents target encounter from changing targets',100,1,2),
(206568,115639,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,1,0),
(206569,10115639,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,1,0),
(206570,55285,'When Equipped:',100,0,0),
(206571,55285,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(206572,55285,'Decreases STR of target by 35.0',100,2,2),
(206573,55285,'Cannot be modified except by direct means',100,2,3),
(206574,55285,'When Equipped:',100,0,4),
(206575,55285,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(206576,55285,'Inflicts 151 - 252 heat damage on target',100,2,6),
(206577,55285,'Inflicts 62 - 103 heat damage on target every 4.8 seconds',100,2,7),
(206578,55285,'Cannot be modified except by direct means',100,2,8),
(206579,10055285,'When Equipped:',100,0,0),
(206580,10055285,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(206581,10055285,'Decreases STR of target by 35.0',100,2,2),
(206582,10055285,'Cannot be modified except by direct means',100,2,3),
(206583,10055285,'When Equipped:',100,0,4),
(206584,10055285,'On a combat hit this spell may cast Flame Pillar on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(206585,10055285,'Inflicts 196 - 327 heat damage on target',100,2,6),
(206586,10055285,'Inflicts 80 - 134 heat damage on target every 4.8 seconds',100,2,7),
(206587,10055285,'Cannot be modified except by direct means',100,2,8),
(206588,100874,'Makes target afraid',100,1,0),
(206589,100874,'30% chance to dispel when target takes damage',100,1,1),
(206590,100874,'Does not affect Epic targets',100,1,2),
(206591,100874,'Resistibility increases against targets higher than level 82.',100,1,3),
(206592,10100874,'Makes target afraid',100,1,0),
(206593,10100874,'30% chance to dispel when target takes damage',100,1,1),
(206594,10100874,'Does not affect Epic targets',100,1,2),
(206595,10100874,'Resistibility increases against targets higher than level 82.',100,1,3),
(206596,159843,'Applies Sanguine Imbued when Equipped.',100,0,0),
(206597,159843,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(206598,159843,'Inflicts 291 heat damage on target',100,2,2),
(206599,159843,'Cannot be modified except by direct means',100,2,3),
(206600,10159843,'Applies Sanguine Imbued when Equipped.',100,0,0),
(206601,10159843,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(206602,10159843,'Inflicts 379 heat damage on target',100,2,2),
(206603,10159843,'Cannot be modified except by direct means',100,2,3),
(206604,111517,'Blurs vision of targets in Area of Effect',100,1,0),
(206605,111517,'Interrupts targets in Area of Effect',100,1,1),
(206606,111517,'2% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(206607,111517,'Blurs vision of target',100,2,3),
(206608,111517,'Stuns target',100,2,4),
(206609,111517,'Throws target back',100,2,5),
(206610,111517,'Does not affect Epic targets',100,2,6),
(206611,10111517,'Blurs vision of targets in Area of Effect',100,1,0),
(206612,10111517,'Interrupts targets in Area of Effect',100,1,1),
(206613,10111517,'2% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(206614,10111517,'Blurs vision of target',100,2,3),
(206615,10111517,'Stuns target',100,2,4),
(206616,10111517,'Throws target back',100,2,5),
(206617,10111517,'Does not affect Epic targets',100,2,6),
(206618,47066,'Applies Gate: Shipyard Cove when Activated.',100,0,0),
(206619,47066,'Teleports caster to a random zone location',100,1,1),
(206620,47066,'This effect cannot be cast during combat',100,1,2),
(206621,10047066,'Applies Gate: Shipyard Cove when Activated.',100,0,0),
(206622,10047066,'Teleports caster to a random zone location',100,1,1),
(206623,10047066,'This effect cannot be cast during combat',100,1,2),
(206624,80925,'When Equipped:',100,0,0),
(206625,80925,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206626,80925,'Inflicts 296 - 551 magic damage on target',100,2,2),
(206627,80925,'Cannot be modified except by direct means',100,2,3),
(206628,10080925,'When Equipped:',100,0,0),
(206629,10080925,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206630,10080925,'Inflicts 385 - 716 magic damage on target',100,2,2),
(206631,10080925,'Cannot be modified except by direct means',100,2,3),
(206632,52743,'Applies Sanguine Imbued when Equipped.',100,0,0),
(206633,52743,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(206634,52743,'Inflicts 86 heat damage on target',100,2,2),
(206635,52743,'Cannot be modified except by direct means',100,2,3),
(206636,10052743,'Applies Sanguine Imbued when Equipped.',100,0,0),
(206637,10052743,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(206638,10052743,'Inflicts 112 heat damage on target',100,2,2),
(206639,10052743,'Cannot be modified except by direct means',100,2,3),
(206640,113952,'Decreases power of target encounter by 74 instantly and every 4 seconds',100,1,0),
(206641,113952,'Increases power of group members (AE) by 31 instantly and every 4 seconds',100,1,1),
(206642,10113952,'Decreases power of target encounter by 74 instantly and every 4 seconds',100,1,0),
(206643,10113952,'Increases power of group members (AE) by 31 instantly and every 4 seconds',100,1,1),
(206644,48522,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(206645,48522,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(206646,48522,'Decreases power of target by 80',100,2,2),
(206647,48522,'Cannot be modified except by direct means',100,2,3),
(206648,48522,'Grants a total of 4 triggers of the spell.',100,2,4),
(206649,10048522,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(206650,10048522,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(206651,10048522,'Decreases power of target by 80',100,2,2),
(206652,10048522,'Cannot be modified except by direct means',100,2,3),
(206653,10048522,'Grants a total of 4 triggers of the spell.',100,2,4),
(206654,143353,'When Equipped:',100,0,0),
(206655,143353,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(206656,143353,'Stifles target',100,2,2),
(206657,143353,'Only affects targets level 102 and below',100,2,3),
(206658,143353,'Does not affect Epic targets',100,2,4),
(206659,143353,'Resistibility increases against targets higher than level 108.',100,2,5),
(206660,143353,'Cannot be modified except by direct means',100,2,6),
(206661,10143353,'When Equipped:',100,0,0),
(206662,10143353,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(206663,10143353,'Stifles target',100,2,2),
(206664,10143353,'Only affects targets level 102 and below',100,2,3),
(206665,10143353,'Does not affect Epic targets',100,2,4),
(206666,10143353,'Resistibility increases against targets higher than level 108.',100,2,5),
(206667,10143353,'Cannot be modified except by direct means',100,2,6),
(206668,163155,'When Equipped:',100,0,0),
(206669,163155,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(206670,163155,'Wards caster against 280 points of all damage',100,2,2),
(206671,163155,'Cannot be modified except by direct means',100,2,3),
(206672,10163155,'When Equipped:',100,0,0),
(206673,10163155,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(206674,10163155,'Wards caster against 280 points of all damage',100,2,2),
(206675,10163155,'Cannot be modified except by direct means',100,2,3),
(206676,116780,'Increases STR, AGI, WIS and INT of target by 19.2',100,1,0),
(206677,116780,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206678,116780,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(206679,116780,'Increases Attack Speed of target by 22.2',100,2,3),
(206680,116780,'Increases Damage Per Second of target by 22.2',100,2,4),
(206681,116780,'Adds 1.5% to base avoidance.',100,1,5),
(206682,116780,'Increases Mitigation of target vs elemental, noxious and arcane damage by 57',100,1,6),
(206683,10116780,'Increases STR, AGI, WIS and INT of target by 19.2',100,1,0),
(206684,10116780,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(206685,10116780,'Increases Ability Casting Speed of target by 7.6%',100,2,2),
(206686,10116780,'Increases Attack Speed of target by 22.2',100,2,3),
(206687,10116780,'Increases Damage Per Second of target by 22.2',100,2,4),
(206688,10116780,'Adds 1.5% to base avoidance.',100,1,5),
(206689,10116780,'Increases Mitigation of target vs elemental, noxious and arcane damage by 57',100,1,6),
(206690,115514,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(206691,115514,'Increases Mitigation of group members (AE) vs noxious damage by 1015',100,1,1),
(206692,10115514,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(206693,10115514,'Increases Mitigation of group members (AE) vs noxious damage by 1015',100,1,1),
(206694,82100,'When Equipped:',100,0,0),
(206695,82100,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206696,82100,'Inflicts 212 - 393 magic damage on target',100,2,2),
(206697,82100,'Cannot be modified except by direct means',100,2,3),
(206698,10082100,'When Equipped:',100,0,0),
(206699,10082100,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206700,10082100,'Inflicts 275 - 511 magic damage on target',100,2,2),
(206701,10082100,'Cannot be modified except by direct means',100,2,3),
(206702,106620,'Inflicts 364 - 444 disease damage on target',100,1,0),
(206703,106620,'Heals caster for 5.1 - 6.3% of max health',100,1,1),
(206704,106620,'This effect cannot be critically applied.',100,2,2),
(206705,106620,'The healing of this spell cannot be modified except by direct means',100,1,3),
(206706,10106620,'Inflicts 473 - 578 disease damage on target',100,1,0),
(206707,10106620,'Heals caster for 1.7 - 2.1% of max health',100,1,1),
(206708,10106620,'This effect cannot be critically applied.',100,2,2),
(206709,10106620,'The healing of this spell cannot be modified except by direct means',100,1,3),
(206710,48778,'Applies Elixir of Vivacity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(206711,48778,'Heals caster for 119',100,1,1),
(206712,48778,'Heals caster for 60 every 5 seconds',100,1,2),
(206713,10048778,'Applies Elixir of Vivacity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(206714,10048778,'Heals caster for 78',100,1,1),
(206715,10048778,'Heals caster for 39 every 5 seconds',100,1,2),
(206716,115110,'Summons 4 limited pets to aid the caster',100,1,0),
(206717,10115110,'Summons 4 limited pets to aid the caster',100,1,0),
(206718,122794,'Heals target for 872',100,1,0),
(206719,10122794,'Heals target for 680',100,1,0),
(206720,46492,'Applies Gnarmy! when Activated.  Lasts for 45.0 seconds.',100,0,0),
(206721,46492,'Summons 4 limited pets to aid the caster',100,1,1),
(206722,10046492,'Applies Gnarmy! when Activated.  Lasts for 45.0 seconds.',100,0,0),
(206723,10046492,'Summons 4 limited pets to aid the caster',100,1,1),
(206724,109421,'Inflicts 55 - 67 cold damage on target instantly and every 4 seconds',100,1,0),
(206725,109421,'Decreases Mitigation of target vs elemental damage by 219',100,1,1),
(206726,10109421,'Inflicts 72 - 88 cold damage on target instantly and every 4 seconds',100,1,0),
(206727,10109421,'Decreases Mitigation of target vs elemental damage by 219',100,1,1),
(206728,159557,'Applies Lambent Imbued when Equipped.',100,0,0),
(206729,159557,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(206730,159557,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(206731,159557,'Cannot be modified except by direct means',100,2,3),
(206732,10159557,'Applies Lambent Imbued when Equipped.',100,0,0),
(206733,10159557,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(206734,10159557,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(206735,10159557,'Cannot be modified except by direct means',100,2,3),
(206736,105560,'Inflicts 214 - 397 disease damage on target',100,1,0),
(206737,105560,'Inflicts 128 - 238 disease damage on target every 2 seconds',100,1,1),
(206738,10105560,'Inflicts 278 - 516 disease damage on target',100,1,0),
(206739,10105560,'Inflicts 167 - 310 disease damage on target every 2 seconds',100,1,1),
(206740,107865,'Decreases Mitigation of target vs elemental damage by 1122',100,1,0),
(206741,107865,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(206742,107865,'Slows target by 44.2%',100,2,2),
(206743,107865,'5% chance to dispel when target receives hostile action',100,2,3),
(206744,107865,'5% chance to dispel when target takes damage',100,2,4),
(206745,10107865,'Decreases Mitigation of target vs elemental damage by 1122',100,1,0),
(206746,10107865,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(206747,10107865,'Slows target by 44.2%',100,2,2),
(206748,10107865,'5% chance to dispel when target receives hostile action',100,2,3),
(206749,10107865,'5% chance to dispel when target takes damage',100,2,4),
(206750,37035,'Increases STR of target by 1.5',100,0,0),
(206751,37035,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(206752,113666,'Inflicts 604 - 738 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(206753,113666,'Decreases power of target encounter by 101 - 123 instantly and every 5 seconds',100,1,1),
(206754,113666,'Heals group members (AE) for 425 - 519 instantly and every 5 seconds',100,1,2),
(206755,113666,'Increases power of group members (AE) by 71 - 87 instantly and every 5 seconds',100,1,3),
(206756,10113666,'Inflicts 785 - 959 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(206757,10113666,'Decreases power of target encounter by 101 - 123 instantly and every 5 seconds',100,1,1),
(206758,10113666,'Heals group members (AE) for 497 - 607 instantly and every 5 seconds',100,1,2),
(206759,10113666,'Increases power of group members (AE) by 71 - 87 instantly and every 5 seconds',100,1,3),
(206760,147142,'When Equipped:',100,0,0),
(206761,147142,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(206762,10147142,'When Equipped:',100,0,0),
(206763,10147142,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(206764,111313,'Increases Attack Speed of caster by 31.6',100,1,0),
(206765,10111313,'Increases Attack Speed of caster by 31.6',100,1,0),
(206766,117146,'Inflicts 343 - 419 heat damage on target instantly and every 4 seconds',100,1,0),
(206767,117146,'Decreases Mitigation of target vs arcane damage by 1186',100,1,1),
(206768,10117146,'Inflicts 445 - 544 heat damage on target instantly and every 4 seconds',100,1,0),
(206769,10117146,'Decreases Mitigation of target vs arcane damage by 1186',100,1,1),
(206770,111563,'Inflicts 3798 - 7054 cold damage on target',100,1,0),
(206771,111563,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(206772,111563,'Blurs vision of target',100,2,2),
(206773,111563,'Stuns target',100,2,3),
(206774,111563,'Throws target back',100,2,4),
(206775,111563,'Does not affect Epic targets',100,2,5),
(206776,10111563,'Inflicts 3571 - 6631 cold damage on target',100,1,0),
(206777,10111563,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(206778,10111563,'Blurs vision of target',100,2,2),
(206779,10111563,'Stuns target',100,2,3),
(206780,10111563,'Throws target back',100,2,4),
(206781,10111563,'Does not affect Epic targets',100,2,5),
(206782,141740,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(206783,141740,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(206784,141740,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(206785,141740,'Cannot be modified except by direct means',100,2,3),
(206786,10141740,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(206787,10141740,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(206788,10141740,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(206789,10141740,'Cannot be modified except by direct means',100,2,3),
(206790,122979,'Inflicts 730 - 988 mental damage on target',100,1,0),
(206791,10122979,'Inflicts 949 - 1284 mental damage on target',100,1,0),
(206792,81034,'When Equipped:',100,0,0),
(206793,81034,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(206794,81034,'Inflicts 226 - 419 magic damage on target',100,2,2),
(206795,81034,'Decreases Threat to target by 517 ',100,2,3),
(206796,81034,'Must be flanking or behind',100,3,4),
(206797,81034,'Increases Threat to target by 517 ',100,2,5),
(206798,81034,'Must be in front of',100,3,6),
(206799,81034,'Cannot be modified except by direct means',100,2,7),
(206800,10081034,'When Equipped:',100,0,0),
(206801,10081034,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(206802,10081034,'Inflicts 293 - 545 magic damage on target',100,2,2),
(206803,10081034,'Cannot be modified except by direct means',100,2,3),
(206804,113811,'Inflicts 54 - 91 disease damage on target',100,1,0),
(206805,10113811,'Inflicts 71 - 118 disease damage on target',100,1,0),
(206806,103518,'Charms target',100,1,0),
(206807,103518,'If outside an arena',100,1,1),
(206808,103518,'Certain enemies cannot be charmed',100,1,2),
(206809,103518,'Does not affect Epic targets',100,1,3),
(206810,10103518,'Mesmerizes target',100,1,0),
(206811,10103518,'Prevents AOE (except when direct) ',100,1,1),
(206812,10103518,'Dispelled when target takes damage',100,1,2),
(206813,10103518,'If outside an arena',100,1,3),
(206814,10103518,'Certain enemies cannot be charmed',100,1,4),
(206815,10103518,'Does not affect Epic targets',100,1,5),
(206816,10103518,'Resistibility increases against targets higher than level 91.',100,1,6),
(206817,120668,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 25.9',100,1,0),
(206818,120668,'Increases Focus of group members (AE) by 52.3',100,1,1),
(206819,10120668,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 25.9',100,1,0),
(206820,10120668,'Increases Focus of group members (AE) by 52.3',100,1,1),
(206821,24169,'Adds Crushbone: Cooking Pot to your Dungeon Maker toolbox',100,0,0),
(206822,10024169,'Adds Crushbone: Cooking Pot to your Dungeon Maker toolbox',100,0,0),
(206823,35927,'Increases Max Power of target by 3.3',100,0,0),
(206824,35927,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(206825,104817,'Increases caster''s chance to block by 10.0%',100,1,0),
(206826,104817,'Decreases Attack Speed of caster by 18.8',100,1,1),
(206827,104817,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(206828,104817,'Increases Parry of caster by 34.8',100,1,3),
(206829,104817,'Increases Defense of caster by 34.8',100,1,4),
(206830,10104817,'Increases caster''s chance to block by 10.0%',100,1,0),
(206831,10104817,'Decreases Attack Speed of caster by 18.8',100,1,1),
(206832,10104817,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(206833,10104817,'Increases Parry of caster by 34.8',100,1,3),
(206834,10104817,'Increases Defense of caster by 34.8',100,1,4),
(206835,104569,'Inflicts 342 - 570 disease damage on target',100,1,0),
(206836,104569,'Decreases WIS of target by 80.3',100,1,1),
(206837,10104569,'Inflicts 444 - 741 disease damage on target',100,1,0),
(206838,10104569,'Decreases WIS of target by 80.3',100,1,1),
(206839,122975,'Inflicts 402 - 543 mental damage on target',100,1,0),
(206840,10122975,'Inflicts 522 - 706 mental damage on target',100,1,0),
(206841,103553,'Increases In-Combat Power Regeneration of group members (AE) by 22.3',100,1,0),
(206842,10103553,'Increases In-Combat Power Regeneration of group members (AE) by 22.3',100,1,0),
(206843,120905,'Inflicts 1218 - 1488 mental damage on target',100,1,0),
(206844,120905,'Stifles target',100,1,1),
(206845,120905,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(206846,120905,'Resistibility increases against targets higher than level 111.',100,1,3),
(206847,10120905,'Inflicts 1583 - 1935 mental damage on target',100,1,0),
(206848,10120905,'Stifles target',100,1,1),
(206849,10120905,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(206850,10120905,'Resistibility increases against targets higher than level 111.',100,1,3),
(206851,42343,'When Equipped:',100,0,0),
(206852,42343,'On a ranged hit this spell may cast Resonating Bands on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206853,42343,'Inflicts 847 - 1035 piercing damage on target',100,2,2),
(206854,42343,'Heals caster for 508 - 621',100,2,3),
(206855,42343,'Cannot be modified except by direct means',100,2,4),
(206856,10042343,'When Equipped:',100,0,0),
(206857,10042343,'On a ranged hit this spell may cast Resonating Bands on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(206858,10042343,'Inflicts 1100 - 1345 piercing damage on target',100,2,2),
(206859,10042343,'Heals caster for 330 - 404',100,2,3),
(206860,10042343,'Cannot be modified except by direct means',100,2,4),
(206861,116334,'Decreases Threat to targets in Area of Effect by 325 ',100,1,0),
(206862,116334,'Makes targets in Area of Effect afraid',100,1,1),
(206863,116334,'30% chance to dispel when target takes damage',100,1,2),
(206864,10116334,'Makes targets in Area of Effect afraid',100,1,0),
(206865,10116334,'30% chance to dispel when target takes damage',100,1,1),
(206866,120184,'Applies Life Draw on termination.',100,1,0),
(206867,120184,'Inflicts 594 - 991 disease damage on target',100,2,1),
(206868,120184,'Heals caster for 9.9 - 12.1% of max health',100,2,2),
(206869,120184,'This effect cannot be critically applied.',100,3,3),
(206870,120184,'The healing of this spell cannot be modified except by direct means',100,2,4),
(206871,120184,'Inflicts 173 - 288 disease damage on target',100,1,5),
(206872,10120184,'Applies Life Draw on termination.',100,1,0),
(206873,10120184,'Inflicts 773 - 1288 disease damage on target',100,2,1),
(206874,10120184,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(206875,10120184,'This effect cannot be critically applied.',100,3,3),
(206876,10120184,'The healing of this spell cannot be modified except by direct means',100,2,4),
(206877,10120184,'Inflicts 225 - 375 disease damage on target',100,1,5),
(206878,104982,'Reduces physical damage done to caster by 5%',100,1,0),
(206879,104982,'Adds 1.4% to base avoidance.',100,1,1),
(206880,104982,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(206881,104982,'Increases Parry of caster by 8.6',100,1,3),
(206882,104982,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(206883,104982,'Increases Aggression of caster by 5.1',100,1,5),
(206884,104982,'Increases Defense and Deflection of caster by 8.6',100,1,6),
(206885,104982,'Increases Mitigation of caster vs arcane damage by 570',100,1,7),
(206886,104982,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(206887,10104982,'Reduces physical damage done to caster by 5%',100,1,0),
(206888,10104982,'Adds 1.4% to base avoidance.',100,1,1),
(206889,10104982,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(206890,10104982,'Increases Parry of caster by 8.6',100,1,3),
(206891,10104982,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(206892,10104982,'Increases Aggression of caster by 5.1',100,1,5),
(206893,10104982,'Increases Defense and Deflection of caster by 8.6',100,1,6),
(206894,10104982,'Increases Mitigation of caster vs arcane damage by 570',100,1,7),
(206895,10104982,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(206896,110288,'Decreases Mitigation of target vs arcane damage by 1224',100,1,0),
(206897,110288,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(206898,110288,'Slows target by 48.2%',100,2,2),
(206899,110288,'5% chance to dispel when target receives hostile action',100,2,3),
(206900,110288,'5% chance to dispel when target takes damage',100,2,4),
(206901,10110288,'Decreases Mitigation of target vs arcane damage by 1224',100,1,0),
(206902,10110288,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(206903,10110288,'Slows target by 48.2%',100,2,2),
(206904,10110288,'5% chance to dispel when target receives hostile action',100,2,3),
(206905,10110288,'5% chance to dispel when target takes damage',100,2,4),
(206906,102933,'Inflicts 78 - 96 disease damage on target instantly and every 4 seconds',100,1,0),
(206907,10102933,'Inflicts 133 - 162 disease damage on target',100,1,0),
(206908,10102933,'Inflicts 102 - 125 disease damage on target every 4 seconds',100,1,1),
(206909,71768,'When Equipped:',100,0,0),
(206910,71768,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206911,71768,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(206912,71768,'Cannot be modified except by direct means',100,2,3),
(206913,10071768,'When Equipped:',100,0,0),
(206914,10071768,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(206915,10071768,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(206916,10071768,'Cannot be modified except by direct means',100,2,3),
(206917,121850,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(206918,121850,'Increases Mitigation of group members (AE) vs arcane damage by 1518',100,1,1),
(206919,10121850,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(206920,10121850,'Increases Mitigation of group members (AE) vs arcane damage by 1518',100,1,1),
(206921,105068,'Inflicts 51 - 69 magic damage on target',100,1,0),
(206922,10105068,'Inflicts 66 - 90 magic damage on target',100,1,0),
(206923,120081,'Inflicts 227 - 379 mental damage on target',100,1,0),
(206924,120081,'Inflicts 227 - 379 mental damage on target',100,1,1),
(206925,120081,'Stifles target',100,1,2),
(206926,120081,'If Target is not Epic',100,2,3),
(206927,120081,'If weapon equipped in Ranged',100,1,4),
(206928,120081,'Resistibility increases against targets higher than level 100.',100,1,5),
(206929,10120081,'Inflicts 258 - 430 mental damage on target',100,1,0),
(206930,10120081,'Inflicts 258 - 430 mental damage on target',100,1,1),
(206931,10120081,'Stifles target',100,1,2),
(206932,10120081,'If Target is not Epic',100,2,3),
(206933,10120081,'If weapon equipped in Ranged',100,1,4),
(206934,10120081,'Resistibility increases against targets higher than level 100.',100,1,5),
(206935,137304,'When Equipped:',100,0,0),
(206936,137304,'Improves the radius by 5 and adds an additional threat position to Wild Beating',100,1,1),
(206937,137304,'Must not be engaged in pvp combat',100,1,2),
(206938,137304,'Cannot be modified except by direct means',100,1,3),
(206939,10137304,'When Equipped:',100,0,0),
(206940,10137304,'Improves the radius by 5 and adds an additional threat position to Wild Beating',100,1,1),
(206941,10137304,'Must not be engaged in pvp combat',100,1,2),
(206942,10137304,'Cannot be modified except by direct means',100,1,3),
(206943,181779,'When Equipped:',100,0,0),
(206944,181779,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(206945,181779,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,2),
(206946,181779,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,3),
(206947,181779,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(206948,181779,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(206949,181779,'Must not be engaged in pvp combat',100,2,6),
(206950,181779,'Cannot be modified except by direct means',100,2,7),
(206951,181779,'Must not be engaged in pvp combat',100,1,8),
(206952,10181779,'When Equipped:',100,0,0),
(206953,10181779,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(206954,10181779,'Inflicts 6580 - 7273 piercing damage on target encounter',100,2,2),
(206955,10181779,'Inflicts 823 - 909 piercing damage on target encounter every 2 seconds',100,2,3),
(206956,10181779,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(206957,10181779,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(206958,10181779,'Must not be engaged in pvp combat',100,2,6),
(206959,10181779,'Cannot be modified except by direct means',100,2,7),
(206960,10181779,'Must not be engaged in pvp combat',100,1,8),
(206961,120002,'Increases Threat to target by 1,112 - 1,359 ',100,1,0),
(206962,10120002,'Prevents target from changing targets',100,1,0),
(206963,10120002,'Forces target to change their selected target to caster.',100,1,1),
(206964,162092,'When Equipped:',100,0,0),
(206965,162092,'When damaged with a melee weapon this spell has a 4% chance to cast Krakenshell on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(206966,162092,'Increases caster''s chance to block by 10.0%',100,2,2),
(206967,162092,'Cannot be modified except by direct means',100,2,3),
(206968,10162092,'When Equipped:',100,0,0),
(206969,10162092,'When damaged with a melee weapon this spell has a 4% chance to cast Krakenshell on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(206970,10162092,'Increases caster''s chance to block by 10.0%',100,2,2),
(206971,10162092,'Cannot be modified except by direct means',100,2,3),
(206972,105951,'Inflicts 243 - 296 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(206973,105951,'Inflicts 565 - 943 disease damage on targets in area',100,1,1),
(206974,10105951,'Inflicts 315 - 385 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(206975,10105951,'Inflicts 735 - 1226 disease damage on targets in area',100,1,1),
(206976,50021,'When Equipped:',100,0,0),
(206977,50021,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(206978,10050021,'When Equipped:',100,0,0),
(206979,10050021,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(206980,111782,'Shapechanges target into a ratonga',100,1,0),
(206981,10111782,'Shapechanges target into a ratonga',100,1,0),
(206982,36804,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(206983,102069,'Inflicts 557 - 928 melee damage on targets in area',100,1,0),
(206984,102069,'Interrupts targets in Area of Effect',100,1,1),
(206985,10102069,'Inflicts 724 - 1207 melee damage on targets in area',100,1,0),
(206986,10102069,'Interrupts targets in Area of Effect',100,1,1),
(206987,107032,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(206988,107032,'Inflicts 50 - 83 divine damage on target',100,2,1),
(206989,107032,'Inflicts 50 - 83 divine damage on target',100,2,2),
(206990,107032,'If target is undead',100,3,3),
(206991,10107032,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(206992,10107032,'Inflicts 108 - 180 divine damage on target',100,2,1),
(206993,104485,'Decreases Mitigation of target encounter vs physical damage by 494',100,1,0),
(206994,10104485,'Decreases Mitigation of target encounter vs physical damage by 494',100,1,0),
(206995,79789,'When Equipped:',100,0,0),
(206996,79789,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(206997,79789,'Inflicts 270 mental damage on target',100,2,2),
(206998,79789,'Must not be classified as a yha-lei',100,3,3),
(206999,79789,'Inflicts 540 mental damage on target',100,2,4),
(207000,79789,'Must be classified as a yha-lei',100,3,5),
(207001,79789,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(207002,79789,'Must be classified as a yha-lei',100,3,7),
(207003,79789,'Cannot be modified except by direct means',100,2,8),
(207004,79789,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(207005,10079789,'When Equipped:',100,0,0),
(207006,10079789,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(207007,10079789,'Inflicts 351 mental damage on target',100,2,2),
(207008,10079789,'Must not be classified as a yha-lei',100,3,3),
(207009,10079789,'Inflicts 702 mental damage on target',100,2,4),
(207010,10079789,'Must be classified as a yha-lei',100,3,5),
(207011,10079789,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(207012,10079789,'Must be classified as a yha-lei',100,3,7),
(207013,10079789,'Cannot be modified except by direct means',100,2,8),
(207014,10079789,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(207015,113285,'Inflicts 29 - 49 heat damage on target',100,1,0),
(207016,10113285,'Inflicts 57 - 96 heat damage on target',100,1,0),
(207017,120005,'Increases Threat to target by 1,019 - 1,246 ',100,1,0),
(207018,10120005,'Prevents target from changing targets',100,1,0),
(207019,10120005,'Forces target to change their selected target to caster.',100,1,1),
(207020,117450,'Inflicts 581 - 969 melee damage on target',100,1,0),
(207021,117450,'You must be sneaking to use this ability.',100,1,1),
(207022,117450,'Must be flanking or behind',100,1,2),
(207023,10117450,'Inflicts 468 - 781 melee damage on target',100,1,0),
(207024,10117450,'You must be sneaking to use this ability.',100,1,1),
(207025,10117450,'Must be flanking or behind',100,1,2),
(207026,81347,'When Equipped:',100,0,0),
(207027,81347,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207028,81347,'Inflicts 121 - 225 magic damage on target',100,2,2),
(207029,81347,'Decreases Threat to target by 352 ',100,2,3),
(207030,81347,'Must be flanking or behind',100,3,4),
(207031,81347,'Increases Threat to target by 352 ',100,2,5),
(207032,81347,'Must be in front of',100,3,6),
(207033,81347,'Cannot be modified except by direct means',100,2,7),
(207034,10081347,'When Equipped:',100,0,0),
(207035,10081347,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207036,10081347,'Inflicts 157 - 292 magic damage on target',100,2,2),
(207037,10081347,'Cannot be modified except by direct means',100,2,3),
(207038,121905,'Inflicts 91 - 152 mental damage on target encounter',100,1,0),
(207039,121905,'Increases power of group members (AE) by 48 - 81',100,1,1),
(207040,10121905,'Inflicts 118 - 197 mental damage on target encounter',100,1,0),
(207041,10121905,'Increases power of group members (AE) by 48 - 81',100,1,1),
(207042,123491,'Decreases Mitigation of target encounter vs noxious damage by 324',100,1,0),
(207043,10123491,'Decreases Mitigation of target encounter vs noxious damage by 324',100,1,0),
(207044,114244,'Inflicts 589 - 720 mental damage on target',100,1,0),
(207045,114244,'Stuns target',100,1,1),
(207046,114244,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(207047,114244,'Resistibility increases against targets higher than level 84.',100,1,3),
(207048,10114244,'Inflicts 766 - 937 mental damage on target',100,1,0),
(207049,10114244,'Requires not being affected by Mesmerize effects.',100,2,1),
(207050,10114244,'Stuns target',100,1,2),
(207051,10114244,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(207052,10114244,'Resistibility increases against targets higher than level 84.',100,1,4),
(207053,122537,'Heals caster for 306',100,1,0),
(207054,122537,'Inflicts 655 - 1091 melee damage on target',100,1,1),
(207055,10122537,'Heals caster for 358',100,1,0),
(207056,10122537,'Inflicts 851 - 1419 melee damage on target',100,1,1),
(207057,26523,'When Equipped:',100,0,0),
(207058,26523,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(207059,26523,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(207060,10026523,'When Equipped:',100,0,0),
(207061,10026523,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(207062,10026523,'Adds Strength, Wisdom and Agility to Flash of Brilliance VI.',100,1,2),
(207063,107434,'Summons a pet earthen avatar',100,1,0),
(207064,10107434,'Summons a pet earthen avatar',100,1,0),
(207065,82882,'When Equipped:',100,0,0),
(207066,82882,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207067,82882,'Inflicts 350 - 650 magic damage on target',100,2,2),
(207068,82882,'Decreases Threat to target by 833 ',100,2,3),
(207069,82882,'Must be flanking or behind',100,3,4),
(207070,82882,'Increases Threat to target by 833 ',100,2,5),
(207071,82882,'Must be in front of',100,3,6),
(207072,82882,'Cannot be modified except by direct means',100,2,7),
(207073,10082882,'When Equipped:',100,0,0),
(207074,10082882,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207075,10082882,'Inflicts 455 - 845 magic damage on target',100,2,2),
(207076,10082882,'Cannot be modified except by direct means',100,2,3),
(207077,111822,'Inflicts 121 - 203 melee damage on target',100,1,0),
(207078,111822,'Roots target',100,1,1),
(207079,111822,'If Target is not Epic',100,2,2),
(207080,111822,'Resistibility increases against targets higher than level 56.',100,1,3),
(207081,10111822,'Inflicts 142 - 238 melee damage on target',100,1,0),
(207082,10111822,'Roots target',100,1,1),
(207083,10111822,'If Target is not Epic',100,2,2),
(207084,10111822,'Resistibility increases against targets higher than level 56.',100,1,3),
(207085,104943,'Inflicts 445 - 742 melee damage on target',100,1,0),
(207086,104943,'Decreases Defense of target by 18.8',100,1,1),
(207087,104943,'Must be behind',100,1,2),
(207088,10104943,'Inflicts 579 - 965 melee damage on target',100,1,0),
(207089,10104943,'Decreases Defense of target by 18.8',100,1,1),
(207090,10104943,'Must be behind',100,1,2),
(207091,84396,'Applies Horrifying Impact when Activated.',100,0,0),
(207092,84396,'Inflicts 3438 mental damage on targets in Area of Effect',100,1,1),
(207093,84396,'The casting time of Horrifying Impact is 3.0 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(207094,10084396,'Applies Horrifying Impact when Activated.',100,0,0),
(207095,10084396,'Inflicts 2235 mental damage on targets in Area of Effect',100,1,1),
(207096,10084396,'The casting time of Horrifying Impact is 3.0 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(207097,109779,'Decreases Mitigation of target vs arcane damage by 188',100,1,0),
(207098,109779,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',100,1,1),
(207099,10109779,'Decreases Mitigation of target vs arcane damage by 188',100,1,0),
(207100,10109779,'Inflicts 31 - 38 mental damage on target instantly and every 6 seconds',100,1,1),
(207101,175351,'When Equipped:',100,0,0),
(207102,175351,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(207103,175351,'Stuns target',100,2,2),
(207104,175351,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(207105,175351,'Resistibility increases against targets higher than level 54.',100,2,4),
(207106,175351,'Cannot be modified except by direct means',100,2,5),
(207107,10175351,'When Equipped:',100,0,0),
(207108,10175351,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(207109,10175351,'Stuns target',100,2,2),
(207110,10175351,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(207111,10175351,'Resistibility increases against targets higher than level 54.',100,2,4),
(207112,10175351,'Cannot be modified except by direct means',100,2,5),
(207113,37236,'Increases STA and WIS of target by 1.1',100,0,0),
(207114,37236,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(207115,106306,'Decreases INT and STR of target by 16.7',100,1,0),
(207116,10106306,'Decreases INT and STR of target by 16.7',100,1,0),
(207117,52922,'Applies Sanguine Imbued when Equipped.',100,0,0),
(207118,52922,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(207119,52922,'Inflicts 261 heat damage on target',100,2,2),
(207120,52922,'Cannot be modified except by direct means',100,2,3),
(207121,10052922,'Applies Sanguine Imbued when Equipped.',100,0,0),
(207122,10052922,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(207123,10052922,'Inflicts 339 heat damage on target',100,2,2),
(207124,10052922,'Cannot be modified except by direct means',100,2,3),
(207125,82639,'When Equipped:',100,0,0),
(207126,82639,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207127,82639,'Inflicts 104 - 194 magic damage on target',100,2,2),
(207128,82639,'Cannot be modified except by direct means',100,2,3),
(207129,10082639,'When Equipped:',100,0,0),
(207130,10082639,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207131,10082639,'Inflicts 136 - 252 magic damage on target',100,2,2),
(207132,10082639,'Cannot be modified except by direct means',100,2,3),
(207133,101748,'Increases Max Power of target by 70.1',100,1,0),
(207134,101748,'Increases Max Health of target by 93.0',100,1,1),
(207135,10101748,'Increases Max Power of target by 70.1',100,1,0),
(207136,10101748,'Increases Max Health of target by 93.0',100,1,1),
(207137,71989,'When Equipped:',100,0,0),
(207138,71989,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207139,71989,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(207140,71989,'Cannot be modified except by direct means',100,2,3),
(207141,10071989,'When Equipped:',100,0,0),
(207142,10071989,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207143,10071989,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(207144,10071989,'Cannot be modified except by direct means',100,2,3),
(207145,103293,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(207146,103293,'If Fighter',100,2,1),
(207147,103293,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(207148,103293,'Increases power of target by 36 instantly and every 4 seconds',100,2,3),
(207149,103293,'Increases power of caster by 36 instantly and every 4 seconds',100,2,4),
(207150,10103293,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(207151,10103293,'Increases power of target by 36 instantly and every 4 seconds',100,2,1),
(207152,10103293,'Increases power of caster by 36 instantly and every 4 seconds',100,2,2),
(207153,112662,'Inflicts 465 - 775 disease damage on target',100,1,0),
(207154,112662,'Inflicts 465 - 775 disease damage on target',100,1,1),
(207155,112662,'Roots target',100,1,2),
(207156,112662,'If Target is not Epic',100,2,3),
(207157,112662,'15% chance to dispel when target takes damage',100,1,4),
(207158,112662,'If weapon equipped in Ranged',100,1,5),
(207159,112662,'Resistibility increases against targets higher than level 110.',100,1,6),
(207160,10112662,'Inflicts 395 - 658 disease damage on target',100,1,0),
(207161,10112662,'Inflicts 395 - 658 disease damage on target',100,1,1),
(207162,10112662,'Roots target',100,1,2),
(207163,10112662,'If Target is not Epic',100,2,3),
(207164,10112662,'15% chance to dispel when target takes damage',100,1,4),
(207165,10112662,'If weapon equipped in Ranged',100,1,5),
(207166,10112662,'Resistibility increases against targets higher than level 110.',100,1,6),
(207167,46157,'Applies Wurm Stun when Activated.',100,0,0),
(207168,46157,'Must be in Eastern Wastes.',100,1,1),
(207169,10046157,'Applies Wurm Stun when Activated.',100,0,0),
(207170,10046157,'Must be in Eastern Wastes.',100,1,1),
(207171,35834,'Increases AGI of target by 1.5',100,0,0),
(207172,35834,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(207173,114378,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(207174,114378,'Stuns target',100,2,1),
(207175,114378,'Blurs vision of target',100,2,2),
(207176,114378,'Throws target back',100,2,3),
(207177,114378,'Does not affect Epic targets',100,2,4),
(207178,114378,'Inflicts 467 - 778 crushing damage on target',100,1,5),
(207179,10114378,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(207180,10114378,'Stuns target',100,2,1),
(207181,10114378,'Throws target back',100,2,2),
(207182,10114378,'Blurs vision of target',100,2,3),
(207183,10114378,'Does not affect Epic targets',100,2,4),
(207184,10114378,'Inflicts 607 - 1012 crushing damage on target',100,1,5),
(207185,105890,'Inflicts 173 - 289 ranged damage on target',100,1,0),
(207186,105890,'Inflicts 173 - 289 ranged damage on target',100,1,1),
(207187,105890,'If weapon equipped in Ranged',100,1,2),
(207188,10105890,'Inflicts 147 - 246 ranged damage on target',100,1,0),
(207189,10105890,'Inflicts 147 - 246 ranged damage on target',100,1,1),
(207190,10105890,'If weapon equipped in Ranged',100,1,2),
(207191,123087,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',100,1,0),
(207192,123087,'Roots target',100,2,1),
(207193,123087,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(207194,123087,'Slows target by 63.0%',100,3,3),
(207195,123087,'5% chance to dispel when target receives hostile action',100,3,4),
(207196,123087,'5% chance to dispel when target takes damage',100,3,5),
(207197,123087,'5% chance to dispel when target takes damage',100,2,6),
(207198,123087,'Does not affect Epic targets',100,2,7),
(207199,123087,'Resistibility increases against targets higher than level 76.',100,2,8),
(207200,123087,'Decreases AGI of target encounter by 58.6',100,1,9),
(207201,10123087,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(207202,10123087,'Roots target',100,2,1),
(207203,10123087,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(207204,10123087,'Slows target by 63.0%',100,3,3),
(207205,10123087,'5% chance to dispel when target receives hostile action',100,3,4),
(207206,10123087,'5% chance to dispel when target takes damage',100,3,5),
(207207,10123087,'5% chance to dispel when target takes damage',100,2,6),
(207208,10123087,'Does not affect Epic targets',100,2,7),
(207209,10123087,'Resistibility increases against targets higher than level 76.',100,2,8),
(207210,10123087,'Decreases AGI of target encounter by 58.6',100,1,9),
(207211,80722,'When Equipped:',100,0,0),
(207212,80722,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207213,80722,'Inflicts 75 - 138 magic damage on target',100,2,2),
(207214,80722,'Cannot be modified except by direct means',100,2,3),
(207215,10080722,'When Equipped:',100,0,0),
(207216,10080722,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207217,10080722,'Inflicts 97 - 180 magic damage on target',100,2,2),
(207218,10080722,'Cannot be modified except by direct means',100,2,3),
(207219,102132,'Inflicts 54 - 90 melee damage on target',100,1,0),
(207220,102132,'Inflicts 54 - 90 melee damage on target',100,1,1),
(207221,10102132,'Inflicts 70 - 118 melee damage on target',100,1,0),
(207222,10102132,'Inflicts 70 - 118 melee damage on target',100,1,1),
(207223,170680,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(207224,170680,'Decreases Mitigation of target vs physical damage by 225',100,1,1),
(207225,170680,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(207226,10170680,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(207227,10170680,'Decreases Mitigation of target vs physical damage by 225',100,1,1),
(207228,10170680,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(207229,72093,'When Equipped:',100,0,0),
(207230,72093,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207231,72093,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(207232,72093,'Cannot be modified except by direct means',100,2,3),
(207233,10072093,'When Equipped:',100,0,0),
(207234,10072093,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207235,10072093,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(207236,10072093,'Cannot be modified except by direct means',100,2,3),
(207237,122272,'Makes targets in Area of Effect afraid',100,1,0),
(207238,122272,'If Target is not Epic',100,2,1),
(207239,122272,'Decreases Threat to targets in Area of Effect by 1,661 ',100,1,2),
(207240,122272,'30% chance to dispel when target takes damage',100,1,3),
(207241,10122272,'Makes targets in Area of Effect afraid',100,1,0),
(207242,10122272,'If Target is not Epic',100,2,1),
(207243,10122272,'Applies Distract.',100,1,2),
(207244,10122272,'Forces target to clear their selected target.',100,2,3),
(207245,10122272,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(207246,10122272,'30% chance to dispel when target takes damage',100,1,5),
(207247,159458,'Applies Lambent Imbued when Equipped.',100,0,0),
(207248,159458,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207249,159458,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(207250,159458,'Cannot be modified except by direct means',100,2,3),
(207251,10159458,'Applies Lambent Imbued when Equipped.',100,0,0),
(207252,10159458,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207253,10159458,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(207254,10159458,'Cannot be modified except by direct means',100,2,3),
(207255,87212,'When Equipped:',100,0,0),
(207256,87212,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207257,87212,'Inflicts 76 - 114 magic damage on target',100,2,2),
(207258,87212,'Cannot be modified except by direct means',100,2,3),
(207259,10087212,'When Equipped:',100,0,0),
(207260,10087212,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207261,10087212,'Inflicts 98 - 148 magic damage on target',100,2,2),
(207262,10087212,'Cannot be modified except by direct means',100,2,3),
(207263,124840,'Summons a pet Zhog, Ghoz''s Little Brother',100,1,0),
(207264,10124840,'Summons a pet Zhog, Ghoz''s Little Brother',100,1,0),
(207265,104091,'Inflicts 412 - 687 mental damage on target',100,1,0),
(207266,104091,'Inflicts 412 - 687 mental damage on target',100,1,1),
(207267,10104091,'Inflicts 536 - 894 mental damage on target',100,1,0),
(207268,10104091,'Inflicts 536 - 894 mental damage on target',100,1,1),
(207269,35786,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(207270,121691,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(207271,121691,'Inflicts 62 - 76 heat damage on target instantly and every second',100,2,1),
(207272,10121691,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(207273,10121691,'Inflicts 81 - 99 heat damage on target instantly and every second',100,2,1),
(207274,114837,'Dazes caster',100,1,0),
(207275,114837,'Roots caster',100,1,1),
(207276,114837,'Increases Mitigation of caster vs physical damage by 1802',100,1,2),
(207277,10114837,'Dazes caster',100,1,0),
(207278,10114837,'Roots caster',100,1,1),
(207279,10114837,'Increases Mitigation of caster vs physical damage by 1802',100,1,2),
(207280,102399,'Inflicts 638 - 1185 melee damage on targets in area',100,1,0),
(207281,10102399,'Inflicts 830 - 1541 melee damage on targets in area',100,1,0),
(207282,80423,'When Equipped:',100,0,0),
(207283,80423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207284,80423,'Inflicts 70 - 131 magic damage on target',100,2,2),
(207285,80423,'Cannot be modified except by direct means',100,2,3),
(207286,10080423,'When Equipped:',100,0,0),
(207287,10080423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207288,10080423,'Inflicts 91 - 170 magic damage on target',100,2,2),
(207289,10080423,'Cannot be modified except by direct means',100,2,3),
(207290,124714,'Heals group members (AE) for 571 - 698',100,1,0),
(207291,10124714,'Heals group members (AE) for 693 - 847',100,1,0),
(207292,111881,'Inflicts 458 - 850 heat damage on target',100,1,0),
(207293,111881,'Inflicts 172 - 319 heat damage on target every 2 seconds',100,1,1),
(207294,10111881,'Inflicts 595 - 1105 heat damage on target',100,1,0),
(207295,10111881,'Inflicts 223 - 414 heat damage on target every 2 seconds',100,1,1),
(207296,120067,'Inflicts 135 - 225 mental damage on target',100,1,0),
(207297,120067,'Inflicts 135 - 225 mental damage on target',100,1,1),
(207298,120067,'Stifles target',100,1,2),
(207299,120067,'If Target is not Epic',100,2,3),
(207300,120067,'If weapon equipped in Ranged',100,1,4),
(207301,120067,'Resistibility increases against targets higher than level 59.',100,1,5),
(207302,10120067,'Inflicts 153 - 255 mental damage on target',100,1,0),
(207303,10120067,'Inflicts 153 - 255 mental damage on target',100,1,1),
(207304,10120067,'Stifles target',100,1,2),
(207305,10120067,'If Target is not Epic',100,2,3),
(207306,10120067,'If weapon equipped in Ranged',100,1,4),
(207307,10120067,'Resistibility increases against targets higher than level 59.',100,1,5),
(207308,104693,'Decreases Mitigation of target vs all damage by 559',100,1,0),
(207309,10104693,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 559',100,1,0),
(207310,10104693,'Decreases Mitigation of target vs physical damage by 466',100,1,1),
(207311,189181,'When Equipped:',100,0,0),
(207312,189181,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207313,189181,'Increases Threat to target by 600 ',100,2,2),
(207314,189181,'Cannot be modified except by direct means',100,2,3),
(207315,10189181,'When Equipped:',100,0,0),
(207316,10189181,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207317,10189181,'Cannot be modified except by direct means',100,2,2),
(207318,82317,'When Equipped:',100,0,0),
(207319,82317,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207320,82317,'Inflicts 288 - 534 magic damage on target',100,2,2),
(207321,82317,'Decreases Threat to target by 672 ',100,2,3),
(207322,82317,'Must be flanking or behind',100,3,4),
(207323,82317,'Increases Threat to target by 672 ',100,2,5),
(207324,82317,'Must be in front of',100,3,6),
(207325,82317,'Cannot be modified except by direct means',100,2,7),
(207326,10082317,'When Equipped:',100,0,0),
(207327,10082317,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(207328,10082317,'Inflicts 374 - 695 magic damage on target',100,2,2),
(207329,10082317,'Cannot be modified except by direct means',100,2,3),
(207330,46926,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(207331,46926,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(207332,46926,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(207333,46926,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(207334,46926,'Cannot be modified except by direct means',100,2,4),
(207335,46926,'Grants a total of 80 triggers of the spell.',100,2,5),
(207336,10046926,'Applies agonizing invulnerability when Activated.  Lasts for 12 hours.',100,0,0),
(207337,10046926,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(207338,10046926,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(207339,10046926,'Decreases Mitigation of target vs physical damage by 88',100,2,3),
(207340,10046926,'Cannot be modified except by direct means',100,2,4),
(207341,10046926,'Grants a total of 80 triggers of the spell.',100,2,5),
(207342,188357,'When Equipped:',100,0,0),
(207343,188357,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(207344,188357,'Heals group members (AE) for 2624',100,2,2),
(207345,188357,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(207346,188357,'Must not be engaged in pvp combat',100,2,4),
(207347,188357,'Cannot be modified except by direct means',100,2,5),
(207348,188357,'Must not be engaged in pvp combat',100,1,6),
(207349,10188357,'When Equipped:',100,0,0),
(207350,10188357,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(207351,10188357,'Heals group members (AE) for 3071',100,2,2),
(207352,10188357,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(207353,10188357,'Must not be engaged in pvp combat',100,2,4),
(207354,10188357,'Cannot be modified except by direct means',100,2,5),
(207355,10188357,'Must not be engaged in pvp combat',100,1,6),
(207356,27096,'When Equipped:',100,0,0),
(207357,27096,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(207358,27096,'Inflicts 106 disease damage on target',100,2,2),
(207359,27096,'Cancels up to 5.8% of target''s speed buffs',100,2,3),
(207360,27096,'Cannot be modified except by direct means',100,2,4),
(207361,10027096,'When Equipped:',100,0,0),
(207362,10027096,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(207363,10027096,'Inflicts 138 disease damage on target',100,2,2),
(207364,10027096,'Cancels up to 5.8% of target''s speed buffs',100,2,3),
(207365,10027096,'Cannot be modified except by direct means',100,2,4),
(207366,114065,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(207367,114065,'Grants stealth to caster',100,2,1),
(207368,114065,'Suspends caster''s movement speed enhancements',100,2,2),
(207369,114065,'Inflicts 267 - 445 melee damage on target',100,1,3),
(207370,114065,'Must be flanking or behind',100,1,4),
(207371,10114065,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(207372,10114065,'Grants stealth to caster',100,2,1),
(207373,10114065,'Suspends caster''s movement speed enhancements',100,2,2),
(207374,10114065,'Inflicts 520 - 868 melee damage on target',100,1,3),
(207375,10114065,'Must be flanking or behind',100,1,4),
(207376,163284,'Applies Burrowing Swarm VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(207377,163284,'Inflicts 170 - 208 poison damage on target',100,1,1),
(207378,163284,'Inflicts 213 - 260 poison damage on target every second',100,1,2),
(207379,163284,'Inflicts an additional 85 - 104 poison damage on target every tick',100,1,3),
(207380,163284,'Applies Boneshatter VII on termination.',100,1,4),
(207381,163284,'Inflicts 6747 - 7458 crushing damage on targets in Area of Effect',100,2,5),
(207382,163284,'Must not be engaged in pvp combat',100,2,6),
(207383,163284,'Cannot be modified except by direct means',100,2,7),
(207384,163284,'Must not be engaged in pvp combat',100,1,8),
(207385,163284,'Cannot be modified except by direct means',100,1,9),
(207386,163284,'The reuse time of Burrowing Swarm VII is 10 minutes',100,1,10),
(207387,10163284,'Applies Burrowing Swarm VII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(207388,10163284,'Inflicts 222 - 271 poison damage on target',100,1,1),
(207389,10163284,'Inflicts 277 - 339 poison damage on target every second',100,1,2),
(207390,10163284,'Inflicts an additional 85 - 104 poison damage on target every tick',100,1,3),
(207391,10163284,'Applies Boneshatter VII on termination.',100,1,4),
(207392,10163284,'Inflicts 8772 - 9695 crushing damage on targets in Area of Effect',100,2,5),
(207393,10163284,'Must not be engaged in pvp combat',100,2,6),
(207394,10163284,'Cannot be modified except by direct means',100,2,7),
(207395,10163284,'Must not be engaged in pvp combat',100,1,8),
(207396,10163284,'Cannot be modified except by direct means',100,1,9),
(207397,10163284,'The reuse time of Burrowing Swarm VII is 10 minutes',100,1,10),
(207398,48793,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(207399,48793,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(207400,48793,'Inflicts 61 poison damage on target',100,2,2),
(207401,48793,'Inflicts 161 poison damage on target instantly and every 6 seconds',100,2,3),
(207402,48793,'Cannot be modified except by direct means',100,2,4),
(207403,48793,'Grants a total of 200 triggers of the spell.',100,2,5),
(207404,10048793,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(207405,10048793,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(207406,10048793,'Inflicts 60 poison damage on target',100,2,2),
(207407,10048793,'Inflicts 157 poison damage on target instantly and every 6 seconds',100,2,3),
(207408,10048793,'Cannot be modified except by direct means',100,2,4),
(207409,10048793,'Grants a total of 200 triggers of the spell.',100,2,5),
(207410,37059,'Increases INT and WIS of target by 1.1',100,0,0),
(207411,37059,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(207412,116345,'Mesmerizes target encounter',100,1,0),
(207413,116345,'Prevents AOE (except when direct) ',100,1,1),
(207414,116345,'Dispelled when target takes damage',100,1,2),
(207415,116345,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(207416,116345,'Resistibility increases against targets higher than level 66.',100,1,4),
(207417,10116345,'Mesmerizes target encounter',100,1,0),
(207418,10116345,'Prevents AOE (except when direct) ',100,1,1),
(207419,10116345,'Dispelled when target takes damage',100,1,2),
(207420,10116345,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(207421,10116345,'Resistibility increases against targets higher than level 66.',100,1,4),
(207422,45956,'Applies Unbreakable when Activated.  Lasts for 12.0 seconds.',100,0,0),
(207423,45956,'Makes caster immune to Stun effects',100,1,1),
(207424,45956,'Gives caster an extra 10.0% mitigation to their worn armor',100,1,2),
(207425,45956,'Must have Discord''s Fallen Foe Token of Perseverance equipped.',100,1,3),
(207426,45956,'Must be engaged in pvp combat',100,1,4),
(207427,10045956,'Applies Unbreakable when Activated.  Lasts for 12.0 seconds.',100,0,0),
(207428,10045956,'Makes caster immune to Stun effects',100,1,1),
(207429,10045956,'Gives caster an extra 10.0% mitigation to their worn armor',100,1,2),
(207430,10045956,'Must have Discord''s Fallen Foe Token of Perseverance equipped.',100,1,3),
(207431,10045956,'Must be engaged in pvp combat',100,1,4),
(207432,47128,'Applies Blessed Tonic Water  when Activated.',100,0,0),
(207433,47128,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(207434,10047128,'Applies Blessed Tonic Water  when Activated.',100,0,0),
(207435,10047128,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(207436,180862,'Applies Will of the Hounds when Activated.  Lasts for 30.0 seconds.',100,0,0),
(207437,180862,'Increases Crit Bonus of caster by 50.0%',100,1,1),
(207438,180862,'Makes caster immune to Stifle effects',100,1,2),
(207439,180862,'5% of all physical damage received by the caster is prevented.',100,1,3),
(207440,180862,'Must not be engaged in pvp combat',100,1,4),
(207441,180862,'Cannot be modified except by direct means',100,1,5),
(207442,180862,'The casting time of Will of the Hounds is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,6),
(207443,10180862,'Applies Will of the Hounds when Activated.  Lasts for 30.0 seconds.',100,0,0),
(207444,10180862,'Increases Crit Bonus of caster by 50.0%',100,1,1),
(207445,10180862,'Makes caster immune to Stifle effects',100,1,2),
(207446,10180862,'5% of all physical damage received by the caster is prevented.',100,1,3),
(207447,10180862,'Must not be engaged in pvp combat',100,1,4),
(207448,10180862,'Cannot be modified except by direct means',100,1,5),
(207449,10180862,'The casting time of Will of the Hounds is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,6),
(207450,121667,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(207451,121667,'Inflicts 16 - 20 heat damage on target instantly and every second',100,2,1),
(207452,10121667,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(207453,10121667,'Inflicts 21 - 26 heat damage on target instantly and every second',100,2,1),
(207454,36104,'Increases INT of target by 1.5',100,0,0),
(207455,36104,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(207456,123731,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(207457,10123731,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(207458,111608,'Inflicts 75 - 139 cold damage on target instantly and every 4 seconds',100,1,0),
(207459,111608,'Decreases Mitigation of target vs elemental damage by 828',100,1,1),
(207460,10111608,'Inflicts 97 - 180 cold damage on target instantly and every 4 seconds',100,1,0),
(207461,10111608,'Decreases Mitigation of target vs elemental damage by 828',100,1,1),
(207462,159405,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(207463,159405,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207464,159405,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(207465,159405,'Cannot be modified except by direct means',100,2,3),
(207466,10159405,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(207467,10159405,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207468,10159405,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(207469,10159405,'Cannot be modified except by direct means',100,2,3),
(207470,24089,'Adds Chardok: Full Stone Book Case to your Dungeon Maker toolbox',100,0,0),
(207471,10024089,'Adds Chardok: Full Stone Book Case to your Dungeon Maker toolbox',100,0,0),
(207472,100536,'Heals group members (AE) for 363 - 443',100,1,0),
(207473,10100536,'Heals group members (AE) for 440 - 538',100,1,0),
(207474,112648,'Inflicts 224 - 374 disease damage on target',100,1,0),
(207475,112648,'Inflicts 224 - 374 disease damage on target',100,1,1),
(207476,112648,'Roots target',100,1,2),
(207477,112648,'If Target is not Epic',100,2,3),
(207478,112648,'15% chance to dispel when target takes damage',100,1,4),
(207479,112648,'If weapon equipped in Ranged',100,1,5),
(207480,112648,'Resistibility increases against targets higher than level 87.',100,1,6),
(207481,10112648,'Inflicts 191 - 318 disease damage on target',100,1,0),
(207482,10112648,'Inflicts 191 - 318 disease damage on target',100,1,1),
(207483,10112648,'Roots target',100,1,2),
(207484,10112648,'If Target is not Epic',100,2,3),
(207485,10112648,'15% chance to dispel when target takes damage',100,1,4),
(207486,10112648,'If weapon equipped in Ranged',100,1,5),
(207487,10112648,'Resistibility increases against targets higher than level 87.',100,1,6),
(207488,43517,'When Equipped:',100,0,0),
(207489,43517,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(207490,43517,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(207491,43517,'Wards target against 4400 points of all damage',100,2,3),
(207492,43517,'Must not be engaged in pvp combat',100,2,4),
(207493,43517,'Cannot be modified except by direct means',100,2,5),
(207494,43517,'Cannot be modified except by direct means',100,1,6),
(207495,10043517,'When Equipped:',100,0,0),
(207496,10043517,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(207497,10043517,'On a critical healing spell cast this spell may cast Aegis II on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(207498,10043517,'Wards target against 4400 points of all damage',100,2,3),
(207499,10043517,'Must not be engaged in pvp combat',100,2,4),
(207500,10043517,'Cannot be modified except by direct means',100,2,5),
(207501,10043517,'Cannot be modified except by direct means',100,1,6),
(207502,110606,'Decreases Focus of target by 22.3',100,1,0),
(207503,110606,'Interrupts target',100,1,1),
(207504,110606,'Inflicts 132 - 398 crushing damage on target',100,1,2),
(207505,10110606,'Decreases Focus of target by 22.3',100,1,0),
(207506,10110606,'Interrupts target',100,1,1),
(207507,10110606,'Inflicts 172 - 518 crushing damage on target',100,1,2),
(207508,188259,'When Equipped:',100,0,0),
(207509,188259,'1% of all damage received by the caster is prevented.',100,1,1),
(207510,188259,'Must not be engaged in pvp combat',100,1,2),
(207511,10188259,'When Equipped:',100,0,0),
(207512,10188259,'1% of all damage received by the caster is prevented.',100,1,1),
(207513,10188259,'Must not be engaged in pvp combat',100,1,2),
(207514,104653,'Inflicts 354 - 591 crushing damage on target',100,1,0),
(207515,104653,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 27.4',100,1,1),
(207516,10104653,'Inflicts 461 - 768 crushing damage on target',100,1,0),
(207517,10104653,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 27.4',100,1,1),
(207518,35534,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(207519,105018,'Increases WIS of raid and group members (AE) by 21.3',100,1,0),
(207520,105018,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(207521,105018,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 79',100,1,2),
(207522,10105018,'Increases WIS of raid and group members (AE) by 21.3',100,1,0),
(207523,10105018,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(207524,10105018,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 79',100,1,2),
(207525,76864,'When Equipped:',100,0,0),
(207526,76864,'On a hostile spell cast this spell may cast Wrath of the Brood Watcher on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(207527,76864,'Inflicts 448 - 547 magic damage on target',100,2,2),
(207528,76864,'Cannot be modified except by direct means',100,2,3),
(207529,10076864,'When Equipped:',100,0,0),
(207530,10076864,'On a hostile spell cast this spell may cast Wrath of the Brood Watcher on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(207531,10076864,'Inflicts 582 - 711 magic damage on target',100,2,2),
(207532,10076864,'Cannot be modified except by direct means',100,2,3),
(207533,24465,'Adds Kobold (Troubador) to your Dungeon Maker toolbox',100,0,0),
(207534,10024465,'Adds Kobold (Troubador) to your Dungeon Maker toolbox',100,0,0),
(207535,111741,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(207536,111741,'Inflicts 788 - 963 cold damage on target',100,2,1),
(207537,111741,'Grants a total of 3 triggers of the spell.',100,2,2),
(207538,10111741,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(207539,10111741,'Inflicts 1024 - 1252 cold damage on target',100,2,1),
(207540,10111741,'Grants a total of 3 triggers of the spell.',100,2,2),
(207541,115983,'Inflicts 532 - 798 mental damage on target',100,1,0),
(207542,115983,'Stuns target',100,1,1),
(207543,115983,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(207544,115983,'Resistibility increases against targets higher than level 84.',100,1,3),
(207545,10115983,'Inflicts 692 - 1038 mental damage on target',100,1,0),
(207546,10115983,'Stuns target',100,1,1),
(207547,10115983,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(207548,10115983,'Resistibility increases against targets higher than level 84.',100,1,3),
(207549,187140,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(207550,187140,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(207551,187140,'Cannot be modified except by direct means',100,1,2),
(207552,10187140,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(207553,10187140,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(207554,10187140,'Cannot be modified except by direct means',100,1,2),
(207555,124300,'Wards group members (AE) against 1668 points of elemental damage',100,1,0),
(207556,124300,'Increases Mitigation of group members (AE) vs elemental damage by 912',100,1,1),
(207557,10124300,'Wards group members (AE) against 1668 points of elemental damage',100,1,0),
(207558,10124300,'Increases Mitigation of group members (AE) vs elemental damage by 912',100,1,1),
(207559,35202,'Increases Max Health of target by 3.9',100,0,0),
(207560,35202,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(207561,35104,'Increases STA of target by 1.5',100,0,0),
(207562,35104,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(207563,139419,'When Equipped:',100,0,0),
(207564,139419,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(207565,139419,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(207566,139419,'Increases INT and WIS of caster by 44.0',100,2,3),
(207567,139419,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(207568,139419,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(207569,139419,'Must not be engaged in pvp combat',100,2,6),
(207570,139419,'Cannot be modified except by direct means',100,2,7),
(207571,139419,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(207572,139419,'Increases INT and WIS of caster by 44.0',100,2,9),
(207573,139419,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(207574,139419,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(207575,139419,'Must not be engaged in pvp combat',100,2,12),
(207576,139419,'Cannot be modified except by direct means',100,2,13),
(207577,139419,'Cannot be modified except by direct means',100,1,14),
(207578,10139419,'When Equipped:',100,0,0),
(207579,10139419,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(207580,10139419,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(207581,10139419,'Increases INT and WIS of caster by 44.0',100,2,3),
(207582,10139419,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(207583,10139419,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(207584,10139419,'Must not be engaged in pvp combat',100,2,6),
(207585,10139419,'Cannot be modified except by direct means',100,2,7),
(207586,10139419,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(207587,10139419,'Increases INT and WIS of caster by 44.0',100,2,9),
(207588,10139419,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(207589,10139419,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(207590,10139419,'Must not be engaged in pvp combat',100,2,12),
(207591,10139419,'Cannot be modified except by direct means',100,2,13),
(207592,10139419,'Cannot be modified except by direct means',100,1,14),
(207593,124181,'Inflicts 126 - 210 melee damage on target',100,1,0),
(207594,10124181,'Inflicts 164 - 273 melee damage on target',100,1,0),
(207595,122340,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(207596,122340,'Inflicts 4 - 5 piercing damage on target',100,2,1),
(207597,10122340,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(207598,10122340,'Inflicts 5 - 6 piercing damage on target',100,2,1),
(207599,159971,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(207600,159971,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207601,159971,'Heals target for 50 instantly and every 4 seconds',100,2,2),
(207602,159971,'Cannot be modified except by direct means',100,2,3),
(207603,10159971,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(207604,10159971,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207605,10159971,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(207606,10159971,'Cannot be modified except by direct means',100,2,3),
(207607,159681,'When Equipped:',100,0,0),
(207608,159681,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207609,159681,'Increases STR of caster by 8.3',100,2,2),
(207610,159681,'Increases Damage Per Second of caster by 17.7',100,2,3),
(207611,159681,'Cannot be modified except by direct means',100,2,4),
(207612,10159681,'When Equipped:',100,0,0),
(207613,10159681,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207614,10159681,'Increases STR of caster by 8.3',100,2,2),
(207615,10159681,'Increases Damage Per Second of caster by 17.7',100,2,3),
(207616,10159681,'Cannot be modified except by direct means',100,2,4),
(207617,102248,'Inflicts 43 - 72 melee damage on targets in area',100,1,0),
(207618,10102248,'Inflicts 56 - 94 melee damage on targets in area',100,1,0),
(207619,141770,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(207620,141770,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207621,141770,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(207622,141770,'Cannot be modified except by direct means',100,2,3),
(207623,10141770,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(207624,10141770,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207625,10141770,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(207626,10141770,'Cannot be modified except by direct means',100,2,3),
(207627,118068,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(207628,118068,'Increases Defense of caster by 4.8',100,1,1),
(207629,10118068,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(207630,10118068,'Increases Defense of caster by 4.8',100,1,1),
(207631,120873,'Wards target against 249 points of all damage',100,1,0),
(207632,10120873,'Wards target against 249 points of all damage',100,1,0),
(207633,115700,'Inflicts 102 - 308 melee damage on target',100,1,0),
(207634,115700,'Inflicts 102 - 308 melee damage on target',100,1,1),
(207635,115700,'Inflicts 102 - 308 melee damage on target',100,1,2),
(207636,115700,'Inflicts 102 - 308 melee damage on target',100,1,3),
(207637,115700,'Inflicts 102 - 308 melee damage on target',100,1,4),
(207638,115700,'Inflicts 102 - 308 melee damage on target',100,1,5),
(207639,115700,'Inflicts 102 - 308 melee damage on target',100,1,6),
(207640,115700,'Inflicts 102 - 308 melee damage on target',100,1,7),
(207641,10115700,'Inflicts 133 - 401 melee damage on target',100,1,0),
(207642,10115700,'Inflicts 133 - 401 melee damage on target',100,1,1),
(207643,10115700,'Inflicts 133 - 401 melee damage on target',100,1,2),
(207644,10115700,'Inflicts 133 - 401 melee damage on target',100,1,3),
(207645,10115700,'Inflicts 133 - 401 melee damage on target',100,1,4),
(207646,10115700,'Inflicts 133 - 401 melee damage on target',100,1,5),
(207647,10115700,'Inflicts 133 - 401 melee damage on target',100,1,6),
(207648,10115700,'Inflicts 133 - 401 melee damage on target',100,1,7),
(207649,82401,'When Equipped:',100,0,0),
(207650,82401,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207651,82401,'Inflicts 169 - 315 magic damage on target',100,2,2),
(207652,82401,'Cannot be modified except by direct means',100,2,3),
(207653,10082401,'When Equipped:',100,0,0),
(207654,10082401,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207655,10082401,'Inflicts 220 - 409 magic damage on target',100,2,2),
(207656,10082401,'Cannot be modified except by direct means',100,2,3),
(207657,143295,'When Equipped:',100,0,0),
(207658,143295,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(207659,143295,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(207660,143295,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(207661,143295,'Heals caster for 1185 - 1309',100,2,4),
(207662,143295,'Decreases Ranged, Piercing, Crushing and Slashing of target by 22.0',100,2,5),
(207663,143295,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(207664,143295,'Must not be engaged in pvp combat',100,2,7),
(207665,143295,'Cannot be modified except by direct means',100,2,8),
(207666,143295,'Cannot be modified except by direct means',100,1,9),
(207667,10143295,'When Equipped:',100,0,0),
(207668,10143295,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(207669,10143295,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(207670,10143295,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(207671,10143295,'Heals caster for 1386 - 1532',100,2,4),
(207672,10143295,'Decreases Ranged, Piercing, Crushing and Slashing of target by 22.0',100,2,5),
(207673,10143295,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(207674,10143295,'Must not be engaged in pvp combat',100,2,7),
(207675,10143295,'Cannot be modified except by direct means',100,2,8),
(207676,10143295,'Cannot be modified except by direct means',100,1,9),
(207677,169293,'When Equipped:',100,0,0),
(207678,169293,'On a hit this spell may cast Petulance on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207679,169293,'Increases power of caster by 197 instantly and every 4 seconds',100,2,2),
(207680,169293,'Cannot be modified except by direct means',100,2,3),
(207681,169293,'Cannot be modified except by direct means',100,1,4),
(207682,10169293,'When Equipped:',100,0,0),
(207683,10169293,'On a hit this spell may cast Petulance on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207684,10169293,'Increases power of caster by 197 instantly and every 4 seconds',100,2,2),
(207685,10169293,'Cannot be modified except by direct means',100,2,3),
(207686,10169293,'Cannot be modified except by direct means',100,1,4),
(207687,81205,'When Equipped:',100,0,0),
(207688,81205,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207689,81205,'Inflicts 315 - 585 magic damage on target',100,2,2),
(207690,81205,'Cannot be modified except by direct means',100,2,3),
(207691,10081205,'When Equipped:',100,0,0),
(207692,10081205,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207693,10081205,'Inflicts 409 - 760 magic damage on target',100,2,2),
(207694,10081205,'Cannot be modified except by direct means',100,2,3),
(207695,154123,'When Equipped:',100,0,0),
(207696,154123,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(207697,10154123,'When Equipped:',100,0,0),
(207698,10154123,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(207699,137980,'When Equipped:',100,0,0),
(207700,137980,'Increases Attack Speed of caster by 40.0',100,1,1),
(207701,10137980,'When Equipped:',100,0,0),
(207702,10137980,'Increases Attack Speed of caster by 40.0',100,1,1),
(207703,37285,'Increases WIS of target by 5.4',100,0,0),
(207704,37285,'Increases outgoing heal and ward amount by 2%',100,0,1),
(207705,37285,'Increases STA of target by 5.4',100,0,2),
(207706,37285,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,3),
(207707,112528,'Interrupts target',50,1,0),
(207708,112528,'Inflicts 44 - 54 divine damage on target',100,1,1),
(207709,10112528,'Interrupts target',50,1,0),
(207710,10112528,'Inflicts 74 - 91 divine damage on target',100,1,1),
(207711,159170,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(207712,159170,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207713,159170,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(207714,159170,'Cannot be modified except by direct means',100,2,3),
(207715,10159170,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(207716,10159170,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207717,10159170,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(207718,10159170,'Cannot be modified except by direct means',100,2,3),
(207719,109226,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 39.5',100,1,0),
(207720,10109226,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 39.5',100,1,0),
(207721,106009,'Inflicts 39 - 48 divine damage on target instantly and every 3 seconds',100,1,0),
(207722,106009,'Decreases Defense of target by 5.6',100,1,1),
(207723,10106009,'Inflicts 34 - 42 divine damage on target instantly and every 3 seconds',100,1,0),
(207724,10106009,'Decreases Defense of target by 5.6',100,1,1),
(207725,114587,'Inflicts 754 - 1258 ranged damage on target',100,1,0),
(207726,114587,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(207727,114587,'Requires bow',100,1,2),
(207728,10114587,'Inflicts 796 - 1327 ranged damage on target',100,1,0),
(207729,10114587,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(207730,10114587,'Requires bow',100,1,2),
(207731,104910,'Inflicts 161 - 269 ranged damage on target',100,1,0),
(207732,104910,'Decreases Deflection and Parry of target by 11.4',100,1,1),
(207733,104910,'Requires bow',100,1,2),
(207734,10104910,'Inflicts 137 - 229 ranged damage on target',100,1,0),
(207735,10104910,'Decreases Deflection and Parry of target by 11.4',100,1,1),
(207736,10104910,'Requires bow',100,1,2),
(207737,121233,'Reduces physical damage done to caster by 5%',100,1,0),
(207738,121233,'Increases STA of caster by 26.4',100,1,1),
(207739,121233,'Adds 3.1% to base avoidance.',100,1,2),
(207740,121233,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(207741,121233,'Increases Defense and Aggression of caster by 4.8',100,1,4),
(207742,121233,'Increases Mitigation of caster vs arcane damage by 346',100,1,5),
(207743,121233,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(207744,10121233,'Reduces physical damage done to caster by 5%',100,1,0),
(207745,10121233,'Increases STA of caster by 26.4',100,1,1),
(207746,10121233,'Adds 3.1% to base avoidance.',100,1,2),
(207747,10121233,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(207748,10121233,'Increases Defense and Aggression of caster by 4.8',100,1,4),
(207749,10121233,'Increases Mitigation of caster vs arcane damage by 346',100,1,5),
(207750,10121233,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(207751,123368,'Heals group members (AE) for 579 - 707',100,1,0),
(207752,10123368,'Heals group members (AE) for 704 - 860',100,1,0),
(207753,121793,'Heals target for 275 - 336',100,1,0),
(207754,121793,'Heals target for 46 - 56 every second',100,1,1),
(207755,10121793,'Heals target for 477 - 583',100,1,0),
(207756,10121793,'Heals target for 40 - 49 every second',100,1,1),
(207757,48704,'Applies Elixir of Adeptness  when Activated.  Lasts for 30 minutes.',100,0,0),
(207758,48704,'Increases AGI of caster by 39.0',100,1,1),
(207759,10048704,'Applies Elixir of Adeptness  when Activated.  Lasts for 30 minutes.',100,0,0),
(207760,10048704,'Increases AGI of caster by 39.0',100,1,1),
(207761,103300,'Inflicts 8 - 9 mental damage on target instantly and every 6 seconds',100,1,0),
(207762,103300,'Applies Migraine on termination.',100,1,1),
(207763,103300,'Inflicts 17 - 23 mental damage on target',100,2,2),
(207764,10103300,'Inflicts 10 - 12 mental damage on target instantly and every 6 seconds',100,1,0),
(207765,10103300,'Applies Migraine on termination.',100,1,1),
(207766,10103300,'Inflicts 22 - 29 mental damage on target',100,2,2),
(207767,106357,'Decreases Mitigation of target vs arcane damage by 1020',100,1,0),
(207768,106357,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(207769,106357,'Slows target by 40.2%',100,2,2),
(207770,106357,'5% chance to dispel when target receives hostile action',100,2,3),
(207771,106357,'5% chance to dispel when target takes damage',100,2,4),
(207772,10106357,'Decreases Mitigation of target vs arcane damage by 1020',100,1,0),
(207773,10106357,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(207774,10106357,'Slows target by 40.2%',100,2,2),
(207775,10106357,'5% chance to dispel when target receives hostile action',100,2,3),
(207776,10106357,'5% chance to dispel when target takes damage',100,2,4),
(207777,107202,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(207778,107202,'Heals target for 204',100,2,1),
(207779,10107202,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(207780,10107202,'Heals target for 133',100,2,1),
(207781,112841,'Roots target',100,1,0),
(207782,112841,'5% chance to dispel when target takes damage',100,1,1),
(207783,112841,'Does not affect Epic targets',100,1,2),
(207784,112841,'Resistibility increases against targets higher than level 78.',100,1,3),
(207785,10112841,'Roots target',100,1,0),
(207786,10112841,'5% chance to dispel when target takes damage',100,1,1),
(207787,10112841,'Does not affect Epic targets',100,1,2),
(207788,10112841,'Resistibility increases against targets higher than level 78.',100,1,3),
(207789,116625,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(207790,116625,'Increases Mitigation of group members (AE) vs arcane damage by 448',100,1,1),
(207791,10116625,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(207792,10116625,'Increases Mitigation of group members (AE) vs arcane damage by 448',100,1,1),
(207793,148786,'When Equipped:',100,0,0),
(207794,148786,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(207795,148786,'Decreases Threat to target by 389 - 649 ',100,2,2),
(207796,148786,'Cannot be modified except by direct means',100,2,3),
(207797,10148786,'When Equipped:',100,0,0),
(207798,10148786,'When any damage is received this spell has a 7.5% chance to cast Baffle on target''s attacker.  ',100,1,1),
(207799,10148786,'Cannot be modified except by direct means',100,2,2),
(207800,25870,'When Equipped:',100,0,0),
(207801,25870,'Adds 3% Riposte Chance to Tendrils of Horror III.',100,1,1),
(207802,25870,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(207803,10025870,'When Equipped:',100,0,0),
(207804,10025870,'Adds 3% Riposte Chance to Tendrils of Horror III.',100,1,1),
(207805,10025870,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(207806,102961,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(207807,102961,'Heals caster for 100.0% of max health',100,2,1),
(207808,102961,'This effect cannot be critically applied.',100,3,2),
(207809,102961,'Grants a total of 1 trigger of the spell.',100,2,3),
(207810,102961,'This effect cannot be cast during combat',100,1,4),
(207811,10102961,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(207812,10102961,'Heals caster for 65.0% of max health',100,2,1),
(207813,10102961,'This effect cannot be critically applied.',100,3,2),
(207814,10102961,'Grants a total of 1 trigger of the spell.',100,2,3),
(207815,10102961,'This effect cannot be cast during combat',100,1,4),
(207816,47146,'Applies Crovsar''s Invigoration  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(207817,47146,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(207818,47146,'Inflicts 2 magic damage on target',100,2,2),
(207819,47146,'Cannot be modified except by direct means',100,2,3),
(207820,10047146,'Applies Crovsar''s Invigoration  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(207821,10047146,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(207822,10047146,'Inflicts 2 magic damage on target',100,2,2),
(207823,10047146,'Cannot be modified except by direct means',100,2,3),
(207824,159867,'Applies Lambent Imbued when Equipped.',100,0,0),
(207825,159867,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207826,159867,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(207827,159867,'Cannot be modified except by direct means',100,2,3),
(207828,10159867,'Applies Lambent Imbued when Equipped.',100,0,0),
(207829,10159867,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(207830,10159867,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(207831,10159867,'Cannot be modified except by direct means',100,2,3),
(207832,48301,'Applies Superb Elemental Ointment when Activated.',100,0,0),
(207833,48301,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(207834,10048301,'Applies Superb Elemental Ointment when Activated.',100,0,0),
(207835,10048301,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(207836,45254,'Applies Aura of the Rainbringer when Activated.  Lasts for 30 minutes.',100,0,0),
(207837,10045254,'Applies Aura of the Rainbringer when Activated.  Lasts for 30 minutes.',100,0,0),
(207838,113360,'Roots target',100,1,0),
(207839,113360,'Applies Stifle.  Lasts for 5.0 seconds.',100,1,1),
(207840,113360,'Blurs vision of target',100,2,2),
(207841,113360,'Stifles target',100,2,3),
(207842,113360,'Dispelled when target takes damage',100,2,4),
(207843,113360,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(207844,113360,'Resistibility increases against targets higher than level 48.',100,2,6),
(207845,113360,'5% chance to dispel when target takes damage',100,1,7),
(207846,113360,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,8),
(207847,113360,'Resistibility increases against targets higher than level 48.',100,1,9),
(207848,10113360,'Roots target',100,1,0),
(207849,10113360,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(207850,10113360,'Stifles target',100,2,2),
(207851,10113360,'Blurs vision of target',100,2,3),
(207852,10113360,'Dispelled when target takes damage',100,2,4),
(207853,10113360,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(207854,10113360,'Resistibility increases against targets higher than level 48.',100,2,6),
(207855,10113360,'5% chance to dispel when target takes damage',100,1,7),
(207856,10113360,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(207857,10113360,'Resistibility increases against targets higher than level 48.',100,1,9),
(207858,71673,'When Equipped:',100,0,0),
(207859,71673,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207860,71673,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(207861,71673,'Cannot be modified except by direct means',100,2,3),
(207862,10071673,'When Equipped:',100,0,0),
(207863,10071673,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(207864,10071673,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(207865,10071673,'Cannot be modified except by direct means',100,2,3),
(207866,80969,'When Equipped:',100,0,0),
(207867,80969,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207868,80969,'Inflicts 259 - 481 magic damage on target',100,2,2),
(207869,80969,'Cannot be modified except by direct means',100,2,3),
(207870,10080969,'When Equipped:',100,0,0),
(207871,10080969,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207872,10080969,'Inflicts 337 - 625 magic damage on target',100,2,2),
(207873,10080969,'Cannot be modified except by direct means',100,2,3),
(207874,185774,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(207875,10185774,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(207876,120483,'Inflicts 22 - 37 melee damage on target',100,1,0),
(207877,120483,'Must be flanking or behind',100,1,1),
(207878,10120483,'Inflicts 28 - 48 melee damage on target',100,1,0),
(207879,10120483,'Must be flanking or behind',100,1,1),
(207880,105644,'Inflicts 136 disease damage on target instantly and every 6 seconds',100,1,0),
(207881,105644,'Inflicts 315 - 525 disease damage on target',100,1,1),
(207882,105644,'Inflicts 315 - 525 disease damage on target',100,1,2),
(207883,10105644,'Inflicts 177 disease damage on target instantly and every 6 seconds',100,1,0),
(207884,10105644,'Inflicts 410 - 683 disease damage on target',100,1,1),
(207885,10105644,'Inflicts 410 - 683 disease damage on target',100,1,2),
(207886,170545,'When Equipped:',100,0,0),
(207887,170545,'Increases Attack Speed of caster by 35.0',100,1,1),
(207888,10170545,'When Equipped:',100,0,0),
(207889,10170545,'Increases Attack Speed of caster by 35.0',100,1,1),
(207890,118058,'Increases threat priority of target by 3 positions',100,1,0),
(207891,118058,'Increases Threat to target by 867 ',100,1,1),
(207892,10118058,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,1,0),
(207893,10118058,'Prevents target from changing targets',100,2,1),
(207894,10118058,'Forces target to change their selected target to caster.',100,2,2),
(207895,46948,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(207896,46948,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(207897,46948,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,2),
(207898,46948,'Inflicts 87 poison damage on target',100,2,3),
(207899,46948,'Cannot be modified except by direct means',100,2,4),
(207900,46948,'Grants a total of 200 triggers of the spell.',100,2,5),
(207901,10046948,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(207902,10046948,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(207903,10046948,'Inflicts 85 poison damage on target',100,2,2),
(207904,10046948,'Inflicts 75 poison damage on target instantly and every 6 seconds',100,2,3),
(207905,10046948,'Cannot be modified except by direct means',100,2,4),
(207906,10046948,'Grants a total of 200 triggers of the spell.',100,2,5),
(207907,87325,'When Equipped:',100,0,0),
(207908,87325,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207909,87325,'Inflicts 153 - 229 magic damage on target',100,2,2),
(207910,87325,'Cannot be modified except by direct means',100,2,3),
(207911,10087325,'When Equipped:',100,0,0),
(207912,10087325,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(207913,10087325,'Inflicts 199 - 298 magic damage on target',100,2,2),
(207914,10087325,'Cannot be modified except by direct means',100,2,3),
(207915,101831,'Summons a limited pet to aid the caster',100,1,0),
(207916,10101831,'Summons a limited pet to aid the caster',100,1,0),
(207917,104949,'Inflicts 665 - 1109 melee damage on target',100,1,0),
(207918,104949,'Decreases Defense of target by 26.1',100,1,1),
(207919,104949,'Must be behind',100,1,2),
(207920,10104949,'Inflicts 865 - 1442 melee damage on target',100,1,0),
(207921,10104949,'Decreases Defense of target by 26.1',100,1,1),
(207922,10104949,'Must be behind',100,1,2),
(207923,106598,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(207924,10106598,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(207925,105455,'Inflicts 348 - 425 poison damage on target instantly and every 4 seconds',100,1,0),
(207926,105455,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(207927,105455,'Summons 3 limited pets to aid the caster',100,2,2),
(207928,105455,'Grants a total of 1 trigger of the spell.',100,2,3),
(207929,10105455,'Inflicts 452 - 553 poison damage on target instantly and every 4 seconds',100,1,0),
(207930,10105455,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(207931,10105455,'Summons 3 limited pets to aid the caster',100,2,2),
(207932,10105455,'Grants a total of 1 trigger of the spell.',100,2,3),
(207933,45705,'Applies Pherlondien''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(207934,10045705,'Applies Pherlondien''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(207935,105392,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(207936,105392,'Inflicts 179 melee damage on target',100,2,1),
(207937,105392,'Interrupts target',100,2,2),
(207938,105392,'Decreases Defense of caster by 24.6',100,1,3),
(207939,105392,'Increases Piercing, Slashing, Ranged and Crushing of caster by 44.3',100,1,4),
(207940,10105392,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(207941,10105392,'Inflicts 232 melee damage on target',100,2,1),
(207942,10105392,'Interrupts target',100,2,2),
(207943,10105392,'Decreases Defense of caster by 24.6',100,1,3),
(207944,10105392,'Increases Piercing, Slashing, Ranged and Crushing of caster by 44.3',100,1,4),
(207945,121712,'Increases AGI of caster by 34.0',100,1,0),
(207946,121712,'Adds 1.5% to base avoidance.',100,1,1),
(207947,121712,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(207948,121712,'Increases Parry of caster by 19.7',100,1,3),
(207949,121712,'Increases Defense of caster by 26.2',100,1,4),
(207950,10121712,'Increases AGI of caster by 34.0',100,1,0),
(207951,10121712,'Adds 1.5% to base avoidance.',100,1,1),
(207952,10121712,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(207953,10121712,'Increases Parry of caster by 19.7',100,1,3),
(207954,10121712,'Increases Defense of caster by 26.2',100,1,4),
(207955,117263,'Inflicts 29 - 48 melee damage on target',100,1,0),
(207956,117263,'Decreases Damage Per Second of target by 5.4',100,1,1),
(207957,117263,'Decreases Attack Speed of target by 4.7',100,1,2),
(207958,10117263,'Inflicts 38 - 63 melee damage on target',100,1,0),
(207959,10117263,'Decreases Damage Per Second of target by 5.4',100,1,1),
(207960,10117263,'Decreases Attack Speed of target by 4.7',100,1,2),
(207961,141899,'When Equipped:',100,0,0),
(207962,141899,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(207963,141899,'Increases AGI of caster by 12.2',100,2,2),
(207964,141899,'Increases Attack Speed of caster by 17.5',100,2,3),
(207965,141899,'Cannot be modified except by direct means',100,2,4),
(207966,10141899,'When Equipped:',100,0,0),
(207967,10141899,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(207968,10141899,'Increases AGI of caster by 12.2',100,2,2),
(207969,10141899,'Increases Attack Speed of caster by 17.5',100,2,3),
(207970,10141899,'Cannot be modified except by direct means',100,2,4),
(207971,46622,'Applies Song of the Hooluk when Activated.',100,0,0),
(207972,46622,'This effect cannot be cast during combat',100,1,1),
(207973,10046622,'Applies Song of the Hooluk when Activated.',100,0,0),
(207974,10046622,'This effect cannot be cast during combat',100,1,1),
(207975,35940,'Increases Max Health of target by 3.9',100,0,0),
(207976,35940,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(207977,47770,'Applies Ridren''s Blessing I when Activated.  Lasts for 3 hours.',100,0,0),
(207978,47770,'Increases STR of caster by 0.0',100,1,1),
(207979,47770,'Dispels 200 levels of noxious hostile effects on caster',100,1,2),
(207980,10047770,'Applies Ridren''s Blessing I when Activated.  Lasts for 3 hours.',100,0,0),
(207981,10047770,'Increases STR of caster by 0.0',100,1,1),
(207982,10047770,'Dispels 200 levels of noxious hostile effects on caster',100,1,2),
(207983,106549,'Inflicts 678 - 829 melee damage on target',100,1,0),
(207984,106549,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(207985,106549,'Increases Hate Gain of target by 30.0%',100,2,2),
(207986,106549,'Grants a total of 1 trigger of the spell.',100,2,3),
(207987,10106549,'Inflicts 881 - 1077 melee damage on target',100,1,0),
(207988,10106549,'25% chance to apply Distract on termination.',100,1,1),
(207989,10106549,'Forces target to clear their selected target.',100,2,2),
(207990,120998,'Inflicts 28 - 47 poison damage on target instantly and every 4 seconds',100,1,0),
(207991,120998,'Inflicts 113 - 189 poison damage on target',100,1,1),
(207992,10120998,'Inflicts 37 - 62 poison damage on target instantly and every 4 seconds',100,1,0),
(207993,10120998,'Inflicts 147 - 246 poison damage on target',100,1,1),
(207994,119633,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(207995,119633,'Stuns target',100,2,1),
(207996,119633,'Throws target back',100,2,2),
(207997,119633,'Blurs vision of target',100,2,3),
(207998,119633,'Does not affect Epic targets',100,2,4),
(207999,119633,'Inflicts 24 - 72 melee damage on target',100,1,5),
(208000,10119633,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(208001,10119633,'Stuns target',100,2,1),
(208002,10119633,'Throws target back',100,2,2),
(208003,10119633,'Blurs vision of target',100,2,3),
(208004,10119633,'Does not affect Epic targets',100,2,4),
(208005,10119633,'Inflicts 31 - 94 melee damage on target',100,1,5),
(208006,81981,'When Equipped:',100,0,0),
(208007,81981,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(208008,81981,'Inflicts 408 - 757 magic damage on target',100,2,2),
(208009,81981,'Decreases Threat to target by 994 ',100,2,3),
(208010,81981,'Must be flanking or behind',100,3,4),
(208011,81981,'Increases Threat to target by 994 ',100,2,5),
(208012,81981,'Must be in front of',100,3,6),
(208013,81981,'Cannot be modified except by direct means',100,2,7),
(208014,10081981,'When Equipped:',100,0,0),
(208015,10081981,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(208016,10081981,'Inflicts 530 - 984 magic damage on target',100,2,2),
(208017,10081981,'Cannot be modified except by direct means',100,2,3),
(208018,157335,'When Equipped:',100,0,0),
(208019,157335,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(208020,157335,'Wards caster against 280 points of all damage',100,2,2),
(208021,157335,'Cannot be modified except by direct means',100,2,3),
(208022,10157335,'When Equipped:',100,0,0),
(208023,10157335,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(208024,10157335,'Wards caster against 280 points of all damage',100,2,2),
(208025,10157335,'Cannot be modified except by direct means',100,2,3),
(208026,114384,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(208027,114384,'Stuns target',100,2,1),
(208028,114384,'Blurs vision of target',100,2,2),
(208029,114384,'Throws target back',100,2,3),
(208030,114384,'Does not affect Epic targets',100,2,4),
(208031,114384,'Inflicts 575 - 959 crushing damage on target',100,1,5),
(208032,10114384,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(208033,10114384,'Stuns target',100,2,1),
(208034,10114384,'Throws target back',100,2,2),
(208035,10114384,'Blurs vision of target',100,2,3),
(208036,10114384,'Does not affect Epic targets',100,2,4),
(208037,10114384,'Inflicts 748 - 1247 crushing damage on target',100,1,5),
(208038,113469,'Increases INT of target by 120.1',100,1,0),
(208039,113469,'Increases Max Health of target by 993.7',100,1,1),
(208040,10113469,'Increases INT of target by 120.1',100,1,0),
(208041,10113469,'Increases Max Health of target by 993.7',100,1,1),
(208042,45463,'Applies Corpse Fire when Activated.  Lasts for 30.0 seconds.',100,0,0),
(208043,45463,'Inflicts 157 - 192 divine damage on target',100,1,1),
(208044,45463,'Decreases Mitigation of target vs arcane damage by 374',100,1,2),
(208045,10045463,'Applies Corpse Fire when Activated.  Lasts for 30.0 seconds.',100,0,0),
(208046,10045463,'Inflicts 204 - 250 divine damage on target',100,1,1),
(208047,10045463,'Decreases Mitigation of target vs arcane damage by 374',100,1,2),
(208048,104397,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(208049,104397,'Inflicts 352 - 430 cold damage on target',100,2,1),
(208050,10104397,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(208051,10104397,'Inflicts 457 - 559 cold damage on target',100,2,1),
(208052,123560,'Increases STR of group members (AE) by 17.5',100,1,0),
(208053,123560,'Increases Max Health of group members (AE) by 92.2',100,1,1),
(208054,10123560,'Increases STR of group members (AE) by 17.5',100,1,0),
(208055,10123560,'Increases Max Health of group members (AE) by 92.2',100,1,1),
(208056,124095,'Dispels 148 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(208057,10124095,'Dispels 148 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(208058,169341,'When Equipped:',100,0,0),
(208059,169341,'When any damage is received this spell has a 5% chance to cast Flash of Insight on caster.  ',100,1,1),
(208060,169341,'Increases power of target by 35 - 65',100,2,2),
(208061,169341,'Cannot be modified except by direct means',100,2,3),
(208062,10169341,'When Equipped:',100,0,0),
(208063,10169341,'When any damage is received this spell has a 5% chance to cast Flash of Insight on caster.  ',100,1,1),
(208064,10169341,'Increases power of target by 35 - 65',100,2,2),
(208065,10169341,'Cannot be modified except by direct means',100,2,3),
(208066,87230,'When Equipped:',100,0,0),
(208067,87230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208068,87230,'Inflicts 76 - 114 magic damage on target',100,2,2),
(208069,87230,'Cannot be modified except by direct means',100,2,3),
(208070,10087230,'When Equipped:',100,0,0),
(208071,10087230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208072,10087230,'Inflicts 98 - 148 magic damage on target',100,2,2),
(208073,10087230,'Cannot be modified except by direct means',100,2,3),
(208074,111450,'Decreases Attack Speed of caster by 15.5',100,1,0),
(208075,111450,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(208076,111450,'Roots target',100,2,2),
(208077,111450,'5% chance to dispel when target takes damage',100,2,3),
(208078,111450,'5% chance to dispel when target receives hostile action',100,2,4),
(208079,111450,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(208080,111450,'Increases Mitigation of caster vs physical damage by 605',100,1,6),
(208081,10111450,'Decreases Attack Speed of caster by 15.5',100,1,0),
(208082,10111450,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(208083,10111450,'Roots target',100,2,2),
(208084,10111450,'5% chance to dispel when target takes damage',100,2,3),
(208085,10111450,'5% chance to dispel when target receives hostile action',100,2,4),
(208086,10111450,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(208087,10111450,'Increases Mitigation of caster vs physical damage by 605',100,1,6),
(208088,135207,'When Equipped:',100,0,0),
(208089,135207,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208090,135207,'Increases power of group members by 94 instantly and every 4 seconds',100,2,2),
(208091,135207,'Cannot be modified except by direct means',100,2,3),
(208092,10135207,'When Equipped:',100,0,0),
(208093,10135207,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208094,10135207,'Increases power of group members by 94 instantly and every 4 seconds',100,2,2),
(208095,10135207,'Cannot be modified except by direct means',100,2,3),
(208096,46794,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(208097,46794,'Increases Attack Speed of caster by 13.8',100,1,1),
(208098,10046794,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(208099,10046794,'Increases Attack Speed of caster by 13.8',100,1,1),
(208100,113049,'Decreases Damage Per Second of target by 26.7',100,1,0),
(208101,10113049,'Decreases Damage Per Second of target by 26.7',100,1,0),
(208102,135627,'When Equipped:',100,0,0),
(208103,135627,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(208104,135627,'When Equipped:',100,0,2),
(208105,135627,'Reduces reuse time of hostile spells by 3 percent.',100,1,3),
(208106,10135627,'When Equipped:',100,0,0),
(208107,10135627,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(208108,10135627,'When Equipped:',100,0,2),
(208109,10135627,'Reduces reuse time of hostile spells by 3 percent.',100,1,3),
(208110,80818,'When Equipped:',100,0,0),
(208111,80818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208112,80818,'Inflicts 288 - 534 magic damage on target',100,2,2),
(208113,80818,'Cannot be modified except by direct means',100,2,3),
(208114,10080818,'When Equipped:',100,0,0),
(208115,10080818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208116,10080818,'Inflicts 374 - 695 magic damage on target',100,2,2),
(208117,10080818,'Cannot be modified except by direct means',100,2,3),
(208118,159253,'Applies Sanguine Imbued when Equipped.',100,0,0),
(208119,159253,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(208120,159253,'Inflicts 206 heat damage on target',100,2,2),
(208121,159253,'Cannot be modified except by direct means',100,2,3),
(208122,10159253,'Applies Sanguine Imbued when Equipped.',100,0,0),
(208123,10159253,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(208124,10159253,'Inflicts 267 heat damage on target',100,2,2),
(208125,10159253,'Cannot be modified except by direct means',100,2,3),
(208126,175687,'When Equipped:',100,0,0),
(208127,175687,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(208128,175687,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,2),
(208129,175687,'Increases Potency of caster by 3.0%',100,2,3),
(208130,175687,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(208131,175687,'Must not be engaged in pvp combat',100,2,5),
(208132,175687,'Cannot be modified except by direct means',100,2,6),
(208133,175687,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(208134,175687,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(208135,175687,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,9),
(208136,175687,'Increases Potency of caster by 3.0%',100,2,10),
(208137,175687,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(208138,175687,'Must not be engaged in pvp combat',100,2,12),
(208139,175687,'Cannot be modified except by direct means',100,2,13),
(208140,175687,'Cannot be modified except by direct means',100,1,14),
(208141,175687,'When Equipped:',100,0,15),
(208142,175687,'Increases Crit Bonus of caster by 4.0%',100,1,16),
(208143,175687,'This effect will not stack with any rank or tier of itself.',100,1,17),
(208144,175687,'Cannot be modified except by direct means',100,1,18),
(208145,10175687,'When Equipped:',100,0,0),
(208146,10175687,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(208147,10175687,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,2),
(208148,10175687,'Increases Potency of caster by 3.0%',100,2,3),
(208149,10175687,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(208150,10175687,'Must not be engaged in pvp combat',100,2,5),
(208151,10175687,'Cannot be modified except by direct means',100,2,6),
(208152,10175687,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(208153,10175687,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(208154,10175687,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,9),
(208155,10175687,'Increases Potency of caster by 3.0%',100,2,10),
(208156,10175687,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(208157,10175687,'Must not be engaged in pvp combat',100,2,12),
(208158,10175687,'Cannot be modified except by direct means',100,2,13),
(208159,10175687,'Cannot be modified except by direct means',100,1,14),
(208160,10175687,'When Equipped:',100,0,15),
(208161,10175687,'Increases Crit Bonus of caster by 4.0%',100,1,16),
(208162,10175687,'This effect will not stack with any rank or tier of itself.',100,1,17),
(208163,10175687,'Cannot be modified except by direct means',100,1,18),
(208164,100255,'Inflicts 31 - 57 poison damage on target instantly and every 3 seconds',100,1,0),
(208165,10100255,'Inflicts 90 - 167 poison damage on target instantly and every 3 seconds',100,1,0),
(208166,47730,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(208167,47730,'Heals caster for 134',100,1,1),
(208168,47730,'Heals caster for 67 every 5 seconds',100,1,2),
(208169,10047730,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(208170,10047730,'Heals caster for 87',100,1,1),
(208171,10047730,'Heals caster for 44 every 5 seconds',100,1,2),
(208172,106200,'Wards target against 138 points of all damage',100,1,0),
(208173,106200,'Decreases INT of target by 192.5',100,1,1),
(208174,106200,'Decreases Attack Speed of target by 25.0',100,1,2),
(208175,106200,'Increases Max Health of target by 11.0%',100,1,3),
(208176,106200,'Increases Hate Gain of target by 46.0%',100,1,4),
(208177,106200,'Increases Aggression of target by 16.5',100,1,5),
(208178,106200,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(208179,106200,'Increases Threat to target encounter by 175 - 214 ',100,2,7),
(208180,106200,'Increases Mitigation of target vs elemental, noxious and arcane damage by 990',100,1,8),
(208181,10106200,'Wards target against 138 points of all damage',100,1,0),
(208182,10106200,'Decreases INT of target by 192.5',100,1,1),
(208183,10106200,'Decreases Attack Speed of target by 25.0',100,1,2),
(208184,10106200,'Increases Max Health of target by 11.0%',100,1,3),
(208185,10106200,'Increases Aggression of target by 16.5',100,1,4),
(208186,10106200,'Increases Mitigation of target vs elemental, noxious and arcane damage by 990',100,1,5),
(208187,103715,'Increases Max Health of raid and group members (AE) by 126.2',100,1,0),
(208188,103715,'Increases Defense of raid and group members (AE) by 5.9',100,1,1),
(208189,10103715,'Increases Max Health of raid and group members (AE) by 126.2',100,1,0),
(208190,10103715,'Increases Defense of raid and group members (AE) by 5.9',100,1,1),
(208191,36438,'Increases Max Power of target by 3.3',100,0,0),
(208192,36438,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(208193,121955,'Inflicts 64 - 107 disease damage on target',100,1,0),
(208194,121955,'Decreases Defense of target by 15.1',100,1,1),
(208195,121955,'Interrupts target',100,1,2),
(208196,10121955,'Inflicts 84 - 139 disease damage on target',100,1,0),
(208197,10121955,'Decreases Defense of target by 15.1',100,1,1),
(208198,10121955,'Interrupts target',100,1,2),
(208199,114035,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(208200,114035,'Heals target for 55 instantly and every 2 seconds',100,2,1),
(208201,114035,'Decreases Mitigation of target vs arcane damage by 1066',100,1,2),
(208202,10114035,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(208203,10114035,'Heals target for 179 instantly and every 2 seconds',100,2,1),
(208204,10114035,'Decreases Mitigation of target vs arcane damage by 1066',100,1,2),
(208205,82828,'When Equipped:',100,0,0),
(208206,82828,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(208207,82828,'Inflicts 350 - 650 magic damage on target',100,2,2),
(208208,82828,'Decreases Threat to target by 833 ',100,2,3),
(208209,82828,'Must be flanking or behind',100,3,4),
(208210,82828,'Increases Threat to target by 833 ',100,2,5),
(208211,82828,'Must be in front of',100,3,6),
(208212,82828,'Cannot be modified except by direct means',100,2,7),
(208213,10082828,'When Equipped:',100,0,0),
(208214,10082828,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(208215,10082828,'Inflicts 455 - 845 magic damage on target',100,2,2),
(208216,10082828,'Cannot be modified except by direct means',100,2,3),
(208217,117374,'Increases Threat to target by 57 ',100,1,0),
(208218,117374,'Inflicts 11 - 33 melee damage on target',100,1,1),
(208219,10117374,'Forces target to change their selected target to caster.',100,1,0),
(208220,10117374,'Inflicts 9 - 28 melee damage on target',100,1,1),
(208221,75250,'When Equipped:',100,0,0),
(208222,75250,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(208223,75250,'Inflicts 225 cold damage on target',100,2,2),
(208224,75250,'Cannot be modified except by direct means',100,2,3),
(208225,75250,'Cannot be modified except by direct means',100,1,4),
(208226,10075250,'When Equipped:',100,0,0),
(208227,10075250,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(208228,10075250,'Inflicts 292 cold damage on target',100,2,2),
(208229,10075250,'Cannot be modified except by direct means',100,2,3),
(208230,10075250,'Cannot be modified except by direct means',100,1,4),
(208231,118338,'Inflicts 65 - 109 melee damage on target',100,1,0),
(208232,118338,'Inflicts 66 - 110 heat damage on target every 4 seconds',100,1,1),
(208233,10118338,'Inflicts 85 - 142 melee damage on target',100,1,0),
(208234,10118338,'Inflicts 85 - 142 heat damage on target every 4 seconds',100,1,1),
(208235,105074,'Inflicts 102 - 138 magic damage on target',100,1,0),
(208236,10105074,'Inflicts 133 - 179 magic damage on target',100,1,0),
(208237,107959,'Increases In-Combat Power Regeneration of group members (AE) by 17.5',100,1,0),
(208238,10107959,'Increases In-Combat Power Regeneration of group members (AE) by 17.5',100,1,0),
(208239,112546,'Interrupts target',50,1,0),
(208240,112546,'Inflicts 713 - 871 divine damage on target',100,1,1),
(208241,10112546,'Interrupts target',50,1,0),
(208242,10112546,'Inflicts 1192 - 1456 divine damage on target',100,1,1),
(208243,120276,'Swaps your current hate position with your target''s hate position.',100,1,0),
(208244,120276,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(208245,120276,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(208246,120276,'Cannot be modified except by direct means',100,2,3),
(208247,120276,'Decreases Threat to target by 2,203 ',100,1,4),
(208248,120276,'If profession other than Fighter',100,2,5),
(208249,120276,'Increases Threat to target by 2,203 ',100,1,6),
(208250,120276,'If Fighter',100,2,7),
(208251,120276,'Must be engaged in combat',100,1,8),
(208252,120276,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(208253,10120276,'Forces target to clear their selected target.',100,1,0),
(208254,10120276,'Must be engaged in combat',100,1,1),
(208255,10120276,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(208256,115289,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(208257,115289,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(208258,115289,'Inflicts 614 - 750 poison damage on target',100,3,2),
(208259,115289,'Grants a total of 1 trigger of the spell.',100,3,3),
(208260,10115289,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(208261,10115289,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(208262,10115289,'Inflicts 798 - 975 poison damage on target',100,3,2),
(208263,10115289,'Grants a total of 1 trigger of the spell.',100,3,3),
(208264,111630,'Inflicts 10 - 12 cold damage on target encounter',100,1,0),
(208265,111630,'Slows target encounter by 30.4%',100,1,1),
(208266,111630,'5% chance to dispel when target takes damage',100,1,2),
(208267,111630,'5% chance to dispel when target receives hostile action',100,1,3),
(208268,10111630,'Inflicts 17 - 21 cold damage on target encounter',100,1,0),
(208269,10111630,'Slows target encounter by 30.4%',100,1,1),
(208270,10111630,'5% chance to dispel when target takes damage',100,1,2),
(208271,10111630,'5% chance to dispel when target receives hostile action',100,1,3),
(208272,165512,'When Equipped:',100,0,0),
(208273,165512,'Increases Attack Speed of caster by 5.0',100,1,1),
(208274,10165512,'When Equipped:',100,0,0),
(208275,10165512,'Increases Attack Speed of caster by 5.0',100,1,1),
(208276,45553,'Applies Balaksen''s Cure All  when Activated.',100,0,0),
(208277,45553,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(208278,10045553,'Applies Balaksen''s Cure All  when Activated.',100,0,0),
(208279,10045553,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(208280,87452,'When Equipped:',100,0,0),
(208281,87452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208282,87452,'Inflicts 44 - 66 magic damage on target',100,2,2),
(208283,87452,'Cannot be modified except by direct means',100,2,3),
(208284,10087452,'When Equipped:',100,0,0),
(208285,10087452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208286,10087452,'Inflicts 57 - 85 magic damage on target',100,2,2),
(208287,10087452,'Cannot be modified except by direct means',100,2,3),
(208288,116202,'Inflicts 1210 - 2017 mental damage on target',100,1,0),
(208289,10116202,'Inflicts 1573 - 2622 mental damage on target',100,1,0),
(208290,27486,'When Equipped:',100,0,0),
(208291,27486,'This effect will not stack with itself.',100,1,1),
(208292,27486,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(208293,10027486,'When Equipped:',100,0,0),
(208294,10027486,'This effect will not stack with itself.',100,1,1),
(208295,10027486,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(208296,118371,'Inflicts 200 - 334 melee damage on target',100,1,0),
(208297,118371,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(208298,118371,'Stuns target',100,2,2),
(208299,118371,'Blurs vision of target',100,2,3),
(208300,118371,'Throws target back',100,2,4),
(208301,118371,'Does not affect Epic targets',100,2,5),
(208302,10118371,'Inflicts 260 - 434 melee damage on target',100,1,0),
(208303,10118371,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(208304,10118371,'Stuns target',100,2,2),
(208305,10118371,'Throws target back',100,2,3),
(208306,10118371,'Blurs vision of target',100,2,4),
(208307,10118371,'Does not affect Epic targets',100,2,5),
(208308,146099,'When Equipped:',100,0,0),
(208309,146099,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(208310,10146099,'When Equipped:',100,0,0),
(208311,10146099,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(208312,47651,'Applies Purification when Activated.',100,0,0),
(208313,47651,'Inflicts 1903 - 2326 divine damage on target',100,1,1),
(208314,47651,'If target is warmblooded',100,1,2),
(208315,10047651,'Applies Purification when Activated.',100,0,0),
(208316,10047651,'Inflicts 2474 - 3024 divine damage on target',100,1,1),
(208317,10047651,'If target is warmblooded',100,1,2),
(208318,110381,'Increases STR and AGI of group members (AE) by 65.0',100,1,0),
(208319,110381,'Adds 2.5% to base avoidance.',100,1,1),
(208320,10110381,'Increases STR and AGI of group members (AE) by 65.0',100,1,0),
(208321,10110381,'Adds 2.5% to base avoidance.',100,1,1),
(208322,109400,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(208323,109400,'Inflicts 142 - 173 cold damage on target',100,2,1),
(208324,109400,'Slows target by 39.8%',100,2,2),
(208325,109400,'5% chance to dispel when target receives hostile action',100,2,3),
(208326,109400,'5% chance to dispel when target takes damage',100,2,4),
(208327,10109400,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(208328,10109400,'Inflicts 184 - 225 cold damage on target',100,2,1),
(208329,10109400,'Slows target by 39.8%',100,2,2),
(208330,10109400,'5% chance to dispel when target receives hostile action',100,2,3),
(208331,10109400,'5% chance to dispel when target takes damage',100,2,4),
(208332,104096,'Roots target',100,1,0),
(208333,104096,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(208334,104096,'Makes target afraid',100,2,2),
(208335,104096,'Slows target by 15.5%',100,2,3),
(208336,104096,'30% chance to dispel when target takes damage',100,2,4),
(208337,104096,'Resistibility increases against targets higher than level 34.',100,2,5),
(208338,104096,'15% chance to dispel when target takes damage',100,1,6),
(208339,104096,'Does not affect Epic targets',100,1,7),
(208340,104096,'Resistibility increases against targets higher than level 34.',100,1,8),
(208341,10104096,'Roots target',100,1,0),
(208342,10104096,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(208343,10104096,'Makes target afraid',100,2,2),
(208344,10104096,'Slows target by 15.5%',100,2,3),
(208345,10104096,'30% chance to dispel when target takes damage',100,2,4),
(208346,10104096,'Resistibility increases against targets higher than level 34.',100,2,5),
(208347,10104096,'15% chance to dispel when target takes damage',100,1,6),
(208348,10104096,'Does not affect Epic targets',100,1,7),
(208349,10104096,'Resistibility increases against targets higher than level 34.',100,1,8),
(208350,74903,'When Equipped:',100,0,0),
(208351,74903,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208352,74903,'Inflicts 38 - 57 magic damage on target',100,2,2),
(208353,74903,'Cannot be modified except by direct means',100,2,3),
(208354,10074903,'When Equipped:',100,0,0),
(208355,10074903,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208356,10074903,'Inflicts 50 - 75 magic damage on target',100,2,2),
(208357,10074903,'Cannot be modified except by direct means',100,2,3),
(208358,117889,'Heals target for 610 - 746 instantly and every 2 seconds',100,1,0),
(208359,10117889,'Heals target for 397 - 485 instantly and every 2 seconds',100,1,0),
(208360,47953,'Applies Shielding when Activated.  Lasts for 24.0 seconds.',100,0,0),
(208361,47953,'Wards group members (AE) collectively against 449 - 608 total points of damage from ',100,1,1),
(208362,10047953,'Applies Shielding when Activated.  Lasts for 24.0 seconds.',100,0,0),
(208363,10047953,'Wards group members (AE) collectively against 449 - 608 total points of damage from ',100,1,1),
(208364,46779,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(208365,46779,'Inflicts 25 - 30 melee damage on target',100,1,1),
(208366,46779,'Inflicts 6 - 10 slashing damage on target every 4 seconds',100,1,2),
(208367,10046779,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(208368,10046779,'Inflicts 32 - 40 melee damage on target',100,1,1),
(208369,10046779,'Inflicts 8 - 13 slashing damage on target every 4 seconds',100,1,2),
(208370,48804,'Applies Gubbin''s Replenishment  when Activated.',100,0,0),
(208371,48804,'Heals caster for 47',100,1,1),
(208372,10048804,'Applies Gubbin''s Replenishment  when Activated.',100,0,0),
(208373,10048804,'Heals caster for 31',100,1,1),
(208374,113520,'Inflicts 891 - 1485 melee damage on targets in area',100,1,0),
(208375,10113520,'Inflicts 1158 - 1931 melee damage on targets in area',100,1,0),
(208376,80578,'When Equipped:',100,0,0),
(208377,80578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208378,80578,'Inflicts 314 - 583 magic damage on target',100,2,2),
(208379,80578,'Cannot be modified except by direct means',100,2,3),
(208380,10080578,'When Equipped:',100,0,0),
(208381,10080578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208382,10080578,'Inflicts 408 - 757 magic damage on target',100,2,2),
(208383,10080578,'Cannot be modified except by direct means',100,2,3),
(208384,24385,'Adds Froglok-Undead (Warden) to your Dungeon Maker toolbox',100,0,0),
(208385,10024385,'Adds Froglok-Undead (Warden) to your Dungeon Maker toolbox',100,0,0),
(208386,109064,'Increases Attack Speed of caster by 52.8',100,1,0),
(208387,109064,'Decreases Defense of caster by 27.0',100,1,1),
(208388,109064,'Increases Slashing, Piercing, Crushing and Ranged of caster by 66.0',100,1,2),
(208389,10109064,'Increases Attack Speed of caster by 52.8',100,1,0),
(208390,10109064,'Decreases Defense of caster by 27.0',100,1,1),
(208391,10109064,'Increases Slashing, Piercing, Crushing and Ranged of caster by 66.0',100,1,2),
(208392,40671,'When Equipped:',100,0,0),
(208393,40671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208394,40671,'Inflicts 131 - 197 magic damage on target',100,2,2),
(208395,40671,'Cannot be modified except by direct means',100,2,3),
(208396,10040671,'When Equipped:',100,0,0),
(208397,10040671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208398,10040671,'Inflicts 171 - 256 magic damage on target',100,2,2),
(208399,10040671,'Cannot be modified except by direct means',100,2,3),
(208400,111425,'Decreases Attack Speed of caster by 11.3',100,1,0),
(208401,111425,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(208402,111425,'Roots target',100,2,2),
(208403,111425,'5% chance to dispel when target takes damage',100,2,3),
(208404,111425,'5% chance to dispel when target receives hostile action',100,2,4),
(208405,111425,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(208406,111425,'Increases Mitigation of caster vs physical damage by 148',100,1,6),
(208407,10111425,'Decreases Attack Speed of caster by 11.3',100,1,0),
(208408,10111425,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(208409,10111425,'Roots target',100,2,2),
(208410,10111425,'5% chance to dispel when target takes damage',100,2,3),
(208411,10111425,'5% chance to dispel when target receives hostile action',100,2,4),
(208412,10111425,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(208413,10111425,'Increases Mitigation of caster vs physical damage by 148',100,1,6),
(208414,112068,'Inflicts 9 - 14 heat damage on target instantly and every 2 seconds',100,1,0),
(208415,10112068,'Inflicts 28 - 46 heat damage on target instantly and every 2 seconds',100,1,0),
(208416,36800,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(208417,116475,'Applies Plane Shift: Earth.  Lasts for 1 minute.',100,1,0),
(208418,116475,'Makes target immune to Daze effects',100,2,1),
(208419,116475,'Makes target immune to Stifle effects',100,2,2),
(208420,116475,'Makes target immune to Fear effects',100,2,3),
(208421,116475,'Makes target immune to Root effects',100,2,4),
(208422,116475,'Makes target immune to Stun effects',100,2,5),
(208423,116475,'Increases All Attributes of target by 64.0%',100,2,6),
(208424,116475,'Increases In-Combat Health Regeneration of target by 456.0',100,2,7),
(208425,116475,'Shapechanges target into an Earth Construct',100,2,8),
(208426,116475,'Greatly increases maximum health',100,2,9),
(208427,116475,'Applies Plane Shift: Fire.  Lasts for 1 minute.',100,1,10),
(208428,116475,'Makes target immune to Stifle effects',100,2,11),
(208429,116475,'Shapechanges target into a Fire Devil',100,2,12),
(208430,116475,'Enlarges target by 25.0%',100,2,13),
(208431,116475,'Increases Ability Casting Speed of target by 64.0%',100,2,14),
(208432,116475,'Increases Crit Chance of target by 64.0',100,2,15),
(208433,116475,'Increases Attack Speed of target by 64.0',100,2,16),
(208434,116475,'Greatly increases maximum health',100,2,17),
(208435,116475,'Applies Plane Shift: Air.  Lasts for 1 minute.',100,1,18),
(208436,116475,'Enlarges target by 25.0%',100,2,19),
(208437,116475,'Increases Crit Chance of target by 64.0',100,2,20),
(208438,116475,'Shapechanges target into an Air Avenger',100,2,21),
(208439,116475,'Increases Ability Reuse Speed of target by 64.0%',100,2,22),
(208440,116475,'Increases Attack Speed of target by 64.0',100,2,23),
(208441,116475,'Increases in-combat movement speed of target by 96.0%',100,2,24),
(208442,116475,'Greatly increases maximum health',100,2,25),
(208443,116475,'Applies Plane Shift: Water.  Lasts for 1 minute.',100,1,26),
(208444,116475,'Increases Ability Casting Speed of target by 64.0%',100,2,27),
(208445,116475,'Increases Attack Speed of target by 64.0',100,2,28),
(208446,116475,'Enlarges target by 350.0%',100,2,29),
(208447,116475,'Makes target immune to Stifle effects',100,2,30),
(208448,116475,'Shapechanges target into a Water Construct',100,2,31),
(208449,116475,'Increases Crit Chance of target by 160.0',100,2,32),
(208450,116475,'Greatly increases maximum health',100,2,33),
(208451,116475,'You cannot cast Plane Shift immediately after Soulburn.',100,1,34),
(208452,10116475,'Applies Plane Shift: Earth.  Lasts for 1 minute.',100,1,0),
(208453,10116475,'Makes target immune to Daze effects',100,2,1),
(208454,10116475,'Makes target immune to Stifle effects',100,2,2),
(208455,10116475,'Makes target immune to Fear effects',100,2,3),
(208456,10116475,'Makes target immune to Root effects',100,2,4),
(208457,10116475,'Makes target immune to Stun effects',100,2,5),
(208458,10116475,'Increases All Attributes of target by 64.0%',100,2,6),
(208459,10116475,'Increases In-Combat Health Regeneration of target by 456.0',100,2,7),
(208460,10116475,'Shapechanges target into an Earth Construct',100,2,8),
(208461,10116475,'Greatly increases maximum health',100,2,9),
(208462,10116475,'Applies Plane Shift: Fire.  Lasts for 1 minute.',100,1,10),
(208463,10116475,'Makes target immune to Stifle effects',100,2,11),
(208464,10116475,'Shapechanges target into a Fire Devil',100,2,12),
(208465,10116475,'Enlarges target by 25.0%',100,2,13),
(208466,10116475,'Increases Ability Casting Speed of target by 64.0%',100,2,14),
(208467,10116475,'Increases Crit Chance of target by 64.0',100,2,15),
(208468,10116475,'Increases Attack Speed of target by 64.0',100,2,16),
(208469,10116475,'Greatly increases maximum health',100,2,17),
(208470,10116475,'Applies Plane Shift: Air.  Lasts for 1 minute.',100,1,18),
(208471,10116475,'Enlarges target by 25.0%',100,2,19),
(208472,10116475,'Increases Crit Chance of target by 64.0',100,2,20),
(208473,10116475,'Shapechanges target into an Air Avenger',100,2,21),
(208474,10116475,'Increases Ability Reuse Speed of target by 64.0%',100,2,22),
(208475,10116475,'Increases Attack Speed of target by 64.0',100,2,23),
(208476,10116475,'Increases in-combat movement speed of target by 96.0%',100,2,24),
(208477,10116475,'Greatly increases maximum health',100,2,25),
(208478,10116475,'Applies Plane Shift: Water.  Lasts for 1 minute.',100,1,26),
(208479,10116475,'Increases Ability Casting Speed of target by 64.0%',100,2,27),
(208480,10116475,'Increases Attack Speed of target by 64.0',100,2,28),
(208481,10116475,'Enlarges target by 350.0%',100,2,29),
(208482,10116475,'Makes target immune to Stifle effects',100,2,30),
(208483,10116475,'Shapechanges target into a Water Construct',100,2,31),
(208484,10116475,'Increases Crit Chance of target by 160.0',100,2,32),
(208485,10116475,'Greatly increases maximum health',100,2,33),
(208486,10116475,'You cannot cast Plane Shift immediately after Soulburn.',100,1,34),
(208487,101965,'Inflicts 756 - 1404 heat damage on target',100,1,0),
(208488,10101965,'Inflicts 983 - 1825 heat damage on target',100,1,0),
(208489,104667,'Decreases Mitigation of target vs all damage by 173',100,1,0),
(208490,10104667,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 173',100,1,0),
(208491,10104667,'Decreases Mitigation of target vs physical damage by 144',100,1,1),
(208492,24006,'Adds Animated Hand (Templar) to your Dungeon Maker toolbox',100,0,0),
(208493,10024006,'Adds Animated Hand (Templar) to your Dungeon Maker toolbox',100,0,0),
(208494,122344,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(208495,122344,'Inflicts 10 - 12 piercing damage on target',100,2,1),
(208496,10122344,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(208497,10122344,'Inflicts 13 - 16 piercing damage on target',100,2,1),
(208498,191621,'When Equipped:',100,0,0),
(208499,191621,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(208500,191621,'Heals group members (AE) for 2304',100,2,2),
(208501,191621,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(208502,191621,'Must not be engaged in pvp combat',100,2,4),
(208503,191621,'Cannot be modified except by direct means',100,2,5),
(208504,191621,'Must not be engaged in pvp combat',100,1,6),
(208505,10191621,'When Equipped:',100,0,0),
(208506,10191621,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(208507,10191621,'Heals group members (AE) for 2695',100,2,2),
(208508,10191621,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(208509,10191621,'Must not be engaged in pvp combat',100,2,4),
(208510,10191621,'Cannot be modified except by direct means',100,2,5),
(208511,10191621,'Must not be engaged in pvp combat',100,1,6),
(208512,116509,'Increases Mitigation of target vs physical damage by 167',100,1,0),
(208513,116509,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(208514,10116509,'Increases Mitigation of target vs physical damage by 167',100,1,0),
(208515,10116509,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(208516,45858,'Applies Dance of the Bellywhumper when Activated.',100,0,0),
(208517,45858,'Shapechanges the user into a Burynai and provides a shield which damages any melee attacker.',100,1,1),
(208518,10045858,'Applies Dance of the Bellywhumper when Activated.',100,0,0),
(208519,10045858,'Shapechanges the user into a Burynai and provides a shield which damages any melee attacker.',100,1,1),
(208520,107079,'Inflicts 84 - 102 divine damage on target',100,1,0),
(208521,10107079,'Inflicts 109 - 133 divine damage on target',100,1,0),
(208522,36857,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(208523,164810,'When Equipped:',100,0,0),
(208524,164810,'On a hostile spell hit this spell may cast Funeral Pyre on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208525,164810,'Inflicts 806 - 1344 heat damage on target',100,2,2),
(208526,164810,'Decreases Mitigation of target vs elemental damage by 2119',100,2,3),
(208527,164810,'Cannot be modified except by direct means',100,2,4),
(208528,10164810,'When Equipped:',100,0,0),
(208529,10164810,'On a hostile spell hit this spell may cast Funeral Pyre on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208530,10164810,'Inflicts 1048 - 1747 heat damage on target',100,2,2),
(208531,10164810,'Decreases Mitigation of target vs elemental damage by 2119',100,2,3),
(208532,10164810,'Cannot be modified except by direct means',100,2,4),
(208533,177790,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(208534,177790,'Slows target by 33.1%',100,1,1),
(208535,177790,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(208536,177790,'Decreases Attack Speed of target by 12.5',100,2,3),
(208537,177790,'Cannot be modified except by direct means',100,2,4),
(208538,177790,'5% chance to dispel when target takes damage',100,1,5),
(208539,177790,'5% chance to dispel when target receives hostile action',100,1,6),
(208540,177790,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(208541,10177790,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(208542,10177790,'Slows target by 33.1%',100,1,1),
(208543,10177790,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(208544,10177790,'Decreases Attack Speed of target by 12.5',100,2,3),
(208545,10177790,'Cannot be modified except by direct means',100,2,4),
(208546,10177790,'5% chance to dispel when target takes damage',100,1,5),
(208547,10177790,'5% chance to dispel when target receives hostile action',100,1,6),
(208548,10177790,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(208549,109706,'Inflicts 20 - 34 cold damage on target',100,1,0),
(208550,109706,'If weapon equipped in Ranged',100,1,1),
(208551,10109706,'Inflicts 17 - 29 cold damage on target',100,1,0),
(208552,10109706,'If weapon equipped in Ranged',100,1,1),
(208553,118574,'Dazes caster',100,1,0),
(208554,118574,'Roots caster',100,1,1),
(208555,118574,'Increases Mitigation of caster vs physical damage by 1802',100,1,2),
(208556,10118574,'Dazes caster',100,1,0),
(208557,10118574,'Roots caster',100,1,1),
(208558,10118574,'Increases Mitigation of caster vs physical damage by 1802',100,1,2),
(208559,102554,'Increases AGI of caster by 31.4',100,1,0),
(208560,102554,'Increases Max Health of caster by 77.2',100,1,1),
(208561,102554,'Adds 15.6% to base avoidance.',100,1,2),
(208562,102554,'Increases Mitigation of caster vs physical damage by 189',100,1,3),
(208563,102554,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,4),
(208564,10102554,'Increases AGI of caster by 31.4',100,1,0),
(208565,10102554,'Increases Max Health of caster by 77.2',100,1,1),
(208566,10102554,'Adds 15.6% to base avoidance.',100,1,2),
(208567,10102554,'Increases Mitigation of caster vs physical damage by 189',100,1,3),
(208568,10102554,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,4),
(208569,74598,'When Equipped:',100,0,0),
(208570,74598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208571,74598,'Inflicts 66 - 99 magic damage on target',100,2,2),
(208572,74598,'Cannot be modified except by direct means',100,2,3),
(208573,10074598,'When Equipped:',100,0,0),
(208574,10074598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208575,10074598,'Inflicts 86 - 129 magic damage on target',100,2,2),
(208576,10074598,'Cannot be modified except by direct means',100,2,3),
(208577,188334,'When Equipped:',100,0,0),
(208578,188334,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(208579,188334,'Heals group members (AE) for 2624',100,2,2),
(208580,188334,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(208581,188334,'Must not be engaged in pvp combat',100,2,4),
(208582,188334,'Cannot be modified except by direct means',100,2,5),
(208583,188334,'Must not be engaged in pvp combat',100,1,6),
(208584,10188334,'When Equipped:',100,0,0),
(208585,10188334,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(208586,10188334,'Heals group members (AE) for 3071',100,2,2),
(208587,10188334,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(208588,10188334,'Must not be engaged in pvp combat',100,2,4),
(208589,10188334,'Cannot be modified except by direct means',100,2,5),
(208590,10188334,'Must not be engaged in pvp combat',100,1,6),
(208591,116219,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(208592,116219,'Inflicts 360 - 440 mental damage on target',100,2,1),
(208593,116219,'Increases INT of group members (AE) by 72.6',100,1,2),
(208594,10116219,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(208595,10116219,'Inflicts 468 - 571 mental damage on target',100,2,1),
(208596,10116219,'Increases INT of group members (AE) by 72.6',100,1,2),
(208597,24311,'Adds Drachnid (Dirge) to your Dungeon Maker toolbox',100,0,0),
(208598,10024311,'Adds Drachnid (Dirge) to your Dungeon Maker toolbox',100,0,0),
(208599,110480,'Stifles caster',100,1,0),
(208600,110480,'Increases power of caster by 19 instantly and every second',100,1,1),
(208601,10110480,'Stifles caster',100,1,0),
(208602,10110480,'Increases power of caster by 19 instantly and every second',100,1,1),
(208603,153853,'When Equipped:',100,0,0),
(208604,153853,'On a melee hit this spell may cast Greater Battle Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208605,153853,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(208606,153853,'Must not be engaged in pvp combat',100,1,3),
(208607,10153853,'When Equipped:',100,0,0),
(208608,10153853,'On a melee hit this spell may cast Greater Battle Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208609,10153853,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(208610,10153853,'Must not be engaged in pvp combat',100,1,3),
(208611,110354,'Increases STR and AGI of group members (AE) by 5.8',100,1,0),
(208612,110354,'Adds 1.5% to base avoidance.',100,1,1),
(208613,10110354,'Increases STR and AGI of group members (AE) by 5.8',100,1,0),
(208614,10110354,'Adds 1.5% to base avoidance.',100,1,1),
(208615,36607,'Increases STR of target by 1.5',100,0,0),
(208616,36607,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(208617,102389,'Inflicts 231 - 430 melee damage on targets in area',100,1,0),
(208618,10102389,'Inflicts 301 - 559 melee damage on targets in area',100,1,0),
(208619,104526,'Increases Threat to target by 1,239 - 1,514  instantly and by 247 - 302  every 2 seconds thereafter',100,1,0),
(208620,10104526,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(208621,119965,'Increases Threat to target by 25 - 30 ',100,1,0),
(208622,10119965,'Prevents target from changing targets',100,1,0),
(208623,10119965,'Forces target to change their selected target to caster.',100,1,1),
(208624,119640,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(208625,119640,'Stuns target',100,2,1),
(208626,119640,'Throws target back',100,2,2),
(208627,119640,'Blurs vision of target',100,2,3),
(208628,119640,'Does not affect Epic targets',100,2,4),
(208629,119640,'Inflicts 40 - 121 melee damage on target',100,1,5),
(208630,10119640,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(208631,10119640,'Blurs vision of target',100,2,1),
(208632,10119640,'Stuns target',100,2,2),
(208633,10119640,'Throws target back',100,2,3),
(208634,10119640,'Does not affect Epic targets',100,2,4),
(208635,10119640,'Inflicts 52 - 158 melee damage on target',100,1,5),
(208636,35261,'Increases AGI of target by 1.5',100,0,0),
(208637,35261,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(208638,100681,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(208639,100681,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(208640,100681,'Heals caster for 766',100,3,2),
(208641,100681,'Wards caster against 980 points of all damage',100,3,3),
(208642,100681,'Summons a limited pet to aid the caster',100,2,4),
(208643,100681,'Grants a total of 1 trigger of the spell.',100,2,5),
(208644,10100681,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(208645,10100681,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(208646,10100681,'Heals caster for 498',100,3,2),
(208647,10100681,'Wards caster against 980 points of all damage',100,3,3),
(208648,10100681,'Summons a limited pet to aid the caster',100,2,4),
(208649,10100681,'Grants a total of 1 trigger of the spell.',100,2,5),
(208650,35924,'Increases AGI of target by 1.5',100,0,0),
(208651,35924,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(208652,75414,'When Equipped:',100,0,0),
(208653,75414,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(208654,75414,'Inflicts 1986 piercing damage on target',100,2,2),
(208655,75414,'Cannot be modified except by direct means',100,2,3),
(208656,10075414,'When Equipped:',100,0,0),
(208657,10075414,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(208658,10075414,'Inflicts 1291 piercing damage on target',100,2,2),
(208659,10075414,'Cannot be modified except by direct means',100,2,3),
(208660,159359,'Applies Sanguine Imbued when Equipped.',100,0,0),
(208661,159359,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(208662,159359,'Inflicts 161 heat damage on target',100,2,2),
(208663,159359,'Cannot be modified except by direct means',100,2,3),
(208664,10159359,'Applies Sanguine Imbued when Equipped.',100,0,0),
(208665,10159359,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(208666,10159359,'Inflicts 210 heat damage on target',100,2,2),
(208667,10159359,'Cannot be modified except by direct means',100,2,3),
(208668,144270,'When Equipped:',100,0,0),
(208669,144270,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(208670,144270,'Increases power of target by 209',100,2,2),
(208671,144270,'Decreases power of caster by 197',100,2,3),
(208672,144270,'Cannot be modified except by direct means',100,2,4),
(208673,10144270,'When Equipped:',100,0,0),
(208674,10144270,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(208675,10144270,'Increases power of target by 209',100,2,2),
(208676,10144270,'Decreases power of caster by 197',100,2,3),
(208677,10144270,'Cannot be modified except by direct means',100,2,4),
(208678,120398,'Decreases Defense of caster by 14.7',100,1,0),
(208679,120398,'Increases Crushing and Ranged of caster by 24.3',100,1,1),
(208680,120398,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(208681,120398,'Inflicts 222 - 371 heat damage on target',100,2,3),
(208682,120398,'Increases Slashing and Piercing of caster by 24.3',100,1,4),
(208683,10120398,'Decreases Defense of caster by 14.7',100,1,0),
(208684,10120398,'Increases Crushing and Ranged of caster by 24.3',100,1,1),
(208685,10120398,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(208686,10120398,'Inflicts 289 - 482 heat damage on target',100,2,3),
(208687,10120398,'Increases Slashing and Piercing of caster by 24.3',100,1,4),
(208688,45182,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(208689,45182,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(208690,45182,'Inflicts 322 poison damage on target',100,2,2),
(208691,45182,'Inflicts 94 poison damage on target instantly and every 6 seconds',100,2,3),
(208692,45182,'Cannot be modified except by direct means',100,2,4),
(208693,45182,'Grants a total of 200 triggers of the spell.',100,2,5),
(208694,10045182,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(208695,10045182,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(208696,10045182,'Inflicts 314 poison damage on target',100,2,2),
(208697,10045182,'Inflicts 92 poison damage on target instantly and every 6 seconds',100,2,3),
(208698,10045182,'Cannot be modified except by direct means',100,2,4),
(208699,10045182,'Grants a total of 200 triggers of the spell.',100,2,5),
(208700,110622,'Decreases Focus of target by 62.9',100,1,0),
(208701,110622,'Interrupts target',100,1,1),
(208702,110622,'Inflicts 429 - 1289 crushing damage on target',100,1,2),
(208703,10110622,'Decreases Focus of target by 62.9',100,1,0),
(208704,10110622,'Interrupts target',100,1,1),
(208705,10110622,'Inflicts 558 - 1676 crushing damage on target',100,1,2),
(208706,175834,'When Equipped:',100,0,0),
(208707,175834,'Increases base Spell damage by 5%.',100,1,1),
(208708,10175834,'When Equipped:',100,0,0),
(208709,10175834,'Increases base Spell damage by 5%.',100,1,1),
(208710,82358,'When Equipped:',100,0,0),
(208711,82358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208712,82358,'Inflicts 48 - 89 magic damage on target',100,2,2),
(208713,82358,'Cannot be modified except by direct means',100,2,3),
(208714,10082358,'When Equipped:',100,0,0),
(208715,10082358,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208716,10082358,'Inflicts 62 - 115 magic damage on target',100,2,2),
(208717,10082358,'Cannot be modified except by direct means',100,2,3),
(208718,179451,'When Equipped:',100,0,0),
(208719,179451,'Grants See Invisibility to caster',100,1,1),
(208720,10179451,'When Equipped:',100,0,0),
(208721,10179451,'Grants See Invisibility to caster',100,1,1),
(208722,81127,'When Equipped:',100,0,0),
(208723,81127,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208724,81127,'Inflicts 230 - 426 magic damage on target',100,2,2),
(208725,81127,'Cannot be modified except by direct means',100,2,3),
(208726,10081127,'When Equipped:',100,0,0),
(208727,10081127,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208728,10081127,'Inflicts 298 - 554 magic damage on target',100,2,2),
(208729,10081127,'Cannot be modified except by direct means',100,2,3),
(208730,119837,'Dazes target',100,1,0),
(208731,119837,'Does not affect Epic targets',100,1,1),
(208732,119837,'Resistibility increases against targets higher than level 64.',100,1,2),
(208733,10119837,'Dazes target',100,1,0),
(208734,10119837,'Does not affect Epic targets',100,1,1),
(208735,10119837,'Resistibility increases against targets higher than level 64.',100,1,2),
(208736,108487,'Prevents AOE (except when direct) ',100,1,0),
(208737,108487,'Stuns target',100,1,1),
(208738,108487,'Dispelled when target takes damage',100,1,2),
(208739,108487,'Does not affect Epic targets',100,1,3),
(208740,108487,'Resistibility increases against targets higher than level 39.',100,1,4),
(208741,10108487,'Prevents AOE (except when direct) ',100,1,0),
(208742,10108487,'Stuns target',100,1,1),
(208743,10108487,'Dispelled when target takes damage',100,1,2),
(208744,10108487,'Does not affect Epic targets',100,1,3),
(208745,10108487,'Resistibility increases against targets higher than level 39.',100,1,4),
(208746,113768,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(208747,113768,'Heals target for 62 - 75',100,2,1),
(208748,10113768,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(208749,10113768,'Heals target for 40 - 49',100,2,1),
(208750,41471,'When Equipped:',100,0,0),
(208751,41471,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208752,41471,'Inflicts 121 - 225 magic damage on target',100,2,2),
(208753,41471,'Cannot be modified except by direct means',100,2,3),
(208754,10041471,'When Equipped:',100,0,0),
(208755,10041471,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208756,10041471,'Inflicts 157 - 292 magic damage on target',100,2,2),
(208757,10041471,'Cannot be modified except by direct means',100,2,3),
(208758,179477,'When Equipped:',100,0,0),
(208759,179477,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(208760,179477,'Stuns target',100,2,2),
(208761,179477,'Throws target back',100,2,3),
(208762,179477,'Does not affect Epic targets',100,2,4),
(208763,179477,'Resistibility increases against targets higher than level 74.',100,2,5),
(208764,179477,'Cannot be modified except by direct means',100,2,6),
(208765,10179477,'When Equipped:',100,0,0),
(208766,10179477,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(208767,10179477,'Stuns target',100,2,2),
(208768,10179477,'Throws target back',100,2,3),
(208769,10179477,'Does not affect Epic targets',100,2,4),
(208770,10179477,'Resistibility increases against targets higher than level 74.',100,2,5),
(208771,10179477,'Cannot be modified except by direct means',100,2,6),
(208772,177565,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(208773,177565,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(208774,177565,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(208775,177565,'Cannot be modified except by direct means',100,2,3),
(208776,10177565,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(208777,10177565,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(208778,10177565,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(208779,10177565,'Cannot be modified except by direct means',100,2,3),
(208780,71512,'Applies Astral Blessing when Equipped.',100,0,0),
(208781,71512,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(208782,71512,'Heals target for 442 instantly and every second',100,2,2),
(208783,71512,'Cannot be modified except by direct means',100,2,3),
(208784,71512,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(208785,71512,'Heals caster for 442 instantly and every second',100,2,5),
(208786,71512,'Cannot be modified except by direct means',100,2,6),
(208787,71512,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(208788,71512,'Heals caster for 442 instantly and every second',100,2,8),
(208789,71512,'Cannot be modified except by direct means',100,2,9),
(208790,10071512,'Applies Astral Blessing when Equipped.',100,0,0),
(208791,10071512,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(208792,10071512,'Heals target for 517 instantly and every second',100,2,2),
(208793,10071512,'Cannot be modified except by direct means',100,2,3),
(208794,10071512,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(208795,10071512,'Heals caster for 517 instantly and every second',100,2,5),
(208796,10071512,'Cannot be modified except by direct means',100,2,6),
(208797,10071512,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(208798,10071512,'Heals caster for 517 instantly and every second',100,2,8),
(208799,10071512,'Cannot be modified except by direct means',100,2,9),
(208800,109267,'Shapechanges caster into a bear',100,1,0),
(208801,10109267,'Shapechanges caster into a bear',100,1,0),
(208802,141815,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(208803,141815,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(208804,141815,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(208805,141815,'Cannot be modified except by direct means',100,2,3),
(208806,10141815,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(208807,10141815,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(208808,10141815,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(208809,10141815,'Cannot be modified except by direct means',100,2,3),
(208810,123219,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(208811,123219,'Inflicts 230 - 281 disease damage on target',100,2,1),
(208812,123219,'Heals caster for 3.5 - 4.2% of max health',100,2,2),
(208813,123219,'This effect cannot be critically applied.',100,3,3),
(208814,123219,'The healing of this spell cannot be modified except by direct means',100,2,4),
(208815,123219,'Grants a total of 5 triggers of the spell.',100,2,5),
(208816,10123219,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(208817,10123219,'Inflicts 299 - 365 disease damage on target',100,2,1),
(208818,10123219,'Heals caster for 1.2 - 1.5% of max health',100,2,2),
(208819,10123219,'This effect cannot be critically applied.',100,3,3),
(208820,10123219,'The healing of this spell cannot be modified except by direct means',100,2,4),
(208821,10123219,'Grants a total of 5 triggers of the spell.',100,2,5),
(208822,103447,'Blurs vision of target encounter',100,1,0),
(208823,103447,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(208824,103447,'Stuns target',100,2,2),
(208825,103447,'Throws target back',100,2,3),
(208826,103447,'Blurs vision of target',100,2,4),
(208827,103447,'Does not affect Epic targets',100,2,5),
(208828,103447,'Interrupts target encounter',100,1,6),
(208829,10103447,'Interrupts target encounter',100,1,0),
(208830,10103447,'7% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(208831,10103447,'Stuns target',100,2,2),
(208832,10103447,'Throws target back',100,2,3),
(208833,10103447,'Blurs vision of target',100,2,4),
(208834,10103447,'Does not affect Epic targets',100,2,5),
(208835,10103447,'Blurs vision of target encounter',100,1,6),
(208836,117880,'Heals target for 379 - 464 instantly and every 2 seconds',100,1,0),
(208837,10117880,'Heals target for 247 - 301 instantly and every 2 seconds',100,1,0),
(208838,144602,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(208839,144602,'Decreases WIS, INT, AGI and STR of target by 51.0',100,1,1),
(208840,144602,'Decreases Max Health of target by 1.0%',100,1,2),
(208841,144602,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(208842,10144602,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(208843,10144602,'Decreases WIS, INT, AGI and STR of target by 51.0',100,1,1),
(208844,10144602,'Decreases Max Health of target by 1.0%',100,1,2),
(208845,10144602,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(208846,115002,'Inflicts 708 - 1180 ranged damage on targets in area',100,1,0),
(208847,115002,'You must be in stealth to use this!',100,1,1),
(208848,115002,'Requires bow',100,1,2),
(208849,10115002,'Inflicts 601 - 1003 ranged damage on targets in area',100,1,0),
(208850,10115002,'You must be in stealth to use this!',100,1,1),
(208851,10115002,'Requires bow',100,1,2),
(208852,101948,'Inflicts 636 - 1061 melee damage on target',100,1,0),
(208853,101948,'Inflicts 212 piercing damage on target instantly and every 4 seconds',100,1,1),
(208854,101948,'Must be behind',100,1,2),
(208855,10101948,'Inflicts 827 - 1379 melee damage on target',100,1,0),
(208856,10101948,'Inflicts 276 piercing damage on target instantly and every 4 seconds',100,1,1),
(208857,10101948,'Must be behind',100,1,2),
(208858,108052,'Inflicts 565 magic damage on target',100,1,0),
(208859,108052,'Increases power of caster by 266',100,1,1),
(208860,10108052,'Inflicts 735 magic damage on target',100,1,0),
(208861,10108052,'Increases power of caster by 266',100,1,1),
(208862,35709,'Increases WIS of target by 0.4',100,0,0),
(208863,35709,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(208864,107648,'Increases Mitigation of raid and group members (AE) vs elemental damage by 739',100,1,0),
(208865,10107648,'Increases Mitigation of raid and group members (AE) vs elemental damage by 739',100,1,0),
(208866,104544,'Increases Threat to target by 973 - 1,189  instantly and by 194 - 237  every 2 seconds thereafter',100,1,0),
(208867,10104544,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(208868,159952,'When Equipped:',100,0,0),
(208869,159952,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208870,159952,'Increases STR of caster by 19.8',100,2,2),
(208871,159952,'Increases Damage Per Second of caster by 25.2',100,2,3),
(208872,159952,'Cannot be modified except by direct means',100,2,4),
(208873,10159952,'When Equipped:',100,0,0),
(208874,10159952,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208875,10159952,'Increases STR of caster by 19.8',100,2,2),
(208876,10159952,'Increases Damage Per Second of caster by 25.2',100,2,3),
(208877,10159952,'Cannot be modified except by direct means',100,2,4),
(208878,175466,'When Equipped:',100,0,0),
(208879,175466,'On a healing spell cast this spell may cast Will of Gynok on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208880,175466,'Increases the target''s effectiveness of worn armor vs physical damage by 15%',100,2,2),
(208881,175466,'Cannot be modified except by direct means',100,2,3),
(208882,175466,'Cannot be modified except by direct means',100,1,4),
(208883,175466,'When Equipped:',100,0,5),
(208884,175466,'Reduces reuse time of beneficial spells by 4 percent.',100,1,6),
(208885,10175466,'When Equipped:',100,0,0),
(208886,10175466,'On a healing spell cast this spell may cast Will of Gynok on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(208887,10175466,'Increases the target''s effectiveness of worn armor vs physical damage by 15%',100,2,2),
(208888,10175466,'Cannot be modified except by direct means',100,2,3),
(208889,10175466,'Cannot be modified except by direct means',100,1,4),
(208890,10175466,'When Equipped:',100,0,5),
(208891,10175466,'Reduces reuse time of beneficial spells by 4 percent.',100,1,6),
(208892,26266,'When Equipped:',100,0,0),
(208893,26266,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(208894,26266,'Decreases power of target by 187',100,2,2),
(208895,26266,'Increases power of caster by 120',100,2,3),
(208896,26266,'Cannot be modified except by direct means',100,2,4),
(208897,10026266,'When Equipped:',100,0,0),
(208898,10026266,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(208899,10026266,'Decreases power of target by 187',100,2,2),
(208900,10026266,'Increases power of caster by 120',100,2,3),
(208901,10026266,'Cannot be modified except by direct means',100,2,4),
(208902,109982,'Inflicts 1075 - 1613 disease damage on targets in Area of Effect',100,1,0),
(208903,109982,'Inflicts 538 - 806 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(208904,109982,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(208905,109982,'Increases Threat to targets in Area of Effect by 2,920 - 3,569  instantly and every 4 seconds thereafter',100,1,3),
(208906,10109982,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(208907,10109982,'Prevents target from changing targets',100,2,1),
(208908,10109982,'Forces target to change their selected target to caster.',100,2,2),
(208909,10109982,'Inflicts 1398 - 2097 disease damage on targets in Area of Effect',100,1,3),
(208910,10109982,'Inflicts 699 - 1048 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(208911,112185,'Increases STR of caster by 58.7',100,1,0),
(208912,112185,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',100,1,1),
(208913,112185,'Increases Mitigation of caster vs physical damage by 374',100,1,2),
(208914,10112185,'Increases STR of caster by 58.7',100,1,0),
(208915,10112185,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',100,1,1),
(208916,10112185,'Increases Mitigation of caster vs physical damage by 374',100,1,2),
(208917,111391,'Increases Attack Speed of target by 27.6',100,1,0),
(208918,111391,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(208919,111391,'Inflicts 132 disease damage on target',100,2,2),
(208920,111391,'Heals caster for 28',100,2,3),
(208921,111391,'Decreases Defense and Parry of target by 11.3',100,1,4),
(208922,111391,'Increases Disruption, Subjugation and Focus of target by 13.5',100,1,5),
(208923,10111391,'Increases Attack Speed of target by 27.6',100,1,0),
(208924,10111391,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(208925,10111391,'Inflicts 171 disease damage on target',100,2,2),
(208926,10111391,'Heals caster for 18',100,2,3),
(208927,10111391,'Decreases Defense and Parry of target by 11.3',100,1,4),
(208928,10111391,'Increases Disruption, Subjugation and Focus of target by 13.5',100,1,5),
(208929,26927,'When Equipped:',100,0,0),
(208930,26927,'Increases all noxious damage by up to 25.',100,1,1),
(208931,10026927,'When Equipped:',100,0,0),
(208932,10026927,'Increases all noxious damage by up to 25.',100,1,1),
(208933,118037,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(208934,118037,'Inflicts 330 - 550 divine damage on target',100,2,1),
(208935,118037,'Stuns target',100,2,2),
(208936,118037,'If Target is not Epic',100,3,3),
(208937,118037,'Grants a total of 3 triggers of the spell.',100,2,4),
(208938,10118037,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(208939,10118037,'Inflicts 429 - 714 divine damage on target',100,2,1),
(208940,10118037,'Stuns target',100,2,2),
(208941,10118037,'If Target is not Epic',100,3,3),
(208942,10118037,'Grants a total of 3 triggers of the spell.',100,2,4),
(208943,41705,'When Equipped:',100,0,0),
(208944,41705,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208945,41705,'Inflicts 43 - 80 magic damage on target',100,2,2),
(208946,41705,'Cannot be modified except by direct means',100,2,3),
(208947,10041705,'When Equipped:',100,0,0),
(208948,10041705,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208949,10041705,'Inflicts 56 - 104 magic damage on target',100,2,2),
(208950,10041705,'Cannot be modified except by direct means',100,2,3),
(208951,82284,'When Equipped:',100,0,0),
(208952,82284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208953,82284,'Inflicts 43 - 80 magic damage on target',100,2,2),
(208954,82284,'Cannot be modified except by direct means',100,2,3),
(208955,10082284,'When Equipped:',100,0,0),
(208956,10082284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208957,10082284,'Inflicts 56 - 104 magic damage on target',100,2,2),
(208958,10082284,'Cannot be modified except by direct means',100,2,3),
(208959,108363,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(208960,108363,'Increases Mitigation of group members (AE) vs arcane damage by 870',100,1,1),
(208961,10108363,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(208962,10108363,'Increases Mitigation of group members (AE) vs arcane damage by 870',100,1,1),
(208963,148616,'When Equipped:',100,0,0),
(208964,148616,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(208965,10148616,'When Equipped:',100,0,0),
(208966,10148616,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(208967,104798,'Increases caster''s chance to block by 10.0%',100,1,0),
(208968,104798,'Decreases Attack Speed of caster by 14.0',100,1,1),
(208969,104798,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(208970,104798,'Increases Parry of caster by 13.2',100,1,3),
(208971,104798,'Increases Defense of caster by 13.2',100,1,4),
(208972,10104798,'Increases caster''s chance to block by 10.0%',100,1,0),
(208973,10104798,'Decreases Attack Speed of caster by 14.0',100,1,1),
(208974,10104798,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(208975,10104798,'Increases Parry of caster by 13.2',100,1,3),
(208976,10104798,'Increases Defense of caster by 13.2',100,1,4),
(208977,102951,'Inflicts 196 - 239 disease damage on target instantly and every 4 seconds',100,1,0),
(208978,10102951,'Inflicts 331 - 405 disease damage on target',100,1,0),
(208979,10102951,'Inflicts 255 - 311 disease damage on target every 4 seconds',100,1,1),
(208980,109297,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(208981,109297,'Increases Mitigation of group members (AE) vs elemental damage by 504',100,1,1),
(208982,10109297,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(208983,10109297,'Increases Mitigation of group members (AE) vs elemental damage by 504',100,1,1),
(208984,120423,'Inflicts 88 - 147 melee damage on target',100,1,0),
(208985,120423,'Inflicts 88 - 147 melee damage on target',100,1,1),
(208986,10120423,'Inflicts 115 - 192 melee damage on target',100,1,0),
(208987,10120423,'Inflicts 115 - 192 melee damage on target',100,1,1),
(208988,123379,'Heals group members (AE) for 753 - 921',100,1,0),
(208989,10123379,'Heals group members (AE) for 916 - 1120',100,1,0),
(208990,36573,'Increases Max Power of target by 5.5',100,0,0),
(208991,36573,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,1),
(208992,149146,'When Equipped:',100,0,0),
(208993,149146,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(208994,10149146,'When Equipped:',100,0,0),
(208995,10149146,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(208996,87378,'When Equipped:',100,0,0),
(208997,87378,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(208998,87378,'Inflicts 194 - 290 magic damage on target',100,2,2),
(208999,87378,'Cannot be modified except by direct means',100,2,3),
(209000,10087378,'When Equipped:',100,0,0),
(209001,10087378,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209002,10087378,'Inflicts 252 - 378 magic damage on target',100,2,2),
(209003,10087378,'Cannot be modified except by direct means',100,2,3),
(209004,116359,'Mesmerizes target encounter',100,1,0),
(209005,116359,'Prevents AOE (except when direct) ',100,1,1),
(209006,116359,'Dispelled when target takes damage',100,1,2),
(209007,116359,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(209008,116359,'Resistibility increases against targets higher than level 94.',100,1,4),
(209009,10116359,'Mesmerizes target encounter',100,1,0),
(209010,10116359,'Prevents AOE (except when direct) ',100,1,1),
(209011,10116359,'Dispelled when target takes damage',100,1,2),
(209012,10116359,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(209013,10116359,'Resistibility increases against targets higher than level 94.',100,1,4),
(209014,106959,'Inflicts 877 - 1629 poison damage on target',100,1,0),
(209015,10106959,'Inflicts 1141 - 2118 poison damage on target',100,1,0),
(209016,137902,'When Equipped:',100,0,0),
(209017,137902,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(209018,10137902,'When Equipped:',100,0,0),
(209019,10137902,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(209020,104864,'Increases STA of group members (AE) by 11.2',100,1,0),
(209021,104864,'Increases Mitigation of group members (AE) vs physical damage by 108',100,1,1),
(209022,10104864,'Increases STA of group members (AE) by 11.2',100,1,0),
(209023,10104864,'Increases Mitigation of group members (AE) vs physical damage by 108',100,1,1),
(209024,131970,'When Equipped:',100,0,0),
(209025,131970,'Increases Attack Speed of caster by 3.0',100,1,1),
(209026,10131970,'When Equipped:',100,0,0),
(209027,10131970,'Increases Attack Speed of caster by 3.0',100,1,1),
(209028,118740,'Inflicts 278 - 464 slashing damage on target',100,1,0),
(209029,118740,'Decreases Slashing, Crushing and Piercing of target by 15.3',100,1,1),
(209030,118740,'Inflicts 115 - 140 slashing damage on target every 5 seconds',100,1,2),
(209031,10118740,'Inflicts 362 - 603 slashing damage on target',100,1,0),
(209032,10118740,'Decreases Slashing, Crushing and Piercing of target by 15.3',100,1,1),
(209033,10118740,'Inflicts 149 - 182 slashing damage on target every 5 seconds',100,1,2),
(209034,110258,'Inflicts 376 - 627 melee damage on target',100,1,0),
(209035,110258,'Slows target by 63.0%',100,1,1),
(209036,110258,'5% chance to dispel when target receives hostile action',100,1,2),
(209037,110258,'5% chance to dispel when target takes damage',100,1,3),
(209038,10110258,'Inflicts 489 - 816 melee damage on target',100,1,0),
(209039,10110258,'Slows target by 63.0%',100,1,1),
(209040,10110258,'5% chance to dispel when target receives hostile action',100,1,2),
(209041,10110258,'5% chance to dispel when target takes damage',100,1,3),
(209042,181231,'When Equipped:',100,0,0),
(209043,181231,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(209044,181231,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(209045,181231,'Cannot be modified except by direct means',100,2,3),
(209046,10181231,'When Equipped:',100,0,0),
(209047,10181231,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(209048,10181231,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(209049,10181231,'Cannot be modified except by direct means',100,2,3),
(209050,164065,'Applies Deadly Strikes when Activated.  Lasts for 45.0 seconds.',100,0,0),
(209051,164065,'Increases Damage Per Second of caster by 30.0',100,1,1),
(209052,164065,'The casting time of Deadly Strikes is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,2),
(209053,10164065,'Applies Deadly Strikes when Activated.  Lasts for 45.0 seconds.',100,0,0),
(209054,10164065,'Increases Damage Per Second of caster by 30.0',100,1,1),
(209055,10164065,'The casting time of Deadly Strikes is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,2),
(209056,114723,'Grants target a 38% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(209057,114723,'Decreases Hate Gain of target by 24.9%',100,1,1),
(209058,10114723,'Grants target a 38% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(209059,111160,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(209060,111160,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1305',100,1,1),
(209061,111160,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,2),
(209062,10111160,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(209063,10111160,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1305',100,1,1),
(209064,10111160,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,2),
(209065,102658,'Inflicts 416 - 693 melee damage on target',100,1,0),
(209066,102658,'Inflicts 179 heat damage on target every 6 seconds',100,1,1),
(209067,10102658,'Inflicts 540 - 901 melee damage on target',100,1,0),
(209068,10102658,'Inflicts 233 heat damage on target every 6 seconds',100,1,1),
(209069,116521,'Increases Mitigation of target vs physical damage by 319',100,1,0),
(209070,116521,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(209071,10116521,'Increases Mitigation of target vs physical damage by 319',100,1,0),
(209072,10116521,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(209073,35038,'Increases AGI and STA of target by 5.4',100,0,0),
(209074,35038,'Increases Damage Per Second of target by 10.0',100,0,1),
(209075,35038,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(209076,114788,'Decreases WIS of target by 31.2',100,1,0),
(209077,114788,'Increases WIS and STA of caster by 31.2',100,1,1),
(209078,114788,'Decreases Max Health of target by 1.6%',100,1,2),
(209079,114788,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 100',100,1,3),
(209080,114788,'Only affects targets level 17 and above',100,1,4),
(209081,10114788,'Decreases WIS of target by 31.2',100,1,0),
(209082,10114788,'Increases WIS and STA of caster by 31.2',100,1,1),
(209083,10114788,'Decreases Max Health of target by 1.6%',100,1,2),
(209084,10114788,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 100',100,1,3),
(209085,10114788,'Only affects targets level 17 and above',100,1,4),
(209086,27221,'When Equipped:',100,0,0),
(209087,27221,'Increases all heat damage by up to 50.',100,1,1),
(209088,10027221,'When Equipped:',100,0,0),
(209089,10027221,'Increases all heat damage by up to 50.',100,1,1),
(209090,24484,'Adds Lair of Scale: Hatched Eggs to your Dungeon Maker toolbox',100,0,0),
(209091,10024484,'Adds Lair of Scale: Hatched Eggs to your Dungeon Maker toolbox',100,0,0),
(209092,37274,'Increases STA of target by 1.1',100,0,0),
(209093,37274,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(209094,81272,'When Equipped:',100,0,0),
(209095,81272,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209096,81272,'Inflicts 314 - 583 magic damage on target',100,2,2),
(209097,81272,'Cannot be modified except by direct means',100,2,3),
(209098,10081272,'When Equipped:',100,0,0),
(209099,10081272,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209100,10081272,'Inflicts 408 - 757 magic damage on target',100,2,2),
(209101,10081272,'Cannot be modified except by direct means',100,2,3),
(209102,105292,'Increases AGI of caster by 111.3',100,1,0),
(209103,105292,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(209104,105292,'Inflicts 149 - 249 mental damage on target',100,2,2),
(209105,105292,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(209106,105292,'Inflicts 149 - 249 mental damage on target',100,2,4),
(209107,105292,'Adds 21.8% to base avoidance.',100,1,5),
(209108,105292,'Increases Mitigation of caster vs physical damage by 402',100,1,6),
(209109,105292,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,7),
(209110,10105292,'Increases AGI of caster by 111.3',100,1,0),
(209111,10105292,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(209112,10105292,'Inflicts 194 - 324 mental damage on target',100,2,2),
(209113,10105292,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(209114,10105292,'Inflicts 194 - 324 mental damage on target',100,2,4),
(209115,10105292,'Adds 21.8% to base avoidance.',100,1,5),
(209116,10105292,'Increases Mitigation of caster vs physical damage by 402',100,1,6),
(209117,10105292,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,7),
(209118,118257,'Increases Threat to target encounter by 167 - 204 ',100,1,0),
(209119,118257,'Decreases Mitigation of target encounter vs arcane damage by 242',100,1,1),
(209120,10118257,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(209121,10118257,'Prevents target from changing targets',100,2,1),
(209122,10118257,'Forces target to change their selected target to caster.',100,2,2),
(209123,10118257,'Decreases Mitigation of target encounter vs arcane damage by 242',100,1,3),
(209124,123498,'Decreases Mitigation of target encounter vs noxious damage by 390',100,1,0),
(209125,10123498,'Decreases Mitigation of target encounter vs noxious damage by 390',100,1,0),
(209126,115039,'Heals target for 664 - 812',100,1,0),
(209127,10115039,'Heals target for 930 - 1137',100,1,0),
(209128,41718,'When Equipped:',100,0,0),
(209129,41718,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209130,41718,'Inflicts 148 - 274 magic damage on target',100,2,2),
(209131,41718,'Cannot be modified except by direct means',100,2,3),
(209132,10041718,'When Equipped:',100,0,0),
(209133,10041718,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209134,10041718,'Inflicts 192 - 356 magic damage on target',100,2,2),
(209135,10041718,'Cannot be modified except by direct means',100,2,3),
(209136,113942,'Increases power of target by 63 instantly and every 4 seconds',100,1,0),
(209137,10113942,'Increases power of target by 63 instantly and every 4 seconds',100,1,0),
(209138,100833,'Wards target against 353 points of all damage',100,1,0),
(209139,10100833,'Wards target against 544 points of all damage',100,1,0),
(209140,123251,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(209141,123251,'Increases Mitigation of group members (AE) vs noxious damage by 504',100,1,1),
(209142,10123251,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(209143,10123251,'Increases Mitigation of group members (AE) vs noxious damage by 504',100,1,1),
(209144,37532,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(209145,114276,'Heals target for 121 - 147',100,1,0),
(209146,10114276,'Heals target for 142 - 173',100,1,0),
(209147,100361,'Increases Max Health of target by 964.3',100,1,0),
(209148,100361,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.9',100,1,1),
(209149,10100361,'Increases Max Health of target by 964.3',100,1,0),
(209150,10100361,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.9',100,1,1),
(209151,46574,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(209152,46574,'Increases Max Health of caster by 64.7',100,1,1),
(209153,10046574,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(209154,10046574,'Increases Max Health of caster by 64.7',100,1,1),
(209155,112463,'Decreases AGI and WIS of target by 9.9',100,1,0),
(209156,10112463,'Decreases AGI and WIS of target by 9.9',100,1,0),
(209157,80950,'When Equipped:',100,0,0),
(209158,80950,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209159,80950,'Inflicts 267 - 496 magic damage on target',100,2,2),
(209160,80950,'Cannot be modified except by direct means',100,2,3),
(209161,10080950,'When Equipped:',100,0,0),
(209162,10080950,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209163,10080950,'Inflicts 347 - 644 magic damage on target',100,2,2),
(209164,10080950,'Cannot be modified except by direct means',100,2,3),
(209165,109384,'Inflicts 241 - 723 melee damage on target',100,1,0),
(209166,109384,'Inflicts 301 - 904 melee damage on target',100,1,1),
(209167,109384,'Inflicts 361 - 1085 melee damage on target',100,1,2),
(209168,10109384,'Inflicts 313 - 940 melee damage on target',100,1,0),
(209169,10109384,'Inflicts 391 - 1175 melee damage on target',100,1,1),
(209170,10109384,'Inflicts 470 - 1410 melee damage on target',100,1,2),
(209171,82743,'When Equipped:',100,0,0),
(209172,82743,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209173,82743,'Inflicts 148 - 274 magic damage on target',100,2,2),
(209174,82743,'Cannot be modified except by direct means',100,2,3),
(209175,10082743,'When Equipped:',100,0,0),
(209176,10082743,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209177,10082743,'Inflicts 192 - 356 magic damage on target',100,2,2),
(209178,10082743,'Cannot be modified except by direct means',100,2,3),
(209179,187439,'When Equipped:',100,0,0),
(209180,187439,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(209181,10187439,'When Equipped:',100,0,0),
(209182,10187439,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(209183,82294,'When Equipped:',100,0,0),
(209184,82294,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209185,82294,'Inflicts 296 - 551 magic damage on target',100,2,2),
(209186,82294,'Cannot be modified except by direct means',100,2,3),
(209187,10082294,'When Equipped:',100,0,0),
(209188,10082294,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209189,10082294,'Inflicts 385 - 716 magic damage on target',100,2,2),
(209190,10082294,'Cannot be modified except by direct means',100,2,3),
(209191,157558,'When Equipped:',100,0,0),
(209192,157558,'Increases Attack Speed of caster by 35.0',100,1,1),
(209193,10157558,'When Equipped:',100,0,0),
(209194,10157558,'Increases Attack Speed of caster by 35.0',100,1,1),
(209195,101564,'Inflicts 10669 - 17782 melee damage on target',100,1,0),
(209196,101564,'You must be stealthed to use this ability',100,1,1),
(209197,10101564,'Inflicts 6519 - 10865 melee damage on target',100,1,0),
(209198,10101564,'You must be stealthed to use this ability',100,1,1),
(209199,101576,'Inflicts 36 - 60 melee damage on targets in area',100,1,0),
(209200,10101576,'Inflicts 46 - 78 melee damage on targets in area',100,1,0),
(209201,77375,'When Equipped:',100,0,0),
(209202,77375,'On a combat hit this spell may cast Fire Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209203,77375,'Inflicts 195 heat damage on target',100,2,2),
(209204,77375,'Cannot be modified except by direct means',100,2,3),
(209205,10077375,'When Equipped:',100,0,0),
(209206,10077375,'On a combat hit this spell may cast Fire Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209207,10077375,'Inflicts 253 heat damage on target',100,2,2),
(209208,10077375,'Cannot be modified except by direct means',100,2,3),
(209209,100364,'Increases Max Health of target by 1,064.7',100,1,0),
(209210,100364,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.3',100,1,1),
(209211,10100364,'Increases Max Health of target by 1,064.7',100,1,0),
(209212,10100364,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.3',100,1,1),
(209213,123174,'Reduces physical damage done to caster by 5%',100,1,0),
(209214,123174,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(209215,123174,'Increases Aggression of caster by 12.0',100,1,2),
(209216,123174,'Increases Defense and Parry of caster by 24.0',100,1,3),
(209217,123174,'Increases Mitigation of caster vs elemental damage by 1663',100,1,4),
(209218,123174,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(209219,10123174,'Reduces physical damage done to caster by 5%',100,1,0),
(209220,10123174,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(209221,10123174,'Increases Aggression of caster by 12.0',100,1,2),
(209222,10123174,'Increases Defense and Parry of caster by 24.0',100,1,3),
(209223,10123174,'Increases Mitigation of caster vs elemental damage by 1663',100,1,4),
(209224,10123174,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(209225,45660,'Applies Essence of Battle  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(209226,45660,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(209227,45660,'Inflicts 19 magic damage on target',100,2,2),
(209228,45660,'Cannot be modified except by direct means',100,2,3),
(209229,10045660,'Applies Essence of Battle  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(209230,10045660,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(209231,10045660,'Inflicts 24 magic damage on target',100,2,2),
(209232,10045660,'Cannot be modified except by direct means',100,2,3),
(209233,113167,'Inflicts 713 disease damage on target',100,1,0),
(209234,113167,'Heals caster for 304',100,1,1),
(209235,10113167,'Inflicts 927 disease damage on target',100,1,0),
(209236,10113167,'Heals caster for 257',100,1,1),
(209237,107209,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(209238,107209,'Heals target for 428',100,2,1),
(209239,10107209,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(209240,10107209,'Heals target for 278',100,2,1),
(209241,35001,'Increases STR of target by 15.0',100,0,0),
(209242,35001,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(209243,35001,'Increases Max Health of target by 150.0',100,0,2),
(209244,111879,'Inflicts 327 - 607 heat damage on target',100,1,0),
(209245,111879,'Inflicts 123 - 228 heat damage on target every 2 seconds',100,1,1),
(209246,10111879,'Inflicts 425 - 789 heat damage on target',100,1,0),
(209247,10111879,'Inflicts 159 - 296 heat damage on target every 2 seconds',100,1,1),
(209248,40642,'When Equipped:',100,0,0),
(209249,40642,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209250,40642,'Inflicts 97 - 145 magic damage on target',100,2,2),
(209251,40642,'Cannot be modified except by direct means',100,2,3),
(209252,10040642,'When Equipped:',100,0,0),
(209253,10040642,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209254,10040642,'Inflicts 126 - 189 magic damage on target',100,2,2),
(209255,10040642,'Cannot be modified except by direct means',100,2,3),
(209256,119333,'Inflicts 137 - 229 melee damage on target',100,1,0),
(209257,119333,'You must be sneaking to use this ability.',100,1,1),
(209258,119333,'Must be flanking or behind',100,1,2),
(209259,10119333,'Inflicts 179 - 298 melee damage on target',100,1,0),
(209260,10119333,'You must be sneaking to use this ability.',100,1,1),
(209261,10119333,'Must be flanking or behind',100,1,2),
(209262,117665,'Decreases Mitigation of target vs physical damage by 264',100,1,0),
(209263,10117665,'Decreases Mitigation of target vs physical damage by 132',100,1,0),
(209264,114684,'Increases Threat to target by 704 - 860 ',100,1,0),
(209265,114684,'Interrupts target',100,1,1),
(209266,10114684,'Interrupts target',100,1,0),
(209267,10114684,'Forces target to change their selected target to caster.',100,1,1),
(209268,10114684,'Prevents target from changing targets',100,1,2),
(209269,108552,'Makes target afraid',100,1,0),
(209270,108552,'30% chance to dispel when target takes damage',100,1,1),
(209271,108552,'Does not affect Epic targets',100,1,2),
(209272,108552,'Resistibility increases against targets higher than level 81.',100,1,3),
(209273,10108552,'Makes target afraid',100,1,0),
(209274,10108552,'30% chance to dispel when target takes damage',100,1,1),
(209275,10108552,'Does not affect Epic targets',100,1,2),
(209276,10108552,'Resistibility increases against targets higher than level 81.',100,1,3),
(209277,159905,'Applies Lambent Imbued when Equipped.',100,0,0),
(209278,159905,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(209279,159905,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(209280,159905,'Cannot be modified except by direct means',100,2,3),
(209281,10159905,'Applies Lambent Imbued when Equipped.',100,0,0),
(209282,10159905,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(209283,10159905,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(209284,10159905,'Cannot be modified except by direct means',100,2,3),
(209285,43196,'When Equipped:',100,0,0),
(209286,43196,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(209287,43196,'Inflicts 1986 cold damage on target encounter',100,2,2),
(209288,43196,'Must not be engaged in pvp combat',100,2,3),
(209289,43196,'Cannot be modified except by direct means',100,2,4),
(209290,43196,'Must not be engaged in pvp combat',100,1,5),
(209291,10043196,'When Equipped:',100,0,0),
(209292,10043196,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(209293,10043196,'Inflicts 1291 cold damage on target encounter',100,2,2),
(209294,10043196,'Must not be engaged in pvp combat',100,2,3),
(209295,10043196,'Cannot be modified except by direct means',100,2,4),
(209296,10043196,'Must not be engaged in pvp combat',100,1,5),
(209297,45642,'Applies Elixir of the Champion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(209298,45642,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(209299,45642,'Inflicts 3 magic damage on target',100,2,2),
(209300,45642,'Cannot be modified except by direct means',100,2,3),
(209301,10045642,'Applies Elixir of the Champion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(209302,10045642,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(209303,10045642,'Inflicts 4 magic damage on target',100,2,2),
(209304,10045642,'Cannot be modified except by direct means',100,2,3),
(209305,148849,'Applies Heroic Resistance X when Equipped.',100,0,0),
(209306,148849,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(209307,148849,'Cannot be modified except by direct means',100,1,2),
(209308,148849,'When Equipped:',100,0,3),
(209309,148849,'Reduces physical damage done to target by 5%',100,1,4),
(209310,10148849,'Applies Heroic Resistance X when Equipped.',100,0,0),
(209311,10148849,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(209312,10148849,'Cannot be modified except by direct means',100,1,2),
(209313,10148849,'When Equipped:',100,0,3),
(209314,10148849,'Reduces physical damage done to target by 5%',100,1,4),
(209315,115767,'Inflicts 170 - 283 melee damage on target',100,1,0),
(209316,10115767,'Inflicts 221 - 369 melee damage on target',100,1,0),
(209317,48819,'Applies Jentry''s Absolution  when Activated.',100,0,0),
(209318,48819,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(209319,10048819,'Applies Jentry''s Absolution  when Activated.',100,0,0),
(209320,10048819,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(209321,101241,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(209322,101241,'Inflicts 92 - 153 mental damage on target',100,2,1),
(209323,10101241,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(209324,10101241,'Inflicts 120 - 199 mental damage on target',100,2,1),
(209325,45979,'Applies Purification when Activated.',100,0,0),
(209326,45979,'Inflicts 1903 - 2326 divine damage on target',100,1,1),
(209327,45979,'If target is djinn',100,1,2),
(209328,10045979,'Applies Purification when Activated.',100,0,0),
(209329,10045979,'Inflicts 2474 - 3024 divine damage on target',100,1,1),
(209330,10045979,'If target is djinn',100,1,2),
(209331,110789,'Heals group members (AE) for 589 - 720 instantly and every 2 seconds',100,1,0),
(209332,10110789,'Heals group members (AE) for 383 - 468 instantly and every 2 seconds',100,1,0),
(209333,122774,'Heals group members (AE) for 1296 - 1584',100,1,0),
(209334,122774,'Increases Max Health of group members (AE) by 211.3',100,1,1),
(209335,10122774,'Heals group members (AE) for 1516 - 1853',100,1,0),
(209336,10122774,'Increases Max Health of group members (AE) by 211.3',100,1,1),
(209337,135930,'When Equipped:',100,0,0),
(209338,135930,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(209339,135930,'Decreases Damage Per Second of target by 15.0',100,2,2),
(209340,135930,'Cannot be modified except by direct means',100,2,3),
(209341,10135930,'When Equipped:',100,0,0),
(209342,10135930,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(209343,10135930,'Decreases Damage Per Second of target by 15.0',100,2,2),
(209344,10135930,'Cannot be modified except by direct means',100,2,3),
(209345,101286,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(209346,101286,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,1),
(209347,10101286,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(209348,10101286,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,1),
(209349,72288,'When Equipped:',100,0,0),
(209350,72288,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209351,72288,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(209352,72288,'Cannot be modified except by direct means',100,2,3),
(209353,10072288,'When Equipped:',100,0,0),
(209354,10072288,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209355,10072288,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(209356,10072288,'Cannot be modified except by direct means',100,2,3),
(209357,118116,'Heals target for 254 - 310',100,1,0),
(209358,10118116,'Heals target for 300 - 367',100,1,0),
(209359,81943,'When Equipped:',100,0,0),
(209360,81943,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209361,81943,'Inflicts 408 - 757 magic damage on target',100,2,2),
(209362,81943,'Cannot be modified except by direct means',100,2,3),
(209363,10081943,'When Equipped:',100,0,0),
(209364,10081943,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209365,10081943,'Inflicts 530 - 984 magic damage on target',100,2,2),
(209366,10081943,'Cannot be modified except by direct means',100,2,3),
(209367,108099,'Decreases Threat to target by 460 - 767 ',100,1,0),
(209368,10108099,'Forces target to clear their selected target.',100,1,0),
(209369,10108099,'Target cannot target caster for the duration of this effect.',100,1,1),
(209370,37352,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(209371,37352,'This effect suspends during combat',100,0,1),
(209372,110685,'Heals target for 924',100,1,0),
(209373,110685,'Dispels 77 levels of any hostile effects on target',100,1,1),
(209374,10110685,'Heals target for 600',100,1,0),
(209375,10110685,'Dispels 77 levels of any hostile effects on target',100,1,1),
(209376,108185,'Increases power of caster by 9 instantly and every 4 seconds',100,1,0),
(209377,10108185,'Increases power of caster by 9 instantly and every 4 seconds',100,1,0),
(209378,35852,'Increases STR of target by 1.5',100,0,0),
(209379,35852,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(209380,112047,'Roots target',100,1,0),
(209381,112047,'Stifles target',100,1,1),
(209382,112047,'If Target is not Epic',100,2,2),
(209383,112047,'20% chance to dispel when target takes damage',100,1,3),
(209384,112047,'Does not affect Epic targets',100,1,4),
(209385,112047,'Resistibility increases against targets higher than level 106.',100,1,5),
(209386,10112047,'Roots target',100,1,0),
(209387,10112047,'Stifles target',100,1,1),
(209388,10112047,'If Target is not Epic',100,2,2),
(209389,10112047,'20% chance to dispel when target takes damage',100,1,3),
(209390,10112047,'Does not affect Epic targets',100,1,4),
(209391,10112047,'Resistibility increases against targets higher than level 106.',100,1,5),
(209392,103440,'Blurs vision of target encounter',100,1,0),
(209393,103440,'5% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(209394,103440,'Stuns target',100,2,2),
(209395,103440,'Blurs vision of target',100,2,3),
(209396,103440,'Throws target back',100,2,4),
(209397,103440,'Does not affect Epic targets',100,2,5),
(209398,103440,'Interrupts target encounter',100,1,6),
(209399,10103440,'Interrupts target encounter',100,1,0),
(209400,10103440,'5% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(209401,10103440,'Stuns target',100,2,2),
(209402,10103440,'Throws target back',100,2,3),
(209403,10103440,'Blurs vision of target',100,2,4),
(209404,10103440,'Does not affect Epic targets',100,2,5),
(209405,10103440,'Blurs vision of target encounter',100,1,6),
(209406,133429,'When Equipped:',100,0,0),
(209407,133429,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(209408,133429,'Increases power of caster by 94 instantly and every 4 seconds',100,2,2),
(209409,133429,'Cannot be modified except by direct means',100,2,3),
(209410,10133429,'When Equipped:',100,0,0),
(209411,10133429,'On a spell cast this spell may cast Excess Energy on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(209412,10133429,'Increases power of caster by 94 instantly and every 4 seconds',100,2,2),
(209413,10133429,'Cannot be modified except by direct means',100,2,3),
(209414,71503,'When Equipped:',100,0,0),
(209415,71503,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209416,71503,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(209417,71503,'Cannot be modified except by direct means',100,2,3),
(209418,10071503,'When Equipped:',100,0,0),
(209419,10071503,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209420,10071503,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(209421,10071503,'Cannot be modified except by direct means',100,2,3),
(209422,81986,'When Equipped:',100,0,0),
(209423,81986,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209424,81986,'Inflicts 212 - 393 magic damage on target',100,2,2),
(209425,81986,'Cannot be modified except by direct means',100,2,3),
(209426,10081986,'When Equipped:',100,0,0),
(209427,10081986,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209428,10081986,'Inflicts 275 - 511 magic damage on target',100,2,2),
(209429,10081986,'Cannot be modified except by direct means',100,2,3),
(209430,105235,'Decreases STR and INT of target by 79.2',100,1,0),
(209431,105235,'Only affects targets level 20 and above',100,1,1),
(209432,10105235,'Decreases STR and INT of target by 79.2',100,1,0),
(209433,10105235,'Only affects targets level 20 and above',100,1,1),
(209434,104158,'Increases Threat to target encounter by 54 - 66 ',100,1,0),
(209435,104158,'Interrupts target encounter',100,1,1),
(209436,10104158,'Forces target encounter to change their selected target to caster.',100,1,0),
(209437,10104158,'Interrupts target encounter',100,1,1),
(209438,10104158,'Prevents target encounter from changing targets',100,1,2),
(209439,37525,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(209440,72217,'When Equipped:',100,0,0),
(209441,72217,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209442,72217,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(209443,72217,'Cannot be modified except by direct means',100,2,3),
(209444,10072217,'When Equipped:',100,0,0),
(209445,10072217,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209446,10072217,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(209447,10072217,'Cannot be modified except by direct means',100,2,3),
(209448,118095,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(209449,10118095,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(209450,102061,'Inflicts 417 - 695 melee damage on targets in area',100,1,0),
(209451,102061,'Interrupts targets in Area of Effect',100,1,1),
(209452,10102061,'Inflicts 542 - 904 melee damage on targets in area',100,1,0),
(209453,10102061,'Interrupts targets in Area of Effect',100,1,1),
(209454,106502,'Decreases STR and AGI of target by 107.8',100,1,0),
(209455,10106502,'Decreases STR and AGI of target by 107.8',100,1,0),
(209456,24156,'Adds Crushbone: Battle Plans to your Dungeon Maker toolbox',100,0,0),
(209457,10024156,'Adds Crushbone: Battle Plans to your Dungeon Maker toolbox',100,0,0),
(209458,71718,'When Equipped:',100,0,0),
(209459,71718,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209460,71718,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(209461,71718,'Cannot be modified except by direct means',100,2,3),
(209462,10071718,'When Equipped:',100,0,0),
(209463,10071718,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209464,10071718,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(209465,10071718,'Cannot be modified except by direct means',100,2,3),
(209466,110819,'Inflicts 81 - 109 mental damage on target',100,1,0),
(209467,110819,'Interrupts target',100,1,1),
(209468,10110819,'Inflicts 105 - 142 mental damage on target',100,1,0),
(209469,10110819,'Interrupts target',100,1,1),
(209470,110332,'Increases Max Power of target by 353.0',100,1,0),
(209471,110332,'Increases Max Health of target by 705.6',100,1,1),
(209472,10110332,'Increases Max Power of target by 353.0',100,1,0),
(209473,10110332,'Increases Max Health of target by 705.6',100,1,1),
(209474,174399,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(209475,174399,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(209476,174399,'Cannot be modified except by direct means',100,1,2),
(209477,10174399,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(209478,10174399,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(209479,10174399,'Cannot be modified except by direct means',100,1,2),
(209480,71965,'When Equipped:',100,0,0),
(209481,71965,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209482,71965,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(209483,71965,'Cannot be modified except by direct means',100,2,3),
(209484,10071965,'When Equipped:',100,0,0),
(209485,10071965,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209486,10071965,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(209487,10071965,'Cannot be modified except by direct means',100,2,3),
(209488,178914,'Applies Goblin Aura when Activated.  Lasts for 20.0 seconds.',100,0,0),
(209489,178914,'Increases Damage Per Second of caster by 15.0',100,1,1),
(209490,178914,'The casting time of Goblin Aura is 1.0 second and the reuse time of the spell is 30.0 seconds',100,1,2),
(209491,10178914,'Applies Goblin Aura when Activated.  Lasts for 20.0 seconds.',100,0,0),
(209492,10178914,'Increases Damage Per Second of caster by 15.0',100,1,1),
(209493,10178914,'The casting time of Goblin Aura is 1.0 second and the reuse time of the spell is 30.0 seconds',100,1,2),
(209494,118618,'Roots target',100,1,0),
(209495,118618,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(209496,118618,'Slows target by 75.5%',100,2,2),
(209497,118618,'5% chance to dispel when target receives hostile action',100,2,3),
(209498,118618,'5% chance to dispel when target takes damage',100,2,4),
(209499,118618,'5% chance to dispel when target takes damage',100,1,5),
(209500,118618,'Does not affect Epic targets',100,1,6),
(209501,118618,'Resistibility increases against targets higher than level 115.',100,1,7),
(209502,10118618,'Roots target',100,1,0),
(209503,10118618,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(209504,10118618,'Slows target by 75.5%',100,2,2),
(209505,10118618,'5% chance to dispel when target receives hostile action',100,2,3),
(209506,10118618,'5% chance to dispel when target takes damage',100,2,4),
(209507,10118618,'5% chance to dispel when target takes damage',100,1,5),
(209508,10118618,'Does not affect Epic targets',100,1,6),
(209509,10118618,'Resistibility increases against targets higher than level 115.',100,1,7),
(209510,87259,'When Equipped:',100,0,0),
(209511,87259,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209512,87259,'Inflicts 263 - 395 magic damage on target',100,2,2),
(209513,87259,'Cannot be modified except by direct means',100,2,3),
(209514,10087259,'When Equipped:',100,0,0),
(209515,10087259,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209516,10087259,'Inflicts 342 - 513 magic damage on target',100,2,2),
(209517,10087259,'Cannot be modified except by direct means',100,2,3),
(209518,170010,'When Equipped:',100,0,0),
(209519,170010,'Increases Attack Speed of caster by 40.0',100,1,1),
(209520,10170010,'When Equipped:',100,0,0),
(209521,10170010,'Increases Attack Speed of caster by 40.0',100,1,1),
(209522,47583,'Applies Greater Regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(209523,47583,'Heals caster for 89',100,1,1),
(209524,47583,'Heals caster for 44 every 5 seconds',100,1,2),
(209525,10047583,'Applies Greater Regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(209526,10047583,'Heals caster for 58',100,1,1),
(209527,10047583,'Heals caster for 29 every 5 seconds',100,1,2),
(209528,121133,'Summons a limited pet to aid the caster',100,1,0),
(209529,10121133,'Summons a limited pet to aid the caster',100,1,0),
(209530,45027,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(209531,45027,'Launches a firework when used.',100,1,1),
(209532,10045027,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(209533,10045027,'Launches a firework when used.',100,1,1),
(209534,120692,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.2',100,1,0),
(209535,10120692,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.2',100,1,0),
(209536,100997,'Increases INT of target by 101.4',100,1,0),
(209537,100997,'Increases Attack Speed of target by 45.2',100,1,1),
(209538,100997,'Decreases Defense and Parry of target by 23.9',100,1,2),
(209539,100997,'Increases Slashing, Piercing and Crushing of target by 22.3',100,1,3),
(209540,10100997,'Increases INT of target by 101.4',100,1,0),
(209541,10100997,'Increases Attack Speed of target by 45.2',100,1,1),
(209542,10100997,'Decreases Defense and Parry of target by 23.9',100,1,2),
(209543,10100997,'Increases Slashing, Piercing and Crushing of target by 22.3',100,1,3),
(209544,36832,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(209545,111742,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(209546,111742,'Inflicts 619 - 757 cold damage on target',100,2,1),
(209547,111742,'Grants a total of 3 triggers of the spell.',100,2,2),
(209548,10111742,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(209549,10111742,'Inflicts 805 - 984 cold damage on target',100,2,1),
(209550,10111742,'Grants a total of 3 triggers of the spell.',100,2,2),
(209551,110951,'Applies Awakening on termination.',100,1,0),
(209552,110951,'Heals target for 1937 - 2367',100,2,1),
(209553,10110951,'Applies Awakening on termination.',100,1,0),
(209554,10110951,'Heals target for 3021 - 3693',100,2,1),
(209555,45870,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(209556,45870,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(209557,45870,'Requires 15 Health to cast.',100,1,2),
(209558,10045870,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(209559,10045870,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(209560,10045870,'Requires 15 Health to cast.',100,1,2),
(209561,138515,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(209562,138515,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(209563,138515,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(209564,10138515,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(209565,10138515,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(209566,10138515,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(209567,121416,'Inflicts 96 - 160 ranged damage on target',100,1,0),
(209568,121416,'Inflicts 96 - 160 ranged damage on target',100,1,1),
(209569,121416,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(209570,121416,'Slows target by 53.1%',100,2,3),
(209571,121416,'5% chance to dispel when target receives hostile action',100,2,4),
(209572,121416,'5% chance to dispel when target takes damage',100,2,5),
(209573,121416,'If weapon equipped in Ranged',100,1,6),
(209574,10121416,'Inflicts 81 - 136 ranged damage on target',100,1,0),
(209575,10121416,'Inflicts 81 - 136 ranged damage on target',100,1,1),
(209576,10121416,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(209577,10121416,'Slows target by 53.1%',100,2,3),
(209578,10121416,'5% chance to dispel when target receives hostile action',100,2,4),
(209579,10121416,'5% chance to dispel when target takes damage',100,2,5),
(209580,10121416,'If weapon equipped in Ranged',100,1,6),
(209581,139964,'Applies Warrior''s Wish when Activated.  Lasts for 7.5 seconds.',100,0,0),
(209582,139964,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(209583,139964,'Must have Cold-Forged Breastplate equipped.',100,1,2),
(209584,139964,'The casting time of Warrior''s Wish is 1.0 second and the reuse time of the spell is 30 minutes',100,1,3),
(209585,10139964,'Applies Warrior''s Wish when Activated.  Lasts for 7.5 seconds.',100,0,0),
(209586,10139964,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(209587,10139964,'Must have Cold-Forged Breastplate equipped.',100,1,2),
(209588,10139964,'The casting time of Warrior''s Wish is 1.0 second and the reuse time of the spell is 30 minutes',100,1,3),
(209589,36052,'Increases AGI of target by 1.5',100,0,0),
(209590,36052,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(209591,48784,'Applies Essence of the Treefolk  when Activated.',100,0,0),
(209592,48784,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(209593,10048784,'Applies Essence of the Treefolk  when Activated.',100,0,0),
(209594,10048784,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(209595,74571,'When Equipped:',100,0,0),
(209596,74571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209597,74571,'Inflicts 208 - 311 magic damage on target',100,2,2),
(209598,74571,'Cannot be modified except by direct means',100,2,3),
(209599,10074571,'When Equipped:',100,0,0),
(209600,10074571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209601,10074571,'Inflicts 270 - 405 magic damage on target',100,2,2),
(209602,10074571,'Cannot be modified except by direct means',100,2,3),
(209603,111514,'Caster has a 50.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,0),
(209604,10111514,'Caster has a 50.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,0),
(209605,26935,'When Equipped:',100,0,0),
(209606,26935,'Increases Crit Chance of caster by 1.0',100,1,1),
(209607,10026935,'When Equipped:',100,0,0),
(209608,10026935,'Increases Crit Chance of caster by 1.0',100,1,1),
(209609,89275,'When Equipped:',100,0,0),
(209610,89275,'On a critical spell hit this spell may cast Vitality Consumption II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(209611,89275,'Inflicts 74 - 82 disease damage on target',100,2,2),
(209612,89275,'Heals caster for 49 - 55',100,2,3),
(209613,89275,'Must not be engaged in pvp combat',100,2,4),
(209614,89275,'Cannot be modified except by direct means',100,2,5),
(209615,89275,'On a critical combat hit this spell may cast Vitality Consumption II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(209616,89275,'Inflicts 74 - 82 disease damage on target',100,2,7),
(209617,89275,'Heals caster for 49 - 55',100,2,8),
(209618,89275,'Must not be engaged in pvp combat',100,2,9),
(209619,89275,'Cannot be modified except by direct means',100,2,10),
(209620,89275,'Must not be engaged in pvp combat',100,1,11),
(209621,10089275,'When Equipped:',100,0,0),
(209622,10089275,'On a critical spell hit this spell may cast Vitality Consumption II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(209623,10089275,'Inflicts 96 - 106 disease damage on target',100,2,2),
(209624,10089275,'Heals caster for 32 - 35',100,2,3),
(209625,10089275,'Must not be engaged in pvp combat',100,2,4),
(209626,10089275,'Cannot be modified except by direct means',100,2,5),
(209627,10089275,'On a critical combat hit this spell may cast Vitality Consumption II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(209628,10089275,'Inflicts 96 - 106 disease damage on target',100,2,7),
(209629,10089275,'Heals caster for 32 - 35',100,2,8),
(209630,10089275,'Must not be engaged in pvp combat',100,2,9),
(209631,10089275,'Cannot be modified except by direct means',100,2,10),
(209632,10089275,'Must not be engaged in pvp combat',100,1,11),
(209633,118305,'Roots target encounter',100,1,0),
(209634,118305,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(209635,118305,'Slows target by 40.8%',100,2,2),
(209636,118305,'5% chance to dispel when target receives hostile action',100,2,3),
(209637,118305,'5% chance to dispel when target takes damage',100,2,4),
(209638,118305,'20% chance to dispel when target takes damage',100,1,5),
(209639,118305,'Does not affect Epic targets',100,1,6),
(209640,118305,'Resistibility increases against targets higher than level 83.',100,1,7),
(209641,10118305,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(209642,10118305,'Slows target by 40.8%',100,2,1),
(209643,10118305,'5% chance to dispel when target receives hostile action',100,2,2),
(209644,10118305,'5% chance to dispel when target takes damage',100,2,3),
(209645,10118305,'Roots target encounter',100,1,4),
(209646,10118305,'20% chance to dispel when target takes damage',100,1,5),
(209647,10118305,'Does not affect Epic targets',100,1,6),
(209648,10118305,'Resistibility increases against targets higher than level 83.',100,1,7),
(209649,82943,'When Equipped:',100,0,0),
(209650,82943,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209651,82943,'Inflicts 350 - 650 magic damage on target',100,2,2),
(209652,82943,'Decreases Threat to target by 833 ',100,2,3),
(209653,82943,'Must be flanking or behind',100,3,4),
(209654,82943,'Increases Threat to target by 833 ',100,2,5),
(209655,82943,'Must be in front of',100,3,6),
(209656,82943,'Cannot be modified except by direct means',100,2,7),
(209657,10082943,'When Equipped:',100,0,0),
(209658,10082943,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209659,10082943,'Inflicts 455 - 845 magic damage on target',100,2,2),
(209660,10082943,'Cannot be modified except by direct means',100,2,3),
(209661,100655,'Increases AGI, STR and STA of target by 52.6',100,1,0),
(209662,100655,'Adds 1.7% to base avoidance.',100,1,1),
(209663,10100655,'Increases AGI, STR and STA of target by 52.6',100,1,0),
(209664,10100655,'Adds 1.7% to base avoidance.',100,1,1),
(209665,45989,'Applies Purification when Activated.',100,0,0),
(209666,45989,'Inflicts 1903 - 2326 divine damage on target',100,1,1),
(209667,45989,'If target is draconic',100,1,2),
(209668,10045989,'Applies Purification when Activated.',100,0,0),
(209669,10045989,'Inflicts 2474 - 3024 divine damage on target',100,1,1),
(209670,10045989,'If target is draconic',100,1,2),
(209671,54424,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(209672,54424,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(209673,54424,'Inflicts 20 heat damage on target',100,2,2),
(209674,54424,'Cannot be modified except by direct means',100,2,3),
(209675,10054424,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(209676,10054424,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(209677,10054424,'Inflicts 27 heat damage on target',100,2,2),
(209678,10054424,'Cannot be modified except by direct means',100,2,3),
(209679,81584,'When Equipped:',100,0,0),
(209680,81584,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209681,81584,'Inflicts 167 - 311 magic damage on target',100,2,2),
(209682,81584,'Decreases Threat to target by 376 ',100,2,3),
(209683,81584,'Must be flanking or behind',100,3,4),
(209684,81584,'Increases Threat to target by 376 ',100,2,5),
(209685,81584,'Must be in front of',100,3,6),
(209686,81584,'Cannot be modified except by direct means',100,2,7),
(209687,10081584,'When Equipped:',100,0,0),
(209688,10081584,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209689,10081584,'Inflicts 217 - 404 magic damage on target',100,2,2),
(209690,10081584,'Cannot be modified except by direct means',100,2,3),
(209691,174431,'When Equipped:',100,0,0),
(209692,174431,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(209693,174431,'When Equipped:',100,0,2),
(209694,174431,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,3),
(209695,10174431,'When Equipped:',100,0,0),
(209696,10174431,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(209697,10174431,'When Equipped:',100,0,2),
(209698,10174431,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,3),
(209699,42947,'When Equipped:',100,0,0),
(209700,42947,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209701,42947,'Inflicts 166 - 277 magic damage on target',100,2,2),
(209702,42947,'Cannot be modified except by direct means',100,2,3),
(209703,10042947,'When Equipped:',100,0,0),
(209704,10042947,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209705,10042947,'Inflicts 216 - 360 magic damage on target',100,2,2),
(209706,10042947,'Cannot be modified except by direct means',100,2,3),
(209707,48873,'Applies Roglio''s Awakening  when Activated.',100,0,0),
(209708,48873,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(209709,10048873,'Applies Roglio''s Awakening  when Activated.',100,0,0),
(209710,10048873,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(209711,109280,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(209712,109280,'Increases Mitigation of group members (AE) vs elemental damage by 168',100,1,1),
(209713,10109280,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(209714,10109280,'Increases Mitigation of group members (AE) vs elemental damage by 168',100,1,1),
(209715,143834,'When Equipped:',100,0,0),
(209716,143834,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(209717,143834,'Reduces healing received by 15.00%',100,2,2),
(209718,143834,'Cannot be modified except by direct means',100,2,3),
(209719,143834,'This effect can only trigger once every 1 second.',100,2,4),
(209720,143834,'Must be engaged in pvp combat',100,1,5),
(209721,10143834,'When Equipped:',100,0,0),
(209722,10143834,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(209723,10143834,'Reduces healing received by 15.00%',100,2,2),
(209724,10143834,'Cannot be modified except by direct means',100,2,3),
(209725,10143834,'This effect can only trigger once every 1 second.',100,2,4),
(209726,10143834,'Must be engaged in pvp combat',100,1,5),
(209727,121911,'Inflicts 132 - 219 mental damage on target encounter',100,1,0),
(209728,121911,'Increases power of group members (AE) by 70 - 117',100,1,1),
(209729,10121911,'Inflicts 171 - 285 mental damage on target encounter',100,1,0),
(209730,10121911,'Increases power of group members (AE) by 70 - 117',100,1,1),
(209731,26661,'When Equipped:',100,0,0),
(209732,26661,'On a critical spell hit this spell may cast Rime Strike on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(209733,26661,'Inflicts 1389 - 1536 poison damage on target',100,2,2),
(209734,26661,'Inflicts 1389 - 1536 heat damage on target',100,2,3),
(209735,26661,'Increases Potency of caster by 4.0%',100,2,4),
(209736,26661,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(209737,26661,'Must not be engaged in pvp combat',100,2,6),
(209738,26661,'Cannot be modified except by direct means',100,2,7),
(209739,26661,'This effect will not stack with itself if adorned on multiple items.',100,1,8),
(209740,26661,'On a critical combat hit this spell may cast Rime Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(209741,26661,'Inflicts 1389 - 1536 poison damage on target',100,2,10),
(209742,26661,'Inflicts 1389 - 1536 heat damage on target',100,2,11),
(209743,26661,'Increases Potency of caster by 4.0%',100,2,12),
(209744,26661,'Increases Crit Bonus of caster by 4.0%',100,2,13),
(209745,26661,'Must not be engaged in pvp combat',100,2,14),
(209746,26661,'Cannot be modified except by direct means',100,2,15),
(209747,26661,'Must not be engaged in pvp combat',100,1,16),
(209748,26661,'Cannot be modified except by direct means',100,1,17),
(209749,10026661,'When Equipped:',100,0,0),
(209750,10026661,'On a critical spell hit this spell may cast Rime Strike on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(209751,10026661,'Inflicts 1806 - 1996 poison damage on target',100,2,2),
(209752,10026661,'Inflicts 1806 - 1996 heat damage on target',100,2,3),
(209753,10026661,'Increases Potency of caster by 4.0%',100,2,4),
(209754,10026661,'Increases Crit Bonus of caster by 4.0%',100,2,5),
(209755,10026661,'Must not be engaged in pvp combat',100,2,6),
(209756,10026661,'Cannot be modified except by direct means',100,2,7),
(209757,10026661,'This effect will not stack with itself if adorned on multiple items.',100,1,8),
(209758,10026661,'On a critical combat hit this spell may cast Rime Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(209759,10026661,'Inflicts 1806 - 1996 poison damage on target',100,2,10),
(209760,10026661,'Inflicts 1806 - 1996 heat damage on target',100,2,11),
(209761,10026661,'Increases Potency of caster by 4.0%',100,2,12),
(209762,10026661,'Increases Crit Bonus of caster by 4.0%',100,2,13),
(209763,10026661,'Must not be engaged in pvp combat',100,2,14),
(209764,10026661,'Cannot be modified except by direct means',100,2,15),
(209765,10026661,'Must not be engaged in pvp combat',100,1,16),
(209766,10026661,'Cannot be modified except by direct means',100,1,17),
(209767,48569,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(209768,48569,'Shrinks caster by 35.0%',100,1,1),
(209769,48569,'Enlarges caster by 50.0%',100,1,2),
(209770,10048569,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(209771,10048569,'Shrinks caster by 35.0%',100,1,1),
(209772,10048569,'Enlarges caster by 50.0%',100,1,2),
(209773,106837,'Decreases Crushing, Piercing, Slashing and Ranged of target by 17.3',100,1,0),
(209774,10106837,'Decreases Crushing, Piercing, Slashing and Ranged of target by 17.3',100,1,0),
(209775,121117,'Decreases Threat to targets in Area of Effect by 2,861 ',100,1,0),
(209776,121117,'Mesmerizes targets in Area of Effect',100,1,1),
(209777,121117,'If Target is not Epic',100,2,2),
(209778,121117,'Dispelled when target takes damage',100,1,3),
(209779,10121117,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(209780,10121117,'Applies Distract.',100,1,1),
(209781,10121117,'Forces target to clear their selected target.',100,2,2),
(209782,10121117,'Mesmerizes targets in Area of Effect',100,1,3),
(209783,10121117,'If Target is not Epic',100,2,4),
(209784,10121117,'Dispelled when target takes damage',100,1,5),
(209785,26970,'When Equipped:',100,0,0),
(209786,26970,'Decreases falling damage taken by caster by 35.0%',100,1,1),
(209787,10026970,'When Equipped:',100,0,0),
(209788,10026970,'Decreases falling damage taken by caster by 35.0%',100,1,1),
(209789,118995,'Heals target for 613 - 749',100,1,0),
(209790,10118995,'Heals target for 652 - 797',100,1,0),
(209791,74547,'When Equipped:',100,0,0),
(209792,74547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209793,74547,'Inflicts 208 - 311 magic damage on target',100,2,2),
(209794,74547,'Cannot be modified except by direct means',100,2,3),
(209795,10074547,'When Equipped:',100,0,0),
(209796,10074547,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209797,10074547,'Inflicts 270 - 405 magic damage on target',100,2,2),
(209798,10074547,'Cannot be modified except by direct means',100,2,3),
(209799,103711,'Increases Max Health of raid and group members (AE) by 137.7',100,1,0),
(209800,103711,'Increases Defense of raid and group members (AE) by 6.5',100,1,1),
(209801,10103711,'Increases Max Health of raid and group members (AE) by 137.7',100,1,0),
(209802,10103711,'Increases Defense of raid and group members (AE) by 6.5',100,1,1),
(209803,104702,'Inflicts 154 - 287 heat damage on targets in Area of Effect',100,1,0),
(209804,10104702,'Inflicts 201 - 373 heat damage on targets in Area of Effect',100,1,0),
(209805,117782,'Inflicts 987 - 1644 divine damage on target',100,1,0),
(209806,10117782,'Inflicts 1283 - 2138 divine damage on target',100,1,0),
(209807,107358,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(209808,107358,'Increases Threat to target by 323 ',100,2,1),
(209809,10107358,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(209810,10107358,'Inflicts 95 - 104 crushing damage on target',100,2,1),
(209811,141779,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(209812,141779,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(209813,141779,'Heals target for 52 instantly and every 4 seconds',100,2,2),
(209814,141779,'Cannot be modified except by direct means',100,2,3),
(209815,10141779,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(209816,10141779,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(209817,10141779,'Heals target for 34 instantly and every 4 seconds',100,2,2),
(209818,10141779,'Cannot be modified except by direct means',100,2,3),
(209819,113591,'Summons a limited pet to aid the caster',100,1,0),
(209820,10113591,'Summons a limited pet to aid the caster',100,1,0),
(209821,159475,'When Equipped:',100,0,0),
(209822,159475,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209823,159475,'Increases WIS of caster by 25.7',100,2,2),
(209824,159475,'Increases Ordination, Ministration and Focus of caster by 14.6',100,2,3),
(209825,159475,'Cannot be modified except by direct means',100,2,4),
(209826,10159475,'When Equipped:',100,0,0),
(209827,10159475,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209828,10159475,'Increases WIS of caster by 25.7',100,2,2),
(209829,10159475,'Increases Ordination, Ministration and Focus of caster by 14.6',100,2,3),
(209830,10159475,'Cannot be modified except by direct means',100,2,4),
(209831,120911,'Inflicts 1629 - 1992 mental damage on target',100,1,0),
(209832,120911,'Stifles target',100,1,1),
(209833,120911,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,2),
(209834,120911,'Resistibility increases against targets higher than level 121.',100,1,3),
(209835,10120911,'Inflicts 2118 - 2589 mental damage on target',100,1,0),
(209836,10120911,'Stifles target',100,1,1),
(209837,10120911,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(209838,10120911,'Resistibility increases against targets higher than level 121.',100,1,3),
(209839,47819,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(209840,47819,'Increases WIS of caster by 123.7',100,1,1),
(209841,47819,'Increases Potency of caster by 1.5%',100,1,2),
(209842,10047819,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(209843,10047819,'Increases WIS of caster by 123.7',100,1,1),
(209844,10047819,'Increases Potency of caster by 1.5%',100,1,2),
(209845,104944,'Inflicts 469 - 781 melee damage on target',100,1,0),
(209846,104944,'Decreases Defense of target by 19.8',100,1,1),
(209847,104944,'Must be behind',100,1,2),
(209848,10104944,'Inflicts 609 - 1016 melee damage on target',100,1,0),
(209849,10104944,'Decreases Defense of target by 19.8',100,1,1),
(209850,10104944,'Must be behind',100,1,2),
(209851,104884,'Inflicts 155 - 258 magic damage on targets in area',100,1,0),
(209852,10104884,'Inflicts 201 - 336 magic damage on targets in area',100,1,0),
(209853,71770,'When Equipped:',100,0,0),
(209854,71770,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209855,71770,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(209856,71770,'Cannot be modified except by direct means',100,2,3),
(209857,10071770,'When Equipped:',100,0,0),
(209858,10071770,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209859,10071770,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(209860,10071770,'Cannot be modified except by direct means',100,2,3),
(209861,35101,'Increases STA of target by 1.5',100,0,0),
(209862,35101,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(209863,118805,'Wards group members (AE) against 87 points of physical damage',100,1,0),
(209864,118805,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,1),
(209865,10118805,'Wards group members (AE) against 87 points of physical damage',100,1,0),
(209866,10118805,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,1),
(209867,80246,'When Equipped:',100,0,0),
(209868,80246,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209869,80246,'Inflicts 260 - 482 magic damage on target',100,2,2),
(209870,80246,'Decreases Threat to target by 801 ',100,2,3),
(209871,80246,'Must be flanking or behind',100,3,4),
(209872,80246,'Increases Threat to target by 801 ',100,2,5),
(209873,80246,'Must be in front of',100,3,6),
(209874,80246,'Cannot be modified except by direct means',100,2,7),
(209875,10080246,'When Equipped:',100,0,0),
(209876,10080246,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209877,10080246,'Inflicts 337 - 627 magic damage on target',100,2,2),
(209878,10080246,'Cannot be modified except by direct means',100,2,3),
(209879,87158,'When Equipped:',100,0,0),
(209880,87158,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209881,87158,'Inflicts 64 - 97 magic damage on target',100,2,2),
(209882,87158,'Cannot be modified except by direct means',100,2,3),
(209883,10087158,'When Equipped:',100,0,0),
(209884,10087158,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209885,10087158,'Inflicts 84 - 125 magic damage on target',100,2,2),
(209886,10087158,'Cannot be modified except by direct means',100,2,3),
(209887,102690,'Inflicts 846 divine damage on target encounter',100,1,0),
(209888,10102690,'Inflicts 1099 divine damage on target encounter',100,1,0),
(209889,170544,'When Equipped:',100,0,0),
(209890,170544,'Increases Attack Speed of caster by 35.0',100,1,1),
(209891,10170544,'When Equipped:',100,0,0),
(209892,10170544,'Increases Attack Speed of caster by 35.0',100,1,1),
(209893,164592,'Applies Unstable Magics when Equipped.',100,0,0),
(209894,164592,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(209895,10164592,'Applies Unstable Magics when Equipped.',100,0,0),
(209896,10164592,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(209897,107949,'Mesmerizes target',100,1,0),
(209898,107949,'Prevents AOE (except when direct) ',100,1,1),
(209899,107949,'Dispelled when target takes damage',100,1,2),
(209900,107949,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(209901,107949,'Resistibility increases against targets higher than level 116.',100,1,4),
(209902,10107949,'Mesmerizes target',100,1,0),
(209903,10107949,'Prevents AOE (except when direct) ',100,1,1),
(209904,10107949,'Dispelled when target takes damage',100,1,2),
(209905,10107949,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(209906,10107949,'Resistibility increases against targets higher than level 116.',100,1,4),
(209907,73276,'Applies Frost Blast when Activated.',100,0,0),
(209908,73276,'Inflicts 505 - 842 cold damage on target',100,1,1),
(209909,73276,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(209910,10073276,'Applies Frost Blast when Activated.',100,0,0),
(209911,10073276,'Inflicts 657 - 1094 cold damage on target',100,1,1),
(209912,10073276,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(209913,118819,'Wards group members (AE) against 124 points of physical damage',100,1,0),
(209914,118819,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,1),
(209915,10118819,'Wards group members (AE) against 124 points of physical damage',100,1,0),
(209916,10118819,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,1),
(209917,119778,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(209918,119778,'Inflicts 126 - 154 poison damage on target encounter',100,2,1),
(209919,10119778,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(209920,10119778,'Inflicts 164 - 200 poison damage on target encounter',100,2,1),
(209921,72558,'When Equipped:',100,0,0),
(209922,72558,'On a melee hit this spell may cast Lacerating Whip on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209923,72558,'Inflicts 54 magic damage on target instantly and every 4 seconds',100,2,2),
(209924,72558,'Cannot be modified except by direct means',100,2,3),
(209925,10072558,'When Equipped:',100,0,0),
(209926,10072558,'On a melee hit this spell may cast Lacerating Whip on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209927,10072558,'Inflicts 71 magic damage on target instantly and every 4 seconds',100,2,2),
(209928,10072558,'Cannot be modified except by direct means',100,2,3),
(209929,100307,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(209930,100307,'Inflicts 280 divine damage on target',100,2,1),
(209931,10100307,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(209932,10100307,'Inflicts 364 divine damage on target',100,2,1),
(209933,81427,'When Equipped:',100,0,0),
(209934,81427,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209935,81427,'Inflicts 121 - 225 magic damage on target',100,2,2),
(209936,81427,'Decreases Threat to target by 352 ',100,2,3),
(209937,81427,'Must be flanking or behind',100,3,4),
(209938,81427,'Increases Threat to target by 352 ',100,2,5),
(209939,81427,'Must be in front of',100,3,6),
(209940,81427,'Cannot be modified except by direct means',100,2,7),
(209941,10081427,'When Equipped:',100,0,0),
(209942,10081427,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(209943,10081427,'Inflicts 157 - 292 magic damage on target',100,2,2),
(209944,10081427,'Cannot be modified except by direct means',100,2,3),
(209945,111463,'Decreases Attack Speed of caster by 18.9',100,1,0),
(209946,111463,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(209947,111463,'Roots target',100,2,2),
(209948,111463,'5% chance to dispel when target takes damage',100,2,3),
(209949,111463,'5% chance to dispel when target receives hostile action',100,2,4),
(209950,111463,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(209951,111463,'Increases Mitigation of caster vs physical damage by 1169',100,1,6),
(209952,10111463,'Decreases Attack Speed of caster by 18.9',100,1,0),
(209953,10111463,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(209954,10111463,'Roots target',100,2,2),
(209955,10111463,'5% chance to dispel when target takes damage',100,2,3),
(209956,10111463,'5% chance to dispel when target receives hostile action',100,2,4),
(209957,10111463,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(209958,10111463,'Increases Mitigation of caster vs physical damage by 1169',100,1,6),
(209959,71637,'When Equipped:',100,0,0),
(209960,71637,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209961,71637,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(209962,71637,'Cannot be modified except by direct means',100,2,3),
(209963,10071637,'When Equipped:',100,0,0),
(209964,10071637,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(209965,10071637,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(209966,10071637,'Cannot be modified except by direct means',100,2,3),
(209967,52788,'Applies Sanguine Imbued when Equipped.',100,0,0),
(209968,52788,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(209969,52788,'Inflicts 250 heat damage on target',100,2,2),
(209970,52788,'Cannot be modified except by direct means',100,2,3),
(209971,10052788,'Applies Sanguine Imbued when Equipped.',100,0,0),
(209972,10052788,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(209973,10052788,'Inflicts 325 heat damage on target',100,2,2),
(209974,10052788,'Cannot be modified except by direct means',100,2,3),
(209975,159718,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(209976,159718,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(209977,159718,'Inflicts 38 heat damage on target',100,2,2),
(209978,159718,'Cannot be modified except by direct means',100,2,3),
(209979,10159718,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(209980,10159718,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(209981,10159718,'Inflicts 50 heat damage on target',100,2,2),
(209982,10159718,'Cannot be modified except by direct means',100,2,3),
(209983,106607,'Inflicts 200 - 244 disease damage on target',100,1,0),
(209984,106607,'Heals caster for 6.5 - 7.9% of max health',100,1,1),
(209985,106607,'This effect cannot be critically applied.',100,2,2),
(209986,106607,'The healing of this spell cannot be modified except by direct means',100,1,3),
(209987,10106607,'Inflicts 260 - 318 disease damage on target',100,1,0),
(209988,10106607,'Heals caster for 2.2 - 2.6% of max health',100,1,1),
(209989,10106607,'This effect cannot be critically applied.',100,2,2),
(209990,10106607,'The healing of this spell cannot be modified except by direct means',100,1,3),
(209991,107695,'Inflicts 67 - 112 heat damage on target',100,1,0),
(209992,107695,'You must be sneaking to use this ability.',100,1,1),
(209993,10107695,'Inflicts 87 - 145 heat damage on target',100,1,0),
(209994,10107695,'You must be sneaking to use this ability.',100,1,1),
(209995,108128,'Increases Attack Speed of caster by 36.0',100,1,0),
(209996,10108128,'Increases Attack Speed of caster by 36.0',100,1,0),
(209997,80877,'When Equipped:',100,0,0),
(209998,80877,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(209999,80877,'Inflicts 296 - 551 magic damage on target',100,2,2),
(210000,80877,'Cannot be modified except by direct means',100,2,3),
(210001,10080877,'When Equipped:',100,0,0),
(210002,10080877,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210003,10080877,'Inflicts 385 - 716 magic damage on target',100,2,2),
(210004,10080877,'Cannot be modified except by direct means',100,2,3),
(210005,106949,'Inflicts 368 - 683 poison damage on target',100,1,0),
(210006,10106949,'Inflicts 478 - 888 poison damage on target',100,1,0),
(210007,110305,'Decreases Mitigation of target vs arcane damage by 2477',100,1,0),
(210008,110305,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(210009,110305,'Slows target by 56.6%',100,2,2),
(210010,110305,'5% chance to dispel when target receives hostile action',100,2,3),
(210011,110305,'5% chance to dispel when target takes damage',100,2,4),
(210012,10110305,'Decreases Mitigation of target vs arcane damage by 2477',100,1,0),
(210013,10110305,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(210014,10110305,'Slows target by 56.6%',100,2,2),
(210015,10110305,'5% chance to dispel when target receives hostile action',100,2,3),
(210016,10110305,'5% chance to dispel when target takes damage',100,2,4),
(210017,111775,'Heals caster for 17.8 - 21.8% of max health',100,1,0),
(210018,111775,'This effect cannot be critically applied.',100,2,1),
(210019,111775,'The healing of this spell cannot be modified except by direct means',100,1,2),
(210020,10111775,'Heals caster for 8.9 - 10.9% of max health',100,1,0),
(210021,10111775,'This effect cannot be critically applied.',100,2,1),
(210022,10111775,'The healing of this spell cannot be modified except by direct means',100,1,2),
(210023,123242,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(210024,123242,'Increases Mitigation of group members (AE) vs noxious damage by 308',100,1,1),
(210025,10123242,'Increases Max Power of group members (AE) by 181.5',100,1,0),
(210026,10123242,'Increases Mitigation of group members (AE) vs noxious damage by 308',100,1,1),
(210027,40863,'When Equipped:',100,0,0),
(210028,40863,'On a critical spell hit this spell may cast Imposing Righteousness IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(210029,40863,'Decreases Potency of target by 2.0%',100,2,2),
(210030,40863,'Increases Potency of caster by 10.0%',100,2,3),
(210031,40863,'Must not be engaged in pvp combat',100,2,4),
(210032,40863,'Cannot be modified except by direct means',100,2,5),
(210033,40863,'On a critical combat hit this spell may cast Imposing Righteousness IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(210034,40863,'Decreases Potency of target by 2.0%',100,2,7),
(210035,40863,'Increases Potency of caster by 10.0%',100,2,8),
(210036,40863,'Must not be engaged in pvp combat',100,2,9),
(210037,40863,'Cannot be modified except by direct means',100,2,10),
(210038,40863,'Must not be engaged in pvp combat',100,1,11),
(210039,10040863,'When Equipped:',100,0,0),
(210040,10040863,'On a critical spell hit this spell may cast Imposing Righteousness IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(210041,10040863,'Decreases Potency of target by 2.0%',100,2,2),
(210042,10040863,'Increases Potency of caster by 10.0%',100,2,3),
(210043,10040863,'Must not be engaged in pvp combat',100,2,4),
(210044,10040863,'Cannot be modified except by direct means',100,2,5),
(210045,10040863,'On a critical combat hit this spell may cast Imposing Righteousness IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(210046,10040863,'Decreases Potency of target by 2.0%',100,2,7),
(210047,10040863,'Increases Potency of caster by 10.0%',100,2,8),
(210048,10040863,'Must not be engaged in pvp combat',100,2,9),
(210049,10040863,'Cannot be modified except by direct means',100,2,10),
(210050,10040863,'Must not be engaged in pvp combat',100,1,11),
(210051,109090,'Inflicts 240 - 400 melee damage on target',100,1,0),
(210052,109090,'Inflicts 240 - 400 melee damage on target',100,1,1),
(210053,109090,'Inflicts 240 - 400 melee damage on target',100,1,2),
(210054,109090,'Decreases Mitigation of target vs physical damage by 651',100,1,3),
(210055,10109090,'Inflicts 312 - 521 melee damage on target',100,1,0),
(210056,10109090,'Inflicts 312 - 521 melee damage on target',100,1,1),
(210057,10109090,'Inflicts 312 - 521 melee damage on target',100,1,2),
(210058,10109090,'Decreases Mitigation of target vs physical damage by 651',100,1,3),
(210059,36798,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(210060,124090,'Dispels 90 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(210061,10124090,'Dispels 90 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(210062,47256,'Applies Karrik''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(210063,47256,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(210064,10047256,'Applies Karrik''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(210065,10047256,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(210066,48428,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(210067,48428,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(210068,48428,'Inflicts 130 poison damage on target instantly and every 6 seconds',100,2,2),
(210069,48428,'Inflicts 252 poison damage on target',100,2,3),
(210070,48428,'Cannot be modified except by direct means',100,2,4),
(210071,48428,'Grants a total of 200 triggers of the spell.',100,2,5),
(210072,10048428,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(210073,10048428,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(210074,10048428,'Inflicts 127 poison damage on target instantly and every 6 seconds',100,2,2),
(210075,10048428,'Inflicts 246 poison damage on target',100,2,3),
(210076,10048428,'Cannot be modified except by direct means',100,2,4),
(210077,10048428,'Grants a total of 200 triggers of the spell.',100,2,5),
(210078,115792,'Increases in-combat movement speed of group members (AE) by 38.0%',100,1,0),
(210079,115792,'Dispels 33 levels of hostile Root effects on group members (AE)',100,1,1),
(210080,10115792,'Increases in-combat movement speed of group members (AE) by 23.8%',100,1,0),
(210081,10115792,'Dispels 33 levels of hostile Root effects on group members (AE)',100,1,1),
(210082,36190,'Increases STA and WIS of target by 1.1',100,0,0),
(210083,36190,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(210084,48591,'Applies Totem of Escape when Activated.',100,0,0),
(210085,48591,'Teleports caster within the zone',100,1,1),
(210086,48591,'Must not be engaged in combat',100,2,2),
(210087,48591,'Must not be engaged in pvp combat',100,2,3),
(210088,48591,'Only affects targets level 30 and above',100,1,4),
(210089,10048591,'Applies Totem of Escape when Activated.',100,0,0),
(210090,10048591,'Teleports caster within the zone',100,1,1),
(210091,10048591,'Must not be engaged in combat',100,2,2),
(210092,10048591,'Must not be engaged in pvp combat',100,2,3),
(210093,10048591,'Only affects targets level 30 and above',100,1,4),
(210094,110929,'Inflicts 153 - 256 divine damage on target',100,1,0),
(210095,110929,'Increases Threat to target by 1,155 ',100,1,1),
(210096,110929,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(210097,110929,'Blurs vision of target',100,2,3),
(210098,110929,'Throws target back',100,2,4),
(210099,110929,'Stuns target',100,2,5),
(210100,110929,'Does not affect Epic targets',100,2,6),
(210101,10110929,'Inflicts 200 - 333 divine damage on target',100,1,0),
(210102,10110929,'Prevents target from changing targets',100,1,1),
(210103,10110929,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(210104,10110929,'Blurs vision of target',100,2,3),
(210105,10110929,'Throws target back',100,2,4),
(210106,10110929,'Stuns target',100,2,5),
(210107,10110929,'Does not affect Epic targets',100,2,6),
(210108,10110929,'Forces target to change their selected target to caster.',100,1,7),
(210109,188564,'When Equipped:',100,0,0),
(210110,188564,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(210111,10188564,'When Equipped:',100,0,0),
(210112,10188564,'Reduces cast time of hostile spells by 4 percent.',100,1,1),
(210113,105420,'Increases STR of caster by 107.4',100,1,0),
(210114,105420,'Decreases Defense of caster by 13.8',100,1,1),
(210115,105420,'Increases Slashing, Piercing, Crushing and Disruption of caster by 20.7',100,1,2),
(210116,10105420,'Increases STR of caster by 107.4',100,1,0),
(210117,10105420,'Decreases Defense of caster by 13.8',100,1,1),
(210118,10105420,'Increases Slashing, Piercing, Crushing and Disruption of caster by 20.7',100,1,2),
(210119,147224,'When Equipped:',100,0,0),
(210120,147224,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(210121,147224,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(210122,147224,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(210123,147224,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(210124,147224,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(210125,147224,'Must not be engaged in pvp combat',100,2,6),
(210126,147224,'Cannot be modified except by direct means',100,2,7),
(210127,147224,'Must not be engaged in pvp combat',100,1,8),
(210128,10147224,'When Equipped:',100,0,0),
(210129,10147224,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(210130,10147224,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(210131,10147224,'Inflicts 905 - 1000 piercing damage on target instantly and every 3 seconds',100,2,3),
(210132,10147224,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(210133,10147224,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(210134,10147224,'Must not be engaged in pvp combat',100,2,6),
(210135,10147224,'Cannot be modified except by direct means',100,2,7),
(210136,10147224,'Must not be engaged in pvp combat',100,1,8),
(210137,37440,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(210138,100146,'Inflicts 85 - 104 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(210139,100146,'Decreases Mitigation of target encounter vs noxious damage by 570',100,1,1),
(210140,10100146,'Inflicts 111 - 135 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(210141,10100146,'Decreases Mitigation of target encounter vs noxious damage by 570',100,1,1),
(210142,81760,'When Equipped:',100,0,0),
(210143,81760,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(210144,81760,'Decreases Threat to target by 487 ',100,2,2),
(210145,81760,'Must be flanking or behind',100,3,3),
(210146,81760,'Increases Threat to target by 488 ',100,2,4),
(210147,81760,'Must be in front of',100,3,5),
(210148,81760,'Inflicts 164 - 305 magic damage on target',100,2,6),
(210149,81760,'Cannot be modified except by direct means',100,2,7),
(210150,10081760,'When Equipped:',100,0,0),
(210151,10081760,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(210152,10081760,'Inflicts 213 - 396 magic damage on target',100,2,2),
(210153,10081760,'Cannot be modified except by direct means',100,2,3),
(210154,36164,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(210155,25172,'When Equipped:',100,0,0),
(210156,25172,'On a block this spell has a 1% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(210157,25172,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(210158,25172,'Heals caster for 7 - 9',100,3,3),
(210159,25172,'Grants a total of 3 triggers of the spell.',100,3,4),
(210160,25172,'Cannot be modified except by direct means',100,2,5),
(210161,10025172,'When Equipped:',100,0,0),
(210162,10025172,'On a block this spell has a 1% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(210163,10025172,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(210164,10025172,'Heals caster for 5 - 6',100,3,3),
(210165,10025172,'Grants a total of 3 triggers of the spell.',100,3,4),
(210166,10025172,'Cannot be modified except by direct means',100,2,5),
(210167,123976,'Inflicts 460 - 767 melee damage on target',100,1,0),
(210168,123976,'Decreases AGI of target by 38.6',100,1,1),
(210169,123976,'Must be behind',100,1,2),
(210170,10123976,'Inflicts 598 - 998 melee damage on target',100,1,0),
(210171,10123976,'Decreases AGI of target by 38.6',100,1,1),
(210172,10123976,'Must be behind',100,1,2),
(210173,112886,'Inflicts 291 - 356 melee damage on target',100,1,0),
(210174,112886,'Decreases Mitigation of target vs physical damage by 223',100,1,1),
(210175,112886,'Must be flanking or behind',100,1,2),
(210176,10112886,'Inflicts 378 - 462 melee damage on target',100,1,0),
(210177,10112886,'Decreases Mitigation of target vs physical damage by 223',100,1,1),
(210178,10112886,'Must be flanking or behind',100,1,2),
(210179,27237,'When Equipped:',100,0,0),
(210180,27237,'Increases Crit Chance of caster by 3.0',100,1,1),
(210181,10027237,'When Equipped:',100,0,0),
(210182,10027237,'Increases Crit Chance of caster by 3.0',100,1,1),
(210183,119918,'Stifles target',100,1,0),
(210184,119918,'Inflicts 200 - 245 mental damage on target',100,1,1),
(210185,119918,'Inflicts 67 - 82 mental damage on target every 2 seconds',100,1,2),
(210186,119918,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,3),
(210187,119918,'Resistibility increases against targets higher than level 73.',100,1,4),
(210188,10119918,'Stifles target',100,1,0),
(210189,10119918,'Inflicts 261 - 319 mental damage on target',100,1,1),
(210190,10119918,'Inflicts 87 - 106 mental damage on target every second',100,1,2),
(210191,10119918,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(210192,10119918,'Resistibility increases against targets higher than level 73.',100,1,4),
(210193,170091,'When Equipped:',100,0,0),
(210194,170091,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(210195,170091,'Increases Attack Speed of caster by 4.5',100,1,2),
(210196,170091,'Increases Damage Per Second of caster by 11.0',100,1,3),
(210197,170091,'This effect will not stack with any rank or tier of itself.',100,1,4),
(210198,170091,'Cannot be modified except by direct means',100,1,5),
(210199,10170091,'When Equipped:',100,0,0),
(210200,10170091,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(210201,10170091,'Increases Attack Speed of caster by 4.5',100,1,2),
(210202,10170091,'Increases Damage Per Second of caster by 11.0',100,1,3),
(210203,10170091,'This effect will not stack with any rank or tier of itself.',100,1,4),
(210204,10170091,'Cannot be modified except by direct means',100,1,5),
(210205,175111,'When Equipped:',100,0,0),
(210206,175111,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210207,175111,'Wards target against 2800 points of all damage',100,2,2),
(210208,175111,'Replenishes 600 points of absorption every 2 seconds.',100,2,3),
(210209,175111,'Cannot be modified except by direct means',100,2,4),
(210210,10175111,'When Equipped:',100,0,0),
(210211,10175111,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210212,10175111,'Wards target against 2800 points of all damage',100,2,2),
(210213,10175111,'Replenishes 600 points of absorption every 2 seconds.',100,2,3),
(210214,10175111,'Cannot be modified except by direct means',100,2,4),
(210215,25174,'When Equipped:',100,0,0),
(210216,25174,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(210217,25174,'Inflicts 11 heat damage on target',100,2,2),
(210218,25174,'Inflicts 3 heat damage on target every 5 seconds',100,2,3),
(210219,25174,'Cannot be modified except by direct means',100,2,4),
(210220,10025174,'When Equipped:',100,0,0),
(210221,10025174,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(210222,10025174,'Inflicts 14 heat damage on target',100,2,2),
(210223,10025174,'Inflicts 4 heat damage on target every 5 seconds',100,2,3),
(210224,10025174,'Cannot be modified except by direct means',100,2,4),
(210225,111433,'Decreases Attack Speed of caster by 11.3',100,1,0),
(210226,111433,'Slows caster by 32.6%',100,1,1),
(210227,111433,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(210228,111433,'Slows targets in Area of Effect by 52.2%',100,2,3),
(210229,111433,'5% chance to dispel when target receives hostile action',100,2,4),
(210230,111433,'5% chance to dispel when target takes damage',100,2,5),
(210231,111433,'Increases Mitigation of caster vs physical damage by 237',100,1,6),
(210232,10111433,'Decreases Attack Speed of caster by 11.3',100,1,0),
(210233,10111433,'Slows caster by 32.6%',100,1,1),
(210234,10111433,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(210235,10111433,'Slows targets in Area of Effect by 39.1%',100,2,3),
(210236,10111433,'5% chance to dispel when target receives hostile action',100,2,4),
(210237,10111433,'5% chance to dispel when target takes damage',100,2,5),
(210238,10111433,'Increases Mitigation of caster vs physical damage by 237',100,1,6),
(210239,80169,'When Equipped:',100,0,0),
(210240,80169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210241,80169,'Inflicts 234 - 434 magic damage on target',100,2,2),
(210242,80169,'Cannot be modified except by direct means',100,2,3),
(210243,10080169,'When Equipped:',100,0,0),
(210244,10080169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210245,10080169,'Inflicts 304 - 564 magic damage on target',100,2,2),
(210246,10080169,'Cannot be modified except by direct means',100,2,3),
(210247,165349,'When Equipped:',100,0,0),
(210248,165349,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(210249,165349,'Heals caster for 400',100,2,2),
(210250,165349,'Cannot be modified except by direct means',100,2,3),
(210251,10165349,'When Equipped:',100,0,0),
(210252,10165349,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(210253,10165349,'Heals caster for 260',100,2,2),
(210254,10165349,'Cannot be modified except by direct means',100,2,3),
(210255,159264,'When Equipped:',100,0,0),
(210256,159264,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210257,159264,'Increases INT of caster by 5.5',100,2,2),
(210258,159264,'Increases Focus, Subjugation and Disruption of caster by 3.6',100,2,3),
(210259,159264,'Cannot be modified except by direct means',100,2,4),
(210260,10159264,'When Equipped:',100,0,0),
(210261,10159264,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210262,10159264,'Increases INT of caster by 5.5',100,2,2),
(210263,10159264,'Increases Focus, Subjugation and Disruption of caster by 3.6',100,2,3),
(210264,10159264,'Cannot be modified except by direct means',100,2,4),
(210265,159010,'When Equipped:',100,0,0),
(210266,159010,'Reduces resistibility of all spells by 5%.',100,1,1),
(210267,10159010,'When Equipped:',100,0,0),
(210268,10159010,'Reduces resistibility of all spells by 5%.',100,1,1),
(210269,109097,'Inflicts 487 - 812 melee damage on target',100,1,0),
(210270,109097,'Inflicts 487 - 812 melee damage on target',100,1,1),
(210271,109097,'Inflicts 487 - 812 melee damage on target',100,1,2),
(210272,109097,'Decreases Mitigation of target vs physical damage by 1296',100,1,3),
(210273,10109097,'Inflicts 634 - 1056 melee damage on target',100,1,0),
(210274,10109097,'Inflicts 634 - 1056 melee damage on target',100,1,1),
(210275,10109097,'Inflicts 634 - 1056 melee damage on target',100,1,2),
(210276,10109097,'Decreases Mitigation of target vs physical damage by 1296',100,1,3),
(210277,106895,'Decreases Threat to targets in Area of Effect by 4,365 ',100,1,0),
(210278,106895,'Stuns targets in Area of Effect',100,1,1),
(210279,106895,'If Target is not Epic',100,2,2),
(210280,10106895,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(210281,10106895,'Applies Distract.',100,1,1),
(210282,10106895,'Forces target to clear their selected target.',100,2,2),
(210283,10106895,'Stuns targets in Area of Effect',100,1,3),
(210284,10106895,'If Target is not Epic',100,2,4),
(210285,120975,'Inflicts 2205 - 3675 ranged damage on target',100,1,0),
(210286,120975,'If weapon equipped in Ranged',100,1,1),
(210287,120975,'Must be behind',100,1,2),
(210288,10120975,'Inflicts 1874 - 3123 ranged damage on target',100,1,0),
(210289,10120975,'If weapon equipped in Ranged',100,1,1),
(210290,10120975,'Must be behind',100,1,2),
(210291,110338,'Increases Max Power of target by 480.7',100,1,0),
(210292,110338,'Increases Max Health of target by 964.3',100,1,1),
(210293,10110338,'Increases Max Power of target by 480.7',100,1,0),
(210294,10110338,'Increases Max Health of target by 964.3',100,1,1),
(210295,138395,'When Equipped:',100,0,0),
(210296,138395,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210297,138395,'This effect can be stacked by multiple casters.',100,2,2),
(210298,138395,'Increases Mitigation of target vs all damage by 940',100,2,3),
(210299,138395,'Cannot be modified except by direct means',100,2,4),
(210300,10138395,'When Equipped:',100,0,0),
(210301,10138395,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210302,10138395,'This effect can be stacked by multiple casters.',100,2,2),
(210303,10138395,'Increases Mitigation of target vs all damage by 940',100,2,3),
(210304,10138395,'Cannot be modified except by direct means',100,2,4),
(210305,116880,'Wards group members (AE) against 1251 points of noxious damage',100,1,0),
(210306,116880,'Increases Mitigation of group members (AE) vs noxious damage by 684',100,1,1),
(210307,10116880,'Wards group members (AE) against 1251 points of noxious damage',100,1,0),
(210308,10116880,'Increases Mitigation of group members (AE) vs noxious damage by 684',100,1,1),
(210309,109624,'Increases Defense of group members'' pets (AE) by 14.6',100,1,0),
(210310,109624,'Increases Mitigation of group members (AE) vs all damage by 236',100,1,1),
(210311,10109624,'Increases Defense of group members'' pets (AE) by 14.6',100,1,0),
(210312,10109624,'Increases Mitigation of group members (AE) vs all damage by 236',100,1,1),
(210313,100922,'Stuns targets in Area of Effect',20,1,0),
(210314,100922,'If Target is not Epic',100,2,1),
(210315,100922,'Inflicts 532 - 886 divine damage on targets in Area of Effect',100,1,2),
(210316,100922,'Resistibility increases against targets higher than level 109.',100,1,3),
(210317,10100922,'Stuns targets in Area of Effect',20,1,0),
(210318,10100922,'If Target is not Epic',100,2,1),
(210319,10100922,'Inflicts 691 - 1152 divine damage on targets in Area of Effect',100,1,2),
(210320,10100922,'Resistibility increases against targets higher than level 109.',100,1,3),
(210321,116595,'Inflicts 312 - 521 divine damage on target',100,1,0),
(210322,10116595,'Inflicts 406 - 677 divine damage on target',100,1,0),
(210323,104713,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(210324,104713,'Decreases Mitigation of target vs elemental and arcane damage by 266',100,2,1),
(210325,104713,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(210326,104713,'Decreases Mitigation of target vs elemental and arcane damage by 266',100,2,3),
(210327,10104713,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(210328,10104713,'Decreases Mitigation of target vs elemental and arcane damage by 266',100,2,1),
(210329,10104713,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(210330,10104713,'Decreases Mitigation of target vs elemental and arcane damage by 266',100,2,3),
(210331,159967,'When Equipped:',100,0,0),
(210332,159967,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(210333,159967,'Increases STA of caster by 8.8',100,2,2),
(210334,159967,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(210335,159967,'Cannot be modified except by direct means',100,2,4),
(210336,10159967,'When Equipped:',100,0,0),
(210337,10159967,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(210338,10159967,'Increases STA of caster by 8.8',100,2,2),
(210339,10159967,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(210340,10159967,'Cannot be modified except by direct means',100,2,4),
(210341,141848,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(210342,141848,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(210343,141848,'Inflicts 66 heat damage on target',100,2,2),
(210344,141848,'Cannot be modified except by direct means',100,2,3),
(210345,10141848,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(210346,10141848,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(210347,10141848,'Inflicts 85 heat damage on target',100,2,2),
(210348,10141848,'Cannot be modified except by direct means',100,2,3),
(210349,35950,'Increases INT of target by 1.5',100,0,0),
(210350,35950,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(210351,51350,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(210352,51350,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(210353,51350,'Inflicts 100 heat damage on target',100,2,2),
(210354,51350,'Cannot be modified except by direct means',100,2,3),
(210355,10051350,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(210356,10051350,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(210357,10051350,'Inflicts 130 heat damage on target',100,2,2),
(210358,10051350,'Cannot be modified except by direct means',100,2,3),
(210359,118688,'Inflicts 289 - 869 crushing damage on target',100,1,0),
(210360,10118688,'Inflicts 376 - 1130 crushing damage on target',100,1,0),
(210361,81065,'When Equipped:',100,0,0),
(210362,81065,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210363,81065,'Inflicts 207 - 384 magic damage on target',100,2,2),
(210364,81065,'Cannot be modified except by direct means',100,2,3),
(210365,10081065,'When Equipped:',100,0,0),
(210366,10081065,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210367,10081065,'Inflicts 269 - 499 magic damage on target',100,2,2),
(210368,10081065,'Cannot be modified except by direct means',100,2,3),
(210369,103646,'Increases STR of raid and group members (AE) by 47.4',100,1,0),
(210370,103646,'Improves the base amount of taunts by 11%.',100,1,1),
(210371,103646,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(210372,103646,'Increases AGI of raid and group members (AE) by 47.4',100,1,3),
(210373,103646,'Adds 1.1% to base avoidance.',100,1,4),
(210374,10103646,'Increases STR of raid and group members (AE) by 47.4',100,1,0),
(210375,10103646,'Improves the base amount of taunts by 11%.',100,1,1),
(210376,10103646,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(210377,10103646,'Increases AGI of raid and group members (AE) by 47.4',100,1,3),
(210378,10103646,'Adds 1.1% to base avoidance.',100,1,4),
(210379,36426,'Increases WIS and AGI of target by 1.1',100,0,0),
(210380,36426,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(210381,120586,'Inflicts 66 - 123 heat damage on target',100,1,0),
(210382,10120586,'Inflicts 86 - 160 heat damage on target',100,1,0),
(210383,116838,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(210384,116838,'Inflicts 248 - 303 mental damage on target',100,2,1),
(210385,116838,'Grants a total of 3 triggers of the spell.',100,2,2),
(210386,10116838,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(210387,10116838,'Inflicts 322 - 394 mental damage on target',100,2,1),
(210388,10116838,'Grants a total of 3 triggers of the spell.',100,2,2),
(210389,105916,'Inflicts 1492 - 2486 melee damage on target',100,1,0),
(210390,105916,'If over 33% Health',100,2,1),
(210391,105916,'Inflicts 4476 - 7460 melee damage on target',100,1,2),
(210392,105916,'If under 33% Health',100,2,3),
(210393,105916,'Must be flanking or behind',100,1,4),
(210394,10105916,'Inflicts 1939 - 3232 melee damage on target',100,1,0),
(210395,10105916,'If over 20% Health',100,2,1),
(210396,10105916,'Inflicts 5172 - 8621 melee damage on target',100,1,2),
(210397,10105916,'If under 20% Health',100,2,3),
(210398,10105916,'Must be flanking or behind',100,1,4),
(210399,24505,'Adds Boss: Lich (Assassin) to your Dungeon Maker toolbox',100,0,0),
(210400,10024505,'Adds Boss: Lich (Assassin) to your Dungeon Maker toolbox',100,0,0),
(210401,26933,'When Equipped:',100,0,0),
(210402,26933,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(210403,26933,'Decreases power of target by 219',100,2,2),
(210404,26933,'Increases power of caster by 140',100,2,3),
(210405,26933,'Cannot be modified except by direct means',100,2,4),
(210406,10026933,'When Equipped:',100,0,0),
(210407,10026933,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(210408,10026933,'Decreases power of target by 219',100,2,2),
(210409,10026933,'Increases power of caster by 140',100,2,3),
(210410,10026933,'Cannot be modified except by direct means',100,2,4),
(210411,111911,'Inflicts 140 - 234 piercing damage on target',100,1,0),
(210412,111911,'Inflicts 38 - 64 piercing damage on target instantly and every 4 seconds',100,1,1),
(210413,10111911,'Inflicts 249 - 416 piercing damage on target',100,1,0),
(210414,10111911,'Inflicts 83 - 139 piercing damage on target instantly and every 4 seconds',100,1,1),
(210415,101644,'Applies Forceful Headache on termination.',100,1,0),
(210416,101644,'Inflicts 549 - 915 mental damage on target',100,2,1),
(210417,101644,'If over 50% power',100,3,2),
(210418,101644,'Inflicts 219 - 268 mental damage on target instantly and every 6 seconds',100,1,3),
(210419,101644,'Decreases Mitigation of target vs arcane damage by 1296',100,1,4),
(210420,10101644,'Applies Forceful Headache on termination.',100,1,0),
(210421,10101644,'Inflicts 713 - 1189 mental damage on target',100,2,1),
(210422,10101644,'If over 50% power',100,3,2),
(210423,10101644,'Inflicts 285 - 349 mental damage on target instantly and every 6 seconds',100,1,3),
(210424,10101644,'Decreases Mitigation of target vs arcane damage by 1296',100,1,4),
(210425,105790,'Inflicts 310 - 379 heat damage on target',100,1,0),
(210426,10105790,'Inflicts 537 - 656 heat damage on target',100,1,0),
(210427,115595,'Interrupts target encounter',100,1,0),
(210428,115595,'Decreases Threat to target encounter by 935 - 1,143 ',100,1,1),
(210429,115595,'Dazes target encounter',100,1,2),
(210430,115595,'If Target is not Epic',100,2,3),
(210431,115595,'Resistibility increases against targets higher than level 106.',100,1,4),
(210432,10115595,'Interrupts target encounter',100,1,0),
(210433,10115595,'Dazes target encounter',100,1,1),
(210434,10115595,'If Target is not Epic',100,2,2),
(210435,10115595,'Resistibility increases against targets higher than level 106.',100,1,3),
(210436,37294,'Increases STA of target by 1.5',100,0,0),
(210437,37294,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(210438,106263,'Wards target against 924 points of all damage',100,1,0),
(210439,10106263,'Wards target against 924 points of all damage',100,1,0),
(210440,101672,'Decreases Attack Speed of target by 18.2',100,1,0),
(210441,101672,'Decreases Damage Per Second of target by 12.4',100,1,1),
(210442,10101672,'Decreases Attack Speed of target by 18.2',100,1,0),
(210443,10101672,'Decreases Damage Per Second of target by 12.4',100,1,1),
(210444,81075,'When Equipped:',100,0,0),
(210445,81075,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210446,81075,'Inflicts 230 - 426 magic damage on target',100,2,2),
(210447,81075,'Cannot be modified except by direct means',100,2,3),
(210448,10081075,'When Equipped:',100,0,0),
(210449,10081075,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210450,10081075,'Inflicts 298 - 554 magic damage on target',100,2,2),
(210451,10081075,'Cannot be modified except by direct means',100,2,3),
(210452,110979,'Inflicts 2345 - 3909 ranged damage on target',100,1,0),
(210453,110979,'I need to be stealthed!',100,1,1),
(210454,110979,'Requires bow',100,1,2),
(210455,10110979,'Inflicts 1495 - 2492 ranged damage on target',100,1,0),
(210456,10110979,'I need to be stealthed!',100,1,1),
(210457,10110979,'Requires bow',100,1,2),
(210458,119689,'Increases Threat to target encounter by 212 - 260 ',100,1,0),
(210459,10119689,'Prevents target encounter from changing targets',100,1,0),
(210460,10119689,'Forces target encounter to change their selected target to caster.',100,1,1),
(210461,122677,'Decreases Defense of target by 21.1',100,1,0),
(210462,122677,'Decreases Mitigation of target vs physical damage by 352',100,1,1),
(210463,10122677,'Decreases Defense of target by 21.1',100,1,0),
(210464,10122677,'Decreases Mitigation of target vs physical damage by 352',100,1,1),
(210465,113923,'Increases power of target by 29 instantly and every 4 seconds',100,1,0),
(210466,10113923,'Increases power of target by 29 instantly and every 4 seconds',100,1,0),
(210467,36464,'Increases STR of target by 1.5',100,0,0),
(210468,36464,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(210469,80179,'When Equipped:',100,0,0),
(210470,80179,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(210471,80179,'Decreases Threat to target by 801 ',100,2,2),
(210472,80179,'Must be flanking or behind',100,3,3),
(210473,80179,'Increases Threat to target by 801 ',100,2,4),
(210474,80179,'Must be in front of',100,3,5),
(210475,80179,'Inflicts 260 - 482 magic damage on target',100,2,6),
(210476,80179,'Cannot be modified except by direct means',100,2,7),
(210477,10080179,'When Equipped:',100,0,0),
(210478,10080179,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(210479,10080179,'Inflicts 337 - 627 magic damage on target',100,2,2),
(210480,10080179,'Cannot be modified except by direct means',100,2,3),
(210481,124327,'Shapechanges caster into a wolf',100,1,0),
(210482,124327,'Grants See Invisibility to caster',100,1,1),
(210483,124327,'Increases Focus of caster by 20.5',100,1,2),
(210484,124327,'Increases Mitigation of caster vs physical damage by 228',100,1,3),
(210485,124327,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 866',100,1,4),
(210486,10124327,'Shapechanges caster into a wolf',100,1,0),
(210487,10124327,'Grants See Invisibility to caster',100,1,1),
(210488,10124327,'Increases Focus of caster by 20.5',100,1,2),
(210489,10124327,'Increases Mitigation of caster vs physical damage by 228',100,1,3),
(210490,10124327,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 866',100,1,4),
(210491,115696,'Inflicts 67 - 202 melee damage on target',100,1,0),
(210492,115696,'Inflicts 67 - 202 melee damage on target',100,1,1),
(210493,115696,'Inflicts 67 - 202 melee damage on target',100,1,2),
(210494,115696,'Inflicts 67 - 202 melee damage on target',100,1,3),
(210495,115696,'Inflicts 67 - 202 melee damage on target',100,1,4),
(210496,115696,'Inflicts 67 - 202 melee damage on target',100,1,5),
(210497,115696,'Inflicts 67 - 202 melee damage on target',100,1,6),
(210498,115696,'Inflicts 67 - 202 melee damage on target',100,1,7),
(210499,10115696,'Inflicts 87 - 262 melee damage on target',100,1,0),
(210500,10115696,'Inflicts 87 - 262 melee damage on target',100,1,1),
(210501,10115696,'Inflicts 87 - 262 melee damage on target',100,1,2),
(210502,10115696,'Inflicts 87 - 262 melee damage on target',100,1,3),
(210503,10115696,'Inflicts 87 - 262 melee damage on target',100,1,4),
(210504,10115696,'Inflicts 87 - 262 melee damage on target',100,1,5),
(210505,10115696,'Inflicts 87 - 262 melee damage on target',100,1,6),
(210506,10115696,'Inflicts 87 - 262 melee damage on target',100,1,7),
(210507,164593,'Applies Unstable Magics when Equipped.',100,0,0),
(210508,164593,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(210509,10164593,'Applies Unstable Magics when Equipped.',100,0,0),
(210510,10164593,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(210511,113792,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(210512,113792,'Heals target for 392 - 480',100,2,1),
(210513,10113792,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(210514,10113792,'Heals target for 255 - 312',100,2,1),
(210515,81182,'When Equipped:',100,0,0),
(210516,81182,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(210517,81182,'Decreases Threat to target by 517 ',100,2,2),
(210518,81182,'Must be flanking or behind',100,3,3),
(210519,81182,'Increases Threat to target by 517 ',100,2,4),
(210520,81182,'Must be in front of',100,3,5),
(210521,81182,'Inflicts 226 - 419 magic damage on target',100,2,6),
(210522,81182,'Cannot be modified except by direct means',100,2,7),
(210523,10081182,'When Equipped:',100,0,0),
(210524,10081182,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(210525,10081182,'Inflicts 293 - 545 magic damage on target',100,2,2),
(210526,10081182,'Cannot be modified except by direct means',100,2,3),
(210527,45315,'Applies Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(210528,45315,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(210529,45315,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(210530,45315,'Cannot be modified except by direct means',100,2,3),
(210531,45315,'Grants a total of 80 triggers of the spell.',100,2,4),
(210532,45315,'Only affects targets level 50 and above',100,1,5),
(210533,10045315,'Applies Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(210534,10045315,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(210535,10045315,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(210536,10045315,'Cannot be modified except by direct means',100,2,3),
(210537,10045315,'Grants a total of 80 triggers of the spell.',100,2,4),
(210538,10045315,'Only affects targets level 50 and above',100,1,5),
(210539,123371,'Heals group members (AE) for 497 - 608',100,1,0),
(210540,10123371,'Heals group members (AE) for 605 - 739',100,1,0),
(210541,45668,'Applies Clouded Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(210542,45668,'Increases STR and STA of caster by 47.0',100,1,1),
(210543,45668,'Only affects targets level 50 and above',100,1,2),
(210544,10045668,'Applies Clouded Gaige''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(210545,10045668,'Increases STR and STA of caster by 47.0',100,1,1),
(210546,10045668,'Only affects targets level 50 and above',100,1,2),
(210547,40659,'When Equipped:',100,0,0),
(210548,40659,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210549,40659,'Inflicts 208 - 311 magic damage on target',100,2,2),
(210550,40659,'Cannot be modified except by direct means',100,2,3),
(210551,10040659,'When Equipped:',100,0,0),
(210552,10040659,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210553,10040659,'Inflicts 270 - 405 magic damage on target',100,2,2),
(210554,10040659,'Cannot be modified except by direct means',100,2,3),
(210555,106857,'Decreases Crushing, Piercing, Slashing and Ranged of target by 57.5',100,1,0),
(210556,10106857,'Decreases Crushing, Piercing, Slashing and Ranged of target by 57.5',100,1,0),
(210557,24302,'Adds Djinn Firemaster to your Dungeon Maker toolbox',100,0,0),
(210558,10024302,'Adds Djinn Firemaster to your Dungeon Maker toolbox',100,0,0),
(210559,111784,'Shapechanges caster into an air elemental',100,1,0),
(210560,10111784,'Shapechanges caster into an air elemental',100,1,0),
(210561,47707,'Applies Place dummy when Activated.',100,0,0),
(210562,47707,'This effect cannot be cast during combat',100,1,1),
(210563,10047707,'Applies Place dummy when Activated.',100,0,0),
(210564,10047707,'This effect cannot be cast during combat',100,1,1),
(210565,24640,'Adds Poet''s Palace: Orange Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(210566,10024640,'Adds Poet''s Palace: Orange Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(210567,24725,'Adds Elite: Tallonite (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(210568,10024725,'Adds Elite: Tallonite (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(210569,100217,'Increases Threat to target encounter by 559 - 683 ',100,1,0),
(210570,100217,'Interrupts target encounter',100,1,1),
(210571,10100217,'Interrupts target encounter',100,1,0),
(210572,10100217,'Forces target encounter to change their selected target to caster.',100,1,1),
(210573,10100217,'Prevents target encounter from changing targets',100,1,2),
(210574,82043,'When Equipped:',100,0,0),
(210575,82043,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210576,82043,'Inflicts 212 - 393 magic damage on target',100,2,2),
(210577,82043,'Cannot be modified except by direct means',100,2,3),
(210578,10082043,'When Equipped:',100,0,0),
(210579,10082043,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210580,10082043,'Inflicts 275 - 511 magic damage on target',100,2,2),
(210581,10082043,'Cannot be modified except by direct means',100,2,3),
(210582,179294,'When Equipped:',100,0,0),
(210583,179294,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(210584,179294,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(210585,179294,'Increases Potency of caster by 3.0%',100,2,3),
(210586,179294,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(210587,179294,'Increases Ability Modifier of caster by 780.0',100,2,5),
(210588,179294,'Must not be engaged in pvp combat',100,2,6),
(210589,179294,'Cannot be modified except by direct means',100,2,7),
(210590,179294,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(210591,179294,'Increases Potency of caster by 3.0%',100,2,9),
(210592,179294,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(210593,179294,'Increases Ability Modifier of caster by 780.0',100,2,11),
(210594,179294,'Must not be engaged in pvp combat',100,2,12),
(210595,179294,'Cannot be modified except by direct means',100,2,13),
(210596,179294,'Cannot be modified except by direct means',100,1,14),
(210597,10179294,'When Equipped:',100,0,0),
(210598,10179294,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(210599,10179294,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(210600,10179294,'Increases Potency of caster by 3.0%',100,2,3),
(210601,10179294,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(210602,10179294,'Increases Ability Modifier of caster by 780.0',100,2,5),
(210603,10179294,'Must not be engaged in pvp combat',100,2,6),
(210604,10179294,'Cannot be modified except by direct means',100,2,7),
(210605,10179294,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(210606,10179294,'Increases Potency of caster by 3.0%',100,2,9),
(210607,10179294,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(210608,10179294,'Increases Ability Modifier of caster by 780.0',100,2,11),
(210609,10179294,'Must not be engaged in pvp combat',100,2,12),
(210610,10179294,'Cannot be modified except by direct means',100,2,13),
(210611,10179294,'Cannot be modified except by direct means',100,1,14),
(210612,45746,'Applies Stormfeather''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(210613,45746,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(210614,45746,'Inflicts 23 magic damage on target',100,2,2),
(210615,45746,'Cannot be modified except by direct means',100,2,3),
(210616,10045746,'Applies Stormfeather''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(210617,10045746,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(210618,10045746,'Inflicts 30 magic damage on target',100,2,2),
(210619,10045746,'Cannot be modified except by direct means',100,2,3),
(210620,75016,'Applies Lightning Shock when Activated.',100,0,0),
(210621,75016,'Inflicts 108 - 179 magic damage on target',100,1,1),
(210622,75016,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(210623,10075016,'Applies Lightning Shock when Activated.',100,0,0),
(210624,10075016,'Inflicts 140 - 233 magic damage on target',100,1,1),
(210625,10075016,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(210626,115663,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1135',100,1,0),
(210627,10115663,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1135',100,1,0),
(210628,35183,'Increases WIS of target by 1.5',100,0,0),
(210629,35183,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(210630,124048,'Increases power of caster by 99',100,1,0),
(210631,10124048,'Increases power of caster by 99',100,1,0),
(210632,48616,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(210633,48616,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(210634,48616,'Inflicts 102 poison damage on target',100,2,2),
(210635,48616,'Cannot be modified except by direct means',100,2,3),
(210636,48616,'Grants a total of 4 triggers of the spell.',100,2,4),
(210637,10048616,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(210638,10048616,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(210639,10048616,'Inflicts 99 poison damage on target',100,2,2),
(210640,10048616,'Cannot be modified except by direct means',100,2,3),
(210641,10048616,'Grants a total of 4 triggers of the spell.',100,2,4),
(210642,124352,'Wards group members (AE) collectively against 361 total points of ',100,1,0),
(210643,10124352,'Wards group members (AE) collectively against 361 total points of ',100,1,0),
(210644,42577,'When Equipped:',100,0,0),
(210645,42577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210646,42577,'Inflicts 194 - 290 magic damage on target',100,2,2),
(210647,42577,'Cannot be modified except by direct means',100,2,3),
(210648,10042577,'When Equipped:',100,0,0),
(210649,10042577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210650,10042577,'Inflicts 252 - 378 magic damage on target',100,2,2),
(210651,10042577,'Cannot be modified except by direct means',100,2,3),
(210652,27381,'When Equipped:',100,0,0),
(210653,27381,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(210654,27381,'Decreases power of target by 94',100,2,2),
(210655,27381,'Increases power of caster by 60',100,2,3),
(210656,27381,'Cannot be modified except by direct means',100,2,4),
(210657,10027381,'When Equipped:',100,0,0),
(210658,10027381,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(210659,10027381,'Decreases power of target by 94',100,2,2),
(210660,10027381,'Increases power of caster by 60',100,2,3),
(210661,10027381,'Cannot be modified except by direct means',100,2,4),
(210662,45895,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(210663,45895,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(210664,45895,'Inflicts 297 poison damage on target instantly and every 6 seconds',100,2,2),
(210665,45895,'Inflicts 113 poison damage on target',100,2,3),
(210666,45895,'Cannot be modified except by direct means',100,2,4),
(210667,45895,'Grants a total of 200 triggers of the spell.',100,2,5),
(210668,10045895,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(210669,10045895,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(210670,10045895,'Inflicts 290 poison damage on target instantly and every 6 seconds',100,2,2),
(210671,10045895,'Inflicts 110 poison damage on target',100,2,3),
(210672,10045895,'Cannot be modified except by direct means',100,2,4),
(210673,10045895,'Grants a total of 200 triggers of the spell.',100,2,5),
(210674,100669,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(210675,100669,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(210676,100669,'Wards caster against 509 points of all damage',100,3,2),
(210677,100669,'Heals caster for 398',100,3,3),
(210678,100669,'Summons a limited pet to aid the caster',100,2,4),
(210679,100669,'Grants a total of 1 trigger of the spell.',100,2,5),
(210680,10100669,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(210681,10100669,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(210682,10100669,'Wards caster against 509 points of all damage',100,3,2),
(210683,10100669,'Heals caster for 259',100,3,3),
(210684,10100669,'Summons a limited pet to aid the caster',100,2,4),
(210685,10100669,'Grants a total of 1 trigger of the spell.',100,2,5),
(210686,84240,'Applies Mental Blast when Activated.',100,0,0),
(210687,84240,'Inflicts 113 - 189 mental damage on target',100,1,1),
(210688,84240,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(210689,10084240,'Applies Mental Blast when Activated.',100,0,0),
(210690,10084240,'Inflicts 147 - 246 mental damage on target',100,1,1),
(210691,10084240,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(210692,24470,'Adds Lair of Scale 3 to your Dungeon Maker toolbox',100,0,0),
(210693,10024470,'Adds Lair of Scale 3 to your Dungeon Maker toolbox',100,0,0),
(210694,109180,'Roots target',100,1,0),
(210695,109180,'Applies Blind.  Lasts for 8.0 seconds.',100,1,1),
(210696,109180,'Dazes target',100,2,2),
(210697,109180,'Blurs vision of target',100,2,3),
(210698,109180,'Dispelled when target takes damage',100,2,4),
(210699,109180,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(210700,109180,'5% chance to dispel when target takes damage',100,1,6),
(210701,109180,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,7),
(210702,109180,'Resistibility increases against targets higher than level 90.',100,1,8),
(210703,10109180,'Roots target',100,1,0),
(210704,10109180,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(210705,10109180,'Dazes target',100,2,2),
(210706,10109180,'Blurs vision of target',100,2,3),
(210707,10109180,'Dispelled when target takes damage',100,2,4),
(210708,10109180,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(210709,10109180,'5% chance to dispel when target takes damage',100,1,6),
(210710,10109180,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(210711,10109180,'Resistibility increases against targets higher than level 90.',100,1,8),
(210712,102497,'Inflicts 619 - 1031 crushing damage on target',100,1,0),
(210713,102497,'Prevents target from changing direction while active.',100,1,1),
(210714,102497,'If Target is not Epic',100,2,2),
(210715,102497,'Roots target',100,1,3),
(210716,102497,'If Target is not Epic',100,2,4),
(210717,102497,'Resistibility increases against targets higher than level 93.',100,1,5),
(210718,10102497,'Inflicts 804 - 1341 crushing damage on target',100,1,0),
(210719,10102497,'Prevents target from changing direction while active.',100,1,1),
(210720,10102497,'If Target is not Epic',100,2,2),
(210721,10102497,'Roots target',100,1,3),
(210722,10102497,'If Target is not Epic',100,2,4),
(210723,10102497,'Resistibility increases against targets higher than level 93.',100,1,5),
(210724,148657,'When Equipped:',100,0,0),
(210725,148657,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(210726,148657,'Inflicts 1998 cold damage on target encounter',100,2,2),
(210727,148657,'Must not be engaged in pvp combat',100,2,3),
(210728,148657,'Cannot be modified except by direct means',100,2,4),
(210729,148657,'Must not be engaged in pvp combat',100,1,5),
(210730,10148657,'When Equipped:',100,0,0),
(210731,10148657,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(210732,10148657,'Inflicts 1299 cold damage on target encounter',100,2,2),
(210733,10148657,'Must not be engaged in pvp combat',100,2,3),
(210734,10148657,'Cannot be modified except by direct means',100,2,4),
(210735,10148657,'Must not be engaged in pvp combat',100,1,5),
(210736,47141,'Applies Chilton''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(210737,47141,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(210738,10047141,'Applies Chilton''s Restoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(210739,10047141,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(210740,72219,'When Equipped:',100,0,0),
(210741,72219,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210742,72219,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(210743,72219,'Cannot be modified except by direct means',100,2,3),
(210744,10072219,'When Equipped:',100,0,0),
(210745,10072219,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(210746,10072219,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(210747,10072219,'Cannot be modified except by direct means',100,2,3),
(210748,160631,'When Equipped:',100,0,0),
(210749,160631,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(210750,160631,'When Equipped:',100,0,2),
(210751,160631,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(210752,10160631,'When Equipped:',100,0,0),
(210753,10160631,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(210754,10160631,'When Equipped:',100,0,2),
(210755,10160631,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(210756,77380,'When Equipped:',100,0,0),
(210757,77380,'On any combat or spell hit this spell may cast Sledgefist on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(210758,77380,'Inflicts 661 crushing damage on target',100,2,2),
(210759,77380,'Cannot be modified except by direct means',100,2,3),
(210760,10077380,'When Equipped:',100,0,0),
(210761,10077380,'On any combat or spell hit this spell may cast Sledgefist on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(210762,10077380,'Inflicts 859 crushing damage on target',100,2,2),
(210763,10077380,'Cannot be modified except by direct means',100,2,3),
(210764,108942,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(210765,108942,'Inflicts 80 heat damage on target',100,2,1),
(210766,10108942,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(210767,10108942,'Inflicts 103 heat damage on target',100,2,1),
(210768,114232,'Inflicts 252 - 308 mental damage on target',100,1,0),
(210769,114232,'Stuns target',100,1,1),
(210770,114232,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(210771,114232,'Resistibility increases against targets higher than level 56.',100,1,3),
(210772,10114232,'Inflicts 327 - 400 mental damage on target',100,1,0),
(210773,10114232,'Requires not being affected by Mesmerize effects.',100,2,1),
(210774,10114232,'Stuns target',100,1,2),
(210775,10114232,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(210776,10114232,'Resistibility increases against targets higher than level 56.',100,1,4),
(210777,26401,'When Equipped:',100,0,0),
(210778,26401,'Increases Damage Per Second of caster by 6.0',100,1,1),
(210779,10026401,'When Equipped:',100,0,0),
(210780,10026401,'Increases Damage Per Second of caster by 6.0',100,1,1),
(210781,88978,'When Equipped:',100,0,0),
(210782,88978,'Gives caster a 50.0% chance to strikethrough a successful avoidance check',100,1,1),
(210783,88978,'Increases caster''s chance to block by 15.0%',100,1,2),
(210784,88978,'When Equipped:',100,0,3),
(210785,88978,'On a melee hit this spell may cast Serene Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,4),
(210786,88978,'Inflicts 541 - 1006 crushing damage on target',100,2,5),
(210787,88978,'Increases Multi Attack Chance of caster by 15.0',100,2,6),
(210788,88978,'Cannot be modified except by direct means',100,2,7),
(210789,88978,'Cannot be modified except by direct means',100,1,8),
(210790,88978,'When Equipped:',100,0,9),
(210791,88978,'Reinforces leather armor''s mitigation so that it rivals that of chain.',100,1,10),
(210792,10088978,'When Equipped:',100,0,0),
(210793,10088978,'Gives caster a 50.0% chance to strikethrough a successful avoidance check',100,1,1),
(210794,10088978,'Increases caster''s chance to block by 15.0%',100,1,2),
(210795,10088978,'When Equipped:',100,0,3),
(210796,10088978,'On a melee hit this spell may cast Serene Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,4),
(210797,10088978,'Inflicts 704 - 1307 crushing damage on target',100,2,5),
(210798,10088978,'Increases Multi Attack Chance of caster by 15.0',100,2,6),
(210799,10088978,'Cannot be modified except by direct means',100,2,7),
(210800,10088978,'Cannot be modified except by direct means',100,1,8),
(210801,10088978,'When Equipped:',100,0,9),
(210802,10088978,'Reinforces leather armor''s mitigation so that it rivals that of chain.',100,1,10),
(210803,115879,'Increases power of caster by 31',100,1,0),
(210804,10115879,'Increases power of caster by 31',100,1,0),
(210805,101263,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(210806,101263,'Inflicts 335 - 558 mental damage on target',100,2,1),
(210807,10101263,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(210808,10101263,'Inflicts 435 - 726 mental damage on target',100,2,1),
(210809,26322,'When Equipped:',100,0,0),
(210810,26322,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(210811,26322,'Inflicts 319 disease damage on target',100,2,2),
(210812,26322,'Cancels up to 14.1% of target''s speed buffs',100,2,3),
(210813,26322,'Cannot be modified except by direct means',100,2,4),
(210814,10026322,'When Equipped:',100,0,0),
(210815,10026322,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(210816,10026322,'Inflicts 415 disease damage on target',100,2,2),
(210817,10026322,'Cancels up to 14.1% of target''s speed buffs',100,2,3),
(210818,10026322,'Cannot be modified except by direct means',100,2,4),
(210819,102911,'Heals caster for 1078',100,1,0),
(210820,102911,'Inflicts 2290 disease damage on targets in Area of Effect',100,1,1),
(210821,10102911,'Heals caster for 1262',100,1,0),
(210822,10102911,'Inflicts 2977 disease damage on targets in Area of Effect',100,1,1),
(210823,109755,'Inflicts 159 - 296 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(210824,10109755,'Inflicts 207 - 385 cold damage on target encounter instantly and every 2 seconds',100,1,0),
(210825,48243,'Applies Plant the Elemental Protection Standard when Activated.',100,0,0),
(210826,48243,'This guild standard grants the area a bonus to elemental resistances.',100,1,1),
(210827,10048243,'Applies Plant the Elemental Protection Standard when Activated.',100,0,0),
(210828,10048243,'This guild standard grants the area a bonus to elemental resistances.',100,1,1),
(210829,134408,'When Equipped:',100,0,0),
(210830,134408,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(210831,134408,'Wards caster against 2000 points of all damage',100,2,2),
(210832,134408,'Cannot be modified except by direct means',100,2,3),
(210833,134408,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(210834,134408,'Wards caster against 2000 points of all damage',100,2,5),
(210835,134408,'Cannot be modified except by direct means',100,2,6),
(210836,10134408,'When Equipped:',100,0,0),
(210837,10134408,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(210838,10134408,'Wards caster against 1000 points of all damage',100,2,2),
(210839,10134408,'Cannot be modified except by direct means',100,2,3),
(210840,10134408,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(210841,10134408,'Wards caster against 1000 points of all damage',100,2,5),
(210842,10134408,'Cannot be modified except by direct means',100,2,6),
(210843,122662,'Decreases Defense of target by 10.3',100,1,0),
(210844,122662,'Decreases Mitigation of target vs physical damage by 171',100,1,1),
(210845,10122662,'Decreases Defense of target by 10.3',100,1,0),
(210846,10122662,'Decreases Mitigation of target vs physical damage by 171',100,1,1),
(210847,41275,'When Equipped:',100,0,0),
(210848,41275,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(210849,10041275,'When Equipped:',100,0,0),
(210850,10041275,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(210851,116983,'Decreases Defense of target by 7.1',100,1,0),
(210852,116983,'Inflicts 33 - 41 divine damage on target instantly and every 3 seconds',100,1,1),
(210853,10116983,'Decreases Defense of target by 7.1',100,1,0),
(210854,10116983,'Inflicts 44 - 53 divine damage on target instantly and every 3 seconds',100,1,1),
(210855,74872,'When Equipped:',100,0,0),
(210856,74872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210857,74872,'Inflicts 169 - 254 magic damage on target',100,2,2),
(210858,74872,'Cannot be modified except by direct means',100,2,3),
(210859,10074872,'When Equipped:',100,0,0),
(210860,10074872,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210861,10074872,'Inflicts 220 - 330 magic damage on target',100,2,2),
(210862,10074872,'Cannot be modified except by direct means',100,2,3),
(210863,37361,'Increases AGI of target by 1.5',100,0,0),
(210864,37361,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(210865,124177,'Inflicts 112 - 187 melee damage on target',100,1,0),
(210866,10124177,'Inflicts 145 - 243 melee damage on target',100,1,0),
(210867,106559,'Inflicts 843 - 1031 melee damage on target',100,1,0),
(210868,106559,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(210869,106559,'Increases Hate Gain of target by 30.0%',100,2,2),
(210870,106559,'Grants a total of 1 trigger of the spell.',100,2,3),
(210871,10106559,'Inflicts 1096 - 1340 melee damage on target',100,1,0),
(210872,10106559,'25% chance to apply Distract on termination.',100,1,1),
(210873,10106559,'Forces target to clear their selected target.',100,2,2),
(210874,100200,'Increases Threat to target encounter by 144 - 176 ',100,1,0),
(210875,100200,'Interrupts target encounter',100,1,1),
(210876,10100200,'Interrupts target encounter',100,1,0),
(210877,10100200,'Forces target encounter to change their selected target to caster.',100,1,1),
(210878,10100200,'Prevents target encounter from changing targets',100,1,2),
(210879,117378,'Increases Threat to target by 96 ',100,1,0),
(210880,117378,'Inflicts 18 - 56 melee damage on target',100,1,1),
(210881,10117378,'Forces target to change their selected target to caster.',100,1,0),
(210882,10117378,'Inflicts 16 - 48 melee damage on target',100,1,1),
(210883,110059,'Summons a pet grim sorcerer',100,1,0),
(210884,10110059,'Summons a pet grim sorcerer',100,1,0),
(210885,102826,'Summons 3 limited pets to aid the caster',100,1,0),
(210886,10102826,'Summons 3 limited pets to aid the caster',100,1,0),
(210887,118269,'Increases Threat to target encounter by 464 - 567 ',100,1,0),
(210888,118269,'Decreases Mitigation of target encounter vs arcane damage by 550',100,1,1),
(210889,10118269,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(210890,10118269,'Forces target to change their selected target to caster.',100,2,1),
(210891,10118269,'Prevents target from changing targets',100,2,2),
(210892,10118269,'Decreases Mitigation of target encounter vs arcane damage by 550',100,1,3),
(210893,24343,'Adds Duhjalm Sentinel to your Dungeon Maker toolbox',100,0,0),
(210894,10024343,'Adds Duhjalm Sentinel to your Dungeon Maker toolbox',100,0,0),
(210895,102853,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(210896,102853,'Throws target back',100,2,1),
(210897,102853,'Stuns target',100,2,2),
(210898,102853,'Blurs vision of target',100,2,3),
(210899,102853,'Does not affect Epic targets',100,2,4),
(210900,102853,'Inflicts 247 - 741 melee damage on targets in area',100,1,5),
(210901,10102853,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(210902,10102853,'Throws target back',100,2,1),
(210903,10102853,'Stuns target',100,2,2),
(210904,10102853,'Blurs vision of target',100,2,3),
(210905,10102853,'Does not affect Epic targets',100,2,4),
(210906,10102853,'Inflicts 321 - 963 melee damage on targets in area',100,1,5),
(210907,104589,'Makes caster immune to Root effects',100,1,0),
(210908,104589,'Makes caster immune to Stun effects',100,1,1),
(210909,104589,'Makes caster immune to Stifle effects',100,1,2),
(210910,104589,'Makes caster immune to Fear effects',100,1,3),
(210911,104589,'Makes caster immune to Daze effects',100,1,4),
(210912,104589,'Makes caster immune to Mesmerize effects',100,1,5),
(210913,10104589,'Makes caster immune to Root effects',100,1,0),
(210914,10104589,'Makes caster immune to Stun effects',100,1,1),
(210915,10104589,'Makes caster immune to Stifle effects',100,1,2),
(210916,10104589,'Makes caster immune to Fear effects',100,1,3),
(210917,10104589,'Makes caster immune to Daze effects',100,1,4),
(210918,10104589,'Makes caster immune to Mesmerize effects',100,1,5),
(210919,10104589,'Makes caster immune to effects that prevent changing targets',100,1,6),
(210920,111026,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(210921,111026,'Increases Threat to target by 137 ',100,2,1),
(210922,111026,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(210923,111026,'Increases Threat to target by 137 ',100,2,3),
(210924,10111026,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(210925,10111026,'Inflicts 33 - 36 crushing damage on target',100,2,1),
(210926,10111026,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(210927,10111026,'Inflicts 33 - 36 crushing damage on target',100,2,3),
(210928,45340,'Applies Black Two Tone Warg with Orange Saddle when Activated.',100,0,0),
(210929,45340,'Summons a mount to ride',100,1,1),
(210930,45340,'Increases your ground speed by 130%',100,2,2),
(210931,45340,'Increases Crushing, Piercing and Slashing of caster by 7.0',100,1,3),
(210932,45340,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(210933,45340,'Increases Disruption and Ranged of caster by 7.0',100,1,5),
(210934,10045340,'Applies Black Two Tone Warg with Orange Saddle when Activated.',100,0,0),
(210935,10045340,'Summons a mount to ride',100,1,1),
(210936,10045340,'Increases your ground speed by 130%',100,2,2),
(210937,10045340,'Increases Crushing, Piercing and Slashing of caster by 7.0',100,1,3),
(210938,10045340,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(210939,10045340,'Increases Disruption and Ranged of caster by 7.0',100,1,5),
(210940,82367,'When Equipped:',100,0,0),
(210941,82367,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210942,82367,'Inflicts 43 - 80 magic damage on target',100,2,2),
(210943,82367,'Cannot be modified except by direct means',100,2,3),
(210944,10082367,'When Equipped:',100,0,0),
(210945,10082367,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(210946,10082367,'Inflicts 56 - 104 magic damage on target',100,2,2),
(210947,10082367,'Cannot be modified except by direct means',100,2,3),
(210948,102959,'Inflicts 209 - 255 disease damage on target instantly and every 4 seconds',100,1,0),
(210949,10102959,'Inflicts 353 - 431 disease damage on target',100,1,0),
(210950,10102959,'Inflicts 271 - 332 disease damage on target every 4 seconds',100,1,1),
(210951,46995,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(210952,46995,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(210953,46995,'Inflicts 225 poison damage on target',100,2,2),
(210954,46995,'Inflicts 198 poison damage on target instantly and every 6 seconds',100,2,3),
(210955,46995,'Cannot be modified except by direct means',100,2,4),
(210956,46995,'Grants a total of 200 triggers of the spell.',100,2,5),
(210957,10046995,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(210958,10046995,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(210959,10046995,'Inflicts 193 poison damage on target instantly and every 6 seconds',100,2,2),
(210960,10046995,'Inflicts 220 poison damage on target',100,2,3),
(210961,10046995,'Cannot be modified except by direct means',100,2,4),
(210962,10046995,'Grants a total of 200 triggers of the spell.',100,2,5),
(210963,88244,'Applies Crush of the Hua Mein Wanderer when Activated.',100,0,0),
(210964,88244,'Shapechanges the user into a Hua Mein Wanderer.',100,1,1),
(210965,88244,'The casting time of Crush of the Hua Mein Wanderer is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(210966,10088244,'Applies Crush of the Hua Mein Wanderer when Activated.',100,0,0),
(210967,10088244,'Shapechanges the user into a Hua Mein Wanderer.',100,1,1),
(210968,10088244,'The casting time of Crush of the Hua Mein Wanderer is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(210969,122619,'Makes target afraid',100,1,0),
(210970,122619,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',100,1,1),
(210971,122619,'Decreases Threat to target by 818  instantly and Decreases Threat by 818  every 2 seconds thereafter',100,2,2),
(210972,122619,'Mesmerizes target',100,2,3),
(210973,122619,'Dispelled when target takes damage',100,2,4),
(210974,122619,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(210975,122619,'Resistibility increases against targets higher than level 90.',100,2,6),
(210976,122619,'30% chance to dispel when target takes damage',100,1,7),
(210977,122619,'Does not affect Epic targets',100,1,8),
(210978,122619,'Resistibility increases against targets higher than level 90.',100,1,9),
(210979,10122619,'Makes target afraid',100,1,0),
(210980,10122619,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(210981,10122619,'Applies Distract.',100,2,2),
(210982,10122619,'Forces target to clear their selected target.',100,3,3),
(210983,10122619,'Mesmerizes target',100,2,4),
(210984,10122619,'Dispelled when target takes damage',100,2,5),
(210985,10122619,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(210986,10122619,'Resistibility increases against targets higher than level 90.',100,2,7),
(210987,10122619,'30% chance to dispel when target takes damage',100,1,8),
(210988,10122619,'Does not affect Epic targets',100,1,9),
(210989,10122619,'Resistibility increases against targets higher than level 90.',100,1,10),
(210990,86294,'When Equipped:',100,0,0),
(210991,86294,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(210992,86294,'Inflicts 405 - 675 piercing damage on target',100,2,2),
(210993,86294,'Inflicts 405 - 675 divine damage on target',100,2,3),
(210994,86294,'Inflicts 405 - 675 magic damage on target',100,2,4),
(210995,86294,'Must not be engaged in pvp combat',100,2,5),
(210996,86294,'Cannot be modified except by direct means',100,2,6),
(210997,86294,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(210998,86294,'Inflicts 405 - 675 piercing damage on target',100,2,8),
(210999,86294,'Inflicts 405 - 675 divine damage on target',100,2,9),
(211000,86294,'Inflicts 405 - 675 magic damage on target',100,2,10),
(211001,86294,'Must not be engaged in pvp combat',100,2,11),
(211002,86294,'Cannot be modified except by direct means',100,2,12),
(211003,86294,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(211004,86294,'Inflicts 405 - 675 piercing damage on target',100,2,14),
(211005,86294,'Inflicts 405 - 675 divine damage on target',100,2,15),
(211006,86294,'Inflicts 405 - 675 magic damage on target',100,2,16),
(211007,86294,'Must not be engaged in pvp combat',100,2,17),
(211008,86294,'Cannot be modified except by direct means',100,2,18),
(211009,86294,'Must not be engaged in pvp combat',100,1,19),
(211010,10086294,'When Equipped:',100,0,0),
(211011,10086294,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(211012,10086294,'Inflicts 526 - 877 piercing damage on target',100,2,2),
(211013,10086294,'Inflicts 526 - 877 divine damage on target',100,2,3),
(211014,10086294,'Inflicts 526 - 877 magic damage on target',100,2,4),
(211015,10086294,'Must not be engaged in pvp combat',100,2,5),
(211016,10086294,'Cannot be modified except by direct means',100,2,6),
(211017,10086294,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(211018,10086294,'Inflicts 526 - 877 piercing damage on target',100,2,8),
(211019,10086294,'Inflicts 526 - 877 divine damage on target',100,2,9),
(211020,10086294,'Inflicts 526 - 877 magic damage on target',100,2,10),
(211021,10086294,'Must not be engaged in pvp combat',100,2,11),
(211022,10086294,'Cannot be modified except by direct means',100,2,12),
(211023,10086294,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(211024,10086294,'Inflicts 526 - 877 piercing damage on target',100,2,14),
(211025,10086294,'Inflicts 526 - 877 divine damage on target',100,2,15),
(211026,10086294,'Inflicts 526 - 877 magic damage on target',100,2,16),
(211027,10086294,'Must not be engaged in pvp combat',100,2,17),
(211028,10086294,'Cannot be modified except by direct means',100,2,18),
(211029,10086294,'Must not be engaged in pvp combat',100,1,19),
(211030,190828,'When Equipped:',100,0,0),
(211031,190828,'On a hostile spell cast this spell may cast Draconic Storm on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211032,190828,'Increases the base damage of all hostile spells by 5%',100,2,2),
(211033,190828,'Cannot be modified except by direct means',100,2,3),
(211034,10190828,'When Equipped:',100,0,0),
(211035,10190828,'On a hostile spell cast this spell may cast Draconic Storm on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211036,10190828,'Increases the base damage of all hostile spells by 5%',100,2,2),
(211037,10190828,'Cannot be modified except by direct means',100,2,3),
(211038,114704,'Grants target a 27% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(211039,114704,'Decreases Hate Gain of target by 19.2%',100,1,1),
(211040,10114704,'Grants target a 27% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(211041,154967,'When Equipped:',100,0,0),
(211042,154967,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211043,154967,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(211044,154967,'Cannot be modified except by direct means',100,2,3),
(211045,10154967,'When Equipped:',100,0,0),
(211046,10154967,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211047,10154967,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(211048,10154967,'Cannot be modified except by direct means',100,2,3),
(211049,123646,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(211050,123646,'Slows target by 48.4%',100,2,1),
(211051,123646,'5% chance to dispel when target receives hostile action',100,2,2),
(211052,123646,'5% chance to dispel when target takes damage',100,2,3),
(211053,123646,'Inflicts 713 - 871 cold damage on target',100,1,4),
(211054,10123646,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(211055,10123646,'Slows target by 48.4%',100,2,1),
(211056,10123646,'5% chance to dispel when target receives hostile action',100,2,2),
(211057,10123646,'5% chance to dispel when target takes damage',100,2,3),
(211058,10123646,'Inflicts 794 - 971 cold damage on target',100,1,4),
(211059,80566,'When Equipped:',100,0,0),
(211060,80566,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211061,80566,'Decreases Threat to target by 352 ',100,2,2),
(211062,80566,'Must be flanking or behind',100,3,3),
(211063,80566,'Increases Threat to target by 352 ',100,2,4),
(211064,80566,'Must be in front of',100,3,5),
(211065,80566,'Inflicts 121 - 225 magic damage on target',100,2,6),
(211066,80566,'Cannot be modified except by direct means',100,2,7),
(211067,10080566,'When Equipped:',100,0,0),
(211068,10080566,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211069,10080566,'Inflicts 157 - 292 magic damage on target',100,2,2),
(211070,10080566,'Cannot be modified except by direct means',100,2,3),
(211071,102950,'Inflicts 135 - 165 disease damage on target instantly and every 4 seconds',100,1,0),
(211072,10102950,'Inflicts 228 - 278 disease damage on target',100,1,0),
(211073,10102950,'Inflicts 175 - 214 disease damage on target every 4 seconds',100,1,1),
(211074,188380,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(211075,188380,'Increases amount healed by up to 300.',100,1,1),
(211076,188380,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(211077,10188380,'Applies Power Surge when Activated.  Lasts for 16.0 seconds.',100,0,0),
(211078,10188380,'Increases amount healed by up to 300.',100,1,1),
(211079,10188380,'The casting time of Power Surge is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(211080,110304,'Decreases Mitigation of target vs arcane damage by 2640',100,1,0),
(211081,110304,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(211082,110304,'Slows target by 72.3%',100,2,2),
(211083,110304,'5% chance to dispel when target receives hostile action',100,2,3),
(211084,110304,'5% chance to dispel when target takes damage',100,2,4),
(211085,10110304,'Decreases Mitigation of target vs arcane damage by 2640',100,1,0),
(211086,10110304,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(211087,10110304,'Slows target by 72.3%',100,2,2),
(211088,10110304,'5% chance to dispel when target receives hostile action',100,2,3),
(211089,10110304,'5% chance to dispel when target takes damage',100,2,4),
(211090,111487,'Increases AGI of caster by 43.0',100,1,0),
(211091,111487,'Increases Attack Speed of caster by 24.7',100,1,1),
(211092,111487,'Increases in-combat movement speed of caster by 5.0%',100,1,2),
(211093,111487,'Adds 15.6% to base avoidance.',100,1,3),
(211094,111487,'Increases Mitigation of caster vs physical damage by 385',100,1,4),
(211095,111487,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,5),
(211096,10111487,'Increases AGI of caster by 43.0',100,1,0),
(211097,10111487,'Increases Attack Speed of caster by 24.7',100,1,1),
(211098,10111487,'Increases speed of caster by 5.0%',100,1,2),
(211099,10111487,'Adds 15.6% to base avoidance.',100,1,3),
(211100,10111487,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,4),
(211101,45856,'Applies Summon Stallion when Activated.',100,0,0),
(211102,45856,'Increases Aggression of caster by 5.0',100,1,1),
(211103,45856,'Summons a mount to ride',100,1,2),
(211104,45856,'Increases your ground speed by 135%',100,2,3),
(211105,45856,'Increases Crushing, Ranged, Piercing, Slashing, Ordination, Focus, Disruption, Ministration and Subjugation of caster by 5.0',100,1,4),
(211106,10045856,'Applies Summon Stallion when Activated.',100,0,0),
(211107,10045856,'Increases Aggression of caster by 5.0',100,1,1),
(211108,10045856,'Summons a mount to ride',100,1,2),
(211109,10045856,'Increases your ground speed by 135%',100,2,3),
(211110,10045856,'Increases Crushing, Ranged, Piercing, Slashing, Ordination, Focus, Disruption, Ministration and Subjugation of caster by 5.0',100,1,4),
(211111,100786,'Wards target against 424 points of all damage',100,1,0),
(211112,10100786,'Wards target against 652 points of all damage',100,1,0),
(211113,119916,'Stifles target',100,1,0),
(211114,119916,'Inflicts 216 - 264 mental damage on target',100,1,1),
(211115,119916,'Inflicts 72 - 88 mental damage on target every 1.6 seconds',100,1,2),
(211116,119916,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(211117,119916,'Resistibility increases against targets higher than level 59.',100,1,4),
(211118,10119916,'Stifles target',100,1,0),
(211119,10119916,'Inflicts 281 - 343 mental damage on target',100,1,1),
(211120,10119916,'Inflicts 94 - 114 mental damage on target every second',100,1,2),
(211121,10119916,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(211122,10119916,'Resistibility increases against targets higher than level 59.',100,1,4),
(211123,108784,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(211124,108784,'Inflicts 78 - 95 heat damage on target instantly and every 4 seconds',100,2,1),
(211125,108784,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(211126,108784,'Inflicts 345 - 422 heat damage on target encounter',100,3,3),
(211127,108784,'Grants a total of 1 trigger of the spell.',100,3,4),
(211128,10108784,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(211129,10108784,'Inflicts 101 - 123 heat damage on target instantly and every 4 seconds',100,2,1),
(211130,10108784,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(211131,10108784,'Inflicts 449 - 549 heat damage on target encounter',100,3,3),
(211132,10108784,'Grants a total of 1 trigger of the spell.',100,3,4),
(211133,162729,'Applies Unstable Magics when Equipped.',100,0,0),
(211134,162729,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(211135,10162729,'Applies Unstable Magics when Equipped.',100,0,0),
(211136,10162729,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(211137,82444,'When Equipped:',100,0,0),
(211138,82444,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211139,82444,'Decreases Threat to target by 801 ',100,2,2),
(211140,82444,'Must be flanking or behind',100,3,3),
(211141,82444,'Increases Threat to target by 801 ',100,2,4),
(211142,82444,'Must be in front of',100,3,5),
(211143,82444,'Inflicts 260 - 482 magic damage on target',100,2,6),
(211144,82444,'Cannot be modified except by direct means',100,2,7),
(211145,10082444,'When Equipped:',100,0,0),
(211146,10082444,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211147,10082444,'Inflicts 337 - 627 magic damage on target',100,2,2),
(211148,10082444,'Cannot be modified except by direct means',100,2,3),
(211149,37590,'Increases AGI and STA of target by 1.1',100,0,0),
(211150,37590,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(211151,88947,'When Equipped:',100,0,0),
(211152,88947,'On a combat hit this spell may cast Frenzied Glyph on caster.  Lasts for 20.0 seconds.  Triggers about 0.4 times per minute. ',100,1,1),
(211153,88947,'Increases Attack Speed of target by 10.0',100,2,2),
(211154,88947,'Cannot be modified except by direct means',100,2,3),
(211155,10088947,'When Equipped:',100,0,0),
(211156,10088947,'On a combat hit this spell may cast Frenzied Glyph on caster.  Lasts for 20.0 seconds.  Triggers about 0.4 times per minute. ',100,1,1),
(211157,10088947,'Increases Attack Speed of target by 10.0',100,2,2),
(211158,10088947,'Cannot be modified except by direct means',100,2,3),
(211159,71698,'When Equipped:',100,0,0),
(211160,71698,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211161,71698,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(211162,71698,'Cannot be modified except by direct means',100,2,3),
(211163,10071698,'When Equipped:',100,0,0),
(211164,10071698,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211165,10071698,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(211166,10071698,'Cannot be modified except by direct means',100,2,3),
(211167,121951,'Inflicts 42 - 70 disease damage on target',100,1,0),
(211168,121951,'Decreases Defense of target by 10.6',100,1,1),
(211169,121951,'Interrupts target',100,1,2),
(211170,10121951,'Inflicts 55 - 91 disease damage on target',100,1,0),
(211171,10121951,'Decreases Defense of target by 10.6',100,1,1),
(211172,10121951,'Interrupts target',100,1,2),
(211173,81329,'When Equipped:',100,0,0),
(211174,81329,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211175,81329,'Inflicts 109 - 202 magic damage on target',100,2,2),
(211176,81329,'Cannot be modified except by direct means',100,2,3),
(211177,10081329,'When Equipped:',100,0,0),
(211178,10081329,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211179,10081329,'Inflicts 142 - 263 magic damage on target',100,2,2),
(211180,10081329,'Cannot be modified except by direct means',100,2,3),
(211181,81119,'When Equipped:',100,0,0),
(211182,81119,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211183,81119,'Inflicts 203 - 377 magic damage on target',100,2,2),
(211184,81119,'Cannot be modified except by direct means',100,2,3),
(211185,10081119,'When Equipped:',100,0,0),
(211186,10081119,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211187,10081119,'Inflicts 264 - 490 magic damage on target',100,2,2),
(211188,10081119,'Cannot be modified except by direct means',100,2,3),
(211189,117746,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(211190,117746,'Heals target for 1750',100,2,1),
(211191,117746,'Increases Max Health of target by 1,151.8',100,2,2),
(211192,117746,'Grants a total of 1 trigger of the spell.',100,2,3),
(211193,10117746,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(211194,10117746,'Heals target for 1138',100,2,1),
(211195,10117746,'Increases Max Health of target by 1,151.8',100,2,2),
(211196,10117746,'Grants a total of 1 trigger of the spell.',100,2,3),
(211197,148969,'When Equipped:',100,0,0),
(211198,148969,'On a critical combat hit this spell may cast Strike of the Four Masters on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(211199,148969,'Inflicts 229 disease damage on target',100,2,2),
(211200,148969,'Inflicts 229 divine damage on target',100,2,3),
(211201,148969,'Inflicts 229 magic damage on target',100,2,4),
(211202,148969,'Inflicts 229 heat damage on target',100,2,5),
(211203,148969,'Cannot be modified except by direct means',100,2,6),
(211204,10148969,'When Equipped:',100,0,0),
(211205,10148969,'On a critical combat hit this spell may cast Strike of the Four Masters on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(211206,10148969,'Inflicts 298 disease damage on target',100,2,2),
(211207,10148969,'Inflicts 298 divine damage on target',100,2,3),
(211208,10148969,'Inflicts 298 magic damage on target',100,2,4),
(211209,10148969,'Inflicts 298 heat damage on target',100,2,5),
(211210,10148969,'Cannot be modified except by direct means',100,2,6),
(211211,71567,'When Equipped:',100,0,0),
(211212,71567,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211213,71567,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(211214,71567,'Cannot be modified except by direct means',100,2,3),
(211215,10071567,'When Equipped:',100,0,0),
(211216,10071567,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211217,10071567,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(211218,10071567,'Cannot be modified except by direct means',100,2,3),
(211219,74775,'When Equipped:',100,0,0),
(211220,74775,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211221,74775,'Inflicts 97 - 145 magic damage on target',100,2,2),
(211222,74775,'Cannot be modified except by direct means',100,2,3),
(211223,10074775,'When Equipped:',100,0,0),
(211224,10074775,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211225,10074775,'Inflicts 126 - 189 magic damage on target',100,2,2),
(211226,10074775,'Cannot be modified except by direct means',100,2,3),
(211227,87957,'When Equipped:',100,0,0),
(211228,87957,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(211229,87957,'Inflicts 166 - 277 poison damage on target',100,2,2),
(211230,87957,'Cannot be modified except by direct means',100,2,3),
(211231,10087957,'When Equipped:',100,0,0),
(211232,10087957,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(211233,10087957,'Inflicts 216 - 360 poison damage on target',100,2,2),
(211234,10087957,'Cannot be modified except by direct means',100,2,3),
(211235,139838,'When Equipped:',100,0,0),
(211236,139838,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(211237,139838,'Stuns target',100,2,2),
(211238,139838,'Only affects targets level 95 and below',100,2,3),
(211239,139838,'Does not affect Epic targets',100,2,4),
(211240,139838,'Resistibility increases against targets higher than level 111.',100,2,5),
(211241,139838,'Cannot be modified except by direct means',100,2,6),
(211242,10139838,'When Equipped:',100,0,0),
(211243,10139838,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(211244,10139838,'Stuns target',100,2,2),
(211245,10139838,'Only affects targets level 95 and below',100,2,3),
(211246,10139838,'Does not affect Epic targets',100,2,4),
(211247,10139838,'Resistibility increases against targets higher than level 111.',100,2,5),
(211248,10139838,'Cannot be modified except by direct means',100,2,6),
(211249,122594,'Inflicts 85 - 104 mental damage on target instantly and every 3 seconds',100,1,0),
(211250,122594,'Decreases Mitigation of target vs arcane damage by 504',100,1,1),
(211251,10122594,'Inflicts 110 - 135 mental damage on target instantly and every 3 seconds',100,1,0),
(211252,10122594,'Decreases Mitigation of target vs arcane damage by 504',100,1,1),
(211253,88250,'When Equipped:',100,0,0),
(211254,88250,'On a damage spell hit this spell may cast Arcane Fear VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(211255,88250,'Makes target afraid',100,2,2),
(211256,88250,'Does not affect Epic targets',100,2,3),
(211257,88250,'Resistibility increases against targets higher than level 103.',100,2,4),
(211258,88250,'Cannot be modified except by direct means',100,2,5),
(211259,10088250,'When Equipped:',100,0,0),
(211260,10088250,'On a damage spell hit this spell may cast Arcane Fear VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(211261,10088250,'Makes target afraid',100,2,2),
(211262,10088250,'Does not affect Epic targets',100,2,3),
(211263,10088250,'Resistibility increases against targets higher than level 103.',100,2,4),
(211264,10088250,'Cannot be modified except by direct means',100,2,5),
(211265,105187,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(211266,105187,'Inflicts 89 - 109 poison damage on target encounter',100,2,1),
(211267,10105187,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(211268,10105187,'Inflicts 116 - 142 poison damage on target encounter',100,2,1),
(211269,117207,'Inflicts 8 - 14 melee damage on target',100,1,0),
(211270,10117207,'Inflicts 11 - 19 melee damage on target',100,1,0),
(211271,35019,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(211272,35019,'This effect suspends during combat',100,0,1),
(211273,117583,'Inflicts 608 - 1013 melee damage on target',100,1,0),
(211274,117583,'Decreases Parry of target by 47.9',100,1,1),
(211275,117583,'Must be in front of or flanking',100,1,2),
(211276,10117583,'Inflicts 790 - 1317 melee damage on target',100,1,0),
(211277,10117583,'Decreases Parry of target by 47.9',100,1,1),
(211278,10117583,'Must be in front of or flanking',100,1,2),
(211279,103258,'Reduces physical damage done to caster by 5%',100,1,0),
(211280,103258,'Adds 2.4% to base avoidance.',100,1,1),
(211281,103258,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(211282,103258,'Increases Parry of caster by 49.6',100,1,3),
(211283,103258,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(211284,103258,'Increases Aggression of caster by 37.2',100,1,5),
(211285,103258,'Increases Defense and Deflection of caster by 49.6',100,1,6),
(211286,103258,'Increases Mitigation of caster vs noxious damage by 3238',100,1,7),
(211287,103258,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(211288,10103258,'Reduces physical damage done to caster by 5%',100,1,0),
(211289,10103258,'Adds 2.4% to base avoidance.',100,1,1),
(211290,10103258,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(211291,10103258,'Increases Parry of caster by 49.6',100,1,3),
(211292,10103258,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(211293,10103258,'Increases Aggression of caster by 37.2',100,1,5),
(211294,10103258,'Increases Defense and Deflection of caster by 49.6',100,1,6),
(211295,10103258,'Increases Mitigation of caster vs noxious damage by 3238',100,1,7),
(211296,10103258,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(211297,35625,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(211298,54944,'When Equipped:',100,0,0),
(211299,54944,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(211300,54944,'On a healing spell cast this spell may cast Steady Pulse IV on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(211301,54944,'Heals target for 15 - 17 instantly and every 2 seconds',100,2,3),
(211302,54944,'Must not be engaged in pvp combat',100,2,4),
(211303,54944,'Cannot be modified except by direct means',100,2,5),
(211304,54944,'Cannot be modified except by direct means',100,1,6),
(211305,54944,'When Equipped:',100,0,7),
(211306,54944,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(211307,54944,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(211308,54944,'Wards group members (AE) against 4400 points of all damage',100,2,10),
(211309,54944,'Must not be engaged in pvp combat',100,2,11),
(211310,54944,'Cannot be modified except by direct means',100,2,12),
(211311,54944,'Cannot be modified except by direct means',100,1,13),
(211312,10054944,'When Equipped:',100,0,0),
(211313,10054944,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(211314,10054944,'On a healing spell cast this spell may cast Steady Pulse IV on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(211315,10054944,'Heals target for 10 - 11 instantly and every 2 seconds',100,2,3),
(211316,10054944,'Must not be engaged in pvp combat',100,2,4),
(211317,10054944,'Cannot be modified except by direct means',100,2,5),
(211318,10054944,'Cannot be modified except by direct means',100,1,6),
(211319,10054944,'When Equipped:',100,0,7),
(211320,10054944,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(211321,10054944,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(211322,10054944,'Wards group members (AE) against 4400 points of all damage',100,2,10),
(211323,10054944,'Must not be engaged in pvp combat',100,2,11),
(211324,10054944,'Cannot be modified except by direct means',100,2,12),
(211325,10054944,'Cannot be modified except by direct means',100,1,13),
(211326,111750,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(211327,111750,'Inflicts 1194 - 1459 cold damage on target',100,2,1),
(211328,111750,'Grants a total of 3 triggers of the spell.',100,2,2),
(211329,10111750,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(211330,10111750,'Inflicts 1552 - 1897 cold damage on target',100,2,1),
(211331,10111750,'Grants a total of 3 triggers of the spell.',100,2,2),
(211332,101021,'Inflicts 596 - 1107 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(211333,10101021,'Inflicts 608 - 1129 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(211334,187149,'When Equipped:',100,0,0),
(211335,187149,'When damaged with a melee weapon this spell has a 5% chance to cast Harla Dar''s Prayer on caster.  ',100,1,1),
(211336,187149,'Heals caster for 243',100,2,2),
(211337,187149,'Cannot be modified except by direct means',100,2,3),
(211338,10187149,'When Equipped:',100,0,0),
(211339,10187149,'When damaged with a melee weapon this spell has a 5% chance to cast Harla Dar''s Prayer on caster.  ',100,1,1),
(211340,10187149,'Heals caster for 158',100,2,2),
(211341,10187149,'Cannot be modified except by direct means',100,2,3),
(211342,115817,'Inflicts 27 disease damage on target every 3 seconds',100,1,0),
(211343,115817,'Inflicts 99 - 165 melee damage on target',100,1,1),
(211344,115817,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(211345,115817,'Heals caster for 1.2% of max health instantly and every 3 seconds',100,2,3),
(211346,115817,'This effect cannot be critically applied.',100,3,4),
(211347,115817,'The healing of this spell cannot be modified except by direct means',100,2,5),
(211348,115817,'The healing of this spell cannot be modified except by direct means',100,1,6),
(211349,10115817,'Inflicts 34 disease damage on target every 3 seconds',100,1,0),
(211350,10115817,'Inflicts 129 - 215 melee damage on target',100,1,1),
(211351,10115817,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(211352,10115817,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(211353,10115817,'This effect cannot be critically applied.',100,3,4),
(211354,10115817,'The healing of this spell cannot be modified except by direct means',100,2,5),
(211355,10115817,'The healing of this spell cannot be modified except by direct means',100,1,6),
(211356,165536,'When Equipped:',100,0,0),
(211357,165536,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(211358,10165536,'When Equipped:',100,0,0),
(211359,10165536,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(211360,52688,'When Equipped:',100,0,0),
(211361,52688,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(211362,10052688,'When Equipped:',100,0,0),
(211363,10052688,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(211364,109454,'Summons a pet Frosty Cap Frostfell Cube',100,1,0),
(211365,10109454,'Summons a pet Frosty Cap Frostfell Cube',100,1,0),
(211366,104508,'Increases Threat to target by 72 - 89  instantly and by 14 - 17  every 2 seconds thereafter',100,1,0),
(211367,10104508,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(211368,110496,'Stifles caster',100,1,0),
(211369,110496,'Increases power of caster by 33 instantly and every second',100,1,1),
(211370,10110496,'Stifles caster',100,1,0),
(211371,10110496,'Increases power of caster by 33 instantly and every second',100,1,1),
(211372,122338,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(211373,122338,'Inflicts 5 - 6 piercing damage on target',100,2,1),
(211374,10122338,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(211375,10122338,'Inflicts 7 - 8 piercing damage on target',100,2,1),
(211376,75309,'When Equipped:',100,0,0),
(211377,75309,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211378,75309,'Inflicts 135 - 165 cold damage on target',100,2,2),
(211379,75309,'Cannot be modified except by direct means',100,2,3),
(211380,10075309,'When Equipped:',100,0,0),
(211381,10075309,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211382,10075309,'Inflicts 175 - 214 cold damage on target',100,2,2),
(211383,10075309,'Cannot be modified except by direct means',100,2,3),
(211384,114492,'Increases In-Combat Power Regeneration of group members (AE) by 13.2',100,1,0),
(211385,10114492,'Increases In-Combat Power Regeneration of group members (AE) by 13.2',100,1,0),
(211386,81255,'When Equipped:',100,0,0),
(211387,81255,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211388,81255,'Decreases Threat to target by 949 ',100,2,2),
(211389,81255,'Must be flanking or behind',100,3,3),
(211390,81255,'Increases Threat to target by 949 ',100,2,4),
(211391,81255,'Must be in front of',100,3,5),
(211392,81255,'Inflicts 302 - 560 magic damage on target',100,2,6),
(211393,81255,'Cannot be modified except by direct means',100,2,7),
(211394,10081255,'When Equipped:',100,0,0),
(211395,10081255,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211396,10081255,'Inflicts 392 - 728 magic damage on target',100,2,2),
(211397,10081255,'Cannot be modified except by direct means',100,2,3),
(211398,26253,'When Equipped:',100,0,0),
(211399,26253,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(211400,26253,'Inflicts 281 heat damage on target',100,2,2),
(211401,26253,'Inflicts 34 heat damage on target every 5 seconds',100,2,3),
(211402,26253,'Cannot be modified except by direct means',100,2,4),
(211403,10026253,'When Equipped:',100,0,0),
(211404,10026253,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(211405,10026253,'Inflicts 366 heat damage on target',100,2,2),
(211406,10026253,'Inflicts 44 heat damage on target every 5 seconds',100,2,3),
(211407,10026253,'Cannot be modified except by direct means',100,2,4),
(211408,45824,'Applies Consume Essence when Activated.',100,0,0),
(211409,45824,'Heals group members (AE) for 580 - 709',100,1,1),
(211410,45824,'Dispels 130 levels of any hostile effects on caster',100,1,2),
(211411,10045824,'Applies Consume Essence when Activated.',100,0,0),
(211412,10045824,'Heals group members (AE) for 377 - 461',100,1,1),
(211413,10045824,'Dispels 130 levels of any hostile effects on caster',100,1,2),
(211414,119725,'Wards group members (AE) against 16 points of elemental, noxious and arcane damage',100,1,0),
(211415,119725,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,1),
(211416,10119725,'Wards group members (AE) against 16 points of elemental, noxious and arcane damage',100,1,0),
(211417,10119725,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,1),
(211418,37601,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(211419,175110,'When Equipped:',100,0,0),
(211420,175110,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211421,175110,'This effect can be stacked by multiple casters.',100,2,2),
(211422,175110,'Increases target''s chance to block by 10.0%',100,2,3),
(211423,175110,'Cannot be modified except by direct means',100,2,4),
(211424,175110,'When Equipped:',100,0,5),
(211425,175110,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,6),
(211426,175110,'Increases Max Health of group members by 700.0',100,2,7),
(211427,175110,'Cannot be modified except by direct means',100,2,8),
(211428,10175110,'When Equipped:',100,0,0),
(211429,10175110,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211430,10175110,'This effect can be stacked by multiple casters.',100,2,2),
(211431,10175110,'Increases target''s chance to block by 10.0%',100,2,3),
(211432,10175110,'Cannot be modified except by direct means',100,2,4),
(211433,10175110,'When Equipped:',100,0,5),
(211434,10175110,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,6),
(211435,10175110,'Increases Max Health of group members by 700.0',100,2,7),
(211436,10175110,'Cannot be modified except by direct means',100,2,8),
(211437,173734,'When Equipped:',100,0,0),
(211438,173734,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(211439,173734,'Heals caster for 802 instantly and every 2 seconds',100,2,2),
(211440,173734,'Must not be engaged in pvp combat',100,2,3),
(211441,173734,'Cannot be modified except by direct means',100,2,4),
(211442,173734,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(211443,173734,'Increases Crit Bonus of caster by 6.0%',100,2,6),
(211444,173734,'Must not be engaged in pvp combat',100,2,7),
(211445,173734,'Cannot be modified except by direct means',100,2,8),
(211446,173734,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(211447,173734,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(211448,173734,'Must not be engaged in pvp combat',100,2,11),
(211449,173734,'Cannot be modified except by direct means',100,2,12),
(211450,173734,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(211451,173734,'Increases Crit Bonus of caster by 6.0%',100,2,14),
(211452,173734,'Must not be engaged in pvp combat',100,2,15),
(211453,173734,'Cannot be modified except by direct means',100,2,16),
(211454,173734,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(211455,173734,'Heals caster for 802 instantly and every 2 seconds',100,2,18),
(211456,173734,'Must not be engaged in pvp combat',100,2,19),
(211457,173734,'Cannot be modified except by direct means',100,2,20),
(211458,173734,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(211459,173734,'Heals caster for 802 instantly and every 2 seconds',100,2,22),
(211460,173734,'Must not be engaged in pvp combat',100,2,23),
(211461,173734,'Cannot be modified except by direct means',100,2,24),
(211462,173734,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(211463,173734,'Inflicts 73 piercing damage on target',100,2,26),
(211464,173734,'Must not be engaged in pvp combat',100,2,27),
(211465,173734,'Cannot be modified except by direct means',100,2,28),
(211466,10173734,'When Equipped:',100,0,0),
(211467,10173734,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(211468,10173734,'Heals caster for 938 instantly and every 2 seconds',100,2,2),
(211469,10173734,'Must not be engaged in pvp combat',100,2,3),
(211470,10173734,'Cannot be modified except by direct means',100,2,4),
(211471,10173734,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(211472,10173734,'Increases Crit Bonus of caster by 6.0%',100,2,6),
(211473,10173734,'Must not be engaged in pvp combat',100,2,7),
(211474,10173734,'Cannot be modified except by direct means',100,2,8),
(211475,10173734,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(211476,10173734,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(211477,10173734,'Must not be engaged in pvp combat',100,2,11),
(211478,10173734,'Cannot be modified except by direct means',100,2,12),
(211479,10173734,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(211480,10173734,'Increases Crit Bonus of caster by 6.0%',100,2,14),
(211481,10173734,'Must not be engaged in pvp combat',100,2,15),
(211482,10173734,'Cannot be modified except by direct means',100,2,16),
(211483,10173734,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(211484,10173734,'Heals caster for 938 instantly and every 2 seconds',100,2,18),
(211485,10173734,'Must not be engaged in pvp combat',100,2,19),
(211486,10173734,'Cannot be modified except by direct means',100,2,20),
(211487,10173734,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(211488,10173734,'Heals caster for 938 instantly and every 2 seconds',100,2,22),
(211489,10173734,'Must not be engaged in pvp combat',100,2,23),
(211490,10173734,'Cannot be modified except by direct means',100,2,24),
(211491,10173734,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(211492,10173734,'Inflicts 95 piercing damage on target',100,2,26),
(211493,10173734,'Must not be engaged in pvp combat',100,2,27),
(211494,10173734,'Cannot be modified except by direct means',100,2,28),
(211495,87146,'When Equipped:',100,0,0),
(211496,87146,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211497,87146,'Inflicts 76 - 114 magic damage on target',100,2,2),
(211498,87146,'Cannot be modified except by direct means',100,2,3),
(211499,10087146,'When Equipped:',100,0,0),
(211500,10087146,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211501,10087146,'Inflicts 98 - 148 magic damage on target',100,2,2),
(211502,10087146,'Cannot be modified except by direct means',100,2,3),
(211503,74867,'When Equipped:',100,0,0),
(211504,74867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211505,74867,'Inflicts 169 - 254 magic damage on target',100,2,2),
(211506,74867,'Cannot be modified except by direct means',100,2,3),
(211507,10074867,'When Equipped:',100,0,0),
(211508,10074867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211509,10074867,'Inflicts 220 - 330 magic damage on target',100,2,2),
(211510,10074867,'Cannot be modified except by direct means',100,2,3),
(211511,115575,'Interrupts target encounter',100,1,0),
(211512,115575,'Decreases Threat to target encounter by 185 - 227 ',100,1,1),
(211513,115575,'Dazes target encounter',100,1,2),
(211514,115575,'If Target is not Epic',100,2,3),
(211515,115575,'Resistibility increases against targets higher than level 53.',100,1,4),
(211516,10115575,'Interrupts target encounter',100,1,0),
(211517,10115575,'Dazes target encounter',100,1,1),
(211518,10115575,'If Target is not Epic',100,2,2),
(211519,10115575,'Resistibility increases against targets higher than level 53.',100,1,3),
(211520,122575,'Inflicts 15 - 19 mental damage on target instantly and every 3 seconds',100,1,0),
(211521,122575,'Decreases Mitigation of target vs arcane damage by 130',100,1,1),
(211522,10122575,'Inflicts 20 - 25 mental damage on target instantly and every 3 seconds',100,1,0),
(211523,10122575,'Decreases Mitigation of target vs arcane damage by 130',100,1,1),
(211524,108059,'Inflicts 902 magic damage on target',100,1,0),
(211525,108059,'Increases power of caster by 351',100,1,1),
(211526,10108059,'Inflicts 1172 magic damage on target',100,1,0),
(211527,10108059,'Increases power of caster by 351',100,1,1),
(211528,105585,'Decreases power of target encounter by 29 - 36 instantly and every 3 seconds',100,1,0),
(211529,105585,'Inflicts 68 - 127 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(211530,105585,'Heals group members (AE) for 22 - 41 instantly and every 3 seconds',100,1,2),
(211531,105585,'Increases power of group members (AE) by 8 instantly and every 3 seconds',100,1,3),
(211532,10105585,'Decreases power of target encounter by 29 - 36 instantly and every 3 seconds',100,1,0),
(211533,10105585,'Inflicts 89 - 165 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(211534,10105585,'Heals group members (AE) for 14 - 26 instantly and every 3 seconds',100,1,2),
(211535,10105585,'Increases power of group members (AE) by 8 instantly and every 3 seconds',100,1,3),
(211536,100100,'Decreases STR, AGI, WIS and INT of target by 9.5',100,1,0),
(211537,100100,'Decreases Max Health of target by 0.6%',100,1,1),
(211538,10100100,'Decreases STR, AGI, WIS and INT of target by 9.5',100,1,0),
(211539,10100100,'Decreases Max Health of target by 0.6%',100,1,1),
(211540,100493,'Increases Attack Speed of group members (AE) by 11.9',100,1,0),
(211541,10100493,'Increases Attack Speed of group members (AE) by 11.9',100,1,0),
(211542,122034,'Increases Threat to target by 202 - 247 ',100,1,0),
(211543,122034,'Inflicts 34 - 58 melee damage on target',100,1,1),
(211544,10122034,'Forces target to change their selected target to caster.',100,1,0),
(211545,10122034,'Inflicts 45 - 75 melee damage on target',100,1,1),
(211546,115416,'Inflicts 944 - 1574 melee damage on target',100,1,0),
(211547,115416,'Decreases INT of target by 103.7',100,1,1),
(211548,115416,'You must be sneaking to use this ability.',100,1,2),
(211549,10115416,'Inflicts 1227 - 2046 melee damage on target',100,1,0),
(211550,10115416,'Decreases INT of target by 103.7',100,1,1),
(211551,10115416,'You must be sneaking to use this ability.',100,1,2),
(211552,85705,'When Equipped:',100,0,0),
(211553,85705,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(211554,85705,'Inflicts 2648 poison damage on target',100,2,2),
(211555,85705,'If under 15% Health',100,2,3),
(211556,85705,'Cannot be modified except by direct means',100,2,4),
(211557,85705,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(211558,85705,'Inflicts 2648 poison damage on target',100,2,6),
(211559,85705,'If under 15% Health',100,2,7),
(211560,85705,'Cannot be modified except by direct means',100,2,8),
(211561,85705,'Cannot be modified except by direct means',100,1,9),
(211562,10085705,'When Equipped:',100,0,0),
(211563,10085705,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(211564,10085705,'Inflicts 3442 poison damage on target',100,2,2),
(211565,10085705,'If under 15% Health',100,2,3),
(211566,10085705,'Cannot be modified except by direct means',100,2,4),
(211567,10085705,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(211568,10085705,'Inflicts 3442 poison damage on target',100,2,6),
(211569,10085705,'If under 15% Health',100,2,7),
(211570,10085705,'Cannot be modified except by direct means',100,2,8),
(211571,10085705,'Cannot be modified except by direct means',100,1,9),
(211572,116978,'Increases Threat to target by 1,267 - 1,548 ',100,1,0),
(211573,116978,'Interrupts target',100,1,1),
(211574,10116978,'Forces target to change their selected target to caster.',100,1,0),
(211575,10116978,'Interrupts target',100,1,1),
(211576,10116978,'Prevents target from changing targets',100,1,2),
(211577,121727,'Increases AGI of caster by 93.3',100,1,0),
(211578,121727,'Adds 2.5% to base avoidance.',100,1,1),
(211579,121727,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(211580,121727,'Increases Parry of caster by 53.3',100,1,3),
(211581,121727,'Increases Defense of caster by 71.0',100,1,4),
(211582,10121727,'Increases AGI of caster by 93.3',100,1,0),
(211583,10121727,'Adds 2.5% to base avoidance.',100,1,1),
(211584,10121727,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(211585,10121727,'Increases Parry of caster by 53.3',100,1,3),
(211586,10121727,'Increases Defense of caster by 71.0',100,1,4),
(211587,105476,'Stuns target encounter',100,1,0),
(211588,105476,'If Target is not Epic',100,2,1),
(211589,105476,'Inflicts 357 - 663 poison damage on target encounter',100,1,2),
(211590,105476,'Resistibility increases against targets higher than level 65.',100,1,3),
(211591,10105476,'Stuns target encounter',100,1,0),
(211592,10105476,'If Target is not Epic',100,2,1),
(211593,10105476,'Inflicts 464 - 861 poison damage on target encounter',100,1,2),
(211594,10105476,'Resistibility increases against targets higher than level 65.',100,1,3),
(211595,176347,'When Equipped:',100,0,0),
(211596,176347,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(211597,176347,'Decreases Threat to target by 800 ',100,2,2),
(211598,176347,'Cannot be modified except by direct means',100,2,3),
(211599,10176347,'When Equipped:',100,0,0),
(211600,10176347,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(211601,10176347,'Cannot be modified except by direct means',100,2,2),
(211602,37187,'Increases STR and STA of target by 1.1',100,0,0),
(211603,37187,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(211604,121505,'Inflicts 455 - 759 melee damage on target',100,1,0),
(211605,121505,'Decreases Defense of target by 11.3',100,1,1),
(211606,10121505,'Inflicts 592 - 987 melee damage on target',100,1,0),
(211607,10121505,'Decreases Defense of target by 11.3',100,1,1),
(211608,121074,'Increases STR and STA of group members (AE) by 65.8',100,1,0),
(211609,10121074,'Increases STR and STA of group members (AE) by 65.8',100,1,0),
(211610,105259,'Increases Threat to target by 924 ',100,1,0),
(211611,105259,'Interrupts target',100,1,1),
(211612,105259,'Dispels 122 levels of arcane beneficial effects on target',100,1,2),
(211613,10105259,'Forces target to change their selected target to caster.',100,1,0),
(211614,10105259,'Interrupts target',100,1,1),
(211615,10105259,'Dispels 122 levels of arcane beneficial effects on target',100,1,2),
(211616,121398,'Roots caster',100,1,0),
(211617,121398,'Applies Steel Hail.',100,1,1),
(211618,121398,'Inflicts 1314 - 2191 ranged damage on target',100,2,2),
(211619,121398,'Dazes caster',100,1,3),
(211620,121398,'Stifles caster',100,1,4),
(211621,121398,'If weapon equipped in Ranged',100,1,5),
(211622,121398,'Resistibility increases against targets higher than level 113.',100,1,6),
(211623,10121398,'Roots caster',100,1,0),
(211624,10121398,'Applies Steel Hail.',100,1,1),
(211625,10121398,'Inflicts 1117 - 1862 ranged damage on target',100,2,2),
(211626,10121398,'Dazes caster',100,1,3),
(211627,10121398,'Stifles caster',100,1,4),
(211628,10121398,'If weapon equipped in Ranged',100,1,5),
(211629,10121398,'Resistibility increases against targets higher than level 113.',100,1,6),
(211630,81105,'When Equipped:',100,0,0),
(211631,81105,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211632,81105,'Decreases Threat to target by 517 ',100,2,2),
(211633,81105,'Must be flanking or behind',100,3,3),
(211634,81105,'Increases Threat to target by 517 ',100,2,4),
(211635,81105,'Must be in front of',100,3,5),
(211636,81105,'Inflicts 226 - 419 magic damage on target',100,2,6),
(211637,81105,'Cannot be modified except by direct means',100,2,7),
(211638,10081105,'When Equipped:',100,0,0),
(211639,10081105,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211640,10081105,'Inflicts 293 - 545 magic damage on target',100,2,2),
(211641,10081105,'Cannot be modified except by direct means',100,2,3),
(211642,101661,'Decreases Attack Speed of target by 12.4',100,1,0),
(211643,101661,'Decreases Damage Per Second of target by 7.4',100,1,1),
(211644,10101661,'Decreases Attack Speed of target by 12.4',100,1,0),
(211645,10101661,'Decreases Damage Per Second of target by 7.4',100,1,1),
(211646,102074,'Inflicts 975 - 1625 melee damage on targets in area',100,1,0),
(211647,102074,'Interrupts targets in Area of Effect',100,1,1),
(211648,10102074,'Inflicts 1268 - 2113 melee damage on targets in area',100,1,0),
(211649,10102074,'Interrupts targets in Area of Effect',100,1,1),
(211650,46280,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(211651,46280,'Wards caster against 1293 points of noxious damage',100,1,1),
(211652,10046280,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(211653,10046280,'Wards caster against 1293 points of noxious damage',100,1,1),
(211654,107665,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1460',100,1,0),
(211655,10107665,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1460',100,1,0),
(211656,25278,'When Equipped:',100,0,0),
(211657,25278,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(211658,25278,'Improves the hate transfer of Amends III by 5%.',100,1,2),
(211659,10025278,'When Equipped:',100,0,0),
(211660,10025278,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(211661,10025278,'Improves the hate transfer of Amends III by 5%.',100,1,2),
(211662,81438,'When Equipped:',100,0,0),
(211663,81438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211664,81438,'Inflicts 109 - 202 magic damage on target',100,2,2),
(211665,81438,'Cannot be modified except by direct means',100,2,3),
(211666,10081438,'When Equipped:',100,0,0),
(211667,10081438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211668,10081438,'Inflicts 142 - 263 magic damage on target',100,2,2),
(211669,10081438,'Cannot be modified except by direct means',100,2,3),
(211670,76367,'When Equipped:',100,0,0),
(211671,76367,'On any combat or spell hit this spell may cast Consume Flesh on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211672,76367,'Inflicts 596 - 728 disease damage on target',100,2,2),
(211673,76367,'Inflicts 357 - 437 disease damage on target every 2 seconds',100,2,3),
(211674,76367,'Cannot be modified except by direct means',100,2,4),
(211675,10076367,'When Equipped:',100,0,0),
(211676,10076367,'On any combat or spell hit this spell may cast Consume Flesh on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211677,10076367,'Inflicts 775 - 947 disease damage on target',100,2,2),
(211678,10076367,'Inflicts 465 - 568 disease damage on target every 2 seconds',100,2,3),
(211679,10076367,'Cannot be modified except by direct means',100,2,4),
(211680,181051,'When Equipped:',100,0,0),
(211681,181051,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(211682,181051,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(211683,181051,'Heals target for 15 - 17 instantly and every 2 seconds',100,2,3),
(211684,181051,'Must not be engaged in pvp combat',100,2,4),
(211685,181051,'Cannot be modified except by direct means',100,2,5),
(211686,181051,'Cannot be modified except by direct means',100,1,6),
(211687,10181051,'When Equipped:',100,0,0),
(211688,10181051,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(211689,10181051,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(211690,10181051,'Heals target for 10 - 11 instantly and every 2 seconds',100,2,3),
(211691,10181051,'Must not be engaged in pvp combat',100,2,4),
(211692,10181051,'Cannot be modified except by direct means',100,2,5),
(211693,10181051,'Cannot be modified except by direct means',100,1,6),
(211694,114372,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(211695,114372,'Stuns target',100,2,1),
(211696,114372,'Blurs vision of target',100,2,2),
(211697,114372,'Throws target back',100,2,3),
(211698,114372,'Does not affect Epic targets',100,2,4),
(211699,114372,'Inflicts 348 - 581 crushing damage on target',100,1,5),
(211700,10114372,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(211701,10114372,'Stuns target',100,2,1),
(211702,10114372,'Blurs vision of target',100,2,2),
(211703,10114372,'Throws target back',100,2,3),
(211704,10114372,'Does not affect Epic targets',100,2,4),
(211705,10114372,'Inflicts 453 - 756 crushing damage on target',100,1,5),
(211706,110573,'Decreases Attack Speed of target by 13.8',100,1,0),
(211707,110573,'Decreases Crushing, Slashing and Piercing of target by 5.7',100,1,1),
(211708,10110573,'Decreases Attack Speed of target by 13.8',100,1,0),
(211709,10110573,'Decreases Crushing, Slashing and Piercing of target by 5.7',100,1,1),
(211710,102144,'Inflicts 199 - 333 melee damage on target',100,1,0),
(211711,102144,'Inflicts 199 - 333 melee damage on target',100,1,1),
(211712,10102144,'Inflicts 259 - 433 melee damage on target',100,1,0),
(211713,10102144,'Inflicts 259 - 433 melee damage on target',100,1,1),
(211714,108211,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(211715,10108211,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(211716,110024,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(211717,110024,'Inflicts 146 - 244 disease damage on target',100,2,1),
(211718,110024,'Heals caster for 1.7 - 2.8% of max health',100,2,2),
(211719,110024,'This effect cannot be critically applied.',100,3,3),
(211720,110024,'The healing of this spell cannot be modified except by direct means',100,2,4),
(211721,10110024,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(211722,10110024,'Inflicts 190 - 317 disease damage on target',100,2,1),
(211723,10110024,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(211724,10110024,'This effect cannot be critically applied.',100,3,3),
(211725,10110024,'The healing of this spell cannot be modified except by direct means',100,2,4),
(211726,110430,'Dazes targets in Area of Effect',100,1,0),
(211727,110430,'If Target is not Epic',100,2,1),
(211728,110430,'Decreases Threat to targets in Area of Effect by 390 ',100,1,2),
(211729,110430,'Dispelled when target receives hostile action',100,1,3),
(211730,110430,'Dispelled when target takes damage',100,1,4),
(211731,10110430,'Dazes targets in Area of Effect',100,1,0),
(211732,10110430,'If Target is not Epic',100,2,1),
(211733,10110430,'Applies Distract.',100,1,2),
(211734,10110430,'Forces target to clear their selected target.',100,2,3),
(211735,10110430,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(211736,10110430,'Dispelled when target receives hostile action',100,1,5),
(211737,10110430,'Dispelled when target takes damage',100,1,6),
(211738,47562,'Applies Access Globe of Swift Travel when Activated.  Lasts for 30.0 seconds.',100,0,0),
(211739,47562,'Summons a portal that allows the user to access the global bell transport system from anywhere.',100,1,1),
(211740,10047562,'Applies Access Globe of Swift Travel when Activated.  Lasts for 30.0 seconds.',100,0,0),
(211741,10047562,'Summons a portal that allows the user to access the global bell transport system from anywhere.',100,1,1),
(211742,71451,'When Equipped:',100,0,0),
(211743,71451,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211744,71451,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(211745,71451,'Cannot be modified except by direct means',100,2,3),
(211746,10071451,'When Equipped:',100,0,0),
(211747,10071451,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211748,10071451,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(211749,10071451,'Cannot be modified except by direct means',100,2,3),
(211750,119540,'Wards group members (AE) against 462 points of arcane damage',100,1,0),
(211751,119540,'Increases Mitigation of group members (AE) vs arcane damage by 290',100,1,1),
(211752,10119540,'Wards group members (AE) against 462 points of arcane damage',100,1,0),
(211753,10119540,'Increases Mitigation of group members (AE) vs arcane damage by 290',100,1,1),
(211754,116537,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(211755,116537,'Inflicts 138 divine damage on target',100,2,1),
(211756,116537,'Increases Mitigation of raid and group members (AE) vs all damage by 1000',100,1,2),
(211757,10116537,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(211758,10116537,'Inflicts 180 divine damage on target',100,2,1),
(211759,10116537,'Increases Mitigation of raid and group members (AE) vs all damage by 1000',100,1,2),
(211760,116488,'Prevents targets in Area of Effect from changing targets',100,1,0),
(211761,116488,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(211762,116488,'Increases Threat to targets in Area of Effect by 336 ',100,1,2),
(211763,10116488,'Prevents targets in Area of Effect from changing targets',100,1,0),
(211764,10116488,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(211765,47830,'Applies trauma remedy when Activated.',100,0,0),
(211766,47830,'Dispels 112 levels of physical hostile effects on caster',100,1,1),
(211767,10047830,'Applies trauma remedy when Activated.',100,0,0),
(211768,10047830,'Dispels 112 levels of physical hostile effects on caster',100,1,1),
(211769,79739,'When Equipped:',100,0,0),
(211770,79739,'On a combat hit this spell may cast Chilling Darkness on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211771,79739,'Inflicts 111 - 206 cold damage on target',100,2,2),
(211772,79739,'Heals caster for 59 - 72',100,2,3),
(211773,79739,'Cannot be modified except by direct means',100,2,4),
(211774,79739,'Increases Multi Attack Chance of caster by 11.2',100,1,5),
(211775,10079739,'When Equipped:',100,0,0),
(211776,10079739,'On a combat hit this spell may cast Chilling Darkness on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211777,10079739,'Inflicts 144 - 268 cold damage on target',100,2,2),
(211778,10079739,'Heals caster for 39 - 47',100,2,3),
(211779,10079739,'Cannot be modified except by direct means',100,2,4),
(211780,10079739,'Increases Multi Attack Chance of caster by 11.2',100,1,5),
(211781,100557,'Heals group members (AE) for 1324 - 1618',100,1,0),
(211782,10100557,'Heals group members (AE) for 2891 - 3534',100,1,0),
(211783,105203,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(211784,105203,'Inflicts 277 - 339 poison damage on target encounter',100,2,1),
(211785,10105203,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(211786,10105203,'Inflicts 360 - 440 poison damage on target encounter',100,2,1),
(211787,101464,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(211788,101464,'Increases Mitigation of group members (AE) vs arcane damage by 202',100,1,1),
(211789,10101464,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(211790,10101464,'Increases Mitigation of group members (AE) vs arcane damage by 202',100,1,1),
(211791,45263,'Applies Purification when Activated.',100,0,0),
(211792,45263,'Inflicts 1903 - 2326 divine damage on target',100,1,1),
(211793,45263,'If target is ((aviak) or (hooluk) or (vultak))',100,1,2),
(211794,10045263,'Applies Purification when Activated.',100,0,0),
(211795,10045263,'Inflicts 2474 - 3024 divine damage on target',100,1,1),
(211796,10045263,'If target is ((aviak) or (hooluk) or (vultak))',100,1,2),
(211797,159754,'When Equipped:',100,0,0),
(211798,159754,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211799,159754,'Increases STR of caster by 12.2',100,2,2),
(211800,159754,'Increases Damage Per Second of caster by 20.2',100,2,3),
(211801,159754,'Cannot be modified except by direct means',100,2,4),
(211802,10159754,'When Equipped:',100,0,0),
(211803,10159754,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(211804,10159754,'Increases STR of caster by 12.2',100,2,2),
(211805,10159754,'Increases Damage Per Second of caster by 20.2',100,2,3),
(211806,10159754,'Cannot be modified except by direct means',100,2,4),
(211807,123655,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(211808,123655,'Slows target by 41.8%',100,2,1),
(211809,123655,'5% chance to dispel when target receives hostile action',100,2,2),
(211810,123655,'5% chance to dispel when target takes damage',100,2,3),
(211811,123655,'Inflicts 357 - 436 cold damage on target',100,1,4),
(211812,10123655,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(211813,10123655,'Slows target by 41.8%',100,2,1),
(211814,10123655,'5% chance to dispel when target receives hostile action',100,2,2),
(211815,10123655,'5% chance to dispel when target takes damage',100,2,3),
(211816,10123655,'Inflicts 398 - 486 cold damage on target',100,1,4),
(211817,118321,'Roots target encounter',100,1,0),
(211818,118321,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(211819,118321,'Slows target by 57.1%',100,2,2),
(211820,118321,'5% chance to dispel when target receives hostile action',100,2,3),
(211821,118321,'5% chance to dispel when target takes damage',100,2,4),
(211822,118321,'20% chance to dispel when target takes damage',100,1,5),
(211823,118321,'Does not affect Epic targets',100,1,6),
(211824,118321,'Resistibility increases against targets higher than level 117.',100,1,7),
(211825,10118321,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(211826,10118321,'Slows target by 57.1%',100,2,1),
(211827,10118321,'5% chance to dispel when target receives hostile action',100,2,2),
(211828,10118321,'5% chance to dispel when target takes damage',100,2,3),
(211829,10118321,'Roots target encounter',100,1,4),
(211830,10118321,'20% chance to dispel when target takes damage',100,1,5),
(211831,10118321,'Does not affect Epic targets',100,1,6),
(211832,10118321,'Resistibility increases against targets higher than level 117.',100,1,7),
(211833,118162,'Inflicts 705 - 1176 melee damage on target',100,1,0),
(211834,118162,'Dazes target',100,1,1),
(211835,118162,'If Target is not Epic',100,2,2),
(211836,118162,'Resistibility increases against targets higher than level 97.',100,1,3),
(211837,10118162,'Inflicts 917 - 1529 melee damage on target',100,1,0),
(211838,10118162,'Dazes target',100,1,1),
(211839,10118162,'If Target is not Epic',100,2,2),
(211840,10118162,'Resistibility increases against targets higher than level 97.',100,1,3),
(211841,83466,'When Equipped:',100,0,0),
(211842,83466,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211843,83466,'Inflicts 135 - 165 cold damage on target',100,2,2),
(211844,83466,'Cannot be modified except by direct means',100,2,3),
(211845,10083466,'When Equipped:',100,0,0),
(211846,10083466,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(211847,10083466,'Inflicts 175 - 214 cold damage on target',100,2,2),
(211848,10083466,'Cannot be modified except by direct means',100,2,3),
(211849,45576,'Applies Crucorn''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(211850,10045576,'Applies Crucorn''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(211851,108821,'Inflicts 771 - 1433 heat damage on targets in Area of Effect',100,1,0),
(211852,10108821,'Inflicts 1003 - 1862 heat damage on targets in Area of Effect',100,1,0),
(211853,72801,'When Equipped:',100,0,0),
(211854,72801,'On a critical combat hit this spell may cast Paralyzing Puncture on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211855,72801,'Stuns target',100,2,2),
(211856,72801,'If Target is not Epic',100,3,3),
(211857,72801,'Inflicts 29 - 32 heat damage on target',100,2,4),
(211858,72801,'Must not be engaged in pvp combat',100,2,5),
(211859,72801,'Cannot be modified except by direct means',100,2,6),
(211860,72801,'Must not be engaged in pvp combat',100,1,7),
(211861,10072801,'When Equipped:',100,0,0),
(211862,10072801,'On a critical combat hit this spell may cast Paralyzing Puncture on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(211863,10072801,'Stuns target',100,2,2),
(211864,10072801,'If Target is not Epic',100,3,3),
(211865,10072801,'Inflicts 37 - 41 heat damage on target',100,2,4),
(211866,10072801,'Must not be engaged in pvp combat',100,2,5),
(211867,10072801,'Cannot be modified except by direct means',100,2,6),
(211868,10072801,'Must not be engaged in pvp combat',100,1,7),
(211869,109238,'Increases INT and WIS of group members (AE) by 23.4',100,1,0),
(211870,109238,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',100,1,1),
(211871,10109238,'Increases INT and WIS of group members (AE) by 23.4',100,1,0),
(211872,10109238,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',100,1,1),
(211873,112539,'Interrupts target',50,1,0),
(211874,112539,'Inflicts 163 - 200 divine damage on target',100,1,1),
(211875,10112539,'Interrupts target',50,1,0),
(211876,10112539,'Inflicts 273 - 334 divine damage on target',100,1,1),
(211877,116199,'Inflicts 1067 - 1778 mental damage on target',100,1,0),
(211878,10116199,'Inflicts 1387 - 2312 mental damage on target',100,1,0),
(211879,119049,'Inflicts 491 - 818 mental damage on target',100,1,0),
(211880,119049,'Decreases power of target by 460 - 767',100,1,1),
(211881,119049,'Increases power of caster by 194 - 323',100,1,2),
(211882,10119049,'Inflicts 638 - 1064 mental damage on target',100,1,0),
(211883,10119049,'Decreases power of target by 460 - 767',100,1,1),
(211884,10119049,'Increases power of caster by 194 - 323',100,1,2),
(211885,26405,'When Equipped:',100,0,0),
(211886,26405,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(211887,26405,'Inflicts 234 heat damage on target',100,2,2),
(211888,26405,'Inflicts 27 heat damage on target every 5 seconds',100,2,3),
(211889,26405,'Cannot be modified except by direct means',100,2,4),
(211890,10026405,'When Equipped:',100,0,0),
(211891,10026405,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(211892,10026405,'Inflicts 305 heat damage on target',100,2,2),
(211893,10026405,'Inflicts 35 heat damage on target every 5 seconds',100,2,3),
(211894,10026405,'Cannot be modified except by direct means',100,2,4),
(211895,47928,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(211896,47928,'Increases STR of caster by 165.0',100,1,1),
(211897,47928,'Gives caster an extra 2.0% mitigation to their worn armor',100,1,2),
(211898,10047928,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(211899,10047928,'Increases STR of caster by 165.0',100,1,1),
(211900,10047928,'Gives caster an extra 2.0% mitigation to their worn armor',100,1,2),
(211901,111575,'Inflicts 6473 - 12021 cold damage on target',100,1,0),
(211902,111575,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(211903,111575,'Stuns target',100,2,2),
(211904,111575,'Throws target back',100,2,3),
(211905,111575,'Blurs vision of target',100,2,4),
(211906,111575,'Does not affect Epic targets',100,2,5),
(211907,10111575,'Inflicts 6085 - 11300 cold damage on target',100,1,0),
(211908,10111575,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(211909,10111575,'Stuns target',100,2,2),
(211910,10111575,'Throws target back',100,2,3),
(211911,10111575,'Blurs vision of target',100,2,4),
(211912,10111575,'Does not affect Epic targets',100,2,5),
(211913,80534,'When Equipped:',100,0,0),
(211914,80534,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211915,80534,'Inflicts 493 - 915 magic damage on target',100,2,2),
(211916,80534,'Decreases Threat to target by 1,219 ',100,2,3),
(211917,80534,'Must be flanking or behind',100,3,4),
(211918,80534,'Increases Threat to target by 1,219 ',100,2,5),
(211919,80534,'Must be in front of',100,3,6),
(211920,80534,'Cannot be modified except by direct means',100,2,7),
(211921,10080534,'When Equipped:',100,0,0),
(211922,10080534,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(211923,10080534,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(211924,10080534,'Cannot be modified except by direct means',100,2,3),
(211925,107829,'Causes 10% Threat to transfer to target when in combat',100,1,0),
(211926,107829,'Increases Hate Gain of target by 9.7%',100,1,1),
(211927,158341,'Applies Hooluk in a Hat when Activated.',100,0,0),
(211928,158341,'Summons a pet Hooluk',100,1,1),
(211929,158341,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(211930,10158341,'Applies Hooluk in a Hat when Activated.',100,0,0),
(211931,10158341,'Summons a pet Hooluk',100,1,1),
(211932,10158341,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(211933,118613,'Roots target',100,1,0),
(211934,118613,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(211935,118613,'Slows target by 49.7%',100,2,2),
(211936,118613,'5% chance to dispel when target receives hostile action',100,2,3),
(211937,118613,'5% chance to dispel when target takes damage',100,2,4),
(211938,118613,'5% chance to dispel when target takes damage',100,1,5),
(211939,118613,'Does not affect Epic targets',100,1,6),
(211940,118613,'Resistibility increases against targets higher than level 105.',100,1,7),
(211941,10118613,'Roots target',100,1,0),
(211942,10118613,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(211943,10118613,'Slows target by 49.7%',100,2,2),
(211944,10118613,'5% chance to dispel when target receives hostile action',100,2,3),
(211945,10118613,'5% chance to dispel when target takes damage',100,2,4),
(211946,10118613,'5% chance to dispel when target takes damage',100,1,5),
(211947,10118613,'Does not affect Epic targets',100,1,6),
(211948,10118613,'Resistibility increases against targets higher than level 105.',100,1,7),
(211949,110915,'Inflicts 45 - 76 divine damage on target',100,1,0),
(211950,110915,'Increases Threat to target by 317 ',100,1,1),
(211951,110915,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(211952,110915,'Stuns target',100,2,3),
(211953,110915,'Throws target back',100,2,4),
(211954,110915,'Blurs vision of target',100,2,5),
(211955,110915,'Does not affect Epic targets',100,2,6),
(211956,10110915,'Inflicts 59 - 99 divine damage on target',100,1,0),
(211957,10110915,'Prevents target from changing targets',100,1,1),
(211958,10110915,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(211959,10110915,'Stuns target',100,2,3),
(211960,10110915,'Throws target back',100,2,4),
(211961,10110915,'Blurs vision of target',100,2,5),
(211962,10110915,'Does not affect Epic targets',100,2,6),
(211963,10110915,'Forces target to change their selected target to caster.',100,1,7),
(211964,111224,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(211965,111224,'Heals target for 103 - 125',100,2,1),
(211966,10111224,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(211967,10111224,'Heals target for 67 - 81',100,2,1),
(211968,103344,'Inflicts 226 - 276 mental damage on target instantly and every 6 seconds',100,1,0),
(211969,103344,'Applies Migraine on termination.',100,1,1),
(211970,103344,'Inflicts 493 - 667 mental damage on target',100,2,2),
(211971,10103344,'Inflicts 294 - 359 mental damage on target instantly and every 6 seconds',100,1,0),
(211972,10103344,'Applies Migraine on termination.',100,1,1),
(211973,10103344,'Inflicts 641 - 867 mental damage on target',100,2,2),
(211974,49102,'Applies Ice Bolt when Activated.  Lasts for 1 minute 12 seconds.',100,0,0),
(211975,49102,'Inflicts 512 - 854 cold damage on target',100,1,1),
(211976,49102,'Decreases Attack Speed of target by 16.9',100,1,2),
(211977,10049102,'Applies Ice Bolt when Activated.  Lasts for 1 minute 12 seconds.',100,0,0),
(211978,10049102,'Inflicts 666 - 1110 cold damage on target',100,1,1),
(211979,10049102,'Decreases Attack Speed of target by 16.9',100,1,2),
(211980,118954,'Applies Sacrifice.',100,1,0),
(211981,118954,'Heals group members (AE) for 274',100,2,1),
(211982,118954,'Increases power of group members (AE) by 78',100,2,2),
(211983,118954,'Stuns target',100,1,3),
(211984,10118954,'Applies Sacrifice.',100,1,0),
(211985,10118954,'Increases power of group members (AE) by 78',100,2,1),
(211986,10118954,'Heals group members (AE) for 382',100,2,2),
(211987,10118954,'Stuns target',100,1,3),
(211988,102743,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(211989,102743,'Stuns target',100,2,1),
(211990,102743,'If Target is not Epic',100,3,2),
(211991,102743,'Inflicts 242 - 403 divine damage on target',100,2,3),
(211992,102743,'Inflicts 207 - 345 divine damage on target',100,2,4),
(211993,102743,'If target is undead',100,3,5),
(211994,10102743,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(211995,10102743,'Stuns target',100,2,1),
(211996,10102743,'Inflicts 471 - 786 divine damage on target',100,2,2),
(211997,10102743,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(211998,103845,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(211999,103845,'Slows target by 37.7%',100,2,1),
(212000,103845,'5% chance to dispel when target receives hostile action',100,2,2),
(212001,103845,'5% chance to dispel when target takes damage',100,2,3),
(212002,103845,'Decreases Mitigation of target vs noxious damage by 262',100,1,4),
(212003,10103845,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(212004,10103845,'Slows target by 37.7%',100,2,1),
(212005,10103845,'5% chance to dispel when target receives hostile action',100,2,2),
(212006,10103845,'5% chance to dispel when target takes damage',100,2,3),
(212007,10103845,'Decreases Mitigation of target vs noxious damage by 262',100,1,4),
(212008,73738,'Applies Frost Blast when Activated.',100,0,0),
(212009,73738,'Inflicts 463 - 772 cold damage on target',100,1,1),
(212010,73738,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(212011,10073738,'Applies Frost Blast when Activated.',100,0,0),
(212012,10073738,'Inflicts 602 - 1004 cold damage on target',100,1,1),
(212013,10073738,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(212014,160666,'When Equipped:',100,0,0),
(212015,160666,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(212016,160666,'On any combat or spell hit this spell may cast Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(212017,160666,'Inflicts 3796 - 4196 piercing damage on target',100,2,3),
(212018,160666,'Wards caster against 1000 points of all damage',100,2,4),
(212019,160666,'Must not be engaged in pvp combat',100,2,5),
(212020,160666,'Cannot be modified except by direct means',100,2,6),
(212021,160666,'Must not be engaged in pvp combat',100,1,7),
(212022,10160666,'When Equipped:',100,0,0),
(212023,10160666,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(212024,10160666,'On any combat or spell hit this spell may cast Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(212025,10160666,'Inflicts 4935 - 5455 piercing damage on target',100,2,3),
(212026,10160666,'Wards caster against 1000 points of all damage',100,2,4),
(212027,10160666,'Must not be engaged in pvp combat',100,2,5),
(212028,10160666,'Cannot be modified except by direct means',100,2,6),
(212029,10160666,'Must not be engaged in pvp combat',100,1,7),
(212030,159097,'When Equipped:',100,0,0),
(212031,159097,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(212032,159097,'Increases STA of caster by 14.8',100,2,2),
(212033,159097,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(212034,159097,'Cannot be modified except by direct means',100,2,4),
(212035,10159097,'When Equipped:',100,0,0),
(212036,10159097,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(212037,10159097,'Increases STA of caster by 14.8',100,2,2),
(212038,10159097,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(212039,10159097,'Cannot be modified except by direct means',100,2,4),
(212040,101958,'Summons a limited pet to aid the caster',100,1,0),
(212041,10101958,'Summons a limited pet to aid the caster',100,1,0),
(212042,72297,'When Equipped:',100,0,0),
(212043,72297,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(212044,72297,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(212045,72297,'Cannot be modified except by direct means',100,2,3),
(212046,10072297,'When Equipped:',100,0,0),
(212047,10072297,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(212048,10072297,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(212049,10072297,'Cannot be modified except by direct means',100,2,3),
(212050,189173,'When Equipped:',100,0,0),
(212051,189173,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(212052,10189173,'When Equipped:',100,0,0),
(212053,10189173,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(212054,116356,'Mesmerizes target encounter',100,1,0),
(212055,116356,'Prevents AOE (except when direct) ',100,1,1),
(212056,116356,'Dispelled when target takes damage',100,1,2),
(212057,116356,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(212058,116356,'Resistibility increases against targets higher than level 94.',100,1,4),
(212059,10116356,'Mesmerizes target encounter',100,1,0),
(212060,10116356,'Prevents AOE (except when direct) ',100,1,1),
(212061,10116356,'Dispelled when target takes damage',100,1,2),
(212062,10116356,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(212063,10116356,'Resistibility increases against targets higher than level 94.',100,1,4),
(212064,121532,'Inflicts 551 - 918 melee damage on target',100,1,0),
(212065,121532,'Stuns target',100,1,1),
(212066,121532,'If Target is not Epic',100,2,2),
(212067,121532,'Resistibility increases against targets higher than level 101.',100,1,3),
(212068,10121532,'Inflicts 716 - 1194 melee damage on target',100,1,0),
(212069,10121532,'Stuns target',100,1,1),
(212070,10121532,'If Target is not Epic',100,2,2),
(212071,10121532,'Resistibility increases against targets higher than level 101.',100,1,3),
(212072,103261,'Increases All Attributes of target by 20.0%',100,1,0),
(212073,103261,'Enlarges target by 54.4%',100,1,1),
(212074,10103261,'Increases All Attributes of target by 20.0%',100,1,0),
(212075,10103261,'Enlarges target by 54.4%',100,1,1),
(212076,112312,'Inflicts 145 - 178 disease damage on target',100,1,0),
(212077,112312,'Inflicts 73 - 89 disease damage on target every 3 seconds',100,1,1),
(212078,112312,'Increases Threat to target by 889 - 1,087  instantly and by 167 - 204  every 3 seconds thereafter',100,1,2),
(212079,10112312,'Inflicts 94 - 115 disease damage on target every 3 seconds',100,1,0),
(212080,10112312,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(212081,122219,'Increases Damage Per Second of target by 27.0',100,1,0),
(212082,122219,'Increases Max Health of target by 705.6',100,1,1),
(212083,10122219,'Increases Damage Per Second of target by 27.0',100,1,0),
(212084,10122219,'Increases Max Health of target by 705.6',100,1,1),
(212085,41601,'When Equipped:',100,0,0),
(212086,41601,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(212087,41601,'Inflicts 288 - 534 magic damage on target',100,2,2),
(212088,41601,'Decreases Threat to target by 672 ',100,2,3),
(212089,41601,'Must be flanking or behind',100,3,4),
(212090,41601,'Increases Threat to target by 672 ',100,2,5),
(212091,41601,'Must be in front of',100,3,6),
(212092,41601,'Cannot be modified except by direct means',100,2,7),
(212093,10041601,'When Equipped:',100,0,0),
(212094,10041601,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(212095,10041601,'Inflicts 374 - 695 magic damage on target',100,2,2),
(212096,10041601,'Cannot be modified except by direct means',100,2,3),
(212097,124581,'Decreases Threat to targets in Area of Effect by 1,959 ',100,1,0),
(212098,124581,'Interrupts targets in Area of Effect',100,1,1),
(212099,124581,'Roots targets in Area of Effect',100,1,2),
(212100,124581,'If Target is not Epic',100,2,3),
(212101,10124581,'Applies Distract.',100,1,0),
(212102,10124581,'Forces target to clear their selected target.',100,2,1),
(212103,10124581,'Interrupts targets in Area of Effect',100,1,2),
(212104,10124581,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(212105,10124581,'Roots targets in Area of Effect',100,1,4),
(212106,10124581,'If Target is not Epic',100,2,5),
(212107,124590,'Decreases Threat to targets in Area of Effect by 2,861 ',100,1,0),
(212108,124590,'Interrupts targets in Area of Effect',100,1,1),
(212109,124590,'Roots targets in Area of Effect',100,1,2),
(212110,124590,'If Target is not Epic',100,2,3),
(212111,10124590,'Applies Distract.',100,1,0),
(212112,10124590,'Forces target to clear their selected target.',100,2,1),
(212113,10124590,'Interrupts targets in Area of Effect',100,1,2),
(212114,10124590,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(212115,10124590,'Roots targets in Area of Effect',100,1,4),
(212116,10124590,'If Target is not Epic',100,2,5),
(212117,109174,'Roots target',100,1,0),
(212118,109174,'Applies Blind.  Lasts for 7.0 seconds.',100,1,1),
(212119,109174,'Dazes target',100,2,2),
(212120,109174,'Blurs vision of target',100,2,3),
(212121,109174,'Dispelled when target takes damage',100,2,4),
(212122,109174,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(212123,109174,'5% chance to dispel when target takes damage',100,1,6),
(212124,109174,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,7),
(212125,109174,'Resistibility increases against targets higher than level 76.',100,1,8),
(212126,10109174,'Roots target',100,1,0),
(212127,10109174,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(212128,10109174,'Dazes target',100,2,2),
(212129,10109174,'Blurs vision of target',100,2,3),
(212130,10109174,'Dispelled when target takes damage',100,2,4),
(212131,10109174,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(212132,10109174,'5% chance to dispel when target takes damage',100,1,6),
(212133,10109174,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(212134,10109174,'Resistibility increases against targets higher than level 76.',100,1,8),
(212135,146158,'When Equipped:',100,0,0),
(212136,146158,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(212137,146158,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 400',100,2,2),
(212138,146158,'Cannot be modified except by direct means',100,2,3),
(212139,10146158,'When Equipped:',100,0,0),
(212140,10146158,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(212141,10146158,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 400',100,2,2),
(212142,10146158,'Cannot be modified except by direct means',100,2,3),
(212143,47048,'Applies elixir of piety when Activated.  Lasts for 4 hours.',100,0,0),
(212144,47048,'Increases WIS and STA of caster by 148.5',100,1,1),
(212145,47048,'Increases Potency of caster by 3.0%',100,1,2),
(212146,10047048,'Applies elixir of piety when Activated.  Lasts for 4 hours.',100,0,0),
(212147,10047048,'Increases WIS and STA of caster by 148.5',100,1,1),
(212148,10047048,'Increases Potency of caster by 3.0%',100,1,2),
(212149,110061,'Summons a pet grim sorcerer',100,1,0),
(212150,10110061,'Summons a pet grim sorcerer',100,1,0),
(212151,118670,'Inflicts 247 - 412 slashing damage on target',100,1,0),
(212152,10118670,'Inflicts 321 - 536 slashing damage on target',100,1,0),
(212153,50550,'Applies Astral Blessing when Equipped.',100,0,0),
(212154,50550,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212155,50550,'Heals target for 440 instantly and every second',100,2,2),
(212156,50550,'Cannot be modified except by direct means',100,2,3),
(212157,50550,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(212158,50550,'Heals caster for 440 instantly and every second',100,2,5),
(212159,50550,'Cannot be modified except by direct means',100,2,6),
(212160,50550,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(212161,50550,'Heals caster for 440 instantly and every second',100,2,8),
(212162,50550,'Cannot be modified except by direct means',100,2,9),
(212163,10050550,'Applies Astral Blessing when Equipped.',100,0,0),
(212164,10050550,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212165,10050550,'Heals target for 514 instantly and every second',100,2,2),
(212166,10050550,'Cannot be modified except by direct means',100,2,3),
(212167,10050550,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(212168,10050550,'Heals caster for 514 instantly and every second',100,2,5),
(212169,10050550,'Cannot be modified except by direct means',100,2,6),
(212170,10050550,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(212171,10050550,'Heals caster for 514 instantly and every second',100,2,8),
(212172,10050550,'Cannot be modified except by direct means',100,2,9),
(212173,37312,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(212174,163275,'When Equipped:',100,0,0),
(212175,163275,'On a critical combat hit this spell may cast Call of Solusek VII on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212176,163275,'Inflicts 734 - 811 heat damage on target instantly and every 2 seconds',100,2,2),
(212177,163275,'Decreases Mitigation of target vs elemental damage by 829',100,2,3),
(212178,163275,'Summons a limited pet to aid the caster',100,2,4),
(212179,163275,'Must not be engaged in pvp combat',100,2,5),
(212180,163275,'Cannot be modified except by direct means',100,2,6),
(212181,163275,'On a critical spell hit this spell may cast Call of Solusek VII on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(212182,163275,'Inflicts 734 - 811 heat damage on target instantly and every 2 seconds',100,2,8),
(212183,163275,'Decreases Mitigation of target vs elemental damage by 829',100,2,9),
(212184,163275,'Summons a limited pet to aid the caster',100,2,10),
(212185,163275,'Must not be engaged in pvp combat',100,2,11),
(212186,163275,'Cannot be modified except by direct means',100,2,12),
(212187,163275,'Must not be engaged in pvp combat',100,1,13),
(212188,10163275,'When Equipped:',100,0,0),
(212189,10163275,'On a critical combat hit this spell may cast Call of Solusek VII on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212190,10163275,'Inflicts 954 - 1055 heat damage on target instantly and every 2 seconds',100,2,2),
(212191,10163275,'Decreases Mitigation of target vs elemental damage by 829',100,2,3),
(212192,10163275,'Summons a limited pet to aid the caster',100,2,4),
(212193,10163275,'Must not be engaged in pvp combat',100,2,5),
(212194,10163275,'Cannot be modified except by direct means',100,2,6),
(212195,10163275,'On a critical spell hit this spell may cast Call of Solusek VII on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(212196,10163275,'Inflicts 954 - 1055 heat damage on target instantly and every 2 seconds',100,2,8),
(212197,10163275,'Decreases Mitigation of target vs elemental damage by 829',100,2,9),
(212198,10163275,'Summons a limited pet to aid the caster',100,2,10),
(212199,10163275,'Must not be engaged in pvp combat',100,2,11),
(212200,10163275,'Cannot be modified except by direct means',100,2,12),
(212201,10163275,'Must not be engaged in pvp combat',100,1,13),
(212202,45822,'Applies Consume Essence when Activated.',100,0,0),
(212203,45822,'Heals group members (AE) for 495 - 605',100,1,1),
(212204,45822,'Dispels 97 levels of any hostile effects on caster',100,1,2),
(212205,10045822,'Applies Consume Essence when Activated.',100,0,0),
(212206,10045822,'Heals group members (AE) for 322 - 394',100,1,1),
(212207,10045822,'Dispels 97 levels of any hostile effects on caster',100,1,2),
(212208,52855,'Applies Sanguine Imbued when Equipped.',100,0,0),
(212209,52855,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(212210,52855,'Inflicts 291 heat damage on target',100,2,2),
(212211,52855,'Cannot be modified except by direct means',100,2,3),
(212212,10052855,'Applies Sanguine Imbued when Equipped.',100,0,0),
(212213,10052855,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(212214,10052855,'Inflicts 379 heat damage on target',100,2,2),
(212215,10052855,'Cannot be modified except by direct means',100,2,3),
(212216,120739,'Interrupts target',100,1,0),
(212217,120739,'Inflicts 1150 - 1917 melee damage on target',100,1,1),
(212218,10120739,'Interrupts target',100,1,0),
(212219,10120739,'Inflicts 1495 - 2492 melee damage on target',100,1,1),
(212220,105440,'Summon 1 Dark Heart (Apprentice)',100,1,0),
(212221,10105440,'Summon 1 Dark Heart (Apprentice)',100,1,0),
(212222,105000,'Reduces physical damage done to caster by 5%',100,1,0),
(212223,105000,'Adds 1.4% to base avoidance.',100,1,1),
(212224,105000,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(212225,105000,'Increases Parry of caster by 20.7',100,1,3),
(212226,105000,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(212227,105000,'Increases Aggression of caster by 12.4',100,1,5),
(212228,105000,'Increases Defense and Deflection of caster by 20.7',100,1,6),
(212229,105000,'Increases Mitigation of caster vs arcane damage by 1436',100,1,7),
(212230,105000,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(212231,10105000,'Reduces physical damage done to caster by 5%',100,1,0),
(212232,10105000,'Adds 1.4% to base avoidance.',100,1,1),
(212233,10105000,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(212234,10105000,'Increases Parry of caster by 20.7',100,1,3),
(212235,10105000,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(212236,10105000,'Increases Aggression of caster by 12.4',100,1,5),
(212237,10105000,'Increases Defense and Deflection of caster by 20.7',100,1,6),
(212238,10105000,'Increases Mitigation of caster vs arcane damage by 1436',100,1,7),
(212239,10105000,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(212240,104019,'Stifles target',100,1,0),
(212241,104019,'If Target is not Epic',100,2,1),
(212242,104019,'Interrupts target',100,1,2),
(212243,104019,'Decreases Threat to target by 388 - 474 ',100,1,3),
(212244,104019,'Resistibility increases against targets higher than level 67.',100,1,4),
(212245,10104019,'Stifles target',100,1,0),
(212246,10104019,'If Target is not Epic',100,2,1),
(212247,10104019,'Interrupts target',100,1,2),
(212248,10104019,'Resistibility increases against targets higher than level 67.',100,1,3),
(212249,37456,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(212250,177507,'When Equipped:',100,0,0),
(212251,177507,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(212252,177507,'Increases STA of caster by 17.3',100,2,2),
(212253,177507,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(212254,177507,'Cannot be modified except by direct means',100,2,4),
(212255,10177507,'When Equipped:',100,0,0),
(212256,10177507,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(212257,10177507,'Increases STA of caster by 17.3',100,2,2),
(212258,10177507,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(212259,10177507,'Cannot be modified except by direct means',100,2,4),
(212260,114298,'Heals target for 410 - 501',100,1,0),
(212261,10114298,'Heals target for 482 - 590',100,1,0),
(212262,106007,'Inflicts 36 - 44 divine damage on target instantly and every 3 seconds',100,1,0),
(212263,106007,'Decreases Defense of target by 5.1',100,1,1),
(212264,10106007,'Inflicts 31 - 38 divine damage on target instantly and every 3 seconds',100,1,0),
(212265,10106007,'Decreases Defense of target by 5.1',100,1,1),
(212266,183218,'When Equipped:',100,0,0),
(212267,183218,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(212268,183218,'Inflicts 2664 disease damage on target encounter',100,2,2),
(212269,183218,'Must not be engaged in pvp combat',100,2,3),
(212270,183218,'Cannot be modified except by direct means',100,2,4),
(212271,10183218,'When Equipped:',100,0,0),
(212272,10183218,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(212273,10183218,'Inflicts 1732 disease damage on target encounter',100,2,2),
(212274,10183218,'Must not be engaged in pvp combat',100,2,3),
(212275,10183218,'Cannot be modified except by direct means',100,2,4),
(212276,116187,'Inflicts 446 - 744 mental damage on target',100,1,0),
(212277,10116187,'Inflicts 580 - 967 mental damage on target',100,1,0),
(212278,103656,'Interrupts target',100,1,0),
(212279,103656,'Inflicts 32 - 54 melee damage on target',100,1,1),
(212280,103656,'Must be flanking or behind',100,1,2),
(212281,10103656,'Interrupts target',100,1,0),
(212282,10103656,'Inflicts 42 - 71 melee damage on target',100,1,1),
(212283,10103656,'Must be flanking or behind',100,1,2),
(212284,154883,'When Equipped:',100,0,0),
(212285,154883,'On a melee hit this spell may cast Inner Flame on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(212286,154883,'Increases Crit Chance of caster by 35.0',100,2,2),
(212287,154883,'Cannot be modified except by direct means',100,2,3),
(212288,154883,'Cannot be modified except by direct means',100,1,4),
(212289,10154883,'When Equipped:',100,0,0),
(212290,10154883,'On a melee hit this spell may cast Inner Flame on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(212291,10154883,'Increases Crit Chance of caster by 35.0',100,2,2),
(212292,10154883,'Cannot be modified except by direct means',100,2,3),
(212293,10154883,'Cannot be modified except by direct means',100,1,4),
(212294,108108,'Decreases Threat to target by 949 - 1,582 ',100,1,0),
(212295,10108108,'Forces target to clear their selected target.',100,1,0),
(212296,10108108,'Target cannot target caster for the duration of this effect.',100,1,1),
(212297,122175,'Inflicts 161 - 197 cold damage on target instantly and every 2 seconds',100,1,0),
(212298,122175,'Inflicts 161 - 197 cold damage on target instantly and every 2 seconds',100,1,1),
(212299,122175,'If target is elemental',100,2,2),
(212300,10122175,'Inflicts 209 - 256 cold damage on target instantly and every 2 seconds',100,1,0),
(212301,112656,'Inflicts 335 - 559 disease damage on target',100,1,0),
(212302,112656,'Inflicts 335 - 559 disease damage on target',100,1,1),
(212303,112656,'Roots target',100,1,2),
(212304,112656,'If Target is not Epic',100,2,3),
(212305,112656,'15% chance to dispel when target takes damage',100,1,4),
(212306,112656,'If weapon equipped in Ranged',100,1,5),
(212307,112656,'Resistibility increases against targets higher than level 100.',100,1,6),
(212308,10112656,'Inflicts 285 - 475 disease damage on target',100,1,0),
(212309,10112656,'Inflicts 285 - 475 disease damage on target',100,1,1),
(212310,10112656,'Roots target',100,1,2),
(212311,10112656,'If Target is not Epic',100,2,3),
(212312,10112656,'15% chance to dispel when target takes damage',100,1,4),
(212313,10112656,'If weapon equipped in Ranged',100,1,5),
(212314,10112656,'Resistibility increases against targets higher than level 100.',100,1,6),
(212315,112938,'Inflicts 29 - 89 crushing damage on target',100,1,0),
(212316,10112938,'Inflicts 38 - 115 crushing damage on target',100,1,0),
(212317,36380,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(212318,81014,'When Equipped:',100,0,0),
(212319,81014,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212320,81014,'Inflicts 226 - 419 magic damage on target',100,2,2),
(212321,81014,'Cannot be modified except by direct means',100,2,3),
(212322,10081014,'When Equipped:',100,0,0),
(212323,10081014,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212324,10081014,'Inflicts 293 - 545 magic damage on target',100,2,2),
(212325,10081014,'Cannot be modified except by direct means',100,2,3),
(212326,48182,'Applies Spirit of the Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(212327,48182,'Shapechanges caster into a bear',100,1,1),
(212328,48182,'Increases Out-of-Combat Health Regeneration of caster by 22.0',100,1,2),
(212329,48182,'This effect suspends during combat',100,1,3),
(212330,48182,'Only affects targets level 10 and above',100,1,4),
(212331,10048182,'Applies Spirit of the Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(212332,10048182,'Shapechanges caster into a bear',100,1,1),
(212333,10048182,'Increases Out-of-Combat Health Regeneration of caster by 22.0',100,1,2),
(212334,10048182,'This effect suspends during combat',100,1,3),
(212335,10048182,'Only affects targets level 10 and above',100,1,4),
(212336,107537,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(212337,107537,'Decreases Mitigation of target encounter vs elemental and noxious damage by 513',100,1,1),
(212338,10107537,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(212339,10107537,'Decreases Mitigation of target encounter vs elemental and noxious damage by 513',100,1,1),
(212340,123088,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',100,1,0),
(212341,123088,'Roots target',100,2,1),
(212342,123088,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(212343,123088,'Slows target by 50.6%',100,3,3),
(212344,123088,'5% chance to dispel when target receives hostile action',100,3,4),
(212345,123088,'5% chance to dispel when target takes damage',100,3,5),
(212346,123088,'5% chance to dispel when target takes damage',100,2,6),
(212347,123088,'Does not affect Epic targets',100,2,7),
(212348,123088,'Resistibility increases against targets higher than level 90.',100,2,8),
(212349,123088,'Decreases AGI of target encounter by 57.4',100,1,9),
(212350,10123088,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(212351,10123088,'Roots target',100,2,1),
(212352,10123088,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(212353,10123088,'Slows target by 50.6%',100,3,3),
(212354,10123088,'5% chance to dispel when target receives hostile action',100,3,4),
(212355,10123088,'5% chance to dispel when target takes damage',100,3,5),
(212356,10123088,'5% chance to dispel when target takes damage',100,2,6),
(212357,10123088,'Does not affect Epic targets',100,2,7),
(212358,10123088,'Resistibility increases against targets higher than level 90.',100,2,8),
(212359,10123088,'Decreases AGI of target encounter by 57.4',100,1,9),
(212360,182219,'When Equipped:',100,0,0),
(212361,182219,'Increases Attack Speed of caster by 45.0',100,1,1),
(212362,10182219,'When Equipped:',100,0,0),
(212363,10182219,'Increases Attack Speed of caster by 45.0',100,1,1),
(212364,86027,'When Equipped:',100,0,0),
(212365,86027,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(212366,86027,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(212367,86027,'Inflicts 573 mental damage on target',100,2,3),
(212368,86027,'Must be classified as an undead',100,3,4),
(212369,86027,'Inflicts 287 mental damage on target',100,2,5),
(212370,86027,'Must not be classified as an undead',100,3,6),
(212371,86027,'Decreases Mitigation of target vs arcane damage by 415',100,2,7),
(212372,86027,'Must be classified as an undead',100,3,8),
(212373,86027,'Cannot be modified except by direct means',100,2,9),
(212374,10086027,'When Equipped:',100,0,0),
(212375,10086027,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(212376,10086027,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(212377,10086027,'Inflicts 745 mental damage on target',100,2,3),
(212378,10086027,'Must be classified as an undead',100,3,4),
(212379,10086027,'Inflicts 372 mental damage on target',100,2,5),
(212380,10086027,'Must not be classified as an undead',100,3,6),
(212381,10086027,'Decreases Mitigation of target vs arcane damage by 415',100,2,7),
(212382,10086027,'Must be classified as an undead',100,3,8),
(212383,10086027,'Cannot be modified except by direct means',100,2,9),
(212384,114712,'Grants target a 36% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(212385,114712,'Decreases Hate Gain of target by 25.6%',100,1,1),
(212386,10114712,'Grants target a 36% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(212387,48629,'Applies Translucent Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(212388,48629,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(212389,48629,'Inflicts 660 poison damage on target',100,2,2),
(212390,48629,'Inflicts 108 poison damage on target instantly and every 6 seconds',100,2,3),
(212391,48629,'Cannot be modified except by direct means',100,2,4),
(212392,48629,'Grants a total of 200 triggers of the spell.',100,2,5),
(212393,48629,'Only affects targets level 50 and above',100,1,6),
(212394,10048629,'Applies Translucent Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(212395,10048629,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(212396,10048629,'Inflicts 643 poison damage on target',100,2,2),
(212397,10048629,'Inflicts 105 poison damage on target instantly and every 6 seconds',100,2,3),
(212398,10048629,'Cannot be modified except by direct means',100,2,4),
(212399,10048629,'Grants a total of 200 triggers of the spell.',100,2,5),
(212400,10048629,'Only affects targets level 50 and above',100,1,6),
(212401,24020,'Adds Aviak (Paladin) to your Dungeon Maker toolbox',100,0,0),
(212402,10024020,'Adds Aviak (Paladin) to your Dungeon Maker toolbox',100,0,0),
(212403,35946,'Increases Max Health of target by 3.9',100,0,0),
(212404,35946,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(212405,25282,'When Equipped:',100,0,0),
(212406,25282,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212407,25282,'Adds a small heal to Ancient Shroud VIII.',100,1,2),
(212408,10025282,'When Equipped:',100,0,0),
(212409,10025282,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212410,10025282,'Adds a small heal to Ancient Shroud VIII.',100,1,2),
(212411,122071,'Increases Threat to target by 168 - 205 ',100,1,0),
(212412,165327,'When Equipped:',100,0,0),
(212413,165327,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212414,165327,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,2),
(212415,165327,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(212416,165327,'Must not be engaged in pvp combat',100,2,4),
(212417,165327,'Cannot be modified except by direct means',100,2,5),
(212418,165327,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(212419,165327,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(212420,165327,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,8),
(212421,165327,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(212422,165327,'Must not be engaged in pvp combat',100,2,10),
(212423,165327,'Cannot be modified except by direct means',100,2,11),
(212424,165327,'Cannot be modified except by direct means',100,1,12),
(212425,10165327,'When Equipped:',100,0,0),
(212426,10165327,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212427,10165327,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,2),
(212428,10165327,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(212429,10165327,'Must not be engaged in pvp combat',100,2,4),
(212430,10165327,'Cannot be modified except by direct means',100,2,5),
(212431,10165327,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(212432,10165327,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(212433,10165327,'Increases STR, AGI, INT and WIS of caster by 110.0',100,2,8),
(212434,10165327,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(212435,10165327,'Must not be engaged in pvp combat',100,2,10),
(212436,10165327,'Cannot be modified except by direct means',100,2,11),
(212437,10165327,'Cannot be modified except by direct means',100,1,12),
(212438,120014,'Inflicts 16 - 19 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(212439,120014,'Decreases power of target encounter by 5 instantly and every 4 seconds',100,1,1),
(212440,10120014,'Inflicts 20 - 25 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(212441,10120014,'Decreases power of target encounter by 5 instantly and every 4 seconds',100,1,1),
(212442,113050,'Decreases Damage Per Second of target by 38.8',100,1,0),
(212443,10113050,'Decreases Damage Per Second of target by 38.8',100,1,0),
(212444,35971,'Increases AGI of target by 1.5',100,0,0),
(212445,35971,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(212446,104177,'Increases Threat to target encounter by 400 - 489 ',100,1,0),
(212447,104177,'Interrupts target encounter',100,1,1),
(212448,10104177,'Forces target encounter to change their selected target to caster.',100,1,0),
(212449,10104177,'Interrupts target encounter',100,1,1),
(212450,10104177,'Prevents target encounter from changing targets',100,1,2),
(212451,104999,'Reduces physical damage done to caster by 5%',100,1,0),
(212452,104999,'Adds 1.8% to base avoidance.',100,1,1),
(212453,104999,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(212454,104999,'Increases Parry of caster by 26.2',100,1,3),
(212455,104999,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(212456,104999,'Increases Aggression of caster by 15.7',100,1,5),
(212457,104999,'Increases Defense and Deflection of caster by 26.2',100,1,6),
(212458,104999,'Increases Mitigation of caster vs arcane damage by 1814',100,1,7),
(212459,104999,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(212460,10104999,'Reduces physical damage done to caster by 5%',100,1,0),
(212461,10104999,'Adds 1.8% to base avoidance.',100,1,1),
(212462,10104999,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(212463,10104999,'Increases Parry of caster by 26.2',100,1,3),
(212464,10104999,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(212465,10104999,'Increases Aggression of caster by 15.7',100,1,5),
(212466,10104999,'Increases Defense and Deflection of caster by 26.2',100,1,6),
(212467,10104999,'Increases Mitigation of caster vs arcane damage by 1814',100,1,7),
(212468,10104999,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(212469,37055,'Increases Max Power of target by 3.3',100,0,0),
(212470,37055,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(212471,104255,'Increases Mitigation of group members (AE) vs physical damage by 612',100,1,0),
(212472,10104255,'Increases Mitigation of group members (AE) vs physical damage by 612',100,1,0),
(212473,107263,'Inflicts 130 - 217 ranged damage on target',100,1,0),
(212474,107263,'Inflicts 130 - 217 ranged damage on target',100,1,1),
(212475,107263,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(212476,107263,'Stuns target',100,2,3),
(212477,107263,'Throws target back',100,2,4),
(212478,107263,'Blurs vision of target',100,2,5),
(212479,107263,'Does not affect Epic targets',100,2,6),
(212480,107263,'If weapon equipped in Ranged',100,1,7),
(212481,10107263,'Inflicts 110 - 184 ranged damage on target',100,1,0),
(212482,10107263,'Inflicts 110 - 184 ranged damage on target',100,1,1),
(212483,10107263,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(212484,10107263,'Stuns target',100,2,3),
(212485,10107263,'Blurs vision of target',100,2,4),
(212486,10107263,'Throws target back',100,2,5),
(212487,10107263,'Does not affect Epic targets',100,2,6),
(212488,10107263,'If weapon equipped in Ranged',100,1,7),
(212489,120397,'Decreases Defense of caster by 14.7',100,1,0),
(212490,120397,'Increases Crushing and Ranged of caster by 30.9',100,1,1),
(212491,120397,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(212492,120397,'Inflicts 283 - 472 heat damage on target',100,2,3),
(212493,120397,'Increases Slashing and Piercing of caster by 30.9',100,1,4),
(212494,10120397,'Decreases Defense of caster by 14.7',100,1,0),
(212495,10120397,'Increases Crushing and Ranged of caster by 30.9',100,1,1),
(212496,10120397,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(212497,10120397,'Inflicts 368 - 614 heat damage on target',100,2,3),
(212498,10120397,'Increases Slashing and Piercing of caster by 30.9',100,1,4),
(212499,87569,'Applies Poison Bolt when Activated.',100,0,0),
(212500,87569,'Inflicts 264 - 440 poison damage on target',100,1,1),
(212501,87569,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(212502,10087569,'Applies Poison Bolt when Activated.',100,0,0),
(212503,10087569,'Inflicts 343 - 572 poison damage on target',100,1,1),
(212504,10087569,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(212505,120592,'Inflicts 132 - 246 heat damage on target',100,1,0),
(212506,10120592,'Inflicts 172 - 320 heat damage on target',100,1,0),
(212507,25459,'When Equipped:',100,0,0),
(212508,25459,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212509,25459,'Reduces the reuse time of Dashing Swathe by 30 seconds.',100,1,2),
(212510,10025459,'When Equipped:',100,0,0),
(212511,10025459,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212512,10025459,'Reduces the reuse time of Dashing Swathe by 30 seconds.',100,1,2),
(212513,154946,'When Equipped:',100,0,0),
(212514,154946,'On any combat or spell hit this spell may cast Galvanized Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(212515,154946,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,2),
(212516,154946,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,3),
(212517,154946,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,4),
(212518,154946,'Increases Attack Speed of caster by 5.0',100,2,5),
(212519,154946,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(212520,154946,'Increases Damage Per Second of caster by 45.0',100,2,7),
(212521,154946,'Must not be engaged in pvp combat',100,2,8),
(212522,154946,'Cannot be modified except by direct means',100,2,9),
(212523,154946,'Must not be engaged in pvp combat',100,1,10),
(212524,10154946,'When Equipped:',100,0,0),
(212525,10154946,'On any combat or spell hit this spell may cast Galvanized Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(212526,10154946,'Inflicts 5827 - 6440 slashing damage on target encounter',100,2,2),
(212527,10154946,'Inflicts 832 - 920 slashing damage on target encounter every 10 seconds',100,2,3),
(212528,10154946,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,4),
(212529,10154946,'Increases Attack Speed of caster by 5.0',100,2,5),
(212530,10154946,'Increases Crit Bonus of caster by 5.0%',100,2,6),
(212531,10154946,'Increases Damage Per Second of caster by 45.0',100,2,7),
(212532,10154946,'Must not be engaged in pvp combat',100,2,8),
(212533,10154946,'Cannot be modified except by direct means',100,2,9),
(212534,10154946,'Must not be engaged in pvp combat',100,1,10),
(212535,109558,'Summons a companion pet baby dragon',100,1,0),
(212536,10109558,'Summons a companion pet baby dragon',100,1,0),
(212537,81110,'When Equipped:',100,0,0),
(212538,81110,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212539,81110,'Inflicts 203 - 377 magic damage on target',100,2,2),
(212540,81110,'Cannot be modified except by direct means',100,2,3),
(212541,10081110,'When Equipped:',100,0,0),
(212542,10081110,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212543,10081110,'Inflicts 264 - 490 magic damage on target',100,2,2),
(212544,10081110,'Cannot be modified except by direct means',100,2,3),
(212545,26134,'When Equipped:',100,0,0),
(212546,26134,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212547,26134,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(212548,10026134,'When Equipped:',100,0,0),
(212549,10026134,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212550,10026134,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(212551,120600,'Inflicts 1064 - 1975 heat damage on target',100,1,0),
(212552,10120600,'Inflicts 1383 - 2568 heat damage on target',100,1,0),
(212553,108653,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(212554,108653,'Heals target for 766',100,2,1),
(212555,108653,'Heals target for 191 every 2 seconds',100,2,2),
(212556,108653,'Increases AGI of target by 75.9',100,2,3),
(212557,108653,'Grants a total of 1 trigger of the spell.',100,2,4),
(212558,10108653,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(212559,10108653,'Heals target for 498',100,2,1),
(212560,10108653,'Heals target for 124 every 2 seconds',100,2,2),
(212561,10108653,'Increases AGI of target by 75.9',100,2,3),
(212562,10108653,'Grants a total of 1 trigger of the spell.',100,2,4),
(212563,123763,'Decreases Mitigation of target vs noxious damage by 888',100,1,0),
(212564,123763,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(212565,123763,'Slows target by 44.9%',100,2,2),
(212566,123763,'5% chance to dispel when target receives hostile action',100,2,3),
(212567,123763,'5% chance to dispel when target takes damage',100,2,4),
(212568,10123763,'Decreases Mitigation of target vs noxious damage by 888',100,1,0),
(212569,10123763,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(212570,10123763,'Slows target by 44.9%',100,2,2),
(212571,10123763,'5% chance to dispel when target receives hostile action',100,2,3),
(212572,10123763,'5% chance to dispel when target takes damage',100,2,4),
(212573,102625,'Inflicts 47 - 88 heat damage on target',100,1,0),
(212574,102625,'Inflicts 18 - 33 heat damage on target every 2 seconds',100,1,1),
(212575,10102625,'Inflicts 61 - 114 heat damage on target',100,1,0),
(212576,10102625,'Inflicts 23 - 43 heat damage on target every 2 seconds',100,1,1),
(212577,108038,'Inflicts 241 magic damage on target',100,1,0),
(212578,108038,'Increases power of caster by 99',100,1,1),
(212579,10108038,'Inflicts 314 magic damage on target',100,1,0),
(212580,10108038,'Increases power of caster by 99',100,1,1),
(212581,47328,'Applies Vox''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(212582,47328,'Increases AGI of caster by 11.3',100,1,1),
(212583,10047328,'Applies Vox''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(212584,10047328,'Increases AGI of caster by 11.3',100,1,1),
(212585,108215,'Increases power of caster by 64 instantly and every 4 seconds',100,1,0),
(212586,10108215,'Increases power of caster by 64 instantly and every 4 seconds',100,1,0),
(212587,81526,'When Equipped:',100,0,0),
(212588,81526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212589,81526,'Inflicts 169 - 315 magic damage on target',100,2,2),
(212590,81526,'Cannot be modified except by direct means',100,2,3),
(212591,10081526,'When Equipped:',100,0,0),
(212592,10081526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212593,10081526,'Inflicts 220 - 409 magic damage on target',100,2,2),
(212594,10081526,'Cannot be modified except by direct means',100,2,3),
(212595,35866,'Increases Max Health of target by 3.9',100,0,0),
(212596,35866,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(212597,172197,'When Equipped:',100,0,0),
(212598,172197,'Increases Attack Speed of caster by 35.0',100,1,1),
(212599,10172197,'When Equipped:',100,0,0),
(212600,10172197,'Increases Attack Speed of caster by 35.0',100,1,1),
(212601,104298,'Inflicts 192 - 321 melee damage on target',100,1,0),
(212602,104298,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(212603,104298,'Stuns target',100,2,2),
(212604,104298,'Throws target back',100,2,3),
(212605,104298,'Blurs vision of target',100,2,4),
(212606,104298,'Does not affect Epic targets',100,2,5),
(212607,10104298,'Inflicts 250 - 418 melee damage on target',100,1,0),
(212608,10104298,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(212609,10104298,'Stuns target',100,2,2),
(212610,10104298,'Blurs vision of target',100,2,3),
(212611,10104298,'Throws target back',100,2,4),
(212612,10104298,'Does not affect Epic targets',100,2,5),
(212613,48338,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(212614,48338,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(212615,48338,'Decreases Threat to target by 584 - 714 ',100,2,2),
(212616,48338,'Cannot be modified except by direct means',100,2,3),
(212617,48338,'Grants a total of 100 triggers of the spell.',100,2,4),
(212618,10048338,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(212619,10048338,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(212620,10048338,'5% chance to apply Distract.',100,2,2),
(212621,10048338,'Forces target to clear their selected target.',100,3,3),
(212622,10048338,'Cannot be modified except by direct means',100,2,4),
(212623,10048338,'Grants a total of 100 triggers of the spell.',100,2,5),
(212624,48499,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(212625,48499,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(212626,48499,'Decreases power of target by 81',100,2,2),
(212627,48499,'Cannot be modified except by direct means',100,2,3),
(212628,48499,'Grants a total of 4 triggers of the spell.',100,2,4),
(212629,10048499,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(212630,10048499,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(212631,10048499,'Decreases power of target by 81',100,2,2),
(212632,10048499,'Cannot be modified except by direct means',100,2,3),
(212633,10048499,'Grants a total of 4 triggers of the spell.',100,2,4),
(212634,46325,'Applies Rainbow Rings when Activated.  Lasts for 3.0 seconds.',100,0,0),
(212635,46325,'Launches a firework when used.',100,1,1),
(212636,10046325,'Applies Rainbow Rings when Activated.  Lasts for 3.0 seconds.',100,0,0),
(212637,10046325,'Launches a firework when used.',100,1,1),
(212638,77472,'When Equipped:',100,0,0),
(212639,77472,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(212640,77472,'Reduces healing received by 15.00%',100,2,2),
(212641,77472,'Cannot be modified except by direct means',100,2,3),
(212642,77472,'This effect can only trigger once every 1 second.',100,2,4),
(212643,77472,'Must be engaged in pvp combat',100,1,5),
(212644,10077472,'When Equipped:',100,0,0),
(212645,10077472,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(212646,10077472,'Reduces healing received by 15.00%',100,2,2),
(212647,10077472,'Cannot be modified except by direct means',100,2,3),
(212648,10077472,'This effect can only trigger once every 1 second.',100,2,4),
(212649,10077472,'Must be engaged in pvp combat',100,1,5),
(212650,179121,'When Equipped:',100,0,0),
(212651,179121,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,1),
(212652,179121,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(212653,179121,'Inflicts 756 mental damage on target',100,2,3),
(212654,179121,'Must be classified as a goblin',100,3,4),
(212655,179121,'Inflicts 378 mental damage on target',100,2,5),
(212656,179121,'Must not be classified as a goblin',100,3,6),
(212657,179121,'Decreases Mitigation of target vs arcane damage by 640',100,2,7),
(212658,179121,'Must be classified as a goblin',100,3,8),
(212659,179121,'Cannot be modified except by direct means',100,2,9),
(212660,10179121,'When Equipped:',100,0,0),
(212661,10179121,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,1),
(212662,10179121,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(212663,10179121,'Inflicts 983 mental damage on target',100,2,3),
(212664,10179121,'Must be classified as a goblin',100,3,4),
(212665,10179121,'Inflicts 491 mental damage on target',100,2,5),
(212666,10179121,'Must not be classified as a goblin',100,3,6),
(212667,10179121,'Decreases Mitigation of target vs arcane damage by 640',100,2,7),
(212668,10179121,'Must be classified as a goblin',100,3,8),
(212669,10179121,'Cannot be modified except by direct means',100,2,9),
(212670,116495,'Prevents targets in Area of Effect from changing targets',100,1,0),
(212671,116495,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(212672,116495,'Increases Threat to targets in Area of Effect by 350 ',100,1,2),
(212673,10116495,'Prevents targets in Area of Effect from changing targets',100,1,0),
(212674,10116495,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(212675,118579,'Dazes caster',100,1,0),
(212676,118579,'Roots caster',100,1,1),
(212677,118579,'Increases Mitigation of caster vs physical damage by 3069',100,1,2),
(212678,10118579,'Dazes caster',100,1,0),
(212679,10118579,'Roots caster',100,1,1),
(212680,10118579,'Increases Mitigation of caster vs physical damage by 3069',100,1,2),
(212681,81817,'When Equipped:',100,0,0),
(212682,81817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212683,81817,'Inflicts 164 - 305 magic damage on target',100,2,2),
(212684,81817,'Cannot be modified except by direct means',100,2,3),
(212685,10081817,'When Equipped:',100,0,0),
(212686,10081817,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212687,10081817,'Inflicts 213 - 396 magic damage on target',100,2,2),
(212688,10081817,'Cannot be modified except by direct means',100,2,3),
(212689,87374,'When Equipped:',100,0,0),
(212690,87374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212691,87374,'Inflicts 194 - 290 magic damage on target',100,2,2),
(212692,87374,'Cannot be modified except by direct means',100,2,3),
(212693,10087374,'When Equipped:',100,0,0),
(212694,10087374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212695,10087374,'Inflicts 252 - 378 magic damage on target',100,2,2),
(212696,10087374,'Cannot be modified except by direct means',100,2,3),
(212697,179458,'When Equipped:',100,0,0),
(212698,179458,'On a beneficial spell cast this spell may cast Thought Retrieval on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(212699,179458,'Increases power of caster by 265',100,2,2),
(212700,179458,'Cannot be modified except by direct means',100,2,3),
(212701,10179458,'When Equipped:',100,0,0),
(212702,10179458,'On a beneficial spell cast this spell may cast Thought Retrieval on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(212703,10179458,'Increases power of caster by 265',100,2,2),
(212704,10179458,'Cannot be modified except by direct means',100,2,3),
(212705,118109,'Heals target for 141 - 172',100,1,0),
(212706,10118109,'Heals target for 167 - 204',100,1,0),
(212707,36472,'Increases outgoing damaging spell amount by 2%',100,0,0),
(212708,36472,'Increases INT and STA of target by 5.4',100,0,1),
(212709,36472,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(212710,71255,'When Equipped:',100,0,0),
(212711,71255,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(212712,71255,'Inflicts 2648 disease damage on target encounter',100,2,2),
(212713,71255,'Must not be engaged in pvp combat',100,2,3),
(212714,71255,'Cannot be modified except by direct means',100,2,4),
(212715,10071255,'When Equipped:',100,0,0),
(212716,10071255,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(212717,10071255,'Inflicts 1721 disease damage on target encounter',100,2,2),
(212718,10071255,'Must not be engaged in pvp combat',100,2,3),
(212719,10071255,'Cannot be modified except by direct means',100,2,4),
(212720,86313,'Applies Frost Blast when Activated.',100,0,0),
(212721,86313,'Inflicts 113 - 189 cold damage on target',100,1,1),
(212722,86313,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(212723,10086313,'Applies Frost Blast when Activated.',100,0,0),
(212724,10086313,'Inflicts 147 - 246 cold damage on target',100,1,1),
(212725,10086313,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(212726,46785,'Applies elemental remedy when Activated.',100,0,0),
(212727,46785,'Dispels 18 levels of elemental hostile effects on caster',100,1,1),
(212728,10046785,'Applies elemental remedy when Activated.',100,0,0),
(212729,10046785,'Dispels 18 levels of elemental hostile effects on caster',100,1,1),
(212730,119059,'Inflicts 261 - 435 mental damage on target',100,1,0),
(212731,119059,'Decreases power of target by 244 - 407',100,1,1),
(212732,119059,'Increases power of caster by 94 - 156',100,1,2),
(212733,10119059,'Inflicts 339 - 565 mental damage on target',100,1,0),
(212734,10119059,'Decreases power of target by 244 - 407',100,1,1),
(212735,10119059,'Increases power of caster by 94 - 156',100,1,2),
(212736,117575,'Inflicts 287 - 479 melee damage on target',100,1,0),
(212737,117575,'Decreases Parry of target by 24.5',100,1,1),
(212738,117575,'Must be in front of or flanking',100,1,2),
(212739,10117575,'Inflicts 374 - 623 melee damage on target',100,1,0),
(212740,10117575,'Decreases Parry of target by 24.5',100,1,1),
(212741,10117575,'Must be in front of or flanking',100,1,2),
(212742,24696,'Adds Skeleton (Warlock) to your Dungeon Maker toolbox',100,0,0),
(212743,10024696,'Adds Skeleton (Warlock) to your Dungeon Maker toolbox',100,0,0),
(212744,102846,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(212745,102846,'Stuns target',100,2,1),
(212746,102846,'Blurs vision of target',100,2,2),
(212747,102846,'Throws target back',100,2,3),
(212748,102846,'Does not affect Epic targets',100,2,4),
(212749,102846,'Inflicts 94 - 284 melee damage on targets in area',100,1,5),
(212750,10102846,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(212751,10102846,'Blurs vision of target',100,2,1),
(212752,10102846,'Stuns target',100,2,2),
(212753,10102846,'Throws target back',100,2,3),
(212754,10102846,'Does not affect Epic targets',100,2,4),
(212755,10102846,'Inflicts 123 - 369 melee damage on targets in area',100,1,5),
(212756,80898,'When Equipped:',100,0,0),
(212757,80898,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(212758,80898,'Inflicts 288 - 534 magic damage on target',100,2,2),
(212759,80898,'Decreases Threat to target by 672 ',100,2,3),
(212760,80898,'Must be flanking or behind',100,3,4),
(212761,80898,'Increases Threat to target by 672 ',100,2,5),
(212762,80898,'Must be in front of',100,3,6),
(212763,80898,'Cannot be modified except by direct means',100,2,7),
(212764,10080898,'When Equipped:',100,0,0),
(212765,10080898,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(212766,10080898,'Inflicts 374 - 695 magic damage on target',100,2,2),
(212767,10080898,'Cannot be modified except by direct means',100,2,3),
(212768,117447,'Inflicts 345 - 575 melee damage on target',100,1,0),
(212769,117447,'You must be sneaking to use this ability.',100,1,1),
(212770,117447,'Must be flanking or behind',100,1,2),
(212771,10117447,'Inflicts 278 - 463 melee damage on target',100,1,0),
(212772,10117447,'You must be sneaking to use this ability.',100,1,1),
(212773,10117447,'Must be flanking or behind',100,1,2),
(212774,26597,'When Equipped:',100,0,0),
(212775,26597,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212776,26597,'Improves the reuse time of Consumption III by 30 seconds.',100,1,2),
(212777,10026597,'When Equipped:',100,0,0),
(212778,10026597,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(212779,10026597,'Improves the reuse time of Consumption III by 30 seconds.',100,1,2),
(212780,108032,'Inflicts 111 magic damage on target',100,1,0),
(212781,108032,'Increases power of caster by 36',100,1,1),
(212782,10108032,'Inflicts 144 magic damage on target',100,1,0),
(212783,10108032,'Increases power of caster by 36',100,1,1),
(212784,159946,'When Equipped:',100,0,0),
(212785,159946,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(212786,159946,'Increases AGI of caster by 19.8',100,2,2),
(212787,159946,'Increases Attack Speed of caster by 21.8',100,2,3),
(212788,159946,'Cannot be modified except by direct means',100,2,4),
(212789,10159946,'When Equipped:',100,0,0),
(212790,10159946,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(212791,10159946,'Increases AGI of caster by 19.8',100,2,2),
(212792,10159946,'Increases Attack Speed of caster by 21.8',100,2,3),
(212793,10159946,'Cannot be modified except by direct means',100,2,4),
(212794,141895,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(212795,141895,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(212796,141895,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(212797,141895,'Cannot be modified except by direct means',100,2,3),
(212798,10141895,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(212799,10141895,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(212800,10141895,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(212801,10141895,'Cannot be modified except by direct means',100,2,3),
(212802,122508,'Inflicts 729 - 1215 mental damage on targets in Area of Effect',100,1,0),
(212803,10122508,'Inflicts 948 - 1579 mental damage on targets in Area of Effect',100,1,0),
(212804,116975,'Increases Threat to target by 1,483 - 1,812 ',100,1,0),
(212805,116975,'Interrupts target',100,1,1),
(212806,10116975,'Forces target to change their selected target to caster.',100,1,0),
(212807,10116975,'Interrupts target',100,1,1),
(212808,10116975,'Prevents target from changing targets',100,1,2),
(212809,109123,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(212810,109123,'Increases Attack Speed of caster by 51.1',100,1,1),
(212811,109123,'Increases Damage Per Second of caster by 59.3',100,1,2),
(212812,109123,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(212813,109123,'Increases Ranged of caster by 73.0',100,1,4),
(212814,109123,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(212815,109123,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(212816,109123,'Increases Crushing of group members (AE) by 73.0',100,2,7),
(212817,109123,'Increases Slashing of group members (AE) by 73.0',100,2,8),
(212818,109123,'If profession other than Ranger',100,3,9),
(212819,109123,'Increases Piercing of group members (AE) by 73.0',100,2,10),
(212820,109123,'If profession other than Ranger',100,3,11),
(212821,10109123,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(212822,10109123,'Increases Attack Speed of caster by 51.1',100,1,1),
(212823,10109123,'Increases Damage Per Second of caster by 59.3',100,1,2),
(212824,10109123,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(212825,10109123,'Increases Ranged of caster by 73.0',100,1,4),
(212826,10109123,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(212827,10109123,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(212828,10109123,'Increases Crushing of group members (AE) by 73.0',100,2,7),
(212829,10109123,'Increases Slashing of group members (AE) by 73.0',100,2,8),
(212830,10109123,'If profession other than Ranger',100,3,9),
(212831,10109123,'Increases Piercing of group members (AE) by 73.0',100,2,10),
(212832,10109123,'If profession other than Ranger',100,3,11),
(212833,110170,'Applies Untreated Bleeding on termination.',100,1,0),
(212834,110170,'Inflicts 253 - 421 piercing damage on target',100,2,1),
(212835,110170,'Inflicts 54 - 90 piercing damage on target instantly and every 4 seconds',100,1,2),
(212836,110170,'Inflicts 36 - 60 melee damage on target',100,1,3),
(212837,10110170,'Applies Untreated Bleeding on termination.',100,1,0),
(212838,10110170,'Inflicts 329 - 548 piercing damage on target',100,2,1),
(212839,10110170,'Inflicts 70 - 117 piercing damage on target instantly and every 4 seconds',100,1,2),
(212840,10110170,'Inflicts 46 - 78 melee damage on target',100,1,3),
(212841,81677,'When Equipped:',100,0,0),
(212842,81677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212843,81677,'Inflicts 116 - 215 magic damage on target',100,2,2),
(212844,81677,'Cannot be modified except by direct means',100,2,3),
(212845,10081677,'When Equipped:',100,0,0),
(212846,10081677,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212847,10081677,'Inflicts 151 - 280 magic damage on target',100,2,2),
(212848,10081677,'Cannot be modified except by direct means',100,2,3),
(212849,111934,'Inflicts 395 - 659 piercing damage on target',100,1,0),
(212850,111934,'Inflicts 108 - 180 piercing damage on target instantly and every 4 seconds',100,1,1),
(212851,10111934,'Inflicts 701 - 1168 piercing damage on target',100,1,0),
(212852,10111934,'Inflicts 234 - 390 piercing damage on target instantly and every 4 seconds',100,1,1),
(212853,138508,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(212854,138508,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 410',100,1,1),
(212855,138508,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(212856,10138508,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(212857,10138508,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 410',100,1,1),
(212858,10138508,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(212859,134693,'When Equipped:',100,0,0),
(212860,134693,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(212861,10134693,'When Equipped:',100,0,0),
(212862,10134693,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(212863,45379,'Applies Summon Blue Ethernaut Carpet when Activated.',100,0,0),
(212864,45379,'Reduces maximum falling speed of caster',100,1,1),
(212865,45379,'Summons a mount to ride',100,1,2),
(212866,45379,'Increases your ground speed by 130%',100,2,3),
(212867,10045379,'Applies Summon Blue Ethernaut Carpet when Activated.',100,0,0),
(212868,10045379,'Reduces maximum falling speed of caster',100,1,1),
(212869,10045379,'Summons a mount to ride',100,1,2),
(212870,10045379,'Increases your ground speed by 130%',100,2,3),
(212871,103551,'Increases In-Combat Power Regeneration of group members (AE) by 28.2',100,1,0),
(212872,10103551,'Increases In-Combat Power Regeneration of group members (AE) by 28.2',100,1,0),
(212873,112100,'Inflicts 101 - 169 heat damage on target instantly and every 2 seconds',100,1,0),
(212874,10112100,'Inflicts 323 - 538 heat damage on target instantly and every 2 seconds',100,1,0),
(212875,40648,'When Equipped:',100,0,0),
(212876,40648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212877,40648,'Inflicts 208 - 311 magic damage on target',100,2,2),
(212878,40648,'Cannot be modified except by direct means',100,2,3),
(212879,10040648,'When Equipped:',100,0,0),
(212880,10040648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(212881,10040648,'Inflicts 270 - 405 magic damage on target',100,2,2),
(212882,10040648,'Cannot be modified except by direct means',100,2,3),
(212883,37380,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(212884,37380,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(212885,110662,'Heals target for 115',100,1,0),
(212886,110662,'Dispels 14 levels of any hostile effects on target',100,1,1),
(212887,10110662,'Heals target for 75',100,1,0),
(212888,10110662,'Dispels 14 levels of any hostile effects on target',100,1,1),
(212889,114569,'Heals target for 49 - 59',100,1,0),
(212890,10114569,'Heals target for 32 - 39',100,1,0),
(212891,105986,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(212892,105986,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(212893,105986,'Inflicts 523 - 872 piercing damage on target',100,3,2),
(212894,105986,'Grants a total of 5 triggers of the spell.',100,3,3),
(212895,105986,'Grants a total of 1 trigger of the spell.',100,2,4),
(212896,10105986,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(212897,10105986,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(212898,10105986,'Inflicts 680 - 1133 piercing damage on target',100,3,2),
(212899,10105986,'Grants a total of 5 triggers of the spell.',100,3,3),
(212900,10105986,'Grants a total of 1 trigger of the spell.',100,2,4),
(212901,123316,'Increases STA of raid and group members (AE) by 19.6',100,1,0),
(212902,123316,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(212903,10123316,'Increases STA of raid and group members (AE) by 19.6',100,1,0),
(212904,10123316,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(212905,103935,'Wards group members (AE) collectively against 2091 total points of all damage',100,1,0),
(212906,10103935,'Wards group members (AE) collectively against 3115 total points of all damage',100,1,0),
(212907,118267,'Increases Threat to target encounter by 421 - 515 ',100,1,0),
(212908,118267,'Decreases Mitigation of target encounter vs arcane damage by 500',100,1,1),
(212909,10118267,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(212910,10118267,'Prevents target from changing targets',100,2,1),
(212911,10118267,'Forces target to change their selected target to caster.',100,2,2),
(212912,10118267,'Decreases Mitigation of target encounter vs arcane damage by 500',100,1,3),
(212913,172622,'Applies Rebreather when Equipped.',100,0,0),
(212914,172622,'Allows caster to breathe underwater',100,1,1),
(212915,10172622,'Applies Rebreather when Equipped.',100,0,0),
(212916,10172622,'Allows caster to breathe underwater',100,1,1),
(212917,116480,'Prevents targets in Area of Effect from changing targets',100,1,0),
(212918,116480,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(212919,116480,'Increases Threat to targets in Area of Effect by 135 ',100,1,2),
(212920,10116480,'Prevents targets in Area of Effect from changing targets',100,1,0),
(212921,10116480,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(212922,117274,'Inflicts 495 - 825 melee damage on target',100,1,0),
(212923,117274,'Decreases Damage Per Second of target by 14.3',100,1,1),
(212924,117274,'Decreases Attack Speed of target by 9.6',100,1,2),
(212925,10117274,'Inflicts 643 - 1072 melee damage on target',100,1,0),
(212926,10117274,'Decreases Damage Per Second of target by 14.3',100,1,1),
(212927,10117274,'Decreases Attack Speed of target by 9.6',100,1,2),
(212928,111748,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(212929,111748,'Inflicts 1130 - 1381 cold damage on target',100,2,1),
(212930,111748,'Grants a total of 3 triggers of the spell.',100,2,2),
(212931,10111748,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(212932,10111748,'Inflicts 1469 - 1796 cold damage on target',100,2,1),
(212933,10111748,'Grants a total of 3 triggers of the spell.',100,2,2),
(212934,170494,'When Equipped:',100,0,0),
(212935,170494,'On any combat or spell hit this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212936,170494,'Increases INT and WIS of caster by 100.0',100,2,2),
(212937,170494,'Increases Crit Bonus of caster by 6.0%',100,2,3),
(212938,170494,'Must not be engaged in pvp combat',100,2,4),
(212939,170494,'Cannot be modified except by direct means',100,2,5),
(212940,170494,'On a healing spell cast this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(212941,170494,'Increases INT and WIS of caster by 100.0',100,2,7),
(212942,170494,'Increases Crit Bonus of caster by 6.0%',100,2,8),
(212943,170494,'Must not be engaged in pvp combat',100,2,9),
(212944,170494,'Cannot be modified except by direct means',100,2,10),
(212945,170494,'Cannot be modified except by direct means',100,1,11),
(212946,10170494,'When Equipped:',100,0,0),
(212947,10170494,'On any combat or spell hit this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(212948,10170494,'Increases INT and WIS of caster by 100.0',100,2,2),
(212949,10170494,'Increases Crit Bonus of caster by 6.0%',100,2,3),
(212950,10170494,'Must not be engaged in pvp combat',100,2,4),
(212951,10170494,'Cannot be modified except by direct means',100,2,5),
(212952,10170494,'On a healing spell cast this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(212953,10170494,'Increases INT and WIS of caster by 100.0',100,2,7),
(212954,10170494,'Increases Crit Bonus of caster by 6.0%',100,2,8),
(212955,10170494,'Must not be engaged in pvp combat',100,2,9),
(212956,10170494,'Cannot be modified except by direct means',100,2,10),
(212957,10170494,'Cannot be modified except by direct means',100,1,11),
(212958,100944,'Inflicts 229 - 280 mental damage on target',100,1,0),
(212959,100944,'Dazes target',100,1,1),
(212960,100944,'Epic targets gain an immunity to Daze effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(212961,100944,'Resistibility increases against targets higher than level 68.',100,1,3),
(212962,10100944,'Inflicts 297 - 364 mental damage on target',100,1,0),
(212963,10100944,'Dazes target',100,1,1),
(212964,10100944,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(212965,10100944,'Resistibility increases against targets higher than level 68.',100,1,3),
(212966,118539,'Inflicts 490 - 817 melee damage on target',100,1,0),
(212967,118539,'Decreases STR of target by 49.4',100,1,1),
(212968,118539,'You must be sneaking to use this ability.',100,1,2),
(212969,10118539,'Inflicts 637 - 1062 melee damage on target',100,1,0),
(212970,10118539,'Decreases STR of target by 49.4',100,1,1),
(212971,10118539,'You must be sneaking to use this ability.',100,1,2),
(212972,80587,'When Equipped:',100,0,0),
(212973,80587,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(212974,80587,'Inflicts 83 - 154 magic damage on target',100,2,2),
(212975,80587,'Decreases Threat to target by 236 ',100,2,3),
(212976,80587,'Must be flanking or behind',100,3,4),
(212977,80587,'Increases Threat to target by 236 ',100,2,5),
(212978,80587,'Must be in front of',100,3,6),
(212979,80587,'Cannot be modified except by direct means',100,2,7),
(212980,10080587,'When Equipped:',100,0,0),
(212981,10080587,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(212982,10080587,'Inflicts 108 - 200 magic damage on target',100,2,2),
(212983,10080587,'Cannot be modified except by direct means',100,2,3),
(212984,108114,'Decreases Threat to target by 1,370 - 2,283 ',100,1,0),
(212985,10108114,'Forces target to clear their selected target.',100,1,0),
(212986,10108114,'Target cannot target caster for the duration of this effect.',100,1,1),
(212987,173157,'When Equipped:',100,0,0),
(212988,173157,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(212989,173157,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(212990,173157,'Increases Potency of caster by 11.0%',100,2,3),
(212991,173157,'Must not be engaged in pvp combat',100,2,4),
(212992,173157,'Cannot be modified except by direct means',100,2,5),
(212993,173157,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(212994,173157,'Increases Potency of caster by 11.0%',100,2,7),
(212995,173157,'Must not be engaged in pvp combat',100,2,8),
(212996,173157,'Cannot be modified except by direct means',100,2,9),
(212997,173157,'Cannot be modified except by direct means',100,1,10),
(212998,10173157,'When Equipped:',100,0,0),
(212999,10173157,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(213000,10173157,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(213001,10173157,'Increases Potency of caster by 11.0%',100,2,3),
(213002,10173157,'Must not be engaged in pvp combat',100,2,4),
(213003,10173157,'Cannot be modified except by direct means',100,2,5),
(213004,10173157,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(213005,10173157,'Increases Potency of caster by 11.0%',100,2,7),
(213006,10173157,'Must not be engaged in pvp combat',100,2,8),
(213007,10173157,'Cannot be modified except by direct means',100,2,9),
(213008,10173157,'Cannot be modified except by direct means',100,1,10),
(213009,116436,'Inflicts 21 disease damage on target instantly and every 4 seconds',100,1,0),
(213010,116436,'Inflicts 21 disease damage on target instantly and every 4 seconds',100,1,1),
(213011,116436,'If target is nightblood',100,2,2),
(213012,116436,'Inflicts 21 disease damage on target instantly and every 4 seconds',100,1,3),
(213013,116436,'If target is shadowed folk',100,2,4),
(213014,10116436,'Inflicts 27 disease damage on target instantly and every 4 seconds',100,1,0),
(213015,110678,'Heals target for 650',100,1,0),
(213016,110678,'Dispels 63 levels of any hostile effects on target',100,1,1),
(213017,10110678,'Heals target for 423',100,1,0),
(213018,10110678,'Dispels 63 levels of any hostile effects on target',100,1,1),
(213019,101275,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(213020,101275,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,1),
(213021,10101275,'Increases Max Health of group members (AE) by 81.4',100,1,0),
(213022,10101275,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,1),
(213023,101328,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(213024,101328,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 188',100,1,1),
(213025,101328,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,2),
(213026,10101328,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(213027,10101328,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 188',100,1,1),
(213028,10101328,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,2),
(213029,80951,'When Equipped:',100,0,0),
(213030,80951,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213031,80951,'Inflicts 288 - 534 magic damage on target',100,2,2),
(213032,80951,'Cannot be modified except by direct means',100,2,3),
(213033,10080951,'When Equipped:',100,0,0),
(213034,10080951,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213035,10080951,'Inflicts 374 - 695 magic damage on target',100,2,2),
(213036,10080951,'Cannot be modified except by direct means',100,2,3),
(213037,36051,'Increases Max Health of target by 3.9',100,0,0),
(213038,36051,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(213039,110969,'Inflicts 1219 - 2032 ranged damage on target',100,1,0),
(213040,110969,'I need to be stealthed!',100,1,1),
(213041,110969,'Requires bow',100,1,2),
(213042,10110969,'Inflicts 777 - 1295 ranged damage on target',100,1,0),
(213043,10110969,'I need to be stealthed!',100,1,1),
(213044,10110969,'Requires bow',100,1,2),
(213045,48766,'Applies Elixir of the Mastermind  when Activated.  Lasts for 30 minutes.',100,0,0),
(213046,48766,'Increases INT and WIS of caster by 23.3',100,1,1),
(213047,10048766,'Applies Elixir of the Mastermind  when Activated.  Lasts for 30 minutes.',100,0,0),
(213048,10048766,'Increases INT and WIS of caster by 23.3',100,1,1),
(213049,100973,'Increases Threat to target by 214 - 261 ',100,1,0),
(213050,100973,'Interrupts target',100,1,1),
(213051,10100973,'Interrupts target',100,1,0),
(213052,24608,'Adds Orc-Snow (Troubador) to your Dungeon Maker toolbox',100,0,0),
(213053,10024608,'Adds Orc-Snow (Troubador) to your Dungeon Maker toolbox',100,0,0),
(213054,121967,'Inflicts 131 - 219 disease damage on target',100,1,0),
(213055,121967,'Decreases Defense of target by 26.9',100,1,1),
(213056,121967,'Interrupts target',100,1,2),
(213057,10121967,'Inflicts 171 - 285 disease damage on target',100,1,0),
(213058,10121967,'Decreases Defense of target by 26.9',100,1,1),
(213059,10121967,'Interrupts target',100,1,2),
(213060,188772,'When Equipped:',100,0,0),
(213061,188772,'Increases Attack Speed of caster by 30.0',100,1,1),
(213062,10188772,'When Equipped:',100,0,0),
(213063,10188772,'Increases Attack Speed of caster by 30.0',100,1,1),
(213064,111102,'Heals target for 23.9 - 29.3% of max health',100,1,0),
(213065,111102,'This effect cannot be critically applied.',100,2,1),
(213066,111102,'Increases Mitigation of target vs physical damage by 200',100,1,2),
(213067,111102,'The healing of this spell cannot be modified except by direct means',100,1,3),
(213068,10111102,'Heals target for 9.0 - 11.0% of max health',100,1,0),
(213069,10111102,'This effect cannot be critically applied.',100,2,1),
(213070,10111102,'Increases Mitigation of target vs physical damage by 200',100,1,2),
(213071,10111102,'The healing of this spell cannot be modified except by direct means',100,1,3),
(213072,149182,'When Equipped:',100,0,0),
(213073,149182,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(213074,149182,'Decreases Threat to target by 800 ',100,2,2),
(213075,149182,'Cannot be modified except by direct means',100,2,3),
(213076,10149182,'When Equipped:',100,0,0),
(213077,10149182,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(213078,10149182,'Cannot be modified except by direct means',100,2,2),
(213079,82686,'When Equipped:',100,0,0),
(213080,82686,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213081,82686,'Inflicts 212 - 393 magic damage on target',100,2,2),
(213082,82686,'Decreases Threat to target by 641 ',100,2,3),
(213083,82686,'Must be flanking or behind',100,3,4),
(213084,82686,'Increases Threat to target by 641 ',100,2,5),
(213085,82686,'Must be in front of',100,3,6),
(213086,82686,'Cannot be modified except by direct means',100,2,7),
(213087,10082686,'When Equipped:',100,0,0),
(213088,10082686,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213089,10082686,'Inflicts 275 - 511 magic damage on target',100,2,2),
(213090,10082686,'Cannot be modified except by direct means',100,2,3),
(213091,103362,'Inflicts 41 - 50 mental damage on target instantly and every 6 seconds',100,1,0),
(213092,103362,'Decreases power of target by 10 instantly and every 6 seconds',100,1,1),
(213093,103362,'Increases power of caster by 33',100,1,2),
(213094,10103362,'Inflicts 53 - 65 mental damage on target instantly and every 6 seconds',100,1,0),
(213095,10103362,'Decreases power of target by 10 instantly and every 6 seconds',100,1,1),
(213096,10103362,'Increases power of caster by 33',100,1,2),
(213097,45032,'Applies Burn when Activated.',100,0,0),
(213098,10045032,'Applies Burn when Activated.',100,0,0),
(213099,110722,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(213100,110722,'Heals group members (AE) for 524',100,2,1),
(213101,10110722,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(213102,10110722,'Heals group members (AE) for 340',100,2,1),
(213103,82535,'When Equipped:',100,0,0),
(213104,82535,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213105,82535,'Inflicts 118 - 218 magic damage on target',100,2,2),
(213106,82535,'Decreases Threat to target by 259 ',100,2,3),
(213107,82535,'Must be flanking or behind',100,3,4),
(213108,82535,'Increases Threat to target by 259 ',100,2,5),
(213109,82535,'Must be in front of',100,3,6),
(213110,82535,'Cannot be modified except by direct means',100,2,7),
(213111,10082535,'When Equipped:',100,0,0),
(213112,10082535,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213113,10082535,'Inflicts 153 - 284 magic damage on target',100,2,2),
(213114,10082535,'Cannot be modified except by direct means',100,2,3),
(213115,82687,'When Equipped:',100,0,0),
(213116,82687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213117,82687,'Inflicts 191 - 354 magic damage on target',100,2,2),
(213118,82687,'Cannot be modified except by direct means',100,2,3),
(213119,10082687,'When Equipped:',100,0,0),
(213120,10082687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213121,10082687,'Inflicts 248 - 460 magic damage on target',100,2,2),
(213122,10082687,'Cannot be modified except by direct means',100,2,3),
(213123,103272,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(213124,103272,'If Fighter',100,2,1),
(213125,103272,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(213126,103272,'Increases power of target by 10 instantly and every 4 seconds',100,2,3),
(213127,103272,'Increases power of caster by 10 instantly and every 4 seconds',100,2,4),
(213128,10103272,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(213129,10103272,'Increases power of target by 10 instantly and every 4 seconds',100,2,1),
(213130,10103272,'Increases power of caster by 10 instantly and every 4 seconds',100,2,2),
(213131,123422,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(213132,123422,'Stuns target',100,2,1),
(213133,123422,'Throws target back',100,2,2),
(213134,123422,'Blurs vision of target',100,2,3),
(213135,123422,'Does not affect Epic targets',100,2,4),
(213136,123422,'Inflicts 195 - 586 melee damage on target',100,1,5),
(213137,10123422,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(213138,10123422,'Stuns target',100,2,1),
(213139,10123422,'Throws target back',100,2,2),
(213140,10123422,'Blurs vision of target',100,2,3),
(213141,10123422,'Does not affect Epic targets',100,2,4),
(213142,10123422,'Inflicts 254 - 762 melee damage on target',100,1,5),
(213143,116186,'Inflicts 303 - 505 mental damage on target',100,1,0),
(213144,10116186,'Inflicts 394 - 656 mental damage on target',100,1,0),
(213145,102622,'Increases Threat to target encounter by 2,086 - 2,550 ',100,1,0),
(213146,102622,'Interrupts target encounter',100,1,1),
(213147,102622,'Decreases Mitigation of target encounter vs noxious damage by 1445',100,1,2),
(213148,10102622,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(213149,10102622,'Prevents target from changing targets',100,2,1),
(213150,10102622,'Forces target to change their selected target to caster.',100,2,2),
(213151,10102622,'Interrupts target encounter',100,1,3),
(213152,10102622,'Decreases Mitigation of target encounter vs noxious damage by 1445',100,1,4),
(213153,24490,'Adds Lair of Scale: Ritual Dragonscale Tapestry to your Dungeon Maker toolbox',100,0,0),
(213154,10024490,'Adds Lair of Scale: Ritual Dragonscale Tapestry to your Dungeon Maker toolbox',100,0,0),
(213155,47799,'Applies Aura of the Sarnak when Activated.',100,0,0),
(213156,47799,'Casts aura of the sarnak on the user',100,1,1),
(213157,10047799,'Applies Aura of the Sarnak when Activated.',100,0,0),
(213158,10047799,'Casts aura of the sarnak on the user',100,1,1),
(213159,48210,'Applies Spirit of the Tiger when Activated.  Lasts for 30 minutes.',100,0,0),
(213160,48210,'Shapechanges caster into a tiger',100,1,1),
(213161,48210,'Increases Out-of-Combat Health Regeneration of caster by 62.0',100,1,2),
(213162,48210,'This effect suspends during combat',100,1,3),
(213163,48210,'Only affects targets level 30 and above',100,1,4),
(213164,10048210,'Applies Spirit of the Tiger when Activated.  Lasts for 30 minutes.',100,0,0),
(213165,10048210,'Shapechanges caster into a tiger',100,1,1),
(213166,10048210,'Increases Out-of-Combat Health Regeneration of caster by 62.0',100,1,2),
(213167,10048210,'This effect suspends during combat',100,1,3),
(213168,10048210,'Only affects targets level 30 and above',100,1,4),
(213169,110927,'Inflicts 107 - 178 divine damage on target',100,1,0),
(213170,110927,'Increases Threat to target by 783 ',100,1,1),
(213171,110927,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(213172,110927,'Stuns target',100,2,3),
(213173,110927,'Throws target back',100,2,4),
(213174,110927,'Blurs vision of target',100,2,5),
(213175,110927,'Does not affect Epic targets',100,2,6),
(213176,10110927,'Inflicts 139 - 232 divine damage on target',100,1,0),
(213177,10110927,'Prevents target from changing targets',100,1,1),
(213178,10110927,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(213179,10110927,'Stuns target',100,2,3),
(213180,10110927,'Throws target back',100,2,4),
(213181,10110927,'Blurs vision of target',100,2,5),
(213182,10110927,'Does not affect Epic targets',100,2,6),
(213183,10110927,'Forces target to change their selected target to caster.',100,1,7),
(213184,103698,'Summons a pet Bzzt',100,1,0),
(213185,10103698,'Summons a pet Bzzt',100,1,0),
(213186,54413,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(213187,54413,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(213188,54413,'Inflicts 52 heat damage on target',100,2,2),
(213189,54413,'Cannot be modified except by direct means',100,2,3),
(213190,10054413,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(213191,10054413,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(213192,10054413,'Inflicts 67 heat damage on target',100,2,2),
(213193,10054413,'Cannot be modified except by direct means',100,2,3),
(213194,47033,'Applies Middling Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(213195,47033,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(213196,47033,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(213197,47033,'Cannot be modified except by direct means',100,2,3),
(213198,47033,'Grants a total of 80 triggers of the spell.',100,2,4),
(213199,47033,'Only affects targets level 50 and above',100,1,5),
(213200,10047033,'Applies Middling Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(213201,10047033,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(213202,10047033,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(213203,10047033,'Cannot be modified except by direct means',100,2,3),
(213204,10047033,'Grants a total of 80 triggers of the spell.',100,2,4),
(213205,10047033,'Only affects targets level 50 and above',100,1,5),
(213206,48947,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(213207,48947,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(213208,48947,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(213209,48947,'Cannot be modified except by direct means',100,2,3),
(213210,48947,'Grants a total of 80 triggers of the spell.',100,2,4),
(213211,10048947,'Applies untimely concussion when Activated.  Lasts for 12 hours.',100,0,0),
(213212,10048947,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(213213,10048947,'Decreases Mitigation of target vs physical damage by 33',100,2,2),
(213214,10048947,'Cannot be modified except by direct means',100,2,3),
(213215,10048947,'Grants a total of 80 triggers of the spell.',100,2,4),
(213216,72064,'When Equipped:',100,0,0),
(213217,72064,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(213218,72064,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(213219,72064,'Cannot be modified except by direct means',100,2,3),
(213220,10072064,'When Equipped:',100,0,0),
(213221,10072064,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(213222,10072064,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(213223,10072064,'Cannot be modified except by direct means',100,2,3),
(213224,117766,'Inflicts 614 - 1023 divine damage on target',100,1,0),
(213225,10117766,'Inflicts 798 - 1330 divine damage on target',100,1,0),
(213226,84633,'When Equipped:',100,0,0),
(213227,84633,'On any combat or spell hit this spell may cast Arcane Vortex on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(213228,84633,'Inflicts 45 - 49 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(213229,84633,'Increases power of group members (AE) by 7 - 8 instantly and every 2 seconds',100,2,3),
(213230,84633,'Increases Potency of group members (AE) by 1.0%',100,2,4),
(213231,84633,'Must not be engaged in pvp combat',100,2,5),
(213232,84633,'Cannot be modified except by direct means',100,2,6),
(213233,84633,'Must not be engaged in pvp combat',100,1,7),
(213234,10084633,'When Equipped:',100,0,0),
(213235,10084633,'On any combat or spell hit this spell may cast Arcane Vortex on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(213236,10084633,'Inflicts 58 - 64 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(213237,10084633,'Increases power of group members (AE) by 7 - 8 instantly and every 2 seconds',100,2,3),
(213238,10084633,'Increases Potency of group members (AE) by 1.0%',100,2,4),
(213239,10084633,'Must not be engaged in pvp combat',100,2,5),
(213240,10084633,'Cannot be modified except by direct means',100,2,6),
(213241,10084633,'Must not be engaged in pvp combat',100,1,7),
(213242,159211,'Applies Sanguine Imbued when Equipped.',100,0,0),
(213243,159211,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(213244,159211,'Inflicts 59 heat damage on target',100,2,2),
(213245,159211,'Cannot be modified except by direct means',100,2,3),
(213246,10159211,'Applies Sanguine Imbued when Equipped.',100,0,0),
(213247,10159211,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(213248,10159211,'Inflicts 77 heat damage on target',100,2,2),
(213249,10159211,'Cannot be modified except by direct means',100,2,3),
(213250,120053,'Inflicts 35 - 59 mental damage on target',100,1,0),
(213251,120053,'Inflicts 35 - 59 mental damage on target',100,1,1),
(213252,120053,'Stifles target',100,1,2),
(213253,120053,'If Target is not Epic',100,2,3),
(213254,120053,'If weapon equipped in Ranged',100,1,4),
(213255,120053,'Resistibility increases against targets higher than level 45.',100,1,5),
(213256,10120053,'Inflicts 30 - 50 mental damage on target',100,1,0),
(213257,10120053,'Inflicts 30 - 50 mental damage on target',100,1,1),
(213258,10120053,'Stifles target',100,1,2),
(213259,10120053,'If Target is not Epic',100,2,3),
(213260,10120053,'If weapon equipped in Ranged',100,1,4),
(213261,10120053,'Resistibility increases against targets higher than level 45.',100,1,5),
(213262,121956,'Inflicts 51 - 84 disease damage on target',100,1,0),
(213263,121956,'Decreases Defense of target by 11.9',100,1,1),
(213264,121956,'Interrupts target',100,1,2),
(213265,10121956,'Inflicts 66 - 110 disease damage on target',100,1,0),
(213266,10121956,'Decreases Defense of target by 11.9',100,1,1),
(213267,10121956,'Interrupts target',100,1,2),
(213268,108779,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(213269,108779,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(213270,108779,'Inflicts 218 - 266 heat damage on target encounter',100,3,2),
(213271,108779,'Grants a total of 1 trigger of the spell.',100,3,3),
(213272,108779,'Inflicts 49 - 60 heat damage on target instantly and every 4 seconds',100,2,4),
(213273,10108779,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(213274,10108779,'On death this spell will cast Blooming Flames on caster.  ',100,2,1),
(213275,10108779,'Inflicts 283 - 346 heat damage on target encounter',100,3,2),
(213276,10108779,'Grants a total of 1 trigger of the spell.',100,3,3),
(213277,10108779,'Inflicts 64 - 78 heat damage on target instantly and every 4 seconds',100,2,4),
(213278,51334,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(213279,51334,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(213280,51334,'Inflicts 14 heat damage on target',100,2,2),
(213281,51334,'Cannot be modified except by direct means',100,2,3),
(213282,10051334,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(213283,10051334,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(213284,10051334,'Inflicts 18 heat damage on target',100,2,2),
(213285,10051334,'Cannot be modified except by direct means',100,2,3),
(213286,106736,'Heals target for 823 - 1006',100,1,0),
(213287,10106736,'Heals target for 968 - 1183',100,1,0),
(213288,45091,'Applies Summon Pet Rock when Activated.',100,0,0),
(213289,45091,'Summons a pet rock',100,1,1),
(213290,10045091,'Applies Summon Pet Rock when Activated.',100,0,0),
(213291,10045091,'Summons a pet rock',100,1,1),
(213292,159330,'Applies Lambent Imbued when Equipped.',100,0,0),
(213293,159330,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(213294,159330,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(213295,159330,'Cannot be modified except by direct means',100,2,3),
(213296,10159330,'Applies Lambent Imbued when Equipped.',100,0,0),
(213297,10159330,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(213298,10159330,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(213299,10159330,'Cannot be modified except by direct means',100,2,3),
(213300,25744,'When Equipped:',100,0,0),
(213301,25744,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(213302,25744,'Improves the base heal amount of Reaver by 20%.',100,1,2),
(213303,10025744,'When Equipped:',100,0,0),
(213304,10025744,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(213305,10025744,'Improves the base heal amount of Reaver by 20%.',100,1,2),
(213306,45449,'Applies Burning Hands when Activated.',100,0,0),
(213307,45449,'Ignites the user''s hands in illusory flames.',100,1,1),
(213308,10045449,'Applies Burning Hands when Activated.',100,0,0),
(213309,10045449,'Ignites the user''s hands in illusory flames.',100,1,1),
(213310,121904,'Inflicts 116 - 193 mental damage on target encounter',100,1,0),
(213311,121904,'Increases power of group members (AE) by 62 - 103',100,1,1),
(213312,10121904,'Inflicts 150 - 251 mental damage on target encounter',100,1,0),
(213313,10121904,'Increases power of group members (AE) by 62 - 103',100,1,1),
(213314,132342,'When Equipped:',100,0,0),
(213315,132342,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(213316,10132342,'When Equipped:',100,0,0),
(213317,10132342,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(213318,105028,'Increases WIS of raid and group members (AE) by 28.2',100,1,0),
(213319,105028,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(213320,105028,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 103',100,1,2),
(213321,10105028,'Increases WIS of raid and group members (AE) by 28.2',100,1,0),
(213322,10105028,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(213323,10105028,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 103',100,1,2),
(213324,120082,'Inflicts 335 - 559 mental damage on target',100,1,0),
(213325,120082,'Inflicts 335 - 559 mental damage on target',100,1,1),
(213326,120082,'Stifles target',100,1,2),
(213327,120082,'If Target is not Epic',100,2,3),
(213328,120082,'If weapon equipped in Ranged',100,1,4),
(213329,120082,'Resistibility increases against targets higher than level 100.',100,1,5),
(213330,10120082,'Inflicts 380 - 634 mental damage on target',100,1,0),
(213331,10120082,'Inflicts 380 - 634 mental damage on target',100,1,1),
(213332,10120082,'Stifles target',100,1,2),
(213333,10120082,'If Target is not Epic',100,2,3),
(213334,10120082,'If weapon equipped in Ranged',100,1,4),
(213335,10120082,'Resistibility increases against targets higher than level 100.',100,1,5),
(213336,35819,'Increases STR of target by 1.5',100,0,0),
(213337,35819,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(213338,81629,'When Equipped:',100,0,0),
(213339,81629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213340,81629,'Inflicts 169 - 315 magic damage on target',100,2,2),
(213341,81629,'Cannot be modified except by direct means',100,2,3),
(213342,10081629,'When Equipped:',100,0,0),
(213343,10081629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213344,10081629,'Inflicts 220 - 409 magic damage on target',100,2,2),
(213345,10081629,'Cannot be modified except by direct means',100,2,3),
(213346,101906,'Inflicts 13 - 21 melee damage on target',100,1,0),
(213347,101906,'Inflicts 4 piercing damage on target instantly and every 4 seconds',100,1,1),
(213348,101906,'Must be behind',100,1,2),
(213349,10101906,'Inflicts 17 - 28 melee damage on target',100,1,0),
(213350,10101906,'Inflicts 6 piercing damage on target instantly and every 4 seconds',100,1,1),
(213351,10101906,'Must be behind',100,1,2),
(213352,105598,'Decreases power of target encounter by 82 - 100 instantly and every 3 seconds',100,1,0),
(213353,105598,'Inflicts 191 - 354 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(213354,105598,'Heals group members (AE) for 61 - 113 instantly and every 3 seconds',100,1,2),
(213355,105598,'Increases power of group members (AE) by 23 instantly and every 3 seconds',100,1,3),
(213356,10105598,'Decreases power of target encounter by 82 - 100 instantly and every 3 seconds',100,1,0),
(213357,10105598,'Inflicts 248 - 461 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(213358,10105598,'Heals group members (AE) for 40 - 74 instantly and every 3 seconds',100,1,2),
(213359,10105598,'Increases power of group members (AE) by 23 instantly and every 3 seconds',100,1,3),
(213360,188263,'When Equipped:',100,0,0),
(213361,188263,'When any damage is received this spell has a 5% chance to cast Detonation on target''s attacker.  ',100,1,1),
(213362,188263,'Inflicts 183 - 305 heat damage on targets in Area of Effect',100,2,2),
(213363,188263,'Cannot be modified except by direct means',100,2,3),
(213364,10188263,'When Equipped:',100,0,0),
(213365,10188263,'When any damage is received this spell has a 5% chance to cast Detonation on target''s attacker.  ',100,1,1),
(213366,10188263,'Inflicts 238 - 397 heat damage on targets in Area of Effect',100,2,2),
(213367,10188263,'Cannot be modified except by direct means',100,2,3),
(213368,48837,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(213369,48837,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(213370,48837,'Inflicts 51 poison damage on target instantly and every 6 seconds',100,2,2),
(213371,48837,'Inflicts 175 poison damage on target',100,2,3),
(213372,48837,'Cannot be modified except by direct means',100,2,4),
(213373,48837,'Grants a total of 200 triggers of the spell.',100,2,5),
(213374,10048837,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(213375,10048837,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(213376,10048837,'Inflicts 170 poison damage on target',100,2,2),
(213377,10048837,'Inflicts 50 poison damage on target instantly and every 6 seconds',100,2,3),
(213378,10048837,'Cannot be modified except by direct means',100,2,4),
(213379,10048837,'Grants a total of 200 triggers of the spell.',100,2,5),
(213380,100142,'Inflicts 71 - 86 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(213381,100142,'Decreases Mitigation of target encounter vs noxious damage by 506',100,1,1),
(213382,10100142,'Inflicts 92 - 112 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(213383,10100142,'Decreases Mitigation of target encounter vs noxious damage by 506',100,1,1),
(213384,122686,'Decreases Defense of target by 29.7',100,1,0),
(213385,122686,'Decreases Mitigation of target vs physical damage by 561',100,1,1),
(213386,10122686,'Decreases Defense of target by 29.7',100,1,0),
(213387,10122686,'Decreases Mitigation of target vs physical damage by 561',100,1,1),
(213388,82601,'When Equipped:',100,0,0),
(213389,82601,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213390,82601,'Inflicts 118 - 218 magic damage on target',100,2,2),
(213391,82601,'Decreases Threat to target by 259 ',100,2,3),
(213392,82601,'Must be flanking or behind',100,3,4),
(213393,82601,'Increases Threat to target by 259 ',100,2,5),
(213394,82601,'Must be in front of',100,3,6),
(213395,82601,'Cannot be modified except by direct means',100,2,7),
(213396,10082601,'When Equipped:',100,0,0),
(213397,10082601,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213398,10082601,'Inflicts 153 - 284 magic damage on target',100,2,2),
(213399,10082601,'Cannot be modified except by direct means',100,2,3),
(213400,35759,'Increases AGI of target by 1.1',100,0,0),
(213401,35759,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(213402,119737,'Wards group members (AE) against 113 points of elemental, noxious and arcane damage',100,1,0),
(213403,119737,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,1),
(213404,10119737,'Wards group members (AE) against 113 points of elemental, noxious and arcane damage',100,1,0),
(213405,10119737,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,1),
(213406,103527,'Charms target',100,1,0),
(213407,103527,'If outside an arena',100,1,1),
(213408,103527,'Certain enemies cannot be charmed',100,1,2),
(213409,103527,'Does not affect Epic targets',100,1,3),
(213410,10103527,'Mesmerizes target',100,1,0),
(213411,10103527,'Prevents AOE (except when direct) ',100,1,1),
(213412,10103527,'Dispelled when target takes damage',100,1,2),
(213413,10103527,'If outside an arena',100,1,3),
(213414,10103527,'Certain enemies cannot be charmed',100,1,4),
(213415,10103527,'Does not affect Epic targets',100,1,5),
(213416,10103527,'Resistibility increases against targets higher than level 103.',100,1,6),
(213417,122411,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(213418,122411,'Inflicts 37 - 46 piercing damage on target encounter',100,2,1),
(213419,10122411,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(213420,10122411,'Inflicts 49 - 59 piercing damage on target encounter',100,2,1),
(213421,114685,'Increases Threat to target by 669 - 817 ',100,1,0),
(213422,114685,'Interrupts target',100,1,1),
(213423,10114685,'Interrupts target',100,1,0),
(213424,10114685,'Forces target to change their selected target to caster.',100,1,1),
(213425,10114685,'Prevents target from changing targets',100,1,2),
(213426,110885,'Inflicts 468 - 572 heat damage on target encounter',100,1,0),
(213427,10110885,'Inflicts 608 - 743 heat damage on target encounter',100,1,0),
(213428,107301,'Decreases WIS of target by 7.5',100,1,0),
(213429,107301,'Decreases Defense of target by 2.4',100,1,1),
(213430,10107301,'Decreases WIS of target by 7.5',100,1,0),
(213431,10107301,'Decreases Defense of target by 2.4',100,1,1),
(213432,108610,'Feigns Death with 72% chance of success',100,1,0),
(213433,10108610,'Feigns Death with 72% chance of success',100,1,0),
(213434,24611,'Adds Owlbear (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(213435,10024611,'Adds Owlbear (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(213436,111074,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(213437,111074,'Slows target by 56.3%',100,2,1),
(213438,111074,'5% chance to dispel when target receives hostile action',100,2,2),
(213439,111074,'5% chance to dispel when target takes damage',100,2,3),
(213440,111074,'Decreases Mitigation of target vs elemental damage by 1428',100,1,4),
(213441,10111074,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(213442,10111074,'Slows target by 56.3%',100,2,1),
(213443,10111074,'5% chance to dispel when target receives hostile action',100,2,2),
(213444,10111074,'5% chance to dispel when target takes damage',100,2,3),
(213445,10111074,'Decreases Mitigation of target vs elemental damage by 1428',100,1,4),
(213446,115270,'Heals target for 441',100,1,0),
(213447,115270,'Heals target for 73 every second',100,1,1),
(213448,115270,'Dispels 71 levels of any hostile effects on target',100,1,2),
(213449,10115270,'Heals target for 286',100,1,0),
(213450,10115270,'Heals target for 48 every second',100,1,1),
(213451,10115270,'Dispels 71 levels of any hostile effects on target',100,1,2),
(213452,122155,'Inflicts 5 - 6 cold damage on target instantly and every 2 seconds',100,1,0),
(213453,122155,'Inflicts 5 - 6 cold damage on target instantly and every 2 seconds',100,1,1),
(213454,122155,'If target is elemental',100,2,2),
(213455,10122155,'Inflicts 6 - 7 cold damage on target instantly and every 2 seconds',100,1,0),
(213456,117776,'Inflicts 857 - 1428 divine damage on target',100,1,0),
(213457,10117776,'Inflicts 1114 - 1857 divine damage on target',100,1,0),
(213458,107676,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(213459,10107676,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(213460,138442,'When Equipped:',100,0,0),
(213461,138442,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(213462,138442,'Decreases STR of target by 47.8',100,2,2),
(213463,138442,'Cannot be modified except by direct means',100,2,3),
(213464,10138442,'When Equipped:',100,0,0),
(213465,10138442,'When any damage is received this spell has a 7.5% chance to cast Weakness on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(213466,10138442,'Decreases STR of target by 47.8',100,2,2),
(213467,10138442,'Cannot be modified except by direct means',100,2,3),
(213468,100107,'Decreases STR, AGI, WIS and INT of target by 16.2',100,1,0),
(213469,100107,'Decreases Max Health of target by 0.6%',100,1,1),
(213470,10100107,'Decreases STR, AGI, WIS and INT of target by 16.2',100,1,0),
(213471,10100107,'Decreases Max Health of target by 0.6%',100,1,1),
(213472,174909,'When Equipped:',100,0,0),
(213473,174909,'On a ranged hit this spell may cast Nature''s Reprieve on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213474,174909,'Inflicts 193 - 236 divine damage on target',100,2,2),
(213475,174909,'Heals caster for 123 - 151',100,2,3),
(213476,174909,'Cannot be modified except by direct means',100,2,4),
(213477,10174909,'When Equipped:',100,0,0),
(213478,10174909,'On a ranged hit this spell may cast Nature''s Reprieve on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213479,10174909,'Inflicts 251 - 307 divine damage on target',100,2,2),
(213480,10174909,'Heals caster for 80 - 98',100,2,3),
(213481,10174909,'Cannot be modified except by direct means',100,2,4),
(213482,105446,'Inflicts 244 - 299 poison damage on target instantly and every 4 seconds',100,1,0),
(213483,105446,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(213484,105446,'Summons a limited pet to aid the caster',100,2,2),
(213485,105446,'Summons 2 limited pets to aid the caster',100,2,3),
(213486,105446,'Grants a total of 1 trigger of the spell.',100,2,4),
(213487,10105446,'Inflicts 318 - 388 poison damage on target instantly and every 4 seconds',100,1,0),
(213488,10105446,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(213489,10105446,'Summons a limited pet to aid the caster',100,2,2),
(213490,10105446,'Summons 2 limited pets to aid the caster',100,2,3),
(213491,10105446,'Grants a total of 1 trigger of the spell.',100,2,4),
(213492,115518,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(213493,115518,'Increases Mitigation of group members (AE) vs noxious damage by 898',100,1,1),
(213494,10115518,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(213495,10115518,'Increases Mitigation of group members (AE) vs noxious damage by 898',100,1,1),
(213496,107394,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(213497,107394,'Slows target by 65.3%',100,2,1),
(213498,107394,'5% chance to dispel when target receives hostile action',100,2,2),
(213499,107394,'5% chance to dispel when target takes damage',100,2,3),
(213500,107394,'Inflicts 884 - 1473 disease damage on target',100,1,4),
(213501,10107394,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(213502,10107394,'Slows target by 65.3%',100,2,1),
(213503,10107394,'5% chance to dispel when target receives hostile action',100,2,2),
(213504,10107394,'5% chance to dispel when target takes damage',100,2,3),
(213505,10107394,'Inflicts 1149 - 1915 disease damage on target',100,1,4),
(213506,119005,'Heals target for 866 - 1058',100,1,0),
(213507,10119005,'Heals target for 921 - 1125',100,1,0),
(213508,41691,'When Equipped:',100,0,0),
(213509,41691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213510,41691,'Inflicts 148 - 274 magic damage on target',100,2,2),
(213511,41691,'Cannot be modified except by direct means',100,2,3),
(213512,10041691,'When Equipped:',100,0,0),
(213513,10041691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213514,10041691,'Inflicts 192 - 356 magic damage on target',100,2,2),
(213515,10041691,'Cannot be modified except by direct means',100,2,3),
(213516,134418,'When Equipped:',100,0,0),
(213517,134418,'Increases Attack Speed of caster by 20.0',100,1,1),
(213518,10134418,'When Equipped:',100,0,0),
(213519,10134418,'Increases Attack Speed of caster by 20.0',100,1,1),
(213520,113607,'Summons a limited pet to aid the caster',100,1,0),
(213521,10113607,'Summons a limited pet to aid the caster',100,1,0),
(213522,49116,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(213523,49116,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(213524,49116,'Decreases Attack Speed of target by 21.6',100,2,2),
(213525,49116,'Cannot be modified except by direct means',100,2,3),
(213526,49116,'Grants a total of 30 triggers of the spell.',100,2,4),
(213527,10049116,'Applies wave of deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(213528,10049116,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(213529,10049116,'Decreases Attack Speed of target by 21.6',100,2,2),
(213530,10049116,'Cannot be modified except by direct means',100,2,3),
(213531,10049116,'Grants a total of 30 triggers of the spell.',100,2,4),
(213532,48211,'Applies Spirit of the Tiger when Activated.  Lasts for 30 minutes.',100,0,0),
(213533,48211,'Shapechanges caster into a tiger',100,1,1),
(213534,48211,'Increases Out-of-Combat Health Regeneration of caster by 62.0',100,1,2),
(213535,48211,'This effect suspends during combat',100,1,3),
(213536,48211,'Only affects targets level 30 and above',100,1,4),
(213537,10048211,'Applies Spirit of the Tiger when Activated.  Lasts for 30 minutes.',100,0,0),
(213538,10048211,'Shapechanges caster into a tiger',100,1,1),
(213539,10048211,'Increases Out-of-Combat Health Regeneration of caster by 62.0',100,1,2),
(213540,10048211,'This effect suspends during combat',100,1,3),
(213541,10048211,'Only affects targets level 30 and above',100,1,4),
(213542,121329,'Inflicts 1487 - 2478 ranged damage on targets in area',100,1,0),
(213543,121329,'Requires bow',100,1,1),
(213544,10121329,'Inflicts 1137 - 1895 ranged damage on targets in area',100,1,0),
(213545,10121329,'Requires bow',100,1,1),
(213546,100942,'Inflicts 234 - 286 mental damage on target',100,1,0),
(213547,100942,'Dazes target',100,1,1),
(213548,100942,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(213549,100942,'Resistibility increases against targets higher than level 54.',100,1,3),
(213550,10100942,'Inflicts 304 - 372 mental damage on target',100,1,0),
(213551,10100942,'Dazes target',100,1,1),
(213552,10100942,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(213553,10100942,'Resistibility increases against targets higher than level 54.',100,1,3),
(213554,81646,'When Equipped:',100,0,0),
(213555,81646,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213556,81646,'Inflicts 167 - 311 magic damage on target',100,2,2),
(213557,81646,'Decreases Threat to target by 376 ',100,2,3),
(213558,81646,'Must be flanking or behind',100,3,4),
(213559,81646,'Increases Threat to target by 376 ',100,2,5),
(213560,81646,'Must be in front of',100,3,6),
(213561,81646,'Cannot be modified except by direct means',100,2,7),
(213562,10081646,'When Equipped:',100,0,0),
(213563,10081646,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213564,10081646,'Inflicts 217 - 404 magic damage on target',100,2,2),
(213565,10081646,'Cannot be modified except by direct means',100,2,3),
(213566,113305,'Inflicts 225 - 375 heat damage on target',100,1,0),
(213567,10113305,'Inflicts 443 - 739 heat damage on target',100,1,0),
(213568,124702,'Heals group members (AE) for 170 - 208',100,1,0),
(213569,10124702,'Heals group members (AE) for 206 - 252',100,1,0),
(213570,109548,'Inflicts 6880 - 11467 cold damage on targets in Area of Effect',100,1,0),
(213571,109548,'Throws target back',100,1,1),
(213572,109548,'If Target is not Epic',100,2,2),
(213573,109548,'Stuns targets in Area of Effect',100,1,3),
(213574,109548,'If Target is not Epic',100,2,4),
(213575,109548,'Resistibility increases against targets higher than level 94.',100,1,5),
(213576,10109548,'Inflicts 5963 - 9938 cold damage on targets in Area of Effect',100,1,0),
(213577,10109548,'Throws target back',100,1,1),
(213578,10109548,'If Target is not Epic',100,2,2),
(213579,10109548,'Stuns targets in Area of Effect',100,1,3),
(213580,10109548,'If Target is not Epic',100,2,4),
(213581,10109548,'Resistibility increases against targets higher than level 94.',100,1,5),
(213582,82681,'When Equipped:',100,0,0),
(213583,82681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213584,82681,'Inflicts 104 - 194 magic damage on target',100,2,2),
(213585,82681,'Cannot be modified except by direct means',100,2,3),
(213586,10082681,'When Equipped:',100,0,0),
(213587,10082681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213588,10082681,'Inflicts 136 - 252 magic damage on target',100,2,2),
(213589,10082681,'Cannot be modified except by direct means',100,2,3),
(213590,189328,'When Equipped:',100,0,0),
(213591,189328,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(213592,189328,'Summons a limited pet to aid the caster',100,2,2),
(213593,189328,'Cannot be modified except by direct means',100,2,3),
(213594,189328,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(213595,189328,'Summons a limited pet to aid the caster',100,2,5),
(213596,189328,'Cannot be modified except by direct means',100,2,6),
(213597,10189328,'When Equipped:',100,0,0),
(213598,10189328,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(213599,10189328,'Summons a limited pet to aid the caster',100,2,2),
(213600,10189328,'Cannot be modified except by direct means',100,2,3),
(213601,10189328,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(213602,10189328,'Summons a limited pet to aid the caster',100,2,5),
(213603,10189328,'Cannot be modified except by direct means',100,2,6),
(213604,113721,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(213605,10113721,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(213606,106463,'Increases Multi Attack Chance of raid and group members (AE) by 17.5',100,1,0),
(213607,10106463,'Increases Multi Attack Chance of raid and group members (AE) by 17.5',100,1,0),
(213608,119167,'Inflicts 3185 heat damage on target',100,1,0),
(213609,119167,'Inflicts 1274 heat damage on target every 3 seconds',100,1,1),
(213610,10119167,'Inflicts 2070 heat damage on target',100,1,0),
(213611,10119167,'Inflicts 828 heat damage on target every 4 seconds',100,1,1),
(213612,101020,'Inflicts 527 - 978 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(213613,10101020,'Inflicts 537 - 998 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(213614,105888,'Inflicts 219 - 366 ranged damage on target',100,1,0),
(213615,105888,'Inflicts 219 - 366 ranged damage on target',100,1,1),
(213616,105888,'If weapon equipped in Ranged',100,1,2),
(213617,10105888,'Inflicts 186 - 311 ranged damage on target',100,1,0),
(213618,10105888,'Inflicts 186 - 311 ranged damage on target',100,1,1),
(213619,10105888,'If weapon equipped in Ranged',100,1,2),
(213620,163088,'When Equipped:',100,0,0),
(213621,163088,'On a combat hit this spell may cast Dark Tidings on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(213622,163088,'Increases Threat to target by 800 ',100,2,2),
(213623,163088,'Cannot be modified except by direct means',100,2,3),
(213624,10163088,'When Equipped:',100,0,0),
(213625,10163088,'On a combat hit this spell may cast Dark Tidings on target of attack.  Lasts for 3.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(213626,10163088,'Prevents target from changing targets',100,2,2),
(213627,10163088,'Forces target to change their selected target to caster.',100,2,3),
(213628,10163088,'Cannot be modified except by direct means',100,2,4),
(213629,105817,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(213630,105817,'Inflicts 87 - 145 disease damage on target',100,2,1),
(213631,10105817,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(213632,10105817,'Inflicts 113 - 189 disease damage on target',100,2,1),
(213633,112121,'Dispels 32 levels of physical and arcane hostile effects on caster',100,1,0),
(213634,10112121,'Dispels 32 levels of physical and arcane hostile effects on caster',100,1,0),
(213635,106506,'Decreases STR and AGI of target by 127.0',100,1,0),
(213636,10106506,'Decreases STR and AGI of target by 127.0',100,1,0),
(213637,74863,'When Equipped:',100,0,0),
(213638,74863,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213639,74863,'Inflicts 169 - 254 magic damage on target',100,2,2),
(213640,74863,'Cannot be modified except by direct means',100,2,3),
(213641,10074863,'When Equipped:',100,0,0),
(213642,10074863,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213643,10074863,'Inflicts 220 - 330 magic damage on target',100,2,2),
(213644,10074863,'Cannot be modified except by direct means',100,2,3),
(213645,103923,'Wards group members (AE) collectively against 1049 total points of all damage',100,1,0),
(213646,10103923,'Wards group members (AE) collectively against 1562 total points of all damage',100,1,0),
(213647,71598,'When Equipped:',100,0,0),
(213648,71598,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(213649,71598,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(213650,71598,'Cannot be modified except by direct means',100,2,3),
(213651,10071598,'When Equipped:',100,0,0),
(213652,10071598,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(213653,10071598,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(213654,10071598,'Cannot be modified except by direct means',100,2,3),
(213655,143320,'When Equipped:',100,0,0),
(213656,143320,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(213657,143320,'Increases power of target by 249',100,2,2),
(213658,143320,'Decreases power of caster by 225',100,2,3),
(213659,143320,'Cannot be modified except by direct means',100,2,4),
(213660,10143320,'When Equipped:',100,0,0),
(213661,10143320,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(213662,10143320,'Increases power of target by 249',100,2,2),
(213663,10143320,'Decreases power of caster by 225',100,2,3),
(213664,10143320,'Cannot be modified except by direct means',100,2,4),
(213665,72788,'When Equipped:',100,0,0),
(213666,72788,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(213667,72788,'Wards caster against 2000 points of all damage',100,2,2),
(213668,72788,'Cannot be modified except by direct means',100,2,3),
(213669,72788,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(213670,72788,'Wards caster against 2000 points of all damage',100,2,5),
(213671,72788,'Cannot be modified except by direct means',100,2,6),
(213672,10072788,'When Equipped:',100,0,0),
(213673,10072788,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(213674,10072788,'Wards caster against 1000 points of all damage',100,2,2),
(213675,10072788,'Cannot be modified except by direct means',100,2,3),
(213676,10072788,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(213677,10072788,'Wards caster against 1000 points of all damage',100,2,5),
(213678,10072788,'Cannot be modified except by direct means',100,2,6),
(213679,113806,'Inflicts 9 - 15 disease damage on target',100,1,0),
(213680,10113806,'Inflicts 11 - 19 disease damage on target',100,1,0),
(213681,113017,'Increases WIS of caster by 42.2',100,1,0),
(213682,113017,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(213683,113017,'Increases Defense of caster by 7.7',100,1,2),
(213684,113017,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(213685,10113017,'Increases WIS of caster by 42.2',100,1,0),
(213686,10113017,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(213687,10113017,'Increases Defense of caster by 7.7',100,1,2),
(213688,10113017,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(213689,110452,'Dazes targets in Area of Effect',100,1,0),
(213690,110452,'If Target is not Epic',100,2,1),
(213691,110452,'Decreases Threat to targets in Area of Effect by 1,959 ',100,1,2),
(213692,110452,'Dispelled when target receives hostile action',100,1,3),
(213693,110452,'Dispelled when target takes damage',100,1,4),
(213694,10110452,'Dazes targets in Area of Effect',100,1,0),
(213695,10110452,'If Target is not Epic',100,2,1),
(213696,10110452,'Applies Distract.',100,1,2),
(213697,10110452,'Forces target to clear their selected target.',100,2,3),
(213698,10110452,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(213699,10110452,'Dispelled when target receives hostile action',100,1,5),
(213700,10110452,'Dispelled when target takes damage',100,1,6),
(213701,104068,'Inflicts 145 - 242 mental damage on target',100,1,0),
(213702,104068,'Inflicts 145 - 242 mental damage on target',100,1,1),
(213703,10104068,'Inflicts 189 - 315 mental damage on target',100,1,0),
(213704,10104068,'Inflicts 189 - 315 mental damage on target',100,1,1),
(213705,106158,'Inflicts 631 - 1052 divine damage on target encounter',100,1,0),
(213706,106158,'Interrupts target encounter',100,1,1),
(213707,10106158,'Inflicts 820 - 1367 divine damage on target encounter',100,1,0),
(213708,10106158,'Interrupts target encounter',100,1,1),
(213709,52858,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(213710,52858,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(213711,52858,'Inflicts 27 heat damage on target',100,2,2),
(213712,52858,'Cannot be modified except by direct means',100,2,3),
(213713,10052858,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(213714,10052858,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(213715,10052858,'Inflicts 35 heat damage on target',100,2,2),
(213716,10052858,'Cannot be modified except by direct means',100,2,3),
(213717,114842,'Dazes caster',100,1,0),
(213718,114842,'Roots caster',100,1,1),
(213719,114842,'Increases Mitigation of caster vs physical damage by 3069',100,1,2),
(213720,10114842,'Dazes caster',100,1,0),
(213721,10114842,'Roots caster',100,1,1),
(213722,10114842,'Increases Mitigation of caster vs physical damage by 3069',100,1,2),
(213723,113974,'Inflicts 39 - 66 slashing damage on target',100,1,0),
(213724,113974,'Decreases Slashing, Crushing and Piercing of target by 1.8',100,1,1),
(213725,10113974,'Inflicts 51 - 86 slashing damage on target',100,1,0),
(213726,10113974,'Decreases Slashing, Crushing and Piercing of target by 1.8',100,1,1),
(213727,81727,'When Equipped:',100,0,0),
(213728,81727,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213729,81727,'Inflicts 148 - 274 magic damage on target',100,2,2),
(213730,81727,'Cannot be modified except by direct means',100,2,3),
(213731,10081727,'When Equipped:',100,0,0),
(213732,10081727,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213733,10081727,'Inflicts 192 - 356 magic damage on target',100,2,2),
(213734,10081727,'Cannot be modified except by direct means',100,2,3),
(213735,81587,'When Equipped:',100,0,0),
(213736,81587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213737,81587,'Inflicts 167 - 311 magic damage on target',100,2,2),
(213738,81587,'Cannot be modified except by direct means',100,2,3),
(213739,10081587,'When Equipped:',100,0,0),
(213740,10081587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213741,10081587,'Inflicts 217 - 404 magic damage on target',100,2,2),
(213742,10081587,'Cannot be modified except by direct means',100,2,3),
(213743,153752,'When Equipped:',100,0,0),
(213744,153752,'Additional equipment with Void Bane improves this effect.',100,1,1),
(213745,153752,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(213746,153752,'Inflicts 1031 mental damage on target',100,2,3),
(213747,153752,'If any of the following are true:',100,3,4),
(213748,153752,'Must be classified as a void beast',100,4,5),
(213749,153752,'Must be classified as a shadowed folk',100,4,6),
(213750,153752,'Inflicts 516 mental damage on target',100,2,7),
(213751,153752,'Must not be classified as a void beast',100,3,8),
(213752,153752,'Must not be classified as a shadowed folk',100,3,9),
(213753,153752,'Decreases Mitigation of target vs arcane damage by 747',100,2,10),
(213754,153752,'If any of the following are true:',100,3,11),
(213755,153752,'Must be classified as a void beast',100,4,12),
(213756,153752,'Must be classified as a shadowed folk',100,4,13),
(213757,153752,'Cannot be modified except by direct means',100,2,14),
(213758,10153752,'When Equipped:',100,0,0),
(213759,10153752,'Additional equipment with Void Bane improves this effect.',100,1,1),
(213760,10153752,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(213761,10153752,'Inflicts 1341 mental damage on target',100,2,3),
(213762,10153752,'If any of the following are true:',100,3,4),
(213763,10153752,'Must be classified as a void beast',100,4,5),
(213764,10153752,'Must be classified as a shadowed folk',100,4,6),
(213765,10153752,'Inflicts 670 mental damage on target',100,2,7);
INSERT INTO `item_effects` VALUES
(213766,10153752,'Must not be classified as a void beast',100,3,8),
(213767,10153752,'Must not be classified as a shadowed folk',100,3,9),
(213768,10153752,'Decreases Mitigation of target vs arcane damage by 747',100,2,10),
(213769,10153752,'If any of the following are true:',100,3,11),
(213770,10153752,'Must be classified as a void beast',100,4,12),
(213771,10153752,'Must be classified as a shadowed folk',100,4,13),
(213772,10153752,'Cannot be modified except by direct means',100,2,14),
(213773,121390,'Roots caster',100,1,0),
(213774,121390,'Applies Steel Hail.',100,1,1),
(213775,121390,'Inflicts 815 - 1359 ranged damage on target',100,2,2),
(213776,121390,'Dazes caster',100,1,3),
(213777,121390,'Stifles caster',100,1,4),
(213778,121390,'If weapon equipped in Ranged',100,1,5),
(213779,121390,'Resistibility increases against targets higher than level 103.',100,1,6),
(213780,10121390,'Roots caster',100,1,0),
(213781,10121390,'Applies Steel Hail.',100,1,1),
(213782,10121390,'Inflicts 693 - 1155 ranged damage on target',100,2,2),
(213783,10121390,'Dazes caster',100,1,3),
(213784,10121390,'Stifles caster',100,1,4),
(213785,10121390,'If weapon equipped in Ranged',100,1,5),
(213786,10121390,'Resistibility increases against targets higher than level 103.',100,1,6),
(213787,162235,'When Equipped:',100,0,0),
(213788,162235,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(213789,162235,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(213790,162235,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(213791,162235,'Heals caster for 1185 - 1309',100,2,4),
(213792,162235,'Must not be engaged in pvp combat',100,2,5),
(213793,162235,'Cannot be modified except by direct means',100,2,6),
(213794,162235,'Cannot be modified except by direct means',100,1,7),
(213795,10162235,'When Equipped:',100,0,0),
(213796,10162235,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(213797,10162235,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(213798,10162235,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(213799,10162235,'Heals caster for 1386 - 1532',100,2,4),
(213800,10162235,'Must not be engaged in pvp combat',100,2,5),
(213801,10162235,'Cannot be modified except by direct means',100,2,6),
(213802,10162235,'Cannot be modified except by direct means',100,1,7),
(213803,111945,'Inflicts 44 - 54 disease damage on target',100,1,0),
(213804,111945,'Decreases Mitigation of target vs noxious damage by 119',100,1,1),
(213805,10111945,'Inflicts 74 - 91 disease damage on target',100,1,0),
(213806,10111945,'Decreases Mitigation of target vs noxious damage by 119',100,1,1),
(213807,36931,'Increases STA of target by 1.5',100,0,0),
(213808,36931,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(213809,118057,'Increases threat priority of target by 3 positions',100,1,0),
(213810,118057,'Increases Threat to target by 1,104 ',100,1,1),
(213811,10118057,'Applies Annoy on termination.  Lasts for 3.0 seconds.',100,1,0),
(213812,10118057,'Prevents target from changing targets',100,2,1),
(213813,10118057,'Forces target to change their selected target to caster.',100,2,2),
(213814,46393,'Applies essence of health when Activated.',100,0,0),
(213815,46393,'Heals caster for 710',100,1,1),
(213816,10046393,'Applies essence of health when Activated.',100,0,0),
(213817,10046393,'Heals caster for 462',100,1,1),
(213818,120345,'Increases Threat to target by 1,843 - 2,252 ',100,1,0),
(213819,10120345,'Forces target to change their selected target to caster.',100,1,0),
(213820,10120345,'Prevents target from changing targets',100,1,1),
(213821,81696,'When Equipped:',100,0,0),
(213822,81696,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213823,81696,'Inflicts 118 - 218 magic damage on target',100,2,2),
(213824,81696,'Decreases Threat to target by 259 ',100,2,3),
(213825,81696,'Must be flanking or behind',100,3,4),
(213826,81696,'Increases Threat to target by 259 ',100,2,5),
(213827,81696,'Must be in front of',100,3,6),
(213828,81696,'Cannot be modified except by direct means',100,2,7),
(213829,10081696,'When Equipped:',100,0,0),
(213830,10081696,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213831,10081696,'Inflicts 153 - 284 magic damage on target',100,2,2),
(213832,10081696,'Cannot be modified except by direct means',100,2,3),
(213833,152037,'When Equipped:',100,0,0),
(213834,152037,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(213835,152037,'Inflicts 1192 piercing damage on target',100,2,2),
(213836,152037,'Cannot be modified except by direct means',100,2,3),
(213837,10152037,'When Equipped:',100,0,0),
(213838,10152037,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(213839,10152037,'Inflicts 775 piercing damage on target',100,2,2),
(213840,10152037,'Cannot be modified except by direct means',100,2,3),
(213841,105359,'Increases STA of group members (AE) by 21.4',100,1,0),
(213842,105359,'Increases Mitigation of group members (AE) vs physical damage by 203',100,1,1),
(213843,10105359,'Increases STA of group members (AE) by 21.4',100,1,0),
(213844,10105359,'Increases Mitigation of group members (AE) vs physical damage by 203',100,1,1),
(213845,177614,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(213846,177614,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(213847,177614,'Inflicts 111 heat damage on target',100,2,2),
(213848,177614,'Cannot be modified except by direct means',100,2,3),
(213849,10177614,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(213850,10177614,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(213851,10177614,'Inflicts 145 heat damage on target',100,2,2),
(213852,10177614,'Cannot be modified except by direct means',100,2,3),
(213853,122367,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(213854,122367,'Inflicts 52 - 63 piercing damage on target',100,2,1),
(213855,10122367,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(213856,10122367,'Inflicts 67 - 82 piercing damage on target',100,2,1),
(213857,111347,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(213858,111347,'Inflicts 712 - 871 mental damage on target',100,2,1),
(213859,111347,'Grants a total of 3 triggers of the spell.',100,2,2),
(213860,10111347,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(213861,10111347,'Inflicts 926 - 1132 mental damage on target',100,2,1),
(213862,10111347,'Grants a total of 3 triggers of the spell.',100,2,2),
(213863,170872,'When Equipped:',100,0,0),
(213864,170872,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(213865,170872,'Increases Potency of caster by 7.0%',100,2,2),
(213866,170872,'Cannot be modified except by direct means',100,2,3),
(213867,10170872,'When Equipped:',100,0,0),
(213868,10170872,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(213869,10170872,'Increases Potency of caster by 7.0%',100,2,2),
(213870,10170872,'Cannot be modified except by direct means',100,2,3),
(213871,80259,'When Equipped:',100,0,0),
(213872,80259,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213873,80259,'Inflicts 260 - 482 magic damage on target',100,2,2),
(213874,80259,'Decreases Threat to target by 801 ',100,2,3),
(213875,80259,'Must be flanking or behind',100,3,4),
(213876,80259,'Increases Threat to target by 801 ',100,2,5),
(213877,80259,'Must be in front of',100,3,6),
(213878,80259,'Cannot be modified except by direct means',100,2,7),
(213879,10080259,'When Equipped:',100,0,0),
(213880,10080259,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(213881,10080259,'Inflicts 337 - 627 magic damage on target',100,2,2),
(213882,10080259,'Cannot be modified except by direct means',100,2,3),
(213883,106888,'Decreases Threat to targets in Area of Effect by 2,645 ',100,1,0),
(213884,106888,'Stuns targets in Area of Effect',100,1,1),
(213885,106888,'If Target is not Epic',100,2,2),
(213886,10106888,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(213887,10106888,'Applies Distract.',100,1,1),
(213888,10106888,'Forces target to clear their selected target.',100,2,2),
(213889,10106888,'Stuns targets in Area of Effect',100,1,3),
(213890,10106888,'If Target is not Epic',100,2,4),
(213891,122322,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(213892,122322,'Inflicts 1098 - 1342 mental damage on target',100,2,1),
(213893,122322,'Grants a total of 3 triggers of the spell.',100,2,2),
(213894,10122322,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(213895,10122322,'Inflicts 1427 - 1744 mental damage on target',100,2,1),
(213896,10122322,'Grants a total of 3 triggers of the spell.',100,2,2),
(213897,104475,'Decreases Mitigation of target encounter vs physical damage by 264',100,1,0),
(213898,10104475,'Decreases Mitigation of target encounter vs physical damage by 264',100,1,0),
(213899,105677,'Decreases Damage Per Second of target by 36.5',100,1,0),
(213900,105677,'Inflicts 566 - 944 melee damage on target',100,1,1),
(213901,105677,'Must be flanking or behind',100,1,2),
(213902,10105677,'Decreases Damage Per Second of target by 36.5',100,1,0),
(213903,10105677,'Inflicts 736 - 1227 melee damage on target',100,1,1),
(213904,10105677,'Must be flanking or behind',100,1,2),
(213905,154034,'When Equipped:',100,0,0),
(213906,154034,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(213907,154034,'Heals group members (AE) for 174',100,2,2),
(213908,154034,'Cannot be modified except by direct means',100,2,3),
(213909,154034,'Cannot be modified except by direct means',100,1,4),
(213910,10154034,'When Equipped:',100,0,0),
(213911,10154034,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(213912,10154034,'Heals group members (AE) for 113',100,2,2),
(213913,10154034,'Cannot be modified except by direct means',100,2,3),
(213914,10154034,'Cannot be modified except by direct means',100,1,4),
(213915,111200,'Inflicts 303 - 506 divine damage on targets in area',100,1,0),
(213916,111200,'Heals group members (AE) for 1.9% of max health',100,1,1),
(213917,111200,'This effect cannot be critically applied.',100,2,2),
(213918,111200,'The healing of this spell cannot be modified except by direct means',100,1,3),
(213919,10111200,'Inflicts 394 - 658 divine damage on targets in area',100,1,0),
(213920,10111200,'Heals group members (AE) for 1.3% of max health',100,1,1),
(213921,10111200,'This effect cannot be critically applied.',100,2,2),
(213922,10111200,'The healing of this spell cannot be modified except by direct means',100,1,3),
(213923,36182,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(213924,36182,'This effect suspends during combat',100,0,1),
(213925,117646,'Decreases Mitigation of target vs physical damage by 73',100,1,0),
(213926,10117646,'Decreases Mitigation of target vs physical damage by 36',100,1,0),
(213927,26918,'When Equipped:',100,0,0),
(213928,26918,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(213929,26918,'Inflicts 329 heat damage on target',100,2,2),
(213930,26918,'Inflicts 36 heat damage on target every 5 seconds',100,2,3),
(213931,26918,'Cannot be modified except by direct means',100,2,4),
(213932,10026918,'When Equipped:',100,0,0),
(213933,10026918,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(213934,10026918,'Inflicts 428 heat damage on target',100,2,2),
(213935,10026918,'Inflicts 46 heat damage on target every 5 seconds',100,2,3),
(213936,10026918,'Cannot be modified except by direct means',100,2,4),
(213937,40634,'When Equipped:',100,0,0),
(213938,40634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213939,40634,'Inflicts 280 - 420 magic damage on target',100,2,2),
(213940,40634,'Cannot be modified except by direct means',100,2,3),
(213941,10040634,'When Equipped:',100,0,0),
(213942,10040634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213943,10040634,'Inflicts 364 - 546 magic damage on target',100,2,2),
(213944,10040634,'Cannot be modified except by direct means',100,2,3),
(213945,74748,'When Equipped:',100,0,0),
(213946,74748,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213947,74748,'Inflicts 97 - 145 magic damage on target',100,2,2),
(213948,74748,'Cannot be modified except by direct means',100,2,3),
(213949,10074748,'When Equipped:',100,0,0),
(213950,10074748,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213951,10074748,'Inflicts 126 - 189 magic damage on target',100,2,2),
(213952,10074748,'Cannot be modified except by direct means',100,2,3),
(213953,36658,'Increases Max Health of target by 3.9',100,0,0),
(213954,36658,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(213955,80870,'When Equipped:',100,0,0),
(213956,80870,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213957,80870,'Inflicts 259 - 481 magic damage on target',100,2,2),
(213958,80870,'Cannot be modified except by direct means',100,2,3),
(213959,10080870,'When Equipped:',100,0,0),
(213960,10080870,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213961,10080870,'Inflicts 337 - 625 magic damage on target',100,2,2),
(213962,10080870,'Cannot be modified except by direct means',100,2,3),
(213963,74645,'When Equipped:',100,0,0),
(213964,74645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213965,74645,'Inflicts 66 - 99 magic damage on target',100,2,2),
(213966,74645,'Cannot be modified except by direct means',100,2,3),
(213967,10074645,'When Equipped:',100,0,0),
(213968,10074645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(213969,10074645,'Inflicts 86 - 129 magic damage on target',100,2,2),
(213970,10074645,'Cannot be modified except by direct means',100,2,3),
(213971,104309,'Inflicts 307 - 513 melee damage on target',100,1,0),
(213972,104309,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(213973,104309,'Stuns target',100,2,2),
(213974,104309,'Blurs vision of target',100,2,3),
(213975,104309,'Throws target back',100,2,4),
(213976,104309,'Does not affect Epic targets',100,2,5),
(213977,10104309,'Inflicts 400 - 667 melee damage on target',100,1,0),
(213978,10104309,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(213979,10104309,'Stuns target',100,2,2),
(213980,10104309,'Throws target back',100,2,3),
(213981,10104309,'Blurs vision of target',100,2,4),
(213982,10104309,'Does not affect Epic targets',100,2,5),
(213983,111265,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(213984,111265,'Heals target for 1039',100,2,1),
(213985,111265,'Increases Mitigation of target vs physical damage by 656',100,2,2),
(213986,111265,'Grants a total of 1 trigger of the spell.',100,2,3),
(213987,10111265,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(213988,10111265,'Heals target for 675',100,2,1),
(213989,10111265,'Increases Mitigation of target vs physical damage by 656',100,2,2),
(213990,10111265,'Grants a total of 1 trigger of the spell.',100,2,3),
(213991,165200,'When Equipped:',100,0,0),
(213992,165200,'When damaged with a melee weapon this spell has a 5% chance to cast Nail Spikes on target''s attacker.  ',100,1,1),
(213993,165200,'Inflicts 70 piercing damage on target',100,2,2),
(213994,165200,'Cannot be modified except by direct means',100,2,3),
(213995,10165200,'When Equipped:',100,0,0),
(213996,10165200,'When damaged with a melee weapon this spell has a 5% chance to cast Nail Spikes on target''s attacker.  ',100,1,1),
(213997,10165200,'Inflicts 91 piercing damage on target',100,2,2),
(213998,10165200,'Cannot be modified except by direct means',100,2,3),
(213999,47803,'Applies Aura of the Wood Elf when Activated.',100,0,0),
(214000,47803,'Casts aura of the Wood Elf on the user',100,1,1),
(214001,10047803,'Applies Aura of the Wood Elf when Activated.',100,0,0),
(214002,10047803,'Casts aura of the Wood Elf on the user',100,1,1),
(214003,109991,'Increases the healing and ward of target ally by 22%',100,1,0),
(214004,109991,'Increases the resurrect restoration amount of target ally by 22%',100,1,1),
(214005,109991,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(214006,109991,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(214007,10109991,'Increases the healing and ward of target ally by 22%',100,1,0),
(214008,10109991,'Increases the resurrect restoration amount of target ally by 22%',100,1,1),
(214009,10109991,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(214010,10109991,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(214011,110605,'Decreases Focus of target by 28.4',100,1,0),
(214012,110605,'Interrupts target',100,1,1),
(214013,110605,'Inflicts 169 - 507 crushing damage on target',100,1,2),
(214014,10110605,'Decreases Focus of target by 28.4',100,1,0),
(214015,10110605,'Interrupts target',100,1,1),
(214016,10110605,'Inflicts 219 - 659 crushing damage on target',100,1,2),
(214017,121473,'Increases AGI of caster by 182.2',100,1,0),
(214018,121473,'Adds 25.0% to base avoidance.',100,1,1),
(214019,121473,'Increases Mitigation of caster vs physical damage by 1777',100,1,2),
(214020,121473,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,3),
(214021,10121473,'Increases AGI of caster by 182.2',100,1,0),
(214022,10121473,'Adds 25.0% to base avoidance.',100,1,1),
(214023,10121473,'Increases Mitigation of caster vs physical damage by 1777',100,1,2),
(214024,10121473,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,3),
(214025,37327,'Increases STA of target by 5.4',100,0,0),
(214026,37327,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,1),
(214027,37327,'Increases outgoing heal and ward amount by 2%',100,0,2),
(214028,37327,'Increases WIS of target by 5.4',100,0,3),
(214029,82814,'When Equipped:',100,0,0),
(214030,82814,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214031,82814,'Inflicts 350 - 650 magic damage on target',100,2,2),
(214032,82814,'Decreases Threat to target by 833 ',100,2,3),
(214033,82814,'Must be flanking or behind',100,3,4),
(214034,82814,'Increases Threat to target by 833 ',100,2,5),
(214035,82814,'Must be in front of',100,3,6),
(214036,82814,'Cannot be modified except by direct means',100,2,7),
(214037,10082814,'When Equipped:',100,0,0),
(214038,10082814,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214039,10082814,'Inflicts 455 - 845 magic damage on target',100,2,2),
(214040,10082814,'Cannot be modified except by direct means',100,2,3),
(214041,103740,'Increases Max Health of raid and group members (AE) by 749.0',100,1,0),
(214042,103740,'Increases Defense of raid and group members (AE) by 25.7',100,1,1),
(214043,10103740,'Increases Max Health of raid and group members (AE) by 749.0',100,1,0),
(214044,10103740,'Increases Defense of raid and group members (AE) by 25.7',100,1,1),
(214045,152819,'When Equipped:',100,0,0),
(214046,152819,'Increases Max Health of caster by 1,220.0',100,1,1),
(214047,152819,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(214048,152819,'Cannot be modified except by direct means',100,1,3),
(214049,10152819,'When Equipped:',100,0,0),
(214050,10152819,'Increases Max Health of caster by 1,220.0',100,1,1),
(214051,10152819,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(214052,10152819,'Cannot be modified except by direct means',100,1,3),
(214053,47398,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(214054,47398,'This potion will grant you the illusion of being an orc ghost!',100,1,1),
(214055,10047398,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(214056,10047398,'This potion will grant you the illusion of being an orc ghost!',100,1,1),
(214057,188155,'When Equipped:',100,0,0),
(214058,188155,'On any combat or spell hit this spell may cast Alacrity of an Undaunted Champion on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214059,188155,'Heals caster for 1748 - 1932 instantly and every 3 seconds',100,2,2),
(214060,188155,'5% of all physical damage received by the caster is prevented.',100,2,3),
(214061,188155,'Increases caster''s chance to block by 10.0%',100,2,4),
(214062,188155,'Must not be engaged in pvp combat',100,2,5),
(214063,188155,'Cannot be modified except by direct means',100,2,6),
(214064,188155,'Caster will Riposte 3.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,7),
(214065,188155,'Increases Crit Bonus of caster by 10.0%',100,1,8),
(214066,10188155,'When Equipped:',100,0,0),
(214067,10188155,'On any combat or spell hit this spell may cast Alacrity of an Undaunted Champion on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214068,10188155,'Heals caster for 2045 - 2260 instantly and every 3 seconds',100,2,2),
(214069,10188155,'5% of all physical damage received by the caster is prevented.',100,2,3),
(214070,10188155,'Increases caster''s chance to block by 10.0%',100,2,4),
(214071,10188155,'Must not be engaged in pvp combat',100,2,5),
(214072,10188155,'Cannot be modified except by direct means',100,2,6),
(214073,10188155,'Caster will Riposte 3.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,7),
(214074,10188155,'Increases Crit Bonus of caster by 10.0%',100,1,8),
(214075,41431,'When Equipped:',100,0,0),
(214076,41431,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214077,41431,'Inflicts 226 - 419 magic damage on target',100,2,2),
(214078,41431,'Decreases Threat to target by 517 ',100,2,3),
(214079,41431,'Must be flanking or behind',100,3,4),
(214080,41431,'Increases Threat to target by 517 ',100,2,5),
(214081,41431,'Must be in front of',100,3,6),
(214082,41431,'Cannot be modified except by direct means',100,2,7),
(214083,10041431,'When Equipped:',100,0,0),
(214084,10041431,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214085,10041431,'Inflicts 293 - 545 magic damage on target',100,2,2),
(214086,10041431,'Cannot be modified except by direct means',100,2,3),
(214087,45092,'Applies Summon Pink-Saddled White Tiger when Activated.',100,0,0),
(214088,45092,'Summons a mount to ride',100,1,1),
(214089,45092,'Increases your ground speed by 56%',100,2,2),
(214090,10045092,'Applies Summon Pink-Saddled White Tiger when Activated.',100,0,0),
(214091,10045092,'Summons a mount to ride',100,1,1),
(214092,10045092,'Increases your ground speed by 56%',100,2,2),
(214093,45653,'Applies Clouded Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(214094,45653,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(214095,45653,'Inflicts 24 magic damage on target',100,2,2),
(214096,45653,'Cannot be modified except by direct means',100,2,3),
(214097,45653,'Only affects targets level 50 and above',100,1,4),
(214098,10045653,'Applies Clouded Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(214099,10045653,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(214100,10045653,'Inflicts 31 magic damage on target',100,2,2),
(214101,10045653,'Cannot be modified except by direct means',100,2,3),
(214102,10045653,'Only affects targets level 50 and above',100,1,4),
(214103,116986,'Inflicts 4 - 13 melee damage on target',100,1,0),
(214104,10116986,'Inflicts 5 - 17 melee damage on target',100,1,0),
(214105,72013,'When Equipped:',100,0,0),
(214106,72013,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214107,72013,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(214108,72013,'Cannot be modified except by direct means',100,2,3),
(214109,10072013,'When Equipped:',100,0,0),
(214110,10072013,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214111,10072013,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(214112,10072013,'Cannot be modified except by direct means',100,2,3),
(214113,122004,'Inflicts 202 - 337 melee damage on targets in area',100,1,0),
(214114,122004,'Increases Threat to target encounter by 716 ',100,1,1),
(214115,10122004,'Inflicts 263 - 438 melee damage on targets in area',100,1,0),
(214116,10122004,'Prevents target encounter from changing targets',100,1,1),
(214117,10122004,'Forces target encounter to change their selected target to caster.',100,1,2),
(214118,46262,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(214119,46262,'Increases INT of caster by 78.4',100,1,1),
(214120,10046262,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(214121,10046262,'Increases INT of caster by 78.4',100,1,1),
(214122,111208,'Inflicts 586 - 976 divine damage on targets in area',100,1,0),
(214123,111208,'Heals group members (AE) for 2.5% of max health',100,1,1),
(214124,111208,'This effect cannot be critically applied.',100,2,2),
(214125,111208,'The healing of this spell cannot be modified except by direct means',100,1,3),
(214126,10111208,'Inflicts 761 - 1269 divine damage on targets in area',100,1,0),
(214127,10111208,'Heals group members (AE) for 1.6% of max health',100,1,1),
(214128,10111208,'This effect cannot be critically applied.',100,2,2),
(214129,10111208,'The healing of this spell cannot be modified except by direct means',100,1,3),
(214130,105285,'Increases AGI of caster by 52.2',100,1,0),
(214131,105285,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(214132,105285,'Inflicts 67 - 111 mental damage on target',100,2,2),
(214133,105285,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(214134,105285,'Inflicts 67 - 111 mental damage on target',100,2,4),
(214135,105285,'Adds 15.6% to base avoidance.',100,1,5),
(214136,105285,'Increases Mitigation of caster vs physical damage by 189',100,1,6),
(214137,105285,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,7),
(214138,10105285,'Increases AGI of caster by 52.2',100,1,0),
(214139,10105285,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(214140,10105285,'Inflicts 87 - 144 mental damage on target',100,2,2),
(214141,10105285,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(214142,10105285,'Inflicts 87 - 144 mental damage on target',100,2,4),
(214143,10105285,'Adds 15.6% to base avoidance.',100,1,5),
(214144,10105285,'Increases Mitigation of caster vs physical damage by 189',100,1,6),
(214145,10105285,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,7),
(214146,45464,'Applies Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(214147,45464,'Increases AGI of caster by 58.7',100,1,1),
(214148,45464,'Only affects targets level 50 and above',100,1,2),
(214149,10045464,'Applies Captain Nalot''s Tonic when Activated.  Lasts for 30 minutes.',100,0,0),
(214150,10045464,'Increases AGI of caster by 58.7',100,1,1),
(214151,10045464,'Only affects targets level 50 and above',100,1,2),
(214152,24590,'Adds Naga Undead (Brigand) to your Dungeon Maker toolbox',100,0,0),
(214153,10024590,'Adds Naga Undead (Brigand) to your Dungeon Maker toolbox',100,0,0),
(214154,101847,'Summons a limited pet to aid the caster',100,1,0),
(214155,10101847,'Summons a limited pet to aid the caster',100,1,0),
(214156,35224,'Increases Max Power of target by 3.3',100,0,0),
(214157,35224,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(214158,121519,'Inflicts 375 - 625 melee damage on target',100,1,0),
(214159,121519,'Stuns target',100,1,1),
(214160,121519,'If Target is not Epic',100,2,2),
(214161,121519,'Resistibility increases against targets higher than level 73.',100,1,3),
(214162,10121519,'Inflicts 487 - 812 melee damage on target',100,1,0),
(214163,10121519,'Stuns target',100,1,1),
(214164,10121519,'If Target is not Epic',100,2,2),
(214165,10121519,'Resistibility increases against targets higher than level 73.',100,1,3),
(214166,24532,'Adds Mistmoore: Gilded Short Table to your Dungeon Maker toolbox',100,0,0),
(214167,10024532,'Adds Mistmoore: Gilded Short Table to your Dungeon Maker toolbox',100,0,0),
(214168,123910,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(214169,123910,'Slows target by 47.5%',100,2,1),
(214170,123910,'5% chance to dispel when target receives hostile action',100,2,2),
(214171,123910,'5% chance to dispel when target takes damage',100,2,3),
(214172,123910,'Decreases Mitigation of target vs elemental and noxious damage by 726',100,1,4),
(214173,10123910,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(214174,10123910,'Slows target by 47.5%',100,2,1),
(214175,10123910,'5% chance to dispel when target receives hostile action',100,2,2),
(214176,10123910,'5% chance to dispel when target takes damage',100,2,3),
(214177,10123910,'Decreases Mitigation of target vs elemental and noxious damage by 726',100,1,4),
(214178,108780,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(214179,108780,'Inflicts 52 - 63 heat damage on target instantly and every 4 seconds',100,2,1),
(214180,108780,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(214181,108780,'Inflicts 229 - 280 heat damage on target encounter',100,3,3),
(214182,108780,'Grants a total of 1 trigger of the spell.',100,3,4),
(214183,10108780,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(214184,10108780,'Inflicts 67 - 82 heat damage on target instantly and every 4 seconds',100,2,1),
(214185,10108780,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(214186,10108780,'Inflicts 298 - 364 heat damage on target encounter',100,3,3),
(214187,10108780,'Grants a total of 1 trigger of the spell.',100,3,4),
(214188,146386,'When Equipped:',100,0,0),
(214189,146386,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(214190,146386,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(214191,146386,'Heals caster for 811 - 1217',100,2,3),
(214192,146386,'Cannot be modified except by direct means',100,2,4),
(214193,146386,'Cannot be modified except by direct means',100,1,5),
(214194,10146386,'When Equipped:',100,0,0),
(214195,10146386,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(214196,10146386,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(214197,10146386,'Heals caster for 949 - 1424',100,2,3),
(214198,10146386,'Cannot be modified except by direct means',100,2,4),
(214199,10146386,'Cannot be modified except by direct means',100,1,5),
(214200,25592,'When Equipped:',100,0,0),
(214201,25592,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(214202,25592,'Adds 10% max health to Magi''s Shielding.',100,1,2),
(214203,10025592,'When Equipped:',100,0,0),
(214204,10025592,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(214205,10025592,'Adds 10% max health to Magi''s Shielding.',100,1,2),
(214206,105649,'Decreases Damage Per Second of target by 12.1',100,1,0),
(214207,105649,'Inflicts 23 - 39 melee damage on target',100,1,1),
(214208,105649,'Must be flanking or behind',100,1,2),
(214209,10105649,'Decreases Damage Per Second of target by 12.1',100,1,0),
(214210,10105649,'Inflicts 30 - 50 melee damage on target',100,1,1),
(214211,10105649,'Must be flanking or behind',100,1,2),
(214212,120652,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 9.3',100,1,0),
(214213,120652,'Increases Focus of group members (AE) by 18.6',100,1,1),
(214214,10120652,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 9.3',100,1,0),
(214215,10120652,'Increases Focus of group members (AE) by 18.6',100,1,1),
(214216,152561,'When Equipped:',100,0,0),
(214217,152561,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214218,152561,'Increases power of caster by 276 instantly and every 4 seconds',100,2,2),
(214219,152561,'Cannot be modified except by direct means',100,2,3),
(214220,10152561,'When Equipped:',100,0,0),
(214221,10152561,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214222,10152561,'Increases power of caster by 276 instantly and every 4 seconds',100,2,2),
(214223,10152561,'Cannot be modified except by direct means',100,2,3),
(214224,111543,'Increases Hate Gain of target by 21.3%',100,1,0),
(214225,111543,'Increases Aggression of target by 15.2',100,1,1),
(214226,10111543,'Increases STR of target by 39.4',100,1,0),
(214227,10111543,'Increases Aggression of target by 15.2',100,1,1),
(214228,117031,'Inflicts 6 - 10 melee damage on target',100,1,0),
(214229,117031,'Decreases Attack Speed of target by 10.1',100,1,1),
(214230,10117031,'Inflicts 8 - 13 melee damage on target',100,1,0),
(214231,10117031,'Decreases Attack Speed of target by 10.1',100,1,1),
(214232,161135,'When Equipped:',100,0,0),
(214233,161135,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214234,161135,'Inflicts 1998 magic damage on target',100,2,2),
(214235,161135,'Inflicts 333 magic damage on target every 4 seconds',100,2,3),
(214236,161135,'Must not be engaged in pvp combat',100,2,4),
(214237,161135,'Cannot be modified except by direct means',100,2,5),
(214238,10161135,'When Equipped:',100,0,0),
(214239,10161135,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214240,10161135,'Inflicts 2597 magic damage on target',100,2,2),
(214241,10161135,'Inflicts 433 magic damage on target every 4 seconds',100,2,3),
(214242,10161135,'Must not be engaged in pvp combat',100,2,4),
(214243,10161135,'Cannot be modified except by direct means',100,2,5),
(214244,120205,'Decreases STR and INT of target by 91.5',100,1,0),
(214245,120205,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(214246,120205,'Grants a total of 1 trigger of the spell.',100,2,2),
(214247,10120205,'Decreases STR and INT of target by 91.5',100,1,0),
(214248,10120205,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(214249,10120205,'Grants a total of 1 trigger of the spell.',100,2,2),
(214250,71720,'When Equipped:',100,0,0),
(214251,71720,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214252,71720,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(214253,71720,'Cannot be modified except by direct means',100,2,3),
(214254,10071720,'When Equipped:',100,0,0),
(214255,10071720,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214256,10071720,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(214257,10071720,'Cannot be modified except by direct means',100,2,3),
(214258,120942,'Inflicts 216 - 361 ranged damage on target',100,1,0),
(214259,120942,'If weapon equipped in Ranged',100,1,1),
(214260,120942,'Must be behind',100,1,2),
(214261,10120942,'Inflicts 184 - 307 ranged damage on target',100,1,0),
(214262,10120942,'If weapon equipped in Ranged',100,1,1),
(214263,10120942,'Must be behind',100,1,2),
(214264,81314,'When Equipped:',100,0,0),
(214265,81314,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214266,81314,'Inflicts 314 - 583 magic damage on target',100,2,2),
(214267,81314,'Cannot be modified except by direct means',100,2,3),
(214268,10081314,'When Equipped:',100,0,0),
(214269,10081314,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214270,10081314,'Inflicts 408 - 757 magic damage on target',100,2,2),
(214271,10081314,'Cannot be modified except by direct means',100,2,3),
(214272,176643,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(214273,176643,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,1),
(214274,176643,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(214275,10176643,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(214276,10176643,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,1),
(214277,10176643,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(214278,102926,'Inflicts 29 - 35 disease damage on target instantly and every 4 seconds',100,1,0),
(214279,10102926,'Inflicts 49 - 59 disease damage on target',100,1,0),
(214280,10102926,'Inflicts 37 - 46 disease damage on target every 4 seconds',100,1,1),
(214281,108788,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(214282,108788,'Inflicts 104 - 127 heat damage on target instantly and every 4 seconds',100,2,1),
(214283,108788,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(214284,108788,'Inflicts 461 - 563 heat damage on target encounter',100,3,3),
(214285,108788,'Grants a total of 1 trigger of the spell.',100,3,4),
(214286,10108788,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(214287,10108788,'Inflicts 135 - 165 heat damage on target instantly and every 4 seconds',100,2,1),
(214288,10108788,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(214289,10108788,'Inflicts 599 - 732 heat damage on target encounter',100,3,3),
(214290,10108788,'Grants a total of 1 trigger of the spell.',100,3,4),
(214291,115818,'Inflicts 37 disease damage on target every 3 seconds',100,1,0),
(214292,115818,'Inflicts 139 - 232 melee damage on target',100,1,1),
(214293,115818,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(214294,115818,'Heals caster for 1.6% of max health instantly and every 3 seconds',100,2,3),
(214295,115818,'This effect cannot be critically applied.',100,3,4),
(214296,115818,'The healing of this spell cannot be modified except by direct means',100,2,5),
(214297,115818,'The healing of this spell cannot be modified except by direct means',100,1,6),
(214298,10115818,'Inflicts 48 disease damage on target every 3 seconds',100,1,0),
(214299,10115818,'Inflicts 181 - 301 melee damage on target',100,1,1),
(214300,10115818,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(214301,10115818,'Heals caster for 0.5% of max health instantly and every 3 seconds',100,2,3),
(214302,10115818,'This effect cannot be critically applied.',100,3,4),
(214303,10115818,'The healing of this spell cannot be modified except by direct means',100,2,5),
(214304,10115818,'The healing of this spell cannot be modified except by direct means',100,1,6),
(214305,35530,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(214306,117470,'Inflicts 1424 - 2373 melee damage on target',100,1,0),
(214307,117470,'You must be sneaking to use this ability.',100,1,1),
(214308,117470,'Must be flanking or behind',100,1,2),
(214309,10117470,'Inflicts 1148 - 1913 melee damage on target',100,1,0),
(214310,10117470,'You must be sneaking to use this ability.',100,1,1),
(214311,10117470,'Must be flanking or behind',100,1,2),
(214312,123475,'Shapechanges caster into a bear',100,1,0),
(214313,123475,'Increases WIS of caster by 174.2',100,1,1),
(214314,123475,'Grants See Stealth to caster',100,1,2),
(214315,123475,'Increases Max Health of caster by 776.4',100,1,3),
(214316,123475,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2451',100,1,4),
(214317,10123475,'Shapechanges caster into a bear',100,1,0),
(214318,10123475,'Increases WIS of caster by 174.2',100,1,1),
(214319,10123475,'Grants See Stealth to caster',100,1,2),
(214320,10123475,'Increases Max Health of caster by 776.4',100,1,3),
(214321,10123475,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2451',100,1,4),
(214322,189092,'When Equipped:',100,0,0),
(214323,189092,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(214324,189092,'Inflicts 1998 cold damage on target encounter',100,2,2),
(214325,189092,'Must not be engaged in pvp combat',100,2,3),
(214326,189092,'Cannot be modified except by direct means',100,2,4),
(214327,189092,'Must not be engaged in pvp combat',100,1,5),
(214328,10189092,'When Equipped:',100,0,0),
(214329,10189092,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(214330,10189092,'Inflicts 1299 cold damage on target encounter',100,2,2),
(214331,10189092,'Must not be engaged in pvp combat',100,2,3),
(214332,10189092,'Cannot be modified except by direct means',100,2,4),
(214333,10189092,'Must not be engaged in pvp combat',100,1,5),
(214334,118518,'Inflicts 61 - 103 melee damage on target',100,1,0),
(214335,118518,'Decreases STR of target by 8.5',100,1,1),
(214336,118518,'You must be sneaking to use this ability.',100,1,2),
(214337,10118518,'Inflicts 80 - 134 melee damage on target',100,1,0),
(214338,10118518,'Decreases STR of target by 8.5',100,1,1),
(214339,10118518,'You must be sneaking to use this ability.',100,1,2),
(214340,155243,'When Equipped:',100,0,0),
(214341,155243,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(214342,155243,'When Equipped:',100,0,2),
(214343,155243,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(214344,155243,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,4),
(214345,155243,'Dispelled when target casts a hostile spell',100,2,5),
(214346,155243,'Dispelled when target casts a combat art',100,2,6),
(214347,155243,'Cannot be modified except by direct means',100,2,7),
(214348,10155243,'When Equipped:',100,0,0),
(214349,10155243,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(214350,10155243,'When Equipped:',100,0,2),
(214351,10155243,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(214352,10155243,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,4),
(214353,10155243,'Dispelled when target casts a hostile spell',100,2,5),
(214354,10155243,'Dispelled when target casts a combat art',100,2,6),
(214355,10155243,'Cannot be modified except by direct means',100,2,7),
(214356,104287,'Inflicts 119 - 199 melee damage on target',100,1,0),
(214357,104287,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(214358,104287,'Stuns target',100,2,2),
(214359,104287,'Throws target back',100,2,3),
(214360,104287,'Blurs vision of target',100,2,4),
(214361,104287,'Does not affect Epic targets',100,2,5),
(214362,10104287,'Inflicts 155 - 259 melee damage on target',100,1,0),
(214363,10104287,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(214364,10104287,'Stuns target',100,2,2),
(214365,10104287,'Throws target back',100,2,3),
(214366,10104287,'Blurs vision of target',100,2,4),
(214367,10104287,'Does not affect Epic targets',100,2,5),
(214368,26346,'When Equipped:',100,0,0),
(214369,26346,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(214370,26346,'Heals caster for 236',100,2,2),
(214371,26346,'Cannot be modified except by direct means',100,2,3),
(214372,10026346,'When Equipped:',100,0,0),
(214373,10026346,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(214374,10026346,'Heals caster for 153',100,2,2),
(214375,10026346,'Cannot be modified except by direct means',100,2,3),
(214376,105404,'Increases STR of caster by 21.8',100,1,0),
(214377,105404,'Decreases Defense of caster by 1.8',100,1,1),
(214378,105404,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.0',100,1,2),
(214379,10105404,'Increases STR of caster by 21.8',100,1,0),
(214380,10105404,'Decreases Defense of caster by 1.8',100,1,1),
(214381,10105404,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.0',100,1,2),
(214382,109825,'Inflicts 307 - 513 melee damage on target',100,1,0),
(214383,109825,'Decreases Parry of target by 27.8',100,1,1),
(214384,109825,'Must be in front of or flanking',100,1,2),
(214385,10109825,'Inflicts 400 - 667 melee damage on target',100,1,0),
(214386,10109825,'Decreases Parry of target by 27.8',100,1,1),
(214387,10109825,'Must be in front of or flanking',100,1,2),
(214388,103072,'Inflicts 127 magic damage on target instantly and every 4 seconds',100,1,0),
(214389,103072,'Increases power of caster by 70 instantly and every 4 seconds',100,1,1),
(214390,10103072,'Inflicts 165 magic damage on target instantly and every 4 seconds',100,1,0),
(214391,10103072,'Increases power of caster by 70 instantly and every 4 seconds',100,1,1),
(214392,114480,'Inflicts 72 - 97 mental damage on target',100,1,0),
(214393,10114480,'Inflicts 93 - 126 mental damage on target',100,1,0),
(214394,26647,'When Equipped:',100,0,0),
(214395,26647,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(214396,26647,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(214397,10026647,'When Equipped:',100,0,0),
(214398,10026647,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(214399,10026647,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,2),
(214400,45098,'Applies Release Shrumbler when Activated.',100,0,0),
(214401,10045098,'Applies Release Shrumbler when Activated.',100,0,0),
(214402,138355,'When Equipped:',100,0,0),
(214403,138355,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(214404,138355,'Heals group members (AE) for 583',100,2,2),
(214405,138355,'Cannot be modified except by direct means',100,2,3),
(214406,10138355,'When Equipped:',100,0,0),
(214407,10138355,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(214408,10138355,'Heals group members (AE) for 682',100,2,2),
(214409,10138355,'Cannot be modified except by direct means',100,2,3),
(214410,141931,'When Equipped:',100,0,0),
(214411,141931,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214412,141931,'Increases INT of caster by 3.6',100,2,2),
(214413,141931,'Increases Focus, Disruption and Subjugation of caster by 2.2',100,2,3),
(214414,141931,'Cannot be modified except by direct means',100,2,4),
(214415,10141931,'When Equipped:',100,0,0),
(214416,10141931,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(214417,10141931,'Increases INT of caster by 3.6',100,2,2),
(214418,10141931,'Increases Focus, Disruption and Subjugation of caster by 2.2',100,2,3),
(214419,10141931,'Cannot be modified except by direct means',100,2,4),
(214420,119215,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(214421,119215,'Stuns target',100,2,1),
(214422,119215,'Throws target back',100,2,2),
(214423,119215,'Blurs vision of target',100,2,3),
(214424,119215,'Does not affect Epic targets',100,2,4),
(214425,119215,'Inflicts 88 - 263 magic damage on targets in Area of Effect',100,1,5),
(214426,10119215,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(214427,10119215,'Stuns target',100,2,1),
(214428,10119215,'Throws target back',100,2,2),
(214429,10119215,'Blurs vision of target',100,2,3),
(214430,10119215,'Does not affect Epic targets',100,2,4),
(214431,10119215,'Inflicts 114 - 341 magic damage on targets in Area of Effect',100,1,5),
(214432,82940,'When Equipped:',100,0,0),
(214433,82940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214434,82940,'Inflicts 315 - 585 magic damage on target',100,2,2),
(214435,82940,'Cannot be modified except by direct means',100,2,3),
(214436,10082940,'When Equipped:',100,0,0),
(214437,10082940,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214438,10082940,'Inflicts 409 - 760 magic damage on target',100,2,2),
(214439,10082940,'Cannot be modified except by direct means',100,2,3),
(214440,47693,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(214441,47693,'Caster will harvest a second time on 10.0% of harvests.',100,1,1),
(214442,47693,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,2),
(214443,10047693,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(214444,10047693,'Caster will harvest a second time on 10.0% of harvests.',100,1,1),
(214445,10047693,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,2),
(214446,106772,'Mesmerizes target',100,1,0),
(214447,106772,'Prevents AOE (except when direct) ',100,1,1),
(214448,106772,'Dispelled when target takes damage',100,1,2),
(214449,106772,'Does not affect Epic targets',100,1,3),
(214450,106772,'Resistibility increases against targets higher than level 97.',100,1,4),
(214451,10106772,'Mesmerizes target',100,1,0),
(214452,10106772,'Prevents AOE (except when direct) ',100,1,1),
(214453,10106772,'Dispelled when target takes damage',100,1,2),
(214454,10106772,'Does not affect Epic targets',100,1,3),
(214455,10106772,'Resistibility increases against targets higher than level 97.',100,1,4),
(214456,81174,'When Equipped:',100,0,0),
(214457,81174,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214458,81174,'Inflicts 226 - 419 magic damage on target',100,2,2),
(214459,81174,'Decreases Threat to target by 517 ',100,2,3),
(214460,81174,'Must be flanking or behind',100,3,4),
(214461,81174,'Increases Threat to target by 517 ',100,2,5),
(214462,81174,'Must be in front of',100,3,6),
(214463,81174,'Cannot be modified except by direct means',100,2,7),
(214464,10081174,'When Equipped:',100,0,0),
(214465,10081174,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214466,10081174,'Inflicts 293 - 545 magic damage on target',100,2,2),
(214467,10081174,'Cannot be modified except by direct means',100,2,3),
(214468,121134,'Summons a limited pet to aid the caster',100,1,0),
(214469,10121134,'Summons a limited pet to aid the caster',100,1,0),
(214470,45713,'Applies Remedy of the Gods  when Activated.',100,0,0),
(214471,45713,'Heals caster for 108',100,1,1),
(214472,10045713,'Applies Remedy of the Gods  when Activated.',100,0,0),
(214473,10045713,'Heals caster for 70',100,1,1),
(214474,108801,'Inflicts 222 - 411 heat damage on targets in Area of Effect',100,1,0),
(214475,10108801,'Inflicts 288 - 535 heat damage on targets in Area of Effect',100,1,0),
(214476,113817,'Inflicts 125 - 208 disease damage on target',100,1,0),
(214477,10113817,'Inflicts 162 - 271 disease damage on target',100,1,0),
(214478,46885,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(214479,46885,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(214480,46885,'Inflicts 318 poison damage on target instantly and every 4 seconds',100,2,2),
(214481,46885,'Cannot be modified except by direct means',100,2,3),
(214482,46885,'Grants a total of 100 triggers of the spell.',100,2,4),
(214483,10046885,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(214484,10046885,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(214485,10046885,'Inflicts 310 poison damage on target instantly and every 4 seconds',100,2,2),
(214486,10046885,'Cannot be modified except by direct means',100,2,3),
(214487,10046885,'Grants a total of 100 triggers of the spell.',100,2,4),
(214488,105752,'Inflicts 1446 - 2410 melee damage on targets in area',100,1,0),
(214489,105752,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(214490,105752,'Stuns target',100,2,2),
(214491,105752,'Throws target back',100,2,3),
(214492,105752,'Blurs vision of target',100,2,4),
(214493,105752,'Does not affect Epic targets',100,2,5),
(214494,10105752,'Inflicts 1880 - 3133 melee damage on targets in area',100,1,0),
(214495,10105752,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(214496,10105752,'Stuns target',100,2,2),
(214497,10105752,'Throws target back',100,2,3),
(214498,10105752,'Blurs vision of target',100,2,4),
(214499,10105752,'Does not affect Epic targets',100,2,5),
(214500,104403,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(214501,104403,'Inflicts 389 - 475 cold damage on target',100,2,1),
(214502,10104403,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(214503,10104403,'Inflicts 505 - 618 cold damage on target',100,2,1),
(214504,109314,'Increases STR of caster by 18.5',100,1,0),
(214505,109314,'Decreases Defense of caster by 1.8',100,1,1),
(214506,109314,'Increases Slashing, Piercing and Crushing of caster by 3.8',100,1,2),
(214507,10109314,'Increases STR of caster by 18.5',100,1,0),
(214508,10109314,'Decreases Defense of caster by 1.8',100,1,1),
(214509,10109314,'Increases Slashing, Piercing and Crushing of caster by 3.8',100,1,2),
(214510,118635,'Inflicts 122 - 368 crushing damage on target',100,1,0),
(214511,10118635,'Inflicts 159 - 478 crushing damage on target',100,1,0),
(214512,191674,'When Equipped:',100,0,0),
(214513,191674,'Additional equipment with Void Bane improves this effect.',100,1,1),
(214514,191674,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(214515,191674,'Inflicts 802 mental damage on target',100,2,3),
(214516,191674,'If any of the following are true:',100,3,4),
(214517,191674,'Must be classified as a void beast',100,4,5),
(214518,191674,'Must be classified as a shadowed folk',100,4,6),
(214519,191674,'Inflicts 401 mental damage on target',100,2,7),
(214520,191674,'Must not be classified as a void beast',100,3,8),
(214521,191674,'Must not be classified as a shadowed folk',100,3,9),
(214522,191674,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(214523,191674,'If any of the following are true:',100,3,11),
(214524,191674,'Must be classified as a void beast',100,4,12),
(214525,191674,'Must be classified as a shadowed folk',100,4,13),
(214526,191674,'Cannot be modified except by direct means',100,2,14),
(214527,10191674,'When Equipped:',100,0,0),
(214528,10191674,'Additional equipment with Void Bane improves this effect.',100,1,1),
(214529,10191674,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(214530,10191674,'Inflicts 1043 mental damage on target',100,2,3),
(214531,10191674,'If any of the following are true:',100,3,4),
(214532,10191674,'Must be classified as a void beast',100,4,5),
(214533,10191674,'Must be classified as a shadowed folk',100,4,6),
(214534,10191674,'Inflicts 521 mental damage on target',100,2,7),
(214535,10191674,'Must not be classified as a void beast',100,3,8),
(214536,10191674,'Must not be classified as a shadowed folk',100,3,9),
(214537,10191674,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(214538,10191674,'If any of the following are true:',100,3,11),
(214539,10191674,'Must be classified as a void beast',100,4,12),
(214540,10191674,'Must be classified as a shadowed folk',100,4,13),
(214541,10191674,'Cannot be modified except by direct means',100,2,14),
(214542,105830,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(214543,105830,'Inflicts 262 - 437 disease damage on target',100,2,1),
(214544,10105830,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(214545,10105830,'Inflicts 341 - 569 disease damage on target',100,2,1),
(214546,113207,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(214547,113207,'Inflicts 91 magic damage on target',100,2,1),
(214548,113207,'Grants a total of 5 triggers of the spell.',100,2,2),
(214549,10113207,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(214550,10113207,'Inflicts 118 magic damage on target',100,2,1),
(214551,10113207,'Grants a total of 5 triggers of the spell.',100,2,2),
(214552,24493,'Adds Lair of Scale: Scaleborn Roof Tent to your Dungeon Maker toolbox',100,0,0),
(214553,10024493,'Adds Lair of Scale: Scaleborn Roof Tent to your Dungeon Maker toolbox',100,0,0),
(214554,24742,'Adds Vampire-Greater (Fury) to your Dungeon Maker toolbox',100,0,0),
(214555,10024742,'Adds Vampire-Greater (Fury) to your Dungeon Maker toolbox',100,0,0),
(214556,24379,'Adds Froglok-Undead (Fury) to your Dungeon Maker toolbox',100,0,0),
(214557,10024379,'Adds Froglok-Undead (Fury) to your Dungeon Maker toolbox',100,0,0),
(214558,121062,'Increases STR and STA of group members (AE) by 34.4',100,1,0),
(214559,10121062,'Increases STR and STA of group members (AE) by 34.4',100,1,0),
(214560,112437,'Mesmerizes target',100,1,0),
(214561,112437,'Prevents AOE (except when direct) ',100,1,1),
(214562,112437,'Dispelled when target takes damage',100,1,2),
(214563,112437,'Does not affect Epic targets',100,1,3),
(214564,112437,'Resistibility increases against targets higher than level 67.',100,1,4),
(214565,10112437,'Mesmerizes target',100,1,0),
(214566,10112437,'Prevents AOE (except when direct) ',100,1,1),
(214567,10112437,'Dispelled when target takes damage',100,1,2),
(214568,10112437,'Does not affect Epic targets',100,1,3),
(214569,10112437,'Resistibility increases against targets higher than level 67.',100,1,4),
(214570,133587,'When Equipped:',100,0,0),
(214571,133587,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214572,133587,'Increases Potency of caster by 3.0%',100,2,2),
(214573,133587,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(214574,133587,'Increases Ability Modifier of caster by 780.0',100,2,4),
(214575,133587,'Must not be engaged in pvp combat',100,2,5),
(214576,133587,'Cannot be modified except by direct means',100,2,6),
(214577,133587,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(214578,133587,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(214579,133587,'Increases Potency of caster by 3.0%',100,2,9),
(214580,133587,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(214581,133587,'Increases Ability Modifier of caster by 780.0',100,2,11),
(214582,133587,'Must not be engaged in pvp combat',100,2,12),
(214583,133587,'Cannot be modified except by direct means',100,2,13),
(214584,133587,'Cannot be modified except by direct means',100,1,14),
(214585,10133587,'When Equipped:',100,0,0),
(214586,10133587,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214587,10133587,'Increases Potency of caster by 3.0%',100,2,2),
(214588,10133587,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(214589,10133587,'Increases Ability Modifier of caster by 780.0',100,2,4),
(214590,10133587,'Must not be engaged in pvp combat',100,2,5),
(214591,10133587,'Cannot be modified except by direct means',100,2,6),
(214592,10133587,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(214593,10133587,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(214594,10133587,'Increases Potency of caster by 3.0%',100,2,9),
(214595,10133587,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(214596,10133587,'Increases Ability Modifier of caster by 780.0',100,2,11),
(214597,10133587,'Must not be engaged in pvp combat',100,2,12),
(214598,10133587,'Cannot be modified except by direct means',100,2,13),
(214599,10133587,'Cannot be modified except by direct means',100,1,14),
(214600,35083,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(214601,119091,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(214602,119091,'Increases Parry and Deflection of group members (AE) by 15.9',100,1,1),
(214603,119091,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(214604,119091,'Decreases Threat to target encounter by 704 - 861 ',100,2,3),
(214605,119091,'If not fighter',100,3,4),
(214606,119091,'Increases Threat to target encounter by 704 - 861 ',100,2,5),
(214607,119091,'If fighter',100,3,6),
(214608,119091,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(214609,119091,'Decreases Threat to target encounter by 704 - 861 ',100,2,8),
(214610,119091,'If not fighter',100,3,9),
(214611,119091,'Increases Threat to target encounter by 704 - 861 ',100,2,10),
(214612,119091,'If fighter',100,3,11),
(214613,10119091,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(214614,10119091,'Increases Parry and Deflection of group members (AE) by 15.9',100,1,1),
(214615,10119091,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(214616,10119091,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(214617,36036,'Increases STR of target by 1.5',100,0,0),
(214618,36036,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(214619,188251,'When Equipped:',100,0,0),
(214620,188251,'Gives caster a 2.3% chance to strikethrough a successful avoidance check',100,1,1),
(214621,188251,'Increases Additional chance to Riposte of caster by 21.0',100,1,2),
(214622,188251,'Increases Riposte Damage of caster by 21.0',100,1,3),
(214623,188251,'Must not be engaged in pvp combat',100,1,4),
(214624,10188251,'When Equipped:',100,0,0),
(214625,10188251,'Gives caster a 2.3% chance to strikethrough a successful avoidance check',100,1,1),
(214626,10188251,'Increases Additional chance to Riposte of caster by 21.0',100,1,2),
(214627,10188251,'Increases Riposte Damage of caster by 21.0',100,1,3),
(214628,10188251,'Must not be engaged in pvp combat',100,1,4),
(214629,166520,'When Equipped:',100,0,0),
(214630,166520,'On a critical combat hit this spell may cast Martial Vulnerability VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214631,166520,'Decreases Mitigation of target vs physical damage by 830',100,2,2),
(214632,166520,'Must not be engaged in pvp combat',100,2,3),
(214633,166520,'Cannot be modified except by direct means',100,2,4),
(214634,166520,'On a critical spell hit this spell may cast Martial Vulnerability VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(214635,166520,'Decreases Mitigation of target vs physical damage by 830',100,2,6),
(214636,166520,'Must not be engaged in pvp combat',100,2,7),
(214637,166520,'Cannot be modified except by direct means',100,2,8),
(214638,166520,'Must not be engaged in pvp combat',100,1,9),
(214639,10166520,'When Equipped:',100,0,0),
(214640,10166520,'On a critical combat hit this spell may cast Martial Vulnerability VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(214641,10166520,'Decreases Mitigation of target vs physical damage by 830',100,2,2),
(214642,10166520,'Must not be engaged in pvp combat',100,2,3),
(214643,10166520,'Cannot be modified except by direct means',100,2,4),
(214644,10166520,'On a critical spell hit this spell may cast Martial Vulnerability VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(214645,10166520,'Decreases Mitigation of target vs physical damage by 830',100,2,6),
(214646,10166520,'Must not be engaged in pvp combat',100,2,7),
(214647,10166520,'Cannot be modified except by direct means',100,2,8),
(214648,10166520,'Must not be engaged in pvp combat',100,1,9),
(214649,117893,'On a melee hit this spell will cast Reinforcement on target of attack.  ',100,1,0),
(214650,117893,'Increases Threat to target by 231 ',100,2,1),
(214651,117893,'Increases threat priority of target by 1 position',100,2,2),
(214652,10117893,'On a melee hit this spell will cast Reinforcement on target of attack.  Lasts for 3.0 seconds.  ',100,1,0),
(214653,10117893,'Prevents target from changing targets',100,2,1),
(214654,10117893,'Forces target to change their selected target to caster.',100,2,2),
(214655,86487,'Applies Disease Blast when Activated.',100,0,0),
(214656,86487,'Inflicts 463 - 772 disease damage on target',100,1,1),
(214657,86487,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(214658,10086487,'Applies Disease Blast when Activated.',100,0,0),
(214659,10086487,'Inflicts 602 - 1004 disease damage on target',100,1,1),
(214660,10086487,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(214661,104411,'Inflicts 323 - 395 mental damage on target encounter instantly and every second',100,1,0),
(214662,104411,'Stifles target encounter',100,1,1),
(214663,104411,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(214664,104411,'Resistibility increases against targets higher than level 99.',100,1,3),
(214665,10104411,'Inflicts 391 - 478 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(214666,10104411,'Stifles target encounter',100,1,1),
(214667,10104411,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(214668,10104411,'Resistibility increases against targets higher than level 99.',100,1,3),
(214669,81514,'When Equipped:',100,0,0),
(214670,81514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214671,81514,'Inflicts 153 - 283 magic damage on target',100,2,2),
(214672,81514,'Cannot be modified except by direct means',100,2,3),
(214673,10081514,'When Equipped:',100,0,0),
(214674,10081514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214675,10081514,'Inflicts 198 - 368 magic damage on target',100,2,2),
(214676,10081514,'Cannot be modified except by direct means',100,2,3),
(214677,48840,'Applies Margyn''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(214678,48840,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(214679,10048840,'Applies Margyn''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(214680,10048840,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(214681,112180,'Increases STR of caster by 67.5',100,1,0),
(214682,112180,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',100,1,1),
(214683,112180,'Increases Mitigation of caster vs physical damage by 432',100,1,2),
(214684,10112180,'Increases STR of caster by 67.5',100,1,0),
(214685,10112180,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',100,1,1),
(214686,10112180,'Increases Mitigation of caster vs physical damage by 432',100,1,2),
(214687,102403,'Inflicts 585 - 1086 melee damage on targets in area',100,1,0),
(214688,10102403,'Inflicts 760 - 1413 melee damage on targets in area',100,1,0),
(214689,26510,'When Equipped:',100,0,0),
(214690,26510,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(214691,26510,'On a critical combat hit this spell may cast Relentless Will on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(214692,26510,'4% of all physical damage received by the caster is prevented.',100,2,3),
(214693,26510,'Increases the base trigger chance of spells and items by 7%.',100,2,4),
(214694,26510,'Must not be engaged in pvp combat',100,2,5),
(214695,26510,'Cannot be modified except by direct means',100,2,6),
(214696,26510,'On a critical spell hit this spell may cast Relentless Will on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(214697,26510,'4% of all physical damage received by the caster is prevented.',100,2,8),
(214698,26510,'Increases the base trigger chance of spells and items by 7%.',100,2,9),
(214699,26510,'Must not be engaged in pvp combat',100,2,10),
(214700,26510,'Cannot be modified except by direct means',100,2,11),
(214701,10026510,'When Equipped:',100,0,0),
(214702,10026510,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(214703,10026510,'On a critical combat hit this spell may cast Relentless Will on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(214704,10026510,'4% of all physical damage received by the caster is prevented.',100,2,3),
(214705,10026510,'Increases the base trigger chance of spells and items by 7%.',100,2,4),
(214706,10026510,'Must not be engaged in pvp combat',100,2,5),
(214707,10026510,'Cannot be modified except by direct means',100,2,6),
(214708,10026510,'On a critical spell hit this spell may cast Relentless Will on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(214709,10026510,'4% of all physical damage received by the caster is prevented.',100,2,8),
(214710,10026510,'Increases the base trigger chance of spells and items by 7%.',100,2,9),
(214711,10026510,'Must not be engaged in pvp combat',100,2,10),
(214712,10026510,'Cannot be modified except by direct means',100,2,11),
(214713,154583,'When Equipped:',100,0,0),
(214714,154583,'Increases Attack Speed of caster by 22.0',100,1,1),
(214715,10154583,'When Equipped:',100,0,0),
(214716,10154583,'Increases Attack Speed of caster by 22.0',100,1,1),
(214717,110154,'Applies Untreated Bleeding on termination.',100,1,0),
(214718,110154,'Inflicts 9 - 15 piercing damage on target',100,2,1),
(214719,110154,'Inflicts 2 - 3 piercing damage on target instantly and every 4 seconds',100,1,2),
(214720,110154,'Inflicts 1 - 2 melee damage on target',100,1,3),
(214721,10110154,'Applies Untreated Bleeding on termination.',100,1,0),
(214722,10110154,'Inflicts 12 - 20 piercing damage on target',100,2,1),
(214723,10110154,'Inflicts 3 - 4 piercing damage on target instantly and every 4 seconds',100,1,2),
(214724,10110154,'Inflicts 1 - 2 melee damage on target',100,1,3),
(214725,177509,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(214726,177509,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(214727,177509,'Inflicts 35 heat damage on target',100,2,2),
(214728,177509,'Cannot be modified except by direct means',100,2,3),
(214729,10177509,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(214730,10177509,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(214731,10177509,'Inflicts 46 heat damage on target',100,2,2),
(214732,10177509,'Cannot be modified except by direct means',100,2,3),
(214733,135843,'When Equipped:',100,0,0),
(214734,135843,'Increases Attack Speed of caster by 45.0',100,1,1),
(214735,10135843,'When Equipped:',100,0,0),
(214736,10135843,'Increases Attack Speed of caster by 45.0',100,1,1),
(214737,101287,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(214738,101287,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,1),
(214739,10101287,'Increases Max Health of group members (AE) by 319.5',100,1,0),
(214740,10101287,'Increases Mitigation of group members (AE) vs physical damage by 541',100,1,1),
(214741,189053,'When Equipped:',100,0,0),
(214742,189053,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(214743,189053,'Inflicts 1199 disease damage on target encounter',100,2,2),
(214744,189053,'Must not be engaged in pvp combat',100,2,3),
(214745,189053,'Cannot be modified except by direct means',100,2,4),
(214746,10189053,'When Equipped:',100,0,0),
(214747,10189053,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(214748,10189053,'Inflicts 779 disease damage on target encounter',100,2,2),
(214749,10189053,'Must not be engaged in pvp combat',100,2,3),
(214750,10189053,'Cannot be modified except by direct means',100,2,4),
(214751,114314,'Heals target for 1702 - 2080',100,1,0),
(214752,10114314,'Heals target for 3601 - 4402',100,1,0),
(214753,101454,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(214754,101454,'Increases Mitigation of group members (AE) vs noxious damage by 877',100,1,1),
(214755,10101454,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(214756,10101454,'Increases Mitigation of group members (AE) vs noxious damage by 877',100,1,1),
(214757,107055,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(214758,107055,'Inflicts 229 - 382 divine damage on target',100,2,1),
(214759,107055,'Inflicts 229 - 382 divine damage on target',100,2,2),
(214760,107055,'If target is undead',100,3,3),
(214761,10107055,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(214762,10107055,'Inflicts 497 - 828 divine damage on target',100,2,1),
(214763,159134,'Applies Sanguine Imbued when Equipped.',100,0,0),
(214764,159134,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(214765,159134,'Inflicts 59 heat damage on target',100,2,2),
(214766,159134,'Cannot be modified except by direct means',100,2,3),
(214767,10159134,'Applies Sanguine Imbued when Equipped.',100,0,0),
(214768,10159134,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(214769,10159134,'Inflicts 77 heat damage on target',100,2,2),
(214770,10159134,'Cannot be modified except by direct means',100,2,3),
(214771,116663,'Heals group members (AE) for 25 - 31',100,1,0),
(214772,116663,'This effect cannot be critically applied.',100,2,1),
(214773,116663,'Increases Max Health of group members (AE) by 19.4',100,1,2),
(214774,116663,'The healing of this spell cannot be modified except by direct means',100,1,3),
(214775,10116663,'Heals group members (AE) for 8 - 10',100,1,0),
(214776,10116663,'This effect cannot be critically applied.',100,2,1),
(214777,10116663,'Increases Max Health of group members (AE) by 19.4',100,1,2),
(214778,10116663,'The healing of this spell cannot be modified except by direct means',100,1,3),
(214779,87348,'When Equipped:',100,0,0),
(214780,87348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214781,87348,'Inflicts 150 - 225 magic damage on target',100,2,2),
(214782,87348,'Cannot be modified except by direct means',100,2,3),
(214783,10087348,'When Equipped:',100,0,0),
(214784,10087348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214785,10087348,'Inflicts 195 - 292 magic damage on target',100,2,2),
(214786,10087348,'Cannot be modified except by direct means',100,2,3),
(214787,104333,'Charms target',100,1,0),
(214788,104333,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(214789,104333,'Mesmerizes target',100,2,2),
(214790,104333,'Dispelled when target takes damage',100,2,3),
(214791,104333,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(214792,104333,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(214793,104333,'Grants Sonic Vision to caster',100,2,6),
(214794,104333,'Increases Out-of-Combat Power Regeneration of target by 3.3',100,1,7),
(214795,104333,'Increases Out-of-Combat Health Regeneration of target by 6.6',100,1,8),
(214796,104333,'Certain enemies cannot be charmed',100,1,9),
(214797,104333,'Only affects targets level 24 and below',100,1,10),
(214798,104333,'Does not affect Epic targets',100,1,11),
(214799,10104333,'Mesmerizes target',100,1,0),
(214800,10104333,'Prevents AOE (except when direct) ',100,1,1),
(214801,10104333,'Dispelled when target takes damage',100,1,2),
(214802,10104333,'Certain enemies cannot be charmed',100,1,3),
(214803,10104333,'Only affects targets level 24 and below',100,1,4),
(214804,10104333,'Does not affect Epic targets',100,1,5),
(214805,10104333,'Resistibility increases against targets higher than level 39.',100,1,6),
(214806,113748,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(214807,113748,'Inflicts 289 piercing damage on target',100,2,1),
(214808,113748,'Grants a total of 60 triggers of the spell.',100,2,2),
(214809,10113748,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(214810,10113748,'Inflicts 376 piercing damage on target',100,2,1),
(214811,10113748,'Grants a total of 60 triggers of the spell.',100,2,2),
(214812,112929,'Inflicts 44 - 74 crushing damage on target',100,1,0),
(214813,10112929,'Inflicts 57 - 96 crushing damage on target',100,1,0),
(214814,37395,'Increases STR of target by 1.5',100,0,0),
(214815,37395,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(214816,123038,'Summons a pet undead knight',100,1,0),
(214817,10123038,'Summons a pet undead knight',100,1,0),
(214818,36241,'Increases INT of target by 1.1',100,0,0),
(214819,36241,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(214820,174557,'Applies Aspect of the Rougarou when Activated.',100,0,0),
(214821,174557,'Shapechanges caster into a werewolf',100,1,1),
(214822,174557,'Decreases WIS and INT of caster by 20.0',100,1,2),
(214823,174557,'Increases STR and STA of caster by 12.0',100,1,3),
(214824,174557,'Increases Crit Chance of caster by 2.0',100,1,4),
(214825,174557,'Caster will Dodge 2.0% of incoming attacks',100,1,5),
(214826,174557,'Enlarges caster by 20.0%',100,1,6),
(214827,174557,'The reuse time of Aspect of the Rougarou is 30 minutes',100,1,7),
(214828,10174557,'Applies Aspect of the Rougarou when Activated.',100,0,0),
(214829,10174557,'Shapechanges caster into a werewolf',100,1,1),
(214830,10174557,'Decreases WIS and INT of caster by 20.0',100,1,2),
(214831,10174557,'Increases STR and STA of caster by 12.0',100,1,3),
(214832,10174557,'Increases Crit Chance of caster by 2.0',100,1,4),
(214833,10174557,'Caster will Dodge 2.0% of incoming attacks',100,1,5),
(214834,10174557,'Enlarges caster by 20.0%',100,1,6),
(214835,10174557,'The reuse time of Aspect of the Rougarou is 30 minutes',100,1,7),
(214836,86125,'When Equipped:',100,0,0),
(214837,86125,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(214838,86125,'Increases power of caster by 20',100,2,2),
(214839,86125,'Cannot be modified except by direct means',100,2,3),
(214840,10086125,'When Equipped:',100,0,0),
(214841,10086125,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(214842,10086125,'Increases power of caster by 20',100,2,2),
(214843,10086125,'Cannot be modified except by direct means',100,2,3),
(214844,159107,'Applies Sanguine Imbued when Equipped.',100,0,0),
(214845,159107,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(214846,159107,'Inflicts 50 heat damage on target',100,2,2),
(214847,159107,'Cannot be modified except by direct means',100,2,3),
(214848,10159107,'Applies Sanguine Imbued when Equipped.',100,0,0),
(214849,10159107,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(214850,10159107,'Inflicts 65 heat damage on target',100,2,2),
(214851,10159107,'Cannot be modified except by direct means',100,2,3),
(214852,103689,'Interrupts target',100,1,0),
(214853,103689,'Inflicts 766 - 1278 melee damage on target',100,1,1),
(214854,103689,'Must be flanking or behind',100,1,2),
(214855,10103689,'Interrupts target',100,1,0),
(214856,10103689,'Inflicts 996 - 1661 melee damage on target',100,1,1),
(214857,10103689,'Must be flanking or behind',100,1,2),
(214858,108662,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(214859,108662,'Heals target for 1251',100,2,1),
(214860,108662,'Heals target for 312 every 2 seconds',100,2,2),
(214861,108662,'Increases AGI of target by 107.8',100,2,3),
(214862,108662,'Grants a total of 1 trigger of the spell.',100,2,4),
(214863,10108662,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(214864,10108662,'Heals target for 1464',100,2,1),
(214865,10108662,'Heals target for 365 every 2 seconds',100,2,2),
(214866,10108662,'Increases AGI of target by 107.8',100,2,3),
(214867,10108662,'Grants a total of 1 trigger of the spell.',100,2,4),
(214868,81286,'When Equipped:',100,0,0),
(214869,81286,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214870,81286,'Inflicts 302 - 560 magic damage on target',100,2,2),
(214871,81286,'Decreases Threat to target by 949 ',100,2,3),
(214872,81286,'Must be flanking or behind',100,3,4),
(214873,81286,'Increases Threat to target by 949 ',100,2,5),
(214874,81286,'Must be in front of',100,3,6),
(214875,81286,'Cannot be modified except by direct means',100,2,7),
(214876,10081286,'When Equipped:',100,0,0),
(214877,10081286,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214878,10081286,'Inflicts 392 - 728 magic damage on target',100,2,2),
(214879,10081286,'Cannot be modified except by direct means',100,2,3),
(214880,118492,'Summons a limited pet to aid the caster',100,1,0),
(214881,10118492,'Summons a limited pet to aid the caster',100,1,0),
(214882,130940,'Applies Ale Goggles when Equipped.',100,0,0),
(214883,130940,'Grants Ale Vision to caster',100,1,1),
(214884,10130940,'Applies Ale Goggles when Equipped.',100,0,0),
(214885,10130940,'Grants Ale Vision to caster',100,1,1),
(214886,119476,'Dazes target encounter',100,1,0),
(214887,119476,'If Target is not Epic',100,2,1),
(214888,119476,'Inflicts 97 - 119 magic damage on target encounter instantly and every second',100,1,2),
(214889,119476,'Resistibility increases against targets higher than level 54.',100,1,3),
(214890,10119476,'Inflicts 166 - 203 magic damage on target encounter',100,1,0),
(214891,10119476,'Inflicts 127 - 155 magic damage on target encounter every second',100,1,1),
(214892,10119476,'Dazes target encounter',100,1,2),
(214893,10119476,'If Target is not Epic',100,2,3),
(214894,10119476,'Resistibility increases against targets higher than level 54.',100,1,4),
(214895,105239,'Decreases STR and INT of target by 105.6',100,1,0),
(214896,105239,'Only affects targets level 20 and above',100,1,1),
(214897,10105239,'Decreases STR and INT of target by 105.6',100,1,0),
(214898,10105239,'Only affects targets level 20 and above',100,1,1),
(214899,115231,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(214900,115231,'Decreases Mitigation of target vs noxious damage by 1463',100,2,1),
(214901,115231,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(214902,115231,'Decreases Mitigation of target vs noxious damage by 1463',100,2,3),
(214903,10115231,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(214904,10115231,'Decreases Mitigation of target vs noxious damage by 1463',100,2,1),
(214905,10115231,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(214906,10115231,'Decreases Mitigation of target vs noxious damage by 1463',100,2,3),
(214907,103960,'Interrupts targets in Area of Effect',100,1,0),
(214908,103960,'Inflicts 5 - 9 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(214909,10103960,'Interrupts targets in Area of Effect',100,1,0),
(214910,10103960,'Inflicts 6 - 11 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(214911,176658,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(214912,176658,'Decreases AGI, INT, STR and WIS of target by 20.8',100,1,1),
(214913,176658,'Decreases Max Health of target by 1.0%',100,1,2),
(214914,176658,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(214915,10176658,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(214916,10176658,'Decreases AGI, INT, STR and WIS of target by 20.8',100,1,1),
(214917,10176658,'Decreases Max Health of target by 1.0%',100,1,2),
(214918,10176658,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(214919,121929,'Applies Tap on termination.',100,1,0),
(214920,121929,'Inflicts 1310 disease damage on target',100,2,1),
(214921,121929,'Heals caster for 6.2% of max health',100,2,2),
(214922,121929,'This effect cannot be critically applied.',100,3,3),
(214923,121929,'The healing of this spell cannot be modified except by direct means',100,2,4),
(214924,10121929,'Applies Tap on termination.',100,1,0),
(214925,10121929,'Inflicts 1703 disease damage on target',100,2,1),
(214926,10121929,'Heals caster for 2.2% of max health',100,2,2),
(214927,10121929,'This effect cannot be critically applied.',100,3,3),
(214928,10121929,'The healing of this spell cannot be modified except by direct means',100,2,4),
(214929,46543,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(214930,46543,'Increases power of caster by 56 instantly and every 5 seconds',100,1,1),
(214931,10046543,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(214932,10046543,'Increases power of caster by 44 instantly and every 5 seconds',100,1,1),
(214933,48923,'Applies Thubir''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(214934,48923,'Increases STA and STR of caster by 9.0',100,1,1),
(214935,10048923,'Applies Thubir''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(214936,10048923,'Increases STA and STR of caster by 9.0',100,1,1),
(214937,103932,'Wards group members (AE) collectively against 2556 total points of all damage',100,1,0),
(214938,10103932,'Wards group members (AE) collectively against 3808 total points of all damage',100,1,0),
(214939,110627,'Inflicts 359 - 599 ranged damage on target',100,1,0),
(214940,110627,'If weapon equipped in Ranged',100,1,1),
(214941,110627,'Must be flanking or behind',100,1,2),
(214942,10110627,'Inflicts 223 - 372 ranged damage on target',100,1,0),
(214943,10110627,'If weapon equipped in Ranged',100,1,1),
(214944,10110627,'Must be flanking or behind',100,1,2),
(214945,149142,'When Equipped:',100,0,0),
(214946,149142,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(214947,10149142,'When Equipped:',100,0,0),
(214948,10149142,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(214949,114286,'Heals target for 1242 - 1517',100,1,0),
(214950,10114286,'Heals target for 1460 - 1784',100,1,0),
(214951,111735,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(214952,111735,'Inflicts 581 - 710 cold damage on target',100,2,1),
(214953,111735,'Grants a total of 3 triggers of the spell.',100,2,2),
(214954,10111735,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(214955,10111735,'Inflicts 755 - 923 cold damage on target',100,2,1),
(214956,10111735,'Grants a total of 3 triggers of the spell.',100,2,2),
(214957,36621,'Increases Max Power of target by 3.3',100,0,0),
(214958,36621,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(214959,80375,'When Equipped:',100,0,0),
(214960,80375,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214961,80375,'Inflicts 60 - 112 magic damage on target',100,2,2),
(214962,80375,'Cannot be modified except by direct means',100,2,3),
(214963,10080375,'When Equipped:',100,0,0),
(214964,10080375,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(214965,10080375,'Inflicts 78 - 145 magic damage on target',100,2,2),
(214966,10080375,'Cannot be modified except by direct means',100,2,3),
(214967,80790,'When Equipped:',100,0,0),
(214968,80790,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214969,80790,'Inflicts 288 - 534 magic damage on target',100,2,2),
(214970,80790,'Decreases Threat to target by 672 ',100,2,3),
(214971,80790,'Must be flanking or behind',100,3,4),
(214972,80790,'Increases Threat to target by 672 ',100,2,5),
(214973,80790,'Must be in front of',100,3,6),
(214974,80790,'Cannot be modified except by direct means',100,2,7),
(214975,10080790,'When Equipped:',100,0,0),
(214976,10080790,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(214977,10080790,'Inflicts 374 - 695 magic damage on target',100,2,2),
(214978,10080790,'Cannot be modified except by direct means',100,2,3),
(214979,102017,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(214980,102017,'Wards target against 325 points of all damage',100,2,1),
(214981,10102017,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(214982,10102017,'Wards target against 325 points of all damage',100,2,1),
(214983,100025,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(214984,100025,'Inflicts 221 - 368 melee damage on targets in area',100,2,1),
(214985,100025,'Decreases Defense of caster by 15.0',100,1,2),
(214986,100025,'Increases Slashing, Piercing and Crushing of caster by 36.0',100,1,3),
(214987,10100025,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(214988,10100025,'Inflicts 287 - 479 melee damage on targets in area',100,2,1),
(214989,10100025,'Decreases Defense of caster by 15.0',100,1,2),
(214990,10100025,'Increases Slashing, Piercing and Crushing of caster by 36.0',100,1,3),
(214991,115378,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(214992,115378,'Increases Parry of caster by 9.0',100,1,1),
(214993,10115378,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(214994,10115378,'Increases Parry of caster by 9.0',100,1,1),
(214995,47227,'Applies Elixir of Vision  when Activated.  Lasts for 15 minutes.',100,0,0),
(214996,47227,'Increases Max Power of caster by 67.5',100,1,1),
(214997,10047227,'Applies Elixir of Vision  when Activated.  Lasts for 15 minutes.',100,0,0),
(214998,10047227,'Increases Max Power of caster by 67.5',100,1,1),
(214999,103301,'Inflicts 6 - 7 mental damage on target instantly and every 6 seconds',100,1,0),
(215000,103301,'Applies Migraine on termination.',100,1,1),
(215001,103301,'Inflicts 13 - 18 mental damage on target',100,2,2),
(215002,10103301,'Inflicts 8 - 10 mental damage on target instantly and every 6 seconds',100,1,0),
(215003,10103301,'Applies Migraine on termination.',100,1,1),
(215004,10103301,'Inflicts 17 - 23 mental damage on target',100,2,2),
(215005,144121,'When Equipped:',100,0,0),
(215006,144121,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215007,144121,'Inflicts 562 mental damage on target',100,2,2),
(215008,144121,'Must be classified as an undead',100,3,3),
(215009,144121,'Inflicts 281 mental damage on target',100,2,4),
(215010,144121,'Must not be classified as an undead',100,3,5),
(215011,144121,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(215012,144121,'Must be classified as an undead',100,3,7),
(215013,144121,'Cannot be modified except by direct means',100,2,8),
(215014,144121,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(215015,144121,'When Equipped:',100,0,10),
(215016,144121,'Reduces reuse time of beneficial spells by 1 percent.',100,1,11),
(215017,10144121,'When Equipped:',100,0,0),
(215018,10144121,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215019,10144121,'Inflicts 731 mental damage on target',100,2,2),
(215020,10144121,'Must be classified as an undead',100,3,3),
(215021,10144121,'Inflicts 365 mental damage on target',100,2,4),
(215022,10144121,'Must not be classified as an undead',100,3,5),
(215023,10144121,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(215024,10144121,'Must be classified as an undead',100,3,7),
(215025,10144121,'Cannot be modified except by direct means',100,2,8),
(215026,10144121,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(215027,10144121,'When Equipped:',100,0,10),
(215028,10144121,'Reduces reuse time of beneficial spells by 1 percent.',100,1,11),
(215029,35505,'Increases WIS of target by 1.5',100,0,0),
(215030,35505,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(215031,36589,'Increases Max Power of target by 3.3',100,0,0),
(215032,36589,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(215033,121221,'Reduces physical damage done to caster by 5%',100,1,0),
(215034,121221,'Adds 1.4% to base avoidance.',100,1,1),
(215035,121221,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(215036,121221,'Increases Aggression of caster by 3.4',100,1,3),
(215037,121221,'Increases Defense and Parry of caster by 5.5',100,1,4),
(215038,121221,'Increases Mitigation of caster vs noxious and arcane damage by 36',100,1,5),
(215039,121221,'Increases Mitigation of caster vs elemental damage by 361',100,1,6),
(215040,121221,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(215041,10121221,'Reduces physical damage done to caster by 5%',100,1,0),
(215042,10121221,'Adds 1.4% to base avoidance.',100,1,1),
(215043,10121221,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(215044,10121221,'Increases Aggression of caster by 3.4',100,1,3),
(215045,10121221,'Increases Defense and Parry of caster by 5.5',100,1,4),
(215046,10121221,'Increases Mitigation of caster vs noxious and arcane damage by 36',100,1,5),
(215047,10121221,'Increases Mitigation of caster vs elemental damage by 361',100,1,6),
(215048,10121221,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(215049,121247,'Inflicts 813 - 994 heat damage on target encounter',100,1,0),
(215050,10121247,'Inflicts 1057 - 1292 heat damage on target encounter',100,1,0),
(215051,24134,'Adds Clockwork Warrior (Berserker) to your Dungeon Maker toolbox',100,0,0),
(215052,10024134,'Adds Clockwork Warrior (Berserker) to your Dungeon Maker toolbox',100,0,0),
(215053,115578,'Interrupts target encounter',100,1,0),
(215054,115578,'Decreases Threat to target encounter by 276 - 338 ',100,1,1),
(215055,115578,'Dazes target encounter',100,1,2),
(215056,115578,'If Target is not Epic',100,2,3),
(215057,115578,'Resistibility increases against targets higher than level 67.',100,1,4),
(215058,10115578,'Interrupts target encounter',100,1,0),
(215059,10115578,'Dazes target encounter',100,1,1),
(215060,10115578,'If Target is not Epic',100,2,2),
(215061,10115578,'Resistibility increases against targets higher than level 67.',100,1,3),
(215062,118747,'Increases INT and WIS of group members (AE) by 16.6',100,1,0),
(215063,118747,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 51',100,1,1),
(215064,10118747,'Increases INT and WIS of group members (AE) by 16.6',100,1,0),
(215065,10118747,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 51',100,1,1),
(215066,120171,'Applies Life Draw on termination.',100,1,0),
(215067,120171,'Inflicts 361 - 602 disease damage on target',100,2,1),
(215068,120171,'Heals caster for 11.9 - 14.5% of max health',100,2,2),
(215069,120171,'This effect cannot be critically applied.',100,3,3),
(215070,120171,'The healing of this spell cannot be modified except by direct means',100,2,4),
(215071,120171,'Inflicts 105 - 175 disease damage on target',100,1,5),
(215072,10120171,'Applies Life Draw on termination.',100,1,0),
(215073,10120171,'Inflicts 470 - 783 disease damage on target',100,2,1),
(215074,10120171,'Heals caster for 3.2 - 4.0% of max health',100,2,2),
(215075,10120171,'This effect cannot be critically applied.',100,3,3),
(215076,10120171,'The healing of this spell cannot be modified except by direct means',100,2,4),
(215077,10120171,'Inflicts 136 - 228 disease damage on target',100,1,5),
(215078,114926,'Inflicts 758 - 1263 melee damage on target',100,1,0),
(215079,114926,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1736',100,1,1),
(215080,114926,'Must be behind',100,1,2),
(215081,10114926,'Inflicts 985 - 1643 melee damage on target',100,1,0),
(215082,10114926,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 868',100,1,1),
(215083,10114926,'Must be behind',100,1,2),
(215084,100343,'Increases Max Health of target by 162.2',100,1,0),
(215085,100343,'Increases Crushing, Piercing, Slashing and Ranged of target by 3.8',100,1,1),
(215086,10100343,'Increases Max Health of target by 162.2',100,1,0),
(215087,10100343,'Increases Crushing, Piercing, Slashing and Ranged of target by 3.8',100,1,1),
(215088,36838,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(215089,159776,'When Equipped:',100,0,0),
(215090,159776,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(215091,159776,'Increases STA of caster by 5.1',100,2,2),
(215092,159776,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(215093,159776,'Cannot be modified except by direct means',100,2,4),
(215094,10159776,'When Equipped:',100,0,0),
(215095,10159776,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(215096,10159776,'Increases STA of caster by 5.1',100,2,2),
(215097,10159776,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(215098,10159776,'Cannot be modified except by direct means',100,2,4),
(215099,135245,'When Equipped:',100,0,0),
(215100,135245,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215101,135245,'Wards target against 2800 points of all damage',100,2,2),
(215102,135245,'Cannot be modified except by direct means',100,2,3),
(215103,10135245,'When Equipped:',100,0,0),
(215104,10135245,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215105,10135245,'Wards target against 2800 points of all damage',100,2,2),
(215106,10135245,'Cannot be modified except by direct means',100,2,3),
(215107,117401,'Increases Threat to target by 599 ',100,1,0),
(215108,117401,'Inflicts 107 - 321 melee damage on target',100,1,1),
(215109,10117401,'Forces target to change their selected target to caster.',100,1,0),
(215110,10117401,'Inflicts 92 - 278 melee damage on target',100,1,1),
(215111,24593,'Adds Boss: Nayad (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(215112,10024593,'Adds Boss: Nayad (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(215113,37163,'Increases STA and AGI of target by 5.4',100,0,0),
(215114,37163,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(215115,37163,'Increases Attack Speed of target by 10.0',100,0,2),
(215116,124203,'Inflicts 374 - 624 melee damage on target',100,1,0),
(215117,10124203,'Inflicts 486 - 811 melee damage on target',100,1,0),
(215118,118159,'Inflicts 605 - 1008 melee damage on target',100,1,0),
(215119,118159,'Dazes target',100,1,1),
(215120,118159,'If Target is not Epic',100,2,2),
(215121,118159,'Resistibility increases against targets higher than level 97.',100,1,3),
(215122,10118159,'Inflicts 786 - 1310 melee damage on target',100,1,0),
(215123,10118159,'Dazes target',100,1,1),
(215124,10118159,'If Target is not Epic',100,2,2),
(215125,10118159,'Resistibility increases against targets higher than level 97.',100,1,3),
(215126,109995,'Heals target for 60 - 73 instantly and every 2 seconds',100,1,0),
(215127,10109995,'Heals target for 39 - 48 instantly and every 2 seconds',100,1,0),
(215128,181835,'When Equipped:',100,0,0),
(215129,181835,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215130,181835,'Inflicts 815 magic damage on target',100,2,2),
(215131,181835,'Inflicts 82 magic damage on target every 4 seconds',100,2,3),
(215132,181835,'Must not be engaged in pvp combat',100,2,4),
(215133,181835,'Cannot be modified except by direct means',100,2,5),
(215134,10181835,'When Equipped:',100,0,0),
(215135,10181835,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215136,10181835,'Inflicts 1060 magic damage on target',100,2,2),
(215137,10181835,'Inflicts 106 magic damage on target every 4 seconds',100,2,3),
(215138,10181835,'Must not be engaged in pvp combat',100,2,4),
(215139,10181835,'Cannot be modified except by direct means',100,2,5),
(215140,119009,'Heals target for 1044 - 1276',100,1,0),
(215141,10119009,'Heals target for 1110 - 1357',100,1,0),
(215142,41467,'When Equipped:',100,0,0),
(215143,41467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215144,41467,'Inflicts 121 - 225 magic damage on target',100,2,2),
(215145,41467,'Cannot be modified except by direct means',100,2,3),
(215146,10041467,'When Equipped:',100,0,0),
(215147,10041467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215148,10041467,'Inflicts 157 - 292 magic damage on target',100,2,2),
(215149,10041467,'Cannot be modified except by direct means',100,2,3),
(215150,158689,'When Equipped:',100,0,0),
(215151,158689,'Increases Attack Speed of caster by 40.0',100,1,1),
(215152,10158689,'When Equipped:',100,0,0),
(215153,10158689,'Increases Attack Speed of caster by 40.0',100,1,1),
(215154,80269,'When Equipped:',100,0,0),
(215155,80269,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215156,80269,'Inflicts 234 - 434 magic damage on target',100,2,2),
(215157,80269,'Cannot be modified except by direct means',100,2,3),
(215158,10080269,'When Equipped:',100,0,0),
(215159,10080269,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215160,10080269,'Inflicts 304 - 564 magic damage on target',100,2,2),
(215161,10080269,'Cannot be modified except by direct means',100,2,3),
(215162,108430,'Increases INT, AGI, STR and WIS of group members (AE) by 54.6',100,1,0),
(215163,108430,'Adds 2.4% to base avoidance.',100,1,1),
(215164,108430,'Increases Attack Speed of group members (AE) by 43.8',100,1,2),
(215165,108430,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 161',100,1,3),
(215166,10108430,'Increases INT, AGI, STR and WIS of group members (AE) by 54.6',100,1,0),
(215167,10108430,'Adds 2.4% to base avoidance.',100,1,1),
(215168,10108430,'Increases Attack Speed of group members (AE) by 43.8',100,1,2),
(215169,10108430,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 161',100,1,3),
(215170,118400,'Heals target for 56 - 69',100,1,0),
(215171,118400,'Increases Max Health of target by 9.9',100,1,1),
(215172,10118400,'Heals target for 65 - 80',100,1,0),
(215173,10118400,'Increases Max Health of target by 9.9',100,1,1),
(215174,123739,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(215175,10123739,'Dispels 109 levels of any hostile effects on group members (AE)',100,1,0),
(215176,117974,'Heals target for 775 - 947',100,1,0),
(215177,117974,'Increases Max Health of target by 109.3',100,1,1),
(215178,10117974,'Heals target for 889 - 1087',100,1,0),
(215179,10117974,'Increases Max Health of target by 109.3',100,1,1),
(215180,103511,'Charms target',100,1,0),
(215181,103511,'If outside an arena',100,1,1),
(215182,103511,'Certain enemies cannot be charmed',100,1,2),
(215183,103511,'Does not affect Epic targets',100,1,3),
(215184,10103511,'Mesmerizes target',100,1,0),
(215185,10103511,'Prevents AOE (except when direct) ',100,1,1),
(215186,10103511,'Dispelled when target takes damage',100,1,2),
(215187,10103511,'If outside an arena',100,1,3),
(215188,10103511,'Certain enemies cannot be charmed',100,1,4),
(215189,10103511,'Does not affect Epic targets',100,1,5),
(215190,10103511,'Resistibility increases against targets higher than level 63.',100,1,6),
(215191,104103,'Roots target',100,1,0),
(215192,104103,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(215193,104103,'Makes target afraid',100,2,2),
(215194,104103,'Slows target by 16.9%',100,2,3),
(215195,104103,'30% chance to dispel when target takes damage',100,2,4),
(215196,104103,'Resistibility increases against targets higher than level 48.',100,2,5),
(215197,104103,'15% chance to dispel when target takes damage',100,1,6),
(215198,104103,'Does not affect Epic targets',100,1,7),
(215199,104103,'Resistibility increases against targets higher than level 48.',100,1,8),
(215200,10104103,'Roots target',100,1,0),
(215201,10104103,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(215202,10104103,'Makes target afraid',100,2,2),
(215203,10104103,'Slows target by 16.9%',100,2,3),
(215204,10104103,'30% chance to dispel when target takes damage',100,2,4),
(215205,10104103,'Resistibility increases against targets higher than level 48.',100,2,5),
(215206,10104103,'15% chance to dispel when target takes damage',100,1,6),
(215207,10104103,'Does not affect Epic targets',100,1,7),
(215208,10104103,'Resistibility increases against targets higher than level 48.',100,1,8),
(215209,46517,'Applies Go Fasta Pocket Cyclone when Activated.  Lasts for 45.0 seconds.',100,0,0),
(215210,46517,'Summons a limited pet to aid the caster',100,1,1),
(215211,10046517,'Applies Go Fasta Pocket Cyclone when Activated.  Lasts for 45.0 seconds.',100,0,0),
(215212,10046517,'Summons a limited pet to aid the caster',100,1,1),
(215213,24698,'Adds Skorpikis (Assassin) to your Dungeon Maker toolbox',100,0,0),
(215214,10024698,'Adds Skorpikis (Assassin) to your Dungeon Maker toolbox',100,0,0),
(215215,173028,'When Equipped:',100,0,0),
(215216,173028,'When damaged in combat this spell has a 7% chance to cast Lesser Undeniable Malice on target''s attacker.  ',100,1,1),
(215217,173028,'Inflicts 199 mental damage on target',100,2,2),
(215218,173028,'Increases Threat to target by 1,000 ',100,2,3),
(215219,173028,'Cannot be modified except by direct means',100,2,4),
(215220,173028,'On any combat or spell hit this spell may cast Lesser Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(215221,173028,'Inflicts 199 mental damage on target',100,2,6),
(215222,173028,'Increases Threat to target by 1,000 ',100,2,7),
(215223,173028,'Cannot be modified except by direct means',100,2,8),
(215224,10173028,'When Equipped:',100,0,0),
(215225,10173028,'When damaged in combat this spell has a 7% chance to cast Lesser Undeniable Malice on target''s attacker.  ',100,1,1),
(215226,10173028,'Inflicts 258 mental damage on target',100,2,2),
(215227,10173028,'Cannot be modified except by direct means',100,2,3),
(215228,10173028,'On any combat or spell hit this spell may cast Lesser Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(215229,10173028,'Inflicts 258 mental damage on target',100,2,5),
(215230,10173028,'Cannot be modified except by direct means',100,2,6),
(215231,115176,'Heals target for 220 - 268',100,1,0),
(215232,10115176,'Heals target for 297 - 363',100,1,0),
(215233,113920,'Increases power of target by 22 instantly and every 4 seconds',100,1,0),
(215234,10113920,'Increases power of target by 22 instantly and every 4 seconds',100,1,0),
(215235,116010,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(215236,116010,'Decreases threat priority of target by 1 position',100,2,1),
(215237,116010,'Decreases Hate Gain of target by 18.9%',100,1,2),
(215238,10116010,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(215239,10116010,'Forces target to clear their selected target.',100,2,1),
(215240,124315,'Shapechanges caster into a wolf',100,1,0),
(215241,124315,'Grants See Invisibility to caster',100,1,1),
(215242,124315,'Increases Focus of caster by 9.0',100,1,2),
(215243,124315,'Increases Mitigation of caster vs physical damage by 100',100,1,3),
(215244,124315,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 380',100,1,4),
(215245,10124315,'Shapechanges caster into a wolf',100,1,0),
(215246,10124315,'Grants See Invisibility to caster',100,1,1),
(215247,10124315,'Increases Focus of caster by 9.0',100,1,2),
(215248,10124315,'Increases Mitigation of caster vs physical damage by 100',100,1,3),
(215249,10124315,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 380',100,1,4),
(215250,162389,'When Equipped:',100,0,0),
(215251,162389,'Increases Attack Speed of caster by 40.0',100,1,1),
(215252,10162389,'When Equipped:',100,0,0),
(215253,10162389,'Increases Attack Speed of caster by 40.0',100,1,1),
(215254,24471,'Adds Lair of Scale: Awakened Cult Ritual Tapestry to your Dungeon Maker toolbox',100,0,0),
(215255,10024471,'Adds Lair of Scale: Awakened Cult Ritual Tapestry to your Dungeon Maker toolbox',100,0,0),
(215256,87380,'When Equipped:',100,0,0),
(215257,87380,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215258,87380,'Inflicts 194 - 290 magic damage on target',100,2,2),
(215259,87380,'Cannot be modified except by direct means',100,2,3),
(215260,10087380,'When Equipped:',100,0,0),
(215261,10087380,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215262,10087380,'Inflicts 252 - 378 magic damage on target',100,2,2),
(215263,10087380,'Cannot be modified except by direct means',100,2,3),
(215264,75002,'When Equipped:',100,0,0),
(215265,75002,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215266,75002,'Inflicts 131 - 197 magic damage on target',100,2,2),
(215267,75002,'Cannot be modified except by direct means',100,2,3),
(215268,10075002,'When Equipped:',100,0,0),
(215269,10075002,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215270,10075002,'Inflicts 171 - 256 magic damage on target',100,2,2),
(215271,10075002,'Cannot be modified except by direct means',100,2,3),
(215272,50099,'When Equipped:',100,0,0),
(215273,50099,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(215274,50099,'Heals group members for 987',100,2,2),
(215275,50099,'Cannot be modified except by direct means',100,2,3),
(215276,10050099,'When Equipped:',100,0,0),
(215277,10050099,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(215278,10050099,'Heals group members for 1154',100,2,2),
(215279,10050099,'Cannot be modified except by direct means',100,2,3),
(215280,134697,'When Equipped:',100,0,0),
(215281,134697,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215282,134697,'Decreases Threat to target by 500 ',100,2,2),
(215283,134697,'Cannot be modified except by direct means',100,2,3),
(215284,10134697,'When Equipped:',100,0,0),
(215285,10134697,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215286,10134697,'Cannot be modified except by direct means',100,2,2),
(215287,115892,'Inflicts 12 - 15 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(215288,10115892,'Inflicts 21 - 26 disease damage on target encounter',100,1,0),
(215289,10115892,'Inflicts 16 - 20 disease damage on target encounter every 3 seconds',100,1,1),
(215290,47428,'Applies Call Onyx Armored Rhino when Activated.',100,0,0),
(215291,47428,'Summons a mount to ride',100,1,1),
(215292,47428,'Increases your ground speed by 135%',100,2,2),
(215293,47428,'Increases Max Health of caster by 150.0',100,1,3),
(215294,47428,'Increases Defense of caster by 5.0',100,1,4),
(215295,47428,'Increases Focus, Crushing, Piercing, Slashing and Ranged of caster by 7.0',100,1,5),
(215296,10047428,'Applies Call Onyx Armored Rhino when Activated.',100,0,0),
(215297,10047428,'Summons a mount to ride',100,1,1),
(215298,10047428,'Increases your ground speed by 135%',100,2,2),
(215299,10047428,'Increases Max Health of caster by 150.0',100,1,3),
(215300,10047428,'Increases Defense of caster by 5.0',100,1,4),
(215301,10047428,'Increases Focus, Crushing, Piercing, Slashing and Ranged of caster by 7.0',100,1,5),
(215302,122890,'Increases STR and INT of group members (AE) by 10.4',100,1,0),
(215303,10122890,'Increases STR and INT of group members (AE) by 10.4',100,1,0),
(215304,123357,'Heals group members (AE) for 273 - 334',100,1,0),
(215305,10123357,'Heals group members (AE) for 332 - 406',100,1,0),
(215306,46852,'Applies Blood Spray when Activated.  Lasts for 15.0 seconds.',100,0,0),
(215307,10046852,'Applies Blood Spray when Activated.  Lasts for 15.0 seconds.',100,0,0),
(215308,123165,'Reduces physical damage done to caster by 5%',100,1,0),
(215309,123165,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(215310,123165,'Increases Aggression of caster by 10.4',100,1,2),
(215311,123165,'Increases Defense and Parry of caster by 20.9',100,1,3),
(215312,123165,'Increases Mitigation of caster vs elemental damage by 1392',100,1,4),
(215313,123165,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(215314,10123165,'Reduces physical damage done to caster by 5%',100,1,0),
(215315,10123165,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(215316,10123165,'Increases Aggression of caster by 10.4',100,1,2),
(215317,10123165,'Increases Defense and Parry of caster by 20.9',100,1,3),
(215318,10123165,'Increases Mitigation of caster vs elemental damage by 1392',100,1,4),
(215319,10123165,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(215320,118872,'Inflicts 40 - 67 melee damage on target',100,1,0),
(215321,118872,'Inflicts 40 - 67 melee damage on target',100,1,1),
(215322,118872,'Inflicts 40 - 67 melee damage on target',100,1,2),
(215323,118872,'Inflicts 40 - 67 melee damage on target',100,1,3),
(215324,118872,'Inflicts 40 - 67 melee damage on target',100,1,4),
(215325,10118872,'Inflicts 52 - 87 melee damage on target',100,1,0),
(215326,10118872,'Inflicts 52 - 87 melee damage on target',100,1,1),
(215327,10118872,'Inflicts 52 - 87 melee damage on target',100,1,2),
(215328,10118872,'Inflicts 52 - 87 melee damage on target',100,1,3),
(215329,10118872,'Inflicts 52 - 87 melee damage on target',100,1,4),
(215330,46906,'Applies Melvil''s Warding when Activated.  Lasts for 30 minutes.',100,0,0),
(215331,10046906,'Applies Melvil''s Warding when Activated.  Lasts for 30 minutes.',100,0,0),
(215332,119158,'Inflicts 136 disease damage on target every 3 seconds',100,1,0),
(215333,119158,'Inflicts 679 - 1132 melee damage on target',100,1,1),
(215334,119158,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(215335,119158,'Inflicts 272 disease damage on target every 3 seconds',100,2,3),
(215336,119158,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(215337,119158,'Inflicts 408 disease damage on target every 3 seconds',100,3,5),
(215338,119158,'You must be sneaking to use this ability.',100,1,6),
(215339,119158,'Must be behind',100,1,7),
(215340,10119158,'Inflicts 177 disease damage on target every 3 seconds',100,1,0),
(215341,10119158,'Inflicts 883 - 1472 melee damage on target',100,1,1),
(215342,10119158,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(215343,10119158,'Inflicts 353 disease damage on target every 3 seconds',100,2,3),
(215344,10119158,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(215345,10119158,'Inflicts 530 disease damage on target every 3 seconds',100,3,5),
(215346,10119158,'You must be sneaking to use this ability.',100,1,6),
(215347,10119158,'Must be behind',100,1,7),
(215348,110918,'Inflicts 66 - 111 divine damage on target',100,1,0),
(215349,110918,'Increases Threat to target by 474 ',100,1,1),
(215350,110918,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(215351,110918,'Stuns target',100,2,3),
(215352,110918,'Throws target back',100,2,4),
(215353,110918,'Blurs vision of target',100,2,5),
(215354,110918,'Does not affect Epic targets',100,2,6),
(215355,10110918,'Inflicts 86 - 144 divine damage on target',100,1,0),
(215356,10110918,'Prevents target from changing targets',100,1,1),
(215357,10110918,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(215358,10110918,'Stuns target',100,2,3),
(215359,10110918,'Throws target back',100,2,4),
(215360,10110918,'Blurs vision of target',100,2,5),
(215361,10110918,'Does not affect Epic targets',100,2,6),
(215362,10110918,'Forces target to change their selected target to caster.',100,1,7),
(215363,110071,'Summons a pet grim sorcerer',100,1,0),
(215364,10110071,'Summons a pet grim sorcerer',100,1,0),
(215365,45976,'Applies Summon Carpet of the Djinn Master when Activated.',100,0,0),
(215366,45976,'Reduces maximum falling speed of caster',100,1,1),
(215367,45976,'Summons a mount to ride',100,1,2),
(215368,45976,'Increases your ground speed by 130%',100,2,3),
(215369,45976,'Wards caster against 148 points of all damage',100,1,4),
(215370,45976,'Cannot be modified except by direct means',100,1,5),
(215371,10045976,'Applies Summon Carpet of the Djinn Master when Activated.',100,0,0),
(215372,10045976,'Reduces maximum falling speed of caster',100,1,1),
(215373,10045976,'Summons a mount to ride',100,1,2),
(215374,10045976,'Increases your ground speed by 130%',100,2,3),
(215375,10045976,'Wards caster against 148 points of all damage',100,1,4),
(215376,10045976,'Cannot be modified except by direct means',100,1,5),
(215377,24764,'Adds Wolf (Ranger) to your Dungeon Maker toolbox',100,0,0),
(215378,10024764,'Adds Wolf (Ranger) to your Dungeon Maker toolbox',100,0,0),
(215379,119241,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(215380,119241,'If profession other than Fighter',100,1,1),
(215381,119241,'If profession other than Scout',100,1,2),
(215382,10119241,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(215383,10119241,'If profession other than Fighter',100,1,1),
(215384,10119241,'If profession other than Scout',100,1,2),
(215385,41266,'When Equipped:',100,0,0),
(215386,41266,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(215387,41266,'Inflicts 1319 - 1612 heat damage on target',100,2,2),
(215388,41266,'Inflicts 1319 - 1612 heat damage on target',100,2,3),
(215389,41266,'Inflicts 1319 - 1612 heat damage on target',100,2,4),
(215390,41266,'Must not be engaged in pvp combat',100,2,5),
(215391,41266,'Cannot be modified except by direct means',100,2,6),
(215392,10041266,'When Equipped:',100,0,0),
(215393,10041266,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(215394,10041266,'Inflicts 1714 - 2095 heat damage on target',100,2,2),
(215395,10041266,'Inflicts 1714 - 2095 heat damage on target',100,2,3),
(215396,10041266,'Inflicts 1714 - 2095 heat damage on target',100,2,4),
(215397,10041266,'Must not be engaged in pvp combat',100,2,5),
(215398,10041266,'Cannot be modified except by direct means',100,2,6),
(215399,106060,'Increases AGI of caster by 90.3',100,1,0),
(215400,106060,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(215401,106060,'Inflicts 187 - 312 disease damage on target',100,2,2),
(215402,106060,'Adds 18.7% to base avoidance.',100,1,3),
(215403,106060,'Increases Mitigation of caster vs physical damage by 462',100,1,4),
(215404,106060,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,5),
(215405,10106060,'Increases AGI of caster by 90.3',100,1,0),
(215406,10106060,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(215407,10106060,'Inflicts 243 - 405 disease damage on target',100,2,2),
(215408,10106060,'Adds 18.7% to base avoidance.',100,1,3),
(215409,10106060,'Increases Mitigation of caster vs physical damage by 462',100,1,4),
(215410,10106060,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,5),
(215411,104280,'Inflicts 37 - 62 melee damage on target',100,1,0),
(215412,104280,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(215413,104280,'Stuns target',100,2,2),
(215414,104280,'Throws target back',100,2,3),
(215415,104280,'Blurs vision of target',100,2,4),
(215416,104280,'Does not affect Epic targets',100,2,5),
(215417,10104280,'Inflicts 49 - 81 melee damage on target',100,1,0),
(215418,10104280,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(215419,10104280,'Stuns target',100,2,2),
(215420,10104280,'Throws target back',100,2,3),
(215421,10104280,'Blurs vision of target',100,2,4),
(215422,10104280,'Does not affect Epic targets',100,2,5),
(215423,120513,'Inflicts 428 - 714 melee damage on target',100,1,0),
(215424,120513,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(215425,120513,'Grants stealth to caster',100,2,2),
(215426,120513,'Suspends caster''s movement speed enhancements',100,2,3),
(215427,120513,'Must be flanking or behind',100,1,4),
(215428,10120513,'Inflicts 556 - 928 melee damage on target',100,1,0),
(215429,10120513,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(215430,10120513,'Grants stealth to caster',100,2,2),
(215431,10120513,'Suspends caster''s movement speed enhancements',100,2,3),
(215432,10120513,'Must be flanking or behind',100,1,4),
(215433,48939,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(215434,48939,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(215435,48939,'Inflicts 19 poison damage on target',100,2,2),
(215436,48939,'Inflicts 50 poison damage on target instantly and every 6 seconds',100,2,3),
(215437,48939,'Cannot be modified except by direct means',100,2,4),
(215438,48939,'Grants a total of 200 triggers of the spell.',100,2,5),
(215439,10048939,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(215440,10048939,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(215441,10048939,'Inflicts 49 poison damage on target instantly and every 6 seconds',100,2,2),
(215442,10048939,'Inflicts 19 poison damage on target',100,2,3),
(215443,10048939,'Cannot be modified except by direct means',100,2,4),
(215444,10048939,'Grants a total of 200 triggers of the spell.',100,2,5),
(215445,47994,'Applies Shadow of the War Wraith when Activated.',100,0,0),
(215446,47994,'Shapechanges the user into a War Wraith of the Plane of War',100,1,1),
(215447,10047994,'Applies Shadow of the War Wraith when Activated.',100,0,0),
(215448,10047994,'Shapechanges the user into a War Wraith of the Plane of War',100,1,1),
(215449,108624,'Feigns Death with 89% chance of success',100,1,0),
(215450,10108624,'Feigns Death with 89% chance of success',100,1,0),
(215451,35878,'Increases WIS of target by 1.5',100,0,0),
(215452,35878,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(215453,101416,'Inflicts 746 - 1244 melee damage on target',100,1,0),
(215454,101416,'Returns the last arrow used to the ranger.',100,1,1),
(215455,10101416,'Inflicts 970 - 1618 melee damage on target',100,1,0),
(215456,10101416,'Returns the last arrow used to the ranger.',100,1,1),
(215457,121504,'Inflicts 575 - 959 melee damage on target',100,1,0),
(215458,121504,'Decreases Defense of target by 14.3',100,1,1),
(215459,10121504,'Inflicts 748 - 1247 melee damage on target',100,1,0),
(215460,10121504,'Decreases Defense of target by 14.3',100,1,1),
(215461,124325,'Shapechanges caster into a wolf',100,1,0),
(215462,124325,'Grants See Invisibility to caster',100,1,1),
(215463,124325,'Increases Focus of caster by 24.5',100,1,2),
(215464,124325,'Increases Mitigation of caster vs physical damage by 272',100,1,3),
(215465,124325,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1033',100,1,4),
(215466,10124325,'Shapechanges caster into a wolf',100,1,0),
(215467,10124325,'Grants See Invisibility to caster',100,1,1),
(215468,10124325,'Increases Focus of caster by 24.5',100,1,2),
(215469,10124325,'Increases Mitigation of caster vs physical damage by 272',100,1,3),
(215470,10124325,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1033',100,1,4),
(215471,154031,'When Equipped:',100,0,0),
(215472,154031,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(215473,154031,'Heals caster for 392',100,2,2),
(215474,154031,'Cannot be modified except by direct means',100,2,3),
(215475,10154031,'When Equipped:',100,0,0),
(215476,10154031,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(215477,10154031,'Heals caster for 255',100,2,2),
(215478,10154031,'Cannot be modified except by direct means',100,2,3),
(215479,104751,'Applies Consecration.',100,1,0),
(215480,104751,'Inflicts 326 - 399 divine damage on targets in Area of Effect',100,2,1),
(215481,10104751,'Applies Consecration.',100,1,0),
(215482,10104751,'Inflicts 424 - 518 divine damage on targets in Area of Effect',100,2,1),
(215483,26643,'When Equipped:',100,0,0),
(215484,26643,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(215485,26643,'Grants additional mitigation while Sigil of Heroism is active.',100,1,2),
(215486,10026643,'When Equipped:',100,0,0),
(215487,10026643,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(215488,10026643,'Grants additional mitigation while Sigil of Heroism is active.',100,1,2),
(215489,117924,'Increases In-Combat Health Regeneration of group members (AE) by 153.1',100,1,0),
(215490,117924,'Increases Max Health of group members (AE) by 777.7',100,1,1),
(215491,10117924,'Increases In-Combat Health Regeneration of group members (AE) by 153.1',100,1,0),
(215492,10117924,'Increases Max Health of group members (AE) by 777.7',100,1,1),
(215493,114144,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(215494,114144,'Increases Mitigation of group members (AE) vs elemental damage by 898',100,1,1),
(215495,10114144,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(215496,10114144,'Increases Mitigation of group members (AE) vs elemental damage by 898',100,1,1),
(215497,121155,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(215498,121155,'Increases Hate Gain of caster by 5.0%',100,2,1),
(215499,121155,'Increases Attack Speed of caster by 45.0',100,2,2),
(215500,121155,'Dispelled when target takes damage',100,2,3),
(215501,10121155,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(215502,10121155,'Increases Attack Speed of caster by 45.0',100,2,1),
(215503,10121155,'Dispelled when target takes damage',100,2,2),
(215504,117847,'Heals target for 38 - 46 instantly and every 2 seconds',100,1,0),
(215505,10117847,'Heals target for 25 - 30 instantly and every 2 seconds',100,1,0),
(215506,72055,'When Equipped:',100,0,0),
(215507,72055,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215508,72055,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(215509,72055,'Cannot be modified except by direct means',100,2,3),
(215510,10072055,'When Equipped:',100,0,0),
(215511,10072055,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215512,10072055,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(215513,10072055,'Cannot be modified except by direct means',100,2,3),
(215514,24194,'Adds Crushbone: Iron Shackle to your Dungeon Maker toolbox',100,0,0),
(215515,10024194,'Adds Crushbone: Iron Shackle to your Dungeon Maker toolbox',100,0,0),
(215516,122933,'Inflicts 15 - 20 mental damage on target',100,1,0),
(215517,10122933,'Inflicts 19 - 26 mental damage on target',100,1,0),
(215518,47709,'Applies Rejuvenation of Marr when Activated.  Lasts for 30.0 seconds.',100,0,0),
(215519,47709,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(215520,10047709,'Applies Rejuvenation of Marr when Activated.  Lasts for 30.0 seconds.',100,0,0),
(215521,10047709,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(215522,87320,'When Equipped:',100,0,0),
(215523,87320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215524,87320,'Inflicts 111 - 166 magic damage on target',100,2,2),
(215525,87320,'Cannot be modified except by direct means',100,2,3),
(215526,10087320,'When Equipped:',100,0,0),
(215527,10087320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215528,10087320,'Inflicts 144 - 216 magic damage on target',100,2,2),
(215529,10087320,'Cannot be modified except by direct means',100,2,3),
(215530,88674,'When Equipped:',100,0,0),
(215531,88674,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(215532,88674,'Heals target for 5594 - 6182',100,2,2),
(215533,88674,'Must not be engaged in pvp combat',100,2,3),
(215534,88674,'Cannot be modified except by direct means',100,2,4),
(215535,88674,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(215536,88674,'Cannot be modified except by direct means',100,1,6),
(215537,88674,'When Equipped:',100,0,7),
(215538,88674,'On a healing spell cast this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(215539,88674,'Increases Potency of caster by 11.0%',100,2,9),
(215540,88674,'Increases Slashing, Ranged, Piercing and Crushing of caster by 11.5',100,2,10),
(215541,88674,'Must not be engaged in pvp combat',100,2,11),
(215542,88674,'Cannot be modified except by direct means',100,2,12),
(215543,88674,'On any combat or spell hit this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(215544,88674,'Increases Potency of caster by 11.0%',100,2,14),
(215545,88674,'Increases Slashing, Ranged, Piercing and Crushing of caster by 11.5',100,2,15),
(215546,88674,'Must not be engaged in pvp combat',100,2,16),
(215547,88674,'Cannot be modified except by direct means',100,2,17),
(215548,88674,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,18),
(215549,88674,'Cannot be modified except by direct means',100,1,19),
(215550,10088674,'When Equipped:',100,0,0),
(215551,10088674,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(215552,10088674,'Heals target for 6545 - 7233',100,2,2),
(215553,10088674,'Must not be engaged in pvp combat',100,2,3),
(215554,10088674,'Cannot be modified except by direct means',100,2,4),
(215555,10088674,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(215556,10088674,'Cannot be modified except by direct means',100,1,6),
(215557,10088674,'When Equipped:',100,0,7),
(215558,10088674,'On a healing spell cast this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(215559,10088674,'Increases Potency of caster by 11.0%',100,2,9),
(215560,10088674,'Increases Slashing, Ranged, Piercing and Crushing of caster by 11.5',100,2,10),
(215561,10088674,'Must not be engaged in pvp combat',100,2,11),
(215562,10088674,'Cannot be modified except by direct means',100,2,12),
(215563,10088674,'On any combat or spell hit this spell may cast Overbearing Onslaught III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,13),
(215564,10088674,'Increases Potency of caster by 11.0%',100,2,14),
(215565,10088674,'Increases Slashing, Ranged, Piercing and Crushing of caster by 11.5',100,2,15),
(215566,10088674,'Must not be engaged in pvp combat',100,2,16),
(215567,10088674,'Cannot be modified except by direct means',100,2,17),
(215568,10088674,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,18),
(215569,10088674,'Cannot be modified except by direct means',100,1,19),
(215570,75165,'When Equipped:',100,0,0),
(215571,75165,'On a combat hit this spell may cast Frigid Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215572,75165,'Inflicts 303 - 505 cold damage on target',100,2,2),
(215573,75165,'Cannot be modified except by direct means',100,2,3),
(215574,10075165,'When Equipped:',100,0,0),
(215575,10075165,'On a combat hit this spell may cast Frigid Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215576,10075165,'Inflicts 394 - 656 cold damage on target',100,2,2),
(215577,10075165,'Cannot be modified except by direct means',100,2,3),
(215578,105502,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 3.4',100,1,0),
(215579,10105502,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 3.4',100,1,0),
(215580,166382,'When Equipped:',100,0,0),
(215581,166382,'Increases base Healing amount by 8%.',100,1,1),
(215582,10166382,'When Equipped:',100,0,0),
(215583,10166382,'Increases base Healing amount by 8%.',100,1,1),
(215584,72029,'When Equipped:',100,0,0),
(215585,72029,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215586,72029,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(215587,72029,'Cannot be modified except by direct means',100,2,3),
(215588,10072029,'When Equipped:',100,0,0),
(215589,10072029,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215590,10072029,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(215591,10072029,'Cannot be modified except by direct means',100,2,3),
(215592,121979,'Increases Threat to target by 43 - 52 ',100,1,0),
(215593,37372,'Increases STR of target by 0.4',100,0,0),
(215594,37372,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(215595,124114,'Increases power of caster by 200',100,1,0),
(215596,10124114,'Increases power of caster by 200',100,1,0),
(215597,46842,'Applies Place Makeshift Barricade when Activated.',100,0,0),
(215598,46842,'This effect cannot be cast during combat',100,1,1),
(215599,10046842,'Applies Place Makeshift Barricade when Activated.',100,0,0),
(215600,10046842,'This effect cannot be cast during combat',100,1,1),
(215601,37317,'Increases STA and INT of target by 1.1',100,0,0),
(215602,37317,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(215603,80275,'When Equipped:',100,0,0),
(215604,80275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215605,80275,'Inflicts 234 - 434 magic damage on target',100,2,2),
(215606,80275,'Cannot be modified except by direct means',100,2,3),
(215607,10080275,'When Equipped:',100,0,0),
(215608,10080275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215609,10080275,'Inflicts 304 - 564 magic damage on target',100,2,2),
(215610,10080275,'Cannot be modified except by direct means',100,2,3),
(215611,116913,'Summons a limited pet to aid the caster',100,1,0),
(215612,10116913,'Summons a limited pet to aid the caster',100,1,0),
(215613,187343,'When Equipped:',100,0,0),
(215614,187343,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(215615,10187343,'When Equipped:',100,0,0),
(215616,10187343,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(215617,101081,'Summons 3 limited pets to aid the caster',100,1,0),
(215618,10101081,'Summons 3 limited pets to aid the caster',100,1,0),
(215619,122721,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(215620,122721,'Increases Deflection of caster by 8.3',100,1,1),
(215621,10122721,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(215622,10122721,'Increases Deflection of caster by 8.3',100,1,1),
(215623,77342,'When Equipped:',100,0,0),
(215624,77342,'On a melee hit this spell may cast Strike of the Gavel on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(215625,77342,'Inflicts 1031 - 1261 crushing damage on target',100,2,2),
(215626,77342,'Increases Threat to target by 1,957 ',100,2,3),
(215627,77342,'Must be in front of',100,3,4),
(215628,77342,'Cannot be modified except by direct means',100,2,5),
(215629,77342,'Cannot be modified except by direct means',100,1,6),
(215630,10077342,'When Equipped:',100,0,0),
(215631,10077342,'On a melee hit this spell may cast Strike of the Gavel on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(215632,10077342,'Inflicts 1341 - 1639 crushing damage on target',100,2,2),
(215633,10077342,'Cannot be modified except by direct means',100,2,3),
(215634,10077342,'Cannot be modified except by direct means',100,1,4),
(215635,107934,'Mesmerizes target',100,1,0),
(215636,107934,'Prevents AOE (except when direct) ',100,1,1),
(215637,107934,'Dispelled when target takes damage',100,1,2),
(215638,107934,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(215639,107934,'Resistibility increases against targets higher than level 81.',100,1,4),
(215640,10107934,'Mesmerizes target',100,1,0),
(215641,10107934,'Prevents AOE (except when direct) ',100,1,1),
(215642,10107934,'Dispelled when target takes damage',100,1,2),
(215643,10107934,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(215644,10107934,'Resistibility increases against targets higher than level 81.',100,1,4),
(215645,110515,'Increases Threat to target by 341  instantly and by 142  every 3 seconds thereafter',100,1,0),
(215646,110515,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(215647,110515,'Stuns target',100,2,2),
(215648,110515,'Throws target back',100,2,3),
(215649,110515,'Blurs vision of target',100,2,4),
(215650,110515,'Does not affect Epic targets',100,2,5),
(215651,110515,'Inflicts 96 - 160 disease damage on target',100,1,6),
(215652,10110515,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(215653,10110515,'Stuns target',100,2,1),
(215654,10110515,'Throws target back',100,2,2),
(215655,10110515,'Blurs vision of target',100,2,3),
(215656,10110515,'Does not affect Epic targets',100,2,4),
(215657,10110515,'Forces target to change their selected target to caster.',100,1,5),
(215658,10110515,'Inflicts 104 - 173 disease damage on target',100,1,6),
(215659,10110515,'Prevents target from changing targets',100,1,7),
(215660,118511,'Inflicts 17 - 29 melee damage on target',100,1,0),
(215661,118511,'Decreases STR of target by 7.8',100,1,1),
(215662,118511,'You must be sneaking to use this ability.',100,1,2),
(215663,10118511,'Inflicts 22 - 37 melee damage on target',100,1,0),
(215664,10118511,'Decreases STR of target by 7.8',100,1,1),
(215665,10118511,'You must be sneaking to use this ability.',100,1,2),
(215666,72114,'Applies Astral Blessing when Equipped.',100,0,0),
(215667,72114,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215668,72114,'Heals target for 442 instantly and every second',100,2,2),
(215669,72114,'Cannot be modified except by direct means',100,2,3),
(215670,72114,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(215671,72114,'Heals caster for 442 instantly and every second',100,2,5),
(215672,72114,'Cannot be modified except by direct means',100,2,6),
(215673,72114,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(215674,72114,'Heals caster for 442 instantly and every second',100,2,8),
(215675,72114,'Cannot be modified except by direct means',100,2,9),
(215676,10072114,'Applies Astral Blessing when Equipped.',100,0,0),
(215677,10072114,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215678,10072114,'Heals target for 517 instantly and every second',100,2,2),
(215679,10072114,'Cannot be modified except by direct means',100,2,3),
(215680,10072114,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(215681,10072114,'Heals caster for 517 instantly and every second',100,2,5),
(215682,10072114,'Cannot be modified except by direct means',100,2,6),
(215683,10072114,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(215684,10072114,'Heals caster for 517 instantly and every second',100,2,8),
(215685,10072114,'Cannot be modified except by direct means',100,2,9),
(215686,102612,'Increases Threat to target encounter by 941 - 1,151 ',100,1,0),
(215687,102612,'Interrupts target encounter',100,1,1),
(215688,102612,'Decreases Mitigation of target encounter vs noxious damage by 640',100,1,2),
(215689,10102612,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(215690,10102612,'Prevents target from changing targets',100,2,1),
(215691,10102612,'Forces target to change their selected target to caster.',100,2,2),
(215692,10102612,'Interrupts target encounter',100,1,3),
(215693,10102612,'Decreases Mitigation of target encounter vs noxious damage by 640',100,1,4),
(215694,120296,'Target will lose 70% more power when power is consumed',100,1,0),
(215695,120296,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(215696,120296,'Inflicts 690 - 844 divine damage on target',100,2,2),
(215697,120296,'Grants a total of 3 triggers of the spell.',100,2,3),
(215698,10120296,'Target will lose 70% more power when power is consumed',100,1,0),
(215699,10120296,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(215700,10120296,'Inflicts 897 - 1097 divine damage on target',100,2,2),
(215701,10120296,'Grants a total of 3 triggers of the spell.',100,2,3),
(215702,45013,'Applies Create Knight''s Sword when Activated.',100,0,0),
(215703,45013,'Summon 1 Sword of Knighthood',100,1,1),
(215704,10045013,'Applies Create Knight''s Sword when Activated.',100,0,0),
(215705,10045013,'Summon 1 Sword of Knighthood',100,1,1),
(215706,104997,'Reduces physical damage done to caster by 5%',100,1,0),
(215707,104997,'Adds 1.7% to base avoidance.',100,1,1),
(215708,104997,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(215709,104997,'Increases Parry of caster by 19.1',100,1,3),
(215710,104997,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(215711,104997,'Increases Aggression of caster by 11.5',100,1,5),
(215712,104997,'Increases Defense and Deflection of caster by 19.1',100,1,6),
(215713,104997,'Increases Mitigation of caster vs arcane damage by 1276',100,1,7),
(215714,104997,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(215715,10104997,'Reduces physical damage done to caster by 5%',100,1,0),
(215716,10104997,'Adds 1.7% to base avoidance.',100,1,1),
(215717,10104997,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(215718,10104997,'Increases Parry of caster by 19.1',100,1,3),
(215719,10104997,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(215720,10104997,'Increases Aggression of caster by 11.5',100,1,5),
(215721,10104997,'Increases Defense and Deflection of caster by 19.1',100,1,6),
(215722,10104997,'Increases Mitigation of caster vs arcane damage by 1276',100,1,7),
(215723,10104997,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(215724,117918,'Increases In-Combat Health Regeneration of group members (AE) by 141.8',100,1,0),
(215725,117918,'Increases Max Health of group members (AE) by 728.4',100,1,1),
(215726,10117918,'Increases In-Combat Health Regeneration of group members (AE) by 141.8',100,1,0),
(215727,10117918,'Increases Max Health of group members (AE) by 728.4',100,1,1),
(215728,35195,'Increases Max Power of target by 3.3',100,0,0),
(215729,35195,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(215730,101066,'Summons 3 limited pets to aid the caster',100,1,0),
(215731,10101066,'Summons 3 limited pets to aid the caster',100,1,0),
(215732,107890,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(215733,107890,'Slows target by 53.8%',100,2,1),
(215734,107890,'5% chance to dispel when target receives hostile action',100,2,2),
(215735,107890,'5% chance to dispel when target takes damage',100,2,3),
(215736,107890,'Slows target encounter by 64.5%',100,1,4),
(215737,107890,'5% chance to dispel when target takes damage',100,1,5),
(215738,10107890,'Slows target encounter by 64.5%',100,1,0),
(215739,10107890,'5% chance to dispel when target takes damage',100,1,1),
(215740,141863,'When Equipped:',100,0,0),
(215741,141863,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215742,141863,'Increases STR of caster by 13.2',100,2,2),
(215743,141863,'Increases Damage Per Second of caster by 21.7',100,2,3),
(215744,141863,'Cannot be modified except by direct means',100,2,4),
(215745,10141863,'When Equipped:',100,0,0),
(215746,10141863,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215747,10141863,'Increases STR of caster by 13.2',100,2,2),
(215748,10141863,'Increases Damage Per Second of caster by 21.7',100,2,3),
(215749,10141863,'Cannot be modified except by direct means',100,2,4),
(215750,110877,'Inflicts 306 - 374 heat damage on target encounter',100,1,0),
(215751,10110877,'Inflicts 398 - 486 heat damage on target encounter',100,1,0),
(215752,141969,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(215753,141969,'Decreases Mitigation of target vs physical damage by 270',100,1,1),
(215754,141969,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(215755,10141969,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(215756,10141969,'Decreases Mitigation of target vs physical damage by 270',100,1,1),
(215757,10141969,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(215758,46143,'Applies Enchanted Gryphon Call when Activated.  Lasts for 12 hours.',100,0,0),
(215759,46143,'Summons a flying mount that can be one of four different colors.',100,1,1),
(215760,46143,'This Winter Reward potion can only be used once per character.',100,1,2),
(215761,10046143,'Applies Enchanted Gryphon Call when Activated.  Lasts for 12 hours.',100,0,0),
(215762,10046143,'Summons a flying mount that can be one of four different colors.',100,1,1),
(215763,10046143,'This Winter Reward potion can only be used once per character.',100,1,2),
(215764,123118,'Inflicts 178 disease damage on targets in Area of Effect',100,1,0),
(215765,123118,'Inflicts 121 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(215766,10123118,'Inflicts 231 disease damage on targets in Area of Effect',100,1,0),
(215767,10123118,'Inflicts 158 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(215768,81420,'When Equipped:',100,0,0),
(215769,81420,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215770,81420,'Inflicts 109 - 202 magic damage on target',100,2,2),
(215771,81420,'Cannot be modified except by direct means',100,2,3),
(215772,10081420,'When Equipped:',100,0,0),
(215773,10081420,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215774,10081420,'Inflicts 142 - 263 magic damage on target',100,2,2),
(215775,10081420,'Cannot be modified except by direct means',100,2,3),
(215776,27473,'When Equipped:',100,0,0),
(215777,27473,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(215778,27473,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(215779,10027473,'When Equipped:',100,0,0),
(215780,10027473,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(215781,10027473,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(215782,104460,'Inflicts 205 - 250 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(215783,104460,'Interrupts target encounter',100,1,1),
(215784,104460,'Applies Stumble on termination.',100,1,2),
(215785,104460,'Interrupts target',100,2,3),
(215786,10104460,'Inflicts 266 - 325 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(215787,10104460,'Interrupts target encounter',100,1,1),
(215788,10104460,'Applies Stumble on termination.',100,1,2),
(215789,10104460,'Interrupts target',100,2,3),
(215790,105670,'Decreases Damage Per Second of target by 21.5',100,1,0),
(215791,105670,'Inflicts 281 - 468 melee damage on target',100,1,1),
(215792,105670,'Must be flanking or behind',100,1,2),
(215793,10105670,'Decreases Damage Per Second of target by 21.5',100,1,0),
(215794,10105670,'Inflicts 365 - 609 melee damage on target',100,1,1),
(215795,10105670,'Must be flanking or behind',100,1,2),
(215796,46813,'Applies Summon Lu Sywaka''s Projection when Activated.  Lasts for 1 minute.',100,0,0),
(215797,46813,'Summons a pet Lu Sywaka',100,1,1),
(215798,10046813,'Applies Summon Lu Sywaka''s Projection when Activated.  Lasts for 1 minute.',100,0,0),
(215799,10046813,'Summons a pet Lu Sywaka',100,1,1),
(215800,177549,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(215801,177549,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(215802,177549,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(215803,177549,'Cannot be modified except by direct means',100,2,3),
(215804,10177549,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(215805,10177549,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(215806,10177549,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(215807,10177549,'Cannot be modified except by direct means',100,2,3),
(215808,46022,'Applies Drogan Distraction when Activated.',100,0,0),
(215809,46022,'Shapechanges the user into a kunark goblin, and provides a shield which damages any melee attacker.',100,1,1),
(215810,10046022,'Applies Drogan Distraction when Activated.',100,0,0),
(215811,10046022,'Shapechanges the user into a kunark goblin, and provides a shield which damages any melee attacker.',100,1,1),
(215812,49153,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(215813,49153,'Increases Max Health of caster by 187.1',100,1,1),
(215814,10049153,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(215815,10049153,'Increases Max Health of caster by 187.1',100,1,1),
(215816,184882,'When Equipped:',100,0,0),
(215817,184882,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(215818,184882,'Wards caster against 280 points of all damage',100,2,2),
(215819,184882,'Cannot be modified except by direct means',100,2,3),
(215820,10184882,'When Equipped:',100,0,0),
(215821,10184882,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(215822,10184882,'Wards caster against 280 points of all damage',100,2,2),
(215823,10184882,'Cannot be modified except by direct means',100,2,3),
(215824,20472,'When Equipped:',100,0,0),
(215825,20472,'On a ranged hit this spell will cast Emerald Strike on target of attack.  ',100,1,1),
(215826,20472,'Inflicts 83 - 139 magic damage on target',100,2,2),
(215827,20472,'Cannot be modified except by direct means',100,2,3),
(215828,10020472,'When Equipped:',100,0,0),
(215829,10020472,'On a ranged hit this spell will cast Emerald Strike on target of attack.  ',100,1,1),
(215830,10020472,'Inflicts 109 - 181 magic damage on target',100,2,2),
(215831,10020472,'Cannot be modified except by direct means',100,2,3),
(215832,74885,'When Equipped:',100,0,0),
(215833,74885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215834,74885,'Inflicts 169 - 254 magic damage on target',100,2,2),
(215835,74885,'Cannot be modified except by direct means',100,2,3),
(215836,10074885,'When Equipped:',100,0,0),
(215837,10074885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215838,10074885,'Inflicts 220 - 330 magic damage on target',100,2,2),
(215839,10074885,'Cannot be modified except by direct means',100,2,3),
(215840,151782,'When Equipped:',100,0,0),
(215841,151782,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(215842,10151782,'When Equipped:',100,0,0),
(215843,10151782,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(215844,71994,'When Equipped:',100,0,0),
(215845,71994,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215846,71994,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(215847,71994,'Cannot be modified except by direct means',100,2,3),
(215848,10071994,'When Equipped:',100,0,0),
(215849,10071994,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215850,10071994,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(215851,10071994,'Cannot be modified except by direct means',100,2,3),
(215852,80376,'When Equipped:',100,0,0),
(215853,80376,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215854,80376,'Inflicts 70 - 131 magic damage on target',100,2,2),
(215855,80376,'Cannot be modified except by direct means',100,2,3),
(215856,10080376,'When Equipped:',100,0,0),
(215857,10080376,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215858,10080376,'Inflicts 91 - 170 magic damage on target',100,2,2),
(215859,10080376,'Cannot be modified except by direct means',100,2,3),
(215860,136691,'When Equipped:',100,0,0),
(215861,136691,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(215862,10136691,'When Equipped:',100,0,0),
(215863,10136691,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(215864,46541,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(215865,46541,'Increases Max Power of caster by 277.6',100,1,1),
(215866,10046541,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(215867,10046541,'Increases Max Power of caster by 277.6',100,1,1),
(215868,105138,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(215869,105138,'Summon 1 Crystallized Essence (Master)',100,2,1),
(215870,10105138,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(215871,10105138,'Summon 1 Crystallized Essence (Master)',100,2,1),
(215872,112424,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 6% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(215873,112424,'If over 50% Health',100,2,1),
(215874,112424,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 6% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(215875,112424,'If at 50% Health or less',100,2,3),
(215876,10112424,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 6% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(215877,10112424,'If over 50% Health',100,2,1),
(215878,10112424,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 6% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(215879,10112424,'If at 50% Health or less',100,2,3),
(215880,24468,'Adds Kromzek Vigilis to your Dungeon Maker toolbox',100,0,0),
(215881,10024468,'Adds Kromzek Vigilis to your Dungeon Maker toolbox',100,0,0),
(215882,103051,'Inflicts 41 magic damage on target instantly and every 4 seconds',100,1,0),
(215883,103051,'Increases power of caster by 13 instantly and every 4 seconds',100,1,1),
(215884,10103051,'Inflicts 54 magic damage on target instantly and every 4 seconds',100,1,0),
(215885,10103051,'Increases power of caster by 13 instantly and every 4 seconds',100,1,1),
(215886,110217,'Interrupts target',100,1,0),
(215887,110217,'Inflicts 185 - 308 crushing damage on target',100,1,1),
(215888,10110217,'Interrupts target',100,1,0),
(215889,10110217,'Inflicts 240 - 400 crushing damage on target',100,1,1),
(215890,175348,'When Equipped:',100,0,0),
(215891,175348,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(215892,175348,'Inflicts 815 crushing damage on target',100,2,2),
(215893,175348,'Increases Threat to target by 1,250 ',100,2,3),
(215894,175348,'Must not be engaged in pvp combat',100,2,4),
(215895,175348,'Cannot be modified except by direct means',100,2,5),
(215896,175348,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,6),
(215897,175348,'Inflicts 815 crushing damage on target',100,2,7),
(215898,175348,'Increases Threat to target by 1,250 ',100,2,8),
(215899,175348,'Must not be engaged in pvp combat',100,2,9),
(215900,175348,'Cannot be modified except by direct means',100,2,10),
(215901,10175348,'When Equipped:',100,0,0),
(215902,10175348,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(215903,10175348,'Inflicts 1060 crushing damage on target',100,2,2),
(215904,10175348,'Must not be engaged in pvp combat',100,2,3),
(215905,10175348,'Cannot be modified except by direct means',100,2,4),
(215906,10175348,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,5),
(215907,10175348,'Inflicts 1060 crushing damage on target',100,2,6),
(215908,10175348,'Must not be engaged in pvp combat',100,2,7),
(215909,10175348,'Cannot be modified except by direct means',100,2,8),
(215910,85349,'Applies Poison Bolt when Activated.',100,0,0),
(215911,85349,'Inflicts 463 - 772 poison damage on target',100,1,1),
(215912,85349,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(215913,10085349,'Applies Poison Bolt when Activated.',100,0,0),
(215914,10085349,'Inflicts 602 - 1004 poison damage on target',100,1,1),
(215915,10085349,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(215916,113548,'Inflicts 586 - 977 disease damage on target',100,1,0),
(215917,10113548,'Inflicts 762 - 1270 disease damage on target',100,1,0),
(215918,101218,'Inflicts 316 - 527 cold damage on target',100,1,0),
(215919,101218,'Dazes target',100,1,1),
(215920,101218,'If Target is not Epic',100,2,2),
(215921,101218,'Resistibility increases against targets higher than level 87.',100,1,3),
(215922,10101218,'Inflicts 411 - 685 cold damage on target',100,1,0),
(215923,10101218,'Dazes target',100,1,1),
(215924,10101218,'If Target is not Epic',100,2,2),
(215925,10101218,'Resistibility increases against targets higher than level 87.',100,1,3),
(215926,36872,'Target will Dodge 0.2% of incoming attacks',100,0,0),
(215927,36872,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(215928,71465,'When Equipped:',100,0,0),
(215929,71465,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215930,71465,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(215931,71465,'Cannot be modified except by direct means',100,2,3),
(215932,10071465,'When Equipped:',100,0,0),
(215933,10071465,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(215934,10071465,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(215935,10071465,'Cannot be modified except by direct means',100,2,3),
(215936,87321,'When Equipped:',100,0,0),
(215937,87321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215938,87321,'Inflicts 153 - 229 magic damage on target',100,2,2),
(215939,87321,'Cannot be modified except by direct means',100,2,3),
(215940,10087321,'When Equipped:',100,0,0),
(215941,10087321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215942,10087321,'Inflicts 199 - 298 magic damage on target',100,2,2),
(215943,10087321,'Cannot be modified except by direct means',100,2,3),
(215944,108672,'Dispels 197 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(215945,10108672,'Dispels 197 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(215946,171263,'When Equipped:',100,0,0),
(215947,171263,'On a critical healing spell cast this spell may cast Ward of Duality IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215948,171263,'Wards target against 400 points of all damage',100,2,2),
(215949,171263,'Wards caster against 200 points of all damage',100,2,3),
(215950,171263,'Must not be engaged in pvp combat',100,2,4),
(215951,171263,'Cannot be modified except by direct means',100,2,5),
(215952,171263,'Must not be engaged in pvp combat',100,1,6),
(215953,10171263,'When Equipped:',100,0,0),
(215954,10171263,'On a critical healing spell cast this spell may cast Ward of Duality IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215955,10171263,'Wards target against 400 points of all damage',100,2,2),
(215956,10171263,'Wards caster against 200 points of all damage',100,2,3),
(215957,10171263,'Must not be engaged in pvp combat',100,2,4),
(215958,10171263,'Cannot be modified except by direct means',100,2,5),
(215959,10171263,'Must not be engaged in pvp combat',100,1,6),
(215960,103307,'Inflicts 20 - 25 mental damage on target instantly and every 6 seconds',100,1,0),
(215961,103307,'Applies Migraine on termination.',100,1,1),
(215962,103307,'Inflicts 44 - 59 mental damage on target',100,2,2),
(215963,10103307,'Inflicts 26 - 32 mental damage on target instantly and every 6 seconds',100,1,0),
(215964,10103307,'Applies Migraine on termination.',100,1,1),
(215965,10103307,'Inflicts 57 - 77 mental damage on target',100,2,2),
(215966,36102,'Increases STA of target by 5.9',100,0,0),
(215967,36102,'Increases outgoing damaging spell amount by 3%',100,0,1),
(215968,36102,'Increases INT of target by 5.9',100,0,2),
(215969,36102,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,3),
(215970,108262,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(215971,108262,'Inflicts 107 heat damage on target',100,2,1),
(215972,108262,'Grants a total of 3 triggers of the spell.',100,2,2),
(215973,10108262,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(215974,10108262,'Inflicts 139 heat damage on target',100,2,1),
(215975,10108262,'Grants a total of 3 triggers of the spell.',100,2,2),
(215976,87493,'When Equipped:',100,0,0),
(215977,87493,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215978,87493,'Inflicts 107 - 161 magic damage on target',100,2,2),
(215979,87493,'Cannot be modified except by direct means',100,2,3),
(215980,10087493,'When Equipped:',100,0,0),
(215981,10087493,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(215982,10087493,'Inflicts 140 - 210 magic damage on target',100,2,2),
(215983,10087493,'Cannot be modified except by direct means',100,2,3),
(215984,35489,'Increases AGI of target by 1.5',100,0,0),
(215985,35489,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(215986,46440,'Applies Call Frost Gryphon when Activated.',100,0,0),
(215987,46440,'Summons a mount to ride',100,1,1),
(215988,46440,'Increases your ground speed by 75%',100,2,2),
(215989,46440,'Increases your air speed by 150%',100,2,3),
(215990,10046440,'Applies Call Frost Gryphon when Activated.',100,0,0),
(215991,10046440,'Summons a mount to ride',100,1,1),
(215992,10046440,'Increases your ground speed by 75%',100,2,2),
(215993,10046440,'Increases your air speed by 150%',100,2,3),
(215994,114485,'Increases In-Combat Power Regeneration of group members (AE) by 7.0',100,1,0),
(215995,10114485,'Increases In-Combat Power Regeneration of group members (AE) by 7.0',100,1,0),
(215996,182338,'When Equipped:',100,0,0),
(215997,182338,'On a healing spell cast this spell may cast Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(215998,182338,'Replenishes 100 points of absorption every 5 seconds.',100,2,2),
(215999,182338,'Wards target against 500 points of all damage',100,2,3),
(216000,182338,'Cannot be modified except by direct means',100,2,4),
(216001,182338,'Cannot be modified except by direct means',100,1,5),
(216002,10182338,'When Equipped:',100,0,0),
(216003,10182338,'On a healing spell cast this spell may cast Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(216004,10182338,'Replenishes 100 points of absorption every 5 seconds.',100,2,2),
(216005,10182338,'Wards target against 500 points of all damage',100,2,3),
(216006,10182338,'Cannot be modified except by direct means',100,2,4),
(216007,10182338,'Cannot be modified except by direct means',100,1,5),
(216008,122557,'Heals caster for 179',100,1,0),
(216009,122557,'Inflicts 379 - 632 melee damage on target',100,1,1),
(216010,10122557,'Heals caster for 116',100,1,0),
(216011,10122557,'Inflicts 493 - 822 melee damage on target',100,1,1),
(216012,103158,'Throws target back',100,1,0),
(216013,103158,'If Target is not Epic',100,2,1),
(216014,103158,'Inflicts 124 - 373 crushing damage on target',100,1,2),
(216015,103158,'Stuns target',100,1,3),
(216016,103158,'If Target is not Epic',100,2,4),
(216017,103158,'Resistibility increases against targets higher than level 70.',100,1,5),
(216018,10103158,'Throws target back',100,1,0),
(216019,10103158,'If Target is not Epic',100,2,1),
(216020,10103158,'Inflicts 161 - 485 crushing damage on target',100,1,2),
(216021,10103158,'Stuns target',100,1,3),
(216022,10103158,'If Target is not Epic',100,2,4),
(216023,10103158,'Resistibility increases against targets higher than level 70.',100,1,5),
(216024,114049,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(216025,114049,'Grants stealth to caster',100,2,1),
(216026,114049,'Suspends caster''s movement speed enhancements',100,2,2),
(216027,114049,'Inflicts 22 - 37 melee damage on target',100,1,3),
(216028,114049,'Must be flanking or behind',100,1,4),
(216029,10114049,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(216030,10114049,'Grants stealth to caster',100,2,1),
(216031,10114049,'Suspends caster''s movement speed enhancements',100,2,2),
(216032,10114049,'Inflicts 43 - 72 melee damage on target',100,1,3),
(216033,10114049,'Must be flanking or behind',100,1,4),
(216034,109398,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(216035,109398,'Inflicts 150 - 183 cold damage on target',100,2,1),
(216036,109398,'Slows target by 59.2%',100,2,2),
(216037,109398,'5% chance to dispel when target receives hostile action',100,2,3),
(216038,109398,'5% chance to dispel when target takes damage',100,2,4),
(216039,10109398,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(216040,10109398,'Inflicts 195 - 238 cold damage on target',100,2,1),
(216041,10109398,'Slows target by 59.2%',100,2,2),
(216042,10109398,'5% chance to dispel when target receives hostile action',100,2,3),
(216043,10109398,'5% chance to dispel when target takes damage',100,2,4),
(216044,117518,'Increases AGI, WIS and INT of group members (AE) by 14.4',100,1,0),
(216045,117518,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,1),
(216046,10117518,'Increases AGI, WIS and INT of group members (AE) by 14.4',100,1,0),
(216047,10117518,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,1),
(216048,27218,'When Equipped:',100,0,0),
(216049,27218,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(216050,27218,'Inflicts 398 heat damage on target',100,2,2),
(216051,27218,'Inflicts 43 heat damage on target every 5 seconds',100,2,3),
(216052,27218,'Cannot be modified except by direct means',100,2,4),
(216053,10027218,'When Equipped:',100,0,0),
(216054,10027218,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(216055,10027218,'Inflicts 518 heat damage on target',100,2,2),
(216056,10027218,'Inflicts 56 heat damage on target every 5 seconds',100,2,3),
(216057,10027218,'Cannot be modified except by direct means',100,2,4),
(216058,154873,'When Equipped:',100,0,0),
(216059,154873,'On any combat or spell hit this spell may cast Spirit Aegis on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216060,154873,'3% of all physical damage received by the caster is prevented.',100,2,2),
(216061,154873,'Increases the base trigger chance of spells and items by 5%.',100,2,3),
(216062,154873,'Cannot be modified except by direct means',100,2,4),
(216063,10154873,'When Equipped:',100,0,0),
(216064,10154873,'On any combat or spell hit this spell may cast Spirit Aegis on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216065,10154873,'3% of all physical damage received by the caster is prevented.',100,2,2),
(216066,10154873,'Increases the base trigger chance of spells and items by 5%.',100,2,3),
(216067,10154873,'Cannot be modified except by direct means',100,2,4),
(216068,104118,'Roots target',100,1,0),
(216069,104118,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(216070,104118,'Makes target afraid',100,2,2),
(216071,104118,'Slows target by 29.3%',100,2,3),
(216072,104118,'30% chance to dispel when target takes damage',100,2,4),
(216073,104118,'Resistibility increases against targets higher than level 62.',100,2,5),
(216074,104118,'15% chance to dispel when target takes damage',100,1,6),
(216075,104118,'Does not affect Epic targets',100,1,7),
(216076,104118,'Resistibility increases against targets higher than level 62.',100,1,8),
(216077,10104118,'Roots target',100,1,0),
(216078,10104118,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(216079,10104118,'Makes target afraid',100,2,2),
(216080,10104118,'Slows target by 29.3%',100,2,3),
(216081,10104118,'30% chance to dispel when target takes damage',100,2,4),
(216082,10104118,'Resistibility increases against targets higher than level 62.',100,2,5),
(216083,10104118,'15% chance to dispel when target takes damage',100,1,6),
(216084,10104118,'Does not affect Epic targets',100,1,7),
(216085,10104118,'Resistibility increases against targets higher than level 62.',100,1,8),
(216086,118558,'Dazes caster',100,1,0),
(216087,118558,'Roots caster',100,1,1),
(216088,118558,'Increases Mitigation of caster vs physical damage by 1280',100,1,2),
(216089,10118558,'Dazes caster',100,1,0),
(216090,10118558,'Roots caster',100,1,1),
(216091,10118558,'Increases Mitigation of caster vs physical damage by 1280',100,1,2),
(216092,24045,'Adds Boarfiend (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(216093,10024045,'Adds Boarfiend (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(216094,82665,'When Equipped:',100,0,0),
(216095,82665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216096,82665,'Inflicts 116 - 215 magic damage on target',100,2,2),
(216097,82665,'Cannot be modified except by direct means',100,2,3),
(216098,10082665,'When Equipped:',100,0,0),
(216099,10082665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216100,10082665,'Inflicts 151 - 280 magic damage on target',100,2,2),
(216101,10082665,'Cannot be modified except by direct means',100,2,3),
(216102,41462,'When Equipped:',100,0,0),
(216103,41462,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216104,41462,'Inflicts 70 - 131 magic damage on target',100,2,2),
(216105,41462,'Cannot be modified except by direct means',100,2,3),
(216106,10041462,'When Equipped:',100,0,0),
(216107,10041462,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216108,10041462,'Inflicts 91 - 170 magic damage on target',100,2,2),
(216109,10041462,'Cannot be modified except by direct means',100,2,3),
(216110,100853,'Wards target against 1565 points of all damage',100,1,0),
(216111,10100853,'Wards target against 2408 points of all damage',100,1,0),
(216112,159520,'Applies Lambent Imbued when Equipped.',100,0,0),
(216113,159520,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(216114,159520,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(216115,159520,'Cannot be modified except by direct means',100,2,3),
(216116,10159520,'Applies Lambent Imbued when Equipped.',100,0,0),
(216117,10159520,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(216118,10159520,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(216119,10159520,'Cannot be modified except by direct means',100,2,3),
(216120,114271,'Heals target for 59 - 72',100,1,0),
(216121,10114271,'Heals target for 70 - 85',100,1,0),
(216122,124498,'Heals group members (AE) for 1282 - 1566',100,1,0),
(216123,10124498,'Heals group members (AE) for 1499 - 1833',100,1,0),
(216124,71468,'When Equipped:',100,0,0),
(216125,71468,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216126,71468,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(216127,71468,'Cannot be modified except by direct means',100,2,3),
(216128,10071468,'When Equipped:',100,0,0),
(216129,10071468,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216130,10071468,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(216131,10071468,'Cannot be modified except by direct means',100,2,3),
(216132,45696,'Applies Margyn''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(216133,45696,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(216134,10045696,'Applies Margyn''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(216135,10045696,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(216136,47607,'Applies Potion of the Night when Activated.',100,0,0),
(216137,47607,'Increases power of caster by 384',100,1,1),
(216138,10047607,'Applies Potion of the Night when Activated.',100,0,0),
(216139,10047607,'Increases power of caster by 384',100,1,1),
(216140,102033,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(216141,102033,'Wards target against 866 points of all damage',100,2,1),
(216142,10102033,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(216143,10102033,'Wards target against 866 points of all damage',100,2,1),
(216144,112098,'Inflicts 72 - 121 heat damage on target instantly and every 2 seconds',100,1,0),
(216145,10112098,'Inflicts 231 - 385 heat damage on target instantly and every 2 seconds',100,1,0),
(216146,124110,'Increases power of caster by 108',100,1,0),
(216147,10124110,'Increases power of caster by 108',100,1,0),
(216148,118444,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(216149,118444,'Inflicts 5 - 7 heat damage on target instantly and every second',100,2,1),
(216150,10118444,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(216151,10118444,'Inflicts 7 - 9 heat damage on target instantly and every second',100,2,1),
(216152,82758,'When Equipped:',100,0,0),
(216153,82758,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216154,82758,'Inflicts 365 - 678 magic damage on target',100,2,2),
(216155,82758,'Decreases Threat to target by 1,174 ',100,2,3),
(216156,82758,'Must be flanking or behind',100,3,4),
(216157,82758,'Increases Threat to target by 1,174 ',100,2,5),
(216158,82758,'Must be in front of',100,3,6),
(216159,82758,'Cannot be modified except by direct means',100,2,7),
(216160,10082758,'When Equipped:',100,0,0),
(216161,10082758,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216162,10082758,'Inflicts 474 - 881 magic damage on target',100,2,2),
(216163,10082758,'Cannot be modified except by direct means',100,2,3),
(216164,87469,'When Equipped:',100,0,0),
(216165,87469,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216166,87469,'Inflicts 237 - 356 magic damage on target',100,2,2),
(216167,87469,'Cannot be modified except by direct means',100,2,3),
(216168,10087469,'When Equipped:',100,0,0),
(216169,10087469,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216170,10087469,'Inflicts 308 - 463 magic damage on target',100,2,2),
(216171,10087469,'Cannot be modified except by direct means',100,2,3),
(216172,103855,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(216173,103855,'Slows target by 38.1%',100,2,1),
(216174,103855,'5% chance to dispel when target receives hostile action',100,2,2),
(216175,103855,'5% chance to dispel when target takes damage',100,2,3),
(216176,103855,'Decreases Mitigation of target vs noxious damage by 506',100,1,4),
(216177,10103855,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(216178,10103855,'Slows target by 38.1%',100,2,1),
(216179,10103855,'5% chance to dispel when target receives hostile action',100,2,2),
(216180,10103855,'5% chance to dispel when target takes damage',100,2,3),
(216181,10103855,'Decreases Mitigation of target vs noxious damage by 506',100,1,4),
(216182,74958,'When Equipped:',100,0,0),
(216183,74958,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216184,74958,'Inflicts 169 - 254 magic damage on target',100,2,2),
(216185,74958,'Cannot be modified except by direct means',100,2,3),
(216186,10074958,'When Equipped:',100,0,0),
(216187,10074958,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216188,10074958,'Inflicts 220 - 330 magic damage on target',100,2,2),
(216189,10074958,'Cannot be modified except by direct means',100,2,3),
(216190,120849,'Inflicts 78 - 105 disease damage on target instantly and every second',100,1,0),
(216191,10120849,'Inflicts 141 - 191 disease damage on target',100,1,0),
(216192,10120849,'Inflicts 101 - 136 disease damage on target every second',100,1,1),
(216193,110500,'Stifles caster',100,1,0),
(216194,110500,'Increases power of caster by 39 instantly and every second',100,1,1),
(216195,10110500,'Stifles caster',100,1,0),
(216196,10110500,'Increases power of caster by 39 instantly and every second',100,1,1),
(216197,117431,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(216198,117431,'Inflicts 280 - 521 melee damage on targets in area',100,2,1),
(216199,117431,'Grants a total of 10 triggers of the spell.',100,2,2),
(216200,10117431,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(216201,10117431,'Inflicts 364 - 677 melee damage on targets in area',100,2,1),
(216202,10117431,'Grants a total of 10 triggers of the spell.',100,2,2),
(216203,159471,'Applies Sanguine Imbued when Equipped.',100,0,0),
(216204,159471,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(216205,159471,'Inflicts 119 heat damage on target',100,2,2),
(216206,159471,'Cannot be modified except by direct means',100,2,3),
(216207,10159471,'Applies Sanguine Imbued when Equipped.',100,0,0),
(216208,10159471,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(216209,10159471,'Inflicts 155 heat damage on target',100,2,2),
(216210,10159471,'Cannot be modified except by direct means',100,2,3),
(216211,40638,'When Equipped:',100,0,0),
(216212,40638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216213,40638,'Inflicts 134 - 201 magic damage on target',100,2,2),
(216214,40638,'Cannot be modified except by direct means',100,2,3),
(216215,10040638,'When Equipped:',100,0,0),
(216216,10040638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216217,10040638,'Inflicts 174 - 261 magic damage on target',100,2,2),
(216218,10040638,'Cannot be modified except by direct means',100,2,3),
(216219,100846,'Wards target against 802 points of all damage',100,1,0),
(216220,10100846,'Wards target against 1235 points of all damage',100,1,0),
(216221,46037,'Applies Summon Elemental Disc of Air when Activated.',100,0,0),
(216222,46037,'Increases Crushing and Slashing of caster by 5.0',100,1,1),
(216223,46037,'Summons a mount to ride',100,1,2),
(216224,46037,'Increases your ground speed by 75%',100,2,3),
(216225,46037,'Increases your air speed by 150%',100,2,4),
(216226,46037,'Increases Ranged, Subjugation, Ordination, Aggression, Focus, Piercing, Disruption and Ministration of caster by 5.0',100,1,5),
(216227,10046037,'Applies Summon Elemental Disc of Air when Activated.',100,0,0),
(216228,10046037,'Increases Crushing and Slashing of caster by 5.0',100,1,1),
(216229,10046037,'Summons a mount to ride',100,1,2),
(216230,10046037,'Increases your ground speed by 75%',100,2,3),
(216231,10046037,'Increases your air speed by 150%',100,2,4),
(216232,10046037,'Increases Ranged, Subjugation, Ordination, Aggression, Focus, Piercing, Disruption and Ministration of caster by 5.0',100,1,5),
(216233,46982,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(216234,46982,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(216235,46982,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(216236,46982,'Inflicts 55 poison damage on target',100,2,3),
(216237,46982,'Cannot be modified except by direct means',100,2,4),
(216238,46982,'Grants a total of 200 triggers of the spell.',100,2,5),
(216239,10046982,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(216240,10046982,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(216241,10046982,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(216242,10046982,'Inflicts 53 poison damage on target',100,2,3),
(216243,10046982,'Cannot be modified except by direct means',100,2,4),
(216244,10046982,'Grants a total of 200 triggers of the spell.',100,2,5),
(216245,139979,'When Equipped:',100,0,0),
(216246,139979,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(216247,139979,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(216248,139979,'Must not be engaged in pvp combat',100,2,3),
(216249,139979,'Cannot be modified except by direct means',100,2,4),
(216250,139979,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(216251,139979,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(216252,139979,'Must not be engaged in pvp combat',100,2,7),
(216253,139979,'Cannot be modified except by direct means',100,2,8),
(216254,139979,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(216255,139979,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(216256,139979,'Must not be engaged in pvp combat',100,2,11),
(216257,139979,'Cannot be modified except by direct means',100,2,12),
(216258,139979,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(216259,139979,'Inflicts 67 piercing damage on target',100,2,14),
(216260,139979,'Must not be engaged in pvp combat',100,2,15),
(216261,139979,'Cannot be modified except by direct means',100,2,16),
(216262,10139979,'When Equipped:',100,0,0),
(216263,10139979,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(216264,10139979,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(216265,10139979,'Must not be engaged in pvp combat',100,2,3),
(216266,10139979,'Cannot be modified except by direct means',100,2,4),
(216267,10139979,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(216268,10139979,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(216269,10139979,'Must not be engaged in pvp combat',100,2,7),
(216270,10139979,'Cannot be modified except by direct means',100,2,8),
(216271,10139979,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(216272,10139979,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(216273,10139979,'Must not be engaged in pvp combat',100,2,11),
(216274,10139979,'Cannot be modified except by direct means',100,2,12),
(216275,10139979,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(216276,10139979,'Inflicts 87 piercing damage on target',100,2,14),
(216277,10139979,'Must not be engaged in pvp combat',100,2,15),
(216278,10139979,'Cannot be modified except by direct means',100,2,16),
(216279,103445,'Blurs vision of target encounter',100,1,0),
(216280,103445,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(216281,103445,'Stuns target',100,2,2),
(216282,103445,'Throws target back',100,2,3),
(216283,103445,'Blurs vision of target',100,2,4),
(216284,103445,'Does not affect Epic targets',100,2,5),
(216285,103445,'Interrupts target encounter',100,1,6),
(216286,10103445,'Interrupts target encounter',100,1,0),
(216287,10103445,'9% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(216288,10103445,'Stuns target',100,2,2),
(216289,10103445,'Blurs vision of target',100,2,3),
(216290,10103445,'Throws target back',100,2,4),
(216291,10103445,'Does not affect Epic targets',100,2,5),
(216292,10103445,'Blurs vision of target encounter',100,1,6),
(216293,45622,'Applies Elixir of Mental Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(216294,10045622,'Applies Elixir of Mental Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(216295,113858,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(216296,113858,'Increases power of caster by 267',100,2,1),
(216297,113858,'Grants a total of 3 triggers of the spell.',100,2,2),
(216298,10113858,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(216299,10113858,'Increases power of caster by 267',100,2,1),
(216300,10113858,'Grants a total of 3 triggers of the spell.',100,2,2),
(216301,117791,'Mesmerizes target',100,1,0),
(216302,117791,'Prevents AOE (except when direct) ',100,1,1),
(216303,117791,'Dispelled when target takes damage',100,1,2),
(216304,117791,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(216305,117791,'Resistibility increases against targets higher than level 69.',100,1,4),
(216306,10117791,'Mesmerizes target',100,1,0),
(216307,10117791,'Prevents AOE (except when direct) ',100,1,1),
(216308,10117791,'Dispelled when target takes damage',100,1,2),
(216309,10117791,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(216310,10117791,'Resistibility increases against targets higher than level 69.',100,1,4),
(216311,120447,'Inflicts 501 - 835 melee damage on target',100,1,0),
(216312,120447,'Inflicts 501 - 835 melee damage on target',100,1,1),
(216313,10120447,'Inflicts 651 - 1085 melee damage on target',100,1,0),
(216314,10120447,'Inflicts 651 - 1085 melee damage on target',100,1,1),
(216315,116671,'Heals group members (AE) for 9.3 - 11.3% of max health',100,1,0),
(216316,116671,'This effect cannot be critically applied.',100,2,1),
(216317,116671,'Increases Max Health of group members (AE) by 207.6',100,1,2),
(216318,116671,'The healing of this spell cannot be modified except by direct means',100,1,3),
(216319,10116671,'Heals group members (AE) for 2.9 - 3.6% of max health',100,1,0),
(216320,10116671,'This effect cannot be critically applied.',100,2,1),
(216321,10116671,'Increases Max Health of group members (AE) by 207.6',100,1,2),
(216322,10116671,'The healing of this spell cannot be modified except by direct means',100,1,3),
(216323,106638,'Inflicts 805 - 984 disease damage on target',100,1,0),
(216324,106638,'Heals caster for 5.9 - 7.3% of max health',100,1,1),
(216325,106638,'This effect cannot be critically applied.',100,2,2),
(216326,106638,'The healing of this spell cannot be modified except by direct means',100,1,3),
(216327,10106638,'Inflicts 1046 - 1279 disease damage on target',100,1,0),
(216328,10106638,'Heals caster for 3.6 - 4.4% of max health',100,1,1),
(216329,10106638,'This effect cannot be critically applied.',100,2,2),
(216330,10106638,'The healing of this spell cannot be modified except by direct means',100,1,3),
(216331,117234,'Inflicts 115 slashing damage on target every 4 seconds',100,1,0),
(216332,117234,'Inflicts 573 - 955 melee damage on target',100,1,1),
(216333,10117234,'Inflicts 149 slashing damage on target every 4 seconds',100,1,0),
(216334,10117234,'Inflicts 745 - 1242 melee damage on target',100,1,1),
(216335,25298,'When Equipped:',100,0,0),
(216336,25298,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(216337,25298,'Improves the duration of Battle Cry VII by 20 seconds.',100,1,2),
(216338,10025298,'When Equipped:',100,0,0),
(216339,10025298,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(216340,10025298,'Improves the duration of Battle Cry VII by 20 seconds.',100,1,2),
(216341,106557,'Inflicts 920 - 1124 melee damage on target',100,1,0),
(216342,106557,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(216343,106557,'Increases Hate Gain of target by 30.0%',100,2,2),
(216344,106557,'Grants a total of 1 trigger of the spell.',100,2,3),
(216345,10106557,'Inflicts 1196 - 1462 melee damage on target',100,1,0),
(216346,10106557,'25% chance to apply Distract on termination.',100,1,1),
(216347,10106557,'Forces target to clear their selected target.',100,2,2),
(216348,159338,'When Equipped:',100,0,0),
(216349,159338,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(216350,159338,'Increases STA of caster by 11.9',100,2,2),
(216351,159338,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(216352,159338,'Cannot be modified except by direct means',100,2,4),
(216353,10159338,'When Equipped:',100,0,0),
(216354,10159338,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(216355,10159338,'Increases STA of caster by 11.9',100,2,2),
(216356,10159338,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(216357,10159338,'Cannot be modified except by direct means',100,2,4),
(216358,123521,'Decreases Mitigation of target encounter vs noxious damage by 1495',100,1,0),
(216359,10123521,'Decreases Mitigation of target encounter vs noxious damage by 1495',100,1,0),
(216360,184745,'When Equipped:',100,0,0),
(216361,184745,'On a hit this spell may cast Dizzying Dance on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(216362,184745,'Dazes target',100,2,2),
(216363,184745,'Only affects targets level 79 and below',100,2,3),
(216364,184745,'Does not affect Epic targets',100,2,4),
(216365,184745,'Resistibility increases against targets higher than level 103.',100,2,5),
(216366,184745,'Cannot be modified except by direct means',100,2,6),
(216367,10184745,'When Equipped:',100,0,0),
(216368,10184745,'On a hit this spell may cast Dizzying Dance on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(216369,10184745,'Dazes target',100,2,2),
(216370,10184745,'Only affects targets level 79 and below',100,2,3),
(216371,10184745,'Does not affect Epic targets',100,2,4),
(216372,10184745,'Resistibility increases against targets higher than level 103.',100,2,5),
(216373,10184745,'Cannot be modified except by direct means',100,2,6),
(216374,108957,'Increases INT of group members (AE) by 99.4',100,1,0),
(216375,108957,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 38.2',100,1,1),
(216376,10108957,'Increases INT of group members (AE) by 99.4',100,1,0),
(216377,10108957,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 38.2',100,1,1),
(216378,122231,'Increases Damage Per Second of target by 30.2',100,1,0),
(216379,122231,'Increases Max Health of target by 1,092.6',100,1,1),
(216380,10122231,'Increases Damage Per Second of target by 30.2',100,1,0),
(216381,10122231,'Increases Max Health of target by 1,092.6',100,1,1),
(216382,102651,'Inflicts 223 - 372 melee damage on target',100,1,0),
(216383,102651,'Inflicts 96 heat damage on target every 6 seconds',100,1,1),
(216384,10102651,'Inflicts 290 - 483 melee damage on target',100,1,0),
(216385,10102651,'Inflicts 125 heat damage on target every 6 seconds',100,1,1),
(216386,81678,'When Equipped:',100,0,0),
(216387,81678,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216388,81678,'Inflicts 118 - 218 magic damage on target',100,2,2),
(216389,81678,'Decreases Threat to target by 259 ',100,2,3),
(216390,81678,'Must be flanking or behind',100,3,4),
(216391,81678,'Increases Threat to target by 259 ',100,2,5),
(216392,81678,'Must be in front of',100,3,6),
(216393,81678,'Cannot be modified except by direct means',100,2,7),
(216394,10081678,'When Equipped:',100,0,0),
(216395,10081678,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216396,10081678,'Inflicts 153 - 284 magic damage on target',100,2,2),
(216397,10081678,'Cannot be modified except by direct means',100,2,3),
(216398,82636,'When Equipped:',100,0,0),
(216399,82636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216400,82636,'Inflicts 116 - 215 magic damage on target',100,2,2),
(216401,82636,'Cannot be modified except by direct means',100,2,3),
(216402,10082636,'When Equipped:',100,0,0),
(216403,10082636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216404,10082636,'Inflicts 151 - 280 magic damage on target',100,2,2),
(216405,10082636,'Cannot be modified except by direct means',100,2,3),
(216406,108112,'Decreases Threat to target by 1,266 - 2,110 ',100,1,0),
(216407,10108112,'Forces target to clear their selected target.',100,1,0),
(216408,10108112,'Target cannot target caster for the duration of this effect.',100,1,1),
(216409,53792,'When Equipped:',100,0,0),
(216410,53792,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216411,53792,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(216412,53792,'Dispelled when target casts a heal spell',100,2,3),
(216413,53792,'Cannot be modified except by direct means',100,2,4),
(216414,10053792,'When Equipped:',100,0,0),
(216415,10053792,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216416,10053792,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(216417,10053792,'Dispelled when target casts a heal spell',100,2,3),
(216418,10053792,'Cannot be modified except by direct means',100,2,4),
(216419,74625,'When Equipped:',100,0,0),
(216420,74625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216421,74625,'Inflicts 56 - 84 magic damage on target',100,2,2),
(216422,74625,'Cannot be modified except by direct means',100,2,3),
(216423,10074625,'When Equipped:',100,0,0),
(216424,10074625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216425,10074625,'Inflicts 73 - 110 magic damage on target',100,2,2),
(216426,10074625,'Cannot be modified except by direct means',100,2,3),
(216427,114013,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(216428,114013,'Heals target for 8 instantly and every 2 seconds',100,2,1),
(216429,114013,'Decreases Mitigation of target vs arcane damage by 206',100,1,2),
(216430,10114013,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(216431,10114013,'Heals target for 26 instantly and every 2 seconds',100,2,1),
(216432,10114013,'Decreases Mitigation of target vs arcane damage by 206',100,1,2),
(216433,113396,'Increases STA of caster by 12.5',100,1,0),
(216434,113396,'Adds 2.9% to base avoidance.',100,1,1),
(216435,113396,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,2),
(216436,113396,'Increases Defense and Aggression of caster by 1.7',100,1,3),
(216437,113396,'Increases Mitigation of caster vs noxious damage by 146',100,1,4),
(216438,113396,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(216439,113396,'Reduces physical damage done to caster by 5%',100,1,6),
(216440,10113396,'Increases STA of caster by 12.5',100,1,0),
(216441,10113396,'Adds 2.9% to base avoidance.',100,1,1),
(216442,10113396,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,2),
(216443,10113396,'Increases Defense and Aggression of caster by 1.7',100,1,3),
(216444,10113396,'Increases Mitigation of caster vs noxious damage by 146',100,1,4),
(216445,10113396,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(216446,10113396,'Reduces physical damage done to caster by 5%',100,1,6),
(216447,108154,'Inflicts 544 - 907 melee damage on target',100,1,0),
(216448,108154,'You must be sneaking to use this ability.',100,1,1),
(216449,108154,'Must be flanking or behind',100,1,2),
(216450,10108154,'Inflicts 466 - 778 melee damage on target',100,1,0),
(216451,10108154,'You must be sneaking to use this ability.',100,1,1),
(216452,10108154,'Must be flanking or behind',100,1,2),
(216453,106695,'Heals target for 17 - 21',100,1,0),
(216454,10106695,'Heals target for 20 - 24',100,1,0),
(216455,119297,'Roots target',100,1,0),
(216456,119297,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(216457,119297,'Slows target by 49.6%',100,2,2),
(216458,119297,'5% chance to dispel when target receives hostile action',100,2,3),
(216459,119297,'5% chance to dispel when target takes damage',100,2,4),
(216460,119297,'15% chance to dispel when target takes damage',100,1,5),
(216461,119297,'Does not affect Epic targets',100,1,6),
(216462,119297,'Resistibility increases against targets higher than level 34.',100,1,7),
(216463,10119297,'Roots target',100,1,0),
(216464,10119297,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(216465,10119297,'Slows target by 49.6%',100,2,2),
(216466,10119297,'5% chance to dispel when target receives hostile action',100,2,3),
(216467,10119297,'5% chance to dispel when target takes damage',100,2,4),
(216468,10119297,'15% chance to dispel when target takes damage',100,1,5),
(216469,10119297,'Does not affect Epic targets',100,1,6),
(216470,10119297,'Resistibility increases against targets higher than level 34.',100,1,7),
(216471,35500,'Increases INT and WIS of target by 1.1',100,0,0),
(216472,35500,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(216473,88954,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(216474,88954,'Increases Mitigation of group members (AE) vs arcane damage by 384',100,1,1),
(216475,88954,'Heals group members (AE) for 280',100,1,2),
(216476,88954,'Heals group members (AE) for 112 every 5 seconds',100,1,3),
(216477,88954,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(216478,10088954,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(216479,10088954,'Increases Mitigation of group members (AE) vs arcane damage by 384',100,1,1),
(216480,10088954,'Heals group members (AE) for 182',100,1,2),
(216481,10088954,'Heals group members (AE) for 73 every 5 seconds',100,1,3),
(216482,10088954,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(216483,36932,'Increases AGI of target by 1.5',100,0,0),
(216484,36932,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(216485,100753,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(216486,100753,'Heals target for 692',100,2,1),
(216487,100753,'Increases power of target by 160 every 6 seconds',100,2,2),
(216488,100753,'Wards target against 851 points of all damage',100,2,3),
(216489,100753,'Grants a total of 1 trigger of the spell.',100,2,4),
(216490,10100753,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(216491,10100753,'Heals target for 450',100,2,1),
(216492,10100753,'Increases power of target by 160 every 6 seconds',100,2,2),
(216493,10100753,'Wards target against 851 points of all damage',100,2,3),
(216494,10100753,'Grants a total of 1 trigger of the spell.',100,2,4),
(216495,41709,'When Equipped:',100,0,0),
(216496,41709,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216497,41709,'Inflicts 48 - 89 magic damage on target',100,2,2),
(216498,41709,'Decreases Threat to target by 135 ',100,2,3),
(216499,41709,'Must be flanking or behind',100,3,4),
(216500,41709,'Increases Threat to target by 135 ',100,2,5),
(216501,41709,'Must be in front of',100,3,6),
(216502,41709,'Cannot be modified except by direct means',100,2,7),
(216503,10041709,'When Equipped:',100,0,0),
(216504,10041709,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216505,10041709,'Inflicts 62 - 115 magic damage on target',100,2,2),
(216506,10041709,'Cannot be modified except by direct means',100,2,3),
(216507,107047,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(216508,107047,'Inflicts 149 - 248 divine damage on target',100,2,1),
(216509,107047,'Inflicts 149 - 248 divine damage on target',100,2,2),
(216510,107047,'If target is undead',100,3,3),
(216511,10107047,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(216512,10107047,'Inflicts 323 - 538 divine damage on target',100,2,1),
(216513,174308,'Applies Illusion: Koada''Dal when Activated.  Lasts for 6 hours.',100,0,0),
(216514,174308,'Shapechanges caster into a high elf',100,1,1),
(216515,174308,'The casting time of Illusion: Koada''Dal is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(216516,10174308,'Applies Illusion: Koada''Dal when Activated.  Lasts for 6 hours.',100,0,0),
(216517,10174308,'Shapechanges caster into a high elf',100,1,1),
(216518,10174308,'The casting time of Illusion: Koada''Dal is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(216519,100327,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(216520,100327,'Drains power instantly and every 3 seconds.',100,2,1),
(216521,100327,'Cannot be modified except by direct means',100,2,2),
(216522,100327,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(216523,100327,'Adrenaline can only be used while berserk!',100,1,4),
(216524,10100327,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(216525,10100327,'Drains power instantly and every 3 seconds.',100,2,1),
(216526,10100327,'Cannot be modified except by direct means',100,2,2),
(216527,10100327,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(216528,10100327,'Adrenaline can only be used while berserk!',100,1,4),
(216529,48230,'Applies Spontaneous Combustion when Activated.',100,0,0),
(216530,48230,'Shapechanges the user into a fiery form, and provides a shield which damages any melee attacker.',100,1,1),
(216531,10048230,'Applies Spontaneous Combustion when Activated.',100,0,0),
(216532,10048230,'Shapechanges the user into a fiery form, and provides a shield which damages any melee attacker.',100,1,1),
(216533,82528,'When Equipped:',100,0,0),
(216534,82528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216535,82528,'Inflicts 118 - 218 magic damage on target',100,2,2),
(216536,82528,'Cannot be modified except by direct means',100,2,3),
(216537,10082528,'When Equipped:',100,0,0),
(216538,10082528,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216539,10082528,'Inflicts 153 - 284 magic damage on target',100,2,2),
(216540,10082528,'Cannot be modified except by direct means',100,2,3),
(216541,110307,'Decreases Mitigation of target vs arcane damage by 2270',100,1,0),
(216542,110307,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(216543,110307,'Slows target by 51.9%',100,2,2),
(216544,110307,'5% chance to dispel when target receives hostile action',100,2,3),
(216545,110307,'5% chance to dispel when target takes damage',100,2,4),
(216546,10110307,'Decreases Mitigation of target vs arcane damage by 2270',100,1,0),
(216547,10110307,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(216548,10110307,'Slows target by 51.9%',100,2,2),
(216549,10110307,'5% chance to dispel when target receives hostile action',100,2,3),
(216550,10110307,'5% chance to dispel when target takes damage',100,2,4),
(216551,89016,'When Equipped:',100,0,0),
(216552,89016,'On a combat hit this spell may cast Necroism on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216553,89016,'Cannot be modified except by direct means',100,2,2),
(216554,10089016,'When Equipped:',100,0,0),
(216555,10089016,'On a combat hit this spell may cast Necroism on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216556,10089016,'Cannot be modified except by direct means',100,2,2),
(216557,120575,'Inflicts 17 - 31 heat damage on target',100,1,0),
(216558,10120575,'Inflicts 22 - 40 heat damage on target',100,1,0),
(216559,103036,'Inflicts 342 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(216560,103036,'Inflicts 128 - 213 melee damage on target',100,1,1),
(216561,10103036,'Inflicts 445 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(216562,10103036,'Inflicts 166 - 277 melee damage on target',100,1,1),
(216563,36988,'Increases Max Power of target by 3.3',100,0,0),
(216564,36988,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(216565,106498,'Decreases STR and AGI of target by 69.0',100,1,0),
(216566,10106498,'Decreases STR and AGI of target by 69.0',100,1,0),
(216567,165096,'When Equipped:',100,0,0),
(216568,165096,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(216569,165096,'Inflicts 2664 disease damage on target encounter',100,2,2),
(216570,165096,'Must not be engaged in pvp combat',100,2,3),
(216571,165096,'Cannot be modified except by direct means',100,2,4),
(216572,10165096,'When Equipped:',100,0,0),
(216573,10165096,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(216574,10165096,'Inflicts 1732 disease damage on target encounter',100,2,2),
(216575,10165096,'Must not be engaged in pvp combat',100,2,3),
(216576,10165096,'Cannot be modified except by direct means',100,2,4),
(216577,107069,'Inflicts 11 - 13 divine damage on target',100,1,0),
(216578,10107069,'Inflicts 14 - 17 divine damage on target',100,1,0),
(216579,104549,'Increases Threat to target by 950 - 1,161  instantly and by 190 - 232  every 2 seconds thereafter',100,1,0),
(216580,10104549,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(216581,104139,'Roots target',100,1,0),
(216582,104139,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(216583,104139,'Makes target afraid',100,2,2),
(216584,104139,'Slows target by 23.2%',100,2,3),
(216585,104139,'30% chance to dispel when target takes damage',100,2,4),
(216586,104139,'Resistibility increases against targets higher than level 90.',100,2,5),
(216587,104139,'15% chance to dispel when target takes damage',100,1,6),
(216588,104139,'Does not affect Epic targets',100,1,7),
(216589,104139,'Resistibility increases against targets higher than level 90.',100,1,8),
(216590,10104139,'Roots target',100,1,0),
(216591,10104139,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(216592,10104139,'Makes target afraid',100,2,2),
(216593,10104139,'Slows target by 23.2%',100,2,3),
(216594,10104139,'30% chance to dispel when target takes damage',100,2,4),
(216595,10104139,'Resistibility increases against targets higher than level 90.',100,2,5),
(216596,10104139,'15% chance to dispel when target takes damage',100,1,6),
(216597,10104139,'Does not affect Epic targets',100,1,7),
(216598,10104139,'Resistibility increases against targets higher than level 90.',100,1,8),
(216599,36999,'Increases Max Power of target by 3.3',100,0,0),
(216600,36999,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(216601,109512,'Inflicts 174 - 212 disease damage on target instantly and every 4 seconds',100,1,0),
(216602,109512,'Decreases Attack Speed of target by 9.1',100,1,1),
(216603,10109512,'Inflicts 226 - 276 disease damage on target instantly and every 4 seconds',100,1,0),
(216604,10109512,'Decreases Attack Speed of target by 9.1',100,1,1),
(216605,118486,'Summons a limited pet to aid the caster',100,1,0),
(216606,10118486,'Summons a limited pet to aid the caster',100,1,0),
(216607,109600,'Increases Defense of group members'' pets (AE) by 4.6',100,1,0),
(216608,109600,'Increases Mitigation of group members (AE) vs all damage by 74',100,1,1),
(216609,10109600,'Increases Defense of group members'' pets (AE) by 4.6',100,1,0),
(216610,10109600,'Increases Mitigation of group members (AE) vs all damage by 74',100,1,1),
(216611,35300,'Increases STR of target by 1.5',100,0,0),
(216612,35300,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(216613,124663,'Inflicts 1196 - 1462 cold damage on target encounter',100,1,0),
(216614,124663,'Decreases Piercing, Slashing and Crushing of target encounter by 24.9',100,1,1),
(216615,10124663,'Inflicts 1555 - 1900 cold damage on target encounter',100,1,0),
(216616,10124663,'Decreases Piercing, Slashing and Crushing of target encounter by 24.9',100,1,1),
(216617,52876,'Applies Sanguine Imbued when Equipped.',100,0,0),
(216618,52876,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(216619,52876,'Inflicts 119 heat damage on target',100,2,2),
(216620,52876,'Cannot be modified except by direct means',100,2,3),
(216621,10052876,'Applies Sanguine Imbued when Equipped.',100,0,0),
(216622,10052876,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(216623,10052876,'Inflicts 155 heat damage on target',100,2,2),
(216624,10052876,'Cannot be modified except by direct means',100,2,3),
(216625,81189,'When Equipped:',100,0,0),
(216626,81189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216627,81189,'Inflicts 315 - 585 magic damage on target',100,2,2),
(216628,81189,'Cannot be modified except by direct means',100,2,3),
(216629,10081189,'When Equipped:',100,0,0),
(216630,10081189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216631,10081189,'Inflicts 409 - 760 magic damage on target',100,2,2),
(216632,10081189,'Cannot be modified except by direct means',100,2,3),
(216633,81218,'When Equipped:',100,0,0),
(216634,81218,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216635,81218,'Inflicts 153 - 283 magic damage on target',100,2,2),
(216636,81218,'Cannot be modified except by direct means',100,2,3),
(216637,10081218,'When Equipped:',100,0,0),
(216638,10081218,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216639,10081218,'Inflicts 198 - 368 magic damage on target',100,2,2),
(216640,10081218,'Cannot be modified except by direct means',100,2,3),
(216641,103694,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(216642,103694,'Inflicts 5 - 7 heat damage on target instantly and every second',100,2,1),
(216643,10103694,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(216644,10103694,'Inflicts 7 - 9 heat damage on target instantly and every second',100,2,1),
(216645,114663,'Increases Threat to target by 145 - 177 ',100,1,0),
(216646,114663,'Interrupts target',100,1,1),
(216647,10114663,'Interrupts target',100,1,0),
(216648,10114663,'Forces target to change their selected target to caster.',100,1,1),
(216649,10114663,'Prevents target from changing targets',100,1,2),
(216650,170679,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(216651,170679,'Decreases Mitigation of target vs physical damage by 644',100,1,1),
(216652,170679,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(216653,10170679,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(216654,10170679,'Decreases Mitigation of target vs physical damage by 644',100,1,1),
(216655,10170679,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(216656,102172,'Increases Mitigation of group members (AE) vs physical damage by 106',100,1,0),
(216657,10102172,'Increases Mitigation of group members (AE) vs physical damage by 106',100,1,0),
(216658,47553,'Applies Portable Chemistry Set when Activated.  Lasts for 5 minutes.',100,0,0),
(216659,47553,'Summons Chemistry Table',100,1,1),
(216660,47553,'This effect cancels during combat',100,1,2),
(216661,10047553,'Applies Portable Chemistry Set when Activated.  Lasts for 5 minutes.',100,0,0),
(216662,10047553,'Summons Chemistry Table',100,1,1),
(216663,10047553,'This effect cancels during combat',100,1,2),
(216664,82389,'When Equipped:',100,0,0),
(216665,82389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216666,82389,'Inflicts 167 - 311 magic damage on target',100,2,2),
(216667,82389,'Cannot be modified except by direct means',100,2,3),
(216668,10082389,'When Equipped:',100,0,0),
(216669,10082389,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216670,10082389,'Inflicts 217 - 404 magic damage on target',100,2,2),
(216671,10082389,'Cannot be modified except by direct means',100,2,3),
(216672,70944,'When Equipped:',100,0,0),
(216673,70944,'On a combat hit this spell may cast Fever of War on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216674,70944,'Inflicts 200 - 466 slashing damage on targets in Area of Effect',100,2,2),
(216675,70944,'Inflicts 49 - 114 slashing damage on targets in Area of Effect every 4 seconds',100,2,3),
(216676,70944,'Increases Multi Attack Chance of caster by 10.0',100,2,4),
(216677,70944,'Increases Crit Chance of caster by 25.0',100,2,5),
(216678,70944,'Cannot be modified except by direct means',100,2,6),
(216679,70944,'Caster will Parry 5.0% of incoming attacks',100,1,7),
(216680,10070944,'When Equipped:',100,0,0),
(216681,10070944,'On a combat hit this spell may cast Fever of War on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216682,10070944,'Inflicts 260 - 606 slashing damage on targets in Area of Effect',100,2,2),
(216683,10070944,'Inflicts 64 - 148 slashing damage on targets in Area of Effect every 4 seconds',100,2,3),
(216684,10070944,'Increases Multi Attack Chance of caster by 10.0',100,2,4),
(216685,10070944,'Increases Crit Chance of caster by 25.0',100,2,5),
(216686,10070944,'Cannot be modified except by direct means',100,2,6),
(216687,10070944,'Caster will Parry 5.0% of incoming attacks',100,1,7),
(216688,47596,'Applies Medium Regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(216689,47596,'Heals caster for 31 instantly and every 5 seconds',100,1,1),
(216690,10047596,'Applies Medium Regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(216691,10047596,'Heals caster for 20 instantly and every 5 seconds',100,1,1),
(216692,146588,'When Equipped:',100,0,0),
(216693,146588,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(216694,10146588,'When Equipped:',100,0,0),
(216695,10146588,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(216696,48478,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(216697,48478,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(216698,48478,'Inflicts 44 poison damage on target',100,2,2),
(216699,48478,'Inflicts 115 poison damage on target instantly and every 6 seconds',100,2,3),
(216700,48478,'Cannot be modified except by direct means',100,2,4),
(216701,48478,'Grants a total of 200 triggers of the spell.',100,2,5),
(216702,10048478,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(216703,10048478,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(216704,10048478,'Inflicts 112 poison damage on target instantly and every 6 seconds',100,2,2),
(216705,10048478,'Inflicts 43 poison damage on target',100,2,3),
(216706,10048478,'Cannot be modified except by direct means',100,2,4),
(216707,10048478,'Grants a total of 200 triggers of the spell.',100,2,5),
(216708,46688,'Applies a blessed experience when Activated.  Lasts for 45 minutes.',100,0,0),
(216709,46688,'Increases AA XP Gain of caster by 50.4%',100,1,1),
(216710,46688,'Increases Combat XP Gain of caster by 50.4%',100,1,2),
(216711,46688,'Increases Tradeskill XP Gain of caster by 50.4%',100,1,3),
(216712,46688,'If between levels 40 - 59',100,1,4),
(216713,46688,'You can only have one experience potion active at a time.',100,1,5),
(216714,10046688,'Applies a blessed experience when Activated.  Lasts for 45 minutes.',100,0,0),
(216715,10046688,'Increases AA XP Gain of caster by 50.4%',100,1,1),
(216716,10046688,'Increases Combat XP Gain of caster by 50.4%',100,1,2),
(216717,10046688,'Increases Tradeskill XP Gain of caster by 50.4%',100,1,3),
(216718,10046688,'If between levels 40 - 59',100,1,4),
(216719,10046688,'You can only have one experience potion active at a time.',100,1,5),
(216720,159284,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(216721,159284,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(216722,159284,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(216723,159284,'Cannot be modified except by direct means',100,2,3),
(216724,10159284,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(216725,10159284,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(216726,10159284,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(216727,10159284,'Cannot be modified except by direct means',100,2,3),
(216728,116641,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(216729,116641,'Increases Mitigation of group members (AE) vs arcane damage by 693',100,1,1),
(216730,10116641,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(216731,10116641,'Increases Mitigation of group members (AE) vs arcane damage by 693',100,1,1),
(216732,25303,'When Equipped:',100,0,0),
(216733,25303,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(216734,25303,'Reduces the reuse time of Black Jack VI by 25 seconds.',100,1,2),
(216735,10025303,'When Equipped:',100,0,0),
(216736,10025303,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(216737,10025303,'Reduces the reuse time of Black Jack VI by 25 seconds.',100,1,2),
(216738,145982,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(216739,145982,'Increases Max Power of caster by 5.0%',100,1,1),
(216740,145982,'This effect cannot be cast during combat',100,1,2),
(216741,145982,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(216742,10145982,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(216743,10145982,'Increases Max Power of caster by 5.0%',100,1,1),
(216744,10145982,'This effect cannot be cast during combat',100,1,2),
(216745,10145982,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(216746,123331,'Increases STA of raid and group members (AE) by 38.8',100,1,0),
(216747,123331,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(216748,10123331,'Increases STA of raid and group members (AE) by 38.8',100,1,0),
(216749,10123331,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(216750,119588,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(216751,10119588,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(216752,104572,'Inflicts 399 - 665 disease damage on target',100,1,0),
(216753,104572,'Decreases WIS of target by 93.7',100,1,1),
(216754,10104572,'Inflicts 519 - 865 disease damage on target',100,1,0),
(216755,10104572,'Decreases WIS of target by 93.7',100,1,1),
(216756,107042,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(216757,107042,'Inflicts 78 - 130 divine damage on target',100,2,1),
(216758,107042,'Inflicts 78 - 130 divine damage on target',100,2,2),
(216759,107042,'If target is undead',100,3,3),
(216760,10107042,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(216761,10107042,'Inflicts 169 - 282 divine damage on target',100,2,1),
(216762,115496,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(216763,115496,'Increases Mitigation of group members (AE) vs noxious damage by 205',100,1,1),
(216764,10115496,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(216765,10115496,'Increases Mitigation of group members (AE) vs noxious damage by 205',100,1,1),
(216766,81262,'When Equipped:',100,0,0),
(216767,81262,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216768,81262,'Inflicts 302 - 560 magic damage on target',100,2,2),
(216769,81262,'Decreases Threat to target by 949 ',100,2,3),
(216770,81262,'Must be flanking or behind',100,3,4),
(216771,81262,'Increases Threat to target by 949 ',100,2,5),
(216772,81262,'Must be in front of',100,3,6),
(216773,81262,'Cannot be modified except by direct means',100,2,7),
(216774,10081262,'When Equipped:',100,0,0),
(216775,10081262,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216776,10081262,'Inflicts 392 - 728 magic damage on target',100,2,2),
(216777,10081262,'Cannot be modified except by direct means',100,2,3),
(216778,112693,'Increases Parry of group members (AE) by 46.6',100,1,0),
(216779,10112693,'Increases Parry of group members (AE) by 46.6',100,1,0),
(216780,186051,'Applies Traigia''s Sight when Equipped.',100,0,0),
(216781,186051,'Grants Ultravision to caster',100,1,1),
(216782,10186051,'Applies Traigia''s Sight when Equipped.',100,0,0),
(216783,10186051,'Grants Ultravision to caster',100,1,1),
(216784,122940,'Inflicts 67 - 91 mental damage on target',100,1,0),
(216785,10122940,'Inflicts 87 - 118 mental damage on target',100,1,0),
(216786,115863,'Inflicts 782 - 1304 mental damage on target encounter',100,1,0),
(216787,115863,'Interrupts target encounter',100,1,1),
(216788,10115863,'Inflicts 1017 - 1695 mental damage on target encounter',100,1,0),
(216789,10115863,'Interrupts target encounter',100,1,1),
(216790,110019,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(216791,110019,'Inflicts 87 - 145 disease damage on target',100,2,1),
(216792,110019,'Heals caster for 1.7 - 2.8% of max health',100,2,2),
(216793,110019,'This effect cannot be critically applied.',100,3,3),
(216794,110019,'The healing of this spell cannot be modified except by direct means',100,2,4),
(216795,10110019,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(216796,10110019,'Inflicts 113 - 189 disease damage on target',100,2,1),
(216797,10110019,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(216798,10110019,'This effect cannot be critically applied.',100,3,3),
(216799,10110019,'The healing of this spell cannot be modified except by direct means',100,2,4),
(216800,81021,'When Equipped:',100,0,0),
(216801,81021,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216802,81021,'Inflicts 207 - 384 magic damage on target',100,2,2),
(216803,81021,'Cannot be modified except by direct means',100,2,3),
(216804,10081021,'When Equipped:',100,0,0),
(216805,10081021,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216806,10081021,'Inflicts 269 - 499 magic damage on target',100,2,2),
(216807,10081021,'Cannot be modified except by direct means',100,2,3),
(216808,157768,'When Equipped:',100,0,0),
(216809,157768,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(216810,10157768,'When Equipped:',100,0,0),
(216811,10157768,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(216812,113718,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(216813,10113718,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(216814,113552,'Inflicts 758 - 1263 disease damage on target',100,1,0),
(216815,10113552,'Inflicts 985 - 1641 disease damage on target',100,1,0),
(216816,89254,'When Equipped:',100,0,0),
(216817,89254,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(216818,89254,'Inflicts 1567 - 2612 magic damage on target',100,2,2),
(216819,89254,'Inflicts 1567 - 2612 piercing damage on target',100,2,3),
(216820,89254,'Inflicts 1567 - 2612 divine damage on target',100,2,4),
(216821,89254,'Decreases Mitigation of target vs arcane damage by 3532',100,2,5),
(216822,89254,'Must not be engaged in pvp combat',100,2,6),
(216823,89254,'Cannot be modified except by direct means',100,2,7),
(216824,89254,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(216825,89254,'Inflicts 1567 - 2612 magic damage on target',100,2,9),
(216826,89254,'Inflicts 1567 - 2612 piercing damage on target',100,2,10),
(216827,89254,'Inflicts 1567 - 2612 divine damage on target',100,2,11),
(216828,89254,'Decreases Mitigation of target vs arcane damage by 3532',100,2,12),
(216829,89254,'Must not be engaged in pvp combat',100,2,13),
(216830,89254,'Cannot be modified except by direct means',100,2,14),
(216831,89254,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,15),
(216832,89254,'Must not be engaged in pvp combat',100,1,16),
(216833,10089254,'When Equipped:',100,0,0),
(216834,10089254,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(216835,10089254,'Inflicts 2037 - 3395 magic damage on target',100,2,2),
(216836,10089254,'Inflicts 2037 - 3395 piercing damage on target',100,2,3),
(216837,10089254,'Inflicts 2037 - 3395 divine damage on target',100,2,4),
(216838,10089254,'Decreases Mitigation of target vs arcane damage by 3532',100,2,5),
(216839,10089254,'Must not be engaged in pvp combat',100,2,6),
(216840,10089254,'Cannot be modified except by direct means',100,2,7),
(216841,10089254,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(216842,10089254,'Inflicts 2037 - 3395 magic damage on target',100,2,9),
(216843,10089254,'Inflicts 2037 - 3395 piercing damage on target',100,2,10),
(216844,10089254,'Inflicts 2037 - 3395 divine damage on target',100,2,11),
(216845,10089254,'Decreases Mitigation of target vs arcane damage by 3532',100,2,12),
(216846,10089254,'Must not be engaged in pvp combat',100,2,13),
(216847,10089254,'Cannot be modified except by direct means',100,2,14),
(216848,10089254,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,15),
(216849,10089254,'Must not be engaged in pvp combat',100,1,16),
(216850,174662,'When Equipped:',100,0,0),
(216851,174662,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(216852,174662,'Wards target against 80 points of all damage',100,2,2),
(216853,174662,'Cannot be modified except by direct means',100,2,3),
(216854,10174662,'When Equipped:',100,0,0),
(216855,10174662,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(216856,10174662,'Wards target against 80 points of all damage',100,2,2),
(216857,10174662,'Cannot be modified except by direct means',100,2,3),
(216858,41445,'When Equipped:',100,0,0),
(216859,41445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216860,41445,'Inflicts 83 - 154 magic damage on target',100,2,2),
(216861,41445,'Cannot be modified except by direct means',100,2,3),
(216862,10041445,'When Equipped:',100,0,0),
(216863,10041445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216864,10041445,'Inflicts 108 - 200 magic damage on target',100,2,2),
(216865,10041445,'Cannot be modified except by direct means',100,2,3),
(216866,71687,'When Equipped:',100,0,0),
(216867,71687,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216868,71687,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(216869,71687,'Cannot be modified except by direct means',100,2,3),
(216870,10071687,'When Equipped:',100,0,0),
(216871,10071687,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(216872,10071687,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(216873,10071687,'Cannot be modified except by direct means',100,2,3),
(216874,83767,'When Equipped:',100,0,0),
(216875,83767,'On a melee hit this spell may cast Strike of Thorns on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216876,83767,'Inflicts 396 magic damage on target encounter',100,2,2),
(216877,83767,'Cannot be modified except by direct means',100,2,3),
(216878,10083767,'When Equipped:',100,0,0),
(216879,10083767,'On a melee hit this spell may cast Strike of Thorns on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216880,10083767,'Inflicts 515 magic damage on target encounter',100,2,2),
(216881,10083767,'Cannot be modified except by direct means',100,2,3),
(216882,42205,'When Equipped:',100,0,0),
(216883,42205,'On a ranged hit this spell may cast Nature''s Reprieve on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216884,42205,'Inflicts 326 - 399 divine damage on target',100,2,2),
(216885,42205,'Heals caster for 217 - 265',100,2,3),
(216886,42205,'Cannot be modified except by direct means',100,2,4),
(216887,10042205,'When Equipped:',100,0,0),
(216888,10042205,'On a ranged hit this spell may cast Nature''s Reprieve on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(216889,10042205,'Inflicts 424 - 519 divine damage on target',100,2,2),
(216890,10042205,'Heals caster for 141 - 172',100,2,3),
(216891,10042205,'Cannot be modified except by direct means',100,2,4),
(216892,101862,'Stuns target',100,1,0),
(216893,101862,'Does not affect Epic targets',100,1,1),
(216894,101862,'Resistibility increases against targets higher than level 82.',100,1,2),
(216895,10101862,'Stuns target',100,1,0),
(216896,10101862,'Does not affect Epic targets',100,1,1),
(216897,10101862,'Resistibility increases against targets higher than level 82.',100,1,2),
(216898,47706,'Applies Simple Tools when Equipped.',100,0,0),
(216899,47706,'Increases success chance by 1.0%',100,1,1),
(216900,10047706,'Applies Simple Tools when Equipped.',100,0,0),
(216901,10047706,'Increases success chance by 1.0%',100,1,1),
(216902,113490,'Inflicts 79 - 132 melee damage on targets in area',100,1,0),
(216903,10113490,'Inflicts 103 - 172 melee damage on targets in area',100,1,0),
(216904,101488,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(216905,101488,'Increases Mitigation of group members (AE) vs arcane damage by 756',100,1,1),
(216906,10101488,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(216907,10101488,'Increases Mitigation of group members (AE) vs arcane damage by 756',100,1,1),
(216908,103063,'Inflicts 96 magic damage on target instantly and every 4 seconds',100,1,0),
(216909,103063,'Increases power of caster by 33 instantly and every 4 seconds',100,1,1),
(216910,10103063,'Inflicts 125 magic damage on target instantly and every 4 seconds',100,1,0),
(216911,10103063,'Increases power of caster by 33 instantly and every 4 seconds',100,1,1),
(216912,124704,'Heals group members (AE) for 142 - 173',100,1,0),
(216913,10124704,'Heals group members (AE) for 172 - 210',100,1,0),
(216914,123559,'Summons a limited pet to aid the caster',100,1,0),
(216915,10123559,'Summons a limited pet to aid the caster',100,1,0),
(216916,35795,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(216917,118087,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(216918,10118087,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(216919,144681,'When Equipped:',100,0,0),
(216920,144681,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(216921,144681,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(216922,144681,'Heals caster for 811 - 1217',100,2,3),
(216923,144681,'Cannot be modified except by direct means',100,2,4),
(216924,144681,'Cannot be modified except by direct means',100,1,5),
(216925,10144681,'When Equipped:',100,0,0),
(216926,10144681,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(216927,10144681,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(216928,10144681,'Heals caster for 949 - 1424',100,2,3),
(216929,10144681,'Cannot be modified except by direct means',100,2,4),
(216930,10144681,'Cannot be modified except by direct means',100,1,5),
(216931,162005,'When Equipped:',100,0,0),
(216932,162005,'Increases Attack Speed of caster by 35.0',100,1,1),
(216933,10162005,'When Equipped:',100,0,0),
(216934,10162005,'Increases Attack Speed of caster by 35.0',100,1,1),
(216935,48863,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(216936,48863,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(216937,48863,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(216938,48863,'Inflicts 55 poison damage on target',100,2,3),
(216939,48863,'Cannot be modified except by direct means',100,2,4),
(216940,48863,'Grants a total of 200 triggers of the spell.',100,2,5),
(216941,10048863,'Applies ravenous incapacitation when Activated.  Lasts for 12 hours.',100,0,0),
(216942,10048863,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(216943,10048863,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(216944,10048863,'Inflicts 53 poison damage on target',100,2,3),
(216945,10048863,'Cannot be modified except by direct means',100,2,4),
(216946,10048863,'Grants a total of 200 triggers of the spell.',100,2,5),
(216947,168951,'When Equipped:',100,0,0),
(216948,168951,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(216949,168951,'Inflicts 11 disease damage on target',100,2,2),
(216950,168951,'Cannot be modified except by direct means',100,2,3),
(216951,10168951,'When Equipped:',100,0,0),
(216952,10168951,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(216953,10168951,'Inflicts 14 disease damage on target',100,2,2),
(216954,10168951,'Cannot be modified except by direct means',100,2,3),
(216955,80410,'When Equipped:',100,0,0),
(216956,80410,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216957,80410,'Inflicts 70 - 131 magic damage on target',100,2,2),
(216958,80410,'Decreases Threat to target by 153 ',100,2,3),
(216959,80410,'Must be flanking or behind',100,3,4),
(216960,80410,'Increases Threat to target by 153 ',100,2,5),
(216961,80410,'Must be in front of',100,3,6),
(216962,80410,'Cannot be modified except by direct means',100,2,7),
(216963,10080410,'When Equipped:',100,0,0),
(216964,10080410,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(216965,10080410,'Inflicts 91 - 170 magic damage on target',100,2,2),
(216966,10080410,'Cannot be modified except by direct means',100,2,3),
(216967,172422,'When Equipped:',100,0,0),
(216968,172422,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(216969,172422,'Increases power of caster by 140',100,2,2),
(216970,172422,'Cannot be modified except by direct means',100,2,3),
(216971,10172422,'When Equipped:',100,0,0),
(216972,10172422,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(216973,10172422,'Increases power of caster by 140',100,2,2),
(216974,10172422,'Cannot be modified except by direct means',100,2,3),
(216975,115556,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1523',100,1,0),
(216976,10115556,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1523',100,1,0),
(216977,166539,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(216978,166539,'Increases Attack Speed of caster by 100.0',100,1,1),
(216979,166539,'Must not be engaged in pvp combat',100,1,2),
(216980,166539,'Cannot be modified except by direct means',100,1,3),
(216981,166539,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(216982,166539,'When Equipped:',100,0,5),
(216983,166539,'On a critical spell hit this spell may cast Umbral Lightning III on target of spell.  Triggers about 1.8 times per minute. ',100,1,6),
(216984,166539,'Inflicts 207 - 253 magic damage on target',100,2,7),
(216985,166539,'Must not be engaged in pvp combat',100,2,8),
(216986,166539,'Cannot be modified except by direct means',100,2,9),
(216987,166539,'On a critical combat hit this spell may cast Umbral Lightning III on target of attack.  Triggers about 1.8 times per minute. ',100,1,10),
(216988,166539,'Inflicts 207 - 253 magic damage on target',100,2,11),
(216989,166539,'Must not be engaged in pvp combat',100,2,12),
(216990,166539,'Cannot be modified except by direct means',100,2,13),
(216991,166539,'Must not be engaged in pvp combat',100,1,14),
(216992,166539,'Cannot be modified except by direct means',100,1,15),
(216993,10166539,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(216994,10166539,'Increases Attack Speed of caster by 100.0',100,1,1),
(216995,10166539,'Must not be engaged in pvp combat',100,1,2),
(216996,10166539,'Cannot be modified except by direct means',100,1,3),
(216997,10166539,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(216998,10166539,'When Equipped:',100,0,5),
(216999,10166539,'On a critical spell hit this spell may cast Umbral Lightning III on target of spell.  Triggers about 1.8 times per minute. ',100,1,6),
(217000,10166539,'Inflicts 269 - 329 magic damage on target',100,2,7),
(217001,10166539,'Must not be engaged in pvp combat',100,2,8),
(217002,10166539,'Cannot be modified except by direct means',100,2,9),
(217003,10166539,'On a critical combat hit this spell may cast Umbral Lightning III on target of attack.  Triggers about 1.8 times per minute. ',100,1,10),
(217004,10166539,'Inflicts 269 - 329 magic damage on target',100,2,11),
(217005,10166539,'Must not be engaged in pvp combat',100,2,12),
(217006,10166539,'Cannot be modified except by direct means',100,2,13),
(217007,10166539,'Must not be engaged in pvp combat',100,1,14),
(217008,10166539,'Cannot be modified except by direct means',100,1,15),
(217009,52406,'Applies Abundant Reformation when Activated.  Lasts for 20.0 seconds.',100,0,0),
(217010,52406,'On any combat or spell hit this spell may cast Abundant Reformation on caster.  Triggers about 10.0 times per minute. ',100,1,1),
(217011,52406,'Increases power of caster by 73',100,2,2),
(217012,52406,'Must not be engaged in pvp combat',100,2,3),
(217013,52406,'Cannot be modified except by direct means',100,2,4),
(217014,52406,'The reuse time of Abundant Reformation is 20 minutes',100,1,5),
(217015,10052406,'Applies Abundant Reformation when Activated.  Lasts for 20.0 seconds.',100,0,0),
(217016,10052406,'On any combat or spell hit this spell may cast Abundant Reformation on caster.  Triggers about 10.0 times per minute. ',100,1,1),
(217017,10052406,'Increases power of caster by 73',100,2,2),
(217018,10052406,'Must not be engaged in pvp combat',100,2,3),
(217019,10052406,'Cannot be modified except by direct means',100,2,4),
(217020,10052406,'The reuse time of Abundant Reformation is 20 minutes',100,1,5),
(217021,100239,'Inflicts 4 - 8 poison damage on target instantly and every 3 seconds',100,1,0),
(217022,10100239,'Inflicts 12 - 22 poison damage on target instantly and every 3 seconds',100,1,0),
(217023,120383,'Decreases Defense of caster by 4.8',100,1,0),
(217024,120383,'Increases Crushing and Ranged of caster by 7.2',100,1,1),
(217025,120383,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(217026,120383,'Inflicts 56 - 94 heat damage on target',100,2,3),
(217027,120383,'Increases Slashing and Piercing of caster by 7.2',100,1,4),
(217028,10120383,'Decreases Defense of caster by 4.8',100,1,0),
(217029,10120383,'Increases Crushing and Ranged of caster by 7.2',100,1,1),
(217030,10120383,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(217031,10120383,'Inflicts 73 - 122 heat damage on target',100,2,3),
(217032,10120383,'Increases Slashing and Piercing of caster by 7.2',100,1,4),
(217033,177134,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(217034,177134,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(217035,177134,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(217036,177134,'Cannot be modified except by direct means',100,2,3),
(217037,10177134,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(217038,10177134,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(217039,10177134,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(217040,10177134,'Cannot be modified except by direct means',100,2,3),
(217041,191523,'When Equipped:',100,0,0),
(217042,191523,'Increases Attack Speed of caster by 40.0',100,1,1),
(217043,10191523,'When Equipped:',100,0,0),
(217044,10191523,'Increases Attack Speed of caster by 40.0',100,1,1),
(217045,103318,'Inflicts 85 - 104 mental damage on target instantly and every 6 seconds',100,1,0),
(217046,103318,'Applies Migraine on termination.',100,1,1),
(217047,103318,'Inflicts 185 - 251 mental damage on target',100,2,2),
(217048,10103318,'Inflicts 111 - 135 mental damage on target instantly and every 6 seconds',100,1,0),
(217049,10103318,'Applies Migraine on termination.',100,1,1),
(217050,10103318,'Inflicts 241 - 326 mental damage on target',100,2,2),
(217051,74592,'When Equipped:',100,0,0),
(217052,74592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217053,74592,'Inflicts 66 - 99 magic damage on target',100,2,2),
(217054,74592,'Cannot be modified except by direct means',100,2,3),
(217055,10074592,'When Equipped:',100,0,0),
(217056,10074592,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217057,10074592,'Inflicts 86 - 129 magic damage on target',100,2,2),
(217058,10074592,'Cannot be modified except by direct means',100,2,3),
(217059,36109,'Increases WIS and INT of target by 1.1',100,0,0),
(217060,36109,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(217061,119195,'Inflicts 216 - 360 heat damage on target',100,1,0),
(217062,119195,'Inflicts 216 - 360 heat damage on target',100,1,1),
(217063,119195,'Requires bow',100,1,2),
(217064,10119195,'Inflicts 247 - 412 heat damage on target',100,1,0),
(217065,10119195,'Inflicts 247 - 412 heat damage on target',100,1,1),
(217066,10119195,'Requires bow',100,1,2),
(217067,115708,'Inflicts 57 - 96 ranged damage on target',100,1,0),
(217068,115708,'Inflicts 57 - 96 ranged damage on target',100,1,1),
(217069,115708,'If weapon equipped in Ranged',100,1,2),
(217070,10115708,'Inflicts 49 - 81 ranged damage on target',100,1,0),
(217071,10115708,'Inflicts 49 - 81 ranged damage on target',100,1,1),
(217072,10115708,'If weapon equipped in Ranged',100,1,2),
(217073,111188,'Inflicts 147 - 245 divine damage on targets in area',100,1,0),
(217074,111188,'Heals group members (AE) for 1.9% of max health',100,1,1),
(217075,111188,'This effect cannot be critically applied.',100,2,2),
(217076,111188,'The healing of this spell cannot be modified except by direct means',100,1,3),
(217077,10111188,'Inflicts 191 - 318 divine damage on targets in area',100,1,0),
(217078,10111188,'Heals group members (AE) for 1.3% of max health',100,1,1),
(217079,10111188,'This effect cannot be critically applied.',100,2,2),
(217080,10111188,'The healing of this spell cannot be modified except by direct means',100,1,3),
(217081,89504,'When Equipped:',100,0,0),
(217082,89504,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(217083,10089504,'When Equipped:',100,0,0),
(217084,10089504,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(217085,123063,'Summons a pet undead knight',100,1,0),
(217086,10123063,'Summons a pet undead knight',100,1,0),
(217087,172605,'When Equipped:',100,0,0),
(217088,172605,'On any combat or spell hit this spell may cast The Hound''s Blade on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(217089,172605,'Inflicts 3276 - 7643 slashing damage on target',100,2,2),
(217090,172605,'Heals caster for 1638 - 3822',100,2,3),
(217091,172605,'Decreases INT, AGI and STR of target by 500.0',100,2,4),
(217092,172605,'Increases INT, STR and AGI of caster by 100.0',100,2,5),
(217093,172605,'Must not be engaged in pvp combat',100,2,6),
(217094,172605,'Cannot be modified except by direct means',100,2,7),
(217095,172605,'Cannot be modified except by direct means',100,1,8),
(217096,10172605,'When Equipped:',100,0,0),
(217097,10172605,'On any combat or spell hit this spell may cast The Hound''s Blade on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(217098,10172605,'Inflicts 4258 - 9936 slashing damage on target',100,2,2),
(217099,10172605,'Heals caster for 1916 - 4471',100,2,3),
(217100,10172605,'Decreases INT, AGI and STR of target by 500.0',100,2,4),
(217101,10172605,'Increases INT, STR and AGI of caster by 100.0',100,2,5),
(217102,10172605,'Must not be engaged in pvp combat',100,2,6),
(217103,10172605,'Cannot be modified except by direct means',100,2,7),
(217104,10172605,'Cannot be modified except by direct means',100,1,8),
(217105,48832,'Applies Lenya''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(217106,48832,'Increases Max Power of caster by 108.0',100,1,1),
(217107,10048832,'Applies Lenya''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(217108,10048832,'Increases Max Power of caster by 108.0',100,1,1),
(217109,102884,'Heals caster for 210',100,1,0),
(217110,102884,'Inflicts 490 disease damage on targets in Area of Effect',100,1,1),
(217111,10102884,'Heals caster for 137',100,1,0),
(217112,10102884,'Inflicts 637 disease damage on targets in Area of Effect',100,1,1),
(217113,45897,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(217114,45897,'Wards caster against 965 points of arcane damage',100,1,1),
(217115,10045897,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(217116,10045897,'Wards caster against 965 points of arcane damage',100,1,1),
(217117,137636,'When Equipped:',100,0,0),
(217118,137636,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(217119,137636,'Inflicts 11 mental damage on target',100,2,2),
(217120,137636,'Cannot be modified except by direct means',100,2,3),
(217121,10137636,'When Equipped:',100,0,0),
(217122,10137636,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(217123,10137636,'Inflicts 14 mental damage on target',100,2,2),
(217124,10137636,'Cannot be modified except by direct means',100,2,3),
(217125,154949,'When Equipped:',100,0,0),
(217126,154949,'On a beneficial spell cast this spell may cast Astounding Triumph on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(217127,154949,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,2),
(217128,154949,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,3),
(217129,154949,'Increases Ability Reuse Speed of caster by 3.0%',100,2,4),
(217130,154949,'Increases Ability Casting Speed of caster by 5.0%',100,2,5),
(217131,154949,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(217132,154949,'Must not be engaged in pvp combat',100,2,7),
(217133,154949,'Cannot be modified except by direct means',100,2,8),
(217134,154949,'On any combat or spell hit this spell may cast Astounding Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(217135,154949,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,10),
(217136,154949,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,11),
(217137,154949,'Increases Ability Reuse Speed of caster by 3.0%',100,2,12),
(217138,154949,'Increases Ability Casting Speed of caster by 5.0%',100,2,13),
(217139,154949,'Increases Ability Recovery Speed of caster by 10.0%',100,2,14),
(217140,154949,'Must not be engaged in pvp combat',100,2,15),
(217141,154949,'Cannot be modified except by direct means',100,2,16),
(217142,154949,'Must not be engaged in pvp combat',100,1,17),
(217143,10154949,'When Equipped:',100,0,0),
(217144,10154949,'On a beneficial spell cast this spell may cast Astounding Triumph on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(217145,10154949,'Inflicts 5827 - 6440 slashing damage on target encounter',100,2,2),
(217146,10154949,'Inflicts 832 - 920 slashing damage on target encounter every 10 seconds',100,2,3),
(217147,10154949,'Increases Ability Reuse Speed of caster by 3.0%',100,2,4),
(217148,10154949,'Increases Ability Casting Speed of caster by 5.0%',100,2,5),
(217149,10154949,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(217150,10154949,'Must not be engaged in pvp combat',100,2,7),
(217151,10154949,'Cannot be modified except by direct means',100,2,8),
(217152,10154949,'On any combat or spell hit this spell may cast Astounding Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(217153,10154949,'Inflicts 5827 - 6440 slashing damage on target encounter',100,2,10),
(217154,10154949,'Inflicts 832 - 920 slashing damage on target encounter every 10 seconds',100,2,11),
(217155,10154949,'Increases Ability Reuse Speed of caster by 3.0%',100,2,12),
(217156,10154949,'Increases Ability Casting Speed of caster by 5.0%',100,2,13),
(217157,10154949,'Increases Ability Recovery Speed of caster by 10.0%',100,2,14),
(217158,10154949,'Must not be engaged in pvp combat',100,2,15),
(217159,10154949,'Cannot be modified except by direct means',100,2,16),
(217160,10154949,'Must not be engaged in pvp combat',100,1,17),
(217161,159514,'When Equipped:',100,0,0),
(217162,159514,'On any combat or spell hit this spell may cast Earth Shield on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(217163,159514,'Wards caster against 1150 points of all damage',100,2,2),
(217164,159514,'Cannot be modified except by direct means',100,2,3),
(217165,159514,'When damaged in combat this spell has a 7% chance to cast Earth Shield on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(217166,159514,'Wards caster against 1150 points of all damage',100,2,5),
(217167,159514,'Cannot be modified except by direct means',100,2,6),
(217168,10159514,'When Equipped:',100,0,0),
(217169,10159514,'On any combat or spell hit this spell may cast Earth Shield on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(217170,10159514,'Wards caster against 1150 points of all damage',100,2,2),
(217171,10159514,'Cannot be modified except by direct means',100,2,3),
(217172,10159514,'When damaged in combat this spell has a 7% chance to cast Earth Shield on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(217173,10159514,'Wards caster against 1150 points of all damage',100,2,5),
(217174,10159514,'Cannot be modified except by direct means',100,2,6),
(217175,112157,'Increases Threat to target by 163 - 244  instantly and by 32 - 48  every 3 seconds thereafter',100,1,0),
(217176,100486,'Increases Attack Speed of group members (AE) by 12.2',100,1,0),
(217177,10100486,'Increases Attack Speed of group members (AE) by 12.2',100,1,0),
(217178,46195,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(217179,46195,'Increases Subjugation of caster by 5.0',100,1,1),
(217180,46195,'Summons a mount to ride',100,1,2),
(217181,46195,'Increases your ground speed by 135%',100,2,3),
(217182,46195,'Increases Ministration, Disruption, Ranged, Ordination, Slashing, Piercing, Focus, Aggression and Crushing of caster by 5.0',100,1,4),
(217183,10046195,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(217184,10046195,'Increases Subjugation of caster by 5.0',100,1,1),
(217185,10046195,'Summons a mount to ride',100,1,2),
(217186,10046195,'Increases your ground speed by 135%',100,2,3),
(217187,10046195,'Increases Ministration, Disruption, Ranged, Ordination, Slashing, Piercing, Focus, Aggression and Crushing of caster by 5.0',100,1,4),
(217188,24557,'Adds Mistmoore: Wooden-raised Candelabra to your Dungeon Maker toolbox',100,0,0),
(217189,10024557,'Adds Mistmoore: Wooden-raised Candelabra to your Dungeon Maker toolbox',100,0,0),
(217190,123881,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(217191,123881,'Slows target by 43.7%',100,2,1),
(217192,123881,'5% chance to dispel when target receives hostile action',100,2,2),
(217193,123881,'5% chance to dispel when target takes damage',100,2,3),
(217194,123881,'Decreases Mitigation of target vs elemental and noxious damage by 141',100,1,4),
(217195,10123881,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(217196,10123881,'Slows target by 43.7%',100,2,1),
(217197,10123881,'5% chance to dispel when target receives hostile action',100,2,2),
(217198,10123881,'5% chance to dispel when target takes damage',100,2,3),
(217199,10123881,'Decreases Mitigation of target vs elemental and noxious damage by 141',100,1,4),
(217200,106446,'Increases Multi Attack Chance of raid and group members (AE) by 7.3',100,1,0),
(217201,10106446,'Increases Multi Attack Chance of raid and group members (AE) by 7.3',100,1,0),
(217202,102888,'Heals caster for 235',100,1,0),
(217203,102888,'Inflicts 547 disease damage on targets in Area of Effect',100,1,1),
(217204,10102888,'Heals caster for 152',100,1,0),
(217205,10102888,'Inflicts 711 disease damage on targets in Area of Effect',100,1,1),
(217206,109223,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 29.6',100,1,0),
(217207,10109223,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 29.6',100,1,0),
(217208,108899,'Inflicts 764 heat damage on target',100,1,0),
(217209,108899,'Inflicts 764 cold damage on target',100,1,1),
(217210,108899,'Slows target by 56.8%',100,1,2),
(217211,10108899,'Inflicts 994 heat damage on target',100,1,0),
(217212,10108899,'Inflicts 994 cold damage on target',100,1,1),
(217213,10108899,'Slows target by 56.8%',100,1,2),
(217214,115314,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(217215,115314,'Makes target afraid',100,2,1),
(217216,115314,'Slows target by 37.2%',100,2,2),
(217217,115314,'30% chance to dispel when target takes damage',100,2,3),
(217218,115314,'Does not affect Epic targets',100,2,4),
(217219,115314,'Resistibility increases against targets higher than level 34.',100,2,5),
(217220,115314,'Roots target',100,1,6),
(217221,115314,'15% chance to dispel when target takes damage',100,1,7),
(217222,115314,'Does not affect Epic targets',100,1,8),
(217223,115314,'Resistibility increases against targets higher than level 34.',100,1,9),
(217224,10115314,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(217225,10115314,'Makes target afraid',100,2,1),
(217226,10115314,'Slows target by 37.2%',100,2,2),
(217227,10115314,'30% chance to dispel when target takes damage',100,2,3),
(217228,10115314,'Does not affect Epic targets',100,2,4),
(217229,10115314,'Resistibility increases against targets higher than level 34.',100,2,5),
(217230,10115314,'Roots target',100,1,6),
(217231,10115314,'15% chance to dispel when target takes damage',100,1,7),
(217232,10115314,'Does not affect Epic targets',100,1,8),
(217233,10115314,'Resistibility increases against targets higher than level 34.',100,1,9),
(217234,106353,'Decreases Mitigation of target vs arcane damage by 1036',100,1,0),
(217235,106353,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(217236,106353,'Slows target by 52.4%',100,2,2),
(217237,106353,'5% chance to dispel when target receives hostile action',100,2,3),
(217238,106353,'5% chance to dispel when target takes damage',100,2,4),
(217239,10106353,'Decreases Mitigation of target vs arcane damage by 1036',100,1,0),
(217240,10106353,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(217241,10106353,'Slows target by 52.4%',100,2,2),
(217242,10106353,'5% chance to dispel when target receives hostile action',100,2,3),
(217243,10106353,'5% chance to dispel when target takes damage',100,2,4),
(217244,46410,'Applies Forget Me Not when Activated.  Lasts for 1 minute.',100,0,0),
(217245,46410,'Fall in love with yourself all over again.',100,1,1),
(217246,10046410,'Applies Forget Me Not when Activated.  Lasts for 1 minute.',100,0,0),
(217247,10046410,'Fall in love with yourself all over again.',100,1,1),
(217248,41605,'When Equipped:',100,0,0),
(217249,41605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217250,41605,'Inflicts 408 - 757 magic damage on target',100,2,2),
(217251,41605,'Cannot be modified except by direct means',100,2,3),
(217252,10041605,'When Equipped:',100,0,0),
(217253,10041605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217254,10041605,'Inflicts 530 - 984 magic damage on target',100,2,2),
(217255,10041605,'Cannot be modified except by direct means',100,2,3),
(217256,79041,'When Equipped:',100,0,0),
(217257,79041,'On a hostile spell cast this spell may cast Frostcall on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(217258,79041,'Inflicts 950 cold damage on target',100,2,2),
(217259,79041,'Inflicts 157 cold damage on target every 2 seconds',100,2,3),
(217260,79041,'Roots target',100,2,4),
(217261,79041,'Epic targets gain an immunity to Root effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(217262,79041,'Resistibility increases against targets higher than level 102.',100,2,6),
(217263,79041,'Cannot be modified except by direct means',100,2,7),
(217264,10079041,'When Equipped:',100,0,0),
(217265,10079041,'On a hostile spell cast this spell may cast Frostcall on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(217266,10079041,'Inflicts 1235 cold damage on target',100,2,2),
(217267,10079041,'Inflicts 204 cold damage on target every 2 seconds',100,2,3),
(217268,10079041,'Roots target',100,2,4),
(217269,10079041,'Epic targets gain an immunity to Root effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(217270,10079041,'Resistibility increases against targets higher than level 102.',100,2,6),
(217271,10079041,'Cannot be modified except by direct means',100,2,7),
(217272,75152,'When Equipped:',100,0,0),
(217273,75152,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(217274,10075152,'When Equipped:',100,0,0),
(217275,10075152,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(217276,119846,'Dazes target',100,1,0),
(217277,119846,'Does not affect Epic targets',100,1,1),
(217278,119846,'Resistibility increases against targets higher than level 93.',100,1,2),
(217279,10119846,'Dazes target',100,1,0),
(217280,10119846,'Does not affect Epic targets',100,1,1),
(217281,10119846,'Resistibility increases against targets higher than level 93.',100,1,2),
(217282,117209,'Inflicts 2 slashing damage on target every 4 seconds',100,1,0),
(217283,117209,'Inflicts 8 - 14 melee damage on target',100,1,1),
(217284,10117209,'Inflicts 2 slashing damage on target every 4 seconds',100,1,0),
(217285,10117209,'Inflicts 11 - 18 melee damage on target',100,1,1),
(217286,173458,'When Equipped:',100,0,0),
(217287,173458,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(217288,173458,'Wards target against 2450 points of all damage',100,2,2),
(217289,173458,'Must not be engaged in pvp combat',100,2,3),
(217290,173458,'Cannot be modified except by direct means',100,2,4),
(217291,173458,'Cannot be modified except by direct means',100,1,5),
(217292,10173458,'When Equipped:',100,0,0),
(217293,10173458,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(217294,10173458,'Wards target against 2450 points of all damage',100,2,2),
(217295,10173458,'Must not be engaged in pvp combat',100,2,3),
(217296,10173458,'Cannot be modified except by direct means',100,2,4),
(217297,10173458,'Cannot be modified except by direct means',100,1,5),
(217298,115265,'Heals target for 490',100,1,0),
(217299,115265,'Heals target for 82 every second',100,1,1),
(217300,115265,'Dispels 83 levels of any hostile effects on target',100,1,2),
(217301,10115265,'Heals target for 318',100,1,0),
(217302,10115265,'Heals target for 53 every second',100,1,1),
(217303,10115265,'Dispels 83 levels of any hostile effects on target',100,1,2),
(217304,82061,'When Equipped:',100,0,0),
(217305,82061,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217306,82061,'Inflicts 191 - 354 magic damage on target',100,2,2),
(217307,82061,'Cannot be modified except by direct means',100,2,3),
(217308,10082061,'When Equipped:',100,0,0),
(217309,10082061,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217310,10082061,'Inflicts 248 - 460 magic damage on target',100,2,2),
(217311,10082061,'Cannot be modified except by direct means',100,2,3),
(217312,46860,'Applies Illusion: Halfling when Activated.  Lasts for 6 hours.',100,0,0),
(217313,46860,'Shapechanges caster into a halfling',100,1,1),
(217314,10046860,'Applies Illusion: Halfling when Activated.  Lasts for 6 hours.',100,0,0),
(217315,10046860,'Shapechanges caster into a halfling',100,1,1),
(217316,105777,'Inflicts 172 - 210 heat damage on target',100,1,0),
(217317,10105777,'Inflicts 299 - 365 heat damage on target',100,1,0),
(217318,81709,'When Equipped:',100,0,0),
(217319,81709,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217320,81709,'Inflicts 148 - 274 magic damage on target',100,2,2),
(217321,81709,'Cannot be modified except by direct means',100,2,3),
(217322,10081709,'When Equipped:',100,0,0),
(217323,10081709,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217324,10081709,'Inflicts 192 - 356 magic damage on target',100,2,2),
(217325,10081709,'Cannot be modified except by direct means',100,2,3),
(217326,124811,'Increases STR of caster by 152.5',100,1,0),
(217327,124811,'Decreases Defense of caster by 26.2',100,1,1),
(217328,124811,'Increases Crushing, Piercing, Slashing and Disruption of caster by 43.7',100,1,2),
(217329,10124811,'Increases STR of caster by 152.5',100,1,0),
(217330,10124811,'Decreases Defense of caster by 26.2',100,1,1),
(217331,10124811,'Increases Crushing, Piercing, Slashing and Disruption of caster by 43.7',100,1,2),
(217332,118299,'Roots target encounter',100,1,0),
(217333,118299,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(217334,118299,'Slows target by 36.1%',100,2,2),
(217335,118299,'5% chance to dispel when target receives hostile action',100,2,3),
(217336,118299,'5% chance to dispel when target takes damage',100,2,4),
(217337,118299,'20% chance to dispel when target takes damage',100,1,5),
(217338,118299,'Does not affect Epic targets',100,1,6),
(217339,118299,'Resistibility increases against targets higher than level 69.',100,1,7),
(217340,10118299,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(217341,10118299,'Slows target by 36.1%',100,2,1),
(217342,10118299,'5% chance to dispel when target receives hostile action',100,2,2),
(217343,10118299,'5% chance to dispel when target takes damage',100,2,3),
(217344,10118299,'Roots target encounter',100,1,4),
(217345,10118299,'20% chance to dispel when target takes damage',100,1,5),
(217346,10118299,'Does not affect Epic targets',100,1,6),
(217347,10118299,'Resistibility increases against targets higher than level 69.',100,1,7),
(217348,87287,'When Equipped:',100,0,0),
(217349,87287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217350,87287,'Inflicts 111 - 166 magic damage on target',100,2,2),
(217351,87287,'Cannot be modified except by direct means',100,2,3),
(217352,10087287,'When Equipped:',100,0,0),
(217353,10087287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217354,10087287,'Inflicts 144 - 216 magic damage on target',100,2,2),
(217355,10087287,'Cannot be modified except by direct means',100,2,3),
(217356,175155,'When Equipped:',100,0,0),
(217357,175155,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(217358,175155,'Heals group members (AE) for 1385 - 1531',100,2,2),
(217359,175155,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(217360,175155,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(217361,175155,'This ward regenerates slowly over time.',100,2,5),
(217362,175155,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(217363,175155,'Must not be engaged in pvp combat',100,2,7),
(217364,175155,'Cannot be modified except by direct means',100,2,8),
(217365,175155,'Must not be engaged in pvp combat',100,1,9),
(217366,10175155,'When Equipped:',100,0,0),
(217367,10175155,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(217368,10175155,'Heals group members (AE) for 1621 - 1791',100,2,2),
(217369,10175155,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(217370,10175155,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(217371,10175155,'This ward regenerates slowly over time.',100,2,5),
(217372,10175155,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(217373,10175155,'Must not be engaged in pvp combat',100,2,7),
(217374,10175155,'Cannot be modified except by direct means',100,2,8),
(217375,10175155,'Must not be engaged in pvp combat',100,1,9),
(217376,36307,'Increases STR and STA of target by 1.1',100,0,0),
(217377,36307,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(217378,41981,'When Equipped:',100,0,0),
(217379,41981,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217380,41981,'Inflicts 1031 piercing damage on target',100,2,2),
(217381,41981,'Cannot be modified except by direct means',100,2,3),
(217382,10041981,'When Equipped:',100,0,0),
(217383,10041981,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217384,10041981,'Inflicts 670 piercing damage on target',100,2,2),
(217385,10041981,'Cannot be modified except by direct means',100,2,3),
(217386,101504,'Increases WIS of target by 18.8',100,1,0),
(217387,101504,'Increases Max Health of target by 96.3',100,1,1),
(217388,101504,'Increases Mitigation of target vs elemental, noxious and arcane damage by 53',100,1,2),
(217389,10101504,'Increases WIS of target by 18.8',100,1,0),
(217390,10101504,'Increases Max Health of target by 96.3',100,1,1),
(217391,10101504,'Increases Mitigation of target vs elemental, noxious and arcane damage by 53',100,1,2),
(217392,116538,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(217393,116538,'Inflicts 131 divine damage on target',100,2,1),
(217394,116538,'Increases Mitigation of raid and group members (AE) vs all damage by 950',100,1,2),
(217395,10116538,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(217396,10116538,'Inflicts 171 divine damage on target',100,2,1),
(217397,10116538,'Increases Mitigation of raid and group members (AE) vs all damage by 950',100,1,2),
(217398,103027,'Inflicts 244 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(217399,103027,'Inflicts 91 - 152 melee damage on target',100,1,1),
(217400,10103027,'Inflicts 317 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(217401,10103027,'Inflicts 118 - 198 melee damage on target',100,1,1),
(217402,36559,'Increases AGI and INT of target by 1.1',100,0,0),
(217403,36559,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(217404,41702,'When Equipped:',100,0,0),
(217405,41702,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217406,41702,'Inflicts 48 - 89 magic damage on target',100,2,2),
(217407,41702,'Cannot be modified except by direct means',100,2,3),
(217408,10041702,'When Equipped:',100,0,0),
(217409,10041702,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217410,10041702,'Inflicts 62 - 115 magic damage on target',100,2,2),
(217411,10041702,'Cannot be modified except by direct means',100,2,3),
(217412,121808,'Heals target for 815 - 996',100,1,0),
(217413,121808,'Heals target for 136 - 166 every second',100,1,1),
(217414,10121808,'Heals target for 2542 - 3107',100,1,0),
(217415,10121808,'Heals target for 212 - 259 every second',100,1,1),
(217416,48670,'Applies Briana''s Reclamation  when Activated.',100,0,0),
(217417,48670,'Heals caster for 76',100,1,1),
(217418,10048670,'Applies Briana''s Reclamation  when Activated.',100,0,0),
(217419,10048670,'Heals caster for 49',100,1,1),
(217420,121086,'Decreases Threat to targets in Area of Effect by 390 ',100,1,0),
(217421,121086,'Mesmerizes targets in Area of Effect',100,1,1),
(217422,121086,'If Target is not Epic',100,2,2),
(217423,121086,'Dispelled when target takes damage',100,1,3),
(217424,10121086,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(217425,10121086,'Applies Distract.',100,1,1),
(217426,10121086,'Forces target to clear their selected target.',100,2,2),
(217427,10121086,'Mesmerizes targets in Area of Effect',100,1,3),
(217428,10121086,'If Target is not Epic',100,2,4),
(217429,10121086,'Dispelled when target takes damage',100,1,5),
(217430,50548,'When Equipped:',100,0,0),
(217431,50548,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(217432,50548,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(217433,50548,'Cannot be modified except by direct means',100,2,3),
(217434,10050548,'When Equipped:',100,0,0),
(217435,10050548,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(217436,10050548,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(217437,10050548,'Cannot be modified except by direct means',100,2,3),
(217438,107280,'Inflicts 386 - 643 ranged damage on target',100,1,0),
(217439,107280,'Inflicts 386 - 643 ranged damage on target',100,1,1),
(217440,107280,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(217441,107280,'Stuns target',100,2,3),
(217442,107280,'Throws target back',100,2,4),
(217443,107280,'Blurs vision of target',100,2,5),
(217444,107280,'Does not affect Epic targets',100,2,6),
(217445,107280,'If weapon equipped in Ranged',100,1,7),
(217446,10107280,'Inflicts 328 - 547 ranged damage on target',100,1,0),
(217447,10107280,'Inflicts 328 - 547 ranged damage on target',100,1,1),
(217448,10107280,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(217449,10107280,'Stuns target',100,2,3),
(217450,10107280,'Throws target back',100,2,4),
(217451,10107280,'Blurs vision of target',100,2,5),
(217452,10107280,'Does not affect Epic targets',100,2,6),
(217453,10107280,'If weapon equipped in Ranged',100,1,7),
(217454,100604,'Inflicts 593 - 988 melee damage on target',100,1,0),
(217455,100604,'You must be sneaking to use this ability.',100,1,1),
(217456,10100604,'Inflicts 921 - 1535 melee damage on target',100,1,0),
(217457,10100604,'You must be sneaking to use this ability.',100,1,1),
(217458,123783,'Decreases Mitigation of target vs noxious damage by 2310',100,1,0),
(217459,123783,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(217460,123783,'Slows target by 63.3%',100,2,2),
(217461,123783,'5% chance to dispel when target receives hostile action',100,2,3),
(217462,123783,'5% chance to dispel when target takes damage',100,2,4),
(217463,10123783,'Decreases Mitigation of target vs noxious damage by 2310',100,1,0),
(217464,10123783,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(217465,10123783,'Slows target by 63.3%',100,2,2),
(217466,10123783,'5% chance to dispel when target receives hostile action',100,2,3),
(217467,10123783,'5% chance to dispel when target takes damage',100,2,4),
(217468,122988,'Decreases Damage Per Second of target encounter by 13.0',100,1,0),
(217469,10122988,'Decreases Damage Per Second of target encounter by 13.0',100,1,0),
(217470,119911,'Stifles target',100,1,0),
(217471,119911,'Inflicts 162 - 198 mental damage on target',100,1,1),
(217472,119911,'Inflicts 54 - 66 mental damage on target every 1.6 seconds',100,1,2),
(217473,119911,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(217474,119911,'Resistibility increases against targets higher than level 59.',100,1,4),
(217475,10119911,'Stifles target',100,1,0),
(217476,10119911,'Inflicts 211 - 258 mental damage on target',100,1,1),
(217477,10119911,'Inflicts 70 - 86 mental damage on target every second',100,1,2),
(217478,10119911,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(217479,10119911,'Resistibility increases against targets higher than level 59.',100,1,4),
(217480,141914,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(217481,141914,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(217482,141914,'Inflicts 33 heat damage on target',100,2,2),
(217483,141914,'Cannot be modified except by direct means',100,2,3),
(217484,10141914,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(217485,10141914,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(217486,10141914,'Inflicts 43 heat damage on target',100,2,2),
(217487,10141914,'Cannot be modified except by direct means',100,2,3),
(217488,111426,'Decreases Attack Speed of caster by 11.3',100,1,0),
(217489,111426,'Slows caster by 32.6%',100,1,1),
(217490,111426,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(217491,111426,'Slows targets in Area of Effect by 31.0%',100,2,3),
(217492,111426,'5% chance to dispel when target receives hostile action',100,2,4),
(217493,111426,'5% chance to dispel when target takes damage',100,2,5),
(217494,111426,'Increases Mitigation of caster vs physical damage by 141',100,1,6),
(217495,10111426,'Decreases Attack Speed of caster by 11.3',100,1,0),
(217496,10111426,'Slows caster by 32.6%',100,1,1),
(217497,10111426,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(217498,10111426,'Slows targets in Area of Effect by 23.2%',100,2,3),
(217499,10111426,'5% chance to dispel when target receives hostile action',100,2,4),
(217500,10111426,'5% chance to dispel when target takes damage',100,2,5),
(217501,10111426,'Increases Mitigation of caster vs physical damage by 141',100,1,6),
(217502,124133,'Increases power of caster by 563',100,1,0),
(217503,10124133,'Increases power of caster by 563',100,1,0),
(217504,115604,'Slows targets in Area of Effect by 75.0%',100,1,0),
(217505,115604,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',100,1,1),
(217506,115604,'Roots target',100,2,2),
(217507,115604,'If Target is not Epic',100,3,3),
(217508,115604,'5% chance to dispel when target takes damage',100,2,4),
(217509,115604,'Resistibility increases against targets higher than level 81.',100,2,5),
(217510,115604,'Does not affect Epic targets',100,1,6),
(217511,10115604,'Slows targets in Area of Effect by 75.0%',100,1,0),
(217512,10115604,'On a melee hit this spell will cast Dire Frost on target.  Lasts for 4.0 seconds.  ',100,1,1),
(217513,10115604,'Roots target',100,2,2),
(217514,10115604,'If Target is not Epic',100,3,3),
(217515,10115604,'5% chance to dispel when target takes damage',100,2,4),
(217516,10115604,'Resistibility increases against targets higher than level 81.',100,2,5),
(217517,10115604,'Does not affect Epic targets',100,1,6),
(217518,118295,'Summons a limited pet to aid the caster',100,1,0),
(217519,10118295,'Summons a limited pet to aid the caster',100,1,0),
(217520,114634,'Decreases WIS of target by 42.0',100,1,0),
(217521,114634,'Inflicts 543 - 905 melee damage on target',100,1,1),
(217522,114634,'You must be sneaking to use this ability.',100,1,2),
(217523,10114634,'Decreases WIS of target by 42.0',100,1,0),
(217524,10114634,'Inflicts 706 - 1177 melee damage on target',100,1,1),
(217525,10114634,'You must be sneaking to use this ability.',100,1,2),
(217526,169039,'When Equipped:',100,0,0),
(217527,169039,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(217528,169039,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(217529,169039,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,3),
(217530,169039,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(217531,169039,'Must not be engaged in pvp combat',100,2,5),
(217532,169039,'Cannot be modified except by direct means',100,2,6),
(217533,169039,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(217534,169039,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,8),
(217535,169039,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(217536,169039,'Must not be engaged in pvp combat',100,2,10),
(217537,169039,'Cannot be modified except by direct means',100,2,11),
(217538,169039,'Cannot be modified except by direct means',100,1,12),
(217539,10169039,'When Equipped:',100,0,0),
(217540,10169039,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(217541,10169039,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(217542,10169039,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,3),
(217543,10169039,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(217544,10169039,'Must not be engaged in pvp combat',100,2,5),
(217545,10169039,'Cannot be modified except by direct means',100,2,6),
(217546,10169039,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(217547,10169039,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,8),
(217548,10169039,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(217549,10169039,'Must not be engaged in pvp combat',100,2,10),
(217550,10169039,'Cannot be modified except by direct means',100,2,11),
(217551,10169039,'Cannot be modified except by direct means',100,1,12),
(217552,107397,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(217553,107397,'Slows target by 41.4%',100,2,1),
(217554,107397,'5% chance to dispel when target receives hostile action',100,2,2),
(217555,107397,'5% chance to dispel when target takes damage',100,2,3),
(217556,107397,'Inflicts 695 - 1158 disease damage on target',100,1,4),
(217557,10107397,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(217558,10107397,'Slows target by 41.4%',100,2,1),
(217559,10107397,'5% chance to dispel when target receives hostile action',100,2,2),
(217560,10107397,'5% chance to dispel when target takes damage',100,2,3),
(217561,10107397,'Inflicts 903 - 1505 disease damage on target',100,1,4),
(217562,83929,'When Equipped:',100,0,0),
(217563,83929,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(217564,83929,'Heals group members (AE) for 1678 - 1855 instantly and every 3 seconds',100,2,2),
(217565,83929,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(217566,83929,'Increases Potency of group members (AE) by 8.0%',100,2,4),
(217567,83929,'Must not be engaged in pvp combat',100,2,5),
(217568,83929,'Cannot be modified except by direct means',100,2,6),
(217569,83929,'Must not be engaged in pvp combat',100,1,7),
(217570,10083929,'When Equipped:',100,0,0),
(217571,10083929,'On a beneficial spell cast this spell may cast Prophetic Shield on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(217572,10083929,'Heals group members (AE) for 1963 - 2170 instantly and every 3 seconds',100,2,2),
(217573,10083929,'Wards group members (AE) against 4200 points of all damage',100,2,3),
(217574,10083929,'Increases Potency of group members (AE) by 8.0%',100,2,4),
(217575,10083929,'Must not be engaged in pvp combat',100,2,5),
(217576,10083929,'Cannot be modified except by direct means',100,2,6),
(217577,10083929,'Must not be engaged in pvp combat',100,1,7),
(217578,117222,'Inflicts 9 slashing damage on target every 4 seconds',100,1,0),
(217579,117222,'Inflicts 44 - 74 melee damage on target',100,1,1),
(217580,10117222,'Inflicts 12 slashing damage on target every 4 seconds',100,1,0),
(217581,10117222,'Inflicts 57 - 96 melee damage on target',100,1,1),
(217582,46101,'Applies Elixir of Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(217583,46101,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(217584,10046101,'Applies Elixir of Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(217585,10046101,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(217586,160047,'When Equipped:',100,0,0),
(217587,160047,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(217588,160047,'Wards caster against 300 points of all damage',100,2,2),
(217589,160047,'Cannot be modified except by direct means',100,2,3),
(217590,160047,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(217591,10160047,'When Equipped:',100,0,0),
(217592,10160047,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(217593,10160047,'Wards caster against 300 points of all damage',100,2,2),
(217594,10160047,'Cannot be modified except by direct means',100,2,3),
(217595,10160047,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(217596,117392,'Increases Threat to target by 376 ',100,1,0),
(217597,117392,'Inflicts 69 - 207 melee damage on target',100,1,1),
(217598,10117392,'Forces target to change their selected target to caster.',100,1,0),
(217599,10117392,'Inflicts 59 - 179 melee damage on target',100,1,1),
(217600,48782,'Applies Essence of Battle  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(217601,48782,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(217602,48782,'Inflicts 19 magic damage on target',100,2,2),
(217603,48782,'Cannot be modified except by direct means',100,2,3),
(217604,10048782,'Applies Essence of Battle  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(217605,10048782,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(217606,10048782,'Inflicts 24 magic damage on target',100,2,2),
(217607,10048782,'Cannot be modified except by direct means',100,2,3),
(217608,82051,'When Equipped:',100,0,0),
(217609,82051,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(217610,82051,'Inflicts 212 - 393 magic damage on target',100,2,2),
(217611,82051,'Decreases Threat to target by 641 ',100,2,3),
(217612,82051,'Must be flanking or behind',100,3,4),
(217613,82051,'Increases Threat to target by 641 ',100,2,5),
(217614,82051,'Must be in front of',100,3,6),
(217615,82051,'Cannot be modified except by direct means',100,2,7),
(217616,10082051,'When Equipped:',100,0,0),
(217617,10082051,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(217618,10082051,'Inflicts 275 - 511 magic damage on target',100,2,2),
(217619,10082051,'Cannot be modified except by direct means',100,2,3),
(217620,159052,'When Equipped:',100,0,0),
(217621,159052,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(217622,159052,'Increases STA of caster by 5.8',100,2,2),
(217623,159052,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(217624,159052,'Cannot be modified except by direct means',100,2,4),
(217625,10159052,'When Equipped:',100,0,0),
(217626,10159052,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(217627,10159052,'Increases STA of caster by 5.8',100,2,2),
(217628,10159052,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(217629,10159052,'Cannot be modified except by direct means',100,2,4),
(217630,41651,'When Equipped:',100,0,0),
(217631,41651,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(217632,41651,'Inflicts 212 - 393 magic damage on target',100,2,2),
(217633,41651,'Decreases Threat to target by 641 ',100,2,3),
(217634,41651,'Must be flanking or behind',100,3,4),
(217635,41651,'Increases Threat to target by 641 ',100,2,5),
(217636,41651,'Must be in front of',100,3,6),
(217637,41651,'Cannot be modified except by direct means',100,2,7),
(217638,10041651,'When Equipped:',100,0,0),
(217639,10041651,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(217640,10041651,'Inflicts 275 - 511 magic damage on target',100,2,2),
(217641,10041651,'Cannot be modified except by direct means',100,2,3),
(217642,89043,'Applies Mental Blast when Activated.',100,0,0),
(217643,89043,'Inflicts 477 - 796 mental damage on target',100,1,1),
(217644,89043,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(217645,10089043,'Applies Mental Blast when Activated.',100,0,0),
(217646,10089043,'Inflicts 621 - 1034 mental damage on target',100,1,1),
(217647,10089043,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(217648,103952,'Applies Castigate.',100,1,0),
(217649,103952,'Inflicts 580 - 967 divine damage on targets in Area of Effect',100,2,1),
(217650,103952,'Dispels 82 levels of any hostile effects on caster',100,1,2),
(217651,103952,'Casts Castigate for each successful Dispel.',100,1,3),
(217652,103952,'Inflicts 580 - 967 divine damage on targets in Area of Effect',100,3,4),
(217653,10103952,'Applies Castigate.',100,1,0),
(217654,10103952,'Inflicts 754 - 1257 divine damage on targets in Area of Effect',100,2,1),
(217655,10103952,'Dispels 82 levels of any hostile effects on caster',100,1,2),
(217656,10103952,'Casts Castigate for each successful Dispel.',100,1,3),
(217657,10103952,'Inflicts 754 - 1257 divine damage on targets in Area of Effect',100,3,4),
(217658,108258,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(217659,108258,'Inflicts 104 heat damage on target',100,2,1),
(217660,108258,'Grants a total of 3 triggers of the spell.',100,2,2),
(217661,10108258,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(217662,10108258,'Inflicts 135 heat damage on target',100,2,1),
(217663,10108258,'Grants a total of 3 triggers of the spell.',100,2,2),
(217664,103198,'Increases Mitigation of caster vs physical damage by 297',100,1,0),
(217665,103198,'Roots caster',100,1,1),
(217666,10103198,'Increases Mitigation of caster vs physical damage by 297',100,1,0),
(217667,10103198,'Roots caster',100,1,1),
(217668,104794,'Increases caster''s chance to block by 10.0%',100,1,0),
(217669,104794,'Decreases Attack Speed of caster by 14.0',100,1,1),
(217670,104794,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(217671,104794,'Increases Parry of caster by 14.4',100,1,3),
(217672,104794,'Increases Defense of caster by 14.4',100,1,4),
(217673,10104794,'Increases caster''s chance to block by 10.0%',100,1,0),
(217674,10104794,'Decreases Attack Speed of caster by 14.0',100,1,1),
(217675,10104794,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(217676,10104794,'Increases Parry of caster by 14.4',100,1,3),
(217677,10104794,'Increases Defense of caster by 14.4',100,1,4),
(217678,87498,'When Equipped:',100,0,0),
(217679,87498,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217680,87498,'Inflicts 107 - 161 magic damage on target',100,2,2),
(217681,87498,'Cannot be modified except by direct means',100,2,3),
(217682,10087498,'When Equipped:',100,0,0),
(217683,10087498,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217684,10087498,'Inflicts 140 - 210 magic damage on target',100,2,2),
(217685,10087498,'Cannot be modified except by direct means',100,2,3),
(217686,26600,'When Equipped:',100,0,0),
(217687,26600,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(217688,26600,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(217689,10026600,'When Equipped:',100,0,0),
(217690,10026600,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(217691,10026600,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(217692,111210,'Inflicts 669 - 1116 divine damage on targets in area',100,1,0),
(217693,111210,'Heals group members (AE) for 2.8% of max health',100,1,1),
(217694,111210,'This effect cannot be critically applied.',100,2,2),
(217695,111210,'The healing of this spell cannot be modified except by direct means',100,1,3),
(217696,10111210,'Inflicts 870 - 1451 divine damage on targets in area',100,1,0),
(217697,10111210,'Heals group members (AE) for 1.8% of max health',100,1,1),
(217698,10111210,'This effect cannot be critically applied.',100,2,2),
(217699,10111210,'The healing of this spell cannot be modified except by direct means',100,1,3),
(217700,124694,'Inflicts 408 - 499 cold damage on target',100,1,0),
(217701,10124694,'Inflicts 530 - 648 cold damage on target',100,1,0),
(217702,72085,'When Equipped:',100,0,0),
(217703,72085,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(217704,72085,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(217705,72085,'Cannot be modified except by direct means',100,2,3),
(217706,10072085,'When Equipped:',100,0,0),
(217707,10072085,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(217708,10072085,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(217709,10072085,'Cannot be modified except by direct means',100,2,3),
(217710,109834,'Inflicts 434 - 723 melee damage on target',100,1,0),
(217711,109834,'Decreases Parry of target by 34.2',100,1,1),
(217712,109834,'Must be in front of or flanking',100,1,2),
(217713,10109834,'Inflicts 564 - 941 melee damage on target',100,1,0),
(217714,10109834,'Decreases Parry of target by 34.2',100,1,1),
(217715,10109834,'Must be in front of or flanking',100,1,2),
(217716,121556,'Inflicts 416 - 694 melee damage on targets in area',100,1,0),
(217717,121556,'Stuns target encounter',100,1,1),
(217718,121556,'If Target is not Epic',100,2,2),
(217719,121556,'Resistibility increases against targets higher than level 89.',100,1,3),
(217720,10121556,'Inflicts 541 - 902 melee damage on targets in area',100,1,0),
(217721,10121556,'Stuns target encounter',100,1,1),
(217722,10121556,'If Target is not Epic',100,2,2),
(217723,10121556,'Resistibility increases against targets higher than level 89.',100,1,3),
(217724,111884,'Inflicts 484 - 898 heat damage on target',100,1,0),
(217725,111884,'Inflicts 181 - 337 heat damage on target every 2 seconds',100,1,1),
(217726,10111884,'Inflicts 629 - 1168 heat damage on target',100,1,0),
(217727,10111884,'Inflicts 236 - 438 heat damage on target every 2 seconds',100,1,1),
(217728,118593,'Roots target',100,1,0),
(217729,118593,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(217730,118593,'Slows target by 35.1%',100,2,2),
(217731,118593,'5% chance to dispel when target receives hostile action',100,2,3),
(217732,118593,'5% chance to dispel when target takes damage',100,2,4),
(217733,118593,'5% chance to dispel when target takes damage',100,1,5),
(217734,118593,'Does not affect Epic targets',100,1,6),
(217735,118593,'Resistibility increases against targets higher than level 64.',100,1,7),
(217736,10118593,'Roots target',100,1,0),
(217737,10118593,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(217738,10118593,'Slows target by 35.1%',100,2,2),
(217739,10118593,'5% chance to dispel when target receives hostile action',100,2,3),
(217740,10118593,'5% chance to dispel when target takes damage',100,2,4),
(217741,10118593,'5% chance to dispel when target takes damage',100,1,5),
(217742,10118593,'Does not affect Epic targets',100,1,6),
(217743,10118593,'Resistibility increases against targets higher than level 64.',100,1,7),
(217744,106442,'Increases Multi Attack Chance of raid and group members (AE) by 4.3',100,1,0),
(217745,10106442,'Increases Multi Attack Chance of raid and group members (AE) by 4.3',100,1,0),
(217746,88685,'When Equipped:',100,0,0),
(217747,88685,'Allows caster to breathe under water',100,1,1),
(217748,10088685,'When Equipped:',100,0,0),
(217749,10088685,'Allows caster to breathe under water',100,1,1),
(217750,119409,'Inflicts 125 - 209 melee damage on target',100,1,0),
(217751,119409,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(217752,119409,'Stuns target',100,2,2),
(217753,119409,'Blurs vision of target',100,2,3),
(217754,119409,'Throws target back',100,2,4),
(217755,119409,'Does not affect Epic targets',100,2,5),
(217756,119409,'You must be sneaking to use this ability.',100,1,6),
(217757,10119409,'Inflicts 163 - 272 melee damage on target',100,1,0),
(217758,10119409,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(217759,10119409,'Stuns target',100,2,2),
(217760,10119409,'Throws target back',100,2,3),
(217761,10119409,'Blurs vision of target',100,2,4),
(217762,10119409,'Does not affect Epic targets',100,2,5),
(217763,10119409,'You must be sneaking to use this ability.',100,1,6),
(217764,124683,'Inflicts 250 - 306 cold damage on target instantly and every 4 seconds',100,1,0),
(217765,124683,'Slows target by 75.0%',100,1,1),
(217766,10124683,'Inflicts 325 - 397 cold damage on target',100,1,0),
(217767,10124683,'Inflicts 283 - 346 cold damage on target every 4 seconds',100,1,1),
(217768,10124683,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(217769,10124683,'Slows target by 75.0%',100,2,3),
(217770,100581,'Inflicts 98 - 164 melee damage on target',100,1,0),
(217771,100581,'You must be sneaking to use this ability.',100,1,1),
(217772,10100581,'Inflicts 153 - 256 melee damage on target',100,1,0),
(217773,10100581,'You must be sneaking to use this ability.',100,1,1),
(217774,108836,'Inflicts 36 - 61 melee damage on target',100,1,0),
(217775,108836,'Inflicts 36 - 61 melee damage on target',100,1,1),
(217776,108836,'Inflicts 36 - 61 melee damage on target',100,1,2),
(217777,108836,'Inflicts 36 - 61 melee damage on target',100,1,3),
(217778,108836,'Inflicts 36 - 61 melee damage on target',100,1,4),
(217779,10108836,'Inflicts 47 - 79 melee damage on target',100,1,0),
(217780,10108836,'Inflicts 47 - 79 melee damage on target',100,1,1),
(217781,10108836,'Inflicts 47 - 79 melee damage on target',100,1,2),
(217782,10108836,'Inflicts 47 - 79 melee damage on target',100,1,3),
(217783,10108836,'Inflicts 47 - 79 melee damage on target',100,1,4),
(217784,27048,'When Equipped:',100,0,0),
(217785,27048,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217786,27048,'Decreases power of target by 62',100,2,2),
(217787,27048,'Increases power of caster by 40',100,2,3),
(217788,27048,'Cannot be modified except by direct means',100,2,4),
(217789,10027048,'When Equipped:',100,0,0),
(217790,10027048,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217791,10027048,'Decreases power of target by 62',100,2,2),
(217792,10027048,'Increases power of caster by 40',100,2,3),
(217793,10027048,'Cannot be modified except by direct means',100,2,4),
(217794,119755,'Wards group members (AE) against 270 points of elemental, noxious and arcane damage',100,1,0),
(217795,119755,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,1),
(217796,10119755,'Wards group members (AE) against 270 points of elemental, noxious and arcane damage',100,1,0),
(217797,10119755,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,1),
(217798,116095,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(217799,116095,'Heals target for 246 - 300',100,2,1),
(217800,116095,'Grants a total of 5 triggers of the spell.',100,2,2),
(217801,10116095,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(217802,10116095,'Heals target for 160 - 195',100,2,1),
(217803,10116095,'Grants a total of 5 triggers of the spell.',100,2,2),
(217804,100816,'Wards target against 1738 points of all damage',100,1,0),
(217805,10100816,'Wards target against 2675 points of all damage',100,1,0),
(217806,108109,'Decreases Threat to target by 751 - 1,252 ',100,1,0),
(217807,10108109,'Forces target to clear their selected target.',100,1,0),
(217808,10108109,'Target cannot target caster for the duration of this effect.',100,1,1),
(217809,24654,'Adds Poet''s Palace: Tiered Brass Vase to your Dungeon Maker toolbox',100,0,0),
(217810,10024654,'Adds Poet''s Palace: Tiered Brass Vase to your Dungeon Maker toolbox',100,0,0),
(217811,113549,'Inflicts 649 - 1082 disease damage on target',100,1,0),
(217812,10113549,'Inflicts 844 - 1407 disease damage on target',100,1,0),
(217813,108495,'Inflicts 28 - 46 melee damage on target',100,1,0),
(217814,10108495,'Inflicts 36 - 60 melee damage on target',100,1,0),
(217815,81845,'When Equipped:',100,0,0),
(217816,81845,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217817,81845,'Inflicts 164 - 305 magic damage on target',100,2,2),
(217818,81845,'Cannot be modified except by direct means',100,2,3),
(217819,10081845,'When Equipped:',100,0,0),
(217820,10081845,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217821,10081845,'Inflicts 213 - 396 magic damage on target',100,2,2),
(217822,10081845,'Cannot be modified except by direct means',100,2,3),
(217823,115896,'Inflicts 30 - 37 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(217824,10115896,'Inflicts 51 - 62 disease damage on target encounter',100,1,0),
(217825,10115896,'Inflicts 39 - 48 disease damage on target encounter every 3 seconds',100,1,1),
(217826,49203,'Applies Release Zoomba when Activated.',100,0,0),
(217827,49203,'This effect cannot be cast during combat',100,1,1),
(217828,10049203,'Applies Release Zoomba when Activated.',100,0,0),
(217829,10049203,'This effect cannot be cast during combat',100,1,1),
(217830,82616,'When Equipped:',100,0,0),
(217831,82616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217832,82616,'Inflicts 106 - 197 magic damage on target',100,2,2),
(217833,82616,'Cannot be modified except by direct means',100,2,3),
(217834,10082616,'When Equipped:',100,0,0),
(217835,10082616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(217836,10082616,'Inflicts 138 - 256 magic damage on target',100,2,2),
(217837,10082616,'Cannot be modified except by direct means',100,2,3),
(217838,123892,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(217839,123892,'Slows target by 44.6%',100,2,1),
(217840,123892,'5% chance to dispel when target receives hostile action',100,2,2),
(217841,123892,'5% chance to dispel when target takes damage',100,2,3),
(217842,123892,'Decreases Mitigation of target vs elemental and noxious damage by 432',100,1,4),
(217843,10123892,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(217844,10123892,'Slows target by 44.6%',100,2,1),
(217845,10123892,'5% chance to dispel when target receives hostile action',100,2,2),
(217846,10123892,'5% chance to dispel when target takes damage',100,2,3),
(217847,10123892,'Decreases Mitigation of target vs elemental and noxious damage by 432',100,1,4),
(217848,36828,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(217849,120411,'Decreases Defense of caster by 27.0',100,1,0),
(217850,120411,'Increases Crushing and Ranged of caster by 49.5',100,1,1),
(217851,120411,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(217852,120411,'Inflicts 502 - 837 heat damage on target',100,2,3),
(217853,120411,'Increases Slashing and Piercing of caster by 49.5',100,1,4),
(217854,10120411,'Decreases Defense of caster by 27.0',100,1,0),
(217855,10120411,'Increases Crushing and Ranged of caster by 49.5',100,1,1),
(217856,10120411,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(217857,10120411,'Inflicts 653 - 1088 heat damage on target',100,2,3),
(217858,10120411,'Increases Slashing and Piercing of caster by 49.5',100,1,4),
(217859,109714,'Inflicts 96 - 160 cold damage on target',100,1,0),
(217860,109714,'If weapon equipped in Ranged',100,1,1),
(217861,10109714,'Inflicts 82 - 136 cold damage on target',100,1,0),
(217862,10109714,'If weapon equipped in Ranged',100,1,1),
(217863,123158,'Reduces physical damage done to caster by 5%',100,1,0),
(217864,123158,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(217865,123158,'Increases Aggression of caster by 7.2',100,1,2),
(217866,123158,'Increases Defense and Parry of caster by 14.4',100,1,3),
(217867,123158,'Increases Mitigation of caster vs elemental damage by 960',100,1,4),
(217868,123158,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(217869,10123158,'Reduces physical damage done to caster by 5%',100,1,0),
(217870,10123158,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(217871,10123158,'Increases Aggression of caster by 7.2',100,1,2),
(217872,10123158,'Increases Defense and Parry of caster by 14.4',100,1,3),
(217873,10123158,'Increases Mitigation of caster vs elemental damage by 960',100,1,4),
(217874,10123158,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(217875,116363,'Mesmerizes target encounter',100,1,0),
(217876,116363,'Prevents AOE (except when direct) ',100,1,1),
(217877,116363,'Dispelled when target takes damage',100,1,2),
(217878,116363,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(217879,116363,'Resistibility increases against targets higher than level 106.',100,1,4),
(217880,10116363,'Mesmerizes target encounter',100,1,0),
(217881,10116363,'Prevents AOE (except when direct) ',100,1,1),
(217882,10116363,'Dispelled when target takes damage',100,1,2),
(217883,10116363,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(217884,10116363,'Resistibility increases against targets higher than level 106.',100,1,4),
(217885,71417,'When Equipped:',100,0,0),
(217886,71417,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(217887,71417,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(217888,71417,'Cannot be modified except by direct means',100,2,3),
(217889,10071417,'When Equipped:',100,0,0),
(217890,10071417,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(217891,10071417,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(217892,10071417,'Cannot be modified except by direct means',100,2,3),
(217893,106906,'Inflicts 1087 - 1812 melee damage on target',100,1,0),
(217894,106906,'Decreases Mitigation of target vs all damage by 5007',100,1,1),
(217895,106906,'Must be behind',100,1,2),
(217896,10106906,'Inflicts 1413 - 2355 melee damage on target',100,1,0),
(217897,10106906,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1565',100,1,1),
(217898,10106906,'Decreases Mitigation of target vs physical damage by 1377',100,1,2),
(217899,10106906,'Must be behind',100,1,3),
(217900,153795,'When Equipped:',100,0,0),
(217901,153795,'Increases Attack Speed of caster by 45.0',100,1,1),
(217902,10153795,'When Equipped:',100,0,0),
(217903,10153795,'Increases Attack Speed of caster by 45.0',100,1,1),
(217904,46455,'Applies Gatling Burst when Activated.  Lasts for 0.5 seconds.',100,0,0),
(217905,46455,'Inflicts 77.0 - 143.0% of max health in cold damage on target',100,1,1),
(217906,46455,'Updates a specific part of the Quest \"Order of Rime Frame Job\"',100,1,2),
(217907,10046455,'Applies Gatling Burst when Activated.  Lasts for 0.5 seconds.',100,0,0),
(217908,10046455,'Inflicts 100.1 - 185.9% of max health in cold damage on target',100,1,1),
(217909,10046455,'Updates a specific part of the Quest \"Order of Rime Frame Job\"',100,1,2),
(217910,124601,'Increases In-Combat Health Regeneration of group members (AE) by 18.5',100,1,0),
(217911,124601,'Increases Mitigation of group members (AE) vs physical damage by 203',100,1,1),
(217912,10124601,'Increases In-Combat Health Regeneration of group members (AE) by 18.5',100,1,0),
(217913,10124601,'Increases Mitigation of group members (AE) vs physical damage by 203',100,1,1),
(217914,105995,'Inflicts 4 - 5 divine damage on target instantly and every 3 seconds',100,1,0),
(217915,105995,'Decreases Defense of target by 1.1',100,1,1),
(217916,10105995,'Inflicts 3 - 4 divine damage on target instantly and every 3 seconds',100,1,0),
(217917,10105995,'Decreases Defense of target by 1.1',100,1,1),
(217918,45077,'Applies Pillow Fight! when Activated.  Lasts for 1 minute.',100,0,0),
(217919,10045077,'Applies Pillow Fight! when Activated.  Lasts for 1 minute.',100,0,0),
(217920,189070,'When Equipped:',100,0,0),
(217921,189070,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217922,189070,'Inflicts 1998 disease damage on target encounter',100,2,2),
(217923,189070,'Must not be engaged in pvp combat',100,2,3),
(217924,189070,'Cannot be modified except by direct means',100,2,4),
(217925,10189070,'When Equipped:',100,0,0),
(217926,10189070,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217927,10189070,'Inflicts 1299 disease damage on target encounter',100,2,2),
(217928,10189070,'Must not be engaged in pvp combat',100,2,3),
(217929,10189070,'Cannot be modified except by direct means',100,2,4),
(217930,107496,'Inflicts 796 - 2387 magic damage on targets in Area of Effect',100,1,0),
(217931,107496,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(217932,107496,'Stuns target',100,2,2),
(217933,107496,'Throws target back',100,2,3),
(217934,107496,'Blurs vision of target',100,2,4),
(217935,107496,'Does not affect Epic targets',100,2,5),
(217936,10107496,'Inflicts 1035 - 3104 magic damage on targets in Area of Effect',100,1,0),
(217937,10107496,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(217938,10107496,'Stuns target',100,2,2),
(217939,10107496,'Throws target back',100,2,3),
(217940,10107496,'Blurs vision of target',100,2,4),
(217941,10107496,'Does not affect Epic targets',100,2,5),
(217942,73913,'Applies Disease Blast when Activated.',100,0,0),
(217943,73913,'Inflicts 341 - 568 disease damage on target',100,1,1),
(217944,73913,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(217945,10073913,'Applies Disease Blast when Activated.',100,0,0),
(217946,10073913,'Inflicts 443 - 739 disease damage on target',100,1,1),
(217947,10073913,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(217948,49033,'When Equipped:',100,0,0),
(217949,49033,'Increases success chance by 1.1%',100,1,1),
(217950,10049033,'When Equipped:',100,0,0),
(217951,10049033,'Increases success chance by 1.1%',100,1,1),
(217952,103083,'Heals target for 61 - 74',100,1,0),
(217953,103083,'Heals target for 10 - 12 every second',100,1,1),
(217954,10103083,'Heals target for 39 - 48',100,1,0),
(217955,10103083,'Heals target for 7 - 8 every second',100,1,1),
(217956,191025,'When Equipped:',100,0,0),
(217957,191025,'Reduces maximum falling speed of caster',100,1,1),
(217958,191025,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(217959,191025,'Allows caster to jump farther',100,1,3),
(217960,191025,'Cannot be modified except by direct means',100,1,4),
(217961,191025,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(217962,10191025,'When Equipped:',100,0,0),
(217963,10191025,'Reduces maximum falling speed of caster',100,1,1),
(217964,10191025,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(217965,10191025,'Allows caster to jump farther',100,1,3),
(217966,10191025,'Cannot be modified except by direct means',100,1,4),
(217967,10191025,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(217968,72790,'When Equipped:',100,0,0),
(217969,72790,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217970,72790,'Inflicts 2648 poison damage on target',100,2,2),
(217971,72790,'Cannot be modified except by direct means',100,2,3),
(217972,72790,'When Equipped:',100,0,4),
(217973,72790,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(217974,72790,'Inflicts 1192 disease damage on target encounter',100,2,6),
(217975,72790,'Must not be engaged in pvp combat',100,2,7),
(217976,72790,'Cannot be modified except by direct means',100,2,8),
(217977,10072790,'When Equipped:',100,0,0),
(217978,10072790,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(217979,10072790,'Inflicts 1721 poison damage on target',100,2,2),
(217980,10072790,'Cannot be modified except by direct means',100,2,3),
(217981,10072790,'When Equipped:',100,0,4),
(217982,10072790,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(217983,10072790,'Inflicts 775 disease damage on target encounter',100,2,6),
(217984,10072790,'Must not be engaged in pvp combat',100,2,7),
(217985,10072790,'Cannot be modified except by direct means',100,2,8),
(217986,133468,'When Equipped:',100,0,0),
(217987,133468,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(217988,133468,'Heals group members (AE) for 2624',100,2,2),
(217989,133468,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(217990,133468,'Must not be engaged in pvp combat',100,2,4),
(217991,133468,'Cannot be modified except by direct means',100,2,5),
(217992,133468,'Must not be engaged in pvp combat',100,1,6),
(217993,10133468,'When Equipped:',100,0,0),
(217994,10133468,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(217995,10133468,'Heals group members (AE) for 3071',100,2,2),
(217996,10133468,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(217997,10133468,'Must not be engaged in pvp combat',100,2,4),
(217998,10133468,'Cannot be modified except by direct means',100,2,5),
(217999,10133468,'Must not be engaged in pvp combat',100,1,6),
(218000,46065,'Applies Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(218001,10046065,'Applies Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(218002,101382,'Reduces physical damage done to caster by 5%',100,1,0),
(218003,101382,'Adds 2.4% to base avoidance.',100,1,1),
(218004,101382,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(218005,101382,'Increases Aggression of caster by 31.2',100,1,3),
(218006,101382,'Increases Defense and Parry of caster by 49.9',100,1,4),
(218007,101382,'Increases Mitigation of caster vs noxious and arcane damage by 306',100,1,5),
(218008,101382,'Increases Mitigation of caster vs elemental damage by 3060',100,1,6),
(218009,101382,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(218010,10101382,'Reduces physical damage done to caster by 5%',100,1,0),
(218011,10101382,'Adds 2.4% to base avoidance.',100,1,1),
(218012,10101382,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(218013,10101382,'Increases Aggression of caster by 31.2',100,1,3),
(218014,10101382,'Increases Defense and Parry of caster by 49.9',100,1,4),
(218015,10101382,'Increases Mitigation of caster vs noxious and arcane damage by 306',100,1,5),
(218016,10101382,'Increases Mitigation of caster vs elemental damage by 3060',100,1,6),
(218017,10101382,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(218018,24179,'Adds Crushbone: Flour Stock to your Dungeon Maker toolbox',100,0,0),
(218019,10024179,'Adds Crushbone: Flour Stock to your Dungeon Maker toolbox',100,0,0),
(218020,37045,'Increases AGI of target by 1.5',100,0,0),
(218021,37045,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(218022,102220,'Increases Max Health of group members (AE) by 262.8',100,1,0),
(218023,10102220,'Increases Max Health of group members (AE) by 262.8',100,1,0),
(218024,123926,'Increases STR and WIS of target by 51.2',100,1,0),
(218025,123926,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,1),
(218026,10123926,'Increases STR and WIS of target by 51.2',100,1,0),
(218027,10123926,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,1),
(218028,87228,'When Equipped:',100,0,0),
(218029,87228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218030,87228,'Inflicts 76 - 114 magic damage on target',100,2,2),
(218031,87228,'Cannot be modified except by direct means',100,2,3),
(218032,10087228,'When Equipped:',100,0,0),
(218033,10087228,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218034,10087228,'Inflicts 98 - 148 magic damage on target',100,2,2),
(218035,10087228,'Cannot be modified except by direct means',100,2,3),
(218036,46423,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(218037,46423,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(218038,46423,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(218039,46423,'Cannot be modified except by direct means',100,2,3),
(218040,46423,'Grants a total of 80 triggers of the spell.',100,2,4),
(218041,10046423,'Applies frantic petulance when Activated.  Lasts for 12 hours.',100,0,0),
(218042,10046423,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(218043,10046423,'Decreases Mitigation of target vs noxious damage by 440',100,2,2),
(218044,10046423,'Cannot be modified except by direct means',100,2,3),
(218045,10046423,'Grants a total of 80 triggers of the spell.',100,2,4),
(218046,122036,'Increases Threat to target by 169 - 206 ',100,1,0),
(218047,122036,'Inflicts 29 - 48 melee damage on target',100,1,1),
(218048,10122036,'Forces target to change their selected target to caster.',100,1,0),
(218049,10122036,'Inflicts 37 - 63 melee damage on target',100,1,1),
(218050,118035,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(218051,118035,'Stuns target',100,2,1),
(218052,118035,'If Target is not Epic',100,3,2),
(218053,118035,'Inflicts 398 - 663 divine damage on target',100,2,3),
(218054,118035,'Grants a total of 3 triggers of the spell.',100,2,4),
(218055,10118035,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(218056,10118035,'Stuns target',100,2,1),
(218057,10118035,'If Target is not Epic',100,3,2),
(218058,10118035,'Inflicts 517 - 862 divine damage on target',100,2,3),
(218059,10118035,'Grants a total of 3 triggers of the spell.',100,2,4),
(218060,185144,'When Equipped:',100,0,0),
(218061,185144,'When damaged with a melee weapon this spell has a 10% chance to cast Electrified Barrier on target''s attacker.  ',100,1,1),
(218062,185144,'Inflicts 141 magic damage on target',100,2,2),
(218063,185144,'Cannot be modified except by direct means',100,2,3),
(218064,10185144,'When Equipped:',100,0,0),
(218065,10185144,'When damaged with a melee weapon this spell has a 10% chance to cast Electrified Barrier on target''s attacker.  ',100,1,1),
(218066,10185144,'Inflicts 184 magic damage on target',100,2,2),
(218067,10185144,'Cannot be modified except by direct means',100,2,3),
(218068,123281,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(218069,123281,'Inflicts 116 - 193 disease damage on target',100,2,1),
(218070,123281,'Heals caster for 1.0 - 1.8% of max health',100,2,2),
(218071,123281,'This effect cannot be critically applied.',100,3,3),
(218072,123281,'The healing of this spell cannot be modified except by direct means',100,2,4),
(218073,10123281,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(218074,10123281,'Inflicts 151 - 251 disease damage on target',100,2,1),
(218075,10123281,'Heals caster for 0.4 - 0.6% of max health',100,2,2),
(218076,10123281,'This effect cannot be critically applied.',100,3,3),
(218077,10123281,'The healing of this spell cannot be modified except by direct means',100,2,4),
(218078,135137,'When Equipped:',100,0,0),
(218079,135137,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(218080,135137,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(218081,135137,'Cannot be modified except by direct means',100,2,3),
(218082,10135137,'When Equipped:',100,0,0),
(218083,10135137,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(218084,10135137,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(218085,10135137,'Cannot be modified except by direct means',100,2,3),
(218086,46458,'Applies Drastic Measures when Activated.',100,0,0),
(218087,46458,'Using this item changes your gender. Since your gender has just undergone...revisions, it is strongly recommended that you visit a barber in the city of your choice.',100,1,1),
(218088,10046458,'Applies Drastic Measures when Activated.',100,0,0),
(218089,10046458,'Using this item changes your gender. Since your gender has just undergone...revisions, it is strongly recommended that you visit a barber in the city of your choice.',100,1,1),
(218090,111767,'Heals caster for 10.3 - 12.5% of max health',100,1,0),
(218091,111767,'This effect cannot be critically applied.',100,2,1),
(218092,111767,'The healing of this spell cannot be modified except by direct means',100,1,2),
(218093,10111767,'Heals caster for 5.1 - 6.3% of max health',100,1,0),
(218094,10111767,'This effect cannot be critically applied.',100,2,1),
(218095,10111767,'The healing of this spell cannot be modified except by direct means',100,1,2),
(218096,107639,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(218097,107639,'Increases Mitigation of group members (AE) vs elemental damage by 756',100,1,1),
(218098,10107639,'Increases Max Power of group members (AE) by 466.2',100,1,0),
(218099,10107639,'Increases Mitigation of group members (AE) vs elemental damage by 756',100,1,1),
(218100,186886,'When Equipped:',100,0,0),
(218101,186886,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(218102,186886,'Inflicts 1986 heat damage on target',100,2,2),
(218103,186886,'Cannot be modified except by direct means',100,2,3),
(218104,10186886,'When Equipped:',100,0,0),
(218105,10186886,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(218106,10186886,'Inflicts 1291 heat damage on target',100,2,2),
(218107,10186886,'Cannot be modified except by direct means',100,2,3),
(218108,138828,'When Equipped:',100,0,0),
(218109,138828,'This effect will not stack with any rank or tier of itself.',100,1,1),
(218110,138828,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,2),
(218111,138828,'Increases Attack Speed of caster by 4.5',100,1,3),
(218112,138828,'Increases Damage Per Second of caster by 11.0',100,1,4),
(218113,138828,'Cannot be modified except by direct means',100,1,5),
(218114,10138828,'When Equipped:',100,0,0),
(218115,10138828,'This effect will not stack with any rank or tier of itself.',100,1,1),
(218116,10138828,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,2),
(218117,10138828,'Increases Attack Speed of caster by 4.5',100,1,3),
(218118,10138828,'Increases Damage Per Second of caster by 11.0',100,1,4),
(218119,10138828,'Cannot be modified except by direct means',100,1,5),
(218120,107882,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(218121,107882,'Slows target by 33.8%',100,2,1),
(218122,107882,'5% chance to dispel when target receives hostile action',100,2,2),
(218123,107882,'5% chance to dispel when target takes damage',100,2,3),
(218124,107882,'Slows target encounter by 40.6%',100,1,4),
(218125,107882,'5% chance to dispel when target takes damage',100,1,5),
(218126,10107882,'Slows target encounter by 40.6%',100,1,0),
(218127,10107882,'5% chance to dispel when target takes damage',100,1,1),
(218128,26058,'When Equipped:',100,0,0),
(218129,26058,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(218130,26058,'Heals caster for 60',100,2,2),
(218131,26058,'Cannot be modified except by direct means',100,2,3),
(218132,10026058,'When Equipped:',100,0,0),
(218133,10026058,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(218134,10026058,'Heals caster for 39',100,2,2),
(218135,10026058,'Cannot be modified except by direct means',100,2,3),
(218136,52717,'Applies Sanguine Imbued when Equipped.',100,0,0),
(218137,52717,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(218138,52717,'Inflicts 59 heat damage on target',100,2,2),
(218139,52717,'Cannot be modified except by direct means',100,2,3),
(218140,10052717,'Applies Sanguine Imbued when Equipped.',100,0,0),
(218141,10052717,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(218142,10052717,'Inflicts 77 heat damage on target',100,2,2),
(218143,10052717,'Cannot be modified except by direct means',100,2,3),
(218144,113906,'Inflicts 457 - 762 disease damage on target',100,1,0),
(218145,113906,'Inflicts 114 - 190 disease damage on target every 4 seconds',100,1,1),
(218146,113906,'Increases power of caster by 150 - 250',100,1,2),
(218147,113906,'Increases power of caster by 32 - 54 every 4 seconds',100,1,3),
(218148,10113906,'Inflicts 594 - 990 disease damage on target',100,1,0),
(218149,10113906,'Inflicts 149 - 248 disease damage on target every 4 seconds',100,1,1),
(218150,10113906,'Increases power of caster by 150 - 250',100,1,2),
(218151,10113906,'Increases power of caster by 32 - 54 every 4 seconds',100,1,3),
(218152,112945,'Inflicts 52 - 158 crushing damage on target',100,1,0),
(218153,10112945,'Inflicts 68 - 206 crushing damage on target',100,1,0),
(218154,118595,'Roots target',100,1,0),
(218155,118595,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(218156,118595,'Slows target by 51.8%',100,2,2),
(218157,118595,'5% chance to dispel when target receives hostile action',100,2,3),
(218158,118595,'5% chance to dispel when target takes damage',100,2,4),
(218159,118595,'5% chance to dispel when target takes damage',100,1,5),
(218160,118595,'Does not affect Epic targets',100,1,6),
(218161,118595,'Resistibility increases against targets higher than level 64.',100,1,7),
(218162,10118595,'Roots target',100,1,0),
(218163,10118595,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(218164,10118595,'Slows target by 51.8%',100,2,2),
(218165,10118595,'5% chance to dispel when target receives hostile action',100,2,3),
(218166,10118595,'5% chance to dispel when target takes damage',100,2,4),
(218167,10118595,'5% chance to dispel when target takes damage',100,1,5),
(218168,10118595,'Does not affect Epic targets',100,1,6),
(218169,10118595,'Resistibility increases against targets higher than level 64.',100,1,7),
(218170,110362,'Increases STR and AGI of group members (AE) by 9.9',100,1,0),
(218171,110362,'Adds 1.7% to base avoidance.',100,1,1),
(218172,10110362,'Increases STR and AGI of group members (AE) by 9.9',100,1,0),
(218173,10110362,'Adds 1.7% to base avoidance.',100,1,1),
(218174,180990,'When Equipped:',100,0,0),
(218175,180990,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(218176,180990,'Heals group members (AE) for 2624',100,2,2),
(218177,180990,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(218178,180990,'Must not be engaged in pvp combat',100,2,4),
(218179,180990,'Cannot be modified except by direct means',100,2,5),
(218180,180990,'Must not be engaged in pvp combat',100,1,6),
(218181,10180990,'When Equipped:',100,0,0),
(218182,10180990,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(218183,10180990,'Heals group members (AE) for 3071',100,2,2),
(218184,10180990,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(218185,10180990,'Must not be engaged in pvp combat',100,2,4),
(218186,10180990,'Cannot be modified except by direct means',100,2,5),
(218187,10180990,'Must not be engaged in pvp combat',100,1,6),
(218188,36209,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(218189,36209,'This effect suspends during combat',100,0,1),
(218190,75307,'When Equipped:',100,0,0),
(218191,75307,'On a combat hit this spell may cast Anuk''s Undying Wrath on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218192,75307,'Inflicts 55 - 102 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(218193,75307,'Cannot be modified except by direct means',100,2,3),
(218194,75307,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(218195,75307,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(218196,10075307,'When Equipped:',100,0,0),
(218197,10075307,'On a combat hit this spell may cast Anuk''s Undying Wrath on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218198,10075307,'Inflicts 71 - 132 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(218199,10075307,'Cannot be modified except by direct means',100,2,3),
(218200,10075307,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(218201,10075307,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(218202,124795,'Increases STR of caster by 100.2',100,1,0),
(218203,124795,'Decreases Defense of caster by 13.8',100,1,1),
(218204,124795,'Increases Crushing, Piercing, Slashing and Disruption of caster by 29.0',100,1,2),
(218205,10124795,'Increases STR of caster by 100.2',100,1,0),
(218206,10124795,'Decreases Defense of caster by 13.8',100,1,1),
(218207,10124795,'Increases Crushing, Piercing, Slashing and Disruption of caster by 29.0',100,1,2),
(218208,104764,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(218209,104764,'Inflicts 355 disease damage on target',100,2,1),
(218210,104764,'Heals caster for 114',100,2,2),
(218211,104764,'Heals group members'' pets for 114',100,2,3),
(218212,10104764,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(218213,10104764,'Inflicts 462 disease damage on target',100,2,1),
(218214,10104764,'Heals caster for 74',100,2,2),
(218215,10104764,'Heals group members'' pets for 74',100,2,3),
(218216,72284,'Applies Astral Blessing when Equipped.',100,0,0),
(218217,72284,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(218218,72284,'Heals target for 442 instantly and every second',100,2,2),
(218219,72284,'Cannot be modified except by direct means',100,2,3),
(218220,72284,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(218221,72284,'Heals caster for 442 instantly and every second',100,2,5),
(218222,72284,'Cannot be modified except by direct means',100,2,6),
(218223,72284,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(218224,72284,'Heals caster for 442 instantly and every second',100,2,8),
(218225,72284,'Cannot be modified except by direct means',100,2,9),
(218226,10072284,'Applies Astral Blessing when Equipped.',100,0,0),
(218227,10072284,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(218228,10072284,'Heals target for 517 instantly and every second',100,2,2),
(218229,10072284,'Cannot be modified except by direct means',100,2,3),
(218230,10072284,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(218231,10072284,'Heals caster for 517 instantly and every second',100,2,5),
(218232,10072284,'Cannot be modified except by direct means',100,2,6),
(218233,10072284,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(218234,10072284,'Heals caster for 517 instantly and every second',100,2,8),
(218235,10072284,'Cannot be modified except by direct means',100,2,9),
(218236,74757,'When Equipped:',100,0,0),
(218237,74757,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218238,74757,'Inflicts 97 - 145 magic damage on target',100,2,2),
(218239,74757,'Cannot be modified except by direct means',100,2,3),
(218240,10074757,'When Equipped:',100,0,0),
(218241,10074757,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218242,10074757,'Inflicts 126 - 189 magic damage on target',100,2,2),
(218243,10074757,'Cannot be modified except by direct means',100,2,3),
(218244,54846,'When Equipped:',100,0,0),
(218245,54846,'On a damage spell hit this spell may cast Arcane Focus on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218246,54846,'Increases Potency of target by 12.0%',100,2,2),
(218247,54846,'Cannot be modified except by direct means',100,2,3),
(218248,54846,'Cannot be modified except by direct means',100,1,4),
(218249,10054846,'When Equipped:',100,0,0),
(218250,10054846,'On a damage spell hit this spell may cast Arcane Focus on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218251,10054846,'Increases Potency of target by 12.0%',100,2,2),
(218252,10054846,'Cannot be modified except by direct means',100,2,3),
(218253,10054846,'Cannot be modified except by direct means',100,1,4),
(218254,117343,'Roots target',100,1,0),
(218255,117343,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(218256,117343,'Slows target by 59.1%',100,2,2),
(218257,117343,'5% chance to dispel when target receives hostile action',100,2,3),
(218258,117343,'5% chance to dispel when target takes damage',100,2,4),
(218259,117343,'15% chance to dispel when target takes damage',100,1,5),
(218260,117343,'Does not affect Epic targets',100,1,6),
(218261,117343,'Resistibility increases against targets higher than level 90.',100,1,7),
(218262,10117343,'Roots target',100,1,0),
(218263,10117343,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(218264,10117343,'Slows target by 59.1%',100,2,2),
(218265,10117343,'10% chance to dispel when target receives hostile action',100,2,3),
(218266,10117343,'10% chance to dispel when target takes damage',100,2,4),
(218267,10117343,'15% chance to dispel when target takes damage',100,1,5),
(218268,10117343,'Does not affect Epic targets',100,1,6),
(218269,10117343,'Resistibility increases against targets higher than level 90.',100,1,7),
(218270,81899,'When Equipped:',100,0,0),
(218271,81899,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(218272,81899,'Inflicts 408 - 757 magic damage on target',100,2,2),
(218273,81899,'Decreases Threat to target by 994 ',100,2,3),
(218274,81899,'Must be flanking or behind',100,3,4),
(218275,81899,'Increases Threat to target by 994 ',100,2,5),
(218276,81899,'Must be in front of',100,3,6),
(218277,81899,'Cannot be modified except by direct means',100,2,7),
(218278,10081899,'When Equipped:',100,0,0),
(218279,10081899,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(218280,10081899,'Inflicts 530 - 984 magic damage on target',100,2,2),
(218281,10081899,'Cannot be modified except by direct means',100,2,3),
(218282,121243,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(218283,121243,'Increases Parry of caster by 4.3',100,1,1),
(218284,10121243,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(218285,10121243,'Increases Parry of caster by 4.3',100,1,1),
(218286,105600,'Decreases power of target encounter by 93 - 114 instantly and every 3 seconds',100,1,0),
(218287,105600,'Inflicts 218 - 405 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(218288,105600,'Heals group members (AE) for 70 - 129 instantly and every 3 seconds',100,1,2),
(218289,105600,'Increases power of group members (AE) by 27 instantly and every 3 seconds',100,1,3),
(218290,10105600,'Decreases power of target encounter by 93 - 114 instantly and every 3 seconds',100,1,0),
(218291,10105600,'Inflicts 283 - 526 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(218292,10105600,'Heals group members (AE) for 45 - 84 instantly and every 3 seconds',100,1,2),
(218293,10105600,'Increases power of group members (AE) by 27 instantly and every 3 seconds',100,1,3),
(218294,35016,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(218295,35016,'This effect suspends during combat',100,0,1),
(218296,120432,'Inflicts 241 - 403 melee damage on target',100,1,0),
(218297,120432,'Inflicts 241 - 403 melee damage on target',100,1,1),
(218298,10120432,'Inflicts 314 - 524 melee damage on target',100,1,0),
(218299,10120432,'Inflicts 314 - 524 melee damage on target',100,1,1),
(218300,114607,'Decreases WIS of target by 5.6',100,1,0),
(218301,114607,'Inflicts 17 - 28 melee damage on target',100,1,1),
(218302,114607,'You must be sneaking to use this ability.',100,1,2),
(218303,10114607,'Decreases WIS of target by 5.6',100,1,0),
(218304,10114607,'Inflicts 22 - 37 melee damage on target',100,1,1),
(218305,10114607,'You must be sneaking to use this ability.',100,1,2),
(218306,46795,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(218307,46795,'Increases Attack Speed of caster by 9.6',100,1,1),
(218308,10046795,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(218309,10046795,'Increases Attack Speed of caster by 9.6',100,1,1),
(218310,87237,'When Equipped:',100,0,0),
(218311,87237,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218312,87237,'Inflicts 206 - 309 magic damage on target',100,2,2),
(218313,87237,'Cannot be modified except by direct means',100,2,3),
(218314,10087237,'When Equipped:',100,0,0),
(218315,10087237,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218316,10087237,'Inflicts 268 - 402 magic damage on target',100,2,2),
(218317,10087237,'Cannot be modified except by direct means',100,2,3),
(218318,117223,'Inflicts 9 slashing damage on target every 4 seconds',100,1,0),
(218319,117223,'Inflicts 46 - 78 melee damage on target',100,1,1),
(218320,10117223,'Inflicts 12 slashing damage on target every 4 seconds',100,1,0),
(218321,10117223,'Inflicts 61 - 101 melee damage on target',100,1,1),
(218322,109948,'Stuns target',100,1,0),
(218323,109948,'Does not affect Epic targets',100,1,1),
(218324,109948,'Resistibility increases against targets higher than level 101.',100,1,2),
(218325,10109948,'Stuns target',100,1,0),
(218326,10109948,'Does not affect Epic targets',100,1,1),
(218327,10109948,'Resistibility increases against targets higher than level 101.',100,1,2),
(218328,105177,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(218329,105177,'Inflicts 59 - 72 poison damage on target encounter',100,2,1),
(218330,10105177,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(218331,10105177,'Inflicts 77 - 94 poison damage on target encounter',100,2,1),
(218332,102173,'Increases Mitigation of group members (AE) vs physical damage by 111',100,1,0),
(218333,10102173,'Increases Mitigation of group members (AE) vs physical damage by 111',100,1,0),
(218334,119531,'Increases threat priority of target by 2 positions',100,1,0),
(218335,119531,'Stuns caster',100,1,1),
(218336,119531,'Decreases Defense and Parry of caster by 339.0',100,1,2),
(218337,119531,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(218338,119531,'Inflicts 1879 - 3131 piercing damage on target',100,2,4),
(218339,119531,'Grants a total of 1 trigger of the spell.',100,2,5),
(218340,10119531,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(218341,10119531,'Prevents target from changing targets',100,2,1),
(218342,10119531,'Forces target to change their selected target to caster.',100,2,2),
(218343,10119531,'Stuns caster',100,1,3),
(218344,10119531,'Decreases Defense and Parry of caster by 339.0',100,1,4),
(218345,10119531,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(218346,10119531,'Inflicts 1743 - 2905 piercing damage on target',100,2,6),
(218347,10119531,'Grants a total of 1 trigger of the spell.',100,2,7),
(218348,80743,'When Equipped:',100,0,0),
(218349,80743,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218350,80743,'Inflicts 75 - 138 magic damage on target',100,2,2),
(218351,80743,'Cannot be modified except by direct means',100,2,3),
(218352,10080743,'When Equipped:',100,0,0),
(218353,10080743,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218354,10080743,'Inflicts 97 - 180 magic damage on target',100,2,2),
(218355,10080743,'Cannot be modified except by direct means',100,2,3),
(218356,161733,'When Equipped:',100,0,0),
(218357,161733,'Increases Attack Speed of caster by 35.0',100,1,1),
(218358,10161733,'When Equipped:',100,0,0),
(218359,10161733,'Increases Attack Speed of caster by 35.0',100,1,1),
(218360,48820,'Applies Juline''s Resurgence  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(218361,48820,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(218362,10048820,'Applies Juline''s Resurgence  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(218363,10048820,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(218364,123927,'Increases STR and WIS of target by 74.4',100,1,0),
(218365,123927,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,1),
(218366,10123927,'Increases STR and WIS of target by 74.4',100,1,0),
(218367,10123927,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',100,1,1),
(218368,144293,'When Equipped:',100,0,0),
(218369,144293,'Increases the caster''s heals and wards by 5%.',100,1,1),
(218370,144293,'Must not be engaged in pvp combat',100,1,2),
(218371,10144293,'When Equipped:',100,0,0),
(218372,10144293,'Increases the caster''s heals and wards by 5%.',100,1,1),
(218373,10144293,'Must not be engaged in pvp combat',100,1,2),
(218374,102738,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(218375,102738,'Inflicts 162 - 270 divine damage on target',100,2,1),
(218376,102738,'Inflicts 139 - 232 divine damage on target',100,2,2),
(218377,102738,'If target is undead',100,3,3),
(218378,102738,'Stuns target',100,2,4),
(218379,102738,'If Target is not Epic',100,3,5),
(218380,10102738,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(218381,10102738,'Inflicts 316 - 527 divine damage on target',100,2,1),
(218382,10102738,'Stuns target',100,2,2),
(218383,10102738,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(218384,87132,'When Equipped:',100,0,0),
(218385,87132,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218386,87132,'Inflicts 237 - 356 magic damage on target',100,2,2),
(218387,87132,'Cannot be modified except by direct means',100,2,3),
(218388,10087132,'When Equipped:',100,0,0),
(218389,10087132,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218390,10087132,'Inflicts 308 - 463 magic damage on target',100,2,2),
(218391,10087132,'Cannot be modified except by direct means',100,2,3),
(218392,46712,'Applies Jentry''s Absolution when Activated.',100,0,0),
(218393,46712,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(218394,10046712,'Applies Jentry''s Absolution when Activated.',100,0,0),
(218395,10046712,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(218396,111244,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(218397,111244,'Heals target for 350 - 428',100,2,1),
(218398,10111244,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(218399,10111244,'Heals target for 227 - 278',100,2,1),
(218400,123129,'Inflicts 429 disease damage on targets in Area of Effect',100,1,0),
(218401,123129,'Inflicts 292 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(218402,10123129,'Inflicts 557 disease damage on targets in Area of Effect',100,1,0),
(218403,10123129,'Inflicts 380 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(218404,121745,'Causes 9% Threat to transfer to target when in combat',100,1,0),
(218405,10121745,'Applies Swarthy Distraction.',100,1,0),
(218406,10121745,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(218407,10121745,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(218408,35793,'Increases AGI of target by 1.5',100,0,0),
(218409,35793,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(218410,81015,'When Equipped:',100,0,0),
(218411,81015,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218412,81015,'Inflicts 203 - 377 magic damage on target',100,2,2),
(218413,81015,'Cannot be modified except by direct means',100,2,3),
(218414,10081015,'When Equipped:',100,0,0),
(218415,10081015,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218416,10081015,'Inflicts 264 - 490 magic damage on target',100,2,2),
(218417,10081015,'Cannot be modified except by direct means',100,2,3),
(218418,70591,'When Equipped:',100,0,0),
(218419,70591,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(218420,70591,'Inflicts 734 piercing damage on target',100,2,2),
(218421,70591,'Cannot be modified except by direct means',100,2,3),
(218422,10070591,'When Equipped:',100,0,0),
(218423,10070591,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(218424,10070591,'Inflicts 477 piercing damage on target',100,2,2),
(218425,10070591,'Cannot be modified except by direct means',100,2,3),
(218426,111515,'Blurs vision of targets in Area of Effect',100,1,0),
(218427,111515,'Interrupts targets in Area of Effect',100,1,1),
(218428,111515,'5% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(218429,111515,'Stuns target',100,2,3),
(218430,111515,'Throws target back',100,2,4),
(218431,111515,'Blurs vision of target',100,2,5),
(218432,111515,'Does not affect Epic targets',100,2,6),
(218433,10111515,'Blurs vision of targets in Area of Effect',100,1,0),
(218434,10111515,'Interrupts targets in Area of Effect',100,1,1),
(218435,10111515,'5% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(218436,10111515,'Stuns target',100,2,3),
(218437,10111515,'Throws target back',100,2,4),
(218438,10111515,'Blurs vision of target',100,2,5),
(218439,10111515,'Does not affect Epic targets',100,2,6),
(218440,109602,'Increases Defense of group members'' pets (AE) by 6.8',100,1,0),
(218441,109602,'Increases Mitigation of group members (AE) vs all damage by 109',100,1,1),
(218442,10109602,'Increases Defense of group members'' pets (AE) by 6.8',100,1,0),
(218443,10109602,'Increases Mitigation of group members (AE) vs all damage by 109',100,1,1),
(218444,113823,'Inflicts 190 - 317 disease damage on target',100,1,0),
(218445,10113823,'Inflicts 247 - 412 disease damage on target',100,1,0),
(218446,107932,'Mesmerizes target',100,1,0),
(218447,107932,'Prevents AOE (except when direct) ',100,1,1),
(218448,107932,'Dispelled when target takes damage',100,1,2),
(218449,107932,'Epic targets gain an immunity to Mesmerize effects of 1 minute 45 seconds and duration is reduced to 11.7 seconds.',100,1,3),
(218450,107932,'Resistibility increases against targets higher than level 81.',100,1,4),
(218451,10107932,'Mesmerizes target',100,1,0),
(218452,10107932,'Prevents AOE (except when direct) ',100,1,1),
(218453,10107932,'Dispelled when target takes damage',100,1,2),
(218454,10107932,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(218455,10107932,'Resistibility increases against targets higher than level 81.',100,1,4),
(218456,103355,'Inflicts 31 - 37 mental damage on target instantly and every 6 seconds',100,1,0),
(218457,103355,'Decreases power of target by 8 instantly and every 6 seconds',100,1,1),
(218458,103355,'Increases power of caster by 25',100,1,2),
(218459,10103355,'Inflicts 40 - 49 mental damage on target instantly and every 6 seconds',100,1,0),
(218460,10103355,'Decreases power of target by 8 instantly and every 6 seconds',100,1,1),
(218461,10103355,'Increases power of caster by 25',100,1,2),
(218462,111961,'Inflicts 262 - 320 disease damage on target',100,1,0),
(218463,111961,'Decreases Mitigation of target vs noxious damage by 496',100,1,1),
(218464,10111961,'Inflicts 437 - 534 disease damage on target',100,1,0),
(218465,10111961,'Decreases Mitigation of target vs noxious damage by 496',100,1,1),
(218466,119209,'Inflicts 478 - 797 heat damage on target',100,1,0),
(218467,119209,'Inflicts 478 - 797 heat damage on target',100,1,1),
(218468,119209,'Requires bow',100,1,2),
(218469,10119209,'Inflicts 547 - 912 heat damage on target',100,1,0),
(218470,10119209,'Inflicts 547 - 912 heat damage on target',100,1,1),
(218471,10119209,'Requires bow',100,1,2),
(218472,110911,'Inflicts 49 - 83 divine damage on target',100,1,0),
(218473,110911,'Increases Threat to target by 345 ',100,1,1),
(218474,110911,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(218475,110911,'Stuns target',100,2,3),
(218476,110911,'Throws target back',100,2,4),
(218477,110911,'Blurs vision of target',100,2,5),
(218478,110911,'Does not affect Epic targets',100,2,6),
(218479,10110911,'Inflicts 64 - 108 divine damage on target',100,1,0),
(218480,10110911,'Prevents target from changing targets',100,1,1),
(218481,10110911,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(218482,10110911,'Stuns target',100,2,3),
(218483,10110911,'Blurs vision of target',100,2,4),
(218484,10110911,'Throws target back',100,2,5),
(218485,10110911,'Does not affect Epic targets',100,2,6),
(218486,10110911,'Forces target to change their selected target to caster.',100,1,7),
(218487,48942,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(218488,48942,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(218489,48942,'Inflicts 27 poison damage on target',100,2,2),
(218490,48942,'Inflicts 24 poison damage on target instantly and every 6 seconds',100,2,3),
(218491,48942,'Cannot be modified except by direct means',100,2,4),
(218492,48942,'Grants a total of 200 triggers of the spell.',100,2,5),
(218493,10048942,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(218494,10048942,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(218495,10048942,'Inflicts 23 poison damage on target instantly and every 6 seconds',100,2,2),
(218496,10048942,'Inflicts 27 poison damage on target',100,2,3),
(218497,10048942,'Cannot be modified except by direct means',100,2,4),
(218498,10048942,'Grants a total of 200 triggers of the spell.',100,2,5),
(218499,111871,'Inflicts 262 - 487 heat damage on target',100,1,0),
(218500,111871,'Inflicts 98 - 183 heat damage on target every 2 seconds',100,1,1),
(218501,10111871,'Inflicts 341 - 633 heat damage on target',100,1,0),
(218502,10111871,'Inflicts 128 - 237 heat damage on target every 2 seconds',100,1,1),
(218503,143616,'When Equipped:',100,0,0),
(218504,143616,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218505,143616,'Decreases power of target by 238',100,2,2),
(218506,143616,'Increases power of caster by 159',100,2,3),
(218507,143616,'Cannot be modified except by direct means',100,2,4),
(218508,10143616,'When Equipped:',100,0,0),
(218509,10143616,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218510,10143616,'Decreases power of target by 238',100,2,2),
(218511,10143616,'Increases power of caster by 159',100,2,3),
(218512,10143616,'Cannot be modified except by direct means',100,2,4),
(218513,74712,'When Equipped:',100,0,0),
(218514,74712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218515,74712,'Inflicts 237 - 356 magic damage on target',100,2,2),
(218516,74712,'Cannot be modified except by direct means',100,2,3),
(218517,10074712,'When Equipped:',100,0,0),
(218518,10074712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218519,10074712,'Inflicts 308 - 463 magic damage on target',100,2,2),
(218520,10074712,'Cannot be modified except by direct means',100,2,3),
(218521,121924,'Inflicts 274 - 457 mental damage on target encounter',100,1,0),
(218522,121924,'Increases power of group members (AE) by 161 - 268',100,1,1),
(218523,10121924,'Inflicts 357 - 594 mental damage on target encounter',100,1,0),
(218524,10121924,'Increases power of group members (AE) by 161 - 268',100,1,1),
(218525,118749,'Increases INT and WIS of group members (AE) by 19.2',100,1,0),
(218526,118749,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 57',100,1,1),
(218527,10118749,'Increases INT and WIS of group members (AE) by 19.2',100,1,0),
(218528,10118749,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 57',100,1,1),
(218529,107372,'Decreases Ability Casting Speed of targets in Area of Effect by 42.0%',100,1,0),
(218530,107372,'Inflicts 153 - 186 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(218531,10107372,'Decreases Ability Casting Speed of targets in Area of Effect by 42.0%',100,1,0),
(218532,10107372,'Inflicts 198 - 242 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(218533,36674,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(218534,108614,'Feigns Death with 71% chance of success',100,1,0),
(218535,10108614,'Feigns Death with 71% chance of success',100,1,0),
(218536,45208,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(218537,45208,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(218538,45208,'Decreases Threat to target by 807 - 986 ',100,2,2),
(218539,45208,'Cannot be modified except by direct means',100,2,3),
(218540,45208,'Grants a total of 100 triggers of the spell.',100,2,4),
(218541,10045208,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(218542,10045208,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(218543,10045208,'5% chance to apply Distract.',100,2,2),
(218544,10045208,'Forces target to clear their selected target.',100,3,3),
(218545,10045208,'Cannot be modified except by direct means',100,2,4),
(218546,10045208,'Grants a total of 100 triggers of the spell.',100,2,5),
(218547,74965,'When Equipped:',100,0,0),
(218548,74965,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218549,74965,'Inflicts 169 - 254 magic damage on target',100,2,2),
(218550,74965,'Cannot be modified except by direct means',100,2,3),
(218551,10074965,'When Equipped:',100,0,0),
(218552,10074965,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218553,10074965,'Inflicts 220 - 330 magic damage on target',100,2,2),
(218554,10074965,'Cannot be modified except by direct means',100,2,3),
(218555,46000,'Applies Catch Drake when Activated.',100,0,0),
(218556,46000,'Catch a drake and tie a string around it!',100,1,1),
(218557,10046000,'Applies Catch Drake when Activated.',100,0,0),
(218558,10046000,'Catch a drake and tie a string around it!',100,1,1),
(218559,49143,'Applies Wisp Bait when Activated.',100,0,0),
(218560,10049143,'Applies Wisp Bait when Activated.',100,0,0),
(218561,159791,'Applies Lambent Imbued when Equipped.',100,0,0),
(218562,159791,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(218563,159791,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(218564,159791,'Cannot be modified except by direct means',100,2,3),
(218565,10159791,'Applies Lambent Imbued when Equipped.',100,0,0),
(218566,10159791,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(218567,10159791,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(218568,10159791,'Cannot be modified except by direct means',100,2,3),
(218569,106478,'Decreases STR and AGI of target by 19.8',100,1,0),
(218570,10106478,'Decreases STR and AGI of target by 19.8',100,1,0),
(218571,47881,'Applies Place Exploding Barrel when Activated.',100,0,0),
(218572,47881,'This effect cannot be cast during combat',100,1,1),
(218573,10047881,'Applies Place Exploding Barrel when Activated.',100,0,0),
(218574,10047881,'This effect cannot be cast during combat',100,1,1),
(218575,113637,'Interrupts target encounter',100,1,0),
(218576,113637,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 35.1',100,1,1),
(218577,10113637,'Interrupts target encounter',100,1,0),
(218578,10113637,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 35.1',100,1,1),
(218579,81384,'When Equipped:',100,0,0),
(218580,81384,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218581,81384,'Inflicts 109 - 202 magic damage on target',100,2,2),
(218582,81384,'Cannot be modified except by direct means',100,2,3),
(218583,10081384,'When Equipped:',100,0,0),
(218584,10081384,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218585,10081384,'Inflicts 142 - 263 magic damage on target',100,2,2),
(218586,10081384,'Cannot be modified except by direct means',100,2,3),
(218587,81483,'When Equipped:',100,0,0),
(218588,81483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218589,81483,'Inflicts 121 - 225 magic damage on target',100,2,2),
(218590,81483,'Cannot be modified except by direct means',100,2,3),
(218591,10081483,'When Equipped:',100,0,0),
(218592,10081483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218593,10081483,'Inflicts 157 - 292 magic damage on target',100,2,2),
(218594,10081483,'Cannot be modified except by direct means',100,2,3),
(218595,106508,'Decreases STR and AGI of target by 145.2',100,1,0),
(218596,10106508,'Decreases STR and AGI of target by 145.2',100,1,0),
(218597,36098,'Increases STA and STR of target by 5.9',100,0,0),
(218598,36098,'Gives target an extra 1.0% mitigation to their worn armor',100,0,1),
(218599,36098,'Target will Dodge 3.0% of incoming attacks',100,0,2),
(218600,36098,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,3),
(218601,119634,'Inflicts 32 - 54 crushing damage on target',100,1,0),
(218602,119634,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(218603,119634,'Stuns target',100,2,2),
(218604,119634,'Throws target back',100,2,3),
(218605,119634,'Blurs vision of target',100,2,4),
(218606,119634,'Does not affect Epic targets',100,2,5),
(218607,10119634,'Inflicts 42 - 70 crushing damage on target',100,1,0),
(218608,10119634,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(218609,10119634,'Stuns target',100,2,2),
(218610,10119634,'Blurs vision of target',100,2,3),
(218611,10119634,'Throws target back',100,2,4),
(218612,10119634,'Does not affect Epic targets',100,2,5),
(218613,102877,'Heals caster for 71',100,1,0),
(218614,102877,'Inflicts 166 disease damage on targets in Area of Effect',100,1,1),
(218615,10102877,'Heals caster for 46',100,1,0),
(218616,10102877,'Inflicts 216 disease damage on targets in Area of Effect',100,1,1),
(218617,101532,'Increases WIS of target by 122.8',100,1,0),
(218618,101532,'Increases Max Health of target by 1,092.6',100,1,1),
(218619,101532,'Increases Mitigation of target vs elemental, noxious and arcane damage by 334',100,1,2),
(218620,10101532,'Increases WIS of target by 122.8',100,1,0),
(218621,10101532,'Increases Max Health of target by 1,092.6',100,1,1),
(218622,10101532,'Increases Mitigation of target vs elemental, noxious and arcane damage by 334',100,1,2),
(218623,109711,'Inflicts 48 - 81 cold damage on target',100,1,0),
(218624,109711,'If weapon equipped in Ranged',100,1,1),
(218625,10109711,'Inflicts 41 - 69 cold damage on target',100,1,0),
(218626,10109711,'If weapon equipped in Ranged',100,1,1),
(218627,37621,'Increases WIS of target by 1.5',100,0,0),
(218628,37621,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(218629,120202,'Decreases STR and INT of target by 54.3',100,1,0),
(218630,120202,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(218631,120202,'Grants a total of 1 trigger of the spell.',100,2,2),
(218632,10120202,'Decreases STR and INT of target by 54.3',100,1,0),
(218633,10120202,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(218634,10120202,'Grants a total of 1 trigger of the spell.',100,2,2),
(218635,77424,'Applies Fire Ball when Activated.',100,0,0),
(218636,77424,'Inflicts 341 - 568 heat damage on target',100,1,1),
(218637,77424,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(218638,10077424,'Applies Fire Ball when Activated.',100,0,0),
(218639,10077424,'Inflicts 443 - 739 heat damage on target',100,1,1),
(218640,10077424,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(218641,102058,'Inflicts 350 - 584 melee damage on targets in area',100,1,0),
(218642,102058,'Interrupts targets in Area of Effect',100,1,1),
(218643,10102058,'Inflicts 456 - 760 melee damage on targets in area',100,1,0),
(218644,10102058,'Interrupts targets in Area of Effect',100,1,1),
(218645,80647,'When Equipped:',100,0,0),
(218646,80647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218647,80647,'Inflicts 83 - 154 magic damage on target',100,2,2),
(218648,80647,'Cannot be modified except by direct means',100,2,3),
(218649,10080647,'When Equipped:',100,0,0),
(218650,10080647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218651,10080647,'Inflicts 108 - 200 magic damage on target',100,2,2),
(218652,10080647,'Cannot be modified except by direct means',100,2,3),
(218653,110561,'Decreases Attack Speed of target by 11.0',100,1,0),
(218654,110561,'Decreases Crushing, Slashing and Piercing of target by 1.5',100,1,1),
(218655,10110561,'Decreases Attack Speed of target by 11.0',100,1,0),
(218656,10110561,'Decreases Crushing, Slashing and Piercing of target by 1.5',100,1,1),
(218657,72191,'When Equipped:',100,0,0),
(218658,72191,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218659,72191,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(218660,72191,'Cannot be modified except by direct means',100,2,3),
(218661,10072191,'When Equipped:',100,0,0),
(218662,10072191,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218663,10072191,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(218664,10072191,'Cannot be modified except by direct means',100,2,3),
(218665,120229,'Roots target encounter',100,1,0),
(218666,120229,'15% chance to dispel when target takes damage',100,1,1),
(218667,120229,'Does not affect Epic targets',100,1,2),
(218668,120229,'Resistibility increases against targets higher than level 97.',100,1,3),
(218669,10120229,'Roots target encounter',100,1,0),
(218670,10120229,'15% chance to dispel when target takes damage',100,1,1),
(218671,10120229,'Does not affect Epic targets',100,1,2),
(218672,10120229,'Resistibility increases against targets higher than level 97.',100,1,3),
(218673,115908,'Inflicts 83 - 101 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(218674,10115908,'Inflicts 140 - 171 disease damage on target encounter',100,1,0),
(218675,10115908,'Inflicts 108 - 132 disease damage on target encounter every 3 seconds',100,1,1),
(218676,108753,'Summons a pet fiery magician',100,1,0),
(218677,10108753,'Summons a pet fiery magician',100,1,0),
(218678,82842,'When Equipped:',100,0,0),
(218679,82842,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218680,82842,'Inflicts 315 - 585 magic damage on target',100,2,2),
(218681,82842,'Cannot be modified except by direct means',100,2,3),
(218682,10082842,'When Equipped:',100,0,0),
(218683,10082842,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218684,10082842,'Inflicts 409 - 760 magic damage on target',100,2,2),
(218685,10082842,'Cannot be modified except by direct means',100,2,3),
(218686,141858,'When Equipped:',100,0,0),
(218687,141858,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218688,141858,'Increases WIS of caster by 14.8',100,2,2),
(218689,141858,'Increases Ministration, Ordination and Focus of caster by 8.3',100,2,3),
(218690,141858,'Cannot be modified except by direct means',100,2,4),
(218691,10141858,'When Equipped:',100,0,0),
(218692,10141858,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218693,10141858,'Increases WIS of caster by 14.8',100,2,2),
(218694,10141858,'Increases Ministration, Ordination and Focus of caster by 8.3',100,2,3),
(218695,10141858,'Cannot be modified except by direct means',100,2,4),
(218696,114208,'Inflicts 604 - 1007 melee damage on target',100,1,0),
(218697,114208,'Decreases Slashing, Crushing and Piercing of target by 14.3',100,1,1),
(218698,10114208,'Inflicts 785 - 1309 melee damage on target',100,1,0),
(218699,10114208,'Decreases Slashing, Crushing and Piercing of target by 14.3',100,1,1),
(218700,109740,'Inflicts 630 - 1050 cold damage on target',100,1,0),
(218701,109740,'If weapon equipped in Ranged',100,1,1),
(218702,10109740,'Inflicts 535 - 892 cold damage on target',100,1,0),
(218703,10109740,'If weapon equipped in Ranged',100,1,1),
(218704,119950,'Inflicts 297 - 495 melee damage on target',100,1,0),
(218705,119950,'Stifles target',100,1,1),
(218706,119950,'If Target is not Epic',100,2,2),
(218707,119950,'Resistibility increases against targets higher than level 99.',100,1,3),
(218708,10119950,'Inflicts 386 - 644 melee damage on target',100,1,0),
(218709,10119950,'Stifles target',100,1,1),
(218710,10119950,'If Target is not Epic',100,2,2),
(218711,10119950,'Resistibility increases against targets higher than level 99.',100,1,3),
(218712,80723,'When Equipped:',100,0,0),
(218713,80723,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218714,80723,'Inflicts 75 - 138 magic damage on target',100,2,2),
(218715,80723,'Cannot be modified except by direct means',100,2,3),
(218716,10080723,'When Equipped:',100,0,0),
(218717,10080723,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218718,10080723,'Inflicts 97 - 180 magic damage on target',100,2,2),
(218719,10080723,'Cannot be modified except by direct means',100,2,3),
(218720,113075,'Dazes target',100,1,0),
(218721,113075,'If Target is not Epic',100,2,1),
(218722,113075,'Applies Scream on termination.',100,1,2),
(218723,113075,'Inflicts 476 - 793 disease damage on target',100,2,3),
(218724,113075,'Resistibility increases against targets higher than level 103.',100,1,4),
(218725,10113075,'Dazes target',100,1,0),
(218726,10113075,'If Target is not Epic',100,2,1),
(218727,10113075,'Applies Scream on termination.',100,1,2),
(218728,10113075,'Inflicts 618 - 1031 disease damage on target',100,2,3),
(218729,10113075,'Resistibility increases against targets higher than level 103.',100,1,4),
(218730,86241,'When Equipped:',100,0,0),
(218731,86241,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(218732,86241,'Wards caster against 720 points of all damage',100,2,2),
(218733,86241,'Cannot be modified except by direct means',100,2,3),
(218734,86241,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(218735,10086241,'When Equipped:',100,0,0),
(218736,10086241,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(218737,10086241,'Wards caster against 720 points of all damage',100,2,2),
(218738,10086241,'Cannot be modified except by direct means',100,2,3),
(218739,10086241,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(218740,80928,'When Equipped:',100,0,0),
(218741,80928,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218742,80928,'Inflicts 296 - 551 magic damage on target',100,2,2),
(218743,80928,'Cannot be modified except by direct means',100,2,3),
(218744,10080928,'When Equipped:',100,0,0),
(218745,10080928,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218746,10080928,'Inflicts 385 - 716 magic damage on target',100,2,2),
(218747,10080928,'Cannot be modified except by direct means',100,2,3),
(218748,100931,'Inflicts 74 - 91 mental damage on target',100,1,0),
(218749,100931,'Dazes target',100,1,1),
(218750,100931,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',100,1,2),
(218751,100931,'Resistibility increases against targets higher than level 40.',100,1,3),
(218752,10100931,'Inflicts 97 - 118 mental damage on target',100,1,0),
(218753,10100931,'Dazes target',100,1,1),
(218754,10100931,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(218755,10100931,'Resistibility increases against targets higher than level 40.',100,1,3),
(218756,119581,'Increases power of caster by 27 instantly and every 4 seconds',100,1,0),
(218757,10119581,'Increases power of caster by 27 instantly and every 4 seconds',100,1,0),
(218758,112796,'Inflicts 388 - 647 slashing damage on target',100,1,0),
(218759,112796,'Stifles target',100,1,1),
(218760,112796,'If Target is not Epic',100,2,2),
(218761,112796,'You must be in stealth.',100,1,3),
(218762,112796,'Resistibility increases against targets higher than level 63.',100,1,4),
(218763,10112796,'Inflicts 504 - 841 slashing damage on target',100,1,0),
(218764,10112796,'Stifles target',100,1,1),
(218765,10112796,'If Target is not Epic',100,2,2),
(218766,10112796,'You must be in stealth.',100,1,3),
(218767,10112796,'Resistibility increases against targets higher than level 63.',100,1,4),
(218768,122800,'Heals target for 1208',100,1,0),
(218769,10122800,'Heals target for 942',100,1,0),
(218770,115194,'Heals target for 955 - 1167',100,1,0),
(218771,10115194,'Heals target for 1293 - 1580',100,1,0),
(218772,72268,'When Equipped:',100,0,0),
(218773,72268,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218774,72268,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(218775,72268,'Cannot be modified except by direct means',100,2,3),
(218776,10072268,'When Equipped:',100,0,0),
(218777,10072268,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218778,10072268,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(218779,10072268,'Cannot be modified except by direct means',100,2,3),
(218780,116718,'Inflicts 335 - 558 melee damage on target',100,1,0),
(218781,10116718,'Inflicts 435 - 726 melee damage on target',100,1,0),
(218782,86258,'When Equipped:',100,0,0),
(218783,86258,'On a combat hit this spell may cast Back Break on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218784,86258,'Inflicts 518 piercing damage on target',100,2,2),
(218785,86258,'Cannot be modified except by direct means',100,2,3),
(218786,10086258,'When Equipped:',100,0,0),
(218787,10086258,'On a combat hit this spell may cast Back Break on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218788,10086258,'Inflicts 674 piercing damage on target',100,2,2),
(218789,10086258,'Cannot be modified except by direct means',100,2,3),
(218790,71439,'When Equipped:',100,0,0),
(218791,71439,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218792,71439,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(218793,71439,'Cannot be modified except by direct means',100,2,3),
(218794,10071439,'When Equipped:',100,0,0),
(218795,10071439,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218796,10071439,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(218797,10071439,'Cannot be modified except by direct means',100,2,3),
(218798,24067,'Adds Chaos Form (Warlock) to your Dungeon Maker toolbox',100,0,0),
(218799,10024067,'Adds Chaos Form (Warlock) to your Dungeon Maker toolbox',100,0,0),
(218800,89293,'When Equipped:',100,0,0),
(218801,89293,'On a melee hit this spell may cast Tranquil Strike on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218802,89293,'Inflicts 364 - 676 magic damage on target',100,2,2),
(218803,89293,'Heals caster for 128 - 238',100,2,3),
(218804,89293,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,4),
(218805,89293,'Cannot be modified except by direct means',100,2,5),
(218806,89293,'Caster will Dodge 5.0% of incoming attacks',100,1,6),
(218807,10089293,'When Equipped:',100,0,0),
(218808,10089293,'On a melee hit this spell may cast Tranquil Strike on target of attack.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(218809,10089293,'Inflicts 473 - 879 magic damage on target',100,2,2),
(218810,10089293,'Heals caster for 83 - 155',100,2,3),
(218811,10089293,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,4),
(218812,10089293,'Cannot be modified except by direct means',100,2,5),
(218813,10089293,'Caster will Dodge 5.0% of incoming attacks',100,1,6),
(218814,46367,'Applies Run So Far Away when Activated.  Lasts for 30.0 seconds.',100,0,0),
(218815,46367,'Increases speed of caster by 10.0%',100,1,1),
(218816,10046367,'Applies Run So Far Away when Activated.  Lasts for 30.0 seconds.',100,0,0),
(218817,10046367,'Increases speed of caster by 10.0%',100,1,1),
(218818,27085,'When Equipped:',100,0,0),
(218819,27085,'Increases all mental damage by up to 5.',100,1,1),
(218820,10027085,'When Equipped:',100,0,0),
(218821,10027085,'Increases all mental damage by up to 5.',100,1,1),
(218822,112979,'Reduces physical damage done to caster by 5%',100,1,0),
(218823,112979,'Increases STA of caster by 25.1',100,1,1),
(218824,112979,'Adds 2.9% to base avoidance.',100,1,2),
(218825,112979,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(218826,112979,'Increases Defense and Aggression of caster by 4.6',100,1,4),
(218827,112979,'Increases Mitigation of caster vs arcane damage by 328',100,1,5),
(218828,112979,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(218829,10112979,'Reduces physical damage done to caster by 5%',100,1,0),
(218830,10112979,'Increases STA of caster by 25.1',100,1,1),
(218831,10112979,'Adds 2.9% to base avoidance.',100,1,2),
(218832,10112979,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(218833,10112979,'Increases Defense and Aggression of caster by 4.6',100,1,4),
(218834,10112979,'Increases Mitigation of caster vs arcane damage by 328',100,1,5),
(218835,10112979,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(218836,124408,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(218837,124408,'Inflicts 166 - 277 melee damage on target',100,2,1),
(218838,124408,'Grants a total of 3 triggers of the spell.',100,2,2),
(218839,10124408,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(218840,10124408,'Inflicts 216 - 360 melee damage on target',100,2,1),
(218841,10124408,'Grants a total of 3 triggers of the spell.',100,2,2),
(218842,122964,'Inflicts 226 - 305 mental damage on target',100,1,0),
(218843,10122964,'Inflicts 293 - 397 mental damage on target',100,1,0),
(218844,191632,'When Equipped:',100,0,0),
(218845,191632,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(218846,191632,'Heals group members (AE) for 875',100,2,2),
(218847,191632,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(218848,191632,'Must not be engaged in pvp combat',100,2,4),
(218849,191632,'Cannot be modified except by direct means',100,2,5),
(218850,191632,'Must not be engaged in pvp combat',100,1,6),
(218851,10191632,'When Equipped:',100,0,0),
(218852,10191632,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(218853,10191632,'Heals group members (AE) for 1024',100,2,2),
(218854,10191632,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(218855,10191632,'Must not be engaged in pvp combat',100,2,4),
(218856,10191632,'Cannot be modified except by direct means',100,2,5),
(218857,10191632,'Must not be engaged in pvp combat',100,1,6),
(218858,124625,'Heals group members (AE) for 359 - 439',100,1,0),
(218859,124625,'Heals group members (AE) for 61 - 74 every second',100,1,1),
(218860,10124625,'Heals group members (AE) for 525 - 642',100,1,0),
(218861,10124625,'Heals group members (AE) for 66 - 80 every second',100,1,1),
(218862,106662,'Heals caster for 33.3 - 40.8% of max health',100,1,0),
(218863,106662,'This effect cannot be critically applied.',100,2,1),
(218864,106662,'Increases Max Health of caster by 131.3',100,1,2),
(218865,106662,'The healing of this spell cannot be modified except by direct means',100,1,3),
(218866,10106662,'Heals caster for 10.3 - 12.5% of max health',100,1,0),
(218867,10106662,'This effect cannot be critically applied.',100,2,1),
(218868,10106662,'Increases Max Health of caster by 131.3',100,1,2),
(218869,10106662,'The healing of this spell cannot be modified except by direct means',100,1,3),
(218870,35291,'Increases STR of target by 1.5',100,0,0),
(218871,35291,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(218872,169022,'When Equipped:',100,0,0),
(218873,169022,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(218874,169022,'On a healing spell cast this spell may cast Resolute Meditation IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(218875,169022,'Increases Power Regeneration of caster by 15.0',100,2,3),
(218876,169022,'Increases Max Health of caster by 2,988.0',100,2,4),
(218877,169022,'Reduces resistibility of all spells by 1%',100,2,5),
(218878,169022,'Must not be engaged in pvp combat',100,2,6),
(218879,169022,'Cannot be modified except by direct means',100,2,7),
(218880,169022,'On any combat or spell hit this spell may cast Resolute Meditation IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(218881,169022,'Increases Power Regeneration of caster by 15.0',100,2,9),
(218882,169022,'Increases Max Health of caster by 2,988.0',100,2,10),
(218883,169022,'Reduces resistibility of all spells by 1%',100,2,11),
(218884,169022,'Must not be engaged in pvp combat',100,2,12),
(218885,169022,'Cannot be modified except by direct means',100,2,13),
(218886,169022,'Cannot be modified except by direct means',100,1,14),
(218887,10169022,'When Equipped:',100,0,0),
(218888,10169022,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(218889,10169022,'On a healing spell cast this spell may cast Resolute Meditation IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(218890,10169022,'Increases Power Regeneration of caster by 15.0',100,2,3),
(218891,10169022,'Increases Max Health of caster by 2,988.0',100,2,4),
(218892,10169022,'Reduces resistibility of all spells by 1%',100,2,5),
(218893,10169022,'Must not be engaged in pvp combat',100,2,6),
(218894,10169022,'Cannot be modified except by direct means',100,2,7),
(218895,10169022,'On any combat or spell hit this spell may cast Resolute Meditation IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(218896,10169022,'Increases Power Regeneration of caster by 15.0',100,2,9),
(218897,10169022,'Increases Max Health of caster by 2,988.0',100,2,10),
(218898,10169022,'Reduces resistibility of all spells by 1%',100,2,11),
(218899,10169022,'Must not be engaged in pvp combat',100,2,12),
(218900,10169022,'Cannot be modified except by direct means',100,2,13),
(218901,10169022,'Cannot be modified except by direct means',100,1,14),
(218902,41631,'When Equipped:',100,0,0),
(218903,41631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218904,41631,'Inflicts 167 - 311 magic damage on target',100,2,2),
(218905,41631,'Cannot be modified except by direct means',100,2,3),
(218906,10041631,'When Equipped:',100,0,0),
(218907,10041631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218908,10041631,'Inflicts 217 - 404 magic damage on target',100,2,2),
(218909,10041631,'Cannot be modified except by direct means',100,2,3),
(218910,101007,'Increases INT of target by 106.1',100,1,0),
(218911,101007,'Increases Attack Speed of target by 38.4',100,1,1),
(218912,101007,'Decreases Defense and Parry of target by 36.3',100,1,2),
(218913,101007,'Increases Slashing, Piercing and Crushing of target by 23.0',100,1,3),
(218914,10101007,'Increases INT of target by 106.1',100,1,0),
(218915,10101007,'Increases Attack Speed of target by 38.4',100,1,1),
(218916,10101007,'Decreases Defense and Parry of target by 36.3',100,1,2),
(218917,10101007,'Increases Slashing, Piercing and Crushing of target by 23.0',100,1,3),
(218918,35260,'Increases Max Health of target by 3.9',100,0,0),
(218919,35260,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(218920,113453,'Increases INT of target by 38.0',100,1,0),
(218921,113453,'Increases Max Health of target by 266.4',100,1,1),
(218922,10113453,'Increases INT of target by 38.0',100,1,0),
(218923,10113453,'Increases Max Health of target by 266.4',100,1,1),
(218924,81280,'When Equipped:',100,0,0),
(218925,81280,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218926,81280,'Inflicts 314 - 583 magic damage on target',100,2,2),
(218927,81280,'Cannot be modified except by direct means',100,2,3),
(218928,10081280,'When Equipped:',100,0,0),
(218929,10081280,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(218930,10081280,'Inflicts 408 - 757 magic damage on target',100,2,2),
(218931,10081280,'Cannot be modified except by direct means',100,2,3),
(218932,26589,'When Equipped:',100,0,0),
(218933,26589,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,1),
(218934,26589,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(218935,10026589,'When Equipped:',100,0,0),
(218936,10026589,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,1),
(218937,10026589,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(218938,49121,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(218939,49121,'Increases Attack Speed of caster by 11.8',100,1,1),
(218940,10049121,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(218941,10049121,'Increases Attack Speed of caster by 11.8',100,1,1),
(218942,121294,'Inflicts 385 - 643 melee damage on targets in area',100,1,0),
(218943,121294,'Inflicts 117 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(218944,121294,'You must be in stealth or have Bloody Assault.',100,1,2),
(218945,10121294,'Inflicts 501 - 836 melee damage on targets in area',100,1,0),
(218946,10121294,'Inflicts 152 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(218947,10121294,'You must be in stealth or have Bloody Assault.',100,1,2),
(218948,25759,'When Equipped:',100,0,0),
(218949,25759,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(218950,25759,'Reduces the duration of Rising Dragon by 10 seconds and increases the base damage by 25%.',100,1,2),
(218951,10025759,'When Equipped:',100,0,0),
(218952,10025759,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(218953,10025759,'Reduces the duration of Rising Dragon by 10 seconds and increases the base damage by 25%.',100,1,2),
(218954,154129,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,0),
(218955,154129,'Increases the chance of all procs by 25 percent.',100,1,1),
(218956,154129,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(218957,10154129,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,0),
(218958,10154129,'Increases the chance of all procs by 25 percent.',100,1,1),
(218959,10154129,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(218960,35043,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(218961,35043,'This effect suspends during combat',100,0,1),
(218962,112389,'Increases Crushing, Piercing, Slashing and Ranged of target by 30.8',100,1,0),
(218963,112389,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(218964,112389,'Inflicts 348 - 425 piercing damage on target',100,2,2),
(218965,112389,'Inflicts 174 - 212 piercing damage on target every 3 seconds',100,2,3),
(218966,10112389,'Increases Crushing, Piercing, Slashing and Ranged of target by 30.8',100,1,0),
(218967,10112389,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(218968,10112389,'Inflicts 452 - 552 piercing damage on target',100,2,2),
(218969,10112389,'Inflicts 226 - 276 piercing damage on target every 3 seconds',100,2,3),
(218970,109777,'Inflicts 750 - 1393 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(218971,10109777,'Inflicts 975 - 1811 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(218972,178628,'When Equipped:',100,0,0),
(218973,178628,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(218974,178628,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(218975,178628,'Cannot be modified except by direct means',100,2,3),
(218976,10178628,'When Equipped:',100,0,0),
(218977,10178628,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(218978,10178628,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(218979,10178628,'Cannot be modified except by direct means',100,2,3),
(218980,47775,'Applies Call Rilissian War Rhino when Activated.',100,0,0),
(218981,47775,'Summons a mount to ride',100,1,1),
(218982,47775,'Increases your ground speed by 130%',100,2,2),
(218983,47775,'Increases Melee Weapon Range of caster by 1.0%',100,1,3),
(218984,10047775,'Applies Call Rilissian War Rhino when Activated.',100,0,0),
(218985,10047775,'Summons a mount to ride',100,1,1),
(218986,10047775,'Increases your ground speed by 130%',100,2,2),
(218987,10047775,'Increases Melee Weapon Range of caster by 1.0%',100,1,3),
(218988,104293,'Inflicts 192 - 320 melee damage on target',100,1,0),
(218989,104293,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(218990,104293,'Stuns target',100,2,2),
(218991,104293,'Blurs vision of target',100,2,3),
(218992,104293,'Throws target back',100,2,4),
(218993,104293,'Does not affect Epic targets',100,2,5),
(218994,10104293,'Inflicts 249 - 416 melee damage on target',100,1,0),
(218995,10104293,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(218996,10104293,'Stuns target',100,2,2),
(218997,10104293,'Throws target back',100,2,3),
(218998,10104293,'Blurs vision of target',100,2,4),
(218999,10104293,'Does not affect Epic targets',100,2,5),
(219000,114584,'Inflicts 630 - 1051 ranged damage on target',100,1,0),
(219001,114584,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(219002,114584,'Requires bow',100,1,2),
(219003,10114584,'Inflicts 665 - 1109 ranged damage on target',100,1,0),
(219004,10114584,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(219005,10114584,'Requires bow',100,1,2),
(219006,107827,'Causes 9% Threat to transfer to target when in combat',100,1,0),
(219007,107827,'Increases Hate Gain of target by 8.8%',100,1,1),
(219008,159828,'Applies Lambent Imbued when Equipped.',100,0,0),
(219009,159828,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(219010,159828,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(219011,159828,'Cannot be modified except by direct means',100,2,3),
(219012,10159828,'Applies Lambent Imbued when Equipped.',100,0,0),
(219013,10159828,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(219014,10159828,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(219015,10159828,'Cannot be modified except by direct means',100,2,3),
(219016,27112,'When Equipped:',100,0,0),
(219017,27112,'On a hostile spell cast this spell may cast Superior Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(219018,27112,'Inflicts 1080 magic damage on target',100,2,2),
(219019,27112,'Cannot be modified except by direct means',100,2,3),
(219020,27112,'On a combat hit this spell may cast Superior Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(219021,27112,'Inflicts 1080 magic damage on target',100,2,5),
(219022,27112,'Cannot be modified except by direct means',100,2,6),
(219023,10027112,'When Equipped:',100,0,0),
(219024,10027112,'On a hostile spell cast this spell may cast Superior Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(219025,10027112,'Inflicts 1193 magic damage on target',100,2,2),
(219026,10027112,'Cannot be modified except by direct means',100,2,3),
(219027,10027112,'On a combat hit this spell may cast Superior Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(219028,10027112,'Inflicts 1193 magic damage on target',100,2,5),
(219029,10027112,'Cannot be modified except by direct means',100,2,6),
(219030,105513,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 11.4',100,1,0),
(219031,10105513,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 11.4',100,1,0),
(219032,46891,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(219033,46891,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(219034,46891,'Inflicts 494 poison damage on target',100,2,2),
(219035,46891,'Heals caster for 271',100,2,3),
(219036,46891,'Cannot be modified except by direct means',100,2,4),
(219037,46891,'Grants a total of 100 triggers of the spell.',100,2,5),
(219038,10046891,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(219039,10046891,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(219040,10046891,'Inflicts 459 poison damage on target',100,2,2),
(219041,10046891,'Heals caster for 110',100,2,3),
(219042,10046891,'Cannot be modified except by direct means',100,2,4),
(219043,10046891,'Grants a total of 100 triggers of the spell.',100,2,5),
(219044,79811,'When Equipped:',100,0,0),
(219045,79811,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219046,79811,'Increases Attack Speed of caster by 11.9',100,2,2),
(219047,79811,'Cannot be modified except by direct means',100,2,3),
(219048,10079811,'When Equipped:',100,0,0),
(219049,10079811,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219050,10079811,'Increases Attack Speed of caster by 11.9',100,2,2),
(219051,10079811,'Cannot be modified except by direct means',100,2,3),
(219052,71530,'When Equipped:',100,0,0),
(219053,71530,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219054,71530,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(219055,71530,'Cannot be modified except by direct means',100,2,3),
(219056,10071530,'When Equipped:',100,0,0),
(219057,10071530,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219058,10071530,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(219059,10071530,'Cannot be modified except by direct means',100,2,3),
(219060,111422,'Decreases Attack Speed of caster by 11.3',100,1,0),
(219061,111422,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219062,111422,'Roots target',100,2,2),
(219063,111422,'5% chance to dispel when target takes damage',100,2,3),
(219064,111422,'5% chance to dispel when target receives hostile action',100,2,4),
(219065,111422,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(219066,111422,'Increases Mitigation of caster vs physical damage by 178',100,1,6),
(219067,10111422,'Decreases Attack Speed of caster by 11.3',100,1,0),
(219068,10111422,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219069,10111422,'Roots target',100,2,2),
(219070,10111422,'5% chance to dispel when target takes damage',100,2,3),
(219071,10111422,'5% chance to dispel when target receives hostile action',100,2,4),
(219072,10111422,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(219073,10111422,'Increases Mitigation of caster vs physical damage by 178',100,1,6),
(219074,141976,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219075,141976,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(219076,141976,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(219077,10141976,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219078,10141976,'Decreases Mitigation of target vs physical damage by 495',100,1,1),
(219079,10141976,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(219080,79720,'When Equipped:',100,0,0),
(219081,79720,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(219082,79720,'Inflicts 185 - 227 magic damage on target',100,2,2),
(219083,79720,'Cannot be modified except by direct means',100,2,3),
(219084,10079720,'When Equipped:',100,0,0),
(219085,10079720,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(219086,10079720,'Inflicts 241 - 295 magic damage on target',100,2,2),
(219087,10079720,'Cannot be modified except by direct means',100,2,3),
(219088,81294,'When Equipped:',100,0,0),
(219089,81294,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219090,81294,'Inflicts 302 - 560 magic damage on target',100,2,2),
(219091,81294,'Decreases Threat to target by 949 ',100,2,3),
(219092,81294,'Must be flanking or behind',100,3,4),
(219093,81294,'Increases Threat to target by 949 ',100,2,5),
(219094,81294,'Must be in front of',100,3,6),
(219095,81294,'Cannot be modified except by direct means',100,2,7),
(219096,10081294,'When Equipped:',100,0,0),
(219097,10081294,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219098,10081294,'Inflicts 392 - 728 magic damage on target',100,2,2),
(219099,10081294,'Cannot be modified except by direct means',100,2,3),
(219100,152384,'When Equipped:',100,0,0),
(219101,152384,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219102,152384,'Summons a limited pet to aid the caster',100,2,2),
(219103,152384,'Cannot be modified except by direct means',100,2,3),
(219104,152384,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(219105,152384,'Summons a limited pet to aid the caster',100,2,5),
(219106,152384,'Cannot be modified except by direct means',100,2,6),
(219107,10152384,'When Equipped:',100,0,0),
(219108,10152384,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219109,10152384,'Summons a limited pet to aid the caster',100,2,2),
(219110,10152384,'Cannot be modified except by direct means',100,2,3),
(219111,10152384,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(219112,10152384,'Summons a limited pet to aid the caster',100,2,5),
(219113,10152384,'Cannot be modified except by direct means',100,2,6),
(219114,116062,'Shapechanges caster into a lion',100,1,0),
(219115,116062,'Increases STA of caster by 101.6',100,1,1),
(219116,116062,'Adds 2.5% to base avoidance.',100,1,2),
(219117,116062,'Grants See Stealth to caster',100,1,3),
(219118,116062,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1588',100,1,4),
(219119,10116062,'Shapechanges caster into a lion',100,1,0),
(219120,10116062,'Increases STA of caster by 101.6',100,1,1),
(219121,10116062,'Adds 2.5% to base avoidance.',100,1,2),
(219122,10116062,'Grants See Stealth to caster',100,1,3),
(219123,10116062,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1588',100,1,4),
(219124,181443,'When Equipped:',100,0,0),
(219125,181443,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(219126,181443,'Inflicts 2648 piercing damage on target',100,2,2),
(219127,181443,'Cannot be modified except by direct means',100,2,3),
(219128,10181443,'When Equipped:',100,0,0),
(219129,10181443,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(219130,10181443,'Inflicts 1721 piercing damage on target',100,2,2),
(219131,10181443,'Cannot be modified except by direct means',100,2,3),
(219132,111004,'Heals target for 778 - 950 instantly and every 2 seconds',100,1,0),
(219133,111004,'Increases power of target by 60 - 74 instantly and every 2 seconds',100,1,1),
(219134,10111004,'Heals target for 505 - 618 instantly and every 2 seconds',100,1,0),
(219135,10111004,'Increases power of target by 60 - 74 instantly and every 2 seconds',100,1,1),
(219136,110560,'Decreases Attack Speed of target by 13.2',100,1,0),
(219137,110560,'Decreases Crushing, Slashing and Piercing of target by 1.8',100,1,1),
(219138,10110560,'Decreases Attack Speed of target by 13.2',100,1,0),
(219139,10110560,'Decreases Crushing, Slashing and Piercing of target by 1.8',100,1,1),
(219140,122663,'Decreases Defense of target by 10.8',100,1,0),
(219141,122663,'Decreases Mitigation of target vs physical damage by 180',100,1,1),
(219142,10122663,'Decreases Defense of target by 10.8',100,1,0),
(219143,10122663,'Decreases Mitigation of target vs physical damage by 180',100,1,1),
(219144,101402,'Inflicts 512 - 854 melee damage on target',100,1,0),
(219145,101402,'Returns the last arrow used to the ranger.',100,1,1),
(219146,10101402,'Inflicts 666 - 1111 melee damage on target',100,1,0),
(219147,10101402,'Returns the last arrow used to the ranger.',100,1,1),
(219148,107614,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(219149,107614,'Increases Mitigation of group members (AE) vs elemental damage by 140',100,1,1),
(219150,10107614,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(219151,10107614,'Increases Mitigation of group members (AE) vs elemental damage by 140',100,1,1),
(219152,108411,'Heals target for 954 - 1166',100,1,0),
(219153,10108411,'Heals target for 1141 - 1395',100,1,0),
(219154,47437,'Applies Orange Two Tone Warg with Brown Armor when Activated.',100,0,0),
(219155,47437,'Increases Piercing of caster by 7.0',100,1,1),
(219156,47437,'Summons a mount to ride',100,1,2),
(219157,47437,'Increases your ground speed by 130%',100,2,3),
(219158,47437,'Increases Disruption, Ranged, Slashing and Crushing of caster by 7.0',100,1,4),
(219159,47437,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(219160,10047437,'Applies Orange Two Tone Warg with Brown Armor when Activated.',100,0,0),
(219161,10047437,'Increases Piercing of caster by 7.0',100,1,1),
(219162,10047437,'Summons a mount to ride',100,1,2),
(219163,10047437,'Increases your ground speed by 130%',100,2,3),
(219164,10047437,'Increases Disruption, Ranged, Slashing and Crushing of caster by 7.0',100,1,4),
(219165,10047437,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(219166,115103,'Heals target for 1279 - 1563',100,1,0),
(219167,115103,'Heals target for 164 - 201 every second',100,1,1),
(219168,10115103,'Heals target for 2376 - 2903',100,1,0),
(219169,10115103,'Heals target for 178 - 218 every second',100,1,1),
(219170,47661,'Applies Leash when Activated.',100,0,0),
(219171,10047661,'Applies Leash when Activated.',100,0,0),
(219172,80517,'When Equipped:',100,0,0),
(219173,80517,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219174,80517,'Inflicts 493 - 915 magic damage on target',100,2,2),
(219175,80517,'Decreases Threat to target by 1,219 ',100,2,3),
(219176,80517,'Must be flanking or behind',100,3,4),
(219177,80517,'Increases Threat to target by 1,219 ',100,2,5),
(219178,80517,'Must be in front of',100,3,6),
(219179,80517,'Cannot be modified except by direct means',100,2,7),
(219180,10080517,'When Equipped:',100,0,0),
(219181,10080517,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219182,10080517,'Inflicts 640 - 1189 magic damage on target',100,2,2),
(219183,10080517,'Cannot be modified except by direct means',100,2,3),
(219184,123156,'Reduces physical damage done to caster by 5%',100,1,0),
(219185,123156,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(219186,123156,'Increases Aggression of caster by 6.3',100,1,2),
(219187,123156,'Increases Defense and Parry of caster by 12.6',100,1,3),
(219188,123156,'Increases Mitigation of caster vs elemental damage by 840',100,1,4),
(219189,123156,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(219190,10123156,'Reduces physical damage done to caster by 5%',100,1,0),
(219191,10123156,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(219192,10123156,'Increases Aggression of caster by 6.3',100,1,2),
(219193,10123156,'Increases Defense and Parry of caster by 12.6',100,1,3),
(219194,10123156,'Increases Mitigation of caster vs elemental damage by 840',100,1,4),
(219195,10123156,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(219196,41646,'When Equipped:',100,0,0),
(219197,41646,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219198,41646,'Inflicts 260 - 482 magic damage on target',100,2,2),
(219199,41646,'Decreases Threat to target by 801 ',100,2,3),
(219200,41646,'Must be flanking or behind',100,3,4),
(219201,41646,'Increases Threat to target by 801 ',100,2,5),
(219202,41646,'Must be in front of',100,3,6),
(219203,41646,'Cannot be modified except by direct means',100,2,7),
(219204,10041646,'When Equipped:',100,0,0),
(219205,10041646,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219206,10041646,'Inflicts 337 - 627 magic damage on target',100,2,2),
(219207,10041646,'Cannot be modified except by direct means',100,2,3),
(219208,72265,'When Equipped:',100,0,0),
(219209,72265,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219210,72265,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(219211,72265,'Cannot be modified except by direct means',100,2,3),
(219212,10072265,'When Equipped:',100,0,0),
(219213,10072265,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219214,10072265,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(219215,10072265,'Cannot be modified except by direct means',100,2,3),
(219216,135741,'When Equipped:',100,0,0),
(219217,135741,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(219218,135741,'When Equipped:',100,0,2),
(219219,135741,'On a healing spell cast this spell may cast Innoruuk''s Child on target of spell cast.  Triggers about 1.0 times per minute. ',100,1,3),
(219220,135741,'Summon 1 Innoruuk''s Child',100,2,4),
(219221,135741,'Cannot be modified except by direct means',100,2,5),
(219222,10135741,'When Equipped:',100,0,0),
(219223,10135741,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(219224,10135741,'When Equipped:',100,0,2),
(219225,10135741,'On a healing spell cast this spell may cast Innoruuk''s Child on target of spell cast.  Triggers about 1.0 times per minute. ',100,1,3),
(219226,10135741,'Summon 1 Innoruuk''s Child',100,2,4),
(219227,10135741,'Cannot be modified except by direct means',100,2,5),
(219228,177683,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(219229,177683,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(219230,177683,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(219231,177683,'Cannot be modified except by direct means',100,2,3),
(219232,10177683,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(219233,10177683,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(219234,10177683,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(219235,10177683,'Cannot be modified except by direct means',100,2,3),
(219236,46999,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(219237,46999,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219238,46999,'Inflicts 45 poison damage on target instantly and every 6 seconds',100,2,2),
(219239,46999,'Inflicts 153 poison damage on target',100,2,3),
(219240,46999,'Cannot be modified except by direct means',100,2,4),
(219241,46999,'Grants a total of 200 triggers of the spell.',100,2,5),
(219242,10046999,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(219243,10046999,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219244,10046999,'Inflicts 44 poison damage on target instantly and every 6 seconds',100,2,2),
(219245,10046999,'Inflicts 149 poison damage on target',100,2,3),
(219246,10046999,'Cannot be modified except by direct means',100,2,4),
(219247,10046999,'Grants a total of 200 triggers of the spell.',100,2,5),
(219248,170647,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219249,170647,'Decreases AGI, WIS, INT and STR of target by 55.9',100,1,1),
(219250,170647,'Decreases Max Health of target by 1.0%',100,1,2),
(219251,170647,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(219252,10170647,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219253,10170647,'Decreases AGI, WIS, INT and STR of target by 55.9',100,1,1),
(219254,10170647,'Decreases Max Health of target by 1.0%',100,1,2),
(219255,10170647,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(219256,107132,'Inflicts 293 - 358 divine damage on target',100,1,0),
(219257,107132,'Inflicts 293 - 358 divine damage on target',100,1,1),
(219258,107132,'If target is undead',100,2,2),
(219259,10107132,'Inflicts 380 - 465 divine damage on target',100,1,0),
(219260,10107132,'Inflicts 380 - 465 divine damage on target',100,1,1),
(219261,144593,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219262,144593,'Decreases AGI, WIS, INT and STR of target by 35.1',100,1,1),
(219263,144593,'Decreases Max Health of target by 1.0%',100,1,2),
(219264,144593,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(219265,10144593,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219266,10144593,'Decreases AGI, WIS, INT and STR of target by 35.1',100,1,1),
(219267,10144593,'Decreases Max Health of target by 1.0%',100,1,2),
(219268,10144593,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(219269,114240,'Inflicts 461 - 563 mental damage on target',100,1,0),
(219270,114240,'Stuns target',100,1,1),
(219271,114240,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(219272,114240,'Resistibility increases against targets higher than level 70.',100,1,3),
(219273,10114240,'Inflicts 599 - 732 mental damage on target',100,1,0),
(219274,10114240,'Requires not being affected by Mesmerize effects.',100,2,1),
(219275,10114240,'Stuns target',100,1,2),
(219276,10114240,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(219277,10114240,'Resistibility increases against targets higher than level 70.',100,1,4),
(219278,35898,'Increases Max Power of target by 3.3',100,0,0),
(219279,35898,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(219280,110845,'Inflicts 473 - 640 mental damage on target',100,1,0),
(219281,110845,'Interrupts target',100,1,1),
(219282,10110845,'Inflicts 615 - 832 mental damage on target',100,1,0),
(219283,10110845,'Interrupts target',100,1,1),
(219284,164576,'Applies Unstable Magics when Equipped.',100,0,0),
(219285,164576,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(219286,10164576,'Applies Unstable Magics when Equipped.',100,0,0),
(219287,10164576,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(219288,53138,'When Equipped:',100,0,0),
(219289,53138,'Increases caster''s chance to block by 5.0%',100,1,1),
(219290,10053138,'When Equipped:',100,0,0),
(219291,10053138,'Increases caster''s chance to block by 5.0%',100,1,1),
(219292,120707,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 13.5',100,1,0),
(219293,10120707,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 13.5',100,1,0),
(219294,116433,'Inflicts 6 disease damage on target instantly and every 4 seconds',100,1,0),
(219295,116433,'Inflicts 6 disease damage on target instantly and every 4 seconds',100,1,1),
(219296,116433,'If target is nightblood',100,2,2),
(219297,116433,'Inflicts 6 disease damage on target instantly and every 4 seconds',100,1,3),
(219298,116433,'If target is shadowed folk',100,2,4),
(219299,10116433,'Inflicts 8 disease damage on target instantly and every 4 seconds',100,1,0),
(219300,159719,'Applies Sanguine Imbued when Equipped.',100,0,0),
(219301,159719,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(219302,159719,'Inflicts 50 heat damage on target',100,2,2),
(219303,159719,'Cannot be modified except by direct means',100,2,3),
(219304,10159719,'Applies Sanguine Imbued when Equipped.',100,0,0),
(219305,10159719,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(219306,10159719,'Inflicts 65 heat damage on target',100,2,2),
(219307,10159719,'Cannot be modified except by direct means',100,2,3),
(219308,71987,'When Equipped:',100,0,0),
(219309,71987,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219310,71987,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(219311,71987,'Cannot be modified except by direct means',100,2,3),
(219312,10071987,'When Equipped:',100,0,0),
(219313,10071987,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219314,10071987,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(219315,10071987,'Cannot be modified except by direct means',100,2,3),
(219316,134127,'When Equipped:',100,0,0),
(219317,134127,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(219318,134127,'Stuns target',100,2,2),
(219319,134127,'Only affects targets level 95 and below',100,2,3),
(219320,134127,'Does not affect Epic targets',100,2,4),
(219321,134127,'Resistibility increases against targets higher than level 109.',100,2,5),
(219322,134127,'Cannot be modified except by direct means',100,2,6),
(219323,10134127,'When Equipped:',100,0,0),
(219324,10134127,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(219325,10134127,'Stuns target',100,2,2),
(219326,10134127,'Only affects targets level 95 and below',100,2,3),
(219327,10134127,'Does not affect Epic targets',100,2,4),
(219328,10134127,'Resistibility increases against targets higher than level 109.',100,2,5),
(219329,10134127,'Cannot be modified except by direct means',100,2,6),
(219330,87242,'When Equipped:',100,0,0),
(219331,87242,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219332,87242,'Inflicts 263 - 395 magic damage on target',100,2,2),
(219333,87242,'Cannot be modified except by direct means',100,2,3),
(219334,10087242,'When Equipped:',100,0,0),
(219335,10087242,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219336,10087242,'Inflicts 342 - 513 magic damage on target',100,2,2),
(219337,10087242,'Cannot be modified except by direct means',100,2,3),
(219338,117276,'Inflicts 565 - 943 melee damage on target',100,1,0),
(219339,117276,'Decreases Damage Per Second of target by 16.4',100,1,1),
(219340,117276,'Decreases Attack Speed of target by 11.0',100,1,2),
(219341,10117276,'Inflicts 735 - 1225 melee damage on target',100,1,0),
(219342,10117276,'Decreases Damage Per Second of target by 16.4',100,1,1),
(219343,10117276,'Decreases Attack Speed of target by 11.0',100,1,2),
(219344,26126,'When Equipped:',100,0,0),
(219345,26126,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(219346,26126,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(219347,10026126,'When Equipped:',100,0,0),
(219348,10026126,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(219349,10026126,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(219350,119838,'Dazes target',100,1,0),
(219351,119838,'Does not affect Epic targets',100,1,1),
(219352,119838,'Resistibility increases against targets higher than level 64.',100,1,2),
(219353,10119838,'Dazes target',100,1,0),
(219354,10119838,'Does not affect Epic targets',100,1,1),
(219355,10119838,'Resistibility increases against targets higher than level 64.',100,1,2),
(219356,110718,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(219357,110718,'Heals group members (AE) for 571',100,2,1),
(219358,10110718,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(219359,10110718,'Heals group members (AE) for 371',100,2,1),
(219360,107306,'Decreases WIS of target by 24.4',100,1,0),
(219361,107306,'Decreases Defense of target by 9.2',100,1,1),
(219362,10107306,'Decreases WIS of target by 24.4',100,1,0),
(219363,10107306,'Decreases Defense of target by 9.2',100,1,1),
(219364,75004,'When Equipped:',100,0,0),
(219365,75004,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219366,75004,'Inflicts 280 - 420 magic damage on target',100,2,2),
(219367,75004,'Cannot be modified except by direct means',100,2,3),
(219368,10075004,'When Equipped:',100,0,0),
(219369,10075004,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219370,10075004,'Inflicts 364 - 546 magic damage on target',100,2,2),
(219371,10075004,'Cannot be modified except by direct means',100,2,3),
(219372,134739,'When Equipped:',100,0,0),
(219373,134739,'Increases caster''s chance to block by 10.0%',100,1,1),
(219374,10134739,'When Equipped:',100,0,0),
(219375,10134739,'Increases caster''s chance to block by 10.0%',100,1,1),
(219376,114583,'Inflicts 450 - 750 ranged damage on target',100,1,0),
(219377,114583,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(219378,114583,'Requires bow',100,1,2),
(219379,10114583,'Inflicts 475 - 792 ranged damage on target',100,1,0),
(219380,10114583,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(219381,10114583,'Requires bow',100,1,2),
(219382,123751,'Decreases Mitigation of target vs noxious damage by 262',100,1,0),
(219383,123751,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(219384,123751,'Slows target by 37.7%',100,2,2),
(219385,123751,'5% chance to dispel when target receives hostile action',100,2,3),
(219386,123751,'5% chance to dispel when target takes damage',100,2,4),
(219387,10123751,'Decreases Mitigation of target vs noxious damage by 262',100,1,0),
(219388,10123751,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(219389,10123751,'Slows target by 37.7%',100,2,2),
(219390,10123751,'5% chance to dispel when target receives hostile action',100,2,3),
(219391,10123751,'5% chance to dispel when target takes damage',100,2,4),
(219392,135607,'When Equipped:',100,0,0),
(219393,135607,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(219394,135607,'Inflicts 1986 poison damage on target',100,2,2),
(219395,135607,'Cannot be modified except by direct means',100,2,3),
(219396,10135607,'When Equipped:',100,0,0),
(219397,10135607,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(219398,10135607,'Inflicts 1291 poison damage on target',100,2,2),
(219399,10135607,'Cannot be modified except by direct means',100,2,3),
(219400,46724,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(219401,46724,'Increases power of caster by 19 instantly and every 5 seconds',100,1,1),
(219402,10046724,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(219403,10046724,'Increases power of caster by 15 instantly and every 5 seconds',100,1,1),
(219404,47094,'Applies Most Wanted Poster when Activated.',100,0,0),
(219405,47094,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(219406,47094,'If between levels 20 - 29',100,1,2),
(219407,47094,'Cannot be modified except by direct means',100,1,3),
(219408,10047094,'Applies Most Wanted Poster when Activated.',100,0,0),
(219409,10047094,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(219410,10047094,'If between levels 20 - 29',100,1,2),
(219411,10047094,'Cannot be modified except by direct means',100,1,3),
(219412,124040,'Increases power of caster by 31',100,1,0),
(219413,10124040,'Increases power of caster by 31',100,1,0),
(219414,101193,'Inflicts 432 - 721 cold damage on target',100,1,0),
(219415,101193,'Inflicts 432 - 721 cold damage on target',100,1,1),
(219416,101193,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(219417,101193,'Slows target by 61.9%',100,2,3),
(219418,101193,'5% chance to dispel when target receives hostile action',100,2,4),
(219419,101193,'5% chance to dispel when target takes damage',100,2,5),
(219420,101193,'If weapon equipped in Ranged',100,1,6),
(219421,10101193,'Inflicts 367 - 613 cold damage on target',100,1,0),
(219422,10101193,'Inflicts 367 - 613 cold damage on target',100,1,1),
(219423,10101193,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(219424,10101193,'Slows target by 61.9%',100,2,3),
(219425,10101193,'5% chance to dispel when target receives hostile action',100,2,4),
(219426,10101193,'5% chance to dispel when target takes damage',100,2,5),
(219427,10101193,'If weapon equipped in Ranged',100,1,6),
(219428,101859,'Stuns target',100,1,0),
(219429,101859,'Does not affect Epic targets',100,1,1),
(219430,101859,'Resistibility increases against targets higher than level 82.',100,1,2),
(219431,10101859,'Stuns target',100,1,0),
(219432,10101859,'Does not affect Epic targets',100,1,1),
(219433,10101859,'Resistibility increases against targets higher than level 82.',100,1,2),
(219434,111109,'Heals target for 18.8 - 23.0% of max health',100,1,0),
(219435,111109,'This effect cannot be critically applied.',100,2,1),
(219436,111109,'Increases Mitigation of target vs physical damage by 257',100,1,2),
(219437,111109,'The healing of this spell cannot be modified except by direct means',100,1,3),
(219438,10111109,'Heals target for 7.1 - 8.6% of max health',100,1,0),
(219439,10111109,'This effect cannot be critically applied.',100,2,1),
(219440,10111109,'Increases Mitigation of target vs physical damage by 257',100,1,2),
(219441,10111109,'The healing of this spell cannot be modified except by direct means',100,1,3),
(219442,115399,'Inflicts 200 - 334 melee damage on target',100,1,0),
(219443,115399,'Decreases INT of target by 27.6',100,1,1),
(219444,115399,'You must be sneaking to use this ability.',100,1,2),
(219445,10115399,'Inflicts 260 - 434 melee damage on target',100,1,0),
(219446,10115399,'Decreases INT of target by 27.6',100,1,1),
(219447,10115399,'You must be sneaking to use this ability.',100,1,2),
(219448,35679,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(219449,123135,'Inflicts 409 disease damage on targets in Area of Effect',100,1,0),
(219450,123135,'Inflicts 279 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(219451,10123135,'Inflicts 531 disease damage on targets in Area of Effect',100,1,0),
(219452,10123135,'Inflicts 362 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(219453,124210,'Decreases Attack Speed of caster by 11.3',100,1,0),
(219454,124210,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219455,124210,'Slows targets in Area of Effect by 52.2%',100,2,2),
(219456,124210,'5% chance to dispel when target receives hostile action',100,2,3),
(219457,124210,'5% chance to dispel when target takes damage',100,2,4),
(219458,124210,'Increases Mitigation of caster vs physical damage by 237',100,1,5),
(219459,10124210,'Decreases Attack Speed of caster by 11.3',100,1,0),
(219460,10124210,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219461,10124210,'Slows targets in Area of Effect by 39.1%',100,2,2),
(219462,10124210,'5% chance to dispel when target receives hostile action',100,2,3),
(219463,10124210,'5% chance to dispel when target takes damage',100,2,4),
(219464,10124210,'Increases Mitigation of caster vs physical damage by 237',100,1,5),
(219465,124246,'Inflicts 46 - 78 mental damage on target',100,1,0),
(219466,124246,'Decreases power of target by 18 - 29',100,1,1),
(219467,10124246,'Inflicts 61 - 101 mental damage on target',100,1,0),
(219468,10124246,'Decreases power of target by 18 - 29',100,1,1),
(219469,159686,'When Equipped:',100,0,0),
(219470,159686,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(219471,159686,'Increases STA of caster by 19.2',100,2,2),
(219472,159686,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(219473,159686,'Cannot be modified except by direct means',100,2,4),
(219474,10159686,'When Equipped:',100,0,0),
(219475,10159686,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(219476,10159686,'Increases STA of caster by 19.2',100,2,2),
(219477,10159686,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(219478,10159686,'Cannot be modified except by direct means',100,2,4),
(219479,113431,'Increases STA of caster by 150.0',100,1,0),
(219480,113431,'Adds 3.4% to base avoidance.',100,1,1),
(219481,113431,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,2),
(219482,113431,'Increases Defense and Aggression of caster by 28.6',100,1,3),
(219483,113431,'Increases Mitigation of caster vs noxious damage by 1912',100,1,4),
(219484,113431,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(219485,113431,'Reduces physical damage done to caster by 5%',100,1,6),
(219486,10113431,'Increases STA of caster by 150.0',100,1,0),
(219487,10113431,'Adds 3.4% to base avoidance.',100,1,1),
(219488,10113431,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,2),
(219489,10113431,'Increases Defense and Aggression of caster by 28.6',100,1,3),
(219490,10113431,'Increases Mitigation of caster vs noxious damage by 1912',100,1,4),
(219491,10113431,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(219492,10113431,'Reduces physical damage done to caster by 5%',100,1,6),
(219493,107706,'Inflicts 361 - 602 heat damage on target',100,1,0),
(219494,107706,'You must be sneaking to use this ability.',100,1,1),
(219495,10107706,'Inflicts 470 - 783 heat damage on target',100,1,0),
(219496,10107706,'You must be sneaking to use this ability.',100,1,1),
(219497,102359,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(219498,102359,'Increases Damage Per Second of target by 17.0',100,2,1),
(219499,102359,'Increases Attack Speed of target by 17.0',100,2,2),
(219500,102359,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(219501,102359,'Increases Damage Per Second of target by 17.0',100,2,4),
(219502,102359,'Increases Attack Speed of target by 17.0',100,2,5),
(219503,102359,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(219504,102359,'Increases Damage Per Second of target by 17.0',100,2,7),
(219505,102359,'Increases Attack Speed of target by 17.0',100,2,8),
(219506,10102359,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(219507,10102359,'Increases Damage Per Second of target by 17.0',100,2,1),
(219508,10102359,'Increases Attack Speed of target by 17.0',100,2,2),
(219509,10102359,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(219510,10102359,'Increases Damage Per Second of target by 17.0',100,2,4),
(219511,10102359,'Increases Attack Speed of target by 17.0',100,2,5),
(219512,10102359,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(219513,10102359,'Increases Damage Per Second of target by 17.0',100,2,7),
(219514,10102359,'Increases Attack Speed of target by 17.0',100,2,8),
(219515,35632,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(219516,119302,'Roots target',100,1,0),
(219517,119302,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(219518,119302,'Slows target by 37.2%',100,2,2),
(219519,119302,'5% chance to dispel when target receives hostile action',100,2,3),
(219520,119302,'5% chance to dispel when target takes damage',100,2,4),
(219521,119302,'15% chance to dispel when target takes damage',100,1,5),
(219522,119302,'Does not affect Epic targets',100,1,6),
(219523,119302,'Resistibility increases against targets higher than level 48.',100,1,7),
(219524,10119302,'Roots target',100,1,0),
(219525,10119302,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(219526,10119302,'Slows target by 37.2%',100,2,2),
(219527,10119302,'5% chance to dispel when target receives hostile action',100,2,3),
(219528,10119302,'5% chance to dispel when target takes damage',100,2,4),
(219529,10119302,'15% chance to dispel when target takes damage',100,1,5),
(219530,10119302,'Does not affect Epic targets',100,1,6),
(219531,10119302,'Resistibility increases against targets higher than level 48.',100,1,7),
(219532,104809,'Increases caster''s chance to block by 10.0%',100,1,0),
(219533,104809,'Decreases Attack Speed of caster by 16.8',100,1,1),
(219534,104809,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(219535,104809,'Increases Parry of caster by 28.6',100,1,3),
(219536,104809,'Increases Defense of caster by 28.6',100,1,4),
(219537,10104809,'Increases caster''s chance to block by 10.0%',100,1,0),
(219538,10104809,'Decreases Attack Speed of caster by 16.8',100,1,1),
(219539,10104809,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(219540,10104809,'Increases Parry of caster by 28.6',100,1,3),
(219541,10104809,'Increases Defense of caster by 28.6',100,1,4),
(219542,113350,'Inflicts 805 - 984 divine damage on target encounter',100,1,0),
(219543,113350,'Interrupts target encounter',100,1,1),
(219544,10113350,'Inflicts 1047 - 1279 divine damage on target encounter',100,1,0),
(219545,10113350,'Interrupts target encounter',100,1,1),
(219546,87310,'When Equipped:',100,0,0),
(219547,87310,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219548,87310,'Inflicts 111 - 166 magic damage on target',100,2,2),
(219549,87310,'Cannot be modified except by direct means',100,2,3),
(219550,10087310,'When Equipped:',100,0,0),
(219551,10087310,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219552,10087310,'Inflicts 144 - 216 magic damage on target',100,2,2),
(219553,10087310,'Cannot be modified except by direct means',100,2,3),
(219554,117349,'Roots target',100,1,0),
(219555,117349,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(219556,117349,'Slows target by 53.5%',100,2,2),
(219557,117349,'5% chance to dispel when target receives hostile action',100,2,3),
(219558,117349,'5% chance to dispel when target takes damage',100,2,4),
(219559,117349,'15% chance to dispel when target takes damage',100,1,5),
(219560,117349,'Does not affect Epic targets',100,1,6),
(219561,117349,'Resistibility increases against targets higher than level 102.',100,1,7),
(219562,10117349,'Roots target',100,1,0),
(219563,10117349,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(219564,10117349,'Slows target by 53.5%',100,2,2),
(219565,10117349,'10% chance to dispel when target receives hostile action',100,2,3),
(219566,10117349,'10% chance to dispel when target takes damage',100,2,4),
(219567,10117349,'15% chance to dispel when target takes damage',100,1,5),
(219568,10117349,'Does not affect Epic targets',100,1,6),
(219569,10117349,'Resistibility increases against targets higher than level 102.',100,1,7),
(219570,84025,'Applies Lightning Shock when Activated.',100,0,0),
(219571,84025,'Inflicts 418 - 696 magic damage on target',100,1,1),
(219572,84025,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(219573,10084025,'Applies Lightning Shock when Activated.',100,0,0),
(219574,10084025,'Inflicts 543 - 905 magic damage on target',100,1,1),
(219575,10084025,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(219576,115037,'Heals target for 395 - 483',100,1,0),
(219577,10115037,'Heals target for 553 - 676',100,1,0),
(219578,105616,'Inflicts 24 disease damage on target instantly and every 6 seconds',100,1,0),
(219579,105616,'Inflicts 56 - 93 disease damage on target',100,1,1),
(219580,105616,'Inflicts 56 - 93 disease damage on target',100,1,2),
(219581,10105616,'Inflicts 32 disease damage on target instantly and every 6 seconds',100,1,0),
(219582,10105616,'Inflicts 73 - 122 disease damage on target',100,1,1),
(219583,10105616,'Inflicts 73 - 122 disease damage on target',100,1,2),
(219584,115521,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(219585,115521,'Increases Mitigation of group members (AE) vs noxious damage by 1512',100,1,1),
(219586,10115521,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(219587,10115521,'Increases Mitigation of group members (AE) vs noxious damage by 1512',100,1,1),
(219588,181777,'When Equipped:',100,0,0),
(219589,181777,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(219590,181777,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(219591,181777,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(219592,181777,'Must not be engaged in pvp combat',100,2,4),
(219593,181777,'Cannot be modified except by direct means',100,2,5),
(219594,181777,'Cannot be modified except by direct means',100,1,6),
(219595,10181777,'When Equipped:',100,0,0),
(219596,10181777,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(219597,10181777,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(219598,10181777,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(219599,10181777,'Must not be engaged in pvp combat',100,2,4),
(219600,10181777,'Cannot be modified except by direct means',100,2,5),
(219601,10181777,'Cannot be modified except by direct means',100,1,6),
(219602,158404,'When Equipped:',100,0,0),
(219603,158404,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(219604,158404,'Wards caster against 280 points of all damage',100,2,2),
(219605,158404,'Cannot be modified except by direct means',100,2,3),
(219606,10158404,'When Equipped:',100,0,0),
(219607,10158404,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(219608,10158404,'Wards caster against 280 points of all damage',100,2,2),
(219609,10158404,'Cannot be modified except by direct means',100,2,3),
(219610,114008,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(219611,114008,'Inflicts 181 - 303 melee damage on target',100,2,1),
(219612,114008,'Increases Threat to target by 662 ',100,2,2),
(219613,10114008,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(219614,10114008,'Inflicts 236 - 394 melee damage on target',100,2,1),
(219615,36150,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(219616,36150,'This effect suspends during combat',100,0,1),
(219617,117494,'Increases Attack Speed of target by 49.9',100,1,0),
(219618,10117494,'Increases Attack Speed of target by 49.9',100,1,0),
(219619,46507,'Applies Gnomish Net Launcher when Activated.  Lasts for 30.0 seconds.',100,0,0),
(219620,46507,'Roots target',65,1,1),
(219621,46507,'Roots caster',35,1,2),
(219622,46507,'15% chance to dispel when target takes damage',100,1,3),
(219623,46507,'Epic targets gain an immunity to Root effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,4),
(219624,46507,'Resistibility increases against targets higher than level 53.',100,1,5),
(219625,10046507,'Applies Gnomish Net Launcher when Activated.  Lasts for 30.0 seconds.',100,0,0),
(219626,10046507,'Roots target',65,1,1),
(219627,10046507,'Roots caster',35,1,2),
(219628,10046507,'15% chance to dispel when target takes damage',100,1,3),
(219629,10046507,'Epic targets gain an immunity to Root effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,4),
(219630,10046507,'Resistibility increases against targets higher than level 53.',100,1,5),
(219631,104261,'Increases Mitigation of group members (AE) vs physical damage by 747',100,1,0),
(219632,10104261,'Increases Mitigation of group members (AE) vs physical damage by 747',100,1,0),
(219633,120412,'Decreases Defense of caster by 27.0',100,1,0),
(219634,120412,'Increases Crushing and Ranged of caster by 57.7',100,1,1),
(219635,120412,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(219636,120412,'Inflicts 586 - 977 heat damage on target',100,2,3),
(219637,120412,'Increases Slashing and Piercing of caster by 57.7',100,1,4),
(219638,10120412,'Decreases Defense of caster by 27.0',100,1,0),
(219639,10120412,'Increases Crushing and Ranged of caster by 57.7',100,1,1),
(219640,10120412,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(219641,10120412,'Inflicts 762 - 1270 heat damage on target',100,2,3),
(219642,10120412,'Increases Slashing and Piercing of caster by 57.7',100,1,4),
(219643,112225,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(219644,112225,'Inflicts 32 disease damage on target',100,2,1),
(219645,112225,'Increases Threat to target by 48 ',100,2,2),
(219646,112225,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 913',100,1,3),
(219647,10112225,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(219648,10112225,'Inflicts 42 disease damage on target',100,2,1),
(219649,10112225,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 913',100,1,2),
(219650,103454,'Blurs vision of target encounter',100,1,0),
(219651,103454,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(219652,103454,'Blurs vision of target',100,2,2),
(219653,103454,'Stuns target',100,2,3),
(219654,103454,'Throws target back',100,2,4),
(219655,103454,'Does not affect Epic targets',100,2,5),
(219656,103454,'Interrupts target encounter',100,1,6),
(219657,10103454,'Interrupts target encounter',100,1,0),
(219658,10103454,'Blurs vision of target encounter',100,1,1),
(219659,10103454,'12% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(219660,10103454,'Stuns target',100,2,3),
(219661,10103454,'Throws target back',100,2,4),
(219662,10103454,'Blurs vision of target',100,2,5),
(219663,10103454,'Does not affect Epic targets',100,2,6),
(219664,25484,'When Equipped:',100,0,0),
(219665,25484,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(219666,25484,'Reduces the reuse time of Fanatical Healing VIII by 2.5 seconds.',100,1,2),
(219667,10025484,'When Equipped:',100,0,0),
(219668,10025484,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(219669,10025484,'Reduces the reuse time of Fanatical Healing VIII by 2.5 seconds.',100,1,2),
(219670,48398,'Applies Balanced Book Toss when Activated.  Lasts for 0.5 seconds.',100,0,0),
(219671,48398,'Throwing this book at an enemy would do little damage, but it might interrupt one of Roehn Theer''s agents.',100,1,1),
(219672,10048398,'Applies Balanced Book Toss when Activated.  Lasts for 0.5 seconds.',100,0,0),
(219673,10048398,'Throwing this book at an enemy would do little damage, but it might interrupt one of Roehn Theer''s agents.',100,1,1),
(219674,177583,'When Equipped:',100,0,0),
(219675,177583,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(219676,177583,'Increases STA of caster by 3.6',100,2,2),
(219677,177583,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(219678,177583,'Cannot be modified except by direct means',100,2,4),
(219679,10177583,'When Equipped:',100,0,0),
(219680,10177583,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(219681,10177583,'Increases STA of caster by 3.6',100,2,2),
(219682,10177583,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(219683,10177583,'Cannot be modified except by direct means',100,2,4),
(219684,122408,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(219685,122408,'Inflicts 22 - 27 piercing damage on target encounter',100,2,1),
(219686,10122408,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(219687,10122408,'Inflicts 29 - 35 piercing damage on target encounter',100,2,1),
(219688,188267,'When Equipped:',100,0,0),
(219689,188267,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(219690,188267,'Inflicts 37 divine damage on target',100,2,2),
(219691,188267,'Cannot be modified except by direct means',100,2,3),
(219692,10188267,'When Equipped:',100,0,0),
(219693,10188267,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(219694,10188267,'Inflicts 49 divine damage on target',100,2,2),
(219695,10188267,'Cannot be modified except by direct means',100,2,3),
(219696,113558,'Inflicts 1002 - 1670 disease damage on target',100,1,0),
(219697,10113558,'Inflicts 1303 - 2172 disease damage on target',100,1,0),
(219698,35757,'Increases AGI of target by 1.5',100,0,0),
(219699,35757,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(219700,141668,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219701,141668,'Decreases Attack Speed of target by 14.6',100,1,1),
(219702,141668,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(219703,10141668,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(219704,10141668,'Decreases Attack Speed of target by 14.6',100,1,1),
(219705,10141668,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(219706,159853,'Applies Lambent Imbued when Equipped.',100,0,0),
(219707,159853,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(219708,159853,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(219709,159853,'Cannot be modified except by direct means',100,2,3),
(219710,10159853,'Applies Lambent Imbued when Equipped.',100,0,0),
(219711,10159853,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(219712,10159853,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(219713,10159853,'Cannot be modified except by direct means',100,2,3),
(219714,45776,'Applies Completed Potion of Hate''s Identic when Activated.',100,0,0),
(219715,45776,'Shapechanges caster into a Zarual X''Tazindar',100,1,1),
(219716,10045776,'Applies Completed Potion of Hate''s Identic when Activated.',100,0,0),
(219717,10045776,'Shapechanges caster into a Zarual X''Tazindar',100,1,1),
(219718,115605,'Slows targets in Area of Effect by 75.0%',100,1,0),
(219719,115605,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',100,1,1),
(219720,115605,'Roots target',100,2,2),
(219721,115605,'If Target is not Epic',100,3,3),
(219722,115605,'5% chance to dispel when target takes damage',100,2,4),
(219723,115605,'Resistibility increases against targets higher than level 81.',100,2,5),
(219724,115605,'Does not affect Epic targets',100,1,6),
(219725,10115605,'Slows targets in Area of Effect by 75.0%',100,1,0),
(219726,10115605,'On a melee hit this spell will cast Dire Frost on target.  Lasts for 4.0 seconds.  ',100,1,1),
(219727,10115605,'Roots target',100,2,2),
(219728,10115605,'If Target is not Epic',100,3,3),
(219729,10115605,'5% chance to dispel when target takes damage',100,2,4),
(219730,10115605,'Resistibility increases against targets higher than level 81.',100,2,5),
(219731,10115605,'Does not affect Epic targets',100,1,6),
(219732,118676,'Inflicts 346 - 577 slashing damage on target',100,1,0),
(219733,10118676,'Inflicts 450 - 750 slashing damage on target',100,1,0),
(219734,106929,'Inflicts 165 - 307 poison damage on target',100,1,0),
(219735,10106929,'Inflicts 215 - 399 poison damage on target',100,1,0),
(219736,71500,'When Equipped:',100,0,0),
(219737,71500,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219738,71500,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(219739,71500,'Cannot be modified except by direct means',100,2,3),
(219740,10071500,'When Equipped:',100,0,0),
(219741,10071500,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(219742,10071500,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(219743,10071500,'Cannot be modified except by direct means',100,2,3),
(219744,106913,'Inflicts 14 - 26 poison damage on target',100,1,0),
(219745,10106913,'Inflicts 18 - 33 poison damage on target',100,1,0),
(219746,120195,'Applies Life Draw on termination.',100,1,0),
(219747,120195,'Inflicts 1215 - 2026 disease damage on target',100,2,1),
(219748,120195,'Heals caster for 13.9 - 16.9% of max health',100,2,2),
(219749,120195,'This effect cannot be critically applied.',100,3,3),
(219750,120195,'The healing of this spell cannot be modified except by direct means',100,2,4),
(219751,120195,'Inflicts 354 - 590 disease damage on target',100,1,5),
(219752,10120195,'Applies Life Draw on termination.',100,1,0),
(219753,10120195,'Inflicts 1580 - 2633 disease damage on target',100,2,1),
(219754,10120195,'Heals caster for 3.8 - 4.6% of max health',100,2,2),
(219755,10120195,'This effect cannot be critically applied.',100,3,3),
(219756,10120195,'The healing of this spell cannot be modified except by direct means',100,2,4),
(219757,10120195,'Inflicts 460 - 768 disease damage on target',100,1,5),
(219758,116996,'Inflicts 12 - 37 melee damage on target',100,1,0),
(219759,10116996,'Inflicts 16 - 49 melee damage on target',100,1,0),
(219760,144766,'When Equipped:',100,0,0),
(219761,144766,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(219762,144766,'Stifles target',100,2,2),
(219763,144766,'Only affects targets level 121 and below',100,2,3),
(219764,144766,'Does not affect Epic targets',100,2,4),
(219765,144766,'Resistibility increases against targets higher than level 111.',100,2,5),
(219766,144766,'Cannot be modified except by direct means',100,2,6),
(219767,10144766,'When Equipped:',100,0,0),
(219768,10144766,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(219769,10144766,'Stifles target',100,2,2),
(219770,10144766,'Only affects targets level 121 and below',100,2,3),
(219771,10144766,'Does not affect Epic targets',100,2,4),
(219772,10144766,'Resistibility increases against targets higher than level 111.',100,2,5),
(219773,10144766,'Cannot be modified except by direct means',100,2,6),
(219774,110064,'Summons a pet grim sorcerer',100,1,0),
(219775,10110064,'Summons a pet grim sorcerer',100,1,0),
(219776,105529,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 32.6',100,1,0),
(219777,10105529,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 32.6',100,1,0),
(219778,54385,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(219779,54385,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(219780,54385,'Inflicts 35 heat damage on target',100,2,2),
(219781,54385,'Cannot be modified except by direct means',100,2,3),
(219782,10054385,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(219783,10054385,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(219784,10054385,'Inflicts 46 heat damage on target',100,2,2),
(219785,10054385,'Cannot be modified except by direct means',100,2,3),
(219786,100888,'Makes target afraid',100,1,0),
(219787,100888,'30% chance to dispel when target takes damage',100,1,1),
(219788,100888,'Does not affect Epic targets',100,1,2),
(219789,100888,'Resistibility increases against targets higher than level 116.',100,1,3),
(219790,10100888,'Makes target afraid',100,1,0),
(219791,10100888,'30% chance to dispel when target takes damage',100,1,1),
(219792,10100888,'Does not affect Epic targets',100,1,2),
(219793,10100888,'Resistibility increases against targets higher than level 116.',100,1,3),
(219794,117769,'Inflicts 777 - 1296 divine damage on target',100,1,0),
(219795,10117769,'Inflicts 1011 - 1684 divine damage on target',100,1,0),
(219796,173387,'When Equipped:',100,0,0),
(219797,173387,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(219798,10173387,'When Equipped:',100,0,0),
(219799,10173387,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(219800,46984,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(219801,46984,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(219802,46984,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(219803,46984,'Cannot be modified except by direct means',100,2,3),
(219804,46984,'Grants a total of 80 triggers of the spell.',100,2,4),
(219805,10046984,'Applies retribution of the sky when Activated.  Lasts for 12 hours.',100,0,0),
(219806,10046984,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(219807,10046984,'Decreases Mitigation of target vs physical damage by 198',100,2,2),
(219808,10046984,'Cannot be modified except by direct means',100,2,3),
(219809,10046984,'Grants a total of 80 triggers of the spell.',100,2,4),
(219810,100234,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(219811,100234,'Increases power of caster by 20',100,2,1),
(219812,10100234,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(219813,10100234,'Increases power of caster by 20',100,2,1),
(219814,100806,'Wards target against 1062 points of all damage',100,1,0),
(219815,10100806,'Wards target against 1634 points of all damage',100,1,0),
(219816,152911,'When Equipped:',100,0,0),
(219817,152911,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(219818,152911,'Heals group members (AE) for 2304',100,2,2),
(219819,152911,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(219820,152911,'Must not be engaged in pvp combat',100,2,4),
(219821,152911,'Cannot be modified except by direct means',100,2,5),
(219822,152911,'Must not be engaged in pvp combat',100,1,6),
(219823,10152911,'When Equipped:',100,0,0),
(219824,10152911,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(219825,10152911,'Heals group members (AE) for 2695',100,2,2),
(219826,10152911,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(219827,10152911,'Must not be engaged in pvp combat',100,2,4),
(219828,10152911,'Cannot be modified except by direct means',100,2,5),
(219829,10152911,'Must not be engaged in pvp combat',100,1,6),
(219830,120379,'Decreases Defense of caster by 1.8',100,1,0),
(219831,120379,'Increases Crushing and Ranged of caster by 3.8',100,1,1),
(219832,120379,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(219833,120379,'Inflicts 20 - 33 heat damage on target',100,2,3),
(219834,120379,'Increases Slashing and Piercing of caster by 3.8',100,1,4),
(219835,10120379,'Decreases Defense of caster by 1.8',100,1,0),
(219836,10120379,'Increases Crushing and Ranged of caster by 3.8',100,1,1),
(219837,10120379,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(219838,10120379,'Inflicts 26 - 43 heat damage on target',100,2,3),
(219839,10120379,'Increases Slashing and Piercing of caster by 3.8',100,1,4),
(219840,82131,'When Equipped:',100,0,0),
(219841,82131,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219842,82131,'Inflicts 212 - 393 magic damage on target',100,2,2),
(219843,82131,'Decreases Threat to target by 641 ',100,2,3),
(219844,82131,'Must be flanking or behind',100,3,4),
(219845,82131,'Increases Threat to target by 641 ',100,2,5),
(219846,82131,'Must be in front of',100,3,6),
(219847,82131,'Cannot be modified except by direct means',100,2,7),
(219848,10082131,'When Equipped:',100,0,0),
(219849,10082131,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(219850,10082131,'Inflicts 275 - 511 magic damage on target',100,2,2),
(219851,10082131,'Cannot be modified except by direct means',100,2,3),
(219852,120868,'Wards target against 187 points of all damage',100,1,0),
(219853,10120868,'Wards target against 187 points of all damage',100,1,0),
(219854,117930,'Heals target for 17 - 21',100,1,0),
(219855,117930,'Increases Max Health of target by 2.5',100,1,1),
(219856,10117930,'Heals target for 19 - 24',100,1,0),
(219857,10117930,'Increases Max Health of target by 2.5',100,1,1),
(219858,101443,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(219859,101443,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(219860,10101443,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(219861,10101443,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(219862,24065,'Adds Boss: Cerberus (Warden) to your Dungeon Maker toolbox',100,0,0),
(219863,10024065,'Adds Boss: Cerberus (Warden) to your Dungeon Maker toolbox',100,0,0),
(219864,162277,'When Equipped:',100,0,0),
(219865,162277,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(219866,10162277,'When Equipped:',100,0,0),
(219867,10162277,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(219868,87216,'When Equipped:',100,0,0),
(219869,87216,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219870,87216,'Inflicts 76 - 114 magic damage on target',100,2,2),
(219871,87216,'Cannot be modified except by direct means',100,2,3),
(219872,10087216,'When Equipped:',100,0,0),
(219873,10087216,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219874,10087216,'Inflicts 98 - 148 magic damage on target',100,2,2),
(219875,10087216,'Cannot be modified except by direct means',100,2,3),
(219876,45714,'Applies Clouded Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(219877,45714,'Heals caster for 150',100,1,1),
(219878,45714,'Heals caster for 75 every 5 seconds',100,1,2),
(219879,45714,'Only affects targets level 50 and above',100,1,3),
(219880,10045714,'Applies Clouded Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(219881,10045714,'Heals caster for 97',100,1,1),
(219882,10045714,'Heals caster for 49 every 5 seconds',100,1,2),
(219883,10045714,'Only affects targets level 50 and above',100,1,3),
(219884,106606,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(219885,10106606,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(219886,24086,'Adds Chardok: Empty Di''Zok Shrine to your Dungeon Maker toolbox',100,0,0),
(219887,10024086,'Adds Chardok: Empty Di''Zok Shrine to your Dungeon Maker toolbox',100,0,0),
(219888,106623,'Inflicts 421 - 515 disease damage on target',100,1,0),
(219889,106623,'Heals caster for 5.9 - 7.3% of max health',100,1,1),
(219890,106623,'This effect cannot be critically applied.',100,2,2),
(219891,106623,'The healing of this spell cannot be modified except by direct means',100,1,3),
(219892,10106623,'Inflicts 547 - 669 disease damage on target',100,1,0),
(219893,10106623,'Heals caster for 2.0 - 2.4% of max health',100,1,1),
(219894,10106623,'This effect cannot be critically applied.',100,2,2),
(219895,10106623,'The healing of this spell cannot be modified except by direct means',100,1,3),
(219896,83945,'When Equipped:',100,0,0),
(219897,83945,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(219898,83945,'Reduces healing received by 15.00%',100,2,2),
(219899,83945,'Cannot be modified except by direct means',100,2,3),
(219900,83945,'This effect can only trigger once every 1 second.',100,2,4),
(219901,83945,'Must be engaged in pvp combat',100,1,5),
(219902,10083945,'When Equipped:',100,0,0),
(219903,10083945,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(219904,10083945,'Reduces healing received by 15.00%',100,2,2),
(219905,10083945,'Cannot be modified except by direct means',100,2,3),
(219906,10083945,'This effect can only trigger once every 1 second.',100,2,4),
(219907,10083945,'Must be engaged in pvp combat',100,1,5),
(219908,111452,'Decreases Attack Speed of caster by 16.9',100,1,0),
(219909,111452,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219910,111452,'Roots target',100,2,2),
(219911,111452,'5% chance to dispel when target takes damage',100,2,3),
(219912,111452,'5% chance to dispel when target receives hostile action',100,2,4),
(219913,111452,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(219914,111452,'Increases Mitigation of caster vs physical damage by 828',100,1,6),
(219915,10111452,'Decreases Attack Speed of caster by 16.9',100,1,0),
(219916,10111452,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(219917,10111452,'Roots target',100,2,2),
(219918,10111452,'5% chance to dispel when target takes damage',100,2,3),
(219919,10111452,'5% chance to dispel when target receives hostile action',100,2,4),
(219920,10111452,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(219921,10111452,'Increases Mitigation of caster vs physical damage by 828',100,1,6),
(219922,102673,'Inflicts 301 divine damage on target encounter',100,1,0),
(219923,10102673,'Inflicts 392 divine damage on target encounter',100,1,0),
(219924,80959,'When Equipped:',100,0,0),
(219925,80959,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219926,80959,'Inflicts 288 - 534 magic damage on target',100,2,2),
(219927,80959,'Cannot be modified except by direct means',100,2,3),
(219928,10080959,'When Equipped:',100,0,0),
(219929,10080959,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219930,10080959,'Inflicts 374 - 695 magic damage on target',100,2,2),
(219931,10080959,'Cannot be modified except by direct means',100,2,3),
(219932,138523,'When Equipped:',100,0,0),
(219933,138523,'On a damage spell hit this spell has a 25% chance to cast Debilitating Strike on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(219934,138523,'Decreases Damage Per Second of target by 6.0',100,2,2),
(219935,138523,'Cannot be modified except by direct means',100,2,3),
(219936,10138523,'When Equipped:',100,0,0),
(219937,10138523,'On a damage spell hit this spell has a 25% chance to cast Debilitating Strike on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(219938,10138523,'Decreases Damage Per Second of target by 6.0',100,2,2),
(219939,10138523,'Cannot be modified except by direct means',100,2,3),
(219940,137191,'When Equipped:',100,0,0),
(219941,137191,'Reduces maximum falling speed of caster',100,1,1),
(219942,10137191,'When Equipped:',100,0,0),
(219943,10137191,'Reduces maximum falling speed of caster',100,1,1),
(219944,81115,'When Equipped:',100,0,0),
(219945,81115,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219946,81115,'Inflicts 203 - 377 magic damage on target',100,2,2),
(219947,81115,'Cannot be modified except by direct means',100,2,3),
(219948,10081115,'When Equipped:',100,0,0),
(219949,10081115,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219950,10081115,'Inflicts 264 - 490 magic damage on target',100,2,2),
(219951,10081115,'Cannot be modified except by direct means',100,2,3),
(219952,112364,'Makes target afraid',100,1,0),
(219953,112364,'30% chance to dispel when target takes damage',100,1,1),
(219954,112364,'Does not affect Epic targets',100,1,2),
(219955,112364,'Resistibility increases against targets higher than level 59.',100,1,3),
(219956,10112364,'Makes target afraid',100,1,0),
(219957,10112364,'30% chance to dispel when target takes damage',100,1,1),
(219958,10112364,'Does not affect Epic targets',100,1,2),
(219959,10112364,'Resistibility increases against targets higher than level 59.',100,1,3),
(219960,81250,'When Equipped:',100,0,0),
(219961,81250,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219962,81250,'Inflicts 314 - 583 magic damage on target',100,2,2),
(219963,81250,'Cannot be modified except by direct means',100,2,3),
(219964,10081250,'When Equipped:',100,0,0),
(219965,10081250,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(219966,10081250,'Inflicts 408 - 757 magic damage on target',100,2,2),
(219967,10081250,'Cannot be modified except by direct means',100,2,3),
(219968,104381,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(219969,104381,'Inflicts 140 - 172 cold damage on target',100,2,1),
(219970,10104381,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(219971,10104381,'Inflicts 183 - 223 cold damage on target',100,2,1),
(219972,115877,'Increases power of caster by 39',100,1,0),
(219973,10115877,'Increases power of caster by 39',100,1,0),
(219974,47161,'Applies Elixir of Astuteness  when Activated.  Lasts for 15 minutes.',100,0,0),
(219975,47161,'Increases Max Power of caster by 97.5',100,1,1),
(219976,10047161,'Applies Elixir of Astuteness  when Activated.  Lasts for 15 minutes.',100,0,0),
(219977,10047161,'Increases Max Power of caster by 97.5',100,1,1),
(219978,106000,'Inflicts 18 - 22 divine damage on target instantly and every 3 seconds',100,1,0),
(219979,106000,'Decreases Defense of target by 2.7',100,1,1),
(219980,10106000,'Inflicts 16 - 19 divine damage on target instantly and every 3 seconds',100,1,0),
(219981,10106000,'Decreases Defense of target by 2.7',100,1,1),
(219982,164604,'Applies Unstable Magics when Equipped.',100,0,0),
(219983,164604,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(219984,10164604,'Applies Unstable Magics when Equipped.',100,0,0),
(219985,10164604,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(219986,173410,'When Equipped:',100,0,0),
(219987,173410,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(219988,173410,'Increases Potency of caster by 5.0%',100,2,2),
(219989,173410,'Cannot be modified except by direct means',100,2,3),
(219990,10173410,'When Equipped:',100,0,0),
(219991,10173410,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(219992,10173410,'Increases Potency of caster by 5.0%',100,2,2),
(219993,10173410,'Cannot be modified except by direct means',100,2,3),
(219994,175244,'Applies Escape of the Djinn Master when Activated.',100,0,0),
(219995,175244,'Teleports the caster''s group to the Shimmering Citadel',100,1,1),
(219996,175244,'The casting time of Escape of the Djinn Master is 30.0 seconds and the reuse time of the spell is 1 hour',100,1,2),
(219997,10175244,'Applies Escape of the Djinn Master when Activated.',100,0,0),
(219998,10175244,'Teleports the caster''s group to the Shimmering Citadel',100,1,1),
(219999,10175244,'The casting time of Escape of the Djinn Master is 30.0 seconds and the reuse time of the spell is 1 hour',100,1,2),
(220000,80673,'When Equipped:',100,0,0),
(220001,80673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220002,80673,'Inflicts 75 - 138 magic damage on target',100,2,2),
(220003,80673,'Cannot be modified except by direct means',100,2,3),
(220004,10080673,'When Equipped:',100,0,0),
(220005,10080673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220006,10080673,'Inflicts 97 - 180 magic damage on target',100,2,2),
(220007,10080673,'Cannot be modified except by direct means',100,2,3),
(220008,35163,'Increases STR of target by 1.5',100,0,0),
(220009,35163,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(220010,121066,'Increases STR and STA of group members (AE) by 34.0',100,1,0),
(220011,10121066,'Increases STR and STA of group members (AE) by 34.0',100,1,0),
(220012,47067,'Applies Gate: Steamfont when Activated.',100,0,0),
(220013,47067,'Teleports caster to a random zone location',100,1,1),
(220014,47067,'This effect cannot be cast during combat',100,1,2),
(220015,10047067,'Applies Gate: Steamfont when Activated.',100,0,0),
(220016,10047067,'Teleports caster to a random zone location',100,1,1),
(220017,10047067,'This effect cannot be cast during combat',100,1,2),
(220018,37032,'Increases Max Power of target by 3.3',100,0,0),
(220019,37032,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(220020,45662,'Applies Essence of the Treefolk  when Activated.',100,0,0),
(220021,45662,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(220022,10045662,'Applies Essence of the Treefolk  when Activated.',100,0,0),
(220023,10045662,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(220024,24389,'Adds Genie (Coercer) to your Dungeon Maker toolbox',100,0,0),
(220025,10024389,'Adds Genie (Coercer) to your Dungeon Maker toolbox',100,0,0),
(220026,124515,'Inflicts 7 - 12 melee damage on target',100,1,0),
(220027,124515,'If facing target',100,1,1),
(220028,10124515,'Inflicts 10 - 16 melee damage on target',100,1,0),
(220029,10124515,'If facing target',100,1,1),
(220030,87294,'When Equipped:',100,0,0),
(220031,87294,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220032,87294,'Inflicts 111 - 166 magic damage on target',100,2,2),
(220033,87294,'Cannot be modified except by direct means',100,2,3),
(220034,10087294,'When Equipped:',100,0,0),
(220035,10087294,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220036,10087294,'Inflicts 144 - 216 magic damage on target',100,2,2),
(220037,10087294,'Cannot be modified except by direct means',100,2,3),
(220038,122492,'Inflicts 480 - 800 mental damage on targets in Area of Effect',100,1,0),
(220039,10122492,'Inflicts 624 - 1040 mental damage on targets in Area of Effect',100,1,0),
(220040,26471,'When Equipped:',100,0,0),
(220041,26471,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(220042,26471,'Inflicts 266 disease damage on target',100,2,2),
(220043,26471,'Cancels up to 11.8% of target''s speed buffs',100,2,3),
(220044,26471,'Cannot be modified except by direct means',100,2,4),
(220045,10026471,'When Equipped:',100,0,0),
(220046,10026471,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(220047,10026471,'Inflicts 346 disease damage on target',100,2,2),
(220048,10026471,'Cancels up to 11.8% of target''s speed buffs',100,2,3),
(220049,10026471,'Cannot be modified except by direct means',100,2,4),
(220050,109057,'Increases Attack Speed of caster by 28.1',100,1,0),
(220051,109057,'Decreases Defense of caster by 23.0',100,1,1),
(220052,109057,'Increases Slashing, Piercing, Crushing and Ranged of caster by 32.8',100,1,2),
(220053,10109057,'Increases Attack Speed of caster by 28.1',100,1,0),
(220054,10109057,'Decreases Defense of caster by 23.0',100,1,1),
(220055,10109057,'Increases Slashing, Piercing, Crushing and Ranged of caster by 32.8',100,1,2),
(220056,182110,'When Equipped:',100,0,0),
(220057,182110,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(220058,182110,'Wards target against 80 points of all damage',100,2,2),
(220059,182110,'Cannot be modified except by direct means',100,2,3),
(220060,10182110,'When Equipped:',100,0,0),
(220061,10182110,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(220062,10182110,'Wards target against 80 points of all damage',100,2,2),
(220063,10182110,'Cannot be modified except by direct means',100,2,3),
(220064,118655,'Inflicts 105 - 176 slashing damage on target',100,1,0),
(220065,10118655,'Inflicts 137 - 228 slashing damage on target',100,1,0),
(220066,144292,'When Equipped:',100,0,0),
(220067,144292,'Increases the caster''s heals and wards by 5%.',100,1,1),
(220068,144292,'Must not be engaged in pvp combat',100,1,2),
(220069,10144292,'When Equipped:',100,0,0),
(220070,10144292,'Increases the caster''s heals and wards by 5%.',100,1,1),
(220071,10144292,'Must not be engaged in pvp combat',100,1,2),
(220072,24029,'Adds Battle Prowess (Multiple) to your Dungeon Maker toolbox',100,0,0),
(220073,10024029,'Adds Battle Prowess (Multiple) to your Dungeon Maker toolbox',100,0,0),
(220074,46950,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(220075,46950,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(220076,46950,'Inflicts 183 poison damage on target',100,2,2),
(220077,46950,'Inflicts 95 poison damage on target instantly and every 6 seconds',100,2,3),
(220078,46950,'Cannot be modified except by direct means',100,2,4),
(220079,46950,'Grants a total of 200 triggers of the spell.',100,2,5),
(220080,10046950,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(220081,10046950,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(220082,10046950,'Inflicts 92 poison damage on target instantly and every 6 seconds',100,2,2),
(220083,10046950,'Inflicts 179 poison damage on target',100,2,3),
(220084,10046950,'Cannot be modified except by direct means',100,2,4),
(220085,10046950,'Grants a total of 200 triggers of the spell.',100,2,5),
(220086,47175,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(220087,47175,'Increases STR and STA of caster by 12.0',100,1,1),
(220088,10047175,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(220089,10047175,'Increases STR and STA of caster by 12.0',100,1,1),
(220090,71954,'When Equipped:',100,0,0),
(220091,71954,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220092,71954,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(220093,71954,'Cannot be modified except by direct means',100,2,3),
(220094,10071954,'When Equipped:',100,0,0),
(220095,10071954,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220096,10071954,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(220097,10071954,'Cannot be modified except by direct means',100,2,3),
(220098,109411,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(220099,109411,'Inflicts 291 - 356 cold damage on target',100,2,1),
(220100,109411,'Slows target by 54.0%',100,2,2),
(220101,109411,'5% chance to dispel when target receives hostile action',100,2,3),
(220102,109411,'5% chance to dispel when target takes damage',100,2,4),
(220103,10109411,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(220104,10109411,'Inflicts 378 - 462 cold damage on target',100,2,1),
(220105,10109411,'Slows target by 54.0%',100,2,2),
(220106,10109411,'5% chance to dispel when target receives hostile action',100,2,3),
(220107,10109411,'5% chance to dispel when target takes damage',100,2,4),
(220108,46060,'Applies Elixir of Brilliance when Activated.  Lasts for 30 minutes.',100,0,0),
(220109,46060,'Increases INT and WIS of caster by 17.3',100,1,1),
(220110,10046060,'Applies Elixir of Brilliance when Activated.  Lasts for 30 minutes.',100,0,0),
(220111,10046060,'Increases INT and WIS of caster by 17.3',100,1,1),
(220112,72537,'When Equipped:',100,0,0),
(220113,72537,'On a combat hit this spell may cast Skewer on target of attack.  Lasts for 1.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220114,72537,'Inflicts 290 piercing damage on target',100,2,2),
(220115,72537,'Stuns target',100,2,3),
(220116,72537,'If Target is not Epic',100,3,4),
(220117,72537,'Cannot be modified except by direct means',100,2,5),
(220118,10072537,'When Equipped:',100,0,0),
(220119,10072537,'On a combat hit this spell may cast Skewer on target of attack.  Lasts for 1.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220120,10072537,'Inflicts 377 piercing damage on target',100,2,2),
(220121,10072537,'Stuns target',100,2,3),
(220122,10072537,'If Target is not Epic',100,3,4),
(220123,10072537,'Cannot be modified except by direct means',100,2,5),
(220124,80605,'When Equipped:',100,0,0),
(220125,80605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220126,80605,'Inflicts 75 - 138 magic damage on target',100,2,2),
(220127,80605,'Cannot be modified except by direct means',100,2,3),
(220128,10080605,'When Equipped:',100,0,0),
(220129,10080605,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220130,10080605,'Inflicts 97 - 180 magic damage on target',100,2,2),
(220131,10080605,'Cannot be modified except by direct means',100,2,3),
(220132,122603,'Inflicts 190 - 232 mental damage on target instantly and every 3 seconds',100,1,0),
(220133,122603,'Decreases Mitigation of target vs arcane damage by 1072',100,1,1),
(220134,10122603,'Inflicts 247 - 302 mental damage on target instantly and every 3 seconds',100,1,0),
(220135,10122603,'Decreases Mitigation of target vs arcane damage by 1072',100,1,1),
(220136,156904,'Applies Unstable Magics when Equipped.',100,0,0),
(220137,156904,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(220138,10156904,'Applies Unstable Magics when Equipped.',100,0,0),
(220139,10156904,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(220140,181469,'When Equipped:',100,0,0),
(220141,181469,'On a healing spell cast this spell may cast Lesser Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(220142,181469,'Heals group members (AE) for 580',100,2,2),
(220143,181469,'Heals group members (AE) for 145 every 5 seconds',100,2,3),
(220144,181469,'Must not be engaged in pvp combat',100,2,4),
(220145,181469,'Cannot be modified except by direct means',100,2,5),
(220146,181469,'Must not be engaged in pvp combat',100,1,6),
(220147,10181469,'When Equipped:',100,0,0),
(220148,10181469,'On a healing spell cast this spell may cast Lesser Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(220149,10181469,'Heals group members (AE) for 679',100,2,2),
(220150,10181469,'Heals group members (AE) for 170 every 5 seconds',100,2,3),
(220151,10181469,'Must not be engaged in pvp combat',100,2,4),
(220152,10181469,'Cannot be modified except by direct means',100,2,5),
(220153,10181469,'Must not be engaged in pvp combat',100,1,6),
(220154,118421,'Heals target for 850 - 1039',100,1,0),
(220155,118421,'Increases Max Health of target by 149.3',100,1,1),
(220156,10118421,'Heals target for 986 - 1205',100,1,0),
(220157,10118421,'Increases Max Health of target by 149.3',100,1,1),
(220158,48934,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(220159,48934,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(220160,48934,'Inflicts 242 poison damage on target',100,2,2),
(220161,48934,'Inflicts 125 poison damage on target instantly and every 6 seconds',100,2,3),
(220162,48934,'Cannot be modified except by direct means',100,2,4),
(220163,48934,'Grants a total of 200 triggers of the spell.',100,2,5),
(220164,10048934,'Applies touch of the void when Activated.  Lasts for 12 hours.',100,0,0),
(220165,10048934,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(220166,10048934,'Inflicts 122 poison damage on target instantly and every 6 seconds',100,2,2),
(220167,10048934,'Inflicts 235 poison damage on target',100,2,3),
(220168,10048934,'Cannot be modified except by direct means',100,2,4),
(220169,10048934,'Grants a total of 200 triggers of the spell.',100,2,5),
(220170,159441,'Applies Lambent Imbued when Equipped.',100,0,0),
(220171,159441,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(220172,159441,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(220173,159441,'Cannot be modified except by direct means',100,2,3),
(220174,10159441,'Applies Lambent Imbued when Equipped.',100,0,0),
(220175,10159441,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(220176,10159441,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(220177,10159441,'Cannot be modified except by direct means',100,2,3),
(220178,163887,'When Equipped:',100,0,0),
(220179,163887,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(220180,10163887,'When Equipped:',100,0,0),
(220181,10163887,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(220182,47798,'Applies Aura of the Ratonga when Activated.',100,0,0),
(220183,47798,'Casts aura of the ratonga on the user',100,1,1),
(220184,10047798,'Applies Aura of the Ratonga when Activated.',100,0,0),
(220185,10047798,'Casts aura of the ratonga on the user',100,1,1),
(220186,35564,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(220187,36466,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(220188,109408,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(220189,109408,'Inflicts 271 - 331 cold damage on target',100,2,1),
(220190,109408,'Slows target by 59.6%',100,2,2),
(220191,109408,'5% chance to dispel when target receives hostile action',100,2,3),
(220192,109408,'5% chance to dispel when target takes damage',100,2,4),
(220193,10109408,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(220194,10109408,'Inflicts 352 - 430 cold damage on target',100,2,1),
(220195,10109408,'Slows target by 59.6%',100,2,2),
(220196,10109408,'5% chance to dispel when target receives hostile action',100,2,3),
(220197,10109408,'5% chance to dispel when target takes damage',100,2,4),
(220198,109458,'Roots target',100,1,0),
(220199,109458,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(220200,109458,'Slows target by 47.3%',100,2,2),
(220201,109458,'5% chance to dispel when target receives hostile action',100,2,3),
(220202,109458,'5% chance to dispel when target takes damage',100,2,4),
(220203,109458,'10% chance to dispel when target receives hostile action',100,1,5),
(220204,109458,'10% chance to dispel when target takes damage',100,1,6),
(220205,109458,'Does not affect Epic targets',100,1,7),
(220206,109458,'Resistibility increases against targets higher than level 48.',100,1,8),
(220207,10109458,'Roots target',100,1,0),
(220208,10109458,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(220209,10109458,'Slows target by 47.3%',100,2,2),
(220210,10109458,'5% chance to dispel when target receives hostile action',100,2,3),
(220211,10109458,'5% chance to dispel when target takes damage',100,2,4),
(220212,10109458,'10% chance to dispel when target receives hostile action',100,1,5),
(220213,10109458,'10% chance to dispel when target takes damage',100,1,6),
(220214,10109458,'Does not affect Epic targets',100,1,7),
(220215,10109458,'Resistibility increases against targets higher than level 48.',100,1,8),
(220216,45421,'Applies Wings of Flight when Activated.',100,0,0),
(220217,45421,'Increases Focus of caster by 5.0',100,1,1),
(220218,45421,'Summons a mount to ride',100,1,2),
(220219,45421,'Increases your ground speed by 75%',100,2,3),
(220220,45421,'Increases your air speed by 150%',100,2,4),
(220221,45421,'Increases Ranged, Ministration, Ordination, Aggression, Disruption, Slashing, Subjugation, Piercing and Crushing of caster by 5.0',100,1,5),
(220222,10045421,'Applies Wings of Flight when Activated.',100,0,0),
(220223,10045421,'Increases Focus of caster by 5.0',100,1,1),
(220224,10045421,'Summons a mount to ride',100,1,2),
(220225,10045421,'Increases your ground speed by 75%',100,2,3),
(220226,10045421,'Increases your air speed by 150%',100,2,4),
(220227,10045421,'Increases Ranged, Ministration, Ordination, Aggression, Disruption, Slashing, Subjugation, Piercing and Crushing of caster by 5.0',100,1,5),
(220228,82714,'Applies Imbued Smite when Equipped.',100,0,0),
(220229,82714,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(220230,82714,'Inflicts 628 divine damage on target instantly and every second',100,2,2),
(220231,82714,'Cannot be modified except by direct means',100,2,3),
(220232,82714,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(220233,82714,'Inflicts 628 divine damage on target instantly and every second',100,2,5),
(220234,82714,'Cannot be modified except by direct means',100,2,6),
(220235,10082714,'Applies Imbued Smite when Equipped.',100,0,0),
(220236,10082714,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(220237,10082714,'Inflicts 817 divine damage on target instantly and every second',100,2,2),
(220238,10082714,'Cannot be modified except by direct means',100,2,3),
(220239,10082714,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(220240,10082714,'Inflicts 817 divine damage on target instantly and every second',100,2,5),
(220241,10082714,'Cannot be modified except by direct means',100,2,6),
(220242,123712,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(220243,123712,'Inflicts 270 divine damage on target',100,2,1),
(220244,123712,'Grants a total of 5 triggers of the spell.',100,2,2),
(220245,10123712,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(220246,10123712,'Inflicts 351 divine damage on target',100,2,1),
(220247,10123712,'Grants a total of 5 triggers of the spell.',100,2,2),
(220248,105478,'Stuns target encounter',100,1,0),
(220249,105478,'If Target is not Epic',100,2,1),
(220250,105478,'Inflicts 408 - 757 poison damage on target encounter',100,1,2),
(220251,105478,'Resistibility increases against targets higher than level 65.',100,1,3),
(220252,10105478,'Stuns target encounter',100,1,0),
(220253,10105478,'If Target is not Epic',100,2,1),
(220254,10105478,'Inflicts 530 - 984 poison damage on target encounter',100,1,2),
(220255,10105478,'Resistibility increases against targets higher than level 65.',100,1,3),
(220256,81638,'When Equipped:',100,0,0),
(220257,81638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220258,81638,'Inflicts 169 - 315 magic damage on target',100,2,2),
(220259,81638,'Cannot be modified except by direct means',100,2,3),
(220260,10081638,'When Equipped:',100,0,0),
(220261,10081638,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220262,10081638,'Inflicts 220 - 409 magic damage on target',100,2,2),
(220263,10081638,'Cannot be modified except by direct means',100,2,3),
(220264,177773,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(220265,177773,'Decreases Mitigation of target vs physical damage by 270',100,1,1),
(220266,177773,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(220267,10177773,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(220268,10177773,'Decreases Mitigation of target vs physical damage by 270',100,1,1),
(220269,10177773,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(220270,114690,'Increases Threat to target by 1,297 - 1,586 ',100,1,0),
(220271,114690,'Interrupts target',100,1,1),
(220272,10114690,'Interrupts target',100,1,0),
(220273,10114690,'Forces target to change their selected target to caster.',100,1,1),
(220274,10114690,'Prevents target from changing targets',100,1,2),
(220275,101293,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(220276,101293,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,1),
(220277,10101293,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(220278,10101293,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,1),
(220279,45500,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(220280,45500,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,1),
(220281,45500,'Charms target',100,1,2),
(220282,45500,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,3),
(220283,45500,'5% chance to dispel when target takes damage',100,1,4),
(220284,45500,'If target is insect',100,1,5),
(220285,45500,'Certain enemies cannot be charmed',100,1,6),
(220286,45500,'Does not affect Epic targets',100,1,7),
(220287,10045500,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(220288,10045500,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,1),
(220289,10045500,'Charms target',100,1,2),
(220290,10045500,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,3),
(220291,10045500,'5% chance to dispel when target takes damage',100,1,4),
(220292,10045500,'If target is insect',100,1,5),
(220293,10045500,'Certain enemies cannot be charmed',100,1,6),
(220294,10045500,'Does not affect Epic targets',100,1,7),
(220295,107805,'Increases Threat to target encounter by 706 - 863 ',100,1,0),
(220296,10107805,'Prevents target encounter from changing targets',100,1,0),
(220297,10107805,'Forces target encounter to change their selected target to caster.',100,1,1),
(220298,121854,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(220299,121854,'Increases Mitigation of group members (AE) vs arcane damage by 207',100,1,1),
(220300,10121854,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(220301,10121854,'Increases Mitigation of group members (AE) vs arcane damage by 207',100,1,1),
(220302,45833,'Applies Favor of the Phoenix when Activated.',100,0,0),
(220303,45833,'Resurrects target with 15% health and power',100,1,1),
(220304,45833,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,2),
(220305,45833,'Decreases Attack Speed of target by 20.0',100,2,3),
(220306,45833,'If not between levels 1 - 6',100,3,4),
(220307,45833,'Decreases All Attributes of target by 20.0%',100,2,5),
(220308,45833,'If not between levels 1 - 6',100,3,6),
(220309,45833,'Decreases All Attributes of target by 5.0%',100,2,7),
(220310,45833,'If between levels 1 - 6',100,3,8),
(220311,45833,'Decreases Attack Speed of target by 5.0',100,2,9),
(220312,45833,'If between levels 1 - 6',100,3,10),
(220313,45833,'This effect cannot be cast during combat',100,1,11),
(220314,45833,'If priest',100,1,12),
(220315,45833,'Requires 10 Power to cast.',100,1,13),
(220316,10045833,'Applies Favor of the Phoenix when Activated.',100,0,0),
(220317,10045833,'Resurrects target with 15% health and power',100,1,1),
(220318,10045833,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,2),
(220319,10045833,'Decreases Attack Speed of target by 20.0',100,2,3),
(220320,10045833,'If not between levels 1 - 6',100,3,4),
(220321,10045833,'Decreases All Attributes of target by 20.0%',100,2,5),
(220322,10045833,'If not between levels 1 - 6',100,3,6),
(220323,10045833,'Decreases All Attributes of target by 5.0%',100,2,7),
(220324,10045833,'If between levels 1 - 6',100,3,8),
(220325,10045833,'Decreases Attack Speed of target by 5.0',100,2,9),
(220326,10045833,'If between levels 1 - 6',100,3,10),
(220327,10045833,'This effect cannot be cast during combat',100,1,11),
(220328,10045833,'If priest',100,1,12),
(220329,10045833,'Requires 10 Power to cast.',100,1,13),
(220330,139342,'When Equipped:',100,0,0),
(220331,139342,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(220332,139342,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(220333,139342,'Inflicts 562 mental damage on target',100,2,3),
(220334,139342,'Must be classified as an undead',100,3,4),
(220335,139342,'Inflicts 281 mental damage on target',100,2,5),
(220336,139342,'Must not be classified as an undead',100,3,6),
(220337,139342,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(220338,139342,'Must be classified as an undead',100,3,8),
(220339,139342,'Cannot be modified except by direct means',100,2,9),
(220340,10139342,'When Equipped:',100,0,0),
(220341,10139342,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(220342,10139342,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(220343,10139342,'Inflicts 731 mental damage on target',100,2,3),
(220344,10139342,'Must be classified as an undead',100,3,4),
(220345,10139342,'Inflicts 365 mental damage on target',100,2,5),
(220346,10139342,'Must not be classified as an undead',100,3,6),
(220347,10139342,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(220348,10139342,'Must be classified as an undead',100,3,8),
(220349,10139342,'Cannot be modified except by direct means',100,2,9),
(220350,71820,'When Equipped:',100,0,0),
(220351,71820,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220352,71820,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(220353,71820,'Cannot be modified except by direct means',100,2,3),
(220354,10071820,'When Equipped:',100,0,0),
(220355,10071820,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220356,10071820,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(220357,10071820,'Cannot be modified except by direct means',100,2,3),
(220358,24084,'Adds Chardok: Empowered Di''Zok Shrine to your Dungeon Maker toolbox',100,0,0),
(220359,10024084,'Adds Chardok: Empowered Di''Zok Shrine to your Dungeon Maker toolbox',100,0,0),
(220360,100326,'Inflicts 68 - 83 divine damage on target',100,1,0),
(220361,100326,'Dazes target',100,1,1),
(220362,100326,'If Target is not Epic',100,2,2),
(220363,100326,'Dispelled when target receives hostile action',100,1,3),
(220364,100326,'Dispelled when target takes damage',100,1,4),
(220365,100326,'Resistibility increases against targets higher than level 39.',100,1,5),
(220366,10100326,'Inflicts 88 - 107 divine damage on target',100,1,0),
(220367,10100326,'Dazes target',100,1,1),
(220368,10100326,'If Target is not Epic',100,2,2),
(220369,10100326,'Dispelled when target receives hostile action',100,1,3),
(220370,10100326,'Dispelled when target takes damage',100,1,4),
(220371,10100326,'Resistibility increases against targets higher than level 39.',100,1,5),
(220372,112062,'Inflicts 3 - 5 heat damage on target instantly and every 2 seconds',100,1,0),
(220373,10112062,'Inflicts 10 - 16 heat damage on target instantly and every 2 seconds',100,1,0),
(220374,82156,'When Equipped:',100,0,0),
(220375,82156,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(220376,82156,'Inflicts 212 - 393 magic damage on target',100,2,2),
(220377,82156,'Decreases Threat to target by 641 ',100,2,3),
(220378,82156,'Must be flanking or behind',100,3,4),
(220379,82156,'Increases Threat to target by 641 ',100,2,5),
(220380,82156,'Must be in front of',100,3,6),
(220381,82156,'Cannot be modified except by direct means',100,2,7),
(220382,10082156,'When Equipped:',100,0,0),
(220383,10082156,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(220384,10082156,'Inflicts 275 - 511 magic damage on target',100,2,2),
(220385,10082156,'Cannot be modified except by direct means',100,2,3),
(220386,108867,'Inflicts 175 - 293 melee damage on target',100,1,0),
(220387,108867,'Decreases INT of target by 68.4',100,1,1),
(220388,10108867,'Inflicts 228 - 381 melee damage on target',100,1,0),
(220389,10108867,'Decreases INT of target by 68.4',100,1,1),
(220390,112468,'Decreases AGI and WIS of target by 15.9',100,1,0),
(220391,10112468,'Decreases AGI and WIS of target by 15.9',100,1,0),
(220392,117069,'Inflicts 341 - 569 melee damage on target',100,1,0),
(220393,117069,'Decreases Attack Speed of target by 20.5',100,1,1),
(220394,10117069,'Inflicts 443 - 739 melee damage on target',100,1,0),
(220395,10117069,'Decreases Attack Speed of target by 20.5',100,1,1),
(220396,115675,'Inflicts 15 - 46 melee damage on target',100,1,0),
(220397,115675,'Inflicts 15 - 46 melee damage on target',100,1,1),
(220398,115675,'Inflicts 15 - 46 melee damage on target',100,1,2),
(220399,115675,'Inflicts 15 - 46 melee damage on target',100,1,3),
(220400,115675,'Inflicts 15 - 46 melee damage on target',100,1,4),
(220401,115675,'Inflicts 15 - 46 melee damage on target',100,1,5),
(220402,115675,'Inflicts 15 - 46 melee damage on target',100,1,6),
(220403,115675,'Inflicts 15 - 46 melee damage on target',100,1,7),
(220404,10115675,'Inflicts 19 - 59 melee damage on target',100,1,0),
(220405,10115675,'Inflicts 19 - 59 melee damage on target',100,1,1),
(220406,10115675,'Inflicts 19 - 59 melee damage on target',100,1,2),
(220407,10115675,'Inflicts 19 - 59 melee damage on target',100,1,3),
(220408,10115675,'Inflicts 19 - 59 melee damage on target',100,1,4),
(220409,10115675,'Inflicts 19 - 59 melee damage on target',100,1,5),
(220410,10115675,'Inflicts 19 - 59 melee damage on target',100,1,6),
(220411,10115675,'Inflicts 19 - 59 melee damage on target',100,1,7),
(220412,79354,'When Equipped:',100,0,0),
(220413,79354,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(220414,10079354,'When Equipped:',100,0,0),
(220415,10079354,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(220416,109415,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(220417,109415,'Inflicts 388 - 474 cold damage on target',100,2,1),
(220418,109415,'Slows target by 72.0%',100,2,2),
(220419,109415,'5% chance to dispel when target receives hostile action',100,2,3),
(220420,109415,'5% chance to dispel when target takes damage',100,2,4),
(220421,10109415,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(220422,10109415,'Inflicts 504 - 617 cold damage on target',100,2,1),
(220423,10109415,'Slows target by 72.0%',100,2,2),
(220424,10109415,'5% chance to dispel when target receives hostile action',100,2,3),
(220425,10109415,'5% chance to dispel when target takes damage',100,2,4),
(220426,109185,'Roots target',100,1,0),
(220427,109185,'Applies Blind.  Lasts for 9.0 seconds.',100,1,1),
(220428,109185,'Dazes target',100,2,2),
(220429,109185,'Blurs vision of target',100,2,3),
(220430,109185,'Dispelled when target takes damage',100,2,4),
(220431,109185,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(220432,109185,'5% chance to dispel when target takes damage',100,1,6),
(220433,109185,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(220434,109185,'Resistibility increases against targets higher than level 102.',100,1,8),
(220435,10109185,'Roots target',100,1,0),
(220436,10109185,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(220437,10109185,'Dazes target',100,2,2),
(220438,10109185,'Blurs vision of target',100,2,3),
(220439,10109185,'Dispelled when target takes damage',100,2,4),
(220440,10109185,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(220441,10109185,'5% chance to dispel when target takes damage',100,1,6),
(220442,10109185,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(220443,10109185,'Resistibility increases against targets higher than level 102.',100,1,8),
(220444,80946,'When Equipped:',100,0,0),
(220445,80946,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220446,80946,'Inflicts 296 - 551 magic damage on target',100,2,2),
(220447,80946,'Cannot be modified except by direct means',100,2,3),
(220448,10080946,'When Equipped:',100,0,0),
(220449,10080946,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220450,10080946,'Inflicts 385 - 716 magic damage on target',100,2,2),
(220451,10080946,'Cannot be modified except by direct means',100,2,3),
(220452,106064,'Increases AGI of caster by 82.8',100,1,0),
(220453,106064,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(220454,106064,'Inflicts 172 - 286 disease damage on target',100,2,2),
(220455,106064,'Adds 17.2% to base avoidance.',100,1,3),
(220456,106064,'Increases Mitigation of caster vs physical damage by 424',100,1,4),
(220457,106064,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,5),
(220458,10106064,'Increases AGI of caster by 82.8',100,1,0),
(220459,10106064,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(220460,10106064,'Inflicts 223 - 372 disease damage on target',100,2,2),
(220461,10106064,'Adds 17.2% to base avoidance.',100,1,3),
(220462,10106064,'Increases Mitigation of caster vs physical damage by 424',100,1,4),
(220463,10106064,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,5),
(220464,82120,'When Equipped:',100,0,0),
(220465,82120,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220466,82120,'Inflicts 191 - 354 magic damage on target',100,2,2),
(220467,82120,'Cannot be modified except by direct means',100,2,3),
(220468,10082120,'When Equipped:',100,0,0),
(220469,10082120,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220470,10082120,'Inflicts 248 - 460 magic damage on target',100,2,2),
(220471,10082120,'Cannot be modified except by direct means',100,2,3),
(220472,102655,'Inflicts 356 - 594 melee damage on target',100,1,0),
(220473,102655,'Inflicts 154 heat damage on target every 6 seconds',100,1,1),
(220474,10102655,'Inflicts 463 - 772 melee damage on target',100,1,0),
(220475,10102655,'Inflicts 200 heat damage on target every 6 seconds',100,1,1),
(220476,117211,'Inflicts 1 slashing damage on target every 4 seconds',100,1,0),
(220477,117211,'Inflicts 6 - 11 melee damage on target',100,1,1),
(220478,10117211,'Inflicts 2 slashing damage on target every 4 seconds',100,1,0),
(220479,10117211,'Inflicts 8 - 14 melee damage on target',100,1,1),
(220480,102427,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(220481,102427,'Heals target for 60 - 74',100,2,1),
(220482,102427,'Grants a total of 5 triggers of the spell.',100,2,2),
(220483,10102427,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(220484,10102427,'Heals target for 39 - 48',100,2,1),
(220485,10102427,'Grants a total of 5 triggers of the spell.',100,2,2),
(220486,46377,'Applies Phrotis'' Physical Will when Activated.  Lasts for 30 minutes.',100,0,0),
(220487,46377,'Spirit fused with that of the wisdom of the will of Phrotis.',100,1,1),
(220488,10046377,'Applies Phrotis'' Physical Will when Activated.  Lasts for 30 minutes.',100,0,0),
(220489,10046377,'Spirit fused with that of the wisdom of the will of Phrotis.',100,1,1),
(220490,100186,'Inflicts 1601 - 2973 disease damage on target encounter',100,1,0),
(220491,10100186,'Inflicts 2081 - 3865 disease damage on target encounter',100,1,0),
(220492,112107,'Inflicts 112 - 187 heat damage on target instantly and every 2 seconds',100,1,0),
(220493,10112107,'Inflicts 358 - 597 heat damage on target instantly and every 2 seconds',100,1,0),
(220494,81616,'When Equipped:',100,0,0),
(220495,81616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220496,81616,'Inflicts 169 - 315 magic damage on target',100,2,2),
(220497,81616,'Cannot be modified except by direct means',100,2,3),
(220498,10081616,'When Equipped:',100,0,0),
(220499,10081616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220500,10081616,'Inflicts 220 - 409 magic damage on target',100,2,2),
(220501,10081616,'Cannot be modified except by direct means',100,2,3),
(220502,122217,'Increases Damage Per Second of target by 23.6',100,1,0),
(220503,122217,'Increases Max Health of target by 617.4',100,1,1),
(220504,10122217,'Increases Damage Per Second of target by 23.6',100,1,0),
(220505,10122217,'Increases Max Health of target by 617.4',100,1,1),
(220506,173043,'When Equipped:',100,0,0),
(220507,173043,'On any combat or spell hit this spell may cast Lesser Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(220508,173043,'Inflicts 199 mental damage on target',100,2,2),
(220509,173043,'Increases Threat to target by 1,000 ',100,2,3),
(220510,173043,'Cannot be modified except by direct means',100,2,4),
(220511,173043,'When damaged in combat this spell has a 7% chance to cast Lesser Undeniable Malice on target''s attacker.  ',100,1,5),
(220512,173043,'Inflicts 199 mental damage on target',100,2,6),
(220513,173043,'Increases Threat to target by 1,000 ',100,2,7),
(220514,173043,'Cannot be modified except by direct means',100,2,8),
(220515,10173043,'When Equipped:',100,0,0),
(220516,10173043,'On any combat or spell hit this spell may cast Lesser Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(220517,10173043,'Inflicts 258 mental damage on target',100,2,2),
(220518,10173043,'Cannot be modified except by direct means',100,2,3),
(220519,10173043,'When damaged in combat this spell has a 7% chance to cast Lesser Undeniable Malice on target''s attacker.  ',100,1,4),
(220520,10173043,'Inflicts 258 mental damage on target',100,2,5),
(220521,10173043,'Cannot be modified except by direct means',100,2,6),
(220522,80452,'When Equipped:',100,0,0),
(220523,80452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220524,80452,'Inflicts 60 - 112 magic damage on target',100,2,2),
(220525,80452,'Cannot be modified except by direct means',100,2,3),
(220526,10080452,'When Equipped:',100,0,0),
(220527,10080452,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220528,10080452,'Inflicts 78 - 145 magic damage on target',100,2,2),
(220529,10080452,'Cannot be modified except by direct means',100,2,3),
(220530,174296,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(220531,174296,'Inflicts 1474 magic damage on target',100,1,1),
(220532,174296,'If target is djinn',100,2,2),
(220533,174296,'Roots target',100,1,3),
(220534,174296,'If target is the Djinn Master',100,2,4),
(220535,174296,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(220536,174296,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(220537,10174296,'Applies Al''Ismak Beni Djinn when Activated.  Lasts for 1 minute.',100,0,0),
(220538,10174296,'Inflicts 1916 magic damage on target',100,1,1),
(220539,10174296,'If target is djinn',100,2,2),
(220540,10174296,'Roots target',100,1,3),
(220541,10174296,'If target is the Djinn Master',100,2,4),
(220542,10174296,'Epic targets gain an immunity to Root effects of 3 minutes and duration is reduced to 20.0 seconds.',100,1,5),
(220543,10174296,'The casting time of Al''Ismak Beni Djinn is 2.5 seconds and the reuse time of the spell is 30 minutes',100,1,6),
(220544,46996,'Applies Middling Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(220545,46996,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(220546,46996,'Inflicts 373 poison damage on target instantly and every 6 seconds',100,2,2),
(220547,46996,'Inflicts 141 poison damage on target',100,2,3),
(220548,46996,'Cannot be modified except by direct means',100,2,4),
(220549,46996,'Grants a total of 200 triggers of the spell.',100,2,5),
(220550,46996,'Only affects targets level 50 and above',100,1,6),
(220551,10046996,'Applies Middling Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(220552,10046996,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(220553,10046996,'Inflicts 363 poison damage on target instantly and every 6 seconds',100,2,2),
(220554,10046996,'Inflicts 138 poison damage on target',100,2,3),
(220555,10046996,'Cannot be modified except by direct means',100,2,4),
(220556,10046996,'Grants a total of 200 triggers of the spell.',100,2,5),
(220557,10046996,'Only affects targets level 50 and above',100,1,6),
(220558,85787,'When Equipped:',100,0,0),
(220559,85787,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(220560,85787,'Increases Damage Per Second of caster by 15.0',100,2,2),
(220561,85787,'Cannot be modified except by direct means',100,2,3),
(220562,85787,'Increases Ability Modifier of caster by 30.0',100,1,4),
(220563,10085787,'When Equipped:',100,0,0),
(220564,10085787,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(220565,10085787,'Increases Damage Per Second of caster by 15.0',100,2,2),
(220566,10085787,'Cannot be modified except by direct means',100,2,3),
(220567,10085787,'Increases Ability Modifier of caster by 30.0',100,1,4),
(220568,117697,'Reduces the hate position of all non-fighter group members on target encounter.',100,1,0),
(220569,117697,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',100,1,1),
(220570,10117697,'Forces target encounter to change their selected target to caster.',100,1,0),
(220571,10117697,'Prevents target encounter from changing targets',100,1,1),
(220572,106541,'Inflicts 324 - 396 melee damage on target',100,1,0),
(220573,106541,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(220574,106541,'Increases Hate Gain of target by 30.0%',100,2,2),
(220575,106541,'Grants a total of 1 trigger of the spell.',100,2,3),
(220576,10106541,'Inflicts 421 - 515 melee damage on target',100,1,0),
(220577,10106541,'25% chance to apply Distract on termination.',100,1,1),
(220578,10106541,'Forces target to clear their selected target.',100,2,2),
(220579,101525,'Increases WIS of target by 74.9',100,1,0),
(220580,101525,'Increases Max Health of target by 663.0',100,1,1),
(220581,101525,'Increases Mitigation of target vs elemental, noxious and arcane damage by 204',100,1,2),
(220582,10101525,'Increases WIS of target by 74.9',100,1,0),
(220583,10101525,'Increases Max Health of target by 663.0',100,1,1),
(220584,10101525,'Increases Mitigation of target vs elemental, noxious and arcane damage by 204',100,1,2),
(220585,139385,'Applies Creeping Crawly when Activated.',100,0,0),
(220586,139385,'Summons a pet Creepy Crawly',100,1,1),
(220587,139385,'The casting time of Creeping Crawly is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(220588,10139385,'Applies Creeping Crawly when Activated.',100,0,0),
(220589,10139385,'Summons a pet Creepy Crawly',100,1,1),
(220590,10139385,'The casting time of Creeping Crawly is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(220591,101591,'Inflicts 256 - 426 melee damage on targets in area',100,1,0),
(220592,10101591,'Inflicts 333 - 555 melee damage on targets in area',100,1,0),
(220593,110331,'Increases Max Power of target by 242.7',100,1,0),
(220594,110331,'Increases Max Health of target by 485.1',100,1,1),
(220595,10110331,'Increases Max Power of target by 242.7',100,1,0),
(220596,10110331,'Increases Max Health of target by 485.1',100,1,1),
(220597,112092,'Inflicts 51 - 86 heat damage on target instantly and every 2 seconds',100,1,0),
(220598,10112092,'Inflicts 164 - 273 heat damage on target instantly and every 2 seconds',100,1,0),
(220599,47621,'Applies Power Root when Activated.',100,0,0),
(220600,47621,'Increases power of caster by 14.0%',100,1,1),
(220601,10047621,'Applies Power Root when Activated.',100,0,0),
(220602,10047621,'Increases power of caster by 14.0%',100,1,1),
(220603,116765,'Increases Max Health of target by 608.4',100,1,0),
(220604,116765,'Increases Max Power of target by 671.3',100,1,1),
(220605,10116765,'Increases Max Health of target by 608.4',100,1,0),
(220606,10116765,'Increases Max Power of target by 671.3',100,1,1),
(220607,120279,'Swaps your current hate position with your target''s hate position.',100,1,0),
(220608,120279,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(220609,120279,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(220610,120279,'Cannot be modified except by direct means',100,2,3),
(220611,120279,'Decreases Threat to target by 2,019 ',100,1,4),
(220612,120279,'If profession other than Fighter',100,2,5),
(220613,120279,'Increases Threat to target by 2,019 ',100,1,6),
(220614,120279,'If Fighter',100,2,7),
(220615,120279,'Must be engaged in combat',100,1,8),
(220616,120279,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(220617,10120279,'Forces target to clear their selected target.',100,1,0),
(220618,10120279,'Must be engaged in combat',100,1,1),
(220619,10120279,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(220620,26695,'Applies Cognent I when Equipped.',100,0,0),
(220621,26695,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(220622,26695,'Increases Potency of caster by 3.0%',100,1,2),
(220623,26695,'Must not be engaged in pvp combat',100,1,3),
(220624,10026695,'Applies Cognent I when Equipped.',100,0,0),
(220625,10026695,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(220626,10026695,'Increases Potency of caster by 3.0%',100,1,2),
(220627,10026695,'Must not be engaged in pvp combat',100,1,3),
(220628,55401,'When Equipped:',100,0,0),
(220629,55401,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(220630,10055401,'When Equipped:',100,0,0),
(220631,10055401,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(220632,102784,'Increases STR of caster by 36.9',100,1,0),
(220633,102784,'Increases Max Health of caster by 217.8',100,1,1),
(220634,102784,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',100,1,2),
(220635,10102784,'Increases STR of caster by 36.9',100,1,0),
(220636,10102784,'Increases Max Health of caster by 217.8',100,1,1),
(220637,10102784,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',100,1,2),
(220638,45364,'Applies Blessing of Light when Activated.',100,0,0),
(220639,45364,'Covers the user''s hand in illusory shimmering particles.',100,1,1),
(220640,10045364,'Applies Blessing of Light when Activated.',100,0,0),
(220641,10045364,'Covers the user''s hand in illusory shimmering particles.',100,1,1),
(220642,107903,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(220643,107903,'Slows target by 48.4%',100,2,1),
(220644,107903,'5% chance to dispel when target receives hostile action',100,2,2),
(220645,107903,'5% chance to dispel when target takes damage',100,2,3),
(220646,107903,'Slows target encounter by 58.1%',100,1,4),
(220647,107903,'5% chance to dispel when target takes damage',100,1,5),
(220648,10107903,'Slows target encounter by 58.1%',100,1,0),
(220649,10107903,'5% chance to dispel when target takes damage',100,1,1),
(220650,71798,'When Equipped:',100,0,0),
(220651,71798,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220652,71798,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(220653,71798,'Cannot be modified except by direct means',100,2,3),
(220654,10071798,'When Equipped:',100,0,0),
(220655,10071798,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220656,10071798,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(220657,10071798,'Cannot be modified except by direct means',100,2,3),
(220658,124368,'Inflicts 243 - 297 divine damage on target',100,1,0),
(220659,124368,'Inflicts 101 - 124 divine damage on target every 4 seconds',100,1,1),
(220660,10124368,'Inflicts 315 - 385 divine damage on target',100,1,0),
(220661,10124368,'Inflicts 131 - 161 divine damage on target every 4 seconds',100,1,1),
(220662,48336,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(220663,48336,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 19.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(220664,48336,'Slows target by 29.3%',100,2,2),
(220665,48336,'Cannot be modified except by direct means',100,2,3),
(220666,48336,'Grants a total of 60 triggers of the spell.',100,2,4),
(220667,10048336,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(220668,10048336,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(220669,10048336,'Slows target by 29.3%',100,2,2),
(220670,10048336,'Cannot be modified except by direct means',100,2,3),
(220671,10048336,'Grants a total of 60 triggers of the spell.',100,2,4),
(220672,72099,'When Equipped:',100,0,0),
(220673,72099,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220674,72099,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(220675,72099,'Cannot be modified except by direct means',100,2,3),
(220676,10072099,'When Equipped:',100,0,0),
(220677,10072099,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220678,10072099,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(220679,10072099,'Cannot be modified except by direct means',100,2,3),
(220680,86492,'Applies Disease Blast when Activated.',100,0,0),
(220681,86492,'Inflicts 264 - 440 disease damage on target',100,1,1),
(220682,86492,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(220683,10086492,'Applies Disease Blast when Activated.',100,0,0),
(220684,10086492,'Inflicts 343 - 572 disease damage on target',100,1,1),
(220685,10086492,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(220686,35381,'Increases WIS and STA of target by 1.1',100,0,0),
(220687,35381,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(220688,159813,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(220689,159813,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(220690,159813,'Inflicts 121 heat damage on target',100,2,2),
(220691,159813,'Cannot be modified except by direct means',100,2,3),
(220692,10159813,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(220693,10159813,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(220694,10159813,'Inflicts 157 heat damage on target',100,2,2),
(220695,10159813,'Cannot be modified except by direct means',100,2,3),
(220696,25985,'When Equipped:',100,0,0),
(220697,25985,'Increases all noxious damage by up to 5.',100,1,1),
(220698,10025985,'When Equipped:',100,0,0),
(220699,10025985,'Increases all noxious damage by up to 5.',100,1,1),
(220700,77362,'When Equipped:',100,0,0),
(220701,77362,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220702,77362,'Inflicts 83 - 102 poison damage on target instantly and every 4.8 seconds',100,2,2),
(220703,77362,'Cannot be modified except by direct means',100,2,3),
(220704,10077362,'When Equipped:',100,0,0),
(220705,10077362,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220706,10077362,'Inflicts 108 - 132 poison damage on target instantly and every 4.8 seconds',100,2,2),
(220707,10077362,'Cannot be modified except by direct means',100,2,3),
(220708,35337,'Increases STR of target by 1.5',100,0,0),
(220709,35337,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(220710,74949,'When Equipped:',100,0,0),
(220711,74949,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220712,74949,'Inflicts 208 - 311 magic damage on target',100,2,2),
(220713,74949,'Cannot be modified except by direct means',100,2,3),
(220714,10074949,'When Equipped:',100,0,0),
(220715,10074949,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220716,10074949,'Inflicts 270 - 405 magic damage on target',100,2,2),
(220717,10074949,'Cannot be modified except by direct means',100,2,3),
(220718,115919,'Inflicts 134 - 164 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(220719,10115919,'Inflicts 227 - 277 disease damage on target encounter',100,1,0),
(220720,10115919,'Inflicts 174 - 213 disease damage on target encounter every 3 seconds',100,1,1),
(220721,49015,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(220722,49015,'Launches a firework when used.',100,1,1),
(220723,10049015,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(220724,10049015,'Launches a firework when used.',100,1,1),
(220725,36437,'Increases AGI and WIS of target by 1.1',100,0,0),
(220726,36437,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(220727,137479,'When Equipped:',100,0,0),
(220728,137479,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(220729,10137479,'When Equipped:',100,0,0),
(220730,10137479,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(220731,174335,'When Equipped:',100,0,0),
(220732,174335,'When damaged this spell has a 15% chance to cast Hidden Ritual on target''s attacker.  Lasts for 30.0 seconds.  ',100,1,1),
(220733,174335,'Decreases Threat to target by 72 ',100,2,2),
(220734,174335,'Cannot be modified except by direct means',100,2,3),
(220735,10174335,'When Equipped:',100,0,0),
(220736,10174335,'When damaged this spell has a 15% chance to cast Hidden Ritual on target''s attacker.  Lasts for 30.0 seconds.  ',100,1,1),
(220737,10174335,'Cannot be modified except by direct means',100,2,2),
(220738,185777,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(220739,10185777,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(220740,123527,'Inflicts 22 - 33 piercing damage on target instantly and every 4 seconds',100,1,0),
(220741,123527,'Decreases Defense of target by 4.8',100,1,1),
(220742,10123527,'Inflicts 40 - 60 piercing damage on target',100,1,0),
(220743,10123527,'Inflicts 29 - 43 piercing damage on target every 4 seconds',100,1,1),
(220744,10123527,'Decreases Defense of target by 4.8',100,1,2),
(220745,141940,'When Equipped:',100,0,0),
(220746,141940,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(220747,141940,'Increases STA of caster by 21.4',100,2,2),
(220748,141940,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(220749,141940,'Cannot be modified except by direct means',100,2,4),
(220750,10141940,'When Equipped:',100,0,0),
(220751,10141940,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(220752,10141940,'Increases STA of caster by 21.4',100,2,2),
(220753,10141940,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(220754,10141940,'Cannot be modified except by direct means',100,2,4),
(220755,114471,'Inflicts 671 - 1119 heat damage on target',100,1,0),
(220756,10114471,'Inflicts 873 - 1455 heat damage on target',100,1,0),
(220757,122199,'Increases Damage Per Second of target by 13.0',100,1,0),
(220758,122199,'Increases Max Health of target by 43.7',100,1,1),
(220759,10122199,'Increases Damage Per Second of target by 13.0',100,1,0),
(220760,10122199,'Increases Max Health of target by 43.7',100,1,1),
(220761,107291,'Inflicts 622 - 1037 ranged damage on target',100,1,0),
(220762,107291,'Inflicts 622 - 1037 ranged damage on target',100,1,1),
(220763,107291,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(220764,107291,'Stuns target',100,2,3),
(220765,107291,'Throws target back',100,2,4),
(220766,107291,'Blurs vision of target',100,2,5),
(220767,107291,'Does not affect Epic targets',100,2,6),
(220768,107291,'If weapon equipped in Ranged',100,1,7),
(220769,10107291,'Inflicts 529 - 882 ranged damage on target',100,1,0),
(220770,10107291,'Inflicts 529 - 882 ranged damage on target',100,1,1),
(220771,10107291,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(220772,10107291,'Stuns target',100,2,3),
(220773,10107291,'Throws target back',100,2,4),
(220774,10107291,'Blurs vision of target',100,2,5),
(220775,10107291,'Does not affect Epic targets',100,2,6),
(220776,10107291,'If weapon equipped in Ranged',100,1,7),
(220777,119614,'Inflicts 1252 - 2087 mental damage on targets in Area of Effect',100,1,0),
(220778,119614,'Stuns targets in Area of Effect',100,1,1),
(220779,119614,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(220780,119614,'Resistibility increases against targets higher than level 99.',100,1,3),
(220781,10119614,'Inflicts 1628 - 2713 mental damage on targets in Area of Effect',100,1,0),
(220782,10119614,'Stuns targets in Area of Effect',100,1,1),
(220783,10119614,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(220784,10119614,'Resistibility increases against targets higher than level 99.',100,1,3),
(220785,101038,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(220786,101038,'Inflicts 349 poison damage on target instantly and every 4 seconds',100,2,1),
(220787,101038,'If profession other than Predator',100,1,2),
(220788,101038,'If profession other than Rogue',100,1,3),
(220789,10101038,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(220790,10101038,'Inflicts 454 poison damage on target instantly and every 4 seconds',100,2,1),
(220791,10101038,'If profession other than Predator',100,1,2),
(220792,10101038,'If profession other than Rogue',100,1,3),
(220793,45801,'Applies Summon Crocodile when Activated.',100,0,0),
(220794,45801,'Summons a pet a marsh crocodile',100,1,1),
(220795,10045801,'Applies Summon Crocodile when Activated.',100,0,0),
(220796,10045801,'Summons a pet a marsh crocodile',100,1,1),
(220797,101100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 666',100,1,0),
(220798,10101100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 666',100,1,0),
(220799,184810,'When Equipped:',100,0,0),
(220800,184810,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(220801,184810,'Roots target',100,2,2),
(220802,184810,'15% chance to dispel when target takes damage',100,2,3),
(220803,184810,'Only affects targets level 90 and below',100,2,4),
(220804,184810,'Does not affect Epic targets',100,2,5),
(220805,184810,'Resistibility increases against targets higher than level 105.',100,2,6),
(220806,184810,'Cannot be modified except by direct means',100,2,7),
(220807,10184810,'When Equipped:',100,0,0),
(220808,10184810,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(220809,10184810,'Roots target',100,2,2),
(220810,10184810,'15% chance to dispel when target takes damage',100,2,3),
(220811,10184810,'Only affects targets level 90 and below',100,2,4),
(220812,10184810,'Does not affect Epic targets',100,2,5),
(220813,10184810,'Resistibility increases against targets higher than level 105.',100,2,6),
(220814,10184810,'Cannot be modified except by direct means',100,2,7),
(220815,117474,'Inflicts 2170 - 3617 melee damage on target',100,1,0),
(220816,117474,'You must be sneaking to use this ability.',100,1,1),
(220817,117474,'Must be flanking or behind',100,1,2),
(220818,10117474,'Inflicts 1749 - 2915 melee damage on target',100,1,0),
(220819,10117474,'You must be sneaking to use this ability.',100,1,1),
(220820,10117474,'Must be flanking or behind',100,1,2),
(220821,112617,'Increases STA of caster by 39.2',100,1,0),
(220822,112617,'Reduces slow effects on caster by 14.3%',100,1,1),
(220823,112617,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1026',100,1,2),
(220824,10112617,'Increases STA of caster by 39.2',100,1,0),
(220825,10112617,'Reduces slow effects on caster by 14.3%',100,1,1),
(220826,10112617,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1026',100,1,2),
(220827,121453,'Increases AGI of caster by 77.4',100,1,0),
(220828,121453,'Adds 18.7% to base avoidance.',100,1,1),
(220829,121453,'Increases Mitigation of caster vs physical damage by 752',100,1,2),
(220830,121453,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,3),
(220831,10121453,'Increases AGI of caster by 77.4',100,1,0),
(220832,10121453,'Adds 18.7% to base avoidance.',100,1,1),
(220833,10121453,'Increases Mitigation of caster vs physical damage by 752',100,1,2),
(220834,10121453,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,3),
(220835,80373,'When Equipped:',100,0,0),
(220836,80373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220837,80373,'Inflicts 67 - 124 magic damage on target',100,2,2),
(220838,80373,'Cannot be modified except by direct means',100,2,3),
(220839,10080373,'When Equipped:',100,0,0),
(220840,10080373,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220841,10080373,'Inflicts 87 - 161 magic damage on target',100,2,2),
(220842,10080373,'Cannot be modified except by direct means',100,2,3),
(220843,101994,'Summons 3 limited pets to aid the caster',100,1,0),
(220844,10101994,'Summons 3 limited pets to aid the caster',100,1,0),
(220845,124824,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 742',100,1,0),
(220846,10124824,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 742',100,1,0),
(220847,163232,'When Equipped:',100,0,0),
(220848,163232,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(220849,163232,'Heals group members (AE) for 583',100,2,2),
(220850,163232,'Cannot be modified except by direct means',100,2,3),
(220851,163232,'When Equipped:',100,0,4),
(220852,163232,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(220853,163232,'Heals group members for 991',100,2,6),
(220854,163232,'Cannot be modified except by direct means',100,2,7),
(220855,10163232,'When Equipped:',100,0,0),
(220856,10163232,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(220857,10163232,'Heals group members (AE) for 682',100,2,2),
(220858,10163232,'Cannot be modified except by direct means',100,2,3),
(220859,10163232,'When Equipped:',100,0,4),
(220860,10163232,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(220861,10163232,'Heals group members for 1160',100,2,6),
(220862,10163232,'Cannot be modified except by direct means',100,2,7),
(220863,80342,'When Equipped:',100,0,0),
(220864,80342,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220865,80342,'Inflicts 67 - 124 magic damage on target',100,2,2),
(220866,80342,'Cannot be modified except by direct means',100,2,3),
(220867,10080342,'When Equipped:',100,0,0),
(220868,10080342,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220869,10080342,'Inflicts 87 - 161 magic damage on target',100,2,2),
(220870,10080342,'Cannot be modified except by direct means',100,2,3),
(220871,134428,'When Equipped:',100,0,0),
(220872,134428,'On a healing spell cast this spell may cast Amplify Healing on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220873,134428,'Increases the amount of your next healing spell by 25%',100,2,2),
(220874,134428,'Dispelled when target casts a heal spell',100,2,3),
(220875,134428,'Cannot be modified except by direct means',100,2,4),
(220876,10134428,'When Equipped:',100,0,0),
(220877,10134428,'On a healing spell cast this spell may cast Amplify Healing on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220878,10134428,'Increases the amount of your next healing spell by 25%',100,2,2),
(220879,10134428,'Dispelled when target casts a heal spell',100,2,3),
(220880,10134428,'Cannot be modified except by direct means',100,2,4),
(220881,106666,'Heals caster for 56.2 - 68.6% of max health',100,1,0),
(220882,106666,'This effect cannot be critically applied.',100,2,1),
(220883,106666,'Increases Max Health of caster by 221.1',100,1,2),
(220884,106666,'The healing of this spell cannot be modified except by direct means',100,1,3),
(220885,10106666,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(220886,10106666,'This effect cannot be critically applied.',100,2,1),
(220887,10106666,'Increases Max Health of caster by 221.1',100,1,2),
(220888,10106666,'The healing of this spell cannot be modified except by direct means',100,1,3),
(220889,46514,'Applies Simple Tools when Equipped.',100,0,0),
(220890,46514,'Increases success chance by 1.0%',100,1,1),
(220891,10046514,'Applies Simple Tools when Equipped.',100,0,0),
(220892,10046514,'Increases success chance by 1.0%',100,1,1),
(220893,159391,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(220894,159391,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(220895,159391,'Inflicts 69 heat damage on target',100,2,2),
(220896,159391,'Cannot be modified except by direct means',100,2,3),
(220897,10159391,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(220898,10159391,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(220899,10159391,'Inflicts 90 heat damage on target',100,2,2),
(220900,10159391,'Cannot be modified except by direct means',100,2,3),
(220901,148920,'When Equipped:',100,0,0),
(220902,148920,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(220903,148920,'Roots target',100,2,2),
(220904,148920,'15% chance to dispel when target takes damage',100,2,3),
(220905,148920,'Only affects targets level 90 and below',100,2,4),
(220906,148920,'Does not affect Epic targets',100,2,5),
(220907,148920,'Resistibility increases against targets higher than level 111.',100,2,6),
(220908,148920,'Cannot be modified except by direct means',100,2,7),
(220909,10148920,'When Equipped:',100,0,0),
(220910,10148920,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(220911,10148920,'Roots target',100,2,2),
(220912,10148920,'15% chance to dispel when target takes damage',100,2,3),
(220913,10148920,'Only affects targets level 90 and below',100,2,4),
(220914,10148920,'Does not affect Epic targets',100,2,5),
(220915,10148920,'Resistibility increases against targets higher than level 111.',100,2,6),
(220916,10148920,'Cannot be modified except by direct means',100,2,7),
(220917,115882,'Increases power of caster by 52',100,1,0),
(220918,10115882,'Increases power of caster by 52',100,1,0),
(220919,89926,'When Equipped:',100,0,0),
(220920,89926,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220921,89926,'Inflicts 68 - 83 heat damage on target encounter',100,2,2),
(220922,89926,'Cannot be modified except by direct means',100,2,3),
(220923,10089926,'When Equipped:',100,0,0),
(220924,10089926,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220925,10089926,'Inflicts 89 - 108 heat damage on target encounter',100,2,2),
(220926,10089926,'Cannot be modified except by direct means',100,2,3),
(220927,46560,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(220928,46560,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(220929,46560,'Decreases WIS of target by 68.4',100,2,2),
(220930,46560,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 871',100,2,3),
(220931,46560,'Cannot be modified except by direct means',100,2,4),
(220932,46560,'Grants a total of 60 triggers of the spell.',100,2,5),
(220933,10046560,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(220934,10046560,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(220935,10046560,'Decreases WIS of target by 68.4',100,2,2),
(220936,10046560,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 871',100,2,3),
(220937,10046560,'Cannot be modified except by direct means',100,2,4),
(220938,10046560,'Grants a total of 60 triggers of the spell.',100,2,5),
(220939,117350,'Roots target',100,1,0),
(220940,117350,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(220941,117350,'Slows target by 53.5%',100,2,2),
(220942,117350,'5% chance to dispel when target receives hostile action',100,2,3),
(220943,117350,'5% chance to dispel when target takes damage',100,2,4),
(220944,117350,'15% chance to dispel when target takes damage',100,1,5),
(220945,117350,'Does not affect Epic targets',100,1,6),
(220946,117350,'Resistibility increases against targets higher than level 102.',100,1,7),
(220947,10117350,'Roots target',100,1,0),
(220948,10117350,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(220949,10117350,'Slows target by 53.5%',100,2,2),
(220950,10117350,'10% chance to dispel when target receives hostile action',100,2,3),
(220951,10117350,'10% chance to dispel when target takes damage',100,2,4),
(220952,10117350,'15% chance to dispel when target takes damage',100,1,5),
(220953,10117350,'Does not affect Epic targets',100,1,6),
(220954,10117350,'Resistibility increases against targets higher than level 102.',100,1,7),
(220955,87154,'When Equipped:',100,0,0),
(220956,87154,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220957,87154,'Inflicts 64 - 97 magic damage on target',100,2,2),
(220958,87154,'Cannot be modified except by direct means',100,2,3),
(220959,10087154,'When Equipped:',100,0,0),
(220960,10087154,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(220961,10087154,'Inflicts 84 - 125 magic damage on target',100,2,2),
(220962,10087154,'Cannot be modified except by direct means',100,2,3),
(220963,71877,'When Equipped:',100,0,0),
(220964,71877,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220965,71877,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(220966,71877,'Cannot be modified except by direct means',100,2,3),
(220967,10071877,'When Equipped:',100,0,0),
(220968,10071877,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(220969,10071877,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(220970,10071877,'Cannot be modified except by direct means',100,2,3),
(220971,107411,'Inflicts 66 - 99 magic damage on target',100,1,0),
(220972,10107411,'Inflicts 86 - 129 magic damage on target',100,1,0),
(220973,113788,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(220974,113788,'Heals target for 343 - 419',100,2,1),
(220975,10113788,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(220976,10113788,'Heals target for 223 - 272',100,2,1),
(220977,24509,'Adds Loaminess Keeper to your Dungeon Maker toolbox',100,0,0),
(220978,10024509,'Adds Loaminess Keeper to your Dungeon Maker toolbox',100,0,0),
(220979,113919,'Increases power of target by 15 instantly and every 4 seconds',100,1,0),
(220980,10113919,'Increases power of target by 15 instantly and every 4 seconds',100,1,0),
(220981,115364,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(220982,115364,'Increases Parry of caster by 5.0',100,1,1),
(220983,10115364,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(220984,10115364,'Increases Parry of caster by 5.0',100,1,1),
(220985,113999,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(220986,113999,'Inflicts 120 - 200 melee damage on target',100,2,1),
(220987,113999,'Increases Threat to target by 418 ',100,2,2),
(220988,10113999,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(220989,10113999,'Inflicts 156 - 260 melee damage on target',100,2,1),
(220990,100876,'Makes target afraid',100,1,0),
(220991,100876,'30% chance to dispel when target takes damage',100,1,1),
(220992,100876,'Does not affect Epic targets',100,1,2),
(220993,100876,'Resistibility increases against targets higher than level 82.',100,1,3),
(220994,10100876,'Makes target afraid',100,1,0),
(220995,10100876,'30% chance to dispel when target takes damage',100,1,1),
(220996,10100876,'Does not affect Epic targets',100,1,2),
(220997,10100876,'Resistibility increases against targets higher than level 82.',100,1,3),
(220998,50524,'When Equipped:',100,0,0),
(220999,50524,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221000,50524,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(221001,50524,'Cannot be modified except by direct means',100,2,3),
(221002,10050524,'When Equipped:',100,0,0),
(221003,10050524,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221004,10050524,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(221005,10050524,'Cannot be modified except by direct means',100,2,3),
(221006,171055,'When Equipped:',100,0,0),
(221007,171055,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(221008,171055,'Heals group members (AE) for 875',100,2,2),
(221009,171055,'Cannot be modified except by direct means',100,2,3),
(221010,10171055,'When Equipped:',100,0,0),
(221011,10171055,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(221012,10171055,'Heals group members (AE) for 1024',100,2,2),
(221013,10171055,'Cannot be modified except by direct means',100,2,3),
(221014,101942,'Inflicts 455 - 759 melee damage on target',100,1,0),
(221015,101942,'Inflicts 152 piercing damage on target instantly and every 4 seconds',100,1,1),
(221016,101942,'Must be behind',100,1,2),
(221017,10101942,'Inflicts 592 - 987 melee damage on target',100,1,0),
(221018,10101942,'Inflicts 198 piercing damage on target instantly and every 4 seconds',100,1,1),
(221019,10101942,'Must be behind',100,1,2),
(221020,110462,'Dazes targets in Area of Effect',100,1,0),
(221021,110462,'If Target is not Epic',100,2,1),
(221022,110462,'Decreases Threat to targets in Area of Effect by 4,217 ',100,1,2),
(221023,110462,'Dispelled when target receives hostile action',100,1,3),
(221024,110462,'Dispelled when target takes damage',100,1,4),
(221025,10110462,'Dazes targets in Area of Effect',100,1,0),
(221026,10110462,'If Target is not Epic',100,2,1),
(221027,10110462,'Applies Distract.',100,1,2),
(221028,10110462,'Forces target to clear their selected target.',100,2,3),
(221029,10110462,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(221030,10110462,'Dispelled when target receives hostile action',100,1,5),
(221031,10110462,'Dispelled when target takes damage',100,1,6),
(221032,75170,'When Equipped:',100,0,0),
(221033,75170,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(221034,10075170,'When Equipped:',100,0,0),
(221035,10075170,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(221036,24571,'Adds Mummy (Paladin) to your Dungeon Maker toolbox',100,0,0),
(221037,10024571,'Adds Mummy (Paladin) to your Dungeon Maker toolbox',100,0,0),
(221038,104591,'Makes caster immune to Root effects',100,1,0),
(221039,104591,'Makes caster immune to Stun effects',100,1,1),
(221040,104591,'Makes caster immune to Stifle effects',100,1,2),
(221041,104591,'Makes caster immune to Fear effects',100,1,3),
(221042,104591,'Makes caster immune to Daze effects',100,1,4),
(221043,104591,'Makes caster immune to Mesmerize effects',100,1,5),
(221044,10104591,'Makes caster immune to Root effects',100,1,0),
(221045,10104591,'Makes caster immune to Stun effects',100,1,1),
(221046,10104591,'Makes caster immune to Stifle effects',100,1,2),
(221047,10104591,'Makes caster immune to Fear effects',100,1,3),
(221048,10104591,'Makes caster immune to Daze effects',100,1,4),
(221049,10104591,'Makes caster immune to Mesmerize effects',100,1,5),
(221050,10104591,'Makes caster immune to effects that prevent changing targets',100,1,6),
(221051,74652,'When Equipped:',100,0,0),
(221052,74652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221053,74652,'Inflicts 66 - 99 magic damage on target',100,2,2),
(221054,74652,'Cannot be modified except by direct means',100,2,3),
(221055,10074652,'When Equipped:',100,0,0),
(221056,10074652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221057,10074652,'Inflicts 86 - 129 magic damage on target',100,2,2),
(221058,10074652,'Cannot be modified except by direct means',100,2,3),
(221059,188338,'When Equipped:',100,0,0),
(221060,188338,'Increases Attack Speed of caster by 35.0',100,1,1),
(221061,10188338,'When Equipped:',100,0,0),
(221062,10188338,'Increases Attack Speed of caster by 35.0',100,1,1),
(221063,107199,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(221064,107199,'Heals target for 199',100,2,1),
(221065,10107199,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(221066,10107199,'Heals target for 129',100,2,1),
(221067,118683,'Inflicts 226 - 679 crushing damage on target',100,1,0),
(221068,10118683,'Inflicts 294 - 883 crushing damage on target',100,1,0),
(221069,83910,'When Equipped:',100,0,0),
(221070,83910,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221071,83910,'Slows target by 20.0%',100,2,2),
(221072,83910,'Cannot be modified except by direct means',100,2,3),
(221073,10083910,'When Equipped:',100,0,0),
(221074,10083910,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221075,10083910,'Slows target by 20.0%',100,2,2),
(221076,10083910,'Cannot be modified except by direct means',100,2,3),
(221077,100654,'Increases AGI, STR and STA of target by 66.9',100,1,0),
(221078,100654,'Adds 2.1% to base avoidance.',100,1,1),
(221079,10100654,'Increases AGI, STR and STA of target by 66.9',100,1,0),
(221080,10100654,'Adds 2.1% to base avoidance.',100,1,1),
(221081,72037,'When Equipped:',100,0,0),
(221082,72037,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221083,72037,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(221084,72037,'Cannot be modified except by direct means',100,2,3),
(221085,10072037,'When Equipped:',100,0,0),
(221086,10072037,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221087,10072037,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(221088,10072037,'Cannot be modified except by direct means',100,2,3),
(221089,100836,'Wards target against 388 points of all damage',100,1,0),
(221090,10100836,'Wards target against 598 points of all damage',100,1,0),
(221091,117867,'Heals target for 132 - 161 instantly and every 2 seconds',100,1,0),
(221092,10117867,'Heals target for 86 - 105 instantly and every 2 seconds',100,1,0),
(221093,120421,'Inflicts 112 - 186 melee damage on target',100,1,0),
(221094,120421,'Inflicts 112 - 186 melee damage on target',100,1,1),
(221095,10120421,'Inflicts 145 - 242 melee damage on target',100,1,0),
(221096,10120421,'Inflicts 145 - 242 melee damage on target',100,1,1),
(221097,100390,'Summons a pet aery hunter',100,1,0),
(221098,10100390,'Summons a pet aery hunter',100,1,0),
(221099,116251,'Summons a pet Illusion Ally',100,1,0),
(221100,10116251,'Summons a pet Illusion Ally',100,1,0),
(221101,111383,'Inflicts 640 - 1067 disease damage on target',100,1,0),
(221102,111383,'Heals caster for 300 - 501',100,1,1),
(221103,10111383,'Inflicts 832 - 1387 disease damage on target',100,1,0),
(221104,10111383,'Heals caster for 351 - 586',100,1,1),
(221105,116375,'Heals target for 53 - 65 instantly and every 2 seconds',100,1,0),
(221106,10116375,'Heals target for 34 - 42 instantly and every 2 seconds',100,1,0),
(221107,46479,'Applies Glacia, Dark Gryphon when Activated.',100,0,0),
(221108,46479,'Increases Crit Bonus of caster by 6.5%',100,1,1),
(221109,46479,'Increases Potency of caster by 6.5%',100,1,2),
(221110,46479,'Increases Crit Chance of caster by 18.0',100,1,3),
(221111,46479,'Increases Max Health of caster by 1,000.0',100,1,4),
(221112,46479,'Increases Max Power of caster by 1,000.0',100,1,5),
(221113,46479,'Summons a mount to ride',100,1,6),
(221114,46479,'Increases your ground speed by 75%',100,2,7),
(221115,46479,'Increases your air speed by 150%',100,2,8),
(221116,10046479,'Applies Glacia, Dark Gryphon when Activated.',100,0,0),
(221117,10046479,'Increases Crit Bonus of caster by 6.5%',100,1,1),
(221118,10046479,'Increases Potency of caster by 6.5%',100,1,2),
(221119,10046479,'Increases Crit Chance of caster by 18.0',100,1,3),
(221120,10046479,'Increases Max Health of caster by 1,000.0',100,1,4),
(221121,10046479,'Increases Max Power of caster by 1,000.0',100,1,5),
(221122,10046479,'Summons a mount to ride',100,1,6),
(221123,10046479,'Increases your ground speed by 75%',100,2,7),
(221124,10046479,'Increases your air speed by 150%',100,2,8),
(221125,111567,'Inflicts 3482 - 6466 cold damage on target',100,1,0),
(221126,111567,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(221127,111567,'Stuns target',100,2,2),
(221128,111567,'Throws target back',100,2,3),
(221129,111567,'Blurs vision of target',100,2,4),
(221130,111567,'Does not affect Epic targets',100,2,5),
(221131,10111567,'Inflicts 3273 - 6078 cold damage on target',100,1,0),
(221132,10111567,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(221133,10111567,'Stuns target',100,2,2),
(221134,10111567,'Throws target back',100,2,3),
(221135,10111567,'Blurs vision of target',100,2,4),
(221136,10111567,'Does not affect Epic targets',100,2,5),
(221137,163287,'Applies Burrowing Swarm II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(221138,163287,'Inflicts 23 - 29 poison damage on target',100,1,1),
(221139,163287,'Inflicts 29 - 36 poison damage on target every second',100,1,2),
(221140,163287,'Inflicts an additional 11 - 14 poison damage on target every tick',100,1,3),
(221141,163287,'Applies Boneshatter II on termination.',100,1,4),
(221142,163287,'Inflicts 939 - 1037 crushing damage on targets in Area of Effect',100,2,5),
(221143,163287,'Must not be engaged in pvp combat',100,2,6),
(221144,163287,'Cannot be modified except by direct means',100,2,7),
(221145,163287,'Must not be engaged in pvp combat',100,1,8),
(221146,163287,'Cannot be modified except by direct means',100,1,9),
(221147,163287,'The reuse time of Burrowing Swarm II is 10 minutes',100,1,10),
(221148,10163287,'Applies Burrowing Swarm II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(221149,10163287,'Inflicts 30 - 37 poison damage on target',100,1,1),
(221150,10163287,'Inflicts 38 - 46 poison damage on target every second',100,1,2),
(221151,10163287,'Inflicts an additional 11 - 14 poison damage on target every tick',100,1,3),
(221152,10163287,'Applies Boneshatter II on termination.',100,1,4),
(221153,10163287,'Inflicts 1220 - 1349 crushing damage on targets in Area of Effect',100,2,5),
(221154,10163287,'Must not be engaged in pvp combat',100,2,6),
(221155,10163287,'Cannot be modified except by direct means',100,2,7),
(221156,10163287,'Must not be engaged in pvp combat',100,1,8),
(221157,10163287,'Cannot be modified except by direct means',100,1,9),
(221158,10163287,'The reuse time of Burrowing Swarm II is 10 minutes',100,1,10),
(221159,82874,'When Equipped:',100,0,0),
(221160,82874,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(221161,82874,'Inflicts 350 - 650 magic damage on target',100,2,2),
(221162,82874,'Decreases Threat to target by 833 ',100,2,3),
(221163,82874,'Must be flanking or behind',100,3,4),
(221164,82874,'Increases Threat to target by 833 ',100,2,5),
(221165,82874,'Must be in front of',100,3,6),
(221166,82874,'Cannot be modified except by direct means',100,2,7),
(221167,10082874,'When Equipped:',100,0,0),
(221168,10082874,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(221169,10082874,'Inflicts 455 - 845 magic damage on target',100,2,2),
(221170,10082874,'Cannot be modified except by direct means',100,2,3),
(221171,123044,'Summons a pet undead knight',100,1,0),
(221172,10123044,'Summons a pet undead knight',100,1,0),
(221173,166532,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(221174,166532,'Increases Attack Speed of caster by 100.0',100,1,1),
(221175,166532,'Must not be engaged in pvp combat',100,1,2),
(221176,166532,'Cannot be modified except by direct means',100,1,3),
(221177,166532,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(221178,166532,'When Equipped:',100,0,5),
(221179,166532,'On a critical combat hit this spell may cast Umbral Lightning VII on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(221180,166532,'Inflicts 1087 - 1329 magic damage on target',100,2,7),
(221181,166532,'Must not be engaged in pvp combat',100,2,8),
(221182,166532,'Cannot be modified except by direct means',100,2,9),
(221183,166532,'On a critical spell hit this spell may cast Umbral Lightning VII on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(221184,166532,'Inflicts 1087 - 1329 magic damage on target',100,2,11),
(221185,166532,'Must not be engaged in pvp combat',100,2,12),
(221186,166532,'Cannot be modified except by direct means',100,2,13),
(221187,166532,'Must not be engaged in pvp combat',100,1,14),
(221188,166532,'Cannot be modified except by direct means',100,1,15),
(221189,10166532,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(221190,10166532,'Increases Attack Speed of caster by 100.0',100,1,1),
(221191,10166532,'Must not be engaged in pvp combat',100,1,2),
(221192,10166532,'Cannot be modified except by direct means',100,1,3),
(221193,10166532,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(221194,10166532,'When Equipped:',100,0,5),
(221195,10166532,'On a critical combat hit this spell may cast Umbral Lightning VII on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(221196,10166532,'Inflicts 1414 - 1728 magic damage on target',100,2,7),
(221197,10166532,'Must not be engaged in pvp combat',100,2,8),
(221198,10166532,'Cannot be modified except by direct means',100,2,9),
(221199,10166532,'On a critical spell hit this spell may cast Umbral Lightning VII on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(221200,10166532,'Inflicts 1414 - 1728 magic damage on target',100,2,11),
(221201,10166532,'Must not be engaged in pvp combat',100,2,12),
(221202,10166532,'Cannot be modified except by direct means',100,2,13),
(221203,10166532,'Must not be engaged in pvp combat',100,1,14),
(221204,10166532,'Cannot be modified except by direct means',100,1,15),
(221205,159852,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(221206,159852,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221207,159852,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(221208,159852,'Cannot be modified except by direct means',100,2,3),
(221209,10159852,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(221210,10159852,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221211,10159852,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(221212,10159852,'Cannot be modified except by direct means',100,2,3),
(221213,105065,'Inflicts 30 - 41 magic damage on target',100,1,0),
(221214,10105065,'Inflicts 39 - 53 magic damage on target',100,1,0),
(221215,82676,'When Equipped:',100,0,0),
(221216,82676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221217,82676,'Inflicts 106 - 197 magic damage on target',100,2,2),
(221218,82676,'Cannot be modified except by direct means',100,2,3),
(221219,10082676,'When Equipped:',100,0,0),
(221220,10082676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221221,10082676,'Inflicts 138 - 256 magic damage on target',100,2,2),
(221222,10082676,'Cannot be modified except by direct means',100,2,3),
(221223,102465,'Stuns target encounter',100,1,0),
(221224,102465,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(221225,102465,'Resistibility increases against targets higher than level 110.',100,1,2),
(221226,10102465,'Stuns target encounter',100,1,0),
(221227,10102465,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(221228,10102465,'Resistibility increases against targets higher than level 110.',100,1,2),
(221229,108028,'Inflicts 111 magic damage on target',100,1,0),
(221230,108028,'Increases power of caster by 33',100,1,1),
(221231,10108028,'Inflicts 144 magic damage on target',100,1,0),
(221232,10108028,'Increases power of caster by 33',100,1,1),
(221233,111274,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(221234,111274,'Heals target for 2400',100,2,1),
(221235,111274,'Increases Mitigation of target vs physical damage by 1344',100,2,2),
(221236,111274,'Grants a total of 1 trigger of the spell.',100,2,3),
(221237,10111274,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(221238,10111274,'Heals target for 1560',100,2,1),
(221239,10111274,'Increases Mitigation of target vs physical damage by 1344',100,2,2),
(221240,10111274,'Grants a total of 1 trigger of the spell.',100,2,3),
(221241,118609,'Roots target',100,1,0),
(221242,118609,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(221243,118609,'Slows target by 68.5%',100,2,2),
(221244,118609,'5% chance to dispel when target receives hostile action',100,2,3),
(221245,118609,'5% chance to dispel when target takes damage',100,2,4),
(221246,118609,'5% chance to dispel when target takes damage',100,1,5),
(221247,118609,'Does not affect Epic targets',100,1,6),
(221248,118609,'Resistibility increases against targets higher than level 93.',100,1,7),
(221249,10118609,'Roots target',100,1,0),
(221250,10118609,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(221251,10118609,'Slows target by 68.5%',100,2,2),
(221252,10118609,'5% chance to dispel when target receives hostile action',100,2,3),
(221253,10118609,'5% chance to dispel when target takes damage',100,2,4),
(221254,10118609,'5% chance to dispel when target takes damage',100,1,5),
(221255,10118609,'Does not affect Epic targets',100,1,6),
(221256,10118609,'Resistibility increases against targets higher than level 93.',100,1,7),
(221257,109747,'Inflicts 75 - 139 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(221258,10109747,'Inflicts 97 - 181 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(221259,24709,'Adds Spider (Coercer) to your Dungeon Maker toolbox',100,0,0),
(221260,10024709,'Adds Spider (Coercer) to your Dungeon Maker toolbox',100,0,0),
(221261,24685,'Adds Sister Thog MacGilly to your Dungeon Maker toolbox',100,0,0),
(221262,10024685,'Adds Sister Thog MacGilly to your Dungeon Maker toolbox',100,0,0),
(221263,87441,'When Equipped:',100,0,0),
(221264,87441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221265,87441,'Inflicts 44 - 66 magic damage on target',100,2,2),
(221266,87441,'Cannot be modified except by direct means',100,2,3),
(221267,10087441,'When Equipped:',100,0,0),
(221268,10087441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221269,10087441,'Inflicts 57 - 85 magic damage on target',100,2,2),
(221270,10087441,'Cannot be modified except by direct means',100,2,3),
(221271,111761,'Heals caster for 62 - 75',100,1,0),
(221272,111761,'This effect cannot be critically applied.',100,2,1),
(221273,111761,'The healing of this spell cannot be modified except by direct means',100,1,2),
(221274,10111761,'Heals caster for 31 - 38',100,1,0),
(221275,10111761,'This effect cannot be critically applied.',100,2,1),
(221276,10111761,'The healing of this spell cannot be modified except by direct means',100,1,2),
(221277,143827,'When Equipped:',100,0,0),
(221278,143827,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221279,143827,'Wards target against 1000 points of all damage',100,2,2),
(221280,143827,'Cannot be modified except by direct means',100,2,3),
(221281,10143827,'When Equipped:',100,0,0),
(221282,10143827,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221283,10143827,'Wards target against 1000 points of all damage',100,2,2),
(221284,10143827,'Cannot be modified except by direct means',100,2,3),
(221285,161977,'When Equipped:',100,0,0),
(221286,161977,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(221287,161977,'Inflicts 1998 disease damage on target encounter',100,2,2),
(221288,161977,'Must not be engaged in pvp combat',100,2,3),
(221289,161977,'Cannot be modified except by direct means',100,2,4),
(221290,10161977,'When Equipped:',100,0,0),
(221291,10161977,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(221292,10161977,'Inflicts 1299 disease damage on target encounter',100,2,2),
(221293,10161977,'Must not be engaged in pvp combat',100,2,3),
(221294,10161977,'Cannot be modified except by direct means',100,2,4),
(221295,41874,'When Equipped:',100,0,0),
(221296,41874,'This effect will not stack with any rank or tier of itself.',100,1,1),
(221297,41874,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(221298,41874,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(221299,41874,'Increases Attack Speed of caster by 11.0',100,1,4),
(221300,41874,'Cannot be modified except by direct means',100,1,5),
(221301,10041874,'When Equipped:',100,0,0),
(221302,10041874,'This effect will not stack with any rank or tier of itself.',100,1,1),
(221303,10041874,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(221304,10041874,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(221305,10041874,'Increases Attack Speed of caster by 11.0',100,1,4),
(221306,10041874,'Cannot be modified except by direct means',100,1,5),
(221307,81770,'When Equipped:',100,0,0),
(221308,81770,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221309,81770,'Inflicts 164 - 305 magic damage on target',100,2,2),
(221310,81770,'Cannot be modified except by direct means',100,2,3),
(221311,10081770,'When Equipped:',100,0,0),
(221312,10081770,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221313,10081770,'Inflicts 213 - 396 magic damage on target',100,2,2),
(221314,10081770,'Cannot be modified except by direct means',100,2,3),
(221315,109963,'Inflicts 392 - 588 disease damage on targets in Area of Effect',100,1,0),
(221316,109963,'Inflicts 196 - 294 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(221317,109963,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(221318,109963,'Increases Threat to targets in Area of Effect by 978 - 1,196  instantly and every 4 seconds thereafter',100,1,3),
(221319,10109963,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(221320,10109963,'Prevents target from changing targets',100,2,1),
(221321,10109963,'Forces target to change their selected target to caster.',100,2,2),
(221322,10109963,'Inflicts 510 - 765 disease damage on targets in Area of Effect',100,1,3),
(221323,10109963,'Inflicts 255 - 382 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(221324,81428,'When Equipped:',100,0,0),
(221325,81428,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221326,81428,'Inflicts 109 - 202 magic damage on target',100,2,2),
(221327,81428,'Cannot be modified except by direct means',100,2,3),
(221328,10081428,'When Equipped:',100,0,0),
(221329,10081428,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221330,10081428,'Inflicts 142 - 263 magic damage on target',100,2,2),
(221331,10081428,'Cannot be modified except by direct means',100,2,3),
(221332,117251,'Inflicts 80 slashing damage on target every 4 seconds',100,1,0),
(221333,117251,'Inflicts 398 - 663 melee damage on target',100,1,1),
(221334,10117251,'Inflicts 103 slashing damage on target every 4 seconds',100,1,0),
(221335,10117251,'Inflicts 517 - 863 melee damage on target',100,1,1),
(221336,119675,'Increases Threat to target encounter by 64 - 79 ',100,1,0),
(221337,10119675,'Prevents target encounter from changing targets',100,1,0),
(221338,10119675,'Forces target encounter to change their selected target to caster.',100,1,1),
(221339,108585,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(221340,108585,'Increases STR, INT, WIS and AGI of group members (AE) by 26.8',100,2,1),
(221341,108585,'Increases STA of group members (AE) by 53.5',100,2,2),
(221342,108585,'Adds 0.7% to base avoidance.',100,2,3),
(221343,108585,'Increases Mitigation of group members (AE) vs noxious damage by 68',100,2,4),
(221344,108585,'Heals group members (AE) for 75 - 92 instantly and every 3 seconds',100,2,5),
(221345,108585,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 68',100,2,6),
(221346,10108585,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(221347,10108585,'Increases STR, INT, WIS and AGI of group members (AE) by 26.8',100,2,1),
(221348,10108585,'Increases STA of group members (AE) by 53.5',100,2,2),
(221349,10108585,'Adds 0.7% to base avoidance.',100,2,3),
(221350,10108585,'Increases Mitigation of group members (AE) vs noxious damage by 68',100,2,4),
(221351,10108585,'Heals group members (AE) for 49 - 60 instantly and every 3 seconds',100,2,5),
(221352,10108585,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 68',100,2,6),
(221353,48239,'Applies Call Stallion when Activated.',100,0,0),
(221354,48239,'Summons a mount to ride',100,1,1),
(221355,48239,'Increases your ground speed by 130%',100,2,2),
(221356,48239,'Increases Disruption, Ranged, Piercing, Focus, Slashing, Ministration, Ordination, Aggression, Crushing and Subjugation of caster by 5.0',100,1,3),
(221357,10048239,'Applies Call Stallion when Activated.',100,0,0),
(221358,10048239,'Summons a mount to ride',100,1,1),
(221359,10048239,'Increases your ground speed by 130%',100,2,2),
(221360,10048239,'Increases Disruption, Ranged, Piercing, Focus, Slashing, Ministration, Ordination, Aggression, Crushing and Subjugation of caster by 5.0',100,1,3),
(221361,116991,'Inflicts 6 - 18 melee damage on target',100,1,0),
(221362,10116991,'Inflicts 7 - 23 melee damage on target',100,1,0),
(221363,83982,'Applies Lightning Shock when Activated.',100,0,0),
(221364,83982,'Inflicts 113 - 189 magic damage on target',100,1,1),
(221365,83982,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(221366,10083982,'Applies Lightning Shock when Activated.',100,0,0),
(221367,10083982,'Inflicts 147 - 246 magic damage on target',100,1,1),
(221368,10083982,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(221369,121141,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(221370,121141,'Increases Mitigation of group members (AE) vs noxious damage by 190',100,1,1),
(221371,10121141,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(221372,10121141,'Increases Mitigation of group members (AE) vs noxious damage by 190',100,1,1),
(221373,41438,'When Equipped:',100,0,0),
(221374,41438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221375,41438,'Inflicts 226 - 419 magic damage on target',100,2,2),
(221376,41438,'Cannot be modified except by direct means',100,2,3),
(221377,10041438,'When Equipped:',100,0,0),
(221378,10041438,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221379,10041438,'Inflicts 293 - 545 magic damage on target',100,2,2),
(221380,10041438,'Cannot be modified except by direct means',100,2,3),
(221381,112396,'Increases Crushing, Piercing, Slashing and Ranged of target by 40.8',100,1,0),
(221382,112396,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(221383,112396,'Inflicts 484 - 592 piercing damage on target',100,2,2),
(221384,112396,'Inflicts 242 - 296 piercing damage on target every 3 seconds',100,2,3),
(221385,10112396,'Increases Crushing, Piercing, Slashing and Ranged of target by 40.8',100,1,0),
(221386,10112396,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(221387,10112396,'Inflicts 629 - 769 piercing damage on target',100,2,2),
(221388,10112396,'Inflicts 315 - 385 piercing damage on target every 3 seconds',100,2,3),
(221389,119645,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(221390,119645,'Throws target back',100,2,1),
(221391,119645,'Stuns target',100,2,2),
(221392,119645,'Blurs vision of target',100,2,3),
(221393,119645,'Does not affect Epic targets',100,2,4),
(221394,119645,'Inflicts 61 - 183 melee damage on target',100,1,5),
(221395,10119645,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(221396,10119645,'Throws target back',100,2,1),
(221397,10119645,'Stuns target',100,2,2),
(221398,10119645,'Blurs vision of target',100,2,3),
(221399,10119645,'Does not affect Epic targets',100,2,4),
(221400,10119645,'Inflicts 79 - 238 melee damage on target',100,1,5),
(221401,108436,'Increases INT, AGI, STR and WIS of group members (AE) by 77.0',100,1,0),
(221402,108436,'Adds 2.4% to base avoidance.',100,1,1),
(221403,108436,'Increases Ability Reuse Speed of group members (AE) by 8.4%',100,1,2),
(221404,108436,'Increases Attack Speed of group members (AE) by 52.9',100,1,3),
(221405,108436,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 225',100,1,4),
(221406,10108436,'Increases INT, AGI, STR and WIS of group members (AE) by 77.0',100,1,0),
(221407,10108436,'Adds 2.4% to base avoidance.',100,1,1),
(221408,10108436,'Increases Ability Reuse Speed of group members (AE) by 8.4%',100,1,2),
(221409,10108436,'Increases Attack Speed of group members (AE) by 52.9',100,1,3),
(221410,10108436,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 225',100,1,4),
(221411,104732,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(221412,104732,'Decreases Mitigation of target vs elemental and arcane damage by 980',100,2,1),
(221413,104732,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(221414,104732,'Decreases Mitigation of target vs elemental and arcane damage by 980',100,2,3),
(221415,10104732,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(221416,10104732,'Decreases Mitigation of target vs elemental and arcane damage by 980',100,2,1),
(221417,10104732,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(221418,10104732,'Decreases Mitigation of target vs elemental and arcane damage by 980',100,2,3),
(221419,104364,'Charms target',100,1,0),
(221420,104364,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(221421,104364,'Mesmerizes target',100,2,2),
(221422,104364,'Dispelled when target takes damage',100,2,3),
(221423,104364,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(221424,104364,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(221425,104364,'Grants Sonic Vision to caster',100,2,6),
(221426,104364,'Increases Out-of-Combat Power Regeneration of target by 48.0',100,1,7),
(221427,104364,'Increases Out-of-Combat Health Regeneration of target by 97.9',100,1,8),
(221428,104364,'Certain enemies cannot be charmed',100,1,9),
(221429,104364,'Does not affect Epic targets',100,1,10),
(221430,10104364,'Mesmerizes target',100,1,0),
(221431,10104364,'Prevents AOE (except when direct) ',100,1,1),
(221432,10104364,'Dispelled when target takes damage',100,1,2),
(221433,10104364,'Certain enemies cannot be charmed',100,1,3),
(221434,10104364,'Does not affect Epic targets',100,1,4),
(221435,10104364,'Resistibility increases against targets higher than level 113.',100,1,5),
(221436,174986,'When Equipped:',100,0,0),
(221437,174986,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(221438,174986,'Heals caster for 329',100,2,2),
(221439,174986,'Cannot be modified except by direct means',100,2,3),
(221440,10174986,'When Equipped:',100,0,0),
(221441,10174986,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(221442,10174986,'Heals caster for 214',100,2,2),
(221443,10174986,'Cannot be modified except by direct means',100,2,3),
(221444,117830,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(221445,117830,'Heals target for 134 - 164 instantly and every 2 seconds',100,2,1),
(221446,117830,'If at 50% Health or less',100,3,2),
(221447,117830,'Heals target for 67 - 82 instantly and every 2 seconds',100,2,3),
(221448,117830,'If over 50% Health',100,3,4),
(221449,10117830,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(221450,10117830,'Heals target for 20 - 24 instantly and every 2 seconds',100,2,1),
(221451,10117830,'If over 50% Health',100,3,2),
(221452,10117830,'Heals target for 33 - 40 instantly and every 2 seconds',100,2,3),
(221453,10117830,'If at 50% Health or less',100,3,4),
(221454,71692,'When Equipped:',100,0,0),
(221455,71692,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221456,71692,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(221457,71692,'Cannot be modified except by direct means',100,2,3),
(221458,10071692,'When Equipped:',100,0,0),
(221459,10071692,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221460,10071692,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(221461,10071692,'Cannot be modified except by direct means',100,2,3),
(221462,104832,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(221463,104832,'If Fighter',100,2,1),
(221464,104832,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(221465,104832,'Increases power of target by 43',100,2,3),
(221466,104832,'Increases power of caster by 43',100,2,4),
(221467,10104832,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(221468,10104832,'Increases power of target by 43',100,2,1),
(221469,10104832,'Increases power of caster by 43',100,2,2),
(221470,167512,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(221471,167512,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(221472,167512,'Cannot be modified except by direct means',100,1,2),
(221473,10167512,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(221474,10167512,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(221475,10167512,'Cannot be modified except by direct means',100,1,2),
(221476,80174,'When Equipped:',100,0,0),
(221477,80174,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221478,80174,'Inflicts 234 - 434 magic damage on target',100,2,2),
(221479,80174,'Cannot be modified except by direct means',100,2,3),
(221480,10080174,'When Equipped:',100,0,0),
(221481,10080174,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221482,10080174,'Inflicts 304 - 564 magic damage on target',100,2,2),
(221483,10080174,'Cannot be modified except by direct means',100,2,3),
(221484,71566,'When Equipped:',100,0,0),
(221485,71566,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221486,71566,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(221487,71566,'Cannot be modified except by direct means',100,2,3),
(221488,10071566,'When Equipped:',100,0,0),
(221489,10071566,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221490,10071566,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(221491,10071566,'Cannot be modified except by direct means',100,2,3),
(221492,110492,'Stifles caster',100,1,0),
(221493,110492,'Increases power of caster by 36 instantly and every second',100,1,1),
(221494,10110492,'Stifles caster',100,1,0),
(221495,10110492,'Increases power of caster by 36 instantly and every second',100,1,1),
(221496,123581,'Increases STR of group members (AE) by 65.8',100,1,0),
(221497,123581,'Increases Max Health of group members (AE) by 582.4',100,1,1),
(221498,10123581,'Increases STR of group members (AE) by 65.8',100,1,0),
(221499,10123581,'Increases Max Health of group members (AE) by 582.4',100,1,1),
(221500,42305,'When Equipped:',100,0,0),
(221501,42305,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(221502,42305,'Increases Attack Speed of caster by 4.5',100,1,2),
(221503,42305,'Increases Damage Per Second of caster by 11.0',100,1,3),
(221504,42305,'This effect will not stack with any rank or tier of itself.',100,1,4),
(221505,42305,'Cannot be modified except by direct means',100,1,5),
(221506,10042305,'When Equipped:',100,0,0),
(221507,10042305,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(221508,10042305,'Increases Attack Speed of caster by 4.5',100,1,2),
(221509,10042305,'Increases Damage Per Second of caster by 11.0',100,1,3),
(221510,10042305,'This effect will not stack with any rank or tier of itself.',100,1,4),
(221511,10042305,'Cannot be modified except by direct means',100,1,5),
(221512,114561,'Heals target for 1067 - 1304',100,1,0),
(221513,10114561,'Heals target for 2497 - 3052',100,1,0),
(221514,110193,'Applies Untreated Bleeding on termination.',100,1,0),
(221515,110193,'Inflicts 825 - 1374 piercing damage on target',100,2,1),
(221516,110193,'Inflicts 177 - 295 piercing damage on target instantly and every 4 seconds',100,1,2),
(221517,110193,'Inflicts 117 - 196 melee damage on target',100,1,3),
(221518,10110193,'Applies Untreated Bleeding on termination.',100,1,0),
(221519,10110193,'Inflicts 1072 - 1787 piercing damage on target',100,2,1),
(221520,10110193,'Inflicts 230 - 383 piercing damage on target instantly and every 4 seconds',100,1,2),
(221521,10110193,'Inflicts 153 - 255 melee damage on target',100,1,3),
(221522,143679,'When Equipped:',100,0,0),
(221523,143679,'Wards caster against 506 points of noxious damage',100,1,1),
(221524,143679,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(221525,143679,'Inflicts 253 disease damage on target',100,2,3),
(221526,143679,'Inflicts 253 poison damage on target',100,2,4),
(221527,143679,'Cannot be modified except by direct means',100,2,5),
(221528,143679,'When Equipped:',100,0,6),
(221529,143679,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(221530,143679,'Inflicts 281 mental damage on target',100,2,8),
(221531,143679,'Must not be classified as an undead',100,3,9),
(221532,143679,'Inflicts 562 mental damage on target',100,2,10),
(221533,143679,'Must be classified as an undead',100,3,11),
(221534,143679,'Decreases Mitigation of target vs arcane damage by 410',100,2,12),
(221535,143679,'Must be classified as an undead',100,3,13),
(221536,143679,'Cannot be modified except by direct means',100,2,14),
(221537,143679,'Additional equipment with Undead Bane improves this effect.',100,1,15),
(221538,10143679,'When Equipped:',100,0,0),
(221539,10143679,'Wards caster against 506 points of noxious damage',100,1,1),
(221540,10143679,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(221541,10143679,'Inflicts 329 disease damage on target',100,2,3),
(221542,10143679,'Inflicts 329 poison damage on target',100,2,4),
(221543,10143679,'Cannot be modified except by direct means',100,2,5),
(221544,10143679,'When Equipped:',100,0,6),
(221545,10143679,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(221546,10143679,'Inflicts 365 mental damage on target',100,2,8),
(221547,10143679,'Must not be classified as an undead',100,3,9),
(221548,10143679,'Inflicts 731 mental damage on target',100,2,10),
(221549,10143679,'Must be classified as an undead',100,3,11),
(221550,10143679,'Decreases Mitigation of target vs arcane damage by 410',100,2,12),
(221551,10143679,'Must be classified as an undead',100,3,13),
(221552,10143679,'Cannot be modified except by direct means',100,2,14),
(221553,10143679,'Additional equipment with Undead Bane improves this effect.',100,1,15),
(221554,87667,'When Equipped:',100,0,0),
(221555,87667,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(221556,87667,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(221557,87667,'Increases Potency of caster by 11.0%',100,2,3),
(221558,87667,'Must not be engaged in pvp combat',100,2,4),
(221559,87667,'Cannot be modified except by direct means',100,2,5),
(221560,87667,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(221561,87667,'Increases Potency of caster by 11.0%',100,2,7),
(221562,87667,'Must not be engaged in pvp combat',100,2,8),
(221563,87667,'Cannot be modified except by direct means',100,2,9),
(221564,87667,'Cannot be modified except by direct means',100,1,10),
(221565,10087667,'When Equipped:',100,0,0),
(221566,10087667,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(221567,10087667,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(221568,10087667,'Increases Potency of caster by 11.0%',100,2,3),
(221569,10087667,'Must not be engaged in pvp combat',100,2,4),
(221570,10087667,'Cannot be modified except by direct means',100,2,5),
(221571,10087667,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(221572,10087667,'Increases Potency of caster by 11.0%',100,2,7),
(221573,10087667,'Must not be engaged in pvp combat',100,2,8),
(221574,10087667,'Cannot be modified except by direct means',100,2,9),
(221575,10087667,'Cannot be modified except by direct means',100,1,10),
(221576,27472,'When Equipped:',100,0,0),
(221577,27472,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(221578,27472,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(221579,10027472,'When Equipped:',100,0,0),
(221580,10027472,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(221581,10027472,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(221582,144240,'When Equipped:',100,0,0),
(221583,144240,'Increases Attack Speed of caster by 35.0',100,1,1),
(221584,10144240,'When Equipped:',100,0,0),
(221585,10144240,'Increases Attack Speed of caster by 35.0',100,1,1),
(221586,186992,'When Equipped:',100,0,0),
(221587,186992,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221588,186992,'Inflicts 2398 magic damage on target',100,2,2),
(221589,186992,'Decreases Damage Per Second of target by 20.0',100,2,3),
(221590,186992,'Cannot be modified except by direct means',100,2,4),
(221591,186992,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(221592,186992,'Inflicts 2398 magic damage on target',100,2,6),
(221593,186992,'Decreases Damage Per Second of target by 20.0',100,2,7),
(221594,186992,'Cannot be modified except by direct means',100,2,8),
(221595,10186992,'When Equipped:',100,0,0),
(221596,10186992,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221597,10186992,'Inflicts 3117 magic damage on target',100,2,2),
(221598,10186992,'Decreases Damage Per Second of target by 20.0',100,2,3),
(221599,10186992,'Cannot be modified except by direct means',100,2,4),
(221600,10186992,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(221601,10186992,'Inflicts 3117 magic damage on target',100,2,6),
(221602,10186992,'Decreases Damage Per Second of target by 20.0',100,2,7),
(221603,10186992,'Cannot be modified except by direct means',100,2,8),
(221604,107381,'Decreases Ability Casting Speed of targets in Area of Effect by 42.0%',100,1,0),
(221605,107381,'Inflicts 235 - 287 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(221606,10107381,'Decreases Ability Casting Speed of targets in Area of Effect by 42.0%',100,1,0),
(221607,10107381,'Inflicts 306 - 373 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(221608,118950,'Applies Sacrifice.',100,1,0),
(221609,118950,'Increases power of group members (AE) by 85',100,2,1),
(221610,118950,'Heals group members (AE) for 299',100,2,2),
(221611,118950,'Stuns target',100,1,3),
(221612,10118950,'Applies Sacrifice.',100,1,0),
(221613,10118950,'Increases power of group members (AE) by 85',100,2,1),
(221614,10118950,'Heals group members (AE) for 417',100,2,2),
(221615,10118950,'Stuns target',100,1,3),
(221616,87305,'When Equipped:',100,0,0),
(221617,87305,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221618,87305,'Inflicts 111 - 166 magic damage on target',100,2,2),
(221619,87305,'Cannot be modified except by direct means',100,2,3),
(221620,10087305,'When Equipped:',100,0,0),
(221621,10087305,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221622,10087305,'Inflicts 144 - 216 magic damage on target',100,2,2),
(221623,10087305,'Cannot be modified except by direct means',100,2,3),
(221624,119305,'Roots target',100,1,0),
(221625,119305,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(221626,119305,'Slows target by 34.8%',100,2,2),
(221627,119305,'5% chance to dispel when target receives hostile action',100,2,3),
(221628,119305,'5% chance to dispel when target takes damage',100,2,4),
(221629,119305,'15% chance to dispel when target takes damage',100,1,5),
(221630,119305,'Does not affect Epic targets',100,1,6),
(221631,119305,'Resistibility increases against targets higher than level 62.',100,1,7),
(221632,10119305,'Roots target',100,1,0),
(221633,10119305,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(221634,10119305,'Slows target by 34.8%',100,2,2),
(221635,10119305,'5% chance to dispel when target receives hostile action',100,2,3),
(221636,10119305,'5% chance to dispel when target takes damage',100,2,4),
(221637,10119305,'15% chance to dispel when target takes damage',100,1,5),
(221638,10119305,'Does not affect Epic targets',100,1,6),
(221639,10119305,'Resistibility increases against targets higher than level 62.',100,1,7),
(221640,120689,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.6',100,1,0),
(221641,10120689,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.6',100,1,0),
(221642,72290,'When Equipped:',100,0,0),
(221643,72290,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221644,72290,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(221645,72290,'Cannot be modified except by direct means',100,2,3),
(221646,10072290,'When Equipped:',100,0,0),
(221647,10072290,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221648,10072290,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(221649,10072290,'Cannot be modified except by direct means',100,2,3),
(221650,175413,'When Equipped:',100,0,0),
(221651,175413,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(221652,175413,'Inflicts 281 mental damage on target',100,2,2),
(221653,175413,'Must not be classified as a goblin',100,3,3),
(221654,175413,'Inflicts 562 mental damage on target',100,2,4),
(221655,175413,'Must be classified as a goblin',100,3,5),
(221656,175413,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(221657,175413,'Must be classified as a goblin',100,3,7),
(221658,175413,'Cannot be modified except by direct means',100,2,8),
(221659,175413,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(221660,10175413,'When Equipped:',100,0,0),
(221661,10175413,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(221662,10175413,'Inflicts 365 mental damage on target',100,2,2),
(221663,10175413,'Must not be classified as a goblin',100,3,3),
(221664,10175413,'Inflicts 731 mental damage on target',100,2,4),
(221665,10175413,'Must be classified as a goblin',100,3,5),
(221666,10175413,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(221667,10175413,'Must be classified as a goblin',100,3,7),
(221668,10175413,'Cannot be modified except by direct means',100,2,8),
(221669,10175413,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(221670,122782,'Heals group members (AE) for 2059 - 2517',100,1,0),
(221671,122782,'Increases Max Health of group members (AE) by 329.8',100,1,1),
(221672,10122782,'Heals group members (AE) for 4337 - 5300',100,1,0),
(221673,10122782,'Increases Max Health of group members (AE) by 329.8',100,1,1),
(221674,47302,'Applies Sigismond''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(221675,47302,'Increases STR and STA of caster by 39.0',100,1,1),
(221676,10047302,'Applies Sigismond''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(221677,10047302,'Increases STR and STA of caster by 39.0',100,1,1),
(221678,83994,'Applies Lightning Shock when Activated.',100,0,0),
(221679,83994,'Inflicts 370 - 616 magic damage on target',100,1,1),
(221680,83994,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(221681,10083994,'Applies Lightning Shock when Activated.',100,0,0),
(221682,10083994,'Inflicts 481 - 801 magic damage on target',100,1,1),
(221683,10083994,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(221684,108023,'Inflicts 111 magic damage on target',100,1,0),
(221685,108023,'Increases power of caster by 39',100,1,1),
(221686,10108023,'Inflicts 144 magic damage on target',100,1,0),
(221687,10108023,'Increases power of caster by 39',100,1,1),
(221688,35805,'Increases INT and STA of target by 1.1',100,0,0),
(221689,35805,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(221690,113114,'Heals target for 65.5 - 80.1% of max health',100,1,0),
(221691,113114,'This effect cannot be critically applied.',100,2,1),
(221692,113114,'Increases Max Health of target by 1,097.2',100,1,2),
(221693,113114,'Increases Mitigation of target vs physical damage by 1258',100,1,3),
(221694,113114,'The healing of this spell cannot be modified except by direct means',100,1,4),
(221695,10113114,'Heals target for 26.2 - 32.0% of max health',100,1,0),
(221696,10113114,'This effect cannot be critically applied.',100,2,1),
(221697,10113114,'Increases Max Health of target by 1,097.2',100,1,2),
(221698,10113114,'Increases Mitigation of target vs physical damage by 1258',100,1,3),
(221699,10113114,'The healing of this spell cannot be modified except by direct means',100,1,4),
(221700,121758,'Heals target for 8 - 10',100,1,0),
(221701,121758,'Heals target for 1 - 2 every second',100,1,1),
(221702,10121758,'Heals target for 14 - 17',100,1,0),
(221703,10121758,'Heals target for 1 every second',100,1,1),
(221704,121849,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(221705,121849,'Increases Mitigation of group members (AE) vs arcane damage by 1738',100,1,1),
(221706,10121849,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(221707,10121849,'Increases Mitigation of group members (AE) vs arcane damage by 1738',100,1,1),
(221708,106630,'Inflicts 801 - 980 disease damage on target',100,1,0),
(221709,106630,'Heals caster for 8.6 - 10.6% of max health',100,1,1),
(221710,106630,'This effect cannot be critically applied.',100,2,2),
(221711,106630,'The healing of this spell cannot be modified except by direct means',100,1,3),
(221712,10106630,'Inflicts 1042 - 1273 disease damage on target',100,1,0),
(221713,10106630,'Heals caster for 2.9 - 3.5% of max health',100,1,1),
(221714,10106630,'This effect cannot be critically applied.',100,2,2),
(221715,10106630,'The healing of this spell cannot be modified except by direct means',100,1,3),
(221716,119025,'Inflicts 7 - 12 mental damage on target',100,1,0),
(221717,119025,'Decreases power of target by 7 - 12',100,1,1),
(221718,119025,'Increases power of caster by 3 - 5',100,1,2),
(221719,10119025,'Inflicts 9 - 16 mental damage on target',100,1,0),
(221720,10119025,'Decreases power of target by 7 - 12',100,1,1),
(221721,10119025,'Increases power of caster by 3 - 5',100,1,2),
(221722,109053,'Increases Attack Speed of caster by 37.3',100,1,0),
(221723,109053,'Decreases Defense of caster by 18.9',100,1,1),
(221724,109053,'Increases Slashing, Piercing, Crushing and Ranged of caster by 39.7',100,1,2),
(221725,10109053,'Increases Attack Speed of caster by 37.3',100,1,0),
(221726,10109053,'Decreases Defense of caster by 18.9',100,1,1),
(221727,10109053,'Increases Slashing, Piercing, Crushing and Ranged of caster by 39.7',100,1,2),
(221728,121366,'Inflicts 115 - 214 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(221729,10121366,'Inflicts 150 - 278 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(221730,159706,'When Equipped:',100,0,0),
(221731,159706,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221732,159706,'Increases STR of caster by 16.3',100,2,2),
(221733,159706,'Increases Damage Per Second of caster by 22.7',100,2,3),
(221734,159706,'Cannot be modified except by direct means',100,2,4),
(221735,10159706,'When Equipped:',100,0,0),
(221736,10159706,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(221737,10159706,'Increases STR of caster by 16.3',100,2,2),
(221738,10159706,'Increases Damage Per Second of caster by 22.7',100,2,3),
(221739,10159706,'Cannot be modified except by direct means',100,2,4),
(221740,52880,'Applies Sanguine Imbued when Equipped.',100,0,0),
(221741,52880,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(221742,52880,'Inflicts 224 heat damage on target',100,2,2),
(221743,52880,'Cannot be modified except by direct means',100,2,3),
(221744,10052880,'Applies Sanguine Imbued when Equipped.',100,0,0),
(221745,10052880,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(221746,10052880,'Inflicts 291 heat damage on target',100,2,2),
(221747,10052880,'Cannot be modified except by direct means',100,2,3),
(221748,159289,'Applies Lambent Imbued when Equipped.',100,0,0),
(221749,159289,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221750,159289,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(221751,159289,'Cannot be modified except by direct means',100,2,3),
(221752,10159289,'Applies Lambent Imbued when Equipped.',100,0,0),
(221753,10159289,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221754,10159289,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(221755,10159289,'Cannot be modified except by direct means',100,2,3),
(221756,36401,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(221757,101854,'Stuns target',100,1,0),
(221758,101854,'Does not affect Epic targets',100,1,1),
(221759,101854,'Resistibility increases against targets higher than level 68.',100,1,2),
(221760,10101854,'Stuns target',100,1,0),
(221761,10101854,'Does not affect Epic targets',100,1,1),
(221762,10101854,'Resistibility increases against targets higher than level 68.',100,1,2),
(221763,159467,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(221764,159467,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221765,159467,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(221766,159467,'Cannot be modified except by direct means',100,2,3),
(221767,10159467,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(221768,10159467,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221769,10159467,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(221770,10159467,'Cannot be modified except by direct means',100,2,3),
(221771,45634,'Applies Elixir of Replenishment  when Activated.',100,0,0),
(221772,45634,'Heals caster for 74',100,1,1),
(221773,10045634,'Applies Elixir of Replenishment  when Activated.',100,0,0),
(221774,10045634,'Heals caster for 48',100,1,1),
(221775,181875,'When Equipped:',100,0,0),
(221776,181875,'Increases Attack Speed of caster by 35.0',100,1,1),
(221777,10181875,'When Equipped:',100,0,0),
(221778,10181875,'Increases Attack Speed of caster by 35.0',100,1,1),
(221779,36183,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(221780,36183,'This effect suspends during combat',100,0,1),
(221781,159915,'Applies Lambent Imbued when Equipped.',100,0,0),
(221782,159915,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221783,159915,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(221784,159915,'Cannot be modified except by direct means',100,2,3),
(221785,10159915,'Applies Lambent Imbued when Equipped.',100,0,0),
(221786,10159915,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(221787,10159915,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(221788,10159915,'Cannot be modified except by direct means',100,2,3),
(221789,112676,'Increases Parry of group members (AE) by 20.2',100,1,0),
(221790,10112676,'Increases Parry of group members (AE) by 20.2',100,1,0),
(221791,47406,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(221792,47406,'This potion will grant you the illusion of being a Thurgadin Spellcaster!',100,1,1),
(221793,10047406,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(221794,10047406,'This potion will grant you the illusion of being a Thurgadin Spellcaster!',100,1,1),
(221795,47486,'Applies Parathior''s Acrimonious Ice when Activated.  Lasts for 2 minutes.',100,0,0),
(221796,47486,'Self targeting spells will only receive partial benefits.',100,1,1),
(221797,47486,'If the next damage spell cast is cold-based, it will inflict increased damage.',100,1,2),
(221798,47486,'Dispelled when target casts a hostile spell',100,1,3),
(221799,47486,'Dispelled when target takes damage',100,1,4),
(221800,10047486,'Applies Parathior''s Acrimonious Ice when Activated.  Lasts for 2 minutes.',100,0,0),
(221801,10047486,'Self targeting spells will only receive partial benefits.',100,1,1),
(221802,10047486,'If the next damage spell cast is cold-based, it will inflict increased damage.',100,1,2),
(221803,10047486,'Dispelled when target casts a hostile spell',100,1,3),
(221804,10047486,'Dispelled when target takes damage',100,1,4),
(221805,166381,'When Equipped:',100,0,0),
(221806,166381,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(221807,166381,'Heals group members (AE) for 391',100,2,2),
(221808,166381,'Cannot be modified except by direct means',100,2,3),
(221809,166381,'Cannot be modified except by direct means',100,1,4),
(221810,10166381,'When Equipped:',100,0,0),
(221811,10166381,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(221812,10166381,'Heals group members (AE) for 254',100,2,2),
(221813,10166381,'Cannot be modified except by direct means',100,2,3),
(221814,10166381,'Cannot be modified except by direct means',100,1,4),
(221815,119730,'Wards group members (AE) against 41 points of elemental, noxious and arcane damage',100,1,0),
(221816,119730,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,1),
(221817,10119730,'Wards group members (AE) against 41 points of elemental, noxious and arcane damage',100,1,0),
(221818,10119730,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,1),
(221819,117112,'Mesmerizes target encounter',100,1,0),
(221820,117112,'Prevents AOE (except when direct) ',100,1,1),
(221821,117112,'Dispelled when target takes damage',100,1,2),
(221822,117112,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(221823,117112,'Resistibility increases against targets higher than level 107.',100,1,4),
(221824,10117112,'Mesmerizes target encounter',100,1,0),
(221825,10117112,'Prevents AOE (except when direct) ',100,1,1),
(221826,10117112,'Dispelled when target takes damage',100,1,2),
(221827,10117112,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(221828,10117112,'Resistibility increases against targets higher than level 107.',100,1,4),
(221829,46056,'Applies Elixir of Aptitude when Activated.  Lasts for 30.0 seconds.',100,0,0),
(221830,46056,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(221831,10046056,'Applies Elixir of Aptitude when Activated.  Lasts for 30.0 seconds.',100,0,0),
(221832,10046056,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(221833,114281,'Heals target for 180 - 220',100,1,0),
(221834,10114281,'Heals target for 212 - 259',100,1,0),
(221835,136330,'When Equipped:',100,0,0),
(221836,136330,'Increases poison trigger chance by 3.0%',100,1,1),
(221837,10136330,'When Equipped:',100,0,0),
(221838,10136330,'Increases poison trigger chance by 3.0%',100,1,1),
(221839,120944,'Inflicts 171 - 285 ranged damage on target',100,1,0),
(221840,120944,'If weapon equipped in Ranged',100,1,1),
(221841,120944,'Must be behind',100,1,2),
(221842,10120944,'Inflicts 145 - 243 ranged damage on target',100,1,0),
(221843,10120944,'If weapon equipped in Ranged',100,1,1),
(221844,10120944,'Must be behind',100,1,2),
(221845,115453,'Inflicts 119 - 145 mental damage on target instantly and every 6 seconds',100,1,0),
(221846,115453,'Decreases Mitigation of target vs arcane damage by 665',100,1,1),
(221847,10115453,'Inflicts 155 - 189 mental damage on target instantly and every 6 seconds',100,1,0),
(221848,10115453,'Decreases Mitigation of target vs arcane damage by 665',100,1,1),
(221849,82379,'When Equipped:',100,0,0),
(221850,82379,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221851,82379,'Inflicts 169 - 315 magic damage on target',100,2,2),
(221852,82379,'Cannot be modified except by direct means',100,2,3),
(221853,10082379,'When Equipped:',100,0,0),
(221854,10082379,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221855,10082379,'Inflicts 220 - 409 magic damage on target',100,2,2),
(221856,10082379,'Cannot be modified except by direct means',100,2,3),
(221857,110705,'Heals target for 173 - 211',100,1,0),
(221858,10110705,'Heals target for 112 - 137',100,1,0),
(221859,109025,'Decreases Damage Per Second of target by 45.7',100,1,0),
(221860,109025,'Inflicts 662 - 809 melee damage on target',100,1,1),
(221861,10109025,'Decreases Damage Per Second of target by 45.7',100,1,0),
(221862,10109025,'Inflicts 861 - 1052 melee damage on target',100,1,1),
(221863,106029,'Inflicts 145 - 178 divine damage on target instantly and every 3 seconds',100,1,0),
(221864,106029,'Decreases Defense of target by 16.8',100,1,1),
(221865,10106029,'Inflicts 126 - 154 divine damage on target instantly and every 3 seconds',100,1,0),
(221866,10106029,'Decreases Defense of target by 16.8',100,1,1),
(221867,124329,'Shapechanges caster into a wolf',100,1,0),
(221868,124329,'Grants See Invisibility to caster',100,1,1),
(221869,124329,'Increases Focus of caster by 30.2',100,1,2),
(221870,124329,'Increases Mitigation of caster vs physical damage by 336',100,1,3),
(221871,124329,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1276',100,1,4),
(221872,10124329,'Shapechanges caster into a wolf',100,1,0),
(221873,10124329,'Grants See Invisibility to caster',100,1,1),
(221874,10124329,'Increases Focus of caster by 30.2',100,1,2),
(221875,10124329,'Increases Mitigation of caster vs physical damage by 336',100,1,3),
(221876,10124329,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1276',100,1,4),
(221877,100645,'Increases AGI, STR and STA of target by 43.9',100,1,0),
(221878,100645,'Adds 1.8% to base avoidance.',100,1,1),
(221879,10100645,'Increases AGI, STR and STA of target by 43.9',100,1,0),
(221880,10100645,'Adds 1.8% to base avoidance.',100,1,1),
(221881,108946,'Increases INT of group members (AE) by 37.0',100,1,0),
(221882,108946,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 14.3',100,1,1),
(221883,10108946,'Increases INT of group members (AE) by 37.0',100,1,0),
(221884,10108946,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 14.3',100,1,1),
(221885,82246,'When Equipped:',100,0,0),
(221886,82246,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221887,82246,'Inflicts 43 - 80 magic damage on target',100,2,2),
(221888,82246,'Cannot be modified except by direct means',100,2,3),
(221889,10082246,'When Equipped:',100,0,0),
(221890,10082246,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221891,10082246,'Inflicts 56 - 104 magic damage on target',100,2,2),
(221892,10082246,'Cannot be modified except by direct means',100,2,3),
(221893,104140,'Roots target',100,1,0),
(221894,104140,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(221895,104140,'Makes target afraid',100,2,2),
(221896,104140,'Slows target by 23.2%',100,2,3),
(221897,104140,'30% chance to dispel when target takes damage',100,2,4),
(221898,104140,'Resistibility increases against targets higher than level 90.',100,2,5),
(221899,104140,'15% chance to dispel when target takes damage',100,1,6),
(221900,104140,'Does not affect Epic targets',100,1,7),
(221901,104140,'Resistibility increases against targets higher than level 90.',100,1,8),
(221902,10104140,'Roots target',100,1,0),
(221903,10104140,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(221904,10104140,'Makes target afraid',100,2,2),
(221905,10104140,'Slows target by 23.2%',100,2,3),
(221906,10104140,'30% chance to dispel when target takes damage',100,2,4),
(221907,10104140,'Resistibility increases against targets higher than level 90.',100,2,5),
(221908,10104140,'15% chance to dispel when target takes damage',100,1,6),
(221909,10104140,'Does not affect Epic targets',100,1,7),
(221910,10104140,'Resistibility increases against targets higher than level 90.',100,1,8),
(221911,102356,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(221912,102356,'Increases Damage Per Second of target by 10.6',100,2,1),
(221913,102356,'Increases Attack Speed of target by 10.6',100,2,2),
(221914,102356,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(221915,102356,'Increases Damage Per Second of target by 10.6',100,2,4),
(221916,102356,'Increases Attack Speed of target by 10.6',100,2,5),
(221917,102356,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(221918,102356,'Increases Damage Per Second of target by 10.6',100,2,7),
(221919,102356,'Increases Attack Speed of target by 10.6',100,2,8),
(221920,10102356,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(221921,10102356,'Increases Damage Per Second of target by 10.6',100,2,1),
(221922,10102356,'Increases Attack Speed of target by 10.6',100,2,2),
(221923,10102356,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(221924,10102356,'Increases Damage Per Second of target by 10.6',100,2,4),
(221925,10102356,'Increases Attack Speed of target by 10.6',100,2,5),
(221926,10102356,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(221927,10102356,'Increases Damage Per Second of target by 10.6',100,2,7),
(221928,10102356,'Increases Attack Speed of target by 10.6',100,2,8),
(221929,87245,'When Equipped:',100,0,0),
(221930,87245,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221931,87245,'Inflicts 263 - 395 magic damage on target',100,2,2),
(221932,87245,'Cannot be modified except by direct means',100,2,3),
(221933,10087245,'When Equipped:',100,0,0),
(221934,10087245,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221935,10087245,'Inflicts 342 - 513 magic damage on target',100,2,2),
(221936,10087245,'Cannot be modified except by direct means',100,2,3),
(221937,123706,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(221938,123706,'Inflicts 217 divine damage on target',100,2,1),
(221939,123706,'Grants a total of 5 triggers of the spell.',100,2,2),
(221940,10123706,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(221941,10123706,'Inflicts 282 divine damage on target',100,2,1),
(221942,10123706,'Grants a total of 5 triggers of the spell.',100,2,2),
(221943,185467,'When Equipped:',100,0,0),
(221944,185467,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(221945,185467,'Inflicts 1199 disease damage on target encounter',100,2,2),
(221946,185467,'Must not be engaged in pvp combat',100,2,3),
(221947,185467,'Cannot be modified except by direct means',100,2,4),
(221948,10185467,'When Equipped:',100,0,0),
(221949,10185467,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(221950,10185467,'Inflicts 779 disease damage on target encounter',100,2,2),
(221951,10185467,'Must not be engaged in pvp combat',100,2,3),
(221952,10185467,'Cannot be modified except by direct means',100,2,4),
(221953,112738,'Increases Ability Reuse Speed of target by 35.0%',100,1,0),
(221954,10112738,'Increases Ability Reuse Speed of target by 35.0%',100,1,0),
(221955,80359,'When Equipped:',100,0,0),
(221956,80359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221957,80359,'Inflicts 67 - 124 magic damage on target',100,2,2),
(221958,80359,'Cannot be modified except by direct means',100,2,3),
(221959,10080359,'When Equipped:',100,0,0),
(221960,10080359,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221961,10080359,'Inflicts 87 - 161 magic damage on target',100,2,2),
(221962,10080359,'Cannot be modified except by direct means',100,2,3),
(221963,81697,'When Equipped:',100,0,0),
(221964,81697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221965,81697,'Inflicts 116 - 215 magic damage on target',100,2,2),
(221966,81697,'Cannot be modified except by direct means',100,2,3),
(221967,10081697,'When Equipped:',100,0,0),
(221968,10081697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221969,10081697,'Inflicts 151 - 280 magic damage on target',100,2,2),
(221970,10081697,'Cannot be modified except by direct means',100,2,3),
(221971,45572,'Applies Concoction of Adventure  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(221972,45572,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(221973,45572,'Inflicts 10 magic damage on target',100,2,2),
(221974,45572,'Cannot be modified except by direct means',100,2,3),
(221975,10045572,'Applies Concoction of Adventure  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(221976,10045572,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(221977,10045572,'Inflicts 13 magic damage on target',100,2,2),
(221978,10045572,'Cannot be modified except by direct means',100,2,3),
(221979,107685,'Inflicts 16 - 27 heat damage on target',100,1,0),
(221980,107685,'You must be sneaking to use this ability.',100,1,1),
(221981,10107685,'Inflicts 21 - 35 heat damage on target',100,1,0),
(221982,10107685,'You must be sneaking to use this ability.',100,1,1),
(221983,45832,'Applies Consume Essence when Activated.',100,0,0),
(221984,45832,'Dispels 173 levels of any hostile effects on caster',100,1,1),
(221985,45832,'Heals group members (AE) for 881 - 1076',100,1,2),
(221986,10045832,'Applies Consume Essence when Activated.',100,0,0),
(221987,10045832,'Dispels 173 levels of any hostile effects on caster',100,1,1),
(221988,10045832,'Heals group members (AE) for 572 - 700',100,1,2),
(221989,81719,'When Equipped:',100,0,0),
(221990,81719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221991,81719,'Inflicts 148 - 274 magic damage on target',100,2,2),
(221992,81719,'Cannot be modified except by direct means',100,2,3),
(221993,10081719,'When Equipped:',100,0,0),
(221994,10081719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(221995,10081719,'Inflicts 192 - 356 magic damage on target',100,2,2),
(221996,10081719,'Cannot be modified except by direct means',100,2,3),
(221997,170079,'When Equipped:',100,0,0),
(221998,170079,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(221999,170079,'Makes target afraid',100,2,2),
(222000,170079,'25% chance to dispel when target takes damage',100,2,3),
(222001,170079,'25% chance to dispel when target receives hostile action',100,2,4),
(222002,170079,'Does not affect Epic targets',100,2,5),
(222003,170079,'Resistibility increases against targets higher than level 77.',100,2,6),
(222004,170079,'Cannot be modified except by direct means',100,2,7),
(222005,10170079,'When Equipped:',100,0,0),
(222006,10170079,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(222007,10170079,'Makes target afraid',100,2,2),
(222008,10170079,'25% chance to dispel when target takes damage',100,2,3),
(222009,10170079,'25% chance to dispel when target receives hostile action',100,2,4),
(222010,10170079,'Does not affect Epic targets',100,2,5),
(222011,10170079,'Resistibility increases against targets higher than level 77.',100,2,6),
(222012,10170079,'Cannot be modified except by direct means',100,2,7),
(222013,52428,'When Equipped:',100,0,0),
(222014,52428,'On a hostile spell cast this spell may cast Divine Affliction on target of spell.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222015,52428,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 350',100,2,2),
(222016,52428,'Cannot be modified except by direct means',100,2,3),
(222017,10052428,'When Equipped:',100,0,0),
(222018,10052428,'On a hostile spell cast this spell may cast Divine Affliction on target of spell.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222019,10052428,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 350',100,2,2),
(222020,10052428,'Cannot be modified except by direct means',100,2,3),
(222021,121340,'Inflicts 2515 - 4191 ranged damage on targets in area',100,1,0),
(222022,121340,'Requires bow',100,1,1),
(222023,10121340,'Inflicts 1923 - 3206 ranged damage on targets in area',100,1,0),
(222024,10121340,'Requires bow',100,1,1),
(222025,75039,'Applies Mental Blast when Activated.',100,0,0),
(222026,75039,'Inflicts 264 - 440 mental damage on target',100,1,1),
(222027,75039,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(222028,10075039,'Applies Mental Blast when Activated.',100,0,0),
(222029,10075039,'Inflicts 343 - 572 mental damage on target',100,1,1),
(222030,10075039,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(222031,24149,'Adds Crashbone: Beds of Spikes to your Dungeon Maker toolbox',100,0,0),
(222032,10024149,'Adds Crashbone: Beds of Spikes to your Dungeon Maker toolbox',100,0,0),
(222033,48163,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(222034,48163,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(222035,48163,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(222036,48163,'Cannot be modified except by direct means',100,2,3),
(222037,48163,'Grants a total of 80 triggers of the spell.',100,2,4),
(222038,10048163,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(222039,10048163,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(222040,10048163,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(222041,10048163,'Cannot be modified except by direct means',100,2,3),
(222042,10048163,'Grants a total of 80 triggers of the spell.',100,2,4),
(222043,114952,'Decreases Attack Speed of target by 6.7',100,1,0),
(222044,114952,'Inflicts 26 - 78 slashing damage on target',100,1,1),
(222045,114952,'Inflicts 52 slashing damage on target instantly and every 4 seconds',100,1,2),
(222046,10114952,'Decreases Attack Speed of target by 6.7',100,1,0),
(222047,10114952,'Inflicts 34 - 102 slashing damage on target',100,1,1),
(222048,10114952,'Inflicts 68 slashing damage on target instantly and every 4 seconds',100,1,2),
(222049,113595,'Summons a limited pet to aid the caster',100,1,0),
(222050,10113595,'Summons a limited pet to aid the caster',100,1,0),
(222051,71021,'When Equipped:',100,0,0),
(222052,71021,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222053,71021,'Inflicts 68 - 83 divine damage on target',100,2,2),
(222054,71021,'Cannot be modified except by direct means',100,2,3),
(222055,10071021,'When Equipped:',100,0,0),
(222056,10071021,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222057,10071021,'Inflicts 89 - 108 divine damage on target',100,2,2),
(222058,10071021,'Cannot be modified except by direct means',100,2,3),
(222059,37369,'Increases Max Power of target by 3.3',100,0,0),
(222060,37369,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(222061,113435,'Increases STA of caster by 174.2',100,1,0),
(222062,113435,'Adds 3.4% to base avoidance.',100,1,1),
(222063,113435,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,2),
(222064,113435,'Increases Defense and Aggression of caster by 34.1',100,1,3),
(222065,113435,'Increases Mitigation of caster vs noxious damage by 2226',100,1,4),
(222066,113435,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(222067,113435,'Reduces physical damage done to caster by 5%',100,1,6),
(222068,10113435,'Increases STA of caster by 174.2',100,1,0),
(222069,10113435,'Adds 3.4% to base avoidance.',100,1,1),
(222070,10113435,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,2),
(222071,10113435,'Increases Defense and Aggression of caster by 34.1',100,1,3),
(222072,10113435,'Increases Mitigation of caster vs noxious damage by 2226',100,1,4),
(222073,10113435,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(222074,10113435,'Reduces physical damage done to caster by 5%',100,1,6),
(222075,164349,'When Equipped:',100,0,0),
(222076,164349,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(222077,164349,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,2),
(222078,164349,'Inflicts 201 - 222 piercing damage on target',100,3,3),
(222079,164349,'Must not be engaged in pvp combat',100,3,4),
(222080,164349,'Cannot be modified except by direct means',100,3,5),
(222081,164349,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,6),
(222082,164349,'Must not be engaged in pvp combat',100,2,7),
(222083,164349,'Cannot be modified except by direct means',100,2,8),
(222084,164349,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(222085,164349,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,10),
(222086,164349,'Inflicts 201 - 222 piercing damage on target',100,3,11),
(222087,164349,'Must not be engaged in pvp combat',100,3,12),
(222088,164349,'Cannot be modified except by direct means',100,3,13),
(222089,164349,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,14),
(222090,164349,'Must not be engaged in pvp combat',100,2,15),
(222091,164349,'Cannot be modified except by direct means',100,2,16),
(222092,164349,'This effect will not stack with any rank or tier of itself.',100,1,17),
(222093,164349,'Cannot be modified except by direct means',100,1,18),
(222094,164349,'When Equipped:',100,0,19),
(222095,164349,'Increases Crit Bonus of caster by 4.0%',100,1,20),
(222096,164349,'This effect will not stack with any rank or tier of itself.',100,1,21),
(222097,164349,'Cannot be modified except by direct means',100,1,22),
(222098,10164349,'When Equipped:',100,0,0),
(222099,10164349,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(222100,10164349,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,2),
(222101,10164349,'Inflicts 261 - 289 piercing damage on target',100,3,3),
(222102,10164349,'Must not be engaged in pvp combat',100,3,4),
(222103,10164349,'Cannot be modified except by direct means',100,3,5),
(222104,10164349,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,6),
(222105,10164349,'Must not be engaged in pvp combat',100,2,7),
(222106,10164349,'Cannot be modified except by direct means',100,2,8),
(222107,10164349,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(222108,10164349,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,10),
(222109,10164349,'Inflicts 261 - 289 piercing damage on target',100,3,11),
(222110,10164349,'Must not be engaged in pvp combat',100,3,12),
(222111,10164349,'Cannot be modified except by direct means',100,3,13),
(222112,10164349,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,14),
(222113,10164349,'Must not be engaged in pvp combat',100,2,15),
(222114,10164349,'Cannot be modified except by direct means',100,2,16),
(222115,10164349,'This effect will not stack with any rank or tier of itself.',100,1,17),
(222116,10164349,'Cannot be modified except by direct means',100,1,18),
(222117,10164349,'When Equipped:',100,0,19),
(222118,10164349,'Increases Crit Bonus of caster by 4.0%',100,1,20),
(222119,10164349,'This effect will not stack with any rank or tier of itself.',100,1,21),
(222120,10164349,'Cannot be modified except by direct means',100,1,22),
(222121,113082,'Dazes target',100,1,0),
(222122,113082,'If Target is not Epic',100,2,1),
(222123,113082,'Applies Scream on termination.',100,1,2),
(222124,113082,'Inflicts 527 - 879 disease damage on target',100,2,3),
(222125,113082,'Resistibility increases against targets higher than level 113.',100,1,4),
(222126,10113082,'Dazes target',100,1,0),
(222127,10113082,'If Target is not Epic',100,2,1),
(222128,10113082,'Applies Scream on termination.',100,1,2),
(222129,10113082,'Inflicts 685 - 1142 disease damage on target',100,2,3),
(222130,10113082,'Resistibility increases against targets higher than level 113.',100,1,4),
(222131,130305,'When Equipped:',100,0,0),
(222132,130305,'Increases Attack Speed of caster by 45.0',100,1,1),
(222133,10130305,'When Equipped:',100,0,0),
(222134,10130305,'Increases Attack Speed of caster by 45.0',100,1,1),
(222135,173876,'Applies Focused Mind when Activated.  Lasts for 10.0 seconds.',100,0,0),
(222136,173876,'Reduces the power cost of the casters next spell by 100%',100,1,1),
(222137,173876,'The casting time of Focused Mind is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(222138,10173876,'Applies Focused Mind when Activated.  Lasts for 10.0 seconds.',100,0,0),
(222139,10173876,'Reduces the power cost of the casters next spell by 100%',100,1,1),
(222140,10173876,'The casting time of Focused Mind is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(222141,80748,'When Equipped:',100,0,0),
(222142,80748,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222143,80748,'Inflicts 83 - 154 magic damage on target',100,2,2),
(222144,80748,'Decreases Threat to target by 236 ',100,2,3),
(222145,80748,'Must be flanking or behind',100,3,4),
(222146,80748,'Increases Threat to target by 236 ',100,2,5),
(222147,80748,'Must be in front of',100,3,6),
(222148,80748,'Cannot be modified except by direct means',100,2,7),
(222149,10080748,'When Equipped:',100,0,0),
(222150,10080748,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222151,10080748,'Inflicts 108 - 200 magic damage on target',100,2,2),
(222152,10080748,'Cannot be modified except by direct means',100,2,3),
(222153,177655,'When Equipped:',100,0,0),
(222154,177655,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222155,177655,'Increases INT of caster by 8.8',100,2,2),
(222156,177655,'Increases Disruption, Subjugation and Focus of caster by 5.2',100,2,3),
(222157,177655,'Cannot be modified except by direct means',100,2,4),
(222158,10177655,'When Equipped:',100,0,0),
(222159,10177655,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222160,10177655,'Increases INT of caster by 8.8',100,2,2),
(222161,10177655,'Increases Disruption, Subjugation and Focus of caster by 5.2',100,2,3),
(222162,10177655,'Cannot be modified except by direct means',100,2,4),
(222163,110344,'Increases Max Power of target by 509.7',100,1,0),
(222164,110344,'Increases Max Health of target by 1,092.6',100,1,1),
(222165,10110344,'Increases Max Power of target by 509.7',100,1,0),
(222166,10110344,'Increases Max Health of target by 1,092.6',100,1,1),
(222167,122495,'Inflicts 545 - 908 mental damage on targets in Area of Effect',100,1,0),
(222168,10122495,'Inflicts 708 - 1180 mental damage on targets in Area of Effect',100,1,0),
(222169,114516,'Heals target for 47 - 58',100,1,0),
(222170,10114516,'Heals target for 61 - 75',100,1,0),
(222171,140719,'When Equipped:',100,0,0),
(222172,140719,'On any combat or spell hit this spell may cast Horrific Epiphany on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(222173,140719,'When any damage is received this spell has a 3% chance to cast Cerebral Mindlash on target.  ',100,2,2),
(222174,140719,'Inflicts 522 mental damage on caster',100,3,3),
(222175,140719,'Cannot be modified except by direct means',100,3,4),
(222176,140719,'Cannot be modified except by direct means',100,2,5),
(222177,10140719,'When Equipped:',100,0,0),
(222178,10140719,'On any combat or spell hit this spell may cast Horrific Epiphany on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(222179,10140719,'When any damage is received this spell has a 3% chance to cast Cerebral Mindlash on target.  ',100,2,2),
(222180,10140719,'Inflicts 679 mental damage on caster',100,3,3),
(222181,10140719,'Cannot be modified except by direct means',100,3,4),
(222182,10140719,'Cannot be modified except by direct means',100,2,5),
(222183,37592,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(222184,46638,'Applies Call Highland Stalker when Activated.',100,0,0),
(222185,46638,'Summons a mount to ride',100,1,1),
(222186,46638,'Increases your ground speed by 130%',100,2,2),
(222187,10046638,'Applies Call Highland Stalker when Activated.',100,0,0),
(222188,10046638,'Summons a mount to ride',100,1,1),
(222189,10046638,'Increases your ground speed by 130%',100,2,2),
(222190,82640,'When Equipped:',100,0,0),
(222191,82640,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222192,82640,'Inflicts 118 - 218 magic damage on target',100,2,2),
(222193,82640,'Decreases Threat to target by 259 ',100,2,3),
(222194,82640,'Must be flanking or behind',100,3,4),
(222195,82640,'Increases Threat to target by 259 ',100,2,5),
(222196,82640,'Must be in front of',100,3,6),
(222197,82640,'Cannot be modified except by direct means',100,2,7),
(222198,10082640,'When Equipped:',100,0,0),
(222199,10082640,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222200,10082640,'Inflicts 153 - 284 magic damage on target',100,2,2),
(222201,10082640,'Cannot be modified except by direct means',100,2,3),
(222202,51062,'When Equipped:',100,0,0),
(222203,51062,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(222204,51062,'Decreases power of target by 201',100,2,2),
(222205,51062,'Increases power of caster by 108',100,2,3),
(222206,51062,'Cannot be modified except by direct means',100,2,4),
(222207,10051062,'When Equipped:',100,0,0),
(222208,10051062,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(222209,10051062,'Decreases power of target by 201',100,2,2),
(222210,10051062,'Increases power of caster by 108',100,2,3),
(222211,10051062,'Cannot be modified except by direct means',100,2,4),
(222212,155874,'When Equipped:',100,0,0),
(222213,155874,'On any combat or spell hit this spell may cast Suppressed Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222214,155874,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(222215,155874,'Inflicts 381 - 466 cold damage on target',100,2,3),
(222216,155874,'Inflicts 381 - 466 poison damage on target',100,2,4),
(222217,155874,'Inflicts 381 - 466 disease damage on target',100,2,5),
(222218,155874,'Must be engaged in pvp combat',100,2,6),
(222219,155874,'Cannot be modified except by direct means',100,2,7),
(222220,155874,'Cannot be modified except by direct means',100,1,8),
(222221,10155874,'When Equipped:',100,0,0),
(222222,10155874,'On any combat or spell hit this spell may cast Suppressed Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222223,10155874,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(222224,10155874,'Inflicts 496 - 606 cold damage on target',100,2,3),
(222225,10155874,'Inflicts 496 - 606 poison damage on target',100,2,4),
(222226,10155874,'Inflicts 496 - 606 disease damage on target',100,2,5),
(222227,10155874,'Must be engaged in pvp combat',100,2,6),
(222228,10155874,'Cannot be modified except by direct means',100,2,7),
(222229,10155874,'Cannot be modified except by direct means',100,1,8),
(222230,114967,'Decreases Attack Speed of target by 13.6',100,1,0),
(222231,114967,'Inflicts 83 - 250 slashing damage on target',100,1,1),
(222232,114967,'Inflicts 167 slashing damage on target instantly and every 4 seconds',100,1,2),
(222233,10114967,'Decreases Attack Speed of target by 13.6',100,1,0),
(222234,10114967,'Inflicts 108 - 325 slashing damage on target',100,1,1),
(222235,10114967,'Inflicts 217 slashing damage on target instantly and every 4 seconds',100,1,2),
(222236,116532,'Increases Mitigation of target vs physical damage by 477',100,1,0),
(222237,116532,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(222238,10116532,'Increases Mitigation of target vs physical damage by 477',100,1,0),
(222239,10116532,'Decreases Mitigation of caster vs physical damage by 886',100,1,1),
(222240,109459,'Roots target',100,1,0),
(222241,109459,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(222242,109459,'Slows target by 37.2%',100,2,2),
(222243,109459,'5% chance to dispel when target receives hostile action',100,2,3),
(222244,109459,'5% chance to dispel when target takes damage',100,2,4),
(222245,109459,'10% chance to dispel when target receives hostile action',100,1,5),
(222246,109459,'10% chance to dispel when target takes damage',100,1,6),
(222247,109459,'Does not affect Epic targets',100,1,7),
(222248,109459,'Resistibility increases against targets higher than level 48.',100,1,8),
(222249,10109459,'Roots target',100,1,0),
(222250,10109459,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(222251,10109459,'Slows target by 37.2%',100,2,2),
(222252,10109459,'5% chance to dispel when target receives hostile action',100,2,3),
(222253,10109459,'5% chance to dispel when target takes damage',100,2,4),
(222254,10109459,'10% chance to dispel when target receives hostile action',100,1,5),
(222255,10109459,'10% chance to dispel when target takes damage',100,1,6),
(222256,10109459,'Does not affect Epic targets',100,1,7),
(222257,10109459,'Resistibility increases against targets higher than level 48.',100,1,8),
(222258,113055,'Dazes target',100,1,0),
(222259,113055,'If Target is not Epic',100,2,1),
(222260,113055,'Applies Scream on termination.',100,1,2),
(222261,113055,'Inflicts 90 - 150 disease damage on target',100,2,3),
(222262,113055,'Resistibility increases against targets higher than level 49.',100,1,4),
(222263,10113055,'Dazes target',100,1,0),
(222264,10113055,'If Target is not Epic',100,2,1),
(222265,10113055,'Applies Scream on termination.',100,1,2),
(222266,10113055,'Inflicts 117 - 196 disease damage on target',100,2,3),
(222267,10113055,'Resistibility increases against targets higher than level 49.',100,1,4),
(222268,35303,'Increases STR of target by 1.5',100,0,0),
(222269,35303,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(222270,114051,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(222271,114051,'Grants stealth to caster',100,2,1),
(222272,114051,'Suspends caster''s movement speed enhancements',100,2,2),
(222273,114051,'Inflicts 32 - 54 melee damage on target',100,1,3),
(222274,114051,'Must be flanking or behind',100,1,4),
(222275,10114051,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(222276,10114051,'Grants stealth to caster',100,2,1),
(222277,10114051,'Suspends caster''s movement speed enhancements',100,2,2),
(222278,10114051,'Inflicts 64 - 106 melee damage on target',100,1,3),
(222279,10114051,'Must be flanking or behind',100,1,4),
(222280,122656,'Decreases Defense of target by 6.6',100,1,0),
(222281,122656,'Decreases Mitigation of target vs physical damage by 110',100,1,1),
(222282,10122656,'Decreases Defense of target by 6.6',100,1,0),
(222283,10122656,'Decreases Mitigation of target vs physical damage by 110',100,1,1),
(222284,24244,'Adds Cyclops (Defiler) to your Dungeon Maker toolbox',100,0,0),
(222285,10024244,'Adds Cyclops (Defiler) to your Dungeon Maker toolbox',100,0,0),
(222286,82005,'When Equipped:',100,0,0),
(222287,82005,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222288,82005,'Inflicts 191 - 354 magic damage on target',100,2,2),
(222289,82005,'Cannot be modified except by direct means',100,2,3),
(222290,10082005,'When Equipped:',100,0,0),
(222291,10082005,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222292,10082005,'Inflicts 248 - 460 magic damage on target',100,2,2),
(222293,10082005,'Cannot be modified except by direct means',100,2,3),
(222294,54585,'When Equipped:',100,0,0),
(222295,54585,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(222296,10054585,'When Equipped:',100,0,0),
(222297,10054585,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(222298,35843,'Increases STA of target by 1.5',100,0,0),
(222299,35843,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(222300,81989,'When Equipped:',100,0,0),
(222301,81989,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222302,81989,'Inflicts 191 - 354 magic damage on target',100,2,2),
(222303,81989,'Cannot be modified except by direct means',100,2,3),
(222304,10081989,'When Equipped:',100,0,0),
(222305,10081989,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222306,10081989,'Inflicts 248 - 460 magic damage on target',100,2,2),
(222307,10081989,'Cannot be modified except by direct means',100,2,3),
(222308,81916,'When Equipped:',100,0,0),
(222309,81916,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222310,81916,'Inflicts 408 - 757 magic damage on target',100,2,2),
(222311,81916,'Cannot be modified except by direct means',100,2,3),
(222312,10081916,'When Equipped:',100,0,0),
(222313,10081916,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222314,10081916,'Inflicts 530 - 984 magic damage on target',100,2,2),
(222315,10081916,'Cannot be modified except by direct means',100,2,3),
(222316,110488,'Stifles caster',100,1,0),
(222317,110488,'Increases power of caster by 21 instantly and every second',100,1,1),
(222318,10110488,'Stifles caster',100,1,0),
(222319,10110488,'Increases power of caster by 21 instantly and every second',100,1,1),
(222320,105563,'Inflicts 245 - 455 disease damage on target',100,1,0),
(222321,105563,'Inflicts 147 - 273 disease damage on target every 2 seconds',100,1,1),
(222322,10105563,'Inflicts 319 - 592 disease damage on target',100,1,0),
(222323,10105563,'Inflicts 191 - 355 disease damage on target every 2 seconds',100,1,1),
(222324,105847,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(222325,105847,'Increases Damage Per Second of caster by 51.5',100,1,1),
(222326,105847,'Increases Piercing, Slashing and Crushing of caster by 19.2',100,1,2),
(222327,10105847,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(222328,10105847,'Increases Damage Per Second of caster by 51.5',100,1,1),
(222329,10105847,'Increases Piercing, Slashing and Crushing of caster by 19.2',100,1,2),
(222330,112647,'Inflicts 211 - 351 disease damage on target',100,1,0),
(222331,112647,'Inflicts 211 - 351 disease damage on target',100,1,1),
(222332,112647,'Roots target',100,1,2),
(222333,112647,'If Target is not Epic',100,2,3),
(222334,112647,'15% chance to dispel when target takes damage',100,1,4),
(222335,112647,'If weapon equipped in Ranged',100,1,5),
(222336,112647,'Resistibility increases against targets higher than level 73.',100,1,6),
(222337,10112647,'Inflicts 179 - 298 disease damage on target',100,1,0),
(222338,10112647,'Inflicts 179 - 298 disease damage on target',100,1,1),
(222339,10112647,'Roots target',100,1,2),
(222340,10112647,'If Target is not Epic',100,2,3),
(222341,10112647,'15% chance to dispel when target takes damage',100,1,4),
(222342,10112647,'If weapon equipped in Ranged',100,1,5),
(222343,10112647,'Resistibility increases against targets higher than level 73.',100,1,6),
(222344,113060,'Dazes target',100,1,0),
(222345,113060,'If Target is not Epic',100,2,1),
(222346,113060,'Applies Scream on termination.',100,1,2),
(222347,113060,'Inflicts 211 - 352 disease damage on target',100,2,3),
(222348,113060,'Resistibility increases against targets higher than level 63.',100,1,4),
(222349,10113060,'Dazes target',100,1,0),
(222350,10113060,'If Target is not Epic',100,2,1),
(222351,10113060,'Applies Scream on termination.',100,1,2),
(222352,10113060,'Inflicts 275 - 458 disease damage on target',100,2,3),
(222353,10113060,'Resistibility increases against targets higher than level 63.',100,1,4),
(222354,159041,'Applies Lambent Imbued when Equipped.',100,0,0),
(222355,159041,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(222356,159041,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(222357,159041,'Cannot be modified except by direct means',100,2,3),
(222358,10159041,'Applies Lambent Imbued when Equipped.',100,0,0),
(222359,10159041,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(222360,10159041,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(222361,10159041,'Cannot be modified except by direct means',100,2,3),
(222362,51492,'When Equipped:',100,0,0),
(222363,51492,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(222364,51492,'Inflicts 1192 poison damage on target',100,2,2),
(222365,51492,'Cannot be modified except by direct means',100,2,3),
(222366,51492,'When Equipped:',100,0,4),
(222367,51492,'Increases Potency of caster by 2.0%',100,1,5),
(222368,51492,'Must be engaged in pvp combat',100,1,6),
(222369,10051492,'When Equipped:',100,0,0),
(222370,10051492,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(222371,10051492,'Inflicts 775 poison damage on target',100,2,2),
(222372,10051492,'Cannot be modified except by direct means',100,2,3),
(222373,10051492,'When Equipped:',100,0,4),
(222374,10051492,'Increases Potency of caster by 2.0%',100,1,5),
(222375,10051492,'Must be engaged in pvp combat',100,1,6),
(222376,113897,'Increases power of target by 310',100,1,0),
(222377,10113897,'Increases power of target by 310',100,1,0),
(222378,100149,'Inflicts 143 - 175 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(222379,100149,'Decreases Mitigation of target encounter vs noxious damage by 960',100,1,1),
(222380,10100149,'Inflicts 186 - 228 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(222381,10100149,'Decreases Mitigation of target encounter vs noxious damage by 960',100,1,1),
(222382,105566,'Inflicts 286 - 531 disease damage on target',100,1,0),
(222383,105566,'Inflicts 172 - 319 disease damage on target every 2 seconds',100,1,1),
(222384,10105566,'Inflicts 372 - 691 disease damage on target',100,1,0),
(222385,10105566,'Inflicts 223 - 414 disease damage on target every 2 seconds',100,1,1),
(222386,122187,'Inflicts 264 - 323 cold damage on target instantly and every 2 seconds',100,1,0),
(222387,122187,'Inflicts 264 - 323 cold damage on target instantly and every 2 seconds',100,1,1),
(222388,122187,'If target is elemental',100,2,2),
(222389,10122187,'Inflicts 343 - 419 cold damage on target instantly and every 2 seconds',100,1,0),
(222390,48209,'Applies Spirit of the White Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(222391,48209,'Increases Out-of-Combat Health Regeneration of caster by 42.0',100,1,1),
(222392,48209,'Shapechanges caster into a bear',100,1,2),
(222393,48209,'This effect suspends during combat',100,1,3),
(222394,48209,'Only affects targets level 10 and above',100,1,4),
(222395,10048209,'Applies Spirit of the White Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(222396,10048209,'Increases Out-of-Combat Health Regeneration of caster by 42.0',100,1,1),
(222397,10048209,'Shapechanges caster into a bear',100,1,2),
(222398,10048209,'This effect suspends during combat',100,1,3),
(222399,10048209,'Only affects targets level 10 and above',100,1,4),
(222400,114190,'Inflicts 252 - 421 melee damage on target',100,1,0),
(222401,114190,'Decreases Slashing, Crushing and Piercing of target by 7.0',100,1,1),
(222402,10114190,'Inflicts 328 - 547 melee damage on target',100,1,0),
(222403,10114190,'Decreases Slashing, Crushing and Piercing of target by 7.0',100,1,1),
(222404,45185,'Applies Antidote Inoculation when Activated.',100,0,0),
(222405,45185,'Inoculates test subject.',100,1,1),
(222406,10045185,'Applies Antidote Inoculation when Activated.',100,0,0),
(222407,10045185,'Inoculates test subject.',100,1,1),
(222408,124001,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(222409,124001,'Heals target for 60 - 74',100,2,1),
(222410,124001,'Grants a total of 5 triggers of the spell.',100,2,2),
(222411,10124001,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(222412,10124001,'Heals target for 39 - 48',100,2,1),
(222413,10124001,'Grants a total of 5 triggers of the spell.',100,2,2),
(222414,189961,'When Equipped:',100,0,0),
(222415,189961,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(222416,189961,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(222417,189961,'Cannot be modified except by direct means',100,2,3),
(222418,189961,'Applies Heroic Resistance X when Equipped.',100,0,4),
(222419,189961,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,5),
(222420,189961,'Cannot be modified except by direct means',100,1,6),
(222421,10189961,'When Equipped:',100,0,0),
(222422,10189961,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(222423,10189961,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(222424,10189961,'Cannot be modified except by direct means',100,2,3),
(222425,10189961,'Applies Heroic Resistance X when Equipped.',100,0,4),
(222426,10189961,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,5),
(222427,10189961,'Cannot be modified except by direct means',100,1,6),
(222428,40245,'When Equipped:',100,0,0),
(222429,40245,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(222430,40245,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(222431,40245,'Heals target for 14 - 16 instantly and every 2 seconds',100,2,3),
(222432,40245,'Must not be engaged in pvp combat',100,2,4),
(222433,40245,'Cannot be modified except by direct means',100,2,5),
(222434,40245,'Cannot be modified except by direct means',100,1,6),
(222435,10040245,'When Equipped:',100,0,0),
(222436,10040245,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(222437,10040245,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(222438,10040245,'Heals target for 9 - 10 instantly and every 2 seconds',100,2,3),
(222439,10040245,'Must not be engaged in pvp combat',100,2,4),
(222440,10040245,'Cannot be modified except by direct means',100,2,5),
(222441,10040245,'Cannot be modified except by direct means',100,1,6),
(222442,82303,'When Equipped:',100,0,0),
(222443,82303,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222444,82303,'Inflicts 259 - 481 magic damage on target',100,2,2),
(222445,82303,'Cannot be modified except by direct means',100,2,3),
(222446,10082303,'When Equipped:',100,0,0),
(222447,10082303,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222448,10082303,'Inflicts 337 - 625 magic damage on target',100,2,2),
(222449,10082303,'Cannot be modified except by direct means',100,2,3),
(222450,80002,'When Equipped:',100,0,0),
(222451,80002,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222452,80002,'Inflicts 47 - 57 disease damage on target',100,2,2),
(222453,80002,'Inflicts 44 - 54 disease damage on target every 6 seconds',100,2,3),
(222454,80002,'Cannot be modified except by direct means',100,2,4),
(222455,10080002,'When Equipped:',100,0,0),
(222456,10080002,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222457,10080002,'Inflicts 61 - 74 disease damage on target',100,2,2),
(222458,10080002,'Inflicts 57 - 70 disease damage on target every 6 seconds',100,2,3),
(222459,10080002,'Cannot be modified except by direct means',100,2,4),
(222460,157680,'When Equipped:',100,0,0),
(222461,157680,'On a healing spell cast this spell may cast Empowered Healing on caster.  Triggers about 2.4 times per minute. ',100,1,1),
(222462,157680,'Heals group members (AE) for 1750',100,2,2),
(222463,157680,'Cannot be modified except by direct means',100,2,3),
(222464,10157680,'When Equipped:',100,0,0),
(222465,10157680,'On a healing spell cast this spell may cast Empowered Healing on caster.  Triggers about 2.4 times per minute. ',100,1,1),
(222466,10157680,'Heals group members (AE) for 2047',100,2,2),
(222467,10157680,'Cannot be modified except by direct means',100,2,3),
(222468,52850,'Applies Sanguine Imbued when Equipped.',100,0,0),
(222469,52850,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(222470,52850,'Inflicts 206 heat damage on target',100,2,2),
(222471,52850,'Cannot be modified except by direct means',100,2,3),
(222472,10052850,'Applies Sanguine Imbued when Equipped.',100,0,0),
(222473,10052850,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(222474,10052850,'Inflicts 267 heat damage on target',100,2,2),
(222475,10052850,'Cannot be modified except by direct means',100,2,3),
(222476,26741,'When Equipped:',100,0,0),
(222477,26741,'On a critical combat hit this spell may cast Greater Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(222478,26741,'Caster has a 40.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(222479,26741,'Must not be engaged in pvp combat',100,2,3),
(222480,26741,'Cannot be modified except by direct means',100,2,4),
(222481,26741,'On a critical spell hit this spell may cast Greater Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(222482,26741,'Caster has a 40.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,6),
(222483,26741,'Must not be engaged in pvp combat',100,2,7),
(222484,26741,'Cannot be modified except by direct means',100,2,8),
(222485,26741,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(222486,26741,'Must not be engaged in pvp combat',100,1,10),
(222487,10026741,'When Equipped:',100,0,0),
(222488,10026741,'On a critical combat hit this spell may cast Greater Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(222489,10026741,'Caster has a 40.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(222490,10026741,'Must not be engaged in pvp combat',100,2,3),
(222491,10026741,'Cannot be modified except by direct means',100,2,4),
(222492,10026741,'On a critical spell hit this spell may cast Greater Wild Swings I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(222493,10026741,'Caster has a 40.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,6),
(222494,10026741,'Must not be engaged in pvp combat',100,2,7),
(222495,10026741,'Cannot be modified except by direct means',100,2,8),
(222496,10026741,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(222497,10026741,'Must not be engaged in pvp combat',100,1,10),
(222498,104920,'Inflicts 501 - 836 ranged damage on target',100,1,0),
(222499,104920,'Decreases Deflection and Parry of target by 32.6',100,1,1),
(222500,104920,'Requires bow',100,1,2),
(222501,10104920,'Inflicts 426 - 711 ranged damage on target',100,1,0),
(222502,10104920,'Decreases Deflection and Parry of target by 32.6',100,1,1),
(222503,10104920,'Requires bow',100,1,2),
(222504,120763,'Inflicts 57 - 70 divine damage on target instantly and every 3 seconds',100,1,0),
(222505,120763,'Increases power of caster by 45 instantly and every 3 seconds',100,1,1),
(222506,10120763,'Inflicts 74 - 90 divine damage on target instantly and every 3 seconds',100,1,0),
(222507,10120763,'Increases power of caster by 45 instantly and every 3 seconds',100,1,1),
(222508,116658,'Heals group members (AE) for 173 - 211',100,1,0),
(222509,10116658,'Heals group members (AE) for 112 - 137',100,1,0),
(222510,117375,'Increases Threat to target by 60 ',100,1,0),
(222511,117375,'Inflicts 11 - 35 melee damage on target',100,1,1),
(222512,10117375,'Forces target to change their selected target to caster.',100,1,0),
(222513,10117375,'Inflicts 10 - 30 melee damage on target',100,1,1),
(222514,117096,'Mesmerizes target encounter',100,1,0),
(222515,117096,'Prevents AOE (except when direct) ',100,1,1),
(222516,117096,'Dispelled when target takes damage',100,1,2),
(222517,117096,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(222518,117096,'Resistibility increases against targets higher than level 68.',100,1,4),
(222519,10117096,'Mesmerizes target encounter',100,1,0),
(222520,10117096,'Prevents AOE (except when direct) ',100,1,1),
(222521,10117096,'Dispelled when target takes damage',100,1,2),
(222522,10117096,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(222523,10117096,'Resistibility increases against targets higher than level 68.',100,1,4),
(222524,123837,'Increases WIS and STR of group members (AE) by 10.7',100,1,0),
(222525,10123837,'Increases WIS and STR of group members (AE) by 10.7',100,1,0),
(222526,48891,'Applies Silandria''s Warding  when Activated.  Lasts for 15 minutes.',100,0,0),
(222527,48891,'Increases Max Power of caster by 52.0',100,1,1),
(222528,10048891,'Applies Silandria''s Warding  when Activated.  Lasts for 15 minutes.',100,0,0),
(222529,10048891,'Increases Max Power of caster by 52.0',100,1,1),
(222530,48556,'Applies Tinkerer''s Touch when Activated.',100,0,0),
(222531,48556,'Covers the user''s hands in illusory particles.',100,1,1),
(222532,10048556,'Applies Tinkerer''s Touch when Activated.',100,0,0),
(222533,10048556,'Covers the user''s hands in illusory particles.',100,1,1),
(222534,26629,'When Equipped:',100,0,0),
(222535,26629,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,1),
(222536,26629,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(222537,26629,'Removes the stifle from Oration of Sacrifice.',100,1,3),
(222538,10026629,'When Equipped:',100,0,0),
(222539,10026629,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,1),
(222540,10026629,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(222541,10026629,'Removes the stifle from Oration of Sacrifice.',100,1,3),
(222542,103674,'Interrupts target',100,1,0),
(222543,103674,'Inflicts 357 - 596 melee damage on target',100,1,1),
(222544,103674,'Must be flanking or behind',100,1,2),
(222545,10103674,'Interrupts target',100,1,0),
(222546,10103674,'Inflicts 465 - 775 melee damage on target',100,1,1),
(222547,10103674,'Must be flanking or behind',100,1,2),
(222548,104502,'Decreases Mitigation of target encounter vs physical damage by 1148',100,1,0),
(222549,10104502,'Decreases Mitigation of target encounter vs physical damage by 1148',100,1,0),
(222550,117828,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(222551,117828,'Heals target for 83 - 101 instantly and every 2 seconds',100,2,1),
(222552,117828,'If over 50% Health',100,3,2),
(222553,117828,'Heals target for 166 - 202 instantly and every 2 seconds',100,2,3),
(222554,117828,'If at 50% Health or less',100,3,4),
(222555,10117828,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(222556,10117828,'Heals target for 40 - 49 instantly and every 2 seconds',100,2,1),
(222557,10117828,'If at 50% Health or less',100,3,2),
(222558,10117828,'Heals target for 24 - 30 instantly and every 2 seconds',100,2,3),
(222559,10117828,'If over 50% Health',100,3,4),
(222560,100612,'Inflicts 1144 - 1907 melee damage on target',100,1,0),
(222561,100612,'You must be sneaking to use this ability.',100,1,1),
(222562,10100612,'Inflicts 1777 - 2962 melee damage on target',100,1,0),
(222563,10100612,'You must be sneaking to use this ability.',100,1,1),
(222564,35057,'Increases Max Health of target by 3.9',100,0,0),
(222565,35057,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(222566,48344,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(222567,48344,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(222568,48344,'Decreases AGI of target by 7.7',100,2,2),
(222569,48344,'Cannot be modified except by direct means',100,2,3),
(222570,48344,'Grants a total of 30 triggers of the spell.',100,2,4),
(222571,10048344,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(222572,10048344,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(222573,10048344,'Decreases AGI of target by 7.7',100,2,2),
(222574,10048344,'Cannot be modified except by direct means',100,2,3),
(222575,10048344,'Grants a total of 30 triggers of the spell.',100,2,4),
(222576,48716,'Applies Translucent Elixir of Constitution when Activated.',100,0,0),
(222577,48716,'Heals caster for 175',100,1,1),
(222578,48716,'Only affects targets level 50 and above',100,1,2),
(222579,10048716,'Applies Translucent Elixir of Constitution when Activated.',100,0,0),
(222580,10048716,'Heals caster for 114',100,1,1),
(222581,10048716,'Only affects targets level 50 and above',100,1,2),
(222582,156937,'Applies Slime Slip when Activated.',100,0,0),
(222583,156937,'Dispels 80 levels of hostile Root effects on caster',100,1,1),
(222584,156937,'The reuse time of Slime Slip is 5 minutes',100,1,2),
(222585,10156937,'Applies Slime Slip when Activated.',100,0,0),
(222586,10156937,'Dispels 80 levels of hostile Root effects on caster',100,1,1),
(222587,10156937,'The reuse time of Slime Slip is 5 minutes',100,1,2),
(222588,104494,'Decreases Mitigation of target encounter vs physical damage by 1056',100,1,0),
(222589,10104494,'Decreases Mitigation of target encounter vs physical damage by 1056',100,1,0),
(222590,36685,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(222591,36685,'This effect suspends during combat',100,0,1),
(222592,119867,'Increases INT and AGI of group members (AE) by 20.2',100,1,0),
(222593,119867,'Adds 1.6% to base avoidance.',100,1,1),
(222594,10119867,'Increases INT and AGI of group members (AE) by 20.2',100,1,0),
(222595,10119867,'Adds 1.6% to base avoidance.',100,1,1),
(222596,42865,'When Equipped:',100,0,0),
(222597,42865,'On any combat or spell hit this spell may cast Greater Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(222598,42865,'Inflicts 4302 - 4755 piercing damage on target',100,2,2),
(222599,42865,'Wards caster against 1250 points of all damage',100,2,3),
(222600,42865,'Must not be engaged in pvp combat',100,2,4),
(222601,42865,'Cannot be modified except by direct means',100,2,5),
(222602,42865,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(222603,42865,'Must not be engaged in pvp combat',100,1,7),
(222604,10042865,'When Equipped:',100,0,0),
(222605,10042865,'On any combat or spell hit this spell may cast Greater Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(222606,10042865,'Inflicts 5593 - 6182 piercing damage on target',100,2,2),
(222607,10042865,'Wards caster against 1250 points of all damage',100,2,3),
(222608,10042865,'Must not be engaged in pvp combat',100,2,4),
(222609,10042865,'Cannot be modified except by direct means',100,2,5),
(222610,10042865,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(222611,10042865,'Must not be engaged in pvp combat',100,1,7),
(222612,74996,'When Equipped:',100,0,0),
(222613,74996,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222614,74996,'Inflicts 131 - 197 magic damage on target',100,2,2),
(222615,74996,'Cannot be modified except by direct means',100,2,3),
(222616,10074996,'When Equipped:',100,0,0),
(222617,10074996,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222618,10074996,'Inflicts 171 - 256 magic damage on target',100,2,2),
(222619,10074996,'Cannot be modified except by direct means',100,2,3),
(222620,118914,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(222621,118914,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 136',100,1,1),
(222622,118914,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,2),
(222623,10118914,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(222624,10118914,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 136',100,1,1),
(222625,10118914,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,2),
(222626,35009,'Increases STA and STR of target by 1.1',100,0,0),
(222627,35009,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(222628,117671,'Decreases Mitigation of target vs physical damage by 418',100,1,0),
(222629,10117671,'Decreases Mitigation of target vs physical damage by 209',100,1,0),
(222630,123744,'Applies Verdict.',100,1,0),
(222631,123744,'Reduces target''s health to 1.',100,2,1),
(222632,123744,'If Target is Weak',100,2,2),
(222633,123744,'If under 50% Health',100,2,3),
(222634,123744,'Applies Verdict.',100,1,4),
(222635,123744,'Reduces target''s health to 1.',100,2,5),
(222636,123744,'Certain creature strengths only',100,2,6),
(222637,123744,'If under 25% Health',100,2,7),
(222638,123744,'Applies Verdict.',100,1,8),
(222639,123744,'Reduces target''s health to 1.',100,2,9),
(222640,123744,'If Target is stronger than Standard',100,2,10),
(222641,123744,'If under 10% Health',100,2,11),
(222642,123744,'Applies Verdict.',100,1,12),
(222643,123744,'Reduces target''s health to 1.',100,2,13),
(222644,123744,'If Target is Epic',100,2,14),
(222645,123744,'If under 2% Health',100,2,15),
(222646,123744,'Cannot be modified except by direct means',100,1,16),
(222647,10123744,'Applies Verdict.',100,1,0),
(222648,10123744,'Reduces target''s health to 1.',100,2,1),
(222649,10123744,'If under 10% Health',100,2,2),
(222650,10123744,'Cannot be modified except by direct means',100,1,3),
(222651,101227,'Inflicts 632 - 1054 cold damage on target',100,1,0),
(222652,101227,'Dazes target',100,1,1),
(222653,101227,'If Target is not Epic',100,2,2),
(222654,101227,'Resistibility increases against targets higher than level 111.',100,1,3),
(222655,10101227,'Inflicts 822 - 1370 cold damage on target',100,1,0),
(222656,10101227,'Dazes target',100,1,1),
(222657,10101227,'If Target is not Epic',100,2,2),
(222658,10101227,'Resistibility increases against targets higher than level 111.',100,1,3),
(222659,165316,'When Equipped:',100,0,0),
(222660,165316,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(222661,165316,'Increases power of caster by 28 instantly and every 5 seconds',100,2,2),
(222662,165316,'Cannot be modified except by direct means',100,2,3),
(222663,10165316,'When Equipped:',100,0,0),
(222664,10165316,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(222665,10165316,'Increases power of caster by 28 instantly and every 5 seconds',100,2,2),
(222666,10165316,'Cannot be modified except by direct means',100,2,3),
(222667,170967,'When Equipped:',100,0,0),
(222668,170967,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(222669,170967,'This effect will not stack with any rank or tier of itself.',100,1,2),
(222670,170967,'Cannot be modified except by direct means',100,1,3),
(222671,10170967,'When Equipped:',100,0,0),
(222672,10170967,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(222673,10170967,'This effect will not stack with any rank or tier of itself.',100,1,2),
(222674,10170967,'Cannot be modified except by direct means',100,1,3),
(222675,82402,'When Equipped:',100,0,0),
(222676,82402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222677,82402,'Inflicts 153 - 283 magic damage on target',100,2,2),
(222678,82402,'Cannot be modified except by direct means',100,2,3),
(222679,10082402,'When Equipped:',100,0,0),
(222680,10082402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222681,10082402,'Inflicts 198 - 368 magic damage on target',100,2,2),
(222682,10082402,'Cannot be modified except by direct means',100,2,3),
(222683,45650,'Applies Elixir of the Steadfast  when Activated.',100,0,0),
(222684,45650,'Heals caster for 199',100,1,1),
(222685,10045650,'Applies Elixir of the Steadfast  when Activated.',100,0,0),
(222686,10045650,'Heals caster for 129',100,1,1),
(222687,121830,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(222688,121830,'Increases Mitigation of group members (AE) vs arcane damage by 523',100,1,1),
(222689,10121830,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(222690,10121830,'Increases Mitigation of group members (AE) vs arcane damage by 523',100,1,1),
(222691,48008,'Applies Draw upon Essence when Activated.',100,0,0),
(222692,48008,'Increases power of caster by 5',100,1,1),
(222693,48008,'Requires 15 Health to cast.',100,1,2),
(222694,10048008,'Applies Draw upon Essence when Activated.',100,0,0),
(222695,10048008,'Increases power of caster by 5',100,1,1),
(222696,10048008,'Requires 15 Health to cast.',100,1,2),
(222697,120318,'Increases Threat to target by 427 - 522 ',100,1,0),
(222698,10120318,'Forces target to change their selected target to caster.',100,1,0),
(222699,10120318,'Prevents target from changing targets',100,1,1),
(222700,102665,'Inflicts 575 - 959 melee damage on target',100,1,0),
(222701,102665,'Inflicts 248 heat damage on target every 6 seconds',100,1,1),
(222702,10102665,'Inflicts 748 - 1247 melee damage on target',100,1,0),
(222703,10102665,'Inflicts 323 heat damage on target every 6 seconds',100,1,1),
(222704,80390,'When Equipped:',100,0,0),
(222705,80390,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222706,80390,'Inflicts 70 - 131 magic damage on target',100,2,2),
(222707,80390,'Decreases Threat to target by 153 ',100,2,3),
(222708,80390,'Must be flanking or behind',100,3,4),
(222709,80390,'Increases Threat to target by 153 ',100,2,5),
(222710,80390,'Must be in front of',100,3,6),
(222711,80390,'Cannot be modified except by direct means',100,2,7),
(222712,10080390,'When Equipped:',100,0,0),
(222713,10080390,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222714,10080390,'Inflicts 91 - 170 magic damage on target',100,2,2),
(222715,10080390,'Cannot be modified except by direct means',100,2,3),
(222716,80978,'When Equipped:',100,0,0),
(222717,80978,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222718,80978,'Inflicts 259 - 481 magic damage on target',100,2,2),
(222719,80978,'Cannot be modified except by direct means',100,2,3),
(222720,10080978,'When Equipped:',100,0,0),
(222721,10080978,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222722,10080978,'Inflicts 337 - 625 magic damage on target',100,2,2),
(222723,10080978,'Cannot be modified except by direct means',100,2,3),
(222724,82390,'When Equipped:',100,0,0),
(222725,82390,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222726,82390,'Inflicts 153 - 283 magic damage on target',100,2,2),
(222727,82390,'Cannot be modified except by direct means',100,2,3),
(222728,10082390,'When Equipped:',100,0,0),
(222729,10082390,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222730,10082390,'Inflicts 198 - 368 magic damage on target',100,2,2),
(222731,10082390,'Cannot be modified except by direct means',100,2,3),
(222732,113881,'Increases power of target by 109',100,1,0),
(222733,10113881,'Increases power of target by 109',100,1,0),
(222734,70572,'When Equipped:',100,0,0),
(222735,70572,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222736,70572,'Inflicts 278 cold damage on target',100,2,2),
(222737,70572,'Cannot be modified except by direct means',100,2,3),
(222738,10070572,'When Equipped:',100,0,0),
(222739,10070572,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222740,10070572,'Inflicts 362 cold damage on target',100,2,2),
(222741,10070572,'Cannot be modified except by direct means',100,2,3),
(222742,45389,'Applies Ice-Daze when Activated.',100,0,0),
(222743,45389,'The Bonechill Wand can be used on coldain that are under 20 percent of life.',100,1,1),
(222744,10045389,'Applies Ice-Daze when Activated.',100,0,0),
(222745,10045389,'The Bonechill Wand can be used on coldain that are under 20 percent of life.',100,1,1),
(222746,113398,'Increases STA of caster by 14.5',100,1,0),
(222747,113398,'Adds 3.4% to base avoidance.',100,1,1),
(222748,113398,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,2),
(222749,113398,'Increases Defense and Aggression of caster by 2.0',100,1,3),
(222750,113398,'Increases Mitigation of caster vs noxious damage by 169',100,1,4),
(222751,113398,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(222752,113398,'Reduces physical damage done to caster by 5%',100,1,6),
(222753,10113398,'Increases STA of caster by 14.5',100,1,0),
(222754,10113398,'Adds 3.4% to base avoidance.',100,1,1),
(222755,10113398,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,2),
(222756,10113398,'Increases Defense and Aggression of caster by 2.0',100,1,3),
(222757,10113398,'Increases Mitigation of caster vs noxious damage by 169',100,1,4),
(222758,10113398,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(222759,10113398,'Reduces physical damage done to caster by 5%',100,1,6),
(222760,104078,'Inflicts 198 - 330 mental damage on target',100,1,0),
(222761,104078,'Inflicts 198 - 330 mental damage on target',100,1,1),
(222762,10104078,'Inflicts 257 - 429 mental damage on target',100,1,0),
(222763,10104078,'Inflicts 257 - 429 mental damage on target',100,1,1),
(222764,119699,'Increases Threat to target encounter by 400 - 489 ',100,1,0),
(222765,10119699,'Prevents target encounter from changing targets',100,1,0),
(222766,10119699,'Forces target encounter to change their selected target to caster.',100,1,1),
(222767,108785,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(222768,108785,'Inflicts 62 - 75 heat damage on target instantly and every 4 seconds',100,2,1),
(222769,108785,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(222770,108785,'Inflicts 273 - 334 heat damage on target encounter',100,3,3),
(222771,108785,'Grants a total of 1 trigger of the spell.',100,3,4),
(222772,10108785,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(222773,10108785,'Inflicts 80 - 98 heat damage on target instantly and every 4 seconds',100,2,1),
(222774,10108785,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(222775,10108785,'Inflicts 356 - 435 heat damage on target encounter',100,3,3),
(222776,10108785,'Grants a total of 1 trigger of the spell.',100,3,4),
(222777,37536,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(222778,131327,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(222779,131327,'Increases Damage Per Second of caster by 20.0',100,1,1),
(222780,131327,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(222781,10131327,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(222782,10131327,'Increases Damage Per Second of caster by 20.0',100,1,1),
(222783,10131327,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(222784,112247,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(222785,112247,'Decreases power of target by 193',100,2,1),
(222786,112247,'Increases power of caster by 103',100,2,2),
(222787,10112247,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(222788,10112247,'Decreases power of target by 193',100,2,1),
(222789,10112247,'Increases power of caster by 82',100,2,2),
(222790,116709,'Inflicts 196 - 326 melee damage on target',100,1,0),
(222791,10116709,'Inflicts 254 - 424 melee damage on target',100,1,0),
(222792,100993,'Increases INT of target by 84.6',100,1,0),
(222793,100993,'Increases Attack Speed of target by 44.3',100,1,1),
(222794,100993,'Decreases Defense and Parry of target by 17.5',100,1,2),
(222795,100993,'Increases Slashing, Piercing and Crushing of target by 18.7',100,1,3),
(222796,10100993,'Increases INT of target by 84.6',100,1,0),
(222797,10100993,'Increases Attack Speed of target by 44.3',100,1,1),
(222798,10100993,'Decreases Defense and Parry of target by 17.5',100,1,2),
(222799,10100993,'Increases Slashing, Piercing and Crushing of target by 18.7',100,1,3),
(222800,118342,'Inflicts 110 - 184 melee damage on target',100,1,0),
(222801,118342,'Inflicts 111 - 184 heat damage on target every 4 seconds',100,1,1),
(222802,10118342,'Inflicts 143 - 239 melee damage on target',100,1,0),
(222803,10118342,'Inflicts 144 - 240 heat damage on target every 4 seconds',100,1,1),
(222804,109589,'Makes target afraid',100,1,0),
(222805,109589,'30% chance to dispel when target takes damage',100,1,1),
(222806,109589,'Does not affect Epic targets',100,1,2),
(222807,109589,'Resistibility increases against targets higher than level 117.',100,1,3),
(222808,10109589,'Makes target afraid',100,1,0),
(222809,10109589,'30% chance to dispel when target takes damage',100,1,1),
(222810,10109589,'Does not affect Epic targets',100,1,2),
(222811,10109589,'Resistibility increases against targets higher than level 117.',100,1,3),
(222812,82659,'When Equipped:',100,0,0),
(222813,82659,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222814,82659,'Inflicts 118 - 218 magic damage on target',100,2,2),
(222815,82659,'Decreases Threat to target by 259 ',100,2,3),
(222816,82659,'Must be flanking or behind',100,3,4),
(222817,82659,'Increases Threat to target by 259 ',100,2,5),
(222818,82659,'Must be in front of',100,3,6),
(222819,82659,'Cannot be modified except by direct means',100,2,7),
(222820,10082659,'When Equipped:',100,0,0),
(222821,10082659,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(222822,10082659,'Inflicts 153 - 284 magic damage on target',100,2,2),
(222823,10082659,'Cannot be modified except by direct means',100,2,3),
(222824,146002,'Applies Strength of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(222825,146002,'Increases Max Health of caster by 200.0',100,1,1),
(222826,146002,'This effect cannot be cast during combat',100,1,2),
(222827,146002,'The casting time of Strength of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(222828,10146002,'Applies Strength of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(222829,10146002,'Increases Max Health of caster by 200.0',100,1,1),
(222830,10146002,'This effect cannot be cast during combat',100,1,2),
(222831,10146002,'The casting time of Strength of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(222832,37318,'Increases STA and INT of target by 1.1',100,0,0),
(222833,37318,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(222834,100368,'Increases Max Health of target by 1,274.7',100,1,0),
(222835,100368,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.2',100,1,1),
(222836,10100368,'Increases Max Health of target by 1,274.7',100,1,0),
(222837,10100368,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.2',100,1,1),
(222838,35218,'Increases Max Power of target by 3.3',100,0,0),
(222839,35218,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(222840,37022,'Increases INT of target by 1.5',100,0,0),
(222841,37022,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(222842,101984,'Inflicts 1516 - 2815 heat damage on target',100,1,0),
(222843,10101984,'Inflicts 1970 - 3659 heat damage on target',100,1,0),
(222844,37313,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(222845,74847,'When Equipped:',100,0,0),
(222846,74847,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222847,74847,'Inflicts 169 - 254 magic damage on target',100,2,2),
(222848,74847,'Cannot be modified except by direct means',100,2,3),
(222849,10074847,'When Equipped:',100,0,0),
(222850,10074847,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(222851,10074847,'Inflicts 220 - 330 magic damage on target',100,2,2),
(222852,10074847,'Cannot be modified except by direct means',100,2,3),
(222853,116403,'Heals target for 379 - 464 instantly and every 2 seconds',100,1,0),
(222854,10116403,'Heals target for 247 - 301 instantly and every 2 seconds',100,1,0),
(222855,117771,'Inflicts 615 - 1026 divine damage on target',100,1,0),
(222856,10117771,'Inflicts 800 - 1333 divine damage on target',100,1,0),
(222857,120571,'Inflicts 9123 - 15205 ranged damage on target',100,1,0),
(222858,120571,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(222859,120571,'Stuns target',100,2,2),
(222860,120571,'Blurs vision of target',100,2,3),
(222861,120571,'Throws target back',100,2,4),
(222862,120571,'Does not affect Epic targets',100,2,5),
(222863,120571,'I need to be stealthed!',100,1,6),
(222864,120571,'Requires bow',100,1,7),
(222865,10120571,'Inflicts 5209 - 8682 melee damage on target',100,1,0),
(222866,10120571,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(222867,10120571,'Stuns target',100,2,2),
(222868,10120571,'Blurs vision of target',100,2,3),
(222869,10120571,'Throws target back',100,2,4),
(222870,10120571,'Does not affect Epic targets',100,2,5),
(222871,10120571,'I need to be stealthed!',100,1,6),
(222872,47705,'Applies Essence of Combat when Activated.  Lasts for 30.0 seconds.',100,0,0),
(222873,47705,'Increases power of caster by 36 instantly and every 5 seconds',100,1,1),
(222874,47705,'Heals caster for 291',100,1,2),
(222875,10047705,'Applies Essence of Combat when Activated.  Lasts for 30.0 seconds.',100,0,0),
(222876,10047705,'Increases power of caster by 36 instantly and every 5 seconds',100,1,1),
(222877,10047705,'Heals caster for 189',100,1,2),
(222878,114859,'Decreases AGI of target by 30.6',100,1,0),
(222879,114859,'Decreases Defense of target by 11.9',100,1,1),
(222880,10114859,'Decreases AGI of target by 30.6',100,1,0),
(222881,10114859,'Decreases Defense of target by 11.9',100,1,1),
(222882,35064,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(222883,119019,'Heals target for 2638 - 3225',100,1,0),
(222884,10119019,'Heals target for 2806 - 3430',100,1,0),
(222885,45394,'Applies Call Boreal Gryphon when Activated.',100,0,0),
(222886,45394,'Summons a mount to ride',100,1,1),
(222887,45394,'Increases your ground speed by 75%',100,2,2),
(222888,45394,'Increases your air speed by 150%',100,2,3),
(222889,10045394,'Applies Call Boreal Gryphon when Activated.',100,0,0),
(222890,10045394,'Summons a mount to ride',100,1,1),
(222891,10045394,'Increases your ground speed by 75%',100,2,2),
(222892,10045394,'Increases your air speed by 150%',100,2,3),
(222893,116037,'Shapechanges caster into a lion',100,1,0),
(222894,116037,'Increases STA of caster by 22.8',100,1,1),
(222895,116037,'Adds 2.2% to base avoidance.',100,1,2),
(222896,116037,'Grants See Stealth to caster',100,1,3),
(222897,116037,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 361',100,1,4),
(222898,10116037,'Shapechanges caster into a lion',100,1,0),
(222899,10116037,'Increases STA of caster by 22.8',100,1,1),
(222900,10116037,'Adds 2.2% to base avoidance.',100,1,2),
(222901,10116037,'Grants See Stealth to caster',100,1,3),
(222902,10116037,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 361',100,1,4),
(222903,72089,'When Equipped:',100,0,0),
(222904,72089,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222905,72089,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(222906,72089,'Cannot be modified except by direct means',100,2,3),
(222907,10072089,'When Equipped:',100,0,0),
(222908,10072089,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(222909,10072089,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(222910,10072089,'Cannot be modified except by direct means',100,2,3),
(222911,123638,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(222912,123638,'Slows target by 36.2%',100,2,1),
(222913,123638,'5% chance to dispel when target receives hostile action',100,2,2),
(222914,123638,'5% chance to dispel when target takes damage',100,2,3),
(222915,123638,'Inflicts 196 - 240 cold damage on target',100,1,4),
(222916,10123638,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(222917,10123638,'Slows target by 36.2%',100,2,1),
(222918,10123638,'5% chance to dispel when target receives hostile action',100,2,2),
(222919,10123638,'5% chance to dispel when target takes damage',100,2,3),
(222920,10123638,'Inflicts 219 - 267 cold damage on target',100,1,4),
(222921,49094,'Applies Disguise when Activated.  Lasts for 1 hour.',100,0,0),
(222922,49094,'Shapechanges caster into a vultak',100,1,1),
(222923,49094,'Allows the wearer to pass undetected among the vultaks in the Nest of the Great Egg.',100,1,2),
(222924,49094,'Must be in Nest of the Great Egg: Outfitter Errands.',100,1,3),
(222925,10049094,'Applies Disguise when Activated.  Lasts for 1 hour.',100,0,0),
(222926,10049094,'Shapechanges caster into a vultak',100,1,1),
(222927,10049094,'Allows the wearer to pass undetected among the vultaks in the Nest of the Great Egg.',100,1,2),
(222928,10049094,'Must be in Nest of the Great Egg: Outfitter Errands.',100,1,3),
(222929,26438,'When Equipped:',100,0,0),
(222930,26438,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(222931,10026438,'When Equipped:',100,0,0),
(222932,10026438,'Increases In-Combat Power Regeneration of caster by 1.0',100,1,1),
(222933,113501,'Inflicts 339 - 565 melee damage on targets in area',100,1,0),
(222934,10113501,'Inflicts 441 - 735 melee damage on targets in area',100,1,0),
(222935,109455,'Roots target',100,1,0),
(222936,109455,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(222937,109455,'Slows target by 40.6%',100,2,2),
(222938,109455,'5% chance to dispel when target receives hostile action',100,2,3),
(222939,109455,'5% chance to dispel when target takes damage',100,2,4),
(222940,109455,'10% chance to dispel when target receives hostile action',100,1,5),
(222941,109455,'10% chance to dispel when target takes damage',100,1,6),
(222942,109455,'Does not affect Epic targets',100,1,7),
(222943,109455,'Resistibility increases against targets higher than level 48.',100,1,8),
(222944,10109455,'Roots target',100,1,0),
(222945,10109455,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(222946,10109455,'Slows target by 40.6%',100,2,2),
(222947,10109455,'5% chance to dispel when target receives hostile action',100,2,3),
(222948,10109455,'5% chance to dispel when target takes damage',100,2,4),
(222949,10109455,'10% chance to dispel when target receives hostile action',100,1,5),
(222950,10109455,'10% chance to dispel when target takes damage',100,1,6),
(222951,10109455,'Does not affect Epic targets',100,1,7),
(222952,10109455,'Resistibility increases against targets higher than level 48.',100,1,8),
(222953,105406,'Increases STR of caster by 47.5',100,1,0),
(222954,105406,'Decreases Defense of caster by 4.8',100,1,1),
(222955,105406,'Increases Slashing, Piercing, Crushing and Disruption of caster by 8.6',100,1,2),
(222956,10105406,'Increases STR of caster by 47.5',100,1,0),
(222957,10105406,'Decreases Defense of caster by 4.8',100,1,1),
(222958,10105406,'Increases Slashing, Piercing, Crushing and Disruption of caster by 8.6',100,1,2),
(222959,105122,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(222960,105122,'Summon 1 Crystallized Soul (Journeyman)',100,2,1),
(222961,10105122,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(222962,10105122,'Summon 1 Crystallized Soul (Journeyman)',100,2,1),
(222963,106575,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(222964,106575,'Increases Parry of caster by 5.3',100,1,1),
(222965,10106575,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(222966,10106575,'Increases Parry of caster by 5.3',100,1,1),
(222967,36868,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(222968,117752,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(222969,117752,'Increases Max Health of target by 1,236.6',100,2,1),
(222970,117752,'Heals target for 2145',100,2,2),
(222971,117752,'Grants a total of 1 trigger of the spell.',100,2,3),
(222972,10117752,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(222973,10117752,'Increases Max Health of target by 1,236.6',100,2,1),
(222974,10117752,'Heals target for 2510',100,2,2),
(222975,10117752,'Grants a total of 1 trigger of the spell.',100,2,3),
(222976,103743,'Increases Max Health of raid and group members (AE) by 998.6',100,1,0),
(222977,103743,'Increases Defense of raid and group members (AE) by 34.2',100,1,1),
(222978,10103743,'Increases Max Health of raid and group members (AE) by 998.6',100,1,0),
(222979,10103743,'Increases Defense of raid and group members (AE) by 34.2',100,1,1),
(222980,106180,'Wards target against 75 points of all damage',100,1,0),
(222981,106180,'Decreases INT of target by 81.5',100,1,1),
(222982,106180,'Decreases Attack Speed of target by 25.0',100,1,2),
(222983,106180,'Increases Max Health of target by 16.0%',100,1,3),
(222984,106180,'Increases Hate Gain of target by 36.4%',100,1,4),
(222985,106180,'Increases Aggression of target by 10.1',100,1,5),
(222986,106180,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(222987,106180,'Increases Threat to target encounter by 84 - 103 ',100,2,7),
(222988,106180,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,8),
(222989,10106180,'Wards target against 75 points of all damage',100,1,0),
(222990,10106180,'Decreases INT of target by 81.5',100,1,1),
(222991,10106180,'Decreases Attack Speed of target by 25.0',100,1,2),
(222992,10106180,'Increases Max Health of target by 16.0%',100,1,3),
(222993,10106180,'Increases Aggression of target by 10.1',100,1,4),
(222994,10106180,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,5),
(222995,26276,'When Equipped:',100,0,0),
(222996,26276,'On a riposte this spell has a 35% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(222997,26276,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(222998,26276,'Heals caster for 72 - 88',100,3,3),
(222999,26276,'Grants a total of 3 triggers of the spell.',100,3,4),
(223000,26276,'Cannot be modified except by direct means',100,2,5),
(223001,10026276,'When Equipped:',100,0,0),
(223002,10026276,'On a riposte this spell has a 35% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(223003,10026276,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(223004,10026276,'Heals caster for 47 - 57',100,3,3),
(223005,10026276,'Grants a total of 3 triggers of the spell.',100,3,4),
(223006,10026276,'Cannot be modified except by direct means',100,2,5),
(223007,111307,'Inflicts 487 - 812 divine damage on target',100,1,0),
(223008,111307,'Inflicts 195 - 325 divine damage on target every 4 seconds',100,1,1),
(223009,10111307,'Inflicts 633 - 1056 divine damage on target',100,1,0),
(223010,10111307,'Inflicts 254 - 423 divine damage on target every 4 seconds',100,1,1),
(223011,46889,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(223012,46889,'Wards caster against 903 points of noxious damage',100,1,1),
(223013,10046889,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(223014,10046889,'Wards caster against 903 points of noxious damage',100,1,1),
(223015,46482,'Applies Glacial Rhino when Activated.',100,0,0),
(223016,46482,'Summons a mount to ride',100,1,1),
(223017,46482,'Increases your ground speed by 130%',100,2,2),
(223018,10046482,'Applies Glacial Rhino when Activated.',100,0,0),
(223019,10046482,'Summons a mount to ride',100,1,1),
(223020,10046482,'Increases your ground speed by 130%',100,2,2),
(223021,114608,'Decreases WIS of target by 5.3',100,1,0),
(223022,114608,'Inflicts 16 - 27 melee damage on target',100,1,1),
(223023,114608,'You must be sneaking to use this ability.',100,1,2),
(223024,10114608,'Decreases WIS of target by 5.3',100,1,0),
(223025,10114608,'Inflicts 21 - 35 melee damage on target',100,1,1),
(223026,10114608,'You must be sneaking to use this ability.',100,1,2),
(223027,137640,'When Equipped:',100,0,0),
(223028,137640,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(223029,10137640,'When Equipped:',100,0,0),
(223030,10137640,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(223031,24415,'Adds Goblin (Berserker) to your Dungeon Maker toolbox',100,0,0),
(223032,10024415,'Adds Goblin (Berserker) to your Dungeon Maker toolbox',100,0,0),
(223033,102863,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(223034,102863,'Stuns target',100,2,1),
(223035,102863,'Throws target back',100,2,2),
(223036,102863,'Blurs vision of target',100,2,3),
(223037,102863,'Does not affect Epic targets',100,2,4),
(223038,102863,'Inflicts 446 - 1340 melee damage on targets in area',100,1,5),
(223039,10102863,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(223040,10102863,'Stuns target',100,2,1),
(223041,10102863,'Throws target back',100,2,2),
(223042,10102863,'Blurs vision of target',100,2,3),
(223043,10102863,'Does not affect Epic targets',100,2,4),
(223044,10102863,'Inflicts 580 - 1742 melee damage on targets in area',100,1,5),
(223045,46269,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(223046,46269,'Increases power of caster by 73 instantly and every 5 seconds',100,1,1),
(223047,10046269,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(223048,10046269,'Increases power of caster by 58 instantly and every 5 seconds',100,1,1),
(223049,117875,'Heals target for 225 - 275 instantly and every 2 seconds',100,1,0),
(223050,10117875,'Heals target for 146 - 179 instantly and every 2 seconds',100,1,0),
(223051,40324,'When Equipped:',100,0,0),
(223052,40324,'On a combat hit this spell may cast Flapping Wing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223053,40324,'Throws target back',100,2,2),
(223054,40324,'Inflicts 282 magic damage on target',100,2,3),
(223055,40324,'Cannot be modified except by direct means',100,2,4),
(223056,10040324,'When Equipped:',100,0,0),
(223057,10040324,'On a combat hit this spell may cast Flapping Wing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223058,10040324,'Throws target back',100,2,2),
(223059,10040324,'Inflicts 367 magic damage on target',100,2,3),
(223060,10040324,'Cannot be modified except by direct means',100,2,4),
(223061,81416,'When Equipped:',100,0,0),
(223062,81416,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223063,81416,'Inflicts 109 - 202 magic damage on target',100,2,2),
(223064,81416,'Cannot be modified except by direct means',100,2,3),
(223065,10081416,'When Equipped:',100,0,0),
(223066,10081416,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223067,10081416,'Inflicts 142 - 263 magic damage on target',100,2,2),
(223068,10081416,'Cannot be modified except by direct means',100,2,3),
(223069,81457,'When Equipped:',100,0,0),
(223070,81457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223071,81457,'Inflicts 109 - 202 magic damage on target',100,2,2),
(223072,81457,'Cannot be modified except by direct means',100,2,3),
(223073,10081457,'When Equipped:',100,0,0),
(223074,10081457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223075,10081457,'Inflicts 142 - 263 magic damage on target',100,2,2),
(223076,10081457,'Cannot be modified except by direct means',100,2,3),
(223077,119802,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(223078,119802,'Adds 0.9% to base avoidance.',100,1,1),
(223079,10119802,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(223080,10119802,'Adds 0.9% to base avoidance.',100,1,1),
(223081,105411,'Increases STR of caster by 63.4',100,1,0),
(223082,105411,'Decreases Defense of caster by 4.8',100,1,1),
(223083,105411,'Increases Slashing, Piercing, Crushing and Disruption of caster by 11.5',100,1,2),
(223084,10105411,'Increases STR of caster by 63.4',100,1,0),
(223085,10105411,'Decreases Defense of caster by 4.8',100,1,1),
(223086,10105411,'Increases Slashing, Piercing, Crushing and Disruption of caster by 11.5',100,1,2),
(223087,112417,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 47% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(223088,112417,'If over 50% Health',100,2,1),
(223089,112417,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 47% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(223090,112417,'If at 50% Health or less',100,2,3),
(223091,10112417,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 47% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(223092,10112417,'If over 50% Health',100,2,1),
(223093,10112417,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 47% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(223094,10112417,'If at 50% Health or less',100,2,3),
(223095,109091,'Inflicts 354 - 590 melee damage on target',100,1,0),
(223096,109091,'Inflicts 354 - 590 melee damage on target',100,1,1),
(223097,109091,'Inflicts 354 - 590 melee damage on target',100,1,2),
(223098,109091,'Decreases Mitigation of target vs physical damage by 960',100,1,3),
(223099,10109091,'Inflicts 460 - 768 melee damage on target',100,1,0),
(223100,10109091,'Inflicts 460 - 768 melee damage on target',100,1,1),
(223101,10109091,'Inflicts 460 - 768 melee damage on target',100,1,2),
(223102,10109091,'Decreases Mitigation of target vs physical damage by 960',100,1,3),
(223103,111551,'Inflicts 91 - 169 cold damage on target',100,1,0),
(223104,10111551,'Inflicts 118 - 220 cold damage on target',100,1,0),
(223105,106973,'Inflicts 599 - 1112 poison damage on target',100,1,0),
(223106,106973,'Increases power of caster by 38',100,1,1),
(223107,10106973,'Inflicts 778 - 1445 poison damage on target',100,1,0),
(223108,10106973,'Increases power of caster by 38',100,1,1),
(223109,45747,'Applies Stormreapers Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(223110,45747,'Increases Max Power of caster by 24.0',100,1,1),
(223111,10045747,'Applies Stormreapers Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(223112,10045747,'Increases Max Power of caster by 24.0',100,1,1),
(223113,87349,'When Equipped:',100,0,0),
(223114,87349,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223115,87349,'Inflicts 150 - 225 magic damage on target',100,2,2),
(223116,87349,'Cannot be modified except by direct means',100,2,3),
(223117,10087349,'When Equipped:',100,0,0),
(223118,10087349,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223119,10087349,'Inflicts 195 - 292 magic damage on target',100,2,2),
(223120,10087349,'Cannot be modified except by direct means',100,2,3),
(223121,123959,'Inflicts 109 - 182 melee damage on target',100,1,0),
(223122,123959,'Decreases AGI of target by 11.2',100,1,1),
(223123,123959,'Must be behind',100,1,2),
(223124,10123959,'Inflicts 142 - 237 melee damage on target',100,1,0),
(223125,10123959,'Decreases AGI of target by 11.2',100,1,1),
(223126,10123959,'Must be behind',100,1,2),
(223127,104630,'Inflicts 88 - 147 crushing damage on target',100,1,0),
(223128,104630,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.8',100,1,1),
(223129,10104630,'Inflicts 115 - 192 crushing damage on target',100,1,0),
(223130,10104630,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.8',100,1,1),
(223131,117045,'Inflicts 51 - 86 melee damage on target',100,1,0),
(223132,117045,'Decreases Attack Speed of target by 12.7',100,1,1),
(223133,10117045,'Inflicts 67 - 111 melee damage on target',100,1,0),
(223134,10117045,'Decreases Attack Speed of target by 12.7',100,1,1),
(223135,113559,'Inflicts 788 - 1313 disease damage on target',100,1,0),
(223136,10113559,'Inflicts 1024 - 1706 disease damage on target',100,1,0),
(223137,121838,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(223138,121838,'Increases Mitigation of group members (AE) vs arcane damage by 1015',100,1,1),
(223139,10121838,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(223140,10121838,'Increases Mitigation of group members (AE) vs arcane damage by 1015',100,1,1),
(223141,35650,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(223142,159871,'When Equipped:',100,0,0),
(223143,159871,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223144,159871,'Increases STA of caster by 17.3',100,2,2),
(223145,159871,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(223146,159871,'Cannot be modified except by direct means',100,2,4),
(223147,10159871,'When Equipped:',100,0,0),
(223148,10159871,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223149,10159871,'Increases STA of caster by 17.3',100,2,2),
(223150,10159871,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(223151,10159871,'Cannot be modified except by direct means',100,2,4),
(223152,45520,'Applies Civean Il''Pernod''s Conflagrant Component when Activated.  Lasts for 2 minutes.',100,0,0),
(223153,45520,'If the next damage spell cast is heat-based, it will inflict increased damage.',100,1,1),
(223154,45520,'Dispelled when target casts a hostile spell',100,1,2),
(223155,45520,'Dispelled when target takes damage',100,1,3),
(223156,10045520,'Applies Civean Il''Pernod''s Conflagrant Component when Activated.  Lasts for 2 minutes.',100,0,0),
(223157,10045520,'If the next damage spell cast is heat-based, it will inflict increased damage.',100,1,1),
(223158,10045520,'Dispelled when target casts a hostile spell',100,1,2),
(223159,10045520,'Dispelled when target takes damage',100,1,3),
(223160,119678,'Increases Threat to target encounter by 51 - 62 ',100,1,0),
(223161,102842,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(223162,102842,'Stuns target',100,2,1),
(223163,102842,'Throws target back',100,2,2),
(223164,102842,'Blurs vision of target',100,2,3),
(223165,102842,'Does not affect Epic targets',100,2,4),
(223166,102842,'Inflicts 103 - 310 melee damage on targets in area',100,1,5),
(223167,10102842,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(223168,10102842,'Stuns target',100,2,1),
(223169,10102842,'Throws target back',100,2,2),
(223170,10102842,'Blurs vision of target',100,2,3),
(223171,10102842,'Does not affect Epic targets',100,2,4),
(223172,10102842,'Inflicts 134 - 403 melee damage on targets in area',100,1,5),
(223173,35592,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(223174,143463,'When Equipped:',100,0,0),
(223175,143463,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(223176,10143463,'When Equipped:',100,0,0),
(223177,10143463,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(223178,104204,'Increases Mitigation of group members (AE) vs physical damage by 125',100,1,0),
(223179,10104204,'Increases Mitigation of group members (AE) vs physical damage by 125',100,1,0),
(223180,108087,'Decreases Threat to target by 264 - 440 ',100,1,0),
(223181,10108087,'Forces target to clear their selected target.',100,1,0),
(223182,10108087,'Target cannot target caster for the duration of this effect.',100,1,1),
(223183,111938,'Inflicts 12 - 14 disease damage on target',100,1,0),
(223184,111938,'Decreases Mitigation of target vs noxious damage by 27',100,1,1),
(223185,10111938,'Inflicts 20 - 24 disease damage on target',100,1,0),
(223186,10111938,'Decreases Mitigation of target vs noxious damage by 27',100,1,1),
(223187,48284,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(223188,48284,'Increases speed of caster by 21.6%',100,1,1),
(223189,48284,'This effect suspends during combat',100,1,2),
(223190,10048284,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(223191,10048284,'Increases speed of caster by 21.6%',100,1,1),
(223192,10048284,'This effect suspends during combat',100,1,2),
(223193,80717,'When Equipped:',100,0,0),
(223194,80717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223195,80717,'Inflicts 75 - 138 magic damage on target',100,2,2),
(223196,80717,'Cannot be modified except by direct means',100,2,3),
(223197,10080717,'When Equipped:',100,0,0),
(223198,10080717,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223199,10080717,'Inflicts 97 - 180 magic damage on target',100,2,2),
(223200,10080717,'Cannot be modified except by direct means',100,2,3),
(223201,24616,'Adds Pandaman (Paladin) to your Dungeon Maker toolbox',100,0,0),
(223202,10024616,'Adds Pandaman (Paladin) to your Dungeon Maker toolbox',100,0,0),
(223203,117337,'Roots target',100,1,0),
(223204,117337,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(223205,117337,'Slows target by 50.6%',100,2,2),
(223206,117337,'5% chance to dispel when target receives hostile action',100,2,3),
(223207,117337,'5% chance to dispel when target takes damage',100,2,4),
(223208,117337,'15% chance to dispel when target takes damage',100,1,5),
(223209,117337,'Does not affect Epic targets',100,1,6),
(223210,117337,'Resistibility increases against targets higher than level 90.',100,1,7),
(223211,10117337,'Roots target',100,1,0),
(223212,10117337,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(223213,10117337,'Slows target by 50.6%',100,2,2),
(223214,10117337,'10% chance to dispel when target receives hostile action',100,2,3),
(223215,10117337,'10% chance to dispel when target takes damage',100,2,4),
(223216,10117337,'15% chance to dispel when target takes damage',100,1,5),
(223217,10117337,'Does not affect Epic targets',100,1,6),
(223218,10117337,'Resistibility increases against targets higher than level 90.',100,1,7),
(223219,72808,'When Equipped:',100,0,0),
(223220,72808,'On a critical combat hit this spell may cast Paralyzing Puncture III on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223221,72808,'Stuns target',100,2,2),
(223222,72808,'If Target is not Epic',100,3,3),
(223223,72808,'Inflicts 144 - 160 heat damage on target',100,2,4),
(223224,72808,'Must not be engaged in pvp combat',100,2,5),
(223225,72808,'Cannot be modified except by direct means',100,2,6),
(223226,72808,'Must not be engaged in pvp combat',100,1,7),
(223227,10072808,'When Equipped:',100,0,0),
(223228,10072808,'On a critical combat hit this spell may cast Paralyzing Puncture III on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223229,10072808,'Stuns target',100,2,2),
(223230,10072808,'If Target is not Epic',100,3,3),
(223231,10072808,'Inflicts 188 - 207 heat damage on target',100,2,4),
(223232,10072808,'Must not be engaged in pvp combat',100,2,5),
(223233,10072808,'Cannot be modified except by direct means',100,2,6),
(223234,10072808,'Must not be engaged in pvp combat',100,1,7),
(223235,123479,'Decreases Mitigation of target encounter vs noxious damage by 92',100,1,0),
(223236,10123479,'Decreases Mitigation of target encounter vs noxious damage by 92',100,1,0),
(223237,46437,'Applies Capture when Activated.',100,0,0),
(223238,10046437,'Applies Capture when Activated.',100,0,0),
(223239,82103,'When Equipped:',100,0,0),
(223240,82103,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223241,82103,'Inflicts 212 - 393 magic damage on target',100,2,2),
(223242,82103,'Cannot be modified except by direct means',100,2,3),
(223243,10082103,'When Equipped:',100,0,0),
(223244,10082103,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223245,10082103,'Inflicts 275 - 511 magic damage on target',100,2,2),
(223246,10082103,'Cannot be modified except by direct means',100,2,3),
(223247,47666,'Applies Quel''ule Teleport Stone when Activated.',100,0,0),
(223248,47666,'Teleports the caster to Quel''ule. May be used from the inventory.',100,1,1),
(223249,10047666,'Applies Quel''ule Teleport Stone when Activated.',100,0,0),
(223250,10047666,'Teleports the caster to Quel''ule. May be used from the inventory.',100,1,1),
(223251,120194,'Applies Life Draw on termination.',100,1,0),
(223252,120194,'Inflicts 1042 - 1736 disease damage on target',100,2,1),
(223253,120194,'Heals caster for 11.9 - 14.5% of max health',100,2,2),
(223254,120194,'This effect cannot be critically applied.',100,3,3),
(223255,120194,'The healing of this spell cannot be modified except by direct means',100,2,4),
(223256,120194,'Inflicts 303 - 506 disease damage on target',100,1,5),
(223257,10120194,'Applies Life Draw on termination.',100,1,0),
(223258,10120194,'Inflicts 1354 - 2257 disease damage on target',100,2,1),
(223259,10120194,'Heals caster for 3.2 - 4.0% of max health',100,2,2),
(223260,10120194,'This effect cannot be critically applied.',100,3,3),
(223261,10120194,'The healing of this spell cannot be modified except by direct means',100,2,4),
(223262,10120194,'Inflicts 394 - 658 disease damage on target',100,1,5),
(223263,102905,'Heals caster for 803',100,1,0),
(223264,102905,'Inflicts 1688 disease damage on targets in Area of Effect',100,1,1),
(223265,10102905,'Heals caster for 522',100,1,0),
(223266,10102905,'Inflicts 2195 disease damage on targets in Area of Effect',100,1,1),
(223267,117456,'Inflicts 975 - 1625 melee damage on target',100,1,0),
(223268,117456,'You must be sneaking to use this ability.',100,1,1),
(223269,117456,'Must be flanking or behind',100,1,2),
(223270,10117456,'Inflicts 786 - 1310 melee damage on target',100,1,0),
(223271,10117456,'You must be sneaking to use this ability.',100,1,1),
(223272,10117456,'Must be flanking or behind',100,1,2),
(223273,103469,'Increases In-Combat Power Regeneration of group members (AE) by 6.8',100,1,0),
(223274,10103469,'Increases In-Combat Power Regeneration of group members (AE) by 6.8',100,1,0),
(223275,109124,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(223276,109124,'Increases Attack Speed of caster by 53.8',100,1,1),
(223277,109124,'Increases Damage Per Second of caster by 62.4',100,1,2),
(223278,109124,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(223279,109124,'Increases Ranged of caster by 76.8',100,1,4),
(223280,109124,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(223281,109124,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(223282,109124,'Increases Crushing of group members (AE) by 76.8',100,2,7),
(223283,109124,'Increases Piercing of group members (AE) by 76.8',100,2,8),
(223284,109124,'If profession other than Ranger',100,3,9),
(223285,109124,'Increases Slashing of group members (AE) by 76.8',100,2,10),
(223286,109124,'If profession other than Ranger',100,3,11),
(223287,10109124,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(223288,10109124,'Increases Attack Speed of caster by 53.8',100,1,1),
(223289,10109124,'Increases Damage Per Second of caster by 62.4',100,1,2),
(223290,10109124,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(223291,10109124,'Increases Ranged of caster by 76.8',100,1,4),
(223292,10109124,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(223293,10109124,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(223294,10109124,'Increases Crushing of group members (AE) by 76.8',100,2,7),
(223295,10109124,'Increases Piercing of group members (AE) by 76.8',100,2,8),
(223296,10109124,'If profession other than Ranger',100,3,9),
(223297,10109124,'Increases Slashing of group members (AE) by 76.8',100,2,10),
(223298,10109124,'If profession other than Ranger',100,3,11),
(223299,80645,'When Equipped:',100,0,0),
(223300,80645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223301,80645,'Inflicts 83 - 154 magic damage on target',100,2,2),
(223302,80645,'Cannot be modified except by direct means',100,2,3),
(223303,10080645,'When Equipped:',100,0,0),
(223304,10080645,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223305,10080645,'Inflicts 108 - 200 magic damage on target',100,2,2),
(223306,10080645,'Cannot be modified except by direct means',100,2,3),
(223307,111875,'Inflicts 342 - 635 heat damage on target',100,1,0),
(223308,111875,'Inflicts 128 - 238 heat damage on target every 2 seconds',100,1,1),
(223309,10111875,'Inflicts 445 - 826 heat damage on target',100,1,0),
(223310,10111875,'Inflicts 167 - 310 heat damage on target every 2 seconds',100,1,1),
(223311,105141,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(223312,105141,'Summon 1 Crystallized Essence (Journeyman)',100,2,1),
(223313,10105141,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(223314,10105141,'Summon 1 Crystallized Essence (Journeyman)',100,2,1),
(223315,82627,'When Equipped:',100,0,0),
(223316,82627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223317,82627,'Inflicts 106 - 197 magic damage on target',100,2,2),
(223318,82627,'Cannot be modified except by direct means',100,2,3),
(223319,10082627,'When Equipped:',100,0,0),
(223320,10082627,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223321,10082627,'Inflicts 138 - 256 magic damage on target',100,2,2),
(223322,10082627,'Cannot be modified except by direct means',100,2,3),
(223323,159094,'When Equipped:',100,0,0),
(223324,159094,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223325,159094,'Increases AGI of caster by 14.8',100,2,2),
(223326,159094,'Increases Attack Speed of caster by 16.5',100,2,3),
(223327,159094,'Cannot be modified except by direct means',100,2,4),
(223328,10159094,'When Equipped:',100,0,0),
(223329,10159094,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223330,10159094,'Increases AGI of caster by 14.8',100,2,2),
(223331,10159094,'Increases Attack Speed of caster by 16.5',100,2,3),
(223332,10159094,'Cannot be modified except by direct means',100,2,4),
(223333,123635,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(223334,123635,'Slows target by 33.4%',100,2,1),
(223335,123635,'5% chance to dispel when target receives hostile action',100,2,2),
(223336,123635,'5% chance to dispel when target takes damage',100,2,3),
(223337,123635,'Inflicts 117 - 143 cold damage on target',100,1,4),
(223338,10123635,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(223339,10123635,'Slows target by 33.4%',100,2,1),
(223340,10123635,'5% chance to dispel when target receives hostile action',100,2,2),
(223341,10123635,'5% chance to dispel when target takes damage',100,2,3),
(223342,10123635,'Inflicts 131 - 160 cold damage on target',100,1,4),
(223343,103294,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(223344,103294,'If Fighter',100,2,1),
(223345,103294,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(223346,103294,'Increases power of target by 28 instantly and every 4 seconds',100,2,3),
(223347,103294,'Increases power of caster by 28 instantly and every 4 seconds',100,2,4),
(223348,10103294,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(223349,10103294,'Increases power of target by 28 instantly and every 4 seconds',100,2,1),
(223350,10103294,'Increases power of caster by 28 instantly and every 4 seconds',100,2,2),
(223351,105379,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(223352,105379,'Inflicts 102 melee damage on target',100,2,1),
(223353,105379,'Interrupts target',100,2,2),
(223354,105379,'Decreases Defense of caster by 12.3',100,1,3),
(223355,105379,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.5',100,1,4),
(223356,10105379,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(223357,10105379,'Inflicts 133 melee damage on target',100,2,1),
(223358,10105379,'Interrupts target',100,2,2),
(223359,10105379,'Decreases Defense of caster by 12.3',100,1,3),
(223360,10105379,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.5',100,1,4),
(223361,102920,'Inflicts 16 - 20 disease damage on target instantly and every 4 seconds',100,1,0),
(223362,10102920,'Inflicts 27 - 33 disease damage on target',100,1,0),
(223363,10102920,'Inflicts 21 - 25 disease damage on target every 4 seconds',100,1,1),
(223364,115602,'Interrupts target encounter',100,1,0),
(223365,115602,'Decreases Threat to target encounter by 1,043 - 1,275 ',100,1,1),
(223366,115602,'Dazes target encounter',100,1,2),
(223367,115602,'If Target is not Epic',100,2,3),
(223368,115602,'Resistibility increases against targets higher than level 116.',100,1,4),
(223369,10115602,'Dazes target encounter',100,1,0),
(223370,10115602,'If Target is not Epic',100,2,1),
(223371,10115602,'Interrupts target encounter',100,1,2),
(223372,10115602,'Resistibility increases against targets higher than level 116.',100,1,3),
(223373,26563,'When Equipped:',100,0,0),
(223374,26563,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,1),
(223375,26563,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223376,10026563,'When Equipped:',100,0,0),
(223377,10026563,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,1),
(223378,10026563,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223379,123938,'Increases STR and WIS of target by 88.1',100,1,0),
(223380,123938,'Increases Mitigation of target vs elemental, noxious and arcane damage by 262',100,1,1),
(223381,10123938,'Increases STR and WIS of target by 88.1',100,1,0),
(223382,10123938,'Increases Mitigation of target vs elemental, noxious and arcane damage by 262',100,1,1),
(223383,103976,'Interrupts targets in Area of Effect',100,1,0),
(223384,103976,'Inflicts 64 - 119 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(223385,10103976,'Interrupts targets in Area of Effect',100,1,0),
(223386,10103976,'Inflicts 83 - 155 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(223387,135613,'When Equipped:',100,0,0),
(223388,135613,'Increases Attack Speed of caster by 35.0',100,1,1),
(223389,10135613,'When Equipped:',100,0,0),
(223390,10135613,'Increases Attack Speed of caster by 35.0',100,1,1),
(223391,122063,'Increases Threat to target by 1,138 - 1,390 ',100,1,0),
(223392,122063,'Inflicts 173 - 289 melee damage on target',100,1,1),
(223393,10122063,'Forces target to change their selected target to caster.',100,1,0),
(223394,10122063,'Inflicts 225 - 376 melee damage on target',100,1,1),
(223395,36547,'Increases INT and STA of target by 1.1',100,0,0),
(223396,36547,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(223397,116250,'Summons a pet Illusion Ally',100,1,0),
(223398,10116250,'Summons a pet Illusion Ally',100,1,0),
(223399,116683,'Heals group members (AE) for 9.3 - 11.3% of max health',100,1,0),
(223400,116683,'This effect cannot be critically applied.',100,2,1),
(223401,116683,'Increases Max Health of group members (AE) by 482.2',100,1,2),
(223402,116683,'The healing of this spell cannot be modified except by direct means',100,1,3),
(223403,10116683,'Heals group members (AE) for 2.9 - 3.6% of max health',100,1,0),
(223404,10116683,'This effect cannot be critically applied.',100,2,1),
(223405,10116683,'Increases Max Health of group members (AE) by 482.2',100,1,2),
(223406,10116683,'The healing of this spell cannot be modified except by direct means',100,1,3),
(223407,74648,'When Equipped:',100,0,0),
(223408,74648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223409,74648,'Inflicts 66 - 99 magic damage on target',100,2,2),
(223410,74648,'Cannot be modified except by direct means',100,2,3),
(223411,10074648,'When Equipped:',100,0,0),
(223412,10074648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223413,10074648,'Inflicts 86 - 129 magic damage on target',100,2,2),
(223414,10074648,'Cannot be modified except by direct means',100,2,3),
(223415,115302,'Summons a limited pet to aid the caster',100,1,0),
(223416,10115302,'Summons a limited pet to aid the caster',100,1,0),
(223417,37515,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(223418,88993,'When Equipped:',100,0,0),
(223419,88993,'On a combat hit this spell may cast Reaper Strike on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223420,88993,'Inflicts 113 - 188 divine damage on target',100,2,2),
(223421,88993,'Heals caster for 58 - 96',100,2,3),
(223422,88993,'Decreases STR of target by 36.8',100,2,4),
(223423,88993,'Increases STR of caster by 36.8',100,2,5),
(223424,88993,'Cannot be modified except by direct means',100,2,6),
(223425,10088993,'When Equipped:',100,0,0),
(223426,10088993,'On a combat hit this spell may cast Reaper Strike on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223427,10088993,'Inflicts 146 - 244 divine damage on target',100,2,2),
(223428,10088993,'Heals caster for 37 - 62',100,2,3),
(223429,10088993,'Decreases STR of target by 36.8',100,2,4),
(223430,10088993,'Increases STR of caster by 36.8',100,2,5),
(223431,10088993,'Cannot be modified except by direct means',100,2,6),
(223432,122547,'Heals caster for 129',100,1,0),
(223433,122547,'Inflicts 304 - 507 melee damage on target',100,1,1),
(223434,10122547,'Heals caster for 84',100,1,0),
(223435,10122547,'Inflicts 395 - 659 melee damage on target',100,1,1),
(223436,122986,'Decreases Damage Per Second of target encounter by 11.8',100,1,0),
(223437,10122986,'Decreases Damage Per Second of target encounter by 11.8',100,1,0),
(223438,120353,'Inflicts 51 - 62 divine damage on target instantly and every 4 seconds',100,1,0),
(223439,120353,'Decreases WIS of target by 25.6',100,1,1),
(223440,10120353,'Inflicts 66 - 81 divine damage on target instantly and every 4 seconds',100,1,0),
(223441,10120353,'Decreases WIS of target by 25.6',100,1,1),
(223442,47008,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(223443,47008,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(223444,47008,'Stifles target',100,2,2),
(223445,47008,'If Target is not Epic',100,3,3),
(223446,47008,'Cannot be modified except by direct means',100,2,4),
(223447,47008,'Grants a total of 4 triggers of the spell.',100,2,5),
(223448,10047008,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(223449,10047008,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(223450,10047008,'Stifles target',100,2,2),
(223451,10047008,'If Target is not Epic',100,3,3),
(223452,10047008,'Cannot be modified except by direct means',100,2,4),
(223453,10047008,'Grants a total of 4 triggers of the spell.',100,2,5),
(223454,82865,'When Equipped:',100,0,0),
(223455,82865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223456,82865,'Inflicts 315 - 585 magic damage on target',100,2,2),
(223457,82865,'Cannot be modified except by direct means',100,2,3),
(223458,10082865,'When Equipped:',100,0,0),
(223459,10082865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223460,10082865,'Inflicts 409 - 760 magic damage on target',100,2,2),
(223461,10082865,'Cannot be modified except by direct means',100,2,3),
(223462,104199,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(223463,10104199,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(223464,117143,'Inflicts 312 - 381 heat damage on target instantly and every 4 seconds',100,1,0),
(223465,117143,'Decreases Mitigation of target vs arcane damage by 1040',100,1,1),
(223466,10117143,'Inflicts 405 - 496 heat damage on target instantly and every 4 seconds',100,1,0),
(223467,10117143,'Decreases Mitigation of target vs arcane damage by 1040',100,1,1),
(223468,141862,'When Equipped:',100,0,0),
(223469,141862,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223470,141862,'Increases STA of caster by 12.2',100,2,2),
(223471,141862,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(223472,141862,'Cannot be modified except by direct means',100,2,4),
(223473,10141862,'When Equipped:',100,0,0),
(223474,10141862,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223475,10141862,'Increases STA of caster by 12.2',100,2,2),
(223476,10141862,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(223477,10141862,'Cannot be modified except by direct means',100,2,4),
(223478,116689,'Heals group members (AE) for 9.3 - 11.3% of max health',100,1,0),
(223479,116689,'This effect cannot be critically applied.',100,2,1),
(223480,116689,'Increases Max Health of group members (AE) by 608.4',100,1,2),
(223481,116689,'The healing of this spell cannot be modified except by direct means',100,1,3),
(223482,10116689,'Heals group members (AE) for 2.9 - 3.6% of max health',100,1,0),
(223483,10116689,'This effect cannot be critically applied.',100,2,1),
(223484,10116689,'Increases Max Health of group members (AE) by 608.4',100,1,2),
(223485,10116689,'The healing of this spell cannot be modified except by direct means',100,1,3),
(223486,35050,'Increases INT and STA of target by 1.1',100,0,0),
(223487,35050,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(223488,103315,'Inflicts 73 - 89 mental damage on target instantly and every 6 seconds',100,1,0),
(223489,103315,'Applies Migraine on termination.',100,1,1),
(223490,103315,'Inflicts 159 - 215 mental damage on target',100,2,2),
(223491,10103315,'Inflicts 95 - 116 mental damage on target instantly and every 6 seconds',100,1,0),
(223492,10103315,'Applies Migraine on termination.',100,1,1),
(223493,10103315,'Inflicts 206 - 279 mental damage on target',100,2,2),
(223494,36833,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(223495,102598,'Increases Threat to target encounter by 525 - 641 ',100,1,0),
(223496,102598,'Interrupts target encounter',100,1,1),
(223497,102598,'Decreases Mitigation of target encounter vs noxious damage by 432',100,1,2),
(223498,10102598,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(223499,10102598,'Prevents target from changing targets',100,2,1),
(223500,10102598,'Forces target to change their selected target to caster.',100,2,2),
(223501,10102598,'Interrupts target encounter',100,1,3),
(223502,10102598,'Decreases Mitigation of target encounter vs noxious damage by 432',100,1,4),
(223503,71780,'When Equipped:',100,0,0),
(223504,71780,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223505,71780,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(223506,71780,'Cannot be modified except by direct means',100,2,3),
(223507,10071780,'When Equipped:',100,0,0),
(223508,10071780,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223509,10071780,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(223510,10071780,'Cannot be modified except by direct means',100,2,3),
(223511,159281,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(223512,159281,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(223513,159281,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(223514,159281,'Cannot be modified except by direct means',100,2,3),
(223515,10159281,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(223516,10159281,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(223517,10159281,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(223518,10159281,'Cannot be modified except by direct means',100,2,3),
(223519,50639,'When Equipped:',100,0,0),
(223520,50639,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223521,50639,'This effect stacks with the Runic Deflection line.',100,2,2),
(223522,50639,'Wards target against 1000 points of all damage',100,2,3),
(223523,50639,'Cannot be modified except by direct means',100,2,4),
(223524,10050639,'When Equipped:',100,0,0),
(223525,10050639,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223526,10050639,'This effect stacks with the Runic Deflection line.',100,2,2),
(223527,10050639,'Wards target against 1000 points of all damage',100,2,3),
(223528,10050639,'Cannot be modified except by direct means',100,2,4),
(223529,109935,'Stuns target',100,1,0),
(223530,109935,'Does not affect Epic targets',100,1,1),
(223531,109935,'Resistibility increases against targets higher than level 73.',100,1,2),
(223532,10109935,'Stuns target',100,1,0),
(223533,10109935,'Does not affect Epic targets',100,1,1),
(223534,10109935,'Resistibility increases against targets higher than level 73.',100,1,2),
(223535,124144,'Inflicts 184 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(223536,124144,'Applies Banshee''s Scream on termination.',100,1,1),
(223537,124144,'Inflicts 551 - 918 disease damage on target',100,2,2),
(223538,10124144,'Inflicts 239 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(223539,10124144,'Applies Banshee''s Scream on termination.',100,1,1),
(223540,10124144,'Inflicts 716 - 1194 disease damage on target',100,2,2),
(223541,47332,'Applies Xaliran''s Renewal  when Activated.',100,0,0),
(223542,47332,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(223543,10047332,'Applies Xaliran''s Renewal  when Activated.',100,0,0),
(223544,10047332,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(223545,87133,'When Equipped:',100,0,0),
(223546,87133,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223547,87133,'Inflicts 237 - 356 magic damage on target',100,2,2),
(223548,87133,'Cannot be modified except by direct means',100,2,3),
(223549,10087133,'When Equipped:',100,0,0),
(223550,10087133,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223551,10087133,'Inflicts 308 - 463 magic damage on target',100,2,2),
(223552,10087133,'Cannot be modified except by direct means',100,2,3),
(223553,85941,'When Equipped:',100,0,0),
(223554,85941,'On a combat hit this spell may cast Healing Wave on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(223555,85941,'Heals group members for 133',100,2,2),
(223556,85941,'Cannot be modified except by direct means',100,2,3),
(223557,10085941,'When Equipped:',100,0,0),
(223558,10085941,'On a combat hit this spell may cast Healing Wave on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(223559,10085941,'Heals group members for 86',100,2,2),
(223560,10085941,'Cannot be modified except by direct means',100,2,3),
(223561,113415,'Increases STA of caster by 95.8',100,1,0),
(223562,113415,'Adds 4.3% to base avoidance.',100,1,1),
(223563,113415,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,2),
(223564,113415,'Increases Defense and Aggression of caster by 18.5',100,1,3),
(223565,113415,'Increases Mitigation of caster vs noxious damage by 1232',100,1,4),
(223566,113415,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(223567,113415,'Reduces physical damage done to caster by 5%',100,1,6),
(223568,10113415,'Increases STA of caster by 95.8',100,1,0),
(223569,10113415,'Adds 4.3% to base avoidance.',100,1,1),
(223570,10113415,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,2),
(223571,10113415,'Increases Defense and Aggression of caster by 18.5',100,1,3),
(223572,10113415,'Increases Mitigation of caster vs noxious damage by 1232',100,1,4),
(223573,10113415,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(223574,10113415,'Reduces physical damage done to caster by 5%',100,1,6),
(223575,24691,'Adds Skeleton (Ranger) to your Dungeon Maker toolbox',100,0,0),
(223576,10024691,'Adds Skeleton (Ranger) to your Dungeon Maker toolbox',100,0,0),
(223577,101731,'Mesmerizes target',100,1,0),
(223578,101731,'Prevents AOE (except when direct) ',100,1,1),
(223579,101731,'Mesmerizes caster',100,1,2),
(223580,101731,'Dispelled when target takes damage',100,1,3),
(223581,101731,'Does not affect Epic targets',100,1,4),
(223582,101731,'Resistibility increases against targets higher than level 96.',100,1,5),
(223583,10101731,'Mesmerizes target',100,1,0),
(223584,10101731,'Prevents AOE (except when direct) ',100,1,1),
(223585,10101731,'Mesmerizes caster',100,1,2),
(223586,10101731,'Dispelled when target takes damage',100,1,3),
(223587,10101731,'Does not affect Epic targets',100,1,4),
(223588,10101731,'Resistibility increases against targets higher than level 96.',100,1,5),
(223589,118768,'Increases INT and WIS of group members (AE) by 50.7',100,1,0),
(223590,118768,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 149',100,1,1),
(223591,10118768,'Increases INT and WIS of group members (AE) by 50.7',100,1,0),
(223592,10118768,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 149',100,1,1),
(223593,74937,'When Equipped:',100,0,0),
(223594,74937,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223595,74937,'Inflicts 38 - 57 magic damage on target',100,2,2),
(223596,74937,'Cannot be modified except by direct means',100,2,3),
(223597,10074937,'When Equipped:',100,0,0),
(223598,10074937,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223599,10074937,'Inflicts 50 - 75 magic damage on target',100,2,2),
(223600,10074937,'Cannot be modified except by direct means',100,2,3),
(223601,81195,'When Equipped:',100,0,0),
(223602,81195,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(223603,81195,'Inflicts 350 - 650 magic damage on target',100,2,2),
(223604,81195,'Decreases Threat to target by 833 ',100,2,3),
(223605,81195,'Must be flanking or behind',100,3,4),
(223606,81195,'Increases Threat to target by 833 ',100,2,5),
(223607,81195,'Must be in front of',100,3,6),
(223608,81195,'Cannot be modified except by direct means',100,2,7),
(223609,10081195,'When Equipped:',100,0,0),
(223610,10081195,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(223611,10081195,'Inflicts 455 - 845 magic damage on target',100,2,2),
(223612,10081195,'Cannot be modified except by direct means',100,2,3),
(223613,26084,'When Equipped:',100,0,0),
(223614,26084,'Improves the hate transfer of Converge by up to 5%.',100,1,1),
(223615,26084,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223616,10026084,'When Equipped:',100,0,0),
(223617,10026084,'Improves the hate transfer of Converge by up to 5%.',100,1,1),
(223618,10026084,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223619,50476,'When Equipped:',100,0,0),
(223620,50476,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(223621,50476,'Increases Threat to target by 275 ',100,2,2),
(223622,50476,'Cannot be modified except by direct means',100,2,3),
(223623,10050476,'When Equipped:',100,0,0),
(223624,10050476,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(223625,10050476,'Forces target to change their selected target to caster.',100,2,2),
(223626,10050476,'Cannot be modified except by direct means',100,2,3),
(223627,105661,'Decreases Damage Per Second of target by 16.5',100,1,0),
(223628,105661,'Inflicts 166 - 278 melee damage on target',100,1,1),
(223629,105661,'Must be flanking or behind',100,1,2),
(223630,10105661,'Decreases Damage Per Second of target by 16.5',100,1,0),
(223631,10105661,'Inflicts 217 - 361 melee damage on target',100,1,1),
(223632,10105661,'Must be flanking or behind',100,1,2),
(223633,115125,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(223634,115125,'Heals target for 395',100,2,1),
(223635,115125,'Heals target for 99 every 2 seconds',100,2,2),
(223636,115125,'Increases WIS of target by 40.8',100,2,3),
(223637,115125,'Grants a total of 1 trigger of the spell.',100,2,4),
(223638,10115125,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(223639,10115125,'Heals target for 257',100,2,1),
(223640,10115125,'Heals target for 64 every 2 seconds',100,2,2),
(223641,10115125,'Increases WIS of target by 40.8',100,2,3),
(223642,10115125,'Grants a total of 1 trigger of the spell.',100,2,4),
(223643,46682,'Applies Brell''s Infernal Vortex when Activated.',100,0,0),
(223644,46682,'Inflicts 34.0% of max health in heat damage on caster',100,1,1),
(223645,10046682,'Applies Brell''s Infernal Vortex when Activated.',100,0,0),
(223646,10046682,'Inflicts 44.2% of max health in heat damage on caster',100,1,1),
(223647,177673,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(223648,177673,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(223649,177673,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(223650,177673,'Cannot be modified except by direct means',100,2,3),
(223651,10177673,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(223652,10177673,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(223653,10177673,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(223654,10177673,'Cannot be modified except by direct means',100,2,3),
(223655,37151,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(223656,113456,'Increases INT of target by 48.7',100,1,0),
(223657,113456,'Increases Max Health of target by 391.0',100,1,1),
(223658,10113456,'Increases INT of target by 48.7',100,1,0),
(223659,10113456,'Increases Max Health of target by 391.0',100,1,1),
(223660,24031,'Adds Elite: Bear-Ghost (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(223661,10024031,'Adds Elite: Bear-Ghost (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(223662,41682,'When Equipped:',100,0,0),
(223663,41682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223664,41682,'Inflicts 191 - 354 magic damage on target',100,2,2),
(223665,41682,'Cannot be modified except by direct means',100,2,3),
(223666,10041682,'When Equipped:',100,0,0),
(223667,10041682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223668,10041682,'Inflicts 248 - 460 magic damage on target',100,2,2),
(223669,10041682,'Cannot be modified except by direct means',100,2,3),
(223670,26668,'When Equipped:',100,0,0),
(223671,26668,'Improves the damage of Glacial Lance by 15%.',100,1,1),
(223672,26668,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223673,10026668,'When Equipped:',100,0,0),
(223674,10026668,'Improves the damage of Glacial Lance by 15%.',100,1,1),
(223675,10026668,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223676,158722,'When Equipped:',100,0,0),
(223677,158722,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223678,158722,'Increases Ability Modifier of caster by 200.0',100,2,2),
(223679,158722,'Cannot be modified except by direct means',100,2,3),
(223680,10158722,'When Equipped:',100,0,0),
(223681,10158722,'On any combat or spell hit this spell may cast Empowered Attacks on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223682,10158722,'Increases Ability Modifier of caster by 200.0',100,2,2),
(223683,10158722,'Cannot be modified except by direct means',100,2,3),
(223684,45867,'Applies Call Dark Farstride Unicorn when Activated.',100,0,0),
(223685,45867,'Increases Slashing, Aggression, Crushing, Piercing and Ranged of caster by 5.0',100,1,1),
(223686,45867,'Summons a mount to ride',100,1,2),
(223687,45867,'Increases your ground speed by 130%',100,2,3),
(223688,10045867,'Applies Call Dark Farstride Unicorn when Activated.',100,0,0),
(223689,10045867,'Increases Slashing, Aggression, Crushing, Piercing and Ranged of caster by 5.0',100,1,1),
(223690,10045867,'Summons a mount to ride',100,1,2),
(223691,10045867,'Increases your ground speed by 130%',100,2,3),
(223692,53531,'When Equipped:',100,0,0),
(223693,53531,'On a healing spell cast this spell may cast Monstrous Warding on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223694,53531,'Increases Max Health of target by 10.0%',100,2,2),
(223695,53531,'Wards target against 5000 points of all damage',100,2,3),
(223696,53531,'Must not be engaged in pvp combat',100,2,4),
(223697,53531,'Cannot be modified except by direct means',100,2,5),
(223698,53531,'Must not be engaged in pvp combat',100,1,6),
(223699,10053531,'When Equipped:',100,0,0),
(223700,10053531,'On a healing spell cast this spell may cast Monstrous Warding on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223701,10053531,'Increases Max Health of target by 10.0%',100,2,2),
(223702,10053531,'Wards target against 5000 points of all damage',100,2,3),
(223703,10053531,'Must not be engaged in pvp combat',100,2,4),
(223704,10053531,'Cannot be modified except by direct means',100,2,5),
(223705,10053531,'Must not be engaged in pvp combat',100,1,6),
(223706,24287,'Adds Dire Bear (Brigand) to your Dungeon Maker toolbox',100,0,0),
(223707,10024287,'Adds Dire Bear (Brigand) to your Dungeon Maker toolbox',100,0,0),
(223708,177552,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(223709,177552,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(223710,177552,'Heals target for 49 instantly and every 4 seconds',100,2,2),
(223711,177552,'Cannot be modified except by direct means',100,2,3),
(223712,10177552,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(223713,10177552,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(223714,10177552,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(223715,10177552,'Cannot be modified except by direct means',100,2,3),
(223716,81172,'When Equipped:',100,0,0),
(223717,81172,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223718,81172,'Inflicts 203 - 377 magic damage on target',100,2,2),
(223719,81172,'Cannot be modified except by direct means',100,2,3),
(223720,10081172,'When Equipped:',100,0,0),
(223721,10081172,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223722,10081172,'Inflicts 264 - 490 magic damage on target',100,2,2),
(223723,10081172,'Cannot be modified except by direct means',100,2,3),
(223724,87619,'When Equipped:',100,0,0),
(223725,87619,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223726,87619,'Inflicts 135 - 165 divine damage on target',100,2,2),
(223727,87619,'Cannot be modified except by direct means',100,2,3),
(223728,10087619,'When Equipped:',100,0,0),
(223729,10087619,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223730,10087619,'Inflicts 175 - 214 divine damage on target',100,2,2),
(223731,10087619,'Cannot be modified except by direct means',100,2,3),
(223732,75026,'Applies Lightning Shock when Activated.',100,0,0),
(223733,75026,'Inflicts 264 - 440 magic damage on target',100,1,1),
(223734,75026,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(223735,10075026,'Applies Lightning Shock when Activated.',100,0,0),
(223736,10075026,'Inflicts 343 - 572 magic damage on target',100,1,1),
(223737,10075026,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(223738,104458,'Inflicts 155 - 190 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(223739,104458,'Interrupts target encounter',100,1,1),
(223740,104458,'Applies Stumble on termination.',100,1,2),
(223741,104458,'Interrupts target',100,2,3),
(223742,10104458,'Inflicts 202 - 247 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(223743,10104458,'Interrupts target encounter',100,1,1),
(223744,10104458,'Applies Stumble on termination.',100,1,2),
(223745,10104458,'Interrupts target',100,2,3),
(223746,82777,'When Equipped:',100,0,0),
(223747,82777,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(223748,82777,'Inflicts 365 - 678 magic damage on target',100,2,2),
(223749,82777,'Decreases Threat to target by 1,174 ',100,2,3),
(223750,82777,'Must be flanking or behind',100,3,4),
(223751,82777,'Increases Threat to target by 1,174 ',100,2,5),
(223752,82777,'Must be in front of',100,3,6),
(223753,82777,'Cannot be modified except by direct means',100,2,7),
(223754,10082777,'When Equipped:',100,0,0),
(223755,10082777,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(223756,10082777,'Inflicts 474 - 881 magic damage on target',100,2,2),
(223757,10082777,'Cannot be modified except by direct means',100,2,3),
(223758,79813,'When Equipped:',100,0,0),
(223759,79813,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223760,79813,'Inflicts 2202 - 2434 divine damage on targets in Area of Effect instantly and every second',100,2,2),
(223761,79813,'Increases Hate Gain of caster by 12.0%',100,2,3),
(223762,79813,'Increases Damage Per Second of group members (AE) by 30.0',100,2,4),
(223763,79813,'1% of all damage received by the caster is prevented.',100,2,5),
(223764,79813,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,6),
(223765,79813,'Stuns target',100,3,7),
(223766,79813,'Blurs vision of target',100,3,8),
(223767,79813,'Throws target back',100,3,9),
(223768,79813,'Does not affect Epic targets',100,3,10),
(223769,79813,'Must not be engaged in pvp combat',100,2,11),
(223770,79813,'Cannot be modified except by direct means',100,2,12),
(223771,79813,'Must not be engaged in pvp combat',100,1,13),
(223772,10079813,'When Equipped:',100,0,0),
(223773,10079813,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223774,10079813,'Inflicts 2863 - 3164 divine damage on targets in Area of Effect instantly and every second',100,2,2),
(223775,10079813,'Increases Damage Per Second of group members (AE) by 30.0',100,2,3),
(223776,10079813,'1% of all damage received by the caster is prevented.',100,2,4),
(223777,10079813,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,5),
(223778,10079813,'Stuns target',100,3,6),
(223779,10079813,'Throws target back',100,3,7),
(223780,10079813,'Blurs vision of target',100,3,8),
(223781,10079813,'Does not affect Epic targets',100,3,9),
(223782,10079813,'Must not be engaged in pvp combat',100,2,10),
(223783,10079813,'Cannot be modified except by direct means',100,2,11),
(223784,10079813,'Must not be engaged in pvp combat',100,1,12),
(223785,104016,'Stifles target',100,1,0),
(223786,104016,'If Target is not Epic',100,2,1),
(223787,104016,'Interrupts target',100,1,2),
(223788,104016,'Decreases Threat to target by 360 - 440 ',100,1,3),
(223789,104016,'Resistibility increases against targets higher than level 53.',100,1,4),
(223790,10104016,'Stifles target',100,1,0),
(223791,10104016,'If Target is not Epic',100,2,1),
(223792,10104016,'Interrupts target',100,1,2),
(223793,10104016,'Resistibility increases against targets higher than level 53.',100,1,3),
(223794,113348,'Inflicts 761 - 930 divine damage on target encounter',100,1,0),
(223795,113348,'Interrupts target encounter',100,1,1),
(223796,10113348,'Inflicts 989 - 1209 divine damage on target encounter',100,1,0),
(223797,10113348,'Interrupts target encounter',100,1,1),
(223798,109487,'Inflicts 382 - 637 cold damage on target',100,1,0),
(223799,10109487,'Inflicts 497 - 828 cold damage on target',100,1,0),
(223800,25737,'When Equipped:',100,0,0),
(223801,25737,'Improves the base heal amount of Prayer of Healing VII by 20%.',100,1,1),
(223802,25737,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223803,10025737,'When Equipped:',100,0,0),
(223804,10025737,'Improves the base heal amount of Prayer of Healing VII by 20%.',100,1,1),
(223805,10025737,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(223806,153778,'When Equipped:',100,0,0),
(223807,153778,'When damaged this spell has a 10% chance to cast Arcane Resolution VI on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(223808,153778,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 650',100,2,2),
(223809,153778,'Must not be engaged in pvp combat',100,2,3),
(223810,153778,'Cannot be modified except by direct means',100,2,4),
(223811,153778,'Must not be engaged in pvp combat',100,1,5),
(223812,10153778,'When Equipped:',100,0,0),
(223813,10153778,'When damaged this spell has a 10% chance to cast Arcane Resolution VI on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(223814,10153778,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 650',100,2,2),
(223815,10153778,'Must not be engaged in pvp combat',100,2,3),
(223816,10153778,'Cannot be modified except by direct means',100,2,4),
(223817,10153778,'Must not be engaged in pvp combat',100,1,5),
(223818,159653,'When Equipped:',100,0,0),
(223819,159653,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223820,159653,'Increases STA of caster by 13.2',100,2,2),
(223821,159653,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(223822,159653,'Cannot be modified except by direct means',100,2,4),
(223823,10159653,'When Equipped:',100,0,0),
(223824,10159653,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(223825,10159653,'Increases STA of caster by 13.2',100,2,2),
(223826,10159653,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(223827,10159653,'Cannot be modified except by direct means',100,2,4),
(223828,40046,'When Equipped:',100,0,0),
(223829,40046,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(223830,40046,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(223831,40046,'Increases Attack Speed of caster by 11.0',100,1,3),
(223832,40046,'This effect will not stack with any rank or tier of itself.',100,1,4),
(223833,40046,'Cannot be modified except by direct means',100,1,5),
(223834,40046,'When Equipped:',100,0,6),
(223835,40046,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(223836,40046,'Increases Attack Speed of caster by 6.0',100,2,8),
(223837,40046,'Increases Damage Per Second of caster by 9.0',100,2,9),
(223838,40046,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(223839,40046,'Must not be engaged in pvp combat',100,2,11),
(223840,40046,'Cannot be modified except by direct means',100,2,12),
(223841,40046,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(223842,40046,'Cannot be modified except by direct means',100,1,14),
(223843,10040046,'When Equipped:',100,0,0),
(223844,10040046,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(223845,10040046,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(223846,10040046,'Increases Attack Speed of caster by 11.0',100,1,3),
(223847,10040046,'This effect will not stack with any rank or tier of itself.',100,1,4),
(223848,10040046,'Cannot be modified except by direct means',100,1,5),
(223849,10040046,'When Equipped:',100,0,6),
(223850,10040046,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(223851,10040046,'Increases Attack Speed of caster by 6.0',100,2,8),
(223852,10040046,'Increases Damage Per Second of caster by 9.0',100,2,9),
(223853,10040046,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(223854,10040046,'Must not be engaged in pvp combat',100,2,11),
(223855,10040046,'Cannot be modified except by direct means',100,2,12),
(223856,10040046,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(223857,10040046,'Cannot be modified except by direct means',100,1,14),
(223858,121069,'Increases STR and STA of group members (AE) by 39.4',100,1,0),
(223859,10121069,'Increases STR and STA of group members (AE) by 39.4',100,1,0),
(223860,45430,'Applies Brown Warg with Red Saddle when Activated.',100,0,0),
(223861,45430,'Summons a mount to ride',100,1,1),
(223862,45430,'Increases your ground speed by 130%',100,2,2),
(223863,10045430,'Applies Brown Warg with Red Saddle when Activated.',100,0,0),
(223864,10045430,'Summons a mount to ride',100,1,1),
(223865,10045430,'Increases your ground speed by 130%',100,2,2),
(223866,108644,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(223867,108644,'Increases AGI of target by 51.6',100,2,1),
(223868,108644,'Heals target for 499',100,2,2),
(223869,108644,'Heals target for 124 every 2 seconds',100,2,3),
(223870,108644,'Grants a total of 1 trigger of the spell.',100,2,4),
(223871,10108644,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(223872,10108644,'Increases AGI of target by 51.6',100,2,1),
(223873,10108644,'Heals target for 324',100,2,2),
(223874,10108644,'Heals target for 81 every 2 seconds',100,2,3),
(223875,10108644,'Grants a total of 1 trigger of the spell.',100,2,4),
(223876,159296,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(223877,159296,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(223878,159296,'Inflicts 40 heat damage on target',100,2,2),
(223879,159296,'Cannot be modified except by direct means',100,2,3),
(223880,10159296,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(223881,10159296,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(223882,10159296,'Inflicts 52 heat damage on target',100,2,2),
(223883,10159296,'Cannot be modified except by direct means',100,2,3),
(223884,71454,'When Equipped:',100,0,0),
(223885,71454,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223886,71454,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(223887,71454,'Cannot be modified except by direct means',100,2,3),
(223888,10071454,'When Equipped:',100,0,0),
(223889,10071454,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223890,10071454,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(223891,10071454,'Cannot be modified except by direct means',100,2,3),
(223892,75910,'When Equipped:',100,0,0),
(223893,75910,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223894,75910,'Increases Attack Speed of caster by 6.0',100,2,2),
(223895,75910,'Increases Damage Per Second of caster by 9.0',100,2,3),
(223896,75910,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(223897,75910,'Must not be engaged in pvp combat',100,2,5),
(223898,75910,'Cannot be modified except by direct means',100,2,6),
(223899,75910,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(223900,75910,'Cannot be modified except by direct means',100,1,8),
(223901,10075910,'When Equipped:',100,0,0),
(223902,10075910,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(223903,10075910,'Increases Attack Speed of caster by 6.0',100,2,2),
(223904,10075910,'Increases Damage Per Second of caster by 9.0',100,2,3),
(223905,10075910,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(223906,10075910,'Must not be engaged in pvp combat',100,2,5),
(223907,10075910,'Cannot be modified except by direct means',100,2,6),
(223908,10075910,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(223909,10075910,'Cannot be modified except by direct means',100,1,8),
(223910,121554,'Inflicts 273 - 455 melee damage on targets in area',100,1,0),
(223911,121554,'Stuns target encounter',100,1,1),
(223912,121554,'If Target is not Epic',100,2,2),
(223913,121554,'Resistibility increases against targets higher than level 75.',100,1,3),
(223914,10121554,'Inflicts 355 - 592 melee damage on targets in area',100,1,0),
(223915,10121554,'Stuns target encounter',100,1,1),
(223916,10121554,'If Target is not Epic',100,2,2),
(223917,10121554,'Resistibility increases against targets higher than level 75.',100,1,3),
(223918,36389,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(223919,75594,'When Equipped:',100,0,0),
(223920,75594,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223921,75594,'Inflicts 93 - 113 disease damage on target',100,2,2),
(223922,75594,'Inflicts 87 - 106 disease damage on target every 6 seconds',100,2,3),
(223923,75594,'Cannot be modified except by direct means',100,2,4),
(223924,10075594,'When Equipped:',100,0,0),
(223925,10075594,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223926,10075594,'Inflicts 121 - 147 disease damage on target',100,2,2),
(223927,10075594,'Inflicts 113 - 138 disease damage on target every 6 seconds',100,2,3),
(223928,10075594,'Cannot be modified except by direct means',100,2,4),
(223929,105342,'Inflicts 354 - 590 melee damage on target',100,1,0),
(223930,105342,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 397',100,1,1),
(223931,105342,'Must be flanking or behind',100,1,2),
(223932,10105342,'Inflicts 460 - 767 melee damage on target',100,1,0),
(223933,10105342,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 397',100,1,1),
(223934,10105342,'Must be flanking or behind',100,1,2),
(223935,108756,'Summons a pet fiery magician',100,1,0),
(223936,10108756,'Summons a pet fiery magician',100,1,0),
(223937,116408,'Heals target for 502 - 613 instantly and every 2 seconds',100,1,0),
(223938,10116408,'Heals target for 326 - 399 instantly and every 2 seconds',100,1,0),
(223939,113294,'Inflicts 92 - 154 heat damage on target',100,1,0),
(223940,10113294,'Inflicts 182 - 304 heat damage on target',100,1,0),
(223941,105156,'Increases AGI of caster by 35.8',100,1,0),
(223942,105156,'Adds 1.5% to base avoidance.',100,1,1),
(223943,105156,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(223944,105156,'Increases Parry of caster by 20.7',100,1,3),
(223945,105156,'Increases Defense of caster by 27.6',100,1,4),
(223946,10105156,'Increases AGI of caster by 35.8',100,1,0),
(223947,10105156,'Adds 1.5% to base avoidance.',100,1,1),
(223948,10105156,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(223949,10105156,'Increases Parry of caster by 20.7',100,1,3),
(223950,10105156,'Increases Defense of caster by 27.6',100,1,4),
(223951,52744,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(223952,52744,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(223953,52744,'Inflicts 69 heat damage on target',100,2,2),
(223954,52744,'Cannot be modified except by direct means',100,2,3),
(223955,10052744,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(223956,10052744,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(223957,10052744,'Inflicts 90 heat damage on target',100,2,2),
(223958,10052744,'Cannot be modified except by direct means',100,2,3),
(223959,46024,'Applies Durak''s Salvation when Activated.  Lasts for 30 minutes.',100,0,0),
(223960,46024,'Increases AGI of caster by 20.0',100,1,1),
(223961,10046024,'Applies Durak''s Salvation when Activated.  Lasts for 30 minutes.',100,0,0),
(223962,10046024,'Increases AGI of caster by 20.0',100,1,1),
(223963,105441,'Summon 1 Dark Heart (Apprentice)',100,1,0),
(223964,10105441,'Summon 1 Dark Heart (Apprentice)',100,1,0),
(223965,113488,'Inflicts 72 - 120 melee damage on targets in area',100,1,0),
(223966,10113488,'Inflicts 93 - 156 melee damage on targets in area',100,1,0),
(223967,106894,'Decreases Threat to targets in Area of Effect by 4,820 ',100,1,0),
(223968,106894,'Stuns targets in Area of Effect',100,1,1),
(223969,106894,'If Target is not Epic',100,2,2),
(223970,10106894,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(223971,10106894,'Applies Distract.',100,1,1),
(223972,10106894,'Forces target to clear their selected target.',100,2,2),
(223973,10106894,'Stuns targets in Area of Effect',100,1,3),
(223974,10106894,'If Target is not Epic',100,2,4),
(223975,81068,'When Equipped:',100,0,0),
(223976,81068,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223977,81068,'Inflicts 207 - 384 magic damage on target',100,2,2),
(223978,81068,'Cannot be modified except by direct means',100,2,3),
(223979,10081068,'When Equipped:',100,0,0),
(223980,10081068,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(223981,10081068,'Inflicts 269 - 499 magic damage on target',100,2,2),
(223982,10081068,'Cannot be modified except by direct means',100,2,3),
(223983,177575,'When Equipped:',100,0,0),
(223984,177575,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223985,177575,'Increases STR of caster by 11.9',100,2,2),
(223986,177575,'Increases Damage Per Second of caster by 17.0',100,2,3),
(223987,177575,'Cannot be modified except by direct means',100,2,4),
(223988,10177575,'When Equipped:',100,0,0),
(223989,10177575,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(223990,10177575,'Increases STR of caster by 11.9',100,2,2),
(223991,10177575,'Increases Damage Per Second of caster by 17.0',100,2,3),
(223992,10177575,'Cannot be modified except by direct means',100,2,4),
(223993,37192,'Increases AGI of target by 1.5',100,0,0),
(223994,37192,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(223995,121431,'Increases AGI of caster by 15.8',100,1,0),
(223996,121431,'Adds 14.8% to base avoidance.',100,1,1),
(223997,121431,'Increases Mitigation of caster vs physical damage by 160',100,1,2),
(223998,121431,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,3),
(223999,10121431,'Increases AGI of caster by 15.8',100,1,0),
(224000,10121431,'Adds 14.8% to base avoidance.',100,1,1),
(224001,10121431,'Increases Mitigation of caster vs physical damage by 160',100,1,2),
(224002,10121431,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,3),
(224003,114495,'Increases In-Combat Power Regeneration of group members (AE) by 14.2',100,1,0),
(224004,10114495,'Increases In-Combat Power Regeneration of group members (AE) by 14.2',100,1,0),
(224005,119017,'Heals target for 2336 - 2855',100,1,0),
(224006,10119017,'Heals target for 2484 - 3036',100,1,0),
(224007,117442,'Inflicts 205 - 341 melee damage on target',100,1,0),
(224008,117442,'You must be sneaking to use this ability.',100,1,1),
(224009,117442,'Must be flanking or behind',100,1,2),
(224010,10117442,'Inflicts 165 - 275 melee damage on target',100,1,0),
(224011,10117442,'You must be sneaking to use this ability.',100,1,1),
(224012,10117442,'Must be flanking or behind',100,1,2),
(224013,166268,'When Equipped:',100,0,0),
(224014,166268,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(224015,166268,'On a critical spell hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(224016,166268,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,3),
(224017,166268,'On a critical combat hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(224018,166268,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,5),
(224019,166268,'Must not be engaged in pvp combat',100,1,6),
(224020,166268,'Cannot be modified except by direct means',100,1,7),
(224021,10166268,'When Equipped:',100,0,0),
(224022,10166268,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(224023,10166268,'On a critical spell hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(224024,10166268,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,3),
(224025,10166268,'On a critical combat hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(224026,10166268,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,5),
(224027,10166268,'Must not be engaged in pvp combat',100,1,6),
(224028,10166268,'Cannot be modified except by direct means',100,1,7),
(224029,87260,'When Equipped:',100,0,0),
(224030,87260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224031,87260,'Inflicts 106 - 159 magic damage on target',100,2,2),
(224032,87260,'Cannot be modified except by direct means',100,2,3),
(224033,10087260,'When Equipped:',100,0,0),
(224034,10087260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224035,10087260,'Inflicts 138 - 207 magic damage on target',100,2,2),
(224036,10087260,'Cannot be modified except by direct means',100,2,3),
(224037,45066,'Applies gift of immortality when Activated.',100,0,0),
(224038,10045066,'Applies gift of immortality when Activated.',100,0,0),
(224039,46145,'Applies Throwing Hammer when Activated.  Lasts for 1.0 second.',100,0,0),
(224040,46145,'Must be in The Endless Catacombs: Rescuing the Relics.',100,1,1),
(224041,10046145,'Applies Throwing Hammer when Activated.  Lasts for 1.0 second.',100,0,0),
(224042,10046145,'Must be in The Endless Catacombs: Rescuing the Relics.',100,1,1),
(224043,45607,'Applies Elixir of Focus  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(224044,45607,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(224045,10045607,'Applies Elixir of Focus  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(224046,10045607,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(224047,100586,'Inflicts 160 - 267 melee damage on target',100,1,0),
(224048,100586,'You must be sneaking to use this ability.',100,1,1),
(224049,10100586,'Inflicts 248 - 414 melee damage on target',100,1,0),
(224050,10100586,'You must be sneaking to use this ability.',100,1,1),
(224051,175648,'When Equipped:',100,0,0),
(224052,175648,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(224053,175648,'Increases Potency of caster by 7.0%',100,2,2),
(224054,175648,'Cannot be modified except by direct means',100,2,3),
(224055,10175648,'When Equipped:',100,0,0),
(224056,10175648,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(224057,10175648,'Increases Potency of caster by 7.0%',100,2,2),
(224058,10175648,'Cannot be modified except by direct means',100,2,3),
(224059,111492,'Increases AGI of caster by 54.2',100,1,0),
(224060,111492,'Increases Attack Speed of caster by 28.1',100,1,1),
(224061,111492,'Increases in-combat movement speed of caster by 5.0%',100,1,2),
(224062,111492,'Adds 15.6% to base avoidance.',100,1,3),
(224063,111492,'Increases Mitigation of caster vs physical damage by 483',100,1,4),
(224064,111492,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,5),
(224065,10111492,'Increases AGI of caster by 54.2',100,1,0),
(224066,10111492,'Increases Attack Speed of caster by 28.1',100,1,1),
(224067,10111492,'Increases speed of caster by 5.0%',100,1,2),
(224068,10111492,'Adds 15.6% to base avoidance.',100,1,3),
(224069,10111492,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,4),
(224070,144621,'When Equipped:',100,0,0),
(224071,144621,'Increases poison trigger chance by 4.0%',100,1,1),
(224072,10144621,'When Equipped:',100,0,0),
(224073,10144621,'Increases poison trigger chance by 4.0%',100,1,1),
(224074,114715,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(224075,114715,'Decreases Hate Gain of target by 18.8%',100,1,1),
(224076,10114715,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(224077,81100,'When Equipped:',100,0,0),
(224078,81100,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224079,81100,'Inflicts 230 - 426 magic damage on target',100,2,2),
(224080,81100,'Cannot be modified except by direct means',100,2,3),
(224081,10081100,'When Equipped:',100,0,0),
(224082,10081100,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224083,10081100,'Inflicts 298 - 554 magic damage on target',100,2,2),
(224084,10081100,'Cannot be modified except by direct means',100,2,3),
(224085,114996,'Inflicts 511 - 852 ranged damage on targets in area',100,1,0),
(224086,114996,'You must be in stealth to use this!',100,1,1),
(224087,114996,'Requires bow',100,1,2),
(224088,10114996,'Inflicts 434 - 724 ranged damage on targets in area',100,1,0),
(224089,10114996,'You must be in stealth to use this!',100,1,1),
(224090,10114996,'Requires bow',100,1,2),
(224091,45320,'Applies Call Indigo-saddled Black Nightmare when Activated.',100,0,0),
(224092,45320,'Increases Max Health of caster by 150.0',100,1,1),
(224093,45320,'Increases Max Power of caster by 150.0',100,1,2),
(224094,45320,'Increases Crushing of caster by 7.0',100,1,3),
(224095,45320,'Summons a mount to ride',100,1,4),
(224096,45320,'Increases your ground speed by 130%',100,2,5),
(224097,45320,'Increases Piercing, Ranged, Slashing and Disruption of caster by 7.0',100,1,6),
(224098,45320,'Requires evil alignment',100,1,7),
(224099,10045320,'Applies Call Indigo-saddled Black Nightmare when Activated.',100,0,0),
(224100,10045320,'Increases Max Health of caster by 150.0',100,1,1),
(224101,10045320,'Increases Max Power of caster by 150.0',100,1,2),
(224102,10045320,'Increases Crushing of caster by 7.0',100,1,3),
(224103,10045320,'Summons a mount to ride',100,1,4),
(224104,10045320,'Increases your ground speed by 130%',100,2,5),
(224105,10045320,'Increases Piercing, Ranged, Slashing and Disruption of caster by 7.0',100,1,6),
(224106,10045320,'Requires evil alignment',100,1,7),
(224107,71859,'When Equipped:',100,0,0),
(224108,71859,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(224109,71859,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(224110,71859,'Cannot be modified except by direct means',100,2,3),
(224111,10071859,'When Equipped:',100,0,0),
(224112,10071859,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(224113,10071859,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(224114,10071859,'Cannot be modified except by direct means',100,2,3),
(224115,170052,'Applies Plumptucket''s Love when Activated.',100,0,0),
(224116,170052,'Summons a pet Love',100,1,1),
(224117,170052,'This effect suspends during combat',100,1,2),
(224118,170052,'The casting time of Plumptucket''s Love is 5.0 seconds and the reuse time of the spell is 15.0 seconds',100,1,3),
(224119,10170052,'Applies Plumptucket''s Love when Activated.',100,0,0),
(224120,10170052,'Summons a pet Love',100,1,1),
(224121,10170052,'This effect suspends during combat',100,1,2),
(224122,10170052,'The casting time of Plumptucket''s Love is 5.0 seconds and the reuse time of the spell is 15.0 seconds',100,1,3),
(224123,120582,'Inflicts 39 - 73 heat damage on target',100,1,0),
(224124,10120582,'Inflicts 51 - 95 heat damage on target',100,1,0),
(224125,100282,'Inflicts 99 - 183 poison damage on target instantly and every 3 seconds',100,1,0),
(224126,10100282,'Inflicts 289 - 536 poison damage on target instantly and every 3 seconds',100,1,0),
(224127,117177,'Inflicts 108 poison damage on target instantly and every 4 seconds',100,1,0),
(224128,117177,'Decreases WIS of target by 59.0',100,1,1),
(224129,10117177,'Inflicts 141 poison damage on target instantly and every 4 seconds',100,1,0),
(224130,10117177,'Decreases WIS of target by 59.0',100,1,1),
(224131,110528,'Increases Threat to target by 548  instantly and by 228  every 3 seconds thereafter',100,1,0),
(224132,110528,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(224133,110528,'Stuns target',100,2,2),
(224134,110528,'Throws target back',100,2,3),
(224135,110528,'Blurs vision of target',100,2,4),
(224136,110528,'Does not affect Epic targets',100,2,5),
(224137,110528,'Inflicts 146 - 243 disease damage on target',100,1,6),
(224138,10110528,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(224139,10110528,'Stuns target',100,2,1),
(224140,10110528,'Throws target back',100,2,2),
(224141,10110528,'Blurs vision of target',100,2,3),
(224142,10110528,'Does not affect Epic targets',100,2,4),
(224143,10110528,'Forces target to change their selected target to caster.',100,1,5),
(224144,10110528,'Inflicts 158 - 263 disease damage on target',100,1,6),
(224145,10110528,'Prevents target from changing targets',100,1,7),
(224146,108736,'Summons a pet fiery magician',100,1,0),
(224147,10108736,'Summons a pet fiery magician',100,1,0),
(224148,81371,'When Equipped:',100,0,0),
(224149,81371,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224150,81371,'Inflicts 121 - 225 magic damage on target',100,2,2),
(224151,81371,'Cannot be modified except by direct means',100,2,3),
(224152,10081371,'When Equipped:',100,0,0),
(224153,10081371,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224154,10081371,'Inflicts 157 - 292 magic damage on target',100,2,2),
(224155,10081371,'Cannot be modified except by direct means',100,2,3),
(224156,118023,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(224157,118023,'Stuns target',100,2,1),
(224158,118023,'If Target is not Epic',100,3,2),
(224159,118023,'Inflicts 135 - 225 divine damage on target',100,2,3),
(224160,118023,'Grants a total of 3 triggers of the spell.',100,2,4),
(224161,10118023,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(224162,10118023,'Stuns target',100,2,1),
(224163,10118023,'If Target is not Epic',100,3,2),
(224164,10118023,'Inflicts 176 - 293 divine damage on target',100,2,3),
(224165,10118023,'Grants a total of 3 triggers of the spell.',100,2,4),
(224166,35087,'Increases WIS and STA of target by 1.1',100,0,0),
(224167,35087,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(224168,122422,'Sets a trap',100,1,0),
(224169,10122422,'Sets a trap',100,1,0),
(224170,102832,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(224171,102832,'Heals caster for 1.4 - 2.1% of max health',100,2,1),
(224172,102832,'This effect cannot be critically applied.',100,3,2),
(224173,102832,'The healing of this spell cannot be modified except by direct means',100,2,3),
(224174,10102832,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(224175,10102832,'Heals caster for 0.3 - 0.5% of max health',100,2,1),
(224176,10102832,'This effect cannot be critically applied.',100,3,2),
(224177,10102832,'The healing of this spell cannot be modified except by direct means',100,2,3),
(224178,46422,'Applies Examine the Shard when Activated.',100,0,0),
(224179,10046422,'Applies Examine the Shard when Activated.',100,0,0),
(224180,139276,'When Equipped:',100,0,0),
(224181,139276,'Reduces maximum falling speed of caster',100,1,1),
(224182,139276,'Applies Spirit of Bayle when Activated.  Lasts for 1 hour.',100,0,2),
(224183,139276,'Shapechanges caster into a human',100,1,3),
(224184,139276,'The casting time of Spirit of Bayle is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(224185,10139276,'When Equipped:',100,0,0),
(224186,10139276,'Reduces maximum falling speed of caster',100,1,1),
(224187,10139276,'Applies Spirit of Bayle when Activated.  Lasts for 1 hour.',100,0,2),
(224188,10139276,'Shapechanges caster into a human',100,1,3),
(224189,10139276,'The casting time of Spirit of Bayle is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(224190,124302,'Wards group members (AE) against 1289 points of elemental damage',100,1,0),
(224191,124302,'Increases Mitigation of group members (AE) vs elemental damage by 708',100,1,1),
(224192,10124302,'Wards group members (AE) against 1289 points of elemental damage',100,1,0),
(224193,10124302,'Increases Mitigation of group members (AE) vs elemental damage by 708',100,1,1),
(224194,100550,'Heals group members (AE) for 755 - 923',100,1,0),
(224195,10100550,'Heals group members (AE) for 916 - 1120',100,1,0),
(224196,107653,'Increases Mitigation of raid and group members (AE) vs elemental damage by 986',100,1,0),
(224197,10107653,'Increases Mitigation of raid and group members (AE) vs elemental damage by 986',100,1,0),
(224198,48806,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(224199,48806,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(224200,48806,'Inflicts 68 poison damage on target instantly and every 6 seconds',100,2,2),
(224201,48806,'Inflicts 131 poison damage on target',100,2,3),
(224202,48806,'Cannot be modified except by direct means',100,2,4),
(224203,48806,'Grants a total of 200 triggers of the spell.',100,2,5),
(224204,10048806,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(224205,10048806,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(224206,10048806,'Inflicts 66 poison damage on target instantly and every 6 seconds',100,2,2),
(224207,10048806,'Inflicts 128 poison damage on target',100,2,3),
(224208,10048806,'Cannot be modified except by direct means',100,2,4),
(224209,10048806,'Grants a total of 200 triggers of the spell.',100,2,5),
(224210,71753,'When Equipped:',100,0,0),
(224211,71753,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(224212,71753,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(224213,71753,'Cannot be modified except by direct means',100,2,3),
(224214,10071753,'When Equipped:',100,0,0),
(224215,10071753,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(224216,10071753,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(224217,10071753,'Cannot be modified except by direct means',100,2,3),
(224218,46085,'Applies Elixir of Liveliness when Activated.  Lasts for 15 minutes.',100,0,0),
(224219,46085,'Increases Max Health of caster by 43.0',100,1,1),
(224220,10046085,'Applies Elixir of Liveliness when Activated.  Lasts for 15 minutes.',100,0,0),
(224221,10046085,'Increases Max Health of caster by 43.0',100,1,1),
(224222,26142,'When Equipped:',100,0,0),
(224223,26142,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,1),
(224224,26142,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(224225,10026142,'When Equipped:',100,0,0),
(224226,10026142,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,1),
(224227,10026142,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(224228,75648,'Applies Holy Strike when Activated.',100,0,0),
(224229,75648,'Inflicts 77 - 128 divine damage on target',100,1,1),
(224230,75648,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(224231,10075648,'Applies Holy Strike when Activated.',100,0,0),
(224232,10075648,'Inflicts 100 - 167 divine damage on target',100,1,1),
(224233,10075648,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(224234,113749,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(224235,113749,'Inflicts 241 piercing damage on target',100,2,1),
(224236,113749,'Grants a total of 60 triggers of the spell.',100,2,2),
(224237,10113749,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(224238,10113749,'Inflicts 313 piercing damage on target',100,2,1),
(224239,10113749,'Grants a total of 60 triggers of the spell.',100,2,2),
(224240,37255,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(224241,119283,'Inflicts 113 - 189 slashing damage on target',100,1,0),
(224242,119283,'Decreases Damage Per Second of target by 17.0',100,1,1),
(224243,119283,'Inflicts 152 slashing damage on target instantly and every 4 seconds',100,1,2),
(224244,10119283,'Inflicts 148 - 246 slashing damage on target',100,1,0),
(224245,10119283,'Decreases Damage Per Second of target by 17.0',100,1,1),
(224246,10119283,'Inflicts 198 slashing damage on target instantly and every 4 seconds',100,1,2),
(224247,158915,'When Equipped:',100,0,0),
(224248,158915,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(224249,158915,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(224250,158915,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,3),
(224251,158915,'Increases Potency of caster by 11.0%',100,2,4),
(224252,158915,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,5),
(224253,158915,'Must not be engaged in pvp combat',100,2,6),
(224254,158915,'Cannot be modified except by direct means',100,2,7),
(224255,158915,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(224256,158915,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(224257,158915,'Increases Potency of caster by 11.0%',100,2,10),
(224258,158915,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,11),
(224259,158915,'Must not be engaged in pvp combat',100,2,12),
(224260,158915,'Cannot be modified except by direct means',100,2,13),
(224261,158915,'Cannot be modified except by direct means',100,1,14),
(224262,10158915,'When Equipped:',100,0,0),
(224263,10158915,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(224264,10158915,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(224265,10158915,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,3),
(224266,10158915,'Increases Potency of caster by 11.0%',100,2,4),
(224267,10158915,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,5),
(224268,10158915,'Must not be engaged in pvp combat',100,2,6),
(224269,10158915,'Cannot be modified except by direct means',100,2,7),
(224270,10158915,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(224271,10158915,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(224272,10158915,'Increases Potency of caster by 11.0%',100,2,10),
(224273,10158915,'Increases Slashing, Ranged, Crushing and Piercing of caster by 11.5',100,2,11),
(224274,10158915,'Must not be engaged in pvp combat',100,2,12),
(224275,10158915,'Cannot be modified except by direct means',100,2,13),
(224276,10158915,'Cannot be modified except by direct means',100,1,14),
(224277,159070,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(224278,159070,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(224279,159070,'Inflicts 129 heat damage on target',100,2,2),
(224280,159070,'Cannot be modified except by direct means',100,2,3),
(224281,10159070,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(224282,10159070,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(224283,10159070,'Inflicts 168 heat damage on target',100,2,2),
(224284,10159070,'Cannot be modified except by direct means',100,2,3),
(224285,45730,'Applies Clouded Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(224286,45730,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(224287,45730,'Inflicts 16 magic damage on target',100,2,2),
(224288,45730,'Cannot be modified except by direct means',100,2,3),
(224289,10045730,'Applies Clouded Shining Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(224290,10045730,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(224291,10045730,'Inflicts 21 magic damage on target',100,2,2),
(224292,10045730,'Cannot be modified except by direct means',100,2,3),
(224293,113481,'Inflicts 14 - 24 melee damage on targets in area',100,1,0),
(224294,10113481,'Inflicts 19 - 31 melee damage on targets in area',100,1,0),
(224295,100488,'Increases Attack Speed of group members (AE) by 13.9',100,1,0),
(224296,10100488,'Increases Attack Speed of group members (AE) by 13.9',100,1,0),
(224297,101563,'Inflicts 9145 - 15242 melee damage on target',100,1,0),
(224298,101563,'You must be stealthed to use this ability',100,1,1),
(224299,10101563,'Inflicts 5587 - 9313 melee damage on target',100,1,0),
(224300,10101563,'You must be stealthed to use this ability',100,1,1),
(224301,26081,'When Equipped:',100,0,0),
(224302,26081,'Breeze VI improves the casting speed of the group by 15%.',100,1,1),
(224303,26081,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(224304,10026081,'When Equipped:',100,0,0),
(224305,10026081,'Breeze VI improves the casting speed of the group by 15%.',100,1,1),
(224306,10026081,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(224307,106785,'Mesmerizes target',100,1,0),
(224308,106785,'Prevents AOE (except when direct) ',100,1,1),
(224309,106785,'Dispelled when target takes damage',100,1,2),
(224310,106785,'Does not affect Epic targets',100,1,3),
(224311,106785,'Resistibility increases against targets higher than level 117.',100,1,4),
(224312,10106785,'Mesmerizes target',100,1,0),
(224313,10106785,'Prevents AOE (except when direct) ',100,1,1),
(224314,10106785,'Dispelled when target takes damage',100,1,2),
(224315,10106785,'Does not affect Epic targets',100,1,3),
(224316,10106785,'Resistibility increases against targets higher than level 117.',100,1,4),
(224317,159713,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(224318,159713,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(224319,159713,'Inflicts 94 heat damage on target',100,2,2),
(224320,159713,'Cannot be modified except by direct means',100,2,3),
(224321,10159713,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(224322,10159713,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(224323,10159713,'Inflicts 122 heat damage on target',100,2,2),
(224324,10159713,'Cannot be modified except by direct means',100,2,3),
(224325,103826,'Increases Ability Casting Speed of raid and group members (AE) by 4.7%',100,1,0),
(224326,103826,'Increases Attack Speed of raid and group members (AE) by 11.9',100,1,1),
(224327,10103826,'Increases Ability Casting Speed of raid and group members (AE) by 4.7%',100,1,0),
(224328,10103826,'Increases Attack Speed of raid and group members (AE) by 11.9',100,1,1),
(224329,124407,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(224330,124407,'Inflicts 199 - 332 melee damage on target',100,2,1),
(224331,124407,'Grants a total of 3 triggers of the spell.',100,2,2),
(224332,10124407,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(224333,10124407,'Inflicts 259 - 432 melee damage on target',100,2,1),
(224334,10124407,'Grants a total of 3 triggers of the spell.',100,2,2),
(224335,173850,'When Equipped:',100,0,0),
(224336,173850,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(224337,173850,'Increases Potency of caster by 5.0%',100,1,2),
(224338,173850,'Increases Max Health of caster by 1,550.0',100,1,3),
(224339,173850,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(224340,173850,'Cannot be modified except by direct means',100,1,5),
(224341,10173850,'When Equipped:',100,0,0),
(224342,10173850,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(224343,10173850,'Increases Potency of caster by 5.0%',100,1,2),
(224344,10173850,'Increases Max Health of caster by 1,550.0',100,1,3),
(224345,10173850,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(224346,10173850,'Cannot be modified except by direct means',100,1,5),
(224347,35643,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(224348,107891,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(224349,107891,'Slows target by 42.2%',100,2,1),
(224350,107891,'5% chance to dispel when target receives hostile action',100,2,2),
(224351,107891,'5% chance to dispel when target takes damage',100,2,3),
(224352,107891,'Slows target encounter by 50.7%',100,1,4),
(224353,107891,'5% chance to dispel when target takes damage',100,1,5),
(224354,10107891,'Slows target encounter by 50.7%',100,1,0),
(224355,10107891,'5% chance to dispel when target takes damage',100,1,1),
(224356,138822,'When Equipped:',100,0,0),
(224357,138822,'Increases damage effect damage by 40%.',100,1,1),
(224358,138822,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,2),
(224359,138822,'Inflicts 639 disease damage on targets in Area of Effect',100,2,3),
(224360,138822,'Cannot be modified except by direct means',100,2,4),
(224361,10138822,'When Equipped:',100,0,0),
(224362,10138822,'Increases damage effect damage by 40%.',100,1,1),
(224363,10138822,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,2),
(224364,10138822,'Inflicts 831 disease damage on targets in Area of Effect',100,2,3),
(224365,10138822,'Cannot be modified except by direct means',100,2,4),
(224366,81273,'When Equipped:',100,0,0),
(224367,81273,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(224368,81273,'Decreases Threat to target by 949 ',100,2,2),
(224369,81273,'Must be flanking or behind',100,3,3),
(224370,81273,'Increases Threat to target by 949 ',100,2,4),
(224371,81273,'Must be in front of',100,3,5),
(224372,81273,'Inflicts 302 - 560 magic damage on target',100,2,6),
(224373,81273,'Cannot be modified except by direct means',100,2,7),
(224374,10081273,'When Equipped:',100,0,0),
(224375,10081273,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(224376,10081273,'Inflicts 392 - 728 magic damage on target',100,2,2),
(224377,10081273,'Cannot be modified except by direct means',100,2,3),
(224378,121007,'Inflicts 57 - 95 poison damage on target instantly and every 4 seconds',100,1,0),
(224379,121007,'Inflicts 228 - 380 poison damage on target',100,1,1),
(224380,10121007,'Inflicts 74 - 124 poison damage on target instantly and every 4 seconds',100,1,0),
(224381,10121007,'Inflicts 296 - 494 poison damage on target',100,1,1),
(224382,75552,'Applies Disease Blast when Activated.',100,0,0),
(224383,75552,'Inflicts 195 - 325 disease damage on target',100,1,1),
(224384,75552,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(224385,10075552,'Applies Disease Blast when Activated.',100,0,0),
(224386,10075552,'Inflicts 253 - 422 disease damage on target',100,1,1),
(224387,10075552,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(224388,37130,'Increases STR of target by 1.5',100,0,0),
(224389,37130,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(224390,24748,'Adds Vigor (Multiple) to your Dungeon Maker toolbox',100,0,0),
(224391,10024748,'Adds Vigor (Multiple) to your Dungeon Maker toolbox',100,0,0),
(224392,106547,'Inflicts 484 - 592 melee damage on target',100,1,0),
(224393,106547,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(224394,106547,'Increases Hate Gain of target by 30.0%',100,2,2),
(224395,106547,'Grants a total of 1 trigger of the spell.',100,2,3),
(224396,10106547,'Inflicts 629 - 769 melee damage on target',100,1,0),
(224397,10106547,'25% chance to apply Distract on termination.',100,1,1),
(224398,10106547,'Forces target to clear their selected target.',100,2,2),
(224399,80710,'When Equipped:',100,0,0),
(224400,80710,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(224401,80710,'Decreases Threat to target by 236 ',100,2,2),
(224402,80710,'Must be flanking or behind',100,3,3),
(224403,80710,'Increases Threat to target by 236 ',100,2,4),
(224404,80710,'Must be in front of',100,3,5),
(224405,80710,'Inflicts 83 - 154 magic damage on target',100,2,6),
(224406,80710,'Cannot be modified except by direct means',100,2,7),
(224407,10080710,'When Equipped:',100,0,0),
(224408,10080710,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(224409,10080710,'Inflicts 108 - 200 magic damage on target',100,2,2),
(224410,10080710,'Cannot be modified except by direct means',100,2,3),
(224411,45022,'Applies Create Medal when Activated.',100,0,0),
(224412,45022,'Summon 1 Insignia of Distinguished Service',100,1,1),
(224413,10045022,'Applies Create Medal when Activated.',100,0,0),
(224414,10045022,'Summon 1 Insignia of Distinguished Service',100,1,1),
(224415,103772,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.3',100,1,0),
(224416,10103772,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.3',100,1,0),
(224417,119999,'Increases Threat to target by 985 - 1,205 ',100,1,0),
(224418,10119999,'Prevents target from changing targets',100,1,0),
(224419,10119999,'Forces target to change their selected target to caster.',100,1,1),
(224420,24445,'Adds Iksar Skeleton (Berserker) to your Dungeon Maker toolbox',100,0,0),
(224421,10024445,'Adds Iksar Skeleton (Berserker) to your Dungeon Maker toolbox',100,0,0),
(224422,116365,'Mesmerizes target encounter',100,1,0),
(224423,116365,'Prevents AOE (except when direct) ',100,1,1),
(224424,116365,'Dispelled when target takes damage',100,1,2),
(224425,116365,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(224426,116365,'Resistibility increases against targets higher than level 106.',100,1,4),
(224427,10116365,'Mesmerizes target encounter',100,1,0),
(224428,10116365,'Prevents AOE (except when direct) ',100,1,1),
(224429,10116365,'Dispelled when target takes damage',100,1,2),
(224430,10116365,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(224431,10116365,'Resistibility increases against targets higher than level 106.',100,1,4),
(224432,40544,'When Equipped:',100,0,0),
(224433,40544,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(224434,40544,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(224435,40544,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(224436,40544,'Must not be engaged in pvp combat',100,2,4),
(224437,40544,'Cannot be modified except by direct means',100,2,5),
(224438,10040544,'When Equipped:',100,0,0),
(224439,10040544,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(224440,10040544,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(224441,10040544,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(224442,10040544,'Must not be engaged in pvp combat',100,2,4),
(224443,10040544,'Cannot be modified except by direct means',100,2,5),
(224444,120517,'Inflicts 697 - 1162 melee damage on target',100,1,0),
(224445,120517,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(224446,120517,'Grants stealth to caster',100,2,2),
(224447,120517,'Suspends caster''s movement speed enhancements',100,2,3),
(224448,120517,'Must be flanking or behind',100,1,4),
(224449,10120517,'Inflicts 907 - 1511 melee damage on target',100,1,0),
(224450,10120517,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(224451,10120517,'Grants stealth to caster',100,2,2),
(224452,10120517,'Suspends caster''s movement speed enhancements',100,2,3),
(224453,10120517,'Must be flanking or behind',100,1,4),
(224454,134053,'When Equipped:',100,0,0),
(224455,134053,'On any combat or spell hit this spell may cast Triumphant Coup on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(224456,134053,'Decreases Potency of target by 12.0%',100,2,2),
(224457,134053,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,3),
(224458,134053,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,4),
(224459,134053,'Increases Potency of caster by 12.0%',100,2,5),
(224460,134053,'Increases Ability Modifier of caster by 500.0',100,2,6),
(224461,134053,'Must not be engaged in pvp combat',100,2,7),
(224462,134053,'Cannot be modified except by direct means',100,2,8),
(224463,134053,'On a hostile spell cast this spell may cast Triumphant Coup on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(224464,134053,'Decreases Potency of target by 12.0%',100,2,10),
(224465,134053,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,11),
(224466,134053,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,12),
(224467,134053,'Increases Potency of caster by 12.0%',100,2,13),
(224468,134053,'Increases Ability Modifier of caster by 500.0',100,2,14),
(224469,134053,'Must not be engaged in pvp combat',100,2,15),
(224470,134053,'Cannot be modified except by direct means',100,2,16),
(224471,134053,'Must not be engaged in pvp combat',100,1,17),
(224472,10134053,'When Equipped:',100,0,0),
(224473,10134053,'On any combat or spell hit this spell may cast Triumphant Coup on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(224474,10134053,'Decreases Potency of target by 12.0%',100,2,2),
(224475,10134053,'Inflicts 3943 - 4819 slashing damage on target instantly and every 5 seconds',100,2,3),
(224476,10134053,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,4),
(224477,10134053,'Increases Potency of caster by 12.0%',100,2,5),
(224478,10134053,'Increases Ability Modifier of caster by 500.0',100,2,6),
(224479,10134053,'Must not be engaged in pvp combat',100,2,7),
(224480,10134053,'Cannot be modified except by direct means',100,2,8),
(224481,10134053,'On a hostile spell cast this spell may cast Triumphant Coup on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(224482,10134053,'Decreases Potency of target by 12.0%',100,2,10),
(224483,10134053,'Inflicts 3943 - 4819 slashing damage on target instantly and every 5 seconds',100,2,11),
(224484,10134053,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,12),
(224485,10134053,'Increases Potency of caster by 12.0%',100,2,13),
(224486,10134053,'Increases Ability Modifier of caster by 500.0',100,2,14),
(224487,10134053,'Must not be engaged in pvp combat',100,2,15),
(224488,10134053,'Cannot be modified except by direct means',100,2,16),
(224489,10134053,'Must not be engaged in pvp combat',100,1,17),
(224490,116159,'Increases Attack Speed of caster by 22.8',100,1,0),
(224491,116159,'Increases Damage Per Second of caster by 26.2',100,1,1),
(224492,10116159,'Increases Attack Speed of caster by 22.8',100,1,0),
(224493,10116159,'Increases Damage Per Second of caster by 26.2',100,1,1),
(224494,86499,'Applies Holy Strike when Activated.',100,0,0),
(224495,86499,'Inflicts 77 - 128 divine damage on target',100,1,1),
(224496,86499,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(224497,10086499,'Applies Holy Strike when Activated.',100,0,0),
(224498,10086499,'Inflicts 100 - 167 divine damage on target',100,1,1),
(224499,10086499,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(224500,103333,'Inflicts 126 - 154 mental damage on target instantly and every 6 seconds',100,1,0),
(224501,103333,'Applies Migraine on termination.',100,1,1),
(224502,103333,'Inflicts 275 - 371 mental damage on target',100,2,2),
(224503,10103333,'Inflicts 164 - 200 mental damage on target instantly and every 6 seconds',100,1,0),
(224504,10103333,'Applies Migraine on termination.',100,1,1),
(224505,10103333,'Inflicts 357 - 483 mental damage on target',100,2,2),
(224506,24131,'Adds Boss: Clockwork Menace (Assassin) to your Dungeon Maker toolbox',100,0,0),
(224507,10024131,'Adds Boss: Clockwork Menace (Assassin) to your Dungeon Maker toolbox',100,0,0),
(224508,110699,'Heals target for 1979',100,1,0),
(224509,110699,'Dispels 132 levels of any hostile effects on target',100,1,1),
(224510,10110699,'Heals target for 2316',100,1,0),
(224511,10110699,'Dispels 132 levels of any hostile effects on target',100,1,1),
(224512,26714,'When Equipped:',100,0,0),
(224513,26714,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(224514,26714,'On a critical combat hit this spell may cast Greater  Armor Chink I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(224515,26714,'Decreases Mitigation of target vs physical damage by 1769',100,2,3),
(224516,26714,'Must not be engaged in pvp combat',100,2,4),
(224517,26714,'Cannot be modified except by direct means',100,2,5),
(224518,26714,'On a critical spell hit this spell may cast Greater  Armor Chink I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(224519,26714,'Decreases Mitigation of target vs physical damage by 1769',100,2,7),
(224520,26714,'Must not be engaged in pvp combat',100,2,8),
(224521,26714,'Cannot be modified except by direct means',100,2,9),
(224522,26714,'Must not be engaged in pvp combat',100,1,10),
(224523,10026714,'When Equipped:',100,0,0),
(224524,10026714,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(224525,10026714,'On a critical combat hit this spell may cast Greater  Armor Chink I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(224526,10026714,'Decreases Mitigation of target vs physical damage by 1769',100,2,3),
(224527,10026714,'Must not be engaged in pvp combat',100,2,4),
(224528,10026714,'Cannot be modified except by direct means',100,2,5),
(224529,10026714,'On a critical spell hit this spell may cast Greater  Armor Chink I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(224530,10026714,'Decreases Mitigation of target vs physical damage by 1769',100,2,7),
(224531,10026714,'Must not be engaged in pvp combat',100,2,8),
(224532,10026714,'Cannot be modified except by direct means',100,2,9),
(224533,10026714,'Must not be engaged in pvp combat',100,1,10),
(224534,181077,'When Equipped:',100,0,0),
(224535,181077,'On a healing spell cast this spell may cast Soothing Psalm on caster.  Lasts for 1.0 second.  Triggers about 1.6 times per minute. ',100,1,1),
(224536,181077,'Decreases threat priority of targets in Area of Effect by 2 positions',100,2,2),
(224537,181077,'Must be engaged in combat',100,3,3),
(224538,181077,'Cannot be modified except by direct means',100,2,4),
(224539,10181077,'When Equipped:',100,0,0),
(224540,10181077,'On a healing spell cast this spell may cast Soothing Psalm on caster.  Lasts for 1.0 second.  Triggers about 1.6 times per minute. ',100,1,1),
(224541,10181077,'Cannot be modified except by direct means',100,2,2),
(224542,48644,'Applies Arrina''s Resurgence  when Activated.',100,0,0),
(224543,48644,'Heals caster for 140',100,1,1),
(224544,10048644,'Applies Arrina''s Resurgence  when Activated.',100,0,0),
(224545,10048644,'Heals caster for 91',100,1,1),
(224546,45917,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(224547,45917,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(224548,45917,'Inflicts 346 poison damage on target instantly and every 4 seconds',100,2,2),
(224549,45917,'Cannot be modified except by direct means',100,2,3),
(224550,45917,'Grants a total of 100 triggers of the spell.',100,2,4),
(224551,10045917,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(224552,10045917,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(224553,10045917,'Inflicts 338 poison damage on target instantly and every 4 seconds',100,2,2),
(224554,10045917,'Cannot be modified except by direct means',100,2,3),
(224555,10045917,'Grants a total of 100 triggers of the spell.',100,2,4),
(224556,26478,'When Equipped:',100,0,0),
(224557,26478,'On a critical combat hit this spell may cast Manalink on caster.  Lasts for 16.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(224558,26478,'Increases power of caster by 286 instantly and every 4 seconds',100,2,2),
(224559,26478,'Must not be engaged in pvp combat',100,2,3),
(224560,26478,'Cannot be modified except by direct means',100,2,4),
(224561,26478,'On a critical spell hit this spell may cast Manalink on caster.  Lasts for 16.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(224562,26478,'Increases power of caster by 286 instantly and every 4 seconds',100,2,6),
(224563,26478,'Must not be engaged in pvp combat',100,2,7),
(224564,26478,'Cannot be modified except by direct means',100,2,8),
(224565,26478,'Must not be engaged in pvp combat',100,1,9),
(224566,10026478,'When Equipped:',100,0,0),
(224567,10026478,'On a critical combat hit this spell may cast Manalink on caster.  Lasts for 16.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(224568,10026478,'Increases power of caster by 286 instantly and every 4 seconds',100,2,2),
(224569,10026478,'Must not be engaged in pvp combat',100,2,3),
(224570,10026478,'Cannot be modified except by direct means',100,2,4),
(224571,10026478,'On a critical spell hit this spell may cast Manalink on caster.  Lasts for 16.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(224572,10026478,'Increases power of caster by 286 instantly and every 4 seconds',100,2,6),
(224573,10026478,'Must not be engaged in pvp combat',100,2,7),
(224574,10026478,'Cannot be modified except by direct means',100,2,8),
(224575,10026478,'Must not be engaged in pvp combat',100,1,9),
(224576,105732,'Inflicts 520 - 866 melee damage on targets in area',100,1,0),
(224577,105732,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(224578,105732,'Blurs vision of target',100,2,2),
(224579,105732,'Stuns target',100,2,3),
(224580,105732,'Throws target back',100,2,4),
(224581,105732,'Does not affect Epic targets',100,2,5),
(224582,10105732,'Inflicts 676 - 1126 melee damage on targets in area',100,1,0),
(224583,10105732,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(224584,10105732,'Stuns target',100,2,2),
(224585,10105732,'Throws target back',100,2,3),
(224586,10105732,'Blurs vision of target',100,2,4),
(224587,10105732,'Does not affect Epic targets',100,2,5),
(224588,119953,'Inflicts 344 - 573 melee damage on target',100,1,0),
(224589,119953,'Stifles target',100,1,1),
(224590,119953,'If Target is not Epic',100,2,2),
(224591,119953,'Resistibility increases against targets higher than level 99.',100,1,3),
(224592,10119953,'Inflicts 447 - 746 melee damage on target',100,1,0),
(224593,10119953,'Stifles target',100,1,1),
(224594,10119953,'If Target is not Epic',100,2,2),
(224595,10119953,'Resistibility increases against targets higher than level 99.',100,1,3),
(224596,118592,'Roots target',100,1,0),
(224597,118592,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(224598,118592,'Slows target by 44.4%',100,2,2),
(224599,118592,'5% chance to dispel when target receives hostile action',100,2,3),
(224600,118592,'5% chance to dispel when target takes damage',100,2,4),
(224601,118592,'5% chance to dispel when target takes damage',100,1,5),
(224602,118592,'Does not affect Epic targets',100,1,6),
(224603,118592,'Resistibility increases against targets higher than level 64.',100,1,7),
(224604,10118592,'Roots target',100,1,0),
(224605,10118592,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(224606,10118592,'Slows target by 44.4%',100,2,2),
(224607,10118592,'5% chance to dispel when target receives hostile action',100,2,3),
(224608,10118592,'5% chance to dispel when target takes damage',100,2,4),
(224609,10118592,'5% chance to dispel when target takes damage',100,1,5),
(224610,10118592,'Does not affect Epic targets',100,1,6),
(224611,10118592,'Resistibility increases against targets higher than level 64.',100,1,7),
(224612,46429,'Applies Toss Pie when Activated.',100,0,0),
(224613,10046429,'Applies Toss Pie when Activated.',100,0,0),
(224614,102841,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(224615,102841,'Blurs vision of target',100,2,1),
(224616,102841,'Stuns target',100,2,2),
(224617,102841,'Throws target back',100,2,3),
(224618,102841,'Does not affect Epic targets',100,2,4),
(224619,102841,'Inflicts 45 - 136 melee damage on targets in area',100,1,5),
(224620,10102841,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(224621,10102841,'Stuns target',100,2,1),
(224622,10102841,'Throws target back',100,2,2),
(224623,10102841,'Blurs vision of target',100,2,3),
(224624,10102841,'Does not affect Epic targets',100,2,4),
(224625,10102841,'Inflicts 59 - 177 melee damage on targets in area',100,1,5),
(224626,120767,'Inflicts 67 - 81 divine damage on target instantly and every 3 seconds',100,1,0),
(224627,120767,'Increases power of caster by 52 instantly and every 3 seconds',100,1,1),
(224628,10120767,'Inflicts 87 - 106 divine damage on target instantly and every 3 seconds',100,1,0),
(224629,10120767,'Increases power of caster by 52 instantly and every 3 seconds',100,1,1),
(224630,122486,'Inflicts 325 - 542 mental damage on targets in Area of Effect',100,1,0),
(224631,10122486,'Inflicts 423 - 704 mental damage on targets in Area of Effect',100,1,0),
(224632,46252,'Applies Apotropaic Splash when Activated.',100,0,0),
(224633,46252,'Updates a specific part of the Quest \"Vampire Weakened\"',100,1,1),
(224634,46252,'Inflicts 15.0% of max health in heat damage on target',100,1,2),
(224635,46252,'Must be in zone Evernight Abbey',100,1,3),
(224636,46252,'If Target is not a boss',100,1,4),
(224637,46252,'If Target is not named',100,1,5),
(224638,10046252,'Applies Apotropaic Splash when Activated.',100,0,0),
(224639,10046252,'Updates a specific part of the Quest \"Vampire Weakened\"',100,1,1),
(224640,10046252,'Inflicts 19.5% of max health in heat damage on target',100,1,2),
(224641,10046252,'Must be in zone Evernight Abbey',100,1,3),
(224642,10046252,'If Target is not a boss',100,1,4),
(224643,10046252,'If Target is not named',100,1,5),
(224644,121142,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(224645,121142,'Increases Mitigation of group members (AE) vs noxious damage by 276',100,1,1),
(224646,10121142,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(224647,10121142,'Increases Mitigation of group members (AE) vs noxious damage by 276',100,1,1),
(224648,101889,'Heals target for 1248 - 1525',100,1,0),
(224649,101889,'If over 50% Health',100,2,1),
(224650,101889,'Heals target for 2495 - 3050',100,1,2),
(224651,101889,'If at 50% Health or less',100,2,3),
(224652,10101889,'Heals target for 1460 - 1784',100,1,0),
(224653,10101889,'If over 50% Health',100,2,1),
(224654,10101889,'Heals target for 5109 - 6244',100,1,2),
(224655,10101889,'If at 50% Health or less',100,2,3),
(224656,135132,'When Equipped:',100,0,0),
(224657,135132,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(224658,135132,'Wards caster against 150 points of all damage',100,2,2),
(224659,135132,'Cannot be modified except by direct means',100,2,3),
(224660,10135132,'When Equipped:',100,0,0),
(224661,10135132,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(224662,10135132,'Wards caster against 150 points of all damage',100,2,2),
(224663,10135132,'Cannot be modified except by direct means',100,2,3),
(224664,25775,'When Equipped:',100,0,0),
(224665,25775,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(224666,25775,'Improves the reuse time of Shattered Earth by 10 seconds.',100,1,2),
(224667,10025775,'When Equipped:',100,0,0),
(224668,10025775,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(224669,10025775,'Improves the reuse time of Shattered Earth by 10 seconds.',100,1,2),
(224670,112981,'Reduces physical damage done to caster by 5%',100,1,0),
(224671,112981,'Increases STA of caster by 29.0',100,1,1),
(224672,112981,'Adds 3.4% to base avoidance.',100,1,2),
(224673,112981,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(224674,112981,'Increases Defense and Aggression of caster by 5.3',100,1,4),
(224675,112981,'Increases Mitigation of caster vs arcane damage by 380',100,1,5),
(224676,112981,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(224677,10112981,'Reduces physical damage done to caster by 5%',100,1,0),
(224678,10112981,'Increases STA of caster by 29.0',100,1,1),
(224679,10112981,'Adds 3.4% to base avoidance.',100,1,2),
(224680,10112981,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(224681,10112981,'Increases Defense and Aggression of caster by 5.3',100,1,4),
(224682,10112981,'Increases Mitigation of caster vs arcane damage by 380',100,1,5),
(224683,10112981,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(224684,115961,'Inflicts 62 - 93 mental damage on target',100,1,0),
(224685,115961,'Stuns target',100,1,1),
(224686,115961,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(224687,115961,'Resistibility increases against targets higher than level 42.',100,1,3),
(224688,10115961,'Inflicts 80 - 120 mental damage on target',100,1,0),
(224689,10115961,'Stuns target',100,1,1),
(224690,10115961,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(224691,10115961,'Resistibility increases against targets higher than level 42.',100,1,3),
(224692,166528,'Applies Rising Brutality when Activated.  Lasts for 12.0 seconds.',100,0,0),
(224693,166528,'Increases the Damage Per Second of the caster over time.',100,1,1),
(224694,166528,'Applies Invigorated Haste on termination.  Lasts for 30.0 seconds.',100,1,2),
(224695,166528,'Increases Attack Speed of caster by 20.0',100,2,3),
(224696,166528,'Must not be engaged in pvp combat',100,2,4),
(224697,166528,'Cannot be modified except by direct means',100,2,5),
(224698,166528,'Must not be engaged in pvp combat',100,1,6),
(224699,166528,'Cannot be modified except by direct means',100,1,7),
(224700,166528,'The reuse time of Rising Brutality is 10 minutes',100,1,8),
(224701,10166528,'Applies Rising Brutality when Activated.  Lasts for 12.0 seconds.',100,0,0),
(224702,10166528,'Increases the Damage Per Second of the caster over time.',100,1,1),
(224703,10166528,'Applies Invigorated Haste on termination.  Lasts for 30.0 seconds.',100,1,2),
(224704,10166528,'Increases Attack Speed of caster by 20.0',100,2,3),
(224705,10166528,'Must not be engaged in pvp combat',100,2,4),
(224706,10166528,'Cannot be modified except by direct means',100,2,5),
(224707,10166528,'Must not be engaged in pvp combat',100,1,6),
(224708,10166528,'Cannot be modified except by direct means',100,1,7),
(224709,10166528,'The reuse time of Rising Brutality is 10 minutes',100,1,8),
(224710,122857,'Inflicts 141 - 235 ranged damage on target',100,1,0),
(224711,122857,'Inflicts 282 - 470 ranged damage on target',100,1,1),
(224712,122857,'Inflicts 423 - 705 ranged damage on target',100,1,2),
(224713,122857,'Requires bow',100,1,3),
(224714,10122857,'Inflicts 149 - 249 ranged damage on target',100,1,0),
(224715,10122857,'Inflicts 299 - 499 ranged damage on target',100,1,1),
(224716,10122857,'Inflicts 449 - 749 ranged damage on target',100,1,2),
(224717,10122857,'Requires bow',100,1,3),
(224718,24068,'Adds Chaos Form (Wizard) to your Dungeon Maker toolbox',100,0,0),
(224719,10024068,'Adds Chaos Form (Wizard) to your Dungeon Maker toolbox',100,0,0),
(224720,152499,'When Equipped:',100,0,0),
(224721,152499,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(224722,10152499,'When Equipped:',100,0,0),
(224723,10152499,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(224724,153807,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(224725,153807,'Increases Hate Gain of caster by 15.0%',100,1,1),
(224726,153807,'Must not be engaged in pvp combat',100,1,2),
(224727,153807,'Cannot be modified except by direct means',100,1,3),
(224728,153807,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(224729,153807,'When Equipped:',100,0,5),
(224730,153807,'On a critical spell hit this spell may cast Intimidating Rush III on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(224731,153807,'Increases Threat to target by 285 - 315 ',100,2,7),
(224732,153807,'If over 80% Health',100,3,8),
(224733,153807,'Must not be engaged in pvp combat',100,2,9),
(224734,153807,'Cannot be modified except by direct means',100,2,10),
(224735,153807,'On a critical combat hit this spell may cast Intimidating Rush III on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(224736,153807,'Increases Threat to target by 285 - 315 ',100,2,12),
(224737,153807,'If over 80% Health',100,3,13),
(224738,153807,'Must not be engaged in pvp combat',100,2,14),
(224739,153807,'Cannot be modified except by direct means',100,2,15),
(224740,153807,'Must not be engaged in pvp combat',100,1,16),
(224741,10153807,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(224742,10153807,'Must not be engaged in pvp combat',100,1,1),
(224743,10153807,'Cannot be modified except by direct means',100,1,2),
(224744,10153807,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(224745,10153807,'When Equipped:',100,0,4),
(224746,10153807,'On a critical spell hit this spell may cast Intimidating Rush III on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(224747,10153807,'Must not be engaged in pvp combat',100,2,6),
(224748,10153807,'Cannot be modified except by direct means',100,2,7),
(224749,10153807,'On a critical combat hit this spell may cast Intimidating Rush III on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(224750,10153807,'Must not be engaged in pvp combat',100,2,9),
(224751,10153807,'Cannot be modified except by direct means',100,2,10),
(224752,10153807,'Must not be engaged in pvp combat',100,1,11),
(224753,170697,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(224754,170697,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(224755,170697,'Decreases Attack Speed of target by 17.2',100,2,2),
(224756,170697,'Cannot be modified except by direct means',100,2,3),
(224757,170697,'Slows target by 41.9%',100,1,4),
(224758,170697,'5% chance to dispel when target takes damage',100,1,5),
(224759,170697,'5% chance to dispel when target receives hostile action',100,1,6),
(224760,170697,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(224761,10170697,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(224762,10170697,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(224763,10170697,'Decreases Attack Speed of target by 17.2',100,2,2),
(224764,10170697,'Cannot be modified except by direct means',100,2,3),
(224765,10170697,'Slows target by 41.9%',100,1,4),
(224766,10170697,'5% chance to dispel when target takes damage',100,1,5),
(224767,10170697,'5% chance to dispel when target receives hostile action',100,1,6),
(224768,10170697,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(224769,50497,'When Equipped:',100,0,0),
(224770,50497,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(224771,10050497,'When Equipped:',100,0,0),
(224772,10050497,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(224773,173326,'When Equipped:',100,0,0),
(224774,173326,'This effect will not stack with itself.',100,1,1),
(224775,173326,'On a critical healing spell cast this spell may cast Major Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(224776,173326,'Replenishes 700 points of absorption every 2 seconds.',100,2,3),
(224777,173326,'Wards target against 5000 points of all damage',100,2,4),
(224778,173326,'Heals target for 485 - 536 instantly and every 2 seconds',100,2,5),
(224779,173326,'Must not be engaged in pvp combat',100,2,6),
(224780,173326,'Cannot be modified except by direct means',100,2,7),
(224781,173326,'Must not be engaged in pvp combat',100,1,8),
(224782,10173326,'When Equipped:',100,0,0),
(224783,10173326,'This effect will not stack with itself.',100,1,1),
(224784,10173326,'On a critical healing spell cast this spell may cast Major Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(224785,10173326,'Replenishes 700 points of absorption every 2 seconds.',100,2,3),
(224786,10173326,'Wards target against 5000 points of all damage',100,2,4),
(224787,10173326,'Heals target for 567 - 627 instantly and every 2 seconds',100,2,5),
(224788,10173326,'Must not be engaged in pvp combat',100,2,6),
(224789,10173326,'Cannot be modified except by direct means',100,2,7),
(224790,10173326,'Must not be engaged in pvp combat',100,1,8),
(224791,47272,'Applies Natures Wonder  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(224792,47272,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(224793,47272,'Inflicts 14 magic damage on target',100,2,2),
(224794,47272,'Cannot be modified except by direct means',100,2,3),
(224795,10047272,'Applies Natures Wonder  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(224796,10047272,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(224797,10047272,'Inflicts 18 magic damage on target',100,2,2),
(224798,10047272,'Cannot be modified except by direct means',100,2,3),
(224799,102320,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(224800,102320,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(224801,102320,'Decreases threat priority of target encounter by 1 position',100,2,2),
(224802,102320,'Decreases Threat to target encounter by 275 ',100,2,3),
(224803,102320,'Grants a total of 3 triggers of the spell.',100,2,4),
(224804,102320,'If profession other than Fighter',100,1,5),
(224805,10102320,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(224806,10102320,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(224807,10102320,'Forces target to clear their selected target.',100,2,2),
(224808,10102320,'Target cannot target caster for the duration of this effect.',100,2,3),
(224809,10102320,'Grants a total of 3 triggers of the spell.',100,2,4),
(224810,10102320,'If profession other than Fighter',100,1,5),
(224811,110446,'Dazes targets in Area of Effect',100,1,0),
(224812,110446,'If Target is not Epic',100,2,1),
(224813,110446,'Decreases Threat to targets in Area of Effect by 1,305 ',100,1,2),
(224814,110446,'Dispelled when target receives hostile action',100,1,3),
(224815,110446,'Dispelled when target takes damage',100,1,4),
(224816,10110446,'Dazes targets in Area of Effect',100,1,0),
(224817,10110446,'If Target is not Epic',100,2,1),
(224818,10110446,'Applies Distract.',100,1,2),
(224819,10110446,'Forces target to clear their selected target.',100,2,3),
(224820,10110446,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(224821,10110446,'Dispelled when target receives hostile action',100,1,5),
(224822,10110446,'Dispelled when target takes damage',100,1,6),
(224823,101256,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(224824,101256,'Inflicts 206 - 344 mental damage on target',100,2,1),
(224825,10101256,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(224826,10101256,'Inflicts 268 - 447 mental damage on target',100,2,1),
(224827,121558,'Inflicts 347 - 578 melee damage on targets in area',100,1,0),
(224828,121558,'Stuns target encounter',100,1,1),
(224829,121558,'If Target is not Epic',100,2,2),
(224830,121558,'Resistibility increases against targets higher than level 89.',100,1,3),
(224831,10121558,'Inflicts 451 - 751 melee damage on targets in area',100,1,0),
(224832,10121558,'Stuns target encounter',100,1,1),
(224833,10121558,'If Target is not Epic',100,2,2),
(224834,10121558,'Resistibility increases against targets higher than level 89.',100,1,3),
(224835,154882,'When Equipped:',100,0,0),
(224836,154882,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(224837,154882,'Increases STR of caster by 31.8',100,2,2),
(224838,154882,'Cannot be modified except by direct means',100,2,3),
(224839,10154882,'When Equipped:',100,0,0),
(224840,10154882,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(224841,10154882,'Increases STR of caster by 31.8',100,2,2),
(224842,10154882,'Cannot be modified except by direct means',100,2,3),
(224843,71250,'When Equipped:',100,0,0),
(224844,71250,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(224845,71250,'Inflicts 1192 piercing damage on target',100,2,2),
(224846,71250,'Cannot be modified except by direct means',100,2,3),
(224847,10071250,'When Equipped:',100,0,0),
(224848,10071250,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(224849,10071250,'Inflicts 775 piercing damage on target',100,2,2),
(224850,10071250,'Cannot be modified except by direct means',100,2,3),
(224851,104406,'Inflicts 170 - 207 mental damage on target encounter instantly and every second',100,1,0),
(224852,104406,'Stifles target encounter',100,1,1),
(224853,104406,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(224854,104406,'Resistibility increases against targets higher than level 79.',100,1,3),
(224855,10104406,'Inflicts 205 - 251 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(224856,10104406,'Stifles target encounter',100,1,1),
(224857,10104406,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(224858,10104406,'Resistibility increases against targets higher than level 79.',100,1,3),
(224859,52814,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(224860,52814,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(224861,52814,'Inflicts 66 heat damage on target',100,2,2),
(224862,52814,'Cannot be modified except by direct means',100,2,3),
(224863,10052814,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(224864,10052814,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(224865,10052814,'Inflicts 86 heat damage on target',100,2,2),
(224866,10052814,'Cannot be modified except by direct means',100,2,3),
(224867,71920,'When Equipped:',100,0,0),
(224868,71920,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(224869,71920,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(224870,71920,'Cannot be modified except by direct means',100,2,3),
(224871,10071920,'When Equipped:',100,0,0),
(224872,10071920,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(224873,10071920,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(224874,10071920,'Cannot be modified except by direct means',100,2,3),
(224875,35850,'Increases STR of target by 1.5',100,0,0),
(224876,35850,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(224877,72342,'When Equipped:',100,0,0),
(224878,72342,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(224879,72342,'Inflicts 1986 piercing damage on target',100,2,2),
(224880,72342,'Cannot be modified except by direct means',100,2,3),
(224881,10072342,'When Equipped:',100,0,0),
(224882,10072342,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(224883,10072342,'Inflicts 1291 piercing damage on target',100,2,2),
(224884,10072342,'Cannot be modified except by direct means',100,2,3),
(224885,107609,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(224886,107609,'Increases Mitigation of group members (AE) vs elemental damage by 105',100,1,1),
(224887,10107609,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(224888,10107609,'Increases Mitigation of group members (AE) vs elemental damage by 105',100,1,1),
(224889,35286,'Increases Max Power of target by 3.3',100,0,0),
(224890,35286,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(224891,116111,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(224892,116111,'Heals target for 574 - 701',100,2,1),
(224893,116111,'Grants a total of 5 triggers of the spell.',100,2,2),
(224894,10116111,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(224895,10116111,'Heals target for 373 - 456',100,2,1),
(224896,10116111,'Grants a total of 5 triggers of the spell.',100,2,2),
(224897,121149,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(224898,121149,'Increases Hate Gain of caster by 5.0%',100,2,1),
(224899,121149,'Increases Attack Speed of caster by 38.0',100,2,2),
(224900,121149,'Dispelled when target takes damage',100,2,3),
(224901,10121149,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(224902,10121149,'Increases Attack Speed of caster by 38.0',100,2,1),
(224903,10121149,'Dispelled when target takes damage',100,2,2),
(224904,114707,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(224905,114707,'Decreases Hate Gain of target by 15.2%',100,1,1),
(224906,10114707,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(224907,114782,'Feigns Death with 96% chance of success',100,1,0),
(224908,10114782,'Feigns Death with 96% chance of success',100,1,0),
(224909,110214,'Interrupts target',100,1,0),
(224910,110214,'Inflicts 154 - 257 crushing damage on target',100,1,1),
(224911,10110214,'Interrupts target',100,1,0),
(224912,10110214,'Inflicts 201 - 335 crushing damage on target',100,1,1),
(224913,121986,'Increases Threat to target by 50 - 61 ',100,1,0),
(224914,41653,'When Equipped:',100,0,0),
(224915,41653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224916,41653,'Inflicts 212 - 393 magic damage on target',100,2,2),
(224917,41653,'Cannot be modified except by direct means',100,2,3),
(224918,10041653,'When Equipped:',100,0,0),
(224919,10041653,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224920,10041653,'Inflicts 275 - 511 magic damage on target',100,2,2),
(224921,10041653,'Cannot be modified except by direct means',100,2,3),
(224922,81484,'When Equipped:',100,0,0),
(224923,81484,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224924,81484,'Inflicts 109 - 202 magic damage on target',100,2,2),
(224925,81484,'Cannot be modified except by direct means',100,2,3),
(224926,10081484,'When Equipped:',100,0,0),
(224927,10081484,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(224928,10081484,'Inflicts 142 - 263 magic damage on target',100,2,2),
(224929,10081484,'Cannot be modified except by direct means',100,2,3),
(224930,55406,'When Equipped:',100,0,0),
(224931,55406,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(224932,55406,'Wards caster against 750 points of all damage',100,2,2),
(224933,55406,'Cannot be modified except by direct means',100,2,3),
(224934,55406,'Cannot be modified except by direct means',100,1,4),
(224935,10055406,'When Equipped:',100,0,0),
(224936,10055406,'On a block this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(224937,10055406,'Wards caster against 750 points of all damage',100,2,2),
(224938,10055406,'Cannot be modified except by direct means',100,2,3),
(224939,10055406,'Cannot be modified except by direct means',100,1,4),
(224940,111462,'Decreases Attack Speed of caster by 17.9',100,1,0),
(224941,111462,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(224942,111462,'Roots target',100,2,2),
(224943,111462,'5% chance to dispel when target takes damage',100,2,3),
(224944,111462,'5% chance to dispel when target receives hostile action',100,2,4),
(224945,111462,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(224946,111462,'Increases Mitigation of caster vs physical damage by 1327',100,1,6),
(224947,10111462,'Decreases Attack Speed of caster by 17.9',100,1,0),
(224948,10111462,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(224949,10111462,'Roots target',100,2,2),
(224950,10111462,'5% chance to dispel when target takes damage',100,2,3),
(224951,10111462,'5% chance to dispel when target receives hostile action',100,2,4),
(224952,10111462,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(224953,10111462,'Increases Mitigation of caster vs physical damage by 1327',100,1,6),
(224954,115711,'Applies Open Wounds.',100,1,0),
(224955,115711,'Inflicts 140 - 260 slashing damage on targets in Area of Effect',100,2,1),
(224956,115711,'Increases Attack Speed of caster by 40.8',100,1,2),
(224957,115711,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(224958,10115711,'Applies Open Wounds.',100,1,0),
(224959,10115711,'Inflicts 182 - 338 slashing damage on targets in Area of Effect',100,2,1),
(224960,10115711,'Increases Attack Speed of caster by 40.8',100,1,2),
(224961,10115711,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(224962,117723,'Decreases Hate Gain of caster by 17.3%',100,1,0),
(224963,116220,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(224964,116220,'Inflicts 381 - 466 mental damage on target',100,2,1),
(224965,116220,'Increases INT of group members (AE) by 73.9',100,1,2),
(224966,10116220,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(224967,10116220,'Inflicts 496 - 606 mental damage on target',100,2,1),
(224968,10116220,'Increases INT of group members (AE) by 73.9',100,1,2),
(224969,122799,'Heals target for 831',100,1,0),
(224970,10122799,'Heals target for 648',100,1,0),
(224971,108120,'Increases Attack Speed of caster by 26.6',100,1,0),
(224972,10108120,'Increases Attack Speed of caster by 26.6',100,1,0),
(224973,122405,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(224974,122405,'Inflicts 28 - 34 piercing damage on target encounter',100,2,1),
(224975,10122405,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(224976,10122405,'Inflicts 36 - 44 piercing damage on target encounter',100,2,1),
(224977,140054,'When Equipped:',100,0,0),
(224978,140054,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(224979,140054,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(224980,140054,'Increases Potency of caster by 11.0%',100,2,3),
(224981,140054,'Must not be engaged in pvp combat',100,2,4),
(224982,140054,'Cannot be modified except by direct means',100,2,5),
(224983,140054,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(224984,140054,'Increases Potency of caster by 11.0%',100,2,7),
(224985,140054,'Must not be engaged in pvp combat',100,2,8),
(224986,140054,'Cannot be modified except by direct means',100,2,9),
(224987,140054,'Cannot be modified except by direct means',100,1,10),
(224988,10140054,'When Equipped:',100,0,0),
(224989,10140054,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(224990,10140054,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(224991,10140054,'Increases Potency of caster by 11.0%',100,2,3),
(224992,10140054,'Must not be engaged in pvp combat',100,2,4),
(224993,10140054,'Cannot be modified except by direct means',100,2,5),
(224994,10140054,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(224995,10140054,'Increases Potency of caster by 11.0%',100,2,7),
(224996,10140054,'Must not be engaged in pvp combat',100,2,8),
(224997,10140054,'Cannot be modified except by direct means',100,2,9),
(224998,10140054,'Cannot be modified except by direct means',100,1,10),
(224999,159662,'When Equipped:',100,0,0),
(225000,159662,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225001,159662,'Increases INT of caster by 8.8',100,2,2),
(225002,159662,'Increases Disruption, Subjugation and Focus of caster by 5.2',100,2,3),
(225003,159662,'Cannot be modified except by direct means',100,2,4),
(225004,10159662,'When Equipped:',100,0,0),
(225005,10159662,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225006,10159662,'Increases INT of caster by 8.8',100,2,2),
(225007,10159662,'Increases Disruption, Subjugation and Focus of caster by 5.2',100,2,3),
(225008,10159662,'Cannot be modified except by direct means',100,2,4),
(225009,122352,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(225010,122352,'Inflicts 25 - 30 piercing damage on target',100,2,1),
(225011,10122352,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(225012,10122352,'Inflicts 32 - 39 piercing damage on target',100,2,1),
(225013,81732,'When Equipped:',100,0,0),
(225014,81732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225015,81732,'Inflicts 164 - 305 magic damage on target',100,2,2),
(225016,81732,'Cannot be modified except by direct means',100,2,3),
(225017,10081732,'When Equipped:',100,0,0),
(225018,10081732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225019,10081732,'Inflicts 213 - 396 magic damage on target',100,2,2),
(225020,10081732,'Cannot be modified except by direct means',100,2,3),
(225021,81136,'When Equipped:',100,0,0),
(225022,81136,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225023,81136,'Inflicts 203 - 377 magic damage on target',100,2,2),
(225024,81136,'Cannot be modified except by direct means',100,2,3),
(225025,10081136,'When Equipped:',100,0,0),
(225026,10081136,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225027,10081136,'Inflicts 264 - 490 magic damage on target',100,2,2),
(225028,10081136,'Cannot be modified except by direct means',100,2,3),
(225029,122634,'Heals target for 156 - 191 every 2 seconds',100,1,0),
(225030,122634,'Wards target against 520 points of all damage',100,1,1),
(225031,122634,'Decreases Attack Speed of target by 25.0',100,1,2),
(225032,122634,'Slows target by 50.0%',100,1,3),
(225033,10122634,'Heals target for 102 - 124 every 2 seconds',100,1,0),
(225034,10122634,'Wards target against 520 points of all damage',100,1,1),
(225035,10122634,'Decreases Attack Speed of target by 25.0',100,1,2),
(225036,10122634,'Slows target by 20.0%',100,1,3),
(225037,119489,'Dazes target encounter',100,1,0),
(225038,119489,'If Target is not Epic',100,2,1),
(225039,119489,'Inflicts 187 - 228 magic damage on target encounter instantly and every second',100,1,2),
(225040,119489,'Resistibility increases against targets higher than level 82.',100,1,3),
(225041,10119489,'Inflicts 319 - 390 magic damage on target encounter',100,1,0),
(225042,10119489,'Inflicts 243 - 297 magic damage on target encounter every second',100,1,1),
(225043,10119489,'Dazes target encounter',100,1,2),
(225044,10119489,'If Target is not Epic',100,2,3),
(225045,10119489,'Resistibility increases against targets higher than level 82.',100,1,4),
(225046,36665,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(225047,149106,'When Equipped:',100,0,0),
(225048,149106,'When any damage is received this spell has a 5% chance to cast Bewilder on target''s attacker.  Lasts for 9.0 seconds.  ',100,1,1),
(225049,149106,'Stuns target',100,2,2),
(225050,149106,'Dispelled when target takes damage',100,2,3),
(225051,149106,'Does not affect Epic targets',100,2,4),
(225052,149106,'Resistibility increases against targets higher than level 77.',100,2,5),
(225053,149106,'Cannot be modified except by direct means',100,2,6),
(225054,10149106,'When Equipped:',100,0,0),
(225055,10149106,'When any damage is received this spell has a 5% chance to cast Bewilder on target''s attacker.  Lasts for 8.8 seconds.  ',100,1,1),
(225056,10149106,'Stuns target',100,2,2),
(225057,10149106,'Dispelled when target takes damage',100,2,3),
(225058,10149106,'Does not affect Epic targets',100,2,4),
(225059,10149106,'Resistibility increases against targets higher than level 77.',100,2,5),
(225060,10149106,'Cannot be modified except by direct means',100,2,6),
(225061,170642,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(225062,170642,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(225063,170642,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(225064,10170642,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(225065,10170642,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(225066,10170642,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(225067,121742,'Causes 9% Threat to transfer to target when in combat',100,1,0),
(225068,10121742,'Applies Swarthy Distraction.',100,1,0),
(225069,10121742,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(225070,10121742,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(225071,192079,'When Equipped:',100,0,0),
(225072,192079,'On a damage spell hit this spell may cast Arcane Stun VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(225073,192079,'Stuns target',100,2,2),
(225074,192079,'Does not affect Epic targets',100,2,3),
(225075,192079,'Resistibility increases against targets higher than level 99.',100,2,4),
(225076,192079,'Cannot be modified except by direct means',100,2,5),
(225077,10192079,'When Equipped:',100,0,0),
(225078,10192079,'On a damage spell hit this spell may cast Arcane Stun VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(225079,10192079,'Stuns target',100,2,2),
(225080,10192079,'Does not affect Epic targets',100,2,3),
(225081,10192079,'Resistibility increases against targets higher than level 99.',100,2,4),
(225082,10192079,'Cannot be modified except by direct means',100,2,5),
(225083,111600,'Inflicts 36 - 66 cold damage on target instantly and every 4 seconds',100,1,0),
(225084,111600,'Decreases Mitigation of target vs elemental damage by 451',100,1,1),
(225085,10111600,'Inflicts 46 - 86 cold damage on target instantly and every 4 seconds',100,1,0),
(225086,10111600,'Decreases Mitigation of target vs elemental damage by 451',100,1,1),
(225087,104711,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(225088,104711,'Decreases Mitigation of target vs elemental and arcane damage by 336',100,2,1),
(225089,104711,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(225090,104711,'Decreases Mitigation of target vs elemental and arcane damage by 336',100,2,3),
(225091,10104711,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(225092,10104711,'Decreases Mitigation of target vs elemental and arcane damage by 336',100,2,1),
(225093,10104711,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(225094,10104711,'Decreases Mitigation of target vs elemental and arcane damage by 336',100,2,3),
(225095,102249,'Inflicts 99 - 165 melee damage on targets in area',100,1,0),
(225096,10102249,'Inflicts 129 - 215 melee damage on targets in area',100,1,0),
(225097,82313,'When Equipped:',100,0,0),
(225098,82313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225099,82313,'Inflicts 259 - 481 magic damage on target',100,2,2),
(225100,82313,'Cannot be modified except by direct means',100,2,3),
(225101,10082313,'When Equipped:',100,0,0),
(225102,10082313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225103,10082313,'Inflicts 337 - 625 magic damage on target',100,2,2),
(225104,10082313,'Cannot be modified except by direct means',100,2,3),
(225105,24732,'Adds Tallonite Usurper to your Dungeon Maker toolbox',100,0,0),
(225106,10024732,'Adds Tallonite Usurper to your Dungeon Maker toolbox',100,0,0),
(225107,87343,'When Equipped:',100,0,0),
(225108,87343,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225109,87343,'Inflicts 150 - 225 magic damage on target',100,2,2),
(225110,87343,'Cannot be modified except by direct means',100,2,3),
(225111,10087343,'When Equipped:',100,0,0),
(225112,10087343,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225113,10087343,'Inflicts 195 - 292 magic damage on target',100,2,2),
(225114,10087343,'Cannot be modified except by direct means',100,2,3),
(225115,75612,'Applies Holy Strike when Activated.',100,0,0),
(225116,75612,'Inflicts 195 - 325 divine damage on target',100,1,1),
(225117,75612,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(225118,10075612,'Applies Holy Strike when Activated.',100,0,0),
(225119,10075612,'Inflicts 253 - 422 divine damage on target',100,1,1),
(225120,10075612,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(225121,103542,'Increases In-Combat Power Regeneration of group members (AE) by 13.7',100,1,0),
(225122,10103542,'Increases In-Combat Power Regeneration of group members (AE) by 13.7',100,1,0),
(225123,55637,'When Equipped:',100,0,0),
(225124,55637,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(225125,55637,'Wards caster against 600 points of all damage',100,2,2),
(225126,55637,'Cannot be modified except by direct means',100,2,3),
(225127,10055637,'When Equipped:',100,0,0),
(225128,10055637,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(225129,10055637,'Wards caster against 600 points of all damage',100,2,2),
(225130,10055637,'Cannot be modified except by direct means',100,2,3),
(225131,122161,'Inflicts 26 - 31 cold damage on target instantly and every 2 seconds',100,1,0),
(225132,122161,'Inflicts 26 - 31 cold damage on target instantly and every 2 seconds',100,1,1),
(225133,122161,'If target is elemental',100,2,2),
(225134,10122161,'Inflicts 33 - 41 cold damage on target instantly and every 2 seconds',100,1,0),
(225135,113099,'Heals target for 65.5 - 80.1% of max health',100,1,0),
(225136,113099,'This effect cannot be critically applied.',100,2,1),
(225137,113099,'Increases Max Health of target by 574.0',100,1,2),
(225138,113099,'Increases Mitigation of target vs physical damage by 672',100,1,3),
(225139,113099,'The healing of this spell cannot be modified except by direct means',100,1,4),
(225140,10113099,'Heals target for 26.2 - 32.0% of max health',100,1,0),
(225141,10113099,'This effect cannot be critically applied.',100,2,1),
(225142,10113099,'Increases Max Health of target by 574.0',100,1,2),
(225143,10113099,'Increases Mitigation of target vs physical damage by 672',100,1,3),
(225144,10113099,'The healing of this spell cannot be modified except by direct means',100,1,4),
(225145,118751,'Increases INT and WIS of group members (AE) by 28.3',100,1,0),
(225146,118751,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 84',100,1,1),
(225147,10118751,'Increases INT and WIS of group members (AE) by 28.3',100,1,0),
(225148,10118751,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 84',100,1,1),
(225149,102834,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(225150,102834,'Heals caster for 1.5 - 2.3% of max health',100,2,1),
(225151,102834,'This effect cannot be critically applied.',100,3,2),
(225152,102834,'The healing of this spell cannot be modified except by direct means',100,2,3),
(225153,10102834,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(225154,10102834,'Heals caster for 0.4 - 0.6% of max health',100,2,1),
(225155,10102834,'This effect cannot be critically applied.',100,3,2),
(225156,10102834,'The healing of this spell cannot be modified except by direct means',100,2,3),
(225157,123969,'Inflicts 325 - 542 melee damage on target',100,1,0),
(225158,123969,'Decreases AGI of target by 29.4',100,1,1),
(225159,123969,'Must be behind',100,1,2),
(225160,10123969,'Inflicts 422 - 704 melee damage on target',100,1,0),
(225161,10123969,'Decreases AGI of target by 29.4',100,1,1),
(225162,10123969,'Must be behind',100,1,2),
(225163,106779,'Mesmerizes target',100,1,0),
(225164,106779,'Prevents AOE (except when direct) ',100,1,1),
(225165,106779,'Dispelled when target takes damage',100,1,2),
(225166,106779,'Does not affect Epic targets',100,1,3),
(225167,106779,'Resistibility increases against targets higher than level 107.',100,1,4),
(225168,10106779,'Mesmerizes target',100,1,0),
(225169,10106779,'Prevents AOE (except when direct) ',100,1,1),
(225170,10106779,'Dispelled when target takes damage',100,1,2),
(225171,10106779,'Does not affect Epic targets',100,1,3),
(225172,10106779,'Resistibility increases against targets higher than level 107.',100,1,4),
(225173,105581,'Decreases power of target encounter by 19 - 23 instantly and every 3 seconds',100,1,0),
(225174,105581,'Inflicts 45 - 83 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(225175,105581,'Heals group members (AE) for 14 - 27 instantly and every 3 seconds',100,1,2),
(225176,105581,'Increases power of group members (AE) by 5 instantly and every 3 seconds',100,1,3),
(225177,10105581,'Decreases power of target encounter by 19 - 23 instantly and every 3 seconds',100,1,0),
(225178,10105581,'Inflicts 58 - 108 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(225179,10105581,'Heals group members (AE) for 9 - 17 instantly and every 3 seconds',100,1,2),
(225180,10105581,'Increases power of group members (AE) by 5 instantly and every 3 seconds',100,1,3),
(225181,35743,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(225182,113293,'Inflicts 63 - 106 heat damage on target',100,1,0),
(225183,10113293,'Inflicts 125 - 209 heat damage on target',100,1,0),
(225184,111473,'Increases AGI of caster by 25.1',100,1,0),
(225185,111473,'Increases Attack Speed of caster by 21.3',100,1,1),
(225186,111473,'Increases in-combat movement speed of caster by 6.0%',100,1,2),
(225187,111473,'Adds 18.7% to base avoidance.',100,1,3),
(225188,111473,'Increases Mitigation of caster vs physical damage by 227',100,1,4),
(225189,111473,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,5),
(225190,10111473,'Increases AGI of caster by 25.1',100,1,0),
(225191,10111473,'Increases Attack Speed of caster by 21.3',100,1,1),
(225192,10111473,'Increases speed of caster by 6.0%',100,1,2),
(225193,10111473,'Adds 18.7% to base avoidance.',100,1,3),
(225194,10111473,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,4),
(225195,71749,'When Equipped:',100,0,0),
(225196,71749,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225197,71749,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(225198,71749,'Cannot be modified except by direct means',100,2,3),
(225199,10071749,'When Equipped:',100,0,0),
(225200,10071749,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225201,10071749,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(225202,10071749,'Cannot be modified except by direct means',100,2,3),
(225203,102974,'Increases STR and AGI of group members (AE) by 25.8',100,1,0),
(225204,10102974,'Increases STR and AGI of group members (AE) by 25.8',100,1,0),
(225205,176436,'When Equipped:',100,0,0),
(225206,176436,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225207,176436,'Increases Damage Per Second of caster by 10.0',100,2,2),
(225208,176436,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(225209,176436,'Cannot be modified except by direct means',100,2,4),
(225210,176436,'Applies Heroic Resistance X when Equipped.',100,0,5),
(225211,176436,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(225212,176436,'Cannot be modified except by direct means',100,1,7),
(225213,10176436,'When Equipped:',100,0,0),
(225214,10176436,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225215,10176436,'Increases Damage Per Second of caster by 10.0',100,2,2),
(225216,10176436,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(225217,10176436,'Cannot be modified except by direct means',100,2,4),
(225218,10176436,'Applies Heroic Resistance X when Equipped.',100,0,5),
(225219,10176436,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(225220,10176436,'Cannot be modified except by direct means',100,1,7),
(225221,47299,'Applies Shielding of the Faydark  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(225222,47299,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(225223,47299,'Inflicts 7 magic damage on target',100,2,2),
(225224,47299,'Cannot be modified except by direct means',100,2,3),
(225225,10047299,'Applies Shielding of the Faydark  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(225226,10047299,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(225227,10047299,'Inflicts 9 magic damage on target',100,2,2),
(225228,10047299,'Cannot be modified except by direct means',100,2,3),
(225229,24363,'Adds Fae Drake (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(225230,10024363,'Adds Fae Drake (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(225231,101099,'Increases Mitigation of raid and group members (AE) vs arcane damage by 476',100,1,0),
(225232,10101099,'Increases Mitigation of raid and group members (AE) vs arcane damage by 476',100,1,0),
(225233,120925,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(225234,120925,'Inflicts 402 - 492 mental damage on target',100,2,1),
(225235,120925,'Grants a total of 3 triggers of the spell.',100,2,2),
(225236,10120925,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(225237,10120925,'Inflicts 523 - 639 mental damage on target',100,2,1),
(225238,10120925,'Grants a total of 3 triggers of the spell.',100,2,2),
(225239,101475,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(225240,101475,'Increases Mitigation of group members (AE) vs arcane damage by 448',100,1,1),
(225241,10101475,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(225242,10101475,'Increases Mitigation of group members (AE) vs arcane damage by 448',100,1,1),
(225243,112012,'Inflicts 465 - 775 piercing damage on target',100,1,0),
(225244,10112012,'Inflicts 604 - 1007 piercing damage on target',100,1,0),
(225245,71973,'When Equipped:',100,0,0),
(225246,71973,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225247,71973,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(225248,71973,'Cannot be modified except by direct means',100,2,3),
(225249,10071973,'When Equipped:',100,0,0),
(225250,10071973,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225251,10071973,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(225252,10071973,'Cannot be modified except by direct means',100,2,3),
(225253,24297,'Adds Dire Bear (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(225254,10024297,'Adds Dire Bear (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(225255,108907,'Inflicts 1327 heat damage on target',100,1,0),
(225256,108907,'Inflicts 1327 cold damage on target',100,1,1),
(225257,108907,'Slows target by 64.7%',100,1,2),
(225258,10108907,'Inflicts 1725 heat damage on target',100,1,0),
(225259,10108907,'Inflicts 1725 cold damage on target',100,1,1),
(225260,10108907,'Slows target by 64.7%',100,1,2),
(225261,153788,'When Equipped:',100,0,0),
(225262,153788,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle IV on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(225263,153788,'Heals caster for 348 - 425',100,2,2),
(225264,153788,'Increases Mitigation of caster vs physical damage by 495',100,2,3),
(225265,153788,'Must not be engaged in pvp combat',100,2,4),
(225266,153788,'Cannot be modified except by direct means',100,2,5),
(225267,153788,'Must not be engaged in pvp combat',100,1,6),
(225268,10153788,'When Equipped:',100,0,0),
(225269,10153788,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle IV on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(225270,10153788,'Heals caster for 226 - 276',100,2,2),
(225271,10153788,'Increases Mitigation of caster vs physical damage by 495',100,2,3),
(225272,10153788,'Must not be engaged in pvp combat',100,2,4),
(225273,10153788,'Cannot be modified except by direct means',100,2,5),
(225274,10153788,'Must not be engaged in pvp combat',100,1,6),
(225275,101480,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(225276,101480,'Increases Mitigation of group members (AE) vs arcane damage by 431',100,1,1),
(225277,10101480,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(225278,10101480,'Increases Mitigation of group members (AE) vs arcane damage by 431',100,1,1),
(225279,74576,'When Equipped:',100,0,0),
(225280,74576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225281,74576,'Inflicts 208 - 311 magic damage on target',100,2,2),
(225282,74576,'Cannot be modified except by direct means',100,2,3),
(225283,10074576,'When Equipped:',100,0,0),
(225284,10074576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225285,10074576,'Inflicts 270 - 405 magic damage on target',100,2,2),
(225286,10074576,'Cannot be modified except by direct means',100,2,3),
(225287,82509,'When Equipped:',100,0,0),
(225288,82509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225289,82509,'Inflicts 296 - 551 magic damage on target',100,2,2),
(225290,82509,'Cannot be modified except by direct means',100,2,3),
(225291,10082509,'When Equipped:',100,0,0),
(225292,10082509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225293,10082509,'Inflicts 385 - 716 magic damage on target',100,2,2),
(225294,10082509,'Cannot be modified except by direct means',100,2,3),
(225295,46310,'Applies Call Fiery Horse when Activated.',100,0,0),
(225296,46310,'Summons a mount to ride',100,1,1),
(225297,46310,'Increases your ground speed by 130%',100,2,2),
(225298,46310,'Increases Slashing, Aggression, Ranged, Crushing and Piercing of caster by 5.0',100,1,3),
(225299,10046310,'Applies Call Fiery Horse when Activated.',100,0,0),
(225300,10046310,'Summons a mount to ride',100,1,1),
(225301,10046310,'Increases your ground speed by 130%',100,2,2),
(225302,10046310,'Increases Slashing, Aggression, Ranged, Crushing and Piercing of caster by 5.0',100,1,3),
(225303,37012,'Increases Max Health of target by 3.9',100,0,0),
(225304,37012,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(225305,109904,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(225306,109904,'Inflicts 131 - 161 poison damage on target instantly and every 4 seconds',100,2,1),
(225307,10109904,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(225308,10109904,'Inflicts 171 - 209 poison damage on target instantly and every 4 seconds',100,2,1),
(225309,103023,'Inflicts 145 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(225310,103023,'Inflicts 54 - 90 melee damage on target',100,1,1),
(225311,10103023,'Inflicts 188 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(225312,10103023,'Inflicts 70 - 117 melee damage on target',100,1,1),
(225313,75889,'When Equipped:',100,0,0),
(225314,75889,'On a melee hit this spell may cast Enrage on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225315,75889,'Inflicts 367 - 550 heat damage on target',100,2,2),
(225316,75889,'Increases Crit Chance of caster by 8.0',100,2,3),
(225317,75889,'Cannot be modified except by direct means',100,2,4),
(225318,75889,'Cannot be modified except by direct means',100,1,5),
(225319,10075889,'When Equipped:',100,0,0),
(225320,10075889,'On a melee hit this spell may cast Enrage on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225321,10075889,'Inflicts 477 - 715 heat damage on target',100,2,2),
(225322,10075889,'Increases Crit Chance of caster by 8.0',100,2,3),
(225323,10075889,'Cannot be modified except by direct means',100,2,4),
(225324,10075889,'Cannot be modified except by direct means',100,1,5),
(225325,49196,'Applies Ysanna''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(225326,49196,'Heals caster for 125',100,1,1),
(225327,49196,'Heals caster for 62 every 5 seconds',100,1,2),
(225328,10049196,'Applies Ysanna''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(225329,10049196,'Heals caster for 81',100,1,1),
(225330,10049196,'Heals caster for 40 every 5 seconds',100,1,2),
(225331,115822,'Inflicts 36 disease damage on target every 3 seconds',100,1,0),
(225332,115822,'Inflicts 135 - 225 melee damage on target',100,1,1),
(225333,115822,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(225334,115822,'Heals caster for 1.1% of max health instantly and every 3 seconds',100,2,3),
(225335,115822,'This effect cannot be critically applied.',100,3,4),
(225336,115822,'The healing of this spell cannot be modified except by direct means',100,2,5),
(225337,115822,'The healing of this spell cannot be modified except by direct means',100,1,6),
(225338,10115822,'Inflicts 47 disease damage on target every 3 seconds',100,1,0),
(225339,10115822,'Inflicts 176 - 293 melee damage on target',100,1,1),
(225340,10115822,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(225341,10115822,'Heals caster for 0.3% of max health instantly and every 3 seconds',100,2,3),
(225342,10115822,'This effect cannot be critically applied.',100,3,4),
(225343,10115822,'The healing of this spell cannot be modified except by direct means',100,2,5),
(225344,10115822,'The healing of this spell cannot be modified except by direct means',100,1,6),
(225345,119029,'Inflicts 6 - 11 mental damage on target',100,1,0),
(225346,119029,'Decreases power of target by 6 - 11',100,1,1),
(225347,119029,'Increases power of caster by 2 - 4',100,1,2),
(225348,10119029,'Inflicts 8 - 14 mental damage on target',100,1,0),
(225349,10119029,'Decreases power of target by 6 - 11',100,1,1),
(225350,10119029,'Increases power of caster by 2 - 4',100,1,2),
(225351,130304,'When Equipped:',100,0,0),
(225352,130304,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(225353,130304,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(225354,130304,'Decreases Threat to target by 4,441 - 4,908 ',100,2,3),
(225355,130304,'Inflicts 2305 - 2548 mental damage on target',100,2,4),
(225356,130304,'Must not be engaged in pvp combat',100,2,5),
(225357,130304,'Cannot be modified except by direct means',100,2,6),
(225358,130304,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(225359,130304,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(225360,130304,'Inflicts 2305 - 2548 mental damage on target',100,2,9),
(225361,130304,'Must not be engaged in pvp combat',100,2,10),
(225362,130304,'Cannot be modified except by direct means',100,2,11),
(225363,130304,'Cannot be modified except by direct means',100,1,12),
(225364,10130304,'When Equipped:',100,0,0),
(225365,10130304,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(225366,10130304,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(225367,10130304,'Inflicts 2997 - 3312 mental damage on target',100,2,3),
(225368,10130304,'Must not be engaged in pvp combat',100,2,4),
(225369,10130304,'Cannot be modified except by direct means',100,2,5),
(225370,10130304,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(225371,10130304,'Inflicts 2997 - 3312 mental damage on target',100,2,7),
(225372,10130304,'Must not be engaged in pvp combat',100,2,8),
(225373,10130304,'Cannot be modified except by direct means',100,2,9),
(225374,10130304,'Cannot be modified except by direct means',100,1,10),
(225375,106514,'Inflicts 1425 - 2376 melee damage on target',100,1,0),
(225376,106514,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(225377,106514,'If Target is Standard or weaker',100,2,2),
(225378,10106514,'Inflicts 926 - 1544 melee damage on target',100,1,0),
(225379,118422,'Heals target for 708 - 866',100,1,0),
(225380,118422,'Increases Max Health of target by 124.4',100,1,1),
(225381,10118422,'Heals target for 822 - 1004',100,1,0),
(225382,10118422,'Increases Max Health of target by 124.4',100,1,1),
(225383,26598,'When Equipped:',100,0,0),
(225384,26598,'Improves the hate transfer of Converge by up to 5%.',100,1,1),
(225385,26598,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(225386,10026598,'When Equipped:',100,0,0),
(225387,10026598,'Improves the hate transfer of Converge by up to 5%.',100,1,1),
(225388,10026598,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(225389,89273,'When Equipped:',100,0,0),
(225390,89273,'On a critical spell hit this spell may cast Vitality Consumption VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(225391,89273,'Inflicts 1633 - 1805 disease damage on target',100,2,2),
(225392,89273,'Heals caster for 1206 - 1332',100,2,3),
(225393,89273,'Must not be engaged in pvp combat',100,2,4),
(225394,89273,'Cannot be modified except by direct means',100,2,5),
(225395,89273,'On a critical combat hit this spell may cast Vitality Consumption VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(225396,89273,'Inflicts 1633 - 1805 disease damage on target',100,2,7),
(225397,89273,'Heals caster for 1206 - 1332',100,2,8),
(225398,89273,'Must not be engaged in pvp combat',100,2,9),
(225399,89273,'Cannot be modified except by direct means',100,2,10),
(225400,89273,'Must not be engaged in pvp combat',100,1,11),
(225401,10089273,'When Equipped:',100,0,0),
(225402,10089273,'On a critical spell hit this spell may cast Vitality Consumption VIII on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(225403,10089273,'Inflicts 2123 - 2346 disease damage on target',100,2,2),
(225404,10089273,'Heals caster for 784 - 866',100,2,3),
(225405,10089273,'Must not be engaged in pvp combat',100,2,4),
(225406,10089273,'Cannot be modified except by direct means',100,2,5),
(225407,10089273,'On a critical combat hit this spell may cast Vitality Consumption VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(225408,10089273,'Inflicts 2123 - 2346 disease damage on target',100,2,7),
(225409,10089273,'Heals caster for 784 - 866',100,2,8),
(225410,10089273,'Must not be engaged in pvp combat',100,2,9),
(225411,10089273,'Cannot be modified except by direct means',100,2,10),
(225412,10089273,'Must not be engaged in pvp combat',100,1,11),
(225413,80765,'When Equipped:',100,0,0),
(225414,80765,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225415,80765,'Inflicts 203 - 377 magic damage on target',100,2,2),
(225416,80765,'Cannot be modified except by direct means',100,2,3),
(225417,10080765,'When Equipped:',100,0,0),
(225418,10080765,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225419,10080765,'Inflicts 264 - 490 magic damage on target',100,2,2),
(225420,10080765,'Cannot be modified except by direct means',100,2,3),
(225421,112646,'Inflicts 145 - 241 disease damage on target',100,1,0),
(225422,112646,'Inflicts 145 - 241 disease damage on target',100,1,1),
(225423,112646,'Roots target',100,1,2),
(225424,112646,'If Target is not Epic',100,2,3),
(225425,112646,'15% chance to dispel when target takes damage',100,1,4),
(225426,112646,'If weapon equipped in Ranged',100,1,5),
(225427,112646,'Resistibility increases against targets higher than level 73.',100,1,6),
(225428,10112646,'Inflicts 123 - 205 disease damage on target',100,1,0),
(225429,10112646,'Inflicts 123 - 205 disease damage on target',100,1,1),
(225430,10112646,'Roots target',100,1,2),
(225431,10112646,'If Target is not Epic',100,2,3),
(225432,10112646,'15% chance to dispel when target takes damage',100,1,4),
(225433,10112646,'If weapon equipped in Ranged',100,1,5),
(225434,10112646,'Resistibility increases against targets higher than level 73.',100,1,6),
(225435,24478,'Adds Lair of Scale: Doused Hallway Torch to your Dungeon Maker toolbox',100,0,0),
(225436,10024478,'Adds Lair of Scale: Doused Hallway Torch to your Dungeon Maker toolbox',100,0,0),
(225437,36089,'Increases WIS and STA of target by 1.1',100,0,0),
(225438,36089,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(225439,104407,'Inflicts 178 - 218 mental damage on target encounter instantly and every second',100,1,0),
(225440,104407,'Stifles target encounter',100,1,1),
(225441,104407,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(225442,104407,'Resistibility increases against targets higher than level 79.',100,1,3),
(225443,10104407,'Inflicts 216 - 264 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(225444,10104407,'Stifles target encounter',100,1,1),
(225445,10104407,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(225446,10104407,'Resistibility increases against targets higher than level 79.',100,1,3),
(225447,87432,'When Equipped:',100,0,0),
(225448,87432,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225449,87432,'Inflicts 44 - 66 magic damage on target',100,2,2),
(225450,87432,'Cannot be modified except by direct means',100,2,3),
(225451,10087432,'When Equipped:',100,0,0),
(225452,10087432,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225453,10087432,'Inflicts 57 - 85 magic damage on target',100,2,2),
(225454,10087432,'Cannot be modified except by direct means',100,2,3),
(225455,101356,'Reduces physical damage done to caster by 5%',100,1,0),
(225456,101356,'Adds 1.8% to base avoidance.',100,1,1),
(225457,101356,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(225458,101356,'Increases Aggression of caster by 8.1',100,1,3),
(225459,101356,'Increases Defense and Parry of caster by 13.0',100,1,4),
(225460,101356,'Increases Mitigation of caster vs noxious and arcane damage by 79',100,1,5),
(225461,101356,'Increases Mitigation of caster vs elemental damage by 792',100,1,6),
(225462,101356,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(225463,10101356,'Reduces physical damage done to caster by 5%',100,1,0),
(225464,10101356,'Adds 1.8% to base avoidance.',100,1,1),
(225465,10101356,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(225466,10101356,'Increases Aggression of caster by 8.1',100,1,3),
(225467,10101356,'Increases Defense and Parry of caster by 13.0',100,1,4),
(225468,10101356,'Increases Mitigation of caster vs noxious and arcane damage by 79',100,1,5),
(225469,10101356,'Increases Mitigation of caster vs elemental damage by 792',100,1,6),
(225470,10101356,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(225471,115455,'Inflicts 175 - 214 mental damage on target instantly and every 6 seconds',100,1,0),
(225472,115455,'Decreases Mitigation of target vs arcane damage by 980',100,1,1),
(225473,10115455,'Inflicts 228 - 279 mental damage on target instantly and every 6 seconds',100,1,0),
(225474,10115455,'Decreases Mitigation of target vs arcane damage by 980',100,1,1),
(225475,112207,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(225476,112207,'Increases Threat to target by 12 ',100,2,1),
(225477,112207,'Inflicts 9 disease damage on target',100,2,2),
(225478,112207,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 306',100,1,3),
(225479,10112207,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(225480,10112207,'Inflicts 12 disease damage on target',100,2,1),
(225481,10112207,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 306',100,1,2),
(225482,54396,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(225483,54396,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(225484,54396,'Inflicts 52 heat damage on target',100,2,2),
(225485,54396,'Cannot be modified except by direct means',100,2,3),
(225486,10054396,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(225487,10054396,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(225488,10054396,'Inflicts 67 heat damage on target',100,2,2),
(225489,10054396,'Cannot be modified except by direct means',100,2,3),
(225490,120003,'Increases Threat to target by 880 - 1,076 ',100,1,0),
(225491,10120003,'Prevents target from changing targets',100,1,0),
(225492,10120003,'Forces target to change their selected target to caster.',100,1,1),
(225493,40393,'When Equipped:',100,0,0),
(225494,40393,'On a critical combat hit this spell may cast Flying Fist VIII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225495,40393,'Stifles target',100,2,2),
(225496,40393,'If Target is not Epic',100,3,3),
(225497,40393,'Increases Threat to target by 2,375 - 2,625 ',100,2,4),
(225498,40393,'Inflicts 2177 - 2407 heat damage on target',100,2,5),
(225499,40393,'Must not be engaged in pvp combat',100,2,6),
(225500,40393,'Cannot be modified except by direct means',100,2,7),
(225501,40393,'Must not be engaged in pvp combat',100,1,8),
(225502,10040393,'When Equipped:',100,0,0),
(225503,10040393,'On a critical combat hit this spell may cast Flying Fist VIII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225504,10040393,'Stifles target',100,2,2),
(225505,10040393,'If Target is not Epic',100,3,3),
(225506,10040393,'Inflicts 2831 - 3129 heat damage on target',100,2,4),
(225507,10040393,'Must not be engaged in pvp combat',100,2,5),
(225508,10040393,'Cannot be modified except by direct means',100,2,6),
(225509,10040393,'Must not be engaged in pvp combat',100,1,7),
(225510,48149,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(225511,48149,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(225512,48149,'Inflicts 564 poison damage on target instantly and every 4 seconds',100,2,2),
(225513,48149,'Cannot be modified except by direct means',100,2,3),
(225514,48149,'Grants a total of 100 triggers of the spell.',100,2,4),
(225515,10048149,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(225516,10048149,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(225517,10048149,'Inflicts 550 poison damage on target instantly and every 4 seconds',100,2,2),
(225518,10048149,'Cannot be modified except by direct means',100,2,3),
(225519,10048149,'Grants a total of 100 triggers of the spell.',100,2,4),
(225520,103576,'Increases Mitigation of caster vs physical damage by 255',100,1,0),
(225521,10103576,'Increases Mitigation of caster vs physical damage by 255',100,1,0),
(225522,52736,'Applies Sanguine Imbued when Equipped.',100,0,0),
(225523,52736,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(225524,52736,'Inflicts 352 heat damage on target',100,2,2),
(225525,52736,'Cannot be modified except by direct means',100,2,3),
(225526,10052736,'Applies Sanguine Imbued when Equipped.',100,0,0),
(225527,10052736,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(225528,10052736,'Inflicts 457 heat damage on target',100,2,2),
(225529,10052736,'Cannot be modified except by direct means',100,2,3),
(225530,108562,'Makes target afraid',100,1,0),
(225531,108562,'30% chance to dispel when target takes damage',100,1,1),
(225532,108562,'Does not affect Epic targets',100,1,2),
(225533,108562,'Resistibility increases against targets higher than level 95.',100,1,3),
(225534,10108562,'Makes target afraid',100,1,0),
(225535,10108562,'30% chance to dispel when target takes damage',100,1,1),
(225536,10108562,'Does not affect Epic targets',100,1,2),
(225537,10108562,'Resistibility increases against targets higher than level 95.',100,1,3),
(225538,81873,'When Equipped:',100,0,0),
(225539,81873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225540,81873,'Inflicts 164 - 305 magic damage on target',100,2,2),
(225541,81873,'Cannot be modified except by direct means',100,2,3),
(225542,10081873,'When Equipped:',100,0,0),
(225543,10081873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225544,10081873,'Inflicts 213 - 396 magic damage on target',100,2,2),
(225545,10081873,'Cannot be modified except by direct means',100,2,3),
(225546,49185,'Applies Call Ykeshan Spellbear when Activated.',100,0,0),
(225547,49185,'Increases Ability Reuse Speed of caster by 3.0%',100,1,1),
(225548,49185,'Increases Max Power of caster by 250.0',100,1,2),
(225549,49185,'Summons a mount to ride',100,1,3),
(225550,49185,'Increases your ground speed by 130%',100,2,4),
(225551,10049185,'Applies Call Ykeshan Spellbear when Activated.',100,0,0),
(225552,10049185,'Increases Ability Reuse Speed of caster by 3.0%',100,1,1),
(225553,10049185,'Increases Max Power of caster by 250.0',100,1,2),
(225554,10049185,'Summons a mount to ride',100,1,3),
(225555,10049185,'Increases your ground speed by 130%',100,2,4),
(225556,103237,'Reduces physical damage done to caster by 5%',100,1,0),
(225557,103237,'Adds 1.7% to base avoidance.',100,1,1),
(225558,103237,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(225559,103237,'Increases Parry of caster by 14.5',100,1,3),
(225560,103237,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(225561,103237,'Increases Aggression of caster by 10.9',100,1,5),
(225562,103237,'Increases Defense and Deflection of caster by 14.5',100,1,6),
(225563,103237,'Increases Mitigation of caster vs noxious damage by 968',100,1,7),
(225564,103237,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(225565,10103237,'Reduces physical damage done to caster by 5%',100,1,0),
(225566,10103237,'Adds 1.7% to base avoidance.',100,1,1),
(225567,10103237,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(225568,10103237,'Increases Parry of caster by 14.5',100,1,3),
(225569,10103237,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(225570,10103237,'Increases Aggression of caster by 10.9',100,1,5),
(225571,10103237,'Increases Defense and Deflection of caster by 14.5',100,1,6),
(225572,10103237,'Increases Mitigation of caster vs noxious damage by 968',100,1,7),
(225573,10103237,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(225574,113259,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(225575,113259,'Inflicts 82 - 137 magic damage on target',100,2,1),
(225576,113259,'Grants a total of 8 triggers of the spell.',100,2,2),
(225577,10113259,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(225578,10113259,'Inflicts 107 - 178 magic damage on target',100,2,1),
(225579,10113259,'Grants a total of 8 triggers of the spell.',100,2,2),
(225580,159704,'When Equipped:',100,0,0),
(225581,159704,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(225582,159704,'Increases STA of caster by 16.3',100,2,2),
(225583,159704,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(225584,159704,'Cannot be modified except by direct means',100,2,4),
(225585,10159704,'When Equipped:',100,0,0),
(225586,10159704,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(225587,10159704,'Increases STA of caster by 16.3',100,2,2),
(225588,10159704,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(225589,10159704,'Cannot be modified except by direct means',100,2,4),
(225590,35837,'Increases STR of target by 1.5',100,0,0),
(225591,35837,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(225592,112008,'Inflicts 524 - 874 piercing damage on target',100,1,0),
(225593,10112008,'Inflicts 681 - 1136 piercing damage on target',100,1,0),
(225594,124763,'Inflicts 527 - 644 disease damage on target encounter',100,1,0),
(225595,10124763,'Inflicts 685 - 837 disease damage on target encounter',100,1,0),
(225596,119103,'Inflicts 180 - 542 melee damage on targets in area',100,1,0),
(225597,119103,'Inflicts 180 - 542 melee damage on targets in area',100,1,1),
(225598,119103,'Inflicts 180 - 542 melee damage on targets in area',100,1,2),
(225599,119103,'Inflicts 180 - 542 melee damage on targets in area',100,1,3),
(225600,10119103,'Inflicts 235 - 705 melee damage on targets in area',100,1,0),
(225601,10119103,'Inflicts 235 - 705 melee damage on targets in area',100,1,1),
(225602,10119103,'Inflicts 235 - 705 melee damage on targets in area',100,1,2),
(225603,10119103,'Inflicts 235 - 705 melee damage on targets in area',100,1,3),
(225604,154352,'When Equipped:',100,0,0),
(225605,154352,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225606,154352,'Increases Attack Speed of caster by 6.0',100,2,2),
(225607,154352,'Increases Damage Per Second of caster by 9.0',100,2,3),
(225608,154352,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(225609,154352,'Must not be engaged in pvp combat',100,2,5),
(225610,154352,'Cannot be modified except by direct means',100,2,6),
(225611,154352,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(225612,154352,'Cannot be modified except by direct means',100,1,8),
(225613,10154352,'When Equipped:',100,0,0),
(225614,10154352,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225615,10154352,'Increases Attack Speed of caster by 6.0',100,2,2),
(225616,10154352,'Increases Damage Per Second of caster by 9.0',100,2,3),
(225617,10154352,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(225618,10154352,'Must not be engaged in pvp combat',100,2,5),
(225619,10154352,'Cannot be modified except by direct means',100,2,6),
(225620,10154352,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(225621,10154352,'Cannot be modified except by direct means',100,1,8),
(225622,114349,'Increases Attack Speed of group members (AE) by 8.3',100,1,0),
(225623,10114349,'Increases Attack Speed of group members (AE) by 8.3',100,1,0),
(225624,81945,'When Equipped:',100,0,0),
(225625,81945,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(225626,81945,'Inflicts 408 - 757 magic damage on target',100,2,2),
(225627,81945,'Decreases Threat to target by 994 ',100,2,3),
(225628,81945,'Must be flanking or behind',100,3,4),
(225629,81945,'Increases Threat to target by 994 ',100,2,5),
(225630,81945,'Must be in front of',100,3,6),
(225631,81945,'Cannot be modified except by direct means',100,2,7),
(225632,10081945,'When Equipped:',100,0,0),
(225633,10081945,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(225634,10081945,'Inflicts 530 - 984 magic damage on target',100,2,2),
(225635,10081945,'Cannot be modified except by direct means',100,2,3),
(225636,122778,'Heals group members (AE) for 1728 - 2112',100,1,0),
(225637,122778,'Increases Max Health of group members (AE) by 281.8',100,1,1),
(225638,10122778,'Heals group members (AE) for 2022 - 2471',100,1,0),
(225639,10122778,'Increases Max Health of group members (AE) by 281.8',100,1,1),
(225640,154986,'Applies Summon Silence when Activated.  Lasts for 30.0 seconds.',100,0,0),
(225641,154986,'Summons a limited pet to aid the caster',100,1,1),
(225642,154986,'The casting time of Summon Silence is 2.0 seconds and the reuse time of the spell is 15 minutes',100,1,2),
(225643,10154986,'Applies Summon Silence when Activated.  Lasts for 30.0 seconds.',100,0,0),
(225644,10154986,'Summons a limited pet to aid the caster',100,1,1),
(225645,10154986,'The casting time of Summon Silence is 2.0 seconds and the reuse time of the spell is 15 minutes',100,1,2),
(225646,43219,'When Equipped:',100,0,0),
(225647,43219,'On a critical combat hit this spell may cast Vital Exposure IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225648,43219,'Inflicts 49 - 54 disease damage on target instantly and every 2 seconds',100,2,2),
(225649,43219,'Inflicts an additional 4 - 5 disease damage on target every tick',100,2,3),
(225650,43219,'Decreases the target''s physical mitigation over time.',100,2,4),
(225651,43219,'Must not be engaged in pvp combat',100,2,5),
(225652,43219,'Cannot be modified except by direct means',100,2,6),
(225653,43219,'On a critical spell hit this spell may cast Vital Exposure IV on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(225654,43219,'Inflicts 49 - 54 disease damage on target instantly and every 2 seconds',100,2,8),
(225655,43219,'Inflicts an additional 4 - 5 disease damage on target every tick',100,2,9),
(225656,43219,'Decreases the target''s physical mitigation over time.',100,2,10),
(225657,43219,'Must not be engaged in pvp combat',100,2,11),
(225658,43219,'Cannot be modified except by direct means',100,2,12),
(225659,43219,'Must not be engaged in pvp combat',100,1,13),
(225660,10043219,'When Equipped:',100,0,0),
(225661,10043219,'On a critical combat hit this spell may cast Vital Exposure IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225662,10043219,'Inflicts 64 - 70 disease damage on target instantly and every 2 seconds',100,2,2),
(225663,10043219,'Inflicts an additional 4 - 5 disease damage on target every tick',100,2,3),
(225664,10043219,'Decreases the target''s physical mitigation over time.',100,2,4),
(225665,10043219,'Must not be engaged in pvp combat',100,2,5),
(225666,10043219,'Cannot be modified except by direct means',100,2,6),
(225667,10043219,'On a critical spell hit this spell may cast Vital Exposure IV on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(225668,10043219,'Inflicts 64 - 70 disease damage on target instantly and every 2 seconds',100,2,8),
(225669,10043219,'Inflicts an additional 4 - 5 disease damage on target every tick',100,2,9),
(225670,10043219,'Decreases the target''s physical mitigation over time.',100,2,10),
(225671,10043219,'Must not be engaged in pvp combat',100,2,11),
(225672,10043219,'Cannot be modified except by direct means',100,2,12),
(225673,10043219,'Must not be engaged in pvp combat',100,1,13),
(225674,149097,'When Equipped:',100,0,0),
(225675,149097,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(225676,149097,'Heals group members (AE) for 2624',100,2,2),
(225677,149097,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(225678,149097,'Must not be engaged in pvp combat',100,2,4),
(225679,149097,'Cannot be modified except by direct means',100,2,5),
(225680,149097,'Must not be engaged in pvp combat',100,1,6),
(225681,10149097,'When Equipped:',100,0,0),
(225682,10149097,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(225683,10149097,'Heals group members (AE) for 3071',100,2,2),
(225684,10149097,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(225685,10149097,'Must not be engaged in pvp combat',100,2,4),
(225686,10149097,'Cannot be modified except by direct means',100,2,5),
(225687,10149097,'Must not be engaged in pvp combat',100,1,6),
(225688,102342,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(225689,102342,'Increases Damage Per Second of target by 9.4',100,2,1),
(225690,102342,'Increases Attack Speed of target by 9.4',100,2,2),
(225691,102342,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(225692,102342,'Increases Damage Per Second of target by 9.4',100,2,4),
(225693,102342,'Increases Attack Speed of target by 9.4',100,2,5),
(225694,102342,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(225695,102342,'Increases Damage Per Second of target by 9.4',100,2,7),
(225696,102342,'Increases Attack Speed of target by 9.4',100,2,8),
(225697,10102342,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(225698,10102342,'Increases Damage Per Second of target by 9.4',100,2,1),
(225699,10102342,'Increases Attack Speed of target by 9.4',100,2,2),
(225700,10102342,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(225701,10102342,'Increases Damage Per Second of target by 9.4',100,2,4),
(225702,10102342,'Increases Attack Speed of target by 9.4',100,2,5),
(225703,10102342,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(225704,10102342,'Increases Damage Per Second of target by 9.4',100,2,7),
(225705,10102342,'Increases Attack Speed of target by 9.4',100,2,8),
(225706,85690,'Applies Mark of Pestilence when Equipped.',100,0,0),
(225707,10085690,'Applies Mark of Pestilence when Equipped.',100,0,0),
(225708,87104,'When Equipped:',100,0,0),
(225709,87104,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225710,87104,'Inflicts 237 - 356 magic damage on target',100,2,2),
(225711,87104,'Cannot be modified except by direct means',100,2,3),
(225712,10087104,'When Equipped:',100,0,0),
(225713,10087104,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225714,10087104,'Inflicts 308 - 463 magic damage on target',100,2,2),
(225715,10087104,'Cannot be modified except by direct means',100,2,3),
(225716,100485,'Increases Attack Speed of group members (AE) by 8.3',100,1,0),
(225717,10100485,'Increases Attack Speed of group members (AE) by 8.3',100,1,0),
(225718,42201,'When Equipped:',100,0,0),
(225719,42201,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(225720,42201,'Wards caster against 1250 points of all damage',100,2,2),
(225721,42201,'Cannot be modified except by direct means',100,2,3),
(225722,42201,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(225723,42201,'Wards caster against 1250 points of all damage',100,2,5),
(225724,42201,'Cannot be modified except by direct means',100,2,6),
(225725,10042201,'When Equipped:',100,0,0),
(225726,10042201,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(225727,10042201,'Wards caster against 625 points of all damage',100,2,2),
(225728,10042201,'Cannot be modified except by direct means',100,2,3),
(225729,10042201,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(225730,10042201,'Wards caster against 625 points of all damage',100,2,5),
(225731,10042201,'Cannot be modified except by direct means',100,2,6),
(225732,27364,'When Equipped:',100,0,0),
(225733,27364,'Increases Damage Per Second of caster by 2.0',100,1,1),
(225734,10027364,'When Equipped:',100,0,0),
(225735,10027364,'Increases Damage Per Second of caster by 2.0',100,1,1),
(225736,182614,'When Equipped:',100,0,0),
(225737,182614,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(225738,182614,'Inflicts 1265 - 1399 slashing damage on target',100,2,2),
(225739,182614,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,3),
(225740,182614,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,4),
(225741,182614,'Must not be engaged in pvp combat',100,2,5),
(225742,182614,'Cannot be modified except by direct means',100,2,6),
(225743,182614,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(225744,182614,'Inflicts 1265 - 1399 slashing damage on target',100,2,8),
(225745,182614,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,9),
(225746,182614,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,10),
(225747,182614,'Must not be engaged in pvp combat',100,2,11),
(225748,182614,'Cannot be modified except by direct means',100,2,12),
(225749,182614,'This effect will not stack with itself.',100,1,13),
(225750,182614,'Must not be engaged in pvp combat',100,1,14),
(225751,10182614,'When Equipped:',100,0,0),
(225752,10182614,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(225753,10182614,'Inflicts 1645 - 1818 slashing damage on target',100,2,2),
(225754,10182614,'Inflicts 905 - 1000 slashing damage on target every 2 seconds',100,2,3),
(225755,10182614,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,4),
(225756,10182614,'Must not be engaged in pvp combat',100,2,5),
(225757,10182614,'Cannot be modified except by direct means',100,2,6),
(225758,10182614,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(225759,10182614,'Inflicts 1645 - 1818 slashing damage on target',100,2,8),
(225760,10182614,'Inflicts 905 - 1000 slashing damage on target every 2 seconds',100,2,9),
(225761,10182614,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,10),
(225762,10182614,'Must not be engaged in pvp combat',100,2,11),
(225763,10182614,'Cannot be modified except by direct means',100,2,12),
(225764,10182614,'This effect will not stack with itself.',100,1,13),
(225765,10182614,'Must not be engaged in pvp combat',100,1,14),
(225766,110412,'Inflicts 3217 - 5362 disease damage on target',100,1,0),
(225767,10110412,'Inflicts 2868 - 4780 disease damage on target',100,1,0),
(225768,107005,'Inflicts 106 - 178 melee damage on target',100,1,0),
(225769,107005,'Interrupts target',100,1,1),
(225770,107005,'Must be flanking or behind',100,1,2),
(225771,10107005,'Inflicts 139 - 231 melee damage on target',100,1,0),
(225772,10107005,'Interrupts target',100,1,1),
(225773,10107005,'Must be flanking or behind',100,1,2),
(225774,115250,'Heals target for 127',100,1,0),
(225775,115250,'Heals target for 21 every second',100,1,1),
(225776,115250,'Dispels 26 levels of any hostile effects on target',100,1,2),
(225777,10115250,'Heals target for 82',100,1,0),
(225778,10115250,'Heals target for 14 every second',100,1,1),
(225779,10115250,'Dispels 26 levels of any hostile effects on target',100,1,2),
(225780,154626,'When Equipped:',100,0,0),
(225781,154626,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(225782,10154626,'When Equipped:',100,0,0),
(225783,10154626,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(225784,80923,'When Equipped:',100,0,0),
(225785,80923,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225786,80923,'Inflicts 267 - 496 magic damage on target',100,2,2),
(225787,80923,'Cannot be modified except by direct means',100,2,3),
(225788,10080923,'When Equipped:',100,0,0),
(225789,10080923,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225790,10080923,'Inflicts 347 - 644 magic damage on target',100,2,2),
(225791,10080923,'Cannot be modified except by direct means',100,2,3),
(225792,36986,'Increases Max Power of target by 3.3',100,0,0),
(225793,36986,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(225794,46693,'Applies Insect Trap when Activated.',100,0,0),
(225795,46693,'Must be in The Feerrott.',100,1,1),
(225796,46693,'Must not be engaged in combat',100,1,2),
(225797,10046693,'Applies Insect Trap when Activated.',100,0,0),
(225798,10046693,'Must be in The Feerrott.',100,1,1),
(225799,10046693,'Must not be engaged in combat',100,1,2),
(225800,111850,'Inflicts 658 - 1096 melee damage on target',100,1,0),
(225801,111850,'Roots target',100,1,1),
(225802,111850,'If Target is not Epic',100,2,2),
(225803,111850,'Resistibility increases against targets higher than level 118.',100,1,3),
(225804,10111850,'Inflicts 771 - 1285 melee damage on target',100,1,0),
(225805,10111850,'Roots target',100,1,1),
(225806,10111850,'If Target is not Epic',100,2,2),
(225807,10111850,'Resistibility increases against targets higher than level 118.',100,1,3),
(225808,35828,'Increases Max Power of target by 3.3',100,0,0),
(225809,35828,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(225810,104193,'Increases Threat to target encounter by 1,304 - 1,593 ',100,1,0),
(225811,104193,'Interrupts target encounter',100,1,1),
(225812,10104193,'Forces target encounter to change their selected target to caster.',100,1,0),
(225813,10104193,'Interrupts target encounter',100,1,1),
(225814,10104193,'Prevents target encounter from changing targets',100,1,2),
(225815,73277,'Applies Frost Blast when Activated.',100,0,0),
(225816,73277,'Inflicts 418 - 696 cold damage on target',100,1,1),
(225817,73277,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(225818,10073277,'Applies Frost Blast when Activated.',100,0,0),
(225819,10073277,'Inflicts 543 - 905 cold damage on target',100,1,1),
(225820,10073277,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(225821,110822,'Inflicts 94 - 127 mental damage on target',100,1,0),
(225822,110822,'Interrupts target',100,1,1),
(225823,10110822,'Inflicts 122 - 165 mental damage on target',100,1,0),
(225824,10110822,'Interrupts target',100,1,1),
(225825,20526,'When Equipped:',100,0,0),
(225826,20526,'On a ranged hit this spell will cast Tenderwood Sliver on target of attack.  ',100,1,1),
(225827,20526,'Inflicts 19 - 20 piercing damage on target',100,2,2),
(225828,20526,'Cannot be modified except by direct means',100,2,3),
(225829,10020526,'When Equipped:',100,0,0),
(225830,10020526,'On a ranged hit this spell will cast Tenderwood Sliver on target of attack.  ',100,1,1),
(225831,10020526,'Inflicts 24 - 27 piercing damage on target',100,2,2),
(225832,10020526,'Cannot be modified except by direct means',100,2,3),
(225833,24289,'Adds Dire Bear (Fury) to your Dungeon Maker toolbox',100,0,0),
(225834,10024289,'Adds Dire Bear (Fury) to your Dungeon Maker toolbox',100,0,0),
(225835,71658,'When Equipped:',100,0,0),
(225836,71658,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225837,71658,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(225838,71658,'Cannot be modified except by direct means',100,2,3),
(225839,10071658,'When Equipped:',100,0,0),
(225840,10071658,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225841,10071658,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(225842,10071658,'Cannot be modified except by direct means',100,2,3),
(225843,106016,'Inflicts 112 - 137 divine damage on target instantly and every 3 seconds',100,1,0),
(225844,106016,'Decreases Defense of target by 14.9',100,1,1),
(225845,10106016,'Inflicts 97 - 119 divine damage on target instantly and every 3 seconds',100,1,0),
(225846,10106016,'Decreases Defense of target by 14.9',100,1,1),
(225847,122313,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(225848,122313,'Inflicts 536 - 655 mental damage on target',100,2,1),
(225849,122313,'Grants a total of 3 triggers of the spell.',100,2,2),
(225850,10122313,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(225851,10122313,'Inflicts 697 - 852 mental damage on target',100,2,1),
(225852,10122313,'Grants a total of 3 triggers of the spell.',100,2,2),
(225853,122375,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(225854,122375,'Inflicts 83 - 102 piercing damage on target',100,2,1),
(225855,10122375,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(225856,10122375,'Inflicts 108 - 132 piercing damage on target',100,2,1),
(225857,86190,'When Equipped:',100,0,0),
(225858,86190,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(225859,86190,'Inflicts 166 - 277 poison damage on target',100,2,2),
(225860,86190,'Cannot be modified except by direct means',100,2,3),
(225861,10086190,'When Equipped:',100,0,0),
(225862,10086190,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(225863,10086190,'Inflicts 216 - 360 poison damage on target',100,2,2),
(225864,10086190,'Cannot be modified except by direct means',100,2,3),
(225865,171745,'When Equipped:',100,0,0),
(225866,171745,'On a critical healing spell cast this spell may cast Shared Vigor IV on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225867,171745,'Increases Potency of target by 3.5%',100,2,2),
(225868,171745,'Increases Potency of caster by 3.5%',100,2,3),
(225869,171745,'Must not be engaged in pvp combat',100,2,4),
(225870,171745,'Cannot be modified except by direct means',100,2,5),
(225871,171745,'Must not be engaged in pvp combat',100,1,6),
(225872,10171745,'When Equipped:',100,0,0),
(225873,10171745,'On a critical healing spell cast this spell may cast Shared Vigor IV on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(225874,10171745,'Increases Potency of target by 3.5%',100,2,2),
(225875,10171745,'Increases Potency of caster by 3.5%',100,2,3),
(225876,10171745,'Must not be engaged in pvp combat',100,2,4),
(225877,10171745,'Cannot be modified except by direct means',100,2,5),
(225878,10171745,'Must not be engaged in pvp combat',100,1,6),
(225879,82038,'When Equipped:',100,0,0),
(225880,82038,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225881,82038,'Inflicts 191 - 354 magic damage on target',100,2,2),
(225882,82038,'Cannot be modified except by direct means',100,2,3),
(225883,10082038,'When Equipped:',100,0,0),
(225884,10082038,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(225885,10082038,'Inflicts 248 - 460 magic damage on target',100,2,2),
(225886,10082038,'Cannot be modified except by direct means',100,2,3),
(225887,114929,'Inflicts 815 - 1359 melee damage on target',100,1,0),
(225888,114929,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1877',100,1,1),
(225889,114929,'Must be behind',100,1,2),
(225890,10114929,'Inflicts 1060 - 1766 melee damage on target',100,1,0),
(225891,10114929,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 939',100,1,1),
(225892,10114929,'Must be behind',100,1,2),
(225893,105753,'Inflicts 1491 - 2485 melee damage on targets in area',100,1,0),
(225894,105753,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(225895,105753,'Stuns target',100,2,2),
(225896,105753,'Blurs vision of target',100,2,3),
(225897,105753,'Throws target back',100,2,4),
(225898,105753,'Does not affect Epic targets',100,2,5),
(225899,10105753,'Inflicts 1938 - 3231 melee damage on targets in area',100,1,0),
(225900,10105753,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(225901,10105753,'Stuns target',100,2,2),
(225902,10105753,'Blurs vision of target',100,2,3),
(225903,10105753,'Throws target back',100,2,4),
(225904,10105753,'Does not affect Epic targets',100,2,5),
(225905,110712,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(225906,110712,'Heals group members (AE) for 375',100,2,1),
(225907,10110712,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(225908,10110712,'Heals group members (AE) for 244',100,2,1),
(225909,102327,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(225910,102327,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(225911,102327,'Decreases Threat to target encounter by 641 ',100,2,2),
(225912,102327,'Decreases threat priority of target encounter by 1 position',100,2,3),
(225913,102327,'Grants a total of 3 triggers of the spell.',100,2,4),
(225914,102327,'If profession other than Fighter',100,1,5),
(225915,10102327,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(225916,10102327,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(225917,10102327,'Target cannot target caster for the duration of this effect.',100,2,2),
(225918,10102327,'Forces target to clear their selected target.',100,2,3),
(225919,10102327,'Grants a total of 3 triggers of the spell.',100,2,4),
(225920,10102327,'If profession other than Fighter',100,1,5),
(225921,124435,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(225922,124435,'Inflicts 83 - 139 melee damage on target',100,2,1),
(225923,124435,'Decreases Defense of caster by 5.1',100,1,2),
(225924,124435,'Increases Slashing, Piercing, Ranged and Crushing of caster by 10.7',100,1,3),
(225925,10124435,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(225926,10124435,'Inflicts 108 - 181 melee damage on target',100,2,1),
(225927,10124435,'Decreases Defense of caster by 5.1',100,1,2),
(225928,10124435,'Increases Slashing, Piercing, Ranged and Crushing of caster by 10.7',100,1,3),
(225929,159241,'Applies Lambent Imbued when Equipped.',100,0,0),
(225930,159241,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(225931,159241,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(225932,159241,'Cannot be modified except by direct means',100,2,3),
(225933,10159241,'Applies Lambent Imbued when Equipped.',100,0,0),
(225934,10159241,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(225935,10159241,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(225936,10159241,'Cannot be modified except by direct means',100,2,3),
(225937,108640,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(225938,108640,'Increases AGI of target by 30.2',100,2,1),
(225939,108640,'Heals target for 270',100,2,2),
(225940,108640,'Heals target for 67 every 2 seconds',100,2,3),
(225941,108640,'Grants a total of 1 trigger of the spell.',100,2,4),
(225942,10108640,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(225943,10108640,'Increases AGI of target by 30.2',100,2,1),
(225944,10108640,'Heals target for 176',100,2,2),
(225945,10108640,'Heals target for 44 every 2 seconds',100,2,3),
(225946,10108640,'Grants a total of 1 trigger of the spell.',100,2,4),
(225947,48186,'Applies Spirit of the Beholder when Activated.  Lasts for 30 minutes.',100,0,0),
(225948,48186,'Increases Out-of-Combat Power Regeneration of caster by 84.0',100,1,1),
(225949,48186,'Shapechanges caster into a gazer',100,1,2),
(225950,48186,'This effect suspends during combat',100,1,3),
(225951,48186,'Only affects targets level 60 and above',100,1,4),
(225952,10048186,'Applies Spirit of the Beholder when Activated.  Lasts for 30 minutes.',100,0,0),
(225953,10048186,'Increases Out-of-Combat Power Regeneration of caster by 84.0',100,1,1),
(225954,10048186,'Shapechanges caster into a gazer',100,1,2),
(225955,10048186,'This effect suspends during combat',100,1,3),
(225956,10048186,'Only affects targets level 60 and above',100,1,4),
(225957,71361,'When Equipped:',100,0,0),
(225958,71361,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225959,71361,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(225960,71361,'Cannot be modified except by direct means',100,2,3),
(225961,10071361,'When Equipped:',100,0,0),
(225962,10071361,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225963,10071361,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(225964,10071361,'Cannot be modified except by direct means',100,2,3),
(225965,118611,'Roots target',100,1,0),
(225966,118611,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(225967,118611,'Slows target by 42.9%',100,2,2),
(225968,118611,'5% chance to dispel when target receives hostile action',100,2,3),
(225969,118611,'5% chance to dispel when target takes damage',100,2,4),
(225970,118611,'5% chance to dispel when target takes damage',100,1,5),
(225971,118611,'Does not affect Epic targets',100,1,6),
(225972,118611,'Resistibility increases against targets higher than level 105.',100,1,7),
(225973,10118611,'Roots target',100,1,0),
(225974,10118611,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(225975,10118611,'Slows target by 42.9%',100,2,2),
(225976,10118611,'5% chance to dispel when target receives hostile action',100,2,3),
(225977,10118611,'5% chance to dispel when target takes damage',100,2,4),
(225978,10118611,'5% chance to dispel when target takes damage',100,1,5),
(225979,10118611,'Does not affect Epic targets',100,1,6),
(225980,10118611,'Resistibility increases against targets higher than level 105.',100,1,7),
(225981,48738,'Applies Elixir of Longetivity  when Activated.  Lasts for 15 minutes.',100,0,0),
(225982,48738,'Increases Max Health of caster by 86.5',100,1,1),
(225983,10048738,'Applies Elixir of Longetivity  when Activated.  Lasts for 15 minutes.',100,0,0),
(225984,10048738,'Increases Max Health of caster by 86.5',100,1,1),
(225985,123015,'Wards group members (AE) collectively against 2928 total points of all damage',100,1,0),
(225986,10123015,'Wards group members (AE) collectively against 4361 total points of all damage',100,1,0),
(225987,71869,'When Equipped:',100,0,0),
(225988,71869,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225989,71869,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(225990,71869,'Cannot be modified except by direct means',100,2,3),
(225991,10071869,'When Equipped:',100,0,0),
(225992,10071869,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(225993,10071869,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(225994,10071869,'Cannot be modified except by direct means',100,2,3),
(225995,119934,'Stifles target',100,1,0),
(225996,119934,'Inflicts 569 - 696 mental damage on target',100,1,1),
(225997,119934,'Inflicts 190 - 232 mental damage on target every 3 seconds',100,1,2),
(225998,119934,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(225999,119934,'Resistibility increases against targets higher than level 111.',100,1,4),
(226000,10119934,'Stifles target',100,1,0),
(226001,10119934,'Inflicts 740 - 905 mental damage on target',100,1,1),
(226002,10119934,'Inflicts 247 - 302 mental damage on target every second',100,1,2),
(226003,10119934,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(226004,10119934,'Resistibility increases against targets higher than level 111.',100,1,4),
(226005,113381,'Roots target',100,1,0),
(226006,113381,'Applies Stifle.  Lasts for 8.0 seconds.',100,1,1),
(226007,113381,'Stifles target',100,2,2),
(226008,113381,'Blurs vision of target',100,2,3),
(226009,113381,'Dispelled when target takes damage',100,2,4),
(226010,113381,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(226011,113381,'Resistibility increases against targets higher than level 90.',100,2,6),
(226012,113381,'5% chance to dispel when target takes damage',100,1,7),
(226013,113381,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,8),
(226014,113381,'Resistibility increases against targets higher than level 90.',100,1,9),
(226015,10113381,'Roots target',100,1,0),
(226016,10113381,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(226017,10113381,'Stifles target',100,2,2),
(226018,10113381,'Blurs vision of target',100,2,3),
(226019,10113381,'Dispelled when target takes damage',100,2,4),
(226020,10113381,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(226021,10113381,'Resistibility increases against targets higher than level 90.',100,2,6),
(226022,10113381,'5% chance to dispel when target takes damage',100,1,7),
(226023,10113381,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(226024,10113381,'Resistibility increases against targets higher than level 90.',100,1,9),
(226025,81165,'When Equipped:',100,0,0),
(226026,81165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226027,81165,'Inflicts 203 - 377 magic damage on target',100,2,2),
(226028,81165,'Cannot be modified except by direct means',100,2,3),
(226029,10081165,'When Equipped:',100,0,0),
(226030,10081165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226031,10081165,'Inflicts 264 - 490 magic damage on target',100,2,2),
(226032,10081165,'Cannot be modified except by direct means',100,2,3),
(226033,87283,'When Equipped:',100,0,0),
(226034,87283,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226035,87283,'Inflicts 111 - 166 magic damage on target',100,2,2),
(226036,87283,'Cannot be modified except by direct means',100,2,3),
(226037,10087283,'When Equipped:',100,0,0),
(226038,10087283,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226039,10087283,'Inflicts 144 - 216 magic damage on target',100,2,2),
(226040,10087283,'Cannot be modified except by direct means',100,2,3),
(226041,113632,'Interrupts target encounter',100,1,0),
(226042,113632,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 26.4',100,1,1),
(226043,10113632,'Interrupts target encounter',100,1,0),
(226044,10113632,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 26.4',100,1,1),
(226045,135096,'When Equipped:',100,0,0),
(226046,135096,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(226047,135096,'Inflicts 152 - 186 magic damage on target',100,2,2),
(226048,135096,'Cannot be modified except by direct means',100,2,3),
(226049,10135096,'When Equipped:',100,0,0),
(226050,10135096,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(226051,10135096,'Inflicts 198 - 242 magic damage on target',100,2,2),
(226052,10135096,'Cannot be modified except by direct means',100,2,3),
(226053,80952,'When Equipped:',100,0,0),
(226054,80952,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226055,80952,'Inflicts 296 - 551 magic damage on target',100,2,2),
(226056,80952,'Cannot be modified except by direct means',100,2,3),
(226057,10080952,'When Equipped:',100,0,0),
(226058,10080952,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226059,10080952,'Inflicts 385 - 716 magic damage on target',100,2,2),
(226060,10080952,'Cannot be modified except by direct means',100,2,3),
(226061,75457,'When Equipped:',100,0,0),
(226062,75457,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(226063,75457,'Reduces healing received by 15.00%',100,2,2),
(226064,75457,'Cannot be modified except by direct means',100,2,3),
(226065,75457,'This effect can only trigger once every 1 second.',100,2,4),
(226066,75457,'Must be engaged in pvp combat',100,1,5),
(226067,10075457,'When Equipped:',100,0,0),
(226068,10075457,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(226069,10075457,'Reduces healing received by 15.00%',100,2,2),
(226070,10075457,'Cannot be modified except by direct means',100,2,3),
(226071,10075457,'This effect can only trigger once every 1 second.',100,2,4),
(226072,10075457,'Must be engaged in pvp combat',100,1,5),
(226073,117467,'Inflicts 1338 - 2230 melee damage on target',100,1,0),
(226074,117467,'You must be sneaking to use this ability.',100,1,1),
(226075,117467,'Must be flanking or behind',100,1,2),
(226076,10117467,'Inflicts 1078 - 1797 melee damage on target',100,1,0),
(226077,10117467,'You must be sneaking to use this ability.',100,1,1),
(226078,10117467,'Must be flanking or behind',100,1,2),
(226079,120363,'Inflicts 153 - 188 divine damage on target instantly and every 4 seconds',100,1,0),
(226080,120363,'Decreases WIS of target by 67.3',100,1,1),
(226081,10120363,'Inflicts 200 - 244 divine damage on target instantly and every 4 seconds',100,1,0),
(226082,10120363,'Decreases WIS of target by 67.3',100,1,1),
(226083,160941,'When Equipped:',100,0,0),
(226084,160941,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(226085,160941,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,2),
(226086,160941,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(226087,160941,'Must not be engaged in pvp combat',100,2,4),
(226088,160941,'Cannot be modified except by direct means',100,2,5),
(226089,160941,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(226090,160941,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(226091,160941,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,8),
(226092,160941,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(226093,160941,'Must not be engaged in pvp combat',100,2,10),
(226094,160941,'Cannot be modified except by direct means',100,2,11),
(226095,160941,'Cannot be modified except by direct means',100,1,12),
(226096,10160941,'When Equipped:',100,0,0),
(226097,10160941,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(226098,10160941,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,2),
(226099,10160941,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(226100,10160941,'Must not be engaged in pvp combat',100,2,4),
(226101,10160941,'Cannot be modified except by direct means',100,2,5),
(226102,10160941,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(226103,10160941,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(226104,10160941,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,8),
(226105,10160941,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(226106,10160941,'Must not be engaged in pvp combat',100,2,10),
(226107,10160941,'Cannot be modified except by direct means',100,2,11),
(226108,10160941,'Cannot be modified except by direct means',100,1,12),
(226109,36584,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(226110,37390,'Increases STR of target by 1.5',100,0,0),
(226111,37390,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(226112,117406,'Increases Threat to target by 762 ',100,1,0),
(226113,117406,'Inflicts 131 - 395 melee damage on target',100,1,1),
(226114,10117406,'Forces target to change their selected target to caster.',100,1,0),
(226115,10117406,'Inflicts 114 - 343 melee damage on target',100,1,1),
(226116,110158,'Applies Untreated Bleeding on termination.',100,1,0),
(226117,110158,'Inflicts 47 - 78 piercing damage on target',100,2,1),
(226118,110158,'Inflicts 10 - 17 piercing damage on target instantly and every 4 seconds',100,1,2),
(226119,110158,'Inflicts 6 - 11 melee damage on target',100,1,3),
(226120,10110158,'Applies Untreated Bleeding on termination.',100,1,0),
(226121,10110158,'Inflicts 61 - 101 piercing damage on target',100,2,1),
(226122,10110158,'Inflicts 13 - 22 piercing damage on target instantly and every 4 seconds',100,1,2),
(226123,10110158,'Inflicts 8 - 14 melee damage on target',100,1,3),
(226124,118940,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(226125,118940,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',100,1,1),
(226126,118940,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,2),
(226127,10118940,'Increases Max Health of group members (AE) by 677.0',100,1,0),
(226128,10118940,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',100,1,1),
(226129,10118940,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,2),
(226130,72174,'When Equipped:',100,0,0),
(226131,72174,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(226132,72174,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(226133,72174,'Cannot be modified except by direct means',100,2,3),
(226134,10072174,'When Equipped:',100,0,0),
(226135,10072174,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(226136,10072174,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(226137,10072174,'Cannot be modified except by direct means',100,2,3),
(226138,122263,'Makes targets in Area of Effect afraid',100,1,0),
(226139,122263,'If Target is not Epic',100,2,1),
(226140,122263,'Decreases Threat to targets in Area of Effect by 864 ',100,1,2),
(226141,122263,'30% chance to dispel when target takes damage',100,1,3),
(226142,10122263,'Makes targets in Area of Effect afraid',100,1,0),
(226143,10122263,'If Target is not Epic',100,2,1),
(226144,10122263,'Applies Distract.',100,1,2),
(226145,10122263,'Forces target to clear their selected target.',100,2,3),
(226146,10122263,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(226147,10122263,'30% chance to dispel when target takes damage',100,1,5),
(226148,179471,'When Equipped:',100,0,0),
(226149,179471,'When damaged with a melee weapon this spell has a 10% chance to cast Poison Skin on target''s attacker.  ',100,1,1),
(226150,179471,'Inflicts 202 poison damage on target',100,2,2),
(226151,179471,'Cannot be modified except by direct means',100,2,3),
(226152,179471,'On a combat hit this spell may cast Poison Skin on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(226153,179471,'Inflicts 202 poison damage on target',100,2,5),
(226154,179471,'Cannot be modified except by direct means',100,2,6),
(226155,10179471,'When Equipped:',100,0,0),
(226156,10179471,'When damaged with a melee weapon this spell has a 10% chance to cast Poison Skin on target''s attacker.  ',100,1,1),
(226157,10179471,'Inflicts 263 poison damage on target',100,2,2),
(226158,10179471,'Cannot be modified except by direct means',100,2,3),
(226159,10179471,'On a combat hit this spell may cast Poison Skin on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(226160,10179471,'Inflicts 263 poison damage on target',100,2,5),
(226161,10179471,'Cannot be modified except by direct means',100,2,6),
(226162,25291,'When Equipped:',100,0,0),
(226163,25291,'Adds a threat component to Assault VII.',100,1,1),
(226164,25291,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(226165,10025291,'When Equipped:',100,0,0),
(226166,10025291,'Adds a threat component to Assault VII.',100,1,1),
(226167,10025291,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(226168,123228,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(226169,123228,'Increases Mitigation of group members (AE) vs noxious damage by 87',100,1,1),
(226170,10123228,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(226171,10123228,'Increases Mitigation of group members (AE) vs noxious damage by 87',100,1,1),
(226172,117747,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(226173,117747,'Increases Max Health of target by 1,056.6',100,2,1),
(226174,117747,'Heals target for 1800',100,2,2),
(226175,117747,'Grants a total of 1 trigger of the spell.',100,2,3),
(226176,10117747,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(226177,10117747,'Increases Max Health of target by 1,056.6',100,2,1),
(226178,10117747,'Heals target for 1170',100,2,2),
(226179,10117747,'Grants a total of 1 trigger of the spell.',100,2,3),
(226180,36549,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(226181,36549,'This effect suspends during combat',100,0,1),
(226182,123435,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(226183,123435,'Stuns target',100,2,1),
(226184,123435,'Blurs vision of target',100,2,2),
(226185,123435,'Throws target back',100,2,3),
(226186,123435,'Does not affect Epic targets',100,2,4),
(226187,123435,'Inflicts 507 - 1523 melee damage on target',100,1,5),
(226188,10123435,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(226189,10123435,'Stuns target',100,2,1),
(226190,10123435,'Blurs vision of target',100,2,2),
(226191,10123435,'Throws target back',100,2,3),
(226192,10123435,'Does not affect Epic targets',100,2,4),
(226193,10123435,'Inflicts 660 - 1980 melee damage on target',100,1,5),
(226194,105604,'Decreases power of target encounter by 115 - 141 instantly and every 3 seconds',100,1,0),
(226195,105604,'Inflicts 269 - 499 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(226196,105604,'Heals group members (AE) for 93 - 173 instantly and every 3 seconds',100,1,2),
(226197,105604,'Increases power of group members (AE) by 35 instantly and every 3 seconds',100,1,3),
(226198,10105604,'Decreases power of target encounter by 115 - 141 instantly and every 3 seconds',100,1,0),
(226199,10105604,'Inflicts 349 - 649 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(226200,10105604,'Heals group members (AE) for 60 - 112 instantly and every 3 seconds',100,1,2),
(226201,10105604,'Increases power of group members (AE) by 35 instantly and every 3 seconds',100,1,3),
(226202,35811,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(226203,109532,'Inflicts 472 - 577 disease damage on target instantly and every 4 seconds',100,1,0),
(226204,109532,'Decreases Attack Speed of target by 15.0',100,1,1),
(226205,10109532,'Inflicts 614 - 750 disease damage on target instantly and every 4 seconds',100,1,0),
(226206,10109532,'Decreases Attack Speed of target by 15.0',100,1,1),
(226207,87370,'When Equipped:',100,0,0),
(226208,87370,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226209,87370,'Inflicts 150 - 225 magic damage on target',100,2,2),
(226210,87370,'Cannot be modified except by direct means',100,2,3),
(226211,10087370,'When Equipped:',100,0,0),
(226212,10087370,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226213,10087370,'Inflicts 195 - 292 magic damage on target',100,2,2),
(226214,10087370,'Cannot be modified except by direct means',100,2,3),
(226215,138757,'When Equipped:',100,0,0),
(226216,138757,'When a combat art is used this spell has a 9% chance to cast Nathsarian Rage on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(226217,138757,'Increases Damage Per Second of caster by 25.0',100,2,2),
(226218,138757,'Cannot be modified except by direct means',100,2,3),
(226219,138757,'Increases combat art damage by 75.',100,1,4),
(226220,10138757,'When Equipped:',100,0,0),
(226221,10138757,'When a combat art is used this spell has a 9% chance to cast Nathsarian Rage on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(226222,10138757,'Increases Damage Per Second of caster by 25.0',100,2,2),
(226223,10138757,'Cannot be modified except by direct means',100,2,3),
(226224,10138757,'Increases combat art damage by 75.',100,1,4),
(226225,41457,'When Equipped:',100,0,0),
(226226,41457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226227,41457,'Inflicts 63 - 118 magic damage on target',100,2,2),
(226228,41457,'Cannot be modified except by direct means',100,2,3),
(226229,10041457,'When Equipped:',100,0,0),
(226230,10041457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226231,10041457,'Inflicts 82 - 153 magic damage on target',100,2,2),
(226232,10041457,'Cannot be modified except by direct means',100,2,3),
(226233,37513,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(226234,110060,'Summons a pet grim sorcerer',100,1,0),
(226235,10110060,'Summons a pet grim sorcerer',100,1,0),
(226236,123241,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(226237,123241,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(226238,10123241,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(226239,10123241,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(226240,113484,'Inflicts 17 - 28 melee damage on targets in area',100,1,0),
(226241,10113484,'Inflicts 22 - 36 melee damage on targets in area',100,1,0),
(226242,51329,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(226243,51329,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(226244,51329,'Inflicts 82 heat damage on target',100,2,2),
(226245,51329,'Cannot be modified except by direct means',100,2,3),
(226246,10051329,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(226247,10051329,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(226248,10051329,'Inflicts 107 heat damage on target',100,2,2),
(226249,10051329,'Cannot be modified except by direct means',100,2,3),
(226250,177629,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(226251,177629,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(226252,177629,'Inflicts 20 heat damage on target',100,2,2),
(226253,177629,'Cannot be modified except by direct means',100,2,3),
(226254,10177629,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(226255,10177629,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(226256,10177629,'Inflicts 27 heat damage on target',100,2,2),
(226257,10177629,'Cannot be modified except by direct means',100,2,3),
(226258,82415,'When Equipped:',100,0,0),
(226259,82415,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(226260,82415,'Inflicts 302 - 560 magic damage on target',100,2,2),
(226261,82415,'Decreases Threat to target by 949 ',100,2,3),
(226262,82415,'Must be flanking or behind',100,3,4),
(226263,82415,'Increases Threat to target by 949 ',100,2,5),
(226264,82415,'Must be in front of',100,3,6),
(226265,82415,'Cannot be modified except by direct means',100,2,7),
(226266,10082415,'When Equipped:',100,0,0),
(226267,10082415,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(226268,10082415,'Inflicts 392 - 728 magic damage on target',100,2,2),
(226269,10082415,'Cannot be modified except by direct means',100,2,3),
(226270,103179,'Throws target back',100,1,0),
(226271,103179,'If Target is not Epic',100,2,1),
(226272,103179,'Inflicts 349 - 1048 crushing damage on target',100,1,2),
(226273,103179,'Stuns target',100,1,3),
(226274,103179,'If Target is not Epic',100,2,4),
(226275,103179,'Resistibility increases against targets higher than level 118.',100,1,5),
(226276,10103179,'Throws target back',100,1,0),
(226277,10103179,'If Target is not Epic',100,2,1),
(226278,10103179,'Inflicts 454 - 1363 crushing damage on target',100,1,2),
(226279,10103179,'Stuns target',100,1,3),
(226280,10103179,'If Target is not Epic',100,2,4),
(226281,10103179,'Resistibility increases against targets higher than level 118.',100,1,5),
(226282,102988,'Increases STR and AGI of group members (AE) by 95.5',100,1,0),
(226283,10102988,'Increases STR and AGI of group members (AE) by 95.5',100,1,0),
(226284,120508,'Inflicts 449 - 749 melee damage on target',100,1,0),
(226285,120508,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(226286,120508,'Grants stealth to caster',100,2,2),
(226287,120508,'Suspends caster''s movement speed enhancements',100,2,3),
(226288,120508,'Must be flanking or behind',100,1,4),
(226289,10120508,'Inflicts 584 - 974 melee damage on target',100,1,0),
(226290,10120508,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(226291,10120508,'Grants stealth to caster',100,2,2),
(226292,10120508,'Suspends caster''s movement speed enhancements',100,2,3),
(226293,10120508,'Must be flanking or behind',100,1,4),
(226294,27244,'When Equipped:',100,0,0),
(226295,27244,'Increases Attack Speed of caster by 25.  Does not stack with any other haste effect items.',100,1,1),
(226296,10027244,'When Equipped:',100,0,0),
(226297,10027244,'Increases Attack Speed of caster by 25.  Does not stack with any other haste effect items.',100,1,1),
(226298,107048,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(226299,107048,'Inflicts 117 - 195 divine damage on target',100,2,1),
(226300,107048,'Inflicts 117 - 195 divine damage on target',100,2,2),
(226301,107048,'If target is undead',100,3,3),
(226302,10107048,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(226303,10107048,'Inflicts 254 - 423 divine damage on target',100,2,1),
(226304,48546,'Applies Setup Beast Zappers when Activated.',100,0,0),
(226305,48546,'Sets up a pair of beast zappers, designed to dispel certain summoned creatures.  This need only be used once per instance of the zone.',100,1,1),
(226306,48546,'Must be in Miragul''s Planar Shard.',100,1,2),
(226307,48546,'You cannot set these devices up here.',100,1,3),
(226308,10048546,'Applies Setup Beast Zappers when Activated.',100,0,0),
(226309,10048546,'Sets up a pair of beast zappers, designed to dispel certain summoned creatures.  This need only be used once per instance of the zone.',100,1,1),
(226310,10048546,'Must be in Miragul''s Planar Shard.',100,1,2),
(226311,10048546,'You cannot set these devices up here.',100,1,3),
(226312,71710,'When Equipped:',100,0,0),
(226313,71710,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(226314,71710,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(226315,71710,'Cannot be modified except by direct means',100,2,3),
(226316,10071710,'When Equipped:',100,0,0),
(226317,10071710,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(226318,10071710,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(226319,10071710,'Cannot be modified except by direct means',100,2,3),
(226320,36728,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(226321,108346,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(226322,108346,'Increases Mitigation of group members (AE) vs arcane damage by 205',100,1,1),
(226323,10108346,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(226324,10108346,'Increases Mitigation of group members (AE) vs arcane damage by 205',100,1,1),
(226325,46510,'Applies Gnomish Portable Smokescreen when Activated.  Lasts for 15 minutes.',100,0,0),
(226326,46510,'Grants stealth to caster',99,1,1),
(226327,46510,'Suspends caster''s movement speed enhancements',99,1,2),
(226328,46510,'This effect cancels during combat',100,1,3),
(226329,10046510,'Applies Gnomish Portable Smokescreen when Activated.  Lasts for 15 minutes.',100,0,0),
(226330,10046510,'Grants stealth to caster',99,1,1),
(226331,10046510,'Suspends caster''s movement speed enhancements',99,1,2),
(226332,10046510,'This effect cancels during combat',100,1,3),
(226333,104582,'Inflicts 497 - 829 disease damage on target',100,1,0),
(226334,104582,'Decreases WIS of target by 110.7',100,1,1),
(226335,10104582,'Inflicts 646 - 1077 disease damage on target',100,1,0),
(226336,10104582,'Decreases WIS of target by 110.7',100,1,1),
(226337,37348,'Increases AGI and STA of target by 1.1',100,0,0),
(226338,37348,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(226339,110182,'Applies Untreated Bleeding on termination.',100,1,0),
(226340,110182,'Inflicts 494 - 823 piercing damage on target',100,2,1),
(226341,110182,'Inflicts 106 - 176 piercing damage on target instantly and every 4 seconds',100,1,2),
(226342,110182,'Inflicts 70 - 117 melee damage on target',100,1,3),
(226343,10110182,'Applies Untreated Bleeding on termination.',100,1,0),
(226344,10110182,'Inflicts 642 - 1071 piercing damage on target',100,2,1),
(226345,10110182,'Inflicts 138 - 229 piercing damage on target instantly and every 4 seconds',100,1,2),
(226346,10110182,'Inflicts 91 - 152 melee damage on target',100,1,3),
(226347,36454,'Increases STR and WIS of target by 1.1',100,0,0),
(226348,36454,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(226349,102121,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(226350,102121,'Stuns target',100,2,1),
(226351,102121,'Blurs vision of target',100,2,2),
(226352,102121,'Throws target back',100,2,3),
(226353,102121,'Does not affect Epic targets',100,2,4),
(226354,102121,'Inflicts 497 - 829 crushing damage on target',100,1,5),
(226355,10102121,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(226356,10102121,'Stuns target',100,2,1),
(226357,10102121,'Blurs vision of target',100,2,2),
(226358,10102121,'Throws target back',100,2,3),
(226359,10102121,'Does not affect Epic targets',100,2,4),
(226360,10102121,'Inflicts 646 - 1078 crushing damage on target',100,1,5),
(226361,106809,'Decreases AGI and STR of target encounter by 80.5',100,1,0),
(226362,10106809,'Decreases AGI and STR of target encounter by 80.5',100,1,0),
(226363,100038,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(226364,100038,'Inflicts 341 - 568 melee damage on targets in area',100,2,1),
(226365,100038,'Decreases Defense of caster by 27.4',100,1,2),
(226366,100038,'Increases Slashing, Piercing and Crushing of caster by 50.4',100,1,3),
(226367,10100038,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(226368,10100038,'Inflicts 443 - 738 melee damage on targets in area',100,2,1),
(226369,10100038,'Decreases Defense of caster by 27.4',100,1,2),
(226370,10100038,'Increases Slashing, Piercing and Crushing of caster by 50.4',100,1,3),
(226371,115418,'Inflicts 1079 - 1799 melee damage on target',100,1,0),
(226372,115418,'Decreases INT of target by 118.6',100,1,1),
(226373,115418,'You must be sneaking to use this ability.',100,1,2),
(226374,10115418,'Inflicts 1403 - 2338 melee damage on target',100,1,0),
(226375,10115418,'Decreases INT of target by 118.6',100,1,1),
(226376,10115418,'You must be sneaking to use this ability.',100,1,2),
(226377,46419,'Applies Form of the Velium Golem when Activated.',100,0,0),
(226378,46419,'Shapechanges caster into an a Velium Golem',100,1,1),
(226379,10046419,'Applies Form of the Velium Golem when Activated.',100,0,0),
(226380,10046419,'Shapechanges caster into an a Velium Golem',100,1,1),
(226381,191138,'When Equipped:',100,0,0),
(226382,191138,'Increases Attack Speed of caster by 30.0',100,1,1),
(226383,10191138,'When Equipped:',100,0,0),
(226384,10191138,'Increases Attack Speed of caster by 30.0',100,1,1),
(226385,36515,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(226386,36515,'This effect suspends during combat',100,0,1),
(226387,122755,'Heals group members (AE) for 293 - 358',100,1,0),
(226388,122755,'Increases Max Health of group members (AE) by 51.3',100,1,1),
(226389,10122755,'Heals group members (AE) for 343 - 419',100,1,0),
(226390,10122755,'Increases Max Health of group members (AE) by 51.3',100,1,1),
(226391,117158,'Inflicts 24 poison damage on target instantly and every 4 seconds',100,1,0),
(226392,117158,'Decreases WIS of target by 15.8',100,1,1),
(226393,10117158,'Inflicts 31 poison damage on target instantly and every 4 seconds',100,1,0),
(226394,10117158,'Decreases WIS of target by 15.8',100,1,1),
(226395,106977,'Inflicts 1008 - 1872 poison damage on target',100,1,0),
(226396,106977,'Increases power of caster by 65',100,1,1),
(226397,10106977,'Inflicts 1310 - 2434 poison damage on target',100,1,0),
(226398,10106977,'Increases power of caster by 65',100,1,1),
(226399,108077,'Decreases Threat to target by 128 - 213 ',100,1,0),
(226400,10108077,'Forces target to clear their selected target.',100,1,0),
(226401,10108077,'Target cannot target caster for the duration of this effect.',100,1,1),
(226402,74588,'When Equipped:',100,0,0),
(226403,74588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226404,74588,'Inflicts 66 - 99 magic damage on target',100,2,2),
(226405,74588,'Cannot be modified except by direct means',100,2,3),
(226406,10074588,'When Equipped:',100,0,0),
(226407,10074588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226408,10074588,'Inflicts 86 - 129 magic damage on target',100,2,2),
(226409,10074588,'Cannot be modified except by direct means',100,2,3),
(226410,107573,'Dazes target encounter',100,1,0),
(226411,107573,'Inflicts 99 - 121 mental damage on target encounter',100,1,1),
(226412,107573,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,2),
(226413,107573,'Resistibility increases against targets higher than level 40.',100,1,3),
(226414,10107573,'Dazes target encounter',100,1,0),
(226415,10107573,'Inflicts 129 - 157 mental damage on target encounter',100,1,1),
(226416,10107573,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(226417,10107573,'Resistibility increases against targets higher than level 40.',100,1,3),
(226418,48171,'Applies Spirit of the Warrior when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(226419,48171,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(226420,48171,'Inflicts 7 magic damage on target',100,2,2),
(226421,48171,'Cannot be modified except by direct means',100,2,3),
(226422,10048171,'Applies Spirit of the Warrior when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(226423,10048171,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(226424,10048171,'Inflicts 9 magic damage on target',100,2,2),
(226425,10048171,'Cannot be modified except by direct means',100,2,3),
(226426,25950,'When Equipped:',100,0,0),
(226427,25950,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(226428,25950,'Increases power of caster by 28',100,2,2),
(226429,25950,'Cannot be modified except by direct means',100,2,3),
(226430,10025950,'When Equipped:',100,0,0),
(226431,10025950,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(226432,10025950,'Increases power of caster by 28',100,2,2),
(226433,10025950,'Cannot be modified except by direct means',100,2,3),
(226434,71796,'When Equipped:',100,0,0),
(226435,71796,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(226436,71796,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(226437,71796,'Cannot be modified except by direct means',100,2,3),
(226438,10071796,'When Equipped:',100,0,0),
(226439,10071796,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(226440,10071796,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(226441,10071796,'Cannot be modified except by direct means',100,2,3),
(226442,164605,'Applies Unstable Magics when Equipped.',100,0,0),
(226443,164605,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(226444,10164605,'Applies Unstable Magics when Equipped.',100,0,0),
(226445,10164605,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(226446,134993,'When Equipped:',100,0,0),
(226447,134993,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(226448,134993,'Inflicts 1998 cold damage on target encounter',100,2,2),
(226449,134993,'Must not be engaged in pvp combat',100,2,3),
(226450,134993,'Cannot be modified except by direct means',100,2,4),
(226451,134993,'Must not be engaged in pvp combat',100,1,5),
(226452,10134993,'When Equipped:',100,0,0),
(226453,10134993,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(226454,10134993,'Inflicts 1299 cold damage on target encounter',100,2,2),
(226455,10134993,'Must not be engaged in pvp combat',100,2,3),
(226456,10134993,'Cannot be modified except by direct means',100,2,4),
(226457,10134993,'Must not be engaged in pvp combat',100,1,5),
(226458,48826,'Applies Translucent Khalysta''s Restoration when Activated.',100,0,0),
(226459,48826,'Heals caster for 350',100,1,1),
(226460,48826,'Only affects targets level 50 and above',100,1,2),
(226461,10048826,'Applies Translucent Khalysta''s Restoration when Activated.',100,0,0),
(226462,10048826,'Heals caster for 227',100,1,1),
(226463,10048826,'Only affects targets level 50 and above',100,1,2),
(226464,76134,'When Equipped:',100,0,0),
(226465,76134,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(226466,76134,'Inflicts 207 - 253 magic damage on target',100,2,2),
(226467,76134,'Cannot be modified except by direct means',100,2,3),
(226468,10076134,'When Equipped:',100,0,0),
(226469,10076134,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(226470,10076134,'Inflicts 269 - 329 magic damage on target',100,2,2),
(226471,10076134,'Cannot be modified except by direct means',100,2,3),
(226472,115255,'Heals target for 212',100,1,0),
(226473,115255,'Heals target for 35 every second',100,1,1),
(226474,115255,'Dispels 39 levels of any hostile effects on target',100,1,2),
(226475,10115255,'Heals target for 137',100,1,0),
(226476,10115255,'Heals target for 23 every second',100,1,1),
(226477,10115255,'Dispels 39 levels of any hostile effects on target',100,1,2),
(226478,122770,'Heals group members (AE) for 801 - 979',100,1,0),
(226479,122770,'Increases Max Health of group members (AE) by 146.1',100,1,1),
(226480,10122770,'Heals group members (AE) for 937 - 1145',100,1,0),
(226481,10122770,'Increases Max Health of group members (AE) by 146.1',100,1,1),
(226482,117775,'Inflicts 1029 - 1714 divine damage on target',100,1,0),
(226483,10117775,'Inflicts 1337 - 2228 divine damage on target',100,1,0),
(226484,102029,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(226485,102029,'Wards target against 486 points of all damage',100,2,1),
(226486,10102029,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(226487,10102029,'Wards target against 486 points of all damage',100,2,1),
(226488,100808,'Wards target against 1229 points of all damage',100,1,0),
(226489,10100808,'Wards target against 1892 points of all damage',100,1,0),
(226490,117433,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(226491,117433,'Inflicts 325 - 603 melee damage on targets in area',100,2,1),
(226492,117433,'Grants a total of 10 triggers of the spell.',100,2,2),
(226493,10117433,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(226494,10117433,'Inflicts 422 - 784 melee damage on targets in area',100,2,1),
(226495,10117433,'Grants a total of 10 triggers of the spell.',100,2,2),
(226496,119311,'Roots target',100,1,0),
(226497,119311,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(226498,119311,'Slows target by 39.4%',100,2,2),
(226499,119311,'5% chance to dispel when target receives hostile action',100,2,3),
(226500,119311,'5% chance to dispel when target takes damage',100,2,4),
(226501,119311,'15% chance to dispel when target takes damage',100,1,5),
(226502,119311,'Does not affect Epic targets',100,1,6),
(226503,119311,'Resistibility increases against targets higher than level 76.',100,1,7),
(226504,10119311,'Roots target',100,1,0),
(226505,10119311,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(226506,10119311,'Slows target by 39.4%',100,2,2),
(226507,10119311,'5% chance to dispel when target receives hostile action',100,2,3),
(226508,10119311,'5% chance to dispel when target takes damage',100,2,4),
(226509,10119311,'15% chance to dispel when target takes damage',100,1,5),
(226510,10119311,'Does not affect Epic targets',100,1,6),
(226511,10119311,'Resistibility increases against targets higher than level 76.',100,1,7),
(226512,111677,'Inflicts 20 - 24 cold damage on target',100,1,0),
(226513,111677,'Inflicts 20 - 24 cold damage on target',100,1,1),
(226514,111677,'If target is elemental',100,2,2),
(226515,10111677,'Inflicts 22 - 27 cold damage on target',100,1,0),
(226516,45853,'Applies Release the Falcon! when Activated.',100,0,0),
(226517,45853,'This effect cannot be cast during combat',100,1,1),
(226518,10045853,'Applies Release the Falcon! when Activated.',100,0,0),
(226519,10045853,'This effect cannot be cast during combat',100,1,1),
(226520,24537,'Adds Mistmoore: Light Fabric Bolt to your Dungeon Maker toolbox',100,0,0),
(226521,10024537,'Adds Mistmoore: Light Fabric Bolt to your Dungeon Maker toolbox',100,0,0),
(226522,116318,'Stuns target',100,1,0),
(226523,116318,'If Target is not Epic',100,2,1),
(226524,116318,'Inflicts 799 - 977 magic damage on target',100,1,2),
(226525,116318,'Resistibility increases against targets higher than level 87.',100,1,3),
(226526,10116318,'Stuns target',100,1,0),
(226527,10116318,'If Target is not Epic',100,2,1),
(226528,10116318,'Inflicts 1039 - 1270 magic damage on target',100,1,2),
(226529,10116318,'Resistibility increases against targets higher than level 87.',100,1,3),
(226530,118971,'Applies Sacrifice.',100,1,0),
(226531,118971,'Increases power of group members (AE) by 223',100,2,1),
(226532,118971,'Heals group members (AE) for 781',100,2,2),
(226533,118971,'Stuns target',100,1,3),
(226534,10118971,'Applies Sacrifice.',100,1,0),
(226535,10118971,'Heals group members (AE) for 1088',100,2,1),
(226536,10118971,'Increases power of group members (AE) by 223',100,2,2),
(226537,10118971,'Stuns target',100,1,3),
(226538,123099,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(226539,123099,'Roots target',100,2,1),
(226540,123099,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(226541,123099,'Slows target by 65.8%',100,3,3),
(226542,123099,'5% chance to dispel when target receives hostile action',100,3,4),
(226543,123099,'5% chance to dispel when target takes damage',100,3,5),
(226544,123099,'5% chance to dispel when target takes damage',100,2,6),
(226545,123099,'Does not affect Epic targets',100,2,7),
(226546,123099,'Resistibility increases against targets higher than level 114.',100,2,8),
(226547,123099,'Decreases AGI of target encounter by 100.1',100,1,9),
(226548,10123099,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(226549,10123099,'Roots target',100,2,1),
(226550,10123099,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(226551,10123099,'Slows target by 65.8%',100,3,3),
(226552,10123099,'5% chance to dispel when target receives hostile action',100,3,4),
(226553,10123099,'5% chance to dispel when target takes damage',100,3,5),
(226554,10123099,'5% chance to dispel when target takes damage',100,2,6),
(226555,10123099,'Does not affect Epic targets',100,2,7),
(226556,10123099,'Resistibility increases against targets higher than level 114.',100,2,8),
(226557,10123099,'Decreases AGI of target encounter by 100.1',100,1,9),
(226558,104417,'Inflicts 310 - 379 mental damage on target encounter instantly and every second',100,1,0),
(226559,104417,'Stifles target encounter',100,1,1),
(226560,104417,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(226561,104417,'Resistibility increases against targets higher than level 109.',100,1,3),
(226562,10104417,'Inflicts 375 - 459 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(226563,10104417,'Stifles target encounter',100,1,1),
(226564,10104417,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(226565,10104417,'Resistibility increases against targets higher than level 109.',100,1,3),
(226566,159780,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(226567,159780,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(226568,159780,'Inflicts 121 heat damage on target',100,2,2),
(226569,159780,'Cannot be modified except by direct means',100,2,3),
(226570,10159780,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(226571,10159780,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(226572,10159780,'Inflicts 157 heat damage on target',100,2,2),
(226573,10159780,'Cannot be modified except by direct means',100,2,3),
(226574,121013,'Inflicts 79 - 132 poison damage on target instantly and every 4 seconds',100,1,0),
(226575,121013,'Inflicts 317 - 528 poison damage on target',100,1,1),
(226576,10121013,'Inflicts 103 - 172 poison damage on target instantly and every 4 seconds',100,1,0),
(226577,10121013,'Inflicts 412 - 686 poison damage on target',100,1,1),
(226578,115304,'Summons a limited pet to aid the caster',100,1,0),
(226579,10115304,'Summons a limited pet to aid the caster',100,1,0),
(226580,135367,'When Equipped:',100,0,0),
(226581,135367,'Reduces maximum falling speed of caster',100,1,1),
(226582,10135367,'When Equipped:',100,0,0),
(226583,10135367,'Reduces maximum falling speed of caster',100,1,1),
(226584,84029,'Applies Lightning Shock when Activated.',100,0,0),
(226585,84029,'Inflicts 341 - 568 magic damage on target',100,1,1),
(226586,84029,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(226587,10084029,'Applies Lightning Shock when Activated.',100,0,0),
(226588,10084029,'Inflicts 443 - 739 magic damage on target',100,1,1),
(226589,10084029,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(226590,111823,'Inflicts 115 - 192 melee damage on target',100,1,0),
(226591,111823,'Roots target',100,1,1),
(226592,111823,'If Target is not Epic',100,2,2),
(226593,111823,'Resistibility increases against targets higher than level 56.',100,1,3),
(226594,10111823,'Inflicts 135 - 226 melee damage on target',100,1,0),
(226595,10111823,'Roots target',100,1,1),
(226596,10111823,'If Target is not Epic',100,2,2),
(226597,10111823,'Resistibility increases against targets higher than level 56.',100,1,3),
(226598,119647,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(226599,119647,'Stuns target',100,2,1),
(226600,119647,'Blurs vision of target',100,2,2),
(226601,119647,'Throws target back',100,2,3),
(226602,119647,'Does not affect Epic targets',100,2,4),
(226603,119647,'Inflicts 106 - 320 melee damage on target',100,1,5),
(226604,10119647,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(226605,10119647,'Stuns target',100,2,1),
(226606,10119647,'Blurs vision of target',100,2,2),
(226607,10119647,'Throws target back',100,2,3),
(226608,10119647,'Does not affect Epic targets',100,2,4),
(226609,10119647,'Inflicts 138 - 416 melee damage on target',100,1,5),
(226610,108188,'Increases power of caster by 17 instantly and every 4 seconds',100,1,0),
(226611,10108188,'Increases power of caster by 17 instantly and every 4 seconds',100,1,0),
(226612,159299,'Applies Sanguine Imbued when Equipped.',100,0,0),
(226613,159299,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(226614,159299,'Inflicts 48 heat damage on target',100,2,2),
(226615,159299,'Cannot be modified except by direct means',100,2,3),
(226616,10159299,'Applies Sanguine Imbued when Equipped.',100,0,0),
(226617,10159299,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(226618,10159299,'Inflicts 62 heat damage on target',100,2,2),
(226619,10159299,'Cannot be modified except by direct means',100,2,3),
(226620,47172,'Applies Murky Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(226621,47172,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(226622,47172,'Only affects targets level 50 and above',100,1,2),
(226623,10047172,'Applies Murky Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(226624,10047172,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(226625,10047172,'Only affects targets level 50 and above',100,1,2),
(226626,105267,'Increases Threat to target by 1,452 ',100,1,0),
(226627,105267,'Interrupts target',100,1,1),
(226628,105267,'Dispels 176 levels of arcane beneficial effects on target',100,1,2),
(226629,10105267,'Forces target to change their selected target to caster.',100,1,0),
(226630,10105267,'Interrupts target',100,1,1),
(226631,10105267,'Dispels 176 levels of arcane beneficial effects on target',100,1,2),
(226632,87502,'When Equipped:',100,0,0),
(226633,87502,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226634,87502,'Inflicts 107 - 161 magic damage on target',100,2,2),
(226635,87502,'Cannot be modified except by direct means',100,2,3),
(226636,10087502,'When Equipped:',100,0,0),
(226637,10087502,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226638,10087502,'Inflicts 140 - 210 magic damage on target',100,2,2),
(226639,10087502,'Cannot be modified except by direct means',100,2,3),
(226640,47676,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(226641,47676,'Launches a firework when used.',100,1,1),
(226642,10047676,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(226643,10047676,'Launches a firework when used.',100,1,1),
(226644,81501,'When Equipped:',100,0,0),
(226645,81501,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226646,81501,'Inflicts 121 - 225 magic damage on target',100,2,2),
(226647,81501,'Cannot be modified except by direct means',100,2,3),
(226648,10081501,'When Equipped:',100,0,0),
(226649,10081501,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226650,10081501,'Inflicts 157 - 292 magic damage on target',100,2,2),
(226651,10081501,'Cannot be modified except by direct means',100,2,3),
(226652,123614,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(226653,123614,'Increases Defense of target by 26.6',100,1,1),
(226654,10123614,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(226655,10123614,'Increases Defense of target by 26.6',100,1,1),
(226656,122966,'Inflicts 248 - 336 mental damage on target',100,1,0),
(226657,10122966,'Inflicts 323 - 436 mental damage on target',100,1,0),
(226658,89790,'Applies Primal Rumination when Activated.  Lasts for 12.5 seconds.',100,0,0),
(226659,89790,'Increases Potency of caster by 12.5%',100,1,1),
(226660,89790,'On a healing spell cast this spell will cast Primal Rumination on target of spell cast.  ',100,1,2),
(226661,89790,'Dispels 120 levels of any hostile effects on target',100,2,3),
(226662,89790,'Cannot be modified except by direct means',100,2,4),
(226663,89790,'The reuse time of Primal Rumination is 6 minutes',100,1,5),
(226664,10089790,'Applies Primal Rumination when Activated.  Lasts for 12.5 seconds.',100,0,0),
(226665,10089790,'Increases Potency of caster by 12.5%',100,1,1),
(226666,10089790,'On a healing spell cast this spell will cast Primal Rumination on target of spell cast.  ',100,1,2),
(226667,10089790,'Dispels 120 levels of any hostile effects on target',100,2,3),
(226668,10089790,'Cannot be modified except by direct means',100,2,4),
(226669,10089790,'The reuse time of Primal Rumination is 6 minutes',100,1,5),
(226670,82214,'When Equipped:',100,0,0),
(226671,82214,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226672,82214,'Inflicts 43 - 80 magic damage on target',100,2,2),
(226673,82214,'Cannot be modified except by direct means',100,2,3),
(226674,10082214,'When Equipped:',100,0,0),
(226675,10082214,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226676,10082214,'Inflicts 56 - 104 magic damage on target',100,2,2),
(226677,10082214,'Cannot be modified except by direct means',100,2,3),
(226678,114753,'Inflicts 3100 - 5167 melee damage on target',100,1,0),
(226679,114753,'You must be in stealth.',100,1,1),
(226680,10114753,'Inflicts 2401 - 4002 melee damage on target',100,1,0),
(226681,10114753,'You must be in stealth.',100,1,1),
(226682,109975,'Inflicts 766 - 1150 disease damage on targets in Area of Effect',100,1,0),
(226683,109975,'Inflicts 383 - 575 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(226684,109975,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(226685,109975,'Increases Threat to targets in Area of Effect by 2,017 - 2,466  instantly and every 4 seconds thereafter',100,1,3),
(226686,10109975,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(226687,10109975,'Prevents target from changing targets',100,2,1),
(226688,10109975,'Forces target to change their selected target to caster.',100,2,2),
(226689,10109975,'Inflicts 996 - 1494 disease damage on targets in Area of Effect',100,1,3),
(226690,10109975,'Inflicts 498 - 747 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(226691,106444,'Increases Multi Attack Chance of raid and group members (AE) by 6.4',100,1,0),
(226692,10106444,'Increases Multi Attack Chance of raid and group members (AE) by 6.4',100,1,0),
(226693,114835,'Dazes caster',100,1,0),
(226694,114835,'Roots caster',100,1,1),
(226695,114835,'Increases Mitigation of caster vs physical damage by 1556',100,1,2),
(226696,10114835,'Dazes caster',100,1,0),
(226697,10114835,'Roots caster',100,1,1),
(226698,10114835,'Increases Mitigation of caster vs physical damage by 1556',100,1,2),
(226699,123089,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',100,1,0),
(226700,123089,'Roots target',100,2,1),
(226701,123089,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(226702,123089,'Slows target by 42.2%',100,3,3),
(226703,123089,'5% chance to dispel when target receives hostile action',100,3,4),
(226704,123089,'5% chance to dispel when target takes damage',100,3,5),
(226705,123089,'5% chance to dispel when target takes damage',100,2,6),
(226706,123089,'Does not affect Epic targets',100,2,7),
(226707,123089,'Resistibility increases against targets higher than level 90.',100,2,8),
(226708,123089,'Decreases AGI of target encounter by 47.8',100,1,9),
(226709,10123089,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(226710,10123089,'Roots target',100,2,1),
(226711,10123089,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(226712,10123089,'Slows target by 42.2%',100,3,3),
(226713,10123089,'5% chance to dispel when target receives hostile action',100,3,4),
(226714,10123089,'5% chance to dispel when target takes damage',100,3,5),
(226715,10123089,'5% chance to dispel when target takes damage',100,2,6),
(226716,10123089,'Does not affect Epic targets',100,2,7),
(226717,10123089,'Resistibility increases against targets higher than level 90.',100,2,8),
(226718,10123089,'Decreases AGI of target encounter by 47.8',100,1,9),
(226719,106003,'Inflicts 21 - 26 divine damage on target instantly and every 3 seconds',100,1,0),
(226720,106003,'Decreases Defense of target by 3.1',100,1,1),
(226721,10106003,'Inflicts 18 - 22 divine damage on target instantly and every 3 seconds',100,1,0),
(226722,10106003,'Decreases Defense of target by 3.1',100,1,1),
(226723,101552,'Inflicts 6261 - 10435 melee damage on target',100,1,0),
(226724,101552,'You must be stealthed to use this ability',100,1,1),
(226725,10101552,'Inflicts 3825 - 6375 melee damage on target',100,1,0),
(226726,10101552,'You must be stealthed to use this ability',100,1,1),
(226727,122605,'Inflicts 139 - 170 mental damage on target instantly and every 3 seconds',100,1,0),
(226728,122605,'Decreases Mitigation of target vs arcane damage by 826',100,1,1),
(226729,10122605,'Inflicts 181 - 221 mental damage on target instantly and every 3 seconds',100,1,0),
(226730,10122605,'Decreases Mitigation of target vs arcane damage by 826',100,1,1),
(226731,37416,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(226732,188366,'When Equipped:',100,0,0),
(226733,188366,'Increases Attack Speed of caster by 35.0',100,1,1),
(226734,10188366,'When Equipped:',100,0,0),
(226735,10188366,'Increases Attack Speed of caster by 35.0',100,1,1),
(226736,37365,'Increases AGI of target by 1.5',100,0,0),
(226737,37365,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(226738,108539,'Increases AGI and WIS of group members (AE) by 76.2',100,1,0),
(226739,108539,'Adds 1.7% to base avoidance.',100,1,1),
(226740,108539,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,2),
(226741,10108539,'Increases AGI and WIS of group members (AE) by 76.2',100,1,0),
(226742,10108539,'Adds 1.7% to base avoidance.',100,1,1),
(226743,10108539,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,2),
(226744,46315,'Applies Call Fire Spirit when Activated.',100,0,0),
(226745,46315,'Increases Slashing, Aggression, Piercing, Ranged and Crushing of caster by 5.0',100,1,1),
(226746,46315,'Summons a mount to ride',100,1,2),
(226747,46315,'Increases your ground speed by 130%',100,2,3),
(226748,10046315,'Applies Call Fire Spirit when Activated.',100,0,0),
(226749,10046315,'Increases Slashing, Aggression, Piercing, Ranged and Crushing of caster by 5.0',100,1,1),
(226750,10046315,'Summons a mount to ride',100,1,2),
(226751,10046315,'Increases your ground speed by 130%',100,2,3),
(226752,49200,'Applies Extract Air Sample when Activated.',100,0,0),
(226753,49200,'This effect cannot be cast during combat',100,1,1),
(226754,10049200,'Applies Extract Air Sample when Activated.',100,0,0),
(226755,10049200,'This effect cannot be cast during combat',100,1,1),
(226756,117687,'Decreases Mitigation of target vs physical damage by 1186',100,1,0),
(226757,10117687,'Decreases Mitigation of target vs physical damage by 593',100,1,0),
(226758,109059,'Increases Attack Speed of caster by 32.5',100,1,0),
(226759,109059,'Decreases Defense of caster by 23.0',100,1,1),
(226760,109059,'Increases Slashing, Piercing, Crushing and Ranged of caster by 38.0',100,1,2),
(226761,10109059,'Increases Attack Speed of caster by 32.5',100,1,0),
(226762,10109059,'Decreases Defense of caster by 23.0',100,1,1),
(226763,10109059,'Increases Slashing, Piercing, Crushing and Ranged of caster by 38.0',100,1,2),
(226764,100880,'Makes target afraid',100,1,0),
(226765,100880,'30% chance to dispel when target takes damage',100,1,1),
(226766,100880,'Does not affect Epic targets',100,1,2),
(226767,100880,'Resistibility increases against targets higher than level 96.',100,1,3),
(226768,10100880,'Makes target afraid',100,1,0),
(226769,10100880,'30% chance to dispel when target takes damage',100,1,1),
(226770,10100880,'Does not affect Epic targets',100,1,2),
(226771,10100880,'Resistibility increases against targets higher than level 96.',100,1,3),
(226772,123226,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(226773,123226,'Increases Mitigation of group members (AE) vs noxious damage by 105',100,1,1),
(226774,10123226,'Increases Max Power of group members (AE) by 27.7',100,1,0),
(226775,10123226,'Increases Mitigation of group members (AE) vs noxious damage by 105',100,1,1),
(226776,132059,'When Equipped:',100,0,0),
(226777,132059,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(226778,132059,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(226779,132059,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(226780,132059,'Heals caster for 1185 - 1309',100,2,4),
(226781,132059,'Decreases Slashing, Crushing, Ranged and Piercing of target by 22.0',100,2,5),
(226782,132059,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(226783,132059,'Must not be engaged in pvp combat',100,2,7),
(226784,132059,'Cannot be modified except by direct means',100,2,8),
(226785,132059,'Cannot be modified except by direct means',100,1,9),
(226786,10132059,'When Equipped:',100,0,0),
(226787,10132059,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(226788,10132059,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(226789,10132059,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(226790,10132059,'Heals caster for 1386 - 1532',100,2,4),
(226791,10132059,'Decreases Slashing, Crushing, Ranged and Piercing of target by 22.0',100,2,5),
(226792,10132059,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(226793,10132059,'Must not be engaged in pvp combat',100,2,7),
(226794,10132059,'Cannot be modified except by direct means',100,2,8),
(226795,10132059,'Cannot be modified except by direct means',100,1,9),
(226796,106918,'Inflicts 39 - 73 poison damage on target',100,1,0),
(226797,10106918,'Inflicts 51 - 95 poison damage on target',100,1,0),
(226798,103859,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(226799,103859,'Slows target by 35.5%',100,2,1),
(226800,103859,'5% chance to dispel when target receives hostile action',100,2,2),
(226801,103859,'5% chance to dispel when target takes damage',100,2,3),
(226802,103859,'Decreases Mitigation of target vs noxious damage by 703',100,1,4),
(226803,10103859,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(226804,10103859,'Slows target by 35.5%',100,2,1),
(226805,10103859,'5% chance to dispel when target receives hostile action',100,2,2),
(226806,10103859,'5% chance to dispel when target takes damage',100,2,3),
(226807,10103859,'Decreases Mitigation of target vs noxious damage by 703',100,1,4),
(226808,82041,'When Equipped:',100,0,0),
(226809,82041,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226810,82041,'Inflicts 212 - 393 magic damage on target',100,2,2),
(226811,82041,'Cannot be modified except by direct means',100,2,3),
(226812,10082041,'When Equipped:',100,0,0),
(226813,10082041,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226814,10082041,'Inflicts 275 - 511 magic damage on target',100,2,2),
(226815,10082041,'Cannot be modified except by direct means',100,2,3),
(226816,35471,'Increases WIS of target by 1.5',100,0,0),
(226817,35471,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(226818,159158,'Applies Sanguine Imbued when Equipped.',100,0,0),
(226819,159158,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(226820,159158,'Inflicts 215 heat damage on target',100,2,2),
(226821,159158,'Cannot be modified except by direct means',100,2,3),
(226822,10159158,'Applies Sanguine Imbued when Equipped.',100,0,0),
(226823,10159158,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(226824,10159158,'Inflicts 280 heat damage on target',100,2,2),
(226825,10159158,'Cannot be modified except by direct means',100,2,3),
(226826,115394,'Inflicts 123 - 206 melee damage on target',100,1,0),
(226827,115394,'Decreases INT of target by 18.5',100,1,1),
(226828,115394,'You must be sneaking to use this ability.',100,1,2),
(226829,10115394,'Inflicts 160 - 268 melee damage on target',100,1,0),
(226830,10115394,'Decreases INT of target by 18.5',100,1,1),
(226831,10115394,'You must be sneaking to use this ability.',100,1,2),
(226832,114889,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(226833,81768,'When Equipped:',100,0,0),
(226834,81768,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226835,81768,'Inflicts 164 - 305 magic damage on target',100,2,2),
(226836,81768,'Cannot be modified except by direct means',100,2,3),
(226837,10081768,'When Equipped:',100,0,0),
(226838,10081768,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226839,10081768,'Inflicts 213 - 396 magic damage on target',100,2,2),
(226840,10081768,'Cannot be modified except by direct means',100,2,3),
(226841,177690,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(226842,177690,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(226843,177690,'Inflicts 123 heat damage on target',100,2,2),
(226844,177690,'Cannot be modified except by direct means',100,2,3),
(226845,10177690,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(226846,10177690,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(226847,10177690,'Inflicts 160 heat damage on target',100,2,2),
(226848,10177690,'Cannot be modified except by direct means',100,2,3),
(226849,80308,'When Equipped:',100,0,0),
(226850,80308,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226851,80308,'Inflicts 83 - 154 magic damage on target',100,2,2),
(226852,80308,'Cannot be modified except by direct means',100,2,3),
(226853,10080308,'When Equipped:',100,0,0),
(226854,10080308,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(226855,10080308,'Inflicts 108 - 200 magic damage on target',100,2,2),
(226856,10080308,'Cannot be modified except by direct means',100,2,3),
(226857,85534,'When Equipped:',100,0,0),
(226858,85534,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(226859,85534,'Decreases Parry of target encounter by 10.0',100,2,2),
(226860,85534,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,3),
(226861,85534,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(226862,85534,'Decreases Defense of target encounter by 10.0',100,2,5),
(226863,85534,'Must not be engaged in pvp combat',100,2,6),
(226864,85534,'Cannot be modified except by direct means',100,2,7),
(226865,85534,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(226866,85534,'Cannot be modified except by direct means',100,1,9),
(226867,85534,'When Equipped:',100,0,10),
(226868,85534,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,11),
(226869,85534,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(226870,85534,'Inflicts 2369 - 2618 poison damage on target',100,2,13),
(226871,85534,'Heals caster for 1185 - 1309',100,2,14),
(226872,85534,'Decreases Slashing, Crushing, Ranged and Piercing of target by 22.0',100,2,15),
(226873,85534,'Decreases Mitigation of target vs physical damage by 528',100,2,16),
(226874,85534,'Must not be engaged in pvp combat',100,2,17),
(226875,85534,'Cannot be modified except by direct means',100,2,18),
(226876,85534,'Cannot be modified except by direct means',100,1,19),
(226877,10085534,'When Equipped:',100,0,0),
(226878,10085534,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(226879,10085534,'Decreases Parry of target encounter by 10.0',100,2,2),
(226880,10085534,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,3),
(226881,10085534,'Inflicts 1030 - 1139 disease damage on target encounter instantly and every 2 seconds',100,2,4),
(226882,10085534,'Decreases Defense of target encounter by 10.0',100,2,5),
(226883,10085534,'Must not be engaged in pvp combat',100,2,6),
(226884,10085534,'Cannot be modified except by direct means',100,2,7),
(226885,10085534,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,8),
(226886,10085534,'Cannot be modified except by direct means',100,1,9),
(226887,10085534,'When Equipped:',100,0,10),
(226888,10085534,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,11),
(226889,10085534,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(226890,10085534,'Inflicts 3080 - 3404 poison damage on target',100,2,13),
(226891,10085534,'Heals caster for 1386 - 1532',100,2,14),
(226892,10085534,'Decreases Slashing, Crushing, Ranged and Piercing of target by 22.0',100,2,15),
(226893,10085534,'Decreases Mitigation of target vs physical damage by 528',100,2,16),
(226894,10085534,'Must not be engaged in pvp combat',100,2,17),
(226895,10085534,'Cannot be modified except by direct means',100,2,18),
(226896,10085534,'Cannot be modified except by direct means',100,1,19),
(226897,138247,'When Equipped:',100,0,0),
(226898,138247,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(226899,138247,'Heals group members for 987',100,2,2),
(226900,138247,'Cannot be modified except by direct means',100,2,3),
(226901,10138247,'When Equipped:',100,0,0),
(226902,10138247,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(226903,10138247,'Heals group members for 1154',100,2,2),
(226904,10138247,'Cannot be modified except by direct means',100,2,3),
(226905,101459,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(226906,101459,'Increases Mitigation of group members (AE) vs arcane damage by 87',100,1,1),
(226907,10101459,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(226908,10101459,'Increases Mitigation of group members (AE) vs arcane damage by 87',100,1,1),
(226909,115990,'Inflicts 637 - 955 mental damage on target',100,1,0),
(226910,115990,'Stuns target',100,1,1),
(226911,115990,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(226912,115990,'Resistibility increases against targets higher than level 108.',100,1,3),
(226913,10115990,'Inflicts 828 - 1242 mental damage on target',100,1,0),
(226914,10115990,'Stuns target',100,1,1),
(226915,10115990,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(226916,10115990,'Resistibility increases against targets higher than level 108.',100,1,3),
(226917,25876,'When Equipped:',100,0,0),
(226918,25876,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,1),
(226919,25876,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(226920,10025876,'When Equipped:',100,0,0),
(226921,10025876,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,1),
(226922,10025876,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(226923,114219,'Inflicts 12 - 15 mental damage on target',100,1,0),
(226924,114219,'Stuns target',100,1,1),
(226925,114219,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(226926,114219,'Resistibility increases against targets higher than level 31.',100,1,3),
(226927,10114219,'Inflicts 16 - 19 mental damage on target',100,1,0),
(226928,10114219,'Requires not being affected by Mesmerize effects.',100,2,1),
(226929,10114219,'Stuns target',100,1,2),
(226930,10114219,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(226931,10114219,'Resistibility increases against targets higher than level 31.',100,1,4),
(226932,122016,'Inflicts 14 - 23 melee damage on target',100,1,0),
(226933,122016,'Increases Threat to target by 81 - 99 ',100,1,1),
(226934,10122016,'Inflicts 18 - 30 melee damage on target',100,1,0),
(226935,172675,'When Equipped:',100,0,0),
(226936,172675,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(226937,10172675,'When Equipped:',100,0,0),
(226938,10172675,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(226939,103044,'Inflicts 19 magic damage on target instantly and every 4 seconds',100,1,0),
(226940,103044,'Increases power of caster by 7 instantly and every 4 seconds',100,1,1),
(226941,10103044,'Inflicts 25 magic damage on target instantly and every 4 seconds',100,1,0),
(226942,10103044,'Increases power of caster by 7 instantly and every 4 seconds',100,1,1),
(226943,164085,'When Equipped:',100,0,0),
(226944,164085,'Increases Attack Speed of caster by 32.0',100,1,1),
(226945,10164085,'When Equipped:',100,0,0),
(226946,10164085,'Increases Attack Speed of caster by 32.0',100,1,1),
(226947,141722,'When Equipped:',100,0,0),
(226948,141722,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(226949,141722,'Increases STA of caster by 11.9',100,2,2),
(226950,141722,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(226951,141722,'Cannot be modified except by direct means',100,2,4),
(226952,10141722,'When Equipped:',100,0,0),
(226953,10141722,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(226954,10141722,'Increases STA of caster by 11.9',100,2,2),
(226955,10141722,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(226956,10141722,'Cannot be modified except by direct means',100,2,4),
(226957,25338,'When Equipped:',100,0,0),
(226958,25338,'Improves the duration of Bolster by 12 seconds.',100,1,1),
(226959,25338,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(226960,10025338,'When Equipped:',100,0,0),
(226961,10025338,'Improves the duration of Bolster by 12 seconds.',100,1,1),
(226962,10025338,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(226963,159516,'Applies Sanguine Imbued when Equipped.',100,0,0),
(226964,159516,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(226965,159516,'Inflicts 291 heat damage on target',100,2,2),
(226966,159516,'Cannot be modified except by direct means',100,2,3),
(226967,10159516,'Applies Sanguine Imbued when Equipped.',100,0,0),
(226968,10159516,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(226969,10159516,'Inflicts 379 heat damage on target',100,2,2),
(226970,10159516,'Cannot be modified except by direct means',100,2,3),
(226971,159521,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(226972,159521,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(226973,159521,'Heals target for 50 instantly and every 4 seconds',100,2,2),
(226974,159521,'Cannot be modified except by direct means',100,2,3),
(226975,10159521,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(226976,10159521,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(226977,10159521,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(226978,10159521,'Cannot be modified except by direct means',100,2,3),
(226979,108751,'Summons a pet fiery magician',100,1,0),
(226980,10108751,'Summons a pet fiery magician',100,1,0),
(226981,108687,'Inflicts 66 heat damage on target',100,1,0),
(226982,108687,'Inflicts 15 heat damage on target every 4 seconds',100,1,1),
(226983,10108687,'Inflicts 120 heat damage on target',100,1,0),
(226984,10108687,'Inflicts 19 heat damage on target every 4 seconds',100,1,1),
(226985,144950,'When Equipped:',100,0,0),
(226986,144950,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(226987,144950,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,2),
(226988,144950,'Must not be engaged in pvp combat',100,2,3),
(226989,144950,'Cannot be modified except by direct means',100,2,4),
(226990,144950,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(226991,144950,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,6),
(226992,144950,'Must not be engaged in pvp combat',100,2,7),
(226993,144950,'Cannot be modified except by direct means',100,2,8),
(226994,144950,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(226995,144950,'Cannot be modified except by direct means',100,1,10),
(226996,10144950,'When Equipped:',100,0,0),
(226997,10144950,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(226998,10144950,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,2),
(226999,10144950,'Must not be engaged in pvp combat',100,2,3),
(227000,10144950,'Cannot be modified except by direct means',100,2,4),
(227001,10144950,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(227002,10144950,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,6),
(227003,10144950,'Must not be engaged in pvp combat',100,2,7),
(227004,10144950,'Cannot be modified except by direct means',100,2,8),
(227005,10144950,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(227006,10144950,'Cannot be modified except by direct means',100,1,10),
(227007,123013,'Wards group members (AE) collectively against 2091 total points of all damage',100,1,0),
(227008,10123013,'Wards group members (AE) collectively against 3115 total points of all damage',100,1,0),
(227009,25627,'When Equipped:',100,0,0),
(227010,25627,'Improves the hate transfer of Murderous Design IV by 5%.',100,1,1),
(227011,25627,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(227012,10025627,'When Equipped:',100,0,0),
(227013,10025627,'Improves the hate transfer of Murderous Design IV by 5%.',100,1,1),
(227014,10025627,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(227015,46449,'Applies Summon Fully Trained Warwolf when Activated.  Lasts for 20 minutes.',100,0,0),
(227016,46449,'Summons a mount to ride',100,1,1),
(227017,46449,'Increases your ground speed by 60%',100,2,2),
(227018,10046449,'Applies Summon Fully Trained Warwolf when Activated.  Lasts for 20 minutes.',100,0,0),
(227019,10046449,'Summons a mount to ride',100,1,1),
(227020,10046449,'Increases your ground speed by 60%',100,2,2),
(227021,106746,'Heals target for 1337 - 1634',100,1,0),
(227022,10106746,'Heals target for 2830 - 3458',100,1,0),
(227023,100427,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0);
INSERT INTO `item_effects` VALUES
(227024,100427,'Inflicts 116 - 194 slashing damage on target',100,2,1),
(227025,100427,'Increases Threat to target by 284 ',100,2,2),
(227026,100427,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(227027,100427,'Increases Threat to target by 284 ',100,2,4),
(227028,100427,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 928',100,1,5),
(227029,10100427,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(227030,10100427,'Inflicts 151 - 252 slashing damage on target',100,2,1),
(227031,10100427,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(227032,10100427,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 928',100,1,3),
(227033,24416,'Adds Goblin (Brigand) to your Dungeon Maker toolbox',100,0,0),
(227034,10024416,'Adds Goblin (Brigand) to your Dungeon Maker toolbox',100,0,0),
(227035,36131,'Increases STR of target by 1.5',100,0,0),
(227036,36131,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227037,35199,'Increases AGI of target by 1.5',100,0,0),
(227038,35199,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227039,177479,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(227040,177479,'Decreases Attack Speed of target by 12.5',100,1,1),
(227041,177479,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(227042,10177479,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(227043,10177479,'Decreases Attack Speed of target by 12.5',100,1,1),
(227044,10177479,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(227045,185034,'When Equipped:',100,0,0),
(227046,185034,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227047,185034,'Inflicts 1998 cold damage on target encounter',100,2,2),
(227048,185034,'Must not be engaged in pvp combat',100,2,3),
(227049,185034,'Cannot be modified except by direct means',100,2,4),
(227050,185034,'Must not be engaged in pvp combat',100,1,5),
(227051,10185034,'When Equipped:',100,0,0),
(227052,10185034,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227053,10185034,'Inflicts 1299 cold damage on target encounter',100,2,2),
(227054,10185034,'Must not be engaged in pvp combat',100,2,3),
(227055,10185034,'Cannot be modified except by direct means',100,2,4),
(227056,10185034,'Must not be engaged in pvp combat',100,1,5),
(227057,119445,'Inflicts 193 - 322 melee damage on target',100,1,0),
(227058,119445,'Inflicts 140 piercing damage on target instantly and every 4 seconds',100,1,1),
(227059,119445,'Must be flanking or behind',100,1,2),
(227060,10119445,'Inflicts 251 - 419 melee damage on target',100,1,0),
(227061,10119445,'Inflicts 182 piercing damage on target instantly and every 4 seconds',100,1,1),
(227062,10119445,'Must be flanking or behind',100,1,2),
(227063,52770,'Applies Sanguine Imbued when Equipped.',100,0,0),
(227064,52770,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(227065,52770,'Inflicts 164 heat damage on target',100,2,2),
(227066,52770,'Cannot be modified except by direct means',100,2,3),
(227067,10052770,'Applies Sanguine Imbued when Equipped.',100,0,0),
(227068,10052770,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(227069,10052770,'Inflicts 213 heat damage on target',100,2,2),
(227070,10052770,'Cannot be modified except by direct means',100,2,3),
(227071,25861,'When Equipped:',100,0,0),
(227072,25861,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,1),
(227073,25861,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(227074,10025861,'When Equipped:',100,0,0),
(227075,10025861,'Survival Instincts VI will grant the ranger additional armor mitigation.',100,1,1),
(227076,10025861,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(227077,111919,'Inflicts 171 - 285 piercing damage on target',100,1,0),
(227078,111919,'Inflicts 47 - 78 piercing damage on target instantly and every 4 seconds',100,1,1),
(227079,10111919,'Inflicts 304 - 506 piercing damage on target',100,1,0),
(227080,10111919,'Inflicts 101 - 169 piercing damage on target instantly and every 4 seconds',100,1,1),
(227081,103378,'Inflicts 124 - 151 mental damage on target instantly and every 6 seconds',100,1,0),
(227082,103378,'Decreases power of target by 31 instantly and every 6 seconds',100,1,1),
(227083,103378,'Increases power of caster by 99',100,1,2),
(227084,10103378,'Inflicts 161 - 196 mental damage on target instantly and every 6 seconds',100,1,0),
(227085,10103378,'Decreases power of target by 31 instantly and every 6 seconds',100,1,1),
(227086,10103378,'Increases power of caster by 99',100,1,2),
(227087,26716,'When Equipped:',100,0,0),
(227088,26716,'On a critical combat hit this spell may cast Greater  Cerebral Destruction I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227089,26716,'Inflicts 3736 - 4129 mental damage on target',100,2,2),
(227090,26716,'Decreases INT of target by 168.8',100,2,3),
(227091,26716,'Must not be engaged in pvp combat',100,2,4),
(227092,26716,'Cannot be modified except by direct means',100,2,5),
(227093,26716,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(227094,26716,'On a critical spell hit this spell may cast Greater  Cerebral Destruction I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(227095,26716,'Inflicts 3736 - 4129 mental damage on target',100,2,8),
(227096,26716,'Decreases INT of target by 168.8',100,2,9),
(227097,26716,'Must not be engaged in pvp combat',100,2,10),
(227098,26716,'Cannot be modified except by direct means',100,2,11),
(227099,26716,'Must not be engaged in pvp combat',100,1,12),
(227100,10026716,'When Equipped:',100,0,0),
(227101,10026716,'On a critical combat hit this spell may cast Greater  Cerebral Destruction I on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227102,10026716,'Inflicts 4857 - 5368 mental damage on target',100,2,2),
(227103,10026716,'Decreases INT of target by 168.8',100,2,3),
(227104,10026716,'Must not be engaged in pvp combat',100,2,4),
(227105,10026716,'Cannot be modified except by direct means',100,2,5),
(227106,10026716,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(227107,10026716,'On a critical spell hit this spell may cast Greater  Cerebral Destruction I on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(227108,10026716,'Inflicts 4857 - 5368 mental damage on target',100,2,8),
(227109,10026716,'Decreases INT of target by 168.8',100,2,9),
(227110,10026716,'Must not be engaged in pvp combat',100,2,10),
(227111,10026716,'Cannot be modified except by direct means',100,2,11),
(227112,10026716,'Must not be engaged in pvp combat',100,1,12),
(227113,137418,'When Equipped:',100,0,0),
(227114,137418,'Increases Attack Speed of caster by 35.0',100,1,1),
(227115,10137418,'When Equipped:',100,0,0),
(227116,10137418,'Increases Attack Speed of caster by 35.0',100,1,1),
(227117,177589,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(227118,177589,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(227119,177589,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(227120,177589,'Cannot be modified except by direct means',100,2,3),
(227121,10177589,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(227122,10177589,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(227123,10177589,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(227124,10177589,'Cannot be modified except by direct means',100,2,3),
(227125,111535,'Increases Hate Gain of target by 15.6%',100,1,0),
(227126,111535,'Increases Aggression of target by 9.6',100,1,1),
(227127,10111535,'Increases STR of target by 24.6',100,1,0),
(227128,10111535,'Increases Aggression of target by 9.6',100,1,1),
(227129,123952,'Inflicts 15 - 26 melee damage on target',100,1,0),
(227130,123952,'Decreases AGI of target by 5.6',100,1,1),
(227131,123952,'Must be behind',100,1,2),
(227132,10123952,'Inflicts 20 - 33 melee damage on target',100,1,0),
(227133,10123952,'Decreases AGI of target by 5.6',100,1,1),
(227134,10123952,'Must be behind',100,1,2),
(227135,82888,'When Equipped:',100,0,0),
(227136,82888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227137,82888,'Inflicts 315 - 585 magic damage on target',100,2,2),
(227138,82888,'Cannot be modified except by direct means',100,2,3),
(227139,10082888,'When Equipped:',100,0,0),
(227140,10082888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227141,10082888,'Inflicts 409 - 760 magic damage on target',100,2,2),
(227142,10082888,'Cannot be modified except by direct means',100,2,3),
(227143,159528,'Applies Lambent Imbued when Equipped.',100,0,0),
(227144,159528,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(227145,159528,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(227146,159528,'Cannot be modified except by direct means',100,2,3),
(227147,10159528,'Applies Lambent Imbued when Equipped.',100,0,0),
(227148,10159528,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(227149,10159528,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(227150,10159528,'Cannot be modified except by direct means',100,2,3),
(227151,107607,'Dazes target encounter',100,1,0),
(227152,107607,'Inflicts 1131 - 1382 mental damage on target encounter',100,1,1),
(227153,107607,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(227154,107607,'Resistibility increases against targets higher than level 117.',100,1,3),
(227155,10107607,'Dazes target encounter',100,1,0),
(227156,10107607,'Inflicts 1470 - 1797 mental damage on target encounter',100,1,1),
(227157,10107607,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(227158,10107607,'Resistibility increases against targets higher than level 117.',100,1,3),
(227159,71242,'When Equipped:',100,0,0),
(227160,71242,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227161,71242,'Inflicts 1986 poison damage on target',100,2,2),
(227162,71242,'Cannot be modified except by direct means',100,2,3),
(227163,10071242,'When Equipped:',100,0,0),
(227164,10071242,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227165,10071242,'Inflicts 1291 poison damage on target',100,2,2),
(227166,10071242,'Cannot be modified except by direct means',100,2,3),
(227167,117955,'Heals target for 236 - 288',100,1,0),
(227168,117955,'Increases Max Health of target by 32.9',100,1,1),
(227169,10117955,'Heals target for 270 - 330',100,1,0),
(227170,10117955,'Increases Max Health of target by 32.9',100,1,1),
(227171,169963,'When Equipped:',100,0,0),
(227172,169963,'Increases Attack Speed of caster by 50.0',100,1,1),
(227173,169963,'Must not be engaged in pvp combat',100,1,2),
(227174,10169963,'When Equipped:',100,0,0),
(227175,10169963,'Increases Attack Speed of caster by 50.0',100,1,1),
(227176,10169963,'Must not be engaged in pvp combat',100,1,2),
(227177,89445,'When Equipped:',100,0,0),
(227178,89445,'On a melee hit this spell may cast Tepid Deeds on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227179,89445,'Decreases Attack Speed of target by 20.0',100,2,2),
(227180,89445,'Cannot be modified except by direct means',100,2,3),
(227181,10089445,'When Equipped:',100,0,0),
(227182,10089445,'On a melee hit this spell may cast Tepid Deeds on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227183,10089445,'Decreases Attack Speed of target by 20.0',100,2,2),
(227184,10089445,'Cannot be modified except by direct means',100,2,3),
(227185,103471,'Increases In-Combat Power Regeneration of group members (AE) by 9.9',100,1,0),
(227186,10103471,'Increases In-Combat Power Regeneration of group members (AE) by 9.9',100,1,0),
(227187,103162,'Throws target back',100,1,0),
(227188,103162,'If Target is not Epic',100,2,1),
(227189,103162,'Inflicts 129 - 389 crushing damage on target',100,1,2),
(227190,103162,'Stuns target',100,1,3),
(227191,103162,'If Target is not Epic',100,2,4),
(227192,103162,'Resistibility increases against targets higher than level 84.',100,1,5),
(227193,10103162,'Throws target back',100,1,0),
(227194,10103162,'If Target is not Epic',100,2,1),
(227195,10103162,'Inflicts 168 - 506 crushing damage on target',100,1,2),
(227196,10103162,'Stuns target',100,1,3),
(227197,10103162,'If Target is not Epic',100,2,4),
(227198,10103162,'Resistibility increases against targets higher than level 84.',100,1,5),
(227199,119584,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(227200,10119584,'Increases power of caster by 32 instantly and every 4 seconds',100,1,0),
(227201,141868,'When Equipped:',100,0,0),
(227202,141868,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(227203,141868,'Increases STA of caster by 8.8',100,2,2),
(227204,141868,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(227205,141868,'Cannot be modified except by direct means',100,2,4),
(227206,10141868,'When Equipped:',100,0,0),
(227207,10141868,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(227208,10141868,'Increases STA of caster by 8.8',100,2,2),
(227209,10141868,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(227210,10141868,'Cannot be modified except by direct means',100,2,4),
(227211,46846,'Applies Summon Malevolent Disc when Activated.',100,0,0),
(227212,46846,'Increases Subjugation of caster by 5.0',100,1,1),
(227213,46846,'Reduces maximum falling speed of caster',100,1,2),
(227214,46846,'Increases Disruption, Aggression, Ministration, Ordination, Focus, Slashing, Crushing and Piercing of caster by 5.0',100,1,3),
(227215,46846,'Summons a mount to ride',100,1,4),
(227216,46846,'Increases your ground speed by 135%',100,2,5),
(227217,46846,'Increases Ranged of caster by 5.0',100,1,6),
(227218,10046846,'Applies Summon Malevolent Disc when Activated.',100,0,0),
(227219,10046846,'Increases Subjugation of caster by 5.0',100,1,1),
(227220,10046846,'Reduces maximum falling speed of caster',100,1,2),
(227221,10046846,'Increases Disruption, Aggression, Ministration, Ordination, Focus, Slashing, Crushing and Piercing of caster by 5.0',100,1,3),
(227222,10046846,'Summons a mount to ride',100,1,4),
(227223,10046846,'Increases your ground speed by 135%',100,2,5),
(227224,10046846,'Increases Ranged of caster by 5.0',100,1,6),
(227225,106890,'Decreases Threat to targets in Area of Effect by 3,615 ',100,1,0),
(227226,106890,'Stuns targets in Area of Effect',100,1,1),
(227227,106890,'If Target is not Epic',100,2,2),
(227228,10106890,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(227229,10106890,'Applies Distract.',100,1,1),
(227230,10106890,'Forces target to clear their selected target.',100,2,2),
(227231,10106890,'Stuns targets in Area of Effect',100,1,3),
(227232,10106890,'If Target is not Epic',100,2,4),
(227233,80395,'When Equipped:',100,0,0),
(227234,80395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227235,80395,'Inflicts 60 - 112 magic damage on target',100,2,2),
(227236,80395,'Cannot be modified except by direct means',100,2,3),
(227237,10080395,'When Equipped:',100,0,0),
(227238,10080395,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227239,10080395,'Inflicts 78 - 145 magic damage on target',100,2,2),
(227240,10080395,'Cannot be modified except by direct means',100,2,3),
(227241,41463,'When Equipped:',100,0,0),
(227242,41463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227243,41463,'Inflicts 63 - 118 magic damage on target',100,2,2),
(227244,41463,'Cannot be modified except by direct means',100,2,3),
(227245,10041463,'When Equipped:',100,0,0),
(227246,10041463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227247,10041463,'Inflicts 82 - 153 magic damage on target',100,2,2),
(227248,10041463,'Cannot be modified except by direct means',100,2,3),
(227249,109628,'Increases Defense of group members'' pets (AE) by 22.1',100,1,0),
(227250,109628,'Increases Mitigation of group members (AE) vs all damage by 351',100,1,1),
(227251,10109628,'Increases Defense of group members'' pets (AE) by 22.1',100,1,0),
(227252,10109628,'Increases Mitigation of group members (AE) vs all damage by 351',100,1,1),
(227253,105686,'Decreases Damage Per Second of target by 47.3',100,1,0),
(227254,105686,'Inflicts 876 - 1460 melee damage on target',100,1,1),
(227255,105686,'Must be flanking or behind',100,1,2),
(227256,10105686,'Decreases Damage Per Second of target by 47.3',100,1,0),
(227257,10105686,'Inflicts 1139 - 1899 melee damage on target',100,1,1),
(227258,10105686,'Must be flanking or behind',100,1,2),
(227259,108462,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(227260,108462,'Increases Aggression of caster by 4.8',100,1,1),
(227261,108462,'Increases Defense and Parry of caster by 9.6',100,1,2),
(227262,108462,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(227263,10108462,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(227264,10108462,'Increases Aggression of caster by 4.8',100,1,1),
(227265,10108462,'Increases Defense and Parry of caster by 9.6',100,1,2),
(227266,10108462,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(227267,48364,'Applies Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(227268,48364,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(227269,48364,'Only affects targets level 50 and above',100,1,2),
(227270,10048364,'Applies Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(227271,10048364,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(227272,10048364,'Only affects targets level 50 and above',100,1,2),
(227273,175238,'When Equipped:',100,0,0),
(227274,175238,'When damaged with a melee weapon this spell has a 6% chance to cast Reet Shield Dance on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(227275,175238,'Wards caster against 600 points of physical damage',100,2,2),
(227276,175238,'Cannot be modified except by direct means',100,2,3),
(227277,10175238,'When Equipped:',100,0,0),
(227278,10175238,'When damaged with a melee weapon this spell has a 6% chance to cast Reet Shield Dance on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(227279,10175238,'Wards caster against 600 points of physical damage',100,2,2),
(227280,10175238,'Cannot be modified except by direct means',100,2,3),
(227281,26093,'When Equipped:',100,0,0),
(227282,26093,'Adds 10% Double Attack to Fanaticism IV.',100,1,1),
(227283,26093,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(227284,10026093,'When Equipped:',100,0,0),
(227285,10026093,'Adds 10% Double Attack to Fanaticism IV.',100,1,1),
(227286,10026093,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(227287,106908,'Inflicts 1150 - 1917 melee damage on target',100,1,0),
(227288,106908,'Decreases Mitigation of target vs all damage by 5645',100,1,1),
(227289,106908,'Must be behind',100,1,2),
(227290,10106908,'Inflicts 1495 - 2492 melee damage on target',100,1,0),
(227291,10106908,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1764',100,1,1),
(227292,10106908,'Decreases Mitigation of target vs physical damage by 1552',100,1,2),
(227293,10106908,'Must be behind',100,1,3),
(227294,36294,'Increases STR of target by 1.5',100,0,0),
(227295,36294,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227296,121005,'Inflicts 51 - 85 poison damage on target instantly and every 4 seconds',100,1,0),
(227297,121005,'Inflicts 204 - 340 poison damage on target',100,1,1),
(227298,10121005,'Inflicts 66 - 111 poison damage on target instantly and every 4 seconds',100,1,0),
(227299,10121005,'Inflicts 265 - 443 poison damage on target',100,1,1),
(227300,88198,'When Equipped:',100,0,0),
(227301,88198,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227302,88198,'Inflicts 1986 disease damage on target encounter',100,2,2),
(227303,88198,'Must not be engaged in pvp combat',100,2,3),
(227304,88198,'Cannot be modified except by direct means',100,2,4),
(227305,88198,'When Equipped:',100,0,5),
(227306,88198,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(227307,88198,'Inflicts 1986 poison damage on target',100,2,7),
(227308,88198,'Cannot be modified except by direct means',100,2,8),
(227309,10088198,'When Equipped:',100,0,0),
(227310,10088198,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227311,10088198,'Inflicts 1291 disease damage on target encounter',100,2,2),
(227312,10088198,'Must not be engaged in pvp combat',100,2,3),
(227313,10088198,'Cannot be modified except by direct means',100,2,4),
(227314,10088198,'When Equipped:',100,0,5),
(227315,10088198,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(227316,10088198,'Inflicts 1291 poison damage on target',100,2,7),
(227317,10088198,'Cannot be modified except by direct means',100,2,8),
(227318,114427,'Mesmerizes target',100,1,0),
(227319,114427,'Prevents AOE (except when direct) ',100,1,1),
(227320,114427,'Dispelled when target takes damage',100,1,2),
(227321,114427,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(227322,114427,'Resistibility increases against targets higher than level 95.',100,1,4),
(227323,10114427,'Mesmerizes target',100,1,0),
(227324,10114427,'Prevents AOE (except when direct) ',100,1,1),
(227325,10114427,'Dispelled when target takes damage',100,1,2),
(227326,10114427,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(227327,10114427,'Resistibility increases against targets higher than level 95.',100,1,4),
(227328,120881,'Inflicts 297 - 363 mental damage on target',100,1,0),
(227329,120881,'Stifles target',100,1,1),
(227330,120881,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,2),
(227331,120881,'Resistibility increases against targets higher than level 59.',100,1,3),
(227332,10120881,'Inflicts 386 - 472 mental damage on target',100,1,0),
(227333,10120881,'Stifles target',100,1,1),
(227334,10120881,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(227335,10120881,'Resistibility increases against targets higher than level 59.',100,1,3),
(227336,48483,'Applies Thinning Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(227337,48483,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(227338,48483,'Inflicts 101 poison damage on target',100,2,2),
(227339,48483,'Inflicts 266 poison damage on target instantly and every 6 seconds',100,2,3),
(227340,48483,'Cannot be modified except by direct means',100,2,4),
(227341,48483,'Grants a total of 200 triggers of the spell.',100,2,5),
(227342,48483,'Only affects targets level 50 and above',100,1,6),
(227343,10048483,'Applies Thinning Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(227344,10048483,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(227345,10048483,'Inflicts 259 poison damage on target instantly and every 6 seconds',100,2,2),
(227346,10048483,'Inflicts 98 poison damage on target',100,2,3),
(227347,10048483,'Cannot be modified except by direct means',100,2,4),
(227348,10048483,'Grants a total of 200 triggers of the spell.',100,2,5),
(227349,10048483,'Only affects targets level 50 and above',100,1,6),
(227350,36974,'Increases Max Power of target by 3.3',100,0,0),
(227351,36974,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227352,36023,'Increases STR of target by 1.5',100,0,0),
(227353,36023,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227354,80894,'When Equipped:',100,0,0),
(227355,80894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227356,80894,'Inflicts 259 - 481 magic damage on target',100,2,2),
(227357,80894,'Cannot be modified except by direct means',100,2,3),
(227358,10080894,'When Equipped:',100,0,0),
(227359,10080894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227360,10080894,'Inflicts 337 - 625 magic damage on target',100,2,2),
(227361,10080894,'Cannot be modified except by direct means',100,2,3),
(227362,24776,'Adds Yha-Lei (Berserker) to your Dungeon Maker toolbox',100,0,0),
(227363,10024776,'Adds Yha-Lei (Berserker) to your Dungeon Maker toolbox',100,0,0),
(227364,114401,'Mesmerizes target',100,1,0),
(227365,114401,'Prevents AOE (except when direct) ',100,1,1),
(227366,114401,'Dispelled when target takes damage',100,1,2),
(227367,114401,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(227368,114401,'Resistibility increases against targets higher than level 41.',100,1,4),
(227369,10114401,'Mesmerizes target',100,1,0),
(227370,10114401,'Prevents AOE (except when direct) ',100,1,1),
(227371,10114401,'Dispelled when target takes damage',100,1,2),
(227372,10114401,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(227373,10114401,'Resistibility increases against targets higher than level 41.',100,1,4),
(227374,104197,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(227375,10104197,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(227376,115191,'Heals target for 567 - 693',100,1,0),
(227377,10115191,'Heals target for 768 - 938',100,1,0),
(227378,170665,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(227379,170665,'Decreases Attack Speed of target by 17.2',100,1,1),
(227380,170665,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(227381,10170665,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(227382,10170665,'Decreases Attack Speed of target by 17.2',100,1,1),
(227383,10170665,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(227384,104180,'Increases Threat to target encounter by 675 - 825 ',100,1,0),
(227385,104180,'Interrupts target encounter',100,1,1),
(227386,10104180,'Forces target encounter to change their selected target to caster.',100,1,0),
(227387,10104180,'Interrupts target encounter',100,1,1),
(227388,10104180,'Prevents target encounter from changing targets',100,1,2),
(227389,179165,'When Equipped:',100,0,0),
(227390,179165,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(227391,10179165,'When Equipped:',100,0,0),
(227392,10179165,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(227393,46739,'Applies Call Kelethin Courser when Activated.',100,0,0),
(227394,46739,'Summons a mount to ride',100,1,1),
(227395,46739,'Increases your ground speed by 130%',100,2,2),
(227396,10046739,'Applies Call Kelethin Courser when Activated.',100,0,0),
(227397,10046739,'Summons a mount to ride',100,1,1),
(227398,10046739,'Increases your ground speed by 130%',100,2,2),
(227399,184809,'When Equipped:',100,0,0),
(227400,184809,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(227401,10184809,'When Equipped:',100,0,0),
(227402,10184809,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(227403,114054,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(227404,114054,'Grants stealth to caster',100,2,1),
(227405,114054,'Suspends caster''s movement speed enhancements',100,2,2),
(227406,114054,'Inflicts 106 - 178 melee damage on target',100,1,3),
(227407,114054,'Must be flanking or behind',100,1,4),
(227408,10114054,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(227409,10114054,'Grants stealth to caster',100,2,1),
(227410,10114054,'Suspends caster''s movement speed enhancements',100,2,2),
(227411,10114054,'Inflicts 208 - 347 melee damage on target',100,1,3),
(227412,10114054,'Must be flanking or behind',100,1,4),
(227413,116571,'Inflicts 42 - 70 divine damage on target',100,1,0),
(227414,10116571,'Inflicts 54 - 91 divine damage on target',100,1,0),
(227415,109582,'Makes target afraid',100,1,0),
(227416,109582,'30% chance to dispel when target takes damage',100,1,1),
(227417,109582,'Does not affect Epic targets',100,1,2),
(227418,109582,'Resistibility increases against targets higher than level 97.',100,1,3),
(227419,10109582,'Makes target afraid',100,1,0),
(227420,10109582,'30% chance to dispel when target takes damage',100,1,1),
(227421,10109582,'Does not affect Epic targets',100,1,2),
(227422,10109582,'Resistibility increases against targets higher than level 97.',100,1,3),
(227423,124528,'Dispels 30 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(227424,10124528,'Dispels 30 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(227425,45433,'Applies Brown Two Tone Warg with Red Armor when Activated.',100,0,0),
(227426,45433,'Increases Crushing of caster by 7.0',100,1,1),
(227427,45433,'Increases damage done by spells and combat arts by up to 50.',100,1,2),
(227428,45433,'Increases Disruption, Slashing and Ranged of caster by 7.0',100,1,3),
(227429,45433,'Summons a mount to ride',100,1,4),
(227430,45433,'Increases your ground speed by 130%',100,2,5),
(227431,45433,'Increases Piercing of caster by 7.0',100,1,6),
(227432,10045433,'Applies Brown Two Tone Warg with Red Armor when Activated.',100,0,0),
(227433,10045433,'Increases Crushing of caster by 7.0',100,1,1),
(227434,10045433,'Increases damage done by spells and combat arts by up to 50.',100,1,2),
(227435,10045433,'Increases Disruption, Slashing and Ranged of caster by 7.0',100,1,3),
(227436,10045433,'Summons a mount to ride',100,1,4),
(227437,10045433,'Increases your ground speed by 130%',100,2,5),
(227438,10045433,'Increases Piercing of caster by 7.0',100,1,6),
(227439,46760,'Applies Djinn''s Blessing when Activated.',100,0,0),
(227440,46760,'The caster is granted a beneficial effect from a benevolent djinn.',100,1,1),
(227441,10046760,'Applies Djinn''s Blessing when Activated.',100,0,0),
(227442,10046760,'The caster is granted a beneficial effect from a benevolent djinn.',100,1,1),
(227443,107714,'Inflicts 625 - 1042 heat damage on target',100,1,0),
(227444,107714,'You must be sneaking to use this ability.',100,1,1),
(227445,10107714,'Inflicts 813 - 1355 heat damage on target',100,1,0),
(227446,10107714,'You must be sneaking to use this ability.',100,1,1),
(227447,110164,'Applies Untreated Bleeding on termination.',100,1,0),
(227448,110164,'Inflicts 156 - 260 piercing damage on target',100,2,1),
(227449,110164,'Inflicts 33 - 56 piercing damage on target instantly and every 4 seconds',100,1,2),
(227450,110164,'Inflicts 22 - 37 melee damage on target',100,1,3),
(227451,10110164,'Applies Untreated Bleeding on termination.',100,1,0),
(227452,10110164,'Inflicts 203 - 339 piercing damage on target',100,2,1),
(227453,10110164,'Inflicts 44 - 73 piercing damage on target instantly and every 4 seconds',100,1,2),
(227454,10110164,'Inflicts 29 - 48 melee damage on target',100,1,3),
(227455,119669,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(227456,119669,'Blurs vision of target',100,2,1),
(227457,119669,'Stuns target',100,2,2),
(227458,119669,'Throws target back',100,2,3),
(227459,119669,'Does not affect Epic targets',100,2,4),
(227460,119669,'Inflicts 331 - 995 melee damage on target',100,1,5),
(227461,10119669,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(227462,10119669,'Stuns target',100,2,1),
(227463,10119669,'Blurs vision of target',100,2,2),
(227464,10119669,'Throws target back',100,2,3),
(227465,10119669,'Does not affect Epic targets',100,2,4),
(227466,10119669,'Inflicts 431 - 1293 melee damage on target',100,1,5),
(227467,37171,'Increases AGI and STA of target by 1.1',100,0,0),
(227468,37171,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227469,103616,'Increases STR of raid and group members (AE) by 8.4',100,1,0),
(227470,103616,'Improves the base amount of taunts by 14%.',100,1,1),
(227471,103616,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(227472,103616,'Increases AGI of raid and group members (AE) by 8.4',100,1,3),
(227473,103616,'Adds 1.4% to base avoidance.',100,1,4),
(227474,10103616,'Increases STR of raid and group members (AE) by 8.4',100,1,0),
(227475,10103616,'Improves the base amount of taunts by 14%.',100,1,1),
(227476,10103616,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(227477,10103616,'Increases AGI of raid and group members (AE) by 8.4',100,1,3),
(227478,10103616,'Adds 1.4% to base avoidance.',100,1,4),
(227479,72266,'When Equipped:',100,0,0),
(227480,72266,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227481,72266,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(227482,72266,'Cannot be modified except by direct means',100,2,3),
(227483,10072266,'When Equipped:',100,0,0),
(227484,10072266,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227485,10072266,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(227486,10072266,'Cannot be modified except by direct means',100,2,3),
(227487,111107,'Heals target for 17.1 - 20.9% of max health',100,1,0),
(227488,111107,'This effect cannot be critically applied.',100,2,1),
(227489,111107,'Increases Mitigation of target vs physical damage by 234',100,1,2),
(227490,111107,'The healing of this spell cannot be modified except by direct means',100,1,3),
(227491,10111107,'Heals target for 6.4 - 7.8% of max health',100,1,0),
(227492,10111107,'This effect cannot be critically applied.',100,2,1),
(227493,10111107,'Increases Mitigation of target vs physical damage by 234',100,1,2),
(227494,10111107,'The healing of this spell cannot be modified except by direct means',100,1,3),
(227495,80257,'When Equipped:',100,0,0),
(227496,80257,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227497,80257,'Inflicts 234 - 434 magic damage on target',100,2,2),
(227498,80257,'Cannot be modified except by direct means',100,2,3),
(227499,10080257,'When Equipped:',100,0,0),
(227500,10080257,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227501,10080257,'Inflicts 304 - 564 magic damage on target',100,2,2),
(227502,10080257,'Cannot be modified except by direct means',100,2,3),
(227503,82027,'When Equipped:',100,0,0),
(227504,82027,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(227505,82027,'Inflicts 212 - 393 magic damage on target',100,2,2),
(227506,82027,'Decreases Threat to target by 641 ',100,2,3),
(227507,82027,'Must be flanking or behind',100,3,4),
(227508,82027,'Increases Threat to target by 641 ',100,2,5),
(227509,82027,'Must be in front of',100,3,6),
(227510,82027,'Cannot be modified except by direct means',100,2,7),
(227511,10082027,'When Equipped:',100,0,0),
(227512,10082027,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(227513,10082027,'Inflicts 275 - 511 magic damage on target',100,2,2),
(227514,10082027,'Cannot be modified except by direct means',100,2,3),
(227515,82885,'When Equipped:',100,0,0),
(227516,82885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227517,82885,'Inflicts 350 - 650 magic damage on target',100,2,2),
(227518,82885,'Cannot be modified except by direct means',100,2,3),
(227519,10082885,'When Equipped:',100,0,0),
(227520,10082885,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227521,10082885,'Inflicts 455 - 845 magic damage on target',100,2,2),
(227522,10082885,'Cannot be modified except by direct means',100,2,3),
(227523,108855,'Inflicts 216 - 361 melee damage on target',100,1,0),
(227524,108855,'Inflicts 216 - 361 melee damage on target',100,1,1),
(227525,108855,'Inflicts 216 - 361 melee damage on target',100,1,2),
(227526,108855,'Inflicts 216 - 361 melee damage on target',100,1,3),
(227527,108855,'Inflicts 216 - 361 melee damage on target',100,1,4),
(227528,10108855,'Inflicts 281 - 469 melee damage on target',100,1,0),
(227529,10108855,'Inflicts 281 - 469 melee damage on target',100,1,1),
(227530,10108855,'Inflicts 281 - 469 melee damage on target',100,1,2),
(227531,10108855,'Inflicts 281 - 469 melee damage on target',100,1,3),
(227532,10108855,'Inflicts 281 - 469 melee damage on target',100,1,4),
(227533,117465,'Inflicts 1155 - 1926 melee damage on target',100,1,0),
(227534,117465,'You must be sneaking to use this ability.',100,1,1),
(227535,117465,'Must be flanking or behind',100,1,2),
(227536,10117465,'Inflicts 931 - 1552 melee damage on target',100,1,0),
(227537,10117465,'You must be sneaking to use this ability.',100,1,1),
(227538,10117465,'Must be flanking or behind',100,1,2),
(227539,164097,'Applies Blessing of Marr when Activated.',100,0,0),
(227540,164097,'Dispels 14 levels of hostile Fear effects on caster',100,1,1),
(227541,164097,'Dispels 14 levels of hostile Stun, hostile Stifle, hostile Root and hostile Daze effects on group members (AE)',100,1,2),
(227542,164097,'The casting time of Blessing of Marr is 1.0 second and the reuse time of the spell is 2 minutes',100,1,3),
(227543,10164097,'Applies Blessing of Marr when Activated.',100,0,0),
(227544,10164097,'Dispels 14 levels of hostile Fear effects on caster',100,1,1),
(227545,10164097,'Dispels 14 levels of hostile Stun, hostile Stifle, hostile Root and hostile Daze effects on group members (AE)',100,1,2),
(227546,10164097,'The casting time of Blessing of Marr is 1.0 second and the reuse time of the spell is 2 minutes',100,1,3),
(227547,101600,'Inflicts 404 - 674 melee damage on targets in area',100,1,0),
(227548,10101600,'Inflicts 526 - 877 melee damage on targets in area',100,1,0),
(227549,81336,'When Equipped:',100,0,0),
(227550,81336,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(227551,81336,'Inflicts 121 - 225 magic damage on target',100,2,2),
(227552,81336,'Decreases Threat to target by 352 ',100,2,3),
(227553,81336,'Must be flanking or behind',100,3,4),
(227554,81336,'Increases Threat to target by 352 ',100,2,5),
(227555,81336,'Must be in front of',100,3,6),
(227556,81336,'Cannot be modified except by direct means',100,2,7),
(227557,10081336,'When Equipped:',100,0,0),
(227558,10081336,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(227559,10081336,'Inflicts 157 - 292 magic damage on target',100,2,2),
(227560,10081336,'Cannot be modified except by direct means',100,2,3),
(227561,106718,'Heals target for 1449 - 1770',100,1,0),
(227562,10106718,'Heals target for 1703 - 2081',100,1,0),
(227563,100496,'Increases Attack Speed of group members (AE) by 12.9',100,1,0),
(227564,10100496,'Increases Attack Speed of group members (AE) by 12.9',100,1,0),
(227565,85160,'When Equipped:',100,0,0),
(227566,85160,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227567,85160,'Inflicts 233 - 433 cold damage on target',100,2,2),
(227568,85160,'Cannot be modified except by direct means',100,2,3),
(227569,10085160,'When Equipped:',100,0,0),
(227570,10085160,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227571,10085160,'Inflicts 303 - 563 cold damage on target',100,2,2),
(227572,10085160,'Cannot be modified except by direct means',100,2,3),
(227573,46962,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(227574,46962,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(227575,46962,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(227576,46962,'Cannot be modified except by direct means',100,2,3),
(227577,46962,'Grants a total of 80 triggers of the spell.',100,2,4),
(227578,10046962,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(227579,10046962,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(227580,10046962,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(227581,10046962,'Cannot be modified except by direct means',100,2,3),
(227582,10046962,'Grants a total of 80 triggers of the spell.',100,2,4),
(227583,100698,'Dispels 106 levels of any hostile effects on target',100,1,0),
(227584,100698,'Dispels 106 levels of hostile Fear effects on target',100,1,1),
(227585,100698,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(227586,100698,'Makes target immune to Fear effects',100,3,3),
(227587,100698,'Dispels 106 levels of hostile Daze effects on target',100,1,4),
(227588,100698,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(227589,100698,'Makes target immune to Daze effects',100,3,6),
(227590,100698,'Dispels 106 levels of hostile Root effects on target',100,1,7),
(227591,100698,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(227592,100698,'Makes target immune to Root effects',100,3,9),
(227593,100698,'Dispels 106 levels of hostile Stifle effects on target',100,1,10),
(227594,100698,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(227595,100698,'Makes target immune to Stifle effects',100,3,12),
(227596,100698,'Dispels 106 levels of hostile Stun effects on target',100,1,13),
(227597,100698,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(227598,100698,'Makes target immune to Stun effects',100,3,15),
(227599,10100698,'Dispels 106 levels of any hostile effects on target',100,1,0),
(227600,10100698,'Dispels 106 levels of hostile Fear effects on target',100,1,1),
(227601,10100698,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(227602,10100698,'Makes target immune to Fear effects',100,3,3),
(227603,10100698,'Dispels 106 levels of hostile Daze effects on target',100,1,4),
(227604,10100698,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(227605,10100698,'Makes target immune to Daze effects',100,3,6),
(227606,10100698,'Dispels 106 levels of hostile Root effects on target',100,1,7),
(227607,10100698,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(227608,10100698,'Makes target immune to Root effects',100,3,9),
(227609,10100698,'Dispels 106 levels of hostile Stifle effects on target',100,1,10),
(227610,10100698,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(227611,10100698,'Makes target immune to Stifle effects',100,3,12),
(227612,10100698,'Dispels 106 levels of hostile Stun effects on target',100,1,13),
(227613,10100698,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(227614,10100698,'Makes target immune to Stun effects',100,3,15),
(227615,120928,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(227616,120928,'Inflicts 466 - 569 mental damage on target',100,2,1),
(227617,120928,'Grants a total of 3 triggers of the spell.',100,2,2),
(227618,10120928,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(227619,10120928,'Inflicts 606 - 740 mental damage on target',100,2,1),
(227620,10120928,'Grants a total of 3 triggers of the spell.',100,2,2),
(227621,81527,'When Equipped:',100,0,0),
(227622,81527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227623,81527,'Inflicts 151 - 280 magic damage on target',100,2,2),
(227624,81527,'Cannot be modified except by direct means',100,2,3),
(227625,10081527,'When Equipped:',100,0,0),
(227626,10081527,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227627,10081527,'Inflicts 196 - 364 magic damage on target',100,2,2),
(227628,10081527,'Cannot be modified except by direct means',100,2,3),
(227629,140788,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(227630,140788,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(227631,140788,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(227632,10140788,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(227633,10140788,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(227634,10140788,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(227635,73283,'When Equipped:',100,0,0),
(227636,73283,'On a hostile spell hit this spell may cast Terror Feast on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(227637,73283,'Increases power of caster by 207',100,2,2),
(227638,73283,'Cannot be modified except by direct means',100,2,3),
(227639,10073283,'When Equipped:',100,0,0),
(227640,10073283,'On a hostile spell hit this spell may cast Terror Feast on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(227641,10073283,'Increases power of caster by 207',100,2,2),
(227642,10073283,'Cannot be modified except by direct means',100,2,3),
(227643,122471,'Grants the brawler a small chance to briefly stun their target with  each melee hit.',100,1,0),
(227646,10122471,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(227647,10122471,'Inflicts 37 magic damage on target',100,2,1),
(227648,10122471,'Grants a total of 5 triggers of the spell.',100,2,2),
(227649,122761,'Heals group members (AE) for 465 - 569',100,1,0),
(227650,122761,'Increases Max Health of group members (AE) by 91.4',100,1,1),
(227651,10122761,'Heals group members (AE) for 544 - 665',100,1,0),
(227652,10122761,'Increases Max Health of group members (AE) by 91.4',100,1,1),
(227653,106349,'Decreases Mitigation of target vs arcane damage by 736',100,1,0),
(227654,106349,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(227655,106349,'Slows target by 55.4%',100,2,2),
(227656,106349,'5% chance to dispel when target receives hostile action',100,2,3),
(227657,106349,'5% chance to dispel when target takes damage',100,2,4),
(227658,10106349,'Decreases Mitigation of target vs arcane damage by 736',100,1,0),
(227659,10106349,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(227660,10106349,'Slows target by 55.4%',100,2,2),
(227661,10106349,'5% chance to dispel when target receives hostile action',100,2,3),
(227662,10106349,'5% chance to dispel when target takes damage',100,2,4),
(227663,159832,'Applies Lambent Imbued when Equipped.',100,0,0),
(227664,159832,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(227665,159832,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(227666,159832,'Cannot be modified except by direct means',100,2,3),
(227667,10159832,'Applies Lambent Imbued when Equipped.',100,0,0),
(227668,10159832,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(227669,10159832,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(227670,10159832,'Cannot be modified except by direct means',100,2,3),
(227671,72125,'When Equipped:',100,0,0),
(227672,72125,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227673,72125,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(227674,72125,'Cannot be modified except by direct means',100,2,3),
(227675,10072125,'When Equipped:',100,0,0),
(227676,10072125,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227677,10072125,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(227678,10072125,'Cannot be modified except by direct means',100,2,3),
(227679,72070,'When Equipped:',100,0,0),
(227680,72070,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227681,72070,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(227682,72070,'Cannot be modified except by direct means',100,2,3),
(227683,10072070,'When Equipped:',100,0,0),
(227684,10072070,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227685,10072070,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(227686,10072070,'Cannot be modified except by direct means',100,2,3),
(227687,100906,'Stuns targets in Area of Effect',20,1,0),
(227688,100906,'If Target is not Epic',100,2,1),
(227689,100906,'Inflicts 193 - 321 divine damage on targets in Area of Effect',100,1,2),
(227690,100906,'Resistibility increases against targets higher than level 71.',100,1,3),
(227691,10100906,'Stuns targets in Area of Effect',20,1,0),
(227692,10100906,'If Target is not Epic',100,2,1),
(227693,10100906,'Inflicts 251 - 418 divine damage on targets in Area of Effect',100,1,2),
(227694,10100906,'Resistibility increases against targets higher than level 71.',100,1,3),
(227695,71289,'When Equipped:',100,0,0),
(227696,71289,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227697,71289,'Decreases power of target by 135',100,2,2),
(227698,71289,'Increases power of caster by 134',100,2,3),
(227699,71289,'Cannot be modified except by direct means',100,2,4),
(227700,10071289,'When Equipped:',100,0,0),
(227701,10071289,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227702,10071289,'Decreases power of target by 135',100,2,2),
(227703,10071289,'Increases power of caster by 134',100,2,3),
(227704,10071289,'Cannot be modified except by direct means',100,2,4),
(227705,118504,'Summons a limited pet to aid the caster',100,1,0),
(227706,10118504,'Summons a limited pet to aid the caster',100,1,0),
(227707,46282,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(227708,46282,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(227709,46282,'Inflicts 728 poison damage on target',100,2,2),
(227710,46282,'Heals caster for 432',100,2,3),
(227711,46282,'Cannot be modified except by direct means',100,2,4),
(227712,46282,'Grants a total of 100 triggers of the spell.',100,2,5),
(227713,10046282,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(227714,10046282,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(227715,10046282,'Inflicts 676 poison damage on target',100,2,2),
(227716,10046282,'Heals caster for 175',100,2,3),
(227717,10046282,'Cannot be modified except by direct means',100,2,4),
(227718,10046282,'Grants a total of 100 triggers of the spell.',100,2,5),
(227719,115466,'Inflicts 293 - 358 mental damage on target instantly and every 6 seconds',100,1,0),
(227720,115466,'Decreases Mitigation of target vs arcane damage by 1728',100,1,1),
(227721,10115466,'Inflicts 380 - 465 mental damage on target instantly and every 6 seconds',100,1,0),
(227722,10115466,'Decreases Mitigation of target vs arcane damage by 1728',100,1,1),
(227723,101164,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(227724,101164,'Inflicts 678 ranged damage on target',100,2,1),
(227725,101164,'Decreases Defense of caster by 29.8',100,1,2),
(227726,101164,'Increases Crushing, Piercing, Ranged and Slashing of caster by 51.2',100,1,3),
(227727,10101164,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(227728,10101164,'Inflicts 577 ranged damage on target',100,2,1),
(227729,10101164,'Decreases Defense of caster by 29.8',100,1,2),
(227730,10101164,'Increases Crushing, Piercing, Ranged and Slashing of caster by 51.2',100,1,3),
(227731,114235,'Inflicts 346 - 423 mental damage on target',100,1,0),
(227732,114235,'Stuns target',100,1,1),
(227733,114235,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(227734,114235,'Resistibility increases against targets higher than level 70.',100,1,3),
(227735,10114235,'Inflicts 449 - 549 mental damage on target',100,1,0),
(227736,10114235,'Requires not being affected by Mesmerize effects.',100,2,1),
(227737,10114235,'Stuns target',100,1,2),
(227738,10114235,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(227739,10114235,'Resistibility increases against targets higher than level 70.',100,1,4),
(227740,140465,'When Equipped:',100,0,0),
(227741,140465,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(227742,10140465,'When Equipped:',100,0,0),
(227743,10140465,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(227744,24766,'Adds Wolf (Templar) to your Dungeon Maker toolbox',100,0,0),
(227745,10024766,'Adds Wolf (Templar) to your Dungeon Maker toolbox',100,0,0),
(227746,108501,'Inflicts 1063 - 1300 melee damage on target',100,1,0),
(227747,108501,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(227748,10108501,'Inflicts 967 - 1183 melee damage on target',100,1,0),
(227749,10108501,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(227750,123612,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(227751,123612,'Increases Defense of target by 23.0',100,1,1),
(227752,10123612,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(227753,10123612,'Increases Defense of target by 23.0',100,1,1),
(227754,119707,'Increases Threat to target encounter by 824 - 1,007 ',100,1,0),
(227755,10119707,'Prevents target encounter from changing targets',100,1,0),
(227756,10119707,'Forces target encounter to change their selected target to caster.',100,1,1),
(227757,118516,'Inflicts 53 - 89 melee damage on target',100,1,0),
(227758,118516,'Decreases STR of target by 7.3',100,1,1),
(227759,118516,'You must be sneaking to use this ability.',100,1,2),
(227760,10118516,'Inflicts 69 - 115 melee damage on target',100,1,0),
(227761,10118516,'Decreases STR of target by 7.3',100,1,1),
(227762,10118516,'You must be sneaking to use this ability.',100,1,2),
(227763,172179,'When Equipped:',100,0,0),
(227764,172179,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(227765,172179,'Heals group members (AE) for 2624',100,2,2),
(227766,172179,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(227767,172179,'Must not be engaged in pvp combat',100,2,4),
(227768,172179,'Cannot be modified except by direct means',100,2,5),
(227769,172179,'Must not be engaged in pvp combat',100,1,6),
(227770,10172179,'When Equipped:',100,0,0),
(227771,10172179,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(227772,10172179,'Heals group members (AE) for 3071',100,2,2),
(227773,10172179,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(227774,10172179,'Must not be engaged in pvp combat',100,2,4),
(227775,10172179,'Cannot be modified except by direct means',100,2,5),
(227776,10172179,'Must not be engaged in pvp combat',100,1,6),
(227777,173818,'When Equipped:',100,0,0),
(227778,173818,'Increases Attack Speed of caster by 40.0',100,1,1),
(227779,10173818,'When Equipped:',100,0,0),
(227780,10173818,'Increases Attack Speed of caster by 40.0',100,1,1),
(227781,119118,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(227782,119118,'Inflicts 121 - 148 slashing damage on target',100,2,1),
(227783,119118,'Increases Mitigation of caster vs physical damage by 284',100,1,2),
(227784,10119118,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(227785,10119118,'Inflicts 158 - 193 slashing damage on target',100,2,1),
(227786,10119118,'Increases Mitigation of caster vs physical damage by 284',100,1,2),
(227787,121527,'Inflicts 443 - 739 melee damage on target',100,1,0),
(227788,121527,'Stuns target',100,1,1),
(227789,121527,'If Target is not Epic',100,2,2),
(227790,121527,'Resistibility increases against targets higher than level 87.',100,1,3),
(227791,10121527,'Inflicts 577 - 961 melee damage on target',100,1,0),
(227792,10121527,'Stuns target',100,1,1),
(227793,10121527,'If Target is not Epic',100,2,2),
(227794,10121527,'Resistibility increases against targets higher than level 87.',100,1,3),
(227795,119727,'Wards group members (AE) against 36 points of elemental, noxious and arcane damage',100,1,0),
(227796,119727,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,1),
(227797,10119727,'Wards group members (AE) against 36 points of elemental, noxious and arcane damage',100,1,0),
(227798,10119727,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,1),
(227799,101524,'Increases WIS of target by 95.3',100,1,0),
(227800,101524,'Increases Max Health of target by 843.8',100,1,1),
(227801,101524,'Increases Mitigation of target vs elemental, noxious and arcane damage by 260',100,1,2),
(227802,10101524,'Increases WIS of target by 95.3',100,1,0),
(227803,10101524,'Increases Max Health of target by 843.8',100,1,1),
(227804,10101524,'Increases Mitigation of target vs elemental, noxious and arcane damage by 260',100,1,2),
(227805,115389,'Inflicts 92 - 154 melee damage on target',100,1,0),
(227806,115389,'Decreases INT of target by 13.9',100,1,1),
(227807,115389,'You must be sneaking to use this ability.',100,1,2),
(227808,10115389,'Inflicts 120 - 201 melee damage on target',100,1,0),
(227809,10115389,'Decreases INT of target by 13.9',100,1,1),
(227810,10115389,'You must be sneaking to use this ability.',100,1,2),
(227811,116632,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(227812,116632,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(227813,10116632,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(227814,10116632,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(227815,144625,'When Equipped:',100,0,0),
(227816,144625,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227817,144625,'Increases Mitigation of target vs all damage by 930',100,2,2),
(227818,144625,'This effect can be stacked by multiple casters.',100,2,3),
(227819,144625,'Cannot be modified except by direct means',100,2,4),
(227820,10144625,'When Equipped:',100,0,0),
(227821,10144625,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227822,10144625,'Increases Mitigation of target vs all damage by 930',100,2,2),
(227823,10144625,'This effect can be stacked by multiple casters.',100,2,3),
(227824,10144625,'Cannot be modified except by direct means',100,2,4),
(227825,119048,'Inflicts 154 - 257 mental damage on target',100,1,0),
(227826,119048,'Decreases power of target by 144 - 241',100,1,1),
(227827,119048,'Increases power of caster by 55 - 92',100,1,2),
(227828,10119048,'Inflicts 200 - 334 mental damage on target',100,1,0),
(227829,10119048,'Decreases power of target by 144 - 241',100,1,1),
(227830,10119048,'Increases power of caster by 55 - 92',100,1,2),
(227831,35880,'Increases INT of target by 1.5',100,0,0),
(227832,35880,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227833,110882,'Inflicts 340 - 416 heat damage on target encounter',100,1,0),
(227834,10110882,'Inflicts 443 - 541 heat damage on target encounter',100,1,0),
(227835,45406,'Applies Briana''s Reclamation when Activated.',100,0,0),
(227836,45406,'Heals caster for 76',100,1,1),
(227837,10045406,'Applies Briana''s Reclamation when Activated.',100,0,0),
(227838,10045406,'Heals caster for 49',100,1,1),
(227839,35951,'Increases INT of target by 1.5',100,0,0),
(227840,35951,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227841,82460,'When Equipped:',100,0,0),
(227842,82460,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227843,82460,'Inflicts 234 - 434 magic damage on target',100,2,2),
(227844,82460,'Cannot be modified except by direct means',100,2,3),
(227845,10082460,'When Equipped:',100,0,0),
(227846,10082460,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227847,10082460,'Inflicts 304 - 564 magic damage on target',100,2,2),
(227848,10082460,'Cannot be modified except by direct means',100,2,3),
(227849,35923,'Increases Max Health of target by 3.9',100,0,0),
(227850,35923,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227851,174776,'Applies Dash of the Deepwater Assassin when Activated.  Lasts for 30.0 seconds.',100,0,0),
(227852,174776,'Increases Multi Attack Chance of caster by 40.0',100,1,1),
(227853,174776,'Increases the base trigger chance of spells and items by 15%.',100,1,2),
(227854,174776,'Cannot be modified except by direct means',100,1,3),
(227855,174776,'The casting time of Dash of the Deepwater Assassin is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(227856,10174776,'Applies Dash of the Deepwater Assassin when Activated.  Lasts for 30.0 seconds.',100,0,0),
(227857,10174776,'Increases Multi Attack Chance of caster by 40.0',100,1,1),
(227858,10174776,'Increases the base trigger chance of spells and items by 15%.',100,1,2),
(227859,10174776,'Cannot be modified except by direct means',100,1,3),
(227860,10174776,'The casting time of Dash of the Deepwater Assassin is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(227861,170109,'When Equipped:',100,0,0),
(227862,170109,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(227863,170109,'This effect will not stack with any rank or tier of itself.',100,1,2),
(227864,170109,'Cannot be modified except by direct means',100,1,3),
(227865,10170109,'When Equipped:',100,0,0),
(227866,10170109,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(227867,10170109,'This effect will not stack with any rank or tier of itself.',100,1,2),
(227868,10170109,'Cannot be modified except by direct means',100,1,3),
(227869,71651,'When Equipped:',100,0,0),
(227870,71651,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227871,71651,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(227872,71651,'Cannot be modified except by direct means',100,2,3),
(227873,10071651,'When Equipped:',100,0,0),
(227874,10071651,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(227875,10071651,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(227876,10071651,'Cannot be modified except by direct means',100,2,3),
(227877,45685,'Applies Karrik''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(227878,45685,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(227879,10045685,'Applies Karrik''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(227880,10045685,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(227881,103731,'Increases Max Health of raid and group members (AE) by 435.7',100,1,0),
(227882,103731,'Increases Defense of raid and group members (AE) by 14.9',100,1,1),
(227883,10103731,'Increases Max Health of raid and group members (AE) by 435.7',100,1,0),
(227884,10103731,'Increases Defense of raid and group members (AE) by 14.9',100,1,1),
(227885,87298,'When Equipped:',100,0,0),
(227886,87298,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227887,87298,'Inflicts 111 - 166 magic damage on target',100,2,2),
(227888,87298,'Cannot be modified except by direct means',100,2,3),
(227889,10087298,'When Equipped:',100,0,0),
(227890,10087298,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227891,10087298,'Inflicts 144 - 216 magic damage on target',100,2,2),
(227892,10087298,'Cannot be modified except by direct means',100,2,3),
(227893,135720,'When Equipped:',100,0,0),
(227894,135720,'On a spell cast this spell may cast Protective Sands on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227895,135720,'Increases Ability Modifier of group members (AE) by 300.0',100,2,2),
(227896,135720,'Must not be engaged in pvp combat',100,2,3),
(227897,135720,'Cannot be modified except by direct means',100,2,4),
(227898,10135720,'When Equipped:',100,0,0),
(227899,10135720,'On a spell cast this spell may cast Protective Sands on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227900,10135720,'Increases Ability Modifier of group members (AE) by 300.0',100,2,2),
(227901,10135720,'Must not be engaged in pvp combat',100,2,3),
(227902,10135720,'Cannot be modified except by direct means',100,2,4),
(227903,36022,'Increases STA of target by 1.5',100,0,0),
(227904,36022,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(227905,81634,'When Equipped:',100,0,0),
(227906,81634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227907,81634,'Inflicts 169 - 315 magic damage on target',100,2,2),
(227908,81634,'Cannot be modified except by direct means',100,2,3),
(227909,10081634,'When Equipped:',100,0,0),
(227910,10081634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(227911,10081634,'Inflicts 220 - 409 magic damage on target',100,2,2),
(227912,10081634,'Cannot be modified except by direct means',100,2,3),
(227913,114809,'Decreases WIS of target by 89.3',100,1,0),
(227914,114809,'Increases WIS and STA of caster by 89.3',100,1,1),
(227915,114809,'Decreases Max Health of target by 1.4%',100,1,2),
(227916,114809,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 287',100,1,3),
(227917,114809,'Only affects targets level 17 and above',100,1,4),
(227918,10114809,'Decreases WIS of target by 89.3',100,1,0),
(227919,10114809,'Increases WIS and STA of caster by 89.3',100,1,1),
(227920,10114809,'Decreases Max Health of target by 1.4%',100,1,2),
(227921,10114809,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 287',100,1,3),
(227922,10114809,'Only affects targets level 17 and above',100,1,4),
(227923,118938,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(227924,118938,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1661',100,1,1),
(227925,118938,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,2),
(227926,10118938,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(227927,10118938,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1661',100,1,1),
(227928,10118938,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,2),
(227929,119405,'Inflicts 61 - 103 melee damage on target',100,1,0),
(227930,119405,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(227931,119405,'Stuns target',100,2,2),
(227932,119405,'Blurs vision of target',100,2,3),
(227933,119405,'Throws target back',100,2,4),
(227934,119405,'Does not affect Epic targets',100,2,5),
(227935,119405,'You must be sneaking to use this ability.',100,1,6),
(227936,10119405,'Inflicts 80 - 134 melee damage on target',100,1,0),
(227937,10119405,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(227938,10119405,'Stuns target',100,2,2),
(227939,10119405,'Blurs vision of target',100,2,3),
(227940,10119405,'Throws target back',100,2,4),
(227941,10119405,'Does not affect Epic targets',100,2,5),
(227942,10119405,'You must be sneaking to use this ability.',100,1,6),
(227943,178668,'When Equipped:',100,0,0),
(227944,178668,'On a hostile spell cast this spell may cast Temporal Flux on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227945,178668,'Improves casting speed of hostile spells by 100%',100,2,2),
(227946,178668,'Cannot be modified except by direct means',100,2,3),
(227947,178668,'Cannot be modified except by direct means',100,1,4),
(227948,10178668,'When Equipped:',100,0,0),
(227949,10178668,'On a hostile spell cast this spell may cast Temporal Flux on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227950,10178668,'Improves casting speed of hostile spells by 100%',100,2,2),
(227951,10178668,'Cannot be modified except by direct means',100,2,3),
(227952,10178668,'Cannot be modified except by direct means',100,1,4),
(227953,111940,'Inflicts 9 - 11 disease damage on target',100,1,0),
(227954,111940,'Decreases Mitigation of target vs noxious damage by 22',100,1,1),
(227955,10111940,'Inflicts 16 - 19 disease damage on target',100,1,0),
(227956,10111940,'Decreases Mitigation of target vs noxious damage by 22',100,1,1),
(227957,181826,'When Equipped:',100,0,0),
(227958,181826,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(227959,10181826,'When Equipped:',100,0,0),
(227960,10181826,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(227961,139176,'When Equipped:',100,0,0),
(227962,139176,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227963,139176,'Increases Potency of group members by 5.0%',100,2,2),
(227964,139176,'Cannot be modified except by direct means',100,2,3),
(227965,139176,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(227966,139176,'Increases Potency of group members by 5.0%',100,2,5),
(227967,139176,'Cannot be modified except by direct means',100,2,6),
(227968,139176,'Cannot be modified except by direct means',100,1,7),
(227969,10139176,'When Equipped:',100,0,0),
(227970,10139176,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(227971,10139176,'Increases Potency of group members by 5.0%',100,2,2),
(227972,10139176,'Cannot be modified except by direct means',100,2,3),
(227973,10139176,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(227974,10139176,'Increases Potency of group members by 5.0%',100,2,5),
(227975,10139176,'Cannot be modified except by direct means',100,2,6),
(227976,10139176,'Cannot be modified except by direct means',100,1,7),
(227977,84248,'Applies Mental Blast when Activated.',100,0,0),
(227978,84248,'Inflicts 189 - 316 mental damage on target',100,1,1),
(227979,84248,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(227980,10084248,'Applies Mental Blast when Activated.',100,0,0),
(227981,10084248,'Inflicts 246 - 410 mental damage on target',100,1,1),
(227982,10084248,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(227983,141893,'When Equipped:',100,0,0),
(227984,141893,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(227985,141893,'Increases STA of caster by 16.3',100,2,2),
(227986,141893,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(227987,141893,'Cannot be modified except by direct means',100,2,4),
(227988,10141893,'When Equipped:',100,0,0),
(227989,10141893,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(227990,10141893,'Increases STA of caster by 16.3',100,2,2),
(227991,10141893,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(227992,10141893,'Cannot be modified except by direct means',100,2,4),
(227993,132179,'When Equipped:',100,0,0),
(227994,132179,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(227995,132179,'Inflicts 2664 disease damage on target encounter',100,2,2),
(227996,132179,'Must not be engaged in pvp combat',100,2,3),
(227997,132179,'Cannot be modified except by direct means',100,2,4),
(227998,132179,'When Equipped:',100,0,5),
(227999,132179,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(228000,132179,'Increases in-combat movement speed of caster by 10.0%',100,2,7),
(228001,132179,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(228002,132179,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(228003,132179,'Must not be engaged in pvp combat',100,2,10),
(228004,132179,'Cannot be modified except by direct means',100,2,11),
(228005,132179,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,12),
(228006,132179,'Increases in-combat movement speed of caster by 10.0%',100,2,13),
(228007,132179,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(228008,132179,'Increases Ability Recovery Speed of caster by 10.0%',100,2,15),
(228009,132179,'Must not be engaged in pvp combat',100,2,16),
(228010,132179,'Cannot be modified except by direct means',100,2,17),
(228011,132179,'This effect will not stack with itself.',100,1,18),
(228012,132179,'Must not be engaged in pvp combat',100,1,19),
(228013,10132179,'When Equipped:',100,0,0),
(228014,10132179,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(228015,10132179,'Inflicts 1732 disease damage on target encounter',100,2,2),
(228016,10132179,'Must not be engaged in pvp combat',100,2,3),
(228017,10132179,'Cannot be modified except by direct means',100,2,4),
(228018,10132179,'When Equipped:',100,0,5),
(228019,10132179,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(228020,10132179,'Increases in-combat movement speed of caster by 10.0%',100,2,7),
(228021,10132179,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(228022,10132179,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(228023,10132179,'Must not be engaged in pvp combat',100,2,10),
(228024,10132179,'Cannot be modified except by direct means',100,2,11),
(228025,10132179,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,12),
(228026,10132179,'Increases in-combat movement speed of caster by 10.0%',100,2,13),
(228027,10132179,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(228028,10132179,'Increases Ability Recovery Speed of caster by 10.0%',100,2,15),
(228029,10132179,'Must not be engaged in pvp combat',100,2,16),
(228030,10132179,'Cannot be modified except by direct means',100,2,17),
(228031,10132179,'This effect will not stack with itself.',100,1,18),
(228032,10132179,'Must not be engaged in pvp combat',100,1,19),
(228033,104134,'Roots target',100,1,0),
(228034,104134,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(228035,104134,'Slows target by 20.0%',100,2,2),
(228036,104134,'Makes target afraid',100,2,3),
(228037,104134,'30% chance to dispel when target takes damage',100,2,4),
(228038,104134,'Resistibility increases against targets higher than level 90.',100,2,5),
(228039,104134,'15% chance to dispel when target takes damage',100,1,6),
(228040,104134,'Does not affect Epic targets',100,1,7),
(228041,104134,'Resistibility increases against targets higher than level 90.',100,1,8),
(228042,10104134,'Roots target',100,1,0),
(228043,10104134,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(228044,10104134,'Makes target afraid',100,2,2),
(228045,10104134,'Slows target by 20.0%',100,2,3),
(228046,10104134,'30% chance to dispel when target takes damage',100,2,4),
(228047,10104134,'Resistibility increases against targets higher than level 90.',100,2,5),
(228048,10104134,'15% chance to dispel when target takes damage',100,1,6),
(228049,10104134,'Does not affect Epic targets',100,1,7),
(228050,10104134,'Resistibility increases against targets higher than level 90.',100,1,8),
(228051,81934,'When Equipped:',100,0,0),
(228052,81934,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228053,81934,'Inflicts 408 - 757 magic damage on target',100,2,2),
(228054,81934,'Decreases Threat to target by 994 ',100,2,3),
(228055,81934,'Must be flanking or behind',100,3,4),
(228056,81934,'Increases Threat to target by 994 ',100,2,5),
(228057,81934,'Must be in front of',100,3,6),
(228058,81934,'Cannot be modified except by direct means',100,2,7),
(228059,10081934,'When Equipped:',100,0,0),
(228060,10081934,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228061,10081934,'Inflicts 530 - 984 magic damage on target',100,2,2),
(228062,10081934,'Cannot be modified except by direct means',100,2,3),
(228063,143830,'When Equipped:',100,0,0),
(228064,143830,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(228065,143830,'Inflicts 2648 heat damage on target',100,2,2),
(228066,143830,'Cannot be modified except by direct means',100,2,3),
(228067,10143830,'When Equipped:',100,0,0),
(228068,10143830,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(228069,10143830,'Inflicts 1721 heat damage on target',100,2,2),
(228070,10143830,'Cannot be modified except by direct means',100,2,3),
(228071,80970,'When Equipped:',100,0,0),
(228072,80970,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228073,80970,'Inflicts 288 - 534 magic damage on target',100,2,2),
(228074,80970,'Cannot be modified except by direct means',100,2,3),
(228075,10080970,'When Equipped:',100,0,0),
(228076,10080970,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228077,10080970,'Inflicts 374 - 695 magic damage on target',100,2,2),
(228078,10080970,'Cannot be modified except by direct means',100,2,3),
(228079,155303,'When Equipped:',100,0,0),
(228080,155303,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(228081,155303,'Inflicts 37 mental damage on target',100,2,2),
(228082,155303,'Cannot be modified except by direct means',100,2,3),
(228083,10155303,'When Equipped:',100,0,0),
(228084,10155303,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(228085,10155303,'Inflicts 49 mental damage on target',100,2,2),
(228086,10155303,'Cannot be modified except by direct means',100,2,3),
(228087,141866,'When Equipped:',100,0,0),
(228088,141866,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(228089,141866,'Increases INT of caster by 8.8',100,2,2),
(228090,141866,'Increases Subjugation, Disruption and Focus of caster by 5.2',100,2,3),
(228091,141866,'Cannot be modified except by direct means',100,2,4),
(228092,10141866,'When Equipped:',100,0,0),
(228093,10141866,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(228094,10141866,'Increases INT of caster by 8.8',100,2,2),
(228095,10141866,'Increases Subjugation, Disruption and Focus of caster by 5.2',100,2,3),
(228096,10141866,'Cannot be modified except by direct means',100,2,4),
(228097,104845,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(228098,104845,'If Fighter',100,2,1),
(228099,104845,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(228100,104845,'Increases power of target by 88',100,2,3),
(228101,104845,'Increases power of caster by 88',100,2,4),
(228102,10104845,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(228103,10104845,'Increases power of target by 88',100,2,1),
(228104,10104845,'Increases power of caster by 88',100,2,2),
(228105,112610,'Increases STA of caster by 31.2',100,1,0),
(228106,112610,'Reduces slow effects on caster by 10.9%',100,1,1),
(228107,112610,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 821',100,1,2),
(228108,10112610,'Increases STA of caster by 31.2',100,1,0),
(228109,10112610,'Reduces slow effects on caster by 10.9%',100,1,1),
(228110,10112610,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 821',100,1,2),
(228111,81846,'When Equipped:',100,0,0),
(228112,81846,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228113,81846,'Inflicts 164 - 305 magic damage on target',100,2,2),
(228114,81846,'Decreases Threat to target by 487 ',100,2,3),
(228115,81846,'Must be flanking or behind',100,3,4),
(228116,81846,'Increases Threat to target by 487 ',100,2,5),
(228117,81846,'Must be in front of',100,3,6),
(228118,81846,'Cannot be modified except by direct means',100,2,7),
(228119,10081846,'When Equipped:',100,0,0),
(228120,10081846,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228121,10081846,'Inflicts 213 - 396 magic damage on target',100,2,2),
(228122,10081846,'Cannot be modified except by direct means',100,2,3),
(228123,72082,'When Equipped:',100,0,0),
(228124,72082,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(228125,72082,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(228126,72082,'Cannot be modified except by direct means',100,2,3),
(228127,10072082,'When Equipped:',100,0,0),
(228128,10072082,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(228129,10072082,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(228130,10072082,'Cannot be modified except by direct means',100,2,3),
(228131,24107,'Adds Chardok: Warrior Statue to your Dungeon Maker toolbox',100,0,0),
(228132,10024107,'Adds Chardok: Warrior Statue to your Dungeon Maker toolbox',100,0,0),
(228133,123795,'Inflicts 10 - 17 magic damage on target',100,1,0),
(228134,123795,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(228135,123795,'Decreases Defense of target by 3.5',100,1,2),
(228136,123795,'Target will lose 14% more power when power is consumed',100,1,3),
(228137,123795,'14% of target''s power consumed will also be drained from target''s health',100,1,4),
(228138,10123795,'Inflicts 13 - 22 magic damage on target',100,1,0),
(228139,10123795,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(228140,10123795,'Decreases Defense of target by 3.5',100,1,2),
(228141,10123795,'Target will lose 14% more power when power is consumed',100,1,3),
(228142,10123795,'14% of target''s power consumed will also be drained from target''s health',100,1,4),
(228143,103889,'Increases power of group members (AE) by 19 instantly and every 6 seconds',100,1,0),
(228144,103889,'Decreases INT of target by 78.7',100,1,1),
(228145,10103889,'Increases power of group members (AE) by 19 instantly and every 6 seconds',100,1,0),
(228146,10103889,'Decreases INT of target by 78.7',100,1,1),
(228147,110440,'Dazes targets in Area of Effect',100,1,0),
(228148,110440,'If Target is not Epic',100,2,1),
(228149,110440,'Decreases Threat to targets in Area of Effect by 792 ',100,1,2),
(228150,110440,'Dispelled when target receives hostile action',100,1,3),
(228151,110440,'Dispelled when target takes damage',100,1,4),
(228152,10110440,'Dazes targets in Area of Effect',100,1,0),
(228153,10110440,'If Target is not Epic',100,2,1),
(228154,10110440,'Applies Distract.',100,1,2),
(228155,10110440,'Forces target to clear their selected target.',100,2,3),
(228156,10110440,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(228157,10110440,'Dispelled when target receives hostile action',100,1,5),
(228158,10110440,'Dispelled when target takes damage',100,1,6),
(228159,35715,'Increases STA of target by 1.5',100,0,0),
(228160,35715,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(228161,48458,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(228162,48458,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(228163,48458,'Inflicts 86 poison damage on target instantly and every 6 seconds',100,2,2),
(228164,48458,'Inflicts 526 poison damage on target',100,2,3),
(228165,48458,'Cannot be modified except by direct means',100,2,4),
(228166,48458,'Grants a total of 200 triggers of the spell.',100,2,5),
(228167,10048458,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(228168,10048458,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(228169,10048458,'Inflicts 84 poison damage on target instantly and every 6 seconds',100,2,2),
(228170,10048458,'Inflicts 513 poison damage on target',100,2,3),
(228171,10048458,'Cannot be modified except by direct means',100,2,4),
(228172,10048458,'Grants a total of 200 triggers of the spell.',100,2,5),
(228173,181834,'When Equipped:',100,0,0),
(228174,181834,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228175,181834,'Inflicts 815 magic damage on target',100,2,2),
(228176,181834,'Inflicts 82 magic damage on target every 4 seconds',100,2,3),
(228177,181834,'Must not be engaged in pvp combat',100,2,4),
(228178,181834,'Cannot be modified except by direct means',100,2,5),
(228179,10181834,'When Equipped:',100,0,0),
(228180,10181834,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228181,10181834,'Inflicts 1060 magic damage on target',100,2,2),
(228182,10181834,'Inflicts 106 magic damage on target every 4 seconds',100,2,3),
(228183,10181834,'Must not be engaged in pvp combat',100,2,4),
(228184,10181834,'Cannot be modified except by direct means',100,2,5),
(228185,104030,'Stifles target',100,1,0),
(228186,104030,'If Target is not Epic',100,2,1),
(228187,104030,'Interrupts target',100,1,2),
(228188,104030,'Decreases Threat to target by 817 - 998 ',100,1,3),
(228189,104030,'Resistibility increases against targets higher than level 95.',100,1,4),
(228190,10104030,'Stifles target',100,1,0),
(228191,10104030,'If Target is not Epic',100,2,1),
(228192,10104030,'Interrupts target',100,1,2),
(228193,10104030,'Resistibility increases against targets higher than level 95.',100,1,3),
(228194,156829,'When Equipped:',100,0,0),
(228195,156829,'Increases Attack Speed of caster by 40.0',100,1,1),
(228196,10156829,'When Equipped:',100,0,0),
(228197,10156829,'Increases Attack Speed of caster by 40.0',100,1,1),
(228198,112230,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(228199,112230,'Inflicts 54 disease damage on target',100,2,1),
(228200,112230,'Increases Threat to target by 85 ',100,2,2),
(228201,112230,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,3),
(228202,10112230,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(228203,10112230,'Inflicts 71 disease damage on target',100,2,1),
(228204,10112230,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,2),
(228205,84242,'Applies Mental Blast when Activated.',100,0,0),
(228206,84242,'Inflicts 195 - 325 mental damage on target',100,1,1),
(228207,84242,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228208,10084242,'Applies Mental Blast when Activated.',100,0,0),
(228209,10084242,'Inflicts 253 - 422 mental damage on target',100,1,1),
(228210,10084242,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228211,121891,'Inflicts 124 - 207 melee damage on target',100,1,0),
(228212,121891,'Decreases power of target by 47 - 78',100,1,1),
(228213,121891,'Must be flanking or behind',100,1,2),
(228214,10121891,'Inflicts 162 - 270 melee damage on target',100,1,0),
(228215,10121891,'Decreases power of target by 47 - 78',100,1,1),
(228216,10121891,'Must be flanking or behind',100,1,2),
(228217,72258,'When Equipped:',100,0,0),
(228218,72258,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(228219,72258,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(228220,72258,'Cannot be modified except by direct means',100,2,3),
(228221,10072258,'When Equipped:',100,0,0),
(228222,10072258,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(228223,10072258,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(228224,10072258,'Cannot be modified except by direct means',100,2,3),
(228225,75572,'Applies Disease Blast when Activated.',100,0,0),
(228226,75572,'Inflicts 269 - 449 disease damage on target',100,1,1),
(228227,75572,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228228,10075572,'Applies Disease Blast when Activated.',100,0,0),
(228229,10075572,'Inflicts 350 - 583 disease damage on target',100,1,1),
(228230,10075572,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228231,24133,'Adds Clockwork Spider (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(228232,10024133,'Adds Clockwork Spider (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(228233,36314,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(228234,106990,'Inflicts 1914 - 3555 poison damage on target',100,1,0),
(228235,106990,'Increases power of caster by 133',100,1,1),
(228236,10106990,'Inflicts 2489 - 4622 poison damage on target',100,1,0),
(228237,10106990,'Increases power of caster by 133',100,1,1),
(228238,112675,'Increases Parry of group members (AE) by 13.7',100,1,0),
(228239,10112675,'Increases Parry of group members (AE) by 13.7',100,1,0),
(228240,104620,'Inflicts 47 - 79 crushing damage on target',100,1,0),
(228241,104620,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 5.1',100,1,1),
(228242,10104620,'Inflicts 62 - 103 crushing damage on target',100,1,0),
(228243,10104620,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 5.1',100,1,1),
(228244,82307,'When Equipped:',100,0,0),
(228245,82307,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228246,82307,'Inflicts 296 - 551 magic damage on target',100,2,2),
(228247,82307,'Cannot be modified except by direct means',100,2,3),
(228248,10082307,'When Equipped:',100,0,0),
(228249,10082307,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228250,10082307,'Inflicts 385 - 716 magic damage on target',100,2,2),
(228251,10082307,'Cannot be modified except by direct means',100,2,3),
(228252,101143,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(228253,101143,'Inflicts 241 ranged damage on target',100,2,1),
(228254,101143,'Decreases Defense of caster by 13.5',100,1,2),
(228255,101143,'Increases Crushing, Piercing, Ranged and Slashing of caster by 20.3',100,1,3),
(228256,10101143,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(228257,10101143,'Inflicts 205 ranged damage on target',100,2,1),
(228258,10101143,'Decreases Defense of caster by 13.5',100,1,2),
(228259,10101143,'Increases Crushing, Piercing, Ranged and Slashing of caster by 20.3',100,1,3),
(228260,104802,'Increases caster''s chance to block by 10.0%',100,1,0),
(228261,104802,'Decreases Attack Speed of caster by 15.4',100,1,1),
(228262,104802,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(228263,104802,'Increases Parry of caster by 16.2',100,1,3),
(228264,104802,'Increases Defense of caster by 16.2',100,1,4),
(228265,10104802,'Increases caster''s chance to block by 10.0%',100,1,0),
(228266,10104802,'Decreases Attack Speed of caster by 15.4',100,1,1),
(228267,10104802,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(228268,10104802,'Increases Parry of caster by 16.2',100,1,3),
(228269,10104802,'Increases Defense of caster by 16.2',100,1,4),
(228270,108903,'Inflicts 1094 heat damage on target',100,1,0),
(228271,108903,'Inflicts 1094 cold damage on target',100,1,1),
(228272,108903,'Slows target by 61.9%',100,1,2),
(228273,10108903,'Inflicts 1422 heat damage on target',100,1,0),
(228274,10108903,'Inflicts 1422 cold damage on target',100,1,1),
(228275,10108903,'Slows target by 61.9%',100,1,2),
(228276,157342,'When Equipped:',100,0,0),
(228277,157342,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228278,157342,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(228279,157342,'Cannot be modified except by direct means',100,2,3),
(228280,10157342,'When Equipped:',100,0,0),
(228281,10157342,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228282,10157342,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(228283,10157342,'Cannot be modified except by direct means',100,2,3),
(228284,141719,'When Equipped:',100,0,0),
(228285,141719,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(228286,141719,'Increases AGI of caster by 11.9',100,2,2),
(228287,141719,'Increases Attack Speed of caster by 14.8',100,2,3),
(228288,141719,'Cannot be modified except by direct means',100,2,4),
(228289,10141719,'When Equipped:',100,0,0),
(228290,10141719,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(228291,10141719,'Increases AGI of caster by 11.9',100,2,2),
(228292,10141719,'Increases Attack Speed of caster by 14.8',100,2,3),
(228293,10141719,'Cannot be modified except by direct means',100,2,4),
(228294,110672,'Heals target for 410',100,1,0),
(228295,110672,'Dispels 44 levels of any hostile effects on target',100,1,1),
(228296,10110672,'Heals target for 266',100,1,0),
(228297,10110672,'Dispels 44 levels of any hostile effects on target',100,1,1),
(228298,89046,'Applies Mental Blast when Activated.',100,0,0),
(228299,89046,'Inflicts 77 - 128 mental damage on target',100,1,1),
(228300,89046,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228301,10089046,'Applies Mental Blast when Activated.',100,0,0),
(228302,10089046,'Inflicts 100 - 167 mental damage on target',100,1,1),
(228303,10089046,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228304,100043,'Decreases STR, AGI and WIS of target by 36.6',100,1,0),
(228305,10100043,'Decreases STR, AGI and WIS of target by 36.6',100,1,0),
(228306,24138,'Adds Cockatrice (Brigand) to your Dungeon Maker toolbox',100,0,0),
(228307,10024138,'Adds Cockatrice (Brigand) to your Dungeon Maker toolbox',100,0,0),
(228308,36485,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(228309,47357,'Applies Necromantic Construct when Activated.',100,0,0),
(228310,47357,'Shapechanges the user into a necromantic construct, and provides a shield which damages any melee attacker.',100,1,1),
(228311,10047357,'Applies Necromantic Construct when Activated.',100,0,0),
(228312,10047357,'Shapechanges the user into a necromantic construct, and provides a shield which damages any melee attacker.',100,1,1),
(228313,84552,'When Equipped:',100,0,0),
(228314,84552,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(228315,84552,'Inflicts 54 - 66 magic damage on target',100,2,2),
(228316,84552,'Cannot be modified except by direct means',100,2,3),
(228317,10084552,'When Equipped:',100,0,0),
(228318,10084552,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(228319,10084552,'Inflicts 70 - 86 magic damage on target',100,2,2),
(228320,10084552,'Cannot be modified except by direct means',100,2,3),
(228321,36402,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(228322,46130,'Applies Illusion: Iksar when Activated.  Lasts for 6 hours.',100,0,0),
(228323,46130,'Shapechanges caster into an iksar',100,1,1),
(228324,10046130,'Applies Illusion: Iksar when Activated.  Lasts for 6 hours.',100,0,0),
(228325,10046130,'Shapechanges caster into an iksar',100,1,1),
(228326,82570,'When Equipped:',100,0,0),
(228327,82570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228328,82570,'Inflicts 116 - 215 magic damage on target',100,2,2),
(228329,82570,'Cannot be modified except by direct means',100,2,3),
(228330,10082570,'When Equipped:',100,0,0),
(228331,10082570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228332,10082570,'Inflicts 151 - 280 magic damage on target',100,2,2),
(228333,10082570,'Cannot be modified except by direct means',100,2,3),
(228334,104043,'Stifles target',100,1,0),
(228335,104043,'If Target is not Epic',100,2,1),
(228336,104043,'Interrupts target',100,1,2),
(228337,104043,'Decreases Threat to target by 2,023 - 2,472 ',100,1,3),
(228338,104043,'Resistibility increases against targets higher than level 116.',100,1,4),
(228339,10104043,'Stifles target',100,1,0),
(228340,10104043,'If Target is not Epic',100,2,1),
(228341,10104043,'Interrupts target',100,1,2),
(228342,10104043,'Resistibility increases against targets higher than level 116.',100,1,3),
(228343,41667,'When Equipped:',100,0,0),
(228344,41667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228345,41667,'Inflicts 288 - 534 magic damage on target',100,2,2),
(228346,41667,'Cannot be modified except by direct means',100,2,3),
(228347,10041667,'When Equipped:',100,0,0),
(228348,10041667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228349,10041667,'Inflicts 374 - 695 magic damage on target',100,2,2),
(228350,10041667,'Cannot be modified except by direct means',100,2,3),
(228351,124091,'Dispels 131 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(228352,10124091,'Dispels 131 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(228353,123034,'Summons 12 limited pets to aid the caster',100,1,0),
(228354,10123034,'Summons 12 limited pets to aid the caster',100,1,0),
(228355,83041,'Applies Celestial Glow when Equipped.',100,0,0),
(228356,10083041,'Applies Celestial Glow when Equipped.',100,0,0),
(228357,119074,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(228358,119074,'Increases Parry and Deflection of group members (AE) by 8.1',100,1,1),
(228359,119074,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(228360,119074,'Decreases Threat to target encounter by 292 - 357 ',100,2,3),
(228361,119074,'If not fighter',100,3,4),
(228362,119074,'Increases Threat to target encounter by 292 - 357 ',100,2,5),
(228363,119074,'If fighter',100,3,6),
(228364,119074,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(228365,119074,'Decreases Threat to target encounter by 292 - 357 ',100,2,8),
(228366,119074,'If not fighter',100,3,9),
(228367,119074,'Increases Threat to target encounter by 292 - 357 ',100,2,10),
(228368,119074,'If fighter',100,3,11),
(228369,10119074,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(228370,10119074,'Increases Parry and Deflection of group members (AE) by 8.1',100,1,1),
(228371,10119074,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(228372,10119074,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(228373,45237,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(228374,45237,'Caster will harvest a second time on 2.0% of harvests.',100,1,1),
(228375,45237,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,2),
(228376,10045237,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(228377,10045237,'Caster will harvest a second time on 2.0% of harvests.',100,1,1),
(228378,10045237,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,2),
(228379,115503,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(228380,115503,'Increases Mitigation of group members (AE) vs noxious damage by 413',100,1,1),
(228381,10115503,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(228382,10115503,'Increases Mitigation of group members (AE) vs noxious damage by 413',100,1,1),
(228383,122316,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(228384,122316,'Inflicts 590 - 721 mental damage on target',100,2,1),
(228385,122316,'Grants a total of 3 triggers of the spell.',100,2,2),
(228386,10122316,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(228387,10122316,'Inflicts 767 - 937 mental damage on target',100,2,1),
(228388,10122316,'Grants a total of 3 triggers of the spell.',100,2,2),
(228389,82126,'When Equipped:',100,0,0),
(228390,82126,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228391,82126,'Inflicts 212 - 393 magic damage on target',100,2,2),
(228392,82126,'Decreases Threat to target by 641 ',100,2,3),
(228393,82126,'Must be flanking or behind',100,3,4),
(228394,82126,'Increases Threat to target by 641 ',100,2,5),
(228395,82126,'Must be in front of',100,3,6),
(228396,82126,'Cannot be modified except by direct means',100,2,7),
(228397,10082126,'When Equipped:',100,0,0),
(228398,10082126,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228399,10082126,'Inflicts 275 - 511 magic damage on target',100,2,2),
(228400,10082126,'Cannot be modified except by direct means',100,2,3),
(228401,70910,'When Equipped:',100,0,0),
(228402,70910,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228403,70910,'Increases Ability Modifier of caster by 660.0',100,2,2),
(228404,70910,'Must not be engaged in pvp combat',100,2,3),
(228405,70910,'Cannot be modified except by direct means',100,2,4),
(228406,70910,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(228407,70910,'Increases Ability Modifier of caster by 660.0',100,2,6),
(228408,70910,'Must not be engaged in pvp combat',100,2,7),
(228409,70910,'Cannot be modified except by direct means',100,2,8),
(228410,70910,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(228411,70910,'Cannot be modified except by direct means',100,1,10),
(228412,10070910,'When Equipped:',100,0,0),
(228413,10070910,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228414,10070910,'Increases Ability Modifier of caster by 660.0',100,2,2),
(228415,10070910,'Must not be engaged in pvp combat',100,2,3),
(228416,10070910,'Cannot be modified except by direct means',100,2,4),
(228417,10070910,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(228418,10070910,'Increases Ability Modifier of caster by 660.0',100,2,6),
(228419,10070910,'Must not be engaged in pvp combat',100,2,7),
(228420,10070910,'Cannot be modified except by direct means',100,2,8),
(228421,10070910,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(228422,10070910,'Cannot be modified except by direct means',100,1,10),
(228423,104490,'Decreases Mitigation of target encounter vs physical damage by 627',100,1,0),
(228424,10104490,'Decreases Mitigation of target encounter vs physical damage by 627',100,1,0),
(228425,72146,'When Equipped:',100,0,0),
(228426,72146,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228427,72146,'Inflicts 135 - 165 cold damage on target',100,2,2),
(228428,72146,'Cannot be modified except by direct means',100,2,3),
(228429,10072146,'When Equipped:',100,0,0),
(228430,10072146,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228431,10072146,'Inflicts 175 - 214 cold damage on target',100,2,2),
(228432,10072146,'Cannot be modified except by direct means',100,2,3),
(228433,79746,'When Equipped:',100,0,0),
(228434,79746,'On a hit this spell may cast Grim Outlook on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228435,79746,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(228436,79746,'Slows target by 50.0%',100,2,3),
(228437,79746,'Cannot be modified except by direct means',100,2,4),
(228438,10079746,'When Equipped:',100,0,0),
(228439,10079746,'On a hit this spell may cast Grim Outlook on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(228440,10079746,'Target will have their chance to hit with a weapon lowered by 3.0%',100,2,2),
(228441,10079746,'Slows target by 50.0%',100,2,3),
(228442,10079746,'Cannot be modified except by direct means',100,2,4),
(228443,87552,'Applies Mental Blast when Activated.',100,0,0),
(228444,87552,'Inflicts 77 - 128 mental damage on target',100,1,1),
(228445,87552,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228446,10087552,'Applies Mental Blast when Activated.',100,0,0),
(228447,10087552,'Inflicts 100 - 167 mental damage on target',100,1,1),
(228448,10087552,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(228449,114673,'Increases Threat to target by 1,652 - 2,019 ',100,1,0),
(228450,114673,'Interrupts target',100,1,1),
(228451,10114673,'Interrupts target',100,1,0),
(228452,10114673,'Forces target to change their selected target to caster.',100,1,1),
(228453,10114673,'Prevents target from changing targets',100,1,2),
(228454,118615,'Roots target',100,1,0),
(228455,118615,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(228456,118615,'Slows target by 56.6%',100,2,2),
(228457,118615,'5% chance to dispel when target receives hostile action',100,2,3),
(228458,118615,'5% chance to dispel when target takes damage',100,2,4),
(228459,118615,'5% chance to dispel when target takes damage',100,1,5),
(228460,118615,'Does not affect Epic targets',100,1,6),
(228461,118615,'Resistibility increases against targets higher than level 115.',100,1,7),
(228462,10118615,'Roots target',100,1,0),
(228463,10118615,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(228464,10118615,'Slows target by 56.6%',100,2,2),
(228465,10118615,'5% chance to dispel when target receives hostile action',100,2,3),
(228466,10118615,'5% chance to dispel when target takes damage',100,2,4),
(228467,10118615,'5% chance to dispel when target takes damage',100,1,5),
(228468,10118615,'Does not affect Epic targets',100,1,6),
(228469,10118615,'Resistibility increases against targets higher than level 115.',100,1,7),
(228470,119966,'Increases Threat to target by 19 - 24 ',100,1,0),
(228471,10119966,'Prevents target from changing targets',100,1,0),
(228472,10119966,'Forces target to change their selected target to caster.',100,1,1),
(228473,123024,'Wards group members (AE) collectively against 3200 total points of all damage',100,1,0),
(228474,10123024,'Wards group members (AE) collectively against 4766 total points of all damage',100,1,0),
(228475,113462,'Increases INT of target by 64.7',100,1,0),
(228476,113462,'Increases Max Health of target by 534.4',100,1,1),
(228477,10113462,'Increases INT of target by 64.7',100,1,0),
(228478,10113462,'Increases Max Health of target by 534.4',100,1,1),
(228479,113733,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(228480,113733,'Inflicts 88 piercing damage on target',100,2,1),
(228481,113733,'Grants a total of 60 triggers of the spell.',100,2,2),
(228482,10113733,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(228483,10113733,'Inflicts 114 piercing damage on target',100,2,1),
(228484,10113733,'Grants a total of 60 triggers of the spell.',100,2,2),
(228485,110152,'Applies Untreated Bleeding on termination.',100,1,0),
(228486,110152,'Inflicts 8 - 13 piercing damage on target',100,2,1),
(228487,110152,'Inflicts 2 - 3 piercing damage on target instantly and every 4 seconds',100,1,2),
(228488,110152,'Inflicts 1 melee damage on target',100,1,3),
(228489,10110152,'Applies Untreated Bleeding on termination.',100,1,0),
(228490,10110152,'Inflicts 10 - 17 piercing damage on target',100,2,1),
(228491,10110152,'Inflicts 2 - 4 piercing damage on target instantly and every 4 seconds',100,1,2),
(228492,10110152,'Inflicts 1 - 2 melee damage on target',100,1,3),
(228493,81993,'When Equipped:',100,0,0),
(228494,81993,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228495,81993,'Inflicts 191 - 354 magic damage on target',100,2,2),
(228496,81993,'Cannot be modified except by direct means',100,2,3),
(228497,10081993,'When Equipped:',100,0,0),
(228498,10081993,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228499,10081993,'Inflicts 248 - 460 magic damage on target',100,2,2),
(228500,10081993,'Cannot be modified except by direct means',100,2,3),
(228501,116252,'Summons a pet Illusion Ally',100,1,0),
(228502,10116252,'Summons a pet Illusion Ally',100,1,0),
(228503,105945,'Inflicts 131 - 160 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(228504,105945,'Inflicts 306 - 510 disease damage on targets in area',100,1,1),
(228505,10105945,'Inflicts 171 - 208 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(228506,10105945,'Inflicts 397 - 663 disease damage on targets in area',100,1,1),
(228507,171179,'When Equipped:',100,0,0),
(228508,171179,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(228509,171179,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,2),
(228510,171179,'Heals caster for 970 - 1072 instantly and every 3 seconds',100,2,3),
(228511,171179,'Increases Crit Bonus of caster by 5.0%',100,2,4),
(228512,171179,'Must not be engaged in pvp combat',100,2,5),
(228513,171179,'Cannot be modified except by direct means',100,2,6),
(228514,171179,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(228515,171179,'Must not be engaged in pvp combat',100,1,8),
(228516,10171179,'When Equipped:',100,0,0),
(228517,10171179,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(228518,10171179,'Inflicts 1152 - 1273 piercing damage on target instantly and every 3 seconds',100,2,2),
(228519,10171179,'Heals caster for 1134 - 1254 instantly and every 3 seconds',100,2,3),
(228520,10171179,'Increases Crit Bonus of caster by 5.0%',100,2,4),
(228521,10171179,'Must not be engaged in pvp combat',100,2,5),
(228522,10171179,'Cannot be modified except by direct means',100,2,6),
(228523,10171179,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(228524,10171179,'Must not be engaged in pvp combat',100,1,8),
(228525,80993,'When Equipped:',100,0,0),
(228526,80993,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228527,80993,'Inflicts 116 - 215 magic damage on target',100,2,2),
(228528,80993,'Cannot be modified except by direct means',100,2,3),
(228529,10080993,'When Equipped:',100,0,0),
(228530,10080993,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228531,10080993,'Inflicts 151 - 280 magic damage on target',100,2,2),
(228532,10080993,'Cannot be modified except by direct means',100,2,3),
(228533,113537,'Inflicts 272 - 453 disease damage on target',100,1,0),
(228534,10113537,'Inflicts 353 - 589 disease damage on target',100,1,0),
(228535,115753,'Inflicts 24 - 41 melee damage on target',100,1,0),
(228536,10115753,'Inflicts 32 - 53 melee damage on target',100,1,0),
(228537,51404,'When Equipped:',100,0,0),
(228538,51404,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(228539,51404,'Increases caster''s chance to block by 10.0%',100,2,2),
(228540,51404,'Cannot be modified except by direct means',100,2,3),
(228541,51404,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(228542,51404,'Increases caster''s chance to block by 10.0%',100,2,5),
(228543,51404,'Cannot be modified except by direct means',100,2,6),
(228544,10051404,'When Equipped:',100,0,0),
(228545,10051404,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(228546,10051404,'Increases caster''s chance to block by 10.0%',100,2,2),
(228547,10051404,'Cannot be modified except by direct means',100,2,3),
(228548,10051404,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(228549,10051404,'Increases caster''s chance to block by 10.0%',100,2,5),
(228550,10051404,'Cannot be modified except by direct means',100,2,6),
(228551,101179,'Inflicts 204 - 340 cold damage on target',100,1,0),
(228552,101179,'Inflicts 204 - 340 cold damage on target',100,1,1),
(228553,101179,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(228554,101179,'Slows target by 46.6%',100,2,3),
(228555,101179,'5% chance to dispel when target receives hostile action',100,2,4),
(228556,101179,'5% chance to dispel when target takes damage',100,2,5),
(228557,101179,'If weapon equipped in Ranged',100,1,6),
(228558,10101179,'Inflicts 173 - 289 cold damage on target',100,1,0),
(228559,10101179,'Inflicts 173 - 289 cold damage on target',100,1,1),
(228560,10101179,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(228561,10101179,'Slows target by 46.6%',100,2,3),
(228562,10101179,'5% chance to dispel when target receives hostile action',100,2,4),
(228563,10101179,'5% chance to dispel when target takes damage',100,2,5),
(228564,10101179,'If weapon equipped in Ranged',100,1,6),
(228565,80203,'When Equipped:',100,0,0),
(228566,80203,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228567,80203,'Inflicts 260 - 482 magic damage on target',100,2,2),
(228568,80203,'Cannot be modified except by direct means',100,2,3),
(228569,10080203,'When Equipped:',100,0,0),
(228570,10080203,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228571,10080203,'Inflicts 337 - 627 magic damage on target',100,2,2),
(228572,10080203,'Cannot be modified except by direct means',100,2,3),
(228573,76680,'Applies Celestial Glow when Equipped.',100,0,0),
(228574,10076680,'Applies Celestial Glow when Equipped.',100,0,0),
(228575,119050,'Inflicts 573 - 955 mental damage on target',100,1,0),
(228576,119050,'Decreases power of target by 537 - 895',100,1,1),
(228577,119050,'Increases power of caster by 226 - 377',100,1,2),
(228578,10119050,'Inflicts 745 - 1242 mental damage on target',100,1,0),
(228579,10119050,'Decreases power of target by 537 - 895',100,1,1),
(228580,10119050,'Increases power of caster by 226 - 377',100,1,2),
(228581,121229,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(228582,121229,'Increases Defense and Deflection of caster by 5.3',100,1,1),
(228584,10121229,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(228585,10121229,'Increases Defense and Deflection of caster by 5.3',100,1,1),
(228586,10121229,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(228587,24071,'Adds Chardok: Bat Repellent Lamp to your Dungeon Maker toolbox',100,0,0),
(228588,10024071,'Adds Chardok: Bat Repellent Lamp to your Dungeon Maker toolbox',100,0,0),
(228589,104501,'Decreases Mitigation of target encounter vs physical damage by 1462',100,1,0),
(228590,10104501,'Decreases Mitigation of target encounter vs physical damage by 1462',100,1,0),
(228591,159996,'Applies Lambent Imbued when Equipped.',100,0,0),
(228592,159996,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(228593,159996,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(228594,159996,'Cannot be modified except by direct means',100,2,3),
(228595,10159996,'Applies Lambent Imbued when Equipped.',100,0,0),
(228596,10159996,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(228597,10159996,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(228598,10159996,'Cannot be modified except by direct means',100,2,3),
(228599,159771,'Applies Lambent Imbued when Equipped.',100,0,0),
(228600,159771,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(228601,159771,'Heals target for 70 instantly and every 4 seconds',100,2,2),
(228602,159771,'Cannot be modified except by direct means',100,2,3),
(228603,10159771,'Applies Lambent Imbued when Equipped.',100,0,0),
(228604,10159771,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(228605,10159771,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(228606,10159771,'Cannot be modified except by direct means',100,2,3),
(228607,114255,'Inflicts 940 - 1149 mental damage on target',100,1,0),
(228608,114255,'Stuns target',100,1,1),
(228609,114255,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(228610,114255,'Resistibility increases against targets higher than level 108.',100,1,3),
(228611,10114255,'Inflicts 1223 - 1494 mental damage on target',100,1,0),
(228612,10114255,'Requires not being affected by Mesmerize effects.',100,2,1),
(228613,10114255,'Stuns target',100,1,2),
(228614,10114255,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(228615,10114255,'Resistibility increases against targets higher than level 108.',100,1,4),
(228616,35331,'Increases WIS of target by 1.5',100,0,0),
(228617,35331,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(228618,109275,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(228619,109275,'Increases Mitigation of group members (AE) vs elemental damage by 122',100,1,1),
(228620,10109275,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(228621,10109275,'Increases Mitigation of group members (AE) vs elemental damage by 122',100,1,1),
(228622,122846,'Inflicts 66 - 111 ranged damage on target',100,1,0),
(228623,122846,'Inflicts 133 - 222 ranged damage on target',100,1,1),
(228624,122846,'Inflicts 199 - 333 ranged damage on target',100,1,2),
(228625,122846,'Requires bow',100,1,3),
(228626,10122846,'Inflicts 70 - 118 ranged damage on target',100,1,0),
(228627,10122846,'Inflicts 141 - 236 ranged damage on target',100,1,1),
(228628,10122846,'Inflicts 212 - 354 ranged damage on target',100,1,2),
(228629,10122846,'Requires bow',100,1,3),
(228630,45486,'Applies Cevern Vastspan when Activated.',100,0,0),
(228631,45486,'Increases Potency of caster by 12.0%',100,1,1),
(228632,45486,'Increases Crit Bonus of caster by 12.0%',100,1,2),
(228633,45486,'Increases Crit Chance of caster by 50.0',100,1,3),
(228634,45486,'Increases Max Health of caster by 2,000.0',100,1,4),
(228635,45486,'Increases Max Power of caster by 2,000.0',100,1,5),
(228636,45486,'Summons a mount to ride',100,1,6),
(228637,45486,'Increases your ground speed by 135%',100,2,7),
(228638,10045486,'Applies Cevern Vastspan when Activated.',100,0,0),
(228639,10045486,'Increases Potency of caster by 12.0%',100,1,1),
(228640,10045486,'Increases Crit Bonus of caster by 12.0%',100,1,2),
(228641,10045486,'Increases Crit Chance of caster by 50.0',100,1,3),
(228642,10045486,'Increases Max Health of caster by 2,000.0',100,1,4),
(228643,10045486,'Increases Max Power of caster by 2,000.0',100,1,5),
(228644,10045486,'Summons a mount to ride',100,1,6),
(228645,10045486,'Increases your ground speed by 135%',100,2,7),
(228646,80771,'When Equipped:',100,0,0),
(228647,80771,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228648,80771,'Inflicts 226 - 419 magic damage on target',100,2,2),
(228649,80771,'Cannot be modified except by direct means',100,2,3),
(228650,10080771,'When Equipped:',100,0,0),
(228651,10080771,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228652,10080771,'Inflicts 293 - 545 magic damage on target',100,2,2),
(228653,10080771,'Cannot be modified except by direct means',100,2,3),
(228654,109705,'Inflicts 17 - 29 cold damage on target',100,1,0),
(228655,109705,'If weapon equipped in Ranged',100,1,1),
(228656,10109705,'Inflicts 15 - 25 cold damage on target',100,1,0),
(228657,10109705,'If weapon equipped in Ranged',100,1,1),
(228658,122190,'Inflicts 242 - 296 cold damage on target instantly and every 2 seconds',100,1,0),
(228659,122190,'Inflicts 242 - 296 cold damage on target instantly and every 2 seconds',100,1,1),
(228660,122190,'If target is elemental',100,2,2),
(228661,10122190,'Inflicts 314 - 384 cold damage on target instantly and every 2 seconds',100,1,0),
(228662,122163,'Inflicts 66 - 80 cold damage on target instantly and every 2 seconds',100,1,0),
(228663,122163,'Inflicts 66 - 80 cold damage on target instantly and every 2 seconds',100,1,1),
(228664,122163,'If target is elemental',100,2,2),
(228665,10122163,'Inflicts 86 - 105 cold damage on target instantly and every 2 seconds',100,1,0),
(228666,46027,'Applies Eashindor the Far-Seer when Activated.',100,0,0),
(228667,46027,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(228668,46027,'Increases Potency of caster by 3.0%',100,1,2),
(228669,46027,'Increases Crit Chance of caster by 10.0',100,1,3),
(228670,46027,'Increases Max Power of caster by 300.0',100,1,4),
(228671,46027,'Increases Max Health of caster by 300.0',100,1,5),
(228672,46027,'Summons a mount to ride',100,1,6),
(228673,46027,'Increases your ground speed by 75%',100,2,7),
(228674,46027,'Increases your air speed by 150%',100,2,8),
(228675,10046027,'Applies Eashindor the Far-Seer when Activated.',100,0,0),
(228676,10046027,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(228677,10046027,'Increases Potency of caster by 3.0%',100,1,2),
(228678,10046027,'Increases Crit Chance of caster by 10.0',100,1,3),
(228679,10046027,'Increases Max Power of caster by 300.0',100,1,4),
(228680,10046027,'Increases Max Health of caster by 300.0',100,1,5),
(228681,10046027,'Summons a mount to ride',100,1,6),
(228682,10046027,'Increases your ground speed by 75%',100,2,7),
(228683,10046027,'Increases your air speed by 150%',100,2,8),
(228684,46330,'Applies Improved Physical Damage when Activated.  Lasts for 5 minutes.',100,0,0),
(228685,46330,'Increases Damage Per Second of caster by 10.0',100,1,1),
(228686,10046330,'Applies Improved Physical Damage when Activated.  Lasts for 5 minutes.',100,0,0),
(228687,10046330,'Increases Damage Per Second of caster by 10.0',100,1,1),
(228688,123555,'Summons a limited pet to aid the caster',100,1,0),
(228689,10123555,'Summons a limited pet to aid the caster',100,1,0),
(228690,47007,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(228691,47007,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(228692,47007,'Inflicts 102 poison damage on target',100,2,2),
(228693,47007,'Cannot be modified except by direct means',100,2,3),
(228694,47007,'Grants a total of 4 triggers of the spell.',100,2,4),
(228695,10047007,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(228696,10047007,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(228697,10047007,'Inflicts 99 poison damage on target',100,2,2),
(228698,10047007,'Cannot be modified except by direct means',100,2,3),
(228699,10047007,'Grants a total of 4 triggers of the spell.',100,2,4),
(228700,105229,'Decreases STR and INT of target by 66.0',100,1,0),
(228701,105229,'Only affects targets level 20 and above',100,1,1),
(228702,10105229,'Decreases STR and INT of target by 66.0',100,1,0),
(228703,10105229,'Only affects targets level 20 and above',100,1,1),
(228704,102548,'Increases AGI of caster by 15.8',100,1,0),
(228705,102548,'Increases Max Health of caster by 31.0',100,1,1),
(228706,102548,'Adds 14.8% to base avoidance.',100,1,2),
(228707,102548,'Increases Mitigation of caster vs physical damage by 86',100,1,3),
(228708,102548,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,4),
(228709,10102548,'Increases AGI of caster by 15.8',100,1,0),
(228710,10102548,'Increases Max Health of caster by 31.0',100,1,1),
(228711,10102548,'Adds 14.8% to base avoidance.',100,1,2),
(228712,10102548,'Increases Mitigation of caster vs physical damage by 86',100,1,3),
(228713,10102548,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',100,1,4),
(228714,88167,'When Equipped:',100,0,0),
(228715,88167,'Increases INT, WIS, AGI and STR of caster by 50.0',100,1,1),
(228716,88167,'Increases Potency of caster by 3.5%',100,1,2),
(228717,88167,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(228718,88167,'Cannot be modified except by direct means',100,1,4),
(228719,88167,'When Equipped:',100,0,5),
(228720,88167,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(228721,88167,'Increases WIS and INT of caster by 44.0',100,2,7),
(228722,88167,'Increases Ability Casting Speed of caster by 1.5%',100,2,8),
(228723,88167,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(228724,88167,'Must not be engaged in pvp combat',100,2,10),
(228725,88167,'Cannot be modified except by direct means',100,2,11),
(228726,88167,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(228727,88167,'Increases WIS and INT of caster by 44.0',100,2,13),
(228728,88167,'Increases Ability Casting Speed of caster by 1.5%',100,2,14),
(228729,88167,'Increases Crit Bonus of caster by 11.5%',100,2,15),
(228730,88167,'Must not be engaged in pvp combat',100,2,16),
(228731,88167,'Cannot be modified except by direct means',100,2,17),
(228732,88167,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,18),
(228733,88167,'Cannot be modified except by direct means',100,1,19),
(228734,10088167,'When Equipped:',100,0,0),
(228735,10088167,'Increases INT, WIS, AGI and STR of caster by 50.0',100,1,1),
(228736,10088167,'Increases Potency of caster by 3.5%',100,1,2),
(228737,10088167,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(228738,10088167,'Cannot be modified except by direct means',100,1,4),
(228739,10088167,'When Equipped:',100,0,5),
(228740,10088167,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(228741,10088167,'Increases WIS and INT of caster by 44.0',100,2,7),
(228742,10088167,'Increases Ability Casting Speed of caster by 1.5%',100,2,8),
(228743,10088167,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(228744,10088167,'Must not be engaged in pvp combat',100,2,10),
(228745,10088167,'Cannot be modified except by direct means',100,2,11),
(228746,10088167,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(228747,10088167,'Increases WIS and INT of caster by 44.0',100,2,13),
(228748,10088167,'Increases Ability Casting Speed of caster by 1.5%',100,2,14),
(228749,10088167,'Increases Crit Bonus of caster by 11.5%',100,2,15),
(228750,10088167,'Must not be engaged in pvp combat',100,2,16),
(228751,10088167,'Cannot be modified except by direct means',100,2,17),
(228752,10088167,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,18),
(228753,10088167,'Cannot be modified except by direct means',100,1,19),
(228754,103245,'Reduces physical damage done to caster by 5%',100,1,0),
(228755,103245,'Adds 2.4% to base avoidance.',100,1,1),
(228756,103245,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(228757,103245,'Increases Parry of caster by 27.8',100,1,3),
(228758,103245,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(228759,103245,'Increases Aggression of caster by 20.9',100,1,5),
(228760,103245,'Increases Defense and Deflection of caster by 27.8',100,1,6),
(228761,103245,'Increases Mitigation of caster vs noxious damage by 1856',100,1,7),
(228762,103245,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(228763,10103245,'Reduces physical damage done to caster by 5%',100,1,0),
(228764,10103245,'Adds 2.4% to base avoidance.',100,1,1),
(228765,10103245,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(228766,10103245,'Increases Parry of caster by 27.8',100,1,3),
(228767,10103245,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(228768,10103245,'Increases Aggression of caster by 20.9',100,1,5),
(228769,10103245,'Increases Defense and Deflection of caster by 27.8',100,1,6),
(228770,10103245,'Increases Mitigation of caster vs noxious damage by 1856',100,1,7),
(228771,10103245,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(228772,45798,'Applies Criggle''s Chaotic Characteristics when Activated.',100,0,0),
(228773,45798,'Shapechanges the user into an arasai.',100,1,1),
(228774,10045798,'Applies Criggle''s Chaotic Characteristics when Activated.',100,0,0),
(228775,10045798,'Shapechanges the user into an arasai.',100,1,1),
(228776,118624,'Inflicts 33 - 101 crushing damage on target',100,1,0),
(228777,10118624,'Inflicts 44 - 132 crushing damage on target',100,1,0),
(228778,120061,'Inflicts 67 - 112 mental damage on target',100,1,0),
(228779,120061,'Inflicts 67 - 112 mental damage on target',100,1,1),
(228780,120061,'Stifles target',100,1,2),
(228781,120061,'If Target is not Epic',100,2,3),
(228782,120061,'If weapon equipped in Ranged',100,1,4),
(228783,120061,'Resistibility increases against targets higher than level 45.',100,1,5),
(228784,10120061,'Inflicts 76 - 127 mental damage on target',100,1,0),
(228785,10120061,'Inflicts 76 - 127 mental damage on target',100,1,1),
(228786,10120061,'Stifles target',100,1,2),
(228787,10120061,'If Target is not Epic',100,2,3),
(228788,10120061,'If weapon equipped in Ranged',100,1,4),
(228789,10120061,'Resistibility increases against targets higher than level 45.',100,1,5),
(228790,162396,'When Equipped:',100,0,0),
(228791,162396,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(228792,162396,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(228793,162396,'Cannot be modified except by direct means',100,2,3),
(228794,10162396,'When Equipped:',100,0,0),
(228795,10162396,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(228796,10162396,'Increases power of caster by 34 instantly and every 5 seconds',100,2,2),
(228797,10162396,'Cannot be modified except by direct means',100,2,3),
(228798,120509,'Inflicts 467 - 779 melee damage on target',100,1,0),
(228799,120509,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(228800,120509,'Grants stealth to caster',100,2,2),
(228801,120509,'Suspends caster''s movement speed enhancements',100,2,3),
(228802,120509,'Must be flanking or behind',100,1,4),
(228803,10120509,'Inflicts 607 - 1012 melee damage on target',100,1,0),
(228804,10120509,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(228805,10120509,'Grants stealth to caster',100,2,2),
(228806,10120509,'Suspends caster''s movement speed enhancements',100,2,3),
(228807,10120509,'Must be flanking or behind',100,1,4),
(228808,74844,'When Equipped:',100,0,0),
(228809,74844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228810,74844,'Inflicts 169 - 254 magic damage on target',100,2,2),
(228811,74844,'Cannot be modified except by direct means',100,2,3),
(228812,10074844,'When Equipped:',100,0,0),
(228813,10074844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(228814,10074844,'Inflicts 220 - 330 magic damage on target',100,2,2),
(228815,10074844,'Cannot be modified except by direct means',100,2,3),
(228816,48570,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(228817,48570,'Shrinks caster by 35.0%',100,1,1),
(228818,48570,'Enlarges caster by 50.0%',100,1,2),
(228819,10048570,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(228820,10048570,'Shrinks caster by 35.0%',100,1,1),
(228821,10048570,'Enlarges caster by 50.0%',100,1,2),
(228822,109222,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 33.7',100,1,0),
(228823,10109222,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 33.7',100,1,0),
(228824,105339,'Inflicts 408 - 681 melee damage on target',100,1,0),
(228825,105339,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 489',100,1,1),
(228826,105339,'Must be flanking or behind',100,1,2),
(228827,10105339,'Inflicts 531 - 886 melee damage on target',100,1,0),
(228828,10105339,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 489',100,1,1),
(228829,10105339,'Must be flanking or behind',100,1,2),
(228830,37143,'Increases STR of target by 1.5',100,0,0),
(228831,37143,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(228832,112958,'Inflicts 165 - 495 crushing damage on target',100,1,0),
(228833,10112958,'Inflicts 214 - 644 crushing damage on target',100,1,0),
(228834,103422,'Decreases Threat to targets in Area of Effect by 3,367 ',100,1,0),
(228835,103422,'Slows targets in Area of Effect by 49.0%',100,1,1),
(228836,103422,'Stifles targets in Area of Effect',100,1,2),
(228837,103422,'If Target is not Epic',100,2,3),
(228838,103422,'10% chance to dispel when target receives hostile action',100,1,4),
(228839,103422,'10% chance to dispel when target takes damage',100,1,5),
(228840,10103422,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(228841,10103422,'Slows targets in Area of Effect by 49.0%',100,1,1),
(228842,10103422,'Stifles targets in Area of Effect',100,1,2),
(228843,10103422,'If Target is not Epic',100,2,3),
(228844,101581,'Inflicts 99 - 165 melee damage on targets in area',100,1,0),
(228845,10101581,'Inflicts 129 - 215 melee damage on targets in area',100,1,0),
(228846,139532,'When Equipped:',100,0,0),
(228847,139532,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(228848,139532,'Inflicts 828 mental damage on target',100,2,2),
(228849,139532,'Increases threat priority of target by 1 position',100,2,3),
(228850,139532,'Cannot be modified except by direct means',100,2,4),
(228851,139532,'Cannot be modified except by direct means',100,1,5),
(228852,10139532,'When Equipped:',100,0,0),
(228853,10139532,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(228854,10139532,'Inflicts 1076 mental damage on target',100,2,2),
(228855,10139532,'Cannot be modified except by direct means',100,2,3),
(228856,10139532,'Cannot be modified except by direct means',100,1,4),
(228857,108387,'Heals target for 54 - 66',100,1,0),
(228858,10108387,'Heals target for 65 - 79',100,1,0),
(228859,123443,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(228860,123443,'Stuns target',100,2,1),
(228861,123443,'Blurs vision of target',100,2,2),
(228862,123443,'Throws target back',100,2,3),
(228863,123443,'Does not affect Epic targets',100,2,4),
(228864,123443,'Inflicts 720 - 2160 melee damage on target',100,1,5),
(228865,10123443,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(228866,10123443,'Stuns target',100,2,1),
(228867,10123443,'Blurs vision of target',100,2,2),
(228868,10123443,'Throws target back',100,2,3),
(228869,10123443,'Does not affect Epic targets',100,2,4),
(228870,10123443,'Inflicts 936 - 2808 melee damage on target',100,1,5),
(228871,108710,'Inflicts 266 heat damage on target',100,1,0),
(228872,108710,'Inflicts 59 heat damage on target every 4 seconds',100,1,1),
(228873,10108710,'Inflicts 484 heat damage on target',100,1,0),
(228874,10108710,'Inflicts 77 heat damage on target every 4 seconds',100,1,1),
(228875,106600,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(228876,10106600,'Dispels 100 levels of any hostile effects on group members (AE)',100,1,0),
(228877,105090,'Inflicts 262 - 354 magic damage on target',100,1,0),
(228878,10105090,'Inflicts 341 - 461 magic damage on target',100,1,0),
(228879,103994,'Interrupts targets in Area of Effect',100,1,0),
(228880,103994,'Inflicts 193 - 358 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(228881,10103994,'Interrupts targets in Area of Effect',100,1,0),
(228882,10103994,'Inflicts 251 - 466 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(228883,50894,'When Equipped:',100,0,0),
(228884,50894,'When damaged with a melee weapon this spell has a 5% chance to cast Burning Coals on target''s attacker.  ',100,1,1),
(228885,50894,'Inflicts 279 heat damage on target',100,2,2),
(228886,50894,'Cannot be modified except by direct means',100,2,3),
(228887,10050894,'When Equipped:',100,0,0),
(228888,10050894,'When damaged with a melee weapon this spell has a 5% chance to cast Burning Coals on target''s attacker.  ',100,1,1),
(228889,10050894,'Inflicts 363 heat damage on target',100,2,2),
(228890,10050894,'Cannot be modified except by direct means',100,2,3),
(228891,118700,'Increases STR and AGI of group members (AE) by 14.4',100,1,0),
(228892,10118700,'Increases STR and AGI of group members (AE) by 14.4',100,1,0),
(228893,187184,'When Equipped:',100,0,0),
(228894,187184,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(228895,187184,'Wards caster against 150 points of all damage',100,2,2),
(228896,187184,'Cannot be modified except by direct means',100,2,3),
(228897,10187184,'When Equipped:',100,0,0),
(228898,10187184,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(228899,10187184,'Wards caster against 150 points of all damage',100,2,2),
(228900,10187184,'Cannot be modified except by direct means',100,2,3),
(228901,122927,'Shapechanges caster into a hawk',100,1,0),
(228902,10122927,'Shapechanges caster into a hawk',100,1,0),
(228903,24558,'Adds Mummy (Assassin) to your Dungeon Maker toolbox',100,0,0),
(228904,10024558,'Adds Mummy (Assassin) to your Dungeon Maker toolbox',100,0,0),
(228905,102191,'Increases Mitigation of group members (AE) vs physical damage by 410',100,1,0),
(228906,10102191,'Increases Mitigation of group members (AE) vs physical damage by 410',100,1,0),
(228907,47606,'Applies Potion of Success when Activated.  Lasts for 10 minutes.',100,0,0),
(228908,47606,'Increases success chance by 10.0%',100,1,1),
(228909,10047606,'Applies Potion of Success when Activated.  Lasts for 10 minutes.',100,0,0),
(228910,10047606,'Increases success chance by 10.0%',100,1,1),
(228911,36711,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(228912,50292,'When Equipped:',100,0,0),
(228913,50292,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(228914,50292,'Increases caster''s chance to block by 10.0%',100,2,2),
(228915,50292,'Cannot be modified except by direct means',100,2,3),
(228916,50292,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(228917,50292,'Increases caster''s chance to block by 10.0%',100,2,5),
(228918,50292,'Cannot be modified except by direct means',100,2,6),
(228919,10050292,'When Equipped:',100,0,0),
(228920,10050292,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(228921,10050292,'Increases caster''s chance to block by 10.0%',100,2,2),
(228922,10050292,'Cannot be modified except by direct means',100,2,3),
(228923,10050292,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(228924,10050292,'Increases caster''s chance to block by 10.0%',100,2,5),
(228925,10050292,'Cannot be modified except by direct means',100,2,6),
(228926,36856,'Increases STR and AGI of target by 1.1',100,0,0),
(228927,36856,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(228928,112350,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(228929,112350,'Inflicts 292 - 486 piercing damage on target',100,2,1),
(228930,10112350,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(228931,10112350,'Inflicts 199 - 332 piercing damage on target',100,2,1),
(228932,41436,'When Equipped:',100,0,0),
(228933,41436,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228934,41436,'Decreases Threat to target by 517 ',100,2,2),
(228935,41436,'Must be flanking or behind',100,3,3),
(228936,41436,'Increases Threat to target by 517 ',100,2,4),
(228937,41436,'Must be in front of',100,3,5),
(228938,41436,'Inflicts 226 - 419 magic damage on target',100,2,6),
(228939,41436,'Cannot be modified except by direct means',100,2,7),
(228940,10041436,'When Equipped:',100,0,0),
(228941,10041436,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(228942,10041436,'Inflicts 293 - 545 magic damage on target',100,2,2),
(228943,10041436,'Cannot be modified except by direct means',100,2,3),
(228944,48375,'Applies Dip the tankard in Brell Brew river when Activated.',100,0,0),
(228945,48375,'This effect cannot be cast during combat',100,1,1),
(228946,10048375,'Applies Dip the tankard in Brell Brew river when Activated.',100,0,0),
(228947,10048375,'This effect cannot be cast during combat',100,1,1),
(228948,45758,'Applies Warding of the Forest Princess  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(228949,45758,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(228950,45758,'Inflicts 20 magic damage on target',100,2,2),
(228951,45758,'Cannot be modified except by direct means',100,2,3),
(228952,10045758,'Applies Warding of the Forest Princess  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(228953,10045758,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(228954,10045758,'Inflicts 25 magic damage on target',100,2,2),
(228955,10045758,'Cannot be modified except by direct means',100,2,3),
(228956,104966,'Inflicts 1357 - 2263 melee damage on target',100,1,0),
(228957,104966,'Decreases Defense of target by 49.2',100,1,1),
(228958,104966,'Must be behind',100,1,2),
(228959,10104966,'Inflicts 1765 - 2942 melee damage on target',100,1,0),
(228960,10104966,'Decreases Defense of target by 49.2',100,1,1),
(228961,10104966,'Must be behind',100,1,2),
(228962,47616,'Applies Power Potion when Activated.',100,0,0),
(228963,47616,'Increases power of caster by 100.0%',100,1,1),
(228964,47616,'This effect cannot be critically applied.',100,2,2),
(228965,47616,'You may only be grouped with mercenaries or not grouped.',100,1,3),
(228966,47616,'Must not be engaged in pvp combat',100,1,4),
(228967,47616,'Cannot be modified except by direct means',100,1,5),
(228968,10047616,'Applies Power Potion when Activated.',100,0,0),
(228969,10047616,'Increases power of caster by 100.0%',100,1,1),
(228970,10047616,'This effect cannot be critically applied.',100,2,2),
(228971,10047616,'You may only be grouped with mercenaries or not grouped.',100,1,3),
(228972,10047616,'Must not be engaged in pvp combat',100,1,4),
(228973,10047616,'Cannot be modified except by direct means',100,1,5),
(228974,123524,'Inflicts 17 - 25 piercing damage on target instantly and every 4 seconds',100,1,0),
(228975,123524,'Decreases Defense of target by 3.6',100,1,1),
(228976,10123524,'Inflicts 30 - 45 piercing damage on target',100,1,0),
(228977,10123524,'Inflicts 21 - 32 piercing damage on target every 4 seconds',100,1,1),
(228978,10123524,'Decreases Defense of target by 3.6',100,1,2),
(228979,110719,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(228980,110719,'Heals group members (AE) for 452',100,2,1),
(228981,10110719,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(228982,10110719,'Heals group members (AE) for 294',100,2,1),
(228983,27195,'When Equipped:',100,0,0),
(228984,27195,'Increases all cold damage by up to 50.',100,1,1),
(228985,10027195,'When Equipped:',100,0,0),
(228986,10027195,'Increases all cold damage by up to 50.',100,1,1),
(228987,177514,'When Equipped:',100,0,0),
(228988,177514,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(228989,177514,'Increases STA of caster by 14.8',100,2,2),
(228990,177514,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(228991,177514,'Cannot be modified except by direct means',100,2,4),
(228992,10177514,'When Equipped:',100,0,0),
(228993,10177514,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(228994,10177514,'Increases STA of caster by 14.8',100,2,2),
(228995,10177514,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(228996,10177514,'Cannot be modified except by direct means',100,2,4),
(228997,100739,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(228998,100739,'Increases Mitigation of group members (AE) vs noxious damage by 1771',100,1,1),
(228999,10100739,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(229000,10100739,'Increases Mitigation of group members (AE) vs noxious damage by 1771',100,1,1),
(229001,104639,'Inflicts 231 - 386 crushing damage on target',100,1,0),
(229002,104639,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 21.6',100,1,1),
(229003,10104639,'Inflicts 301 - 502 crushing damage on target',100,1,0),
(229004,10104639,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 21.6',100,1,1),
(229005,113095,'Heals target for 74.9 - 91.5% of max health',100,1,0),
(229006,113095,'This effect cannot be critically applied.',100,2,1),
(229007,113095,'Increases Max Health of target by 415.6',100,1,2),
(229008,113095,'Increases Mitigation of target vs physical damage by 544',100,1,3),
(229009,113095,'The healing of this spell cannot be modified except by direct means',100,1,4),
(229010,10113095,'Heals target for 30.0 - 36.6% of max health',100,1,0),
(229011,10113095,'This effect cannot be critically applied.',100,2,1),
(229012,10113095,'Increases Max Health of target by 415.6',100,1,2),
(229013,10113095,'Increases Mitigation of target vs physical damage by 544',100,1,3),
(229014,10113095,'The healing of this spell cannot be modified except by direct means',100,1,4),
(229015,121709,'Increases AGI of caster by 27.1',100,1,0),
(229016,121709,'Adds 1.7% to base avoidance.',100,1,1),
(229017,121709,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(229018,121709,'Increases Parry of caster by 15.8',100,1,3),
(229019,121709,'Increases Defense of caster by 21.1',100,1,4),
(229020,10121709,'Increases AGI of caster by 27.1',100,1,0),
(229021,10121709,'Adds 1.7% to base avoidance.',100,1,1),
(229022,10121709,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(229023,10121709,'Increases Parry of caster by 15.8',100,1,3),
(229024,10121709,'Increases Defense of caster by 21.1',100,1,4),
(229025,162315,'When Equipped:',100,0,0),
(229026,162315,'On a healing spell cast this spell may cast Greater Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(229027,162315,'When any damage is received this spell will cast Greater Reflexive Restoration on target.  ',100,2,2),
(229028,162315,'Heals caster for 527',100,3,3),
(229029,162315,'Cannot be modified except by direct means',100,3,4),
(229030,162315,'Grants a total of 3 triggers of the spell.',100,3,5),
(229031,162315,'Cannot be modified except by direct means',100,2,6),
(229032,10162315,'When Equipped:',100,0,0),
(229033,10162315,'On a healing spell cast this spell may cast Greater Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(229034,10162315,'When any damage is received this spell will cast Greater Reflexive Restoration on target.  ',100,2,2),
(229035,10162315,'Heals caster for 343',100,3,3),
(229036,10162315,'Cannot be modified except by direct means',100,3,4),
(229037,10162315,'Grants a total of 3 triggers of the spell.',100,3,5),
(229038,10162315,'Cannot be modified except by direct means',100,2,6),
(229039,104929,'Inflicts 623 - 1039 ranged damage on target',100,1,0),
(229040,104929,'Decreases Deflection and Parry of target by 35.3',100,1,1),
(229041,104929,'Requires bow',100,1,2),
(229042,10104929,'Inflicts 530 - 883 ranged damage on target',100,1,0),
(229043,10104929,'Decreases Deflection and Parry of target by 35.3',100,1,1),
(229044,10104929,'Requires bow',100,1,2),
(229045,117051,'Inflicts 106 - 176 melee damage on target',100,1,0),
(229046,117051,'Decreases Attack Speed of target by 14.2',100,1,1),
(229047,10117051,'Inflicts 137 - 229 melee damage on target',100,1,0),
(229048,10117051,'Decreases Attack Speed of target by 14.2',100,1,1),
(229049,45743,'Applies Starpyre''s Invigoration  when Activated.',100,0,0),
(229050,45743,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(229051,10045743,'Applies Starpyre''s Invigoration  when Activated.',100,0,0),
(229052,10045743,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(229053,154392,'When Equipped:',100,0,0),
(229054,154392,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(229055,154392,'When Equipped:',100,0,2),
(229056,154392,'On a damage spell hit this spell may cast Bloodcall on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(229057,154392,'Inflicts 367 - 550 magic damage on target',100,2,4),
(229058,154392,'Heals caster for 367 - 550',100,2,5),
(229059,154392,'Cannot be modified except by direct means',100,2,6),
(229060,154392,'Cannot be modified except by direct means',100,1,7),
(229061,10154392,'When Equipped:',100,0,0),
(229062,10154392,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(229063,10154392,'When Equipped:',100,0,2),
(229064,10154392,'On a damage spell hit this spell may cast Bloodcall on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(229065,10154392,'Inflicts 477 - 715 magic damage on target',100,2,4),
(229066,10154392,'Heals caster for 238 - 358',100,2,5),
(229067,10154392,'Cannot be modified except by direct means',100,2,6),
(229068,10154392,'Cannot be modified except by direct means',100,1,7),
(229069,114806,'Decreases WIS of target by 84.2',100,1,0),
(229070,114806,'Increases WIS and STA of caster by 84.2',100,1,1),
(229071,114806,'Decreases Max Health of target by 1.6%',100,1,2),
(229072,114806,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 268',100,1,3),
(229073,114806,'Only affects targets level 17 and above',100,1,4),
(229074,10114806,'Decreases WIS of target by 84.2',100,1,0),
(229075,10114806,'Increases WIS and STA of caster by 84.2',100,1,1),
(229076,10114806,'Decreases Max Health of target by 1.6%',100,1,2),
(229077,10114806,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 268',100,1,3),
(229078,10114806,'Only affects targets level 17 and above',100,1,4),
(229079,108686,'Inflicts 47 heat damage on target',100,1,0),
(229080,108686,'Inflicts 10 heat damage on target every 4 seconds',100,1,1),
(229081,10108686,'Inflicts 85 heat damage on target',100,1,0),
(229082,10108686,'Inflicts 14 heat damage on target every 4 seconds',100,1,1),
(229083,110804,'Inflicts 82 - 111 mental damage on target',100,1,0),
(229084,10110804,'Inflicts 106 - 144 mental damage on target',100,1,0),
(229085,110378,'Increases STR and AGI of group members (AE) by 38.6',100,1,0),
(229086,110378,'Adds 1.5% to base avoidance.',100,1,1),
(229087,10110378,'Increases STR and AGI of group members (AE) by 38.6',100,1,0),
(229088,10110378,'Adds 1.5% to base avoidance.',100,1,1),
(229089,105243,'Decreases STR and INT of target by 123.2',100,1,0),
(229090,105243,'Only affects targets level 20 and above',100,1,1),
(229091,10105243,'Decreases STR and INT of target by 123.2',100,1,0),
(229092,10105243,'Only affects targets level 20 and above',100,1,1),
(229093,115713,'Applies Open Wounds.',100,1,0),
(229094,115713,'Inflicts 186 - 346 slashing damage on targets in Area of Effect',100,2,1),
(229095,115713,'Increases Attack Speed of caster by 54.4',100,1,2),
(229096,115713,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(229097,10115713,'Applies Open Wounds.',100,1,0),
(229098,10115713,'Inflicts 242 - 450 slashing damage on targets in Area of Effect',100,2,1),
(229099,10115713,'Increases Attack Speed of caster by 54.4',100,1,2),
(229100,10115713,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(229101,40625,'When Equipped:',100,0,0),
(229102,40625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229103,40625,'Inflicts 180 - 271 magic damage on target',100,2,2),
(229104,40625,'Cannot be modified except by direct means',100,2,3),
(229105,10040625,'When Equipped:',100,0,0),
(229106,10040625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229107,10040625,'Inflicts 235 - 352 magic damage on target',100,2,2),
(229108,10040625,'Cannot be modified except by direct means',100,2,3),
(229109,36424,'Increases AGI of target by 1.1',100,0,0),
(229110,36424,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(229111,123222,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(229112,123222,'Inflicts 237 - 290 disease damage on target',100,2,1),
(229113,123222,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(229114,123222,'This effect cannot be critically applied.',100,3,3),
(229115,123222,'The healing of this spell cannot be modified except by direct means',100,2,4),
(229116,123222,'Grants a total of 5 triggers of the spell.',100,2,5),
(229117,10123222,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(229118,10123222,'Inflicts 309 - 377 disease damage on target',100,2,1),
(229119,10123222,'Heals caster for 1.0 - 1.3% of max health',100,2,2),
(229120,10123222,'This effect cannot be critically applied.',100,3,3),
(229121,10123222,'The healing of this spell cannot be modified except by direct means',100,2,4),
(229122,10123222,'Grants a total of 5 triggers of the spell.',100,2,5),
(229123,101316,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(229124,101316,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 78',100,1,1),
(229125,101316,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,2),
(229126,10101316,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(229127,10101316,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 78',100,1,1),
(229128,10101316,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,2),
(229129,116883,'Wards group members (AE) against 1459 points of noxious damage',100,1,0),
(229130,116883,'Increases Mitigation of group members (AE) vs noxious damage by 798',100,1,1),
(229131,10116883,'Wards group members (AE) against 1459 points of noxious damage',100,1,0),
(229132,10116883,'Increases Mitigation of group members (AE) vs noxious damage by 798',100,1,1),
(229133,121417,'Inflicts 1684 - 2058 ranged damage on targets in area',100,1,0),
(229134,10121417,'Inflicts 1431 - 1749 ranged damage on targets in area',100,1,0),
(229135,113186,'Inflicts 1989 disease damage on target',100,1,0),
(229136,113186,'Heals caster for 937',100,1,1),
(229137,10113186,'Inflicts 2586 disease damage on target',100,1,0),
(229138,10113186,'Heals caster for 791',100,1,1),
(229139,109107,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(229140,109107,'Increases Attack Speed of caster by 46.1',100,1,1),
(229141,109107,'Increases Damage Per Second of caster by 53.1',100,1,2),
(229142,109107,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(229143,109107,'Increases Ranged of caster by 37.0',100,1,4),
(229144,109107,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(229145,109107,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(229146,109107,'Increases Crushing of group members (AE) by 37.0',100,2,7),
(229147,109107,'Increases Slashing of group members (AE) by 37.0',100,2,8),
(229148,109107,'If profession other than Ranger',100,3,9),
(229149,109107,'Increases Piercing of group members (AE) by 37.0',100,2,10),
(229150,109107,'If profession other than Ranger',100,3,11),
(229151,10109107,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(229152,10109107,'Increases Attack Speed of caster by 46.1',100,1,1),
(229153,10109107,'Increases Damage Per Second of caster by 53.1',100,1,2),
(229154,10109107,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(229155,10109107,'Increases Ranged of caster by 37.0',100,1,4),
(229156,10109107,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(229157,10109107,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(229158,10109107,'Increases Crushing of group members (AE) by 37.0',100,2,7),
(229159,10109107,'Increases Slashing of group members (AE) by 37.0',100,2,8),
(229160,10109107,'If profession other than Ranger',100,3,9),
(229161,10109107,'Increases Piercing of group members (AE) by 37.0',100,2,10),
(229162,10109107,'If profession other than Ranger',100,3,11),
(229163,48029,'Applies Shielding of the Faydark when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(229164,48029,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(229165,48029,'Inflicts 7 magic damage on target',100,2,2),
(229166,48029,'Cannot be modified except by direct means',100,2,3),
(229167,10048029,'Applies Shielding of the Faydark when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(229168,10048029,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(229169,10048029,'Inflicts 9 magic damage on target',100,2,2),
(229170,10048029,'Cannot be modified except by direct means',100,2,3),
(229171,106163,'Wards target against 16 points of all damage',100,1,0),
(229172,106163,'Decreases INT of target by 28.0',100,1,1),
(229173,106163,'Decreases Attack Speed of target by 25.0',100,1,2),
(229174,106163,'Increases Max Health of target by 12.0%',100,1,3),
(229175,106163,'Increases Hate Gain of target by 15.9%',100,1,4),
(229176,106163,'Increases Aggression of target by 2.5',100,1,5),
(229177,106163,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(229178,106163,'Increases Threat to target encounter by 18 - 22 ',100,2,7),
(229179,106163,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,8),
(229180,10106163,'Wards target against 16 points of all damage',100,1,0),
(229181,10106163,'Decreases INT of target by 28.0',100,1,1),
(229182,10106163,'Decreases Attack Speed of target by 25.0',100,1,2),
(229183,10106163,'Increases Max Health of target by 12.0%',100,1,3),
(229184,10106163,'Increases Aggression of target by 2.5',100,1,4),
(229185,10106163,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,5),
(229186,48247,'Applies Starpyre''s Invigoration when Activated.',100,0,0),
(229187,48247,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(229188,10048247,'Applies Starpyre''s Invigoration when Activated.',100,0,0),
(229189,10048247,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(229190,37002,'Increases INT of target by 5.4',100,0,0),
(229191,37002,'Increases outgoing damaging spell amount by 2%',100,0,1),
(229192,37002,'Increases STA of target by 5.4',100,0,2),
(229193,37002,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,3),
(229194,108179,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',100,1,0),
(229195,10108179,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',100,1,0),
(229196,118485,'Summons a limited pet to aid the caster',100,1,0),
(229197,10118485,'Summons a limited pet to aid the caster',100,1,0),
(229198,136006,'When Equipped:',100,0,0),
(229199,136006,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(229200,136006,'Heals caster for 56',100,2,2),
(229201,136006,'Cannot be modified except by direct means',100,2,3),
(229202,10136006,'When Equipped:',100,0,0),
(229203,10136006,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(229204,10136006,'Heals caster for 36',100,2,2),
(229205,10136006,'Cannot be modified except by direct means',100,2,3),
(229206,71373,'When Equipped:',100,0,0),
(229207,71373,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229208,71373,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(229209,71373,'Cannot be modified except by direct means',100,2,3),
(229210,10071373,'When Equipped:',100,0,0),
(229211,10071373,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229212,10071373,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(229213,10071373,'Cannot be modified except by direct means',100,2,3),
(229214,110180,'Applies Untreated Bleeding on termination.',100,1,0),
(229215,110180,'Inflicts 335 - 559 piercing damage on target',100,2,1),
(229216,110180,'Inflicts 72 - 120 piercing damage on target instantly and every 4 seconds',100,1,2),
(229217,110180,'Inflicts 47 - 79 melee damage on target',100,1,3),
(229218,10110180,'Applies Untreated Bleeding on termination.',100,1,0),
(229219,10110180,'Inflicts 436 - 726 piercing damage on target',100,2,1),
(229220,10110180,'Inflicts 93 - 156 piercing damage on target instantly and every 4 seconds',100,1,2),
(229221,10110180,'Inflicts 62 - 103 melee damage on target',100,1,3),
(229222,150895,'When Equipped:',100,0,0),
(229223,150895,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(229224,10150895,'When Equipped:',100,0,0),
(229225,10150895,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(229226,71588,'When Equipped:',100,0,0),
(229227,71588,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229228,71588,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(229229,71588,'Cannot be modified except by direct means',100,2,3),
(229230,10071588,'When Equipped:',100,0,0),
(229231,10071588,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229232,10071588,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(229233,10071588,'Cannot be modified except by direct means',100,2,3),
(229234,120058,'Inflicts 41 - 68 mental damage on target',100,1,0),
(229235,120058,'Inflicts 41 - 68 mental damage on target',100,1,1),
(229236,120058,'Stifles target',100,1,2),
(229237,120058,'If Target is not Epic',100,2,3),
(229238,120058,'If weapon equipped in Ranged',100,1,4),
(229239,120058,'Resistibility increases against targets higher than level 45.',100,1,5),
(229240,10120058,'Inflicts 35 - 58 mental damage on target',100,1,0),
(229241,10120058,'Inflicts 35 - 58 mental damage on target',100,1,1),
(229242,10120058,'Stifles target',100,1,2),
(229243,10120058,'If Target is not Epic',100,2,3),
(229244,10120058,'If weapon equipped in Ranged',100,1,4),
(229245,10120058,'Resistibility increases against targets higher than level 45.',100,1,5),
(229246,113719,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(229247,10113719,'Dispels 62 levels of any hostile effects on group members (AE)',100,1,0),
(229248,37373,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(229249,72136,'When Equipped:',100,0,0),
(229250,72136,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229251,72136,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(229252,72136,'Cannot be modified except by direct means',100,2,3),
(229253,10072136,'When Equipped:',100,0,0),
(229254,10072136,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229255,10072136,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(229256,10072136,'Cannot be modified except by direct means',100,2,3),
(229257,105821,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(229258,105821,'Inflicts 166 - 276 disease damage on target',100,2,1),
(229259,10105821,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(229260,10105821,'Inflicts 215 - 359 disease damage on target',100,2,1),
(229261,100780,'Wards target against 171 points of all damage',100,1,0),
(229262,10100780,'Wards target against 264 points of all damage',100,1,0),
(229263,102721,'Inflicts 20 - 33 piercing damage on target instantly and every 4 seconds',100,1,0),
(229264,102721,'Inflicts 9 - 16 melee damage on target',100,1,1),
(229265,102721,'If facing target',100,1,2),
(229266,10102721,'Inflicts 26 - 43 piercing damage on target instantly and every 4 seconds',100,1,0),
(229267,10102721,'Inflicts 12 - 21 melee damage on target',100,1,1),
(229268,10102721,'If facing target',100,1,2),
(229269,120583,'Inflicts 41 - 77 heat damage on target',100,1,0),
(229270,10120583,'Inflicts 54 - 100 heat damage on target',100,1,0),
(229271,163259,'When Equipped:',100,0,0),
(229272,163259,'On any combat or spell hit this spell may cast Fatal Pestilience VII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(229273,163259,'Inflicts 90 - 99 disease damage on targets in Area of Effect',100,2,2),
(229274,163259,'Inflicts 112 - 124 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(229275,163259,'Inflicts an additional 8 - 9 disease damage on targets in Area of Effect every tick',100,2,4),
(229276,163259,'Must not be engaged in pvp combat',100,2,5),
(229277,163259,'Cannot be modified except by direct means',100,2,6),
(229278,163259,'Must not be engaged in pvp combat',100,1,7),
(229279,10163259,'When Equipped:',100,0,0),
(229280,10163259,'On any combat or spell hit this spell may cast Fatal Pestilience VII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(229281,10163259,'Inflicts 117 - 129 disease damage on targets in Area of Effect',100,2,2),
(229282,10163259,'Inflicts 146 - 162 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(229283,10163259,'Inflicts an additional 8 - 9 disease damage on targets in Area of Effect every tick',100,2,4),
(229284,10163259,'Must not be engaged in pvp combat',100,2,5),
(229285,10163259,'Cannot be modified except by direct means',100,2,6),
(229286,10163259,'Must not be engaged in pvp combat',100,1,7),
(229287,46347,'Applies Flame Root when Activated.',100,0,0),
(229288,46347,'Inflicts 185 - 278 heat damage on target',100,1,1),
(229289,10046347,'Applies Flame Root when Activated.',100,0,0),
(229290,10046347,'Inflicts 241 - 361 heat damage on target',100,1,1),
(229291,123694,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(229292,123694,'Inflicts 96 divine damage on target',100,2,1),
(229293,123694,'Grants a total of 5 triggers of the spell.',100,2,2),
(229294,10123694,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(229295,10123694,'Inflicts 125 divine damage on target',100,2,1),
(229296,10123694,'Grants a total of 5 triggers of the spell.',100,2,2),
(229297,101725,'Mesmerizes target',100,1,0),
(229298,101725,'Prevents AOE (except when direct) ',100,1,1),
(229299,101725,'Mesmerizes caster',100,1,2),
(229300,101725,'Dispelled when target takes damage',100,1,3),
(229301,101725,'Does not affect Epic targets',100,1,4),
(229302,101725,'Resistibility increases against targets higher than level 82.',100,1,5),
(229303,10101725,'Mesmerizes target',100,1,0),
(229304,10101725,'Prevents AOE (except when direct) ',100,1,1),
(229305,10101725,'Mesmerizes caster',100,1,2),
(229306,10101725,'Dispelled when target takes damage',100,1,3),
(229307,10101725,'Does not affect Epic targets',100,1,4),
(229308,10101725,'Resistibility increases against targets higher than level 82.',100,1,5),
(229309,52724,'Applies Sanguine Imbued when Equipped.',100,0,0),
(229310,52724,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(229311,52724,'Inflicts 50 heat damage on target',100,2,2),
(229312,52724,'Cannot be modified except by direct means',100,2,3),
(229313,10052724,'Applies Sanguine Imbued when Equipped.',100,0,0),
(229314,10052724,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(229315,10052724,'Inflicts 65 heat damage on target',100,2,2),
(229316,10052724,'Cannot be modified except by direct means',100,2,3),
(229317,113192,'Inflicts 20 - 26 magic damage on target',100,1,0),
(229318,10113192,'Inflicts 25 - 34 magic damage on target',100,1,0),
(229319,37496,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(229320,173489,'When Equipped:',100,0,0),
(229321,173489,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(229322,173489,'Must not be engaged in pvp combat',100,1,2),
(229323,10173489,'When Equipped:',100,0,0),
(229324,10173489,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(229325,10173489,'Must not be engaged in pvp combat',100,1,2),
(229326,119807,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(229327,119807,'Adds 1.1% to base avoidance.',100,1,1),
(229328,10119807,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(229329,10119807,'Adds 1.1% to base avoidance.',100,1,1),
(229330,112946,'Inflicts 77 - 233 crushing damage on target',100,1,0),
(229331,10112946,'Inflicts 101 - 303 crushing damage on target',100,1,0),
(229332,80758,'When Equipped:',100,0,0),
(229333,80758,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229334,80758,'Inflicts 230 - 426 magic damage on target',100,2,2),
(229335,80758,'Cannot be modified except by direct means',100,2,3),
(229336,10080758,'When Equipped:',100,0,0),
(229337,10080758,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229338,10080758,'Inflicts 298 - 554 magic damage on target',100,2,2),
(229339,10080758,'Cannot be modified except by direct means',100,2,3),
(229340,192092,'When Equipped:',100,0,0),
(229341,192092,'Increases Attack Speed of caster by 40.0',100,1,1),
(229342,10192092,'When Equipped:',100,0,0),
(229343,10192092,'Increases Attack Speed of caster by 40.0',100,1,1),
(229344,80609,'When Equipped:',100,0,0),
(229345,80609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229346,80609,'Inflicts 75 - 138 magic damage on target',100,2,2),
(229347,80609,'Cannot be modified except by direct means',100,2,3),
(229348,10080609,'When Equipped:',100,0,0),
(229349,10080609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229350,10080609,'Inflicts 97 - 180 magic damage on target',100,2,2),
(229351,10080609,'Cannot be modified except by direct means',100,2,3),
(229352,48175,'Applies Call Spirit Steed when Activated.',100,0,0),
(229353,48175,'Summons a mount to ride',100,1,1),
(229354,48175,'Increases your ground speed by 130%',100,2,2),
(229355,10048175,'Applies Call Spirit Steed when Activated.',100,0,0),
(229356,10048175,'Summons a mount to ride',100,1,1),
(229357,10048175,'Increases your ground speed by 130%',100,2,2),
(229358,103927,'Wards group members (AE) collectively against 1917 total points of all damage',100,1,0),
(229359,10103927,'Wards group members (AE) collectively against 2856 total points of all damage',100,1,0),
(229360,114930,'Inflicts 645 - 1076 melee damage on target',100,1,0),
(229361,114930,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1486',100,1,1),
(229362,114930,'Must be behind',100,1,2),
(229363,10114930,'Inflicts 839 - 1398 melee damage on target',100,1,0),
(229364,10114930,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 743',100,1,1),
(229365,10114930,'Must be behind',100,1,2),
(229366,149117,'When Equipped:',100,0,0),
(229367,149117,'When any damage is received this spell has a 5% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(229368,149117,'Inflicts 230 - 383 divine damage on target',100,2,2),
(229369,149117,'Cannot be modified except by direct means',100,2,3),
(229370,149117,'When any damage is received this spell has a 15% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,4),
(229371,149117,'Inflicts 76 - 103 divine damage on target',100,2,5),
(229372,149117,'Inflicts 191 - 258 divine damage on target every 12 seconds',100,2,6),
(229373,149117,'If target is undead',100,3,7),
(229374,149117,'If target is undead',100,2,8),
(229375,149117,'Cannot be modified except by direct means',100,2,9),
(229376,10149117,'When Equipped:',100,0,0),
(229377,10149117,'When any damage is received this spell has a 5% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(229378,10149117,'Inflicts 299 - 498 divine damage on target',100,2,2),
(229379,10149117,'Cannot be modified except by direct means',100,2,3),
(229380,10149117,'When any damage is received this spell has a 15% chance to cast Light Strike on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,4),
(229381,10149117,'Inflicts 99 - 134 divine damage on target',100,2,5),
(229382,10149117,'Inflicts 248 - 335 divine damage on target every 12 seconds',100,2,6),
(229383,10149117,'If target is undead',100,3,7),
(229384,10149117,'If target is undead',100,2,8),
(229385,10149117,'Cannot be modified except by direct means',100,2,9),
(229386,50532,'When Equipped:',100,0,0),
(229387,50532,'On a hostile spell cast this spell may cast Direwood Thorns on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(229388,50532,'Inflicts 599 piercing damage on target',100,2,2),
(229389,50532,'Cannot be modified except by direct means',100,2,3),
(229390,10050532,'When Equipped:',100,0,0),
(229391,10050532,'On a hostile spell cast this spell may cast Direwood Thorns on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(229392,10050532,'Inflicts 778 piercing damage on target',100,2,2),
(229393,10050532,'Cannot be modified except by direct means',100,2,3),
(229394,117227,'Inflicts 23 slashing damage on target every 4 seconds',100,1,0),
(229395,117227,'Inflicts 115 - 192 melee damage on target',100,1,1),
(229396,10117227,'Inflicts 30 slashing damage on target every 4 seconds',100,1,0),
(229397,10117227,'Inflicts 150 - 250 melee damage on target',100,1,1),
(229398,111190,'Inflicts 242 - 404 divine damage on targets in area',100,1,0),
(229399,111190,'Heals group members (AE) for 2.1% of max health',100,1,1),
(229400,111190,'This effect cannot be critically applied.',100,2,2),
(229401,111190,'The healing of this spell cannot be modified except by direct means',100,1,3),
(229402,10111190,'Inflicts 315 - 525 divine damage on targets in area',100,1,0),
(229403,10111190,'Heals group members (AE) for 1.4% of max health',100,1,1),
(229404,10111190,'This effect cannot be critically applied.',100,2,2),
(229405,10111190,'The healing of this spell cannot be modified except by direct means',100,1,3),
(229406,116285,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(229407,116285,'On death this spell will cast Pestilence Mark on target.  ',100,2,1),
(229408,116285,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,2),
(229409,116285,'Grants a total of 1 trigger of the spell.',100,3,3),
(229410,116285,'Inflicts 484 - 591 disease damage on caster',100,2,4),
(229411,116285,'Inflicts 161 - 197 disease damage on caster every 2 seconds',100,2,5),
(229412,10116285,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(229413,10116285,'On death this spell will cast Pestilence Mark on target.  ',100,2,1),
(229414,10116285,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,2),
(229415,10116285,'Grants a total of 1 trigger of the spell.',100,3,3),
(229416,10116285,'Inflicts 629 - 769 disease damage on caster',100,2,4),
(229417,10116285,'Inflicts 210 - 256 disease damage on caster every 2 seconds',100,2,5),
(229418,135776,'When Equipped:',100,0,0),
(229419,135776,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(229420,135776,'Heals caster for 118 instantly and every 5 seconds',100,2,2),
(229421,135776,'Cannot be modified except by direct means',100,2,3),
(229422,10135776,'When Equipped:',100,0,0),
(229423,10135776,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(229424,10135776,'Heals caster for 77 instantly and every 5 seconds',100,2,2),
(229425,10135776,'Cannot be modified except by direct means',100,2,3),
(229426,111222,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(229427,111222,'Heals target for 89 - 108',100,2,1),
(229428,10111222,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(229429,10111222,'Heals target for 58 - 70',100,2,1),
(229430,134227,'When Equipped:',100,0,0),
(229431,134227,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(229432,10134227,'When Equipped:',100,0,0),
(229433,10134227,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(229434,114893,'Causes 12% Threat to transfer to target when in combat',100,1,0),
(229435,36690,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(229436,36690,'This effect suspends during combat',100,0,1),
(229437,109257,'Increases INT and WIS of group members (AE) by 70.0',100,1,0),
(229438,109257,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 202',100,1,1),
(229439,10109257,'Increases INT and WIS of group members (AE) by 70.0',100,1,0),
(229440,10109257,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 202',100,1,1),
(229441,73734,'Applies Frost Blast when Activated.',100,0,0),
(229442,73734,'Inflicts 195 - 325 cold damage on target',100,1,1),
(229443,73734,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(229444,10073734,'Applies Frost Blast when Activated.',100,0,0),
(229445,10073734,'Inflicts 253 - 422 cold damage on target',100,1,1),
(229446,10073734,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(229447,35138,'Increases Max Power of target by 3.3',100,0,0),
(229448,35138,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(229449,124162,'Inflicts 6 - 10 melee damage on target',100,1,0),
(229450,10124162,'Inflicts 8 - 13 melee damage on target',100,1,0),
(229451,120937,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(229452,120937,'Inflicts 680 - 832 mental damage on target',100,2,1),
(229453,120937,'Grants a total of 3 triggers of the spell.',100,2,2),
(229454,10120937,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(229455,10120937,'Inflicts 884 - 1081 mental damage on target',100,2,1),
(229456,10120937,'Grants a total of 3 triggers of the spell.',100,2,2),
(229457,87566,'Applies Poison Bolt when Activated.',100,0,0),
(229458,87566,'Inflicts 418 - 696 poison damage on target',100,1,1),
(229459,87566,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(229460,10087566,'Applies Poison Bolt when Activated.',100,0,0),
(229461,10087566,'Inflicts 543 - 905 poison damage on target',100,1,1),
(229462,10087566,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(229463,80606,'When Equipped:',100,0,0),
(229464,80606,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(229465,80606,'Decreases Threat to target by 236 ',100,2,2),
(229466,80606,'Must be flanking or behind',100,3,3),
(229467,80606,'Increases Threat to target by 236 ',100,2,4),
(229468,80606,'Must be in front of',100,3,5),
(229469,80606,'Inflicts 83 - 154 magic damage on target',100,2,6),
(229470,80606,'Cannot be modified except by direct means',100,2,7),
(229471,10080606,'When Equipped:',100,0,0),
(229472,10080606,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(229473,10080606,'Inflicts 108 - 200 magic damage on target',100,2,2),
(229474,10080606,'Cannot be modified except by direct means',100,2,3),
(229475,71750,'When Equipped:',100,0,0),
(229476,71750,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229477,71750,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(229478,71750,'Cannot be modified except by direct means',100,2,3),
(229479,10071750,'When Equipped:',100,0,0),
(229480,10071750,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229481,10071750,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(229482,10071750,'Cannot be modified except by direct means',100,2,3),
(229483,108657,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(229484,108657,'Heals target for 713',100,2,1),
(229485,108657,'Heals target for 178 every 2 seconds',100,2,2),
(229486,108657,'Increases AGI of target by 62.7',100,2,3),
(229487,108657,'Grants a total of 1 trigger of the spell.',100,2,4),
(229488,10108657,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(229489,10108657,'Heals target for 463',100,2,1),
(229490,10108657,'Heals target for 116 every 2 seconds',100,2,2),
(229491,10108657,'Increases AGI of target by 62.7',100,2,3),
(229492,10108657,'Grants a total of 1 trigger of the spell.',100,2,4),
(229493,173833,'When Equipped:',100,0,0),
(229494,173833,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(229495,173833,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(229496,173833,'Increases Damage Per Second of caster by 9.0',100,2,3),
(229497,173833,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(229498,173833,'Must not be engaged in pvp combat',100,2,5),
(229499,173833,'Cannot be modified except by direct means',100,2,6),
(229500,173833,'Cannot be modified except by direct means',100,1,7),
(229501,10173833,'When Equipped:',100,0,0),
(229502,10173833,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(229503,10173833,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(229504,10173833,'Increases Damage Per Second of caster by 9.0',100,2,3),
(229505,10173833,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(229506,10173833,'Must not be engaged in pvp combat',100,2,5),
(229507,10173833,'Cannot be modified except by direct means',100,2,6),
(229508,10173833,'Cannot be modified except by direct means',100,1,7),
(229509,101117,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1523',100,1,0),
(229510,10101117,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1523',100,1,0),
(229511,115964,'Inflicts 72 - 107 mental damage on target',100,1,0),
(229512,115964,'Stuns target',100,1,1),
(229513,115964,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(229514,115964,'Resistibility increases against targets higher than level 42.',100,1,3),
(229515,10115964,'Inflicts 93 - 139 mental damage on target',100,1,0),
(229516,10115964,'Stuns target',100,1,1),
(229517,10115964,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(229518,10115964,'Resistibility increases against targets higher than level 42.',100,1,3),
(229519,87637,'When Equipped:',100,0,0),
(229520,87637,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(229521,87637,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(229522,87637,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(229523,87637,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(229524,87637,'Must not be engaged in pvp combat',100,2,5),
(229525,87637,'Cannot be modified except by direct means',100,2,6),
(229526,87637,'Cannot be modified except by direct means',100,1,7),
(229527,10087637,'When Equipped:',100,0,0),
(229528,10087637,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(229529,10087637,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(229530,10087637,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(229531,10087637,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(229532,10087637,'Must not be engaged in pvp combat',100,2,5),
(229533,10087637,'Cannot be modified except by direct means',100,2,6),
(229534,10087637,'Cannot be modified except by direct means',100,1,7),
(229535,122419,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(229536,122419,'Inflicts 38 - 47 piercing damage on target encounter',100,2,1),
(229537,10122419,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(229538,10122419,'Inflicts 50 - 61 piercing damage on target encounter',100,2,1),
(229539,110277,'Decreases Mitigation of target vs arcane damage by 460',100,1,0),
(229540,110277,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(229541,110277,'Slows target by 34.6%',100,2,2),
(229542,110277,'5% chance to dispel when target receives hostile action',100,2,3),
(229543,110277,'5% chance to dispel when target takes damage',100,2,4),
(229544,10110277,'Decreases Mitigation of target vs arcane damage by 460',100,1,0),
(229545,10110277,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(229546,10110277,'Slows target by 34.6%',100,2,2),
(229547,10110277,'5% chance to dispel when target receives hostile action',100,2,3),
(229548,10110277,'5% chance to dispel when target takes damage',100,2,4),
(229549,113113,'Heals target for 56.2 - 68.6% of max health',100,1,0),
(229550,113113,'This effect cannot be critically applied.',100,2,1),
(229551,113113,'Increases Max Health of target by 940.5',100,1,2),
(229552,113113,'Increases Mitigation of target vs physical damage by 1079',100,1,3),
(229553,113113,'The healing of this spell cannot be modified except by direct means',100,1,4),
(229554,10113113,'Heals target for 22.5 - 27.5% of max health',100,1,0),
(229555,10113113,'This effect cannot be critically applied.',100,2,1),
(229556,10113113,'Increases Max Health of target by 940.5',100,1,2),
(229557,10113113,'Increases Mitigation of target vs physical damage by 1079',100,1,3),
(229558,10113113,'The healing of this spell cannot be modified except by direct means',100,1,4),
(229559,40942,'When Equipped:',100,0,0),
(229560,40942,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(229561,40942,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(229562,40942,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,3),
(229563,40942,'Increases Potency of caster by 3.0%',100,2,4),
(229564,40942,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(229565,40942,'Must not be engaged in pvp combat',100,2,6),
(229566,40942,'Cannot be modified except by direct means',100,2,7),
(229567,40942,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(229568,40942,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,9),
(229569,40942,'Increases Potency of caster by 3.0%',100,2,10),
(229570,40942,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(229571,40942,'Must not be engaged in pvp combat',100,2,12),
(229572,40942,'Cannot be modified except by direct means',100,2,13),
(229573,40942,'Cannot be modified except by direct means',100,1,14),
(229574,10040942,'When Equipped:',100,0,0),
(229575,10040942,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(229576,10040942,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(229577,10040942,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,3),
(229578,10040942,'Increases Potency of caster by 3.0%',100,2,4),
(229579,10040942,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(229580,10040942,'Must not be engaged in pvp combat',100,2,6),
(229581,10040942,'Cannot be modified except by direct means',100,2,7),
(229582,10040942,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(229583,10040942,'Increases INT, AGI, WIS and STR of caster by 110.0',100,2,9),
(229584,10040942,'Increases Potency of caster by 3.0%',100,2,10),
(229585,10040942,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(229586,10040942,'Must not be engaged in pvp combat',100,2,12),
(229587,10040942,'Cannot be modified except by direct means',100,2,13),
(229588,10040942,'Cannot be modified except by direct means',100,1,14),
(229589,102968,'Increases STR and AGI of group members (AE) by 12.3',100,1,0),
(229590,10102968,'Increases STR and AGI of group members (AE) by 12.3',100,1,0),
(229591,143395,'When Equipped:',100,0,0),
(229592,143395,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(229593,143395,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(229594,143395,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(229595,143395,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(229596,143395,'Must not be engaged in pvp combat',100,2,5),
(229597,143395,'Cannot be modified except by direct means',100,2,6),
(229598,10143395,'When Equipped:',100,0,0),
(229599,10143395,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(229600,10143395,'Inflicts 1207 - 1475 heat damage on target',100,2,2),
(229601,10143395,'Inflicts 1207 - 1475 heat damage on target',100,2,3),
(229602,10143395,'Inflicts 1207 - 1475 heat damage on target',100,2,4),
(229603,10143395,'Must not be engaged in pvp combat',100,2,5),
(229604,10143395,'Cannot be modified except by direct means',100,2,6),
(229605,102444,'Stuns target encounter',100,1,0),
(229606,102444,'Epic targets gain an immunity to Stun effects of 10.5 seconds and duration is reduced to 1.2 seconds.',100,1,1),
(229607,102444,'Resistibility increases against targets higher than level 59.',100,1,2),
(229608,10102444,'Stuns target encounter',100,1,0),
(229609,10102444,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(229610,10102444,'Resistibility increases against targets higher than level 59.',100,1,2),
(229611,85122,'When Equipped:',100,0,0),
(229612,85122,'On a hit this spell may cast Pursuing Strike on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229613,85122,'Caster is immune to slow effects.',100,2,2),
(229614,85122,'Makes caster immune to Root effects',100,2,3),
(229615,85122,'Inflicts 329 - 402 poison damage on target',100,2,4),
(229616,85122,'Cannot be modified except by direct means',100,2,5),
(229617,85122,'Cannot be modified except by direct means',100,1,6),
(229618,10085122,'When Equipped:',100,0,0),
(229619,10085122,'On a hit this spell may cast Pursuing Strike on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229620,10085122,'Caster is immune to slow effects.',100,2,2),
(229621,10085122,'Makes caster immune to Root effects',100,2,3),
(229622,10085122,'Inflicts 428 - 523 poison damage on target',100,2,4),
(229623,10085122,'Cannot be modified except by direct means',100,2,5),
(229624,10085122,'Cannot be modified except by direct means',100,1,6),
(229625,109078,'Inflicts 159 - 265 melee damage on target',100,1,0),
(229626,109078,'Inflicts 159 - 265 melee damage on target',100,1,1),
(229627,109078,'Inflicts 159 - 265 melee damage on target',100,1,2),
(229628,109078,'Decreases Mitigation of target vs physical damage by 420',100,1,3),
(229629,10109078,'Inflicts 207 - 345 melee damage on target',100,1,0),
(229630,10109078,'Inflicts 207 - 345 melee damage on target',100,1,1),
(229631,10109078,'Inflicts 207 - 345 melee damage on target',100,1,2),
(229632,10109078,'Decreases Mitigation of target vs physical damage by 420',100,1,3),
(229633,111596,'Inflicts 39 - 72 cold damage on target instantly and every 4 seconds',100,1,0),
(229634,111596,'Decreases Mitigation of target vs elemental damage by 492',100,1,1),
(229635,10111596,'Inflicts 50 - 94 cold damage on target instantly and every 4 seconds',100,1,0),
(229636,10111596,'Decreases Mitigation of target vs elemental damage by 492',100,1,1),
(229637,117595,'Inflicts 980 - 1634 melee damage on target',100,1,0),
(229638,117595,'Decreases Parry of target by 70.6',100,1,1),
(229639,117595,'Must be in front of or flanking',100,1,2),
(229640,10117595,'Inflicts 1275 - 2125 melee damage on target',100,1,0),
(229641,10117595,'Decreases Parry of target by 70.6',100,1,1),
(229642,10117595,'Must be in front of or flanking',100,1,2),
(229643,40608,'When Equipped:',100,0,0),
(229644,40608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229645,40608,'Inflicts 180 - 271 magic damage on target',100,2,2),
(229646,40608,'Cannot be modified except by direct means',100,2,3),
(229647,10040608,'When Equipped:',100,0,0),
(229648,10040608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229649,10040608,'Inflicts 235 - 352 magic damage on target',100,2,2),
(229650,10040608,'Cannot be modified except by direct means',100,2,3),
(229651,123923,'Increases STR and WIS of target by 46.5',100,1,0),
(229652,123923,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,1),
(229653,10123923,'Increases STR and WIS of target by 46.5',100,1,0),
(229654,10123923,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,1),
(229655,36371,'Increases Max Power of target by 5.5',100,0,0),
(229656,36371,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(229657,53528,'Applies Obscure when Activated.  Lasts for 5 minutes.',100,0,0),
(229658,53528,'Grants invisibility to caster',100,1,1),
(229659,53528,'Suspends caster''s movement speed enhancements',100,1,2),
(229660,53528,'Dispelled when target takes damage',100,1,3),
(229661,53528,'This effect cancels during combat',100,1,4),
(229662,53528,'Only affects targets level 30 and above',100,1,5),
(229663,53528,'The casting time of Obscure is 5.0 seconds and the reuse time of the spell is 25 minutes',100,1,6),
(229664,10053528,'Applies Obscure when Activated.  Lasts for 5 minutes.',100,0,0),
(229665,10053528,'Grants invisibility to caster',100,1,1),
(229666,10053528,'Suspends caster''s movement speed enhancements',100,1,2),
(229667,10053528,'Dispelled when target takes damage',100,1,3),
(229668,10053528,'This effect cancels during combat',100,1,4),
(229669,10053528,'Only affects targets level 30 and above',100,1,5),
(229670,10053528,'The casting time of Obscure is 5.0 seconds and the reuse time of the spell is 25 minutes',100,1,6),
(229671,124578,'Decreases Threat to targets in Area of Effect by 1,692 ',100,1,0),
(229672,124578,'Interrupts targets in Area of Effect',100,1,1),
(229673,124578,'Roots targets in Area of Effect',100,1,2),
(229674,124578,'If Target is not Epic',100,2,3),
(229675,10124578,'Applies Distract.',100,1,0),
(229676,10124578,'Forces target to clear their selected target.',100,2,1),
(229677,10124578,'Interrupts targets in Area of Effect',100,1,2),
(229678,10124578,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(229679,10124578,'Roots targets in Area of Effect',100,1,4),
(229680,10124578,'If Target is not Epic',100,2,5),
(229681,120084,'Inflicts 383 - 639 mental damage on target',100,1,0),
(229682,120084,'Inflicts 383 - 639 mental damage on target',100,1,1),
(229683,120084,'Stifles target',100,1,2),
(229684,120084,'If Target is not Epic',100,2,3),
(229685,120084,'If weapon equipped in Ranged',100,1,4),
(229686,120084,'Resistibility increases against targets higher than level 100.',100,1,5),
(229687,10120084,'Inflicts 434 - 724 mental damage on target',100,1,0),
(229688,10120084,'Inflicts 434 - 724 mental damage on target',100,1,1),
(229689,10120084,'Stifles target',100,1,2),
(229690,10120084,'If Target is not Epic',100,2,3),
(229691,10120084,'If weapon equipped in Ranged',100,1,4),
(229692,10120084,'Resistibility increases against targets higher than level 100.',100,1,5),
(229693,159081,'When Equipped:',100,0,0),
(229694,159081,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229695,159081,'Increases STR of caster by 17.3',100,2,2),
(229696,159081,'Increases Damage Per Second of caster by 21.0',100,2,3),
(229697,159081,'Cannot be modified except by direct means',100,2,4),
(229698,10159081,'When Equipped:',100,0,0),
(229699,10159081,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229700,10159081,'Increases STR of caster by 17.3',100,2,2),
(229701,10159081,'Increases Damage Per Second of caster by 21.0',100,2,3),
(229702,10159081,'Cannot be modified except by direct means',100,2,4),
(229703,103267,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(229704,103267,'If Fighter',100,2,1),
(229705,103267,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(229706,103267,'Increases power of target by 4 instantly and every 4 seconds',100,2,3),
(229707,103267,'Increases power of caster by 4 instantly and every 4 seconds',100,2,4),
(229708,10103267,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(229709,10103267,'Increases power of target by 4 instantly and every 4 seconds',100,2,1),
(229710,10103267,'Increases power of caster by 4 instantly and every 4 seconds',100,2,2),
(229711,159347,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(229712,159347,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(229713,159347,'Inflicts 200 heat damage on target',100,2,2),
(229714,159347,'Cannot be modified except by direct means',100,2,3),
(229715,10159347,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(229716,10159347,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(229717,10159347,'Inflicts 260 heat damage on target',100,2,2),
(229718,10159347,'Cannot be modified except by direct means',100,2,3),
(229719,120554,'Decreases Defense of target by 41.4',100,1,0),
(229720,10120554,'Decreases Defense of target by 41.4',100,1,0),
(229721,105643,'Inflicts 151 disease damage on target instantly and every 6 seconds',100,1,0),
(229722,105643,'Inflicts 348 - 580 disease damage on target',100,1,1),
(229723,105643,'Inflicts 348 - 580 disease damage on target',100,1,2),
(229724,10105643,'Inflicts 196 disease damage on target instantly and every 6 seconds',100,1,0),
(229725,10105643,'Inflicts 452 - 754 disease damage on target',100,1,1),
(229726,10105643,'Inflicts 452 - 754 disease damage on target',100,1,2),
(229727,106628,'Inflicts 701 - 857 disease damage on target',100,1,0),
(229728,106628,'Heals caster for 7.6 - 9.2% of max health',100,1,1),
(229729,106628,'This effect cannot be critically applied.',100,2,2),
(229730,106628,'The healing of this spell cannot be modified except by direct means',100,1,3),
(229731,10106628,'Inflicts 912 - 1114 disease damage on target',100,1,0),
(229732,10106628,'Heals caster for 2.5 - 3.1% of max health',100,1,1),
(229733,10106628,'This effect cannot be critically applied.',100,2,2),
(229734,10106628,'The healing of this spell cannot be modified except by direct means',100,1,3),
(229735,71809,'When Equipped:',100,0,0),
(229736,71809,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229737,71809,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(229738,71809,'Cannot be modified except by direct means',100,2,3),
(229739,10071809,'When Equipped:',100,0,0),
(229740,10071809,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229741,10071809,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(229742,10071809,'Cannot be modified except by direct means',100,2,3),
(229743,103837,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',100,1,0),
(229744,103837,'Increases Attack Speed of raid and group members (AE) by 14.2',100,1,1),
(229745,10103837,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',100,1,0),
(229746,10103837,'Increases Attack Speed of raid and group members (AE) by 14.2',100,1,1),
(229747,109668,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(229748,109668,'Increases Mitigation of group members (AE) vs arcane damage by 191',100,1,1),
(229749,10109668,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(229750,10109668,'Increases Mitigation of group members (AE) vs arcane damage by 191',100,1,1),
(229751,115445,'Inflicts 106 - 129 mental damage on target instantly and every 6 seconds',100,1,0),
(229752,115445,'Decreases Mitigation of target vs arcane damage by 672',100,1,1),
(229753,10115445,'Inflicts 138 - 168 mental damage on target instantly and every 6 seconds',100,1,0),
(229754,10115445,'Decreases Mitigation of target vs arcane damage by 672',100,1,1),
(229755,101931,'Inflicts 290 - 484 melee damage on target',100,1,0),
(229756,101931,'Inflicts 97 piercing damage on target instantly and every 4 seconds',100,1,1),
(229757,101931,'Must be behind',100,1,2),
(229758,10101931,'Inflicts 378 - 630 melee damage on target',100,1,0),
(229759,10101931,'Inflicts 126 piercing damage on target instantly and every 4 seconds',100,1,1),
(229760,10101931,'Must be behind',100,1,2),
(229761,117492,'Increases Attack Speed of target by 43.7',100,1,0),
(229762,10117492,'Increases Attack Speed of target by 43.7',100,1,0),
(229763,103524,'Charms target',100,1,0),
(229764,103524,'If outside an arena',100,1,1),
(229765,103524,'Certain enemies cannot be charmed',100,1,2),
(229766,103524,'Does not affect Epic targets',100,1,3),
(229767,10103524,'Mesmerizes target',100,1,0),
(229768,10103524,'Prevents AOE (except when direct) ',100,1,1),
(229769,10103524,'Dispelled when target takes damage',100,1,2),
(229770,10103524,'If outside an arena',100,1,3),
(229771,10103524,'Certain enemies cannot be charmed',100,1,4),
(229772,10103524,'Does not affect Epic targets',100,1,5),
(229773,10103524,'Resistibility increases against targets higher than level 103.',100,1,6),
(229774,35855,'Increases STR of target by 1.5',100,0,0),
(229775,35855,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(229776,123865,'Increases AGI of caster by 65.0',100,1,0),
(229777,123865,'Adds 18.7% to base avoidance.',100,1,1),
(229778,123865,'Increases Damage Per Second of caster by 52.3',100,1,2),
(229779,123865,'Increases Mitigation of caster vs physical damage by 580',100,1,3),
(229780,123865,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(229781,10123865,'Increases AGI of caster by 65.0',100,1,0),
(229782,10123865,'Adds 18.7% to base avoidance.',100,1,1),
(229783,10123865,'Increases Damage Per Second of caster by 52.3',100,1,2),
(229784,10123865,'Increases Mitigation of caster vs physical damage by 580',100,1,3),
(229785,10123865,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,4),
(229786,117929,'Heals target for 21 - 26',100,1,0),
(229787,117929,'Increases Max Health of target by 3.1',100,1,1),
(229788,10117929,'Heals target for 25 - 30',100,1,0),
(229789,10117929,'Increases Max Health of target by 3.1',100,1,1),
(229790,115561,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1384',100,1,0),
(229791,10115561,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1384',100,1,0),
(229792,46121,'Applies Elixir of the Wind when Activated.  Lasts for 5 minutes.',100,0,0),
(229793,46121,'Grants invisibility to caster',100,1,1),
(229794,46121,'Suspends caster''s movement speed enhancements',100,1,2),
(229795,46121,'Increases stealth or invisible movement speed of caster by 40.0%',100,1,3),
(229796,46121,'Dispelled when target takes damage',100,1,4),
(229797,46121,'This effect cancels during combat',100,1,5),
(229798,10046121,'Applies Elixir of the Wind when Activated.  Lasts for 5 minutes.',100,0,0),
(229799,10046121,'Grants invisibility to caster',100,1,1),
(229800,10046121,'Suspends caster''s movement speed enhancements',100,1,2),
(229801,10046121,'Increases stealth or invisible movement speed of caster by 40.0%',100,1,3),
(229802,10046121,'Dispelled when target takes damage',100,1,4),
(229803,10046121,'This effect cancels during combat',100,1,5),
(229804,87363,'When Equipped:',100,0,0),
(229805,87363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229806,87363,'Inflicts 150 - 225 magic damage on target',100,2,2),
(229807,87363,'Cannot be modified except by direct means',100,2,3),
(229808,10087363,'When Equipped:',100,0,0),
(229809,10087363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229810,10087363,'Inflicts 195 - 292 magic damage on target',100,2,2),
(229811,10087363,'Cannot be modified except by direct means',100,2,3),
(229812,82403,'When Equipped:',100,0,0),
(229813,82403,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(229814,82403,'Decreases Threat to target by 376 ',100,2,2),
(229815,82403,'Must be flanking or behind',100,3,3),
(229816,82403,'Increases Threat to target by 376 ',100,2,4),
(229817,82403,'Must be in front of',100,3,5),
(229818,82403,'Inflicts 167 - 311 magic damage on target',100,2,6),
(229819,82403,'Cannot be modified except by direct means',100,2,7),
(229820,10082403,'When Equipped:',100,0,0),
(229821,10082403,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(229822,10082403,'Inflicts 217 - 404 magic damage on target',100,2,2),
(229823,10082403,'Cannot be modified except by direct means',100,2,3),
(229824,121298,'Inflicts 436 - 726 melee damage on targets in area',100,1,0),
(229825,121298,'Inflicts 132 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(229826,121298,'You must be in stealth or have Bloody Assault.',100,1,2),
(229827,10121298,'Inflicts 567 - 945 melee damage on targets in area',100,1,0),
(229828,10121298,'Inflicts 172 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(229829,10121298,'You must be in stealth or have Bloody Assault.',100,1,2),
(229830,118644,'Inflicts 21 - 35 slashing damage on target',100,1,0),
(229831,10118644,'Inflicts 28 - 46 slashing damage on target',100,1,0),
(229832,121022,'Wards group members (AE) against 20 points of physical damage',100,1,0),
(229833,121022,'Increases Mitigation of group members (AE) vs physical damage by 160',100,1,1),
(229834,10121022,'Wards group members (AE) against 20 points of physical damage',100,1,0),
(229835,10121022,'Increases Mitigation of group members (AE) vs physical damage by 160',100,1,1),
(229836,75304,'When Equipped:',100,0,0),
(229837,75304,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(229838,75304,'Decreases power of target by 135',100,2,2),
(229839,75304,'Increases power of caster by 82',100,2,3),
(229840,75304,'Cannot be modified except by direct means',100,2,4),
(229841,10075304,'When Equipped:',100,0,0),
(229842,10075304,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(229843,10075304,'Decreases power of target by 135',100,2,2),
(229844,10075304,'Increases power of caster by 82',100,2,3),
(229845,10075304,'Cannot be modified except by direct means',100,2,4),
(229846,105659,'Decreases Damage Per Second of target by 22.3',100,1,0),
(229847,105659,'Inflicts 142 - 237 melee damage on target',100,1,1),
(229848,105659,'Must be flanking or behind',100,1,2),
(229849,10105659,'Decreases Damage Per Second of target by 22.3',100,1,0),
(229850,10105659,'Inflicts 185 - 308 melee damage on target',100,1,1),
(229851,10105659,'Must be flanking or behind',100,1,2),
(229852,130009,'Applies courier costume when Equipped.',100,0,0),
(229853,10130009,'Applies courier costume when Equipped.',100,0,0),
(229854,103721,'Increases Max Health of raid and group members (AE) by 253.5',100,1,0),
(229855,103721,'Increases Defense of raid and group members (AE) by 9.4',100,1,1),
(229856,10103721,'Increases Max Health of raid and group members (AE) by 253.5',100,1,0),
(229857,10103721,'Increases Defense of raid and group members (AE) by 9.4',100,1,1),
(229858,109905,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(229859,109905,'Inflicts 103 - 126 poison damage on target instantly and every 4 seconds',100,2,1),
(229860,10109905,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(229861,10109905,'Inflicts 134 - 164 poison damage on target instantly and every 4 seconds',100,2,1),
(229862,162384,'When Equipped:',100,0,0),
(229863,162384,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(229864,10162384,'When Equipped:',100,0,0),
(229865,10162384,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(229866,25458,'When Equipped:',100,0,0),
(229867,25458,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(229868,25458,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,2),
(229869,10025458,'When Equipped:',100,0,0),
(229870,10025458,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(229871,10025458,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact VII.',100,1,2),
(229872,82295,'When Equipped:',100,0,0),
(229873,82295,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229874,82295,'Inflicts 267 - 496 magic damage on target',100,2,2),
(229875,82295,'Cannot be modified except by direct means',100,2,3),
(229876,10082295,'When Equipped:',100,0,0),
(229877,10082295,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229878,10082295,'Inflicts 347 - 644 magic damage on target',100,2,2),
(229879,10082295,'Cannot be modified except by direct means',100,2,3),
(229880,102939,'Inflicts 356 - 435 disease damage on target instantly and every 4 seconds',100,1,0),
(229881,10102939,'Inflicts 601 - 734 disease damage on target',100,1,0),
(229882,10102939,'Inflicts 462 - 565 disease damage on target every 4 seconds',100,1,1),
(229883,53979,'When Equipped:',100,0,0),
(229884,53979,'Increases Crit Chance of caster by 2.0',100,1,1),
(229885,53979,'When a combat art is used this spell will cast Firesong on target of combat art.  ',100,1,2),
(229886,53979,'Inflicts 86 heat damage on target',100,2,3),
(229887,53979,'Cannot be modified except by direct means',100,2,4),
(229888,10053979,'When Equipped:',100,0,0),
(229889,10053979,'Increases Crit Chance of caster by 2.0',100,1,1),
(229890,10053979,'When a combat art is used this spell will cast Firesong on target of combat art.  ',100,1,2),
(229891,10053979,'Inflicts 112 heat damage on target',100,2,3),
(229892,10053979,'Cannot be modified except by direct means',100,2,4),
(229893,71925,'When Equipped:',100,0,0),
(229894,71925,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229895,71925,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(229896,71925,'Cannot be modified except by direct means',100,2,3),
(229897,10071925,'When Equipped:',100,0,0),
(229898,10071925,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(229899,10071925,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(229900,10071925,'Cannot be modified except by direct means',100,2,3),
(229901,84331,'When Equipped:',100,0,0),
(229902,84331,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(229903,84331,'Stuns target',100,2,2),
(229904,84331,'Only affects targets level 95 and below',100,2,3),
(229905,84331,'Does not affect Epic targets',100,2,4),
(229906,84331,'Resistibility increases against targets higher than level 103.',100,2,5),
(229907,84331,'Cannot be modified except by direct means',100,2,6),
(229908,10084331,'When Equipped:',100,0,0),
(229909,10084331,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(229910,10084331,'Stuns target',100,2,2),
(229911,10084331,'Only affects targets level 95 and below',100,2,3),
(229912,10084331,'Does not affect Epic targets',100,2,4),
(229913,10084331,'Resistibility increases against targets higher than level 103.',100,2,5),
(229914,10084331,'Cannot be modified except by direct means',100,2,6),
(229915,163440,'When Equipped:',100,0,0),
(229916,163440,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(229917,163440,'Inflicts 2664 disease damage on target encounter',100,2,2),
(229918,163440,'Must not be engaged in pvp combat',100,2,3),
(229919,163440,'Cannot be modified except by direct means',100,2,4),
(229920,10163440,'When Equipped:',100,0,0),
(229921,10163440,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(229922,10163440,'Inflicts 1732 disease damage on target encounter',100,2,2),
(229923,10163440,'Must not be engaged in pvp combat',100,2,3),
(229924,10163440,'Cannot be modified except by direct means',100,2,4),
(229925,106824,'Decreases AGI and STR of target encounter by 194.0',100,1,0),
(229926,10106824,'Decreases AGI and STR of target encounter by 194.0',100,1,0),
(229927,45984,'Applies Spirit of the fungus when Activated.  Lasts for 12 hours.',100,0,0),
(229928,45984,'Shapechanges caster into a skinny fungusman',100,1,1),
(229929,45984,'If female',100,2,2),
(229930,45984,'Shapechanges caster into a burly fungusman',100,1,3),
(229931,45984,'If male',100,2,4),
(229932,10045984,'Applies Spirit of the fungus when Activated.  Lasts for 12 hours.',100,0,0),
(229933,10045984,'Shapechanges caster into a skinny fungusman',100,1,1),
(229934,10045984,'If female',100,2,2),
(229935,10045984,'Shapechanges caster into a burly fungusman',100,1,3),
(229936,10045984,'If male',100,2,4),
(229937,80960,'When Equipped:',100,0,0),
(229938,80960,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229939,80960,'Inflicts 296 - 551 magic damage on target',100,2,2),
(229940,80960,'Cannot be modified except by direct means',100,2,3),
(229941,10080960,'When Equipped:',100,0,0),
(229942,10080960,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229943,10080960,'Inflicts 385 - 716 magic damage on target',100,2,2),
(229944,10080960,'Cannot be modified except by direct means',100,2,3),
(229945,82631,'When Equipped:',100,0,0),
(229946,82631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229947,82631,'Inflicts 118 - 218 magic damage on target',100,2,2),
(229948,82631,'Cannot be modified except by direct means',100,2,3),
(229949,10082631,'When Equipped:',100,0,0),
(229950,10082631,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229951,10082631,'Inflicts 153 - 284 magic damage on target',100,2,2),
(229952,10082631,'Cannot be modified except by direct means',100,2,3),
(229953,48471,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(229954,48471,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(229955,48471,'Inflicts 240 poison damage on target',100,2,2),
(229956,48471,'Inflicts 70 poison damage on target instantly and every 6 seconds',100,2,3),
(229957,48471,'Cannot be modified except by direct means',100,2,4),
(229958,48471,'Grants a total of 200 triggers of the spell.',100,2,5),
(229959,10048471,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(229960,10048471,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(229961,10048471,'Inflicts 69 poison damage on target instantly and every 6 seconds',100,2,2),
(229962,10048471,'Inflicts 234 poison damage on target',100,2,3),
(229963,10048471,'Cannot be modified except by direct means',100,2,4),
(229964,10048471,'Grants a total of 200 triggers of the spell.',100,2,5),
(229965,101846,'Summons a limited pet to aid the caster',100,1,0),
(229966,10101846,'Summons a limited pet to aid the caster',100,1,0),
(229967,82323,'When Equipped:',100,0,0),
(229968,82323,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229969,82323,'Inflicts 288 - 534 magic damage on target',100,2,2),
(229970,82323,'Cannot be modified except by direct means',100,2,3),
(229971,10082323,'When Equipped:',100,0,0),
(229972,10082323,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(229973,10082323,'Inflicts 374 - 695 magic damage on target',100,2,2),
(229974,10082323,'Cannot be modified except by direct means',100,2,3),
(229975,143555,'When Equipped:',100,0,0),
(229976,143555,'Increases Attack Speed of caster by 35.0',100,1,1),
(229977,10143555,'When Equipped:',100,0,0),
(229978,10143555,'Increases Attack Speed of caster by 35.0',100,1,1),
(229979,106415,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(229980,106415,'Inflicts 409 - 500 mental damage on target',100,2,1),
(229981,106415,'Grants a total of 3 triggers of the spell.',100,2,2),
(229982,10106415,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(229983,10106415,'Inflicts 532 - 650 mental damage on target',100,2,1),
(229984,10106415,'Grants a total of 3 triggers of the spell.',100,2,2),
(229985,162287,'When Equipped:',100,0,0),
(229986,162287,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(229987,162287,'Inflicts 187 heat damage on target',100,2,2),
(229988,162287,'Cannot be modified except by direct means',100,2,3),
(229989,10162287,'When Equipped:',100,0,0),
(229990,10162287,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(229991,10162287,'Inflicts 244 heat damage on target',100,2,2),
(229992,10162287,'Cannot be modified except by direct means',100,2,3),
(229993,121544,'Inflicts 193 - 322 melee damage on targets in area',100,1,0),
(229994,121544,'Stuns target encounter',100,1,1),
(229995,121544,'If Target is not Epic',100,2,2),
(229996,121544,'Resistibility increases against targets higher than level 61.',100,1,3),
(229997,10121544,'Inflicts 251 - 419 melee damage on targets in area',100,1,0),
(229998,10121544,'Stuns target encounter',100,1,1),
(229999,10121544,'If Target is not Epic',100,2,2),
(230000,10121544,'Resistibility increases against targets higher than level 61.',100,1,3),
(230001,123653,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(230002,123653,'Slows target by 39.0%',100,2,1),
(230003,123653,'5% chance to dispel when target receives hostile action',100,2,2),
(230004,123653,'5% chance to dispel when target takes damage',100,2,3),
(230005,123653,'Inflicts 406 - 496 cold damage on target',100,1,4),
(230006,10123653,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(230007,10123653,'Slows target by 39.0%',100,2,1),
(230008,10123653,'5% chance to dispel when target receives hostile action',100,2,2),
(230009,10123653,'5% chance to dispel when target takes damage',100,2,3),
(230010,10123653,'Inflicts 452 - 553 cold damage on target',100,1,4),
(230011,25753,'When Equipped:',100,0,0),
(230012,25753,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(230013,25753,'Removes the concentration from Riana''s Relentless Tune VII.',100,1,2),
(230014,10025753,'When Equipped:',100,0,0),
(230015,10025753,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(230016,10025753,'Removes the concentration from Riana''s Relentless Tune VII.',100,1,2),
(230017,106523,'Inflicts 2024 - 3374 melee damage on target',100,1,0),
(230018,106523,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(230019,106523,'If Target is Standard or weaker',100,2,2),
(230020,10106523,'Inflicts 1316 - 2193 melee damage on target',100,1,0),
(230021,113803,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(230022,113803,'Heals target for 709 - 867',100,2,1),
(230023,10113803,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(230024,10113803,'Heals target for 461 - 563',100,2,1),
(230025,85423,'When Equipped:',100,0,0),
(230026,85423,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(230027,85423,'Increases Threat to target by 3,000 ',100,2,2),
(230028,85423,'Inflicts 1192 mental damage on target',100,2,3),
(230029,85423,'Cannot be modified except by direct means',100,2,4),
(230030,85423,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(230031,85423,'Increases Threat to target by 3,000 ',100,2,6),
(230032,85423,'Inflicts 1192 mental damage on target',100,2,7),
(230033,85423,'Cannot be modified except by direct means',100,2,8),
(230034,10085423,'When Equipped:',100,0,0),
(230035,10085423,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(230036,10085423,'Inflicts 1549 mental damage on target',100,2,2),
(230037,10085423,'Cannot be modified except by direct means',100,2,3),
(230038,10085423,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(230039,10085423,'Inflicts 1549 mental damage on target',100,2,5),
(230040,10085423,'Cannot be modified except by direct means',100,2,6),
(230041,35139,'Increases AGI of target by 1.5',100,0,0),
(230042,35139,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(230043,101283,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(230044,101283,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,1),
(230045,10101283,'Increases Max Health of group members (AE) by 219.0',100,1,0),
(230046,10101283,'Increases Mitigation of group members (AE) vs physical damage by 417',100,1,1),
(230047,36366,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(230048,48035,'Applies Shifting Root when Activated.  Lasts for 3 minutes 18 seconds.',100,0,0),
(230049,48035,'Grants invisibility to caster',100,1,1),
(230050,48035,'Suspends caster''s movement speed enhancements',100,1,2),
(230051,48035,'Dispelled when target receives hostile action',100,1,3),
(230052,48035,'Dispelled when target takes damage',100,1,4),
(230053,10048035,'Applies Shifting Root when Activated.  Lasts for 3 minutes 18 seconds.',100,0,0),
(230054,10048035,'Grants invisibility to caster',100,1,1),
(230055,10048035,'Suspends caster''s movement speed enhancements',100,1,2),
(230056,10048035,'Dispelled when target receives hostile action',100,1,3),
(230057,10048035,'Dispelled when target takes damage',100,1,4),
(230058,50611,'When Equipped:',100,0,0),
(230059,50611,'Increases caster''s chance to block by 5.0%',100,1,1),
(230060,10050611,'When Equipped:',100,0,0),
(230061,10050611,'Increases caster''s chance to block by 5.0%',100,1,1),
(230062,123093,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(230063,123093,'Roots target',100,2,1),
(230064,123093,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(230065,123093,'Slows target by 54.0%',100,3,3),
(230066,123093,'5% chance to dispel when target receives hostile action',100,3,4),
(230067,123093,'5% chance to dispel when target takes damage',100,3,5),
(230068,123093,'5% chance to dispel when target takes damage',100,2,6),
(230069,123093,'Does not affect Epic targets',100,2,7),
(230070,123093,'Resistibility increases against targets higher than level 104.',100,2,8),
(230071,123093,'Decreases AGI of target encounter by 72.6',100,1,9),
(230072,10123093,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(230073,10123093,'Roots target',100,2,1),
(230074,10123093,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(230075,10123093,'Slows target by 54.0%',100,3,3),
(230076,10123093,'5% chance to dispel when target receives hostile action',100,3,4),
(230077,10123093,'5% chance to dispel when target takes damage',100,3,5),
(230078,10123093,'5% chance to dispel when target takes damage',100,2,6),
(230079,10123093,'Does not affect Epic targets',100,2,7),
(230080,10123093,'Resistibility increases against targets higher than level 104.',100,2,8),
(230081,10123093,'Decreases AGI of target encounter by 72.6',100,1,9),
(230082,35540,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(230083,104273,'Inflicts 62 - 103 crushing damage on target',100,1,0),
(230084,104273,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(230085,104273,'Stuns target',100,2,2),
(230086,104273,'Throws target back',100,2,3),
(230087,104273,'Blurs vision of target',100,2,4),
(230088,104273,'Does not affect Epic targets',100,2,5),
(230089,10104273,'Inflicts 81 - 135 crushing damage on target',100,1,0),
(230090,10104273,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(230091,10104273,'Stuns target',100,2,2),
(230092,10104273,'Throws target back',100,2,3),
(230093,10104273,'Blurs vision of target',100,2,4),
(230094,10104273,'Does not affect Epic targets',100,2,5),
(230095,113848,'Inflicts 899 - 1498 disease damage on target',100,1,0),
(230096,10113848,'Inflicts 1169 - 1948 disease damage on target',100,1,0),
(230097,101450,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(230098,101450,'Increases Mitigation of group members (AE) vs noxious damage by 599',100,1,1),
(230099,10101450,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(230100,10101450,'Increases Mitigation of group members (AE) vs noxious damage by 599',100,1,1),
(230101,159489,'Applies Sanguine Imbued when Equipped.',100,0,0),
(230102,159489,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(230103,159489,'Inflicts 117 heat damage on target',100,2,2),
(230104,159489,'Cannot be modified except by direct means',100,2,3),
(230105,10159489,'Applies Sanguine Imbued when Equipped.',100,0,0),
(230106,10159489,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(230107,10159489,'Inflicts 152 heat damage on target',100,2,2),
(230108,10159489,'Cannot be modified except by direct means',100,2,3),
(230109,122807,'Heals target for 1809',100,1,0),
(230110,10122807,'Heals target for 1411',100,1,0),
(230111,119759,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(230112,119759,'Inflicts 27 - 33 poison damage on target encounter',100,2,1),
(230113,10119759,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(230114,10119759,'Inflicts 35 - 43 poison damage on target encounter',100,2,1),
(230115,121280,'Inflicts 145 - 241 melee damage on targets in area',100,1,0),
(230116,121280,'Inflicts 44 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(230117,121280,'You must be in stealth or have Bloody Assault.',100,1,2),
(230118,10121280,'Inflicts 188 - 314 melee damage on targets in area',100,1,0),
(230119,10121280,'Inflicts 57 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(230120,10121280,'You must be in stealth or have Bloody Assault.',100,1,2),
(230121,161045,'When Equipped:',100,0,0),
(230122,161045,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(230123,161045,'Wards caster against 720 points of all damage',100,2,2),
(230124,161045,'Cannot be modified except by direct means',100,2,3),
(230125,161045,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(230126,10161045,'When Equipped:',100,0,0),
(230127,10161045,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(230128,10161045,'Wards caster against 720 points of all damage',100,2,2),
(230129,10161045,'Cannot be modified except by direct means',100,2,3),
(230130,10161045,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(230131,101482,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(230132,101482,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(230133,10101482,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(230134,10101482,'Increases Mitigation of group members (AE) vs arcane damage by 605',100,1,1),
(230135,107379,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',100,1,0),
(230136,107379,'Inflicts 223 - 272 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(230137,10107379,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',100,1,0),
(230138,10107379,'Inflicts 290 - 354 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(230139,135022,'When Equipped:',100,0,0),
(230140,135022,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230141,135022,'Inflicts 1199 cold damage on target encounter',100,2,2),
(230142,135022,'Cannot be modified except by direct means',100,2,3),
(230143,10135022,'When Equipped:',100,0,0),
(230144,10135022,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230145,10135022,'Inflicts 779 cold damage on target encounter',100,2,2),
(230146,10135022,'Cannot be modified except by direct means',100,2,3),
(230147,36889,'Increases AGI of target by 1.5',100,0,0),
(230148,36889,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(230149,82916,'When Equipped:',100,0,0),
(230150,82916,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230151,82916,'Inflicts 315 - 585 magic damage on target',100,2,2),
(230152,82916,'Cannot be modified except by direct means',100,2,3),
(230153,10082916,'When Equipped:',100,0,0),
(230154,10082916,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230155,10082916,'Inflicts 409 - 760 magic damage on target',100,2,2),
(230156,10082916,'Cannot be modified except by direct means',100,2,3),
(230157,111103,'Heals target for 18.8 - 23.0% of max health',100,1,0),
(230158,111103,'This effect cannot be critically applied.',100,2,1),
(230159,111103,'Increases Mitigation of target vs physical damage by 157',100,1,2),
(230160,111103,'The healing of this spell cannot be modified except by direct means',100,1,3),
(230161,10111103,'Heals target for 7.1 - 8.6% of max health',100,1,0),
(230162,10111103,'This effect cannot be critically applied.',100,2,1),
(230163,10111103,'Increases Mitigation of target vs physical damage by 157',100,1,2),
(230164,10111103,'The healing of this spell cannot be modified except by direct means',100,1,3),
(230165,108264,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(230166,108264,'Inflicts 157 heat damage on target',100,2,1),
(230167,108264,'Grants a total of 3 triggers of the spell.',100,2,2),
(230168,10108264,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(230169,10108264,'Inflicts 205 heat damage on target',100,2,1),
(230170,10108264,'Grants a total of 3 triggers of the spell.',100,2,2),
(230171,122540,'Heals caster for 61',100,1,0),
(230172,122540,'Inflicts 144 - 240 melee damage on target',100,1,1),
(230173,10122540,'Heals caster for 40',100,1,0),
(230174,10122540,'Inflicts 187 - 312 melee damage on target',100,1,1),
(230175,139558,'When Equipped:',100,0,0),
(230176,139558,'On a hostile spell cast this spell has a 10% chance to cast Silken Grace on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(230177,139558,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(230178,139558,'Cannot be modified except by direct means',100,2,3),
(230179,10139558,'When Equipped:',100,0,0),
(230180,10139558,'On a hostile spell cast this spell has a 10% chance to cast Silken Grace on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(230181,10139558,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(230182,10139558,'Cannot be modified except by direct means',100,2,3),
(230183,113206,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(230184,113206,'Inflicts 77 magic damage on target',100,2,1),
(230185,113206,'Grants a total of 5 triggers of the spell.',100,2,2),
(230186,10113206,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(230187,10113206,'Inflicts 100 magic damage on target',100,2,1),
(230188,10113206,'Grants a total of 5 triggers of the spell.',100,2,2),
(230189,81026,'When Equipped:',100,0,0),
(230190,81026,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230191,81026,'Inflicts 230 - 426 magic damage on target',100,2,2),
(230192,81026,'Cannot be modified except by direct means',100,2,3),
(230193,10081026,'When Equipped:',100,0,0),
(230194,10081026,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230195,10081026,'Inflicts 298 - 554 magic damage on target',100,2,2),
(230196,10081026,'Cannot be modified except by direct means',100,2,3),
(230197,116414,'Heals target for 698 - 853 instantly and every 2 seconds',100,1,0),
(230198,10116414,'Heals target for 453 - 554 instantly and every 2 seconds',100,1,0),
(230199,82505,'When Equipped:',100,0,0),
(230200,82505,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230201,82505,'Inflicts 267 - 496 magic damage on target',100,2,2),
(230202,82505,'Cannot be modified except by direct means',100,2,3),
(230203,10082505,'When Equipped:',100,0,0),
(230204,10082505,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230205,10082505,'Inflicts 347 - 644 magic damage on target',100,2,2),
(230206,10082505,'Cannot be modified except by direct means',100,2,3),
(230207,109879,'Increases Defense of group members (AE) by 35.5',100,1,0),
(230208,10109879,'Increases Defense of group members (AE) by 35.5',100,1,0),
(230209,103483,'Increases In-Combat Power Regeneration of group members (AE) by 21.5',100,1,0),
(230210,10103483,'Increases In-Combat Power Regeneration of group members (AE) by 21.5',100,1,0),
(230211,24495,'Adds Lair of Scale: Scaled Golden Chair to your Dungeon Maker toolbox',100,0,0),
(230212,10024495,'Adds Lair of Scale: Scaled Golden Chair to your Dungeon Maker toolbox',100,0,0),
(230213,80954,'When Equipped:',100,0,0),
(230214,80954,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(230215,80954,'Inflicts 288 - 534 magic damage on target',100,2,2),
(230216,80954,'Decreases Threat to target by 672 ',100,2,3),
(230217,80954,'Must be flanking or behind',100,3,4),
(230218,80954,'Increases Threat to target by 672 ',100,2,5),
(230219,80954,'Must be in front of',100,3,6),
(230220,80954,'Cannot be modified except by direct means',100,2,7),
(230221,10080954,'When Equipped:',100,0,0),
(230222,10080954,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(230223,10080954,'Inflicts 374 - 695 magic damage on target',100,2,2),
(230224,10080954,'Cannot be modified except by direct means',100,2,3),
(230225,188261,'When Equipped:',100,0,0),
(230226,188261,'1% of all damage received by the caster is prevented.',100,1,1),
(230227,188261,'Must not be engaged in pvp combat',100,1,2),
(230228,10188261,'When Equipped:',100,0,0),
(230229,10188261,'1% of all damage received by the caster is prevented.',100,1,1),
(230230,10188261,'Must not be engaged in pvp combat',100,1,2),
(230231,122597,'Inflicts 143 - 175 mental damage on target instantly and every 3 seconds',100,1,0),
(230232,122597,'Decreases Mitigation of target vs arcane damage by 848',100,1,1),
(230233,10122597,'Inflicts 186 - 227 mental damage on target instantly and every 3 seconds',100,1,0),
(230234,10122597,'Decreases Mitigation of target vs arcane damage by 848',100,1,1),
(230235,102948,'Inflicts 116 - 142 disease damage on target instantly and every 4 seconds',100,1,0),
(230236,10102948,'Inflicts 197 - 240 disease damage on target',100,1,0),
(230237,10102948,'Inflicts 151 - 185 disease damage on target every 4 seconds',100,1,1),
(230238,48030,'Applies Shielding of the Tranquilheart when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(230239,48030,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(230240,48030,'Inflicts 4 magic damage on target',100,2,2),
(230241,48030,'Cannot be modified except by direct means',100,2,3),
(230242,10048030,'Applies Shielding of the Tranquilheart when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(230243,10048030,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(230244,10048030,'Inflicts 6 magic damage on target',100,2,2),
(230245,10048030,'Cannot be modified except by direct means',100,2,3),
(230246,79469,'When Equipped:',100,0,0),
(230247,79469,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(230248,79469,'Roots target',100,2,2),
(230249,79469,'25% chance to dispel when target takes damage',100,2,3),
(230250,79469,'Only affects targets level 90 and below',100,2,4),
(230251,79469,'Does not affect Epic targets',100,2,5),
(230252,79469,'Resistibility increases against targets higher than level 103.',100,2,6),
(230253,79469,'Cannot be modified except by direct means',100,2,7),
(230254,10079469,'When Equipped:',100,0,0),
(230255,10079469,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(230256,10079469,'Roots target',100,2,2),
(230257,10079469,'25% chance to dispel when target takes damage',100,2,3),
(230258,10079469,'Only affects targets level 90 and below',100,2,4),
(230259,10079469,'Does not affect Epic targets',100,2,5),
(230260,10079469,'Resistibility increases against targets higher than level 103.',100,2,6),
(230261,10079469,'Cannot be modified except by direct means',100,2,7),
(230262,102509,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(230263,102509,'Increases Aggression of caster by 3.2',100,1,1),
(230264,102509,'Increases Defense and Parry of caster by 6.5',100,1,2),
(230265,102509,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(230266,10102509,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(230267,10102509,'Increases Aggression of caster by 3.2',100,1,1),
(230268,10102509,'Increases Defense and Parry of caster by 6.5',100,1,2),
(230269,10102509,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(230270,24769,'Adds Wyvern (Assassin) to your Dungeon Maker toolbox',100,0,0),
(230271,10024769,'Adds Wyvern (Assassin) to your Dungeon Maker toolbox',100,0,0),
(230272,105537,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 29.4',100,1,0),
(230273,10105537,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 29.4',100,1,0),
(230274,117011,'Inflicts 132 - 397 melee damage on target',100,1,0),
(230275,10117011,'Inflicts 172 - 516 melee damage on target',100,1,0),
(230276,81741,'When Equipped:',100,0,0),
(230277,81741,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230278,81741,'Inflicts 148 - 274 magic damage on target',100,2,2),
(230279,81741,'Cannot be modified except by direct means',100,2,3),
(230280,10081741,'When Equipped:',100,0,0),
(230281,10081741,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230282,10081741,'Inflicts 192 - 356 magic damage on target',100,2,2),
(230283,10081741,'Cannot be modified except by direct means',100,2,3),
(230284,113758,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(230285,113758,'Inflicts 483 piercing damage on target',100,2,1),
(230286,113758,'Grants a total of 60 triggers of the spell.',100,2,2),
(230287,10113758,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(230288,10113758,'Inflicts 628 piercing damage on target',100,2,1),
(230289,10113758,'Grants a total of 60 triggers of the spell.',100,2,2),
(230290,159424,'Applies Sanguine Imbued when Equipped.',100,0,0),
(230291,159424,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(230292,159424,'Inflicts 86 heat damage on target',100,2,2),
(230293,159424,'Cannot be modified except by direct means',100,2,3),
(230294,10159424,'Applies Sanguine Imbued when Equipped.',100,0,0),
(230295,10159424,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(230296,10159424,'Inflicts 112 heat damage on target',100,2,2),
(230297,10159424,'Cannot be modified except by direct means',100,2,3),
(230298,119888,'Increases INT and AGI of group members (AE) by 58.7',100,1,0),
(230299,119888,'Adds 1.8% to base avoidance.',100,1,1),
(230300,10119888,'Increases INT and AGI of group members (AE) by 58.7',100,1,0),
(230301,10119888,'Adds 1.8% to base avoidance.',100,1,1),
(230302,123143,'Reduces physical damage done to caster by 5%',100,1,0),
(230303,123143,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,1),
(230304,123143,'Increases Aggression of caster by 0.9',100,1,2),
(230305,123143,'Increases Defense and Parry of caster by 1.7',100,1,3),
(230306,123143,'Increases Mitigation of caster vs elemental damage by 146',100,1,4),
(230307,123143,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(230308,10123143,'Reduces physical damage done to caster by 5%',100,1,0),
(230309,10123143,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,1),
(230310,10123143,'Increases Aggression of caster by 0.9',100,1,2),
(230311,10123143,'Increases Defense and Parry of caster by 1.7',100,1,3),
(230312,10123143,'Increases Mitigation of caster vs elemental damage by 146',100,1,4),
(230313,10123143,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(230314,114355,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(230315,114355,'Stuns target',100,2,1),
(230316,114355,'Blurs vision of target',100,2,2),
(230317,114355,'Throws target back',100,2,3),
(230318,114355,'Does not affect Epic targets',100,2,4),
(230319,114355,'Inflicts 46 - 78 crushing damage on target',100,1,5),
(230320,10114355,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(230321,10114355,'Stuns target',100,2,1),
(230322,10114355,'Blurs vision of target',100,2,2),
(230323,10114355,'Throws target back',100,2,3),
(230324,10114355,'Does not affect Epic targets',100,2,4),
(230325,10114355,'Inflicts 60 - 101 crushing damage on target',100,1,5),
(230326,49081,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(230327,49081,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(230328,49081,'Inflicts 33 poison damage on target instantly and every 6 seconds',100,2,2),
(230329,49081,'Inflicts 38 poison damage on target',100,2,3),
(230330,49081,'Cannot be modified except by direct means',100,2,4),
(230331,49081,'Grants a total of 200 triggers of the spell.',100,2,5),
(230332,10049081,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(230333,10049081,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(230334,10049081,'Inflicts 33 poison damage on target instantly and every 6 seconds',100,2,2),
(230335,10049081,'Inflicts 37 poison damage on target',100,2,3),
(230336,10049081,'Cannot be modified except by direct means',100,2,4),
(230337,10049081,'Grants a total of 200 triggers of the spell.',100,2,5),
(230338,46161,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(230339,46161,'Roots target',100,1,1),
(230340,46161,'80% chance to dispel when target takes damage',100,1,2),
(230341,46161,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(230342,46161,'Resistibility increases against targets higher than level 69.',100,1,4),
(230343,10046161,'Applies Entwining Roots when Activated.  Lasts for 14.4 seconds.',100,0,0),
(230344,10046161,'Roots target',100,1,1),
(230345,10046161,'80% chance to dispel when target takes damage',100,1,2),
(230346,10046161,'Epic targets gain an immunity to Root effects of 43.2 seconds and duration is reduced to 4.8 seconds.',100,1,3),
(230347,10046161,'Resistibility increases against targets higher than level 69.',100,1,4),
(230348,164594,'Applies Unstable Magics when Equipped.',100,0,0),
(230349,164594,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(230350,10164594,'Applies Unstable Magics when Equipped.',100,0,0),
(230351,10164594,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(230352,25223,'When Equipped:',100,0,0),
(230353,25223,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(230354,25223,'Inflicts 13 disease damage on target',100,2,2),
(230355,25223,'Cancels up to 4.0% of target''s speed buffs',100,2,3),
(230356,25223,'Cannot be modified except by direct means',100,2,4),
(230357,10025223,'When Equipped:',100,0,0),
(230358,10025223,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(230359,10025223,'Inflicts 16 disease damage on target',100,2,2),
(230360,10025223,'Cancels up to 4.0% of target''s speed buffs',100,2,3),
(230361,10025223,'Cannot be modified except by direct means',100,2,4),
(230362,115275,'Heals target for 594',100,1,0),
(230363,115275,'Heals target for 99 every second',100,1,1),
(230364,115275,'Dispels 81 levels of any hostile effects on target',100,1,2),
(230365,10115275,'Heals target for 386',100,1,0),
(230366,10115275,'Heals target for 64 every second',100,1,1),
(230367,10115275,'Dispels 81 levels of any hostile effects on target',100,1,2),
(230368,46705,'Applies Isydryl''s Intervention when Activated.',100,0,0),
(230369,46705,'An intervening force that disables some powerful magics.',100,1,1),
(230370,46705,'If target is Overking',100,1,2),
(230371,46705,'The Overking must be wielding his sword.',100,1,3),
(230372,10046705,'Applies Isydryl''s Intervention when Activated.',100,0,0),
(230373,10046705,'An intervening force that disables some powerful magics.',100,1,1),
(230374,10046705,'If target is Overking',100,1,2),
(230375,10046705,'The Overking must be wielding his sword.',100,1,3),
(230376,121175,'Grants stealth to caster',100,1,0),
(230377,121175,'Suspends caster''s movement speed enhancements',100,1,1),
(230378,121175,'Decreases Threat to target by 126 - 210 ',100,1,2),
(230379,10121175,'Grants stealth to caster',100,1,0),
(230380,10121175,'Suspends caster''s movement speed enhancements',100,1,1),
(230381,10121175,'Forces target to clear their selected target.',100,1,2),
(230382,88728,'When Equipped:',100,0,0),
(230383,88728,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230384,88728,'Inflicts 1192 magic damage on target',100,2,2),
(230385,88728,'Cannot be modified except by direct means',100,2,3),
(230386,10088728,'When Equipped:',100,0,0),
(230387,10088728,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230388,10088728,'Inflicts 775 magic damage on target',100,2,2),
(230389,10088728,'Cannot be modified except by direct means',100,2,3),
(230390,47056,'Applies Minor Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(230391,47056,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(230392,47056,'Increases AA XP Gain of caster by 25.0%',100,1,2),
(230393,47056,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,3),
(230394,47056,'You can only have one experience potion active at a time.',100,1,4),
(230395,10047056,'Applies Minor Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(230396,10047056,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(230397,10047056,'Increases AA XP Gain of caster by 25.0%',100,1,2),
(230398,10047056,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,3),
(230399,10047056,'You can only have one experience potion active at a time.',100,1,4),
(230400,103550,'Increases In-Combat Power Regeneration of group members (AE) by 26.4',100,1,0),
(230401,10103550,'Increases In-Combat Power Regeneration of group members (AE) by 26.4',100,1,0),
(230402,115730,'Wards caster against 4370 points of elemental, noxious and arcane damage',100,1,0),
(230403,10115730,'Wards caster against 4370 points of elemental, noxious and arcane damage',100,1,0),
(230404,72270,'When Equipped:',100,0,0),
(230405,72270,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(230406,72270,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(230407,72270,'Cannot be modified except by direct means',100,2,3),
(230408,10072270,'When Equipped:',100,0,0),
(230409,10072270,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(230410,10072270,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(230411,10072270,'Cannot be modified except by direct means',100,2,3),
(230412,45652,'Applies Elixir of the Wise  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(230413,45652,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(230414,10045652,'Applies Elixir of the Wise  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(230415,10045652,'Increases power of caster by 5 instantly and every 5 seconds',100,1,1),
(230416,115207,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(230417,115207,'Decreases Mitigation of target vs noxious damage by 392',100,2,1),
(230418,115207,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(230419,115207,'Decreases Mitigation of target vs noxious damage by 392',100,2,3),
(230420,10115207,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(230421,10115207,'Decreases Mitigation of target vs noxious damage by 392',100,2,1),
(230422,10115207,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(230423,10115207,'Decreases Mitigation of target vs noxious damage by 392',100,2,3),
(230424,106037,'Inflicts 313 - 383 divine damage on target instantly and every 3 seconds',100,1,0),
(230425,106037,'Decreases Defense of target by 34.9',100,1,1),
(230426,10106037,'Inflicts 272 - 332 divine damage on target instantly and every 3 seconds',100,1,0),
(230427,10106037,'Decreases Defense of target by 34.9',100,1,1),
(230428,141790,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(230429,141790,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(230430,141790,'Inflicts 48 heat damage on target',100,2,2),
(230431,141790,'Cannot be modified except by direct means',100,2,3),
(230432,10141790,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(230433,10141790,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(230434,10141790,'Inflicts 63 heat damage on target',100,2,2),
(230435,10141790,'Cannot be modified except by direct means',100,2,3),
(230436,117839,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(230437,117839,'Heals target for 301 - 368 instantly and every 2 seconds',100,2,1),
(230438,117839,'If at 50% Health or less',100,3,2),
(230439,117839,'Heals target for 150 - 184 instantly and every 2 seconds',100,2,3),
(230440,117839,'If over 50% Health',100,3,4),
(230441,10117839,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(230442,10117839,'Heals target for 44 - 54 instantly and every 2 seconds',100,2,1),
(230443,10117839,'If over 50% Health',100,3,2),
(230444,10117839,'Heals target for 73 - 90 instantly and every 2 seconds',100,2,3),
(230445,10117839,'If at 50% Health or less',100,3,4),
(230446,102443,'Stuns target encounter',100,1,0),
(230447,102443,'Epic targets gain an immunity to Stun effects of 10.5 seconds and duration is reduced to 1.2 seconds.',100,1,1),
(230448,102443,'Resistibility increases against targets higher than level 59.',100,1,2),
(230449,10102443,'Stuns target encounter',100,1,0),
(230450,10102443,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(230451,10102443,'Resistibility increases against targets higher than level 59.',100,1,2),
(230452,113463,'Increases INT of target by 68.1',100,1,0),
(230453,113463,'Increases Max Health of target by 562.5',100,1,1),
(230454,10113463,'Increases INT of target by 68.1',100,1,0),
(230455,10113463,'Increases Max Health of target by 562.5',100,1,1),
(230456,121388,'Roots caster',100,1,0),
(230457,121388,'Applies Steel Hail.',100,1,1),
(230458,121388,'Inflicts 654 - 1091 ranged damage on target',100,2,2),
(230459,121388,'Dazes caster',100,1,3),
(230460,121388,'Stifles caster',100,1,4),
(230461,121388,'If weapon equipped in Ranged',100,1,5),
(230462,121388,'Resistibility increases against targets higher than level 84.',100,1,6),
(230463,10121388,'Roots caster',100,1,0),
(230464,10121388,'Applies Steel Hail.',100,1,1),
(230465,10121388,'Inflicts 556 - 927 ranged damage on target',100,2,2),
(230466,10121388,'Dazes caster',100,1,3),
(230467,10121388,'Stifles caster',100,1,4),
(230468,10121388,'If weapon equipped in Ranged',100,1,5),
(230469,10121388,'Resistibility increases against targets higher than level 84.',100,1,6),
(230470,118061,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(230471,118061,'Increases Defense of caster by 3.0',100,1,1),
(230472,10118061,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(230473,10118061,'Increases Defense of caster by 3.0',100,1,1),
(230474,48752,'Applies Elixir of Rejuvenation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(230475,48752,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(230476,10048752,'Applies Elixir of Rejuvenation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(230477,10048752,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(230478,41668,'When Equipped:',100,0,0),
(230479,41668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230480,41668,'Inflicts 259 - 481 magic damage on target',100,2,2),
(230481,41668,'Cannot be modified except by direct means',100,2,3),
(230482,10041668,'When Equipped:',100,0,0),
(230483,10041668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230484,10041668,'Inflicts 337 - 625 magic damage on target',100,2,2),
(230485,10041668,'Cannot be modified except by direct means',100,2,3),
(230486,25542,'When Equipped:',100,0,0),
(230487,25542,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(230488,25542,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,2),
(230489,10025542,'When Equipped:',100,0,0),
(230490,10025542,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(230491,10025542,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,2),
(230492,116192,'Inflicts 516 - 860 mental damage on target',100,1,0),
(230493,10116192,'Inflicts 671 - 1118 mental damage on target',100,1,0),
(230494,117212,'Inflicts 10 - 17 melee damage on target',100,1,0),
(230495,10117212,'Inflicts 13 - 22 melee damage on target',100,1,0),
(230496,103275,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(230497,103275,'If Fighter',100,2,1),
(230498,103275,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(230499,103275,'Increases power of target by 13 instantly and every 4 seconds',100,2,3),
(230500,103275,'Increases power of caster by 13 instantly and every 4 seconds',100,2,4),
(230501,10103275,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(230502,10103275,'Increases power of target by 13 instantly and every 4 seconds',100,2,1),
(230503,10103275,'Increases power of caster by 13 instantly and every 4 seconds',100,2,2),
(230504,124505,'Heals group members (AE) for 1802 - 2202',100,1,0),
(230505,10124505,'Heals group members (AE) for 3795 - 4638',100,1,0),
(230506,53794,'When Equipped:',100,0,0),
(230507,53794,'Increases caster''s chance to block by 10.0%',100,1,1),
(230508,10053794,'When Equipped:',100,0,0),
(230509,10053794,'Increases caster''s chance to block by 10.0%',100,1,1),
(230510,141742,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(230511,141742,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(230512,141742,'Inflicts 24 heat damage on target',100,2,2),
(230513,141742,'Cannot be modified except by direct means',100,2,3),
(230514,10141742,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(230515,10141742,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(230516,10141742,'Inflicts 31 heat damage on target',100,2,2),
(230517,10141742,'Cannot be modified except by direct means',100,2,3),
(230518,74978,'When Equipped:',100,0,0),
(230519,74978,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230520,74978,'Inflicts 94 - 141 magic damage on target',100,2,2),
(230521,74978,'Cannot be modified except by direct means',100,2,3),
(230522,10074978,'When Equipped:',100,0,0),
(230523,10074978,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230524,10074978,'Inflicts 122 - 183 magic damage on target',100,2,2),
(230525,10074978,'Cannot be modified except by direct means',100,2,3),
(230526,108620,'Feigns Death with 81% chance of success',100,1,0),
(230527,10108620,'Feigns Death with 81% chance of success',100,1,0),
(230528,24262,'Adds Decrease Level III (Single) to your Dungeon Maker toolbox',100,0,0),
(230529,10024262,'Adds Decrease Level III (Single) to your Dungeon Maker toolbox',100,0,0),
(230530,147017,'When Equipped:',100,0,0),
(230531,147017,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(230532,147017,'Increases power of target by 16',100,2,2),
(230533,147017,'Cannot be modified except by direct means',100,2,3),
(230534,10147017,'When Equipped:',100,0,0),
(230535,10147017,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(230536,10147017,'Increases power of target by 16',100,2,2),
(230537,10147017,'Cannot be modified except by direct means',100,2,3),
(230538,112057,'Inflicts 3 - 5 heat damage on target instantly and every 2 seconds',100,1,0),
(230539,10112057,'Inflicts 9 - 14 heat damage on target instantly and every 2 seconds',100,1,0),
(230540,124376,'Inflicts 482 - 589 divine damage on target',100,1,0),
(230541,124376,'Inflicts 201 - 245 divine damage on target every 4 seconds',100,1,1),
(230542,10124376,'Inflicts 626 - 765 divine damage on target',100,1,0),
(230543,10124376,'Inflicts 261 - 319 divine damage on target every 4 seconds',100,1,1),
(230544,104262,'Increases Mitigation of group members (AE) vs physical damage by 591',100,1,0),
(230545,10104262,'Increases Mitigation of group members (AE) vs physical damage by 591',100,1,0),
(230546,121287,'Inflicts 339 - 565 melee damage on targets in area',100,1,0),
(230547,121287,'Inflicts 103 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(230548,121287,'You must be in stealth or have Bloody Assault.',100,1,2),
(230549,10121287,'Inflicts 441 - 735 melee damage on targets in area',100,1,0),
(230550,10121287,'Inflicts 134 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,1),
(230551,10121287,'You must be in stealth or have Bloody Assault.',100,1,2),
(230552,119758,'Wards group members (AE) against 360 points of elemental, noxious and arcane damage',100,1,0),
(230553,119758,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,1),
(230554,10119758,'Wards group members (AE) against 360 points of elemental, noxious and arcane damage',100,1,0),
(230555,10119758,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,1),
(230556,159362,'Applies Lambent Imbued when Equipped.',100,0,0),
(230557,159362,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(230558,159362,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(230559,159362,'Cannot be modified except by direct means',100,2,3),
(230560,10159362,'Applies Lambent Imbued when Equipped.',100,0,0),
(230561,10159362,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(230562,10159362,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(230563,10159362,'Cannot be modified except by direct means',100,2,3),
(230564,144177,'When Equipped:',100,0,0),
(230565,144177,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(230566,144177,'Wards caster against 720 points of all damage',100,2,2),
(230567,144177,'Cannot be modified except by direct means',100,2,3),
(230568,144177,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(230569,10144177,'When Equipped:',100,0,0),
(230570,10144177,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(230571,10144177,'Wards caster against 720 points of all damage',100,2,2),
(230572,10144177,'Cannot be modified except by direct means',100,2,3),
(230573,10144177,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(230574,46494,'Applies Purification when Activated.',100,0,0),
(230575,46494,'Inflicts 1903 - 2326 divine damage on target',100,1,1),
(230576,46494,'If target is gnoll',100,1,2),
(230577,10046494,'Applies Purification when Activated.',100,0,0),
(230578,10046494,'Inflicts 2474 - 3024 divine damage on target',100,1,1),
(230579,10046494,'If target is gnoll',100,1,2),
(230580,113090,'Heals target for 56.2 - 68.6% of max health',100,1,0),
(230581,113090,'This effect cannot be critically applied.',100,2,1),
(230582,113090,'Increases Max Health of target by 311.7',100,1,2),
(230583,113090,'Increases Mitigation of target vs physical damage by 408',100,1,3),
(230584,113090,'The healing of this spell cannot be modified except by direct means',100,1,4),
(230585,10113090,'Heals target for 22.5 - 27.5% of max health',100,1,0),
(230586,10113090,'This effect cannot be critically applied.',100,2,1),
(230587,10113090,'Increases Max Health of target by 311.7',100,1,2),
(230588,10113090,'Increases Mitigation of target vs physical damage by 408',100,1,3),
(230589,10113090,'The healing of this spell cannot be modified except by direct means',100,1,4),
(230590,114617,'Decreases WIS of target by 12.3',100,1,0),
(230591,114617,'Inflicts 123 - 206 melee damage on target',100,1,1),
(230592,114617,'You must be sneaking to use this ability.',100,1,2),
(230593,10114617,'Decreases WIS of target by 12.3',100,1,0),
(230594,10114617,'Inflicts 160 - 268 melee damage on target',100,1,1),
(230595,10114617,'You must be sneaking to use this ability.',100,1,2),
(230596,101299,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(230597,101299,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,1),
(230598,10101299,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(230599,10101299,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,1),
(230600,103358,'Inflicts 44 - 54 mental damage on target instantly and every 6 seconds',100,1,0),
(230601,103358,'Decreases power of target by 11 instantly and every 6 seconds',100,1,1),
(230602,103358,'Increases power of caster by 36',100,1,2),
(230603,10103358,'Inflicts 58 - 71 mental damage on target instantly and every 6 seconds',100,1,0),
(230604,10103358,'Decreases power of target by 11 instantly and every 6 seconds',100,1,1),
(230605,10103358,'Increases power of caster by 36',100,1,2),
(230606,118450,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(230607,118450,'Inflicts 13 - 16 heat damage on target instantly and every second',100,2,1),
(230608,10118450,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(230609,10118450,'Inflicts 17 - 20 heat damage on target instantly and every second',100,2,1),
(230610,107812,'Increases Threat to target encounter by 1,067 - 1,305 ',100,1,0),
(230611,10107812,'Prevents target encounter from changing targets',100,1,0),
(230612,10107812,'Forces target encounter to change their selected target to caster.',100,1,1),
(230613,181001,'When Equipped:',100,0,0),
(230614,181001,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230615,181001,'Inflicts 2664 disease damage on target encounter',100,2,2),
(230616,181001,'Must not be engaged in pvp combat',100,2,3),
(230617,181001,'Cannot be modified except by direct means',100,2,4),
(230618,10181001,'When Equipped:',100,0,0),
(230619,10181001,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230620,10181001,'Inflicts 1732 disease damage on target encounter',100,2,2),
(230621,10181001,'Must not be engaged in pvp combat',100,2,3),
(230622,10181001,'Cannot be modified except by direct means',100,2,4),
(230623,75222,'When Equipped:',100,0,0),
(230624,75222,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(230625,75222,'Inflicts 31 - 38 magic damage on target',100,2,2),
(230626,75222,'If target is ravasect',100,3,3),
(230627,75222,'Cannot be modified except by direct means',100,2,4),
(230628,10075222,'When Equipped:',100,0,0),
(230629,10075222,'On a combat hit this spell will cast Fetidthorn Infusion on target of attack.  ',100,1,1),
(230630,10075222,'Inflicts 41 - 50 magic damage on target',100,2,2),
(230631,10075222,'If target is ravasect',100,3,3),
(230632,10075222,'Cannot be modified except by direct means',100,2,4),
(230633,81509,'When Equipped:',100,0,0),
(230634,81509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230635,81509,'Inflicts 151 - 280 magic damage on target',100,2,2),
(230636,81509,'Cannot be modified except by direct means',100,2,3),
(230637,10081509,'When Equipped:',100,0,0),
(230638,10081509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230639,10081509,'Inflicts 196 - 364 magic damage on target',100,2,2),
(230640,10081509,'Cannot be modified except by direct means',100,2,3),
(230641,115380,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(230642,115380,'Increases Parry of caster by 12.6',100,1,1),
(230643,10115380,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(230644,10115380,'Increases Parry of caster by 12.6',100,1,1),
(230645,120970,'Inflicts 1592 - 2653 ranged damage on target',100,1,0),
(230646,120970,'If weapon equipped in Ranged',100,1,1),
(230647,120970,'Must be behind',100,1,2),
(230648,10120970,'Inflicts 1353 - 2255 ranged damage on target',100,1,0),
(230649,10120970,'If weapon equipped in Ranged',100,1,1),
(230650,10120970,'Must be behind',100,1,2),
(230651,71665,'When Equipped:',100,0,0),
(230652,71665,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(230653,71665,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(230654,71665,'Cannot be modified except by direct means',100,2,3),
(230655,10071665,'When Equipped:',100,0,0),
(230656,10071665,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(230657,10071665,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(230658,10071665,'Cannot be modified except by direct means',100,2,3),
(230659,174765,'When Equipped:',100,0,0),
(230660,174765,'On a healing spell cast this spell may cast Hateshield on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(230661,174765,'Wards target against 1500 points of all damage',100,2,2),
(230662,174765,'Cannot be modified except by direct means',100,2,3),
(230663,174765,'When Equipped:',100,0,4),
(230664,174765,'Reduces reuse time of beneficial spells by 3 percent.',100,1,5),
(230665,10174765,'When Equipped:',100,0,0),
(230666,10174765,'On a healing spell cast this spell may cast Hateshield on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(230667,10174765,'Wards target against 1500 points of all damage',100,2,2),
(230668,10174765,'Cannot be modified except by direct means',100,2,3),
(230669,10174765,'When Equipped:',100,0,4),
(230670,10174765,'Reduces reuse time of beneficial spells by 3 percent.',100,1,5),
(230671,45736,'Applies Soonog''s Refreshment  when Activated.',100,0,0),
(230672,45736,'Heals caster for 95',100,1,1),
(230673,10045736,'Applies Soonog''s Refreshment  when Activated.',100,0,0),
(230674,10045736,'Heals caster for 61',100,1,1),
(230675,104392,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(230676,104392,'Inflicts 320 - 391 cold damage on target',100,2,1),
(230677,10104392,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(230678,10104392,'Inflicts 416 - 508 cold damage on target',100,2,1),
(230679,123989,'Inflicts 880 - 1466 melee damage on target',100,1,0),
(230680,123989,'Decreases AGI of target by 69.0',100,1,1),
(230681,123989,'Must be behind',100,1,2),
(230682,10123989,'Inflicts 1144 - 1906 melee damage on target',100,1,0),
(230683,10123989,'Decreases AGI of target by 69.0',100,1,1),
(230684,10123989,'Must be behind',100,1,2),
(230685,123315,'Increases STA of raid and group members (AE) by 24.9',100,1,0),
(230686,123315,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(230687,10123315,'Increases STA of raid and group members (AE) by 24.9',100,1,0),
(230688,10123315,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(230689,36290,'Increases STA and INT of target by 1.1',100,0,0),
(230690,36290,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(230691,116004,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(230692,116004,'Decreases threat priority of target by 1 position',100,2,1),
(230693,116004,'Decreases Hate Gain of target by 15.4%',100,1,2),
(230694,10116004,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(230695,10116004,'Forces target to clear their selected target.',100,2,1),
(230696,104659,'Decreases Mitigation of target vs all damage by 51',100,1,0),
(230697,10104659,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 51',100,1,0),
(230698,10104659,'Decreases Mitigation of target vs physical damage by 42',100,1,1),
(230699,101473,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(230700,101473,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(230701,10101473,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(230702,10101473,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(230703,117877,'Heals target for 325 - 397 instantly and every 2 seconds',100,1,0),
(230704,10117877,'Heals target for 211 - 258 instantly and every 2 seconds',100,1,0),
(230705,120533,'Decreases Defense of target by 13.9',100,1,0),
(230706,10120533,'Decreases Defense of target by 13.9',100,1,0),
(230707,161050,'When Equipped:',100,0,0),
(230708,161050,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(230709,161050,'Increases power of caster by 18 instantly and every 5 seconds',100,2,2),
(230710,161050,'Cannot be modified except by direct means',100,2,3),
(230711,10161050,'When Equipped:',100,0,0),
(230712,10161050,'When damaged this spell has a 4% chance to cast Impact Conversion on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(230713,10161050,'Increases power of caster by 18 instantly and every 5 seconds',100,2,2),
(230714,10161050,'Cannot be modified except by direct means',100,2,3),
(230715,118293,'Summons a limited pet to aid the caster',100,1,0),
(230716,10118293,'Summons a limited pet to aid the caster',100,1,0),
(230717,141967,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(230718,141967,'Decreases Mitigation of target vs physical damage by 180',100,1,1),
(230719,141967,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(230720,10141967,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(230721,10141967,'Decreases Mitigation of target vs physical damage by 180',100,1,1),
(230722,10141967,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(230723,37433,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(230724,84179,'When Equipped:',100,0,0),
(230725,84179,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230726,84179,'Inflicts 100 - 122 divine damage on target',100,2,2),
(230727,84179,'Cannot be modified except by direct means',100,2,3),
(230728,10084179,'When Equipped:',100,0,0),
(230729,10084179,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230730,10084179,'Inflicts 129 - 158 divine damage on target',100,2,2),
(230731,10084179,'Cannot be modified except by direct means',100,2,3),
(230732,114787,'Decreases WIS of target by 21.5',100,1,0),
(230733,114787,'Increases WIS and STA of caster by 21.5',100,1,1),
(230734,114787,'Decreases Max Health of target by 1.1%',100,1,2),
(230735,114787,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 69',100,1,3),
(230736,114787,'Only affects targets level 17 and above',100,1,4),
(230737,10114787,'Decreases WIS of target by 21.5',100,1,0),
(230738,10114787,'Increases WIS and STA of caster by 21.5',100,1,1),
(230739,10114787,'Decreases Max Health of target by 1.1%',100,1,2),
(230740,10114787,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 69',100,1,3),
(230741,10114787,'Only affects targets level 17 and above',100,1,4),
(230742,89833,'When Equipped:',100,0,0),
(230743,89833,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(230744,89833,'This effect will not stack with any rank or tier of itself.',100,1,2),
(230745,89833,'Cannot be modified except by direct means',100,1,3),
(230746,10089833,'When Equipped:',100,0,0),
(230747,10089833,'Increases Crit Bonus of caster by 4.0%',100,1,1),
(230748,10089833,'This effect will not stack with any rank or tier of itself.',100,1,2),
(230749,10089833,'Cannot be modified except by direct means',100,1,3),
(230750,119232,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(230751,119232,'If profession other than Fighter',100,1,1),
(230752,119232,'If profession other than Scout',100,1,2),
(230753,10119232,'37% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(230754,10119232,'If profession other than Fighter',100,1,1),
(230755,10119232,'If profession other than Scout',100,1,2),
(230756,47869,'Applies Absolution when Activated.',100,0,0),
(230757,47869,'Dispels 140 levels of any hostile effects on caster',100,1,1),
(230758,10047869,'Applies Absolution when Activated.',100,0,0),
(230759,10047869,'Dispels 140 levels of any hostile effects on caster',100,1,1),
(230760,140784,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(230761,140784,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(230762,140784,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(230763,10140784,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(230764,10140784,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(230765,10140784,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(230766,121348,'Inflicts 18 - 34 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(230767,10121348,'Inflicts 24 - 44 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(230768,36194,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(230769,36194,'This effect suspends during combat',100,0,1),
(230770,100951,'Inflicts 340 - 415 mental damage on target',100,1,0),
(230771,100951,'Dazes target',100,1,1),
(230772,100951,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(230773,100951,'Resistibility increases against targets higher than level 82.',100,1,3),
(230774,10100951,'Inflicts 441 - 539 mental damage on target',100,1,0),
(230775,10100951,'Dazes target',100,1,1),
(230776,10100951,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(230777,10100951,'Resistibility increases against targets higher than level 82.',100,1,3),
(230778,36972,'Increases WIS and INT of target by 1.1',100,0,0),
(230779,36972,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(230780,120798,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(230781,120798,'Stuns target',100,2,1),
(230782,120798,'Blurs vision of target',100,2,2),
(230783,120798,'Throws target back',100,2,3),
(230784,120798,'Does not affect Epic targets',100,2,4),
(230785,120798,'Inflicts 283 - 472 piercing damage on target',100,1,5),
(230786,10120798,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(230787,10120798,'Stuns target',100,2,1),
(230788,10120798,'Blurs vision of target',100,2,2),
(230789,10120798,'Throws target back',100,2,3),
(230790,10120798,'Does not affect Epic targets',100,2,4),
(230791,10120798,'Inflicts 368 - 613 piercing damage on target',100,1,5),
(230792,117042,'Inflicts 44 - 74 melee damage on target',100,1,0),
(230793,117042,'Decreases Attack Speed of target by 10.9',100,1,1),
(230794,10117042,'Inflicts 57 - 96 melee damage on target',100,1,0),
(230795,10117042,'Decreases Attack Speed of target by 10.9',100,1,1),
(230796,120186,'Applies Life Draw on termination.',100,1,0),
(230797,120186,'Inflicts 832 - 1387 disease damage on target',100,2,1),
(230798,120186,'Heals caster for 13.9 - 16.9% of max health',100,2,2),
(230799,120186,'This effect cannot be critically applied.',100,3,3),
(230800,120186,'The healing of this spell cannot be modified except by direct means',100,2,4),
(230801,120186,'Inflicts 242 - 404 disease damage on target',100,1,5),
(230802,10120186,'Applies Life Draw on termination.',100,1,0),
(230803,10120186,'Inflicts 1082 - 1803 disease damage on target',100,2,1),
(230804,10120186,'Heals caster for 3.8 - 4.6% of max health',100,2,2),
(230805,10120186,'This effect cannot be critically applied.',100,3,3),
(230806,10120186,'The healing of this spell cannot be modified except by direct means',100,2,4),
(230807,10120186,'Inflicts 315 - 525 disease damage on target',100,1,5),
(230808,163654,'When Equipped:',100,0,0),
(230809,163654,'Increases Attack Speed of caster by 45.0',100,1,1),
(230810,10163654,'When Equipped:',100,0,0),
(230811,10163654,'Increases Attack Speed of caster by 45.0',100,1,1),
(230812,52421,'When Equipped:',100,0,0),
(230813,52421,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(230814,52421,'Wards caster against 1250 points of all damage',100,2,2),
(230815,52421,'Cannot be modified except by direct means',100,2,3),
(230816,52421,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(230817,52421,'Wards caster against 1250 points of all damage',100,2,5),
(230818,52421,'Cannot be modified except by direct means',100,2,6),
(230819,10052421,'When Equipped:',100,0,0),
(230820,10052421,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(230821,10052421,'Wards caster against 625 points of all damage',100,2,2),
(230822,10052421,'Cannot be modified except by direct means',100,2,3),
(230823,10052421,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(230824,10052421,'Wards caster against 625 points of all damage',100,2,5),
(230825,10052421,'Cannot be modified except by direct means',100,2,6),
(230826,37412,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(230827,42549,'When Equipped:',100,0,0),
(230828,42549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230829,42549,'Inflicts 153 - 229 magic damage on target',100,2,2),
(230830,42549,'Cannot be modified except by direct means',100,2,3),
(230831,10042549,'When Equipped:',100,0,0),
(230832,10042549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230833,10042549,'Inflicts 199 - 298 magic damage on target',100,2,2),
(230834,10042549,'Cannot be modified except by direct means',100,2,3),
(230835,101527,'Increases WIS of target by 103.0',100,1,0),
(230836,101527,'Increases Max Health of target by 912.6',100,1,1),
(230837,101527,'Increases Mitigation of target vs elemental, noxious and arcane damage by 290',100,1,2),
(230838,10101527,'Increases WIS of target by 103.0',100,1,0),
(230839,10101527,'Increases Max Health of target by 912.6',100,1,1),
(230840,10101527,'Increases Mitigation of target vs elemental, noxious and arcane damage by 290',100,1,2),
(230841,115164,'Heals target for 138 - 169',100,1,0),
(230842,10115164,'Heals target for 187 - 228',100,1,0),
(230843,147232,'When Equipped:',100,0,0),
(230844,147232,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(230845,10147232,'When Equipped:',100,0,0),
(230846,10147232,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(230847,46123,'Applies Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(230848,46123,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(230849,46123,'Inflicts 24 magic damage on target',100,2,2),
(230850,46123,'Cannot be modified except by direct means',100,2,3),
(230851,46123,'Only affects targets level 50 and above',100,1,4),
(230852,10046123,'Applies Elixir of Thistles when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(230853,10046123,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(230854,10046123,'Inflicts 31 magic damage on target',100,2,2),
(230855,10046123,'Cannot be modified except by direct means',100,2,3),
(230856,10046123,'Only affects targets level 50 and above',100,1,4),
(230857,182241,'When Equipped:',100,0,0),
(230858,182241,'Increases Attack Speed of caster by 45.0',100,1,1),
(230859,10182241,'When Equipped:',100,0,0),
(230860,10182241,'Increases Attack Speed of caster by 45.0',100,1,1),
(230861,35662,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(230862,113421,'Increases STA of caster by 127.1',100,1,0),
(230863,113421,'Adds 4.3% to base avoidance.',100,1,1),
(230864,113421,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,2),
(230865,113421,'Increases Defense and Aggression of caster by 24.4',100,1,3),
(230866,113421,'Increases Mitigation of caster vs noxious damage by 1624',100,1,4),
(230867,113421,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(230868,113421,'Reduces physical damage done to caster by 5%',100,1,6),
(230869,10113421,'Increases STA of caster by 127.1',100,1,0),
(230870,10113421,'Adds 4.3% to base avoidance.',100,1,1),
(230871,10113421,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,2),
(230872,10113421,'Increases Defense and Aggression of caster by 24.4',100,1,3),
(230873,10113421,'Increases Mitigation of caster vs noxious damage by 1624',100,1,4),
(230874,10113421,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(230875,10113421,'Reduces physical damage done to caster by 5%',100,1,6),
(230876,100434,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(230877,100434,'Inflicts 224 - 373 slashing damage on target',100,2,1),
(230878,100434,'Increases Threat to target by 562 ',100,2,2),
(230879,100434,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(230880,100434,'Increases Threat to target by 562 ',100,2,4),
(230881,100434,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1703',100,1,5),
(230882,10100434,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(230883,10100434,'Inflicts 291 - 485 slashing damage on target',100,2,1),
(230884,10100434,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(230885,10100434,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1703',100,1,3),
(230886,186149,'When Equipped:',100,0,0),
(230887,186149,'Increases Potency of caster by 3.0%',100,1,1),
(230888,186149,'Increases Spell Reuse Speed of caster by 3.0%',100,1,2),
(230889,186149,'Must not be engaged in pvp combat',100,1,3),
(230890,10186149,'When Equipped:',100,0,0),
(230891,10186149,'Increases Potency of caster by 3.0%',100,1,1),
(230892,10186149,'Increases Spell Reuse Speed of caster by 3.0%',100,1,2),
(230893,10186149,'Must not be engaged in pvp combat',100,1,3),
(230894,47653,'Applies Purple C.R.A.S.H. Pad when Activated.',100,0,0),
(230895,47653,'Summons a mount to ride',100,1,1),
(230896,47653,'Increases your ground speed by 130%',100,2,2),
(230897,47653,'This can be used as a flying mount appearance.',100,1,3),
(230898,10047653,'Applies Purple C.R.A.S.H. Pad when Activated.',100,0,0),
(230899,10047653,'Summons a mount to ride',100,1,1),
(230900,10047653,'Increases your ground speed by 130%',100,2,2),
(230901,10047653,'This can be used as a flying mount appearance.',100,1,3),
(230902,117529,'Increases AGI, WIS and INT of group members (AE) by 32.3',100,1,0),
(230903,117529,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 125',100,1,1),
(230904,10117529,'Increases AGI, WIS and INT of group members (AE) by 32.3',100,1,0),
(230905,10117529,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 125',100,1,1),
(230906,192064,'When Equipped:',100,0,0),
(230907,192064,'On a critical spell hit this spell may cast Lesson of Destruction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(230908,192064,'Inflicts 318 heat damage on target',100,2,2),
(230909,192064,'Inflicts 318 disease damage on target',100,2,3),
(230910,192064,'Inflicts 318 magic damage on target',100,2,4),
(230911,192064,'Cannot be modified except by direct means',100,2,5),
(230912,192064,'Cannot be modified except by direct means',100,1,6),
(230913,10192064,'When Equipped:',100,0,0),
(230914,10192064,'On a critical spell hit this spell may cast Lesson of Destruction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(230915,10192064,'Inflicts 414 heat damage on target',100,2,2),
(230916,10192064,'Inflicts 414 disease damage on target',100,2,3),
(230917,10192064,'Inflicts 414 magic damage on target',100,2,4),
(230918,10192064,'Cannot be modified except by direct means',100,2,5),
(230919,10192064,'Cannot be modified except by direct means',100,1,6),
(230920,24529,'Adds Mistmoore: Empty Shelves to your Dungeon Maker toolbox',100,0,0),
(230921,10024529,'Adds Mistmoore: Empty Shelves to your Dungeon Maker toolbox',100,0,0),
(230922,118894,'Inflicts 180 - 300 melee damage on target',100,1,0),
(230923,118894,'Inflicts 180 - 300 melee damage on target',100,1,1),
(230924,118894,'Inflicts 180 - 300 melee damage on target',100,1,2),
(230925,118894,'Inflicts 180 - 300 melee damage on target',100,1,3),
(230926,118894,'Inflicts 180 - 300 melee damage on target',100,1,4),
(230927,10118894,'Inflicts 234 - 390 melee damage on target',100,1,0),
(230928,10118894,'Inflicts 234 - 390 melee damage on target',100,1,1),
(230929,10118894,'Inflicts 234 - 390 melee damage on target',100,1,2),
(230930,10118894,'Inflicts 234 - 390 melee damage on target',100,1,3),
(230931,10118894,'Inflicts 234 - 390 melee damage on target',100,1,4),
(230932,100479,'Decreases Hate Gain of group members (AE) by 21.1%',100,1,0),
(230933,100479,'If not fighter',100,2,1),
(230934,100479,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,2),
(230935,100479,'Decreases Threat to target by 90 ',100,2,3),
(230936,100479,'If not fighter',100,2,4),
(230937,10100479,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,0),
(230938,10100479,'Inflicts 80 - 89 crushing damage on target',100,2,1),
(230939,10100479,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,2),
(230940,10100479,'If not fighter',100,2,3),
(230941,10100479,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(230942,10100479,'If not fighter',100,2,5),
(230943,10100479,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(230944,10100479,'If not fighter',100,2,7),
(230945,10100479,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(230946,10100479,'If not fighter',100,2,9),
(230947,82749,'When Equipped:',100,0,0),
(230948,82749,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(230949,82749,'Inflicts 164 - 305 magic damage on target',100,2,2),
(230950,82749,'Decreases Threat to target by 487 ',100,2,3),
(230951,82749,'Must be flanking or behind',100,3,4),
(230952,82749,'Increases Threat to target by 487 ',100,2,5),
(230953,82749,'Must be in front of',100,3,6),
(230954,82749,'Cannot be modified except by direct means',100,2,7),
(230955,10082749,'When Equipped:',100,0,0),
(230956,10082749,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(230957,10082749,'Inflicts 213 - 396 magic damage on target',100,2,2),
(230958,10082749,'Cannot be modified except by direct means',100,2,3),
(230959,159892,'Applies Lambent Imbued when Equipped.',100,0,0),
(230960,159892,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(230961,159892,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(230962,159892,'Cannot be modified except by direct means',100,2,3),
(230963,10159892,'Applies Lambent Imbued when Equipped.',100,0,0),
(230964,10159892,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(230965,10159892,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(230966,10159892,'Cannot be modified except by direct means',100,2,3),
(230967,71420,'When Equipped:',100,0,0),
(230968,71420,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(230969,71420,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(230970,71420,'Cannot be modified except by direct means',100,2,3),
(230971,10071420,'When Equipped:',100,0,0),
(230972,10071420,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(230973,10071420,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(230974,10071420,'Cannot be modified except by direct means',100,2,3),
(230975,173524,'When Equipped:',100,0,0),
(230976,173524,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230977,173524,'Inflicts 1192 poison damage on target',100,2,2),
(230978,173524,'Cannot be modified except by direct means',100,2,3),
(230979,10173524,'When Equipped:',100,0,0),
(230980,10173524,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(230981,10173524,'Inflicts 775 poison damage on target',100,2,2),
(230982,10173524,'Cannot be modified except by direct means',100,2,3),
(230983,119228,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(230984,119228,'If profession other than Fighter',100,1,1),
(230985,119228,'If profession other than Scout',100,1,2),
(230986,10119228,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 45% of attack damage.',100,1,0),
(230987,10119228,'If profession other than Fighter',100,1,1),
(230988,10119228,'If profession other than Scout',100,1,2),
(230989,82682,'When Equipped:',100,0,0),
(230990,82682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230991,82682,'Inflicts 116 - 215 magic damage on target',100,2,2),
(230992,82682,'Cannot be modified except by direct means',100,2,3),
(230993,10082682,'When Equipped:',100,0,0),
(230994,10082682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(230995,10082682,'Inflicts 151 - 280 magic damage on target',100,2,2),
(230996,10082682,'Cannot be modified except by direct means',100,2,3),
(230997,76368,'When Equipped:',100,0,0),
(230998,76368,'On a combat hit this spell will cast Power of Ghoulbane on target of attack.  ',100,1,1),
(230999,76368,'Inflicts 43 - 52 divine damage on target',100,2,2),
(231000,76368,'If target is undead',100,3,3),
(231001,76368,'Cannot be modified except by direct means',100,2,4),
(231002,76368,'Applies Corpse Fire when Activated.  Lasts for 30.0 seconds.',100,0,5),
(231003,76368,'Inflicts 157 - 192 divine damage on target',100,1,6),
(231004,76368,'Decreases Mitigation of target vs arcane damage by 510',100,1,7),
(231005,76368,'The casting time of Corpse Fire is 1.0 second and the reuse time of the spell is 30.0 seconds',100,1,8),
(231006,10076368,'When Equipped:',100,0,0),
(231007,10076368,'On a combat hit this spell will cast Power of Ghoulbane on target of attack.  ',100,1,1),
(231008,10076368,'Inflicts 55 - 68 divine damage on target',100,2,2),
(231009,10076368,'If target is undead',100,3,3),
(231010,10076368,'Cannot be modified except by direct means',100,2,4),
(231011,10076368,'Applies Corpse Fire when Activated.  Lasts for 30.0 seconds.',100,0,5),
(231012,10076368,'Inflicts 204 - 250 divine damage on target',100,1,6),
(231013,10076368,'Decreases Mitigation of target vs arcane damage by 510',100,1,7),
(231014,10076368,'The casting time of Corpse Fire is 1.0 second and the reuse time of the spell is 30.0 seconds',100,1,8),
(231015,122611,'Inflicts 194 - 238 mental damage on target instantly and every 3 seconds',100,1,0),
(231016,122611,'Decreases Mitigation of target vs arcane damage by 1162',100,1,1),
(231017,10122611,'Inflicts 253 - 309 mental damage on target instantly and every 3 seconds',100,1,0),
(231018,10122611,'Decreases Mitigation of target vs arcane damage by 1162',100,1,1),
(231019,163276,'When Equipped:',100,0,0),
(231020,163276,'On a critical combat hit this spell may cast Call of Solusek V on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231021,163276,'Summons a limited pet to aid the caster',100,2,2),
(231022,163276,'Inflicts 371 - 410 heat damage on target instantly and every 2 seconds',100,2,3),
(231023,163276,'Decreases Mitigation of target vs elemental damage by 605',100,2,4),
(231024,163276,'Must not be engaged in pvp combat',100,2,5),
(231025,163276,'Cannot be modified except by direct means',100,2,6),
(231026,163276,'On a critical spell hit this spell may cast Call of Solusek V on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(231027,163276,'Summons a limited pet to aid the caster',100,2,8),
(231028,163276,'Inflicts 371 - 410 heat damage on target instantly and every 2 seconds',100,2,9),
(231029,163276,'Decreases Mitigation of target vs elemental damage by 605',100,2,10),
(231030,163276,'Must not be engaged in pvp combat',100,2,11),
(231031,163276,'Cannot be modified except by direct means',100,2,12),
(231032,163276,'Must not be engaged in pvp combat',100,1,13),
(231033,10163276,'When Equipped:',100,0,0),
(231034,10163276,'On a critical combat hit this spell may cast Call of Solusek V on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231035,10163276,'Summons a limited pet to aid the caster',100,2,2),
(231036,10163276,'Inflicts 482 - 532 heat damage on target instantly and every 2 seconds',100,2,3),
(231037,10163276,'Decreases Mitigation of target vs elemental damage by 605',100,2,4),
(231038,10163276,'Must not be engaged in pvp combat',100,2,5),
(231039,10163276,'Cannot be modified except by direct means',100,2,6),
(231040,10163276,'On a critical spell hit this spell may cast Call of Solusek V on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(231041,10163276,'Summons a limited pet to aid the caster',100,2,8),
(231042,10163276,'Inflicts 482 - 532 heat damage on target instantly and every 2 seconds',100,2,9),
(231043,10163276,'Decreases Mitigation of target vs elemental damage by 605',100,2,10),
(231044,10163276,'Must not be engaged in pvp combat',100,2,11),
(231045,10163276,'Cannot be modified except by direct means',100,2,12),
(231046,10163276,'Must not be engaged in pvp combat',100,1,13),
(231047,119648,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(231048,119648,'Stuns target',100,2,1),
(231049,119648,'Blurs vision of target',100,2,2),
(231050,119648,'Throws target back',100,2,3),
(231051,119648,'Does not affect Epic targets',100,2,4),
(231052,119648,'Inflicts 88 - 266 melee damage on target',100,1,5),
(231053,10119648,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(231054,10119648,'Stuns target',100,2,1),
(231055,10119648,'Throws target back',100,2,2),
(231056,10119648,'Blurs vision of target',100,2,3),
(231057,10119648,'Does not affect Epic targets',100,2,4),
(231058,10119648,'Inflicts 115 - 346 melee damage on target',100,1,5),
(231059,119334,'Inflicts 192 - 321 melee damage on target',100,1,0),
(231060,119334,'You must be sneaking to use this ability.',100,1,1),
(231061,119334,'Must be flanking or behind',100,1,2),
(231062,10119334,'Inflicts 250 - 417 melee damage on target',100,1,0),
(231063,10119334,'You must be sneaking to use this ability.',100,1,1),
(231064,10119334,'Must be flanking or behind',100,1,2),
(231065,105700,'Decreases Attack Speed of target encounter by 22.1',100,1,0),
(231066,105700,'Slows target encounter by 29.1%',100,1,1),
(231067,10105700,'Decreases Attack Speed of target encounter by 22.1',100,1,0),
(231068,10105700,'Slows target encounter by 29.1%',100,1,1),
(231069,176656,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(231070,176656,'Decreases WIS, STR, AGI and INT of target by 50.7',100,1,1),
(231071,176656,'Decreases Max Health of target by 1.0%',100,1,2),
(231072,176656,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(231073,10176656,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(231074,10176656,'Decreases WIS, STR, AGI and INT of target by 50.7',100,1,1),
(231075,10176656,'Decreases Max Health of target by 1.0%',100,1,2),
(231076,10176656,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(231077,82381,'When Equipped:',100,0,0),
(231078,82381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231079,82381,'Inflicts 169 - 315 magic damage on target',100,2,2),
(231080,82381,'Cannot be modified except by direct means',100,2,3),
(231081,10082381,'When Equipped:',100,0,0),
(231082,10082381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231083,10082381,'Inflicts 220 - 409 magic damage on target',100,2,2),
(231084,10082381,'Cannot be modified except by direct means',100,2,3),
(231085,149079,'When Equipped:',100,0,0),
(231086,149079,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(231087,149079,'Heals group members (AE) for 2624',100,2,2),
(231088,149079,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(231089,149079,'Must not be engaged in pvp combat',100,2,4),
(231090,149079,'Cannot be modified except by direct means',100,2,5),
(231091,149079,'Must not be engaged in pvp combat',100,1,6),
(231092,10149079,'When Equipped:',100,0,0),
(231093,10149079,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(231094,10149079,'Heals group members (AE) for 3071',100,2,2),
(231095,10149079,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(231096,10149079,'Must not be engaged in pvp combat',100,2,4),
(231097,10149079,'Cannot be modified except by direct means',100,2,5),
(231098,10149079,'Must not be engaged in pvp combat',100,1,6),
(231099,82727,'When Equipped:',100,0,0),
(231100,82727,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231101,82727,'Inflicts 148 - 274 magic damage on target',100,2,2),
(231102,82727,'Cannot be modified except by direct means',100,2,3),
(231103,10082727,'When Equipped:',100,0,0),
(231104,10082727,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231105,10082727,'Inflicts 192 - 356 magic damage on target',100,2,2),
(231106,10082727,'Cannot be modified except by direct means',100,2,3),
(231107,173600,'When Equipped:',100,0,0),
(231108,173600,'Increases base Healing amount by 8%.',100,1,1),
(231109,10173600,'When Equipped:',100,0,0),
(231110,10173600,'Increases base Healing amount by 8%.',100,1,1),
(231111,111406,'Increases Attack Speed of target by 45.2',100,1,0),
(231112,111406,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(231113,111406,'Inflicts 375 disease damage on target',100,2,2),
(231114,111406,'Heals caster for 80',100,2,3),
(231115,111406,'Decreases Defense and Parry of target by 23.9',100,1,4),
(231116,111406,'Increases Disruption, Subjugation and Focus of target by 33.4',100,1,5),
(231117,10111406,'Increases Attack Speed of target by 45.2',100,1,0),
(231118,10111406,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(231119,10111406,'Inflicts 488 disease damage on target',100,2,2),
(231120,10111406,'Heals caster for 52',100,2,3),
(231121,10111406,'Decreases Defense and Parry of target by 23.9',100,1,4),
(231122,10111406,'Increases Disruption, Subjugation and Focus of target by 33.4',100,1,5),
(231123,124333,'Shapechanges caster into a wolf',100,1,0),
(231124,124333,'Grants See Invisibility to caster',100,1,1),
(231125,124333,'Increases Focus of caster by 27.9',100,1,2),
(231126,124333,'Increases Mitigation of caster vs physical damage by 310',100,1,3),
(231127,124333,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1178',100,1,4),
(231128,10124333,'Shapechanges caster into a wolf',100,1,0),
(231129,10124333,'Grants See Invisibility to caster',100,1,1),
(231130,10124333,'Increases Focus of caster by 27.9',100,1,2),
(231131,10124333,'Increases Mitigation of caster vs physical damage by 310',100,1,3),
(231132,10124333,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1178',100,1,4),
(231133,40864,'When Equipped:',100,0,0),
(231134,40864,'On a critical spell hit this spell may cast Imposing Righteousness on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231135,40864,'Decreases Potency of target by 2.0%',100,2,2),
(231136,40864,'Increases Potency of caster by 2.0%',100,2,3),
(231137,40864,'Must not be engaged in pvp combat',100,2,4),
(231138,40864,'Cannot be modified except by direct means',100,2,5),
(231139,40864,'On a critical combat hit this spell may cast Imposing Righteousness on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(231140,40864,'Decreases Potency of target by 2.0%',100,2,7),
(231141,40864,'Increases Potency of caster by 2.0%',100,2,8),
(231142,40864,'Must not be engaged in pvp combat',100,2,9),
(231143,40864,'Cannot be modified except by direct means',100,2,10),
(231144,40864,'Must not be engaged in pvp combat',100,1,11),
(231145,10040864,'When Equipped:',100,0,0),
(231146,10040864,'On a critical spell hit this spell may cast Imposing Righteousness on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231147,10040864,'Decreases Potency of target by 2.0%',100,2,2),
(231148,10040864,'Increases Potency of caster by 2.0%',100,2,3),
(231149,10040864,'Must not be engaged in pvp combat',100,2,4),
(231150,10040864,'Cannot be modified except by direct means',100,2,5),
(231151,10040864,'On a critical combat hit this spell may cast Imposing Righteousness on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(231152,10040864,'Decreases Potency of target by 2.0%',100,2,7),
(231153,10040864,'Increases Potency of caster by 2.0%',100,2,8),
(231154,10040864,'Must not be engaged in pvp combat',100,2,9),
(231155,10040864,'Cannot be modified except by direct means',100,2,10),
(231156,10040864,'Must not be engaged in pvp combat',100,1,11),
(231157,106650,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(231158,106650,'Increases Mitigation of caster vs physical damage by 231',100,2,1),
(231159,106650,'Decreases Mitigation of target encounter vs physical damage by 1155',100,1,2),
(231160,10106650,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(231161,10106650,'Increases Mitigation of caster vs physical damage by 231',100,2,1),
(231162,10106650,'Decreases Mitigation of target encounter vs physical damage by 1155',100,1,2),
(231163,147227,'When Equipped:',100,0,0),
(231164,147227,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(231165,147227,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(231166,147227,'Heals caster for 635 - 952',100,2,3),
(231167,147227,'Cannot be modified except by direct means',100,2,4),
(231168,147227,'Cannot be modified except by direct means',100,1,5),
(231169,10147227,'When Equipped:',100,0,0),
(231170,10147227,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(231171,10147227,'Inflicts 1239 - 1859 poison damage on target',100,2,2),
(231172,10147227,'Heals caster for 743 - 1114',100,2,3),
(231173,10147227,'Cannot be modified except by direct means',100,2,4),
(231174,10147227,'Cannot be modified except by direct means',100,1,5),
(231175,124423,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(231176,124423,'Inflicts 432 - 720 melee damage on target',100,2,1),
(231177,124423,'Grants a total of 3 triggers of the spell.',100,2,2),
(231178,10124423,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(231179,10124423,'Inflicts 561 - 936 melee damage on target',100,2,1),
(231180,10124423,'Grants a total of 3 triggers of the spell.',100,2,2),
(231181,144453,'When Equipped:',100,0,0),
(231182,144453,'On a hostile spell cast this spell may cast Glorious Rout on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(231183,144453,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,2),
(231184,144453,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,3),
(231185,144453,'Increases Crit Bonus of caster by 12.0%',100,2,4),
(231186,144453,'Must not be engaged in pvp combat',100,2,5),
(231187,144453,'Cannot be modified except by direct means',100,2,6),
(231188,144453,'On any combat or spell hit this spell may cast Glorious Rout on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(231189,144453,'Inflicts 3033 - 3707 slashing damage on target instantly and every 5 seconds',100,2,8),
(231190,144453,'Heals caster for 1678 - 1855 instantly and every 5 seconds',100,2,9),
(231191,144453,'Increases Crit Bonus of caster by 12.0%',100,2,10),
(231192,144453,'Must not be engaged in pvp combat',100,2,11),
(231193,144453,'Cannot be modified except by direct means',100,2,12),
(231194,144453,'Must not be engaged in pvp combat',100,1,13),
(231195,10144453,'When Equipped:',100,0,0),
(231196,10144453,'On a hostile spell cast this spell may cast Glorious Rout on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(231197,10144453,'Inflicts 3943 - 4819 slashing damage on target instantly and every 5 seconds',100,2,2),
(231198,10144453,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,3),
(231199,10144453,'Increases Crit Bonus of caster by 12.0%',100,2,4),
(231200,10144453,'Must not be engaged in pvp combat',100,2,5),
(231201,10144453,'Cannot be modified except by direct means',100,2,6),
(231202,10144453,'On any combat or spell hit this spell may cast Glorious Rout on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(231203,10144453,'Inflicts 3943 - 4819 slashing damage on target instantly and every 5 seconds',100,2,8),
(231204,10144453,'Heals caster for 1963 - 2170 instantly and every 5 seconds',100,2,9),
(231205,10144453,'Increases Crit Bonus of caster by 12.0%',100,2,10),
(231206,10144453,'Must not be engaged in pvp combat',100,2,11),
(231207,10144453,'Cannot be modified except by direct means',100,2,12),
(231208,10144453,'Must not be engaged in pvp combat',100,1,13),
(231209,35425,'Increases STR and STA of target by 1.1',100,0,0),
(231210,35425,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(231211,124596,'Decreases Threat to targets in Area of Effect by 4,001 ',100,1,0),
(231212,124596,'Interrupts targets in Area of Effect',100,1,1),
(231213,124596,'Roots targets in Area of Effect',100,1,2),
(231214,124596,'If Target is not Epic',100,2,3),
(231215,10124596,'Applies Distract.',100,1,0),
(231216,10124596,'Forces target to clear their selected target.',100,2,1),
(231217,10124596,'Interrupts targets in Area of Effect',100,1,2),
(231218,10124596,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(231219,10124596,'Roots targets in Area of Effect',100,1,4),
(231220,10124596,'If Target is not Epic',100,2,5),
(231221,46079,'Applies Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(231222,46079,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(231223,46079,'Only affects targets level 50 and above',100,1,2),
(231224,10046079,'Applies Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(231225,10046079,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(231226,10046079,'Only affects targets level 50 and above',100,1,2),
(231227,111550,'Increases Hate Gain of target by 36.0%',100,1,0),
(231228,111550,'Increases Aggression of target by 28.8',100,1,1),
(231229,10111550,'Increases STR of target by 75.2',100,1,0),
(231230,10111550,'Increases Aggression of target by 28.8',100,1,1),
(231231,102360,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(231232,102360,'Increases Attack Speed of target by 15.6',100,2,1),
(231233,102360,'Increases Damage Per Second of target by 15.6',100,2,2),
(231234,102360,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(231235,102360,'Increases Attack Speed of target by 15.6',100,2,4),
(231236,102360,'Increases Damage Per Second of target by 15.6',100,2,5),
(231237,102360,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(231238,102360,'Increases Attack Speed of target by 15.6',100,2,7),
(231239,102360,'Increases Damage Per Second of target by 15.6',100,2,8),
(231240,10102360,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(231241,10102360,'Increases Attack Speed of target by 15.6',100,2,1),
(231242,10102360,'Increases Damage Per Second of target by 15.6',100,2,2),
(231243,10102360,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(231244,10102360,'Increases Attack Speed of target by 15.6',100,2,4),
(231245,10102360,'Increases Damage Per Second of target by 15.6',100,2,5),
(231246,10102360,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(231247,10102360,'Increases Attack Speed of target by 15.6',100,2,7),
(231248,10102360,'Increases Damage Per Second of target by 15.6',100,2,8),
(231249,175147,'When Equipped:',100,0,0),
(231250,175147,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,1),
(231251,175147,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(231252,175147,'Inflicts 401 mental damage on target',100,2,3),
(231253,175147,'Must not be classified as a goblin',100,3,4),
(231254,175147,'Inflicts 802 mental damage on target',100,2,5),
(231255,175147,'Must be classified as a goblin',100,3,6),
(231256,175147,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(231257,175147,'Must be classified as a goblin',100,3,8),
(231258,175147,'Cannot be modified except by direct means',100,2,9),
(231259,10175147,'When Equipped:',100,0,0),
(231260,10175147,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,1),
(231261,10175147,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(231262,10175147,'Inflicts 521 mental damage on target',100,2,3),
(231263,10175147,'Must not be classified as a goblin',100,3,4),
(231264,10175147,'Inflicts 1043 mental damage on target',100,2,5),
(231265,10175147,'Must be classified as a goblin',100,3,6),
(231266,10175147,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(231267,10175147,'Must be classified as a goblin',100,3,8),
(231268,10175147,'Cannot be modified except by direct means',100,2,9),
(231269,119216,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(231270,119216,'Stuns target',100,2,1),
(231271,119216,'Blurs vision of target',100,2,2),
(231272,119216,'Throws target back',100,2,3),
(231273,119216,'Does not affect Epic targets',100,2,4),
(231274,119216,'Inflicts 123 - 368 magic damage on targets in Area of Effect',100,1,5),
(231275,10119216,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(231276,10119216,'Stuns target',100,2,1),
(231277,10119216,'Throws target back',100,2,2),
(231278,10119216,'Blurs vision of target',100,2,3),
(231279,10119216,'Does not affect Epic targets',100,2,4),
(231280,10119216,'Inflicts 159 - 478 magic damage on targets in Area of Effect',100,1,5),
(231281,75906,'When Equipped:',100,0,0),
(231282,75906,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231283,75906,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(231284,75906,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(231285,75906,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,4),
(231286,75906,'Must not be engaged in pvp combat',100,2,5),
(231287,75906,'Cannot be modified except by direct means',100,2,6),
(231288,75906,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(231289,75906,'Cannot be modified except by direct means',100,1,8),
(231290,75906,'When Equipped:',100,0,9),
(231291,75906,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(231292,75906,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(231293,75906,'Increases Attack Speed of caster by 6.0',100,2,12),
(231294,75906,'Increases Damage Per Second of caster by 9.0',100,2,13),
(231295,75906,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(231296,75906,'Must not be engaged in pvp combat',100,2,15),
(231297,75906,'Cannot be modified except by direct means',100,2,16),
(231298,75906,'Cannot be modified except by direct means',100,1,17),
(231299,10075906,'When Equipped:',100,0,0),
(231300,10075906,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231301,10075906,'Inflicts 1030 - 1139 disease damage on target encounter instantly and every 2 seconds',100,2,2),
(231302,10075906,'Decreases Defense and Parry of target encounter by 10.0',100,2,3),
(231303,10075906,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,4),
(231304,10075906,'Must not be engaged in pvp combat',100,2,5),
(231305,10075906,'Cannot be modified except by direct means',100,2,6),
(231306,10075906,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(231307,10075906,'Cannot be modified except by direct means',100,1,8),
(231308,10075906,'When Equipped:',100,0,9),
(231309,10075906,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(231310,10075906,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(231311,10075906,'Increases Attack Speed of caster by 6.0',100,2,12),
(231312,10075906,'Increases Damage Per Second of caster by 9.0',100,2,13),
(231313,10075906,'Increases Multi Attack Chance of caster by 22.0',100,2,14),
(231314,10075906,'Must not be engaged in pvp combat',100,2,15),
(231315,10075906,'Cannot be modified except by direct means',100,2,16),
(231316,10075906,'Cannot be modified except by direct means',100,1,17),
(231317,171188,'When Equipped:',100,0,0),
(231318,171188,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(231319,171188,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,2),
(231320,171188,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(231321,171188,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,4),
(231322,171188,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(231323,171188,'Must not be engaged in pvp combat',100,2,6),
(231324,171188,'Cannot be modified except by direct means',100,2,7),
(231325,171188,'Must not be engaged in pvp combat',100,1,8),
(231326,10171188,'When Equipped:',100,0,0),
(231327,10171188,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(231328,10171188,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,2),
(231329,10171188,'Inflicts 4195 - 4636 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,3),
(231330,10171188,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,4),
(231331,10171188,'Increases Ability Casting Speed of caster by 10.0%',100,2,5),
(231332,10171188,'Must not be engaged in pvp combat',100,2,6),
(231333,10171188,'Cannot be modified except by direct means',100,2,7),
(231334,10171188,'Must not be engaged in pvp combat',100,1,8),
(231335,105356,'Increases STA of group members (AE) by 18.4',100,1,0),
(231336,105356,'Increases Mitigation of group members (AE) vs physical damage by 174',100,1,1),
(231337,10105356,'Increases STA of group members (AE) by 18.4',100,1,0),
(231338,10105356,'Increases Mitigation of group members (AE) vs physical damage by 174',100,1,1),
(231339,35994,'Increases STR of target by 1.5',100,0,0),
(231340,35994,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(231341,116980,'Decreases Defense of target by 6.1',100,1,0),
(231342,116980,'Inflicts 29 - 35 divine damage on target instantly and every 3 seconds',100,1,1),
(231343,10116980,'Decreases Defense of target by 6.1',100,1,0),
(231344,10116980,'Inflicts 37 - 46 divine damage on target instantly and every 3 seconds',100,1,1),
(231345,100260,'Inflicts 153 - 285 poison damage on target instantly and every 3 seconds',100,1,0),
(231346,10100260,'Inflicts 449 - 834 poison damage on target instantly and every 3 seconds',100,1,0),
(231347,71657,'When Equipped:',100,0,0),
(231348,71657,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(231349,71657,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(231350,71657,'Cannot be modified except by direct means',100,2,3),
(231351,10071657,'When Equipped:',100,0,0),
(231352,10071657,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(231353,10071657,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(231354,10071657,'Cannot be modified except by direct means',100,2,3),
(231355,100168,'Inflicts 761 - 1414 disease damage on target encounter',100,1,0),
(231356,10100168,'Inflicts 989 - 1838 disease damage on target encounter',100,1,0),
(231357,112537,'Interrupts target',50,1,0),
(231358,112537,'Inflicts 134 - 164 divine damage on target',100,1,1),
(231359,10112537,'Interrupts target',50,1,0),
(231360,10112537,'Inflicts 224 - 274 divine damage on target',100,1,1),
(231361,189966,'When Equipped:',100,0,0),
(231362,189966,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231363,189966,'Wards caster against 720 points of all damage',100,2,2),
(231364,189966,'Cannot be modified except by direct means',100,2,3),
(231365,189966,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(231366,10189966,'When Equipped:',100,0,0),
(231367,10189966,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231368,10189966,'Wards caster against 720 points of all damage',100,2,2),
(231369,10189966,'Cannot be modified except by direct means',100,2,3),
(231370,10189966,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(231371,110524,'Increases Threat to target by 598  instantly and by 249  every 3 seconds thereafter',100,1,0),
(231372,110524,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(231373,110524,'Stuns target',100,2,2),
(231374,110524,'Blurs vision of target',100,2,3),
(231375,110524,'Throws target back',100,2,4),
(231376,110524,'Does not affect Epic targets',100,2,5),
(231377,110524,'Inflicts 163 - 272 disease damage on target',100,1,6),
(231378,10110524,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(231379,10110524,'Stuns target',100,2,1),
(231380,10110524,'Throws target back',100,2,2),
(231381,10110524,'Blurs vision of target',100,2,3),
(231382,10110524,'Does not affect Epic targets',100,2,4),
(231383,10110524,'Forces target to change their selected target to caster.',100,1,5),
(231384,10110524,'Inflicts 177 - 295 disease damage on target',100,1,6),
(231385,10110524,'Prevents target from changing targets',100,1,7),
(231386,35403,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(231387,35403,'This effect suspends during combat',100,0,1),
(231388,24182,'Adds Crushbone: Full Blue Stone Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(231389,10024182,'Adds Crushbone: Full Blue Stone Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(231390,81090,'When Equipped:',100,0,0),
(231391,81090,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231392,81090,'Decreases Threat to target by 517 ',100,2,2),
(231393,81090,'Must be flanking or behind',100,3,3),
(231394,81090,'Increases Threat to target by 517 ',100,2,4),
(231395,81090,'Must be in front of',100,3,5),
(231396,81090,'Inflicts 226 - 419 magic damage on target',100,2,6),
(231397,81090,'Cannot be modified except by direct means',100,2,7),
(231398,10081090,'When Equipped:',100,0,0),
(231399,10081090,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231400,10081090,'Inflicts 293 - 545 magic damage on target',100,2,2),
(231401,10081090,'Cannot be modified except by direct means',100,2,3),
(231402,46866,'Applies arcane remedy when Activated.',100,0,0),
(231403,46866,'Dispels 68 levels of arcane hostile effects on caster',100,1,1),
(231404,10046866,'Applies arcane remedy when Activated.',100,0,0),
(231405,10046866,'Dispels 68 levels of arcane hostile effects on caster',100,1,1),
(231406,52798,'Applies Sanguine Imbued when Equipped.',100,0,0),
(231407,52798,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(231408,52798,'Inflicts 86 heat damage on target',100,2,2),
(231409,52798,'Cannot be modified except by direct means',100,2,3),
(231410,10052798,'Applies Sanguine Imbued when Equipped.',100,0,0),
(231411,10052798,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(231412,10052798,'Inflicts 112 heat damage on target',100,2,2),
(231413,10052798,'Cannot be modified except by direct means',100,2,3),
(231414,170941,'When Equipped:',100,0,0),
(231415,170941,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231416,170941,'Increases Potency of caster by 11.0%',100,2,2),
(231417,170941,'Must not be engaged in pvp combat',100,2,3),
(231418,170941,'Cannot be modified except by direct means',100,2,4),
(231419,170941,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(231420,170941,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(231421,170941,'Increases Potency of caster by 11.0%',100,2,7),
(231422,170941,'Must not be engaged in pvp combat',100,2,8),
(231423,170941,'Cannot be modified except by direct means',100,2,9),
(231424,170941,'Cannot be modified except by direct means',100,1,10),
(231425,10170941,'When Equipped:',100,0,0),
(231426,10170941,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231427,10170941,'Increases Potency of caster by 11.0%',100,2,2),
(231428,10170941,'Must not be engaged in pvp combat',100,2,3),
(231429,10170941,'Cannot be modified except by direct means',100,2,4),
(231430,10170941,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(231431,10170941,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(231432,10170941,'Increases Potency of caster by 11.0%',100,2,7),
(231433,10170941,'Must not be engaged in pvp combat',100,2,8),
(231434,10170941,'Cannot be modified except by direct means',100,2,9),
(231435,10170941,'Cannot be modified except by direct means',100,1,10),
(231436,109923,'Stuns target',100,1,0),
(231437,109923,'Does not affect Epic targets',100,1,1),
(231438,109923,'Resistibility increases against targets higher than level 45.',100,1,2),
(231439,10109923,'Stuns target',100,1,0),
(231440,10109923,'Does not affect Epic targets',100,1,1),
(231441,10109923,'Resistibility increases against targets higher than level 45.',100,1,2),
(231442,122810,'Opens a portal that transports adventurers to any Spire in Norrath.',100,1,0),
(231443,10122810,'Opens a portal that transports adventurers to any Spire in Norrath.',100,1,0),
(231444,123391,'Inflicts 18 - 30 crushing damage on target',100,1,0),
(231445,123391,'Increases Threat to target by 123 ',100,1,1),
(231446,123391,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(231447,123391,'Stuns target',100,2,3),
(231448,123391,'Blurs vision of target',100,2,4),
(231449,123391,'Throws target back',100,2,5),
(231450,123391,'Does not affect Epic targets',100,2,6),
(231451,123391,'If Shield equipped in Secondary',100,1,7),
(231452,10123391,'Inflicts 23 - 39 crushing damage on target',100,1,0),
(231453,10123391,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(231454,10123391,'Stuns target',100,2,2),
(231455,10123391,'Throws target back',100,2,3),
(231456,10123391,'Blurs vision of target',100,2,4),
(231457,10123391,'Does not affect Epic targets',100,2,5),
(231458,10123391,'If Shield equipped in Secondary',100,1,6),
(231459,119051,'Inflicts 450 - 750 mental damage on target',100,1,0),
(231460,119051,'Decreases power of target by 422 - 703',100,1,1),
(231461,119051,'Increases power of caster by 178 - 296',100,1,2),
(231462,10119051,'Inflicts 585 - 975 mental damage on target',100,1,0),
(231463,10119051,'Decreases power of target by 422 - 703',100,1,1),
(231464,10119051,'Increases power of caster by 178 - 296',100,1,2),
(231465,108115,'Decreases Threat to target by 1,076 - 1,794 ',100,1,0),
(231466,10108115,'Forces target to clear their selected target.',100,1,0),
(231467,10108115,'Target cannot target caster for the duration of this effect.',100,1,1),
(231468,105759,'Stuns target',100,1,0),
(231469,105759,'If Target is not Epic',100,2,1),
(231470,105759,'Decreases power of target by 219 - 268',100,1,2),
(231471,105759,'Resistibility increases against targets higher than level 42.',100,1,3),
(231472,10105759,'Stuns target',100,1,0),
(231473,10105759,'If Target is not Epic',100,2,1),
(231474,10105759,'Decreases power of target by 219 - 268',100,1,2),
(231475,10105759,'Resistibility increases against targets higher than level 42.',100,1,3),
(231476,111403,'Increases Attack Speed of target by 38.7',100,1,0),
(231477,111403,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(231478,111403,'Inflicts 322 disease damage on target',100,2,2),
(231479,111403,'Heals caster for 69',100,2,3),
(231480,111403,'Decreases Defense and Parry of target by 23.9',100,1,4),
(231481,111403,'Increases Disruption, Subjugation and Focus of target by 28.6',100,1,5),
(231482,10111403,'Increases Attack Speed of target by 38.7',100,1,0),
(231483,10111403,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(231484,10111403,'Inflicts 418 disease damage on target',100,2,2),
(231485,10111403,'Heals caster for 45',100,2,3),
(231486,10111403,'Decreases Defense and Parry of target by 23.9',100,1,4),
(231487,10111403,'Increases Disruption, Subjugation and Focus of target by 28.6',100,1,5),
(231488,108576,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(231489,108576,'Increases INT, AGI, STR and WIS of group members (AE) by 15.6',100,2,1),
(231490,108576,'Increases STA of group members (AE) by 31.2',100,2,2),
(231491,108576,'Adds 0.8% to base avoidance.',100,2,3),
(231492,108576,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 41',100,2,4),
(231493,108576,'Heals group members (AE) for 39 - 47 instantly and every 3 seconds',100,2,5),
(231494,108576,'Increases Mitigation of group members (AE) vs noxious damage by 41',100,2,6),
(231495,10108576,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(231496,10108576,'Increases INT, AGI, STR and WIS of group members (AE) by 15.6',100,2,1),
(231497,10108576,'Increases STA of group members (AE) by 31.2',100,2,2),
(231498,10108576,'Adds 0.8% to base avoidance.',100,2,3),
(231499,10108576,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 41',100,2,4),
(231500,10108576,'Heals group members (AE) for 25 - 31 instantly and every 3 seconds',100,2,5),
(231501,10108576,'Increases Mitigation of group members (AE) vs noxious damage by 41',100,2,6),
(231502,107315,'Decreases WIS of target by 46.8',100,1,0),
(231503,107315,'Decreases Defense of target by 18.0',100,1,1),
(231504,10107315,'Decreases WIS of target by 46.8',100,1,0),
(231505,10107315,'Decreases Defense of target by 18.0',100,1,1),
(231506,120927,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(231507,120927,'Inflicts 593 - 725 mental damage on target',100,2,1),
(231508,120927,'Grants a total of 3 triggers of the spell.',100,2,2),
(231509,10120927,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(231510,10120927,'Inflicts 771 - 942 mental damage on target',100,2,1),
(231511,10120927,'Grants a total of 3 triggers of the spell.',100,2,2),
(231512,103507,'Charms target',100,1,0),
(231513,103507,'If outside an arena',100,1,1),
(231514,103507,'Certain enemies cannot be charmed',100,1,2),
(231515,103507,'Does not affect Epic targets',100,1,3),
(231516,10103507,'Mesmerizes target',100,1,0),
(231517,10103507,'Prevents AOE (except when direct) ',100,1,1),
(231518,10103507,'Dispelled when target takes damage',100,1,2),
(231519,10103507,'If outside an arena',100,1,3),
(231520,10103507,'Certain enemies cannot be charmed',100,1,4),
(231521,10103507,'Does not affect Epic targets',100,1,5),
(231522,10103507,'Resistibility increases against targets higher than level 63.',100,1,6),
(231523,117332,'Roots target',100,1,0),
(231524,117332,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(231525,117332,'Slows target by 55.2%',100,2,2),
(231526,117332,'5% chance to dispel when target receives hostile action',100,2,3),
(231527,117332,'5% chance to dispel when target takes damage',100,2,4),
(231528,117332,'15% chance to dispel when target takes damage',100,1,5),
(231529,117332,'Does not affect Epic targets',100,1,6),
(231530,117332,'Resistibility increases against targets higher than level 76.',100,1,7),
(231531,10117332,'Roots target',100,1,0),
(231532,10117332,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(231533,10117332,'Slows target by 55.2%',100,2,2),
(231534,10117332,'10% chance to dispel when target receives hostile action',100,2,3),
(231535,10117332,'10% chance to dispel when target takes damage',100,2,4),
(231536,10117332,'15% chance to dispel when target takes damage',100,1,5),
(231537,10117332,'Does not affect Epic targets',100,1,6),
(231538,10117332,'Resistibility increases against targets higher than level 76.',100,1,7),
(231539,89496,'When Equipped:',100,0,0),
(231540,89496,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(231541,10089496,'When Equipped:',100,0,0),
(231542,10089496,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(231543,81330,'When Equipped:',100,0,0),
(231544,81330,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231545,81330,'Inflicts 121 - 225 magic damage on target',100,2,2),
(231546,81330,'Cannot be modified except by direct means',100,2,3),
(231547,10081330,'When Equipped:',100,0,0),
(231548,10081330,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231549,10081330,'Inflicts 157 - 292 magic damage on target',100,2,2),
(231550,10081330,'Cannot be modified except by direct means',100,2,3),
(231551,82298,'When Equipped:',100,0,0),
(231552,82298,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231553,82298,'Decreases Threat to target by 672 ',100,2,2),
(231554,82298,'Must be flanking or behind',100,3,3),
(231555,82298,'Increases Threat to target by 672 ',100,2,4),
(231556,82298,'Must be in front of',100,3,5),
(231557,82298,'Inflicts 288 - 534 magic damage on target',100,2,6),
(231558,82298,'Cannot be modified except by direct means',100,2,7),
(231559,10082298,'When Equipped:',100,0,0),
(231560,10082298,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231561,10082298,'Inflicts 374 - 695 magic damage on target',100,2,2),
(231562,10082298,'Cannot be modified except by direct means',100,2,3),
(231563,118696,'Increases STR and AGI of group members (AE) by 9.0',100,1,0),
(231564,10118696,'Increases STR and AGI of group members (AE) by 9.0',100,1,0),
(231565,157249,'Applies Feet of Furious Fastness when Equipped.',100,0,0),
(231566,157249,'Increases speed of caster by 70.0%',100,1,1),
(231567,10157249,'Applies Feet of Furious Fastness when Equipped.',100,0,0),
(231568,10157249,'Increases speed of caster by 70.0%',100,1,1),
(231569,181809,'When Equipped:',100,0,0),
(231570,181809,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231571,181809,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(231572,181809,'Increases Ability Modifier of caster by 660.0',100,2,3),
(231573,181809,'Must not be engaged in pvp combat',100,2,4),
(231574,181809,'Cannot be modified except by direct means',100,2,5),
(231575,181809,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(231576,181809,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(231577,181809,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(231578,181809,'Increases Ability Modifier of caster by 660.0',100,2,9),
(231579,181809,'Must not be engaged in pvp combat',100,2,10),
(231580,181809,'Cannot be modified except by direct means',100,2,11),
(231581,181809,'Cannot be modified except by direct means',100,1,12),
(231582,10181809,'When Equipped:',100,0,0),
(231583,10181809,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231584,10181809,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(231585,10181809,'Increases Ability Modifier of caster by 660.0',100,2,3),
(231586,10181809,'Must not be engaged in pvp combat',100,2,4),
(231587,10181809,'Cannot be modified except by direct means',100,2,5),
(231588,10181809,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(231589,10181809,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(231590,10181809,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(231591,10181809,'Increases Ability Modifier of caster by 660.0',100,2,9),
(231592,10181809,'Must not be engaged in pvp combat',100,2,10),
(231593,10181809,'Cannot be modified except by direct means',100,2,11),
(231594,10181809,'Cannot be modified except by direct means',100,1,12),
(231595,75150,'When Equipped:',100,0,0),
(231596,75150,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(231597,10075150,'When Equipped:',100,0,0),
(231598,10075150,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(231599,106669,'Heals caster for 33.3 - 40.8% of max health',100,1,0),
(231600,106669,'This effect cannot be critically applied.',100,2,1),
(231601,106669,'Increases Max Health of caster by 247.0',100,1,2),
(231602,106669,'The healing of this spell cannot be modified except by direct means',100,1,3),
(231603,10106669,'Heals caster for 10.3 - 12.5% of max health',100,1,0),
(231604,10106669,'This effect cannot be critically applied.',100,2,1),
(231605,10106669,'Increases Max Health of caster by 247.0',100,1,2),
(231606,10106669,'The healing of this spell cannot be modified except by direct means',100,1,3),
(231607,109387,'Inflicts 245 - 736 melee damage on target',100,1,0),
(231608,109387,'Inflicts 306 - 920 melee damage on target',100,1,1),
(231609,109387,'Inflicts 368 - 1104 melee damage on target',100,1,2),
(231610,10109387,'Inflicts 318 - 956 melee damage on target',100,1,0),
(231611,10109387,'Inflicts 398 - 1196 melee damage on target',100,1,1),
(231612,10109387,'Inflicts 478 - 1435 melee damage on target',100,1,2),
(231613,89271,'When Equipped:',100,0,0),
(231614,89271,'On a critical spell hit this spell may cast Vitality Consumption VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(231615,89271,'Inflicts 542 - 599 disease damage on target',100,2,2),
(231616,89271,'Heals caster for 387 - 428',100,2,3),
(231617,89271,'Must not be engaged in pvp combat',100,2,4),
(231618,89271,'Cannot be modified except by direct means',100,2,5),
(231619,89271,'On a critical combat hit this spell may cast Vitality Consumption VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(231620,89271,'Inflicts 542 - 599 disease damage on target',100,2,7),
(231621,89271,'Heals caster for 387 - 428',100,2,8),
(231622,89271,'Must not be engaged in pvp combat',100,2,9),
(231623,89271,'Cannot be modified except by direct means',100,2,10),
(231624,89271,'Must not be engaged in pvp combat',100,1,11),
(231625,10089271,'When Equipped:',100,0,0),
(231626,10089271,'On a critical spell hit this spell may cast Vitality Consumption VI on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(231627,10089271,'Inflicts 705 - 779 disease damage on target',100,2,2),
(231628,10089271,'Heals caster for 252 - 278',100,2,3),
(231629,10089271,'Must not be engaged in pvp combat',100,2,4),
(231630,10089271,'Cannot be modified except by direct means',100,2,5),
(231631,10089271,'On a critical combat hit this spell may cast Vitality Consumption VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(231632,10089271,'Inflicts 705 - 779 disease damage on target',100,2,7),
(231633,10089271,'Heals caster for 252 - 278',100,2,8),
(231634,10089271,'Must not be engaged in pvp combat',100,2,9),
(231635,10089271,'Cannot be modified except by direct means',100,2,10),
(231636,10089271,'Must not be engaged in pvp combat',100,1,11),
(231637,46263,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(231638,46263,'Increases WIS of caster by 78.4',100,1,1),
(231639,10046263,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(231640,10046263,'Increases WIS of caster by 78.4',100,1,1),
(231641,134500,'When Equipped:',100,0,0),
(231642,134500,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231643,134500,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(231644,134500,'Cannot be modified except by direct means',100,2,3),
(231645,10134500,'When Equipped:',100,0,0),
(231646,10134500,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231647,10134500,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(231648,10134500,'Cannot be modified except by direct means',100,2,3),
(231649,46931,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(231650,46931,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(231651,46931,'Inflicts 99 poison damage on target instantly and every 6 seconds',100,2,2),
(231652,46931,'Inflicts 336 poison damage on target',100,2,3),
(231653,46931,'Cannot be modified except by direct means',100,2,4),
(231654,46931,'Grants a total of 200 triggers of the spell.',100,2,5),
(231655,10046931,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(231656,10046931,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(231657,10046931,'Inflicts 328 poison damage on target',100,2,2),
(231658,10046931,'Inflicts 96 poison damage on target instantly and every 6 seconds',100,2,3),
(231659,10046931,'Cannot be modified except by direct means',100,2,4),
(231660,10046931,'Grants a total of 200 triggers of the spell.',100,2,5),
(231661,72279,'Applies Astral Blessing when Equipped.',100,0,0),
(231662,72279,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231663,72279,'Heals target for 440 instantly and every second',100,2,2),
(231664,72279,'Cannot be modified except by direct means',100,2,3),
(231665,72279,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(231666,72279,'Heals caster for 440 instantly and every second',100,2,5),
(231667,72279,'Cannot be modified except by direct means',100,2,6),
(231668,72279,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(231669,72279,'Heals caster for 440 instantly and every second',100,2,8),
(231670,72279,'Cannot be modified except by direct means',100,2,9),
(231671,10072279,'Applies Astral Blessing when Equipped.',100,0,0),
(231672,10072279,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(231673,10072279,'Heals target for 514 instantly and every second',100,2,2),
(231674,10072279,'Cannot be modified except by direct means',100,2,3),
(231675,10072279,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(231676,10072279,'Heals caster for 514 instantly and every second',100,2,5),
(231677,10072279,'Cannot be modified except by direct means',100,2,6),
(231678,10072279,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(231679,10072279,'Heals caster for 514 instantly and every second',100,2,8),
(231680,10072279,'Cannot be modified except by direct means',100,2,9),
(231681,87105,'When Equipped:',100,0,0),
(231682,87105,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231683,87105,'Inflicts 237 - 356 magic damage on target',100,2,2),
(231684,87105,'Cannot be modified except by direct means',100,2,3),
(231685,10087105,'When Equipped:',100,0,0),
(231686,10087105,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231687,10087105,'Inflicts 308 - 463 magic damage on target',100,2,2),
(231688,10087105,'Cannot be modified except by direct means',100,2,3),
(231689,101791,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(231690,101791,'Decreases Threat to target by 187 ',100,2,1),
(231691,10101791,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(231692,10101791,'Inflicts 18 - 20 crushing damage on target',100,2,1),
(231693,108170,'Inflicts 1691 - 2818 melee damage on target',100,1,0),
(231694,108170,'You must be sneaking to use this ability.',100,1,1),
(231695,108170,'Must be flanking or behind',100,1,2),
(231696,10108170,'Inflicts 1450 - 2416 melee damage on target',100,1,0),
(231697,10108170,'You must be sneaking to use this ability.',100,1,1),
(231698,10108170,'Must be flanking or behind',100,1,2),
(231699,82291,'When Equipped:',100,0,0),
(231700,82291,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231701,82291,'Decreases Threat to target by 135 ',100,2,2),
(231702,82291,'Must be flanking or behind',100,3,3),
(231703,82291,'Increases Threat to target by 135 ',100,2,4),
(231704,82291,'Must be in front of',100,3,5),
(231705,82291,'Inflicts 48 - 89 magic damage on target',100,2,6),
(231706,82291,'Cannot be modified except by direct means',100,2,7),
(231707,10082291,'When Equipped:',100,0,0),
(231708,10082291,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231709,10082291,'Inflicts 62 - 115 magic damage on target',100,2,2),
(231710,10082291,'Cannot be modified except by direct means',100,2,3),
(231711,123127,'Inflicts 291 disease damage on targets in Area of Effect',100,1,0),
(231712,123127,'Inflicts 198 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(231713,10123127,'Inflicts 378 disease damage on targets in Area of Effect',100,1,0),
(231714,10123127,'Inflicts 258 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(231715,41628,'When Equipped:',100,0,0),
(231716,41628,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231717,41628,'Decreases Threat to target by 376 ',100,2,2),
(231718,41628,'Must be flanking or behind',100,3,3),
(231719,41628,'Increases Threat to target by 376 ',100,2,4),
(231720,41628,'Must be in front of',100,3,5),
(231721,41628,'Inflicts 167 - 311 magic damage on target',100,2,6),
(231722,41628,'Cannot be modified except by direct means',100,2,7),
(231723,10041628,'When Equipped:',100,0,0),
(231724,10041628,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231725,10041628,'Inflicts 217 - 404 magic damage on target',100,2,2),
(231726,10041628,'Cannot be modified except by direct means',100,2,3),
(231727,159881,'Applies Lambent Imbued when Equipped.',100,0,0),
(231728,159881,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(231729,159881,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(231730,159881,'Cannot be modified except by direct means',100,2,3),
(231731,10159881,'Applies Lambent Imbued when Equipped.',100,0,0),
(231732,10159881,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(231733,10159881,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(231734,10159881,'Cannot be modified except by direct means',100,2,3),
(231735,47867,'Applies Throw Book when Activated.  Lasts for 1 minute.',100,0,0),
(231736,10047867,'Applies Throw Book when Activated.  Lasts for 1 minute.',100,0,0),
(231737,171657,'When Equipped:',100,0,0),
(231738,171657,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(231739,171657,'Decreases Attack Speed of target by 20.0',100,2,2),
(231740,171657,'Cannot be modified except by direct means',100,2,3),
(231741,10171657,'When Equipped:',100,0,0),
(231742,10171657,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(231743,10171657,'Decreases Attack Speed of target by 20.0',100,2,2),
(231744,10171657,'Cannot be modified except by direct means',100,2,3),
(231745,123617,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(231746,123617,'Increases Defense of target by 40.6',100,1,1),
(231747,10123617,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(231748,10123617,'Increases Defense of target by 40.6',100,1,1),
(231749,45425,'Applies Brown Mistrunner Warg with Red Armor when Activated.',100,0,0),
(231750,45425,'Increases Disruption, Ranged and Piercing of caster by 7.0',100,1,1),
(231751,45425,'Increases damage done by spells and combat arts by up to 75.',100,1,2),
(231752,45425,'Increases Slashing and Crushing of caster by 7.0',100,1,3),
(231753,45425,'Summons a mount to ride',100,1,4),
(231754,45425,'Increases your ground speed by 130%',100,2,5),
(231755,45425,'Requires good alignment',100,1,6),
(231756,10045425,'Applies Brown Mistrunner Warg with Red Armor when Activated.',100,0,0),
(231757,10045425,'Increases Disruption, Ranged and Piercing of caster by 7.0',100,1,1),
(231758,10045425,'Increases damage done by spells and combat arts by up to 75.',100,1,2),
(231759,10045425,'Increases Slashing and Crushing of caster by 7.0',100,1,3),
(231760,10045425,'Summons a mount to ride',100,1,4),
(231761,10045425,'Increases your ground speed by 130%',100,2,5),
(231762,10045425,'Requires good alignment',100,1,6),
(231763,118573,'Dazes caster',100,1,0),
(231764,118573,'Roots caster',100,1,1),
(231765,118573,'Increases Mitigation of caster vs physical damage by 2293',100,1,2),
(231766,10118573,'Dazes caster',100,1,0),
(231767,10118573,'Roots caster',100,1,1),
(231768,10118573,'Increases Mitigation of caster vs physical damage by 2293',100,1,2),
(231769,104189,'Increases Threat to target encounter by 1,067 - 1,305 ',100,1,0),
(231770,104189,'Interrupts target encounter',100,1,1),
(231771,10104189,'Forces target encounter to change their selected target to caster.',100,1,0),
(231772,10104189,'Interrupts target encounter',100,1,1),
(231773,10104189,'Prevents target encounter from changing targets',100,1,2),
(231774,51324,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(231775,51324,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(231776,51324,'Inflicts 61 heat damage on target',100,2,2),
(231777,51324,'Cannot be modified except by direct means',100,2,3),
(231778,10051324,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(231779,10051324,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(231780,10051324,'Inflicts 79 heat damage on target',100,2,2),
(231781,10051324,'Cannot be modified except by direct means',100,2,3),
(231782,116138,'Inflicts 212 - 354 divine damage on target',100,1,0),
(231783,116138,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(231784,116138,'Stuns target',100,2,2),
(231785,116138,'Blurs vision of target',100,2,3),
(231786,116138,'Throws target back',100,2,4),
(231787,116138,'Does not affect Epic targets',100,2,5),
(231788,10116138,'Inflicts 276 - 460 divine damage on target',100,1,0),
(231789,10116138,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(231790,10116138,'Stuns target',100,2,2),
(231791,10116138,'Blurs vision of target',100,2,3),
(231792,10116138,'Throws target back',100,2,4),
(231793,10116138,'Does not affect Epic targets',100,2,5),
(231794,102331,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(231795,102331,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(231796,102331,'Decreases Threat to target encounter by 695 ',100,2,2),
(231797,102331,'Decreases threat priority of target encounter by 1 position',100,2,3),
(231798,102331,'Grants a total of 3 triggers of the spell.',100,2,4),
(231799,102331,'If profession other than Fighter',100,1,5),
(231800,10102331,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',100,1,0),
(231801,10102331,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(231802,10102331,'Target cannot target caster for the duration of this effect.',100,2,2),
(231803,10102331,'Forces target to clear their selected target.',100,2,3),
(231804,10102331,'Grants a total of 3 triggers of the spell.',100,2,4),
(231805,10102331,'If profession other than Fighter',100,1,5),
(231806,82092,'When Equipped:',100,0,0),
(231807,82092,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231808,82092,'Inflicts 212 - 393 magic damage on target',100,2,2),
(231809,82092,'Cannot be modified except by direct means',100,2,3),
(231810,10082092,'When Equipped:',100,0,0),
(231811,10082092,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231812,10082092,'Inflicts 275 - 511 magic damage on target',100,2,2),
(231813,10082092,'Cannot be modified except by direct means',100,2,3),
(231814,116243,'Summons a pet Illusion Ally',100,1,0),
(231815,10116243,'Summons a pet Illusion Ally',100,1,0),
(231816,182283,'When Equipped:',100,0,0),
(231817,182283,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(231818,182283,'Heals group members (AE) for 875',100,2,2),
(231819,182283,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(231820,182283,'Must not be engaged in pvp combat',100,2,4),
(231821,182283,'Cannot be modified except by direct means',100,2,5),
(231822,182283,'Must not be engaged in pvp combat',100,1,6),
(231823,10182283,'When Equipped:',100,0,0),
(231824,10182283,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(231825,10182283,'Heals group members (AE) for 1024',100,2,2),
(231826,10182283,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(231827,10182283,'Must not be engaged in pvp combat',100,2,4),
(231828,10182283,'Cannot be modified except by direct means',100,2,5),
(231829,10182283,'Must not be engaged in pvp combat',100,1,6),
(231830,46544,'Applies essence of health when Activated.',100,0,0),
(231831,46544,'Heals caster for 593',100,1,1),
(231832,10046544,'Applies essence of health when Activated.',100,0,0),
(231833,10046544,'Heals caster for 386',100,1,1),
(231834,72192,'When Equipped:',100,0,0),
(231835,72192,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(231836,72192,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(231837,72192,'Cannot be modified except by direct means',100,2,3),
(231838,10072192,'When Equipped:',100,0,0),
(231839,10072192,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(231840,10072192,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(231841,10072192,'Cannot be modified except by direct means',100,2,3),
(231842,102812,'Summons 3 limited pets to aid the caster',100,1,0),
(231843,10102812,'Summons 3 limited pets to aid the caster',100,1,0),
(231844,82054,'When Equipped:',100,0,0),
(231845,82054,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231846,82054,'Inflicts 212 - 393 magic damage on target',100,2,2),
(231847,82054,'Decreases Threat to target by 641 ',100,2,3),
(231848,82054,'Must be flanking or behind',100,3,4),
(231849,82054,'Increases Threat to target by 641 ',100,2,5),
(231850,82054,'Must be in front of',100,3,6),
(231851,82054,'Cannot be modified except by direct means',100,2,7),
(231852,10082054,'When Equipped:',100,0,0),
(231853,10082054,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(231854,10082054,'Inflicts 275 - 511 magic damage on target',100,2,2),
(231855,10082054,'Cannot be modified except by direct means',100,2,3),
(231856,104277,'Inflicts 34 - 57 melee damage on target',100,1,0),
(231857,104277,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(231858,104277,'Stuns target',100,2,2),
(231859,104277,'Blurs vision of target',100,2,3),
(231860,104277,'Throws target back',100,2,4),
(231861,104277,'Does not affect Epic targets',100,2,5),
(231862,10104277,'Inflicts 44 - 74 melee damage on target',100,1,0),
(231863,10104277,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(231864,10104277,'Blurs vision of target',100,2,2),
(231865,10104277,'Stuns target',100,2,3),
(231866,10104277,'Throws target back',100,2,4),
(231867,10104277,'Does not affect Epic targets',100,2,5),
(231868,47865,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(231869,47865,'Summons a mount to ride',100,1,1),
(231870,47865,'Increases your ground speed by 130%',100,2,2),
(231871,10047865,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(231872,10047865,'Summons a mount to ride',100,1,1),
(231873,10047865,'Increases your ground speed by 130%',100,2,2),
(231874,45142,'Applies Aegis of the Air Queen when Activated.  Lasts for 30 minutes.',100,0,0),
(231875,45142,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(231876,10045142,'Applies Aegis of the Air Queen when Activated.  Lasts for 30 minutes.',100,0,0),
(231877,10045142,'Increases Mitigation of caster vs arcane damage by 225',100,1,1),
(231878,24667,'Adds Ravasect (Monk) to your Dungeon Maker toolbox',100,0,0),
(231879,10024667,'Adds Ravasect (Monk) to your Dungeon Maker toolbox',100,0,0),
(231880,174403,'When Equipped:',100,0,0),
(231881,174403,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(231882,174403,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(231883,174403,'Inflicts 401 divine damage on target',100,2,3),
(231884,174403,'Must not be classified as a vampire',100,3,4),
(231885,174403,'Inflicts 802 divine damage on target',100,2,5),
(231886,174403,'Must be classified as a vampire',100,3,6),
(231887,174403,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(231888,174403,'Must be classified as a vampire',100,3,8),
(231889,174403,'Cannot be modified except by direct means',100,2,9),
(231890,10174403,'When Equipped:',100,0,0),
(231891,10174403,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(231892,10174403,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(231893,10174403,'Inflicts 521 divine damage on target',100,2,3),
(231894,10174403,'Must not be classified as a vampire',100,3,4),
(231895,10174403,'Inflicts 1043 divine damage on target',100,2,5),
(231896,10174403,'Must be classified as a vampire',100,3,6),
(231897,10174403,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(231898,10174403,'Must be classified as a vampire',100,3,8),
(231899,10174403,'Cannot be modified except by direct means',100,2,9),
(231900,101344,'Reduces physical damage done to caster by 5%',100,1,0),
(231901,101344,'Adds 1.8% to base avoidance.',100,1,1),
(231902,101344,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(231903,101344,'Increases Aggression of caster by 1.6',100,1,3),
(231904,101344,'Increases Defense and Parry of caster by 2.6',100,1,4),
(231905,101344,'Increases Mitigation of caster vs noxious and arcane damage by 20',100,1,5),
(231906,101344,'Increases Mitigation of caster vs elemental damage by 203',100,1,6),
(231907,101344,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(231908,10101344,'Reduces physical damage done to caster by 5%',100,1,0),
(231909,10101344,'Adds 1.8% to base avoidance.',100,1,1),
(231910,10101344,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(231911,10101344,'Increases Aggression of caster by 1.6',100,1,3),
(231912,10101344,'Increases Defense and Parry of caster by 2.6',100,1,4),
(231913,10101344,'Increases Mitigation of caster vs noxious and arcane damage by 20',100,1,5),
(231914,10101344,'Increases Mitigation of caster vs elemental damage by 203',100,1,6),
(231915,10101344,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(231916,105012,'Increases WIS of raid and group members (AE) by 12.3',100,1,0),
(231917,105012,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(231918,105012,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 45',100,1,2),
(231919,10105012,'Increases WIS of raid and group members (AE) by 12.3',100,1,0),
(231920,10105012,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(231921,10105012,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 45',100,1,2),
(231922,47144,'Applies Concoction of the Wind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(231923,47144,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(231924,47144,'Inflicts 5 magic damage on target',100,2,2),
(231925,47144,'Cannot be modified except by direct means',100,2,3),
(231926,10047144,'Applies Concoction of the Wind  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(231927,10047144,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(231928,10047144,'Inflicts 7 magic damage on target',100,2,2),
(231929,10047144,'Cannot be modified except by direct means',100,2,3),
(231930,73917,'Applies Holy Strike when Activated.',100,0,0),
(231931,73917,'Inflicts 113 - 189 divine damage on target',100,1,1),
(231932,73917,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(231933,10073917,'Applies Holy Strike when Activated.',100,0,0),
(231934,10073917,'Inflicts 147 - 246 divine damage on target',100,1,1),
(231935,10073917,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(231936,107709,'Inflicts 469 - 782 heat damage on target',100,1,0),
(231937,107709,'You must be sneaking to use this ability.',100,1,1),
(231938,10107709,'Inflicts 610 - 1016 heat damage on target',100,1,0),
(231939,10107709,'You must be sneaking to use this ability.',100,1,1),
(231940,117009,'Inflicts 148 - 444 melee damage on target',100,1,0),
(231941,10117009,'Inflicts 192 - 577 melee damage on target',100,1,0),
(231942,45251,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(231943,45251,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(231944,45251,'Inflicts 72 poison damage on target instantly and every 6 seconds',100,2,2),
(231945,45251,'Inflicts 245 poison damage on target',100,2,3),
(231946,45251,'Cannot be modified except by direct means',100,2,4),
(231947,45251,'Grants a total of 200 triggers of the spell.',100,2,5),
(231948,10045251,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(231949,10045251,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(231950,10045251,'Inflicts 70 poison damage on target instantly and every 6 seconds',100,2,2),
(231951,10045251,'Inflicts 238 poison damage on target',100,2,3),
(231952,10045251,'Cannot be modified except by direct means',100,2,4),
(231953,10045251,'Grants a total of 200 triggers of the spell.',100,2,5),
(231954,117336,'Roots target',100,1,0),
(231955,117336,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(231956,117336,'Slows target by 63.0%',100,2,2),
(231957,117336,'5% chance to dispel when target receives hostile action',100,2,3),
(231958,117336,'5% chance to dispel when target takes damage',100,2,4),
(231959,117336,'15% chance to dispel when target takes damage',100,1,5),
(231960,117336,'Does not affect Epic targets',100,1,6),
(231961,117336,'Resistibility increases against targets higher than level 76.',100,1,7),
(231962,10117336,'Roots target',100,1,0),
(231963,10117336,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(231964,10117336,'Slows target by 63.0%',100,2,2),
(231965,10117336,'10% chance to dispel when target receives hostile action',100,2,3),
(231966,10117336,'10% chance to dispel when target takes damage',100,2,4),
(231967,10117336,'15% chance to dispel when target takes damage',100,1,5),
(231968,10117336,'Does not affect Epic targets',100,1,6),
(231969,10117336,'Resistibility increases against targets higher than level 76.',100,1,7),
(231970,114586,'Inflicts 720 - 1201 ranged damage on target',100,1,0),
(231971,114586,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(231972,114586,'Requires bow',100,1,2),
(231973,10114586,'Inflicts 760 - 1267 ranged damage on target',100,1,0),
(231974,10114586,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(231975,10114586,'Requires bow',100,1,2),
(231976,104574,'Inflicts 456 - 760 disease damage on target',100,1,0),
(231977,104574,'Decreases WIS of target by 107.0',100,1,1),
(231978,10104574,'Inflicts 593 - 988 disease damage on target',100,1,0),
(231979,10104574,'Decreases WIS of target by 107.0',100,1,1),
(231980,120861,'Inflicts 234 - 316 disease damage on target instantly and every second',100,1,0),
(231981,10120861,'Inflicts 425 - 575 disease damage on target',100,1,0),
(231982,10120861,'Inflicts 304 - 411 disease damage on target every second',100,1,1),
(231983,80685,'When Equipped:',100,0,0),
(231984,80685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231985,80685,'Inflicts 83 - 154 magic damage on target',100,2,2),
(231986,80685,'Cannot be modified except by direct means',100,2,3),
(231987,10080685,'When Equipped:',100,0,0),
(231988,10080685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(231989,10080685,'Inflicts 108 - 200 magic damage on target',100,2,2),
(231990,10080685,'Cannot be modified except by direct means',100,2,3),
(231991,115558,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1740',100,1,0),
(231992,10115558,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1740',100,1,0),
(231993,71336,'When Equipped:',100,0,0),
(231994,71336,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(231995,71336,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(231996,71336,'Cannot be modified except by direct means',100,2,3),
(231997,10071336,'When Equipped:',100,0,0),
(231998,10071336,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(231999,10071336,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(232000,10071336,'Cannot be modified except by direct means',100,2,3),
(232001,100661,'Increases AGI, STR and STA of target by 96.8',100,1,0),
(232002,100661,'Adds 2.4% to base avoidance.',100,1,1),
(232003,10100661,'Increases AGI, STR and STA of target by 96.8',100,1,0),
(232004,10100661,'Adds 2.4% to base avoidance.',100,1,1),
(232005,141922,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(232006,141922,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(232007,141922,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(232008,141922,'Cannot be modified except by direct means',100,2,3),
(232009,10141922,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(232010,10141922,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(232011,10141922,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(232012,10141922,'Cannot be modified except by direct means',100,2,3),
(232013,119919,'Stifles target',100,1,0),
(232014,119919,'Inflicts 211 - 258 mental damage on target',100,1,1),
(232015,119919,'Inflicts 70 - 86 mental damage on target every 2 seconds',100,1,2),
(232016,119919,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,3),
(232017,119919,'Resistibility increases against targets higher than level 73.',100,1,4),
(232018,10119919,'Stifles target',100,1,0),
(232019,10119919,'Inflicts 274 - 335 mental damage on target',100,1,1),
(232020,10119919,'Inflicts 91 - 112 mental damage on target every second',100,1,2),
(232021,10119919,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(232022,10119919,'Resistibility increases against targets higher than level 73.',100,1,4),
(232023,117553,'Inflicts 4457 - 6686 heat damage on target',100,1,0),
(232024,10117553,'Inflicts 3582 - 5373 heat damage on target',100,1,0),
(232025,112498,'Decreases AGI and WIS of target by 116.2',100,1,0),
(232026,10112498,'Decreases AGI and WIS of target by 116.2',100,1,0),
(232027,75583,'Applies Disease Blast when Activated.',100,0,0),
(232028,75583,'Inflicts 264 - 440 disease damage on target',100,1,1),
(232029,75583,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(232030,10075583,'Applies Disease Blast when Activated.',100,0,0),
(232031,10075583,'Inflicts 343 - 572 disease damage on target',100,1,1),
(232032,10075583,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(232033,188153,'When Equipped:',100,0,0),
(232034,188153,'On a hostile spell cast this spell may cast Concentrated Convergence on caster.  Lasts for 18.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(232035,188153,'Prevents caster and pet from taking damage from AoE spells. Spell will cancel if damage taken is more than 25% of your max health.',100,2,2),
(232036,188153,'Increases Potency of caster by 10.0%',100,1,3),
(232037,188153,'Cannot be modified except by direct means',100,1,4),
(232038,10188153,'When Equipped:',100,0,0),
(232039,10188153,'On a hostile spell cast this spell may cast Concentrated Convergence on caster.  Lasts for 18.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(232040,10188153,'Prevents caster and pet from taking damage from AoE spells. Spell will cancel if damage taken is more than 25% of your max health.',100,2,2),
(232041,10188153,'Increases Potency of caster by 10.0%',100,1,3),
(232042,10188153,'Cannot be modified except by direct means',100,1,4),
(232043,112453,'Mesmerizes target',100,1,0),
(232044,112453,'Prevents AOE (except when direct) ',100,1,1),
(232045,112453,'Dispelled when target takes damage',100,1,2),
(232046,112453,'Does not affect Epic targets',100,1,3),
(232047,112453,'Resistibility increases against targets higher than level 106.',100,1,4),
(232048,10112453,'Mesmerizes target',100,1,0),
(232049,10112453,'Prevents AOE (except when direct) ',100,1,1),
(232050,10112453,'Dispelled when target takes damage',100,1,2),
(232051,10112453,'Does not affect Epic targets',100,1,3),
(232052,10112453,'Resistibility increases against targets higher than level 106.',100,1,4),
(232053,72328,'When Equipped:',100,0,0),
(232054,72328,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232055,72328,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(232056,72328,'Cannot be modified except by direct means',100,2,3),
(232057,10072328,'When Equipped:',100,0,0),
(232058,10072328,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232059,10072328,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(232060,10072328,'Cannot be modified except by direct means',100,2,3),
(232061,36964,'Increases AGI of target by 1.5',100,0,0),
(232062,36964,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(232063,75663,'When Equipped:',100,0,0),
(232064,75663,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(232065,75663,'Inflicts 4555 - 5035 heat damage on target',100,2,2),
(232066,75663,'Must not be engaged in pvp combat',100,2,3),
(232067,75663,'Cannot be modified except by direct means',100,2,4),
(232068,75663,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(232069,75663,'Inflicts 4555 - 5035 heat damage on target',100,2,6),
(232070,75663,'Must not be engaged in pvp combat',100,2,7),
(232071,75663,'Cannot be modified except by direct means',100,2,8),
(232072,75663,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,9),
(232073,10075663,'When Equipped:',100,0,0),
(232074,10075663,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(232075,10075663,'Inflicts 5922 - 6545 heat damage on target',100,2,2),
(232076,10075663,'Must not be engaged in pvp combat',100,2,3),
(232077,10075663,'Cannot be modified except by direct means',100,2,4),
(232078,10075663,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(232079,10075663,'Inflicts 5922 - 6545 heat damage on target',100,2,6),
(232080,10075663,'Must not be engaged in pvp combat',100,2,7),
(232081,10075663,'Cannot be modified except by direct means',100,2,8),
(232082,10075663,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,9),
(232083,111511,'Increases AGI of caster by 15.5',100,1,0),
(232084,111511,'Increases Damage Per Second of caster by 33.7',100,1,1),
(232085,10111511,'Increases AGI of caster by 15.5',100,1,0),
(232086,10111511,'Increases Damage Per Second of caster by 33.7',100,1,1),
(232087,109011,'Decreases Damage Per Second of target by 29.8',100,1,0),
(232088,109011,'Inflicts 291 - 356 melee damage on target',100,1,1),
(232089,10109011,'Decreases Damage Per Second of target by 29.8',100,1,0),
(232090,10109011,'Inflicts 378 - 463 melee damage on target',100,1,1),
(232091,46603,'Applies Gruengach Illusion when Activated.',100,0,0),
(232092,46603,'Shapechanges caster into a gruengach',100,1,1),
(232093,46603,'This does not apply with the Official Defenders of the Seal Scouting Uniform.',100,1,2),
(232094,10046603,'Applies Gruengach Illusion when Activated.',100,0,0),
(232095,10046603,'Shapechanges caster into a gruengach',100,1,1),
(232096,10046603,'This does not apply with the Official Defenders of the Seal Scouting Uniform.',100,1,2),
(232097,152564,'When Equipped:',100,0,0),
(232098,152564,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(232099,152564,'Increases Threat to target by 2,000 ',100,2,2),
(232100,152564,'Inflicts 993 mental damage on target',100,2,3),
(232101,152564,'Cannot be modified except by direct means',100,2,4),
(232102,152564,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(232103,152564,'Increases Threat to target by 2,000 ',100,2,6),
(232104,152564,'Inflicts 993 mental damage on target',100,2,7),
(232105,152564,'Cannot be modified except by direct means',100,2,8),
(232106,10152564,'When Equipped:',100,0,0),
(232107,10152564,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(232108,10152564,'Inflicts 1291 mental damage on target',100,2,2),
(232109,10152564,'Cannot be modified except by direct means',100,2,3),
(232110,10152564,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(232111,10152564,'Inflicts 1291 mental damage on target',100,2,5),
(232112,10152564,'Cannot be modified except by direct means',100,2,6),
(232113,83983,'Applies Lightning Shock when Activated.',100,0,0),
(232114,83983,'Inflicts 108 - 179 magic damage on target',100,1,1),
(232115,83983,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(232116,10083983,'Applies Lightning Shock when Activated.',100,0,0),
(232117,10083983,'Inflicts 140 - 233 magic damage on target',100,1,1),
(232118,10083983,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(232119,108064,'Inflicts 1086 magic damage on target',100,1,0),
(232120,108064,'Increases power of caster by 422',100,1,1),
(232121,10108064,'Inflicts 1412 magic damage on target',100,1,0),
(232122,10108064,'Increases power of caster by 422',100,1,1),
(232123,187248,'When Equipped:',100,0,0),
(232124,187248,'Increases Unconscious Health of caster by 2,000.0',100,1,1),
(232125,10187248,'When Equipped:',100,0,0),
(232126,10187248,'Increases Unconscious Health of caster by 2,000.0',100,1,1),
(232127,101220,'Inflicts 366 - 610 cold damage on target',100,1,0),
(232128,101220,'Dazes target',100,1,1),
(232129,101220,'If Target is not Epic',100,2,2),
(232130,101220,'Resistibility increases against targets higher than level 87.',100,1,3),
(232131,10101220,'Inflicts 476 - 793 cold damage on target',100,1,0),
(232132,10101220,'Dazes target',100,1,1),
(232133,10101220,'If Target is not Epic',100,2,2),
(232134,10101220,'Resistibility increases against targets higher than level 87.',100,1,3),
(232135,120860,'Inflicts 161 - 217 disease damage on target instantly and every second',100,1,0),
(232136,10120860,'Inflicts 292 - 395 disease damage on target',100,1,0),
(232137,10120860,'Inflicts 209 - 282 disease damage on target every second',100,1,1),
(232138,71379,'When Equipped:',100,0,0),
(232139,71379,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232140,71379,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(232141,71379,'Cannot be modified except by direct means',100,2,3),
(232142,10071379,'When Equipped:',100,0,0),
(232143,10071379,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232144,10071379,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(232145,10071379,'Cannot be modified except by direct means',100,2,3),
(232146,121908,'Inflicts 120 - 199 mental damage on target encounter',100,1,0),
(232147,121908,'Increases power of group members (AE) by 64 - 106',100,1,1),
(232148,10121908,'Inflicts 155 - 259 mental damage on target encounter',100,1,0),
(232149,10121908,'Increases power of group members (AE) by 64 - 106',100,1,1),
(232150,123553,'Summons a limited pet to aid the caster',100,1,0),
(232151,10123553,'Summons a limited pet to aid the caster',100,1,0),
(232152,82689,'When Equipped:',100,0,0),
(232153,82689,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232154,82689,'Inflicts 212 - 393 magic damage on target',100,2,2),
(232155,82689,'Cannot be modified except by direct means',100,2,3),
(232156,10082689,'When Equipped:',100,0,0),
(232157,10082689,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232158,10082689,'Inflicts 275 - 511 magic damage on target',100,2,2),
(232159,10082689,'Cannot be modified except by direct means',100,2,3),
(232160,170641,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(232161,170641,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 293',100,1,1),
(232162,170641,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(232163,10170641,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(232164,10170641,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 293',100,1,1),
(232165,10170641,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(232166,173415,'When Equipped:',100,0,0),
(232167,173415,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(232168,173415,'Wards target against 2400 points of all damage',100,2,2),
(232169,173415,'Cannot be modified except by direct means',100,2,3),
(232170,10173415,'When Equipped:',100,0,0),
(232171,10173415,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(232172,10173415,'Wards target against 2400 points of all damage',100,2,2),
(232173,10173415,'Cannot be modified except by direct means',100,2,3),
(232174,120519,'Inflicts 797 - 1328 melee damage on target',100,1,0),
(232175,120519,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(232176,120519,'Grants stealth to caster',100,2,2),
(232177,120519,'Suspends caster''s movement speed enhancements',100,2,3),
(232178,120519,'Must be flanking or behind',100,1,4),
(232179,10120519,'Inflicts 1036 - 1727 melee damage on target',100,1,0),
(232180,10120519,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(232181,10120519,'Grants stealth to caster',100,2,2),
(232182,10120519,'Suspends caster''s movement speed enhancements',100,2,3),
(232183,10120519,'Must be flanking or behind',100,1,4),
(232184,25003,'When Equipped:',100,0,0),
(232185,25003,'On a critical combat hit this spell may cast Bane of the Kromzek on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(232186,25003,'Inflicts 4940 - 5460 mental damage on target',100,2,2),
(232187,25003,'Must not be classified as a giant',100,3,3),
(232188,25003,'Inflicts 9880 - 10920 mental damage on target',100,2,4),
(232189,25003,'Must be classified as a giant',100,3,5),
(232190,25003,'Decreases Mitigation of target vs arcane damage by 1440',100,2,6),
(232191,25003,'Must be classified as a giant',100,3,7),
(232192,25003,'Must not be engaged in pvp combat',100,2,8),
(232193,25003,'Cannot be modified except by direct means',100,2,9),
(232194,25003,'On a critical spell hit this spell may cast Bane of the Kromzek on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,10),
(232195,25003,'Inflicts 4940 - 5460 mental damage on target',100,2,11),
(232196,25003,'Must not be classified as a giant',100,3,12),
(232197,25003,'Inflicts 9880 - 10920 mental damage on target',100,2,13),
(232198,25003,'Must be classified as a giant',100,3,14),
(232199,25003,'Decreases Mitigation of target vs arcane damage by 1440',100,2,15),
(232200,25003,'Must be classified as a giant',100,3,16),
(232201,25003,'Must not be engaged in pvp combat',100,2,17),
(232202,25003,'Cannot be modified except by direct means',100,2,18),
(232203,25003,'Must not be engaged in pvp combat',100,1,19),
(232204,10025003,'When Equipped:',100,0,0),
(232205,10025003,'On a critical combat hit this spell may cast Bane of the Kromzek on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(232206,10025003,'Inflicts 6422 - 7098 mental damage on target',100,2,2),
(232207,10025003,'Must not be classified as a giant',100,3,3),
(232208,10025003,'Inflicts 12844 - 14196 mental damage on target',100,2,4),
(232209,10025003,'Must be classified as a giant',100,3,5),
(232210,10025003,'Decreases Mitigation of target vs arcane damage by 1440',100,2,6),
(232211,10025003,'Must be classified as a giant',100,3,7),
(232212,10025003,'Must not be engaged in pvp combat',100,2,8),
(232213,10025003,'Cannot be modified except by direct means',100,2,9),
(232214,10025003,'On a critical spell hit this spell may cast Bane of the Kromzek on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,10),
(232215,10025003,'Inflicts 6422 - 7098 mental damage on target',100,2,11),
(232216,10025003,'Must not be classified as a giant',100,3,12),
(232217,10025003,'Inflicts 12844 - 14196 mental damage on target',100,2,13),
(232218,10025003,'Must be classified as a giant',100,3,14),
(232219,10025003,'Decreases Mitigation of target vs arcane damage by 1440',100,2,15),
(232220,10025003,'Must be classified as a giant',100,3,16),
(232221,10025003,'Must not be engaged in pvp combat',100,2,17),
(232222,10025003,'Cannot be modified except by direct means',100,2,18),
(232223,10025003,'Must not be engaged in pvp combat',100,1,19),
(232224,41541,'When Equipped:',100,0,0),
(232225,41541,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232226,41541,'Decreases Threat to target by 376 ',100,2,2),
(232227,41541,'Must be flanking or behind',100,3,3),
(232228,41541,'Increases Threat to target by 376 ',100,2,4),
(232229,41541,'Must be in front of',100,3,5),
(232230,41541,'Inflicts 167 - 311 magic damage on target',100,2,6),
(232231,41541,'Cannot be modified except by direct means',100,2,7),
(232232,10041541,'When Equipped:',100,0,0),
(232233,10041541,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232234,10041541,'Inflicts 217 - 404 magic damage on target',100,2,2),
(232235,10041541,'Cannot be modified except by direct means',100,2,3),
(232236,108911,'Inflicts 1575 heat damage on target',100,1,0),
(232237,108911,'Inflicts 1575 cold damage on target',100,1,1),
(232238,108911,'Slows target by 67.5%',100,1,2),
(232239,10108911,'Inflicts 2047 heat damage on target',100,1,0),
(232240,10108911,'Inflicts 2047 cold damage on target',100,1,1),
(232241,10108911,'Slows target by 67.5%',100,1,2),
(232242,102506,'Inflicts 920 - 1534 crushing damage on target',100,1,0),
(232243,102506,'Prevents target from changing direction while active.',100,1,1),
(232244,102506,'If Target is not Epic',100,2,2),
(232245,102506,'Roots target',100,1,3),
(232246,102506,'If Target is not Epic',100,2,4),
(232247,102506,'Resistibility increases against targets higher than level 114.',100,1,5),
(232248,10102506,'Inflicts 1197 - 1995 crushing damage on target',100,1,0),
(232249,10102506,'Prevents target from changing direction while active.',100,1,1),
(232250,10102506,'If Target is not Epic',100,2,2),
(232251,10102506,'Roots target',100,1,3),
(232252,10102506,'If Target is not Epic',100,2,4),
(232253,10102506,'Resistibility increases against targets higher than level 114.',100,1,5),
(232254,45567,'Applies Bulwark of Trueheart  when Activated.  Lasts for 30 minutes.',100,0,0),
(232255,10045567,'Applies Bulwark of Trueheart  when Activated.  Lasts for 30 minutes.',100,0,0),
(232256,87987,'When Equipped:',100,0,0),
(232257,87987,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232258,87987,'Inflicts 27 - 33 disease damage on target',100,2,2),
(232259,87987,'Inflicts 25 - 31 disease damage on target every 6 seconds',100,2,3),
(232260,87987,'Cannot be modified except by direct means',100,2,4),
(232261,10087987,'When Equipped:',100,0,0),
(232262,10087987,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232263,10087987,'Inflicts 35 - 43 disease damage on target',100,2,2),
(232264,10087987,'Inflicts 33 - 40 disease damage on target every 6 seconds',100,2,3),
(232265,10087987,'Cannot be modified except by direct means',100,2,4),
(232266,118390,'Inflicts 671 - 1119 melee damage on target',100,1,0),
(232267,118390,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(232268,118390,'Stuns target',100,2,2),
(232269,118390,'Blurs vision of target',100,2,3),
(232270,118390,'Throws target back',100,2,4),
(232271,118390,'Does not affect Epic targets',100,2,5),
(232272,10118390,'Inflicts 873 - 1455 melee damage on target',100,1,0),
(232273,10118390,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(232274,10118390,'Stuns target',100,2,2),
(232275,10118390,'Blurs vision of target',100,2,3),
(232276,10118390,'Throws target back',100,2,4),
(232277,10118390,'Does not affect Epic targets',100,2,5),
(232278,104726,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(232279,104726,'Decreases Mitigation of target vs elemental and arcane damage by 784',100,2,1),
(232280,104726,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(232281,104726,'Decreases Mitigation of target vs elemental and arcane damage by 784',100,2,3),
(232282,10104726,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(232283,10104726,'Decreases Mitigation of target vs elemental and arcane damage by 784',100,2,1),
(232284,10104726,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(232285,10104726,'Decreases Mitigation of target vs elemental and arcane damage by 784',100,2,3),
(232286,106411,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(232287,106411,'Inflicts 417 - 509 mental damage on target',100,2,1),
(232288,106411,'Grants a total of 3 triggers of the spell.',100,2,2),
(232289,10106411,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(232290,10106411,'Inflicts 542 - 662 mental damage on target',100,2,1),
(232291,10106411,'Grants a total of 3 triggers of the spell.',100,2,2),
(232292,119538,'Increases threat priority of target by 2 positions',100,1,0),
(232293,119538,'Stuns caster',100,1,1),
(232294,119538,'Decreases Defense and Parry of caster by 399.0',100,1,2),
(232295,119538,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(232296,119538,'Inflicts 3826 - 6376 piercing damage on target',100,2,4),
(232297,119538,'Grants a total of 1 trigger of the spell.',100,2,5),
(232298,10119538,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(232299,10119538,'Prevents target from changing targets',100,2,1),
(232300,10119538,'Forces target to change their selected target to caster.',100,2,2),
(232301,10119538,'Stuns caster',100,1,3),
(232302,10119538,'Decreases Defense and Parry of caster by 399.0',100,1,4),
(232303,10119538,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(232304,10119538,'Inflicts 3549 - 5915 piercing damage on target',100,2,6),
(232305,10119538,'Grants a total of 1 trigger of the spell.',100,2,7),
(232306,101585,'Inflicts 178 - 297 melee damage on targets in area',100,1,0),
(232307,10101585,'Inflicts 231 - 386 melee damage on targets in area',100,1,0),
(232308,46395,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(232309,46395,'Heals caster for 266',100,1,1),
(232310,46395,'Heals caster for 133 every 5 seconds',100,1,2),
(232311,10046395,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(232312,10046395,'Heals caster for 173',100,1,1),
(232313,10046395,'Heals caster for 86 every 5 seconds',100,1,2),
(232314,45551,'Applies Clouded Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(232315,45551,'Increases Max Health of caster by 332.8',100,1,1),
(232316,45551,'Only affects targets level 50 and above',100,1,2),
(232317,10045551,'Applies Clouded Azhar''s Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(232318,10045551,'Increases Max Health of caster by 332.8',100,1,1),
(232319,10045551,'Only affects targets level 50 and above',100,1,2),
(232320,117916,'Increases In-Combat Health Regeneration of group members (AE) by 106.9',100,1,0),
(232321,117916,'Increases Max Health of group members (AE) by 557.7',100,1,1),
(232322,10117916,'Increases In-Combat Health Regeneration of group members (AE) by 106.9',100,1,0),
(232323,10117916,'Increases Max Health of group members (AE) by 557.7',100,1,1),
(232324,102578,'Increases AGI of caster by 92.5',100,1,0),
(232325,102578,'Increases Max Health of caster by 323.1',100,1,1),
(232326,102578,'Adds 14.8% to base avoidance.',100,1,2),
(232327,102578,'Increases Mitigation of caster vs physical damage by 525',100,1,3),
(232328,102578,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,4),
(232329,10102578,'Increases AGI of caster by 92.5',100,1,0),
(232330,10102578,'Increases Max Health of caster by 323.1',100,1,1),
(232331,10102578,'Adds 14.8% to base avoidance.',100,1,2),
(232332,10102578,'Increases Mitigation of caster vs physical damage by 525',100,1,3),
(232333,10102578,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,4),
(232334,101431,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(232335,101431,'Increases Mitigation of group members (AE) vs noxious damage by 336',100,1,1),
(232336,10101431,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(232337,10101431,'Increases Mitigation of group members (AE) vs noxious damage by 336',100,1,1),
(232338,120615,'Inflicts 575 - 1068 heat damage on target',100,1,0),
(232339,10120615,'Inflicts 747 - 1388 heat damage on target',100,1,0),
(232340,45592,'Applies Elixir of Brilliance  when Activated.  Lasts for 30 minutes.',100,0,0),
(232341,45592,'Increases INT and WIS of caster by 17.3',100,1,1),
(232342,10045592,'Applies Elixir of Brilliance  when Activated.  Lasts for 30 minutes.',100,0,0),
(232343,10045592,'Increases INT and WIS of caster by 17.3',100,1,1),
(232344,141989,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(232345,141989,'Slows target by 32.2%',100,1,1),
(232346,141989,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(232347,141989,'Decreases Attack Speed of target by 13.2',100,2,3),
(232348,141989,'Cannot be modified except by direct means',100,2,4),
(232349,141989,'5% chance to dispel when target takes damage',100,1,5),
(232350,141989,'5% chance to dispel when target receives hostile action',100,1,6),
(232351,141989,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(232352,10141989,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(232353,10141989,'Slows target by 32.2%',100,1,1),
(232354,10141989,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(232355,10141989,'Decreases Attack Speed of target by 13.2',100,2,3),
(232356,10141989,'Cannot be modified except by direct means',100,2,4),
(232357,10141989,'5% chance to dispel when target takes damage',100,1,5),
(232358,10141989,'5% chance to dispel when target receives hostile action',100,1,6),
(232359,10141989,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(232360,70905,'When Equipped:',100,0,0),
(232361,70905,'On a combat hit this spell may cast Awe on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232362,70905,'Decreases power of target by 222',100,2,2),
(232363,70905,'Increases power of caster by 147',100,2,3),
(232364,70905,'Cannot be modified except by direct means',100,2,4),
(232365,10070905,'When Equipped:',100,0,0),
(232366,10070905,'On a combat hit this spell may cast Awe on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232367,10070905,'Decreases power of target by 222',100,2,2),
(232368,10070905,'Increases power of caster by 147',100,2,3),
(232369,10070905,'Cannot be modified except by direct means',100,2,4),
(232370,122924,'Increases STR and INT of group members (AE) by 106.3',100,1,0),
(232371,10122924,'Increases STR and INT of group members (AE) by 106.3',100,1,0),
(232372,47517,'Applies Petrified Dwarf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(232373,47517,'Shapechanges caster into a dwarf',100,1,1),
(232374,10047517,'Applies Petrified Dwarf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(232375,10047517,'Shapechanges caster into a dwarf',100,1,1),
(232376,120124,'Shapechanges caster into a chaos essence',100,1,0),
(232377,120124,'Increases WIS of caster by 203.3',100,1,1),
(232378,120124,'Grants See Invisibility to caster',100,1,2),
(232379,120124,'Increases Max Health of caster by 905.8',100,1,3),
(232380,120124,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2860',100,1,4),
(232381,10120124,'Shapechanges caster into a chaos essence',100,1,0),
(232382,10120124,'Increases WIS of caster by 203.3',100,1,1),
(232383,10120124,'Grants See Invisibility to caster',100,1,2),
(232384,10120124,'Increases Max Health of caster by 905.8',100,1,3),
(232385,10120124,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2860',100,1,4),
(232386,115986,'Inflicts 416 - 624 mental damage on target',100,1,0),
(232387,115986,'Stuns target',100,1,1),
(232388,115986,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(232389,115986,'Resistibility increases against targets higher than level 98.',100,1,3),
(232390,10115986,'Inflicts 541 - 811 mental damage on target',100,1,0),
(232391,10115986,'Stuns target',100,1,1),
(232392,10115986,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(232393,10115986,'Resistibility increases against targets higher than level 98.',100,1,3),
(232394,115243,'Heals target for 60',100,1,0),
(232395,115243,'Heals target for 10 every second',100,1,1),
(232396,115243,'Dispels 14 levels of any hostile effects on target',100,1,2),
(232397,10115243,'Heals target for 39',100,1,0),
(232398,10115243,'Heals target for 6 every second',100,1,1),
(232399,10115243,'Dispels 14 levels of any hostile effects on target',100,1,2),
(232400,41980,'When Equipped:',100,0,0),
(232401,41980,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(232402,41980,'Inflicts 1031 piercing damage on target',100,2,2),
(232403,41980,'Cannot be modified except by direct means',100,2,3),
(232404,10041980,'When Equipped:',100,0,0),
(232405,10041980,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(232406,10041980,'Inflicts 670 piercing damage on target',100,2,2),
(232407,10041980,'Cannot be modified except by direct means',100,2,3),
(232408,119039,'Inflicts 44 - 74 mental damage on target',100,1,0),
(232409,119039,'Decreases power of target by 42 - 70',100,1,1),
(232410,119039,'Increases power of caster by 16 - 27',100,1,2),
(232411,10119039,'Inflicts 57 - 96 mental damage on target',100,1,0),
(232412,10119039,'Decreases power of target by 42 - 70',100,1,1),
(232413,10119039,'Increases power of caster by 16 - 27',100,1,2),
(232414,122341,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(232415,122341,'Inflicts 6 - 7 piercing damage on target',100,2,1),
(232416,10122341,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(232417,10122341,'Inflicts 8 - 9 piercing damage on target',100,2,1),
(232418,116297,'Stuns target',100,1,0),
(232419,116297,'Does not affect Epic targets',100,1,1),
(232420,116297,'Resistibility increases against targets higher than level 45.',100,1,2),
(232421,10116297,'Stuns target',100,1,0),
(232422,10116297,'Does not affect Epic targets',100,1,1),
(232423,10116297,'Resistibility increases against targets higher than level 45.',100,1,2),
(232424,149103,'When Equipped:',100,0,0),
(232425,149103,'On a healing spell cast this spell may cast Holy Water Sprinkler on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(232426,149103,'Heals group members (AE) for 1904',100,2,2),
(232427,149103,'Heals group members (AE) for 635 every 5 seconds',100,2,3),
(232428,149103,'Cannot be modified except by direct means',100,2,4),
(232429,10149103,'When Equipped:',100,0,0),
(232430,10149103,'On a healing spell cast this spell may cast Holy Water Sprinkler on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(232431,10149103,'Heals group members (AE) for 1237',100,2,2),
(232432,10149103,'Heals group members (AE) for 412 every 5 seconds',100,2,3),
(232433,10149103,'Cannot be modified except by direct means',100,2,4),
(232434,122845,'Inflicts 1342 - 2237 ranged damage on target',100,1,0),
(232435,122845,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(232436,122845,'Increases Hate Gain of target by 30.0%',100,2,2),
(232437,122845,'Grants a total of 1 trigger of the spell.',100,2,3),
(232438,122845,'Requires bow',100,1,4),
(232439,10122845,'Inflicts 1141 - 1902 ranged damage on target',100,1,0),
(232440,10122845,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(232441,10122845,'Grants a total of 1 trigger of the spell.',100,2,2),
(232442,10122845,'Requires bow',100,1,3),
(232443,86156,'When Equipped:',100,0,0),
(232444,86156,'On any combat or spell hit this spell may cast Arcane Pummeling on target of attack.  Lasts for 3.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(232445,86156,'Inflicts 1089 - 1203 heat damage on targets in Area of Effect instantly and every 0.5 seconds',100,2,2),
(232446,86156,'Decreases Mitigation of target vs elemental damage by 288',100,2,3),
(232447,86156,'Decreases Mitigation of target vs arcane damage by 288',100,2,4),
(232448,86156,'Decreases Mitigation of target vs physical damage by 288',100,2,5),
(232449,86156,'Decreases Mitigation of target vs noxious damage by 288',100,2,6),
(232450,86156,'Must not be engaged in pvp combat',100,2,7),
(232451,86156,'Cannot be modified except by direct means',100,2,8),
(232452,86156,'Must not be engaged in pvp combat',100,1,9),
(232453,10086156,'When Equipped:',100,0,0),
(232454,10086156,'On any combat or spell hit this spell may cast Arcane Pummeling on target of attack.  Lasts for 3.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(232455,10086156,'Inflicts 1415 - 1564 heat damage on targets in Area of Effect instantly and every 0.5 seconds',100,2,2),
(232456,10086156,'Decreases Mitigation of target vs elemental damage by 288',100,2,3),
(232457,10086156,'Decreases Mitigation of target vs arcane damage by 288',100,2,4),
(232458,10086156,'Decreases Mitigation of target vs physical damage by 288',100,2,5),
(232459,10086156,'Decreases Mitigation of target vs noxious damage by 288',100,2,6),
(232460,10086156,'Must not be engaged in pvp combat',100,2,7),
(232461,10086156,'Cannot be modified except by direct means',100,2,8),
(232462,10086156,'Must not be engaged in pvp combat',100,1,9),
(232463,111405,'Increases Attack Speed of target by 32.3',100,1,0),
(232464,111405,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(232465,111405,'Inflicts 268 disease damage on target',100,2,2),
(232466,111405,'Heals caster for 57',100,2,3),
(232467,111405,'Decreases Defense and Parry of target by 23.9',100,1,4),
(232468,111405,'Increases Disruption, Subjugation and Focus of target by 23.9',100,1,5),
(232469,10111405,'Increases Attack Speed of target by 32.3',100,1,0),
(232470,10111405,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(232471,10111405,'Inflicts 348 disease damage on target',100,2,2),
(232472,10111405,'Heals caster for 37',100,2,3),
(232473,10111405,'Decreases Defense and Parry of target by 23.9',100,1,4),
(232474,10111405,'Increases Disruption, Subjugation and Focus of target by 23.9',100,1,5),
(232475,47274,'Applies Murky Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(232476,47274,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(232477,47274,'Inflicts 53 magic damage on target',100,2,2),
(232478,47274,'Cannot be modified except by direct means',100,2,3),
(232479,47274,'Only affects targets level 50 and above',100,1,4),
(232480,10047274,'Applies Murky Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(232481,10047274,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(232482,10047274,'Inflicts 69 magic damage on target',100,2,2),
(232483,10047274,'Cannot be modified except by direct means',100,2,3),
(232484,10047274,'Only affects targets level 50 and above',100,1,4),
(232485,82531,'When Equipped:',100,0,0),
(232486,82531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232487,82531,'Inflicts 116 - 215 magic damage on target',100,2,2),
(232488,82531,'Cannot be modified except by direct means',100,2,3),
(232489,10082531,'When Equipped:',100,0,0),
(232490,10082531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232491,10082531,'Inflicts 151 - 280 magic damage on target',100,2,2),
(232492,10082531,'Cannot be modified except by direct means',100,2,3),
(232493,80915,'When Equipped:',100,0,0),
(232494,80915,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232495,80915,'Inflicts 288 - 534 magic damage on target',100,2,2),
(232496,80915,'Cannot be modified except by direct means',100,2,3),
(232497,10080915,'When Equipped:',100,0,0),
(232498,10080915,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232499,10080915,'Inflicts 374 - 695 magic damage on target',100,2,2),
(232500,10080915,'Cannot be modified except by direct means',100,2,3),
(232501,103381,'Inflicts 158 - 193 mental damage on target instantly and every 6 seconds',100,1,0),
(232502,103381,'Decreases power of target by 40 instantly and every 6 seconds',100,1,1),
(232503,103381,'Increases power of caster by 127',100,1,2),
(232504,10103381,'Inflicts 206 - 251 mental damage on target instantly and every 6 seconds',100,1,0),
(232505,10103381,'Decreases power of target by 40 instantly and every 6 seconds',100,1,1),
(232506,10103381,'Increases power of caster by 127',100,1,2),
(232507,35587,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(232508,82049,'When Equipped:',100,0,0),
(232509,82049,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232510,82049,'Inflicts 212 - 393 magic damage on target',100,2,2),
(232511,82049,'Cannot be modified except by direct means',100,2,3),
(232512,10082049,'When Equipped:',100,0,0),
(232513,10082049,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232514,10082049,'Inflicts 275 - 511 magic damage on target',100,2,2),
(232515,10082049,'Cannot be modified except by direct means',100,2,3),
(232516,177678,'When Equipped:',100,0,0),
(232517,177678,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(232518,177678,'Increases STA of caster by 17.6',100,2,2),
(232519,177678,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(232520,177678,'Cannot be modified except by direct means',100,2,4),
(232521,10177678,'When Equipped:',100,0,0),
(232522,10177678,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(232523,10177678,'Increases STA of caster by 17.6',100,2,2),
(232524,10177678,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(232525,10177678,'Cannot be modified except by direct means',100,2,4),
(232526,24653,'Adds Poet''s Palace: Tarnished Genie Lamp to your Dungeon Maker toolbox',100,0,0),
(232527,10024653,'Adds Poet''s Palace: Tarnished Genie Lamp to your Dungeon Maker toolbox',100,0,0),
(232528,49113,'Applies Watery Essence when Activated.',100,0,0),
(232529,49113,'Summons a pet partial watery essence',100,1,1),
(232530,49113,'Must be in zone The Hole',100,1,2),
(232531,10049113,'Applies Watery Essence when Activated.',100,0,0),
(232532,10049113,'Summons a pet partial watery essence',100,1,1),
(232533,10049113,'Must be in zone The Hole',100,1,2),
(232534,47292,'Applies Salvation of the Tranquil  when Activated.  Lasts for 30 minutes.',100,0,0),
(232535,47292,'Increases WIS and INT of caster by 16.0',100,1,1),
(232536,10047292,'Applies Salvation of the Tranquil  when Activated.  Lasts for 30 minutes.',100,0,0),
(232537,10047292,'Increases WIS and INT of caster by 16.0',100,1,1),
(232538,154556,'When Equipped:',100,0,0),
(232539,154556,'On a hostile spell hit this spell may cast Spirit Drain on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(232540,154556,'Increases power of caster by 160',100,2,2),
(232541,154556,'Cannot be modified except by direct means',100,2,3),
(232542,10154556,'When Equipped:',100,0,0),
(232543,10154556,'On a hostile spell hit this spell may cast Spirit Drain on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(232544,10154556,'Increases power of caster by 160',100,2,2),
(232545,10154556,'Cannot be modified except by direct means',100,2,3),
(232546,107797,'Increases Threat to target encounter by 300 - 367 ',100,1,0),
(232547,10107797,'Prevents target encounter from changing targets',100,1,0),
(232548,10107797,'Forces target encounter to change their selected target to caster.',100,1,1),
(232549,108554,'Makes target afraid',100,1,0),
(232550,108554,'30% chance to dispel when target takes damage',100,1,1),
(232551,108554,'Does not affect Epic targets',100,1,2),
(232552,108554,'Resistibility increases against targets higher than level 81.',100,1,3),
(232553,10108554,'Makes target afraid',100,1,0),
(232554,10108554,'30% chance to dispel when target takes damage',100,1,1),
(232555,10108554,'Does not affect Epic targets',100,1,2),
(232556,10108554,'Resistibility increases against targets higher than level 81.',100,1,3),
(232557,116512,'Increases Mitigation of target vs physical damage by 195',100,1,0),
(232558,116512,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(232559,10116512,'Increases Mitigation of target vs physical damage by 195',100,1,0),
(232560,10116512,'Decreases Mitigation of caster vs physical damage by 279',100,1,1),
(232561,100244,'Inflicts 9 - 17 poison damage on target instantly and every 3 seconds',100,1,0),
(232562,10100244,'Inflicts 27 - 50 poison damage on target instantly and every 3 seconds',100,1,0),
(232563,123159,'Reduces physical damage done to caster by 5%',100,1,0),
(232564,123159,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,1),
(232565,123159,'Increases Aggression of caster by 7.9',100,1,2),
(232566,123159,'Increases Defense and Parry of caster by 15.8',100,1,3),
(232567,123159,'Increases Mitigation of caster vs elemental damage by 1056',100,1,4),
(232568,123159,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(232569,10123159,'Reduces physical damage done to caster by 5%',100,1,0),
(232570,10123159,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,1),
(232571,10123159,'Increases Aggression of caster by 7.9',100,1,2),
(232572,10123159,'Increases Defense and Parry of caster by 15.8',100,1,3),
(232573,10123159,'Increases Mitigation of caster vs elemental damage by 1056',100,1,4),
(232574,10123159,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(232575,37523,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(232576,45378,'Applies Protection of the Bloom when Activated.  Lasts for 20.0 seconds.',100,0,0),
(232577,45378,'Protects against the effects of vampiric level drain.',100,1,1),
(232578,10045378,'Applies Protection of the Bloom when Activated.  Lasts for 20.0 seconds.',100,0,0),
(232579,10045378,'Protects against the effects of vampiric level drain.',100,1,1),
(232580,121199,'Grants stealth to caster',100,1,0),
(232581,121199,'Suspends caster''s movement speed enhancements',100,1,1),
(232582,121199,'Decreases Threat to target by 602 - 1,003 ',100,1,2),
(232583,10121199,'Grants stealth to caster',100,1,0),
(232584,10121199,'Suspends caster''s movement speed enhancements',100,1,1),
(232585,10121199,'Forces target to clear their selected target.',100,1,2),
(232586,124411,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(232587,124411,'Inflicts 117 - 195 melee damage on target',100,2,1),
(232588,124411,'Grants a total of 3 triggers of the spell.',100,2,2),
(232589,10124411,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(232590,10124411,'Inflicts 140 - 234 melee damage on target',100,2,1),
(232591,10124411,'Grants a total of 3 triggers of the spell.',100,2,2),
(232592,36739,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(232593,110677,'Heals target for 447',100,1,0),
(232594,110677,'Dispels 43 levels of any hostile effects on target',100,1,1),
(232595,10110677,'Heals target for 291',100,1,0),
(232596,10110677,'Dispels 43 levels of any hostile effects on target',100,1,1),
(232597,118605,'Roots target',100,1,0),
(232598,118605,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(232599,118605,'Slows target by 42.8%',100,2,2),
(232600,118605,'5% chance to dispel when target receives hostile action',100,2,3),
(232601,118605,'5% chance to dispel when target takes damage',100,2,4),
(232602,118605,'5% chance to dispel when target takes damage',100,1,5),
(232603,118605,'Does not affect Epic targets',100,1,6),
(232604,118605,'Resistibility increases against targets higher than level 93.',100,1,7),
(232605,10118605,'Roots target',100,1,0),
(232606,10118605,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(232607,10118605,'Slows target by 42.8%',100,2,2),
(232608,10118605,'5% chance to dispel when target receives hostile action',100,2,3),
(232609,10118605,'5% chance to dispel when target takes damage',100,2,4),
(232610,10118605,'5% chance to dispel when target takes damage',100,1,5),
(232611,10118605,'Does not affect Epic targets',100,1,6),
(232612,10118605,'Resistibility increases against targets higher than level 93.',100,1,7),
(232613,104032,'Stifles target',100,1,0),
(232614,104032,'If Target is not Epic',100,2,1),
(232615,104032,'Interrupts target',100,1,2),
(232616,104032,'Decreases Threat to target by 1,144 - 1,398 ',100,1,3),
(232617,104032,'Resistibility increases against targets higher than level 95.',100,1,4),
(232618,10104032,'Stifles target',100,1,0),
(232619,10104032,'If Target is not Epic',100,2,1),
(232620,10104032,'Interrupts target',100,1,2),
(232621,10104032,'Resistibility increases against targets higher than level 95.',100,1,3),
(232622,116549,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(232623,116549,'Inflicts 154 divine damage on target',100,2,1),
(232624,116549,'Increases Mitigation of raid and group members (AE) vs all damage by 1596',100,1,2),
(232625,10116549,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(232626,10116549,'Inflicts 185 divine damage on target',100,2,1),
(232627,10116549,'Increases Mitigation of raid and group members (AE) vs all damage by 1596',100,1,2),
(232628,105358,'Increases STA of group members (AE) by 15.3',100,1,0),
(232629,105358,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(232630,10105358,'Increases STA of group members (AE) by 15.3',100,1,0),
(232631,10105358,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,1),
(232632,24225,'Adds Crushbone: Stockade to your Dungeon Maker toolbox',100,0,0),
(232633,10024225,'Adds Crushbone: Stockade to your Dungeon Maker toolbox',100,0,0),
(232634,117339,'Roots target',100,1,0),
(232635,117339,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(232636,117339,'Slows target by 40.1%',100,2,2),
(232637,117339,'5% chance to dispel when target receives hostile action',100,2,3),
(232638,117339,'5% chance to dispel when target takes damage',100,2,4),
(232639,117339,'15% chance to dispel when target takes damage',100,1,5),
(232640,117339,'Does not affect Epic targets',100,1,6),
(232641,117339,'Resistibility increases against targets higher than level 90.',100,1,7),
(232642,10117339,'Roots target',100,1,0),
(232643,10117339,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(232644,10117339,'Slows target by 40.1%',100,2,2),
(232645,10117339,'10% chance to dispel when target receives hostile action',100,2,3),
(232646,10117339,'10% chance to dispel when target takes damage',100,2,4),
(232647,10117339,'15% chance to dispel when target takes damage',100,1,5),
(232648,10117339,'Does not affect Epic targets',100,1,6),
(232649,10117339,'Resistibility increases against targets higher than level 90.',100,1,7),
(232650,25133,'When Equipped:',100,0,0),
(232651,25133,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(232652,25133,'Heals caster for 30',100,2,2),
(232653,25133,'Cannot be modified except by direct means',100,2,3),
(232654,10025133,'When Equipped:',100,0,0),
(232655,10025133,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(232656,10025133,'Heals caster for 20',100,2,2),
(232657,10025133,'Cannot be modified except by direct means',100,2,3),
(232658,108191,'Increases power of caster by 20 instantly and every 4 seconds',100,1,0),
(232659,10108191,'Increases power of caster by 20 instantly and every 4 seconds',100,1,0),
(232660,49106,'Applies Wand of Putrescence when Activated.',100,0,0),
(232661,49106,'This effect cannot be cast during combat',100,1,1),
(232662,49106,'must be in a particular area',100,1,2),
(232663,49106,'If target is mammal',100,1,3),
(232664,10049106,'Applies Wand of Putrescence when Activated.',100,0,0),
(232665,10049106,'This effect cannot be cast during combat',100,1,1),
(232666,10049106,'must be in a particular area',100,1,2),
(232667,10049106,'If target is mammal',100,1,3),
(232668,115603,'Interrupts target encounter',100,1,0),
(232669,115603,'Decreases Threat to target encounter by 1,517 - 1,854 ',100,1,1),
(232670,115603,'Dazes target encounter',100,1,2),
(232671,115603,'If Target is not Epic',100,2,3),
(232672,115603,'Resistibility increases against targets higher than level 116.',100,1,4),
(232673,10115603,'Interrupts target encounter',100,1,0),
(232674,10115603,'Dazes target encounter',100,1,1),
(232675,10115603,'If Target is not Epic',100,2,2),
(232676,10115603,'Resistibility increases against targets higher than level 116.',100,1,3),
(232677,52879,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(232678,52879,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(232679,52879,'Inflicts 62 heat damage on target',100,2,2),
(232680,52879,'Cannot be modified except by direct means',100,2,3),
(232681,10052879,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(232682,10052879,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(232683,10052879,'Inflicts 74 heat damage on target',100,2,2),
(232684,10052879,'Cannot be modified except by direct means',100,2,3),
(232685,87326,'When Equipped:',100,0,0),
(232686,87326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232687,87326,'Inflicts 98 - 147 magic damage on target',100,2,2),
(232688,87326,'Cannot be modified except by direct means',100,2,3),
(232689,10087326,'When Equipped:',100,0,0),
(232690,10087326,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232691,10087326,'Inflicts 117 - 176 magic damage on target',100,2,2),
(232692,10087326,'Cannot be modified except by direct means',100,2,3),
(232693,170948,'Applies Gather Mana when Activated.',100,0,0),
(232694,170948,'Applies Strands of Mana on termination.',100,1,1),
(232695,170948,'Decreases power of target by 391',100,2,2),
(232696,170948,'Increases power of caster by 163',100,2,3),
(232697,170948,'Must be engaged in pvp combat',100,1,4),
(232698,170948,'The reuse time of Gather Mana is 30 minutes',100,1,5),
(232699,10170948,'Applies Gather Mana when Activated.',100,0,0),
(232700,10170948,'Applies Strands of Mana on termination.',100,1,1),
(232701,10170948,'Decreases power of target by 391',100,2,2),
(232702,10170948,'Increases power of caster by 163',100,2,3),
(232703,10170948,'Must be engaged in pvp combat',100,1,4),
(232704,10170948,'The reuse time of Gather Mana is 30 minutes',100,1,5),
(232705,45863,'Applies Call Dark Armor Albino Warg when Activated.',100,0,0),
(232706,45863,'Increases Ministration, Disruption and Focus of caster by 5.0',100,1,1),
(232707,45863,'Summons a mount to ride',100,1,2),
(232708,45863,'Increases your ground speed by 130%',100,2,3),
(232709,45863,'Increases Ordination and Subjugation of caster by 5.0',100,1,4),
(232710,10045863,'Applies Call Dark Armor Albino Warg when Activated.',100,0,0),
(232711,10045863,'Increases Ministration, Disruption and Focus of caster by 5.0',100,1,1),
(232712,10045863,'Summons a mount to ride',100,1,2),
(232713,10045863,'Increases your ground speed by 130%',100,2,3),
(232714,10045863,'Increases Ordination and Subjugation of caster by 5.0',100,1,4),
(232715,155202,'When Equipped:',100,0,0),
(232716,155202,'Increases the caster''s heals and wards by 5%.',100,1,1),
(232717,155202,'Must not be engaged in pvp combat',100,1,2),
(232718,10155202,'When Equipped:',100,0,0),
(232719,10155202,'Increases the caster''s heals and wards by 5%.',100,1,1),
(232720,10155202,'Must not be engaged in pvp combat',100,1,2),
(232721,155189,'When Equipped:',100,0,0),
(232722,155189,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(232723,155189,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(232724,155189,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(232725,155189,'Heals caster for 1185 - 1309',100,2,4),
(232726,155189,'Decreases Crushing, Slashing, Piercing and Ranged of target by 22.0',100,2,5),
(232727,155189,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(232728,155189,'Must not be engaged in pvp combat',100,2,7),
(232729,155189,'Cannot be modified except by direct means',100,2,8),
(232730,155189,'Cannot be modified except by direct means',100,1,9),
(232731,155189,'When Equipped:',100,0,10),
(232732,155189,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(232733,155189,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(232734,155189,'Increases INT and WIS of caster by 44.0',100,2,13),
(232735,155189,'Increases Ability Casting Speed of caster by 1.5%',100,2,14),
(232736,155189,'Increases Crit Bonus of caster by 11.5%',100,2,15),
(232737,155189,'Must not be engaged in pvp combat',100,2,16),
(232738,155189,'Cannot be modified except by direct means',100,2,17),
(232739,155189,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,18),
(232740,155189,'Increases INT and WIS of caster by 44.0',100,2,19),
(232741,155189,'Increases Ability Casting Speed of caster by 1.5%',100,2,20),
(232742,155189,'Increases Crit Bonus of caster by 11.5%',100,2,21),
(232743,155189,'Must not be engaged in pvp combat',100,2,22),
(232744,155189,'Cannot be modified except by direct means',100,2,23),
(232745,155189,'Cannot be modified except by direct means',100,1,24),
(232746,10155189,'When Equipped:',100,0,0),
(232747,10155189,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(232748,10155189,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(232749,10155189,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(232750,10155189,'Heals caster for 1386 - 1532',100,2,4),
(232751,10155189,'Decreases Crushing, Slashing, Piercing and Ranged of target by 22.0',100,2,5),
(232752,10155189,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(232753,10155189,'Must not be engaged in pvp combat',100,2,7),
(232754,10155189,'Cannot be modified except by direct means',100,2,8),
(232755,10155189,'Cannot be modified except by direct means',100,1,9),
(232756,10155189,'When Equipped:',100,0,10),
(232757,10155189,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(232758,10155189,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(232759,10155189,'Increases INT and WIS of caster by 44.0',100,2,13),
(232760,10155189,'Increases Ability Casting Speed of caster by 1.5%',100,2,14),
(232761,10155189,'Increases Crit Bonus of caster by 11.5%',100,2,15),
(232762,10155189,'Must not be engaged in pvp combat',100,2,16),
(232763,10155189,'Cannot be modified except by direct means',100,2,17),
(232764,10155189,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,18),
(232765,10155189,'Increases INT and WIS of caster by 44.0',100,2,19),
(232766,10155189,'Increases Ability Casting Speed of caster by 1.5%',100,2,20),
(232767,10155189,'Increases Crit Bonus of caster by 11.5%',100,2,21),
(232768,10155189,'Must not be engaged in pvp combat',100,2,22),
(232769,10155189,'Cannot be modified except by direct means',100,2,23),
(232770,10155189,'Cannot be modified except by direct means',100,1,24),
(232771,41559,'When Equipped:',100,0,0),
(232772,41559,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232773,41559,'Decreases Threat to target by 1,219 ',100,2,2),
(232774,41559,'Must be flanking or behind',100,3,3),
(232775,41559,'Increases Threat to target by 1,224 ',100,2,4),
(232776,41559,'Must be in front of',100,3,5),
(232777,41559,'Inflicts 315 - 585 magic damage on target',100,2,6),
(232778,41559,'Cannot be modified except by direct means',100,2,7),
(232779,10041559,'When Equipped:',100,0,0),
(232780,10041559,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232781,10041559,'Inflicts 378 - 702 magic damage on target',100,2,2),
(232782,10041559,'Cannot be modified except by direct means',100,2,3),
(232783,112173,'Increases STR of caster by 43.4',100,1,0),
(232784,112173,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1092',100,1,1),
(232785,112173,'Increases Mitigation of caster vs physical damage by 280',100,1,2),
(232786,10112173,'Increases STR of caster by 43.4',100,1,0),
(232787,10112173,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1092',100,1,1),
(232788,10112173,'Increases Mitigation of caster vs physical damage by 280',100,1,2),
(232789,27416,'When Equipped:',100,0,0),
(232790,27416,'Decreases falling damage taken by caster by 15.0%',100,1,1),
(232791,10027416,'When Equipped:',100,0,0),
(232792,10027416,'Decreases falling damage taken by caster by 15.0%',100,1,1),
(232793,80553,'When Equipped:',100,0,0),
(232794,80553,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232795,80553,'Decreases Threat to target by 352 ',100,2,2),
(232796,80553,'Must be flanking or behind',100,3,3),
(232797,80553,'Increases Threat to target by 357 ',100,2,4),
(232798,80553,'Must be in front of',100,3,5),
(232799,80553,'Inflicts 77 - 144 magic damage on target',100,2,6),
(232800,80553,'Cannot be modified except by direct means',100,2,7),
(232801,10080553,'When Equipped:',100,0,0),
(232802,10080553,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232803,10080553,'Inflicts 93 - 173 magic damage on target',100,2,2),
(232804,10080553,'Cannot be modified except by direct means',100,2,3),
(232805,113636,'Interrupts target encounter',100,1,0),
(232806,113636,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 24.2',100,1,1),
(232807,10113636,'Interrupts target encounter',100,1,0),
(232808,10113636,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 24.2',100,1,1),
(232809,81380,'When Equipped:',100,0,0),
(232810,81380,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232811,81380,'Inflicts 77 - 144 magic damage on target',100,2,2),
(232812,81380,'Cannot be modified except by direct means',100,2,3),
(232813,10081380,'When Equipped:',100,0,0),
(232814,10081380,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232815,10081380,'Inflicts 93 - 173 magic damage on target',100,2,2),
(232816,10081380,'Cannot be modified except by direct means',100,2,3),
(232817,36772,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(232818,81563,'When Equipped:',100,0,0),
(232819,81563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232820,81563,'Inflicts 96 - 179 magic damage on target',100,2,2),
(232821,81563,'Cannot be modified except by direct means',100,2,3),
(232822,10081563,'When Equipped:',100,0,0),
(232823,10081563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232824,10081563,'Inflicts 116 - 215 magic damage on target',100,2,2),
(232825,10081563,'Cannot be modified except by direct means',100,2,3),
(232826,87489,'When Equipped:',100,0,0),
(232827,87489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232828,87489,'Inflicts 68 - 102 magic damage on target',100,2,2),
(232829,87489,'Cannot be modified except by direct means',100,2,3),
(232830,10087489,'When Equipped:',100,0,0),
(232831,10087489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232832,10087489,'Inflicts 81 - 122 magic damage on target',100,2,2),
(232833,10087489,'Cannot be modified except by direct means',100,2,3),
(232834,110391,'Increases STR and AGI of group members (AE) by 69.0',100,1,0),
(232835,110391,'Adds 1.7% to base avoidance.',100,1,1),
(232836,10110391,'Increases STR and AGI of group members (AE) by 69.0',100,1,0),
(232837,10110391,'Adds 1.7% to base avoidance.',100,1,1),
(232838,114140,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(232839,114140,'Increases Mitigation of group members (AE) vs elemental damage by 1015',100,1,1),
(232840,10114140,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(232841,10114140,'Increases Mitigation of group members (AE) vs elemental damage by 1015',100,1,1),
(232842,159759,'Applies Sanguine Imbued when Equipped.',100,0,0),
(232843,159759,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(232844,159759,'Inflicts 97 heat damage on target',100,2,2),
(232845,159759,'Cannot be modified except by direct means',100,2,3),
(232846,10159759,'Applies Sanguine Imbued when Equipped.',100,0,0),
(232847,10159759,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(232848,10159759,'Inflicts 116 heat damage on target',100,2,2),
(232849,10159759,'Cannot be modified except by direct means',100,2,3),
(232850,117300,'Inflicts 513 - 855 melee damage on target',100,1,0),
(232851,117300,'Decreases Damage Per Second of target by 20.6',100,1,1),
(232852,117300,'Decreases Attack Speed of target by 12.3',100,1,2),
(232853,10117300,'Inflicts 615 - 1026 melee damage on target',100,1,0),
(232854,10117300,'Decreases Damage Per Second of target by 20.6',100,1,1),
(232855,10117300,'Decreases Attack Speed of target by 12.3',100,1,2),
(232856,80651,'When Equipped:',100,0,0),
(232857,80651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232858,80651,'Inflicts 48 - 89 magic damage on target',100,2,2),
(232859,80651,'Cannot be modified except by direct means',100,2,3),
(232860,10080651,'When Equipped:',100,0,0),
(232861,10080651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(232862,10080651,'Inflicts 57 - 106 magic damage on target',100,2,2),
(232863,10080651,'Cannot be modified except by direct means',100,2,3),
(232864,71585,'When Equipped:',100,0,0),
(232865,71585,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232866,71585,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(232867,71585,'Cannot be modified except by direct means',100,2,3),
(232868,10071585,'When Equipped:',100,0,0),
(232869,10071585,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232870,10071585,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(232871,10071585,'Cannot be modified except by direct means',100,2,3),
(232872,173523,'When Equipped:',100,0,0),
(232873,173523,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(232874,173523,'Inflicts 1986 piercing damage on target',100,2,2),
(232875,173523,'Cannot be modified except by direct means',100,2,3),
(232876,10173523,'When Equipped:',100,0,0),
(232877,10173523,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(232878,10173523,'Inflicts 1192 piercing damage on target',100,2,2),
(232879,10173523,'Cannot be modified except by direct means',100,2,3),
(232880,41703,'When Equipped:',100,0,0),
(232881,41703,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232882,41703,'Decreases Threat to target by 135 ',100,2,2),
(232883,41703,'Must be flanking or behind',100,3,3),
(232884,41703,'Increases Threat to target by 140 ',100,2,4),
(232885,41703,'Must be in front of',100,3,5),
(232886,41703,'Inflicts 31 - 57 magic damage on target',100,2,6),
(232887,41703,'Cannot be modified except by direct means',100,2,7),
(232888,10041703,'When Equipped:',100,0,0),
(232889,10041703,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(232890,10041703,'Inflicts 37 - 68 magic damage on target',100,2,2),
(232891,10041703,'Cannot be modified except by direct means',100,2,3),
(232892,120040,'Inflicts 115 - 141 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(232893,120040,'Decreases power of target encounter by 38 instantly and every 4 seconds',100,1,1),
(232894,10120040,'Inflicts 138 - 169 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(232895,10120040,'Decreases power of target encounter by 38 instantly and every 4 seconds',100,1,1),
(232896,108668,'Dispels 147 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(232897,10108668,'Dispels 147 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(232898,115845,'Inflicts 108 - 180 mental damage on target encounter',100,1,0),
(232899,115845,'Interrupts target encounter',100,1,1),
(232900,10115845,'Inflicts 130 - 216 mental damage on target encounter',100,1,0),
(232901,10115845,'Interrupts target encounter',100,1,1),
(232902,101420,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(232903,101420,'Increases Mitigation of group members (AE) vs noxious damage by 83',100,1,1),
(232904,10101420,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(232905,10101420,'Increases Mitigation of group members (AE) vs noxious damage by 83',100,1,1),
(232906,45881,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(232907,45881,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(232908,45881,'Requires 15 Health to cast.',100,1,2),
(232909,10045881,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(232910,10045881,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(232911,10045881,'Requires 15 Health to cast.',100,1,2),
(232912,103953,'Applies Castigate.',100,1,0),
(232913,103953,'Inflicts 547 - 912 divine damage on targets in Area of Effect',100,2,1),
(232914,103953,'Dispels 121 levels of any hostile effects on caster',100,1,2),
(232915,103953,'Casts Castigate for each successful Dispel.',100,1,3),
(232916,103953,'Inflicts 547 - 912 divine damage on targets in Area of Effect',100,3,4),
(232917,10103953,'Applies Castigate.',100,1,0),
(232918,10103953,'Inflicts 656 - 1094 divine damage on targets in Area of Effect',100,2,1),
(232919,10103953,'Dispels 121 levels of any hostile effects on caster',100,1,2),
(232920,10103953,'Casts Castigate for each successful Dispel.',100,1,3),
(232921,10103953,'Inflicts 656 - 1094 divine damage on targets in Area of Effect',100,3,4),
(232922,73017,'When Equipped:',100,0,0),
(232923,73017,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(232924,73017,'Stuns target',100,2,2),
(232925,73017,'Only affects targets level 95 and below',100,2,3),
(232926,73017,'Does not affect Epic targets',100,2,4),
(232927,73017,'Resistibility increases against targets higher than level 111.',100,2,5),
(232928,73017,'Cannot be modified except by direct means',100,2,6),
(232929,10073017,'When Equipped:',100,0,0),
(232930,10073017,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(232931,10073017,'Stuns target',100,2,2),
(232932,10073017,'Only affects targets level 95 and below',100,2,3),
(232933,10073017,'Does not affect Epic targets',100,2,4),
(232934,10073017,'Resistibility increases against targets higher than level 111.',100,2,5),
(232935,10073017,'Cannot be modified except by direct means',100,2,6),
(232936,106439,'Increases Multi Attack Chance of raid and group members (AE) by 4.0',100,1,0),
(232937,10106439,'Increases Multi Attack Chance of raid and group members (AE) by 4.0',100,1,0),
(232938,35867,'Increases Max Health of target by 3.9',100,0,0),
(232939,35867,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(232940,73089,'When Equipped:',100,0,0),
(232941,73089,'On a combat hit this spell may cast Inject Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232942,73089,'Inflicts 49 - 60 poison damage on target',100,2,2),
(232943,73089,'Inflicts 10 - 12 poison damage on target every 4.8 seconds',100,2,3),
(232944,73089,'Cannot be modified except by direct means',100,2,4),
(232945,10073089,'When Equipped:',100,0,0),
(232946,10073089,'On a combat hit this spell may cast Inject Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232947,10073089,'Inflicts 59 - 72 poison damage on target',100,2,2),
(232948,10073089,'Inflicts 12 - 14 poison damage on target every 4.8 seconds',100,2,3),
(232949,10073089,'Cannot be modified except by direct means',100,2,4),
(232950,117169,'Inflicts 48 poison damage on target instantly and every 4 seconds',100,1,0),
(232951,117169,'Decreases WIS of target by 46.8',100,1,1),
(232952,10117169,'Inflicts 57 poison damage on target instantly and every 4 seconds',100,1,0),
(232953,10117169,'Decreases WIS of target by 46.8',100,1,1),
(232954,24216,'Adds Crushbone: Rock Pile to your Dungeon Maker toolbox',100,0,0),
(232955,10024216,'Adds Crushbone: Rock Pile to your Dungeon Maker toolbox',100,0,0),
(232956,72267,'When Equipped:',100,0,0),
(232957,72267,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232958,72267,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(232959,72267,'Cannot be modified except by direct means',100,2,3),
(232960,10072267,'When Equipped:',100,0,0),
(232961,10072267,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(232962,10072267,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(232963,10072267,'Cannot be modified except by direct means',100,2,3),
(232964,114640,'Decreases WIS of target by 54.3',100,1,0),
(232965,114640,'Inflicts 474 - 791 melee damage on target',100,1,1),
(232966,114640,'You must be sneaking to use this ability.',100,1,2),
(232967,10114640,'Decreases WIS of target by 54.3',100,1,0),
(232968,10114640,'Inflicts 569 - 949 melee damage on target',100,1,1),
(232969,10114640,'You must be sneaking to use this ability.',100,1,2),
(232970,124529,'Dispels 44 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(232971,10124529,'Dispels 44 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(232972,122477,'Inflicts 110 - 184 mental damage on targets in Area of Effect',100,1,0),
(232973,10122477,'Inflicts 132 - 220 mental damage on targets in Area of Effect',100,1,0),
(232974,175378,'When Equipped:',100,0,0),
(232975,175378,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(232976,175378,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(232977,175378,'Dispelled when target casts a hostile spell',100,2,3),
(232978,175378,'Dispelled when target casts a combat art',100,2,4),
(232979,175378,'Cannot be modified except by direct means',100,2,5),
(232980,10175378,'When Equipped:',100,0,0),
(232981,10175378,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(232982,10175378,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(232983,10175378,'Dispelled when target casts a hostile spell',100,2,3),
(232984,10175378,'Dispelled when target casts a combat art',100,2,4),
(232985,10175378,'Cannot be modified except by direct means',100,2,5),
(232986,110012,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(232987,110012,'Inflicts 21 - 36 disease damage on target',100,2,1),
(232988,110012,'Heals caster for 16 - 27',100,2,2),
(232989,110012,'This effect cannot be critically applied.',100,3,3),
(232990,110012,'The healing of this spell cannot be modified except by direct means',100,2,4),
(232991,10110012,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(232992,10110012,'Inflicts 26 - 43 disease damage on target',100,2,1),
(232993,10110012,'Heals caster for 5 - 8',100,2,2),
(232994,10110012,'This effect cannot be critically applied.',100,3,3),
(232995,10110012,'The healing of this spell cannot be modified except by direct means',100,2,4),
(232996,124557,'Dispels 108 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(232997,10124557,'Dispels 108 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(232998,118382,'Inflicts 304 - 507 melee damage on target',100,1,0),
(232999,118382,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(233000,118382,'Throws target back',100,2,2),
(233001,118382,'Stuns target',100,2,3),
(233002,118382,'Blurs vision of target',100,2,4),
(233003,118382,'Does not affect Epic targets',100,2,5),
(233004,10118382,'Inflicts 365 - 608 melee damage on target',100,1,0),
(233005,10118382,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(233006,10118382,'Throws target back',100,2,2),
(233007,10118382,'Stuns target',100,2,3),
(233008,10118382,'Blurs vision of target',100,2,4),
(233009,10118382,'Does not affect Epic targets',100,2,5),
(233010,109693,'Inflicts 180 - 220 cold damage on target instantly and every 3 seconds',100,1,0),
(233011,10109693,'Inflicts 216 - 264 cold damage on target instantly and every 3 seconds',100,1,0),
(233012,106848,'Decreases Crushing, Piercing, Slashing and Ranged of target by 40.3',100,1,0),
(233013,10106848,'Decreases Crushing, Piercing, Slashing and Ranged of target by 40.3',100,1,0),
(233014,102708,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(233015,102708,'Inflicts 384 - 641 heat damage on target',100,2,1),
(233016,102708,'Grants a total of 5 triggers of the spell.',100,2,2),
(233017,102708,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(233018,102708,'Inflicts 384 - 641 heat damage on target',100,2,4),
(233019,102708,'Grants a total of 5 triggers of the spell.',100,2,5),
(233020,10102708,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(233021,10102708,'Inflicts 461 - 769 heat damage on target',100,2,1),
(233022,10102708,'Grants a total of 5 triggers of the spell.',100,2,2),
(233023,10102708,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(233024,10102708,'Inflicts 461 - 769 heat damage on target',100,2,4),
(233025,10102708,'Grants a total of 5 triggers of the spell.',100,2,5),
(233026,26183,'When Equipped:',100,0,0),
(233027,26183,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(233028,26183,'Heals caster for 296',100,2,2),
(233029,26183,'Cannot be modified except by direct means',100,2,3),
(233030,10026183,'When Equipped:',100,0,0),
(233031,10026183,'On any combat or spell hit this spell may cast Greater Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(233032,10026183,'Heals caster for 192',100,2,2),
(233033,10026183,'Cannot be modified except by direct means',100,2,3),
(233034,109113,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(233035,109113,'Increases Attack Speed of caster by 56.0',100,1,1),
(233036,109113,'Increases Damage Per Second of caster by 64.4',100,1,2),
(233037,109113,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(233038,109113,'Increases Ranged of caster by 60.5',100,1,4),
(233039,109113,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(233040,109113,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(233041,109113,'Increases Crushing of group members (AE) by 60.5',100,2,7),
(233042,109113,'Increases Slashing of group members (AE) by 60.5',100,2,8),
(233043,109113,'If profession other than Ranger',100,3,9),
(233044,109113,'Increases Piercing of group members (AE) by 60.5',100,2,10),
(233045,109113,'If profession other than Ranger',100,3,11),
(233046,10109113,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(233047,10109113,'Increases Attack Speed of caster by 56.0',100,1,1),
(233048,10109113,'Increases Damage Per Second of caster by 64.4',100,1,2),
(233049,10109113,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(233050,10109113,'Increases Ranged of caster by 60.5',100,1,4),
(233051,10109113,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(233052,10109113,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(233053,10109113,'Increases Crushing of group members (AE) by 60.5',100,2,7),
(233054,10109113,'Increases Slashing of group members (AE) by 60.5',100,2,8),
(233055,10109113,'If profession other than Ranger',100,3,9),
(233056,10109113,'Increases Piercing of group members (AE) by 60.5',100,2,10),
(233057,10109113,'If profession other than Ranger',100,3,11),
(233058,54386,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(233059,54386,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(233060,54386,'Inflicts 23 heat damage on target',100,2,2),
(233061,54386,'Cannot be modified except by direct means',100,2,3),
(233062,10054386,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(233063,10054386,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(233064,10054386,'Inflicts 27 heat damage on target',100,2,2),
(233065,10054386,'Cannot be modified except by direct means',100,2,3),
(233066,115382,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(233067,115382,'Increases Parry of caster by 14.4',100,1,1),
(233068,10115382,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(233069,10115382,'Increases Parry of caster by 14.4',100,1,1),
(233070,173867,'When Equipped:',100,0,0),
(233071,173867,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233072,173867,'Inflicts 1192 magic damage on target',100,2,2),
(233073,173867,'Cannot be modified except by direct means',100,2,3),
(233074,10173867,'When Equipped:',100,0,0),
(233075,10173867,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233076,10173867,'Inflicts 715 magic damage on target',100,2,2),
(233077,10173867,'Cannot be modified except by direct means',100,2,3),
(233078,72380,'When Equipped:',100,0,0),
(233079,72380,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233080,72380,'Inflicts 54 - 66 magic damage on target',100,2,2),
(233081,72380,'Cannot be modified except by direct means',100,2,3),
(233082,10072380,'When Equipped:',100,0,0),
(233083,10072380,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233084,10072380,'Inflicts 65 - 79 magic damage on target',100,2,2),
(233085,10072380,'Cannot be modified except by direct means',100,2,3),
(233086,80280,'When Equipped:',100,0,0),
(233087,80280,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(233088,80280,'Decreases Threat to target by 801 ',100,2,2),
(233089,80280,'Must be flanking or behind',100,3,3),
(233090,80280,'Increases Threat to target by 806 ',100,2,4),
(233091,80280,'Must be in front of',100,3,5),
(233092,80280,'Inflicts 166 - 308 magic damage on target',100,2,6),
(233093,80280,'Cannot be modified except by direct means',100,2,7),
(233094,10080280,'When Equipped:',100,0,0),
(233095,10080280,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(233096,10080280,'Inflicts 199 - 370 magic damage on target',100,2,2),
(233097,10080280,'Cannot be modified except by direct means',100,2,3),
(233098,124526,'Dispels 38 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(233099,10124526,'Dispels 38 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(233100,48071,'Applies Call Sinister Prowler when Activated.',100,0,0),
(233101,48071,'Increases Slashing and Piercing of caster by 5.0',100,1,1),
(233102,48071,'Summons a mount to ride',100,1,2),
(233103,48071,'Increases your ground speed by 135%',100,2,3),
(233104,48071,'Increases Crushing, Focus, Ranged, Aggression, Disruption, Ordination, Subjugation and Ministration of caster by 5.0',100,1,4),
(233105,10048071,'Applies Call Sinister Prowler when Activated.',100,0,0),
(233106,10048071,'Increases Slashing and Piercing of caster by 5.0',100,1,1),
(233107,10048071,'Summons a mount to ride',100,1,2),
(233108,10048071,'Increases your ground speed by 135%',100,2,3),
(233109,10048071,'Increases Crushing, Focus, Ranged, Aggression, Disruption, Ordination, Subjugation and Ministration of caster by 5.0',100,1,4),
(233110,102569,'Increases AGI of caster by 71.0',100,1,0),
(233111,102569,'Increases Max Health of caster by 245.4',100,1,1),
(233112,102569,'Adds 17.2% to base avoidance.',100,1,2),
(233113,102569,'Increases Mitigation of caster vs physical damage by 424',100,1,3),
(233114,102569,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,4),
(233115,10102569,'Increases AGI of caster by 71.0',100,1,0),
(233116,10102569,'Increases Max Health of caster by 245.4',100,1,1),
(233117,10102569,'Adds 17.2% to base avoidance.',100,1,2),
(233118,10102569,'Increases Mitigation of caster vs physical damage by 424',100,1,3),
(233119,10102569,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,4),
(233120,135833,'When Equipped:',100,0,0),
(233121,135833,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233122,135833,'Inflicts 2664 disease damage on target encounter',100,2,2),
(233123,135833,'Must not be engaged in pvp combat',100,2,3),
(233124,135833,'Cannot be modified except by direct means',100,2,4),
(233125,10135833,'When Equipped:',100,0,0),
(233126,10135833,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233127,10135833,'Inflicts 1598 disease damage on target encounter',100,2,2),
(233128,10135833,'Must not be engaged in pvp combat',100,2,3),
(233129,10135833,'Cannot be modified except by direct means',100,2,4),
(233130,174526,'When Equipped:',100,0,0),
(233131,174526,'Increases Attack Speed of caster by 30.0',100,1,1),
(233132,174526,'When Equipped:',100,0,2),
(233133,174526,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(233134,174526,'Inflicts 1986 piercing damage on target',100,2,4),
(233135,174526,'Cannot be modified except by direct means',100,2,5),
(233136,10174526,'When Equipped:',100,0,0),
(233137,10174526,'Increases Attack Speed of caster by 30.0',100,1,1),
(233138,10174526,'When Equipped:',100,0,2),
(233139,10174526,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(233140,10174526,'Inflicts 1192 piercing damage on target',100,2,4),
(233141,10174526,'Cannot be modified except by direct means',100,2,5),
(233142,119243,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(233143,119243,'If profession other than Fighter',100,1,1),
(233144,119243,'If profession other than Scout',100,1,2),
(233145,10119243,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(233146,10119243,'If profession other than Fighter',100,1,1),
(233147,10119243,'If profession other than Scout',100,1,2),
(233148,111348,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(233149,111348,'Inflicts 663 - 810 mental damage on target',100,2,1),
(233150,111348,'Grants a total of 3 triggers of the spell.',100,2,2),
(233151,10111348,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(233152,10111348,'Inflicts 795 - 972 mental damage on target',100,2,1),
(233153,10111348,'Grants a total of 3 triggers of the spell.',100,2,2),
(233154,148661,'When Equipped:',100,0,0),
(233155,148661,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233156,148661,'Inflicts 1998 cold damage on target encounter',100,2,2),
(233157,148661,'Must not be engaged in pvp combat',100,2,3),
(233158,148661,'Cannot be modified except by direct means',100,2,4),
(233159,148661,'Must not be engaged in pvp combat',100,1,5),
(233160,10148661,'When Equipped:',100,0,0),
(233161,10148661,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233162,10148661,'Inflicts 1199 cold damage on target encounter',100,2,2),
(233163,10148661,'Must not be engaged in pvp combat',100,2,3),
(233164,10148661,'Cannot be modified except by direct means',100,2,4),
(233165,10148661,'Must not be engaged in pvp combat',100,1,5),
(233166,74632,'When Equipped:',100,0,0),
(233167,74632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233168,74632,'Inflicts 34 - 51 magic damage on target',100,2,2),
(233169,74632,'Cannot be modified except by direct means',100,2,3),
(233170,10074632,'When Equipped:',100,0,0),
(233171,10074632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233172,10074632,'Inflicts 41 - 62 magic damage on target',100,2,2),
(233173,10074632,'Cannot be modified except by direct means',100,2,3),
(233174,109153,'Inflicts 30 - 50 melee damage on target',100,1,0),
(233175,10109153,'Inflicts 36 - 60 melee damage on target',100,1,0),
(233176,179050,'When Equipped:',100,0,0),
(233177,179050,'Increases Burst effect damage by 33%.',100,1,1),
(233178,179050,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,2),
(233179,179050,'Inflicts 435 disease damage on targets in Area of Effect',100,2,3),
(233180,179050,'Cannot be modified except by direct means',100,2,4),
(233181,10179050,'When Equipped:',100,0,0),
(233182,10179050,'Increases Burst effect damage by 33%.',100,1,1),
(233183,10179050,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,2),
(233184,10179050,'Inflicts 523 disease damage on targets in Area of Effect',100,2,3),
(233185,10179050,'Cannot be modified except by direct means',100,2,4),
(233186,114488,'Increases In-Combat Power Regeneration of group members (AE) by 11.2',100,1,0),
(233187,10114488,'Increases In-Combat Power Regeneration of group members (AE) by 11.2',100,1,0),
(233188,45246,'When Equipped:',100,0,0),
(233189,45246,'Increases success chance by 1.1%',100,1,1),
(233190,10045246,'When Equipped:',100,0,0),
(233191,10045246,'Increases success chance by 1.1%',100,1,1),
(233192,112570,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(233193,112570,'Dispels 38 levels of physical hostile effects on target',100,2,1),
(233194,112570,'Heals targets in Area of Effect for 65 - 79',100,2,2),
(233195,10112570,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(233196,10112570,'Dispels 38 levels of physical hostile effects on target',100,2,1),
(233197,10112570,'Heals targets in Area of Effect for 42 - 52',100,2,2),
(233198,41514,'When Equipped:',100,0,0),
(233199,41514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233200,41514,'Inflicts 41 - 75 magic damage on target',100,2,2),
(233201,41514,'Cannot be modified except by direct means',100,2,3),
(233202,10041514,'When Equipped:',100,0,0),
(233203,10041514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233204,10041514,'Inflicts 49 - 90 magic damage on target',100,2,2),
(233205,10041514,'Cannot be modified except by direct means',100,2,3),
(233206,104636,'Inflicts 88 - 146 crushing damage on target',100,1,0),
(233207,104636,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 12.8',100,1,1),
(233208,10104636,'Inflicts 105 - 176 crushing damage on target',100,1,0),
(233209,10104636,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 12.8',100,1,1),
(233210,155674,'When Equipped:',100,0,0),
(233211,155674,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(233212,155674,'Heals group members (AE) for 384',100,2,2),
(233213,155674,'Cannot be modified except by direct means',100,2,3),
(233214,155674,'Cannot be modified except by direct means',100,1,4),
(233215,10155674,'When Equipped:',100,0,0),
(233216,10155674,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(233217,10155674,'Heals group members (AE) for 250',100,2,2),
(233218,10155674,'Cannot be modified except by direct means',100,2,3),
(233219,10155674,'Cannot be modified except by direct means',100,1,4),
(233220,36635,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(233221,119990,'Increases Threat to target by 589 - 719 ',100,1,0),
(233222,10119990,'Prevents target from changing targets',100,1,0),
(233223,10119990,'Forces target to change their selected target to caster.',100,1,1),
(233224,48028,'Applies Shielding of Dragonkind when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(233225,48028,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(233226,48028,'Inflicts 20 magic damage on target',100,2,2),
(233227,48028,'Cannot be modified except by direct means',100,2,3),
(233228,10048028,'Applies Shielding of Dragonkind when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(233229,10048028,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(233230,10048028,'Inflicts 24 magic damage on target',100,2,2),
(233231,10048028,'Cannot be modified except by direct means',100,2,3),
(233232,122124,'Increases Threat to target by 797 ',100,1,0),
(233233,122124,'Interrupts target',100,1,1),
(233234,122124,'Dispels 63 levels of arcane beneficial effects on target',100,1,2),
(233235,10122124,'Interrupts target',100,1,0),
(233236,10122124,'Forces target to change their selected target to caster.',100,1,1),
(233237,10122124,'Dispels 63 levels of arcane beneficial effects on target',100,1,2),
(233238,100423,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(233239,100423,'Increases Threat to target by 289 ',100,2,1),
(233240,100423,'Inflicts 76 - 127 slashing damage on target',100,2,2),
(233241,100423,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(233242,100423,'Increases Threat to target by 289 ',100,2,4),
(233243,100423,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1032',100,1,5),
(233244,10100423,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(233245,10100423,'Inflicts 92 - 153 slashing damage on target',100,2,1),
(233246,10100423,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(233247,10100423,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1032',100,1,3),
(233248,116503,'Increases Mitigation of target vs physical damage by 97',100,1,0),
(233249,116503,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(233250,10116503,'Increases Mitigation of target vs physical damage by 97',100,1,0),
(233251,10116503,'Decreases Mitigation of caster vs physical damage by 162',100,1,1),
(233252,87421,'When Equipped:',100,0,0),
(233253,87421,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233254,87421,'Inflicts 28 - 42 magic damage on target',100,2,2),
(233255,87421,'Cannot be modified except by direct means',100,2,3),
(233256,10087421,'When Equipped:',100,0,0),
(233257,10087421,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233258,10087421,'Inflicts 34 - 50 magic damage on target',100,2,2),
(233259,10087421,'Cannot be modified except by direct means',100,2,3),
(233260,86510,'Applies Fire Ball when Activated.',100,0,0),
(233261,86510,'Inflicts 174 - 291 heat damage on target',100,1,1),
(233262,86510,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(233263,10086510,'Applies Fire Ball when Activated.',100,0,0),
(233264,10086510,'Inflicts 209 - 349 heat damage on target',100,1,1),
(233265,10086510,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(233266,111716,'Inflicts 950 - 1161 cold damage on target',100,1,0),
(233267,111716,'Inflicts 950 - 1161 cold damage on target',100,1,1),
(233268,111716,'If target is elemental',100,2,2),
(233269,10111716,'Inflicts 977 - 1194 cold damage on target',100,1,0),
(233270,82728,'When Equipped:',100,0,0),
(233271,82728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233272,82728,'Inflicts 105 - 195 magic damage on target',100,2,2),
(233273,82728,'Cannot be modified except by direct means',100,2,3),
(233274,10082728,'When Equipped:',100,0,0),
(233275,10082728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233276,10082728,'Inflicts 126 - 234 magic damage on target',100,2,2),
(233277,10082728,'Cannot be modified except by direct means',100,2,3),
(233278,54749,'When Equipped:',100,0,0),
(233279,54749,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(233280,54749,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(233281,54749,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(233282,54749,'Must not be engaged in pvp combat',100,2,4),
(233283,54749,'Cannot be modified except by direct means',100,2,5),
(233284,54749,'Cannot be modified except by direct means',100,1,6),
(233285,10054749,'When Equipped:',100,0,0),
(233286,10054749,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(233287,10054749,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(233288,10054749,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(233289,10054749,'Must not be engaged in pvp combat',100,2,4),
(233290,10054749,'Cannot be modified except by direct means',100,2,5),
(233291,10054749,'Cannot be modified except by direct means',100,1,6),
(233292,116282,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(233293,116282,'Inflicts 338 - 413 disease damage on caster',100,2,1),
(233294,116282,'Inflicts 113 - 138 disease damage on caster every 2 seconds',100,2,2),
(233295,116282,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(233296,116282,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(233297,116282,'Grants a total of 1 trigger of the spell.',100,3,5),
(233298,10116282,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(233299,10116282,'Inflicts 405 - 495 disease damage on caster',100,2,1),
(233300,10116282,'Inflicts 135 - 165 disease damage on caster every 2 seconds',100,2,2),
(233301,10116282,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(233302,10116282,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(233303,10116282,'Grants a total of 1 trigger of the spell.',100,3,5),
(233304,46430,'Applies Give Rose when Activated.',100,0,0),
(233305,10046430,'Applies Give Rose when Activated.',100,0,0),
(233306,164302,'When Equipped:',100,0,0),
(233307,164302,'Caster will have their chance to hit with a weapon increased by 1.3%',100,1,1),
(233308,164302,'Increases Crushing, Slashing, Ranged and Piercing of caster by 16.0',100,1,2),
(233309,164302,'Must not be engaged in pvp combat',100,1,3),
(233310,10164302,'When Equipped:',100,0,0),
(233311,10164302,'Caster will have their chance to hit with a weapon increased by 1.3%',100,1,1),
(233312,10164302,'Increases Crushing, Slashing, Ranged and Piercing of caster by 16.0',100,1,2),
(233313,10164302,'Must not be engaged in pvp combat',100,1,3),
(233314,102108,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(233315,102108,'Throws target back',100,2,1),
(233316,102108,'Stuns target',100,2,2),
(233317,102108,'Blurs vision of target',100,2,3),
(233318,102108,'Does not affect Epic targets',100,2,4),
(233319,102108,'Inflicts 174 - 290 crushing damage on target',100,1,5),
(233320,10102108,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(233321,10102108,'Throws target back',100,2,1),
(233322,10102108,'Stuns target',100,2,2),
(233323,10102108,'Blurs vision of target',100,2,3),
(233324,10102108,'Does not affect Epic targets',100,2,4),
(233325,10102108,'Inflicts 209 - 349 crushing damage on target',100,1,5),
(233326,164081,'When Equipped:',100,0,0),
(233327,164081,'When damaged with a melee weapon this spell has a 9% chance to cast Runic Redemption on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(233328,164081,'Wards caster against 1125 points of all damage',100,2,2),
(233329,164081,'Cannot be modified except by direct means',100,2,3),
(233330,10164081,'When Equipped:',100,0,0),
(233331,10164081,'When damaged with a melee weapon this spell has a 9% chance to cast Runic Redemption on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(233332,10164081,'Wards caster against 1125 points of all damage',100,2,2),
(233333,10164081,'Cannot be modified except by direct means',100,2,3),
(233334,138547,'When Equipped:',100,0,0),
(233335,138547,'Grants a 10.0% chance to resist Fear effects',100,1,1),
(233336,138547,'On any combat or spell hit this spell may cast Poisoning of Thule on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(233337,138547,'Inflicts 237 - 290 poison damage on target encounter instantly and every 3 seconds',100,2,3),
(233338,138547,'Cannot be modified except by direct means',100,2,4),
(233339,138547,'When Equipped:',100,0,5),
(233340,138547,'Increases Spell Reuse Speed of caster by 5.0%',100,1,6),
(233341,10138547,'When Equipped:',100,0,0),
(233342,10138547,'Grants a 10.0% chance to resist Fear effects',100,1,1),
(233343,10138547,'On any combat or spell hit this spell may cast Poisoning of Thule on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(233344,10138547,'Inflicts 235 - 287 poison damage on target encounter instantly and every 3 seconds',100,2,3),
(233345,10138547,'Cannot be modified except by direct means',100,2,4),
(233346,10138547,'When Equipped:',100,0,5),
(233347,10138547,'Increases Spell Reuse Speed of caster by 5.0%',100,1,6),
(233348,74697,'When Equipped:',100,0,0),
(233349,74697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233350,74697,'Inflicts 147 - 221 magic damage on target',100,2,2),
(233351,74697,'Cannot be modified except by direct means',100,2,3),
(233352,10074697,'When Equipped:',100,0,0),
(233353,10074697,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233354,10074697,'Inflicts 177 - 265 magic damage on target',100,2,2),
(233355,10074697,'Cannot be modified except by direct means',100,2,3),
(233356,100017,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(233357,100017,'Inflicts 82 - 137 melee damage on targets in area',100,2,1),
(233358,100017,'Decreases Defense of caster by 10.8',100,1,2),
(233359,100017,'Increases Slashing, Piercing and Crushing of caster by 22.7',100,1,3),
(233360,10100017,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(233361,10100017,'Inflicts 98 - 164 melee damage on targets in area',100,2,1),
(233362,10100017,'Decreases Defense of caster by 10.8',100,1,2),
(233363,10100017,'Increases Slashing, Piercing and Crushing of caster by 22.7',100,1,3),
(233364,49029,'Applies Summon Warhog when Activated.',100,0,0),
(233365,49029,'Summons a mount to ride',100,1,1),
(233366,49029,'Increases your ground speed by 135%',100,2,2),
(233367,49029,'Increases Ministration, Focus, Disruption, Subjugation, Ranged, Slashing, Piercing, Crushing, Aggression and Ordination of caster by 5.0',100,1,3),
(233368,10049029,'Applies Summon Warhog when Activated.',100,0,0),
(233369,10049029,'Summons a mount to ride',100,1,1),
(233370,10049029,'Increases your ground speed by 135%',100,2,2),
(233371,10049029,'Increases Ministration, Focus, Disruption, Subjugation, Ranged, Slashing, Piercing, Crushing, Aggression and Ordination of caster by 5.0',100,1,3),
(233372,41664,'When Equipped:',100,0,0),
(233373,41664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233374,41664,'Inflicts 166 - 308 magic damage on target',100,2,2),
(233375,41664,'Cannot be modified except by direct means',100,2,3),
(233376,10041664,'When Equipped:',100,0,0),
(233377,10041664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233378,10041664,'Inflicts 199 - 369 magic damage on target',100,2,2),
(233379,10041664,'Cannot be modified except by direct means',100,2,3),
(233380,116046,'Shapechanges caster into a lion',100,1,0),
(233381,116046,'Increases STA of caster by 62.9',100,1,1),
(233382,116046,'Adds 3.7% to base avoidance.',100,1,2),
(233383,116046,'Grants See Stealth to caster',100,1,3),
(233384,116046,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1034',100,1,4),
(233385,10116046,'Shapechanges caster into a lion',100,1,0),
(233386,10116046,'Increases STA of caster by 62.9',100,1,1),
(233387,10116046,'Adds 3.7% to base avoidance.',100,1,2),
(233388,10116046,'Grants See Stealth to caster',100,1,3),
(233389,10116046,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1034',100,1,4),
(233390,122329,'Applies Partners in Crime: Increases potency of the partner by 10.5%.',100,1,0),
(233391,122329,'If five combat arts are used within five seconds.',100,2,1),
(233392,122329,'Applies Accomplice: Increases potency of the partner by 7%.',100,1,2),
(233393,122329,'If three combat arts are used within five seconds.',100,2,3),
(233394,122329,'Both Accomplice and Partners in Crime can be active at once.',100,1,4),
(233395,122329,'If not brigand',100,1,5),
(233396,122329,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(233397,10122329,'Applies Partners in Crime: Increases potency of the partner by 10.5%.',100,1,0),
(233398,10122329,'If five combat arts are used within five seconds.',100,2,1),
(233399,10122329,'Applies Accomplice: Increases potency of the partner by 7%.',100,1,2),
(233400,10122329,'If three combat arts are used within five seconds.',100,2,3),
(233401,10122329,'Both Accomplice and Partners in Crime can be active at once.',100,1,4),
(233402,10122329,'If not brigand',100,1,5),
(233403,10122329,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(233404,72045,'When Equipped:',100,0,0),
(233405,72045,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233406,72045,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(233407,72045,'Cannot be modified except by direct means',100,2,3),
(233408,10072045,'When Equipped:',100,0,0),
(233409,10072045,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233410,10072045,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(233411,10072045,'Cannot be modified except by direct means',100,2,3),
(233412,46872,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(233413,46872,'Increases AGI of caster by 55.7',100,1,1),
(233414,10046872,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(233415,10046872,'Increases AGI of caster by 55.7',100,1,1),
(233416,121255,'Inflicts 916 - 1119 heat damage on target encounter',100,1,0),
(233417,10121255,'Inflicts 1099 - 1343 heat damage on target encounter',100,1,0),
(233418,138556,'When Equipped:',100,0,0),
(233419,138556,'On a melee hit this spell may cast Champion of the Crusade on the group.  Triggers about 1.8 times per minute. ',100,1,1),
(233420,138556,'Heals group members (AE) for 1142 - 1396',100,2,2),
(233421,138556,'Cannot be modified except by direct means',100,2,3),
(233422,10138556,'When Equipped:',100,0,0),
(233423,10138556,'On a melee hit this spell may cast Champion of the Crusade on the group.  Triggers about 1.8 times per minute. ',100,1,1),
(233424,10138556,'Heals group members (AE) for 742 - 907',100,2,2),
(233425,10138556,'Cannot be modified except by direct means',100,2,3),
(233426,116812,'Decreases Hate Gain of caster by 7.8%',100,1,0),
(233427,71691,'When Equipped:',100,0,0),
(233428,71691,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233429,71691,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(233430,71691,'Cannot be modified except by direct means',100,2,3),
(233431,10071691,'When Equipped:',100,0,0),
(233432,10071691,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233433,10071691,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(233434,10071691,'Cannot be modified except by direct means',100,2,3),
(233435,122844,'Inflicts 590 - 984 ranged damage on target',100,1,0),
(233436,122844,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(233437,122844,'Increases Hate Gain of target by 30.0%',100,2,2),
(233438,122844,'Grants a total of 1 trigger of the spell.',100,2,3),
(233439,122844,'Requires bow',100,1,4),
(233440,10122844,'Inflicts 501 - 836 ranged damage on target',100,1,0),
(233441,10122844,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(233442,10122844,'Grants a total of 1 trigger of the spell.',100,2,2),
(233443,10122844,'Requires bow',100,1,3),
(233444,37425,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(233445,37569,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(233446,35498,'Increases Max Power of target by 3.3',100,0,0),
(233447,35498,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(233448,174989,'When Equipped:',100,0,0),
(233449,174989,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233450,174989,'Inflicts 2648 cold damage on target encounter',100,2,2),
(233451,174989,'Must not be engaged in pvp combat',100,2,3),
(233452,174989,'Cannot be modified except by direct means',100,2,4),
(233453,174989,'Must not be engaged in pvp combat',100,1,5),
(233454,10174989,'When Equipped:',100,0,0),
(233455,10174989,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233456,10174989,'Inflicts 1589 cold damage on target encounter',100,2,2),
(233457,10174989,'Must not be engaged in pvp combat',100,2,3),
(233458,10174989,'Cannot be modified except by direct means',100,2,4),
(233459,10174989,'Must not be engaged in pvp combat',100,1,5),
(233460,25595,'When Equipped:',100,0,0),
(233461,25595,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(233462,25595,'On any combat or spell hit this spell may cast Mangle on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(233463,25595,'Reduces healing received by 3.00%',100,2,3),
(233464,25595,'This effect will stack when triggered by multiple fighters.',100,2,4),
(233465,25595,'Cannot be modified except by direct means',100,2,5),
(233466,25595,'Must be engaged in pvp combat',100,1,6),
(233467,10025595,'When Equipped:',100,0,0),
(233468,10025595,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(233469,10025595,'On any combat or spell hit this spell may cast Mangle on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(233470,10025595,'Reduces healing received by 3.00%',100,2,3),
(233471,10025595,'This effect will stack when triggered by multiple fighters.',100,2,4),
(233472,10025595,'Cannot be modified except by direct means',100,2,5),
(233473,10025595,'Must be engaged in pvp combat',100,1,6),
(233474,82641,'When Equipped:',100,0,0),
(233475,82641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233476,82641,'Inflicts 74 - 138 magic damage on target',100,2,2),
(233477,82641,'Cannot be modified except by direct means',100,2,3),
(233478,10082641,'When Equipped:',100,0,0),
(233479,10082641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233480,10082641,'Inflicts 89 - 165 magic damage on target',100,2,2),
(233481,10082641,'Cannot be modified except by direct means',100,2,3),
(233482,37616,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(233483,45095,'Applies Summon Doll of Nyth when Activated.',100,0,0),
(233484,45095,'Summons a pet Doll of Nyth',100,1,1),
(233485,10045095,'Applies Summon Doll of Nyth when Activated.',100,0,0),
(233486,10045095,'Summons a pet Doll of Nyth',100,1,1),
(233487,36103,'Increases STA of target by 5.9',100,0,0),
(233488,36103,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(233489,36103,'Increases outgoing damaging spell amount by 3%',100,0,2),
(233490,36103,'Increases INT of target by 5.9',100,0,3),
(233491,106583,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(233492,106583,'Increases Parry of caster by 10.8',100,1,1),
(233493,10106583,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(233494,10106583,'Increases Parry of caster by 10.8',100,1,1),
(233495,106419,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(233496,106419,'Inflicts 441 - 539 mental damage on target',100,2,1),
(233497,106419,'Grants a total of 3 triggers of the spell.',100,2,2),
(233498,10106419,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(233499,10106419,'Inflicts 529 - 646 mental damage on target',100,2,1),
(233500,10106419,'Grants a total of 3 triggers of the spell.',100,2,2),
(233501,71385,'When Equipped:',100,0,0),
(233502,71385,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233503,71385,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(233504,71385,'Cannot be modified except by direct means',100,2,3),
(233505,10071385,'When Equipped:',100,0,0),
(233506,10071385,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233507,10071385,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(233508,10071385,'Cannot be modified except by direct means',100,2,3),
(233509,118533,'Inflicts 218 - 363 melee damage on target',100,1,0),
(233510,118533,'Decreases STR of target by 36.3',100,1,1),
(233511,118533,'You must be sneaking to use this ability.',100,1,2),
(233512,10118533,'Inflicts 262 - 436 melee damage on target',100,1,0),
(233513,10118533,'Decreases STR of target by 36.3',100,1,1),
(233514,10118533,'You must be sneaking to use this ability.',100,1,2),
(233515,116210,'Inflicts 1094 - 1823 mental damage on target',100,1,0),
(233516,10116210,'Inflicts 1313 - 2188 mental damage on target',100,1,0),
(233517,111586,'Inflicts 6 - 10 cold damage on target instantly and every 4 seconds',100,1,0),
(233518,111586,'Decreases Mitigation of target vs elemental damage by 141',100,1,1),
(233519,10111586,'Inflicts 7 - 13 cold damage on target instantly and every 4 seconds',100,1,0),
(233520,10111586,'Decreases Mitigation of target vs elemental damage by 141',100,1,1),
(233521,53584,'When Equipped:',100,0,0),
(233522,53584,'On a hostile spell cast this spell will cast Orcbane on target of spell.  ',100,1,1),
(233523,53584,'Inflicts 14 - 26 magic damage on target',100,2,2),
(233524,53584,'If target is orc',100,2,3),
(233525,53584,'Cannot be modified except by direct means',100,2,4),
(233526,10053584,'When Equipped:',100,0,0),
(233527,10053584,'On a hostile spell cast this spell will cast Orcbane on target of spell.  ',100,1,1),
(233528,10053584,'Inflicts 17 - 31 magic damage on target',100,2,2),
(233529,10053584,'If target is orc',100,2,3),
(233530,10053584,'Cannot be modified except by direct means',100,2,4),
(233531,80629,'When Equipped:',100,0,0),
(233532,80629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233533,80629,'Inflicts 53 - 98 magic damage on target',100,2,2),
(233534,80629,'Cannot be modified except by direct means',100,2,3),
(233535,10080629,'When Equipped:',100,0,0),
(233536,10080629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233537,10080629,'Inflicts 64 - 118 magic damage on target',100,2,2),
(233538,10080629,'Cannot be modified except by direct means',100,2,3),
(233539,159453,'Applies Lambent Imbued when Equipped.',100,0,0),
(233540,159453,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(233541,159453,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(233542,159453,'Cannot be modified except by direct means',100,2,3),
(233543,10159453,'Applies Lambent Imbued when Equipped.',100,0,0),
(233544,10159453,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(233545,10159453,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(233546,10159453,'Cannot be modified except by direct means',100,2,3),
(233547,107838,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(233548,107838,'Slows target by 38.2%',100,2,1),
(233549,107838,'5% chance to dispel when target receives hostile action',100,2,2),
(233550,107838,'5% chance to dispel when target takes damage',100,2,3),
(233551,107838,'Decreases Mitigation of target vs arcane damage by 285',100,1,4),
(233552,10107838,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(233553,10107838,'Slows target by 38.2%',100,2,1),
(233554,10107838,'5% chance to dispel when target receives hostile action',100,2,2),
(233555,10107838,'5% chance to dispel when target takes damage',100,2,3),
(233556,10107838,'Decreases Mitigation of target vs arcane damage by 285',100,1,4),
(233557,111759,'Heals caster for 78 - 95',100,1,0),
(233558,111759,'This effect cannot be critically applied.',100,2,1),
(233559,111759,'The healing of this spell cannot be modified except by direct means',100,1,2),
(233560,10111759,'Heals caster for 39 - 48',100,1,0),
(233561,10111759,'This effect cannot be critically applied.',100,2,1),
(233562,10111759,'The healing of this spell cannot be modified except by direct means',100,1,2),
(233563,165610,'When Equipped:',100,0,0),
(233564,165610,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(233565,165610,'Inflicts 24 disease damage on target',100,2,2),
(233566,165610,'Cannot be modified except by direct means',100,2,3),
(233567,10165610,'When Equipped:',100,0,0),
(233568,10165610,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(233569,10165610,'Inflicts 29 disease damage on target',100,2,2),
(233570,10165610,'Cannot be modified except by direct means',100,2,3),
(233571,158107,'When Equipped:',100,0,0),
(233572,158107,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(233573,158107,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(233574,158107,'Cannot be modified except by direct means',100,2,3),
(233575,10158107,'When Equipped:',100,0,0),
(233576,10158107,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(233577,10158107,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(233578,10158107,'Cannot be modified except by direct means',100,2,3),
(233579,110840,'Inflicts 227 - 307 mental damage on target',100,1,0),
(233580,110840,'Interrupts target',100,1,1),
(233581,10110840,'Inflicts 272 - 368 mental damage on target',100,1,0),
(233582,10110840,'Interrupts target',100,1,1),
(233583,106678,'Heals caster for 56.2 - 68.6% of max health',100,1,0),
(233584,106678,'This effect cannot be critically applied.',100,2,1),
(233585,106678,'Increases Max Health of caster by 597.4',100,1,2),
(233586,106678,'The healing of this spell cannot be modified except by direct means',100,1,3),
(233587,10106678,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(233588,10106678,'This effect cannot be critically applied.',100,2,1),
(233589,10106678,'Increases Max Health of caster by 597.4',100,1,2),
(233590,10106678,'The healing of this spell cannot be modified except by direct means',100,1,3),
(233591,120529,'Decreases Defense of target by 6.2',100,1,0),
(233592,10120529,'Decreases Defense of target by 6.2',100,1,0),
(233593,115254,'Heals target for 254',100,1,0),
(233594,115254,'Heals target for 42 every second',100,1,1),
(233595,115254,'Dispels 47 levels of any hostile effects on target',100,1,2),
(233596,10115254,'Heals target for 165',100,1,0),
(233597,10115254,'Heals target for 27 every second',100,1,1),
(233598,10115254,'Dispels 47 levels of any hostile effects on target',100,1,2),
(233599,166583,'When Equipped:',100,0,0),
(233600,166583,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233601,166583,'Inflicts 2648 disease damage on target encounter',100,2,2),
(233602,166583,'Must not be engaged in pvp combat',100,2,3),
(233603,166583,'Cannot be modified except by direct means',100,2,4),
(233604,166583,'When Equipped:',100,0,5),
(233605,166583,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(233606,166583,'Increases Potency of group members by 7.0%',100,2,7),
(233607,166583,'Cannot be modified except by direct means',100,2,8),
(233608,166583,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(233609,166583,'Increases Potency of group members by 7.0%',100,2,10),
(233610,166583,'Cannot be modified except by direct means',100,2,11),
(233611,166583,'Cannot be modified except by direct means',100,1,12),
(233612,10166583,'When Equipped:',100,0,0),
(233613,10166583,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233614,10166583,'Inflicts 1589 disease damage on target encounter',100,2,2),
(233615,10166583,'Must not be engaged in pvp combat',100,2,3),
(233616,10166583,'Cannot be modified except by direct means',100,2,4),
(233617,10166583,'When Equipped:',100,0,5),
(233618,10166583,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(233619,10166583,'Increases Potency of group members by 7.0%',100,2,7),
(233620,10166583,'Cannot be modified except by direct means',100,2,8),
(233621,10166583,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(233622,10166583,'Increases Potency of group members by 7.0%',100,2,10),
(233623,10166583,'Cannot be modified except by direct means',100,2,11),
(233624,10166583,'Cannot be modified except by direct means',100,1,12),
(233625,52900,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(233626,52900,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(233627,52900,'Inflicts 77 heat damage on target',100,2,2),
(233628,52900,'Cannot be modified except by direct means',100,2,3),
(233629,10052900,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(233630,10052900,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(233631,10052900,'Inflicts 93 heat damage on target',100,2,2),
(233632,10052900,'Cannot be modified except by direct means',100,2,3),
(233633,100443,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(233634,100443,'Increases Threat to target by 667 ',100,2,1),
(233635,100443,'Inflicts 162 - 270 slashing damage on target',100,2,2),
(233636,100443,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(233637,100443,'Increases Threat to target by 667 ',100,2,4),
(233638,100443,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',100,1,5),
(233639,10100443,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(233640,10100443,'Inflicts 194 - 324 slashing damage on target',100,2,1),
(233641,10100443,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(233642,10100443,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',100,1,3),
(233643,163692,'Applies Cloak and Dagger when Activated.  Lasts for 30.0 seconds.',100,0,0),
(233644,163692,'This effect can be toggled off.',100,1,1),
(233645,163692,'Heals target for 635 instantly and every 2 seconds',100,1,2),
(233646,163692,'On any combat or spell hit this spell will cast Clandestine Attack on target of attack.  ',100,1,3),
(233647,163692,'Inflicts 229 mental damage on target',100,2,4),
(233648,163692,'Cannot be modified except by direct means',100,2,5),
(233649,163692,'Cannot be modified except by direct means',100,1,6),
(233650,163692,'The casting time of Cloak and Dagger is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,7),
(233651,163692,'Requires 2 Power to cast and 1 Power every 2.0 seconds.',100,1,8),
(233652,10163692,'Applies Cloak and Dagger when Activated.  Lasts for 30.0 seconds.',100,0,0),
(233653,10163692,'This effect can be toggled off.',100,1,1),
(233654,10163692,'Heals target for 412 instantly and every 2 seconds',100,1,2),
(233655,10163692,'On any combat or spell hit this spell will cast Clandestine Attack on target of attack.  ',100,1,3),
(233656,10163692,'Inflicts 275 mental damage on target',100,2,4),
(233657,10163692,'Cannot be modified except by direct means',100,2,5),
(233658,10163692,'Cannot be modified except by direct means',100,1,6),
(233659,10163692,'The casting time of Cloak and Dagger is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,7),
(233660,10163692,'Requires 2 Power to cast and 1 Power every 2.0 seconds.',100,1,8),
(233661,101153,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(233662,101153,'Inflicts 334 ranged damage on target',100,2,1),
(233663,101153,'Decreases Defense of caster by 21.8',100,1,2),
(233664,101153,'Increases Crushing, Piercing, Ranged and Slashing of caster by 39.2',100,1,3),
(233665,10101153,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(233666,10101153,'Inflicts 283 ranged damage on target',100,2,1),
(233667,10101153,'Decreases Defense of caster by 21.8',100,1,2),
(233668,10101153,'Increases Crushing, Piercing, Ranged and Slashing of caster by 39.2',100,1,3),
(233669,113275,'Inflicts 23 - 28 magic damage on target encounter',100,1,0),
(233670,10113275,'Inflicts 28 - 34 magic damage on target encounter',100,1,0),
(233671,109205,'Decreases Ranged, Crushing, Piercing and Slashing of target encounter by 14.7',100,1,0),
(233672,10109205,'Decreases Ranged, Crushing, Piercing and Slashing of target encounter by 14.7',100,1,0),
(233673,162724,'Applies Unstable Magics when Equipped.',100,0,0),
(233674,162724,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(233675,10162724,'Applies Unstable Magics when Equipped.',100,0,0),
(233676,10162724,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(233677,109033,'Increases Attack Speed of caster by 14.2',100,1,0),
(233678,109033,'Decreases Defense of caster by 4.8',100,1,1),
(233679,109033,'Increases Slashing, Piercing, Crushing and Ranged of caster by 6.8',100,1,2),
(233680,10109033,'Increases Attack Speed of caster by 14.2',100,1,0),
(233681,10109033,'Decreases Defense of caster by 4.8',100,1,1),
(233682,10109033,'Increases Slashing, Piercing, Crushing and Ranged of caster by 6.8',100,1,2),
(233683,36310,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(233684,48721,'Applies Translucent Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(233685,48721,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(233686,48721,'Only affects targets level 50 and above',100,1,2),
(233687,10048721,'Applies Translucent Elixir of Elemental Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(233688,10048721,'Increases Mitigation of caster vs elemental damage by 300',100,1,1),
(233689,10048721,'Only affects targets level 50 and above',100,1,2),
(233690,108221,'Inflicts 79 - 239 piercing damage on target',100,1,0),
(233691,108221,'Decreases Slashing, Crushing, Piercing and Ranged of target by 15.1',100,1,1),
(233692,10108221,'Inflicts 95 - 287 piercing damage on target',100,1,0),
(233693,10108221,'Decreases Slashing, Crushing, Piercing and Ranged of target by 15.1',100,1,1),
(233694,124643,'Inflicts 235 - 288 cold damage on target encounter',100,1,0),
(233695,124643,'Decreases Piercing, Slashing and Crushing of target encounter by 9.1',100,1,1),
(233696,10124643,'Inflicts 282 - 345 cold damage on target encounter',100,1,0),
(233697,10124643,'Decreases Piercing, Slashing and Crushing of target encounter by 9.1',100,1,1),
(233698,111912,'Inflicts 75 - 125 piercing damage on target',100,1,0),
(233699,111912,'Inflicts 20 - 34 piercing damage on target instantly and every 4 seconds',100,1,1),
(233700,10111912,'Inflicts 122 - 204 piercing damage on target',100,1,0),
(233701,10111912,'Inflicts 41 - 68 piercing damage on target instantly and every 4 seconds',100,1,1),
(233702,71431,'When Equipped:',100,0,0),
(233703,71431,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233704,71431,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(233705,71431,'Cannot be modified except by direct means',100,2,3),
(233706,10071431,'When Equipped:',100,0,0),
(233707,10071431,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233708,10071431,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(233709,10071431,'Cannot be modified except by direct means',100,2,3),
(233710,25560,'When Equipped:',100,0,0),
(233711,25560,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(233712,25560,'Improves the damage of Jeering Onslaught by 20%.',100,1,2),
(233713,10025560,'When Equipped:',100,0,0),
(233714,10025560,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(233715,10025560,'Improves the damage of Jeering Onslaught by 20%.',100,1,2),
(233716,132065,'When Equipped:',100,0,0),
(233717,132065,'Increases Attack Speed of caster by 45.0',100,1,1),
(233718,132065,'When Equipped:',100,0,2),
(233719,132065,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,3),
(233720,132065,'Increases Max Health of caster by 1,220.0',100,1,4),
(233721,132065,'Increases Ordination, Subjugation, Ministration and Disruption of caster by 5.5',100,1,5),
(233722,132065,'Cannot be modified except by direct means',100,1,6),
(233723,10132065,'When Equipped:',100,0,0),
(233724,10132065,'Increases Attack Speed of caster by 45.0',100,1,1),
(233725,10132065,'When Equipped:',100,0,2),
(233726,10132065,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,3),
(233727,10132065,'Increases Max Health of caster by 1,220.0',100,1,4),
(233728,10132065,'Increases Ordination, Subjugation, Ministration and Disruption of caster by 5.5',100,1,5),
(233729,10132065,'Cannot be modified except by direct means',100,1,6),
(233730,111470,'Increases AGI of caster by 13.6',100,1,0),
(233731,111470,'Increases Attack Speed of caster by 19.2',100,1,1),
(233732,111470,'Increases in-combat movement speed of caster by 7.0%',100,1,2),
(233733,111470,'Adds 21.8% to base avoidance.',100,1,3),
(233734,111470,'Increases Mitigation of caster vs physical damage by 108',100,1,4),
(233735,111470,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 240',100,1,5),
(233736,10111470,'Increases AGI of caster by 13.6',100,1,0),
(233737,10111470,'Increases Attack Speed of caster by 19.2',100,1,1),
(233738,10111470,'Increases speed of caster by 7.0%',100,1,2),
(233739,10111470,'Adds 21.8% to base avoidance.',100,1,3),
(233740,10111470,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 240',100,1,4),
(233741,81742,'When Equipped:',100,0,0),
(233742,81742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233743,81742,'Inflicts 105 - 195 magic damage on target',100,2,2),
(233744,81742,'Cannot be modified except by direct means',100,2,3),
(233745,10081742,'When Equipped:',100,0,0),
(233746,10081742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233747,10081742,'Inflicts 126 - 234 magic damage on target',100,2,2),
(233748,10081742,'Cannot be modified except by direct means',100,2,3),
(233749,112474,'Decreases AGI and WIS of target by 27.0',100,1,0),
(233750,10112474,'Decreases AGI and WIS of target by 27.0',100,1,0),
(233751,136156,'When Equipped:',100,0,0),
(233752,136156,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(233753,136156,'Stifles target',100,2,2),
(233754,136156,'Only affects targets level 121 and below',100,2,3),
(233755,136156,'Does not affect Epic targets',100,2,4),
(233756,136156,'Resistibility increases against targets higher than level 109.',100,2,5),
(233757,136156,'Cannot be modified except by direct means',100,2,6),
(233758,10136156,'When Equipped:',100,0,0),
(233759,10136156,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(233760,10136156,'Stifles target',100,2,2),
(233761,10136156,'Only affects targets level 121 and below',100,2,3),
(233762,10136156,'Does not affect Epic targets',100,2,4),
(233763,10136156,'Resistibility increases against targets higher than level 109.',100,2,5),
(233764,10136156,'Cannot be modified except by direct means',100,2,6),
(233765,71895,'When Equipped:',100,0,0),
(233766,71895,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233767,71895,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(233768,71895,'Cannot be modified except by direct means',100,2,3),
(233769,10071895,'When Equipped:',100,0,0),
(233770,10071895,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233771,10071895,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(233772,10071895,'Cannot be modified except by direct means',100,2,3),
(233773,112429,'Mesmerizes target',100,1,0),
(233774,112429,'Prevents AOE (except when direct) ',100,1,1),
(233775,112429,'Dispelled when target takes damage',100,1,2),
(233776,112429,'Does not affect Epic targets',100,1,3),
(233777,112429,'Resistibility increases against targets higher than level 53.',100,1,4),
(233778,10112429,'Mesmerizes target',100,1,0),
(233779,10112429,'Prevents AOE (except when direct) ',100,1,1),
(233780,10112429,'Dispelled when target takes damage',100,1,2),
(233781,10112429,'Does not affect Epic targets',100,1,3),
(233782,10112429,'Resistibility increases against targets higher than level 53.',100,1,4),
(233783,42573,'When Equipped:',100,0,0),
(233784,42573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233785,42573,'Inflicts 124 - 186 magic damage on target',100,2,2),
(233786,42573,'Cannot be modified except by direct means',100,2,3),
(233787,10042573,'When Equipped:',100,0,0),
(233788,10042573,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(233789,10042573,'Inflicts 149 - 223 magic damage on target',100,2,2),
(233790,10042573,'Cannot be modified except by direct means',100,2,3),
(233791,161826,'When Equipped:',100,0,0),
(233792,161826,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233793,161826,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(233794,161826,'Heals caster for 635 - 952',100,2,3),
(233795,161826,'Cannot be modified except by direct means',100,2,4),
(233796,161826,'Cannot be modified except by direct means',100,1,5),
(233797,10161826,'When Equipped:',100,0,0),
(233798,10161826,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(233799,10161826,'Inflicts 1144 - 1716 poison damage on target',100,2,2),
(233800,10161826,'Heals caster for 743 - 1114',100,2,3),
(233801,10161826,'Cannot be modified except by direct means',100,2,4),
(233802,10161826,'Cannot be modified except by direct means',100,1,5),
(233803,110802,'Inflicts 36 - 49 mental damage on target',100,1,0),
(233804,10110802,'Inflicts 43 - 58 mental damage on target',100,1,0),
(233805,116343,'Mesmerizes target encounter',100,1,0),
(233806,116343,'Prevents AOE (except when direct) ',100,1,1),
(233807,116343,'Dispelled when target takes damage',100,1,2),
(233808,116343,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(233809,116343,'Resistibility increases against targets higher than level 52.',100,1,4),
(233810,10116343,'Mesmerizes target encounter',100,1,0),
(233811,10116343,'Prevents AOE (except when direct) ',100,1,1),
(233812,10116343,'Dispelled when target takes damage',100,1,2),
(233813,10116343,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(233814,10116343,'Resistibility increases against targets higher than level 52.',100,1,4),
(233815,103514,'Charms target',100,1,0),
(233816,103514,'If outside an arena',100,1,1),
(233817,103514,'Certain enemies cannot be charmed',100,1,2),
(233818,103514,'Does not affect Epic targets',100,1,3),
(233819,10103514,'Mesmerizes target',100,1,0),
(233820,10103514,'Prevents AOE (except when direct) ',100,1,1),
(233821,10103514,'Dispelled when target takes damage',100,1,2),
(233822,10103514,'If outside an arena',100,1,3),
(233823,10103514,'Certain enemies cannot be charmed',100,1,4),
(233824,10103514,'Does not affect Epic targets',100,1,5),
(233825,10103514,'Resistibility increases against targets higher than level 77.',100,1,6),
(233826,110283,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(233827,110283,'Slows target by 35.5%',100,2,1),
(233828,110283,'5% chance to dispel when target receives hostile action',100,2,2),
(233829,110283,'5% chance to dispel when target takes damage',100,2,3),
(233830,110283,'Decreases Mitigation of target vs arcane damage by 703',100,1,4),
(233831,10110283,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(233832,10110283,'Slows target by 35.5%',100,2,1),
(233833,10110283,'5% chance to dispel when target receives hostile action',100,2,2),
(233834,10110283,'5% chance to dispel when target takes damage',100,2,3),
(233835,10110283,'Decreases Mitigation of target vs arcane damage by 703',100,1,4),
(233836,101105,'Increases Mitigation of raid and group members (AE) vs arcane damage by 672',100,1,0),
(233837,10101105,'Increases Mitigation of raid and group members (AE) vs arcane damage by 672',100,1,0),
(233838,114534,'Heals target for 908 - 1110',100,1,0),
(233839,10114534,'Heals target for 1181 - 1443',100,1,0),
(233840,103607,'Inflicts 54 - 90 melee damage on target',100,1,0),
(233841,103607,'If facing target',100,1,1),
(233842,10103607,'Inflicts 65 - 109 melee damage on target',100,1,0),
(233843,10103607,'If facing target',100,1,1),
(233844,102654,'Inflicts 228 - 381 melee damage on target',100,1,0),
(233845,102654,'Inflicts 99 heat damage on target every 6 seconds',100,1,1),
(233846,10102654,'Inflicts 274 - 457 melee damage on target',100,1,0),
(233847,10102654,'Inflicts 118 heat damage on target every 6 seconds',100,1,1),
(233848,101742,'Mesmerizes target',100,1,0),
(233849,101742,'Prevents AOE (except when direct) ',100,1,1),
(233850,101742,'Mesmerizes caster',100,1,2),
(233851,101742,'Dispelled when target takes damage',100,1,3),
(233852,101742,'Does not affect Epic targets',100,1,4),
(233853,101742,'Resistibility increases against targets higher than level 117.',100,1,5),
(233854,10101742,'Mesmerizes target',100,1,0),
(233855,10101742,'Prevents AOE (except when direct) ',100,1,1),
(233856,10101742,'Mesmerizes caster',100,1,2),
(233857,10101742,'Dispelled when target takes damage',100,1,3),
(233858,10101742,'Does not affect Epic targets',100,1,4),
(233859,10101742,'Resistibility increases against targets higher than level 117.',100,1,5),
(233860,101784,'Heals group members (AE) for 620 - 758 instantly and every 2 seconds',100,1,0),
(233861,10101784,'Heals group members (AE) for 403 - 493 instantly and every 2 seconds',100,1,0),
(233862,24063,'Adds Boss: Cara Omica (Warlock) to your Dungeon Maker toolbox',100,0,0),
(233863,10024063,'Adds Boss: Cara Omica (Warlock) to your Dungeon Maker toolbox',100,0,0),
(233864,123324,'Increases STA of raid and group members (AE) by 40.2',100,1,0),
(233865,123324,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(233866,10123324,'Increases STA of raid and group members (AE) by 40.2',100,1,0),
(233867,10123324,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(233868,88255,'Applies Sentinel when Activated.  Lasts for 10 minutes.',100,0,0),
(233869,88255,'Summons a pet Sentinel',100,1,1),
(233870,88255,'This effect cannot be cast during combat',100,1,2),
(233871,88255,'The casting time of Sentinel is 5.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(233872,10088255,'Applies Sentinel when Activated.  Lasts for 10 minutes.',100,0,0),
(233873,10088255,'Summons a pet Sentinel',100,1,1),
(233874,10088255,'This effect cannot be cast during combat',100,1,2),
(233875,10088255,'The casting time of Sentinel is 5.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(233876,153816,'Applies Indomitable IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(233877,153816,'Increases the caster''s physical mitigation over time.',100,1,1),
(233878,153816,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(233879,153816,'Wards caster against 5000 points of all damage',100,2,3),
(233880,153816,'Must not be engaged in pvp combat',100,2,4),
(233881,153816,'Cannot be modified except by direct means',100,2,5),
(233882,153816,'Must not be engaged in pvp combat',100,1,6),
(233883,153816,'Cannot be modified except by direct means',100,1,7),
(233884,153816,'The reuse time of Indomitable IX is 10 minutes',100,1,8),
(233885,10153816,'Applies Indomitable IX when Activated.  Lasts for 12.0 seconds.',100,0,0),
(233886,10153816,'Increases the caster''s physical mitigation over time.',100,1,1),
(233887,10153816,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(233888,10153816,'Wards caster against 5000 points of all damage',100,2,3),
(233889,10153816,'Must not be engaged in pvp combat',100,2,4),
(233890,10153816,'Cannot be modified except by direct means',100,2,5),
(233891,10153816,'Must not be engaged in pvp combat',100,1,6),
(233892,10153816,'Cannot be modified except by direct means',100,1,7),
(233893,10153816,'The reuse time of Indomitable IX is 10 minutes',100,1,8),
(233894,116662,'Heals group members (AE) for 32 - 40',100,1,0),
(233895,116662,'This effect cannot be critically applied.',100,2,1),
(233896,116662,'Increases Max Health of group members (AE) by 24.6',100,1,2),
(233897,116662,'The healing of this spell cannot be modified except by direct means',100,1,3),
(233898,10116662,'Heals group members (AE) for 10 - 12',100,1,0),
(233899,10116662,'This effect cannot be critically applied.',100,2,1),
(233900,10116662,'Increases Max Health of group members (AE) by 24.6',100,1,2),
(233901,10116662,'The healing of this spell cannot be modified except by direct means',100,1,3),
(233902,101821,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(233903,101821,'Decreases Threat to target by 2,142 ',100,2,1),
(233904,10101821,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(233905,10101821,'Inflicts 105 - 116 crushing damage on target',100,2,1),
(233906,159849,'Applies Sanguine Imbued when Equipped.',100,0,0),
(233907,159849,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(233908,159849,'Inflicts 22 heat damage on target',100,2,2),
(233909,159849,'Cannot be modified except by direct means',100,2,3),
(233910,10159849,'Applies Sanguine Imbued when Equipped.',100,0,0),
(233911,10159849,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(233912,10159849,'Inflicts 26 heat damage on target',100,2,2),
(233913,10159849,'Cannot be modified except by direct means',100,2,3),
(233914,118541,'Inflicts 439 - 732 melee damage on target',100,1,0),
(233915,118541,'Decreases STR of target by 69.2',100,1,1),
(233916,118541,'You must be sneaking to use this ability.',100,1,2),
(233917,10118541,'Inflicts 527 - 878 melee damage on target',100,1,0),
(233918,10118541,'Decreases STR of target by 69.2',100,1,1),
(233919,10118541,'You must be sneaking to use this ability.',100,1,2),
(233920,104600,'Heals target for 96 - 118',100,1,0),
(233921,10104600,'Heals target for 63 - 76',100,1,0),
(233922,161129,'When Equipped:',100,0,0),
(233923,161129,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(233924,161129,'Inflicts 3164 - 3497 slashing damage on target encounter',100,2,2),
(233925,161129,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(233926,161129,'Must not be engaged in pvp combat',100,2,4),
(233927,161129,'Cannot be modified except by direct means',100,2,5),
(233928,161129,'Must not be engaged in pvp combat',100,1,6),
(233929,10161129,'When Equipped:',100,0,0),
(233930,10161129,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(233931,10161129,'Inflicts 3796 - 4196 slashing damage on target encounter',100,2,2),
(233932,10161129,'Inflicts 759 - 839 slashing damage on target encounter every 2 seconds',100,2,3),
(233933,10161129,'Must not be engaged in pvp combat',100,2,4),
(233934,10161129,'Cannot be modified except by direct means',100,2,5),
(233935,10161129,'Must not be engaged in pvp combat',100,1,6),
(233936,109616,'Increases Defense of group members'' pets (AE) by 16.2',100,1,0),
(233937,109616,'Increases Mitigation of group members (AE) vs all damage by 259',100,1,1),
(233938,10109616,'Increases Defense of group members'' pets (AE) by 16.2',100,1,0),
(233939,10109616,'Increases Mitigation of group members (AE) vs all damage by 259',100,1,1),
(233940,46066,'Applies Elixir of Contemplation when Activated.  Lasts for 30 minutes.',100,0,0),
(233941,46066,'Increases INT and WIS of caster by 29.3',100,1,1),
(233942,10046066,'Applies Elixir of Contemplation when Activated.  Lasts for 30 minutes.',100,0,0),
(233943,10046066,'Increases INT and WIS of caster by 29.3',100,1,1),
(233944,101924,'Inflicts 40 piercing damage on target instantly and every 4 seconds',100,1,0),
(233945,101924,'Inflicts 118 - 197 melee damage on target',100,1,1),
(233946,101924,'Must be behind',100,1,2),
(233947,10101924,'Inflicts 47 piercing damage on target instantly and every 4 seconds',100,1,0),
(233948,10101924,'Inflicts 142 - 237 melee damage on target',100,1,1),
(233949,10101924,'Must be behind',100,1,2),
(233950,71433,'When Equipped:',100,0,0),
(233951,71433,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233952,71433,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(233953,71433,'Cannot be modified except by direct means',100,2,3),
(233954,10071433,'When Equipped:',100,0,0),
(233955,10071433,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233956,10071433,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(233957,10071433,'Cannot be modified except by direct means',100,2,3),
(233958,159059,'When Equipped:',100,0,0),
(233959,159059,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233960,159059,'Increases WIS of caster by 5.8',100,2,2),
(233961,159059,'Increases Ordination, Ministration and Focus of caster by 3.7',100,2,3),
(233962,159059,'Cannot be modified except by direct means',100,2,4),
(233963,10159059,'When Equipped:',100,0,0),
(233964,10159059,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(233965,10159059,'Increases WIS of caster by 5.8',100,2,2),
(233966,10159059,'Increases Ordination, Ministration and Focus of caster by 3.7',100,2,3),
(233967,10159059,'Cannot be modified except by direct means',100,2,4),
(233968,139034,'When Equipped:',100,0,0),
(233969,139034,'Increases Attack Speed of caster by 50.0',100,1,1),
(233970,139034,'Must not be engaged in pvp combat',100,1,2),
(233971,10139034,'When Equipped:',100,0,0),
(233972,10139034,'Increases Attack Speed of caster by 50.0',100,1,1),
(233973,10139034,'Must not be engaged in pvp combat',100,1,2),
(233974,109432,'Inflicts 114 - 140 cold damage on target instantly and every 4 seconds',100,1,0),
(233975,109432,'Decreases Mitigation of target vs elemental damage by 612',100,1,1),
(233976,10109432,'Inflicts 137 - 168 cold damage on target instantly and every 4 seconds',100,1,0),
(233977,10109432,'Decreases Mitigation of target vs elemental damage by 612',100,1,1),
(233978,103776,'Increases Crushing, Piercing and Slashing of group members (AE) by 3.4',100,1,0),
(233979,10103776,'Increases Crushing, Piercing and Slashing of group members (AE) by 3.4',100,1,0),
(233980,101172,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(233981,101172,'Slows target by 53.1%',100,2,1),
(233982,101172,'5% chance to dispel when target receives hostile action',100,2,2),
(233983,101172,'5% chance to dispel when target takes damage',100,2,3),
(233984,101172,'Inflicts 55 - 92 cold damage on target',100,1,4),
(233985,101172,'Inflicts 55 - 92 cold damage on target',100,1,5),
(233986,101172,'If weapon equipped in Ranged',100,1,6),
(233987,10101172,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(233988,10101172,'Slows target by 53.1%',100,2,1),
(233989,10101172,'5% chance to dispel when target receives hostile action',100,2,2),
(233990,10101172,'5% chance to dispel when target takes damage',100,2,3),
(233991,10101172,'Inflicts 47 - 78 cold damage on target',100,1,4),
(233992,10101172,'Inflicts 47 - 78 cold damage on target',100,1,5),
(233993,10101172,'If weapon equipped in Ranged',100,1,6),
(233994,103714,'Increases Max Health of raid and group members (AE) by 160.7',100,1,0),
(233995,103714,'Increases Defense of raid and group members (AE) by 7.6',100,1,1),
(233996,10103714,'Increases Max Health of raid and group members (AE) by 160.7',100,1,0),
(233997,10103714,'Increases Defense of raid and group members (AE) by 7.6',100,1,1),
(233998,100561,'When a combat art is used this spell has a 22% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',100,1,0),
(233999,100561,'Prevents AOE (except when direct) ',100,2,1),
(234000,100561,'Cannot be modified except by direct means',100,1,2),
(234001,10100561,'When a combat art is used this spell has a 22% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',100,1,0),
(234002,10100561,'Prevents AOE (except when direct) ',100,2,1),
(234003,10100561,'Cannot be modified except by direct means',100,1,2),
(234004,121853,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(234005,121853,'Increases Mitigation of group members (AE) vs arcane damage by 2024',100,1,1),
(234006,10121853,'Increases Max Health of group members (AE) by 565.6',100,1,0),
(234007,10121853,'Increases Mitigation of group members (AE) vs arcane damage by 2024',100,1,1),
(234008,111878,'Inflicts 251 - 466 heat damage on target',100,1,0),
(234009,111878,'Inflicts 94 - 175 heat damage on target every 2 seconds',100,1,1),
(234010,10111878,'Inflicts 301 - 559 heat damage on target',100,1,0),
(234011,10111878,'Inflicts 113 - 210 heat damage on target every 2 seconds',100,1,1),
(234012,45161,'Applies Release Essarr Hawk when Activated.',100,0,0),
(234013,45161,'This effect cannot be cast during combat',100,1,1),
(234014,10045161,'Applies Release Essarr Hawk when Activated.',100,0,0),
(234015,10045161,'This effect cannot be cast during combat',100,1,1),
(234016,118093,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(234017,10118093,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(234018,120324,'Increases Threat to target by 2,208 - 2,697 ',100,1,0),
(234019,10120324,'Forces target to change their selected target to caster.',100,1,0),
(234020,10120324,'Prevents target from changing targets',100,1,1),
(234021,117315,'Roots target',100,1,0),
(234022,117315,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(234023,117315,'Slows target by 36.6%',100,2,2),
(234024,117315,'5% chance to dispel when target receives hostile action',100,2,3),
(234025,117315,'5% chance to dispel when target takes damage',100,2,4),
(234026,117315,'15% chance to dispel when target takes damage',100,1,5),
(234027,117315,'Does not affect Epic targets',100,1,6),
(234028,117315,'Resistibility increases against targets higher than level 62.',100,1,7),
(234029,10117315,'Roots target',100,1,0),
(234030,10117315,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(234031,10117315,'Slows target by 36.6%',100,2,2),
(234032,10117315,'10% chance to dispel when target receives hostile action',100,2,3),
(234033,10117315,'10% chance to dispel when target takes damage',100,2,4),
(234034,10117315,'15% chance to dispel when target takes damage',100,1,5),
(234035,10117315,'Does not affect Epic targets',100,1,6),
(234036,10117315,'Resistibility increases against targets higher than level 62.',100,1,7),
(234037,117418,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(234038,117418,'Inflicts 123 - 230 melee damage on targets in area',100,2,1),
(234039,117418,'Grants a total of 10 triggers of the spell.',100,2,2),
(234040,10117418,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(234041,10117418,'Inflicts 148 - 276 melee damage on targets in area',100,2,1),
(234042,10117418,'Grants a total of 10 triggers of the spell.',100,2,2),
(234043,152351,'When Equipped:',100,0,0),
(234044,152351,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(234045,152351,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(234046,152351,'Increases INT and WIS of caster by 44.0',100,2,3),
(234047,152351,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(234048,152351,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(234049,152351,'Must not be engaged in pvp combat',100,2,6),
(234050,152351,'Cannot be modified except by direct means',100,2,7),
(234051,152351,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(234052,152351,'Increases INT and WIS of caster by 44.0',100,2,9),
(234053,152351,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(234054,152351,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(234055,152351,'Must not be engaged in pvp combat',100,2,12),
(234056,152351,'Cannot be modified except by direct means',100,2,13),
(234057,152351,'Cannot be modified except by direct means',100,1,14),
(234058,10152351,'When Equipped:',100,0,0),
(234059,10152351,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(234060,10152351,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(234061,10152351,'Increases INT and WIS of caster by 44.0',100,2,3),
(234062,10152351,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(234063,10152351,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(234064,10152351,'Must not be engaged in pvp combat',100,2,6),
(234065,10152351,'Cannot be modified except by direct means',100,2,7),
(234066,10152351,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(234067,10152351,'Increases INT and WIS of caster by 44.0',100,2,9),
(234068,10152351,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(234069,10152351,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(234070,10152351,'Must not be engaged in pvp combat',100,2,12),
(234071,10152351,'Cannot be modified except by direct means',100,2,13),
(234072,10152351,'Cannot be modified except by direct means',100,1,14),
(234073,170201,'When Equipped:',100,0,0),
(234074,170201,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(234075,170201,'Inflicts 2648 poison damage on target',100,2,2),
(234076,170201,'Cannot be modified except by direct means',100,2,3),
(234077,10170201,'When Equipped:',100,0,0),
(234078,10170201,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(234079,10170201,'Inflicts 1589 poison damage on target',100,2,2),
(234080,10170201,'Cannot be modified except by direct means',100,2,3),
(234081,77328,'When Equipped:',100,0,0),
(234082,77328,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(234083,77328,'Inflicts 540 mental damage on target',100,2,2),
(234084,77328,'Must be classified as a yha-lei',100,3,3),
(234085,77328,'Inflicts 270 mental damage on target',100,2,4),
(234086,77328,'Must not be classified as a yha-lei',100,3,5),
(234087,77328,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(234088,77328,'Must be classified as a yha-lei',100,3,7),
(234089,77328,'Cannot be modified except by direct means',100,2,8),
(234090,77328,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(234091,10077328,'When Equipped:',100,0,0),
(234092,10077328,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(234093,10077328,'Inflicts 648 mental damage on target',100,2,2),
(234094,10077328,'Must be classified as a yha-lei',100,3,3),
(234095,10077328,'Inflicts 324 mental damage on target',100,2,4),
(234096,10077328,'Must not be classified as a yha-lei',100,3,5),
(234097,10077328,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(234098,10077328,'Must be classified as a yha-lei',100,3,7),
(234099,10077328,'Cannot be modified except by direct means',100,2,8),
(234100,10077328,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(234101,164159,'When Equipped:',100,0,0),
(234102,164159,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234103,164159,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(234104,164159,'Cannot be modified except by direct means',100,2,3),
(234105,10164159,'When Equipped:',100,0,0),
(234106,10164159,'On any combat or spell hit this spell may cast Quickening on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234107,10164159,'Increases Ability Casting Speed of caster by 8.0%',100,2,2),
(234108,10164159,'Cannot be modified except by direct means',100,2,3),
(234109,108220,'Increases power of caster by 113 instantly and every 4 seconds',100,1,0),
(234110,10108220,'Increases power of caster by 113 instantly and every 4 seconds',100,1,0),
(234111,122669,'Decreases Defense of target by 15.0',100,1,0),
(234112,122669,'Decreases Mitigation of target vs physical damage by 250',100,1,1),
(234113,10122669,'Decreases Defense of target by 15.0',100,1,0),
(234114,10122669,'Decreases Mitigation of target vs physical damage by 250',100,1,1),
(234115,111196,'Inflicts 211 - 353 divine damage on targets in area',100,1,0),
(234116,111196,'Heals group members (AE) for 2.1% of max health',100,1,1),
(234117,111196,'This effect cannot be critically applied.',100,2,2),
(234118,111196,'The healing of this spell cannot be modified except by direct means',100,1,3),
(234119,10111196,'Inflicts 254 - 423 divine damage on targets in area',100,1,0),
(234120,10111196,'Heals group members (AE) for 1.4% of max health',100,1,1),
(234121,10111196,'This effect cannot be critically applied.',100,2,2),
(234122,10111196,'The healing of this spell cannot be modified except by direct means',100,1,3),
(234123,117217,'Inflicts 3 slashing damage on target every 4 seconds',100,1,0),
(234124,117217,'Inflicts 16 - 26 melee damage on target',100,1,1),
(234125,10117217,'Inflicts 4 slashing damage on target every 4 seconds',100,1,0),
(234126,10117217,'Inflicts 19 - 32 melee damage on target',100,1,1),
(234127,135932,'When Equipped:',100,0,0),
(234128,135932,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(234129,135932,'Increases Threat to target by 55 ',100,2,2),
(234130,135932,'Cannot be modified except by direct means',100,2,3),
(234131,10135932,'When Equipped:',100,0,0),
(234132,10135932,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(234133,10135932,'Cannot be modified except by direct means',100,2,2),
(234134,189116,'When Equipped:',100,0,0),
(234135,189116,'On any combat or spell hit this spell may cast Severe Mistarget on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234136,189116,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,2),
(234137,189116,'Cannot be modified except by direct means',100,2,3),
(234138,10189116,'When Equipped:',100,0,0),
(234139,10189116,'On any combat or spell hit this spell may cast Severe Mistarget on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234140,10189116,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,2),
(234141,10189116,'Cannot be modified except by direct means',100,2,3),
(234142,37445,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(234143,36340,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(234144,36340,'This effect suspends during combat',100,0,1),
(234145,35660,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(234146,48727,'Applies Elixir of Focus  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(234147,48727,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(234148,10048727,'Applies Elixir of Focus  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(234149,10048727,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(234150,115446,'Inflicts 73 - 90 mental damage on target instantly and every 6 seconds',100,1,0),
(234151,115446,'Decreases Mitigation of target vs arcane damage by 672',100,1,1),
(234152,10115446,'Inflicts 88 - 108 mental damage on target instantly and every 6 seconds',100,1,0),
(234153,10115446,'Decreases Mitigation of target vs arcane damage by 672',100,1,1),
(234154,46131,'Applies Illusion: Barbarian when Activated.  Lasts for 6 hours.',100,0,0),
(234155,46131,'Shapechanges caster into a barbarian',100,1,1),
(234156,10046131,'Applies Illusion: Barbarian when Activated.  Lasts for 6 hours.',100,0,0),
(234157,10046131,'Shapechanges caster into a barbarian',100,1,1),
(234158,133838,'When Equipped:',100,0,0),
(234159,133838,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(234160,10133838,'When Equipped:',100,0,0),
(234161,10133838,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(234162,143189,'Applies Hooluk in a Hat when Activated.',100,0,0),
(234163,143189,'Summons a pet Hooluk',100,1,1),
(234164,143189,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(234165,10143189,'Applies Hooluk in a Hat when Activated.',100,0,0),
(234166,10143189,'Summons a pet Hooluk',100,1,1),
(234167,10143189,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(234168,118666,'Inflicts 182 - 303 slashing damage on target',100,1,0),
(234169,10118666,'Inflicts 218 - 364 slashing damage on target',100,1,0),
(234170,163240,'When Equipped:',100,0,0),
(234171,163240,'On a critical spell hit this spell may cast Arcane Vulnerability VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234172,163240,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,2),
(234173,163240,'Must not be engaged in pvp combat',100,2,3),
(234174,163240,'Cannot be modified except by direct means',100,2,4),
(234175,163240,'On a critical combat hit this spell may cast Arcane Vulnerability VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(234176,163240,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,6),
(234177,163240,'Must not be engaged in pvp combat',100,2,7),
(234178,163240,'Cannot be modified except by direct means',100,2,8),
(234179,163240,'Must not be engaged in pvp combat',100,1,9),
(234180,10163240,'When Equipped:',100,0,0),
(234181,10163240,'On a critical spell hit this spell may cast Arcane Vulnerability VIII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234182,10163240,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,2),
(234183,10163240,'Must not be engaged in pvp combat',100,2,3),
(234184,10163240,'Cannot be modified except by direct means',100,2,4),
(234185,10163240,'On a critical combat hit this spell may cast Arcane Vulnerability VIII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(234186,10163240,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,6),
(234187,10163240,'Must not be engaged in pvp combat',100,2,7),
(234188,10163240,'Cannot be modified except by direct means',100,2,8),
(234189,10163240,'Must not be engaged in pvp combat',100,1,9),
(234190,74716,'When Equipped:',100,0,0),
(234191,74716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234192,74716,'Inflicts 147 - 221 magic damage on target',100,2,2),
(234193,74716,'Cannot be modified except by direct means',100,2,3),
(234194,10074716,'When Equipped:',100,0,0),
(234195,10074716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234196,10074716,'Inflicts 177 - 265 magic damage on target',100,2,2),
(234197,10074716,'Cannot be modified except by direct means',100,2,3),
(234198,87249,'When Equipped:',100,0,0),
(234199,87249,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234200,87249,'Inflicts 168 - 252 magic damage on target',100,2,2),
(234201,87249,'Cannot be modified except by direct means',100,2,3),
(234202,10087249,'When Equipped:',100,0,0),
(234203,10087249,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234204,10087249,'Inflicts 202 - 303 magic damage on target',100,2,2),
(234205,10087249,'Cannot be modified except by direct means',100,2,3),
(234206,120312,'Increases Threat to target by 219 - 266 ',100,1,0),
(234207,10120312,'Forces target to change their selected target to caster.',100,1,0),
(234208,10120312,'Prevents target from changing targets',100,1,1),
(234209,24038,'Adds Bloodhorn Sentinel to your Dungeon Maker toolbox',100,0,0),
(234210,10024038,'Adds Bloodhorn Sentinel to your Dungeon Maker toolbox',100,0,0),
(234211,81582,'When Equipped:',100,0,0),
(234212,81582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234213,81582,'Inflicts 108 - 201 magic damage on target',100,2,2),
(234214,81582,'Cannot be modified except by direct means',100,2,3),
(234215,10081582,'When Equipped:',100,0,0),
(234216,10081582,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234217,10081582,'Inflicts 130 - 242 magic damage on target',100,2,2),
(234218,10081582,'Cannot be modified except by direct means',100,2,3),
(234219,122490,'Inflicts 208 - 347 mental damage on targets in Area of Effect',100,1,0),
(234220,10122490,'Inflicts 250 - 417 mental damage on targets in Area of Effect',100,1,0),
(234221,159938,'When Equipped:',100,0,0),
(234222,159938,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234223,159938,'Increases WIS of caster by 3.6',100,2,2),
(234224,159938,'Increases Ordination, Focus and Ministration of caster by 2.2',100,2,3),
(234225,159938,'Cannot be modified except by direct means',100,2,4),
(234226,10159938,'When Equipped:',100,0,0),
(234227,10159938,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234228,10159938,'Increases WIS of caster by 3.6',100,2,2),
(234229,10159938,'Increases Ordination, Focus and Ministration of caster by 2.2',100,2,3),
(234230,10159938,'Cannot be modified except by direct means',100,2,4),
(234231,101747,'Increases Max Power of target by 89.2',100,1,0),
(234232,101747,'Increases Max Health of target by 118.3',100,1,1),
(234233,10101747,'Increases Max Power of target by 89.2',100,1,0),
(234234,10101747,'Increases Max Health of target by 118.3',100,1,1),
(234235,73253,'When Equipped:',100,0,0),
(234236,73253,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234237,73253,'Inflicts 756 divine damage on target',100,2,2),
(234238,73253,'Must be classified as a vampire',100,3,3),
(234239,73253,'Inflicts 378 divine damage on target',100,2,4),
(234240,73253,'Must not be classified as a vampire',100,3,5),
(234241,73253,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(234242,73253,'Must be classified as a vampire',100,3,7),
(234243,73253,'Cannot be modified except by direct means',100,2,8),
(234244,73253,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(234245,10073253,'When Equipped:',100,0,0),
(234246,10073253,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234247,10073253,'Inflicts 907 divine damage on target',100,2,2),
(234248,10073253,'Must be classified as a vampire',100,3,3),
(234249,10073253,'Inflicts 454 divine damage on target',100,2,4),
(234250,10073253,'Must not be classified as a vampire',100,3,5),
(234251,10073253,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(234252,10073253,'Must be classified as a vampire',100,3,7),
(234253,10073253,'Cannot be modified except by direct means',100,2,8),
(234254,10073253,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(234255,87209,'When Equipped:',100,0,0),
(234256,87209,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234257,87209,'Inflicts 48 - 73 magic damage on target',100,2,2),
(234258,87209,'Cannot be modified except by direct means',100,2,3),
(234259,10087209,'When Equipped:',100,0,0),
(234260,10087209,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234261,10087209,'Inflicts 58 - 87 magic damage on target',100,2,2),
(234262,10087209,'Cannot be modified except by direct means',100,2,3),
(234263,119492,'Dazes target encounter',100,1,0),
(234264,119492,'If Target is not Epic',100,2,1),
(234265,119492,'Inflicts 144 - 177 magic damage on target encounter instantly and every second',100,1,2),
(234266,119492,'Resistibility increases against targets higher than level 96.',100,1,3),
(234267,10119492,'Inflicts 228 - 279 magic damage on target encounter',100,1,0),
(234268,10119492,'Inflicts 173 - 212 magic damage on target encounter every second',100,1,1),
(234269,10119492,'Dazes target encounter',100,1,2),
(234270,10119492,'If Target is not Epic',100,2,3),
(234271,10119492,'Resistibility increases against targets higher than level 96.',100,1,4),
(234272,36900,'Increases WIS and INT of target by 1.1',100,0,0),
(234273,36900,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(234274,106496,'Decreases STR and AGI of target by 59.6',100,1,0),
(234275,10106496,'Decreases STR and AGI of target by 59.6',100,1,0),
(234276,45144,'Applies Aegis of the Windrider when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(234277,45144,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(234278,45144,'Inflicts 5 magic damage on target',100,2,2),
(234279,45144,'Cannot be modified except by direct means',100,2,3),
(234280,10045144,'Applies Aegis of the Windrider when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(234281,10045144,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(234282,10045144,'Inflicts 5 magic damage on target',100,2,2),
(234283,10045144,'Cannot be modified except by direct means',100,2,3),
(234284,174719,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(234285,174719,'Decreases Mitigation of target vs physical damage by 644',100,1,1),
(234286,174719,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(234287,10174719,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(234288,10174719,'Decreases Mitigation of target vs physical damage by 644',100,1,1),
(234289,10174719,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(234290,104738,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(234291,104738,'Decreases Mitigation of target vs elemental and arcane damage by 1006',100,2,1),
(234292,104738,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(234293,104738,'Decreases Mitigation of target vs elemental and arcane damage by 1006',100,2,3),
(234294,10104738,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(234295,10104738,'Decreases Mitigation of target vs elemental and arcane damage by 1006',100,2,1),
(234296,10104738,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(234297,10104738,'Decreases Mitigation of target vs elemental and arcane damage by 1006',100,2,3),
(234298,46243,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(234299,46243,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(234300,46243,'Decreases power of target by 408',100,2,2),
(234301,46243,'Increases power of caster by 204',100,2,3),
(234302,46243,'Cannot be modified except by direct means',100,2,4),
(234303,46243,'Grants a total of 100 triggers of the spell.',100,2,5),
(234304,10046243,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(234305,10046243,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(234306,10046243,'Decreases power of target by 224',100,2,2),
(234307,10046243,'Increases power of caster by 183',100,2,3),
(234308,10046243,'Cannot be modified except by direct means',100,2,4),
(234309,10046243,'Grants a total of 100 triggers of the spell.',100,2,5),
(234310,117316,'Roots target',100,1,0),
(234311,117316,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(234312,117316,'Slows target by 34.8%',100,2,2),
(234313,117316,'5% chance to dispel when target receives hostile action',100,2,3),
(234314,117316,'5% chance to dispel when target takes damage',100,2,4),
(234315,117316,'15% chance to dispel when target takes damage',100,1,5),
(234316,117316,'Does not affect Epic targets',100,1,6),
(234317,117316,'Resistibility increases against targets higher than level 62.',100,1,7),
(234318,10117316,'Roots target',100,1,0),
(234319,10117316,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(234320,10117316,'Slows target by 34.8%',100,2,2),
(234321,10117316,'10% chance to dispel when target receives hostile action',100,2,3),
(234322,10117316,'10% chance to dispel when target takes damage',100,2,4),
(234323,10117316,'15% chance to dispel when target takes damage',100,1,5),
(234324,10117316,'Does not affect Epic targets',100,1,6),
(234325,10117316,'Resistibility increases against targets higher than level 62.',100,1,7),
(234326,110727,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(234327,110727,'Heals group members (AE) for 916',100,2,1),
(234328,10110727,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(234329,10110727,'Heals group members (AE) for 596',100,2,1),
(234330,108561,'Makes target afraid',100,1,0),
(234331,108561,'30% chance to dispel when target takes damage',100,1,1),
(234332,108561,'Does not affect Epic targets',100,1,2),
(234333,108561,'Resistibility increases against targets higher than level 95.',100,1,3),
(234334,10108561,'Makes target afraid',100,1,0),
(234335,10108561,'30% chance to dispel when target takes damage',100,1,1),
(234336,10108561,'Does not affect Epic targets',100,1,2),
(234337,10108561,'Resistibility increases against targets higher than level 95.',100,1,3),
(234338,109171,'Roots target',100,1,0),
(234339,109171,'Applies Blind.  Lasts for 6.0 seconds.',100,1,1),
(234340,109171,'Dazes target',100,2,2),
(234341,109171,'Blurs vision of target',100,2,3),
(234342,109171,'Dispelled when target takes damage',100,2,4),
(234343,109171,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(234344,109171,'5% chance to dispel when target takes damage',100,1,6),
(234345,109171,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,7),
(234346,109171,'Resistibility increases against targets higher than level 62.',100,1,8),
(234347,10109171,'Roots target',100,1,0),
(234348,10109171,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(234349,10109171,'Dazes target',100,2,2),
(234350,10109171,'Blurs vision of target',100,2,3),
(234351,10109171,'Dispelled when target takes damage',100,2,4),
(234352,10109171,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(234353,10109171,'5% chance to dispel when target takes damage',100,1,6),
(234354,10109171,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(234355,10109171,'Resistibility increases against targets higher than level 62.',100,1,8),
(234356,117073,'Inflicts 291 - 485 melee damage on target',100,1,0),
(234357,117073,'Decreases Attack Speed of target by 27.4',100,1,1),
(234358,10117073,'Inflicts 349 - 582 melee damage on target',100,1,0),
(234359,10117073,'Decreases Attack Speed of target by 27.4',100,1,1),
(234360,75176,'When Equipped:',100,0,0),
(234361,75176,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234362,75176,'Inflicts 44 - 53 divine damage on target',100,2,2),
(234363,75176,'Cannot be modified except by direct means',100,2,3),
(234364,10075176,'When Equipped:',100,0,0),
(234365,10075176,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234366,10075176,'Inflicts 52 - 64 divine damage on target',100,2,2),
(234367,10075176,'Cannot be modified except by direct means',100,2,3),
(234368,120956,'Inflicts 522 - 871 ranged damage on target',100,1,0),
(234369,120956,'If weapon equipped in Ranged',100,1,1),
(234370,120956,'Must be behind',100,1,2),
(234371,10120956,'Inflicts 444 - 740 ranged damage on target',100,1,0),
(234372,10120956,'If weapon equipped in Ranged',100,1,1),
(234373,10120956,'Must be behind',100,1,2),
(234374,71741,'When Equipped:',100,0,0),
(234375,71741,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234376,71741,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(234377,71741,'Cannot be modified except by direct means',100,2,3),
(234378,10071741,'When Equipped:',100,0,0),
(234379,10071741,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234380,10071741,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(234381,10071741,'Cannot be modified except by direct means',100,2,3),
(234382,87468,'When Equipped:',100,0,0),
(234383,87468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234384,87468,'Inflicts 98 - 147 magic damage on target',100,2,2),
(234385,87468,'Cannot be modified except by direct means',100,2,3),
(234386,10087468,'When Equipped:',100,0,0),
(234387,10087468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234388,10087468,'Inflicts 117 - 176 magic damage on target',100,2,2),
(234389,10087468,'Cannot be modified except by direct means',100,2,3),
(234390,71933,'When Equipped:',100,0,0),
(234391,71933,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234392,71933,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(234393,71933,'Cannot be modified except by direct means',100,2,3),
(234394,10071933,'When Equipped:',100,0,0),
(234395,10071933,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234396,10071933,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(234397,10071933,'Cannot be modified except by direct means',100,2,3),
(234398,81443,'When Equipped:',100,0,0),
(234399,81443,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234400,81443,'Inflicts 70 - 129 magic damage on target',100,2,2),
(234401,81443,'Cannot be modified except by direct means',100,2,3),
(234402,10081443,'When Equipped:',100,0,0),
(234403,10081443,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234404,10081443,'Inflicts 84 - 155 magic damage on target',100,2,2),
(234405,10081443,'Cannot be modified except by direct means',100,2,3),
(234406,25777,'When Equipped:',100,0,0),
(234407,25777,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(234408,25777,'Improves the physical mitigation granted by Shroud of Armor VII by 25%.',100,1,2),
(234409,10025777,'When Equipped:',100,0,0),
(234410,10025777,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(234411,10025777,'Improves the physical mitigation granted by Shroud of Armor VII by 25%.',100,1,2),
(234412,81999,'When Equipped:',100,0,0),
(234413,81999,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234414,81999,'Inflicts 122 - 226 magic damage on target',100,2,2),
(234415,81999,'Cannot be modified except by direct means',100,2,3),
(234416,10081999,'When Equipped:',100,0,0),
(234417,10081999,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(234418,10081999,'Inflicts 146 - 272 magic damage on target',100,2,2),
(234419,10081999,'Cannot be modified except by direct means',100,2,3),
(234420,35240,'Increases AGI of target by 1.5',100,0,0),
(234421,35240,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(234422,119390,'Decreases threat priority of target by 1 position',100,1,0),
(234423,119390,'Decreases Threat to target by 1,227 ',100,1,1),
(234424,119390,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(234425,119390,'Grants stealth to caster',100,2,3),
(234426,119390,'Suspends caster''s movement speed enhancements',100,2,4),
(234427,10119390,'Applies Distract.',100,1,0),
(234428,10119390,'Forces target to clear their selected target.',100,2,1),
(234429,10119390,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(234430,10119390,'Grants stealth to caster',100,2,3),
(234431,10119390,'Suspends caster''s movement speed enhancements',100,2,4),
(234432,113030,'Shapechanges target into a toad',100,1,0),
(234433,10113030,'Shapechanges target into a toad',100,1,0),
(234434,139677,'When Equipped:',100,0,0),
(234435,139677,'On a healing spell cast this spell may cast Seraph''s Recovery on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234436,139677,'Increases Spell Reuse Speed of caster by 5.0%',100,2,2),
(234437,139677,'Increases Ability Recovery Speed of caster by 15.0%',100,2,3),
(234438,139677,'Increases Ability Casting Speed of caster by 15.0%',100,2,4),
(234439,139677,'Must not be engaged in pvp combat',100,2,5),
(234440,139677,'Cannot be modified except by direct means',100,2,6),
(234441,139677,'Must not be engaged in pvp combat',100,1,7),
(234442,139677,'When Equipped:',100,0,8),
(234443,139677,'Increases the caster''s heals and wards by 8%.',100,1,9),
(234444,139677,'Must not be engaged in pvp combat',100,1,10),
(234445,10139677,'When Equipped:',100,0,0),
(234446,10139677,'On a healing spell cast this spell may cast Seraph''s Recovery on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234447,10139677,'Increases Spell Reuse Speed of caster by 5.0%',100,2,2),
(234448,10139677,'Increases Ability Recovery Speed of caster by 15.0%',100,2,3),
(234449,10139677,'Increases Ability Casting Speed of caster by 15.0%',100,2,4),
(234450,10139677,'Must not be engaged in pvp combat',100,2,5),
(234451,10139677,'Cannot be modified except by direct means',100,2,6),
(234452,10139677,'Must not be engaged in pvp combat',100,1,7),
(234453,10139677,'When Equipped:',100,0,8),
(234454,10139677,'Increases the caster''s heals and wards by 8%.',100,1,9),
(234455,10139677,'Must not be engaged in pvp combat',100,1,10),
(234456,115728,'Wards caster against 4960 points of elemental, noxious and arcane damage',100,1,0),
(234457,10115728,'Wards caster against 4960 points of elemental, noxious and arcane damage',100,1,0),
(234458,107810,'Increases Threat to target encounter by 920 - 1,123 ',100,1,0),
(234459,10107810,'Prevents target encounter from changing targets',100,1,0),
(234460,10107810,'Forces target encounter to change their selected target to caster.',100,1,1),
(234461,45753,'Applies Touch of the Rainmaker  when Activated.  Lasts for 30 minutes.',100,0,0),
(234462,45753,'Increases AGI of caster by 48.7',100,1,1),
(234463,10045753,'Applies Touch of the Rainmaker  when Activated.  Lasts for 30 minutes.',100,0,0),
(234464,10045753,'Increases AGI of caster by 48.7',100,1,1),
(234465,159655,'When Equipped:',100,0,0),
(234466,159655,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234467,159655,'Increases STR of caster by 11.4',100,2,2),
(234468,159655,'Increases Damage Per Second of caster by 19.7',100,2,3),
(234469,159655,'Cannot be modified except by direct means',100,2,4),
(234470,10159655,'When Equipped:',100,0,0),
(234471,10159655,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234472,10159655,'Increases STR of caster by 11.4',100,2,2),
(234473,10159655,'Increases Damage Per Second of caster by 19.7',100,2,3),
(234474,10159655,'Cannot be modified except by direct means',100,2,4),
(234475,150917,'When Equipped:',100,0,0),
(234476,150917,'This effect will not stack with itself.',100,1,1),
(234477,150917,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(234478,150917,'Inflicts 3442 - 3804 piercing damage on target encounter',100,2,3),
(234479,150917,'Heals group members (AE) for 3767 - 4164',100,2,4),
(234480,150917,'Must not be engaged in pvp combat',100,2,5),
(234481,150917,'Cannot be modified except by direct means',100,2,6),
(234482,150917,'Must not be engaged in pvp combat',100,1,7),
(234483,10150917,'When Equipped:',100,0,0),
(234484,10150917,'This effect will not stack with itself.',100,1,1),
(234485,10150917,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(234486,10150917,'Inflicts 4130 - 4565 piercing damage on target encounter',100,2,3),
(234487,10150917,'Heals group members (AE) for 4408 - 4872',100,2,4),
(234488,10150917,'Must not be engaged in pvp combat',100,2,5),
(234489,10150917,'Cannot be modified except by direct means',100,2,6),
(234490,10150917,'Must not be engaged in pvp combat',100,1,7),
(234491,84026,'Applies Lightning Shock when Activated.',100,0,0),
(234492,84026,'Inflicts 267 - 445 magic damage on target',100,1,1),
(234493,84026,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(234494,10084026,'Applies Lightning Shock when Activated.',100,0,0),
(234495,10084026,'Inflicts 321 - 535 magic damage on target',100,1,1),
(234496,10084026,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(234497,121032,'Increases AGI of target by 29.0',100,1,0),
(234498,121032,'Adds 0.8% to base avoidance.',100,1,1),
(234499,121032,'Increases In-Combat Power Regeneration of target by 15.8',100,1,2),
(234500,121032,'Increases Max Power of target by 192.2',100,1,3),
(234501,10121032,'Increases AGI of target by 29.0',100,1,0),
(234502,10121032,'Adds 0.8% to base avoidance.',100,1,1),
(234503,10121032,'Increases In-Combat Power Regeneration of target by 15.8',100,1,2),
(234504,10121032,'Increases Max Power of target by 192.2',100,1,3),
(234505,116845,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(234506,116845,'Inflicts 198 - 242 mental damage on target',100,2,1),
(234507,116845,'Grants a total of 3 triggers of the spell.',100,2,2),
(234508,10116845,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(234509,10116845,'Inflicts 237 - 290 mental damage on target',100,2,1),
(234510,10116845,'Grants a total of 3 triggers of the spell.',100,2,2),
(234511,112624,'Increases STA of caster by 54.5',100,1,0),
(234512,112624,'Reduces slow effects on caster by 22.0%',100,1,1),
(234513,112624,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1357',100,1,2),
(234514,10112624,'Increases STA of caster by 54.5',100,1,0),
(234515,10112624,'Reduces slow effects on caster by 22.0%',100,1,1),
(234516,10112624,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1357',100,1,2),
(234517,122224,'Increases Damage Per Second of target by 21.6',100,1,0),
(234518,122224,'Increases Max Health of target by 663.0',100,1,1),
(234519,10122224,'Increases Damage Per Second of target by 21.6',100,1,0),
(234520,10122224,'Increases Max Health of target by 663.0',100,1,1),
(234521,114231,'Inflicts 115 - 141 mental damage on target',100,1,0),
(234522,114231,'Stuns target',100,1,1),
(234523,114231,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(234524,114231,'Resistibility increases against targets higher than level 56.',100,1,3),
(234525,10114231,'Inflicts 138 - 169 mental damage on target',100,1,0),
(234526,10114231,'Requires not being affected by Mesmerize effects.',100,2,1),
(234527,10114231,'Stuns target',100,1,2),
(234528,10114231,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(234529,10114231,'Resistibility increases against targets higher than level 56.',100,1,4),
(234530,89048,'Applies Mental Blast when Activated.',100,0,0),
(234531,89048,'Inflicts 174 - 291 mental damage on target',100,1,1),
(234532,89048,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(234533,10089048,'Applies Mental Blast when Activated.',100,0,0),
(234534,10089048,'Inflicts 209 - 349 mental damage on target',100,1,1),
(234535,10089048,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(234536,100254,'Inflicts 25 - 46 poison damage on target instantly and every 3 seconds',100,1,0),
(234537,10100254,'Inflicts 67 - 124 poison damage on target instantly and every 3 seconds',100,1,0),
(234538,158807,'When Equipped:',100,0,0),
(234539,158807,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(234540,158807,'Increases Threat to target by 55 ',100,2,2),
(234541,158807,'Cannot be modified except by direct means',100,2,3),
(234542,10158807,'When Equipped:',100,0,0),
(234543,10158807,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(234544,10158807,'Cannot be modified except by direct means',100,2,2),
(234545,138074,'When Equipped:',100,0,0),
(234546,138074,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(234547,138074,'Inflicts 2664 disease damage on target encounter',100,2,2),
(234548,138074,'Must not be engaged in pvp combat',100,2,3),
(234549,138074,'Cannot be modified except by direct means',100,2,4),
(234550,138074,'When Equipped:',100,0,5),
(234551,138074,'This effect will not stack with itself.',100,1,6),
(234552,138074,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(234553,138074,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(234554,138074,'Inflicts 2664 piercing damage on target',100,3,9),
(234555,138074,'Must not be engaged in pvp combat',100,3,10),
(234556,138074,'Cannot be modified except by direct means',100,3,11),
(234557,138074,'Grants a total of 5 triggers of the spell.',100,3,12),
(234558,138074,'Must not be engaged in pvp combat',100,2,13),
(234559,138074,'Cannot be modified except by direct means',100,2,14),
(234560,138074,'Must not be engaged in pvp combat',100,1,15),
(234561,10138074,'When Equipped:',100,0,0),
(234562,10138074,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(234563,10138074,'Inflicts 1598 disease damage on target encounter',100,2,2),
(234564,10138074,'Must not be engaged in pvp combat',100,2,3),
(234565,10138074,'Cannot be modified except by direct means',100,2,4),
(234566,10138074,'When Equipped:',100,0,5),
(234567,10138074,'This effect will not stack with itself.',100,1,6),
(234568,10138074,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(234569,10138074,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(234570,10138074,'Inflicts 3197 piercing damage on target',100,3,9),
(234571,10138074,'Must not be engaged in pvp combat',100,3,10),
(234572,10138074,'Cannot be modified except by direct means',100,3,11),
(234573,10138074,'Grants a total of 5 triggers of the spell.',100,3,12),
(234574,10138074,'Must not be engaged in pvp combat',100,2,13),
(234575,10138074,'Cannot be modified except by direct means',100,2,14),
(234576,10138074,'Must not be engaged in pvp combat',100,1,15),
(234577,102187,'Increases Mitigation of group members (AE) vs physical damage by 352',100,1,0),
(234578,10102187,'Increases Mitigation of group members (AE) vs physical damage by 352',100,1,0),
(234579,159325,'Applies Lambent Imbued when Equipped.',100,0,0),
(234580,159325,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(234581,159325,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(234582,159325,'Cannot be modified except by direct means',100,2,3),
(234583,10159325,'Applies Lambent Imbued when Equipped.',100,0,0),
(234584,10159325,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(234585,10159325,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(234586,10159325,'Cannot be modified except by direct means',100,2,3),
(234587,120801,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(234588,120801,'Throws target back',100,2,1),
(234589,120801,'Stuns target',100,2,2),
(234590,120801,'Blurs vision of target',100,2,3),
(234591,120801,'Does not affect Epic targets',100,2,4),
(234592,120801,'Inflicts 202 - 338 piercing damage on target',100,1,5),
(234593,10120801,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(234594,10120801,'Throws target back',100,2,1),
(234595,10120801,'Stuns target',100,2,2),
(234596,10120801,'Blurs vision of target',100,2,3),
(234597,10120801,'Does not affect Epic targets',100,2,4),
(234598,10120801,'Inflicts 243 - 405 piercing damage on target',100,1,5),
(234599,71307,'When Equipped:',100,0,0),
(234600,71307,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234601,71307,'Increases Potency of group members by 5.0%',100,2,2),
(234602,71307,'Cannot be modified except by direct means',100,2,3),
(234603,71307,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(234604,71307,'Increases Potency of group members by 5.0%',100,2,5),
(234605,71307,'Cannot be modified except by direct means',100,2,6),
(234606,71307,'Cannot be modified except by direct means',100,1,7),
(234607,10071307,'When Equipped:',100,0,0),
(234608,10071307,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(234609,10071307,'Increases Potency of group members by 5.0%',100,2,2),
(234610,10071307,'Cannot be modified except by direct means',100,2,3),
(234611,10071307,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(234612,10071307,'Increases Potency of group members by 5.0%',100,2,5),
(234613,10071307,'Cannot be modified except by direct means',100,2,6),
(234614,10071307,'Cannot be modified except by direct means',100,1,7),
(234615,118473,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(234616,118473,'Inflicts 31 - 38 heat damage on target instantly and every second',100,2,1),
(234617,10118473,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(234618,10118473,'Inflicts 37 - 46 heat damage on target instantly and every second',100,2,1),
(234619,46575,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(234620,46575,'Increases Max Power of caster by 50.0',100,1,1),
(234621,10046575,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(234622,10046575,'Increases Max Power of caster by 50.0',100,1,1),
(234623,117684,'Decreases Mitigation of target vs physical damage by 1056',100,1,0),
(234624,10117684,'Decreases Mitigation of target vs physical damage by 528',100,1,0),
(234625,102732,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(234626,102732,'Stuns target',100,2,1),
(234627,102732,'If Target is not Epic',100,3,2),
(234628,102732,'Inflicts 62 - 103 divine damage on target',100,2,3),
(234629,102732,'Inflicts 53 - 88 divine damage on target',100,2,4),
(234630,102732,'If target is undead',100,3,5),
(234631,10102732,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(234632,10102732,'Stuns target',100,2,1),
(234633,10102732,'Inflicts 111 - 186 divine damage on target',100,2,2),
(234634,10102732,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(234635,36730,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(234636,172471,'When Equipped:',100,0,0),
(234637,172471,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(234638,172471,'Increases power of caster by 381',100,2,2),
(234639,172471,'Heals caster for 857 - 1047',100,2,3),
(234640,172471,'Must not be engaged in pvp combat',100,2,4),
(234641,172471,'Cannot be modified except by direct means',100,2,5),
(234642,172471,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(234643,172471,'Increases power of caster by 381',100,2,7),
(234644,172471,'Heals caster for 857 - 1047',100,2,8),
(234645,172471,'Must not be engaged in pvp combat',100,2,9),
(234646,172471,'Cannot be modified except by direct means',100,2,10),
(234647,10172471,'When Equipped:',100,0,0),
(234648,10172471,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(234649,10172471,'Increases power of caster by 381',100,2,2),
(234650,10172471,'Heals caster for 557 - 681',100,2,3),
(234651,10172471,'Must not be engaged in pvp combat',100,2,4),
(234652,10172471,'Cannot be modified except by direct means',100,2,5),
(234653,10172471,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(234654,10172471,'Increases power of caster by 381',100,2,7),
(234655,10172471,'Heals caster for 557 - 681',100,2,8),
(234656,10172471,'Must not be engaged in pvp combat',100,2,9),
(234657,10172471,'Cannot be modified except by direct means',100,2,10),
(234658,35314,'Increases STA of target by 1.5',100,0,0),
(234659,35314,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(234660,117107,'Mesmerizes target encounter',100,1,0),
(234661,117107,'Prevents AOE (except when direct) ',100,1,1),
(234662,117107,'Dispelled when target takes damage',100,1,2),
(234663,117107,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(234664,117107,'Resistibility increases against targets higher than level 96.',100,1,4),
(234665,10117107,'Mesmerizes target encounter',100,1,0),
(234666,10117107,'Prevents AOE (except when direct) ',100,1,1),
(234667,10117107,'Dispelled when target takes damage',100,1,2),
(234668,10117107,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(234669,10117107,'Resistibility increases against targets higher than level 96.',100,1,4),
(234670,116350,'Mesmerizes target encounter',100,1,0),
(234671,116350,'Prevents AOE (except when direct) ',100,1,1),
(234672,116350,'Dispelled when target takes damage',100,1,2),
(234673,116350,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(234674,116350,'Resistibility increases against targets higher than level 80.',100,1,4),
(234675,10116350,'Mesmerizes target encounter',100,1,0),
(234676,10116350,'Prevents AOE (except when direct) ',100,1,1),
(234677,10116350,'Dispelled when target takes damage',100,1,2),
(234678,10116350,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(234679,10116350,'Resistibility increases against targets higher than level 80.',100,1,4),
(234680,105171,'Increases AGI of caster by 93.3',100,1,0),
(234681,105171,'Adds 2.5% to base avoidance.',100,1,1),
(234682,105171,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(234683,105171,'Increases Parry of caster by 53.3',100,1,3),
(234684,105171,'Increases Defense of caster by 71.0',100,1,4),
(234685,10105171,'Increases AGI of caster by 93.3',100,1,0),
(234686,10105171,'Adds 2.5% to base avoidance.',100,1,1),
(234687,10105171,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(234688,10105171,'Increases Parry of caster by 53.3',100,1,3),
(234689,10105171,'Increases Defense of caster by 71.0',100,1,4),
(234690,71685,'When Equipped:',100,0,0),
(234691,71685,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234692,71685,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(234693,71685,'Cannot be modified except by direct means',100,2,3),
(234694,10071685,'When Equipped:',100,0,0),
(234695,10071685,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234696,10071685,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(234697,10071685,'Cannot be modified except by direct means',100,2,3),
(234698,24292,'Adds Dire Bear (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(234699,10024292,'Adds Dire Bear (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(234700,124443,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(234701,124443,'Inflicts 119 - 199 melee damage on target',100,2,1),
(234702,124443,'Decreases Defense of caster by 9.3',100,1,2),
(234703,124443,'Increases Slashing, Piercing, Ranged and Crushing of caster by 22.3',100,1,3),
(234704,10124443,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(234705,10124443,'Inflicts 143 - 239 melee damage on target',100,2,1),
(234706,10124443,'Decreases Defense of caster by 9.3',100,1,2),
(234707,10124443,'Increases Slashing, Piercing, Ranged and Crushing of caster by 22.3',100,1,3),
(234708,37554,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(234709,37282,'Increases WIS of target by 1.1',100,0,0),
(234710,37282,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(234711,72259,'When Equipped:',100,0,0),
(234712,72259,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234713,72259,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(234714,72259,'Cannot be modified except by direct means',100,2,3),
(234715,10072259,'When Equipped:',100,0,0),
(234716,10072259,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234717,10072259,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(234718,10072259,'Cannot be modified except by direct means',100,2,3),
(234719,109187,'Roots target',100,1,0),
(234720,109187,'Applies Blind.  Lasts for 9.0 seconds.',100,1,1),
(234721,109187,'Dazes target',100,2,2),
(234722,109187,'Blurs vision of target',100,2,3),
(234723,109187,'Dispelled when target takes damage',100,2,4),
(234724,109187,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(234725,109187,'5% chance to dispel when target takes damage',100,1,6),
(234726,109187,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(234727,109187,'Resistibility increases against targets higher than level 102.',100,1,8),
(234728,10109187,'Roots target',100,1,0),
(234729,10109187,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(234730,10109187,'Dazes target',100,2,2),
(234731,10109187,'Blurs vision of target',100,2,3),
(234732,10109187,'Dispelled when target takes damage',100,2,4),
(234733,10109187,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(234734,10109187,'5% chance to dispel when target takes damage',100,1,6),
(234735,10109187,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(234736,10109187,'Resistibility increases against targets higher than level 102.',100,1,8),
(234737,161048,'When Equipped:',100,0,0),
(234738,161048,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(234739,161048,'Increases power of target by 190',100,2,2),
(234740,161048,'Decreases power of caster by 186',100,2,3),
(234741,161048,'Cannot be modified except by direct means',100,2,4),
(234742,10161048,'When Equipped:',100,0,0),
(234743,10161048,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(234744,10161048,'Increases power of target by 190',100,2,2),
(234745,10161048,'Decreases power of caster by 186',100,2,3),
(234746,10161048,'Cannot be modified except by direct means',100,2,4),
(234747,45732,'Applies Silandria''s Warding  when Activated.  Lasts for 15 minutes.',100,0,0),
(234748,45732,'Increases Max Power of caster by 52.0',100,1,1),
(234749,10045732,'Applies Silandria''s Warding  when Activated.  Lasts for 15 minutes.',100,0,0),
(234750,10045732,'Increases Max Power of caster by 52.0',100,1,1),
(234751,118313,'Roots target encounter',100,1,0),
(234752,118313,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(234753,118313,'Slows target by 61.0%',100,2,2),
(234754,118313,'5% chance to dispel when target receives hostile action',100,2,3),
(234755,118313,'5% chance to dispel when target takes damage',100,2,4),
(234756,118313,'20% chance to dispel when target takes damage',100,1,5),
(234757,118313,'Does not affect Epic targets',100,1,6),
(234758,118313,'Resistibility increases against targets higher than level 97.',100,1,7),
(234759,10118313,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(234760,10118313,'Slows target by 61.0%',100,2,1),
(234761,10118313,'5% chance to dispel when target receives hostile action',100,2,2),
(234762,10118313,'5% chance to dispel when target takes damage',100,2,3),
(234763,10118313,'Roots target encounter',100,1,4),
(234764,10118313,'20% chance to dispel when target takes damage',100,1,5),
(234765,10118313,'Does not affect Epic targets',100,1,6),
(234766,10118313,'Resistibility increases against targets higher than level 97.',100,1,7),
(234767,122321,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(234768,122321,'Inflicts 483 - 590 mental damage on target',100,2,1),
(234769,122321,'Grants a total of 3 triggers of the spell.',100,2,2),
(234770,10122321,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(234771,10122321,'Inflicts 579 - 708 mental damage on target',100,2,1),
(234772,10122321,'Grants a total of 3 triggers of the spell.',100,2,2),
(234773,113860,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(234774,113860,'Increases power of caster by 332',100,2,1),
(234775,113860,'Grants a total of 3 triggers of the spell.',100,2,2),
(234776,10113860,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(234777,10113860,'Increases power of caster by 332',100,2,1),
(234778,10113860,'Grants a total of 3 triggers of the spell.',100,2,2),
(234779,159276,'When Equipped:',100,0,0),
(234780,159276,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234781,159276,'Increases WIS of caster by 5.1',100,2,2),
(234782,159276,'Increases Ministration, Focus and Ordination of caster by 3.3',100,2,3),
(234783,159276,'Cannot be modified except by direct means',100,2,4),
(234784,10159276,'When Equipped:',100,0,0),
(234785,10159276,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234786,10159276,'Increases WIS of caster by 5.1',100,2,2),
(234787,10159276,'Increases Ministration, Focus and Ordination of caster by 3.3',100,2,3),
(234788,10159276,'Cannot be modified except by direct means',100,2,4),
(234789,104448,'Interrupts target encounter',100,1,0),
(234790,104448,'Applies Stumble on termination.',100,1,1),
(234791,104448,'Interrupts target',100,2,2),
(234792,104448,'Inflicts 85 - 104 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(234793,10104448,'Interrupts target encounter',100,1,0),
(234794,10104448,'Applies Stumble on termination.',100,1,1),
(234795,10104448,'Interrupts target',100,2,2),
(234796,10104448,'Inflicts 102 - 125 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(234797,115245,'Heals target for 88',100,1,0),
(234798,115245,'Heals target for 15 every second',100,1,1),
(234799,115245,'Dispels 20 levels of any hostile effects on target',100,1,2),
(234800,10115245,'Heals target for 57',100,1,0),
(234801,10115245,'Heals target for 10 every second',100,1,1),
(234802,10115245,'Dispels 20 levels of any hostile effects on target',100,1,2),
(234803,159642,'When Equipped:',100,0,0),
(234804,159642,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234805,159642,'Increases WIS of caster by 14.8',100,2,2),
(234806,159642,'Increases Ministration, Focus and Ordination of caster by 8.3',100,2,3),
(234807,159642,'Cannot be modified except by direct means',100,2,4),
(234808,10159642,'When Equipped:',100,0,0),
(234809,10159642,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(234810,10159642,'Increases WIS of caster by 14.8',100,2,2),
(234811,10159642,'Increases Ministration, Focus and Ordination of caster by 8.3',100,2,3),
(234812,10159642,'Cannot be modified except by direct means',100,2,4),
(234813,112690,'Increases Parry of group members (AE) by 43.2',100,1,0),
(234814,10112690,'Increases Parry of group members (AE) by 43.2',100,1,0),
(234815,116816,'Decreases Hate Gain of caster by 13.1%',100,1,0),
(234816,114503,'Increases In-Combat Power Regeneration of group members (AE) by 22.4',100,1,0),
(234817,10114503,'Increases In-Combat Power Regeneration of group members (AE) by 22.4',100,1,0),
(234818,155200,'When Equipped:',100,0,0),
(234819,155200,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(234820,155200,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(234821,155200,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,3),
(234822,155200,'Cannot be modified except by direct means',100,1,4),
(234823,155200,'When Equipped:',100,0,5),
(234824,155200,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,6),
(234825,155200,'Increases caster''s chance to block by 3.0%',100,1,7),
(234826,155200,'Increases Health Regeneration of caster by 15.0',100,1,8),
(234827,155200,'Increases Max Health of caster by 1,220.0',100,1,9),
(234828,155200,'Cannot be modified except by direct means',100,1,10),
(234829,10155200,'When Equipped:',100,0,0),
(234830,10155200,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(234831,10155200,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(234832,10155200,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,3),
(234833,10155200,'Cannot be modified except by direct means',100,1,4),
(234834,10155200,'When Equipped:',100,0,5),
(234835,10155200,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,6),
(234836,10155200,'Increases caster''s chance to block by 3.0%',100,1,7),
(234837,10155200,'Increases Health Regeneration of caster by 15.0',100,1,8),
(234838,10155200,'Increases Max Health of caster by 1,220.0',100,1,9),
(234839,10155200,'Cannot be modified except by direct means',100,1,10),
(234840,45969,'Applies Consume Essence when Activated.',100,0,0),
(234841,45969,'Heals group members (AE) for 132 - 161',100,1,1),
(234842,45969,'Dispels 46 levels of any hostile effects on caster',100,1,2),
(234843,10045969,'Applies Consume Essence when Activated.',100,0,0),
(234844,10045969,'Heals group members (AE) for 86 - 105',100,1,1),
(234845,10045969,'Dispels 46 levels of any hostile effects on caster',100,1,2),
(234846,166431,'When Equipped:',100,0,0),
(234847,166431,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(234848,166431,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(234849,166431,'Must not be engaged in pvp combat',100,2,3),
(234850,166431,'Cannot be modified except by direct means',100,2,4),
(234851,166431,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(234852,166431,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(234853,166431,'Must not be engaged in pvp combat',100,2,7),
(234854,166431,'Cannot be modified except by direct means',100,2,8),
(234855,166431,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(234856,166431,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(234857,166431,'Must not be engaged in pvp combat',100,2,11),
(234858,166431,'Cannot be modified except by direct means',100,2,12),
(234859,166431,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(234860,166431,'Inflicts 40 piercing damage on target',100,2,14),
(234861,166431,'Must not be engaged in pvp combat',100,2,15),
(234862,166431,'Cannot be modified except by direct means',100,2,16),
(234863,10166431,'When Equipped:',100,0,0),
(234864,10166431,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(234865,10166431,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(234866,10166431,'Must not be engaged in pvp combat',100,2,3),
(234867,10166431,'Cannot be modified except by direct means',100,2,4),
(234868,10166431,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(234869,10166431,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(234870,10166431,'Must not be engaged in pvp combat',100,2,7),
(234871,10166431,'Cannot be modified except by direct means',100,2,8),
(234872,10166431,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(234873,10166431,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(234874,10166431,'Must not be engaged in pvp combat',100,2,11),
(234875,10166431,'Cannot be modified except by direct means',100,2,12),
(234876,10166431,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(234877,10166431,'Inflicts 48 piercing damage on target',100,2,14),
(234878,10166431,'Must not be engaged in pvp combat',100,2,15),
(234879,10166431,'Cannot be modified except by direct means',100,2,16),
(234880,82901,'When Equipped:',100,0,0),
(234881,82901,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(234882,82901,'Inflicts 224 - 416 magic damage on target',100,2,2),
(234883,82901,'Decreases Threat to target by 833 ',100,2,3),
(234884,82901,'Must be flanking or behind',100,3,4),
(234885,82901,'Increases Threat to target by 838 ',100,2,5),
(234886,82901,'Must be in front of',100,3,6),
(234887,82901,'Cannot be modified except by direct means',100,2,7),
(234888,10082901,'When Equipped:',100,0,0),
(234889,10082901,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(234890,10082901,'Inflicts 269 - 499 magic damage on target',100,2,2),
(234891,10082901,'Cannot be modified except by direct means',100,2,3),
(234892,115618,'Wards target against 1691 points of all damage',100,1,0),
(234893,10115618,'Wards target against 2536 points of all damage',100,1,0),
(234894,123787,'Decreases Mitigation of target vs noxious damage by 2890',100,1,0),
(234895,123787,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(234896,123787,'Slows target by 66.1%',100,2,2),
(234897,123787,'5% chance to dispel when target receives hostile action',100,2,3),
(234898,123787,'5% chance to dispel when target takes damage',100,2,4),
(234899,10123787,'Decreases Mitigation of target vs noxious damage by 2890',100,1,0),
(234900,10123787,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(234901,10123787,'Slows target by 66.1%',100,2,2),
(234902,10123787,'5% chance to dispel when target receives hostile action',100,2,3),
(234903,10123787,'5% chance to dispel when target takes damage',100,2,4),
(234904,120104,'Shapechanges caster into a chaos essence',100,1,0),
(234905,120104,'Increases WIS of caster by 57.6',100,1,1),
(234906,120104,'Grants See Invisibility to caster',100,1,2),
(234907,120104,'Increases Max Health of caster by 228.6',100,1,3),
(234908,120104,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 888',100,1,4),
(234909,10120104,'Shapechanges caster into a chaos essence',100,1,0),
(234910,10120104,'Increases WIS of caster by 57.6',100,1,1),
(234911,10120104,'Grants See Invisibility to caster',100,1,2),
(234912,10120104,'Increases Max Health of caster by 228.6',100,1,3),
(234913,10120104,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 888',100,1,4),
(234914,123082,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',100,1,0),
(234915,123082,'Roots target',100,2,1),
(234916,123082,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(234917,123082,'Slows target by 47.3%',100,3,3),
(234918,123082,'5% chance to dispel when target receives hostile action',100,3,4),
(234919,123082,'5% chance to dispel when target takes damage',100,3,5),
(234920,123082,'5% chance to dispel when target takes damage',100,2,6),
(234921,123082,'Does not affect Epic targets',100,2,7),
(234922,123082,'Resistibility increases against targets higher than level 76.',100,2,8),
(234923,123082,'Decreases AGI of target encounter by 43.9',100,1,9),
(234924,10123082,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(234925,10123082,'Roots target',100,2,1),
(234926,10123082,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(234927,10123082,'Slows target by 47.3%',100,3,3),
(234928,10123082,'5% chance to dispel when target receives hostile action',100,3,4),
(234929,10123082,'5% chance to dispel when target takes damage',100,3,5),
(234930,10123082,'5% chance to dispel when target takes damage',100,2,6),
(234931,10123082,'Does not affect Epic targets',100,2,7),
(234932,10123082,'Resistibility increases against targets higher than level 76.',100,2,8),
(234933,10123082,'Decreases AGI of target encounter by 43.9',100,1,9),
(234934,159615,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(234935,159615,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(234936,159615,'Inflicts 24 heat damage on target',100,2,2),
(234937,159615,'Cannot be modified except by direct means',100,2,3),
(234938,10159615,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(234939,10159615,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(234940,10159615,'Inflicts 29 heat damage on target',100,2,2),
(234941,10159615,'Cannot be modified except by direct means',100,2,3),
(234942,111519,'Blurs vision of targets in Area of Effect',100,1,0),
(234943,111519,'Interrupts targets in Area of Effect',100,1,1),
(234944,111519,'4% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(234945,111519,'Stuns target',100,2,3),
(234946,111519,'Throws target back',100,2,4),
(234947,111519,'Blurs vision of target',100,2,5),
(234948,111519,'Does not affect Epic targets',100,2,6),
(234949,10111519,'Blurs vision of targets in Area of Effect',100,1,0),
(234950,10111519,'Interrupts targets in Area of Effect',100,1,1),
(234951,10111519,'4% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(234952,10111519,'Stuns target',100,2,3),
(234953,10111519,'Throws target back',100,2,4),
(234954,10111519,'Blurs vision of target',100,2,5),
(234955,10111519,'Does not affect Epic targets',100,2,6),
(234956,48771,'Applies Elixir of the Stoutheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(234957,48771,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(234958,48771,'Inflicts 4 magic damage on target',100,2,2),
(234959,48771,'Cannot be modified except by direct means',100,2,3),
(234960,10048771,'Applies Elixir of the Stoutheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(234961,10048771,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(234962,10048771,'Inflicts 5 magic damage on target',100,2,2),
(234963,10048771,'Cannot be modified except by direct means',100,2,3),
(234964,49051,'Applies View of Prexus when Activated.  Lasts for 20 minutes.',100,0,0),
(234965,49051,'Cannot be modified except by direct means',100,1,1),
(234966,10049051,'Applies View of Prexus when Activated.  Lasts for 20 minutes.',100,0,0),
(234967,10049051,'Cannot be modified except by direct means',100,1,1),
(234968,111768,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(234969,111768,'This effect cannot be critically applied.',100,2,1),
(234970,111768,'The healing of this spell cannot be modified except by direct means',100,1,2),
(234971,10111768,'Heals caster for 7.6 - 9.2% of max health',100,1,0),
(234972,10111768,'This effect cannot be critically applied.',100,2,1),
(234973,10111768,'The healing of this spell cannot be modified except by direct means',100,1,2),
(234974,80982,'When Equipped:',100,0,0),
(234975,80982,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(234976,80982,'Inflicts 184 - 342 magic damage on target',100,2,2),
(234977,80982,'Decreases Threat to target by 672 ',100,2,3),
(234978,80982,'Must be flanking or behind',100,3,4),
(234979,80982,'Increases Threat to target by 677 ',100,2,5),
(234980,80982,'Must be in front of',100,3,6),
(234981,80982,'Cannot be modified except by direct means',100,2,7),
(234982,10080982,'When Equipped:',100,0,0),
(234983,10080982,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(234984,10080982,'Inflicts 221 - 410 magic damage on target',100,2,2),
(234985,10080982,'Cannot be modified except by direct means',100,2,3),
(234986,102705,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(234987,102705,'Inflicts 228 - 380 heat damage on target',100,2,1),
(234988,102705,'Grants a total of 5 triggers of the spell.',100,2,2),
(234989,102705,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(234990,102705,'Inflicts 228 - 380 heat damage on target',100,2,4),
(234991,102705,'Grants a total of 5 triggers of the spell.',100,2,5),
(234992,10102705,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(234993,10102705,'Inflicts 274 - 457 heat damage on target',100,2,1),
(234994,10102705,'Grants a total of 5 triggers of the spell.',100,2,2),
(234995,10102705,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(234996,10102705,'Inflicts 274 - 457 heat damage on target',100,2,4),
(234997,10102705,'Grants a total of 5 triggers of the spell.',100,2,5),
(234998,121129,'Summons a limited pet to aid the caster',100,1,0),
(234999,10121129,'Summons a limited pet to aid the caster',100,1,0),
(235000,114380,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(235001,114380,'Stuns target',100,2,1),
(235002,114380,'Throws target back',100,2,2),
(235003,114380,'Blurs vision of target',100,2,3),
(235004,114380,'Does not affect Epic targets',100,2,4),
(235005,114380,'Inflicts 236 - 394 crushing damage on target',100,1,5),
(235006,10114380,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(235007,10114380,'Stuns target',100,2,1),
(235008,10114380,'Throws target back',100,2,2),
(235009,10114380,'Blurs vision of target',100,2,3),
(235010,10114380,'Does not affect Epic targets',100,2,4),
(235011,10114380,'Inflicts 283 - 473 crushing damage on target',100,1,5),
(235012,36217,'Increases STA and WIS of target by 1.1',100,0,0),
(235013,36217,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(235014,113597,'Summons a limited pet to aid the caster',100,1,0),
(235015,10113597,'Summons a limited pet to aid the caster',100,1,0),
(235016,124658,'Inflicts 586 - 716 cold damage on target encounter',100,1,0),
(235017,124658,'Decreases Piercing, Slashing and Crushing of target encounter by 19.8',100,1,1),
(235018,10124658,'Inflicts 703 - 860 cold damage on target encounter',100,1,0),
(235019,10124658,'Decreases Piercing, Slashing and Crushing of target encounter by 19.8',100,1,1),
(235020,102149,'Inflicts 170 - 284 melee damage on target',100,1,0),
(235021,102149,'Inflicts 170 - 284 melee damage on target',100,1,1),
(235022,10102149,'Inflicts 204 - 341 melee damage on target',100,1,0),
(235023,10102149,'Inflicts 204 - 341 melee damage on target',100,1,1),
(235024,122687,'Decreases Defense of target by 43.2',100,1,0),
(235025,122687,'Decreases Mitigation of target vs physical damage by 816',100,1,1),
(235026,10122687,'Decreases Defense of target by 43.2',100,1,0),
(235027,10122687,'Decreases Mitigation of target vs physical damage by 816',100,1,1),
(235028,124369,'Inflicts 163 - 200 divine damage on target',100,1,0),
(235029,124369,'Inflicts 68 - 83 divine damage on target every 4 seconds',100,1,1),
(235030,10124369,'Inflicts 196 - 240 divine damage on target',100,1,0),
(235031,10124369,'Inflicts 82 - 100 divine damage on target every 4 seconds',100,1,1),
(235032,122459,'Inflicts 1027 - 1712 magic damage on target',100,1,0),
(235033,10122459,'Inflicts 1232 - 2054 magic damage on target',100,1,0),
(235034,123426,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(235035,123426,'Stuns target',100,2,1),
(235036,123426,'Blurs vision of target',100,2,2),
(235037,123426,'Throws target back',100,2,3),
(235038,123426,'Does not affect Epic targets',100,2,4),
(235039,123426,'Inflicts 200 - 600 melee damage on target',100,1,5),
(235040,10123426,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(235041,10123426,'Stuns target',100,2,1),
(235042,10123426,'Throws target back',100,2,2),
(235043,10123426,'Blurs vision of target',100,2,3),
(235044,10123426,'Does not affect Epic targets',100,2,4),
(235045,10123426,'Inflicts 240 - 720 melee damage on target',100,1,5),
(235046,82532,'When Equipped:',100,0,0),
(235047,82532,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(235048,82532,'Inflicts 75 - 140 magic damage on target',100,2,2),
(235049,82532,'Decreases Threat to target by 259 ',100,2,3),
(235050,82532,'Must be flanking or behind',100,3,4),
(235051,82532,'Increases Threat to target by 264 ',100,2,5),
(235052,82532,'Must be in front of',100,3,6),
(235053,82532,'Cannot be modified except by direct means',100,2,7),
(235054,10082532,'When Equipped:',100,0,0),
(235055,10082532,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(235056,10082532,'Inflicts 90 - 168 magic damage on target',100,2,2),
(235057,10082532,'Cannot be modified except by direct means',100,2,3),
(235058,159442,'Applies Lambent Imbued when Equipped.',100,0,0),
(235059,159442,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(235060,159442,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(235061,159442,'Cannot be modified except by direct means',100,2,3),
(235062,10159442,'Applies Lambent Imbued when Equipped.',100,0,0),
(235063,10159442,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(235064,10159442,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(235065,10159442,'Cannot be modified except by direct means',100,2,3),
(235066,112414,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 50% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(235067,112414,'If over 50% Health',100,2,1),
(235068,112414,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 50% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(235069,112414,'If at 50% Health or less',100,2,3),
(235070,10112414,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 50% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(235071,10112414,'If over 50% Health',100,2,1),
(235072,10112414,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 50% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(235073,10112414,'If at 50% Health or less',100,2,3),
(235074,144273,'When Equipped:',100,0,0),
(235075,144273,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(235076,10144273,'When Equipped:',100,0,0),
(235077,10144273,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(235078,162390,'When Equipped:',100,0,0),
(235079,162390,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235080,162390,'Summons a limited pet to aid the caster',100,2,2),
(235081,162390,'Summons a limited pet to aid the caster',100,2,3),
(235082,162390,'Cannot be modified except by direct means',100,2,4),
(235083,10162390,'When Equipped:',100,0,0),
(235084,10162390,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235085,10162390,'Summons a limited pet to aid the caster',100,2,2),
(235086,10162390,'Summons a limited pet to aid the caster',100,2,3),
(235087,10162390,'Cannot be modified except by direct means',100,2,4),
(235088,104684,'Decreases Mitigation of target vs all damage by 475',100,1,0),
(235089,10104684,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 475',100,1,0),
(235090,10104684,'Decreases Mitigation of target vs physical damage by 396',100,1,1),
(235091,153028,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(235092,153028,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(235093,153028,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(235094,153028,'Cannot be modified except by direct means',100,2,3),
(235095,10153028,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(235096,10153028,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(235097,10153028,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(235098,10153028,'Cannot be modified except by direct means',100,2,3),
(235099,87457,'When Equipped:',100,0,0),
(235100,87457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235101,87457,'Inflicts 168 - 252 magic damage on target',100,2,2),
(235102,87457,'Cannot be modified except by direct means',100,2,3),
(235103,10087457,'When Equipped:',100,0,0),
(235104,10087457,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235105,10087457,'Inflicts 202 - 303 magic damage on target',100,2,2),
(235106,10087457,'Cannot be modified except by direct means',100,2,3),
(235107,109511,'Inflicts 99 - 121 disease damage on target instantly and every 4 seconds',100,1,0),
(235108,109511,'Decreases Attack Speed of target by 11.0',100,1,1),
(235109,10109511,'Inflicts 119 - 145 disease damage on target instantly and every 4 seconds',100,1,0),
(235110,10109511,'Decreases Attack Speed of target by 11.0',100,1,1),
(235111,109413,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(235112,109413,'Slows target by 63.0%',100,2,1),
(235113,109413,'Inflicts 217 - 265 cold damage on target',100,2,2),
(235114,109413,'5% chance to dispel when target receives hostile action',100,2,3),
(235115,109413,'5% chance to dispel when target takes damage',100,2,4),
(235116,10109413,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(235117,10109413,'Slows target by 63.0%',100,2,1),
(235118,10109413,'Inflicts 261 - 319 cold damage on target',100,2,2),
(235119,10109413,'5% chance to dispel when target receives hostile action',100,2,3),
(235120,10109413,'5% chance to dispel when target takes damage',100,2,4),
(235121,137427,'When Equipped:',100,0,0),
(235122,137427,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235123,137427,'Inflicts 1199 disease damage on target encounter',100,2,2),
(235124,137427,'Must not be engaged in pvp combat',100,2,3),
(235125,137427,'Cannot be modified except by direct means',100,2,4),
(235126,10137427,'When Equipped:',100,0,0),
(235127,10137427,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235128,10137427,'Inflicts 719 disease damage on target encounter',100,2,2),
(235129,10137427,'Must not be engaged in pvp combat',100,2,3),
(235130,10137427,'Cannot be modified except by direct means',100,2,4),
(235131,158520,'When Equipped:',100,0,0),
(235132,158520,'Increases Attack Speed of caster by 20.0',100,1,1),
(235133,10158520,'When Equipped:',100,0,0),
(235134,10158520,'Increases Attack Speed of caster by 20.0',100,1,1),
(235135,49115,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(235136,49115,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(235137,49115,'Inflicts 185 poison damage on target instantly and every 6 seconds',100,2,2),
(235138,49115,'Cannot be modified except by direct means',100,2,3),
(235139,49115,'Grants a total of 4 triggers of the spell.',100,2,4),
(235140,10049115,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(235141,10049115,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(235142,10049115,'Inflicts 166 poison damage on target instantly and every 6 seconds',100,2,2),
(235143,10049115,'Cannot be modified except by direct means',100,2,3),
(235144,10049115,'Grants a total of 4 triggers of the spell.',100,2,4),
(235145,48917,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(235146,48917,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(235147,48917,'Inflicts 98 poison damage on target',100,2,2),
(235148,48917,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,3),
(235149,48917,'Cannot be modified except by direct means',100,2,4),
(235150,48917,'Grants a total of 200 triggers of the spell.',100,2,5),
(235151,10048917,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(235152,10048917,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(235153,10048917,'Inflicts 88 poison damage on target',100,2,2),
(235154,10048917,'Inflicts 26 poison damage on target instantly and every 6 seconds',100,2,3),
(235155,10048917,'Cannot be modified except by direct means',100,2,4),
(235156,10048917,'Grants a total of 200 triggers of the spell.',100,2,5),
(235157,103600,'Increases Mitigation of caster vs physical damage by 631',100,1,0),
(235158,10103600,'Increases Mitigation of caster vs physical damage by 631',100,1,0),
(235159,117093,'Mesmerizes target encounter',100,1,0),
(235160,117093,'Prevents AOE (except when direct) ',100,1,1),
(235161,117093,'Dispelled when target takes damage',100,1,2),
(235162,117093,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(235163,117093,'Resistibility increases against targets higher than level 68.',100,1,4),
(235164,10117093,'Mesmerizes target encounter',100,1,0),
(235165,10117093,'Prevents AOE (except when direct) ',100,1,1),
(235166,10117093,'Dispelled when target takes damage',100,1,2),
(235167,10117093,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(235168,10117093,'Resistibility increases against targets higher than level 68.',100,1,4),
(235169,71662,'When Equipped:',100,0,0),
(235170,71662,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(235171,71662,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(235172,71662,'Cannot be modified except by direct means',100,2,3),
(235173,10071662,'When Equipped:',100,0,0),
(235174,10071662,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(235175,10071662,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(235176,10071662,'Cannot be modified except by direct means',100,2,3),
(235177,113851,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(235178,113851,'Increases power of caster by 108',100,2,1),
(235179,113851,'Grants a total of 3 triggers of the spell.',100,2,2),
(235180,10113851,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(235181,10113851,'Increases power of caster by 108',100,2,1),
(235182,10113851,'Grants a total of 3 triggers of the spell.',100,2,2),
(235183,106456,'Increases Multi Attack Chance of raid and group members (AE) by 10.7',100,1,0),
(235184,10106456,'Increases Multi Attack Chance of raid and group members (AE) by 10.7',100,1,0),
(235185,159933,'When Equipped:',100,0,0),
(235186,159933,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(235187,159933,'Increases STA of caster by 3.6',100,2,2),
(235188,159933,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(235189,159933,'Cannot be modified except by direct means',100,2,4),
(235190,10159933,'When Equipped:',100,0,0),
(235191,10159933,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(235192,10159933,'Increases STA of caster by 3.6',100,2,2),
(235193,10159933,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(235194,10159933,'Cannot be modified except by direct means',100,2,4),
(235195,118794,'Wards group members (AE) against 42 points of physical damage',100,1,0),
(235196,118794,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,1),
(235197,10118794,'Wards group members (AE) against 42 points of physical damage',100,1,0),
(235198,10118794,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,1),
(235199,75030,'Applies Mental Blast when Activated.',100,0,0),
(235200,75030,'Inflicts 125 - 208 mental damage on target',100,1,1),
(235201,75030,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(235202,10075030,'Applies Mental Blast when Activated.',100,0,0),
(235203,10075030,'Inflicts 150 - 249 mental damage on target',100,1,1),
(235204,10075030,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(235205,104530,'Increases Threat to target by 443 - 541  instantly and by 92 - 112  every 2 seconds thereafter',100,1,0),
(235206,10104530,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(235207,80630,'When Equipped:',100,0,0),
(235208,80630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235209,80630,'Inflicts 48 - 89 magic damage on target',100,2,2),
(235210,80630,'Cannot be modified except by direct means',100,2,3),
(235211,10080630,'When Equipped:',100,0,0),
(235212,10080630,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235213,10080630,'Inflicts 57 - 106 magic damage on target',100,2,2),
(235214,10080630,'Cannot be modified except by direct means',100,2,3),
(235215,159352,'Applies Lambent Imbued when Equipped.',100,0,0),
(235216,159352,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(235217,159352,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(235218,159352,'Cannot be modified except by direct means',100,2,3),
(235219,10159352,'Applies Lambent Imbued when Equipped.',100,0,0),
(235220,10159352,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(235221,10159352,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(235222,10159352,'Cannot be modified except by direct means',100,2,3),
(235223,107347,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(235224,107347,'Increases Threat to target by 240 ',100,2,1),
(235225,10107347,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(235226,10107347,'Inflicts 43 - 47 crushing damage on target',100,2,1),
(235227,159240,'Applies Sanguine Imbued when Equipped.',100,0,0),
(235228,159240,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(235229,159240,'Inflicts 131 heat damage on target',100,2,2),
(235230,159240,'Cannot be modified except by direct means',100,2,3),
(235231,10159240,'Applies Sanguine Imbued when Equipped.',100,0,0),
(235232,10159240,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(235233,10159240,'Inflicts 158 heat damage on target',100,2,2),
(235234,10159240,'Cannot be modified except by direct means',100,2,3),
(235235,104633,'Inflicts 95 - 159 crushing damage on target',100,1,0),
(235236,104633,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 14.9',100,1,1),
(235237,10104633,'Inflicts 114 - 191 crushing damage on target',100,1,0),
(235238,10104633,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 14.9',100,1,1),
(235239,75217,'Applies Swirling Infusion when Activated.  Lasts for 30.0 seconds.',100,0,0),
(235240,75217,'Heals target for 1015',100,1,1),
(235241,75217,'Heals target for 444 every 3 seconds',100,1,2),
(235242,75217,'Reduces reuse time of spells and combat arts by 10%.',100,1,3),
(235243,75217,'Must have Cyclone, Harbinger of the Tempest equipped.',100,1,4),
(235244,75217,'The casting time of Swirling Infusion is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(235245,10075217,'Applies Swirling Infusion when Activated.  Lasts for 30.0 seconds.',100,0,0),
(235246,10075217,'Heals target for 660',100,1,1),
(235247,10075217,'Heals target for 289 every 3 seconds',100,1,2),
(235248,10075217,'Reduces reuse time of spells and combat arts by 10%.',100,1,3),
(235249,10075217,'Must have Cyclone, Harbinger of the Tempest equipped.',100,1,4),
(235250,10075217,'The casting time of Swirling Infusion is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(235251,108757,'Summons a pet fiery magician',100,1,0),
(235252,10108757,'Summons a pet fiery magician',100,1,0),
(235253,105861,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(235254,105861,'Increases Damage Per Second of caster by 75.5',100,1,1),
(235255,105861,'Increases Piercing, Slashing and Crushing of caster by 39.9',100,1,2),
(235256,10105861,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(235257,10105861,'Increases Damage Per Second of caster by 75.5',100,1,1),
(235258,10105861,'Increases Piercing, Slashing and Crushing of caster by 39.9',100,1,2),
(235259,109287,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(235260,109287,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(235261,10109287,'Increases Max Power of group members (AE) by 231.0',100,1,0),
(235262,10109287,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(235263,159600,'When Equipped:',100,0,0),
(235264,159600,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(235265,159600,'Increases WIS of caster by 8.3',100,2,2),
(235266,159600,'Increases Focus, Ordination and Ministration of caster by 5.3',100,2,3),
(235267,159600,'Cannot be modified except by direct means',100,2,4),
(235268,10159600,'When Equipped:',100,0,0),
(235269,10159600,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(235270,10159600,'Increases WIS of caster by 8.3',100,2,2),
(235271,10159600,'Increases Focus, Ordination and Ministration of caster by 5.3',100,2,3),
(235272,10159600,'Cannot be modified except by direct means',100,2,4),
(235273,35483,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(235274,46777,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(235275,46777,'Increases Attack Speed of caster by 16.9',100,1,1),
(235276,10046777,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(235277,10046777,'Increases Attack Speed of caster by 16.9',100,1,1),
(235278,83948,'When Equipped:',100,0,0),
(235279,83948,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235280,83948,'Inflicts 185 - 227 magic damage on target',100,2,2),
(235281,83948,'Cannot be modified except by direct means',100,2,3),
(235282,10083948,'When Equipped:',100,0,0),
(235283,10083948,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235284,10083948,'Inflicts 222 - 272 magic damage on target',100,2,2),
(235285,10083948,'Cannot be modified except by direct means',100,2,3),
(235286,51309,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(235287,51309,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(235288,51309,'Inflicts 41 heat damage on target',100,2,2),
(235289,51309,'Cannot be modified except by direct means',100,2,3),
(235290,10051309,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(235291,10051309,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(235292,10051309,'Inflicts 49 heat damage on target',100,2,2),
(235293,10051309,'Cannot be modified except by direct means',100,2,3),
(235294,118851,'Inflicts 119 - 359 melee damage on target',100,1,0),
(235295,10118851,'Inflicts 143 - 431 melee damage on target',100,1,0),
(235296,148435,'When Equipped:',100,0,0),
(235297,148435,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(235298,148435,'Inflicts 2433 - 2689 mental damage on target',100,2,2),
(235299,148435,'Decreases Threat to target by 4,662 - 5,153 ',100,2,3),
(235300,148435,'Must not be engaged in pvp combat',100,2,4),
(235301,148435,'Cannot be modified except by direct means',100,2,5),
(235302,148435,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(235303,148435,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(235304,148435,'Inflicts 2433 - 2689 mental damage on target',100,2,8),
(235305,148435,'Decreases Threat to target by 4,662 - 5,153 ',100,2,9),
(235306,148435,'Must not be engaged in pvp combat',100,2,10),
(235307,148435,'Cannot be modified except by direct means',100,2,11),
(235308,148435,'Cannot be modified except by direct means',100,1,12),
(235309,10148435,'When Equipped:',100,0,0),
(235310,10148435,'On a critical spell hit this spell may cast Discombobulate III on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(235311,10148435,'Inflicts 2920 - 3227 mental damage on target',100,2,2),
(235312,10148435,'Must not be engaged in pvp combat',100,2,3),
(235313,10148435,'Cannot be modified except by direct means',100,2,4),
(235314,10148435,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(235315,10148435,'On a critical combat hit this spell may cast Discombobulate III on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(235316,10148435,'Inflicts 2920 - 3227 mental damage on target',100,2,7),
(235317,10148435,'Must not be engaged in pvp combat',100,2,8),
(235318,10148435,'Cannot be modified except by direct means',100,2,9),
(235319,10148435,'Cannot be modified except by direct means',100,1,10),
(235320,120246,'Inflicts 164 - 274 crushing damage on target',100,1,0),
(235321,10120246,'Inflicts 197 - 329 crushing damage on target',100,1,0),
(235322,53805,'When Equipped:',100,0,0),
(235323,53805,'On a healing spell cast this spell may cast Silent Redemption on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(235324,53805,'Increases the caster''s effectiveness of worn armor vs arcane damage by 10%',100,2,2),
(235325,53805,'Heals caster for 604 - 738',100,2,3),
(235326,53805,'Heals caster for 118 - 144 every 2 seconds',100,2,4),
(235327,53805,'Must not be engaged in pvp combat',100,2,5),
(235328,53805,'Cannot be modified except by direct means',100,2,6),
(235329,53805,'Cannot be modified except by direct means',100,1,7),
(235330,10053805,'When Equipped:',100,0,0),
(235331,10053805,'On a healing spell cast this spell may cast Silent Redemption on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(235332,10053805,'Increases the caster''s effectiveness of worn armor vs arcane damage by 10%',100,2,2),
(235333,10053805,'Heals caster for 706 - 863',100,2,3),
(235334,10053805,'Heals caster for 138 - 169 every 2 seconds',100,2,4),
(235335,10053805,'Must not be engaged in pvp combat',100,2,5),
(235336,10053805,'Cannot be modified except by direct means',100,2,6),
(235337,10053805,'Cannot be modified except by direct means',100,1,7),
(235338,35622,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(235339,82538,'When Equipped:',100,0,0),
(235340,82538,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235341,82538,'Inflicts 67 - 124 magic damage on target',100,2,2),
(235342,82538,'Cannot be modified except by direct means',100,2,3),
(235343,10082538,'When Equipped:',100,0,0),
(235344,10082538,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235345,10082538,'Inflicts 80 - 149 magic damage on target',100,2,2),
(235346,10082538,'Cannot be modified except by direct means',100,2,3),
(235347,108284,'Summons a limited pet to aid the caster',100,1,0),
(235348,10108284,'Summons a limited pet to aid the caster',100,1,0),
(235349,110232,'Inflicts 46 - 78 melee damage on target',100,1,0),
(235350,110232,'Slows target by 41.3%',100,1,1),
(235351,110232,'5% chance to dispel when target receives hostile action',100,1,2),
(235352,110232,'5% chance to dispel when target takes damage',100,1,3),
(235353,10110232,'Inflicts 56 - 93 melee damage on target',100,1,0),
(235354,10110232,'Slows target by 41.3%',100,1,1),
(235355,10110232,'5% chance to dispel when target receives hostile action',100,1,2),
(235356,10110232,'5% chance to dispel when target takes damage',100,1,3),
(235357,112444,'Mesmerizes target',100,1,0),
(235358,112444,'Prevents AOE (except when direct) ',100,1,1),
(235359,112444,'Dispelled when target takes damage',100,1,2),
(235360,112444,'Does not affect Epic targets',100,1,3),
(235361,112444,'Resistibility increases against targets higher than level 81.',100,1,4),
(235362,10112444,'Mesmerizes target',100,1,0),
(235363,10112444,'Prevents AOE (except when direct) ',100,1,1),
(235364,10112444,'Dispelled when target takes damage',100,1,2),
(235365,10112444,'Does not affect Epic targets',100,1,3),
(235366,10112444,'Resistibility increases against targets higher than level 81.',100,1,4),
(235367,48676,'Applies Bulwark of the Storm  when Activated.  Lasts for 30 minutes.',100,0,0),
(235368,10048676,'Applies Bulwark of the Storm  when Activated.  Lasts for 30 minutes.',100,0,0),
(235369,185922,'When Equipped:',100,0,0),
(235370,185922,'Allows caster to breathe under water',100,1,1),
(235371,10185922,'When Equipped:',100,0,0),
(235372,10185922,'Allows caster to breathe under water',100,1,1),
(235373,37087,'Increases Max Power of target by 3.3',100,0,0),
(235374,37087,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(235375,103097,'Inflicts 57 - 86 magic damage on target',100,1,0),
(235376,103097,'Inflicts 13 - 19 magic damage on target every 4 seconds',100,1,1),
(235377,10103097,'Inflicts 69 - 103 magic damage on target',100,1,0),
(235378,10103097,'Inflicts 15 - 23 magic damage on target every 4 seconds',100,1,1),
(235379,118520,'Inflicts 101 - 169 melee damage on target',100,1,0),
(235380,118520,'Decreases STR of target by 20.0',100,1,1),
(235381,118520,'You must be sneaking to use this ability.',100,1,2),
(235382,10118520,'Inflicts 122 - 203 melee damage on target',100,1,0),
(235383,10118520,'Decreases STR of target by 20.0',100,1,1),
(235384,10118520,'You must be sneaking to use this ability.',100,1,2),
(235385,150904,'When Equipped:',100,0,0),
(235386,150904,'Increases poison trigger chance by 4.0%',100,1,1),
(235387,10150904,'When Equipped:',100,0,0),
(235388,10150904,'Increases poison trigger chance by 4.0%',100,1,1),
(235389,159668,'When Equipped:',100,0,0),
(235390,159668,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(235391,159668,'Increases STA of caster by 8.8',100,2,2),
(235392,159668,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(235393,159668,'Cannot be modified except by direct means',100,2,4),
(235394,10159668,'When Equipped:',100,0,0),
(235395,10159668,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(235396,10159668,'Increases STA of caster by 8.8',100,2,2),
(235397,10159668,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(235398,10159668,'Cannot be modified except by direct means',100,2,4),
(235399,76504,'When Equipped:',100,0,0),
(235400,76504,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235401,76504,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(235402,76504,'Inflicts 599 crushing damage on caster',100,3,3),
(235403,76504,'Cannot be modified except by direct means',100,3,4),
(235404,76504,'Cannot be modified except by direct means',100,2,5),
(235405,76504,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(235406,76504,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(235407,76504,'Inflicts 599 crushing damage on caster',100,3,8),
(235408,76504,'Cannot be modified except by direct means',100,3,9),
(235409,76504,'Cannot be modified except by direct means',100,2,10),
(235410,10076504,'When Equipped:',100,0,0),
(235411,10076504,'On a critical spell hit this spell may cast Gladiator''s Judgement on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235412,10076504,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,2),
(235413,10076504,'Inflicts 639 crushing damage on caster',100,3,3),
(235414,10076504,'Cannot be modified except by direct means',100,3,4),
(235415,10076504,'Cannot be modified except by direct means',100,2,5),
(235416,10076504,'On a critical combat hit this spell may cast Gladiator''s Judgement on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(235417,10076504,'When any damage is received this spell has a 4% chance to cast Judgement''s Gavel on target.  ',100,2,7),
(235418,10076504,'Inflicts 639 crushing damage on caster',100,3,8),
(235419,10076504,'Cannot be modified except by direct means',100,3,9),
(235420,10076504,'Cannot be modified except by direct means',100,2,10),
(235421,35159,'Increases STR of target by 1.5',100,0,0),
(235422,35159,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(235423,103688,'Interrupts target',100,1,0),
(235424,103688,'Inflicts 420 - 700 melee damage on target',100,1,1),
(235425,103688,'Must be flanking or behind',100,1,2),
(235426,10103688,'Interrupts target',100,1,0),
(235427,10103688,'Inflicts 504 - 840 melee damage on target',100,1,1),
(235428,10103688,'Must be flanking or behind',100,1,2),
(235429,48787,'Applies Evital''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(235430,48787,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(235431,10048787,'Applies Evital''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(235432,10048787,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(235433,164706,'When Equipped:',100,0,0),
(235434,164706,'Increases Ability Modifier of caster by 30.0',100,1,1),
(235435,164706,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(235436,164706,'Increases Damage Per Second of caster by 15.0',100,2,3),
(235437,164706,'Cannot be modified except by direct means',100,2,4),
(235438,10164706,'When Equipped:',100,0,0),
(235439,10164706,'Increases Ability Modifier of caster by 30.0',100,1,1),
(235440,10164706,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(235441,10164706,'Increases Damage Per Second of caster by 15.0',100,2,3),
(235442,10164706,'Cannot be modified except by direct means',100,2,4),
(235443,103630,'Increases STR of raid and group members (AE) by 32.0',100,1,0),
(235444,103630,'Improves the base amount of taunts by 16%.',100,1,1),
(235445,103630,'Improves the base amount of combat arts by 5%.',100,1,2),
(235446,103630,'Increases AGI of raid and group members (AE) by 32.0',100,1,3),
(235447,103630,'Adds 1.6% to base avoidance.',100,1,4),
(235448,10103630,'Increases STR of raid and group members (AE) by 32.0',100,1,0),
(235449,10103630,'Improves the base amount of taunts by 16%.',100,1,1),
(235450,10103630,'Improves the base amount of combat arts by 5%.',100,1,2),
(235451,10103630,'Increases AGI of raid and group members (AE) by 32.0',100,1,3),
(235452,10103630,'Adds 1.6% to base avoidance.',100,1,4),
(235453,119107,'Inflicts 185 - 555 melee damage on targets in area',100,1,0),
(235454,119107,'Inflicts 185 - 555 melee damage on targets in area',100,1,1),
(235455,119107,'Inflicts 185 - 555 melee damage on targets in area',100,1,2),
(235456,119107,'Inflicts 185 - 555 melee damage on targets in area',100,1,3),
(235457,10119107,'Inflicts 222 - 666 melee damage on targets in area',100,1,0),
(235458,10119107,'Inflicts 222 - 666 melee damage on targets in area',100,1,1),
(235459,10119107,'Inflicts 222 - 666 melee damage on targets in area',100,1,2),
(235460,10119107,'Inflicts 222 - 666 melee damage on targets in area',100,1,3),
(235461,100111,'Decreases STR, AGI, WIS and INT of target by 27.5',100,1,0),
(235462,100111,'Decreases Max Health of target by 0.7%',100,1,1),
(235463,10100111,'Decreases STR, AGI, WIS and INT of target by 27.5',100,1,0),
(235464,10100111,'Decreases Max Health of target by 0.7%',100,1,1),
(235465,111281,'Inflicts 77 - 129 divine damage on target',100,1,0),
(235466,111281,'Inflicts 31 - 52 divine damage on target every 4 seconds',100,1,1),
(235467,10111281,'Inflicts 93 - 155 divine damage on target',100,1,0),
(235468,10111281,'Inflicts 37 - 62 divine damage on target every 4 seconds',100,1,1),
(235469,159115,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(235470,159115,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(235471,159115,'Inflicts 26 heat damage on target',100,2,2),
(235472,159115,'Cannot be modified except by direct means',100,2,3),
(235473,10159115,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(235474,10159115,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(235475,10159115,'Inflicts 31 heat damage on target',100,2,2),
(235476,10159115,'Cannot be modified except by direct means',100,2,3),
(235477,119324,'Roots target',100,1,0),
(235478,119324,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(235479,119324,'Slows target by 62.4%',100,2,2),
(235480,119324,'5% chance to dispel when target receives hostile action',100,2,3),
(235481,119324,'5% chance to dispel when target takes damage',100,2,4),
(235482,119324,'15% chance to dispel when target takes damage',100,1,5),
(235483,119324,'Does not affect Epic targets',100,1,6),
(235484,119324,'Resistibility increases against targets higher than level 102.',100,1,7),
(235485,10119324,'Roots target',100,1,0),
(235486,10119324,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(235487,10119324,'Slows target by 62.4%',100,2,2),
(235488,10119324,'5% chance to dispel when target receives hostile action',100,2,3),
(235489,10119324,'5% chance to dispel when target takes damage',100,2,4),
(235490,10119324,'15% chance to dispel when target takes damage',100,1,5),
(235491,10119324,'Does not affect Epic targets',100,1,6),
(235492,10119324,'Resistibility increases against targets higher than level 102.',100,1,7),
(235493,80934,'When Equipped:',100,0,0),
(235494,80934,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235495,80934,'Inflicts 166 - 308 magic damage on target',100,2,2),
(235496,80934,'Cannot be modified except by direct means',100,2,3),
(235497,10080934,'When Equipped:',100,0,0),
(235498,10080934,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235499,10080934,'Inflicts 199 - 369 magic damage on target',100,2,2),
(235500,10080934,'Cannot be modified except by direct means',100,2,3),
(235501,101919,'Inflicts 25 piercing damage on target instantly and every 4 seconds',100,1,0),
(235502,101919,'Inflicts 74 - 124 melee damage on target',100,1,1),
(235503,101919,'Must be behind',100,1,2),
(235504,10101919,'Inflicts 30 piercing damage on target instantly and every 4 seconds',100,1,0),
(235505,10101919,'Inflicts 89 - 148 melee damage on target',100,1,1),
(235506,10101919,'Must be behind',100,1,2),
(235507,189059,'When Equipped:',100,0,0),
(235508,189059,'Increases Attack Speed of caster by 45.0',100,1,1),
(235509,10189059,'When Equipped:',100,0,0),
(235510,10189059,'Increases Attack Speed of caster by 45.0',100,1,1),
(235511,117722,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(235512,117722,'Adds 1.5% to base avoidance.',100,1,1),
(235513,10117722,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(235514,10117722,'Adds 1.5% to base avoidance.',100,1,1),
(235515,48190,'Applies Spirit Totem of the Chokidai when Activated.  Lasts for 30 minutes.',100,0,0),
(235516,48190,'Shapechanges caster into a chokidai',100,1,1),
(235517,48190,'Increases speed of caster by 45.0%',100,1,2),
(235518,48190,'This effect suspends during combat',100,1,3),
(235519,48190,'Only affects targets level 65 and above',100,1,4),
(235520,10048190,'Applies Spirit Totem of the Chokidai when Activated.  Lasts for 30 minutes.',100,0,0),
(235521,10048190,'Shapechanges caster into a chokidai',100,1,1),
(235522,10048190,'Increases speed of caster by 45.0%',100,1,2),
(235523,10048190,'This effect suspends during combat',100,1,3),
(235524,10048190,'Only affects targets level 65 and above',100,1,4),
(235525,152827,'When Equipped:',100,0,0),
(235526,152827,'Increases Attack Speed of caster by 45.0',100,1,1),
(235527,10152827,'When Equipped:',100,0,0),
(235528,10152827,'Increases Attack Speed of caster by 45.0',100,1,1),
(235529,37414,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(235530,106346,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(235531,106346,'Slows target by 34.6%',100,2,1),
(235532,106346,'5% chance to dispel when target receives hostile action',100,2,2),
(235533,106346,'5% chance to dispel when target takes damage',100,2,3),
(235534,106346,'Decreases Mitigation of target vs arcane damage by 460',100,1,4),
(235535,10106346,'Decreases Mitigation of target vs arcane damage by 460',100,1,0),
(235536,10106346,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(235537,10106346,'Slows target by 34.6%',100,2,2),
(235538,10106346,'5% chance to dispel when target receives hostile action',100,2,3),
(235539,10106346,'5% chance to dispel when target takes damage',100,2,4),
(235540,102635,'Inflicts 27 - 45 melee damage on target',100,1,0),
(235541,102635,'Inflicts 12 heat damage on target every 6 seconds',100,1,1),
(235542,10102635,'Inflicts 32 - 54 melee damage on target',100,1,0),
(235543,10102635,'Inflicts 14 heat damage on target every 6 seconds',100,1,1),
(235544,107958,'Increases In-Combat Power Regeneration of group members (AE) by 12.5',100,1,0),
(235545,10107958,'Increases In-Combat Power Regeneration of group members (AE) by 12.5',100,1,0),
(235546,80859,'When Equipped:',100,0,0),
(235547,80859,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235548,80859,'Inflicts 190 - 352 magic damage on target',100,2,2),
(235549,80859,'Cannot be modified except by direct means',100,2,3),
(235550,10080859,'When Equipped:',100,0,0),
(235551,10080859,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235552,10080859,'Inflicts 228 - 423 magic damage on target',100,2,2),
(235553,10080859,'Cannot be modified except by direct means',100,2,3),
(235554,79026,'Applies Frost Blast when Activated.',100,0,0),
(235555,79026,'Inflicts 119 - 199 cold damage on target',100,1,1),
(235556,79026,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(235557,10079026,'Applies Frost Blast when Activated.',100,0,0),
(235558,10079026,'Inflicts 143 - 239 cold damage on target',100,1,1),
(235559,10079026,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(235560,122098,'Increases STA and INT of group members (AE) by 50.7',100,1,0),
(235561,10122098,'Increases STA and INT of group members (AE) by 50.7',100,1,0),
(235562,112487,'Decreases AGI and WIS of target by 70.3',100,1,0),
(235563,10112487,'Decreases AGI and WIS of target by 70.3',100,1,0),
(235564,115379,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(235565,115379,'Increases Parry of caster by 8.6',100,1,1),
(235566,10115379,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(235567,10115379,'Increases Parry of caster by 8.6',100,1,1),
(235568,36998,'Increases Max Power of target by 3.3',100,0,0),
(235569,36998,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(235570,101083,'Roots target',100,1,0),
(235571,101083,'10% chance to dispel when target receives hostile action',100,1,1),
(235572,101083,'10% chance to dispel when target takes damage',100,1,2),
(235573,101083,'Does not affect Epic targets',100,1,3),
(235574,101083,'Resistibility increases against targets higher than level 34.',100,1,4),
(235575,10101083,'Roots target',100,1,0),
(235576,10101083,'10% chance to dispel when target receives hostile action',100,1,1),
(235577,10101083,'10% chance to dispel when target takes damage',100,1,2),
(235578,10101083,'Does not affect Epic targets',100,1,3),
(235579,10101083,'Resistibility increases against targets higher than level 34.',100,1,4),
(235580,103788,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.1',100,1,0),
(235581,10103788,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.1',100,1,0),
(235582,122093,'Increases STA and INT of group members (AE) by 40.1',100,1,0),
(235583,10122093,'Increases STA and INT of group members (AE) by 40.1',100,1,0),
(235584,158524,'When Equipped:',100,0,0),
(235585,158524,'On a healing spell cast this spell may cast Star Darkened Armoring on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(235586,158524,'Increases the target''s effectiveness of worn armor vs physical damage by 10%',100,2,2),
(235587,158524,'Cannot be modified except by direct means',100,2,3),
(235588,10158524,'When Equipped:',100,0,0),
(235589,10158524,'On a healing spell cast this spell may cast Star Darkened Armoring on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(235590,10158524,'Increases the target''s effectiveness of worn armor vs physical damage by 10%',100,2,2),
(235591,10158524,'Cannot be modified except by direct means',100,2,3),
(235592,114334,'Dispels 38 levels of noxious hostile effects on target',100,1,0),
(235593,114334,'Heals target for 14.4 - 17.6% of max health',100,1,1),
(235594,114334,'This effect cannot be critically applied.',100,2,2),
(235595,114334,'The healing of this spell cannot be modified except by direct means',100,1,3),
(235596,10114334,'Dispels 38 levels of noxious hostile effects on target',100,1,0),
(235597,10114334,'Heals target for 5.8 - 7.0% of max health',100,1,1),
(235598,10114334,'This effect cannot be critically applied.',100,2,2),
(235599,10114334,'The healing of this spell cannot be modified except by direct means',100,1,3),
(235600,120093,'Prevents any effect that causes the caster''s auto-attack to strike multiple targets.',100,1,0),
(235601,10120093,'Prevents any effect that causes the caster''s auto-attack to strike multiple targets.',100,1,0),
(235602,81096,'When Equipped:',100,0,0),
(235603,81096,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235604,81096,'Inflicts 147 - 273 magic damage on target',100,2,2),
(235605,81096,'Cannot be modified except by direct means',100,2,3),
(235606,10081096,'When Equipped:',100,0,0),
(235607,10081096,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235608,10081096,'Inflicts 176 - 327 magic damage on target',100,2,2),
(235609,10081096,'Cannot be modified except by direct means',100,2,3),
(235610,117599,'Inflicts 16 - 27 ranged damage on target',100,1,0),
(235611,117599,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(235612,117599,'Slows target by 36.5%',100,2,2),
(235613,117599,'5% chance to dispel when target receives hostile action',100,2,3),
(235614,117599,'5% chance to dispel when target takes damage',100,2,4),
(235615,117599,'Must be flanking or behind',100,1,5),
(235616,117599,'Requires bow',100,1,6),
(235617,10117599,'Inflicts 14 - 23 ranged damage on target',100,1,0),
(235618,10117599,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(235619,10117599,'Slows target by 36.5%',100,2,2),
(235620,10117599,'5% chance to dispel when target receives hostile action',100,2,3),
(235621,10117599,'5% chance to dispel when target takes damage',100,2,4),
(235622,10117599,'Must be flanking or behind',100,1,5),
(235623,10117599,'Requires bow',100,1,6),
(235624,108798,'Inflicts 113 - 210 heat damage on targets in Area of Effect',100,1,0),
(235625,10108798,'Inflicts 135 - 252 heat damage on targets in Area of Effect',100,1,0),
(235626,183487,'When Equipped:',100,0,0),
(235627,183487,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235628,183487,'Inflicts 1192 cold damage on target encounter',100,2,2),
(235629,183487,'Cannot be modified except by direct means',100,2,3),
(235630,10183487,'When Equipped:',100,0,0),
(235631,10183487,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235632,10183487,'Inflicts 715 cold damage on target encounter',100,2,2),
(235633,10183487,'Cannot be modified except by direct means',100,2,3),
(235634,184954,'When Equipped:',100,0,0),
(235635,184954,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235636,184954,'Inflicts 513 - 628 heat damage on target',100,2,2),
(235637,184954,'Inflicts 513 - 628 heat damage on target',100,2,3),
(235638,184954,'Inflicts 513 - 628 heat damage on target',100,2,4),
(235639,184954,'Must not be engaged in pvp combat',100,2,5),
(235640,184954,'Cannot be modified except by direct means',100,2,6),
(235641,10184954,'When Equipped:',100,0,0),
(235642,10184954,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235643,10184954,'Inflicts 616 - 753 heat damage on target',100,2,2),
(235644,10184954,'Inflicts 616 - 753 heat damage on target',100,2,3),
(235645,10184954,'Inflicts 616 - 753 heat damage on target',100,2,4),
(235646,10184954,'Must not be engaged in pvp combat',100,2,5),
(235647,10184954,'Cannot be modified except by direct means',100,2,6),
(235648,74656,'When Equipped:',100,0,0),
(235649,74656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235650,74656,'Inflicts 42 - 64 magic damage on target',100,2,2),
(235651,74656,'Cannot be modified except by direct means',100,2,3),
(235652,10074656,'When Equipped:',100,0,0),
(235653,10074656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235654,10074656,'Inflicts 51 - 76 magic damage on target',100,2,2),
(235655,10074656,'Cannot be modified except by direct means',100,2,3),
(235656,87403,'When Equipped:',100,0,0),
(235657,87403,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235658,87403,'Inflicts 124 - 186 magic damage on target',100,2,2),
(235659,87403,'Cannot be modified except by direct means',100,2,3),
(235660,10087403,'When Equipped:',100,0,0),
(235661,10087403,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235662,10087403,'Inflicts 149 - 223 magic damage on target',100,2,2),
(235663,10087403,'Cannot be modified except by direct means',100,2,3),
(235664,107847,'Decreases Mitigation of target vs elemental damage by 349',100,1,0),
(235665,107847,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(235666,107847,'Slows target by 50.2%',100,2,2),
(235667,107847,'5% chance to dispel when target receives hostile action',100,2,3),
(235668,107847,'5% chance to dispel when target takes damage',100,2,4),
(235669,10107847,'Decreases Mitigation of target vs elemental damage by 349',100,1,0),
(235670,10107847,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(235671,10107847,'Slows target by 50.2%',100,2,2),
(235672,10107847,'5% chance to dispel when target receives hostile action',100,2,3),
(235673,10107847,'5% chance to dispel when target takes damage',100,2,4),
(235674,37135,'Increases Max Health of target by 3.9',100,0,0),
(235675,37135,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(235676,114186,'Inflicts 77 - 129 melee damage on target',100,1,0),
(235677,114186,'Decreases Slashing, Crushing and Piercing of target by 3.6',100,1,1),
(235678,10114186,'Inflicts 93 - 155 melee damage on target',100,1,0),
(235679,10114186,'Decreases Slashing, Crushing and Piercing of target by 3.6',100,1,1),
(235680,53571,'When Equipped:',100,0,0),
(235681,53571,'On a hostile spell hit this spell may cast Howl of Tishan on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235682,53571,'Decreases Mitigation of target vs noxious and arcane damage by 1200',100,2,2),
(235683,53571,'Cannot be modified except by direct means',100,2,3),
(235684,10053571,'When Equipped:',100,0,0),
(235685,10053571,'On a hostile spell hit this spell may cast Howl of Tishan on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235686,10053571,'Decreases Mitigation of target vs noxious and arcane damage by 1200',100,2,2),
(235687,10053571,'Cannot be modified except by direct means',100,2,3),
(235688,109424,'Inflicts 41 - 50 cold damage on target instantly and every 4 seconds',100,1,0),
(235689,109424,'Decreases Mitigation of target vs elemental damage by 253',100,1,1),
(235690,10109424,'Inflicts 49 - 60 cold damage on target instantly and every 4 seconds',100,1,0),
(235691,10109424,'Decreases Mitigation of target vs elemental damage by 253',100,1,1),
(235692,121176,'Grants stealth to caster',100,1,0),
(235693,121176,'Suspends caster''s movement speed enhancements',100,1,1),
(235694,121176,'Decreases Threat to target by 105 - 175 ',100,1,2),
(235695,10121176,'Grants stealth to caster',100,1,0),
(235696,10121176,'Suspends caster''s movement speed enhancements',100,1,1),
(235697,10121176,'Forces target to clear their selected target.',100,1,2),
(235698,104072,'Inflicts 85 - 142 mental damage on target',100,1,0),
(235699,104072,'Inflicts 85 - 142 mental damage on target',100,1,1),
(235700,10104072,'Inflicts 102 - 170 mental damage on target',100,1,0),
(235701,10104072,'Inflicts 102 - 170 mental damage on target',100,1,1),
(235702,75244,'When Equipped:',100,0,0),
(235703,75244,'On a combat hit this spell may cast Frigid Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235704,75244,'Inflicts 96 cold damage on target',100,2,2),
(235705,75244,'Cannot be modified except by direct means',100,2,3),
(235706,10075244,'When Equipped:',100,0,0),
(235707,10075244,'On a combat hit this spell may cast Frigid Winds on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235708,10075244,'Inflicts 116 cold damage on target',100,2,2),
(235709,10075244,'Cannot be modified except by direct means',100,2,3),
(235710,123108,'Inflicts 78 disease damage on targets in Area of Effect',100,1,0),
(235711,123108,'Inflicts 53 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(235712,10123108,'Inflicts 94 disease damage on targets in Area of Effect',100,1,0),
(235713,10123108,'Inflicts 64 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(235714,105451,'Inflicts 184 - 225 poison damage on target instantly and every 4 seconds',100,1,0),
(235715,105451,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(235716,105451,'Summons 3 limited pets to aid the caster',100,2,2),
(235717,105451,'Grants a total of 1 trigger of the spell.',100,2,3),
(235718,10105451,'Inflicts 220 - 269 poison damage on target instantly and every 4 seconds',100,1,0),
(235719,10105451,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(235720,10105451,'Summons 3 limited pets to aid the caster',100,2,2),
(235721,10105451,'Grants a total of 1 trigger of the spell.',100,2,3),
(235722,179167,'When Equipped:',100,0,0),
(235723,179167,'Increases base Spell damage of caster by 5%.',100,1,1),
(235724,10179167,'When Equipped:',100,0,0),
(235725,10179167,'Increases base Spell damage of caster by 5%.',100,1,1),
(235726,105030,'Increases WIS of raid and group members (AE) by 40.2',100,1,0),
(235727,105030,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(235728,105030,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 146',100,1,2),
(235729,10105030,'Increases WIS of raid and group members (AE) by 40.2',100,1,0),
(235730,10105030,'Increases heal amounts of raid members by 3.75%.',100,1,1),
(235731,10105030,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 146',100,1,2),
(235732,27303,'When Equipped:',100,0,0),
(235733,27303,'Increases Crit Chance of caster by 1.0',100,1,1),
(235734,10027303,'When Equipped:',100,0,0),
(235735,10027303,'Increases Crit Chance of caster by 1.0',100,1,1),
(235736,117901,'Increases In-Combat Health Regeneration of group members (AE) by 64.8',100,1,0),
(235737,117901,'Increases Max Health of group members (AE) by 352.8',100,1,1),
(235738,10117901,'Increases In-Combat Health Regeneration of group members (AE) by 64.8',100,1,0),
(235739,10117901,'Increases Max Health of group members (AE) by 352.8',100,1,1),
(235740,25214,'When Equipped:',100,0,0),
(235741,25214,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(235742,25214,'Inflicts 4 piercing damage on target',100,2,2),
(235743,25214,'Cannot be modified except by direct means',100,2,3),
(235744,10025214,'When Equipped:',100,0,0),
(235745,10025214,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(235746,10025214,'Inflicts 4 piercing damage on target',100,2,2),
(235747,10025214,'Cannot be modified except by direct means',100,2,3),
(235748,112719,'Inflicts 229 - 382 disease damage on target encounter',100,1,0),
(235749,10112719,'Inflicts 275 - 459 disease damage on target encounter',100,1,0),
(235750,52772,'Applies Sanguine Imbued when Equipped.',100,0,0),
(235751,52772,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(235752,52772,'Inflicts 131 heat damage on target',100,2,2),
(235753,52772,'Cannot be modified except by direct means',100,2,3),
(235754,10052772,'Applies Sanguine Imbued when Equipped.',100,0,0),
(235755,10052772,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(235756,10052772,'Inflicts 158 heat damage on target',100,2,2),
(235757,10052772,'Cannot be modified except by direct means',100,2,3),
(235758,82698,'When Equipped:',100,0,0),
(235759,82698,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235760,82698,'Inflicts 105 - 195 magic damage on target',100,2,2),
(235761,82698,'Cannot be modified except by direct means',100,2,3),
(235762,10082698,'When Equipped:',100,0,0),
(235763,10082698,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235764,10082698,'Inflicts 126 - 234 magic damage on target',100,2,2),
(235765,10082698,'Cannot be modified except by direct means',100,2,3),
(235766,122773,'Heals group members (AE) for 1282 - 1566',100,1,0),
(235767,122773,'Increases Max Health of group members (AE) by 233.8',100,1,1),
(235768,10122773,'Heals group members (AE) for 1499 - 1833',100,1,0),
(235769,10122773,'Increases Max Health of group members (AE) by 233.8',100,1,1),
(235770,122259,'Makes targets in Area of Effect afraid',100,1,0),
(235771,122259,'If Target is not Epic',100,2,1),
(235772,122259,'Decreases Threat to targets in Area of Effect by 308 ',100,1,2),
(235773,122259,'30% chance to dispel when target takes damage',100,1,3),
(235774,10122259,'Makes targets in Area of Effect afraid',100,1,0),
(235775,10122259,'If Target is not Epic',100,2,1),
(235776,10122259,'Applies Distract.',100,1,2),
(235777,10122259,'Forces target to clear their selected target.',100,2,3),
(235778,10122259,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(235779,10122259,'30% chance to dispel when target takes damage',100,1,5),
(235780,46907,'Applies Mended Heart when Activated.',100,0,0),
(235781,46907,'Heals caster for 10.0% of max health',100,1,1),
(235782,10046907,'Applies Mended Heart when Activated.',100,0,0),
(235783,10046907,'Heals caster for 6.5% of max health',100,1,1),
(235784,102332,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(235785,102332,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(235786,102332,'Decreases Threat to target encounter by 660 ',100,2,2),
(235787,102332,'Decreases threat priority of target encounter by 1 position',100,2,3),
(235788,102332,'Grants a total of 3 triggers of the spell.',100,2,4),
(235789,102332,'If profession other than Fighter',100,1,5),
(235790,10102332,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',100,1,0),
(235791,10102332,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(235792,10102332,'Target cannot target caster for the duration of this effect.',100,2,2),
(235793,10102332,'Forces target to clear their selected target.',100,2,3),
(235794,10102332,'Grants a total of 3 triggers of the spell.',100,2,4),
(235795,10102332,'If profession other than Fighter',100,1,5),
(235796,51076,'When Equipped:',100,0,0),
(235797,51076,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(235798,51076,'When Equipped:',100,0,2),
(235799,51076,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(235800,10051076,'When Equipped:',100,0,0),
(235801,10051076,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(235802,10051076,'When Equipped:',100,0,2),
(235803,10051076,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(235804,36622,'Increases Max Power of target by 3.3',100,0,0),
(235805,36622,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(235806,85499,'When Equipped:',100,0,0),
(235807,85499,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235808,85499,'Inflicts 144 - 240 magic damage on target',100,2,2),
(235809,85499,'Cannot be modified except by direct means',100,2,3),
(235810,10085499,'When Equipped:',100,0,0),
(235811,10085499,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235812,10085499,'Inflicts 173 - 288 magic damage on target',100,2,2),
(235813,10085499,'Cannot be modified except by direct means',100,2,3),
(235814,109831,'Inflicts 310 - 517 melee damage on target',100,1,0),
(235815,109831,'Decreases Parry of target by 41.3',100,1,1),
(235816,109831,'Must be in front of or flanking',100,1,2),
(235817,10109831,'Inflicts 372 - 620 melee damage on target',100,1,0),
(235818,10109831,'Decreases Parry of target by 41.3',100,1,1),
(235819,10109831,'Must be in front of or flanking',100,1,2),
(235820,41610,'When Equipped:',100,0,0),
(235821,41610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235822,41610,'Inflicts 28 - 51 magic damage on target',100,2,2),
(235823,41610,'Cannot be modified except by direct means',100,2,3),
(235824,10041610,'When Equipped:',100,0,0),
(235825,10041610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235826,10041610,'Inflicts 33 - 61 magic damage on target',100,2,2),
(235827,10041610,'Cannot be modified except by direct means',100,2,3),
(235828,35464,'Increases INT of target by 1.5',100,0,0),
(235829,35464,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(235830,151790,'When Equipped:',100,0,0),
(235831,151790,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235832,151790,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(235833,151790,'Cannot be modified except by direct means',100,2,3),
(235834,10151790,'When Equipped:',100,0,0),
(235835,10151790,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(235836,10151790,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(235837,10151790,'Cannot be modified except by direct means',100,2,3),
(235838,135630,'When Equipped:',100,0,0),
(235839,135630,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235840,135630,'Inflicts 2648 heat damage on target',100,2,2),
(235841,135630,'Cannot be modified except by direct means',100,2,3),
(235842,10135630,'When Equipped:',100,0,0),
(235843,10135630,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235844,10135630,'Inflicts 1589 heat damage on target',100,2,2),
(235845,10135630,'Cannot be modified except by direct means',100,2,3),
(235846,112145,'Dispels 122 levels of physical and arcane hostile effects on caster',100,1,0),
(235847,10112145,'Dispels 122 levels of physical and arcane hostile effects on caster',100,1,0),
(235848,106560,'Inflicts 785 - 959 melee damage on target',100,1,0),
(235849,106560,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(235850,106560,'Increases Hate Gain of target by 30.0%',100,2,2),
(235851,106560,'Grants a total of 1 trigger of the spell.',100,2,3),
(235852,10106560,'Inflicts 942 - 1151 melee damage on target',100,1,0),
(235853,10106560,'25% chance to apply Distract on termination.',100,1,1),
(235854,10106560,'Forces target to clear their selected target.',100,2,2),
(235855,100015,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(235856,100015,'Inflicts 55 - 93 melee damage on targets in area',100,2,1),
(235857,100015,'Decreases Defense of caster by 10.8',100,1,2),
(235858,100015,'Increases Slashing, Piercing and Crushing of caster by 15.4',100,1,3),
(235859,10100015,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(235860,10100015,'Inflicts 67 - 111 melee damage on targets in area',100,2,1),
(235861,10100015,'Decreases Defense of caster by 10.8',100,1,2),
(235862,10100015,'Increases Slashing, Piercing and Crushing of caster by 15.4',100,1,3),
(235863,111764,'Heals caster for 104 - 127',100,1,0),
(235864,111764,'This effect cannot be critically applied.',100,2,1),
(235865,111764,'The healing of this spell cannot be modified except by direct means',100,1,2),
(235866,10111764,'Heals caster for 52 - 63',100,1,0),
(235867,10111764,'This effect cannot be critically applied.',100,2,1),
(235868,10111764,'The healing of this spell cannot be modified except by direct means',100,1,2),
(235869,110521,'Increases Threat to target by 518  instantly and by 218  every 3 seconds thereafter',100,1,0),
(235870,110521,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(235871,110521,'Stuns target',100,2,2),
(235872,110521,'Blurs vision of target',100,2,3),
(235873,110521,'Throws target back',100,2,4),
(235874,110521,'Does not affect Epic targets',100,2,5),
(235875,110521,'Inflicts 89 - 149 disease damage on target',100,1,6),
(235876,10110521,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(235877,10110521,'Stuns target',100,2,1),
(235878,10110521,'Throws target back',100,2,2),
(235879,10110521,'Blurs vision of target',100,2,3),
(235880,10110521,'Does not affect Epic targets',100,2,4),
(235881,10110521,'Forces target to change their selected target to caster.',100,1,5),
(235882,10110521,'Inflicts 89 - 149 disease damage on target',100,1,6),
(235883,10110521,'Prevents target from changing targets',100,1,7),
(235884,25185,'When Equipped:',100,0,0),
(235885,25185,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235886,25185,'Decreases power of target by 16',100,2,2),
(235887,25185,'Increases power of caster by 16',100,2,3),
(235888,25185,'Cannot be modified except by direct means',100,2,4),
(235889,10025185,'When Equipped:',100,0,0),
(235890,10025185,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(235891,10025185,'Decreases power of target by 16',100,2,2),
(235892,10025185,'Increases power of caster by 16',100,2,3),
(235893,10025185,'Cannot be modified except by direct means',100,2,4),
(235894,174721,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(235895,174721,'Decreases Mitigation of target vs physical damage by 410',100,1,1),
(235896,174721,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(235897,10174721,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(235898,10174721,'Decreases Mitigation of target vs physical damage by 410',100,1,1),
(235899,10174721,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(235900,108526,'Increases AGI and WIS of group members (AE) by 56.4',100,1,0),
(235901,108526,'Adds 1.8% to base avoidance.',100,1,1),
(235902,108526,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 158',100,1,2),
(235903,10108526,'Increases AGI and WIS of group members (AE) by 56.4',100,1,0),
(235904,10108526,'Adds 1.8% to base avoidance.',100,1,1),
(235905,10108526,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 158',100,1,2),
(235906,114811,'Decreases WIS of target by 102.1',100,1,0),
(235907,114811,'Increases WIS and STA of caster by 102.1',100,1,1),
(235908,114811,'Decreases Max Health of target by 1.6%',100,1,2),
(235909,114811,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 328',100,1,3),
(235910,114811,'Only affects targets level 17 and above',100,1,4),
(235911,10114811,'Decreases WIS of target by 102.1',100,1,0),
(235912,10114811,'Increases WIS and STA of caster by 102.1',100,1,1),
(235913,10114811,'Decreases Max Health of target by 1.6%',100,1,2),
(235914,10114811,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 328',100,1,3),
(235915,10114811,'Only affects targets level 17 and above',100,1,4),
(235916,47622,'Applies Power Root when Activated.',100,0,0),
(235917,47622,'Increases power of caster by 20.0%',100,1,1),
(235918,10047622,'Applies Power Root when Activated.',100,0,0),
(235919,10047622,'Increases power of caster by 20.0%',100,1,1),
(235920,107905,'Mesmerizes target',100,1,0),
(235921,107905,'Prevents AOE (except when direct) ',100,1,1),
(235922,107905,'Dispelled when target takes damage',100,1,2),
(235923,107905,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(235924,107905,'Resistibility increases against targets higher than level 30.',100,1,4),
(235925,10107905,'Mesmerizes target',100,1,0),
(235926,10107905,'Prevents AOE (except when direct) ',100,1,1),
(235927,10107905,'Dispelled when target takes damage',100,1,2),
(235928,10107905,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(235929,10107905,'Resistibility increases against targets higher than level 30.',100,1,4),
(235930,49147,'Applies Second Life when Activated.',100,0,0),
(235931,49147,'This spell can imbue life to some magically altered living dead.',100,1,1),
(235932,10049147,'Applies Second Life when Activated.',100,0,0),
(235933,10049147,'This spell can imbue life to some magically altered living dead.',100,1,1),
(235934,105123,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(235935,105123,'Summon 1 Crystallized Soul (Master)',100,2,1),
(235936,10105123,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(235937,10105123,'Summon 1 Crystallized Soul (Master)',100,2,1),
(235938,74773,'When Equipped:',100,0,0),
(235939,74773,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235940,74773,'Inflicts 62 - 93 magic damage on target',100,2,2),
(235941,74773,'Cannot be modified except by direct means',100,2,3),
(235942,10074773,'When Equipped:',100,0,0),
(235943,10074773,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235944,10074773,'Inflicts 74 - 111 magic damage on target',100,2,2),
(235945,10074773,'Cannot be modified except by direct means',100,2,3),
(235946,46881,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(235947,46881,'Heals caster for 183',100,1,1),
(235948,46881,'Heals caster for 91 every 5 seconds',100,1,2),
(235949,10046881,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(235950,10046881,'Heals caster for 119',100,1,1),
(235951,10046881,'Heals caster for 59 every 5 seconds',100,1,2),
(235952,114709,'Grants target a 31% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(235953,114709,'Decreases Hate Gain of target by 22.4%',100,1,1),
(235954,10114709,'Grants target a 31% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(235955,147025,'When Equipped:',100,0,0),
(235956,147025,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(235957,147025,'Increases power of caster by 75',100,2,2),
(235958,147025,'Cannot be modified except by direct means',100,2,3),
(235959,10147025,'When Equipped:',100,0,0),
(235960,10147025,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(235961,10147025,'Increases power of caster by 75',100,2,2),
(235962,10147025,'Cannot be modified except by direct means',100,2,3),
(235963,120570,'Inflicts 6445 - 10742 ranged damage on target',100,1,0),
(235964,120570,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(235965,120570,'Stuns target',100,2,2),
(235966,120570,'Blurs vision of target',100,2,3),
(235967,120570,'Throws target back',100,2,4),
(235968,120570,'Does not affect Epic targets',100,2,5),
(235969,120570,'I need to be stealthed!',100,1,6),
(235970,120570,'Requires bow',100,1,7),
(235971,10120570,'Inflicts 3397 - 5662 melee damage on target',100,1,0),
(235972,10120570,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(235973,10120570,'Stuns target',100,2,2),
(235974,10120570,'Throws target back',100,2,3),
(235975,10120570,'Blurs vision of target',100,2,4),
(235976,10120570,'Does not affect Epic targets',100,2,5),
(235977,10120570,'I need to be stealthed!',100,1,6),
(235978,82154,'When Equipped:',100,0,0),
(235979,82154,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235980,82154,'Inflicts 122 - 226 magic damage on target',100,2,2),
(235981,82154,'Cannot be modified except by direct means',100,2,3),
(235982,10082154,'When Equipped:',100,0,0),
(235983,10082154,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(235984,10082154,'Inflicts 146 - 272 magic damage on target',100,2,2),
(235985,10082154,'Cannot be modified except by direct means',100,2,3),
(235986,171393,'When Equipped:',100,0,0),
(235987,171393,'On a critical healing spell cast this spell may cast Rehabilitate VII on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(235988,171393,'Heals target for 771 - 852',100,2,2),
(235989,171393,'Applies Rehabilitate VII on termination.  Lasts for 15.0 seconds.',100,2,3),
(235990,171393,'Wards target against 700 points of all damage',100,3,4),
(235991,171393,'Must not be engaged in pvp combat',100,3,5),
(235992,171393,'Cannot be modified except by direct means',100,3,6),
(235993,171393,'If under 50% Health',100,3,7),
(235994,171393,'Must not be engaged in pvp combat',100,2,8),
(235995,171393,'Cannot be modified except by direct means',100,2,9),
(235996,171393,'Must not be engaged in pvp combat',100,1,10),
(235997,10171393,'When Equipped:',100,0,0),
(235998,10171393,'On a critical healing spell cast this spell may cast Rehabilitate VII on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(235999,10171393,'Heals target for 501 - 554',100,2,2),
(236000,10171393,'Applies Rehabilitate VII on termination.  Lasts for 15.0 seconds.',100,2,3),
(236001,10171393,'Wards target against 700 points of all damage',100,3,4),
(236002,10171393,'Must not be engaged in pvp combat',100,3,5),
(236003,10171393,'Cannot be modified except by direct means',100,3,6),
(236004,10171393,'If under 50% Health',100,3,7),
(236005,10171393,'Must not be engaged in pvp combat',100,2,8),
(236006,10171393,'Cannot be modified except by direct means',100,2,9),
(236007,10171393,'Must not be engaged in pvp combat',100,1,10),
(236008,107745,'Stuns target',100,1,0),
(236009,107745,'If Target is not Epic',100,2,1),
(236010,107745,'Inflicts 168 - 280 cold damage on target',100,1,2),
(236011,107745,'Resistibility increases against targets higher than level 45.',100,1,3),
(236012,10107745,'Stuns target',100,1,0),
(236013,10107745,'If Target is not Epic',100,2,1),
(236014,10107745,'Inflicts 202 - 336 cold damage on target',100,1,2),
(236015,10107745,'Resistibility increases against targets higher than level 45.',100,1,3),
(236016,148984,'Applies Envy of Life when Activated.  Lasts for 30.0 seconds.',100,0,0),
(236017,148984,'Shapechanges caster into a skeleton',100,1,1),
(236018,148984,'On any combat or spell hit this spell may cast Lifedraw on target of attack.  Triggers about 10.0 times per minute. ',100,1,2),
(236019,148984,'Inflicts 208 magic damage on target',100,2,3),
(236020,148984,'Heals caster for 104',100,2,4),
(236021,148984,'Cannot be modified except by direct means',100,2,5),
(236022,148984,'The reuse time of Envy of Life is 20 minutes',100,1,6),
(236023,10148984,'Applies Envy of Life when Activated.  Lasts for 30.0 seconds.',100,0,0),
(236024,10148984,'Shapechanges caster into a skeleton',100,1,1),
(236025,10148984,'On any combat or spell hit this spell may cast Lifedraw on target of attack.  Triggers about 10.0 times per minute. ',100,1,2),
(236026,10148984,'Inflicts 250 magic damage on target',100,2,3),
(236027,10148984,'Heals caster for 68',100,2,4),
(236028,10148984,'Cannot be modified except by direct means',100,2,5),
(236029,10148984,'The reuse time of Envy of Life is 20 minutes',100,1,6),
(236030,120057,'Inflicts 33 - 56 mental damage on target',100,1,0),
(236031,120057,'Inflicts 33 - 56 mental damage on target',100,1,1),
(236032,120057,'Stifles target',100,1,2),
(236033,120057,'If Target is not Epic',100,2,3),
(236034,120057,'If weapon equipped in Ranged',100,1,4),
(236035,120057,'Resistibility increases against targets higher than level 45.',100,1,5),
(236036,10120057,'Inflicts 28 - 47 mental damage on target',100,1,0),
(236037,10120057,'Inflicts 28 - 47 mental damage on target',100,1,1),
(236038,10120057,'Stifles target',100,1,2),
(236039,10120057,'If Target is not Epic',100,2,3),
(236040,10120057,'If weapon equipped in Ranged',100,1,4),
(236041,10120057,'Resistibility increases against targets higher than level 45.',100,1,5),
(236042,120886,'Inflicts 253 - 310 mental damage on target',100,1,0),
(236043,120886,'Stifles target',100,1,1),
(236044,120886,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,2),
(236045,120886,'Resistibility increases against targets higher than level 59.',100,1,3),
(236046,10120886,'Inflicts 304 - 372 mental damage on target',100,1,0),
(236047,10120886,'Stifles target',100,1,1),
(236048,10120886,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(236049,10120886,'Resistibility increases against targets higher than level 59.',100,1,3),
(236050,102018,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(236051,102018,'Wards target against 308 points of all damage',100,2,1),
(236052,10102018,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(236053,10102018,'Wards target against 308 points of all damage',100,2,1),
(236054,75580,'Applies Disease Blast when Activated.',100,0,0),
(236055,75580,'Inflicts 218 - 364 disease damage on target',100,1,1),
(236056,75580,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236057,10075580,'Applies Disease Blast when Activated.',100,0,0),
(236058,10075580,'Inflicts 262 - 436 disease damage on target',100,1,1),
(236059,10075580,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236060,107159,'Inflicts 12 - 20 divine damage on target',100,1,0),
(236061,107159,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(236062,107159,'Stuns target',100,2,2),
(236063,107159,'If Target is not Epic',100,3,3),
(236064,107159,'Inflicts 29 - 48 divine damage on target',100,2,4),
(236065,107159,'Inflicts 25 - 41 divine damage on target',100,2,5),
(236066,107159,'If target is undead',100,3,6),
(236067,10107159,'Inflicts 9 - 16 divine damage on target',100,1,0),
(236068,10107159,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(236069,10107159,'Stuns target',100,2,2),
(236070,10107159,'Inflicts 52 - 87 divine damage on target',100,2,3),
(236071,10107159,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(236072,116431,'Inflicts 3 disease damage on target instantly and every 4 seconds',100,1,0),
(236073,116431,'Inflicts 3 disease damage on target instantly and every 4 seconds',100,1,1),
(236074,116431,'If target is nightblood',100,2,2),
(236075,116431,'Inflicts 3 disease damage on target instantly and every 4 seconds',100,1,3),
(236076,116431,'If target is shadowed folk',100,2,4),
(236077,10116431,'Inflicts 4 disease damage on target instantly and every 4 seconds',100,1,0),
(236078,123413,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(236079,123413,'Heals caster for 68.7% of max health',100,2,1),
(236080,123413,'This effect cannot be critically applied.',100,3,2),
(236081,123413,'Applies Exploding Heart on termination.',100,2,3),
(236082,123413,'The healing of this spell cannot be modified except by direct means',100,2,4),
(236083,123413,'Grants a total of 1 trigger of the spell.',100,2,5),
(236084,10123413,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(236085,10123413,'Heals caster for 34.4% of max health',100,2,1),
(236086,10123413,'This effect cannot be critically applied.',100,3,2),
(236087,10123413,'Applies Exploding Heart on termination.',100,2,3),
(236088,10123413,'The healing of this spell cannot be modified except by direct means',100,2,4),
(236089,10123413,'Grants a total of 1 trigger of the spell.',100,2,5),
(236090,100620,'Transfers 29% of target''s current Threat to the caster',100,1,0),
(236091,10100620,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(236092,10100620,'10% of all damage received by the caster is prevented.',100,2,1),
(236093,10100620,'This effect can only trigger once every 5 seconds.',100,2,2),
(236094,158334,'Applies Hooluk in a Hat when Activated.',100,0,0),
(236095,158334,'Summons a pet Hooluk',100,1,1),
(236096,158334,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236097,10158334,'Applies Hooluk in a Hat when Activated.',100,0,0),
(236098,10158334,'Summons a pet Hooluk',100,1,1),
(236099,10158334,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236100,118764,'Increases INT and WIS of group members (AE) by 46.4',100,1,0),
(236101,118764,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 137',100,1,1),
(236102,10118764,'Increases INT and WIS of group members (AE) by 46.4',100,1,0),
(236103,10118764,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 137',100,1,1),
(236104,124556,'Dispels 137 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(236105,10124556,'Dispels 137 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(236106,159611,'Applies Lambent Imbued when Equipped.',100,0,0),
(236107,159611,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(236108,159611,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(236109,159611,'Cannot be modified except by direct means',100,2,3),
(236110,10159611,'Applies Lambent Imbued when Equipped.',100,0,0),
(236111,10159611,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(236112,10159611,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(236113,10159611,'Cannot be modified except by direct means',100,2,3),
(236114,46930,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(236115,46930,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(236116,46930,'Decreases AGI of target by 17.7',100,2,2),
(236117,46930,'Cannot be modified except by direct means',100,2,3),
(236118,46930,'Grants a total of 30 triggers of the spell.',100,2,4),
(236119,10046930,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(236120,10046930,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(236121,10046930,'Decreases AGI of target by 17.7',100,2,2),
(236122,10046930,'Cannot be modified except by direct means',100,2,3),
(236123,10046930,'Grants a total of 30 triggers of the spell.',100,2,4),
(236124,119985,'Increases Threat to target by 493 - 601 ',100,1,0),
(236125,10119985,'Prevents target from changing targets',100,1,0),
(236126,10119985,'Forces target to change their selected target to caster.',100,1,1),
(236127,72278,'Applies Astral Blessing when Equipped.',100,0,0),
(236128,72278,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(236129,72278,'Heals target for 440 instantly and every second',100,2,2),
(236130,72278,'Cannot be modified except by direct means',100,2,3),
(236131,72278,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(236132,72278,'Heals caster for 440 instantly and every second',100,2,5),
(236133,72278,'Cannot be modified except by direct means',100,2,6),
(236134,72278,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(236135,72278,'Heals caster for 440 instantly and every second',100,2,8),
(236136,72278,'Cannot be modified except by direct means',100,2,9),
(236137,10072278,'Applies Astral Blessing when Equipped.',100,0,0),
(236138,10072278,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(236139,10072278,'Heals target for 514 instantly and every second',100,2,2),
(236140,10072278,'Cannot be modified except by direct means',100,2,3),
(236141,10072278,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(236142,10072278,'Heals caster for 514 instantly and every second',100,2,5),
(236143,10072278,'Cannot be modified except by direct means',100,2,6),
(236144,10072278,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(236145,10072278,'Heals caster for 514 instantly and every second',100,2,8),
(236146,10072278,'Cannot be modified except by direct means',100,2,9),
(236147,107174,'Inflicts 52 - 88 divine damage on target',100,1,0),
(236148,107174,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(236149,107174,'Stuns target',100,2,2),
(236150,107174,'If Target is not Epic',100,3,3),
(236151,107174,'Inflicts 124 - 206 divine damage on target',100,2,4),
(236152,107174,'Inflicts 106 - 177 divine damage on target',100,2,5),
(236153,107174,'If target is undead',100,3,6),
(236154,10107174,'Inflicts 42 - 70 divine damage on target',100,1,0),
(236155,10107174,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(236156,10107174,'Stuns target',100,2,2),
(236157,10107174,'Inflicts 222 - 371 divine damage on target',100,2,3),
(236158,10107174,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(236159,35234,'Increases Max Power of target by 3.3',100,0,0),
(236160,35234,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(236161,83899,'When Equipped:',100,0,0),
(236162,83899,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(236163,83899,'Inflicts 144 - 240 heat damage on target',100,2,2),
(236164,83899,'Cannot be modified except by direct means',100,2,3),
(236165,10083899,'When Equipped:',100,0,0),
(236166,10083899,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(236167,10083899,'Inflicts 173 - 288 heat damage on target',100,2,2),
(236168,10083899,'Cannot be modified except by direct means',100,2,3),
(236169,112165,'Increases STR of caster by 20.2',100,1,0),
(236170,112165,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 507',100,1,1),
(236171,112165,'Increases Mitigation of caster vs physical damage by 130',100,1,2),
(236172,10112165,'Increases STR of caster by 20.2',100,1,0),
(236173,10112165,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 507',100,1,1),
(236174,10112165,'Increases Mitigation of caster vs physical damage by 130',100,1,2),
(236175,103638,'Increases STR of raid and group members (AE) by 33.9',100,1,0),
(236176,103638,'Improves the base amount of taunts by 9.5%.',100,1,1),
(236177,103638,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(236178,103638,'Increases AGI of raid and group members (AE) by 33.9',100,1,3),
(236179,103638,'Adds 0.9% to base avoidance.',100,1,4),
(236180,10103638,'Increases STR of raid and group members (AE) by 33.9',100,1,0),
(236181,10103638,'Improves the base amount of taunts by 9.5%.',100,1,1),
(236182,10103638,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(236183,10103638,'Increases AGI of raid and group members (AE) by 33.9',100,1,3),
(236184,10103638,'Adds 0.9% to base avoidance.',100,1,4),
(236185,111921,'Inflicts 120 - 201 piercing damage on target',100,1,0),
(236186,111921,'Inflicts 33 - 55 piercing damage on target instantly and every 4 seconds',100,1,1),
(236187,10111921,'Inflicts 197 - 329 piercing damage on target',100,1,0),
(236188,10111921,'Inflicts 66 - 110 piercing damage on target instantly and every 4 seconds',100,1,1),
(236189,71387,'When Equipped:',100,0,0),
(236190,71387,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(236191,71387,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(236192,71387,'Cannot be modified except by direct means',100,2,3),
(236193,10071387,'When Equipped:',100,0,0),
(236194,10071387,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(236195,10071387,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(236196,10071387,'Cannot be modified except by direct means',100,2,3),
(236197,50466,'When Equipped:',100,0,0),
(236198,50466,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(236199,50466,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(236200,50466,'Cannot be modified except by direct means',100,2,3),
(236201,10050466,'When Equipped:',100,0,0),
(236202,10050466,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(236203,10050466,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(236204,10050466,'Cannot be modified except by direct means',100,2,3),
(236205,116993,'Inflicts 6 - 20 melee damage on target',100,1,0),
(236206,10116993,'Inflicts 8 - 25 melee damage on target',100,1,0),
(236207,102446,'Stuns target encounter',100,1,0),
(236208,102446,'Epic targets gain an immunity to Stun effects of 11.3 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(236209,102446,'Resistibility increases against targets higher than level 73.',100,1,2),
(236210,10102446,'Stuns target encounter',100,1,0),
(236211,10102446,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(236212,10102446,'Resistibility increases against targets higher than level 73.',100,1,2),
(236213,111817,'Inflicts 33 - 56 melee damage on target',100,1,0),
(236214,111817,'Roots target',100,1,1),
(236215,111817,'If Target is not Epic',100,2,2),
(236216,111817,'Resistibility increases against targets higher than level 42.',100,1,3),
(236217,10111817,'Inflicts 36 - 61 melee damage on target',100,1,0),
(236218,10111817,'Roots target',100,1,1),
(236219,10111817,'If Target is not Epic',100,2,2),
(236220,10111817,'Resistibility increases against targets higher than level 42.',100,1,3),
(236221,120462,'Inflicts 146 - 244 ranged damage on target',100,1,0),
(236222,120462,'Slows target by 39.5%',100,1,1),
(236223,120462,'10% chance to dispel when target receives hostile action',100,1,2),
(236224,120462,'Requires bow',100,1,3),
(236225,10120462,'Inflicts 114 - 190 ranged damage on target',100,1,0),
(236226,10120462,'Slows target by 39.5%',100,1,1),
(236227,10120462,'10% chance to dispel when target receives hostile action',100,1,2),
(236228,10120462,'Requires bow',100,1,3),
(236229,159999,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236230,159999,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236231,159999,'Inflicts 75 heat damage on target',100,2,2),
(236232,159999,'Cannot be modified except by direct means',100,2,3),
(236233,10159999,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236234,10159999,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236235,10159999,'Inflicts 90 heat damage on target',100,2,2),
(236236,10159999,'Cannot be modified except by direct means',100,2,3),
(236237,159782,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236238,159782,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236239,159782,'Inflicts 97 heat damage on target',100,2,2),
(236240,159782,'Cannot be modified except by direct means',100,2,3),
(236241,10159782,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236242,10159782,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236243,10159782,'Inflicts 116 heat damage on target',100,2,2),
(236244,10159782,'Cannot be modified except by direct means',100,2,3),
(236245,40778,'When Equipped:',100,0,0),
(236246,40778,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(236247,10040778,'When Equipped:',100,0,0),
(236248,10040778,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(236249,112536,'Interrupts target',50,1,0),
(236250,112536,'Inflicts 59 - 72 divine damage on target',100,1,1),
(236251,10112536,'Interrupts target',50,1,0),
(236252,10112536,'Inflicts 91 - 111 divine damage on target',100,1,1),
(236253,47780,'Applies Aura of the Arasai when Activated.',100,0,0),
(236254,47780,'Engulfs user with the aura of the arasai',100,1,1),
(236255,10047780,'Applies Aura of the Arasai when Activated.',100,0,0),
(236256,10047780,'Engulfs user with the aura of the arasai',100,1,1),
(236257,103113,'Increases STR of caster by 29.4',100,1,0),
(236258,103113,'Adds 2.7% to base avoidance.',100,1,1),
(236259,103113,'Increases Mitigation of caster vs physical damage by 190',100,1,2),
(236260,103113,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 593',100,1,3),
(236261,10103113,'Increases STR of caster by 29.4',100,1,0),
(236262,10103113,'Adds 2.7% to base avoidance.',100,1,1),
(236263,10103113,'Increases Mitigation of caster vs physical damage by 190',100,1,2),
(236264,10103113,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 593',100,1,3),
(236265,81965,'When Equipped:',100,0,0),
(236266,81965,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(236267,81965,'Inflicts 261 - 484 magic damage on target',100,2,2),
(236268,81965,'Decreases Threat to target by 994 ',100,2,3),
(236269,81965,'Must be flanking or behind',100,3,4),
(236270,81965,'Increases Threat to target by 999 ',100,2,5),
(236271,81965,'Must be in front of',100,3,6),
(236272,81965,'Cannot be modified except by direct means',100,2,7),
(236273,10081965,'When Equipped:',100,0,0),
(236274,10081965,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(236275,10081965,'Inflicts 313 - 581 magic damage on target',100,2,2),
(236276,10081965,'Cannot be modified except by direct means',100,2,3),
(236277,106025,'Inflicts 76 - 93 divine damage on target instantly and every 3 seconds',100,1,0),
(236278,106025,'Decreases Defense of target by 14.9',100,1,1),
(236279,10106025,'Inflicts 61 - 75 divine damage on target instantly and every 3 seconds',100,1,0),
(236280,10106025,'Decreases Defense of target by 14.9',100,1,1),
(236281,119306,'Roots target',100,1,0),
(236282,119306,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(236283,119306,'Slows target by 36.6%',100,2,2),
(236284,119306,'5% chance to dispel when target receives hostile action',100,2,3),
(236285,119306,'5% chance to dispel when target takes damage',100,2,4),
(236286,119306,'15% chance to dispel when target takes damage',100,1,5),
(236287,119306,'Does not affect Epic targets',100,1,6),
(236288,119306,'Resistibility increases against targets higher than level 62.',100,1,7),
(236289,10119306,'Roots target',100,1,0),
(236290,10119306,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(236291,10119306,'Slows target by 36.6%',100,2,2),
(236292,10119306,'5% chance to dispel when target receives hostile action',100,2,3),
(236293,10119306,'5% chance to dispel when target takes damage',100,2,4),
(236294,10119306,'15% chance to dispel when target takes damage',100,1,5),
(236295,10119306,'Does not affect Epic targets',100,1,6),
(236296,10119306,'Resistibility increases against targets higher than level 62.',100,1,7),
(236297,114657,'Increases Threat to target by 86 - 104 ',100,1,0),
(236298,114657,'Interrupts target',100,1,1),
(236299,10114657,'Interrupts target',100,1,0),
(236300,10114657,'Forces target to change their selected target to caster.',100,1,1),
(236301,10114657,'Prevents target from changing targets',100,1,2),
(236302,123411,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(236303,123411,'Heals caster for 59.4% of max health',100,2,1),
(236304,123411,'This effect cannot be critically applied.',100,3,2),
(236305,123411,'Applies Exploding Heart on termination.',100,2,3),
(236306,123411,'The healing of this spell cannot be modified except by direct means',100,2,4),
(236307,123411,'Grants a total of 1 trigger of the spell.',100,2,5),
(236308,10123411,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(236309,10123411,'Heals caster for 29.7% of max health',100,2,1),
(236310,10123411,'This effect cannot be critically applied.',100,3,2),
(236311,10123411,'Applies Exploding Heart on termination.',100,2,3),
(236312,10123411,'The healing of this spell cannot be modified except by direct means',100,2,4),
(236313,10123411,'Grants a total of 1 trigger of the spell.',100,2,5),
(236314,26083,'When Equipped:',100,0,0),
(236315,26083,'Improves the reuse time of Consumption III by 30 seconds.',100,1,1),
(236316,26083,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(236317,10026083,'When Equipped:',100,0,0),
(236318,10026083,'Improves the reuse time of Consumption III by 30 seconds.',100,1,1),
(236319,10026083,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(236320,81875,'When Equipped:',100,0,0),
(236321,81875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236322,81875,'Inflicts 94 - 175 magic damage on target',100,2,2),
(236323,81875,'Cannot be modified except by direct means',100,2,3),
(236324,10081875,'When Equipped:',100,0,0),
(236325,10081875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236326,10081875,'Inflicts 113 - 210 magic damage on target',100,2,2),
(236327,10081875,'Cannot be modified except by direct means',100,2,3),
(236328,48232,'Applies Proof of Conspiracy when Activated.',100,0,0),
(236329,48232,'Chief Conspirator Sprivnik''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Sprivnik''s wrath. You feel it would be wise to not mention that you gathered this from Sprivnik''s corpse...',100,1,1),
(236330,10048232,'Applies Proof of Conspiracy when Activated.',100,0,0),
(236331,10048232,'Chief Conspirator Sprivnik''s proof of office. This flashy display could likely convince some weaker followers to flee in terror at the very thought of facing Sprivnik''s wrath. You feel it would be wise to not mention that you gathered this from Sprivnik''s corpse...',100,1,1),
(236332,124028,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(236333,124028,'Heals target for 298 - 364',100,2,1),
(236334,124028,'Grants a total of 5 triggers of the spell.',100,2,2),
(236335,10124028,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(236336,10124028,'Heals target for 194 - 237',100,2,1),
(236337,10124028,'Grants a total of 5 triggers of the spell.',100,2,2),
(236338,109372,'Inflicts 85 - 255 melee damage on target',100,1,0),
(236339,109372,'Inflicts 106 - 319 melee damage on target',100,1,1),
(236340,109372,'Inflicts 127 - 383 melee damage on target',100,1,2),
(236341,10109372,'Inflicts 102 - 306 melee damage on target',100,1,0),
(236342,10109372,'Inflicts 127 - 383 melee damage on target',100,1,1),
(236343,10109372,'Inflicts 153 - 460 melee damage on target',100,1,2),
(236344,75138,'When Equipped:',100,0,0),
(236345,75138,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(236346,10075138,'When Equipped:',100,0,0),
(236347,10075138,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(236348,51631,'Applies Healing of the Ancients when Equipped.',100,0,0),
(236349,51631,'When damaged with a melee weapon this spell has a 10% chance to cast Healing of the Ancients on caster.  ',100,1,1),
(236350,51631,'Heals caster for 105',100,2,2),
(236351,51631,'Cannot be modified except by direct means',100,2,3),
(236352,10051631,'Applies Healing of the Ancients when Equipped.',100,0,0),
(236353,10051631,'When damaged with a melee weapon this spell has a 10% chance to cast Healing of the Ancients on caster.  ',100,1,1),
(236354,10051631,'Heals caster for 68',100,2,2),
(236355,10051631,'Cannot be modified except by direct means',100,2,3),
(236356,82886,'When Equipped:',100,0,0),
(236357,82886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236358,82886,'Inflicts 201 - 374 magic damage on target',100,2,2),
(236359,82886,'Cannot be modified except by direct means',100,2,3),
(236360,10082886,'When Equipped:',100,0,0),
(236361,10082886,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236362,10082886,'Inflicts 242 - 449 magic damage on target',100,2,2),
(236363,10082886,'Cannot be modified except by direct means',100,2,3),
(236364,110211,'Interrupts target',100,1,0),
(236365,110211,'Inflicts 85 - 142 crushing damage on target',100,1,1),
(236366,10110211,'Interrupts target',100,1,0),
(236367,10110211,'Inflicts 102 - 170 crushing damage on target',100,1,1),
(236368,103241,'Reduces physical damage done to caster by 5%',100,1,0),
(236369,103241,'Adds 1.4% to base avoidance.',100,1,1),
(236370,103241,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(236371,103241,'Increases Parry of caster by 16.5',100,1,3),
(236372,103241,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(236373,103241,'Increases Aggression of caster by 12.4',100,1,5),
(236374,103241,'Increases Defense and Deflection of caster by 16.5',100,1,6),
(236375,103241,'Increases Mitigation of caster vs noxious damage by 1102',100,1,7),
(236376,103241,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(236377,10103241,'Reduces physical damage done to caster by 5%',100,1,0),
(236378,10103241,'Adds 1.4% to base avoidance.',100,1,1),
(236379,10103241,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(236380,10103241,'Increases Parry of caster by 16.5',100,1,3),
(236381,10103241,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(236382,10103241,'Increases Aggression of caster by 12.4',100,1,5),
(236383,10103241,'Increases Defense and Deflection of caster by 16.5',100,1,6),
(236384,10103241,'Increases Mitigation of caster vs noxious damage by 1102',100,1,7),
(236385,10103241,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(236386,105950,'Inflicts 105 - 129 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(236387,105950,'Inflicts 245 - 409 disease damage on targets in area',100,1,1),
(236388,10105950,'Inflicts 126 - 154 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(236389,10105950,'Inflicts 294 - 491 disease damage on targets in area',100,1,1),
(236390,112725,'Inflicts 285 - 475 disease damage on target encounter',100,1,0),
(236391,10112725,'Inflicts 342 - 570 disease damage on target encounter',100,1,0),
(236392,109670,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(236393,109670,'Increases Mitigation of group members (AE) vs arcane damage by 218',100,1,1),
(236394,10109670,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(236395,10109670,'Increases Mitigation of group members (AE) vs arcane damage by 218',100,1,1),
(236396,120146,'Decreases STR and INT of target by 68.6',100,1,0),
(236397,120146,'Increases STR and INT of caster by 68.6',100,1,1),
(236398,10120146,'Decreases STR and INT of target by 68.6',100,1,0),
(236399,10120146,'Increases STR and INT of caster by 68.6',100,1,1),
(236400,82702,'When Equipped:',100,0,0),
(236401,82702,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(236402,82702,'Inflicts 233 - 434 magic damage on target',100,2,2),
(236403,82702,'Decreases Threat to target by 1,174 ',100,2,3),
(236404,82702,'Must be flanking or behind',100,3,4),
(236405,82702,'Increases Threat to target by 1,179 ',100,2,5),
(236406,82702,'Must be in front of',100,3,6),
(236407,82702,'Cannot be modified except by direct means',100,2,7),
(236408,10082702,'When Equipped:',100,0,0),
(236409,10082702,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(236410,10082702,'Inflicts 280 - 520 magic damage on target',100,2,2),
(236411,10082702,'Cannot be modified except by direct means',100,2,3),
(236412,45862,'Applies Call Dark Armor Rhino when Activated.',100,0,0),
(236413,45862,'Increases Subjugation, Ordination and Focus of caster by 5.0',100,1,1),
(236414,45862,'Summons a mount to ride',100,1,2),
(236415,45862,'Increases your ground speed by 130%',100,2,3),
(236416,45862,'Increases Disruption and Ministration of caster by 5.0',100,1,4),
(236417,10045862,'Applies Call Dark Armor Rhino when Activated.',100,0,0),
(236418,10045862,'Increases Subjugation, Ordination and Focus of caster by 5.0',100,1,1),
(236419,10045862,'Summons a mount to ride',100,1,2),
(236420,10045862,'Increases your ground speed by 130%',100,2,3),
(236421,10045862,'Increases Disruption and Ministration of caster by 5.0',100,1,4),
(236422,113802,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(236423,113802,'Heals target for 488 - 596',100,2,1),
(236424,10113802,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(236425,10113802,'Heals target for 317 - 387',100,2,1),
(236426,123716,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(236427,123716,'Inflicts 264 divine damage on target',100,2,1),
(236428,123716,'Grants a total of 5 triggers of the spell.',100,2,2),
(236429,10123716,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(236430,10123716,'Inflicts 317 divine damage on target',100,2,1),
(236431,10123716,'Grants a total of 5 triggers of the spell.',100,2,2),
(236432,24497,'Adds Lair of Scale: Set of Dragonscale Tomes to your Dungeon Maker toolbox',100,0,0),
(236433,10024497,'Adds Lair of Scale: Set of Dragonscale Tomes to your Dungeon Maker toolbox',100,0,0),
(236434,109938,'Stuns target',100,1,0),
(236435,109938,'Does not affect Epic targets',100,1,1),
(236436,109938,'Resistibility increases against targets higher than level 73.',100,1,2),
(236437,10109938,'Stuns target',100,1,0),
(236438,10109938,'Does not affect Epic targets',100,1,1),
(236439,10109938,'Resistibility increases against targets higher than level 73.',100,1,2),
(236440,120657,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.8',100,1,0),
(236441,120657,'Increases Focus of group members (AE) by 25.6',100,1,1),
(236442,10120657,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.8',100,1,0),
(236443,10120657,'Increases Focus of group members (AE) by 25.6',100,1,1),
(236444,101872,'Stuns target',100,1,0),
(236445,101872,'Does not affect Epic targets',100,1,1),
(236446,101872,'Resistibility increases against targets higher than level 106.',100,1,2),
(236447,10101872,'Stuns target',100,1,0),
(236448,10101872,'Does not affect Epic targets',100,1,1),
(236449,10101872,'Resistibility increases against targets higher than level 106.',100,1,2),
(236450,46353,'Applies Flask of Advancements when Activated.  Lasts for 30 minutes.',100,0,0),
(236451,46353,'Increases AA XP Gain of caster by 15.0%',100,1,1),
(236452,46353,'You can only have one experience potion active at a time.',100,1,2),
(236453,10046353,'Applies Flask of Advancements when Activated.  Lasts for 30 minutes.',100,0,0),
(236454,10046353,'Increases AA XP Gain of caster by 15.0%',100,1,1),
(236455,10046353,'You can only have one experience potion active at a time.',100,1,2),
(236456,120803,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(236457,120803,'Stuns target',100,2,1),
(236458,120803,'Throws target back',100,2,2),
(236459,120803,'Blurs vision of target',100,2,3),
(236460,120803,'Does not affect Epic targets',100,2,4),
(236461,120803,'Inflicts 231 - 386 piercing damage on target',100,1,5),
(236462,10120803,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(236463,10120803,'Stuns target',100,2,1),
(236464,10120803,'Throws target back',100,2,2),
(236465,10120803,'Blurs vision of target',100,2,3),
(236466,10120803,'Does not affect Epic targets',100,2,4),
(236467,10120803,'Inflicts 278 - 463 piercing damage on target',100,1,5),
(236468,35352,'Increases AGI of target by 1.5',100,0,0),
(236469,35352,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(236470,73117,'When Equipped:',100,0,0),
(236471,73117,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(236472,73117,'Inflicts 1390 mental damage on target',100,2,2),
(236473,73117,'Increases Threat to target by 4,005 ',100,2,3),
(236474,73117,'Cannot be modified except by direct means',100,2,4),
(236475,73117,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(236476,73117,'Inflicts 1390 mental damage on target',100,2,6),
(236477,73117,'Increases Threat to target by 4,005 ',100,2,7),
(236478,73117,'Cannot be modified except by direct means',100,2,8),
(236479,10073117,'When Equipped:',100,0,0),
(236480,10073117,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(236481,10073117,'Inflicts 1668 mental damage on target',100,2,2),
(236482,10073117,'Cannot be modified except by direct means',100,2,3),
(236483,10073117,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(236484,10073117,'Inflicts 1668 mental damage on target',100,2,5),
(236485,10073117,'Cannot be modified except by direct means',100,2,6),
(236486,101090,'Summons a pet Prowler Kitten',100,1,0),
(236487,10101090,'Summons a pet Prowler Kitten',100,1,0),
(236488,86508,'Applies Fire Ball when Activated.',100,0,0),
(236489,86508,'Inflicts 85 - 142 heat damage on target',100,1,1),
(236490,86508,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236491,10086508,'Applies Fire Ball when Activated.',100,0,0),
(236492,10086508,'Inflicts 102 - 171 heat damage on target',100,1,1),
(236493,10086508,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236494,54570,'When Equipped:',100,0,0),
(236495,54570,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(236496,54570,'Wards caster against 200 points of all damage',100,2,2),
(236497,54570,'Cannot be modified except by direct means',100,2,3),
(236498,54570,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(236499,10054570,'When Equipped:',100,0,0),
(236500,10054570,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(236501,10054570,'Wards caster against 200 points of all damage',100,2,2),
(236502,10054570,'Cannot be modified except by direct means',100,2,3),
(236503,10054570,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(236504,50272,'Applies Heroic Resistance IV when Equipped.',100,0,0),
(236505,50272,'Reduces the critical damage inflicted by players on caster by 4.0%',100,1,1),
(236506,50272,'Cannot be modified except by direct means',100,1,2),
(236507,10050272,'Applies Heroic Resistance IV when Equipped.',100,0,0),
(236508,10050272,'Reduces the critical damage inflicted by players on caster by 4.0%',100,1,1),
(236509,10050272,'Cannot be modified except by direct means',100,1,2),
(236510,141813,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(236511,141813,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(236512,141813,'Inflicts 30 heat damage on target',100,2,2),
(236513,141813,'Cannot be modified except by direct means',100,2,3),
(236514,10141813,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(236515,10141813,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(236516,10141813,'Inflicts 36 heat damage on target',100,2,2),
(236517,10141813,'Cannot be modified except by direct means',100,2,3),
(236518,102801,'Summons 3 limited pets to aid the caster',100,1,0),
(236519,10102801,'Summons 3 limited pets to aid the caster',100,1,0),
(236520,47308,'Applies Spirit of Determination  when Activated.  Lasts for 15 minutes.',100,0,0),
(236521,47308,'Increases Max Health of caster by 172.5',100,1,1),
(236522,10047308,'Applies Spirit of Determination  when Activated.  Lasts for 15 minutes.',100,0,0),
(236523,10047308,'Increases Max Health of caster by 172.5',100,1,1),
(236524,35035,'Increases outgoing damaging spell amount by 2%',100,0,0),
(236525,35035,'Increases INT and STA of target by 5.4',100,0,1),
(236526,35035,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(236527,119023,'Makes group members (AE) immune to Root effects',100,1,0),
(236528,119023,'Makes group members (AE) immune to Stifle effects',100,1,1),
(236529,119023,'Makes group members (AE) immune to Stun effects',100,1,2),
(236530,119023,'Makes group members (AE) immune to Fear effects',100,1,3),
(236531,119023,'Makes group members (AE) immune to Daze effects',100,1,4),
(236532,119023,'Makes group members (AE) immune to Mesmerize effects',100,1,5),
(236533,119023,'1% chance to dispel when target takes damage',100,1,6),
(236534,119023,'1% chance to dispel when target receives hostile action',100,1,7),
(236535,10119023,'Makes group members (AE) immune to Root effects',100,1,0),
(236536,10119023,'Makes group members (AE) immune to Stifle effects',100,1,1),
(236537,10119023,'Makes group members (AE) immune to Stun effects',100,1,2),
(236538,10119023,'Makes group members (AE) immune to Fear effects',100,1,3),
(236539,10119023,'Makes group members (AE) immune to Daze effects',100,1,4),
(236540,10119023,'Makes group members (AE) immune to Mesmerize effects',100,1,5),
(236541,10119023,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,1,6),
(236542,10119023,'Makes Group members (AE) immune to taunt effects.',100,2,7),
(236543,10119023,'Applies Lost Focus.  Lasts for 1 minute.',100,2,8),
(236544,10119023,'You cannot be affected by Commanding Roar.',100,3,9),
(236545,10119023,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,2,10),
(236546,10119023,'You cannot be affected by Commanding Roar.',100,3,11),
(236547,10119023,'1% chance to dispel when target takes damage',100,1,12),
(236548,10119023,'1% chance to dispel when target receives hostile action',100,1,13),
(236549,121602,'Stuns target encounter',100,1,0),
(236550,121602,'Epic targets gain an immunity to Stun effects of 19.1 seconds and duration is reduced to 2.1 seconds.',100,1,1),
(236551,121602,'Resistibility increases against targets higher than level 100.',100,1,2),
(236552,10121602,'Stuns target encounter',100,1,0),
(236553,10121602,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(236554,10121602,'Resistibility increases against targets higher than level 100.',100,1,2),
(236555,107732,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(236556,107732,'Inflicts 293 - 489 melee damage on target',100,2,1),
(236557,107732,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(236558,107732,'Inflicts 293 - 489 melee damage on target',100,2,3),
(236559,107732,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(236560,107732,'Inflicts 293 - 489 melee damage on target',100,2,5),
(236561,107732,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(236562,107732,'Inflicts 293 - 489 melee damage on target',100,2,7),
(236563,107732,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(236564,107732,'Inflicts 293 - 489 melee damage on target',100,2,9),
(236565,107732,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(236566,107732,'Inflicts 293 - 489 melee damage on target',100,2,11),
(236567,107732,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(236568,107732,'Inflicts 293 - 489 melee damage on target',100,2,13),
(236569,107732,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(236570,107732,'Inflicts 293 - 489 melee damage on target',100,2,15),
(236571,10107732,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(236572,10107732,'Inflicts 199 - 332 melee damage on target',100,2,1),
(236573,10107732,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(236574,10107732,'Inflicts 199 - 332 melee damage on target',100,2,3),
(236575,10107732,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(236576,10107732,'Inflicts 199 - 332 melee damage on target',100,2,5),
(236577,10107732,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(236578,10107732,'Inflicts 199 - 332 melee damage on target',100,2,7),
(236579,10107732,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(236580,10107732,'Inflicts 199 - 332 melee damage on target',100,2,9),
(236581,10107732,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(236582,10107732,'Inflicts 199 - 332 melee damage on target',100,2,11),
(236583,10107732,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(236584,10107732,'Inflicts 199 - 332 melee damage on target',100,2,13),
(236585,10107732,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(236586,10107732,'Inflicts 199 - 332 melee damage on target',100,2,15),
(236587,41805,'When Equipped:',100,0,0),
(236588,41805,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(236589,41805,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(236590,41805,'Heals caster for 811 - 1217',100,2,3),
(236591,41805,'Cannot be modified except by direct means',100,2,4),
(236592,41805,'Cannot be modified except by direct means',100,1,5),
(236593,10041805,'When Equipped:',100,0,0),
(236594,10041805,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(236595,10041805,'Inflicts 1462 - 2193 poison damage on target',100,2,2),
(236596,10041805,'Heals caster for 949 - 1424',100,2,3),
(236597,10041805,'Cannot be modified except by direct means',100,2,4),
(236598,10041805,'Cannot be modified except by direct means',100,1,5),
(236599,107178,'Inflicts 71 - 119 divine damage on target',100,1,0),
(236600,107178,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(236601,107178,'Stuns target',100,2,2),
(236602,107178,'If Target is not Epic',100,3,3),
(236603,107178,'Inflicts 167 - 278 divine damage on target',100,2,4),
(236604,107178,'Inflicts 143 - 238 divine damage on target',100,2,5),
(236605,107178,'If target is undead',100,3,6),
(236606,10107178,'Inflicts 57 - 95 divine damage on target',100,1,0),
(236607,10107178,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(236608,10107178,'Stuns target',100,2,2),
(236609,10107178,'Inflicts 300 - 500 divine damage on target',100,2,3),
(236610,10107178,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(236611,101982,'Inflicts 1301 - 2416 heat damage on target',100,1,0),
(236612,10101982,'Inflicts 1561 - 2899 heat damage on target',100,1,0),
(236613,135835,'When Equipped:',100,0,0),
(236614,135835,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(236615,135835,'Inflicts 1199 disease damage on target encounter',100,2,2),
(236616,135835,'Must not be engaged in pvp combat',100,2,3),
(236617,135835,'Cannot be modified except by direct means',100,2,4),
(236618,10135835,'When Equipped:',100,0,0),
(236619,10135835,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(236620,10135835,'Inflicts 719 disease damage on target encounter',100,2,2),
(236621,10135835,'Must not be engaged in pvp combat',100,2,3),
(236622,10135835,'Cannot be modified except by direct means',100,2,4),
(236623,121483,'Inflicts 104 - 173 melee damage on target',100,1,0),
(236624,121483,'Decreases Defense of target by 5.0',100,1,1),
(236625,10121483,'Inflicts 124 - 208 melee damage on target',100,1,0),
(236626,10121483,'Decreases Defense of target by 5.0',100,1,1),
(236627,109135,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(236628,109135,'Heals target for 495 - 605',100,2,1),
(236629,109135,'Grants a total of 8 triggers of the spell.',100,2,2),
(236630,10109135,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(236631,10109135,'Heals target for 322 - 393',100,2,1),
(236632,10109135,'Grants a total of 8 triggers of the spell.',100,2,2),
(236633,159997,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236634,159997,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236635,159997,'Inflicts 97 heat damage on target',100,2,2),
(236636,159997,'Cannot be modified except by direct means',100,2,3),
(236637,10159997,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236638,10159997,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236639,10159997,'Inflicts 116 heat damage on target',100,2,2),
(236640,10159997,'Cannot be modified except by direct means',100,2,3),
(236641,114708,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(236642,114708,'Decreases Hate Gain of target by 16.0%',100,1,1),
(236643,10114708,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(236644,146651,'When Equipped:',100,0,0),
(236645,146651,'Increases disease damage done by spells by up to 45.',100,1,1),
(236646,10146651,'When Equipped:',100,0,0),
(236647,10146651,'Increases disease damage done by spells by up to 45.',100,1,1),
(236648,71268,'When Equipped:',100,0,0),
(236649,71268,'Allows caster to breathe under water',100,1,1),
(236650,10071268,'When Equipped:',100,0,0),
(236651,10071268,'Allows caster to breathe under water',100,1,1),
(236652,177499,'When Equipped:',100,0,0),
(236653,177499,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(236654,177499,'Increases STA of caster by 5.8',100,2,2),
(236655,177499,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(236656,177499,'Cannot be modified except by direct means',100,2,4),
(236657,10177499,'When Equipped:',100,0,0),
(236658,10177499,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(236659,10177499,'Increases STA of caster by 5.8',100,2,2),
(236660,10177499,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(236661,10177499,'Cannot be modified except by direct means',100,2,4),
(236662,105634,'Inflicts 51 disease damage on target instantly and every 6 seconds',100,1,0),
(236663,105634,'Inflicts 117 - 195 disease damage on target',100,1,1),
(236664,105634,'Inflicts 117 - 195 disease damage on target',100,1,2),
(236665,10105634,'Inflicts 61 disease damage on target instantly and every 6 seconds',100,1,0),
(236666,10105634,'Inflicts 140 - 234 disease damage on target',100,1,1),
(236667,10105634,'Inflicts 140 - 234 disease damage on target',100,1,2),
(236668,118812,'Wards group members (AE) against 114 points of physical damage',100,1,0),
(236669,118812,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,1),
(236670,10118812,'Wards group members (AE) against 114 points of physical damage',100,1,0),
(236671,10118812,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,1),
(236672,119626,'Inflicts 1365 - 2275 mental damage on targets in Area of Effect',100,1,0),
(236673,119626,'Stuns targets in Area of Effect',100,1,1),
(236674,119626,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(236675,119626,'Resistibility increases against targets higher than level 119.',100,1,3),
(236676,10119626,'Inflicts 1638 - 2730 mental damage on targets in Area of Effect',100,1,0),
(236677,10119626,'Stuns targets in Area of Effect',100,1,1),
(236678,10119626,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(236679,10119626,'Resistibility increases against targets higher than level 119.',100,1,3),
(236680,111446,'Decreases Attack Speed of caster by 15.5',100,1,0),
(236681,111446,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(236682,111446,'Roots target',100,2,2),
(236683,111446,'5% chance to dispel when target takes damage',100,2,3),
(236684,111446,'5% chance to dispel when target receives hostile action',100,2,4),
(236685,111446,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(236686,111446,'Increases Mitigation of caster vs physical damage by 660',100,1,6),
(236687,10111446,'Decreases Attack Speed of caster by 15.5',100,1,0),
(236688,10111446,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(236689,10111446,'Roots target',100,2,2),
(236690,10111446,'5% chance to dispel when target takes damage',100,2,3),
(236691,10111446,'5% chance to dispel when target receives hostile action',100,2,4),
(236692,10111446,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(236693,10111446,'Increases Mitigation of caster vs physical damage by 660',100,1,6),
(236694,135086,'When Equipped:',100,0,0),
(236695,135086,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(236696,10135086,'When Equipped:',100,0,0),
(236697,10135086,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(236698,165604,'When Equipped:',100,0,0),
(236699,165604,'Increases Attack Speed of caster by 3.0',100,1,1),
(236700,165604,'Increases Ability Casting Speed of caster by 3.0%',100,1,2),
(236701,10165604,'When Equipped:',100,0,0),
(236702,10165604,'Increases Attack Speed of caster by 3.0',100,1,1),
(236703,10165604,'Increases Ability Casting Speed of caster by 3.0%',100,1,2),
(236704,49117,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(236705,49117,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(236706,49117,'Decreases WIS and INT of target by 4.6',100,2,2),
(236707,49117,'Cannot be modified except by direct means',100,2,3),
(236708,49117,'Grants a total of 30 triggers of the spell.',100,2,4),
(236709,10049117,'Applies wave of doubt when Activated.  Lasts for 12 hours.',100,0,0),
(236710,10049117,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(236711,10049117,'Decreases WIS and INT of target by 4.6',100,2,2),
(236712,10049117,'Cannot be modified except by direct means',100,2,3),
(236713,10049117,'Grants a total of 30 triggers of the spell.',100,2,4),
(236714,118681,'Inflicts 126 - 380 crushing damage on target',100,1,0),
(236715,10118681,'Inflicts 152 - 456 crushing damage on target',100,1,0),
(236716,159306,'Applies Lambent Imbued when Equipped.',100,0,0),
(236717,159306,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(236718,159306,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(236719,159306,'Cannot be modified except by direct means',100,2,3),
(236720,10159306,'Applies Lambent Imbued when Equipped.',100,0,0),
(236721,10159306,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(236722,10159306,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(236723,10159306,'Cannot be modified except by direct means',100,2,3),
(236724,131089,'When Equipped:',100,0,0),
(236725,131089,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(236726,131089,'Inflicts 2648 disease damage on target encounter',100,2,2),
(236727,131089,'Must not be engaged in pvp combat',100,2,3),
(236728,131089,'Cannot be modified except by direct means',100,2,4),
(236729,10131089,'When Equipped:',100,0,0),
(236730,10131089,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(236731,10131089,'Inflicts 1589 disease damage on target encounter',100,2,2),
(236732,10131089,'Must not be engaged in pvp combat',100,2,3),
(236733,10131089,'Cannot be modified except by direct means',100,2,4),
(236734,123659,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(236735,123659,'Slows target by 41.8%',100,2,1),
(236736,123659,'5% chance to dispel when target receives hostile action',100,2,2),
(236737,123659,'5% chance to dispel when target takes damage',100,2,3),
(236738,123659,'Inflicts 365 - 447 cold damage on target',100,1,4),
(236739,10123659,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(236740,10123659,'Slows target by 41.8%',100,2,1),
(236741,10123659,'5% chance to dispel when target receives hostile action',100,2,2),
(236742,10123659,'5% chance to dispel when target takes damage',100,2,3),
(236743,10123659,'Inflicts 376 - 459 cold damage on target',100,1,4),
(236744,122160,'Inflicts 21 - 25 cold damage on target instantly and every 2 seconds',100,1,0),
(236745,122160,'Inflicts 21 - 25 cold damage on target instantly and every 2 seconds',100,1,1),
(236746,122160,'If target is elemental',100,2,2),
(236747,10122160,'Inflicts 25 - 30 cold damage on target instantly and every 2 seconds',100,1,0),
(236748,123086,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',100,1,0),
(236749,123086,'Roots target',100,2,1),
(236750,123086,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(236751,123086,'Slows target by 43.3%',100,3,3),
(236752,123086,'5% chance to dispel when target receives hostile action',100,3,4),
(236753,123086,'5% chance to dispel when target takes damage',100,3,5),
(236754,123086,'5% chance to dispel when target takes damage',100,2,6),
(236755,123086,'Does not affect Epic targets',100,2,7),
(236756,123086,'Resistibility increases against targets higher than level 76.',100,2,8),
(236757,123086,'Decreases AGI of target encounter by 40.3',100,1,9),
(236758,10123086,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(236759,10123086,'Roots target',100,2,1),
(236760,10123086,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(236761,10123086,'Slows target by 43.3%',100,3,3),
(236762,10123086,'5% chance to dispel when target receives hostile action',100,3,4),
(236763,10123086,'5% chance to dispel when target takes damage',100,3,5),
(236764,10123086,'5% chance to dispel when target takes damage',100,2,6),
(236765,10123086,'Does not affect Epic targets',100,2,7),
(236766,10123086,'Resistibility increases against targets higher than level 76.',100,2,8),
(236767,10123086,'Decreases AGI of target encounter by 40.3',100,1,9),
(236768,170493,'When Equipped:',100,0,0),
(236769,170493,'On a healing spell cast this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(236770,170493,'Increases INT and WIS of caster by 100.0',100,2,2),
(236771,170493,'Increases Crit Bonus of caster by 6.0%',100,2,3),
(236772,170493,'Must not be engaged in pvp combat',100,2,4),
(236773,170493,'Cannot be modified except by direct means',100,2,5),
(236774,170493,'On any combat or spell hit this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(236775,170493,'Increases INT and WIS of caster by 100.0',100,2,7),
(236776,170493,'Increases Crit Bonus of caster by 6.0%',100,2,8),
(236777,170493,'Must not be engaged in pvp combat',100,2,9),
(236778,170493,'Cannot be modified except by direct means',100,2,10),
(236779,170493,'Cannot be modified except by direct means',100,1,11),
(236780,10170493,'When Equipped:',100,0,0),
(236781,10170493,'On a healing spell cast this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(236782,10170493,'Increases INT and WIS of caster by 100.0',100,2,2),
(236783,10170493,'Increases Crit Bonus of caster by 6.0%',100,2,3),
(236784,10170493,'Must not be engaged in pvp combat',100,2,4),
(236785,10170493,'Cannot be modified except by direct means',100,2,5),
(236786,10170493,'On any combat or spell hit this spell may cast Erudition of the Dragon Lords on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(236787,10170493,'Increases INT and WIS of caster by 100.0',100,2,7),
(236788,10170493,'Increases Crit Bonus of caster by 6.0%',100,2,8),
(236789,10170493,'Must not be engaged in pvp combat',100,2,9),
(236790,10170493,'Cannot be modified except by direct means',100,2,10),
(236791,10170493,'Cannot be modified except by direct means',100,1,11),
(236792,113129,'Decreases Attack Speed of target encounter by 19.6',100,1,0),
(236793,10113129,'Decreases Attack Speed of target encounter by 19.6',100,1,0),
(236794,113622,'Inflicts 399 - 666 melee damage on target',100,1,0),
(236795,113622,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 60.3',100,1,1),
(236796,113622,'Must be flanking or behind',100,1,2),
(236797,10113622,'Inflicts 479 - 799 melee damage on target',100,1,0),
(236798,10113622,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 60.3',100,1,1),
(236799,10113622,'Must be flanking or behind',100,1,2),
(236800,48880,'Applies Sanctification of the Swashbuckler  when Activated.  Lasts for 30 minutes.',100,0,0),
(236801,48880,'Increases AGI of caster by 38.7',100,1,1),
(236802,10048880,'Applies Sanctification of the Swashbuckler  when Activated.  Lasts for 30 minutes.',100,0,0),
(236803,10048880,'Increases AGI of caster by 38.7',100,1,1),
(236804,111428,'Decreases Attack Speed of caster by 11.3',100,1,0),
(236805,111428,'Slows caster by 32.6%',100,1,1),
(236806,111428,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(236807,111428,'Slows targets in Area of Effect by 45.6%',100,2,3),
(236808,111428,'5% chance to dispel when target receives hostile action',100,2,4),
(236809,111428,'5% chance to dispel when target takes damage',100,2,5),
(236810,111428,'Increases Mitigation of caster vs physical damage by 207',100,1,6),
(236811,10111428,'Decreases Attack Speed of caster by 11.3',100,1,0),
(236812,10111428,'Slows caster by 32.6%',100,1,1),
(236813,10111428,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(236814,10111428,'Slows targets in Area of Effect by 34.2%',100,2,3),
(236815,10111428,'5% chance to dispel when target receives hostile action',100,2,4),
(236816,10111428,'5% chance to dispel when target takes damage',100,2,5),
(236817,10111428,'Increases Mitigation of caster vs physical damage by 207',100,1,6),
(236818,188258,'When Equipped:',100,0,0),
(236819,188258,'1% of all damage received by the caster is prevented.',100,1,1),
(236820,188258,'Must not be engaged in pvp combat',100,1,2),
(236821,10188258,'When Equipped:',100,0,0),
(236822,10188258,'1% of all damage received by the caster is prevented.',100,1,1),
(236823,10188258,'Must not be engaged in pvp combat',100,1,2),
(236824,144533,'When Equipped:',100,0,0),
(236825,144533,'This effect will not stack with itself.',100,1,1),
(236826,144533,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(236827,144533,'Inflicts 3442 - 3804 piercing damage on target encounter',100,2,3),
(236828,144533,'Heals group members (AE) for 3767 - 4164',100,2,4),
(236829,144533,'Must not be engaged in pvp combat',100,2,5),
(236830,144533,'Cannot be modified except by direct means',100,2,6),
(236831,144533,'Must not be engaged in pvp combat',100,1,7),
(236832,10144533,'When Equipped:',100,0,0),
(236833,10144533,'This effect will not stack with itself.',100,1,1),
(236834,10144533,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(236835,10144533,'Inflicts 4130 - 4565 piercing damage on target encounter',100,2,3),
(236836,10144533,'Heals group members (AE) for 4408 - 4872',100,2,4),
(236837,10144533,'Must not be engaged in pvp combat',100,2,5),
(236838,10144533,'Cannot be modified except by direct means',100,2,6),
(236839,10144533,'Must not be engaged in pvp combat',100,1,7),
(236840,119795,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(236841,119795,'Adds 1.1% to base avoidance.',100,1,1),
(236842,10119795,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(236843,10119795,'Adds 1.1% to base avoidance.',100,1,1),
(236844,101801,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(236845,101801,'Decreases Threat to target by 514 ',100,2,1),
(236846,10101801,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(236847,10101801,'Inflicts 28 - 31 crushing damage on target',100,2,1),
(236848,159864,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236849,159864,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236850,159864,'Inflicts 167 heat damage on target',100,2,2),
(236851,159864,'Cannot be modified except by direct means',100,2,3),
(236852,10159864,'Applies Sanguine Imbued when Equipped.',100,0,0),
(236853,10159864,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(236854,10159864,'Inflicts 200 heat damage on target',100,2,2),
(236855,10159864,'Cannot be modified except by direct means',100,2,3),
(236856,45511,'Applies Trap ChokÃ©mon when Activated.',100,0,0),
(236857,10045511,'Applies Trap ChokÃ©mon when Activated.',100,0,0),
(236858,36493,'Increases Max Health of target by 3.9',100,0,0),
(236859,36493,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(236860,162528,'When Equipped:',100,0,0),
(236861,162528,'On a combat hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(236862,162528,'Inflicts 183 magic damage on target',100,2,2),
(236863,162528,'Heals caster for 102',100,2,3),
(236864,162528,'Cannot be modified except by direct means',100,2,4),
(236865,10162528,'When Equipped:',100,0,0),
(236866,10162528,'On a combat hit this spell may cast Act of Survival on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(236867,10162528,'Inflicts 220 magic damage on target',100,2,2),
(236868,10162528,'Heals caster for 66',100,2,3),
(236869,10162528,'Cannot be modified except by direct means',100,2,4),
(236870,111904,'Inflicts 9 - 16 piercing damage on target instantly and every 4 seconds',100,1,0),
(236871,111904,'Inflicts 34 - 57 piercing damage on target',100,1,1),
(236872,111904,'If facing target',100,1,2),
(236873,10111904,'Inflicts 11 - 19 piercing damage on target instantly and every 4 seconds',100,1,0),
(236874,10111904,'Inflicts 41 - 68 piercing damage on target',100,1,1),
(236875,10111904,'If facing target',100,1,2),
(236876,105715,'Decreases Attack Speed of target encounter by 30.7',100,1,0),
(236877,105715,'Slows target encounter by 38.7%',100,1,1),
(236878,10105715,'Decreases Attack Speed of target encounter by 30.7',100,1,0),
(236879,10105715,'Slows target encounter by 38.7%',100,1,1),
(236880,169127,'When Equipped:',100,0,0),
(236881,169127,'Increases spell damage and healing of the caster''s group by 50.',100,1,1),
(236882,10169127,'When Equipped:',100,0,0),
(236883,10169127,'Increases spell damage and healing of the caster''s group by 50.',100,1,1),
(236884,114906,'Inflicts 90 - 150 melee damage on target',100,1,0),
(236885,114906,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 400',100,1,1),
(236886,114906,'Must be behind',100,1,2),
(236887,10114906,'Inflicts 108 - 180 melee damage on target',100,1,0),
(236888,10114906,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 200',100,1,1),
(236889,10114906,'Must be behind',100,1,2),
(236890,123192,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(236891,123192,'Inflicts 19 - 23 disease damage on target',100,2,1),
(236892,123192,'Heals caster for 44 - 53',100,2,2),
(236893,123192,'This effect cannot be critically applied.',100,3,3),
(236894,123192,'The healing of this spell cannot be modified except by direct means',100,2,4),
(236895,123192,'Grants a total of 5 triggers of the spell.',100,2,5),
(236896,10123192,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(236897,10123192,'Inflicts 23 - 28 disease damage on target',100,2,1),
(236898,10123192,'Heals caster for 15 - 19',100,2,2),
(236899,10123192,'This effect cannot be critically applied.',100,3,3),
(236900,10123192,'The healing of this spell cannot be modified except by direct means',100,2,4),
(236901,10123192,'Grants a total of 5 triggers of the spell.',100,2,5),
(236902,46284,'Applies Place the Device when Activated.',100,0,0),
(236903,46284,'Place the explosive device in the caves.',100,1,1),
(236904,10046284,'Applies Place the Device when Activated.',100,0,0),
(236905,10046284,'Place the explosive device in the caves.',100,1,1),
(236906,101269,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(236907,101269,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,1),
(236908,10101269,'Increases Max Health of group members (AE) by 22.8',100,1,0),
(236909,10101269,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,1),
(236910,35999,'Increases STR of target by 1.5',100,0,0),
(236911,35999,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(236912,35603,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(236913,25898,'When Equipped:',100,0,0),
(236914,25898,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(236915,25898,'Improves the base damage of Will to Survive by 15% and reduces the reuse time by 10 seconds.',100,1,2),
(236916,10025898,'When Equipped:',100,0,0),
(236917,10025898,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(236918,10025898,'Improves the base damage of Will to Survive by 15% and reduces the reuse time by 10 seconds.',100,1,2),
(236919,117094,'Mesmerizes target encounter',100,1,0),
(236920,117094,'Prevents AOE (except when direct) ',100,1,1),
(236921,117094,'Dispelled when target takes damage',100,1,2),
(236922,117094,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(236923,117094,'Resistibility increases against targets higher than level 68.',100,1,4),
(236924,10117094,'Mesmerizes target encounter',100,1,0),
(236925,10117094,'Prevents AOE (except when direct) ',100,1,1),
(236926,10117094,'Dispelled when target takes damage',100,1,2),
(236927,10117094,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(236928,10117094,'Resistibility increases against targets higher than level 68.',100,1,4),
(236929,107484,'Inflicts 193 - 578 magic damage on targets in Area of Effect',100,1,0),
(236930,107484,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(236931,107484,'Stuns target',100,2,2),
(236932,107484,'Throws target back',100,2,3),
(236933,107484,'Blurs vision of target',100,2,4),
(236934,107484,'Does not affect Epic targets',100,2,5),
(236935,10107484,'Inflicts 231 - 693 magic damage on targets in Area of Effect',100,1,0),
(236936,10107484,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(236937,10107484,'Stuns target',100,2,2),
(236938,10107484,'Blurs vision of target',100,2,3),
(236939,10107484,'Throws target back',100,2,4),
(236940,10107484,'Does not affect Epic targets',100,2,5),
(236941,104044,'Inflicts 18 - 22 mental damage on target instantly and every 6 seconds',100,1,0),
(236942,104044,'Applies Migraine on termination.',100,1,1),
(236943,104044,'Inflicts 52 - 70 mental damage on target',100,2,2),
(236944,10104044,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',100,1,0),
(236945,10104044,'Applies Migraine on termination.',100,1,1),
(236946,10104044,'Inflicts 62 - 84 mental damage on target',100,2,2),
(236947,111501,'Increases AGI of caster by 103.8',100,1,0),
(236948,111501,'Increases Attack Speed of caster by 48.8',100,1,1),
(236949,111501,'Increases in-combat movement speed of caster by 8.0%',100,1,2),
(236950,111501,'Adds 25.0% to base avoidance.',100,1,3),
(236951,111501,'Increases Mitigation of caster vs physical damage by 885',100,1,4),
(236952,111501,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,5),
(236953,10111501,'Increases AGI of caster by 103.8',100,1,0),
(236954,10111501,'Increases Attack Speed of caster by 48.8',100,1,1),
(236955,10111501,'Increases speed of caster by 8.0%',100,1,2),
(236956,10111501,'Adds 25.0% to base avoidance.',100,1,3),
(236957,10111501,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,4),
(236958,80325,'When Equipped:',100,0,0),
(236959,80325,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236960,80325,'Inflicts 130 - 241 magic damage on target',100,2,2),
(236961,80325,'Cannot be modified except by direct means',100,2,3),
(236962,10080325,'When Equipped:',100,0,0),
(236963,10080325,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236964,10080325,'Inflicts 156 - 290 magic damage on target',100,2,2),
(236965,10080325,'Cannot be modified except by direct means',100,2,3),
(236966,120862,'Inflicts 23 - 39 mental damage on target',100,1,0),
(236967,120862,'Inflicts 23 - 39 mental damage on target',100,1,1),
(236968,10120862,'Inflicts 28 - 47 mental damage on target',100,1,0),
(236969,10120862,'Inflicts 28 - 47 mental damage on target',100,1,1),
(236970,100591,'Inflicts 233 - 389 melee damage on target',100,1,0),
(236971,100591,'You must be sneaking to use this ability.',100,1,1),
(236972,10100591,'Inflicts 335 - 558 melee damage on target',100,1,0),
(236973,10100591,'You must be sneaking to use this ability.',100,1,1),
(236974,101290,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(236975,101290,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,1),
(236976,10101290,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(236977,10101290,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,1),
(236978,81809,'When Equipped:',100,0,0),
(236979,81809,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236980,81809,'Inflicts 94 - 175 magic damage on target',100,2,2),
(236981,81809,'Cannot be modified except by direct means',100,2,3),
(236982,10081809,'When Equipped:',100,0,0),
(236983,10081809,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(236984,10081809,'Inflicts 113 - 210 magic damage on target',100,2,2),
(236985,10081809,'Cannot be modified except by direct means',100,2,3),
(236986,166477,'When Equipped:',100,0,0),
(236987,166477,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(236988,10166477,'When Equipped:',100,0,0),
(236989,10166477,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(236990,74536,'Applies Fire Ball when Activated.',100,0,0),
(236991,74536,'Inflicts 72 - 121 heat damage on target',100,1,1),
(236992,74536,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236993,10074536,'Applies Fire Ball when Activated.',100,0,0),
(236994,10074536,'Inflicts 87 - 145 heat damage on target',100,1,1),
(236995,10074536,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(236996,121824,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(236997,121824,'Increases Mitigation of group members (AE) vs arcane damage by 356',100,1,1),
(236998,10121824,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(236999,10121824,'Increases Mitigation of group members (AE) vs arcane damage by 356',100,1,1),
(237000,36797,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(237001,25010,'When Equipped:',100,0,0),
(237002,25010,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(237003,25010,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(237004,10025010,'When Equipped:',100,0,0),
(237005,10025010,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(237006,10025010,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,2),
(237007,119982,'Increases Threat to target by 295 - 359 ',100,1,0),
(237008,10119982,'Prevents target from changing targets',100,1,0),
(237009,10119982,'Forces target to change their selected target to caster.',100,1,1),
(237010,106872,'Decreases Threat to targets in Area of Effect by 1,424 ',100,1,0),
(237011,106872,'Stuns targets in Area of Effect',100,1,1),
(237012,106872,'If Target is not Epic',100,2,2),
(237013,10106872,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(237014,10106872,'Applies Distract.',100,1,1),
(237015,10106872,'Forces target to clear their selected target.',100,2,2),
(237016,10106872,'Stuns targets in Area of Effect',100,1,3),
(237017,10106872,'If Target is not Epic',100,2,4),
(237018,121082,'Increases STR and STA of group members (AE) by 83.2',100,1,0),
(237019,10121082,'Increases STR and STA of group members (AE) by 83.2',100,1,0),
(237020,113446,'Increases INT of target by 27.7',100,1,0),
(237021,113446,'Increases Max Health of target by 132.5',100,1,1),
(237022,10113446,'Increases INT of target by 27.7',100,1,0),
(237023,10113446,'Increases Max Health of target by 132.5',100,1,1),
(237024,109737,'Inflicts 302 - 504 cold damage on target',100,1,0),
(237025,109737,'If weapon equipped in Ranged',100,1,1),
(237026,10109737,'Inflicts 257 - 428 cold damage on target',100,1,0),
(237027,10109737,'If weapon equipped in Ranged',100,1,1),
(237028,120690,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.8',100,1,0),
(237029,10120690,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.8',100,1,0),
(237030,117668,'Decreases Mitigation of target vs physical damage by 361',100,1,0),
(237031,10117668,'Decreases Mitigation of target vs physical damage by 181',100,1,0),
(237032,175972,'When Equipped:',100,0,0),
(237033,175972,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(237034,10175972,'When Equipped:',100,0,0),
(237035,10175972,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(237036,45733,'Applies Silverwind''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(237037,45733,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(237038,10045733,'Applies Silverwind''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(237039,10045733,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(237040,48000,'Applies Draw upon Essence when Activated.',100,0,0),
(237041,48000,'Increases power of caster by 7',100,1,1),
(237042,48000,'Requires 15 Health to cast.',100,1,2),
(237043,10048000,'Applies Draw upon Essence when Activated.',100,0,0),
(237044,10048000,'Increases power of caster by 7',100,1,1),
(237045,10048000,'Requires 15 Health to cast.',100,1,2),
(237046,24243,'Adds Cyclops (Bruiser)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(237047,10024243,'Adds Cyclops (Bruiser)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(237048,114994,'Inflicts 392 - 654 ranged damage on targets in area',100,1,0),
(237049,114994,'You must be in stealth to use this!',100,1,1),
(237050,114994,'Requires bow',100,1,2),
(237051,10114994,'Inflicts 333 - 555 ranged damage on targets in area',100,1,0),
(237052,10114994,'You must be in stealth to use this!',100,1,1),
(237053,10114994,'Requires bow',100,1,2),
(237054,109209,'Decreases Ranged, Crushing, Piercing and Slashing of target encounter by 18.1',100,1,0),
(237055,10109209,'Decreases Ranged, Crushing, Piercing and Slashing of target encounter by 18.1',100,1,0),
(237056,101052,'Summons 3 limited pets to aid the caster',100,1,0),
(237057,10101052,'Summons 3 limited pets to aid the caster',100,1,0),
(237058,115005,'Inflicts 724 - 1208 ranged damage on targets in area',100,1,0),
(237059,115005,'You must be in stealth to use this!',100,1,1),
(237060,115005,'Requires bow',100,1,2),
(237061,10115005,'Inflicts 616 - 1026 ranged damage on targets in area',100,1,0),
(237062,10115005,'You must be in stealth to use this!',100,1,1),
(237063,10115005,'Requires bow',100,1,2),
(237064,24016,'Adds Boss: Aviak (Guardian) to your Dungeon Maker toolbox',100,0,0),
(237065,10024016,'Adds Boss: Aviak (Guardian) to your Dungeon Maker toolbox',100,0,0),
(237066,177793,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(237067,177793,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(237068,177793,'Decreases Attack Speed of target by 13.2',100,2,2),
(237069,177793,'Cannot be modified except by direct means',100,2,3),
(237070,177793,'Slows target by 32.2%',100,1,4),
(237071,177793,'5% chance to dispel when target takes damage',100,1,5),
(237072,177793,'5% chance to dispel when target receives hostile action',100,1,6),
(237073,177793,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(237074,10177793,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(237075,10177793,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(237076,10177793,'Decreases Attack Speed of target by 13.2',100,2,2),
(237077,10177793,'Cannot be modified except by direct means',100,2,3),
(237078,10177793,'Slows target by 32.2%',100,1,4),
(237079,10177793,'5% chance to dispel when target takes damage',100,1,5),
(237080,10177793,'5% chance to dispel when target receives hostile action',100,1,6),
(237081,10177793,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(237082,35270,'Increases STR of target by 1.5',100,0,0),
(237083,35270,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(237084,35207,'Increases Max Power of target by 3.3',100,0,0),
(237085,35207,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(237086,72084,'When Equipped:',100,0,0),
(237087,72084,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(237088,72084,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(237089,72084,'Cannot be modified except by direct means',100,2,3),
(237090,10072084,'When Equipped:',100,0,0),
(237091,10072084,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(237092,10072084,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(237093,10072084,'Cannot be modified except by direct means',100,2,3),
(237094,48255,'Applies Call Steel Armored Rhino with Orange Saddle when Activated.',100,0,0),
(237095,48255,'Summons a mount to ride',100,1,1),
(237096,48255,'Increases your ground speed by 130%',100,2,2),
(237097,48255,'Increases Max Health of caster by 100.0',100,1,3),
(237098,48255,'Increases Defense of caster by 3.0',100,1,4),
(237099,48255,'Increases Focus, Ranged, Slashing, Crushing and Piercing of caster by 7.0',100,1,5),
(237100,10048255,'Applies Call Steel Armored Rhino with Orange Saddle when Activated.',100,0,0),
(237101,10048255,'Summons a mount to ride',100,1,1),
(237102,10048255,'Increases your ground speed by 130%',100,2,2),
(237103,10048255,'Increases Max Health of caster by 100.0',100,1,3),
(237104,10048255,'Increases Defense of caster by 3.0',100,1,4),
(237105,10048255,'Increases Focus, Ranged, Slashing, Crushing and Piercing of caster by 7.0',100,1,5),
(237106,40111,'When Equipped:',100,0,0),
(237107,40111,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237108,40111,'Inflicts 734 piercing damage on target',100,2,2),
(237109,40111,'Cannot be modified except by direct means',100,2,3),
(237110,10040111,'When Equipped:',100,0,0),
(237111,10040111,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237112,10040111,'Inflicts 440 piercing damage on target',100,2,2),
(237113,10040111,'Cannot be modified except by direct means',100,2,3),
(237114,71058,'When Equipped:',100,0,0),
(237115,71058,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237116,71058,'Inflicts 94 - 114 magic damage on target',100,2,2),
(237117,71058,'Cannot be modified except by direct means',100,2,3),
(237118,10071058,'When Equipped:',100,0,0),
(237119,10071058,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237120,10071058,'Inflicts 112 - 137 magic damage on target',100,2,2),
(237121,10071058,'Cannot be modified except by direct means',100,2,3),
(237122,115428,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',100,1,0),
(237123,115428,'Decreases Mitigation of target vs arcane damage by 188',100,1,1),
(237124,10115428,'Inflicts 18 - 22 mental damage on target instantly and every 6 seconds',100,1,0),
(237125,10115428,'Decreases Mitigation of target vs arcane damage by 188',100,1,1),
(237126,108772,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(237127,108772,'Inflicts 29 - 36 heat damage on target instantly and every 4 seconds',100,2,1),
(237128,108772,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(237129,108772,'Inflicts 131 - 160 heat damage on target encounter',100,3,3),
(237130,108772,'Grants a total of 1 trigger of the spell.',100,3,4),
(237131,10108772,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(237132,10108772,'Inflicts 35 - 43 heat damage on target instantly and every 4 seconds',100,2,1),
(237133,10108772,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(237134,10108772,'Inflicts 157 - 192 heat damage on target encounter',100,3,3),
(237135,10108772,'Grants a total of 1 trigger of the spell.',100,3,4),
(237136,103571,'Increases In-Combat Power Regeneration of group members (AE) by 68.0',100,1,0),
(237137,10103571,'Increases In-Combat Power Regeneration of group members (AE) by 68.0',100,1,0),
(237138,144294,'When Equipped:',100,0,0),
(237139,144294,'Increases the caster''s heals and wards by 5%.',100,1,1),
(237140,144294,'Must not be engaged in pvp combat',100,1,2),
(237141,10144294,'When Equipped:',100,0,0),
(237142,10144294,'Increases the caster''s heals and wards by 5%.',100,1,1),
(237143,10144294,'Must not be engaged in pvp combat',100,1,2),
(237144,113104,'Heals target for 44.5 - 54.3% of max health',100,1,0),
(237145,113104,'This effect cannot be critically applied.',100,2,1),
(237146,113104,'Increases Max Health of target by 510.9',100,1,2),
(237147,113104,'Increases Mitigation of target vs physical damage by 589',100,1,3),
(237148,113104,'The healing of this spell cannot be modified except by direct means',100,1,4),
(237149,10113104,'Heals target for 17.8 - 21.7% of max health',100,1,0),
(237150,10113104,'This effect cannot be critically applied.',100,2,1),
(237151,10113104,'Increases Max Health of target by 510.9',100,1,2),
(237152,10113104,'Increases Mitigation of target vs physical damage by 589',100,1,3),
(237153,10113104,'The healing of this spell cannot be modified except by direct means',100,1,4),
(237154,109366,'Inflicts 60 - 180 melee damage on target',100,1,0),
(237155,109366,'Inflicts 75 - 225 melee damage on target',100,1,1),
(237156,109366,'Inflicts 90 - 270 melee damage on target',100,1,2),
(237157,10109366,'Inflicts 72 - 216 melee damage on target',100,1,0),
(237158,10109366,'Inflicts 90 - 270 melee damage on target',100,1,1),
(237159,10109366,'Inflicts 108 - 324 melee damage on target',100,1,2),
(237160,46756,'Applies Krok''s Pot Soup when Activated.',100,0,0),
(237161,46756,'Summons 5 Krok''s Soups',100,1,1),
(237162,46756,'This effect cannot be cast during combat',100,1,2),
(237163,10046756,'Applies Krok''s Pot Soup when Activated.',100,0,0),
(237164,10046756,'Summons 5 Krok''s Soups',100,1,1),
(237165,10046756,'This effect cannot be cast during combat',100,1,2),
(237166,112813,'Inflicts 619 - 1032 slashing damage on target',100,1,0),
(237167,112813,'Stifles target',100,1,1),
(237168,112813,'If Target is not Epic',100,2,2),
(237169,112813,'You must be in stealth.',100,1,3),
(237170,112813,'Resistibility increases against targets higher than level 103.',100,1,4),
(237171,10112813,'Inflicts 743 - 1238 slashing damage on target',100,1,0),
(237172,10112813,'Stifles target',100,1,1),
(237173,10112813,'If Target is not Epic',100,2,2),
(237174,10112813,'You must be in stealth.',100,1,3),
(237175,10112813,'Resistibility increases against targets higher than level 103.',100,1,4),
(237176,114301,'Heals target for 656 - 802',100,1,0),
(237177,10114301,'Heals target for 772 - 943',100,1,0),
(237178,106657,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(237179,106657,'Increases Mitigation of caster vs physical damage by 324',100,2,1),
(237180,106657,'Decreases Mitigation of target encounter vs physical damage by 1944',100,1,2),
(237181,10106657,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(237182,10106657,'Increases Mitigation of caster vs physical damage by 324',100,2,1),
(237183,10106657,'Decreases Mitigation of target encounter vs physical damage by 1944',100,1,2),
(237184,102683,'Inflicts 281 divine damage on target encounter',100,1,0),
(237185,10102683,'Inflicts 337 divine damage on target encounter',100,1,0),
(237186,100265,'Summons a limited pet to aid the caster',100,1,0),
(237187,10100265,'Summons a limited pet to aid the caster',100,1,0),
(237188,47310,'Applies Spirit of the Hunt  when Activated.',100,0,0),
(237189,47310,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(237190,10047310,'Applies Spirit of the Hunt  when Activated.',100,0,0),
(237191,10047310,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(237192,110033,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(237193,110033,'Inflicts 153 - 256 disease damage on target',100,2,1),
(237194,110033,'Heals caster for 1.9 - 3.1% of max health',100,2,2),
(237195,110033,'This effect cannot be critically applied.',100,3,3),
(237196,110033,'The healing of this spell cannot be modified except by direct means',100,2,4),
(237197,10110033,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(237198,10110033,'Inflicts 184 - 307 disease damage on target',100,2,1),
(237199,10110033,'Heals caster for 0.6 - 0.9% of max health',100,2,2),
(237200,10110033,'This effect cannot be critically applied.',100,3,3),
(237201,10110033,'The healing of this spell cannot be modified except by direct means',100,2,4),
(237202,119683,'Increases Threat to target encounter by 64 - 77 ',100,1,0),
(237203,74719,'When Equipped:',100,0,0),
(237204,74719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237205,74719,'Inflicts 60 - 90 magic damage on target',100,2,2),
(237206,74719,'Cannot be modified except by direct means',100,2,3),
(237207,10074719,'When Equipped:',100,0,0),
(237208,10074719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237209,10074719,'Inflicts 72 - 108 magic damage on target',100,2,2),
(237210,10074719,'Cannot be modified except by direct means',100,2,3),
(237211,81946,'When Equipped:',100,0,0),
(237212,81946,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(237213,81946,'Inflicts 261 - 484 magic damage on target',100,2,2),
(237214,81946,'Decreases Threat to target by 994 ',100,2,3),
(237215,81946,'Must be flanking or behind',100,3,4),
(237216,81946,'Increases Threat to target by 999 ',100,2,5),
(237217,81946,'Must be in front of',100,3,6),
(237218,81946,'Cannot be modified except by direct means',100,2,7),
(237219,10081946,'When Equipped:',100,0,0),
(237220,10081946,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(237221,10081946,'Inflicts 313 - 581 magic damage on target',100,2,2),
(237222,10081946,'Cannot be modified except by direct means',100,2,3),
(237223,102556,'Increases AGI of caster by 43.9',100,1,0),
(237224,102556,'Increases Max Health of caster by 108.2',100,1,1),
(237225,102556,'Adds 21.8% to base avoidance.',100,1,2),
(237226,102556,'Increases Mitigation of caster vs physical damage by 265',100,1,3),
(237227,102556,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,4),
(237228,10102556,'Increases AGI of caster by 43.9',100,1,0),
(237229,10102556,'Increases Max Health of caster by 108.2',100,1,1),
(237230,10102556,'Adds 21.8% to base avoidance.',100,1,2),
(237231,10102556,'Increases Mitigation of caster vs physical damage by 265',100,1,3),
(237232,10102556,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,4),
(237233,121029,'Increases AGI of target by 14.9',100,1,0),
(237234,121029,'Adds 0.7% to base avoidance.',100,1,1),
(237235,121029,'Increases In-Combat Power Regeneration of target by 7.4',100,1,2),
(237236,121029,'Increases Max Power of target by 90.7',100,1,3),
(237237,10121029,'Increases AGI of target by 14.9',100,1,0),
(237238,10121029,'Adds 0.7% to base avoidance.',100,1,1),
(237239,10121029,'Increases In-Combat Power Regeneration of target by 7.4',100,1,2),
(237240,10121029,'Increases Max Power of target by 90.7',100,1,3),
(237241,46605,'Applies Guardsmanship of the Thicket when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(237242,46605,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(237243,46605,'Inflicts 6 magic damage on target',100,2,2),
(237244,46605,'Cannot be modified except by direct means',100,2,3),
(237245,10046605,'Applies Guardsmanship of the Thicket when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(237246,10046605,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(237247,10046605,'Inflicts 8 magic damage on target',100,2,2),
(237248,10046605,'Cannot be modified except by direct means',100,2,3),
(237249,104222,'Inflicts 89 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(237250,104222,'Decreases WIS of target encounter by 56.4',100,1,1),
(237251,10104222,'Inflicts 107 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(237252,10104222,'Decreases WIS of target encounter by 56.4',100,1,1),
(237253,106585,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(237254,106585,'Increases Parry of caster by 9.0',100,1,1),
(237255,10106585,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(237256,10106585,'Increases Parry of caster by 9.0',100,1,1),
(237257,102775,'Increases STR of caster by 24.3',100,1,0),
(237258,102775,'Increases Max Health of caster by 133.4',100,1,1),
(237259,102775,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 667',100,1,2),
(237260,10102775,'Increases STR of caster by 24.3',100,1,0),
(237261,10102775,'Increases Max Health of caster by 133.4',100,1,1),
(237262,10102775,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 667',100,1,2),
(237263,119062,'Decreases power of target by 182 - 304',100,1,0),
(237264,119062,'Increases power of caster by 109 - 182',100,1,1),
(237265,119062,'Inflicts 194 - 324 mental damage on target',100,1,2),
(237266,10119062,'Decreases power of target by 182 - 304',100,1,0),
(237267,10119062,'Increases power of caster by 109 - 182',100,1,1),
(237268,10119062,'Inflicts 233 - 389 mental damage on target',100,1,2),
(237269,109250,'Increases INT and WIS of group members (AE) by 57.3',100,1,0),
(237270,109250,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 162',100,1,1),
(237271,10109250,'Increases INT and WIS of group members (AE) by 57.3',100,1,0),
(237272,10109250,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 162',100,1,1),
(237273,100497,'Increases Attack Speed of group members (AE) by 12.3',100,1,0),
(237274,10100497,'Increases Attack Speed of group members (AE) by 12.3',100,1,0),
(237275,118813,'Wards group members (AE) against 90 points of physical damage',100,1,0),
(237276,118813,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,1),
(237277,10118813,'Wards group members (AE) against 90 points of physical damage',100,1,0),
(237278,10118813,'Increases Mitigation of group members (AE) vs physical damage by 849',100,1,1),
(237279,87354,'When Equipped:',100,0,0),
(237280,87354,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237281,87354,'Inflicts 96 - 144 magic damage on target',100,2,2),
(237282,87354,'Cannot be modified except by direct means',100,2,3),
(237283,10087354,'When Equipped:',100,0,0),
(237284,10087354,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237285,10087354,'Inflicts 115 - 173 magic damage on target',100,2,2),
(237286,10087354,'Cannot be modified except by direct means',100,2,3),
(237287,80545,'When Equipped:',100,0,0),
(237288,80545,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(237289,80545,'Inflicts 77 - 144 magic damage on target',100,2,2),
(237290,80545,'Decreases Threat to target by 352 ',100,2,3),
(237291,80545,'Must be flanking or behind',100,3,4),
(237292,80545,'Increases Threat to target by 357 ',100,2,5),
(237293,80545,'Must be in front of',100,3,6),
(237294,80545,'Cannot be modified except by direct means',100,2,7),
(237295,10080545,'When Equipped:',100,0,0),
(237296,10080545,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(237297,10080545,'Inflicts 93 - 173 magic damage on target',100,2,2),
(237298,10080545,'Cannot be modified except by direct means',100,2,3),
(237299,116574,'Inflicts 29 - 49 divine damage on target',100,1,0),
(237300,10116574,'Inflicts 35 - 59 divine damage on target',100,1,0),
(237301,45509,'Applies Chilton''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(237302,45509,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(237303,10045509,'Applies Chilton''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(237304,10045509,'Increases power of caster by 24 instantly and every 5 seconds',100,1,1),
(237305,27469,'When Equipped:',100,0,0),
(237306,27469,'When damaged this spell has a 5% chance to cast Cipher on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,1),
(237307,27469,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(237308,27469,'Applies Velium Cipher on termination.',100,2,3),
(237309,27469,'Increases power of group members by 551',100,3,4),
(237310,27469,'Cannot be modified except by direct means',100,2,5),
(237311,27469,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(237312,27469,'Must not be engaged in pvp combat',100,1,7),
(237313,27469,'Cannot be modified except by direct means',100,1,8),
(237314,10027469,'When Equipped:',100,0,0),
(237315,10027469,'When damaged this spell has a 5% chance to cast Cipher on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,1),
(237316,10027469,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(237317,10027469,'Applies Velium Cipher on termination.',100,2,3),
(237318,10027469,'Increases power of group members by 551',100,3,4),
(237319,10027469,'Cannot be modified except by direct means',100,2,5),
(237320,10027469,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(237321,10027469,'Must not be engaged in pvp combat',100,1,7),
(237322,10027469,'Cannot be modified except by direct means',100,1,8),
(237323,108421,'Heals target for 1216 - 1487',100,1,0),
(237324,10108421,'Heals target for 1455 - 1778',100,1,0),
(237325,115230,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(237326,115230,'Decreases Mitigation of target vs noxious damage by 1006',100,2,1),
(237327,115230,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(237328,115230,'Decreases Mitigation of target vs noxious damage by 1006',100,2,3),
(237329,10115230,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(237330,10115230,'Decreases Mitigation of target vs noxious damage by 1006',100,2,1),
(237331,10115230,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(237332,10115230,'Decreases Mitigation of target vs noxious damage by 1006',100,2,3),
(237333,190881,'When Equipped:',100,0,0),
(237334,190881,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(237335,190881,'When Equipped:',100,0,2),
(237336,190881,'Increases Attack Speed of caster by 38.0',100,1,3),
(237337,10190881,'When Equipped:',100,0,0),
(237338,10190881,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(237339,10190881,'When Equipped:',100,0,2),
(237340,10190881,'Increases Attack Speed of caster by 38.0',100,1,3),
(237341,81552,'When Equipped:',100,0,0),
(237342,81552,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(237343,81552,'Inflicts 107 - 199 magic damage on target',100,2,2),
(237344,81552,'Decreases Threat to target by 376 ',100,2,3),
(237345,81552,'Must be flanking or behind',100,3,4),
(237346,81552,'Increases Threat to target by 381 ',100,2,5),
(237347,81552,'Must be in front of',100,3,6),
(237348,81552,'Cannot be modified except by direct means',100,2,7),
(237349,10081552,'When Equipped:',100,0,0),
(237350,10081552,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(237351,10081552,'Inflicts 128 - 238 magic damage on target',100,2,2),
(237352,10081552,'Cannot be modified except by direct means',100,2,3),
(237353,105289,'Increases AGI of caster by 95.4',100,1,0),
(237354,105289,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(237355,105289,'Inflicts 82 - 137 mental damage on target',100,2,2),
(237356,105289,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(237357,105289,'Inflicts 82 - 137 mental damage on target',100,2,4),
(237358,105289,'Adds 18.7% to base avoidance.',100,1,5),
(237359,105289,'Increases Mitigation of caster vs physical damage by 344',100,1,6),
(237360,105289,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,7),
(237361,10105289,'Increases AGI of caster by 95.4',100,1,0),
(237362,10105289,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(237363,10105289,'Inflicts 98 - 164 mental damage on target',100,2,2),
(237364,10105289,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(237365,10105289,'Inflicts 98 - 164 mental damage on target',100,2,4),
(237366,10105289,'Adds 18.7% to base avoidance.',100,1,5),
(237367,10105289,'Increases Mitigation of caster vs physical damage by 344',100,1,6),
(237368,10105289,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,7),
(237369,170681,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(237370,170681,'Decreases Mitigation of target vs physical damage by 410',100,1,1),
(237371,170681,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(237372,10170681,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(237373,10170681,'Decreases Mitigation of target vs physical damage by 410',100,1,1),
(237374,10170681,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(237375,101804,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(237376,101804,'Decreases Threat to target by 866 ',100,2,1),
(237377,10101804,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(237378,10101804,'Inflicts 47 - 52 crushing damage on target',100,2,1),
(237379,24706,'Adds Sphinx (Wizard) to your Dungeon Maker toolbox',100,0,0),
(237380,10024706,'Adds Sphinx (Wizard) to your Dungeon Maker toolbox',100,0,0),
(237381,108931,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(237382,108931,'Inflicts 29 heat damage on target',100,2,1),
(237383,10108931,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(237384,10108931,'Inflicts 35 heat damage on target',100,2,1),
(237385,153791,'When Equipped:',100,0,0),
(237386,153791,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle III on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(237387,153791,'Heals caster for 257 - 314',100,2,2),
(237388,153791,'Increases Mitigation of caster vs physical damage by 385',100,2,3),
(237389,153791,'Must not be engaged in pvp combat',100,2,4),
(237390,153791,'Cannot be modified except by direct means',100,2,5),
(237391,153791,'Must not be engaged in pvp combat',100,1,6),
(237392,10153791,'When Equipped:',100,0,0),
(237393,10153791,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle III on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(237394,10153791,'Heals caster for 167 - 204',100,2,2),
(237395,10153791,'Increases Mitigation of caster vs physical damage by 385',100,2,3),
(237396,10153791,'Must not be engaged in pvp combat',100,2,4),
(237397,10153791,'Cannot be modified except by direct means',100,2,5),
(237398,10153791,'Must not be engaged in pvp combat',100,1,6),
(237399,166391,'When Equipped:',100,0,0),
(237400,166391,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(237401,166391,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(237402,166391,'Cannot be modified except by direct means',100,2,3),
(237403,10166391,'When Equipped:',100,0,0),
(237404,10166391,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(237405,10166391,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(237406,10166391,'Cannot be modified except by direct means',100,2,3),
(237407,118513,'Inflicts 12 - 21 melee damage on target',100,1,0),
(237408,118513,'Decreases STR of target by 9.0',100,1,1),
(237409,118513,'You must be sneaking to use this ability.',100,1,2),
(237410,10118513,'Inflicts 15 - 25 melee damage on target',100,1,0),
(237411,10118513,'Decreases STR of target by 9.0',100,1,1),
(237412,10118513,'You must be sneaking to use this ability.',100,1,2),
(237413,144709,'When Equipped:',100,0,0),
(237414,144709,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(237415,144709,'Increases Mitigation of target vs arcane damage by 930',100,2,2),
(237416,144709,'This effect can be stacked by multiple casters.',100,2,3),
(237417,144709,'Increases Mitigation of target vs physical, elemental and noxious damage by 930',100,2,4),
(237418,144709,'Cannot be modified except by direct means',100,2,5),
(237419,10144709,'When Equipped:',100,0,0),
(237420,10144709,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(237421,10144709,'Increases Mitigation of target vs arcane damage by 930',100,2,2),
(237422,10144709,'This effect can be stacked by multiple casters.',100,2,3),
(237423,10144709,'Increases Mitigation of target vs physical, elemental and noxious damage by 930',100,2,4),
(237424,10144709,'Cannot be modified except by direct means',100,2,5),
(237425,115118,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(237426,115118,'Increases WIS of target by 31.8',100,2,1),
(237427,115118,'Heals target for 284',100,2,2),
(237428,115118,'Heals target for 71 every 2 seconds',100,2,3),
(237429,115118,'Grants a total of 1 trigger of the spell.',100,2,4),
(237430,10115118,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(237431,10115118,'Increases WIS of target by 31.8',100,2,1),
(237432,10115118,'Heals target for 185',100,2,2),
(237433,10115118,'Heals target for 46 every 2 seconds',100,2,3),
(237434,10115118,'Grants a total of 1 trigger of the spell.',100,2,4),
(237435,100442,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(237436,100442,'Inflicts 206 - 343 slashing damage on target',100,2,1),
(237437,100442,'Increases Threat to target by 847 ',100,2,2),
(237438,100442,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(237439,100442,'Increases Threat to target by 847 ',100,2,4),
(237440,100442,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2183',100,1,5),
(237441,10100442,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(237442,10100442,'Inflicts 247 - 412 slashing damage on target',100,2,1),
(237443,10100442,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(237444,10100442,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2183',100,1,3),
(237445,35584,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(237446,35527,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(237447,100777,'Summons a limited pet to aid the caster',100,1,0),
(237448,10100777,'Summons a limited pet to aid the caster',100,1,0),
(237449,117491,'Increases Attack Speed of target by 31.2',100,1,0),
(237450,10117491,'Increases Attack Speed of target by 31.2',100,1,0),
(237451,105689,'Decreases Attack Speed of target encounter by 12.3',100,1,0),
(237452,105689,'Slows target encounter by 17.1%',100,1,1),
(237453,10105689,'Decreases Attack Speed of target encounter by 12.3',100,1,0),
(237454,10105689,'Slows target encounter by 17.1%',100,1,1),
(237455,116909,'Summons a limited pet to aid the caster',100,1,0),
(237456,10116909,'Summons a limited pet to aid the caster',100,1,0),
(237457,54723,'When Equipped:',100,0,0),
(237458,54723,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(237459,10054723,'When Equipped:',100,0,0),
(237460,10054723,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(237461,154641,'When Equipped:',100,0,0),
(237462,154641,'On a combat hit this spell may cast Infuriating Shout II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(237463,154641,'Increases Threat to target by 480 ',100,2,2),
(237464,154641,'Cannot be modified except by direct means',100,2,3),
(237465,10154641,'When Equipped:',100,0,0),
(237466,10154641,'On a combat hit this spell may cast Infuriating Shout II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(237467,10154641,'Cannot be modified except by direct means',100,2,2),
(237468,108604,'Feigns Death with 62% chance of success',100,1,0),
(237469,10108604,'Feigns Death with 62% chance of success',100,1,0),
(237470,110306,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(237471,110306,'Slows target by 66.1%',100,2,1),
(237472,110306,'5% chance to dispel when target receives hostile action',100,2,2),
(237473,110306,'5% chance to dispel when target takes damage',100,2,3),
(237474,110306,'Decreases Mitigation of target vs arcane damage by 2890',100,1,4),
(237475,10110306,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(237476,10110306,'Slows target by 66.1%',100,2,1),
(237477,10110306,'5% chance to dispel when target receives hostile action',100,2,2),
(237478,10110306,'5% chance to dispel when target takes damage',100,2,3),
(237479,10110306,'Decreases Mitigation of target vs arcane damage by 2890',100,1,4),
(237480,47380,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(237481,47380,'This potion will grant you the illusion of being an armored gnoll!',100,1,1),
(237482,10047380,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(237483,10047380,'This potion will grant you the illusion of being an armored gnoll!',100,1,1),
(237484,81966,'When Equipped:',100,0,0),
(237485,81966,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237486,81966,'Inflicts 261 - 484 magic damage on target',100,2,2),
(237487,81966,'Cannot be modified except by direct means',100,2,3),
(237488,10081966,'When Equipped:',100,0,0),
(237489,10081966,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237490,10081966,'Inflicts 313 - 581 magic damage on target',100,2,2),
(237491,10081966,'Cannot be modified except by direct means',100,2,3),
(237492,120990,'Inflicts 13 - 21 poison damage on target instantly and every 4 seconds',100,1,0),
(237493,120990,'Inflicts 51 - 85 poison damage on target',100,1,1),
(237494,10120990,'Inflicts 15 - 26 poison damage on target instantly and every 4 seconds',100,1,0),
(237495,10120990,'Inflicts 61 - 102 poison damage on target',100,1,1),
(237496,122279,'Makes targets in Area of Effect afraid',100,1,0),
(237497,122279,'If Target is not Epic',100,2,1),
(237498,122279,'Decreases Threat to targets in Area of Effect by 1,959 ',100,1,2),
(237499,122279,'30% chance to dispel when target takes damage',100,1,3),
(237500,10122279,'Makes targets in Area of Effect afraid',100,1,0),
(237501,10122279,'If Target is not Epic',100,2,1),
(237502,10122279,'Applies Distract.',100,1,2),
(237503,10122279,'Forces target to clear their selected target.',100,2,3),
(237504,10122279,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(237505,10122279,'30% chance to dispel when target takes damage',100,1,5),
(237506,48637,'Applies Alimaja''s Awakening  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(237507,48637,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(237508,48637,'Inflicts 2 magic damage on target',100,2,2),
(237509,48637,'Cannot be modified except by direct means',100,2,3),
(237510,10048637,'Applies Alimaja''s Awakening  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(237511,10048637,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(237512,10048637,'Inflicts 2 magic damage on target',100,2,2),
(237513,10048637,'Cannot be modified except by direct means',100,2,3),
(237514,109895,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(237515,109895,'Inflicts 49 - 59 poison damage on target instantly and every 4 seconds',100,2,1),
(237516,10109895,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(237517,10109895,'Inflicts 58 - 71 poison damage on target instantly and every 4 seconds',100,2,1),
(237518,118212,'Increases Damage Per Second of group members (AE) by 21.8',100,1,0),
(237519,10118212,'Increases Damage Per Second of group members (AE) by 21.8',100,1,0),
(237520,82809,'Applies Imbued Smite when Equipped.',100,0,0),
(237521,82809,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(237522,82809,'Inflicts 404 divine damage on target instantly and every second',100,2,2),
(237523,82809,'Cannot be modified except by direct means',100,2,3),
(237524,82809,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(237525,82809,'Inflicts 404 divine damage on target instantly and every second',100,2,5),
(237526,82809,'Cannot be modified except by direct means',100,2,6),
(237527,10082809,'Applies Imbued Smite when Equipped.',100,0,0),
(237528,10082809,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(237529,10082809,'Inflicts 485 divine damage on target instantly and every second',100,2,2),
(237530,10082809,'Cannot be modified except by direct means',100,2,3),
(237531,10082809,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(237532,10082809,'Inflicts 485 divine damage on target instantly and every second',100,2,5),
(237533,10082809,'Cannot be modified except by direct means',100,2,6),
(237534,71722,'When Equipped:',100,0,0),
(237535,71722,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(237536,71722,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(237537,71722,'Cannot be modified except by direct means',100,2,3),
(237538,10071722,'When Equipped:',100,0,0),
(237539,10071722,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(237540,10071722,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(237541,10071722,'Cannot be modified except by direct means',100,2,3),
(237542,35257,'Increases INT of target by 1.5',100,0,0),
(237543,35257,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(237544,124572,'Decreases Threat to targets in Area of Effect by 1,186 ',100,1,0),
(237545,124572,'Interrupts targets in Area of Effect',100,1,1),
(237546,124572,'Roots targets in Area of Effect',100,1,2),
(237547,124572,'If Target is not Epic',100,2,3),
(237548,10124572,'Applies Distract.',100,1,0),
(237549,10124572,'Forces target to clear their selected target.',100,2,1),
(237550,10124572,'Interrupts targets in Area of Effect',100,1,2),
(237551,10124572,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(237552,10124572,'Roots targets in Area of Effect',100,1,4),
(237553,10124572,'If Target is not Epic',100,2,5),
(237554,52851,'Applies Sanguine Imbued when Equipped.',100,0,0),
(237555,52851,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(237556,52851,'Inflicts 151 heat damage on target',100,2,2),
(237557,52851,'Cannot be modified except by direct means',100,2,3),
(237558,10052851,'Applies Sanguine Imbued when Equipped.',100,0,0),
(237559,10052851,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(237560,10052851,'Inflicts 181 heat damage on target',100,2,2),
(237561,10052851,'Cannot be modified except by direct means',100,2,3),
(237562,118818,'Wards group members (AE) against 157 points of physical damage',100,1,0),
(237563,118818,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,1),
(237564,10118818,'Wards group members (AE) against 157 points of physical damage',100,1,0),
(237565,10118818,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,1),
(237566,102111,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(237567,102111,'Stuns target',100,2,1),
(237568,102111,'Throws target back',100,2,2),
(237569,102111,'Blurs vision of target',100,2,3),
(237570,102111,'Does not affect Epic targets',100,2,4),
(237571,102111,'Inflicts 196 - 328 crushing damage on target',100,1,5),
(237572,10102111,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(237573,10102111,'Stuns target',100,2,1),
(237574,10102111,'Throws target back',100,2,2),
(237575,10102111,'Blurs vision of target',100,2,3),
(237576,10102111,'Does not affect Epic targets',100,2,4),
(237577,10102111,'Inflicts 236 - 393 crushing damage on target',100,1,5),
(237578,87322,'When Equipped:',100,0,0),
(237579,87322,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237580,87322,'Inflicts 98 - 147 magic damage on target',100,2,2),
(237581,87322,'Cannot be modified except by direct means',100,2,3),
(237582,10087322,'When Equipped:',100,0,0),
(237583,10087322,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237584,10087322,'Inflicts 117 - 176 magic damage on target',100,2,2),
(237585,10087322,'Cannot be modified except by direct means',100,2,3),
(237586,80899,'When Equipped:',100,0,0),
(237587,80899,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237588,80899,'Inflicts 190 - 352 magic damage on target',100,2,2),
(237589,80899,'Cannot be modified except by direct means',100,2,3),
(237590,10080899,'When Equipped:',100,0,0),
(237591,10080899,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237592,10080899,'Inflicts 228 - 423 magic damage on target',100,2,2),
(237593,10080899,'Cannot be modified except by direct means',100,2,3),
(237594,112869,'Inflicts 17 - 20 melee damage on target',100,1,0),
(237595,112869,'Decreases Mitigation of target vs physical damage by 43',100,1,1),
(237596,112869,'Must be flanking or behind',100,1,2),
(237597,10112869,'Inflicts 20 - 25 melee damage on target',100,1,0),
(237598,10112869,'Decreases Mitigation of target vs physical damage by 43',100,1,1),
(237599,10112869,'Must be flanking or behind',100,1,2),
(237600,80570,'When Equipped:',100,0,0),
(237601,80570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237602,80570,'Inflicts 70 - 129 magic damage on target',100,2,2),
(237603,80570,'Cannot be modified except by direct means',100,2,3),
(237604,10080570,'When Equipped:',100,0,0),
(237605,10080570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237606,10080570,'Inflicts 84 - 155 magic damage on target',100,2,2),
(237607,10080570,'Cannot be modified except by direct means',100,2,3),
(237608,25337,'When Equipped:',100,0,0),
(237609,25337,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(237610,25337,'Adds 5% max health to Bob and Weave VII.',100,1,2),
(237611,10025337,'When Equipped:',100,0,0),
(237612,10025337,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(237613,10025337,'Adds 5% max health to Bob and Weave VII.',100,1,2),
(237614,159149,'Applies Lambent Imbued when Equipped.',100,0,0),
(237615,159149,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(237616,159149,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(237617,159149,'Cannot be modified except by direct means',100,2,3),
(237618,10159149,'Applies Lambent Imbued when Equipped.',100,0,0),
(237619,10159149,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(237620,10159149,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(237621,10159149,'Cannot be modified except by direct means',100,2,3),
(237622,72791,'When Equipped:',100,0,0),
(237623,72791,'On any combat or spell hit this spell may cast Sundering Smash II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237624,72791,'Inflicts 74 - 82 heat damage on targets in Area of Effect',100,2,2),
(237625,72791,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(237626,72791,'Stuns target',100,3,4),
(237627,72791,'Throws target back',100,3,5),
(237628,72791,'Blurs vision of target',100,3,6),
(237629,72791,'Does not affect Epic targets',100,3,7),
(237630,72791,'Must not be engaged in pvp combat',100,2,8),
(237631,72791,'Cannot be modified except by direct means',100,2,9),
(237632,72791,'Must not be engaged in pvp combat',100,1,10),
(237633,10072791,'When Equipped:',100,0,0),
(237634,10072791,'On any combat or spell hit this spell may cast Sundering Smash II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237635,10072791,'Inflicts 89 - 98 heat damage on targets in Area of Effect',100,2,2),
(237636,10072791,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(237637,10072791,'Stuns target',100,3,4),
(237638,10072791,'Throws target back',100,3,5),
(237639,10072791,'Blurs vision of target',100,3,6),
(237640,10072791,'Does not affect Epic targets',100,3,7),
(237641,10072791,'Must not be engaged in pvp combat',100,2,8),
(237642,10072791,'Cannot be modified except by direct means',100,2,9),
(237643,10072791,'Must not be engaged in pvp combat',100,1,10),
(237644,152927,'When Equipped:',100,0,0),
(237645,152927,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237646,152927,'Inflicts 2664 disease damage on target encounter',100,2,2),
(237647,152927,'Must not be engaged in pvp combat',100,2,3),
(237648,152927,'Cannot be modified except by direct means',100,2,4),
(237649,152927,'When Equipped:',100,0,5),
(237650,152927,'This effect will not stack with itself.',100,1,6),
(237651,152927,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(237652,152927,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(237653,152927,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(237654,152927,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(237655,152927,'Must not be engaged in pvp combat',100,2,11),
(237656,152927,'Cannot be modified except by direct means',100,2,12),
(237657,152927,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(237658,152927,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(237659,152927,'Increases in-combat movement speed of caster by 10.0%',100,2,15),
(237660,152927,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(237661,152927,'Must not be engaged in pvp combat',100,2,17),
(237662,152927,'Cannot be modified except by direct means',100,2,18),
(237663,152927,'Must not be engaged in pvp combat',100,1,19),
(237664,10152927,'When Equipped:',100,0,0),
(237665,10152927,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237666,10152927,'Inflicts 1598 disease damage on target encounter',100,2,2),
(237667,10152927,'Must not be engaged in pvp combat',100,2,3),
(237668,10152927,'Cannot be modified except by direct means',100,2,4),
(237669,10152927,'When Equipped:',100,0,5),
(237670,10152927,'This effect will not stack with itself.',100,1,6),
(237671,10152927,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(237672,10152927,'Increases Ability Casting Speed of caster by 10.0%',100,2,8),
(237673,10152927,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(237674,10152927,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(237675,10152927,'Must not be engaged in pvp combat',100,2,11),
(237676,10152927,'Cannot be modified except by direct means',100,2,12),
(237677,10152927,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(237678,10152927,'Increases Ability Casting Speed of caster by 10.0%',100,2,14),
(237679,10152927,'Increases in-combat movement speed of caster by 10.0%',100,2,15),
(237680,10152927,'Increases Ability Recovery Speed of caster by 10.0%',100,2,16),
(237681,10152927,'Must not be engaged in pvp combat',100,2,17),
(237682,10152927,'Cannot be modified except by direct means',100,2,18),
(237683,10152927,'Must not be engaged in pvp combat',100,1,19),
(237684,114710,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(237685,114710,'Decreases Hate Gain of target by 17.6%',100,1,1),
(237686,10114710,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(237687,118921,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(237688,118921,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 407',100,1,1),
(237689,118921,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,2),
(237690,10118921,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(237691,10118921,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 407',100,1,1),
(237692,10118921,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,2),
(237693,55650,'When Equipped:',100,0,0),
(237694,55650,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(237695,55650,'Stuns target',100,2,2),
(237696,55650,'Throws target back',100,2,3),
(237697,55650,'Does not affect Epic targets',100,2,4),
(237698,55650,'Resistibility increases against targets higher than level 74.',100,2,5),
(237699,55650,'Cannot be modified except by direct means',100,2,6),
(237700,10055650,'When Equipped:',100,0,0),
(237701,10055650,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(237702,10055650,'Stuns target',100,2,2),
(237703,10055650,'Throws target back',100,2,3),
(237704,10055650,'Does not affect Epic targets',100,2,4),
(237705,10055650,'Resistibility increases against targets higher than level 74.',100,2,5),
(237706,10055650,'Cannot be modified except by direct means',100,2,6),
(237707,102271,'Inflicts 215 - 359 melee damage on targets in area',100,1,0),
(237708,10102271,'Inflicts 258 - 431 melee damage on targets in area',100,1,0),
(237709,36368,'Increases STR of target by 1.1',100,0,0),
(237710,36368,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(237711,122513,'Heals caster for 4',100,1,0),
(237712,122513,'Inflicts 5 - 9 melee damage on target',100,1,1),
(237713,10122513,'Heals caster for 2',100,1,0),
(237714,10122513,'Inflicts 6 - 11 melee damage on target',100,1,1),
(237715,45071,'Applies A dimly lit crystal when Activated.',100,0,0),
(237716,45071,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(237717,10045071,'Applies A dimly lit crystal when Activated.',100,0,0),
(237718,10045071,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(237719,45543,'Applies Arrina''s Resurgence  when Activated.',100,0,0),
(237720,45543,'Heals caster for 140',100,1,1),
(237721,10045543,'Applies Arrina''s Resurgence  when Activated.',100,0,0),
(237722,10045543,'Heals caster for 91',100,1,1),
(237723,114001,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(237724,114001,'Inflicts 57 - 95 melee damage on target',100,2,1),
(237725,114001,'Increases Threat to target by 327 ',100,2,2),
(237726,10114001,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(237727,10114001,'Inflicts 68 - 114 melee damage on target',100,2,1),
(237728,159171,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(237729,159171,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(237730,159171,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(237731,159171,'Cannot be modified except by direct means',100,2,3),
(237732,10159171,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(237733,10159171,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(237734,10159171,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(237735,10159171,'Cannot be modified except by direct means',100,2,3),
(237736,45238,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(237737,45238,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,1),
(237738,45238,'Caster will harvest a second time on 2.0% of harvests.',100,1,2),
(237739,10045238,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(237740,10045238,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,1),
(237741,10045238,'Caster will harvest a second time on 2.0% of harvests.',100,1,2),
(237742,148624,'When Equipped:',100,0,0),
(237743,148624,'This effect will not stack with any rank or tier of itself.',100,1,1),
(237744,148624,'Increases Multi Attack Chance of caster by 7.5',100,1,2),
(237745,148624,'Cannot be modified except by direct means',100,1,3),
(237746,10148624,'When Equipped:',100,0,0),
(237747,10148624,'This effect will not stack with any rank or tier of itself.',100,1,1),
(237748,10148624,'Increases Multi Attack Chance of caster by 7.5',100,1,2),
(237749,10148624,'Cannot be modified except by direct means',100,1,3),
(237750,122241,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(237751,122241,'Decreases Damage Per Second of target by 16.0',100,2,1),
(237752,122241,'Decreases Attack Speed of target by 12.8',100,2,2),
(237753,10122241,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(237754,10122241,'Decreases Damage Per Second of target by 16.0',100,2,1),
(237755,10122241,'Decreases Attack Speed of target by 12.8',100,2,2),
(237756,118021,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(237757,118021,'Stuns target',100,2,1),
(237758,118021,'If Target is not Epic',100,3,2),
(237759,118021,'Inflicts 76 - 126 divine damage on target',100,2,3),
(237760,118021,'Grants a total of 3 triggers of the spell.',100,2,4),
(237761,10118021,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(237762,10118021,'Stuns target',100,2,1),
(237763,10118021,'If Target is not Epic',100,3,2),
(237764,10118021,'Inflicts 91 - 151 divine damage on target',100,2,3),
(237765,10118021,'Grants a total of 3 triggers of the spell.',100,2,4),
(237766,137196,'When Equipped:',100,0,0),
(237767,137196,'Increases Ability Modifier of caster by 30.0',100,1,1),
(237768,137196,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(237769,137196,'Increases Damage Per Second of caster by 15.0',100,2,3),
(237770,137196,'Cannot be modified except by direct means',100,2,4),
(237771,10137196,'When Equipped:',100,0,0),
(237772,10137196,'Increases Ability Modifier of caster by 30.0',100,1,1),
(237773,10137196,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(237774,10137196,'Increases Damage Per Second of caster by 15.0',100,2,3),
(237775,10137196,'Cannot be modified except by direct means',100,2,4),
(237776,117763,'Inflicts 337 - 561 divine damage on target',100,1,0),
(237777,10117763,'Inflicts 404 - 673 divine damage on target',100,1,0),
(237778,48331,'Applies essence of health when Activated.',100,0,0),
(237779,48331,'Heals caster for 278',100,1,1),
(237780,10048331,'Applies essence of health when Activated.',100,0,0),
(237781,10048331,'Heals caster for 181',100,1,1),
(237782,115136,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(237783,115136,'Increases WIS of target by 62.7',100,2,1),
(237784,115136,'Heals target for 713',100,2,2),
(237785,115136,'Heals target for 178 every 2 seconds',100,2,3),
(237786,115136,'Grants a total of 1 trigger of the spell.',100,2,4),
(237787,10115136,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(237788,10115136,'Increases WIS of target by 62.7',100,2,1),
(237789,10115136,'Heals target for 463',100,2,2),
(237790,10115136,'Heals target for 116 every 2 seconds',100,2,3),
(237791,10115136,'Grants a total of 1 trigger of the spell.',100,2,4),
(237792,173141,'When Equipped:',100,0,0),
(237793,173141,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237794,173141,'Inflicts 2664 disease damage on target encounter',100,2,2),
(237795,173141,'Must not be engaged in pvp combat',100,2,3),
(237796,173141,'Cannot be modified except by direct means',100,2,4),
(237797,10173141,'When Equipped:',100,0,0),
(237798,10173141,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237799,10173141,'Inflicts 1598 disease damage on target encounter',100,2,2),
(237800,10173141,'Must not be engaged in pvp combat',100,2,3),
(237801,10173141,'Cannot be modified except by direct means',100,2,4),
(237802,162019,'When Equipped:',100,0,0),
(237803,162019,'Increases Attack Speed of caster by 35.0',100,1,1),
(237804,10162019,'When Equipped:',100,0,0),
(237805,10162019,'Increases Attack Speed of caster by 35.0',100,1,1),
(237806,185003,'When Equipped:',100,0,0),
(237807,185003,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237808,185003,'Inflicts 1998 cold damage on target encounter',100,2,2),
(237809,185003,'Must not be engaged in pvp combat',100,2,3),
(237810,185003,'Cannot be modified except by direct means',100,2,4),
(237811,185003,'Must not be engaged in pvp combat',100,1,5),
(237812,10185003,'When Equipped:',100,0,0),
(237813,10185003,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237814,10185003,'Inflicts 1199 cold damage on target encounter',100,2,2),
(237815,10185003,'Must not be engaged in pvp combat',100,2,3),
(237816,10185003,'Cannot be modified except by direct means',100,2,4),
(237817,10185003,'Must not be engaged in pvp combat',100,1,5),
(237818,81575,'When Equipped:',100,0,0),
(237819,81575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237820,81575,'Inflicts 107 - 199 magic damage on target',100,2,2),
(237821,81575,'Cannot be modified except by direct means',100,2,3),
(237822,10081575,'When Equipped:',100,0,0),
(237823,10081575,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237824,10081575,'Inflicts 128 - 238 magic damage on target',100,2,2),
(237825,10081575,'Cannot be modified except by direct means',100,2,3),
(237826,108403,'Heals target for 542 - 662',100,1,0),
(237827,10108403,'Heals target for 648 - 792',100,1,0),
(237828,111414,'Increases Attack Speed of target by 48.4',100,1,0),
(237829,111414,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237830,111414,'Inflicts 338 disease damage on target',100,2,2),
(237831,111414,'Heals caster for 123',100,2,3),
(237832,111414,'Decreases Defense and Parry of target by 36.3',100,1,4),
(237833,111414,'Increases Disruption and Subjugation of target by 42.1',100,1,5),
(237834,111414,'Increases Focus of target by 43.6',100,1,6),
(237835,10111414,'Increases Attack Speed of target by 48.4',100,1,0),
(237836,10111414,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237837,10111414,'Inflicts 405 disease damage on target',100,2,2),
(237838,10111414,'Heals caster for 80',100,2,3),
(237839,10111414,'Decreases Defense and Parry of target by 36.3',100,1,4),
(237840,10111414,'Increases Disruption and Subjugation of target by 42.1',100,1,5),
(237841,10111414,'Increases Focus of target by 43.6',100,1,6),
(237842,103968,'Interrupts targets in Area of Effect',100,1,0),
(237843,103968,'Inflicts 17 - 31 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(237844,10103968,'Interrupts targets in Area of Effect',100,1,0),
(237845,10103968,'Inflicts 20 - 37 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(237846,100813,'Wards target against 2100 points of all damage',100,1,0),
(237847,10100813,'Wards target against 3232 points of all damage',100,1,0),
(237848,177735,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(237849,177735,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(237850,177735,'Inflicts 71 heat damage on target',100,2,2),
(237851,177735,'Cannot be modified except by direct means',100,2,3),
(237852,10177735,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(237853,10177735,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(237854,10177735,'Inflicts 85 heat damage on target',100,2,2),
(237855,10177735,'Cannot be modified except by direct means',100,2,3),
(237856,45591,'Applies Clouded Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(237857,45591,'Increases STA and STR of caster by 35.2',100,1,1),
(237858,45591,'Only affects targets level 50 and above',100,1,2),
(237859,10045591,'Applies Clouded Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(237860,10045591,'Increases STA and STR of caster by 35.2',100,1,1),
(237861,10045591,'Only affects targets level 50 and above',100,1,2),
(237862,106798,'Decreases AGI and STR of target encounter by 61.0',100,1,0),
(237863,10106798,'Decreases AGI and STR of target encounter by 61.0',100,1,0),
(237864,100896,'Stuns targets in Area of Effect',20,1,0),
(237865,100896,'If Target is not Epic',100,2,1),
(237866,100896,'Inflicts 40 - 67 divine damage on targets in Area of Effect',100,1,2),
(237867,100896,'Resistibility increases against targets higher than level 43.',100,1,3),
(237868,10100896,'Stuns targets in Area of Effect',20,1,0),
(237869,10100896,'If Target is not Epic',100,2,1),
(237870,10100896,'Inflicts 49 - 81 divine damage on targets in Area of Effect',100,1,2),
(237871,10100896,'Resistibility increases against targets higher than level 43.',100,1,3),
(237872,40960,'When Equipped:',100,0,0),
(237873,40960,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(237874,40960,'Reduces healing received by 15.00%',100,2,2),
(237875,40960,'Cannot be modified except by direct means',100,2,3),
(237876,40960,'This effect can only trigger once every 1 second.',100,2,4),
(237877,40960,'Must be engaged in pvp combat',100,1,5),
(237878,10040960,'When Equipped:',100,0,0),
(237879,10040960,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(237880,10040960,'Reduces healing received by 15.00%',100,2,2),
(237881,10040960,'Cannot be modified except by direct means',100,2,3),
(237882,10040960,'This effect can only trigger once every 1 second.',100,2,4),
(237883,10040960,'Must be engaged in pvp combat',100,1,5),
(237884,37508,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(237885,35789,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(237886,45891,'Applies Decaying Mist Prototype when Activated.',100,0,0),
(237887,45891,'Applies decaying mist to target.',100,1,1),
(237888,10045891,'Applies Decaying Mist Prototype when Activated.',100,0,0),
(237889,10045891,'Applies decaying mist to target.',100,1,1),
(237890,102914,'Inflicts 3 - 4 disease damage on target instantly and every 4 seconds',100,1,0),
(237891,10102914,'Inflicts 5 - 6 disease damage on target',100,1,0),
(237892,10102914,'Inflicts 4 - 5 disease damage on target every 4 seconds',100,1,1),
(237893,159503,'Applies Lambent Imbued when Equipped.',100,0,0),
(237894,159503,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(237895,159503,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(237896,159503,'Cannot be modified except by direct means',100,2,3),
(237897,10159503,'Applies Lambent Imbued when Equipped.',100,0,0),
(237898,10159503,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(237899,10159503,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(237900,10159503,'Cannot be modified except by direct means',100,2,3),
(237901,112390,'Increases Crushing, Piercing, Slashing and Ranged of target by 32.4',100,1,0),
(237902,112390,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(237903,112390,'Inflicts 234 - 286 piercing damage on target',100,2,2),
(237904,112390,'Inflicts 117 - 143 piercing damage on target every 3 seconds',100,2,3),
(237905,10112390,'Increases Crushing, Piercing, Slashing and Ranged of target by 32.4',100,1,0),
(237906,10112390,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(237907,10112390,'Inflicts 281 - 343 piercing damage on target',100,2,2),
(237908,10112390,'Inflicts 140 - 172 piercing damage on target every 3 seconds',100,2,3),
(237909,36219,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(237910,36219,'This effect suspends during combat',100,0,1),
(237911,114274,'Heals target for 95 - 116',100,1,0),
(237912,10114274,'Heals target for 111 - 136',100,1,0),
(237913,114527,'Heals target for 144 - 176',100,1,0),
(237914,10114527,'Heals target for 187 - 228',100,1,0),
(237915,113035,'Decreases Damage Per Second of target by 17.7',100,1,0),
(237916,10113035,'Decreases Damage Per Second of target by 17.7',100,1,0),
(237917,25998,'When Equipped:',100,0,0),
(237918,25998,'Increases Attack Speed of caster by 5.  Does not stack with any other haste effect items.',100,1,1),
(237919,10025998,'When Equipped:',100,0,0),
(237920,10025998,'Increases Attack Speed of caster by 5.  Does not stack with any other haste effect items.',100,1,1),
(237921,110014,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(237922,110014,'Inflicts 32 - 53 disease damage on target',100,2,1),
(237923,110014,'Heals caster for 24 - 39',100,2,2),
(237924,110014,'This effect cannot be critically applied.',100,3,3),
(237925,110014,'The healing of this spell cannot be modified except by direct means',100,2,4),
(237926,10110014,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(237927,10110014,'Inflicts 38 - 63 disease damage on target',100,2,1),
(237928,10110014,'Heals caster for 7 - 12',100,2,2),
(237929,10110014,'This effect cannot be critically applied.',100,3,3),
(237930,10110014,'The healing of this spell cannot be modified except by direct means',100,2,4),
(237931,148444,'When Equipped:',100,0,0),
(237932,148444,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(237933,148444,'Increases Hate Gain of caster by 5.0%',100,2,2),
(237934,148444,'Cannot be modified except by direct means',100,2,3),
(237935,148444,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(237936,148444,'Increases Hate Gain of caster by 5.0%',100,2,5),
(237937,148444,'Cannot be modified except by direct means',100,2,6),
(237938,10148444,'When Equipped:',100,0,0),
(237939,10148444,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(237940,10148444,'Cannot be modified except by direct means',100,2,2),
(237941,10148444,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,3),
(237942,10148444,'Cannot be modified except by direct means',100,2,4),
(237943,48114,'Applies Place Solo Training Dummy when Activated.',100,0,0),
(237944,48114,'This effect cannot be cast during combat',100,1,1),
(237945,10048114,'Applies Place Solo Training Dummy when Activated.',100,0,0),
(237946,10048114,'This effect cannot be cast during combat',100,1,1),
(237947,37507,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(237948,124149,'Inflicts 143 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(237949,124149,'Applies Banshee''s Scream on termination.',100,1,1),
(237950,124149,'Inflicts 428 - 713 disease damage on target',100,2,2),
(237951,10124149,'Inflicts 171 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(237952,10124149,'Applies Banshee''s Scream on termination.',100,1,1),
(237953,10124149,'Inflicts 513 - 855 disease damage on target',100,2,2),
(237954,81175,'When Equipped:',100,0,0),
(237955,81175,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237956,81175,'Inflicts 147 - 273 magic damage on target',100,2,2),
(237957,81175,'Cannot be modified except by direct means',100,2,3),
(237958,10081175,'When Equipped:',100,0,0),
(237959,10081175,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(237960,10081175,'Inflicts 176 - 327 magic damage on target',100,2,2),
(237961,10081175,'Cannot be modified except by direct means',100,2,3),
(237962,109313,'Increases STR of caster by 13.2',100,1,0),
(237963,109313,'Decreases Defense of caster by 1.8',100,1,1),
(237964,109313,'Increases Slashing, Piercing and Crushing of caster by 2.7',100,1,2),
(237965,10109313,'Increases STR of caster by 13.2',100,1,0),
(237966,10109313,'Decreases Defense of caster by 1.8',100,1,1),
(237967,10109313,'Increases Slashing, Piercing and Crushing of caster by 2.7',100,1,2),
(237968,37526,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(237969,36206,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(237970,36206,'This effect suspends during combat',100,0,1),
(237971,173768,'When Equipped:',100,0,0),
(237972,173768,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237973,173768,'Inflicts 1986 piercing damage on target',100,2,2),
(237974,173768,'Cannot be modified except by direct means',100,2,3),
(237975,10173768,'When Equipped:',100,0,0),
(237976,10173768,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(237977,10173768,'Inflicts 1192 piercing damage on target',100,2,2),
(237978,10173768,'Cannot be modified except by direct means',100,2,3),
(237979,87965,'When Equipped:',100,0,0),
(237980,87965,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(237981,87965,'Heals group members for 224',100,2,2),
(237982,87965,'Cannot be modified except by direct means',100,2,3),
(237983,10087965,'When Equipped:',100,0,0),
(237984,10087965,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(237985,10087965,'Heals group members for 146',100,2,2),
(237986,10087965,'Cannot be modified except by direct means',100,2,3),
(237987,115738,'Wards caster against 7656 points of elemental, noxious and arcane damage',100,1,0),
(237988,10115738,'Wards caster against 7656 points of elemental, noxious and arcane damage',100,1,0),
(237989,106171,'Wards target against 29 points of all damage',100,1,0),
(237990,106171,'Decreases INT of target by 54.0',100,1,1),
(237991,106171,'Decreases Attack Speed of target by 25.0',100,1,2),
(237992,106171,'Increases Max Health of target by 10.0%',100,1,3),
(237993,106171,'Increases Hate Gain of target by 18.0%',100,1,4),
(237994,106171,'Increases Aggression of target by 4.2',100,1,5),
(237995,106171,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(237996,106171,'Increases Threat to target encounter by 37 - 44 ',100,2,7),
(237997,106171,'Increases Mitigation of target vs elemental, noxious and arcane damage by 280',100,1,8),
(237998,10106171,'Wards target against 29 points of all damage',100,1,0),
(237999,10106171,'Decreases INT of target by 54.0',100,1,1),
(238000,10106171,'Decreases Attack Speed of target by 25.0',100,1,2),
(238001,10106171,'Increases Max Health of target by 10.0%',100,1,3),
(238002,10106171,'Increases Aggression of target by 4.2',100,1,4),
(238003,10106171,'Increases Mitigation of target vs elemental, noxious and arcane damage by 280',100,1,5),
(238004,122956,'Inflicts 110 - 149 mental damage on target',100,1,0),
(238005,10122956,'Inflicts 132 - 179 mental damage on target',100,1,0),
(238006,80419,'When Equipped:',100,0,0),
(238007,80419,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238008,80419,'Inflicts 45 - 84 magic damage on target',100,2,2),
(238009,80419,'Decreases Threat to target by 153 ',100,2,3),
(238010,80419,'Must be flanking or behind',100,3,4),
(238011,80419,'Increases Threat to target by 158 ',100,2,5),
(238012,80419,'Must be in front of',100,3,6),
(238013,80419,'Cannot be modified except by direct means',100,2,7),
(238014,10080419,'When Equipped:',100,0,0),
(238015,10080419,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238016,10080419,'Inflicts 54 - 100 magic damage on target',100,2,2),
(238017,10080419,'Cannot be modified except by direct means',100,2,3),
(238018,47901,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(238019,47901,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238020,47901,'Decreases AGI of target by 68.4',100,2,2),
(238021,47901,'Decreases Parry, Defense and Deflection of target by 26.1',100,2,3),
(238022,47901,'Cannot be modified except by direct means',100,2,4),
(238023,47901,'Grants a total of 60 triggers of the spell.',100,2,5),
(238024,10047901,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(238025,10047901,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238026,10047901,'Decreases AGI of target by 68.4',100,2,2),
(238027,10047901,'Decreases Parry, Defense and Deflection of target by 26.1',100,2,3),
(238028,10047901,'Cannot be modified except by direct means',100,2,4),
(238029,10047901,'Grants a total of 60 triggers of the spell.',100,2,5),
(238030,124250,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(238031,124250,'Increases Damage Per Second of target by 13.6',100,2,1),
(238032,124250,'Increases Attack Speed of target by 13.6',100,2,2),
(238033,124250,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(238034,124250,'Increases Damage Per Second of target by 13.6',100,2,4),
(238035,124250,'Increases Attack Speed of target by 13.6',100,2,5),
(238036,124250,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(238037,124250,'Increases Damage Per Second of target by 13.6',100,2,7),
(238038,124250,'Increases Attack Speed of target by 13.6',100,2,8),
(238039,10124250,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(238040,10124250,'Increases Damage Per Second of target by 13.6',100,2,1),
(238041,10124250,'Increases Attack Speed of target by 13.6',100,2,2),
(238042,10124250,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(238043,10124250,'Increases Damage Per Second of target by 13.6',100,2,4),
(238044,10124250,'Increases Attack Speed of target by 13.6',100,2,5),
(238045,10124250,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(238046,10124250,'Increases Damage Per Second of target by 13.6',100,2,7),
(238047,10124250,'Increases Attack Speed of target by 13.6',100,2,8),
(238048,72123,'When Equipped:',100,0,0),
(238049,72123,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238050,72123,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(238051,72123,'Cannot be modified except by direct means',100,2,3),
(238052,10072123,'When Equipped:',100,0,0),
(238053,10072123,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238054,10072123,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(238055,10072123,'Cannot be modified except by direct means',100,2,3),
(238056,119960,'Inflicts 351 - 585 melee damage on target',100,1,0),
(238057,119960,'Stifles target',100,1,1),
(238058,119960,'If Target is not Epic',100,2,2),
(238059,119960,'Resistibility increases against targets higher than level 119.',100,1,3),
(238060,10119960,'Inflicts 421 - 702 melee damage on target',100,1,0),
(238061,10119960,'Stifles target',100,1,1),
(238062,10119960,'If Target is not Epic',100,2,2),
(238063,10119960,'Resistibility increases against targets higher than level 119.',100,1,3),
(238064,48823,'Applies Karrik''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(238065,48823,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(238066,10048823,'Applies Karrik''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(238067,10048823,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(238068,103417,'Decreases Threat to targets in Area of Effect by 1,959 ',100,1,0),
(238069,103417,'Slows targets in Area of Effect by 38.5%',100,1,1),
(238070,103417,'Stifles targets in Area of Effect',100,1,2),
(238071,103417,'If Target is not Epic',100,2,3),
(238072,103417,'10% chance to dispel when target receives hostile action',100,1,4),
(238073,103417,'10% chance to dispel when target takes damage',100,1,5),
(238074,10103417,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(238075,10103417,'Slows targets in Area of Effect by 38.5%',100,1,1),
(238076,10103417,'Stifles targets in Area of Effect',100,1,2),
(238077,10103417,'If Target is not Epic',100,2,3),
(238078,36390,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(238079,103323,'Applies Migraine on termination.',100,1,0),
(238080,103323,'Inflicts 369 - 499 mental damage on target',100,2,1),
(238081,103323,'Inflicts 169 - 207 mental damage on target instantly and every 6 seconds',100,1,2),
(238082,10103323,'Applies Migraine on termination.',100,1,0),
(238083,10103323,'Inflicts 443 - 599 mental damage on target',100,2,1),
(238084,10103323,'Inflicts 203 - 248 mental damage on target instantly and every 6 seconds',100,1,2),
(238085,191185,'When Equipped:',100,0,0),
(238086,191185,'On a hit this spell will cast Critical Channeling on target of attack.  ',100,1,1),
(238087,191185,'Inflicts 172 heat damage on target',100,2,2),
(238088,191185,'Inflicts 172 cold damage on target',100,2,3),
(238089,191185,'Heals group members for 159 - 476',100,2,4),
(238090,191185,'If Target is Epic',100,2,5),
(238091,191185,'Cannot be modified except by direct means',100,2,6),
(238092,10191185,'When Equipped:',100,0,0),
(238093,10191185,'On a hit this spell will cast Critical Channeling on target of attack.  ',100,1,1),
(238094,10191185,'Inflicts 206 heat damage on target',100,2,2),
(238095,10191185,'Inflicts 206 cold damage on target',100,2,3),
(238096,10191185,'Heals group members for 103 - 309',100,2,4),
(238097,10191185,'If Target is Epic',100,2,5),
(238098,10191185,'Cannot be modified except by direct means',100,2,6),
(238099,118045,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(238100,118045,'Stuns target',100,2,1),
(238101,118045,'If Target is not Epic',100,3,2),
(238102,118045,'Inflicts 313 - 521 divine damage on target',100,2,3),
(238103,118045,'Grants a total of 3 triggers of the spell.',100,2,4),
(238104,10118045,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(238105,10118045,'Stuns target',100,2,1),
(238106,10118045,'If Target is not Epic',100,3,2),
(238107,10118045,'Inflicts 375 - 625 divine damage on target',100,2,3),
(238108,10118045,'Grants a total of 3 triggers of the spell.',100,2,4),
(238109,103005,'Inflicts 18 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(238110,103005,'Inflicts 6 - 11 melee damage on target',100,1,1),
(238111,10103005,'Inflicts 22 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(238112,10103005,'Inflicts 8 - 13 melee damage on target',100,1,1),
(238113,121898,'Inflicts 47 - 78 mental damage on target encounter',100,1,0),
(238114,121898,'Increases power of group members (AE) by 39 - 65',100,1,1),
(238115,10121898,'Inflicts 56 - 93 mental damage on target encounter',100,1,0),
(238116,10121898,'Increases power of group members (AE) by 39 - 65',100,1,1),
(238117,118829,'Inflicts 6 - 19 melee damage on target',100,1,0),
(238118,10118829,'Inflicts 7 - 23 melee damage on target',100,1,0),
(238119,35217,'Increases Max Power of target by 3.3',100,0,0),
(238120,35217,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(238121,160019,'Applies Lambent Imbued when Equipped.',100,0,0),
(238122,160019,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238123,160019,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(238124,160019,'Cannot be modified except by direct means',100,2,3),
(238125,10160019,'Applies Lambent Imbued when Equipped.',100,0,0),
(238126,10160019,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238127,10160019,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(238128,10160019,'Cannot be modified except by direct means',100,2,3),
(238129,102402,'Inflicts 476 - 884 melee damage on targets in area',100,1,0),
(238130,10102402,'Inflicts 571 - 1061 melee damage on targets in area',100,1,0),
(238131,48896,'Applies Translucent Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(238132,48896,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(238133,48896,'Inflicts 170 poison damage on target instantly and every 6 seconds',100,2,2),
(238134,48896,'Inflicts 65 poison damage on target',100,2,3),
(238135,48896,'Cannot be modified except by direct means',100,2,4),
(238136,48896,'Grants a total of 200 triggers of the spell.',100,2,5),
(238137,48896,'Only affects targets level 50 and above',100,1,6),
(238138,10048896,'Applies Translucent Soul Bane when Activated.  Lasts for 12 hours.',100,0,0),
(238139,10048896,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(238140,10048896,'Inflicts 58 poison damage on target',100,2,2),
(238141,10048896,'Inflicts 153 poison damage on target instantly and every 6 seconds',100,2,3),
(238142,10048896,'Cannot be modified except by direct means',100,2,4),
(238143,10048896,'Grants a total of 200 triggers of the spell.',100,2,5),
(238144,10048896,'Only affects targets level 50 and above',100,1,6),
(238145,141804,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(238146,141804,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(238147,141804,'Inflicts 22 heat damage on target',100,2,2),
(238148,141804,'Cannot be modified except by direct means',100,2,3),
(238149,10141804,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(238150,10141804,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(238151,10141804,'Inflicts 27 heat damage on target',100,2,2),
(238152,10141804,'Cannot be modified except by direct means',100,2,3),
(238153,108158,'Inflicts 655 - 1092 melee damage on target',100,1,0),
(238154,108158,'You must be sneaking to use this ability.',100,1,1),
(238155,108158,'Must be flanking or behind',100,1,2),
(238156,10108158,'Inflicts 518 - 864 melee damage on target',100,1,0),
(238157,10108158,'You must be sneaking to use this ability.',100,1,1),
(238158,10108158,'Must be flanking or behind',100,1,2),
(238159,120588,'Inflicts 50 - 93 heat damage on target',100,1,0),
(238160,10120588,'Inflicts 60 - 112 heat damage on target',100,1,0),
(238161,100354,'Increases Max Health of target by 485.1',100,1,0),
(238162,100354,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.3',100,1,1),
(238163,10100354,'Increases Max Health of target by 485.1',100,1,0),
(238164,10100354,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.3',100,1,1),
(238165,106610,'Inflicts 149 - 182 disease damage on target',100,1,0),
(238166,106610,'Heals caster for 7.6 - 9.2% of max health',100,1,1),
(238167,106610,'This effect cannot be critically applied.',100,2,2),
(238168,106610,'The healing of this spell cannot be modified except by direct means',100,1,3),
(238169,10106610,'Inflicts 179 - 219 disease damage on target',100,1,0),
(238170,10106610,'Heals caster for 2.5 - 3.1% of max health',100,1,1),
(238171,10106610,'This effect cannot be critically applied.',100,2,2),
(238172,10106610,'The healing of this spell cannot be modified except by direct means',100,1,3),
(238173,163935,'When Equipped:',100,0,0),
(238174,163935,'On a spell cast this spell may cast Plasma Amplification on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238175,163935,'Increases Potency of caster by 10.0%',100,2,2),
(238176,163935,'Cannot be modified except by direct means',100,2,3),
(238177,10163935,'When Equipped:',100,0,0),
(238178,10163935,'On a spell cast this spell may cast Plasma Amplification on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238179,10163935,'Increases Potency of caster by 10.0%',100,2,2),
(238180,10163935,'Cannot be modified except by direct means',100,2,3),
(238181,100719,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(238182,100719,'Increases Mitigation of group members (AE) vs noxious damage by 550',100,1,1),
(238183,10100719,'Increases Max Health of group members (AE) by 147.0',100,1,0),
(238184,10100719,'Increases Mitigation of group members (AE) vs noxious damage by 550',100,1,1),
(238185,71405,'When Equipped:',100,0,0),
(238186,71405,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238187,71405,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(238188,71405,'Cannot be modified except by direct means',100,2,3),
(238189,10071405,'When Equipped:',100,0,0),
(238190,10071405,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238191,10071405,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(238192,10071405,'Cannot be modified except by direct means',100,2,3),
(238193,123187,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(238194,123187,'Inflicts 14 - 17 disease damage on target',100,2,1),
(238195,123187,'Heals caster for 33 - 40',100,2,2),
(238196,123187,'This effect cannot be critically applied.',100,3,3),
(238197,123187,'The healing of this spell cannot be modified except by direct means',100,2,4),
(238198,123187,'Grants a total of 5 triggers of the spell.',100,2,5),
(238199,10123187,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(238200,10123187,'Inflicts 17 - 21 disease damage on target',100,2,1),
(238201,10123187,'Heals caster for 11 - 14',100,2,2),
(238202,10123187,'This effect cannot be critically applied.',100,3,3),
(238203,10123187,'The healing of this spell cannot be modified except by direct means',100,2,4),
(238204,10123187,'Grants a total of 5 triggers of the spell.',100,2,5),
(238205,47918,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(238206,47918,'Caster will harvest a second time on 8.0% of harvests.',100,1,1),
(238207,47918,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,2),
(238208,10047918,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(238209,10047918,'Caster will harvest a second time on 8.0% of harvests.',100,1,1),
(238210,10047918,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,2),
(238211,118502,'Summons a limited pet to aid the caster',100,1,0),
(238212,10118502,'Summons a limited pet to aid the caster',100,1,0),
(238213,74797,'When Equipped:',100,0,0),
(238214,74797,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238215,74797,'Inflicts 84 - 126 magic damage on target',100,2,2),
(238216,74797,'Cannot be modified except by direct means',100,2,3),
(238217,10074797,'When Equipped:',100,0,0),
(238218,10074797,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238219,10074797,'Inflicts 101 - 151 magic damage on target',100,2,2),
(238220,10074797,'Cannot be modified except by direct means',100,2,3),
(238221,104436,'Interrupts target encounter',100,1,0),
(238222,104436,'Applies Stumble on termination.',100,1,1),
(238223,104436,'Interrupts target',100,2,2),
(238224,104436,'Inflicts 32 - 39 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(238225,10104436,'Interrupts target encounter',100,1,0),
(238226,10104436,'Applies Stumble on termination.',100,1,1),
(238227,10104436,'Interrupts target',100,2,2),
(238228,10104436,'Inflicts 39 - 47 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(238229,47671,'Applies Tag when Activated.',100,0,0),
(238230,10047671,'Applies Tag when Activated.',100,0,0),
(238231,103410,'Decreases Threat to targets in Area of Effect by 1,661 ',100,1,0),
(238232,103410,'Slows targets in Area of Effect by 49.0%',100,1,1),
(238233,103410,'Stifles targets in Area of Effect',100,1,2),
(238234,103410,'If Target is not Epic',100,2,3),
(238235,103410,'10% chance to dispel when target receives hostile action',100,1,4),
(238236,103410,'10% chance to dispel when target takes damage',100,1,5),
(238237,10103410,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(238238,10103410,'Slows targets in Area of Effect by 49.0%',100,1,1),
(238239,10103410,'Stifles targets in Area of Effect',100,1,2),
(238240,10103410,'If Target is not Epic',100,2,3),
(238241,37375,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(238242,37375,'Increases speed of target by 40.0%',100,0,1),
(238243,159443,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(238244,159443,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238245,159443,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(238246,159443,'Cannot be modified except by direct means',100,2,3),
(238247,10159443,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(238248,10159443,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238249,10159443,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(238250,10159443,'Cannot be modified except by direct means',100,2,3),
(238251,122530,'Heals caster for 39',100,1,0),
(238252,122530,'Inflicts 58 - 97 melee damage on target',100,1,1),
(238253,10122530,'Heals caster for 25',100,1,0),
(238254,10122530,'Inflicts 70 - 117 melee damage on target',100,1,1),
(238255,111659,'Inflicts 270 - 330 cold damage on target encounter',100,1,0),
(238256,111659,'Slows target encounter by 42.8%',100,1,1),
(238257,111659,'5% chance to dispel when target takes damage',100,1,2),
(238258,111659,'5% chance to dispel when target receives hostile action',100,1,3),
(238259,10111659,'Inflicts 432 - 528 cold damage on target encounter',100,1,0),
(238260,10111659,'Slows target encounter by 42.8%',100,1,1),
(238261,10111659,'5% chance to dispel when target takes damage',100,1,2),
(238262,10111659,'5% chance to dispel when target receives hostile action',100,1,3),
(238263,105010,'Reduces physical damage done to caster by 5%',100,1,0),
(238264,105010,'Adds 1.7% to base avoidance.',100,1,1),
(238265,105010,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(238266,105010,'Increases Parry of caster by 34.1',100,1,3),
(238267,105010,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(238268,105010,'Increases Aggression of caster by 20.5',100,1,5),
(238269,105010,'Increases Defense and Deflection of caster by 34.1',100,1,6),
(238270,105010,'Increases Mitigation of caster vs arcane damage by 2226',100,1,7),
(238271,105010,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(238272,10105010,'Reduces physical damage done to caster by 5%',100,1,0),
(238273,10105010,'Adds 1.7% to base avoidance.',100,1,1),
(238274,10105010,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(238275,10105010,'Increases Parry of caster by 34.1',100,1,3),
(238276,10105010,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(238277,10105010,'Increases Aggression of caster by 20.5',100,1,5),
(238278,10105010,'Increases Defense and Deflection of caster by 34.1',100,1,6),
(238279,10105010,'Increases Mitigation of caster vs arcane damage by 2226',100,1,7),
(238280,10105010,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(238281,113327,'Inflicts 103 - 126 divine damage on target encounter',100,1,0),
(238282,113327,'Interrupts target encounter',100,1,1),
(238283,10113327,'Inflicts 124 - 151 divine damage on target encounter',100,1,0),
(238284,10113327,'Interrupts target encounter',100,1,1),
(238285,87491,'When Equipped:',100,0,0),
(238286,87491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238287,87491,'Inflicts 69 - 103 magic damage on target',100,2,2),
(238288,87491,'Cannot be modified except by direct means',100,2,3),
(238289,10087491,'When Equipped:',100,0,0),
(238290,10087491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238291,10087491,'Inflicts 83 - 124 magic damage on target',100,2,2),
(238292,10087491,'Cannot be modified except by direct means',100,2,3),
(238293,72490,'When Equipped:',100,0,0),
(238294,72490,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(238295,72490,'Increases Attack Speed of caster by 20.0',100,2,2),
(238296,72490,'Increases Damage Per Second of caster by 20.0',100,2,3),
(238297,72490,'Cannot be modified except by direct means',100,2,4),
(238298,10072490,'When Equipped:',100,0,0),
(238299,10072490,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(238300,10072490,'Increases Attack Speed of caster by 20.0',100,2,2),
(238301,10072490,'Increases Damage Per Second of caster by 20.0',100,2,3),
(238302,10072490,'Cannot be modified except by direct means',100,2,4),
(238303,106494,'Decreases STR and AGI of target by 75.3',100,1,0),
(238304,10106494,'Decreases STR and AGI of target by 75.3',100,1,0),
(238305,48618,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(238306,48618,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238307,48618,'Stifles target',100,2,2),
(238308,48618,'If Target is not Epic',100,3,3),
(238309,48618,'Cannot be modified except by direct means',100,2,4),
(238310,48618,'Grants a total of 4 triggers of the spell.',100,2,5),
(238311,10048618,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(238312,10048618,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238313,10048618,'Stifles target',100,2,2),
(238314,10048618,'If Target is not Epic',100,3,3),
(238315,10048618,'Cannot be modified except by direct means',100,2,4),
(238316,10048618,'Grants a total of 4 triggers of the spell.',100,2,5),
(238317,114004,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(238318,114004,'Inflicts 96 - 160 melee damage on target',100,2,1),
(238319,114004,'Increases Threat to target by 547 ',100,2,2),
(238320,10114004,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(238321,10114004,'Inflicts 115 - 192 melee damage on target',100,2,1),
(238322,82071,'When Equipped:',100,0,0),
(238323,82071,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238324,82071,'Inflicts 122 - 226 magic damage on target',100,2,2),
(238325,82071,'Cannot be modified except by direct means',100,2,3),
(238326,10082071,'When Equipped:',100,0,0),
(238327,10082071,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238328,10082071,'Inflicts 146 - 272 magic damage on target',100,2,2),
(238329,10082071,'Cannot be modified except by direct means',100,2,3),
(238330,102860,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(238331,102860,'Stuns target',100,2,1),
(238332,102860,'Throws target back',100,2,2),
(238333,102860,'Blurs vision of target',100,2,3),
(238334,102860,'Does not affect Epic targets',100,2,4),
(238335,102860,'Inflicts 244 - 734 melee damage on targets in area',100,1,5),
(238336,10102860,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(238337,10102860,'Stuns target',100,2,1),
(238338,10102860,'Blurs vision of target',100,2,2),
(238339,10102860,'Throws target back',100,2,3),
(238340,10102860,'Does not affect Epic targets',100,2,4),
(238341,10102860,'Inflicts 293 - 881 melee damage on targets in area',100,1,5),
(238342,115667,'Increases STR of caster by 10.5',100,1,0),
(238343,115667,'Decreases Defense of caster by 2.2',100,1,1),
(238344,115667,'Increases Slashing, Piercing and Crushing of caster by 4.2',100,1,2),
(238345,10115667,'Increases STR of caster by 10.5',100,1,0),
(238346,10115667,'Decreases Defense of caster by 2.2',100,1,1),
(238347,10115667,'Increases Slashing, Piercing and Crushing of caster by 4.2',100,1,2),
(238348,113782,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(238349,113782,'Heals target for 237 - 290',100,2,1),
(238350,10113782,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(238351,10113782,'Heals target for 154 - 188',100,2,1),
(238352,137893,'When Equipped:',100,0,0),
(238353,137893,'Increases Attack Speed of caster by 20.0',100,1,1),
(238354,10137893,'When Equipped:',100,0,0),
(238355,10137893,'Increases Attack Speed of caster by 20.0',100,1,1),
(238356,72208,'When Equipped:',100,0,0),
(238357,72208,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238358,72208,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(238359,72208,'Cannot be modified except by direct means',100,2,3),
(238360,10072208,'When Equipped:',100,0,0),
(238361,10072208,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238362,10072208,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(238363,10072208,'Cannot be modified except by direct means',100,2,3),
(238364,25033,'When Equipped:',100,0,0),
(238365,25033,'Increases STA of caster by 25.0',100,1,1),
(238366,10025033,'When Equipped:',100,0,0),
(238367,10025033,'Increases STA of caster by 25.0',100,1,1),
(238368,48361,'Applies Stout Spirit when Activated.  Lasts for 30.0 seconds.',100,0,0),
(238369,48361,'Stifles caster',100,1,1),
(238370,48361,'Decreases Damage Per Second of caster by 144.0',100,1,2),
(238371,48361,'Increases Mitigation of caster vs all damage by 1568',100,1,3),
(238372,10048361,'Applies Stout Spirit when Activated.  Lasts for 30.0 seconds.',100,0,0),
(238373,10048361,'Stifles caster',100,1,1),
(238374,10048361,'Decreases Damage Per Second of caster by 144.0',100,1,2),
(238375,10048361,'Increases Mitigation of caster vs all damage by 1568',100,1,3),
(238376,119783,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(238377,119783,'Inflicts 80 - 97 poison damage on target encounter',100,2,1),
(238378,10119783,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(238379,10119783,'Inflicts 95 - 117 poison damage on target encounter',100,2,1),
(238380,137356,'When Equipped:',100,0,0),
(238381,137356,'Increases Attack Speed of caster by 35.0',100,1,1),
(238382,10137356,'When Equipped:',100,0,0),
(238383,10137356,'Increases Attack Speed of caster by 35.0',100,1,1),
(238384,112381,'Increases Crushing, Piercing, Slashing and Ranged of target by 25.0',100,1,0),
(238385,112381,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(238386,112381,'Inflicts 157 - 191 piercing damage on target',100,2,2),
(238387,112381,'Inflicts 78 - 96 piercing damage on target every 3 seconds',100,2,3),
(238388,10112381,'Increases Crushing, Piercing, Slashing and Ranged of target by 25.0',100,1,0),
(238389,10112381,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(238390,10112381,'Inflicts 188 - 230 piercing damage on target',100,2,2),
(238391,10112381,'Inflicts 94 - 115 piercing damage on target every 3 seconds',100,2,3),
(238392,182817,'When Equipped:',100,0,0),
(238393,182817,'Increases Attack Speed of caster by 25.0',100,1,1),
(238394,10182817,'When Equipped:',100,0,0),
(238395,10182817,'Increases Attack Speed of caster by 25.0',100,1,1),
(238396,118458,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(238397,118458,'Inflicts 14 - 18 heat damage on target instantly and every second',100,2,1),
(238398,10118458,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(238399,10118458,'Inflicts 17 - 21 heat damage on target instantly and every second',100,2,1),
(238400,109988,'Increases the healing and ward of target ally by 24%',100,1,0),
(238401,109988,'Increases the resurrect restoration amount of target ally by 24%',100,1,1),
(238402,109988,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(238403,109988,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(238404,10109988,'Increases the healing and ward of target ally by 24%',100,1,0),
(238405,10109988,'Increases the resurrect restoration amount of target ally by 24%',100,1,1),
(238406,10109988,'Applies Gravitas Immunity.  Lasts for 2 minutes.',100,1,2),
(238407,10109988,'Cannot cast on an ally that has recently had Gravitas on them.',100,1,3),
(238408,73918,'Applies Holy Strike when Activated.',100,0,0),
(238409,73918,'Inflicts 125 - 208 divine damage on target',100,1,1),
(238410,73918,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(238411,10073918,'Applies Holy Strike when Activated.',100,0,0),
(238412,10073918,'Inflicts 150 - 249 divine damage on target',100,1,1),
(238413,10073918,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(238414,118505,'Summons a limited pet to aid the caster',100,1,0),
(238415,10118505,'Summons a limited pet to aid the caster',100,1,0),
(238416,102868,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(238417,102868,'Stuns target',100,2,1),
(238418,102868,'Throws target back',100,2,2),
(238419,102868,'Blurs vision of target',100,2,3),
(238420,102868,'Does not affect Epic targets',100,2,4),
(238421,102868,'Inflicts 358 - 1075 melee damage on targets in area',100,1,5),
(238422,10102868,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(238423,10102868,'Stuns target',100,2,1),
(238424,10102868,'Blurs vision of target',100,2,2),
(238425,10102868,'Throws target back',100,2,3),
(238426,10102868,'Does not affect Epic targets',100,2,4),
(238427,10102868,'Inflicts 430 - 1290 melee damage on targets in area',100,1,5),
(238428,24049,'Adds Boarfiend (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(238429,10024049,'Adds Boarfiend (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(238430,135634,'When Equipped:',100,0,0),
(238431,135634,'On a healing spell cast this spell will cast Regenerating Gift on caster.  ',100,1,1),
(238432,135634,'Heals caster for 21',100,2,2),
(238433,135634,'Cannot be modified except by direct means',100,2,3),
(238434,10135634,'When Equipped:',100,0,0),
(238435,10135634,'On a healing spell cast this spell will cast Regenerating Gift on caster.  ',100,1,1),
(238436,10135634,'Heals caster for 14',100,2,2),
(238437,10135634,'Cannot be modified except by direct means',100,2,3),
(238438,48954,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(238439,48954,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238440,48954,'Decreases power of target by 51',100,2,2),
(238441,48954,'Cannot be modified except by direct means',100,2,3),
(238442,48954,'Grants a total of 4 triggers of the spell.',100,2,4),
(238443,10048954,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(238444,10048954,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238445,10048954,'Decreases power of target by 51',100,2,2),
(238446,10048954,'Cannot be modified except by direct means',100,2,3),
(238447,10048954,'Grants a total of 4 triggers of the spell.',100,2,4),
(238448,100399,'Summons a pet aery hunter',100,1,0),
(238449,10100399,'Summons a pet aery hunter',100,1,0),
(238450,112088,'Inflicts 36 - 60 heat damage on target instantly and every 2 seconds',100,1,0),
(238451,10112088,'Inflicts 106 - 176 heat damage on target instantly and every 2 seconds',100,1,0),
(238452,118594,'Roots target',100,1,0),
(238453,118594,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(238454,118594,'Slows target by 37.0%',100,2,2),
(238455,118594,'5% chance to dispel when target receives hostile action',100,2,3),
(238456,118594,'5% chance to dispel when target takes damage',100,2,4),
(238457,118594,'5% chance to dispel when target takes damage',100,1,5),
(238458,118594,'Does not affect Epic targets',100,1,6),
(238459,118594,'Resistibility increases against targets higher than level 64.',100,1,7),
(238460,10118594,'Roots target',100,1,0),
(238461,10118594,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(238462,10118594,'Slows target by 37.0%',100,2,2),
(238463,10118594,'5% chance to dispel when target receives hostile action',100,2,3),
(238464,10118594,'5% chance to dispel when target takes damage',100,2,4),
(238465,10118594,'5% chance to dispel when target takes damage',100,1,5),
(238466,10118594,'Does not affect Epic targets',100,1,6),
(238467,10118594,'Resistibility increases against targets higher than level 64.',100,1,7),
(238468,152365,'When Equipped:',100,0,0),
(238469,152365,'On a healing spell cast this spell may cast Unstable Emollient on target of spell cast.  Triggers about 4.0 times per minute. ',100,1,1),
(238470,152365,'Applies Unstable Emollient.',100,2,2),
(238471,152365,'Inflicts 590 - 984 heat damage on target',100,3,3),
(238472,152365,'Cannot be modified except by direct means',100,2,4),
(238473,10152365,'When Equipped:',100,0,0),
(238474,10152365,'On a healing spell cast this spell may cast Unstable Emollient on target of spell cast.  Triggers about 4.0 times per minute. ',100,1,1),
(238475,10152365,'Applies Unstable Emollient.',100,2,2),
(238476,10152365,'Inflicts 708 - 1180 heat damage on target',100,3,3),
(238477,10152365,'Cannot be modified except by direct means',100,2,4),
(238478,36717,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(238479,109196,'Decreases Ranged, Crushing, Piercing and Slashing of target encounter by 5.1',100,1,0),
(238480,10109196,'Decreases Ranged, Crushing, Piercing and Slashing of target encounter by 5.1',100,1,0),
(238481,117923,'Increases In-Combat Health Regeneration of group members (AE) by 194.9',100,1,0),
(238482,117923,'Increases Max Health of group members (AE) by 989.8',100,1,1),
(238483,10117923,'Increases In-Combat Health Regeneration of group members (AE) by 194.9',100,1,0),
(238484,10117923,'Increases Max Health of group members (AE) by 989.8',100,1,1),
(238485,111407,'Increases Attack Speed of target by 35.5',100,1,0),
(238486,111407,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(238487,111407,'Inflicts 189 disease damage on target',100,2,2),
(238488,111407,'Heals caster for 63',100,2,3),
(238489,111407,'Decreases Defense and Parry of target by 23.9',100,1,4),
(238490,111407,'Increases Disruption, Subjugation and Focus of target by 26.2',100,1,5),
(238491,10111407,'Increases Attack Speed of target by 35.5',100,1,0),
(238492,10111407,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(238493,10111407,'Inflicts 226 disease damage on target',100,2,2),
(238494,10111407,'Heals caster for 41',100,2,3),
(238495,10111407,'Decreases Defense and Parry of target by 23.9',100,1,4),
(238496,10111407,'Increases Disruption, Subjugation and Focus of target by 26.2',100,1,5),
(238497,113807,'Inflicts 8 - 13 disease damage on target',100,1,0),
(238498,10113807,'Inflicts 9 - 16 disease damage on target',100,1,0),
(238499,48701,'Applies Edwardian''s Renewal  when Activated.',100,0,0),
(238500,48701,'Heals caster for 104',100,1,1),
(238501,10048701,'Applies Edwardian''s Renewal  when Activated.',100,0,0),
(238502,10048701,'Heals caster for 68',100,1,1),
(238503,81635,'When Equipped:',100,0,0),
(238504,81635,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238505,81635,'Inflicts 107 - 199 magic damage on target',100,2,2),
(238506,81635,'Decreases Threat to target by 376 ',100,2,3),
(238507,81635,'Must be flanking or behind',100,3,4),
(238508,81635,'Increases Threat to target by 381 ',100,2,5),
(238509,81635,'Must be in front of',100,3,6),
(238510,81635,'Cannot be modified except by direct means',100,2,7),
(238511,10081635,'When Equipped:',100,0,0),
(238512,10081635,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238513,10081635,'Inflicts 128 - 238 magic damage on target',100,2,2),
(238514,10081635,'Cannot be modified except by direct means',100,2,3),
(238515,48039,'Applies Shimmering Fists when Activated.',100,0,0),
(238516,48039,'Covers the user''s hands in illusory shimmering particles.',100,1,1),
(238517,10048039,'Applies Shimmering Fists when Activated.',100,0,0),
(238518,10048039,'Covers the user''s hands in illusory shimmering particles.',100,1,1),
(238519,85533,'When Equipped:',100,0,0),
(238520,85533,'Increases WIS of caster by 50.0',100,1,1),
(238521,85533,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(238522,85533,'Increases STR, AGI and INT of caster by 50.0',100,1,3),
(238523,85533,'Increases Potency of caster by 3.5%',100,1,4),
(238524,85533,'Cannot be modified except by direct means',100,1,5),
(238525,10085533,'When Equipped:',100,0,0),
(238526,10085533,'Increases WIS of caster by 50.0',100,1,1),
(238527,10085533,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(238528,10085533,'Increases STR, AGI and INT of caster by 50.0',100,1,3),
(238529,10085533,'Increases Potency of caster by 3.5%',100,1,4),
(238530,10085533,'Cannot be modified except by direct means',100,1,5),
(238531,123707,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(238532,123707,'Inflicts 132 divine damage on target',100,2,1),
(238533,123707,'Grants a total of 5 triggers of the spell.',100,2,2),
(238534,10123707,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(238535,10123707,'Inflicts 158 divine damage on target',100,2,1),
(238536,10123707,'Grants a total of 5 triggers of the spell.',100,2,2),
(238537,116976,'Increases Threat to target by 1,387 - 1,694 ',100,1,0),
(238538,116976,'Interrupts target',100,1,1),
(238539,10116976,'Forces target to change their selected target to caster.',100,1,0),
(238540,10116976,'Interrupts target',100,1,1),
(238541,10116976,'Prevents target from changing targets',100,1,2),
(238542,45513,'Applies Summon Grassgalor when Activated.',100,0,0),
(238543,45513,'Summons a pet Grassgalor',100,1,1),
(238544,10045513,'Applies Summon Grassgalor when Activated.',100,0,0),
(238545,10045513,'Summons a pet Grassgalor',100,1,1),
(238546,35262,'Increases STR of target by 1.5',100,0,0),
(238547,35262,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(238548,118317,'Roots target encounter',100,1,0),
(238549,118317,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(238550,118317,'Slows target by 43.3%',100,2,2),
(238551,118317,'5% chance to dispel when target receives hostile action',100,2,3),
(238552,118317,'5% chance to dispel when target takes damage',100,2,4),
(238553,118317,'20% chance to dispel when target takes damage',100,1,5),
(238554,118317,'Does not affect Epic targets',100,1,6),
(238555,118317,'Resistibility increases against targets higher than level 107.',100,1,7),
(238556,10118317,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(238557,10118317,'Slows target by 43.3%',100,2,1),
(238558,10118317,'5% chance to dispel when target receives hostile action',100,2,2),
(238559,10118317,'5% chance to dispel when target takes damage',100,2,3),
(238560,10118317,'Roots target encounter',100,1,4),
(238561,10118317,'20% chance to dispel when target takes damage',100,1,5),
(238562,10118317,'Does not affect Epic targets',100,1,6),
(238563,10118317,'Resistibility increases against targets higher than level 107.',100,1,7),
(238564,74572,'When Equipped:',100,0,0),
(238565,74572,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238566,74572,'Inflicts 133 - 199 magic damage on target',100,2,2),
(238567,74572,'Cannot be modified except by direct means',100,2,3),
(238568,10074572,'When Equipped:',100,0,0),
(238569,10074572,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238570,10074572,'Inflicts 159 - 239 magic damage on target',100,2,2),
(238571,10074572,'Cannot be modified except by direct means',100,2,3),
(238572,108189,'Increases power of caster by 13 instantly and every 4 seconds',100,1,0),
(238573,10108189,'Increases power of caster by 13 instantly and every 4 seconds',100,1,0),
(238574,37062,'Increases Max Power of target by 3.3',100,0,0),
(238575,37062,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(238576,103915,'Wards group members (AE) collectively against 834 total points of all damage',100,1,0),
(238577,10103915,'Wards group members (AE) collectively against 1243 total points of all damage',100,1,0),
(238578,82893,'When Equipped:',100,0,0),
(238579,82893,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238580,82893,'Inflicts 224 - 416 magic damage on target',100,2,2),
(238581,82893,'Decreases Threat to target by 833 ',100,2,3),
(238582,82893,'Must be flanking or behind',100,3,4),
(238583,82893,'Increases Threat to target by 838 ',100,2,5),
(238584,82893,'Must be in front of',100,3,6),
(238585,82893,'Cannot be modified except by direct means',100,2,7),
(238586,10082893,'When Equipped:',100,0,0),
(238587,10082893,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238588,10082893,'Inflicts 269 - 499 magic damage on target',100,2,2),
(238589,10082893,'Cannot be modified except by direct means',100,2,3),
(238590,116080,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(238591,116080,'Heals target for 84 - 102',100,2,1),
(238592,116080,'Grants a total of 5 triggers of the spell.',100,2,2),
(238593,10116080,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(238594,10116080,'Heals target for 54 - 67',100,2,1),
(238595,10116080,'Grants a total of 5 triggers of the spell.',100,2,2),
(238596,123236,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(238597,123236,'Increases Mitigation of group members (AE) vs noxious damage by 185',100,1,1),
(238598,10123236,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(238599,10123236,'Increases Mitigation of group members (AE) vs noxious damage by 185',100,1,1),
(238600,35523,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(238601,113222,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(238602,113222,'Inflicts 100 magic damage on target',100,2,1),
(238603,113222,'Grants a total of 5 triggers of the spell.',100,2,2),
(238604,10113222,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(238605,10113222,'Inflicts 120 magic damage on target',100,2,1),
(238606,10113222,'Grants a total of 5 triggers of the spell.',100,2,2),
(238607,149100,'When Equipped:',100,0,0),
(238608,149100,'This effect will not stack with itself.',100,1,1),
(238609,149100,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(238610,149100,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(238611,149100,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(238612,149100,'Increases in-combat movement speed of caster by 12.0%',100,2,5),
(238613,149100,'Must not be engaged in pvp combat',100,2,6),
(238614,149100,'Cannot be modified except by direct means',100,2,7),
(238615,149100,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(238616,149100,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(238617,149100,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(238618,149100,'Increases in-combat movement speed of caster by 12.0%',100,2,11),
(238619,149100,'Must not be engaged in pvp combat',100,2,12),
(238620,149100,'Cannot be modified except by direct means',100,2,13),
(238621,149100,'Must not be engaged in pvp combat',100,1,14),
(238622,10149100,'When Equipped:',100,0,0),
(238623,10149100,'This effect will not stack with itself.',100,1,1),
(238624,10149100,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(238625,10149100,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(238626,10149100,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(238627,10149100,'Increases in-combat movement speed of caster by 12.0%',100,2,5),
(238628,10149100,'Must not be engaged in pvp combat',100,2,6),
(238629,10149100,'Cannot be modified except by direct means',100,2,7),
(238630,10149100,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(238631,10149100,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(238632,10149100,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(238633,10149100,'Increases in-combat movement speed of caster by 12.0%',100,2,11),
(238634,10149100,'Must not be engaged in pvp combat',100,2,12),
(238635,10149100,'Cannot be modified except by direct means',100,2,13),
(238636,10149100,'Must not be engaged in pvp combat',100,1,14),
(238637,24598,'Adds Orc-Snow (Assassin) to your Dungeon Maker toolbox',100,0,0),
(238638,10024598,'Adds Orc-Snow (Assassin) to your Dungeon Maker toolbox',100,0,0),
(238639,24053,'Adds Brokentusk Warrior to your Dungeon Maker toolbox',100,0,0),
(238640,10024053,'Adds Brokentusk Warrior to your Dungeon Maker toolbox',100,0,0),
(238641,80678,'When Equipped:',100,0,0),
(238642,80678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238643,80678,'Inflicts 48 - 89 magic damage on target',100,2,2),
(238644,80678,'Cannot be modified except by direct means',100,2,3),
(238645,10080678,'When Equipped:',100,0,0),
(238646,10080678,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238647,10080678,'Inflicts 57 - 106 magic damage on target',100,2,2),
(238648,10080678,'Cannot be modified except by direct means',100,2,3),
(238649,48758,'Applies Elixir of Spiritual Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(238650,10048758,'Applies Elixir of Spiritual Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(238651,104748,'Applies Consecration.',100,1,0),
(238652,104748,'Inflicts 124 - 151 divine damage on targets in Area of Effect',100,2,1),
(238653,10104748,'Applies Consecration.',100,1,0),
(238654,10104748,'Inflicts 149 - 182 divine damage on targets in Area of Effect',100,2,1),
(238655,107747,'Stuns target',100,1,0),
(238656,107747,'If Target is not Epic',100,2,1),
(238657,107747,'Inflicts 192 - 320 cold damage on target',100,1,2),
(238658,107747,'Resistibility increases against targets higher than level 45.',100,1,3),
(238659,10107747,'Stuns target',100,1,0),
(238660,10107747,'If Target is not Epic',100,2,1),
(238661,10107747,'Inflicts 230 - 384 cold damage on target',100,1,2),
(238662,10107747,'Resistibility increases against targets higher than level 45.',100,1,3),
(238663,119971,'Increases Threat to target by 118 - 143 ',100,1,0),
(238664,10119971,'Prevents target from changing targets',100,1,0),
(238665,10119971,'Forces target to change their selected target to caster.',100,1,1),
(238666,102224,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(238667,10102224,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(238668,77426,'Applies Fire Ball when Activated.',100,0,0),
(238669,77426,'Inflicts 169 - 282 heat damage on target',100,1,1),
(238670,77426,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(238671,10077426,'Applies Fire Ball when Activated.',100,0,0),
(238672,10077426,'Inflicts 203 - 338 heat damage on target',100,1,1),
(238673,10077426,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(238674,109798,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(238675,109798,'Heals group members (AE) for 496',100,2,1),
(238676,10109798,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(238677,10109798,'Heals group members (AE) for 323',100,2,1),
(238678,159766,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(238679,159766,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(238680,159766,'Inflicts 105 heat damage on target',100,2,2),
(238681,159766,'Cannot be modified except by direct means',100,2,3),
(238682,10159766,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(238683,10159766,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(238684,10159766,'Inflicts 126 heat damage on target',100,2,2),
(238685,10159766,'Cannot be modified except by direct means',100,2,3),
(238686,159468,'Applies Lambent Imbued when Equipped.',100,0,0),
(238687,159468,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238688,159468,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(238689,159468,'Cannot be modified except by direct means',100,2,3),
(238690,10159468,'Applies Lambent Imbued when Equipped.',100,0,0),
(238691,10159468,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238692,10159468,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(238693,10159468,'Cannot be modified except by direct means',100,2,3),
(238694,111999,'Inflicts 202 - 337 piercing damage on target',100,1,0),
(238695,10111999,'Inflicts 243 - 405 piercing damage on target',100,1,0),
(238696,113812,'Inflicts 37 - 61 disease damage on target',100,1,0),
(238697,10113812,'Inflicts 44 - 73 disease damage on target',100,1,0),
(238698,110383,'Increases STR and AGI of group members (AE) by 49.2',100,1,0),
(238699,110383,'Adds 1.5% to base avoidance.',100,1,1),
(238700,10110383,'Increases STR and AGI of group members (AE) by 49.2',100,1,0),
(238701,10110383,'Adds 1.5% to base avoidance.',100,1,1),
(238702,108994,'Decreases Damage Per Second of target by 14.7',100,1,0),
(238703,108994,'Inflicts 39 - 48 melee damage on target',100,1,1),
(238704,10108994,'Decreases Damage Per Second of target by 14.7',100,1,0),
(238705,10108994,'Inflicts 47 - 58 melee damage on target',100,1,1),
(238706,123059,'Summons a pet undead knight',100,1,0),
(238707,10123059,'Summons a pet undead knight',100,1,0),
(238708,109240,'Increases INT and WIS of group members (AE) by 24.6',100,1,0),
(238709,109240,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 70',100,1,1),
(238710,10109240,'Increases INT and WIS of group members (AE) by 24.6',100,1,0),
(238711,10109240,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 70',100,1,1),
(238712,114770,'Feigns Death with 76% chance of success',100,1,0),
(238713,10114770,'Feigns Death with 76% chance of success',100,1,0),
(238714,71680,'When Equipped:',100,0,0),
(238715,71680,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238716,71680,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(238717,71680,'Cannot be modified except by direct means',100,2,3),
(238718,10071680,'When Equipped:',100,0,0),
(238719,10071680,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(238720,10071680,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(238721,10071680,'Cannot be modified except by direct means',100,2,3),
(238722,101720,'Mesmerizes target',100,1,0),
(238723,101720,'Prevents AOE (except when direct) ',100,1,1),
(238724,101720,'Mesmerizes caster',100,1,2),
(238725,101720,'Dispelled when target takes damage',100,1,3),
(238726,101720,'Does not affect Epic targets',100,1,4),
(238727,101720,'Resistibility increases against targets higher than level 68.',100,1,5),
(238728,10101720,'Mesmerizes target',100,1,0),
(238729,10101720,'Prevents AOE (except when direct) ',100,1,1),
(238730,10101720,'Mesmerizes caster',100,1,2),
(238731,10101720,'Dispelled when target takes damage',100,1,3),
(238732,10101720,'Does not affect Epic targets',100,1,4),
(238733,10101720,'Resistibility increases against targets higher than level 68.',100,1,5),
(238734,102066,'Inflicts 388 - 648 melee damage on targets in area',100,1,0),
(238735,102066,'Interrupts targets in Area of Effect',100,1,1),
(238736,10102066,'Inflicts 466 - 777 melee damage on targets in area',100,1,0),
(238737,10102066,'Interrupts targets in Area of Effect',100,1,1),
(238738,114358,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(238739,114358,'Stuns target',100,2,1),
(238740,114358,'Blurs vision of target',100,2,2),
(238741,114358,'Throws target back',100,2,3),
(238742,114358,'Does not affect Epic targets',100,2,4),
(238743,114358,'Inflicts 33 - 55 crushing damage on target',100,1,5),
(238744,10114358,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(238745,10114358,'Blurs vision of target',100,2,1),
(238746,10114358,'Stuns target',100,2,2),
(238747,10114358,'Throws target back',100,2,3),
(238748,10114358,'Does not affect Epic targets',100,2,4),
(238749,10114358,'Inflicts 39 - 66 crushing damage on target',100,1,5),
(238750,106740,'Heals target for 740 - 905',100,1,0),
(238751,10106740,'Heals target for 870 - 1064',100,1,0),
(238752,117192,'Inflicts 192 poison damage on target instantly and every 4 seconds',100,1,0),
(238753,117192,'Decreases WIS of target by 153.1',100,1,1),
(238754,10117192,'Inflicts 230 poison damage on target instantly and every 4 seconds',100,1,0),
(238755,10117192,'Decreases WIS of target by 153.1',100,1,1),
(238756,48456,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(238757,48456,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(238758,48456,'Inflicts 183 poison damage on target',100,2,2),
(238759,48456,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,3),
(238760,48456,'Cannot be modified except by direct means',100,2,4),
(238761,48456,'Grants a total of 200 triggers of the spell.',100,2,5),
(238762,10048456,'Applies Impenetrable Barrier when Activated.  Lasts for 12 hours.',100,0,0),
(238763,10048456,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(238764,10048456,'Inflicts 164 poison damage on target',100,2,2),
(238765,10048456,'Inflicts 27 poison damage on target instantly and every 6 seconds',100,2,3),
(238766,10048456,'Cannot be modified except by direct means',100,2,4),
(238767,10048456,'Grants a total of 200 triggers of the spell.',100,2,5),
(238768,177477,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(238769,177477,'Decreases Attack Speed of target by 15.6',100,1,1),
(238770,177477,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(238771,10177477,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(238772,10177477,'Decreases Attack Speed of target by 15.6',100,1,1),
(238773,10177477,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(238774,138447,'When Equipped:',100,0,0),
(238775,138447,'Increases Attack Speed of caster by 45.0',100,1,1),
(238776,10138447,'When Equipped:',100,0,0),
(238777,10138447,'Increases Attack Speed of caster by 45.0',100,1,1),
(238778,82386,'When Equipped:',100,0,0),
(238779,82386,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238780,82386,'Inflicts 107 - 199 magic damage on target',100,2,2),
(238781,82386,'Decreases Threat to target by 376 ',100,2,3),
(238782,82386,'Must be flanking or behind',100,3,4),
(238783,82386,'Increases Threat to target by 381 ',100,2,5),
(238784,82386,'Must be in front of',100,3,6),
(238785,82386,'Cannot be modified except by direct means',100,2,7),
(238786,10082386,'When Equipped:',100,0,0),
(238787,10082386,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238788,10082386,'Inflicts 128 - 238 magic damage on target',100,2,2),
(238789,10082386,'Cannot be modified except by direct means',100,2,3),
(238790,109395,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(238791,109395,'Inflicts 57 - 69 cold damage on target',100,2,1),
(238792,109395,'Slows target by 35.1%',100,2,2),
(238793,109395,'5% chance to dispel when target receives hostile action',100,2,3),
(238794,109395,'5% chance to dispel when target takes damage',100,2,4),
(238795,10109395,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(238796,10109395,'Inflicts 68 - 83 cold damage on target',100,2,1),
(238797,10109395,'Slows target by 35.1%',100,2,2),
(238798,10109395,'5% chance to dispel when target receives hostile action',100,2,3),
(238799,10109395,'5% chance to dispel when target takes damage',100,2,4),
(238800,159631,'Applies Lambent Imbued when Equipped.',100,0,0),
(238801,159631,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238802,159631,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(238803,159631,'Cannot be modified except by direct means',100,2,3),
(238804,10159631,'Applies Lambent Imbued when Equipped.',100,0,0),
(238805,10159631,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(238806,10159631,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(238807,10159631,'Cannot be modified except by direct means',100,2,3),
(238808,118738,'Inflicts 194 - 323 slashing damage on target',100,1,0),
(238809,118738,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(238810,118738,'Inflicts 80 - 98 slashing damage on target every 5 seconds',100,1,2),
(238811,10118738,'Inflicts 233 - 388 slashing damage on target',100,1,0),
(238812,10118738,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(238813,10118738,'Inflicts 96 - 117 slashing damage on target every 5 seconds',100,1,2),
(238814,155676,'When Equipped:',100,0,0),
(238815,155676,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(238816,10155676,'When Equipped:',100,0,0),
(238817,10155676,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(238818,121692,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(238819,121692,'Inflicts 58 - 71 heat damage on target instantly and every second',100,2,1),
(238820,10121692,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(238821,10121692,'Inflicts 69 - 85 heat damage on target instantly and every second',100,2,1),
(238822,115635,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 280',100,1,0),
(238823,10115635,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 280',100,1,0),
(238824,46914,'Applies Mending Root when Activated.',100,0,0),
(238825,46914,'Heals caster for 44 - 65',100,1,1),
(238826,10046914,'Applies Mending Root when Activated.',100,0,0),
(238827,10046914,'Heals caster for 28 - 42',100,1,1),
(238828,137317,'When Equipped:',100,0,0),
(238829,137317,'Increases Attack Speed of caster by 40.0',100,1,1),
(238830,10137317,'When Equipped:',100,0,0),
(238831,10137317,'Increases Attack Speed of caster by 40.0',100,1,1),
(238832,87351,'When Equipped:',100,0,0),
(238833,87351,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238834,87351,'Inflicts 96 - 144 magic damage on target',100,2,2),
(238835,87351,'Cannot be modified except by direct means',100,2,3),
(238836,10087351,'When Equipped:',100,0,0),
(238837,10087351,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(238838,10087351,'Inflicts 115 - 173 magic damage on target',100,2,2),
(238839,10087351,'Cannot be modified except by direct means',100,2,3),
(238840,102606,'Increases Threat to target encounter by 646 - 788 ',100,1,0),
(238841,102606,'Interrupts target encounter',100,1,1),
(238842,102606,'Decreases Mitigation of target encounter vs noxious damage by 475',100,1,2),
(238843,10102606,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(238844,10102606,'Prevents target from changing targets',100,2,1),
(238845,10102606,'Forces target to change their selected target to caster.',100,2,2),
(238846,10102606,'Interrupts target encounter',100,1,3),
(238847,10102606,'Decreases Mitigation of target encounter vs noxious damage by 475',100,1,4),
(238848,175639,'When Equipped:',100,0,0),
(238849,175639,'Increases disease damage done by spells by up to 50.',100,1,1),
(238850,10175639,'When Equipped:',100,0,0),
(238851,10175639,'Increases disease damage done by spells by up to 50.',100,1,1),
(238852,100157,'Inflicts 99 - 122 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(238853,100157,'Decreases Mitigation of target encounter vs noxious damage by 1109',100,1,1),
(238854,10100157,'Inflicts 119 - 146 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(238855,10100157,'Decreases Mitigation of target encounter vs noxious damage by 1109',100,1,1),
(238856,108359,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(238857,108359,'Increases Mitigation of group members (AE) vs arcane damage by 523',100,1,1),
(238858,10108359,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(238859,10108359,'Increases Mitigation of group members (AE) vs arcane damage by 523',100,1,1),
(238860,100194,'Increases Threat to target encounter by 56 - 67 ',100,1,0),
(238861,100194,'Interrupts target encounter',100,1,1),
(238862,10100194,'Interrupts target encounter',100,1,0),
(238863,10100194,'Forces target encounter to change their selected target to caster.',100,1,1),
(238864,10100194,'Prevents target encounter from changing targets',100,1,2),
(238865,107286,'Inflicts 287 - 479 ranged damage on target',100,1,0),
(238866,107286,'Inflicts 287 - 479 ranged damage on target',100,1,1),
(238867,107286,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(238868,107286,'Blurs vision of target',100,2,3),
(238869,107286,'Stuns target',100,2,4),
(238870,107286,'Throws target back',100,2,5),
(238871,107286,'Does not affect Epic targets',100,2,6),
(238872,107286,'If weapon equipped in Ranged',100,1,7),
(238873,10107286,'Inflicts 244 - 407 ranged damage on target',100,1,0),
(238874,10107286,'Inflicts 244 - 407 ranged damage on target',100,1,1),
(238875,10107286,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(238876,10107286,'Stuns target',100,2,3),
(238877,10107286,'Blurs vision of target',100,2,4),
(238878,10107286,'Throws target back',100,2,5),
(238879,10107286,'Does not affect Epic targets',100,2,6),
(238880,10107286,'If weapon equipped in Ranged',100,1,7),
(238881,124142,'Inflicts 101 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(238882,124142,'Applies Banshee''s Scream on termination.',100,1,1),
(238883,124142,'Inflicts 304 - 507 disease damage on target',100,2,2),
(238884,10124142,'Inflicts 122 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(238885,10124142,'Applies Banshee''s Scream on termination.',100,1,1),
(238886,10124142,'Inflicts 365 - 609 disease damage on target',100,2,2),
(238887,159190,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(238888,159190,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(238889,159190,'Inflicts 30 heat damage on target',100,2,2),
(238890,159190,'Cannot be modified except by direct means',100,2,3),
(238891,10159190,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(238892,10159190,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(238893,10159190,'Inflicts 36 heat damage on target',100,2,2),
(238894,10159190,'Cannot be modified except by direct means',100,2,3),
(238895,114844,'Decreases AGI of target by 6.5',100,1,0),
(238896,114844,'Decreases Defense of target by 2.1',100,1,1),
(238897,10114844,'Decreases AGI of target by 6.5',100,1,0),
(238898,10114844,'Decreases Defense of target by 2.1',100,1,1),
(238899,83281,'When Equipped:',100,0,0),
(238900,83281,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(238901,83281,'Increases power of caster by 140',100,2,2),
(238902,83281,'Cannot be modified except by direct means',100,2,3),
(238903,10083281,'When Equipped:',100,0,0),
(238904,10083281,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(238905,10083281,'Increases power of caster by 140',100,2,2),
(238906,10083281,'Cannot be modified except by direct means',100,2,3),
(238907,109475,'Inflicts 112 - 186 cold damage on target',100,1,0),
(238908,10109475,'Inflicts 134 - 224 cold damage on target',100,1,0),
(238909,48956,'Applies Translucent Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(238910,48956,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238911,48956,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(238912,48956,'Inflicts 102 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(238913,48956,'Grants a total of 2 triggers of the spell.',100,3,4),
(238914,48956,'Cannot be modified except by direct means',100,2,5),
(238915,48956,'Grants a total of 4 triggers of the spell.',100,2,6),
(238916,48956,'Only affects targets level 50 and above',100,1,7),
(238917,10048956,'Applies Translucent Volitile Virus when Activated.  Lasts for 12 hours.',100,0,0),
(238918,10048956,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(238919,10048956,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(238920,10048956,'Inflicts 123 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(238921,10048956,'Grants a total of 2 triggers of the spell.',100,3,4),
(238922,10048956,'Cannot be modified except by direct means',100,2,5),
(238923,10048956,'Grants a total of 4 triggers of the spell.',100,2,6),
(238924,10048956,'Only affects targets level 50 and above',100,1,7),
(238925,104777,'Inflicts 18 disease damage on target instantly and every 4 seconds',100,1,0),
(238926,104777,'Inflicts 18 disease damage on target instantly and every 4 seconds',100,1,1),
(238927,104777,'If target is nightblood',100,2,2),
(238928,104777,'Inflicts 18 disease damage on target instantly and every 4 seconds',100,1,3),
(238929,104777,'If target is shadowed folk',100,2,4),
(238930,10104777,'Inflicts 22 disease damage on target instantly and every 4 seconds',100,1,0),
(238931,10104777,'Inflicts 22 disease damage on target instantly and every 4 seconds',100,1,1),
(238932,10104777,'If target is nightblood',100,2,2),
(238933,10104777,'Inflicts 22 disease damage on target instantly and every 4 seconds',100,1,3),
(238934,10104777,'If target is shadowed folk',100,2,4),
(238935,104379,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(238936,104379,'Inflicts 59 - 72 cold damage on target',100,2,1),
(238937,10104379,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(238938,10104379,'Inflicts 70 - 86 cold damage on target',100,2,1),
(238939,82420,'When Equipped:',100,0,0),
(238940,82420,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238941,82420,'Inflicts 193 - 358 magic damage on target',100,2,2),
(238942,82420,'Decreases Threat to target by 949 ',100,2,3),
(238943,82420,'Must be flanking or behind',100,3,4),
(238944,82420,'Increases Threat to target by 954 ',100,2,5),
(238945,82420,'Must be in front of',100,3,6),
(238946,82420,'Cannot be modified except by direct means',100,2,7),
(238947,10082420,'When Equipped:',100,0,0),
(238948,10082420,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(238949,10082420,'Inflicts 231 - 430 magic damage on target',100,2,2),
(238950,10082420,'Cannot be modified except by direct means',100,2,3),
(238951,123207,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(238952,123207,'Inflicts 64 - 79 disease damage on target',100,2,1),
(238953,123207,'Heals caster for 2.5 - 3.0% of max health',100,2,2),
(238954,123207,'This effect cannot be critically applied.',100,3,3),
(238955,123207,'The healing of this spell cannot be modified except by direct means',100,2,4),
(238956,123207,'Grants a total of 5 triggers of the spell.',100,2,5),
(238957,10123207,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(238958,10123207,'Inflicts 77 - 94 disease damage on target',100,2,1),
(238959,10123207,'Heals caster for 0.9 - 1.1% of max health',100,2,2),
(238960,10123207,'This effect cannot be critically applied.',100,3,3),
(238961,10123207,'The healing of this spell cannot be modified except by direct means',100,2,4),
(238962,10123207,'Grants a total of 5 triggers of the spell.',100,2,5),
(238963,169313,'When Equipped:',100,0,0),
(238964,169313,'Increases WIS of caster by 50.0',100,1,1),
(238965,169313,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(238966,169313,'Increases AGI, INT and STR of caster by 50.0',100,1,3),
(238967,169313,'Increases Potency of caster by 3.5%',100,1,4),
(238968,169313,'Cannot be modified except by direct means',100,1,5),
(238969,169313,'When Equipped:',100,0,6),
(238970,169313,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(238971,169313,'On a critical spell hit this spell may cast Discombobulate IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,8),
(238972,169313,'Inflicts 2561 - 2831 mental damage on target',100,2,9),
(238973,169313,'Decreases Threat to target by 4,884 - 5,399 ',100,2,10),
(238974,169313,'Must not be engaged in pvp combat',100,2,11),
(238975,169313,'Cannot be modified except by direct means',100,2,12),
(238976,169313,'On a critical combat hit this spell may cast Discombobulate IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(238977,169313,'Inflicts 2561 - 2831 mental damage on target',100,2,14),
(238978,169313,'Decreases Threat to target by 4,884 - 5,399 ',100,2,15),
(238979,169313,'Must not be engaged in pvp combat',100,2,16),
(238980,169313,'Cannot be modified except by direct means',100,2,17),
(238981,169313,'Cannot be modified except by direct means',100,1,18),
(238982,10169313,'When Equipped:',100,0,0),
(238983,10169313,'Increases WIS of caster by 50.0',100,1,1),
(238984,10169313,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(238985,10169313,'Increases AGI, INT and STR of caster by 50.0',100,1,3),
(238986,10169313,'Increases Potency of caster by 3.5%',100,1,4),
(238987,10169313,'Cannot be modified except by direct means',100,1,5),
(238988,10169313,'When Equipped:',100,0,6),
(238989,10169313,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(238990,10169313,'On a critical spell hit this spell may cast Discombobulate IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,8),
(238991,10169313,'Inflicts 3073 - 3397 mental damage on target',100,2,9),
(238992,10169313,'Must not be engaged in pvp combat',100,2,10),
(238993,10169313,'Cannot be modified except by direct means',100,2,11),
(238994,10169313,'On a critical combat hit this spell may cast Discombobulate IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,12),
(238995,10169313,'Inflicts 3073 - 3397 mental damage on target',100,2,13),
(238996,10169313,'Must not be engaged in pvp combat',100,2,14),
(238997,10169313,'Cannot be modified except by direct means',100,2,15),
(238998,10169313,'Cannot be modified except by direct means',100,1,16),
(238999,101019,'Inflicts 232 - 430 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(239000,10101019,'Inflicts 218 - 405 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(239001,163277,'When Equipped:',100,0,0),
(239002,163277,'On a critical spell hit this spell may cast Call of Solusek III on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239003,163277,'Inflicts 140 - 155 heat damage on target instantly and every 2 seconds',100,2,2),
(239004,163277,'Summons a limited pet to aid the caster',100,2,3),
(239005,163277,'Decreases Mitigation of target vs elemental damage by 381',100,2,4),
(239006,163277,'Must not be engaged in pvp combat',100,2,5),
(239007,163277,'Cannot be modified except by direct means',100,2,6),
(239008,163277,'On a critical combat hit this spell may cast Call of Solusek III on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(239009,163277,'Inflicts 140 - 155 heat damage on target instantly and every 2 seconds',100,2,8),
(239010,163277,'Summons a limited pet to aid the caster',100,2,9),
(239011,163277,'Decreases Mitigation of target vs elemental damage by 381',100,2,10),
(239012,163277,'Must not be engaged in pvp combat',100,2,11),
(239013,163277,'Cannot be modified except by direct means',100,2,12),
(239014,163277,'Must not be engaged in pvp combat',100,1,13),
(239015,10163277,'When Equipped:',100,0,0),
(239016,10163277,'On a critical spell hit this spell may cast Call of Solusek III on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239017,10163277,'Inflicts 168 - 185 heat damage on target instantly and every 2 seconds',100,2,2),
(239018,10163277,'Summons a limited pet to aid the caster',100,2,3),
(239019,10163277,'Decreases Mitigation of target vs elemental damage by 381',100,2,4),
(239020,10163277,'Must not be engaged in pvp combat',100,2,5),
(239021,10163277,'Cannot be modified except by direct means',100,2,6),
(239022,10163277,'On a critical combat hit this spell may cast Call of Solusek III on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(239023,10163277,'Inflicts 168 - 185 heat damage on target instantly and every 2 seconds',100,2,8),
(239024,10163277,'Summons a limited pet to aid the caster',100,2,9),
(239025,10163277,'Decreases Mitigation of target vs elemental damage by 381',100,2,10),
(239026,10163277,'Must not be engaged in pvp combat',100,2,11),
(239027,10163277,'Cannot be modified except by direct means',100,2,12),
(239028,10163277,'Must not be engaged in pvp combat',100,1,13),
(239029,119179,'Inflicts 43 - 72 heat damage on target',100,1,0),
(239030,119179,'Inflicts 43 - 72 heat damage on target',100,1,1),
(239031,119179,'Requires bow',100,1,2),
(239032,10119179,'Inflicts 49 - 83 heat damage on target',100,1,0),
(239033,10119179,'Inflicts 49 - 83 heat damage on target',100,1,1),
(239034,10119179,'Requires bow',100,1,2),
(239035,75121,'When Equipped:',100,0,0),
(239036,75121,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(239037,10075121,'When Equipped:',100,0,0),
(239038,10075121,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(239039,110829,'Inflicts 80 - 108 mental damage on target',100,1,0),
(239040,110829,'Interrupts target',100,1,1),
(239041,10110829,'Inflicts 96 - 129 mental damage on target',100,1,0),
(239042,10110829,'Interrupts target',100,1,1),
(239043,111588,'Inflicts 7 - 12 cold damage on target instantly and every 4 seconds',100,1,0),
(239044,111588,'Decreases Mitigation of target vs elemental damage by 163',100,1,1),
(239045,10111588,'Inflicts 8 - 15 cold damage on target instantly and every 4 seconds',100,1,0),
(239046,10111588,'Decreases Mitigation of target vs elemental damage by 163',100,1,1),
(239047,103719,'Increases Max Health of raid and group members (AE) by 230.5',100,1,0),
(239048,103719,'Increases Defense of raid and group members (AE) by 8.6',100,1,1),
(239049,10103719,'Increases Max Health of raid and group members (AE) by 230.5',100,1,0),
(239050,10103719,'Increases Defense of raid and group members (AE) by 8.6',100,1,1),
(239051,41472,'When Equipped:',100,0,0),
(239052,41472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239053,41472,'Inflicts 77 - 144 magic damage on target',100,2,2),
(239054,41472,'Cannot be modified except by direct means',100,2,3),
(239055,10041472,'When Equipped:',100,0,0),
(239056,10041472,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239057,10041472,'Inflicts 93 - 173 magic damage on target',100,2,2),
(239058,10041472,'Cannot be modified except by direct means',100,2,3),
(239059,122337,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(239060,122337,'Inflicts 2 piercing damage on target',100,2,1),
(239061,10122337,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(239062,10122337,'Inflicts 2 - 3 piercing damage on target',100,2,1),
(239063,120617,'Inflicts 306 - 569 heat damage on target',100,1,0),
(239064,10120617,'Inflicts 368 - 683 heat damage on target',100,1,0),
(239065,81518,'When Equipped:',100,0,0),
(239066,81518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239067,81518,'Inflicts 98 - 181 magic damage on target',100,2,2),
(239068,81518,'Cannot be modified except by direct means',100,2,3),
(239069,10081518,'When Equipped:',100,0,0),
(239070,10081518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239071,10081518,'Inflicts 117 - 217 magic damage on target',100,2,2),
(239072,10081518,'Cannot be modified except by direct means',100,2,3),
(239073,84631,'When Equipped:',100,0,0),
(239074,84631,'On any combat or spell hit this spell may cast Arcane Vortex II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239075,84631,'Inflicts 49 - 55 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(239076,84631,'Increases power of group members (AE) by 12 - 14 instantly and every 2 seconds',100,2,3),
(239077,84631,'Increases Potency of group members (AE) by 1.5%',100,2,4),
(239078,84631,'Must not be engaged in pvp combat',100,2,5),
(239079,84631,'Cannot be modified except by direct means',100,2,6),
(239080,84631,'Must not be engaged in pvp combat',100,1,7),
(239081,10084631,'When Equipped:',100,0,0),
(239082,10084631,'On any combat or spell hit this spell may cast Arcane Vortex II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239083,10084631,'Inflicts 59 - 66 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(239084,10084631,'Increases power of group members (AE) by 12 - 14 instantly and every 2 seconds',100,2,3),
(239085,10084631,'Increases Potency of group members (AE) by 1.5%',100,2,4),
(239086,10084631,'Must not be engaged in pvp combat',100,2,5),
(239087,10084631,'Cannot be modified except by direct means',100,2,6),
(239088,10084631,'Must not be engaged in pvp combat',100,1,7),
(239089,75361,'When Equipped:',100,0,0),
(239090,75361,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(239091,75361,'Reduces healing received by 15.00%',100,2,2),
(239092,75361,'Cannot be modified except by direct means',100,2,3),
(239093,75361,'This effect can only trigger once every 1 second.',100,2,4),
(239094,75361,'Must be engaged in pvp combat',100,1,5),
(239095,10075361,'When Equipped:',100,0,0),
(239096,10075361,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(239097,10075361,'Reduces healing received by 15.00%',100,2,2),
(239098,10075361,'Cannot be modified except by direct means',100,2,3),
(239099,10075361,'This effect can only trigger once every 1 second.',100,2,4),
(239100,10075361,'Must be engaged in pvp combat',100,1,5),
(239101,189952,'When Equipped:',100,0,0),
(239102,189952,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(239103,189952,'Wards caster against 320 points of all damage',100,2,2),
(239104,189952,'Cannot be modified except by direct means',100,2,3),
(239105,10189952,'When Equipped:',100,0,0),
(239106,10189952,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(239107,10189952,'Wards caster against 320 points of all damage',100,2,2),
(239108,10189952,'Cannot be modified except by direct means',100,2,3),
(239109,103262,'Summons a pet a Drakkel wolf pup',100,1,0),
(239110,10103262,'Summons a pet a Drakkel wolf pup',100,1,0),
(239111,103500,'Charms target',100,1,0),
(239112,103500,'If outside an arena',100,1,1),
(239113,103500,'Certain enemies cannot be charmed',100,1,2),
(239114,103500,'Does not affect Epic targets',100,1,3),
(239115,10103500,'Mesmerizes target',100,1,0),
(239116,10103500,'Prevents AOE (except when direct) ',100,1,1),
(239117,10103500,'Dispelled when target takes damage',100,1,2),
(239118,10103500,'If outside an arena',100,1,3),
(239119,10103500,'Certain enemies cannot be charmed',100,1,4),
(239120,10103500,'Does not affect Epic targets',100,1,5),
(239121,10103500,'Resistibility increases against targets higher than level 49.',100,1,6),
(239122,117864,'Heals target for 137 - 168 instantly and every 2 seconds',100,1,0),
(239123,10117864,'Heals target for 89 - 109 instantly and every 2 seconds',100,1,0),
(239124,82059,'When Equipped:',100,0,0),
(239125,82059,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239126,82059,'Inflicts 135 - 252 magic damage on target',100,2,2),
(239127,82059,'Decreases Threat to target by 641 ',100,2,3),
(239128,82059,'Must be flanking or behind',100,3,4),
(239129,82059,'Increases Threat to target by 646 ',100,2,5),
(239130,82059,'Must be in front of',100,3,6),
(239131,82059,'Cannot be modified except by direct means',100,2,7),
(239132,10082059,'When Equipped:',100,0,0),
(239133,10082059,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239134,10082059,'Inflicts 163 - 302 magic damage on target',100,2,2),
(239135,10082059,'Cannot be modified except by direct means',100,2,3),
(239136,123888,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(239137,123888,'Slows target by 42.2%',100,2,1),
(239138,123888,'5% chance to dispel when target receives hostile action',100,2,2),
(239139,123888,'5% chance to dispel when target takes damage',100,2,3),
(239140,123888,'Decreases Mitigation of target vs elemental and noxious damage by 312',100,1,4),
(239141,10123888,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(239142,10123888,'Slows target by 42.2%',100,2,1),
(239143,10123888,'5% chance to dispel when target receives hostile action',100,2,2),
(239144,10123888,'5% chance to dispel when target takes damage',100,2,3),
(239145,10123888,'Decreases Mitigation of target vs elemental and noxious damage by 312',100,1,4),
(239146,101579,'Inflicts 76 - 127 melee damage on targets in area',100,1,0),
(239147,10101579,'Inflicts 91 - 152 melee damage on targets in area',100,1,0),
(239148,54444,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(239149,54444,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(239150,54444,'Inflicts 45 heat damage on target',100,2,2),
(239151,54444,'Cannot be modified except by direct means',100,2,3),
(239152,10054444,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(239153,10054444,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(239154,10054444,'Inflicts 54 heat damage on target',100,2,2),
(239155,10054444,'Cannot be modified except by direct means',100,2,3),
(239156,163261,'When Equipped:',100,0,0),
(239157,163261,'On any combat or spell hit this spell may cast Fatal Pestilience III on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239158,163261,'Inflicts 36 - 40 disease damage on targets in Area of Effect',100,2,2),
(239159,163261,'Inflicts 45 - 50 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(239160,163261,'Inflicts an additional 3 - 3 disease damage on targets in Area of Effect every tick',100,2,4),
(239161,163261,'Must not be engaged in pvp combat',100,2,5),
(239162,163261,'Cannot be modified except by direct means',100,2,6),
(239163,163261,'Must not be engaged in pvp combat',100,1,7),
(239164,10163261,'When Equipped:',100,0,0),
(239165,10163261,'On any combat or spell hit this spell may cast Fatal Pestilience III on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239166,10163261,'Inflicts 43 - 48 disease damage on targets in Area of Effect',100,2,2),
(239167,10163261,'Inflicts 54 - 60 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(239168,10163261,'Inflicts an additional 3 - 3 disease damage on targets in Area of Effect every tick',100,2,4),
(239169,10163261,'Must not be engaged in pvp combat',100,2,5),
(239170,10163261,'Cannot be modified except by direct means',100,2,6),
(239171,10163261,'Must not be engaged in pvp combat',100,1,7),
(239172,52904,'Applies Sanguine Imbued when Equipped.',100,0,0),
(239173,52904,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(239174,52904,'Inflicts 54 heat damage on target',100,2,2),
(239175,52904,'Cannot be modified except by direct means',100,2,3),
(239176,10052904,'Applies Sanguine Imbued when Equipped.',100,0,0),
(239177,10052904,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(239178,10052904,'Inflicts 64 heat damage on target',100,2,2),
(239179,10052904,'Cannot be modified except by direct means',100,2,3),
(239180,46955,'Applies Middling Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(239181,46955,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(239182,46955,'Inflicts 76 poison damage on target instantly and every 6 seconds',100,2,2),
(239183,46955,'Inflicts 258 poison damage on target',100,2,3),
(239184,46955,'Cannot be modified except by direct means',100,2,4),
(239185,46955,'Grants a total of 200 triggers of the spell.',100,2,5),
(239186,46955,'Only affects targets level 50 and above',100,1,6),
(239187,10046955,'Applies Middling Festering Composite when Activated.  Lasts for 12 hours.',100,0,0),
(239188,10046955,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(239189,10046955,'Inflicts 68 poison damage on target instantly and every 6 seconds',100,2,2),
(239190,10046955,'Inflicts 233 poison damage on target',100,2,3),
(239191,10046955,'Cannot be modified except by direct means',100,2,4),
(239192,10046955,'Grants a total of 200 triggers of the spell.',100,2,5),
(239193,10046955,'Only affects targets level 50 and above',100,1,6),
(239194,41523,'When Equipped:',100,0,0),
(239195,41523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239196,41523,'Inflicts 224 - 416 magic damage on target',100,2,2),
(239197,41523,'Cannot be modified except by direct means',100,2,3),
(239198,10041523,'When Equipped:',100,0,0),
(239199,10041523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239200,10041523,'Inflicts 269 - 499 magic damage on target',100,2,2),
(239201,10041523,'Cannot be modified except by direct means',100,2,3),
(239202,124051,'Increases power of caster by 137',100,1,0),
(239203,10124051,'Increases power of caster by 137',100,1,0),
(239204,108088,'Decreases Threat to target by 251 - 418 ',100,1,0),
(239205,10108088,'Forces target to clear their selected target.',100,1,0),
(239206,10108088,'Target cannot target caster for the duration of this effect.',100,1,1),
(239207,41640,'When Equipped:',100,0,0),
(239208,41640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239209,41640,'Inflicts 201 - 373 magic damage on target',100,2,2),
(239210,41640,'Cannot be modified except by direct means',100,2,3),
(239211,10041640,'When Equipped:',100,0,0),
(239212,10041640,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239213,10041640,'Inflicts 241 - 447 magic damage on target',100,2,2),
(239214,10041640,'Cannot be modified except by direct means',100,2,3),
(239215,104852,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(239216,104852,'If Fighter',100,2,1),
(239217,104852,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(239218,104852,'Increases power of target by 105',100,2,3),
(239219,104852,'Increases power of caster by 105',100,2,4),
(239220,10104852,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(239221,10104852,'Increases power of target by 105',100,2,1),
(239222,10104852,'Increases power of caster by 105',100,2,2),
(239223,71847,'When Equipped:',100,0,0),
(239224,71847,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239225,71847,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(239226,71847,'Cannot be modified except by direct means',100,2,3),
(239227,10071847,'When Equipped:',100,0,0),
(239228,10071847,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239229,10071847,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(239230,10071847,'Cannot be modified except by direct means',100,2,3),
(239231,116395,'Heals target for 195 - 238 instantly and every 2 seconds',100,1,0),
(239232,10116395,'Heals target for 126 - 155 instantly and every 2 seconds',100,1,0),
(239233,48418,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(239234,48418,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(239235,48418,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(239236,48418,'Cannot be modified except by direct means',100,2,3),
(239237,48418,'Grants a total of 80 triggers of the spell.',100,2,4),
(239238,10048418,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(239239,10048418,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(239240,10048418,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(239241,10048418,'Cannot be modified except by direct means',100,2,3),
(239242,10048418,'Grants a total of 80 triggers of the spell.',100,2,4),
(239243,117959,'Heals target for 445 - 544',100,1,0),
(239244,117959,'Increases Max Health of target by 68.5',100,1,1),
(239245,10117959,'Heals target for 511 - 624',100,1,0),
(239246,10117959,'Increases Max Health of target by 68.5',100,1,1),
(239247,102869,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(239248,102869,'Stuns target',100,2,1),
(239249,102869,'Throws target back',100,2,2),
(239250,102869,'Blurs vision of target',100,2,3),
(239251,102869,'Does not affect Epic targets',100,2,4),
(239252,102869,'Inflicts 281 - 845 melee damage on targets in area',100,1,5),
(239253,10102869,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(239254,10102869,'Stuns target',100,2,1),
(239255,10102869,'Blurs vision of target',100,2,2),
(239256,10102869,'Throws target back',100,2,3),
(239257,10102869,'Does not affect Epic targets',100,2,4),
(239258,10102869,'Inflicts 338 - 1014 melee damage on targets in area',100,1,5),
(239259,114934,'Inflicts 630 - 1051 melee damage on target',100,1,0),
(239260,114934,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2419',100,1,1),
(239261,114934,'Must be behind',100,1,2),
(239262,10114934,'Inflicts 756 - 1261 melee damage on target',100,1,0),
(239263,10114934,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1210',100,1,1),
(239264,10114934,'Must be behind',100,1,2),
(239265,101977,'Inflicts 976 - 1812 heat damage on target',100,1,0),
(239266,10101977,'Inflicts 1171 - 2174 heat damage on target',100,1,0),
(239267,110646,'Inflicts 962 - 1603 ranged damage on target',100,1,0),
(239268,110646,'If weapon equipped in Ranged',100,1,1),
(239269,110646,'Must be flanking or behind',100,1,2),
(239270,10110646,'Inflicts 597 - 996 ranged damage on target',100,1,0),
(239271,10110646,'If weapon equipped in Ranged',100,1,1),
(239272,10110646,'Must be flanking or behind',100,1,2),
(239273,71506,'When Equipped:',100,0,0),
(239274,71506,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239275,71506,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(239276,71506,'Cannot be modified except by direct means',100,2,3),
(239277,10071506,'When Equipped:',100,0,0),
(239278,10071506,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239279,10071506,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(239280,10071506,'Cannot be modified except by direct means',100,2,3),
(239281,116897,'Wards group members (AE) against 2092 points of noxious damage',100,1,0),
(239282,116897,'Increases Mitigation of group members (AE) vs noxious damage by 1101',100,1,1),
(239283,10116897,'Wards group members (AE) against 2092 points of noxious damage',100,1,0),
(239284,10116897,'Increases Mitigation of group members (AE) vs noxious damage by 1101',100,1,1),
(239285,112538,'Interrupts target',50,1,0),
(239286,112538,'Inflicts 125 - 153 divine damage on target',100,1,1),
(239287,10112538,'Interrupts target',50,1,0),
(239288,10112538,'Inflicts 194 - 237 divine damage on target',100,1,1),
(239289,71311,'When Equipped:',100,0,0),
(239290,71311,'On a combat hit this spell may cast Shadow Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239291,71311,'Inflicts 440 magic damage on target',100,2,2),
(239292,71311,'Cannot be modified except by direct means',100,2,3),
(239293,10071311,'When Equipped:',100,0,0),
(239294,10071311,'On a combat hit this spell may cast Shadow Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239295,10071311,'Inflicts 528 magic damage on target',100,2,2),
(239296,10071311,'Cannot be modified except by direct means',100,2,3),
(239297,118090,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(239298,10118090,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(239299,110365,'Increases STR and AGI of group members (AE) by 18.8',100,1,0),
(239300,110365,'Adds 1.5% to base avoidance.',100,1,1),
(239301,10110365,'Increases STR and AGI of group members (AE) by 18.8',100,1,0),
(239302,10110365,'Adds 1.5% to base avoidance.',100,1,1),
(239303,75670,'When Equipped:',100,0,0),
(239304,75670,'Increases Attack Speed of caster by 23.0',100,1,1),
(239305,10075670,'When Equipped:',100,0,0),
(239306,10075670,'Increases Attack Speed of caster by 23.0',100,1,1),
(239307,80247,'When Equipped:',100,0,0),
(239308,80247,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239309,80247,'Inflicts 166 - 308 magic damage on target',100,2,2),
(239310,80247,'Decreases Threat to target by 801 ',100,2,3),
(239311,80247,'Must be flanking or behind',100,3,4),
(239312,80247,'Increases Threat to target by 806 ',100,2,5),
(239313,80247,'Must be in front of',100,3,6),
(239314,80247,'Cannot be modified except by direct means',100,2,7),
(239315,10080247,'When Equipped:',100,0,0),
(239316,10080247,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239317,10080247,'Inflicts 199 - 370 magic damage on target',100,2,2),
(239318,10080247,'Cannot be modified except by direct means',100,2,3),
(239319,26270,'When Equipped:',100,0,0),
(239320,26270,'Increases Multi Attack Chance of caster by 2.0',100,1,1),
(239321,10026270,'When Equipped:',100,0,0),
(239322,10026270,'Increases Multi Attack Chance of caster by 2.0',100,1,1),
(239323,106216,'Inflicts 99 - 297 melee damage on target',100,1,0),
(239324,106216,'Stifles target',100,1,1),
(239325,106216,'If Target is not Epic',100,2,2),
(239326,106216,'Resistibility increases against targets higher than level 69.',100,1,3),
(239327,10106216,'Inflicts 118 - 356 melee damage on target',100,1,0),
(239328,10106216,'Stifles target',100,1,1),
(239329,10106216,'If Target is not Epic',100,2,2),
(239330,10106216,'Resistibility increases against targets higher than level 69.',100,1,3),
(239331,187557,'When Equipped:',100,0,0),
(239332,187557,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(239333,187557,'This effect will not stack with any rank or tier of itself.',100,1,2),
(239334,187557,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(239335,187557,'Increases Attack Speed of caster by 11.0',100,1,4),
(239336,187557,'Cannot be modified except by direct means',100,1,5),
(239337,10187557,'When Equipped:',100,0,0),
(239338,10187557,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(239339,10187557,'This effect will not stack with any rank or tier of itself.',100,1,2),
(239340,10187557,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(239341,10187557,'Increases Attack Speed of caster by 11.0',100,1,4),
(239342,10187557,'Cannot be modified except by direct means',100,1,5),
(239343,48197,'Applies Spirit Totem of the Fearstalker when Activated.  Lasts for 30 minutes.',100,0,0),
(239344,48197,'Increases Out-of-Combat Health Regeneration of caster by 265.5',100,1,1),
(239345,48197,'This effect suspends during combat',100,1,2),
(239346,48197,'Only affects targets level 80 and above',100,1,3),
(239347,10048197,'Applies Spirit Totem of the Fearstalker when Activated.  Lasts for 30 minutes.',100,0,0),
(239348,10048197,'Increases Out-of-Combat Health Regeneration of caster by 265.5',100,1,1),
(239349,10048197,'This effect suspends during combat',100,1,2),
(239350,10048197,'Only affects targets level 80 and above',100,1,3),
(239351,36074,'Increases Max Health of target by 3.9',100,0,0),
(239352,36074,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(239353,114304,'Heals target for 559 - 683',100,1,0),
(239354,10114304,'Heals target for 657 - 803',100,1,0),
(239355,87143,'When Equipped:',100,0,0),
(239356,87143,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239357,87143,'Inflicts 48 - 73 magic damage on target',100,2,2),
(239358,87143,'Cannot be modified except by direct means',100,2,3),
(239359,10087143,'When Equipped:',100,0,0),
(239360,10087143,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239361,10087143,'Inflicts 58 - 87 magic damage on target',100,2,2),
(239362,10087143,'Cannot be modified except by direct means',100,2,3),
(239363,112779,'Interrupts target',100,1,0),
(239364,112779,'Inflicts 390 - 650 divine damage on target',100,1,1),
(239365,10112779,'Interrupts target',100,1,0),
(239366,10112779,'Inflicts 468 - 780 divine damage on target',100,1,1),
(239367,37295,'Increases STA and STR of target by 1.1',100,0,0),
(239368,37295,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(239369,108549,'Makes target afraid',100,1,0),
(239370,108549,'30% chance to dispel when target takes damage',100,1,1),
(239371,108549,'Does not affect Epic targets',100,1,2),
(239372,108549,'Resistibility increases against targets higher than level 67.',100,1,3),
(239373,10108549,'Makes target afraid',100,1,0),
(239374,10108549,'30% chance to dispel when target takes damage',100,1,1),
(239375,10108549,'Does not affect Epic targets',100,1,2),
(239376,10108549,'Resistibility increases against targets higher than level 67.',100,1,3),
(239377,119789,'Inflicts 68 - 114 melee damage on target',100,1,0),
(239378,119789,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(239379,119789,'Grants stealth to caster',100,2,2),
(239380,119789,'Suspends caster''s movement speed enhancements',100,2,3),
(239381,119789,'Must be flanking or behind',100,1,4),
(239382,10119789,'Inflicts 82 - 136 melee damage on target',100,1,0),
(239383,10119789,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(239384,10119789,'Grants stealth to caster',100,2,2),
(239385,10119789,'Suspends caster''s movement speed enhancements',100,2,3),
(239386,10119789,'Must be flanking or behind',100,1,4),
(239387,35514,'Increases STA of target by 0.4',100,0,0),
(239388,35514,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(239389,117965,'Heals target for 638 - 780',100,1,0),
(239390,117965,'Increases Max Health of target by 94.7',100,1,1),
(239391,10117965,'Heals target for 732 - 894',100,1,0),
(239392,10117965,'Increases Max Health of target by 94.7',100,1,1),
(239393,52777,'When Equipped:',100,0,0),
(239394,52777,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239395,52777,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(239396,52777,'Cannot be modified except by direct means',100,2,3),
(239397,10052777,'When Equipped:',100,0,0),
(239398,10052777,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(239399,10052777,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(239400,10052777,'Cannot be modified except by direct means',100,2,3),
(239401,101160,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(239402,101160,'Inflicts 370 ranged damage on target',100,2,1),
(239403,101160,'Decreases Defense of caster by 25.8',100,1,2),
(239404,101160,'Increases Crushing, Piercing, Ranged and Slashing of caster by 42.9',100,1,3),
(239405,10101160,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(239406,10101160,'Inflicts 315 ranged damage on target',100,2,1),
(239407,10101160,'Decreases Defense of caster by 25.8',100,1,2),
(239408,10101160,'Increases Crushing, Piercing, Ranged and Slashing of caster by 42.9',100,1,3),
(239409,109340,'Increases STR of caster by 145.3',100,1,0),
(239410,109340,'Decreases Defense of caster by 17.4',100,1,1),
(239411,109340,'Increases Slashing, Piercing and Crushing of caster by 41.8',100,1,2),
(239412,10109340,'Increases STR of caster by 145.3',100,1,0),
(239413,10109340,'Decreases Defense of caster by 17.4',100,1,1),
(239414,10109340,'Increases Slashing, Piercing and Crushing of caster by 41.8',100,1,2),
(239415,35678,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(239416,109937,'Stuns target',100,1,0),
(239417,109937,'Does not affect Epic targets',100,1,1),
(239418,109937,'Resistibility increases against targets higher than level 73.',100,1,2),
(239419,10109937,'Stuns target',100,1,0),
(239420,10109937,'Does not affect Epic targets',100,1,1),
(239421,10109937,'Resistibility increases against targets higher than level 73.',100,1,2),
(239422,118838,'Inflicts 54 - 162 melee damage on target',100,1,0),
(239423,10118838,'Inflicts 65 - 195 melee damage on target',100,1,0),
(239424,47893,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(239425,47893,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(239426,47893,'Requires 15 Health to cast.',100,1,2),
(239427,10047893,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(239428,10047893,'Increases power of caster by 1 instantly and every 4 seconds',100,1,1),
(239429,10047893,'Requires 15 Health to cast.',100,1,2),
(239430,114671,'Increases Threat to target by 340 - 415 ',100,1,0),
(239431,114671,'Interrupts target',100,1,1),
(239432,10114671,'Interrupts target',100,1,0),
(239433,10114671,'Forces target to change their selected target to caster.',100,1,1),
(239434,10114671,'Prevents target from changing targets',100,1,2),
(239435,116448,'Inflicts 49 disease damage on target instantly and every 4 seconds',100,1,0),
(239436,116448,'Inflicts 49 disease damage on target instantly and every 4 seconds',100,1,1),
(239437,116448,'If target is nightblood',100,2,2),
(239438,116448,'Inflicts 49 disease damage on target instantly and every 4 seconds',100,1,3),
(239439,116448,'If target is shadowed folk',100,2,4),
(239440,10116448,'Inflicts 59 disease damage on target instantly and every 4 seconds',100,1,0),
(239441,115677,'Inflicts 20 - 60 melee damage on target',100,1,0),
(239442,115677,'Inflicts 20 - 60 melee damage on target',100,1,1),
(239443,115677,'Inflicts 20 - 60 melee damage on target',100,1,2),
(239444,115677,'Inflicts 20 - 60 melee damage on target',100,1,3),
(239445,115677,'Inflicts 20 - 60 melee damage on target',100,1,4),
(239446,115677,'Inflicts 20 - 60 melee damage on target',100,1,5),
(239447,115677,'Inflicts 20 - 60 melee damage on target',100,1,6),
(239448,115677,'Inflicts 20 - 60 melee damage on target',100,1,7),
(239449,10115677,'Inflicts 24 - 72 melee damage on target',100,1,0),
(239450,10115677,'Inflicts 24 - 72 melee damage on target',100,1,1),
(239451,10115677,'Inflicts 24 - 72 melee damage on target',100,1,2),
(239452,10115677,'Inflicts 24 - 72 melee damage on target',100,1,3),
(239453,10115677,'Inflicts 24 - 72 melee damage on target',100,1,4),
(239454,10115677,'Inflicts 24 - 72 melee damage on target',100,1,5),
(239455,10115677,'Inflicts 24 - 72 melee damage on target',100,1,6),
(239456,10115677,'Inflicts 24 - 72 melee damage on target',100,1,7),
(239457,135775,'Applies Cold Stare when Activated.  Lasts for 24.0 seconds.',100,0,0),
(239458,135775,'Inflicts 21 - 26 cold damage on target every 4 seconds',100,1,1),
(239459,135775,'The casting time of Cold Stare is 3.0 seconds and the reuse time of the spell is 6.0 seconds',100,1,2),
(239460,10135775,'Applies Cold Stare when Activated.  Lasts for 24.0 seconds.',100,0,0),
(239461,10135775,'Inflicts 25 - 31 cold damage on target every 4 seconds',100,1,1),
(239462,10135775,'The casting time of Cold Stare is 3.0 seconds and the reuse time of the spell is 6.0 seconds',100,1,2),
(239463,169987,'When Equipped:',100,0,0),
(239464,169987,'On a combat hit this spell may cast Infuriating Shout IV on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(239465,169987,'Increases Threat to target by 605 ',100,2,2),
(239466,169987,'Cannot be modified except by direct means',100,2,3),
(239467,10169987,'When Equipped:',100,0,0),
(239468,10169987,'On a combat hit this spell may cast Infuriating Shout IV on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(239469,10169987,'Prevents target from changing targets',100,2,2),
(239470,10169987,'Forces target to change their selected target to caster.',100,2,3),
(239471,10169987,'Cannot be modified except by direct means',100,2,4),
(239472,46064,'Applies Elixir of Constitution when Activated.',100,0,0),
(239473,46064,'Heals caster for 175',100,1,1),
(239474,46064,'Only affects targets level 50 and above',100,1,2),
(239475,10046064,'Applies Elixir of Constitution when Activated.',100,0,0),
(239476,10046064,'Heals caster for 114',100,1,1),
(239477,10046064,'Only affects targets level 50 and above',100,1,2),
(239478,36230,'Increases STR and INT of target by 1.1',100,0,0),
(239479,36230,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(239480,35391,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(239481,109108,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(239482,109108,'Increases Attack Speed of caster by 36.3',100,1,1),
(239483,109108,'Increases Damage Per Second of caster by 41.7',100,1,2),
(239484,109108,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(239485,109108,'Increases Ranged of caster by 29.0',100,1,4),
(239486,109108,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(239487,109108,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(239488,109108,'Increases Crushing of group members (AE) by 29.0',100,2,7),
(239489,109108,'Increases Slashing of group members (AE) by 29.0',100,2,8),
(239490,109108,'If profession other than Ranger',100,3,9),
(239491,109108,'Increases Piercing of group members (AE) by 29.0',100,2,10),
(239492,109108,'If profession other than Ranger',100,3,11),
(239493,10109108,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(239494,10109108,'Increases Attack Speed of caster by 36.3',100,1,1),
(239495,10109108,'Increases Damage Per Second of caster by 41.7',100,1,2),
(239496,10109108,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(239497,10109108,'Increases Ranged of caster by 29.0',100,1,4),
(239498,10109108,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(239499,10109108,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',100,2,6),
(239500,10109108,'Increases Crushing of group members (AE) by 29.0',100,2,7),
(239501,10109108,'Increases Slashing of group members (AE) by 29.0',100,2,8),
(239502,10109108,'If profession other than Ranger',100,3,9),
(239503,10109108,'Increases Piercing of group members (AE) by 29.0',100,2,10),
(239504,10109108,'If profession other than Ranger',100,3,11),
(239505,100991,'Increases INT of target by 74.0',100,1,0),
(239506,100991,'Increases Attack Speed of target by 38.7',100,1,1),
(239507,100991,'Decreases Defense and Parry of target by 17.5',100,1,2),
(239508,100991,'Increases Slashing, Piercing and Crushing of target by 16.4',100,1,3),
(239509,10100991,'Increases INT of target by 74.0',100,1,0),
(239510,10100991,'Increases Attack Speed of target by 38.7',100,1,1),
(239511,10100991,'Decreases Defense and Parry of target by 17.5',100,1,2),
(239512,10100991,'Increases Slashing, Piercing and Crushing of target by 16.4',100,1,3),
(239513,143805,'When Equipped:',100,0,0),
(239514,143805,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(239515,143805,'Stifles target',100,2,2),
(239516,143805,'Only affects targets level 102 and below',100,2,3),
(239517,143805,'Does not affect Epic targets',100,2,4),
(239518,143805,'Resistibility increases against targets higher than level 111.',100,2,5),
(239519,143805,'Cannot be modified except by direct means',100,2,6),
(239520,10143805,'When Equipped:',100,0,0),
(239521,10143805,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(239522,10143805,'Stifles target',100,2,2),
(239523,10143805,'Only affects targets level 102 and below',100,2,3),
(239524,10143805,'Does not affect Epic targets',100,2,4),
(239525,10143805,'Resistibility increases against targets higher than level 111.',100,2,5),
(239526,10143805,'Cannot be modified except by direct means',100,2,6),
(239527,115692,'Inflicts 50 - 151 melee damage on target',100,1,0),
(239528,115692,'Inflicts 50 - 151 melee damage on target',100,1,1),
(239529,115692,'Inflicts 50 - 151 melee damage on target',100,1,2),
(239530,115692,'Inflicts 50 - 151 melee damage on target',100,1,3),
(239531,115692,'Inflicts 50 - 151 melee damage on target',100,1,4),
(239532,115692,'Inflicts 50 - 151 melee damage on target',100,1,5),
(239533,115692,'Inflicts 50 - 151 melee damage on target',100,1,6),
(239534,115692,'Inflicts 50 - 151 melee damage on target',100,1,7),
(239535,10115692,'Inflicts 60 - 182 melee damage on target',100,1,0),
(239536,10115692,'Inflicts 60 - 182 melee damage on target',100,1,1),
(239537,10115692,'Inflicts 60 - 182 melee damage on target',100,1,2),
(239538,10115692,'Inflicts 60 - 182 melee damage on target',100,1,3),
(239539,10115692,'Inflicts 60 - 182 melee damage on target',100,1,4),
(239540,10115692,'Inflicts 60 - 182 melee damage on target',100,1,5),
(239541,10115692,'Inflicts 60 - 182 melee damage on target',100,1,6),
(239542,10115692,'Inflicts 60 - 182 melee damage on target',100,1,7),
(239543,181154,'When Equipped:',100,0,0),
(239544,181154,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(239545,181154,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(239546,181154,'Inflicts 401 divine damage on target',100,2,3),
(239547,181154,'Must not be classified as a vampire',100,3,4),
(239548,181154,'Inflicts 802 divine damage on target',100,2,5),
(239549,181154,'Must be classified as a vampire',100,3,6),
(239550,181154,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(239551,181154,'Must be classified as a vampire',100,3,8),
(239552,181154,'Cannot be modified except by direct means',100,2,9),
(239553,10181154,'When Equipped:',100,0,0),
(239554,10181154,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(239555,10181154,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(239556,10181154,'Inflicts 481 divine damage on target',100,2,3),
(239557,10181154,'Must not be classified as a vampire',100,3,4),
(239558,10181154,'Inflicts 963 divine damage on target',100,2,5),
(239559,10181154,'Must be classified as a vampire',100,3,6),
(239560,10181154,'Decreases Mitigation of target vs arcane damage by 581',100,2,7),
(239561,10181154,'Must be classified as a vampire',100,3,8),
(239562,10181154,'Cannot be modified except by direct means',100,2,9),
(239563,71498,'When Equipped:',100,0,0),
(239564,71498,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239565,71498,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(239566,71498,'Cannot be modified except by direct means',100,2,3),
(239567,10071498,'When Equipped:',100,0,0),
(239568,10071498,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239569,10071498,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(239570,10071498,'Cannot be modified except by direct means',100,2,3),
(239571,35890,'Increases STA of target by 1.5',100,0,0),
(239572,35890,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(239573,114947,'Decreases Attack Speed of target by 9.0',100,1,0),
(239574,114947,'Inflicts 15 - 46 slashing damage on target',100,1,1),
(239575,114947,'Inflicts 31 slashing damage on target instantly and every 4 seconds',100,1,2),
(239576,10114947,'Decreases Attack Speed of target by 9.0',100,1,0),
(239577,10114947,'Inflicts 18 - 55 slashing damage on target',100,1,1),
(239578,10114947,'Inflicts 37 slashing damage on target instantly and every 4 seconds',100,1,2),
(239579,108477,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(239580,108477,'Increases Aggression of caster by 14.4',100,1,1),
(239581,108477,'Increases Defense and Parry of caster by 28.8',100,1,2),
(239582,108477,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(239583,10108477,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(239584,10108477,'Increases Aggression of caster by 14.4',100,1,1),
(239585,10108477,'Increases Defense and Parry of caster by 28.8',100,1,2),
(239586,10108477,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(239587,81363,'When Equipped:',100,0,0),
(239588,81363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239589,81363,'Inflicts 77 - 144 magic damage on target',100,2,2),
(239590,81363,'Cannot be modified except by direct means',100,2,3),
(239591,10081363,'When Equipped:',100,0,0),
(239592,10081363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239593,10081363,'Inflicts 93 - 173 magic damage on target',100,2,2),
(239594,10081363,'Cannot be modified except by direct means',100,2,3),
(239595,71438,'When Equipped:',100,0,0),
(239596,71438,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239597,71438,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(239598,71438,'Cannot be modified except by direct means',100,2,3),
(239599,10071438,'When Equipped:',100,0,0),
(239600,10071438,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239601,10071438,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(239602,10071438,'Cannot be modified except by direct means',100,2,3),
(239603,105823,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(239604,105823,'Inflicts 88 - 147 disease damage on target',100,2,1),
(239605,10105823,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(239606,10105823,'Inflicts 106 - 177 disease damage on target',100,2,1),
(239607,117979,'Heals target for 1759 - 2150',100,1,0),
(239608,117979,'Increases Max Health of target by 223.0',100,1,1),
(239609,10117979,'Heals target for 3632 - 4439',100,1,0),
(239610,10117979,'Increases Max Health of target by 223.0',100,1,1),
(239611,114063,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(239612,114063,'Grants stealth to caster',100,2,1),
(239613,114063,'Suspends caster''s movement speed enhancements',100,2,2),
(239614,114063,'Inflicts 149 - 249 melee damage on target',100,1,3),
(239615,114063,'Must be flanking or behind',100,1,4),
(239616,10114063,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(239617,10114063,'Grants stealth to caster',100,2,1),
(239618,10114063,'Suspends caster''s movement speed enhancements',100,2,2),
(239619,10114063,'Inflicts 269 - 448 melee damage on target',100,1,3),
(239620,10114063,'Must be flanking or behind',100,1,4),
(239621,146131,'When Equipped:',100,0,0),
(239622,146131,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(239623,146131,'Inflicts 2648 piercing damage on target',100,2,2),
(239624,146131,'Cannot be modified except by direct means',100,2,3),
(239625,10146131,'When Equipped:',100,0,0),
(239626,10146131,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(239627,10146131,'Inflicts 1589 piercing damage on target',100,2,2),
(239628,10146131,'Cannot be modified except by direct means',100,2,3),
(239629,139504,'When Equipped:',100,0,0),
(239630,139504,'Reduces maximum falling speed of caster',100,1,1),
(239631,139504,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(239632,139504,'Enlarges caster by 49.6%',100,1,3),
(239633,139504,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(239634,10139504,'When Equipped:',100,0,0),
(239635,10139504,'Reduces maximum falling speed of caster',100,1,1),
(239636,10139504,'Applies Growth when Activated.  Lasts for 12 hours.',100,0,2),
(239637,10139504,'Enlarges caster by 49.6%',100,1,3),
(239638,10139504,'The casting time of Growth is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,4),
(239639,118544,'Inflicts 472 - 787 melee damage on target',100,1,0),
(239640,118544,'Decreases STR of target by 72.6',100,1,1),
(239641,118544,'You must be sneaking to use this ability.',100,1,2),
(239642,10118544,'Inflicts 567 - 945 melee damage on target',100,1,0),
(239643,10118544,'Decreases STR of target by 72.6',100,1,1),
(239644,10118544,'You must be sneaking to use this ability.',100,1,2),
(239645,122474,'Grants the brawler a small chance to briefly stun their target with each melee hit.',100,1,0),
(239648,10122474,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(239649,10122474,'Inflicts 25 magic damage on target',100,2,1),
(239650,10122474,'Grants a total of 5 triggers of the spell.',100,2,2),
(239651,163387,'When Equipped:',100,0,0),
(239652,163387,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(239653,163387,'Increases power of caster by 67',100,2,2),
(239654,163387,'Cannot be modified except by direct means',100,2,3),
(239655,10163387,'When Equipped:',100,0,0),
(239656,10163387,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(239657,10163387,'Increases power of caster by 67',100,2,2),
(239658,10163387,'Cannot be modified except by direct means',100,2,3),
(239659,114798,'Decreases WIS of target by 58.0',100,1,0),
(239660,114798,'Increases WIS and STA of caster by 58.0',100,1,1),
(239661,114798,'Decreases Max Health of target by 1.4%',100,1,2),
(239662,114798,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 186',100,1,3),
(239663,114798,'Only affects targets level 17 and above',100,1,4),
(239664,10114798,'Decreases WIS of target by 58.0',100,1,0),
(239665,10114798,'Increases WIS and STA of caster by 58.0',100,1,1),
(239666,10114798,'Decreases Max Health of target by 1.4%',100,1,2),
(239667,10114798,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 186',100,1,3),
(239668,10114798,'Only affects targets level 17 and above',100,1,4),
(239669,45825,'Applies Consume Essence when Activated.',100,0,0),
(239670,45825,'Heals group members (AE) for 770 - 942',100,1,1),
(239671,45825,'Dispels 151 levels of any hostile effects on caster',100,1,2),
(239672,10045825,'Applies Consume Essence when Activated.',100,0,0),
(239673,10045825,'Heals group members (AE) for 501 - 612',100,1,1),
(239674,10045825,'Dispels 151 levels of any hostile effects on caster',100,1,2),
(239675,107163,'Inflicts 19 - 33 divine damage on target',100,1,0),
(239676,107163,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(239677,107163,'Stuns target',100,2,2),
(239678,107163,'If Target is not Epic',100,3,3),
(239679,107163,'Inflicts 46 - 77 divine damage on target',100,2,4),
(239680,107163,'Inflicts 40 - 66 divine damage on target',100,2,5),
(239681,107163,'If target is undead',100,3,6),
(239682,10107163,'Inflicts 15 - 26 divine damage on target',100,1,0),
(239683,10107163,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(239684,10107163,'Inflicts 83 - 139 divine damage on target',100,2,2),
(239685,10107163,'Stuns target',100,2,3),
(239686,10107163,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(239687,152810,'When Equipped:',100,0,0),
(239688,152810,'Increases Attack Speed of caster by 45.0',100,1,1),
(239689,10152810,'When Equipped:',100,0,0),
(239690,10152810,'Increases Attack Speed of caster by 45.0',100,1,1),
(239691,102773,'Increases STR of caster by 20.9',100,1,0),
(239692,102773,'Increases Max Health of caster by 115.2',100,1,1),
(239693,102773,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,2),
(239694,10102773,'Increases STR of caster by 20.9',100,1,0),
(239695,10102773,'Increases Max Health of caster by 115.2',100,1,1),
(239696,10102773,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,2),
(239697,35122,'Increases AGI, INT, WIS and STR of target by 2.2',100,0,0),
(239698,35122,'Increases Out-of-Combat Power Regeneration of target by 19.5',100,0,1),
(239699,113757,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(239700,113757,'Inflicts 213 piercing damage on target',100,2,1),
(239701,113757,'Grants a total of 60 triggers of the spell.',100,2,2),
(239702,10113757,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(239703,10113757,'Inflicts 255 piercing damage on target',100,2,1),
(239704,10113757,'Grants a total of 60 triggers of the spell.',100,2,2),
(239705,101671,'Decreases Attack Speed of target by 22.1',100,1,0),
(239706,101671,'Decreases Damage Per Second of target by 14.0',100,1,1),
(239707,10101671,'Decreases Attack Speed of target by 22.1',100,1,0),
(239708,10101671,'Decreases Damage Per Second of target by 14.0',100,1,1),
(239709,106704,'Heals target for 65 - 80',100,1,0),
(239710,10106704,'Heals target for 77 - 94',100,1,0),
(239711,120465,'Inflicts 247 - 411 ranged damage on target',100,1,0),
(239712,120465,'Slows target by 66.6%',100,1,1),
(239713,120465,'10% chance to dispel when target receives hostile action',100,1,2),
(239714,120465,'Requires bow',100,1,3),
(239715,10120465,'Inflicts 192 - 321 ranged damage on target',100,1,0),
(239716,10120465,'Slows target by 66.6%',100,1,1),
(239717,10120465,'10% chance to dispel when target receives hostile action',100,1,2),
(239718,10120465,'Requires bow',100,1,3),
(239719,72153,'When Equipped:',100,0,0),
(239720,72153,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239721,72153,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(239722,72153,'Cannot be modified except by direct means',100,2,3),
(239723,10072153,'When Equipped:',100,0,0),
(239724,10072153,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239725,10072153,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(239726,10072153,'Cannot be modified except by direct means',100,2,3),
(239727,113683,'Stuns target',100,1,0),
(239728,113683,'If Target is not Epic',100,2,1),
(239729,113683,'Inflicts 288 - 480 heat damage on target',100,1,2),
(239730,113683,'Resistibility increases against targets higher than level 59.',100,1,3),
(239731,10113683,'Stuns target',100,1,0),
(239732,10113683,'If Target is not Epic',100,2,1),
(239733,10113683,'Inflicts 346 - 576 heat damage on target',100,1,2),
(239734,10113683,'Resistibility increases against targets higher than level 59.',100,1,3),
(239735,141738,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(239736,141738,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(239737,141738,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(239738,141738,'Cannot be modified except by direct means',100,2,3),
(239739,10141738,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(239740,10141738,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(239741,10141738,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(239742,10141738,'Cannot be modified except by direct means',100,2,3),
(239743,82336,'When Equipped:',100,0,0),
(239744,82336,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239745,82336,'Inflicts 261 - 484 magic damage on target',100,2,2),
(239746,82336,'Cannot be modified except by direct means',100,2,3),
(239747,10082336,'When Equipped:',100,0,0),
(239748,10082336,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239749,10082336,'Inflicts 313 - 581 magic damage on target',100,2,2),
(239750,10082336,'Cannot be modified except by direct means',100,2,3),
(239751,106987,'Inflicts 1138 - 2114 poison damage on target',100,1,0),
(239752,106987,'Increases power of caster by 114',100,1,1),
(239753,10106987,'Inflicts 1366 - 2536 poison damage on target',100,1,0),
(239754,10106987,'Increases power of caster by 114',100,1,1),
(239755,79032,'Applies Frost Blast when Activated.',100,0,0),
(239756,79032,'Inflicts 174 - 291 cold damage on target',100,1,1),
(239757,79032,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(239758,10079032,'Applies Frost Blast when Activated.',100,0,0),
(239759,10079032,'Inflicts 209 - 349 cold damage on target',100,1,1),
(239760,10079032,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(239761,87458,'When Equipped:',100,0,0),
(239762,87458,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239763,87458,'Inflicts 28 - 42 magic damage on target',100,2,2),
(239764,87458,'Cannot be modified except by direct means',100,2,3),
(239765,10087458,'When Equipped:',100,0,0),
(239766,10087458,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239767,10087458,'Inflicts 34 - 50 magic damage on target',100,2,2),
(239768,10087458,'Cannot be modified except by direct means',100,2,3),
(239769,74900,'When Equipped:',100,0,0),
(239770,74900,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239771,74900,'Inflicts 24 - 37 magic damage on target',100,2,2),
(239772,74900,'Cannot be modified except by direct means',100,2,3),
(239773,10074900,'When Equipped:',100,0,0),
(239774,10074900,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239775,10074900,'Inflicts 29 - 44 magic damage on target',100,2,2),
(239776,10074900,'Cannot be modified except by direct means',100,2,3),
(239777,89785,'When Equipped:',100,0,0),
(239778,89785,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',100,1,1),
(239779,89785,'When Equipped:',100,0,2),
(239780,89785,'On a damage spell hit this spell has a 12% chance to cast Poisonous Blast on target of spell.  Lasts for 15.0 seconds.  ',100,1,3),
(239781,89785,'Inflicts 499 - 1163 poison damage on target',100,2,4),
(239782,89785,'Inflicts 103 - 241 poison damage on target every 3 seconds',100,2,5),
(239783,89785,'Applies Poisonous Blast.  Lasts for 15.0 seconds.',100,2,6),
(239784,89785,'Prevents AOE (except when direct) ',100,3,7),
(239785,89785,'Increases Crit Chance of pet by 20.0',100,3,8),
(239786,89785,'Cannot be modified except by direct means',100,2,9),
(239787,89785,'Cannot be modified except by direct means',100,1,10),
(239788,89785,'Applies Servant of Vazaelle when Activated.',100,0,11),
(239789,89785,'Summons a pet Servant of Vazaelle',100,1,12),
(239790,89785,'The casting time of Servant of Vazaelle is 10.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,13),
(239791,10089785,'When Equipped:',100,0,0),
(239792,10089785,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',100,1,1),
(239793,10089785,'When Equipped:',100,0,2),
(239794,10089785,'On a damage spell hit this spell has a 12% chance to cast Poisonous Blast on target of spell.  Lasts for 15.0 seconds.  ',100,1,3),
(239795,10089785,'Inflicts 598 - 1396 poison damage on target',100,2,4),
(239796,10089785,'Inflicts 124 - 289 poison damage on target every 3 seconds',100,2,5),
(239797,10089785,'Applies Poisonous Blast.  Lasts for 15.0 seconds.',100,2,6),
(239798,10089785,'Prevents AOE (except when direct) ',100,3,7),
(239799,10089785,'Increases Crit Chance of pet by 20.0',100,3,8),
(239800,10089785,'Cannot be modified except by direct means',100,2,9),
(239801,10089785,'Cannot be modified except by direct means',100,1,10),
(239802,10089785,'Applies Servant of Vazaelle when Activated.',100,0,11),
(239803,10089785,'Summons a pet Servant of Vazaelle',100,1,12),
(239804,10089785,'The casting time of Servant of Vazaelle is 10.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,13),
(239805,109726,'Inflicts 162 - 270 cold damage on target',100,1,0),
(239806,109726,'If weapon equipped in Ranged',100,1,1),
(239807,10109726,'Inflicts 137 - 229 cold damage on target',100,1,0),
(239808,10109726,'If weapon equipped in Ranged',100,1,1),
(239809,40607,'When Equipped:',100,0,0),
(239810,40607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239811,40607,'Inflicts 42 - 64 magic damage on target',100,2,2),
(239812,40607,'Cannot be modified except by direct means',100,2,3),
(239813,10040607,'When Equipped:',100,0,0),
(239814,10040607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239815,10040607,'Inflicts 51 - 76 magic damage on target',100,2,2),
(239816,10040607,'Cannot be modified except by direct means',100,2,3),
(239817,79823,'When Equipped:',100,0,0),
(239818,79823,'On a combat hit this spell may cast Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239819,79823,'Inflicts 235 - 287 divine damage on target',100,2,2),
(239820,79823,'Inflicts 235 - 287 magic damage on target',100,2,3),
(239821,79823,'Cannot be modified except by direct means',100,2,4),
(239822,10079823,'When Equipped:',100,0,0),
(239823,10079823,'On a combat hit this spell may cast Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239824,10079823,'Inflicts 282 - 344 divine damage on target',100,2,2),
(239825,10079823,'Inflicts 282 - 344 magic damage on target',100,2,3),
(239826,10079823,'Cannot be modified except by direct means',100,2,4),
(239827,133842,'When Equipped:',100,0,0),
(239828,133842,'This effect will not stack with any rank or tier of itself.',100,1,1),
(239829,133842,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(239830,133842,'Increases Attack Speed of caster by 11.0',100,1,3),
(239831,133842,'Cannot be modified except by direct means',100,1,4),
(239832,133842,'When Equipped:',100,0,5),
(239833,133842,'Increases Attack Speed of caster by 40.0',100,1,6),
(239834,10133842,'When Equipped:',100,0,0),
(239835,10133842,'This effect will not stack with any rank or tier of itself.',100,1,1),
(239836,10133842,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(239837,10133842,'Increases Attack Speed of caster by 11.0',100,1,3),
(239838,10133842,'Cannot be modified except by direct means',100,1,4),
(239839,10133842,'When Equipped:',100,0,5),
(239840,10133842,'Increases Attack Speed of caster by 40.0',100,1,6),
(239841,120926,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(239842,120926,'Inflicts 271 - 331 mental damage on target',100,2,1),
(239843,120926,'Grants a total of 3 triggers of the spell.',100,2,2),
(239844,10120926,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(239845,10120926,'Inflicts 325 - 397 mental damage on target',100,2,1),
(239846,10120926,'Grants a total of 3 triggers of the spell.',100,2,2),
(239847,37382,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(239848,37382,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(239849,104861,'Increases STA of group members (AE) by 6.7',100,1,0),
(239850,104861,'Increases Mitigation of group members (AE) vs physical damage by 64',100,1,1),
(239851,10104861,'Increases STA of group members (AE) by 6.7',100,1,0),
(239852,10104861,'Increases Mitigation of group members (AE) vs physical damage by 64',100,1,1),
(239853,104939,'Inflicts 891 - 1485 ranged damage on target',100,1,0),
(239854,104939,'Decreases Deflection and Parry of target by 74.5',100,1,1),
(239855,104939,'Requires bow',100,1,2),
(239856,10104939,'Inflicts 757 - 1263 ranged damage on target',100,1,0),
(239857,10104939,'Decreases Deflection and Parry of target by 74.5',100,1,1),
(239858,10104939,'Requires bow',100,1,2),
(239859,80444,'When Equipped:',100,0,0),
(239860,80444,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239861,80444,'Inflicts 39 - 72 magic damage on target',100,2,2),
(239862,80444,'Cannot be modified except by direct means',100,2,3),
(239863,10080444,'When Equipped:',100,0,0),
(239864,10080444,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239865,10080444,'Inflicts 46 - 86 magic damage on target',100,2,2),
(239866,10080444,'Cannot be modified except by direct means',100,2,3),
(239867,122706,'Increases Attack Speed of caster by 21.0',100,1,0),
(239868,122706,'Decreases Defense of caster by 4.8',100,1,1),
(239869,122706,'Increases Slashing, Piercing, Crushing and Ranged of caster by 10.1',100,1,2),
(239870,10122706,'Increases Attack Speed of caster by 21.0',100,1,0),
(239871,10122706,'Decreases Defense of caster by 4.8',100,1,1),
(239872,10122706,'Increases Slashing, Piercing, Crushing and Ranged of caster by 10.1',100,1,2),
(239873,136490,'When Equipped:',100,0,0),
(239874,136490,'Increases Attack Speed of caster by 11.0',100,1,1),
(239875,136490,'This effect will not stack with any rank or tier of itself.',100,1,2),
(239876,136490,'Cannot be modified except by direct means',100,1,3),
(239877,10136490,'When Equipped:',100,0,0),
(239878,10136490,'Increases Attack Speed of caster by 11.0',100,1,1),
(239879,10136490,'This effect will not stack with any rank or tier of itself.',100,1,2),
(239880,10136490,'Cannot be modified except by direct means',100,1,3),
(239881,105116,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(239882,105116,'Summon 1 Distilled Soul (Journeyman)',100,2,1),
(239883,10105116,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(239884,10105116,'Summon 1 Distilled Soul (Journeyman)',100,2,1),
(239885,47973,'Applies Scroll of Resurrection when Activated.',100,0,0),
(239886,47973,'Allows the caster to resurrect him or herself.',100,1,1),
(239887,47973,'Special: See Description',100,1,2),
(239888,10047973,'Applies Scroll of Resurrection when Activated.',100,0,0),
(239889,10047973,'Allows the caster to resurrect him or herself.',100,1,1),
(239890,10047973,'Special: See Description',100,1,2),
(239891,120545,'Decreases Defense of target by 31.5',100,1,0),
(239892,10120545,'Decreases Defense of target by 31.5',100,1,0),
(239893,84138,'When Equipped:',100,0,0),
(239894,84138,'On a combat hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239895,84138,'Increases Threat to targets in Area of Effect by 402 - 668 ',100,2,2),
(239896,84138,'Cannot be modified except by direct means',100,2,3),
(239897,10084138,'When Equipped:',100,0,0),
(239898,10084138,'On a combat hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(239899,10084138,'Cannot be modified except by direct means',100,2,2),
(239900,79979,'When Equipped:',100,0,0),
(239901,79979,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239902,79979,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(239903,79979,'Only affects targets level 60 and below',100,2,3),
(239904,79979,'Cannot be modified except by direct means',100,2,4),
(239905,10079979,'When Equipped:',100,0,0),
(239906,10079979,'On a combat hit this spell may cast Lethargy on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239907,10079979,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(239908,10079979,'Only affects targets level 60 and below',100,2,3),
(239909,10079979,'Cannot be modified except by direct means',100,2,4),
(239910,117278,'Inflicts 117 - 195 melee damage on target',100,1,0),
(239911,117278,'Decreases Damage Per Second of target by 9.1',100,1,1),
(239912,117278,'Decreases Attack Speed of target by 7.4',100,1,2),
(239913,10117278,'Inflicts 140 - 234 melee damage on target',100,1,0),
(239914,10117278,'Decreases Damage Per Second of target by 9.1',100,1,1),
(239915,10117278,'Decreases Attack Speed of target by 7.4',100,1,2),
(239916,105367,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(239917,105367,'Inflicts 18 melee damage on target',100,2,1),
(239918,105367,'Interrupts target',100,2,2),
(239919,105367,'Decreases Defense of caster by 3.9',100,1,3),
(239920,105367,'Increases Piercing, Slashing, Ranged and Crushing of caster by 9.4',100,1,4),
(239921,10105367,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(239922,10105367,'Inflicts 22 melee damage on target',100,2,1),
(239923,10105367,'Interrupts target',100,2,2),
(239924,10105367,'Decreases Defense of caster by 3.9',100,1,3),
(239925,10105367,'Increases Piercing, Slashing, Ranged and Crushing of caster by 9.4',100,1,4),
(239926,37420,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(239927,104654,'Inflicts 330 - 550 crushing damage on target',100,1,0),
(239928,104654,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 39.8',100,1,1),
(239929,10104654,'Inflicts 396 - 660 crushing damage on target',100,1,0),
(239930,10104654,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 39.8',100,1,1),
(239931,35692,'Increases Max Power of target by 3.3',100,0,0),
(239932,35692,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(239933,176236,'When Equipped:',100,0,0),
(239934,176236,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(239935,176236,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(239936,176236,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,3),
(239937,176236,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(239938,176236,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(239939,176236,'Must not be engaged in pvp combat',100,2,6),
(239940,176236,'Cannot be modified except by direct means',100,2,7),
(239941,176236,'Must not be engaged in pvp combat',100,1,8),
(239942,10176236,'When Equipped:',100,0,0),
(239943,10176236,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(239944,10176236,'Inflicts 3872 - 4280 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(239945,10176236,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,3),
(239946,10176236,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(239947,10176236,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(239948,10176236,'Must not be engaged in pvp combat',100,2,6),
(239949,10176236,'Cannot be modified except by direct means',100,2,7),
(239950,10176236,'Must not be engaged in pvp combat',100,1,8),
(239951,43194,'When Equipped:',100,0,0),
(239952,43194,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239953,43194,'Decreases Threat to target by 350 ',100,2,2),
(239954,43194,'Cannot be modified except by direct means',100,2,3),
(239955,10043194,'When Equipped:',100,0,0),
(239956,10043194,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239957,10043194,'Cannot be modified except by direct means',100,2,2),
(239958,25335,'When Equipped:',100,0,0),
(239959,25335,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(239960,25335,'Adds an additional trigger to Bloodletter.',100,1,2),
(239961,10025335,'When Equipped:',100,0,0),
(239962,10025335,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(239963,10025335,'Adds an additional trigger to Bloodletter.',100,1,2),
(239964,104051,'Inflicts 9 - 10 mental damage on target instantly and every 6 seconds',100,1,0),
(239965,104051,'Applies Migraine on termination.',100,1,1),
(239966,104051,'Inflicts 24 - 33 mental damage on target',100,2,2),
(239967,10104051,'Inflicts 10 - 13 mental damage on target instantly and every 6 seconds',100,1,0),
(239968,10104051,'Applies Migraine on termination.',100,1,1),
(239969,10104051,'Inflicts 29 - 39 mental damage on target',100,2,2),
(239970,80166,'When Equipped:',100,0,0),
(239971,80166,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239972,80166,'Decreases Threat to target by 801 ',100,2,2),
(239973,80166,'Must be flanking or behind',100,3,3),
(239974,80166,'Inflicts 166 - 308 magic damage on target',100,2,4),
(239975,80166,'Increases Threat to target by 806 ',100,2,5),
(239976,80166,'Must be in front of',100,3,6),
(239977,80166,'Cannot be modified except by direct means',100,2,7),
(239978,10080166,'When Equipped:',100,0,0),
(239979,10080166,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(239980,10080166,'Inflicts 199 - 370 magic damage on target',100,2,2),
(239981,10080166,'Cannot be modified except by direct means',100,2,3),
(239982,103018,'Inflicts 63 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(239983,103018,'Inflicts 23 - 39 melee damage on target',100,1,1),
(239984,10103018,'Inflicts 75 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(239985,10103018,'Inflicts 28 - 47 melee damage on target',100,1,1),
(239986,144700,'When Equipped:',100,0,0),
(239987,144700,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239988,144700,'Wards target against 1000 points of all damage',100,2,2),
(239989,144700,'Cannot be modified except by direct means',100,2,3),
(239990,144700,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(239991,10144700,'When Equipped:',100,0,0),
(239992,10144700,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(239993,10144700,'Wards target against 1000 points of all damage',100,2,2),
(239994,10144700,'Cannot be modified except by direct means',100,2,3),
(239995,10144700,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(239996,103679,'Interrupts target',100,1,0),
(239997,103679,'Inflicts 215 - 358 melee damage on target',100,1,1),
(239998,103679,'Must be flanking or behind',100,1,2),
(239999,10103679,'Interrupts target',100,1,0),
(240000,10103679,'Inflicts 258 - 430 melee damage on target',100,1,1),
(240001,10103679,'Must be flanking or behind',100,1,2),
(240002,143349,'When Equipped:',100,0,0),
(240003,143349,'Increases Ability Modifier of caster by 30.0',100,1,1),
(240004,143349,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(240005,143349,'Increases Damage Per Second of caster by 15.0',100,2,3),
(240006,143349,'Cannot be modified except by direct means',100,2,4),
(240007,10143349,'When Equipped:',100,0,0),
(240008,10143349,'Increases Ability Modifier of caster by 30.0',100,1,1),
(240009,10143349,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,2),
(240010,10143349,'Increases Damage Per Second of caster by 15.0',100,2,3),
(240011,10143349,'Cannot be modified except by direct means',100,2,4),
(240012,121023,'Wards group members (AE) against 30 points of physical damage',100,1,0),
(240013,121023,'Increases Mitigation of group members (AE) vs physical damage by 233',100,1,1),
(240014,10121023,'Wards group members (AE) against 30 points of physical damage',100,1,0),
(240015,10121023,'Increases Mitigation of group members (AE) vs physical damage by 233',100,1,1),
(240016,88548,'When Equipped:',100,0,0),
(240017,88548,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(240018,88548,'Increases Max Health of caster by 2,988.0',100,2,2),
(240019,88548,'Must not be engaged in pvp combat',100,2,3),
(240020,88548,'Cannot be modified except by direct means',100,2,4),
(240021,88548,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(240022,88548,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(240023,88548,'Increases Max Health of caster by 2,988.0',100,2,7),
(240024,88548,'Must not be engaged in pvp combat',100,2,8),
(240025,88548,'Cannot be modified except by direct means',100,2,9),
(240026,88548,'Cannot be modified except by direct means',100,1,10),
(240027,88548,'When Equipped:',100,0,11),
(240028,88548,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,12),
(240029,88548,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(240030,88548,'Inflicts 2369 - 2618 poison damage on target',100,2,14),
(240031,88548,'Heals caster for 1185 - 1309',100,2,15),
(240032,88548,'Must not be engaged in pvp combat',100,2,16),
(240033,88548,'Cannot be modified except by direct means',100,2,17),
(240034,88548,'Cannot be modified except by direct means',100,1,18),
(240035,10088548,'When Equipped:',100,0,0),
(240036,10088548,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(240037,10088548,'Increases Max Health of caster by 2,988.0',100,2,2),
(240038,10088548,'Must not be engaged in pvp combat',100,2,3),
(240039,10088548,'Cannot be modified except by direct means',100,2,4),
(240040,10088548,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(240041,10088548,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(240042,10088548,'Increases Max Health of caster by 2,988.0',100,2,7),
(240043,10088548,'Must not be engaged in pvp combat',100,2,8),
(240044,10088548,'Cannot be modified except by direct means',100,2,9),
(240045,10088548,'Cannot be modified except by direct means',100,1,10),
(240046,10088548,'When Equipped:',100,0,11),
(240047,10088548,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,12),
(240048,10088548,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(240049,10088548,'Inflicts 2843 - 3142 poison damage on target',100,2,14),
(240050,10088548,'Heals caster for 1386 - 1532',100,2,15),
(240051,10088548,'Must not be engaged in pvp combat',100,2,16),
(240052,10088548,'Cannot be modified except by direct means',100,2,17),
(240053,10088548,'Cannot be modified except by direct means',100,1,18),
(240054,71963,'When Equipped:',100,0,0),
(240055,71963,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(240056,71963,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(240057,71963,'Cannot be modified except by direct means',100,2,3),
(240058,10071963,'When Equipped:',100,0,0),
(240059,10071963,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(240060,10071963,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(240061,10071963,'Cannot be modified except by direct means',100,2,3),
(240062,47460,'Applies Overclocked Gnomish Hovering Device when Activated.  Lasts for 1 day.',100,0,0),
(240063,47460,'Reduces maximum falling speed of caster',100,1,1),
(240064,47460,'Summons a mount to ride',100,1,2),
(240065,47460,'Increases your ground speed by 130%',100,2,3),
(240066,10047460,'Applies Overclocked Gnomish Hovering Device when Activated.  Lasts for 1 day.',100,0,0),
(240067,10047460,'Reduces maximum falling speed of caster',100,1,1),
(240068,10047460,'Summons a mount to ride',100,1,2),
(240069,10047460,'Increases your ground speed by 130%',100,2,3),
(240070,119374,'Decreases threat priority of target by 1 position',100,1,0),
(240071,119374,'Decreases Threat to target by 313 ',100,1,1),
(240072,119374,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(240073,119374,'Grants stealth to caster',100,2,3),
(240074,119374,'Suspends caster''s movement speed enhancements',100,2,4),
(240075,10119374,'Applies Distract.',100,1,0),
(240076,10119374,'Forces target to clear their selected target.',100,2,1),
(240077,10119374,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(240078,10119374,'Grants stealth to caster',100,2,3),
(240079,10119374,'Suspends caster''s movement speed enhancements',100,2,4),
(240080,85910,'When Equipped:',100,0,0),
(240081,85910,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(240082,85910,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(240083,85910,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(240084,85910,'Decreases Threat to target by 4,345  instantly and Decreases Threat by 4,345  every 4 seconds thereafter',100,2,4),
(240085,85910,'Decreases threat priority of target by 1 position',100,2,5),
(240086,85910,'Must not be engaged in pvp combat',100,2,6),
(240087,85910,'Cannot be modified except by direct means',100,2,7),
(240088,85910,'Must not be engaged in pvp combat',100,1,8),
(240089,10085910,'When Equipped:',100,0,0),
(240090,10085910,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(240091,10085910,'Inflicts 6394 heat damage on target instantly and every 4 seconds',100,2,2),
(240092,10085910,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(240093,10085910,'Must not be engaged in pvp combat',100,2,4),
(240094,10085910,'Cannot be modified except by direct means',100,2,5),
(240095,10085910,'Must not be engaged in pvp combat',100,1,6),
(240096,26667,'When Equipped:',100,0,0),
(240097,26667,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,1),
(240098,26667,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(240099,10026667,'When Equipped:',100,0,0),
(240100,10026667,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,1),
(240101,10026667,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(240102,105089,'Inflicts 115 - 156 magic damage on target',100,1,0),
(240103,10105089,'Inflicts 138 - 187 magic damage on target',100,1,0),
(240104,101707,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(240105,101707,'Inflicts 514 - 628 disease damage on target',100,2,1),
(240106,101707,'Grants a total of 3 triggers of the spell.',100,2,2),
(240107,10101707,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(240108,10101707,'Inflicts 617 - 754 disease damage on target',100,2,1),
(240109,10101707,'Grants a total of 3 triggers of the spell.',100,2,2),
(240110,183217,'When Equipped:',100,0,0),
(240111,183217,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240112,183217,'Inflicts 2664 disease damage on target encounter',100,2,2),
(240113,183217,'Must not be engaged in pvp combat',100,2,3),
(240114,183217,'Cannot be modified except by direct means',100,2,4),
(240115,10183217,'When Equipped:',100,0,0),
(240116,10183217,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240117,10183217,'Inflicts 1598 disease damage on target encounter',100,2,2),
(240118,10183217,'Must not be engaged in pvp combat',100,2,3),
(240119,10183217,'Cannot be modified except by direct means',100,2,4),
(240120,47921,'Applies Sartar''s Resurgence when Activated.',100,0,0),
(240121,47921,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(240122,10047921,'Applies Sartar''s Resurgence when Activated.',100,0,0),
(240123,10047921,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(240124,46728,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(240125,46728,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(240126,46728,'Inflicts 83 poison damage on target instantly and every 4 seconds',100,2,2),
(240127,46728,'Cannot be modified except by direct means',100,2,3),
(240128,46728,'Grants a total of 100 triggers of the spell.',100,2,4),
(240129,10046728,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(240130,10046728,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(240131,10046728,'Inflicts 75 poison damage on target instantly and every 4 seconds',100,2,2),
(240132,10046728,'Cannot be modified except by direct means',100,2,3),
(240133,10046728,'Grants a total of 100 triggers of the spell.',100,2,4),
(240134,124519,'Inflicts 7 - 13 melee damage on target',100,1,0),
(240135,124519,'If facing target',100,1,1),
(240136,10124519,'Inflicts 9 - 15 melee damage on target',100,1,0),
(240137,10124519,'If facing target',100,1,1),
(240138,106991,'Inflicts 969 - 1800 poison damage on target',100,1,0),
(240139,106991,'Increases power of caster by 105',100,1,1),
(240140,10106991,'Inflicts 1163 - 2160 poison damage on target',100,1,0),
(240141,10106991,'Increases power of caster by 105',100,1,1),
(240142,159772,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(240143,159772,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(240144,159772,'Heals target for 63 instantly and every 4 seconds',100,2,2),
(240145,159772,'Cannot be modified except by direct means',100,2,3),
(240146,10159772,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(240147,10159772,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(240148,10159772,'Heals target for 41 instantly and every 4 seconds',100,2,2),
(240149,10159772,'Cannot be modified except by direct means',100,2,3),
(240150,85334,'Applies Poison Bolt when Activated.',100,0,0),
(240151,85334,'Inflicts 125 - 208 poison damage on target',100,1,1),
(240152,85334,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240153,10085334,'Applies Poison Bolt when Activated.',100,0,0),
(240154,10085334,'Inflicts 150 - 249 poison damage on target',100,1,1),
(240155,10085334,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240156,81066,'When Equipped:',100,0,0),
(240157,81066,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240158,81066,'Inflicts 147 - 273 magic damage on target',100,2,2),
(240159,81066,'Cannot be modified except by direct means',100,2,3),
(240160,10081066,'When Equipped:',100,0,0),
(240161,10081066,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240162,10081066,'Inflicts 176 - 327 magic damage on target',100,2,2),
(240163,10081066,'Cannot be modified except by direct means',100,2,3),
(240164,122640,'Heals target for 274 - 335 every 2 seconds',100,1,0),
(240165,122640,'Wards target against 883 points of all damage',100,1,1),
(240166,122640,'Decreases Attack Speed of target by 25.0',100,1,2),
(240167,122640,'Slows target by 50.0%',100,1,3),
(240168,10122640,'Heals target for 178 - 218 every 2 seconds',100,1,0),
(240169,10122640,'Wards target against 883 points of all damage',100,1,1),
(240170,10122640,'Decreases Attack Speed of target by 25.0',100,1,2),
(240171,10122640,'Slows target by 20.0%',100,1,3),
(240172,54772,'When Equipped:',100,0,0),
(240173,54772,'On a damage spell hit this spell may cast Ethereal Strands on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(240174,54772,'Increases power of target by 103',100,2,2),
(240175,54772,'Cannot be modified except by direct means',100,2,3),
(240176,10054772,'When Equipped:',100,0,0),
(240177,10054772,'On a damage spell hit this spell may cast Ethereal Strands on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(240178,10054772,'Increases power of target by 103',100,2,2),
(240179,10054772,'Cannot be modified except by direct means',100,2,3),
(240180,115958,'Inflicts 7 - 11 mental damage on target',100,1,0),
(240181,115958,'Stuns target',100,1,1),
(240182,115958,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(240183,115958,'Resistibility increases against targets higher than level 31.',100,1,3),
(240184,10115958,'Applies Bewilderment on termination.',100,1,0),
(240185,10115958,'Inflicts 8 - 13 mental damage on target',100,2,1),
(240186,10115958,'Requires not being affected by Mesmerize effects.',100,3,2),
(240187,10115958,'Stuns target',100,1,3),
(240188,10115958,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,4),
(240189,10115958,'Resistibility increases against targets higher than level 31.',100,1,5),
(240190,117600,'Inflicts 13 - 22 ranged damage on target',100,1,0),
(240191,117600,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(240192,117600,'Slows target by 28.9%',100,2,2),
(240193,117600,'5% chance to dispel when target receives hostile action',100,2,3),
(240194,117600,'5% chance to dispel when target takes damage',100,2,4),
(240195,117600,'Must be flanking or behind',100,1,5),
(240196,117600,'Requires bow',100,1,6),
(240197,10117600,'Inflicts 11 - 18 ranged damage on target',100,1,0),
(240198,10117600,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(240199,10117600,'Slows target by 28.9%',100,2,2),
(240200,10117600,'5% chance to dispel when target receives hostile action',100,2,3),
(240201,10117600,'5% chance to dispel when target takes damage',100,2,4),
(240202,10117600,'Must be flanking or behind',100,1,5),
(240203,10117600,'Requires bow',100,1,6),
(240204,47704,'Applies Elixir of Combat when Activated.  Lasts for 15 minutes.',100,0,0),
(240205,47704,'Increases Multi Attack Chance of caster by 4.0',100,1,1),
(240206,10047704,'Applies Elixir of Combat when Activated.  Lasts for 15 minutes.',100,0,0),
(240207,10047704,'Increases Multi Attack Chance of caster by 4.0',100,1,1),
(240208,118949,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(240209,118949,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,1),
(240210,118949,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,2),
(240211,10118949,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(240212,10118949,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,1),
(240213,10118949,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,2),
(240214,109560,'Makes target afraid',100,1,0),
(240215,109560,'30% chance to dispel when target takes damage',100,1,1),
(240216,109560,'Does not affect Epic targets',100,1,2),
(240217,109560,'Resistibility increases against targets higher than level 55.',100,1,3),
(240218,10109560,'Makes target afraid',100,1,0),
(240219,10109560,'30% chance to dispel when target takes damage',100,1,1),
(240220,10109560,'Does not affect Epic targets',100,1,2),
(240221,10109560,'Resistibility increases against targets higher than level 55.',100,1,3),
(240222,26309,'When Equipped:',100,0,0),
(240223,26309,'Increases Crit Chance of caster by 1.0',100,1,1),
(240224,10026309,'When Equipped:',100,0,0),
(240225,10026309,'Increases Crit Chance of caster by 1.0',100,1,1),
(240226,81954,'When Equipped:',100,0,0),
(240227,81954,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240228,81954,'Inflicts 261 - 484 magic damage on target',100,2,2),
(240229,81954,'Cannot be modified except by direct means',100,2,3),
(240230,10081954,'When Equipped:',100,0,0),
(240231,10081954,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240232,10081954,'Inflicts 313 - 581 magic damage on target',100,2,2),
(240233,10081954,'Cannot be modified except by direct means',100,2,3),
(240234,106073,'Increases AGI of caster by 107.9',100,1,0),
(240235,106073,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(240236,106073,'Inflicts 151 - 252 disease damage on target',100,2,2),
(240237,106073,'Adds 14.8% to base avoidance.',100,1,3),
(240238,106073,'Increases Mitigation of caster vs physical damage by 525',100,1,4),
(240239,106073,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,5),
(240240,10106073,'Increases AGI of caster by 107.9',100,1,0),
(240241,10106073,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(240242,10106073,'Inflicts 181 - 302 disease damage on target',100,2,2);
INSERT INTO `item_effects` VALUES
(240243,10106073,'Adds 14.8% to base avoidance.',100,1,3),
(240244,10106073,'Increases Mitigation of caster vs physical damage by 525',100,1,4),
(240245,10106073,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,5),
(240246,81679,'When Equipped:',100,0,0),
(240247,81679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240248,81679,'Inflicts 67 - 124 magic damage on target',100,2,2),
(240249,81679,'Cannot be modified except by direct means',100,2,3),
(240250,10081679,'When Equipped:',100,0,0),
(240251,10081679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240252,10081679,'Inflicts 80 - 149 magic damage on target',100,2,2),
(240253,10081679,'Cannot be modified except by direct means',100,2,3),
(240254,109610,'Increases Defense of group members'' pets (AE) by 12.0',100,1,0),
(240255,109610,'Increases Mitigation of group members (AE) vs all damage by 192',100,1,1),
(240256,10109610,'Increases Defense of group members'' pets (AE) by 12.0',100,1,0),
(240257,10109610,'Increases Mitigation of group members (AE) vs all damage by 192',100,1,1),
(240258,151052,'When Equipped:',100,0,0),
(240259,151052,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240260,151052,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(240261,151052,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(240262,151052,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(240263,151052,'Must not be engaged in pvp combat',100,2,5),
(240264,151052,'Cannot be modified except by direct means',100,2,6),
(240265,10151052,'When Equipped:',100,0,0),
(240266,10151052,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240267,10151052,'Inflicts 1114 - 1361 heat damage on target',100,2,2),
(240268,10151052,'Inflicts 1114 - 1361 heat damage on target',100,2,3),
(240269,10151052,'Inflicts 1114 - 1361 heat damage on target',100,2,4),
(240270,10151052,'Must not be engaged in pvp combat',100,2,5),
(240271,10151052,'Cannot be modified except by direct means',100,2,6),
(240272,143014,'When Equipped:',100,0,0),
(240273,143014,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(240274,143014,'Inflicts 253 poison damage on target',100,2,2),
(240275,143014,'Inflicts 253 disease damage on target',100,2,3),
(240276,143014,'Cannot be modified except by direct means',100,2,4),
(240277,143014,'Wards caster against 506 points of noxious damage',100,1,5),
(240278,10143014,'When Equipped:',100,0,0),
(240279,10143014,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(240280,10143014,'Inflicts 303 poison damage on target',100,2,2),
(240281,10143014,'Inflicts 303 disease damage on target',100,2,3),
(240282,10143014,'Cannot be modified except by direct means',100,2,4),
(240283,10143014,'Wards caster against 506 points of noxious damage',100,1,5),
(240284,124796,'Increases STR of caster by 78.8',100,1,0),
(240285,124796,'Decreases Defense of caster by 13.8',100,1,1),
(240286,124796,'Increases Crushing, Piercing, Slashing and Disruption of caster by 22.8',100,1,2),
(240287,10124796,'Increases STR of caster by 78.8',100,1,0),
(240288,10124796,'Decreases Defense of caster by 13.8',100,1,1),
(240289,10124796,'Increases Crushing, Piercing, Slashing and Disruption of caster by 22.8',100,1,2),
(240290,159545,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(240291,159545,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(240292,159545,'Inflicts 77 heat damage on target',100,2,2),
(240293,159545,'Cannot be modified except by direct means',100,2,3),
(240294,10159545,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(240295,10159545,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(240296,10159545,'Inflicts 93 heat damage on target',100,2,2),
(240297,10159545,'Cannot be modified except by direct means',100,2,3),
(240298,81544,'When Equipped:',100,0,0),
(240299,81544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240300,81544,'Inflicts 108 - 201 magic damage on target',100,2,2),
(240301,81544,'Cannot be modified except by direct means',100,2,3),
(240302,10081544,'When Equipped:',100,0,0),
(240303,10081544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240304,10081544,'Inflicts 130 - 242 magic damage on target',100,2,2),
(240305,10081544,'Cannot be modified except by direct means',100,2,3),
(240306,70157,'When Equipped:',100,0,0),
(240307,70157,'On a combat hit this spell may cast Strike of the Eternal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240308,70157,'Inflicts 233 - 433 magic damage on target',100,2,2),
(240309,70157,'Cannot be modified except by direct means',100,2,3),
(240310,70157,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(240311,70157,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(240312,10070157,'When Equipped:',100,0,0),
(240313,10070157,'On a combat hit this spell may cast Strike of the Eternal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240314,10070157,'Inflicts 280 - 519 magic damage on target',100,2,2),
(240315,10070157,'Cannot be modified except by direct means',100,2,3),
(240316,10070157,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(240317,10070157,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(240318,159835,'Applies Lambent Imbued when Equipped.',100,0,0),
(240319,159835,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(240320,159835,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(240321,159835,'Cannot be modified except by direct means',100,2,3),
(240322,10159835,'Applies Lambent Imbued when Equipped.',100,0,0),
(240323,10159835,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(240324,10159835,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(240325,10159835,'Cannot be modified except by direct means',100,2,3),
(240326,138387,'When Equipped:',100,0,0),
(240327,138387,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(240328,138387,'Must be engaged in pvp combat',100,1,2),
(240329,138387,'When Equipped:',100,0,3),
(240330,138387,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(240331,138387,'Must be engaged in pvp combat',100,1,5),
(240332,138387,'When Equipped:',100,0,6),
(240333,138387,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(240334,138387,'Reduces physical damage done to target by 2.5%',100,2,8),
(240335,138387,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(240336,138387,'Must be engaged in pvp combat',100,2,10),
(240337,138387,'Cannot be modified except by direct means',100,2,11),
(240338,138387,'Cannot be modified except by direct means',100,1,12),
(240339,10138387,'When Equipped:',100,0,0),
(240340,10138387,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(240341,10138387,'Must be engaged in pvp combat',100,1,2),
(240342,10138387,'When Equipped:',100,0,3),
(240343,10138387,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(240344,10138387,'Must be engaged in pvp combat',100,1,5),
(240345,10138387,'When Equipped:',100,0,6),
(240346,10138387,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(240347,10138387,'Reduces physical damage done to target by 2.5%',100,2,8),
(240348,10138387,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(240349,10138387,'Must be engaged in pvp combat',100,2,10),
(240350,10138387,'Cannot be modified except by direct means',100,2,11),
(240351,10138387,'Cannot be modified except by direct means',100,1,12),
(240352,120723,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 36.4',100,1,0),
(240353,10120723,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 36.4',100,1,0),
(240354,115621,'Wards target against 1958 points of all damage',100,1,0),
(240355,10115621,'Wards target against 2937 points of all damage',100,1,0),
(240356,48283,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(240357,48283,'Inflicts 12 - 20 slashing damage on target every 4 seconds',100,1,1),
(240358,48283,'Inflicts 51 - 63 melee damage on target',100,1,2),
(240359,10048283,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(240360,10048283,'Inflicts 14 - 24 slashing damage on target every 4 seconds',100,1,1),
(240361,10048283,'Inflicts 62 - 76 melee damage on target',100,1,2),
(240362,81101,'When Equipped:',100,0,0),
(240363,81101,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240364,81101,'Inflicts 144 - 268 magic damage on target',100,2,2),
(240365,81101,'Decreases Threat to target by 517 ',100,2,3),
(240366,81101,'Must be flanking or behind',100,3,4),
(240367,81101,'Increases Threat to target by 522 ',100,2,5),
(240368,81101,'Must be in front of',100,3,6),
(240369,81101,'Cannot be modified except by direct means',100,2,7),
(240370,10081101,'When Equipped:',100,0,0),
(240371,10081101,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240372,10081101,'Inflicts 173 - 322 magic damage on target',100,2,2),
(240373,10081101,'Cannot be modified except by direct means',100,2,3),
(240374,103409,'Decreases Threat to targets in Area of Effect by 1,186 ',100,1,0),
(240375,103409,'Slows targets in Area of Effect by 35.0%',100,1,1),
(240376,103409,'Stifles targets in Area of Effect',100,1,2),
(240377,103409,'If Target is not Epic',100,2,3),
(240378,103409,'10% chance to dispel when target receives hostile action',100,1,4),
(240379,103409,'10% chance to dispel when target takes damage',100,1,5),
(240380,10103409,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(240381,10103409,'Slows targets in Area of Effect by 35.0%',100,1,1),
(240382,10103409,'Stifles targets in Area of Effect',100,1,2),
(240383,10103409,'If Target is not Epic',100,2,3),
(240384,101815,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(240385,101815,'Decreases Threat to target by 1,648 ',100,2,1),
(240386,10101815,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(240387,10101815,'Inflicts 85 - 94 crushing damage on target',100,2,1),
(240388,115778,'Inflicts 254 - 424 melee damage on target',100,1,0),
(240389,10115778,'Inflicts 305 - 509 melee damage on target',100,1,0),
(240390,106143,'Inflicts 145 - 242 divine damage on target encounter',100,1,0),
(240391,106143,'Interrupts target encounter',100,1,1),
(240392,10106143,'Inflicts 174 - 290 divine damage on target encounter',100,1,0),
(240393,10106143,'Interrupts target encounter',100,1,1),
(240394,86094,'When Equipped:',100,0,0),
(240395,86094,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240396,86094,'Inflicts 271 - 452 divine damage on target',100,2,2),
(240397,86094,'Inflicts 271 - 452 piercing damage on target',100,2,3),
(240398,86094,'Inflicts 271 - 452 magic damage on target',100,2,4),
(240399,86094,'Must not be engaged in pvp combat',100,2,5),
(240400,86094,'Cannot be modified except by direct means',100,2,6),
(240401,86094,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(240402,86094,'Inflicts 271 - 452 divine damage on target',100,2,8),
(240403,86094,'Inflicts 271 - 452 piercing damage on target',100,2,9),
(240404,86094,'Inflicts 271 - 452 magic damage on target',100,2,10),
(240405,86094,'Must not be engaged in pvp combat',100,2,11),
(240406,86094,'Cannot be modified except by direct means',100,2,12),
(240407,86094,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(240408,86094,'Inflicts 271 - 452 divine damage on target',100,2,14),
(240409,86094,'Inflicts 271 - 452 piercing damage on target',100,2,15),
(240410,86094,'Inflicts 271 - 452 magic damage on target',100,2,16),
(240411,86094,'Must not be engaged in pvp combat',100,2,17),
(240412,86094,'Cannot be modified except by direct means',100,2,18),
(240413,86094,'Must not be engaged in pvp combat',100,1,19),
(240414,10086094,'When Equipped:',100,0,0),
(240415,10086094,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240416,10086094,'Inflicts 326 - 543 divine damage on target',100,2,2),
(240417,10086094,'Inflicts 326 - 543 piercing damage on target',100,2,3),
(240418,10086094,'Inflicts 326 - 543 magic damage on target',100,2,4),
(240419,10086094,'Must not be engaged in pvp combat',100,2,5),
(240420,10086094,'Cannot be modified except by direct means',100,2,6),
(240421,10086094,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(240422,10086094,'Inflicts 326 - 543 divine damage on target',100,2,8),
(240423,10086094,'Inflicts 326 - 543 piercing damage on target',100,2,9),
(240424,10086094,'Inflicts 326 - 543 magic damage on target',100,2,10),
(240425,10086094,'Must not be engaged in pvp combat',100,2,11),
(240426,10086094,'Cannot be modified except by direct means',100,2,12),
(240427,10086094,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(240428,10086094,'Inflicts 326 - 543 divine damage on target',100,2,14),
(240429,10086094,'Inflicts 326 - 543 piercing damage on target',100,2,15),
(240430,10086094,'Inflicts 326 - 543 magic damage on target',100,2,16),
(240431,10086094,'Must not be engaged in pvp combat',100,2,17),
(240432,10086094,'Cannot be modified except by direct means',100,2,18),
(240433,10086094,'Must not be engaged in pvp combat',100,1,19),
(240434,107995,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(240435,107995,'Increases Mitigation of group members (AE) vs elemental damage by 525',100,1,1),
(240436,10107995,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(240437,10107995,'Increases Mitigation of group members (AE) vs elemental damage by 525',100,1,1),
(240438,80762,'When Equipped:',100,0,0),
(240439,80762,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240440,80762,'Inflicts 144 - 268 magic damage on target',100,2,2),
(240441,80762,'Cannot be modified except by direct means',100,2,3),
(240442,10080762,'When Equipped:',100,0,0),
(240443,10080762,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240444,10080762,'Inflicts 173 - 322 magic damage on target',100,2,2),
(240445,10080762,'Cannot be modified except by direct means',100,2,3),
(240446,102707,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(240447,102707,'Inflicts 264 - 441 heat damage on target',100,2,1),
(240448,102707,'Grants a total of 5 triggers of the spell.',100,2,2),
(240449,102707,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(240450,102707,'Inflicts 264 - 441 heat damage on target',100,2,4),
(240451,102707,'Grants a total of 5 triggers of the spell.',100,2,5),
(240452,10102707,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(240453,10102707,'Inflicts 317 - 529 heat damage on target',100,2,1),
(240454,10102707,'Grants a total of 5 triggers of the spell.',100,2,2),
(240455,10102707,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(240456,10102707,'Inflicts 317 - 529 heat damage on target',100,2,4),
(240457,10102707,'Grants a total of 5 triggers of the spell.',100,2,5),
(240458,183209,'When Equipped:',100,0,0),
(240459,183209,'Increases Attack Speed of caster by 40.0',100,1,1),
(240460,10183209,'When Equipped:',100,0,0),
(240461,10183209,'Increases Attack Speed of caster by 40.0',100,1,1),
(240462,133716,'When Equipped:',100,0,0),
(240463,133716,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240464,133716,'Inflicts 947 crushing damage on target',100,2,2),
(240465,133716,'Increases Threat to target by 1,255 ',100,2,3),
(240466,133716,'Must not be engaged in pvp combat',100,2,4),
(240467,133716,'Cannot be modified except by direct means',100,2,5),
(240468,133716,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,6),
(240469,133716,'Inflicts 947 crushing damage on target',100,2,7),
(240470,133716,'Increases Threat to target by 1,255 ',100,2,8),
(240471,133716,'Must not be engaged in pvp combat',100,2,9),
(240472,133716,'Cannot be modified except by direct means',100,2,10),
(240473,10133716,'When Equipped:',100,0,0),
(240474,10133716,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240475,10133716,'Inflicts 1136 crushing damage on target',100,2,2),
(240476,10133716,'Must not be engaged in pvp combat',100,2,3),
(240477,10133716,'Cannot be modified except by direct means',100,2,4),
(240478,10133716,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,5),
(240479,10133716,'Inflicts 1136 crushing damage on target',100,2,6),
(240480,10133716,'Must not be engaged in pvp combat',100,2,7),
(240481,10133716,'Cannot be modified except by direct means',100,2,8),
(240482,106761,'Mesmerizes target',100,1,0),
(240483,106761,'Prevents AOE (except when direct) ',100,1,1),
(240484,106761,'Dispelled when target takes damage',100,1,2),
(240485,106761,'Does not affect Epic targets',100,1,3),
(240486,106761,'Resistibility increases against targets higher than level 69.',100,1,4),
(240487,10106761,'Mesmerizes target',100,1,0),
(240488,10106761,'Prevents AOE (except when direct) ',100,1,1),
(240489,10106761,'Dispelled when target takes damage',100,1,2),
(240490,10106761,'Does not affect Epic targets',100,1,3),
(240491,10106761,'Resistibility increases against targets higher than level 69.',100,1,4),
(240492,159658,'When Equipped:',100,0,0),
(240493,159658,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(240494,159658,'Increases WIS of caster by 11.4',100,2,2),
(240495,159658,'Increases Ordination, Focus and Ministration of caster by 6.8',100,2,3),
(240496,159658,'Cannot be modified except by direct means',100,2,4),
(240497,10159658,'When Equipped:',100,0,0),
(240498,10159658,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(240499,10159658,'Increases WIS of caster by 11.4',100,2,2),
(240500,10159658,'Increases Ordination, Focus and Ministration of caster by 6.8',100,2,3),
(240501,10159658,'Cannot be modified except by direct means',100,2,4),
(240502,105965,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(240503,105965,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(240504,105965,'Inflicts 54 - 90 piercing damage on target',100,3,2),
(240505,105965,'Grants a total of 5 triggers of the spell.',100,3,3),
(240506,105965,'Grants a total of 1 trigger of the spell.',100,2,4),
(240507,10105965,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(240508,10105965,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(240509,10105965,'Inflicts 65 - 108 piercing damage on target',100,3,2),
(240510,10105965,'Grants a total of 5 triggers of the spell.',100,3,3),
(240511,10105965,'Grants a total of 1 trigger of the spell.',100,2,4),
(240512,109822,'Inflicts 116 - 194 melee damage on target',100,1,0),
(240513,109822,'Decreases Parry of target by 16.5',100,1,1),
(240514,109822,'Must be in front of or flanking',100,1,2),
(240515,10109822,'Inflicts 140 - 233 melee damage on target',100,1,0),
(240516,10109822,'Decreases Parry of target by 16.5',100,1,1),
(240517,10109822,'Must be in front of or flanking',100,1,2),
(240518,49140,'Applies Griffin Defender when Activated.  Lasts for 1 minute.',100,0,0),
(240519,49140,'Summons a limited pet to aid the caster',100,1,1),
(240520,10049140,'Applies Griffin Defender when Activated.  Lasts for 1 minute.',100,0,0),
(240521,10049140,'Summons a limited pet to aid the caster',100,1,1),
(240522,188157,'When Equipped:',100,0,0),
(240523,188157,'On a melee hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240524,188157,'Increases Threat to target encounter by 287 - 475 ',100,2,2),
(240525,188157,'Cannot be modified except by direct means',100,2,3),
(240526,10188157,'When Equipped:',100,0,0),
(240527,10188157,'On a melee hit this spell may cast Startle on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(240528,10188157,'Applies Annoy.  Lasts for 3.0 seconds.',100,2,2),
(240529,10188157,'Prevents target from changing targets',100,3,3),
(240530,10188157,'Forces target to change their selected target to caster.',100,3,4),
(240531,10188157,'Cannot be modified except by direct means',100,2,5),
(240532,45755,'Applies Tynkale''s Reclamation  when Activated.',100,0,0),
(240533,45755,'Heals caster for 208',100,1,1),
(240534,10045755,'Applies Tynkale''s Reclamation  when Activated.',100,0,0),
(240535,10045755,'Heals caster for 135',100,1,1),
(240536,49127,'Applies Drop Carcass when Activated.',100,0,0),
(240537,10049127,'Applies Drop Carcass when Activated.',100,0,0),
(240538,107260,'Inflicts 48 - 81 ranged damage on target',100,1,0),
(240539,107260,'Inflicts 48 - 81 ranged damage on target',100,1,1),
(240540,107260,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(240541,107260,'Stuns target',100,2,3),
(240542,107260,'Throws target back',100,2,4),
(240543,107260,'Blurs vision of target',100,2,5),
(240544,107260,'Does not affect Epic targets',100,2,6),
(240545,107260,'If weapon equipped in Ranged',100,1,7),
(240546,10107260,'Inflicts 41 - 69 ranged damage on target',100,1,0),
(240547,10107260,'Inflicts 41 - 69 ranged damage on target',100,1,1),
(240548,10107260,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(240549,10107260,'Stuns target',100,2,3),
(240550,10107260,'Throws target back',100,2,4),
(240551,10107260,'Blurs vision of target',100,2,5),
(240552,10107260,'Does not affect Epic targets',100,2,6),
(240553,10107260,'If weapon equipped in Ranged',100,1,7),
(240554,115180,'Heals target for 299 - 365',100,1,0),
(240555,10115180,'Heals target for 404 - 494',100,1,0),
(240556,116723,'Inflicts 361 - 602 melee damage on target',100,1,0),
(240557,10116723,'Inflicts 433 - 722 melee damage on target',100,1,0),
(240558,111489,'Increases AGI of caster by 47.3',100,1,0),
(240559,111489,'Increases Attack Speed of caster by 27.2',100,1,1),
(240560,111489,'Increases in-combat movement speed of caster by 5.5%',100,1,2),
(240561,111489,'Adds 17.2% to base avoidance.',100,1,3),
(240562,111489,'Increases Mitigation of caster vs physical damage by 424',100,1,4),
(240563,111489,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,5),
(240564,10111489,'Increases AGI of caster by 47.3',100,1,0),
(240565,10111489,'Increases Attack Speed of caster by 27.2',100,1,1),
(240566,10111489,'Increases speed of caster by 5.5%',100,1,2),
(240567,10111489,'Adds 17.2% to base avoidance.',100,1,3),
(240568,10111489,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',100,1,4),
(240569,112939,'Inflicts 18 - 54 crushing damage on target',100,1,0),
(240570,10112939,'Inflicts 21 - 64 crushing damage on target',100,1,0),
(240571,25025,'When Equipped:',100,0,0),
(240572,25025,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(240573,10025025,'When Equipped:',100,0,0),
(240574,10025025,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(240575,113088,'Heals target for 51.5 - 62.9% of max health',100,1,0),
(240576,113088,'This effect cannot be critically applied.',100,2,1),
(240577,113088,'Increases Max Health of target by 118.2',100,1,2),
(240578,113088,'Increases Mitigation of target vs physical damage by 220',100,1,3),
(240579,113088,'The healing of this spell cannot be modified except by direct means',100,1,4),
(240580,10113088,'Heals target for 20.6 - 25.2% of max health',100,1,0),
(240581,10113088,'This effect cannot be critically applied.',100,2,1),
(240582,10113088,'Increases Max Health of target by 118.2',100,1,2),
(240583,10113088,'Increases Mitigation of target vs physical damage by 220',100,1,3),
(240584,10113088,'The healing of this spell cannot be modified except by direct means',100,1,4),
(240585,122442,'Inflicts 234 - 389 magic damage on target',100,1,0),
(240586,10122442,'Inflicts 280 - 467 magic damage on target',100,1,0),
(240587,105040,'Increases WIS of raid and group members (AE) by 65.3',100,1,0),
(240588,105040,'Increases heal amounts of raid members by 5%.',100,1,1),
(240589,105040,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 245',100,1,2),
(240590,10105040,'Increases WIS of raid and group members (AE) by 65.3',100,1,0),
(240591,10105040,'Increases heal amounts of raid members by 5%.',100,1,1),
(240592,10105040,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 245',100,1,2),
(240593,35947,'Increases STR of target by 1.5',100,0,0),
(240594,35947,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(240595,84005,'Applies Lightning Shock when Activated.',100,0,0),
(240596,84005,'Inflicts 121 - 202 magic damage on target',100,1,1),
(240597,84005,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240598,10084005,'Applies Lightning Shock when Activated.',100,0,0),
(240599,10084005,'Inflicts 145 - 242 magic damage on target',100,1,1),
(240600,10084005,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240601,104882,'Inflicts 125 - 209 magic damage on targets in area',100,1,0),
(240602,10104882,'Inflicts 150 - 251 magic damage on targets in area',100,1,0),
(240603,104010,'Stifles target',100,1,0),
(240604,104010,'If Target is not Epic',100,2,1),
(240605,104010,'Interrupts target',100,1,2),
(240606,104010,'Decreases Threat to target by 144 - 176 ',100,1,3),
(240607,104010,'Resistibility increases against targets higher than level 39.',100,1,4),
(240608,10104010,'Stifles target',100,1,0),
(240609,10104010,'If Target is not Epic',100,2,1),
(240610,10104010,'Interrupts target',100,1,2),
(240611,10104010,'Resistibility increases against targets higher than level 39.',100,1,3),
(240612,135182,'When Equipped:',100,0,0),
(240613,135182,'Caster will have their chance to hit with a weapon increased by 2.0%',100,1,1),
(240614,135182,'Increases Attack Speed of caster by 45.0',100,1,2),
(240615,10135182,'When Equipped:',100,0,0),
(240616,10135182,'Caster will have their chance to hit with a weapon increased by 2.0%',100,1,1),
(240617,10135182,'Increases Attack Speed of caster by 45.0',100,1,2),
(240618,50617,'When Equipped:',100,0,0),
(240619,50617,'When damaged with a melee weapon this spell has a 10% chance to cast Fear-guard of Thule on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(240620,50617,'Makes caster immune to Fear effects',100,2,2),
(240621,50617,'Wards caster against 250 points of physical damage',100,2,3),
(240622,50617,'Cannot be modified except by direct means',100,2,4),
(240623,10050617,'When Equipped:',100,0,0),
(240624,10050617,'When damaged with a melee weapon this spell has a 10% chance to cast Fear-guard of Thule on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(240625,10050617,'Makes caster immune to Fear effects',100,2,2),
(240626,10050617,'Wards caster against 250 points of physical damage',100,2,3),
(240627,10050617,'Cannot be modified except by direct means',100,2,4),
(240628,47500,'Applies Pestilent Serum 92C when Activated.  Lasts for 1 hour.',100,0,0),
(240629,47500,'If target is a challenge.',100,1,1),
(240630,10047500,'Applies Pestilent Serum 92C when Activated.  Lasts for 1 hour.',100,0,0),
(240631,10047500,'If target is a challenge.',100,1,1),
(240632,46634,'Applies Savior''s Vitae when Activated.  Lasts for 12.0 seconds.',100,0,0),
(240633,46634,'Temporarily increases the effectiveness of your heals and wards by 10%',100,1,1),
(240634,46634,'Makes caster immune to Stifle effects',100,1,2),
(240635,46634,'Must have Herb-lined Skull of the Fallen equipped.',100,1,3),
(240636,46634,'Must be engaged in pvp combat',100,1,4),
(240637,10046634,'Applies Savior''s Vitae when Activated.  Lasts for 12.0 seconds.',100,0,0),
(240638,10046634,'Temporarily increases the effectiveness of your heals and wards by 10%',100,1,1),
(240639,10046634,'Makes caster immune to Stifle effects',100,1,2),
(240640,10046634,'Must have Herb-lined Skull of the Fallen equipped.',100,1,3),
(240641,10046634,'Must be engaged in pvp combat',100,1,4),
(240642,170322,'When Equipped:',100,0,0),
(240643,170322,'Increases Attack Speed of caster by 35.0',100,1,1),
(240644,10170322,'When Equipped:',100,0,0),
(240645,10170322,'Increases Attack Speed of caster by 35.0',100,1,1),
(240646,110115,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(240647,110115,'Inflicts 45 disease damage on target',100,2,1),
(240648,110115,'Heals caster for 38',100,2,2),
(240649,110115,'Decreases INT of target by 165.0',100,1,3),
(240650,110115,'Decreases Attack Speed of target by 25.0',100,1,4),
(240651,110115,'Increases Max Health of target by 14.0%',100,1,5),
(240652,110115,'Increases Hate Gain of target by 46.0%',100,1,6),
(240653,110115,'Increases Aggression of target by 17.5',100,1,7),
(240654,110115,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(240655,110115,'Increases Threat to target encounter by 190 - 232 ',100,2,9),
(240656,110115,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,10),
(240657,10110115,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(240658,10110115,'Inflicts 54 disease damage on target',100,2,1),
(240659,10110115,'Heals caster for 25',100,2,2),
(240660,10110115,'Decreases INT of target by 165.0',100,1,3),
(240661,10110115,'Decreases Attack Speed of target by 25.0',100,1,4),
(240662,10110115,'Increases Max Health of target by 14.0%',100,1,5),
(240663,10110115,'Increases Aggression of target by 17.5',100,1,6),
(240664,10110115,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,7),
(240665,121249,'Inflicts 594 - 727 heat damage on target encounter',100,1,0),
(240666,10121249,'Inflicts 713 - 872 heat damage on target encounter',100,1,0),
(240667,122732,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(240668,122732,'Increases Deflection of caster by 14.4',100,1,1),
(240669,10122732,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(240670,10122732,'Increases Deflection of caster by 14.4',100,1,1),
(240671,120323,'Increases Threat to target by 1,519 - 1,856 ',100,1,0),
(240672,10120323,'Forces target to change their selected target to caster.',100,1,0),
(240673,10120323,'Prevents target from changing targets',100,1,1),
(240674,124670,'Heals group members (AE) for 44 - 54 instantly and every 2 seconds',100,1,0),
(240675,10124670,'Heals group members (AE) for 29 - 35 instantly and every 2 seconds',100,1,0),
(240676,103389,'Inflicts 142 - 174 mental damage on target instantly and every 6 seconds',100,1,0),
(240677,103389,'Decreases power of target by 36 instantly and every 6 seconds',100,1,1),
(240678,103389,'Increases power of caster by 183',100,1,2),
(240679,10103389,'Inflicts 171 - 209 mental damage on target instantly and every 6 seconds',100,1,0),
(240680,10103389,'Decreases power of target by 36 instantly and every 6 seconds',100,1,1),
(240681,10103389,'Increases power of caster by 183',100,1,2),
(240682,113228,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(240683,113228,'Inflicts 157 magic damage on target',100,2,1),
(240684,113228,'Grants a total of 5 triggers of the spell.',100,2,2),
(240685,10113228,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(240686,10113228,'Inflicts 188 magic damage on target',100,2,1),
(240687,10113228,'Grants a total of 5 triggers of the spell.',100,2,2),
(240688,117677,'Decreases Mitigation of target vs physical damage by 572',100,1,0),
(240689,10117677,'Decreases Mitigation of target vs physical damage by 286',100,1,0),
(240690,104788,'Increases caster''s chance to block by 10.0%',100,1,0),
(240691,104788,'Decreases Attack Speed of caster by 12.6',100,1,1),
(240692,104788,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(240693,104788,'Increases Parry of caster by 9.4',100,1,3),
(240694,104788,'Increases Defense of caster by 9.4',100,1,4),
(240695,10104788,'Increases caster''s chance to block by 10.0%',100,1,0),
(240696,10104788,'Decreases Attack Speed of caster by 12.6',100,1,1),
(240697,10104788,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(240698,10104788,'Increases Parry of caster by 9.4',100,1,3),
(240699,10104788,'Increases Defense of caster by 9.4',100,1,4),
(240700,109241,'Increases INT and WIS of group members (AE) by 23.4',100,1,0),
(240701,109241,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 67',100,1,1),
(240702,10109241,'Increases INT and WIS of group members (AE) by 23.4',100,1,0),
(240703,10109241,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 67',100,1,1),
(240704,108641,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(240705,108641,'Heals target for 398',100,2,1),
(240706,108641,'Heals target for 99 every 2 seconds',100,2,2),
(240707,108641,'Increases AGI of target by 44.5',100,2,3),
(240708,108641,'Grants a total of 1 trigger of the spell.',100,2,4),
(240709,10108641,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(240710,10108641,'Heals target for 259',100,2,1),
(240711,10108641,'Heals target for 65 every 2 seconds',100,2,2),
(240712,10108641,'Increases AGI of target by 44.5',100,2,3),
(240713,10108641,'Grants a total of 1 trigger of the spell.',100,2,4),
(240714,109732,'Inflicts 251 - 420 cold damage on target',100,1,0),
(240715,109732,'If weapon equipped in Ranged',100,1,1),
(240716,10109732,'Inflicts 214 - 357 cold damage on target',100,1,0),
(240717,10109732,'If weapon equipped in Ranged',100,1,1),
(240718,115900,'Inflicts 42 - 52 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(240719,10115900,'Inflicts 66 - 81 disease damage on target encounter',100,1,0),
(240720,10115900,'Inflicts 51 - 62 disease damage on target encounter every 3 seconds',100,1,1),
(240721,41554,'When Equipped:',100,0,0),
(240722,41554,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240723,41554,'Inflicts 77 - 144 magic damage on target',100,2,2),
(240724,41554,'Decreases Threat to target by 352 ',100,2,3),
(240725,41554,'Must be flanking or behind',100,3,4),
(240726,41554,'Increases Threat to target by 357 ',100,2,5),
(240727,41554,'Must be in front of',100,3,6),
(240728,41554,'Cannot be modified except by direct means',100,2,7),
(240729,10041554,'When Equipped:',100,0,0),
(240730,10041554,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240731,10041554,'Inflicts 93 - 173 magic damage on target',100,2,2),
(240732,10041554,'Cannot be modified except by direct means',100,2,3),
(240733,113295,'Inflicts 91 - 152 heat damage on target',100,1,0),
(240734,10113295,'Inflicts 166 - 277 heat damage on target',100,1,0),
(240735,103101,'Increases STR of caster by 9.9',100,1,0),
(240736,103101,'Adds 2.7% to base avoidance.',100,1,1),
(240737,103101,'Increases Mitigation of caster vs physical damage by 66',100,1,2),
(240738,103101,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 178',100,1,3),
(240739,10103101,'Increases STR of caster by 9.9',100,1,0),
(240740,10103101,'Adds 2.7% to base avoidance.',100,1,1),
(240741,10103101,'Increases Mitigation of caster vs physical damage by 66',100,1,2),
(240742,10103101,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 178',100,1,3),
(240743,105151,'Increases AGI of caster by 23.4',100,1,0),
(240744,105151,'Adds 1.5% to base avoidance.',100,1,1),
(240745,105151,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(240746,105151,'Increases Parry of caster by 13.7',100,1,3),
(240747,105151,'Increases Defense of caster by 18.2',100,1,4),
(240748,10105151,'Increases AGI of caster by 23.4',100,1,0),
(240749,10105151,'Adds 1.5% to base avoidance.',100,1,1),
(240750,10105151,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(240751,10105151,'Increases Parry of caster by 13.7',100,1,3),
(240752,10105151,'Increases Defense of caster by 18.2',100,1,4),
(240753,52864,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(240754,52864,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(240755,52864,'Inflicts 17 heat damage on target',100,2,2),
(240756,52864,'Cannot be modified except by direct means',100,2,3),
(240757,10052864,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(240758,10052864,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(240759,10052864,'Inflicts 21 heat damage on target',100,2,2),
(240760,10052864,'Cannot be modified except by direct means',100,2,3),
(240761,124793,'Increases STR of caster by 71.6',100,1,0),
(240762,124793,'Decreases Defense of caster by 13.8',100,1,1),
(240763,124793,'Increases Crushing, Piercing, Slashing and Disruption of caster by 20.7',100,1,2),
(240764,10124793,'Increases STR of caster by 71.6',100,1,0),
(240765,10124793,'Decreases Defense of caster by 13.8',100,1,1),
(240766,10124793,'Increases Crushing, Piercing, Slashing and Disruption of caster by 20.7',100,1,2),
(240767,155136,'When Equipped:',100,0,0),
(240768,155136,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240769,155136,'Inflicts 1192 magic damage on target',100,2,2),
(240770,155136,'Cannot be modified except by direct means',100,2,3),
(240771,10155136,'When Equipped:',100,0,0),
(240772,10155136,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(240773,10155136,'Inflicts 715 magic damage on target',100,2,2),
(240774,10155136,'Cannot be modified except by direct means',100,2,3),
(240775,46763,'Applies Dev AE Slay when Activated.',100,0,0),
(240776,46763,'Inflicts 150.0% of max health in cold damage on target encounter',100,1,1),
(240777,10046763,'Applies Dev AE Slay when Activated.',100,0,0),
(240778,10046763,'Inflicts 180.0% of max health in cold damage on target encounter',100,1,1),
(240779,80425,'When Equipped:',100,0,0),
(240780,80425,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240781,80425,'Inflicts 45 - 84 magic damage on target',100,2,2),
(240782,80425,'Decreases Threat to target by 153 ',100,2,3),
(240783,80425,'Must be flanking or behind',100,3,4),
(240784,80425,'Increases Threat to target by 158 ',100,2,5),
(240785,80425,'Must be in front of',100,3,6),
(240786,80425,'Cannot be modified except by direct means',100,2,7),
(240787,10080425,'When Equipped:',100,0,0),
(240788,10080425,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240789,10080425,'Inflicts 54 - 100 magic damage on target',100,2,2),
(240790,10080425,'Cannot be modified except by direct means',100,2,3),
(240791,48213,'Applies Spirit of the Winged Viper when Activated.  Lasts for 30 minutes.',100,0,0),
(240792,48213,'Shapechanges caster into a flying snake',100,1,1),
(240793,48213,'Increases Out-of-Combat Power Regeneration of caster by 36.0',100,1,2),
(240794,48213,'This effect suspends during combat',100,1,3),
(240795,48213,'Only affects targets level 20 and above',100,1,4),
(240796,10048213,'Applies Spirit of the Winged Viper when Activated.  Lasts for 30 minutes.',100,0,0),
(240797,10048213,'Shapechanges caster into a flying snake',100,1,1),
(240798,10048213,'Increases Out-of-Combat Power Regeneration of caster by 36.0',100,1,2),
(240799,10048213,'This effect suspends during combat',100,1,3),
(240800,10048213,'Only affects targets level 20 and above',100,1,4),
(240801,84260,'Applies Mental Blast when Activated.',100,0,0),
(240802,84260,'Inflicts 218 - 364 mental damage on target',100,1,1),
(240803,84260,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240804,10084260,'Applies Mental Blast when Activated.',100,0,0),
(240805,10084260,'Inflicts 262 - 436 mental damage on target',100,1,1),
(240806,10084260,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240807,121775,'Heals target for 86 - 105',100,1,0),
(240808,121775,'Heals target for 14 - 18 every second',100,1,1),
(240809,10121775,'Heals target for 149 - 183',100,1,0),
(240810,10121775,'Heals target for 12 - 15 every second',100,1,1),
(240811,169166,'When Equipped:',100,0,0),
(240812,169166,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(240813,169166,'Increases Threat to target by 30 ',100,2,2),
(240814,169166,'Cannot be modified except by direct means',100,2,3),
(240815,10169166,'When Equipped:',100,0,0),
(240816,10169166,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(240817,10169166,'Cannot be modified except by direct means',100,2,2),
(240818,106943,'Inflicts 149 - 277 poison damage on target',100,1,0),
(240819,10106943,'Inflicts 179 - 333 poison damage on target',100,1,0),
(240820,71247,'When Equipped:',100,0,0),
(240821,71247,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(240822,71247,'Inflicts 225 cold damage on target',100,2,2),
(240823,71247,'Cannot be modified except by direct means',100,2,3),
(240824,71247,'Cannot be modified except by direct means',100,1,4),
(240825,10071247,'When Equipped:',100,0,0),
(240826,10071247,'On any combat or spell hit this spell may cast Bite of Rime on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(240827,10071247,'Inflicts 270 cold damage on target',100,2,2),
(240828,10071247,'Cannot be modified except by direct means',100,2,3),
(240829,10071247,'Cannot be modified except by direct means',100,1,4),
(240830,45228,'Applies Seal when Activated.',100,0,0),
(240831,45228,'Updates a specific part of the Quest \"Closing the Gaps\"',100,1,1),
(240832,10045228,'Applies Seal when Activated.',100,0,0),
(240833,10045228,'Updates a specific part of the Quest \"Closing the Gaps\"',100,1,1),
(240834,107600,'Dazes target encounter',100,1,0),
(240835,107600,'Inflicts 356 - 436 mental damage on target encounter',100,1,1),
(240836,107600,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(240837,107600,'Resistibility increases against targets higher than level 107.',100,1,3),
(240838,10107600,'Dazes target encounter',100,1,0),
(240839,10107600,'Inflicts 428 - 523 mental damage on target encounter',100,1,1),
(240840,10107600,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(240841,10107600,'Resistibility increases against targets higher than level 107.',100,1,3),
(240842,108586,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(240843,108586,'Heals group members (AE) for 59 - 73 instantly and every 3 seconds',100,2,1),
(240844,108586,'Increases STR, AGI, INT and WIS of group members (AE) by 21.2',100,2,2),
(240845,108586,'Increases STA of group members (AE) by 42.4',100,2,3),
(240846,108586,'Adds 0.6% to base avoidance.',100,2,4),
(240847,108586,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 54',100,2,5),
(240848,10108586,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(240849,10108586,'Heals group members (AE) for 39 - 47 instantly and every 3 seconds',100,2,1),
(240850,10108586,'Increases STR, AGI, INT and WIS of group members (AE) by 21.2',100,2,2),
(240851,10108586,'Increases STA of group members (AE) by 42.4',100,2,3),
(240852,10108586,'Adds 0.6% to base avoidance.',100,2,4),
(240853,10108586,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 54',100,2,5),
(240854,116117,'Inflicts 10 - 17 divine damage on target',100,1,0),
(240855,116117,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(240856,116117,'Stuns target',100,2,2),
(240857,116117,'Throws target back',100,2,3),
(240858,116117,'Blurs vision of target',100,2,4),
(240859,116117,'Does not affect Epic targets',100,2,5),
(240860,10116117,'Inflicts 12 - 21 divine damage on target',100,1,0),
(240861,10116117,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(240862,10116117,'Stuns target',100,2,2),
(240863,10116117,'Throws target back',100,2,3),
(240864,10116117,'Blurs vision of target',100,2,4),
(240865,10116117,'Does not affect Epic targets',100,2,5),
(240866,105329,'Inflicts 106 - 178 melee damage on target',100,1,0),
(240867,105329,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 214',100,1,1),
(240868,105329,'Must be flanking or behind',100,1,2),
(240869,10105329,'Inflicts 128 - 213 melee damage on target',100,1,0),
(240870,10105329,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 214',100,1,1),
(240871,10105329,'Must be flanking or behind',100,1,2),
(240872,84000,'Applies Lightning Shock when Activated.',100,0,0),
(240873,84000,'Inflicts 507 - 846 magic damage on target',100,1,1),
(240874,84000,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240875,10084000,'Applies Lightning Shock when Activated.',100,0,0),
(240876,10084000,'Inflicts 609 - 1015 magic damage on target',100,1,1),
(240877,10084000,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(240878,114954,'Decreases Attack Speed of target by 7.8',100,1,0),
(240879,114954,'Inflicts 19 - 58 slashing damage on target',100,1,1),
(240880,114954,'Inflicts 39 slashing damage on target instantly and every 4 seconds',100,1,2),
(240881,10114954,'Decreases Attack Speed of target by 7.8',100,1,0),
(240882,10114954,'Inflicts 23 - 69 slashing damage on target',100,1,1),
(240883,10114954,'Inflicts 47 slashing damage on target instantly and every 4 seconds',100,1,2),
(240884,122235,'Increases Damage Per Second of target by 34.1',100,1,0),
(240885,122235,'Increases Max Health of target by 1,272.6',100,1,1),
(240886,10122235,'Increases Damage Per Second of target by 34.1',100,1,0),
(240887,10122235,'Increases Max Health of target by 1,272.6',100,1,1),
(240888,101912,'Inflicts 10 piercing damage on target instantly and every 4 seconds',100,1,0),
(240889,101912,'Inflicts 28 - 47 melee damage on target',100,1,1),
(240890,101912,'Must be behind',100,1,2),
(240891,10101912,'Inflicts 11 piercing damage on target instantly and every 4 seconds',100,1,0),
(240892,10101912,'Inflicts 34 - 57 melee damage on target',100,1,1),
(240893,10101912,'Must be behind',100,1,2),
(240894,105093,'Inflicts 157 - 212 magic damage on target',100,1,0),
(240895,10105093,'Inflicts 188 - 254 magic damage on target',100,1,0),
(240896,81900,'When Equipped:',100,0,0),
(240897,81900,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240898,81900,'Inflicts 166 - 308 magic damage on target',100,2,2),
(240899,81900,'Decreases Threat to target by 801 ',100,2,3),
(240900,81900,'Must be flanking or behind',100,3,4),
(240901,81900,'Increases Threat to target by 806 ',100,2,5),
(240902,81900,'Must be in front of',100,3,6),
(240903,81900,'Cannot be modified except by direct means',100,2,7),
(240904,10081900,'When Equipped:',100,0,0),
(240905,10081900,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240906,10081900,'Inflicts 199 - 370 magic damage on target',100,2,2),
(240907,10081900,'Cannot be modified except by direct means',100,2,3),
(240908,51654,'When Equipped:',100,0,0),
(240909,51654,'On a hostile spell hit this spell may cast Anterograde Amnesia on caster.  Lasts for 6.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(240910,51654,'Prevents AOE (except when direct) ',100,2,2),
(240911,51654,'Decreases Hate Gain of caster by 50.0%',100,2,3),
(240912,51654,'Must not be engaged in pvp combat',100,2,4),
(240913,51654,'Cannot be modified except by direct means',100,2,5),
(240914,10051654,'When Equipped:',100,0,0),
(240915,10051654,'On a hostile spell hit this spell may cast Anterograde Amnesia on caster.  Lasts for 6.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(240916,10051654,'Prevents AOE (except when direct) ',100,2,2),
(240917,10051654,'Must not be engaged in pvp combat',100,2,3),
(240918,10051654,'Cannot be modified except by direct means',100,2,4),
(240919,119617,'Inflicts 935 - 1558 mental damage on targets in Area of Effect',100,1,0),
(240920,119617,'Stuns targets in Area of Effect',100,1,1),
(240921,119617,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(240922,119617,'Resistibility increases against targets higher than level 99.',100,1,3),
(240923,10119617,'Inflicts 1121 - 1869 mental damage on targets in Area of Effect',100,1,0),
(240924,10119617,'Stuns targets in Area of Effect',100,1,1),
(240925,10119617,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(240926,10119617,'Resistibility increases against targets higher than level 99.',100,1,3),
(240927,80435,'When Equipped:',100,0,0),
(240928,80435,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240929,80435,'Inflicts 45 - 84 magic damage on target',100,2,2),
(240930,80435,'Decreases Threat to target by 153 ',100,2,3),
(240931,80435,'Must be flanking or behind',100,3,4),
(240932,80435,'Increases Threat to target by 158 ',100,2,5),
(240933,80435,'Must be in front of',100,3,6),
(240934,80435,'Cannot be modified except by direct means',100,2,7),
(240935,10080435,'When Equipped:',100,0,0),
(240936,10080435,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(240937,10080435,'Inflicts 54 - 100 magic damage on target',100,2,2),
(240938,10080435,'Cannot be modified except by direct means',100,2,3),
(240939,36009,'Increases STR of target by 1.5',100,0,0),
(240940,36009,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(240941,115339,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(240942,115339,'Makes target afraid',100,2,1),
(240943,115339,'Slows target by 42.2%',100,2,2),
(240944,115339,'30% chance to dispel when target takes damage',100,2,3),
(240945,115339,'Does not affect Epic targets',100,2,4),
(240946,115339,'Resistibility increases against targets higher than level 90.',100,2,5),
(240947,115339,'Roots target',100,1,6),
(240948,115339,'15% chance to dispel when target takes damage',100,1,7),
(240949,115339,'Does not affect Epic targets',100,1,8),
(240950,115339,'Resistibility increases against targets higher than level 90.',100,1,9),
(240951,10115339,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(240952,10115339,'Makes target afraid',100,2,1),
(240953,10115339,'Slows target by 42.2%',100,2,2),
(240954,10115339,'30% chance to dispel when target takes damage',100,2,3),
(240955,10115339,'Does not affect Epic targets',100,2,4),
(240956,10115339,'Resistibility increases against targets higher than level 90.',100,2,5),
(240957,10115339,'Roots target',100,1,6),
(240958,10115339,'15% chance to dispel when target takes damage',100,1,7),
(240959,10115339,'Does not affect Epic targets',100,1,8),
(240960,10115339,'Resistibility increases against targets higher than level 90.',100,1,9),
(240961,106416,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(240962,106416,'Inflicts 275 - 337 mental damage on target',100,2,1),
(240963,106416,'Grants a total of 3 triggers of the spell.',100,2,2),
(240964,10106416,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(240965,10106416,'Inflicts 330 - 404 mental damage on target',100,2,1),
(240966,10106416,'Grants a total of 3 triggers of the spell.',100,2,2),
(240967,110359,'Increases STR and AGI of group members (AE) by 9.0',100,1,0),
(240968,110359,'Adds 1.5% to base avoidance.',100,1,1),
(240969,10110359,'Increases STR and AGI of group members (AE) by 9.0',100,1,0),
(240970,10110359,'Adds 1.5% to base avoidance.',100,1,1),
(240971,159319,'Applies Sanguine Imbued when Equipped.',100,0,0),
(240972,159319,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(240973,159319,'Inflicts 119 heat damage on target',100,2,2),
(240974,159319,'Cannot be modified except by direct means',100,2,3),
(240975,10159319,'Applies Sanguine Imbued when Equipped.',100,0,0),
(240976,10159319,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(240977,10159319,'Inflicts 142 heat damage on target',100,2,2),
(240978,10159319,'Cannot be modified except by direct means',100,2,3),
(240979,26103,'When Equipped:',100,0,0),
(240980,26103,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(240981,26103,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(240982,10026103,'When Equipped:',100,0,0),
(240983,10026103,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(240984,10026103,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(240985,37567,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(240986,102676,'Inflicts 254 divine damage on target encounter',100,1,0),
(240987,10102676,'Inflicts 305 divine damage on target encounter',100,1,0),
(240988,114813,'Decreases WIS of target by 104.7',100,1,0),
(240989,114813,'Increases WIS and STA of caster by 104.7',100,1,1),
(240990,114813,'Decreases Max Health of target by 1.4%',100,1,2),
(240991,114813,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 336',100,1,3),
(240992,114813,'Only affects targets level 17 and above',100,1,4),
(240993,10114813,'Decreases WIS of target by 104.7',100,1,0),
(240994,10114813,'Increases WIS and STA of caster by 104.7',100,1,1),
(240995,10114813,'Decreases Max Health of target by 1.4%',100,1,2),
(240996,10114813,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 336',100,1,3),
(240997,10114813,'Only affects targets level 17 and above',100,1,4),
(240998,102672,'Inflicts 138 divine damage on target encounter',100,1,0),
(240999,10102672,'Inflicts 165 divine damage on target encounter',100,1,0),
(241000,103102,'Increases STR of caster by 10.4',100,1,0),
(241001,103102,'Adds 2.8% to base avoidance.',100,1,1),
(241002,103102,'Increases Mitigation of caster vs physical damage by 70',100,1,2),
(241003,103102,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 187',100,1,3),
(241004,10103102,'Increases STR of caster by 10.4',100,1,0),
(241005,10103102,'Adds 2.8% to base avoidance.',100,1,1),
(241006,10103102,'Increases Mitigation of caster vs physical damage by 70',100,1,2),
(241007,10103102,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 187',100,1,3),
(241008,121004,'Inflicts 22 - 37 poison damage on target instantly and every 4 seconds',100,1,0),
(241009,121004,'Inflicts 89 - 149 poison damage on target',100,1,1),
(241010,10121004,'Inflicts 27 - 45 poison damage on target instantly and every 4 seconds',100,1,0),
(241011,10121004,'Inflicts 107 - 179 poison damage on target',100,1,1),
(241012,43355,'When Equipped:',100,0,0),
(241013,43355,'On a ranged hit this spell may cast Putrid Decay on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241014,43355,'Inflicts 320 - 534 poison damage on target',100,2,2),
(241015,43355,'Cannot be modified except by direct means',100,2,3),
(241016,10043355,'When Equipped:',100,0,0),
(241017,10043355,'On a ranged hit this spell may cast Putrid Decay on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241018,10043355,'Inflicts 384 - 640 poison damage on target',100,2,2),
(241019,10043355,'Cannot be modified except by direct means',100,2,3),
(241020,102321,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(241021,102321,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(241022,102321,'Decreases threat priority of target encounter by 1 position',100,2,2),
(241023,102321,'Decreases Threat to target encounter by 385 ',100,2,3),
(241024,102321,'Grants a total of 3 triggers of the spell.',100,2,4),
(241025,102321,'If profession other than Fighter',100,1,5),
(241026,10102321,'Reduces all damage done to target by 50.75% This spell will absorb a total of 3 attacks.',100,1,0),
(241027,10102321,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(241028,10102321,'Forces target to clear their selected target.',100,2,2),
(241029,10102321,'Target cannot target caster for the duration of this effect.',100,2,3),
(241030,10102321,'Grants a total of 3 triggers of the spell.',100,2,4),
(241031,10102321,'If profession other than Fighter',100,1,5),
(241032,116262,'Summons a pet Illusion Ally',100,1,0),
(241033,10116262,'Summons a pet Illusion Ally',100,1,0),
(241034,71948,'When Equipped:',100,0,0),
(241035,71948,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241036,71948,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(241037,71948,'Cannot be modified except by direct means',100,2,3),
(241038,10071948,'When Equipped:',100,0,0),
(241039,10071948,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241040,10071948,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(241041,10071948,'Cannot be modified except by direct means',100,2,3),
(241042,104681,'Decreases Mitigation of target vs all damage by 437',100,1,0),
(241043,10104681,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 437',100,1,0),
(241044,10104681,'Decreases Mitigation of target vs physical damage by 364',100,1,1),
(241045,71740,'When Equipped:',100,0,0),
(241046,71740,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241047,71740,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(241048,71740,'Cannot be modified except by direct means',100,2,3),
(241049,10071740,'When Equipped:',100,0,0),
(241050,10071740,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241051,10071740,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(241052,10071740,'Cannot be modified except by direct means',100,2,3),
(241053,149143,'When Equipped:',100,0,0),
(241054,149143,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(241055,10149143,'When Equipped:',100,0,0),
(241056,10149143,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(241057,159248,'Applies Lambent Imbued when Equipped.',100,0,0),
(241058,159248,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(241059,159248,'Heals target for 70 instantly and every 4 seconds',100,2,2),
(241060,159248,'Cannot be modified except by direct means',100,2,3),
(241061,10159248,'Applies Lambent Imbued when Equipped.',100,0,0),
(241062,10159248,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(241063,10159248,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(241064,10159248,'Cannot be modified except by direct means',100,2,3),
(241065,71516,'When Equipped:',100,0,0),
(241066,71516,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241067,71516,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(241068,71516,'Cannot be modified except by direct means',100,2,3),
(241069,10071516,'When Equipped:',100,0,0),
(241070,10071516,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241071,10071516,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(241072,10071516,'Cannot be modified except by direct means',100,2,3),
(241073,74995,'When Equipped:',100,0,0),
(241074,74995,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241075,74995,'Inflicts 24 - 37 magic damage on target',100,2,2),
(241076,74995,'Cannot be modified except by direct means',100,2,3),
(241077,10074995,'When Equipped:',100,0,0),
(241078,10074995,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241079,10074995,'Inflicts 29 - 44 magic damage on target',100,2,2),
(241080,10074995,'Cannot be modified except by direct means',100,2,3),
(241081,132226,'When Equipped:',100,0,0),
(241082,132226,'On a hit this spell may cast Precision Strikes on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241083,132226,'Increases Crit Chance of caster by 25.0',100,2,2),
(241084,132226,'Cannot be modified except by direct means',100,2,3),
(241085,10132226,'When Equipped:',100,0,0),
(241086,10132226,'On a hit this spell may cast Precision Strikes on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241087,10132226,'Increases Crit Chance of caster by 25.0',100,2,2),
(241088,10132226,'Cannot be modified except by direct means',100,2,3),
(241089,108845,'Inflicts 61 - 102 melee damage on target',100,1,0),
(241090,108845,'Inflicts 61 - 102 melee damage on target',100,1,1),
(241091,108845,'Inflicts 61 - 102 melee damage on target',100,1,2),
(241092,108845,'Inflicts 61 - 102 melee damage on target',100,1,3),
(241093,108845,'Inflicts 61 - 102 melee damage on target',100,1,4),
(241094,10108845,'Inflicts 73 - 122 melee damage on target',100,1,0),
(241095,10108845,'Inflicts 73 - 122 melee damage on target',100,1,1),
(241096,10108845,'Inflicts 73 - 122 melee damage on target',100,1,2),
(241097,10108845,'Inflicts 73 - 122 melee damage on target',100,1,3),
(241098,10108845,'Inflicts 73 - 122 melee damage on target',100,1,4),
(241099,119357,'Inflicts 160 - 240 disease damage on target',100,1,0),
(241100,119357,'Inflicts 64 - 96 disease damage on target every 4 seconds',100,1,1),
(241101,10119357,'Inflicts 192 - 288 disease damage on target',100,1,0),
(241102,10119357,'Inflicts 77 - 115 disease damage on target every 4 seconds',100,1,1),
(241103,152439,'When Equipped:',100,0,0),
(241104,152439,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(241105,10152439,'When Equipped:',100,0,0),
(241106,10152439,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(241107,71771,'When Equipped:',100,0,0),
(241108,71771,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241109,71771,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(241110,71771,'Cannot be modified except by direct means',100,2,3),
(241111,10071771,'When Equipped:',100,0,0),
(241112,10071771,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241113,10071771,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(241114,10071771,'Cannot be modified except by direct means',100,2,3),
(241115,186151,'When Equipped:',100,0,0),
(241116,186151,'Increases Spell Reuse Speed of caster by 1.5%',100,1,1),
(241117,186151,'Increases Potency of caster by 1.5%',100,1,2),
(241118,186151,'Must not be engaged in pvp combat',100,1,3),
(241119,10186151,'When Equipped:',100,0,0),
(241120,10186151,'Increases Spell Reuse Speed of caster by 1.5%',100,1,1),
(241121,10186151,'Increases Potency of caster by 1.5%',100,1,2),
(241122,10186151,'Must not be engaged in pvp combat',100,1,3),
(241123,36198,'Increases STR of target by 1.5',100,0,0),
(241124,36198,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(241125,24118,'Adds Clockwork Bixie (Ranger) to your Dungeon Maker toolbox',100,0,0),
(241126,10024118,'Adds Clockwork Bixie (Ranger) to your Dungeon Maker toolbox',100,0,0),
(241127,123568,'Increases STR of group members (AE) by 23.4',100,1,0),
(241128,123568,'Increases Max Health of group members (AE) by 180.9',100,1,1),
(241129,10123568,'Increases STR of group members (AE) by 23.4',100,1,0),
(241130,10123568,'Increases Max Health of group members (AE) by 180.9',100,1,1),
(241131,106735,'Heals target for 559 - 683',100,1,0),
(241132,10106735,'Heals target for 657 - 803',100,1,0),
(241133,177495,'When Equipped:',100,0,0),
(241134,177495,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(241135,177495,'Increases AGI of caster by 5.8',100,2,2),
(241136,177495,'Increases Attack Speed of caster by 11.5',100,2,3),
(241137,177495,'Cannot be modified except by direct means',100,2,4),
(241138,10177495,'When Equipped:',100,0,0),
(241139,10177495,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(241140,10177495,'Increases AGI of caster by 5.8',100,2,2),
(241141,10177495,'Increases Attack Speed of caster by 11.5',100,2,3),
(241142,10177495,'Cannot be modified except by direct means',100,2,4),
(241143,187468,'When Equipped:',100,0,0),
(241144,187468,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(241145,187468,'This effect will not stack with any rank or tier of itself.',100,1,2),
(241146,187468,'Cannot be modified except by direct means',100,1,3),
(241147,10187468,'When Equipped:',100,0,0),
(241148,10187468,'Increases Crit Bonus of caster by 2.0%',100,1,1),
(241149,10187468,'This effect will not stack with any rank or tier of itself.',100,1,2),
(241150,10187468,'Cannot be modified except by direct means',100,1,3),
(241151,112140,'Dispels 107 levels of physical and arcane hostile effects on caster',100,1,0),
(241152,10112140,'Dispels 107 levels of physical and arcane hostile effects on caster',100,1,0),
(241153,109958,'Inflicts 228 - 343 disease damage on targets in Area of Effect',100,1,0),
(241154,109958,'Inflicts 114 - 171 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(241155,109958,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(241156,109958,'Increases Threat to targets in Area of Effect by 873 - 1,066  instantly and every 4 seconds thereafter',100,1,3),
(241157,10109958,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(241158,10109958,'Prevents target from changing targets',100,2,1),
(241159,10109958,'Forces target to change their selected target to caster.',100,2,2),
(241160,10109958,'Inflicts 274 - 411 disease damage on targets in Area of Effect',100,1,3),
(241161,10109958,'Inflicts 137 - 206 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(241162,36751,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(241163,101987,'Inflicts 1633 - 3032 heat damage on target',100,1,0),
(241164,10101987,'Inflicts 1959 - 3639 heat damage on target',100,1,0),
(241165,175251,'When Equipped:',100,0,0),
(241166,175251,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(241167,175251,'Heals group members (AE) for 372 - 454',100,2,2),
(241168,175251,'Heals group members (AE) for 80 - 97 every 2 seconds',100,2,3),
(241169,175251,'Must not be engaged in pvp combat',100,2,4),
(241170,175251,'Cannot be modified except by direct means',100,2,5),
(241171,175251,'Cannot be modified except by direct means',100,1,6),
(241172,10175251,'When Equipped:',100,0,0),
(241173,10175251,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(241174,10175251,'Heals group members (AE) for 242 - 295',100,2,2),
(241175,10175251,'Heals group members (AE) for 52 - 63 every 2 seconds',100,2,3),
(241176,10175251,'Must not be engaged in pvp combat',100,2,4),
(241177,10175251,'Cannot be modified except by direct means',100,2,5),
(241178,10175251,'Cannot be modified except by direct means',100,1,6),
(241179,112051,'Roots target',100,1,0),
(241180,112051,'Stifles target',100,1,1),
(241181,112051,'If Target is not Epic',100,2,2),
(241182,112051,'20% chance to dispel when target takes damage',100,1,3),
(241183,112051,'Does not affect Epic targets',100,1,4),
(241184,112051,'Resistibility increases against targets higher than level 116.',100,1,5),
(241185,10112051,'Roots target',100,1,0),
(241186,10112051,'Stifles target',100,1,1),
(241187,10112051,'If Target is not Epic',100,2,2),
(241188,10112051,'20% chance to dispel when target takes damage',100,1,3),
(241189,10112051,'Does not affect Epic targets',100,1,4),
(241190,10112051,'Resistibility increases against targets higher than level 116.',100,1,5),
(241191,139547,'When Equipped:',100,0,0),
(241192,139547,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241193,139547,'Decreases power of target by 152',100,2,2),
(241194,139547,'Increases power of caster by 101',100,2,3),
(241195,139547,'Cannot be modified except by direct means',100,2,4),
(241196,139547,'When Equipped:',100,0,5),
(241197,139547,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(241198,139547,'Increases Multi Attack Chance of caster by 15.0',100,2,7),
(241199,139547,'Cannot be modified except by direct means',100,2,8),
(241200,10139547,'When Equipped:',100,0,0),
(241201,10139547,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241202,10139547,'Decreases power of target by 152',100,2,2),
(241203,10139547,'Increases power of caster by 101',100,2,3),
(241204,10139547,'Cannot be modified except by direct means',100,2,4),
(241205,10139547,'When Equipped:',100,0,5),
(241206,10139547,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(241207,10139547,'Increases Multi Attack Chance of caster by 15.0',100,2,7),
(241208,10139547,'Cannot be modified except by direct means',100,2,8),
(241209,118540,'Inflicts 298 - 496 melee damage on target',100,1,0),
(241210,118540,'Decreases STR of target by 46.9',100,1,1),
(241211,118540,'You must be sneaking to use this ability.',100,1,2),
(241212,10118540,'Inflicts 357 - 596 melee damage on target',100,1,0),
(241213,10118540,'Decreases STR of target by 46.9',100,1,1),
(241214,10118540,'You must be sneaking to use this ability.',100,1,2),
(241215,111363,'Inflicts 116 - 194 disease damage on target',100,1,0),
(241216,111363,'Heals caster for 78 - 129',100,1,1),
(241217,10111363,'Inflicts 140 - 233 disease damage on target',100,1,0),
(241218,10111363,'Heals caster for 50 - 84',100,1,1),
(241219,108135,'Increases Attack Speed of caster by 34.9',100,1,0),
(241220,10108135,'Increases Attack Speed of caster by 34.9',100,1,0),
(241221,87170,'When Equipped:',100,0,0),
(241222,87170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241223,87170,'Inflicts 41 - 62 magic damage on target',100,2,2),
(241224,87170,'Cannot be modified except by direct means',100,2,3),
(241225,10087170,'When Equipped:',100,0,0),
(241226,10087170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241227,10087170,'Inflicts 49 - 74 magic damage on target',100,2,2),
(241228,10087170,'Cannot be modified except by direct means',100,2,3),
(241229,162632,'When Equipped:',100,0,0),
(241230,162632,'Increases Attack Speed of caster by 10.0',100,1,1),
(241231,10162632,'When Equipped:',100,0,0),
(241232,10162632,'Increases Attack Speed of caster by 10.0',100,1,1),
(241233,102229,'Increases Max Health of group members (AE) by 482.3',100,1,0),
(241234,10102229,'Increases Max Health of group members (AE) by 482.3',100,1,0),
(241235,104586,'Inflicts 377 - 629 disease damage on target',100,1,0),
(241236,104586,'Decreases WIS of target by 128.9',100,1,1),
(241237,10104586,'Inflicts 453 - 755 disease damage on target',100,1,0),
(241238,10104586,'Decreases WIS of target by 128.9',100,1,1),
(241239,47215,'Applies Elixir of the Devout  when Activated.  Lasts for 30 minutes.',100,0,0),
(241240,47215,'Increases STR and STA of caster by 23.3',100,1,1),
(241241,10047215,'Applies Elixir of the Devout  when Activated.  Lasts for 30 minutes.',100,0,0),
(241242,10047215,'Increases STR and STA of caster by 23.3',100,1,1),
(241243,108311,'Inflicts 96 - 160 divine damage on target',100,1,0),
(241244,108311,'Heals caster for 1.2% of max health',100,1,1),
(241245,108311,'This effect cannot be critically applied.',100,2,2),
(241246,108311,'The healing of this spell cannot be modified except by direct means',100,1,3),
(241247,10108311,'Inflicts 115 - 192 divine damage on target',100,1,0),
(241248,10108311,'Heals caster for 0.6% of max health',100,1,1),
(241249,10108311,'This effect cannot be critically applied.',100,2,2),
(241250,10108311,'The healing of this spell cannot be modified except by direct means',100,1,3),
(241251,121776,'Heals target for 91 - 111',100,1,0),
(241252,121776,'Heals target for 15 - 18 every second',100,1,1),
(241253,10121776,'Heals target for 157 - 192',100,1,0),
(241254,10121776,'Heals target for 13 - 16 every second',100,1,1),
(241255,100530,'Heals group members (AE) for 228 - 279',100,1,0),
(241256,10100530,'Heals group members (AE) for 277 - 339',100,1,0),
(241257,76837,'Applies Artisan''s Escape when Activated.',100,0,0),
(241258,76837,'Teleports caster within the zone',100,1,1),
(241259,76837,'Must not be engaged in combat',100,2,2),
(241260,76837,'Must not be engaged in pvp combat',100,2,3),
(241261,76837,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(241262,10076837,'Applies Artisan''s Escape when Activated.',100,0,0),
(241263,10076837,'Teleports caster within the zone',100,1,1),
(241264,10076837,'Must not be engaged in combat',100,2,2),
(241265,10076837,'Must not be engaged in pvp combat',100,2,3),
(241266,10076837,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(241267,24291,'Adds Dire Bear (Guardian) to your Dungeon Maker toolbox',100,0,0),
(241268,10024291,'Adds Dire Bear (Guardian) to your Dungeon Maker toolbox',100,0,0),
(241269,80403,'When Equipped:',100,0,0),
(241270,80403,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(241271,80403,'Inflicts 45 - 84 magic damage on target',100,2,2),
(241272,80403,'Decreases Threat to target by 153 ',100,2,3),
(241273,80403,'Must be flanking or behind',100,3,4),
(241274,80403,'Increases Threat to target by 158 ',100,2,5),
(241275,80403,'Must be in front of',100,3,6),
(241276,80403,'Cannot be modified except by direct means',100,2,7),
(241277,10080403,'When Equipped:',100,0,0),
(241278,10080403,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(241279,10080403,'Inflicts 54 - 100 magic damage on target',100,2,2),
(241280,10080403,'Cannot be modified except by direct means',100,2,3),
(241281,90422,'Applies Summoner''s Soothing (Pet Only) when Activated.',100,0,0),
(241282,90422,'Heals target for 40.0% of max health',100,1,1),
(241283,90422,'The casting time of Summoner''s Soothing (Pet Only) is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(241284,10090422,'Applies Summoner''s Soothing (Pet Only) when Activated.',100,0,0),
(241285,10090422,'Heals target for 26.0% of max health',100,1,1),
(241286,10090422,'The casting time of Summoner''s Soothing (Pet Only) is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(241287,134076,'When Equipped:',100,0,0),
(241288,134076,'Grants See Invisibility to caster',100,1,1),
(241289,10134076,'When Equipped:',100,0,0),
(241290,10134076,'Grants See Invisibility to caster',100,1,1),
(241291,35654,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(241292,81372,'When Equipped:',100,0,0),
(241293,81372,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(241294,81372,'Inflicts 77 - 144 magic damage on target',100,2,2),
(241295,81372,'Decreases Threat to target by 352 ',100,2,3),
(241296,81372,'Must be flanking or behind',100,3,4),
(241297,81372,'Increases Threat to target by 357 ',100,2,5),
(241298,81372,'Must be in front of',100,3,6),
(241299,81372,'Cannot be modified except by direct means',100,2,7),
(241300,10081372,'When Equipped:',100,0,0),
(241301,10081372,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(241302,10081372,'Inflicts 93 - 173 magic damage on target',100,2,2),
(241303,10081372,'Cannot be modified except by direct means',100,2,3),
(241304,124547,'Dispels 107 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(241305,10124547,'Dispels 107 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(241306,110906,'Inflicts 12 - 20 divine damage on target',100,1,0),
(241307,110906,'Increases Threat to target by 135 ',100,1,1),
(241308,110906,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(241309,110906,'Stuns target',100,2,3),
(241310,110906,'Throws target back',100,2,4),
(241311,110906,'Blurs vision of target',100,2,5),
(241312,110906,'Does not affect Epic targets',100,2,6),
(241313,10110906,'Inflicts 14 - 24 divine damage on target',100,1,0),
(241314,10110906,'Prevents target from changing targets',100,1,1),
(241315,10110906,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(241316,10110906,'Stuns target',100,2,3),
(241317,10110906,'Throws target back',100,2,4),
(241318,10110906,'Blurs vision of target',100,2,5),
(241319,10110906,'Does not affect Epic targets',100,2,6),
(241320,10110906,'Forces target to change their selected target to caster.',100,1,7),
(241321,100173,'Inflicts 529 - 983 disease damage on target encounter',100,1,0),
(241322,10100173,'Inflicts 635 - 1179 disease damage on target encounter',100,1,0),
(241323,110881,'Inflicts 277 - 339 heat damage on target encounter',100,1,0),
(241324,10110881,'Inflicts 333 - 407 heat damage on target encounter',100,1,0),
(241325,114871,'Decreases AGI of target by 55.2',100,1,0),
(241326,114871,'Decreases Defense of target by 21.1',100,1,1),
(241327,10114871,'Decreases AGI of target by 55.2',100,1,0),
(241328,10114871,'Decreases Defense of target by 21.1',100,1,1),
(241329,48454,'Applies Thinning Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(241330,48454,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(241331,48454,'Decreases Attack Speed of target by 24.6',100,2,2),
(241332,48454,'Cannot be modified except by direct means',100,2,3),
(241333,48454,'Grants a total of 30 triggers of the spell.',100,2,4),
(241334,48454,'Only affects targets level 50 and above',100,1,5),
(241335,10048454,'Applies Thinning Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(241336,10048454,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(241337,10048454,'Decreases Attack Speed of target by 24.6',100,2,2),
(241338,10048454,'Cannot be modified except by direct means',100,2,3),
(241339,10048454,'Grants a total of 30 triggers of the spell.',100,2,4),
(241340,10048454,'Only affects targets level 50 and above',100,1,5),
(241341,107113,'Inflicts 566 - 692 divine damage on target',100,1,0),
(241342,10107113,'Inflicts 680 - 831 divine damage on target',100,1,0),
(241343,124463,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(241344,124463,'Inflicts 278 - 463 melee damage on target',100,2,1),
(241345,124463,'Decreases Defense of caster by 25.8',100,1,2),
(241346,124463,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.9',100,1,3),
(241347,10124463,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(241348,10124463,'Inflicts 333 - 556 melee damage on target',100,2,1),
(241349,10124463,'Decreases Defense of caster by 25.8',100,1,2),
(241350,10124463,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.9',100,1,3),
(241351,102273,'Inflicts 295 - 492 melee damage on targets in area',100,1,0),
(241352,10102273,'Inflicts 354 - 590 melee damage on targets in area',100,1,0),
(241353,100860,'Wards target against 2100 points of all damage',100,1,0),
(241354,10100860,'Wards target against 3232 points of all damage',100,1,0),
(241355,117353,'Roots target',100,1,0),
(241356,117353,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(241357,117353,'Slows target by 62.4%',100,2,2),
(241358,117353,'5% chance to dispel when target receives hostile action',100,2,3),
(241359,117353,'5% chance to dispel when target takes damage',100,2,4),
(241360,117353,'15% chance to dispel when target takes damage',100,1,5),
(241361,117353,'Does not affect Epic targets',100,1,6),
(241362,117353,'Resistibility increases against targets higher than level 102.',100,1,7),
(241363,10117353,'Roots target',100,1,0),
(241364,10117353,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(241365,10117353,'Slows target by 62.4%',100,2,2),
(241366,10117353,'10% chance to dispel when target receives hostile action',100,2,3),
(241367,10117353,'10% chance to dispel when target takes damage',100,2,4),
(241368,10117353,'15% chance to dispel when target takes damage',100,1,5),
(241369,10117353,'Does not affect Epic targets',100,1,6),
(241370,10117353,'Resistibility increases against targets higher than level 102.',100,1,7),
(241371,48695,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(241372,48695,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(241373,48695,'Inflicts 72 poison damage on target',100,2,2),
(241374,48695,'Inflicts 190 poison damage on target instantly and every 6 seconds',100,2,3),
(241375,48695,'Cannot be modified except by direct means',100,2,4),
(241376,48695,'Grants a total of 200 triggers of the spell.',100,2,5),
(241377,10048695,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(241378,10048695,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(241379,10048695,'Inflicts 171 poison damage on target instantly and every 6 seconds',100,2,2),
(241380,10048695,'Inflicts 65 poison damage on target',100,2,3),
(241381,10048695,'Cannot be modified except by direct means',100,2,4),
(241382,10048695,'Grants a total of 200 triggers of the spell.',100,2,5),
(241383,102453,'Stuns target encounter',100,1,0),
(241384,102453,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(241385,102453,'Resistibility increases against targets higher than level 87.',100,1,2),
(241386,10102453,'Stuns target encounter',100,1,0),
(241387,10102453,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(241388,10102453,'Resistibility increases against targets higher than level 87.',100,1,2),
(241389,36749,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(241390,48148,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(241391,48148,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(241392,48148,'Decreases AGI of target by 95.8',100,2,2),
(241393,48148,'Decreases Defense, Parry and Deflection of target by 36.1',100,2,3),
(241394,48148,'Cannot be modified except by direct means',100,2,4),
(241395,48148,'Grants a total of 60 triggers of the spell.',100,2,5),
(241396,10048148,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(241397,10048148,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(241398,10048148,'Decreases AGI of target by 95.8',100,2,2),
(241399,10048148,'Decreases Defense, Parry and Deflection of target by 36.1',100,2,3),
(241400,10048148,'Cannot be modified except by direct means',100,2,4),
(241401,10048148,'Grants a total of 60 triggers of the spell.',100,2,5),
(241402,116762,'Increases Max Health of target by 562.5',100,1,0),
(241403,116762,'Increases Max Power of target by 630.9',100,1,1),
(241404,10116762,'Increases Max Health of target by 562.5',100,1,0),
(241405,10116762,'Increases Max Power of target by 630.9',100,1,1),
(241406,108830,'Inflicts 721 - 1338 heat damage on targets in Area of Effect',100,1,0),
(241407,10108830,'Inflicts 865 - 1606 heat damage on targets in Area of Effect',100,1,0),
(241408,48755,'Applies Elixir of Resurgence  when Activated.',100,0,0),
(241409,48755,'Heals caster for 34',100,1,1),
(241410,10048755,'Applies Elixir of Resurgence  when Activated.',100,0,0),
(241411,10048755,'Heals caster for 22',100,1,1),
(241412,45283,'Applies Balaksen''s Cure All when Activated.',100,0,0),
(241413,45283,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(241414,10045283,'Applies Balaksen''s Cure All when Activated.',100,0,0),
(241415,10045283,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(241416,111321,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(241417,111321,'Inflicts 96 - 117 mental damage on target',100,2,1),
(241418,111321,'Grants a total of 3 triggers of the spell.',100,2,2),
(241419,10111321,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(241420,10111321,'Inflicts 115 - 140 mental damage on target',100,2,1),
(241421,10111321,'Grants a total of 3 triggers of the spell.',100,2,2),
(241422,101864,'Stuns target',100,1,0),
(241423,101864,'Does not affect Epic targets',100,1,1),
(241424,101864,'Resistibility increases against targets higher than level 96.',100,1,2),
(241425,10101864,'Stuns target',100,1,0),
(241426,10101864,'Does not affect Epic targets',100,1,1),
(241427,10101864,'Resistibility increases against targets higher than level 96.',100,1,2),
(241428,123196,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(241429,123196,'Inflicts 38 - 46 disease damage on target',100,2,1),
(241430,123196,'Heals caster for 3.5 - 4.2% of max health',100,2,2),
(241431,123196,'This effect cannot be critically applied.',100,3,3),
(241432,123196,'The healing of this spell cannot be modified except by direct means',100,2,4),
(241433,123196,'Grants a total of 5 triggers of the spell.',100,2,5),
(241434,10123196,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(241435,10123196,'Inflicts 45 - 55 disease damage on target',100,2,1),
(241436,10123196,'Heals caster for 1.2 - 1.5% of max health',100,2,2),
(241437,10123196,'This effect cannot be critically applied.',100,3,3),
(241438,10123196,'The healing of this spell cannot be modified except by direct means',100,2,4),
(241439,10123196,'Grants a total of 5 triggers of the spell.',100,2,5),
(241440,119705,'Increases Threat to target encounter by 564 - 688 ',100,1,0),
(241441,10119705,'Prevents target encounter from changing targets',100,1,0),
(241442,10119705,'Forces target encounter to change their selected target to caster.',100,1,1),
(241443,121438,'Increases AGI of caster by 18.3',100,1,0),
(241444,121438,'Adds 17.2% to base avoidance.',100,1,1),
(241445,121438,'Increases Mitigation of caster vs physical damage by 186',100,1,2),
(241446,121438,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,3),
(241447,10121438,'Increases AGI of caster by 18.3',100,1,0),
(241448,10121438,'Adds 17.2% to base avoidance.',100,1,1),
(241449,10121438,'Increases Mitigation of caster vs physical damage by 186',100,1,2),
(241450,10121438,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',100,1,3),
(241451,106713,'Heals target for 180 - 220',100,1,0),
(241452,10106713,'Heals target for 212 - 259',100,1,0),
(241453,47866,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(241454,47866,'Summons a mount to ride',100,1,1),
(241455,47866,'Increases your ground speed by 130%',100,2,2),
(241456,10047866,'Applies Call Rujarkian Hillrunner when Activated.',100,0,0),
(241457,10047866,'Summons a mount to ride',100,1,1),
(241458,10047866,'Increases your ground speed by 130%',100,2,2),
(241459,100209,'Increases Threat to target encounter by 442 - 539 ',100,1,0),
(241460,100209,'Interrupts target encounter',100,1,1),
(241461,10100209,'Interrupts target encounter',100,1,0),
(241462,10100209,'Forces target encounter to change their selected target to caster.',100,1,1),
(241463,10100209,'Prevents target encounter from changing targets',100,1,2),
(241464,24542,'Adds Mistmoore: Open Piano to your Dungeon Maker toolbox',100,0,0),
(241465,10024542,'Adds Mistmoore: Open Piano to your Dungeon Maker toolbox',100,0,0),
(241466,37039,'Increases STR of target by 1.5',100,0,0),
(241467,37039,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(241468,120086,'Inflicts 260 - 433 mental damage on target',100,1,0),
(241469,120086,'Inflicts 260 - 433 mental damage on target',100,1,1),
(241470,120086,'Stifles target',100,1,2),
(241471,120086,'If Target is not Epic',100,2,3),
(241472,120086,'If weapon equipped in Ranged',100,1,4),
(241473,120086,'Resistibility increases against targets higher than level 110.',100,1,5),
(241474,10120086,'Inflicts 295 - 491 mental damage on target',100,1,0),
(241475,10120086,'Inflicts 295 - 491 mental damage on target',100,1,1),
(241476,10120086,'Stifles target',100,1,2),
(241477,10120086,'If Target is not Epic',100,2,3),
(241478,10120086,'If weapon equipped in Ranged',100,1,4),
(241479,10120086,'Resistibility increases against targets higher than level 110.',100,1,5),
(241480,122203,'Increases Damage Per Second of target by 11.5',100,1,0),
(241481,122203,'Increases Max Health of target by 101.4',100,1,1),
(241482,10122203,'Increases Damage Per Second of target by 11.5',100,1,0),
(241483,10122203,'Increases Max Health of target by 101.4',100,1,1),
(241484,112672,'Increases Parry of group members (AE) by 13.0',100,1,0),
(241485,10112672,'Increases Parry of group members (AE) by 13.0',100,1,0),
(241486,26680,'When Equipped:',100,0,0),
(241487,26680,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(241488,26680,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,2),
(241489,10026680,'When Equipped:',100,0,0),
(241490,10026680,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(241491,10026680,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,2),
(241492,115821,'Inflicts 29 disease damage on target every 3 seconds',100,1,0),
(241493,115821,'Inflicts 109 - 182 melee damage on target',100,1,1),
(241494,115821,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(241495,115821,'Heals caster for 1.4% of max health instantly and every 3 seconds',100,2,3),
(241496,115821,'This effect cannot be critically applied.',100,3,4),
(241497,115821,'The healing of this spell cannot be modified except by direct means',100,2,5),
(241498,115821,'The healing of this spell cannot be modified except by direct means',100,1,6),
(241499,10115821,'Inflicts 35 disease damage on target every 3 seconds',100,1,0),
(241500,10115821,'Inflicts 131 - 218 melee damage on target',100,1,1),
(241501,10115821,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(241502,10115821,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(241503,10115821,'This effect cannot be critically applied.',100,3,4),
(241504,10115821,'The healing of this spell cannot be modified except by direct means',100,2,5),
(241505,10115821,'The healing of this spell cannot be modified except by direct means',100,1,6),
(241506,110578,'Decreases Attack Speed of target by 18.2',100,1,0),
(241507,110578,'Decreases Crushing, Slashing and Piercing of target by 9.4',100,1,1),
(241508,10110578,'Decreases Attack Speed of target by 18.2',100,1,0),
(241509,10110578,'Decreases Crushing, Slashing and Piercing of target by 9.4',100,1,1),
(241510,104831,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(241511,104831,'If Fighter',100,2,1),
(241512,104831,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(241513,104831,'Increases power of target by 29',100,2,3),
(241514,104831,'Increases power of caster by 29',100,2,4),
(241515,10104831,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(241516,10104831,'Increases power of target by 29',100,2,1),
(241517,10104831,'Increases power of caster by 29',100,2,2),
(241518,120841,'Inflicts 42 - 56 disease damage on target instantly and every second',100,1,0),
(241519,10120841,'Inflicts 70 - 94 disease damage on target',100,1,0),
(241520,10120841,'Inflicts 50 - 67 disease damage on target every second',100,1,1),
(241521,173137,'When Equipped:',100,0,0),
(241522,173137,'Increases Attack Speed of caster by 35.0',100,1,1),
(241523,10173137,'When Equipped:',100,0,0),
(241524,10173137,'Increases Attack Speed of caster by 35.0',100,1,1),
(241525,36834,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(241526,106868,'Decreases Threat to targets in Area of Effect by 684 ',100,1,0),
(241527,106868,'Stuns targets in Area of Effect',100,1,1),
(241528,106868,'If Target is not Epic',100,2,2),
(241529,10106868,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(241530,10106868,'Applies Distract.',100,1,1),
(241531,10106868,'Forces target to clear their selected target.',100,2,2),
(241532,10106868,'Stuns targets in Area of Effect',100,1,3),
(241533,10106868,'If Target is not Epic',100,2,4),
(241534,72038,'When Equipped:',100,0,0),
(241535,72038,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241536,72038,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(241537,72038,'Cannot be modified except by direct means',100,2,3),
(241538,10072038,'When Equipped:',100,0,0),
(241539,10072038,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241540,10072038,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(241541,10072038,'Cannot be modified except by direct means',100,2,3),
(241542,122386,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(241543,122386,'Inflicts 2 piercing damage on target encounter',100,2,1),
(241544,10122386,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(241545,10122386,'Inflicts 2 - 3 piercing damage on target encounter',100,2,1),
(241546,124335,'Shapechanges caster into a wolf',100,1,0),
(241547,124335,'Grants See Invisibility to caster',100,1,1),
(241548,124335,'Increases Focus of caster by 39.1',100,1,2),
(241549,124335,'Increases Mitigation of caster vs physical damage by 434',100,1,3),
(241550,124335,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1649',100,1,4),
(241551,10124335,'Shapechanges caster into a wolf',100,1,0),
(241552,10124335,'Grants See Invisibility to caster',100,1,1),
(241553,10124335,'Increases Focus of caster by 39.1',100,1,2),
(241554,10124335,'Increases Mitigation of caster vs physical damage by 434',100,1,3),
(241555,10124335,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1649',100,1,4),
(241556,36077,'Increases STR of target by 1.5',100,0,0),
(241557,36077,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(241558,80878,'When Equipped:',100,0,0),
(241559,80878,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(241560,80878,'Inflicts 184 - 342 magic damage on target',100,2,2),
(241561,80878,'Decreases Threat to target by 672 ',100,2,3),
(241562,80878,'Must be flanking or behind',100,3,4),
(241563,80878,'Increases Threat to target by 677 ',100,2,5),
(241564,80878,'Must be in front of',100,3,6),
(241565,80878,'Cannot be modified except by direct means',100,2,7),
(241566,10080878,'When Equipped:',100,0,0),
(241567,10080878,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(241568,10080878,'Inflicts 221 - 410 magic damage on target',100,2,2),
(241569,10080878,'Cannot be modified except by direct means',100,2,3),
(241570,74887,'When Equipped:',100,0,0),
(241571,74887,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241572,74887,'Inflicts 108 - 163 magic damage on target',100,2,2),
(241573,74887,'Cannot be modified except by direct means',100,2,3),
(241574,10074887,'When Equipped:',100,0,0),
(241575,10074887,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241576,10074887,'Inflicts 130 - 195 magic damage on target',100,2,2),
(241577,10074887,'Cannot be modified except by direct means',100,2,3),
(241578,123997,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(241579,123997,'Heals caster for 4.8% of max health instantly and every second',100,2,1),
(241580,123997,'This effect cannot be critically applied.',100,3,2),
(241581,123997,'If target is not berserk',100,3,3),
(241582,123997,'Heals caster for 24.0% of max health instantly and every second',100,2,4),
(241583,123997,'This effect cannot be critically applied.',100,3,5),
(241584,123997,'If target is berserk',100,3,6),
(241585,123997,'The healing of this spell cannot be modified except by direct means',100,2,7),
(241586,123997,'Grants a total of 1 trigger of the spell.',100,2,8),
(241587,10123997,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(241588,10123997,'Heals caster for 12.0% of max health instantly and every second',100,2,1),
(241589,10123997,'This effect cannot be critically applied.',100,3,2),
(241590,10123997,'If target is berserk',100,3,3),
(241591,10123997,'Must not be engaged in pvp combat',100,3,4),
(241592,10123997,'Heals caster for 4.8% of max health instantly and every second',100,2,5),
(241593,10123997,'This effect cannot be critically applied.',100,3,6),
(241594,10123997,'Must be engaged in pvp combat',100,3,7),
(241595,10123997,'If target is berserk',100,3,8),
(241596,10123997,'Heals caster for 2.4% of max health instantly and every second',100,2,9),
(241597,10123997,'This effect cannot be critically applied.',100,3,10),
(241598,10123997,'If target is not berserk',100,3,11),
(241599,10123997,'The healing of this spell cannot be modified except by direct means',100,2,12),
(241600,10123997,'Grants a total of 1 trigger of the spell.',100,2,13),
(241601,141701,'When Equipped:',100,0,0),
(241602,141701,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(241603,141701,'Increases AGI of caster by 17.3',100,2,2),
(241604,141701,'Increases Attack Speed of caster by 18.1',100,2,3),
(241605,141701,'Cannot be modified except by direct means',100,2,4),
(241606,10141701,'When Equipped:',100,0,0),
(241607,10141701,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(241608,10141701,'Increases AGI of caster by 17.3',100,2,2),
(241609,10141701,'Increases Attack Speed of caster by 18.1',100,2,3),
(241610,10141701,'Cannot be modified except by direct means',100,2,4),
(241611,105155,'Increases AGI of caster by 43.0',100,1,0),
(241612,105155,'Adds 1.9% to base avoidance.',100,1,1),
(241613,105155,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(241614,105155,'Increases Parry of caster by 24.8',100,1,3),
(241615,105155,'Increases Defense of caster by 33.1',100,1,4),
(241616,10105155,'Increases AGI of caster by 43.0',100,1,0),
(241617,10105155,'Adds 1.9% to base avoidance.',100,1,1),
(241618,10105155,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(241619,10105155,'Increases Parry of caster by 24.8',100,1,3),
(241620,10105155,'Increases Defense of caster by 33.1',100,1,4),
(241621,45577,'Applies Dagda''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(241622,45577,'Increases Max Health of caster by 32.0',100,1,1),
(241623,10045577,'Applies Dagda''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(241624,10045577,'Increases Max Health of caster by 32.0',100,1,1),
(241625,26542,'When Equipped:',100,0,0),
(241626,26542,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(241627,26542,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(241628,10026542,'When Equipped:',100,0,0),
(241629,10026542,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(241630,10026542,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(241631,110093,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(241632,110093,'Inflicts 10 disease damage on target',100,2,1),
(241633,110093,'Heals caster for 7',100,2,2),
(241634,110093,'Decreases INT of target by 54.0',100,1,3),
(241635,110093,'Decreases Attack Speed of target by 25.0',100,1,4),
(241636,110093,'Increases Max Health of target by 11.0%',100,1,5),
(241637,110093,'Increases Hate Gain of target by 19.8%',100,1,6),
(241638,110093,'Increases Aggression of target by 4.6',100,1,7),
(241639,110093,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(241640,110093,'Increases Threat to target encounter by 40 - 48 ',100,2,9),
(241641,110093,'Increases Mitigation of target vs elemental, noxious and arcane damage by 308',100,1,10),
(241642,10110093,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(241643,10110093,'Inflicts 12 disease damage on target',100,2,1),
(241644,10110093,'Heals caster for 5',100,2,2),
(241645,10110093,'Decreases INT of target by 54.0',100,1,3),
(241646,10110093,'Decreases Attack Speed of target by 25.0',100,1,4),
(241647,10110093,'Increases Max Health of target by 11.0%',100,1,5),
(241648,10110093,'Increases Aggression of target by 4.6',100,1,6),
(241649,10110093,'Increases Mitigation of target vs elemental, noxious and arcane damage by 308',100,1,7),
(241650,81693,'When Equipped:',100,0,0),
(241651,81693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241652,81693,'Inflicts 68 - 126 magic damage on target',100,2,2),
(241653,81693,'Cannot be modified except by direct means',100,2,3),
(241654,10081693,'When Equipped:',100,0,0),
(241655,10081693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241656,10081693,'Inflicts 81 - 151 magic damage on target',100,2,2),
(241657,10081693,'Cannot be modified except by direct means',100,2,3),
(241658,163459,'When Equipped:',100,0,0),
(241659,163459,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(241660,163459,'Inflicts 2664 disease damage on target encounter',100,2,2),
(241661,163459,'Must not be engaged in pvp combat',100,2,3),
(241662,163459,'Cannot be modified except by direct means',100,2,4),
(241663,10163459,'When Equipped:',100,0,0),
(241664,10163459,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(241665,10163459,'Inflicts 1598 disease damage on target encounter',100,2,2),
(241666,10163459,'Must not be engaged in pvp combat',100,2,3),
(241667,10163459,'Cannot be modified except by direct means',100,2,4),
(241668,138403,'When Equipped:',100,0,0),
(241669,138403,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241670,138403,'This effect can be stacked by multiple casters.',100,2,2),
(241671,138403,'Increases Mitigation of target vs all damage by 940',100,2,3),
(241672,138403,'Cannot be modified except by direct means',100,2,4),
(241673,10138403,'When Equipped:',100,0,0),
(241674,10138403,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(241675,10138403,'This effect can be stacked by multiple casters.',100,2,2),
(241676,10138403,'Increases Mitigation of target vs all damage by 940',100,2,3),
(241677,10138403,'Cannot be modified except by direct means',100,2,4),
(241678,83718,'When Equipped:',100,0,0),
(241679,83718,'Increases caster''s chance to block by 18.0%',100,1,1),
(241680,83718,'When Equipped:',100,0,2),
(241681,83718,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(241682,83718,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(241683,83718,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(241684,83718,'Must not be engaged in pvp combat',100,2,6),
(241685,83718,'Cannot be modified except by direct means',100,2,7),
(241686,83718,'Cannot be modified except by direct means',100,1,8),
(241687,10083718,'When Equipped:',100,0,0),
(241688,10083718,'Increases caster''s chance to block by 18.0%',100,1,1),
(241689,10083718,'When Equipped:',100,0,2),
(241690,10083718,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(241691,10083718,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(241692,10083718,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(241693,10083718,'Must not be engaged in pvp combat',100,2,6),
(241694,10083718,'Cannot be modified except by direct means',100,2,7),
(241695,10083718,'Cannot be modified except by direct means',100,1,8),
(241696,100502,'Increases Attack Speed of group members (AE) by 15.0',100,1,0),
(241697,10100502,'Increases Attack Speed of group members (AE) by 15.0',100,1,0),
(241698,110858,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(241699,110858,'Inflicts 372 - 620 divine damage on target',100,2,1),
(241700,110858,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(241701,110858,'Stuns target',100,3,3),
(241702,110858,'Throws target back',100,3,4),
(241703,110858,'Blurs vision of target',100,3,5),
(241704,110858,'Does not affect Epic targets',100,3,6),
(241705,110858,'Grants a total of 3 triggers of the spell.',100,2,7),
(241706,10110858,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(241707,10110858,'Inflicts 446 - 744 divine damage on target',100,2,1),
(241708,10110858,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(241709,10110858,'Stuns target',100,3,3),
(241710,10110858,'Throws target back',100,3,4),
(241711,10110858,'Blurs vision of target',100,3,5),
(241712,10110858,'Does not affect Epic targets',100,3,6),
(241713,10110858,'Grants a total of 3 triggers of the spell.',100,2,7),
(241714,104807,'Increases caster''s chance to block by 10.0%',100,1,0),
(241715,104807,'Decreases Attack Speed of caster by 16.8',100,1,1),
(241716,104807,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(241717,104807,'Increases Parry of caster by 20.4',100,1,3),
(241718,104807,'Increases Defense of caster by 20.4',100,1,4),
(241719,10104807,'Increases caster''s chance to block by 10.0%',100,1,0),
(241720,10104807,'Decreases Attack Speed of caster by 16.8',100,1,1),
(241721,10104807,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(241722,10104807,'Increases Parry of caster by 20.4',100,1,3),
(241723,10104807,'Increases Defense of caster by 20.4',100,1,4),
(241724,112996,'Reduces physical damage done to caster by 5%',100,1,0),
(241725,112996,'Increases STA of caster by 86.3',100,1,1),
(241726,112996,'Adds 2.9% to base avoidance.',100,1,2),
(241727,112996,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(241728,112996,'Increases Defense and Aggression of caster by 16.5',100,1,4),
(241729,112996,'Increases Mitigation of caster vs arcane damage by 1102',100,1,5),
(241730,112996,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(241731,10112996,'Reduces physical damage done to caster by 5%',100,1,0),
(241732,10112996,'Increases STA of caster by 86.3',100,1,1),
(241733,10112996,'Adds 2.9% to base avoidance.',100,1,2),
(241734,10112996,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(241735,10112996,'Increases Defense and Aggression of caster by 16.5',100,1,4),
(241736,10112996,'Increases Mitigation of caster vs arcane damage by 1102',100,1,5),
(241737,10112996,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(241738,51339,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(241739,51339,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(241740,51339,'Inflicts 47 heat damage on target',100,2,2),
(241741,51339,'Cannot be modified except by direct means',100,2,3),
(241742,10051339,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(241743,10051339,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(241744,10051339,'Inflicts 57 heat damage on target',100,2,2),
(241745,10051339,'Cannot be modified except by direct means',100,2,3),
(241746,123097,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(241747,123097,'Roots target',100,2,1),
(241748,123097,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(241749,123097,'Slows target by 72.0%',100,3,3),
(241750,123097,'5% chance to dispel when target receives hostile action',100,3,4),
(241751,123097,'5% chance to dispel when target takes damage',100,3,5),
(241752,123097,'5% chance to dispel when target takes damage',100,2,6),
(241753,123097,'Does not affect Epic targets',100,2,7),
(241754,123097,'Resistibility increases against targets higher than level 104.',100,2,8),
(241755,123097,'Decreases AGI of target encounter by 96.8',100,1,9),
(241756,10123097,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(241757,10123097,'Roots target',100,2,1),
(241758,10123097,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(241759,10123097,'Slows target by 72.0%',100,3,3),
(241760,10123097,'5% chance to dispel when target receives hostile action',100,3,4),
(241761,10123097,'5% chance to dispel when target takes damage',100,3,5),
(241762,10123097,'5% chance to dispel when target takes damage',100,2,6),
(241763,10123097,'Does not affect Epic targets',100,2,7),
(241764,10123097,'Resistibility increases against targets higher than level 104.',100,2,8),
(241765,10123097,'Decreases AGI of target encounter by 96.8',100,1,9),
(241766,192129,'When Equipped:',100,0,0),
(241767,192129,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(241768,192129,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(241769,192129,'Increases INT, AGI, WIS and STR of caster by 50.0',100,2,3),
(241770,192129,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(241771,192129,'Must not be engaged in pvp combat',100,2,5),
(241772,192129,'Cannot be modified except by direct means',100,2,6),
(241773,192129,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(241774,192129,'Increases INT, AGI, WIS and STR of caster by 50.0',100,2,8),
(241775,192129,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(241776,192129,'Must not be engaged in pvp combat',100,2,10),
(241777,192129,'Cannot be modified except by direct means',100,2,11),
(241778,192129,'Cannot be modified except by direct means',100,1,12),
(241779,10192129,'When Equipped:',100,0,0),
(241780,10192129,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(241781,10192129,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(241782,10192129,'Increases INT, AGI, WIS and STR of caster by 50.0',100,2,3),
(241783,10192129,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(241784,10192129,'Must not be engaged in pvp combat',100,2,5),
(241785,10192129,'Cannot be modified except by direct means',100,2,6),
(241786,10192129,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(241787,10192129,'Increases INT, AGI, WIS and STR of caster by 50.0',100,2,8),
(241788,10192129,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(241789,10192129,'Must not be engaged in pvp combat',100,2,10),
(241790,10192129,'Cannot be modified except by direct means',100,2,11),
(241791,10192129,'Cannot be modified except by direct means',100,1,12),
(241792,25535,'When Equipped:',100,0,0),
(241793,25535,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(241794,25535,'Reduces the reuse time of Harm Touch VI by 60 seconds.',100,1,2),
(241795,10025535,'When Equipped:',100,0,0),
(241796,10025535,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(241797,10025535,'Reduces the reuse time of Harm Touch VI by 60 seconds.',100,1,2),
(241798,121935,'Applies Tap on termination.',100,1,0),
(241799,121935,'Inflicts 1391 disease damage on target',100,2,1),
(241800,121935,'Heals caster for 7.1% of max health',100,2,2),
(241801,121935,'This effect cannot be critically applied.',100,3,3),
(241802,121935,'The healing of this spell cannot be modified except by direct means',100,2,4),
(241803,10121935,'Applies Tap on termination.',100,1,0),
(241804,10121935,'Inflicts 1669 disease damage on target',100,2,1),
(241805,10121935,'Heals caster for 2.5% of max health',100,2,2),
(241806,10121935,'This effect cannot be critically applied.',100,3,3),
(241807,10121935,'The healing of this spell cannot be modified except by direct means',100,2,4),
(241808,112082,'Inflicts 21 - 35 heat damage on target instantly and every 2 seconds',100,1,0),
(241809,10112082,'Inflicts 62 - 104 heat damage on target instantly and every 2 seconds',100,1,0),
(241810,114048,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(241811,114048,'Grants stealth to caster',100,2,1),
(241812,114048,'Suspends caster''s movement speed enhancements',100,2,2),
(241813,114048,'Inflicts 18 - 30 melee damage on target',100,1,3),
(241814,114048,'Must be flanking or behind',100,1,4),
(241815,10114048,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(241816,10114048,'Grants stealth to caster',100,2,1),
(241817,10114048,'Suspends caster''s movement speed enhancements',100,2,2),
(241818,10114048,'Inflicts 32 - 54 melee damage on target',100,1,3),
(241819,10114048,'Must be flanking or behind',100,1,4),
(241820,35465,'Increases INT of target by 1.5',100,0,0),
(241821,35465,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(241822,104911,'Inflicts 109 - 181 ranged damage on target',100,1,0),
(241823,104911,'Decreases Deflection and Parry of target by 12.0',100,1,1),
(241824,104911,'Requires bow',100,1,2),
(241825,10104911,'Inflicts 92 - 154 ranged damage on target',100,1,0),
(241826,10104911,'Decreases Deflection and Parry of target by 12.0',100,1,1),
(241827,10104911,'Requires bow',100,1,2),
(241828,113695,'Stuns target',100,1,0),
(241829,113695,'If Target is not Epic',100,2,1),
(241830,113695,'Inflicts 607 - 1012 heat damage on target',100,1,2),
(241831,113695,'Resistibility increases against targets higher than level 87.',100,1,3),
(241832,10113695,'Stuns target',100,1,0),
(241833,10113695,'If Target is not Epic',100,2,1),
(241834,10113695,'Inflicts 728 - 1214 heat damage on target',100,1,2),
(241835,10113695,'Resistibility increases against targets higher than level 87.',100,1,3),
(241836,119666,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(241837,119666,'Stuns target',100,2,1),
(241838,119666,'Throws target back',100,2,2),
(241839,119666,'Blurs vision of target',100,2,3),
(241840,119666,'Does not affect Epic targets',100,2,4),
(241841,119666,'Inflicts 125 - 377 melee damage on target',100,1,5),
(241842,10119666,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(241843,10119666,'Stuns target',100,2,1),
(241844,10119666,'Throws target back',100,2,2),
(241845,10119666,'Blurs vision of target',100,2,3),
(241846,10119666,'Does not affect Epic targets',100,2,4),
(241847,10119666,'Inflicts 151 - 453 melee damage on target',100,1,5),
(241848,42847,'When Equipped:',100,0,0),
(241849,42847,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(241850,42847,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(241851,42847,'Increases Potency of caster by 11.0%',100,2,3),
(241852,42847,'Must not be engaged in pvp combat',100,2,4),
(241853,42847,'Cannot be modified except by direct means',100,2,5),
(241854,42847,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(241855,42847,'Increases Potency of caster by 11.0%',100,2,7),
(241856,42847,'Must not be engaged in pvp combat',100,2,8),
(241857,42847,'Cannot be modified except by direct means',100,2,9),
(241858,42847,'Cannot be modified except by direct means',100,1,10),
(241859,10042847,'When Equipped:',100,0,0),
(241860,10042847,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(241861,10042847,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(241862,10042847,'Increases Potency of caster by 11.0%',100,2,3),
(241863,10042847,'Must not be engaged in pvp combat',100,2,4),
(241864,10042847,'Cannot be modified except by direct means',100,2,5),
(241865,10042847,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(241866,10042847,'Increases Potency of caster by 11.0%',100,2,7),
(241867,10042847,'Must not be engaged in pvp combat',100,2,8),
(241868,10042847,'Cannot be modified except by direct means',100,2,9),
(241869,10042847,'Cannot be modified except by direct means',100,1,10),
(241870,25173,'When Equipped:',100,0,0),
(241871,25173,'Increases Damage Per Second of caster by 0.8',100,1,1),
(241872,10025173,'When Equipped:',100,0,0),
(241873,10025173,'Increases Damage Per Second of caster by 0.8',100,1,1),
(241874,116218,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(241875,116218,'Inflicts 201 - 246 mental damage on target',100,2,1),
(241876,116218,'Increases INT of group members (AE) by 63.6',100,1,2),
(241877,10116218,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(241878,10116218,'Inflicts 242 - 295 mental damage on target',100,2,1),
(241879,10116218,'Increases INT of group members (AE) by 63.6',100,1,2),
(241880,111259,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(241881,111259,'Heals target for 831',100,2,1),
(241882,111259,'Increases Mitigation of target vs physical damage by 550',100,2,2),
(241883,111259,'Grants a total of 1 trigger of the spell.',100,2,3),
(241884,10111259,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(241885,10111259,'Heals target for 540',100,2,1),
(241886,10111259,'Increases Mitigation of target vs physical damage by 550',100,2,2),
(241887,10111259,'Grants a total of 1 trigger of the spell.',100,2,3),
(241888,87454,'When Equipped:',100,0,0),
(241889,87454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241890,87454,'Inflicts 168 - 252 magic damage on target',100,2,2),
(241891,87454,'Cannot be modified except by direct means',100,2,3),
(241892,10087454,'When Equipped:',100,0,0),
(241893,10087454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241894,10087454,'Inflicts 202 - 303 magic damage on target',100,2,2),
(241895,10087454,'Cannot be modified except by direct means',100,2,3),
(241896,117338,'Roots target',100,1,0),
(241897,117338,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(241898,117338,'Slows target by 50.6%',100,2,2),
(241899,117338,'5% chance to dispel when target receives hostile action',100,2,3),
(241900,117338,'5% chance to dispel when target takes damage',100,2,4),
(241901,117338,'15% chance to dispel when target takes damage',100,1,5),
(241902,117338,'Does not affect Epic targets',100,1,6),
(241903,117338,'Resistibility increases against targets higher than level 90.',100,1,7),
(241904,10117338,'Roots target',100,1,0),
(241905,10117338,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(241906,10117338,'Slows target by 50.6%',100,2,2),
(241907,10117338,'10% chance to dispel when target receives hostile action',100,2,3),
(241908,10117338,'10% chance to dispel when target takes damage',100,2,4),
(241909,10117338,'15% chance to dispel when target takes damage',100,1,5),
(241910,10117338,'Does not affect Epic targets',100,1,6),
(241911,10117338,'Resistibility increases against targets higher than level 90.',100,1,7),
(241912,122196,'Increases Damage Per Second of target by 11.2',100,1,0),
(241913,122196,'Increases Max Health of target by 37.4',100,1,1),
(241914,10122196,'Increases Damage Per Second of target by 11.2',100,1,0),
(241915,10122196,'Increases Max Health of target by 37.4',100,1,1),
(241916,113217,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(241917,113217,'Inflicts 76 magic damage on target',100,2,1),
(241918,113217,'Grants a total of 5 triggers of the spell.',100,2,2),
(241919,10113217,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(241920,10113217,'Inflicts 92 magic damage on target',100,2,1),
(241921,10113217,'Grants a total of 5 triggers of the spell.',100,2,2),
(241922,118206,'Increases Damage Per Second of group members (AE) by 19.0',100,1,0),
(241923,10118206,'Increases Damage Per Second of group members (AE) by 19.0',100,1,0),
(241924,111565,'Inflicts 2025 - 3760 cold damage on target',100,1,0),
(241925,111565,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(241926,111565,'Stuns target',100,2,2),
(241927,111565,'Throws target back',100,2,3),
(241928,111565,'Blurs vision of target',100,2,4),
(241929,111565,'Does not affect Epic targets',100,2,5),
(241930,10111565,'Inflicts 1757 - 3263 cold damage on target',100,1,0),
(241931,10111565,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(241932,10111565,'Stuns target',100,2,2),
(241933,10111565,'Blurs vision of target',100,2,3),
(241934,10111565,'Throws target back',100,2,4),
(241935,10111565,'Does not affect Epic targets',100,2,5),
(241936,24196,'Adds Crushbone: Jail Plate to your Dungeon Maker toolbox',100,0,0),
(241937,10024196,'Adds Crushbone: Jail Plate to your Dungeon Maker toolbox',100,0,0),
(241938,82243,'When Equipped:',100,0,0),
(241939,82243,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241940,82243,'Inflicts 28 - 51 magic damage on target',100,2,2),
(241941,82243,'Cannot be modified except by direct means',100,2,3),
(241942,10082243,'When Equipped:',100,0,0),
(241943,10082243,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(241944,10082243,'Inflicts 33 - 61 magic damage on target',100,2,2),
(241945,10082243,'Cannot be modified except by direct means',100,2,3),
(241946,118656,'Inflicts 98 - 163 slashing damage on target',100,1,0),
(241947,10118656,'Inflicts 117 - 196 slashing damage on target',100,1,0),
(241948,122623,'Makes target afraid',100,1,0),
(241949,122623,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',100,1,1),
(241950,122623,'Mesmerizes target',100,2,2),
(241951,122623,'Decreases Threat to target by 1,308  instantly and Decreases Threat by 1,308  every 2 seconds thereafter',100,2,3),
(241952,122623,'Dispelled when target takes damage',100,2,4),
(241953,122623,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(241954,122623,'Resistibility increases against targets higher than level 90.',100,2,6),
(241955,122623,'30% chance to dispel when target takes damage',100,1,7),
(241956,122623,'Does not affect Epic targets',100,1,8),
(241957,122623,'Resistibility increases against targets higher than level 90.',100,1,9),
(241958,10122623,'Makes target afraid',100,1,0),
(241959,10122623,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(241960,10122623,'Mesmerizes target',100,2,2),
(241961,10122623,'Applies Distract.',100,2,3),
(241962,10122623,'Forces target to clear their selected target.',100,3,4),
(241963,10122623,'Dispelled when target takes damage',100,2,5),
(241964,10122623,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(241965,10122623,'Resistibility increases against targets higher than level 90.',100,2,7),
(241966,10122623,'30% chance to dispel when target takes damage',100,1,8),
(241967,10122623,'Does not affect Epic targets',100,1,9),
(241968,10122623,'Resistibility increases against targets higher than level 90.',100,1,10),
(241969,83995,'Applies Lightning Shock when Activated.',100,0,0),
(241970,83995,'Inflicts 232 - 387 magic damage on target',100,1,1),
(241971,83995,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(241972,10083995,'Applies Lightning Shock when Activated.',100,0,0),
(241973,10083995,'Inflicts 279 - 465 magic damage on target',100,1,1),
(241974,10083995,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(241975,117387,'Increases Threat to target by 251 ',100,1,0),
(241976,117387,'Inflicts 29 - 88 melee damage on target',100,1,1),
(241977,10117387,'Forces target to change their selected target to caster.',100,1,0),
(241978,10117387,'Inflicts 23 - 71 melee damage on target',100,1,1),
(241979,108333,'Inflicts 302 - 503 divine damage on target',100,1,0),
(241980,108333,'Heals caster for 1.4% of max health',100,1,1),
(241981,108333,'This effect cannot be critically applied.',100,2,2),
(241982,108333,'The healing of this spell cannot be modified except by direct means',100,1,3),
(241983,10108333,'Inflicts 362 - 604 divine damage on target',100,1,0),
(241984,10108333,'Heals caster for 1.3% of max health',100,1,1),
(241985,10108333,'This effect cannot be critically applied.',100,2,2),
(241986,10108333,'The healing of this spell cannot be modified except by direct means',100,1,3),
(241987,105952,'Inflicts 122 - 149 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(241988,105952,'Inflicts 284 - 474 disease damage on targets in area',100,1,1),
(241989,10105952,'Inflicts 146 - 179 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(241990,10105952,'Inflicts 341 - 568 disease damage on targets in area',100,1,1),
(241991,37577,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(241992,114786,'Decreases WIS of target by 27.3',100,1,0),
(241993,114786,'Increases WIS and STA of caster by 27.3',100,1,1),
(241994,114786,'Decreases Max Health of target by 1.4%',100,1,2),
(241995,114786,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 88',100,1,3),
(241996,114786,'Only affects targets level 17 and above',100,1,4),
(241997,10114786,'Decreases WIS of target by 27.3',100,1,0),
(241998,10114786,'Increases WIS and STA of caster by 27.3',100,1,1),
(241999,10114786,'Decreases Max Health of target by 1.4%',100,1,2),
(242000,10114786,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 88',100,1,3),
(242001,10114786,'Only affects targets level 17 and above',100,1,4),
(242002,102089,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(242003,102089,'Stuns target',100,2,1),
(242004,102089,'Throws target back',100,2,2),
(242005,102089,'Blurs vision of target',100,2,3),
(242006,102089,'Does not affect Epic targets',100,2,4),
(242007,102089,'Inflicts 15 - 25 crushing damage on target',100,1,5),
(242008,10102089,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(242009,10102089,'Stuns target',100,2,1),
(242010,10102089,'Throws target back',100,2,2),
(242011,10102089,'Blurs vision of target',100,2,3),
(242012,10102089,'Does not affect Epic targets',100,2,4),
(242013,10102089,'Inflicts 18 - 30 crushing damage on target',100,1,5),
(242014,84027,'Applies Lightning Shock when Activated.',100,0,0),
(242015,84027,'Inflicts 267 - 445 magic damage on target',100,1,1),
(242016,84027,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(242017,10084027,'Applies Lightning Shock when Activated.',100,0,0),
(242018,10084027,'Inflicts 321 - 535 magic damage on target',100,1,1),
(242019,10084027,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(242020,105869,'Inflicts 7 - 13 ranged damage on target',100,1,0),
(242021,105869,'Inflicts 7 - 13 ranged damage on target',100,1,1),
(242022,105869,'If weapon equipped in Ranged',100,1,2),
(242023,10105869,'Inflicts 6 - 11 ranged damage on target',100,1,0),
(242024,10105869,'Inflicts 6 - 11 ranged damage on target',100,1,1),
(242025,10105869,'If weapon equipped in Ranged',100,1,2),
(242026,119579,'Increases power of caster by 16 instantly and every 4 seconds',100,1,0),
(242027,10119579,'Increases power of caster by 16 instantly and every 4 seconds',100,1,0),
(242028,72036,'When Equipped:',100,0,0),
(242029,72036,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242030,72036,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(242031,72036,'Cannot be modified except by direct means',100,2,3),
(242032,10072036,'When Equipped:',100,0,0),
(242033,10072036,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242034,10072036,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(242035,10072036,'Cannot be modified except by direct means',100,2,3),
(242036,35117,'Increases STA and AGI of target by 1.1',100,0,0),
(242037,35117,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(242038,118694,'Increases STR and AGI of group members (AE) by 10.8',100,1,0),
(242039,10118694,'Increases STR and AGI of group members (AE) by 10.8',100,1,0),
(242040,122973,'Inflicts 331 - 448 mental damage on target',100,1,0),
(242041,10122973,'Inflicts 397 - 537 mental damage on target',100,1,0),
(242042,181283,'When Equipped:',100,0,0),
(242043,181283,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(242044,181283,'Increases Ability Modifier of group members by 300.0',100,2,2),
(242045,181283,'Cannot be modified except by direct means',100,2,3),
(242046,181283,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(242047,181283,'Increases Ability Modifier of group members by 300.0',100,2,5),
(242048,181283,'Cannot be modified except by direct means',100,2,6),
(242049,181283,'Cannot be modified except by direct means',100,1,7),
(242050,181283,'When Equipped:',100,0,8),
(242051,181283,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(242052,181283,'Increases Potency of caster by 9.0%',100,2,10),
(242053,181283,'Cannot be modified except by direct means',100,2,11),
(242054,10181283,'When Equipped:',100,0,0),
(242055,10181283,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(242056,10181283,'Increases Ability Modifier of group members by 300.0',100,2,2),
(242057,10181283,'Cannot be modified except by direct means',100,2,3),
(242058,10181283,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(242059,10181283,'Increases Ability Modifier of group members by 300.0',100,2,5),
(242060,10181283,'Cannot be modified except by direct means',100,2,6),
(242061,10181283,'Cannot be modified except by direct means',100,1,7),
(242062,10181283,'When Equipped:',100,0,8),
(242063,10181283,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(242064,10181283,'Increases Potency of caster by 9.0%',100,2,10),
(242065,10181283,'Cannot be modified except by direct means',100,2,11),
(242066,172466,'When Equipped:',100,0,0),
(242067,172466,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(242068,172466,'Heals caster for 664 - 811',100,2,2),
(242069,172466,'Increases power of caster by 295',100,2,3),
(242070,172466,'Must not be engaged in pvp combat',100,2,4),
(242071,172466,'Cannot be modified except by direct means',100,2,5),
(242072,172466,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(242073,172466,'Heals caster for 664 - 811',100,2,7),
(242074,172466,'Increases power of caster by 295',100,2,8),
(242075,172466,'Must not be engaged in pvp combat',100,2,9),
(242076,172466,'Cannot be modified except by direct means',100,2,10),
(242077,10172466,'When Equipped:',100,0,0),
(242078,10172466,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(242079,10172466,'Heals caster for 431 - 527',100,2,2),
(242080,10172466,'Increases power of caster by 295',100,2,3),
(242081,10172466,'Must not be engaged in pvp combat',100,2,4),
(242082,10172466,'Cannot be modified except by direct means',100,2,5),
(242083,10172466,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(242084,10172466,'Heals caster for 431 - 527',100,2,7),
(242085,10172466,'Increases power of caster by 295',100,2,8),
(242086,10172466,'Must not be engaged in pvp combat',100,2,9),
(242087,10172466,'Cannot be modified except by direct means',100,2,10),
(242088,114829,'Dazes caster',100,1,0),
(242089,114829,'Roots caster',100,1,1),
(242090,114829,'Increases Mitigation of caster vs physical damage by 1292',100,1,2),
(242091,10114829,'Dazes caster',100,1,0),
(242092,10114829,'Roots caster',100,1,1),
(242093,10114829,'Increases Mitigation of caster vs physical damage by 1292',100,1,2),
(242094,79815,'When Equipped:',100,0,0),
(242095,79815,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(242096,10079815,'When Equipped:',100,0,0),
(242097,10079815,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(242098,117476,'Inflicts 1272 - 2120 melee damage on target',100,1,0),
(242099,117476,'You must be sneaking to use this ability.',100,1,1),
(242100,117476,'Must be flanking or behind',100,1,2),
(242101,10117476,'Inflicts 946 - 1577 melee damage on target',100,1,0),
(242102,10117476,'You must be sneaking to use this ability.',100,1,1),
(242103,10117476,'Must be flanking or behind',100,1,2),
(242104,104537,'Increases Threat to target by 533 - 650  instantly and by 110 - 134  every 2 seconds thereafter',100,1,0),
(242105,10104537,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(242106,116347,'Mesmerizes target encounter',100,1,0),
(242107,116347,'Prevents AOE (except when direct) ',100,1,1),
(242108,116347,'Dispelled when target takes damage',100,1,2),
(242109,116347,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(242110,116347,'Resistibility increases against targets higher than level 66.',100,1,4),
(242111,10116347,'Mesmerizes target encounter',100,1,0),
(242112,10116347,'Prevents AOE (except when direct) ',100,1,1),
(242113,10116347,'Dispelled when target takes damage',100,1,2),
(242114,10116347,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(242115,10116347,'Resistibility increases against targets higher than level 66.',100,1,4),
(242116,160371,'Applies Improved Ale Goggles when Equipped.',100,0,0),
(242117,160371,'Grants Ale Vision to caster',100,1,1),
(242118,10160371,'Applies Improved Ale Goggles when Equipped.',100,0,0),
(242119,10160371,'Grants Ale Vision to caster',100,1,1),
(242120,110201,'Interrupts target',100,1,0),
(242121,110201,'Inflicts 43 - 73 crushing damage on target',100,1,1),
(242122,10110201,'Interrupts target',100,1,0),
(242123,10110201,'Inflicts 52 - 87 crushing damage on target',100,1,1),
(242124,114335,'Dispels 47 levels of noxious hostile effects on target',100,1,0),
(242125,114335,'Heals target for 16.2 - 19.8% of max health',100,1,1),
(242126,114335,'This effect cannot be critically applied.',100,2,2),
(242127,114335,'The healing of this spell cannot be modified except by direct means',100,1,3),
(242128,10114335,'Dispels 47 levels of noxious hostile effects on target',100,1,0),
(242129,10114335,'Heals target for 6.5 - 7.9% of max health',100,1,1),
(242130,10114335,'This effect cannot be critically applied.',100,2,2),
(242131,10114335,'The healing of this spell cannot be modified except by direct means',100,1,3),
(242132,40637,'When Equipped:',100,0,0),
(242133,40637,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242134,40637,'Inflicts 86 - 128 magic damage on target',100,2,2),
(242135,40637,'Cannot be modified except by direct means',100,2,3),
(242136,10040637,'When Equipped:',100,0,0),
(242137,10040637,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242138,10040637,'Inflicts 103 - 154 magic damage on target',100,2,2),
(242139,10040637,'Cannot be modified except by direct means',100,2,3),
(242140,121205,'Grants stealth to caster',100,1,0),
(242141,121205,'Suspends caster''s movement speed enhancements',100,1,1),
(242142,121205,'Decreases Threat to target by 698 - 1,163 ',100,1,2),
(242143,10121205,'Grants stealth to caster',100,1,0),
(242144,10121205,'Suspends caster''s movement speed enhancements',100,1,1),
(242145,10121205,'Forces target to clear their selected target.',100,1,2),
(242146,104828,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(242147,104828,'If Fighter',100,2,1),
(242148,104828,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(242149,104828,'Increases power of target by 27',100,2,3),
(242150,104828,'Increases power of caster by 27',100,2,4),
(242151,10104828,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(242152,10104828,'Increases power of target by 27',100,2,1),
(242153,10104828,'Increases power of caster by 27',100,2,2),
(242154,26532,'When Equipped:',100,0,0),
(242155,26532,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242156,26532,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(242157,10026532,'When Equipped:',100,0,0),
(242158,10026532,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242159,10026532,'Improves the intelligence of Lucidity VII by 50%.',100,1,2),
(242160,46380,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(242161,46380,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(242162,46380,'Inflicts 595 poison damage on target',100,2,2),
(242163,46380,'Cannot be modified except by direct means',100,2,3),
(242164,46380,'Grants a total of 100 triggers of the spell.',100,2,4),
(242165,10046380,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(242166,10046380,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(242167,10046380,'Inflicts 536 poison damage on target',100,2,2),
(242168,10046380,'Cannot be modified except by direct means',100,2,3),
(242169,10046380,'Grants a total of 100 triggers of the spell.',100,2,4),
(242170,48717,'Applies Translucent Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(242171,10048717,'Applies Translucent Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(242172,47656,'Applies Fire Pyrotechnic Flare when Activated.',100,0,0),
(242173,10047656,'Applies Fire Pyrotechnic Flare when Activated.',100,0,0),
(242174,117946,'Heals target for 240 - 293',100,1,0),
(242175,117946,'Increases Max Health of target by 29.0',100,1,1),
(242176,10117946,'Heals target for 275 - 336',100,1,0),
(242177,10117946,'Increases Max Health of target by 29.0',100,1,1),
(242178,180566,'When Equipped:',100,0,0),
(242179,180566,'Reduces maximum falling speed of caster',100,1,1),
(242180,180566,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(242181,180566,'Allows caster to jump farther',100,1,3),
(242182,180566,'Cannot be modified except by direct means',100,1,4),
(242183,180566,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(242184,10180566,'When Equipped:',100,0,0),
(242185,10180566,'Reduces maximum falling speed of caster',100,1,1),
(242186,10180566,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(242187,10180566,'Allows caster to jump farther',100,1,3),
(242188,10180566,'Cannot be modified except by direct means',100,1,4),
(242189,10180566,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(242190,100911,'Stuns targets in Area of Effect',20,1,0),
(242191,100911,'If Target is not Epic',100,2,1),
(242192,100911,'Inflicts 179 - 298 divine damage on targets in Area of Effect',100,1,2),
(242193,100911,'Resistibility increases against targets higher than level 85.',100,1,3),
(242194,10100911,'Stuns targets in Area of Effect',20,1,0),
(242195,10100911,'If Target is not Epic',100,2,1),
(242196,10100911,'Inflicts 214 - 357 divine damage on targets in Area of Effect',100,1,2),
(242197,10100911,'Resistibility increases against targets higher than level 85.',100,1,3),
(242198,113535,'Inflicts 70 - 117 disease damage on target',100,1,0),
(242199,10113535,'Inflicts 84 - 141 disease damage on target',100,1,0),
(242200,48696,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(242201,48696,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(242202,48696,'Inflicts 52 poison damage on target',100,2,2),
(242203,48696,'Inflicts 27 poison damage on target instantly and every 6 seconds',100,2,3),
(242204,48696,'Cannot be modified except by direct means',100,2,4),
(242205,48696,'Grants a total of 200 triggers of the spell.',100,2,5),
(242206,10048696,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(242207,10048696,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(242208,10048696,'Inflicts 24 poison damage on target instantly and every 6 seconds',100,2,2),
(242209,10048696,'Inflicts 47 poison damage on target',100,2,3),
(242210,10048696,'Cannot be modified except by direct means',100,2,4),
(242211,10048696,'Grants a total of 200 triggers of the spell.',100,2,5),
(242212,111388,'Increases Attack Speed of target by 18.3',100,1,0),
(242213,111388,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(242214,111388,'Inflicts 30 disease damage on target',100,2,2),
(242215,111388,'Heals caster for 10',100,2,3),
(242216,111388,'Decreases Defense and Parry of target by 4.9',100,1,4),
(242217,111388,'Increases Disruption, Subjugation and Focus of target by 4.9',100,1,5),
(242218,10111388,'Increases Attack Speed of target by 18.3',100,1,0),
(242219,10111388,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(242220,10111388,'Inflicts 36 disease damage on target',100,2,2),
(242221,10111388,'Heals caster for 6',100,2,3),
(242222,10111388,'Decreases Defense and Parry of target by 4.9',100,1,4),
(242223,10111388,'Increases Disruption, Subjugation and Focus of target by 4.9',100,1,5),
(242224,81728,'When Equipped:',100,0,0),
(242225,81728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242226,81728,'Inflicts 94 - 175 magic damage on target',100,2,2),
(242227,81728,'Cannot be modified except by direct means',100,2,3),
(242228,10081728,'When Equipped:',100,0,0),
(242229,10081728,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242230,10081728,'Inflicts 113 - 210 magic damage on target',100,2,2),
(242231,10081728,'Cannot be modified except by direct means',100,2,3),
(242232,165540,'When Equipped:',100,0,0),
(242233,165540,'On a damage spell hit this spell may cast Noxious Mist on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(242234,165540,'Inflicts 344 poison damage on target encounter',100,2,2),
(242235,165540,'Cannot be modified except by direct means',100,2,3),
(242236,165540,'Cannot be modified except by direct means',100,1,4),
(242237,10165540,'When Equipped:',100,0,0),
(242238,10165540,'On a damage spell hit this spell may cast Noxious Mist on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(242239,10165540,'Inflicts 413 poison damage on target encounter',100,2,2),
(242240,10165540,'Cannot be modified except by direct means',100,2,3),
(242241,10165540,'Cannot be modified except by direct means',100,1,4),
(242242,46837,'Applies Major Anti-Venin when Activated.',100,0,0),
(242243,46837,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(242244,10046837,'Applies Major Anti-Venin when Activated.',100,0,0),
(242245,10046837,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(242246,45774,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(242247,45774,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(242248,45774,'Caster will harvest a second time on 12.0% of harvests.',100,1,2),
(242249,10045774,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(242250,10045774,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(242251,10045774,'Caster will harvest a second time on 12.0% of harvests.',100,1,2),
(242252,81618,'When Equipped:',100,0,0),
(242253,81618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242254,81618,'Inflicts 108 - 201 magic damage on target',100,2,2),
(242255,81618,'Cannot be modified except by direct means',100,2,3),
(242256,10081618,'When Equipped:',100,0,0),
(242257,10081618,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242258,10081618,'Inflicts 130 - 242 magic damage on target',100,2,2),
(242259,10081618,'Cannot be modified except by direct means',100,2,3),
(242260,113451,'Increases INT of target by 32.8',100,1,0),
(242261,113451,'Increases Max Health of target by 230.1',100,1,1),
(242262,10113451,'Increases INT of target by 32.8',100,1,0),
(242263,10113451,'Increases Max Health of target by 230.1',100,1,1),
(242264,45061,'Applies Release Hatchling when Activated.',100,0,0),
(242265,10045061,'Applies Release Hatchling when Activated.',100,0,0),
(242266,117613,'Inflicts 215 - 359 ranged damage on target',100,1,0),
(242267,117613,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(242268,117613,'Slows target by 35.8%',100,2,2),
(242269,117613,'5% chance to dispel when target receives hostile action',100,2,3),
(242270,117613,'5% chance to dispel when target takes damage',100,2,4),
(242271,117613,'Must be flanking or behind',100,1,5),
(242272,117613,'Requires bow',100,1,6),
(242273,10117613,'Inflicts 183 - 305 ranged damage on target',100,1,0),
(242274,10117613,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(242275,10117613,'Slows target by 35.8%',100,2,2),
(242276,10117613,'5% chance to dispel when target receives hostile action',100,2,3),
(242277,10117613,'5% chance to dispel when target takes damage',100,2,4),
(242278,10117613,'Must be flanking or behind',100,1,5),
(242279,10117613,'Requires bow',100,1,6),
(242280,25765,'When Equipped:',100,0,0),
(242281,25765,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242282,25765,'Improves the base heal amount of Sacrificial Restoration VIII by 15%.',100,1,2),
(242283,10025765,'When Equipped:',100,0,0),
(242284,10025765,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242285,10025765,'Improves the base heal amount of Sacrificial Restoration VIII by 15%.',100,1,2),
(242286,144097,'When Equipped:',100,0,0),
(242287,144097,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(242288,144097,'Increases power of caster by 272',100,2,2),
(242289,144097,'Cannot be modified except by direct means',100,2,3),
(242290,10144097,'When Equipped:',100,0,0),
(242291,10144097,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(242292,10144097,'Increases power of caster by 272',100,2,2),
(242293,10144097,'Cannot be modified except by direct means',100,2,3),
(242294,82062,'When Equipped:',100,0,0),
(242295,82062,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242296,82062,'Inflicts 135 - 252 magic damage on target',100,2,2),
(242297,82062,'Cannot be modified except by direct means',100,2,3),
(242298,10082062,'When Equipped:',100,0,0),
(242299,10082062,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242300,10082062,'Inflicts 163 - 302 magic damage on target',100,2,2),
(242301,10082062,'Cannot be modified except by direct means',100,2,3),
(242302,177504,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(242303,177504,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(242304,177504,'Heals target for 38 instantly and every 4 seconds',100,2,2),
(242305,177504,'Cannot be modified except by direct means',100,2,3),
(242306,10177504,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(242307,10177504,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(242308,10177504,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(242309,10177504,'Cannot be modified except by direct means',100,2,3),
(242310,177709,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(242311,177709,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(242312,177709,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(242313,177709,'Cannot be modified except by direct means',100,2,3),
(242314,10177709,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(242315,10177709,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(242316,10177709,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(242317,10177709,'Cannot be modified except by direct means',100,2,3),
(242318,49137,'Applies willow reed flute when Activated.',100,0,0),
(242319,10049137,'Applies willow reed flute when Activated.',100,0,0),
(242320,54393,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(242321,54393,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(242322,54393,'Inflicts 18 heat damage on target',100,2,2),
(242323,54393,'Cannot be modified except by direct means',100,2,3),
(242324,10054393,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(242325,10054393,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(242326,10054393,'Inflicts 22 heat damage on target',100,2,2),
(242327,10054393,'Cannot be modified except by direct means',100,2,3),
(242328,36026,'Increases STR of target by 1.5',100,0,0),
(242329,36026,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(242330,164584,'Applies Unstable Magics when Equipped.',100,0,0),
(242331,164584,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(242332,10164584,'Applies Unstable Magics when Equipped.',100,0,0),
(242333,10164584,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(242334,113601,'Summons a limited pet to aid the caster',100,1,0),
(242335,10113601,'Summons a limited pet to aid the caster',100,1,0),
(242336,107008,'Interrupts target',100,1,0),
(242337,107008,'Inflicts 79 - 133 melee damage on target',100,1,1),
(242338,107008,'Must be flanking or behind',100,1,2),
(242339,10107008,'Interrupts target',100,1,0),
(242340,10107008,'Inflicts 95 - 159 melee damage on target',100,1,1),
(242341,10107008,'Must be flanking or behind',100,1,2),
(242342,113286,'Inflicts 27 - 46 heat damage on target',100,1,0),
(242343,10113286,'Inflicts 50 - 84 heat damage on target',100,1,0),
(242344,181812,'When Equipped:',100,0,0),
(242345,181812,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(242346,181812,'Increases Damage Per Second of caster by 9.0',100,2,2),
(242347,181812,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(242348,181812,'Must not be engaged in pvp combat',100,2,4),
(242349,181812,'Cannot be modified except by direct means',100,2,5),
(242350,181812,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(242351,181812,'Cannot be modified except by direct means',100,1,7),
(242352,10181812,'When Equipped:',100,0,0),
(242353,10181812,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(242354,10181812,'Increases Damage Per Second of caster by 9.0',100,2,2),
(242355,10181812,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(242356,10181812,'Must not be engaged in pvp combat',100,2,4),
(242357,10181812,'Cannot be modified except by direct means',100,2,5),
(242358,10181812,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(242359,10181812,'Cannot be modified except by direct means',100,1,7),
(242360,144272,'When Equipped:',100,0,0),
(242361,144272,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(242362,144272,'Heals group members (AE) for 129',100,2,2),
(242363,144272,'Cannot be modified except by direct means',100,2,3),
(242364,144272,'Cannot be modified except by direct means',100,1,4),
(242365,10144272,'When Equipped:',100,0,0),
(242366,10144272,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(242367,10144272,'Heals group members (AE) for 84',100,2,2),
(242368,10144272,'Cannot be modified except by direct means',100,2,3),
(242369,10144272,'Cannot be modified except by direct means',100,1,4),
(242370,119830,'Dazes target',100,1,0),
(242371,119830,'Does not affect Epic targets',100,1,1),
(242372,119830,'Resistibility increases against targets higher than level 50.',100,1,2),
(242373,10119830,'Dazes target',100,1,0),
(242374,10119830,'Does not affect Epic targets',100,1,1),
(242375,10119830,'Resistibility increases against targets higher than level 50.',100,1,2),
(242376,121365,'Inflicts 65 - 121 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(242377,10121365,'Inflicts 78 - 145 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(242378,100428,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(242379,100428,'Inflicts 78 - 130 slashing damage on target',100,2,1),
(242380,100428,'Increases Threat to target by 304 ',100,2,2),
(242381,100428,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(242382,100428,'Increases Threat to target by 304 ',100,2,4),
(242383,100428,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 977',100,1,5),
(242384,10100428,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(242385,10100428,'Inflicts 94 - 156 slashing damage on target',100,2,1),
(242386,10100428,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(242387,10100428,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 977',100,1,3),
(242388,117551,'Increases WIS, INT and AGI of group members (AE) by 117.9',100,1,0),
(242389,117551,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 453',100,1,1),
(242390,10117551,'Increases WIS, INT and AGI of group members (AE) by 117.9',100,1,0),
(242391,10117551,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 453',100,1,1),
(242392,112556,'Interrupts target',50,1,0),
(242393,112556,'Inflicts 228 - 279 divine damage on target',100,1,1),
(242394,10112556,'Interrupts target',50,1,0),
(242395,10112556,'Inflicts 352 - 431 divine damage on target',100,1,1),
(242396,52906,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(242397,52906,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(242398,52906,'Inflicts 43 heat damage on target',100,2,2),
(242399,52906,'Cannot be modified except by direct means',100,2,3),
(242400,10052906,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(242401,10052906,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(242402,10052906,'Inflicts 52 heat damage on target',100,2,2),
(242403,10052906,'Cannot be modified except by direct means',100,2,3),
(242404,112649,'Inflicts 119 - 199 disease damage on target',100,1,0),
(242405,112649,'Inflicts 119 - 199 disease damage on target',100,1,1),
(242406,112649,'Roots target',100,1,2),
(242407,112649,'If Target is not Epic',100,2,3),
(242408,112649,'15% chance to dispel when target takes damage',100,1,4),
(242409,112649,'If weapon equipped in Ranged',100,1,5),
(242410,112649,'Resistibility increases against targets higher than level 87.',100,1,6),
(242411,10112649,'Inflicts 101 - 169 disease damage on target',100,1,0),
(242412,10112649,'Inflicts 101 - 169 disease damage on target',100,1,1),
(242413,10112649,'Roots target',100,1,2),
(242414,10112649,'If Target is not Epic',100,2,3),
(242415,10112649,'15% chance to dispel when target takes damage',100,1,4),
(242416,10112649,'If weapon equipped in Ranged',100,1,5),
(242417,10112649,'Resistibility increases against targets higher than level 87.',100,1,6),
(242418,71811,'When Equipped:',100,0,0),
(242419,71811,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242420,71811,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(242421,71811,'Cannot be modified except by direct means',100,2,3),
(242422,10071811,'When Equipped:',100,0,0),
(242423,10071811,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242424,10071811,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(242425,10071811,'Cannot be modified except by direct means',100,2,3),
(242426,47944,'Applies Draw upon Essence when Activated.',100,0,0),
(242427,47944,'Increases power of caster by 5',100,1,1),
(242428,47944,'Requires 15 Health to cast.',100,1,2),
(242429,10047944,'Applies Draw upon Essence when Activated.',100,0,0),
(242430,10047944,'Increases power of caster by 5',100,1,1),
(242431,10047944,'Requires 15 Health to cast.',100,1,2),
(242432,35518,'Increases STR and INT of target by 1.1',100,0,0),
(242433,35518,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(242434,111510,'Increases AGI of caster by 10.7',100,1,0),
(242435,111510,'Increases Damage Per Second of caster by 23.2',100,1,1),
(242436,10111510,'Increases AGI of caster by 10.7',100,1,0),
(242437,10111510,'Increases Damage Per Second of caster by 23.2',100,1,1),
(242438,116470,'Inflicts 211 disease damage on target instantly and every 4 seconds',100,1,0),
(242439,116470,'Inflicts 211 disease damage on target instantly and every 4 seconds',100,1,1),
(242440,116470,'If target is nightblood',100,2,2),
(242441,116470,'Inflicts 211 disease damage on target instantly and every 4 seconds',100,1,3),
(242442,116470,'If target is shadowed folk',100,2,4),
(242443,10116470,'Inflicts 253 disease damage on target instantly and every 4 seconds',100,1,0),
(242444,187415,'Applies Black Phylactery when Activated.',100,0,0),
(242445,187415,'Heals caster for 3553',100,1,1),
(242446,187415,'The casting time of Black Phylactery is 3.0 seconds and the reuse time of the spell is 5 minutes',100,1,2),
(242447,10187415,'Applies Black Phylactery when Activated.',100,0,0),
(242448,10187415,'Heals caster for 2309',100,1,1),
(242449,10187415,'The casting time of Black Phylactery is 3.0 seconds and the reuse time of the spell is 5 minutes',100,1,2),
(242450,140050,'When Equipped:',100,0,0),
(242451,140050,'Increases base Combat Art damage by 5%.',100,1,1),
(242452,10140050,'When Equipped:',100,0,0),
(242453,10140050,'Increases base Combat Art damage by 5%.',100,1,1),
(242454,51308,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(242455,51308,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(242456,51308,'Inflicts 42 heat damage on target',100,2,2),
(242457,51308,'Cannot be modified except by direct means',100,2,3),
(242458,10051308,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(242459,10051308,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(242460,10051308,'Inflicts 50 heat damage on target',100,2,2),
(242461,10051308,'Cannot be modified except by direct means',100,2,3),
(242462,37319,'Increases INT of target by 1.1',100,0,0),
(242463,37319,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(242464,36233,'Increases STA and INT of target by 1.1',100,0,0),
(242465,36233,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(242466,48789,'Applies Favor of the Froglok King  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(242467,48789,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(242468,48789,'Inflicts 9 magic damage on target',100,2,2),
(242469,48789,'Cannot be modified except by direct means',100,2,3),
(242470,10048789,'Applies Favor of the Froglok King  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(242471,10048789,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(242472,10048789,'Inflicts 11 magic damage on target',100,2,2),
(242473,10048789,'Cannot be modified except by direct means',100,2,3),
(242474,72212,'When Equipped:',100,0,0),
(242475,72212,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242476,72212,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(242477,72212,'Cannot be modified except by direct means',100,2,3),
(242478,10072212,'When Equipped:',100,0,0),
(242479,10072212,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242480,10072212,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(242481,10072212,'Cannot be modified except by direct means',100,2,3),
(242482,170030,'When Equipped:',100,0,0),
(242483,170030,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(242484,170030,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(242485,170030,'Must not be engaged in pvp combat',100,2,3),
(242486,170030,'Cannot be modified except by direct means',100,2,4),
(242487,170030,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(242488,170030,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(242489,170030,'Must not be engaged in pvp combat',100,2,7),
(242490,170030,'Cannot be modified except by direct means',100,2,8),
(242491,170030,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(242492,170030,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(242493,170030,'Must not be engaged in pvp combat',100,2,11),
(242494,170030,'Cannot be modified except by direct means',100,2,12),
(242495,170030,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(242496,170030,'Inflicts 33 piercing damage on target',100,2,14),
(242497,170030,'Must not be engaged in pvp combat',100,2,15),
(242498,170030,'Cannot be modified except by direct means',100,2,16),
(242499,10170030,'When Equipped:',100,0,0),
(242500,10170030,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(242501,10170030,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(242502,10170030,'Must not be engaged in pvp combat',100,2,3),
(242503,10170030,'Cannot be modified except by direct means',100,2,4),
(242504,10170030,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(242505,10170030,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(242506,10170030,'Must not be engaged in pvp combat',100,2,7),
(242507,10170030,'Cannot be modified except by direct means',100,2,8),
(242508,10170030,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(242509,10170030,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(242510,10170030,'Must not be engaged in pvp combat',100,2,11),
(242511,10170030,'Cannot be modified except by direct means',100,2,12),
(242512,10170030,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(242513,10170030,'Inflicts 40 piercing damage on target',100,2,14),
(242514,10170030,'Must not be engaged in pvp combat',100,2,15),
(242515,10170030,'Cannot be modified except by direct means',100,2,16),
(242516,70552,'When Equipped:',100,0,0),
(242517,70552,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(242518,70552,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(242519,70552,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(242520,70552,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(242521,70552,'Must not be engaged in pvp combat',100,2,5),
(242522,70552,'Cannot be modified except by direct means',100,2,6),
(242523,70552,'Cannot be modified except by direct means',100,1,7),
(242524,70552,'When Equipped:',100,0,8),
(242525,70552,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(242526,70552,'Increases Potency of caster by 11.0%',100,2,10),
(242527,70552,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,11),
(242528,70552,'Reduces resistibility of all spells by 1%.',100,2,12),
(242529,70552,'Must not be engaged in pvp combat',100,2,13),
(242530,70552,'Cannot be modified except by direct means',100,2,14),
(242531,70552,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(242532,70552,'Increases Potency of caster by 11.0%',100,2,16),
(242533,70552,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,17),
(242534,70552,'Reduces resistibility of all spells by 1%.',100,2,18),
(242535,70552,'Must not be engaged in pvp combat',100,2,19),
(242536,70552,'Cannot be modified except by direct means',100,2,20),
(242537,70552,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,21),
(242538,70552,'Increases Potency of caster by 11.0%',100,2,22),
(242539,70552,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,23),
(242540,70552,'Reduces resistibility of all spells by 1%.',100,2,24),
(242541,70552,'Must not be engaged in pvp combat',100,2,25),
(242542,70552,'Cannot be modified except by direct means',100,2,26),
(242543,70552,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,27),
(242544,70552,'Cannot be modified except by direct means',100,1,28),
(242545,10070552,'When Equipped:',100,0,0),
(242546,10070552,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(242547,10070552,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(242548,10070552,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,3),
(242549,10070552,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(242550,10070552,'Must not be engaged in pvp combat',100,2,5),
(242551,10070552,'Cannot be modified except by direct means',100,2,6),
(242552,10070552,'Cannot be modified except by direct means',100,1,7),
(242553,10070552,'When Equipped:',100,0,8),
(242554,10070552,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(242555,10070552,'Increases Potency of caster by 11.0%',100,2,10),
(242556,10070552,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,11),
(242557,10070552,'Reduces resistibility of all spells by 1%.',100,2,12),
(242558,10070552,'Must not be engaged in pvp combat',100,2,13),
(242559,10070552,'Cannot be modified except by direct means',100,2,14),
(242560,10070552,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(242561,10070552,'Increases Potency of caster by 11.0%',100,2,16),
(242562,10070552,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,17),
(242563,10070552,'Reduces resistibility of all spells by 1%.',100,2,18),
(242564,10070552,'Must not be engaged in pvp combat',100,2,19),
(242565,10070552,'Cannot be modified except by direct means',100,2,20),
(242566,10070552,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,21),
(242567,10070552,'Increases Potency of caster by 11.0%',100,2,22),
(242568,10070552,'Increases Ministration, Subjugation, Ordination and Disruption of caster by 11.5',100,2,23),
(242569,10070552,'Reduces resistibility of all spells by 1%.',100,2,24),
(242570,10070552,'Must not be engaged in pvp combat',100,2,25),
(242571,10070552,'Cannot be modified except by direct means',100,2,26),
(242572,10070552,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,27),
(242573,10070552,'Cannot be modified except by direct means',100,1,28),
(242574,149101,'When Equipped:',100,0,0),
(242575,149101,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(242576,149101,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(242577,149101,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(242578,149101,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(242579,149101,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(242580,149101,'Must not be engaged in pvp combat',100,2,6),
(242581,149101,'Cannot be modified except by direct means',100,2,7),
(242582,149101,'Must not be engaged in pvp combat',100,1,8),
(242583,10149101,'When Equipped:',100,0,0),
(242584,10149101,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(242585,10149101,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(242586,10149101,'Inflicts 835 - 923 piercing damage on target instantly and every 3 seconds',100,2,3),
(242587,10149101,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(242588,10149101,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(242589,10149101,'Must not be engaged in pvp combat',100,2,6),
(242590,10149101,'Cannot be modified except by direct means',100,2,7),
(242591,10149101,'Must not be engaged in pvp combat',100,1,8),
(242592,119518,'Increases threat priority of target by 2 positions',100,1,0),
(242593,119518,'Stuns caster',100,1,1),
(242594,119518,'Decreases Defense and Parry of caster by 216.0',100,1,2),
(242595,119518,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(242596,119518,'Inflicts 880 - 1467 piercing damage on target',100,2,4),
(242597,119518,'Grants a total of 1 trigger of the spell.',100,2,5),
(242598,10119518,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(242599,10119518,'Prevents target from changing targets',100,2,1),
(242600,10119518,'Forces target to change their selected target to caster.',100,2,2),
(242601,10119518,'Stuns caster',100,1,3),
(242602,10119518,'Decreases Defense and Parry of caster by 216.0',100,1,4),
(242603,10119518,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(242604,10119518,'Inflicts 754 - 1256 piercing damage on target',100,2,6),
(242605,10119518,'Grants a total of 1 trigger of the spell.',100,2,7),
(242606,117572,'Inflicts 135 - 225 melee damage on target',100,1,0),
(242607,117572,'Decreases Parry of target by 19.1',100,1,1),
(242608,117572,'Must be in front of or flanking',100,1,2),
(242609,10117572,'Inflicts 162 - 270 melee damage on target',100,1,0),
(242610,10117572,'Decreases Parry of target by 19.1',100,1,1),
(242611,10117572,'Must be in front of or flanking',100,1,2),
(242612,121068,'Increases STR and STA of group members (AE) by 50.1',100,1,0),
(242613,10121068,'Increases STR and STA of group members (AE) by 50.1',100,1,0),
(242614,72313,'When Equipped:',100,0,0),
(242615,72313,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242616,72313,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(242617,72313,'Cannot be modified except by direct means',100,2,3),
(242618,10072313,'When Equipped:',100,0,0),
(242619,10072313,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242620,10072313,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(242621,10072313,'Cannot be modified except by direct means',100,2,3),
(242622,26564,'When Equipped:',100,0,0),
(242623,26564,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242624,26564,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(242625,10026564,'When Equipped:',100,0,0),
(242626,10026564,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242627,10026564,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(242628,74708,'When Equipped:',100,0,0),
(242629,74708,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242630,74708,'Inflicts 147 - 221 magic damage on target',100,2,2),
(242631,74708,'Cannot be modified except by direct means',100,2,3),
(242632,10074708,'When Equipped:',100,0,0),
(242633,10074708,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242634,10074708,'Inflicts 177 - 265 magic damage on target',100,2,2),
(242635,10074708,'Cannot be modified except by direct means',100,2,3),
(242636,158163,'Applies Designer Vision when Equipped.',100,0,0),
(242637,158163,'Increases speed of caster by 200.0%',100,1,1),
(242638,158163,'Lets you see control objects which allow you to manipulate the world.',100,1,2),
(242639,10158163,'Applies Designer Vision when Equipped.',100,0,0),
(242640,10158163,'Increases speed of caster by 200.0%',100,1,1),
(242641,10158163,'Lets you see control objects which allow you to manipulate the world.',100,1,2),
(242642,106957,'Inflicts 481 - 893 poison damage on target',100,1,0),
(242643,10106957,'Inflicts 577 - 1072 poison damage on target',100,1,0),
(242644,35638,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(242645,111275,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(242646,111275,'Increases Mitigation of target vs physical damage by 1188',100,2,1),
(242647,111275,'Heals target for 2145',100,2,2),
(242648,111275,'Grants a total of 1 trigger of the spell.',100,2,3),
(242649,10111275,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(242650,10111275,'Increases Mitigation of target vs physical damage by 1188',100,2,1),
(242651,10111275,'Heals target for 2510',100,2,2),
(242652,10111275,'Grants a total of 1 trigger of the spell.',100,2,3),
(242653,117865,'Heals target for 166 - 203 instantly and every 2 seconds',100,1,0),
(242654,10117865,'Heals target for 108 - 132 instantly and every 2 seconds',100,1,0),
(242655,81657,'When Equipped:',100,0,0),
(242656,81657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242657,81657,'Inflicts 107 - 199 magic damage on target',100,2,2),
(242658,81657,'Cannot be modified except by direct means',100,2,3),
(242659,10081657,'When Equipped:',100,0,0),
(242660,10081657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242661,10081657,'Inflicts 128 - 238 magic damage on target',100,2,2),
(242662,10081657,'Cannot be modified except by direct means',100,2,3),
(242663,100299,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(242664,100299,'Inflicts 146 divine damage on target',100,2,1),
(242665,10100299,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(242666,10100299,'Inflicts 175 divine damage on target',100,2,1),
(242667,85720,'When Equipped:',100,0,0),
(242668,85720,'Increases Attack Speed of caster by 20.0',100,1,1),
(242669,10085720,'When Equipped:',100,0,0),
(242670,10085720,'Increases Attack Speed of caster by 20.0',100,1,1),
(242671,100854,'Wards target against 1229 points of all damage',100,1,0),
(242672,10100854,'Wards target against 1892 points of all damage',100,1,0),
(242673,47176,'Applies Elixir of Energy  when Activated.  Lasts for 15 minutes.',100,0,0),
(242674,47176,'Increases Max Power of caster by 32.5',100,1,1),
(242675,10047176,'Applies Elixir of Energy  when Activated.  Lasts for 15 minutes.',100,0,0),
(242676,10047176,'Increases Max Power of caster by 32.5',100,1,1),
(242677,174325,'When Equipped:',100,0,0),
(242678,174325,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(242679,174325,'Inflicts 1192 heat damage on target',100,2,2),
(242680,174325,'Cannot be modified except by direct means',100,2,3),
(242681,10174325,'When Equipped:',100,0,0),
(242682,10174325,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(242683,10174325,'Inflicts 715 heat damage on target',100,2,2),
(242684,10174325,'Cannot be modified except by direct means',100,2,3),
(242685,40668,'When Equipped:',100,0,0),
(242686,40668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242687,40668,'Inflicts 108 - 163 magic damage on target',100,2,2),
(242688,40668,'Cannot be modified except by direct means',100,2,3),
(242689,10040668,'When Equipped:',100,0,0),
(242690,10040668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242691,10040668,'Inflicts 130 - 195 magic damage on target',100,2,2),
(242692,10040668,'Cannot be modified except by direct means',100,2,3),
(242693,124220,'Decreases Attack Speed of caster by 14.1',100,1,0),
(242694,124220,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(242695,124220,'Slows targets in Area of Effect by 53.5%',100,2,2),
(242696,124220,'5% chance to dispel when target receives hostile action',100,2,3),
(242697,124220,'5% chance to dispel when target takes damage',100,2,4),
(242698,124220,'Increases Mitigation of caster vs physical damage by 574',100,1,5),
(242699,10124220,'Decreases Attack Speed of caster by 14.1',100,1,0),
(242700,10124220,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(242701,10124220,'Slows targets in Area of Effect by 40.1%',100,2,2),
(242702,10124220,'5% chance to dispel when target receives hostile action',100,2,3),
(242703,10124220,'5% chance to dispel when target takes damage',100,2,4),
(242704,10124220,'Increases Mitigation of caster vs physical damage by 574',100,1,5),
(242705,81639,'When Equipped:',100,0,0),
(242706,81639,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(242707,81639,'Inflicts 107 - 199 magic damage on target',100,2,2),
(242708,81639,'Decreases Threat to target by 376 ',100,2,3),
(242709,81639,'Must be flanking or behind',100,3,4),
(242710,81639,'Increases Threat to target by 381 ',100,2,5),
(242711,81639,'Must be in front of',100,3,6),
(242712,81639,'Cannot be modified except by direct means',100,2,7),
(242713,10081639,'When Equipped:',100,0,0),
(242714,10081639,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(242715,10081639,'Inflicts 128 - 238 magic damage on target',100,2,2),
(242716,10081639,'Cannot be modified except by direct means',100,2,3),
(242717,185776,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(242718,10185776,'Applies Excavator''s Dedication when Equipped.',100,0,0),
(242719,159085,'Applies Sanguine Imbued when Equipped.',100,0,0),
(242720,159085,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(242721,159085,'Inflicts 38 heat damage on target',100,2,2),
(242722,159085,'Cannot be modified except by direct means',100,2,3),
(242723,10159085,'Applies Sanguine Imbued when Equipped.',100,0,0),
(242724,10159085,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(242725,10159085,'Inflicts 45 heat damage on target',100,2,2),
(242726,10159085,'Cannot be modified except by direct means',100,2,3),
(242727,113053,'Dazes target',100,1,0),
(242728,113053,'If Target is not Epic',100,2,1),
(242729,113053,'Applies Scream on termination.',100,1,2),
(242730,113053,'Inflicts 50 - 83 disease damage on target',100,2,3),
(242731,113053,'Resistibility increases against targets higher than level 49.',100,1,4),
(242732,10113053,'Dazes target',100,1,0),
(242733,10113053,'If Target is not Epic',100,2,1),
(242734,10113053,'Applies Scream on termination.',100,1,2),
(242735,10113053,'Inflicts 60 - 100 disease damage on target',100,2,3),
(242736,10113053,'Resistibility increases against targets higher than level 49.',100,1,4),
(242737,111548,'Increases Hate Gain of target by 31.5%',100,1,0),
(242738,111548,'Increases Aggression of target by 25.2',100,1,1),
(242739,10111548,'Increases STR of target by 65.8',100,1,0),
(242740,10111548,'Increases Aggression of target by 25.2',100,1,1),
(242741,124582,'Decreases Threat to targets in Area of Effect by 2,850 ',100,1,0),
(242742,124582,'Interrupts targets in Area of Effect',100,1,1),
(242743,124582,'Roots targets in Area of Effect',100,1,2),
(242744,124582,'If Target is not Epic',100,2,3),
(242745,10124582,'Applies Distract.',100,1,0),
(242746,10124582,'Forces target to clear their selected target.',100,2,1),
(242747,10124582,'Interrupts targets in Area of Effect',100,1,2),
(242748,10124582,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(242749,10124582,'Roots targets in Area of Effect',100,1,4),
(242750,10124582,'If Target is not Epic',100,2,5),
(242751,120683,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.5',100,1,0),
(242752,10120683,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.5',100,1,0),
(242753,159161,'Applies Lambent Imbued when Equipped.',100,0,0),
(242754,159161,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(242755,159161,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(242756,159161,'Cannot be modified except by direct means',100,2,3),
(242757,10159161,'Applies Lambent Imbued when Equipped.',100,0,0),
(242758,10159161,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(242759,10159161,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(242760,10159161,'Cannot be modified except by direct means',100,2,3),
(242761,81729,'When Equipped:',100,0,0),
(242762,81729,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242763,81729,'Inflicts 105 - 195 magic damage on target',100,2,2),
(242764,81729,'Cannot be modified except by direct means',100,2,3),
(242765,10081729,'When Equipped:',100,0,0),
(242766,10081729,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242767,10081729,'Inflicts 126 - 234 magic damage on target',100,2,2),
(242768,10081729,'Cannot be modified except by direct means',100,2,3),
(242769,123839,'Increases WIS and STR of group members (AE) by 11.8',100,1,0),
(242770,10123839,'Increases WIS and STR of group members (AE) by 11.8',100,1,0),
(242771,35550,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(242772,137665,'When Equipped:',100,0,0),
(242773,137665,'On a hostile spell hit this spell may cast Grasping Roots on target of spell.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242774,137665,'Roots target',100,2,2),
(242775,137665,'15% chance to dispel when target takes damage',100,2,3),
(242776,137665,'Only affects targets level 77 and below',100,2,4),
(242777,137665,'Does not affect Epic targets',100,2,5),
(242778,137665,'Resistibility increases against targets higher than level 101.',100,2,6),
(242779,137665,'Cannot be modified except by direct means',100,2,7),
(242780,10137665,'When Equipped:',100,0,0),
(242781,10137665,'On a hostile spell hit this spell may cast Grasping Roots on target of spell.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242782,10137665,'Roots target',100,2,2),
(242783,10137665,'15% chance to dispel when target takes damage',100,2,3),
(242784,10137665,'Only affects targets level 77 and below',100,2,4),
(242785,10137665,'Does not affect Epic targets',100,2,5),
(242786,10137665,'Resistibility increases against targets higher than level 101.',100,2,6),
(242787,10137665,'Cannot be modified except by direct means',100,2,7),
(242788,46481,'Applies Wings of Flight when Activated.',100,0,0),
(242789,46481,'Increases Ordination, Piercing, Disruption and Slashing of caster by 5.0',100,1,1),
(242790,46481,'Summons a mount to ride',100,1,2),
(242791,46481,'Increases your ground speed by 75%',100,2,3),
(242792,46481,'Increases your air speed by 150%',100,2,4),
(242793,46481,'Increases Subjugation, Ministration, Focus, Aggression, Crushing and Ranged of caster by 5.0',100,1,5),
(242794,10046481,'Applies Wings of Flight when Activated.',100,0,0),
(242795,10046481,'Increases Ordination, Piercing, Disruption and Slashing of caster by 5.0',100,1,1),
(242796,10046481,'Summons a mount to ride',100,1,2),
(242797,10046481,'Increases your ground speed by 75%',100,2,3),
(242798,10046481,'Increases your air speed by 150%',100,2,4),
(242799,10046481,'Increases Subjugation, Ministration, Focus, Aggression, Crushing and Ranged of caster by 5.0',100,1,5),
(242800,25352,'When Equipped:',100,0,0),
(242801,25352,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242802,25352,'Improves the hate transfer of Converge by up to 5%.',100,1,2),
(242803,10025352,'When Equipped:',100,0,0),
(242804,10025352,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(242805,10025352,'Improves the hate transfer of Converge by up to 5%.',100,1,2),
(242806,155779,'When Equipped:',100,0,0),
(242807,155779,'Increases Attack Speed of caster by 2.0',100,1,1),
(242808,10155779,'When Equipped:',100,0,0),
(242809,10155779,'Increases Attack Speed of caster by 2.0',100,1,1),
(242810,80611,'When Equipped:',100,0,0),
(242811,80611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242812,80611,'Inflicts 53 - 98 magic damage on target',100,2,2),
(242813,80611,'Cannot be modified except by direct means',100,2,3),
(242814,10080611,'When Equipped:',100,0,0),
(242815,10080611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242816,10080611,'Inflicts 64 - 118 magic damage on target',100,2,2),
(242817,10080611,'Cannot be modified except by direct means',100,2,3),
(242818,103724,'Increases Max Health of raid and group members (AE) by 341.2',100,1,0),
(242819,103724,'Increases Defense of raid and group members (AE) by 11.7',100,1,1),
(242820,10103724,'Increases Max Health of raid and group members (AE) by 341.2',100,1,0),
(242821,10103724,'Increases Defense of raid and group members (AE) by 11.7',100,1,1),
(242822,106159,'Inflicts 471 - 785 divine damage on target encounter',100,1,0),
(242823,106159,'Interrupts target encounter',100,1,1),
(242824,10106159,'Inflicts 565 - 942 divine damage on target encounter',100,1,0),
(242825,10106159,'Interrupts target encounter',100,1,1),
(242826,156898,'Applies Unstable Magics when Equipped.',100,0,0),
(242827,156898,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(242828,10156898,'Applies Unstable Magics when Equipped.',100,0,0),
(242829,10156898,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(242830,81303,'When Equipped:',100,0,0),
(242831,81303,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(242832,81303,'Inflicts 193 - 358 magic damage on target',100,2,2),
(242833,81303,'Decreases Threat to target by 949 ',100,2,3),
(242834,81303,'Must be flanking or behind',100,3,4),
(242835,81303,'Increases Threat to target by 954 ',100,2,5),
(242836,81303,'Must be in front of',100,3,6),
(242837,81303,'Cannot be modified except by direct means',100,2,7),
(242838,10081303,'When Equipped:',100,0,0),
(242839,10081303,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(242840,10081303,'Inflicts 231 - 430 magic damage on target',100,2,2),
(242841,10081303,'Cannot be modified except by direct means',100,2,3),
(242842,35149,'Increases AGI of target by 1.5',100,0,0),
(242843,35149,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(242844,175294,'When Equipped:',100,0,0),
(242845,175294,'Increases Attack Speed of caster by 40.0',100,1,1),
(242846,10175294,'When Equipped:',100,0,0),
(242847,10175294,'Increases Attack Speed of caster by 40.0',100,1,1),
(242848,24420,'Adds Goblin-Sand (Dirge) to your Dungeon Maker toolbox',100,0,0),
(242849,10024420,'Adds Goblin-Sand (Dirge) to your Dungeon Maker toolbox',100,0,0),
(242850,115746,'Inflicts 3 - 6 melee damage on target',100,1,0),
(242851,10115746,'Inflicts 4 - 7 melee damage on target',100,1,0),
(242852,112454,'Mesmerizes target',100,1,0),
(242853,112454,'Prevents AOE (except when direct) ',100,1,1),
(242854,112454,'Dispelled when target takes damage',100,1,2),
(242855,112454,'Does not affect Epic targets',100,1,3),
(242856,112454,'Resistibility increases against targets higher than level 106.',100,1,4),
(242857,10112454,'Mesmerizes target',100,1,0),
(242858,10112454,'Prevents AOE (except when direct) ',100,1,1),
(242859,10112454,'Dispelled when target takes damage',100,1,2),
(242860,10112454,'Does not affect Epic targets',100,1,3),
(242861,10112454,'Resistibility increases against targets higher than level 106.',100,1,4),
(242862,124413,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(242863,124413,'Inflicts 167 - 278 melee damage on target',100,2,1),
(242864,124413,'Grants a total of 3 triggers of the spell.',100,2,2),
(242865,10124413,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(242866,10124413,'Inflicts 200 - 334 melee damage on target',100,2,1),
(242867,10124413,'Grants a total of 3 triggers of the spell.',100,2,2),
(242868,123469,'Shapechanges caster into a bear',100,1,0),
(242869,123469,'Increases WIS of caster by 155.5',100,1,1),
(242870,123469,'Grants See Stealth to caster',100,1,2),
(242871,123469,'Increases Max Health of caster by 688.3',100,1,3),
(242872,123469,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2356',100,1,4),
(242873,10123469,'Shapechanges caster into a bear',100,1,0),
(242874,10123469,'Increases WIS of caster by 155.5',100,1,1),
(242875,10123469,'Grants See Stealth to caster',100,1,2),
(242876,10123469,'Increases Max Health of caster by 688.3',100,1,3),
(242877,10123469,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2356',100,1,4),
(242878,162735,'Applies Unstable Magics when Equipped.',100,0,0),
(242879,162735,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(242880,10162735,'Applies Unstable Magics when Equipped.',100,0,0),
(242881,10162735,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(242882,108670,'Dispels 172 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(242883,10108670,'Dispels 172 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(242884,124644,'Inflicts 248 - 303 cold damage on target encounter',100,1,0),
(242885,124644,'Decreases Piercing, Slashing and Crushing of target encounter by 9.6',100,1,1),
(242886,10124644,'Inflicts 297 - 363 cold damage on target encounter',100,1,0),
(242887,10124644,'Decreases Piercing, Slashing and Crushing of target encounter by 9.6',100,1,1),
(242888,143623,'When Equipped:',100,0,0),
(242889,143623,'Wards caster against 506 points of noxious damage',100,1,1),
(242890,143623,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(242891,143623,'Inflicts 253 disease damage on target',100,2,3),
(242892,143623,'Inflicts 253 poison damage on target',100,2,4),
(242893,143623,'Cannot be modified except by direct means',100,2,5),
(242894,10143623,'When Equipped:',100,0,0),
(242895,10143623,'Wards caster against 506 points of noxious damage',100,1,1),
(242896,10143623,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(242897,10143623,'Inflicts 303 disease damage on target',100,2,3),
(242898,10143623,'Inflicts 303 poison damage on target',100,2,4),
(242899,10143623,'Cannot be modified except by direct means',100,2,5),
(242900,81831,'When Equipped:',100,0,0),
(242901,81831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242902,81831,'Inflicts 105 - 195 magic damage on target',100,2,2),
(242903,81831,'Cannot be modified except by direct means',100,2,3),
(242904,10081831,'When Equipped:',100,0,0),
(242905,10081831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242906,10081831,'Inflicts 126 - 234 magic damage on target',100,2,2),
(242907,10081831,'Cannot be modified except by direct means',100,2,3),
(242908,47145,'Applies Conladan''s Awakening  when Activated.  Lasts for 15 minutes.',100,0,0),
(242909,47145,'Increases Max Power of caster by 207.2',100,1,1),
(242910,10047145,'Applies Conladan''s Awakening  when Activated.  Lasts for 15 minutes.',100,0,0),
(242911,10047145,'Increases Max Power of caster by 207.2',100,1,1),
(242912,101595,'Inflicts 276 - 460 melee damage on targets in area',100,1,0),
(242913,10101595,'Inflicts 331 - 552 melee damage on targets in area',100,1,0),
(242914,35862,'Increases AGI of target by 1.5',100,0,0),
(242915,35862,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(242916,100883,'Makes target afraid',100,1,0),
(242917,100883,'30% chance to dispel when target takes damage',100,1,1),
(242918,100883,'Does not affect Epic targets',100,1,2),
(242919,100883,'Resistibility increases against targets higher than level 106.',100,1,3),
(242920,10100883,'Makes target afraid',100,1,0),
(242921,10100883,'30% chance to dispel when target takes damage',100,1,1),
(242922,10100883,'Does not affect Epic targets',100,1,2),
(242923,10100883,'Resistibility increases against targets higher than level 106.',100,1,3),
(242924,75653,'Applies Holy Strike when Activated.',100,0,0),
(242925,75653,'Inflicts 169 - 282 divine damage on target',100,1,1),
(242926,75653,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(242927,10075653,'Applies Holy Strike when Activated.',100,0,0),
(242928,10075653,'Inflicts 203 - 338 divine damage on target',100,1,1),
(242929,10075653,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(242930,42561,'When Equipped:',100,0,0),
(242931,42561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242932,42561,'Inflicts 152 - 228 magic damage on target',100,2,2),
(242933,42561,'Cannot be modified except by direct means',100,2,3),
(242934,10042561,'When Equipped:',100,0,0),
(242935,10042561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(242936,10042561,'Inflicts 182 - 273 magic damage on target',100,2,2),
(242937,10042561,'Cannot be modified except by direct means',100,2,3),
(242938,177513,'When Equipped:',100,0,0),
(242939,177513,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(242940,177513,'Increases AGI of caster by 14.8',100,2,2),
(242941,177513,'Increases Attack Speed of caster by 16.5',100,2,3),
(242942,177513,'Cannot be modified except by direct means',100,2,4),
(242943,10177513,'When Equipped:',100,0,0),
(242944,10177513,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(242945,10177513,'Increases AGI of caster by 14.8',100,2,2),
(242946,10177513,'Increases Attack Speed of caster by 16.5',100,2,3),
(242947,10177513,'Cannot be modified except by direct means',100,2,4),
(242948,112947,'Inflicts 39 - 117 crushing damage on target',100,1,0),
(242949,10112947,'Inflicts 46 - 140 crushing damage on target',100,1,0),
(242950,71404,'When Equipped:',100,0,0),
(242951,71404,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242952,71404,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(242953,71404,'Cannot be modified except by direct means',100,2,3),
(242954,10071404,'When Equipped:',100,0,0),
(242955,10071404,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(242956,10071404,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(242957,10071404,'Cannot be modified except by direct means',100,2,3),
(242958,48812,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(242959,48812,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(242960,48812,'Inflicts 41 poison damage on target',100,2,2),
(242961,48812,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,3),
(242962,48812,'Cannot be modified except by direct means',100,2,4),
(242963,48812,'Grants a total of 200 triggers of the spell.',100,2,5),
(242964,10048812,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(242965,10048812,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(242966,10048812,'Inflicts 6 poison damage on target instantly and every 6 seconds',100,2,2),
(242967,10048812,'Inflicts 37 poison damage on target',100,2,3),
(242968,10048812,'Cannot be modified except by direct means',100,2,4),
(242969,10048812,'Grants a total of 200 triggers of the spell.',100,2,5),
(242970,107885,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(242971,107885,'Slows target by 39.2%',100,2,1),
(242972,107885,'5% chance to dispel when target receives hostile action',100,2,2),
(242973,107885,'5% chance to dispel when target takes damage',100,2,3),
(242974,107885,'Slows target encounter by 47.0%',100,1,4),
(242975,107885,'5% chance to dispel when target takes damage',100,1,5),
(242976,10107885,'Slows target encounter by 47.0%',100,1,0),
(242977,10107885,'5% chance to dispel when target takes damage',100,1,1),
(242978,35434,'Increases AGI of target by 1.5',100,0,0),
(242979,35434,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(242980,121000,'Inflicts 17 - 28 poison damage on target instantly and every 4 seconds',100,1,0),
(242981,121000,'Inflicts 66 - 111 poison damage on target',100,1,1),
(242982,10121000,'Inflicts 20 - 33 poison damage on target instantly and every 4 seconds',100,1,0),
(242983,10121000,'Inflicts 79 - 133 poison damage on target',100,1,1),
(242984,112462,'Decreases AGI and WIS of target by 7.1',100,1,0),
(242985,10112462,'Decreases AGI and WIS of target by 7.1',100,1,0),
(242986,164904,'When Equipped:',100,0,0),
(242987,164904,'On a healing spell cast this spell may cast Aspect of Purity on target of spell cast.  Triggers about 1.0 times per minute. ',100,1,1),
(242988,164904,'Summon 1 Aspect of Purity',100,2,2),
(242989,164904,'Cannot be modified except by direct means',100,2,3),
(242990,10164904,'When Equipped:',100,0,0),
(242991,10164904,'On a healing spell cast this spell may cast Aspect of Purity on target of spell cast.  Triggers about 1.0 times per minute. ',100,1,1),
(242992,10164904,'Summon 1 Aspect of Purity',100,2,2),
(242993,10164904,'Cannot be modified except by direct means',100,2,3),
(242994,108541,'Makes target afraid',100,1,0),
(242995,108541,'30% chance to dispel when target takes damage',100,1,1),
(242996,108541,'Does not affect Epic targets',100,1,2),
(242997,108541,'Resistibility increases against targets higher than level 53.',100,1,3),
(242998,10108541,'Makes target afraid',100,1,0),
(242999,10108541,'30% chance to dispel when target takes damage',100,1,1),
(243000,10108541,'Does not affect Epic targets',100,1,2),
(243001,10108541,'Resistibility increases against targets higher than level 53.',100,1,3),
(243002,161241,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(243003,161241,'Increases speed of caster by 10.0%',100,1,1),
(243004,161241,'This effect suspends during combat',100,1,2),
(243005,10161241,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(243006,10161241,'Increases speed of caster by 10.0%',100,1,1),
(243007,10161241,'This effect suspends during combat',100,1,2),
(243008,123338,'Increases STA of raid and group members (AE) by 78.8',100,1,0),
(243009,123338,'Increase spell damage of group and raid members by 5%.',100,1,1),
(243010,10123338,'Increases STA of raid and group members (AE) by 78.8',100,1,0),
(243011,10123338,'Increase spell damage of group and raid members by 5%.',100,1,1),
(243012,101733,'Mesmerizes target',100,1,0),
(243013,101733,'Prevents AOE (except when direct) ',100,1,1),
(243014,101733,'Mesmerizes caster',100,1,2),
(243015,101733,'Dispelled when target takes damage',100,1,3),
(243016,101733,'Does not affect Epic targets',100,1,4),
(243017,101733,'Resistibility increases against targets higher than level 96.',100,1,5),
(243018,10101733,'Mesmerizes target',100,1,0),
(243019,10101733,'Prevents AOE (except when direct) ',100,1,1),
(243020,10101733,'Mesmerizes caster',100,1,2),
(243021,10101733,'Dispelled when target takes damage',100,1,3),
(243022,10101733,'Does not affect Epic targets',100,1,4),
(243023,10101733,'Resistibility increases against targets higher than level 96.',100,1,5),
(243024,108080,'Decreases Threat to target by 189 - 315 ',100,1,0),
(243025,10108080,'Forces target to clear their selected target.',100,1,0),
(243026,10108080,'Target cannot target caster for the duration of this effect.',100,1,1),
(243027,123258,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(243028,123258,'Increases Mitigation of group members (AE) vs noxious damage by 882',100,1,1),
(243029,10123258,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(243030,10123258,'Increases Mitigation of group members (AE) vs noxious damage by 882',100,1,1),
(243031,35168,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(243032,51504,'When Equipped:',100,0,0),
(243033,51504,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(243034,51504,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(243035,51504,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(243036,51504,'Heals caster for 1185 - 1309',100,2,4),
(243037,51504,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(243038,51504,'Must not be engaged in pvp combat',100,2,6),
(243039,51504,'Cannot be modified except by direct means',100,2,7),
(243040,51504,'Cannot be modified except by direct means',100,1,8),
(243041,10051504,'When Equipped:',100,0,0),
(243042,10051504,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(243043,10051504,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(243044,10051504,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(243045,10051504,'Heals caster for 1386 - 1532',100,2,4),
(243046,10051504,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(243047,10051504,'Must not be engaged in pvp combat',100,2,6),
(243048,10051504,'Cannot be modified except by direct means',100,2,7),
(243049,10051504,'Cannot be modified except by direct means',100,1,8),
(243050,102001,'Summons 2 limited pets to aid the caster',100,1,0),
(243051,102001,'Summons a limited pet to aid the caster',100,1,1),
(243052,10102001,'Summons 2 limited pets to aid the caster',100,1,0),
(243053,10102001,'Summons a limited pet to aid the caster',100,1,1),
(243054,87306,'When Equipped:',100,0,0),
(243055,87306,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243056,87306,'Inflicts 71 - 106 magic damage on target',100,2,2),
(243057,87306,'Cannot be modified except by direct means',100,2,3),
(243058,10087306,'When Equipped:',100,0,0),
(243059,10087306,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243060,10087306,'Inflicts 85 - 127 magic damage on target',100,2,2),
(243061,10087306,'Cannot be modified except by direct means',100,2,3),
(243062,25339,'When Equipped:',100,0,0),
(243063,25339,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(243064,25339,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(243065,10025339,'When Equipped:',100,0,0),
(243066,10025339,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(243067,10025339,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(243068,82637,'When Equipped:',100,0,0),
(243069,82637,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243070,82637,'Inflicts 75 - 140 magic damage on target',100,2,2),
(243071,82637,'Decreases Threat to target by 259 ',100,2,3),
(243072,82637,'Must be flanking or behind',100,3,4),
(243073,82637,'Increases Threat to target by 264 ',100,2,5),
(243074,82637,'Must be in front of',100,3,6),
(243075,82637,'Cannot be modified except by direct means',100,2,7),
(243076,10082637,'When Equipped:',100,0,0),
(243077,10082637,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243078,10082637,'Inflicts 90 - 168 magic damage on target',100,2,2),
(243079,10082637,'Cannot be modified except by direct means',100,2,3),
(243080,82267,'When Equipped:',100,0,0),
(243081,82267,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243082,82267,'Inflicts 31 - 57 magic damage on target',100,2,2),
(243083,82267,'Decreases Threat to target by 135 ',100,2,3),
(243084,82267,'Must be flanking or behind',100,3,4),
(243085,82267,'Increases Threat to target by 140 ',100,2,5),
(243086,82267,'Must be in front of',100,3,6),
(243087,82267,'Cannot be modified except by direct means',100,2,7),
(243088,10082267,'When Equipped:',100,0,0),
(243089,10082267,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243090,10082267,'Inflicts 37 - 68 magic damage on target',100,2,2),
(243091,10082267,'Cannot be modified except by direct means',100,2,3),
(243092,89601,'Applies Soul Channel when Activated.',100,0,0),
(243093,89601,'Decreases power of target by 200',100,1,1),
(243094,89601,'Increases power of caster by 200',100,1,2),
(243095,89601,'The casting time of Soul Channel is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(243096,10089601,'Applies Soul Channel when Activated.',100,0,0),
(243097,10089601,'Decreases power of target by 200',100,1,1),
(243098,10089601,'Increases power of caster by 200',100,1,2),
(243099,10089601,'The casting time of Soul Channel is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(243100,115131,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(243101,115131,'Heals target for 547',100,2,1),
(243102,115131,'Heals target for 137 every 2 seconds',100,2,2),
(243103,115131,'Increases WIS of target by 54.2',100,2,3),
(243104,115131,'Grants a total of 1 trigger of the spell.',100,2,4),
(243105,10115131,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(243106,10115131,'Heals target for 355',100,2,1),
(243107,10115131,'Heals target for 89 every 2 seconds',100,2,2),
(243108,10115131,'Increases WIS of target by 54.2',100,2,3),
(243109,10115131,'Grants a total of 1 trigger of the spell.',100,2,4),
(243110,119688,'Increases Threat to target encounter by 149 - 181 ',100,1,0),
(243111,10119688,'Prevents target encounter from changing targets',100,1,0),
(243112,10119688,'Forces target encounter to change their selected target to caster.',100,1,1),
(243113,75255,'When Equipped:',100,0,0),
(243114,75255,'On a hit this spell may cast Arbiter''s Justice on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243115,75255,'Inflicts 4718 heat damage on target instantly and every 2.5 seconds',100,2,2),
(243116,75255,'Inflicts an additional 2022 heat damage on target every tick',100,2,3),
(243117,75255,'Increases Max Health of group members by 4.0%',100,2,4),
(243118,75255,'Increases Crit Bonus of group members by 5.0%',100,2,5),
(243119,75255,'Increases Potency of group members by 5.0%',100,2,6),
(243120,75255,'Cannot be modified except by direct means',100,2,7),
(243121,75255,'Cannot be modified except by direct means',100,1,8),
(243122,10075255,'When Equipped:',100,0,0),
(243123,10075255,'On a hit this spell may cast Arbiter''s Justice on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243124,10075255,'Inflicts 809 heat damage on target',100,2,2),
(243125,10075255,'Inflicts 809 poison damage on target',100,2,3),
(243126,10075255,'Increases Crit Bonus of caster by 4.0%',100,2,4),
(243127,10075255,'Increases Potency of caster by 4.0%',100,2,5),
(243128,10075255,'Cannot be modified except by direct means',100,2,6),
(243129,10075255,'Cannot be modified except by direct means',100,1,7),
(243130,27299,'When Equipped:',100,0,0),
(243131,27299,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(243132,27299,'Inflicts 288 disease damage on target',100,2,2),
(243133,27299,'Cancels up to 17.7% of target''s speed buffs',100,2,3),
(243134,27299,'Cannot be modified except by direct means',100,2,4),
(243135,10027299,'When Equipped:',100,0,0),
(243136,10027299,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(243137,10027299,'Inflicts 346 disease damage on target',100,2,2),
(243138,10027299,'Cancels up to 17.7% of target''s speed buffs',100,2,3),
(243139,10027299,'Cannot be modified except by direct means',100,2,4),
(243140,138328,'When Equipped:',100,0,0),
(243141,138328,'On a melee hit this spell may cast Insanity of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243142,138328,'Increases damage done by combat arts by up to 150.',100,2,2),
(243143,138328,'Increases Crit Chance of caster by 25.0',100,2,3),
(243144,138328,'Cannot be modified except by direct means',100,2,4),
(243145,138328,'Cannot be modified except by direct means',100,1,5),
(243146,10138328,'When Equipped:',100,0,0),
(243147,10138328,'On a melee hit this spell may cast Insanity of War on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243148,10138328,'Increases damage done by combat arts by up to 150.',100,2,2),
(243149,10138328,'Increases Crit Chance of caster by 25.0',100,2,3),
(243150,10138328,'Cannot be modified except by direct means',100,2,4),
(243151,10138328,'Cannot be modified except by direct means',100,1,5),
(243152,50436,'When Equipped:',100,0,0),
(243153,50436,'This effect will not stack with any rank or tier of itself.',100,1,1),
(243154,50436,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(243155,50436,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,3),
(243156,50436,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,4),
(243157,50436,'Inflicts 201 - 222 piercing damage on target',100,3,5),
(243158,50436,'Must not be engaged in pvp combat',100,3,6),
(243159,50436,'Cannot be modified except by direct means',100,3,7),
(243160,50436,'Must not be engaged in pvp combat',100,2,8),
(243161,50436,'Cannot be modified except by direct means',100,2,9),
(243162,50436,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(243163,50436,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,11),
(243164,50436,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,12),
(243165,50436,'Inflicts 201 - 222 piercing damage on target',100,3,13),
(243166,50436,'Must not be engaged in pvp combat',100,3,14),
(243167,50436,'Cannot be modified except by direct means',100,3,15),
(243168,50436,'Must not be engaged in pvp combat',100,2,16),
(243169,50436,'Cannot be modified except by direct means',100,2,17),
(243170,50436,'Cannot be modified except by direct means',100,1,18),
(243171,10050436,'When Equipped:',100,0,0),
(243172,10050436,'This effect will not stack with any rank or tier of itself.',100,1,1),
(243173,10050436,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(243174,10050436,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,3),
(243175,10050436,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,4),
(243176,10050436,'Inflicts 241 - 267 piercing damage on target',100,3,5),
(243177,10050436,'Must not be engaged in pvp combat',100,3,6),
(243178,10050436,'Cannot be modified except by direct means',100,3,7),
(243179,10050436,'Must not be engaged in pvp combat',100,2,8),
(243180,10050436,'Cannot be modified except by direct means',100,2,9),
(243181,10050436,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(243182,10050436,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,11),
(243183,10050436,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,12),
(243184,10050436,'Inflicts 241 - 267 piercing damage on target',100,3,13),
(243185,10050436,'Must not be engaged in pvp combat',100,3,14),
(243186,10050436,'Cannot be modified except by direct means',100,3,15),
(243187,10050436,'Must not be engaged in pvp combat',100,2,16),
(243188,10050436,'Cannot be modified except by direct means',100,2,17),
(243189,10050436,'Cannot be modified except by direct means',100,1,18),
(243190,112638,'Inflicts 54 - 90 disease damage on target',100,1,0),
(243191,112638,'Inflicts 54 - 90 disease damage on target',100,1,1),
(243192,112638,'Roots target',100,1,2),
(243193,112638,'If Target is not Epic',100,2,3),
(243194,112638,'15% chance to dispel when target takes damage',100,1,4),
(243195,112638,'If weapon equipped in Ranged',100,1,5),
(243196,112638,'Resistibility increases against targets higher than level 59.',100,1,6),
(243197,10112638,'Inflicts 45 - 76 disease damage on target',100,1,0),
(243198,10112638,'Inflicts 45 - 76 disease damage on target',100,1,1),
(243199,10112638,'Roots target',100,1,2),
(243200,10112638,'If Target is not Epic',100,2,3),
(243201,10112638,'15% chance to dispel when target takes damage',100,1,4),
(243202,10112638,'If weapon equipped in Ranged',100,1,5),
(243203,10112638,'Resistibility increases against targets higher than level 59.',100,1,6),
(243204,122907,'Increases STR and INT of group members (AE) by 50.6',100,1,0),
(243205,10122907,'Increases STR and INT of group members (AE) by 50.6',100,1,0),
(243206,89853,'When Equipped:',100,0,0),
(243207,89853,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(243208,89853,'Heals caster for 184 instantly and every 5 seconds',100,2,2),
(243209,89853,'Cannot be modified except by direct means',100,2,3),
(243210,10089853,'When Equipped:',100,0,0),
(243211,10089853,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(243212,10089853,'Heals caster for 120 instantly and every 5 seconds',100,2,2),
(243213,10089853,'Cannot be modified except by direct means',100,2,3),
(243214,47816,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(243215,47816,'Increases AGI of caster by 123.7',100,1,1),
(243216,47816,'Increases Crit Bonus of caster by 1.5%',100,1,2),
(243217,10047816,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(243218,10047816,'Increases AGI of caster by 123.7',100,1,1),
(243219,10047816,'Increases Crit Bonus of caster by 1.5%',100,1,2),
(243220,35361,'Increases Max Health of target by 3.9',100,0,0),
(243221,35361,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(243222,120563,'Inflicts 3418 - 5697 ranged damage on target',100,1,0),
(243223,120563,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(243224,120563,'Stuns target',100,2,2),
(243225,120563,'Throws target back',100,2,3),
(243226,120563,'Blurs vision of target',100,2,4),
(243227,120563,'Does not affect Epic targets',100,2,5),
(243228,120563,'I need to be stealthed!',100,1,6),
(243229,120563,'Requires bow',100,1,7),
(243230,10120563,'Inflicts 1801 - 3003 melee damage on target',100,1,0),
(243231,10120563,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(243232,10120563,'Stuns target',100,2,2),
(243233,10120563,'Throws target back',100,2,3),
(243234,10120563,'Blurs vision of target',100,2,4),
(243235,10120563,'Does not affect Epic targets',100,2,5),
(243236,10120563,'I need to be stealthed!',100,1,6),
(243237,107190,'Inflicts 161 - 268 divine damage on target',100,1,0),
(243238,107190,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(243239,107190,'Stuns target',100,2,2),
(243240,107190,'If Target is not Epic',100,3,3),
(243241,107190,'Inflicts 376 - 627 divine damage on target',100,2,4),
(243242,107190,'Inflicts 322 - 537 divine damage on target',100,2,5),
(243243,107190,'If target is undead',100,3,6),
(243244,10107190,'Inflicts 128 - 214 divine damage on target',100,1,0),
(243245,10107190,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(243246,10107190,'Inflicts 677 - 1128 divine damage on target',100,2,2),
(243247,10107190,'Stuns target',100,2,3),
(243248,10107190,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(243249,37085,'Increases Max Power of target by 3.3',100,0,0),
(243250,37085,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(243251,104358,'Charms target',100,1,0),
(243252,104358,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(243253,104358,'Mesmerizes target',100,2,2),
(243254,104358,'Dispelled when target takes damage',100,2,3),
(243255,104358,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(243256,104358,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(243257,104358,'Grants Sonic Vision to caster',100,2,6),
(243258,104358,'Increases Out-of-Combat Power Regeneration of target by 42.4',100,1,7),
(243259,104358,'Increases Out-of-Combat Health Regeneration of target by 84.8',100,1,8),
(243260,104358,'Certain enemies cannot be charmed',100,1,9),
(243261,104358,'Does not affect Epic targets',100,1,10),
(243262,10104358,'Mesmerizes target',100,1,0),
(243263,10104358,'Prevents AOE (except when direct) ',100,1,1),
(243264,10104358,'Dispelled when target takes damage',100,1,2),
(243265,10104358,'Certain enemies cannot be charmed',100,1,3),
(243266,10104358,'Does not affect Epic targets',100,1,4),
(243267,10104358,'Resistibility increases against targets higher than level 90.',100,1,5),
(243268,100019,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(243269,100019,'Inflicts 94 - 156 melee damage on targets in area',100,2,1),
(243270,100019,'Decreases Defense of caster by 10.8',100,1,2),
(243271,100019,'Increases Slashing, Piercing and Crushing of caster by 25.9',100,1,3),
(243272,10100019,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(243273,10100019,'Inflicts 112 - 188 melee damage on targets in area',100,2,1),
(243274,10100019,'Decreases Defense of caster by 10.8',100,1,2),
(243275,10100019,'Increases Slashing, Piercing and Crushing of caster by 25.9',100,1,3),
(243276,45759,'Applies Wave of Health  when Activated.',100,0,0),
(243277,45759,'Heals caster for 54',100,1,1),
(243278,10045759,'Applies Wave of Health  when Activated.',100,0,0),
(243279,10045759,'Heals caster for 35',100,1,1),
(243280,87416,'When Equipped:',100,0,0),
(243281,87416,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243282,87416,'Inflicts 124 - 186 magic damage on target',100,2,2),
(243283,87416,'Cannot be modified except by direct means',100,2,3),
(243284,10087416,'When Equipped:',100,0,0),
(243285,10087416,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243286,10087416,'Inflicts 149 - 223 magic damage on target',100,2,2),
(243287,10087416,'Cannot be modified except by direct means',100,2,3),
(243288,106708,'Heals target for 121 - 147',100,1,0),
(243289,10106708,'Heals target for 142 - 173',100,1,0),
(243290,123937,'Increases STR and WIS of target by 112.1',100,1,0),
(243291,123937,'Increases Mitigation of target vs elemental, noxious and arcane damage by 333',100,1,1),
(243292,10123937,'Increases STR and WIS of target by 112.1',100,1,0),
(243293,10123937,'Increases Mitigation of target vs elemental, noxious and arcane damage by 333',100,1,1),
(243294,110570,'Decreases Attack Speed of target by 13.6',100,1,0),
(243295,110570,'Decreases Crushing, Slashing and Piercing of target by 4.0',100,1,1),
(243296,10110570,'Decreases Attack Speed of target by 13.6',100,1,0),
(243297,10110570,'Decreases Crushing, Slashing and Piercing of target by 4.0',100,1,1),
(243298,101008,'Increases INT of target by 156.3',100,1,0),
(243299,101008,'Increases Attack Speed of target by 56.5',100,1,1),
(243300,101008,'Decreases Defense and Parry of target by 36.3',100,1,2),
(243301,101008,'Increases Slashing, Piercing and Crushing of target by 33.9',100,1,3),
(243302,10101008,'Increases INT of target by 156.3',100,1,0),
(243303,10101008,'Increases Attack Speed of target by 56.5',100,1,1),
(243304,10101008,'Decreases Defense and Parry of target by 36.3',100,1,2),
(243305,10101008,'Increases Slashing, Piercing and Crushing of target by 33.9',100,1,3),
(243306,118101,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(243307,10118101,'Dispels 124 levels of any hostile effects on group members (AE)',100,1,0),
(243308,115332,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(243309,115332,'Makes target afraid',100,2,1),
(243310,115332,'Slows target by 47.3%',100,2,2),
(243311,115332,'30% chance to dispel when target takes damage',100,2,3),
(243312,115332,'Does not affect Epic targets',100,2,4),
(243313,115332,'Resistibility increases against targets higher than level 76.',100,2,5),
(243314,115332,'Roots target',100,1,6),
(243315,115332,'15% chance to dispel when target takes damage',100,1,7),
(243316,115332,'Does not affect Epic targets',100,1,8),
(243317,115332,'Resistibility increases against targets higher than level 76.',100,1,9),
(243318,10115332,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(243319,10115332,'Makes target afraid',100,2,1),
(243320,10115332,'Slows target by 47.3%',100,2,2),
(243321,10115332,'30% chance to dispel when target takes damage',100,2,3),
(243322,10115332,'Does not affect Epic targets',100,2,4),
(243323,10115332,'Resistibility increases against targets higher than level 76.',100,2,5),
(243324,10115332,'Roots target',100,1,6),
(243325,10115332,'15% chance to dispel when target takes damage',100,1,7),
(243326,10115332,'Does not affect Epic targets',100,1,8),
(243327,10115332,'Resistibility increases against targets higher than level 76.',100,1,9),
(243328,152838,'When Equipped:',100,0,0),
(243329,152838,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(243330,152838,'Heals group members (AE) for 871',100,2,2),
(243331,152838,'Cannot be modified except by direct means',100,2,3),
(243332,10152838,'When Equipped:',100,0,0),
(243333,10152838,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(243334,10152838,'Heals group members (AE) for 1019',100,2,2),
(243335,10152838,'Cannot be modified except by direct means',100,2,3),
(243336,159120,'When Equipped:',100,0,0),
(243337,159120,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243338,159120,'Increases INT of caster by 11.9',100,2,2),
(243339,159120,'Increases Subjugation, Disruption and Focus of caster by 6.7',100,2,3),
(243340,159120,'Cannot be modified except by direct means',100,2,4),
(243341,10159120,'When Equipped:',100,0,0),
(243342,10159120,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243343,10159120,'Increases INT of caster by 11.9',100,2,2),
(243344,10159120,'Increases Subjugation, Disruption and Focus of caster by 6.7',100,2,3),
(243345,10159120,'Cannot be modified except by direct means',100,2,4),
(243346,157723,'When Equipped:',100,0,0),
(243347,157723,'When any damage is received this spell has a 5% chance to cast Distraction on target''s attacker.  ',100,1,1),
(243348,157723,'Decreases Threat to target by 700 ',100,2,2),
(243349,157723,'Cannot be modified except by direct means',100,2,3),
(243350,10157723,'When Equipped:',100,0,0),
(243351,10157723,'When any damage is received this spell has a 5% chance to cast Distraction on target''s attacker.  ',100,1,1),
(243352,10157723,'Forces target to clear their selected target.',100,2,2),
(243353,10157723,'Cannot be modified except by direct means',100,2,3),
(243354,159917,'Applies Lambent Imbued when Equipped.',100,0,0),
(243355,159917,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(243356,159917,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(243357,159917,'Cannot be modified except by direct means',100,2,3),
(243358,10159917,'Applies Lambent Imbued when Equipped.',100,0,0),
(243359,10159917,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(243360,10159917,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(243361,10159917,'Cannot be modified except by direct means',100,2,3),
(243362,88990,'When Equipped:',100,0,0),
(243363,88990,'On a combat hit this spell may cast Thunderquake on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243364,88990,'Stuns target',100,2,2),
(243365,88990,'Inflicts 148 magic damage on target',100,2,3),
(243366,88990,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(243367,88990,'Cannot be modified except by direct means',100,2,5),
(243368,10088990,'When Equipped:',100,0,0),
(243369,10088990,'On a combat hit this spell may cast Thunderquake on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243370,10088990,'Stuns target',100,2,2),
(243371,10088990,'Inflicts 177 magic damage on target',100,2,3),
(243372,10088990,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(243373,10088990,'Cannot be modified except by direct means',100,2,5),
(243374,114041,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(243375,114041,'Heals target for 81 instantly and every 2 seconds',100,2,1),
(243376,114041,'Decreases Mitigation of target vs arcane damage by 1575',100,1,2),
(243377,10114041,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(243378,10114041,'Heals target for 264 instantly and every 2 seconds',100,2,1),
(243379,10114041,'Decreases Mitigation of target vs arcane damage by 1575',100,1,2),
(243380,71621,'When Equipped:',100,0,0),
(243381,71621,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243382,71621,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(243383,71621,'Cannot be modified except by direct means',100,2,3),
(243384,10071621,'When Equipped:',100,0,0),
(243385,10071621,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243386,10071621,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(243387,10071621,'Cannot be modified except by direct means',100,2,3),
(243388,72498,'When Equipped:',100,0,0),
(243389,72498,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243390,72498,'Inflicts 44 - 53 heat damage on target encounter',100,2,2),
(243391,72498,'Cannot be modified except by direct means',100,2,3),
(243392,10072498,'When Equipped:',100,0,0),
(243393,10072498,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243394,10072498,'Inflicts 52 - 64 heat damage on target encounter',100,2,2),
(243395,10072498,'Cannot be modified except by direct means',100,2,3),
(243396,37349,'Increases Max Power of target by 5.5',100,0,0),
(243397,37349,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(243398,80205,'When Equipped:',100,0,0),
(243399,80205,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243400,80205,'Inflicts 166 - 308 magic damage on target',100,2,2),
(243401,80205,'Decreases Threat to target by 801 ',100,2,3),
(243402,80205,'Must be flanking or behind',100,3,4),
(243403,80205,'Increases Threat to target by 806 ',100,2,5),
(243404,80205,'Must be in front of',100,3,6),
(243405,80205,'Cannot be modified except by direct means',100,2,7),
(243406,10080205,'When Equipped:',100,0,0),
(243407,10080205,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243408,10080205,'Inflicts 199 - 370 magic damage on target',100,2,2),
(243409,10080205,'Cannot be modified except by direct means',100,2,3),
(243410,103392,'Inflicts 220 - 268 mental damage on target instantly and every 6 seconds',100,1,0),
(243411,103392,'Decreases power of target by 55 instantly and every 6 seconds',100,1,1),
(243412,103392,'Increases power of caster by 305',100,1,2),
(243413,10103392,'Inflicts 263 - 322 mental damage on target instantly and every 6 seconds',100,1,0),
(243414,10103392,'Decreases power of target by 55 instantly and every 6 seconds',100,1,1),
(243415,10103392,'Increases power of caster by 305',100,1,2),
(243416,111193,'Inflicts 181 - 301 divine damage on targets in area',100,1,0),
(243417,111193,'Heals group members (AE) for 2.5% of max health',100,1,1),
(243418,111193,'This effect cannot be critically applied.',100,2,2),
(243419,111193,'The healing of this spell cannot be modified except by direct means',100,1,3),
(243420,10111193,'Inflicts 217 - 362 divine damage on targets in area',100,1,0),
(243421,10111193,'Heals group members (AE) for 1.6% of max health',100,1,1),
(243422,10111193,'This effect cannot be critically applied.',100,2,2),
(243423,10111193,'The healing of this spell cannot be modified except by direct means',100,1,3),
(243424,82607,'When Equipped:',100,0,0),
(243425,82607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243426,82607,'Inflicts 67 - 124 magic damage on target',100,2,2),
(243427,82607,'Cannot be modified except by direct means',100,2,3),
(243428,10082607,'When Equipped:',100,0,0),
(243429,10082607,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243430,10082607,'Inflicts 80 - 149 magic damage on target',100,2,2),
(243431,10082607,'Cannot be modified except by direct means',100,2,3),
(243432,46219,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(243433,46219,'Wards caster against 815 points of arcane damage',100,1,1),
(243434,10046219,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(243435,10046219,'Wards caster against 815 points of arcane damage',100,1,1),
(243436,106596,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(243437,10106596,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(243438,117964,'Heals target for 594 - 726',100,1,0),
(243439,117964,'Increases Max Health of target by 91.4',100,1,1),
(243440,10117964,'Heals target for 681 - 832',100,1,0),
(243441,10117964,'Increases Max Health of target by 91.4',100,1,1),
(243442,108916,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(243443,108916,'Inflicts 8 heat damage on target',100,2,1),
(243444,10108916,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(243445,10108916,'Inflicts 10 heat damage on target',100,2,1),
(243446,114072,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(243447,114072,'Grants stealth to caster',100,2,1),
(243448,114072,'Suspends caster''s movement speed enhancements',100,2,2),
(243449,114072,'Inflicts 271 - 453 melee damage on target',100,1,3),
(243450,114072,'Must be flanking or behind',100,1,4),
(243451,10114072,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(243452,10114072,'Grants stealth to caster',100,2,1),
(243453,10114072,'Suspends caster''s movement speed enhancements',100,2,2),
(243454,10114072,'Inflicts 489 - 815 melee damage on target',100,1,3),
(243455,10114072,'Must be flanking or behind',100,1,4),
(243456,48195,'Applies Spirit of the Cockatrice when Activated.  Lasts for 30 minutes.',100,0,0),
(243457,48195,'Shapechanges caster into a cockatrice',100,1,1),
(243458,48195,'Increases Out-of-Combat Health Regeneration of caster by 228.0',100,1,2),
(243459,48195,'This effect suspends during combat',100,1,3),
(243460,48195,'Only affects targets level 70 and above',100,1,4),
(243461,10048195,'Applies Spirit of the Cockatrice when Activated.  Lasts for 30 minutes.',100,0,0),
(243462,10048195,'Shapechanges caster into a cockatrice',100,1,1),
(243463,10048195,'Increases Out-of-Combat Health Regeneration of caster by 228.0',100,1,2),
(243464,10048195,'This effect suspends during combat',100,1,3),
(243465,10048195,'Only affects targets level 70 and above',100,1,4),
(243466,187116,'Applies Heroic Resistance X when Equipped.',100,0,0),
(243467,187116,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(243468,187116,'Cannot be modified except by direct means',100,1,2),
(243469,10187116,'Applies Heroic Resistance X when Equipped.',100,0,0),
(243470,10187116,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(243471,10187116,'Cannot be modified except by direct means',100,1,2),
(243472,101123,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2013',100,1,0),
(243473,10101123,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2013',100,1,0),
(243474,107326,'Decreases WIS of target by 80.3',100,1,0),
(243475,107326,'Decreases Defense of target by 30.7',100,1,1),
(243476,10107326,'Decreases WIS of target by 80.3',100,1,0),
(243477,10107326,'Decreases Defense of target by 30.7',100,1,1),
(243478,158340,'Applies Hooluk in a Hat when Activated.',100,0,0),
(243479,158340,'Summons a pet Hooluk',100,1,1),
(243480,158340,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(243481,10158340,'Applies Hooluk in a Hat when Activated.',100,0,0),
(243482,10158340,'Summons a pet Hooluk',100,1,1),
(243483,10158340,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(243484,120589,'Inflicts 53 - 98 heat damage on target',100,1,0),
(243485,10120589,'Inflicts 64 - 118 heat damage on target',100,1,0),
(243486,103169,'Throws target back',100,1,0),
(243487,103169,'If Target is not Epic',100,2,1),
(243488,103169,'Inflicts 103 - 311 crushing damage on target',100,1,2),
(243489,103169,'Stuns target',100,1,3),
(243490,103169,'If Target is not Epic',100,2,4),
(243491,103169,'Resistibility increases against targets higher than level 98.',100,1,5),
(243492,10103169,'Throws target back',100,1,0),
(243493,10103169,'If Target is not Epic',100,2,1),
(243494,10103169,'Inflicts 124 - 374 crushing damage on target',100,1,2),
(243495,10103169,'Stuns target',100,1,3),
(243496,10103169,'If Target is not Epic',100,2,4),
(243497,10103169,'Resistibility increases against targets higher than level 98.',100,1,5),
(243498,104092,'Inflicts 307 - 513 mental damage on target',100,1,0),
(243499,104092,'Inflicts 307 - 513 mental damage on target',100,1,1),
(243500,10104092,'Inflicts 369 - 615 mental damage on target',100,1,0),
(243501,10104092,'Inflicts 369 - 615 mental damage on target',100,1,1),
(243502,109884,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(243503,109884,'Inflicts 12 - 15 poison damage on target instantly and every 4 seconds',100,2,1),
(243504,10109884,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(243505,10109884,'Inflicts 15 - 18 poison damage on target instantly and every 4 seconds',100,2,1),
(243506,116697,'Heals group members (AE) for 12.3 - 15.1% of max health',100,1,0),
(243507,116697,'This effect cannot be critically applied.',100,2,1),
(243508,116697,'Increases Max Health of group members (AE) by 971.2',100,1,2),
(243509,116697,'The healing of this spell cannot be modified except by direct means',100,1,3),
(243510,10116697,'Heals group members (AE) for 3.9 - 4.7% of max health',100,1,0),
(243511,10116697,'This effect cannot be critically applied.',100,2,1),
(243512,10116697,'Increases Max Health of group members (AE) by 971.2',100,1,2),
(243513,10116697,'The healing of this spell cannot be modified except by direct means',100,1,3),
(243514,122862,'Inflicts 89 - 149 ranged damage on target',100,1,0),
(243515,122862,'Inflicts 179 - 299 ranged damage on target',100,1,1),
(243516,122862,'Inflicts 269 - 448 ranged damage on target',100,1,2),
(243517,122862,'Requires bow',100,1,3),
(243518,10122862,'Inflicts 95 - 158 ranged damage on target',100,1,0),
(243519,10122862,'Inflicts 190 - 317 ranged damage on target',100,1,1),
(243520,10122862,'Inflicts 286 - 476 ranged damage on target',100,1,2),
(243521,10122862,'Requires bow',100,1,3),
(243522,123922,'Increases STR and WIS of target by 55.8',100,1,0),
(243523,123922,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,1),
(243524,10123922,'Increases STR and WIS of target by 55.8',100,1,0),
(243525,10123922,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',100,1,1),
(243526,120026,'Inflicts 49 - 60 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(243527,120026,'Decreases power of target encounter by 16 instantly and every 4 seconds',100,1,1),
(243528,10120026,'Inflicts 59 - 72 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(243529,10120026,'Decreases power of target encounter by 16 instantly and every 4 seconds',100,1,1),
(243530,81304,'When Equipped:',100,0,0),
(243531,81304,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243532,81304,'Inflicts 193 - 358 magic damage on target',100,2,2),
(243533,81304,'Decreases Threat to target by 949 ',100,2,3),
(243534,81304,'Must be flanking or behind',100,3,4),
(243535,81304,'Increases Threat to target by 954 ',100,2,5),
(243536,81304,'Must be in front of',100,3,6),
(243537,81304,'Cannot be modified except by direct means',100,2,7),
(243538,10081304,'When Equipped:',100,0,0),
(243539,10081304,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243540,10081304,'Inflicts 231 - 430 magic damage on target',100,2,2),
(243541,10081304,'Cannot be modified except by direct means',100,2,3),
(243542,115411,'Inflicts 347 - 579 melee damage on target',100,1,0),
(243543,115411,'Decreases INT of target by 63.0',100,1,1),
(243544,115411,'You must be sneaking to use this ability.',100,1,2),
(243545,10115411,'Inflicts 417 - 695 melee damage on target',100,1,0),
(243546,10115411,'Decreases INT of target by 63.0',100,1,1),
(243547,10115411,'You must be sneaking to use this ability.',100,1,2),
(243548,24631,'Adds Poet''s Palace: Broken Harp to your Dungeon Maker toolbox',100,0,0),
(243549,10024631,'Adds Poet''s Palace: Broken Harp to your Dungeon Maker toolbox',100,0,0),
(243550,100819,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(243551,100819,'Increases Parry of caster by 3.2',100,1,1),
(243552,10100819,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(243553,10100819,'Increases Parry of caster by 3.2',100,1,1),
(243554,103516,'Charms target',100,1,0),
(243555,103516,'If outside an arena',100,1,1),
(243556,103516,'Certain enemies cannot be charmed',100,1,2),
(243557,103516,'Does not affect Epic targets',100,1,3),
(243558,10103516,'Mesmerizes target',100,1,0),
(243559,10103516,'Prevents AOE (except when direct) ',100,1,1),
(243560,10103516,'Dispelled when target takes damage',100,1,2),
(243561,10103516,'If outside an arena',100,1,3),
(243562,10103516,'Certain enemies cannot be charmed',100,1,4),
(243563,10103516,'Does not affect Epic targets',100,1,5),
(243564,10103516,'Resistibility increases against targets higher than level 77.',100,1,6),
(243565,72164,'When Equipped:',100,0,0),
(243566,72164,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243567,72164,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(243568,72164,'Cannot be modified except by direct means',100,2,3),
(243569,10072164,'When Equipped:',100,0,0),
(243570,10072164,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243571,10072164,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(243572,10072164,'Cannot be modified except by direct means',100,2,3),
(243573,106480,'Decreases STR and AGI of target by 23.0',100,1,0),
(243574,10106480,'Decreases STR and AGI of target by 23.0',100,1,0),
(243575,173887,'When Equipped:',100,0,0),
(243576,173887,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(243577,173887,'Inflicts 61 heat damage on target',100,2,2),
(243578,173887,'Cannot be modified except by direct means',100,2,3),
(243579,10173887,'When Equipped:',100,0,0),
(243580,10173887,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(243581,10173887,'Inflicts 73 heat damage on target',100,2,2),
(243582,10173887,'Cannot be modified except by direct means',100,2,3),
(243583,24028,'Adds Elite: Basilisk-Undead (Wizard) to your Dungeon Maker toolbox',100,0,0),
(243584,10024028,'Adds Elite: Basilisk-Undead (Wizard) to your Dungeon Maker toolbox',100,0,0),
(243585,106070,'Increases AGI of caster by 104.3',100,1,0),
(243586,106070,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(243587,106070,'Inflicts 144 - 241 disease damage on target',100,2,2),
(243588,106070,'Adds 17.2% to base avoidance.',100,1,3),
(243589,106070,'Increases Mitigation of caster vs physical damage by 531',100,1,4),
(243590,106070,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,5),
(243591,10106070,'Increases AGI of caster by 104.3',100,1,0),
(243592,10106070,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(243593,10106070,'Inflicts 173 - 289 disease damage on target',100,2,2),
(243594,10106070,'Adds 17.2% to base avoidance.',100,1,3),
(243595,10106070,'Increases Mitigation of caster vs physical damage by 531',100,1,4),
(243596,10106070,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,5),
(243597,123788,'Decreases Mitigation of target vs noxious damage by 2270',100,1,0),
(243598,123788,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(243599,123788,'Slows target by 51.9%',100,2,2),
(243600,123788,'5% chance to dispel when target receives hostile action',100,2,3),
(243601,123788,'5% chance to dispel when target takes damage',100,2,4),
(243602,10123788,'Decreases Mitigation of target vs noxious damage by 2270',100,1,0),
(243603,10123788,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(243604,10123788,'Slows target by 51.9%',100,2,2),
(243605,10123788,'5% chance to dispel when target receives hostile action',100,2,3),
(243606,10123788,'5% chance to dispel when target takes damage',100,2,4),
(243607,188283,'When Equipped:',100,0,0),
(243608,188283,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(243609,188283,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(243610,188283,'Only affects targets level 60 and below',100,2,3),
(243611,188283,'Cannot be modified except by direct means',100,2,4),
(243612,10188283,'When Equipped:',100,0,0),
(243613,10188283,'When any damage is received this spell has a 7.5% chance to cast Lethargy on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(243614,10188283,'Decreases Attack Speed of target by 10.9 - 18.1',100,2,2),
(243615,10188283,'Only affects targets level 60 and below',100,2,3),
(243616,10188283,'Cannot be modified except by direct means',100,2,4),
(243617,118575,'Dazes caster',100,1,0),
(243618,118575,'Roots caster',100,1,1),
(243619,118575,'Increases Mitigation of caster vs physical damage by 2621',100,1,2),
(243620,10118575,'Dazes caster',100,1,0),
(243621,10118575,'Roots caster',100,1,1),
(243622,10118575,'Increases Mitigation of caster vs physical damage by 2621',100,1,2),
(243623,107594,'Dazes target encounter',100,1,0),
(243624,107594,'Inflicts 289 - 353 mental damage on target encounter',100,1,1),
(243625,107594,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(243626,107594,'Resistibility increases against targets higher than level 96.',100,1,3),
(243627,10107594,'Dazes target encounter',100,1,0),
(243628,10107594,'Inflicts 347 - 424 mental damage on target encounter',100,1,1),
(243629,10107594,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(243630,10107594,'Resistibility increases against targets higher than level 96.',100,1,3),
(243631,35091,'Increases STA of target by 1.5',100,0,0),
(243632,35091,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(243633,119555,'Wards group members (AE) against 1146 points of arcane damage',100,1,0),
(243634,119555,'Increases Mitigation of group members (AE) vs arcane damage by 627',100,1,1),
(243635,10119555,'Wards group members (AE) against 1146 points of arcane damage',100,1,0),
(243636,10119555,'Increases Mitigation of group members (AE) vs arcane damage by 627',100,1,1),
(243637,120391,'Decreases Defense of caster by 10.5',100,1,0),
(243638,120391,'Increases Crushing and Ranged of caster by 22.0',100,1,1),
(243639,120391,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(243640,120391,'Inflicts 120 - 200 heat damage on target',100,2,3),
(243641,120391,'Increases Slashing and Piercing of caster by 22.0',100,1,4),
(243642,10120391,'Decreases Defense of caster by 10.5',100,1,0),
(243643,10120391,'Increases Crushing and Ranged of caster by 22.0',100,1,1),
(243644,10120391,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(243645,10120391,'Inflicts 144 - 239 heat damage on target',100,2,3),
(243646,10120391,'Increases Slashing and Piercing of caster by 22.0',100,1,4),
(243647,80467,'When Equipped:',100,0,0),
(243648,80467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243649,80467,'Inflicts 48 - 89 magic damage on target',100,2,2),
(243650,80467,'Cannot be modified except by direct means',100,2,3),
(243651,10080467,'When Equipped:',100,0,0),
(243652,10080467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243653,10080467,'Inflicts 57 - 106 magic damage on target',100,2,2),
(243654,10080467,'Cannot be modified except by direct means',100,2,3),
(243655,117171,'Inflicts 47 poison damage on target instantly and every 4 seconds',100,1,0),
(243656,117171,'Decreases WIS of target by 43.0',100,1,1),
(243657,10117171,'Inflicts 56 poison damage on target instantly and every 4 seconds',100,1,0),
(243658,10117171,'Decreases WIS of target by 43.0',100,1,1),
(243659,102386,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(243660,102386,'Increases Attack Speed of target by 34.7',100,2,1),
(243661,102386,'Increases Damage Per Second of target by 34.7',100,2,2),
(243662,102386,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(243663,102386,'Increases Attack Speed of target by 34.7',100,2,4),
(243664,102386,'Increases Damage Per Second of target by 34.7',100,2,5),
(243665,102386,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(243666,102386,'Increases Attack Speed of target by 34.7',100,2,7),
(243667,102386,'Increases Damage Per Second of target by 34.7',100,2,8),
(243668,10102386,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(243669,10102386,'Increases Attack Speed of target by 34.7',100,2,1),
(243670,10102386,'Increases Damage Per Second of target by 34.7',100,2,2),
(243671,10102386,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(243672,10102386,'Increases Attack Speed of target by 34.7',100,2,4),
(243673,10102386,'Increases Damage Per Second of target by 34.7',100,2,5),
(243674,10102386,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(243675,10102386,'Increases Attack Speed of target by 34.7',100,2,7),
(243676,10102386,'Increases Damage Per Second of target by 34.7',100,2,8),
(243677,122493,'Inflicts 241 - 402 mental damage on targets in Area of Effect',100,1,0),
(243678,10122493,'Inflicts 290 - 483 mental damage on targets in Area of Effect',100,1,0),
(243679,24054,'Adds Brute (Monk) to your Dungeon Maker toolbox',100,0,0),
(243680,10024054,'Adds Brute (Monk) to your Dungeon Maker toolbox',100,0,0),
(243681,120303,'Increases Threat to target by 102 - 123 ',100,1,0),
(243682,10120303,'Forces target to change their selected target to caster.',100,1,0),
(243683,10120303,'Prevents target from changing targets',100,1,1),
(243684,144412,'When Equipped:',100,0,0),
(243685,144412,'Reduces cast time of all spells by 5 percent.',100,1,1),
(243686,10144412,'When Equipped:',100,0,0),
(243687,10144412,'Reduces cast time of all spells by 5 percent.',100,1,1),
(243688,107953,'Increases In-Combat Power Regeneration of group members (AE) by 8.7',100,1,0),
(243689,10107953,'Increases In-Combat Power Regeneration of group members (AE) by 8.7',100,1,0),
(243690,134037,'When Equipped:',100,0,0),
(243691,134037,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243692,134037,'Makes caster immune to Stifle effects',100,2,2),
(243693,134037,'Must not be engaged in pvp combat',100,2,3),
(243694,134037,'Cannot be modified except by direct means',100,2,4),
(243695,134037,'Must not be engaged in pvp combat',100,1,5),
(243696,10134037,'When Equipped:',100,0,0),
(243697,10134037,'On a spell cast this spell may cast Hopeful Resolve on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243698,10134037,'Makes caster immune to Stifle effects',100,2,2),
(243699,10134037,'Must not be engaged in pvp combat',100,2,3),
(243700,10134037,'Cannot be modified except by direct means',100,2,4),
(243701,10134037,'Must not be engaged in pvp combat',100,1,5),
(243702,119571,'Increases power of caster by 6 instantly and every 4 seconds',100,1,0),
(243703,10119571,'Increases power of caster by 6 instantly and every 4 seconds',100,1,0),
(243704,81439,'When Equipped:',100,0,0),
(243705,81439,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243706,81439,'Inflicts 70 - 129 magic damage on target',100,2,2),
(243707,81439,'Cannot be modified except by direct means',100,2,3),
(243708,10081439,'When Equipped:',100,0,0),
(243709,10081439,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(243710,10081439,'Inflicts 84 - 155 magic damage on target',100,2,2),
(243711,10081439,'Cannot be modified except by direct means',100,2,3),
(243712,124345,'Shapechanges caster into a wolf',100,1,0),
(243713,124345,'Grants See Invisibility to caster',100,1,1),
(243714,124345,'Increases Focus of caster by 46.2',100,1,2),
(243715,124345,'Increases Mitigation of caster vs physical damage by 511',100,1,3),
(243716,124345,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,4),
(243717,10124345,'Shapechanges caster into a wolf',100,1,0),
(243718,10124345,'Grants See Invisibility to caster',100,1,1),
(243719,10124345,'Increases Focus of caster by 46.2',100,1,2),
(243720,10124345,'Increases Mitigation of caster vs physical damage by 511',100,1,3),
(243721,10124345,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',100,1,4),
(243722,115726,'Wards caster against 3720 points of elemental, noxious and arcane damage',100,1,0),
(243723,10115726,'Wards caster against 3720 points of elemental, noxious and arcane damage',100,1,0),
(243724,120476,'Inflicts 400 - 667 ranged damage on target',100,1,0),
(243725,120476,'Slows target by 67.8%',100,1,1),
(243726,120476,'10% chance to dispel when target receives hostile action',100,1,2),
(243727,120476,'Requires bow',100,1,3),
(243728,10120476,'Inflicts 312 - 520 ranged damage on target',100,1,0),
(243729,10120476,'Slows target by 67.8%',100,1,1),
(243730,10120476,'10% chance to dispel when target receives hostile action',100,1,2),
(243731,10120476,'Requires bow',100,1,3),
(243732,103868,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(243733,103868,'Slows target by 64.3%',100,2,1),
(243734,103868,'5% chance to dispel when target receives hostile action',100,2,2),
(243735,103868,'5% chance to dispel when target takes damage',100,2,3),
(243736,103868,'Decreases Mitigation of target vs noxious damage by 1632',100,1,4),
(243737,10103868,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(243738,10103868,'Slows target by 64.3%',100,2,1),
(243739,10103868,'5% chance to dispel when target receives hostile action',100,2,2),
(243740,10103868,'5% chance to dispel when target takes damage',100,2,3),
(243741,10103868,'Decreases Mitigation of target vs noxious damage by 1632',100,1,4),
(243742,100264,'Summons a limited pet to aid the caster',100,1,0),
(243743,10100264,'Summons a limited pet to aid the caster',100,1,0),
(243744,53527,'When Equipped:',100,0,0),
(243745,53527,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(243746,10053527,'When Equipped:',100,0,0),
(243747,10053527,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(243748,45682,'Applies Juline''s Resurgence  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(243749,45682,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(243750,10045682,'Applies Juline''s Resurgence  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(243751,10045682,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(243752,109584,'Makes target afraid',100,1,0),
(243753,109584,'30% chance to dispel when target takes damage',100,1,1),
(243754,109584,'Does not affect Epic targets',100,1,2),
(243755,109584,'Resistibility increases against targets higher than level 107.',100,1,3),
(243756,10109584,'Makes target afraid',100,1,0),
(243757,10109584,'30% chance to dispel when target takes damage',100,1,1),
(243758,10109584,'Does not affect Epic targets',100,1,2),
(243759,10109584,'Resistibility increases against targets higher than level 107.',100,1,3),
(243760,123999,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(243761,123999,'Heals target for 53 - 65',100,2,1),
(243762,123999,'Grants a total of 5 triggers of the spell.',100,2,2),
(243763,10123999,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(243764,10123999,'Heals target for 34 - 42',100,2,1),
(243765,10123999,'Grants a total of 5 triggers of the spell.',100,2,2),
(243766,107100,'Inflicts 228 - 279 divine damage on target',100,1,0),
(243767,10107100,'Inflicts 274 - 335 divine damage on target',100,1,0),
(243768,80516,'When Equipped:',100,0,0),
(243769,80516,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243770,80516,'Inflicts 315 - 585 magic damage on target',100,2,2),
(243771,80516,'Decreases Threat to target by 1,219 ',100,2,3),
(243772,80516,'Must be flanking or behind',100,3,4),
(243773,80516,'Increases Threat to target by 1,224 ',100,2,5),
(243774,80516,'Must be in front of',100,3,6),
(243775,80516,'Cannot be modified except by direct means',100,2,7),
(243776,10080516,'When Equipped:',100,0,0),
(243777,10080516,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243778,10080516,'Inflicts 378 - 702 magic damage on target',100,2,2),
(243779,10080516,'Cannot be modified except by direct means',100,2,3),
(243780,172393,'When Equipped:',100,0,0),
(243781,172393,'On a hostile spell hit this spell may cast Azure Winds on target of spell.  Triggers about 4.0 times per minute. ',100,1,1),
(243782,172393,'Decreases Threat to target by 784 ',100,2,2),
(243783,172393,'Cannot be modified except by direct means',100,2,3),
(243784,10172393,'When Equipped:',100,0,0),
(243785,10172393,'On a hostile spell hit this spell may cast Azure Winds on target of spell.  Triggers about 4.0 times per minute. ',100,1,1),
(243786,10172393,'Forces target to clear their selected target.',100,2,2),
(243787,10172393,'Cannot be modified except by direct means',100,2,3),
(243788,120772,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(243789,120772,'Stuns target',100,2,1),
(243790,120772,'Throws target back',100,2,2),
(243791,120772,'Blurs vision of target',100,2,3),
(243792,120772,'Does not affect Epic targets',100,2,4),
(243793,120772,'Inflicts 10 - 17 piercing damage on target',100,1,5),
(243794,10120772,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(243795,10120772,'Stuns target',100,2,1),
(243796,10120772,'Throws target back',100,2,2),
(243797,10120772,'Blurs vision of target',100,2,3),
(243798,10120772,'Does not affect Epic targets',100,2,4),
(243799,10120772,'Inflicts 12 - 21 piercing damage on target',100,1,5),
(243800,158511,'When Equipped:',100,0,0),
(243801,158511,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(243802,158511,'Inflicts 18 divine damage on target',100,2,2),
(243803,158511,'Cannot be modified except by direct means',100,2,3),
(243804,10158511,'When Equipped:',100,0,0),
(243805,10158511,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(243806,10158511,'Inflicts 21 divine damage on target',100,2,2),
(243807,10158511,'Cannot be modified except by direct means',100,2,3),
(243808,159649,'When Equipped:',100,0,0),
(243809,159649,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243810,159649,'Increases INT of caster by 12.2',100,2,2),
(243811,159649,'Increases Subjugation, Disruption and Focus of caster by 7.2',100,2,3),
(243812,159649,'Cannot be modified except by direct means',100,2,4),
(243813,10159649,'When Equipped:',100,0,0),
(243814,10159649,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243815,10159649,'Increases INT of caster by 12.2',100,2,2),
(243816,10159649,'Increases Subjugation, Disruption and Focus of caster by 7.2',100,2,3),
(243817,10159649,'Cannot be modified except by direct means',100,2,4),
(243818,88144,'When Equipped:',100,0,0),
(243819,88144,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(243820,88144,'When Equipped:',100,0,2),
(243821,88144,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(243822,10088144,'When Equipped:',100,0,0),
(243823,10088144,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(243824,10088144,'When Equipped:',100,0,2),
(243825,10088144,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(243826,186894,'When Equipped:',100,0,0),
(243827,186894,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(243828,186894,'Inflicts 2648 poison damage on target',100,2,2),
(243829,186894,'If under 15% Health',100,2,3),
(243830,186894,'Cannot be modified except by direct means',100,2,4),
(243831,186894,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(243832,186894,'Inflicts 2648 poison damage on target',100,2,6),
(243833,186894,'If under 15% Health',100,2,7),
(243834,186894,'Cannot be modified except by direct means',100,2,8),
(243835,186894,'Cannot be modified except by direct means',100,1,9),
(243836,10186894,'When Equipped:',100,0,0),
(243837,10186894,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(243838,10186894,'Inflicts 3178 poison damage on target',100,2,2),
(243839,10186894,'If under 15% Health',100,2,3),
(243840,10186894,'Cannot be modified except by direct means',100,2,4),
(243841,10186894,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(243842,10186894,'Inflicts 3178 poison damage on target',100,2,6),
(243843,10186894,'If under 15% Health',100,2,7),
(243844,10186894,'Cannot be modified except by direct means',100,2,8),
(243845,10186894,'Cannot be modified except by direct means',100,1,9),
(243846,119018,'Heals target for 2261 - 2764',100,1,0),
(243847,10119018,'Heals target for 2405 - 2940',100,1,0),
(243848,36811,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(243849,103411,'Decreases Threat to targets in Area of Effect by 1,305 ',100,1,0),
(243850,103411,'Slows targets in Area of Effect by 38.5%',100,1,1),
(243851,103411,'Stifles targets in Area of Effect',100,1,2),
(243852,103411,'If Target is not Epic',100,2,3),
(243853,103411,'10% chance to dispel when target receives hostile action',100,1,4),
(243854,103411,'10% chance to dispel when target takes damage',100,1,5),
(243855,10103411,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(243856,10103411,'Slows targets in Area of Effect by 38.5%',100,1,1),
(243857,10103411,'Stifles targets in Area of Effect',100,1,2),
(243858,10103411,'If Target is not Epic',100,2,3),
(243859,117829,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(243860,117829,'Heals target for 170 - 207 instantly and every 2 seconds',100,2,1),
(243861,117829,'If at 50% Health or less',100,3,2),
(243862,117829,'Heals target for 85 - 104 instantly and every 2 seconds',100,2,3),
(243863,117829,'If over 50% Health',100,3,4),
(243864,10117829,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(243865,10117829,'Heals target for 41 - 51 instantly and every 2 seconds',100,2,1),
(243866,10117829,'If at 50% Health or less',100,3,2),
(243867,10117829,'Heals target for 25 - 30 instantly and every 2 seconds',100,2,3),
(243868,10117829,'If over 50% Health',100,3,4),
(243869,178530,'When Equipped:',100,0,0),
(243870,178530,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(243871,178530,'Heals group members for 245',100,2,2),
(243872,178530,'Cannot be modified except by direct means',100,2,3),
(243873,178530,'Cannot be modified except by direct means',100,1,4),
(243874,10178530,'When Equipped:',100,0,0),
(243875,10178530,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(243876,10178530,'Heals group members for 160',100,2,2),
(243877,10178530,'Cannot be modified except by direct means',100,2,3),
(243878,10178530,'Cannot be modified except by direct means',100,1,4),
(243879,71988,'When Equipped:',100,0,0),
(243880,71988,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243881,71988,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(243882,71988,'Cannot be modified except by direct means',100,2,3),
(243883,10071988,'When Equipped:',100,0,0),
(243884,10071988,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(243885,10071988,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(243886,10071988,'Cannot be modified except by direct means',100,2,3),
(243887,47121,'Applies Aura of the Rainbringer  when Activated.  Lasts for 30 minutes.',100,0,0),
(243888,10047121,'Applies Aura of the Rainbringer  when Activated.  Lasts for 30 minutes.',100,0,0),
(243889,123244,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(243890,123244,'Increases Mitigation of group members (AE) vs noxious damage by 470',100,1,1),
(243891,10123244,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(243892,10123244,'Increases Mitigation of group members (AE) vs noxious damage by 470',100,1,1),
(243893,110052,'Summons a pet grim sorcerer',100,1,0),
(243894,10110052,'Summons a pet grim sorcerer',100,1,0),
(243895,112975,'Reduces physical damage done to caster by 5%',100,1,0),
(243896,112975,'Increases STA of caster by 14.5',100,1,1),
(243897,112975,'Adds 3.4% to base avoidance.',100,1,2),
(243898,112975,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(243899,112975,'Increases Defense and Aggression of caster by 2.0',100,1,4),
(243900,112975,'Increases Mitigation of caster vs arcane damage by 169',100,1,5),
(243901,112975,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(243902,10112975,'Reduces physical damage done to caster by 5%',100,1,0),
(243903,10112975,'Increases STA of caster by 14.5',100,1,1),
(243904,10112975,'Adds 3.4% to base avoidance.',100,1,2),
(243905,10112975,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(243906,10112975,'Increases Defense and Aggression of caster by 2.0',100,1,4),
(243907,10112975,'Increases Mitigation of caster vs arcane damage by 169',100,1,5),
(243908,10112975,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(243909,116933,'Increases Threat to target by 104 - 126 ',100,1,0),
(243910,103659,'Interrupts target',100,1,0),
(243911,103659,'Inflicts 68 - 114 melee damage on target',100,1,1),
(243912,103659,'Must be flanking or behind',100,1,2),
(243913,10103659,'Interrupts target',100,1,0),
(243914,10103659,'Inflicts 82 - 136 melee damage on target',100,1,1),
(243915,10103659,'Must be flanking or behind',100,1,2),
(243916,124173,'Inflicts 15 - 26 melee damage on target',100,1,0),
(243917,10124173,'Inflicts 19 - 31 melee damage on target',100,1,0),
(243918,24573,'Adds Mummy (Templar) to your Dungeon Maker toolbox',100,0,0),
(243919,10024573,'Adds Mummy (Templar) to your Dungeon Maker toolbox',100,0,0),
(243920,138608,'When Equipped:',100,0,0),
(243921,138608,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(243922,138608,'Roots target',100,2,2),
(243923,138608,'15% chance to dispel when target takes damage',100,2,3),
(243924,138608,'Only affects targets level 90 and below',100,2,4),
(243925,138608,'Does not affect Epic targets',100,2,5),
(243926,138608,'Resistibility increases against targets higher than level 111.',100,2,6),
(243927,138608,'Cannot be modified except by direct means',100,2,7),
(243928,10138608,'When Equipped:',100,0,0),
(243929,10138608,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(243930,10138608,'Roots target',100,2,2),
(243931,10138608,'15% chance to dispel when target takes damage',100,2,3),
(243932,10138608,'Only affects targets level 90 and below',100,2,4),
(243933,10138608,'Does not affect Epic targets',100,2,5),
(243934,10138608,'Resistibility increases against targets higher than level 111.',100,2,6),
(243935,10138608,'Cannot be modified except by direct means',100,2,7),
(243936,123395,'Inflicts 19 - 32 crushing damage on target',100,1,0),
(243937,123395,'Increases Threat to target by 213 ',100,1,1),
(243938,123395,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(243939,123395,'Stuns target',100,2,3),
(243940,123395,'Throws target back',100,2,4),
(243941,123395,'Blurs vision of target',100,2,5),
(243942,123395,'Does not affect Epic targets',100,2,6),
(243943,123395,'If Shield equipped in Secondary',100,1,7),
(243944,10123395,'Inflicts 23 - 39 crushing damage on target',100,1,0),
(243945,10123395,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(243946,10123395,'Stuns target',100,2,2),
(243947,10123395,'Throws target back',100,2,3),
(243948,10123395,'Blurs vision of target',100,2,4),
(243949,10123395,'Does not affect Epic targets',100,2,5),
(243950,10123395,'If Shield equipped in Secondary',100,1,6),
(243951,183303,'When Equipped:',100,0,0),
(243952,183303,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243953,183303,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(243954,183303,'Cannot be modified except by direct means',100,2,3),
(243955,10183303,'When Equipped:',100,0,0),
(243956,10183303,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(243957,10183303,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(243958,10183303,'Cannot be modified except by direct means',100,2,3),
(243959,121084,'Increases STR and STA of group members (AE) by 76.2',100,1,0),
(243960,10121084,'Increases STR and STA of group members (AE) by 76.2',100,1,0),
(243961,35093,'Increases AGI and STA of target by 1.1',100,0,0),
(243962,35093,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(243963,101650,'Decreases Attack Speed of target by 10.2',100,1,0),
(243964,101650,'Decreases Damage Per Second of target by 5.9',100,1,1),
(243965,10101650,'Decreases Attack Speed of target by 10.2',100,1,0),
(243966,10101650,'Decreases Damage Per Second of target by 5.9',100,1,1),
(243967,46204,'Applies Petamorph: Ice Wyrm when Activated.  Lasts for 2 hours.',100,0,0),
(243968,46204,'Turns the caster''s combat pet into an ice wyrm. Does not work on cosmetic pets.',100,1,1),
(243969,10046204,'Applies Petamorph: Ice Wyrm when Activated.  Lasts for 2 hours.',100,0,0),
(243970,10046204,'Turns the caster''s combat pet into an ice wyrm. Does not work on cosmetic pets.',100,1,1),
(243971,48514,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(243972,48514,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(243973,48514,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(243974,48514,'Cannot be modified except by direct means',100,2,3),
(243975,48514,'Grants a total of 80 triggers of the spell.',100,2,4),
(243976,10048514,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(243977,10048514,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(243978,10048514,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(243979,10048514,'Cannot be modified except by direct means',100,2,3),
(243980,10048514,'Grants a total of 80 triggers of the spell.',100,2,4),
(243981,52896,'Applies Sanguine Imbued when Equipped.',100,0,0),
(243982,52896,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(243983,52896,'Inflicts 97 heat damage on target',100,2,2),
(243984,52896,'Cannot be modified except by direct means',100,2,3),
(243985,10052896,'Applies Sanguine Imbued when Equipped.',100,0,0),
(243986,10052896,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(243987,10052896,'Inflicts 116 heat damage on target',100,2,2),
(243988,10052896,'Cannot be modified except by direct means',100,2,3),
(243989,113702,'Stuns target',100,1,0),
(243990,113702,'If Target is not Epic',100,2,1),
(243991,113702,'Inflicts 919 - 1531 heat damage on target',100,1,2),
(243992,113702,'Resistibility increases against targets higher than level 101.',100,1,3),
(243993,10113702,'Stuns target',100,1,0),
(243994,10113702,'If Target is not Epic',100,2,1),
(243995,10113702,'Inflicts 1102 - 1837 heat damage on target',100,1,2),
(243996,10113702,'Resistibility increases against targets higher than level 101.',100,1,3),
(243997,82871,'When Equipped:',100,0,0),
(243998,82871,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(243999,82871,'Inflicts 224 - 416 magic damage on target',100,2,2),
(244000,82871,'Decreases Threat to target by 833 ',100,2,3),
(244001,82871,'Must be flanking or behind',100,3,4),
(244002,82871,'Increases Threat to target by 838 ',100,2,5),
(244003,82871,'Must be in front of',100,3,6),
(244004,82871,'Cannot be modified except by direct means',100,2,7),
(244005,10082871,'When Equipped:',100,0,0),
(244006,10082871,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(244007,10082871,'Inflicts 269 - 499 magic damage on target',100,2,2),
(244008,10082871,'Cannot be modified except by direct means',100,2,3),
(244009,123100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(244010,123100,'Roots target',100,2,1),
(244011,123100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(244012,123100,'Slows target by 51.7%',100,3,3),
(244013,123100,'5% chance to dispel when target receives hostile action',100,3,4),
(244014,123100,'5% chance to dispel when target takes damage',100,3,5),
(244015,123100,'5% chance to dispel when target takes damage',100,2,6),
(244016,123100,'Does not affect Epic targets',100,2,7),
(244017,123100,'Resistibility increases against targets higher than level 114.',100,2,8),
(244018,123100,'Decreases AGI of target encounter by 78.7',100,1,9),
(244019,10123100,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(244020,10123100,'Roots target',100,2,1),
(244021,10123100,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(244022,10123100,'Slows target by 51.7%',100,3,3),
(244023,10123100,'5% chance to dispel when target receives hostile action',100,3,4),
(244024,10123100,'5% chance to dispel when target takes damage',100,3,5),
(244025,10123100,'5% chance to dispel when target takes damage',100,2,6),
(244026,10123100,'Does not affect Epic targets',100,2,7),
(244027,10123100,'Resistibility increases against targets higher than level 114.',100,2,8),
(244028,10123100,'Decreases AGI of target encounter by 78.7',100,1,9),
(244029,159708,'Applies Lambent Imbued when Equipped.',100,0,0),
(244030,159708,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(244031,159708,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(244032,159708,'Cannot be modified except by direct means',100,2,3),
(244033,10159708,'Applies Lambent Imbued when Equipped.',100,0,0),
(244034,10159708,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(244035,10159708,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(244036,10159708,'Cannot be modified except by direct means',100,2,3),
(244037,113457,'Increases INT of target by 51.3',100,1,0),
(244038,113457,'Increases Max Health of target by 411.6',100,1,1),
(244039,10113457,'Increases INT of target by 51.3',100,1,0),
(244040,10113457,'Increases Max Health of target by 411.6',100,1,1),
(244041,106197,'Wards target against 166 points of all damage',100,1,0),
(244042,106197,'Decreases INT of target by 165.0',100,1,1),
(244043,106197,'Decreases Attack Speed of target by 25.0',100,1,2),
(244044,106197,'Increases Max Health of target by 16.0%',100,1,3),
(244045,106197,'Increases Hate Gain of target by 46.0%',100,1,4),
(244046,106197,'Increases Aggression of target by 20.0',100,1,5),
(244047,106197,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(244048,106197,'Increases Threat to target encounter by 217 - 264 ',100,2,7),
(244049,106197,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1280',100,1,8),
(244050,10106197,'Wards target against 166 points of all damage',100,1,0),
(244051,10106197,'Decreases INT of target by 165.0',100,1,1),
(244052,10106197,'Decreases Attack Speed of target by 25.0',100,1,2),
(244053,10106197,'Increases Max Health of target by 16.0%',100,1,3),
(244054,10106197,'Increases Aggression of target by 20.0',100,1,4),
(244055,10106197,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1280',100,1,5),
(244056,118454,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(244057,118454,'Inflicts 16 - 19 heat damage on target instantly and every second',100,2,1),
(244058,10118454,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(244059,10118454,'Inflicts 19 - 23 heat damage on target instantly and every second',100,2,1),
(244060,119411,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(244061,119411,'Stuns target',100,2,1),
(244062,119411,'Throws target back',100,2,2),
(244063,119411,'Blurs vision of target',100,2,3),
(244064,119411,'Does not affect Epic targets',100,2,4),
(244065,119411,'Inflicts 93 - 155 melee damage on target',100,1,5),
(244066,119411,'You must be sneaking to use this ability.',100,1,6),
(244067,10119411,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(244068,10119411,'Stuns target',100,2,1),
(244069,10119411,'Throws target back',100,2,2),
(244070,10119411,'Blurs vision of target',100,2,3),
(244071,10119411,'Does not affect Epic targets',100,2,4),
(244072,10119411,'Inflicts 111 - 186 melee damage on target',100,1,5),
(244073,10119411,'You must be sneaking to use this ability.',100,1,6),
(244074,123757,'Decreases Mitigation of target vs noxious damage by 552',100,1,0),
(244075,123757,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(244076,123757,'Slows target by 41.5%',100,2,2),
(244077,123757,'5% chance to dispel when target receives hostile action',100,2,3),
(244078,123757,'5% chance to dispel when target takes damage',100,2,4),
(244079,10123757,'Decreases Mitigation of target vs noxious damage by 552',100,1,0),
(244080,10123757,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(244081,10123757,'Slows target by 41.5%',100,2,2),
(244082,10123757,'5% chance to dispel when target receives hostile action',100,2,3),
(244083,10123757,'5% chance to dispel when target takes damage',100,2,4),
(244084,112593,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(244085,112593,'Heals targets in Area of Effect for 331 - 405',100,2,1),
(244086,112593,'Dispels 131 levels of physical hostile effects on target',100,2,2),
(244087,10112593,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(244088,10112593,'Heals targets in Area of Effect for 215 - 263',100,2,1),
(244089,10112593,'Dispels 131 levels of physical hostile effects on target',100,2,2),
(244090,134259,'When Equipped:',100,0,0),
(244091,134259,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(244092,10134259,'When Equipped:',100,0,0),
(244093,10134259,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(244094,82883,'When Equipped:',100,0,0),
(244095,82883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244096,82883,'Inflicts 201 - 374 magic damage on target',100,2,2),
(244097,82883,'Cannot be modified except by direct means',100,2,3),
(244098,10082883,'When Equipped:',100,0,0),
(244099,10082883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244100,10082883,'Inflicts 242 - 449 magic damage on target',100,2,2),
(244101,10082883,'Cannot be modified except by direct means',100,2,3),
(244102,71633,'When Equipped:',100,0,0),
(244103,71633,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244104,71633,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(244105,71633,'Cannot be modified except by direct means',100,2,3),
(244106,10071633,'When Equipped:',100,0,0),
(244107,10071633,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244108,10071633,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(244109,10071633,'Cannot be modified except by direct means',100,2,3),
(244110,47894,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(244111,47894,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(244112,47894,'Requires 15 Health to cast.',100,1,2),
(244113,10047894,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(244114,10047894,'Increases power of caster by 2 instantly and every 4 seconds',100,1,1),
(244115,10047894,'Requires 15 Health to cast.',100,1,2),
(244116,116710,'Inflicts 132 - 220 melee damage on target',100,1,0),
(244117,10116710,'Inflicts 158 - 264 melee damage on target',100,1,0),
(244118,80518,'When Equipped:',100,0,0),
(244119,80518,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(244120,80518,'Inflicts 315 - 585 magic damage on target',100,2,2),
(244121,80518,'Decreases Threat to target by 1,219 ',100,2,3),
(244122,80518,'Must be flanking or behind',100,3,4),
(244123,80518,'Increases Threat to target by 1,224 ',100,2,5),
(244124,80518,'Must be in front of',100,3,6),
(244125,80518,'Cannot be modified except by direct means',100,2,7),
(244126,10080518,'When Equipped:',100,0,0),
(244127,10080518,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(244128,10080518,'Inflicts 378 - 702 magic damage on target',100,2,2),
(244129,10080518,'Cannot be modified except by direct means',100,2,3),
(244130,47694,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(244131,47694,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(244132,47694,'Caster will harvest a second time on 10.0% of harvests.',100,1,2),
(244133,10047694,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(244134,10047694,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .5 seconds.',100,1,1),
(244135,10047694,'Caster will harvest a second time on 10.0% of harvests.',100,1,2),
(244136,124735,'Heals group members (AE) for 1337 - 1634',100,1,0),
(244137,10124735,'Heals group members (AE) for 1622 - 1982',100,1,0),
(244138,108011,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(244139,108011,'Increases Mitigation of group members (AE) vs elemental damage by 898',100,1,1),
(244140,10108011,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(244141,10108011,'Increases Mitigation of group members (AE) vs elemental damage by 898',100,1,1),
(244142,73266,'Applies Frost Blast when Activated.',100,0,0),
(244143,73266,'Inflicts 360 - 600 cold damage on target',100,1,1),
(244144,73266,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(244145,10073266,'Applies Frost Blast when Activated.',100,0,0),
(244146,10073266,'Inflicts 432 - 721 cold damage on target',100,1,1),
(244147,10073266,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(244148,24274,'Adds Dervish (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(244149,10024274,'Adds Dervish (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(244150,103489,'Increases In-Combat Power Regeneration of group members (AE) by 29.2',100,1,0),
(244151,10103489,'Increases In-Combat Power Regeneration of group members (AE) by 29.2',100,1,0),
(244152,107984,'Shapechanges target into a rat',100,1,0),
(244153,10107984,'Shapechanges target into a rat',100,1,0),
(244154,45323,'Applies Black Spotted Warg with Black Armor when Activated.',100,0,0),
(244155,45323,'Increases Disruption of caster by 7.0',100,1,1),
(244156,45323,'Summons a mount to ride',100,1,2),
(244157,45323,'Increases your ground speed by 130%',100,2,3),
(244158,45323,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(244159,45323,'Increases Piercing, Ranged, Crushing and Slashing of caster by 7.0',100,1,5),
(244160,10045323,'Applies Black Spotted Warg with Black Armor when Activated.',100,0,0),
(244161,10045323,'Increases Disruption of caster by 7.0',100,1,1),
(244162,10045323,'Summons a mount to ride',100,1,2),
(244163,10045323,'Increases your ground speed by 130%',100,2,3),
(244164,10045323,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(244165,10045323,'Increases Piercing, Ranged, Crushing and Slashing of caster by 7.0',100,1,5),
(244166,107593,'Dazes target encounter',100,1,0),
(244167,107593,'Inflicts 365 - 446 mental damage on target encounter',100,1,1),
(244168,107593,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(244169,107593,'Resistibility increases against targets higher than level 96.',100,1,3),
(244170,10107593,'Dazes target encounter',100,1,0),
(244171,10107593,'Inflicts 438 - 535 mental damage on target encounter',100,1,1),
(244172,10107593,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(244173,10107593,'Resistibility increases against targets higher than level 96.',100,1,3),
(244174,102640,'Inflicts 81 - 136 melee damage on target',100,1,0),
(244175,102640,'Inflicts 35 heat damage on target every 6 seconds',100,1,1),
(244176,10102640,'Inflicts 98 - 163 melee damage on target',100,1,0),
(244177,10102640,'Inflicts 42 heat damage on target every 6 seconds',100,1,1),
(244178,101598,'Inflicts 223 - 372 melee damage on targets in area',100,1,0),
(244179,10101598,'Inflicts 268 - 447 melee damage on targets in area',100,1,0),
(244180,75554,'Applies Disease Blast when Activated.',100,0,0),
(244181,75554,'Inflicts 232 - 387 disease damage on target',100,1,1),
(244182,75554,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(244183,10075554,'Applies Disease Blast when Activated.',100,0,0),
(244184,10075554,'Inflicts 279 - 465 disease damage on target',100,1,1),
(244185,10075554,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(244186,73180,'When Equipped:',100,0,0),
(244187,73180,'On any combat or spell hit this spell may cast Mighty Shockwave on target of attack.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(244188,73180,'Inflicts 1153 - 1274 crushing damage on targets in Area of Effect instantly and every second',100,2,2),
(244189,73180,'1% of all damage received by the caster is prevented.',100,2,3),
(244190,73180,'Increases Hate Gain of caster by 10.0%',100,2,4),
(244191,73180,'Must not be engaged in pvp combat',100,2,5),
(244192,73180,'Cannot be modified except by direct means',100,2,6),
(244193,73180,'Must not be engaged in pvp combat',100,1,7),
(244194,10073180,'When Equipped:',100,0,0),
(244195,10073180,'On any combat or spell hit this spell may cast Mighty Shockwave on target of attack.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(244196,10073180,'Inflicts 1383 - 1529 crushing damage on targets in Area of Effect instantly and every second',100,2,2),
(244197,10073180,'1% of all damage received by the caster is prevented.',100,2,3),
(244198,10073180,'Must not be engaged in pvp combat',100,2,4),
(244199,10073180,'Cannot be modified except by direct means',100,2,5),
(244200,10073180,'Must not be engaged in pvp combat',100,1,6),
(244201,48921,'Applies thernig''s Rejuvenation  when Activated.',100,0,0),
(244202,48921,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(244203,10048921,'Applies thernig''s Rejuvenation  when Activated.',100,0,0),
(244204,10048921,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(244205,75358,'When Equipped:',100,0,0),
(244206,75358,'On a damage spell hit this spell has a 9% chance to cast Acid Rain on target of spell.  ',100,1,1),
(244207,75358,'Inflicts 367 - 550 poison damage on target encounter',100,2,2),
(244208,75358,'Decreases threat priority of target encounter by 1 position',100,2,3),
(244209,75358,'Cannot be modified except by direct means',100,2,4),
(244210,75358,'Cannot be modified except by direct means',100,1,5),
(244211,10075358,'When Equipped:',100,0,0),
(244212,10075358,'On a damage spell hit this spell has a 9% chance to cast Acid Rain on target of spell.  Lasts for 2.0 seconds.  ',100,1,1),
(244213,10075358,'Inflicts 440 - 660 poison damage on target encounter',100,2,2),
(244214,10075358,'Prevents target encounter from changing targets',100,2,3),
(244215,10075358,'Forces target encounter to clear their selected target.',100,2,4),
(244216,10075358,'Cannot be modified except by direct means',100,2,5),
(244217,10075358,'Cannot be modified except by direct means',100,1,6),
(244218,48125,'Applies Soul Censer when Activated.',100,0,0),
(244219,10048125,'Applies Soul Censer when Activated.',100,0,0),
(244220,117066,'Inflicts 194 - 324 melee damage on target',100,1,0),
(244221,117066,'Decreases Attack Speed of target by 22.0',100,1,1),
(244222,10117066,'Inflicts 233 - 389 melee damage on target',100,1,0),
(244223,10117066,'Decreases Attack Speed of target by 22.0',100,1,1),
(244224,121135,'Summons a limited pet to aid the caster',100,1,0),
(244225,10121135,'Summons a limited pet to aid the caster',100,1,0),
(244226,116680,'Heals group members (AE) for 10.8 - 13.2% of max health',100,1,0),
(244227,116680,'This effect cannot be critically applied.',100,2,1),
(244228,116680,'Increases Max Health of group members (AE) by 411.6',100,1,2),
(244229,116680,'The healing of this spell cannot be modified except by direct means',100,1,3),
(244230,10116680,'Heals group members (AE) for 3.4 - 4.2% of max health',100,1,0),
(244231,10116680,'This effect cannot be critically applied.',100,2,1),
(244232,10116680,'Increases Max Health of group members (AE) by 411.6',100,1,2),
(244233,10116680,'The healing of this spell cannot be modified except by direct means',100,1,3),
(244234,81824,'When Equipped:',100,0,0),
(244235,81824,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244236,81824,'Inflicts 94 - 175 magic damage on target',100,2,2),
(244237,81824,'Cannot be modified except by direct means',100,2,3),
(244238,10081824,'When Equipped:',100,0,0),
(244239,10081824,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244240,10081824,'Inflicts 113 - 210 magic damage on target',100,2,2),
(244241,10081824,'Cannot be modified except by direct means',100,2,3),
(244242,120776,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(244243,120776,'Stuns target',100,2,1),
(244244,120776,'Throws target back',100,2,2),
(244245,120776,'Blurs vision of target',100,2,3),
(244246,120776,'Does not affect Epic targets',100,2,4),
(244247,120776,'Inflicts 27 - 45 piercing damage on target',100,1,5),
(244248,10120776,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(244249,10120776,'Stuns target',100,2,1),
(244250,10120776,'Throws target back',100,2,2),
(244251,10120776,'Blurs vision of target',100,2,3),
(244252,10120776,'Does not affect Epic targets',100,2,4),
(244253,10120776,'Inflicts 32 - 54 piercing damage on target',100,1,5),
(244254,123942,'Increases STR and WIS of target by 136.3',100,1,0),
(244255,123942,'Increases Mitigation of target vs elemental, noxious and arcane damage by 406',100,1,1),
(244256,10123942,'Increases STR and WIS of target by 136.3',100,1,0),
(244257,10123942,'Increases Mitigation of target vs elemental, noxious and arcane damage by 406',100,1,1),
(244258,121807,'Heals target for 698 - 854',100,1,0),
(244259,121807,'Heals target for 116 - 142 every second',100,1,1),
(244260,10121807,'Heals target for 2179 - 2663',100,1,0),
(244261,10121807,'Heals target for 182 - 222 every second',100,1,1),
(244262,47700,'Applies Explosive Charge when Activated.',100,0,0),
(244263,47700,'Inflicts 44 heat damage on targets in Area of Effect',100,1,1),
(244264,47700,'There are no targets for this explosive charge.',100,1,2),
(244265,10047700,'Applies Explosive Charge when Activated.',100,0,0),
(244266,10047700,'Inflicts 53 heat damage on targets in Area of Effect',100,1,1),
(244267,10047700,'There are no targets for this explosive charge.',100,1,2),
(244268,135813,'When Equipped:',100,0,0),
(244269,135813,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(244270,135813,'Inflicts 2664 disease damage on target encounter',100,2,2),
(244271,135813,'Must not be engaged in pvp combat',100,2,3),
(244272,135813,'Cannot be modified except by direct means',100,2,4),
(244273,135813,'When Equipped:',100,0,5),
(244274,135813,'This effect will not stack with itself.',100,1,6),
(244275,135813,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(244276,135813,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(244277,135813,'Inflicts 2664 piercing damage on target',100,3,9),
(244278,135813,'Must not be engaged in pvp combat',100,3,10),
(244279,135813,'Cannot be modified except by direct means',100,3,11),
(244280,135813,'Grants a total of 5 triggers of the spell.',100,3,12),
(244281,135813,'Must not be engaged in pvp combat',100,2,13),
(244282,135813,'Cannot be modified except by direct means',100,2,14),
(244283,135813,'Must not be engaged in pvp combat',100,1,15),
(244284,10135813,'When Equipped:',100,0,0),
(244285,10135813,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(244286,10135813,'Inflicts 1598 disease damage on target encounter',100,2,2),
(244287,10135813,'Must not be engaged in pvp combat',100,2,3),
(244288,10135813,'Cannot be modified except by direct means',100,2,4),
(244289,10135813,'When Equipped:',100,0,5),
(244290,10135813,'This effect will not stack with itself.',100,1,6),
(244291,10135813,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(244292,10135813,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(244293,10135813,'Inflicts 3197 piercing damage on target',100,3,9),
(244294,10135813,'Must not be engaged in pvp combat',100,3,10),
(244295,10135813,'Cannot be modified except by direct means',100,3,11),
(244296,10135813,'Grants a total of 5 triggers of the spell.',100,3,12),
(244297,10135813,'Must not be engaged in pvp combat',100,2,13),
(244298,10135813,'Cannot be modified except by direct means',100,2,14),
(244299,10135813,'Must not be engaged in pvp combat',100,1,15),
(244300,116525,'Increases Mitigation of target vs physical damage by 292',100,1,0),
(244301,116525,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(244302,10116525,'Increases Mitigation of target vs physical damage by 292',100,1,0),
(244303,10116525,'Decreases Mitigation of caster vs physical damage by 531',100,1,1),
(244304,103462,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(244305,10103462,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',100,1,0),
(244306,118576,'Dazes caster',100,1,0),
(244307,118576,'Roots caster',100,1,1),
(244308,118576,'Increases Mitigation of caster vs physical damage by 2302',100,1,2),
(244309,10118576,'Dazes caster',100,1,0),
(244310,10118576,'Roots caster',100,1,1),
(244311,10118576,'Increases Mitigation of caster vs physical damage by 2302',100,1,2),
(244312,175249,'When Equipped:',100,0,0),
(244313,175249,'Increases divine damage done by spells by up to 5.',100,1,1),
(244314,10175249,'When Equipped:',100,0,0),
(244315,10175249,'Increases divine damage done by spells by up to 5.',100,1,1),
(244316,110219,'Interrupts target',100,1,0),
(244317,110219,'Inflicts 174 - 290 crushing damage on target',100,1,1),
(244318,10110219,'Interrupts target',100,1,0),
(244319,10110219,'Inflicts 209 - 348 crushing damage on target',100,1,1),
(244320,177722,'When Equipped:',100,0,0),
(244321,177722,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244322,177722,'Increases STR of caster by 3.6',100,2,2),
(244323,177722,'Increases Damage Per Second of caster by 11.3',100,2,3),
(244324,177722,'Cannot be modified except by direct means',100,2,4),
(244325,10177722,'When Equipped:',100,0,0),
(244326,10177722,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244327,10177722,'Increases STR of caster by 3.6',100,2,2),
(244328,10177722,'Increases Damage Per Second of caster by 11.3',100,2,3),
(244329,10177722,'Cannot be modified except by direct means',100,2,4),
(244330,111648,'Inflicts 132 - 162 cold damage on target encounter',100,1,0),
(244331,111648,'Slows target encounter by 37.2%',100,1,1),
(244332,111648,'5% chance to dispel when target takes damage',100,1,2),
(244333,111648,'5% chance to dispel when target receives hostile action',100,1,3),
(244334,10111648,'Inflicts 212 - 259 cold damage on target encounter',100,1,0),
(244335,10111648,'Slows target encounter by 37.2%',100,1,1),
(244336,10111648,'5% chance to dispel when target takes damage',100,1,2),
(244337,10111648,'5% chance to dispel when target receives hostile action',100,1,3),
(244338,81691,'When Equipped:',100,0,0),
(244339,81691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244340,81691,'Inflicts 67 - 124 magic damage on target',100,2,2),
(244341,81691,'Cannot be modified except by direct means',100,2,3),
(244342,10081691,'When Equipped:',100,0,0),
(244343,10081691,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244344,10081691,'Inflicts 80 - 149 magic damage on target',100,2,2),
(244345,10081691,'Cannot be modified except by direct means',100,2,3),
(244346,100844,'Wards target against 1014 points of all damage',100,1,0),
(244347,10100844,'Wards target against 1560 points of all damage',100,1,0),
(244348,73194,'When Equipped:',100,0,0),
(244349,73194,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(244350,10073194,'When Equipped:',100,0,0),
(244351,10073194,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(244352,81045,'When Equipped:',100,0,0),
(244353,81045,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244354,81045,'Inflicts 132 - 246 magic damage on target',100,2,2),
(244355,81045,'Cannot be modified except by direct means',100,2,3),
(244356,10081045,'When Equipped:',100,0,0),
(244357,10081045,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244358,10081045,'Inflicts 159 - 295 magic damage on target',100,2,2),
(244359,10081045,'Cannot be modified except by direct means',100,2,3),
(244360,48707,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(244361,48707,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(244362,10048707,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(244363,10048707,'Increases power of caster by 17 instantly and every 5 seconds',100,1,1),
(244364,123668,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(244365,123668,'Slows target by 46.4%',100,2,1),
(244366,123668,'5% chance to dispel when target receives hostile action',100,2,2),
(244367,123668,'5% chance to dispel when target takes damage',100,2,3),
(244368,123668,'Inflicts 566 - 692 cold damage on target',100,1,4),
(244369,10123668,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(244370,10123668,'Slows target by 46.4%',100,2,1),
(244371,10123668,'5% chance to dispel when target receives hostile action',100,2,2),
(244372,10123668,'5% chance to dispel when target takes damage',100,2,3),
(244373,10123668,'Inflicts 583 - 712 cold damage on target',100,1,4),
(244374,102053,'Inflicts 225 - 376 melee damage on targets in area',100,1,0),
(244375,102053,'Interrupts targets in Area of Effect',100,1,1),
(244376,10102053,'Inflicts 270 - 451 melee damage on targets in area',100,1,0),
(244377,10102053,'Interrupts targets in Area of Effect',100,1,1),
(244378,159387,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(244379,159387,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(244380,159387,'Inflicts 62 heat damage on target',100,2,2),
(244381,159387,'Cannot be modified except by direct means',100,2,3),
(244382,10159387,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(244383,10159387,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(244384,10159387,'Inflicts 74 heat damage on target',100,2,2),
(244385,10159387,'Cannot be modified except by direct means',100,2,3),
(244386,118964,'Applies Sacrifice.',100,1,0),
(244387,118964,'Increases power of group members (AE) by 143',100,2,1),
(244388,118964,'Heals group members (AE) for 502',100,2,2),
(244389,118964,'Stuns target',100,1,3),
(244390,10118964,'Applies Sacrifice.',100,1,0),
(244391,10118964,'Increases power of group members (AE) by 143',100,2,1),
(244392,10118964,'Heals group members (AE) for 699',100,2,2),
(244393,10118964,'Stuns target',100,1,3),
(244394,105757,'Decreases power of target by 123 - 150',100,1,0),
(244395,105757,'Stuns target',100,1,1),
(244396,105757,'If Target is not Epic',100,2,2),
(244397,105757,'Resistibility increases against targets higher than level 42.',100,1,3),
(244398,10105757,'Decreases power of target by 123 - 150',100,1,0),
(244399,10105757,'Stuns target',100,1,1),
(244400,10105757,'If Target is not Epic',100,2,2),
(244401,10105757,'Resistibility increases against targets higher than level 42.',100,1,3),
(244402,111720,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(244403,111720,'Inflicts 108 - 132 cold damage on target',100,2,1),
(244404,111720,'Grants a total of 3 triggers of the spell.',100,2,2),
(244405,10111720,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(244406,10111720,'Inflicts 130 - 158 cold damage on target',100,2,1),
(244407,10111720,'Grants a total of 3 triggers of the spell.',100,2,2),
(244408,109248,'Increases INT and WIS of group members (AE) by 50.1',100,1,0),
(244409,109248,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 142',100,1,1),
(244410,10109248,'Increases INT and WIS of group members (AE) by 50.1',100,1,0),
(244411,10109248,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 142',100,1,1),
(244412,120792,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(244413,120792,'Stuns target',100,2,1),
(244414,120792,'Throws target back',100,2,2),
(244415,120792,'Blurs vision of target',100,2,3),
(244416,120792,'Does not affect Epic targets',100,2,4),
(244417,120792,'Inflicts 130 - 218 piercing damage on target',100,1,5),
(244418,10120792,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(244419,10120792,'Stuns target',100,2,1),
(244420,10120792,'Throws target back',100,2,2),
(244421,10120792,'Blurs vision of target',100,2,3),
(244422,10120792,'Does not affect Epic targets',100,2,4),
(244423,10120792,'Inflicts 156 - 261 piercing damage on target',100,1,5),
(244424,120332,'Increases Threat to target by 709 - 865 ',100,1,0),
(244425,10120332,'Forces target to change their selected target to caster.',100,1,0),
(244426,10120332,'Prevents target from changing targets',100,1,1),
(244427,46266,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(244428,46266,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(244429,46266,'Inflicts 43 magic damage on target',100,2,2),
(244430,46266,'Cannot be modified except by direct means',100,2,3),
(244431,10046266,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(244432,10046266,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(244433,10046266,'Inflicts 52 magic damage on target',100,2,2),
(244434,10046266,'Cannot be modified except by direct means',100,2,3),
(244435,45457,'Applies Calibrated Automated Shears when Activated.  Lasts for 10 days.',100,0,0),
(244436,45457,'Reduces the harvest time for gathering and foresting by .3 seconds.',100,1,1),
(244437,45457,'Increases Foresting and Gathering of caster by 7.0',100,1,2),
(244438,10045457,'Applies Calibrated Automated Shears when Activated.  Lasts for 10 days.',100,0,0),
(244439,10045457,'Reduces the harvest time for gathering and foresting by .3 seconds.',100,1,1),
(244440,10045457,'Increases Foresting and Gathering of caster by 7.0',100,1,2),
(244441,80037,'Applies Fire Ball when Activated.',100,0,0),
(244442,80037,'Inflicts 296 - 494 heat damage on target',100,1,1),
(244443,80037,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(244444,10080037,'Applies Fire Ball when Activated.',100,0,0),
(244445,10080037,'Inflicts 356 - 593 heat damage on target',100,1,1),
(244446,10080037,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(244447,101381,'Reduces physical damage done to caster by 5%',100,1,0),
(244448,101381,'Adds 1.7% to base avoidance.',100,1,1),
(244449,101381,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(244450,101381,'Increases Aggression of caster by 21.5',100,1,3),
(244451,101381,'Increases Defense and Parry of caster by 34.3',100,1,4),
(244452,101381,'Increases Mitigation of caster vs noxious and arcane damage by 210',100,1,5),
(244453,101381,'Increases Mitigation of caster vs elemental damage by 2103',100,1,6),
(244454,101381,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(244455,10101381,'Reduces physical damage done to caster by 5%',100,1,0),
(244456,10101381,'Adds 1.7% to base avoidance.',100,1,1),
(244457,10101381,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(244458,10101381,'Increases Aggression of caster by 21.5',100,1,3),
(244459,10101381,'Increases Defense and Parry of caster by 34.3',100,1,4),
(244460,10101381,'Increases Mitigation of caster vs noxious and arcane damage by 210',100,1,5),
(244461,10101381,'Increases Mitigation of caster vs elemental damage by 2103',100,1,6),
(244462,10101381,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(244463,152733,'Applies Dash of the Hounds when Activated.  Lasts for 30.0 seconds.',100,0,0),
(244464,152733,'Increases Crit Bonus of caster by 50.0%',100,1,1),
(244465,152733,'Increases the base trigger chance of spells and items by 20%.',100,1,2),
(244466,152733,'Must not be engaged in pvp combat',100,1,3),
(244467,152733,'Cannot be modified except by direct means',100,1,4),
(244468,152733,'The casting time of Dash of the Hounds is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,5),
(244469,10152733,'Applies Dash of the Hounds when Activated.  Lasts for 30.0 seconds.',100,0,0),
(244470,10152733,'Increases Crit Bonus of caster by 50.0%',100,1,1),
(244471,10152733,'Increases the base trigger chance of spells and items by 20%.',100,1,2),
(244472,10152733,'Must not be engaged in pvp combat',100,1,3),
(244473,10152733,'Cannot be modified except by direct means',100,1,4),
(244474,10152733,'The casting time of Dash of the Hounds is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,5),
(244475,105450,'Inflicts 234 - 286 poison damage on target instantly and every 4 seconds',100,1,0),
(244476,105450,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(244477,105450,'Summons 3 limited pets to aid the caster',100,2,2),
(244478,105450,'Grants a total of 1 trigger of the spell.',100,2,3),
(244479,10105450,'Inflicts 281 - 343 poison damage on target instantly and every 4 seconds',100,1,0),
(244480,10105450,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(244481,10105450,'Summons 3 limited pets to aid the caster',100,2,2),
(244482,10105450,'Grants a total of 1 trigger of the spell.',100,2,3),
(244483,24140,'Adds Boss: Coldain (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(244484,10024140,'Adds Boss: Coldain (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(244485,102997,'Increases STR and AGI of group members (AE) by 129.4',100,1,0),
(244486,10102997,'Increases STR and AGI of group members (AE) by 129.4',100,1,0),
(244487,109399,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(244488,109399,'Inflicts 109 - 133 cold damage on target',100,2,1),
(244489,109399,'Slows target by 47.8%',100,2,2),
(244490,109399,'5% chance to dispel when target receives hostile action',100,2,3),
(244491,109399,'5% chance to dispel when target takes damage',100,2,4),
(244492,10109399,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(244493,10109399,'Inflicts 130 - 159 cold damage on target',100,2,1),
(244494,10109399,'Slows target by 47.8%',100,2,2),
(244495,10109399,'5% chance to dispel when target receives hostile action',100,2,3),
(244496,10109399,'5% chance to dispel when target takes damage',100,2,4),
(244497,100437,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(244498,100437,'Inflicts 149 - 248 slashing damage on target',100,2,1),
(244499,100437,'Increases Threat to target by 607 ',100,2,2),
(244500,100437,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(244501,100437,'Increases Threat to target by 607 ',100,2,4),
(244502,100437,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,5),
(244503,10100437,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(244504,10100437,'Inflicts 179 - 298 slashing damage on target',100,2,1),
(244505,10100437,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(244506,10100437,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,3),
(244507,37275,'Increases INT of target by 1.1',100,0,0),
(244508,37275,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(244509,133408,'When Equipped:',100,0,0),
(244510,133408,'Reduces resistibility of all spells by 10%.',100,1,1),
(244511,10133408,'When Equipped:',100,0,0),
(244512,10133408,'Reduces resistibility of all spells by 10%.',100,1,1),
(244513,116471,'Inflicts 166 disease damage on target instantly and every 4 seconds',100,1,0),
(244514,116471,'Inflicts 166 disease damage on target instantly and every 4 seconds',100,1,1),
(244515,116471,'If target is nightblood',100,2,2),
(244516,116471,'Inflicts 166 disease damage on target instantly and every 4 seconds',100,1,3),
(244517,116471,'If target is shadowed folk',100,2,4),
(244518,10116471,'Inflicts 199 disease damage on target instantly and every 4 seconds',100,1,0),
(244519,106882,'Decreases Threat to targets in Area of Effect by 1,959 ',100,1,0),
(244520,106882,'Stuns targets in Area of Effect',100,1,1),
(244521,106882,'If Target is not Epic',100,2,2),
(244522,10106882,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(244523,10106882,'Applies Distract.',100,1,1),
(244524,10106882,'Forces target to clear their selected target.',100,2,2),
(244525,10106882,'Stuns targets in Area of Effect',100,1,3),
(244526,10106882,'If Target is not Epic',100,2,4),
(244527,47971,'Applies Use Scroll when Activated.',100,0,0),
(244528,47971,'If target is skeleton',100,1,1),
(244529,47971,'If between levels 10 - 13',100,1,2),
(244530,47971,'If Target is not Epic',100,1,3),
(244531,10047971,'Applies Use Scroll when Activated.',100,0,0),
(244532,10047971,'If target is skeleton',100,1,1),
(244533,10047971,'If between levels 10 - 13',100,1,2),
(244534,10047971,'If Target is not Epic',100,1,3),
(244535,50886,'When Equipped:',100,0,0),
(244536,50886,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(244537,50886,'Increases power of caster by 57',100,2,2),
(244538,50886,'Increases power of caster by 33 every 5 seconds',100,2,3),
(244539,50886,'Cannot be modified except by direct means',100,2,4),
(244540,10050886,'When Equipped:',100,0,0),
(244541,10050886,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(244542,10050886,'Increases power of caster by 57',100,2,2),
(244543,10050886,'Increases power of caster by 33 every 5 seconds',100,2,3),
(244544,10050886,'Cannot be modified except by direct means',100,2,4),
(244545,82076,'When Equipped:',100,0,0),
(244546,82076,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244547,82076,'Inflicts 135 - 252 magic damage on target',100,2,2),
(244548,82076,'Cannot be modified except by direct means',100,2,3),
(244549,10082076,'When Equipped:',100,0,0),
(244550,10082076,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244551,10082076,'Inflicts 163 - 302 magic damage on target',100,2,2),
(244552,10082076,'Cannot be modified except by direct means',100,2,3),
(244553,187432,'When Equipped:',100,0,0),
(244554,187432,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(244555,10187432,'When Equipped:',100,0,0),
(244556,10187432,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(244557,113041,'Decreases Damage Per Second of target by 21.0',100,1,0),
(244558,10113041,'Decreases Damage Per Second of target by 21.0',100,1,0),
(244559,123870,'Increases AGI of caster by 86.7',100,1,0),
(244560,123870,'Adds 25.0% to base avoidance.',100,1,1),
(244561,123870,'Increases Damage Per Second of caster by 69.8',100,1,2),
(244562,123870,'Increases Mitigation of caster vs physical damage by 773',100,1,3),
(244563,123870,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,4),
(244564,10123870,'Increases AGI of caster by 86.7',100,1,0),
(244565,10123870,'Adds 25.0% to base avoidance.',100,1,1),
(244566,10123870,'Increases Damage Per Second of caster by 69.8',100,1,2),
(244567,10123870,'Increases Mitigation of caster vs physical damage by 773',100,1,3),
(244568,10123870,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,4),
(244569,124275,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(244570,124275,'Increases Damage Per Second of target by 19.0',100,2,1),
(244571,124275,'Increases Attack Speed of target by 19.0',100,2,2),
(244572,124275,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(244573,124275,'Increases Damage Per Second of target by 19.0',100,2,4),
(244574,124275,'Increases Attack Speed of target by 19.0',100,2,5),
(244575,124275,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(244576,124275,'Increases Damage Per Second of target by 19.0',100,2,7),
(244577,124275,'Increases Attack Speed of target by 19.0',100,2,8),
(244578,10124275,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(244579,10124275,'Increases Damage Per Second of target by 19.0',100,2,1),
(244580,10124275,'Increases Attack Speed of target by 19.0',100,2,2),
(244581,10124275,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(244582,10124275,'Increases Damage Per Second of target by 19.0',100,2,4),
(244583,10124275,'Increases Attack Speed of target by 19.0',100,2,5),
(244584,10124275,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(244585,10124275,'Increases Damage Per Second of target by 19.0',100,2,7),
(244586,10124275,'Increases Attack Speed of target by 19.0',100,2,8),
(244587,103329,'Applies Migraine on termination.',100,1,0),
(244588,103329,'Inflicts 144 - 195 mental damage on target',100,2,1),
(244589,103329,'Inflicts 66 - 81 mental damage on target instantly and every 6 seconds',100,1,2),
(244590,10103329,'Applies Migraine on termination.',100,1,0),
(244591,10103329,'Inflicts 173 - 235 mental damage on target',100,2,1),
(244592,10103329,'Inflicts 80 - 97 mental damage on target instantly and every 6 seconds',100,1,2),
(244593,186966,'When Equipped:',100,0,0),
(244594,186966,'On a damage spell hit this spell may cast Uplifting Sonata on target.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(244595,186966,'Prevents group members (AE) from being Interrupted due to movement',100,2,2),
(244596,186966,'Cannot be modified except by direct means',100,2,3),
(244597,186966,'Must not be engaged in pvp combat',100,1,4),
(244598,186966,'Cannot be modified except by direct means',100,1,5),
(244599,10186966,'When Equipped:',100,0,0),
(244600,10186966,'On a damage spell hit this spell may cast Uplifting Sonata on target.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(244601,10186966,'Prevents group members (AE) from being Interrupted due to movement',100,2,2),
(244602,10186966,'Cannot be modified except by direct means',100,2,3),
(244603,10186966,'Must not be engaged in pvp combat',100,1,4),
(244604,10186966,'Cannot be modified except by direct means',100,1,5),
(244605,170784,'When Equipped:',100,0,0),
(244606,170784,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(244607,170784,'Heals group members (AE) for 645',100,2,2),
(244608,170784,'Cannot be modified except by direct means',100,2,3),
(244609,170784,'Cannot be modified except by direct means',100,1,4),
(244610,10170784,'When Equipped:',100,0,0),
(244611,10170784,'On a healing spell cast this spell may cast Empowered Heal on caster.  Triggers about 4.0 times per minute. ',100,1,1),
(244612,10170784,'Heals group members (AE) for 419',100,2,2),
(244613,10170784,'Cannot be modified except by direct means',100,2,3),
(244614,10170784,'Cannot be modified except by direct means',100,1,4),
(244615,120650,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.2',100,1,0),
(244616,120650,'Increases Focus of group members (AE) by 16.3',100,1,1),
(244617,10120650,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.2',100,1,0),
(244618,10120650,'Increases Focus of group members (AE) by 16.3',100,1,1),
(244619,100218,'Increases Threat to target encounter by 593 - 724 ',100,1,0),
(244620,100218,'Interrupts target encounter',100,1,1),
(244621,10100218,'Interrupts target encounter',100,1,0),
(244622,10100218,'Forces target encounter to change their selected target to caster.',100,1,1),
(244623,10100218,'Prevents target encounter from changing targets',100,1,2),
(244624,74883,'When Equipped:',100,0,0),
(244625,74883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244626,74883,'Inflicts 108 - 163 magic damage on target',100,2,2),
(244627,74883,'Cannot be modified except by direct means',100,2,3),
(244628,10074883,'When Equipped:',100,0,0),
(244629,10074883,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244630,10074883,'Inflicts 130 - 195 magic damage on target',100,2,2),
(244631,10074883,'Cannot be modified except by direct means',100,2,3),
(244632,110174,'Applies Untreated Bleeding on termination.',100,1,0),
(244633,110174,'Inflicts 162 - 270 piercing damage on target',100,2,1),
(244634,110174,'Inflicts 35 - 58 piercing damage on target instantly and every 4 seconds',100,1,2),
(244635,110174,'Inflicts 23 - 38 melee damage on target',100,1,3),
(244636,10110174,'Applies Untreated Bleeding on termination.',100,1,0),
(244637,10110174,'Inflicts 195 - 324 piercing damage on target',100,2,1),
(244638,10110174,'Inflicts 42 - 69 piercing damage on target instantly and every 4 seconds',100,1,2),
(244639,10110174,'Inflicts 27 - 46 melee damage on target',100,1,3),
(244640,117710,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(244641,117710,'Adds 1.5% to base avoidance.',100,1,1),
(244642,10117710,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(244643,10117710,'Adds 1.5% to base avoidance.',100,1,1),
(244644,123593,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(244645,123593,'Increases Defense of target by 14.4',100,1,1),
(244646,10123593,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(244647,10123593,'Increases Defense of target by 14.4',100,1,1),
(244648,45427,'Applies Brown Nightmare Warg with Indigo Armor when Activated.',100,0,0),
(244649,45427,'Increases damage done by spells and combat arts by up to 75.',100,1,1),
(244650,45427,'Summons a mount to ride',100,1,2),
(244651,45427,'Increases your ground speed by 130%',100,2,3),
(244652,45427,'Increases Ranged, Disruption, Slashing, Piercing and Crushing of caster by 7.0',100,1,4),
(244653,45427,'Requires evil alignment',100,1,5),
(244654,10045427,'Applies Brown Nightmare Warg with Indigo Armor when Activated.',100,0,0),
(244655,10045427,'Increases damage done by spells and combat arts by up to 75.',100,1,1),
(244656,10045427,'Summons a mount to ride',100,1,2),
(244657,10045427,'Increases your ground speed by 130%',100,2,3),
(244658,10045427,'Increases Ranged, Disruption, Slashing, Piercing and Crushing of caster by 7.0',100,1,4),
(244659,10045427,'Requires evil alignment',100,1,5),
(244660,169174,'When Equipped:',100,0,0),
(244661,169174,'When a combat art is used this spell has a 5% chance to cast Curse of Opolla on caster.  ',100,1,1),
(244662,169174,'Drains 5% of your group''s health and grants a portion of that health back to the wearer!',100,2,2),
(244663,169174,'Cannot be modified except by direct means',100,2,3),
(244664,169174,'On a hostile spell cast this spell has a 5% chance to cast Curse of Opolla on caster.  ',100,1,4),
(244665,169174,'Drains 5% of your group''s health and grants a portion of that health back to the wearer!',100,2,5),
(244666,169174,'Cannot be modified except by direct means',100,2,6),
(244667,10169174,'When Equipped:',100,0,0),
(244668,10169174,'When a combat art is used this spell has a 5% chance to cast Curse of Opolla on caster.  ',100,1,1),
(244669,10169174,'Drains 5% of your group''s health and grants a portion of that health back to the wearer!',100,2,2),
(244670,10169174,'Cannot be modified except by direct means',100,2,3),
(244671,10169174,'On a hostile spell cast this spell has a 5% chance to cast Curse of Opolla on caster.  ',100,1,4),
(244672,10169174,'Drains 5% of your group''s health and grants a portion of that health back to the wearer!',100,2,5),
(244673,10169174,'Cannot be modified except by direct means',100,2,6),
(244674,71320,'When Equipped:',100,0,0),
(244675,71320,'On a combat hit this spell may cast Bladeward on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244676,71320,'Increases Mitigation of caster vs physical damage by 420',100,2,2),
(244677,71320,'Cannot be modified except by direct means',100,2,3),
(244678,10071320,'When Equipped:',100,0,0),
(244679,10071320,'On a combat hit this spell may cast Bladeward on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244680,10071320,'Increases Mitigation of caster vs physical damage by 420',100,2,2),
(244681,10071320,'Cannot be modified except by direct means',100,2,3),
(244682,82350,'When Equipped:',100,0,0),
(244683,82350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244684,82350,'Inflicts 31 - 57 magic damage on target',100,2,2),
(244685,82350,'Cannot be modified except by direct means',100,2,3),
(244686,10082350,'When Equipped:',100,0,0),
(244687,10082350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(244688,10082350,'Inflicts 37 - 68 magic damage on target',100,2,2),
(244689,10082350,'Cannot be modified except by direct means',100,2,3),
(244690,24491,'Adds Lair of Scale: Rotating Azurite Sculpture to your Dungeon Maker toolbox',100,0,0),
(244691,10024491,'Adds Lair of Scale: Rotating Azurite Sculpture to your Dungeon Maker toolbox',100,0,0),
(244692,159101,'When Equipped:',100,0,0),
(244693,159101,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244694,159101,'Increases STR of caster by 14.8',100,2,2),
(244695,159101,'Increases Damage Per Second of caster by 19.0',100,2,3),
(244696,159101,'Cannot be modified except by direct means',100,2,4),
(244697,10159101,'When Equipped:',100,0,0),
(244698,10159101,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244699,10159101,'Increases STR of caster by 14.8',100,2,2),
(244700,10159101,'Increases Damage Per Second of caster by 19.0',100,2,3),
(244701,10159101,'Cannot be modified except by direct means',100,2,4),
(244702,177517,'When Equipped:',100,0,0),
(244703,177517,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244704,177517,'Increases STR of caster by 14.8',100,2,2),
(244705,177517,'Increases Damage Per Second of caster by 19.0',100,2,3),
(244706,177517,'Cannot be modified except by direct means',100,2,4),
(244707,10177517,'When Equipped:',100,0,0),
(244708,10177517,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244709,10177517,'Increases STR of caster by 14.8',100,2,2),
(244710,10177517,'Increases Damage Per Second of caster by 19.0',100,2,3),
(244711,10177517,'Cannot be modified except by direct means',100,2,4),
(244712,112587,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(244713,112587,'Heals targets in Area of Effect for 226 - 276',100,2,1),
(244714,112587,'Dispels 100 levels of physical hostile effects on target',100,2,2),
(244715,10112587,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(244716,10112587,'Heals targets in Area of Effect for 147 - 179',100,2,1),
(244717,10112587,'Dispels 100 levels of physical hostile effects on target',100,2,2),
(244718,112405,'Increases Crushing, Piercing, Slashing and Ranged of target by 70.8',100,1,0),
(244719,112405,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(244720,112405,'Inflicts 552 - 675 piercing damage on target',100,2,2),
(244721,112405,'Inflicts 276 - 337 piercing damage on target every 3 seconds',100,2,3),
(244722,10112405,'Increases Crushing, Piercing, Slashing and Ranged of target by 70.8',100,1,0),
(244723,10112405,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(244724,10112405,'Inflicts 663 - 810 piercing damage on target',100,2,2),
(244725,10112405,'Inflicts 331 - 405 piercing damage on target every 3 seconds',100,2,3),
(244726,116502,'Prevents targets in Area of Effect from changing targets',100,1,0),
(244727,116502,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(244728,116502,'Increases Threat to targets in Area of Effect by 735 ',100,1,2),
(244729,10116502,'Prevents targets in Area of Effect from changing targets',100,1,0),
(244730,10116502,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(244731,80489,'When Equipped:',100,0,0),
(244732,80489,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(244733,80489,'Inflicts 45 - 84 magic damage on target',100,2,2),
(244734,80489,'Decreases Threat to target by 153 ',100,2,3),
(244735,80489,'Must be flanking or behind',100,3,4),
(244736,80489,'Increases Threat to target by 158 ',100,2,5),
(244737,80489,'Must be in front of',100,3,6),
(244738,80489,'Cannot be modified except by direct means',100,2,7),
(244739,10080489,'When Equipped:',100,0,0),
(244740,10080489,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(244741,10080489,'Inflicts 54 - 100 magic damage on target',100,2,2),
(244742,10080489,'Cannot be modified except by direct means',100,2,3),
(244743,123401,'When damaged with a melee weapon this spell has a 8.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(244744,123401,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(244745,10123401,'When damaged with a melee weapon this spell has a 8.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(244746,10123401,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(244747,49003,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(244748,49003,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(244749,49003,'Inflicts 12 poison damage on target',100,2,2),
(244750,49003,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,3),
(244751,49003,'Cannot be modified except by direct means',100,2,4),
(244752,49003,'Grants a total of 200 triggers of the spell.',100,2,5),
(244753,10049003,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(244754,10049003,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(244755,10049003,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,2),
(244756,10049003,'Inflicts 11 poison damage on target',100,2,3),
(244757,10049003,'Cannot be modified except by direct means',100,2,4),
(244758,10049003,'Grants a total of 200 triggers of the spell.',100,2,5),
(244759,101653,'Decreases Attack Speed of target by 16.3',100,1,0),
(244760,101653,'Decreases Damage Per Second of target by 9.4',100,1,1),
(244761,10101653,'Decreases Attack Speed of target by 16.3',100,1,0),
(244762,10101653,'Decreases Damage Per Second of target by 9.4',100,1,1),
(244763,154600,'When Equipped:',100,0,0),
(244764,154600,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(244765,154600,'Decreases Damage Per Second of target by 7.2 - 11.9',100,2,2),
(244766,154600,'Cannot be modified except by direct means',100,2,3),
(244767,10154600,'When Equipped:',100,0,0),
(244768,10154600,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(244769,10154600,'Decreases Damage Per Second of target by 7.2 - 11.9',100,2,2),
(244770,10154600,'Cannot be modified except by direct means',100,2,3),
(244771,143373,'When Equipped:',100,0,0),
(244772,143373,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(244773,143373,'Heals group members (AE) for 120',100,2,2),
(244774,143373,'Cannot be modified except by direct means',100,2,3),
(244775,143373,'Cannot be modified except by direct means',100,1,4),
(244776,10143373,'When Equipped:',100,0,0),
(244777,10143373,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(244778,10143373,'Heals group members (AE) for 78',100,2,2),
(244779,10143373,'Cannot be modified except by direct means',100,2,3),
(244780,10143373,'Cannot be modified except by direct means',100,1,4),
(244781,117441,'Inflicts 89 - 148 melee damage on target',100,1,0),
(244782,117441,'You must be sneaking to use this ability.',100,1,1),
(244783,117441,'Must be flanking or behind',100,1,2),
(244784,10117441,'Inflicts 66 - 110 melee damage on target',100,1,0),
(244785,10117441,'You must be sneaking to use this ability.',100,1,1),
(244786,10117441,'Must be flanking or behind',100,1,2),
(244787,45451,'Applies Leash when Activated.',100,0,0),
(244788,10045451,'Applies Leash when Activated.',100,0,0),
(244789,121681,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(244790,121681,'Inflicts 33 - 40 heat damage on target instantly and every second',100,2,1),
(244791,10121681,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(244792,10121681,'Inflicts 39 - 48 heat damage on target instantly and every second',100,2,1),
(244793,112942,'Inflicts 30 - 91 crushing damage on target',100,1,0),
(244794,10112942,'Inflicts 36 - 109 crushing damage on target',100,1,0),
(244795,159606,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(244796,159606,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(244797,159606,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(244798,159606,'Cannot be modified except by direct means',100,2,3),
(244799,10159606,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(244800,10159606,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(244801,10159606,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(244802,10159606,'Cannot be modified except by direct means',100,2,3),
(244803,72132,'When Equipped:',100,0,0),
(244804,72132,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244805,72132,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(244806,72132,'Cannot be modified except by direct means',100,2,3),
(244807,10072132,'When Equipped:',100,0,0),
(244808,10072132,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244809,10072132,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(244810,10072132,'Cannot be modified except by direct means',100,2,3),
(244811,109835,'Inflicts 388 - 648 melee damage on target',100,1,0),
(244812,109835,'Decreases Parry of target by 47.9',100,1,1),
(244813,109835,'Must be in front of or flanking',100,1,2),
(244814,10109835,'Inflicts 466 - 777 melee damage on target',100,1,0),
(244815,10109835,'Decreases Parry of target by 47.9',100,1,1),
(244816,10109835,'Must be in front of or flanking',100,1,2),
(244817,116958,'Increases Threat to target by 2,208 - 2,697 ',100,1,0),
(244818,116958,'Interrupts target',100,1,1),
(244819,10116958,'Forces target to change their selected target to caster.',100,1,0),
(244820,10116958,'Interrupts target',100,1,1),
(244821,10116958,'Prevents target from changing targets',100,1,2),
(244822,103897,'Increases power of group members (AE) by 25 instantly and every 6 seconds',100,1,0),
(244823,103897,'Decreases INT of target by 89.3',100,1,1),
(244824,10103897,'Increases power of group members (AE) by 25 instantly and every 6 seconds',100,1,0),
(244825,10103897,'Decreases INT of target by 89.3',100,1,1),
(244826,75890,'When Equipped:',100,0,0),
(244827,75890,'25% of the damage done to the berserker will be added back to the attacker as additional hate.',100,1,1),
(244828,75890,'Adds a hate position increase to the initial taunt portion of Insolence II.',100,1,2),
(244829,75890,'Applies Whirlwind when Activated.',100,0,3),
(244830,75890,'Reduces physical damage done to caster by 5%',100,1,4),
(244831,75890,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,5),
(244832,75890,'When Equipped:',100,0,6),
(244833,75890,'On a melee hit this spell may cast Enrage on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,7),
(244834,75890,'Inflicts 550 - 825 heat damage on target encounter',100,2,8),
(244835,75890,'Increases Multi Attack Chance of caster by 10.0',100,2,9),
(244836,75890,'Increases Crit Chance of caster by 15.0',100,2,10),
(244837,75890,'Cannot be modified except by direct means',100,2,11),
(244838,75890,'Cannot be modified except by direct means',100,1,12),
(244839,10075890,'When Equipped:',100,0,0),
(244840,10075890,'25% of the damage done to the berserker will be added back to the attacker as additional hate.',100,1,1),
(244841,10075890,'Adds a hate position increase to the initial taunt portion of Insolence II.',100,1,2),
(244842,10075890,'Applies Whirlwind when Activated.',100,0,3),
(244843,10075890,'Reduces physical damage done to caster by 5%',100,1,4),
(244844,10075890,'Caster has a 100.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,5),
(244845,10075890,'When Equipped:',100,0,6),
(244846,10075890,'On a melee hit this spell may cast Enrage on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,7),
(244847,10075890,'Inflicts 660 - 990 heat damage on target encounter',100,2,8),
(244848,10075890,'Increases Multi Attack Chance of caster by 10.0',100,2,9),
(244849,10075890,'Increases Crit Chance of caster by 15.0',100,2,10),
(244850,10075890,'Cannot be modified except by direct means',100,2,11),
(244851,10075890,'Cannot be modified except by direct means',100,1,12),
(244852,49066,'Applies Vision of the Void when Activated.',100,0,0),
(244853,49066,'Fills the user''s eyes with visions of fury.',100,1,1),
(244854,10049066,'Applies Vision of the Void when Activated.',100,0,0),
(244855,10049066,'Fills the user''s eyes with visions of fury.',100,1,1),
(244856,151873,'When Equipped:',100,0,0),
(244857,151873,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244858,151873,'Inflicts 393 divine damage on target',100,2,2),
(244859,151873,'Must not be classified as a vampire',100,3,3),
(244860,151873,'Inflicts 787 divine damage on target',100,2,4),
(244861,151873,'Must be classified as a vampire',100,3,5),
(244862,151873,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(244863,151873,'Must be classified as a vampire',100,3,7),
(244864,151873,'Cannot be modified except by direct means',100,2,8),
(244865,151873,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(244866,10151873,'When Equipped:',100,0,0),
(244867,10151873,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244868,10151873,'Inflicts 472 divine damage on target',100,2,2),
(244869,10151873,'Must not be classified as a vampire',100,3,3),
(244870,10151873,'Inflicts 944 divine damage on target',100,2,4),
(244871,10151873,'Must be classified as a vampire',100,3,5),
(244872,10151873,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(244873,10151873,'Must be classified as a vampire',100,3,7),
(244874,10151873,'Cannot be modified except by direct means',100,2,8),
(244875,10151873,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(244876,124183,'Inflicts 113 - 188 melee damage on target',100,1,0),
(244877,10124183,'Inflicts 135 - 226 melee damage on target',100,1,0),
(244878,36818,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(244879,45256,'Applies Automated External Defibrillator when Activated.',100,0,0),
(244880,45256,'Resurrects target with 10% health and power',50,1,1),
(244881,45256,'This effect cannot be cast during combat',100,1,2),
(244882,10045256,'Applies Automated External Defibrillator when Activated.',100,0,0),
(244883,10045256,'Resurrects target with 10% health and power',50,1,1),
(244884,10045256,'This effect cannot be cast during combat',100,1,2),
(244885,118637,'Inflicts 62 - 186 crushing damage on target',100,1,0),
(244886,10118637,'Inflicts 74 - 223 crushing damage on target',100,1,0),
(244887,124318,'Shapechanges caster into a wolf',100,1,0),
(244888,124318,'Grants See Invisibility to caster',100,1,1),
(244889,124318,'Increases Focus of caster by 9.9',100,1,2),
(244890,124318,'Increases Mitigation of caster vs physical damage by 110',100,1,3),
(244891,124318,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 418',100,1,4),
(244892,10124318,'Shapechanges caster into a wolf',100,1,0),
(244893,10124318,'Grants See Invisibility to caster',100,1,1),
(244894,10124318,'Increases Focus of caster by 9.9',100,1,2),
(244895,10124318,'Increases Mitigation of caster vs physical damage by 110',100,1,3),
(244896,10124318,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 418',100,1,4),
(244897,120511,'Inflicts 249 - 415 melee damage on target',100,1,0),
(244898,120511,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(244899,120511,'Grants stealth to caster',100,2,2),
(244900,120511,'Suspends caster''s movement speed enhancements',100,2,3),
(244901,120511,'Must be flanking or behind',100,1,4),
(244902,10120511,'Inflicts 298 - 498 melee damage on target',100,1,0),
(244903,10120511,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(244904,10120511,'Grants stealth to caster',100,2,2),
(244905,10120511,'Suspends caster''s movement speed enhancements',100,2,3),
(244906,10120511,'Must be flanking or behind',100,1,4),
(244907,131846,'When Equipped:',100,0,0),
(244908,131846,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(244909,131846,'Heals target for 5664 - 6260',100,2,2),
(244910,131846,'Dispels 221 levels of any hostile effects on target',100,2,3),
(244911,131846,'Must not be engaged in pvp combat',100,2,4),
(244912,131846,'Cannot be modified except by direct means',100,2,5),
(244913,131846,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(244914,131846,'Cannot be modified except by direct means',100,1,7),
(244915,10131846,'When Equipped:',100,0,0),
(244916,10131846,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(244917,10131846,'Heals target for 6626 - 7324',100,2,2),
(244918,10131846,'Dispels 221 levels of any hostile effects on target',100,2,3),
(244919,10131846,'Must not be engaged in pvp combat',100,2,4),
(244920,10131846,'Cannot be modified except by direct means',100,2,5),
(244921,10131846,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(244922,10131846,'Cannot be modified except by direct means',100,1,7),
(244923,177603,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(244924,177603,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(244925,177603,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(244926,177603,'Cannot be modified except by direct means',100,2,3),
(244927,10177603,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(244928,10177603,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(244929,10177603,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(244930,10177603,'Cannot be modified except by direct means',100,2,3),
(244931,144969,'Applies Visage of Determination when Activated.  Lasts for 30.0 seconds.',100,0,0),
(244932,144969,'Wards caster against 598 points of all damage',100,1,1),
(244933,144969,'The casting time of Visage of Determination is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,2),
(244934,10144969,'Applies Visage of Determination when Activated.  Lasts for 30.0 seconds.',100,0,0),
(244935,10144969,'Wards caster against 598 points of all damage',100,1,1),
(244936,10144969,'The casting time of Visage of Determination is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,2),
(244937,101793,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(244938,101793,'Decreases Threat to target by 407 ',100,2,1),
(244939,10101793,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(244940,10101793,'Inflicts 23 - 25 crushing damage on target',100,2,1),
(244941,52884,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(244942,52884,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(244943,52884,'Inflicts 95 heat damage on target',100,2,2),
(244944,52884,'Cannot be modified except by direct means',100,2,3),
(244945,10052884,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(244946,10052884,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(244947,10052884,'Inflicts 114 heat damage on target',100,2,2),
(244948,10052884,'Cannot be modified except by direct means',100,2,3),
(244949,100793,'Wards target against 572 points of all damage',100,1,0),
(244950,10100793,'Wards target against 880 points of all damage',100,1,0),
(244951,124283,'Wards group members (AE) against 554 points of elemental damage',100,1,0),
(244952,124283,'Increases Mitigation of group members (AE) vs elemental damage by 348',100,1,1),
(244953,10124283,'Wards group members (AE) against 554 points of elemental damage',100,1,0),
(244954,10124283,'Increases Mitigation of group members (AE) vs elemental damage by 348',100,1,1),
(244955,189191,'When Equipped:',100,0,0),
(244956,189191,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(244957,10189191,'When Equipped:',100,0,0),
(244958,10189191,'Reduces casting time by 10% percent but increases power cost by 5%.',100,1,1),
(244959,102480,'Inflicts 161 - 268 crushing damage on target',100,1,0),
(244960,102480,'Prevents target from changing direction while active.',100,1,1),
(244961,102480,'If Target is not Epic',100,2,2),
(244962,102480,'Roots target',100,1,3),
(244963,102480,'If Target is not Epic',100,2,4),
(244964,102480,'Resistibility increases against targets higher than level 51.',100,1,5),
(244965,10102480,'Inflicts 193 - 322 crushing damage on target',100,1,0),
(244966,10102480,'Prevents target from changing direction while active.',100,1,1),
(244967,10102480,'If Target is not Epic',100,2,2),
(244968,10102480,'Roots target',100,1,3),
(244969,10102480,'If Target is not Epic',100,2,4),
(244970,10102480,'Resistibility increases against targets higher than level 51.',100,1,5),
(244971,133816,'When Equipped:',100,0,0),
(244972,133816,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(244973,133816,'Inflicts 1986 magic damage on target',100,2,2),
(244974,133816,'Inflicts 331 magic damage on target every 4 seconds',100,2,3),
(244975,133816,'Must not be engaged in pvp combat',100,2,4),
(244976,133816,'Cannot be modified except by direct means',100,2,5),
(244977,10133816,'When Equipped:',100,0,0),
(244978,10133816,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(244979,10133816,'Inflicts 2383 magic damage on target',100,2,2),
(244980,10133816,'Inflicts 397 magic damage on target every 4 seconds',100,2,3),
(244981,10133816,'Must not be engaged in pvp combat',100,2,4),
(244982,10133816,'Cannot be modified except by direct means',100,2,5),
(244983,46009,'Applies a blessed experience when Activated.  Lasts for 45 minutes.',100,0,0),
(244984,46009,'Increases Combat XP Gain of caster by 77.0%',100,1,1),
(244985,46009,'Increases Tradeskill XP Gain of caster by 77.0%',100,1,2),
(244986,46009,'Increases AA XP Gain of caster by 77.0%',100,1,3),
(244987,46009,'You can only have one experience potion active at a time.',100,1,4),
(244988,10046009,'Applies a blessed experience when Activated.  Lasts for 45 minutes.',100,0,0),
(244989,10046009,'Increases Combat XP Gain of caster by 77.0%',100,1,1),
(244990,10046009,'Increases Tradeskill XP Gain of caster by 77.0%',100,1,2),
(244991,10046009,'Increases AA XP Gain of caster by 77.0%',100,1,3),
(244992,10046009,'You can only have one experience potion active at a time.',100,1,4),
(244993,122548,'Heals caster for 102',100,1,0),
(244994,122548,'Inflicts 153 - 255 melee damage on target',100,1,1),
(244995,10122548,'Heals caster for 66',100,1,0),
(244996,10122548,'Inflicts 183 - 306 melee damage on target',100,1,1),
(244997,71416,'When Equipped:',100,0,0),
(244998,71416,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(244999,71416,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(245000,71416,'Cannot be modified except by direct means',100,2,3),
(245001,10071416,'When Equipped:',100,0,0),
(245002,10071416,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(245003,10071416,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(245004,10071416,'Cannot be modified except by direct means',100,2,3),
(245005,40432,'When Equipped:',100,0,0),
(245006,40432,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245007,40432,'Inflicts 146 - 271 cold damage on target',100,2,2),
(245008,40432,'Cannot be modified except by direct means',100,2,3),
(245009,10040432,'When Equipped:',100,0,0),
(245010,10040432,'On a combat hit this spell may cast Bolt of Pain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245011,10040432,'Inflicts 175 - 326 cold damage on target',100,2,2),
(245012,10040432,'Cannot be modified except by direct means',100,2,3),
(245013,36382,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(245014,157808,'When Equipped:',100,0,0),
(245015,157808,'On death this spell has a 33% chance to cast Inspiring Martyr on the group.  ',100,1,1),
(245016,157808,'Heals group members for 1154',100,2,2),
(245017,157808,'Increases power of group members by 1154',100,2,3),
(245018,157808,'Cannot be modified except by direct means',100,2,4),
(245019,10157808,'When Equipped:',100,0,0),
(245020,10157808,'On death this spell has a 33% chance to cast Inspiring Martyr on the group.  ',100,1,1),
(245021,10157808,'Heals group members for 750',100,2,2),
(245022,10157808,'Increases power of group members by 1154',100,2,3),
(245023,10157808,'Cannot be modified except by direct means',100,2,4),
(245024,46691,'Applies Innoruuk''s Tear when Activated.  Lasts for 30 minutes.',100,0,0),
(245025,46691,'Decreases STA and STR of caster by 100.0',100,1,1),
(245026,46691,'Blurs vision of caster',100,1,2),
(245027,46691,'Slows caster by 25.0%',100,1,3),
(245028,10046691,'Applies Innoruuk''s Tear when Activated.  Lasts for 30 minutes.',100,0,0),
(245029,10046691,'Decreases STA and STR of caster by 100.0',100,1,1),
(245030,10046691,'Blurs vision of caster',100,1,2),
(245031,10046691,'Slows caster by 25.0%',100,1,3),
(245032,24218,'Adds Crushbone: Shaman''s Elixir to your Dungeon Maker toolbox',100,0,0),
(245033,10024218,'Adds Crushbone: Shaman''s Elixir to your Dungeon Maker toolbox',100,0,0),
(245034,80377,'When Equipped:',100,0,0),
(245035,80377,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245036,80377,'Inflicts 41 - 75 magic damage on target',100,2,2),
(245037,80377,'Cannot be modified except by direct means',100,2,3),
(245038,10080377,'When Equipped:',100,0,0),
(245039,10080377,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245040,10080377,'Inflicts 49 - 90 magic damage on target',100,2,2),
(245041,10080377,'Cannot be modified except by direct means',100,2,3),
(245042,111484,'Increases AGI of caster by 50.9',100,1,0),
(245043,111484,'Increases Attack Speed of caster by 34.0',100,1,1),
(245044,111484,'Increases in-combat movement speed of caster by 8.0%',100,1,2),
(245045,111484,'Adds 25.0% to base avoidance.',100,1,3),
(245046,111484,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(245047,111484,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(245048,10111484,'Increases AGI of caster by 50.9',100,1,0),
(245049,10111484,'Increases Attack Speed of caster by 34.0',100,1,1),
(245050,10111484,'Increases speed of caster by 8.0%',100,1,2),
(245051,10111484,'Adds 25.0% to base avoidance.',100,1,3),
(245052,10111484,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(245053,161825,'Applies Kejaan Aura when Equipped.',100,0,0),
(245054,161825,'Increases Max Health of caster by 24.3',100,1,1),
(245055,10161825,'Applies Kejaan Aura when Equipped.',100,0,0),
(245056,10161825,'Increases Max Health of caster by 24.3',100,1,1),
(245057,119304,'Roots target',100,1,0),
(245058,119304,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(245059,119304,'Slows target by 43.9%',100,2,2),
(245060,119304,'5% chance to dispel when target receives hostile action',100,2,3),
(245061,119304,'5% chance to dispel when target takes damage',100,2,4),
(245062,119304,'15% chance to dispel when target takes damage',100,1,5),
(245063,119304,'Does not affect Epic targets',100,1,6),
(245064,119304,'Resistibility increases against targets higher than level 62.',100,1,7),
(245065,10119304,'Roots target',100,1,0),
(245066,10119304,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(245067,10119304,'Slows target by 43.9%',100,2,2),
(245068,10119304,'5% chance to dispel when target receives hostile action',100,2,3),
(245069,10119304,'5% chance to dispel when target takes damage',100,2,4),
(245070,10119304,'15% chance to dispel when target takes damage',100,1,5),
(245071,10119304,'Does not affect Epic targets',100,1,6),
(245072,10119304,'Resistibility increases against targets higher than level 62.',100,1,7),
(245073,112670,'Increases Parry of group members (AE) by 11.3',100,1,0),
(245074,10112670,'Increases Parry of group members (AE) by 11.3',100,1,0),
(245075,118154,'Inflicts 243 - 406 melee damage on target',100,1,0),
(245076,118154,'Dazes target',100,1,1),
(245077,118154,'If Target is not Epic',100,2,2),
(245078,118154,'Resistibility increases against targets higher than level 83.',100,1,3),
(245079,10118154,'Inflicts 292 - 487 melee damage on target',100,1,0),
(245080,10118154,'Dazes target',100,1,1),
(245081,10118154,'If Target is not Epic',100,2,2),
(245082,10118154,'Resistibility increases against targets higher than level 83.',100,1,3),
(245083,45626,'Applies Elixir of Perception  when Activated.  Lasts for 30 minutes.',100,0,0),
(245084,45626,'Increases AGI of caster by 23.0',100,1,1),
(245085,10045626,'Applies Elixir of Perception  when Activated.  Lasts for 30 minutes.',100,0,0),
(245086,10045626,'Increases AGI of caster by 23.0',100,1,1),
(245087,114672,'Increases Threat to target by 493 - 601 ',100,1,0),
(245088,114672,'Interrupts target',100,1,1),
(245089,10114672,'Interrupts target',100,1,0),
(245090,10114672,'Forces target to change their selected target to caster.',100,1,1),
(245091,10114672,'Prevents target from changing targets',100,1,2),
(245092,114129,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(245093,114129,'Increases Mitigation of group members (AE) vs elemental damage by 413',100,1,1),
(245094,10114129,'Increases Max Health of group members (AE) by 95.2',100,1,0),
(245095,10114129,'Increases Mitigation of group members (AE) vs elemental damage by 413',100,1,1),
(245096,108945,'Increases INT of group members (AE) by 46.8',100,1,0),
(245097,108945,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 18.0',100,1,1),
(245098,10108945,'Increases INT of group members (AE) by 46.8',100,1,0),
(245099,10108945,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 18.0',100,1,1),
(245100,102996,'Increases STR and AGI of group members (AE) by 87.8',100,1,0),
(245101,10102996,'Increases STR and AGI of group members (AE) by 87.8',100,1,0),
(245102,124080,'Increases STR and INT of group members (AE) by 10.4',100,1,0),
(245103,10124080,'Increases STR and INT of group members (AE) by 10.4',100,1,0),
(245104,123478,'Shapechanges caster into a bear',100,1,0),
(245105,123478,'Increases WIS of caster by 232.3',100,1,1),
(245106,123478,'Grants See Stealth to caster',100,1,2),
(245107,123478,'Increases Max Health of caster by 1,035.2',100,1,3),
(245108,123478,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3268',100,1,4),
(245109,10123478,'Shapechanges caster into a bear',100,1,0),
(245110,10123478,'Increases WIS of caster by 232.3',100,1,1),
(245111,10123478,'Grants See Stealth to caster',100,1,2),
(245112,10123478,'Increases Max Health of caster by 1,035.2',100,1,3),
(245113,10123478,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3268',100,1,4),
(245114,81799,'When Equipped:',100,0,0),
(245115,81799,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245116,81799,'Inflicts 105 - 195 magic damage on target',100,2,2),
(245117,81799,'Cannot be modified except by direct means',100,2,3),
(245118,10081799,'When Equipped:',100,0,0),
(245119,10081799,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245120,10081799,'Inflicts 126 - 234 magic damage on target',100,2,2),
(245121,10081799,'Cannot be modified except by direct means',100,2,3),
(245122,104970,'Reduces physical damage done to caster by 5%',100,1,0),
(245123,104970,'Adds 1.4% to base avoidance.',100,1,1),
(245124,104970,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(245125,104970,'Increases Parry of caster by 1.7',100,1,3),
(245126,104970,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(245127,104970,'Increases Aggression of caster by 1.0',100,1,5),
(245128,104970,'Increases Defense and Deflection of caster by 1.7',100,1,6),
(245129,104970,'Increases Mitigation of caster vs arcane damage by 146',100,1,7),
(245130,104970,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(245131,10104970,'Reduces physical damage done to caster by 5%',100,1,0),
(245132,10104970,'Adds 1.4% to base avoidance.',100,1,1),
(245133,10104970,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(245134,10104970,'Increases Parry of caster by 1.7',100,1,3),
(245135,10104970,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(245136,10104970,'Increases Aggression of caster by 1.0',100,1,5),
(245137,10104970,'Increases Defense and Deflection of caster by 1.7',100,1,6),
(245138,10104970,'Increases Mitigation of caster vs arcane damage by 146',100,1,7),
(245139,10104970,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(245140,105630,'Inflicts 53 disease damage on target instantly and every 6 seconds',100,1,0),
(245141,105630,'Inflicts 123 - 205 disease damage on target',100,1,1),
(245142,105630,'Inflicts 123 - 205 disease damage on target',100,1,2),
(245143,10105630,'Inflicts 64 disease damage on target instantly and every 6 seconds',100,1,0),
(245144,10105630,'Inflicts 148 - 246 disease damage on target',100,1,1),
(245145,10105630,'Inflicts 148 - 246 disease damage on target',100,1,2),
(245146,124055,'Increases power of caster by 125',100,1,0),
(245147,10124055,'Increases power of caster by 125',100,1,0),
(245148,115747,'Inflicts 5 - 8 melee damage on target',100,1,0),
(245149,10115747,'Inflicts 6 - 10 melee damage on target',100,1,0),
(245150,106191,'Wards target against 97 points of all damage',100,1,0),
(245151,106191,'Decreases INT of target by 137.5',100,1,1),
(245152,106191,'Decreases Attack Speed of target by 25.0',100,1,2),
(245153,106191,'Increases Max Health of target by 11.0%',100,1,3),
(245154,106191,'Increases Hate Gain of target by 31.7%',100,1,4),
(245155,106191,'Increases Aggression of target by 11.6',100,1,5),
(245156,106191,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(245157,106191,'Increases Threat to target encounter by 121 - 147 ',100,2,7),
(245158,106191,'Increases Mitigation of target vs elemental, noxious and arcane damage by 770',100,1,8),
(245159,10106191,'Wards target against 97 points of all damage',100,1,0),
(245160,10106191,'Decreases INT of target by 137.5',100,1,1),
(245161,10106191,'Decreases Attack Speed of target by 25.0',100,1,2),
(245162,10106191,'Increases Max Health of target by 11.0%',100,1,3),
(245163,10106191,'Increases Aggression of target by 11.6',100,1,4),
(245164,10106191,'Increases Mitigation of target vs elemental, noxious and arcane damage by 770',100,1,5),
(245165,118189,'Increases Damage Per Second of group members (AE) by 16.0',100,1,0),
(245166,10118189,'Increases Damage Per Second of group members (AE) by 16.0',100,1,0),
(245167,35796,'Increases STA and INT of target by 1.1',100,0,0),
(245168,35796,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(245169,109331,'Increases STR of caster by 68.4',100,1,0),
(245170,109331,'Decreases Defense of caster by 13.2',100,1,1),
(245171,109331,'Increases Slashing, Piercing and Crushing of caster by 19.8',100,1,2),
(245172,10109331,'Increases STR of caster by 68.4',100,1,0),
(245173,10109331,'Decreases Defense of caster by 13.2',100,1,1),
(245174,10109331,'Increases Slashing, Piercing and Crushing of caster by 19.8',100,1,2),
(245175,45911,'Applies essence of health when Activated.',100,0,0),
(245176,45911,'Heals caster for 564',100,1,1),
(245177,10045911,'Applies essence of health when Activated.',100,0,0),
(245178,10045911,'Heals caster for 367',100,1,1),
(245179,102774,'Increases STR of caster by 30.9',100,1,0),
(245180,102774,'Increases Max Health of caster by 169.8',100,1,1),
(245181,102774,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 849',100,1,2),
(245182,10102774,'Increases STR of caster by 30.9',100,1,0),
(245183,10102774,'Increases Max Health of caster by 169.8',100,1,1),
(245184,10102774,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 849',100,1,2),
(245185,113587,'Mesmerizes target',100,1,0),
(245186,113587,'Prevents AOE (except when direct) ',100,1,1),
(245187,113587,'Dispelled when target takes damage',100,1,2),
(245188,113587,'Does not affect Epic targets',100,1,3),
(245189,113587,'Resistibility increases against targets higher than level 119.',100,1,4),
(245190,10113587,'Mesmerizes target',100,1,0),
(245191,10113587,'Prevents AOE (except when direct) ',100,1,1),
(245192,10113587,'Dispelled when target takes damage',100,1,2),
(245193,10113587,'Does not affect Epic targets',100,1,3),
(245194,10113587,'Resistibility increases against targets higher than level 119.',100,1,4),
(245195,110684,'Heals target for 941',100,1,0),
(245196,110684,'Dispels 83 levels of any hostile effects on target',100,1,1),
(245197,10110684,'Heals target for 612',100,1,0),
(245198,10110684,'Dispels 83 levels of any hostile effects on target',100,1,1),
(245199,109146,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(245200,109146,'Heals target for 1171 - 1431',100,2,1),
(245201,109146,'Grants a total of 8 triggers of the spell.',100,2,2),
(245202,10109146,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(245203,10109146,'Heals target for 1370 - 1675',100,2,1),
(245204,10109146,'Grants a total of 8 triggers of the spell.',100,2,2),
(245205,114563,'Heals target for 54 - 66',100,1,0),
(245206,10114563,'Heals target for 35 - 43',100,1,0),
(245207,122561,'Summons a pet Tome of Erudin',100,1,0),
(245208,10122561,'Summons a pet Tome of Erudin',100,1,0),
(245209,46700,'Applies Iron Golem Shrinking Ray when Activated.',100,0,0),
(245210,10046700,'Applies Iron Golem Shrinking Ray when Activated.',100,0,0),
(245211,46229,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(245212,46229,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(245213,46229,'Inflicts 27 magic damage on target',100,2,2),
(245214,46229,'Cannot be modified except by direct means',100,2,3),
(245215,10046229,'Applies clouded elixir of thorns when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(245216,10046229,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(245217,10046229,'Inflicts 32 magic damage on target',100,2,2),
(245218,10046229,'Cannot be modified except by direct means',100,2,3),
(245219,84623,'When Equipped:',100,0,0),
(245220,84623,'On a critical combat hit this spell may cast Mindsieve IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(245221,84623,'Inflicts 3796 - 4196 mental damage on target',100,2,2),
(245222,84623,'Increases power of caster by 292',100,2,3),
(245223,84623,'Must not be engaged in pvp combat',100,2,4),
(245224,84623,'Cannot be modified except by direct means',100,2,5),
(245225,84623,'On a critical spell hit this spell may cast Mindsieve IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(245226,84623,'Inflicts 3796 - 4196 mental damage on target',100,2,7),
(245227,84623,'Increases power of caster by 292',100,2,8),
(245228,84623,'Must not be engaged in pvp combat',100,2,9),
(245229,84623,'Cannot be modified except by direct means',100,2,10),
(245230,84623,'Must not be engaged in pvp combat',100,1,11),
(245231,10084623,'When Equipped:',100,0,0),
(245232,10084623,'On a critical combat hit this spell may cast Mindsieve IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(245233,10084623,'Inflicts 4555 - 5035 mental damage on target',100,2,2),
(245234,10084623,'Increases power of caster by 292',100,2,3),
(245235,10084623,'Must not be engaged in pvp combat',100,2,4),
(245236,10084623,'Cannot be modified except by direct means',100,2,5),
(245237,10084623,'On a critical spell hit this spell may cast Mindsieve IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(245238,10084623,'Inflicts 4555 - 5035 mental damage on target',100,2,7),
(245239,10084623,'Increases power of caster by 292',100,2,8),
(245240,10084623,'Must not be engaged in pvp combat',100,2,9),
(245241,10084623,'Cannot be modified except by direct means',100,2,10),
(245242,10084623,'Must not be engaged in pvp combat',100,1,11),
(245243,115120,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(245244,115120,'Increases WIS of target by 44.5',100,2,1),
(245245,115120,'Heals target for 398',100,2,2),
(245246,115120,'Heals target for 99 every 2 seconds',100,2,3),
(245247,115120,'Grants a total of 1 trigger of the spell.',100,2,4),
(245248,10115120,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(245249,10115120,'Increases WIS of target by 44.5',100,2,1),
(245250,10115120,'Heals target for 259',100,2,2),
(245251,10115120,'Heals target for 65 every 2 seconds',100,2,3),
(245252,10115120,'Grants a total of 1 trigger of the spell.',100,2,4),
(245253,118466,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(245254,118466,'Inflicts 32 - 39 heat damage on target instantly and every second',100,2,1),
(245255,10118466,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(245256,10118466,'Inflicts 38 - 47 heat damage on target instantly and every second',100,2,1),
(245257,120278,'Swaps your current hate position with your target''s hate position.',100,1,0),
(245258,120278,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(245259,120278,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(245260,120278,'Cannot be modified except by direct means',100,2,3),
(245261,120278,'Decreases Threat to target by 2,570 ',100,1,4),
(245262,120278,'If profession other than Fighter',100,2,5),
(245263,120278,'Increases Threat to target by 2,575 ',100,1,6),
(245264,120278,'If Fighter',100,2,7),
(245265,120278,'Must be engaged in combat',100,1,8),
(245266,120278,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(245267,10120278,'Forces target to clear their selected target.',100,1,0),
(245268,10120278,'Must be engaged in combat',100,1,1),
(245269,10120278,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(245270,74827,'When Equipped:',100,0,0),
(245271,74827,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245272,74827,'Inflicts 84 - 126 magic damage on target',100,2,2),
(245273,74827,'Cannot be modified except by direct means',100,2,3),
(245274,10074827,'When Equipped:',100,0,0),
(245275,10074827,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245276,10074827,'Inflicts 101 - 151 magic damage on target',100,2,2),
(245277,10074827,'Cannot be modified except by direct means',100,2,3),
(245278,123724,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(245279,10123724,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(245280,169977,'When Equipped:',100,0,0),
(245281,169977,'Increases Attack Speed of caster by 40.0',100,1,1),
(245282,10169977,'When Equipped:',100,0,0),
(245283,10169977,'Increases Attack Speed of caster by 40.0',100,1,1),
(245284,106387,'Inflicts 312 - 520 melee damage on target',100,1,0),
(245285,106387,'Decreases Defense of target by 19.1',100,1,1),
(245286,106387,'Decreases Defense of caster by 17.4',100,1,2),
(245287,10106387,'Inflicts 374 - 624 melee damage on target',100,1,0),
(245288,10106387,'Decreases Defense of target by 19.1',100,1,1),
(245289,10106387,'Decreases Defense of caster by 17.4',100,1,2),
(245290,24235,'Adds Crushbone: War-worn Emperor''s Standard to your Dungeon Maker toolbox',100,0,0),
(245291,10024235,'Adds Crushbone: War-worn Emperor''s Standard to your Dungeon Maker toolbox',100,0,0),
(245292,179181,'When Equipped:',100,0,0),
(245293,179181,'Reduces reuse time of hostile spells by 1%.',100,1,1),
(245294,179181,'On a hostile spell hit this spell may cast Reet Spell Trance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(245295,179181,'Reduces reuse time of hostile spells by 5%.',100,2,3),
(245296,179181,'Cannot be modified except by direct means',100,2,4),
(245297,10179181,'When Equipped:',100,0,0),
(245298,10179181,'Reduces reuse time of hostile spells by 1%.',100,1,1),
(245299,10179181,'On a hostile spell hit this spell may cast Reet Spell Trance on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(245300,10179181,'Reduces reuse time of hostile spells by 5%.',100,2,3),
(245301,10179181,'Cannot be modified except by direct means',100,2,4),
(245302,71951,'When Equipped:',100,0,0),
(245303,71951,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(245304,71951,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(245305,71951,'Cannot be modified except by direct means',100,2,3),
(245306,10071951,'When Equipped:',100,0,0),
(245307,10071951,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(245308,10071951,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(245309,10071951,'Cannot be modified except by direct means',100,2,3),
(245310,100640,'Wipes target''s memory of any aggression',100,1,0),
(245311,100640,'Stuns target',100,1,1),
(245312,100640,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(245313,100640,'Resistibility increases against targets higher than level 103.',100,1,3),
(245314,10100640,'Forces target to clear their selected target.',100,1,0),
(245315,10100640,'Prevents target from changing targets',100,1,1),
(245316,10100640,'Stuns target',100,1,2),
(245317,10100640,'If Target is not Epic',100,2,3),
(245318,10100640,'Resistibility increases against targets higher than level 103.',100,1,4),
(245319,111084,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(245320,111084,'Slows target by 42.9%',100,2,1),
(245321,111084,'5% chance to dispel when target receives hostile action',100,2,2),
(245322,111084,'5% chance to dispel when target takes damage',100,2,3),
(245323,111084,'Decreases Mitigation of target vs elemental damage by 1568',100,1,4),
(245324,10111084,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(245325,10111084,'Slows target by 42.9%',100,2,1),
(245326,10111084,'5% chance to dispel when target receives hostile action',100,2,2),
(245327,10111084,'5% chance to dispel when target takes damage',100,2,3),
(245328,10111084,'Decreases Mitigation of target vs elemental damage by 1568',100,1,4),
(245329,122109,'Increases STA and INT of group members (AE) by 106.3',100,1,0),
(245330,10122109,'Increases STA and INT of group members (AE) by 106.3',100,1,0),
(245331,116984,'Inflicts 17 - 21 divine damage on target instantly and every 3 seconds',100,1,0),
(245332,116984,'Decreases Defense of target by 5.6',100,1,1),
(245333,10116984,'Inflicts 20 - 25 divine damage on target instantly and every 3 seconds',100,1,0),
(245334,10116984,'Decreases Defense of target by 5.6',100,1,1),
(245335,120973,'Inflicts 1358 - 2263 ranged damage on target',100,1,0),
(245336,120973,'If weapon equipped in Ranged',100,1,1),
(245337,120973,'Must be behind',100,1,2),
(245338,10120973,'Inflicts 1154 - 1923 ranged damage on target',100,1,0),
(245339,10120973,'If weapon equipped in Ranged',100,1,1),
(245340,10120973,'Must be behind',100,1,2),
(245341,172472,'When Equipped:',100,0,0),
(245342,172472,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(245343,172472,'Heals caster for 176 - 215',100,2,2),
(245344,172472,'Increases power of caster by 107',100,2,3),
(245345,172472,'Must not be engaged in pvp combat',100,2,4),
(245346,172472,'Cannot be modified except by direct means',100,2,5),
(245347,172472,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(245348,172472,'Heals caster for 176 - 215',100,2,7),
(245349,172472,'Increases power of caster by 107',100,2,8),
(245350,172472,'Must not be engaged in pvp combat',100,2,9),
(245351,172472,'Cannot be modified except by direct means',100,2,10),
(245352,10172472,'When Equipped:',100,0,0),
(245353,10172472,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(245354,10172472,'Heals caster for 115 - 140',100,2,2),
(245355,10172472,'Increases power of caster by 107',100,2,3),
(245356,10172472,'Must not be engaged in pvp combat',100,2,4),
(245357,10172472,'Cannot be modified except by direct means',100,2,5),
(245358,10172472,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(245359,10172472,'Heals caster for 115 - 140',100,2,7),
(245360,10172472,'Increases power of caster by 107',100,2,8),
(245361,10172472,'Must not be engaged in pvp combat',100,2,9),
(245362,10172472,'Cannot be modified except by direct means',100,2,10),
(245363,124328,'Shapechanges caster into a wolf',100,1,0),
(245364,124328,'Grants See Invisibility to caster',100,1,1),
(245365,124328,'Increases Focus of caster by 21.6',100,1,2),
(245366,124328,'Increases Mitigation of caster vs physical damage by 240',100,1,3),
(245367,124328,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 912',100,1,4),
(245368,10124328,'Shapechanges caster into a wolf',100,1,0),
(245369,10124328,'Grants See Invisibility to caster',100,1,1),
(245370,10124328,'Increases Focus of caster by 21.6',100,1,2),
(245371,10124328,'Increases Mitigation of caster vs physical damage by 240',100,1,3),
(245372,10124328,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 912',100,1,4),
(245373,101195,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(245374,101195,'Slows target by 70.7%',100,2,1),
(245375,101195,'5% chance to dispel when target receives hostile action',100,2,2),
(245376,101195,'5% chance to dispel when target takes damage',100,2,3),
(245377,101195,'Inflicts 316 - 527 cold damage on target',100,1,4),
(245378,101195,'Inflicts 316 - 527 cold damage on target',100,1,5),
(245379,101195,'If weapon equipped in Ranged',100,1,6),
(245380,10101195,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(245381,10101195,'Slows target by 70.7%',100,2,1),
(245382,10101195,'5% chance to dispel when target receives hostile action',100,2,2),
(245383,10101195,'5% chance to dispel when target takes damage',100,2,3),
(245384,10101195,'Inflicts 268 - 448 cold damage on target',100,1,4),
(245385,10101195,'Inflicts 268 - 448 cold damage on target',100,1,5),
(245386,10101195,'If weapon equipped in Ranged',100,1,6),
(245387,89774,'When Equipped:',100,0,0),
(245388,89774,'This effect will not stack with any rank or tier of itself.',100,1,1),
(245389,89774,'Increases Crit Bonus of caster by 1.0%',100,1,2),
(245390,89774,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(245391,89774,'Increases Multi Attack Chance of caster by 7.5',100,1,4),
(245392,89774,'Cannot be modified except by direct means',100,1,5),
(245393,89774,'When Equipped:',100,0,6),
(245394,89774,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(245395,89774,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(245396,89774,'Inflicts 783 - 866 disease damage on target encounter instantly and every 2 seconds',100,2,9),
(245397,89774,'Decreases Parry and Defense of target encounter by 10.0',100,2,10),
(245398,89774,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,11),
(245399,89774,'Must not be engaged in pvp combat',100,2,12),
(245400,89774,'Cannot be modified except by direct means',100,2,13),
(245401,89774,'Cannot be modified except by direct means',100,1,14),
(245402,10089774,'When Equipped:',100,0,0),
(245403,10089774,'This effect will not stack with any rank or tier of itself.',100,1,1),
(245404,10089774,'Increases Crit Bonus of caster by 1.0%',100,1,2),
(245405,10089774,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(245406,10089774,'Increases Multi Attack Chance of caster by 7.5',100,1,4),
(245407,10089774,'Cannot be modified except by direct means',100,1,5),
(245408,10089774,'When Equipped:',100,0,6),
(245409,10089774,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(245410,10089774,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(245411,10089774,'Inflicts 940 - 1039 disease damage on target encounter instantly and every 2 seconds',100,2,9),
(245412,10089774,'Decreases Parry and Defense of target encounter by 10.0',100,2,10),
(245413,10089774,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,11),
(245414,10089774,'Must not be engaged in pvp combat',100,2,12),
(245415,10089774,'Cannot be modified except by direct means',100,2,13),
(245416,10089774,'Cannot be modified except by direct means',100,1,14),
(245417,74739,'When Equipped:',100,0,0),
(245418,74739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245419,74739,'Inflicts 179 - 269 magic damage on target',100,2,2),
(245420,74739,'Cannot be modified except by direct means',100,2,3),
(245421,10074739,'When Equipped:',100,0,0),
(245422,10074739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245423,10074739,'Inflicts 215 - 322 magic damage on target',100,2,2),
(245424,10074739,'Cannot be modified except by direct means',100,2,3),
(245425,122308,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(245426,122308,'Inflicts 233 - 285 mental damage on target',100,2,1),
(245427,122308,'Grants a total of 3 triggers of the spell.',100,2,2),
(245428,10122308,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(245429,10122308,'Inflicts 280 - 342 mental damage on target',100,2,1),
(245430,10122308,'Grants a total of 3 triggers of the spell.',100,2,2),
(245431,47095,'Applies Most Wanted Poster when Activated.',100,0,0),
(245432,47095,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(245433,47095,'If between levels 20 - 29',100,1,2),
(245434,47095,'Cannot be modified except by direct means',100,1,3),
(245435,10047095,'Applies Most Wanted Poster when Activated.',100,0,0),
(245436,10047095,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(245437,10047095,'If between levels 20 - 29',100,1,2),
(245438,10047095,'Cannot be modified except by direct means',100,1,3),
(245439,48930,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(245440,48930,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(245441,48930,'Inflicts 65 poison damage on target',100,2,2),
(245442,48930,'Cannot be modified except by direct means',100,2,3),
(245443,48930,'Grants a total of 4 triggers of the spell.',100,2,4),
(245444,10048930,'Applies touch of the nightcrawler when Activated.  Lasts for 12 hours.',100,0,0),
(245445,10048930,'On a combat hit this spell may cast Intense Instant Poison on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(245446,10048930,'Inflicts 59 poison damage on target',100,2,2),
(245447,10048930,'Cannot be modified except by direct means',100,2,3),
(245448,10048930,'Grants a total of 4 triggers of the spell.',100,2,4),
(245449,153142,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(245450,153142,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(245451,153142,'Heals target for 63 instantly and every 4 seconds',100,2,2),
(245452,153142,'Cannot be modified except by direct means',100,2,3),
(245453,10153142,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(245454,10153142,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(245455,10153142,'Heals target for 41 instantly and every 4 seconds',100,2,2),
(245456,10153142,'Cannot be modified except by direct means',100,2,3),
(245457,25951,'When Equipped:',100,0,0),
(245458,25951,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(245459,25951,'Increases power of caster by 28',100,2,2),
(245460,25951,'Cannot be modified except by direct means',100,2,3),
(245461,10025951,'When Equipped:',100,0,0),
(245462,10025951,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(245463,10025951,'Increases power of caster by 28',100,2,2),
(245464,10025951,'Cannot be modified except by direct means',100,2,3),
(245465,35515,'Increases STA of target by 0.4',100,0,0),
(245466,35515,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(245467,103621,'Increases STR of raid and group members (AE) by 12.7',100,1,0),
(245468,103621,'Improves the base amount of taunts by 10%.',100,1,1),
(245469,103621,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(245470,103621,'Increases AGI of raid and group members (AE) by 12.7',100,1,3),
(245471,103621,'Adds 1.0% to base avoidance.',100,1,4),
(245472,10103621,'Increases STR of raid and group members (AE) by 12.7',100,1,0),
(245473,10103621,'Improves the base amount of taunts by 10%.',100,1,1),
(245474,10103621,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(245475,10103621,'Increases AGI of raid and group members (AE) by 12.7',100,1,3),
(245476,10103621,'Adds 1.0% to base avoidance.',100,1,4),
(245477,100765,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(245478,100765,'Heals target for 1115',100,2,1),
(245479,100765,'Increases power of target by 257 every 6 seconds',100,2,2),
(245480,100765,'Wards target against 1209 points of all damage',100,2,3),
(245481,100765,'Grants a total of 1 trigger of the spell.',100,2,4),
(245482,10100765,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(245483,10100765,'Heals target for 1305',100,2,1),
(245484,10100765,'Increases power of target by 257 every 6 seconds',100,2,2),
(245485,10100765,'Wards target against 1209 points of all damage',100,2,3),
(245486,10100765,'Grants a total of 1 trigger of the spell.',100,2,4),
(245487,46319,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(245488,46319,'Launches a firework when used.',100,1,1),
(245489,10046319,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(245490,10046319,'Launches a firework when used.',100,1,1),
(245491,103750,'Inflicts 1135 - 1387 magic damage on targets in Area of Effect',100,1,0),
(245492,10103750,'Inflicts 1362 - 1664 magic damage on targets in Area of Effect',100,1,0),
(245493,115075,'Heals target for 125 - 152',100,1,0),
(245494,115075,'Heals target for 16 - 20 every second',100,1,1),
(245495,10115075,'Heals target for 232 - 283',100,1,0),
(245496,10115075,'Heals target for 17 - 21 every second',100,1,1),
(245497,115099,'Heals target for 991 - 1211',100,1,0),
(245498,115099,'Heals target for 127 - 156 every second',100,1,1),
(245499,10115099,'Heals target for 1840 - 2249',100,1,0),
(245500,10115099,'Heals target for 138 - 169 every second',100,1,1),
(245501,41617,'When Equipped:',100,0,0),
(245502,41617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245503,41617,'Inflicts 31 - 57 magic damage on target',100,2,2),
(245504,41617,'Cannot be modified except by direct means',100,2,3),
(245505,10041617,'When Equipped:',100,0,0),
(245506,10041617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245507,10041617,'Inflicts 37 - 68 magic damage on target',100,2,2),
(245508,10041617,'Cannot be modified except by direct means',100,2,3),
(245509,106004,'Inflicts 19 - 24 divine damage on target instantly and every 3 seconds',100,1,0),
(245510,106004,'Decreases Defense of target by 4.5',100,1,1),
(245511,10106004,'Inflicts 16 - 19 divine damage on target instantly and every 3 seconds',100,1,0),
(245512,10106004,'Decreases Defense of target by 4.5',100,1,1),
(245513,136550,'When Equipped:',100,0,0),
(245514,136550,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(245515,136550,'Increases Ability Modifier of group members by 100.0',100,2,2),
(245516,136550,'Cannot be modified except by direct means',100,2,3),
(245517,136550,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(245518,136550,'Increases Ability Modifier of group members by 100.0',100,2,5),
(245519,136550,'Cannot be modified except by direct means',100,2,6),
(245520,136550,'Cannot be modified except by direct means',100,1,7),
(245521,10136550,'When Equipped:',100,0,0),
(245522,10136550,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(245523,10136550,'Increases Ability Modifier of group members by 100.0',100,2,2),
(245524,10136550,'Cannot be modified except by direct means',100,2,3),
(245525,10136550,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(245526,10136550,'Increases Ability Modifier of group members by 100.0',100,2,5),
(245527,10136550,'Cannot be modified except by direct means',100,2,6),
(245528,10136550,'Cannot be modified except by direct means',100,1,7),
(245529,102543,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(245530,102543,'Inflicts 36 - 60 melee damage on target',100,2,1),
(245531,102543,'Decreases Defense of caster by 5.1',100,1,2),
(245532,102543,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.3',100,1,3),
(245533,10102543,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(245534,10102543,'Inflicts 43 - 72 melee damage on target',100,2,1),
(245535,10102543,'Decreases Defense of caster by 5.1',100,1,2),
(245536,10102543,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.3',100,1,3),
(245537,47474,'Applies Call Elddarian Charger when Activated.',100,0,0),
(245538,47474,'Summons a mount to ride',100,1,1),
(245539,47474,'Increases your ground speed by 130%',100,2,2),
(245540,10047474,'Applies Call Elddarian Charger when Activated.',100,0,0),
(245541,10047474,'Summons a mount to ride',100,1,1),
(245542,10047474,'Increases your ground speed by 130%',100,2,2),
(245543,108731,'Summons a pet fiery magician',100,1,0),
(245544,10108731,'Summons a pet fiery magician',100,1,0),
(245545,102493,'Inflicts 432 - 720 crushing damage on target',100,1,0),
(245546,102493,'Prevents target from changing direction while active.',100,1,1),
(245547,102493,'If Target is not Epic',100,2,2),
(245548,102493,'Roots target',100,1,3),
(245549,102493,'If Target is not Epic',100,2,4),
(245550,102493,'Resistibility increases against targets higher than level 93.',100,1,5),
(245551,10102493,'Inflicts 518 - 864 crushing damage on target',100,1,0),
(245552,10102493,'Prevents target from changing direction while active.',100,1,1),
(245553,10102493,'If Target is not Epic',100,2,2),
(245554,10102493,'Roots target',100,1,3),
(245555,10102493,'If Target is not Epic',100,2,4),
(245556,10102493,'Resistibility increases against targets higher than level 93.',100,1,5),
(245557,114559,'Heals target for 1164 - 1423',100,1,0),
(245558,10114559,'Heals target for 2724 - 3329',100,1,0),
(245559,143832,'When Equipped:',100,0,0),
(245560,143832,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(245561,143832,'Inflicts 1192 heat damage on target',100,2,2),
(245562,143832,'Cannot be modified except by direct means',100,2,3),
(245563,10143832,'When Equipped:',100,0,0),
(245564,10143832,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(245565,10143832,'Inflicts 715 heat damage on target',100,2,2),
(245566,10143832,'Cannot be modified except by direct means',100,2,3),
(245567,40652,'When Equipped:',100,0,0),
(245568,40652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245569,40652,'Inflicts 24 - 37 magic damage on target',100,2,2),
(245570,40652,'Cannot be modified except by direct means',100,2,3),
(245571,10040652,'When Equipped:',100,0,0),
(245572,10040652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245573,10040652,'Inflicts 29 - 44 magic damage on target',100,2,2),
(245574,10040652,'Cannot be modified except by direct means',100,2,3),
(245575,80803,'When Equipped:',100,0,0),
(245576,80803,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245577,80803,'Inflicts 184 - 342 magic damage on target',100,2,2),
(245578,80803,'Cannot be modified except by direct means',100,2,3),
(245579,10080803,'When Equipped:',100,0,0),
(245580,10080803,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245581,10080803,'Inflicts 221 - 410 magic damage on target',100,2,2),
(245582,10080803,'Cannot be modified except by direct means',100,2,3),
(245583,185473,'When Equipped:',100,0,0),
(245584,185473,'Increases Attack Speed of caster by 45.0',100,1,1),
(245585,10185473,'When Equipped:',100,0,0),
(245586,10185473,'Increases Attack Speed of caster by 45.0',100,1,1),
(245587,109838,'Inflicts 436 - 726 melee damage on target',100,1,0),
(245588,109838,'Decreases Parry of target by 51.4',100,1,1),
(245589,109838,'Must be in front of or flanking',100,1,2),
(245590,10109838,'Inflicts 523 - 872 melee damage on target',100,1,0),
(245591,10109838,'Decreases Parry of target by 51.4',100,1,1),
(245592,10109838,'Must be in front of or flanking',100,1,2),
(245593,45306,'Applies Call Bearded Frost Rhino when Activated.',100,0,0),
(245594,45306,'Summons a mount to ride',100,1,1),
(245595,45306,'Increases your ground speed by 130%',100,2,2),
(245596,45306,'Increases Crushing, Aggression, Slashing, Piercing and Ranged of caster by 5.0',100,1,3),
(245597,10045306,'Applies Call Bearded Frost Rhino when Activated.',100,0,0),
(245598,10045306,'Summons a mount to ride',100,1,1),
(245599,10045306,'Increases your ground speed by 130%',100,2,2),
(245600,10045306,'Increases Crushing, Aggression, Slashing, Piercing and Ranged of caster by 5.0',100,1,3),
(245601,158923,'When Equipped:',100,0,0),
(245602,158923,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(245603,158923,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(245604,158923,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,3),
(245605,158923,'Must not be engaged in pvp combat',100,2,4),
(245606,158923,'Cannot be modified except by direct means',100,2,5),
(245607,158923,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(245608,158923,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,7),
(245609,158923,'Must not be engaged in pvp combat',100,2,8),
(245610,158923,'Cannot be modified except by direct means',100,2,9),
(245611,158923,'Cannot be modified except by direct means',100,1,10),
(245612,10158923,'When Equipped:',100,0,0),
(245613,10158923,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(245614,10158923,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(245615,10158923,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,3),
(245616,10158923,'Must not be engaged in pvp combat',100,2,4),
(245617,10158923,'Cannot be modified except by direct means',100,2,5),
(245618,10158923,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(245619,10158923,'Increases WIS, AGI, STR and INT of caster by 110.0',100,2,7),
(245620,10158923,'Must not be engaged in pvp combat',100,2,8),
(245621,10158923,'Cannot be modified except by direct means',100,2,9),
(245622,10158923,'Cannot be modified except by direct means',100,1,10),
(245623,107658,'Increases Mitigation of raid and group members (AE) vs elemental damage by 893',100,1,0),
(245624,10107658,'Increases Mitigation of raid and group members (AE) vs elemental damage by 893',100,1,0),
(245625,37565,'Increases STR and STA of target by 1.1',100,0,0),
(245626,37565,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(245627,145987,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(245628,145987,'Increases Max Power of caster by 5.0%',100,1,1),
(245629,145987,'This effect cannot be cast during combat',100,1,2),
(245630,145987,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(245631,10145987,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(245632,10145987,'Increases Max Power of caster by 5.0%',100,1,1),
(245633,10145987,'This effect cannot be cast during combat',100,1,2),
(245634,10145987,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(245635,106834,'Decreases Crushing, Piercing, Slashing and Ranged of target by 15.8',100,1,0),
(245636,10106834,'Decreases Crushing, Piercing, Slashing and Ranged of target by 15.8',100,1,0),
(245637,37347,'Increases Max Power of target by 5.5',100,0,0),
(245638,37347,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(245639,189153,'When Equipped:',100,0,0),
(245640,189153,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(245641,10189153,'When Equipped:',100,0,0),
(245642,10189153,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(245643,134744,'When Equipped:',100,0,0),
(245644,134744,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(245645,10134744,'When Equipped:',100,0,0),
(245646,10134744,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(245647,36651,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(245648,102623,'Increases Threat to target encounter by 1,644 - 2,008 ',100,1,0),
(245649,102623,'Interrupts target encounter',100,1,1),
(245650,102623,'Decreases Mitigation of target encounter vs noxious damage by 1135',100,1,2),
(245651,10102623,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(245652,10102623,'Prevents target from changing targets',100,2,1),
(245653,10102623,'Forces target to change their selected target to caster.',100,2,2),
(245654,10102623,'Interrupts target encounter',100,1,3),
(245655,10102623,'Decreases Mitigation of target encounter vs noxious damage by 1135',100,1,4),
(245656,109154,'Inflicts 43 - 73 melee damage on target',100,1,0),
(245657,10109154,'Inflicts 52 - 87 melee damage on target',100,1,0),
(245658,71425,'When Equipped:',100,0,0),
(245659,71425,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(245660,71425,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(245661,71425,'Cannot be modified except by direct means',100,2,3),
(245662,10071425,'When Equipped:',100,0,0),
(245663,10071425,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(245664,10071425,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(245665,10071425,'Cannot be modified except by direct means',100,2,3),
(245666,113100,'Heals target for 51.5 - 62.9% of max health',100,1,0),
(245667,113100,'This effect cannot be critically applied.',100,2,1),
(245668,113100,'Increases Max Health of target by 451.0',100,1,2),
(245669,113100,'Increases Mitigation of target vs physical damage by 528',100,1,3),
(245670,113100,'The healing of this spell cannot be modified except by direct means',100,1,4),
(245671,10113100,'Heals target for 20.6 - 25.2% of max health',100,1,0),
(245672,10113100,'This effect cannot be critically applied.',100,2,1),
(245673,10113100,'Increases Max Health of target by 451.0',100,1,2),
(245674,10113100,'Increases Mitigation of target vs physical damage by 528',100,1,3),
(245675,10113100,'The healing of this spell cannot be modified except by direct means',100,1,4),
(245676,107897,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(245677,107897,'Slows target by 45.3%',100,2,1),
(245678,107897,'5% chance to dispel when target receives hostile action',100,2,2),
(245679,107897,'5% chance to dispel when target takes damage',100,2,3),
(245680,107897,'Slows target encounter by 54.4%',100,1,4),
(245681,107897,'5% chance to dispel when target takes damage',100,1,5),
(245682,10107897,'Slows target encounter by 54.4%',100,1,0),
(245683,10107897,'5% chance to dispel when target takes damage',100,1,1),
(245684,46173,'Applies Escape Root when Activated.',100,0,0),
(245685,46173,'Teleports caster and caster''s group within the zone',90,1,1),
(245686,10046173,'Applies Escape Root when Activated.',100,0,0),
(245687,10046173,'Teleports caster and caster''s group within the zone',90,1,1),
(245688,49006,'Applies Call Spectral Servant when Activated.',100,0,0),
(245689,49006,'Summons a mount to ride',100,1,1),
(245690,49006,'Increases your ground speed by 130%',100,2,2),
(245691,10049006,'Applies Call Spectral Servant when Activated.',100,0,0),
(245692,10049006,'Summons a mount to ride',100,1,1),
(245693,10049006,'Increases your ground speed by 130%',100,2,2),
(245694,48291,'Applies Ensnare Sokokar when Activated.',100,0,0),
(245695,10048291,'Applies Ensnare Sokokar when Activated.',100,0,0),
(245696,81538,'When Equipped:',100,0,0),
(245697,81538,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245698,81538,'Inflicts 108 - 201 magic damage on target',100,2,2),
(245699,81538,'Cannot be modified except by direct means',100,2,3),
(245700,10081538,'When Equipped:',100,0,0),
(245701,10081538,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245702,10081538,'Inflicts 130 - 242 magic damage on target',100,2,2),
(245703,10081538,'Cannot be modified except by direct means',100,2,3),
(245704,107220,'Inflicts 571 - 952 melee damage on targets in area',100,1,0),
(245705,107220,'Dispels 190 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(245706,10107220,'Inflicts 685 - 1143 melee damage on targets in area',100,1,0),
(245707,10107220,'Reduces healing received of targets in area by 10%',100,1,1),
(245708,108758,'Summons a pet fiery magician',100,1,0),
(245709,10108758,'Summons a pet fiery magician',100,1,0),
(245710,112529,'Interrupts target',50,1,0),
(245711,112529,'Inflicts 40 - 49 divine damage on target',100,1,1),
(245712,10112529,'Interrupts target',50,1,0),
(245713,10112529,'Inflicts 61 - 75 divine damage on target',100,1,1),
(245714,119465,'Inflicts 205 piercing damage on target instantly and every 4 seconds',100,1,0),
(245715,119465,'Inflicts 283 - 472 melee damage on target',100,1,1),
(245716,119465,'Must be flanking or behind',100,1,2),
(245717,10119465,'Inflicts 246 piercing damage on target instantly and every 4 seconds',100,1,0),
(245718,10119465,'Inflicts 340 - 567 melee damage on target',100,1,1),
(245719,10119465,'Must be flanking or behind',100,1,2),
(245720,100055,'Decreases STR, AGI and WIS of target by 57.5',100,1,0),
(245721,10100055,'Decreases STR, AGI and WIS of target by 57.5',100,1,0),
(245722,120741,'Interrupts target',100,1,0),
(245723,120741,'Inflicts 840 - 1401 melee damage on target',100,1,1),
(245724,10120741,'Interrupts target',100,1,0),
(245725,10120741,'Inflicts 1009 - 1681 melee damage on target',100,1,1),
(245726,102294,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(245727,102294,'Decreases Threat to target by 649 ',100,2,1),
(245728,10102294,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(245729,10102294,'Inflicts 35 - 39 crushing damage on target',100,2,1),
(245730,159423,'Applies Lambent Imbued when Equipped.',100,0,0),
(245731,159423,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(245732,159423,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(245733,159423,'Cannot be modified except by direct means',100,2,3),
(245734,10159423,'Applies Lambent Imbued when Equipped.',100,0,0),
(245735,10159423,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(245736,10159423,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(245737,10159423,'Cannot be modified except by direct means',100,2,3),
(245738,48593,'Applies Totem of the Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(245739,48593,'Grants invisibility to caster',100,1,1),
(245740,48593,'Suspends caster''s movement speed enhancements',100,1,2),
(245741,48593,'Dispelled when target takes damage',100,1,3),
(245742,48593,'This effect cancels during combat',100,1,4),
(245743,48593,'Only affects targets level 30 and above',100,1,5),
(245744,10048593,'Applies Totem of the Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(245745,10048593,'Grants invisibility to caster',100,1,1),
(245746,10048593,'Suspends caster''s movement speed enhancements',100,1,2),
(245747,10048593,'Dispelled when target takes damage',100,1,3),
(245748,10048593,'This effect cancels during combat',100,1,4),
(245749,10048593,'Only affects targets level 30 and above',100,1,5),
(245750,104776,'Inflicts 13 disease damage on target instantly and every 4 seconds',100,1,0),
(245751,104776,'Inflicts 13 disease damage on target instantly and every 4 seconds',100,1,1),
(245752,104776,'If target is nightblood',100,2,2),
(245753,104776,'Inflicts 13 disease damage on target instantly and every 4 seconds',100,1,3),
(245754,104776,'If target is shadowed folk',100,2,4),
(245755,10104776,'Inflicts 16 disease damage on target instantly and every 4 seconds',100,1,0),
(245756,10104776,'Inflicts 16 disease damage on target instantly and every 4 seconds',100,1,1),
(245757,10104776,'If target is nightblood',100,2,2),
(245758,10104776,'Inflicts 16 disease damage on target instantly and every 4 seconds',100,1,3),
(245759,10104776,'If target is shadowed folk',100,2,4),
(245760,105321,'Inflicts 24 - 40 melee damage on target',100,1,0),
(245761,105321,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 94',100,1,1),
(245762,105321,'Must be flanking or behind',100,1,2),
(245763,10105321,'Inflicts 28 - 48 melee damage on target',100,1,0),
(245764,10105321,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 94',100,1,1),
(245765,10105321,'Must be flanking or behind',100,1,2),
(245766,120602,'Inflicts 778 - 1444 heat damage on target',100,1,0),
(245767,10120602,'Inflicts 933 - 1733 heat damage on target',100,1,0),
(245768,35379,'Increases INT and STA of target by 1.1',100,0,0),
(245769,35379,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(245770,116628,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(245771,116628,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(245772,10116628,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(245773,10116628,'Increases Mitigation of group members (AE) vs arcane damage by 392',100,1,1),
(245774,106183,'Wards target against 68 points of all damage',100,1,0),
(245775,106183,'Decreases INT of target by 109.5',100,1,1),
(245776,106183,'Decreases Attack Speed of target by 25.0',100,1,2),
(245777,106183,'Increases Max Health of target by 10.0%',100,1,3),
(245778,106183,'Increases Hate Gain of target by 27.0%',100,1,4),
(245779,106183,'Increases Aggression of target by 8.4',100,1,5),
(245780,106183,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(245781,106183,'Increases Threat to target encounter by 83 - 101 ',100,2,7),
(245782,106183,'Increases Mitigation of target vs elemental, noxious and arcane damage by 560',100,1,8),
(245783,10106183,'Wards target against 68 points of all damage',100,1,0),
(245784,10106183,'Decreases INT of target by 109.5',100,1,1),
(245785,10106183,'Decreases Attack Speed of target by 25.0',100,1,2),
(245786,10106183,'Increases Max Health of target by 10.0%',100,1,3),
(245787,10106183,'Increases Aggression of target by 8.4',100,1,4),
(245788,10106183,'Increases Mitigation of target vs elemental, noxious and arcane damage by 560',100,1,5),
(245789,115937,'Inflicts 349 - 583 melee damage on target',100,1,0),
(245790,115937,'Roots target',100,1,1),
(245791,115937,'If Target is not Epic',100,2,2),
(245792,115937,'5% chance to dispel when target takes damage',100,1,3),
(245793,115937,'Resistibility increases against targets higher than level 75.',100,1,4),
(245794,10115937,'Inflicts 419 - 699 melee damage on target',100,1,0),
(245795,10115937,'Roots target',100,1,1),
(245796,10115937,'If Target is not Epic',100,2,2),
(245797,10115937,'5% chance to dispel when target takes damage',100,1,3),
(245798,10115937,'Resistibility increases against targets higher than level 75.',100,1,4),
(245799,119362,'Inflicts 191 - 286 disease damage on target',100,1,0),
(245800,119362,'Inflicts 76 - 114 disease damage on target every 4 seconds',100,1,1),
(245801,10119362,'Inflicts 229 - 343 disease damage on target',100,1,0),
(245802,10119362,'Inflicts 92 - 137 disease damage on target every 4 seconds',100,1,1),
(245803,27412,'When Equipped:',100,0,0),
(245804,27412,'Increases all poison damage by up to 10.',100,1,1),
(245805,10027412,'When Equipped:',100,0,0),
(245806,10027412,'Increases all poison damage by up to 10.',100,1,1),
(245807,105180,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(245808,105180,'Inflicts 44 - 54 poison damage on target encounter',100,2,1),
(245809,10105180,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(245810,10105180,'Inflicts 53 - 65 poison damage on target encounter',100,2,1),
(245811,119729,'Wards group members (AE) against 53 points of elemental, noxious and arcane damage',100,1,0),
(245812,119729,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,1),
(245813,10119729,'Wards group members (AE) against 53 points of elemental, noxious and arcane damage',100,1,0),
(245814,10119729,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,1),
(245815,110119,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(245816,110119,'Inflicts 55 disease damage on target',100,2,1),
(245817,110119,'Heals caster for 45',100,2,2),
(245818,110119,'Decreases INT of target by 192.5',100,1,3),
(245819,110119,'Decreases Attack Speed of target by 25.0',100,1,4),
(245820,110119,'Increases Max Health of target by 14.0%',100,1,5),
(245821,110119,'Increases Hate Gain of target by 46.0%',100,1,6),
(245822,110119,'Increases Aggression of target by 21.0',100,1,7),
(245823,110119,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(245824,110119,'Increases Threat to target encounter by 228 - 278 ',100,2,9),
(245825,110119,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1260',100,1,10),
(245826,10110119,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(245827,10110119,'Inflicts 66 disease damage on target',100,2,1),
(245828,10110119,'Heals caster for 53',100,2,2),
(245829,10110119,'Decreases INT of target by 192.5',100,1,3),
(245830,10110119,'Decreases Attack Speed of target by 25.0',100,1,4),
(245831,10110119,'Increases Max Health of target by 14.0%',100,1,5),
(245832,10110119,'Increases Aggression of target by 21.0',100,1,6),
(245833,10110119,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1260',100,1,7),
(245834,36170,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(245835,117926,'Heals target for 18 - 22',100,1,0),
(245836,117926,'Increases Max Health of target by 2.7',100,1,1),
(245837,10117926,'Heals target for 21 - 26',100,1,0),
(245838,10117926,'Increases Max Health of target by 2.7',100,1,1),
(245839,123272,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(245840,123272,'Inflicts 37 - 62 disease damage on target',100,2,1),
(245841,123272,'Heals caster for 0.9 - 1.5% of max health',100,2,2),
(245842,123272,'This effect cannot be critically applied.',100,3,3),
(245843,123272,'The healing of this spell cannot be modified except by direct means',100,2,4),
(245844,10123272,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(245845,10123272,'Inflicts 45 - 74 disease damage on target',100,2,1),
(245846,10123272,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(245847,10123272,'This effect cannot be critically applied.',100,3,3),
(245848,10123272,'The healing of this spell cannot be modified except by direct means',100,2,4),
(245849,82500,'When Equipped:',100,0,0),
(245850,82500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245851,82500,'Inflicts 135 - 252 magic damage on target',100,2,2),
(245852,82500,'Cannot be modified except by direct means',100,2,3),
(245853,10082500,'When Equipped:',100,0,0),
(245854,10082500,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245855,10082500,'Inflicts 163 - 302 magic damage on target',100,2,2),
(245856,10082500,'Cannot be modified except by direct means',100,2,3),
(245857,123678,'Increases Damage Per Second of target by 50.2',100,1,0),
(245858,10123678,'Increases Damage Per Second of target by 50.2',100,1,0),
(245859,81609,'When Equipped:',100,0,0),
(245860,81609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245861,81609,'Inflicts 96 - 179 magic damage on target',100,2,2),
(245862,81609,'Cannot be modified except by direct means',100,2,3),
(245863,10081609,'When Equipped:',100,0,0),
(245864,10081609,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245865,10081609,'Inflicts 116 - 215 magic damage on target',100,2,2),
(245866,10081609,'Cannot be modified except by direct means',100,2,3),
(245867,87455,'When Equipped:',100,0,0),
(245868,87455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245869,87455,'Inflicts 168 - 252 magic damage on target',100,2,2),
(245870,87455,'Cannot be modified except by direct means',100,2,3),
(245871,10087455,'When Equipped:',100,0,0),
(245872,10087455,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(245873,10087455,'Inflicts 202 - 303 magic damage on target',100,2,2),
(245874,10087455,'Cannot be modified except by direct means',100,2,3),
(245875,101355,'Reduces physical damage done to caster by 5%',100,1,0),
(245876,101355,'Adds 2.4% to base avoidance.',100,1,1),
(245877,101355,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(245878,101355,'Increases Aggression of caster by 5.8',100,1,3),
(245879,101355,'Increases Defense and Parry of caster by 9.2',100,1,4),
(245880,101355,'Increases Mitigation of caster vs noxious and arcane damage by 61',100,1,5),
(245881,101355,'Increases Mitigation of caster vs elemental damage by 608',100,1,6),
(245882,101355,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(245883,10101355,'Reduces physical damage done to caster by 5%',100,1,0),
(245884,10101355,'Adds 2.4% to base avoidance.',100,1,1),
(245885,10101355,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(245886,10101355,'Increases Aggression of caster by 5.8',100,1,3),
(245887,10101355,'Increases Defense and Parry of caster by 9.2',100,1,4),
(245888,10101355,'Increases Mitigation of caster vs noxious and arcane damage by 61',100,1,5),
(245889,10101355,'Increases Mitigation of caster vs elemental damage by 608',100,1,6),
(245890,10101355,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(245891,48043,'Applies Tag when Activated.',100,0,0),
(245892,10048043,'Applies Tag when Activated.',100,0,0),
(245893,110147,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.2',100,1,0),
(245894,10110147,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.2',100,1,0),
(245895,124326,'Shapechanges caster into a wolf',100,1,0),
(245896,124326,'Grants See Invisibility to caster',100,1,1),
(245897,124326,'Increases Focus of caster by 25.9',100,1,2),
(245898,124326,'Increases Mitigation of caster vs physical damage by 288',100,1,3),
(245899,124326,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1094',100,1,4),
(245900,10124326,'Shapechanges caster into a wolf',100,1,0),
(245901,10124326,'Grants See Invisibility to caster',100,1,1),
(245902,10124326,'Increases Focus of caster by 25.9',100,1,2),
(245903,10124326,'Increases Mitigation of caster vs physical damage by 288',100,1,3),
(245904,10124326,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1094',100,1,4),
(245905,112736,'Inflicts 691 - 1151 disease damage on target encounter',100,1,0),
(245906,10112736,'Inflicts 829 - 1381 disease damage on target encounter',100,1,0),
(245907,46487,'Applies Blinding Flash when Activated.  Lasts for 10.0 seconds.',100,0,0),
(245908,46487,'Mesmerizes target',100,1,1),
(245909,46487,'Dispelled when target takes damage',100,1,2),
(245910,46487,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(245911,46487,'Resistibility increases against targets higher than level 30.',100,1,4),
(245912,10046487,'Applies Blinding Flash when Activated.  Lasts for 10.0 seconds.',100,0,0),
(245913,10046487,'Mesmerizes target',100,1,1),
(245914,10046487,'Dispelled when target takes damage',100,1,2),
(245915,10046487,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(245916,10046487,'Resistibility increases against targets higher than level 30.',100,1,4),
(245917,160954,'Applies Iron Will when Activated.  Lasts for 1 minute.',100,0,0),
(245918,160954,'Wards caster against 1800 - 2200 points of damage from physical damage',100,1,1),
(245919,160954,'The casting time of Iron Will is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,2),
(245920,10160954,'Applies Iron Will when Activated.  Lasts for 1 minute.',100,0,0),
(245921,10160954,'Wards caster against 1800 - 2200 points of damage from physical damage',100,1,1),
(245922,10160954,'The casting time of Iron Will is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,2),
(245923,102591,'Increases Threat to target encounter by 143 - 173 ',100,1,0),
(245924,102591,'Interrupts target encounter',100,1,1),
(245925,102591,'Decreases Mitigation of target encounter vs noxious damage by 184',100,1,2),
(245926,10102591,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(245927,10102591,'Prevents target from changing targets',100,2,1),
(245928,10102591,'Forces target to change their selected target to caster.',100,2,2),
(245929,10102591,'Interrupts target encounter',100,1,3),
(245930,10102591,'Decreases Mitigation of target encounter vs noxious damage by 184',100,1,4),
(245931,159953,'When Equipped:',100,0,0),
(245932,159953,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(245933,159953,'Increases STR of caster by 21.4',100,2,2),
(245934,159953,'Increases Damage Per Second of caster by 27.2',100,2,3),
(245935,159953,'Cannot be modified except by direct means',100,2,4),
(245936,10159953,'When Equipped:',100,0,0),
(245937,10159953,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(245938,10159953,'Increases STR of caster by 21.4',100,2,2),
(245939,10159953,'Increases Damage Per Second of caster by 27.2',100,2,3),
(245940,10159953,'Cannot be modified except by direct means',100,2,4),
(245941,84012,'Applies Lightning Shock when Activated.',100,0,0),
(245942,84012,'Inflicts 420 - 700 magic damage on target',100,1,1),
(245943,84012,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(245944,10084012,'Applies Lightning Shock when Activated.',100,0,0),
(245945,10084012,'Inflicts 504 - 840 magic damage on target',100,1,1),
(245946,10084012,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(245947,45327,'Applies Black Spotted Warg with Purple Armor when Activated.',100,0,0),
(245948,45327,'Summons a mount to ride',100,1,1),
(245949,45327,'Increases your ground speed by 130%',100,2,2),
(245950,45327,'Increases Disruption, Slashing, Crushing, Piercing and Ranged of caster by 7.0',100,1,3),
(245951,45327,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(245952,10045327,'Applies Black Spotted Warg with Purple Armor when Activated.',100,0,0),
(245953,10045327,'Summons a mount to ride',100,1,1),
(245954,10045327,'Increases your ground speed by 130%',100,2,2),
(245955,10045327,'Increases Disruption, Slashing, Crushing, Piercing and Ranged of caster by 7.0',100,1,3),
(245956,10045327,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(245957,158726,'When Equipped:',100,0,0),
(245958,158726,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(245959,158726,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(245960,158726,'Cannot be modified except by direct means',100,2,3),
(245961,10158726,'When Equipped:',100,0,0),
(245962,10158726,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(245963,10158726,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(245964,10158726,'Cannot be modified except by direct means',100,2,3),
(245965,114585,'Inflicts 317 - 528 ranged damage on target',100,1,0),
(245966,114585,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(245967,114585,'Requires bow',100,1,2),
(245968,10114585,'Inflicts 334 - 557 ranged damage on target',100,1,0),
(245969,10114585,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(245970,10114585,'Requires bow',100,1,2),
(245971,108399,'Heals target for 324 - 396',100,1,0),
(245972,10108399,'Heals target for 388 - 474',100,1,0),
(245973,175983,'When Equipped:',100,0,0),
(245974,175983,'On any combat or spell hit this spell may cast Ages End on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(245975,175983,'Inflicts 2913 magic damage on target',100,2,2),
(245976,175983,'Decreases Threat to target by 4,665 ',100,2,3),
(245977,175983,'Increases Ability Reuse Speed of caster by 5.0%',100,2,4),
(245978,175983,'Cannot be modified except by direct means',100,2,5),
(245979,10175983,'When Equipped:',100,0,0),
(245980,10175983,'On any combat or spell hit this spell may cast Ages End on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(245981,10175983,'Inflicts 2860 magic damage on target',100,2,2),
(245982,10175983,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(245983,10175983,'Cannot be modified except by direct means',100,2,4),
(245984,181731,'When Equipped:',100,0,0),
(245985,181731,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(245986,10181731,'When Equipped:',100,0,0),
(245987,10181731,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(245988,104062,'Inflicts 56 - 94 mental damage on target',100,1,0),
(245989,104062,'Inflicts 56 - 94 mental damage on target',100,1,1),
(245990,10104062,'Inflicts 67 - 113 mental damage on target',100,1,0),
(245991,10104062,'Inflicts 67 - 113 mental damage on target',100,1,1),
(245992,114067,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(245993,114067,'Grants stealth to caster',100,2,1),
(245994,114067,'Suspends caster''s movement speed enhancements',100,2,2),
(245995,114067,'Inflicts 155 - 258 melee damage on target',100,1,3),
(245996,114067,'Must be flanking or behind',100,1,4),
(245997,10114067,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(245998,10114067,'Grants stealth to caster',100,2,1),
(245999,10114067,'Suspends caster''s movement speed enhancements',100,2,2),
(246000,10114067,'Inflicts 279 - 465 melee damage on target',100,1,3),
(246001,10114067,'Must be flanking or behind',100,1,4),
(246002,118581,'Roots target',100,1,0),
(246003,118581,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(246004,118581,'Slows target by 29.8%',100,2,2),
(246005,118581,'5% chance to dispel when target receives hostile action',100,2,3),
(246006,118581,'5% chance to dispel when target takes damage',100,2,4),
(246007,118581,'5% chance to dispel when target takes damage',100,1,5),
(246008,118581,'Does not affect Epic targets',100,1,6),
(246009,118581,'Resistibility increases against targets higher than level 36.',100,1,7),
(246010,10118581,'Roots target',100,1,0),
(246011,10118581,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(246012,10118581,'Slows target by 29.8%',100,2,2),
(246013,10118581,'5% chance to dispel when target receives hostile action',100,2,3),
(246014,10118581,'5% chance to dispel when target takes damage',100,2,4),
(246015,10118581,'5% chance to dispel when target takes damage',100,1,5),
(246016,10118581,'Does not affect Epic targets',100,1,6),
(246017,10118581,'Resistibility increases against targets higher than level 36.',100,1,7),
(246018,114870,'Decreases AGI of target by 70.3',100,1,0),
(246019,114870,'Decreases Defense of target by 26.9',100,1,1),
(246020,10114870,'Decreases AGI of target by 70.3',100,1,0),
(246021,10114870,'Decreases Defense of target by 26.9',100,1,1),
(246022,159663,'When Equipped:',100,0,0),
(246023,159663,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246024,159663,'Increases INT of caster by 8.8',100,2,2),
(246025,159663,'Increases Focus, Subjugation and Disruption of caster by 5.2',100,2,3),
(246026,159663,'Cannot be modified except by direct means',100,2,4),
(246027,10159663,'When Equipped:',100,0,0),
(246028,10159663,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246029,10159663,'Increases INT of caster by 8.8',100,2,2),
(246030,10159663,'Increases Focus, Subjugation and Disruption of caster by 5.2',100,2,3),
(246031,10159663,'Cannot be modified except by direct means',100,2,4),
(246032,108225,'Inflicts 73 - 219 piercing damage on target',100,1,0),
(246033,108225,'Decreases Slashing, Crushing, Piercing and Ranged of target by 13.9',100,1,1),
(246034,10108225,'Inflicts 87 - 263 piercing damage on target',100,1,0),
(246035,10108225,'Decreases Slashing, Crushing, Piercing and Ranged of target by 13.9',100,1,1),
(246036,52753,'Applies Sanguine Imbued when Equipped.',100,0,0),
(246037,52753,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(246038,52753,'Inflicts 38 heat damage on target',100,2,2),
(246039,52753,'Cannot be modified except by direct means',100,2,3),
(246040,10052753,'Applies Sanguine Imbued when Equipped.',100,0,0),
(246041,10052753,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(246042,10052753,'Inflicts 45 heat damage on target',100,2,2),
(246043,10052753,'Cannot be modified except by direct means',100,2,3),
(246044,115763,'Inflicts 112 - 186 melee damage on target',100,1,0),
(246045,10115763,'Inflicts 134 - 224 melee damage on target',100,1,0),
(246046,82468,'When Equipped:',100,0,0),
(246047,82468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246048,82468,'Inflicts 135 - 252 magic damage on target',100,2,2),
(246049,82468,'Cannot be modified except by direct means',100,2,3),
(246050,10082468,'When Equipped:',100,0,0),
(246051,10082468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246052,10082468,'Inflicts 163 - 302 magic damage on target',100,2,2),
(246053,10082468,'Cannot be modified except by direct means',100,2,3),
(246054,116124,'Inflicts 31 - 52 divine damage on target',100,1,0),
(246055,116124,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(246056,116124,'Stuns target',100,2,2),
(246057,116124,'Throws target back',100,2,3),
(246058,116124,'Blurs vision of target',100,2,4),
(246059,116124,'Does not affect Epic targets',100,2,5),
(246060,10116124,'Inflicts 37 - 62 divine damage on target',100,1,0),
(246061,10116124,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(246062,10116124,'Stuns target',100,2,2),
(246063,10116124,'Throws target back',100,2,3),
(246064,10116124,'Blurs vision of target',100,2,4),
(246065,10116124,'Does not affect Epic targets',100,2,5),
(246066,107531,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(246067,107531,'Decreases Mitigation of target encounter vs elemental and noxious damage by 400',100,1,1),
(246068,10107531,'Decreases Max Health of target encounter by 1.5%',100,1,0),
(246069,10107531,'Decreases Mitigation of target encounter vs elemental and noxious damage by 400',100,1,1),
(246070,82750,'When Equipped:',100,0,0),
(246071,82750,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246072,82750,'Inflicts 94 - 175 magic damage on target',100,2,2),
(246073,82750,'Cannot be modified except by direct means',100,2,3),
(246074,10082750,'When Equipped:',100,0,0),
(246075,10082750,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246076,10082750,'Inflicts 113 - 210 magic damage on target',100,2,2),
(246077,10082750,'Cannot be modified except by direct means',100,2,3),
(246078,46153,'Applies Repel Fearstalker when Activated.',100,0,0),
(246079,46153,'Inflicts 100.1% of max health in heat damage on target',100,1,1),
(246080,46153,'Must be classified as a fearstalker',100,1,2),
(246081,10046153,'Applies Repel Fearstalker when Activated.',100,0,0),
(246082,10046153,'Inflicts 120.1% of max health in heat damage on target',100,1,1),
(246083,10046153,'Must be classified as a fearstalker',100,1,2),
(246084,36449,'Increases WIS and STA of target by 1.1',100,0,0),
(246085,36449,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(246086,102891,'Heals caster for 258',100,1,0),
(246087,102891,'Inflicts 385 disease damage on targets in Area of Effect',100,1,1),
(246088,10102891,'Heals caster for 168',100,1,0),
(246089,10102891,'Inflicts 462 disease damage on targets in Area of Effect',100,1,1),
(246090,105405,'Increases STR of caster by 31.7',100,1,0),
(246091,105405,'Decreases Defense of caster by 1.8',100,1,1),
(246092,105405,'Increases Slashing, Piercing, Crushing and Disruption of caster by 4.3',100,1,2),
(246093,10105405,'Increases STR of caster by 31.7',100,1,0),
(246094,10105405,'Decreases Defense of caster by 1.8',100,1,1),
(246095,10105405,'Increases Slashing, Piercing, Crushing and Disruption of caster by 4.3',100,1,2),
(246096,117195,'Inflicts 159 poison damage on target instantly and every 4 seconds',100,1,0),
(246097,117195,'Decreases WIS of target by 123.4',100,1,1),
(246098,10117195,'Inflicts 191 poison damage on target instantly and every 4 seconds',100,1,0),
(246099,10117195,'Decreases WIS of target by 123.4',100,1,1),
(246100,154872,'When Equipped:',100,0,0),
(246101,154872,'On any combat or spell hit this spell may cast Spirit Aegis on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246102,154872,'3% of all physical damage received by the caster is prevented.',100,2,2),
(246103,154872,'Increases the base trigger chance of spells and items by 5%.',100,2,3),
(246104,154872,'Cannot be modified except by direct means',100,2,4),
(246105,10154872,'When Equipped:',100,0,0),
(246106,10154872,'On any combat or spell hit this spell may cast Spirit Aegis on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246107,10154872,'3% of all physical damage received by the caster is prevented.',100,2,2),
(246108,10154872,'Increases the base trigger chance of spells and items by 5%.',100,2,3),
(246109,10154872,'Cannot be modified except by direct means',100,2,4),
(246110,26617,'When Equipped:',100,0,0),
(246111,26617,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(246112,26617,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(246113,10026617,'When Equipped:',100,0,0),
(246114,10026617,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(246115,10026617,'Adds a small chance to Flurry or Spell Double Attack to Inquest IV.',100,1,2),
(246116,87484,'When Equipped:',100,0,0),
(246117,87484,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246118,87484,'Inflicts 124 - 186 magic damage on target',100,2,2),
(246119,87484,'Cannot be modified except by direct means',100,2,3),
(246120,10087484,'When Equipped:',100,0,0),
(246121,10087484,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246122,10087484,'Inflicts 149 - 223 magic damage on target',100,2,2),
(246123,10087484,'Cannot be modified except by direct means',100,2,3),
(246124,109654,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(246125,109654,'Inflicts 31 - 57 poison damage on target encounter',100,2,1),
(246126,10109654,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(246127,10109654,'Inflicts 37 - 69 poison damage on target encounter',100,2,1),
(246128,107861,'Decreases Mitigation of target vs elemental damage by 1224',100,1,0),
(246129,107861,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(246130,107861,'Slows target by 48.2%',100,2,2),
(246131,107861,'5% chance to dispel when target receives hostile action',100,2,3),
(246132,107861,'5% chance to dispel when target takes damage',100,2,4),
(246133,10107861,'Decreases Mitigation of target vs elemental damage by 1224',100,1,0),
(246134,10107861,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(246135,10107861,'Slows target by 48.2%',100,2,2),
(246136,10107861,'5% chance to dispel when target receives hostile action',100,2,3),
(246137,10107861,'5% chance to dispel when target takes damage',100,2,4),
(246138,124023,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(246139,124023,'Heals target for 328 - 400',100,2,1),
(246140,124023,'Grants a total of 5 triggers of the spell.',100,2,2),
(246141,10124023,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(246142,10124023,'Heals target for 213 - 260',100,2,1),
(246143,10124023,'Grants a total of 5 triggers of the spell.',100,2,2),
(246144,120018,'Inflicts 19 - 23 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(246145,120018,'Decreases power of target encounter by 6 instantly and every 4 seconds',100,1,1),
(246146,10120018,'Inflicts 23 - 28 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(246147,10120018,'Decreases power of target encounter by 6 instantly and every 4 seconds',100,1,1),
(246148,114720,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246149,114720,'Decreases Hate Gain of target by 21.5%',100,1,1),
(246150,10114720,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246151,106038,'Inflicts 182 - 223 divine damage on target instantly and every 3 seconds',100,1,0),
(246152,106038,'Decreases Defense of target by 31.0',100,1,1),
(246153,10106038,'Inflicts 146 - 178 divine damage on target instantly and every 3 seconds',100,1,0),
(246154,10106038,'Decreases Defense of target by 31.0',100,1,1),
(246155,118406,'Heals target for 187 - 229',100,1,0),
(246156,118406,'Increases Max Health of target by 22.4',100,1,1),
(246157,10118406,'Heals target for 217 - 265',100,1,0),
(246158,10118406,'Increases Max Health of target by 22.4',100,1,1),
(246159,105833,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(246160,105833,'Inflicts 177 - 295 disease damage on target',100,2,1),
(246161,10105833,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(246162,10105833,'Inflicts 212 - 354 disease damage on target',100,2,1),
(246163,162881,'When Equipped:',100,0,0),
(246164,162881,'Increases Attack Speed of caster by 35.0',100,1,1),
(246165,10162881,'When Equipped:',100,0,0),
(246166,10162881,'Increases Attack Speed of caster by 35.0',100,1,1),
(246167,116306,'Stuns target',100,1,0),
(246168,116306,'If Target is not Epic',100,2,1),
(246169,116306,'Inflicts 230 - 282 magic damage on target',100,1,2),
(246170,116306,'Resistibility increases against targets higher than level 59.',100,1,3),
(246171,10116306,'Stuns target',100,1,0),
(246172,10116306,'If Target is not Epic',100,2,1),
(246173,10116306,'Inflicts 276 - 338 magic damage on target',100,1,2),
(246174,10116306,'Resistibility increases against targets higher than level 59.',100,1,3),
(246175,25641,'When Equipped:',100,0,0),
(246176,25641,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(246177,25641,'Improves the base damage of Plaguebringer by 10%.',100,1,2),
(246178,10025641,'When Equipped:',100,0,0),
(246179,10025641,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(246180,10025641,'Improves the base damage of Plaguebringer by 10%.',100,1,2),
(246181,80707,'When Equipped:',100,0,0),
(246182,80707,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(246183,80707,'Inflicts 53 - 98 magic damage on target',100,2,2),
(246184,80707,'Decreases Threat to target by 236 ',100,2,3),
(246185,80707,'Must be flanking or behind',100,3,4),
(246186,80707,'Increases Threat to target by 241 ',100,2,5),
(246187,80707,'Must be in front of',100,3,6),
(246188,80707,'Cannot be modified except by direct means',100,2,7),
(246189,10080707,'When Equipped:',100,0,0),
(246190,10080707,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(246191,10080707,'Inflicts 64 - 118 magic damage on target',100,2,2),
(246192,10080707,'Cannot be modified except by direct means',100,2,3),
(246193,118186,'Increases Damage Per Second of group members (AE) by 9.5',100,1,0),
(246194,10118186,'Increases Damage Per Second of group members (AE) by 9.5',100,1,0),
(246195,118567,'Dazes caster',100,1,0),
(246196,118567,'Roots caster',100,1,1),
(246197,118567,'Increases Mitigation of caster vs physical damage by 1360',100,1,2),
(246198,10118567,'Dazes caster',100,1,0),
(246199,10118567,'Roots caster',100,1,1),
(246200,10118567,'Increases Mitigation of caster vs physical damage by 1360',100,1,2),
(246201,80593,'When Equipped:',100,0,0),
(246202,80593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246203,80593,'Inflicts 53 - 98 magic damage on target',100,2,2),
(246204,80593,'Cannot be modified except by direct means',100,2,3),
(246205,10080593,'When Equipped:',100,0,0),
(246206,10080593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246207,10080593,'Inflicts 64 - 118 magic damage on target',100,2,2),
(246208,10080593,'Cannot be modified except by direct means',100,2,3),
(246209,121009,'Inflicts 42 - 70 poison damage on target instantly and every 4 seconds',100,1,0),
(246210,121009,'Inflicts 166 - 278 poison damage on target',100,1,1),
(246211,10121009,'Inflicts 50 - 83 poison damage on target instantly and every 4 seconds',100,1,0),
(246212,10121009,'Inflicts 200 - 333 poison damage on target',100,1,1),
(246213,111819,'Inflicts 39 - 65 melee damage on target',100,1,0),
(246214,111819,'Roots target',100,1,1),
(246215,111819,'If Target is not Epic',100,2,2),
(246216,111819,'Resistibility increases against targets higher than level 42.',100,1,3),
(246217,10111819,'Inflicts 42 - 70 melee damage on target',100,1,0),
(246218,10111819,'Roots target',100,1,1),
(246219,10111819,'If Target is not Epic',100,2,2),
(246220,10111819,'Resistibility increases against targets higher than level 42.',100,1,3),
(246221,108177,'Inflicts 1196 - 1993 melee damage on target',100,1,0),
(246222,108177,'You must be sneaking to use this ability.',100,1,1),
(246223,108177,'Must be flanking or behind',100,1,2),
(246224,10108177,'Inflicts 946 - 1577 melee damage on target',100,1,0),
(246225,10108177,'You must be sneaking to use this ability.',100,1,1),
(246226,10108177,'Must be flanking or behind',100,1,2),
(246227,115857,'Inflicts 349 - 582 mental damage on target encounter',100,1,0),
(246228,115857,'Interrupts target encounter',100,1,1),
(246229,10115857,'Inflicts 419 - 698 mental damage on target encounter',100,1,0),
(246230,10115857,'Interrupts target encounter',100,1,1),
(246231,146214,'When Equipped:',100,0,0),
(246232,146214,'Increases divine damage done by spells by up to 40.',100,1,1),
(246233,10146214,'When Equipped:',100,0,0),
(246234,10146214,'Increases divine damage done by spells by up to 40.',100,1,1),
(246235,48252,'Applies Call Steed of the Faithful when Activated.',100,0,0),
(246236,48252,'Increases Slashing and Piercing of caster by 5.0',100,1,1),
(246237,48252,'Summons a mount to ride',100,1,2),
(246238,48252,'Increases your ground speed by 135%',100,2,3),
(246239,48252,'Increases Disruption, Ranged, Ordination, Focus, Aggression, Ministration, Crushing and Subjugation of caster by 5.0',100,1,4),
(246240,10048252,'Applies Call Steed of the Faithful when Activated.',100,0,0),
(246241,10048252,'Increases Slashing and Piercing of caster by 5.0',100,1,1),
(246242,10048252,'Summons a mount to ride',100,1,2),
(246243,10048252,'Increases your ground speed by 135%',100,2,3),
(246244,10048252,'Increases Disruption, Ranged, Ordination, Focus, Aggression, Ministration, Crushing and Subjugation of caster by 5.0',100,1,4),
(246245,105390,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(246246,105390,'Inflicts 86 melee damage on target',100,2,1),
(246247,105390,'Interrupts target',100,2,2),
(246248,105390,'Decreases Defense of caster by 20.7',100,1,3),
(246249,105390,'Increases Piercing, Slashing, Ranged and Crushing of caster by 34.2',100,1,4),
(246250,10105390,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(246251,10105390,'Inflicts 103 melee damage on target',100,2,1),
(246252,10105390,'Interrupts target',100,2,2),
(246253,10105390,'Decreases Defense of caster by 20.7',100,1,3),
(246254,10105390,'Increases Piercing, Slashing, Ranged and Crushing of caster by 34.2',100,1,4),
(246255,100034,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(246256,100034,'Inflicts 143 - 238 melee damage on targets in area',100,2,1),
(246257,100034,'Decreases Defense of caster by 23.4',100,1,2),
(246258,100034,'Increases Slashing, Piercing and Crushing of caster by 33.3',100,1,3),
(246259,10100034,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(246260,10100034,'Inflicts 171 - 286 melee damage on targets in area',100,2,1),
(246261,10100034,'Decreases Defense of caster by 23.4',100,1,2),
(246262,10100034,'Increases Slashing, Piercing and Crushing of caster by 33.3',100,1,3),
(246263,122725,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246264,122725,'Increases Deflection of caster by 7.6',100,1,1),
(246265,10122725,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246266,10122725,'Increases Deflection of caster by 7.6',100,1,1),
(246267,106570,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246268,106570,'Increases Parry of caster by 5.0',100,1,1),
(246269,10106570,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246270,10106570,'Increases Parry of caster by 5.0',100,1,1),
(246271,108364,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(246272,108364,'Increases Mitigation of group members (AE) vs arcane damage by 689',100,1,1),
(246273,10108364,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(246274,10108364,'Increases Mitigation of group members (AE) vs arcane damage by 689',100,1,1),
(246275,37485,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(246276,158680,'When Equipped:',100,0,0),
(246277,158680,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(246278,158680,'Inflicts 1192 mental damage on target',100,2,2),
(246279,158680,'Increases Threat to target by 3,005 ',100,2,3),
(246280,158680,'Cannot be modified except by direct means',100,2,4),
(246281,158680,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(246282,158680,'Inflicts 1192 mental damage on target',100,2,6),
(246283,158680,'Increases Threat to target by 3,005 ',100,2,7),
(246284,158680,'Cannot be modified except by direct means',100,2,8),
(246285,10158680,'When Equipped:',100,0,0),
(246286,10158680,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(246287,10158680,'Inflicts 1430 mental damage on target',100,2,2),
(246288,10158680,'Cannot be modified except by direct means',100,2,3),
(246289,10158680,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(246290,10158680,'Inflicts 1430 mental damage on target',100,2,5),
(246291,10158680,'Cannot be modified except by direct means',100,2,6),
(246292,113655,'Inflicts 228 - 279 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(246293,113655,'Decreases power of target encounter by 38 - 47 instantly and every 5 seconds',100,1,1),
(246294,113655,'Heals group members (AE) for 228 - 279 instantly and every 5 seconds',100,1,2),
(246295,113655,'Increases power of group members (AE) by 38 - 47 instantly and every 5 seconds',100,1,3),
(246296,10113655,'Inflicts 274 - 335 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(246297,10113655,'Decreases power of target encounter by 38 - 47 instantly and every 5 seconds',100,1,1),
(246298,10113655,'Heals group members (AE) for 148 - 181 instantly and every 5 seconds',100,1,2),
(246299,10113655,'Increases power of group members (AE) by 38 - 47 instantly and every 5 seconds',100,1,3),
(246300,111897,'Inflicts 6 - 9 piercing damage on target instantly and every 4 seconds',100,1,0),
(246301,111897,'Inflicts 20 - 33 piercing damage on target',100,1,1),
(246302,111897,'If facing target',100,1,2),
(246303,10111897,'Inflicts 7 - 11 piercing damage on target instantly and every 4 seconds',100,1,0),
(246304,10111897,'Inflicts 24 - 40 piercing damage on target',100,1,1),
(246305,10111897,'If facing target',100,1,2),
(246306,119903,'Increases INT and WIS of group members (AE) by 11.4',100,1,0),
(246307,10119903,'Increases INT and WIS of group members (AE) by 11.4',100,1,0),
(246308,159508,'When Equipped:',100,0,0),
(246309,159508,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(246310,159508,'Increases AGI of caster by 5.8',100,2,2),
(246311,159508,'Increases Attack Speed of caster by 11.5',100,2,3),
(246312,159508,'Cannot be modified except by direct means',100,2,4),
(246313,10159508,'When Equipped:',100,0,0),
(246314,10159508,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(246315,10159508,'Increases AGI of caster by 5.8',100,2,2),
(246316,10159508,'Increases Attack Speed of caster by 11.5',100,2,3),
(246317,10159508,'Cannot be modified except by direct means',100,2,4),
(246318,163247,'When Equipped:',100,0,0),
(246319,163247,'On a critical combat hit this spell may cast Overwhelming Power IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(246320,163247,'Decreases Potency of target by 2.0%',100,2,2),
(246321,163247,'Increases Potency of caster by 10.0%',100,2,3),
(246322,163247,'Must not be engaged in pvp combat',100,2,4),
(246323,163247,'Cannot be modified except by direct means',100,2,5),
(246324,163247,'On a critical spell hit this spell may cast Overwhelming Power IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(246325,163247,'Decreases Potency of target by 2.0%',100,2,7),
(246326,163247,'Increases Potency of caster by 10.0%',100,2,8),
(246327,163247,'Must not be engaged in pvp combat',100,2,9),
(246328,163247,'Cannot be modified except by direct means',100,2,10),
(246329,163247,'Must not be engaged in pvp combat',100,1,11),
(246330,10163247,'When Equipped:',100,0,0),
(246331,10163247,'On a critical combat hit this spell may cast Overwhelming Power IX on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(246332,10163247,'Decreases Potency of target by 2.0%',100,2,2),
(246333,10163247,'Increases Potency of caster by 10.0%',100,2,3),
(246334,10163247,'Must not be engaged in pvp combat',100,2,4),
(246335,10163247,'Cannot be modified except by direct means',100,2,5),
(246336,10163247,'On a critical spell hit this spell may cast Overwhelming Power IX on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(246337,10163247,'Decreases Potency of target by 2.0%',100,2,7),
(246338,10163247,'Increases Potency of caster by 10.0%',100,2,8),
(246339,10163247,'Must not be engaged in pvp combat',100,2,9),
(246340,10163247,'Cannot be modified except by direct means',100,2,10),
(246341,10163247,'Must not be engaged in pvp combat',100,1,11),
(246342,143324,'When Equipped:',100,0,0),
(246343,143324,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(246344,143324,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(246345,143324,'Dispelled when target casts a hostile spell',100,2,3),
(246346,143324,'Dispelled when target casts a combat art',100,2,4),
(246347,143324,'Cannot be modified except by direct means',100,2,5),
(246348,10143324,'When Equipped:',100,0,0),
(246349,10143324,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(246350,10143324,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(246351,10143324,'Dispelled when target casts a hostile spell',100,2,3),
(246352,10143324,'Dispelled when target casts a combat art',100,2,4),
(246353,10143324,'Cannot be modified except by direct means',100,2,5),
(246354,184899,'When Equipped:',100,0,0),
(246355,184899,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(246356,184899,'Inflicts 1390 mental damage on target',100,2,2),
(246357,184899,'Increases Threat to target by 4,005 ',100,2,3),
(246358,184899,'Cannot be modified except by direct means',100,2,4),
(246359,184899,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(246360,184899,'Inflicts 1390 mental damage on target',100,2,6),
(246361,184899,'Increases Threat to target by 4,005 ',100,2,7),
(246362,184899,'Cannot be modified except by direct means',100,2,8),
(246363,10184899,'When Equipped:',100,0,0),
(246364,10184899,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(246365,10184899,'Inflicts 1668 mental damage on target',100,2,2),
(246366,10184899,'Cannot be modified except by direct means',100,2,3),
(246367,10184899,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(246368,10184899,'Inflicts 1668 mental damage on target',100,2,5),
(246369,10184899,'Cannot be modified except by direct means',100,2,6),
(246370,120644,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 2.6',100,1,0),
(246371,120644,'Increases Focus of group members (AE) by 5.1',100,1,1),
(246372,10120644,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 2.6',100,1,0),
(246373,10120644,'Increases Focus of group members (AE) by 5.1',100,1,1),
(246374,115517,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(246375,115517,'Increases Mitigation of group members (AE) vs noxious damage by 1134',100,1,1),
(246376,10115517,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(246377,10115517,'Increases Mitigation of group members (AE) vs noxious damage by 1134',100,1,1),
(246378,82546,'When Equipped:',100,0,0),
(246379,82546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246380,82546,'Inflicts 68 - 126 magic damage on target',100,2,2),
(246381,82546,'Cannot be modified except by direct means',100,2,3),
(246382,10082546,'When Equipped:',100,0,0),
(246383,10082546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246384,10082546,'Inflicts 81 - 151 magic damage on target',100,2,2),
(246385,10082546,'Cannot be modified except by direct means',100,2,3),
(246386,136488,'When Equipped:',100,0,0),
(246387,136488,'This effect will not stack with any rank or tier of itself.',100,1,1),
(246388,136488,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(246389,136488,'Cannot be modified except by direct means',100,1,3),
(246390,10136488,'When Equipped:',100,0,0),
(246391,10136488,'This effect will not stack with any rank or tier of itself.',100,1,1),
(246392,10136488,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(246393,10136488,'Cannot be modified except by direct means',100,1,3),
(246394,24139,'Adds Boss: Cockatrice (Ranger) to your Dungeon Maker toolbox',100,0,0),
(246395,10024139,'Adds Boss: Cockatrice (Ranger) to your Dungeon Maker toolbox',100,0,0),
(246396,104799,'Increases caster''s chance to block by 10.0%',100,1,0),
(246397,104799,'Decreases Attack Speed of caster by 14.0',100,1,1),
(246398,104799,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(246399,104799,'Increases Parry of caster by 19.2',100,1,3),
(246400,104799,'Increases Defense of caster by 19.2',100,1,4),
(246401,10104799,'Increases caster''s chance to block by 10.0%',100,1,0),
(246402,10104799,'Decreases Attack Speed of caster by 14.0',100,1,1),
(246403,10104799,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(246404,10104799,'Increases Parry of caster by 19.2',100,1,3),
(246405,10104799,'Increases Defense of caster by 19.2',100,1,4),
(246406,119797,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246407,119797,'Adds 0.9% to base avoidance.',100,1,1),
(246408,10119797,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246409,10119797,'Adds 0.9% to base avoidance.',100,1,1),
(246410,135606,'When Equipped:',100,0,0),
(246411,135606,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(246412,135606,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(246413,135606,'Cannot be modified except by direct means',100,1,3),
(246414,10135606,'When Equipped:',100,0,0),
(246415,10135606,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(246416,10135606,'Gives caster a 4.5% chance to strikethrough a successful avoidance check',100,1,2),
(246417,10135606,'Cannot be modified except by direct means',100,1,3),
(246418,116057,'Shapechanges caster into a lion',100,1,0),
(246419,116057,'Increases STA of caster by 80.2',100,1,1),
(246420,116057,'Adds 2.5% to base avoidance.',100,1,2),
(246421,116057,'Grants See Stealth to caster',100,1,3),
(246422,116057,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1296',100,1,4),
(246423,10116057,'Shapechanges caster into a lion',100,1,0),
(246424,10116057,'Increases STA of caster by 80.2',100,1,1),
(246425,10116057,'Adds 2.5% to base avoidance.',100,1,2),
(246426,10116057,'Grants See Stealth to caster',100,1,3),
(246427,10116057,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1296',100,1,4),
(246428,115690,'Inflicts 36 - 108 melee damage on target',100,1,0),
(246429,115690,'Inflicts 36 - 108 melee damage on target',100,1,1),
(246430,115690,'Inflicts 36 - 108 melee damage on target',100,1,2),
(246431,115690,'Inflicts 36 - 108 melee damage on target',100,1,3),
(246432,115690,'Inflicts 36 - 108 melee damage on target',100,1,4),
(246433,115690,'Inflicts 36 - 108 melee damage on target',100,1,5),
(246434,115690,'Inflicts 36 - 108 melee damage on target',100,1,6),
(246435,115690,'Inflicts 36 - 108 melee damage on target',100,1,7),
(246436,10115690,'Inflicts 43 - 130 melee damage on target',100,1,0),
(246437,10115690,'Inflicts 43 - 130 melee damage on target',100,1,1),
(246438,10115690,'Inflicts 43 - 130 melee damage on target',100,1,2),
(246439,10115690,'Inflicts 43 - 130 melee damage on target',100,1,3),
(246440,10115690,'Inflicts 43 - 130 melee damage on target',100,1,4),
(246441,10115690,'Inflicts 43 - 130 melee damage on target',100,1,5),
(246442,10115690,'Inflicts 43 - 130 melee damage on target',100,1,6),
(246443,10115690,'Inflicts 43 - 130 melee damage on target',100,1,7),
(246444,138040,'When Equipped:',100,0,0),
(246445,138040,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(246446,138040,'Inflicts 1375 magic damage on target',100,2,2),
(246447,138040,'Inflicts 201 magic damage on target every 4 seconds',100,2,3),
(246448,138040,'Must not be engaged in pvp combat',100,2,4),
(246449,138040,'Cannot be modified except by direct means',100,2,5),
(246450,10138040,'When Equipped:',100,0,0),
(246451,10138040,'On any combat or spell hit this spell may cast Incandescent Blast on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(246452,10138040,'Inflicts 1650 magic damage on target',100,2,2),
(246453,10138040,'Inflicts 241 magic damage on target every 4 seconds',100,2,3),
(246454,10138040,'Must not be engaged in pvp combat',100,2,4),
(246455,10138040,'Cannot be modified except by direct means',100,2,5),
(246456,102300,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(246457,102300,'Decreases Threat to target by 939 ',100,2,1),
(246458,10102300,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(246459,10102300,'Inflicts 50 - 55 crushing damage on target',100,2,1),
(246460,124588,'Decreases Threat to targets in Area of Effect by 3,848 ',100,1,0),
(246461,124588,'Interrupts targets in Area of Effect',100,1,1),
(246462,124588,'Roots targets in Area of Effect',100,1,2),
(246463,124588,'If Target is not Epic',100,2,3),
(246464,10124588,'Applies Distract.',100,1,0),
(246465,10124588,'Forces target to clear their selected target.',100,2,1),
(246466,10124588,'Interrupts targets in Area of Effect',100,1,2),
(246467,10124588,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(246468,10124588,'Roots targets in Area of Effect',100,1,4),
(246469,10124588,'If Target is not Epic',100,2,5),
(246470,47942,'Applies Draw upon Essence when Activated.',100,0,0),
(246471,47942,'Increases power of caster by 8',100,1,1),
(246472,47942,'Requires 15 Health to cast.',100,1,2),
(246473,10047942,'Applies Draw upon Essence when Activated.',100,0,0),
(246474,10047942,'Increases power of caster by 8',100,1,1),
(246475,10047942,'Requires 15 Health to cast.',100,1,2),
(246476,45684,'Applies Kane''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(246477,45684,'Increases Max Health of caster by 208.0',100,1,1),
(246478,10045684,'Applies Kane''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(246479,10045684,'Increases Max Health of caster by 208.0',100,1,1),
(246480,101898,'Inflicts 184 - 308 ranged damage on target',100,1,0),
(246481,101898,'If weapon equipped in Ranged',100,1,1),
(246482,101898,'Must be behind',100,1,2),
(246483,10101898,'Inflicts 157 - 261 ranged damage on target',100,1,0),
(246484,10101898,'If weapon equipped in Ranged',100,1,1),
(246485,10101898,'Must be behind',100,1,2),
(246486,111289,'Inflicts 172 - 287 divine damage on target',100,1,0),
(246487,111289,'Inflicts 69 - 115 divine damage on target every 4 seconds',100,1,1),
(246488,10111289,'Inflicts 207 - 345 divine damage on target',100,1,0),
(246489,10111289,'Inflicts 83 - 138 divine damage on target every 4 seconds',100,1,1),
(246490,108919,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(246491,108919,'Inflicts 14 heat damage on target',100,2,1),
(246492,10108919,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(246493,10108919,'Inflicts 16 heat damage on target',100,2,1),
(246494,110234,'Inflicts 37 - 61 melee damage on target',100,1,0),
(246495,110234,'Slows target by 32.7%',100,1,1),
(246496,110234,'5% chance to dispel when target receives hostile action',100,1,2),
(246497,110234,'5% chance to dispel when target takes damage',100,1,3),
(246498,10110234,'Inflicts 44 - 74 melee damage on target',100,1,0),
(246499,10110234,'Slows target by 32.7%',100,1,1),
(246500,10110234,'5% chance to dispel when target receives hostile action',100,1,2),
(246501,10110234,'5% chance to dispel when target takes damage',100,1,3),
(246502,118462,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(246503,118462,'Inflicts 19 - 23 heat damage on target instantly and every second',100,2,1),
(246504,10118462,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(246505,10118462,'Inflicts 23 - 28 heat damage on target instantly and every second',100,2,1),
(246506,101225,'Inflicts 306 - 510 cold damage on target',100,1,0),
(246507,101225,'Dazes target',100,1,1),
(246508,101225,'If Target is not Epic',100,2,2),
(246509,101225,'Resistibility increases against targets higher than level 101.',100,1,3),
(246510,10101225,'Inflicts 367 - 612 cold damage on target',100,1,0),
(246511,10101225,'Dazes target',100,1,1),
(246512,10101225,'If Target is not Epic',100,2,2),
(246513,10101225,'Resistibility increases against targets higher than level 101.',100,1,3),
(246514,48429,'Applies Thinning Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(246515,48429,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(246516,48429,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(246517,48429,'Cannot be modified except by direct means',100,2,3),
(246518,48429,'Grants a total of 80 triggers of the spell.',100,2,4),
(246519,48429,'Only affects targets level 50 and above',100,1,5),
(246520,10048429,'Applies Thinning Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(246521,10048429,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(246522,10048429,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(246523,10048429,'Cannot be modified except by direct means',100,2,3),
(246524,10048429,'Grants a total of 80 triggers of the spell.',100,2,4),
(246525,10048429,'Only affects targets level 50 and above',100,1,5),
(246526,122542,'Heals caster for 71',100,1,0),
(246527,122542,'Inflicts 106 - 178 melee damage on target',100,1,1),
(246528,10122542,'Heals caster for 46',100,1,0),
(246529,10122542,'Inflicts 128 - 213 melee damage on target',100,1,1),
(246530,114228,'Inflicts 84 - 103 mental damage on target',100,1,0),
(246531,114228,'Stuns target',100,1,1),
(246532,114228,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(246533,114228,'Resistibility increases against targets higher than level 42.',100,1,3),
(246534,10114228,'Inflicts 101 - 124 mental damage on target',100,1,0),
(246535,10114228,'Requires not being affected by Mesmerize effects.',100,2,1),
(246536,10114228,'Stuns target',100,1,2),
(246537,10114228,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(246538,10114228,'Resistibility increases against targets higher than level 42.',100,1,4),
(246539,121649,'Increases STR of caster by 2.7',100,1,0),
(246540,121649,'Summons a pet storm elemental',100,1,1),
(246541,121649,'Increases STA, WIS, AGI and INT of caster by 2.7',100,1,2),
(246542,121649,'If follows Karana',100,1,3),
(246543,10121649,'Increases STR of caster by 2.7',100,1,0),
(246544,10121649,'Summons a pet storm elemental',100,1,1),
(246545,10121649,'Increases STA, WIS, AGI and INT of caster by 2.7',100,1,2),
(246546,10121649,'If follows Karana',100,1,3),
(246547,124160,'Decreases Attack Speed of target by 17.6',100,1,0),
(246548,10124160,'Decreases Attack Speed of target by 17.6',100,1,0),
(246549,111100,'Heals target for 16.2 - 19.9% of max health',100,1,0),
(246550,111100,'This effect cannot be critically applied.',100,2,1),
(246551,111100,'Increases Mitigation of target vs physical damage by 136',100,1,2),
(246552,111100,'The healing of this spell cannot be modified except by direct means',100,1,3),
(246553,10111100,'Heals target for 6.1 - 7.4% of max health',100,1,0),
(246554,10111100,'This effect cannot be critically applied.',100,2,1),
(246555,10111100,'Increases Mitigation of target vs physical damage by 136',100,1,2),
(246556,10111100,'The healing of this spell cannot be modified except by direct means',100,1,3),
(246557,24334,'Adds Drolvarg (Berserker) to your Dungeon Maker toolbox',100,0,0),
(246558,10024334,'Adds Drolvarg (Berserker) to your Dungeon Maker toolbox',100,0,0),
(246559,24072,'Adds Chardok: Battle-Ready Di''Zok Arms-Bearer to your Dungeon Maker toolbox',100,0,0),
(246560,10024072,'Adds Chardok: Battle-Ready Di''Zok Arms-Bearer to your Dungeon Maker toolbox',100,0,0),
(246561,114861,'Decreases AGI of target by 46.8',100,1,0),
(246562,114861,'Decreases Defense of target by 18.0',100,1,1),
(246563,10114861,'Decreases AGI of target by 46.8',100,1,0),
(246564,10114861,'Decreases Defense of target by 18.0',100,1,1),
(246565,37424,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(246566,109866,'Increases Defense of group members (AE) by 19.3',100,1,0),
(246567,10109866,'Increases Defense of group members (AE) by 19.3',100,1,0),
(246568,40655,'When Equipped:',100,0,0),
(246569,40655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246570,40655,'Inflicts 24 - 37 magic damage on target',100,2,2),
(246571,40655,'Cannot be modified except by direct means',100,2,3),
(246572,10040655,'When Equipped:',100,0,0),
(246573,10040655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246574,10040655,'Inflicts 29 - 44 magic damage on target',100,2,2),
(246575,10040655,'Cannot be modified except by direct means',100,2,3),
(246576,103541,'Increases In-Combat Power Regeneration of group members (AE) by 9.8',100,1,0),
(246577,10103541,'Increases In-Combat Power Regeneration of group members (AE) by 9.8',100,1,0),
(246578,112367,'Makes target afraid',100,1,0),
(246579,112367,'30% chance to dispel when target takes damage',100,1,1),
(246580,112367,'Does not affect Epic targets',100,1,2),
(246581,112367,'Resistibility increases against targets higher than level 59.',100,1,3),
(246582,10112367,'Makes target afraid',100,1,0),
(246583,10112367,'30% chance to dispel when target takes damage',100,1,1),
(246584,10112367,'Does not affect Epic targets',100,1,2),
(246585,10112367,'Resistibility increases against targets higher than level 59.',100,1,3),
(246586,80252,'When Equipped:',100,0,0),
(246587,80252,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(246588,80252,'Inflicts 166 - 308 magic damage on target',100,2,2),
(246589,80252,'Decreases Threat to target by 801 ',100,2,3),
(246590,80252,'Must be flanking or behind',100,3,4),
(246591,80252,'Increases Threat to target by 806 ',100,2,5),
(246592,80252,'Must be in front of',100,3,6),
(246593,80252,'Cannot be modified except by direct means',100,2,7),
(246594,10080252,'When Equipped:',100,0,0),
(246595,10080252,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(246596,10080252,'Inflicts 199 - 370 magic damage on target',100,2,2),
(246597,10080252,'Cannot be modified except by direct means',100,2,3),
(246598,172995,'When Equipped:',100,0,0),
(246599,172995,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(246600,172995,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(246601,172995,'Cannot be modified except by direct means',100,2,3),
(246602,10172995,'When Equipped:',100,0,0),
(246603,10172995,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(246604,10172995,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(246605,10172995,'Cannot be modified except by direct means',100,2,3),
(246606,24659,'Adds Popup Text (Pink) to your Dungeon Maker toolbox',100,0,0),
(246607,10024659,'Adds Popup Text (Pink) to your Dungeon Maker toolbox',100,0,0),
(246608,142723,'When Equipped:',100,0,0),
(246609,142723,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(246610,142723,'When Equipped:',100,0,2),
(246611,142723,'Reduces reuse time of beneficial spells by 2 percent.',100,1,3),
(246612,10142723,'When Equipped:',100,0,0),
(246613,10142723,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(246614,10142723,'When Equipped:',100,0,2),
(246615,10142723,'Reduces reuse time of beneficial spells by 2 percent.',100,1,3),
(246616,48083,'Applies Petamorph: Constructed Guardian when Activated.  Lasts for 2 hours.',100,0,0),
(246617,48083,'Deconstructs the caster''s combat pet and reconstructs it into a guardian of Skyshrine. Does not work on cosmetic pets.',100,1,1),
(246618,10048083,'Applies Petamorph: Constructed Guardian when Activated.  Lasts for 2 hours.',100,0,0),
(246619,10048083,'Deconstructs the caster''s combat pet and reconstructs it into a guardian of Skyshrine. Does not work on cosmetic pets.',100,1,1),
(246620,124402,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(246621,124402,'Inflicts 71 - 118 melee damage on target',100,2,1),
(246622,124402,'Grants a total of 3 triggers of the spell.',100,2,2),
(246623,10124402,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(246624,10124402,'Inflicts 85 - 142 melee damage on target',100,2,1),
(246625,10124402,'Grants a total of 3 triggers of the spell.',100,2,2),
(246626,25067,'When Equipped:',100,0,0),
(246627,25067,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(246628,25067,'Inflicts 1170 magic damage on target',100,2,2),
(246629,25067,'Cannot be modified except by direct means',100,2,3),
(246630,25067,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(246631,25067,'Inflicts 1170 magic damage on target',100,2,5),
(246632,25067,'Cannot be modified except by direct means',100,2,6),
(246633,10025067,'When Equipped:',100,0,0),
(246634,10025067,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(246635,10025067,'Inflicts 1186 magic damage on target',100,2,2),
(246636,10025067,'Cannot be modified except by direct means',100,2,3),
(246637,10025067,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(246638,10025067,'Inflicts 1186 magic damage on target',100,2,5),
(246639,10025067,'Cannot be modified except by direct means',100,2,6),
(246640,114500,'Increases In-Combat Power Regeneration of group members (AE) by 16.8',100,1,0),
(246641,10114500,'Increases In-Combat Power Regeneration of group members (AE) by 16.8',100,1,0),
(246642,105139,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(246643,105139,'Summon 1 Crystallized Essence (Adept)',100,2,1),
(246644,10105139,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(246645,10105139,'Summon 1 Crystallized Essence (Adept)',100,2,1),
(246646,81465,'When Equipped:',100,0,0),
(246647,81465,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246648,81465,'Inflicts 70 - 129 magic damage on target',100,2,2),
(246649,81465,'Cannot be modified except by direct means',100,2,3),
(246650,10081465,'When Equipped:',100,0,0),
(246651,10081465,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246652,10081465,'Inflicts 84 - 155 magic damage on target',100,2,2),
(246653,10081465,'Cannot be modified except by direct means',100,2,3),
(246654,107304,'Decreases WIS of target by 17.4',100,1,0),
(246655,107304,'Decreases Defense of target by 6.6',100,1,1),
(246656,10107304,'Decreases WIS of target by 17.4',100,1,0),
(246657,10107304,'Decreases Defense of target by 6.6',100,1,1),
(246658,111411,'Increases Attack Speed of target by 51.5',100,1,0),
(246659,111411,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(246660,111411,'Inflicts 319 disease damage on target',100,2,2),
(246661,111411,'Heals caster for 106',100,2,3),
(246662,111411,'Decreases Defense and Parry of target by 30.1',100,1,4),
(246663,111411,'Increases Disruption, Subjugation and Focus of target by 42.2',100,1,5),
(246664,10111411,'Increases Attack Speed of target by 51.5',100,1,0),
(246665,10111411,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(246666,10111411,'Inflicts 383 disease damage on target',100,2,2),
(246667,10111411,'Heals caster for 69',100,2,3),
(246668,10111411,'Decreases Defense and Parry of target by 30.1',100,1,4),
(246669,10111411,'Increases Disruption, Subjugation and Focus of target by 42.2',100,1,5),
(246670,36349,'Increases Max Power of target by 3.3',100,0,0),
(246671,36349,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(246672,117702,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246673,117702,'Adds 1.3% to base avoidance.',100,1,1),
(246674,10117702,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(246675,10117702,'Adds 1.3% to base avoidance.',100,1,1),
(246676,111862,'Inflicts 59 - 110 heat damage on target',100,1,0),
(246677,111862,'Inflicts 22 - 41 heat damage on target every 2 seconds',100,1,1),
(246678,10111862,'Inflicts 71 - 132 heat damage on target',100,1,0),
(246679,10111862,'Inflicts 27 - 50 heat damage on target every 2 seconds',100,1,1),
(246680,106103,'Inflicts 461 - 769 melee damage on target',100,1,0),
(246681,106103,'Decreases Mitigation of target vs physical damage by 1737',100,1,1),
(246682,106103,'Must be behind',100,1,2),
(246683,10106103,'Inflicts 554 - 923 melee damage on target',100,1,0),
(246684,10106103,'Decreases Mitigation of target vs physical damage by 434',100,1,1),
(246685,10106103,'Must be behind',100,1,2),
(246686,123541,'Inflicts 88 - 132 piercing damage on target instantly and every 4 seconds',100,1,0),
(246687,123541,'Decreases Defense of target by 23.5',100,1,1),
(246688,10123541,'Inflicts 148 - 222 piercing damage on target',100,1,0),
(246689,10123541,'Inflicts 106 - 158 piercing damage on target every 4 seconds',100,1,1),
(246690,10123541,'Decreases Defense of target by 23.5',100,1,2),
(246691,104803,'Increases caster''s chance to block by 10.0%',100,1,0),
(246692,104803,'Decreases Attack Speed of caster by 15.4',100,1,1),
(246693,104803,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(246694,104803,'Increases Parry of caster by 22.7',100,1,3),
(246695,104803,'Increases Defense of caster by 22.7',100,1,4),
(246696,10104803,'Increases caster''s chance to block by 10.0%',100,1,0),
(246697,10104803,'Decreases Attack Speed of caster by 15.4',100,1,1),
(246698,10104803,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(246699,10104803,'Increases Parry of caster by 22.7',100,1,3),
(246700,10104803,'Increases Defense of caster by 22.7',100,1,4),
(246701,46903,'Applies Medicus'' Spiritual Leash when Activated.',100,0,0),
(246702,10046903,'Applies Medicus'' Spiritual Leash when Activated.',100,0,0),
(246703,101839,'Summons a limited pet to aid the caster',100,1,0),
(246704,10101839,'Summons a limited pet to aid the caster',100,1,0),
(246705,124653,'Inflicts 611 - 746 cold damage on target encounter',100,1,0),
(246706,124653,'Decreases Piercing, Slashing and Crushing of target encounter by 22.1',100,1,1),
(246707,10124653,'Inflicts 733 - 895 cold damage on target encounter',100,1,0),
(246708,10124653,'Decreases Piercing, Slashing and Crushing of target encounter by 22.1',100,1,1),
(246709,45970,'Applies Consume Essence when Activated.',100,0,0),
(246710,45970,'Heals group members (AE) for 139 - 169',100,1,1),
(246711,45970,'Dispels 49 levels of any hostile effects on caster',100,1,2),
(246712,10045970,'Applies Consume Essence when Activated.',100,0,0),
(246713,10045970,'Heals group members (AE) for 90 - 110',100,1,1),
(246714,10045970,'Dispels 49 levels of any hostile effects on caster',100,1,2),
(246715,100623,'Transfers 24% of target''s current Threat to the caster',100,1,0),
(246716,10100623,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(246717,10100623,'10% of all damage received by the caster is prevented.',100,2,1),
(246718,10100623,'This effect can only trigger once every 5 seconds.',100,2,2),
(246719,103950,'Applies Castigate.',100,1,0),
(246720,103950,'Inflicts 489 - 815 divine damage on targets in Area of Effect',100,2,1),
(246721,103950,'Dispels 116 levels of any hostile effects on caster',100,1,2),
(246722,103950,'Casts Castigate for each successful Dispel.',100,1,3),
(246723,103950,'Inflicts 489 - 815 divine damage on targets in Area of Effect',100,3,4),
(246724,10103950,'Applies Castigate.',100,1,0),
(246725,10103950,'Inflicts 587 - 978 divine damage on targets in Area of Effect',100,2,1),
(246726,10103950,'Dispels 116 levels of any hostile effects on caster',100,1,2),
(246727,10103950,'Casts Castigate for each successful Dispel.',100,1,3),
(246728,10103950,'Inflicts 587 - 978 divine damage on targets in Area of Effect',100,3,4),
(246729,81889,'When Equipped:',100,0,0),
(246730,81889,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246731,81889,'Inflicts 94 - 175 magic damage on target',100,2,2),
(246732,81889,'Cannot be modified except by direct means',100,2,3),
(246733,10081889,'When Equipped:',100,0,0),
(246734,10081889,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246735,10081889,'Inflicts 113 - 210 magic damage on target',100,2,2),
(246736,10081889,'Cannot be modified except by direct means',100,2,3),
(246737,120035,'Inflicts 86 - 106 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(246738,120035,'Decreases power of target encounter by 29 instantly and every 4 seconds',100,1,1),
(246739,10120035,'Inflicts 104 - 127 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(246740,10120035,'Decreases power of target encounter by 29 instantly and every 4 seconds',100,1,1),
(246741,114785,'Decreases WIS of target by 18.5',100,1,0),
(246742,114785,'Increases WIS and STA of caster by 18.5',100,1,1),
(246743,114785,'Decreases Max Health of target by 0.9%',100,1,2),
(246744,114785,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 59',100,1,3),
(246745,114785,'Only affects targets level 17 and above',100,1,4),
(246746,10114785,'Decreases WIS of target by 18.5',100,1,0),
(246747,10114785,'Increases WIS and STA of caster by 18.5',100,1,1),
(246748,10114785,'Decreases Max Health of target by 0.9%',100,1,2),
(246749,10114785,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 59',100,1,3),
(246750,10114785,'Only affects targets level 17 and above',100,1,4),
(246751,35142,'Increases AGI of target by 1.5',100,0,0),
(246752,35142,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(246753,121011,'Inflicts 44 - 74 poison damage on target instantly and every 4 seconds',100,1,0),
(246754,121011,'Inflicts 177 - 295 poison damage on target',100,1,1),
(246755,10121011,'Inflicts 53 - 89 poison damage on target instantly and every 4 seconds',100,1,0),
(246756,10121011,'Inflicts 212 - 354 poison damage on target',100,1,1),
(246757,185762,'When Equipped:',100,0,0),
(246758,185762,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(246759,185762,'Increases STA of caster by 22.7',100,2,2),
(246760,185762,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(246761,185762,'Cannot be modified except by direct means',100,2,4),
(246762,10185762,'When Equipped:',100,0,0),
(246763,10185762,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(246764,10185762,'Increases STA of caster by 22.7',100,2,2),
(246765,10185762,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(246766,10185762,'Cannot be modified except by direct means',100,2,4),
(246767,117481,'Inflicts 23 - 39 melee damage on target',100,1,0),
(246768,117481,'Inflicts 23 - 39 melee damage on target',100,1,1),
(246769,117481,'Inflicts 23 - 39 melee damage on target',100,1,2),
(246770,117481,'Inflicts 23 - 39 melee damage on target',100,1,3),
(246771,117481,'If facing target',100,1,4),
(246772,10117481,'Inflicts 28 - 47 melee damage on target',100,1,0),
(246773,10117481,'Inflicts 28 - 47 melee damage on target',100,1,1),
(246774,10117481,'Inflicts 28 - 47 melee damage on target',100,1,2),
(246775,10117481,'Inflicts 28 - 47 melee damage on target',100,1,3),
(246776,10117481,'If facing target',100,1,4),
(246777,100392,'Summons a pet aery hunter',100,1,0),
(246778,10100392,'Summons a pet aery hunter',100,1,0),
(246779,111088,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(246780,111088,'Slows target by 56.6%',100,2,1),
(246781,111088,'5% chance to dispel when target receives hostile action',100,2,2),
(246782,111088,'5% chance to dispel when target takes damage',100,2,3),
(246783,111088,'Decreases Mitigation of target vs elemental damage by 2477',100,1,4),
(246784,10111088,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(246785,10111088,'Slows target by 56.6%',100,2,1),
(246786,10111088,'5% chance to dispel when target receives hostile action',100,2,2),
(246787,10111088,'5% chance to dispel when target takes damage',100,2,3),
(246788,10111088,'Decreases Mitigation of target vs elemental damage by 2477',100,1,4),
(246789,120267,'Inflicts 632 - 1054 crushing damage on target',100,1,0),
(246790,10120267,'Inflicts 759 - 1265 crushing damage on target',100,1,0),
(246791,115261,'Heals target for 291',100,1,0),
(246792,115261,'Heals target for 48 every second',100,1,1),
(246793,115261,'Dispels 49 levels of any hostile effects on target',100,1,2),
(246794,10115261,'Heals target for 189',100,1,0),
(246795,10115261,'Heals target for 31 every second',100,1,1),
(246796,10115261,'Dispels 49 levels of any hostile effects on target',100,1,2),
(246797,144644,'When Equipped:',100,0,0),
(246798,144644,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(246799,144644,'Inflicts 1192 disease damage on target encounter',100,2,2),
(246800,144644,'Must not be engaged in pvp combat',100,2,3),
(246801,144644,'Cannot be modified except by direct means',100,2,4),
(246802,10144644,'When Equipped:',100,0,0),
(246803,10144644,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(246804,10144644,'Inflicts 715 disease damage on target encounter',100,2,2),
(246805,10144644,'Must not be engaged in pvp combat',100,2,3),
(246806,10144644,'Cannot be modified except by direct means',100,2,4),
(246807,100250,'Inflicts 11 - 20 poison damage on target instantly and every 3 seconds',100,1,0),
(246808,10100250,'Inflicts 29 - 53 poison damage on target instantly and every 3 seconds',100,1,0),
(246809,36332,'Increases AGI of target by 1.5',100,0,0),
(246810,36332,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(246811,121044,'Increases AGI of target by 54.7',100,1,0),
(246812,121044,'Adds 0.8% to base avoidance.',100,1,1),
(246813,121044,'Increases In-Combat Power Regeneration of target by 30.4',100,1,2),
(246814,121044,'Increases Max Power of target by 330.0',100,1,3),
(246815,10121044,'Increases AGI of target by 54.7',100,1,0),
(246816,10121044,'Adds 0.8% to base avoidance.',100,1,1),
(246817,10121044,'Increases In-Combat Power Regeneration of target by 30.4',100,1,2),
(246818,10121044,'Increases Max Power of target by 330.0',100,1,3),
(246819,104525,'Increases Threat to target by 371 - 452  instantly and by 78 - 94  every 2 seconds thereafter',100,1,0),
(246820,10104525,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(246821,148896,'When Equipped:',100,0,0),
(246822,148896,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(246823,10148896,'When Equipped:',100,0,0),
(246824,10148896,'Reduces reuse time of Subjugation-based spells by 2 percent.',100,1,1),
(246825,149048,'When Equipped:',100,0,0),
(246826,149048,'This effect will not stack with itself.',100,1,1),
(246827,149048,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(246828,149048,'Increases Ability Casting Speed of caster by 12.0%',100,2,3),
(246829,149048,'Increases in-combat movement speed of caster by 12.0%',100,2,4),
(246830,149048,'Increases Ability Recovery Speed of caster by 12.0%',100,2,5),
(246831,149048,'Must not be engaged in pvp combat',100,2,6),
(246832,149048,'Cannot be modified except by direct means',100,2,7),
(246833,149048,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(246834,149048,'Increases Ability Casting Speed of caster by 12.0%',100,2,9),
(246835,149048,'Increases in-combat movement speed of caster by 12.0%',100,2,10),
(246836,149048,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(246837,149048,'Must not be engaged in pvp combat',100,2,12),
(246838,149048,'Cannot be modified except by direct means',100,2,13),
(246839,149048,'Must not be engaged in pvp combat',100,1,14),
(246840,10149048,'When Equipped:',100,0,0),
(246841,10149048,'This effect will not stack with itself.',100,1,1),
(246842,10149048,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(246843,10149048,'Increases Ability Casting Speed of caster by 12.0%',100,2,3),
(246844,10149048,'Increases in-combat movement speed of caster by 12.0%',100,2,4),
(246845,10149048,'Increases Ability Recovery Speed of caster by 12.0%',100,2,5),
(246846,10149048,'Must not be engaged in pvp combat',100,2,6),
(246847,10149048,'Cannot be modified except by direct means',100,2,7),
(246848,10149048,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(246849,10149048,'Increases Ability Casting Speed of caster by 12.0%',100,2,9),
(246850,10149048,'Increases in-combat movement speed of caster by 12.0%',100,2,10),
(246851,10149048,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(246852,10149048,'Must not be engaged in pvp combat',100,2,12),
(246853,10149048,'Cannot be modified except by direct means',100,2,13),
(246854,10149048,'Must not be engaged in pvp combat',100,1,14),
(246855,72039,'When Equipped:',100,0,0),
(246856,72039,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246857,72039,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(246858,72039,'Cannot be modified except by direct means',100,2,3),
(246859,10072039,'When Equipped:',100,0,0),
(246860,10072039,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246861,10072039,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(246862,10072039,'Cannot be modified except by direct means',100,2,3),
(246863,158920,'When Equipped:',100,0,0),
(246864,158920,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(246865,158920,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,2),
(246866,158920,'While active Renewing Bulwark is disabled.',100,2,3),
(246867,158920,'Cannot be modified except by direct means',100,2,4),
(246868,158920,'Regenerates 242 points of shielding every 2 seconds',100,1,5),
(246869,158920,'Wards caster against 2420 points of all damage',100,1,6),
(246870,158920,'Must not be engaged in pvp combat',100,1,7),
(246871,158920,'Cannot be modified except by direct means',100,1,8),
(246872,10158920,'When Equipped:',100,0,0),
(246873,10158920,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(246874,10158920,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,2),
(246875,10158920,'While active Renewing Bulwark is disabled.',100,2,3),
(246876,10158920,'Cannot be modified except by direct means',100,2,4),
(246877,10158920,'Regenerates 242 points of shielding every 2 seconds',100,1,5),
(246878,10158920,'Wards caster against 2420 points of all damage',100,1,6),
(246879,10158920,'Must not be engaged in pvp combat',100,1,7),
(246880,10158920,'Cannot be modified except by direct means',100,1,8),
(246881,115041,'Heals target for 526 - 642',100,1,0),
(246882,10115041,'Heals target for 736 - 900',100,1,0),
(246883,124812,'Increases STR of caster by 221.8',100,1,0),
(246884,124812,'Decreases Defense of caster by 26.2',100,1,1),
(246885,124812,'Increases Crushing, Piercing, Slashing and Disruption of caster by 63.6',100,1,2),
(246886,10124812,'Increases STR of caster by 221.8',100,1,0),
(246887,10124812,'Decreases Defense of caster by 26.2',100,1,1),
(246888,10124812,'Increases Crushing, Piercing, Slashing and Disruption of caster by 63.6',100,1,2),
(246889,166527,'Applies Rising Brutality VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(246890,166527,'Increases the Damage Per Second of the caster over time.',100,1,1),
(246891,166527,'Applies Invigorated Haste VI on termination.  Lasts for 30.0 seconds.',100,1,2),
(246892,166527,'Increases Attack Speed of caster by 70.0',100,2,3),
(246893,166527,'Must not be engaged in pvp combat',100,2,4),
(246894,166527,'Cannot be modified except by direct means',100,2,5),
(246895,166527,'Must not be engaged in pvp combat',100,1,6),
(246896,166527,'Cannot be modified except by direct means',100,1,7),
(246897,166527,'The reuse time of Rising Brutality VI is 10 minutes',100,1,8),
(246898,10166527,'Applies Rising Brutality VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(246899,10166527,'Increases the Damage Per Second of the caster over time.',100,1,1),
(246900,10166527,'Applies Invigorated Haste VI on termination.  Lasts for 30.0 seconds.',100,1,2),
(246901,10166527,'Increases Attack Speed of caster by 70.0',100,2,3),
(246902,10166527,'Must not be engaged in pvp combat',100,2,4),
(246903,10166527,'Cannot be modified except by direct means',100,2,5),
(246904,10166527,'Must not be engaged in pvp combat',100,1,6),
(246905,10166527,'Cannot be modified except by direct means',100,1,7),
(246906,10166527,'The reuse time of Rising Brutality VI is 10 minutes',100,1,8),
(246907,119680,'Increases Threat to target encounter by 80 - 97 ',100,1,0),
(246908,10119680,'Prevents target encounter from changing targets',100,1,0),
(246909,10119680,'Forces target encounter to change their selected target to caster.',100,1,1),
(246910,47348,'Applies Namistai''s Invigoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(246911,47348,'Heals caster for 91',100,1,1),
(246912,47348,'Heals caster for 45 every 5 seconds',100,1,2),
(246913,10047348,'Applies Namistai''s Invigoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(246914,10047348,'Heals caster for 59',100,1,1),
(246915,10047348,'Heals caster for 29 every 5 seconds',100,1,2),
(246916,165005,'When Equipped:',100,0,0),
(246917,165005,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(246918,165005,'When Equipped:',100,0,2),
(246919,165005,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(246920,10165005,'When Equipped:',100,0,0),
(246921,10165005,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(246922,10165005,'When Equipped:',100,0,2),
(246923,10165005,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(246924,70832,'When Equipped:',100,0,0),
(246925,70832,'On a combat hit this spell may cast Flesh Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246926,70832,'Inflicts 195 - 325 slashing damage on target',100,2,2),
(246927,70832,'Cannot be modified except by direct means',100,2,3),
(246928,10070832,'When Equipped:',100,0,0),
(246929,10070832,'On a combat hit this spell may cast Flesh Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246930,10070832,'Inflicts 234 - 390 slashing damage on target',100,2,2),
(246931,10070832,'Cannot be modified except by direct means',100,2,3),
(246932,81076,'When Equipped:',100,0,0),
(246933,81076,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(246934,81076,'Decreases Threat to target by 517 ',100,2,2),
(246935,81076,'Must be flanking or behind',100,3,3),
(246936,81076,'Increases Threat to target by 522 ',100,2,4),
(246937,81076,'Must be in front of',100,3,5),
(246938,81076,'Inflicts 144 - 268 magic damage on target',100,2,6),
(246939,81076,'Cannot be modified except by direct means',100,2,7),
(246940,10081076,'When Equipped:',100,0,0),
(246941,10081076,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(246942,10081076,'Inflicts 173 - 322 magic damage on target',100,2,2),
(246943,10081076,'Cannot be modified except by direct means',100,2,3),
(246944,173868,'When Equipped:',100,0,0),
(246945,173868,'When damaged with a melee weapon this spell has a 4% chance to cast Deadly Repulsion on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(246946,173868,'Replenishes 1000 points of absorption every 2 seconds.',100,2,2),
(246947,173868,'Wards caster against 2000 points of physical damage',100,2,3),
(246948,173868,'Must not be engaged in pvp combat',100,2,4),
(246949,173868,'Cannot be modified except by direct means',100,2,5),
(246950,173868,'Must not be engaged in pvp combat',100,1,6),
(246951,173868,'Cannot be modified except by direct means',100,1,7),
(246952,10173868,'When Equipped:',100,0,0),
(246953,10173868,'When damaged with a melee weapon this spell has a 4% chance to cast Deadly Repulsion on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(246954,10173868,'Replenishes 1000 points of absorption every 2 seconds.',100,2,2),
(246955,10173868,'Wards caster against 2000 points of physical damage',100,2,3),
(246956,10173868,'Must not be engaged in pvp combat',100,2,4),
(246957,10173868,'Cannot be modified except by direct means',100,2,5),
(246958,10173868,'Must not be engaged in pvp combat',100,1,6),
(246959,10173868,'Cannot be modified except by direct means',100,1,7),
(246960,87203,'When Equipped:',100,0,0),
(246961,87203,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246962,87203,'Inflicts 48 - 73 magic damage on target',100,2,2),
(246963,87203,'Cannot be modified except by direct means',100,2,3),
(246964,10087203,'When Equipped:',100,0,0),
(246965,10087203,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(246966,10087203,'Inflicts 58 - 87 magic damage on target',100,2,2),
(246967,10087203,'Cannot be modified except by direct means',100,2,3),
(246968,71497,'When Equipped:',100,0,0),
(246969,71497,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246970,71497,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(246971,71497,'Cannot be modified except by direct means',100,2,3),
(246972,10071497,'When Equipped:',100,0,0),
(246973,10071497,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(246974,10071497,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(246975,10071497,'Cannot be modified except by direct means',100,2,3),
(246976,113028,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(246977,113028,'Inflicts 138 - 414 melee damage on target',100,2,1),
(246978,113028,'Stuns target',40,2,2),
(246979,113028,'If Target is not Epic',100,3,3),
(246980,113028,'Resistibility increases against targets higher than level 117.',100,2,4),
(246981,10113028,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(246982,10113028,'Inflicts 165 - 497 melee damage on target',100,2,1),
(246983,112374,'Makes target afraid',100,1,0),
(246984,112374,'30% chance to dispel when target takes damage',100,1,1),
(246985,112374,'Does not affect Epic targets',100,1,2),
(246986,112374,'Resistibility increases against targets higher than level 79.',100,1,3),
(246987,10112374,'Makes target afraid',100,1,0),
(246988,10112374,'30% chance to dispel when target takes damage',100,1,1),
(246989,10112374,'Does not affect Epic targets',100,1,2),
(246990,10112374,'Resistibility increases against targets higher than level 79.',100,1,3),
(246991,148962,'When Equipped:',100,0,0),
(246992,148962,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(246993,10148962,'When Equipped:',100,0,0),
(246994,10148962,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(246995,112353,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(246996,112353,'Inflicts 194 - 324 piercing damage on target',100,2,1),
(246997,10112353,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(246998,10112353,'Inflicts 122 - 204 piercing damage on target',100,2,1),
(246999,121669,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(247000,121669,'Inflicts 15 - 19 heat damage on target instantly and every second',100,2,1),
(247001,10121669,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(247002,10121669,'Inflicts 18 - 22 heat damage on target instantly and every second',100,2,1),
(247003,89763,'Applies Celestial Glow when Equipped.',100,0,0),
(247004,10089763,'Applies Celestial Glow when Equipped.',100,0,0),
(247005,82275,'When Equipped:',100,0,0),
(247006,82275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247007,82275,'Inflicts 31 - 57 magic damage on target',100,2,2),
(247008,82275,'Cannot be modified except by direct means',100,2,3),
(247009,10082275,'When Equipped:',100,0,0),
(247010,10082275,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247011,10082275,'Inflicts 37 - 68 magic damage on target',100,2,2),
(247012,10082275,'Cannot be modified except by direct means',100,2,3),
(247013,115153,'Heals target for 64 - 78',100,1,0),
(247014,10115153,'Heals target for 86 - 105',100,1,0),
(247015,46505,'Applies Calibrated Tools when Equipped.',100,0,0),
(247016,46505,'Increases success chance by 2.0%',100,1,1),
(247017,10046505,'Applies Calibrated Tools when Equipped.',100,0,0),
(247018,10046505,'Increases success chance by 2.0%',100,1,1),
(247019,117748,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(247020,117748,'Heals target for 1425',100,2,1),
(247021,117748,'Increases Max Health of target by 836.5',100,2,2),
(247022,117748,'Grants a total of 1 trigger of the spell.',100,2,3),
(247023,10117748,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(247024,10117748,'Heals target for 926',100,2,1),
(247025,10117748,'Increases Max Health of target by 836.5',100,2,2),
(247026,10117748,'Grants a total of 1 trigger of the spell.',100,2,3),
(247027,117574,'Inflicts 232 - 387 melee damage on target',100,1,0),
(247028,117574,'Decreases Parry of target by 31.0',100,1,1),
(247029,117574,'Must be in front of or flanking',100,1,2),
(247030,10117574,'Inflicts 279 - 465 melee damage on target',100,1,0),
(247031,10117574,'Decreases Parry of target by 31.0',100,1,1),
(247032,10117574,'Must be in front of or flanking',100,1,2),
(247033,108003,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(247034,108003,'Increases Mitigation of group members (AE) vs elemental damage by 880',100,1,1),
(247035,10108003,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(247036,10108003,'Increases Mitigation of group members (AE) vs elemental damage by 880',100,1,1),
(247037,115942,'Inflicts 621 - 1036 melee damage on target',100,1,0),
(247038,115942,'Roots target',100,1,1),
(247039,115942,'If Target is not Epic',100,2,2),
(247040,115942,'5% chance to dispel when target takes damage',100,1,3),
(247041,115942,'Resistibility increases against targets higher than level 89.',100,1,4),
(247042,10115942,'Inflicts 745 - 1243 melee damage on target',100,1,0),
(247043,10115942,'Roots target',100,1,1),
(247044,10115942,'If Target is not Epic',100,2,2),
(247045,10115942,'5% chance to dispel when target takes damage',100,1,3),
(247046,10115942,'Resistibility increases against targets higher than level 89.',100,1,4),
(247047,48714,'Applies Elixir of Clarity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(247048,48714,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(247049,10048714,'Applies Elixir of Clarity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(247050,10048714,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(247051,141821,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(247052,141821,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(247053,141821,'Inflicts 47 heat damage on target',100,2,2),
(247054,141821,'Cannot be modified except by direct means',100,2,3),
(247055,10141821,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(247056,10141821,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(247057,10141821,'Inflicts 57 heat damage on target',100,2,2),
(247058,10141821,'Cannot be modified except by direct means',100,2,3),
(247059,111645,'Inflicts 121 - 148 cold damage on target encounter',100,1,0),
(247060,111645,'Slows target encounter by 34.4%',100,1,1),
(247061,111645,'5% chance to dispel when target takes damage',100,1,2),
(247062,111645,'5% chance to dispel when target receives hostile action',100,1,3),
(247063,10111645,'Inflicts 194 - 237 cold damage on target encounter',100,1,0),
(247064,10111645,'Slows target encounter by 34.4%',100,1,1),
(247065,10111645,'5% chance to dispel when target takes damage',100,1,2),
(247066,10111645,'5% chance to dispel when target receives hostile action',100,1,3),
(247067,162026,'When Equipped:',100,0,0),
(247068,162026,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247069,162026,'Inflicts 2664 disease damage on target encounter',100,2,2),
(247070,162026,'Must not be engaged in pvp combat',100,2,3),
(247071,162026,'Cannot be modified except by direct means',100,2,4),
(247072,10162026,'When Equipped:',100,0,0),
(247073,10162026,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247074,10162026,'Inflicts 1598 disease damage on target encounter',100,2,2),
(247075,10162026,'Must not be engaged in pvp combat',100,2,3),
(247076,10162026,'Cannot be modified except by direct means',100,2,4),
(247077,121429,'Increases AGI of caster by 20.0',100,1,0),
(247078,121429,'Adds 18.7% to base avoidance.',100,1,1),
(247079,121429,'Increases Mitigation of caster vs physical damage by 203',100,1,2),
(247080,121429,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,3),
(247081,10121429,'Increases AGI of caster by 20.0',100,1,0),
(247082,10121429,'Adds 18.7% to base avoidance.',100,1,1),
(247083,10121429,'Increases Mitigation of caster vs physical damage by 203',100,1,2),
(247084,10121429,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',100,1,3),
(247085,24260,'Adds Decrease Level II (Single) to your Dungeon Maker toolbox',100,0,0),
(247086,10024260,'Adds Decrease Level II (Single) to your Dungeon Maker toolbox',100,0,0),
(247087,144600,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(247088,144600,'Decreases WIS, INT, STR and AGI of target by 43.0',100,1,1),
(247089,144600,'Decreases Max Health of target by 1.0%',100,1,2),
(247090,144600,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(247091,10144600,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(247092,10144600,'Decreases WIS, INT, STR and AGI of target by 43.0',100,1,1),
(247093,10144600,'Decreases Max Health of target by 1.0%',100,1,2),
(247094,10144600,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(247095,123283,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(247096,123283,'Inflicts 85 - 141 disease damage on target',100,2,1),
(247097,123283,'Heals caster for 1.2 - 2.0% of max health',100,2,2),
(247098,123283,'This effect cannot be critically applied.',100,3,3),
(247099,123283,'The healing of this spell cannot be modified except by direct means',100,2,4),
(247100,10123283,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(247101,10123283,'Inflicts 102 - 170 disease damage on target',100,2,1),
(247102,10123283,'Heals caster for 0.4 - 0.7% of max health',100,2,2),
(247103,10123283,'This effect cannot be critically applied.',100,3,3),
(247104,10123283,'The healing of this spell cannot be modified except by direct means',100,2,4),
(247105,159664,'When Equipped:',100,0,0),
(247106,159664,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247107,159664,'Increases INT of caster by 8.8',100,2,2),
(247108,159664,'Increases Focus, Disruption and Subjugation of caster by 5.2',100,2,3),
(247109,159664,'Cannot be modified except by direct means',100,2,4),
(247110,10159664,'When Equipped:',100,0,0),
(247111,10159664,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247112,10159664,'Increases INT of caster by 8.8',100,2,2),
(247113,10159664,'Increases Focus, Disruption and Subjugation of caster by 5.2',100,2,3),
(247114,10159664,'Cannot be modified except by direct means',100,2,4),
(247115,159000,'When Equipped:',100,0,0),
(247116,159000,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(247117,159000,'When Equipped:',100,0,2),
(247118,159000,'Reduces resistibility of all spells by 5%.',100,1,3),
(247119,10159000,'When Equipped:',100,0,0),
(247120,10159000,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(247121,10159000,'When Equipped:',100,0,2),
(247122,10159000,'Reduces resistibility of all spells by 5%.',100,1,3),
(247123,35698,'Increases Max Power of target by 3.3',100,0,0),
(247124,35698,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(247125,72305,'When Equipped:',100,0,0),
(247126,72305,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247127,72305,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(247128,72305,'Cannot be modified except by direct means',100,2,3),
(247129,10072305,'When Equipped:',100,0,0),
(247130,10072305,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247131,10072305,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(247132,10072305,'Cannot be modified except by direct means',100,2,3),
(247133,115310,'Summons a limited pet to aid the caster',100,1,0),
(247134,10115310,'Summons a limited pet to aid the caster',100,1,0),
(247135,122805,'Heals target for 1622',100,1,0),
(247136,10122805,'Heals target for 1265',100,1,0),
(247137,102152,'Inflicts 157 - 262 melee damage on target',100,1,0),
(247138,102152,'Inflicts 157 - 262 melee damage on target',100,1,1),
(247139,10102152,'Inflicts 188 - 314 melee damage on target',100,1,0),
(247140,10102152,'Inflicts 188 - 314 melee damage on target',100,1,1),
(247141,113238,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(247142,113238,'Inflicts 19 - 32 magic damage on target',100,2,1),
(247143,113238,'Grants a total of 8 triggers of the spell.',100,2,2),
(247144,10113238,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(247145,10113238,'Inflicts 23 - 39 magic damage on target',100,2,1),
(247146,10113238,'Grants a total of 8 triggers of the spell.',100,2,2),
(247147,120884,'Inflicts 222 - 271 mental damage on target',100,1,0),
(247148,120884,'Stifles target',100,1,1),
(247149,120884,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,2),
(247150,120884,'Resistibility increases against targets higher than level 59.',100,1,3),
(247151,10120884,'Inflicts 266 - 325 mental damage on target',100,1,0),
(247152,10120884,'Stifles target',100,1,1),
(247153,10120884,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(247154,10120884,'Resistibility increases against targets higher than level 59.',100,1,3),
(247155,110264,'Inflicts 332 - 554 melee damage on target',100,1,0),
(247156,110264,'Slows target by 75.2%',100,1,1),
(247157,110264,'5% chance to dispel when target receives hostile action',100,1,2),
(247158,110264,'5% chance to dispel when target takes damage',100,1,3),
(247159,10110264,'Inflicts 399 - 665 melee damage on target',100,1,0),
(247160,10110264,'Slows target by 75.2%',100,1,1),
(247161,10110264,'5% chance to dispel when target receives hostile action',100,1,2),
(247162,10110264,'5% chance to dispel when target takes damage',100,1,3),
(247163,124558,'Dispels 157 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(247164,10124558,'Dispels 157 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(247165,109770,'Inflicts 236 - 438 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(247166,10109770,'Inflicts 283 - 526 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(247167,139467,'When Equipped:',100,0,0),
(247168,139467,'Increases success chance by 1.4%',100,1,1),
(247169,10139467,'When Equipped:',100,0,0),
(247170,10139467,'Increases success chance by 1.4%',100,1,1),
(247171,103351,'Inflicts 7 - 8 mental damage on target instantly and every 6 seconds',100,1,0),
(247172,103351,'Decreases power of target by 2 instantly and every 6 seconds',100,1,1),
(247173,103351,'Increases power of caster by 8',100,1,2),
(247174,10103351,'Inflicts 8 - 10 mental damage on target instantly and every 6 seconds',100,1,0),
(247175,10103351,'Decreases power of target by 2 instantly and every 6 seconds',100,1,1),
(247176,10103351,'Increases power of caster by 8',100,1,2),
(247177,132339,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(247178,132339,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(247179,132339,'Decreases Threat to target encounter by 388 - 646 ',100,2,2),
(247180,132339,'Cannot be modified except by direct means',100,2,3),
(247181,132339,'The reuse time of Distracting Aura is 30 minutes',100,1,4),
(247182,10132339,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(247183,10132339,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(247184,10132339,'Applies Distract.',100,2,2),
(247185,10132339,'Forces target to clear their selected target.',100,3,3),
(247186,10132339,'Cannot be modified except by direct means',100,2,4),
(247187,10132339,'The reuse time of Distracting Aura is 30 minutes',100,1,5),
(247188,111643,'Inflicts 106 - 129 cold damage on target encounter',100,1,0),
(247189,111643,'Slows target encounter by 34.4%',100,1,1),
(247190,111643,'5% chance to dispel when target takes damage',100,1,2),
(247191,111643,'5% chance to dispel when target receives hostile action',100,1,3),
(247192,10111643,'Inflicts 169 - 207 cold damage on target encounter',100,1,0),
(247193,10111643,'Slows target encounter by 34.4%',100,1,1),
(247194,10111643,'5% chance to dispel when target takes damage',100,1,2),
(247195,10111643,'5% chance to dispel when target receives hostile action',100,1,3),
(247196,35669,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(247197,152543,'When Equipped:',100,0,0),
(247198,152543,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247199,152543,'Inflicts 1986 heat damage on target',100,2,2),
(247200,152543,'Cannot be modified except by direct means',100,2,3),
(247201,10152543,'When Equipped:',100,0,0),
(247202,10152543,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247203,10152543,'Inflicts 1192 heat damage on target',100,2,2),
(247204,10152543,'Cannot be modified except by direct means',100,2,3),
(247205,45589,'Applies Elixir of Arctic Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(247206,45589,'Increases Mitigation of caster vs elemental damage by 200',100,1,1),
(247207,10045589,'Applies Elixir of Arctic Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(247208,10045589,'Increases Mitigation of caster vs elemental damage by 200',100,1,1),
(247209,35740,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(247210,122012,'Inflicts 235 - 392 melee damage on targets in area',100,1,0),
(247211,122012,'Increases Threat to target encounter by 1,359 ',100,1,1),
(247212,10122012,'Inflicts 282 - 470 melee damage on targets in area',100,1,0),
(247213,10122012,'Prevents target encounter from changing targets',100,1,1),
(247214,10122012,'Forces target encounter to change their selected target to caster.',100,1,2),
(247215,72249,'When Equipped:',100,0,0),
(247216,72249,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247217,72249,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(247218,72249,'Cannot be modified except by direct means',100,2,3),
(247219,10072249,'When Equipped:',100,0,0),
(247220,10072249,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247221,10072249,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(247222,10072249,'Cannot be modified except by direct means',100,2,3),
(247223,46980,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(247224,46980,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(247225,46980,'Inflicts 38 poison damage on target',100,2,2),
(247226,46980,'Inflicts 101 poison damage on target instantly and every 6 seconds',100,2,3),
(247227,46980,'Cannot be modified except by direct means',100,2,4),
(247228,46980,'Grants a total of 200 triggers of the spell.',100,2,5),
(247229,10046980,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(247230,10046980,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(247231,10046980,'Inflicts 35 poison damage on target',100,2,2),
(247232,10046980,'Inflicts 91 poison damage on target instantly and every 6 seconds',100,2,3),
(247233,10046980,'Cannot be modified except by direct means',100,2,4),
(247234,10046980,'Grants a total of 200 triggers of the spell.',100,2,5),
(247235,114438,'Inflicts 14 - 24 heat damage on target',100,1,0),
(247236,10114438,'Inflicts 17 - 29 heat damage on target',100,1,0),
(247237,47120,'Applies Aura of the Planeswalker  when Activated.  Lasts for 30 minutes.',100,0,0),
(247238,47120,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(247239,10047120,'Applies Aura of the Planeswalker  when Activated.  Lasts for 30 minutes.',100,0,0),
(247240,10047120,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(247241,47586,'Applies Hardening when Activated.  Lasts for 30 minutes.',100,0,0),
(247242,10047586,'Applies Hardening when Activated.  Lasts for 30 minutes.',100,0,0),
(247243,119733,'Wards group members (AE) against 71 points of elemental, noxious and arcane damage',100,1,0),
(247244,119733,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,1),
(247245,10119733,'Wards group members (AE) against 71 points of elemental, noxious and arcane damage',100,1,0),
(247246,10119733,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,1),
(247247,104373,'Inflicts 56 - 69 cold damage on target',100,1,0),
(247248,104373,'Inflicts 56 - 69 cold damage on target',100,1,1),
(247249,104373,'If target is elemental',100,2,2),
(247250,10104373,'Inflicts 68 - 83 cold damage on target',100,1,0),
(247251,10104373,'Inflicts 68 - 83 cold damage on target',100,1,1),
(247252,10104373,'If target is elemental',100,2,2),
(247253,120658,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.5',100,1,0),
(247254,120658,'Increases Focus of group members (AE) by 27.0',100,1,1),
(247255,10120658,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.5',100,1,0),
(247256,10120658,'Increases Focus of group members (AE) by 27.0',100,1,1),
(247257,45627,'Applies Elixir of Poison Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(247258,45627,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(247259,10045627,'Applies Elixir of Poison Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(247260,10045627,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(247261,81071,'When Equipped:',100,0,0),
(247262,81071,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247263,81071,'Inflicts 147 - 273 magic damage on target',100,2,2),
(247264,81071,'Cannot be modified except by direct means',100,2,3),
(247265,10081071,'When Equipped:',100,0,0),
(247266,10081071,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247267,10081071,'Inflicts 176 - 327 magic damage on target',100,2,2),
(247268,10081071,'Cannot be modified except by direct means',100,2,3),
(247269,107116,'Inflicts 13 - 15 divine damage on target',100,1,0),
(247270,107116,'Inflicts 13 - 15 divine damage on target',100,1,1),
(247271,107116,'If target is undead',100,2,2),
(247272,10107116,'Inflicts 15 - 18 divine damage on target',100,1,0),
(247273,10107116,'Inflicts 15 - 18 divine damage on target',100,1,1),
(247274,87446,'When Equipped:',100,0,0),
(247275,87446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247276,87446,'Inflicts 28 - 42 magic damage on target',100,2,2),
(247277,87446,'Cannot be modified except by direct means',100,2,3),
(247278,10087446,'When Equipped:',100,0,0),
(247279,10087446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247280,10087446,'Inflicts 34 - 50 magic damage on target',100,2,2),
(247281,10087446,'Cannot be modified except by direct means',100,2,3),
(247282,105514,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.0',100,1,0),
(247283,10105514,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.0',100,1,0),
(247284,104945,'Inflicts 420 - 700 melee damage on target',100,1,0),
(247285,104945,'Decreases Defense of target by 27.7',100,1,1),
(247286,104945,'Must be behind',100,1,2),
(247287,10104945,'Inflicts 504 - 840 melee damage on target',100,1,0),
(247288,10104945,'Decreases Defense of target by 27.7',100,1,1),
(247289,10104945,'Must be behind',100,1,2),
(247290,102603,'Increases Threat to target encounter by 705 - 860 ',100,1,0),
(247291,102603,'Interrupts target encounter',100,1,1),
(247292,102603,'Decreases Mitigation of target encounter vs noxious damage by 576',100,1,2),
(247293,10102603,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(247294,10102603,'Prevents target from changing targets',100,2,1),
(247295,10102603,'Forces target to change their selected target to caster.',100,2,2),
(247296,10102603,'Interrupts target encounter',100,1,3),
(247297,10102603,'Decreases Mitigation of target encounter vs noxious damage by 576',100,1,4),
(247298,100988,'Increases INT of target by 63.4',100,1,0),
(247299,100988,'Increases Attack Speed of target by 33.2',100,1,1),
(247300,100988,'Decreases Defense and Parry of target by 17.5',100,1,2),
(247301,100988,'Increases Slashing, Piercing and Crushing of target by 14.0',100,1,3),
(247302,10100988,'Increases INT of target by 63.4',100,1,0),
(247303,10100988,'Increases Attack Speed of target by 33.2',100,1,1),
(247304,10100988,'Decreases Defense and Parry of target by 17.5',100,1,2),
(247305,10100988,'Increases Slashing, Piercing and Crushing of target by 14.0',100,1,3),
(247306,36613,'Increases AGI of target by 1.5',100,0,0),
(247307,36613,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(247308,159818,'Applies Sanguine Imbued when Equipped.',100,0,0),
(247309,159818,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(247310,159818,'Inflicts 97 heat damage on target',100,2,2),
(247311,159818,'Cannot be modified except by direct means',100,2,3),
(247312,10159818,'Applies Sanguine Imbued when Equipped.',100,0,0),
(247313,10159818,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(247314,10159818,'Inflicts 116 heat damage on target',100,2,2),
(247315,10159818,'Cannot be modified except by direct means',100,2,3),
(247316,80871,'When Equipped:',100,0,0),
(247317,80871,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(247318,80871,'Inflicts 184 - 342 magic damage on target',100,2,2),
(247319,80871,'Decreases Threat to target by 672 ',100,2,3),
(247320,80871,'Must be flanking or behind',100,3,4),
(247321,80871,'Increases Threat to target by 677 ',100,2,5),
(247322,80871,'Must be in front of',100,3,6),
(247323,80871,'Cannot be modified except by direct means',100,2,7),
(247324,10080871,'When Equipped:',100,0,0),
(247325,10080871,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(247326,10080871,'Inflicts 221 - 410 magic damage on target',100,2,2),
(247327,10080871,'Cannot be modified except by direct means',100,2,3),
(247328,181623,'When Equipped:',100,0,0),
(247329,181623,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(247330,181623,'Heals group members (AE) for 875',100,2,2),
(247331,181623,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(247332,181623,'Must not be engaged in pvp combat',100,2,4),
(247333,181623,'Cannot be modified except by direct means',100,2,5),
(247334,181623,'Must not be engaged in pvp combat',100,1,6),
(247335,10181623,'When Equipped:',100,0,0),
(247336,10181623,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(247337,10181623,'Heals group members (AE) for 1024',100,2,2),
(247338,10181623,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(247339,10181623,'Must not be engaged in pvp combat',100,2,4),
(247340,10181623,'Cannot be modified except by direct means',100,2,5),
(247341,10181623,'Must not be engaged in pvp combat',100,1,6),
(247342,103636,'Increases STR of raid and group members (AE) by 44.6',100,1,0),
(247343,103636,'Improves the base amount of taunts by 16%.',100,1,1),
(247344,103636,'Improves the base amount of combat arts by 5%.',100,1,2),
(247345,103636,'Increases AGI of raid and group members (AE) by 44.6',100,1,3),
(247346,103636,'Adds 1.6% to base avoidance.',100,1,4),
(247347,10103636,'Increases STR of raid and group members (AE) by 44.6',100,1,0),
(247348,10103636,'Improves the base amount of taunts by 16%.',100,1,1),
(247349,10103636,'Improves the base amount of combat arts by 5%.',100,1,2),
(247350,10103636,'Increases AGI of raid and group members (AE) by 44.6',100,1,3),
(247351,10103636,'Adds 1.6% to base avoidance.',100,1,4),
(247352,101161,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(247353,101161,'Inflicts 539 ranged damage on target',100,2,1),
(247354,101161,'Decreases Defense of caster by 25.8',100,1,2),
(247355,101161,'Increases Crushing, Piercing, Ranged and Slashing of caster by 62.4',100,1,3),
(247356,10101161,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(247357,10101161,'Inflicts 458 ranged damage on target',100,2,1),
(247358,10101161,'Decreases Defense of caster by 25.8',100,1,2),
(247359,10101161,'Increases Crushing, Piercing, Ranged and Slashing of caster by 62.4',100,1,3),
(247360,106005,'Inflicts 28 - 34 divine damage on target instantly and every 3 seconds',100,1,0),
(247361,106005,'Decreases Defense of target by 6.1',100,1,1),
(247362,10106005,'Inflicts 22 - 27 divine damage on target instantly and every 3 seconds',100,1,0),
(247363,10106005,'Decreases Defense of target by 6.1',100,1,1),
(247364,106525,'Inflicts 1349 - 2249 melee damage on target',100,1,0),
(247365,106525,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(247366,106525,'If Target is Standard or weaker',100,2,2),
(247367,10106525,'Inflicts 809 - 1349 melee damage on target',100,1,0),
(247368,47046,'Applies elixir of fortitude when Activated.  Lasts for 4 hours.',100,0,0),
(247369,47046,'Increases STR and STA of caster by 148.5',100,1,1),
(247370,47046,'Gives caster an extra 3.0% mitigation to their worn armor',100,1,2),
(247371,10047046,'Applies elixir of fortitude when Activated.  Lasts for 4 hours.',100,0,0),
(247372,10047046,'Increases STR and STA of caster by 148.5',100,1,1),
(247373,10047046,'Gives caster an extra 3.0% mitigation to their worn armor',100,1,2),
(247374,108980,'Decreases Damage Per Second of target by 11.0',100,1,0),
(247375,108980,'Inflicts 4 - 5 melee damage on target',100,1,1),
(247376,10108980,'Decreases Damage Per Second of target by 11.0',100,1,0),
(247377,10108980,'Inflicts 5 - 6 melee damage on target',100,1,1),
(247378,137384,'When Equipped:',100,0,0),
(247379,137384,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247380,137384,'Inflicts 1986 piercing damage on target',100,2,2),
(247381,137384,'Cannot be modified except by direct means',100,2,3),
(247382,10137384,'When Equipped:',100,0,0),
(247383,10137384,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247384,10137384,'Inflicts 1192 piercing damage on target',100,2,2),
(247385,10137384,'Cannot be modified except by direct means',100,2,3),
(247386,118871,'Inflicts 21 - 35 melee damage on target',100,1,0),
(247387,118871,'Inflicts 21 - 35 melee damage on target',100,1,1),
(247388,118871,'Inflicts 21 - 35 melee damage on target',100,1,2),
(247389,118871,'Inflicts 21 - 35 melee damage on target',100,1,3),
(247390,118871,'Inflicts 21 - 35 melee damage on target',100,1,4),
(247391,10118871,'Inflicts 25 - 42 melee damage on target',100,1,0),
(247392,10118871,'Inflicts 25 - 42 melee damage on target',100,1,1),
(247393,10118871,'Inflicts 25 - 42 melee damage on target',100,1,2),
(247394,10118871,'Inflicts 25 - 42 melee damage on target',100,1,3),
(247395,10118871,'Inflicts 25 - 42 melee damage on target',100,1,4),
(247396,104148,'Roots target',100,1,0),
(247397,104148,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(247398,104148,'Makes target afraid',100,2,2),
(247399,104148,'Slows target by 31.2%',100,2,3),
(247400,104148,'30% chance to dispel when target takes damage',100,2,4),
(247401,104148,'Resistibility increases against targets higher than level 102.',100,2,5),
(247402,104148,'15% chance to dispel when target takes damage',100,1,6),
(247403,104148,'Does not affect Epic targets',100,1,7),
(247404,104148,'Resistibility increases against targets higher than level 102.',100,1,8),
(247405,10104148,'Roots target',100,1,0),
(247406,10104148,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(247407,10104148,'Makes target afraid',100,2,2),
(247408,10104148,'Slows target by 31.2%',100,2,3),
(247409,10104148,'30% chance to dispel when target takes damage',100,2,4),
(247410,10104148,'Resistibility increases against targets higher than level 102.',100,2,5),
(247411,10104148,'15% chance to dispel when target takes damage',100,1,6),
(247412,10104148,'Does not affect Epic targets',100,1,7),
(247413,10104148,'Resistibility increases against targets higher than level 102.',100,1,8),
(247414,124651,'Inflicts 534 - 653 cold damage on target encounter',100,1,0),
(247415,124651,'Decreases Piercing, Slashing and Crushing of target encounter by 19.3',100,1,1),
(247416,10124651,'Inflicts 641 - 784 cold damage on target encounter',100,1,0),
(247417,10124651,'Decreases Piercing, Slashing and Crushing of target encounter by 19.3',100,1,1),
(247418,135117,'When Equipped:',100,0,0),
(247419,135117,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(247420,135117,'Inflicts 379 piercing damage on target',100,2,2),
(247421,135117,'Cannot be modified except by direct means',100,2,3),
(247422,10135117,'When Equipped:',100,0,0),
(247423,10135117,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(247424,10135117,'Inflicts 455 piercing damage on target',100,2,2),
(247425,10135117,'Cannot be modified except by direct means',100,2,3),
(247426,105196,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(247427,105196,'Inflicts 103 - 125 poison damage on target encounter',100,2,1),
(247428,10105196,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(247429,10105196,'Inflicts 123 - 151 poison damage on target encounter',100,2,1),
(247430,118799,'Wards group members (AE) against 56 points of physical damage',100,1,0),
(247431,118799,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,1),
(247432,10118799,'Wards group members (AE) against 56 points of physical damage',100,1,0),
(247433,10118799,'Increases Mitigation of group members (AE) vs physical damage by 607',100,1,1),
(247434,122832,'Inflicts 361 - 601 ranged damage on target',100,1,0),
(247435,122832,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(247436,122832,'Increases Hate Gain of target by 30.0%',100,2,2),
(247437,122832,'Grants a total of 1 trigger of the spell.',100,2,3),
(247438,122832,'Requires bow',100,1,4),
(247439,10122832,'Inflicts 306 - 511 ranged damage on target',100,1,0),
(247440,10122832,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(247441,10122832,'Grants a total of 1 trigger of the spell.',100,2,2),
(247442,10122832,'Requires bow',100,1,3),
(247443,36035,'Increases STR of target by 1.5',100,0,0),
(247444,36035,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(247445,46924,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(247446,46924,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(247447,46924,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(247448,46924,'Cannot be modified except by direct means',100,2,3),
(247449,46924,'Grants a total of 80 triggers of the spell.',100,2,4),
(247450,10046924,'Applies abnormal decline when Activated.  Lasts for 12 hours.',100,0,0),
(247451,10046924,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(247452,10046924,'Decreases Mitigation of target vs arcane damage by 44',100,2,2),
(247453,10046924,'Cannot be modified except by direct means',100,2,3),
(247454,10046924,'Grants a total of 80 triggers of the spell.',100,2,4),
(247455,119345,'Inflicts 78 - 118 disease damage on target',100,1,0),
(247456,119345,'Inflicts 31 - 47 disease damage on target every 4 seconds',100,1,1),
(247457,10119345,'Inflicts 94 - 141 disease damage on target',100,1,0),
(247458,10119345,'Inflicts 38 - 56 disease damage on target every 4 seconds',100,1,1),
(247459,115537,'Increases Mitigation of raid and group members (AE) vs noxious damage by 452',100,1,0),
(247460,10115537,'Increases Mitigation of raid and group members (AE) vs noxious damage by 452',100,1,0),
(247461,48356,'Applies Prismatic Light of Sul when Activated.',100,0,0),
(247462,48356,'Inflicts 50.0% of max health in divine damage on target',100,1,1),
(247463,10048356,'Applies Prismatic Light of Sul when Activated.',100,0,0),
(247464,10048356,'Inflicts 60.0% of max health in divine damage on target',100,1,1),
(247465,159804,'Applies Lambent Imbued when Equipped.',100,0,0),
(247466,159804,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(247467,159804,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(247468,159804,'Cannot be modified except by direct means',100,2,3),
(247469,10159804,'Applies Lambent Imbued when Equipped.',100,0,0),
(247470,10159804,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(247471,10159804,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(247472,10159804,'Cannot be modified except by direct means',100,2,3),
(247473,103866,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(247474,103866,'Slows target by 56.3%',100,2,1),
(247475,103866,'5% chance to dispel when target receives hostile action',100,2,2),
(247476,103866,'5% chance to dispel when target takes damage',100,2,3),
(247477,103866,'Decreases Mitigation of target vs noxious damage by 1428',100,1,4),
(247478,10103866,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(247479,10103866,'Slows target by 56.3%',100,2,1),
(247480,10103866,'5% chance to dispel when target receives hostile action',100,2,2),
(247481,10103866,'5% chance to dispel when target takes damage',100,2,3),
(247482,10103866,'Decreases Mitigation of target vs noxious damage by 1428',100,1,4),
(247483,110838,'Inflicts 145 - 196 mental damage on target',100,1,0),
(247484,110838,'Interrupts target',100,1,1),
(247485,10110838,'Inflicts 174 - 236 mental damage on target',100,1,0),
(247486,10110838,'Interrupts target',100,1,1),
(247487,81852,'When Equipped:',100,0,0),
(247488,81852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247489,81852,'Inflicts 105 - 195 magic damage on target',100,2,2),
(247490,81852,'Cannot be modified except by direct means',100,2,3),
(247491,10081852,'When Equipped:',100,0,0),
(247492,10081852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247493,10081852,'Inflicts 126 - 234 magic damage on target',100,2,2),
(247494,10081852,'Cannot be modified except by direct means',100,2,3),
(247495,45920,'Applies noxious remedy when Activated.',100,0,0),
(247496,45920,'Dispels 88 levels of noxious hostile effects on caster',100,1,1),
(247497,10045920,'Applies noxious remedy when Activated.',100,0,0),
(247498,10045920,'Dispels 88 levels of noxious hostile effects on caster',100,1,1),
(247499,123274,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(247500,123274,'Inflicts 31 - 52 disease damage on target',100,2,1),
(247501,123274,'Heals caster for 0.8 - 1.3% of max health',100,2,2),
(247502,123274,'This effect cannot be critically applied.',100,3,3),
(247503,123274,'The healing of this spell cannot be modified except by direct means',100,2,4),
(247504,10123274,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(247505,10123274,'Inflicts 37 - 62 disease damage on target',100,2,1),
(247506,10123274,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(247507,10123274,'This effect cannot be critically applied.',100,3,3),
(247508,10123274,'The healing of this spell cannot be modified except by direct means',100,2,4),
(247509,37147,'Increases Max Health of target by 3.9',100,0,0),
(247510,37147,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(247511,83040,'Applies Celestial Glow when Equipped.',100,0,0),
(247512,10083040,'Applies Celestial Glow when Equipped.',100,0,0),
(247513,151029,'When Equipped:',100,0,0),
(247514,151029,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247515,151029,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(247516,151029,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(247517,151029,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(247518,151029,'Must not be engaged in pvp combat',100,2,5),
(247519,151029,'Cannot be modified except by direct means',100,2,6),
(247520,10151029,'When Equipped:',100,0,0),
(247521,10151029,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(247522,10151029,'Inflicts 1114 - 1361 heat damage on target',100,2,2),
(247523,10151029,'Inflicts 1114 - 1361 heat damage on target',100,2,3),
(247524,10151029,'Inflicts 1114 - 1361 heat damage on target',100,2,4),
(247525,10151029,'Must not be engaged in pvp combat',100,2,5),
(247526,10151029,'Cannot be modified except by direct means',100,2,6),
(247527,124587,'Decreases Threat to targets in Area of Effect by 2,645 ',100,1,0),
(247528,124587,'Interrupts targets in Area of Effect',100,1,1),
(247529,124587,'Roots targets in Area of Effect',100,1,2),
(247530,124587,'If Target is not Epic',100,2,3),
(247531,10124587,'Applies Distract.',100,1,0),
(247532,10124587,'Forces target to clear their selected target.',100,2,1),
(247533,10124587,'Interrupts targets in Area of Effect',100,1,2),
(247534,10124587,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(247535,10124587,'Roots targets in Area of Effect',100,1,4),
(247536,10124587,'If Target is not Epic',100,2,5),
(247537,41558,'When Equipped:',100,0,0),
(247538,41558,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(247539,41558,'Inflicts 315 - 585 magic damage on target',100,2,2),
(247540,41558,'Decreases Threat to target by 1,219 ',100,2,3),
(247541,41558,'Must be flanking or behind',100,3,4),
(247542,41558,'Increases Threat to target by 1,224 ',100,2,5),
(247543,41558,'Must be in front of',100,3,6),
(247544,41558,'Cannot be modified except by direct means',100,2,7),
(247545,10041558,'When Equipped:',100,0,0),
(247546,10041558,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(247547,10041558,'Inflicts 378 - 702 magic damage on target',100,2,2),
(247548,10041558,'Cannot be modified except by direct means',100,2,3),
(247549,105705,'Decreases Attack Speed of target encounter by 24.1',100,1,0),
(247550,105705,'Slows target encounter by 31.1%',100,1,1),
(247551,10105705,'Decreases Attack Speed of target encounter by 24.1',100,1,0),
(247552,10105705,'Slows target encounter by 31.1%',100,1,1),
(247553,36885,'Increases Out-of-Combat Power Regeneration of target by 3.0',100,0,0),
(247554,105231,'Decreases STR and INT of target by 52.2',100,1,0),
(247555,105231,'Only affects targets level 20 and above',100,1,1),
(247556,10105231,'Decreases STR and INT of target by 52.2',100,1,0),
(247557,10105231,'Only affects targets level 20 and above',100,1,1),
(247558,49082,'Applies Discord''s Approval when Activated.',100,0,0),
(247559,49082,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(247560,49082,'Requires 6 Health to cast.',100,1,2),
(247561,10049082,'Applies Discord''s Approval when Activated.',100,0,0),
(247562,10049082,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(247563,10049082,'Requires 6 Health to cast.',100,1,2),
(247564,121803,'Heals target for 354 - 433',100,1,0),
(247565,121803,'Heals target for 59 - 72 every second',100,1,1),
(247566,10121803,'Heals target for 614 - 751',100,1,0),
(247567,10121803,'Heals target for 51 - 63 every second',100,1,1),
(247568,81970,'When Equipped:',100,0,0),
(247569,81970,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247570,81970,'Inflicts 261 - 484 magic damage on target',100,2,2),
(247571,81970,'Cannot be modified except by direct means',100,2,3),
(247572,10081970,'When Equipped:',100,0,0),
(247573,10081970,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247574,10081970,'Inflicts 313 - 581 magic damage on target',100,2,2),
(247575,10081970,'Cannot be modified except by direct means',100,2,3),
(247576,26676,'When Equipped:',100,0,0),
(247577,26676,'This effect will not stack with itself.',100,1,1),
(247578,26676,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(247579,10026676,'When Equipped:',100,0,0),
(247580,10026676,'This effect will not stack with itself.',100,1,1),
(247581,10026676,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',100,1,2),
(247582,105862,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(247583,105862,'Increases Damage Per Second of caster by 59.3',100,1,1),
(247584,105862,'Increases Piercing, Slashing and Crushing of caster by 31.4',100,1,2),
(247585,10105862,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(247586,10105862,'Increases Damage Per Second of caster by 59.3',100,1,1),
(247587,10105862,'Increases Piercing, Slashing and Crushing of caster by 31.4',100,1,2),
(247588,119340,'Inflicts 63 - 94 disease damage on target',100,1,0),
(247589,119340,'Inflicts 25 - 38 disease damage on target every 4 seconds',100,1,1),
(247590,10119340,'Inflicts 75 - 113 disease damage on target',100,1,0),
(247591,10119340,'Inflicts 30 - 45 disease damage on target every 4 seconds',100,1,1),
(247592,112208,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(247593,112208,'Inflicts 9 disease damage on target',100,2,1),
(247594,112208,'Increases Threat to target by 25 ',100,2,2),
(247595,112208,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 460',100,1,3),
(247596,10112208,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(247597,10112208,'Inflicts 11 disease damage on target',100,2,1),
(247598,10112208,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 460',100,1,2),
(247599,134798,'When Equipped:',100,0,0),
(247600,134798,'On a melee hit this spell may cast Battle Fury on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247601,134798,'Increases Attack Speed of caster by 23.0',100,2,2),
(247602,134798,'If Target is not Epic',100,2,3),
(247603,134798,'Cannot be modified except by direct means',100,2,4),
(247604,134798,'Increases Multi Attack Chance of caster by 3.3',100,1,5),
(247605,10134798,'When Equipped:',100,0,0),
(247606,10134798,'On a melee hit this spell may cast Battle Fury on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247607,10134798,'Increases Attack Speed of caster by 23.0',100,2,2),
(247608,10134798,'If Target is not Epic',100,2,3),
(247609,10134798,'Cannot be modified except by direct means',100,2,4),
(247610,10134798,'Increases Multi Attack Chance of caster by 3.3',100,1,5),
(247611,71343,'When Equipped:',100,0,0),
(247612,71343,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247613,71343,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(247614,71343,'Cannot be modified except by direct means',100,2,3),
(247615,10071343,'When Equipped:',100,0,0),
(247616,10071343,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247617,10071343,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(247618,10071343,'Cannot be modified except by direct means',100,2,3),
(247619,165637,'When Equipped:',100,0,0),
(247620,165637,'Increases Attack Speed of caster by 30.0',100,1,1),
(247621,10165637,'When Equipped:',100,0,0),
(247622,10165637,'Increases Attack Speed of caster by 30.0',100,1,1),
(247623,80406,'When Equipped:',100,0,0),
(247624,80406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247625,80406,'Inflicts 41 - 75 magic damage on target',100,2,2),
(247626,80406,'Cannot be modified except by direct means',100,2,3),
(247627,10080406,'When Equipped:',100,0,0),
(247628,10080406,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247629,10080406,'Inflicts 49 - 90 magic damage on target',100,2,2),
(247630,10080406,'Cannot be modified except by direct means',100,2,3),
(247631,116176,'Inflicts 25 - 41 mental damage on target',100,1,0),
(247632,10116176,'Inflicts 30 - 50 mental damage on target',100,1,0),
(247633,105535,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 32.0',100,1,0),
(247634,10105535,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 32.0',100,1,0),
(247635,112119,'Dispels 26 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(247636,10112119,'Dispels 26 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(247637,111830,'Inflicts 174 - 291 melee damage on target',100,1,0),
(247638,111830,'Roots target',100,1,1),
(247639,111830,'If Target is not Epic',100,2,2),
(247640,111830,'Resistibility increases against targets higher than level 70.',100,1,3),
(247641,10111830,'Inflicts 189 - 315 melee damage on target',100,1,0),
(247642,10111830,'Roots target',100,1,1),
(247643,10111830,'If Target is not Epic',100,2,2),
(247644,10111830,'Resistibility increases against targets higher than level 70.',100,1,3),
(247645,45495,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(247646,45495,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,1),
(247647,45495,'Charms target',100,1,2),
(247648,45495,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(247649,45495,'5% chance to dispel when target takes damage',100,1,4),
(247650,45495,'If target is elemental',100,1,5),
(247651,45495,'Certain enemies cannot be charmed',100,1,6),
(247652,45495,'Does not affect Epic targets',100,1,7),
(247653,10045495,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(247654,10045495,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,1),
(247655,10045495,'Charms target',100,1,2),
(247656,10045495,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,3),
(247657,10045495,'5% chance to dispel when target takes damage',100,1,4),
(247658,10045495,'If target is elemental',100,1,5),
(247659,10045495,'Certain enemies cannot be charmed',100,1,6),
(247660,10045495,'Does not affect Epic targets',100,1,7),
(247661,157647,'When Equipped:',100,0,0),
(247662,157647,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(247663,157647,'Inflicts 120 heat damage on target',100,2,2),
(247664,157647,'Cannot be modified except by direct means',100,2,3),
(247665,10157647,'When Equipped:',100,0,0),
(247666,10157647,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(247667,10157647,'Inflicts 144 heat damage on target',100,2,2),
(247668,10157647,'Cannot be modified except by direct means',100,2,3),
(247669,35317,'Increases Max Power of target by 3.3',100,0,0),
(247670,35317,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(247671,185702,'When Equipped:',100,0,0),
(247672,185702,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(247673,185702,'Increases STA of caster by 22.7',100,2,2),
(247674,185702,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(247675,185702,'Cannot be modified except by direct means',100,2,4),
(247676,10185702,'When Equipped:',100,0,0),
(247677,10185702,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(247678,10185702,'Increases STA of caster by 22.7',100,2,2),
(247679,10185702,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(247680,10185702,'Cannot be modified except by direct means',100,2,4),
(247681,158319,'When Equipped:',100,0,0),
(247682,158319,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(247683,158319,'This effect suspends during combat',100,1,2),
(247684,10158319,'When Equipped:',100,0,0),
(247685,10158319,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(247686,10158319,'This effect suspends during combat',100,1,2),
(247687,85351,'Applies Poison Bolt when Activated.',100,0,0),
(247688,85351,'Inflicts 420 - 700 poison damage on target',100,1,1),
(247689,85351,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(247690,10085351,'Applies Poison Bolt when Activated.',100,0,0),
(247691,10085351,'Inflicts 504 - 840 poison damage on target',100,1,1),
(247692,10085351,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(247693,102941,'Inflicts 56 - 68 disease damage on target instantly and every 4 seconds',100,1,0),
(247694,10102941,'Inflicts 87 - 106 disease damage on target',100,1,0),
(247695,10102941,'Inflicts 67 - 82 disease damage on target every 4 seconds',100,1,1),
(247696,87138,'When Equipped:',100,0,0),
(247697,87138,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247698,87138,'Inflicts 152 - 228 magic damage on target',100,2,2),
(247699,87138,'Cannot be modified except by direct means',100,2,3),
(247700,10087138,'When Equipped:',100,0,0),
(247701,10087138,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247702,10087138,'Inflicts 182 - 273 magic damage on target',100,2,2),
(247703,10087138,'Cannot be modified except by direct means',100,2,3),
(247704,114769,'Feigns Death with 71% chance of success',100,1,0),
(247705,10114769,'Feigns Death with 71% chance of success',100,1,0),
(247706,87129,'When Equipped:',100,0,0),
(247707,87129,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247708,87129,'Inflicts 152 - 228 magic damage on target',100,2,2),
(247709,87129,'Cannot be modified except by direct means',100,2,3),
(247710,10087129,'When Equipped:',100,0,0),
(247711,10087129,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247712,10087129,'Inflicts 182 - 273 magic damage on target',100,2,2),
(247713,10087129,'Cannot be modified except by direct means',100,2,3),
(247714,111257,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(247715,111257,'Heals target for 910',100,2,1),
(247716,111257,'Increases Mitigation of target vs physical damage by 656',100,2,2),
(247717,111257,'Grants a total of 1 trigger of the spell.',100,2,3),
(247718,10111257,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(247719,10111257,'Heals target for 592',100,2,1),
(247720,10111257,'Increases Mitigation of target vs physical damage by 656',100,2,2),
(247721,10111257,'Grants a total of 1 trigger of the spell.',100,2,3),
(247722,175541,'When Equipped:',100,0,0),
(247723,175541,'On a combat hit this spell may cast Sun Spots on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247724,175541,'Stifles target',100,2,2),
(247725,175541,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(247726,175541,'Resistibility increases against targets higher than level 102.',100,2,4),
(247727,175541,'Cannot be modified except by direct means',100,2,5),
(247728,175541,'Does not affect Epic targets',100,1,6),
(247729,10175541,'When Equipped:',100,0,0),
(247730,10175541,'On a combat hit this spell may cast Sun Spots on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247731,10175541,'Stifles target',100,2,2),
(247732,10175541,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(247733,10175541,'Resistibility increases against targets higher than level 102.',100,2,4),
(247734,10175541,'Cannot be modified except by direct means',100,2,5),
(247735,10175541,'Does not affect Epic targets',100,1,6),
(247736,105112,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(247737,105112,'Summon 1 Distilled Soul (Adept)',100,2,1),
(247738,10105112,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(247739,10105112,'Summon 1 Distilled Soul (Adept)',100,2,1),
(247740,48440,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(247741,48440,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(247742,48440,'Inflicts 72 poison damage on target',100,2,2),
(247743,48440,'Inflicts 190 poison damage on target instantly and every 6 seconds',100,2,3),
(247744,48440,'Cannot be modified except by direct means',100,2,4),
(247745,48440,'Grants a total of 200 triggers of the spell.',100,2,5),
(247746,10048440,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(247747,10048440,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(247748,10048440,'Inflicts 65 poison damage on target',100,2,2),
(247749,10048440,'Inflicts 171 poison damage on target instantly and every 6 seconds',100,2,3),
(247750,10048440,'Cannot be modified except by direct means',100,2,4),
(247751,10048440,'Grants a total of 200 triggers of the spell.',100,2,5),
(247752,74839,'When Equipped:',100,0,0),
(247753,74839,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247754,74839,'Inflicts 108 - 163 magic damage on target',100,2,2),
(247755,74839,'Cannot be modified except by direct means',100,2,3),
(247756,10074839,'When Equipped:',100,0,0),
(247757,10074839,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247758,10074839,'Inflicts 130 - 195 magic damage on target',100,2,2),
(247759,10074839,'Cannot be modified except by direct means',100,2,3),
(247760,24211,'Adds Crushbone: Plate with Remains to your Dungeon Maker toolbox',100,0,0),
(247761,10024211,'Adds Crushbone: Plate with Remains to your Dungeon Maker toolbox',100,0,0),
(247762,81825,'When Equipped:',100,0,0),
(247763,81825,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247764,81825,'Inflicts 105 - 195 magic damage on target',100,2,2),
(247765,81825,'Cannot be modified except by direct means',100,2,3),
(247766,10081825,'When Equipped:',100,0,0),
(247767,10081825,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247768,10081825,'Inflicts 126 - 234 magic damage on target',100,2,2),
(247769,10081825,'Cannot be modified except by direct means',100,2,3),
(247770,75054,'Applies Poison Bolt when Activated.',100,0,0),
(247771,75054,'Inflicts 169 - 282 poison damage on target',100,1,1),
(247772,75054,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(247773,10075054,'Applies Poison Bolt when Activated.',100,0,0),
(247774,10075054,'Inflicts 203 - 338 poison damage on target',100,1,1),
(247775,10075054,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(247776,104785,'Charms target',100,1,0),
(247777,104785,'If outside an arena',100,1,1),
(247778,104785,'Certain enemies cannot be charmed',100,1,2),
(247779,104785,'Does not affect Epic targets',100,1,3),
(247780,10104785,'Charms target',100,1,0),
(247781,10104785,'If outside an arena',100,1,1),
(247782,10104785,'Certain enemies cannot be charmed',100,1,2),
(247783,10104785,'Does not affect Epic targets',100,1,3),
(247784,103196,'Increases Mitigation of caster vs physical damage by 270',100,1,0),
(247785,103196,'Roots caster',100,1,1),
(247786,10103196,'Increases Mitigation of caster vs physical damage by 270',100,1,0),
(247787,10103196,'Roots caster',100,1,1),
(247788,24392,'Adds Genie (Defiler) to your Dungeon Maker toolbox',100,0,0),
(247789,10024392,'Adds Genie (Defiler) to your Dungeon Maker toolbox',100,0,0),
(247790,36168,'Increases STA and STR of target by 1.1',100,0,0),
(247791,36168,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(247792,49175,'Applies Wyrmsteel - Timesnare when Activated.  Lasts for 1 minute 12 seconds.',100,0,0),
(247793,49175,'Decreases Attack Speed of target by 42.0',100,1,1),
(247794,49175,'If target is darathar',100,2,2),
(247795,49175,'If target is darathar',100,1,3),
(247796,10049175,'Applies Wyrmsteel - Timesnare when Activated.  Lasts for 1 minute 12 seconds.',100,0,0),
(247797,10049175,'Decreases Attack Speed of target by 42.0',100,1,1),
(247798,10049175,'If target is darathar',100,2,2),
(247799,10049175,'If target is darathar',100,1,3),
(247800,103593,'Increases Mitigation of caster vs physical damage by 452',100,1,0),
(247801,10103593,'Increases Mitigation of caster vs physical damage by 452',100,1,0),
(247802,80488,'When Equipped:',100,0,0),
(247803,80488,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247804,80488,'Inflicts 43 - 79 magic damage on target',100,2,2),
(247805,80488,'Cannot be modified except by direct means',100,2,3),
(247806,10080488,'When Equipped:',100,0,0),
(247807,10080488,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247808,10080488,'Inflicts 51 - 95 magic damage on target',100,2,2),
(247809,10080488,'Cannot be modified except by direct means',100,2,3),
(247810,85443,'When Equipped:',100,0,0),
(247811,85443,'On a critical combat hit this spell may cast Prodigious Engulfing Darkness on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(247812,85443,'Inflicts 629 - 695 magic damage on target instantly and every 4 seconds',100,2,2),
(247813,85443,'Applies Engulfing Shadows.  Lasts for 16.0 seconds.',100,2,3),
(247814,85443,'Slows target by 30.0%',100,3,4),
(247815,85443,'5% chance to dispel when target receives hostile action',100,3,5),
(247816,85443,'5% chance to dispel when target takes damage',100,3,6),
(247817,85443,'Cannot be modified except by direct means',100,2,7),
(247818,85443,'Must not be engaged in pvp combat',100,1,8),
(247819,10085443,'When Equipped:',100,0,0),
(247820,10085443,'On a critical combat hit this spell may cast Prodigious Engulfing Darkness on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(247821,10085443,'Inflicts 755 - 834 magic damage on target instantly and every 4 seconds',100,2,2),
(247822,10085443,'Applies Engulfing Shadows.  Lasts for 16.0 seconds.',100,2,3),
(247823,10085443,'Slows target by 30.0%',100,3,4),
(247824,10085443,'5% chance to dispel when target receives hostile action',100,3,5),
(247825,10085443,'5% chance to dispel when target takes damage',100,3,6),
(247826,10085443,'Cannot be modified except by direct means',100,2,7),
(247827,10085443,'Must not be engaged in pvp combat',100,1,8),
(247828,118621,'Inflicts 6 - 19 crushing damage on target',100,1,0),
(247829,10118621,'Inflicts 7 - 23 crushing damage on target',100,1,0),
(247830,104014,'Stifles target',100,1,0),
(247831,104014,'If Target is not Epic',100,2,1),
(247832,104014,'Interrupts target',100,1,2),
(247833,104014,'Decreases Threat to target by 315 - 385 ',100,1,3),
(247834,104014,'Resistibility increases against targets higher than level 53.',100,1,4),
(247835,10104014,'Stifles target',100,1,0),
(247836,10104014,'If Target is not Epic',100,2,1),
(247837,10104014,'Interrupts target',100,1,2),
(247838,10104014,'Resistibility increases against targets higher than level 53.',100,1,3),
(247839,138364,'Applies Heroic Resistance X when Equipped.',100,0,0),
(247840,138364,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(247841,138364,'Cannot be modified except by direct means',100,1,2),
(247842,10138364,'Applies Heroic Resistance X when Equipped.',100,0,0),
(247843,10138364,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(247844,10138364,'Cannot be modified except by direct means',100,1,2),
(247845,122646,'Heals target for 364 - 445 every 2 seconds',100,1,0),
(247846,122646,'Wards target against 1071 points of all damage',100,1,1),
(247847,122646,'Decreases Attack Speed of target by 25.0',100,1,2),
(247848,122646,'Slows target by 50.0%',100,1,3),
(247849,10122646,'Heals target for 426 - 520 every 2 seconds',100,1,0),
(247850,10122646,'Wards target against 1071 points of all damage',100,1,1),
(247851,10122646,'Decreases Attack Speed of target by 25.0',100,1,2),
(247852,10122646,'Slows target by 20.0%',100,1,3),
(247853,157084,'When Equipped:',100,0,0),
(247854,157084,'This effect will not stack with itself.',100,1,1),
(247855,157084,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(247856,157084,'Inflicts 4049 - 4476 piercing damage on target encounter',100,2,3),
(247857,157084,'Heals group members (AE) for 4432 - 4899',100,2,4),
(247858,157084,'Must not be engaged in pvp combat',100,2,5),
(247859,157084,'Cannot be modified except by direct means',100,2,6),
(247860,157084,'Must not be engaged in pvp combat',100,1,7),
(247861,10157084,'When Equipped:',100,0,0),
(247862,10157084,'This effect will not stack with itself.',100,1,1),
(247863,10157084,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(247864,10157084,'Inflicts 4859 - 5371 piercing damage on target encounter',100,2,3),
(247865,10157084,'Heals group members (AE) for 5186 - 5732',100,2,4),
(247866,10157084,'Must not be engaged in pvp combat',100,2,5),
(247867,10157084,'Cannot be modified except by direct means',100,2,6),
(247868,10157084,'Must not be engaged in pvp combat',100,1,7),
(247869,45068,'Applies A dimly lit crystal when Activated.',100,0,0),
(247870,45068,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(247871,10045068,'Applies A dimly lit crystal when Activated.',100,0,0),
(247872,10045068,'Perhaps you could place this on one of the room''s altars to affect the summoning ritual.',100,1,1),
(247873,105764,'Inflicts 9 - 11 heat damage on target',100,1,0),
(247874,10105764,'Inflicts 14 - 17 heat damage on target',100,1,0),
(247875,48649,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(247876,48649,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(247877,48649,'Inflicts 63 poison damage on target instantly and every 6 seconds',100,2,2),
(247878,48649,'Inflicts 215 poison damage on target',100,2,3),
(247879,48649,'Cannot be modified except by direct means',100,2,4),
(247880,48649,'Grants a total of 200 triggers of the spell.',100,2,5),
(247881,10048649,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(247882,10048649,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(247883,10048649,'Inflicts 57 poison damage on target instantly and every 6 seconds',100,2,2),
(247884,10048649,'Inflicts 194 poison damage on target',100,2,3),
(247885,10048649,'Cannot be modified except by direct means',100,2,4),
(247886,10048649,'Grants a total of 200 triggers of the spell.',100,2,5),
(247887,24190,'Adds Crushbone: Gravel Pile to your Dungeon Maker toolbox',100,0,0),
(247888,10024190,'Adds Crushbone: Gravel Pile to your Dungeon Maker toolbox',100,0,0),
(247889,163173,'When Equipped:',100,0,0),
(247890,163173,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(247891,163173,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(247892,163173,'Inflicts 787 divine damage on target',100,2,3),
(247893,163173,'Must be classified as a vampire',100,3,4),
(247894,163173,'Inflicts 393 divine damage on target',100,2,5),
(247895,163173,'Must not be classified as a vampire',100,3,6),
(247896,163173,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(247897,163173,'Must be classified as a vampire',100,3,8),
(247898,163173,'Cannot be modified except by direct means',100,2,9),
(247899,10163173,'When Equipped:',100,0,0),
(247900,10163173,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(247901,10163173,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(247902,10163173,'Inflicts 944 divine damage on target',100,2,3),
(247903,10163173,'Must be classified as a vampire',100,3,4),
(247904,10163173,'Inflicts 472 divine damage on target',100,2,5),
(247905,10163173,'Must not be classified as a vampire',100,3,6),
(247906,10163173,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(247907,10163173,'Must be classified as a vampire',100,3,8),
(247908,10163173,'Cannot be modified except by direct means',100,2,9),
(247909,82646,'When Equipped:',100,0,0),
(247910,82646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247911,82646,'Inflicts 75 - 140 magic damage on target',100,2,2),
(247912,82646,'Cannot be modified except by direct means',100,2,3),
(247913,10082646,'When Equipped:',100,0,0),
(247914,10082646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(247915,10082646,'Inflicts 90 - 168 magic damage on target',100,2,2),
(247916,10082646,'Cannot be modified except by direct means',100,2,3),
(247917,41277,'When Equipped:',100,0,0),
(247918,41277,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(247919,41277,'On any combat or spell hit this spell may cast Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(247920,41277,'Inflicts 3796 - 4196 piercing damage on target',100,2,3),
(247921,41277,'Wards caster against 1000 points of all damage',100,2,4),
(247922,41277,'Must not be engaged in pvp combat',100,2,5),
(247923,41277,'Cannot be modified except by direct means',100,2,6),
(247924,41277,'Must not be engaged in pvp combat',100,1,7),
(247925,10041277,'When Equipped:',100,0,0),
(247926,10041277,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(247927,10041277,'On any combat or spell hit this spell may cast Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(247928,10041277,'Inflicts 4555 - 5035 piercing damage on target',100,2,3),
(247929,10041277,'Wards caster against 1000 points of all damage',100,2,4),
(247930,10041277,'Must not be engaged in pvp combat',100,2,5),
(247931,10041277,'Cannot be modified except by direct means',100,2,6),
(247932,10041277,'Must not be engaged in pvp combat',100,1,7),
(247933,46887,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(247934,46887,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(247935,46887,'Decreases power of target by 452',100,2,2),
(247936,46887,'Increases power of caster by 226',100,2,3),
(247937,46887,'Cannot be modified except by direct means',100,2,4),
(247938,46887,'Grants a total of 100 triggers of the spell.',100,2,5),
(247939,10046887,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(247940,10046887,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(247941,10046887,'Decreases power of target by 248',100,2,2),
(247942,10046887,'Increases power of caster by 203',100,2,3),
(247943,10046887,'Cannot be modified except by direct means',100,2,4),
(247944,10046887,'Grants a total of 100 triggers of the spell.',100,2,5),
(247945,72271,'When Equipped:',100,0,0),
(247946,72271,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247947,72271,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(247948,72271,'Cannot be modified except by direct means',100,2,3),
(247949,10072271,'When Equipped:',100,0,0),
(247950,10072271,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247951,10072271,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(247952,10072271,'Cannot be modified except by direct means',100,2,3),
(247953,120012,'Inflicts 7 - 8 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(247954,120012,'Decreases power of target encounter by 2 instantly and every 4 seconds',100,1,1),
(247955,10120012,'Inflicts 8 - 10 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(247956,10120012,'Decreases power of target encounter by 2 instantly and every 4 seconds',100,1,1),
(247957,71551,'When Equipped:',100,0,0),
(247958,71551,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247959,71551,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(247960,71551,'Cannot be modified except by direct means',100,2,3),
(247961,10071551,'When Equipped:',100,0,0),
(247962,10071551,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(247963,10071551,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(247964,10071551,'Cannot be modified except by direct means',100,2,3),
(247965,45926,'Applies Defender Amirah''s Humane Catch and Release Elemental Essence Trap when Activated.',100,0,0),
(247966,10045926,'Applies Defender Amirah''s Humane Catch and Release Elemental Essence Trap when Activated.',100,0,0),
(247967,104868,'Increases damage of your next stealth attack by 22%',100,1,0),
(247968,104868,'Grants stealth to caster',100,1,1),
(247969,104868,'Suspends caster''s movement speed enhancements',100,1,2),
(247970,104868,'You must execute certain combat arts before you can use this ability.',100,1,3),
(247971,10104868,'Increases damage of your next stealth attack by 22%',100,1,0),
(247972,10104868,'Grants stealth to caster',100,1,1),
(247973,10104868,'Suspends caster''s movement speed enhancements',100,1,2),
(247974,10104868,'You must execute certain combat arts before you can use this ability.',100,1,3),
(247975,100123,'Decreases STR, AGI, WIS and INT of target by 44.4',100,1,0),
(247976,100123,'Decreases Max Health of target by 0.7%',100,1,1),
(247977,10100123,'Decreases STR, AGI, WIS and INT of target by 44.4',100,1,0),
(247978,10100123,'Decreases Max Health of target by 0.7%',100,1,1),
(247979,35733,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(247980,154411,'When Equipped:',100,0,0),
(247981,154411,'On any combat or spell hit this spell may cast Runed Fusion on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(247982,154411,'Inflicts 1324 magic damage on target',100,2,2),
(247983,154411,'Increases Ability Reuse Speed of caster by 3.0%',100,2,3),
(247984,154411,'Cannot be modified except by direct means',100,2,4),
(247985,10154411,'When Equipped:',100,0,0),
(247986,10154411,'On any combat or spell hit this spell may cast Runed Fusion on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(247987,10154411,'Inflicts 1350 magic damage on target',100,2,2),
(247988,10154411,'Increases Ability Reuse Speed of caster by 3.0%',100,2,3),
(247989,10154411,'Cannot be modified except by direct means',100,2,4),
(247990,119997,'Increases Threat to target by 709 - 865 ',100,1,0),
(247991,10119997,'Prevents target from changing targets',100,1,0),
(247992,10119997,'Forces target to change their selected target to caster.',100,1,1),
(247993,84360,'When Equipped:',100,0,0),
(247994,84360,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(247995,84360,'Increases Threat to target by 605 ',100,2,2),
(247996,84360,'Cannot be modified except by direct means',100,2,3),
(247997,10084360,'When Equipped:',100,0,0),
(247998,10084360,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(247999,10084360,'Cannot be modified except by direct means',100,2,2),
(248000,107216,'Inflicts 342 - 570 melee damage on targets in area',100,1,0),
(248001,107216,'Dispels 128 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(248002,10107216,'Inflicts 410 - 684 melee damage on targets in area',100,1,0),
(248003,10107216,'Reduces healing received of targets in area by 10%',100,1,1),
(248004,114887,'Causes 9% Threat to transfer to target when in combat',100,1,0),
(248005,35583,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(248006,102596,'Increases Threat to target encounter by 272 - 331 ',100,1,0),
(248007,102596,'Interrupts target encounter',100,1,1),
(248008,102596,'Decreases Mitigation of target encounter vs noxious damage by 242',100,1,2),
(248009,10102596,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(248010,10102596,'Prevents target from changing targets',100,2,1),
(248011,10102596,'Forces target to change their selected target to caster.',100,2,2),
(248012,10102596,'Interrupts target encounter',100,1,3),
(248013,10102596,'Decreases Mitigation of target encounter vs noxious damage by 242',100,1,4),
(248014,159388,'Applies Sanguine Imbued when Equipped.',100,0,0),
(248015,159388,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(248016,159388,'Inflicts 77 heat damage on target',100,2,2),
(248017,159388,'Cannot be modified except by direct means',100,2,3),
(248018,10159388,'Applies Sanguine Imbued when Equipped.',100,0,0),
(248019,10159388,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(248020,10159388,'Inflicts 93 heat damage on target',100,2,2),
(248021,10159388,'Cannot be modified except by direct means',100,2,3),
(248022,116974,'Increases Threat to target by 1,024 - 1,251 ',100,1,0),
(248023,116974,'Interrupts target',100,1,1),
(248024,10116974,'Forces target to change their selected target to caster.',100,1,0),
(248025,10116974,'Interrupts target',100,1,1),
(248026,10116974,'Prevents target from changing targets',100,1,2),
(248027,46789,'Applies Improved Attack Speed when Activated.  Lasts for 5 minutes.',100,0,0),
(248028,46789,'Increases Attack Speed of caster by 15.0',100,1,1),
(248029,10046789,'Applies Improved Attack Speed when Activated.  Lasts for 5 minutes.',100,0,0),
(248030,10046789,'Increases Attack Speed of caster by 15.0',100,1,1),
(248031,104606,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(248032,10104606,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(248033,105256,'Increases Threat to target by 797 ',100,1,0),
(248034,105256,'Interrupts target',100,1,1),
(248035,105256,'Dispels 105 levels of arcane beneficial effects on target',100,1,2),
(248036,10105256,'Forces target to change their selected target to caster.',100,1,0),
(248037,10105256,'Interrupts target',100,1,1),
(248038,10105256,'Dispels 105 levels of arcane beneficial effects on target',100,1,2),
(248039,102524,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(248040,102524,'Increases Aggression of caster by 7.6',100,1,1),
(248041,102524,'Increases Defense and Parry of caster by 15.2',100,1,2),
(248042,102524,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(248043,10102524,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(248044,10102524,'Increases Aggression of caster by 7.6',100,1,1),
(248045,10102524,'Increases Defense and Parry of caster by 15.2',100,1,2),
(248046,10102524,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(248047,36825,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(248048,26116,'When Equipped:',100,0,0),
(248049,26116,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(248050,26116,'Removes the stifle from Oration of Sacrifice.',100,1,2),
(248051,26116,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(248052,10026116,'When Equipped:',100,0,0),
(248053,10026116,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(248054,10026116,'Removes the stifle from Oration of Sacrifice.',100,1,2),
(248055,10026116,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(248056,37527,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(248057,144072,'When Equipped:',100,0,0),
(248058,144072,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(248059,144072,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(248060,144072,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,3),
(248061,144072,'Heals caster for 970 - 1072 instantly and every 3 seconds',100,2,4),
(248062,144072,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(248063,144072,'Must not be engaged in pvp combat',100,2,6),
(248064,144072,'Cannot be modified except by direct means',100,2,7),
(248065,144072,'Must not be engaged in pvp combat',100,1,8),
(248066,10144072,'When Equipped:',100,0,0),
(248067,10144072,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(248068,10144072,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(248069,10144072,'Inflicts 1063 - 1175 piercing damage on target instantly and every 3 seconds',100,2,3),
(248070,10144072,'Heals caster for 1134 - 1254 instantly and every 3 seconds',100,2,4),
(248071,10144072,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(248072,10144072,'Must not be engaged in pvp combat',100,2,6),
(248073,10144072,'Cannot be modified except by direct means',100,2,7),
(248074,10144072,'Must not be engaged in pvp combat',100,1,8),
(248075,159764,'Applies Lambent Imbued when Equipped.',100,0,0),
(248076,159764,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(248077,159764,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(248078,159764,'Cannot be modified except by direct means',100,2,3),
(248079,10159764,'Applies Lambent Imbued when Equipped.',100,0,0),
(248080,10159764,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(248081,10159764,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(248082,10159764,'Cannot be modified except by direct means',100,2,3),
(248083,48774,'Applies Elixir of Thought  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(248084,48774,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(248085,10048774,'Applies Elixir of Thought  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(248086,10048774,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(248087,52734,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(248088,52734,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(248089,52734,'Inflicts 26 heat damage on target',100,2,2),
(248090,52734,'Cannot be modified except by direct means',100,2,3),
(248091,10052734,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(248092,10052734,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(248093,10052734,'Inflicts 31 heat damage on target',100,2,2),
(248094,10052734,'Cannot be modified except by direct means',100,2,3),
(248095,114338,'Dispels 55 levels of noxious hostile effects on target',100,1,0),
(248096,114338,'Heals target for 18.9 - 23.1% of max health',100,1,1),
(248097,114338,'This effect cannot be critically applied.',100,2,2),
(248098,114338,'The healing of this spell cannot be modified except by direct means',100,1,3),
(248099,10114338,'Dispels 55 levels of noxious hostile effects on target',100,1,0),
(248100,10114338,'Heals target for 7.6 - 9.2% of max health',100,1,1),
(248101,10114338,'This effect cannot be critically applied.',100,2,2),
(248102,10114338,'The healing of this spell cannot be modified except by direct means',100,1,3),
(248103,107997,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(248104,107997,'Increases Mitigation of group members (AE) vs elemental damage by 600',100,1,1),
(248105,10107997,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(248106,10107997,'Increases Mitigation of group members (AE) vs elemental damage by 600',100,1,1),
(248107,123871,'Increases AGI of caster by 77.9',100,1,0),
(248108,123871,'Adds 18.7% to base avoidance.',100,1,1),
(248109,123871,'Increases Damage Per Second of caster by 58.2',100,1,2),
(248110,123871,'Increases Mitigation of caster vs physical damage by 664',100,1,3),
(248111,123871,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,4),
(248112,10123871,'Increases AGI of caster by 77.9',100,1,0),
(248113,10123871,'Adds 18.7% to base avoidance.',100,1,1),
(248114,10123871,'Increases Damage Per Second of caster by 58.2',100,1,2),
(248115,10123871,'Increases Mitigation of caster vs physical damage by 664',100,1,3),
(248116,10123871,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,4),
(248117,81908,'When Equipped:',100,0,0),
(248118,81908,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(248119,81908,'Inflicts 261 - 484 magic damage on target',100,2,2),
(248120,81908,'Decreases Threat to target by 994 ',100,2,3),
(248121,81908,'Must be flanking or behind',100,3,4),
(248122,81908,'Increases Threat to target by 999 ',100,2,5),
(248123,81908,'Must be in front of',100,3,6),
(248124,81908,'Cannot be modified except by direct means',100,2,7),
(248125,10081908,'When Equipped:',100,0,0),
(248126,10081908,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(248127,10081908,'Inflicts 313 - 581 magic damage on target',100,2,2),
(248128,10081908,'Cannot be modified except by direct means',100,2,3),
(248129,102689,'Inflicts 367 divine damage on target encounter',100,1,0),
(248130,10102689,'Inflicts 440 divine damage on target encounter',100,1,0),
(248131,104587,'Inflicts 549 - 915 disease damage on target',100,1,0),
(248132,104587,'Decreases WIS of target by 187.4',100,1,1),
(248133,10104587,'Inflicts 659 - 1098 disease damage on target',100,1,0),
(248134,10104587,'Decreases WIS of target by 187.4',100,1,1),
(248135,48222,'Applies Draw upon Essence when Activated.',100,0,0),
(248136,48222,'Increases power of caster by 9',100,1,1),
(248137,48222,'Requires 15 Health to cast.',100,1,2),
(248138,10048222,'Applies Draw upon Essence when Activated.',100,0,0),
(248139,10048222,'Increases power of caster by 9',100,1,1),
(248140,10048222,'Requires 15 Health to cast.',100,1,2),
(248141,159229,'Applies Lambent Imbued when Equipped.',100,0,0),
(248142,159229,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(248143,159229,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(248144,159229,'Cannot be modified except by direct means',100,2,3),
(248145,10159229,'Applies Lambent Imbued when Equipped.',100,0,0),
(248146,10159229,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(248147,10159229,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(248148,10159229,'Cannot be modified except by direct means',100,2,3),
(248149,82477,'When Equipped:',100,0,0),
(248150,82477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248151,82477,'Inflicts 122 - 226 magic damage on target',100,2,2),
(248152,82477,'Cannot be modified except by direct means',100,2,3),
(248153,10082477,'When Equipped:',100,0,0),
(248154,10082477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248155,10082477,'Inflicts 146 - 272 magic damage on target',100,2,2),
(248156,10082477,'Cannot be modified except by direct means',100,2,3),
(248157,45887,'Applies Deadly Dire Wolf when Activated.',100,0,0),
(248158,45887,'Increases Aggression of caster by 5.0',100,1,1),
(248159,45887,'Summons a mount to ride',100,1,2),
(248160,45887,'Increases your ground speed by 130%',100,2,3),
(248161,45887,'Increases Ranged, Slashing, Crushing and Piercing of caster by 5.0',100,1,4),
(248162,10045887,'Applies Deadly Dire Wolf when Activated.',100,0,0),
(248163,10045887,'Increases Aggression of caster by 5.0',100,1,1),
(248164,10045887,'Summons a mount to ride',100,1,2),
(248165,10045887,'Increases your ground speed by 130%',100,2,3),
(248166,10045887,'Increases Ranged, Slashing, Crushing and Piercing of caster by 5.0',100,1,4),
(248167,110181,'Applies Untreated Bleeding on termination.',100,1,0),
(248168,110181,'Inflicts 226 - 376 piercing damage on target',100,2,1),
(248169,110181,'Inflicts 48 - 81 piercing damage on target instantly and every 4 seconds',100,1,2),
(248170,110181,'Inflicts 32 - 53 melee damage on target',100,1,3),
(248171,10110181,'Applies Untreated Bleeding on termination.',100,1,0),
(248172,10110181,'Inflicts 271 - 452 piercing damage on target',100,2,1),
(248173,10110181,'Inflicts 58 - 97 piercing damage on target instantly and every 4 seconds',100,1,2),
(248174,10110181,'Inflicts 38 - 64 melee damage on target',100,1,3),
(248175,102520,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(248176,102520,'Increases Aggression of caster by 7.7',100,1,1),
(248177,102520,'Increases Defense and Parry of caster by 15.4',100,1,2),
(248178,102520,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(248179,10102520,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(248180,10102520,'Increases Aggression of caster by 7.7',100,1,1),
(248181,10102520,'Increases Defense and Parry of caster by 15.4',100,1,2),
(248182,10102520,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(248183,75136,'When Equipped:',100,0,0),
(248184,75136,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(248185,10075136,'When Equipped:',100,0,0),
(248186,10075136,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(248187,119812,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(248188,119812,'Adds 1.5% to base avoidance.',100,1,1),
(248189,10119812,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(248190,10119812,'Adds 1.5% to base avoidance.',100,1,1),
(248191,43387,'When Equipped:',100,0,0),
(248192,43387,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(248193,43387,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(248194,43387,'Increases Ability Modifier of caster by 660.0',100,2,3),
(248195,43387,'Must not be engaged in pvp combat',100,2,4),
(248196,43387,'Cannot be modified except by direct means',100,2,5),
(248197,43387,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(248198,43387,'Increases Ability Modifier of caster by 660.0',100,2,7),
(248199,43387,'Must not be engaged in pvp combat',100,2,8),
(248200,43387,'Cannot be modified except by direct means',100,2,9),
(248201,43387,'Cannot be modified except by direct means',100,1,10),
(248202,10043387,'When Equipped:',100,0,0),
(248203,10043387,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(248204,10043387,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(248205,10043387,'Increases Ability Modifier of caster by 660.0',100,2,3),
(248206,10043387,'Must not be engaged in pvp combat',100,2,4),
(248207,10043387,'Cannot be modified except by direct means',100,2,5),
(248208,10043387,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(248209,10043387,'Increases Ability Modifier of caster by 660.0',100,2,7),
(248210,10043387,'Must not be engaged in pvp combat',100,2,8),
(248211,10043387,'Cannot be modified except by direct means',100,2,9),
(248212,10043387,'Cannot be modified except by direct means',100,1,10),
(248213,159784,'Applies Lambent Imbued when Equipped.',100,0,0),
(248214,159784,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(248215,159784,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(248216,159784,'Cannot be modified except by direct means',100,2,3),
(248217,10159784,'Applies Lambent Imbued when Equipped.',100,0,0),
(248218,10159784,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(248219,10159784,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(248220,10159784,'Cannot be modified except by direct means',100,2,3),
(248221,139475,'Applies Oathbreaker''s Halo when Activated.',100,0,0),
(248222,139475,'Summons a glowing Halo.',100,1,1),
(248223,139475,'The casting time of Oathbreaker''s Halo is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(248224,139475,'When Equipped:',100,0,3),
(248225,139475,'Reduces maximum falling speed of caster',100,1,4),
(248226,10139475,'Applies Oathbreaker''s Halo when Activated.',100,0,0),
(248227,10139475,'Summons a glowing Halo.',100,1,1),
(248228,10139475,'The casting time of Oathbreaker''s Halo is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(248229,10139475,'When Equipped:',100,0,3),
(248230,10139475,'Reduces maximum falling speed of caster',100,1,4),
(248231,122049,'Increases Threat to target by 628 - 767 ',100,1,0),
(248232,122049,'Inflicts 65 - 108 melee damage on target',100,1,1),
(248233,10122049,'Forces target to change their selected target to caster.',100,1,0),
(248234,10122049,'Inflicts 78 - 130 melee damage on target',100,1,1),
(248235,111627,'Inflicts 53 - 99 cold damage on target',100,1,0),
(248236,10111627,'Inflicts 64 - 119 cold damage on target',100,1,0),
(248237,106369,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(248238,106369,'Slows target by 42.9%',100,2,1),
(248239,106369,'5% chance to dispel when target receives hostile action',100,2,2),
(248240,106369,'5% chance to dispel when target takes damage',100,2,3),
(248241,106369,'Decreases Mitigation of target vs arcane damage by 1568',100,1,4),
(248242,10106369,'Decreases Mitigation of target vs arcane damage by 1568',100,1,0),
(248243,10106369,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(248244,10106369,'Slows target by 42.9%',100,2,2),
(248245,10106369,'5% chance to dispel when target receives hostile action',100,2,3),
(248246,10106369,'5% chance to dispel when target takes damage',100,2,4),
(248247,121093,'Decreases Threat to targets in Area of Effect by 684 ',100,1,0),
(248248,121093,'Mesmerizes targets in Area of Effect',100,1,1),
(248249,121093,'If Target is not Epic',100,2,2),
(248250,121093,'Dispelled when target takes damage',100,1,3),
(248251,10121093,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(248252,10121093,'Applies Distract.',100,1,1),
(248253,10121093,'Forces target to clear their selected target.',100,2,2),
(248254,10121093,'Mesmerizes targets in Area of Effect',100,1,3),
(248255,10121093,'If Target is not Epic',100,2,4),
(248256,10121093,'Dispelled when target takes damage',100,1,5),
(248257,115326,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(248258,115326,'Makes target afraid',100,2,1),
(248259,115326,'Slows target by 43.9%',100,2,2),
(248260,115326,'30% chance to dispel when target takes damage',100,2,3),
(248261,115326,'Does not affect Epic targets',100,2,4),
(248262,115326,'Resistibility increases against targets higher than level 62.',100,2,5),
(248263,115326,'Roots target',100,1,6),
(248264,115326,'15% chance to dispel when target takes damage',100,1,7),
(248265,115326,'Does not affect Epic targets',100,1,8),
(248266,115326,'Resistibility increases against targets higher than level 62.',100,1,9),
(248267,10115326,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(248268,10115326,'Makes target afraid',100,2,1),
(248269,10115326,'Slows target by 43.9%',100,2,2),
(248270,10115326,'30% chance to dispel when target takes damage',100,2,3),
(248271,10115326,'Does not affect Epic targets',100,2,4),
(248272,10115326,'Resistibility increases against targets higher than level 62.',100,2,5),
(248273,10115326,'Roots target',100,1,6),
(248274,10115326,'15% chance to dispel when target takes damage',100,1,7),
(248275,10115326,'Does not affect Epic targets',100,1,8),
(248276,10115326,'Resistibility increases against targets higher than level 62.',100,1,9),
(248277,100094,'Decreases STR, AGI, WIS and INT of target by 4.0',100,1,0),
(248278,100094,'Decreases Max Health of target by 0.6%',100,1,1),
(248279,10100094,'Decreases STR, AGI, WIS and INT of target by 4.0',100,1,0),
(248280,10100094,'Decreases Max Health of target by 0.6%',100,1,1),
(248281,111531,'Blurs vision of targets in Area of Effect',100,1,0),
(248282,111531,'Interrupts targets in Area of Effect',100,1,1),
(248283,111531,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(248284,111531,'Blurs vision of target',100,2,3),
(248285,111531,'Throws target back',100,2,4),
(248286,111531,'Stuns target',100,2,5),
(248287,111531,'Does not affect Epic targets',100,2,6),
(248288,10111531,'Blurs vision of targets in Area of Effect',100,1,0),
(248289,10111531,'Interrupts targets in Area of Effect',100,1,1),
(248290,10111531,'14% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(248291,10111531,'Throws target back',100,2,3),
(248292,10111531,'Stuns target',100,2,4),
(248293,10111531,'Blurs vision of target',100,2,5),
(248294,10111531,'Does not affect Epic targets',100,2,6),
(248295,168862,'Applies Ritual of Pa''Rok when Equipped.',100,0,0),
(248296,168862,'Increases Max Health of caster by 24.3',100,1,1),
(248297,10168862,'Applies Ritual of Pa''Rok when Equipped.',100,0,0),
(248298,10168862,'Increases Max Health of caster by 24.3',100,1,1),
(248299,24237,'Adds Crushbone: Wooden Spoon to your Dungeon Maker toolbox',100,0,0),
(248300,10024237,'Adds Crushbone: Wooden Spoon to your Dungeon Maker toolbox',100,0,0),
(248301,48615,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(248302,48615,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(248303,48615,'Stuns target',100,2,2),
(248304,48615,'If Target is not Epic',100,3,3),
(248305,48615,'Cannot be modified except by direct means',100,2,4),
(248306,48615,'Grants a total of 30 triggers of the spell.',100,2,5),
(248307,10048615,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(248308,10048615,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(248309,10048615,'Stuns target',100,2,2),
(248310,10048615,'If Target is not Epic',100,3,3),
(248311,10048615,'Cannot be modified except by direct means',100,2,4),
(248312,10048615,'Grants a total of 30 triggers of the spell.',100,2,5),
(248313,47737,'Applies noxious remedy when Activated.',100,0,0),
(248314,47737,'Dispels 68 levels of noxious hostile effects on caster',100,1,1),
(248315,10047737,'Applies noxious remedy when Activated.',100,0,0),
(248316,10047737,'Dispels 68 levels of noxious hostile effects on caster',100,1,1),
(248317,108208,'Increases power of caster by 42 instantly and every 4 seconds',100,1,0),
(248318,10108208,'Increases power of caster by 42 instantly and every 4 seconds',100,1,0),
(248319,159378,'When Equipped:',100,0,0),
(248320,159378,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(248321,159378,'Increases AGI of caster by 3.6',100,2,2),
(248322,159378,'Increases Attack Speed of caster by 9.8',100,2,3),
(248323,159378,'Cannot be modified except by direct means',100,2,4),
(248324,10159378,'When Equipped:',100,0,0),
(248325,10159378,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(248326,10159378,'Increases AGI of caster by 3.6',100,2,2),
(248327,10159378,'Increases Attack Speed of caster by 9.8',100,2,3),
(248328,10159378,'Cannot be modified except by direct means',100,2,4),
(248329,152917,'When Equipped:',100,0,0),
(248330,152917,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(248331,152917,'Heals group members (AE) for 2624',100,2,2),
(248332,152917,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(248333,152917,'Must not be engaged in pvp combat',100,2,4),
(248334,152917,'Cannot be modified except by direct means',100,2,5),
(248335,152917,'Must not be engaged in pvp combat',100,1,6),
(248336,10152917,'When Equipped:',100,0,0),
(248337,10152917,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(248338,10152917,'Heals group members (AE) for 3071',100,2,2),
(248339,10152917,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(248340,10152917,'Must not be engaged in pvp combat',100,2,4),
(248341,10152917,'Cannot be modified except by direct means',100,2,5),
(248342,10152917,'Must not be engaged in pvp combat',100,1,6),
(248343,26046,'When Equipped:',100,0,0),
(248344,26046,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(248345,26046,'Inflicts 136 disease damage on target',100,2,2),
(248346,26046,'Cancels up to 9.6% of target''s speed buffs',100,2,3),
(248347,26046,'Cannot be modified except by direct means',100,2,4),
(248348,10026046,'When Equipped:',100,0,0),
(248349,10026046,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(248350,10026046,'Inflicts 163 disease damage on target',100,2,2),
(248351,10026046,'Cancels up to 9.6% of target''s speed buffs',100,2,3),
(248352,10026046,'Cannot be modified except by direct means',100,2,4),
(248353,100903,'Stuns targets in Area of Effect',20,1,0),
(248354,100903,'If Target is not Epic',100,2,1),
(248355,100903,'Inflicts 124 - 207 divine damage on targets in Area of Effect',100,1,2),
(248356,100903,'Resistibility increases against targets higher than level 57.',100,1,3),
(248357,10100903,'Stuns targets in Area of Effect',20,1,0),
(248358,10100903,'If Target is not Epic',100,2,1),
(248359,10100903,'Inflicts 149 - 249 divine damage on targets in Area of Effect',100,1,2),
(248360,10100903,'Resistibility increases against targets higher than level 57.',100,1,3),
(248361,115836,'Inflicts 55 disease damage on target every 3 seconds',100,1,0),
(248362,115836,'Inflicts 206 - 343 melee damage on target',100,1,1),
(248363,115836,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(248364,115836,'Heals caster for 1.4% of max health instantly and every 3 seconds',100,2,3),
(248365,115836,'This effect cannot be critically applied.',100,3,4),
(248366,115836,'The healing of this spell cannot be modified except by direct means',100,2,5),
(248367,115836,'The healing of this spell cannot be modified except by direct means',100,1,6),
(248368,10115836,'Inflicts 247 - 412 melee damage on target',100,1,0),
(248369,10115836,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(248370,10115836,'Heals caster for 0.8% of max health instantly and every 3 seconds',100,2,2),
(248371,10115836,'This effect cannot be critically applied.',100,3,3),
(248372,10115836,'The healing of this spell cannot be modified except by direct means',100,2,4),
(248373,10115836,'Inflicts 66 disease damage on target every 3 seconds',100,1,5),
(248374,10115836,'The healing of this spell cannot be modified except by direct means',100,1,6),
(248375,104499,'Decreases Mitigation of target encounter vs physical damage by 1355',100,1,0),
(248376,10104499,'Decreases Mitigation of target encounter vs physical damage by 1355',100,1,0),
(248377,42570,'When Equipped:',100,0,0),
(248378,42570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248379,42570,'Inflicts 152 - 228 magic damage on target',100,2,2),
(248380,42570,'Cannot be modified except by direct means',100,2,3),
(248381,10042570,'When Equipped:',100,0,0),
(248382,10042570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248383,10042570,'Inflicts 182 - 273 magic damage on target',100,2,2),
(248384,10042570,'Cannot be modified except by direct means',100,2,3),
(248385,177670,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(248386,177670,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(248387,177670,'Inflicts 45 heat damage on target',100,2,2),
(248388,177670,'Cannot be modified except by direct means',100,2,3),
(248389,10177670,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(248390,10177670,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(248391,10177670,'Inflicts 54 heat damage on target',100,2,2),
(248392,10177670,'Cannot be modified except by direct means',100,2,3),
(248393,49190,'Applies Call Ykeshan Warbear when Activated.',100,0,0),
(248394,49190,'Decreases Hate Gain of caster by 3.0%',100,1,1),
(248395,49190,'If not fighter',100,2,2),
(248396,49190,'Summons a mount to ride',100,1,3),
(248397,49190,'Increases your ground speed by 130%',100,2,4),
(248398,49190,'Increases Hate Gain of caster by 3.0%',100,1,5),
(248399,49190,'If fighter',100,2,6),
(248400,49190,'Increases Max Health of caster by 250.0',100,1,7),
(248401,10049190,'Applies Call Ykeshan Warbear when Activated.',100,0,0),
(248402,10049190,'Summons a mount to ride',100,1,1),
(248403,10049190,'Increases your ground speed by 130%',100,2,2),
(248404,10049190,'Increases Max Health of caster by 250.0',100,1,3),
(248405,104925,'Inflicts 335 - 559 ranged damage on target',100,1,0),
(248406,104925,'Decreases Deflection and Parry of target by 31.7',100,1,1),
(248407,104925,'Requires bow',100,1,2),
(248408,10104925,'Inflicts 285 - 475 ranged damage on target',100,1,0),
(248409,10104925,'Decreases Deflection and Parry of target by 31.7',100,1,1),
(248410,10104925,'Requires bow',100,1,2),
(248411,37168,'Increases WIS of target by 1.5',100,0,0),
(248412,37168,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(248413,75038,'Applies Mental Blast when Activated.',100,0,0),
(248414,75038,'Inflicts 218 - 364 mental damage on target',100,1,1),
(248415,75038,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(248416,10075038,'Applies Mental Blast when Activated.',100,0,0),
(248417,10075038,'Inflicts 262 - 436 mental damage on target',100,1,1),
(248418,10075038,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(248419,80167,'When Equipped:',100,0,0),
(248420,80167,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248421,80167,'Inflicts 166 - 308 magic damage on target',100,2,2),
(248422,80167,'Cannot be modified except by direct means',100,2,3),
(248423,10080167,'When Equipped:',100,0,0),
(248424,10080167,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248425,10080167,'Inflicts 199 - 370 magic damage on target',100,2,2),
(248426,10080167,'Cannot be modified except by direct means',100,2,3),
(248427,35533,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(248428,82331,'When Equipped:',100,0,0),
(248429,82331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248430,82331,'Inflicts 261 - 484 magic damage on target',100,2,2),
(248431,82331,'Cannot be modified except by direct means',100,2,3),
(248432,10082331,'When Equipped:',100,0,0),
(248433,10082331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248434,10082331,'Inflicts 313 - 581 magic damage on target',100,2,2),
(248435,10082331,'Cannot be modified except by direct means',100,2,3),
(248436,25269,'When Equipped:',100,0,0),
(248437,25269,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(248438,25269,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,2),
(248439,10025269,'When Equipped:',100,0,0),
(248440,10025269,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(248441,10025269,'Reduces the casting time of Absolute Corruption V by 1 second and adds 2 additional ticks of damage.',100,1,2),
(248442,116358,'Mesmerizes target encounter',100,1,0),
(248443,116358,'Prevents AOE (except when direct) ',100,1,1),
(248444,116358,'Dispelled when target takes damage',100,1,2),
(248445,116358,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(248446,116358,'Resistibility increases against targets higher than level 94.',100,1,4),
(248447,10116358,'Mesmerizes target encounter',100,1,0),
(248448,10116358,'Prevents AOE (except when direct) ',100,1,1),
(248449,10116358,'Dispelled when target takes damage',100,1,2),
(248450,10116358,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(248451,10116358,'Resistibility increases against targets higher than level 94.',100,1,4),
(248452,121644,'Summons a pet paladin squire',100,1,0),
(248453,10121644,'Summons a pet paladin squire',100,1,0),
(248454,116376,'Heals target for 42 - 51 instantly and every 2 seconds',100,1,0),
(248455,10116376,'Heals target for 27 - 33 instantly and every 2 seconds',100,1,0),
(248456,27482,'When Equipped:',100,0,0),
(248457,27482,'Removes the stifle from Oration of Sacrifice.',100,1,1),
(248458,27482,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(248459,27482,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(248460,10027482,'When Equipped:',100,0,0),
(248461,10027482,'Removes the stifle from Oration of Sacrifice.',100,1,1),
(248462,10027482,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(248463,10027482,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(248464,113024,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(248465,113024,'Stuns target',40,2,1),
(248466,113024,'If Target is not Epic',100,3,2),
(248467,113024,'Inflicts 114 - 343 melee damage on target',100,2,3),
(248468,113024,'Resistibility increases against targets higher than level 107.',100,2,4),
(248469,10113024,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(248470,10113024,'Inflicts 137 - 412 melee damage on target',100,2,1),
(248471,80445,'When Equipped:',100,0,0),
(248472,80445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248473,80445,'Inflicts 43 - 79 magic damage on target',100,2,2),
(248474,80445,'Cannot be modified except by direct means',100,2,3),
(248475,10080445,'When Equipped:',100,0,0),
(248476,10080445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248477,10080445,'Inflicts 51 - 95 magic damage on target',100,2,2),
(248478,10080445,'Cannot be modified except by direct means',100,2,3),
(248479,106279,'Wards target against 1460 points of all damage',100,1,0),
(248480,10106279,'Wards target against 1460 points of all damage',100,1,0),
(248481,45212,'Applies Call Appaloosa when Activated.',100,0,0),
(248482,45212,'Summons a mount to ride',100,1,1),
(248483,45212,'Increases your ground speed by 130%',100,2,2),
(248484,45212,'Increases Trapping, Gathering, Fishing, Foresting, Mining and Transmuting of caster by 14.3',100,1,3),
(248485,10045212,'Applies Call Appaloosa when Activated.',100,0,0),
(248486,10045212,'Summons a mount to ride',100,1,1),
(248487,10045212,'Increases your ground speed by 130%',100,2,2),
(248488,10045212,'Increases Trapping, Gathering, Fishing, Foresting, Mining and Transmuting of caster by 14.3',100,1,3),
(248489,108859,'Inflicts 119 - 199 melee damage on target',100,1,0),
(248490,108859,'Inflicts 119 - 199 melee damage on target',100,1,1),
(248491,108859,'Inflicts 119 - 199 melee damage on target',100,1,2),
(248492,108859,'Inflicts 119 - 199 melee damage on target',100,1,3),
(248493,108859,'Inflicts 119 - 199 melee damage on target',100,1,4),
(248494,10108859,'Inflicts 143 - 239 melee damage on target',100,1,0),
(248495,10108859,'Inflicts 143 - 239 melee damage on target',100,1,1),
(248496,10108859,'Inflicts 143 - 239 melee damage on target',100,1,2),
(248497,10108859,'Inflicts 143 - 239 melee damage on target',100,1,3),
(248498,10108859,'Inflicts 143 - 239 melee damage on target',100,1,4),
(248499,164005,'When Equipped:',100,0,0),
(248500,164005,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248501,164005,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(248502,164005,'Heals caster for 811 - 1217',100,2,3),
(248503,164005,'Cannot be modified except by direct means',100,2,4),
(248504,164005,'Cannot be modified except by direct means',100,1,5),
(248505,10164005,'When Equipped:',100,0,0),
(248506,10164005,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248507,10164005,'Inflicts 1462 - 2193 poison damage on target',100,2,2),
(248508,10164005,'Heals caster for 949 - 1424',100,2,3),
(248509,10164005,'Cannot be modified except by direct means',100,2,4),
(248510,10164005,'Cannot be modified except by direct means',100,1,5),
(248511,111440,'Decreases Attack Speed of caster by 14.1',100,1,0),
(248512,111440,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(248513,111440,'Roots target',100,2,2),
(248514,111440,'5% chance to dispel when target takes damage',100,2,3),
(248515,111440,'5% chance to dispel when target receives hostile action',100,2,4),
(248516,111440,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(248517,111440,'Increases Mitigation of caster vs physical damage by 492',100,1,6),
(248518,10111440,'Decreases Attack Speed of caster by 14.1',100,1,0),
(248519,10111440,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(248520,10111440,'Roots target',100,2,2),
(248521,10111440,'5% chance to dispel when target takes damage',100,2,3),
(248522,10111440,'5% chance to dispel when target receives hostile action',100,2,4),
(248523,10111440,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(248524,10111440,'Increases Mitigation of caster vs physical damage by 492',100,1,6),
(248525,82694,'When Equipped:',100,0,0),
(248526,82694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248527,82694,'Inflicts 94 - 175 magic damage on target',100,2,2),
(248528,82694,'Cannot be modified except by direct means',100,2,3),
(248529,10082694,'When Equipped:',100,0,0),
(248530,10082694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248531,10082694,'Inflicts 113 - 210 magic damage on target',100,2,2),
(248532,10082694,'Cannot be modified except by direct means',100,2,3),
(248533,143592,'When Equipped:',100,0,0),
(248534,143592,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(248535,143592,'Inflicts 787 mental damage on target',100,2,2),
(248536,143592,'Must be classified as an undead',100,3,3),
(248537,143592,'Inflicts 393 mental damage on target',100,2,4),
(248538,143592,'Must not be classified as an undead',100,3,5),
(248539,143592,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(248540,143592,'Must be classified as an undead',100,3,7),
(248541,143592,'Cannot be modified except by direct means',100,2,8),
(248542,143592,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(248543,10143592,'When Equipped:',100,0,0),
(248544,10143592,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(248545,10143592,'Inflicts 944 mental damage on target',100,2,2),
(248546,10143592,'Must be classified as an undead',100,3,3),
(248547,10143592,'Inflicts 472 mental damage on target',100,2,4),
(248548,10143592,'Must not be classified as an undead',100,3,5),
(248549,10143592,'Decreases Mitigation of target vs arcane damage by 656',100,2,6),
(248550,10143592,'Must be classified as an undead',100,3,7),
(248551,10143592,'Cannot be modified except by direct means',100,2,8),
(248552,10143592,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(248553,46208,'Applies Petamorph: Nightblood when Activated.  Lasts for 2 hours.',100,0,0),
(248554,46208,'Turns the caster''s combat pet into a nightblood. Does not work on cosmetic pets.',100,1,1),
(248555,10046208,'Applies Petamorph: Nightblood when Activated.  Lasts for 2 hours.',100,0,0),
(248556,10046208,'Turns the caster''s combat pet into a nightblood. Does not work on cosmetic pets.',100,1,1),
(248557,120497,'Inflicts 140 - 234 melee damage on target',100,1,0),
(248558,120497,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(248559,120497,'Grants stealth to caster',100,2,2),
(248560,120497,'Suspends caster''s movement speed enhancements',100,2,3),
(248561,120497,'Must be flanking or behind',100,1,4),
(248562,10120497,'Inflicts 169 - 281 melee damage on target',100,1,0),
(248563,10120497,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(248564,10120497,'Grants stealth to caster',100,2,2),
(248565,10120497,'Suspends caster''s movement speed enhancements',100,2,3),
(248566,10120497,'Must be flanking or behind',100,1,4),
(248567,109577,'Makes target afraid',100,1,0),
(248568,109577,'30% chance to dispel when target takes damage',100,1,1),
(248569,109577,'Does not affect Epic targets',100,1,2),
(248570,109577,'Resistibility increases against targets higher than level 97.',100,1,3),
(248571,10109577,'Makes target afraid',100,1,0),
(248572,10109577,'30% chance to dispel when target takes damage',100,1,1),
(248573,10109577,'Does not affect Epic targets',100,1,2),
(248574,10109577,'Resistibility increases against targets higher than level 97.',100,1,3),
(248575,165066,'When Equipped:',100,0,0),
(248576,165066,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248577,165066,'Inflicts 1199 disease damage on target encounter',100,2,2),
(248578,165066,'Must not be engaged in pvp combat',100,2,3),
(248579,165066,'Cannot be modified except by direct means',100,2,4),
(248580,10165066,'When Equipped:',100,0,0),
(248581,10165066,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248582,10165066,'Inflicts 719 disease damage on target encounter',100,2,2),
(248583,10165066,'Must not be engaged in pvp combat',100,2,3),
(248584,10165066,'Cannot be modified except by direct means',100,2,4),
(248585,37126,'Increases Max Health of target by 3.9',100,0,0),
(248586,37126,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(248587,118478,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(248588,118478,'Inflicts 55 - 68 heat damage on target instantly and every second',100,2,1),
(248589,10118478,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(248590,10118478,'Inflicts 66 - 81 heat damage on target instantly and every second',100,2,1),
(248591,113903,'Inflicts 223 - 372 disease damage on target',100,1,0),
(248592,113903,'Inflicts 56 - 93 disease damage on target every 4 seconds',100,1,1),
(248593,113903,'Increases power of caster by 112 - 186',100,1,2),
(248594,113903,'Increases power of caster by 24 - 40 every 4 seconds',100,1,3),
(248595,10113903,'Inflicts 268 - 446 disease damage on target',100,1,0),
(248596,10113903,'Inflicts 67 - 112 disease damage on target every 4 seconds',100,1,1),
(248597,10113903,'Increases power of caster by 112 - 186',100,1,2),
(248598,10113903,'Increases power of caster by 24 - 40 every 4 seconds',100,1,3),
(248599,104570,'Inflicts 173 - 288 disease damage on target',100,1,0),
(248600,104570,'Decreases WIS of target by 63.6',100,1,1),
(248601,10104570,'Inflicts 207 - 346 disease damage on target',100,1,0),
(248602,10104570,'Decreases WIS of target by 63.6',100,1,1),
(248603,24365,'Adds Fae Drake (Wizard) to your Dungeon Maker toolbox',100,0,0),
(248604,10024365,'Adds Fae Drake (Wizard) to your Dungeon Maker toolbox',100,0,0),
(248605,82196,'When Equipped:',100,0,0),
(248606,82196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248607,82196,'Inflicts 31 - 57 magic damage on target',100,2,2),
(248608,82196,'Cannot be modified except by direct means',100,2,3),
(248609,10082196,'When Equipped:',100,0,0),
(248610,10082196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248611,10082196,'Inflicts 37 - 68 magic damage on target',100,2,2),
(248612,10082196,'Cannot be modified except by direct means',100,2,3),
(248613,82256,'When Equipped:',100,0,0),
(248614,82256,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248615,82256,'Inflicts 28 - 51 magic damage on target',100,2,2),
(248616,82256,'Cannot be modified except by direct means',100,2,3),
(248617,10082256,'When Equipped:',100,0,0),
(248618,10082256,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248619,10082256,'Inflicts 33 - 61 magic damage on target',100,2,2),
(248620,10082256,'Cannot be modified except by direct means',100,2,3),
(248621,24398,'Adds Genie (Wizard) to your Dungeon Maker toolbox',100,0,0),
(248622,10024398,'Adds Genie (Wizard) to your Dungeon Maker toolbox',100,0,0),
(248623,103665,'Interrupts target',100,1,0),
(248624,103665,'Inflicts 128 - 213 melee damage on target',100,1,1),
(248625,103665,'Must be flanking or behind',100,1,2),
(248626,10103665,'Interrupts target',100,1,0),
(248627,10103665,'Inflicts 153 - 256 melee damage on target',100,1,1),
(248628,10103665,'Must be flanking or behind',100,1,2),
(248629,109574,'Makes target afraid',100,1,0),
(248630,109574,'30% chance to dispel when target takes damage',100,1,1),
(248631,109574,'Does not affect Epic targets',100,1,2),
(248632,109574,'Resistibility increases against targets higher than level 83.',100,1,3),
(248633,10109574,'Makes target afraid',100,1,0),
(248634,10109574,'30% chance to dispel when target takes damage',100,1,1),
(248635,10109574,'Does not affect Epic targets',100,1,2),
(248636,10109574,'Resistibility increases against targets higher than level 83.',100,1,3),
(248637,189921,'When Equipped:',100,0,0),
(248638,189921,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(248639,189921,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(248640,189921,'Cannot be modified except by direct means',100,2,3),
(248641,10189921,'When Equipped:',100,0,0),
(248642,10189921,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(248643,10189921,'Decreases Damage Per Second of targets in Area of Effect by 15.0',100,2,2),
(248644,10189921,'Cannot be modified except by direct means',100,2,3),
(248645,108051,'Inflicts 565 magic damage on target',100,1,0),
(248646,108051,'Increases power of caster by 183',100,1,1),
(248647,10108051,'Inflicts 678 magic damage on target',100,1,0),
(248648,10108051,'Increases power of caster by 183',100,1,1),
(248649,113875,'Increases power of target by 71',100,1,0),
(248650,10113875,'Increases power of target by 71',100,1,0),
(248651,80732,'When Equipped:',100,0,0),
(248652,80732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248653,80732,'Inflicts 48 - 89 magic damage on target',100,2,2),
(248654,80732,'Cannot be modified except by direct means',100,2,3),
(248655,10080732,'When Equipped:',100,0,0),
(248656,10080732,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248657,10080732,'Inflicts 57 - 106 magic damage on target',100,2,2),
(248658,10080732,'Cannot be modified except by direct means',100,2,3),
(248659,185002,'Applies Thaumatoscopic Goggles when Equipped.',100,0,0),
(248660,185002,'Grants Aura Vision to caster',100,1,1),
(248661,10185002,'Applies Thaumatoscopic Goggles when Equipped.',100,0,0),
(248662,10185002,'Grants Aura Vision to caster',100,1,1),
(248663,47627,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(248664,47627,'Inflicts 16 - 27 slashing damage on target every 4 seconds',100,1,1),
(248665,47627,'Inflicts 71 - 87 melee damage on target',100,1,2),
(248666,10047627,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(248667,10047627,'Inflicts 20 - 33 slashing damage on target every 4 seconds',100,1,1),
(248668,10047627,'Inflicts 85 - 104 melee damage on target',100,1,2),
(248669,113204,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(248670,113204,'Inflicts 43 magic damage on target',100,2,1),
(248671,113204,'Grants a total of 5 triggers of the spell.',100,2,2),
(248672,10113204,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(248673,10113204,'Inflicts 52 magic damage on target',100,2,1),
(248674,10113204,'Grants a total of 5 triggers of the spell.',100,2,2),
(248675,124748,'Inflicts 142 - 174 disease damage on target encounter',100,1,0),
(248676,10124748,'Inflicts 171 - 209 disease damage on target encounter',100,1,0),
(248677,166566,'When Equipped:',100,0,0),
(248678,166566,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248679,166566,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(248680,166566,'Heals caster for 635 - 952',100,2,3),
(248681,166566,'Cannot be modified except by direct means',100,2,4),
(248682,166566,'Cannot be modified except by direct means',100,1,5),
(248683,10166566,'When Equipped:',100,0,0),
(248684,10166566,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248685,10166566,'Inflicts 1144 - 1716 poison damage on target',100,2,2),
(248686,10166566,'Heals caster for 743 - 1114',100,2,3),
(248687,10166566,'Cannot be modified except by direct means',100,2,4),
(248688,10166566,'Cannot be modified except by direct means',100,1,5),
(248689,105096,'Inflicts 264 - 357 magic damage on target',100,1,0),
(248690,10105096,'Inflicts 317 - 428 magic damage on target',100,1,0),
(248691,72116,'Applies Astral Blessing when Equipped.',100,0,0),
(248692,72116,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(248693,72116,'Heals target for 440 instantly and every second',100,2,2),
(248694,72116,'Cannot be modified except by direct means',100,2,3),
(248695,72116,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(248696,72116,'Heals caster for 440 instantly and every second',100,2,5),
(248697,72116,'Cannot be modified except by direct means',100,2,6),
(248698,72116,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(248699,72116,'Heals caster for 440 instantly and every second',100,2,8),
(248700,72116,'Cannot be modified except by direct means',100,2,9),
(248701,10072116,'Applies Astral Blessing when Equipped.',100,0,0),
(248702,10072116,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(248703,10072116,'Heals target for 514 instantly and every second',100,2,2),
(248704,10072116,'Cannot be modified except by direct means',100,2,3),
(248705,10072116,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(248706,10072116,'Heals caster for 514 instantly and every second',100,2,5),
(248707,10072116,'Cannot be modified except by direct means',100,2,6),
(248708,10072116,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(248709,10072116,'Heals caster for 514 instantly and every second',100,2,8),
(248710,10072116,'Cannot be modified except by direct means',100,2,9),
(248711,47793,'Applies Aura of the Kerra when Activated.',100,0,0),
(248712,47793,'Casts fleas on the user',100,1,1),
(248713,10047793,'Applies Aura of the Kerra when Activated.',100,0,0),
(248714,10047793,'Casts fleas on the user',100,1,1),
(248715,87405,'When Equipped:',100,0,0),
(248716,87405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248717,87405,'Inflicts 124 - 186 magic damage on target',100,2,2),
(248718,87405,'Cannot be modified except by direct means',100,2,3),
(248719,10087405,'When Equipped:',100,0,0),
(248720,10087405,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248721,10087405,'Inflicts 149 - 223 magic damage on target',100,2,2),
(248722,10087405,'Cannot be modified except by direct means',100,2,3),
(248723,173750,'When Equipped:',100,0,0),
(248724,173750,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(248725,10173750,'When Equipped:',100,0,0),
(248726,10173750,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(248727,122008,'Inflicts 198 - 330 melee damage on targets in area',100,1,0),
(248728,122008,'Increases Threat to target encounter by 1,134 ',100,1,1),
(248729,10122008,'Inflicts 238 - 396 melee damage on targets in area',100,1,0),
(248730,10122008,'Prevents target encounter from changing targets',100,1,1),
(248731,10122008,'Forces target encounter to change their selected target to caster.',100,1,2),
(248732,101841,'Summons a limited pet to aid the caster',100,1,0),
(248733,10101841,'Summons a limited pet to aid the caster',100,1,0),
(248734,80312,'When Equipped:',100,0,0),
(248735,80312,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248736,80312,'Inflicts 53 - 98 magic damage on target',100,2,2),
(248737,80312,'Cannot be modified except by direct means',100,2,3),
(248738,10080312,'When Equipped:',100,0,0),
(248739,10080312,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248740,10080312,'Inflicts 64 - 118 magic damage on target',100,2,2),
(248741,10080312,'Cannot be modified except by direct means',100,2,3),
(248742,100822,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(248743,100822,'Increases Parry of caster by 3.5',100,1,1),
(248744,10100822,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(248745,10100822,'Increases Parry of caster by 3.5',100,1,1),
(248746,106047,'Increases AGI of caster by 31.1',100,1,0),
(248747,106047,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(248748,106047,'Inflicts 31 - 52 disease damage on target',100,2,2),
(248749,106047,'Adds 25.0% to base avoidance.',100,1,3),
(248750,106047,'Increases Mitigation of caster vs physical damage by 146',100,1,4),
(248751,106047,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',100,1,5),
(248752,10106047,'Increases AGI of caster by 31.1',100,1,0),
(248753,10106047,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(248754,10106047,'Inflicts 37 - 62 disease damage on target',100,2,2),
(248755,10106047,'Adds 25.0% to base avoidance.',100,1,3),
(248756,10106047,'Increases Mitigation of caster vs physical damage by 146',100,1,4),
(248757,10106047,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',100,1,5),
(248758,143351,'When Equipped:',100,0,0),
(248759,143351,'When any damage is received this spell has a 5% chance to cast Distraction on target''s attacker.  ',100,1,1),
(248760,143351,'Decreases Threat to target by 700 ',100,2,2),
(248761,143351,'Cannot be modified except by direct means',100,2,3),
(248762,10143351,'When Equipped:',100,0,0),
(248763,10143351,'When any damage is received this spell has a 5% chance to cast Distraction on target''s attacker.  ',100,1,1),
(248764,10143351,'Forces target to clear their selected target.',100,2,2),
(248765,10143351,'Cannot be modified except by direct means',100,2,3),
(248766,85737,'When Equipped:',100,0,0),
(248767,85737,'On a combat hit this spell may cast Tseralith''s Curse on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(248768,85737,'Inflicts 42 - 51 disease damage on target',100,2,2),
(248769,85737,'Inflicts 24 - 30 disease damage on target every 4 seconds',100,2,3),
(248770,85737,'Cannot be modified except by direct means',100,2,4),
(248771,10085737,'When Equipped:',100,0,0),
(248772,10085737,'On a combat hit this spell may cast Tseralith''s Curse on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(248773,10085737,'Inflicts 50 - 61 disease damage on target',100,2,2),
(248774,10085737,'Inflicts 29 - 36 disease damage on target every 4 seconds',100,2,3),
(248775,10085737,'Cannot be modified except by direct means',100,2,4),
(248776,121912,'Inflicts 122 - 204 mental damage on target encounter',100,1,0),
(248777,121912,'Increases power of group members (AE) by 102 - 170',100,1,1),
(248778,10121912,'Inflicts 147 - 245 mental damage on target encounter',100,1,0),
(248779,10121912,'Increases power of group members (AE) by 102 - 170',100,1,1),
(248780,26569,'When Equipped:',100,0,0),
(248781,26569,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(248782,26569,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(248783,10026569,'When Equipped:',100,0,0),
(248784,10026569,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(248785,10026569,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(248786,53109,'When Equipped:',100,0,0),
(248787,53109,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248788,53109,'Increases Threat to target by 1,005 ',100,2,2),
(248789,53109,'Cannot be modified except by direct means',100,2,3),
(248790,53109,'When Equipped:',100,0,4),
(248791,53109,'Increases caster''s chance to block by 15.0%',100,1,5),
(248792,10053109,'When Equipped:',100,0,0),
(248793,10053109,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(248794,10053109,'Cannot be modified except by direct means',100,2,2),
(248795,10053109,'When Equipped:',100,0,3),
(248796,10053109,'Increases caster''s chance to block by 15.0%',100,1,4),
(248797,118649,'Inflicts 36 - 60 slashing damage on target',100,1,0),
(248798,10118649,'Inflicts 43 - 72 slashing damage on target',100,1,0),
(248799,72235,'When Equipped:',100,0,0),
(248800,72235,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(248801,72235,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(248802,72235,'Cannot be modified except by direct means',100,2,3),
(248803,10072235,'When Equipped:',100,0,0),
(248804,10072235,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(248805,10072235,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(248806,10072235,'Cannot be modified except by direct means',100,2,3),
(248807,48218,'Applies Draw upon Essence when Activated.',100,0,0),
(248808,48218,'Increases power of caster by 5',100,1,1),
(248809,48218,'Requires 15 Health to cast.',100,1,2),
(248810,10048218,'Applies Draw upon Essence when Activated.',100,0,0),
(248811,10048218,'Increases power of caster by 5',100,1,1),
(248812,10048218,'Requires 15 Health to cast.',100,1,2),
(248813,109092,'Inflicts 178 - 297 melee damage on target',100,1,0),
(248814,109092,'Inflicts 178 - 297 melee damage on target',100,1,1),
(248815,109092,'Inflicts 178 - 297 melee damage on target',100,1,2),
(248816,109092,'Decreases Mitigation of target vs physical damage by 754',100,1,3),
(248817,10109092,'Inflicts 213 - 356 melee damage on target',100,1,0),
(248818,10109092,'Inflicts 213 - 356 melee damage on target',100,1,1),
(248819,10109092,'Inflicts 213 - 356 melee damage on target',100,1,2),
(248820,10109092,'Decreases Mitigation of target vs physical damage by 754',100,1,3),
(248821,27397,'When Equipped:',100,0,0),
(248822,27397,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(248823,27397,'Inflicts 102 divine damage on target',100,2,2),
(248824,27397,'Heals caster for 22',100,2,3),
(248825,27397,'Cannot be modified except by direct means',100,2,4),
(248826,10027397,'When Equipped:',100,0,0),
(248827,10027397,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(248828,10027397,'Inflicts 122 divine damage on target',100,2,2),
(248829,10027397,'Heals caster for 14',100,2,3),
(248830,10027397,'Cannot be modified except by direct means',100,2,4),
(248831,141765,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(248832,141765,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(248833,141765,'Inflicts 30 heat damage on target',100,2,2),
(248834,141765,'Cannot be modified except by direct means',100,2,3),
(248835,10141765,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(248836,10141765,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(248837,10141765,'Inflicts 36 heat damage on target',100,2,2),
(248838,10141765,'Cannot be modified except by direct means',100,2,3),
(248839,47039,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(248840,47039,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(248841,47039,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(248842,47039,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(248843,47039,'Cannot be modified except by direct means',100,2,4),
(248844,47039,'Grants a total of 80 triggers of the spell.',100,2,5),
(248845,10047039,'Applies whispers of heartlessness when Activated.  Lasts for 12 hours.',100,0,0),
(248846,10047039,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(248847,10047039,'Decreases Mitigation of target vs arcane damage by 660',100,2,2),
(248848,10047039,'Decreases Mitigation of target vs physical damage by 495',100,2,3),
(248849,10047039,'Cannot be modified except by direct means',100,2,4),
(248850,10047039,'Grants a total of 80 triggers of the spell.',100,2,5),
(248851,103779,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 10.0',100,1,0),
(248852,10103779,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 10.0',100,1,0),
(248853,107741,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(248854,107741,'Inflicts 452 - 753 melee damage on target',100,2,1),
(248855,107741,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(248856,107741,'Inflicts 452 - 753 melee damage on target',100,2,3),
(248857,107741,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(248858,107741,'Inflicts 452 - 753 melee damage on target',100,2,5),
(248859,107741,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(248860,107741,'Inflicts 452 - 753 melee damage on target',100,2,7),
(248861,107741,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(248862,107741,'Inflicts 452 - 753 melee damage on target',100,2,9),
(248863,107741,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(248864,107741,'Inflicts 452 - 753 melee damage on target',100,2,11),
(248865,107741,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(248866,107741,'Inflicts 452 - 753 melee damage on target',100,2,13),
(248867,107741,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(248868,107741,'Inflicts 452 - 753 melee damage on target',100,2,15),
(248869,10107741,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(248870,10107741,'Inflicts 307 - 512 melee damage on target',100,2,1),
(248871,10107741,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(248872,10107741,'Inflicts 307 - 512 melee damage on target',100,2,3),
(248873,10107741,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(248874,10107741,'Inflicts 307 - 512 melee damage on target',100,2,5),
(248875,10107741,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(248876,10107741,'Inflicts 307 - 512 melee damage on target',100,2,7),
(248877,10107741,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(248878,10107741,'Inflicts 307 - 512 melee damage on target',100,2,9),
(248879,10107741,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(248880,10107741,'Inflicts 307 - 512 melee damage on target',100,2,11),
(248881,10107741,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(248882,10107741,'Inflicts 307 - 512 melee damage on target',100,2,13),
(248883,10107741,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(248884,10107741,'Inflicts 307 - 512 melee damage on target',100,2,15),
(248885,106049,'Increases AGI of caster by 34.7',100,1,0),
(248886,106049,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(248887,106049,'Inflicts 40 - 67 disease damage on target',100,2,2),
(248888,106049,'Adds 14.8% to base avoidance.',100,1,3),
(248889,106049,'Increases Mitigation of caster vs physical damage by 180',100,1,4),
(248890,106049,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,5),
(248891,10106049,'Increases AGI of caster by 34.7',100,1,0),
(248892,10106049,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(248893,10106049,'Inflicts 49 - 81 disease damage on target',100,2,2),
(248894,10106049,'Adds 14.8% to base avoidance.',100,1,3),
(248895,10106049,'Increases Mitigation of caster vs physical damage by 180',100,1,4),
(248896,10106049,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',100,1,5),
(248897,108944,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(248898,108944,'Inflicts 58 heat damage on target',100,2,1),
(248899,10108944,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(248900,10108944,'Inflicts 70 heat damage on target',100,2,1),
(248901,82162,'When Equipped:',100,0,0),
(248902,82162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248903,82162,'Inflicts 135 - 252 magic damage on target',100,2,2),
(248904,82162,'Cannot be modified except by direct means',100,2,3),
(248905,10082162,'When Equipped:',100,0,0),
(248906,10082162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(248907,10082162,'Inflicts 163 - 302 magic damage on target',100,2,2),
(248908,10082162,'Cannot be modified except by direct means',100,2,3),
(248909,100919,'Stuns targets in Area of Effect',20,1,0),
(248910,100919,'If Target is not Epic',100,2,1),
(248911,100919,'Inflicts 327 - 545 divine damage on targets in Area of Effect',100,1,2),
(248912,100919,'Resistibility increases against targets higher than level 99.',100,1,3),
(248913,10100919,'Stuns targets in Area of Effect',20,1,0),
(248914,10100919,'If Target is not Epic',100,2,1),
(248915,10100919,'Inflicts 392 - 654 divine damage on targets in Area of Effect',100,1,2),
(248916,10100919,'Resistibility increases against targets higher than level 99.',100,1,3),
(248917,105105,'Inflicts 433 - 585 magic damage on target',100,1,0),
(248918,10105105,'Inflicts 519 - 702 magic damage on target',100,1,0),
(248919,163765,'When Equipped:',100,0,0),
(248920,163765,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(248921,163765,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,2),
(248922,163765,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(248923,163765,'Increases Attack Speed of caster by 30.0',100,2,4),
(248924,163765,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,5),
(248925,163765,'Increases Damage Per Second of caster by 30.0',100,2,6),
(248926,163765,'Increases Multi Attack Chance of caster by 30.0',100,2,7),
(248927,163765,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,8),
(248928,163765,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,9),
(248929,163765,'Must not be engaged in pvp combat',100,2,10),
(248930,163765,'Cannot be modified except by direct means',100,2,11),
(248931,163765,'Must not be engaged in pvp combat',100,1,12),
(248932,10163765,'When Equipped:',100,0,0),
(248933,10163765,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(248934,10163765,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,2),
(248935,10163765,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(248936,10163765,'Increases Attack Speed of caster by 30.0',100,2,4),
(248937,10163765,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,5),
(248938,10163765,'Increases Damage Per Second of caster by 30.0',100,2,6),
(248939,10163765,'Increases Multi Attack Chance of caster by 30.0',100,2,7),
(248940,10163765,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,8),
(248941,10163765,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,9),
(248942,10163765,'Must not be engaged in pvp combat',100,2,10),
(248943,10163765,'Cannot be modified except by direct means',100,2,11),
(248944,10163765,'Must not be engaged in pvp combat',100,1,12),
(248945,159109,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(248946,159109,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(248947,159109,'Inflicts 26 heat damage on target',100,2,2),
(248948,159109,'Cannot be modified except by direct means',100,2,3),
(248949,10159109,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(248950,10159109,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(248951,10159109,'Inflicts 31 heat damage on target',100,2,2),
(248952,10159109,'Cannot be modified except by direct means',100,2,3),
(248953,50164,'When Equipped:',100,0,0),
(248954,50164,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(248955,50164,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(248956,50164,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(248957,50164,'Must not be engaged in pvp combat',100,2,4),
(248958,50164,'Cannot be modified except by direct means',100,2,5),
(248959,50164,'Cannot be modified except by direct means',100,1,6),
(248960,10050164,'When Equipped:',100,0,0),
(248961,10050164,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(248962,10050164,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(248963,10050164,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(248964,10050164,'Must not be engaged in pvp combat',100,2,4),
(248965,10050164,'Cannot be modified except by direct means',100,2,5),
(248966,10050164,'Cannot be modified except by direct means',100,1,6),
(248967,26778,'When Equipped:',100,0,0),
(248968,26778,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(248969,26778,'On a critical spell hit this spell may cast Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(248970,26778,'Increases Potency of caster by 10.0%',100,2,3),
(248971,26778,'Must not be engaged in pvp combat',100,2,4),
(248972,26778,'Cannot be modified except by direct means',100,2,5),
(248973,26778,'On a critical healing spell cast this spell may cast Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(248974,26778,'Increases Potency of caster by 10.0%',100,2,7),
(248975,26778,'Must not be engaged in pvp combat',100,2,8),
(248976,26778,'Cannot be modified except by direct means',100,2,9),
(248977,26778,'On a critical combat hit this spell may cast Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(248978,26778,'Increases Potency of caster by 10.0%',100,2,11),
(248979,26778,'Must not be engaged in pvp combat',100,2,12),
(248980,26778,'Cannot be modified except by direct means',100,2,13),
(248981,26778,'Must not be engaged in pvp combat',100,1,14),
(248982,10026778,'When Equipped:',100,0,0),
(248983,10026778,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(248984,10026778,'On a critical spell hit this spell may cast Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(248985,10026778,'Increases Potency of caster by 10.0%',100,2,3),
(248986,10026778,'Must not be engaged in pvp combat',100,2,4),
(248987,10026778,'Cannot be modified except by direct means',100,2,5),
(248988,10026778,'On a critical healing spell cast this spell may cast Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(248989,10026778,'Increases Potency of caster by 10.0%',100,2,7),
(248990,10026778,'Must not be engaged in pvp combat',100,2,8),
(248991,10026778,'Cannot be modified except by direct means',100,2,9),
(248992,10026778,'On a critical combat hit this spell may cast Overbearing Onslaught I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(248993,10026778,'Increases Potency of caster by 10.0%',100,2,11),
(248994,10026778,'Must not be engaged in pvp combat',100,2,12),
(248995,10026778,'Cannot be modified except by direct means',100,2,13),
(248996,10026778,'Must not be engaged in pvp combat',100,1,14),
(248997,101939,'Inflicts 91 piercing damage on target instantly and every 4 seconds',100,1,0),
(248998,101939,'Inflicts 273 - 456 melee damage on target',100,1,1),
(248999,101939,'Must be behind',100,1,2),
(249000,10101939,'Inflicts 110 piercing damage on target instantly and every 4 seconds',100,1,0),
(249001,10101939,'Inflicts 328 - 547 melee damage on target',100,1,1),
(249002,10101939,'Must be behind',100,1,2),
(249003,81050,'When Equipped:',100,0,0),
(249004,81050,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249005,81050,'Inflicts 147 - 273 magic damage on target',100,2,2),
(249006,81050,'Cannot be modified except by direct means',100,2,3),
(249007,10081050,'When Equipped:',100,0,0),
(249008,10081050,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249009,10081050,'Inflicts 176 - 327 magic damage on target',100,2,2),
(249010,10081050,'Cannot be modified except by direct means',100,2,3),
(249011,118506,'Summons a limited pet to aid the caster',100,1,0),
(249012,10118506,'Summons a limited pet to aid the caster',100,1,0),
(249013,51616,'When Equipped:',100,0,0),
(249014,51616,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249015,51616,'Reduces resistibility of all spells by 1%.',100,2,2),
(249016,51616,'Increases Potency of caster by 11.0%',100,2,3),
(249017,51616,'Increases Subjugation, Disruption, Ordination and Ministration of caster by 11.5',100,2,4),
(249018,51616,'Must not be engaged in pvp combat',100,2,5),
(249019,51616,'Cannot be modified except by direct means',100,2,6),
(249020,51616,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(249021,51616,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(249022,51616,'Reduces resistibility of all spells by 1%.',100,2,9),
(249023,51616,'Increases Potency of caster by 11.0%',100,2,10),
(249024,51616,'Increases Subjugation, Disruption, Ordination and Ministration of caster by 11.5',100,2,11),
(249025,51616,'Must not be engaged in pvp combat',100,2,12),
(249026,51616,'Cannot be modified except by direct means',100,2,13),
(249027,51616,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(249028,51616,'Reduces resistibility of all spells by 1%.',100,2,15),
(249029,51616,'Increases Potency of caster by 11.0%',100,2,16),
(249030,51616,'Increases Subjugation, Disruption, Ordination and Ministration of caster by 11.5',100,2,17),
(249031,51616,'Must not be engaged in pvp combat',100,2,18),
(249032,51616,'Cannot be modified except by direct means',100,2,19),
(249033,51616,'Cannot be modified except by direct means',100,1,20),
(249034,10051616,'When Equipped:',100,0,0),
(249035,10051616,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249036,10051616,'Reduces resistibility of all spells by 1%.',100,2,2),
(249037,10051616,'Increases Potency of caster by 11.0%',100,2,3),
(249038,10051616,'Increases Subjugation, Disruption, Ordination and Ministration of caster by 11.5',100,2,4),
(249039,10051616,'Must not be engaged in pvp combat',100,2,5),
(249040,10051616,'Cannot be modified except by direct means',100,2,6),
(249041,10051616,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(249042,10051616,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(249043,10051616,'Reduces resistibility of all spells by 1%.',100,2,9),
(249044,10051616,'Increases Potency of caster by 11.0%',100,2,10),
(249045,10051616,'Increases Subjugation, Disruption, Ordination and Ministration of caster by 11.5',100,2,11),
(249046,10051616,'Must not be engaged in pvp combat',100,2,12),
(249047,10051616,'Cannot be modified except by direct means',100,2,13),
(249048,10051616,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,14),
(249049,10051616,'Reduces resistibility of all spells by 1%.',100,2,15),
(249050,10051616,'Increases Potency of caster by 11.0%',100,2,16),
(249051,10051616,'Increases Subjugation, Disruption, Ordination and Ministration of caster by 11.5',100,2,17),
(249052,10051616,'Must not be engaged in pvp combat',100,2,18),
(249053,10051616,'Cannot be modified except by direct means',100,2,19),
(249054,10051616,'Cannot be modified except by direct means',100,1,20),
(249055,48215,'Applies Spirit Totem of the Wolf when Activated.  Lasts for 30 minutes.',100,0,0),
(249056,48215,'Shapechanges caster into a wolf',100,1,1),
(249057,48215,'Increases speed of caster by 24.0%',100,1,2),
(249058,48215,'This effect suspends during combat',100,1,3),
(249059,48215,'Only affects targets level 15 and above',100,1,4),
(249060,10048215,'Applies Spirit Totem of the Wolf when Activated.  Lasts for 30 minutes.',100,0,0),
(249061,10048215,'Shapechanges caster into a wolf',100,1,1),
(249062,10048215,'Increases speed of caster by 24.0%',100,1,2),
(249063,10048215,'This effect suspends during combat',100,1,3),
(249064,10048215,'Only affects targets level 15 and above',100,1,4),
(249065,116961,'Increases Threat to target by 492 - 600 ',100,1,0),
(249066,116961,'Interrupts target',100,1,1),
(249067,10116961,'Forces target to change their selected target to caster.',100,1,0),
(249068,10116961,'Interrupts target',100,1,1),
(249069,10116961,'Prevents target from changing targets',100,1,2),
(249070,122667,'Decreases Defense of target by 18.0',100,1,0),
(249071,122667,'Decreases Mitigation of target vs physical damage by 300',100,1,1),
(249072,10122667,'Decreases Defense of target by 18.0',100,1,0),
(249073,10122667,'Decreases Mitigation of target vs physical damage by 300',100,1,1),
(249074,81716,'When Equipped:',100,0,0),
(249075,81716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249076,81716,'Inflicts 105 - 195 magic damage on target',100,2,2),
(249077,81716,'Cannot be modified except by direct means',100,2,3),
(249078,10081716,'When Equipped:',100,0,0),
(249079,10081716,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249080,10081716,'Inflicts 126 - 234 magic damage on target',100,2,2),
(249081,10081716,'Cannot be modified except by direct means',100,2,3),
(249082,82685,'When Equipped:',100,0,0),
(249083,82685,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249084,82685,'Inflicts 75 - 140 magic damage on target',100,2,2),
(249085,82685,'Decreases Threat to target by 259 ',100,2,3),
(249086,82685,'Must be flanking or behind',100,3,4),
(249087,82685,'Increases Threat to target by 264 ',100,2,5),
(249088,82685,'Must be in front of',100,3,6),
(249089,82685,'Cannot be modified except by direct means',100,2,7),
(249090,10082685,'When Equipped:',100,0,0),
(249091,10082685,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249092,10082685,'Inflicts 90 - 168 magic damage on target',100,2,2),
(249093,10082685,'Cannot be modified except by direct means',100,2,3),
(249094,87510,'When Equipped:',100,0,0),
(249095,87510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249096,87510,'Inflicts 96 - 144 magic damage on target',100,2,2),
(249097,87510,'Cannot be modified except by direct means',100,2,3),
(249098,10087510,'When Equipped:',100,0,0),
(249099,10087510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249100,10087510,'Inflicts 115 - 173 magic damage on target',100,2,2),
(249101,10087510,'Cannot be modified except by direct means',100,2,3),
(249102,115342,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(249103,115342,'Makes target afraid',100,2,1),
(249104,115342,'Slows target by 46.4%',100,2,2),
(249105,115342,'30% chance to dispel when target takes damage',100,2,3),
(249106,115342,'Does not affect Epic targets',100,2,4),
(249107,115342,'Resistibility increases against targets higher than level 90.',100,2,5),
(249108,115342,'Roots target',100,1,6),
(249109,115342,'15% chance to dispel when target takes damage',100,1,7),
(249110,115342,'Does not affect Epic targets',100,1,8),
(249111,115342,'Resistibility increases against targets higher than level 90.',100,1,9),
(249112,10115342,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(249113,10115342,'Makes target afraid',100,2,1),
(249114,10115342,'Slows target by 46.4%',100,2,2),
(249115,10115342,'30% chance to dispel when target takes damage',100,2,3),
(249116,10115342,'Does not affect Epic targets',100,2,4),
(249117,10115342,'Resistibility increases against targets higher than level 90.',100,2,5),
(249118,10115342,'Roots target',100,1,6),
(249119,10115342,'15% chance to dispel when target takes damage',100,1,7),
(249120,10115342,'Does not affect Epic targets',100,1,8),
(249121,10115342,'Resistibility increases against targets higher than level 90.',100,1,9),
(249122,72806,'When Equipped:',100,0,0),
(249123,72806,'On a critical combat hit this spell may cast Paralyzing Puncture VII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249124,72806,'Stuns target',100,2,2),
(249125,72806,'If Target is not Epic',100,3,3),
(249126,72806,'Inflicts 967 - 1069 heat damage on target',100,2,4),
(249127,72806,'Must not be engaged in pvp combat',100,2,5),
(249128,72806,'Cannot be modified except by direct means',100,2,6),
(249129,72806,'Must not be engaged in pvp combat',100,1,7),
(249130,10072806,'When Equipped:',100,0,0),
(249131,10072806,'On a critical combat hit this spell may cast Paralyzing Puncture VII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249132,10072806,'Stuns target',100,2,2),
(249133,10072806,'If Target is not Epic',100,3,3),
(249134,10072806,'Inflicts 1161 - 1283 heat damage on target',100,2,4),
(249135,10072806,'Must not be engaged in pvp combat',100,2,5),
(249136,10072806,'Cannot be modified except by direct means',100,2,6),
(249137,10072806,'Must not be engaged in pvp combat',100,1,7),
(249138,72152,'When Equipped:',100,0,0),
(249139,72152,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249140,72152,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(249141,72152,'Cannot be modified except by direct means',100,2,3),
(249142,10072152,'When Equipped:',100,0,0),
(249143,10072152,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249144,10072152,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(249145,10072152,'Cannot be modified except by direct means',100,2,3),
(249146,117617,'Inflicts 407 - 678 ranged damage on target',100,1,0),
(249147,117617,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(249148,117617,'Slows target by 46.3%',100,2,2),
(249149,117617,'5% chance to dispel when target receives hostile action',100,2,3),
(249150,117617,'5% chance to dispel when target takes damage',100,2,4),
(249151,117617,'Must be flanking or behind',100,1,5),
(249152,117617,'Requires bow',100,1,6),
(249153,10117617,'Inflicts 346 - 577 ranged damage on target',100,1,0),
(249154,10117617,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(249155,10117617,'Slows target by 46.3%',100,2,2),
(249156,10117617,'5% chance to dispel when target receives hostile action',100,2,3),
(249157,10117617,'5% chance to dispel when target takes damage',100,2,4),
(249158,10117617,'Must be flanking or behind',100,1,5),
(249159,10117617,'Requires bow',100,1,6),
(249160,104224,'Inflicts 70 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(249161,104224,'Decreases WIS of target encounter by 44.6',100,1,1),
(249162,10104224,'Inflicts 84 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(249163,10104224,'Decreases WIS of target encounter by 44.6',100,1,1),
(249164,137602,'When Equipped:',100,0,0),
(249165,137602,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(249166,137602,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(249167,137602,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(249168,137602,'Must not be engaged in pvp combat',100,2,4),
(249169,137602,'Cannot be modified except by direct means',100,2,5),
(249170,137602,'Must not be engaged in pvp combat',100,1,6),
(249171,10137602,'When Equipped:',100,0,0),
(249172,10137602,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(249173,10137602,'Inflicts 5315 - 5874 slashing damage on target encounter',100,2,2),
(249174,10137602,'Inflicts 759 - 839 slashing damage on target encounter every 2 seconds',100,2,3),
(249175,10137602,'Must not be engaged in pvp combat',100,2,4),
(249176,10137602,'Cannot be modified except by direct means',100,2,5),
(249177,10137602,'Must not be engaged in pvp combat',100,1,6),
(249178,37138,'Increases AGI of target by 1.5',100,0,0),
(249179,37138,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(249180,108603,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(249181,108603,'Heals group members (AE) for 207 - 253 instantly and every 3 seconds',100,2,1),
(249182,108603,'Increases WIS, AGI, INT and STR of group members (AE) by 62.5',100,2,2),
(249183,108603,'Increases STA of group members (AE) by 125.0',100,2,3),
(249184,108603,'Adds 1.0% to base avoidance.',100,2,4),
(249185,108603,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,2,5),
(249186,10108603,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(249187,10108603,'Heals group members (AE) for 242 - 296 instantly and every 3 seconds',100,2,1),
(249188,10108603,'Increases WIS, AGI, INT and STR of group members (AE) by 62.5',100,2,2),
(249189,10108603,'Increases STA of group members (AE) by 125.0',100,2,3),
(249190,10108603,'Adds 1.0% to base avoidance.',100,2,4),
(249191,10108603,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',100,2,5),
(249192,115872,'Inflicts 793 - 1322 mental damage on target encounter',100,1,0),
(249193,115872,'Interrupts target encounter',100,1,1),
(249194,10115872,'Inflicts 952 - 1587 mental damage on target encounter',100,1,0),
(249195,10115872,'Interrupts target encounter',100,1,1),
(249196,159526,'Applies Lambent Imbued when Equipped.',100,0,0),
(249197,159526,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(249198,159526,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(249199,159526,'Cannot be modified except by direct means',100,2,3),
(249200,10159526,'Applies Lambent Imbued when Equipped.',100,0,0),
(249201,10159526,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(249202,10159526,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(249203,10159526,'Cannot be modified except by direct means',100,2,3),
(249204,122980,'Inflicts 545 - 737 mental damage on target',100,1,0),
(249205,10122980,'Inflicts 654 - 884 mental damage on target',100,1,0),
(249206,119595,'Increases power of caster by 44 instantly and every 4 seconds',100,1,0),
(249207,10119595,'Increases power of caster by 44 instantly and every 4 seconds',100,1,0),
(249208,52887,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(249209,52887,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(249210,52887,'Inflicts 95 heat damage on target',100,2,2),
(249211,52887,'Cannot be modified except by direct means',100,2,3),
(249212,10052887,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(249213,10052887,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(249214,10052887,'Inflicts 114 heat damage on target',100,2,2),
(249215,10052887,'Cannot be modified except by direct means',100,2,3),
(249216,47536,'Applies Pherlondien''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(249217,10047536,'Applies Pherlondien''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(249218,45606,'Applies Elixir of Enlightenment  when Activated.  Lasts for 30 minutes.',100,0,0),
(249219,45606,'Increases WIS and INT of caster by 6.7',100,1,1),
(249220,10045606,'Applies Elixir of Enlightenment  when Activated.  Lasts for 30 minutes.',100,0,0),
(249221,10045606,'Increases WIS and INT of caster by 6.7',100,1,1),
(249222,36987,'Increases Max Power of target by 3.3',100,0,0),
(249223,36987,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(249224,138789,'When Equipped:',100,0,0),
(249225,138789,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249226,138789,'Increases Damage Per Second of caster by 10.0',100,2,2),
(249227,138789,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(249228,138789,'Cannot be modified except by direct means',100,2,4),
(249229,138789,'Applies Heroic Resistance X when Equipped.',100,0,5),
(249230,138789,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(249231,138789,'Cannot be modified except by direct means',100,1,7),
(249232,10138789,'When Equipped:',100,0,0),
(249233,10138789,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249234,10138789,'Increases Damage Per Second of caster by 10.0',100,2,2),
(249235,10138789,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(249236,10138789,'Cannot be modified except by direct means',100,2,4),
(249237,10138789,'Applies Heroic Resistance X when Equipped.',100,0,5),
(249238,10138789,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,6),
(249239,10138789,'Cannot be modified except by direct means',100,1,7),
(249240,143733,'When Equipped:',100,0,0),
(249241,143733,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249242,143733,'Increases power of caster by 189 instantly and every 4 seconds',100,2,2),
(249243,143733,'Cannot be modified except by direct means',100,2,3),
(249244,10143733,'When Equipped:',100,0,0),
(249245,10143733,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(249246,10143733,'Increases power of caster by 189 instantly and every 4 seconds',100,2,2),
(249247,10143733,'Cannot be modified except by direct means',100,2,3),
(249248,88711,'When Equipped:',100,0,0),
(249249,88711,'On a combat hit this spell may cast Striking Blow on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249250,88711,'Inflicts 288 - 479 magic damage on target',100,2,2),
(249251,88711,'Interrupts target',100,2,3),
(249252,88711,'If Target is not Epic',100,3,4),
(249253,88711,'Cannot be modified except by direct means',100,2,5),
(249254,10088711,'When Equipped:',100,0,0),
(249255,10088711,'On a combat hit this spell may cast Striking Blow on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249256,10088711,'Inflicts 345 - 575 magic damage on target',100,2,2),
(249257,10088711,'Interrupts target',100,2,3),
(249258,10088711,'If Target is not Epic',100,3,4),
(249259,10088711,'Cannot be modified except by direct means',100,2,5),
(249260,101030,'Inflicts 424 - 788 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(249261,10101030,'Inflicts 399 - 741 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(249262,81247,'When Equipped:',100,0,0),
(249263,81247,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249264,81247,'Inflicts 201 - 373 magic damage on target',100,2,2),
(249265,81247,'Cannot be modified except by direct means',100,2,3),
(249266,10081247,'When Equipped:',100,0,0),
(249267,10081247,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249268,10081247,'Inflicts 241 - 447 magic damage on target',100,2,2),
(249269,10081247,'Cannot be modified except by direct means',100,2,3),
(249270,109308,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(249271,109308,'Increases Mitigation of group members (AE) vs elemental damage by 1023',100,1,1),
(249272,10109308,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(249273,10109308,'Increases Mitigation of group members (AE) vs elemental damage by 1023',100,1,1),
(249274,107350,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(249275,107350,'Increases Threat to target by 224 ',100,2,1),
(249276,10107350,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(249277,10107350,'Inflicts 39 - 43 crushing damage on target',100,2,1),
(249278,103904,'Increases power of group members (AE) by 48 instantly and every 6 seconds',100,1,0),
(249279,103904,'Decreases INT of target by 163.2',100,1,1),
(249280,10103904,'Increases power of group members (AE) by 48 instantly and every 6 seconds',100,1,0),
(249281,10103904,'Decreases INT of target by 163.2',100,1,1),
(249282,163802,'When Equipped:',100,0,0),
(249283,163802,'On a healing spell cast this spell may cast Presence of Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249284,163802,'Reduces the power cost of the casters next spell by 100%',100,2,2),
(249285,10163802,'When Equipped:',100,0,0),
(249286,10163802,'On a healing spell cast this spell may cast Presence of Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249287,10163802,'Reduces the power cost of the casters next spell by 100%',100,2,2),
(249288,100998,'Increases INT of target by 79.7',100,1,0),
(249289,100998,'Increases Attack Speed of target by 35.5',100,1,1),
(249290,100998,'Decreases Defense and Parry of target by 23.9',100,1,2),
(249291,100998,'Increases Slashing, Piercing and Crushing of target by 17.5',100,1,3),
(249292,10100998,'Increases INT of target by 79.7',100,1,0),
(249293,10100998,'Increases Attack Speed of target by 35.5',100,1,1),
(249294,10100998,'Decreases Defense and Parry of target by 23.9',100,1,2),
(249295,10100998,'Increases Slashing, Piercing and Crushing of target by 17.5',100,1,3),
(249296,105135,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(249297,105135,'Summon 1 Crystallized Essence (Adept)',100,2,1),
(249298,10105135,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(249299,10105135,'Summon 1 Crystallized Essence (Adept)',100,2,1),
(249300,41710,'When Equipped:',100,0,0),
(249301,41710,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249302,41710,'Inflicts 31 - 57 magic damage on target',100,2,2),
(249303,41710,'Cannot be modified except by direct means',100,2,3),
(249304,10041710,'When Equipped:',100,0,0),
(249305,10041710,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249306,10041710,'Inflicts 37 - 68 magic damage on target',100,2,2),
(249307,10041710,'Cannot be modified except by direct means',100,2,3),
(249308,107671,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1558',100,1,0),
(249309,10107671,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1558',100,1,0),
(249310,181191,'When Equipped:',100,0,0),
(249311,181191,'This effect will not stack with any rank or tier of itself.',100,1,1),
(249312,181191,'Increases Spell Weapon Multi Attack Chance of caster by 5.5',100,1,2),
(249313,181191,'Cannot be modified except by direct means',100,1,3),
(249314,10181191,'When Equipped:',100,0,0),
(249315,10181191,'This effect will not stack with any rank or tier of itself.',100,1,1),
(249316,10181191,'Increases Spell Weapon Multi Attack Chance of caster by 5.5',100,1,2),
(249317,10181191,'Cannot be modified except by direct means',100,1,3),
(249318,48929,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(249319,48929,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(249320,48929,'Stuns target',100,2,2),
(249321,48929,'If Target is not Epic',100,3,3),
(249322,48929,'Cannot be modified except by direct means',100,2,4),
(249323,48929,'Grants a total of 30 triggers of the spell.',100,2,5),
(249324,10048929,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(249325,10048929,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(249326,10048929,'Stuns target',100,2,2),
(249327,10048929,'If Target is not Epic',100,3,3),
(249328,10048929,'Cannot be modified except by direct means',100,2,4),
(249329,10048929,'Grants a total of 30 triggers of the spell.',100,2,5),
(249330,118069,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(249331,118069,'Increases Defense of caster by 6.7',100,1,1),
(249332,10118069,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(249333,10118069,'Increases Defense of caster by 6.7',100,1,1),
(249334,103187,'Increases Mitigation of caster vs physical damage by 208',100,1,0),
(249335,103187,'Roots caster',100,1,1),
(249336,10103187,'Increases Mitigation of caster vs physical damage by 208',100,1,0),
(249337,10103187,'Roots caster',100,1,1),
(249338,105810,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(249339,105810,'Inflicts 33 - 56 disease damage on target',100,2,1),
(249340,10105810,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(249341,10105810,'Inflicts 40 - 67 disease damage on target',100,2,1),
(249342,110194,'Interrupts target',100,1,0),
(249343,110194,'Inflicts 9 - 16 crushing damage on target',100,1,1),
(249344,10110194,'Interrupts target',100,1,0),
(249345,10110194,'Inflicts 11 - 19 crushing damage on target',100,1,1),
(249346,113500,'Inflicts 147 - 245 melee damage on targets in area',100,1,0),
(249347,10113500,'Inflicts 176 - 294 melee damage on targets in area',100,1,0),
(249348,119120,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(249349,119120,'Inflicts 89 - 108 slashing damage on target',100,2,1),
(249350,119120,'Increases Mitigation of caster vs physical damage by 325',100,1,2),
(249351,10119120,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(249352,10119120,'Inflicts 106 - 130 slashing damage on target',100,2,1),
(249353,10119120,'Increases Mitigation of caster vs physical damage by 325',100,1,2),
(249354,101986,'Inflicts 1122 - 2085 heat damage on target',100,1,0),
(249355,10101986,'Inflicts 1347 - 2502 heat damage on target',100,1,0),
(249356,102755,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(249357,102755,'Inflicts 255 - 425 divine damage on target',100,2,1),
(249358,102755,'Inflicts 219 - 364 divine damage on target',100,2,2),
(249359,102755,'If target is undead',100,3,3),
(249360,102755,'Stuns target',100,2,4),
(249361,102755,'If Target is not Epic',100,3,5),
(249362,10102755,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(249363,10102755,'Inflicts 459 - 765 divine damage on target',100,2,1),
(249364,10102755,'Stuns target',100,2,2),
(249365,10102755,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(249366,155209,'When Equipped:',100,0,0),
(249367,155209,'Increases the caster''s heals and wards by 5%.',100,1,1),
(249368,155209,'Must not be engaged in pvp combat',100,1,2),
(249369,10155209,'When Equipped:',100,0,0),
(249370,10155209,'Increases the caster''s heals and wards by 5%.',100,1,1),
(249371,10155209,'Must not be engaged in pvp combat',100,1,2),
(249372,121816,'Heals group members (AE) for 108 - 132',100,1,0),
(249373,121816,'Heals group members (AE) for 18 - 22 every second',100,1,1),
(249374,10121816,'Heals group members (AE) for 70 - 86',100,1,0),
(249375,10121816,'Heals group members (AE) for 12 - 14 every second',100,1,1),
(249376,114574,'Heals target for 65 - 79',100,1,0),
(249377,10114574,'Heals target for 42 - 51',100,1,0),
(249378,108948,'Increases INT of group members (AE) by 54.6',100,1,0),
(249379,108948,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 21.0',100,1,1),
(249380,10108948,'Increases INT of group members (AE) by 54.6',100,1,0),
(249381,10108948,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 21.0',100,1,1),
(249382,71689,'When Equipped:',100,0,0),
(249383,71689,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249384,71689,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(249385,71689,'Cannot be modified except by direct means',100,2,3),
(249386,10071689,'When Equipped:',100,0,0),
(249387,10071689,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249388,10071689,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(249389,10071689,'Cannot be modified except by direct means',100,2,3),
(249390,47231,'Applies Essence of Battle  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(249391,47231,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(249392,47231,'Inflicts 12 magic damage on target',100,2,2),
(249393,47231,'Cannot be modified except by direct means',100,2,3),
(249394,10047231,'Applies Essence of Battle  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(249395,10047231,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(249396,10047231,'Inflicts 14 magic damage on target',100,2,2),
(249397,10047231,'Cannot be modified except by direct means',100,2,3),
(249398,106808,'Decreases AGI and STR of target encounter by 102.5',100,1,0),
(249399,10106808,'Decreases AGI and STR of target encounter by 102.5',100,1,0),
(249400,152040,'When Equipped:',100,0,0),
(249401,152040,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(249402,152040,'Increases caster''s chance to block by 8.0%',100,2,2),
(249403,152040,'Cannot be modified except by direct means',100,2,3),
(249404,152040,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(249405,152040,'Increases caster''s chance to block by 8.0%',100,2,5),
(249406,152040,'Cannot be modified except by direct means',100,2,6),
(249407,10152040,'When Equipped:',100,0,0),
(249408,10152040,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(249409,10152040,'Increases caster''s chance to block by 8.0%',100,2,2),
(249410,10152040,'Cannot be modified except by direct means',100,2,3),
(249411,10152040,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(249412,10152040,'Increases caster''s chance to block by 8.0%',100,2,5),
(249413,10152040,'Cannot be modified except by direct means',100,2,6),
(249414,119330,'Roots target',100,1,0),
(249415,119330,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(249416,119330,'Slows target by 74.6%',100,2,2),
(249417,119330,'5% chance to dispel when target receives hostile action',100,2,3),
(249418,119330,'5% chance to dispel when target takes damage',100,2,4),
(249419,119330,'15% chance to dispel when target takes damage',100,1,5),
(249420,119330,'Does not affect Epic targets',100,1,6),
(249421,119330,'Resistibility increases against targets higher than level 112.',100,1,7),
(249422,10119330,'Roots target',100,1,0),
(249423,10119330,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(249424,10119330,'Slows target by 74.6%',100,2,2),
(249425,10119330,'5% chance to dispel when target receives hostile action',100,2,3),
(249426,10119330,'5% chance to dispel when target takes damage',100,2,4),
(249427,10119330,'15% chance to dispel when target takes damage',100,1,5),
(249428,10119330,'Does not affect Epic targets',100,1,6),
(249429,10119330,'Resistibility increases against targets higher than level 112.',100,1,7),
(249430,105087,'Inflicts 105 - 142 magic damage on target',100,1,0),
(249431,10105087,'Inflicts 126 - 170 magic damage on target',100,1,0),
(249432,159002,'When Equipped:',100,0,0),
(249433,159002,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(249434,10159002,'When Equipped:',100,0,0),
(249435,10159002,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(249436,81617,'When Equipped:',100,0,0),
(249437,81617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249438,81617,'Inflicts 96 - 179 magic damage on target',100,2,2),
(249439,81617,'Cannot be modified except by direct means',100,2,3),
(249440,10081617,'When Equipped:',100,0,0),
(249441,10081617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249442,10081617,'Inflicts 116 - 215 magic damage on target',100,2,2),
(249443,10081617,'Cannot be modified except by direct means',100,2,3),
(249444,107635,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(249445,107635,'Increases Mitigation of group members (AE) vs elemental damage by 504',100,1,1),
(249446,10107635,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(249447,10107635,'Increases Mitigation of group members (AE) vs elemental damage by 504',100,1,1),
(249448,139297,'Applies Dark Energy when Activated.',100,0,0),
(249449,139297,'Coats the wearer in pure Dark Energy.',100,1,1),
(249450,139297,'The casting time of Dark Energy is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(249451,139297,'When Equipped:',100,0,3),
(249452,139297,'Reduces maximum falling speed of caster',100,1,4),
(249453,10139297,'Applies Dark Energy when Activated.',100,0,0),
(249454,10139297,'Coats the wearer in pure Dark Energy.',100,1,1),
(249455,10139297,'The casting time of Dark Energy is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(249456,10139297,'When Equipped:',100,0,3),
(249457,10139297,'Reduces maximum falling speed of caster',100,1,4),
(249458,189155,'When Equipped:',100,0,0),
(249459,189155,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(249460,10189155,'When Equipped:',100,0,0),
(249461,10189155,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(249462,81128,'When Equipped:',100,0,0),
(249463,81128,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249464,81128,'Inflicts 136 - 253 magic damage on target',100,2,2),
(249465,81128,'Decreases Threat to target by 487 ',100,2,3),
(249466,81128,'Must be flanking or behind',100,3,4),
(249467,81128,'Increases Threat to target by 492 ',100,2,5),
(249468,81128,'Must be in front of',100,3,6),
(249469,81128,'Cannot be modified except by direct means',100,2,7),
(249470,10081128,'When Equipped:',100,0,0),
(249471,10081128,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249472,10081128,'Inflicts 164 - 304 magic damage on target',100,2,2),
(249473,10081128,'Cannot be modified except by direct means',100,2,3),
(249474,87473,'When Equipped:',100,0,0),
(249475,87473,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249476,87473,'Inflicts 152 - 228 magic damage on target',100,2,2),
(249477,87473,'Cannot be modified except by direct means',100,2,3),
(249478,10087473,'When Equipped:',100,0,0),
(249479,10087473,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249480,10087473,'Inflicts 182 - 273 magic damage on target',100,2,2),
(249481,10087473,'Cannot be modified except by direct means',100,2,3),
(249482,48982,'Applies Troll Snot when Activated.  Lasts for 30.0 seconds.',100,0,0),
(249483,48982,'Slows target by 32.0%',55,1,1),
(249484,48982,'Slows caster by 32.0%',45,1,2),
(249485,10048982,'Applies Troll Snot when Activated.  Lasts for 30.0 seconds.',100,0,0),
(249486,10048982,'Slows target by 32.0%',55,1,1),
(249487,10048982,'Slows caster by 32.0%',45,1,2),
(249488,103661,'Interrupts target',100,1,0),
(249489,103661,'Inflicts 57 - 95 melee damage on target',100,1,1),
(249490,103661,'Must be flanking or behind',100,1,2),
(249491,10103661,'Interrupts target',100,1,0),
(249492,10103661,'Inflicts 68 - 114 melee damage on target',100,1,1),
(249493,10103661,'Must be flanking or behind',100,1,2),
(249494,115476,'Summons a pet nightshade',100,1,0),
(249495,10115476,'Summons a pet nightshade',100,1,0),
(249496,46228,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(249497,46228,'Increases WIS of caster by 51.0',100,1,1),
(249498,10046228,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(249499,10046228,'Increases WIS of caster by 51.0',100,1,1),
(249500,47457,'Applies Overclocked Automated Pickaxe when Activated.  Lasts for 10 days.',100,0,0),
(249501,47457,'Increases Mining of caster by 20.0',100,1,1),
(249502,47457,'Reduces the harvest time for mining by .5 seconds.',100,1,2),
(249503,10047457,'Applies Overclocked Automated Pickaxe when Activated.  Lasts for 10 days.',100,0,0),
(249504,10047457,'Increases Mining of caster by 20.0',100,1,1),
(249505,10047457,'Reduces the harvest time for mining by .5 seconds.',100,1,2),
(249506,116699,'Heals group members (AE) for 10.8 - 13.2% of max health',100,1,0),
(249507,116699,'This effect cannot be critically applied.',100,2,1),
(249508,116699,'Increases Max Health of group members (AE) by 989.8',100,1,2),
(249509,116699,'The healing of this spell cannot be modified except by direct means',100,1,3),
(249510,10116699,'Heals group members (AE) for 6.1 - 7.5% of max health',100,1,0),
(249511,10116699,'This effect cannot be critically applied.',100,2,1),
(249512,10116699,'Increases Max Health of group members (AE) by 989.8',100,1,2),
(249513,10116699,'The healing of this spell cannot be modified except by direct means',100,1,3),
(249514,111253,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(249515,111253,'Heals target for 540',100,2,1),
(249516,111253,'Increases Mitigation of target vs physical damage by 390',100,2,2),
(249517,111253,'Grants a total of 1 trigger of the spell.',100,2,3),
(249518,10111253,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(249519,10111253,'Heals target for 351',100,2,1),
(249520,10111253,'Increases Mitigation of target vs physical damage by 390',100,2,2),
(249521,10111253,'Grants a total of 1 trigger of the spell.',100,2,3),
(249522,35005,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(249523,35005,'This effect suspends during combat',100,0,1),
(249524,107153,'Inflicts 750 - 917 divine damage on target',100,1,0),
(249525,107153,'Inflicts 750 - 917 divine damage on target',100,1,1),
(249526,107153,'If target is undead',100,2,2),
(249527,10107153,'Inflicts 900 - 1100 divine damage on target',100,1,0),
(249528,10107153,'Inflicts 900 - 1100 divine damage on target',100,1,1),
(249529,71778,'When Equipped:',100,0,0),
(249530,71778,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249531,71778,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(249532,71778,'Cannot be modified except by direct means',100,2,3),
(249533,10071778,'When Equipped:',100,0,0),
(249534,10071778,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249535,10071778,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(249536,10071778,'Cannot be modified except by direct means',100,2,3),
(249537,110610,'Decreases Focus of target by 26.5',100,1,0),
(249538,110610,'Interrupts target',100,1,1),
(249539,110610,'Inflicts 108 - 326 crushing damage on target',100,1,2),
(249540,10110610,'Decreases Focus of target by 26.5',100,1,0),
(249541,10110610,'Interrupts target',100,1,1),
(249542,10110610,'Inflicts 130 - 391 crushing damage on target',100,1,2),
(249543,188235,'When Equipped:',100,0,0),
(249544,188235,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249545,188235,'Inflicts 756 divine damage on target',100,2,2),
(249546,188235,'Must be classified as a vampire',100,3,3),
(249547,188235,'Inflicts 378 divine damage on target',100,2,4),
(249548,188235,'Must not be classified as a vampire',100,3,5),
(249549,188235,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(249550,188235,'Must be classified as a vampire',100,3,7),
(249551,188235,'Cannot be modified except by direct means',100,2,8),
(249552,188235,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(249553,10188235,'When Equipped:',100,0,0),
(249554,10188235,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249555,10188235,'Inflicts 907 divine damage on target',100,2,2),
(249556,10188235,'Must be classified as a vampire',100,3,3),
(249557,10188235,'Inflicts 454 divine damage on target',100,2,4),
(249558,10188235,'Must not be classified as a vampire',100,3,5),
(249559,10188235,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(249560,10188235,'Must be classified as a vampire',100,3,7),
(249561,10188235,'Cannot be modified except by direct means',100,2,8),
(249562,10188235,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(249563,36034,'Increases WIS of target by 1.5',100,0,0),
(249564,36034,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(249565,103913,'Wards group members (AE) collectively against 361 total points of all damage',100,1,0),
(249566,10103913,'Wards group members (AE) collectively against 539 total points of all damage',100,1,0),
(249567,104495,'Decreases Mitigation of target encounter vs physical damage by 1016',100,1,0),
(249568,10104495,'Decreases Mitigation of target encounter vs physical damage by 1016',100,1,0),
(249569,111857,'Inflicts 35 - 66 heat damage on target',100,1,0),
(249570,111857,'Inflicts 13 - 25 heat damage on target every 2 seconds',100,1,1),
(249571,10111857,'Inflicts 42 - 79 heat damage on target',100,1,0),
(249572,10111857,'Inflicts 16 - 29 heat damage on target every 2 seconds',100,1,1),
(249573,122837,'Inflicts 534 - 890 ranged damage on target',100,1,0),
(249574,122837,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(249575,122837,'Increases Hate Gain of target by 30.0%',100,2,2),
(249576,122837,'Grants a total of 1 trigger of the spell.',100,2,3),
(249577,122837,'Requires bow',100,1,4),
(249578,10122837,'Inflicts 453 - 756 ranged damage on target',100,1,0),
(249579,10122837,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(249580,10122837,'Grants a total of 1 trigger of the spell.',100,2,2),
(249581,10122837,'Requires bow',100,1,3),
(249582,25490,'When Equipped:',100,0,0),
(249583,25490,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(249584,25490,'Increases the base damage of Five Rings VI by 20%.',100,1,2),
(249585,10025490,'When Equipped:',100,0,0),
(249586,10025490,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(249587,10025490,'Increases the base damage of Five Rings VI by 20%.',100,1,2),
(249588,111201,'Inflicts 282 - 471 divine damage on targets in area',100,1,0),
(249589,111201,'Heals group members (AE) for 2.8% of max health',100,1,1),
(249590,111201,'This effect cannot be critically applied.',100,2,2),
(249591,111201,'The healing of this spell cannot be modified except by direct means',100,1,3),
(249592,10111201,'Inflicts 339 - 565 divine damage on targets in area',100,1,0),
(249593,10111201,'Heals group members (AE) for 1.8% of max health',100,1,1),
(249594,10111201,'This effect cannot be critically applied.',100,2,2),
(249595,10111201,'The healing of this spell cannot be modified except by direct means',100,1,3),
(249596,45585,'Applies Elixir of Affliction Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(249597,45585,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(249598,10045585,'Applies Elixir of Affliction Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(249599,10045585,'Increases Mitigation of caster vs noxious damage by 250',100,1,1),
(249600,41633,'When Equipped:',100,0,0),
(249601,41633,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249602,41633,'Inflicts 107 - 199 magic damage on target',100,2,2),
(249603,41633,'Decreases Threat to target by 376 ',100,2,3),
(249604,41633,'Must be flanking or behind',100,3,4),
(249605,41633,'Increases Threat to target by 381 ',100,2,5),
(249606,41633,'Must be in front of',100,3,6),
(249607,41633,'Cannot be modified except by direct means',100,2,7),
(249608,10041633,'When Equipped:',100,0,0),
(249609,10041633,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249610,10041633,'Inflicts 128 - 238 magic damage on target',100,2,2),
(249611,10041633,'Cannot be modified except by direct means',100,2,3),
(249612,45461,'Applies Call of the Tinkerer when Activated.',100,0,0),
(249613,45461,'Teleports caster to target',100,1,1),
(249614,45461,'This effect cannot be cast during combat',100,1,2),
(249615,45461,'If target is a player or a mercenary',100,1,3),
(249616,45461,'If target is not possessed',100,1,4),
(249617,10045461,'Applies Call of the Tinkerer when Activated.',100,0,0),
(249618,10045461,'Teleports caster to target',100,1,1),
(249619,10045461,'This effect cannot be cast during combat',100,1,2),
(249620,10045461,'If target is a player or a mercenary',100,1,3),
(249621,10045461,'If target is not possessed',100,1,4),
(249622,112735,'Inflicts 475 - 791 disease damage on target encounter',100,1,0),
(249623,10112735,'Inflicts 570 - 950 disease damage on target encounter',100,1,0),
(249624,75032,'Applies Mental Blast when Activated.',100,0,0),
(249625,75032,'Inflicts 360 - 600 mental damage on target',100,1,1),
(249626,75032,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(249627,10075032,'Applies Mental Blast when Activated.',100,0,0),
(249628,10075032,'Inflicts 432 - 721 mental damage on target',100,1,1),
(249629,10075032,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(249630,108050,'Inflicts 565 magic damage on target',100,1,0),
(249631,108050,'Increases power of caster by 233',100,1,1),
(249632,10108050,'Inflicts 678 magic damage on target',100,1,0),
(249633,10108050,'Increases power of caster by 233',100,1,1),
(249634,123506,'Decreases Mitigation of target encounter vs noxious damage by 770',100,1,0),
(249635,10123506,'Decreases Mitigation of target encounter vs noxious damage by 770',100,1,0),
(249636,80972,'When Equipped:',100,0,0),
(249637,80972,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249638,80972,'Inflicts 184 - 342 magic damage on target',100,2,2),
(249639,80972,'Cannot be modified except by direct means',100,2,3),
(249640,10080972,'When Equipped:',100,0,0),
(249641,10080972,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249642,10080972,'Inflicts 221 - 410 magic damage on target',100,2,2),
(249643,10080972,'Cannot be modified except by direct means',100,2,3),
(249644,120997,'Inflicts 61 - 102 poison damage on target instantly and every 4 seconds',100,1,0),
(249645,120997,'Inflicts 245 - 409 poison damage on target',100,1,1),
(249646,10120997,'Inflicts 74 - 123 poison damage on target instantly and every 4 seconds',100,1,0),
(249647,10120997,'Inflicts 294 - 491 poison damage on target',100,1,1),
(249648,47252,'Applies Jentry''s Absolution  when Activated.',100,0,0),
(249649,47252,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(249650,10047252,'Applies Jentry''s Absolution  when Activated.',100,0,0),
(249651,10047252,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(249652,113384,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,0),
(249653,113384,'Stifles target',100,2,1),
(249654,113384,'Blurs vision of target',100,2,2),
(249655,113384,'Dispelled when target takes damage',100,2,3),
(249656,113384,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,4),
(249657,113384,'Resistibility increases against targets higher than level 102.',100,2,5),
(249658,113384,'Roots target',100,1,6),
(249659,113384,'5% chance to dispel when target takes damage',100,1,7),
(249660,113384,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(249661,113384,'Resistibility increases against targets higher than level 102.',100,1,9),
(249662,10113384,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,0),
(249663,10113384,'Blurs vision of target',100,2,1),
(249664,10113384,'Stifles target',100,2,2),
(249665,10113384,'Dispelled when target takes damage',100,2,3),
(249666,10113384,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(249667,10113384,'Resistibility increases against targets higher than level 102.',100,2,5),
(249668,10113384,'Roots target',100,1,6),
(249669,10113384,'5% chance to dispel when target takes damage',100,1,7),
(249670,10113384,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(249671,10113384,'Resistibility increases against targets higher than level 102.',100,1,9),
(249672,105626,'Inflicts 41 disease damage on target instantly and every 6 seconds',100,1,0),
(249673,105626,'Inflicts 95 - 158 disease damage on target',100,1,1),
(249674,105626,'Inflicts 95 - 158 disease damage on target',100,1,2),
(249675,10105626,'Inflicts 49 disease damage on target instantly and every 6 seconds',100,1,0),
(249676,10105626,'Inflicts 114 - 190 disease damage on target',100,1,1),
(249677,10105626,'Inflicts 114 - 190 disease damage on target',100,1,2),
(249678,101647,'Applies Forceful Headache on termination.',100,1,0),
(249679,101647,'Inflicts 468 - 780 mental damage on target',100,2,1),
(249680,101647,'If over 50% power',100,3,2),
(249681,101647,'Inflicts 187 - 229 mental damage on target instantly and every 6 seconds',100,1,3),
(249682,101647,'Decreases Mitigation of target vs arcane damage by 1728',100,1,4),
(249683,10101647,'Applies Forceful Headache on termination.',100,1,0),
(249684,10101647,'Inflicts 562 - 936 mental damage on target',100,2,1),
(249685,10101647,'If over 50% power',100,3,2),
(249686,10101647,'Inflicts 225 - 275 mental damage on target instantly and every 6 seconds',100,1,3),
(249687,10101647,'Decreases Mitigation of target vs arcane damage by 1728',100,1,4),
(249688,118992,'Heals target for 374 - 457',100,1,0),
(249689,10118992,'Heals target for 398 - 486',100,1,0),
(249690,35791,'Increases AGI of target by 1.5',100,0,0),
(249691,35791,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(249692,106515,'Inflicts 819 - 1365 melee damage on target',100,1,0),
(249693,106515,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(249694,106515,'If Target is Standard or weaker',100,2,2),
(249695,10106515,'Inflicts 491 - 819 melee damage on target',100,1,0),
(249696,117218,'Inflicts 4 slashing damage on target every 4 seconds',100,1,0),
(249697,117218,'Inflicts 22 - 37 melee damage on target',100,1,1),
(249698,10117218,'Inflicts 5 slashing damage on target every 4 seconds',100,1,0),
(249699,10117218,'Inflicts 26 - 44 melee damage on target',100,1,1),
(249700,100768,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(249701,100768,'Heals target for 1487',100,2,1),
(249702,100768,'Increases power of target by 343 every 6 seconds',100,2,2),
(249703,100768,'Wards target against 1612 points of all damage',100,2,3),
(249704,100768,'Grants a total of 1 trigger of the spell.',100,2,4),
(249705,10100768,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(249706,10100768,'Heals target for 1740',100,2,1),
(249707,10100768,'Increases power of target by 343 every 6 seconds',100,2,2),
(249708,10100768,'Wards target against 1612 points of all damage',100,2,3),
(249709,10100768,'Grants a total of 1 trigger of the spell.',100,2,4),
(249710,70617,'When Equipped:',100,0,0),
(249711,70617,'On a combat hit this spell may cast Terrorantula''s Bite on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249712,70617,'Inflicts 126 - 189 poison damage on target every 4.8 seconds',100,2,2),
(249713,70617,'Cannot be modified except by direct means',100,2,3),
(249714,10070617,'When Equipped:',100,0,0),
(249715,10070617,'On a combat hit this spell may cast Terrorantula''s Bite on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249716,10070617,'Inflicts 151 - 227 poison damage on target every 4.8 seconds',100,2,2),
(249717,10070617,'Cannot be modified except by direct means',100,2,3),
(249718,117757,'Increases Max Health of target by 96.3',100,1,0),
(249719,117757,'Increases Slashing and Crushing of target by 2.3',100,1,1),
(249720,117757,'Increases Piercing of target by 4.6',100,1,2),
(249721,10117757,'Increases Max Health of target by 96.3',100,1,0),
(249722,10117757,'Increases Slashing and Crushing of target by 2.3',100,1,1),
(249723,10117757,'Increases Piercing of target by 4.6',100,1,2),
(249724,122811,'Summons a pet Treant Sapling',100,1,0),
(249725,10122811,'Summons a pet Treant Sapling',100,1,0),
(249726,36722,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(249727,102006,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(249728,102006,'Wards target against 129 points of all damage',100,2,1),
(249729,10102006,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(249730,10102006,'Wards target against 129 points of all damage',100,2,1),
(249731,82695,'When Equipped:',100,0,0),
(249732,82695,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249733,82695,'Inflicts 105 - 195 magic damage on target',100,2,2),
(249734,82695,'Decreases Threat to target by 487 ',100,2,3),
(249735,82695,'Must be flanking or behind',100,3,4),
(249736,82695,'Increases Threat to target by 492 ',100,2,5),
(249737,82695,'Must be in front of',100,3,6),
(249738,82695,'Cannot be modified except by direct means',100,2,7),
(249739,10082695,'When Equipped:',100,0,0),
(249740,10082695,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249741,10082695,'Inflicts 126 - 234 magic damage on target',100,2,2),
(249742,10082695,'Cannot be modified except by direct means',100,2,3),
(249743,155815,'When Equipped:',100,0,0),
(249744,155815,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(249745,155815,'Inflicts 1986 disease damage on target encounter',100,2,2),
(249746,155815,'Must not be engaged in pvp combat',100,2,3),
(249747,155815,'Cannot be modified except by direct means',100,2,4),
(249748,10155815,'When Equipped:',100,0,0),
(249749,10155815,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(249750,10155815,'Inflicts 1192 disease damage on target encounter',100,2,2),
(249751,10155815,'Must not be engaged in pvp combat',100,2,3),
(249752,10155815,'Cannot be modified except by direct means',100,2,4),
(249753,112763,'Interrupts target',100,1,0),
(249754,112763,'Inflicts 131 - 219 divine damage on target',100,1,1),
(249755,10112763,'Interrupts target',100,1,0),
(249756,10112763,'Inflicts 158 - 263 divine damage on target',100,1,1),
(249757,87251,'When Equipped:',100,0,0),
(249758,87251,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249759,87251,'Inflicts 168 - 252 magic damage on target',100,2,2),
(249760,87251,'Cannot be modified except by direct means',100,2,3),
(249761,10087251,'When Equipped:',100,0,0),
(249762,10087251,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249763,10087251,'Inflicts 202 - 303 magic damage on target',100,2,2),
(249764,10087251,'Cannot be modified except by direct means',100,2,3),
(249765,46210,'Applies Petamorph: Pink Dragon when Activated.  Lasts for 2 hours.',100,0,0),
(249766,46210,'Turns the caster''s combat pet into a pink baby dragon. Does not work on cosmetic pets.',100,1,1),
(249767,10046210,'Applies Petamorph: Pink Dragon when Activated.  Lasts for 2 hours.',100,0,0),
(249768,10046210,'Turns the caster''s combat pet into a pink baby dragon. Does not work on cosmetic pets.',100,1,1),
(249769,164790,'When Equipped:',100,0,0),
(249770,164790,'Increases Attack Speed of caster by 35.0',100,1,1),
(249771,10164790,'When Equipped:',100,0,0),
(249772,10164790,'Increases Attack Speed of caster by 35.0',100,1,1),
(249773,116177,'Inflicts 36 - 60 mental damage on target',100,1,0),
(249774,10116177,'Inflicts 43 - 72 mental damage on target',100,1,0),
(249775,47516,'Applies Petrified Dark Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(249776,47516,'Shapechanges caster into a dark elf',100,1,1),
(249777,10047516,'Applies Petrified Dark Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(249778,10047516,'Shapechanges caster into a dark elf',100,1,1),
(249779,121790,'Heals target for 236 - 288',100,1,0),
(249780,121790,'Heals target for 39 - 48 every second',100,1,1),
(249781,10121790,'Heals target for 409 - 499',100,1,0),
(249782,10121790,'Heals target for 34 - 42 every second',100,1,1),
(249783,120407,'Decreases Defense of caster by 23.0',100,1,0),
(249784,120407,'Increases Crushing and Ranged of caster by 32.8',100,1,1),
(249785,120407,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(249786,120407,'Inflicts 211 - 351 heat damage on target',100,2,3),
(249787,120407,'Increases Slashing and Piercing of caster by 32.8',100,1,4),
(249788,10120407,'Decreases Defense of caster by 23.0',100,1,0),
(249789,10120407,'Increases Crushing and Ranged of caster by 32.8',100,1,1),
(249790,10120407,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(249791,10120407,'Inflicts 253 - 421 heat damage on target',100,2,3),
(249792,10120407,'Increases Slashing and Piercing of caster by 32.8',100,1,4),
(249793,160021,'Applies Sanguine Imbued when Equipped.',100,0,0),
(249794,160021,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(249795,160021,'Inflicts 160 heat damage on target',100,2,2),
(249796,160021,'Cannot be modified except by direct means',100,2,3),
(249797,10160021,'Applies Sanguine Imbued when Equipped.',100,0,0),
(249798,10160021,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(249799,10160021,'Inflicts 192 heat damage on target',100,2,2),
(249800,10160021,'Cannot be modified except by direct means',100,2,3),
(249801,46074,'Applies Elixir of Enlightenment when Activated.  Lasts for 30 minutes.',100,0,0),
(249802,46074,'Increases WIS and INT of caster by 6.7',100,1,1),
(249803,10046074,'Applies Elixir of Enlightenment when Activated.  Lasts for 30 minutes.',100,0,0),
(249804,10046074,'Increases WIS and INT of caster by 6.7',100,1,1),
(249805,116705,'Inflicts 114 - 190 melee damage on target',100,1,0),
(249806,10116705,'Inflicts 137 - 228 melee damage on target',100,1,0),
(249807,159447,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(249808,159447,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(249809,159447,'Inflicts 44 heat damage on target',100,2,2),
(249810,159447,'Cannot be modified except by direct means',100,2,3),
(249811,10159447,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(249812,10159447,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(249813,10159447,'Inflicts 53 heat damage on target',100,2,2),
(249814,10159447,'Cannot be modified except by direct means',100,2,3),
(249815,118430,'Heals target for 1385 - 1692',100,1,0),
(249816,118430,'Increases Max Health of target by 233.0',100,1,1),
(249817,10118430,'Heals target for 1606 - 1963',100,1,0),
(249818,10118430,'Increases Max Health of target by 233.0',100,1,1),
(249819,106128,'Increases Attack Speed of caster by 44.2',100,1,0),
(249820,106128,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(249821,106128,'Stuns target',100,2,2),
(249822,106128,'Blurs vision of target',100,2,3),
(249823,106128,'Throws target back',100,2,4),
(249824,106128,'Does not affect Epic targets',100,2,5),
(249825,10106128,'Increases Attack Speed of caster by 44.2',100,1,0),
(249826,10106128,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(249827,10106128,'Stuns target',100,2,2),
(249828,10106128,'Throws target back',100,2,3),
(249829,10106128,'Blurs vision of target',100,2,4),
(249830,10106128,'Does not affect Epic targets',100,2,5),
(249831,106871,'Decreases Threat to targets in Area of Effect by 1,152 ',100,1,0),
(249832,106871,'Stuns targets in Area of Effect',100,1,1),
(249833,106871,'If Target is not Epic',100,2,2),
(249834,10106871,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(249835,10106871,'Applies Distract.',100,1,1),
(249836,10106871,'Forces target to clear their selected target.',100,2,2),
(249837,10106871,'Stuns targets in Area of Effect',100,1,3),
(249838,10106871,'If Target is not Epic',100,2,4),
(249839,70974,'When Equipped:',100,0,0),
(249840,70974,'On a combat hit this spell may cast Chorus of Rejuvenation on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249841,70974,'Heals group members for 114 - 170',100,2,2),
(249842,70974,'Heals group members for 57 - 85 every 3 seconds',100,2,3),
(249843,70974,'Cannot be modified except by direct means',100,2,4),
(249844,10070974,'When Equipped:',100,0,0),
(249845,10070974,'On a combat hit this spell may cast Chorus of Rejuvenation on caster.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249846,10070974,'Heals group members for 74 - 111',100,2,2),
(249847,10070974,'Heals group members for 37 - 55 every 3 seconds',100,2,3),
(249848,10070974,'Cannot be modified except by direct means',100,2,4),
(249849,36594,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(249850,87280,'When Equipped:',100,0,0),
(249851,87280,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249852,87280,'Inflicts 71 - 106 magic damage on target',100,2,2),
(249853,87280,'Cannot be modified except by direct means',100,2,3),
(249854,10087280,'When Equipped:',100,0,0),
(249855,10087280,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(249856,10087280,'Inflicts 85 - 127 magic damage on target',100,2,2),
(249857,10087280,'Cannot be modified except by direct means',100,2,3),
(249858,118944,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(249859,118944,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1583',100,1,1),
(249860,118944,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,2),
(249861,10118944,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(249862,10118944,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1583',100,1,1),
(249863,10118944,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,2),
(249864,112783,'Interrupts target',100,1,0),
(249865,112783,'Inflicts 470 - 783 divine damage on target',100,1,1),
(249866,10112783,'Interrupts target',100,1,0),
(249867,10112783,'Inflicts 564 - 939 divine damage on target',100,1,1),
(249868,116030,'Prevents target from changing targets',100,1,0),
(249869,116030,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(249870,116030,'Increases Threat to target by 1,953 - 2,386  instantly and by 1,244 - 1,520  every 4 seconds thereafter',100,2,2),
(249871,116030,'Increases Threat to target by 3,547 - 4,334  instantly and by 2,219 - 2,711  every 2 seconds thereafter',100,1,3),
(249872,116030,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(249873,116030,'Increases threat priority of target by 4 positions',100,1,5),
(249874,116030,'Must be not at the top of the hate list of your current target.',100,1,6),
(249875,10116030,'Prevents target from changing targets',100,1,0),
(249876,10116030,'Forces target to change their selected target to caster.',100,1,1),
(249877,10116030,'Must be not at the top of the hate list of your current target.',100,1,2),
(249878,101599,'Inflicts 329 - 549 melee damage on targets in area',100,1,0),
(249879,10101599,'Inflicts 395 - 659 melee damage on targets in area',100,1,0),
(249880,122440,'Inflicts 212 - 354 magic damage on target',100,1,0),
(249881,10122440,'Inflicts 255 - 425 magic damage on target',100,1,0),
(249882,72298,'When Equipped:',100,0,0),
(249883,72298,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249884,72298,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(249885,72298,'Cannot be modified except by direct means',100,2,3),
(249886,10072298,'When Equipped:',100,0,0),
(249887,10072298,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(249888,10072298,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(249889,10072298,'Cannot be modified except by direct means',100,2,3),
(249890,37281,'Increases STA and AGI of target by 5.4',100,0,0),
(249891,37281,'Increases Damage Per Second of target by 10.0',100,0,1),
(249892,37281,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(249893,80895,'When Equipped:',100,0,0),
(249894,80895,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249895,80895,'Inflicts 184 - 342 magic damage on target',100,2,2),
(249896,80895,'Decreases Threat to target by 672 ',100,2,3),
(249897,80895,'Must be flanking or behind',100,3,4),
(249898,80895,'Increases Threat to target by 677 ',100,2,5),
(249899,80895,'Must be in front of',100,3,6),
(249900,80895,'Cannot be modified except by direct means',100,2,7),
(249901,10080895,'When Equipped:',100,0,0),
(249902,10080895,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249903,10080895,'Inflicts 221 - 410 magic damage on target',100,2,2),
(249904,10080895,'Cannot be modified except by direct means',100,2,3),
(249905,79740,'Applies Mark of Pestilence when Equipped.',100,0,0),
(249906,10079740,'Applies Mark of Pestilence when Equipped.',100,0,0),
(249907,121697,'Increases AGI of caster by 13.9',100,1,0),
(249908,121697,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(249909,121697,'Increases Parry of caster by 7.7',100,1,2),
(249910,121697,'Increases Defense of caster by 10.3',100,1,3),
(249911,10121697,'Increases AGI of caster by 13.9',100,1,0),
(249912,10121697,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(249913,10121697,'Increases Parry of caster by 7.7',100,1,2),
(249914,10121697,'Increases Defense of caster by 10.3',100,1,3),
(249915,118468,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(249916,118468,'Inflicts 25 - 31 heat damage on target instantly and every second',100,2,1),
(249917,10118468,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(249918,10118468,'Inflicts 30 - 37 heat damage on target instantly and every second',100,2,1),
(249919,117802,'Mesmerizes target',100,1,0),
(249920,117802,'Prevents AOE (except when direct) ',100,1,1),
(249921,117802,'Dispelled when target takes damage',100,1,2),
(249922,117802,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(249923,117802,'Resistibility increases against targets higher than level 97.',100,1,4),
(249924,10117802,'Mesmerizes target',100,1,0),
(249925,10117802,'Prevents AOE (except when direct) ',100,1,1),
(249926,10117802,'Dispelled when target takes damage',100,1,2),
(249927,10117802,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(249928,10117802,'Resistibility increases against targets higher than level 97.',100,1,4),
(249929,121673,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(249930,121673,'Inflicts 16 - 19 heat damage on target instantly and every second',100,2,1),
(249931,10121673,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(249932,10121673,'Inflicts 19 - 23 heat damage on target instantly and every second',100,2,1),
(249933,113309,'Inflicts 132 - 220 heat damage on target',100,1,0),
(249934,10113309,'Inflicts 240 - 400 heat damage on target',100,1,0),
(249935,102099,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(249936,102099,'Stuns target',100,2,1),
(249937,102099,'Blurs vision of target',100,2,2),
(249938,102099,'Throws target back',100,2,3),
(249939,102099,'Does not affect Epic targets',100,2,4),
(249940,102099,'Inflicts 102 - 170 crushing damage on target',100,1,5),
(249941,10102099,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(249942,10102099,'Stuns target',100,2,1),
(249943,10102099,'Throws target back',100,2,2),
(249944,10102099,'Blurs vision of target',100,2,3),
(249945,10102099,'Does not affect Epic targets',100,2,4),
(249946,10102099,'Inflicts 122 - 204 crushing damage on target',100,1,5),
(249947,80322,'When Equipped:',100,0,0),
(249948,80322,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249949,80322,'Inflicts 53 - 98 magic damage on target',100,2,2),
(249950,80322,'Decreases Threat to target by 236 ',100,2,3),
(249951,80322,'Must be flanking or behind',100,3,4),
(249952,80322,'Increases Threat to target by 241 ',100,2,5),
(249953,80322,'Must be in front of',100,3,6),
(249954,80322,'Cannot be modified except by direct means',100,2,7),
(249955,10080322,'When Equipped:',100,0,0),
(249956,10080322,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(249957,10080322,'Inflicts 64 - 118 magic damage on target',100,2,2),
(249958,10080322,'Cannot be modified except by direct means',100,2,3),
(249959,124783,'Increases STR of caster by 37.0',100,1,0),
(249960,124783,'Decreases Defense of caster by 4.8',100,1,1),
(249961,124783,'Increases Crushing, Piercing, Slashing and Disruption of caster by 10.1',100,1,2),
(249962,10124783,'Increases STR of caster by 37.0',100,1,0),
(249963,10124783,'Decreases Defense of caster by 4.8',100,1,1),
(249964,10124783,'Increases Crushing, Piercing, Slashing and Disruption of caster by 10.1',100,1,2),
(249965,122796,'Heals target for 717',100,1,0),
(249966,10122796,'Heals target for 559',100,1,0),
(249967,117052,'Inflicts 98 - 164 melee damage on target',100,1,0),
(249968,117052,'Decreases Attack Speed of target by 20.6',100,1,1),
(249969,10117052,'Inflicts 118 - 197 melee damage on target',100,1,0),
(249970,10117052,'Decreases Attack Speed of target by 20.6',100,1,1),
(249971,53380,'Applies Heroic Resistance V when Equipped.',100,0,0),
(249972,53380,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(249973,53380,'Cannot be modified except by direct means',100,1,2),
(249974,10053380,'Applies Heroic Resistance V when Equipped.',100,0,0),
(249975,10053380,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(249976,10053380,'Cannot be modified except by direct means',100,1,2),
(249977,106428,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(249978,106428,'Inflicts 612 - 748 mental damage on target',100,2,1),
(249979,106428,'Grants a total of 3 triggers of the spell.',100,2,2),
(249980,10106428,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(249981,10106428,'Inflicts 735 - 898 mental damage on target',100,2,1),
(249982,10106428,'Grants a total of 3 triggers of the spell.',100,2,2),
(249983,37074,'Increases STR and STA of target by 5.4',100,0,0),
(249984,37074,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(249985,37074,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(249986,117215,'Inflicts 4 slashing damage on target every 4 seconds',100,1,0),
(249987,117215,'Inflicts 19 - 32 melee damage on target',100,1,1),
(249988,10117215,'Inflicts 5 slashing damage on target every 4 seconds',100,1,0),
(249989,10117215,'Inflicts 23 - 38 melee damage on target',100,1,1),
(249990,25016,'When Equipped:',100,0,0),
(249991,25016,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(249992,25016,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(249993,10025016,'When Equipped:',100,0,0),
(249994,10025016,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(249995,10025016,'Reduces the reuse time of Refusal of Atonement V by 20 seconds.',100,1,2),
(249996,118647,'Inflicts 32 - 54 slashing damage on target',100,1,0),
(249997,10118647,'Inflicts 39 - 65 slashing damage on target',100,1,0),
(249998,48634,'Applies Aegis of the Windrider  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(249999,48634,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(250000,48634,'Inflicts 5 magic damage on target',100,2,2),
(250001,48634,'Cannot be modified except by direct means',100,2,3),
(250002,10048634,'Applies Aegis of the Windrider  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(250003,10048634,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(250004,10048634,'Inflicts 5 magic damage on target',100,2,2),
(250005,10048634,'Cannot be modified except by direct means',100,2,3),
(250006,116581,'Inflicts 77 - 129 divine damage on target',100,1,0),
(250007,10116581,'Inflicts 93 - 155 divine damage on target',100,1,0),
(250008,75401,'When Equipped:',100,0,0),
(250009,75401,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(250010,75401,'Inflicts 144 - 240 poison damage on target',100,2,2),
(250011,75401,'Cannot be modified except by direct means',100,2,3),
(250012,10075401,'When Equipped:',100,0,0),
(250013,10075401,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(250014,10075401,'Inflicts 173 - 288 poison damage on target',100,2,2),
(250015,10075401,'Cannot be modified except by direct means',100,2,3),
(250016,169254,'When Equipped:',100,0,0),
(250017,169254,'On a hostile spell cast this spell may cast Potent Prevalence on target of spell.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(250018,169254,'Decreases Threat to caster by 1,000 ',100,2,2),
(250019,169254,'On a hostile spell cast this spell will cast Potent Potables on caster.  ',100,2,3),
(250020,169254,'Increases power of caster by 228 - 279',100,3,4),
(250021,169254,'Grants a total of 4 triggers of the spell.',100,3,5),
(250022,169254,'Cannot be modified except by direct means',100,2,6),
(250023,10169254,'When Equipped:',100,0,0),
(250024,10169254,'On a hostile spell cast this spell may cast Potent Prevalence on target of spell.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(250025,10169254,'On a hostile spell cast this spell will cast Potent Potables on caster.  ',100,2,2),
(250026,10169254,'Increases power of caster by 228 - 279',100,3,3),
(250027,10169254,'Grants a total of 4 triggers of the spell.',100,3,4),
(250028,10169254,'Cannot be modified except by direct means',100,2,5),
(250029,120698,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.2',100,1,0),
(250030,10120698,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.2',100,1,0),
(250031,109983,'Inflicts 1000 - 1500 disease damage on targets in Area of Effect',100,1,0),
(250032,109983,'Inflicts 500 - 750 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(250033,109983,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(250034,109983,'Increases Threat to targets in Area of Effect by 4,253 - 5,197  instantly and every 4 seconds thereafter',100,1,3),
(250035,10109983,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(250036,10109983,'Prevents target from changing targets',100,2,1),
(250037,10109983,'Forces target to change their selected target to caster.',100,2,2),
(250038,10109983,'Inflicts 1200 - 1801 disease damage on targets in Area of Effect',100,1,3),
(250039,10109983,'Inflicts 600 - 900 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(250040,120867,'Inflicts 31 - 53 mental damage on target',100,1,0),
(250041,120867,'Inflicts 31 - 53 mental damage on target',100,1,1),
(250042,10120867,'Inflicts 38 - 63 mental damage on target',100,1,0),
(250043,10120867,'Inflicts 38 - 63 mental damage on target',100,1,1),
(250044,114573,'Heals target for 45 - 54',100,1,0),
(250045,10114573,'Heals target for 29 - 35',100,1,0),
(250046,24295,'Adds Dire Bear (Paladin) to your Dungeon Maker toolbox',100,0,0),
(250047,10024295,'Adds Dire Bear (Paladin) to your Dungeon Maker toolbox',100,0,0),
(250048,133520,'When Equipped:',100,0,0),
(250049,133520,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(250050,133520,'Heals group members (AE) for 2304',100,2,2),
(250051,133520,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(250052,133520,'Must not be engaged in pvp combat',100,2,4),
(250053,133520,'Cannot be modified except by direct means',100,2,5),
(250054,133520,'Must not be engaged in pvp combat',100,1,6),
(250055,10133520,'When Equipped:',100,0,0),
(250056,10133520,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(250057,10133520,'Heals group members (AE) for 2695',100,2,2),
(250058,10133520,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(250059,10133520,'Must not be engaged in pvp combat',100,2,4),
(250060,10133520,'Cannot be modified except by direct means',100,2,5),
(250061,10133520,'Must not be engaged in pvp combat',100,1,6),
(250062,81656,'When Equipped:',100,0,0),
(250063,81656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250064,81656,'Inflicts 96 - 179 magic damage on target',100,2,2),
(250065,81656,'Cannot be modified except by direct means',100,2,3),
(250066,10081656,'When Equipped:',100,0,0),
(250067,10081656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250068,10081656,'Inflicts 116 - 215 magic damage on target',100,2,2),
(250069,10081656,'Cannot be modified except by direct means',100,2,3),
(250070,140792,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(250071,140792,'Decreases STR, AGI, INT and WIS of target by 61.1',100,1,1),
(250072,140792,'Decreases Max Health of target by 1.0%',100,1,2),
(250073,140792,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(250074,10140792,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(250075,10140792,'Decreases STR, AGI, INT and WIS of target by 61.1',100,1,1),
(250076,10140792,'Decreases Max Health of target by 1.0%',100,1,2),
(250077,10140792,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(250078,115036,'Heals target for 503 - 615',100,1,0),
(250079,10115036,'Heals target for 704 - 861',100,1,0),
(250080,24294,'Adds Dire Bear (Mystic) to your Dungeon Maker toolbox',100,0,0),
(250081,10024294,'Adds Dire Bear (Mystic) to your Dungeon Maker toolbox',100,0,0),
(250082,71829,'When Equipped:',100,0,0),
(250083,71829,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(250084,71829,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(250085,71829,'Cannot be modified except by direct means',100,2,3),
(250086,10071829,'When Equipped:',100,0,0),
(250087,10071829,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(250088,10071829,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(250089,10071829,'Cannot be modified except by direct means',100,2,3),
(250090,123661,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(250091,123661,'Slows target by 44.4%',100,2,1),
(250092,123661,'5% chance to dispel when target receives hostile action',100,2,2),
(250093,123661,'5% chance to dispel when target takes damage',100,2,3),
(250094,123661,'Inflicts 278 - 339 cold damage on target',100,1,4),
(250095,10123661,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(250096,10123661,'Slows target by 44.4%',100,2,1),
(250097,10123661,'5% chance to dispel when target receives hostile action',100,2,2),
(250098,10123661,'5% chance to dispel when target takes damage',100,2,3),
(250099,10123661,'Inflicts 286 - 349 cold damage on target',100,1,4),
(250100,46042,'Applies Elemental Ointment when Activated.',100,0,0),
(250101,46042,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(250102,10046042,'Applies Elemental Ointment when Activated.',100,0,0),
(250103,10046042,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(250104,24272,'Adds Decrease Tier IV (Single) to your Dungeon Maker toolbox',100,0,0),
(250105,10024272,'Adds Decrease Tier IV (Single) to your Dungeon Maker toolbox',100,0,0),
(250106,159821,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(250107,159821,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(250108,159821,'Inflicts 60 heat damage on target',100,2,2),
(250109,159821,'Cannot be modified except by direct means',100,2,3),
(250110,10159821,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(250111,10159821,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(250112,10159821,'Inflicts 72 heat damage on target',100,2,2),
(250113,10159821,'Cannot be modified except by direct means',100,2,3),
(250114,48995,'Applies Tynkale''s Reclamation when Activated.',100,0,0),
(250115,48995,'Heals caster for 208',100,1,1),
(250116,10048995,'Applies Tynkale''s Reclamation when Activated.',100,0,0),
(250117,10048995,'Heals caster for 135',100,1,1),
(250118,80939,'When Equipped:',100,0,0),
(250119,80939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250120,80939,'Inflicts 166 - 308 magic damage on target',100,2,2),
(250121,80939,'Cannot be modified except by direct means',100,2,3),
(250122,10080939,'When Equipped:',100,0,0),
(250123,10080939,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250124,10080939,'Inflicts 199 - 369 magic damage on target',100,2,2),
(250125,10080939,'Cannot be modified except by direct means',100,2,3),
(250126,116100,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(250127,116100,'Heals target for 328 - 400',100,2,1),
(250128,116100,'Grants a total of 5 triggers of the spell.',100,2,2),
(250129,10116100,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(250130,10116100,'Heals target for 213 - 260',100,2,1),
(250131,10116100,'Grants a total of 5 triggers of the spell.',100,2,2),
(250132,81905,'When Equipped:',100,0,0),
(250133,81905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250134,81905,'Inflicts 261 - 484 magic damage on target',100,2,2),
(250135,81905,'Cannot be modified except by direct means',100,2,3),
(250136,10081905,'When Equipped:',100,0,0),
(250137,10081905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250138,10081905,'Inflicts 313 - 581 magic damage on target',100,2,2),
(250139,10081905,'Cannot be modified except by direct means',100,2,3),
(250140,117669,'Decreases Mitigation of target vs physical damage by 380',100,1,0),
(250141,10117669,'Decreases Mitigation of target vs physical damage by 190',100,1,0),
(250142,109784,'Inflicts 20 - 25 mental damage on target instantly and every 6 seconds',100,1,0),
(250143,109784,'Decreases Mitigation of target vs arcane damage by 251',100,1,1),
(250144,10109784,'Inflicts 24 - 30 mental damage on target instantly and every 6 seconds',100,1,0),
(250145,10109784,'Decreases Mitigation of target vs arcane damage by 251',100,1,1),
(250146,102794,'Increases STR of caster by 66.3',100,1,0),
(250147,102794,'Increases Max Health of caster by 394.2',100,1,1),
(250148,102794,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,2),
(250149,10102794,'Increases STR of caster by 66.3',100,1,0),
(250150,10102794,'Increases Max Health of caster by 394.2',100,1,1),
(250151,10102794,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,2),
(250152,118094,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(250153,10118094,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(250154,111255,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(250155,111255,'Heals target for 796',100,2,1),
(250156,111255,'Increases Mitigation of target vs physical damage by 574',100,2,2),
(250157,111255,'Grants a total of 1 trigger of the spell.',100,2,3),
(250158,10111255,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(250159,10111255,'Heals target for 518',100,2,1),
(250160,10111255,'Increases Mitigation of target vs physical damage by 574',100,2,2),
(250161,10111255,'Grants a total of 1 trigger of the spell.',100,2,3),
(250162,167701,'When Equipped:',100,0,0),
(250163,167701,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(250164,167701,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(250165,167701,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(250166,167701,'Must not be engaged in pvp combat',100,2,4),
(250167,167701,'Cannot be modified except by direct means',100,2,5),
(250168,167701,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(250169,167701,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(250170,167701,'Must not be engaged in pvp combat',100,2,8),
(250171,167701,'Cannot be modified except by direct means',100,2,9),
(250172,167701,'Must not be engaged in pvp combat',100,1,10),
(250173,10167701,'When Equipped:',100,0,0),
(250174,10167701,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(250175,10167701,'On a healing spell cast this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(250176,10167701,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,3),
(250177,10167701,'Must not be engaged in pvp combat',100,2,4),
(250178,10167701,'Cannot be modified except by direct means',100,2,5),
(250179,10167701,'On any combat or spell hit this spell may cast Greater Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(250180,10167701,'Increases Crit Bonus of group members (AE) by 12.0%',100,2,7),
(250181,10167701,'Must not be engaged in pvp combat',100,2,8),
(250182,10167701,'Cannot be modified except by direct means',100,2,9),
(250183,10167701,'Must not be engaged in pvp combat',100,1,10),
(250184,82464,'When Equipped:',100,0,0),
(250185,82464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250186,82464,'Inflicts 166 - 308 magic damage on target',100,2,2),
(250187,82464,'Cannot be modified except by direct means',100,2,3),
(250188,10082464,'When Equipped:',100,0,0),
(250189,10082464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250190,10082464,'Inflicts 199 - 370 magic damage on target',100,2,2),
(250191,10082464,'Cannot be modified except by direct means',100,2,3),
(250192,104296,'Inflicts 112 - 187 melee damage on target',100,1,0),
(250193,104296,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(250194,104296,'Stuns target',100,2,2),
(250195,104296,'Throws target back',100,2,3),
(250196,104296,'Blurs vision of target',100,2,4),
(250197,104296,'Does not affect Epic targets',100,2,5),
(250198,10104296,'Inflicts 134 - 224 melee damage on target',100,1,0),
(250199,10104296,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(250200,10104296,'Stuns target',100,2,2),
(250201,10104296,'Blurs vision of target',100,2,3),
(250202,10104296,'Throws target back',100,2,4),
(250203,10104296,'Does not affect Epic targets',100,2,5),
(250204,37123,'Increases AGI of target by 1.5',100,0,0),
(250205,37123,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(250206,25642,'When Equipped:',100,0,0),
(250207,25642,'Adds 25% potency to Plane Shift and reduces the reuse time by 3 minutes.',100,1,1),
(250208,10025642,'When Equipped:',100,0,0),
(250209,10025642,'Adds 25% potency to Plane Shift and reduces the reuse time by 3 minutes.',100,1,1),
(250210,80679,'When Equipped:',100,0,0),
(250211,80679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250212,80679,'Inflicts 53 - 98 magic damage on target',100,2,2),
(250213,80679,'Cannot be modified except by direct means',100,2,3),
(250214,10080679,'When Equipped:',100,0,0),
(250215,10080679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250216,10080679,'Inflicts 64 - 118 magic damage on target',100,2,2),
(250217,10080679,'Cannot be modified except by direct means',100,2,3),
(250218,81424,'When Equipped:',100,0,0),
(250219,81424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250220,81424,'Inflicts 77 - 144 magic damage on target',100,2,2),
(250221,81424,'Cannot be modified except by direct means',100,2,3),
(250222,10081424,'When Equipped:',100,0,0),
(250223,10081424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250224,10081424,'Inflicts 93 - 173 magic damage on target',100,2,2),
(250225,10081424,'Cannot be modified except by direct means',100,2,3),
(250226,123012,'Wards group members (AE) collectively against 2509 total points of all damage',100,1,0),
(250227,10123012,'Wards group members (AE) collectively against 3738 total points of all damage',100,1,0),
(250228,121448,'Increases AGI of caster by 47.7',100,1,0),
(250229,121448,'Adds 15.6% to base avoidance.',100,1,1),
(250230,121448,'Increases Mitigation of caster vs physical damage by 467',100,1,2),
(250231,121448,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,3),
(250232,10121448,'Increases AGI of caster by 47.7',100,1,0),
(250233,10121448,'Adds 15.6% to base avoidance.',100,1,1),
(250234,10121448,'Increases Mitigation of caster vs physical damage by 467',100,1,2),
(250235,10121448,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,3),
(250236,120730,'Interrupts target',100,1,0),
(250237,120730,'Inflicts 359 - 598 melee damage on target',100,1,1),
(250238,10120730,'Interrupts target',100,1,0),
(250239,10120730,'Inflicts 430 - 718 melee damage on target',100,1,1),
(250240,37338,'Increases STA and WIS of target by 1.1',100,0,0),
(250241,37338,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(250242,123419,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(250243,123419,'Stuns target',100,2,1),
(250244,123419,'Throws target back',100,2,2),
(250245,123419,'Blurs vision of target',100,2,3),
(250246,123419,'Does not affect Epic targets',100,2,4),
(250247,123419,'Inflicts 88 - 264 melee damage on target',100,1,5),
(250248,10123419,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(250249,10123419,'Stuns target',100,2,1),
(250250,10123419,'Blurs vision of target',100,2,2),
(250251,10123419,'Throws target back',100,2,3),
(250252,10123419,'Does not affect Epic targets',100,2,4),
(250253,10123419,'Inflicts 105 - 316 melee damage on target',100,1,5),
(250254,47362,'Applies elemental remedy when Activated.',100,0,0),
(250255,47362,'Dispels 18 levels of elemental hostile effects on caster',100,1,1),
(250256,10047362,'Applies elemental remedy when Activated.',100,0,0),
(250257,10047362,'Dispels 18 levels of elemental hostile effects on caster',100,1,1),
(250258,112642,'Inflicts 101 - 168 disease damage on target',100,1,0),
(250259,112642,'Inflicts 101 - 168 disease damage on target',100,1,1),
(250260,112642,'Roots target',100,1,2),
(250261,112642,'If Target is not Epic',100,2,3),
(250262,112642,'15% chance to dispel when target takes damage',100,1,4),
(250263,112642,'If weapon equipped in Ranged',100,1,5),
(250264,112642,'Resistibility increases against targets higher than level 73.',100,1,6),
(250265,10112642,'Inflicts 86 - 143 disease damage on target',100,1,0),
(250266,10112642,'Inflicts 86 - 143 disease damage on target',100,1,1),
(250267,10112642,'Roots target',100,1,2),
(250268,10112642,'If Target is not Epic',100,2,3),
(250269,10112642,'15% chance to dispel when target takes damage',100,1,4),
(250270,10112642,'If weapon equipped in Ranged',100,1,5),
(250271,10112642,'Resistibility increases against targets higher than level 73.',100,1,6),
(250272,120626,'Inflicts 692 - 1286 heat damage on target',100,1,0),
(250273,10120626,'Inflicts 831 - 1543 heat damage on target',100,1,0),
(250274,108955,'Increases INT of group members (AE) by 66.4',100,1,0),
(250275,108955,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 25.7',100,1,1),
(250276,10108955,'Increases INT of group members (AE) by 66.4',100,1,0),
(250277,10108955,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 25.7',100,1,1),
(250278,115089,'Heals target for 559 - 684',100,1,0),
(250279,115089,'Heals target for 72 - 88 every second',100,1,1),
(250280,10115089,'Heals target for 1039 - 1270',100,1,0),
(250281,10115089,'Heals target for 78 - 95 every second',100,1,1),
(250282,80276,'When Equipped:',100,0,0),
(250283,80276,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250284,80276,'Inflicts 166 - 308 magic damage on target',100,2,2),
(250285,80276,'Cannot be modified except by direct means',100,2,3),
(250286,10080276,'When Equipped:',100,0,0),
(250287,10080276,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250288,10080276,'Inflicts 199 - 370 magic damage on target',100,2,2),
(250289,10080276,'Cannot be modified except by direct means',100,2,3),
(250290,101925,'Inflicts 42 piercing damage on target instantly and every 4 seconds',100,1,0),
(250291,101925,'Inflicts 124 - 208 melee damage on target',100,1,1),
(250292,101925,'Must be behind',100,1,2),
(250293,10101925,'Inflicts 50 piercing damage on target instantly and every 4 seconds',100,1,0),
(250294,10101925,'Inflicts 149 - 249 melee damage on target',100,1,1),
(250295,10101925,'Must be behind',100,1,2),
(250296,36050,'Increases AGI of target by 1.5',100,0,0),
(250297,36050,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(250298,106826,'Decreases AGI and STR of target encounter by 221.8',100,1,0),
(250299,10106826,'Decreases AGI and STR of target encounter by 221.8',100,1,0),
(250300,101265,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(250301,101265,'Inflicts 196 - 327 mental damage on target',100,2,1),
(250302,10101265,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(250303,10101265,'Inflicts 236 - 393 mental damage on target',100,2,1),
(250304,159150,'Applies Sanguine Imbued when Equipped.',100,0,0),
(250305,159150,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(250306,159150,'Inflicts 225 heat damage on target',100,2,2),
(250307,159150,'Cannot be modified except by direct means',100,2,3),
(250308,10159150,'Applies Sanguine Imbued when Equipped.',100,0,0),
(250309,10159150,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(250310,10159150,'Inflicts 270 heat damage on target',100,2,2),
(250311,10159150,'Cannot be modified except by direct means',100,2,3),
(250312,120331,'Increases Threat to target by 850 - 1,037 ',100,1,0),
(250313,10120331,'Forces target to change their selected target to caster.',100,1,0),
(250314,10120331,'Prevents target from changing targets',100,1,1),
(250315,27367,'When Equipped:',100,0,0),
(250316,27367,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(250317,27367,'Inflicts 90 heat damage on target',100,2,2),
(250318,27367,'Inflicts 11 heat damage on target every 5 seconds',100,2,3),
(250319,27367,'Cannot be modified except by direct means',100,2,4),
(250320,10027367,'When Equipped:',100,0,0),
(250321,10027367,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(250322,10027367,'Inflicts 108 heat damage on target',100,2,2),
(250323,10027367,'Inflicts 13 heat damage on target every 5 seconds',100,2,3),
(250324,10027367,'Cannot be modified except by direct means',100,2,4),
(250325,80947,'When Equipped:',100,0,0),
(250326,80947,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250327,80947,'Inflicts 184 - 342 magic damage on target',100,2,2),
(250328,80947,'Cannot be modified except by direct means',100,2,3),
(250329,10080947,'When Equipped:',100,0,0),
(250330,10080947,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250331,10080947,'Inflicts 221 - 410 magic damage on target',100,2,2),
(250332,10080947,'Cannot be modified except by direct means',100,2,3),
(250333,107189,'Inflicts 109 - 182 divine damage on target',100,1,0),
(250334,107189,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(250335,107189,'Inflicts 255 - 425 divine damage on target',100,2,2),
(250336,107189,'Inflicts 219 - 364 divine damage on target',100,2,3),
(250337,107189,'If target is undead',100,3,4),
(250338,107189,'Stuns target',100,2,5),
(250339,107189,'If Target is not Epic',100,3,6),
(250340,10107189,'Inflicts 87 - 145 divine damage on target',100,1,0),
(250341,10107189,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(250342,10107189,'Inflicts 459 - 765 divine damage on target',100,2,2),
(250343,10107189,'Stuns target',100,2,3),
(250344,10107189,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(250345,123147,'Reduces physical damage done to caster by 5%',100,1,0),
(250346,123147,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(250347,123147,'Increases Aggression of caster by 2.9',100,1,2),
(250348,123147,'Increases Defense and Parry of caster by 5.8',100,1,3),
(250349,123147,'Increases Mitigation of caster vs elemental damage by 415',100,1,4),
(250350,123147,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(250351,10123147,'Reduces physical damage done to caster by 5%',100,1,0),
(250352,10123147,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(250353,10123147,'Increases Aggression of caster by 2.9',100,1,2),
(250354,10123147,'Increases Defense and Parry of caster by 5.8',100,1,3),
(250355,10123147,'Increases Mitigation of caster vs elemental damage by 415',100,1,4),
(250356,10123147,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(250357,87539,'Applies Lightning Shock when Activated.',100,0,0),
(250358,87539,'Inflicts 49 - 82 magic damage on target',100,1,1),
(250359,87539,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250360,10087539,'Applies Lightning Shock when Activated.',100,0,0),
(250361,10087539,'Inflicts 59 - 98 magic damage on target',100,1,1),
(250362,10087539,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250363,158343,'Applies Hooluk in a Hat when Activated.',100,0,0),
(250364,158343,'Summons a pet Hooluk',100,1,1),
(250365,158343,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250366,10158343,'Applies Hooluk in a Hat when Activated.',100,0,0),
(250367,10158343,'Summons a pet Hooluk',100,1,1),
(250368,10158343,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250369,51333,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(250370,51333,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(250371,51333,'Inflicts 9 heat damage on target',100,2,2),
(250372,51333,'Cannot be modified except by direct means',100,2,3),
(250373,10051333,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(250374,10051333,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(250375,10051333,'Inflicts 10 heat damage on target',100,2,2),
(250376,10051333,'Cannot be modified except by direct means',100,2,3),
(250377,42552,'When Equipped:',100,0,0),
(250378,42552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250379,42552,'Inflicts 71 - 106 magic damage on target',100,2,2),
(250380,42552,'Cannot be modified except by direct means',100,2,3),
(250381,10042552,'When Equipped:',100,0,0),
(250382,10042552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250383,10042552,'Inflicts 85 - 127 magic damage on target',100,2,2),
(250384,10042552,'Cannot be modified except by direct means',100,2,3),
(250385,118192,'Increases Damage Per Second of group members (AE) by 11.8',100,1,0),
(250386,10118192,'Increases Damage Per Second of group members (AE) by 11.8',100,1,0),
(250387,107271,'Inflicts 108 - 181 ranged damage on target',100,1,0),
(250388,107271,'Inflicts 108 - 181 ranged damage on target',100,1,1),
(250389,107271,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(250390,107271,'Stuns target',100,2,3),
(250391,107271,'Throws target back',100,2,4),
(250392,107271,'Blurs vision of target',100,2,5),
(250393,107271,'Does not affect Epic targets',100,2,6),
(250394,107271,'If weapon equipped in Ranged',100,1,7),
(250395,10107271,'Inflicts 92 - 154 ranged damage on target',100,1,0),
(250396,10107271,'Inflicts 92 - 154 ranged damage on target',100,1,1),
(250397,10107271,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(250398,10107271,'Stuns target',100,2,3),
(250399,10107271,'Blurs vision of target',100,2,4),
(250400,10107271,'Throws target back',100,2,5),
(250401,10107271,'Does not affect Epic targets',100,2,6),
(250402,10107271,'If weapon equipped in Ranged',100,1,7),
(250403,121316,'Inflicts 10 - 12 divine damage on target instantly and every 3 seconds',100,1,0),
(250404,121316,'Decreases Defense of target by 3.3',100,1,1),
(250405,10121316,'Inflicts 12 - 15 divine damage on target instantly and every 3 seconds',100,1,0),
(250406,10121316,'Decreases Defense of target by 3.3',100,1,1),
(250407,114491,'Increases In-Combat Power Regeneration of group members (AE) by 9.4',100,1,0),
(250408,10114491,'Increases In-Combat Power Regeneration of group members (AE) by 9.4',100,1,0),
(250409,110624,'Inflicts 209 - 348 ranged damage on target',100,1,0),
(250410,110624,'If weapon equipped in Ranged',100,1,1),
(250411,110624,'Must be flanking or behind',100,1,2),
(250412,10110624,'Inflicts 130 - 216 ranged damage on target',100,1,0),
(250413,10110624,'If weapon equipped in Ranged',100,1,1),
(250414,10110624,'Must be flanking or behind',100,1,2),
(250415,108959,'Increases INT of group members (AE) by 78.7',100,1,0),
(250416,108959,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 30.2',100,1,1),
(250417,10108959,'Increases INT of group members (AE) by 78.7',100,1,0),
(250418,10108959,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 30.2',100,1,1),
(250419,118128,'Heals target for 787 - 962',100,1,0),
(250420,10118128,'Heals target for 930 - 1137',100,1,0),
(250421,83273,'When Equipped:',100,0,0),
(250422,83273,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(250423,83273,'Heals caster for 167',100,2,2),
(250424,83273,'Cannot be modified except by direct means',100,2,3),
(250425,10083273,'When Equipped:',100,0,0),
(250426,10083273,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(250427,10083273,'Heals caster for 108',100,2,2),
(250428,10083273,'Cannot be modified except by direct means',100,2,3),
(250429,88245,'When Equipped:',100,0,0),
(250430,88245,'On a hostile spell hit this spell may cast Acute Necrosis on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(250431,88245,'Inflicts 1057 poison damage on target',100,2,2),
(250432,88245,'Cannot be modified except by direct means',100,2,3),
(250433,10088245,'When Equipped:',100,0,0),
(250434,10088245,'On a hostile spell hit this spell may cast Acute Necrosis on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(250435,10088245,'Inflicts 1268 poison damage on target',100,2,2),
(250436,10088245,'Cannot be modified except by direct means',100,2,3),
(250437,47727,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(250438,47727,'Increases power of caster by 34 instantly and every 5 seconds',100,1,1),
(250439,10047727,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(250440,10047727,'Increases power of caster by 27 instantly and every 5 seconds',100,1,1),
(250441,35892,'Increases AGI of target by 1.5',100,0,0),
(250442,35892,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(250443,114283,'Heals target for 265 - 324',100,1,0),
(250444,10114283,'Heals target for 312 - 381',100,1,0),
(250445,176343,'When Equipped:',100,0,0),
(250446,176343,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(250447,176343,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(250448,176343,'Must be engaged in combat',100,3,3),
(250449,176343,'Cannot be modified except by direct means',100,2,4),
(250450,10176343,'When Equipped:',100,0,0),
(250451,10176343,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(250452,10176343,'Cannot be modified except by direct means',100,2,2),
(250453,77415,'Applies Fire Ball when Activated.',100,0,0),
(250454,77415,'Inflicts 119 - 199 heat damage on target',100,1,1),
(250455,77415,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250456,10077415,'Applies Fire Ball when Activated.',100,0,0),
(250457,10077415,'Inflicts 143 - 239 heat damage on target',100,1,1),
(250458,10077415,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250459,121867,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(250460,121867,'Inflicts 111 - 135 mental damage on target',100,2,1),
(250461,121867,'Decreases Threat to target by 260 - 317 ',100,2,2),
(250462,121867,'If profession other than Fighter',100,3,3),
(250463,10121867,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(250464,10121867,'Inflicts 133 - 162 mental damage on target',100,2,1),
(250465,117805,'Mesmerizes target',100,1,0),
(250466,117805,'Prevents AOE (except when direct) ',100,1,1),
(250467,117805,'Dispelled when target takes damage',100,1,2),
(250468,117805,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(250469,117805,'Resistibility increases against targets higher than level 97.',100,1,4),
(250470,10117805,'Mesmerizes target',100,1,0),
(250471,10117805,'Prevents AOE (except when direct) ',100,1,1),
(250472,10117805,'Dispelled when target takes damage',100,1,2),
(250473,10117805,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(250474,10117805,'Resistibility increases against targets higher than level 97.',100,1,4),
(250475,109783,'Inflicts 14 - 17 mental damage on target instantly and every 6 seconds',100,1,0),
(250476,109783,'Decreases Mitigation of target vs arcane damage by 172',100,1,1),
(250477,10109783,'Inflicts 17 - 20 mental damage on target instantly and every 6 seconds',100,1,0),
(250478,10109783,'Decreases Mitigation of target vs arcane damage by 172',100,1,1),
(250479,113512,'Inflicts 279 - 465 melee damage on targets in area',100,1,0),
(250480,10113512,'Inflicts 334 - 558 melee damage on targets in area',100,1,0),
(250481,37206,'Increases INT of target by 0.4',100,0,0),
(250482,37206,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(250483,143016,'When Equipped:',100,0,0),
(250484,143016,'On a healing spell cast this spell may cast Protective Faith on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(250485,143016,'When any damage is received this spell will cast Protective Faith on target.  ',100,2,2),
(250486,143016,'Heals target for 1142 - 1396',100,3,3),
(250487,143016,'Grants a total of 1 trigger of the spell.',100,3,4),
(250488,143016,'Cannot be modified except by direct means',100,2,5),
(250489,143016,'Cannot be modified except by direct means',100,1,6),
(250490,10143016,'When Equipped:',100,0,0),
(250491,10143016,'On a healing spell cast this spell may cast Protective Faith on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(250492,10143016,'When any damage is received this spell will cast Protective Faith on target.  ',100,2,2),
(250493,10143016,'Heals target for 742 - 907',100,3,3),
(250494,10143016,'Grants a total of 1 trigger of the spell.',100,3,4),
(250495,10143016,'Cannot be modified except by direct means',100,2,5),
(250496,10143016,'Cannot be modified except by direct means',100,1,6),
(250497,82425,'When Equipped:',100,0,0),
(250498,82425,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(250499,82425,'Inflicts 193 - 358 magic damage on target',100,2,2),
(250500,82425,'Decreases Threat to target by 949 ',100,2,3),
(250501,82425,'Must be flanking or behind',100,3,4),
(250502,82425,'Increases Threat to target by 954 ',100,2,5),
(250503,82425,'Must be in front of',100,3,6),
(250504,82425,'Cannot be modified except by direct means',100,2,7),
(250505,10082425,'When Equipped:',100,0,0),
(250506,10082425,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(250507,10082425,'Inflicts 231 - 430 magic damage on target',100,2,2),
(250508,10082425,'Cannot be modified except by direct means',100,2,3),
(250509,121949,'Inflicts 24 - 39 disease damage on target',100,1,0),
(250510,121949,'Decreases Defense of target by 9.2',100,1,1),
(250511,121949,'Interrupts target',100,1,2),
(250512,10121949,'Inflicts 28 - 47 disease damage on target',100,1,0),
(250513,10121949,'Decreases Defense of target by 9.2',100,1,1),
(250514,10121949,'Interrupts target',100,1,2),
(250515,42246,'When Equipped:',100,0,0),
(250516,42246,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(250517,42246,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(250518,42246,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(250519,42246,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(250520,42246,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(250521,42246,'Must not be engaged in pvp combat',100,2,6),
(250522,42246,'Cannot be modified except by direct means',100,2,7),
(250523,42246,'Cannot be modified except by direct means',100,1,8),
(250524,10042246,'When Equipped:',100,0,0),
(250525,10042246,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(250526,10042246,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(250527,10042246,'Inflicts 951 - 1051 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(250528,10042246,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(250529,10042246,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(250530,10042246,'Must not be engaged in pvp combat',100,2,6),
(250531,10042246,'Cannot be modified except by direct means',100,2,7),
(250532,10042246,'Cannot be modified except by direct means',100,1,8),
(250533,110756,'Heals target for 324 - 396',100,1,0),
(250534,110756,'Increases Max Health of target by 49.2',100,1,1),
(250535,10110756,'Heals target for 211 - 257',100,1,0),
(250536,10110756,'Increases Max Health of target by 49.2',100,1,1),
(250537,26628,'When Equipped:',100,0,0),
(250538,26628,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(250539,26628,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(250540,10026628,'When Equipped:',100,0,0),
(250541,10026628,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(250542,10026628,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',100,1,2),
(250543,164329,'When Equipped:',100,0,0),
(250544,164329,'This effect will not stack with any rank or tier of itself.',100,1,1),
(250545,164329,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(250546,164329,'Cannot be modified except by direct means',100,1,3),
(250547,164329,'When Equipped:',100,0,4),
(250548,164329,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(250549,164329,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(250550,164329,'Wards group members (AE) against 4400 points of all damage',100,2,7),
(250551,164329,'Must not be engaged in pvp combat',100,2,8),
(250552,164329,'Cannot be modified except by direct means',100,2,9),
(250553,164329,'Cannot be modified except by direct means',100,1,10),
(250554,10164329,'When Equipped:',100,0,0),
(250555,10164329,'This effect will not stack with any rank or tier of itself.',100,1,1),
(250556,10164329,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(250557,10164329,'Cannot be modified except by direct means',100,1,3),
(250558,10164329,'When Equipped:',100,0,4),
(250559,10164329,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(250560,10164329,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(250561,10164329,'Wards group members (AE) against 4400 points of all damage',100,2,7),
(250562,10164329,'Must not be engaged in pvp combat',100,2,8),
(250563,10164329,'Cannot be modified except by direct means',100,2,9),
(250564,10164329,'Cannot be modified except by direct means',100,1,10),
(250565,80930,'When Equipped:',100,0,0),
(250566,80930,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250567,80930,'Inflicts 184 - 342 magic damage on target',100,2,2),
(250568,80930,'Cannot be modified except by direct means',100,2,3),
(250569,10080930,'When Equipped:',100,0,0),
(250570,10080930,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250571,10080930,'Inflicts 221 - 410 magic damage on target',100,2,2),
(250572,10080930,'Cannot be modified except by direct means',100,2,3),
(250573,117516,'Increases WIS, INT and AGI of group members (AE) by 12.6',100,1,0),
(250574,117516,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 50',100,1,1),
(250575,10117516,'Increases WIS, INT and AGI of group members (AE) by 12.6',100,1,0),
(250576,10117516,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 50',100,1,1),
(250577,119383,'Decreases threat priority of target by 1 position',100,1,0),
(250578,119383,'Decreases Threat to target by 862 ',100,1,1),
(250579,119383,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(250580,119383,'Grants stealth to caster',100,2,3),
(250581,119383,'Suspends caster''s movement speed enhancements',100,2,4),
(250582,10119383,'Applies Distract.',100,1,0),
(250583,10119383,'Forces target to clear their selected target.',100,2,1),
(250584,10119383,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(250585,10119383,'Grants stealth to caster',100,2,3),
(250586,10119383,'Suspends caster''s movement speed enhancements',100,2,4),
(250587,35363,'Increases Max Health of target by 3.9',100,0,0),
(250588,35363,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(250589,119037,'Decreases power of target by 34 - 56',100,1,0),
(250590,119037,'Increases power of caster by 20 - 34',100,1,1),
(250591,119037,'Inflicts 36 - 60 mental damage on target',100,1,2),
(250592,10119037,'Decreases power of target by 34 - 56',100,1,0),
(250593,10119037,'Increases power of caster by 20 - 34',100,1,1),
(250594,10119037,'Inflicts 43 - 72 mental damage on target',100,1,2),
(250595,151869,'Applies Blessing of Tribute when Equipped.',100,0,0),
(250596,151869,'Increases STR of caster by 3.9',100,1,1),
(250597,151869,'Increases WIS and AGI of caster by 5.1',100,1,2),
(250598,151869,'Increases STA of caster by 3.9',100,1,3),
(250599,151869,'Increases INT of caster by 5.1',100,1,4),
(250600,10151869,'Applies Blessing of Tribute when Equipped.',100,0,0),
(250601,10151869,'Increases STR of caster by 3.9',100,1,1),
(250602,10151869,'Increases WIS and AGI of caster by 5.1',100,1,2),
(250603,10151869,'Increases STA of caster by 3.9',100,1,3),
(250604,10151869,'Increases INT of caster by 5.1',100,1,4),
(250605,110366,'Increases STR and AGI of group members (AE) by 17.9',100,1,0),
(250606,110366,'Adds 1.5% to base avoidance.',100,1,1),
(250607,10110366,'Increases STR and AGI of group members (AE) by 17.9',100,1,0),
(250608,10110366,'Adds 1.5% to base avoidance.',100,1,1),
(250609,74829,'When Equipped:',100,0,0),
(250610,74829,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250611,74829,'Inflicts 84 - 126 magic damage on target',100,2,2),
(250612,74829,'Cannot be modified except by direct means',100,2,3),
(250613,10074829,'When Equipped:',100,0,0),
(250614,10074829,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250615,10074829,'Inflicts 101 - 151 magic damage on target',100,2,2),
(250616,10074829,'Cannot be modified except by direct means',100,2,3),
(250617,119659,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(250618,119659,'Stuns target',100,2,1),
(250619,119659,'Throws target back',100,2,2),
(250620,119659,'Blurs vision of target',100,2,3),
(250621,119659,'Does not affect Epic targets',100,2,4),
(250622,119659,'Inflicts 131 - 393 melee damage on target',100,1,5),
(250623,10119659,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(250624,10119659,'Stuns target',100,2,1),
(250625,10119659,'Throws target back',100,2,2),
(250626,10119659,'Blurs vision of target',100,2,3),
(250627,10119659,'Does not affect Epic targets',100,2,4),
(250628,10119659,'Inflicts 157 - 472 melee damage on target',100,1,5),
(250629,36302,'Increases AGI of target by 1.5',100,0,0),
(250630,36302,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(250631,71616,'When Equipped:',100,0,0),
(250632,71616,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(250633,71616,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(250634,71616,'Cannot be modified except by direct means',100,2,3),
(250635,10071616,'When Equipped:',100,0,0),
(250636,10071616,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(250637,10071616,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(250638,10071616,'Cannot be modified except by direct means',100,2,3),
(250639,116921,'Summons a limited pet to aid the caster',100,1,0),
(250640,10116921,'Summons a limited pet to aid the caster',100,1,0),
(250641,182303,'When Equipped:',100,0,0),
(250642,182303,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(250643,182303,'Heals group members (AE) for 2624',100,2,2),
(250644,182303,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(250645,182303,'Must not be engaged in pvp combat',100,2,4),
(250646,182303,'Cannot be modified except by direct means',100,2,5),
(250647,182303,'Must not be engaged in pvp combat',100,1,6),
(250648,10182303,'When Equipped:',100,0,0),
(250649,10182303,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(250650,10182303,'Heals group members (AE) for 3071',100,2,2),
(250651,10182303,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(250652,10182303,'Must not be engaged in pvp combat',100,2,4),
(250653,10182303,'Cannot be modified except by direct means',100,2,5),
(250654,10182303,'Must not be engaged in pvp combat',100,1,6),
(250655,41485,'When Equipped:',100,0,0),
(250656,41485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250657,41485,'Inflicts 144 - 268 magic damage on target',100,2,2),
(250658,41485,'Cannot be modified except by direct means',100,2,3),
(250659,10041485,'When Equipped:',100,0,0),
(250660,10041485,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250661,10041485,'Inflicts 173 - 322 magic damage on target',100,2,2),
(250662,10041485,'Cannot be modified except by direct means',100,2,3),
(250663,25780,'When Equipped:',100,0,0),
(250664,25780,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(250665,25780,'Grants additional mitigation while Sigil of Heroism is active.',100,1,2),
(250666,10025780,'When Equipped:',100,0,0),
(250667,10025780,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(250668,10025780,'Grants additional mitigation while Sigil of Heroism is active.',100,1,2),
(250669,112990,'Reduces physical damage done to caster by 5%',100,1,0),
(250670,112990,'Increases STA of caster by 68.4',100,1,1),
(250671,112990,'Adds 3.1% to base avoidance.',100,1,2),
(250672,112990,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(250673,112990,'Increases Defense and Aggression of caster by 13.2',100,1,4),
(250674,112990,'Increases Mitigation of caster vs arcane damage by 880',100,1,5),
(250675,112990,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(250676,10112990,'Reduces physical damage done to caster by 5%',100,1,0),
(250677,10112990,'Increases STA of caster by 68.4',100,1,1),
(250678,10112990,'Adds 3.1% to base avoidance.',100,1,2),
(250679,10112990,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(250680,10112990,'Increases Defense and Aggression of caster by 13.2',100,1,4),
(250681,10112990,'Increases Mitigation of caster vs arcane damage by 880',100,1,5),
(250682,10112990,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(250683,154917,'When Equipped:',100,0,0),
(250684,154917,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(250685,154917,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(250686,154917,'Inflicts 464 mental damage on target',100,2,3),
(250687,154917,'Must be classified as an undead',100,3,4),
(250688,154917,'Inflicts 232 mental damage on target',100,2,5),
(250689,154917,'Must not be classified as an undead',100,3,6),
(250690,154917,'Decreases Mitigation of target vs arcane damage by 360',100,2,7),
(250691,154917,'Must be classified as an undead',100,3,8),
(250692,154917,'Cannot be modified except by direct means',100,2,9),
(250693,10154917,'When Equipped:',100,0,0),
(250694,10154917,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(250695,10154917,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(250696,10154917,'Inflicts 557 mental damage on target',100,2,3),
(250697,10154917,'Must be classified as an undead',100,3,4),
(250698,10154917,'Inflicts 278 mental damage on target',100,2,5),
(250699,10154917,'Must not be classified as an undead',100,3,6),
(250700,10154917,'Decreases Mitigation of target vs arcane damage by 360',100,2,7),
(250701,10154917,'Must be classified as an undead',100,3,8),
(250702,10154917,'Cannot be modified except by direct means',100,2,9),
(250703,24428,'Adds Boss: Gorilla-Boss (Berserker) to your Dungeon Maker toolbox',100,0,0),
(250704,10024428,'Adds Boss: Gorilla-Boss (Berserker) to your Dungeon Maker toolbox',100,0,0),
(250705,133614,'When Equipped:',100,0,0),
(250706,133614,'Reduces power cost of all spells by 3 percent.',100,1,1),
(250707,10133614,'When Equipped:',100,0,0),
(250708,10133614,'Reduces power cost of all spells by 3 percent.',100,1,1),
(250709,124615,'Heals group members (AE) for 271 - 331',100,1,0),
(250710,124615,'Heals group members (AE) for 46 - 56 every second',100,1,1),
(250711,10124615,'Heals group members (AE) for 396 - 484',100,1,0),
(250712,10124615,'Heals group members (AE) for 49 - 60 every second',100,1,1),
(250713,134017,'When Equipped:',100,0,0),
(250714,134017,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(250715,134017,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(250716,134017,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,3),
(250717,134017,'Must not be engaged in pvp combat',100,2,4),
(250718,134017,'Cannot be modified except by direct means',100,2,5),
(250719,134017,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(250720,134017,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(250721,134017,'Must not be engaged in pvp combat',100,2,8),
(250722,134017,'Cannot be modified except by direct means',100,2,9),
(250723,134017,'Must not be engaged in pvp combat',100,1,10),
(250724,10134017,'When Equipped:',100,0,0),
(250725,10134017,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(250726,10134017,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(250727,10134017,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,3),
(250728,10134017,'Must not be engaged in pvp combat',100,2,4),
(250729,10134017,'Cannot be modified except by direct means',100,2,5),
(250730,10134017,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(250731,10134017,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(250732,10134017,'Must not be engaged in pvp combat',100,2,8),
(250733,10134017,'Cannot be modified except by direct means',100,2,9),
(250734,10134017,'Must not be engaged in pvp combat',100,1,10),
(250735,82822,'When Equipped:',100,0,0),
(250736,82822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250737,82822,'Inflicts 224 - 416 magic damage on target',100,2,2),
(250738,82822,'Cannot be modified except by direct means',100,2,3),
(250739,10082822,'When Equipped:',100,0,0),
(250740,10082822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250741,10082822,'Inflicts 269 - 499 magic damage on target',100,2,2),
(250742,10082822,'Cannot be modified except by direct means',100,2,3),
(250743,24158,'Adds Crushbone: Blue Stone Long Table to your Dungeon Maker toolbox',100,0,0),
(250744,10024158,'Adds Crushbone: Blue Stone Long Table to your Dungeon Maker toolbox',100,0,0),
(250745,113513,'Inflicts 411 - 685 melee damage on targets in area',100,1,0),
(250746,10113513,'Inflicts 493 - 822 melee damage on targets in area',100,1,0),
(250747,89035,'Applies Mental Blast when Activated.',100,0,0),
(250748,89035,'Inflicts 69 - 115 mental damage on target',100,1,1),
(250749,89035,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250750,10089035,'Applies Mental Blast when Activated.',100,0,0),
(250751,10089035,'Inflicts 83 - 138 mental damage on target',100,1,1),
(250752,10089035,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(250753,114017,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(250754,114017,'Heals target for 13 instantly and every 2 seconds',100,2,1),
(250755,114017,'Decreases Mitigation of target vs arcane damage by 304',100,1,2),
(250756,10114017,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(250757,10114017,'Heals target for 42 instantly and every 2 seconds',100,2,1),
(250758,10114017,'Decreases Mitigation of target vs arcane damage by 304',100,1,2),
(250759,80237,'When Equipped:',100,0,0),
(250760,80237,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250761,80237,'Inflicts 166 - 308 magic damage on target',100,2,2),
(250762,80237,'Cannot be modified except by direct means',100,2,3),
(250763,10080237,'When Equipped:',100,0,0),
(250764,10080237,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250765,10080237,'Inflicts 199 - 370 magic damage on target',100,2,2),
(250766,10080237,'Cannot be modified except by direct means',100,2,3),
(250767,25976,'When Equipped:',100,0,0),
(250768,25976,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(250769,25976,'Inflicts 120 heat damage on target',100,2,2),
(250770,25976,'Inflicts 14 heat damage on target every 5 seconds',100,2,3),
(250771,25976,'Cannot be modified except by direct means',100,2,4),
(250772,10025976,'When Equipped:',100,0,0),
(250773,10025976,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(250774,10025976,'Inflicts 144 heat damage on target',100,2,2),
(250775,10025976,'Inflicts 17 heat damage on target every 5 seconds',100,2,3),
(250776,10025976,'Cannot be modified except by direct means',100,2,4),
(250777,100545,'Heals group members (AE) for 839 - 1026',100,1,0),
(250778,10100545,'Heals group members (AE) for 1018 - 1245',100,1,0),
(250779,121439,'Increases AGI of caster by 26.6',100,1,0),
(250780,121439,'Adds 25.0% to base avoidance.',100,1,1),
(250781,121439,'Increases Mitigation of caster vs physical damage by 270',100,1,2),
(250782,121439,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',100,1,3),
(250783,10121439,'Increases AGI of caster by 26.6',100,1,0),
(250784,10121439,'Adds 25.0% to base avoidance.',100,1,1),
(250785,10121439,'Increases Mitigation of caster vs physical damage by 270',100,1,2),
(250786,10121439,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',100,1,3),
(250787,35242,'Increases Max Health of target by 3.9',100,0,0),
(250788,35242,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(250789,109928,'Stuns target',100,1,0),
(250790,109928,'Does not affect Epic targets',100,1,1),
(250791,109928,'Resistibility increases against targets higher than level 59.',100,1,2),
(250792,10109928,'Stuns target',100,1,0),
(250793,10109928,'Does not affect Epic targets',100,1,1),
(250794,10109928,'Resistibility increases against targets higher than level 59.',100,1,2),
(250795,36196,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(250796,36196,'This effect suspends during combat',100,0,1),
(250797,24524,'Adds Mistmoore: Collection of Spellbooks to your Dungeon Maker toolbox',100,0,0),
(250798,10024524,'Adds Mistmoore: Collection of Spellbooks to your Dungeon Maker toolbox',100,0,0),
(250799,45262,'Applies Call Autumnstrider when Activated.  Lasts for 1 day.',100,0,0),
(250800,45262,'Summons a mount to ride',100,1,1),
(250801,45262,'Increases your ground speed by 130%',100,2,2),
(250802,10045262,'Applies Call Autumnstrider when Activated.  Lasts for 1 day.',100,0,0),
(250803,10045262,'Summons a mount to ride',100,1,1),
(250804,10045262,'Increases your ground speed by 130%',100,2,2),
(250805,115218,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(250806,115218,'Decreases Mitigation of target vs noxious damage by 784',100,2,1),
(250807,115218,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(250808,115218,'Decreases Mitigation of target vs noxious damage by 784',100,2,3),
(250809,10115218,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(250810,10115218,'Decreases Mitigation of target vs noxious damage by 784',100,2,1),
(250811,10115218,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(250812,10115218,'Decreases Mitigation of target vs noxious damage by 784',100,2,3),
(250813,111183,'Inflicts 76 - 127 divine damage on targets in area',100,1,0),
(250814,111183,'Heals group members (AE) for 2.8% of max health',100,1,1),
(250815,111183,'This effect cannot be critically applied.',100,2,2),
(250816,111183,'The healing of this spell cannot be modified except by direct means',100,1,3),
(250817,10111183,'Inflicts 91 - 152 divine damage on targets in area',100,1,0),
(250818,10111183,'Heals group members (AE) for 1.8% of max health',100,1,1),
(250819,10111183,'This effect cannot be critically applied.',100,2,2),
(250820,10111183,'The healing of this spell cannot be modified except by direct means',100,1,3),
(250821,35407,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(250822,48072,'Applies Call Sinister Prowler when Activated.',100,0,0),
(250823,48072,'Increases Piercing, Subjugation and Ranged of caster by 5.0',100,1,1),
(250824,48072,'Summons a mount to ride',100,1,2),
(250825,48072,'Increases your ground speed by 135%',100,2,3),
(250826,48072,'Increases Slashing, Crushing, Ordination, Aggression, Focus, Ministration and Disruption of caster by 5.0',100,1,4),
(250827,10048072,'Applies Call Sinister Prowler when Activated.',100,0,0),
(250828,10048072,'Increases Piercing, Subjugation and Ranged of caster by 5.0',100,1,1),
(250829,10048072,'Summons a mount to ride',100,1,2),
(250830,10048072,'Increases your ground speed by 135%',100,2,3),
(250831,10048072,'Increases Slashing, Crushing, Ordination, Aggression, Focus, Ministration and Disruption of caster by 5.0',100,1,4),
(250832,109504,'Inflicts 40 - 49 disease damage on target instantly and every 4 seconds',100,1,0),
(250833,109504,'Decreases Attack Speed of target by 6.8',100,1,1),
(250834,10109504,'Inflicts 48 - 58 disease damage on target instantly and every 4 seconds',100,1,0),
(250835,10109504,'Decreases Attack Speed of target by 6.8',100,1,1),
(250836,101033,'Inflicts 650 - 1207 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(250837,10101033,'Inflicts 612 - 1136 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(250838,123288,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(250839,123288,'Inflicts 87 - 146 disease damage on target',100,2,1),
(250840,123288,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(250841,123288,'This effect cannot be critically applied.',100,3,3),
(250842,123288,'The healing of this spell cannot be modified except by direct means',100,2,4),
(250843,10123288,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(250844,10123288,'Inflicts 105 - 175 disease damage on target',100,2,1),
(250845,10123288,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(250846,10123288,'This effect cannot be critically applied.',100,3,3),
(250847,10123288,'The healing of this spell cannot be modified except by direct means',100,2,4),
(250848,111508,'Increases AGI of caster by 9.7',100,1,0),
(250849,111508,'Increases Damage Per Second of caster by 21.1',100,1,1),
(250850,10111508,'Increases AGI of caster by 9.7',100,1,0),
(250851,10111508,'Increases Damage Per Second of caster by 21.1',100,1,1),
(250852,48467,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(250853,48467,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(250854,48467,'Inflicts 108 poison damage on target',100,2,2),
(250855,48467,'Inflicts 94 poison damage on target instantly and every 6 seconds',100,2,3),
(250856,48467,'Cannot be modified except by direct means',100,2,4),
(250857,48467,'Grants a total of 200 triggers of the spell.',100,2,5),
(250858,10048467,'Applies maniacal rampage when Activated.  Lasts for 12 hours.',100,0,0),
(250859,10048467,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(250860,10048467,'Inflicts 85 poison damage on target instantly and every 6 seconds',100,2,2),
(250861,10048467,'Inflicts 97 poison damage on target',100,2,3),
(250862,10048467,'Cannot be modified except by direct means',100,2,4),
(250863,10048467,'Grants a total of 200 triggers of the spell.',100,2,5),
(250864,119456,'Inflicts 132 piercing damage on target instantly and every 4 seconds',100,1,0),
(250865,119456,'Inflicts 183 - 305 melee damage on target',100,1,1),
(250866,119456,'Must be flanking or behind',100,1,2),
(250867,10119456,'Inflicts 159 piercing damage on target instantly and every 4 seconds',100,1,0),
(250868,10119456,'Inflicts 219 - 366 melee damage on target',100,1,1),
(250869,10119456,'Must be flanking or behind',100,1,2),
(250870,36229,'Increases Max Health of target by 5.5',100,0,0),
(250871,36229,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(250872,141675,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(250873,141675,'Decreases Attack Speed of target by 13.2',100,1,1),
(250874,141675,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(250875,10141675,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(250876,10141675,'Decreases Attack Speed of target by 13.2',100,1,1),
(250877,10141675,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(250878,123092,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',100,1,0),
(250879,123092,'Roots target',100,2,1),
(250880,123092,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(250881,123092,'Slows target by 46.4%',100,3,3),
(250882,123092,'5% chance to dispel when target receives hostile action',100,3,4),
(250883,123092,'5% chance to dispel when target takes damage',100,3,5),
(250884,123092,'5% chance to dispel when target takes damage',100,2,6),
(250885,123092,'Does not affect Epic targets',100,2,7),
(250886,123092,'Resistibility increases against targets higher than level 90.',100,2,8),
(250887,123092,'Decreases AGI of target encounter by 52.6',100,1,9),
(250888,10123092,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(250889,10123092,'Roots target',100,2,1),
(250890,10123092,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(250891,10123092,'Slows target by 46.4%',100,3,3),
(250892,10123092,'5% chance to dispel when target receives hostile action',100,3,4),
(250893,10123092,'5% chance to dispel when target takes damage',100,3,5),
(250894,10123092,'5% chance to dispel when target takes damage',100,2,6),
(250895,10123092,'Does not affect Epic targets',100,2,7),
(250896,10123092,'Resistibility increases against targets higher than level 90.',100,2,8),
(250897,10123092,'Decreases AGI of target encounter by 52.6',100,1,9),
(250898,109526,'Inflicts 219 - 268 disease damage on target instantly and every 4 seconds',100,1,0),
(250899,109526,'Decreases Attack Speed of target by 12.4',100,1,1),
(250900,10109526,'Inflicts 263 - 321 disease damage on target instantly and every 4 seconds',100,1,0),
(250901,10109526,'Decreases Attack Speed of target by 12.4',100,1,1),
(250902,46702,'Applies Iron Snake Basket when Activated.  Lasts for 45.0 seconds.',100,0,0),
(250903,46702,'Summons 2 limited pets to aid the caster',25,1,1),
(250904,46702,'Summons a limited pet to aid the caster',100,1,2),
(250905,10046702,'Applies Iron Snake Basket when Activated.  Lasts for 45.0 seconds.',100,0,0),
(250906,10046702,'Summons 2 limited pets to aid the caster',25,1,1),
(250907,10046702,'Summons a limited pet to aid the caster',100,1,2),
(250908,112659,'Inflicts 223 - 371 disease damage on target',100,1,0),
(250909,112659,'Inflicts 223 - 371 disease damage on target',100,1,1),
(250910,112659,'Roots target',100,1,2),
(250911,112659,'If Target is not Epic',100,2,3),
(250912,112659,'15% chance to dispel when target takes damage',100,1,4),
(250913,112659,'If weapon equipped in Ranged',100,1,5),
(250914,112659,'Resistibility increases against targets higher than level 110.',100,1,6),
(250915,10112659,'Inflicts 189 - 316 disease damage on target',100,1,0),
(250916,10112659,'Inflicts 189 - 316 disease damage on target',100,1,1),
(250917,10112659,'Roots target',100,1,2),
(250918,10112659,'If Target is not Epic',100,2,3),
(250919,10112659,'15% chance to dispel when target takes damage',100,1,4),
(250920,10112659,'If weapon equipped in Ranged',100,1,5),
(250921,10112659,'Resistibility increases against targets higher than level 110.',100,1,6),
(250922,114536,'Heals target for 249 - 305',100,1,0),
(250923,10114536,'Heals target for 324 - 396',100,1,0),
(250924,175548,'Applies Volcanic Wrath when Activated.  Lasts for 15.0 seconds.',100,0,0),
(250925,175548,'Increases the base damage of all hostile spells by 12%',100,1,1),
(250926,175548,'The reuse time of Volcanic Wrath is 3 minutes',100,1,2),
(250927,10175548,'Applies Volcanic Wrath when Activated.  Lasts for 15.0 seconds.',100,0,0),
(250928,10175548,'Increases the base damage of all hostile spells by 12%',100,1,1),
(250929,10175548,'The reuse time of Volcanic Wrath is 3 minutes',100,1,2),
(250930,104345,'Charms target',100,1,0),
(250931,104345,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(250932,104345,'Mesmerizes target',100,2,2),
(250933,104345,'Dispelled when target takes damage',100,2,3),
(250934,104345,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(250935,104345,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(250936,104345,'Grants Sonic Vision to caster',100,2,6),
(250937,104345,'Increases Out-of-Combat Power Regeneration of target by 13.8',100,1,7),
(250938,104345,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,1,8),
(250939,104345,'Certain enemies cannot be charmed',100,1,9),
(250940,104345,'Does not affect Epic targets',100,1,10),
(250941,10104345,'Mesmerizes target',100,1,0),
(250942,10104345,'Prevents AOE (except when direct) ',100,1,1),
(250943,10104345,'Dispelled when target takes damage',100,1,2),
(250944,10104345,'Certain enemies cannot be charmed',100,1,3),
(250945,10104345,'Does not affect Epic targets',100,1,4),
(250946,10104345,'Resistibility increases against targets higher than level 62.',100,1,5),
(250947,46104,'Applies Elixir of Resurgence when Activated.',100,0,0),
(250948,46104,'Heals caster for 34',100,1,1),
(250949,10046104,'Applies Elixir of Resurgence when Activated.',100,0,0),
(250950,10046104,'Heals caster for 22',100,1,1),
(250951,110142,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(250952,110142,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(250953,110142,'Only affects the caster of Guardian''s Sphere',100,2,2),
(250954,110142,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(250955,110142,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(250956,110142,'If not fighter',100,2,5),
(250957,10110142,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(250958,10110142,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(250959,10110142,'Only affects the caster of Guardian''s Sphere',100,2,2),
(250960,10110142,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(250961,10110142,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(250962,10110142,'If not fighter',100,2,5),
(250963,80718,'When Equipped:',100,0,0),
(250964,80718,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250965,80718,'Inflicts 48 - 89 magic damage on target',100,2,2),
(250966,80718,'Cannot be modified except by direct means',100,2,3),
(250967,10080718,'When Equipped:',100,0,0),
(250968,10080718,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250969,10080718,'Inflicts 57 - 106 magic damage on target',100,2,2),
(250970,10080718,'Cannot be modified except by direct means',100,2,3),
(250971,48391,'Applies Illusions: Splitpaw Gnoll when Activated.  Lasts for 2 hours.',100,0,0),
(250972,48391,'Shapechanges caster into a gnoll',100,1,1),
(250973,10048391,'Applies Illusions: Splitpaw Gnoll when Activated.  Lasts for 2 hours.',100,0,0),
(250974,10048391,'Shapechanges caster into a gnoll',100,1,1),
(250975,183486,'When Equipped:',100,0,0),
(250976,183486,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(250977,183486,'Inflicts 2648 piercing damage on target',100,2,2),
(250978,183486,'Cannot be modified except by direct means',100,2,3),
(250979,10183486,'When Equipped:',100,0,0),
(250980,10183486,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(250981,10183486,'Inflicts 1589 piercing damage on target',100,2,2),
(250982,10183486,'Cannot be modified except by direct means',100,2,3),
(250983,100774,'Summons a limited pet to aid the caster',100,1,0),
(250984,10100774,'Summons a limited pet to aid the caster',100,1,0),
(250985,82111,'When Equipped:',100,0,0),
(250986,82111,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250987,82111,'Inflicts 135 - 252 magic damage on target',100,2,2),
(250988,82111,'Cannot be modified except by direct means',100,2,3),
(250989,10082111,'When Equipped:',100,0,0),
(250990,10082111,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(250991,10082111,'Inflicts 163 - 302 magic damage on target',100,2,2),
(250992,10082111,'Cannot be modified except by direct means',100,2,3),
(250993,101611,'Applies Forceful Headache on termination.',100,1,0),
(250994,101611,'Inflicts 38 - 63 mental damage on target',100,2,1),
(250995,101611,'If over 50% power',100,3,2),
(250996,101611,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',100,1,3),
(250997,101611,'Decreases Mitigation of target vs arcane damage by 188',100,1,4),
(250998,10101611,'Applies Forceful Headache on termination.',100,1,0),
(250999,10101611,'Inflicts 45 - 76 mental damage on target',100,2,1),
(251000,10101611,'If over 50% power',100,3,2),
(251001,10101611,'Inflicts 18 - 22 mental damage on target instantly and every 6 seconds',100,1,3),
(251002,10101611,'Decreases Mitigation of target vs arcane damage by 188',100,1,4),
(251003,81097,'When Equipped:',100,0,0),
(251004,81097,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251005,81097,'Inflicts 132 - 246 magic damage on target',100,2,2),
(251006,81097,'Cannot be modified except by direct means',100,2,3),
(251007,10081097,'When Equipped:',100,0,0),
(251008,10081097,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251009,10081097,'Inflicts 159 - 295 magic damage on target',100,2,2),
(251010,10081097,'Cannot be modified except by direct means',100,2,3),
(251011,71806,'When Equipped:',100,0,0),
(251012,71806,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251013,71806,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(251014,71806,'Cannot be modified except by direct means',100,2,3),
(251015,10071806,'When Equipped:',100,0,0),
(251016,10071806,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251017,10071806,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(251018,10071806,'Cannot be modified except by direct means',100,2,3),
(251019,113575,'Mesmerizes target',100,1,0),
(251020,113575,'Prevents AOE (except when direct) ',100,1,1),
(251021,113575,'Dispelled when target takes damage',100,1,2),
(251022,113575,'Does not affect Epic targets',100,1,3),
(251023,113575,'Resistibility increases against targets higher than level 79.',100,1,4),
(251024,10113575,'Mesmerizes target',100,1,0),
(251025,10113575,'Prevents AOE (except when direct) ',100,1,1),
(251026,10113575,'Dispelled when target takes damage',100,1,2),
(251027,10113575,'Does not affect Epic targets',100,1,3),
(251028,10113575,'Resistibility increases against targets higher than level 79.',100,1,4),
(251029,115350,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(251030,115350,'Makes target afraid',100,2,1),
(251031,115350,'Slows target by 51.3%',100,2,2),
(251032,115350,'30% chance to dispel when target takes damage',100,2,3),
(251033,115350,'Does not affect Epic targets',100,2,4),
(251034,115350,'Resistibility increases against targets higher than level 112.',100,2,5),
(251035,115350,'Roots target',100,1,6),
(251036,115350,'15% chance to dispel when target takes damage',100,1,7),
(251037,115350,'Does not affect Epic targets',100,1,8),
(251038,115350,'Resistibility increases against targets higher than level 112.',100,1,9),
(251039,10115350,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(251040,10115350,'Makes target afraid',100,2,1),
(251041,10115350,'Slows target by 51.3%',100,2,2),
(251042,10115350,'30% chance to dispel when target takes damage',100,2,3),
(251043,10115350,'Does not affect Epic targets',100,2,4),
(251044,10115350,'Resistibility increases against targets higher than level 112.',100,2,5),
(251045,10115350,'Roots target',100,1,6),
(251046,10115350,'15% chance to dispel when target takes damage',100,1,7),
(251047,10115350,'Does not affect Epic targets',100,1,8),
(251048,10115350,'Resistibility increases against targets higher than level 112.',100,1,9),
(251049,47638,'Applies Call Prismatic Cloud when Activated.',100,0,0),
(251050,47638,'Increases Ordination of caster by 5.0',100,1,1),
(251051,47638,'Reduces maximum falling speed of caster',100,1,2),
(251052,47638,'Increases Focus of caster by 5.0',100,1,3),
(251053,47638,'Summons a mount to ride',100,1,4),
(251054,47638,'Increases your ground speed by 75%',100,2,5),
(251055,47638,'Increases your air speed by 150%',100,2,6),
(251056,47638,'Increases Ministration, Subjugation and Disruption of caster by 5.0',100,1,7),
(251057,10047638,'Applies Call Prismatic Cloud when Activated.',100,0,0),
(251058,10047638,'Increases Ordination of caster by 5.0',100,1,1),
(251059,10047638,'Reduces maximum falling speed of caster',100,1,2),
(251060,10047638,'Increases Focus of caster by 5.0',100,1,3),
(251061,10047638,'Summons a mount to ride',100,1,4),
(251062,10047638,'Increases your ground speed by 75%',100,2,5),
(251063,10047638,'Increases your air speed by 150%',100,2,6),
(251064,10047638,'Increases Ministration, Subjugation and Disruption of caster by 5.0',100,1,7),
(251065,72304,'When Equipped:',100,0,0),
(251066,72304,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251067,72304,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(251068,72304,'Cannot be modified except by direct means',100,2,3),
(251069,10072304,'When Equipped:',100,0,0),
(251070,10072304,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251071,10072304,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(251072,10072304,'Cannot be modified except by direct means',100,2,3),
(251073,108054,'Inflicts 744 magic damage on target',100,1,0),
(251074,108054,'Increases power of caster by 219',100,1,1),
(251075,10108054,'Inflicts 893 magic damage on target',100,1,0),
(251076,10108054,'Increases power of caster by 219',100,1,1),
(251077,82325,'When Equipped:',100,0,0),
(251078,82325,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251079,82325,'Inflicts 184 - 342 magic damage on target',100,2,2),
(251080,82325,'Decreases Threat to target by 672 ',100,2,3),
(251081,82325,'Must be flanking or behind',100,3,4),
(251082,82325,'Increases Threat to target by 677 ',100,2,5),
(251083,82325,'Must be in front of',100,3,6),
(251084,82325,'Cannot be modified except by direct means',100,2,7),
(251085,10082325,'When Equipped:',100,0,0),
(251086,10082325,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251087,10082325,'Inflicts 221 - 410 magic damage on target',100,2,2),
(251088,10082325,'Cannot be modified except by direct means',100,2,3),
(251089,116964,'Increases Threat to target by 784 - 958 ',100,1,0),
(251090,116964,'Interrupts target',100,1,1),
(251091,10116964,'Forces target to change their selected target to caster.',100,1,0),
(251092,10116964,'Interrupts target',100,1,1),
(251093,10116964,'Prevents target from changing targets',100,1,2),
(251094,41562,'When Equipped:',100,0,0),
(251095,41562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251096,41562,'Inflicts 67 - 124 magic damage on target',100,2,2),
(251097,41562,'Cannot be modified except by direct means',100,2,3),
(251098,10041562,'When Equipped:',100,0,0),
(251099,10041562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251100,10041562,'Inflicts 80 - 149 magic damage on target',100,2,2),
(251101,10041562,'Cannot be modified except by direct means',100,2,3),
(251102,124176,'Inflicts 48 - 81 melee damage on target',100,1,0),
(251103,10124176,'Inflicts 58 - 97 melee damage on target',100,1,0),
(251104,141408,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(251105,141408,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(251106,141408,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(251107,141408,'Cannot be modified except by direct means',100,2,3),
(251108,10141408,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(251109,10141408,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(251110,10141408,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(251111,10141408,'Cannot be modified except by direct means',100,2,3),
(251112,108925,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(251113,108925,'Inflicts 21 heat damage on target',100,2,1),
(251114,10108925,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(251115,10108925,'Inflicts 25 heat damage on target',100,2,1),
(251116,142987,'When Equipped:',100,0,0),
(251117,142987,'When damaged this spell has a 5% chance to cast Orc Bane on target''s attacker.  ',100,1,1),
(251118,142987,'Inflicts 212 - 354 magic damage on target',100,2,2),
(251119,142987,'If target is orc',100,2,3),
(251120,142987,'Cannot be modified except by direct means',100,2,4),
(251121,10142987,'When Equipped:',100,0,0),
(251122,10142987,'When damaged this spell has a 5% chance to cast Orc Bane on target''s attacker.  ',100,1,1),
(251123,10142987,'Inflicts 255 - 424 magic damage on target',100,2,2),
(251124,10142987,'If target is orc',100,2,3),
(251125,10142987,'Cannot be modified except by direct means',100,2,4),
(251126,106663,'Heals caster for 35.1 - 42.9% of max health',100,1,0),
(251127,106663,'This effect cannot be critically applied.',100,2,1),
(251128,106663,'Increases Max Health of caster by 138.2',100,1,2),
(251129,106663,'The healing of this spell cannot be modified except by direct means',100,1,3),
(251130,10106663,'Heals caster for 10.8 - 13.2% of max health',100,1,0),
(251131,10106663,'This effect cannot be critically applied.',100,2,1),
(251132,10106663,'Increases Max Health of caster by 138.2',100,1,2),
(251133,10106663,'The healing of this spell cannot be modified except by direct means',100,1,3),
(251134,104521,'Increases Threat to target by 233 - 284  instantly and by 50 - 60  every 2 seconds thereafter',100,1,0),
(251135,10104521,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(251136,123033,'Summons 12 limited pets to aid the caster',100,1,0),
(251137,10123033,'Summons 12 limited pets to aid the caster',100,1,0),
(251138,123101,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(251139,123101,'Roots target',100,2,1),
(251140,123101,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(251141,123101,'Slows target by 75.2%',100,3,3),
(251142,123101,'5% chance to dispel when target receives hostile action',100,3,4),
(251143,123101,'5% chance to dispel when target takes damage',100,3,5),
(251144,123101,'5% chance to dispel when target takes damage',100,2,6),
(251145,123101,'Does not affect Epic targets',100,2,7),
(251146,123101,'Resistibility increases against targets higher than level 114.',100,2,8),
(251147,123101,'Decreases AGI of target encounter by 114.4',100,1,9),
(251148,10123101,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(251149,10123101,'Roots target',100,2,1),
(251150,10123101,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(251151,10123101,'Slows target by 75.2%',100,3,3),
(251152,10123101,'5% chance to dispel when target receives hostile action',100,3,4),
(251153,10123101,'5% chance to dispel when target takes damage',100,3,5),
(251154,10123101,'5% chance to dispel when target takes damage',100,2,6),
(251155,10123101,'Does not affect Epic targets',100,2,7),
(251156,10123101,'Resistibility increases against targets higher than level 114.',100,2,8),
(251157,10123101,'Decreases AGI of target encounter by 114.4',100,1,9),
(251158,112740,'Summons a pet bear companion',100,1,0),
(251159,10112740,'Summons a pet bear companion',100,1,0),
(251160,45234,'Applies Clean when Activated.',100,0,0),
(251161,10045234,'Applies Clean when Activated.',100,0,0),
(251162,113339,'Inflicts 221 - 271 divine damage on target encounter',100,1,0),
(251163,113339,'Interrupts target encounter',100,1,1),
(251164,10113339,'Inflicts 266 - 325 divine damage on target encounter',100,1,0),
(251165,10113339,'Interrupts target encounter',100,1,1),
(251166,110894,'Inflicts 426 - 520 heat damage on target encounter',100,1,0),
(251167,10110894,'Inflicts 511 - 624 heat damage on target encounter',100,1,0),
(251168,163695,'When Equipped:',100,0,0),
(251169,163695,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251170,163695,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,2),
(251171,163695,'Increases Potency of caster by 11.0%',100,2,3),
(251172,163695,'Increases Crushing, Ranged, Piercing and Slashing of caster by 11.5',100,2,4),
(251173,163695,'Must not be engaged in pvp combat',100,2,5),
(251174,163695,'Cannot be modified except by direct means',100,2,6),
(251175,163695,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(251176,163695,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(251177,163695,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(251178,163695,'Increases Potency of caster by 11.0%',100,2,10),
(251179,163695,'Increases Crushing, Ranged, Piercing and Slashing of caster by 11.5',100,2,11),
(251180,163695,'Must not be engaged in pvp combat',100,2,12),
(251181,163695,'Cannot be modified except by direct means',100,2,13),
(251182,163695,'Cannot be modified except by direct means',100,1,14),
(251183,10163695,'When Equipped:',100,0,0),
(251184,10163695,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251185,10163695,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,2),
(251186,10163695,'Increases Potency of caster by 11.0%',100,2,3),
(251187,10163695,'Increases Crushing, Ranged, Piercing and Slashing of caster by 11.5',100,2,4),
(251188,10163695,'Must not be engaged in pvp combat',100,2,5),
(251189,10163695,'Cannot be modified except by direct means',100,2,6),
(251190,10163695,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(251191,10163695,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(251192,10163695,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,9),
(251193,10163695,'Increases Potency of caster by 11.0%',100,2,10),
(251194,10163695,'Increases Crushing, Ranged, Piercing and Slashing of caster by 11.5',100,2,11),
(251195,10163695,'Must not be engaged in pvp combat',100,2,12),
(251196,10163695,'Cannot be modified except by direct means',100,2,13),
(251197,10163695,'Cannot be modified except by direct means',100,1,14),
(251198,74919,'When Equipped:',100,0,0),
(251199,74919,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251200,74919,'Inflicts 24 - 37 magic damage on target',100,2,2),
(251201,74919,'Cannot be modified except by direct means',100,2,3),
(251202,10074919,'When Equipped:',100,0,0),
(251203,10074919,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251204,10074919,'Inflicts 29 - 44 magic damage on target',100,2,2),
(251205,10074919,'Cannot be modified except by direct means',100,2,3),
(251206,80571,'When Equipped:',100,0,0),
(251207,80571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251208,80571,'Inflicts 70 - 129 magic damage on target',100,2,2),
(251209,80571,'Cannot be modified except by direct means',100,2,3),
(251210,10080571,'When Equipped:',100,0,0),
(251211,10080571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251212,10080571,'Inflicts 84 - 155 magic damage on target',100,2,2),
(251213,10080571,'Cannot be modified except by direct means',100,2,3),
(251214,162366,'When Equipped:',100,0,0),
(251215,162366,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(251216,10162366,'When Equipped:',100,0,0),
(251217,10162366,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(251218,116328,'Stuns target',100,1,0),
(251219,116328,'If Target is not Epic',100,2,1),
(251220,116328,'Inflicts 711 - 869 magic damage on target',100,1,2),
(251221,116328,'Resistibility increases against targets higher than level 121.',100,1,3),
(251222,10116328,'Stuns target',100,1,0),
(251223,10116328,'If Target is not Epic',100,2,1),
(251224,10116328,'Inflicts 853 - 1042 magic damage on target',100,1,2),
(251225,10116328,'Resistibility increases against targets higher than level 121.',100,1,3),
(251226,122024,'Increases Threat to target by 27 - 32 ',100,1,0),
(251227,122024,'Inflicts 2 - 4 melee damage on target',100,1,1),
(251228,10122024,'Forces target to change their selected target to caster.',100,1,0),
(251229,10122024,'Inflicts 2 - 4 melee damage on target',100,1,1),
(251230,24367,'Adds Fairy (Wizard) to your Dungeon Maker toolbox',100,0,0),
(251231,10024367,'Adds Fairy (Wizard) to your Dungeon Maker toolbox',100,0,0),
(251232,80327,'When Equipped:',100,0,0),
(251233,80327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251234,80327,'Inflicts 132 - 246 magic damage on target',100,2,2),
(251235,80327,'Cannot be modified except by direct means',100,2,3),
(251236,10080327,'When Equipped:',100,0,0),
(251237,10080327,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251238,10080327,'Inflicts 159 - 295 magic damage on target',100,2,2),
(251239,10080327,'Cannot be modified except by direct means',100,2,3),
(251240,101060,'Summons 3 limited pets to aid the caster',100,1,0),
(251241,10101060,'Summons 3 limited pets to aid the caster',100,1,0),
(251242,119424,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(251243,119424,'Stuns target',100,2,1),
(251244,119424,'Throws target back',100,2,2),
(251245,119424,'Blurs vision of target',100,2,3),
(251246,119424,'Does not affect Epic targets',100,2,4),
(251247,119424,'Inflicts 367 - 612 melee damage on target',100,1,5),
(251248,119424,'You must be sneaking to use this ability.',100,1,6),
(251249,10119424,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(251250,10119424,'Stuns target',100,2,1),
(251251,10119424,'Throws target back',100,2,2),
(251252,10119424,'Blurs vision of target',100,2,3),
(251253,10119424,'Does not affect Epic targets',100,2,4),
(251254,10119424,'Inflicts 441 - 735 melee damage on target',100,1,5),
(251255,10119424,'You must be sneaking to use this ability.',100,1,6),
(251256,114956,'Decreases Attack Speed of target by 9.4',100,1,0),
(251257,114956,'Inflicts 30 - 91 slashing damage on target',100,1,1),
(251258,114956,'Inflicts 61 slashing damage on target instantly and every 4 seconds',100,1,2),
(251259,10114956,'Decreases Attack Speed of target by 9.4',100,1,0),
(251260,10114956,'Inflicts 36 - 110 slashing damage on target',100,1,1),
(251261,10114956,'Inflicts 73 slashing damage on target instantly and every 4 seconds',100,1,2),
(251262,117733,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(251263,117733,'Heals target for 626',100,2,1),
(251264,117733,'Increases Max Health of target by 443.0',100,2,2),
(251265,117733,'Grants a total of 1 trigger of the spell.',100,2,3),
(251266,10117733,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(251267,10117733,'Heals target for 407',100,2,1),
(251268,10117733,'Increases Max Health of target by 443.0',100,2,2),
(251269,10117733,'Grants a total of 1 trigger of the spell.',100,2,3),
(251270,71892,'When Equipped:',100,0,0),
(251271,71892,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251272,71892,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(251273,71892,'Cannot be modified except by direct means',100,2,3),
(251274,10071892,'When Equipped:',100,0,0),
(251275,10071892,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251276,10071892,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(251277,10071892,'Cannot be modified except by direct means',100,2,3),
(251278,114924,'Inflicts 346 - 577 melee damage on target',100,1,0),
(251279,114924,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1240',100,1,1),
(251280,114924,'Must be behind',100,1,2),
(251281,10114924,'Inflicts 415 - 693 melee damage on target',100,1,0),
(251282,10114924,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 620',100,1,1),
(251283,10114924,'Must be behind',100,1,2),
(251284,103902,'Increases power of group members (AE) by 41 instantly and every 6 seconds',100,1,0),
(251285,103902,'Decreases INT of target by 139.9',100,1,1),
(251286,10103902,'Increases power of group members (AE) by 41 instantly and every 6 seconds',100,1,0),
(251287,10103902,'Decreases INT of target by 139.9',100,1,1),
(251288,178629,'When Equipped:',100,0,0),
(251289,178629,'When any damage is received this spell has a 5% chance to cast Detonation on target''s attacker.  ',100,1,1),
(251290,178629,'Inflicts 127 - 212 heat damage on targets in Area of Effect',100,2,2),
(251291,178629,'Cannot be modified except by direct means',100,2,3),
(251292,10178629,'When Equipped:',100,0,0),
(251293,10178629,'When any damage is received this spell has a 5% chance to cast Detonation on target''s attacker.  ',100,1,1),
(251294,10178629,'Inflicts 153 - 255 heat damage on targets in Area of Effect',100,2,2),
(251295,10178629,'Cannot be modified except by direct means',100,2,3),
(251296,80715,'When Equipped:',100,0,0),
(251297,80715,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251298,80715,'Inflicts 53 - 98 magic damage on target',100,2,2),
(251299,80715,'Decreases Threat to target by 236 ',100,2,3),
(251300,80715,'Must be flanking or behind',100,3,4),
(251301,80715,'Increases Threat to target by 241 ',100,2,5),
(251302,80715,'Must be in front of',100,3,6),
(251303,80715,'Cannot be modified except by direct means',100,2,7),
(251304,10080715,'When Equipped:',100,0,0),
(251305,10080715,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251306,10080715,'Inflicts 64 - 118 magic damage on target',100,2,2),
(251307,10080715,'Cannot be modified except by direct means',100,2,3),
(251308,81431,'When Equipped:',100,0,0),
(251309,81431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251310,81431,'Inflicts 70 - 129 magic damage on target',100,2,2),
(251311,81431,'Cannot be modified except by direct means',100,2,3),
(251312,10081431,'When Equipped:',100,0,0),
(251313,10081431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251314,10081431,'Inflicts 84 - 155 magic damage on target',100,2,2),
(251315,10081431,'Cannot be modified except by direct means',100,2,3),
(251316,104267,'Increases Mitigation of group members (AE) vs physical damage by 1023',100,1,0),
(251317,10104267,'Increases Mitigation of group members (AE) vs physical damage by 1023',100,1,0),
(251318,119099,'Inflicts 107 - 322 melee damage on targets in area',100,1,0),
(251319,119099,'Inflicts 107 - 322 melee damage on targets in area',100,1,1),
(251320,119099,'Inflicts 107 - 322 melee damage on targets in area',100,1,2),
(251321,119099,'Inflicts 107 - 322 melee damage on targets in area',100,1,3),
(251322,10119099,'Inflicts 128 - 386 melee damage on targets in area',100,1,0),
(251323,10119099,'Inflicts 128 - 386 melee damage on targets in area',100,1,1),
(251324,10119099,'Inflicts 128 - 386 melee damage on targets in area',100,1,2),
(251325,10119099,'Inflicts 128 - 386 melee damage on targets in area',100,1,3),
(251326,114760,'Feigns Death with 58% chance of success',100,1,0),
(251327,10114760,'Feigns Death with 58% chance of success',100,1,0),
(251328,24059,'Adds Burynai (Coercer) to your Dungeon Maker toolbox',100,0,0),
(251329,10024059,'Adds Burynai (Coercer) to your Dungeon Maker toolbox',100,0,0),
(251330,121078,'Increases STR and STA of group members (AE) by 55.4',100,1,0),
(251331,10121078,'Increases STR and STA of group members (AE) by 55.4',100,1,0),
(251332,118627,'Inflicts 25 - 75 crushing damage on target',100,1,0),
(251333,10118627,'Inflicts 30 - 90 crushing damage on target',100,1,0),
(251334,118373,'Inflicts 179 - 299 melee damage on target',100,1,0),
(251335,118373,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(251336,118373,'Stuns target',100,2,2),
(251337,118373,'Throws target back',100,2,3),
(251338,118373,'Blurs vision of target',100,2,4),
(251339,118373,'Does not affect Epic targets',100,2,5),
(251340,10118373,'Inflicts 215 - 359 melee damage on target',100,1,0),
(251341,10118373,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(251342,10118373,'Stuns target',100,2,2),
(251343,10118373,'Throws target back',100,2,3),
(251344,10118373,'Blurs vision of target',100,2,4),
(251345,10118373,'Does not affect Epic targets',100,2,5),
(251346,114173,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(251347,114173,'Heals target for 1622',100,2,1),
(251348,114173,'Grants a total of 1 trigger of the spell.',100,2,2),
(251349,10114173,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(251350,10114173,'Heals target for 1055',100,2,1),
(251351,10114173,'Grants a total of 1 trigger of the spell.',100,2,2),
(251352,100348,'Increases Max Health of target by 285.5',100,1,0),
(251353,100348,'Increases Crushing, Piercing, Slashing and Ranged of target by 5.0',100,1,1),
(251354,10100348,'Increases Max Health of target by 285.5',100,1,0),
(251355,10100348,'Increases Crushing, Piercing, Slashing and Ranged of target by 5.0',100,1,1),
(251356,80436,'When Equipped:',100,0,0),
(251357,80436,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251358,80436,'Inflicts 45 - 84 magic damage on target',100,2,2),
(251359,80436,'Decreases Threat to target by 153 ',100,2,3),
(251360,80436,'Must be flanking or behind',100,3,4),
(251361,80436,'Increases Threat to target by 158 ',100,2,5),
(251362,80436,'Must be in front of',100,3,6),
(251363,80436,'Cannot be modified except by direct means',100,2,7),
(251364,10080436,'When Equipped:',100,0,0),
(251365,10080436,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251366,10080436,'Inflicts 54 - 100 magic damage on target',100,2,2),
(251367,10080436,'Cannot be modified except by direct means',100,2,3),
(251368,24210,'Adds Crushbone: Plate with Delicacy to your Dungeon Maker toolbox',100,0,0),
(251369,10024210,'Adds Crushbone: Plate with Delicacy to your Dungeon Maker toolbox',100,0,0),
(251370,75903,'When Equipped:',100,0,0),
(251371,75903,'On a hit this spell may cast Indestructible Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(251372,75903,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(251373,75903,'Must not be engaged in pvp combat',100,1,3),
(251374,75903,'Cannot be modified except by direct means',100,1,4),
(251375,10075903,'When Equipped:',100,0,0),
(251376,10075903,'On a hit this spell may cast Indestructible Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(251377,10075903,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(251378,10075903,'Must not be engaged in pvp combat',100,1,3),
(251379,10075903,'Cannot be modified except by direct means',100,1,4),
(251380,46558,'Applies trauma remedy when Activated.',100,0,0),
(251381,46558,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(251382,10046558,'Applies trauma remedy when Activated.',100,0,0),
(251383,10046558,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(251384,90421,'When Equipped:',100,0,0),
(251385,90421,'On a combat hit this spell may cast Precognitive Deception on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251386,90421,'Group members (AE) will Dodge 10.0% of incoming attacks',100,2,2),
(251387,90421,'Cannot be modified except by direct means',100,2,3),
(251388,10090421,'When Equipped:',100,0,0),
(251389,10090421,'On a combat hit this spell may cast Precognitive Deception on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251390,10090421,'Group members (AE) will Dodge 10.0% of incoming attacks',100,2,2),
(251391,10090421,'Cannot be modified except by direct means',100,2,3),
(251392,101411,'Inflicts 519 - 865 melee damage on target',100,1,0),
(251393,101411,'Returns the last arrow used to the ranger.',100,1,1),
(251394,10101411,'Inflicts 623 - 1038 melee damage on target',100,1,0),
(251395,10101411,'Returns the last arrow used to the ranger.',100,1,1),
(251396,109360,'Inflicts 7 - 13 cold damage on target instantly and every 4 seconds',100,1,0),
(251397,109360,'Decreases Mitigation of target vs elemental damage by 178',100,1,1),
(251398,10109360,'Inflicts 8 - 16 cold damage on target instantly and every 4 seconds',100,1,0),
(251399,10109360,'Decreases Mitigation of target vs elemental damage by 178',100,1,1),
(251400,26712,'When Equipped:',100,0,0),
(251401,26712,'Reduces all damage done to caster by up to 240.',100,1,1),
(251402,26712,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(251403,26712,'Must not be engaged in pvp combat',100,1,3),
(251404,10026712,'When Equipped:',100,0,0),
(251405,10026712,'Reduces all damage done to caster by up to 240.',100,1,1),
(251406,10026712,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(251407,10026712,'Must not be engaged in pvp combat',100,1,3),
(251408,108435,'Increases INT, AGI, STR and WIS of group members (AE) by 55.0',100,1,0),
(251409,108435,'Adds 1.7% to base avoidance.',100,1,1),
(251410,108435,'Increases Ability Reuse Speed of group members (AE) by 6.0%',100,1,2),
(251411,108435,'Increases Attack Speed of group members (AE) by 37.8',100,1,3),
(251412,108435,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 161',100,1,4),
(251413,10108435,'Increases INT, AGI, STR and WIS of group members (AE) by 55.0',100,1,0),
(251414,10108435,'Adds 1.7% to base avoidance.',100,1,1),
(251415,10108435,'Increases Ability Reuse Speed of group members (AE) by 6.0%',100,1,2),
(251416,10108435,'Increases Attack Speed of group members (AE) by 37.8',100,1,3),
(251417,10108435,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 161',100,1,4),
(251418,40389,'When Equipped:',100,0,0),
(251419,40389,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(251420,40389,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(251421,40389,'Heals caster for 811 - 1217',100,2,3),
(251422,40389,'Cannot be modified except by direct means',100,2,4),
(251423,40389,'Cannot be modified except by direct means',100,1,5),
(251424,10040389,'When Equipped:',100,0,0),
(251425,10040389,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(251426,10040389,'Inflicts 1462 - 2193 poison damage on target',100,2,2),
(251427,10040389,'Heals caster for 949 - 1424',100,2,3),
(251428,10040389,'Cannot be modified except by direct means',100,2,4),
(251429,10040389,'Cannot be modified except by direct means',100,1,5),
(251430,110587,'Decreases Attack Speed of target by 23.2',100,1,0),
(251431,110587,'Decreases Crushing, Slashing and Piercing of target by 13.9',100,1,1),
(251432,10110587,'Decreases Attack Speed of target by 23.2',100,1,0),
(251433,10110587,'Decreases Crushing, Slashing and Piercing of target by 13.9',100,1,1),
(251434,177530,'When Equipped:',100,0,0),
(251435,177530,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251436,177530,'Increases WIS of caster by 11.9',100,2,2),
(251437,177530,'Increases Ministration, Ordination and Focus of caster by 6.7',100,2,3),
(251438,177530,'Cannot be modified except by direct means',100,2,4),
(251439,10177530,'When Equipped:',100,0,0),
(251440,10177530,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251441,10177530,'Increases WIS of caster by 11.9',100,2,2),
(251442,10177530,'Increases Ministration, Ordination and Focus of caster by 6.7',100,2,3),
(251443,10177530,'Cannot be modified except by direct means',100,2,4),
(251444,115697,'Inflicts 63 - 190 melee damage on target',100,1,0),
(251445,115697,'Inflicts 63 - 190 melee damage on target',100,1,1),
(251446,115697,'Inflicts 63 - 190 melee damage on target',100,1,2),
(251447,115697,'Inflicts 63 - 190 melee damage on target',100,1,3),
(251448,115697,'Inflicts 63 - 190 melee damage on target',100,1,4),
(251449,115697,'Inflicts 63 - 190 melee damage on target',100,1,5),
(251450,115697,'Inflicts 63 - 190 melee damage on target',100,1,6),
(251451,115697,'Inflicts 63 - 190 melee damage on target',100,1,7),
(251452,10115697,'Inflicts 76 - 228 melee damage on target',100,1,0),
(251453,10115697,'Inflicts 76 - 228 melee damage on target',100,1,1),
(251454,10115697,'Inflicts 76 - 228 melee damage on target',100,1,2),
(251455,10115697,'Inflicts 76 - 228 melee damage on target',100,1,3),
(251456,10115697,'Inflicts 76 - 228 melee damage on target',100,1,4),
(251457,10115697,'Inflicts 76 - 228 melee damage on target',100,1,5),
(251458,10115697,'Inflicts 76 - 228 melee damage on target',100,1,6),
(251459,10115697,'Inflicts 76 - 228 melee damage on target',100,1,7),
(251460,112177,'Increases STR of caster by 40.1',100,1,0),
(251461,112177,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',100,1,1),
(251462,112177,'Increases Mitigation of caster vs physical damage by 257',100,1,2),
(251463,10112177,'Increases STR of caster by 40.1',100,1,0),
(251464,10112177,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',100,1,1),
(251465,10112177,'Increases Mitigation of caster vs physical damage by 257',100,1,2),
(251466,35097,'Increases AGI of target by 1.5',100,0,0),
(251467,35097,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(251468,85463,'When Equipped:',100,0,0),
(251469,85463,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(251470,85463,'Inflicts 341 - 417 magic damage on target',100,2,2),
(251471,85463,'Cannot be modified except by direct means',100,2,3),
(251472,10085463,'When Equipped:',100,0,0),
(251473,10085463,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(251474,10085463,'Inflicts 409 - 500 magic damage on target',100,2,2),
(251475,10085463,'Cannot be modified except by direct means',100,2,3),
(251476,159939,'When Equipped:',100,0,0),
(251477,159939,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251478,159939,'Increases WIS of caster by 3.6',100,2,2),
(251479,159939,'Increases Ministration, Ordination and Focus of caster by 2.2',100,2,3),
(251480,159939,'Cannot be modified except by direct means',100,2,4),
(251481,10159939,'When Equipped:',100,0,0),
(251482,10159939,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(251483,10159939,'Increases WIS of caster by 3.6',100,2,2),
(251484,10159939,'Increases Ministration, Ordination and Focus of caster by 2.2',100,2,3),
(251485,10159939,'Cannot be modified except by direct means',100,2,4),
(251486,88276,'When Equipped:',100,0,0),
(251487,88276,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(251488,88276,'Inflicts 1986 cold damage on target encounter',100,2,2),
(251489,88276,'Must not be engaged in pvp combat',100,2,3),
(251490,88276,'Cannot be modified except by direct means',100,2,4),
(251491,88276,'Must not be engaged in pvp combat',100,1,5),
(251492,10088276,'When Equipped:',100,0,0),
(251493,10088276,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(251494,10088276,'Inflicts 1192 cold damage on target encounter',100,2,2),
(251495,10088276,'Must not be engaged in pvp combat',100,2,3),
(251496,10088276,'Cannot be modified except by direct means',100,2,4),
(251497,10088276,'Must not be engaged in pvp combat',100,1,5),
(251498,177685,'When Equipped:',100,0,0),
(251499,177685,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(251500,177685,'Increases AGI of caster by 12.2',100,2,2),
(251501,177685,'Increases Attack Speed of caster by 17.5',100,2,3),
(251502,177685,'Cannot be modified except by direct means',100,2,4),
(251503,10177685,'When Equipped:',100,0,0),
(251504,10177685,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(251505,10177685,'Increases AGI of caster by 12.2',100,2,2),
(251506,10177685,'Increases Attack Speed of caster by 17.5',100,2,3),
(251507,10177685,'Cannot be modified except by direct means',100,2,4),
(251508,123860,'Increases AGI of caster by 40.8',100,1,0),
(251509,123860,'Adds 14.8% to base avoidance.',100,1,1),
(251510,123860,'Increases Damage Per Second of caster by 36.1',100,1,2),
(251511,123860,'Increases Mitigation of caster vs physical damage by 366',100,1,3),
(251512,123860,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,4),
(251513,10123860,'Increases AGI of caster by 40.8',100,1,0),
(251514,10123860,'Adds 14.8% to base avoidance.',100,1,1),
(251515,10123860,'Increases Damage Per Second of caster by 36.1',100,1,2),
(251516,10123860,'Increases Mitigation of caster vs physical damage by 366',100,1,3),
(251517,10123860,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,4),
(251518,81201,'When Equipped:',100,0,0),
(251519,81201,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251520,81201,'Inflicts 224 - 416 magic damage on target',100,2,2),
(251521,81201,'Decreases Threat to target by 833 ',100,2,3),
(251522,81201,'Must be flanking or behind',100,3,4),
(251523,81201,'Increases Threat to target by 838 ',100,2,5),
(251524,81201,'Must be in front of',100,3,6),
(251525,81201,'Cannot be modified except by direct means',100,2,7),
(251526,10081201,'When Equipped:',100,0,0),
(251527,10081201,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251528,10081201,'Inflicts 269 - 499 magic damage on target',100,2,2),
(251529,10081201,'Cannot be modified except by direct means',100,2,3),
(251530,50006,'Applies Braced for Impact  when Activated.  Lasts for 36.0 seconds.',100,0,0),
(251531,50006,'Increases Max Health of caster by 8.0%',100,1,1),
(251532,50006,'Increases All Attributes of caster by 12.0%',100,1,2),
(251533,50006,'The reuse time of Braced for Impact  is 6 minutes',100,1,3),
(251534,10050006,'Applies Braced for Impact  when Activated.  Lasts for 36.0 seconds.',100,0,0),
(251535,10050006,'Increases Max Health of caster by 8.0%',100,1,1),
(251536,10050006,'Increases All Attributes of caster by 12.0%',100,1,2),
(251537,10050006,'The reuse time of Braced for Impact  is 6 minutes',100,1,3),
(251538,120712,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 16.8',100,1,0),
(251539,10120712,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 16.8',100,1,0),
(251540,108643,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(251541,108643,'Heals target for 455',100,2,1),
(251542,108643,'Heals target for 114 every 2 seconds',100,2,2),
(251543,108643,'Increases AGI of target by 50.9',100,2,3),
(251544,108643,'Grants a total of 1 trigger of the spell.',100,2,4),
(251545,10108643,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(251546,10108643,'Heals target for 296',100,2,1),
(251547,10108643,'Heals target for 74 every 2 seconds',100,2,2),
(251548,10108643,'Increases AGI of target by 50.9',100,2,3),
(251549,10108643,'Grants a total of 1 trigger of the spell.',100,2,4),
(251550,123164,'Reduces physical damage done to caster by 5%',100,1,0),
(251551,123164,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,1),
(251552,123164,'Increases Aggression of caster by 10.6',100,1,2),
(251553,123164,'Increases Defense and Parry of caster by 21.1',100,1,3),
(251554,123164,'Increases Mitigation of caster vs elemental damage by 1408',100,1,4),
(251555,123164,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(251556,10123164,'Reduces physical damage done to caster by 5%',100,1,0),
(251557,10123164,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,1),
(251558,10123164,'Increases Aggression of caster by 10.6',100,1,2),
(251559,10123164,'Increases Defense and Parry of caster by 21.1',100,1,3),
(251560,10123164,'Increases Mitigation of caster vs elemental damage by 1408',100,1,4),
(251561,10123164,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(251562,80491,'When Equipped:',100,0,0),
(251563,80491,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251564,80491,'Inflicts 45 - 84 magic damage on target',100,2,2),
(251565,80491,'Decreases Threat to target by 153 ',100,2,3),
(251566,80491,'Must be flanking or behind',100,3,4),
(251567,80491,'Increases Threat to target by 158 ',100,2,5),
(251568,80491,'Must be in front of',100,3,6),
(251569,80491,'Cannot be modified except by direct means',100,2,7),
(251570,10080491,'When Equipped:',100,0,0),
(251571,10080491,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251572,10080491,'Inflicts 54 - 100 magic damage on target',100,2,2),
(251573,10080491,'Cannot be modified except by direct means',100,2,3),
(251574,170228,'When Equipped:',100,0,0),
(251575,170228,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(251576,170228,'Applies Rift Portals when Activated.',100,0,2),
(251577,170228,'Shifts the caster partially into the void, producing small rifts around them.',100,1,3),
(251578,10170228,'When Equipped:',100,0,0),
(251579,10170228,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(251580,10170228,'Applies Rift Portals when Activated.',100,0,2),
(251581,10170228,'Shifts the caster partially into the void, producing small rifts around them.',100,1,3),
(251582,81547,'When Equipped:',100,0,0),
(251583,81547,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251584,81547,'Inflicts 107 - 199 magic damage on target',100,2,2),
(251585,81547,'Decreases Threat to target by 376 ',100,2,3),
(251586,81547,'Must be flanking or behind',100,3,4),
(251587,81547,'Increases Threat to target by 381 ',100,2,5),
(251588,81547,'Must be in front of',100,3,6),
(251589,81547,'Cannot be modified except by direct means',100,2,7),
(251590,10081547,'When Equipped:',100,0,0),
(251591,10081547,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251592,10081547,'Inflicts 128 - 238 magic damage on target',100,2,2),
(251593,10081547,'Cannot be modified except by direct means',100,2,3),
(251594,117962,'Heals target for 519 - 635',100,1,0),
(251595,117962,'Increases Max Health of target by 79.9',100,1,1),
(251596,10117962,'Heals target for 596 - 728',100,1,0),
(251597,10117962,'Increases Max Health of target by 79.9',100,1,1),
(251598,45444,'Applies Bulwark of the Promisekeeper when Activated.  Lasts for 30 minutes.',100,0,0),
(251599,45444,'Increases WIS and INT of caster by 31.0',100,1,1),
(251600,10045444,'Applies Bulwark of the Promisekeeper when Activated.  Lasts for 30 minutes.',100,0,0),
(251601,10045444,'Increases WIS and INT of caster by 31.0',100,1,1),
(251602,138661,'When Equipped:',100,0,0),
(251603,138661,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251604,138661,'Wards caster against 300 points of all damage',100,2,2),
(251605,138661,'Cannot be modified except by direct means',100,2,3),
(251606,138661,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(251607,10138661,'When Equipped:',100,0,0),
(251608,10138661,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251609,10138661,'Wards caster against 300 points of all damage',100,2,2),
(251610,10138661,'Cannot be modified except by direct means',100,2,3),
(251611,10138661,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(251612,119738,'Wards group members (AE) against 130 points of elemental, noxious and arcane damage',100,1,0),
(251613,119738,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,1),
(251614,10119738,'Wards group members (AE) against 130 points of elemental, noxious and arcane damage',100,1,0),
(251615,10119738,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,1),
(251616,86090,'When Equipped:',100,0,0),
(251617,86090,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251618,86090,'Increases Attack Speed of caster by 6.0',100,2,2),
(251619,86090,'Increases Damage Per Second of caster by 9.0',100,2,3),
(251620,86090,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(251621,86090,'Must not be engaged in pvp combat',100,2,5),
(251622,86090,'Cannot be modified except by direct means',100,2,6),
(251623,86090,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(251624,86090,'Cannot be modified except by direct means',100,1,8),
(251625,10086090,'When Equipped:',100,0,0),
(251626,10086090,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(251627,10086090,'Increases Attack Speed of caster by 6.0',100,2,2),
(251628,10086090,'Increases Damage Per Second of caster by 9.0',100,2,3),
(251629,10086090,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(251630,10086090,'Must not be engaged in pvp combat',100,2,5),
(251631,10086090,'Cannot be modified except by direct means',100,2,6),
(251632,10086090,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(251633,10086090,'Cannot be modified except by direct means',100,1,8),
(251634,115071,'Heals target for 136 - 166',100,1,0),
(251635,115071,'Heals target for 17 - 21 every second',100,1,1),
(251636,10115071,'Heals target for 253 - 309',100,1,0),
(251637,10115071,'Heals target for 19 - 23 every second',100,1,1),
(251638,111073,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(251639,111073,'Slows target by 40.2%',100,2,1),
(251640,111073,'5% chance to dispel when target receives hostile action',100,2,2),
(251641,111073,'5% chance to dispel when target takes damage',100,2,3),
(251642,111073,'Decreases Mitigation of target vs elemental damage by 1020',100,1,4),
(251643,10111073,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(251644,10111073,'Slows target by 40.2%',100,2,1),
(251645,10111073,'5% chance to dispel when target receives hostile action',100,2,2),
(251646,10111073,'5% chance to dispel when target takes damage',100,2,3),
(251647,10111073,'Decreases Mitigation of target vs elemental damage by 1020',100,1,4),
(251648,119003,'Heals target for 748 - 914',100,1,0),
(251649,10119003,'Heals target for 795 - 972',100,1,0),
(251650,81260,'When Equipped:',100,0,0),
(251651,81260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251652,81260,'Inflicts 201 - 373 magic damage on target',100,2,2),
(251653,81260,'Cannot be modified except by direct means',100,2,3),
(251654,10081260,'When Equipped:',100,0,0),
(251655,10081260,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251656,10081260,'Inflicts 241 - 447 magic damage on target',100,2,2),
(251657,10081260,'Cannot be modified except by direct means',100,2,3),
(251658,42803,'When Equipped:',100,0,0),
(251659,42803,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(251660,42803,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(251661,42803,'Heals target for 14 - 16 instantly and every 2 seconds',100,2,3),
(251662,42803,'Must not be engaged in pvp combat',100,2,4),
(251663,42803,'Cannot be modified except by direct means',100,2,5),
(251664,42803,'Cannot be modified except by direct means',100,1,6),
(251665,10042803,'When Equipped:',100,0,0),
(251666,10042803,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(251667,10042803,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(251668,10042803,'Heals target for 9 - 10 instantly and every 2 seconds',100,2,3),
(251669,10042803,'Must not be engaged in pvp combat',100,2,4),
(251670,10042803,'Cannot be modified except by direct means',100,2,5),
(251671,10042803,'Cannot be modified except by direct means',100,1,6),
(251672,110944,'Applies Awakening on termination.',100,1,0),
(251673,110944,'Heals target for 959 - 1172',100,2,1),
(251674,10110944,'Applies Awakening on termination.',100,1,0),
(251675,10110944,'Heals target for 1495 - 1828',100,2,1),
(251676,48597,'Applies Lacerating Tempest when Activated.  Lasts for 12.0 seconds.',100,0,0),
(251677,48597,'Caster has a 20.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,1),
(251678,48597,'Increases Attack Speed of caster by 50.0',100,1,2),
(251679,48597,'Increases Damage Per Second of caster by 50.0',100,1,3),
(251680,48597,'Increases Multi Attack Chance of caster by 50.0',100,1,4),
(251681,48597,'Must not be engaged in pvp combat',100,1,5),
(251682,48597,'Cannot be modified except by direct means',100,1,6),
(251683,10048597,'Applies Lacerating Tempest when Activated.  Lasts for 12.0 seconds.',100,0,0),
(251684,10048597,'Caster has a 20.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,1,1),
(251685,10048597,'Increases Attack Speed of caster by 50.0',100,1,2),
(251686,10048597,'Increases Damage Per Second of caster by 50.0',100,1,3),
(251687,10048597,'Increases Multi Attack Chance of caster by 50.0',100,1,4),
(251688,10048597,'Must not be engaged in pvp combat',100,1,5),
(251689,10048597,'Cannot be modified except by direct means',100,1,6),
(251690,79862,'When Equipped:',100,0,0),
(251691,79862,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(251692,79862,'Reduces healing received by 15.00%',100,2,2),
(251693,79862,'Cannot be modified except by direct means',100,2,3),
(251694,79862,'This effect can only trigger once every 1 second.',100,2,4),
(251695,79862,'Must be engaged in pvp combat',100,1,5),
(251696,10079862,'When Equipped:',100,0,0),
(251697,10079862,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(251698,10079862,'Reduces healing received by 15.00%',100,2,2),
(251699,10079862,'Cannot be modified except by direct means',100,2,3),
(251700,10079862,'This effect can only trigger once every 1 second.',100,2,4),
(251701,10079862,'Must be engaged in pvp combat',100,1,5),
(251702,46408,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(251703,46408,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(251704,46408,'Decreases WIS of target by 71.5',100,2,2),
(251705,46408,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1020',100,2,3),
(251706,46408,'Cannot be modified except by direct means',100,2,4),
(251707,46408,'Grants a total of 60 triggers of the spell.',100,2,5),
(251708,10046408,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(251709,10046408,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(251710,10046408,'Decreases WIS of target by 71.5',100,2,2),
(251711,10046408,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1020',100,2,3),
(251712,10046408,'Cannot be modified except by direct means',100,2,4),
(251713,10046408,'Grants a total of 60 triggers of the spell.',100,2,5),
(251714,159233,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(251715,159233,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(251716,159233,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(251717,159233,'Cannot be modified except by direct means',100,2,3),
(251718,10159233,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(251719,10159233,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(251720,10159233,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(251721,10159233,'Cannot be modified except by direct means',100,2,3),
(251722,112006,'Inflicts 227 - 379 piercing damage on target',100,1,0),
(251723,10112006,'Inflicts 273 - 455 piercing damage on target',100,1,0),
(251724,35172,'Increases Max Health of target by 3.9',100,0,0),
(251725,35172,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(251726,104542,'Increases Threat to target by 839 - 1,024  instantly and by 171 - 208  every 2 seconds thereafter',100,1,0),
(251727,10104542,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(251728,105755,'Decreases power of target by 83 - 102',100,1,0),
(251729,105755,'Stuns target',100,1,1),
(251730,105755,'If Target is not Epic',100,2,2),
(251731,105755,'Resistibility increases against targets higher than level 42.',100,1,3),
(251732,10105755,'Decreases power of target by 83 - 102',100,1,0),
(251733,10105755,'Stuns target',100,1,1),
(251734,10105755,'If Target is not Epic',100,2,2),
(251735,10105755,'Resistibility increases against targets higher than level 42.',100,1,3),
(251736,113715,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(251737,10113715,'Dispels 66 levels of any hostile effects on group members (AE)',100,1,0),
(251738,107795,'Increases Threat to target encounter by 278 - 339 ',100,1,0),
(251739,10107795,'Prevents target encounter from changing targets',100,1,0),
(251740,10107795,'Forces target encounter to change their selected target to caster.',100,1,1),
(251741,74857,'When Equipped:',100,0,0),
(251742,74857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251743,74857,'Inflicts 108 - 163 magic damage on target',100,2,2),
(251744,74857,'Cannot be modified except by direct means',100,2,3),
(251745,10074857,'When Equipped:',100,0,0),
(251746,10074857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251747,10074857,'Inflicts 130 - 195 magic damage on target',100,2,2),
(251748,10074857,'Cannot be modified except by direct means',100,2,3),
(251749,37046,'Increases AGI of target by 1.5',100,0,0),
(251750,37046,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(251751,152583,'When Equipped:',100,0,0),
(251752,152583,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(251753,152583,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(251754,152583,'Inflicts 2305 - 2548 mental damage on target',100,2,3),
(251755,152583,'Decreases Threat to target by 4,441 - 4,908 ',100,2,4),
(251756,152583,'Must not be engaged in pvp combat',100,2,5),
(251757,152583,'Cannot be modified except by direct means',100,2,6),
(251758,152583,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(251759,152583,'Inflicts 2305 - 2548 mental damage on target',100,2,8),
(251760,152583,'Decreases Threat to target by 4,441 - 4,908 ',100,2,9),
(251761,152583,'Must not be engaged in pvp combat',100,2,10),
(251762,152583,'Cannot be modified except by direct means',100,2,11),
(251763,152583,'Cannot be modified except by direct means',100,1,12),
(251764,10152583,'When Equipped:',100,0,0),
(251765,10152583,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(251766,10152583,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(251767,10152583,'Inflicts 2766 - 3057 mental damage on target',100,2,3),
(251768,10152583,'Must not be engaged in pvp combat',100,2,4),
(251769,10152583,'Cannot be modified except by direct means',100,2,5),
(251770,10152583,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(251771,10152583,'Inflicts 2766 - 3057 mental damage on target',100,2,7),
(251772,10152583,'Must not be engaged in pvp combat',100,2,8),
(251773,10152583,'Cannot be modified except by direct means',100,2,9),
(251774,10152583,'Cannot be modified except by direct means',100,1,10),
(251775,114542,'Heals target for 393 - 480',100,1,0),
(251776,10114542,'Heals target for 511 - 624',100,1,0),
(251777,108390,'Heals target for 107 - 131',100,1,0),
(251778,10108390,'Heals target for 128 - 156',100,1,0),
(251779,45478,'Applies Caustic Goo when Activated.  Lasts for 12 hours.',100,0,0),
(251780,45478,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(251781,45478,'Inflicts 97 poison damage on target',100,2,2),
(251782,45478,'Inflicts 58 poison damage on target instantly and every 6 seconds',100,2,3),
(251783,45478,'Cannot be modified except by direct means',100,2,4),
(251784,45478,'Grants a total of 100 triggers of the spell.',100,2,5),
(251785,10045478,'Applies Caustic Goo when Activated.  Lasts for 12 hours.',100,0,0),
(251786,10045478,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(251787,10045478,'Inflicts 88 poison damage on target',100,2,2),
(251788,10045478,'Inflicts 52 poison damage on target instantly and every 6 seconds',100,2,3),
(251789,10045478,'Cannot be modified except by direct means',100,2,4),
(251790,10045478,'Grants a total of 100 triggers of the spell.',100,2,5),
(251791,120514,'Inflicts 398 - 664 melee damage on target',100,1,0),
(251792,120514,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(251793,120514,'Grants stealth to caster',100,2,2),
(251794,120514,'Suspends caster''s movement speed enhancements',100,2,3),
(251795,120514,'Must be flanking or behind',100,1,4),
(251796,10120514,'Inflicts 478 - 797 melee damage on target',100,1,0),
(251797,10120514,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(251798,10120514,'Grants stealth to caster',100,2,2),
(251799,10120514,'Suspends caster''s movement speed enhancements',100,2,3),
(251800,10120514,'Must be flanking or behind',100,1,4),
(251801,109296,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(251802,109296,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(251803,10109296,'Increases Max Power of group members (AE) by 391.6',100,1,0),
(251804,10109296,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(251805,45260,'Applies Calibrated Tools when Equipped.',100,0,0),
(251806,45260,'Increases success chance by 2.0%',100,1,1),
(251807,10045260,'Applies Calibrated Tools when Equipped.',100,0,0),
(251808,10045260,'Increases success chance by 2.0%',100,1,1),
(251809,123317,'Increases STA of raid and group members (AE) by 28.4',100,1,0),
(251810,123317,'Increase spell damage of group and raid members by 5%.',100,1,1),
(251811,10123317,'Increases STA of raid and group members (AE) by 28.4',100,1,0),
(251812,10123317,'Increase spell damage of group and raid members by 5%.',100,1,1),
(251813,37533,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(251814,124645,'Inflicts 347 - 424 cold damage on target encounter',100,1,0),
(251815,124645,'Decreases Piercing, Slashing and Crushing of target encounter by 13.4',100,1,1),
(251816,10124645,'Inflicts 416 - 509 cold damage on target encounter',100,1,0),
(251817,10124645,'Decreases Piercing, Slashing and Crushing of target encounter by 13.4',100,1,1),
(251818,105228,'Decreases STR and INT of target by 70.1',100,1,0),
(251819,105228,'Only affects targets level 20 and above',100,1,1),
(251820,10105228,'Decreases STR and INT of target by 70.1',100,1,0),
(251821,10105228,'Only affects targets level 20 and above',100,1,1),
(251822,159302,'When Equipped:',100,0,0),
(251823,159302,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(251824,159302,'Increases AGI of caster by 19.3',100,2,2),
(251825,159302,'Increases Attack Speed of caster by 19.4',100,2,3),
(251826,159302,'Cannot be modified except by direct means',100,2,4),
(251827,10159302,'When Equipped:',100,0,0),
(251828,10159302,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(251829,10159302,'Increases AGI of caster by 19.3',100,2,2),
(251830,10159302,'Increases Attack Speed of caster by 19.4',100,2,3),
(251831,10159302,'Cannot be modified except by direct means',100,2,4),
(251832,183535,'When Equipped:',100,0,0),
(251833,183535,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251834,183535,'Decreases power of target by 95',100,2,2),
(251835,183535,'Increases power of caster by 171',100,2,3),
(251836,183535,'Cannot be modified except by direct means',100,2,4),
(251837,10183535,'When Equipped:',100,0,0),
(251838,10183535,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251839,10183535,'Decreases power of target by 95',100,2,2),
(251840,10183535,'Increases power of caster by 171',100,2,3),
(251841,10183535,'Cannot be modified except by direct means',100,2,4),
(251842,111504,'Increases AGI of caster by 83.5',100,1,0),
(251843,111504,'Increases Attack Speed of caster by 38.3',100,1,1),
(251844,111504,'Increases in-combat movement speed of caster by 5.5%',100,1,2),
(251845,111504,'Adds 17.2% to base avoidance.',100,1,3),
(251846,111504,'Increases Mitigation of caster vs physical damage by 685',100,1,4),
(251847,111504,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,5),
(251848,10111504,'Increases AGI of caster by 83.5',100,1,0),
(251849,10111504,'Increases Attack Speed of caster by 38.3',100,1,1),
(251850,10111504,'Increases speed of caster by 5.5%',100,1,2),
(251851,10111504,'Adds 17.2% to base avoidance.',100,1,3),
(251852,10111504,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,4),
(251853,36556,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(251854,114892,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(251855,81812,'When Equipped:',100,0,0),
(251856,81812,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251857,81812,'Inflicts 105 - 195 magic damage on target',100,2,2),
(251858,81812,'Decreases Threat to target by 487 ',100,2,3),
(251859,81812,'Must be flanking or behind',100,3,4),
(251860,81812,'Increases Threat to target by 492 ',100,2,5),
(251861,81812,'Must be in front of',100,3,6),
(251862,81812,'Cannot be modified except by direct means',100,2,7),
(251863,10081812,'When Equipped:',100,0,0),
(251864,10081812,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(251865,10081812,'Inflicts 126 - 234 magic damage on target',100,2,2),
(251866,10081812,'Cannot be modified except by direct means',100,2,3),
(251867,100457,'Inflicts 54 - 91 mental damage on target encounter',100,1,0),
(251868,10100457,'Inflicts 65 - 109 mental damage on target encounter',100,1,0),
(251869,105974,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(251870,105974,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(251871,105974,'Inflicts 138 - 231 piercing damage on target',100,3,2),
(251872,105974,'Grants a total of 5 triggers of the spell.',100,3,3),
(251873,105974,'Grants a total of 1 trigger of the spell.',100,2,4),
(251874,10105974,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(251875,10105974,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(251876,10105974,'Inflicts 166 - 277 piercing damage on target',100,3,2),
(251877,10105974,'Grants a total of 5 triggers of the spell.',100,3,3),
(251878,10105974,'Grants a total of 1 trigger of the spell.',100,2,4),
(251879,181046,'When Equipped:',100,0,0),
(251880,181046,'When damaged this spell has a 5% chance to cast Displacement on caster.  Lasts for 5 minutes.  ',100,1,1),
(251881,181046,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(251882,181046,'Applies Displacement on termination.',100,2,3),
(251883,181046,'Increases power of group members by 381',100,3,4),
(251884,181046,'Cannot be modified except by direct means',100,2,5),
(251885,181046,'Cannot be modified except by direct means',100,1,6),
(251886,10181046,'When Equipped:',100,0,0),
(251887,10181046,'When damaged this spell has a 5% chance to cast Displacement on caster.  Lasts for 5 minutes.  ',100,1,1),
(251888,10181046,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(251889,10181046,'Applies Displacement on termination.',100,2,3),
(251890,10181046,'Increases power of group members by 381',100,3,4),
(251891,10181046,'Cannot be modified except by direct means',100,2,5),
(251892,10181046,'Cannot be modified except by direct means',100,1,6),
(251893,37061,'Increases Max Power of target by 3.3',100,0,0),
(251894,37061,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(251895,115951,'Inflicts 962 - 1604 melee damage on target',100,1,0),
(251896,115951,'Roots target',100,1,1),
(251897,115951,'If Target is not Epic',100,2,2),
(251898,115951,'5% chance to dispel when target takes damage',100,1,3),
(251899,115951,'Resistibility increases against targets higher than level 112.',100,1,4),
(251900,10115951,'Inflicts 1155 - 1925 melee damage on target',100,1,0),
(251901,10115951,'Roots target',100,1,1),
(251902,10115951,'If Target is not Epic',100,2,2),
(251903,10115951,'5% chance to dispel when target takes damage',100,1,3),
(251904,10115951,'Resistibility increases against targets higher than level 112.',100,1,4),
(251905,124521,'Dispels 15 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(251906,10124521,'Dispels 15 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(251907,82150,'When Equipped:',100,0,0),
(251908,82150,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251909,82150,'Inflicts 135 - 252 magic damage on target',100,2,2),
(251910,82150,'Cannot be modified except by direct means',100,2,3),
(251911,10082150,'When Equipped:',100,0,0),
(251912,10082150,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(251913,10082150,'Inflicts 163 - 302 magic damage on target',100,2,2),
(251914,10082150,'Cannot be modified except by direct means',100,2,3),
(251915,25875,'When Equipped:',100,0,0),
(251916,25875,'Improves the base damage of Thunderbolt VI by 15%.',100,1,1),
(251917,25875,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(251918,10025875,'When Equipped:',100,0,0),
(251919,10025875,'Improves the base damage of Thunderbolt VI by 15%.',100,1,1),
(251920,10025875,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(251921,36700,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(251922,121167,'Summons a pet Squeeky',100,1,0),
(251923,10121167,'Summons a pet Squeeky',100,1,0),
(251924,87532,'Applies Lightning Shock when Activated.',100,0,0),
(251925,87532,'Inflicts 69 - 115 magic damage on target',100,1,1),
(251926,87532,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(251927,10087532,'Applies Lightning Shock when Activated.',100,0,0),
(251928,10087532,'Inflicts 83 - 138 magic damage on target',100,1,1),
(251929,10087532,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(251930,45203,'Applies essence of power when Activated.',100,0,0),
(251931,45203,'Increases power of caster by 135',100,1,1),
(251932,10045203,'Applies essence of power when Activated.',100,0,0),
(251933,10045203,'Increases power of caster by 106',100,1,1),
(251934,116346,'Mesmerizes target encounter',100,1,0),
(251935,116346,'Prevents AOE (except when direct) ',100,1,1),
(251936,116346,'Dispelled when target takes damage',100,1,2),
(251937,116346,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(251938,116346,'Resistibility increases against targets higher than level 66.',100,1,4),
(251939,10116346,'Mesmerizes target encounter',100,1,0),
(251940,10116346,'Prevents AOE (except when direct) ',100,1,1),
(251941,10116346,'Dispelled when target takes damage',100,1,2),
(251942,10116346,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(251943,10116346,'Resistibility increases against targets higher than level 66.',100,1,4),
(251944,117778,'Inflicts 768 - 1279 divine damage on target',100,1,0),
(251945,10117778,'Inflicts 921 - 1535 divine damage on target',100,1,0),
(251946,115593,'Interrupts target encounter',100,1,0),
(251947,115593,'Decreases Threat to target encounter by 674 - 824 ',100,1,1),
(251948,115593,'Dazes target encounter',100,1,2),
(251949,115593,'If Target is not Epic',100,2,3),
(251950,115593,'Resistibility increases against targets higher than level 95.',100,1,4),
(251951,10115593,'Interrupts target encounter',100,1,0),
(251952,10115593,'Dazes target encounter',100,1,1),
(251953,10115593,'If Target is not Epic',100,2,2),
(251954,10115593,'Resistibility increases against targets higher than level 95.',100,1,3),
(251955,119952,'Inflicts 280 - 467 melee damage on target',100,1,0),
(251956,119952,'Stifles target',100,1,1),
(251957,119952,'If Target is not Epic',100,2,2),
(251958,119952,'Resistibility increases against targets higher than level 99.',100,1,3),
(251959,10119952,'Inflicts 336 - 560 melee damage on target',100,1,0),
(251960,10119952,'Stifles target',100,1,1),
(251961,10119952,'If Target is not Epic',100,2,2),
(251962,10119952,'Resistibility increases against targets higher than level 99.',100,1,3),
(251963,104937,'Inflicts 842 - 1404 ranged damage on target',100,1,0),
(251964,104937,'Decreases Deflection and Parry of target by 72.3',100,1,1),
(251965,104937,'Requires bow',100,1,2),
(251966,10104937,'Inflicts 716 - 1193 ranged damage on target',100,1,0),
(251967,10104937,'Decreases Deflection and Parry of target by 72.3',100,1,1),
(251968,10104937,'Requires bow',100,1,2),
(251969,117984,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(251970,117984,'Increases Damage Per Second of target by 15.4',100,2,1),
(251971,117984,'Increases Attack Speed of target by 15.4',100,2,2),
(251972,117984,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(251973,117984,'Increases Damage Per Second of target by 15.4',100,2,4),
(251974,117984,'Increases Attack Speed of target by 15.4',100,2,5),
(251975,117984,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(251976,117984,'Increases Damage Per Second of target by 15.4',100,2,7),
(251977,117984,'Increases Attack Speed of target by 15.4',100,2,8),
(251978,10117984,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(251979,10117984,'Increases Damage Per Second of target by 15.4',100,2,1),
(251980,10117984,'Increases Attack Speed of target by 15.4',100,2,2),
(251981,10117984,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(251982,10117984,'Increases Damage Per Second of target by 15.4',100,2,4),
(251983,10117984,'Increases Attack Speed of target by 15.4',100,2,5),
(251984,10117984,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(251985,10117984,'Increases Damage Per Second of target by 15.4',100,2,7),
(251986,10117984,'Increases Attack Speed of target by 15.4',100,2,8),
(251987,45938,'Applies Call Dervish Destrier when Activated.',100,0,0),
(251988,45938,'Increases Crushing of caster by 4.7',100,1,1),
(251989,45938,'Summons a mount to ride',100,1,2),
(251990,45938,'Increases your ground speed by 130%',100,2,3),
(251991,45938,'Increases Focus, Slashing and Piercing of caster by 4.7',100,1,4),
(251992,10045938,'Applies Call Dervish Destrier when Activated.',100,0,0),
(251993,10045938,'Increases Crushing of caster by 4.7',100,1,1),
(251994,10045938,'Summons a mount to ride',100,1,2),
(251995,10045938,'Increases your ground speed by 130%',100,2,3),
(251996,10045938,'Increases Focus, Slashing and Piercing of caster by 4.7',100,1,4),
(251997,35052,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(251998,114239,'Inflicts 203 - 248 mental damage on target',100,1,0),
(251999,114239,'Stuns target',100,1,1),
(252000,114239,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(252001,114239,'Resistibility increases against targets higher than level 70.',100,1,3),
(252002,10114239,'Inflicts 243 - 297 mental damage on target',100,1,0),
(252003,10114239,'Requires not being affected by Mesmerize effects.',100,2,1),
(252004,10114239,'Stuns target',100,1,2),
(252005,10114239,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(252006,10114239,'Resistibility increases against targets higher than level 70.',100,1,4),
(252007,113641,'Interrupts target encounter',100,1,0),
(252008,113641,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 29.7',100,1,1),
(252009,10113641,'Interrupts target encounter',100,1,0),
(252010,10113641,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 29.7',100,1,1),
(252011,124480,'Heals group members (AE) for 426 - 521',100,1,0),
(252012,10124480,'Heals group members (AE) for 499 - 610',100,1,0),
(252013,100409,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(252014,100409,'Inflicts 16 - 27 slashing damage on target',100,2,1),
(252015,100409,'Increases Threat to target by 62 ',100,2,2),
(252016,100409,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(252017,100409,'Increases Threat to target by 62 ',100,2,4),
(252018,100409,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 244',100,1,5),
(252019,10100409,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(252020,10100409,'Inflicts 19 - 32 slashing damage on target',100,2,1),
(252021,10100409,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(252022,10100409,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 244',100,1,3),
(252023,138831,'When Equipped:',100,0,0),
(252024,138831,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252025,138831,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(252026,138831,'Cannot be modified except by direct means',100,2,3),
(252027,10138831,'When Equipped:',100,0,0),
(252028,10138831,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252029,10138831,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(252030,10138831,'Cannot be modified except by direct means',100,2,3),
(252031,73273,'Applies Frost Blast when Activated.',100,0,0),
(252032,73273,'Inflicts 49 - 82 cold damage on target',100,1,1),
(252033,73273,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252034,10073273,'Applies Frost Blast when Activated.',100,0,0),
(252035,10073273,'Inflicts 59 - 98 cold damage on target',100,1,1),
(252036,10073273,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252037,114287,'Heals target for 1449 - 1770',100,1,0),
(252038,10114287,'Heals target for 1703 - 2081',100,1,0),
(252039,35731,'Increases Max Power of target by 5.5',100,0,0),
(252040,35731,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(252041,35976,'Increases STA of target by 1.5',100,0,0),
(252042,35976,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(252043,110665,'Heals target for 133',100,1,0),
(252044,110665,'Dispels 16 levels of any hostile effects on target',100,1,1),
(252045,10110665,'Heals target for 87',100,1,0),
(252046,10110665,'Dispels 16 levels of any hostile effects on target',100,1,1),
(252047,102970,'Increases STR and AGI of group members (AE) by 14.2',100,1,0),
(252048,10102970,'Increases STR and AGI of group members (AE) by 14.2',100,1,0),
(252049,47054,'Applies Minor Enigmatic Formula when Activated.',100,0,0),
(252050,47054,'Dispels 18 levels of arcane hostile effects on caster',100,1,1),
(252051,10047054,'Applies Minor Enigmatic Formula when Activated.',100,0,0),
(252052,10047054,'Dispels 18 levels of arcane hostile effects on caster',100,1,1),
(252053,121821,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(252054,121821,'Increases Mitigation of group members (AE) vs arcane damage by 238',100,1,1),
(252055,10121821,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(252056,10121821,'Increases Mitigation of group members (AE) vs arcane damage by 238',100,1,1),
(252057,103807,'Increases Ability Casting Speed of raid and group members (AE) by 2.5%',100,1,0),
(252058,103807,'Increases Attack Speed of raid and group members (AE) by 6.3',100,1,1),
(252059,10103807,'Increases Ability Casting Speed of raid and group members (AE) by 2.5%',100,1,0),
(252060,10103807,'Increases Attack Speed of raid and group members (AE) by 6.3',100,1,1),
(252061,74800,'When Equipped:',100,0,0),
(252062,74800,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252063,74800,'Inflicts 84 - 126 magic damage on target',100,2,2),
(252064,74800,'Cannot be modified except by direct means',100,2,3),
(252065,10074800,'When Equipped:',100,0,0),
(252066,10074800,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252067,10074800,'Inflicts 101 - 151 magic damage on target',100,2,2),
(252068,10074800,'Cannot be modified except by direct means',100,2,3),
(252069,87175,'When Equipped:',100,0,0),
(252070,87175,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252071,87175,'Inflicts 41 - 62 magic damage on target',100,2,2),
(252072,87175,'Cannot be modified except by direct means',100,2,3),
(252073,10087175,'When Equipped:',100,0,0),
(252074,10087175,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252075,10087175,'Inflicts 49 - 74 magic damage on target',100,2,2),
(252076,10087175,'Cannot be modified except by direct means',100,2,3),
(252077,116611,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(252078,116611,'Increases Mitigation of group members (AE) vs arcane damage by 87',100,1,1),
(252079,10116611,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(252080,10116611,'Increases Mitigation of group members (AE) vs arcane damage by 87',100,1,1),
(252081,107657,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1137',100,1,0),
(252082,10107657,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1137',100,1,0),
(252083,163174,'When Equipped:',100,0,0),
(252084,163174,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(252085,163174,'Decreases power of target by 253',100,2,2),
(252086,163174,'Increases power of caster by 156',100,2,3),
(252087,163174,'Cannot be modified except by direct means',100,2,4),
(252088,10163174,'When Equipped:',100,0,0),
(252089,10163174,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(252090,10163174,'Decreases power of target by 253',100,2,2),
(252091,10163174,'Increases power of caster by 156',100,2,3),
(252092,10163174,'Cannot be modified except by direct means',100,2,4),
(252093,119651,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(252094,119651,'Stuns target',100,2,1),
(252095,119651,'Throws target back',100,2,2),
(252096,119651,'Blurs vision of target',100,2,3),
(252097,119651,'Does not affect Epic targets',100,2,4),
(252098,119651,'Inflicts 62 - 187 melee damage on target',100,1,5),
(252099,10119651,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(252100,10119651,'Stuns target',100,2,1),
(252101,10119651,'Throws target back',100,2,2),
(252102,10119651,'Blurs vision of target',100,2,3),
(252103,10119651,'Does not affect Epic targets',100,2,4),
(252104,10119651,'Inflicts 75 - 225 melee damage on target',100,1,5),
(252105,73725,'When Equipped:',100,0,0),
(252106,73725,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 2.4 times per minute. ',100,1,1),
(252107,73725,'Heals caster for 43',100,2,2),
(252108,73725,'Cannot be modified except by direct means',100,2,3),
(252109,10073725,'When Equipped:',100,0,0),
(252110,10073725,'On a damage spell hit this spell may cast  on target of spell.  Triggers about 2.4 times per minute. ',100,1,1),
(252111,10073725,'Heals caster for 28',100,2,2),
(252112,10073725,'Cannot be modified except by direct means',100,2,3),
(252113,104505,'Increases Threat to target by 23 - 28  instantly and by 6 - 8  every 2 seconds thereafter',100,1,0),
(252114,10104505,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(252115,113750,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(252116,113750,'Inflicts 146 piercing damage on target',100,2,1),
(252117,113750,'Grants a total of 60 triggers of the spell.',100,2,2),
(252118,10113750,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(252119,10113750,'Inflicts 176 piercing damage on target',100,2,1),
(252120,10113750,'Grants a total of 60 triggers of the spell.',100,2,2),
(252121,114489,'Increases In-Combat Power Regeneration of group members (AE) by 11.3',100,1,0),
(252122,10114489,'Increases In-Combat Power Regeneration of group members (AE) by 11.3',100,1,0),
(252123,138396,'When Equipped:',100,0,0),
(252124,138396,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252125,138396,'This effect can be stacked by multiple casters.',100,2,2),
(252126,138396,'Increases Mitigation of target vs all damage by 940',100,2,3),
(252127,138396,'Cannot be modified except by direct means',100,2,4),
(252128,10138396,'When Equipped:',100,0,0),
(252129,10138396,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252130,10138396,'This effect can be stacked by multiple casters.',100,2,2),
(252131,10138396,'Increases Mitigation of target vs all damage by 940',100,2,3),
(252132,10138396,'Cannot be modified except by direct means',100,2,4),
(252133,100534,'Heals group members (AE) for 435 - 532',100,1,0),
(252134,10100534,'Heals group members (AE) for 528 - 645',100,1,0),
(252135,109559,'Makes target afraid',100,1,0),
(252136,109559,'30% chance to dispel when target takes damage',100,1,1),
(252137,109559,'Does not affect Epic targets',100,1,2),
(252138,109559,'Resistibility increases against targets higher than level 55.',100,1,3),
(252139,10109559,'Makes target afraid',100,1,0),
(252140,10109559,'30% chance to dispel when target takes damage',100,1,1),
(252141,10109559,'Does not affect Epic targets',100,1,2),
(252142,10109559,'Resistibility increases against targets higher than level 55.',100,1,3),
(252143,40397,'When Equipped:',100,0,0),
(252144,40397,'On a critical combat hit this spell may cast Flying Fist IX on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252145,40397,'Inflicts 5062 - 5594 heat damage on target',100,2,2),
(252146,40397,'Stifles target',100,2,3),
(252147,40397,'If Target is not Epic',100,3,4),
(252148,40397,'Increases Threat to target by 4,755 - 5,255 ',100,2,5),
(252149,40397,'Must not be engaged in pvp combat',100,2,6),
(252150,40397,'Cannot be modified except by direct means',100,2,7),
(252151,40397,'Must not be engaged in pvp combat',100,1,8),
(252152,10040397,'When Equipped:',100,0,0),
(252153,10040397,'On a critical combat hit this spell may cast Flying Fist IX on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252154,10040397,'Inflicts 6074 - 6713 heat damage on target',100,2,2),
(252155,10040397,'Stifles target',100,2,3),
(252156,10040397,'If Target is not Epic',100,3,4),
(252157,10040397,'Must not be engaged in pvp combat',100,2,5),
(252158,10040397,'Cannot be modified except by direct means',100,2,6),
(252159,10040397,'Must not be engaged in pvp combat',100,1,7),
(252160,89783,'When Equipped:',100,0,0),
(252161,89783,'On a combat hit this spell may cast Viperous Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252162,89783,'Inflicts 69 - 84 poison damage on target instantly and every 4.8 seconds',100,2,2),
(252163,89783,'Cannot be modified except by direct means',100,2,3),
(252164,10089783,'When Equipped:',100,0,0),
(252165,10089783,'On a combat hit this spell may cast Viperous Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252166,10089783,'Inflicts 82 - 101 poison damage on target instantly and every 4.8 seconds',100,2,2),
(252167,10089783,'Cannot be modified except by direct means',100,2,3),
(252168,24459,'Adds Kobold (Assassin) to your Dungeon Maker toolbox',100,0,0),
(252169,10024459,'Adds Kobold (Assassin) to your Dungeon Maker toolbox',100,0,0),
(252170,133560,'When Equipped:',100,0,0),
(252171,133560,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(252172,133560,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(252173,133560,'Increases Attack Speed of caster by 6.0',100,2,3),
(252174,133560,'Increases Damage Per Second of caster by 9.0',100,2,4),
(252175,133560,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(252176,133560,'Must not be engaged in pvp combat',100,2,6),
(252177,133560,'Cannot be modified except by direct means',100,2,7),
(252178,133560,'Cannot be modified except by direct means',100,1,8),
(252179,10133560,'When Equipped:',100,0,0),
(252180,10133560,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(252181,10133560,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(252182,10133560,'Increases Attack Speed of caster by 6.0',100,2,3),
(252183,10133560,'Increases Damage Per Second of caster by 9.0',100,2,4),
(252184,10133560,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(252185,10133560,'Must not be engaged in pvp combat',100,2,6),
(252186,10133560,'Cannot be modified except by direct means',100,2,7),
(252187,10133560,'Cannot be modified except by direct means',100,1,8),
(252188,105825,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(252189,105825,'Inflicts 97 - 162 disease damage on target',100,2,1),
(252190,10105825,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(252191,10105825,'Inflicts 116 - 194 disease damage on target',100,2,1),
(252192,189978,'When Equipped:',100,0,0),
(252193,189978,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252194,189978,'Inflicts 2664 disease damage on target encounter',100,2,2),
(252195,189978,'Must not be engaged in pvp combat',100,2,3),
(252196,189978,'Cannot be modified except by direct means',100,2,4),
(252197,189978,'When Equipped:',100,0,5),
(252198,189978,'This effect will not stack with itself.',100,1,6),
(252199,189978,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(252200,189978,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(252201,189978,'Inflicts 2664 piercing damage on target',100,3,9),
(252202,189978,'Must not be engaged in pvp combat',100,3,10),
(252203,189978,'Cannot be modified except by direct means',100,3,11),
(252204,189978,'Grants a total of 5 triggers of the spell.',100,3,12),
(252205,189978,'Must not be engaged in pvp combat',100,2,13),
(252206,189978,'Cannot be modified except by direct means',100,2,14),
(252207,189978,'Must not be engaged in pvp combat',100,1,15),
(252208,10189978,'When Equipped:',100,0,0),
(252209,10189978,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252210,10189978,'Inflicts 1598 disease damage on target encounter',100,2,2),
(252211,10189978,'Must not be engaged in pvp combat',100,2,3),
(252212,10189978,'Cannot be modified except by direct means',100,2,4),
(252213,10189978,'When Equipped:',100,0,5),
(252214,10189978,'This effect will not stack with itself.',100,1,6),
(252215,10189978,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(252216,10189978,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,8),
(252217,10189978,'Inflicts 3197 piercing damage on target',100,3,9),
(252218,10189978,'Must not be engaged in pvp combat',100,3,10),
(252219,10189978,'Cannot be modified except by direct means',100,3,11),
(252220,10189978,'Grants a total of 5 triggers of the spell.',100,3,12),
(252221,10189978,'Must not be engaged in pvp combat',100,2,13),
(252222,10189978,'Cannot be modified except by direct means',100,2,14),
(252223,10189978,'Must not be engaged in pvp combat',100,1,15),
(252224,45794,'Applies Throw the Pie when Activated.  Lasts for 1.0 second.',100,0,0),
(252225,45794,'Must be in zone Rivervale',100,1,1),
(252226,10045794,'Applies Throw the Pie when Activated.  Lasts for 1.0 second.',100,0,0),
(252227,10045794,'Must be in zone Rivervale',100,1,1),
(252228,80782,'When Equipped:',100,0,0),
(252229,80782,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252230,80782,'Inflicts 132 - 246 magic damage on target',100,2,2),
(252231,80782,'Cannot be modified except by direct means',100,2,3),
(252232,10080782,'When Equipped:',100,0,0),
(252233,10080782,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252234,10080782,'Inflicts 159 - 295 magic damage on target',100,2,2),
(252235,10080782,'Cannot be modified except by direct means',100,2,3),
(252236,113704,'Stuns target',100,1,0),
(252237,113704,'If Target is not Epic',100,2,1),
(252238,113704,'Inflicts 1214 - 2023 heat damage on target',100,1,2),
(252239,113704,'Resistibility increases against targets higher than level 111.',100,1,3),
(252240,10113704,'Stuns target',100,1,0),
(252241,10113704,'If Target is not Epic',100,2,1),
(252242,10113704,'Inflicts 1457 - 2428 heat damage on target',100,1,2),
(252243,10113704,'Resistibility increases against targets higher than level 111.',100,1,3),
(252244,45434,'Applies Brown Two Tone Warg with Red Saddle when Activated.',100,0,0),
(252245,45434,'Increases Slashing of caster by 7.0',100,1,1),
(252246,45434,'Summons a mount to ride',100,1,2),
(252247,45434,'Increases your ground speed by 130%',100,2,3),
(252248,45434,'Increases Crushing of caster by 7.0',100,1,4),
(252249,45434,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(252250,45434,'Increases Ranged, Disruption and Piercing of caster by 7.0',100,1,6),
(252251,10045434,'Applies Brown Two Tone Warg with Red Saddle when Activated.',100,0,0),
(252252,10045434,'Increases Slashing of caster by 7.0',100,1,1),
(252253,10045434,'Summons a mount to ride',100,1,2),
(252254,10045434,'Increases your ground speed by 130%',100,2,3),
(252255,10045434,'Increases Crushing of caster by 7.0',100,1,4),
(252256,10045434,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(252257,10045434,'Increases Ranged, Disruption and Piercing of caster by 7.0',100,1,6),
(252258,86314,'Applies Frost Blast when Activated.',100,0,0),
(252259,86314,'Inflicts 125 - 208 cold damage on target',100,1,1),
(252260,86314,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252261,10086314,'Applies Frost Blast when Activated.',100,0,0),
(252262,10086314,'Inflicts 150 - 249 cold damage on target',100,1,1),
(252263,10086314,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252264,81651,'When Equipped:',100,0,0),
(252265,81651,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(252266,81651,'Inflicts 107 - 199 magic damage on target',100,2,2),
(252267,81651,'Decreases Threat to target by 376 ',100,2,3),
(252268,81651,'Must be flanking or behind',100,3,4),
(252269,81651,'Increases Threat to target by 381 ',100,2,5),
(252270,81651,'Must be in front of',100,3,6),
(252271,81651,'Cannot be modified except by direct means',100,2,7),
(252272,10081651,'When Equipped:',100,0,0),
(252273,10081651,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(252274,10081651,'Inflicts 128 - 238 magic damage on target',100,2,2),
(252275,10081651,'Cannot be modified except by direct means',100,2,3),
(252276,36355,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(252277,36355,'This effect suspends during combat',100,0,1),
(252278,82382,'When Equipped:',100,0,0),
(252279,82382,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252280,82382,'Inflicts 98 - 181 magic damage on target',100,2,2),
(252281,82382,'Cannot be modified except by direct means',100,2,3),
(252282,10082382,'When Equipped:',100,0,0),
(252283,10082382,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252284,10082382,'Inflicts 117 - 217 magic damage on target',100,2,2),
(252285,10082382,'Cannot be modified except by direct means',100,2,3),
(252286,117484,'Increases Attack Speed of target by 24.3',100,1,0),
(252287,10117484,'Increases Attack Speed of target by 24.3',100,1,0),
(252288,106885,'Decreases Threat to targets in Area of Effect by 2,284 ',100,1,0),
(252289,106885,'Stuns targets in Area of Effect',100,1,1),
(252290,106885,'If Target is not Epic',100,2,2),
(252291,10106885,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(252292,10106885,'Applies Distract.',100,1,1),
(252293,10106885,'Forces target to clear their selected target.',100,2,2),
(252294,10106885,'Stuns targets in Area of Effect',100,1,3),
(252295,10106885,'If Target is not Epic',100,2,4),
(252296,155205,'When Equipped:',100,0,0),
(252297,155205,'Increases the caster''s heals and wards by 5%.',100,1,1),
(252298,155205,'Must not be engaged in pvp combat',100,1,2),
(252299,10155205,'When Equipped:',100,0,0),
(252300,10155205,'Increases the caster''s heals and wards by 5%.',100,1,1),
(252301,10155205,'Must not be engaged in pvp combat',100,1,2),
(252302,123531,'Inflicts 32 - 48 piercing damage on target instantly and every 4 seconds',100,1,0),
(252303,123531,'Decreases Defense of target by 10.0',100,1,1),
(252304,10123531,'Inflicts 53 - 80 piercing damage on target',100,1,0),
(252305,10123531,'Inflicts 38 - 57 piercing damage on target every 4 seconds',100,1,1),
(252306,10123531,'Decreases Defense of target by 10.0',100,1,2),
(252307,49097,'Applies Walking Dead when Activated.',100,0,0),
(252308,49097,'Shapechanges the user into a zombie, and provides a shield which damages any melee attacker.',100,1,1),
(252309,10049097,'Applies Walking Dead when Activated.',100,0,0),
(252310,10049097,'Shapechanges the user into a zombie, and provides a shield which damages any melee attacker.',100,1,1),
(252311,87124,'When Equipped:',100,0,0),
(252312,87124,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252313,87124,'Inflicts 152 - 228 magic damage on target',100,2,2),
(252314,87124,'Cannot be modified except by direct means',100,2,3),
(252315,10087124,'When Equipped:',100,0,0),
(252316,10087124,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252317,10087124,'Inflicts 182 - 273 magic damage on target',100,2,2),
(252318,10087124,'Cannot be modified except by direct means',100,2,3),
(252319,102978,'Increases STR and AGI of group members (AE) by 51.5',100,1,0),
(252320,10102978,'Increases STR and AGI of group members (AE) by 51.5',100,1,0),
(252321,79466,'When Equipped:',100,0,0),
(252322,79466,'On a melee hit this spell may cast Strike of Anger on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252323,79466,'Inflicts 435 - 653 crushing damage on target',100,2,2),
(252324,79466,'Increases Crit Chance of caster by 7.0',100,2,3),
(252325,79466,'Cannot be modified except by direct means',100,2,4),
(252326,79466,'Attacker must be behind or flanking',100,2,5),
(252327,79466,'On a melee hit this spell may cast Strike of Anger on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,6),
(252328,79466,'Inflicts 367 - 550 crushing damage on target',100,2,7),
(252329,79466,'Increases Threat to target by 1,310 ',100,2,8),
(252330,79466,'Increases Crit Chance of caster by 7.0',100,2,9),
(252331,79466,'Cannot be modified except by direct means',100,2,10),
(252332,79466,'Attacker must be in front of',100,2,11),
(252333,79466,'Cannot be modified except by direct means',100,1,12),
(252334,10079466,'When Equipped:',100,0,0),
(252335,10079466,'On a melee hit this spell may cast Strike of Anger on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252336,10079466,'Inflicts 523 - 784 crushing damage on target',100,2,2),
(252337,10079466,'Increases Crit Chance of caster by 7.0',100,2,3),
(252338,10079466,'Cannot be modified except by direct means',100,2,4),
(252339,10079466,'Attacker must be behind or flanking',100,2,5),
(252340,10079466,'On a melee hit this spell may cast Strike of Anger on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,6),
(252341,10079466,'Inflicts 440 - 660 crushing damage on target',100,2,7),
(252342,10079466,'Increases Crit Chance of caster by 7.0',100,2,8),
(252343,10079466,'Cannot be modified except by direct means',100,2,9),
(252344,10079466,'Attacker must be in front of',100,2,10),
(252345,10079466,'Cannot be modified except by direct means',100,1,11),
(252346,103546,'Increases In-Combat Power Regeneration of group members (AE) by 15.7',100,1,0),
(252347,10103546,'Increases In-Combat Power Regeneration of group members (AE) by 15.7',100,1,0),
(252348,105215,'Decreases STR and INT of target by 23.8',100,1,0),
(252349,105215,'Only affects targets level 20 and above',100,1,1),
(252350,10105215,'Decreases STR and INT of target by 23.8',100,1,0),
(252351,10105215,'Only affects targets level 20 and above',100,1,1),
(252352,146190,'When Equipped:',100,0,0),
(252353,146190,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(252354,146190,'Wards caster against 150 points of all damage',100,2,2),
(252355,146190,'Cannot be modified except by direct means',100,2,3),
(252356,10146190,'When Equipped:',100,0,0),
(252357,10146190,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(252358,10146190,'Wards caster against 150 points of all damage',100,2,2),
(252359,10146190,'Cannot be modified except by direct means',100,2,3),
(252360,102927,'Inflicts 26 - 31 disease damage on target instantly and every 4 seconds',100,1,0),
(252361,10102927,'Inflicts 40 - 49 disease damage on target',100,1,0),
(252362,10102927,'Inflicts 31 - 38 disease damage on target every 4 seconds',100,1,1),
(252363,115363,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(252364,115363,'Increases Parry of caster by 3.5',100,1,1),
(252365,10115363,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(252366,10115363,'Increases Parry of caster by 3.5',100,1,1),
(252367,111009,'Slows caster by 75.0%',100,1,0),
(252368,111009,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,1),
(252369,111009,'Increases Threat to target by 77 ',100,2,2),
(252370,10111009,'Slows caster by 75.0%',100,1,0),
(252371,10111009,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,1),
(252372,108396,'Heals target for 203 - 248',100,1,0),
(252373,10108396,'Heals target for 242 - 296',100,1,0),
(252374,170594,'When Equipped:',100,0,0),
(252375,170594,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252376,170594,'Inflicts 1998 disease damage on target encounter',100,2,2),
(252377,170594,'Must not be engaged in pvp combat',100,2,3),
(252378,170594,'Cannot be modified except by direct means',100,2,4),
(252379,10170594,'When Equipped:',100,0,0),
(252380,10170594,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252381,10170594,'Inflicts 1199 disease damage on target encounter',100,2,2),
(252382,10170594,'Must not be engaged in pvp combat',100,2,3),
(252383,10170594,'Cannot be modified except by direct means',100,2,4),
(252384,104425,'Interrupts target encounter',100,1,0),
(252385,104425,'Applies Stumble on termination.',100,1,1),
(252386,104425,'Interrupts target',100,2,2),
(252387,104425,'Inflicts 9 - 11 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(252388,10104425,'Interrupts target encounter',100,1,0),
(252389,10104425,'Applies Stumble on termination.',100,1,1),
(252390,10104425,'Interrupts target',100,2,2),
(252391,10104425,'Inflicts 10 - 13 mental damage on target encounter instantly and every 2 seconds',100,1,3),
(252392,163231,'When Equipped:',100,0,0),
(252393,163231,'On a damage spell hit this spell may cast Overflow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(252394,163231,'Heals group members for 846',100,2,2),
(252395,163231,'Cannot be modified except by direct means',100,2,3),
(252396,163231,'When Equipped:',100,0,4),
(252397,163231,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,5),
(252398,163231,'Heals group members (AE) for 583',100,2,6),
(252399,163231,'Cannot be modified except by direct means',100,2,7),
(252400,10163231,'When Equipped:',100,0,0),
(252401,10163231,'On a damage spell hit this spell may cast Overflow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(252402,10163231,'Heals group members for 989',100,2,2),
(252403,10163231,'Cannot be modified except by direct means',100,2,3),
(252404,10163231,'When Equipped:',100,0,4),
(252405,10163231,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,5),
(252406,10163231,'Heals group members (AE) for 682',100,2,6),
(252407,10163231,'Cannot be modified except by direct means',100,2,7),
(252408,75178,'When Equipped:',100,0,0),
(252409,75178,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Rage on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(252410,75178,'Group members (AE) will Double Attack on 15% of attacks',100,2,2),
(252411,75178,'Cannot be modified except by direct means',100,2,3),
(252412,75178,'Cannot be modified except by direct means',100,1,4),
(252413,75178,'When Equipped:',100,0,5),
(252414,75178,'Increases the power of wards by 30% of the mystic''s wisdom',100,1,6),
(252415,75178,'Applies Spirit Tap when Activated.  Lasts for 30.0 seconds.',100,0,7),
(252416,75178,'When a group member inflicts damage, that damage is converted into a heal and power restore for the Mystic''s group.',100,1,8),
(252417,75178,'The casting time of Spirit Tap is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,9),
(252418,10075178,'When Equipped:',100,0,0),
(252419,10075178,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Rage on the group.  Lasts for 12.0 seconds.  ',100,1,1),
(252420,10075178,'Group members (AE) will Double Attack on 15% of attacks',100,2,2),
(252421,10075178,'Cannot be modified except by direct means',100,2,3),
(252422,10075178,'Cannot be modified except by direct means',100,1,4),
(252423,10075178,'When Equipped:',100,0,5),
(252424,10075178,'Increases the power of wards by 30% of the mystic''s wisdom',100,1,6),
(252425,10075178,'Applies Spirit Tap when Activated.  Lasts for 30.0 seconds.',100,0,7),
(252426,10075178,'When a group member inflicts damage, that damage is converted into a heal and power restore for the Mystic''s group.',100,1,8),
(252427,10075178,'The casting time of Spirit Tap is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,9),
(252428,111664,'Inflicts 407 - 497 cold damage on target encounter',100,1,0),
(252429,111664,'Slows target encounter by 45.2%',100,1,1),
(252430,111664,'5% chance to dispel when target takes damage',100,1,2),
(252431,111664,'5% chance to dispel when target receives hostile action',100,1,3),
(252432,10111664,'Inflicts 651 - 795 cold damage on target encounter',100,1,0),
(252433,10111664,'Slows target encounter by 45.2%',100,1,1),
(252434,10111664,'5% chance to dispel when target takes damage',100,1,2),
(252435,10111664,'5% chance to dispel when target receives hostile action',100,1,3),
(252436,35904,'Increases Max Power of target by 3.3',100,0,0),
(252437,35904,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(252438,137392,'When Equipped:',100,0,0),
(252439,137392,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252440,137392,'Inflicts 1986 piercing damage on target',100,2,2),
(252441,137392,'Cannot be modified except by direct means',100,2,3),
(252442,10137392,'When Equipped:',100,0,0),
(252443,10137392,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252444,10137392,'Inflicts 1192 piercing damage on target',100,2,2),
(252445,10137392,'Cannot be modified except by direct means',100,2,3),
(252446,110803,'Inflicts 6 - 8 mental damage on target',100,1,0),
(252447,110803,'Interrupts target',100,1,1),
(252448,10110803,'Inflicts 7 - 10 mental damage on target',100,1,0),
(252449,10110803,'Interrupts target',100,1,1),
(252450,102361,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(252451,102361,'Increases Damage Per Second of target by 12.3',100,2,1),
(252452,102361,'Increases Attack Speed of target by 12.3',100,2,2),
(252453,102361,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(252454,102361,'Increases Damage Per Second of target by 12.3',100,2,4),
(252455,102361,'Increases Attack Speed of target by 12.3',100,2,5),
(252456,102361,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(252457,102361,'Increases Damage Per Second of target by 12.3',100,2,7),
(252458,102361,'Increases Attack Speed of target by 12.3',100,2,8),
(252459,10102361,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(252460,10102361,'Increases Damage Per Second of target by 12.3',100,2,1),
(252461,10102361,'Increases Attack Speed of target by 12.3',100,2,2),
(252462,10102361,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(252463,10102361,'Increases Damage Per Second of target by 12.3',100,2,4),
(252464,10102361,'Increases Attack Speed of target by 12.3',100,2,5),
(252465,10102361,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(252466,10102361,'Increases Damage Per Second of target by 12.3',100,2,7),
(252467,10102361,'Increases Attack Speed of target by 12.3',100,2,8),
(252468,103881,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(252469,103881,'Slows target by 66.1%',100,2,1),
(252470,103881,'5% chance to dispel when target receives hostile action',100,2,2),
(252471,103881,'5% chance to dispel when target takes damage',100,2,3),
(252472,103881,'Decreases Mitigation of target vs noxious damage by 2890',100,1,4),
(252473,10103881,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(252474,10103881,'Slows target by 66.1%',100,2,1),
(252475,10103881,'5% chance to dispel when target receives hostile action',100,2,2),
(252476,10103881,'5% chance to dispel when target takes damage',100,2,3),
(252477,10103881,'Decreases Mitigation of target vs noxious damage by 2890',100,1,4),
(252478,119879,'Increases INT and AGI of group members (AE) by 42.2',100,1,0),
(252479,119879,'Adds 1.6% to base avoidance.',100,1,1),
(252480,10119879,'Increases INT and AGI of group members (AE) by 42.2',100,1,0),
(252481,10119879,'Adds 1.6% to base avoidance.',100,1,1),
(252482,46140,'Applies Place bottles inside crate when Activated.',100,0,0),
(252483,46140,'Summon 1 Crate of Wine',100,1,1),
(252484,46140,'This effect cannot be cast during combat',100,1,2),
(252485,10046140,'Applies Place bottles inside crate when Activated.',100,0,0),
(252486,10046140,'Summon 1 Crate of Wine',100,1,1),
(252487,10046140,'This effect cannot be cast during combat',100,1,2),
(252488,111995,'Inflicts 102 - 171 piercing damage on target',100,1,0),
(252489,10111995,'Inflicts 123 - 205 piercing damage on target',100,1,0),
(252490,45055,'Applies Immortalize Vox when Activated.',100,0,0),
(252491,45055,'Summon 1 Trophy: Vox''s Head',100,1,1),
(252492,45055,'This effect cannot be cast during combat',100,1,2),
(252493,10045055,'Applies Immortalize Vox when Activated.',100,0,0),
(252494,10045055,'Summon 1 Trophy: Vox''s Head',100,1,1),
(252495,10045055,'This effect cannot be cast during combat',100,1,2),
(252496,74725,'When Equipped:',100,0,0),
(252497,74725,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252498,74725,'Inflicts 115 - 173 magic damage on target',100,2,2),
(252499,74725,'Cannot be modified except by direct means',100,2,3),
(252500,10074725,'When Equipped:',100,0,0),
(252501,10074725,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252502,10074725,'Inflicts 139 - 208 magic damage on target',100,2,2),
(252503,10074725,'Cannot be modified except by direct means',100,2,3),
(252504,103901,'Increases power of group members (AE) by 41 instantly and every 6 seconds',100,1,0),
(252505,103901,'Decreases INT of target by 150.4',100,1,1),
(252506,10103901,'Increases power of group members (AE) by 41 instantly and every 6 seconds',100,1,0),
(252507,10103901,'Decreases INT of target by 150.4',100,1,1),
(252508,49101,'Applies Forgiveness when Activated.  Lasts for 1.0 second.',100,0,0),
(252509,49101,'Removes experience debt when used.',100,1,1),
(252510,10049101,'Applies Forgiveness when Activated.  Lasts for 1.0 second.',100,0,0),
(252511,10049101,'Removes experience debt when used.',100,1,1),
(252512,159777,'When Equipped:',100,0,0),
(252513,159777,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252514,159777,'Increases STR of caster by 5.1',100,2,2),
(252515,159777,'Increases Damage Per Second of caster by 15.2',100,2,3),
(252516,159777,'Cannot be modified except by direct means',100,2,4),
(252517,10159777,'When Equipped:',100,0,0),
(252518,10159777,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252519,10159777,'Increases STR of caster by 5.1',100,2,2),
(252520,10159777,'Increases Damage Per Second of caster by 15.2',100,2,3),
(252521,10159777,'Cannot be modified except by direct means',100,2,4),
(252522,115354,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(252523,115354,'Inflicts 3 piercing damage on target',100,2,1),
(252524,10115354,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(252525,10115354,'Inflicts 4 piercing damage on target',100,2,1),
(252526,104522,'Increases Threat to target by 222 - 270  instantly and by 48 - 58  every 2 seconds thereafter',100,1,0),
(252527,10104522,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(252528,189060,'When Equipped:',100,0,0),
(252529,189060,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252530,189060,'Inflicts 2664 disease damage on target encounter',100,2,2),
(252531,189060,'Must not be engaged in pvp combat',100,2,3),
(252532,189060,'Cannot be modified except by direct means',100,2,4),
(252533,10189060,'When Equipped:',100,0,0),
(252534,10189060,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252535,10189060,'Inflicts 1598 disease damage on target encounter',100,2,2),
(252536,10189060,'Must not be engaged in pvp combat',100,2,3),
(252537,10189060,'Cannot be modified except by direct means',100,2,4),
(252538,120375,'Inflicts 188 - 230 divine damage on target instantly and every 4 seconds',100,1,0),
(252539,120375,'Decreases WIS of target by 125.0',100,1,1),
(252540,10120375,'Inflicts 226 - 276 divine damage on target instantly and every 4 seconds',100,1,0),
(252541,10120375,'Decreases WIS of target by 125.0',100,1,1),
(252542,47844,'Applies Summon Rrarwrk when Activated.',100,0,0),
(252543,47844,'Summons a pet Rrarwrk',100,1,1),
(252544,10047844,'Applies Summon Rrarwrk when Activated.',100,0,0),
(252545,10047844,'Summons a pet Rrarwrk',100,1,1),
(252546,75050,'Applies Poison Bolt when Activated.',100,0,0),
(252547,75050,'Inflicts 172 - 287 poison damage on target',100,1,1),
(252548,75050,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252549,10075050,'Applies Poison Bolt when Activated.',100,0,0),
(252550,10075050,'Inflicts 207 - 345 poison damage on target',100,1,1),
(252551,10075050,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252552,171753,'When Equipped:',100,0,0),
(252553,171753,'On a critical healing spell cast this spell may cast Shared Vigor V on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252554,171753,'Increases Potency of target by 4.0%',100,2,2),
(252555,171753,'Increases Potency of caster by 4.0%',100,2,3),
(252556,171753,'Must not be engaged in pvp combat',100,2,4),
(252557,171753,'Cannot be modified except by direct means',100,2,5),
(252558,171753,'Must not be engaged in pvp combat',100,1,6),
(252559,10171753,'When Equipped:',100,0,0),
(252560,10171753,'On a critical healing spell cast this spell may cast Shared Vigor V on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252561,10171753,'Increases Potency of target by 4.0%',100,2,2),
(252562,10171753,'Increases Potency of caster by 4.0%',100,2,3),
(252563,10171753,'Must not be engaged in pvp combat',100,2,4),
(252564,10171753,'Cannot be modified except by direct means',100,2,5),
(252565,10171753,'Must not be engaged in pvp combat',100,1,6),
(252566,101824,'Summons a limited pet to aid the caster',100,1,0),
(252567,10101824,'Summons a limited pet to aid the caster',100,1,0),
(252568,119814,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(252569,119814,'Adds 0.9% to base avoidance.',100,1,1),
(252570,10119814,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(252571,10119814,'Adds 0.9% to base avoidance.',100,1,1),
(252572,184720,'When Equipped:',100,0,0),
(252573,184720,'On a healing spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(252574,184720,'Wards group members (AE) against 5500 points of all damage',100,2,2),
(252575,184720,'Gives target an extra 2.0% mitigation to their worn armor',100,2,3),
(252576,184720,'Must not be engaged in pvp combat',100,2,4),
(252577,184720,'Cannot be modified except by direct means',100,2,5),
(252578,184720,'On a hostile spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(252579,184720,'Wards group members (AE) against 5500 points of all damage',100,2,7),
(252580,184720,'Gives target an extra 2.0% mitigation to their worn armor',100,2,8),
(252581,184720,'Must not be engaged in pvp combat',100,2,9),
(252582,184720,'Cannot be modified except by direct means',100,2,10),
(252583,184720,'Cannot be modified except by direct means',100,1,11),
(252584,10184720,'When Equipped:',100,0,0),
(252585,10184720,'On a healing spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(252586,10184720,'Wards group members (AE) against 5500 points of all damage',100,2,2),
(252587,10184720,'Gives target an extra 2.0% mitigation to their worn armor',100,2,3),
(252588,10184720,'Must not be engaged in pvp combat',100,2,4),
(252589,10184720,'Cannot be modified except by direct means',100,2,5),
(252590,10184720,'On a hostile spell cast this spell may cast Ward of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(252591,10184720,'Wards group members (AE) against 5500 points of all damage',100,2,7),
(252592,10184720,'Gives target an extra 2.0% mitigation to their worn armor',100,2,8),
(252593,10184720,'Must not be engaged in pvp combat',100,2,9),
(252594,10184720,'Cannot be modified except by direct means',100,2,10),
(252595,10184720,'Cannot be modified except by direct means',100,1,11),
(252596,35600,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(252597,115494,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(252598,115494,'Increases Mitigation of group members (AE) vs noxious damage by 259',100,1,1),
(252599,10115494,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(252600,10115494,'Increases Mitigation of group members (AE) vs noxious damage by 259',100,1,1),
(252601,110489,'Stifles caster',100,1,0),
(252602,110489,'Increases power of caster by 22 instantly and every second',100,1,1),
(252603,10110489,'Stifles caster',100,1,0),
(252604,10110489,'Increases power of caster by 22 instantly and every second',100,1,1),
(252605,43386,'When Equipped:',100,0,0),
(252606,43386,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(252607,43386,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(252608,43386,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(252609,43386,'Decreases threat priority of target by 1 position',100,2,4),
(252610,43386,'Decreases Threat to target by 4,345  instantly and Decreases Threat by 4,345  every 4 seconds thereafter',100,2,5),
(252611,43386,'Must not be engaged in pvp combat',100,2,6),
(252612,43386,'Cannot be modified except by direct means',100,2,7),
(252613,43386,'Must not be engaged in pvp combat',100,1,8),
(252614,43386,'When Equipped:',100,0,9),
(252615,43386,'On any combat or spell hit this spell may cast Aura of the Archmagus on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(252616,43386,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,11),
(252617,43386,'Increases Ability Casting Speed of group members (AE) by 10.0%',100,2,12),
(252618,43386,'Increases Potency of group members (AE) by 10.0%',100,2,13),
(252619,43386,'Increases Ability Recovery Speed of group members (AE) by 10.0%',100,2,14),
(252620,43386,'Must not be engaged in pvp combat',100,2,15),
(252621,43386,'Cannot be modified except by direct means',100,2,16),
(252622,43386,'Must not be engaged in pvp combat',100,1,17),
(252623,10043386,'When Equipped:',100,0,0),
(252624,10043386,'On any combat or spell hit this spell may cast Rallosian Terror on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(252625,10043386,'Inflicts 6394 heat damage on target instantly and every 4 seconds',100,2,2),
(252626,10043386,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(252627,10043386,'Must not be engaged in pvp combat',100,2,4),
(252628,10043386,'Cannot be modified except by direct means',100,2,5),
(252629,10043386,'Must not be engaged in pvp combat',100,1,6),
(252630,10043386,'When Equipped:',100,0,7),
(252631,10043386,'On any combat or spell hit this spell may cast Aura of the Archmagus on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(252632,10043386,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,9),
(252633,10043386,'Increases Ability Casting Speed of group members (AE) by 10.0%',100,2,10),
(252634,10043386,'Increases Potency of group members (AE) by 10.0%',100,2,11),
(252635,10043386,'Increases Ability Recovery Speed of group members (AE) by 10.0%',100,2,12),
(252636,10043386,'Must not be engaged in pvp combat',100,2,13),
(252637,10043386,'Cannot be modified except by direct means',100,2,14),
(252638,10043386,'Must not be engaged in pvp combat',100,1,15),
(252639,45742,'Applies Clouded Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(252640,45742,'Increases Max Health of caster by 208.0',100,1,1),
(252641,45742,'Only affects targets level 50 and above',100,1,2),
(252642,10045742,'Applies Clouded Spirit of Vitality when Activated.  Lasts for 15 minutes.',100,0,0),
(252643,10045742,'Increases Max Health of caster by 208.0',100,1,1),
(252644,10045742,'Only affects targets level 50 and above',100,1,2),
(252645,81343,'When Equipped:',100,0,0),
(252646,81343,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252647,81343,'Inflicts 70 - 129 magic damage on target',100,2,2),
(252648,81343,'Cannot be modified except by direct means',100,2,3),
(252649,10081343,'When Equipped:',100,0,0),
(252650,10081343,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252651,10081343,'Inflicts 84 - 155 magic damage on target',100,2,2),
(252652,10081343,'Cannot be modified except by direct means',100,2,3),
(252653,115520,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(252654,115520,'Increases Mitigation of group members (AE) vs noxious damage by 1040',100,1,1),
(252655,10115520,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(252656,10115520,'Increases Mitigation of group members (AE) vs noxious damage by 1040',100,1,1),
(252657,103510,'Charms target',100,1,0),
(252658,103510,'If outside an arena',100,1,1),
(252659,103510,'Certain enemies cannot be charmed',100,1,2),
(252660,103510,'Does not affect Epic targets',100,1,3),
(252661,10103510,'Mesmerizes target',100,1,0),
(252662,10103510,'Prevents AOE (except when direct) ',100,1,1),
(252663,10103510,'Dispelled when target takes damage',100,1,2),
(252664,10103510,'If outside an arena',100,1,3),
(252665,10103510,'Certain enemies cannot be charmed',100,1,4),
(252666,10103510,'Does not affect Epic targets',100,1,5),
(252667,10103510,'Resistibility increases against targets higher than level 63.',100,1,6),
(252668,159573,'Applies Lambent Imbued when Equipped.',100,0,0),
(252669,159573,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(252670,159573,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(252671,159573,'Cannot be modified except by direct means',100,2,3),
(252672,10159573,'Applies Lambent Imbued when Equipped.',100,0,0),
(252673,10159573,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(252674,10159573,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(252675,10159573,'Cannot be modified except by direct means',100,2,3),
(252676,159114,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(252677,159114,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(252678,159114,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(252679,159114,'Cannot be modified except by direct means',100,2,3),
(252680,10159114,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(252681,10159114,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(252682,10159114,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(252683,10159114,'Cannot be modified except by direct means',100,2,3),
(252684,45818,'Applies Consume Essence when Activated.',100,0,0),
(252685,45818,'Heals group members (AE) for 660 - 807',100,1,1),
(252686,45818,'Dispels 130 levels of any hostile effects on caster',100,1,2),
(252687,10045818,'Applies Consume Essence when Activated.',100,0,0),
(252688,10045818,'Heals group members (AE) for 429 - 525',100,1,1),
(252689,10045818,'Dispels 130 levels of any hostile effects on caster',100,1,2),
(252690,104967,'Inflicts 1263 - 2105 melee damage on target',100,1,0),
(252691,104967,'Decreases Defense of target by 71.5',100,1,1),
(252692,104967,'Must be behind',100,1,2),
(252693,10104967,'Inflicts 1516 - 2526 melee damage on target',100,1,0),
(252694,10104967,'Decreases Defense of target by 71.5',100,1,1),
(252695,10104967,'Must be behind',100,1,2),
(252696,181721,'When Equipped:',100,0,0),
(252697,181721,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252698,181721,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(252699,181721,'Cannot be modified except by direct means',100,2,3),
(252700,10181721,'When Equipped:',100,0,0),
(252701,10181721,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252702,10181721,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(252703,10181721,'Cannot be modified except by direct means',100,2,3),
(252704,159239,'Applies Lambent Imbued when Equipped.',100,0,0),
(252705,159239,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(252706,159239,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(252707,159239,'Cannot be modified except by direct means',100,2,3),
(252708,10159239,'Applies Lambent Imbued when Equipped.',100,0,0),
(252709,10159239,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(252710,10159239,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(252711,10159239,'Cannot be modified except by direct means',100,2,3),
(252712,71523,'When Equipped:',100,0,0),
(252713,71523,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252714,71523,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(252715,71523,'Cannot be modified except by direct means',100,2,3),
(252716,10071523,'When Equipped:',100,0,0),
(252717,10071523,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252718,10071523,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(252719,10071523,'Cannot be modified except by direct means',100,2,3),
(252720,114214,'Inflicts 544 - 906 melee damage on target',100,1,0),
(252721,114214,'Decreases Slashing, Crushing and Piercing of target by 19.5',100,1,1),
(252722,10114214,'Inflicts 653 - 1088 melee damage on target',100,1,0),
(252723,10114214,'Decreases Slashing, Crushing and Piercing of target by 19.5',100,1,1),
(252724,27036,'When Equipped:',100,0,0),
(252725,27036,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(252726,27036,'Inflicts 60 heat damage on target',100,2,2),
(252727,27036,'Inflicts 7 heat damage on target every 5 seconds',100,2,3),
(252728,27036,'Cannot be modified except by direct means',100,2,4),
(252729,10027036,'When Equipped:',100,0,0),
(252730,10027036,'On a combat hit this spell may cast Fiery Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(252731,10027036,'Inflicts 72 heat damage on target',100,2,2),
(252732,10027036,'Inflicts 8 heat damage on target every 5 seconds',100,2,3),
(252733,10027036,'Cannot be modified except by direct means',100,2,4),
(252734,100986,'Increases INT of target by 37.5',100,1,0),
(252735,100986,'Increases Attack Speed of target by 25.3',100,1,1),
(252736,100986,'Decreases Defense and Parry of target by 11.3',100,1,2),
(252737,100986,'Increases Slashing, Piercing and Crushing of target by 8.3',100,1,3),
(252738,10100986,'Increases INT of target by 37.5',100,1,0),
(252739,10100986,'Increases Attack Speed of target by 25.3',100,1,1),
(252740,10100986,'Decreases Defense and Parry of target by 11.3',100,1,2),
(252741,10100986,'Increases Slashing, Piercing and Crushing of target by 8.3',100,1,3),
(252742,75907,'When Equipped:',100,0,0),
(252743,75907,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252744,75907,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(252745,75907,'Heals caster for 1185 - 1309',100,2,3),
(252746,75907,'Decreases Ranged, Crushing, Slashing and Piercing of target by 22.0',100,2,4),
(252747,75907,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(252748,75907,'Must not be engaged in pvp combat',100,2,6),
(252749,75907,'Cannot be modified except by direct means',100,2,7),
(252750,75907,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(252751,75907,'Cannot be modified except by direct means',100,1,9),
(252752,75907,'When Equipped:',100,0,10),
(252753,75907,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(252754,75907,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(252755,75907,'Increases Attack Speed of caster by 6.0',100,2,13),
(252756,75907,'Increases Damage Per Second of caster by 9.0',100,2,14),
(252757,75907,'Increases Multi Attack Chance of caster by 22.0',100,2,15),
(252758,75907,'Must not be engaged in pvp combat',100,2,16),
(252759,75907,'Cannot be modified except by direct means',100,2,17),
(252760,75907,'Cannot be modified except by direct means',100,1,18),
(252761,10075907,'When Equipped:',100,0,0),
(252762,10075907,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(252763,10075907,'Inflicts 2843 - 3142 poison damage on target',100,2,2),
(252764,10075907,'Heals caster for 1386 - 1532',100,2,3),
(252765,10075907,'Decreases Ranged, Crushing, Slashing and Piercing of target by 22.0',100,2,4),
(252766,10075907,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(252767,10075907,'Must not be engaged in pvp combat',100,2,6),
(252768,10075907,'Cannot be modified except by direct means',100,2,7),
(252769,10075907,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(252770,10075907,'Cannot be modified except by direct means',100,1,9),
(252771,10075907,'When Equipped:',100,0,10),
(252772,10075907,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(252773,10075907,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(252774,10075907,'Increases Attack Speed of caster by 6.0',100,2,13),
(252775,10075907,'Increases Damage Per Second of caster by 9.0',100,2,14),
(252776,10075907,'Increases Multi Attack Chance of caster by 22.0',100,2,15),
(252777,10075907,'Must not be engaged in pvp combat',100,2,16),
(252778,10075907,'Cannot be modified except by direct means',100,2,17),
(252779,10075907,'Cannot be modified except by direct means',100,1,18),
(252780,102328,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(252781,102328,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(252782,102328,'Decreases threat priority of target encounter by 1 position',100,2,2),
(252783,102328,'Decreases Threat to target encounter by 503 ',100,2,3),
(252784,102328,'Grants a total of 3 triggers of the spell.',100,2,4),
(252785,102328,'If profession other than Fighter',100,1,5),
(252786,10102328,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',100,1,0),
(252787,10102328,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(252788,10102328,'Target cannot target caster for the duration of this effect.',100,2,2),
(252789,10102328,'Forces target to clear their selected target.',100,2,3),
(252790,10102328,'Grants a total of 3 triggers of the spell.',100,2,4),
(252791,10102328,'If profession other than Fighter',100,1,5),
(252792,121331,'Inflicts 1101 - 1835 ranged damage on targets in area',100,1,0),
(252793,121331,'Requires bow',100,1,1),
(252794,10121331,'Inflicts 842 - 1404 ranged damage on targets in area',100,1,0),
(252795,10121331,'Requires bow',100,1,1),
(252796,75023,'Applies Lightning Shock when Activated.',100,0,0),
(252797,75023,'Inflicts 172 - 287 magic damage on target',100,1,1),
(252798,75023,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252799,10075023,'Applies Lightning Shock when Activated.',100,0,0),
(252800,10075023,'Inflicts 207 - 345 magic damage on target',100,1,1),
(252801,10075023,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(252802,117719,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(252803,117719,'Adds 0.9% to base avoidance.',100,1,1),
(252804,10117719,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(252805,10117719,'Adds 0.9% to base avoidance.',100,1,1),
(252806,103426,'Decreases Threat to targets in Area of Effect by 2,861 ',100,1,0),
(252807,103426,'Slows targets in Area of Effect by 33.2%',100,1,1),
(252808,103426,'Stifles targets in Area of Effect',100,1,2),
(252809,103426,'If Target is not Epic',100,2,3),
(252810,103426,'10% chance to dispel when target receives hostile action',100,1,4),
(252811,103426,'10% chance to dispel when target takes damage',100,1,5),
(252812,10103426,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(252813,10103426,'Slows targets in Area of Effect by 33.2%',100,1,1),
(252814,10103426,'Stifles targets in Area of Effect',100,1,2),
(252815,10103426,'If Target is not Epic',100,2,3),
(252816,110485,'Stifles caster',100,1,0),
(252817,110485,'Increases power of caster by 19 instantly and every second',100,1,1),
(252818,10110485,'Stifles caster',100,1,0),
(252819,10110485,'Increases power of caster by 19 instantly and every second',100,1,1),
(252820,181010,'When Equipped:',100,0,0),
(252821,181010,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252822,181010,'Inflicts 2664 disease damage on target encounter',100,2,2),
(252823,181010,'Must not be engaged in pvp combat',100,2,3),
(252824,181010,'Cannot be modified except by direct means',100,2,4),
(252825,10181010,'When Equipped:',100,0,0),
(252826,10181010,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(252827,10181010,'Inflicts 1598 disease damage on target encounter',100,2,2),
(252828,10181010,'Must not be engaged in pvp combat',100,2,3),
(252829,10181010,'Cannot be modified except by direct means',100,2,4),
(252830,117885,'Heals target for 502 - 613 instantly and every 2 seconds',100,1,0),
(252831,10117885,'Heals target for 326 - 399 instantly and every 2 seconds',100,1,0),
(252832,80374,'When Equipped:',100,0,0),
(252833,80374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252834,80374,'Inflicts 39 - 72 magic damage on target',100,2,2),
(252835,80374,'Cannot be modified except by direct means',100,2,3),
(252836,10080374,'When Equipped:',100,0,0),
(252837,10080374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252838,10080374,'Inflicts 46 - 86 magic damage on target',100,2,2),
(252839,10080374,'Cannot be modified except by direct means',100,2,3),
(252840,106517,'Inflicts 1207 - 2012 melee damage on target',100,1,0),
(252841,106517,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(252842,106517,'If Target is Standard or weaker',100,2,2),
(252843,10106517,'Inflicts 724 - 1207 melee damage on target',100,1,0),
(252844,124308,'Wards group members (AE) against 1752 points of elemental damage',100,1,0),
(252845,124308,'Increases Mitigation of group members (AE) vs elemental damage by 940',100,1,1),
(252846,10124308,'Wards group members (AE) against 1752 points of elemental damage',100,1,0),
(252847,10124308,'Increases Mitigation of group members (AE) vs elemental damage by 940',100,1,1),
(252848,24184,'Adds Crushbone: Garbage Mound to your Dungeon Maker toolbox',100,0,0),
(252849,10024184,'Adds Crushbone: Garbage Mound to your Dungeon Maker toolbox',100,0,0),
(252850,100049,'Decreases STR, AGI and WIS of target by 47.8',100,1,0),
(252851,10100049,'Decreases STR, AGI and WIS of target by 47.8',100,1,0),
(252852,41468,'When Equipped:',100,0,0),
(252853,41468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252854,41468,'Inflicts 70 - 129 magic damage on target',100,2,2),
(252855,41468,'Cannot be modified except by direct means',100,2,3),
(252856,10041468,'When Equipped:',100,0,0),
(252857,10041468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252858,10041468,'Inflicts 84 - 155 magic damage on target',100,2,2),
(252859,10041468,'Cannot be modified except by direct means',100,2,3),
(252860,47190,'Applies Murky Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(252861,47190,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(252862,47190,'Only affects targets level 50 and above',100,1,2),
(252863,10047190,'Applies Murky Elixir of Lucidity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(252864,10047190,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(252865,10047190,'Only affects targets level 50 and above',100,1,2),
(252866,108117,'Increases Attack Speed of caster by 22.8',100,1,0),
(252867,10108117,'Increases Attack Speed of caster by 22.8',100,1,0),
(252868,72256,'When Equipped:',100,0,0),
(252869,72256,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252870,72256,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(252871,72256,'Cannot be modified except by direct means',100,2,3),
(252872,10072256,'When Equipped:',100,0,0),
(252873,10072256,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252874,10072256,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(252875,10072256,'Cannot be modified except by direct means',100,2,3),
(252876,108628,'Feigns Death with 95% chance of success',100,1,0),
(252877,10108628,'Feigns Death with 95% chance of success',100,1,0),
(252878,36578,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(252879,114020,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(252880,114020,'Heals target for 22 instantly and every 2 seconds',100,2,1),
(252881,114020,'Decreases Mitigation of target vs arcane damage by 512',100,1,2),
(252882,10114020,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(252883,10114020,'Heals target for 72 instantly and every 2 seconds',100,2,1),
(252884,10114020,'Decreases Mitigation of target vs arcane damage by 512',100,1,2),
(252885,191686,'When Equipped:',100,0,0),
(252886,191686,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252887,191686,'This effect can be stacked by multiple casters.',100,2,2),
(252888,191686,'Increases Mitigation of target vs all damage by 930',100,2,3),
(252889,191686,'Cannot be modified except by direct means',100,2,4),
(252890,10191686,'When Equipped:',100,0,0),
(252891,10191686,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(252892,10191686,'This effect can be stacked by multiple casters.',100,2,2),
(252893,10191686,'Increases Mitigation of target vs all damage by 930',100,2,3),
(252894,10191686,'Cannot be modified except by direct means',100,2,4),
(252895,124584,'Decreases Threat to targets in Area of Effect by 2,284 ',100,1,0),
(252896,124584,'Interrupts targets in Area of Effect',100,1,1),
(252897,124584,'Roots targets in Area of Effect',100,1,2),
(252898,124584,'If Target is not Epic',100,2,3),
(252899,10124584,'Applies Distract.',100,1,0),
(252900,10124584,'Forces target to clear their selected target.',100,2,1),
(252901,10124584,'Interrupts targets in Area of Effect',100,1,2),
(252902,10124584,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(252903,10124584,'Roots targets in Area of Effect',100,1,4),
(252904,10124584,'If Target is not Epic',100,2,5),
(252905,108327,'Inflicts 239 - 399 divine damage on target',100,1,0),
(252906,108327,'Heals caster for 1.6% of max health',100,1,1),
(252907,108327,'This effect cannot be critically applied.',100,2,2),
(252908,108327,'The healing of this spell cannot be modified except by direct means',100,1,3),
(252909,10108327,'Inflicts 287 - 479 divine damage on target',100,1,0),
(252910,10108327,'Heals caster for 0.8% of max health',100,1,1),
(252911,10108327,'This effect cannot be critically applied.',100,2,2),
(252912,10108327,'The healing of this spell cannot be modified except by direct means',100,1,3),
(252913,124037,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(252914,124037,'Heals target for 480 - 586',100,2,1),
(252915,124037,'Grants a total of 5 triggers of the spell.',100,2,2),
(252916,10124037,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(252917,10124037,'Heals target for 312 - 381',100,2,1),
(252918,10124037,'Grants a total of 5 triggers of the spell.',100,2,2),
(252919,46277,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(252920,46277,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(252921,46277,'Decreases Threat to target by 1,621 - 1,981 ',100,2,2),
(252922,46277,'Cannot be modified except by direct means',100,2,3),
(252923,46277,'Grants a total of 100 triggers of the spell.',100,2,4),
(252924,10046277,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(252925,10046277,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(252926,10046277,'5% chance to apply Distract.',100,2,2),
(252927,10046277,'Forces target to clear their selected target.',100,3,3),
(252928,10046277,'Cannot be modified except by direct means',100,2,4),
(252929,10046277,'Grants a total of 100 triggers of the spell.',100,2,5),
(252930,46076,'Applies Elixir of Heat Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(252931,46076,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(252932,10046076,'Applies Elixir of Heat Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(252933,10046076,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(252934,109339,'Increases STR of caster by 99.9',100,1,0),
(252935,109339,'Decreases Defense of caster by 17.4',100,1,1),
(252936,109339,'Increases Slashing, Piercing and Crushing of caster by 28.7',100,1,2),
(252937,10109339,'Increases STR of caster by 99.9',100,1,0),
(252938,10109339,'Decreases Defense of caster by 17.4',100,1,1),
(252939,10109339,'Increases Slashing, Piercing and Crushing of caster by 28.7',100,1,2),
(252940,114397,'Mesmerizes target',100,1,0),
(252941,114397,'Prevents AOE (except when direct) ',100,1,1),
(252942,114397,'Dispelled when target takes damage',100,1,2),
(252943,114397,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(252944,114397,'Resistibility increases against targets higher than level 30.',100,1,4),
(252945,10114397,'Mesmerizes target',100,1,0),
(252946,10114397,'Prevents AOE (except when direct) ',100,1,1),
(252947,10114397,'Dispelled when target takes damage',100,1,2),
(252948,10114397,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(252949,10114397,'Resistibility increases against targets higher than level 30.',100,1,4),
(252950,45387,'Applies Drink Boarfiend Snout Stout when Activated.',100,0,0),
(252951,45387,'This drink brings out the boarfiend in everyone!',100,1,1),
(252952,10045387,'Applies Drink Boarfiend Snout Stout when Activated.',100,0,0),
(252953,10045387,'This drink brings out the boarfiend in everyone!',100,1,1),
(252954,37474,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(252955,138377,'When Equipped:',100,0,0),
(252956,138377,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252957,138377,'Decreases power of target by 133',100,2,2),
(252958,138377,'Increases power of caster by 89',100,2,3),
(252959,138377,'Cannot be modified except by direct means',100,2,4),
(252960,10138377,'When Equipped:',100,0,0),
(252961,10138377,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252962,10138377,'Decreases power of target by 133',100,2,2),
(252963,10138377,'Increases power of caster by 89',100,2,3),
(252964,10138377,'Cannot be modified except by direct means',100,2,4),
(252965,105305,'Increases AGI of caster by 149.1',100,1,0),
(252966,105305,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(252967,105305,'Inflicts 144 - 241 mental damage on target',100,2,2),
(252968,105305,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(252969,105305,'Inflicts 144 - 241 mental damage on target',100,2,4),
(252970,105305,'Adds 17.2% to base avoidance.',100,1,5),
(252971,105305,'Increases Mitigation of caster vs physical damage by 531',100,1,6),
(252972,105305,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,7),
(252973,10105305,'Increases AGI of caster by 149.1',100,1,0),
(252974,10105305,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(252975,10105305,'Inflicts 173 - 289 mental damage on target',100,2,2),
(252976,10105305,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(252977,10105305,'Inflicts 173 - 289 mental damage on target',100,2,4),
(252978,10105305,'Adds 17.2% to base avoidance.',100,1,5),
(252979,10105305,'Increases Mitigation of caster vs physical damage by 531',100,1,6),
(252980,10105305,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,7),
(252981,24366,'Adds Fairy (Coercer) to your Dungeon Maker toolbox',100,0,0),
(252982,10024366,'Adds Fairy (Coercer) to your Dungeon Maker toolbox',100,0,0),
(252983,114676,'Increases Threat to target by 2,208 - 2,697 ',100,1,0),
(252984,114676,'Interrupts target',100,1,1),
(252985,10114676,'Interrupts target',100,1,0),
(252986,10114676,'Forces target to change their selected target to caster.',100,1,1),
(252987,10114676,'Prevents target from changing targets',100,1,2),
(252988,80711,'When Equipped:',100,0,0),
(252989,80711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252990,80711,'Inflicts 53 - 98 magic damage on target',100,2,2),
(252991,80711,'Cannot be modified except by direct means',100,2,3),
(252992,10080711,'When Equipped:',100,0,0),
(252993,10080711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(252994,10080711,'Inflicts 64 - 118 magic damage on target',100,2,2),
(252995,10080711,'Cannot be modified except by direct means',100,2,3),
(252996,159448,'Applies Sanguine Imbued when Equipped.',100,0,0),
(252997,159448,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(252998,159448,'Inflicts 55 heat damage on target',100,2,2),
(252999,159448,'Cannot be modified except by direct means',100,2,3),
(253000,10159448,'Applies Sanguine Imbued when Equipped.',100,0,0),
(253001,10159448,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(253002,10159448,'Inflicts 66 heat damage on target',100,2,2),
(253003,10159448,'Cannot be modified except by direct means',100,2,3),
(253004,147209,'When Equipped:',100,0,0),
(253005,147209,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253006,147209,'Inflicts 1199 cold damage on target encounter',100,2,2),
(253007,147209,'Cannot be modified except by direct means',100,2,3),
(253008,10147209,'When Equipped:',100,0,0),
(253009,10147209,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253010,10147209,'Inflicts 719 cold damage on target encounter',100,2,2),
(253011,10147209,'Cannot be modified except by direct means',100,2,3),
(253012,108332,'Inflicts 258 - 431 divine damage on target',100,1,0),
(253013,108332,'Heals caster for 1.2% of max health',100,1,1),
(253014,108332,'This effect cannot be critically applied.',100,2,2),
(253015,108332,'The healing of this spell cannot be modified except by direct means',100,1,3),
(253016,10108332,'Inflicts 310 - 517 divine damage on target',100,1,0),
(253017,10108332,'Heals caster for 1.1% of max health',100,1,1),
(253018,10108332,'This effect cannot be critically applied.',100,2,2),
(253019,10108332,'The healing of this spell cannot be modified except by direct means',100,1,3),
(253020,117247,'Inflicts 31 slashing damage on target every 4 seconds',100,1,0),
(253021,117247,'Inflicts 153 - 255 melee damage on target',100,1,1),
(253022,10117247,'Inflicts 37 slashing damage on target every 4 seconds',100,1,0),
(253023,10117247,'Inflicts 183 - 306 melee damage on target',100,1,1),
(253024,146124,'When Equipped:',100,0,0),
(253025,146124,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253026,146124,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(253027,146124,'Heals caster for 811 - 1217',100,2,3),
(253028,146124,'Cannot be modified except by direct means',100,2,4),
(253029,146124,'Cannot be modified except by direct means',100,1,5),
(253030,10146124,'When Equipped:',100,0,0),
(253031,10146124,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253032,10146124,'Inflicts 1462 - 2193 poison damage on target',100,2,2),
(253033,10146124,'Heals caster for 949 - 1424',100,2,3),
(253034,10146124,'Cannot be modified except by direct means',100,2,4),
(253035,10146124,'Cannot be modified except by direct means',100,1,5),
(253036,49107,'Applies Snowblind Soldier Illusion when Activated.',100,0,0),
(253037,49107,'This potion will grant you the illusion of being a Snowblind Soldier!',100,1,1),
(253038,10049107,'Applies Snowblind Soldier Illusion when Activated.',100,0,0),
(253039,10049107,'This potion will grant you the illusion of being a Snowblind Soldier!',100,1,1),
(253040,85825,'When Equipped:',100,0,0),
(253041,85825,'On a beneficial spell cast this spell may cast Blessing of Anashti Sul on target of spell cast.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253042,85825,'Heals target for 100 - 122 instantly and every second',100,2,2),
(253043,85825,'Cannot be modified except by direct means',100,2,3),
(253044,85825,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(253045,85825,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(253046,10085825,'When Equipped:',100,0,0),
(253047,10085825,'On a beneficial spell cast this spell may cast Blessing of Anashti Sul on target of spell cast.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253048,10085825,'Heals target for 65 - 79 instantly and every second',100,2,2),
(253049,10085825,'Cannot be modified except by direct means',100,2,3),
(253050,10085825,'Applies Flow of Fyr''Un when Equipped.',100,0,4),
(253051,10085825,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,5),
(253052,80763,'When Equipped:',100,0,0),
(253053,80763,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253054,80763,'Inflicts 132 - 246 magic damage on target',100,2,2),
(253055,80763,'Cannot be modified except by direct means',100,2,3),
(253056,10080763,'When Equipped:',100,0,0),
(253057,10080763,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253058,10080763,'Inflicts 159 - 295 magic damage on target',100,2,2),
(253059,10080763,'Cannot be modified except by direct means',100,2,3),
(253060,105233,'Decreases STR and INT of target by 60.5',100,1,0),
(253061,105233,'Only affects targets level 20 and above',100,1,1),
(253062,10105233,'Decreases STR and INT of target by 60.5',100,1,0),
(253063,10105233,'Only affects targets level 20 and above',100,1,1),
(253064,119970,'Increases Threat to target by 81 - 99 ',100,1,0),
(253065,10119970,'Prevents target from changing targets',100,1,0),
(253066,10119970,'Forces target to change their selected target to caster.',100,1,1),
(253067,80481,'When Equipped:',100,0,0),
(253068,80481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253069,80481,'Inflicts 41 - 75 magic damage on target',100,2,2),
(253070,80481,'Cannot be modified except by direct means',100,2,3),
(253071,10080481,'When Equipped:',100,0,0),
(253072,10080481,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253073,10080481,'Inflicts 49 - 90 magic damage on target',100,2,2),
(253074,10080481,'Cannot be modified except by direct means',100,2,3),
(253075,118477,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(253076,118477,'Inflicts 47 - 58 heat damage on target instantly and every second',100,2,1),
(253077,10118477,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(253078,10118477,'Inflicts 57 - 70 heat damage on target instantly and every second',100,2,1),
(253079,122485,'Inflicts 149 - 248 mental damage on targets in Area of Effect',100,1,0),
(253080,10122485,'Inflicts 178 - 297 mental damage on targets in Area of Effect',100,1,0),
(253081,121486,'Inflicts 149 - 249 melee damage on target',100,1,0),
(253082,121486,'Decreases Defense of target by 6.8',100,1,1),
(253083,10121486,'Inflicts 179 - 299 melee damage on target',100,1,0),
(253084,10121486,'Decreases Defense of target by 6.8',100,1,1),
(253085,102688,'Inflicts 464 divine damage on target encounter',100,1,0),
(253086,10102688,'Inflicts 556 divine damage on target encounter',100,1,0),
(253087,118822,'Inflicts 2 - 6 melee damage on target',100,1,0),
(253088,10118822,'Inflicts 2 - 7 melee damage on target',100,1,0),
(253089,73920,'Applies Holy Strike when Activated.',100,0,0),
(253090,73920,'Inflicts 360 - 600 divine damage on target',100,1,1),
(253091,73920,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(253092,10073920,'Applies Holy Strike when Activated.',100,0,0),
(253093,10073920,'Inflicts 432 - 721 divine damage on target',100,1,1),
(253094,10073920,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(253095,106094,'Inflicts 292 - 486 melee damage on target',100,1,0),
(253096,106094,'Decreases Mitigation of target vs physical damage by 1100',100,1,1),
(253097,106094,'Must be behind',100,1,2),
(253098,10106094,'Inflicts 350 - 584 melee damage on target',100,1,0),
(253099,10106094,'Decreases Mitigation of target vs physical damage by 275',100,1,1),
(253100,10106094,'Must be behind',100,1,2),
(253101,72020,'When Equipped:',100,0,0),
(253102,72020,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253103,72020,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(253104,72020,'Cannot be modified except by direct means',100,2,3),
(253105,10072020,'When Equipped:',100,0,0),
(253106,10072020,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253107,10072020,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(253108,10072020,'Cannot be modified except by direct means',100,2,3),
(253109,114567,'Heals target for 72 - 88',100,1,0),
(253110,10114567,'Heals target for 47 - 57',100,1,0),
(253111,70303,'When Equipped:',100,0,0),
(253112,70303,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(253113,70303,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(253114,70303,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(253115,70303,'Heals caster for 1185 - 1309',100,2,4),
(253116,70303,'Must not be engaged in pvp combat',100,2,5),
(253117,70303,'Cannot be modified except by direct means',100,2,6),
(253118,70303,'Cannot be modified except by direct means',100,1,7),
(253119,70303,'When Equipped:',100,0,8),
(253120,70303,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(253121,70303,'Wards caster against 2200 points of all damage',100,1,10),
(253122,70303,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,11),
(253123,70303,'While active Renewing Bulwark is disabled.',100,2,12),
(253124,70303,'Cannot be modified except by direct means',100,2,13),
(253125,70303,'Regenerates 220 points of shielding every 2 seconds',100,1,14),
(253126,70303,'Must not be engaged in pvp combat',100,1,15),
(253127,10070303,'When Equipped:',100,0,0),
(253128,10070303,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(253129,10070303,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(253130,10070303,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(253131,10070303,'Heals caster for 1386 - 1532',100,2,4),
(253132,10070303,'Must not be engaged in pvp combat',100,2,5),
(253133,10070303,'Cannot be modified except by direct means',100,2,6),
(253134,10070303,'Cannot be modified except by direct means',100,1,7),
(253135,10070303,'When Equipped:',100,0,8),
(253136,10070303,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(253137,10070303,'Wards caster against 2200 points of all damage',100,1,10),
(253138,10070303,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,11),
(253139,10070303,'While active Renewing Bulwark is disabled.',100,2,12),
(253140,10070303,'Cannot be modified except by direct means',100,2,13),
(253141,10070303,'Regenerates 220 points of shielding every 2 seconds',100,1,14),
(253142,10070303,'Must not be engaged in pvp combat',100,1,15),
(253143,110511,'Increases Threat to target by 169  instantly and by 73  every 3 seconds thereafter',100,1,0),
(253144,110511,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(253145,110511,'Stuns target',100,2,2),
(253146,110511,'Throws target back',100,2,3),
(253147,110511,'Blurs vision of target',100,2,4),
(253148,110511,'Does not affect Epic targets',100,2,5),
(253149,110511,'Inflicts 30 - 50 disease damage on target',100,1,6),
(253150,10110511,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(253151,10110511,'Stuns target',100,2,1),
(253152,10110511,'Throws target back',100,2,2),
(253153,10110511,'Blurs vision of target',100,2,3),
(253154,10110511,'Does not affect Epic targets',100,2,4),
(253155,10110511,'Forces target to change their selected target to caster.',100,1,5),
(253156,10110511,'Inflicts 30 - 50 disease damage on target',100,1,6),
(253157,10110511,'Prevents target from changing targets',100,1,7),
(253158,118078,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(253159,118078,'Increases Defense of caster by 10.8',100,1,1),
(253160,10118078,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(253161,10118078,'Increases Defense of caster by 10.8',100,1,1),
(253162,81710,'When Equipped:',100,0,0),
(253163,81710,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253164,81710,'Inflicts 105 - 195 magic damage on target',100,2,2),
(253165,81710,'Cannot be modified except by direct means',100,2,3),
(253166,10081710,'When Equipped:',100,0,0),
(253167,10081710,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253168,10081710,'Inflicts 126 - 234 magic damage on target',100,2,2),
(253169,10081710,'Cannot be modified except by direct means',100,2,3),
(253170,115644,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 600',100,1,0),
(253171,10115644,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 600',100,1,0),
(253172,159515,'Applies Lambent Imbued when Equipped.',100,0,0),
(253173,159515,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(253174,159515,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(253175,159515,'Cannot be modified except by direct means',100,2,3),
(253176,10159515,'Applies Lambent Imbued when Equipped.',100,0,0),
(253177,10159515,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(253178,10159515,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(253179,10159515,'Cannot be modified except by direct means',100,2,3),
(253180,82736,'When Equipped:',100,0,0),
(253181,82736,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253182,82736,'Inflicts 105 - 195 magic damage on target',100,2,2),
(253183,82736,'Cannot be modified except by direct means',100,2,3),
(253184,10082736,'When Equipped:',100,0,0),
(253185,10082736,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253186,10082736,'Inflicts 126 - 234 magic damage on target',100,2,2),
(253187,10082736,'Cannot be modified except by direct means',100,2,3),
(253188,110179,'Applies Untreated Bleeding on termination.',100,1,0),
(253189,110179,'Inflicts 271 - 452 piercing damage on target',100,2,1),
(253190,110179,'Inflicts 58 - 97 piercing damage on target instantly and every 4 seconds',100,1,2),
(253191,110179,'Inflicts 38 - 64 melee damage on target',100,1,3),
(253192,10110179,'Applies Untreated Bleeding on termination.',100,1,0),
(253193,10110179,'Inflicts 325 - 542 piercing damage on target',100,2,1),
(253194,10110179,'Inflicts 70 - 116 piercing damage on target instantly and every 4 seconds',100,1,2),
(253195,10110179,'Inflicts 46 - 77 melee damage on target',100,1,3),
(253196,24312,'Adds Boss: Drachnid (Dirge) to your Dungeon Maker toolbox',100,0,0),
(253197,10024312,'Adds Boss: Drachnid (Dirge) to your Dungeon Maker toolbox',100,0,0),
(253198,108209,'Increases power of caster by 61 instantly and every 4 seconds',100,1,0),
(253199,10108209,'Increases power of caster by 61 instantly and every 4 seconds',100,1,0),
(253200,143440,'When Equipped:',100,0,0),
(253201,143440,'On a combat hit this spell may cast Darkened Rapidity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253202,143440,'Increases Crit Chance of caster by 3.0',100,2,2),
(253203,143440,'Increases Attack Speed of caster by 3.0',100,2,3),
(253204,143440,'Increases Damage Per Second of caster by 3.0',100,2,4),
(253205,143440,'Increases caster''s chance to block by 10.0%',100,2,5),
(253206,143440,'Adds 75 combat art and spell damage.',100,2,6),
(253207,143440,'Cannot be modified except by direct means',100,2,7),
(253208,10143440,'When Equipped:',100,0,0),
(253209,10143440,'On a combat hit this spell may cast Darkened Rapidity on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253210,10143440,'Increases Crit Chance of caster by 3.0',100,2,2),
(253211,10143440,'Increases Attack Speed of caster by 3.0',100,2,3),
(253212,10143440,'Increases Damage Per Second of caster by 3.0',100,2,4),
(253213,10143440,'Increases caster''s chance to block by 10.0%',100,2,5),
(253214,10143440,'Adds 75 combat art and spell damage.',100,2,6),
(253215,10143440,'Cannot be modified except by direct means',100,2,7),
(253216,121487,'Inflicts 118 - 197 melee damage on target',100,1,0),
(253217,121487,'Decreases Defense of target by 5.4',100,1,1),
(253218,10121487,'Inflicts 142 - 237 melee damage on target',100,1,0),
(253219,10121487,'Decreases Defense of target by 5.4',100,1,1),
(253220,118881,'Inflicts 218 - 364 melee damage on target',100,1,0),
(253221,118881,'Inflicts 218 - 364 melee damage on target',100,1,1),
(253222,118881,'Inflicts 218 - 364 melee damage on target',100,1,2),
(253223,118881,'Inflicts 218 - 364 melee damage on target',100,1,3),
(253224,118881,'Inflicts 218 - 364 melee damage on target',100,1,4),
(253225,10118881,'Inflicts 262 - 437 melee damage on target',100,1,0),
(253226,10118881,'Inflicts 262 - 437 melee damage on target',100,1,1),
(253227,10118881,'Inflicts 262 - 437 melee damage on target',100,1,2),
(253228,10118881,'Inflicts 262 - 437 melee damage on target',100,1,3),
(253229,10118881,'Inflicts 262 - 437 melee damage on target',100,1,4),
(253230,177648,'When Equipped:',100,0,0),
(253231,177648,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(253232,177648,'Increases STA of caster by 14.8',100,2,2),
(253233,177648,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(253234,177648,'Cannot be modified except by direct means',100,2,4),
(253235,10177648,'When Equipped:',100,0,0),
(253236,10177648,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(253237,10177648,'Increases STA of caster by 14.8',100,2,2),
(253238,10177648,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(253239,10177648,'Cannot be modified except by direct means',100,2,4),
(253240,141927,'When Equipped:',100,0,0),
(253241,141927,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253242,141927,'Increases WIS of caster by 17.3',100,2,2),
(253243,141927,'Increases Ordination, Focus and Ministration of caster by 9.8',100,2,3),
(253244,141927,'Cannot be modified except by direct means',100,2,4),
(253245,10141927,'When Equipped:',100,0,0),
(253246,10141927,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253247,10141927,'Increases WIS of caster by 17.3',100,2,2),
(253248,10141927,'Increases Ordination, Focus and Ministration of caster by 9.8',100,2,3),
(253249,10141927,'Cannot be modified except by direct means',100,2,4),
(253250,71466,'When Equipped:',100,0,0),
(253251,71466,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253252,71466,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(253253,71466,'Cannot be modified except by direct means',100,2,3),
(253254,10071466,'When Equipped:',100,0,0),
(253255,10071466,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253256,10071466,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(253257,10071466,'Cannot be modified except by direct means',100,2,3),
(253258,108838,'Inflicts 48 - 80 melee damage on target',100,1,0),
(253259,108838,'Inflicts 48 - 80 melee damage on target',100,1,1),
(253260,108838,'Inflicts 48 - 80 melee damage on target',100,1,2),
(253261,108838,'Inflicts 48 - 80 melee damage on target',100,1,3),
(253262,108838,'Inflicts 48 - 80 melee damage on target',100,1,4),
(253263,10108838,'Inflicts 57 - 96 melee damage on target',100,1,0),
(253264,10108838,'Inflicts 57 - 96 melee damage on target',100,1,1),
(253265,10108838,'Inflicts 57 - 96 melee damage on target',100,1,2),
(253266,10108838,'Inflicts 57 - 96 melee damage on target',100,1,3),
(253267,10108838,'Inflicts 57 - 96 melee damage on target',100,1,4),
(253268,122814,'Inflicts 107 - 179 ranged damage on target',100,1,0),
(253269,122814,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(253270,122814,'Increases Hate Gain of target by 30.0%',100,2,2),
(253271,122814,'Grants a total of 1 trigger of the spell.',100,2,3),
(253272,122814,'Requires bow',100,1,4),
(253273,10122814,'Inflicts 91 - 152 ranged damage on target',100,1,0),
(253274,10122814,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(253275,10122814,'Grants a total of 1 trigger of the spell.',100,2,2),
(253276,10122814,'Requires bow',100,1,3),
(253277,120894,'Inflicts 334 - 408 mental damage on target',100,1,0),
(253278,120894,'Stifles target',100,1,1),
(253279,120894,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,2),
(253280,120894,'Resistibility increases against targets higher than level 87.',100,1,3),
(253281,10120894,'Inflicts 401 - 490 mental damage on target',100,1,0),
(253282,10120894,'Stifles target',100,1,1),
(253283,10120894,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(253284,10120894,'Resistibility increases against targets higher than level 87.',100,1,3),
(253285,120089,'Inflicts 264 - 441 mental damage on target',100,1,0),
(253286,120089,'Inflicts 264 - 441 mental damage on target',100,1,1),
(253287,120089,'Stifles target',100,1,2),
(253288,120089,'If Target is not Epic',100,2,3),
(253289,120089,'If weapon equipped in Ranged',100,1,4),
(253290,120089,'Resistibility increases against targets higher than level 120.',100,1,5),
(253291,10120089,'Inflicts 300 - 500 mental damage on target',100,1,0),
(253292,10120089,'Inflicts 300 - 500 mental damage on target',100,1,1),
(253293,10120089,'Stifles target',100,1,2),
(253294,10120089,'If Target is not Epic',100,2,3),
(253295,10120089,'If weapon equipped in Ranged',100,1,4),
(253296,10120089,'Resistibility increases against targets higher than level 120.',100,1,5),
(253297,45845,'Applies Consume Essence when Activated.',100,0,0),
(253298,45845,'Heals group members (AE) for 297 - 363',100,1,1),
(253299,45845,'Dispels 80 levels of any hostile effects on caster',100,1,2),
(253300,10045845,'Applies Consume Essence when Activated.',100,0,0),
(253301,10045845,'Heals group members (AE) for 193 - 236',100,1,1),
(253302,10045845,'Dispels 80 levels of any hostile effects on caster',100,1,2),
(253303,82506,'When Equipped:',100,0,0),
(253304,82506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253305,82506,'Inflicts 190 - 352 magic damage on target',100,2,2),
(253306,82506,'Cannot be modified except by direct means',100,2,3),
(253307,10082506,'When Equipped:',100,0,0),
(253308,10082506,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253309,10082506,'Inflicts 228 - 423 magic damage on target',100,2,2),
(253310,10082506,'Cannot be modified except by direct means',100,2,3),
(253311,122926,'Increases STR and INT of group members (AE) by 121.4',100,1,0),
(253312,10122926,'Increases STR and INT of group members (AE) by 121.4',100,1,0),
(253313,124280,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(253314,124280,'Increases Damage Per Second of target by 31.6',100,2,1),
(253315,124280,'Increases Attack Speed of target by 31.6',100,2,2),
(253316,124280,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(253317,124280,'Increases Damage Per Second of target by 31.6',100,2,4),
(253318,124280,'Increases Attack Speed of target by 31.6',100,2,5),
(253319,124280,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(253320,124280,'Increases Damage Per Second of target by 31.6',100,2,7),
(253321,124280,'Increases Attack Speed of target by 31.6',100,2,8),
(253322,10124280,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(253323,10124280,'Increases Damage Per Second of target by 31.6',100,2,1),
(253324,10124280,'Increases Attack Speed of target by 31.6',100,2,2),
(253325,10124280,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(253326,10124280,'Increases Damage Per Second of target by 31.6',100,2,4),
(253327,10124280,'Increases Attack Speed of target by 31.6',100,2,5),
(253328,10124280,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(253329,10124280,'Increases Damage Per Second of target by 31.6',100,2,7),
(253330,10124280,'Increases Attack Speed of target by 31.6',100,2,8),
(253331,101244,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(253332,101244,'Inflicts 65 - 108 mental damage on target',100,2,1),
(253333,10101244,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(253334,10101244,'Inflicts 78 - 129 mental damage on target',100,2,1),
(253335,171971,'When Equipped:',100,0,0),
(253336,171971,'On a critical healing spell cast this spell may cast Flockmaster''s Protection VIII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(253337,171971,'This effect applies to both the caster and the target.',100,2,2),
(253338,171971,'When any damage is received this spell will cast Flockmaster''s Protection VIII on target.  ',100,2,3),
(253339,171971,'Heals target for 422 - 466',100,3,4),
(253340,171971,'Must not be engaged in pvp combat',100,3,5),
(253341,171971,'Cannot be modified except by direct means',100,3,6),
(253342,171971,'Grants a total of 5 triggers of the spell.',100,3,7),
(253343,171971,'Must not be engaged in pvp combat',100,2,8),
(253344,171971,'Cannot be modified except by direct means',100,2,9),
(253345,171971,'Must not be engaged in pvp combat',100,1,10),
(253346,10171971,'When Equipped:',100,0,0),
(253347,10171971,'On a critical healing spell cast this spell may cast Flockmaster''s Protection VIII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(253348,10171971,'This effect applies to both the caster and the target.',100,2,2),
(253349,10171971,'When any damage is received this spell will cast Flockmaster''s Protection VIII on target.  ',100,2,3),
(253350,10171971,'Heals target for 274 - 303',100,3,4),
(253351,10171971,'Must not be engaged in pvp combat',100,3,5),
(253352,10171971,'Cannot be modified except by direct means',100,3,6),
(253353,10171971,'Grants a total of 5 triggers of the spell.',100,3,7),
(253354,10171971,'Must not be engaged in pvp combat',100,2,8),
(253355,10171971,'Cannot be modified except by direct means',100,2,9),
(253356,10171971,'Must not be engaged in pvp combat',100,1,10),
(253357,42725,'When Equipped:',100,0,0),
(253358,42725,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(253359,42725,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(253360,42725,'Inflicts 401 mental damage on target',100,2,3),
(253361,42725,'Must not be classified as an undead',100,3,4),
(253362,42725,'Inflicts 802 mental damage on target',100,2,5),
(253363,42725,'Must be classified as an undead',100,3,6),
(253364,42725,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(253365,42725,'Must be classified as an undead',100,3,8),
(253366,42725,'Cannot be modified except by direct means',100,2,9),
(253367,42725,'When Equipped:',100,0,10),
(253368,42725,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(253369,42725,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,12),
(253370,42725,'Dispelled when target casts a hostile spell',100,2,13),
(253371,42725,'Dispelled when target casts a combat art',100,2,14),
(253372,42725,'Cannot be modified except by direct means',100,2,15),
(253373,10042725,'When Equipped:',100,0,0),
(253374,10042725,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(253375,10042725,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(253376,10042725,'Inflicts 481 mental damage on target',100,2,3),
(253377,10042725,'Must not be classified as an undead',100,3,4),
(253378,10042725,'Inflicts 963 mental damage on target',100,2,5),
(253379,10042725,'Must be classified as an undead',100,3,6),
(253380,10042725,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(253381,10042725,'Must be classified as an undead',100,3,8),
(253382,10042725,'Cannot be modified except by direct means',100,2,9),
(253383,10042725,'When Equipped:',100,0,10),
(253384,10042725,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(253385,10042725,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,12),
(253386,10042725,'Dispelled when target casts a hostile spell',100,2,13),
(253387,10042725,'Dispelled when target casts a combat art',100,2,14),
(253388,10042725,'Cannot be modified except by direct means',100,2,15),
(253389,124321,'Shapechanges caster into a wolf',100,1,0),
(253390,124321,'Grants See Invisibility to caster',100,1,1),
(253391,124321,'Increases Focus of caster by 15.3',100,1,2),
(253392,124321,'Increases Mitigation of caster vs physical damage by 170',100,1,3),
(253393,124321,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 646',100,1,4),
(253394,10124321,'Shapechanges caster into a wolf',100,1,0),
(253395,10124321,'Grants See Invisibility to caster',100,1,1),
(253396,10124321,'Increases Focus of caster by 15.3',100,1,2),
(253397,10124321,'Increases Mitigation of caster vs physical damage by 170',100,1,3),
(253398,10124321,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 646',100,1,4),
(253399,71368,'When Equipped:',100,0,0),
(253400,71368,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253401,71368,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(253402,71368,'Cannot be modified except by direct means',100,2,3),
(253403,10071368,'When Equipped:',100,0,0),
(253404,10071368,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253405,10071368,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(253406,10071368,'Cannot be modified except by direct means',100,2,3),
(253407,105602,'Decreases power of target encounter by 64 - 79 instantly and every 3 seconds',100,1,0),
(253408,105602,'Inflicts 150 - 279 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(253409,105602,'Heals group members (AE) for 81 - 151 instantly and every 3 seconds',100,1,2),
(253410,105602,'Increases power of group members (AE) by 31 instantly and every 3 seconds',100,1,3),
(253411,10105602,'Decreases power of target encounter by 64 - 79 instantly and every 3 seconds',100,1,0),
(253412,10105602,'Inflicts 180 - 335 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(253413,10105602,'Heals group members (AE) for 53 - 98 instantly and every 3 seconds',100,1,2),
(253414,10105602,'Increases power of group members (AE) by 31 instantly and every 3 seconds',100,1,3),
(253415,107893,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(253416,107893,'Slows target by 49.4%',100,2,1),
(253417,107893,'5% chance to dispel when target receives hostile action',100,2,2),
(253418,107893,'5% chance to dispel when target takes damage',100,2,3),
(253419,107893,'Slows target encounter by 59.3%',100,1,4),
(253420,107893,'5% chance to dispel when target takes damage',100,1,5),
(253421,10107893,'Slows target encounter by 59.3%',100,1,0),
(253422,10107893,'5% chance to dispel when target takes damage',100,1,1),
(253423,109966,'Inflicts 422 - 634 disease damage on targets in Area of Effect',100,1,0),
(253424,109966,'Inflicts 211 - 317 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(253425,109966,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(253426,109966,'Increases Threat to targets in Area of Effect by 1,653 - 2,020  instantly and every 4 seconds thereafter',100,1,3),
(253427,10109966,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(253428,10109966,'Forces target to change their selected target to caster.',100,2,1),
(253429,10109966,'Prevents target from changing targets',100,2,2),
(253430,10109966,'Inflicts 507 - 760 disease damage on targets in Area of Effect',100,1,3),
(253431,10109966,'Inflicts 253 - 380 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(253432,122043,'Increases Threat to target by 412 - 503 ',100,1,0),
(253433,122043,'Inflicts 43 - 72 melee damage on target',100,1,1),
(253434,10122043,'Forces target to change their selected target to caster.',100,1,0),
(253435,10122043,'Inflicts 52 - 87 melee damage on target',100,1,1),
(253436,121980,'Increases Threat to target by 26 - 31 ',100,1,0),
(253437,10121980,'Prevents target from changing targets',100,1,0),
(253438,10121980,'Forces target to change their selected target to caster.',100,1,1),
(253439,46244,'Applies noxious remedy when Activated.',100,0,0),
(253440,46244,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(253441,10046244,'Applies noxious remedy when Activated.',100,0,0),
(253442,10046244,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(253443,45838,'Applies Consume Essence when Activated.',100,0,0),
(253444,45838,'Heals group members (AE) for 207 - 253',100,1,1),
(253445,45838,'Dispels 66 levels of any hostile effects on caster',100,1,2),
(253446,10045838,'Applies Consume Essence when Activated.',100,0,0),
(253447,10045838,'Heals group members (AE) for 135 - 165',100,1,1),
(253448,10045838,'Dispels 66 levels of any hostile effects on caster',100,1,2),
(253449,117113,'Mesmerizes target encounter',100,1,0),
(253450,117113,'Prevents AOE (except when direct) ',100,1,1),
(253451,117113,'Dispelled when target takes damage',100,1,2),
(253452,117113,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(253453,117113,'Resistibility increases against targets higher than level 107.',100,1,4),
(253454,10117113,'Mesmerizes target encounter',100,1,0),
(253455,10117113,'Prevents AOE (except when direct) ',100,1,1),
(253456,10117113,'Dispelled when target takes damage',100,1,2),
(253457,10117113,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(253458,10117113,'Resistibility increases against targets higher than level 107.',100,1,4),
(253459,118011,'Wards target against 2912 points of all damage',100,1,0),
(253460,10118011,'Wards target against 2912 points of all damage',100,1,0),
(253461,105481,'Stuns target encounter',100,1,0),
(253462,105481,'If Target is not Epic',100,2,1),
(253463,105481,'Inflicts 233 - 433 poison damage on target encounter',100,1,2),
(253464,105481,'Resistibility increases against targets higher than level 79.',100,1,3),
(253465,10105481,'Stuns target encounter',100,1,0),
(253466,10105481,'If Target is not Epic',100,2,1),
(253467,10105481,'Inflicts 280 - 519 poison damage on target encounter',100,1,2),
(253468,10105481,'Resistibility increases against targets higher than level 79.',100,1,3),
(253469,116171,'Increases Attack Speed of caster by 30.4',100,1,0),
(253470,116171,'Increases Damage Per Second of caster by 35.3',100,1,1),
(253471,10116171,'Increases Attack Speed of caster by 30.4',100,1,0),
(253472,10116171,'Increases Damage Per Second of caster by 35.3',100,1,1),
(253473,106775,'Mesmerizes target',100,1,0),
(253474,106775,'Prevents AOE (except when direct) ',100,1,1),
(253475,106775,'Dispelled when target takes damage',100,1,2),
(253476,106775,'Does not affect Epic targets',100,1,3),
(253477,106775,'Resistibility increases against targets higher than level 97.',100,1,4),
(253478,10106775,'Mesmerizes target',100,1,0),
(253479,10106775,'Prevents AOE (except when direct) ',100,1,1),
(253480,10106775,'Dispelled when target takes damage',100,1,2),
(253481,10106775,'Does not affect Epic targets',100,1,3),
(253482,10106775,'Resistibility increases against targets higher than level 97.',100,1,4),
(253483,103194,'Increases Mitigation of caster vs physical damage by 324',100,1,0),
(253484,103194,'Roots caster',100,1,1),
(253485,10103194,'Increases Mitigation of caster vs physical damage by 324',100,1,0),
(253486,10103194,'Roots caster',100,1,1),
(253487,116386,'Heals target for 94 - 115 instantly and every 2 seconds',100,1,0),
(253488,10116386,'Heals target for 61 - 75 instantly and every 2 seconds',100,1,0),
(253489,87182,'When Equipped:',100,0,0),
(253490,87182,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253491,87182,'Inflicts 41 - 62 magic damage on target',100,2,2),
(253492,87182,'Cannot be modified except by direct means',100,2,3),
(253493,10087182,'When Equipped:',100,0,0),
(253494,10087182,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253495,10087182,'Inflicts 49 - 74 magic damage on target',100,2,2),
(253496,10087182,'Cannot be modified except by direct means',100,2,3),
(253497,35179,'Increases STR of target by 1.5',100,0,0),
(253498,35179,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(253499,114902,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(253500,10114902,'Applies Shadows.',100,1,0),
(253501,10114902,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target''s attacker.  Lasts for 5.0 seconds.  ',100,2,1),
(253502,10114902,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(253503,103673,'Interrupts target',100,1,0),
(253504,103673,'Inflicts 155 - 258 melee damage on target',100,1,1),
(253505,103673,'Must be flanking or behind',100,1,2),
(253506,10103673,'Interrupts target',100,1,0),
(253507,10103673,'Inflicts 186 - 310 melee damage on target',100,1,1),
(253508,10103673,'Must be flanking or behind',100,1,2),
(253509,46508,'Applies Parachute Cloak when Activated.  Lasts for 30.0 seconds.',100,0,0),
(253510,46508,'Reduces maximum falling speed of caster',100,1,1),
(253511,10046508,'Applies Parachute Cloak when Activated.  Lasts for 30.0 seconds.',100,0,0),
(253512,10046508,'Reduces maximum falling speed of caster',100,1,1),
(253513,122421,'Sets a trap',100,1,0),
(253514,10122421,'Sets a trap',100,1,0),
(253515,105373,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(253516,105373,'Interrupts target',100,2,1),
(253517,105373,'Inflicts 40 melee damage on target',100,2,2),
(253518,105373,'Decreases Defense of caster by 8.1',100,1,3),
(253519,105373,'Increases Piercing, Slashing, Ranged and Crushing of caster by 19.4',100,1,4),
(253520,10105373,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(253521,10105373,'Interrupts target',100,2,1),
(253522,10105373,'Inflicts 49 melee damage on target',100,2,2),
(253523,10105373,'Decreases Defense of caster by 8.1',100,1,3),
(253524,10105373,'Increases Piercing, Slashing, Ranged and Crushing of caster by 19.4',100,1,4),
(253525,85105,'When Equipped:',100,0,0),
(253526,85105,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253527,85105,'Inflicts 109 - 182 piercing damage on target',100,2,2),
(253528,85105,'Inflicts 109 - 182 magic damage on target',100,2,3),
(253529,85105,'Inflicts 109 - 182 divine damage on target',100,2,4),
(253530,85105,'Must not be engaged in pvp combat',100,2,5),
(253531,85105,'Cannot be modified except by direct means',100,2,6),
(253532,85105,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(253533,85105,'Inflicts 109 - 182 piercing damage on target',100,2,8),
(253534,85105,'Inflicts 109 - 182 magic damage on target',100,2,9),
(253535,85105,'Inflicts 109 - 182 divine damage on target',100,2,10),
(253536,85105,'Must not be engaged in pvp combat',100,2,11),
(253537,85105,'Cannot be modified except by direct means',100,2,12),
(253538,85105,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(253539,85105,'Inflicts 109 - 182 piercing damage on target',100,2,14),
(253540,85105,'Inflicts 109 - 182 magic damage on target',100,2,15),
(253541,85105,'Inflicts 109 - 182 divine damage on target',100,2,16),
(253542,85105,'Must not be engaged in pvp combat',100,2,17),
(253543,85105,'Cannot be modified except by direct means',100,2,18),
(253544,85105,'Must not be engaged in pvp combat',100,1,19),
(253545,10085105,'When Equipped:',100,0,0),
(253546,10085105,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253547,10085105,'Inflicts 131 - 218 piercing damage on target',100,2,2),
(253548,10085105,'Inflicts 131 - 218 magic damage on target',100,2,3),
(253549,10085105,'Inflicts 131 - 218 divine damage on target',100,2,4),
(253550,10085105,'Must not be engaged in pvp combat',100,2,5),
(253551,10085105,'Cannot be modified except by direct means',100,2,6),
(253552,10085105,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(253553,10085105,'Inflicts 131 - 218 piercing damage on target',100,2,8),
(253554,10085105,'Inflicts 131 - 218 magic damage on target',100,2,9),
(253555,10085105,'Inflicts 131 - 218 divine damage on target',100,2,10),
(253556,10085105,'Must not be engaged in pvp combat',100,2,11),
(253557,10085105,'Cannot be modified except by direct means',100,2,12),
(253558,10085105,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(253559,10085105,'Inflicts 131 - 218 piercing damage on target',100,2,14),
(253560,10085105,'Inflicts 131 - 218 magic damage on target',100,2,15),
(253561,10085105,'Inflicts 131 - 218 divine damage on target',100,2,16),
(253562,10085105,'Must not be engaged in pvp combat',100,2,17);
INSERT INTO `item_effects` VALUES
(253563,10085105,'Cannot be modified except by direct means',100,2,18),
(253564,10085105,'Must not be engaged in pvp combat',100,1,19),
(253565,119249,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(253566,119249,'If profession other than Fighter',100,1,1),
(253567,119249,'If profession other than Scout',100,1,2),
(253568,10119249,'48% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 25% of attack damage.',100,1,0),
(253569,10119249,'If profession other than Fighter',100,1,1),
(253570,10119249,'If profession other than Scout',100,1,2),
(253571,83749,'When Equipped:',100,0,0),
(253572,83749,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(253573,83749,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(253574,83749,'Inflicts 1567 - 2612 divine damage on target',100,2,3),
(253575,83749,'Inflicts 1567 - 2612 piercing damage on target',100,2,4),
(253576,83749,'Inflicts 1567 - 2612 magic damage on target',100,2,5),
(253577,83749,'Decreases Mitigation of target vs arcane damage by 3532',100,2,6),
(253578,83749,'Must not be engaged in pvp combat',100,2,7),
(253579,83749,'Cannot be modified except by direct means',100,2,8),
(253580,83749,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,9),
(253581,83749,'Inflicts 1567 - 2612 divine damage on target',100,2,10),
(253582,83749,'Inflicts 1567 - 2612 piercing damage on target',100,2,11),
(253583,83749,'Inflicts 1567 - 2612 magic damage on target',100,2,12),
(253584,83749,'Decreases Mitigation of target vs arcane damage by 3532',100,2,13),
(253585,83749,'Must not be engaged in pvp combat',100,2,14),
(253586,83749,'Cannot be modified except by direct means',100,2,15),
(253587,83749,'Must not be engaged in pvp combat',100,1,16),
(253588,10083749,'When Equipped:',100,0,0),
(253589,10083749,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(253590,10083749,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(253591,10083749,'Inflicts 1880 - 3134 divine damage on target',100,2,3),
(253592,10083749,'Inflicts 1880 - 3134 piercing damage on target',100,2,4),
(253593,10083749,'Inflicts 1880 - 3134 magic damage on target',100,2,5),
(253594,10083749,'Decreases Mitigation of target vs arcane damage by 3532',100,2,6),
(253595,10083749,'Must not be engaged in pvp combat',100,2,7),
(253596,10083749,'Cannot be modified except by direct means',100,2,8),
(253597,10083749,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,9),
(253598,10083749,'Inflicts 1880 - 3134 divine damage on target',100,2,10),
(253599,10083749,'Inflicts 1880 - 3134 piercing damage on target',100,2,11),
(253600,10083749,'Inflicts 1880 - 3134 magic damage on target',100,2,12),
(253601,10083749,'Decreases Mitigation of target vs arcane damage by 3532',100,2,13),
(253602,10083749,'Must not be engaged in pvp combat',100,2,14),
(253603,10083749,'Cannot be modified except by direct means',100,2,15),
(253604,10083749,'Must not be engaged in pvp combat',100,1,16),
(253605,36181,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(253606,36181,'This effect suspends during combat',100,0,1),
(253607,46823,'Applies Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(253608,46823,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(253609,46823,'Only affects targets level 50 and above',100,1,2),
(253610,10046823,'Applies Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(253611,10046823,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(253612,10046823,'Only affects targets level 50 and above',100,1,2),
(253613,80654,'When Equipped:',100,0,0),
(253614,80654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253615,80654,'Inflicts 48 - 89 magic damage on target',100,2,2),
(253616,80654,'Cannot be modified except by direct means',100,2,3),
(253617,10080654,'When Equipped:',100,0,0),
(253618,10080654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253619,10080654,'Inflicts 57 - 106 magic damage on target',100,2,2),
(253620,10080654,'Cannot be modified except by direct means',100,2,3),
(253621,124105,'Increases power of caster by 99',100,1,0),
(253622,10124105,'Increases power of caster by 99',100,1,0),
(253623,159692,'When Equipped:',100,0,0),
(253624,159692,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253625,159692,'Increases WIS of caster by 19.8',100,2,2),
(253626,159692,'Increases Ordination, Focus and Ministration of caster by 11.1',100,2,3),
(253627,159692,'Cannot be modified except by direct means',100,2,4),
(253628,10159692,'When Equipped:',100,0,0),
(253629,10159692,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253630,10159692,'Increases WIS of caster by 19.8',100,2,2),
(253631,10159692,'Increases Ordination, Focus and Ministration of caster by 11.1',100,2,3),
(253632,10159692,'Cannot be modified except by direct means',100,2,4),
(253633,124568,'Decreases Threat to targets in Area of Effect by 1,008 ',100,1,0),
(253634,124568,'Interrupts targets in Area of Effect',100,1,1),
(253635,124568,'Roots targets in Area of Effect',100,1,2),
(253636,124568,'If Target is not Epic',100,2,3),
(253637,10124568,'Applies Distract.',100,1,0),
(253638,10124568,'Forces target to clear their selected target.',100,2,1),
(253639,10124568,'Interrupts targets in Area of Effect',100,1,2),
(253640,10124568,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(253641,10124568,'Roots targets in Area of Effect',100,1,4),
(253642,10124568,'If Target is not Epic',100,2,5),
(253643,81706,'When Equipped:',100,0,0),
(253644,81706,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253645,81706,'Inflicts 94 - 175 magic damage on target',100,2,2),
(253646,81706,'Cannot be modified except by direct means',100,2,3),
(253647,10081706,'When Equipped:',100,0,0),
(253648,10081706,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253649,10081706,'Inflicts 113 - 210 magic damage on target',100,2,2),
(253650,10081706,'Cannot be modified except by direct means',100,2,3),
(253651,115874,'Inflicts 824 - 1373 mental damage on target encounter',100,1,0),
(253652,115874,'Interrupts target encounter',100,1,1),
(253653,10115874,'Inflicts 989 - 1648 mental damage on target encounter',100,1,0),
(253654,10115874,'Interrupts target encounter',100,1,1),
(253655,113769,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(253656,113769,'Heals target for 49 - 59',100,2,1),
(253657,10113769,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(253658,10113769,'Heals target for 32 - 39',100,2,1),
(253659,51341,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(253660,51341,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(253661,51341,'Inflicts 39 heat damage on target',100,2,2),
(253662,51341,'Cannot be modified except by direct means',100,2,3),
(253663,10051341,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(253664,10051341,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(253665,10051341,'Inflicts 46 heat damage on target',100,2,2),
(253666,10051341,'Cannot be modified except by direct means',100,2,3),
(253667,141728,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(253668,141728,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(253669,141728,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(253670,141728,'Cannot be modified except by direct means',100,2,3),
(253671,10141728,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(253672,10141728,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(253673,10141728,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(253674,10141728,'Cannot be modified except by direct means',100,2,3),
(253675,103651,'Increases STR of raid and group members (AE) by 81.3',100,1,0),
(253676,103651,'Improves the base amount of taunts by 16%.',100,1,1),
(253677,103651,'Improves the base amount of combat arts by 5%.',100,1,2),
(253678,103651,'Increases AGI of raid and group members (AE) by 81.3',100,1,3),
(253679,103651,'Adds 1.6% to base avoidance.',100,1,4),
(253680,10103651,'Increases STR of raid and group members (AE) by 81.3',100,1,0),
(253681,10103651,'Improves the base amount of taunts by 16%.',100,1,1),
(253682,10103651,'Improves the base amount of combat arts by 5%.',100,1,2),
(253683,10103651,'Increases AGI of raid and group members (AE) by 81.3',100,1,3),
(253684,10103651,'Adds 1.6% to base avoidance.',100,1,4),
(253685,113483,'Inflicts 13 - 23 melee damage on targets in area',100,1,0),
(253686,10113483,'Inflicts 16 - 27 melee damage on targets in area',100,1,0),
(253687,170031,'When Equipped:',100,0,0),
(253688,170031,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(253689,170031,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(253690,170031,'Must not be engaged in pvp combat',100,2,3),
(253691,170031,'Cannot be modified except by direct means',100,2,4),
(253692,170031,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(253693,170031,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(253694,170031,'Must not be engaged in pvp combat',100,2,7),
(253695,170031,'Cannot be modified except by direct means',100,2,8),
(253696,170031,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(253697,170031,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(253698,170031,'Must not be engaged in pvp combat',100,2,11),
(253699,170031,'Cannot be modified except by direct means',100,2,12),
(253700,170031,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(253701,170031,'Inflicts 33 piercing damage on target',100,2,14),
(253702,170031,'Must not be engaged in pvp combat',100,2,15),
(253703,170031,'Cannot be modified except by direct means',100,2,16),
(253704,10170031,'When Equipped:',100,0,0),
(253705,10170031,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(253706,10170031,'Increases Crit Bonus of caster by 2.5%',100,2,2),
(253707,10170031,'Must not be engaged in pvp combat',100,2,3),
(253708,10170031,'Cannot be modified except by direct means',100,2,4),
(253709,10170031,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(253710,10170031,'Increases Crit Bonus of caster by 2.5%',100,2,6),
(253711,10170031,'Must not be engaged in pvp combat',100,2,7),
(253712,10170031,'Cannot be modified except by direct means',100,2,8),
(253713,10170031,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IV on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(253714,10170031,'Increases Crit Bonus of caster by 2.5%',100,2,10),
(253715,10170031,'Must not be engaged in pvp combat',100,2,11),
(253716,10170031,'Cannot be modified except by direct means',100,2,12),
(253717,10170031,'When damaged with a melee weapon this spell will cast Brell''s Retribution IV on target''s attacker.  ',100,1,13),
(253718,10170031,'Inflicts 40 piercing damage on target',100,2,14),
(253719,10170031,'Must not be engaged in pvp combat',100,2,15),
(253720,10170031,'Cannot be modified except by direct means',100,2,16),
(253721,108142,'Inflicts 83 - 139 melee damage on target',100,1,0),
(253722,108142,'You must be sneaking to use this ability.',100,1,1),
(253723,108142,'Must be flanking or behind',100,1,2),
(253724,10108142,'Inflicts 66 - 110 melee damage on target',100,1,0),
(253725,10108142,'You must be sneaking to use this ability.',100,1,1),
(253726,10108142,'Must be flanking or behind',100,1,2),
(253727,37089,'Increases Max Power of target by 3.3',100,0,0),
(253728,37089,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(253729,112496,'Decreases AGI and WIS of target by 101.6',100,1,0),
(253730,10112496,'Decreases AGI and WIS of target by 101.6',100,1,0),
(253731,174116,'When Equipped:',100,0,0),
(253732,174116,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(253733,174116,'Heals caster for 400',100,2,2),
(253734,174116,'Cannot be modified except by direct means',100,2,3),
(253735,10174116,'When Equipped:',100,0,0),
(253736,10174116,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(253737,10174116,'Heals caster for 260',100,2,2),
(253738,10174116,'Cannot be modified except by direct means',100,2,3),
(253739,158805,'When Equipped:',100,0,0),
(253740,158805,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(253741,158805,'Inflicts 372 piercing damage on target',100,2,2),
(253742,158805,'Cannot be modified except by direct means',100,2,3),
(253743,10158805,'When Equipped:',100,0,0),
(253744,10158805,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(253745,10158805,'Inflicts 446 piercing damage on target',100,2,2),
(253746,10158805,'Cannot be modified except by direct means',100,2,3),
(253747,81151,'When Equipped:',100,0,0),
(253748,81151,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253749,81151,'Inflicts 130 - 241 magic damage on target',100,2,2),
(253750,81151,'Cannot be modified except by direct means',100,2,3),
(253751,10081151,'When Equipped:',100,0,0),
(253752,10081151,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253753,10081151,'Inflicts 156 - 290 magic damage on target',100,2,2),
(253754,10081151,'Cannot be modified except by direct means',100,2,3),
(253755,123065,'Summons a pet undead knight',100,1,0),
(253756,10123065,'Summons a pet undead knight',100,1,0),
(253757,105495,'Stuns target encounter',100,1,0),
(253758,105495,'If Target is not Epic',100,2,1),
(253759,105495,'Inflicts 668 - 1240 poison damage on target encounter',100,1,2),
(253760,105495,'Resistibility increases against targets higher than level 105.',100,1,3),
(253761,10105495,'Stuns target encounter',100,1,0),
(253762,10105495,'If Target is not Epic',100,2,1),
(253763,10105495,'Inflicts 802 - 1489 poison damage on target encounter',100,1,2),
(253764,10105495,'Resistibility increases against targets higher than level 105.',100,1,3),
(253765,113658,'Inflicts 384 - 470 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(253766,113658,'Decreases power of target encounter by 64 - 78 instantly and every 5 seconds',100,1,1),
(253767,113658,'Heals group members (AE) for 384 - 470 instantly and every 5 seconds',100,1,2),
(253768,113658,'Increases power of group members (AE) by 64 - 78 instantly and every 5 seconds',100,1,3),
(253769,10113658,'Inflicts 461 - 564 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(253770,10113658,'Decreases power of target encounter by 64 - 78 instantly and every 5 seconds',100,1,1),
(253771,10113658,'Heals group members (AE) for 250 - 305 instantly and every 5 seconds',100,1,2),
(253772,10113658,'Increases power of group members (AE) by 64 - 78 instantly and every 5 seconds',100,1,3),
(253773,108674,'Dispels 195 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(253774,10108674,'Dispels 195 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(253775,110406,'Inflicts 1352 - 2254 disease damage on target',100,1,0),
(253776,10110406,'Inflicts 1113 - 1855 disease damage on target',100,1,0),
(253777,25548,'When Equipped:',100,0,0),
(253778,25548,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(253779,25548,'Improves the base damage of Ice Comet IV by 15%.',100,1,2),
(253780,10025548,'When Equipped:',100,0,0),
(253781,10025548,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(253782,10025548,'Improves the base damage of Ice Comet IV by 15%.',100,1,2),
(253783,107539,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(253784,107539,'Decreases Mitigation of target encounter vs elemental and noxious damage by 594',100,1,1),
(253785,10107539,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(253786,10107539,'Decreases Mitigation of target encounter vs elemental and noxious damage by 594',100,1,1),
(253787,100185,'Inflicts 1303 - 2420 disease damage on target encounter',100,1,0),
(253788,10100185,'Inflicts 1564 - 2904 disease damage on target encounter',100,1,0),
(253789,139292,'Applies Aqua Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(253790,139292,'Grants Fish Vision to caster',100,1,1),
(253791,139292,'The reuse time of Aqua Vision is 2.0 seconds',100,1,2),
(253792,139292,'When Equipped:',100,0,3),
(253793,139292,'Reduces maximum falling speed of caster',100,1,4),
(253794,10139292,'Applies Aqua Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(253795,10139292,'Grants Fish Vision to caster',100,1,1),
(253796,10139292,'The reuse time of Aqua Vision is 2.0 seconds',100,1,2),
(253797,10139292,'When Equipped:',100,0,3),
(253798,10139292,'Reduces maximum falling speed of caster',100,1,4),
(253799,113349,'Inflicts 442 - 540 divine damage on target encounter',100,1,0),
(253800,113349,'Interrupts target encounter',100,1,1),
(253801,10113349,'Inflicts 530 - 648 divine damage on target encounter',100,1,0),
(253802,10113349,'Interrupts target encounter',100,1,1),
(253803,101433,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(253804,101433,'Increases Mitigation of group members (AE) vs noxious damage by 266',100,1,1),
(253805,10101433,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(253806,10101433,'Increases Mitigation of group members (AE) vs noxious damage by 266',100,1,1),
(253807,36027,'Increases STR of target by 1.5',100,0,0),
(253808,36027,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(253809,121462,'Increases AGI of caster by 113.8',100,1,0),
(253810,121462,'Adds 21.8% to base avoidance.',100,1,1),
(253811,121462,'Increases Mitigation of caster vs physical damage by 1101',100,1,2),
(253812,121462,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,3),
(253813,10121462,'Increases AGI of caster by 113.8',100,1,0),
(253814,10121462,'Adds 21.8% to base avoidance.',100,1,1),
(253815,10121462,'Increases Mitigation of caster vs physical damage by 1101',100,1,2),
(253816,10121462,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,3),
(253817,113299,'Inflicts 83 - 139 heat damage on target',100,1,0),
(253818,10113299,'Inflicts 152 - 254 heat damage on target',100,1,0),
(253819,118123,'Heals target for 715 - 874',100,1,0),
(253820,10118123,'Heals target for 845 - 1033',100,1,0),
(253821,109864,'Increases Defense of group members (AE) by 13.8',100,1,0),
(253822,10109864,'Increases Defense of group members (AE) by 13.8',100,1,0),
(253823,143178,'When Equipped:',100,0,0),
(253824,143178,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(253825,143178,'Inflicts 18 disease damage on target',100,2,2),
(253826,143178,'Cannot be modified except by direct means',100,2,3),
(253827,10143178,'When Equipped:',100,0,0),
(253828,10143178,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(253829,10143178,'Inflicts 21 disease damage on target',100,2,2),
(253830,10143178,'Cannot be modified except by direct means',100,2,3),
(253831,47418,'Applies Noxious Remedy when Activated.',100,0,0),
(253832,47418,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(253833,47418,'Only affects targets level 50 and above',100,1,2),
(253834,10047418,'Applies Noxious Remedy when Activated.',100,0,0),
(253835,10047418,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(253836,10047418,'Only affects targets level 50 and above',100,1,2),
(253837,106339,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(253838,106339,'Slows target by 29.8%',100,2,1),
(253839,106339,'5% chance to dispel when target receives hostile action',100,2,2),
(253840,106339,'5% chance to dispel when target takes damage',100,2,3),
(253841,106339,'Decreases Mitigation of target vs arcane damage by 207',100,1,4),
(253842,10106339,'Decreases Mitigation of target vs arcane damage by 207',100,1,0),
(253843,10106339,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(253844,10106339,'Slows target by 29.8%',100,2,2),
(253845,10106339,'5% chance to dispel when target receives hostile action',100,2,3),
(253846,10106339,'5% chance to dispel when target takes damage',100,2,4),
(253847,81381,'When Equipped:',100,0,0),
(253848,81381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253849,81381,'Inflicts 70 - 129 magic damage on target',100,2,2),
(253850,81381,'Cannot be modified except by direct means',100,2,3),
(253851,10081381,'When Equipped:',100,0,0),
(253852,10081381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253853,10081381,'Inflicts 84 - 155 magic damage on target',100,2,2),
(253854,10081381,'Cannot be modified except by direct means',100,2,3),
(253855,26914,'When Equipped:',100,0,0),
(253856,26914,'Increases Damage Per Second of caster by 10.0',100,1,1),
(253857,10026914,'When Equipped:',100,0,0),
(253858,10026914,'Increases Damage Per Second of caster by 10.0',100,1,1),
(253859,71885,'When Equipped:',100,0,0),
(253860,71885,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253861,71885,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(253862,71885,'Cannot be modified except by direct means',100,2,3),
(253863,10071885,'When Equipped:',100,0,0),
(253864,10071885,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(253865,10071885,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(253866,10071885,'Cannot be modified except by direct means',100,2,3),
(253867,110698,'Heals target for 1361',100,1,0),
(253868,110698,'Dispels 91 levels of any hostile effects on target',100,1,1),
(253869,10110698,'Heals target for 1592',100,1,0),
(253870,10110698,'Dispels 91 levels of any hostile effects on target',100,1,1),
(253871,116419,'Inflicts 8 piercing damage on target every 4 seconds',100,1,0),
(253872,116419,'Inflicts 42 - 70 melee damage on target',100,1,1),
(253873,10116419,'Inflicts 10 piercing damage on target every 4 seconds',100,1,0),
(253874,10116419,'Inflicts 50 - 84 melee damage on target',100,1,1),
(253875,46991,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(253876,46991,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(253877,46991,'Decreases STR of target by 7.7',100,2,2),
(253878,46991,'Cannot be modified except by direct means',100,2,3),
(253879,46991,'Grants a total of 30 triggers of the spell.',100,2,4),
(253880,10046991,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(253881,10046991,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(253882,10046991,'Decreases STR of target by 7.7',100,2,2),
(253883,10046991,'Cannot be modified except by direct means',100,2,3),
(253884,10046991,'Grants a total of 30 triggers of the spell.',100,2,4),
(253885,116725,'Inflicts 412 - 688 melee damage on target',100,1,0),
(253886,10116725,'Inflicts 495 - 825 melee damage on target',100,1,0),
(253887,74674,'When Equipped:',100,0,0),
(253888,74674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253889,74674,'Inflicts 42 - 64 magic damage on target',100,2,2),
(253890,74674,'Cannot be modified except by direct means',100,2,3),
(253891,10074674,'When Equipped:',100,0,0),
(253892,10074674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(253893,10074674,'Inflicts 51 - 76 magic damage on target',100,2,2),
(253894,10074674,'Cannot be modified except by direct means',100,2,3),
(253895,139225,'When Equipped:',100,0,0),
(253896,139225,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(253897,139225,'Inflicts 372 piercing damage on target',100,2,2),
(253898,139225,'Cannot be modified except by direct means',100,2,3),
(253899,10139225,'When Equipped:',100,0,0),
(253900,10139225,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(253901,10139225,'Inflicts 446 piercing damage on target',100,2,2),
(253902,10139225,'Cannot be modified except by direct means',100,2,3),
(253903,52929,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(253904,52929,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(253905,52929,'Inflicts 128 heat damage on target',100,2,2),
(253906,52929,'Cannot be modified except by direct means',100,2,3),
(253907,10052929,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(253908,10052929,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(253909,10052929,'Inflicts 153 heat damage on target',100,2,2),
(253910,10052929,'Cannot be modified except by direct means',100,2,3),
(253911,122733,'Applies Tranquil Healing.',100,1,0),
(253912,122733,'Heals target for 513',100,2,1),
(253913,122733,'Dispels 87 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(253914,122733,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(253915,122733,'Heals target for 513',100,3,4),
(253916,10122733,'Applies Tranquil Healing.',100,1,0),
(253917,10122733,'Heals target for 207',100,2,1),
(253918,10122733,'Dispels 87 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(253919,10122733,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(253920,10122733,'Heals target for 207',100,3,4),
(253921,49165,'Applies Wormhole - Moors of Ykesha when Activated.',100,0,0),
(253922,49165,'Teleports caster to a zone landmark',100,1,1),
(253923,10049165,'Applies Wormhole - Moors of Ykesha when Activated.',100,0,0),
(253924,10049165,'Teleports caster to a zone landmark',100,1,1),
(253925,120122,'Shapechanges caster into a chaos essence',100,1,0),
(253926,120122,'Increases WIS of caster by 197.1',100,1,1),
(253927,120122,'Grants See Invisibility to caster',100,1,2),
(253928,120122,'Increases Max Health of caster by 875.2',100,1,3),
(253929,120122,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2888',100,1,4),
(253930,10120122,'Shapechanges caster into a chaos essence',100,1,0),
(253931,10120122,'Increases WIS of caster by 197.1',100,1,1),
(253932,10120122,'Grants See Invisibility to caster',100,1,2),
(253933,10120122,'Increases Max Health of caster by 875.2',100,1,3),
(253934,10120122,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2888',100,1,4),
(253935,152958,'When Equipped:',100,0,0),
(253936,152958,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253937,152958,'Inflicts 2664 disease damage on target encounter',100,2,2),
(253938,152958,'Must not be engaged in pvp combat',100,2,3),
(253939,152958,'Cannot be modified except by direct means',100,2,4),
(253940,10152958,'When Equipped:',100,0,0),
(253941,10152958,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(253942,10152958,'Inflicts 1598 disease damage on target encounter',100,2,2),
(253943,10152958,'Must not be engaged in pvp combat',100,2,3),
(253944,10152958,'Cannot be modified except by direct means',100,2,4),
(253945,47740,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(253946,47740,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(253947,47740,'Inflicts 233 poison damage on target',100,2,2),
(253948,47740,'Heals caster for 200',100,2,3),
(253949,47740,'Cannot be modified except by direct means',100,2,4),
(253950,47740,'Grants a total of 100 triggers of the spell.',100,2,5),
(253951,10047740,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(253952,10047740,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(253953,10047740,'Inflicts 200 poison damage on target',100,2,2),
(253954,10047740,'Heals caster for 81',100,2,3),
(253955,10047740,'Cannot be modified except by direct means',100,2,4),
(253956,10047740,'Grants a total of 100 triggers of the spell.',100,2,5),
(253957,122136,'Increases Threat to target by 1,391 ',100,1,0),
(253958,122136,'Interrupts target',100,1,1),
(253959,122136,'Dispels 92 levels of arcane beneficial effects on target',100,1,2),
(253960,10122136,'Interrupts target',100,1,0),
(253961,10122136,'Forces target to change their selected target to caster.',100,1,1),
(253962,10122136,'Dispels 92 levels of arcane beneficial effects on target',100,1,2),
(253963,48745,'Applies Translucent Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(253964,48745,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(253965,48745,'Only affects targets level 50 and above',100,1,2),
(253966,10048745,'Applies Translucent Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(253967,10048745,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(253968,10048745,'Only affects targets level 50 and above',100,1,2),
(253969,24568,'Adds Mummy (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(253970,10024568,'Adds Mummy (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(253971,104294,'Inflicts 134 - 224 melee damage on target',100,1,0),
(253972,104294,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(253973,104294,'Blurs vision of target',100,2,2),
(253974,104294,'Stuns target',100,2,3),
(253975,104294,'Throws target back',100,2,4),
(253976,104294,'Does not affect Epic targets',100,2,5),
(253977,10104294,'Inflicts 161 - 269 melee damage on target',100,1,0),
(253978,10104294,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(253979,10104294,'Stuns target',100,2,2),
(253980,10104294,'Throws target back',100,2,3),
(253981,10104294,'Blurs vision of target',100,2,4),
(253982,10104294,'Does not affect Epic targets',100,2,5),
(253983,120879,'Inflicts 87 - 106 mental damage on target',100,1,0),
(253984,120879,'Stifles target',100,1,1),
(253985,120879,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(253986,120879,'Resistibility increases against targets higher than level 45.',100,1,3),
(253987,10120879,'Inflicts 105 - 128 mental damage on target',100,1,0),
(253988,10120879,'Stifles target',100,1,1),
(253989,10120879,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(253990,10120879,'Resistibility increases against targets higher than level 45.',100,1,3),
(253991,189114,'When Equipped:',100,0,0),
(253992,189114,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(253993,189114,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,2),
(253994,189114,'Cannot be modified except by direct means',100,2,3),
(253995,10189114,'When Equipped:',100,0,0),
(253996,10189114,'On any combat or spell hit this spell may cast Rhythmic War Chant on the group.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(253997,10189114,'Increases base amount of all Spells, Combat Arts, and Healing by 3%.',100,2,2),
(253998,10189114,'Cannot be modified except by direct means',100,2,3),
(253999,108519,'Increases AGI and WIS of group members (AE) by 39.4',100,1,0),
(254000,108519,'Adds 2.4% to base avoidance.',100,1,1),
(254001,108519,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 113',100,1,2),
(254002,10108519,'Increases AGI and WIS of group members (AE) by 39.4',100,1,0),
(254003,10108519,'Adds 2.4% to base avoidance.',100,1,1),
(254004,10108519,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 113',100,1,2),
(254005,117152,'Inflicts 302 - 369 heat damage on target instantly and every 4 seconds',100,1,0),
(254006,117152,'Decreases Mitigation of target vs arcane damage by 1670',100,1,1),
(254007,10117152,'Inflicts 362 - 443 heat damage on target instantly and every 4 seconds',100,1,0),
(254008,10117152,'Decreases Mitigation of target vs arcane damage by 1670',100,1,1),
(254009,163218,'When Equipped:',100,0,0),
(254010,163218,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(254011,163218,'Inflicts 1998 poison damage on target',100,2,2),
(254012,163218,'Cannot be modified except by direct means',100,2,3),
(254013,10163218,'When Equipped:',100,0,0),
(254014,10163218,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(254015,10163218,'Inflicts 1199 poison damage on target',100,2,2),
(254016,10163218,'Cannot be modified except by direct means',100,2,3),
(254017,72094,'When Equipped:',100,0,0),
(254018,72094,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(254019,72094,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(254020,72094,'Cannot be modified except by direct means',100,2,3),
(254021,10072094,'When Equipped:',100,0,0),
(254022,10072094,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(254023,10072094,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(254024,10072094,'Cannot be modified except by direct means',100,2,3),
(254025,112130,'Dispels 51 levels of physical and arcane hostile effects on caster',100,1,0),
(254026,10112130,'Dispels 51 levels of physical and arcane hostile effects on caster',100,1,0),
(254027,107917,'Mesmerizes target',100,1,0),
(254028,107917,'Prevents AOE (except when direct) ',100,1,1),
(254029,107917,'Dispelled when target takes damage',100,1,2),
(254030,107917,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(254031,107917,'Resistibility increases against targets higher than level 53.',100,1,4),
(254032,10107917,'Mesmerizes target',100,1,0),
(254033,10107917,'Prevents AOE (except when direct) ',100,1,1),
(254034,10107917,'Dispelled when target takes damage',100,1,2),
(254035,10107917,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(254036,10107917,'Resistibility increases against targets higher than level 53.',100,1,4),
(254037,183475,'When Equipped:',100,0,0),
(254038,183475,'Increases Attack Speed of caster by 35.0',100,1,1),
(254039,10183475,'When Equipped:',100,0,0),
(254040,10183475,'Increases Attack Speed of caster by 35.0',100,1,1),
(254041,87240,'When Equipped:',100,0,0),
(254042,87240,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254043,87240,'Inflicts 168 - 252 magic damage on target',100,2,2),
(254044,87240,'Cannot be modified except by direct means',100,2,3),
(254045,10087240,'When Equipped:',100,0,0),
(254046,10087240,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254047,10087240,'Inflicts 202 - 303 magic damage on target',100,2,2),
(254048,10087240,'Cannot be modified except by direct means',100,2,3),
(254049,41665,'When Equipped:',100,0,0),
(254050,41665,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254051,41665,'Inflicts 184 - 342 magic damage on target',100,2,2),
(254052,41665,'Decreases Threat to target by 672 ',100,2,3),
(254053,41665,'Must be flanking or behind',100,3,4),
(254054,41665,'Increases Threat to target by 677 ',100,2,5),
(254055,41665,'Must be in front of',100,3,6),
(254056,41665,'Cannot be modified except by direct means',100,2,7),
(254057,10041665,'When Equipped:',100,0,0),
(254058,10041665,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254059,10041665,'Inflicts 221 - 410 magic damage on target',100,2,2),
(254060,10041665,'Cannot be modified except by direct means',100,2,3),
(254061,116820,'Decreases Hate Gain of caster by 15.4%',100,1,0),
(254062,10116820,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(254063,10116820,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(254064,10116820,'This effect can only trigger once every 5 seconds.',100,2,2),
(254065,37398,'Increases WIS and INT of target by 1.1',100,0,0),
(254066,37398,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(254067,114367,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(254068,114367,'Stuns target',100,2,1),
(254069,114367,'Throws target back',100,2,2),
(254070,114367,'Blurs vision of target',100,2,3),
(254071,114367,'Does not affect Epic targets',100,2,4),
(254072,114367,'Inflicts 124 - 208 crushing damage on target',100,1,5),
(254073,10114367,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(254074,10114367,'Stuns target',100,2,1),
(254075,10114367,'Throws target back',100,2,2),
(254076,10114367,'Blurs vision of target',100,2,3),
(254077,10114367,'Does not affect Epic targets',100,2,4),
(254078,10114367,'Inflicts 149 - 249 crushing damage on target',100,1,5),
(254079,107506,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(254080,10107506,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(254081,108551,'Makes target afraid',100,1,0),
(254082,108551,'30% chance to dispel when target takes damage',100,1,1),
(254083,108551,'Does not affect Epic targets',100,1,2),
(254084,108551,'Resistibility increases against targets higher than level 67.',100,1,3),
(254085,10108551,'Makes target afraid',100,1,0),
(254086,10108551,'30% chance to dispel when target takes damage',100,1,1),
(254087,10108551,'Does not affect Epic targets',100,1,2),
(254088,10108551,'Resistibility increases against targets higher than level 67.',100,1,3),
(254089,176233,'When Equipped:',100,0,0),
(254090,176233,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(254091,176233,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(254092,176233,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,3),
(254093,176233,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(254094,176233,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(254095,176233,'Must not be engaged in pvp combat',100,2,6),
(254096,176233,'Cannot be modified except by direct means',100,2,7),
(254097,176233,'Must not be engaged in pvp combat',100,1,8),
(254098,10176233,'When Equipped:',100,0,0),
(254099,10176233,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(254100,10176233,'Inflicts 3872 - 4280 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(254101,10176233,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,3),
(254102,10176233,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(254103,10176233,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(254104,10176233,'Must not be engaged in pvp combat',100,2,6),
(254105,10176233,'Cannot be modified except by direct means',100,2,7),
(254106,10176233,'Must not be engaged in pvp combat',100,1,8),
(254107,36398,'Increases STR and AGI of target by 1.1',100,0,0),
(254108,36398,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(254109,26117,'When Equipped:',100,0,0),
(254110,26117,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(254111,26117,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(254112,10026117,'When Equipped:',100,0,0),
(254113,10026117,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(254114,10026117,'Adds a threat position reduction component to Paralyzing Strike V.',100,1,2),
(254115,82271,'When Equipped:',100,0,0),
(254116,82271,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254117,82271,'Inflicts 31 - 57 magic damage on target',100,2,2),
(254118,82271,'Cannot be modified except by direct means',100,2,3),
(254119,10082271,'When Equipped:',100,0,0),
(254120,10082271,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254121,10082271,'Inflicts 37 - 68 magic damage on target',100,2,2),
(254122,10082271,'Cannot be modified except by direct means',100,2,3),
(254123,107259,'Inflicts 33 - 55 ranged damage on target',100,1,0),
(254124,107259,'Inflicts 33 - 55 ranged damage on target',100,1,1),
(254125,107259,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(254126,107259,'Blurs vision of target',100,2,3),
(254127,107259,'Stuns target',100,2,4),
(254128,107259,'Throws target back',100,2,5),
(254129,107259,'Does not affect Epic targets',100,2,6),
(254130,107259,'If weapon equipped in Ranged',100,1,7),
(254131,10107259,'Inflicts 28 - 46 ranged damage on target',100,1,0),
(254132,10107259,'Inflicts 28 - 46 ranged damage on target',100,1,1),
(254133,10107259,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(254134,10107259,'Stuns target',100,2,3),
(254135,10107259,'Throws target back',100,2,4),
(254136,10107259,'Blurs vision of target',100,2,5),
(254137,10107259,'Does not affect Epic targets',100,2,6),
(254138,10107259,'If weapon equipped in Ranged',100,1,7),
(254139,47554,'Applies Portable Chemistry Set when Activated.  Lasts for 15 minutes.',100,0,0),
(254140,47554,'Summons Chemistry Table',100,1,1),
(254141,47554,'This effect cancels during combat',100,1,2),
(254142,10047554,'Applies Portable Chemistry Set when Activated.  Lasts for 15 minutes.',100,0,0),
(254143,10047554,'Summons Chemistry Table',100,1,1),
(254144,10047554,'This effect cancels during combat',100,1,2),
(254145,105650,'Decreases Damage Per Second of target by 11.5',100,1,0),
(254146,105650,'Inflicts 14 - 23 melee damage on target',100,1,1),
(254147,105650,'Must be flanking or behind',100,1,2),
(254148,10105650,'Decreases Damage Per Second of target by 11.5',100,1,0),
(254149,10105650,'Inflicts 17 - 28 melee damage on target',100,1,1),
(254150,10105650,'Must be flanking or behind',100,1,2),
(254151,74901,'When Equipped:',100,0,0),
(254152,74901,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254153,74901,'Inflicts 24 - 37 magic damage on target',100,2,2),
(254154,74901,'Cannot be modified except by direct means',100,2,3),
(254155,10074901,'When Equipped:',100,0,0),
(254156,10074901,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254157,10074901,'Inflicts 29 - 44 magic damage on target',100,2,2),
(254158,10074901,'Cannot be modified except by direct means',100,2,3),
(254159,147021,'When Equipped:',100,0,0),
(254160,147021,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(254161,147021,'Stifles target',100,2,2),
(254162,147021,'Does not affect Epic targets',100,2,3),
(254163,147021,'Resistibility increases against targets higher than level 74.',100,2,4),
(254164,147021,'Cannot be modified except by direct means',100,2,5),
(254165,10147021,'When Equipped:',100,0,0),
(254166,10147021,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(254167,10147021,'Stifles target',100,2,2),
(254168,10147021,'Does not affect Epic targets',100,2,3),
(254169,10147021,'Resistibility increases against targets higher than level 74.',100,2,4),
(254170,10147021,'Cannot be modified except by direct means',100,2,5),
(254171,35298,'Increases STR of target by 1.5',100,0,0),
(254172,35298,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(254173,47415,'Applies Norrathian Witness Protection Potion when Activated.',100,0,0),
(254174,47415,'Allows the caster to change their gender and appearance.',100,1,1),
(254175,10047415,'Applies Norrathian Witness Protection Potion when Activated.',100,0,0),
(254176,10047415,'Allows the caster to change their gender and appearance.',100,1,1),
(254177,89787,'When Equipped:',100,0,0),
(254178,89787,'On a melee hit this spell may cast Wrath of the Warrior on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(254179,89787,'Reduces physical damage done to caster by 5%',100,2,2),
(254180,89787,'Inflicts 435 - 653 slashing damage on target',100,2,3),
(254181,89787,'Cannot be modified except by direct means',100,2,4),
(254182,89787,'Cannot be modified except by direct means',100,1,5),
(254183,89787,'Applies Speak to Vel''Arek when Activated.',100,0,6),
(254184,10089787,'When Equipped:',100,0,0),
(254185,10089787,'On a melee hit this spell may cast Wrath of the Warrior on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(254186,10089787,'Reduces physical damage done to caster by 5%',100,2,2),
(254187,10089787,'Inflicts 523 - 784 slashing damage on target',100,2,3),
(254188,10089787,'Cannot be modified except by direct means',100,2,4),
(254189,10089787,'Cannot be modified except by direct means',100,1,5),
(254190,10089787,'Applies Speak to Vel''Arek when Activated.',100,0,6),
(254191,35353,'Increases Max Health of target by 3.9',100,0,0),
(254192,35353,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(254193,111101,'Heals target for 17.1 - 20.9% of max health',100,1,0),
(254194,111101,'This effect cannot be critically applied.',100,2,1),
(254195,111101,'Increases Mitigation of target vs physical damage by 143',100,1,2),
(254196,111101,'The healing of this spell cannot be modified except by direct means',100,1,3),
(254197,10111101,'Heals target for 6.4 - 7.8% of max health',100,1,0),
(254198,10111101,'This effect cannot be critically applied.',100,2,1),
(254199,10111101,'Increases Mitigation of target vs physical damage by 143',100,1,2),
(254200,10111101,'The healing of this spell cannot be modified except by direct means',100,1,3),
(254201,124635,'Heals group members (AE) for 807 - 987',100,1,0),
(254202,124635,'Heals group members (AE) for 136 - 166 every second',100,1,1),
(254203,10124635,'Heals group members (AE) for 1179 - 1441',100,1,0),
(254204,10124635,'Heals group members (AE) for 147 - 180 every second',100,1,1),
(254205,101838,'Summons a limited pet to aid the caster',100,1,0),
(254206,10101838,'Summons a limited pet to aid the caster',100,1,0),
(254207,80834,'When Equipped:',100,0,0),
(254208,80834,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254209,80834,'Inflicts 166 - 308 magic damage on target',100,2,2),
(254210,80834,'Cannot be modified except by direct means',100,2,3),
(254211,10080834,'When Equipped:',100,0,0),
(254212,10080834,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254213,10080834,'Inflicts 199 - 369 magic damage on target',100,2,2),
(254214,10080834,'Cannot be modified except by direct means',100,2,3),
(254215,54747,'Applies Soul Channel when Activated.',100,0,0),
(254216,54747,'Decreases power of target by 200',100,1,1),
(254217,54747,'Increases power of caster by 200',100,1,2),
(254218,54747,'The casting time of Soul Channel is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(254219,10054747,'Applies Soul Channel when Activated.',100,0,0),
(254220,10054747,'Decreases power of target by 200',100,1,1),
(254221,10054747,'Increases power of caster by 200',100,1,2),
(254222,10054747,'The casting time of Soul Channel is 1.0 second and the reuse time of the spell is 3 minutes',100,1,3),
(254223,120700,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 9.3',100,1,0),
(254224,10120700,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 9.3',100,1,0),
(254225,100296,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(254226,100296,'Inflicts 91 divine damage on target',100,2,1),
(254227,10100296,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(254228,10100296,'Inflicts 109 divine damage on target',100,2,1),
(254229,45253,'Applies Aura of the Planeswalker when Activated.  Lasts for 30 minutes.',100,0,0),
(254230,45253,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(254231,10045253,'Applies Aura of the Planeswalker when Activated.  Lasts for 30 minutes.',100,0,0),
(254232,10045253,'Increases Mitigation of caster vs arcane damage by 150',100,1,1),
(254233,111445,'Decreases Attack Speed of caster by 14.1',100,1,0),
(254234,111445,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(254235,111445,'Roots target',100,2,2),
(254236,111445,'5% chance to dispel when target takes damage',100,2,3),
(254237,111445,'5% chance to dispel when target receives hostile action',100,2,4),
(254238,111445,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(254239,111445,'Increases Mitigation of caster vs physical damage by 656',100,1,6),
(254240,10111445,'Decreases Attack Speed of caster by 14.1',100,1,0),
(254241,10111445,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(254242,10111445,'Roots target',100,2,2),
(254243,10111445,'5% chance to dispel when target takes damage',100,2,3),
(254244,10111445,'5% chance to dispel when target receives hostile action',100,2,4),
(254245,10111445,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(254246,10111445,'Increases Mitigation of caster vs physical damage by 656',100,1,6),
(254247,115722,'Heals target for 134 instantly and every 0.3 seconds',100,1,0),
(254248,115722,'Stifles caster',100,1,1),
(254249,10115722,'Heals target for 87 instantly and every 0.3 seconds',100,1,0),
(254250,10115722,'Stifles caster',100,1,1),
(254251,104760,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(254252,10104760,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(254253,163244,'When Equipped:',100,0,0),
(254254,163244,'On a critical spell hit this spell may cast Overwhelming Power IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(254255,163244,'Decreases Potency of target by 2.0%',100,2,2),
(254256,163244,'Increases Potency of caster by 4.0%',100,2,3),
(254257,163244,'Must not be engaged in pvp combat',100,2,4),
(254258,163244,'Cannot be modified except by direct means',100,2,5),
(254259,163244,'On a critical combat hit this spell may cast Overwhelming Power IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(254260,163244,'Decreases Potency of target by 2.0%',100,2,7),
(254261,163244,'Increases Potency of caster by 4.0%',100,2,8),
(254262,163244,'Must not be engaged in pvp combat',100,2,9),
(254263,163244,'Cannot be modified except by direct means',100,2,10),
(254264,163244,'Must not be engaged in pvp combat',100,1,11),
(254265,10163244,'When Equipped:',100,0,0),
(254266,10163244,'On a critical spell hit this spell may cast Overwhelming Power IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(254267,10163244,'Decreases Potency of target by 2.0%',100,2,2),
(254268,10163244,'Increases Potency of caster by 4.0%',100,2,3),
(254269,10163244,'Must not be engaged in pvp combat',100,2,4),
(254270,10163244,'Cannot be modified except by direct means',100,2,5),
(254271,10163244,'On a critical combat hit this spell may cast Overwhelming Power IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(254272,10163244,'Decreases Potency of target by 2.0%',100,2,7),
(254273,10163244,'Increases Potency of caster by 4.0%',100,2,8),
(254274,10163244,'Must not be engaged in pvp combat',100,2,9),
(254275,10163244,'Cannot be modified except by direct means',100,2,10),
(254276,10163244,'Must not be engaged in pvp combat',100,1,11),
(254277,107582,'Dazes target encounter',100,1,0),
(254278,107582,'Inflicts 154 - 188 mental damage on target encounter',100,1,1),
(254279,107582,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(254280,107582,'Resistibility increases against targets higher than level 68.',100,1,3),
(254281,10107582,'Inflicts 185 - 226 mental damage on target encounter',100,1,0),
(254282,10107582,'Dazes target encounter',100,1,1),
(254283,10107582,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(254284,10107582,'Resistibility increases against targets higher than level 68.',100,1,3),
(254285,115966,'Inflicts 109 - 164 mental damage on target',100,1,0),
(254286,115966,'Stuns target',100,1,1),
(254287,115966,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(254288,115966,'Resistibility increases against targets higher than level 56.',100,1,3),
(254289,10115966,'Inflicts 131 - 196 mental damage on target',100,1,0),
(254290,10115966,'Stuns target',100,1,1),
(254291,10115966,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(254292,10115966,'Resistibility increases against targets higher than level 56.',100,1,3),
(254293,158337,'Applies Hooluk in a Hat when Activated.',100,0,0),
(254294,158337,'Summons a pet Hooluk',100,1,1),
(254295,158337,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254296,10158337,'Applies Hooluk in a Hat when Activated.',100,0,0),
(254297,10158337,'Summons a pet Hooluk',100,1,1),
(254298,10158337,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254299,139229,'When Equipped:',100,0,0),
(254300,139229,'When damaged this spell has a 5% chance to cast Clay Shield on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(254301,139229,'Wards caster against 315 points of all damage',100,2,2),
(254302,139229,'Cannot be modified except by direct means',100,2,3),
(254303,10139229,'When Equipped:',100,0,0),
(254304,10139229,'When damaged this spell has a 5% chance to cast Clay Shield on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(254305,10139229,'Wards caster against 315 points of all damage',100,2,2),
(254306,10139229,'Cannot be modified except by direct means',100,2,3),
(254307,154351,'When Equipped:',100,0,0),
(254308,154351,'On a critical healing spell cast this spell may cast Instinctual Precision on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(254309,154351,'Reduces the resistibility of the target''s spells by 6%.',100,2,2),
(254310,154351,'Target will have their chance to hit with a weapon increased by 4.0%',100,2,3),
(254311,154351,'Cannot be modified except by direct means',100,2,4),
(254312,10154351,'When Equipped:',100,0,0),
(254313,10154351,'On a critical healing spell cast this spell may cast Instinctual Precision on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(254314,10154351,'Reduces the resistibility of the target''s spells by 6%.',100,2,2),
(254315,10154351,'Target will have their chance to hit with a weapon increased by 4.0%',100,2,3),
(254316,10154351,'Cannot be modified except by direct means',100,2,4),
(254317,26665,'When Equipped:',100,0,0),
(254318,26665,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(254319,26665,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(254320,10026665,'When Equipped:',100,0,0),
(254321,10026665,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(254322,10026665,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(254323,173464,'When Equipped:',100,0,0),
(254324,173464,'Increases the caster''s heals and wards by 5%.',100,1,1),
(254325,173464,'Must not be engaged in pvp combat',100,1,2),
(254326,10173464,'When Equipped:',100,0,0),
(254327,10173464,'Increases the caster''s heals and wards by 5%.',100,1,1),
(254328,10173464,'Must not be engaged in pvp combat',100,1,2),
(254329,110371,'Increases STR and AGI of group members (AE) by 29.4',100,1,0),
(254330,110371,'Adds 1.5% to base avoidance.',100,1,1),
(254331,10110371,'Increases STR and AGI of group members (AE) by 29.4',100,1,0),
(254332,10110371,'Adds 1.5% to base avoidance.',100,1,1),
(254333,81202,'When Equipped:',100,0,0),
(254334,81202,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254335,81202,'Inflicts 201 - 374 magic damage on target',100,2,2),
(254336,81202,'Cannot be modified except by direct means',100,2,3),
(254337,10081202,'When Equipped:',100,0,0),
(254338,10081202,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254339,10081202,'Inflicts 242 - 449 magic damage on target',100,2,2),
(254340,10081202,'Cannot be modified except by direct means',100,2,3),
(254341,46415,'Applies Form of the Enforcer when Activated.',100,0,0),
(254342,46415,'Shapechanges caster into an a Faro'' Nuk enforcer',100,1,1),
(254343,10046415,'Applies Form of the Enforcer when Activated.',100,0,0),
(254344,10046415,'Shapechanges caster into an a Faro'' Nuk enforcer',100,1,1),
(254345,41577,'When Equipped:',100,0,0),
(254346,41577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254347,41577,'Inflicts 271 - 503 magic damage on target',100,2,2),
(254348,41577,'Cannot be modified except by direct means',100,2,3),
(254349,10041577,'When Equipped:',100,0,0),
(254350,10041577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254351,10041577,'Inflicts 325 - 604 magic damage on target',100,2,2),
(254352,10041577,'Cannot be modified except by direct means',100,2,3),
(254353,74737,'When Equipped:',100,0,0),
(254354,74737,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254355,74737,'Inflicts 179 - 269 magic damage on target',100,2,2),
(254356,74737,'Cannot be modified except by direct means',100,2,3),
(254357,10074737,'When Equipped:',100,0,0),
(254358,10074737,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254359,10074737,'Inflicts 215 - 322 magic damage on target',100,2,2),
(254360,10074737,'Cannot be modified except by direct means',100,2,3),
(254361,36645,'Increases WIS of target by 1.1',100,0,0),
(254362,36645,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(254363,48515,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(254364,48515,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(254365,48515,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(254366,48515,'Cannot be modified except by direct means',100,2,3),
(254367,48515,'Grants a total of 80 triggers of the spell.',100,2,4),
(254368,10048515,'Applies unsettling indignation when Activated.  Lasts for 12 hours.',100,0,0),
(254369,10048515,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(254370,10048515,'Decreases Mitigation of target vs arcane damage by 440',100,2,2),
(254371,10048515,'Cannot be modified except by direct means',100,2,3),
(254372,10048515,'Grants a total of 80 triggers of the spell.',100,2,4),
(254373,85365,'Applies Poison Bolt when Activated.',100,0,0),
(254374,85365,'Inflicts 218 - 364 poison damage on target',100,1,1),
(254375,85365,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254376,10085365,'Applies Poison Bolt when Activated.',100,0,0),
(254377,10085365,'Inflicts 262 - 436 poison damage on target',100,1,1),
(254378,10085365,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254379,102095,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(254380,102095,'Blurs vision of target',100,2,1),
(254381,102095,'Stuns target',100,2,2),
(254382,102095,'Throws target back',100,2,3),
(254383,102095,'Does not affect Epic targets',100,2,4),
(254384,102095,'Inflicts 50 - 84 crushing damage on target',100,1,5),
(254385,10102095,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(254386,10102095,'Stuns target',100,2,1),
(254387,10102095,'Throws target back',100,2,2),
(254388,10102095,'Blurs vision of target',100,2,3),
(254389,10102095,'Does not affect Epic targets',100,2,4),
(254390,10102095,'Inflicts 60 - 101 crushing damage on target',100,1,5),
(254391,121168,'Summons a pet Squeeky',100,1,0),
(254392,10121168,'Summons a pet Squeeky',100,1,0),
(254393,122151,'Inflicts 3 - 4 cold damage on target instantly and every 2 seconds',100,1,0),
(254394,122151,'Inflicts 3 - 4 cold damage on target instantly and every 2 seconds',100,1,1),
(254395,122151,'If target is elemental',100,2,2),
(254396,10122151,'Inflicts 4 - 5 cold damage on target instantly and every 2 seconds',100,1,0),
(254397,102557,'Increases AGI of caster by 34.5',100,1,0),
(254398,102557,'Increases Max Health of caster by 85.0',100,1,1),
(254399,102557,'Adds 17.2% to base avoidance.',100,1,2),
(254400,102557,'Increases Mitigation of caster vs physical damage by 208',100,1,3),
(254401,102557,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,4),
(254402,10102557,'Increases AGI of caster by 34.5',100,1,0),
(254403,10102557,'Increases Max Health of caster by 85.0',100,1,1),
(254404,10102557,'Adds 17.2% to base avoidance.',100,1,2),
(254405,10102557,'Increases Mitigation of caster vs physical damage by 208',100,1,3),
(254406,10102557,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,4),
(254407,103835,'Increases Ability Casting Speed of raid and group members (AE) by 8.7%',100,1,0),
(254408,103835,'Increases Attack Speed of raid and group members (AE) by 21.7',100,1,1),
(254409,10103835,'Increases Ability Casting Speed of raid and group members (AE) by 8.7%',100,1,0),
(254410,10103835,'Increases Attack Speed of raid and group members (AE) by 21.7',100,1,1),
(254411,101695,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(254412,101695,'Inflicts 331 - 405 disease damage on target',100,2,1),
(254413,101695,'Grants a total of 3 triggers of the spell.',100,2,2),
(254414,10101695,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(254415,10101695,'Inflicts 397 - 486 disease damage on target',100,2,1),
(254416,10101695,'Grants a total of 3 triggers of the spell.',100,2,2),
(254417,103288,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(254418,103288,'If Fighter',100,2,1),
(254419,103288,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(254420,103288,'Increases power of target by 19 instantly and every 4 seconds',100,2,3),
(254421,103288,'Increases power of caster by 19 instantly and every 4 seconds',100,2,4),
(254422,10103288,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(254423,10103288,'Increases power of target by 19 instantly and every 4 seconds',100,2,1),
(254424,10103288,'Increases power of caster by 19 instantly and every 4 seconds',100,2,2),
(254425,114443,'Inflicts 19 - 33 heat damage on target',100,1,0),
(254426,10114443,'Inflicts 23 - 39 heat damage on target',100,1,0),
(254427,123248,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(254428,123248,'Increases Mitigation of group members (AE) vs noxious damage by 431',100,1,1),
(254429,10123248,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(254430,10123248,'Increases Mitigation of group members (AE) vs noxious damage by 431',100,1,1),
(254431,124680,'Inflicts 95 - 116 cold damage on target instantly and every 4 seconds',100,1,0),
(254432,124680,'Slows target by 75.0%',100,1,1),
(254433,10124680,'Inflicts 114 - 139 cold damage on target',100,1,0),
(254434,10124680,'Inflicts 99 - 121 cold damage on target every 4 seconds',100,1,1),
(254435,10124680,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(254436,10124680,'Slows target by 75.0%',100,2,3),
(254437,115597,'Interrupts target encounter',100,1,0),
(254438,115597,'Decreases Threat to target encounter by 1,091 - 1,334 ',100,1,1),
(254439,115597,'Dazes target encounter',100,1,2),
(254440,115597,'If Target is not Epic',100,2,3),
(254441,115597,'Resistibility increases against targets higher than level 106.',100,1,4),
(254442,10115597,'Interrupts target encounter',100,1,0),
(254443,10115597,'Dazes target encounter',100,1,1),
(254444,10115597,'If Target is not Epic',100,2,2),
(254445,10115597,'Resistibility increases against targets higher than level 106.',100,1,3),
(254446,117399,'Increases Threat to target by 522 ',100,1,0),
(254447,117399,'Inflicts 59 - 177 melee damage on target',100,1,1),
(254448,10117399,'Forces target to change their selected target to caster.',100,1,0),
(254449,10117399,'Inflicts 47 - 141 melee damage on target',100,1,1),
(254450,139391,'Applies Beloved Hearts when Activated.',100,0,0),
(254451,139391,'Summons a pet heart',100,1,1),
(254452,139391,'The casting time of Beloved Hearts is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,2),
(254453,139391,'When Equipped:',100,0,3),
(254454,139391,'Reduces maximum falling speed of caster',100,1,4),
(254455,10139391,'Applies Beloved Hearts when Activated.',100,0,0),
(254456,10139391,'Summons a pet heart',100,1,1),
(254457,10139391,'The casting time of Beloved Hearts is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,2),
(254458,10139391,'When Equipped:',100,0,3),
(254459,10139391,'Reduces maximum falling speed of caster',100,1,4),
(254460,177619,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(254461,177619,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(254462,177619,'Inflicts 58 heat damage on target',100,2,2),
(254463,177619,'Cannot be modified except by direct means',100,2,3),
(254464,10177619,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(254465,10177619,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(254466,10177619,'Inflicts 70 heat damage on target',100,2,2),
(254467,10177619,'Cannot be modified except by direct means',100,2,3),
(254468,46752,'Applies Kizdean''s Warding when Activated.  Lasts for 30 minutes.',100,0,0),
(254469,46752,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(254470,10046752,'Applies Kizdean''s Warding when Activated.  Lasts for 30 minutes.',100,0,0),
(254471,10046752,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(254472,187420,'When Equipped:',100,0,0),
(254473,187420,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(254474,10187420,'When Equipped:',100,0,0),
(254475,10187420,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(254476,36602,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(254477,158358,'Applies Hooluk in a Hat when Activated.',100,0,0),
(254478,158358,'Summons a pet Hooluk',100,1,1),
(254479,158358,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254480,10158358,'Applies Hooluk in a Hat when Activated.',100,0,0),
(254481,10158358,'Summons a pet Hooluk',100,1,1),
(254482,10158358,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254483,80874,'When Equipped:',100,0,0),
(254484,80874,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254485,80874,'Inflicts 184 - 342 magic damage on target',100,2,2),
(254486,80874,'Decreases Threat to target by 672 ',100,2,3),
(254487,80874,'Must be flanking or behind',100,3,4),
(254488,80874,'Increases Threat to target by 677 ',100,2,5),
(254489,80874,'Must be in front of',100,3,6),
(254490,80874,'Cannot be modified except by direct means',100,2,7),
(254491,10080874,'When Equipped:',100,0,0),
(254492,10080874,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254493,10080874,'Inflicts 221 - 410 magic damage on target',100,2,2),
(254494,10080874,'Cannot be modified except by direct means',100,2,3),
(254495,119951,'Inflicts 200 - 333 melee damage on target',100,1,0),
(254496,119951,'Stifles target',100,1,1),
(254497,119951,'If Target is not Epic',100,2,2),
(254498,119951,'Resistibility increases against targets higher than level 99.',100,1,3),
(254499,10119951,'Inflicts 240 - 400 melee damage on target',100,1,0),
(254500,10119951,'Stifles target',100,1,1),
(254501,10119951,'If Target is not Epic',100,2,2),
(254502,10119951,'Resistibility increases against targets higher than level 99.',100,1,3),
(254503,119452,'Inflicts 144 piercing damage on target instantly and every 4 seconds',100,1,0),
(254504,119452,'Inflicts 199 - 333 melee damage on target',100,1,1),
(254505,119452,'Must be flanking or behind',100,1,2),
(254506,10119452,'Inflicts 173 piercing damage on target instantly and every 4 seconds',100,1,0),
(254507,10119452,'Inflicts 239 - 399 melee damage on target',100,1,1),
(254508,10119452,'Must be flanking or behind',100,1,2),
(254509,87550,'Applies Mental Blast when Activated.',100,0,0),
(254510,87550,'Inflicts 121 - 202 mental damage on target',100,1,1),
(254511,87550,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254512,10087550,'Applies Mental Blast when Activated.',100,0,0),
(254513,10087550,'Inflicts 145 - 242 mental damage on target',100,1,1),
(254514,10087550,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254515,52836,'Applies Sanguine Imbued when Equipped.',100,0,0),
(254516,52836,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(254517,52836,'Inflicts 22 heat damage on target',100,2,2),
(254518,52836,'Cannot be modified except by direct means',100,2,3),
(254519,10052836,'Applies Sanguine Imbued when Equipped.',100,0,0),
(254520,10052836,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(254521,10052836,'Inflicts 26 heat damage on target',100,2,2),
(254522,10052836,'Cannot be modified except by direct means',100,2,3),
(254523,80889,'When Equipped:',100,0,0),
(254524,80889,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254525,80889,'Inflicts 166 - 308 magic damage on target',100,2,2),
(254526,80889,'Cannot be modified except by direct means',100,2,3),
(254527,10080889,'When Equipped:',100,0,0),
(254528,10080889,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254529,10080889,'Inflicts 199 - 369 magic damage on target',100,2,2),
(254530,10080889,'Cannot be modified except by direct means',100,2,3),
(254531,80279,'When Equipped:',100,0,0),
(254532,80279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254533,80279,'Inflicts 166 - 308 magic damage on target',100,2,2),
(254534,80279,'Cannot be modified except by direct means',100,2,3),
(254535,10080279,'When Equipped:',100,0,0),
(254536,10080279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254537,10080279,'Inflicts 199 - 370 magic damage on target',100,2,2),
(254538,10080279,'Cannot be modified except by direct means',100,2,3),
(254539,105972,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(254540,105972,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(254541,105972,'Inflicts 145 - 242 piercing damage on target',100,3,2),
(254542,105972,'Grants a total of 5 triggers of the spell.',100,3,3),
(254543,105972,'Grants a total of 1 trigger of the spell.',100,2,4),
(254544,10105972,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(254545,10105972,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(254546,10105972,'Inflicts 174 - 291 piercing damage on target',100,3,2),
(254547,10105972,'Grants a total of 5 triggers of the spell.',100,3,3),
(254548,10105972,'Grants a total of 1 trigger of the spell.',100,2,4),
(254549,84021,'Applies Lightning Shock when Activated.',100,0,0),
(254550,84021,'Inflicts 172 - 287 magic damage on target',100,1,1),
(254551,84021,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254552,10084021,'Applies Lightning Shock when Activated.',100,0,0),
(254553,10084021,'Inflicts 207 - 345 magic damage on target',100,1,1),
(254554,10084021,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254555,80712,'When Equipped:',100,0,0),
(254556,80712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254557,80712,'Inflicts 48 - 89 magic damage on target',100,2,2),
(254558,80712,'Cannot be modified except by direct means',100,2,3),
(254559,10080712,'When Equipped:',100,0,0),
(254560,10080712,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254561,10080712,'Inflicts 57 - 106 magic damage on target',100,2,2),
(254562,10080712,'Cannot be modified except by direct means',100,2,3),
(254563,48447,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(254564,48447,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(254565,48447,'Inflicts 19 poison damage on target instantly and every 6 seconds',100,2,2),
(254566,48447,'Inflicts 37 poison damage on target',100,2,3),
(254567,48447,'Cannot be modified except by direct means',100,2,4),
(254568,48447,'Grants a total of 200 triggers of the spell.',100,2,5),
(254569,10048447,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(254570,10048447,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(254571,10048447,'Inflicts 17 poison damage on target instantly and every 6 seconds',100,2,2),
(254572,10048447,'Inflicts 33 poison damage on target',100,2,3),
(254573,10048447,'Cannot be modified except by direct means',100,2,4),
(254574,10048447,'Grants a total of 200 triggers of the spell.',100,2,5),
(254575,122304,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(254576,122304,'Inflicts 175 - 214 mental damage on target',100,2,1),
(254577,122304,'Grants a total of 3 triggers of the spell.',100,2,2),
(254578,10122304,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(254579,10122304,'Inflicts 210 - 257 mental damage on target',100,2,1),
(254580,10122304,'Grants a total of 3 triggers of the spell.',100,2,2),
(254581,107125,'Inflicts 140 - 172 divine damage on target',100,1,0),
(254582,107125,'Inflicts 140 - 172 divine damage on target',100,1,1),
(254583,107125,'If target is undead',100,2,2),
(254584,10107125,'Inflicts 168 - 206 divine damage on target',100,1,0),
(254585,10107125,'Inflicts 168 - 206 divine damage on target',100,1,1),
(254586,80887,'When Equipped:',100,0,0),
(254587,80887,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254588,80887,'Inflicts 184 - 342 magic damage on target',100,2,2),
(254589,80887,'Decreases Threat to target by 672 ',100,2,3),
(254590,80887,'Must be flanking or behind',100,3,4),
(254591,80887,'Increases Threat to target by 677 ',100,2,5),
(254592,80887,'Must be in front of',100,3,6),
(254593,80887,'Cannot be modified except by direct means',100,2,7),
(254594,10080887,'When Equipped:',100,0,0),
(254595,10080887,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254596,10080887,'Inflicts 221 - 410 magic damage on target',100,2,2),
(254597,10080887,'Cannot be modified except by direct means',100,2,3),
(254598,115735,'Wards caster against 7588 points of elemental, noxious and arcane damage',100,1,0),
(254599,10115735,'Wards caster against 7588 points of elemental, noxious and arcane damage',100,1,0),
(254600,107217,'Inflicts 428 - 714 melee damage on targets in area',100,1,0),
(254601,107217,'Dispels 142 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(254602,10107217,'Inflicts 514 - 857 melee damage on targets in area',100,1,0),
(254603,10107217,'Reduces healing received of targets in area by 10%',100,1,1),
(254604,113133,'Decreases Attack Speed of target encounter by 17.9',100,1,0),
(254605,10113133,'Decreases Attack Speed of target encounter by 17.9',100,1,0),
(254606,120727,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 43.4',100,1,0),
(254607,10120727,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 43.4',100,1,0),
(254608,80900,'When Equipped:',100,0,0),
(254609,80900,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254610,80900,'Inflicts 166 - 308 magic damage on target',100,2,2),
(254611,80900,'Cannot be modified except by direct means',100,2,3),
(254612,10080900,'When Equipped:',100,0,0),
(254613,10080900,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254614,10080900,'Inflicts 199 - 369 magic damage on target',100,2,2),
(254615,10080900,'Cannot be modified except by direct means',100,2,3),
(254616,100785,'Wards target against 395 points of all damage',100,1,0),
(254617,10100785,'Wards target against 608 points of all damage',100,1,0),
(254618,112163,'Increases STR of caster by 16.6',100,1,0),
(254619,112163,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 374',100,1,1),
(254620,112163,'Increases Mitigation of caster vs physical damage by 111',100,1,2),
(254621,10112163,'Increases STR of caster by 16.6',100,1,0),
(254622,10112163,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 374',100,1,1),
(254623,10112163,'Increases Mitigation of caster vs physical damage by 111',100,1,2),
(254624,104127,'Roots target',100,1,0),
(254625,104127,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(254626,104127,'Makes target afraid',100,2,2),
(254627,104127,'Slows target by 21.7%',100,2,3),
(254628,104127,'30% chance to dispel when target takes damage',100,2,4),
(254629,104127,'Resistibility increases against targets higher than level 76.',100,2,5),
(254630,104127,'15% chance to dispel when target takes damage',100,1,6),
(254631,104127,'Does not affect Epic targets',100,1,7),
(254632,104127,'Resistibility increases against targets higher than level 76.',100,1,8),
(254633,10104127,'Roots target',100,1,0),
(254634,10104127,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(254635,10104127,'Makes target afraid',100,2,2),
(254636,10104127,'Slows target by 21.7%',100,2,3),
(254637,10104127,'30% chance to dispel when target takes damage',100,2,4),
(254638,10104127,'Resistibility increases against targets higher than level 76.',100,2,5),
(254639,10104127,'15% chance to dispel when target takes damage',100,1,6),
(254640,10104127,'Does not affect Epic targets',100,1,7),
(254641,10104127,'Resistibility increases against targets higher than level 76.',100,1,8),
(254642,115025,'Heals target for 115 - 140',100,1,0),
(254643,10115025,'Heals target for 161 - 197',100,1,0),
(254644,75569,'Applies Disease Blast when Activated.',100,0,0),
(254645,75569,'Inflicts 49 - 82 disease damage on target',100,1,1),
(254646,75569,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254647,10075569,'Applies Disease Blast when Activated.',100,0,0),
(254648,10075569,'Inflicts 59 - 98 disease damage on target',100,1,1),
(254649,10075569,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(254650,111701,'Inflicts 400 - 489 cold damage on target',100,1,0),
(254651,111701,'Inflicts 400 - 489 cold damage on target',100,1,1),
(254652,111701,'If target is elemental',100,2,2),
(254653,10111701,'Inflicts 411 - 503 cold damage on target',100,1,0),
(254654,109079,'Inflicts 96 - 161 melee damage on target',100,1,0),
(254655,109079,'Inflicts 96 - 161 melee damage on target',100,1,1),
(254656,109079,'Inflicts 96 - 161 melee damage on target',100,1,2),
(254657,109079,'Decreases Mitigation of target vs physical damage by 399',100,1,3),
(254658,10109079,'Inflicts 116 - 193 melee damage on target',100,1,0),
(254659,10109079,'Inflicts 116 - 193 melee damage on target',100,1,1),
(254660,10109079,'Inflicts 116 - 193 melee damage on target',100,1,2),
(254661,10109079,'Decreases Mitigation of target vs physical damage by 399',100,1,3),
(254662,121003,'Inflicts 29 - 48 poison damage on target instantly and every 4 seconds',100,1,0),
(254663,121003,'Inflicts 114 - 190 poison damage on target',100,1,1),
(254664,10121003,'Inflicts 34 - 57 poison damage on target instantly and every 4 seconds',100,1,0),
(254665,10121003,'Inflicts 137 - 228 poison damage on target',100,1,1),
(254666,122791,'Heals target for 545',100,1,0),
(254667,10122791,'Heals target for 425',100,1,0),
(254668,182905,'When Equipped:',100,0,0),
(254669,182905,'Increases Attack Speed of caster by 30.0',100,1,1),
(254670,10182905,'When Equipped:',100,0,0),
(254671,10182905,'Increases Attack Speed of caster by 30.0',100,1,1),
(254672,104232,'Inflicts 152 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(254673,104232,'Decreases WIS of target encounter by 93.3',100,1,1),
(254674,10104232,'Inflicts 182 mental damage on target encounter instantly and every 6 seconds',100,1,0),
(254675,10104232,'Decreases WIS of target encounter by 93.3',100,1,1),
(254676,116025,'Decreases Hate Gain of target by 22.0%',100,1,0),
(254677,116025,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(254678,116025,'Decreases threat priority of target by 1 position',100,2,2),
(254679,10116025,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(254680,10116025,'Forces target to clear their selected target.',100,2,1),
(254681,46941,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(254682,46941,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(254683,46941,'Inflicts 251 poison damage on target',100,2,2),
(254684,46941,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,3),
(254685,46941,'Cannot be modified except by direct means',100,2,4),
(254686,46941,'Grants a total of 200 triggers of the spell.',100,2,5),
(254687,10046941,'Applies circle of sanctuary when Activated.  Lasts for 12 hours.',100,0,0),
(254688,10046941,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(254689,10046941,'Inflicts 226 poison damage on target',100,2,2),
(254690,10046941,'Inflicts 37 poison damage on target instantly and every 6 seconds',100,2,3),
(254691,10046941,'Cannot be modified except by direct means',100,2,4),
(254692,10046941,'Grants a total of 200 triggers of the spell.',100,2,5),
(254693,110187,'Applies Untreated Bleeding on termination.',100,1,0),
(254694,110187,'Inflicts 383 - 638 piercing damage on target',100,2,1),
(254695,110187,'Inflicts 82 - 137 piercing damage on target instantly and every 4 seconds',100,1,2),
(254696,110187,'Inflicts 54 - 91 melee damage on target',100,1,3),
(254697,10110187,'Applies Untreated Bleeding on termination.',100,1,0),
(254698,10110187,'Inflicts 460 - 766 piercing damage on target',100,2,1),
(254699,10110187,'Inflicts 98 - 164 piercing damage on target instantly and every 4 seconds',100,1,2),
(254700,10110187,'Inflicts 65 - 109 melee damage on target',100,1,3),
(254701,119439,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(254702,119439,'Stuns target',100,2,1),
(254703,119439,'Throws target back',100,2,2),
(254704,119439,'Blurs vision of target',100,2,3),
(254705,119439,'Does not affect Epic targets',100,2,4),
(254706,119439,'Inflicts 761 - 1268 melee damage on target',100,1,5),
(254707,119439,'You must be sneaking to use this ability.',100,1,6),
(254708,10119439,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(254709,10119439,'Stuns target',100,2,1),
(254710,10119439,'Blurs vision of target',100,2,2),
(254711,10119439,'Throws target back',100,2,3),
(254712,10119439,'Does not affect Epic targets',100,2,4),
(254713,10119439,'Inflicts 913 - 1522 melee damage on target',100,1,5),
(254714,10119439,'You must be sneaking to use this ability.',100,1,6),
(254715,37266,'Increases AGI of target by 1.1',100,0,0),
(254716,37266,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,1),
(254717,122720,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(254718,122720,'Increases Deflection of caster by 7.7',100,1,1),
(254719,10122720,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(254720,10122720,'Increases Deflection of caster by 7.7',100,1,1),
(254721,27458,'When Equipped:',100,0,0),
(254722,27458,'Adds 2 additional triggers to Sentry Watch.',100,1,1),
(254723,27458,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(254724,10027458,'When Equipped:',100,0,0),
(254725,10027458,'Adds 2 additional triggers to Sentry Watch.',100,1,1),
(254726,10027458,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(254727,123546,'Inflicts 155 - 233 piercing damage on target instantly and every 4 seconds',100,1,0),
(254728,123546,'Decreases Defense of target by 40.6',100,1,1),
(254729,10123546,'Inflicts 261 - 391 piercing damage on target',100,1,0),
(254730,10123546,'Inflicts 186 - 279 piercing damage on target every 4 seconds',100,1,1),
(254731,10123546,'Decreases Defense of target by 40.6',100,1,2),
(254732,118645,'Inflicts 39 - 65 slashing damage on target',100,1,0),
(254733,10118645,'Inflicts 47 - 78 slashing damage on target',100,1,0),
(254734,115340,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(254735,115340,'Makes target afraid',100,2,1),
(254736,115340,'Slows target by 40.1%',100,2,2),
(254737,115340,'30% chance to dispel when target takes damage',100,2,3),
(254738,115340,'Does not affect Epic targets',100,2,4),
(254739,115340,'Resistibility increases against targets higher than level 90.',100,2,5),
(254740,115340,'Roots target',100,1,6),
(254741,115340,'15% chance to dispel when target takes damage',100,1,7),
(254742,115340,'Does not affect Epic targets',100,1,8),
(254743,115340,'Resistibility increases against targets higher than level 90.',100,1,9),
(254744,10115340,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(254745,10115340,'Makes target afraid',100,2,1),
(254746,10115340,'Slows target by 40.1%',100,2,2),
(254747,10115340,'30% chance to dispel when target takes damage',100,2,3),
(254748,10115340,'Does not affect Epic targets',100,2,4),
(254749,10115340,'Resistibility increases against targets higher than level 90.',100,2,5),
(254750,10115340,'Roots target',100,1,6),
(254751,10115340,'15% chance to dispel when target takes damage',100,1,7),
(254752,10115340,'Does not affect Epic targets',100,1,8),
(254753,10115340,'Resistibility increases against targets higher than level 90.',100,1,9),
(254754,72441,'When Equipped:',100,0,0),
(254755,72441,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(254756,72441,'Reduces healing received by 15.00%',100,2,2),
(254757,72441,'Cannot be modified except by direct means',100,2,3),
(254758,72441,'This effect can only trigger once every 1 second.',100,2,4),
(254759,72441,'Must be engaged in pvp combat',100,1,5),
(254760,10072441,'When Equipped:',100,0,0),
(254761,10072441,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(254762,10072441,'Reduces healing received by 15.00%',100,2,2),
(254763,10072441,'Cannot be modified except by direct means',100,2,3),
(254764,10072441,'This effect can only trigger once every 1 second.',100,2,4),
(254765,10072441,'Must be engaged in pvp combat',100,1,5),
(254766,82862,'When Equipped:',100,0,0),
(254767,82862,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254768,82862,'Inflicts 201 - 374 magic damage on target',100,2,2),
(254769,82862,'Cannot be modified except by direct means',100,2,3),
(254770,10082862,'When Equipped:',100,0,0),
(254771,10082862,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254772,10082862,'Inflicts 242 - 449 magic damage on target',100,2,2),
(254773,10082862,'Cannot be modified except by direct means',100,2,3),
(254774,109048,'Increases Attack Speed of caster by 25.6',100,1,0),
(254775,109048,'Decreases Defense of caster by 14.7',100,1,1),
(254776,109048,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.3',100,1,2),
(254777,10109048,'Increases Attack Speed of caster by 25.6',100,1,0),
(254778,10109048,'Decreases Defense of caster by 14.7',100,1,1),
(254779,10109048,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.3',100,1,2),
(254780,185481,'When Equipped:',100,0,0),
(254781,185481,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(254782,185481,'Inflicts 1199 disease damage on target encounter',100,2,2),
(254783,185481,'Must not be engaged in pvp combat',100,2,3),
(254784,185481,'Cannot be modified except by direct means',100,2,4),
(254785,10185481,'When Equipped:',100,0,0),
(254786,10185481,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(254787,10185481,'Inflicts 719 disease damage on target encounter',100,2,2),
(254788,10185481,'Must not be engaged in pvp combat',100,2,3),
(254789,10185481,'Cannot be modified except by direct means',100,2,4),
(254790,80249,'When Equipped:',100,0,0),
(254791,80249,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254792,80249,'Inflicts 166 - 308 magic damage on target',100,2,2),
(254793,80249,'Cannot be modified except by direct means',100,2,3),
(254794,10080249,'When Equipped:',100,0,0),
(254795,10080249,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254796,10080249,'Inflicts 199 - 370 magic damage on target',100,2,2),
(254797,10080249,'Cannot be modified except by direct means',100,2,3),
(254798,100347,'Increases Max Health of target by 363.3',100,1,0),
(254799,100347,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.3',100,1,1),
(254800,10100347,'Increases Max Health of target by 363.3',100,1,0),
(254801,10100347,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.3',100,1,1),
(254802,159794,'Applies Lambent Imbued when Equipped.',100,0,0),
(254803,159794,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(254804,159794,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(254805,159794,'Cannot be modified except by direct means',100,2,3),
(254806,10159794,'Applies Lambent Imbued when Equipped.',100,0,0),
(254807,10159794,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(254808,10159794,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(254809,10159794,'Cannot be modified except by direct means',100,2,3),
(254810,81849,'When Equipped:',100,0,0),
(254811,81849,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254812,81849,'Inflicts 105 - 195 magic damage on target',100,2,2),
(254813,81849,'Decreases Threat to target by 487 ',100,2,3),
(254814,81849,'Must be flanking or behind',100,3,4),
(254815,81849,'Increases Threat to target by 492 ',100,2,5),
(254816,81849,'Must be in front of',100,3,6),
(254817,81849,'Cannot be modified except by direct means',100,2,7),
(254818,10081849,'When Equipped:',100,0,0),
(254819,10081849,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(254820,10081849,'Inflicts 126 - 234 magic damage on target',100,2,2),
(254821,10081849,'Cannot be modified except by direct means',100,2,3),
(254822,46369,'Applies Place Flowers when Activated.',100,0,0),
(254823,46369,'This is not the grave.',100,1,1),
(254824,10046369,'Applies Place Flowers when Activated.',100,0,0),
(254825,10046369,'This is not the grave.',100,1,1),
(254826,106479,'Decreases STR and AGI of target by 29.2',100,1,0),
(254827,10106479,'Decreases STR and AGI of target by 29.2',100,1,0),
(254828,45317,'Applies Summon Bjorn when Activated.',100,0,0),
(254829,45317,'Summons a mount to ride',100,1,1),
(254830,45317,'Increases your ground speed by 130%',100,2,2),
(254831,45317,'Increases Crit Bonus of caster by 1.0%',100,1,3),
(254832,45317,'Increases Crit Chance of caster by 3.0',100,1,4),
(254833,45317,'Increases Max Power of caster by 200.0',100,1,5),
(254834,10045317,'Applies Summon Bjorn when Activated.',100,0,0),
(254835,10045317,'Summons a mount to ride',100,1,1),
(254836,10045317,'Increases your ground speed by 130%',100,2,2),
(254837,10045317,'Increases Crit Bonus of caster by 1.0%',100,1,3),
(254838,10045317,'Increases Crit Chance of caster by 3.0',100,1,4),
(254839,10045317,'Increases Max Power of caster by 200.0',100,1,5),
(254840,180737,'When Equipped:',100,0,0),
(254841,180737,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(254842,180737,'Heals group members (AE) for 361',100,2,2),
(254843,180737,'Cannot be modified except by direct means',100,2,3),
(254844,180737,'Cannot be modified except by direct means',100,1,4),
(254845,10180737,'When Equipped:',100,0,0),
(254846,10180737,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(254847,10180737,'Heals group members (AE) for 234',100,2,2),
(254848,10180737,'Cannot be modified except by direct means',100,2,3),
(254849,10180737,'Cannot be modified except by direct means',100,1,4),
(254850,122215,'Increases Damage Per Second of target by 16.0',100,1,0),
(254851,122215,'Increases Max Health of target by 418.9',100,1,1),
(254852,10122215,'Increases Damage Per Second of target by 16.0',100,1,0),
(254853,10122215,'Increases Max Health of target by 418.9',100,1,1),
(254854,111217,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(254855,111217,'Heals target for 62 - 75',100,2,1),
(254856,10111217,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(254857,10111217,'Heals target for 40 - 49',100,2,1),
(254858,113224,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(254859,113224,'Inflicts 132 magic damage on target',100,2,1),
(254860,113224,'Grants a total of 5 triggers of the spell.',100,2,2),
(254861,10113224,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(254862,10113224,'Inflicts 159 magic damage on target',100,2,1),
(254863,10113224,'Grants a total of 5 triggers of the spell.',100,2,2),
(254864,45964,'Applies Remove Possession when Activated.',100,0,0),
(254865,45964,'This citizen has already been freed of their possession.',100,1,1),
(254866,10045964,'Applies Remove Possession when Activated.',100,0,0),
(254867,10045964,'This citizen has already been freed of their possession.',100,1,1),
(254868,71230,'When Equipped:',100,0,0),
(254869,71230,'When a combat art is used this spell has a 5% chance to cast Destruction on target of combat art.  ',100,1,1),
(254870,71230,'Inflicts 516 divine damage on target',100,2,2),
(254871,71230,'Cannot be modified except by direct means',100,2,3),
(254872,10071230,'When Equipped:',100,0,0),
(254873,10071230,'When a combat art is used this spell has a 5% chance to cast Destruction on target of combat art.  ',100,1,1),
(254874,10071230,'Inflicts 620 divine damage on target',100,2,2),
(254875,10071230,'Cannot be modified except by direct means',100,2,3),
(254876,119078,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(254877,119078,'Increases Parry and Deflection of group members (AE) by 7.4',100,1,1),
(254878,119078,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(254879,119078,'Decreases Threat to target encounter by 268 - 327 ',100,2,3),
(254880,119078,'If not fighter',100,3,4),
(254881,119078,'Increases Threat to target encounter by 469 - 573 ',100,2,5),
(254882,119078,'If fighter',100,3,6),
(254883,119078,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(254884,119078,'Decreases Threat to target encounter by 268 - 327 ',100,2,8),
(254885,119078,'If not fighter',100,3,9),
(254886,119078,'Increases Threat to target encounter by 469 - 573 ',100,2,10),
(254887,119078,'If fighter',100,3,11),
(254888,10119078,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(254889,10119078,'Increases Parry and Deflection of group members (AE) by 7.4',100,1,1),
(254890,10119078,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(254891,10119078,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(254892,45886,'Applies Break out the Star Ruby when Activated.',100,0,0),
(254893,45886,'It sure does look like this gem could be important if it were separated from the ring.',100,1,1),
(254894,10045886,'Applies Break out the Star Ruby when Activated.',100,0,0),
(254895,10045886,'It sure does look like this gem could be important if it were separated from the ring.',100,1,1),
(254896,105594,'Decreases power of target encounter by 46 - 56 instantly and every 3 seconds',100,1,0),
(254897,105594,'Inflicts 107 - 198 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(254898,105594,'Heals group members (AE) for 52 - 97 instantly and every 3 seconds',100,1,2),
(254899,105594,'Increases power of group members (AE) by 20 instantly and every 3 seconds',100,1,3),
(254900,10105594,'Decreases power of target encounter by 46 - 56 instantly and every 3 seconds',100,1,0),
(254901,10105594,'Inflicts 128 - 238 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(254902,10105594,'Heals group members (AE) for 34 - 63 instantly and every 3 seconds',100,1,2),
(254903,10105594,'Increases power of group members (AE) by 20 instantly and every 3 seconds',100,1,3),
(254904,36040,'Increases AGI of target by 8.4',100,0,0),
(254905,36040,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(254906,106384,'Inflicts 289 - 483 melee damage on target',100,1,0),
(254907,106384,'Decreases Defense of target by 17.4',100,1,1),
(254908,106384,'Decreases Defense of caster by 17.4',100,1,2),
(254909,10106384,'Inflicts 347 - 579 melee damage on target',100,1,0),
(254910,10106384,'Decreases Defense of target by 17.4',100,1,1),
(254911,10106384,'Decreases Defense of caster by 17.4',100,1,2),
(254912,80317,'When Equipped:',100,0,0),
(254913,80317,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254914,80317,'Inflicts 50 - 93 magic damage on target',100,2,2),
(254915,80317,'Cannot be modified except by direct means',100,2,3),
(254916,10080317,'When Equipped:',100,0,0),
(254917,10080317,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254918,10080317,'Inflicts 60 - 111 magic damage on target',100,2,2),
(254919,10080317,'Cannot be modified except by direct means',100,2,3),
(254920,74869,'When Equipped:',100,0,0),
(254921,74869,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254922,74869,'Inflicts 111 - 166 magic damage on target',100,2,2),
(254923,74869,'Cannot be modified except by direct means',100,2,3),
(254924,10074869,'When Equipped:',100,0,0),
(254925,10074869,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254926,10074869,'Inflicts 133 - 199 magic damage on target',100,2,2),
(254927,10074869,'Cannot be modified except by direct means',100,2,3),
(254928,26787,'Applies Renewing Bulwark I when Equipped.',100,0,0),
(254929,26787,'Regenerates 200 points of shielding every 2 seconds',100,1,1),
(254930,26787,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,2),
(254931,26787,'While active Renewing Bulwark is disabled.',100,2,3),
(254932,26787,'Must not be engaged in pvp combat',100,2,4),
(254933,26787,'Cannot be modified except by direct means',100,2,5),
(254934,26787,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(254935,26787,'Wards caster against 2000 points of all damage',100,1,7),
(254936,26787,'Must not be engaged in pvp combat',100,1,8),
(254937,10026787,'Applies Renewing Bulwark I when Equipped.',100,0,0),
(254938,10026787,'Regenerates 200 points of shielding every 2 seconds',100,1,1),
(254939,10026787,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,2),
(254940,10026787,'While active Renewing Bulwark is disabled.',100,2,3),
(254941,10026787,'Must not be engaged in pvp combat',100,2,4),
(254942,10026787,'Cannot be modified except by direct means',100,2,5),
(254943,10026787,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(254944,10026787,'Wards caster against 2000 points of all damage',100,1,7),
(254945,10026787,'Must not be engaged in pvp combat',100,1,8),
(254946,105919,'Inflicts 11 - 13 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(254947,105919,'Inflicts 25 - 42 disease damage on targets in area',100,1,1),
(254948,10105919,'Inflicts 13 - 16 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(254949,10105919,'Inflicts 30 - 51 disease damage on targets in area',100,1,1),
(254950,107724,'Inflicts 696 - 1161 heat damage on target',100,1,0),
(254951,107724,'You must be sneaking to use this ability.',100,1,1),
(254952,10107724,'Inflicts 836 - 1393 heat damage on target',100,1,0),
(254953,10107724,'You must be sneaking to use this ability.',100,1,1),
(254954,74577,'When Equipped:',100,0,0),
(254955,74577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254956,74577,'Inflicts 135 - 203 magic damage on target',100,2,2),
(254957,74577,'Cannot be modified except by direct means',100,2,3),
(254958,10074577,'When Equipped:',100,0,0),
(254959,10074577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254960,10074577,'Inflicts 162 - 244 magic damage on target',100,2,2),
(254961,10074577,'Cannot be modified except by direct means',100,2,3),
(254962,102101,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(254963,102101,'Throws target back',100,2,1),
(254964,102101,'Stuns target',100,2,2),
(254965,102101,'Blurs vision of target',100,2,3),
(254966,102101,'Does not affect Epic targets',100,2,4),
(254967,102101,'Inflicts 83 - 139 crushing damage on target',100,1,5),
(254968,10102101,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(254969,10102101,'Throws target back',100,2,1),
(254970,10102101,'Stuns target',100,2,2),
(254971,10102101,'Blurs vision of target',100,2,3),
(254972,10102101,'Does not affect Epic targets',100,2,4),
(254973,10102101,'Inflicts 100 - 166 crushing damage on target',100,1,5),
(254974,158395,'When Equipped:',100,0,0),
(254975,158395,'On a hostile spell cast this spell will cast Atmospheric Discharge on target of spell.  ',100,1,1),
(254976,158395,'Inflicts 1 to 225 magic damage. May randomly spike for much greater damage.',100,2,2),
(254977,10158395,'When Equipped:',100,0,0),
(254978,10158395,'On a hostile spell cast this spell will cast Atmospheric Discharge on target of spell.  ',100,1,1),
(254979,10158395,'Inflicts 1 to 225 magic damage. May randomly spike for much greater damage.',100,2,2),
(254980,113449,'Increases INT of target by 41.4',100,1,0),
(254981,113449,'Increases Max Health of target by 290.6',100,1,1),
(254982,10113449,'Increases INT of target by 41.4',100,1,0),
(254983,10113449,'Increases Max Health of target by 290.6',100,1,1),
(254984,117453,'Inflicts 402 - 670 melee damage on target',100,1,0),
(254985,117453,'You must be sneaking to use this ability.',100,1,1),
(254986,117453,'Must be flanking or behind',100,1,2),
(254987,10117453,'Inflicts 299 - 499 melee damage on target',100,1,0),
(254988,10117453,'You must be sneaking to use this ability.',100,1,1),
(254989,10117453,'Must be flanking or behind',100,1,2),
(254990,74807,'When Equipped:',100,0,0),
(254991,74807,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254992,74807,'Inflicts 86 - 129 magic damage on target',100,2,2),
(254993,74807,'Cannot be modified except by direct means',100,2,3),
(254994,10074807,'When Equipped:',100,0,0),
(254995,10074807,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(254996,10074807,'Inflicts 103 - 155 magic damage on target',100,2,2),
(254997,10074807,'Cannot be modified except by direct means',100,2,3),
(254998,47827,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(254999,47827,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(255000,47827,'Decreases power of target by 679',100,2,2),
(255001,47827,'Increases power of caster by 440',100,2,3),
(255002,47827,'Cannot be modified except by direct means',100,2,4),
(255003,47827,'Grants a total of 100 triggers of the spell.',100,2,5),
(255004,10047827,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(255005,10047827,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(255006,10047827,'Decreases power of target by 373',100,2,2),
(255007,10047827,'Increases power of caster by 330',100,2,3),
(255008,10047827,'Cannot be modified except by direct means',100,2,4),
(255009,10047827,'Grants a total of 100 triggers of the spell.',100,2,5),
(255010,134735,'When Equipped:',100,0,0),
(255011,134735,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(255012,134735,'Heals group members for 206',100,2,2),
(255013,134735,'Cannot be modified except by direct means',100,2,3),
(255014,10134735,'When Equipped:',100,0,0),
(255015,10134735,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(255016,10134735,'Heals group members for 134',100,2,2),
(255017,10134735,'Cannot be modified except by direct means',100,2,3),
(255018,148660,'When Equipped:',100,0,0),
(255019,148660,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255020,148660,'Inflicts 1998 cold damage on target encounter',100,2,2),
(255021,148660,'Must not be engaged in pvp combat',100,2,3),
(255022,148660,'Cannot be modified except by direct means',100,2,4),
(255023,148660,'Must not be engaged in pvp combat',100,1,5),
(255024,10148660,'When Equipped:',100,0,0),
(255025,10148660,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255026,10148660,'Inflicts 1199 cold damage on target encounter',100,2,2),
(255027,10148660,'Must not be engaged in pvp combat',100,2,3),
(255028,10148660,'Cannot be modified except by direct means',100,2,4),
(255029,10148660,'Must not be engaged in pvp combat',100,1,5),
(255030,105909,'Inflicts 652 - 1087 melee damage on target',100,1,0),
(255031,105909,'If over 33% Health',100,2,1),
(255032,105909,'Inflicts 1957 - 3262 melee damage on target',100,1,2),
(255033,105909,'If under 33% Health',100,2,3),
(255034,105909,'Must be flanking or behind',100,1,4),
(255035,10105909,'Inflicts 782 - 1304 melee damage on target',100,1,0),
(255036,10105909,'If over 20% Health',100,2,1),
(255037,10105909,'Inflicts 2087 - 3479 melee damage on target',100,1,2),
(255038,10105909,'If under 20% Health',100,2,3),
(255039,10105909,'Must be flanking or behind',100,1,4),
(255040,87238,'When Equipped:',100,0,0),
(255041,87238,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255042,87238,'Inflicts 138 - 207 magic damage on target',100,2,2),
(255043,87238,'Cannot be modified except by direct means',100,2,3),
(255044,10087238,'When Equipped:',100,0,0),
(255045,10087238,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255046,10087238,'Inflicts 166 - 248 magic damage on target',100,2,2),
(255047,10087238,'Cannot be modified except by direct means',100,2,3),
(255048,37239,'Increases INT of target by 14.9',100,0,0),
(255049,37239,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(255050,110050,'Summons a pet grim sorcerer',100,1,0),
(255051,10110050,'Summons a pet grim sorcerer',100,1,0),
(255052,111762,'Heals caster for 91 - 111',100,1,0),
(255053,111762,'This effect cannot be critically applied.',100,2,1),
(255054,111762,'The healing of this spell cannot be modified except by direct means',100,1,2),
(255055,10111762,'Heals caster for 45 - 55',100,1,0),
(255056,10111762,'This effect cannot be critically applied.',100,2,1),
(255057,10111762,'The healing of this spell cannot be modified except by direct means',100,1,2),
(255058,121724,'Increases AGI of caster by 55.4',100,1,0),
(255059,121724,'Adds 1.5% to base avoidance.',100,1,1),
(255060,121724,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(255061,121724,'Increases Parry of caster by 31.6',100,1,3),
(255062,121724,'Increases Defense of caster by 42.2',100,1,4),
(255063,10121724,'Increases AGI of caster by 55.4',100,1,0),
(255064,10121724,'Adds 1.5% to base avoidance.',100,1,1),
(255065,10121724,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(255066,10121724,'Increases Parry of caster by 31.6',100,1,3),
(255067,10121724,'Increases Defense of caster by 42.2',100,1,4),
(255068,122742,'Applies Tranquil Healing.',100,1,0),
(255069,122742,'Heals target for 1017',100,2,1),
(255070,122742,'Dispels 136 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(255071,122742,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(255072,122742,'Heals target for 1017',100,3,4),
(255073,10122742,'Applies Tranquil Healing.',100,1,0),
(255074,10122742,'Heals target for 409',100,2,1),
(255075,10122742,'Dispels 136 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(255076,10122742,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(255077,10122742,'Heals target for 409',100,3,4),
(255078,134486,'When Equipped:',100,0,0),
(255079,134486,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(255080,10134486,'When Equipped:',100,0,0),
(255081,10134486,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(255082,115787,'Stifles target',100,1,0),
(255083,115787,'If Target is not Epic',100,2,1),
(255084,115787,'Decreases power of target by 15 - 18 instantly and every 1.3 seconds',100,1,2),
(255085,115787,'Resistibility increases against targets higher than level 45.',100,1,3),
(255086,10115787,'Stifles target',100,1,0),
(255087,10115787,'If Target is not Epic',100,2,1),
(255088,10115787,'Decreases power of target by 15 - 18 instantly and every 1.3 seconds',100,1,2),
(255089,10115787,'Resistibility increases against targets higher than level 45.',100,1,3),
(255090,124718,'Heals group members (AE) for 523 - 640',100,1,0),
(255091,10124718,'Heals group members (AE) for 635 - 776',100,1,0),
(255092,111346,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(255093,111346,'Inflicts 589 - 720 mental damage on target',100,2,1),
(255094,111346,'Grants a total of 3 triggers of the spell.',100,2,2),
(255095,10111346,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(255096,10111346,'Inflicts 707 - 864 mental damage on target',100,2,1),
(255097,10111346,'Grants a total of 3 triggers of the spell.',100,2,2),
(255098,35610,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(255099,41692,'When Equipped:',100,0,0),
(255100,41692,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255101,41692,'Inflicts 108 - 200 magic damage on target',100,2,2),
(255102,41692,'Cannot be modified except by direct means',100,2,3),
(255103,10041692,'When Equipped:',100,0,0),
(255104,10041692,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255105,10041692,'Inflicts 129 - 240 magic damage on target',100,2,2),
(255106,10041692,'Cannot be modified except by direct means',100,2,3),
(255107,115788,'Stifles target',100,1,0),
(255108,115788,'If Target is not Epic',100,2,1),
(255109,115788,'Decreases power of target by 22 - 26 instantly and every 1.3 seconds',100,1,2),
(255110,115788,'Resistibility increases against targets higher than level 45.',100,1,3),
(255111,10115788,'Stifles target',100,1,0),
(255112,10115788,'If Target is not Epic',100,2,1),
(255113,10115788,'Decreases power of target by 22 - 26 instantly and every 1.3 seconds',100,1,2),
(255114,10115788,'Resistibility increases against targets higher than level 45.',100,1,3),
(255115,121806,'Heals target for 597 - 729',100,1,0),
(255116,121806,'Heals target for 99 - 122 every second',100,1,1),
(255117,10121806,'Heals target for 1034 - 1264',100,1,0),
(255118,10121806,'Heals target for 86 - 105 every second',100,1,1),
(255119,111237,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(255120,111237,'Heals target for 343 - 419',100,2,1),
(255121,10111237,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(255122,10111237,'Heals target for 223 - 272',100,2,1),
(255123,108446,'Increases INT, AGI, STR and WIS of group members (AE) by 84.7',100,1,0),
(255124,108446,'Adds 1.9% to base avoidance.',100,1,1),
(255125,108446,'Increases Ability Reuse Speed of group members (AE) by 6.6%',100,1,2),
(255126,108446,'Increases Attack Speed of group members (AE) by 51.7',100,1,3),
(255127,108446,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 250',100,1,4),
(255128,10108446,'Increases INT, AGI, STR and WIS of group members (AE) by 84.7',100,1,0),
(255129,10108446,'Adds 1.9% to base avoidance.',100,1,1),
(255130,10108446,'Increases Ability Reuse Speed of group members (AE) by 6.6%',100,1,2),
(255131,10108446,'Increases Attack Speed of group members (AE) by 51.7',100,1,3),
(255132,10108446,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 250',100,1,4),
(255133,48122,'Applies Call Sootfoot Spiky Lava Cow when Activated.',100,0,0),
(255134,48122,'Summons a mount to ride',100,1,1),
(255135,48122,'Increases your ground speed by 130%',100,2,2),
(255136,48122,'Increases Out-of-Combat Power Regeneration of caster by 15.0',100,1,3),
(255137,48122,'Increases Out-of-Combat Health Regeneration of caster by 15.0',100,1,4),
(255138,48122,'Increases Max Health of caster by 100.0',100,1,5),
(255139,10048122,'Applies Call Sootfoot Spiky Lava Cow when Activated.',100,0,0),
(255140,10048122,'Summons a mount to ride',100,1,1),
(255141,10048122,'Increases your ground speed by 130%',100,2,2),
(255142,10048122,'Increases Out-of-Combat Power Regeneration of caster by 15.0',100,1,3),
(255143,10048122,'Increases Out-of-Combat Health Regeneration of caster by 15.0',100,1,4),
(255144,10048122,'Increases Max Health of caster by 100.0',100,1,5),
(255145,180425,'When Equipped:',100,0,0),
(255146,180425,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(255147,10180425,'When Equipped:',100,0,0),
(255148,10180425,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(255149,42526,'When Equipped:',100,0,0),
(255150,42526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255151,42526,'Inflicts 42 - 63 magic damage on target',100,2,2),
(255152,42526,'Cannot be modified except by direct means',100,2,3),
(255153,10042526,'When Equipped:',100,0,0),
(255154,10042526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255155,10042526,'Inflicts 51 - 76 magic damage on target',100,2,2),
(255156,10042526,'Cannot be modified except by direct means',100,2,3),
(255157,171169,'When Equipped:',100,0,0),
(255158,171169,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(255159,171169,'Inflicts 92 heat damage on target',100,2,2),
(255160,171169,'Cannot be modified except by direct means',100,2,3),
(255161,10171169,'When Equipped:',100,0,0),
(255162,10171169,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(255163,10171169,'Inflicts 110 heat damage on target',100,2,2),
(255164,10171169,'Cannot be modified except by direct means',100,2,3),
(255165,25271,'When Equipped:',100,0,0),
(255166,25271,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(255167,25271,'Reduces the casting time of Absolution VI by 0.5 seconds and the reuse time by 2 seconds.',100,1,2),
(255168,10025271,'When Equipped:',100,0,0),
(255169,10025271,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(255170,10025271,'Reduces the casting time of Absolution VI by 0.5 seconds and the reuse time by 2 seconds.',100,1,2),
(255171,109970,'Inflicts 558 - 838 disease damage on targets in Area of Effect',100,1,0),
(255172,109970,'Inflicts 279 - 419 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(255173,109970,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(255174,109970,'Increases Threat to targets in Area of Effect by 2,649 - 3,135  instantly and every 4 seconds thereafter',100,1,3),
(255175,10109970,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(255176,10109970,'Forces target to change their selected target to caster.',100,2,1),
(255177,10109970,'Prevents target from changing targets',100,2,2),
(255178,10109970,'Inflicts 670 - 1005 disease damage on targets in Area of Effect',100,1,3),
(255179,10109970,'Inflicts 335 - 503 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(255180,24226,'Adds Crushbone: Stone Bench to your Dungeon Maker toolbox',100,0,0),
(255181,10024226,'Adds Crushbone: Stone Bench to your Dungeon Maker toolbox',100,0,0),
(255182,45562,'Applies Budo''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(255183,45562,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(255184,45562,'Inflicts 9 magic damage on target',100,2,2),
(255185,45562,'Cannot be modified except by direct means',100,2,3),
(255186,10045562,'Applies Budo''s Protection  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(255187,10045562,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(255188,10045562,'Inflicts 11 magic damage on target',100,2,2),
(255189,10045562,'Cannot be modified except by direct means',100,2,3),
(255190,35554,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(255191,102068,'Interrupts targets in Area of Effect',100,1,0),
(255192,102068,'Inflicts 460 - 767 melee damage on targets in area',100,1,1),
(255193,10102068,'Interrupts targets in Area of Effect',100,1,0),
(255194,10102068,'Inflicts 552 - 921 melee damage on targets in area',100,1,1),
(255195,103216,'Reduces physical damage done to caster by 5%',100,1,0),
(255196,103216,'Adds 1.5% to base avoidance.',100,1,1),
(255197,103216,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(255198,103216,'Increases Parry of caster by 1.8',100,1,3),
(255199,103216,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(255200,103216,'Increases Aggression of caster by 1.4',100,1,5),
(255201,103216,'Increases Defense and Deflection of caster by 1.8',100,1,6),
(255202,103216,'Increases Mitigation of caster vs noxious damage by 154',100,1,7),
(255203,103216,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(255204,10103216,'Reduces physical damage done to caster by 5%',100,1,0),
(255205,10103216,'Adds 1.5% to base avoidance.',100,1,1),
(255206,10103216,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(255207,10103216,'Increases Parry of caster by 1.8',100,1,3),
(255208,10103216,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(255209,10103216,'Increases Aggression of caster by 1.4',100,1,5),
(255210,10103216,'Increases Defense and Deflection of caster by 1.8',100,1,6),
(255211,10103216,'Increases Mitigation of caster vs noxious damage by 154',100,1,7),
(255212,10103216,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(255213,112292,'Inflicts 27 - 33 disease damage on target',100,1,0),
(255214,112292,'Inflicts 14 - 17 disease damage on target every 3 seconds',100,1,1),
(255215,112292,'Increases Threat to target by 391 - 478  instantly and by 73 - 89  every 3 seconds thereafter',100,1,2),
(255216,10112292,'Inflicts 16 - 20 disease damage on target every 3 seconds',100,1,0),
(255217,10112292,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(255218,79277,'When Equipped:',100,0,0),
(255219,79277,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(255220,79277,'Heals caster for 392',100,2,2),
(255221,79277,'Cannot be modified except by direct means',100,2,3),
(255222,10079277,'When Equipped:',100,0,0),
(255223,10079277,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(255224,10079277,'Heals caster for 255',100,2,2),
(255225,10079277,'Cannot be modified except by direct means',100,2,3),
(255226,24703,'Adds Snake-Undead (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(255227,10024703,'Adds Snake-Undead (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(255228,120384,'Decreases Defense of caster by 4.8',100,1,0),
(255229,120384,'Increases Crushing and Ranged of caster by 6.8',100,1,1),
(255230,120384,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(255231,120384,'Inflicts 37 - 61 heat damage on target',100,2,3),
(255232,120384,'Increases Slashing and Piercing of caster by 6.8',100,1,4),
(255233,10120384,'Decreases Defense of caster by 4.8',100,1,0),
(255234,10120384,'Increases Crushing and Ranged of caster by 6.8',100,1,1),
(255235,10120384,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(255236,10120384,'Inflicts 44 - 74 heat damage on target',100,2,3),
(255237,10120384,'Increases Slashing and Piercing of caster by 6.8',100,1,4),
(255238,107375,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',100,1,0),
(255239,107375,'Inflicts 109 - 133 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(255240,10107375,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',100,1,0),
(255241,10107375,'Inflicts 130 - 159 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(255242,48459,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(255243,48459,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(255244,48459,'Inflicts 46 poison damage on target',100,2,2),
(255245,48459,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,3),
(255246,48459,'Cannot be modified except by direct means',100,2,4),
(255247,48459,'Grants a total of 200 triggers of the spell.',100,2,5),
(255248,10048459,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(255249,10048459,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(255250,10048459,'Inflicts 41 poison damage on target',100,2,2),
(255251,10048459,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,3),
(255252,10048459,'Cannot be modified except by direct means',100,2,4),
(255253,10048459,'Grants a total of 200 triggers of the spell.',100,2,5),
(255254,180391,'When Equipped:',100,0,0),
(255255,180391,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(255256,180391,'Heals caster for 184 instantly and every 5 seconds',100,2,2),
(255257,180391,'Cannot be modified except by direct means',100,2,3),
(255258,10180391,'When Equipped:',100,0,0),
(255259,10180391,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(255260,10180391,'Heals caster for 120 instantly and every 5 seconds',100,2,2),
(255261,10180391,'Cannot be modified except by direct means',100,2,3),
(255262,141736,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(255263,141736,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(255264,141736,'Inflicts 9 heat damage on target',100,2,2),
(255265,141736,'Cannot be modified except by direct means',100,2,3),
(255266,10141736,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(255267,10141736,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(255268,10141736,'Inflicts 11 heat damage on target',100,2,2),
(255269,10141736,'Cannot be modified except by direct means',100,2,3),
(255270,123674,'Increases Damage Per Second of target by 47.0',100,1,0),
(255271,10123674,'Increases Damage Per Second of target by 47.0',100,1,0),
(255272,80448,'When Equipped:',100,0,0),
(255273,80448,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(255274,80448,'Decreases Threat to target by 153 ',100,2,2),
(255275,80448,'Must be flanking or behind',100,3,3),
(255276,80448,'Increases Threat to target by 267 ',100,2,4),
(255277,80448,'Must be in front of',100,3,5),
(255278,80448,'Inflicts 48 - 90 magic damage on target',100,2,6),
(255279,80448,'Cannot be modified except by direct means',100,2,7),
(255280,10080448,'When Equipped:',100,0,0),
(255281,10080448,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(255282,10080448,'Inflicts 58 - 107 magic damage on target',100,2,2),
(255283,10080448,'Cannot be modified except by direct means',100,2,3),
(255284,118869,'Inflicts 21 - 35 melee damage on target',100,1,0),
(255285,118869,'Inflicts 21 - 35 melee damage on target',100,1,1),
(255286,118869,'Inflicts 21 - 35 melee damage on target',100,1,2),
(255287,118869,'Inflicts 21 - 35 melee damage on target',100,1,3),
(255288,118869,'Inflicts 21 - 35 melee damage on target',100,1,4),
(255289,10118869,'Inflicts 25 - 42 melee damage on target',100,1,0),
(255290,10118869,'Inflicts 25 - 42 melee damage on target',100,1,1),
(255291,10118869,'Inflicts 25 - 42 melee damage on target',100,1,2),
(255292,10118869,'Inflicts 25 - 42 melee damage on target',100,1,3),
(255293,10118869,'Inflicts 25 - 42 melee damage on target',100,1,4),
(255294,120962,'Inflicts 765 - 1275 ranged damage on target',100,1,0),
(255295,120962,'If weapon equipped in Ranged',100,1,1),
(255296,120962,'Must be behind',100,1,2),
(255297,10120962,'Inflicts 574 - 956 ranged damage on target',100,1,0),
(255298,10120962,'If weapon equipped in Ranged',100,1,1),
(255299,10120962,'Must be behind',100,1,2),
(255300,106024,'Inflicts 100 - 122 divine damage on target instantly and every 3 seconds',100,1,0),
(255301,106024,'Decreases Defense of target by 18.9',100,1,1),
(255302,10106024,'Inflicts 80 - 98 divine damage on target instantly and every 3 seconds',100,1,0),
(255303,10106024,'Decreases Defense of target by 18.9',100,1,1),
(255304,47479,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(255305,47479,'Summons a mount to ride',100,1,1),
(255306,47479,'Increases your ground speed by 130%',100,2,2),
(255307,10047479,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(255308,10047479,'Summons a mount to ride',100,1,1),
(255309,10047479,'Increases your ground speed by 130%',100,2,2),
(255310,115319,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(255311,115319,'Makes target afraid',100,2,1),
(255312,115319,'Slows target by 49.6%',100,2,2),
(255313,115319,'30% chance to dispel when target takes damage',100,2,3),
(255314,115319,'Does not affect Epic targets',100,2,4),
(255315,115319,'Resistibility increases against targets higher than level 34.',100,2,5),
(255316,115319,'Roots target',100,1,6),
(255317,115319,'15% chance to dispel when target takes damage',100,1,7),
(255318,115319,'Does not affect Epic targets',100,1,8),
(255319,115319,'Resistibility increases against targets higher than level 34.',100,1,9),
(255320,10115319,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(255321,10115319,'Makes target afraid',100,2,1),
(255322,10115319,'Slows target by 49.6%',100,2,2),
(255323,10115319,'30% chance to dispel when target takes damage',100,2,3),
(255324,10115319,'Does not affect Epic targets',100,2,4),
(255325,10115319,'Resistibility increases against targets higher than level 34.',100,2,5),
(255326,10115319,'Roots target',100,1,6),
(255327,10115319,'15% chance to dispel when target takes damage',100,1,7),
(255328,10115319,'Does not affect Epic targets',100,1,8),
(255329,10115319,'Resistibility increases against targets higher than level 34.',100,1,9),
(255330,100404,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(255331,100404,'Increases Threat to target by 19 ',100,2,1),
(255332,100404,'Inflicts 4 - 7 slashing damage on target',100,2,2),
(255333,100404,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(255334,100404,'Increases Threat to target by 19 ',100,2,4),
(255335,100404,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 49',100,1,5),
(255336,10100404,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(255337,10100404,'Inflicts 5 - 9 slashing damage on target',100,2,1),
(255338,10100404,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(255339,10100404,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 49',100,1,3),
(255340,123499,'Decreases Mitigation of target encounter vs noxious damage by 410',100,1,0),
(255341,10123499,'Decreases Mitigation of target encounter vs noxious damage by 410',100,1,0),
(255342,115485,'Summons a pet nightshade',100,1,0),
(255343,10115485,'Summons a pet nightshade',100,1,0),
(255344,48115,'Applies Summon Solumite Titan when Activated.  Lasts for 10 minutes.',100,0,0),
(255345,48115,'Summons a pet solumite titan',100,1,1),
(255346,10048115,'Applies Summon Solumite Titan when Activated.  Lasts for 10 minutes.',100,0,0),
(255347,10048115,'Summons a pet solumite titan',100,1,1),
(255348,118586,'Roots target',100,1,0),
(255349,118586,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(255350,118586,'Slows target by 41.0%',100,2,2),
(255351,118586,'5% chance to dispel when target receives hostile action',100,2,3),
(255352,118586,'5% chance to dispel when target takes damage',100,2,4),
(255353,118586,'5% chance to dispel when target takes damage',100,1,5),
(255354,118586,'Does not affect Epic targets',100,1,6),
(255355,118586,'Resistibility increases against targets higher than level 50.',100,1,7),
(255356,10118586,'Roots target',100,1,0),
(255357,10118586,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(255358,10118586,'Slows target by 41.0%',100,2,2),
(255359,10118586,'5% chance to dispel when target receives hostile action',100,2,3),
(255360,10118586,'5% chance to dispel when target takes damage',100,2,4),
(255361,10118586,'5% chance to dispel when target takes damage',100,1,5),
(255362,10118586,'Does not affect Epic targets',100,1,6),
(255363,10118586,'Resistibility increases against targets higher than level 50.',100,1,7),
(255364,35615,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(255365,101167,'Inflicts 44 - 74 cold damage on target',100,1,0),
(255366,101167,'Inflicts 44 - 74 cold damage on target',100,1,1),
(255367,101167,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(255368,101167,'Slows target by 39.8%',100,2,3),
(255369,101167,'5% chance to dispel when target receives hostile action',100,2,4),
(255370,101167,'5% chance to dispel when target takes damage',100,2,5),
(255371,101167,'If weapon equipped in Ranged',100,1,6),
(255372,10101167,'Inflicts 33 - 56 cold damage on target',100,1,0),
(255373,10101167,'Inflicts 33 - 56 cold damage on target',100,1,1),
(255374,10101167,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(255375,10101167,'Slows target by 39.8%',100,2,3),
(255376,10101167,'5% chance to dispel when target receives hostile action',100,2,4),
(255377,10101167,'5% chance to dispel when target takes damage',100,2,5),
(255378,10101167,'If weapon equipped in Ranged',100,1,6),
(255379,138376,'When Equipped:',100,0,0),
(255380,138376,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255381,138376,'Inflicts 959 - 1439 poison damage on target',100,2,2),
(255382,138376,'Heals caster for 639 - 958',100,2,3),
(255383,138376,'Cannot be modified except by direct means',100,2,4),
(255384,138376,'Cannot be modified except by direct means',100,1,5),
(255385,138376,'Applies Heroic Resistance X when Equipped.',100,0,6),
(255386,138376,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,7),
(255387,138376,'Cannot be modified except by direct means',100,1,8),
(255388,10138376,'When Equipped:',100,0,0),
(255389,10138376,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255390,10138376,'Inflicts 1151 - 1726 poison damage on target',100,2,2),
(255391,10138376,'Heals caster for 747 - 1121',100,2,3),
(255392,10138376,'Cannot be modified except by direct means',100,2,4),
(255393,10138376,'Cannot be modified except by direct means',100,1,5),
(255394,10138376,'Applies Heroic Resistance X when Equipped.',100,0,6),
(255395,10138376,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,7),
(255396,10138376,'Cannot be modified except by direct means',100,1,8),
(255397,110387,'Increases STR and AGI of group members (AE) by 82.9',100,1,0),
(255398,110387,'Adds 2.5% to base avoidance.',100,1,1),
(255399,10110387,'Increases STR and AGI of group members (AE) by 82.9',100,1,0),
(255400,10110387,'Adds 2.5% to base avoidance.',100,1,1),
(255401,116392,'Heals target for 152 - 186 instantly and every 2 seconds',100,1,0),
(255402,10116392,'Heals target for 99 - 121 instantly and every 2 seconds',100,1,0),
(255403,81162,'When Equipped:',100,0,0),
(255404,81162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255405,81162,'Inflicts 148 - 275 magic damage on target',100,2,2),
(255406,81162,'Cannot be modified except by direct means',100,2,3),
(255407,10081162,'When Equipped:',100,0,0),
(255408,10081162,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255409,10081162,'Inflicts 178 - 330 magic damage on target',100,2,2),
(255410,10081162,'Cannot be modified except by direct means',100,2,3),
(255411,24333,'Adds Droag (Wizard) to your Dungeon Maker toolbox',100,0,0),
(255412,10024333,'Adds Droag (Wizard) to your Dungeon Maker toolbox',100,0,0),
(255413,114050,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(255414,114050,'Grants stealth to caster',100,2,1),
(255415,114050,'Suspends caster''s movement speed enhancements',100,2,2),
(255416,114050,'Inflicts 18 - 30 melee damage on target',100,1,3),
(255417,114050,'Must be flanking or behind',100,1,4),
(255418,10114050,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(255419,10114050,'Grants stealth to caster',100,2,1),
(255420,10114050,'Suspends caster''s movement speed enhancements',100,2,2),
(255421,10114050,'Inflicts 33 - 55 melee damage on target',100,1,3),
(255422,10114050,'Must be flanking or behind',100,1,4),
(255423,122631,'Makes target afraid',100,1,0),
(255424,122631,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(255425,122631,'Mesmerizes target',100,2,2),
(255426,122631,'Decreases Threat to target by 1,490  instantly and Decreases Threat by 1,490  every 2.2 seconds thereafter',100,2,3),
(255427,122631,'Dispelled when target takes damage',100,2,4),
(255428,122631,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(255429,122631,'Resistibility increases against targets higher than level 114.',100,2,6),
(255430,122631,'30% chance to dispel when target takes damage',100,1,7),
(255431,122631,'Does not affect Epic targets',100,1,8),
(255432,122631,'Resistibility increases against targets higher than level 114.',100,1,9),
(255433,10122631,'Makes target afraid',100,1,0),
(255434,10122631,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(255435,10122631,'Mesmerizes target',100,2,2),
(255436,10122631,'Applies Distract.',100,2,3),
(255437,10122631,'Forces target to clear their selected target.',100,3,4),
(255438,10122631,'Dispelled when target takes damage',100,2,5),
(255439,10122631,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(255440,10122631,'Resistibility increases against targets higher than level 114.',100,2,7),
(255441,10122631,'30% chance to dispel when target takes damage',100,1,8),
(255442,10122631,'Does not affect Epic targets',100,1,9),
(255443,10122631,'Resistibility increases against targets higher than level 114.',100,1,10),
(255444,82441,'When Equipped:',100,0,0),
(255445,82441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255446,82441,'Inflicts 169 - 314 magic damage on target',100,2,2),
(255447,82441,'Cannot be modified except by direct means',100,2,3),
(255448,10082441,'When Equipped:',100,0,0),
(255449,10082441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255450,10082441,'Inflicts 203 - 377 magic damage on target',100,2,2),
(255451,10082441,'Cannot be modified except by direct means',100,2,3),
(255452,104375,'Inflicts 72 - 88 cold damage on target',100,1,0),
(255453,104375,'Inflicts 72 - 88 cold damage on target',100,1,1),
(255454,104375,'If target is elemental',100,2,2),
(255455,10104375,'Inflicts 87 - 106 cold damage on target',100,1,0),
(255456,10104375,'Inflicts 87 - 106 cold damage on target',100,1,1),
(255457,10104375,'If target is elemental',100,2,2),
(255458,80398,'When Equipped:',100,0,0),
(255459,80398,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255460,80398,'Inflicts 48 - 90 magic damage on target',100,2,2),
(255461,80398,'Cannot be modified except by direct means',100,2,3),
(255462,10080398,'When Equipped:',100,0,0),
(255463,10080398,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255464,10080398,'Inflicts 58 - 107 magic damage on target',100,2,2),
(255465,10080398,'Cannot be modified except by direct means',100,2,3),
(255466,124650,'Inflicts 392 - 479 cold damage on target encounter',100,1,0),
(255467,124650,'Decreases Piercing, Slashing and Crushing of target encounter by 13.8',100,1,1),
(255468,10124650,'Inflicts 470 - 575 cold damage on target encounter',100,1,0),
(255469,10124650,'Decreases Piercing, Slashing and Crushing of target encounter by 13.8',100,1,1),
(255470,26722,'When Equipped:',100,0,0),
(255471,26722,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(255472,26722,'On a critical combat hit this spell may cast Greater Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(255473,26722,'This effect will not stack with any rank or tier of itself.',100,2,3),
(255474,26722,'Increases Ability Modifier of caster by 675.0',100,2,4),
(255475,26722,'Must not be engaged in pvp combat',100,2,5),
(255476,26722,'Cannot be modified except by direct means',100,2,6),
(255477,26722,'On a critical healing spell cast this spell may cast Greater Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(255478,26722,'This effect will not stack with any rank or tier of itself.',100,2,8),
(255479,26722,'Increases Ability Modifier of caster by 675.0',100,2,9),
(255480,26722,'Must not be engaged in pvp combat',100,2,10),
(255481,26722,'Cannot be modified except by direct means',100,2,11),
(255482,26722,'On a critical spell hit this spell may cast Greater Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(255483,26722,'This effect will not stack with any rank or tier of itself.',100,2,13),
(255484,26722,'Increases Ability Modifier of caster by 675.0',100,2,14),
(255485,26722,'Must not be engaged in pvp combat',100,2,15),
(255486,26722,'Cannot be modified except by direct means',100,2,16),
(255487,26722,'Must not be engaged in pvp combat',100,1,17),
(255488,10026722,'When Equipped:',100,0,0),
(255489,10026722,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(255490,10026722,'On a critical combat hit this spell may cast Greater Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(255491,10026722,'This effect will not stack with any rank or tier of itself.',100,2,3),
(255492,10026722,'Increases Ability Modifier of caster by 675.0',100,2,4),
(255493,10026722,'Must not be engaged in pvp combat',100,2,5),
(255494,10026722,'Cannot be modified except by direct means',100,2,6),
(255495,10026722,'On a critical healing spell cast this spell may cast Greater Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(255496,10026722,'This effect will not stack with any rank or tier of itself.',100,2,8),
(255497,10026722,'Increases Ability Modifier of caster by 675.0',100,2,9),
(255498,10026722,'Must not be engaged in pvp combat',100,2,10),
(255499,10026722,'Cannot be modified except by direct means',100,2,11),
(255500,10026722,'On a critical spell hit this spell may cast Greater Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(255501,10026722,'This effect will not stack with any rank or tier of itself.',100,2,13),
(255502,10026722,'Increases Ability Modifier of caster by 675.0',100,2,14),
(255503,10026722,'Must not be engaged in pvp combat',100,2,15),
(255504,10026722,'Cannot be modified except by direct means',100,2,16),
(255505,10026722,'Must not be engaged in pvp combat',100,1,17),
(255506,116043,'Shapechanges caster into a lion',100,1,0),
(255507,116043,'Increases STA of caster by 39.3',100,1,1),
(255508,116043,'Adds 2.3% to base avoidance.',100,1,2),
(255509,116043,'Grants See Stealth to caster',100,1,3),
(255510,116043,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 646',100,1,4),
(255511,10116043,'Shapechanges caster into a lion',100,1,0),
(255512,10116043,'Increases STA of caster by 39.3',100,1,1),
(255513,10116043,'Adds 2.3% to base avoidance.',100,1,2),
(255514,10116043,'Grants See Stealth to caster',100,1,3),
(255515,10116043,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 646',100,1,4),
(255516,45050,'Applies Immortalize Perah''Celsis when Activated.',100,0,0),
(255517,45050,'Summon 1 Trophy: Head of Perah''Celsis',100,1,1),
(255518,45050,'This effect cannot be cast during combat',100,1,2),
(255519,10045050,'Applies Immortalize Perah''Celsis when Activated.',100,0,0),
(255520,10045050,'Summon 1 Trophy: Head of Perah''Celsis',100,1,1),
(255521,10045050,'This effect cannot be cast during combat',100,1,2),
(255522,103292,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(255523,103292,'If Fighter',100,2,1),
(255524,103292,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(255525,103292,'Increases power of target by 30 instantly and every 4 seconds',100,2,3),
(255526,103292,'Increases power of caster by 30 instantly and every 4 seconds',100,2,4),
(255527,10103292,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(255528,10103292,'Increases power of target by 30 instantly and every 4 seconds',100,2,1),
(255529,10103292,'Increases power of caster by 30 instantly and every 4 seconds',100,2,2),
(255530,148658,'When Equipped:',100,0,0),
(255531,148658,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255532,148658,'Inflicts 1998 cold damage on target encounter',100,2,2),
(255533,148658,'Must not be engaged in pvp combat',100,2,3),
(255534,148658,'Cannot be modified except by direct means',100,2,4),
(255535,148658,'Must not be engaged in pvp combat',100,1,5),
(255536,10148658,'When Equipped:',100,0,0),
(255537,10148658,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255538,10148658,'Inflicts 1199 cold damage on target encounter',100,2,2),
(255539,10148658,'Must not be engaged in pvp combat',100,2,3),
(255540,10148658,'Cannot be modified except by direct means',100,2,4),
(255541,10148658,'Must not be engaged in pvp combat',100,1,5),
(255542,26112,'When Equipped:',100,0,0),
(255543,26112,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(255544,26112,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,2),
(255545,10026112,'When Equipped:',100,0,0),
(255546,10026112,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(255547,10026112,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,2),
(255548,117141,'Inflicts 178 - 217 heat damage on target instantly and every 4 seconds',100,1,0),
(255549,117141,'Decreases Mitigation of target vs arcane damage by 910',100,1,1),
(255550,10117141,'Inflicts 213 - 261 heat damage on target instantly and every 4 seconds',100,1,0),
(255551,10117141,'Decreases Mitigation of target vs arcane damage by 910',100,1,1),
(255552,47538,'Applies Philter of Peacefulness when Activated.  Lasts for 12 hours.',100,0,0),
(255553,47538,'Feigns Death with 100% chance of success',100,1,1),
(255554,10047538,'Applies Philter of Peacefulness when Activated.  Lasts for 12 hours.',100,0,0),
(255555,10047538,'Feigns Death with 100% chance of success',100,1,1),
(255556,47492,'Applies Expand Space when Activated.',100,0,0),
(255557,47492,'Increases the maximum storage in a house by 200.',100,1,1),
(255558,47492,'Must be in your own house.',100,1,2),
(255559,47492,'Must not already have an item expander of equal or higher value already on house.',100,1,3),
(255560,47492,'Cannot be used in a guild hall.',100,1,4),
(255561,10047492,'Applies Expand Space when Activated.',100,0,0),
(255562,10047492,'Increases the maximum storage in a house by 200.',100,1,1),
(255563,10047492,'Must be in your own house.',100,1,2),
(255564,10047492,'Must not already have an item expander of equal or higher value already on house.',100,1,3),
(255565,10047492,'Cannot be used in a guild hall.',100,1,4),
(255566,24472,'Adds Lair of Scale: Awakened Dragonscale Tapestry to your Dungeon Maker toolbox',100,0,0),
(255567,10024472,'Adds Lair of Scale: Awakened Dragonscale Tapestry to your Dungeon Maker toolbox',100,0,0),
(255568,174082,'When Equipped:',100,0,0),
(255569,174082,'On any combat or spell hit this spell may cast Tormenting Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255570,174082,'Inflicts 1238 - 1513 mental damage on target',100,2,2),
(255571,174082,'Cannot be modified except by direct means',100,2,3),
(255572,174082,'Cannot be modified except by direct means',100,1,4),
(255573,10174082,'When Equipped:',100,0,0),
(255574,10174082,'On any combat or spell hit this spell may cast Tormenting Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255575,10174082,'Inflicts 1262 - 1543 mental damage on target',100,2,2),
(255576,10174082,'Cannot be modified except by direct means',100,2,3),
(255577,10174082,'Cannot be modified except by direct means',100,1,4),
(255578,122087,'Increases STA and INT of group members (AE) by 29.4',100,1,0),
(255579,10122087,'Increases STA and INT of group members (AE) by 29.4',100,1,0),
(255580,121760,'Heals target for 11 - 14',100,1,0),
(255581,121760,'Heals target for 2 every second',100,1,1),
(255582,10121760,'Heals target for 20 - 24',100,1,0),
(255583,10121760,'Heals target for 2 every second',100,1,1),
(255584,124208,'Decreases Attack Speed of caster by 11.3',100,1,0),
(255585,124208,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(255586,124208,'Slows targets in Area of Effect by 45.6%',100,2,2),
(255587,124208,'5% chance to dispel when target receives hostile action',100,2,3),
(255588,124208,'5% chance to dispel when target takes damage',100,2,4),
(255589,124208,'Increases Mitigation of caster vs physical damage by 207',100,1,5),
(255590,10124208,'Decreases Attack Speed of caster by 11.3',100,1,0),
(255591,10124208,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(255592,10124208,'Slows targets in Area of Effect by 34.2%',100,2,2),
(255593,10124208,'5% chance to dispel when target receives hostile action',100,2,3),
(255594,10124208,'5% chance to dispel when target takes damage',100,2,4),
(255595,10124208,'Increases Mitigation of caster vs physical damage by 207',100,1,5),
(255596,122946,'Inflicts 76 - 102 mental damage on target',100,1,0),
(255597,10122946,'Inflicts 91 - 123 mental damage on target',100,1,0),
(255598,123484,'Decreases Mitigation of target encounter vs noxious damage by 123',100,1,0),
(255599,10123484,'Decreases Mitigation of target encounter vs noxious damage by 123',100,1,0),
(255600,106886,'Decreases Threat to targets in Area of Effect by 2,405 ',100,1,0),
(255601,106886,'Stuns targets in Area of Effect',100,1,1),
(255602,106886,'If Target is not Epic',100,2,2),
(255603,10106886,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(255604,10106886,'Applies Distract.',100,1,1),
(255605,10106886,'Forces target to clear their selected target.',100,2,2),
(255606,10106886,'Stuns targets in Area of Effect',100,1,3),
(255607,10106886,'If Target is not Epic',100,2,4),
(255608,173409,'When Equipped:',100,0,0),
(255609,173409,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(255610,173409,'Decreases Threat to target by 400 ',100,2,2),
(255611,173409,'Cannot be modified except by direct means',100,2,3),
(255612,10173409,'When Equipped:',100,0,0),
(255613,10173409,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(255614,10173409,'Cannot be modified except by direct means',100,2,2),
(255615,104814,'Increases caster''s chance to block by 10.0%',100,1,0),
(255616,104814,'Decreases Attack Speed of caster by 17.8',100,1,1),
(255617,104814,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(255618,104814,'Increases Parry of caster by 33.9',100,1,3),
(255619,104814,'Increases Defense of caster by 33.9',100,1,4),
(255620,10104814,'Increases caster''s chance to block by 10.0%',100,1,0),
(255621,10104814,'Decreases Attack Speed of caster by 17.8',100,1,1),
(255622,10104814,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(255623,10104814,'Increases Parry of caster by 33.9',100,1,3),
(255624,10104814,'Increases Defense of caster by 33.9',100,1,4),
(255625,180731,'When Equipped:',100,0,0),
(255626,180731,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(255627,10180731,'When Equipped:',100,0,0),
(255628,10180731,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(255629,47290,'Applies Romiak''s Renewal  when Activated.',100,0,0),
(255630,47290,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(255631,10047290,'Applies Romiak''s Renewal  when Activated.',100,0,0),
(255632,10047290,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(255633,40976,'When Equipped:',100,0,0),
(255634,40976,'Improves base auto attack multiplier of caster by 0.200',100,1,1),
(255635,40976,'When Equipped:',100,0,2),
(255636,40976,'Improves the combat art damage of the ranger by 10%',100,1,3),
(255637,40976,'When Equipped:',100,0,4),
(255638,40976,'On a ranged hit this spell may cast Talon Strike on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(255639,40976,'Gives caster a 60.0% chance to not use ammunition on an attack',100,2,6),
(255640,40976,'Adds normalized combat art damage based on 20% of your current agility.',100,2,7),
(255641,40976,'Inflicts 435 - 653 slashing damage on target',100,2,8),
(255642,40976,'Cannot be modified except by direct means',100,2,9),
(255643,40976,'Cannot be modified except by direct means',100,1,10),
(255644,10040976,'When Equipped:',100,0,0),
(255645,10040976,'Improves base auto attack multiplier of caster by 0.200',100,1,1),
(255646,10040976,'When Equipped:',100,0,2),
(255647,10040976,'Improves the combat art damage of the ranger by 10%',100,1,3),
(255648,10040976,'When Equipped:',100,0,4),
(255649,10040976,'On a ranged hit this spell may cast Talon Strike on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(255650,10040976,'Gives caster a 60.0% chance to not use ammunition on an attack',100,2,6),
(255651,10040976,'Adds normalized combat art damage based on 20% of your current agility.',100,2,7),
(255652,10040976,'Inflicts 523 - 784 slashing damage on target',100,2,8),
(255653,10040976,'Cannot be modified except by direct means',100,2,9),
(255654,10040976,'Cannot be modified except by direct means',100,1,10),
(255655,111579,'Inflicts 2 - 4 cold damage on target instantly and every 4 seconds',100,1,0),
(255656,111579,'Decreases Mitigation of target vs elemental damage by 77',100,1,1),
(255657,10111579,'Inflicts 3 - 5 cold damage on target instantly and every 4 seconds',100,1,0),
(255658,10111579,'Decreases Mitigation of target vs elemental damage by 77',100,1,1),
(255659,46291,'Applies Sight of Thalger when Activated.',100,0,0),
(255660,46291,'Grants Ultravision to caster',100,1,1),
(255661,10046291,'Applies Sight of Thalger when Activated.',100,0,0),
(255662,10046291,'Grants Ultravision to caster',100,1,1),
(255663,112385,'Increases Crushing, Piercing, Slashing and Ranged of target by 33.6',100,1,0),
(255664,112385,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(255665,112385,'Inflicts 229 - 279 piercing damage on target',100,2,2),
(255666,112385,'Inflicts 114 - 140 piercing damage on target every 3 seconds',100,2,3),
(255667,10112385,'Increases Crushing, Piercing, Slashing and Ranged of target by 33.6',100,1,0),
(255668,10112385,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(255669,10112385,'Inflicts 274 - 335 piercing damage on target',100,2,2),
(255670,10112385,'Inflicts 137 - 168 piercing damage on target every 3 seconds',100,2,3),
(255671,115147,'Heals target for 18 - 22',100,1,0),
(255672,10115147,'Heals target for 25 - 30',100,1,0),
(255673,36383,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(255674,71499,'When Equipped:',100,0,0),
(255675,71499,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(255676,71499,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(255677,71499,'Cannot be modified except by direct means',100,2,3),
(255678,10071499,'When Equipped:',100,0,0),
(255679,10071499,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(255680,10071499,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(255681,10071499,'Cannot be modified except by direct means',100,2,3),
(255682,110668,'Heals target for 243',100,1,0),
(255683,110668,'Dispels 26 levels of any hostile effects on target',100,1,1),
(255684,10110668,'Heals target for 158',100,1,0),
(255685,10110668,'Dispels 26 levels of any hostile effects on target',100,1,1),
(255686,100310,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(255687,100310,'Inflicts 211 divine damage on target',100,2,1),
(255688,10100310,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(255689,10100310,'Inflicts 254 divine damage on target',100,2,1),
(255690,79390,'When Equipped:',100,0,0),
(255691,79390,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(255692,79390,'Roots target',100,2,2),
(255693,79390,'15% chance to dispel when target takes damage',100,2,3),
(255694,79390,'Only affects targets level 90 and below',100,2,4),
(255695,79390,'Does not affect Epic targets',100,2,5),
(255696,79390,'Resistibility increases against targets higher than level 103.',100,2,6),
(255697,79390,'Cannot be modified except by direct means',100,2,7),
(255698,10079390,'When Equipped:',100,0,0),
(255699,10079390,'When damaged with a melee weapon this spell has a 5% chance to cast Hamstring Counter on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,1),
(255700,10079390,'Roots target',100,2,2),
(255701,10079390,'15% chance to dispel when target takes damage',100,2,3),
(255702,10079390,'Only affects targets level 90 and below',100,2,4),
(255703,10079390,'Does not affect Epic targets',100,2,5),
(255704,10079390,'Resistibility increases against targets higher than level 103.',100,2,6),
(255705,10079390,'Cannot be modified except by direct means',100,2,7),
(255706,120761,'Inflicts 28 - 34 divine damage on target instantly and every 3 seconds',100,1,0),
(255707,120761,'Increases power of caster by 31 instantly and every 3 seconds',100,1,1),
(255708,10120761,'Inflicts 34 - 41 divine damage on target instantly and every 3 seconds',100,1,0),
(255709,10120761,'Increases power of caster by 31 instantly and every 3 seconds',100,1,1),
(255710,141971,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(255711,141971,'Decreases Mitigation of target vs physical damage by 784',100,1,1),
(255712,141971,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(255713,10141971,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(255714,10141971,'Decreases Mitigation of target vs physical damage by 784',100,1,1),
(255715,10141971,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(255716,161738,'When Equipped:',100,0,0),
(255717,161738,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(255718,161738,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(255719,161738,'Cannot be modified except by direct means',100,2,3),
(255720,10161738,'When Equipped:',100,0,0),
(255721,10161738,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(255722,10161738,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(255723,10161738,'Cannot be modified except by direct means',100,2,3),
(255724,123058,'Summons a pet undead knight',100,1,0),
(255725,10123058,'Summons a pet undead knight',100,1,0),
(255726,36883,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(255727,88309,'When Equipped:',100,0,0),
(255728,88309,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(255729,88309,'Throws target back',100,2,2),
(255730,88309,'Stuns target',100,2,3),
(255731,88309,'Does not affect Epic targets',100,2,4),
(255732,88309,'Resistibility increases against targets higher than level 74.',100,2,5),
(255733,88309,'Cannot be modified except by direct means',100,2,6),
(255734,10088309,'When Equipped:',100,0,0),
(255735,10088309,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(255736,10088309,'Throws target back',100,2,2),
(255737,10088309,'Stuns target',100,2,3),
(255738,10088309,'Does not affect Epic targets',100,2,4),
(255739,10088309,'Resistibility increases against targets higher than level 74.',100,2,5),
(255740,10088309,'Cannot be modified except by direct means',100,2,6),
(255741,46969,'Applies Middling Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(255742,46969,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(255743,46969,'Decreases WIS and INT of target by 27.4',100,2,2),
(255744,46969,'Cannot be modified except by direct means',100,2,3),
(255745,46969,'Grants a total of 30 triggers of the spell.',100,2,4),
(255746,46969,'Only affects targets level 50 and above',100,1,5),
(255747,10046969,'Applies Middling Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(255748,10046969,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(255749,10046969,'Decreases WIS and INT of target by 27.4',100,2,2),
(255750,10046969,'Cannot be modified except by direct means',100,2,3),
(255751,10046969,'Grants a total of 30 triggers of the spell.',100,2,4),
(255752,10046969,'Only affects targets level 50 and above',100,1,5),
(255753,81051,'When Equipped:',100,0,0),
(255754,81051,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255755,81051,'Inflicts 148 - 275 magic damage on target',100,2,2),
(255756,81051,'Cannot be modified except by direct means',100,2,3),
(255757,10081051,'When Equipped:',100,0,0),
(255758,10081051,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(255759,10081051,'Inflicts 178 - 330 magic damage on target',100,2,2),
(255760,10081051,'Cannot be modified except by direct means',100,2,3),
(255761,101777,'Heals group members (AE) for 449 - 548 instantly and every 2 seconds',100,1,0),
(255762,10101777,'Heals group members (AE) for 292 - 356 instantly and every 2 seconds',100,1,0),
(255763,42883,'When Equipped:',100,0,0),
(255764,42883,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(255765,42883,'Increases Damage Per Second of caster by 9.0',100,2,2),
(255766,42883,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(255767,42883,'Must not be engaged in pvp combat',100,2,4),
(255768,42883,'Cannot be modified except by direct means',100,2,5),
(255769,42883,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(255770,42883,'Cannot be modified except by direct means',100,1,7),
(255771,10042883,'When Equipped:',100,0,0),
(255772,10042883,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(255773,10042883,'Increases Damage Per Second of caster by 9.0',100,2,2),
(255774,10042883,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(255775,10042883,'Must not be engaged in pvp combat',100,2,4),
(255776,10042883,'Cannot be modified except by direct means',100,2,5),
(255777,10042883,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(255778,10042883,'Cannot be modified except by direct means',100,1,7),
(255779,42336,'When Equipped:',100,0,0),
(255780,42336,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(255781,42336,'Increases Damage Per Second of caster by 9.0',100,2,2),
(255782,42336,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(255783,42336,'Must not be engaged in pvp combat',100,2,4),
(255784,42336,'Cannot be modified except by direct means',100,2,5),
(255785,42336,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(255786,42336,'Cannot be modified except by direct means',100,1,7),
(255787,10042336,'When Equipped:',100,0,0),
(255788,10042336,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(255789,10042336,'Increases Damage Per Second of caster by 9.0',100,2,2),
(255790,10042336,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(255791,10042336,'Must not be engaged in pvp combat',100,2,4),
(255792,10042336,'Cannot be modified except by direct means',100,2,5),
(255793,10042336,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(255794,10042336,'Cannot be modified except by direct means',100,1,7),
(255795,121239,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(255796,121239,'Increases Parry of caster by 2.6',100,1,1),
(255797,10121239,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(255798,10121239,'Increases Parry of caster by 2.6',100,1,1),
(255799,123547,'Inflicts 140 - 210 piercing damage on target instantly and every 4 seconds',100,1,0),
(255800,123547,'Decreases Defense of target by 35.3',100,1,1),
(255801,10123547,'Inflicts 235 - 353 piercing damage on target',100,1,0),
(255802,10123547,'Inflicts 168 - 252 piercing damage on target every 4 seconds',100,1,1),
(255803,10123547,'Decreases Defense of target by 35.3',100,1,2),
(255804,104480,'Decreases Mitigation of target encounter vs physical damage by 532',100,1,0),
(255805,10104480,'Decreases Mitigation of target encounter vs physical damage by 532',100,1,0),
(255806,25122,'When Equipped:',100,0,0),
(255807,25122,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(255808,25122,'On a critical spell hit this spell may cast Eye of Rallos on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(255809,25122,'Decreases Multi Attack Chance of target by 5.0',100,2,3),
(255810,25122,'Inflicts 679 - 751 piercing damage on target instantly and every 3 seconds',100,2,4),
(255811,25122,'Inflicts 679 - 751 heat damage on target instantly and every 3 seconds',100,2,5),
(255812,25122,'Inflicts 679 - 751 poison damage on target instantly and every 3 seconds',100,2,6),
(255813,25122,'Must not be engaged in pvp combat',100,2,7),
(255814,25122,'Cannot be modified except by direct means',100,2,8),
(255815,25122,'On a critical combat hit this spell may cast Eye of Rallos on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(255816,25122,'Decreases Multi Attack Chance of target by 5.0',100,2,10),
(255817,25122,'Inflicts 679 - 751 piercing damage on target instantly and every 3 seconds',100,2,11),
(255818,25122,'Inflicts 679 - 751 heat damage on target instantly and every 3 seconds',100,2,12),
(255819,25122,'Inflicts 679 - 751 poison damage on target instantly and every 3 seconds',100,2,13),
(255820,25122,'Must not be engaged in pvp combat',100,2,14),
(255821,25122,'Cannot be modified except by direct means',100,2,15),
(255822,25122,'Must not be engaged in pvp combat',100,1,16),
(255823,10025122,'When Equipped:',100,0,0),
(255824,10025122,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(255825,10025122,'On a critical spell hit this spell may cast Eye of Rallos on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(255826,10025122,'Decreases Multi Attack Chance of target by 5.0',100,2,3),
(255827,10025122,'Inflicts 815 - 901 piercing damage on target instantly and every 3 seconds',100,2,4),
(255828,10025122,'Inflicts 815 - 901 heat damage on target instantly and every 3 seconds',100,2,5),
(255829,10025122,'Inflicts 815 - 901 poison damage on target instantly and every 3 seconds',100,2,6),
(255830,10025122,'Must not be engaged in pvp combat',100,2,7),
(255831,10025122,'Cannot be modified except by direct means',100,2,8),
(255832,10025122,'On a critical combat hit this spell may cast Eye of Rallos on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(255833,10025122,'Decreases Multi Attack Chance of target by 5.0',100,2,10),
(255834,10025122,'Inflicts 815 - 901 piercing damage on target instantly and every 3 seconds',100,2,11),
(255835,10025122,'Inflicts 815 - 901 heat damage on target instantly and every 3 seconds',100,2,12),
(255836,10025122,'Inflicts 815 - 901 poison damage on target instantly and every 3 seconds',100,2,13),
(255837,10025122,'Must not be engaged in pvp combat',100,2,14),
(255838,10025122,'Cannot be modified except by direct means',100,2,15),
(255839,10025122,'Must not be engaged in pvp combat',100,1,16),
(255840,106863,'Decreases Threat to targets in Area of Effect by 455 ',100,1,0),
(255841,106863,'Stuns targets in Area of Effect',100,1,1),
(255842,106863,'If Target is not Epic',100,2,2),
(255843,10106863,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(255844,10106863,'Applies Distract.',100,1,1),
(255845,10106863,'Forces target to clear their selected target.',100,2,2),
(255846,10106863,'Stuns targets in Area of Effect',100,1,3),
(255847,10106863,'If Target is not Epic',100,2,4),
(255848,46332,'Applies Fist of Pestilence when Activated.  Lasts for 1 hour.',100,0,0),
(255849,46332,'If target is a challenge.',100,1,1),
(255850,10046332,'Applies Fist of Pestilence when Activated.  Lasts for 1 hour.',100,0,0),
(255851,10046332,'If target is a challenge.',100,1,1),
(255852,101262,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(255853,101262,'Inflicts 240 - 400 mental damage on target',100,2,1),
(255854,10101262,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(255855,10101262,'Inflicts 288 - 481 mental damage on target',100,2,1),
(255856,105618,'Inflicts 23 disease damage on target instantly and every 6 seconds',100,1,0),
(255857,105618,'Inflicts 52 - 88 disease damage on target',100,1,1),
(255858,105618,'Inflicts 52 - 88 disease damage on target',100,1,2),
(255859,10105618,'Inflicts 27 disease damage on target instantly and every 6 seconds',100,1,0),
(255860,10105618,'Inflicts 63 - 105 disease damage on target',100,1,1),
(255861,10105618,'Inflicts 63 - 105 disease damage on target',100,1,2),
(255862,108178,'Inflicts 1764 - 2940 melee damage on target',100,1,0),
(255863,108178,'You must be sneaking to use this ability.',100,1,1),
(255864,108178,'Must be flanking or behind',100,1,2),
(255865,10108178,'Inflicts 1396 - 2327 melee damage on target',100,1,0),
(255866,10108178,'You must be sneaking to use this ability.',100,1,1),
(255867,10108178,'Must be flanking or behind',100,1,2),
(255868,25972,'When Equipped:',100,0,0),
(255869,25972,'Increases Damage Per Second of caster by 4.0',100,1,1),
(255870,10025972,'When Equipped:',100,0,0),
(255871,10025972,'Increases Damage Per Second of caster by 4.0',100,1,1),
(255872,123427,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(255873,123427,'Throws target back',100,2,1),
(255874,123427,'Stuns target',100,2,2),
(255875,123427,'Blurs vision of target',100,2,3),
(255876,123427,'Does not affect Epic targets',100,2,4),
(255877,123427,'Inflicts 217 - 652 melee damage on target',100,1,5),
(255878,10123427,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(255879,10123427,'Blurs vision of target',100,2,1),
(255880,10123427,'Throws target back',100,2,2),
(255881,10123427,'Stuns target',100,2,3),
(255882,10123427,'Does not affect Epic targets',100,2,4),
(255883,10123427,'Inflicts 260 - 782 melee damage on target',100,1,5),
(255884,121148,'Summon 1 Splinter of Essence (Master I)',100,1,0),
(255885,10121148,'Summon 1 Splinter of Essence (Master I)',100,1,0),
(255886,106239,'Inflicts 315 - 945 melee damage on target',100,1,0),
(255887,106239,'Stifles target',100,1,1),
(255888,106239,'If Target is not Epic',100,2,2),
(255889,106239,'Resistibility increases against targets higher than level 117.',100,1,3),
(255890,10106239,'Inflicts 378 - 1134 melee damage on target',100,1,0),
(255891,10106239,'Stifles target',100,1,1),
(255892,10106239,'If Target is not Epic',100,2,2),
(255893,10106239,'Resistibility increases against targets higher than level 117.',100,1,3),
(255894,165198,'When Equipped:',100,0,0),
(255895,165198,'Reduces cast time of all spells by 5 percent.',100,1,1),
(255896,10165198,'When Equipped:',100,0,0),
(255897,10165198,'Reduces cast time of all spells by 5 percent.',100,1,1),
(255898,84253,'Applies Mental Blast when Activated.',100,0,0),
(255899,84253,'Inflicts 53 - 89 mental damage on target',100,1,1),
(255900,84253,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(255901,10084253,'Applies Mental Blast when Activated.',100,0,0),
(255902,10084253,'Inflicts 64 - 106 mental damage on target',100,1,1),
(255903,10084253,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(255904,117624,'Inflicts 496 - 828 ranged damage on target',100,1,0),
(255905,117624,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(255906,117624,'Slows target by 41.4%',100,2,2),
(255907,117624,'5% chance to dispel when target receives hostile action',100,2,3),
(255908,117624,'5% chance to dispel when target takes damage',100,2,4),
(255909,117624,'Must be flanking or behind',100,1,5),
(255910,117624,'Requires bow',100,1,6),
(255911,10117624,'Inflicts 372 - 621 ranged damage on target',100,1,0),
(255912,10117624,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(255913,10117624,'Slows target by 41.4%',100,2,2),
(255914,10117624,'5% chance to dispel when target receives hostile action',100,2,3),
(255915,10117624,'5% chance to dispel when target takes damage',100,2,4),
(255916,10117624,'Must be flanking or behind',100,1,5),
(255917,10117624,'Requires bow',100,1,6),
(255918,75421,'When Equipped:',100,0,0),
(255919,75421,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(255920,75421,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(255921,75421,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(255922,75421,'Must be classified as an undead',100,3,4),
(255923,75421,'Inflicts 281 mental damage on target',100,2,5),
(255924,75421,'Must not be classified as an undead',100,3,6),
(255925,75421,'Inflicts 562 mental damage on target',100,2,7),
(255926,75421,'Must be classified as an undead',100,3,8),
(255927,75421,'Cannot be modified except by direct means',100,2,9),
(255928,10075421,'When Equipped:',100,0,0),
(255929,10075421,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(255930,10075421,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(255931,10075421,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(255932,10075421,'Must be classified as an undead',100,3,4),
(255933,10075421,'Inflicts 337 mental damage on target',100,2,5),
(255934,10075421,'Must not be classified as an undead',100,3,6),
(255935,10075421,'Inflicts 674 mental damage on target',100,2,7),
(255936,10075421,'Must be classified as an undead',100,3,8),
(255937,10075421,'Cannot be modified except by direct means',100,2,9),
(255938,47519,'Applies Petrified Froglok Eye when Activated.  Lasts for 6 hours.',100,0,0),
(255939,47519,'Shapechanges caster into a froglok',100,1,1),
(255940,10047519,'Applies Petrified Froglok Eye when Activated.  Lasts for 6 hours.',100,0,0),
(255941,10047519,'Shapechanges caster into a froglok',100,1,1),
(255942,46873,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(255943,46873,'Increases STR of caster by 55.7',100,1,1),
(255944,10046873,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(255945,10046873,'Increases STR of caster by 55.7',100,1,1),
(255946,120915,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(255947,120915,'Inflicts 200 - 244 mental damage on target',100,2,1),
(255948,120915,'Grants a total of 3 triggers of the spell.',100,2,2),
(255949,10120915,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(255950,10120915,'Inflicts 240 - 293 mental damage on target',100,2,1),
(255951,10120915,'Grants a total of 3 triggers of the spell.',100,2,2),
(255952,100855,'Wards target against 1788 points of all damage',100,1,0),
(255953,10100855,'Wards target against 2752 points of all damage',100,1,0),
(255954,85802,'When Equipped:',100,0,0),
(255955,85802,'On a combat hit this spell may cast Frenzied Glyph on caster.  Lasts for 20.0 seconds.  Triggers about 0.4 times per minute. ',100,1,1),
(255956,85802,'Increases Attack Speed of target by 10.0',100,2,2),
(255957,85802,'Cannot be modified except by direct means',100,2,3),
(255958,10085802,'When Equipped:',100,0,0),
(255959,10085802,'On a combat hit this spell may cast Frenzied Glyph on caster.  Lasts for 20.0 seconds.  Triggers about 0.4 times per minute. ',100,1,1),
(255960,10085802,'Increases Attack Speed of target by 10.0',100,2,2),
(255961,10085802,'Cannot be modified except by direct means',100,2,3),
(255962,105699,'Decreases Attack Speed of target encounter by 15.8',100,1,0),
(255963,105699,'Slows target encounter by 20.8%',100,1,1),
(255964,10105699,'Decreases Attack Speed of target encounter by 15.8',100,1,0),
(255965,10105699,'Slows target encounter by 20.8%',100,1,1),
(255966,26981,'When Equipped:',100,0,0),
(255967,26981,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255968,26981,'Inflicts 143 divine damage on target',100,2,2),
(255969,26981,'Heals caster for 140',100,2,3),
(255970,26981,'Cannot be modified except by direct means',100,2,4),
(255971,10026981,'When Equipped:',100,0,0),
(255972,10026981,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(255973,10026981,'Inflicts 171 divine damage on target',100,2,2),
(255974,10026981,'Heals caster for 91',100,2,3),
(255975,10026981,'Cannot be modified except by direct means',100,2,4),
(255976,113407,'Reduces physical damage done to caster by 5%',100,1,0),
(255977,113407,'Increases STA of caster by 43.7',100,1,1),
(255978,113407,'Adds 2.9% to base avoidance.',100,1,2),
(255979,113407,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(255980,113407,'Increases Defense and Aggression of caster by 8.6',100,1,4),
(255981,113407,'Increases Mitigation of caster vs noxious damage by 570',100,1,5),
(255982,113407,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(255983,10113407,'Reduces physical damage done to caster by 5%',100,1,0),
(255984,10113407,'Increases STA of caster by 43.7',100,1,1),
(255985,10113407,'Adds 2.9% to base avoidance.',100,1,2),
(255986,10113407,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(255987,10113407,'Increases Defense and Aggression of caster by 8.6',100,1,4),
(255988,10113407,'Increases Mitigation of caster vs noxious damage by 570',100,1,5),
(255989,10113407,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(255990,157476,'When Equipped:',100,0,0),
(255991,157476,'Increases Attack Speed of caster by 35.0',100,1,1),
(255992,10157476,'When Equipped:',100,0,0),
(255993,10157476,'Increases Attack Speed of caster by 35.0',100,1,1),
(255994,175530,'When Equipped:',100,0,0),
(255995,175530,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(255996,175530,'Reduces resistibility by 10%.',100,2,2),
(255997,175530,'Cannot be modified except by direct means',100,2,3),
(255998,10175530,'When Equipped:',100,0,0),
(255999,10175530,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256000,10175530,'Reduces resistibility by 10%.',100,2,2),
(256001,10175530,'Cannot be modified except by direct means',100,2,3),
(256002,100921,'Stuns targets in Area of Effect',20,1,0),
(256003,100921,'If Target is not Epic',100,2,1),
(256004,100921,'Inflicts 380 - 634 divine damage on targets in Area of Effect',100,1,2),
(256005,100921,'Resistibility increases against targets higher than level 99.',100,1,3),
(256006,10100921,'Stuns targets in Area of Effect',20,1,0),
(256007,10100921,'If Target is not Epic',100,2,1),
(256008,10100921,'Inflicts 456 - 761 divine damage on targets in Area of Effect',100,1,2),
(256009,10100921,'Resistibility increases against targets higher than level 99.',100,1,3),
(256010,161811,'When Equipped:',100,0,0),
(256011,161811,'On any combat or spell hit this spell may cast Static Followup III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256012,161811,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,2),
(256013,161811,'Increases Spell Weapon Multi Attack Chance of caster by 11.0',100,2,3),
(256014,161811,'Must not be engaged in pvp combat',100,2,4),
(256015,161811,'Cannot be modified except by direct means',100,2,5),
(256016,161811,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(256017,161811,'Cannot be modified except by direct means',100,1,7),
(256018,10161811,'When Equipped:',100,0,0),
(256019,10161811,'On any combat or spell hit this spell may cast Static Followup III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256020,10161811,'Increases Spell Weapon Damage Per Second of caster by 7.5',100,2,2),
(256021,10161811,'Increases Spell Weapon Multi Attack Chance of caster by 11.0',100,2,3),
(256022,10161811,'Must not be engaged in pvp combat',100,2,4),
(256023,10161811,'Cannot be modified except by direct means',100,2,5),
(256024,10161811,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(256025,10161811,'Cannot be modified except by direct means',100,1,7),
(256026,159675,'When Equipped:',100,0,0),
(256027,159675,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256028,159675,'Increases WIS of caster by 8.8',100,2,2),
(256029,159675,'Increases Ministration, Focus and Ordination of caster by 5.2',100,2,3),
(256030,159675,'Cannot be modified except by direct means',100,2,4),
(256031,10159675,'When Equipped:',100,0,0),
(256032,10159675,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256033,10159675,'Increases WIS of caster by 8.8',100,2,2),
(256034,10159675,'Increases Ministration, Focus and Ordination of caster by 5.2',100,2,3),
(256035,10159675,'Cannot be modified except by direct means',100,2,4),
(256036,187183,'When Equipped:',100,0,0),
(256037,187183,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(256038,187183,'Decreases Attack Speed of target by 20.0',100,2,2),
(256039,187183,'Cannot be modified except by direct means',100,2,3),
(256040,10187183,'When Equipped:',100,0,0),
(256041,10187183,'When damaged with a melee weapon this spell has a 7% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(256042,10187183,'Decreases Attack Speed of target by 20.0',100,2,2),
(256043,10187183,'Cannot be modified except by direct means',100,2,3),
(256044,72272,'When Equipped:',100,0,0),
(256045,72272,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256046,72272,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(256047,72272,'Cannot be modified except by direct means',100,2,3),
(256048,10072272,'When Equipped:',100,0,0),
(256049,10072272,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256050,10072272,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(256051,10072272,'Cannot be modified except by direct means',100,2,3),
(256052,80277,'When Equipped:',100,0,0),
(256053,80277,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256054,80277,'Decreases Threat to target by 801 ',100,2,2),
(256055,80277,'Must be flanking or behind',100,3,3),
(256056,80277,'Increases Threat to target by 1,261 ',100,2,4),
(256057,80277,'Must be in front of',100,3,5),
(256058,80277,'Inflicts 169 - 314 magic damage on target',100,2,6),
(256059,80277,'Cannot be modified except by direct means',100,2,7),
(256060,10080277,'When Equipped:',100,0,0),
(256061,10080277,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256062,10080277,'Inflicts 203 - 377 magic damage on target',100,2,2),
(256063,10080277,'Cannot be modified except by direct means',100,2,3),
(256064,24433,'Adds Griffin (Templar) to your Dungeon Maker toolbox',100,0,0),
(256065,10024433,'Adds Griffin (Templar) to your Dungeon Maker toolbox',100,0,0),
(256066,71536,'When Equipped:',100,0,0),
(256067,71536,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256068,71536,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(256069,71536,'Cannot be modified except by direct means',100,2,3),
(256070,10071536,'When Equipped:',100,0,0),
(256071,10071536,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256072,10071536,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(256073,10071536,'Cannot be modified except by direct means',100,2,3),
(256074,72195,'When Equipped:',100,0,0),
(256075,72195,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256076,72195,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(256077,72195,'Cannot be modified except by direct means',100,2,3),
(256078,10072195,'When Equipped:',100,0,0),
(256079,10072195,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256080,10072195,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(256081,10072195,'Cannot be modified except by direct means',100,2,3),
(256082,24150,'Adds Crocodile (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(256083,10024150,'Adds Crocodile (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(256084,118288,'Summons a limited pet to aid the caster',100,1,0),
(256085,10118288,'Summons a limited pet to aid the caster',100,1,0),
(256086,86139,'When Equipped:',100,0,0),
(256087,86139,'On a combat hit this spell may cast Consecration of Rahotep on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(256088,86139,'Heals group members for 200',100,2,2),
(256089,86139,'Cannot be modified except by direct means',100,2,3),
(256090,10086139,'When Equipped:',100,0,0),
(256091,10086139,'On a combat hit this spell may cast Consecration of Rahotep on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(256092,10086139,'Heals group members for 130',100,2,2),
(256093,10086139,'Cannot be modified except by direct means',100,2,3),
(256094,131027,'When Equipped:',100,0,0),
(256095,131027,'On any combat or spell hit this spell may cast Agonizing Grip on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256096,131027,'Inflicts 1146 mental damage on target',100,2,2),
(256097,131027,'Inflicts 917 mental damage on caster',100,2,3),
(256098,131027,'Cannot be modified except by direct means',100,2,4),
(256099,10131027,'When Equipped:',100,0,0),
(256100,10131027,'On any combat or spell hit this spell may cast Agonizing Grip on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256101,10131027,'Inflicts 1375 mental damage on target',100,2,2),
(256102,10131027,'Inflicts 1100 mental damage on caster',100,2,3),
(256103,10131027,'Cannot be modified except by direct means',100,2,4),
(256104,119946,'Inflicts 190 - 317 melee damage on target',100,1,0),
(256105,119946,'Stifles target',100,1,1),
(256106,119946,'If Target is not Epic',100,2,2),
(256107,119946,'Resistibility increases against targets higher than level 79.',100,1,3),
(256108,10119946,'Inflicts 228 - 380 melee damage on target',100,1,0),
(256109,10119946,'Stifles target',100,1,1),
(256110,10119946,'If Target is not Epic',100,2,2),
(256111,10119946,'Resistibility increases against targets higher than level 79.',100,1,3),
(256112,111858,'Inflicts 31 - 58 heat damage on target',100,1,0),
(256113,111858,'Inflicts 12 - 22 heat damage on target every 2 seconds',100,1,1),
(256114,10111858,'Inflicts 37 - 69 heat damage on target',100,1,0),
(256115,10111858,'Inflicts 14 - 26 heat damage on target every 2 seconds',100,1,1),
(256116,116047,'Shapechanges caster into a lion',100,1,0),
(256117,116047,'Increases STA of caster by 67.3',100,1,1),
(256118,116047,'Adds 2.8% to base avoidance.',100,1,2),
(256119,116047,'Grants See Stealth to caster',100,1,3),
(256120,116047,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1094',100,1,4),
(256121,10116047,'Shapechanges caster into a lion',100,1,0),
(256122,10116047,'Increases STA of caster by 67.3',100,1,1),
(256123,10116047,'Adds 2.8% to base avoidance.',100,1,2),
(256124,10116047,'Grants See Stealth to caster',100,1,3),
(256125,10116047,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1094',100,1,4),
(256126,24301,'Adds Elite: Displacer Beast-Skeleton (Wizard) to your Dungeon Maker toolbox',100,0,0),
(256127,10024301,'Adds Elite: Displacer Beast-Skeleton (Wizard) to your Dungeon Maker toolbox',100,0,0),
(256128,119109,'Inflicts 135 - 406 melee damage on targets in area',100,1,0),
(256129,119109,'Inflicts 135 - 406 melee damage on targets in area',100,1,1),
(256130,119109,'Inflicts 135 - 406 melee damage on targets in area',100,1,2),
(256131,119109,'Inflicts 135 - 406 melee damage on targets in area',100,1,3),
(256132,10119109,'Inflicts 162 - 487 melee damage on targets in area',100,1,0),
(256133,10119109,'Inflicts 162 - 487 melee damage on targets in area',100,1,1),
(256134,10119109,'Inflicts 162 - 487 melee damage on targets in area',100,1,2),
(256135,10119109,'Inflicts 162 - 487 melee damage on targets in area',100,1,3),
(256136,85451,'When Equipped:',100,0,0),
(256137,85451,'Increases caster''s chance to block by 18.0%',100,1,1),
(256138,85451,'When Equipped:',100,0,2),
(256139,85451,'This effect will not stack with any rank or tier of itself.',100,1,3),
(256140,85451,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(256141,85451,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,5),
(256142,85451,'Inflicts 201 - 222 piercing damage on target',100,3,6),
(256143,85451,'Must not be engaged in pvp combat',100,3,7),
(256144,85451,'Cannot be modified except by direct means',100,3,8),
(256145,85451,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,9),
(256146,85451,'Must not be engaged in pvp combat',100,2,10),
(256147,85451,'Cannot be modified except by direct means',100,2,11),
(256148,85451,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(256149,85451,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,13),
(256150,85451,'Inflicts 201 - 222 piercing damage on target',100,3,14),
(256151,85451,'Must not be engaged in pvp combat',100,3,15),
(256152,85451,'Cannot be modified except by direct means',100,3,16),
(256153,85451,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,17),
(256154,85451,'Must not be engaged in pvp combat',100,2,18),
(256155,85451,'Cannot be modified except by direct means',100,2,19),
(256156,85451,'Cannot be modified except by direct means',100,1,20),
(256157,10085451,'When Equipped:',100,0,0),
(256158,10085451,'Increases caster''s chance to block by 18.0%',100,1,1),
(256159,10085451,'When Equipped:',100,0,2),
(256160,10085451,'This effect will not stack with any rank or tier of itself.',100,1,3),
(256161,10085451,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(256162,10085451,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,5),
(256163,10085451,'Inflicts 241 - 267 piercing damage on target',100,3,6),
(256164,10085451,'Must not be engaged in pvp combat',100,3,7),
(256165,10085451,'Cannot be modified except by direct means',100,3,8),
(256166,10085451,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,9),
(256167,10085451,'Must not be engaged in pvp combat',100,2,10),
(256168,10085451,'Cannot be modified except by direct means',100,2,11),
(256169,10085451,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(256170,10085451,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,13),
(256171,10085451,'Inflicts 241 - 267 piercing damage on target',100,3,14),
(256172,10085451,'Must not be engaged in pvp combat',100,3,15),
(256173,10085451,'Cannot be modified except by direct means',100,3,16),
(256174,10085451,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,17),
(256175,10085451,'Must not be engaged in pvp combat',100,2,18),
(256176,10085451,'Cannot be modified except by direct means',100,2,19),
(256177,10085451,'Cannot be modified except by direct means',100,1,20),
(256178,118388,'Inflicts 374 - 623 melee damage on target',100,1,0),
(256179,118388,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(256180,118388,'Blurs vision of target',100,2,2),
(256181,118388,'Stuns target',100,2,3),
(256182,118388,'Throws target back',100,2,4),
(256183,118388,'Does not affect Epic targets',100,2,5),
(256184,10118388,'Inflicts 448 - 748 melee damage on target',100,1,0),
(256185,10118388,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(256186,10118388,'Stuns target',100,2,2),
(256187,10118388,'Throws target back',100,2,3),
(256188,10118388,'Blurs vision of target',100,2,4),
(256189,10118388,'Does not affect Epic targets',100,2,5),
(256190,114354,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(256191,114354,'Blurs vision of target',100,2,1),
(256192,114354,'Stuns target',100,2,2),
(256193,114354,'Throws target back',100,2,3),
(256194,114354,'Does not affect Epic targets',100,2,4),
(256195,114354,'Inflicts 40 - 67 crushing damage on target',100,1,5),
(256196,10114354,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(256197,10114354,'Stuns target',100,2,1),
(256198,10114354,'Throws target back',100,2,2),
(256199,10114354,'Blurs vision of target',100,2,3),
(256200,10114354,'Does not affect Epic targets',100,2,4),
(256201,10114354,'Inflicts 48 - 80 crushing damage on target',100,1,5),
(256202,41585,'When Equipped:',100,0,0),
(256203,41585,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256204,41585,'Decreases Threat to target by 801 ',100,2,2),
(256205,41585,'Must be flanking or behind',100,3,3),
(256206,41585,'Increases Threat to target by 1,261 ',100,2,4),
(256207,41585,'Must be in front of',100,3,5),
(256208,41585,'Inflicts 169 - 314 magic damage on target',100,2,6),
(256209,41585,'Cannot be modified except by direct means',100,2,7),
(256210,10041585,'When Equipped:',100,0,0),
(256211,10041585,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256212,10041585,'Inflicts 203 - 377 magic damage on target',100,2,2),
(256213,10041585,'Cannot be modified except by direct means',100,2,3),
(256214,136516,'When Equipped:',100,0,0),
(256215,136516,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(256216,136516,'Wards caster against 2000 points of all damage',100,2,2),
(256217,136516,'Cannot be modified except by direct means',100,2,3),
(256218,136516,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(256219,136516,'Wards caster against 2000 points of all damage',100,2,5),
(256220,136516,'Cannot be modified except by direct means',100,2,6),
(256221,10136516,'When Equipped:',100,0,0),
(256222,10136516,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(256223,10136516,'Wards caster against 1000 points of all damage',100,2,2),
(256224,10136516,'Cannot be modified except by direct means',100,2,3),
(256225,10136516,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(256226,10136516,'Wards caster against 1000 points of all damage',100,2,5),
(256227,10136516,'Cannot be modified except by direct means',100,2,6),
(256228,100305,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(256229,100305,'Inflicts 226 divine damage on target',100,2,1),
(256230,10100305,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(256231,10100305,'Inflicts 272 divine damage on target',100,2,1),
(256232,118254,'Increases Threat to target encounter by 266 - 325 ',100,1,0),
(256233,118254,'Decreases Mitigation of target encounter vs arcane damage by 220',100,1,1),
(256234,10118254,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(256235,10118254,'Prevents target from changing targets',100,2,1),
(256236,10118254,'Forces target to change their selected target to caster.',100,2,2),
(256237,10118254,'Decreases Mitigation of target encounter vs arcane damage by 220',100,1,3),
(256238,102397,'Inflicts 266 - 494 melee damage on targets in area',100,1,0),
(256239,10102397,'Inflicts 319 - 593 melee damage on targets in area',100,1,0),
(256240,116979,'Increases Threat to target by 2,303 - 2,712 ',100,1,0),
(256241,116979,'Interrupts target',100,1,1),
(256242,10116979,'Forces target to change their selected target to caster.',100,1,0),
(256243,10116979,'Interrupts target',100,1,1),
(256244,10116979,'Prevents target from changing targets',100,1,2),
(256245,186898,'When Equipped:',100,0,0),
(256246,186898,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256247,186898,'Wards target against 1000 points of all damage',100,2,2),
(256248,186898,'This effect stacks with the Runic Deflection line.',100,2,3),
(256249,186898,'Cannot be modified except by direct means',100,2,4),
(256250,10186898,'When Equipped:',100,0,0),
(256251,10186898,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256252,10186898,'Wards target against 1000 points of all damage',100,2,2),
(256253,10186898,'This effect stacks with the Runic Deflection line.',100,2,3),
(256254,10186898,'Cannot be modified except by direct means',100,2,4),
(256255,105031,'Increases WIS of raid and group members (AE) by 33.5',100,1,0),
(256256,105031,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(256257,105031,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 122',100,1,2),
(256258,10105031,'Increases WIS of raid and group members (AE) by 33.5',100,1,0),
(256259,10105031,'Increases heal amounts of raid members by 3.13%.',100,1,1),
(256260,10105031,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 122',100,1,2),
(256261,100756,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(256262,100756,'Wards target against 665 points of all damage',100,2,1),
(256263,100756,'Heals target for 540',100,2,2),
(256264,100756,'Increases power of target by 125 every 6 seconds',100,2,3),
(256265,100756,'Grants a total of 1 trigger of the spell.',100,2,4),
(256266,10100756,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(256267,10100756,'Wards target against 665 points of all damage',100,2,1),
(256268,10100756,'Heals target for 351',100,2,2),
(256269,10100756,'Increases power of target by 125 every 6 seconds',100,2,3),
(256270,10100756,'Grants a total of 1 trigger of the spell.',100,2,4),
(256271,105580,'Decreases power of target encounter by 16 - 20 instantly and every 3 seconds',100,1,0),
(256272,105580,'Inflicts 38 - 71 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(256273,105580,'Heals group members (AE) for 18 - 34 instantly and every 3 seconds',100,1,2),
(256274,105580,'Increases power of group members (AE) by 7 instantly and every 3 seconds',100,1,3),
(256275,10105580,'Decreases power of target encounter by 16 - 20 instantly and every 3 seconds',100,1,0),
(256276,10105580,'Inflicts 46 - 85 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(256277,10105580,'Heals group members (AE) for 12 - 22 instantly and every 3 seconds',100,1,2),
(256278,10105580,'Increases power of group members (AE) by 7 instantly and every 3 seconds',100,1,3),
(256279,35721,'Increases Max Power of target by 47.2',100,0,0),
(256280,35721,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(256281,120521,'Inflicts 547 - 912 melee damage on target',100,1,0),
(256282,120521,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(256283,120521,'Grants stealth to caster',100,2,2),
(256284,120521,'Suspends caster''s movement speed enhancements',100,2,3),
(256285,120521,'Must be flanking or behind',100,1,4),
(256286,10120521,'Inflicts 657 - 1095 melee damage on target',100,1,0),
(256287,10120521,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(256288,10120521,'Grants stealth to caster',100,2,2),
(256289,10120521,'Suspends caster''s movement speed enhancements',100,2,3),
(256290,10120521,'Must be flanking or behind',100,1,4),
(256291,50134,'When Equipped:',100,0,0),
(256292,50134,'Increases caster''s chance to block by 15.0%',100,1,1),
(256293,10050134,'When Equipped:',100,0,0),
(256294,10050134,'Increases caster''s chance to block by 15.0%',100,1,1),
(256295,152297,'When Equipped:',100,0,0),
(256296,152297,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256297,152297,'Inflicts 1192 magic damage on target',100,2,2),
(256298,152297,'Cannot be modified except by direct means',100,2,3),
(256299,10152297,'When Equipped:',100,0,0),
(256300,10152297,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256301,10152297,'Inflicts 715 magic damage on target',100,2,2),
(256302,10152297,'Cannot be modified except by direct means',100,2,3),
(256303,45812,'Applies Crystal of Discord when Activated.  Lasts for 10.0 seconds.',100,0,0),
(256304,45812,'Makes caster immune to Charm effects',100,1,1),
(256305,45812,'Makes caster immune to Mesmerize effects',100,1,2),
(256306,45812,'Makes caster immune to Daze effects',100,1,3),
(256307,10045812,'Applies Crystal of Discord when Activated.  Lasts for 10.0 seconds.',100,0,0),
(256308,10045812,'Makes caster immune to Charm effects',100,1,1),
(256309,10045812,'Makes caster immune to Mesmerize effects',100,1,2),
(256310,10045812,'Makes caster immune to Daze effects',100,1,3),
(256311,111867,'Inflicts 103 - 191 heat damage on target',100,1,0),
(256312,111867,'Inflicts 39 - 72 heat damage on target every 2 seconds',100,1,1),
(256313,10111867,'Inflicts 123 - 229 heat damage on target',100,1,0),
(256314,10111867,'Inflicts 46 - 86 heat damage on target every 2 seconds',100,1,1),
(256315,124365,'Inflicts 124 - 151 divine damage on target',100,1,0),
(256316,124365,'Inflicts 52 - 63 divine damage on target every 4 seconds',100,1,1),
(256317,10124365,'Inflicts 149 - 182 divine damage on target',100,1,0),
(256318,10124365,'Inflicts 62 - 76 divine damage on target every 4 seconds',100,1,1),
(256319,155411,'When Equipped:',100,0,0),
(256320,155411,'Increases Attack Speed of caster by 35.0',100,1,1),
(256321,10155411,'When Equipped:',100,0,0),
(256322,10155411,'Increases Attack Speed of caster by 35.0',100,1,1),
(256323,47419,'Applies Nuknok Piglet when Activated.',100,0,0),
(256324,47419,'Summons a pet Nuknok Piglet',100,1,1),
(256325,10047419,'Applies Nuknok Piglet when Activated.',100,0,0),
(256326,10047419,'Summons a pet Nuknok Piglet',100,1,1),
(256327,41611,'When Equipped:',100,0,0),
(256328,41611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256329,41611,'Inflicts 33 - 61 magic damage on target',100,2,2),
(256330,41611,'Cannot be modified except by direct means',100,2,3),
(256331,10041611,'When Equipped:',100,0,0),
(256332,10041611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256333,10041611,'Inflicts 40 - 74 magic damage on target',100,2,2),
(256334,10041611,'Cannot be modified except by direct means',100,2,3),
(256335,47464,'Applies Overclocked Manastone when Activated.',100,0,0),
(256336,47464,'Decreases power of caster by 12.0%',10,1,1),
(256337,47464,'Increases power of caster by 20.0%',90,1,2),
(256338,10047464,'Applies Overclocked Manastone when Activated.',100,0,0),
(256339,10047464,'Decreases power of caster by 6.0%',10,1,1),
(256340,10047464,'Increases power of caster by 10.0%',90,1,2),
(256341,82729,'When Equipped:',100,0,0),
(256342,82729,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256343,82729,'Decreases Threat to target by 487 ',100,2,2),
(256344,82729,'Must be flanking or behind',100,3,3),
(256345,82729,'Increases Threat to target by 852 ',100,2,4),
(256346,82729,'Must be in front of',100,3,5),
(256347,82729,'Inflicts 108 - 200 magic damage on target',100,2,6),
(256348,82729,'Cannot be modified except by direct means',100,2,7),
(256349,10082729,'When Equipped:',100,0,0),
(256350,10082729,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256351,10082729,'Inflicts 129 - 240 magic damage on target',100,2,2),
(256352,10082729,'Cannot be modified except by direct means',100,2,3),
(256353,120180,'Applies Life Draw on termination.',100,1,0),
(256354,120180,'Inflicts 409 - 682 disease damage on target',100,2,1),
(256355,120180,'Heals caster for 13.9 - 16.9% of max health',100,2,2),
(256356,120180,'This effect cannot be critically applied.',100,3,3),
(256357,120180,'The healing of this spell cannot be modified except by direct means',100,2,4),
(256358,120180,'Inflicts 119 - 198 disease damage on target',100,1,5),
(256359,10120180,'Applies Life Draw on termination.',100,1,0),
(256360,10120180,'Inflicts 491 - 819 disease damage on target',100,2,1),
(256361,10120180,'Heals caster for 3.8 - 4.6% of max health',100,2,2),
(256362,10120180,'This effect cannot be critically applied.',100,3,3),
(256363,10120180,'The healing of this spell cannot be modified except by direct means',100,2,4),
(256364,10120180,'Inflicts 143 - 238 disease damage on target',100,1,5),
(256365,111429,'Decreases Attack Speed of caster by 11.3',100,1,0),
(256366,111429,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(256367,111429,'Roots target',100,2,2),
(256368,111429,'5% chance to dispel when target takes damage',100,2,3),
(256369,111429,'5% chance to dispel when target receives hostile action',100,2,4),
(256370,111429,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(256371,111429,'Increases Mitigation of caster vs physical damage by 207',100,1,6),
(256372,10111429,'Decreases Attack Speed of caster by 11.3',100,1,0),
(256373,10111429,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(256374,10111429,'Roots target',100,2,2),
(256375,10111429,'5% chance to dispel when target takes damage',100,2,3),
(256376,10111429,'5% chance to dispel when target receives hostile action',100,2,4),
(256377,10111429,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(256378,10111429,'Increases Mitigation of caster vs physical damage by 207',100,1,6),
(256379,71414,'When Equipped:',100,0,0),
(256380,71414,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256381,71414,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(256382,71414,'Cannot be modified except by direct means',100,2,3),
(256383,10071414,'When Equipped:',100,0,0),
(256384,10071414,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256385,10071414,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(256386,10071414,'Cannot be modified except by direct means',100,2,3),
(256387,45997,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(256388,45997,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(256389,45997,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(256390,45997,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(256391,45997,'You can only have one experience potion active at a time.',100,1,4),
(256392,10045997,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(256393,10045997,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(256394,10045997,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(256395,10045997,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(256396,10045997,'You can only have one experience potion active at a time.',100,1,4),
(256397,103605,'Increases Mitigation of caster vs physical damage by 1074',100,1,0),
(256398,10103605,'Increases Mitigation of caster vs physical damage by 1074',100,1,0),
(256399,163236,'When Equipped:',100,0,0),
(256400,163236,'On a critical combat hit this spell may cast Arcane Vulnerability III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256401,163236,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,2,2),
(256402,163236,'Must not be engaged in pvp combat',100,2,3),
(256403,163236,'Cannot be modified except by direct means',100,2,4),
(256404,163236,'On a critical spell hit this spell may cast Arcane Vulnerability III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(256405,163236,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,2,6),
(256406,163236,'Must not be engaged in pvp combat',100,2,7),
(256407,163236,'Cannot be modified except by direct means',100,2,8),
(256408,163236,'Must not be engaged in pvp combat',100,1,9),
(256409,10163236,'When Equipped:',100,0,0),
(256410,10163236,'On a critical combat hit this spell may cast Arcane Vulnerability III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256411,10163236,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,2,2),
(256412,10163236,'Must not be engaged in pvp combat',100,2,3),
(256413,10163236,'Cannot be modified except by direct means',100,2,4),
(256414,10163236,'On a critical spell hit this spell may cast Arcane Vulnerability III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(256415,10163236,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',100,2,6),
(256416,10163236,'Must not be engaged in pvp combat',100,2,7),
(256417,10163236,'Cannot be modified except by direct means',100,2,8),
(256418,10163236,'Must not be engaged in pvp combat',100,1,9),
(256419,46049,'Applies Summon Elevation of the Renda''dal when Activated.',100,0,0),
(256420,46049,'Increases Ministration of caster by 5.0',100,1,1),
(256421,46049,'Reduces maximum falling speed of caster',100,1,2),
(256422,46049,'Increases Subjugation of caster by 5.0',100,1,3),
(256423,46049,'Summons a mount to ride',100,1,4),
(256424,46049,'Increases your ground speed by 130%',100,2,5),
(256425,46049,'Increases Focus, Disruption and Ordination of caster by 5.0',100,1,6),
(256426,10046049,'Applies Summon Elevation of the Renda''dal when Activated.',100,0,0),
(256427,10046049,'Increases Ministration of caster by 5.0',100,1,1),
(256428,10046049,'Reduces maximum falling speed of caster',100,1,2),
(256429,10046049,'Increases Subjugation of caster by 5.0',100,1,3),
(256430,10046049,'Summons a mount to ride',100,1,4),
(256431,10046049,'Increases your ground speed by 130%',100,2,5),
(256432,10046049,'Increases Focus, Disruption and Ordination of caster by 5.0',100,1,6),
(256433,140085,'Applies Friendly Experience when Equipped.',100,0,0),
(256434,140085,'Applies Friendly Experience.',100,1,1),
(256435,140085,'Increases Combat XP Gain of target by 10.0%',100,2,2),
(256436,140085,'Requires having an apprentice',100,1,3),
(256437,10140085,'Applies Friendly Experience when Equipped.',100,0,0),
(256438,10140085,'Applies Friendly Experience.',100,1,1),
(256439,10140085,'Increases Combat XP Gain of target by 10.0%',100,2,2),
(256440,10140085,'Requires having an apprentice',100,1,3),
(256441,101246,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(256442,101246,'Inflicts 109 - 181 mental damage on target',100,2,1),
(256443,10101246,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(256444,10101246,'Inflicts 131 - 218 mental damage on target',100,2,1),
(256445,112502,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(256446,112502,'70% of target''s power consumed will also be drained from target''s health',100,2,1),
(256447,112502,'Inflicts 56 disease damage on target instantly and every 4 seconds',100,2,2),
(256448,10112502,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(256449,10112502,'70% of target''s power consumed will also be drained from target''s health',100,2,1),
(256450,10112502,'Inflicts 67 disease damage on target instantly and every 4 seconds',100,2,2),
(256451,118929,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(256452,118929,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1097',100,1,1),
(256453,118929,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,2),
(256454,10118929,'Increases Max Health of group members (AE) by 383.4',100,1,0),
(256455,10118929,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1097',100,1,1),
(256456,10118929,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,2),
(256457,83932,'When Equipped:',100,0,0),
(256458,83932,'On a combat hit this spell may cast Prismatic Guardians Rage on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256459,83932,'Inflicts 189 heat damage on target',100,2,2),
(256460,83932,'Inflicts 189 cold damage on target',100,2,3),
(256461,83932,'Cannot be modified except by direct means',100,2,4),
(256462,10083932,'When Equipped:',100,0,0),
(256463,10083932,'On a combat hit this spell may cast Prismatic Guardians Rage on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256464,10083932,'Inflicts 227 heat damage on target',100,2,2),
(256465,10083932,'Inflicts 227 cold damage on target',100,2,3),
(256466,10083932,'Cannot be modified except by direct means',100,2,4),
(256467,108078,'Decreases Threat to target by 135 - 225 ',100,1,0),
(256468,10108078,'Forces target to clear their selected target.',100,1,0),
(256469,10108078,'Target cannot target caster for the duration of this effect.',100,1,1),
(256470,115407,'Inflicts 388 - 647 melee damage on target',100,1,0),
(256471,115407,'Decreases INT of target by 68.8',100,1,1),
(256472,115407,'You must be sneaking to use this ability.',100,1,2),
(256473,10115407,'Inflicts 466 - 777 melee damage on target',100,1,0),
(256474,10115407,'Decreases INT of target by 68.8',100,1,1),
(256475,10115407,'You must be sneaking to use this ability.',100,1,2),
(256476,72012,'When Equipped:',100,0,0),
(256477,72012,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256478,72012,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(256479,72012,'Cannot be modified except by direct means',100,2,3),
(256480,10072012,'When Equipped:',100,0,0),
(256481,10072012,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256482,10072012,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(256483,10072012,'Cannot be modified except by direct means',100,2,3),
(256484,24250,'Adds Cyclops (Monk)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(256485,10024250,'Adds Cyclops (Monk)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(256486,47441,'Applies Concentrated Memories when Activated.',100,0,0),
(256487,10047441,'Applies Concentrated Memories when Activated.',100,0,0),
(256488,119972,'Increases Threat to target by 155 - 190 ',100,1,0),
(256489,10119972,'Prevents target from changing targets',100,1,0),
(256490,10119972,'Forces target to change their selected target to caster.',100,1,1),
(256491,123990,'Inflicts 831 - 1386 melee damage on target',100,1,0),
(256492,123990,'Decreases AGI of target by 100.3',100,1,1),
(256493,123990,'Must be behind',100,1,2),
(256494,10123990,'Inflicts 998 - 1663 melee damage on target',100,1,0),
(256495,10123990,'Decreases AGI of target by 100.3',100,1,1),
(256496,10123990,'Must be behind',100,1,2),
(256497,101046,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(256498,101046,'Inflicts 411 poison damage on target instantly and every 4 seconds',100,2,1),
(256499,101046,'If profession other than Predator',100,1,2),
(256500,101046,'If profession other than Rogue',100,1,3),
(256501,10101046,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(256502,10101046,'Inflicts 493 poison damage on target instantly and every 4 seconds',100,2,1),
(256503,10101046,'If profession other than Predator',100,1,2),
(256504,10101046,'If profession other than Rogue',100,1,3),
(256505,149134,'When Equipped:',100,0,0),
(256506,149134,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(256507,149134,'Stifles target',100,2,2),
(256508,149134,'Does not affect Epic targets',100,2,3),
(256509,149134,'Resistibility increases against targets higher than level 77.',100,2,4),
(256510,149134,'Cannot be modified except by direct means',100,2,5),
(256511,10149134,'When Equipped:',100,0,0),
(256512,10149134,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(256513,10149134,'Stifles target',100,2,2),
(256514,10149134,'Does not affect Epic targets',100,2,3),
(256515,10149134,'Resistibility increases against targets higher than level 77.',100,2,4),
(256516,10149134,'Cannot be modified except by direct means',100,2,5),
(256517,102019,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(256518,102019,'Wards target against 455 points of all damage',100,2,1),
(256519,10102019,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(256520,10102019,'Wards target against 455 points of all damage',100,2,1),
(256521,101645,'Applies Forceful Headache on termination.',100,1,0),
(256522,101645,'Inflicts 415 - 692 mental damage on target',100,2,1),
(256523,101645,'If over 50% power',100,3,2),
(256524,101645,'Inflicts 166 - 203 mental damage on target instantly and every 6 seconds',100,1,3),
(256525,101645,'Decreases Mitigation of target vs arcane damage by 1512',100,1,4),
(256526,10101645,'Applies Forceful Headache on termination.',100,1,0),
(256527,10101645,'Inflicts 498 - 830 mental damage on target',100,2,1),
(256528,10101645,'If over 50% power',100,3,2),
(256529,10101645,'Inflicts 199 - 244 mental damage on target instantly and every 6 seconds',100,1,3),
(256530,10101645,'Decreases Mitigation of target vs arcane damage by 1512',100,1,4),
(256531,71350,'When Equipped:',100,0,0),
(256532,71350,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256533,71350,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(256534,71350,'Cannot be modified except by direct means',100,2,3),
(256535,10071350,'When Equipped:',100,0,0),
(256536,10071350,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256537,10071350,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(256538,10071350,'Cannot be modified except by direct means',100,2,3),
(256539,107160,'Inflicts 13 - 21 divine damage on target',100,1,0),
(256540,107160,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(256541,107160,'Stuns target',100,2,2),
(256542,107160,'If Target is not Epic',100,3,3),
(256543,107160,'Inflicts 30 - 51 divine damage on target',100,2,4),
(256544,107160,'Inflicts 26 - 43 divine damage on target',100,2,5),
(256545,107160,'If target is undead',100,3,6),
(256546,10107160,'Inflicts 10 - 17 divine damage on target',100,1,0),
(256547,10107160,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(256548,10107160,'Stuns target',100,2,2),
(256549,10107160,'Inflicts 55 - 91 divine damage on target',100,2,3),
(256550,10107160,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(256551,112921,'Increases Damage Per Second of caster by 89.9',100,1,0),
(256552,112921,'Increases Ranged of caster by 42.2',100,1,1),
(256553,10112921,'Increases Damage Per Second of caster by 89.9',100,1,0),
(256554,10112921,'Increases Ranged of caster by 42.2',100,1,1),
(256555,109773,'Inflicts 404 - 750 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(256556,10109773,'Inflicts 484 - 900 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(256557,123052,'Summons a pet undead knight',100,1,0),
(256558,10123052,'Summons a pet undead knight',100,1,0),
(256559,106214,'Inflicts 122 - 367 melee damage on target',100,1,0),
(256560,106214,'Stifles target',100,1,1),
(256561,106214,'If Target is not Epic',100,2,2),
(256562,106214,'Resistibility increases against targets higher than level 69.',100,1,3),
(256563,10106214,'Inflicts 146 - 440 melee damage on target',100,1,0),
(256564,10106214,'Stifles target',100,1,1),
(256565,10106214,'If Target is not Epic',100,2,2),
(256566,10106214,'Resistibility increases against targets higher than level 69.',100,1,3),
(256567,71415,'When Equipped:',100,0,0),
(256568,71415,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256569,71415,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(256570,71415,'Cannot be modified except by direct means',100,2,3),
(256571,10071415,'When Equipped:',100,0,0),
(256572,10071415,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256573,10071415,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(256574,10071415,'Cannot be modified except by direct means',100,2,3),
(256575,27306,'When Equipped:',100,0,0),
(256576,27306,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256577,27306,'Inflicts 96 magic damage on target',100,2,2),
(256578,27306,'Cannot be modified except by direct means',100,2,3),
(256579,27306,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(256580,27306,'Inflicts 96 magic damage on target',100,2,5),
(256581,27306,'Cannot be modified except by direct means',100,2,6),
(256582,10027306,'When Equipped:',100,0,0),
(256583,10027306,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(256584,10027306,'Inflicts 96 magic damage on target',100,2,2),
(256585,10027306,'Cannot be modified except by direct means',100,2,3),
(256586,10027306,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(256587,10027306,'Inflicts 96 magic damage on target',100,2,5),
(256588,10027306,'Cannot be modified except by direct means',100,2,6),
(256589,110001,'Inflicts 69 - 84 divine damage on target',100,1,0),
(256590,110001,'Dazes target',100,1,1),
(256591,110001,'If Target is not Epic',100,2,2),
(256592,110001,'Dispelled when target receives hostile action',100,1,3),
(256593,110001,'Dispelled when target takes damage',100,1,4),
(256594,110001,'Resistibility increases against targets higher than level 46.',100,1,5),
(256595,10110001,'Inflicts 83 - 101 divine damage on target',100,1,0),
(256596,10110001,'Dazes target',100,1,1),
(256597,10110001,'If Target is not Epic',100,2,2),
(256598,10110001,'Dispelled when target receives hostile action',100,1,3),
(256599,10110001,'Dispelled when target takes damage',100,1,4),
(256600,10110001,'Resistibility increases against targets higher than level 46.',100,1,5),
(256601,47366,'Applies Poison when Activated.',100,0,0),
(256602,10047366,'Applies Poison when Activated.',100,0,0),
(256603,100627,'Transfers 33% of target''s current Threat to the caster',100,1,0),
(256604,10100627,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(256605,10100627,'10% of all damage received by the caster is prevented.',100,2,1),
(256606,10100627,'This effect can only trigger once every 5 seconds.',100,2,2),
(256607,101236,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(256608,101236,'Inflicts 34 - 56 mental damage on target',100,2,1),
(256609,10101236,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(256610,10101236,'Inflicts 40 - 67 mental damage on target',100,2,1),
(256611,118402,'Heals target for 64 - 78',100,1,0),
(256612,118402,'Increases Max Health of target by 11.3',100,1,1),
(256613,10118402,'Heals target for 74 - 91',100,1,0),
(256614,10118402,'Increases Max Health of target by 11.3',100,1,1),
(256615,45986,'Applies Doradek''s Restoration when Activated.',100,0,0),
(256616,45986,'Heals caster for 279',100,1,1),
(256617,10045986,'Applies Doradek''s Restoration when Activated.',100,0,0),
(256618,10045986,'Heals caster for 181',100,1,1),
(256619,112770,'Interrupts target',100,1,0),
(256620,112770,'Inflicts 286 - 476 divine damage on target',100,1,1),
(256621,10112770,'Interrupts target',100,1,0),
(256622,10112770,'Inflicts 343 - 571 divine damage on target',100,1,1),
(256623,109949,'Stuns target',100,1,0),
(256624,109949,'Does not affect Epic targets',100,1,1),
(256625,109949,'Resistibility increases against targets higher than level 101.',100,1,2),
(256626,10109949,'Stuns target',100,1,0),
(256627,10109949,'Does not affect Epic targets',100,1,1),
(256628,10109949,'Resistibility increases against targets higher than level 101.',100,1,2),
(256629,80729,'When Equipped:',100,0,0),
(256630,80729,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256631,80729,'Inflicts 50 - 93 magic damage on target',100,2,2),
(256632,80729,'Cannot be modified except by direct means',100,2,3),
(256633,10080729,'When Equipped:',100,0,0),
(256634,10080729,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256635,10080729,'Inflicts 60 - 111 magic damage on target',100,2,2),
(256636,10080729,'Cannot be modified except by direct means',100,2,3),
(256637,47248,'Applies Incandescent Elixir  when Activated.',100,0,0),
(256638,47248,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(256639,10047248,'Applies Incandescent Elixir  when Activated.',100,0,0),
(256640,10047248,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(256641,138295,'When Equipped:',100,0,0),
(256642,138295,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256643,138295,'Summons a limited pet to aid the caster',100,2,2),
(256644,138295,'Summons a limited pet to aid the caster',100,2,3),
(256645,138295,'Cannot be modified except by direct means',100,2,4),
(256646,10138295,'When Equipped:',100,0,0),
(256647,10138295,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256648,10138295,'Summons a limited pet to aid the caster',100,2,2),
(256649,10138295,'Summons a limited pet to aid the caster',100,2,3),
(256650,10138295,'Cannot be modified except by direct means',100,2,4),
(256651,115414,'Inflicts 417 - 696 melee damage on target',100,1,0),
(256652,115414,'Decreases INT of target by 70.4',100,1,1),
(256653,115414,'You must be sneaking to use this ability.',100,1,2),
(256654,10115414,'Inflicts 501 - 835 melee damage on target',100,1,0),
(256655,10115414,'Decreases INT of target by 70.4',100,1,1),
(256656,10115414,'You must be sneaking to use this ability.',100,1,2),
(256657,71611,'When Equipped:',100,0,0),
(256658,71611,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256659,71611,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(256660,71611,'Cannot be modified except by direct means',100,2,3),
(256661,10071611,'When Equipped:',100,0,0),
(256662,10071611,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256663,10071611,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(256664,10071611,'Cannot be modified except by direct means',100,2,3),
(256665,102180,'Increases Mitigation of group members (AE) vs physical damage by 291',100,1,0),
(256666,10102180,'Increases Mitigation of group members (AE) vs physical damage by 291',100,1,0),
(256667,134857,'When Equipped:',100,0,0),
(256668,134857,'Increases Out-of-Combat Health Regeneration of caster by 20.3',100,1,1),
(256669,134857,'This effect suspends during combat',100,1,2),
(256670,10134857,'When Equipped:',100,0,0),
(256671,10134857,'Increases Out-of-Combat Health Regeneration of caster by 20.3',100,1,1),
(256672,10134857,'This effect suspends during combat',100,1,2),
(256673,54881,'When Equipped:',100,0,0),
(256674,54881,'On any combat or spell hit this spell may cast Aura of the Archmagus on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256675,54881,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,2),
(256676,54881,'Increases Ability Recovery Speed of group members (AE) by 10.0%',100,2,3),
(256677,54881,'Increases Ability Casting Speed of group members (AE) by 10.0%',100,2,4),
(256678,54881,'Increases Potency of group members (AE) by 10.0%',100,2,5),
(256679,54881,'Must not be engaged in pvp combat',100,2,6),
(256680,54881,'Cannot be modified except by direct means',100,2,7),
(256681,54881,'Must not be engaged in pvp combat',100,1,8),
(256682,10054881,'When Equipped:',100,0,0),
(256683,10054881,'On any combat or spell hit this spell may cast Aura of the Archmagus on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256684,10054881,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,2),
(256685,10054881,'Increases Ability Recovery Speed of group members (AE) by 10.0%',100,2,3),
(256686,10054881,'Increases Ability Casting Speed of group members (AE) by 10.0%',100,2,4),
(256687,10054881,'Increases Potency of group members (AE) by 10.0%',100,2,5),
(256688,10054881,'Must not be engaged in pvp combat',100,2,6),
(256689,10054881,'Cannot be modified except by direct means',100,2,7),
(256690,10054881,'Must not be engaged in pvp combat',100,1,8),
(256691,80412,'When Equipped:',100,0,0),
(256692,80412,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256693,80412,'Decreases Threat to target by 153 ',100,2,2),
(256694,80412,'Must be flanking or behind',100,3,3),
(256695,80412,'Increases Threat to target by 267 ',100,2,4),
(256696,80412,'Must be in front of',100,3,5),
(256697,80412,'Inflicts 48 - 90 magic damage on target',100,2,6),
(256698,80412,'Cannot be modified except by direct means',100,2,7),
(256699,10080412,'When Equipped:',100,0,0),
(256700,10080412,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256701,10080412,'Inflicts 58 - 107 magic damage on target',100,2,2),
(256702,10080412,'Cannot be modified except by direct means',100,2,3),
(256703,80407,'When Equipped:',100,0,0),
(256704,80407,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256705,80407,'Decreases Threat to target by 153 ',100,2,2),
(256706,80407,'Must be flanking or behind',100,3,3),
(256707,80407,'Increases Threat to target by 267 ',100,2,4),
(256708,80407,'Must be in front of',100,3,5),
(256709,80407,'Inflicts 48 - 90 magic damage on target',100,2,6),
(256710,80407,'Cannot be modified except by direct means',100,2,7),
(256711,10080407,'When Equipped:',100,0,0),
(256712,10080407,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256713,10080407,'Inflicts 58 - 107 magic damage on target',100,2,2),
(256714,10080407,'Cannot be modified except by direct means',100,2,3),
(256715,116772,'Increases Max Health of target by 667.7',100,1,0),
(256716,116772,'Increases Max Power of target by 700.9',100,1,1),
(256717,10116772,'Increases Max Health of target by 667.7',100,1,0),
(256718,10116772,'Increases Max Power of target by 700.9',100,1,1),
(256719,114863,'Decreases AGI of target by 37.0',100,1,0),
(256720,114863,'Decreases Defense of target by 14.3',100,1,1),
(256721,10114863,'Decreases AGI of target by 37.0',100,1,0),
(256722,10114863,'Decreases Defense of target by 14.3',100,1,1),
(256723,82117,'When Equipped:',100,0,0),
(256724,82117,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256725,82117,'Decreases Threat to target by 641 ',100,2,2),
(256726,82117,'Must be flanking or behind',100,3,3),
(256727,82117,'Increases Threat to target by 1,101 ',100,2,4),
(256728,82117,'Must be in front of',100,3,5),
(256729,82117,'Inflicts 138 - 257 magic damage on target',100,2,6),
(256730,82117,'Cannot be modified except by direct means',100,2,7),
(256731,10082117,'When Equipped:',100,0,0),
(256732,10082117,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(256733,10082117,'Inflicts 166 - 309 magic damage on target',100,2,2),
(256734,10082117,'Cannot be modified except by direct means',100,2,3),
(256735,110836,'Inflicts 136 - 184 mental damage on target',100,1,0),
(256736,110836,'Interrupts target',100,1,1),
(256737,10110836,'Inflicts 163 - 220 mental damage on target',100,1,0),
(256738,10110836,'Interrupts target',100,1,1),
(256739,118534,'Inflicts 235 - 392 melee damage on target',100,1,0),
(256740,118534,'Decreases STR of target by 38.2',100,1,1),
(256741,118534,'You must be sneaking to use this ability.',100,1,2),
(256742,10118534,'Inflicts 282 - 471 melee damage on target',100,1,0),
(256743,10118534,'Decreases STR of target by 38.2',100,1,1),
(256744,10118534,'You must be sneaking to use this ability.',100,1,2),
(256745,153809,'Applies Indomitable II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(256746,153809,'Increases the caster''s physical mitigation over time.',100,1,1),
(256747,153809,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(256748,153809,'Wards caster against 200 points of all damage',100,2,3),
(256749,153809,'Must not be engaged in pvp combat',100,2,4),
(256750,153809,'Cannot be modified except by direct means',100,2,5),
(256751,153809,'Must not be engaged in pvp combat',100,1,6),
(256752,153809,'Cannot be modified except by direct means',100,1,7),
(256753,153809,'The reuse time of Indomitable II is 10 minutes',100,1,8),
(256754,10153809,'Applies Indomitable II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(256755,10153809,'Increases the caster''s physical mitigation over time.',100,1,1),
(256756,10153809,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(256757,10153809,'Wards caster against 200 points of all damage',100,2,3),
(256758,10153809,'Must not be engaged in pvp combat',100,2,4),
(256759,10153809,'Cannot be modified except by direct means',100,2,5),
(256760,10153809,'Must not be engaged in pvp combat',100,1,6),
(256761,10153809,'Cannot be modified except by direct means',100,1,7),
(256762,10153809,'The reuse time of Indomitable II is 10 minutes',100,1,8),
(256763,40417,'When Equipped:',100,0,0),
(256764,40417,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(256765,40417,'On a healing spell cast this spell may cast Soothing Breeze III on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(256766,40417,'Heals group members (AE) for 5174 - 5719',100,2,3),
(256767,40417,'Must not be engaged in pvp combat',100,2,4),
(256768,40417,'Cannot be modified except by direct means',100,2,5),
(256769,40417,'Cannot be modified except by direct means',100,1,6),
(256770,10040417,'When Equipped:',100,0,0),
(256771,10040417,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(256772,10040417,'On a healing spell cast this spell may cast Soothing Breeze III on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(256773,10040417,'Heals group members (AE) for 6054 - 6691',100,2,3),
(256774,10040417,'Must not be engaged in pvp combat',100,2,4),
(256775,10040417,'Cannot be modified except by direct means',100,2,5),
(256776,10040417,'Cannot be modified except by direct means',100,1,6),
(256777,134673,'When Equipped:',100,0,0),
(256778,134673,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(256779,134673,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(256780,134673,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(256781,134673,'Must not be engaged in pvp combat',100,2,4),
(256782,134673,'Cannot be modified except by direct means',100,2,5),
(256783,134673,'Cannot be modified except by direct means',100,1,6),
(256784,10134673,'When Equipped:',100,0,0),
(256785,10134673,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(256786,10134673,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(256787,10134673,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(256788,10134673,'Must not be engaged in pvp combat',100,2,4),
(256789,10134673,'Cannot be modified except by direct means',100,2,5),
(256790,10134673,'Cannot be modified except by direct means',100,1,6),
(256791,110658,'Heals target for 24',100,1,0),
(256792,110658,'Dispels 9 levels of any hostile effects on target',100,1,1),
(256793,10110658,'Heals target for 16',100,1,0),
(256794,10110658,'Dispels 9 levels of any hostile effects on target',100,1,1),
(256795,74855,'When Equipped:',100,0,0),
(256796,74855,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256797,74855,'Inflicts 111 - 166 magic damage on target',100,2,2),
(256798,74855,'Cannot be modified except by direct means',100,2,3),
(256799,10074855,'When Equipped:',100,0,0),
(256800,10074855,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256801,10074855,'Inflicts 133 - 199 magic damage on target',100,2,2),
(256802,10074855,'Cannot be modified except by direct means',100,2,3),
(256803,25526,'When Equipped:',100,0,0),
(256804,25526,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(256805,25526,'Improves the damage of Glacial Lance by 15%.',100,1,2),
(256806,10025526,'When Equipped:',100,0,0),
(256807,10025526,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(256808,10025526,'Improves the damage of Glacial Lance by 15%.',100,1,2),
(256809,80663,'When Equipped:',100,0,0),
(256810,80663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256811,80663,'Inflicts 56 - 103 magic damage on target',100,2,2),
(256812,80663,'Cannot be modified except by direct means',100,2,3),
(256813,10080663,'When Equipped:',100,0,0),
(256814,10080663,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256815,10080663,'Inflicts 67 - 124 magic damage on target',100,2,2),
(256816,10080663,'Cannot be modified except by direct means',100,2,3),
(256817,47773,'Applies Soldier''s Mount when Activated.',100,0,0),
(256818,47773,'Increases Out-of-Combat Power Regeneration of caster by 15.0',100,1,1),
(256819,47773,'Summons a mount to ride',100,1,2),
(256820,47773,'Increases your ground speed by 130%',100,2,3),
(256821,47773,'Increases Out-of-Combat Health Regeneration of caster by 15.0',100,1,4),
(256822,47773,'Increases Ability Modifier of caster by 15.0',100,1,5),
(256823,10047773,'Applies Soldier''s Mount when Activated.',100,0,0),
(256824,10047773,'Increases Out-of-Combat Power Regeneration of caster by 15.0',100,1,1),
(256825,10047773,'Summons a mount to ride',100,1,2),
(256826,10047773,'Increases your ground speed by 130%',100,2,3),
(256827,10047773,'Increases Out-of-Combat Health Regeneration of caster by 15.0',100,1,4),
(256828,10047773,'Increases Ability Modifier of caster by 15.0',100,1,5),
(256829,116020,'Decreases Hate Gain of target by 14.9%',100,1,0),
(256830,116020,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(256831,116020,'Decreases threat priority of target by 1 position',100,2,2),
(256832,10116020,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(256833,10116020,'Forces target to clear their selected target.',100,2,1),
(256834,133585,'When Equipped:',100,0,0),
(256835,133585,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256836,133585,'Increases WIS and INT of caster by 44.0',100,2,2),
(256837,133585,'Increases Ability Casting Speed of caster by 1.5%',100,2,3),
(256838,133585,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(256839,133585,'Must not be engaged in pvp combat',100,2,5),
(256840,133585,'Cannot be modified except by direct means',100,2,6),
(256841,133585,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(256842,133585,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(256843,133585,'Increases WIS and INT of caster by 44.0',100,2,9),
(256844,133585,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(256845,133585,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(256846,133585,'Must not be engaged in pvp combat',100,2,12),
(256847,133585,'Cannot be modified except by direct means',100,2,13),
(256848,133585,'Cannot be modified except by direct means',100,1,14),
(256849,10133585,'When Equipped:',100,0,0),
(256850,10133585,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(256851,10133585,'Increases WIS and INT of caster by 44.0',100,2,2),
(256852,10133585,'Increases Ability Casting Speed of caster by 1.5%',100,2,3),
(256853,10133585,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(256854,10133585,'Must not be engaged in pvp combat',100,2,5),
(256855,10133585,'Cannot be modified except by direct means',100,2,6),
(256856,10133585,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(256857,10133585,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(256858,10133585,'Increases WIS and INT of caster by 44.0',100,2,9),
(256859,10133585,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(256860,10133585,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(256861,10133585,'Must not be engaged in pvp combat',100,2,12),
(256862,10133585,'Cannot be modified except by direct means',100,2,13),
(256863,10133585,'Cannot be modified except by direct means',100,1,14),
(256864,102739,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(256865,102739,'Stuns target',100,2,1),
(256866,102739,'If Target is not Epic',100,3,2),
(256867,102739,'Inflicts 158 - 263 divine damage on target',100,2,3),
(256868,102739,'Inflicts 135 - 225 divine damage on target',100,2,4),
(256869,102739,'If target is undead',100,3,5),
(256870,10102739,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(256871,10102739,'Stuns target',100,2,1),
(256872,10102739,'Inflicts 284 - 473 divine damage on target',100,2,2),
(256873,10102739,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(256874,119529,'Increases threat priority of target by 2 positions',100,1,0),
(256875,119529,'Stuns caster',100,1,1),
(256876,119529,'Decreases Defense and Parry of caster by 279.0',100,1,2),
(256877,119529,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(256878,119529,'Inflicts 1645 - 2742 piercing damage on target',100,2,4),
(256879,119529,'Grants a total of 1 trigger of the spell.',100,2,5),
(256880,10119529,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(256881,10119529,'Prevents target from changing targets',100,2,1),
(256882,10119529,'Forces target to change their selected target to caster.',100,2,2),
(256883,10119529,'Stuns caster',100,1,3),
(256884,10119529,'Decreases Defense and Parry of caster by 279.0',100,1,4),
(256885,10119529,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(256886,10119529,'Inflicts 1409 - 2348 piercing damage on target',100,2,6),
(256887,10119529,'Grants a total of 1 trigger of the spell.',100,2,7),
(256888,87234,'When Equipped:',100,0,0),
(256889,87234,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256890,87234,'Inflicts 51 - 76 magic damage on target',100,2,2),
(256891,87234,'Cannot be modified except by direct means',100,2,3),
(256892,10087234,'When Equipped:',100,0,0),
(256893,10087234,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256894,10087234,'Inflicts 61 - 91 magic damage on target',100,2,2),
(256895,10087234,'Cannot be modified except by direct means',100,2,3),
(256896,106685,'Heals caster for 42.1 - 51.5% of max health',100,1,0),
(256897,106685,'This effect cannot be critically applied.',100,2,1),
(256898,106685,'Increases Max Health of caster by 680.4',100,1,2),
(256899,106685,'The healing of this spell cannot be modified except by direct means',100,1,3),
(256900,10106685,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(256901,10106685,'This effect cannot be critically applied.',100,2,1),
(256902,10106685,'Increases Max Health of caster by 680.4',100,1,2),
(256903,10106685,'The healing of this spell cannot be modified except by direct means',100,1,3),
(256904,118986,'Heals target for 208 - 254',100,1,0),
(256905,10118986,'Heals target for 221 - 270',100,1,0),
(256906,110086,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(256907,110086,'Inflicts 6 disease damage on target',100,2,1),
(256908,110086,'Heals caster for 4',100,2,2),
(256909,110086,'Decreases INT of target by 28.0',100,1,3),
(256910,110086,'Decreases Attack Speed of target by 25.0',100,1,4),
(256911,110086,'Increases Max Health of target by 14.0%',100,1,5),
(256912,110086,'Increases Hate Gain of target by 18.6%',100,1,6),
(256913,110086,'Increases Aggression of target by 2.9',100,1,7),
(256914,110086,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(256915,110086,'Increases Threat to target encounter by 37 - 45 ',100,2,9),
(256916,110086,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,10),
(256917,10110086,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(256918,10110086,'Inflicts 8 disease damage on target',100,2,1),
(256919,10110086,'Heals caster for 3',100,2,2),
(256920,10110086,'Decreases INT of target by 28.0',100,1,3),
(256921,10110086,'Decreases Attack Speed of target by 25.0',100,1,4),
(256922,10110086,'Increases Max Health of target by 14.0%',100,1,5),
(256923,10110086,'Increases Aggression of target by 2.9',100,1,6),
(256924,10110086,'Increases Mitigation of target vs elemental, noxious and arcane damage by 196',100,1,7),
(256925,102786,'Increases STR of caster by 54.4',100,1,0),
(256926,102786,'Increases Max Health of caster by 321.0',100,1,1),
(256927,102786,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,2),
(256928,10102786,'Increases STR of caster by 54.4',100,1,0),
(256929,10102786,'Increases Max Health of caster by 321.0',100,1,1),
(256930,10102786,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,2),
(256931,100091,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(256932,10100091,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(256933,90328,'When Equipped:',100,0,0),
(256934,90328,'On a combat hit this spell may cast Vortex on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256935,90328,'Decreases power of target by 213',100,2,2),
(256936,90328,'Increases power of caster by 232',100,2,3),
(256937,90328,'Cannot be modified except by direct means',100,2,4),
(256938,10090328,'When Equipped:',100,0,0),
(256939,10090328,'On a combat hit this spell may cast Vortex on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(256940,10090328,'Decreases power of target by 213',100,2,2),
(256941,10090328,'Increases power of caster by 232',100,2,3),
(256942,10090328,'Cannot be modified except by direct means',100,2,4),
(256943,113405,'Reduces physical damage done to caster by 5%',100,1,0),
(256944,113405,'Increases STA of caster by 42.2',100,1,1),
(256945,113405,'Adds 5.0% to base avoidance.',100,1,2),
(256946,113405,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(256947,113405,'Increases Defense and Aggression of caster by 7.7',100,1,4),
(256948,113405,'Increases Mitigation of caster vs noxious damage by 553',100,1,5),
(256949,113405,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(256950,10113405,'Reduces physical damage done to caster by 5%',100,1,0),
(256951,10113405,'Increases STA of caster by 42.2',100,1,1),
(256952,10113405,'Adds 5.0% to base avoidance.',100,1,2),
(256953,10113405,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(256954,10113405,'Increases Defense and Aggression of caster by 7.7',100,1,4),
(256955,10113405,'Increases Mitigation of caster vs noxious damage by 553',100,1,5),
(256956,10113405,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(256957,124126,'Increases power of caster by 278',100,1,0),
(256958,10124126,'Increases power of caster by 278',100,1,0),
(256959,107746,'Stuns target',100,1,0),
(256960,107746,'If Target is not Epic',100,2,1),
(256961,107746,'Inflicts 142 - 236 cold damage on target',100,1,2),
(256962,107746,'Resistibility increases against targets higher than level 45.',100,1,3),
(256963,10107746,'Stuns target',100,1,0),
(256964,10107746,'If Target is not Epic',100,2,1),
(256965,10107746,'Inflicts 170 - 284 cold damage on target',100,1,2),
(256966,10107746,'Resistibility increases against targets higher than level 45.',100,1,3),
(256967,123753,'Decreases Mitigation of target vs noxious damage by 218',100,1,0),
(256968,123753,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(256969,123753,'Slows target by 31.4%',100,2,2),
(256970,123753,'5% chance to dispel when target receives hostile action',100,2,3),
(256971,123753,'5% chance to dispel when target takes damage',100,2,4),
(256972,10123753,'Decreases Mitigation of target vs noxious damage by 218',100,1,0),
(256973,10123753,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(256974,10123753,'Slows target by 31.4%',100,2,2),
(256975,10123753,'5% chance to dispel when target receives hostile action',100,2,3),
(256976,10123753,'5% chance to dispel when target takes damage',100,2,4),
(256977,122246,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(256978,122246,'Decreases Damage Per Second of target by 19.0',100,2,1),
(256979,122246,'Decreases Attack Speed of target by 14.2',100,2,2),
(256980,10122246,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(256981,10122246,'Decreases Damage Per Second of target by 19.0',100,2,1),
(256982,10122246,'Decreases Attack Speed of target by 14.2',100,2,2),
(256983,103754,'Inflicts 1387 - 1695 magic damage on targets in Area of Effect',100,1,0),
(256984,10103754,'Inflicts 1664 - 2034 magic damage on targets in Area of Effect',100,1,0),
(256985,45806,'Applies Spray when Activated.  Lasts for 1.0 second.',100,0,0),
(256986,45806,'If target is crustose sporetender',100,1,1),
(256987,45806,'Must not be engaged in combat',100,1,2),
(256988,10045806,'Applies Spray when Activated.  Lasts for 1.0 second.',100,0,0),
(256989,10045806,'If target is crustose sporetender',100,1,1),
(256990,10045806,'Must not be engaged in combat',100,1,2),
(256991,46270,'Applies essence of health when Activated.',100,0,0),
(256992,46270,'Heals caster for 777',100,1,1),
(256993,10046270,'Applies essence of health when Activated.',100,0,0),
(256994,10046270,'Heals caster for 505',100,1,1),
(256995,71547,'When Equipped:',100,0,0),
(256996,71547,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(256997,71547,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(256998,71547,'Cannot be modified except by direct means',100,2,3),
(256999,10071547,'When Equipped:',100,0,0),
(257000,10071547,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257001,10071547,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(257002,10071547,'Cannot be modified except by direct means',100,2,3),
(257003,120338,'Increases Threat to target by 1,340 - 1,536 ',100,1,0),
(257004,10120338,'Forces target to change their selected target to caster.',100,1,0),
(257005,10120338,'Prevents target from changing targets',100,1,1),
(257006,124293,'Wards group members (AE) against 800 points of elemental damage',100,1,0),
(257007,124293,'Increases Mitigation of group members (AE) vs elemental damage by 473',100,1,1),
(257008,10124293,'Wards group members (AE) against 800 points of elemental damage',100,1,0),
(257009,10124293,'Increases Mitigation of group members (AE) vs elemental damage by 473',100,1,1),
(257010,106901,'Inflicts 489 - 815 melee damage on target',100,1,0),
(257011,106901,'Decreases Mitigation of target vs all damage by 3520',100,1,1),
(257012,106901,'Must be behind',100,1,2),
(257013,10106901,'Inflicts 587 - 978 melee damage on target',100,1,0),
(257014,10106901,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1100',100,1,1),
(257015,10106901,'Decreases Mitigation of target vs physical damage by 968',100,1,2),
(257016,10106901,'Must be behind',100,1,3),
(257017,121885,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(257018,121885,'Decreases Threat to target by 670 - 819 ',100,2,1),
(257019,121885,'If profession other than Fighter',100,3,2),
(257020,121885,'Inflicts 269 - 329 mental damage on target',100,2,3),
(257021,10121885,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(257022,10121885,'Inflicts 323 - 394 mental damage on target',100,2,1),
(257023,111841,'Inflicts 244 - 407 melee damage on target',100,1,0),
(257024,111841,'Roots target',100,1,1),
(257025,111841,'If Target is not Epic',100,2,2),
(257026,111841,'Resistibility increases against targets higher than level 98.',100,1,3),
(257027,10111841,'Inflicts 264 - 440 melee damage on target',100,1,0),
(257028,10111841,'Roots target',100,1,1),
(257029,10111841,'If Target is not Epic',100,2,2),
(257030,10111841,'Resistibility increases against targets higher than level 98.',100,1,3),
(257031,123296,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(257032,123296,'Inflicts 161 - 268 disease damage on target',100,2,1),
(257033,123296,'Heals caster for 0.9 - 1.5% of max health',100,2,2),
(257034,123296,'This effect cannot be critically applied.',100,3,3),
(257035,123296,'The healing of this spell cannot be modified except by direct means',100,2,4),
(257036,10123296,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(257037,10123296,'Inflicts 193 - 321 disease damage on target',100,2,1),
(257038,10123296,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(257039,10123296,'This effect cannot be critically applied.',100,3,3),
(257040,10123296,'The healing of this spell cannot be modified except by direct means',100,2,4),
(257041,118072,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(257042,118072,'Increases Defense of caster by 8.3',100,1,1),
(257043,10118072,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(257044,10118072,'Increases Defense of caster by 8.3',100,1,1),
(257045,113455,'Increases INT of target by 61.6',100,1,0),
(257046,113455,'Increases Max Health of target by 493.9',100,1,1),
(257047,10113455,'Increases INT of target by 61.6',100,1,0),
(257048,10113455,'Increases Max Health of target by 493.9',100,1,1),
(257049,36566,'Increases INT and STA of target by 15.4',100,0,0),
(257050,36566,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(257051,108621,'Feigns Death with 86% chance of success',100,1,0),
(257052,10108621,'Feigns Death with 86% chance of success',100,1,0),
(257053,159053,'When Equipped:',100,0,0),
(257054,159053,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(257055,159053,'Increases STA of caster by 5.8',100,2,2),
(257056,159053,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(257057,159053,'Cannot be modified except by direct means',100,2,4),
(257058,10159053,'When Equipped:',100,0,0),
(257059,10159053,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(257060,10159053,'Increases STA of caster by 5.8',100,2,2),
(257061,10159053,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(257062,10159053,'Cannot be modified except by direct means',100,2,4),
(257063,112099,'Inflicts 69 - 115 heat damage on target instantly and every 2 seconds',100,1,0),
(257064,10112099,'Inflicts 202 - 337 heat damage on target instantly and every 2 seconds',100,1,0),
(257065,110431,'Dazes targets in Area of Effect',100,1,0),
(257066,110431,'If Target is not Epic',100,2,1),
(257067,110431,'Decreases Threat to targets in Area of Effect by 325 ',100,1,2),
(257068,110431,'Dispelled when target receives hostile action',100,1,3),
(257069,110431,'Dispelled when target takes damage',100,1,4),
(257070,10110431,'Dazes targets in Area of Effect',100,1,0),
(257071,10110431,'If Target is not Epic',100,2,1),
(257072,10110431,'Applies Distract.',100,1,2),
(257073,10110431,'Forces target to clear their selected target.',100,2,3),
(257074,10110431,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(257075,10110431,'Dispelled when target receives hostile action',100,1,5),
(257076,10110431,'Dispelled when target takes damage',100,1,6),
(257077,46802,'Applies Gloomy Demeanor when Activated.',100,0,0),
(257078,46802,'Causes a rather gloomy outlook.',100,1,1),
(257079,10046802,'Applies Gloomy Demeanor when Activated.',100,0,0),
(257080,10046802,'Causes a rather gloomy outlook.',100,1,1),
(257081,107583,'Dazes target encounter',100,1,0),
(257082,107583,'Inflicts 151 - 185 mental damage on target encounter',100,1,1),
(257083,107583,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(257084,107583,'Resistibility increases against targets higher than level 68.',100,1,3),
(257085,10107583,'Inflicts 181 - 221 mental damage on target encounter',100,1,0),
(257086,10107583,'Dazes target encounter',100,1,1),
(257087,10107583,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(257088,10107583,'Resistibility increases against targets higher than level 68.',100,1,3),
(257089,116406,'Heals target for 430 - 526 instantly and every 2 seconds',100,1,0),
(257090,10116406,'Heals target for 280 - 342 instantly and every 2 seconds',100,1,0),
(257091,123642,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(257092,123642,'Slows target by 36.2%',100,2,1),
(257093,123642,'5% chance to dispel when target receives hostile action',100,2,2),
(257094,123642,'5% chance to dispel when target takes damage',100,2,3),
(257095,123642,'Inflicts 120 - 146 cold damage on target',100,1,4),
(257096,10123642,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(257097,10123642,'Slows target by 36.2%',100,2,1),
(257098,10123642,'5% chance to dispel when target receives hostile action',100,2,2),
(257099,10123642,'5% chance to dispel when target takes damage',100,2,3),
(257100,10123642,'Inflicts 123 - 150 cold damage on target',100,1,4),
(257101,71565,'When Equipped:',100,0,0),
(257102,71565,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257103,71565,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(257104,71565,'Cannot be modified except by direct means',100,2,3),
(257105,10071565,'When Equipped:',100,0,0),
(257106,10071565,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257107,10071565,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(257108,10071565,'Cannot be modified except by direct means',100,2,3),
(257109,159940,'When Equipped:',100,0,0),
(257110,159940,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257111,159940,'Increases WIS of caster by 3.6',100,2,2),
(257112,159940,'Increases Focus, Ministration and Ordination of caster by 2.2',100,2,3),
(257113,159940,'Cannot be modified except by direct means',100,2,4),
(257114,10159940,'When Equipped:',100,0,0),
(257115,10159940,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257116,10159940,'Increases WIS of caster by 3.6',100,2,2),
(257117,10159940,'Increases Focus, Ministration and Ordination of caster by 2.2',100,2,3),
(257118,10159940,'Cannot be modified except by direct means',100,2,4),
(257119,138023,'When Equipped:',100,0,0),
(257120,138023,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(257121,138023,'Increases in-combat movement speed of caster by 12.0%',100,2,2),
(257122,138023,'Increases Ability Casting Speed of caster by 12.0%',100,2,3),
(257123,138023,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(257124,138023,'Must not be engaged in pvp combat',100,2,5),
(257125,138023,'Cannot be modified except by direct means',100,2,6),
(257126,138023,'This effect will not stack with itself.',100,1,7),
(257127,138023,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(257128,138023,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(257129,138023,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(257130,138023,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(257131,138023,'Must not be engaged in pvp combat',100,2,12),
(257132,138023,'Cannot be modified except by direct means',100,2,13),
(257133,138023,'Must not be engaged in pvp combat',100,1,14),
(257134,10138023,'When Equipped:',100,0,0),
(257135,10138023,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(257136,10138023,'Increases in-combat movement speed of caster by 12.0%',100,2,2),
(257137,10138023,'Increases Ability Casting Speed of caster by 12.0%',100,2,3),
(257138,10138023,'Increases Ability Recovery Speed of caster by 12.0%',100,2,4),
(257139,10138023,'Must not be engaged in pvp combat',100,2,5),
(257140,10138023,'Cannot be modified except by direct means',100,2,6),
(257141,10138023,'This effect will not stack with itself.',100,1,7),
(257142,10138023,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(257143,10138023,'Increases in-combat movement speed of caster by 12.0%',100,2,9),
(257144,10138023,'Increases Ability Casting Speed of caster by 12.0%',100,2,10),
(257145,10138023,'Increases Ability Recovery Speed of caster by 12.0%',100,2,11),
(257146,10138023,'Must not be engaged in pvp combat',100,2,12),
(257147,10138023,'Cannot be modified except by direct means',100,2,13),
(257148,10138023,'Must not be engaged in pvp combat',100,1,14),
(257149,121645,'Summons a pet shadowknight squire',100,1,0),
(257150,10121645,'Summons a pet shadowknight squire',100,1,0),
(257151,122875,'Inflicts 189 - 316 ranged damage on target',100,1,0),
(257152,122875,'Inflicts 379 - 632 ranged damage on target',100,1,1),
(257153,122875,'Inflicts 569 - 948 ranged damage on target',100,1,2),
(257154,122875,'Requires bow',100,1,3),
(257155,10122875,'Inflicts 177 - 296 ranged damage on target',100,1,0),
(257156,10122875,'Inflicts 355 - 592 ranged damage on target',100,1,1),
(257157,10122875,'Inflicts 533 - 889 ranged damage on target',100,1,2),
(257158,10122875,'Requires bow',100,1,3),
(257159,24094,'Adds Chardok: Pile of Hay to your Dungeon Maker toolbox',100,0,0),
(257160,10024094,'Adds Chardok: Pile of Hay to your Dungeon Maker toolbox',100,0,0),
(257161,108414,'Heals target for 791 - 967',100,1,0),
(257162,10108414,'Heals target for 946 - 1156',100,1,0),
(257163,115081,'Heals target for 238 - 291',100,1,0),
(257164,115081,'Heals target for 31 - 37 every second',100,1,1),
(257165,10115081,'Heals target for 443 - 541',100,1,0),
(257166,10115081,'Heals target for 33 - 41 every second',100,1,1),
(257167,189967,'When Equipped:',100,0,0),
(257168,189967,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(257169,10189967,'When Equipped:',100,0,0),
(257170,10189967,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(257171,107085,'Inflicts 103 - 126 divine damage on target',100,1,0),
(257172,10107085,'Inflicts 124 - 151 divine damage on target',100,1,0),
(257173,102380,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(257174,102380,'Increases Attack Speed of target by 27.4',100,2,1),
(257175,102380,'Increases Damage Per Second of target by 27.4',100,2,2),
(257176,102380,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(257177,102380,'Increases Attack Speed of target by 27.4',100,2,4),
(257178,102380,'Increases Damage Per Second of target by 27.4',100,2,5),
(257179,102380,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(257180,102380,'Increases Attack Speed of target by 27.4',100,2,7),
(257181,102380,'Increases Damage Per Second of target by 27.4',100,2,8),
(257182,10102380,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(257183,10102380,'Increases Attack Speed of target by 27.4',100,2,1),
(257184,10102380,'Increases Damage Per Second of target by 27.4',100,2,2),
(257185,10102380,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(257186,10102380,'Increases Attack Speed of target by 27.4',100,2,4),
(257187,10102380,'Increases Damage Per Second of target by 27.4',100,2,5),
(257188,10102380,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(257189,10102380,'Increases Attack Speed of target by 27.4',100,2,7),
(257190,10102380,'Increases Damage Per Second of target by 27.4',100,2,8),
(257191,104467,'Inflicts 6-10 melee damage on targets in area',100,1,0),
(257192,104467,'Interrupts targets in Area of Effect',100,1,1),
(257193,10104467,'Inflicts 51 - 86 melee damage on targets in area',100,1,0),
(257194,10104467,'Interrupts targets in Area of Effect',100,1,1),
(257195,118104,'Heals target for 45 - 54',100,1,0),
(257196,10118104,'Heals target for 53 - 64',100,1,0),
(257197,116381,'Heals target for 96 - 117 instantly and every 2 seconds',100,1,0),
(257198,10116381,'Heals target for 62 - 76 instantly and every 2 seconds',100,1,0),
(257199,82351,'When Equipped:',100,0,0),
(257200,82351,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(257201,82351,'Decreases Threat to target by 135 ',100,2,2),
(257202,82351,'Must be flanking or behind',100,3,3),
(257203,82351,'Increases Threat to target by 236 ',100,2,4),
(257204,82351,'Must be in front of',100,3,5),
(257205,82351,'Inflicts 33 - 61 magic damage on target',100,2,6),
(257206,82351,'Cannot be modified except by direct means',100,2,7),
(257207,10082351,'When Equipped:',100,0,0),
(257208,10082351,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(257209,10082351,'Inflicts 40 - 74 magic damage on target',100,2,2),
(257210,10082351,'Cannot be modified except by direct means',100,2,3),
(257211,117519,'Increases AGI, INT and WIS of group members (AE) by 22.6',100,1,0),
(257212,117519,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 86',100,1,1),
(257213,10117519,'Increases AGI, INT and WIS of group members (AE) by 22.6',100,1,0),
(257214,10117519,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 86',100,1,1),
(257215,115642,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 385',100,1,0),
(257216,10115642,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 385',100,1,0),
(257217,103467,'Increases In-Combat Power Regeneration of group members (AE) by 8.7',100,1,0),
(257218,10103467,'Increases In-Combat Power Regeneration of group members (AE) by 8.7',100,1,0),
(257219,115782,'Inflicts 306 - 510 melee damage on target',100,1,0),
(257220,10115782,'Inflicts 367 - 612 melee damage on target',100,1,0),
(257221,118763,'Increases INT and WIS of group members (AE) by 59.1',100,1,0),
(257222,118763,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 174',100,1,1),
(257223,10118763,'Increases INT and WIS of group members (AE) by 59.1',100,1,0),
(257224,10118763,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 174',100,1,1),
(257225,116901,'Wards target against 13 points of all damage',100,1,0),
(257226,116901,'Decreases INT of target by 28.0',100,1,1),
(257227,116901,'Decreases Attack Speed of target by 25.0',100,1,2),
(257228,116901,'Increases Max Health of target by 9.5%',100,1,3),
(257229,116901,'Increases Hate Gain of target by 12.6%',100,1,4),
(257230,116901,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,5),
(257231,10116901,'Wards target against 13 points of all damage',100,1,0),
(257232,10116901,'Decreases INT of target by 28.0',100,1,1),
(257233,10116901,'Decreases Attack Speed of target by 25.0',100,1,2),
(257234,10116901,'Increases Max Health of target by 9.5%',100,1,3),
(257235,10116901,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,4),
(257236,171085,'When Equipped:',100,0,0),
(257237,171085,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(257238,171085,'Inflicts 1998 poison damage on target',100,2,2),
(257239,171085,'Cannot be modified except by direct means',100,2,3),
(257240,10171085,'When Equipped:',100,0,0),
(257241,10171085,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(257242,10171085,'Inflicts 1199 poison damage on target',100,2,2),
(257243,10171085,'Cannot be modified except by direct means',100,2,3),
(257244,172998,'When Equipped:',100,0,0),
(257245,172998,'1% of all damage received by the caster is prevented.',100,1,1),
(257246,172998,'Must not be engaged in pvp combat',100,1,2),
(257247,10172998,'When Equipped:',100,0,0),
(257248,10172998,'1% of all damage received by the caster is prevented.',100,1,1),
(257249,10172998,'Must not be engaged in pvp combat',100,1,2),
(257250,82137,'When Equipped:',100,0,0),
(257251,82137,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257252,82137,'Inflicts 125 - 232 magic damage on target',100,2,2),
(257253,82137,'Cannot be modified except by direct means',100,2,3),
(257254,10082137,'When Equipped:',100,0,0),
(257255,10082137,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257256,10082137,'Inflicts 150 - 278 magic damage on target',100,2,2),
(257257,10082137,'Cannot be modified except by direct means',100,2,3),
(257258,115842,'Inflicts 73 - 121 mental damage on target encounter',100,1,0),
(257259,115842,'Interrupts target encounter',100,1,1),
(257260,10115842,'Inflicts 87 - 146 mental damage on target encounter',100,1,0),
(257261,10115842,'Interrupts target encounter',100,1,1),
(257262,119168,'Summons a pet Bloodskull priest',100,1,0),
(257263,10119168,'Summons a pet Bloodskull priest',100,1,0),
(257264,177706,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(257265,177706,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(257266,177706,'Inflicts 46 heat damage on target',100,2,2),
(257267,177706,'Cannot be modified except by direct means',100,2,3),
(257268,10177706,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(257269,10177706,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(257270,10177706,'Inflicts 55 heat damage on target',100,2,2),
(257271,10177706,'Cannot be modified except by direct means',100,2,3),
(257272,104749,'Applies Consecration.',100,1,0),
(257273,104749,'Inflicts 186 - 227 divine damage on targets in Area of Effect',100,2,1),
(257274,10104749,'Applies Consecration.',100,1,0),
(257275,10104749,'Inflicts 223 - 272 divine damage on targets in Area of Effect',100,2,1),
(257276,102507,'Inflicts 869 - 1448 crushing damage on target',100,1,0),
(257277,102507,'Prevents target from changing direction while active.',100,1,1),
(257278,102507,'If Target is not Epic',100,2,2),
(257279,102507,'Roots target',100,1,3),
(257280,102507,'If Target is not Epic',100,2,4),
(257281,102507,'Resistibility increases against targets higher than level 114.',100,1,5),
(257282,10102507,'Inflicts 1043 - 1738 crushing damage on target',100,1,0),
(257283,10102507,'Prevents target from changing direction while active.',100,1,1),
(257284,10102507,'If Target is not Epic',100,2,2),
(257285,10102507,'Roots target',100,1,3),
(257286,10102507,'If Target is not Epic',100,2,4),
(257287,10102507,'Resistibility increases against targets higher than level 114.',100,1,5),
(257288,177569,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(257289,177569,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(257290,177569,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(257291,177569,'Cannot be modified except by direct means',100,2,3),
(257292,10177569,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(257293,10177569,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(257294,10177569,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(257295,10177569,'Cannot be modified except by direct means',100,2,3),
(257296,45376,'Applies Summon Stallion when Activated.',100,0,0),
(257297,45376,'Increases Ministration, Ordination and Disruption of caster by 5.0',100,1,1),
(257298,45376,'Reduces maximum falling speed of caster',100,1,2),
(257299,45376,'Increases Aggression of caster by 5.0',100,1,3),
(257300,45376,'Summons a mount to ride',100,1,4),
(257301,45376,'Increases your ground speed by 135%',100,2,5),
(257302,45376,'Increases Crushing, Slashing, Piercing, Ranged, Focus and Subjugation of caster by 5.0',100,1,6),
(257303,10045376,'Applies Summon Stallion when Activated.',100,0,0),
(257304,10045376,'Increases Ministration, Ordination and Disruption of caster by 5.0',100,1,1),
(257305,10045376,'Reduces maximum falling speed of caster',100,1,2),
(257306,10045376,'Increases Aggression of caster by 5.0',100,1,3),
(257307,10045376,'Summons a mount to ride',100,1,4),
(257308,10045376,'Increases your ground speed by 135%',100,2,5),
(257309,10045376,'Increases Crushing, Slashing, Piercing, Ranged, Focus and Subjugation of caster by 5.0',100,1,6),
(257310,117882,'Heals target for 433 - 530 instantly and every 2 seconds',100,1,0),
(257311,10117882,'Heals target for 282 - 344 instantly and every 2 seconds',100,1,0),
(257312,88191,'When Equipped:',100,0,0),
(257313,88191,'On a combat hit this spell may cast Ferrin''s Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257314,88191,'Inflicts 198 - 330 heat damage on target',100,2,2),
(257315,88191,'Cannot be modified except by direct means',100,2,3),
(257316,10088191,'When Equipped:',100,0,0),
(257317,10088191,'On a combat hit this spell may cast Ferrin''s Flame on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257318,10088191,'Inflicts 237 - 396 heat damage on target',100,2,2),
(257319,10088191,'Cannot be modified except by direct means',100,2,3),
(257320,82808,'Applies Imbued Smite when Equipped.',100,0,0),
(257321,82808,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(257322,82808,'Inflicts 410 divine damage on target instantly and every second',100,2,2),
(257323,82808,'Cannot be modified except by direct means',100,2,3),
(257324,82808,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(257325,82808,'Inflicts 410 divine damage on target instantly and every second',100,2,5),
(257326,82808,'Cannot be modified except by direct means',100,2,6),
(257327,10082808,'Applies Imbued Smite when Equipped.',100,0,0),
(257328,10082808,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(257329,10082808,'Inflicts 492 divine damage on target instantly and every second',100,2,2),
(257330,10082808,'Cannot be modified except by direct means',100,2,3),
(257331,10082808,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(257332,10082808,'Inflicts 492 divine damage on target instantly and every second',100,2,5),
(257333,10082808,'Cannot be modified except by direct means',100,2,6),
(257334,111601,'Inflicts 34 - 63 cold damage on target instantly and every 4 seconds',100,1,0),
(257335,111601,'Decreases Mitigation of target vs elemental damage by 656',100,1,1),
(257336,10111601,'Inflicts 41 - 76 cold damage on target instantly and every 4 seconds',100,1,0),
(257337,10111601,'Decreases Mitigation of target vs elemental damage by 656',100,1,1),
(257338,118811,'Wards group members (AE) against 120 points of physical damage',100,1,0),
(257339,118811,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,1),
(257340,10118811,'Wards group members (AE) against 120 points of physical damage',100,1,0),
(257341,10118811,'Increases Mitigation of group members (AE) vs physical damage by 1122',100,1,1),
(257342,71582,'When Equipped:',100,0,0),
(257343,71582,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257344,71582,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(257345,71582,'Cannot be modified except by direct means',100,2,3),
(257346,10071582,'When Equipped:',100,0,0),
(257347,10071582,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257348,10071582,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(257349,10071582,'Cannot be modified except by direct means',100,2,3),
(257350,114249,'Inflicts 343 - 419 mental damage on target',100,1,0),
(257351,114249,'Stuns target',100,1,1),
(257352,114249,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(257353,114249,'Resistibility increases against targets higher than level 98.',100,1,3),
(257354,10114249,'Inflicts 411 - 503 mental damage on target',100,1,0),
(257355,10114249,'Requires not being affected by Mesmerize effects.',100,2,1),
(257356,10114249,'Stuns target',100,1,2),
(257357,10114249,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(257358,10114249,'Resistibility increases against targets higher than level 98.',100,1,4),
(257359,124638,'Heals group members (AE) for 825 - 1008',100,1,0),
(257360,124638,'Heals group members (AE) for 139 - 170 every second',100,1,1),
(257361,10124638,'Heals group members (AE) for 2168 - 2650',100,1,0),
(257362,10124638,'Heals group members (AE) for 271 - 331 every second',100,1,1),
(257363,37094,'Increases AGI and STA of target by 16.0',100,0,0),
(257364,37094,'Increases Damage Per Second of target by 10.0',100,0,1),
(257365,37094,'Increases Out-of-Combat Health Regeneration of target by 30.8',100,0,2),
(257366,111056,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(257367,111056,'Slows target by 44.0%',100,2,1),
(257368,111056,'5% chance to dispel when target receives hostile action',100,2,2),
(257369,111056,'5% chance to dispel when target takes damage',100,2,3),
(257370,111056,'Decreases Mitigation of target vs elemental damage by 306',100,1,4),
(257371,10111056,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(257372,10111056,'Slows target by 44.0%',100,2,1),
(257373,10111056,'5% chance to dispel when target receives hostile action',100,2,2),
(257374,10111056,'5% chance to dispel when target takes damage',100,2,3),
(257375,10111056,'Decreases Mitigation of target vs elemental damage by 306',100,1,4),
(257376,106318,'Decreases INT and STR of target by 38.2',100,1,0),
(257377,10106318,'Decreases INT and STR of target by 38.2',100,1,0),
(257378,47119,'Applies Aura of the Glade  when Activated.  Lasts for 30 minutes.',100,0,0),
(257379,10047119,'Applies Aura of the Glade  when Activated.  Lasts for 30 minutes.',100,0,0),
(257380,52860,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(257381,52860,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(257382,52860,'Inflicts 19 heat damage on target',100,2,2),
(257383,52860,'Cannot be modified except by direct means',100,2,3),
(257384,10052860,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(257385,10052860,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(257386,10052860,'Inflicts 23 heat damage on target',100,2,2),
(257387,10052860,'Cannot be modified except by direct means',100,2,3),
(257388,123732,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(257389,10123732,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(257390,104881,'Inflicts 98 - 164 magic damage on targets in area',100,1,0),
(257391,10104881,'Inflicts 118 - 197 magic damage on targets in area',100,1,0),
(257392,35649,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(257393,116428,'Inflicts 93 - 155 mental damage on target',100,1,0),
(257394,10116428,'Inflicts 111 - 186 mental damage on target',100,1,0),
(257395,54768,'When Equipped:',100,0,0),
(257396,54768,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(257397,54768,'Wards caster against 50 points of all damage',100,2,2),
(257398,54768,'Cannot be modified except by direct means',100,2,3),
(257399,10054768,'When Equipped:',100,0,0),
(257400,10054768,'On a spell cast this spell may cast Rune of Warding on caster.  Lasts for 10 minutes.  Triggers about 1.8 times per minute. ',100,1,1),
(257401,10054768,'Wards caster against 50 points of all damage',100,2,2),
(257402,10054768,'Cannot be modified except by direct means',100,2,3),
(257403,45268,'Applies Petamorph: Osseous Destroyer when Activated.  Lasts for 2 hours.',100,0,0),
(257404,45268,'Reanimates the caster''s combat pet into an Awakened Osseous Destroyer. Does not work on cosmetic pets.',100,1,1),
(257405,10045268,'Applies Petamorph: Osseous Destroyer when Activated.  Lasts for 2 hours.',100,0,0),
(257406,10045268,'Reanimates the caster''s combat pet into an Awakened Osseous Destroyer. Does not work on cosmetic pets.',100,1,1),
(257407,177587,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(257408,177587,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(257409,177587,'Inflicts 48 heat damage on target',100,2,2),
(257410,177587,'Cannot be modified except by direct means',100,2,3),
(257411,10177587,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(257412,10177587,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(257413,10177587,'Inflicts 58 heat damage on target',100,2,2),
(257414,10177587,'Cannot be modified except by direct means',100,2,3),
(257415,107091,'Inflicts 462 - 565 divine damage on target',100,1,0),
(257416,10107091,'Inflicts 555 - 678 divine damage on target',100,1,0),
(257417,145020,'Applies Mana Font when Activated.  Lasts for 10.0 seconds.',100,0,0),
(257418,145020,'Increases power of caster by 214 instantly and every 2 seconds',100,1,1),
(257419,145020,'The casting time of Mana Font is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(257420,10145020,'Applies Mana Font when Activated.  Lasts for 10.0 seconds.',100,0,0),
(257421,10145020,'Increases power of caster by 214 instantly and every 2 seconds',100,1,1),
(257422,10145020,'The casting time of Mana Font is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(257423,116194,'Inflicts 374 - 623 mental damage on target',100,1,0),
(257424,10116194,'Inflicts 449 - 748 mental damage on target',100,1,0),
(257425,118800,'Wards group members (AE) against 65 points of physical damage',100,1,0),
(257426,118800,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,1),
(257427,10118800,'Wards group members (AE) against 65 points of physical damage',100,1,0),
(257428,10118800,'Increases Mitigation of group members (AE) vs physical damage by 649',100,1,1),
(257429,123584,'Increases STR of group members (AE) by 70.0',100,1,0),
(257430,123584,'Increases Max Health of group members (AE) by 620.4',100,1,1),
(257431,10123584,'Increases STR of group members (AE) by 70.0',100,1,0),
(257432,10123584,'Increases Max Health of group members (AE) by 620.4',100,1,1),
(257433,134307,'When Equipped:',100,0,0),
(257434,134307,'On a hostile spell hit this spell may cast Languid Pace on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257435,134307,'Decreases Attack Speed of target by 6.0',100,2,2),
(257436,134307,'Cannot be modified except by direct means',100,2,3),
(257437,10134307,'When Equipped:',100,0,0),
(257438,10134307,'On a hostile spell hit this spell may cast Languid Pace on target of spell.  Lasts for 1 minute 12 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257439,10134307,'Decreases Attack Speed of target by 6.0',100,2,2),
(257440,10134307,'Cannot be modified except by direct means',100,2,3),
(257441,103700,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(257442,103700,'Inflicts 57 - 95 disease damage on target',100,2,1),
(257443,103700,'Increases Attack Speed of group members (AE) by 47.4',100,1,2),
(257444,10103700,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(257445,10103700,'Inflicts 68 - 114 disease damage on target',100,2,1),
(257446,10103700,'Increases Attack Speed of group members (AE) by 47.4',100,1,2),
(257447,46245,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(257448,46245,'Wards caster against 815 points of noxious damage',100,1,1),
(257449,10046245,'Applies noxious reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(257450,10046245,'Wards caster against 815 points of noxious damage',100,1,1),
(257451,45623,'Applies Clouded Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(257452,45623,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(257453,45623,'Only affects targets level 50 and above',100,1,2),
(257454,10045623,'Applies Clouded Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(257455,10045623,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(257456,10045623,'Only affects targets level 50 and above',100,1,2),
(257457,172205,'When Equipped:',100,0,0),
(257458,172205,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(257459,172205,'Inflicts 2664 cold damage on target encounter',100,2,2),
(257460,172205,'Must not be engaged in pvp combat',100,2,3),
(257461,172205,'Cannot be modified except by direct means',100,2,4),
(257462,172205,'Must not be engaged in pvp combat',100,1,5),
(257463,10172205,'When Equipped:',100,0,0),
(257464,10172205,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(257465,10172205,'Inflicts 1598 cold damage on target encounter',100,2,2),
(257466,10172205,'Must not be engaged in pvp combat',100,2,3),
(257467,10172205,'Cannot be modified except by direct means',100,2,4),
(257468,10172205,'Must not be engaged in pvp combat',100,1,5),
(257469,52748,'Applies Sanguine Imbued when Equipped.',100,0,0),
(257470,52748,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(257471,52748,'Inflicts 57 heat damage on target',100,2,2),
(257472,52748,'Cannot be modified except by direct means',100,2,3),
(257473,10052748,'Applies Sanguine Imbued when Equipped.',100,0,0),
(257474,10052748,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(257475,10052748,'Inflicts 69 heat damage on target',100,2,2),
(257476,10052748,'Cannot be modified except by direct means',100,2,3),
(257477,124217,'Decreases Attack Speed of caster by 14.1',100,1,0),
(257478,124217,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(257479,124217,'Slows targets in Area of Effect by 45.8%',100,2,2),
(257480,124217,'5% chance to dispel when target receives hostile action',100,2,3),
(257481,124217,'5% chance to dispel when target takes damage',100,2,4),
(257482,124217,'Increases Mitigation of caster vs physical damage by 492',100,1,5),
(257483,10124217,'Decreases Attack Speed of caster by 14.1',100,1,0),
(257484,10124217,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(257485,10124217,'Slows targets in Area of Effect by 34.4%',100,2,2),
(257486,10124217,'5% chance to dispel when target receives hostile action',100,2,3),
(257487,10124217,'5% chance to dispel when target takes damage',100,2,4),
(257488,10124217,'Increases Mitigation of caster vs physical damage by 492',100,1,5),
(257489,103189,'Increases Mitigation of caster vs physical damage by 200',100,1,0),
(257490,103189,'Roots caster',100,1,1),
(257491,10103189,'Increases Mitigation of caster vs physical damage by 200',100,1,0),
(257492,10103189,'Roots caster',100,1,1),
(257493,118207,'Increases Damage Per Second of group members (AE) by 27.6',100,1,0),
(257494,10118207,'Increases Damage Per Second of group members (AE) by 27.6',100,1,0),
(257495,146725,'When Equipped:',100,0,0),
(257496,146725,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(257497,146725,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(257498,146725,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,3),
(257499,146725,'Must not be engaged in pvp combat',100,2,4),
(257500,146725,'Cannot be modified except by direct means',100,2,5),
(257501,146725,'Cannot be modified except by direct means',100,1,6),
(257502,10146725,'When Equipped:',100,0,0),
(257503,10146725,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(257504,10146725,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(257505,10146725,'Inflicts 1299 - 1435 disease damage on target instantly and every 2 seconds',100,2,3),
(257506,10146725,'Must not be engaged in pvp combat',100,2,4),
(257507,10146725,'Cannot be modified except by direct means',100,2,5),
(257508,10146725,'Cannot be modified except by direct means',100,1,6),
(257509,71958,'When Equipped:',100,0,0),
(257510,71958,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257511,71958,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(257512,71958,'Cannot be modified except by direct means',100,2,3),
(257513,10071958,'When Equipped:',100,0,0),
(257514,10071958,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257515,10071958,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(257516,10071958,'Cannot be modified except by direct means',100,2,3),
(257517,108245,'Inflicts 296 - 888 piercing damage on target',100,1,0),
(257518,108245,'Decreases Slashing, Crushing, Piercing and Ranged of target by 45.0',100,1,1),
(257519,10108245,'Inflicts 355 - 1065 piercing damage on target',100,1,0),
(257520,10108245,'Decreases Slashing, Crushing, Piercing and Ranged of target by 45.0',100,1,1),
(257521,122873,'Inflicts 144 - 241 ranged damage on target',100,1,0),
(257522,122873,'Inflicts 289 - 482 ranged damage on target',100,1,1),
(257523,122873,'Inflicts 434 - 723 ranged damage on target',100,1,2),
(257524,122873,'Requires bow',100,1,3),
(257525,10122873,'Inflicts 135 - 226 ranged damage on target',100,1,0),
(257526,10122873,'Inflicts 271 - 452 ranged damage on target',100,1,1),
(257527,10122873,'Inflicts 407 - 678 ranged damage on target',100,1,2),
(257528,10122873,'Requires bow',100,1,3),
(257529,107195,'Inflicts 154 - 258 divine damage on target',100,1,0),
(257530,107195,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(257531,107195,'Stuns target',100,2,2),
(257532,107195,'If Target is not Epic',100,3,3),
(257533,107195,'Inflicts 361 - 602 divine damage on target',100,2,4),
(257534,107195,'Inflicts 310 - 516 divine damage on target',100,2,5),
(257535,107195,'If target is undead',100,3,6),
(257536,10107195,'Inflicts 123 - 206 divine damage on target',100,1,0),
(257537,10107195,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(257538,10107195,'Stuns target',100,2,2),
(257539,10107195,'Inflicts 650 - 1084 divine damage on target',100,2,3),
(257540,10107195,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(257541,71862,'When Equipped:',100,0,0),
(257542,71862,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257543,71862,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(257544,71862,'Cannot be modified except by direct means',100,2,3),
(257545,10071862,'When Equipped:',100,0,0),
(257546,10071862,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257547,10071862,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(257548,10071862,'Cannot be modified except by direct means',100,2,3),
(257549,104039,'Stifles target',100,1,0),
(257550,104039,'If Target is not Epic',100,2,1),
(257551,104039,'Interrupts target',100,1,2),
(257552,104039,'Decreases Threat to target by 1,663 - 2,032 ',100,1,3),
(257553,104039,'Resistibility increases against targets higher than level 106.',100,1,4),
(257554,10104039,'Stifles target',100,1,0),
(257555,10104039,'If Target is not Epic',100,2,1),
(257556,10104039,'Interrupts target',100,1,2),
(257557,10104039,'Resistibility increases against targets higher than level 106.',100,1,3),
(257558,163447,'When Equipped:',100,0,0),
(257559,163447,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(257560,163447,'Inflicts 1199 disease damage on target encounter',100,2,2),
(257561,163447,'Must not be engaged in pvp combat',100,2,3),
(257562,163447,'Cannot be modified except by direct means',100,2,4),
(257563,10163447,'When Equipped:',100,0,0),
(257564,10163447,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(257565,10163447,'Inflicts 719 disease damage on target encounter',100,2,2),
(257566,10163447,'Must not be engaged in pvp combat',100,2,3),
(257567,10163447,'Cannot be modified except by direct means',100,2,4),
(257568,173328,'When Equipped:',100,0,0),
(257569,173328,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(257570,173328,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(257571,173328,'Must not be engaged in pvp combat',100,2,3),
(257572,173328,'Cannot be modified except by direct means',100,2,4),
(257573,173328,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(257574,173328,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(257575,173328,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(257576,173328,'Must not be engaged in pvp combat',100,2,8),
(257577,173328,'Cannot be modified except by direct means',100,2,9),
(257578,173328,'Must not be engaged in pvp combat',100,1,10),
(257579,10173328,'When Equipped:',100,0,0),
(257580,10173328,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(257581,10173328,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(257582,10173328,'Must not be engaged in pvp combat',100,2,3),
(257583,10173328,'Cannot be modified except by direct means',100,2,4),
(257584,10173328,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(257585,10173328,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(257586,10173328,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(257587,10173328,'Must not be engaged in pvp combat',100,2,8),
(257588,10173328,'Cannot be modified except by direct means',100,2,9),
(257589,10173328,'Must not be engaged in pvp combat',100,1,10),
(257590,102945,'Inflicts 91 - 112 disease damage on target instantly and every 4 seconds',100,1,0),
(257591,10102945,'Inflicts 143 - 174 disease damage on target',100,1,0),
(257592,10102945,'Inflicts 110 - 134 disease damage on target every 4 seconds',100,1,1),
(257593,122208,'Increases Damage Per Second of target by 17.0',100,1,0),
(257594,122208,'Increases Max Health of target by 311.4',100,1,1),
(257595,10122208,'Increases Damage Per Second of target by 17.0',100,1,0),
(257596,10122208,'Increases Max Health of target by 311.4',100,1,1),
(257597,37268,'Target will Parry 2.2% of incoming attacks',100,0,0),
(257598,37268,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(257599,101567,'Inflicts 29 - 48 melee damage on targets in area',100,1,0),
(257600,10101567,'Inflicts 35 - 58 melee damage on targets in area',100,1,0),
(257601,71936,'When Equipped:',100,0,0),
(257602,71936,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257603,71936,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(257604,71936,'Cannot be modified except by direct means',100,2,3),
(257605,10071936,'When Equipped:',100,0,0),
(257606,10071936,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(257607,10071936,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(257608,10071936,'Cannot be modified except by direct means',100,2,3),
(257609,82816,'When Equipped:',100,0,0),
(257610,82816,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257611,82816,'Inflicts 205 - 381 magic damage on target',100,2,2),
(257612,82816,'Cannot be modified except by direct means',100,2,3),
(257613,10082816,'When Equipped:',100,0,0),
(257614,10082816,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257615,10082816,'Inflicts 246 - 457 magic damage on target',100,2,2),
(257616,10082816,'Cannot be modified except by direct means',100,2,3),
(257617,101410,'Inflicts 451 - 752 melee damage on target',100,1,0),
(257618,101410,'Returns the last arrow used to the ranger.',100,1,1),
(257619,10101410,'Inflicts 542 - 903 melee damage on target',100,1,0),
(257620,10101410,'Returns the last arrow used to the ranger.',100,1,1),
(257621,117039,'Inflicts 20 - 33 melee damage on target',100,1,0),
(257622,117039,'Decreases Attack Speed of target by 11.9',100,1,1),
(257623,10117039,'Inflicts 24 - 40 melee damage on target',100,1,0),
(257624,10117039,'Decreases Attack Speed of target by 11.9',100,1,1),
(257625,46463,'Applies Gerla''s Elemental Lullaby when Activated.',100,0,0),
(257626,46463,'Gerla''s Elemental Lullaby potion can be used on Evigis the Ancient when it is under 20 percent of life.',100,1,1),
(257627,10046463,'Applies Gerla''s Elemental Lullaby when Activated.',100,0,0),
(257628,10046463,'Gerla''s Elemental Lullaby potion can be used on Evigis the Ancient when it is under 20 percent of life.',100,1,1),
(257629,26379,'When Equipped:',100,0,0),
(257630,26379,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(257631,26379,'Decreases Threat to target encounter by 574 ',100,2,2),
(257632,26379,'Cannot be modified except by direct means',100,2,3),
(257633,10026379,'When Equipped:',100,0,0),
(257634,10026379,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(257635,10026379,'Cannot be modified except by direct means',100,2,2),
(257636,82684,'When Equipped:',100,0,0),
(257637,82684,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(257638,82684,'Decreases Threat to target by 236 ',100,2,2),
(257639,82684,'Must be flanking or behind',100,3,3),
(257640,82684,'Increases Threat to target by 414 ',100,2,4),
(257641,82684,'Must be in front of',100,3,5),
(257642,82684,'Inflicts 72 - 134 magic damage on target',100,2,6),
(257643,82684,'Cannot be modified except by direct means',100,2,7),
(257644,10082684,'When Equipped:',100,0,0),
(257645,10082684,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(257646,10082684,'Inflicts 87 - 161 magic damage on target',100,2,2),
(257647,10082684,'Cannot be modified except by direct means',100,2,3),
(257648,107233,'Inflicts 1193 - 1988 melee damage on targets in area',100,1,0),
(257649,107233,'Dispels 321 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(257650,10107233,'Inflicts 1431 - 2386 melee damage on targets in area',100,1,0),
(257651,10107233,'Reduces healing received of targets in area by 10%',100,1,1),
(257652,119089,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(257653,119089,'Increases Parry and Deflection of group members (AE) by 12.2',100,1,1),
(257654,119089,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(257655,119089,'Decreases Threat to target encounter by 522 - 638 ',100,2,3),
(257656,119089,'If not fighter',100,3,4),
(257657,119089,'Increases Threat to target encounter by 913 - 1,098 ',100,2,5),
(257658,119089,'If fighter',100,3,6),
(257659,119089,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(257660,119089,'Decreases Threat to target encounter by 522 - 638 ',100,2,8),
(257661,119089,'If not fighter',100,3,9),
(257662,119089,'Increases Threat to target encounter by 913 - 1,098 ',100,2,10),
(257663,119089,'If fighter',100,3,11),
(257664,10119089,'Increases group members (AE)''s chance to block by 11.0%',100,1,0),
(257665,10119089,'Increases Parry and Deflection of group members (AE) by 12.2',100,1,1),
(257666,10119089,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(257667,10119089,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(257668,105029,'Increases WIS of raid and group members (AE) by 41.0',100,1,0),
(257669,105029,'Increases heal amounts of raid members by 5%.',100,1,1),
(257670,105029,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 150',100,1,2),
(257671,10105029,'Increases WIS of raid and group members (AE) by 41.0',100,1,0),
(257672,10105029,'Increases heal amounts of raid members by 5%.',100,1,1),
(257673,10105029,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 150',100,1,2),
(257674,37400,'Increases Out-of-Combat Power Regeneration of target by 3.0',100,0,0),
(257675,46105,'Applies Elixir of Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(257676,46105,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(257677,10046105,'Applies Elixir of Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(257678,10046105,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(257679,87336,'When Equipped:',100,0,0),
(257680,87336,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257681,87336,'Inflicts 99 - 148 magic damage on target',100,2,2),
(257682,87336,'Cannot be modified except by direct means',100,2,3),
(257683,10087336,'When Equipped:',100,0,0),
(257684,10087336,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257685,10087336,'Inflicts 118 - 177 magic damage on target',100,2,2),
(257686,10087336,'Cannot be modified except by direct means',100,2,3),
(257687,118614,'Roots target',100,1,0),
(257688,118614,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(257689,118614,'Slows target by 72.3%',100,2,2),
(257690,118614,'5% chance to dispel when target receives hostile action',100,2,3),
(257691,118614,'5% chance to dispel when target takes damage',100,2,4),
(257692,118614,'5% chance to dispel when target takes damage',100,1,5),
(257693,118614,'Does not affect Epic targets',100,1,6),
(257694,118614,'Resistibility increases against targets higher than level 105.',100,1,7),
(257695,10118614,'Roots target',100,1,0),
(257696,10118614,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(257697,10118614,'Slows target by 72.3%',100,2,2),
(257698,10118614,'5% chance to dispel when target receives hostile action',100,2,3),
(257699,10118614,'5% chance to dispel when target takes damage',100,2,4),
(257700,10118614,'5% chance to dispel when target takes damage',100,1,5),
(257701,10118614,'Does not affect Epic targets',100,1,6),
(257702,10118614,'Resistibility increases against targets higher than level 105.',100,1,7),
(257703,178754,'When Equipped:',100,0,0),
(257704,178754,'Increases caster''s chance to block by 8.0%',100,1,1),
(257705,10178754,'When Equipped:',100,0,0),
(257706,10178754,'Increases caster''s chance to block by 8.0%',100,1,1),
(257707,81348,'When Equipped:',100,0,0),
(257708,81348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257709,81348,'Inflicts 80 - 149 magic damage on target',100,2,2),
(257710,81348,'Cannot be modified except by direct means',100,2,3),
(257711,10081348,'When Equipped:',100,0,0),
(257712,10081348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(257713,10081348,'Inflicts 96 - 179 magic damage on target',100,2,2),
(257714,10081348,'Cannot be modified except by direct means',100,2,3),
(257715,179024,'When Equipped:',100,0,0),
(257716,179024,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(257717,10179024,'When Equipped:',100,0,0),
(257718,10179024,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(257719,24771,'Adds Wyvern (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(257720,10024771,'Adds Wyvern (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(257721,25343,'When Equipped:',100,0,0),
(257722,25343,'Improves the damage of Blade Chime by 10%.',100,1,1),
(257723,25343,'Reduces the reuse time of Cacophony of Blades III by 30 seconds.',100,1,2),
(257724,10025343,'When Equipped:',100,0,0),
(257725,10025343,'Improves the damage of Blade Chime by 10%.',100,1,1),
(257726,10025343,'Reduces the reuse time of Cacophony of Blades III by 30 seconds.',100,1,2),
(257727,106613,'Inflicts 209 - 255 disease damage on target',100,1,0),
(257728,106613,'Heals caster for 6.5 - 7.9% of max health',100,1,1),
(257729,106613,'This effect cannot be critically applied.',100,2,2),
(257730,106613,'The healing of this spell cannot be modified except by direct means',100,1,3),
(257731,10106613,'Inflicts 251 - 306 disease damage on target',100,1,0),
(257732,10106613,'Heals caster for 2.2 - 2.6% of max health',100,1,1),
(257733,10106613,'This effect cannot be critically applied.',100,2,2),
(257734,10106613,'The healing of this spell cannot be modified except by direct means',100,1,3),
(257735,117906,'Increases In-Combat Health Regeneration of group members (AE) by 86.4',100,1,0),
(257736,117906,'Increases Max Health of group members (AE) by 470.4',100,1,1),
(257737,10117906,'Increases In-Combat Health Regeneration of group members (AE) by 86.4',100,1,0),
(257738,10117906,'Increases Max Health of group members (AE) by 470.4',100,1,1),
(257739,35288,'Increases Max Power of target by 90.7',100,0,0),
(257740,35288,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(257741,47449,'Applies Order of Rime Nova-vicar Illusion when Activated.',100,0,0),
(257742,47449,'Shapechanges caster into an Order of Rime',100,1,1),
(257743,47449,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,2),
(257744,47449,'If any of the following are true:',100,1,3),
(257745,47449,'Must be in zone Emperor''s Athenaeum',100,2,4),
(257746,47449,'Must be in zone Kurn''s Tower',100,2,5),
(257747,47449,'Must be in zone Kurn''s Tower: Breaching the Void',100,2,6),
(257748,47449,'Must be in zone Kylong Plains',100,2,7),
(257749,47449,'Must be in zone Kunzar Jungle',100,2,8),
(257750,47449,'Must be in zone Jarsath Wastes',100,2,9),
(257751,47449,'Must be in zone Fens of Nathsar',100,2,10),
(257752,47449,'Must be in zone Great Divide',100,2,11),
(257753,47449,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(257754,47449,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(257755,10047449,'Applies Order of Rime Nova-vicar Illusion when Activated.',100,0,0),
(257756,10047449,'Shapechanges caster into an Order of Rime',100,1,1),
(257757,10047449,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,2),
(257758,10047449,'If any of the following are true:',100,1,3),
(257759,10047449,'Must be in zone Emperor''s Athenaeum',100,2,4),
(257760,10047449,'Must be in zone Kurn''s Tower',100,2,5),
(257761,10047449,'Must be in zone Kurn''s Tower: Breaching the Void',100,2,6),
(257762,10047449,'Must be in zone Kylong Plains',100,2,7),
(257763,10047449,'Must be in zone Kunzar Jungle',100,2,8),
(257764,10047449,'Must be in zone Jarsath Wastes',100,2,9),
(257765,10047449,'Must be in zone Fens of Nathsar',100,2,10),
(257766,10047449,'Must be in zone Great Divide',100,2,11),
(257767,10047449,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(257768,10047449,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(257769,136676,'When Equipped:',100,0,0),
(257770,136676,'On any combat or spell hit this spell may cast Mischievous Ways on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(257771,136676,'Bristlebane is a tricky halfling so who knows what may happen...',100,2,2),
(257772,10136676,'When Equipped:',100,0,0),
(257773,10136676,'On any combat or spell hit this spell may cast Mischievous Ways on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(257774,10136676,'Bristlebane is a tricky halfling so who knows what may happen...',100,2,2),
(257775,173900,'Applies Spell of Swift Travel when Activated.  Lasts for 31 minutes 30 seconds.',100,0,0),
(257776,173900,'Increases speed of caster by 70.0%',100,1,1),
(257777,173900,'This effect suspends during combat',100,1,2),
(257778,173900,'If zone allows riding mounts',100,1,3),
(257779,173900,'The casting time of Spell of Swift Travel is 0.5 seconds and the reuse time of the spell is 1.5 seconds',100,1,4),
(257780,10173900,'Applies Spell of Swift Travel when Activated.  Lasts for 31 minutes 30 seconds.',100,0,0),
(257781,10173900,'Increases speed of caster by 70.0%',100,1,1),
(257782,10173900,'This effect suspends during combat',100,1,2),
(257783,10173900,'If zone allows riding mounts',100,1,3),
(257784,10173900,'The casting time of Spell of Swift Travel is 0.5 seconds and the reuse time of the spell is 1.5 seconds',100,1,4),
(257785,101891,'Heals target for 1144 - 1398',100,1,0),
(257786,101891,'If over 50% Health',100,2,1),
(257787,101891,'Heals target for 2287 - 2796',100,1,2),
(257788,101891,'If at 50% Health or less',100,2,3),
(257789,10101891,'Heals target for 1338 - 1635',100,1,0),
(257790,10101891,'If over 50% Health',100,2,1),
(257791,10101891,'Heals target for 4683 - 5724',100,1,2),
(257792,10101891,'If at 50% Health or less',100,2,3),
(257793,112178,'Increases STR of caster by 59.1',100,1,0),
(257794,112178,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,1),
(257795,112178,'Increases Mitigation of caster vs physical damage by 378',100,1,2),
(257796,10112178,'Increases STR of caster by 59.1',100,1,0),
(257797,10112178,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',100,1,1),
(257798,10112178,'Increases Mitigation of caster vs physical damage by 378',100,1,2),
(257799,146905,'When Equipped:',100,0,0),
(257800,146905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(257801,146905,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(257802,146905,'Increases Attack Speed of caster by 6.0',100,2,3),
(257803,146905,'Increases Damage Per Second of caster by 9.0',100,2,4),
(257804,146905,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(257805,146905,'Must not be engaged in pvp combat',100,2,6),
(257806,146905,'Cannot be modified except by direct means',100,2,7),
(257807,146905,'Cannot be modified except by direct means',100,1,8),
(257808,10146905,'When Equipped:',100,0,0),
(257809,10146905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(257810,10146905,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(257811,10146905,'Increases Attack Speed of caster by 6.0',100,2,3),
(257812,10146905,'Increases Damage Per Second of caster by 9.0',100,2,4),
(257813,10146905,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(257814,10146905,'Must not be engaged in pvp combat',100,2,6),
(257815,10146905,'Cannot be modified except by direct means',100,2,7),
(257816,10146905,'Cannot be modified except by direct means',100,1,8),
(257817,111189,'Inflicts 141 - 235 divine damage on targets in area',100,1,0),
(257818,111189,'Heals group members (AE) for 2.8% of max health',100,1,1),
(257819,111189,'This effect cannot be critically applied.',100,2,2),
(257820,111189,'The healing of this spell cannot be modified except by direct means',100,1,3),
(257821,10111189,'Inflicts 169 - 283 divine damage on targets in area',100,1,0),
(257822,10111189,'Heals group members (AE) for 1.8% of max health',100,1,1),
(257823,10111189,'This effect cannot be critically applied.',100,2,2),
(257824,10111189,'The healing of this spell cannot be modified except by direct means',100,1,3),
(257825,105264,'Increases Threat to target by 1,368 ',100,1,0),
(257826,105264,'Interrupts target',100,1,1),
(257827,105264,'Dispels 110 levels of arcane beneficial effects on target',100,1,2),
(257828,10105264,'Forces target to change their selected target to caster.',100,1,0),
(257829,10105264,'Interrupts target',100,1,1),
(257830,10105264,'Dispels 110 levels of arcane beneficial effects on target',100,1,2),
(257831,190874,'Applies Malefic Fury when Equipped.',100,0,0),
(257832,190874,'On a hostile spell cast this spell will cast Malefic Fury on target of spell.  ',100,1,1),
(257833,190874,'Inflicts 229 mental damage on target',100,2,2),
(257834,190874,'Increases Threat to target by 1,660 ',100,2,3),
(257835,190874,'Cannot be modified except by direct means',100,2,4),
(257836,190874,'Cannot be modified except by direct means',100,1,5),
(257837,10190874,'Applies Malefic Fury when Equipped.',100,0,0),
(257838,10190874,'On a hostile spell cast this spell will cast Malefic Fury on target of spell.  ',100,1,1),
(257839,10190874,'Inflicts 275 mental damage on target',100,2,2),
(257840,10190874,'Cannot be modified except by direct means',100,2,3),
(257841,10190874,'Cannot be modified except by direct means',100,1,4),
(257842,116602,'Inflicts 281 - 469 divine damage on target',100,1,0),
(257843,10116602,'Inflicts 338 - 563 divine damage on target',100,1,0),
(257844,40201,'When Equipped:',100,0,0),
(257845,40201,'This effect will not stack with any rank or tier of itself.',100,1,1),
(257846,40201,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(257847,40201,'Cannot be modified except by direct means',100,1,3),
(257848,10040201,'When Equipped:',100,0,0),
(257849,10040201,'This effect will not stack with any rank or tier of itself.',100,1,1),
(257850,10040201,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(257851,10040201,'Cannot be modified except by direct means',100,1,3),
(257852,119765,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(257853,119765,'Inflicts 28 - 35 poison damage on target encounter',100,2,1),
(257854,10119765,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(257855,10119765,'Inflicts 34 - 42 poison damage on target encounter',100,2,1),
(257856,166495,'When Equipped:',100,0,0),
(257857,166495,'On a critical spell hit this spell may cast Critical Perfection IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(257858,166495,'Decreases Crit Chance of target by 2.0',100,2,2),
(257859,166495,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(257860,166495,'Increases Crit Chance of caster by 3.5',100,2,4),
(257861,166495,'Increases Crit Bonus of caster by 3.5%',100,2,5),
(257862,166495,'Must not be engaged in pvp combat',100,2,6),
(257863,166495,'Cannot be modified except by direct means',100,2,7),
(257864,166495,'On a critical combat hit this spell may cast Critical Perfection IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(257865,166495,'Decreases Crit Chance of target by 2.0',100,2,9),
(257866,166495,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(257867,166495,'Increases Crit Chance of caster by 3.5',100,2,11),
(257868,166495,'Increases Crit Bonus of caster by 3.5%',100,2,12),
(257869,166495,'Must not be engaged in pvp combat',100,2,13),
(257870,166495,'Cannot be modified except by direct means',100,2,14),
(257871,166495,'Must not be engaged in pvp combat',100,1,15),
(257872,10166495,'When Equipped:',100,0,0),
(257873,10166495,'On a critical spell hit this spell may cast Critical Perfection IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(257874,10166495,'Decreases Crit Chance of target by 2.0',100,2,2),
(257875,10166495,'Decreases Crit Bonus of target by 2.0%',100,2,3),
(257876,10166495,'Increases Crit Chance of caster by 3.5',100,2,4),
(257877,10166495,'Increases Crit Bonus of caster by 3.5%',100,2,5),
(257878,10166495,'Must not be engaged in pvp combat',100,2,6),
(257879,10166495,'Cannot be modified except by direct means',100,2,7),
(257880,10166495,'On a critical combat hit this spell may cast Critical Perfection IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(257881,10166495,'Decreases Crit Chance of target by 2.0',100,2,9),
(257882,10166495,'Decreases Crit Bonus of target by 2.0%',100,2,10),
(257883,10166495,'Increases Crit Chance of caster by 3.5',100,2,11),
(257884,10166495,'Increases Crit Bonus of caster by 3.5%',100,2,12),
(257885,10166495,'Must not be engaged in pvp combat',100,2,13),
(257886,10166495,'Cannot be modified except by direct means',100,2,14),
(257887,10166495,'Must not be engaged in pvp combat',100,1,15),
(257888,36284,'Increases STA and INT of target by 7.8',100,0,0),
(257889,36284,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,1),
(257890,37586,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(257891,73733,'Applies Frost Blast when Activated.',100,0,0),
(257892,73733,'Inflicts 78 - 129 cold damage on target',100,1,1),
(257893,73733,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(257894,10073733,'Applies Frost Blast when Activated.',100,0,0),
(257895,10073733,'Inflicts 93 - 155 cold damage on target',100,1,1),
(257896,10073733,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(257897,174513,'Applies Rose Colored Goggles when Equipped.',100,0,0),
(257898,174513,'Grants Infravision to caster',100,1,1),
(257899,174513,'This effect suspends during combat',100,1,2),
(257900,10174513,'Applies Rose Colored Goggles when Equipped.',100,0,0),
(257901,10174513,'Grants Infravision to caster',100,1,1),
(257902,10174513,'This effect suspends during combat',100,1,2),
(257903,135213,'When Equipped:',100,0,0),
(257904,135213,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(257905,10135213,'When Equipped:',100,0,0),
(257906,10135213,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(257907,171972,'When Equipped:',100,0,0),
(257908,171972,'On a critical healing spell cast this spell may cast Flockmaster''s Protection VII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(257909,171972,'This effect applies to both the caster and the target.',100,2,2),
(257910,171972,'When any damage is received this spell will cast Flockmaster''s Protection VII on target.  ',100,2,3),
(257911,171972,'Heals target for 327 - 361',100,3,4),
(257912,171972,'Must not be engaged in pvp combat',100,3,5),
(257913,171972,'Cannot be modified except by direct means',100,3,6),
(257914,171972,'Grants a total of 5 triggers of the spell.',100,3,7),
(257915,171972,'Must not be engaged in pvp combat',100,2,8),
(257916,171972,'Cannot be modified except by direct means',100,2,9),
(257917,171972,'Must not be engaged in pvp combat',100,1,10),
(257918,10171972,'When Equipped:',100,0,0),
(257919,10171972,'On a critical healing spell cast this spell may cast Flockmaster''s Protection VII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(257920,10171972,'This effect applies to both the caster and the target.',100,2,2),
(257921,10171972,'When any damage is received this spell will cast Flockmaster''s Protection VII on target.  ',100,2,3),
(257922,10171972,'Heals target for 212 - 235',100,3,4),
(257923,10171972,'Must not be engaged in pvp combat',100,3,5),
(257924,10171972,'Cannot be modified except by direct means',100,3,6),
(257925,10171972,'Grants a total of 5 triggers of the spell.',100,3,7),
(257926,10171972,'Must not be engaged in pvp combat',100,2,8),
(257927,10171972,'Cannot be modified except by direct means',100,2,9),
(257928,10171972,'Must not be engaged in pvp combat',100,1,10),
(257929,107473,'Inflicts 96 - 289 magic damage on targets in Area of Effect',100,1,0),
(257930,107473,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(257931,107473,'Stuns target',100,2,2),
(257932,107473,'Throws target back',100,2,3),
(257933,107473,'Blurs vision of target',100,2,4),
(257934,107473,'Does not affect Epic targets',100,2,5),
(257935,10107473,'Inflicts 116 - 347 magic damage on targets in Area of Effect',100,1,0),
(257936,10107473,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(257937,10107473,'Stuns target',100,2,2),
(257938,10107473,'Throws target back',100,2,3),
(257939,10107473,'Blurs vision of target',100,2,4),
(257940,10107473,'Does not affect Epic targets',100,2,5),
(257941,120152,'Decreases STR and INT of target by 95.5',100,1,0),
(257942,120152,'Increases STR and INT of caster by 95.5',100,1,1),
(257943,10120152,'Decreases STR and INT of target by 95.5',100,1,0),
(257944,10120152,'Increases STR and INT of caster by 95.5',100,1,1),
(257945,45385,'Applies Blue Potion when Activated.',100,0,0),
(257946,45385,'Increases power of caster by 25.0%',100,1,1),
(257947,45385,'This effect cannot be critically applied.',100,2,2),
(257948,45385,'Inflicts 25.0% of max health in crushing damage on caster',100,1,3),
(257949,45385,'This effect cannot be critically applied.',100,2,4),
(257950,10045385,'Applies Blue Potion when Activated.',100,0,0),
(257951,10045385,'Increases power of caster by 25.0%',100,1,1),
(257952,10045385,'This effect cannot be critically applied.',100,2,2),
(257953,10045385,'Inflicts 30.0% of max health in crushing damage on caster',100,1,3),
(257954,10045385,'This effect cannot be critically applied.',100,2,4),
(257955,103972,'Interrupts targets in Area of Effect',100,1,0),
(257956,103972,'Inflicts 47 - 87 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(257957,10103972,'Interrupts targets in Area of Effect',100,1,0),
(257958,10103972,'Inflicts 56 - 104 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(257959,25896,'When Equipped:',100,0,0),
(257960,25896,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(257961,25896,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(257962,10025896,'When Equipped:',100,0,0),
(257963,10025896,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(257964,10025896,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(257965,102358,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(257966,102358,'Increases Damage Per Second of target by 11.7',100,2,1),
(257967,102358,'Increases Attack Speed of target by 11.7',100,2,2),
(257968,102358,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(257969,102358,'Increases Damage Per Second of target by 11.7',100,2,4),
(257970,102358,'Increases Attack Speed of target by 11.7',100,2,5),
(257971,102358,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(257972,102358,'Increases Damage Per Second of target by 11.7',100,2,7),
(257973,102358,'Increases Attack Speed of target by 11.7',100,2,8),
(257974,10102358,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(257975,10102358,'Increases Damage Per Second of target by 11.7',100,2,1),
(257976,10102358,'Increases Attack Speed of target by 11.7',100,2,2),
(257977,10102358,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(257978,10102358,'Increases Damage Per Second of target by 11.7',100,2,4),
(257979,10102358,'Increases Attack Speed of target by 11.7',100,2,5),
(257980,10102358,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(257981,10102358,'Increases Damage Per Second of target by 11.7',100,2,7),
(257982,10102358,'Increases Attack Speed of target by 11.7',100,2,8),
(257983,104948,'Inflicts 521 - 869 melee damage on target',100,1,0),
(257984,104948,'Decreases Defense of target by 31.3',100,1,1),
(257985,104948,'Must be behind',100,1,2),
(257986,10104948,'Inflicts 626 - 1043 melee damage on target',100,1,0),
(257987,10104948,'Decreases Defense of target by 31.3',100,1,1),
(257988,10104948,'Must be behind',100,1,2),
(257989,119534,'Increases threat priority of target by 2 positions',100,1,0),
(257990,119534,'Stuns caster',100,1,1),
(257991,119534,'Decreases Defense and Parry of caster by 339.0',100,1,2),
(257992,119534,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(257993,119534,'Inflicts 2058 - 3429 piercing damage on target',100,2,4),
(257994,119534,'Grants a total of 1 trigger of the spell.',100,2,5),
(257995,10119534,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(257996,10119534,'Prevents target from changing targets',100,2,1),
(257997,10119534,'Forces target to change their selected target to caster.',100,2,2),
(257998,10119534,'Stuns caster',100,1,3),
(257999,10119534,'Decreases Defense and Parry of caster by 339.0',100,1,4),
(258000,10119534,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(258001,10119534,'Inflicts 1762 - 2937 piercing damage on target',100,2,6),
(258002,10119534,'Grants a total of 1 trigger of the spell.',100,2,7),
(258003,102381,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(258004,102381,'Increases Damage Per Second of target by 21.5',100,2,1),
(258005,102381,'Increases Attack Speed of target by 21.5',100,2,2),
(258006,102381,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(258007,102381,'Increases Damage Per Second of target by 21.5',100,2,4),
(258008,102381,'Increases Attack Speed of target by 21.5',100,2,5),
(258009,102381,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(258010,102381,'Increases Damage Per Second of target by 21.5',100,2,7),
(258011,102381,'Increases Attack Speed of target by 21.5',100,2,8),
(258012,10102381,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(258013,10102381,'Increases Damage Per Second of target by 21.5',100,2,1),
(258014,10102381,'Increases Attack Speed of target by 21.5',100,2,2),
(258015,10102381,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(258016,10102381,'Increases Damage Per Second of target by 21.5',100,2,4),
(258017,10102381,'Increases Attack Speed of target by 21.5',100,2,5),
(258018,10102381,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(258019,10102381,'Increases Damage Per Second of target by 21.5',100,2,7),
(258020,10102381,'Increases Attack Speed of target by 21.5',100,2,8),
(258021,107252,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(258022,107252,'Summons a limited pet to aid the caster',100,2,1),
(258023,107252,'If profession other than Illusionist',100,1,2),
(258024,107252,'Must be engaged in combat',100,1,3),
(258025,10107252,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(258026,10107252,'Summons a limited pet to aid the caster',100,2,1),
(258027,10107252,'If profession other than Illusionist',100,1,2),
(258028,10107252,'Must be engaged in combat',100,1,3),
(258029,135344,'When Equipped:',100,0,0),
(258030,135344,'On a healing spell cast this spell may cast Unstable Emollient on target of spell cast.  Triggers about 4.0 times per minute. ',100,1,1),
(258031,135344,'Applies Unstable Emollient.',100,2,2),
(258032,135344,'Inflicts 590 - 984 heat damage on target',100,3,3),
(258033,135344,'Cannot be modified except by direct means',100,2,4),
(258034,10135344,'When Equipped:',100,0,0),
(258035,10135344,'On a healing spell cast this spell may cast Unstable Emollient on target of spell cast.  Triggers about 4.0 times per minute. ',100,1,1),
(258036,10135344,'Applies Unstable Emollient.',100,2,2),
(258037,10135344,'Inflicts 708 - 1180 heat damage on target',100,3,3),
(258038,10135344,'Cannot be modified except by direct means',100,2,4),
(258039,106675,'Heals caster for 35.1 - 42.9% of max health',100,1,0),
(258040,106675,'This effect cannot be critically applied.',100,2,1),
(258041,106675,'Increases Max Health of caster by 373.4',100,1,2),
(258042,106675,'The healing of this spell cannot be modified except by direct means',100,1,3),
(258043,10106675,'Heals caster for 10.8 - 13.2% of max health',100,1,0),
(258044,10106675,'This effect cannot be critically applied.',100,2,1),
(258045,10106675,'Increases Max Health of caster by 373.4',100,1,2),
(258046,10106675,'The healing of this spell cannot be modified except by direct means',100,1,3),
(258047,155471,'When Equipped:',100,0,0),
(258048,155471,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(258049,155471,'Inflicts 219 piercing damage on target',100,2,2),
(258050,155471,'Cannot be modified except by direct means',100,2,3),
(258051,10155471,'When Equipped:',100,0,0),
(258052,10155471,'When damaged with a melee weapon this spell has a 8% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(258053,10155471,'Inflicts 263 piercing damage on target',100,2,2),
(258054,10155471,'Cannot be modified except by direct means',100,2,3),
(258055,42525,'When Equipped:',100,0,0),
(258056,42525,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258057,42525,'Inflicts 51 - 76 magic damage on target',100,2,2),
(258058,42525,'Cannot be modified except by direct means',100,2,3),
(258059,10042525,'When Equipped:',100,0,0),
(258060,10042525,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258061,10042525,'Inflicts 61 - 91 magic damage on target',100,2,2),
(258062,10042525,'Cannot be modified except by direct means',100,2,3),
(258063,48763,'Applies Elixir of the Clear Mind  when Activated.',100,0,0),
(258064,48763,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(258065,10048763,'Applies Elixir of the Clear Mind  when Activated.',100,0,0),
(258066,10048763,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(258067,102803,'Summons 3 limited pets to aid the caster',100,1,0),
(258068,10102803,'Summons 3 limited pets to aid the caster',100,1,0),
(258069,111832,'Inflicts 205 - 342 melee damage on target',100,1,0),
(258070,111832,'Roots target',100,1,1),
(258071,111832,'If Target is not Epic',100,2,2),
(258072,111832,'Resistibility increases against targets higher than level 70.',100,1,3),
(258073,10111832,'Inflicts 222 - 371 melee damage on target',100,1,0),
(258074,10111832,'Roots target',100,1,1),
(258075,10111832,'If Target is not Epic',100,2,2),
(258076,10111832,'Resistibility increases against targets higher than level 70.',100,1,3),
(258077,151050,'When Equipped:',100,0,0),
(258078,151050,'When damaged in combat this spell has a 8% chance to cast Scouring Sands on target''s attacker.  ',100,1,1),
(258079,151050,'Inflicts 1375 crushing damage on target',100,2,2),
(258080,151050,'Increases Threat to target by 2,710 ',100,2,3),
(258081,151050,'Must not be engaged in pvp combat',100,2,4),
(258082,151050,'Cannot be modified except by direct means',100,2,5),
(258083,151050,'On any combat or spell hit this spell may cast Scouring Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(258084,151050,'Inflicts 1375 crushing damage on target',100,2,7),
(258085,151050,'Increases Threat to target by 2,710 ',100,2,8),
(258086,151050,'Must not be engaged in pvp combat',100,2,9),
(258087,151050,'Cannot be modified except by direct means',100,2,10),
(258088,10151050,'When Equipped:',100,0,0),
(258089,10151050,'When damaged in combat this spell has a 8% chance to cast Scouring Sands on target''s attacker.  ',100,1,1),
(258090,10151050,'Inflicts 1650 crushing damage on target',100,2,2),
(258091,10151050,'Must not be engaged in pvp combat',100,2,3),
(258092,10151050,'Cannot be modified except by direct means',100,2,4),
(258093,10151050,'On any combat or spell hit this spell may cast Scouring Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(258094,10151050,'Inflicts 1650 crushing damage on target',100,2,6),
(258095,10151050,'Must not be engaged in pvp combat',100,2,7),
(258096,10151050,'Cannot be modified except by direct means',100,2,8),
(258097,117306,'Roots target',100,1,0),
(258098,117306,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(258099,117306,'Slows target by 49.6%',100,2,2),
(258100,117306,'5% chance to dispel when target receives hostile action',100,2,3),
(258101,117306,'5% chance to dispel when target takes damage',100,2,4),
(258102,117306,'15% chance to dispel when target takes damage',100,1,5),
(258103,117306,'Does not affect Epic targets',100,1,6),
(258104,117306,'Resistibility increases against targets higher than level 34.',100,1,7),
(258105,10117306,'Roots target',100,1,0),
(258106,10117306,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(258107,10117306,'Slows target by 49.6%',100,2,2),
(258108,10117306,'10% chance to dispel when target receives hostile action',100,2,3),
(258109,10117306,'10% chance to dispel when target takes damage',100,2,4),
(258110,10117306,'15% chance to dispel when target takes damage',100,1,5),
(258111,10117306,'Does not affect Epic targets',100,1,6),
(258112,10117306,'Resistibility increases against targets higher than level 34.',100,1,7),
(258113,76442,'When Equipped:',100,0,0),
(258114,76442,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(258115,76442,'Reduces healing received by 15.00%',100,2,2),
(258116,76442,'Cannot be modified except by direct means',100,2,3),
(258117,76442,'This effect can only trigger once every 1 second.',100,2,4),
(258118,76442,'Must be engaged in pvp combat',100,1,5),
(258119,10076442,'When Equipped:',100,0,0),
(258120,10076442,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(258121,10076442,'Reduces healing received by 15.00%',100,2,2),
(258122,10076442,'Cannot be modified except by direct means',100,2,3),
(258123,10076442,'This effect can only trigger once every 1 second.',100,2,4),
(258124,10076442,'Must be engaged in pvp combat',100,1,5),
(258125,104150,'Roots target',100,1,0),
(258126,104150,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(258127,104150,'Makes target afraid',100,2,2),
(258128,104150,'Slows target by 24.5%',100,2,3),
(258129,104150,'30% chance to dispel when target takes damage',100,2,4),
(258130,104150,'Resistibility increases against targets higher than level 102.',100,2,5),
(258131,104150,'15% chance to dispel when target takes damage',100,1,6),
(258132,104150,'Does not affect Epic targets',100,1,7),
(258133,104150,'Resistibility increases against targets higher than level 102.',100,1,8),
(258134,10104150,'Roots target',100,1,0),
(258135,10104150,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(258136,10104150,'Slows target by 24.5%',100,2,2),
(258137,10104150,'Makes target afraid',100,2,3),
(258138,10104150,'30% chance to dispel when target takes damage',100,2,4),
(258139,10104150,'Resistibility increases against targets higher than level 102.',100,2,5),
(258140,10104150,'15% chance to dispel when target takes damage',100,1,6),
(258141,10104150,'Does not affect Epic targets',100,1,7),
(258142,10104150,'Resistibility increases against targets higher than level 102.',100,1,8),
(258143,47983,'Applies Self Repair Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(258144,47983,'Repairs target''s equipment',100,1,1),
(258145,47983,'Must have an item that is at lower than 50 condition',100,1,2),
(258146,10047983,'Applies Self Repair Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(258147,10047983,'Repairs target''s equipment',100,1,1),
(258148,10047983,'Must have an item that is at lower than 50 condition',100,1,2),
(258149,175489,'When Equipped:',100,0,0),
(258150,175489,'On any combat or spell hit this spell may cast Galvanized Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(258151,175489,'Inflicts 4482 - 4954 slashing damage on target encounter',100,2,2),
(258152,175489,'Inflicts 640 - 708 slashing damage on target encounter every 10 seconds',100,2,3),
(258153,175489,'Increases Attack Speed of caster by 5.0',100,2,4),
(258154,175489,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(258155,175489,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,6),
(258156,175489,'Increases Damage Per Second of caster by 45.0',100,2,7),
(258157,175489,'Must not be engaged in pvp combat',100,2,8),
(258158,175489,'Cannot be modified except by direct means',100,2,9),
(258159,175489,'Must not be engaged in pvp combat',100,1,10),
(258160,10175489,'When Equipped:',100,0,0),
(258161,10175489,'On any combat or spell hit this spell may cast Galvanized Triumph on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(258162,10175489,'Inflicts 5379 - 5945 slashing damage on target encounter',100,2,2),
(258163,10175489,'Inflicts 768 - 849 slashing damage on target encounter every 10 seconds',100,2,3),
(258164,10175489,'Increases Attack Speed of caster by 5.0',100,2,4),
(258165,10175489,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(258166,10175489,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,6),
(258167,10175489,'Increases Damage Per Second of caster by 45.0',100,2,7),
(258168,10175489,'Must not be engaged in pvp combat',100,2,8),
(258169,10175489,'Cannot be modified except by direct means',100,2,9),
(258170,10175489,'Must not be engaged in pvp combat',100,1,10),
(258171,120123,'Shapechanges caster into a chaos essence',100,1,0),
(258172,120123,'Increases WIS of caster by 174.2',100,1,1),
(258173,120123,'Grants See Invisibility to caster',100,1,2),
(258174,120123,'Increases Max Health of caster by 776.4',100,1,3),
(258175,120123,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2451',100,1,4),
(258176,10120123,'Shapechanges caster into a chaos essence',100,1,0),
(258177,10120123,'Increases WIS of caster by 174.2',100,1,1),
(258178,10120123,'Grants See Invisibility to caster',100,1,2),
(258179,10120123,'Increases Max Health of caster by 776.4',100,1,3),
(258180,10120123,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2451',100,1,4),
(258181,154495,'When Equipped:',100,0,0),
(258182,154495,'Increases Attack Speed of caster by 40.0',100,1,1),
(258183,10154495,'When Equipped:',100,0,0),
(258184,10154495,'Increases Attack Speed of caster by 40.0',100,1,1),
(258185,110386,'Increases STR and AGI of group members (AE) by 57.0',100,1,0),
(258186,110386,'Adds 1.7% to base avoidance.',100,1,1),
(258187,10110386,'Increases STR and AGI of group members (AE) by 57.0',100,1,0),
(258188,10110386,'Adds 1.7% to base avoidance.',100,1,1),
(258189,102009,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(258190,102009,'Wards target against 217 points of all damage',100,2,1),
(258191,10102009,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(258192,10102009,'Wards target against 217 points of all damage',100,2,1),
(258193,159683,'When Equipped:',100,0,0),
(258194,159683,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258195,159683,'Increases INT of caster by 19.8',100,2,2),
(258196,159683,'Increases Disruption, Focus and Subjugation of caster by 11.1',100,2,3),
(258197,159683,'Cannot be modified except by direct means',100,2,4),
(258198,10159683,'When Equipped:',100,0,0),
(258199,10159683,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258200,10159683,'Increases INT of caster by 19.8',100,2,2),
(258201,10159683,'Increases Disruption, Focus and Subjugation of caster by 11.1',100,2,3),
(258202,10159683,'Cannot be modified except by direct means',100,2,4),
(258203,109049,'Increases Attack Speed of caster by 37.2',100,1,0),
(258204,109049,'Decreases Defense of caster by 14.7',100,1,1),
(258205,109049,'Increases Slashing, Piercing, Crushing and Ranged of caster by 35.3',100,1,2),
(258206,10109049,'Increases Attack Speed of caster by 37.2',100,1,0),
(258207,10109049,'Decreases Defense of caster by 14.7',100,1,1),
(258208,10109049,'Increases Slashing, Piercing, Crushing and Ranged of caster by 35.3',100,1,2),
(258209,80766,'When Equipped:',100,0,0),
(258210,80766,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258211,80766,'Inflicts 136 - 252 magic damage on target',100,2,2),
(258212,80766,'Cannot be modified except by direct means',100,2,3),
(258213,10080766,'When Equipped:',100,0,0),
(258214,10080766,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258215,10080766,'Inflicts 163 - 303 magic damage on target',100,2,2),
(258216,10080766,'Cannot be modified except by direct means',100,2,3),
(258217,119650,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(258218,119650,'Blurs vision of target',100,2,1),
(258219,119650,'Stuns target',100,2,2),
(258220,119650,'Throws target back',100,2,3),
(258221,119650,'Does not affect Epic targets',100,2,4),
(258222,119650,'Inflicts 81 - 245 melee damage on target',100,1,5),
(258223,10119650,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(258224,10119650,'Stuns target',100,2,1),
(258225,10119650,'Blurs vision of target',100,2,2),
(258226,10119650,'Throws target back',100,2,3),
(258227,10119650,'Does not affect Epic targets',100,2,4),
(258228,10119650,'Inflicts 98 - 295 melee damage on target',100,1,5),
(258229,104676,'Decreases Mitigation of target vs all damage by 319',100,1,0),
(258230,10104676,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 319',100,1,0),
(258231,10104676,'Decreases Mitigation of target vs physical damage by 266',100,1,1),
(258232,112481,'Decreases AGI and WIS of target by 53.5',100,1,0),
(258233,10112481,'Decreases AGI and WIS of target by 53.5',100,1,0),
(258234,100839,'Wards target against 572 points of all damage',100,1,0),
(258235,10100839,'Wards target against 880 points of all damage',100,1,0),
(258236,45892,'Applies Decaying Mist Receptacle when Activated.',100,0,0),
(258237,45892,'This not the right area to release the decaying mist.',100,1,1),
(258238,10045892,'Applies Decaying Mist Receptacle when Activated.',100,0,0),
(258239,10045892,'This not the right area to release the decaying mist.',100,1,1),
(258240,102582,'Increases AGI of caster by 136.6',100,1,0),
(258241,102582,'Increases Max Health of caster by 466.7',100,1,1),
(258242,102582,'Adds 18.7% to base avoidance.',100,1,2),
(258243,102582,'Increases Mitigation of caster vs physical damage by 748',100,1,3),
(258244,102582,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,4),
(258245,10102582,'Increases AGI of caster by 136.6',100,1,0),
(258246,10102582,'Increases Max Health of caster by 466.7',100,1,1),
(258247,10102582,'Adds 18.7% to base avoidance.',100,1,2),
(258248,10102582,'Increases Mitigation of caster vs physical damage by 748',100,1,3),
(258249,10102582,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,4),
(258250,74700,'When Equipped:',100,0,0),
(258251,74700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258252,74700,'Inflicts 150 - 226 magic damage on target',100,2,2),
(258253,74700,'Cannot be modified except by direct means',100,2,3),
(258254,10074700,'When Equipped:',100,0,0),
(258255,10074700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258256,10074700,'Inflicts 180 - 271 magic damage on target',100,2,2),
(258257,10074700,'Cannot be modified except by direct means',100,2,3),
(258258,75153,'When Equipped:',100,0,0),
(258259,75153,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(258260,10075153,'When Equipped:',100,0,0),
(258261,10075153,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(258262,185510,'Applies Taint of Fear when Activated.  Lasts for 8.0 seconds.',100,0,0),
(258263,185510,'Makes target afraid',100,1,1),
(258264,185510,'20% chance to dispel when target takes damage',100,1,2),
(258265,185510,'20% chance to dispel when target receives hostile action',100,1,3),
(258266,185510,'If under level 18',100,1,4),
(258267,185510,'Resistibility increases against targets higher than level 38.',100,1,5),
(258268,185510,'The casting time of Taint of Fear is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,6),
(258269,10185510,'Applies Taint of Fear when Activated.  Lasts for 4.0 seconds.',100,0,0),
(258270,10185510,'Makes target afraid',100,1,1),
(258271,10185510,'20% chance to dispel when target takes damage',100,1,2),
(258272,10185510,'20% chance to dispel when target receives hostile action',100,1,3),
(258273,10185510,'If under level 18',100,1,4),
(258274,10185510,'Resistibility increases against targets higher than level 38.',100,1,5),
(258275,10185510,'The casting time of Taint of Fear is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,6),
(258276,109263,'Increases INT and WIS of group members (AE) by 97.0',100,1,0),
(258277,109263,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 272',100,1,1),
(258278,10109263,'Increases INT and WIS of group members (AE) by 97.0',100,1,0),
(258279,10109263,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 272',100,1,1),
(258280,45025,'Applies Create Wand of Glory when Activated.',100,0,0),
(258281,45025,'Summon 1 Wand of Glory',100,1,1),
(258282,10045025,'Applies Create Wand of Glory when Activated.',100,0,0),
(258283,10045025,'Summon 1 Wand of Glory',100,1,1),
(258284,72561,'When Equipped:',100,0,0),
(258285,72561,'On a combat hit this spell may cast Brain Smash on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258286,72561,'Inflicts 147 - 273 heat damage on target',100,2,2),
(258287,72561,'Cannot be modified except by direct means',100,2,3),
(258288,10072561,'When Equipped:',100,0,0),
(258289,10072561,'On a combat hit this spell may cast Brain Smash on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258290,10072561,'Inflicts 177 - 328 heat damage on target',100,2,2),
(258291,10072561,'Cannot be modified except by direct means',100,2,3),
(258292,124790,'Increases STR of caster by 54.1',100,1,0),
(258293,124790,'Decreases Defense of caster by 9.6',100,1,1),
(258294,124790,'Increases Crushing, Piercing, Slashing and Disruption of caster by 15.8',100,1,2),
(258295,10124790,'Increases STR of caster by 54.1',100,1,0),
(258296,10124790,'Decreases Defense of caster by 9.6',100,1,1),
(258297,10124790,'Increases Crushing, Piercing, Slashing and Disruption of caster by 15.8',100,1,2),
(258298,159943,'When Equipped:',100,0,0),
(258299,159943,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258300,159943,'Increases STR of caster by 25.7',100,2,2),
(258301,159943,'Increases Damage Per Second of caster by 30.2',100,2,3),
(258302,159943,'Cannot be modified except by direct means',100,2,4),
(258303,10159943,'When Equipped:',100,0,0),
(258304,10159943,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258305,10159943,'Increases STR of caster by 25.7',100,2,2),
(258306,10159943,'Increases Damage Per Second of caster by 30.2',100,2,3),
(258307,10159943,'Cannot be modified except by direct means',100,2,4),
(258308,144251,'When Equipped:',100,0,0),
(258309,144251,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(258310,144251,'Wards target against 1000 points of all damage',100,2,2),
(258311,144251,'Cannot be modified except by direct means',100,2,3),
(258312,10144251,'When Equipped:',100,0,0),
(258313,10144251,'When damaged in combat this spell has a 6% chance to cast Sparkling Shield on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(258314,10144251,'Wards target against 1000 points of all damage',100,2,2),
(258315,10144251,'Cannot be modified except by direct means',100,2,3),
(258316,117354,'Roots target',100,1,0),
(258317,117354,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(258318,117354,'Slows target by 62.4%',100,2,2),
(258319,117354,'5% chance to dispel when target receives hostile action',100,2,3),
(258320,117354,'5% chance to dispel when target takes damage',100,2,4),
(258321,117354,'15% chance to dispel when target takes damage',100,1,5),
(258322,117354,'Does not affect Epic targets',100,1,6),
(258323,117354,'Resistibility increases against targets higher than level 102.',100,1,7),
(258324,10117354,'Roots target',100,1,0),
(258325,10117354,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(258326,10117354,'Slows target by 62.4%',100,2,2),
(258327,10117354,'10% chance to dispel when target receives hostile action',100,2,3),
(258328,10117354,'10% chance to dispel when target takes damage',100,2,4),
(258329,10117354,'15% chance to dispel when target takes damage',100,1,5),
(258330,10117354,'Does not affect Epic targets',100,1,6),
(258331,10117354,'Resistibility increases against targets higher than level 102.',100,1,7),
(258332,121812,'Heals group members (AE) for 64 - 78',100,1,0),
(258333,121812,'Heals group members (AE) for 11 - 13 every second',100,1,1),
(258334,10121812,'Heals group members (AE) for 42 - 51',100,1,0),
(258335,10121812,'Heals group members (AE) for 7 - 9 every second',100,1,1),
(258336,102674,'Inflicts 157 divine damage on target encounter',100,1,0),
(258337,10102674,'Inflicts 189 divine damage on target encounter',100,1,0),
(258338,53711,'When Equipped:',100,0,0),
(258339,53711,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(258340,10053711,'When Equipped:',100,0,0),
(258341,10053711,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(258342,120150,'Decreases STR and INT of target by 91.5',100,1,0),
(258343,120150,'Increases STR and INT of caster by 91.5',100,1,1),
(258344,10120150,'Decreases STR and INT of target by 91.5',100,1,0),
(258345,10120150,'Increases STR and INT of caster by 91.5',100,1,1),
(258346,115169,'Heals target for 1110 - 1356',100,1,0),
(258347,10115169,'Heals target for 1502 - 1836',100,1,0),
(258348,85321,'When Equipped:',100,0,0),
(258349,85321,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258350,85321,'Inflicts 19 - 23 disease damage on target',100,2,2),
(258351,85321,'Inflicts 17 - 21 disease damage on target every 6 seconds',100,2,3),
(258352,85321,'Cannot be modified except by direct means',100,2,4),
(258353,10085321,'When Equipped:',100,0,0),
(258354,10085321,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258355,10085321,'Inflicts 22 - 27 disease damage on target',100,2,2),
(258356,10085321,'Inflicts 21 - 26 disease damage on target every 6 seconds',100,2,3),
(258357,10085321,'Cannot be modified except by direct means',100,2,4),
(258358,118675,'Inflicts 286 - 476 slashing damage on target',100,1,0),
(258359,10118675,'Inflicts 343 - 572 slashing damage on target',100,1,0),
(258360,103898,'Increases power of group members (AE) by 26 instantly and every 6 seconds',100,1,0),
(258361,103898,'Decreases INT of target by 94.0',100,1,1),
(258362,10103898,'Increases power of group members (AE) by 26 instantly and every 6 seconds',100,1,0),
(258363,10103898,'Decreases INT of target by 94.0',100,1,1),
(258364,106184,'Wards target against 95 points of all damage',100,1,0),
(258365,106184,'Decreases INT of target by 109.5',100,1,1),
(258366,106184,'Decreases Attack Speed of target by 25.0',100,1,2),
(258367,106184,'Increases Max Health of target by 14.0%',100,1,3),
(258368,106184,'Increases Hate Gain of target by 37.8%',100,1,4),
(258369,106184,'Increases Aggression of target by 11.8',100,1,5),
(258370,106184,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(258371,106184,'Increases Threat to target encounter by 193 - 236 ',100,2,7),
(258372,106184,'Increases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,8),
(258373,10106184,'Wards target against 95 points of all damage',100,1,0),
(258374,10106184,'Decreases INT of target by 109.5',100,1,1),
(258375,10106184,'Decreases Attack Speed of target by 25.0',100,1,2),
(258376,10106184,'Increases Max Health of target by 14.0%',100,1,3),
(258377,10106184,'Increases Aggression of target by 11.8',100,1,4),
(258378,10106184,'Increases Mitigation of target vs elemental, noxious and arcane damage by 784',100,1,5),
(258379,143537,'When Equipped:',100,0,0),
(258380,143537,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(258381,143537,'Inflicts 2664 disease damage on target encounter',100,2,2),
(258382,143537,'Must not be engaged in pvp combat',100,2,3),
(258383,143537,'Cannot be modified except by direct means',100,2,4),
(258384,143537,'When Equipped:',100,0,5),
(258385,143537,'This effect will not stack with itself.',100,1,6),
(258386,143537,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(258387,143537,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(258388,143537,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(258389,143537,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(258390,143537,'Must not be engaged in pvp combat',100,2,11),
(258391,143537,'Cannot be modified except by direct means',100,2,12),
(258392,143537,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(258393,143537,'Increases in-combat movement speed of caster by 10.0%',100,2,14),
(258394,143537,'Increases Ability Recovery Speed of caster by 10.0%',100,2,15),
(258395,143537,'Increases Ability Casting Speed of caster by 10.0%',100,2,16),
(258396,143537,'Must not be engaged in pvp combat',100,2,17),
(258397,143537,'Cannot be modified except by direct means',100,2,18),
(258398,143537,'Must not be engaged in pvp combat',100,1,19),
(258399,10143537,'When Equipped:',100,0,0),
(258400,10143537,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(258401,10143537,'Inflicts 1598 disease damage on target encounter',100,2,2),
(258402,10143537,'Must not be engaged in pvp combat',100,2,3),
(258403,10143537,'Cannot be modified except by direct means',100,2,4),
(258404,10143537,'When Equipped:',100,0,5),
(258405,10143537,'This effect will not stack with itself.',100,1,6),
(258406,10143537,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(258407,10143537,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(258408,10143537,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(258409,10143537,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(258410,10143537,'Must not be engaged in pvp combat',100,2,11),
(258411,10143537,'Cannot be modified except by direct means',100,2,12),
(258412,10143537,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,13),
(258413,10143537,'Increases in-combat movement speed of caster by 10.0%',100,2,14),
(258414,10143537,'Increases Ability Recovery Speed of caster by 10.0%',100,2,15),
(258415,10143537,'Increases Ability Casting Speed of caster by 10.0%',100,2,16),
(258416,10143537,'Must not be engaged in pvp combat',100,2,17),
(258417,10143537,'Cannot be modified except by direct means',100,2,18),
(258418,10143537,'Must not be engaged in pvp combat',100,1,19),
(258419,139980,'When Equipped:',100,0,0),
(258420,139980,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(258421,139980,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(258422,139980,'Must not be engaged in pvp combat',100,2,3),
(258423,139980,'Cannot be modified except by direct means',100,2,4),
(258424,139980,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(258425,139980,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(258426,139980,'Must not be engaged in pvp combat',100,2,7),
(258427,139980,'Cannot be modified except by direct means',100,2,8),
(258428,139980,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(258429,139980,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(258430,139980,'Must not be engaged in pvp combat',100,2,11),
(258431,139980,'Cannot be modified except by direct means',100,2,12),
(258432,139980,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(258433,139980,'Inflicts 67 piercing damage on target',100,2,14),
(258434,139980,'Must not be engaged in pvp combat',100,2,15),
(258435,139980,'Cannot be modified except by direct means',100,2,16),
(258436,10139980,'When Equipped:',100,0,0),
(258437,10139980,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(258438,10139980,'Increases Crit Bonus of caster by 5.5%',100,2,2),
(258439,10139980,'Must not be engaged in pvp combat',100,2,3),
(258440,10139980,'Cannot be modified except by direct means',100,2,4),
(258441,10139980,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(258442,10139980,'Increases Crit Bonus of caster by 5.5%',100,2,6),
(258443,10139980,'Must not be engaged in pvp combat',100,2,7),
(258444,10139980,'Cannot be modified except by direct means',100,2,8),
(258445,10139980,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing IX on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(258446,10139980,'Increases Crit Bonus of caster by 5.5%',100,2,10),
(258447,10139980,'Must not be engaged in pvp combat',100,2,11),
(258448,10139980,'Cannot be modified except by direct means',100,2,12),
(258449,10139980,'When damaged with a melee weapon this spell will cast Brell''s Retribution IX on target''s attacker.  ',100,1,13),
(258450,10139980,'Inflicts 80 piercing damage on target',100,2,14),
(258451,10139980,'Must not be engaged in pvp combat',100,2,15),
(258452,10139980,'Cannot be modified except by direct means',100,2,16),
(258453,120367,'Inflicts 133 - 163 divine damage on target instantly and every 4 seconds',100,1,0),
(258454,120367,'Decreases WIS of target by 89.8',100,1,1),
(258455,10120367,'Inflicts 160 - 195 divine damage on target instantly and every 4 seconds',100,1,0),
(258456,10120367,'Decreases WIS of target by 89.8',100,1,1),
(258457,111290,'Inflicts 139 - 232 divine damage on target',100,1,0),
(258458,111290,'Inflicts 56 - 93 divine damage on target every 4 seconds',100,1,1),
(258459,10111290,'Inflicts 167 - 279 divine damage on target',100,1,0),
(258460,10111290,'Inflicts 67 - 112 divine damage on target every 4 seconds',100,1,1),
(258461,115901,'Inflicts 35 - 42 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(258462,10115901,'Inflicts 54 - 66 disease damage on target encounter',100,1,0),
(258463,10115901,'Inflicts 42 - 51 disease damage on target encounter every 3 seconds',100,1,1),
(258464,37082,'Increases STR of target by 10.5',100,0,0),
(258465,37082,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(258466,71346,'When Equipped:',100,0,0),
(258467,71346,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258468,71346,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(258469,71346,'Cannot be modified except by direct means',100,2,3),
(258470,10071346,'When Equipped:',100,0,0),
(258471,10071346,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258472,10071346,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(258473,10071346,'Cannot be modified except by direct means',100,2,3),
(258474,119460,'Inflicts 303 - 505 melee damage on target',100,1,0),
(258475,119460,'Inflicts 219 piercing damage on target instantly and every 4 seconds',100,1,1),
(258476,119460,'Must be flanking or behind',100,1,2),
(258477,10119460,'Inflicts 363 - 606 melee damage on target',100,1,0),
(258478,10119460,'Inflicts 263 piercing damage on target instantly and every 4 seconds',100,1,1),
(258479,10119460,'Must be flanking or behind',100,1,2),
(258480,46118,'Applies Elixir of the Quickfoot when Activated.  Lasts for 30 minutes.',100,0,0),
(258481,46118,'Increases AGI of caster by 9.0',100,1,1),
(258482,10046118,'Applies Elixir of the Quickfoot when Activated.  Lasts for 30 minutes.',100,0,0),
(258483,10046118,'Increases AGI of caster by 9.0',100,1,1),
(258484,36163,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(258485,40398,'When Equipped:',100,0,0),
(258486,40398,'On a critical combat hit this spell may cast Flying Fist III on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(258487,40398,'Stifles target',100,2,2),
(258488,40398,'If Target is not Epic',100,3,3),
(258489,40398,'Inflicts 144 - 160 heat damage on target',100,2,4),
(258490,40398,'Increases Threat to target by 498 - 551 ',100,2,5),
(258491,40398,'Must not be engaged in pvp combat',100,2,6),
(258492,40398,'Cannot be modified except by direct means',100,2,7),
(258493,40398,'Must not be engaged in pvp combat',100,1,8),
(258494,10040398,'When Equipped:',100,0,0),
(258495,10040398,'On a critical combat hit this spell may cast Flying Fist III on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(258496,10040398,'Stifles target',100,2,2),
(258497,10040398,'If Target is not Epic',100,3,3),
(258498,10040398,'Inflicts 173 - 192 heat damage on target',100,2,4),
(258499,10040398,'Must not be engaged in pvp combat',100,2,5),
(258500,10040398,'Cannot be modified except by direct means',100,2,6),
(258501,10040398,'Must not be engaged in pvp combat',100,1,7),
(258502,120156,'Decreases STR and INT of target by 110.9',100,1,0),
(258503,120156,'Increases STR and INT of caster by 110.9',100,1,1),
(258504,10120156,'Decreases STR and INT of target by 110.9',100,1,0),
(258505,10120156,'Increases STR and INT of caster by 110.9',100,1,1),
(258506,115459,'Inflicts 94 - 115 mental damage on target instantly and every 6 seconds',100,1,0),
(258507,115459,'Decreases Mitigation of target vs arcane damage by 869',100,1,1),
(258508,10115459,'Inflicts 113 - 138 mental damage on target instantly and every 6 seconds',100,1,0),
(258509,10115459,'Decreases Mitigation of target vs arcane damage by 869',100,1,1),
(258510,79699,'When Equipped:',100,0,0),
(258511,79699,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(258512,79699,'Reduces healing received by 15.00%',100,2,2),
(258513,79699,'Cannot be modified except by direct means',100,2,3),
(258514,79699,'This effect can only trigger once every 1 second.',100,2,4),
(258515,79699,'Must be engaged in pvp combat',100,1,5),
(258516,10079699,'When Equipped:',100,0,0),
(258517,10079699,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(258518,10079699,'Reduces healing received by 15.00%',100,2,2),
(258519,10079699,'Cannot be modified except by direct means',100,2,3),
(258520,10079699,'This effect can only trigger once every 1 second.',100,2,4),
(258521,10079699,'Must be engaged in pvp combat',100,1,5),
(258522,113703,'Stuns target',100,1,0),
(258523,113703,'If Target is not Epic',100,2,1),
(258524,113703,'Inflicts 1359 - 2265 heat damage on target',100,1,2),
(258525,113703,'Resistibility increases against targets higher than level 101.',100,1,3),
(258526,10113703,'Stuns target',100,1,0),
(258527,10113703,'If Target is not Epic',100,2,1),
(258528,10113703,'Inflicts 1631 - 2718 heat damage on target',100,1,2),
(258529,10113703,'Resistibility increases against targets higher than level 101.',100,1,3),
(258530,45026,'Applies Create Wand of Invincibility when Activated.',100,0,0),
(258531,45026,'Summon 1 Wand of Invincibility',100,1,1),
(258532,10045026,'Applies Create Wand of Invincibility when Activated.',100,0,0),
(258533,10045026,'Summon 1 Wand of Invincibility',100,1,1),
(258534,112239,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(258535,112239,'Inflicts 53 disease damage on target',100,2,1),
(258536,112239,'Increases Threat to target by 230 ',100,2,2),
(258537,112239,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1943',100,1,3),
(258538,10112239,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(258539,10112239,'Inflicts 63 disease damage on target',100,2,1),
(258540,10112239,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1943',100,1,2),
(258541,134470,'When Equipped:',100,0,0),
(258542,134470,'Reduces power cost of all spells by 5 percent.',100,1,1),
(258543,10134470,'When Equipped:',100,0,0),
(258544,10134470,'Reduces power cost of all spells by 5 percent.',100,1,1),
(258545,118434,'Heals target for 1248 - 1525',100,1,0),
(258546,118434,'Increases Max Health of target by 196.5',100,1,1),
(258547,10118434,'Heals target for 1448 - 1769',100,1,0),
(258548,10118434,'Increases Max Health of target by 196.5',100,1,1),
(258549,183239,'When Equipped:',100,0,0),
(258550,183239,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(258551,183239,'Decreases threat priority of target by 1 position',100,2,2),
(258552,183239,'Cannot be modified except by direct means',100,2,3),
(258553,10183239,'When Equipped:',100,0,0),
(258554,10183239,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(258555,10183239,'Cannot be modified except by direct means',100,2,2),
(258556,124263,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(258557,124263,'Increases Damage Per Second of target by 16.0',100,2,1),
(258558,124263,'Increases Attack Speed of target by 16.0',100,2,2),
(258559,124263,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(258560,124263,'Increases Damage Per Second of target by 16.0',100,2,4),
(258561,124263,'Increases Attack Speed of target by 16.0',100,2,5),
(258562,124263,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(258563,124263,'Increases Damage Per Second of target by 16.0',100,2,7),
(258564,124263,'Increases Attack Speed of target by 16.0',100,2,8),
(258565,10124263,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(258566,10124263,'Increases Damage Per Second of target by 16.0',100,2,1),
(258567,10124263,'Increases Attack Speed of target by 16.0',100,2,2),
(258568,10124263,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(258569,10124263,'Increases Damage Per Second of target by 16.0',100,2,4),
(258570,10124263,'Increases Attack Speed of target by 16.0',100,2,5),
(258571,10124263,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(258572,10124263,'Increases Damage Per Second of target by 16.0',100,2,7),
(258573,10124263,'Increases Attack Speed of target by 16.0',100,2,8),
(258574,72255,'When Equipped:',100,0,0),
(258575,72255,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258576,72255,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(258577,72255,'Cannot be modified except by direct means',100,2,3),
(258578,10072255,'When Equipped:',100,0,0),
(258579,10072255,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258580,10072255,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(258581,10072255,'Cannot be modified except by direct means',100,2,3),
(258582,35802,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(258583,35802,'Increases Max Health of target by 91.0',100,0,1),
(258584,121071,'Increases STR and STA of group members (AE) by 56.4',100,1,0),
(258585,10121071,'Increases STR and STA of group members (AE) by 56.4',100,1,0),
(258586,170405,'When Equipped:',100,0,0),
(258587,170405,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(258588,170405,'Increases Damage Per Second of caster by 10.0',100,2,2),
(258589,170405,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(258590,170405,'Cannot be modified except by direct means',100,2,4),
(258591,10170405,'When Equipped:',100,0,0),
(258592,10170405,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(258593,10170405,'Increases Damage Per Second of caster by 10.0',100,2,2),
(258594,10170405,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(258595,10170405,'Cannot be modified except by direct means',100,2,4),
(258596,110919,'Inflicts 41 - 69 divine damage on target',100,1,0),
(258597,110919,'Increases Threat to target by 789 ',100,1,1),
(258598,110919,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(258599,110919,'Stuns target',100,2,3),
(258600,110919,'Throws target back',100,2,4),
(258601,110919,'Blurs vision of target',100,2,5),
(258602,110919,'Does not affect Epic targets',100,2,6),
(258603,10110919,'Inflicts 50 - 83 divine damage on target',100,1,0),
(258604,10110919,'Prevents target from changing targets',100,1,1),
(258605,10110919,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(258606,10110919,'Stuns target',100,2,3),
(258607,10110919,'Throws target back',100,2,4),
(258608,10110919,'Blurs vision of target',100,2,5),
(258609,10110919,'Does not affect Epic targets',100,2,6),
(258610,10110919,'Forces target to change their selected target to caster.',100,1,7),
(258611,106831,'Decreases Crushing, Piercing, Slashing and Ranged of target by 9.9',100,1,0),
(258612,10106831,'Decreases Crushing, Piercing, Slashing and Ranged of target by 9.9',100,1,0),
(258613,115432,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',100,1,0),
(258614,115432,'Decreases Mitigation of target vs arcane damage by 172',100,1,1),
(258615,10115432,'Inflicts 18 - 22 mental damage on target instantly and every 6 seconds',100,1,0),
(258616,10115432,'Decreases Mitigation of target vs arcane damage by 172',100,1,1),
(258617,100395,'Summons a pet aery hunter',100,1,0),
(258618,10100395,'Summons a pet aery hunter',100,1,0),
(258619,110207,'Interrupts target',100,1,0),
(258620,110207,'Inflicts 85 - 142 crushing damage on target',100,1,1),
(258621,10110207,'Interrupts target',100,1,0),
(258622,10110207,'Inflicts 102 - 170 crushing damage on target',100,1,1),
(258623,120160,'Applies Life Draw on termination.',100,1,0),
(258624,120160,'Inflicts 55 - 91 disease damage on target',100,2,1),
(258625,120160,'Heals caster for 41 - 69',100,2,2),
(258626,120160,'This effect cannot be critically applied.',100,3,3),
(258627,120160,'The healing of this spell cannot be modified except by direct means',100,2,4),
(258628,120160,'Inflicts 15 - 26 disease damage on target',100,1,5),
(258629,10120160,'Applies Life Draw on termination.',100,1,0),
(258630,10120160,'Inflicts 66 - 110 disease damage on target',100,2,1),
(258631,10120160,'Heals caster for 12 - 21',100,2,2),
(258632,10120160,'This effect cannot be critically applied.',100,3,3),
(258633,10120160,'The healing of this spell cannot be modified except by direct means',100,2,4),
(258634,10120160,'Inflicts 19 - 31 disease damage on target',100,1,5),
(258635,115398,'Inflicts 172 - 287 melee damage on target',100,1,0),
(258636,115398,'Decreases INT of target by 35.1',100,1,1),
(258637,115398,'You must be sneaking to use this ability.',100,1,2),
(258638,10115398,'Inflicts 207 - 345 melee damage on target',100,1,0),
(258639,10115398,'Decreases INT of target by 35.1',100,1,1),
(258640,10115398,'You must be sneaking to use this ability.',100,1,2),
(258641,120870,'Wards target against 148 points of all damage',100,1,0),
(258642,10120870,'Wards target against 148 points of all damage',100,1,0),
(258643,82272,'When Equipped:',100,0,0),
(258644,82272,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258645,82272,'Inflicts 30 - 55 magic damage on target',100,2,2),
(258646,82272,'Cannot be modified except by direct means',100,2,3),
(258647,10082272,'When Equipped:',100,0,0),
(258648,10082272,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258649,10082272,'Inflicts 36 - 66 magic damage on target',100,2,2),
(258650,10082272,'Cannot be modified except by direct means',100,2,3),
(258651,123859,'Increases AGI of caster by 51.6',100,1,0),
(258652,123859,'Adds 18.7% to base avoidance.',100,1,1),
(258653,123859,'Increases Damage Per Second of caster by 45.6',100,1,2),
(258654,123859,'Increases Mitigation of caster vs physical damage by 462',100,1,3),
(258655,123859,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,4),
(258656,10123859,'Increases AGI of caster by 51.6',100,1,0),
(258657,10123859,'Adds 18.7% to base avoidance.',100,1,1),
(258658,10123859,'Increases Damage Per Second of caster by 45.6',100,1,2),
(258659,10123859,'Increases Mitigation of caster vs physical damage by 462',100,1,3),
(258660,10123859,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,4),
(258661,106450,'Increases Multi Attack Chance of raid and group members (AE) by 8.2',100,1,0),
(258662,10106450,'Increases Multi Attack Chance of raid and group members (AE) by 8.2',100,1,0),
(258663,108379,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(258664,108379,'Increases Mitigation of group members (AE) vs arcane damage by 1771',100,1,1),
(258665,10108379,'Increases Max Health of group members (AE) by 494.9',100,1,0),
(258666,10108379,'Increases Mitigation of group members (AE) vs arcane damage by 1771',100,1,1),
(258667,71548,'When Equipped:',100,0,0),
(258668,71548,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258669,71548,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(258670,71548,'Cannot be modified except by direct means',100,2,3),
(258671,10071548,'When Equipped:',100,0,0),
(258672,10071548,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258673,10071548,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(258674,10071548,'Cannot be modified except by direct means',100,2,3),
(258675,48241,'Applies Plant the Critical Thinking Standard when Activated.',100,0,0),
(258676,48241,'This guild standard grants the area a bonus to critical spells and attacks.',100,1,1),
(258677,10048241,'Applies Plant the Critical Thinking Standard when Activated.',100,0,0),
(258678,10048241,'This guild standard grants the area a bonus to critical spells and attacks.',100,1,1),
(258679,159353,'Applies Sanguine Imbued when Equipped.',100,0,0),
(258680,159353,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(258681,159353,'Inflicts 106 heat damage on target',100,2,2),
(258682,159353,'Cannot be modified except by direct means',100,2,3),
(258683,10159353,'Applies Sanguine Imbued when Equipped.',100,0,0),
(258684,10159353,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(258685,10159353,'Inflicts 127 heat damage on target',100,2,2),
(258686,10159353,'Cannot be modified except by direct means',100,2,3),
(258687,47787,'Applies Aura of the Froglok when Activated.',100,0,0),
(258688,47787,'Casts aura of the Froglok on the user',100,1,1),
(258689,10047787,'Applies Aura of the Froglok when Activated.',100,0,0),
(258690,10047787,'Casts aura of the Froglok on the user',100,1,1),
(258691,111324,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(258692,111324,'Inflicts 111 - 135 mental damage on target',100,2,1),
(258693,111324,'Grants a total of 3 triggers of the spell.',100,2,2),
(258694,10111324,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(258695,10111324,'Inflicts 133 - 162 mental damage on target',100,2,1),
(258696,10111324,'Grants a total of 3 triggers of the spell.',100,2,2),
(258697,181611,'When Equipped:',100,0,0),
(258698,181611,'This effect will not stack with itself.',100,1,1),
(258699,181611,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(258700,181611,'Heals target for 277 - 306 instantly and every 2 seconds',100,2,3),
(258701,181611,'Wards target against 4000 points of all damage',100,2,4),
(258702,181611,'Replenishes 300 points of absorption every 2 seconds.',100,2,5),
(258703,181611,'Must not be engaged in pvp combat',100,2,6),
(258704,181611,'Cannot be modified except by direct means',100,2,7),
(258705,181611,'Must not be engaged in pvp combat',100,1,8),
(258706,181611,'When Equipped:',100,0,9),
(258707,181611,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(258708,181611,'Heals group members (AE) for 2624',100,2,11),
(258709,181611,'Heals group members (AE) for 875 every 5 seconds',100,2,12),
(258710,181611,'Must not be engaged in pvp combat',100,2,13),
(258711,181611,'Cannot be modified except by direct means',100,2,14),
(258712,181611,'Must not be engaged in pvp combat',100,1,15),
(258713,10181611,'When Equipped:',100,0,0),
(258714,10181611,'This effect will not stack with itself.',100,1,1),
(258715,10181611,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(258716,10181611,'Heals target for 324 - 358 instantly and every 2 seconds',100,2,3),
(258717,10181611,'Wards target against 4000 points of all damage',100,2,4),
(258718,10181611,'Replenishes 300 points of absorption every 2 seconds.',100,2,5),
(258719,10181611,'Must not be engaged in pvp combat',100,2,6),
(258720,10181611,'Cannot be modified except by direct means',100,2,7),
(258721,10181611,'Must not be engaged in pvp combat',100,1,8),
(258722,10181611,'When Equipped:',100,0,9),
(258723,10181611,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(258724,10181611,'Heals group members (AE) for 3071',100,2,11),
(258725,10181611,'Heals group members (AE) for 1024 every 5 seconds',100,2,12),
(258726,10181611,'Must not be engaged in pvp combat',100,2,13),
(258727,10181611,'Cannot be modified except by direct means',100,2,14),
(258728,10181611,'Must not be engaged in pvp combat',100,1,15),
(258729,35294,'Increases STA of target by 10.5',100,0,0),
(258730,35294,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(258731,108995,'Inflicts 62 - 76 melee damage on target',100,1,0),
(258732,108995,'Decreases Damage Per Second of target by 21.4',100,1,1),
(258733,10108995,'Inflicts 74 - 91 melee damage on target',100,1,0),
(258734,10108995,'Decreases Damage Per Second of target by 21.4',100,1,1),
(258735,159259,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(258736,159259,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(258737,159259,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(258738,159259,'Cannot be modified except by direct means',100,2,3),
(258739,10159259,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(258740,10159259,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(258741,10159259,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(258742,10159259,'Cannot be modified except by direct means',100,2,3),
(258743,25906,'When Equipped:',100,0,0),
(258744,25906,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(258745,25906,'Inflicts 132 magic damage on target',100,2,2),
(258746,25906,'Cannot be modified except by direct means',100,2,3),
(258747,25906,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(258748,25906,'Inflicts 132 magic damage on target',100,2,5),
(258749,25906,'Cannot be modified except by direct means',100,2,6),
(258750,10025906,'When Equipped:',100,0,0),
(258751,10025906,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(258752,10025906,'Inflicts 132 magic damage on target',100,2,2),
(258753,10025906,'Cannot be modified except by direct means',100,2,3),
(258754,10025906,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,4),
(258755,10025906,'Inflicts 132 magic damage on target',100,2,5),
(258756,10025906,'Cannot be modified except by direct means',100,2,6),
(258757,37220,'Increases AGI and STR of target by 15.4',100,0,0),
(258758,37220,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(258759,189993,'When Equipped:',100,0,0),
(258760,189993,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(258761,189993,'Inflicts 1199 disease damage on target encounter',100,2,2),
(258762,189993,'Must not be engaged in pvp combat',100,2,3),
(258763,189993,'Cannot be modified except by direct means',100,2,4),
(258764,10189993,'When Equipped:',100,0,0),
(258765,10189993,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(258766,10189993,'Inflicts 719 disease damage on target encounter',100,2,2),
(258767,10189993,'Must not be engaged in pvp combat',100,2,3),
(258768,10189993,'Cannot be modified except by direct means',100,2,4),
(258769,122138,'Dispels 107 levels of arcane beneficial effects on target',100,1,0),
(258770,122138,'Interrupts target',100,1,1),
(258771,122138,'Increases Threat to target by 2,077 ',100,1,2),
(258772,10122138,'Interrupts target',100,1,0),
(258773,10122138,'Forces target to change their selected target to caster.',100,1,1),
(258774,10122138,'Dispels 107 levels of arcane beneficial effects on target',100,1,2),
(258775,102736,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(258776,102736,'Stuns target',100,2,1),
(258777,102736,'If Target is not Epic',100,3,2),
(258778,102736,'Inflicts 135 - 225 divine damage on target',100,2,3),
(258779,102736,'Inflicts 116 - 193 divine damage on target',100,2,4),
(258780,102736,'If target is undead',100,3,5),
(258781,10102736,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(258782,10102736,'Stuns target',100,2,1),
(258783,10102736,'Inflicts 243 - 406 divine damage on target',100,2,2),
(258784,10102736,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(258785,71966,'When Equipped:',100,0,0),
(258786,71966,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258787,71966,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(258788,71966,'Cannot be modified except by direct means',100,2,3),
(258789,10071966,'When Equipped:',100,0,0),
(258790,10071966,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258791,10071966,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(258792,10071966,'Cannot be modified except by direct means',100,2,3),
(258793,124731,'Heals group members (AE) for 1442 - 1762',100,1,0),
(258794,10124731,'Heals group members (AE) for 1749 - 2138',100,1,0),
(258795,46225,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(258796,46225,'Increases AGI of caster by 51.0',100,1,1),
(258797,10046225,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(258798,10046225,'Increases AGI of caster by 51.0',100,1,1),
(258799,36296,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(258800,112063,'Inflicts 12 - 23 heat damage on target instantly and every 3 seconds',100,1,0),
(258801,10112063,'Inflicts 15 - 28 heat damage on target instantly and every 3 seconds',100,1,0),
(258802,114881,'Decreases AGI of target by 114.4',100,1,0),
(258803,114881,'Decreases Defense of target by 43.2',100,1,1),
(258804,10114881,'Decreases AGI of target by 114.4',100,1,0),
(258805,10114881,'Decreases Defense of target by 43.2',100,1,1),
(258806,118844,'Inflicts 87 - 263 melee damage on target',100,1,0),
(258807,10118844,'Inflicts 105 - 316 melee damage on target',100,1,0),
(258808,143194,'Applies Hooluk in a Hat when Activated.',100,0,0),
(258809,143194,'Summons a pet Hooluk',100,1,1),
(258810,143194,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(258811,10143194,'Applies Hooluk in a Hat when Activated.',100,0,0),
(258812,10143194,'Summons a pet Hooluk',100,1,1),
(258813,10143194,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(258814,134788,'When Equipped:',100,0,0),
(258815,134788,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(258816,134788,'Decreases Threat to targets in Area of Effect by 600 ',100,2,2),
(258817,134788,'Must be engaged in combat',100,3,3),
(258818,134788,'Cannot be modified except by direct means',100,2,4),
(258819,10134788,'When Equipped:',100,0,0),
(258820,10134788,'On a healing spell cast this spell may cast Blurry Image on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(258821,10134788,'Cannot be modified except by direct means',100,2,2),
(258822,82670,'When Equipped:',100,0,0),
(258823,82670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258824,82670,'Inflicts 78 - 144 magic damage on target',100,2,2),
(258825,82670,'Cannot be modified except by direct means',100,2,3),
(258826,10082670,'When Equipped:',100,0,0),
(258827,10082670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(258828,10082670,'Inflicts 93 - 173 magic damage on target',100,2,2),
(258829,10082670,'Cannot be modified except by direct means',100,2,3),
(258830,45661,'Applies Clouded Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(258831,45661,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(258832,45661,'Inflicts 15 magic damage on target',100,2,2),
(258833,45661,'Cannot be modified except by direct means',100,2,3),
(258834,45661,'Only affects targets level 50 and above',100,1,4),
(258835,10045661,'Applies Clouded Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(258836,10045661,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(258837,10045661,'Inflicts 18 magic damage on target',100,2,2),
(258838,10045661,'Cannot be modified except by direct means',100,2,3),
(258839,10045661,'Only affects targets level 50 and above',100,1,4),
(258840,36633,'Increases Max Power of target by 108.8',100,0,0),
(258841,36633,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(258842,105926,'Inflicts 25 - 31 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(258843,105926,'Inflicts 58 - 98 disease damage on targets in area',100,1,1),
(258844,10105926,'Inflicts 30 - 37 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(258845,10105926,'Inflicts 70 - 117 disease damage on targets in area',100,1,1),
(258846,117001,'Inflicts 54 - 164 melee damage on target',100,1,0),
(258847,10117001,'Inflicts 65 - 197 melee damage on target',100,1,0),
(258848,48612,'Applies Touch of Bertoxxulous when Activated.',100,0,0),
(258849,48612,'Covers the user''s hands in illusory particles.',100,1,1),
(258850,10048612,'Applies Touch of Bertoxxulous when Activated.',100,0,0),
(258851,10048612,'Covers the user''s hands in illusory particles.',100,1,1),
(258852,159077,'When Equipped:',100,0,0),
(258853,159077,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(258854,159077,'Increases AGI of caster by 17.3',100,2,2),
(258855,159077,'Increases Attack Speed of caster by 18.1',100,2,3),
(258856,159077,'Cannot be modified except by direct means',100,2,4),
(258857,10159077,'When Equipped:',100,0,0),
(258858,10159077,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(258859,10159077,'Increases AGI of caster by 17.3',100,2,2),
(258860,10159077,'Increases Attack Speed of caster by 18.1',100,2,3),
(258861,10159077,'Cannot be modified except by direct means',100,2,4),
(258862,36965,'Increases AGI of target by 8.4',100,0,0),
(258863,36965,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(258864,49030,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(258865,49030,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(258866,49030,'Inflicts 10 poison damage on target',100,2,2),
(258867,49030,'Inflicts 26 poison damage on target instantly and every 6 seconds',100,2,3),
(258868,49030,'Cannot be modified except by direct means',100,2,4),
(258869,49030,'Grants a total of 200 triggers of the spell.',100,2,5),
(258870,10049030,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(258871,10049030,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(258872,10049030,'Inflicts 23 poison damage on target instantly and every 6 seconds',100,2,2),
(258873,10049030,'Inflicts 9 poison damage on target',100,2,3),
(258874,10049030,'Cannot be modified except by direct means',100,2,4),
(258875,10049030,'Grants a total of 200 triggers of the spell.',100,2,5),
(258876,80073,'When Equipped:',100,0,0),
(258877,80073,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(258878,80073,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(258879,80073,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(258880,80073,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(258881,80073,'Must not be engaged in pvp combat',100,2,5),
(258882,80073,'Cannot be modified except by direct means',100,2,6),
(258883,80073,'Cannot be modified except by direct means',100,1,7),
(258884,80073,'When Equipped:',100,0,8),
(258885,80073,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(258886,80073,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(258887,80073,'Inflicts 1082 - 1196 disease damage on target instantly and every 2 seconds',100,2,11),
(258888,80073,'Must not be engaged in pvp combat',100,2,12),
(258889,80073,'Cannot be modified except by direct means',100,2,13),
(258890,80073,'Cannot be modified except by direct means',100,1,14),
(258891,10080073,'When Equipped:',100,0,0),
(258892,10080073,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(258893,10080073,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(258894,10080073,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,3),
(258895,10080073,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(258896,10080073,'Must not be engaged in pvp combat',100,2,5),
(258897,10080073,'Cannot be modified except by direct means',100,2,6),
(258898,10080073,'Cannot be modified except by direct means',100,1,7),
(258899,10080073,'When Equipped:',100,0,8),
(258900,10080073,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(258901,10080073,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(258902,10080073,'Inflicts 1299 - 1435 disease damage on target instantly and every 2 seconds',100,2,11),
(258903,10080073,'Must not be engaged in pvp combat',100,2,12),
(258904,10080073,'Cannot be modified except by direct means',100,2,13),
(258905,10080073,'Cannot be modified except by direct means',100,1,14),
(258906,109403,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(258907,109403,'Inflicts 102 - 125 cold damage on target',100,2,1),
(258908,109403,'Slows target by 43.8%',100,2,2),
(258909,109403,'5% chance to dispel when target receives hostile action',100,2,3),
(258910,109403,'5% chance to dispel when target takes damage',100,2,4),
(258911,10109403,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(258912,10109403,'Slows target by 43.8%',100,2,1),
(258913,10109403,'Inflicts 123 - 150 cold damage on target',100,2,2),
(258914,10109403,'5% chance to dispel when target receives hostile action',100,2,3),
(258915,10109403,'5% chance to dispel when target takes damage',100,2,4),
(258916,45514,'Applies Summon Rawritor when Activated.',100,0,0),
(258917,45514,'Summons a pet Rawritor',100,1,1),
(258918,10045514,'Applies Summon Rawritor when Activated.',100,0,0),
(258919,10045514,'Summons a pet Rawritor',100,1,1),
(258920,116868,'Wards group members (AE) against 554 points of noxious damage',100,1,0),
(258921,116868,'Increases Mitigation of group members (AE) vs noxious damage by 348',100,1,1),
(258922,10116868,'Wards group members (AE) against 554 points of noxious damage',100,1,0),
(258923,10116868,'Increases Mitigation of group members (AE) vs noxious damage by 348',100,1,1),
(258924,137706,'Applies Aggregate Mana when Activated.',100,0,0),
(258925,137706,'Increases power of caster by 476',100,1,1),
(258926,137706,'The casting time of Aggregate Mana is 2.0 seconds and the reuse time of the spell is 11 minutes 40 seconds',100,1,2),
(258927,10137706,'Applies Aggregate Mana when Activated.',100,0,0),
(258928,10137706,'Increases power of caster by 476',100,1,1),
(258929,10137706,'The casting time of Aggregate Mana is 2.0 seconds and the reuse time of the spell is 11 minutes 40 seconds',100,1,2),
(258930,121259,'Inflicts 1142 - 1395 heat damage on target encounter',100,1,0),
(258931,10121259,'Inflicts 1370 - 1675 heat damage on target encounter',100,1,0),
(258932,177519,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(258933,177519,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(258934,177519,'Inflicts 21 heat damage on target',100,2,2),
(258935,177519,'Cannot be modified except by direct means',100,2,3),
(258936,10177519,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(258937,10177519,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(258938,10177519,'Inflicts 25 heat damage on target',100,2,2),
(258939,10177519,'Cannot be modified except by direct means',100,2,3),
(258940,111660,'Inflicts 261 - 320 cold damage on target encounter',100,1,0),
(258941,111660,'Slows target encounter by 42.8%',100,1,1),
(258942,111660,'5% chance to dispel when target takes damage',100,1,2),
(258943,111660,'5% chance to dispel when target receives hostile action',100,1,3),
(258944,10111660,'Inflicts 418 - 511 cold damage on target encounter',100,1,0),
(258945,10111660,'Slows target encounter by 42.8%',100,1,1),
(258946,10111660,'5% chance to dispel when target takes damage',100,1,2),
(258947,10111660,'5% chance to dispel when target receives hostile action',100,1,3),
(258948,124632,'Heals group members (AE) for 684 - 836',100,1,0),
(258949,124632,'Heals group members (AE) for 115 - 141 every second',100,1,1),
(258950,10124632,'Heals group members (AE) for 1000 - 1222',100,1,0),
(258951,10124632,'Heals group members (AE) for 125 - 153 every second',100,1,1),
(258952,122960,'Inflicts 105 - 142 mental damage on target',100,1,0),
(258953,10122960,'Inflicts 126 - 170 mental damage on target',100,1,0),
(258954,48404,'Applies Use when Activated.',100,0,0),
(258955,48404,'Enables you to play the flute.',100,1,1),
(258956,10048404,'Applies Use when Activated.',100,0,0),
(258957,10048404,'Enables you to play the flute.',100,1,1),
(258958,159385,'Applies Lambent Imbued when Equipped.',100,0,0),
(258959,159385,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(258960,159385,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(258961,159385,'Cannot be modified except by direct means',100,2,3),
(258962,10159385,'Applies Lambent Imbued when Equipped.',100,0,0),
(258963,10159385,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(258964,10159385,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(258965,10159385,'Cannot be modified except by direct means',100,2,3),
(258966,114823,'Dazes caster',100,1,0),
(258967,114823,'Roots caster',100,1,1),
(258968,114823,'Increases Mitigation of caster vs physical damage by 1026',100,1,2),
(258969,10114823,'Dazes caster',100,1,0),
(258970,10114823,'Roots caster',100,1,1),
(258971,10114823,'Increases Mitigation of caster vs physical damage by 1026',100,1,2),
(258972,107201,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(258973,107201,'Heals target for 258',100,2,1),
(258974,10107201,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(258975,10107201,'Heals target for 168',100,2,1),
(258976,47157,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(258977,47157,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(258978,10047157,'Applies Elixir of Aptitude  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(258979,10047157,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(258980,71816,'When Equipped:',100,0,0),
(258981,71816,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258982,71816,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(258983,71816,'Cannot be modified except by direct means',100,2,3),
(258984,10071816,'When Equipped:',100,0,0),
(258985,10071816,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258986,10071816,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(258987,10071816,'Cannot be modified except by direct means',100,2,3),
(258988,48095,'Applies Draw upon Essence when Activated.',100,0,0),
(258989,48095,'Increases power of caster by 397',100,1,1),
(258990,48095,'Requires 715 Health to cast.',100,1,2),
(258991,10048095,'Applies Draw upon Essence when Activated.',100,0,0),
(258992,10048095,'Increases power of caster by 397',100,1,1),
(258993,10048095,'Requires 715 Health to cast.',100,1,2),
(258994,83906,'When Equipped:',100,0,0),
(258995,83906,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(258996,83906,'Inflicts 41 - 50 poison damage on target instantly and every 4.8 seconds',100,2,2),
(258997,83906,'Cannot be modified except by direct means',100,2,3),
(258998,10083906,'When Equipped:',100,0,0),
(258999,10083906,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(259000,10083906,'Inflicts 49 - 60 poison damage on target instantly and every 4.8 seconds',100,2,2),
(259001,10083906,'Cannot be modified except by direct means',100,2,3),
(259002,35909,'Increases Max Power of target by 90.7',100,0,0),
(259003,35909,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(259004,43321,'When Equipped:',100,0,0),
(259005,43321,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259006,43321,'Decreases power of target by 49 - 60',100,2,2),
(259007,43321,'Inflicts 88 - 132 magic damage on target',100,2,3),
(259008,43321,'Increases power of caster by 45 - 61',100,2,4),
(259009,43321,'Cannot be modified except by direct means',100,2,5),
(259010,10043321,'When Equipped:',100,0,0),
(259011,10043321,'On a combat hit this spell may cast Siphon Essence on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259012,10043321,'Decreases power of target by 49 - 60',100,2,2),
(259013,10043321,'Inflicts 106 - 159 magic damage on target',100,2,3),
(259014,10043321,'Increases power of caster by 45 - 61',100,2,4),
(259015,10043321,'Cannot be modified except by direct means',100,2,5),
(259016,41713,'When Equipped:',100,0,0),
(259017,41713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259018,41713,'Inflicts 97 - 180 magic damage on target',100,2,2),
(259019,41713,'Cannot be modified except by direct means',100,2,3),
(259020,10041713,'When Equipped:',100,0,0),
(259021,10041713,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259022,10041713,'Inflicts 116 - 216 magic damage on target',100,2,2),
(259023,10041713,'Cannot be modified except by direct means',100,2,3),
(259024,25018,'When Equipped:',100,0,0),
(259025,25018,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(259026,25018,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(259027,10025018,'When Equipped:',100,0,0),
(259028,10025018,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(259029,10025018,'Adds 2 additional triggers to Sentry Watch.',100,1,2),
(259030,115710,'Inflicts 45 - 75 ranged damage on target',100,1,0),
(259031,115710,'Inflicts 45 - 75 ranged damage on target',100,1,1),
(259032,115710,'If weapon equipped in Ranged',100,1,2),
(259033,10115710,'Inflicts 34 - 56 ranged damage on target',100,1,0),
(259034,10115710,'Inflicts 34 - 56 ranged damage on target',100,1,1),
(259035,10115710,'If weapon equipped in Ranged',100,1,2),
(259036,117737,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(259037,117737,'Increases Max Health of target by 542.2',100,2,1),
(259038,117737,'Heals target for 790',100,2,2),
(259039,117737,'Grants a total of 1 trigger of the spell.',100,2,3),
(259040,10117737,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(259041,10117737,'Increases Max Health of target by 542.2',100,2,1),
(259042,10117737,'Heals target for 513',100,2,2),
(259043,10117737,'Grants a total of 1 trigger of the spell.',100,2,3),
(259044,119473,'Dazes target encounter',100,1,0),
(259045,119473,'If Target is not Epic',100,2,1),
(259046,119473,'Inflicts 56 - 68 magic damage on target encounter instantly and every second',100,1,2),
(259047,119473,'Resistibility increases against targets higher than level 54.',100,1,3),
(259048,10119473,'Dazes target encounter',100,1,0),
(259049,10119473,'If Target is not Epic',100,2,1),
(259050,10119473,'Inflicts 88 - 108 magic damage on target encounter',100,1,2),
(259051,10119473,'Inflicts 67 - 82 magic damage on target encounter every second',100,1,3),
(259052,10119473,'Resistibility increases against targets higher than level 54.',100,1,4),
(259053,46516,'Applies Calibrated Tools when Equipped.',100,0,0),
(259054,46516,'Increases success chance by 2.0%',100,1,1),
(259055,10046516,'Applies Calibrated Tools when Equipped.',100,0,0),
(259056,10046516,'Increases success chance by 2.0%',100,1,1),
(259057,160872,'When Equipped:',100,0,0),
(259058,160872,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(259059,160872,'Inflicts 109 - 133 magic damage on target',100,2,2),
(259060,160872,'Cannot be modified except by direct means',100,2,3),
(259061,10160872,'When Equipped:',100,0,0),
(259062,10160872,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(259063,10160872,'Inflicts 130 - 159 magic damage on target',100,2,2),
(259064,10160872,'Cannot be modified except by direct means',100,2,3),
(259065,75147,'When Equipped:',100,0,0),
(259066,75147,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(259067,10075147,'When Equipped:',100,0,0),
(259068,10075147,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(259069,112161,'Increases STR of caster by 14.6',100,1,0),
(259070,112161,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 328',100,1,1),
(259071,112161,'Increases Mitigation of caster vs physical damage by 97',100,1,2),
(259072,10112161,'Increases STR of caster by 14.6',100,1,0),
(259073,10112161,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 328',100,1,1),
(259074,10112161,'Increases Mitigation of caster vs physical damage by 97',100,1,2),
(259075,74793,'When Equipped:',100,0,0),
(259076,74793,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259077,74793,'Inflicts 86 - 129 magic damage on target',100,2,2),
(259078,74793,'Cannot be modified except by direct means',100,2,3),
(259079,10074793,'When Equipped:',100,0,0),
(259080,10074793,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259081,10074793,'Inflicts 103 - 155 magic damage on target',100,2,2),
(259082,10074793,'Cannot be modified except by direct means',100,2,3),
(259083,117409,'Increases Threat to target by 1,640 ',100,1,0),
(259084,117409,'Inflicts 131 - 394 melee damage on target',100,1,1),
(259085,10117409,'Forces target to change their selected target to caster.',100,1,0),
(259086,10117409,'Inflicts 105 - 315 melee damage on target',100,1,1),
(259087,111090,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(259088,111090,'Slows target by 51.9%',100,2,1),
(259089,111090,'5% chance to dispel when target receives hostile action',100,2,2),
(259090,111090,'5% chance to dispel when target takes damage',100,2,3),
(259091,111090,'Decreases Mitigation of target vs elemental damage by 2270',100,1,4),
(259092,10111090,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(259093,10111090,'Slows target by 51.9%',100,2,1),
(259094,10111090,'5% chance to dispel when target receives hostile action',100,2,2),
(259095,10111090,'5% chance to dispel when target takes damage',100,2,3),
(259096,10111090,'Decreases Mitigation of target vs elemental damage by 2270',100,1,4),
(259097,47491,'Applies Expand Space when Activated.',100,0,0),
(259098,47491,'Increases the maximum storage in a house by 100.',100,1,1),
(259099,47491,'Must be in your own house.',100,1,2),
(259100,47491,'Must not already have an item expander of equal or higher value already on house.',100,1,3),
(259101,47491,'Cannot be used in a guild hall.',100,1,4),
(259102,10047491,'Applies Expand Space when Activated.',100,0,0),
(259103,10047491,'Increases the maximum storage in a house by 100.',100,1,1),
(259104,10047491,'Must be in your own house.',100,1,2),
(259105,10047491,'Must not already have an item expander of equal or higher value already on house.',100,1,3),
(259106,10047491,'Cannot be used in a guild hall.',100,1,4),
(259107,84585,'When Equipped:',100,0,0),
(259108,84585,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(259109,84585,'Reduces healing received by 15.00%',100,2,2),
(259110,84585,'Cannot be modified except by direct means',100,2,3),
(259111,84585,'This effect can only trigger once every 1 second.',100,2,4),
(259112,84585,'Must be engaged in pvp combat',100,1,5),
(259113,10084585,'When Equipped:',100,0,0),
(259114,10084585,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(259115,10084585,'Reduces healing received by 15.00%',100,2,2),
(259116,10084585,'Cannot be modified except by direct means',100,2,3),
(259117,10084585,'This effect can only trigger once every 1 second.',100,2,4),
(259118,10084585,'Must be engaged in pvp combat',100,1,5),
(259119,102287,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(259120,102287,'Decreases Threat to target by 272 ',100,2,1),
(259121,10102287,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(259122,10102287,'Inflicts 17 - 18 crushing damage on target',100,2,1),
(259123,106461,'Increases Multi Attack Chance of raid and group members (AE) by 15.3',100,1,0),
(259124,10106461,'Increases Multi Attack Chance of raid and group members (AE) by 15.3',100,1,0),
(259125,103435,'Heals group members (AE) for 103 - 125',100,1,0),
(259126,103435,'Increases Max Health of group members (AE) by 16.6',100,1,1),
(259127,10103435,'Heals group members (AE) for 67 - 81',100,1,0),
(259128,10103435,'Increases Max Health of group members (AE) by 16.6',100,1,1),
(259129,147203,'When Equipped:',100,0,0),
(259130,147203,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(259131,147203,'Increases Ability Modifier of group members by 300.0',100,2,2),
(259132,147203,'Cannot be modified except by direct means',100,2,3),
(259133,147203,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(259134,147203,'Increases Ability Modifier of group members by 300.0',100,2,5),
(259135,147203,'Cannot be modified except by direct means',100,2,6),
(259136,147203,'Cannot be modified except by direct means',100,1,7),
(259137,147203,'When Equipped:',100,0,8),
(259138,147203,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(259139,147203,'Increases Potency of caster by 9.0%',100,2,10),
(259140,147203,'Cannot be modified except by direct means',100,2,11),
(259141,10147203,'When Equipped:',100,0,0),
(259142,10147203,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(259143,10147203,'Increases Ability Modifier of group members by 300.0',100,2,2),
(259144,10147203,'Cannot be modified except by direct means',100,2,3),
(259145,10147203,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(259146,10147203,'Increases Ability Modifier of group members by 300.0',100,2,5),
(259147,10147203,'Cannot be modified except by direct means',100,2,6),
(259148,10147203,'Cannot be modified except by direct means',100,1,7),
(259149,10147203,'When Equipped:',100,0,8),
(259150,10147203,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(259151,10147203,'Increases Potency of caster by 9.0%',100,2,10),
(259152,10147203,'Cannot be modified except by direct means',100,2,11),
(259153,88630,'When Equipped:',100,0,0),
(259154,88630,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(259155,88630,'Inflicts 1986 poison damage on target',100,2,2),
(259156,88630,'Cannot be modified except by direct means',100,2,3),
(259157,10088630,'When Equipped:',100,0,0),
(259158,10088630,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(259159,10088630,'Inflicts 1192 poison damage on target',100,2,2),
(259160,10088630,'Cannot be modified except by direct means',100,2,3),
(259161,102398,'Inflicts 387 - 719 melee damage on targets in area',100,1,0),
(259162,10102398,'Inflicts 464 - 863 melee damage on targets in area',100,1,0),
(259163,100941,'Dazes target',100,1,0),
(259164,100941,'Inflicts 108 - 132 mental damage on target',100,1,1),
(259165,100941,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(259166,100941,'Resistibility increases against targets higher than level 54.',100,1,3),
(259167,10100941,'Dazes target',100,1,0),
(259168,10100941,'Inflicts 130 - 158 mental damage on target',100,1,1),
(259169,10100941,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(259170,10100941,'Resistibility increases against targets higher than level 54.',100,1,3),
(259171,100736,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(259172,100736,'Increases Mitigation of group members (AE) vs noxious damage by 1195',100,1,1),
(259173,10100736,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(259174,10100736,'Increases Mitigation of group members (AE) vs noxious damage by 1195',100,1,1),
(259175,159348,'Applies Sanguine Imbued when Equipped.',100,0,0),
(259176,159348,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(259177,159348,'Inflicts 163 heat damage on target',100,2,2),
(259178,159348,'Cannot be modified except by direct means',100,2,3),
(259179,10159348,'Applies Sanguine Imbued when Equipped.',100,0,0),
(259180,10159348,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(259181,10159348,'Inflicts 195 heat damage on target',100,2,2),
(259182,10159348,'Cannot be modified except by direct means',100,2,3),
(259183,154496,'When Equipped:',100,0,0),
(259184,154496,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(259185,154496,'Inflicts 1998 disease damage on target encounter',100,2,2),
(259186,154496,'Must not be engaged in pvp combat',100,2,3),
(259187,154496,'Cannot be modified except by direct means',100,2,4),
(259188,10154496,'When Equipped:',100,0,0),
(259189,10154496,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(259190,10154496,'Inflicts 1199 disease damage on target encounter',100,2,2),
(259191,10154496,'Must not be engaged in pvp combat',100,2,3),
(259192,10154496,'Cannot be modified except by direct means',100,2,4),
(259193,155511,'When Equipped:',100,0,0),
(259194,155511,'On a spell cast this spell may cast Prophetic Awareness on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(259195,155511,'Reduces the power cost of spells by 15%.',100,2,2),
(259196,155511,'Cannot be modified except by direct means',100,2,3),
(259197,10155511,'When Equipped:',100,0,0),
(259198,10155511,'On a spell cast this spell may cast Prophetic Awareness on the group.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(259199,10155511,'Reduces the power cost of spells by 15%.',100,2,2),
(259200,10155511,'Cannot be modified except by direct means',100,2,3),
(259201,107329,'Decreases WIS of target by 84.7',100,1,0),
(259202,107329,'Decreases Defense of target by 32.2',100,1,1),
(259203,10107329,'Decreases WIS of target by 84.7',100,1,0),
(259204,10107329,'Decreases Defense of target by 32.2',100,1,1),
(259205,103914,'Wards group members (AE) collectively against 526 total points of all damage',100,1,0),
(259206,10103914,'Wards group members (AE) collectively against 784 total points of all damage',100,1,0),
(259207,102230,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(259208,10102230,'Increases Max Health of group members (AE) by 507.7',100,1,0),
(259209,101249,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(259210,101249,'Inflicts 127 - 212 mental damage on target',100,2,1),
(259211,10101249,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(259212,10101249,'Inflicts 152 - 254 mental damage on target',100,2,1),
(259213,115868,'Inflicts 666 - 1110 mental damage on target encounter',100,1,0),
(259214,115868,'Interrupts target encounter',100,1,1),
(259215,10115868,'Inflicts 799 - 1332 mental damage on target encounter',100,1,0),
(259216,10115868,'Interrupts target encounter',100,1,1),
(259217,140076,'When Equipped:',100,0,0),
(259218,140076,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(259219,140076,'Increases Hate Gain of caster by 5.0%',100,2,2),
(259220,140076,'Cannot be modified except by direct means',100,2,3),
(259221,140076,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(259222,140076,'Increases Hate Gain of caster by 5.0%',100,2,5),
(259223,140076,'Cannot be modified except by direct means',100,2,6),
(259224,10140076,'When Equipped:',100,0,0),
(259225,10140076,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(259226,10140076,'Cannot be modified except by direct means',100,2,2),
(259227,10140076,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,3),
(259228,10140076,'Cannot be modified except by direct means',100,2,4),
(259229,121996,'Inflicts 123 - 205 melee damage on targets in area',100,1,0),
(259230,121996,'Increases Threat to target encounter by 1,089 ',100,1,1),
(259231,10121996,'Inflicts 147 - 246 melee damage on targets in area',100,1,0),
(259232,10121996,'Prevents target encounter from changing targets',100,1,1),
(259233,10121996,'Forces target encounter to change their selected target to caster.',100,1,2),
(259234,46923,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(259235,46923,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(259236,46923,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(259237,46923,'Cannot be modified except by direct means',100,2,3),
(259238,46923,'Grants a total of 80 triggers of the spell.',100,2,4),
(259239,10046923,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(259240,10046923,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(259241,10046923,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(259242,10046923,'Cannot be modified except by direct means',100,2,3),
(259243,10046923,'Grants a total of 80 triggers of the spell.',100,2,4),
(259244,100191,'Inflicts 1825 - 3390 disease damage on target encounter',100,1,0),
(259245,10100191,'Inflicts 2190 - 4068 disease damage on target encounter',100,1,0),
(259246,115543,'Increases Mitigation of raid and group members (AE) vs noxious damage by 638',100,1,0),
(259247,10115543,'Increases Mitigation of raid and group members (AE) vs noxious damage by 638',100,1,0),
(259248,112425,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 16% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(259249,112425,'If over 50% Health',100,2,1),
(259250,112425,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 16% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(259251,112425,'If at 50% Health or less',100,2,3),
(259252,10112425,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 16% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(259253,10112425,'If over 50% Health',100,2,1),
(259254,10112425,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 16% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(259255,10112425,'If at 50% Health or less',100,2,3),
(259256,101468,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(259257,101468,'Increases Mitigation of group members (AE) vs arcane damage by 185',100,1,1),
(259258,10101468,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(259259,10101468,'Increases Mitigation of group members (AE) vs arcane damage by 185',100,1,1),
(259260,102027,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(259261,102027,'Wards target against 688 points of all damage',100,2,1),
(259262,10102027,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(259263,10102027,'Wards target against 688 points of all damage',100,2,1),
(259264,37573,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(259265,36911,'Increases STR of target by 12.7',100,0,0),
(259266,36911,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(259267,120168,'Applies Life Draw on termination.',100,1,0),
(259268,120168,'Inflicts 172 - 286 disease damage on target',100,2,1),
(259269,120168,'Heals caster for 13.9 - 16.9% of max health',100,2,2),
(259270,120168,'This effect cannot be critically applied.',100,3,3),
(259271,120168,'The healing of this spell cannot be modified except by direct means',100,2,4),
(259272,120168,'Inflicts 50 - 83 disease damage on target',100,1,5),
(259273,10120168,'Applies Life Draw on termination.',100,1,0),
(259274,10120168,'Inflicts 206 - 343 disease damage on target',100,2,1),
(259275,10120168,'Heals caster for 3.8 - 4.6% of max health',100,2,2),
(259276,10120168,'This effect cannot be critically applied.',100,3,3),
(259277,10120168,'The healing of this spell cannot be modified except by direct means',100,2,4),
(259278,10120168,'Inflicts 60 - 100 disease damage on target',100,1,5),
(259279,138587,'When Equipped:',100,0,0),
(259280,138587,'On any combat or spell hit this spell may cast Final Verdict on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259281,138587,'Increases Threat to target by 1,869 - 2,182 ',100,2,2),
(259282,138587,'If Fighter',100,3,3),
(259283,138587,'Inflicts 1008 - 1513 divine damage on target',100,2,4),
(259284,138587,'Cannot be modified except by direct means',100,2,5),
(259285,10138587,'When Equipped:',100,0,0),
(259286,10138587,'On any combat or spell hit this spell may cast Final Verdict on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259287,10138587,'Inflicts 1029 - 1543 divine damage on target',100,2,2),
(259288,10138587,'Cannot be modified except by direct means',100,2,3),
(259289,47027,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(259290,47027,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(259291,47027,'Decreases power of target by 53',100,2,2),
(259292,47027,'Cannot be modified except by direct means',100,2,3),
(259293,47027,'Grants a total of 4 triggers of the spell.',100,2,4),
(259294,10047027,'Applies visions of lunacy when Activated.  Lasts for 12 hours.',100,0,0),
(259295,10047027,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(259296,10047027,'Decreases power of target by 53',100,2,2),
(259297,10047027,'Cannot be modified except by direct means',100,2,3),
(259298,10047027,'Grants a total of 4 triggers of the spell.',100,2,4),
(259299,87518,'When Equipped:',100,0,0),
(259300,87518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259301,87518,'Inflicts 208 - 312 magic damage on target',100,2,2),
(259302,87518,'Cannot be modified except by direct means',100,2,3),
(259303,10087518,'When Equipped:',100,0,0),
(259304,10087518,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259305,10087518,'Inflicts 250 - 375 magic damage on target',100,2,2),
(259306,10087518,'Cannot be modified except by direct means',100,2,3),
(259307,109793,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(259308,109793,'Heals group members (AE) for 359',100,2,1),
(259309,10109793,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(259310,10109793,'Heals group members (AE) for 233',100,2,1),
(259311,104471,'Decreases Mitigation of target encounter vs physical damage by 288',100,1,0),
(259312,10104471,'Decreases Mitigation of target encounter vs physical damage by 288',100,1,0),
(259313,186908,'Applies Cannibalism when Activated.',100,0,0),
(259314,186908,'Increases power of caster by 219',100,1,1),
(259315,186908,'Inflicts 521 magic damage on caster',100,1,2),
(259316,186908,'The reuse time of Cannibalism is 30.0 seconds',100,1,3),
(259317,10186908,'Applies Cannibalism when Activated.',100,0,0),
(259318,10186908,'Increases power of caster by 219',100,1,1),
(259319,10186908,'Inflicts 625 magic damage on caster',100,1,2),
(259320,10186908,'The reuse time of Cannibalism is 30.0 seconds',100,1,3),
(259321,41427,'When Equipped:',100,0,0),
(259322,41427,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259323,41427,'Inflicts 50 - 93 magic damage on target',100,2,2),
(259324,41427,'Cannot be modified except by direct means',100,2,3),
(259325,10041427,'When Equipped:',100,0,0),
(259326,10041427,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259327,10041427,'Inflicts 60 - 111 magic damage on target',100,2,2),
(259328,10041427,'Cannot be modified except by direct means',100,2,3),
(259329,146712,'When Equipped:',100,0,0),
(259330,146712,'On any combat or spell hit this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(259331,146712,'Increases Ability Casting Speed of caster by 12.0%',100,2,2),
(259332,146712,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(259333,146712,'Increases Ability Modifier of caster by 900.0',100,2,4),
(259334,146712,'Must not be engaged in pvp combat',100,2,5),
(259335,146712,'Cannot be modified except by direct means',100,2,6),
(259336,146712,'On a healing spell cast this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(259337,146712,'Increases Ability Casting Speed of caster by 12.0%',100,2,8),
(259338,146712,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(259339,146712,'Increases Ability Modifier of caster by 900.0',100,2,10),
(259340,146712,'Must not be engaged in pvp combat',100,2,11),
(259341,146712,'Cannot be modified except by direct means',100,2,12),
(259342,146712,'Must not be engaged in pvp combat',100,1,13),
(259343,10146712,'When Equipped:',100,0,0),
(259344,10146712,'On any combat or spell hit this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(259345,10146712,'Increases Ability Casting Speed of caster by 12.0%',100,2,2),
(259346,10146712,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(259347,10146712,'Increases Ability Modifier of caster by 900.0',100,2,4),
(259348,10146712,'Must not be engaged in pvp combat',100,2,5),
(259349,10146712,'Cannot be modified except by direct means',100,2,6),
(259350,10146712,'On a healing spell cast this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(259351,10146712,'Increases Ability Casting Speed of caster by 12.0%',100,2,8),
(259352,10146712,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(259353,10146712,'Increases Ability Modifier of caster by 900.0',100,2,10),
(259354,10146712,'Must not be engaged in pvp combat',100,2,11),
(259355,10146712,'Cannot be modified except by direct means',100,2,12),
(259356,10146712,'Must not be engaged in pvp combat',100,1,13),
(259357,117239,'Inflicts 20 slashing damage on target every 4 seconds',100,1,0),
(259358,117239,'Inflicts 99 - 166 melee damage on target',100,1,1),
(259359,10117239,'Inflicts 24 slashing damage on target every 4 seconds',100,1,0),
(259360,10117239,'Inflicts 119 - 199 melee damage on target',100,1,1),
(259361,122967,'Inflicts 237 - 321 mental damage on target',100,1,0),
(259362,10122967,'Inflicts 285 - 385 mental damage on target',100,1,0),
(259363,159574,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(259364,159574,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(259365,159574,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(259366,159574,'Cannot be modified except by direct means',100,2,3),
(259367,10159574,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(259368,10159574,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(259369,10159574,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(259370,10159574,'Cannot be modified except by direct means',100,2,3),
(259371,111494,'Increases AGI of caster by 75.9',100,1,0),
(259372,111494,'Increases Attack Speed of caster by 39.3',100,1,1),
(259373,111494,'Increases in-combat movement speed of caster by 7.0%',100,1,2),
(259374,111494,'Adds 21.8% to base avoidance.',100,1,3),
(259375,111494,'Increases Mitigation of caster vs physical damage by 676',100,1,4),
(259376,111494,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,5),
(259377,10111494,'Increases AGI of caster by 75.9',100,1,0),
(259378,10111494,'Increases Attack Speed of caster by 39.3',100,1,1),
(259379,10111494,'Increases speed of caster by 7.0%',100,1,2),
(259380,10111494,'Adds 21.8% to base avoidance.',100,1,3),
(259381,10111494,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,4),
(259382,47392,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(259383,47392,'This potion will grant you the illusion of being a zombified goblin!',100,1,1),
(259384,10047392,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(259385,10047392,'This potion will grant you the illusion of being a zombified goblin!',100,1,1),
(259386,86317,'Applies Frost Blast when Activated.',100,0,0),
(259387,86317,'Inflicts 53 - 89 cold damage on target',100,1,1),
(259388,86317,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(259389,10086317,'Applies Frost Blast when Activated.',100,0,0),
(259390,10086317,'Inflicts 64 - 106 cold damage on target',100,1,1),
(259391,10086317,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(259392,48131,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(259393,48131,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(259394,48131,'Inflicts 813 poison damage on target',100,2,2),
(259395,48131,'Cannot be modified except by direct means',100,2,3),
(259396,48131,'Grants a total of 100 triggers of the spell.',100,2,4),
(259397,10048131,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(259398,10048131,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(259399,10048131,'Inflicts 732 poison damage on target',100,2,2),
(259400,10048131,'Cannot be modified except by direct means',100,2,3),
(259401,10048131,'Grants a total of 100 triggers of the spell.',100,2,4),
(259402,172473,'When Equipped:',100,0,0),
(259403,172473,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(259404,172473,'Increases power of caster by 71',100,2,2),
(259405,172473,'Heals caster for 117 - 143',100,2,3),
(259406,172473,'Must not be engaged in pvp combat',100,2,4),
(259407,172473,'Cannot be modified except by direct means',100,2,5),
(259408,172473,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(259409,172473,'Increases power of caster by 71',100,2,7),
(259410,172473,'Heals caster for 117 - 143',100,2,8),
(259411,172473,'Must not be engaged in pvp combat',100,2,9),
(259412,172473,'Cannot be modified except by direct means',100,2,10),
(259413,10172473,'When Equipped:',100,0,0),
(259414,10172473,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(259415,10172473,'Increases power of caster by 71',100,2,2),
(259416,10172473,'Heals caster for 76 - 93',100,2,3),
(259417,10172473,'Must not be engaged in pvp combat',100,2,4),
(259418,10172473,'Cannot be modified except by direct means',100,2,5),
(259419,10172473,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(259420,10172473,'Increases power of caster by 71',100,2,7),
(259421,10172473,'Heals caster for 76 - 93',100,2,8),
(259422,10172473,'Must not be engaged in pvp combat',100,2,9),
(259423,10172473,'Cannot be modified except by direct means',100,2,10),
(259424,25536,'When Equipped:',100,0,0),
(259425,25536,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,1),
(259426,25536,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(259427,10025536,'When Equipped:',100,0,0),
(259428,10025536,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,1),
(259429,10025536,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(259430,111061,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(259431,111061,'Slows target by 32.9%',100,2,1),
(259432,111061,'5% chance to dispel when target receives hostile action',100,2,2),
(259433,111061,'5% chance to dispel when target takes damage',100,2,3),
(259434,111061,'Decreases Mitigation of target vs elemental damage by 437',100,1,4),
(259435,10111061,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(259436,10111061,'Slows target by 32.9%',100,2,1),
(259437,10111061,'5% chance to dispel when target receives hostile action',100,2,2),
(259438,10111061,'5% chance to dispel when target takes damage',100,2,3),
(259439,10111061,'Decreases Mitigation of target vs elemental damage by 437',100,1,4),
(259440,46768,'Applies Call Springstrider when Activated.  Lasts for 1 day.',100,0,0),
(259441,46768,'Summons a mount to ride',100,1,1),
(259442,46768,'Increases your ground speed by 130%',100,2,2),
(259443,10046768,'Applies Call Springstrider when Activated.  Lasts for 1 day.',100,0,0),
(259444,10046768,'Summons a mount to ride',100,1,1),
(259445,10046768,'Increases your ground speed by 130%',100,2,2),
(259446,100444,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(259447,100444,'Inflicts 239 - 398 slashing damage on target',100,2,1),
(259448,100444,'Increases Threat to target by 1,423 ',100,2,2),
(259449,100444,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(259450,100444,'Increases Threat to target by 1,423 ',100,2,4),
(259451,100444,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2495',100,1,5),
(259452,10100444,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(259453,10100444,'Inflicts 286 - 477 slashing damage on target',100,2,1),
(259454,10100444,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(259455,10100444,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2495',100,1,3),
(259456,47266,'Applies Murky Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(259457,47266,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(259458,47266,'Only affects targets level 50 and above',100,1,2),
(259459,10047266,'Applies Murky Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(259460,10047266,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(259461,10047266,'Only affects targets level 50 and above',100,1,2),
(259462,45150,'Applies Al''Kabor''s Adverse Charge when Activated.  Lasts for 2 minutes.',100,0,0),
(259463,45150,'Self targeting spells will only receive partial benefits.',100,1,1),
(259464,45150,'If the next damage spell cast is magic-based, it will inflict increased damage.',100,1,2),
(259465,45150,'Dispelled when target casts a hostile spell',100,1,3),
(259466,45150,'Dispelled when target takes damage',100,1,4),
(259467,10045150,'Applies Al''Kabor''s Adverse Charge when Activated.  Lasts for 2 minutes.',100,0,0),
(259468,10045150,'Self targeting spells will only receive partial benefits.',100,1,1),
(259469,10045150,'If the next damage spell cast is magic-based, it will inflict increased damage.',100,1,2),
(259470,10045150,'Dispelled when target casts a hostile spell',100,1,3),
(259471,10045150,'Dispelled when target takes damage',100,1,4),
(259472,45677,'Applies Incandescent Elixir  when Activated.',100,0,0),
(259473,45677,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(259474,10045677,'Applies Incandescent Elixir  when Activated.',100,0,0),
(259475,10045677,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(259476,112270,'Applies Inquisition.',100,1,0),
(259477,112270,'Heals targets in Area of Effect for 566 - 692',100,2,1),
(259478,112270,'If Target is closer than 5 meters',100,3,2),
(259479,112270,'Heals targets in Area of Effect for 283 - 346',100,2,3),
(259480,112270,'If Target is between 5 and 10 meters away',100,3,4),
(259481,112270,'Heals targets in Area of Effect for 142 - 173',100,2,5),
(259482,112270,'If Target is between 10 and 20 meters away',100,3,6),
(259483,146112,'Applies Malicious Presence when Activated.  Lasts for 30.0 seconds.',100,0,0),
(259484,146112,'Caster will Riposte 15.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(259485,146112,'This effect can be toggled off.',100,1,2),
(259486,146112,'Decreases caster''s maximum health by 4% every 2 seconds. All health is restored when the effect ends.',100,1,3),
(259487,146112,'Cannot be modified except by direct means',100,1,4),
(259488,146112,'The casting time of Malicious Presence is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(259489,10146112,'Applies Malicious Presence when Activated.  Lasts for 30.0 seconds.',100,0,0),
(259490,10146112,'Caster will Riposte 15.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(259491,10146112,'This effect can be toggled off.',100,1,2),
(259492,10146112,'Decreases caster''s maximum health by 4% every 2 seconds. All health is restored when the effect ends.',100,1,3),
(259493,10146112,'Cannot be modified except by direct means',100,1,4),
(259494,10146112,'The casting time of Malicious Presence is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,5),
(259495,101422,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(259496,101422,'Increases Mitigation of group members (AE) vs noxious damage by 122',100,1,1),
(259497,10101422,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(259498,10101422,'Increases Mitigation of group members (AE) vs noxious damage by 122',100,1,1),
(259499,25893,'When Equipped:',100,0,0),
(259500,25893,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,1),
(259501,25893,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(259502,10025893,'When Equipped:',100,0,0),
(259503,10025893,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,1),
(259504,10025893,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(259505,119396,'Inflicts 11 - 19 melee damage on target',100,1,0),
(259506,119396,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(259507,119396,'Stuns target',100,2,2),
(259508,119396,'Throws target back',100,2,3),
(259509,119396,'Blurs vision of target',100,2,4),
(259510,119396,'Does not affect Epic targets',100,2,5),
(259511,119396,'You must be sneaking to use this ability.',100,1,6),
(259512,10119396,'Inflicts 14 - 23 melee damage on target',100,1,0),
(259513,10119396,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(259514,10119396,'Stuns target',100,2,2),
(259515,10119396,'Throws target back',100,2,3),
(259516,10119396,'Blurs vision of target',100,2,4),
(259517,10119396,'Does not affect Epic targets',100,2,5),
(259518,10119396,'You must be sneaking to use this ability.',100,1,6),
(259519,160006,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(259520,160006,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(259521,160006,'Heals target for 67 instantly and every 4 seconds',100,2,2),
(259522,160006,'Cannot be modified except by direct means',100,2,3),
(259523,10160006,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(259524,10160006,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(259525,10160006,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(259526,10160006,'Cannot be modified except by direct means',100,2,3),
(259527,51371,'When Equipped:',100,0,0),
(259528,51371,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(259529,51371,'Increases power of caster by 183',100,2,2),
(259530,51371,'Cannot be modified except by direct means',100,2,3),
(259531,10051371,'When Equipped:',100,0,0),
(259532,10051371,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(259533,10051371,'Increases power of caster by 183',100,2,2),
(259534,10051371,'Cannot be modified except by direct means',100,2,3),
(259535,121106,'Decreases Threat to targets in Area of Effect by 1,781 ',100,1,0),
(259536,121106,'Mesmerizes targets in Area of Effect',100,1,1),
(259537,121106,'If Target is not Epic',100,2,2),
(259538,121106,'Dispelled when target takes damage',100,1,3),
(259539,10121106,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(259540,10121106,'Applies Distract.',100,1,1),
(259541,10121106,'Forces target to clear their selected target.',100,2,2),
(259542,10121106,'Mesmerizes targets in Area of Effect',100,1,3),
(259543,10121106,'If Target is not Epic',100,2,4),
(259544,10121106,'Dispelled when target takes damage',100,1,5),
(259545,35219,'Increases Max Power of target by 90.7',100,0,0),
(259546,35219,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(259547,114282,'Heals target for 190 - 232',100,1,0),
(259548,10114282,'Heals target for 223 - 272',100,1,0),
(259549,103209,'Increases Mitigation of caster vs physical damage by 450',100,1,0),
(259550,103209,'Roots caster',100,1,1),
(259551,10103209,'Increases Mitigation of caster vs physical damage by 450',100,1,0),
(259552,10103209,'Roots caster',100,1,1),
(259553,75018,'Applies Lightning Shock when Activated.',100,0,0),
(259554,75018,'Inflicts 238 - 397 magic damage on target',100,1,1),
(259555,75018,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(259556,10075018,'Applies Lightning Shock when Activated.',100,0,0),
(259557,10075018,'Inflicts 286 - 477 magic damage on target',100,1,1),
(259558,10075018,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(259559,101023,'Inflicts 307 - 570 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(259560,10101023,'Inflicts 289 - 537 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(259561,121947,'Inflicts 18 - 30 disease damage on target',100,1,0),
(259562,121947,'Decreases Defense of target by 6.6',100,1,1),
(259563,121947,'Interrupts target',100,1,2),
(259564,10121947,'Inflicts 21 - 35 disease damage on target',100,1,0),
(259565,10121947,'Decreases Defense of target by 6.6',100,1,1),
(259566,10121947,'Interrupts target',100,1,2),
(259567,120608,'Inflicts 226 - 421 heat damage on target',100,1,0),
(259568,10120608,'Inflicts 272 - 505 heat damage on target',100,1,0),
(259569,81086,'When Equipped:',100,0,0),
(259570,81086,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(259571,81086,'Decreases Threat to target by 517 ',100,2,2),
(259572,81086,'Must be flanking or behind',100,3,3),
(259573,81086,'Increases Threat to target by 905 ',100,2,4),
(259574,81086,'Must be in front of',100,3,5),
(259575,81086,'Inflicts 148 - 275 magic damage on target',100,2,6),
(259576,81086,'Cannot be modified except by direct means',100,2,7),
(259577,10081086,'When Equipped:',100,0,0),
(259578,10081086,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(259579,10081086,'Inflicts 178 - 330 magic damage on target',100,2,2),
(259580,10081086,'Cannot be modified except by direct means',100,2,3),
(259581,109128,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(259582,109128,'Heals target for 414 - 506',100,2,1),
(259583,109128,'Grants a total of 8 triggers of the spell.',100,2,2),
(259584,10109128,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(259585,10109128,'Heals target for 269 - 329',100,2,1),
(259586,10109128,'Grants a total of 8 triggers of the spell.',100,2,2),
(259587,114828,'Dazes caster',100,1,0),
(259588,114828,'Roots caster',100,1,1),
(259589,114828,'Increases Mitigation of caster vs physical damage by 1632',100,1,2),
(259590,10114828,'Dazes caster',100,1,0),
(259591,10114828,'Roots caster',100,1,1),
(259592,10114828,'Increases Mitigation of caster vs physical damage by 1632',100,1,2),
(259593,109134,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(259594,109134,'Heals target for 625 - 764',100,2,1),
(259595,109134,'Grants a total of 8 triggers of the spell.',100,2,2),
(259596,10109134,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(259597,10109134,'Heals target for 406 - 496',100,2,1),
(259598,10109134,'Grants a total of 8 triggers of the spell.',100,2,2),
(259599,47216,'Applies Elixir of the Fleetfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(259600,10047216,'Applies Elixir of the Fleetfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(259601,120752,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(259602,120752,'Heals target for 49 - 59',100,2,1),
(259603,10120752,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(259604,10120752,'Heals target for 32 - 39',100,2,1),
(259605,122590,'Inflicts 44 - 53 mental damage on target instantly and every 3 seconds',100,1,0),
(259606,122590,'Decreases Mitigation of target vs arcane damage by 429',100,1,1),
(259607,10122590,'Inflicts 52 - 64 mental damage on target instantly and every 3 seconds',100,1,0),
(259608,10122590,'Decreases Mitigation of target vs arcane damage by 429',100,1,1),
(259609,37607,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(259610,37607,'This effect suspends during combat',100,0,1),
(259611,26711,'When Equipped:',100,0,0),
(259612,26711,'On a critical spell hit this spell may cast Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(259613,26711,'This effect will not stack with any rank or tier of itself.',100,2,2),
(259614,26711,'Increases Ability Modifier of caster by 540.0',100,2,3),
(259615,26711,'Must not be engaged in pvp combat',100,2,4),
(259616,26711,'Cannot be modified except by direct means',100,2,5),
(259617,26711,'On a critical healing spell cast this spell may cast Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(259618,26711,'This effect will not stack with any rank or tier of itself.',100,2,7),
(259619,26711,'Increases Ability Modifier of caster by 540.0',100,2,8),
(259620,26711,'Must not be engaged in pvp combat',100,2,9),
(259621,26711,'Cannot be modified except by direct means',100,2,10),
(259622,26711,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(259623,26711,'On a critical combat hit this spell may cast Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(259624,26711,'This effect will not stack with any rank or tier of itself.',100,2,13),
(259625,26711,'Increases Ability Modifier of caster by 540.0',100,2,14),
(259626,26711,'Must not be engaged in pvp combat',100,2,15),
(259627,26711,'Cannot be modified except by direct means',100,2,16),
(259628,26711,'Must not be engaged in pvp combat',100,1,17),
(259629,10026711,'When Equipped:',100,0,0),
(259630,10026711,'On a critical spell hit this spell may cast Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(259631,10026711,'This effect will not stack with any rank or tier of itself.',100,2,2),
(259632,10026711,'Increases Ability Modifier of caster by 540.0',100,2,3),
(259633,10026711,'Must not be engaged in pvp combat',100,2,4),
(259634,10026711,'Cannot be modified except by direct means',100,2,5),
(259635,10026711,'On a critical healing spell cast this spell may cast Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(259636,10026711,'This effect will not stack with any rank or tier of itself.',100,2,7),
(259637,10026711,'Increases Ability Modifier of caster by 540.0',100,2,8),
(259638,10026711,'Must not be engaged in pvp combat',100,2,9),
(259639,10026711,'Cannot be modified except by direct means',100,2,10),
(259640,10026711,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(259641,10026711,'On a critical combat hit this spell may cast Focused Destruction I on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(259642,10026711,'This effect will not stack with any rank or tier of itself.',100,2,13),
(259643,10026711,'Increases Ability Modifier of caster by 540.0',100,2,14),
(259644,10026711,'Must not be engaged in pvp combat',100,2,15),
(259645,10026711,'Cannot be modified except by direct means',100,2,16),
(259646,10026711,'Must not be engaged in pvp combat',100,1,17),
(259647,48650,'Applies Translucent Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(259648,48650,'Only affects targets level 50 and above',100,1,1),
(259649,10048650,'Applies Translucent Aura of Sinking Sands when Activated.  Lasts for 30 minutes.',100,0,0),
(259650,10048650,'Only affects targets level 50 and above',100,1,1),
(259651,46564,'Applies Gray C.R.A.S.H. Pad when Activated.',100,0,0),
(259652,46564,'Summons a mount to ride',100,1,1),
(259653,46564,'Increases your ground speed by 130%',100,2,2),
(259654,46564,'This can be used as a flying mount appearance.',100,1,3),
(259655,46564,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,4),
(259656,10046564,'Applies Gray C.R.A.S.H. Pad when Activated.',100,0,0),
(259657,10046564,'Summons a mount to ride',100,1,1),
(259658,10046564,'Increases your ground speed by 130%',100,2,2),
(259659,10046564,'This can be used as a flying mount appearance.',100,1,3),
(259660,10046564,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,4),
(259661,45419,'Applies Call Bronze Armored Rhino with Red Saddle when Activated.',100,0,0),
(259662,45419,'Increases Max Health of caster by 100.0',100,1,1),
(259663,45419,'Increases Defense of caster by 3.0',100,1,2),
(259664,45419,'Increases Slashing, Crushing, Focus, Ranged and Piercing of caster by 7.0',100,1,3),
(259665,45419,'Summons a mount to ride',100,1,4),
(259666,45419,'Increases your ground speed by 130%',100,2,5),
(259667,10045419,'Applies Call Bronze Armored Rhino with Red Saddle when Activated.',100,0,0),
(259668,10045419,'Increases Max Health of caster by 100.0',100,1,1),
(259669,10045419,'Increases Defense of caster by 3.0',100,1,2),
(259670,10045419,'Increases Slashing, Crushing, Focus, Ranged and Piercing of caster by 7.0',100,1,3),
(259671,10045419,'Summons a mount to ride',100,1,4),
(259672,10045419,'Increases your ground speed by 130%',100,2,5),
(259673,104270,'Inflicts 36 - 60 crushing damage on target',100,1,0),
(259674,104270,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(259675,104270,'Stuns target',100,2,2),
(259676,104270,'Throws target back',100,2,3),
(259677,104270,'Blurs vision of target',100,2,4),
(259678,104270,'Does not affect Epic targets',100,2,5),
(259679,10104270,'Inflicts 43 - 72 crushing damage on target',100,1,0),
(259680,10104270,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(259681,10104270,'Stuns target',100,2,2),
(259682,10104270,'Throws target back',100,2,3),
(259683,10104270,'Blurs vision of target',100,2,4),
(259684,10104270,'Does not affect Epic targets',100,2,5),
(259685,108701,'Inflicts 166 heat damage on target',100,1,0),
(259686,108701,'Inflicts 37 heat damage on target every 4 seconds',100,1,1),
(259687,10108701,'Inflicts 278 heat damage on target',100,1,0),
(259688,10108701,'Inflicts 44 heat damage on target every 4 seconds',100,1,1),
(259689,80404,'When Equipped:',100,0,0),
(259690,80404,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259691,80404,'Inflicts 43 - 81 magic damage on target',100,2,2),
(259692,80404,'Cannot be modified except by direct means',100,2,3),
(259693,10080404,'When Equipped:',100,0,0),
(259694,10080404,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259695,10080404,'Inflicts 52 - 97 magic damage on target',100,2,2),
(259696,10080404,'Cannot be modified except by direct means',100,2,3),
(259697,123403,'When damaged with a melee weapon this spell has a 8% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(259698,123403,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(259699,10123403,'When damaged with a melee weapon this spell has a 8% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(259700,10123403,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(259701,123039,'Summons a pet undead knight',100,1,0),
(259702,10123039,'Summons a pet undead knight',100,1,0),
(259703,75623,'Applies Holy Strike when Activated.',100,0,0),
(259704,75623,'Inflicts 53 - 89 divine damage on target',100,1,1),
(259705,75623,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(259706,10075623,'Applies Holy Strike when Activated.',100,0,0),
(259707,10075623,'Inflicts 64 - 106 divine damage on target',100,1,1),
(259708,10075623,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(259709,117082,'Summons 4 limited pets to aid the caster',100,1,0),
(259710,10117082,'Summons 4 limited pets to aid the caster',100,1,0),
(259711,112317,'Inflicts 121 - 148 disease damage on target',100,1,0),
(259712,112317,'Inflicts 61 - 74 disease damage on target every 3 seconds',100,1,1),
(259713,112317,'Increases Threat to target by 1,631 - 1,891  instantly and by 385 - 470  every 3 seconds thereafter',100,1,2),
(259714,10112317,'Inflicts 73 - 89 disease damage on target every 3 seconds',100,1,0),
(259715,10112317,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(259716,124648,'Inflicts 470 - 575 cold damage on target encounter',100,1,0),
(259717,124648,'Decreases Piercing, Slashing and Crushing of target encounter by 16.6',100,1,1),
(259718,10124648,'Inflicts 564 - 689 cold damage on target encounter',100,1,0),
(259719,10124648,'Decreases Piercing, Slashing and Crushing of target encounter by 16.6',100,1,1),
(259720,115253,'Heals target for 213',100,1,0),
(259721,115253,'Heals target for 36 every second',100,1,1),
(259722,115253,'Dispels 44 levels of any hostile effects on target',100,1,2),
(259723,10115253,'Heals target for 139',100,1,0),
(259724,10115253,'Heals target for 23 every second',100,1,1),
(259725,10115253,'Dispels 44 levels of any hostile effects on target',100,1,2),
(259726,183507,'When Equipped:',100,0,0),
(259727,183507,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(259728,10183507,'When Equipped:',100,0,0),
(259729,10183507,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(259730,47604,'Applies Stout when Activated.  Lasts for 15 minutes.',100,0,0),
(259731,47604,'Increases Max Health of caster by 130.0',100,1,1),
(259732,10047604,'Applies Stout when Activated.  Lasts for 15 minutes.',100,0,0),
(259733,10047604,'Increases Max Health of caster by 130.0',100,1,1),
(259734,35453,'Increases STR of target by 3.2',100,0,0),
(259735,35453,'Increases Out-of-Combat Health Regeneration of target by 51.0',100,0,1),
(259736,88306,'When Equipped:',100,0,0),
(259737,88306,'On a combat hit this spell may cast Star Shards on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(259738,88306,'Inflicts 143 - 215 magic damage on target',100,2,2),
(259739,88306,'Increases Damage Per Second of caster by 33.0',100,2,3),
(259740,88306,'Cannot be modified except by direct means',100,2,4),
(259741,10088306,'When Equipped:',100,0,0),
(259742,10088306,'On a combat hit this spell may cast Star Shards on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(259743,10088306,'Inflicts 172 - 258 magic damage on target',100,2,2),
(259744,10088306,'Increases Damage Per Second of caster by 33.0',100,2,3),
(259745,10088306,'Cannot be modified except by direct means',100,2,4),
(259746,36842,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(259747,106045,'Increases AGI of caster by 27.2',100,1,0),
(259748,106045,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(259749,106045,'Inflicts 30 - 50 disease damage on target',100,2,2),
(259750,106045,'Adds 21.8% to base avoidance.',100,1,3),
(259751,106045,'Increases Mitigation of caster vs physical damage by 127',100,1,4),
(259752,106045,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,5),
(259753,10106045,'Increases AGI of caster by 27.2',100,1,0),
(259754,10106045,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(259755,10106045,'Inflicts 36 - 60 disease damage on target',100,2,2),
(259756,10106045,'Adds 21.8% to base avoidance.',100,1,3),
(259757,10106045,'Increases Mitigation of caster vs physical damage by 127',100,1,4),
(259758,10106045,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 284',100,1,5),
(259759,87466,'When Equipped:',100,0,0),
(259760,87466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259761,87466,'Inflicts 101 - 152 magic damage on target',100,2,2),
(259762,87466,'Cannot be modified except by direct means',100,2,3),
(259763,10087466,'When Equipped:',100,0,0),
(259764,10087466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259765,10087466,'Inflicts 121 - 182 magic damage on target',100,2,2),
(259766,10087466,'Cannot be modified except by direct means',100,2,3),
(259767,123554,'Summons a limited pet to aid the caster',100,1,0),
(259768,10123554,'Summons a limited pet to aid the caster',100,1,0),
(259769,106412,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(259770,106412,'Inflicts 215 - 263 mental damage on target',100,2,1),
(259771,106412,'Grants a total of 3 triggers of the spell.',100,2,2),
(259772,10106412,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(259773,10106412,'Inflicts 259 - 316 mental damage on target',100,2,1),
(259774,10106412,'Grants a total of 3 triggers of the spell.',100,2,2),
(259775,171269,'When Equipped:',100,0,0),
(259776,171269,'On a critical healing spell cast this spell may cast Ward of Duality VII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(259777,171269,'Wards target against 750 points of all damage',100,2,2),
(259778,171269,'Wards caster against 375 points of all damage',100,2,3),
(259779,171269,'Must not be engaged in pvp combat',100,2,4),
(259780,171269,'Cannot be modified except by direct means',100,2,5),
(259781,171269,'Must not be engaged in pvp combat',100,1,6),
(259782,10171269,'When Equipped:',100,0,0),
(259783,10171269,'On a critical healing spell cast this spell may cast Ward of Duality VII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(259784,10171269,'Wards target against 750 points of all damage',100,2,2),
(259785,10171269,'Wards caster against 375 points of all damage',100,2,3),
(259786,10171269,'Must not be engaged in pvp combat',100,2,4),
(259787,10171269,'Cannot be modified except by direct means',100,2,5),
(259788,10171269,'Must not be engaged in pvp combat',100,1,6),
(259789,109324,'Increases STR of caster by 46.0',100,1,0),
(259790,109324,'Decreases Defense of caster by 9.0',100,1,1),
(259791,109324,'Increases Slashing, Piercing and Crushing of caster by 13.5',100,1,2),
(259792,10109324,'Increases STR of caster by 46.0',100,1,0),
(259793,10109324,'Decreases Defense of caster by 9.0',100,1,1),
(259794,10109324,'Increases Slashing, Piercing and Crushing of caster by 13.5',100,1,2),
(259795,26908,'When Equipped:',100,0,0),
(259796,26908,'Increases In-Combat Health Regeneration of caster by 3.0',100,1,1),
(259797,10026908,'When Equipped:',100,0,0),
(259798,10026908,'Increases In-Combat Health Regeneration of caster by 3.0',100,1,1),
(259799,110613,'Decreases Focus of target by 42.5',100,1,0),
(259800,110613,'Interrupts target',100,1,1),
(259801,110613,'Inflicts 177 - 532 crushing damage on target',100,1,2),
(259802,10110613,'Decreases Focus of target by 42.5',100,1,0),
(259803,10110613,'Interrupts target',100,1,1),
(259804,10110613,'Inflicts 213 - 639 crushing damage on target',100,1,2),
(259805,101826,'Summons a limited pet to aid the caster',100,1,0),
(259806,10101826,'Summons a limited pet to aid the caster',100,1,0),
(259807,36980,'Increases Max Power of target by 47.2',100,0,0),
(259808,36980,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(259809,101365,'Reduces physical damage done to caster by 5%',100,1,0),
(259810,101365,'Adds 2.1% to base avoidance.',100,1,1),
(259811,101365,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(259812,101365,'Increases Aggression of caster by 13.9',100,1,3),
(259813,101365,'Increases Defense and Parry of caster by 22.2',100,1,4),
(259814,101365,'Increases Mitigation of caster vs noxious and arcane damage by 136',100,1,5),
(259815,101365,'Increases Mitigation of caster vs elemental damage by 1355',100,1,6),
(259816,101365,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(259817,10101365,'Reduces physical damage done to caster by 5%',100,1,0),
(259818,10101365,'Adds 2.1% to base avoidance.',100,1,1),
(259819,10101365,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(259820,10101365,'Increases Aggression of caster by 13.9',100,1,3),
(259821,10101365,'Increases Defense and Parry of caster by 22.2',100,1,4),
(259822,10101365,'Increases Mitigation of caster vs noxious and arcane damage by 136',100,1,5),
(259823,10101365,'Increases Mitigation of caster vs elemental damage by 1355',100,1,6),
(259824,10101365,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(259825,113383,'Roots target',100,1,0),
(259826,113383,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,1),
(259827,113383,'Blurs vision of target',100,2,2),
(259828,113383,'Stifles target',100,2,3),
(259829,113383,'Dispelled when target takes damage',100,2,4),
(259830,113383,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(259831,113383,'Resistibility increases against targets higher than level 102.',100,2,6),
(259832,113383,'5% chance to dispel when target takes damage',100,1,7),
(259833,113383,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(259834,113383,'Resistibility increases against targets higher than level 102.',100,1,9),
(259835,10113383,'Roots target',100,1,0),
(259836,10113383,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(259837,10113383,'Stifles target',100,2,2),
(259838,10113383,'Blurs vision of target',100,2,3),
(259839,10113383,'Dispelled when target takes damage',100,2,4),
(259840,10113383,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(259841,10113383,'Resistibility increases against targets higher than level 102.',100,2,6),
(259842,10113383,'5% chance to dispel when target takes damage',100,1,7),
(259843,10113383,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(259844,10113383,'Resistibility increases against targets higher than level 102.',100,1,9),
(259845,109247,'Increases INT and WIS of group members (AE) by 34.0',100,1,0),
(259846,109247,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 96',100,1,1),
(259847,10109247,'Increases INT and WIS of group members (AE) by 34.0',100,1,0),
(259848,10109247,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 96',100,1,1),
(259849,74781,'When Equipped:',100,0,0),
(259850,74781,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259851,74781,'Inflicts 88 - 133 magic damage on target',100,2,2),
(259852,74781,'Cannot be modified except by direct means',100,2,3),
(259853,10074781,'When Equipped:',100,0,0),
(259854,10074781,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259855,10074781,'Inflicts 106 - 159 magic damage on target',100,2,2),
(259856,10074781,'Cannot be modified except by direct means',100,2,3),
(259857,115671,'Inflicts 11 - 34 melee damage on target',100,1,0),
(259858,115671,'Inflicts 11 - 34 melee damage on target',100,1,1),
(259859,115671,'Inflicts 11 - 34 melee damage on target',100,1,2),
(259860,115671,'Inflicts 11 - 34 melee damage on target',100,1,3),
(259861,115671,'Inflicts 11 - 34 melee damage on target',100,1,4),
(259862,115671,'Inflicts 11 - 34 melee damage on target',100,1,5),
(259863,115671,'Inflicts 11 - 34 melee damage on target',100,1,6),
(259864,115671,'Inflicts 11 - 34 melee damage on target',100,1,7),
(259865,10115671,'Inflicts 13 - 41 melee damage on target',100,1,0),
(259866,10115671,'Inflicts 13 - 41 melee damage on target',100,1,1),
(259867,10115671,'Inflicts 13 - 41 melee damage on target',100,1,2),
(259868,10115671,'Inflicts 13 - 41 melee damage on target',100,1,3),
(259869,10115671,'Inflicts 13 - 41 melee damage on target',100,1,4),
(259870,10115671,'Inflicts 13 - 41 melee damage on target',100,1,5),
(259871,10115671,'Inflicts 13 - 41 melee damage on target',100,1,6),
(259872,10115671,'Inflicts 13 - 41 melee damage on target',100,1,7),
(259873,74967,'When Equipped:',100,0,0),
(259874,74967,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259875,74967,'Inflicts 111 - 166 magic damage on target',100,2,2),
(259876,74967,'Cannot be modified except by direct means',100,2,3),
(259877,10074967,'When Equipped:',100,0,0),
(259878,10074967,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259879,10074967,'Inflicts 133 - 199 magic damage on target',100,2,2),
(259880,10074967,'Cannot be modified except by direct means',100,2,3),
(259881,110873,'Inflicts 122 - 149 heat damage on target encounter',100,1,0),
(259882,10110873,'Inflicts 146 - 178 heat damage on target encounter',100,1,0),
(259883,37235,'Increases AGI of target by 8.4',100,0,0),
(259884,37235,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(259885,82032,'When Equipped:',100,0,0),
(259886,82032,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(259887,82032,'Decreases Threat to target by 641 ',100,2,2),
(259888,82032,'Must be flanking or behind',100,3,3),
(259889,82032,'Increases Threat to target by 1,101 ',100,2,4),
(259890,82032,'Must be in front of',100,3,5),
(259891,82032,'Inflicts 138 - 257 magic damage on target',100,2,6),
(259892,82032,'Cannot be modified except by direct means',100,2,7),
(259893,10082032,'When Equipped:',100,0,0),
(259894,10082032,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(259895,10082032,'Inflicts 166 - 309 magic damage on target',100,2,2),
(259896,10082032,'Cannot be modified except by direct means',100,2,3),
(259897,109587,'Makes target afraid',100,1,0),
(259898,109587,'30% chance to dispel when target takes damage',100,1,1),
(259899,109587,'Does not affect Epic targets',100,1,2),
(259900,109587,'Resistibility increases against targets higher than level 107.',100,1,3),
(259901,10109587,'Makes target afraid',100,1,0),
(259902,10109587,'30% chance to dispel when target takes damage',100,1,1),
(259903,10109587,'Does not affect Epic targets',100,1,2),
(259904,10109587,'Resistibility increases against targets higher than level 107.',100,1,3),
(259905,81701,'When Equipped:',100,0,0),
(259906,81701,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(259907,81701,'Decreases Threat to target by 259 ',100,2,2),
(259908,81701,'Must be flanking or behind',100,3,3),
(259909,81701,'Increases Threat to target by 453 ',100,2,4),
(259910,81701,'Must be in front of',100,3,5),
(259911,81701,'Inflicts 79 - 146 magic damage on target',100,2,6),
(259912,81701,'Cannot be modified except by direct means',100,2,7),
(259913,10081701,'When Equipped:',100,0,0),
(259914,10081701,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(259915,10081701,'Inflicts 94 - 175 magic damage on target',100,2,2),
(259916,10081701,'Cannot be modified except by direct means',100,2,3),
(259917,107482,'Inflicts 171 - 513 magic damage on targets in Area of Effect',100,1,0),
(259918,107482,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(259919,107482,'Stuns target',100,2,2),
(259920,107482,'Throws target back',100,2,3),
(259921,107482,'Blurs vision of target',100,2,4),
(259922,107482,'Does not affect Epic targets',100,2,5),
(259923,10107482,'Inflicts 205 - 615 magic damage on targets in Area of Effect',100,1,0),
(259924,10107482,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(259925,10107482,'Stuns target',100,2,2),
(259926,10107482,'Throws target back',100,2,3),
(259927,10107482,'Blurs vision of target',100,2,4),
(259928,10107482,'Does not affect Epic targets',100,2,5),
(259929,36530,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(259930,36530,'This effect suspends during combat',100,0,1),
(259931,110713,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(259932,110713,'Heals group members (AE) for 297',100,2,1),
(259933,10110713,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(259934,10110713,'Heals group members (AE) for 193',100,2,1),
(259935,141930,'When Equipped:',100,0,0),
(259936,141930,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(259937,141930,'Increases AGI of caster by 3.6',100,2,2),
(259938,141930,'Increases Attack Speed of caster by 9.8',100,2,3),
(259939,141930,'Cannot be modified except by direct means',100,2,4),
(259940,10141930,'When Equipped:',100,0,0),
(259941,10141930,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(259942,10141930,'Increases AGI of caster by 3.6',100,2,2),
(259943,10141930,'Increases Attack Speed of caster by 9.8',100,2,3),
(259944,10141930,'Cannot be modified except by direct means',100,2,4),
(259945,41597,'When Equipped:',100,0,0),
(259946,41597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259947,41597,'Inflicts 169 - 314 magic damage on target',100,2,2),
(259948,41597,'Cannot be modified except by direct means',100,2,3),
(259949,10041597,'When Equipped:',100,0,0),
(259950,10041597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259951,10041597,'Inflicts 203 - 377 magic damage on target',100,2,2),
(259952,10041597,'Cannot be modified except by direct means',100,2,3),
(259953,42579,'When Equipped:',100,0,0),
(259954,42579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259955,42579,'Inflicts 99 - 148 magic damage on target',100,2,2),
(259956,42579,'Cannot be modified except by direct means',100,2,3),
(259957,10042579,'When Equipped:',100,0,0),
(259958,10042579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(259959,10042579,'Inflicts 118 - 177 magic damage on target',100,2,2),
(259960,10042579,'Cannot be modified except by direct means',100,2,3),
(259961,116161,'Increases Attack Speed of caster by 29.0',100,1,0),
(259962,116161,'Increases Damage Per Second of caster by 33.5',100,1,1),
(259963,10116161,'Increases Attack Speed of caster by 29.0',100,1,0),
(259964,10116161,'Increases Damage Per Second of caster by 33.5',100,1,1),
(259965,77297,'When Equipped:',100,0,0),
(259966,77297,'On a hit this spell may cast Ykesha''s Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(259967,77297,'Stuns target',100,2,2),
(259968,77297,'Inflicts 526 magic damage on target',100,2,3),
(259969,77297,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(259970,77297,'Resistibility increases against targets higher than level 112.',100,2,5),
(259971,77297,'Cannot be modified except by direct means',100,2,6),
(259972,10077297,'When Equipped:',100,0,0),
(259973,10077297,'On a hit this spell may cast Ykesha''s Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(259974,10077297,'Stuns target',100,2,2),
(259975,10077297,'Inflicts 631 magic damage on target',100,2,3),
(259976,10077297,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(259977,10077297,'Resistibility increases against targets higher than level 112.',100,2,5),
(259978,10077297,'Cannot be modified except by direct means',100,2,6),
(259979,105287,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(259980,105287,'Inflicts 49 - 82 mental damage on target',100,2,1),
(259981,105287,'Increases AGI of caster by 57.5',100,1,2),
(259982,105287,'Adds 17.2% to base avoidance.',100,1,3),
(259983,105287,'Increases Mitigation of caster vs physical damage by 208',100,1,4),
(259984,105287,'Increases Mitigation of caster vs elemental and arcane damage by 463',100,1,5),
(259985,105287,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(259986,105287,'Inflicts 49 - 82 mental damage on target',100,2,7),
(259987,105287,'Increases Mitigation of caster vs noxious damage by 463',100,1,8),
(259988,10105287,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(259989,10105287,'Inflicts 59 - 98 mental damage on target',100,2,1),
(259990,10105287,'Increases AGI of caster by 57.5',100,1,2),
(259991,10105287,'Adds 17.2% to base avoidance.',100,1,3),
(259992,10105287,'Increases Mitigation of caster vs physical damage by 208',100,1,4),
(259993,10105287,'Increases Mitigation of caster vs elemental and arcane damage by 463',100,1,5),
(259994,10105287,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(259995,10105287,'Inflicts 59 - 98 mental damage on target',100,2,7),
(259996,10105287,'Increases Mitigation of caster vs noxious damage by 463',100,1,8),
(259997,119882,'Increases INT and AGI of group members (AE) by 46.4',100,1,0),
(259998,119882,'Adds 1.8% to base avoidance.',100,1,1),
(259999,10119882,'Increases INT and AGI of group members (AE) by 46.4',100,1,0),
(260000,10119882,'Adds 1.8% to base avoidance.',100,1,1),
(260001,112411,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 72% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(260002,112411,'If over 50% Health',100,2,1),
(260003,112411,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 72% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(260004,112411,'If at 50% Health or less',100,2,3),
(260005,10112411,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 72% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(260006,10112411,'If over 50% Health',100,2,1),
(260007,10112411,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 72% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(260008,10112411,'If at 50% Health or less',100,2,3),
(260009,52815,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(260010,52815,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(260011,52815,'Inflicts 45 heat damage on target',100,2,2),
(260012,52815,'Cannot be modified except by direct means',100,2,3),
(260013,10052815,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(260014,10052815,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(260015,10052815,'Inflicts 54 heat damage on target',100,2,2),
(260016,10052815,'Cannot be modified except by direct means',100,2,3),
(260017,122271,'Decreases Threat to targets in Area of Effect by 1,186 ',100,1,0),
(260018,122271,'Makes targets in Area of Effect afraid',100,1,1),
(260019,122271,'If Target is not Epic',100,2,2),
(260020,122271,'30% chance to dispel when target takes damage',100,1,3),
(260021,10122271,'Applies Distract.',100,1,0),
(260022,10122271,'Forces target to clear their selected target.',100,2,1),
(260023,10122271,'Makes targets in Area of Effect afraid',100,1,2),
(260024,10122271,'If Target is not Epic',100,2,3),
(260025,10122271,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(260026,10122271,'30% chance to dispel when target takes damage',100,1,5),
(260027,74593,'When Equipped:',100,0,0),
(260028,74593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260029,74593,'Inflicts 44 - 67 magic damage on target',100,2,2),
(260030,74593,'Cannot be modified except by direct means',100,2,3),
(260031,10074593,'When Equipped:',100,0,0),
(260032,10074593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260033,10074593,'Inflicts 53 - 80 magic damage on target',100,2,2),
(260034,10074593,'Cannot be modified except by direct means',100,2,3),
(260035,89767,'When Equipped:',100,0,0),
(260036,89767,'This effect will not stack with any rank or tier of itself.',100,1,1),
(260037,89767,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(260038,89767,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(260039,89767,'Increases Attack Speed of caster by 11.0',100,1,4),
(260040,89767,'Cannot be modified except by direct means',100,1,5),
(260041,89767,'When Equipped:',100,0,6),
(260042,89767,'On a critical combat hit this spell may cast Repugnant Cloud IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(260043,89767,'Decreases Parry of target by 15.0',100,2,8),
(260044,89767,'Decreases Defense of target by 5.0',100,2,9),
(260045,89767,'Inflicts 949 - 1049 disease damage on target instantly and every 2 seconds',100,2,10),
(260046,89767,'Decreases Mitigation of target vs physical damage by 470',100,2,11),
(260047,89767,'Must not be engaged in pvp combat',100,2,12),
(260048,89767,'Cannot be modified except by direct means',100,2,13),
(260049,89767,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(260050,89767,'On a critical spell hit this spell may cast Repugnant Cloud IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(260051,89767,'Decreases Parry of target by 15.0',100,2,16),
(260052,89767,'Decreases Defense of target by 5.0',100,2,17),
(260053,89767,'Inflicts 949 - 1049 disease damage on target instantly and every 2 seconds',100,2,18),
(260054,89767,'Decreases Mitigation of target vs physical damage by 470',100,2,19),
(260055,89767,'Must not be engaged in pvp combat',100,2,20),
(260056,89767,'Cannot be modified except by direct means',100,2,21),
(260057,89767,'Cannot be modified except by direct means',100,1,22),
(260058,10089767,'When Equipped:',100,0,0),
(260059,10089767,'This effect will not stack with any rank or tier of itself.',100,1,1),
(260060,10089767,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(260061,10089767,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(260062,10089767,'Increases Attack Speed of caster by 11.0',100,1,4),
(260063,10089767,'Cannot be modified except by direct means',100,1,5),
(260064,10089767,'When Equipped:',100,0,6),
(260065,10089767,'On a critical combat hit this spell may cast Repugnant Cloud IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(260066,10089767,'Decreases Parry of target by 15.0',100,2,8),
(260067,10089767,'Decreases Defense of target by 5.0',100,2,9),
(260068,10089767,'Inflicts 1139 - 1259 disease damage on target instantly and every 2 seconds',100,2,10),
(260069,10089767,'Decreases Mitigation of target vs physical damage by 470',100,2,11),
(260070,10089767,'Must not be engaged in pvp combat',100,2,12),
(260071,10089767,'Cannot be modified except by direct means',100,2,13),
(260072,10089767,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(260073,10089767,'On a critical spell hit this spell may cast Repugnant Cloud IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(260074,10089767,'Decreases Parry of target by 15.0',100,2,16),
(260075,10089767,'Decreases Defense of target by 5.0',100,2,17),
(260076,10089767,'Inflicts 1139 - 1259 disease damage on target instantly and every 2 seconds',100,2,18),
(260077,10089767,'Decreases Mitigation of target vs physical damage by 470',100,2,19),
(260078,10089767,'Must not be engaged in pvp combat',100,2,20),
(260079,10089767,'Cannot be modified except by direct means',100,2,21),
(260080,10089767,'Cannot be modified except by direct means',100,1,22),
(260081,103573,'Increases Mitigation of caster vs physical damage by 218',100,1,0),
(260082,10103573,'Increases Mitigation of caster vs physical damage by 218',100,1,0),
(260083,81479,'When Equipped:',100,0,0),
(260084,81479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260085,81479,'Inflicts 72 - 134 magic damage on target',100,2,2),
(260086,81479,'Cannot be modified except by direct means',100,2,3),
(260087,10081479,'When Equipped:',100,0,0),
(260088,10081479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260089,10081479,'Inflicts 87 - 161 magic damage on target',100,2,2),
(260090,10081479,'Cannot be modified except by direct means',100,2,3),
(260091,155070,'When Equipped:',100,0,0),
(260092,155070,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260093,155070,'Increases Potency of caster by 9.0%',100,2,2),
(260094,155070,'Cannot be modified except by direct means',100,2,3),
(260095,10155070,'When Equipped:',100,0,0),
(260096,10155070,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260097,10155070,'Increases Potency of caster by 9.0%',100,2,2),
(260098,10155070,'Cannot be modified except by direct means',100,2,3),
(260099,185441,'When Equipped:',100,0,0),
(260100,185441,'Increases Attack Speed of caster by 40.0',100,1,1),
(260101,10185441,'When Equipped:',100,0,0),
(260102,10185441,'Increases Attack Speed of caster by 40.0',100,1,1),
(260103,36372,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(260104,115309,'Summons a limited pet to aid the caster',100,1,0),
(260105,10115309,'Summons a limited pet to aid the caster',100,1,0),
(260106,105586,'Decreases power of target encounter by 27 - 33 instantly and every 3 seconds',100,1,0),
(260107,105586,'Inflicts 63 - 117 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(260108,105586,'Heals group members (AE) for 31 - 57 instantly and every 3 seconds',100,1,2),
(260109,105586,'Increases power of group members (AE) by 12 instantly and every 3 seconds',100,1,3),
(260110,10105586,'Decreases power of target encounter by 27 - 33 instantly and every 3 seconds',100,1,0),
(260111,10105586,'Inflicts 76 - 141 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(260112,10105586,'Heals group members (AE) for 20 - 37 instantly and every 3 seconds',100,1,2),
(260113,10105586,'Increases power of group members (AE) by 12 instantly and every 3 seconds',100,1,3),
(260114,120584,'Inflicts 44 - 82 heat damage on target',100,1,0),
(260115,10120584,'Inflicts 53 - 98 heat damage on target',100,1,0),
(260116,122121,'Dispels 54 levels of arcane beneficial effects on target',100,1,0),
(260117,122121,'Interrupts target',100,1,1),
(260118,122121,'Increases Threat to target by 1,057 ',100,1,2),
(260119,10122121,'Interrupts target',100,1,0),
(260120,10122121,'Forces target to change their selected target to caster.',100,1,1),
(260121,10122121,'Dispels 54 levels of arcane beneficial effects on target',100,1,2),
(260122,105793,'Inflicts 343 - 419 heat damage on target',100,1,0),
(260123,10105793,'Inflicts 548 - 670 heat damage on target',100,1,0),
(260124,158338,'Applies Hooluk in a Hat when Activated.',100,0,0),
(260125,158338,'Summons a pet Hooluk',100,1,1),
(260126,158338,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260127,10158338,'Applies Hooluk in a Hat when Activated.',100,0,0),
(260128,10158338,'Summons a pet Hooluk',100,1,1),
(260129,10158338,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260130,50907,'When Equipped:',100,0,0),
(260131,50907,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260132,50907,'Increases Ability Modifier of caster by 660.0',100,2,2),
(260133,50907,'Must not be engaged in pvp combat',100,2,3),
(260134,50907,'Cannot be modified except by direct means',100,2,4),
(260135,50907,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(260136,50907,'Increases Ability Modifier of caster by 660.0',100,2,6),
(260137,50907,'Must not be engaged in pvp combat',100,2,7),
(260138,50907,'Cannot be modified except by direct means',100,2,8),
(260139,50907,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(260140,50907,'Cannot be modified except by direct means',100,1,10),
(260141,10050907,'When Equipped:',100,0,0),
(260142,10050907,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260143,10050907,'Increases Ability Modifier of caster by 660.0',100,2,2),
(260144,10050907,'Must not be engaged in pvp combat',100,2,3),
(260145,10050907,'Cannot be modified except by direct means',100,2,4),
(260146,10050907,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(260147,10050907,'Increases Ability Modifier of caster by 660.0',100,2,6),
(260148,10050907,'Must not be engaged in pvp combat',100,2,7),
(260149,10050907,'Cannot be modified except by direct means',100,2,8),
(260150,10050907,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(260151,10050907,'Cannot be modified except by direct means',100,1,10),
(260152,82773,'When Equipped:',100,0,0),
(260153,82773,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(260154,82773,'Decreases Threat to target by 1,174 ',100,2,2),
(260155,82773,'Must be flanking or behind',100,3,3),
(260156,82773,'Increases Threat to target by 1,634 ',100,2,4),
(260157,82773,'Must be in front of',100,3,5),
(260158,82773,'Inflicts 237 - 440 magic damage on target',100,2,6),
(260159,82773,'Cannot be modified except by direct means',100,2,7),
(260160,10082773,'When Equipped:',100,0,0),
(260161,10082773,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(260162,10082773,'Inflicts 284 - 528 magic damage on target',100,2,2),
(260163,10082773,'Cannot be modified except by direct means',100,2,3),
(260164,74968,'When Equipped:',100,0,0),
(260165,74968,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260166,74968,'Inflicts 150 - 226 magic damage on target',100,2,2),
(260167,74968,'Cannot be modified except by direct means',100,2,3),
(260168,10074968,'When Equipped:',100,0,0),
(260169,10074968,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260170,10074968,'Inflicts 180 - 271 magic damage on target',100,2,2),
(260171,10074968,'Cannot be modified except by direct means',100,2,3),
(260172,106414,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(260173,106414,'Inflicts 338 - 413 mental damage on target',100,2,1),
(260174,106414,'Grants a total of 3 triggers of the spell.',100,2,2),
(260175,10106414,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(260176,10106414,'Inflicts 405 - 495 mental damage on target',100,2,1),
(260177,10106414,'Grants a total of 3 triggers of the spell.',100,2,2),
(260178,136003,'When Equipped:',100,0,0),
(260179,136003,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(260180,136003,'Inflicts 1986 heat damage on target',100,2,2),
(260181,136003,'Cannot be modified except by direct means',100,2,3),
(260182,10136003,'When Equipped:',100,0,0),
(260183,10136003,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(260184,10136003,'Inflicts 1192 heat damage on target',100,2,2),
(260185,10136003,'Cannot be modified except by direct means',100,2,3),
(260186,87344,'When Equipped:',100,0,0),
(260187,87344,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260188,87344,'Inflicts 99 - 148 magic damage on target',100,2,2),
(260189,87344,'Cannot be modified except by direct means',100,2,3),
(260190,10087344,'When Equipped:',100,0,0),
(260191,10087344,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260192,10087344,'Inflicts 118 - 177 magic damage on target',100,2,2),
(260193,10087344,'Cannot be modified except by direct means',100,2,3),
(260194,102586,'Increases Threat to target encounter by 181 - 221 ',100,1,0),
(260195,102586,'Interrupts target encounter',100,1,1),
(260196,102586,'Decreases Mitigation of target encounter vs noxious damage by 138',100,1,2),
(260197,10102586,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(260198,10102586,'Prevents target from changing targets',100,2,1),
(260199,10102586,'Forces target to change their selected target to caster.',100,2,2),
(260200,10102586,'Interrupts target encounter',100,1,3),
(260201,10102586,'Decreases Mitigation of target encounter vs noxious damage by 138',100,1,4),
(260202,107207,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(260203,107207,'Heals target for 375',100,2,1),
(260204,10107207,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(260205,10107207,'Heals target for 244',100,2,1),
(260206,81079,'When Equipped:',100,0,0),
(260207,81079,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260208,81079,'Inflicts 148 - 275 magic damage on target',100,2,2),
(260209,81079,'Cannot be modified except by direct means',100,2,3),
(260210,10081079,'When Equipped:',100,0,0),
(260211,10081079,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260212,10081079,'Inflicts 178 - 330 magic damage on target',100,2,2),
(260213,10081079,'Cannot be modified except by direct means',100,2,3),
(260214,185563,'When Equipped:',100,0,0),
(260215,185563,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(260216,185563,'Stuns target',100,2,2),
(260217,185563,'Throws target back',100,2,3),
(260218,185563,'Does not affect Epic targets',100,2,4),
(260219,185563,'Resistibility increases against targets higher than level 74.',100,2,5),
(260220,185563,'Cannot be modified except by direct means',100,2,6),
(260221,10185563,'When Equipped:',100,0,0),
(260222,10185563,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(260223,10185563,'Stuns target',100,2,2),
(260224,10185563,'Throws target back',100,2,3),
(260225,10185563,'Does not affect Epic targets',100,2,4),
(260226,10185563,'Resistibility increases against targets higher than level 74.',100,2,5),
(260227,10185563,'Cannot be modified except by direct means',100,2,6),
(260228,124174,'Inflicts 64 - 106 melee damage on target',100,1,0),
(260229,10124174,'Inflicts 76 - 128 melee damage on target',100,1,0),
(260230,73901,'Applies Disease Blast when Activated.',100,0,0),
(260231,73901,'Inflicts 89 - 149 disease damage on target',100,1,1),
(260232,73901,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260233,10073901,'Applies Disease Blast when Activated.',100,0,0),
(260234,10073901,'Inflicts 107 - 179 disease damage on target',100,1,1),
(260235,10073901,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260236,122201,'Increases Damage Per Second of target by 14.9',100,1,0),
(260237,122201,'Increases Max Health of target by 49.9',100,1,1),
(260238,10122201,'Increases Damage Per Second of target by 14.9',100,1,0),
(260239,10122201,'Increases Max Health of target by 49.9',100,1,1),
(260240,113980,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(260241,113980,'Inflicts 15 - 25 melee damage on target',100,2,1),
(260242,113980,'Increases Threat to target by 130 ',100,2,2),
(260243,10113980,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(260244,10113980,'Inflicts 18 - 31 melee damage on target',100,2,1),
(260245,109416,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(260246,109416,'Inflicts 228 - 279 cold damage on target',100,2,1),
(260247,109416,'Slows target by 56.4%',100,2,2),
(260248,109416,'5% chance to dispel when target receives hostile action',100,2,3),
(260249,109416,'5% chance to dispel when target takes damage',100,2,4),
(260250,10109416,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(260251,10109416,'Slows target by 56.4%',100,2,1),
(260252,10109416,'Inflicts 274 - 335 cold damage on target',100,2,2),
(260253,10109416,'5% chance to dispel when target receives hostile action',100,2,3),
(260254,10109416,'5% chance to dispel when target takes damage',100,2,4),
(260255,117611,'Inflicts 269 - 449 ranged damage on target',100,1,0),
(260256,117611,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(260257,117611,'Slows target by 43.0%',100,2,2),
(260258,117611,'5% chance to dispel when target receives hostile action',100,2,3),
(260259,117611,'5% chance to dispel when target takes damage',100,2,4),
(260260,117611,'Must be flanking or behind',100,1,5),
(260261,117611,'Requires bow',100,1,6),
(260262,10117611,'Inflicts 202 - 336 ranged damage on target',100,1,0),
(260263,10117611,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(260264,10117611,'Slows target by 43.0%',100,2,2),
(260265,10117611,'5% chance to dispel when target receives hostile action',100,2,3),
(260266,10117611,'5% chance to dispel when target takes damage',100,2,4),
(260267,10117611,'Must be flanking or behind',100,1,5),
(260268,10117611,'Requires bow',100,1,6),
(260269,115978,'Stuns target',100,1,0),
(260270,115978,'Inflicts 261 - 392 mental damage on target',100,1,1),
(260271,115978,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(260272,115978,'Resistibility increases against targets higher than level 84.',100,1,3),
(260273,10115978,'Stuns target',100,1,0),
(260274,10115978,'Inflicts 313 - 470 mental damage on target',100,1,1),
(260275,10115978,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(260276,10115978,'Resistibility increases against targets higher than level 84.',100,1,3),
(260277,160445,'When Equipped:',100,0,0),
(260278,160445,'When any damage is received this spell has a 4% chance to cast Wall of Terror on caster.  Lasts for 5.0 seconds.  ',100,1,1),
(260279,160445,'Prevents AOE (except when direct) ',100,2,2),
(260280,160445,'Must not be engaged in pvp combat',100,2,3),
(260281,160445,'Cannot be modified except by direct means',100,2,4),
(260282,160445,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,5),
(260283,10160445,'When Equipped:',100,0,0),
(260284,10160445,'When any damage is received this spell has a 4% chance to cast Wall of Terror on caster.  Lasts for 5.0 seconds.  ',100,1,1),
(260285,10160445,'Prevents AOE (except when direct) ',100,2,2),
(260286,10160445,'Must not be engaged in pvp combat',100,2,3),
(260287,10160445,'Cannot be modified except by direct means',100,2,4),
(260288,10160445,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,5),
(260289,101528,'Increases WIS of target by 81.5',100,1,0),
(260290,101528,'Increases Max Health of target by 722.5',100,1,1),
(260291,101528,'Increases Mitigation of target vs elemental, noxious and arcane damage by 230',100,1,2),
(260292,10101528,'Increases WIS of target by 81.5',100,1,0),
(260293,10101528,'Increases Max Health of target by 722.5',100,1,1),
(260294,10101528,'Increases Mitigation of target vs elemental, noxious and arcane damage by 230',100,1,2),
(260295,84191,'When Equipped:',100,0,0),
(260296,84191,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260297,84191,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(260298,84191,'Heals caster for 1185 - 1309',100,2,3),
(260299,84191,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(260300,84191,'Must not be engaged in pvp combat',100,2,5),
(260301,84191,'Cannot be modified except by direct means',100,2,6),
(260302,84191,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(260303,84191,'Cannot be modified except by direct means',100,1,8),
(260304,84191,'When Equipped:',100,0,9),
(260305,84191,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(260306,84191,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(260307,84191,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,12),
(260308,84191,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(260309,84191,'Must not be engaged in pvp combat',100,2,14),
(260310,84191,'Cannot be modified except by direct means',100,2,15),
(260311,84191,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(260312,84191,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,17),
(260313,84191,'Increases Crit Bonus of caster by 11.5%',100,2,18),
(260314,84191,'Must not be engaged in pvp combat',100,2,19),
(260315,84191,'Cannot be modified except by direct means',100,2,20),
(260316,84191,'Cannot be modified except by direct means',100,1,21),
(260317,10084191,'When Equipped:',100,0,0),
(260318,10084191,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260319,10084191,'Inflicts 2843 - 3142 poison damage on target',100,2,2),
(260320,10084191,'Heals caster for 1386 - 1532',100,2,3),
(260321,10084191,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(260322,10084191,'Must not be engaged in pvp combat',100,2,5),
(260323,10084191,'Cannot be modified except by direct means',100,2,6),
(260324,10084191,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(260325,10084191,'Cannot be modified except by direct means',100,1,8),
(260326,10084191,'When Equipped:',100,0,9),
(260327,10084191,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,10),
(260328,10084191,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(260329,10084191,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,12),
(260330,10084191,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(260331,10084191,'Must not be engaged in pvp combat',100,2,14),
(260332,10084191,'Cannot be modified except by direct means',100,2,15),
(260333,10084191,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(260334,10084191,'Increases STR, AGI, WIS and INT of caster by 50.0',100,2,17),
(260335,10084191,'Increases Crit Bonus of caster by 11.5%',100,2,18),
(260336,10084191,'Must not be engaged in pvp combat',100,2,19),
(260337,10084191,'Cannot be modified except by direct means',100,2,20),
(260338,10084191,'Cannot be modified except by direct means',100,1,21),
(260339,46563,'Applies Shimmer of the Void when Activated.',100,0,0),
(260340,46563,'Causes the user to shimmer with void energy.',100,1,1),
(260341,10046563,'Applies Shimmer of the Void when Activated.',100,0,0),
(260342,10046563,'Causes the user to shimmer with void energy.',100,1,1),
(260343,45954,'Applies Discord''s Enduring Disk when Activated.',100,0,0),
(260344,45954,'Increases Toughness of caster by 20.0',100,1,1),
(260345,45954,'Reduces maximum falling speed of caster',100,1,2),
(260346,45954,'Summons a mount to ride',100,1,3),
(260347,45954,'Increases your ground speed by 130%',100,2,4),
(260348,45954,'Increases Max Health of caster by 300.0',100,1,5),
(260349,10045954,'Applies Discord''s Enduring Disk when Activated.',100,0,0),
(260350,10045954,'Increases Toughness of caster by 20.0',100,1,1),
(260351,10045954,'Reduces maximum falling speed of caster',100,1,2),
(260352,10045954,'Summons a mount to ride',100,1,3),
(260353,10045954,'Increases your ground speed by 130%',100,2,4),
(260354,10045954,'Increases Max Health of caster by 300.0',100,1,5),
(260355,164299,'When Equipped:',100,0,0),
(260356,164299,'Caster will have their chance to hit with a weapon increased by 2.3%',100,1,1),
(260357,164299,'Increases Crushing, Slashing, Piercing and Ranged of caster by 28.0',100,1,2),
(260358,164299,'Must not be engaged in pvp combat',100,1,3),
(260359,10164299,'When Equipped:',100,0,0),
(260360,10164299,'Caster will have their chance to hit with a weapon increased by 2.3%',100,1,1),
(260361,10164299,'Increases Crushing, Slashing, Piercing and Ranged of caster by 28.0',100,1,2),
(260362,10164299,'Must not be engaged in pvp combat',100,1,3),
(260363,102406,'Inflicts 430 - 799 melee damage on targets in area',100,1,0),
(260364,10102406,'Inflicts 516 - 959 melee damage on targets in area',100,1,0),
(260365,103239,'Reduces physical damage done to caster by 5%',100,1,0),
(260366,103239,'Adds 2.4% to base avoidance.',100,1,1),
(260367,103239,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(260368,103239,'Increases Parry of caster by 21.1',100,1,3),
(260369,103239,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(260370,103239,'Increases Aggression of caster by 15.8',100,1,5),
(260371,103239,'Increases Defense and Deflection of caster by 21.1',100,1,6),
(260372,103239,'Increases Mitigation of caster vs noxious damage by 1408',100,1,7),
(260373,103239,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(260374,10103239,'Reduces physical damage done to caster by 5%',100,1,0),
(260375,10103239,'Adds 2.4% to base avoidance.',100,1,1),
(260376,10103239,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(260377,10103239,'Increases Parry of caster by 21.1',100,1,3),
(260378,10103239,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(260379,10103239,'Increases Aggression of caster by 15.8',100,1,5),
(260380,10103239,'Increases Defense and Deflection of caster by 21.1',100,1,6),
(260381,10103239,'Increases Mitigation of caster vs noxious damage by 1408',100,1,7),
(260382,10103239,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(260383,159643,'When Equipped:',100,0,0),
(260384,159643,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(260385,159643,'Increases WIS of caster by 14.8',100,2,2),
(260386,159643,'Increases Focus, Ministration and Ordination of caster by 8.3',100,2,3),
(260387,159643,'Cannot be modified except by direct means',100,2,4),
(260388,10159643,'When Equipped:',100,0,0),
(260389,10159643,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(260390,10159643,'Increases WIS of caster by 14.8',100,2,2),
(260391,10159643,'Increases Focus, Ministration and Ordination of caster by 8.3',100,2,3),
(260392,10159643,'Cannot be modified except by direct means',100,2,4),
(260393,102309,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(260394,102309,'Decreases Threat to target by 1,133 ',100,2,1),
(260395,10102309,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(260396,10102309,'Inflicts 59 - 65 crushing damage on target',100,2,1),
(260397,182182,'When Equipped:',100,0,0),
(260398,182182,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(260399,182182,'Heals caster for 41',100,2,2),
(260400,182182,'Cannot be modified except by direct means',100,2,3),
(260401,10182182,'When Equipped:',100,0,0),
(260402,10182182,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(260403,10182182,'Heals caster for 27',100,2,2),
(260404,10182182,'Cannot be modified except by direct means',100,2,3),
(260405,47972,'Applies Temporal Disruption when Activated.',100,0,0),
(260406,47972,'Temporarily disrupts the Voidshadow Supernova trap, slowing its detonation',100,1,1),
(260407,10047972,'Applies Temporal Disruption when Activated.',100,0,0),
(260408,10047972,'Temporarily disrupts the Voidshadow Supernova trap, slowing its detonation',100,1,1),
(260409,48009,'Applies Draw upon Essence when Activated.',100,0,0),
(260410,48009,'Increases power of caster by 556',100,1,1),
(260411,48009,'Requires 715 Health to cast.',100,1,2),
(260412,10048009,'Applies Draw upon Essence when Activated.',100,0,0),
(260413,10048009,'Increases power of caster by 556',100,1,1),
(260414,10048009,'Requires 715 Health to cast.',100,1,2),
(260415,52839,'Applies Sanguine Imbued when Equipped.',100,0,0),
(260416,52839,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(260417,52839,'Inflicts 24 heat damage on target',100,2,2),
(260418,52839,'Cannot be modified except by direct means',100,2,3),
(260419,10052839,'Applies Sanguine Imbued when Equipped.',100,0,0),
(260420,10052839,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(260421,10052839,'Inflicts 28 heat damage on target',100,2,2),
(260422,10052839,'Cannot be modified except by direct means',100,2,3),
(260423,46112,'Applies Elixir of the Clear Mind when Activated.',100,0,0),
(260424,46112,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(260425,10046112,'Applies Elixir of the Clear Mind when Activated.',100,0,0),
(260426,10046112,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(260427,24325,'Adds Amygdalan Dreadknight to your Dungeon Maker toolbox',100,0,0),
(260428,10024325,'Adds Amygdalan Dreadknight to your Dungeon Maker toolbox',100,0,0),
(260429,106683,'Heals caster for 38.6 - 47.2% of max health',100,1,0),
(260430,106683,'This effect cannot be critically applied.',100,2,1),
(260431,106683,'Increases Max Health of caster by 520.1',100,1,2),
(260432,106683,'The healing of this spell cannot be modified except by direct means',100,1,3),
(260433,10106683,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(260434,10106683,'This effect cannot be critically applied.',100,2,1),
(260435,10106683,'Increases Max Health of caster by 520.1',100,1,2),
(260436,10106683,'The healing of this spell cannot be modified except by direct means',100,1,3),
(260437,112306,'Inflicts 71 - 87 disease damage on target',100,1,0),
(260438,112306,'Inflicts 36 - 44 disease damage on target every 3 seconds',100,1,1),
(260439,112306,'Increases Threat to target by 1,108 - 1,252  instantly and by 213 - 260  every 3 seconds thereafter',100,1,2),
(260440,10112306,'Inflicts 43 - 52 disease damage on target every 3 seconds',100,1,0),
(260441,10112306,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(260442,36373,'Increases STR of target by 13.2',100,0,0),
(260443,36373,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(260444,37450,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(260445,106907,'Inflicts 639 - 1066 melee damage on target',100,1,0),
(260446,106907,'Decreases Mitigation of target vs all damage by 4838',100,1,1),
(260447,106907,'Must be behind',100,1,2),
(260448,10106907,'Inflicts 767 - 1279 melee damage on target',100,1,0),
(260449,10106907,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1512',100,1,1),
(260450,10106907,'Decreases Mitigation of target vs physical damage by 1331',100,1,2),
(260451,10106907,'Must be behind',100,1,3),
(260452,71622,'When Equipped:',100,0,0),
(260453,71622,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(260454,71622,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(260455,71622,'Cannot be modified except by direct means',100,2,3),
(260456,10071622,'When Equipped:',100,0,0),
(260457,10071622,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(260458,10071622,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(260459,10071622,'Cannot be modified except by direct means',100,2,3),
(260460,159417,'Applies Lambent Imbued when Equipped.',100,0,0),
(260461,159417,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(260462,159417,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(260463,159417,'Cannot be modified except by direct means',100,2,3),
(260464,10159417,'Applies Lambent Imbued when Equipped.',100,0,0),
(260465,10159417,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(260466,10159417,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(260467,10159417,'Cannot be modified except by direct means',100,2,3),
(260468,111045,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(260469,111045,'Increases Threat to target by 1,054 ',100,2,1),
(260470,111045,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(260471,111045,'Increases Threat to target by 1,054 ',100,2,3),
(260472,10111045,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(260473,10111045,'Inflicts 77 - 85 crushing damage on target',100,2,1),
(260474,10111045,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(260475,10111045,'Inflicts 77 - 85 crushing damage on target',100,2,3),
(260476,175875,'Applies Visage of Terror when Activated.  Lasts for 8.0 seconds.',100,0,0),
(260477,175875,'Makes target afraid',100,1,1),
(260478,175875,'15% chance to dispel when target takes damage',100,1,2),
(260479,175875,'15% chance to dispel when target receives hostile action',100,1,3),
(260480,175875,'Does not affect Epic targets',100,1,4),
(260481,175875,'Resistibility increases against targets higher than level 102.',100,1,5),
(260482,175875,'The casting time of Visage of Terror is 3.0 seconds and the reuse time of the spell is 10 minutes',100,1,6),
(260483,10175875,'Applies Visage of Terror when Activated.  Lasts for 4.0 seconds.',100,0,0),
(260484,10175875,'Makes target afraid',100,1,1),
(260485,10175875,'15% chance to dispel when target takes damage',100,1,2),
(260486,10175875,'15% chance to dispel when target receives hostile action',100,1,3),
(260487,10175875,'Does not affect Epic targets',100,1,4),
(260488,10175875,'Resistibility increases against targets higher than level 102.',100,1,5),
(260489,10175875,'The casting time of Visage of Terror is 3.0 seconds and the reuse time of the spell is 10 minutes',100,1,6),
(260490,36114,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(260491,36114,'This effect suspends during combat',100,0,1),
(260492,104888,'Inflicts 194 - 324 magic damage on targets in area',100,1,0),
(260493,10104888,'Inflicts 233 - 389 magic damage on targets in area',100,1,0),
(260494,104185,'Increases Threat to target encounter by 1,107 - 1,251 ',100,1,0),
(260495,104185,'Interrupts target encounter',100,1,1),
(260496,10104185,'Forces target encounter to change their selected target to caster.',100,1,0),
(260497,10104185,'Interrupts target encounter',100,1,1),
(260498,10104185,'Prevents target encounter from changing targets',100,1,2),
(260499,116482,'Prevents targets in Area of Effect from changing targets',100,1,0),
(260500,116482,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(260501,116482,'Increases Threat to targets in Area of Effect by 410 ',100,1,2),
(260502,10116482,'Prevents targets in Area of Effect from changing targets',100,1,0),
(260503,10116482,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(260504,122499,'Inflicts 325 - 542 mental damage on targets in Area of Effect',100,1,0),
(260505,10122499,'Inflicts 390 - 650 mental damage on targets in Area of Effect',100,1,0),
(260506,108356,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(260507,108356,'Increases Mitigation of group members (AE) vs arcane damage by 600',100,1,1),
(260508,10108356,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(260509,10108356,'Increases Mitigation of group members (AE) vs arcane damage by 600',100,1,1),
(260510,80655,'When Equipped:',100,0,0),
(260511,80655,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(260512,80655,'Decreases Threat to target by 236 ',100,2,2),
(260513,80655,'Must be flanking or behind',100,3,3),
(260514,80655,'Increases Threat to target by 414 ',100,2,4),
(260515,80655,'Must be in front of',100,3,5),
(260516,80655,'Inflicts 56 - 103 magic damage on target',100,2,6),
(260517,80655,'Cannot be modified except by direct means',100,2,7),
(260518,10080655,'When Equipped:',100,0,0),
(260519,10080655,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(260520,10080655,'Inflicts 67 - 124 magic damage on target',100,2,2),
(260521,10080655,'Cannot be modified except by direct means',100,2,3),
(260522,108271,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(260523,108271,'Inflicts 110 heat damage on target',100,2,1),
(260524,108271,'Grants a total of 3 triggers of the spell.',100,2,2),
(260525,10108271,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(260526,10108271,'Inflicts 132 heat damage on target',100,2,1),
(260527,10108271,'Grants a total of 3 triggers of the spell.',100,2,2),
(260528,120387,'Decreases Defense of caster by 4.8',100,1,0),
(260529,120387,'Increases Crushing and Ranged of caster by 11.5',100,1,1),
(260530,120387,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(260531,120387,'Inflicts 62 - 103 heat damage on target',100,2,3),
(260532,120387,'Increases Slashing and Piercing of caster by 11.5',100,1,4),
(260533,10120387,'Decreases Defense of caster by 4.8',100,1,0),
(260534,10120387,'Increases Crushing and Ranged of caster by 11.5',100,1,1),
(260535,10120387,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(260536,10120387,'Inflicts 74 - 124 heat damage on target',100,2,3),
(260537,10120387,'Increases Slashing and Piercing of caster by 11.5',100,1,4),
(260538,102452,'Stuns target encounter',100,1,0),
(260539,102452,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(260540,102452,'Resistibility increases against targets higher than level 87.',100,1,2),
(260541,10102452,'Stuns target encounter',100,1,0),
(260542,10102452,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(260543,10102452,'Resistibility increases against targets higher than level 87.',100,1,2),
(260544,47729,'Applies essence of power when Activated.',100,0,0),
(260545,47729,'Increases power of caster by 127',100,1,1),
(260546,10047729,'Applies essence of power when Activated.',100,0,0),
(260547,10047729,'Increases power of caster by 100',100,1,1),
(260548,100609,'Inflicts 483 - 806 melee damage on target',100,1,0),
(260549,100609,'You must be sneaking to use this ability.',100,1,1),
(260550,10100609,'Inflicts 693 - 1156 melee damage on target',100,1,0),
(260551,10100609,'You must be sneaking to use this ability.',100,1,1),
(260552,85342,'Applies Poison Bolt when Activated.',100,0,0),
(260553,85342,'Inflicts 367 - 611 poison damage on target',100,1,1),
(260554,85342,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260555,10085342,'Applies Poison Bolt when Activated.',100,0,0),
(260556,10085342,'Inflicts 440 - 734 poison damage on target',100,1,1),
(260557,10085342,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260558,112988,'Reduces physical damage done to caster by 5%',100,1,0),
(260559,112988,'Increases STA of caster by 73.6',100,1,1),
(260560,112988,'Adds 5.0% to base avoidance.',100,1,2),
(260561,112988,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(260562,112988,'Increases Defense and Aggression of caster by 14.4',100,1,4),
(260563,112988,'Increases Mitigation of caster vs arcane damage by 960',100,1,5),
(260564,112988,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(260565,10112988,'Reduces physical damage done to caster by 5%',100,1,0),
(260566,10112988,'Increases STA of caster by 73.6',100,1,1),
(260567,10112988,'Adds 5.0% to base avoidance.',100,1,2),
(260568,10112988,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(260569,10112988,'Increases Defense and Aggression of caster by 14.4',100,1,4),
(260570,10112988,'Increases Mitigation of caster vs arcane damage by 960',100,1,5),
(260571,10112988,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(260572,112983,'Reduces physical damage done to caster by 5%',100,1,0),
(260573,112983,'Increases STA of caster by 55.2',100,1,1),
(260574,112983,'Adds 3.7% to base avoidance.',100,1,2),
(260575,112983,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(260576,112983,'Increases Defense and Aggression of caster by 10.8',100,1,4),
(260577,112983,'Increases Mitigation of caster vs arcane damage by 720',100,1,5),
(260578,112983,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(260579,10112983,'Reduces physical damage done to caster by 5%',100,1,0),
(260580,10112983,'Increases STA of caster by 55.2',100,1,1),
(260581,10112983,'Adds 3.7% to base avoidance.',100,1,2),
(260582,10112983,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(260583,10112983,'Increases Defense and Aggression of caster by 10.8',100,1,4),
(260584,10112983,'Increases Mitigation of caster vs arcane damage by 720',100,1,5),
(260585,10112983,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(260586,103033,'Inflicts 210 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(260587,103033,'Inflicts 78 - 131 melee damage on target',100,1,1),
(260588,10103033,'Inflicts 252 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(260589,10103033,'Inflicts 94 - 157 melee damage on target',100,1,1),
(260590,52861,'Applies Sanguine Imbued when Equipped.',100,0,0),
(260591,52861,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(260592,52861,'Inflicts 24 heat damage on target',100,2,2),
(260593,52861,'Cannot be modified except by direct means',100,2,3),
(260594,10052861,'Applies Sanguine Imbued when Equipped.',100,0,0),
(260595,10052861,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(260596,10052861,'Inflicts 28 heat damage on target',100,2,2),
(260597,10052861,'Cannot be modified except by direct means',100,2,3),
(260598,159110,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(260599,159110,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(260600,159110,'Inflicts 26 heat damage on target',100,2,2),
(260601,159110,'Cannot be modified except by direct means',100,2,3),
(260602,10159110,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(260603,10159110,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(260604,10159110,'Inflicts 32 heat damage on target',100,2,2),
(260605,10159110,'Cannot be modified except by direct means',100,2,3),
(260606,104483,'Decreases Mitigation of target encounter vs physical damage by 624',100,1,0),
(260607,10104483,'Decreases Mitigation of target encounter vs physical damage by 624',100,1,0),
(260608,134719,'When Equipped:',100,0,0),
(260609,134719,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(260610,134719,'Heals group members (AE) for 580',100,2,2),
(260611,134719,'Cannot be modified except by direct means',100,2,3),
(260612,10134719,'When Equipped:',100,0,0),
(260613,10134719,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(260614,10134719,'Heals group members (AE) for 679',100,2,2),
(260615,10134719,'Cannot be modified except by direct means',100,2,3),
(260616,106905,'Inflicts 486 - 810 melee damage on target',100,1,0),
(260617,106905,'Decreases Mitigation of target vs all damage by 3442',100,1,1),
(260618,106905,'Must be behind',100,1,2),
(260619,10106905,'Inflicts 583 - 972 melee damage on target',100,1,0),
(260620,10106905,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1076',100,1,1),
(260621,10106905,'Decreases Mitigation of target vs physical damage by 947',100,1,2),
(260622,10106905,'Must be behind',100,1,3),
(260623,106041,'Inflicts 246 - 301 divine damage on target instantly and every 3 seconds',100,1,0),
(260624,106041,'Decreases Defense of target by 41.3',100,1,1),
(260625,10106041,'Inflicts 197 - 241 divine damage on target instantly and every 3 seconds',100,1,0),
(260626,10106041,'Decreases Defense of target by 41.3',100,1,1),
(260627,111220,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(260628,111220,'Heals target for 112 - 137',100,2,1),
(260629,10111220,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(260630,10111220,'Heals target for 73 - 89',100,2,1),
(260631,123782,'Decreases Mitigation of target vs noxious damage by 1568',100,1,0),
(260632,123782,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(260633,123782,'Slows target by 42.9%',100,2,2),
(260634,123782,'5% chance to dispel when target receives hostile action',100,2,3),
(260635,123782,'5% chance to dispel when target takes damage',100,2,4),
(260636,10123782,'Decreases Mitigation of target vs noxious damage by 1568',100,1,0),
(260637,10123782,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(260638,10123782,'Slows target by 42.9%',100,2,2),
(260639,10123782,'5% chance to dispel when target receives hostile action',100,2,3),
(260640,10123782,'5% chance to dispel when target takes damage',100,2,4),
(260641,143910,'When Equipped:',100,0,0),
(260642,143910,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(260643,143910,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(260644,143910,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(260645,143910,'Must not be engaged in pvp combat',100,2,4),
(260646,143910,'Cannot be modified except by direct means',100,2,5),
(260647,143910,'Must not be engaged in pvp combat',100,1,6),
(260648,10143910,'When Equipped:',100,0,0),
(260649,10143910,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(260650,10143910,'Inflicts 5315 - 5874 slashing damage on target encounter',100,2,2),
(260651,10143910,'Inflicts 759 - 839 slashing damage on target encounter every 2 seconds',100,2,3),
(260652,10143910,'Must not be engaged in pvp combat',100,2,4),
(260653,10143910,'Cannot be modified except by direct means',100,2,5),
(260654,10143910,'Must not be engaged in pvp combat',100,1,6),
(260655,112224,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(260656,112224,'Inflicts 27 disease damage on target',100,2,1),
(260657,112224,'Increases Threat to target by 108 ',100,2,2),
(260658,112224,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1162',100,1,3),
(260659,10112224,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(260660,10112224,'Inflicts 32 disease damage on target',100,2,1),
(260661,10112224,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1162',100,1,2),
(260662,82368,'When Equipped:',100,0,0),
(260663,82368,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260664,82368,'Inflicts 33 - 61 magic damage on target',100,2,2),
(260665,82368,'Cannot be modified except by direct means',100,2,3),
(260666,10082368,'When Equipped:',100,0,0),
(260667,10082368,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260668,10082368,'Inflicts 40 - 74 magic damage on target',100,2,2),
(260669,10082368,'Cannot be modified except by direct means',100,2,3),
(260670,24332,'Adds Droag (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(260671,10024332,'Adds Droag (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(260672,74999,'When Equipped:',100,0,0),
(260673,74999,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260674,74999,'Inflicts 86 - 129 magic damage on target',100,2,2),
(260675,74999,'Cannot be modified except by direct means',100,2,3),
(260676,10074999,'When Equipped:',100,0,0),
(260677,10074999,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260678,10074999,'Inflicts 103 - 155 magic damage on target',100,2,2),
(260679,10074999,'Cannot be modified except by direct means',100,2,3),
(260680,102713,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(260681,102713,'Inflicts 474 - 790 heat damage on target',100,2,1),
(260682,102713,'Grants a total of 5 triggers of the spell.',100,2,2),
(260683,102713,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(260684,102713,'Inflicts 474 - 790 heat damage on target',100,2,4),
(260685,102713,'Grants a total of 5 triggers of the spell.',100,2,5),
(260686,10102713,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(260687,10102713,'Inflicts 568 - 947 heat damage on target',100,2,1),
(260688,10102713,'Grants a total of 5 triggers of the spell.',100,2,2),
(260689,10102713,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(260690,10102713,'Inflicts 568 - 947 heat damage on target',100,2,4),
(260691,10102713,'Grants a total of 5 triggers of the spell.',100,2,5),
(260692,45565,'Applies Bulwark of the Promisekeeper  when Activated.  Lasts for 30 minutes.',100,0,0),
(260693,45565,'Increases INT and WIS of caster by 31.0',100,1,1),
(260694,10045565,'Applies Bulwark of the Promisekeeper  when Activated.  Lasts for 30 minutes.',100,0,0),
(260695,10045565,'Increases INT and WIS of caster by 31.0',100,1,1),
(260696,105278,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(260697,105278,'Inflicts 21 - 35 mental damage on target',100,2,1),
(260698,105278,'Increases AGI of caster by 27.8',100,1,2),
(260699,105278,'Adds 15.6% to base avoidance.',100,1,3),
(260700,105278,'Increases Mitigation of caster vs physical damage by 91',100,1,4),
(260701,105278,'Increases Mitigation of caster vs elemental and arcane damage by 203',100,1,5),
(260702,105278,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(260703,105278,'Inflicts 21 - 35 mental damage on target',100,2,7),
(260704,105278,'Increases Mitigation of caster vs noxious damage by 203',100,1,8),
(260705,10105278,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(260706,10105278,'Inflicts 26 - 43 mental damage on target',100,2,1),
(260707,10105278,'Increases AGI of caster by 27.8',100,1,2),
(260708,10105278,'Adds 15.6% to base avoidance.',100,1,3),
(260709,10105278,'Increases Mitigation of caster vs physical damage by 91',100,1,4),
(260710,10105278,'Increases Mitigation of caster vs elemental and arcane damage by 203',100,1,5),
(260711,10105278,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(260712,10105278,'Inflicts 26 - 43 mental damage on target',100,2,7),
(260713,10105278,'Increases Mitigation of caster vs noxious damage by 203',100,1,8),
(260714,154981,'When Equipped:',100,0,0),
(260715,154981,'On a hostile spell hit this spell may cast Greater Burning Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(260716,154981,'Inflicts 436 - 727 heat damage on target',100,2,2),
(260717,154981,'Decreases Mitigation of target vs elemental damage by 927',100,2,3),
(260718,154981,'Cannot be modified except by direct means',100,2,4),
(260719,10154981,'When Equipped:',100,0,0),
(260720,10154981,'On a hostile spell hit this spell may cast Greater Burning Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(260721,10154981,'Inflicts 523 - 872 heat damage on target',100,2,2),
(260722,10154981,'Decreases Mitigation of target vs elemental damage by 927',100,2,3),
(260723,10154981,'Cannot be modified except by direct means',100,2,4),
(260724,111580,'Inflicts 2 - 4 cold damage on target instantly and every 4 seconds',100,1,0),
(260725,111580,'Decreases Mitigation of target vs elemental damage by 73',100,1,1),
(260726,10111580,'Inflicts 3 - 5 cold damage on target instantly and every 4 seconds',100,1,0),
(260727,10111580,'Decreases Mitigation of target vs elemental damage by 73',100,1,1),
(260728,103789,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 12.6',100,1,0),
(260729,10103789,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 12.6',100,1,0),
(260730,47433,'Applies Dark Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(260731,47433,'Increases power of caster by 43 instantly and every 4 seconds',100,1,1),
(260732,47433,'Requires 377 Health to cast.',100,1,2),
(260733,10047433,'Applies Dark Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(260734,10047433,'Increases power of caster by 43 instantly and every 4 seconds',100,1,1),
(260735,10047433,'Requires 377 Health to cast.',100,1,2),
(260736,80692,'When Equipped:',100,0,0),
(260737,80692,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260738,80692,'Inflicts 56 - 103 magic damage on target',100,2,2),
(260739,80692,'Cannot be modified except by direct means',100,2,3),
(260740,10080692,'When Equipped:',100,0,0),
(260741,10080692,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260742,10080692,'Inflicts 67 - 124 magic damage on target',100,2,2),
(260743,10080692,'Cannot be modified except by direct means',100,2,3),
(260744,79035,'Applies Frost Blast when Activated.',100,0,0),
(260745,79035,'Inflicts 173 - 289 cold damage on target',100,1,1),
(260746,79035,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260747,10079035,'Applies Frost Blast when Activated.',100,0,0),
(260748,10079035,'Inflicts 208 - 347 cold damage on target',100,1,1),
(260749,10079035,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(260750,122325,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(260751,122325,'Inflicts 593 - 725 mental damage on target',100,2,1),
(260752,122325,'Grants a total of 3 triggers of the spell.',100,2,2),
(260753,10122325,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(260754,10122325,'Inflicts 712 - 870 mental damage on target',100,2,1),
(260755,10122325,'Grants a total of 3 triggers of the spell.',100,2,2),
(260756,115758,'Inflicts 58 - 97 melee damage on target',100,1,0),
(260757,10115758,'Inflicts 69 - 116 melee damage on target',100,1,0),
(260758,131059,'When Equipped:',100,0,0),
(260759,131059,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260760,131059,'Increases Potency of group members by 7.0%',100,2,2),
(260761,131059,'Cannot be modified except by direct means',100,2,3),
(260762,131059,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(260763,131059,'Increases Potency of group members by 7.0%',100,2,5),
(260764,131059,'Cannot be modified except by direct means',100,2,6),
(260765,131059,'Cannot be modified except by direct means',100,1,7),
(260766,10131059,'When Equipped:',100,0,0),
(260767,10131059,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260768,10131059,'Increases Potency of group members by 7.0%',100,2,2),
(260769,10131059,'Cannot be modified except by direct means',100,2,3),
(260770,10131059,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(260771,10131059,'Increases Potency of group members by 7.0%',100,2,5),
(260772,10131059,'Cannot be modified except by direct means',100,2,6),
(260773,10131059,'Cannot be modified except by direct means',100,1,7),
(260774,54408,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(260775,54408,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(260776,54408,'Inflicts 81 heat damage on target',100,2,2),
(260777,54408,'Cannot be modified except by direct means',100,2,3),
(260778,10054408,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(260779,10054408,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(260780,10054408,'Inflicts 97 heat damage on target',100,2,2),
(260781,10054408,'Cannot be modified except by direct means',100,2,3),
(260782,106319,'Decreases INT and STR of target by 36.3',100,1,0),
(260783,10106319,'Decreases INT and STR of target by 36.3',100,1,0),
(260784,120796,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(260785,120796,'Stuns target',100,2,1),
(260786,120796,'Throws target back',100,2,2),
(260787,120796,'Blurs vision of target',100,2,3),
(260788,120796,'Does not affect Epic targets',100,2,4),
(260789,120796,'Inflicts 161 - 269 piercing damage on target',100,1,5),
(260790,10120796,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(260791,10120796,'Stuns target',100,2,1),
(260792,10120796,'Blurs vision of target',100,2,2),
(260793,10120796,'Throws target back',100,2,3),
(260794,10120796,'Does not affect Epic targets',100,2,4),
(260795,10120796,'Inflicts 194 - 323 piercing damage on target',100,1,5),
(260796,37429,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(260797,37205,'Increases INT of target by 1.1',100,0,0),
(260798,37205,'Increases Out-of-Combat Health Regeneration of target by 11.0',100,0,1),
(260799,121246,'Inflicts 366 - 448 heat damage on target encounter',100,1,0),
(260800,10121246,'Inflicts 440 - 537 heat damage on target encounter',100,1,0),
(260801,54404,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(260802,54404,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(260803,54404,'Inflicts 63 heat damage on target',100,2,2),
(260804,54404,'Cannot be modified except by direct means',100,2,3),
(260805,10054404,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(260806,10054404,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(260807,10054404,'Inflicts 76 heat damage on target',100,2,2),
(260808,10054404,'Cannot be modified except by direct means',100,2,3),
(260809,24434,'Adds Growzzat Spellstinger to your Dungeon Maker toolbox',100,0,0),
(260810,10024434,'Adds Growzzat Spellstinger to your Dungeon Maker toolbox',100,0,0),
(260811,109460,'Roots target',100,1,0),
(260812,109460,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(260813,109460,'Slows target by 54.1%',100,2,2),
(260814,109460,'5% chance to dispel when target receives hostile action',100,2,3),
(260815,109460,'5% chance to dispel when target takes damage',100,2,4),
(260816,109460,'10% chance to dispel when target receives hostile action',100,1,5),
(260817,109460,'10% chance to dispel when target takes damage',100,1,6),
(260818,109460,'Does not affect Epic targets',100,1,7),
(260819,109460,'Resistibility increases against targets higher than level 48.',100,1,8),
(260820,10109460,'Roots target',100,1,0),
(260821,10109460,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(260822,10109460,'Slows target by 54.1%',100,2,2),
(260823,10109460,'5% chance to dispel when target receives hostile action',100,2,3),
(260824,10109460,'5% chance to dispel when target takes damage',100,2,4),
(260825,10109460,'10% chance to dispel when target receives hostile action',100,1,5),
(260826,10109460,'10% chance to dispel when target takes damage',100,1,6),
(260827,10109460,'Does not affect Epic targets',100,1,7),
(260828,10109460,'Resistibility increases against targets higher than level 48.',100,1,8),
(260829,104704,'Inflicts 123 - 228 heat damage on targets in Area of Effect',100,1,0),
(260830,10104704,'Inflicts 147 - 273 heat damage on targets in Area of Effect',100,1,0),
(260831,174393,'When Equipped:',100,0,0),
(260832,174393,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260833,174393,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(260834,174393,'Dispelled when target casts a hostile spell',100,2,3),
(260835,174393,'Dispelled when target casts a combat art',100,2,4),
(260836,174393,'Cannot be modified except by direct means',100,2,5),
(260837,10174393,'When Equipped:',100,0,0),
(260838,10174393,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(260839,10174393,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(260840,10174393,'Dispelled when target casts a hostile spell',100,2,3),
(260841,10174393,'Dispelled when target casts a combat art',100,2,4),
(260842,10174393,'Cannot be modified except by direct means',100,2,5),
(260843,110376,'Increases STR and AGI of group members (AE) by 48.7',100,1,0),
(260844,110376,'Adds 1.9% to base avoidance.',100,1,1),
(260845,10110376,'Increases STR and AGI of group members (AE) by 48.7',100,1,0),
(260846,10110376,'Adds 1.9% to base avoidance.',100,1,1),
(260847,101505,'Increases WIS of target by 19.8',100,1,0),
(260848,101505,'Increases Max Health of target by 101.4',100,1,1),
(260849,101505,'Increases Mitigation of target vs elemental, noxious and arcane damage by 55',100,1,2),
(260850,10101505,'Increases WIS of target by 19.8',100,1,0),
(260851,10101505,'Increases Max Health of target by 101.4',100,1,1),
(260852,10101505,'Increases Mitigation of target vs elemental, noxious and arcane damage by 55',100,1,2),
(260853,159887,'Applies Lambent Imbued when Equipped.',100,0,0),
(260854,159887,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(260855,159887,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(260856,159887,'Cannot be modified except by direct means',100,2,3),
(260857,10159887,'Applies Lambent Imbued when Equipped.',100,0,0),
(260858,10159887,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(260859,10159887,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(260860,10159887,'Cannot be modified except by direct means',100,2,3),
(260861,80530,'When Equipped:',100,0,0),
(260862,80530,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(260863,80530,'Inflicts 320 - 594 magic damage on target',100,2,2),
(260864,80530,'Decreases Threat to target by 1,219 ',100,2,3),
(260865,80530,'Must be flanking or behind',100,3,4),
(260866,80530,'Increases Threat to target by 1,679 ',100,2,5),
(260867,80530,'Must be in front of',100,3,6),
(260868,80530,'Cannot be modified except by direct means',100,2,7),
(260869,10080530,'When Equipped:',100,0,0),
(260870,10080530,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(260871,10080530,'Inflicts 384 - 712 magic damage on target',100,2,2),
(260872,10080530,'Cannot be modified except by direct means',100,2,3),
(260873,119741,'Wards group members (AE) against 152 points of elemental, noxious and arcane damage',100,1,0),
(260874,119741,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,1),
(260875,10119741,'Wards group members (AE) against 152 points of elemental, noxious and arcane damage',100,1,0),
(260876,10119741,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,1),
(260877,118340,'Inflicts 63 - 105 melee damage on target',100,1,0),
(260878,118340,'Inflicts 63 - 106 heat damage on target every 4 seconds',100,1,1),
(260879,10118340,'Inflicts 76 - 126 melee damage on target',100,1,0),
(260880,10118340,'Inflicts 76 - 127 heat damage on target every 4 seconds',100,1,1),
(260881,75007,'When Equipped:',100,0,0),
(260882,75007,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260883,75007,'Inflicts 182 - 273 magic damage on target',100,2,2),
(260884,75007,'Cannot be modified except by direct means',100,2,3),
(260885,10075007,'When Equipped:',100,0,0),
(260886,10075007,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(260887,10075007,'Inflicts 219 - 328 magic damage on target',100,2,2),
(260888,10075007,'Cannot be modified except by direct means',100,2,3),
(260889,100668,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(260890,100668,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(260891,100668,'Wards caster against 345 points of all damage',100,3,2),
(260892,100668,'Heals caster for 270',100,3,3),
(260893,100668,'Summons a limited pet to aid the caster',100,2,4),
(260894,100668,'Grants a total of 1 trigger of the spell.',100,2,5),
(260895,10100668,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(260896,10100668,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(260897,10100668,'Wards caster against 345 points of all damage',100,3,2),
(260898,10100668,'Heals caster for 176',100,3,3),
(260899,10100668,'Summons a limited pet to aid the caster',100,2,4),
(260900,10100668,'Grants a total of 1 trigger of the spell.',100,2,5),
(260901,159438,'Applies Sanguine Imbued when Equipped.',100,0,0),
(260902,159438,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(260903,159438,'Inflicts 57 heat damage on target',100,2,2),
(260904,159438,'Cannot be modified except by direct means',100,2,3),
(260905,10159438,'Applies Sanguine Imbued when Equipped.',100,0,0),
(260906,10159438,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(260907,10159438,'Inflicts 69 heat damage on target',100,2,2),
(260908,10159438,'Cannot be modified except by direct means',100,2,3),
(260909,48423,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(260910,48423,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(260911,48423,'Inflicts 211 poison damage on target',100,2,2),
(260912,48423,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,3),
(260913,48423,'Cannot be modified except by direct means',100,2,4),
(260914,48423,'Grants a total of 200 triggers of the spell.',100,2,5),
(260915,10048423,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(260916,10048423,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(260917,10048423,'Inflicts 190 poison damage on target',100,2,2),
(260918,10048423,'Inflicts 56 poison damage on target instantly and every 6 seconds',100,2,3),
(260919,10048423,'Cannot be modified except by direct means',100,2,4),
(260920,10048423,'Grants a total of 200 triggers of the spell.',100,2,5),
(260921,85531,'When Equipped:',100,0,0),
(260922,85531,'Wards caster against 2420 points of all damage',100,1,1),
(260923,85531,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(260924,85531,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(260925,85531,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(260926,85531,'While active Renewing Bulwark is disabled.',100,2,5),
(260927,85531,'Cannot be modified except by direct means',100,2,6),
(260928,85531,'Must not be engaged in pvp combat',100,1,7),
(260929,85531,'Cannot be modified except by direct means',100,1,8),
(260930,10085531,'When Equipped:',100,0,0),
(260931,10085531,'Wards caster against 2420 points of all damage',100,1,1),
(260932,10085531,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(260933,10085531,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(260934,10085531,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(260935,10085531,'While active Renewing Bulwark is disabled.',100,2,5),
(260936,10085531,'Cannot be modified except by direct means',100,2,6),
(260937,10085531,'Must not be engaged in pvp combat',100,1,7),
(260938,10085531,'Cannot be modified except by direct means',100,1,8),
(260939,47148,'Applies Dagda''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(260940,47148,'Increases Max Health of caster by 32.0',100,1,1),
(260941,10047148,'Applies Dagda''s Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(260942,10047148,'Increases Max Health of caster by 32.0',100,1,1),
(260943,100195,'Increases Threat to target encounter by 132 - 161 ',100,1,0),
(260944,100195,'Interrupts target encounter',100,1,1),
(260945,10100195,'Interrupts target encounter',100,1,0),
(260946,10100195,'Forces target encounter to change their selected target to caster.',100,1,1),
(260947,10100195,'Prevents target encounter from changing targets',100,1,2),
(260948,106832,'Decreases Crushing, Piercing, Slashing and Ranged of target by 14.4',100,1,0),
(260949,10106832,'Decreases Crushing, Piercing, Slashing and Ranged of target by 14.4',100,1,0),
(260950,173411,'When Equipped:',100,0,0),
(260951,173411,'On a melee hit this spell may cast Inner Blaze on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(260952,173411,'Increases Crit Chance of caster by 50.0',100,2,2),
(260953,173411,'Increases damage done by combat arts by up to 250.',100,2,3),
(260954,173411,'Cannot be modified except by direct means',100,2,4),
(260955,173411,'Cannot be modified except by direct means',100,1,5),
(260956,10173411,'When Equipped:',100,0,0),
(260957,10173411,'On a melee hit this spell may cast Inner Blaze on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(260958,10173411,'Increases Crit Chance of caster by 50.0',100,2,2),
(260959,10173411,'Increases damage done by combat arts by up to 250.',100,2,3),
(260960,10173411,'Cannot be modified except by direct means',100,2,4),
(260961,10173411,'Cannot be modified except by direct means',100,1,5),
(260962,24388,'Adds Genie (Assassin) to your Dungeon Maker toolbox',100,0,0),
(260963,10024388,'Adds Genie (Assassin) to your Dungeon Maker toolbox',100,0,0),
(260964,35210,'Increases Max Power of target by 47.2',100,0,0),
(260965,35210,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(260966,188550,'When Equipped:',100,0,0),
(260967,188550,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(260968,188550,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(260969,188550,'Increases Potency of caster by 3.0%',100,2,3),
(260970,188550,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(260971,188550,'Increases Ability Modifier of caster by 780.0',100,2,5),
(260972,188550,'Must not be engaged in pvp combat',100,2,6),
(260973,188550,'Cannot be modified except by direct means',100,2,7),
(260974,188550,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(260975,188550,'Increases Potency of caster by 3.0%',100,2,9),
(260976,188550,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(260977,188550,'Increases Ability Modifier of caster by 780.0',100,2,11),
(260978,188550,'Must not be engaged in pvp combat',100,2,12),
(260979,188550,'Cannot be modified except by direct means',100,2,13),
(260980,188550,'Cannot be modified except by direct means',100,1,14),
(260981,10188550,'When Equipped:',100,0,0),
(260982,10188550,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(260983,10188550,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(260984,10188550,'Increases Potency of caster by 3.0%',100,2,3),
(260985,10188550,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(260986,10188550,'Increases Ability Modifier of caster by 780.0',100,2,5),
(260987,10188550,'Must not be engaged in pvp combat',100,2,6),
(260988,10188550,'Cannot be modified except by direct means',100,2,7),
(260989,10188550,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(260990,10188550,'Increases Potency of caster by 3.0%',100,2,9),
(260991,10188550,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(260992,10188550,'Increases Ability Modifier of caster by 780.0',100,2,11),
(260993,10188550,'Must not be engaged in pvp combat',100,2,12),
(260994,10188550,'Cannot be modified except by direct means',100,2,13),
(260995,10188550,'Cannot be modified except by direct means',100,1,14),
(260996,122157,'Inflicts 20 - 24 cold damage on target instantly and every 2 seconds',100,1,0),
(260997,122157,'Inflicts 20 - 24 cold damage on target instantly and every 2 seconds',100,1,1),
(260998,122157,'If target is elemental',100,2,2),
(260999,10122157,'Inflicts 24 - 29 cold damage on target instantly and every 2 seconds',100,1,0),
(261000,143726,'When Equipped:',100,0,0),
(261001,143726,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(261002,143726,'When Equipped:',100,0,2),
(261003,143726,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(261004,10143726,'When Equipped:',100,0,0),
(261005,10143726,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(261006,10143726,'When Equipped:',100,0,2),
(261007,10143726,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(261008,106651,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(261009,106651,'Increases Mitigation of caster vs physical damage by 336',100,2,1),
(261010,106651,'Decreases Mitigation of target encounter vs physical damage by 1680',100,1,2),
(261011,10106651,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(261012,10106651,'Increases Mitigation of caster vs physical damage by 336',100,2,1),
(261013,10106651,'Decreases Mitigation of target encounter vs physical damage by 1680',100,1,2),
(261014,109235,'Increases INT and WIS of group members (AE) by 14.6',100,1,0),
(261015,109235,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 41',100,1,1),
(261016,10109235,'Increases INT and WIS of group members (AE) by 14.6',100,1,0),
(261017,10109235,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 41',100,1,1),
(261018,122867,'Inflicts 152 - 253 ranged damage on target',100,1,0),
(261019,122867,'Inflicts 304 - 507 ranged damage on target',100,1,1),
(261020,122867,'Inflicts 456 - 760 ranged damage on target',100,1,2),
(261021,122867,'Requires bow',100,1,3),
(261022,10122867,'Inflicts 142 - 237 ranged damage on target',100,1,0),
(261023,10122867,'Inflicts 285 - 475 ranged damage on target',100,1,1),
(261024,10122867,'Inflicts 427 - 713 ranged damage on target',100,1,2),
(261025,10122867,'Requires bow',100,1,3),
(261026,47934,'Applies essence of power when Activated.',100,0,0),
(261027,47934,'Increases power of caster by 1714',100,1,1),
(261028,10047934,'Applies essence of power when Activated.',100,0,0),
(261029,10047934,'Increases power of caster by 857',100,1,1),
(261030,45453,'Applies cadaver''s dram when Activated.',100,0,0),
(261031,45453,'The cadaver''s dram can be used on Ry''Gorr tunnelers that are under 20 percent of life.',100,1,1),
(261032,10045453,'Applies cadaver''s dram when Activated.',100,0,0),
(261033,10045453,'The cadaver''s dram can be used on Ry''Gorr tunnelers that are under 20 percent of life.',100,1,1),
(261034,71612,'When Equipped:',100,0,0),
(261035,71612,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261036,71612,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(261037,71612,'Cannot be modified except by direct means',100,2,3),
(261038,10071612,'When Equipped:',100,0,0),
(261039,10071612,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261040,10071612,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(261041,10071612,'Cannot be modified except by direct means',100,2,3),
(261042,101469,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(261043,101469,'Increases Mitigation of group members (AE) vs arcane damage by 269',100,1,1),
(261044,10101469,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(261045,10101469,'Increases Mitigation of group members (AE) vs arcane damage by 269',100,1,1),
(261046,121798,'Heals target for 281 - 344',100,1,0),
(261047,121798,'Heals target for 47 - 57 every second',100,1,1),
(261048,10121798,'Heals target for 488 - 596',100,1,0),
(261049,10121798,'Heals target for 41 - 50 every second',100,1,1),
(261050,135756,'When Equipped:',100,0,0),
(261051,135756,'On a hostile spell hit this spell may cast Spirit Drain on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(261052,135756,'Increases power of caster by 160',100,2,2),
(261053,135756,'Cannot be modified except by direct means',100,2,3),
(261054,10135756,'When Equipped:',100,0,0),
(261055,10135756,'On a hostile spell hit this spell may cast Spirit Drain on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(261056,10135756,'Increases power of caster by 160',100,2,2),
(261057,10135756,'Cannot be modified except by direct means',100,2,3),
(261058,36750,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(261059,123109,'Inflicts 65 disease damage on targets in Area of Effect',100,1,0),
(261060,123109,'Inflicts 44 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(261061,10123109,'Inflicts 77 disease damage on targets in Area of Effect',100,1,0),
(261062,10123109,'Inflicts 53 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(261063,100695,'Dispels 93 levels of any hostile effects on target',100,1,0),
(261064,100695,'Dispels 93 levels of hostile Fear effects on target',100,1,1),
(261065,100695,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(261066,100695,'Makes target immune to Fear effects',100,3,3),
(261067,100695,'Dispels 93 levels of hostile Daze effects on target',100,1,4),
(261068,100695,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(261069,100695,'Makes target immune to Daze effects',100,3,6),
(261070,100695,'Dispels 93 levels of hostile Root effects on target',100,1,7),
(261071,100695,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(261072,100695,'Makes target immune to Root effects',100,3,9),
(261073,100695,'Dispels 93 levels of hostile Stifle effects on target',100,1,10),
(261074,100695,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(261075,100695,'Makes target immune to Stifle effects',100,3,12),
(261076,100695,'Dispels 93 levels of hostile Stun effects on target',100,1,13),
(261077,100695,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(261078,100695,'Makes target immune to Stun effects',100,3,15),
(261079,10100695,'Dispels 93 levels of any hostile effects on target',100,1,0),
(261080,10100695,'Dispels 93 levels of hostile Fear effects on target',100,1,1),
(261081,10100695,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(261082,10100695,'Makes target immune to Fear effects',100,3,3),
(261083,10100695,'Dispels 93 levels of hostile Daze effects on target',100,1,4),
(261084,10100695,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(261085,10100695,'Makes target immune to Daze effects',100,3,6),
(261086,10100695,'Dispels 93 levels of hostile Root effects on target',100,1,7),
(261087,10100695,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(261088,10100695,'Makes target immune to Root effects',100,3,9),
(261089,10100695,'Dispels 93 levels of hostile Stifle effects on target',100,1,10),
(261090,10100695,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(261091,10100695,'Makes target immune to Stifle effects',100,3,12),
(261092,10100695,'Dispels 93 levels of hostile Stun effects on target',100,1,13),
(261093,10100695,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(261094,10100695,'Makes target immune to Stun effects',100,3,15),
(261095,24758,'Adds Wolf (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(261096,10024758,'Adds Wolf (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(261097,48504,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(261098,48504,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(261099,48504,'Inflicts 55 poison damage on target',100,2,2),
(261100,48504,'Inflicts 146 poison damage on target instantly and every 6 seconds',100,2,3),
(261101,48504,'Cannot be modified except by direct means',100,2,4),
(261102,48504,'Grants a total of 200 triggers of the spell.',100,2,5),
(261103,10048504,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(261104,10048504,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(261105,10048504,'Inflicts 131 poison damage on target instantly and every 6 seconds',100,2,2),
(261106,10048504,'Inflicts 50 poison damage on target',100,2,3),
(261107,10048504,'Cannot be modified except by direct means',100,2,4),
(261108,10048504,'Grants a total of 200 triggers of the spell.',100,2,5),
(261109,109887,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(261110,109887,'Inflicts 16 - 20 poison damage on target instantly and every 4 seconds',100,2,1),
(261111,10109887,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(261112,10109887,'Inflicts 19 - 24 poison damage on target instantly and every 4 seconds',100,2,1),
(261113,35963,'Increases STR of target by 10.5',100,0,0),
(261114,35963,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(261115,75555,'Applies Disease Blast when Activated.',100,0,0),
(261116,75555,'Inflicts 243 - 405 disease damage on target',100,1,1),
(261117,75555,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(261118,10075555,'Applies Disease Blast when Activated.',100,0,0),
(261119,10075555,'Inflicts 291 - 486 disease damage on target',100,1,1),
(261120,10075555,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(261121,102711,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(261122,102711,'Inflicts 415 - 691 heat damage on target',100,2,1),
(261123,102711,'Grants a total of 5 triggers of the spell.',100,2,2),
(261124,102711,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(261125,102711,'Inflicts 415 - 691 heat damage on target',100,2,4),
(261126,102711,'Grants a total of 5 triggers of the spell.',100,2,5),
(261127,10102711,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(261128,10102711,'Inflicts 497 - 829 heat damage on target',100,2,1),
(261129,10102711,'Grants a total of 5 triggers of the spell.',100,2,2),
(261130,10102711,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(261131,10102711,'Inflicts 497 - 829 heat damage on target',100,2,4),
(261132,10102711,'Grants a total of 5 triggers of the spell.',100,2,5),
(261133,87381,'When Equipped:',100,0,0),
(261134,87381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261135,87381,'Inflicts 127 - 190 magic damage on target',100,2,2),
(261136,87381,'Cannot be modified except by direct means',100,2,3),
(261137,10087381,'When Equipped:',100,0,0),
(261138,10087381,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261139,10087381,'Inflicts 152 - 228 magic damage on target',100,2,2),
(261140,10087381,'Cannot be modified except by direct means',100,2,3),
(261141,111899,'Inflicts 9 - 15 piercing damage on target instantly and every 4 seconds',100,1,0),
(261142,111899,'Inflicts 32 - 54 piercing damage on target',100,1,1),
(261143,10111899,'Inflicts 18 - 30 piercing damage on target instantly and every 4 seconds',100,1,0),
(261144,10111899,'Inflicts 53 - 89 piercing damage on target',100,1,1),
(261145,121934,'Applies Tap on termination.',100,1,0),
(261146,121934,'Inflicts 972 disease damage on target',100,2,1),
(261147,121934,'Heals caster for 4.9% of max health',100,2,2),
(261148,121934,'This effect cannot be critically applied.',100,3,3),
(261149,121934,'The healing of this spell cannot be modified except by direct means',100,2,4),
(261150,10121934,'Applies Tap on termination.',100,1,0),
(261151,10121934,'Inflicts 1167 disease damage on target',100,2,1),
(261152,10121934,'Heals caster for 1.7% of max health',100,2,2),
(261153,10121934,'This effect cannot be critically applied.',100,3,3),
(261154,10121934,'The healing of this spell cannot be modified except by direct means',100,2,4),
(261155,85684,'When Equipped:',100,0,0),
(261156,85684,'On a combat hit this spell may cast Drain Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261157,85684,'Inflicts 319 - 390 magic damage on target',100,2,2),
(261158,85684,'Heals caster for 226 - 277',100,2,3),
(261159,85684,'Cannot be modified except by direct means',100,2,4),
(261160,10085684,'When Equipped:',100,0,0),
(261161,10085684,'On a combat hit this spell may cast Drain Life on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261162,10085684,'Inflicts 383 - 468 magic damage on target',100,2,2),
(261163,10085684,'Heals caster for 147 - 180',100,2,3),
(261164,10085684,'Cannot be modified except by direct means',100,2,4),
(261165,151035,'When Equipped:',100,0,0),
(261166,151035,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(261167,151035,'Wards target against 2450 points of all damage',100,2,2),
(261168,151035,'Must not be engaged in pvp combat',100,2,3),
(261169,151035,'Cannot be modified except by direct means',100,2,4),
(261170,151035,'Cannot be modified except by direct means',100,1,5),
(261171,10151035,'When Equipped:',100,0,0),
(261172,10151035,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(261173,10151035,'Wards target against 2450 points of all damage',100,2,2),
(261174,10151035,'Must not be engaged in pvp combat',100,2,3),
(261175,10151035,'Cannot be modified except by direct means',100,2,4),
(261176,10151035,'Cannot be modified except by direct means',100,1,5),
(261177,36165,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(261178,117148,'Inflicts 254 - 311 heat damage on target instantly and every 4 seconds',100,1,0),
(261179,117148,'Decreases Mitigation of target vs arcane damage by 1355',100,1,1),
(261180,10117148,'Inflicts 305 - 373 heat damage on target instantly and every 4 seconds',100,1,0),
(261181,10117148,'Decreases Mitigation of target vs arcane damage by 1355',100,1,1),
(261182,45614,'Applies Clouded Elixir of Invigoration when Activated.',100,0,0),
(261183,45614,'Heals caster for 250',100,1,1),
(261184,45614,'Only affects targets level 50 and above',100,1,2),
(261185,10045614,'Applies Clouded Elixir of Invigoration when Activated.',100,0,0),
(261186,10045614,'Heals caster for 162',100,1,1),
(261187,10045614,'Only affects targets level 50 and above',100,1,2),
(261188,24745,'Adds Vampire-Greater (Wizard) to your Dungeon Maker toolbox',100,0,0),
(261189,10024745,'Adds Vampire-Greater (Wizard) to your Dungeon Maker toolbox',100,0,0),
(261190,123847,'Increases AGI of caster by 25.1',100,1,0),
(261191,123847,'Adds 18.7% to base avoidance.',100,1,1),
(261192,123847,'Increases Damage Per Second of caster by 32.6',100,1,2),
(261193,123847,'Increases Mitigation of caster vs physical damage by 227',100,1,3),
(261194,123847,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,4),
(261195,10123847,'Increases AGI of caster by 25.1',100,1,0),
(261196,10123847,'Adds 18.7% to base avoidance.',100,1,1),
(261197,10123847,'Increases Damage Per Second of caster by 32.6',100,1,2),
(261198,10123847,'Increases Mitigation of caster vs physical damage by 227',100,1,3),
(261199,10123847,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,4),
(261200,37402,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(261201,116796,'Increases STR, AGI, WIS and INT of target by 64.1',100,1,0),
(261202,116796,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261203,116796,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(261204,116796,'Increases Damage Per Second of target by 44.6',100,2,3),
(261205,116796,'Increases Attack Speed of target by 44.6',100,2,4),
(261206,116796,'Adds 1.9% to base avoidance.',100,1,5),
(261207,116796,'Increases Mitigation of target vs elemental, noxious and arcane damage by 188',100,1,6),
(261208,10116796,'Increases STR, AGI, WIS and INT of target by 64.1',100,1,0),
(261209,10116796,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261210,10116796,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(261211,10116796,'Increases Damage Per Second of target by 44.6',100,2,3),
(261212,10116796,'Increases Attack Speed of target by 44.6',100,2,4),
(261213,10116796,'Adds 1.9% to base avoidance.',100,1,5),
(261214,10116796,'Increases Mitigation of target vs elemental, noxious and arcane damage by 188',100,1,6),
(261215,46471,'Applies Gift of the Seeress when Activated.',100,0,0),
(261216,46471,'Heals caster for 10.0% of max health',100,1,1),
(261217,10046471,'Applies Gift of the Seeress when Activated.',100,0,0),
(261218,10046471,'Heals caster for 6.5% of max health',100,1,1),
(261219,120237,'Roots target encounter',100,1,0),
(261220,120237,'15% chance to dispel when target takes damage',100,1,1),
(261221,120237,'Does not affect Epic targets',100,1,2),
(261222,120237,'Resistibility increases against targets higher than level 117.',100,1,3),
(261223,10120237,'Roots target encounter',100,1,0),
(261224,10120237,'15% chance to dispel when target takes damage',100,1,1),
(261225,10120237,'Does not affect Epic targets',100,1,2),
(261226,10120237,'Resistibility increases against targets higher than level 117.',100,1,3),
(261227,46033,'Applies Eerie Cloud when Activated.',100,0,0),
(261228,46033,'Shapechanges the user into a cloud of bats, and provides a shield which damages any melee attacker.',100,1,1),
(261229,10046033,'Applies Eerie Cloud when Activated.',100,0,0),
(261230,10046033,'Shapechanges the user into a cloud of bats, and provides a shield which damages any melee attacker.',100,1,1),
(261231,115133,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(261232,115133,'Increases WIS of target by 59.6',100,2,1),
(261233,115133,'Heals target for 602',100,2,2),
(261234,115133,'Heals target for 150 every 2 seconds',100,2,3),
(261235,115133,'Grants a total of 1 trigger of the spell.',100,2,4),
(261236,10115133,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(261237,10115133,'Increases WIS of target by 59.6',100,2,1),
(261238,10115133,'Heals target for 391',100,2,2),
(261239,10115133,'Heals target for 98 every 2 seconds',100,2,3),
(261240,10115133,'Grants a total of 1 trigger of the spell.',100,2,4),
(261241,45116,'Applies Throw Book when Activated.  Lasts for 1 minute.',100,0,0),
(261242,45116,'Must be in The Library of Light: Scholar Errands.',100,1,1),
(261243,10045116,'Applies Throw Book when Activated.  Lasts for 1 minute.',100,0,0),
(261244,10045116,'Must be in The Library of Light: Scholar Errands.',100,1,1),
(261245,159790,'Applies Lambent Imbued when Equipped.',100,0,0),
(261246,159790,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(261247,159790,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(261248,159790,'Cannot be modified except by direct means',100,2,3),
(261249,10159790,'Applies Lambent Imbued when Equipped.',100,0,0),
(261250,10159790,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(261251,10159790,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(261252,10159790,'Cannot be modified except by direct means',100,2,3),
(261253,113397,'Reduces physical damage done to caster by 5%',100,1,0),
(261254,113397,'Increases STA of caster by 18.5',100,1,1),
(261255,113397,'Adds 4.3% to base avoidance.',100,1,2),
(261256,113397,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(261257,113397,'Increases Defense and Aggression of caster by 2.5',100,1,4),
(261258,113397,'Increases Mitigation of caster vs noxious damage by 215',100,1,5),
(261259,113397,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(261260,10113397,'Reduces physical damage done to caster by 5%',100,1,0),
(261261,10113397,'Increases STA of caster by 18.5',100,1,1),
(261262,10113397,'Adds 4.3% to base avoidance.',100,1,2),
(261263,10113397,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(261264,10113397,'Increases Defense and Aggression of caster by 2.5',100,1,4),
(261265,10113397,'Increases Mitigation of caster vs noxious damage by 215',100,1,5),
(261266,10113397,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(261267,119137,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(261268,119137,'Inflicts 272 - 332 slashing damage on target',100,2,1),
(261269,119137,'Increases Mitigation of caster vs physical damage by 774',100,1,2),
(261270,10119137,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(261271,10119137,'Inflicts 326 - 398 slashing damage on target',100,2,1),
(261272,10119137,'Increases Mitigation of caster vs physical damage by 774',100,1,2),
(261273,167757,'When Equipped:',100,0,0),
(261274,167757,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(261275,167757,'Decreases Threat to target by 400 ',100,2,2),
(261276,167757,'Cannot be modified except by direct means',100,2,3),
(261277,10167757,'When Equipped:',100,0,0),
(261278,10167757,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(261279,10167757,'Cannot be modified except by direct means',100,2,2),
(261280,46187,'Applies Essence of Void Residue when Activated.  Lasts for 30 minutes.',100,0,0),
(261281,46187,'Shapechanges caster into a void residue',100,1,1),
(261282,10046187,'Applies Essence of Void Residue when Activated.  Lasts for 30 minutes.',100,0,0),
(261283,10046187,'Shapechanges caster into a void residue',100,1,1),
(261284,119957,'Inflicts 345 - 575 melee damage on target',100,1,0),
(261285,119957,'Stifles target',100,1,1),
(261286,119957,'If Target is not Epic',100,2,2),
(261287,119957,'Resistibility increases against targets higher than level 109.',100,1,3),
(261288,10119957,'Inflicts 414 - 690 melee damage on target',100,1,0),
(261289,10119957,'Stifles target',100,1,1),
(261290,10119957,'If Target is not Epic',100,2,2),
(261291,10119957,'Resistibility increases against targets higher than level 109.',100,1,3),
(261292,42520,'When Equipped:',100,0,0),
(261293,42520,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261294,42520,'Inflicts 135 - 203 magic damage on target',100,2,2),
(261295,42520,'Cannot be modified except by direct means',100,2,3),
(261296,10042520,'When Equipped:',100,0,0),
(261297,10042520,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261298,10042520,'Inflicts 162 - 244 magic damage on target',100,2,2),
(261299,10042520,'Cannot be modified except by direct means',100,2,3),
(261300,122953,'Inflicts 466 - 630 mental damage on target',100,1,0),
(261301,10122953,'Inflicts 559 - 756 mental damage on target',100,1,0),
(261302,46954,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(261303,46954,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(261304,46954,'Inflicts 15 poison damage on target instantly and every 6 seconds',100,2,2),
(261305,46954,'Inflicts 29 poison damage on target',100,2,3),
(261306,46954,'Cannot be modified except by direct means',100,2,4),
(261307,46954,'Grants a total of 200 triggers of the spell.',100,2,5),
(261308,10046954,'Applies ferocious corruption when Activated.  Lasts for 12 hours.',100,0,0),
(261309,10046954,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(261310,10046954,'Inflicts 14 poison damage on target instantly and every 6 seconds',100,2,2),
(261311,10046954,'Inflicts 26 poison damage on target',100,2,3),
(261312,10046954,'Cannot be modified except by direct means',100,2,4),
(261313,10046954,'Grants a total of 200 triggers of the spell.',100,2,5),
(261314,112643,'Inflicts 82 - 137 disease damage on target',100,1,0),
(261315,112643,'Inflicts 82 - 137 disease damage on target',100,1,1),
(261316,112643,'Roots target',100,1,2),
(261317,112643,'If Target is not Epic',100,2,3),
(261318,112643,'15% chance to dispel when target takes damage',100,1,4),
(261319,112643,'If weapon equipped in Ranged',100,1,5),
(261320,112643,'Resistibility increases against targets higher than level 73.',100,1,6),
(261321,10112643,'Inflicts 61 - 102 disease damage on target',100,1,0),
(261322,10112643,'Inflicts 61 - 102 disease damage on target',100,1,1),
(261323,10112643,'Roots target',100,1,2),
(261324,10112643,'If Target is not Epic',100,2,3),
(261325,10112643,'15% chance to dispel when target takes damage',100,1,4),
(261326,10112643,'If weapon equipped in Ranged',100,1,5),
(261327,10112643,'Resistibility increases against targets higher than level 73.',100,1,6),
(261328,46824,'Applies Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(261329,46824,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(261330,46824,'Decreases WIS and INT of target by 27.4',100,2,2),
(261331,46824,'Cannot be modified except by direct means',100,2,3),
(261332,46824,'Grants a total of 30 triggers of the spell.',100,2,4),
(261333,46824,'Only affects targets level 50 and above',100,1,5),
(261334,10046824,'Applies Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(261335,10046824,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(261336,10046824,'Decreases WIS and INT of target by 27.4',100,2,2),
(261337,10046824,'Cannot be modified except by direct means',100,2,3),
(261338,10046824,'Grants a total of 30 triggers of the spell.',100,2,4),
(261339,10046824,'Only affects targets level 50 and above',100,1,5),
(261340,107636,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(261341,107636,'Increases Mitigation of group members (AE) vs elemental damage by 706',100,1,1),
(261342,10107636,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(261343,10107636,'Increases Mitigation of group members (AE) vs elemental damage by 706',100,1,1),
(261344,52891,'Applies Sanguine Imbued when Equipped.',100,0,0),
(261345,52891,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(261346,52891,'Inflicts 99 heat damage on target',100,2,2),
(261347,52891,'Cannot be modified except by direct means',100,2,3),
(261348,10052891,'Applies Sanguine Imbued when Equipped.',100,0,0),
(261349,10052891,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(261350,10052891,'Inflicts 119 heat damage on target',100,2,2),
(261351,10052891,'Cannot be modified except by direct means',100,2,3),
(261352,105207,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(261353,105207,'Inflicts 217 - 265 poison damage on target encounter',100,2,1),
(261354,10105207,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(261355,10105207,'Inflicts 260 - 318 poison damage on target encounter',100,2,1),
(261356,103014,'Inflicts 47 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(261357,103014,'Inflicts 17 - 29 melee damage on target',100,1,1),
(261358,10103014,'Inflicts 56 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(261359,10103014,'Inflicts 21 - 35 melee damage on target',100,1,1),
(261360,109932,'Stuns target',100,1,0),
(261361,109932,'Does not affect Epic targets',100,1,1),
(261362,109932,'Resistibility increases against targets higher than level 59.',100,1,2),
(261363,10109932,'Stuns target',100,1,0),
(261364,10109932,'Does not affect Epic targets',100,1,1),
(261365,10109932,'Resistibility increases against targets higher than level 59.',100,1,2),
(261366,101715,'Mesmerizes target',100,1,0),
(261367,101715,'Prevents AOE (except when direct) ',100,1,1),
(261368,101715,'Mesmerizes caster',100,1,2),
(261369,101715,'Dispelled when target takes damage',100,1,3),
(261370,101715,'Does not affect Epic targets',100,1,4),
(261371,101715,'Resistibility increases against targets higher than level 54.',100,1,5),
(261372,10101715,'Mesmerizes target',100,1,0),
(261373,10101715,'Prevents AOE (except when direct) ',100,1,1),
(261374,10101715,'Mesmerizes caster',100,1,2),
(261375,10101715,'Dispelled when target takes damage',100,1,3),
(261376,10101715,'Does not affect Epic targets',100,1,4),
(261377,10101715,'Resistibility increases against targets higher than level 54.',100,1,5),
(261378,106074,'Increases AGI of caster by 159.0',100,1,0),
(261379,106074,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(261380,106074,'Inflicts 226 - 377 disease damage on target',100,2,2),
(261381,106074,'Adds 21.8% to base avoidance.',100,1,3),
(261382,106074,'Increases Mitigation of caster vs physical damage by 774',100,1,4),
(261383,106074,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,5),
(261384,10106074,'Increases AGI of caster by 159.0',100,1,0),
(261385,10106074,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(261386,10106074,'Inflicts 272 - 453 disease damage on target',100,2,2),
(261387,10106074,'Adds 21.8% to base avoidance.',100,1,3),
(261388,10106074,'Increases Mitigation of caster vs physical damage by 774',100,1,4),
(261389,10106074,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,5),
(261390,113738,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(261391,113738,'Inflicts 72 piercing damage on target',100,2,1),
(261392,113738,'Grants a total of 60 triggers of the spell.',100,2,2),
(261393,10113738,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(261394,10113738,'Inflicts 87 piercing damage on target',100,2,1),
(261395,10113738,'Grants a total of 60 triggers of the spell.',100,2,2),
(261396,109976,'Inflicts 735 - 1103 disease damage on targets in Area of Effect',100,1,0),
(261397,109976,'Inflicts 368 - 552 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(261398,109976,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(261399,109976,'Increases Threat to targets in Area of Effect by 3,433 - 4,094  instantly and every 4 seconds thereafter',100,1,3),
(261400,10109976,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(261401,10109976,'Prevents target from changing targets',100,2,1),
(261402,10109976,'Forces target to change their selected target to caster.',100,2,2),
(261403,10109976,'Inflicts 883 - 1324 disease damage on targets in Area of Effect',100,1,3),
(261404,10109976,'Inflicts 441 - 662 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(261405,111213,'Applies Holy Ground.',100,1,0),
(261406,111213,'Increases Threat to targets in Area of Effect by 3,559 - 4,248 ',100,2,1),
(261407,111213,'Increases threat priority of targets in Area of Effect by 1 position',100,2,2),
(261408,111213,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',100,1,3),
(261409,111213,'Increases Threat to target by 1,777 - 2,070 ',100,2,4),
(261410,111213,'Inflicts 304 - 372 divine damage on target',100,2,5),
(261411,10111213,'Applies Holy Ground.',100,1,0),
(261412,10111213,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  Lasts for 3.0 seconds.  ',100,1,1),
(261413,10111213,'Prevents target from changing targets',100,2,2),
(261414,10111213,'Forces target to change their selected target to caster.',100,2,3),
(261415,10111213,'Inflicts 184 divine damage on target',100,2,4),
(261416,144598,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(261417,144598,'Decreases INT, WIS, AGI and STR of target by 15.6',100,1,1),
(261418,144598,'Decreases Max Health of target by 1.0%',100,1,2),
(261419,144598,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(261420,10144598,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(261421,10144598,'Decreases INT, WIS, AGI and STR of target by 15.6',100,1,1),
(261422,10144598,'Decreases Max Health of target by 1.0%',100,1,2),
(261423,10144598,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(261424,47898,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(261425,47898,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(261426,47898,'Decreases STR of target by 68.4',100,2,2),
(261427,47898,'Decreases Piercing, Ranged, Crushing and Slashing of target by 26.1',100,2,3),
(261428,47898,'Cannot be modified except by direct means',100,2,4),
(261429,47898,'Grants a total of 60 triggers of the spell.',100,2,5),
(261430,10047898,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(261431,10047898,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(261432,10047898,'Decreases STR of target by 68.4',100,2,2),
(261433,10047898,'Decreases Piercing, Ranged, Crushing and Slashing of target by 26.1',100,2,3),
(261434,10047898,'Cannot be modified except by direct means',100,2,4),
(261435,10047898,'Grants a total of 60 triggers of the spell.',100,2,5),
(261436,74874,'When Equipped:',100,0,0),
(261437,74874,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261438,74874,'Inflicts 111 - 166 magic damage on target',100,2,2),
(261439,74874,'Cannot be modified except by direct means',100,2,3),
(261440,10074874,'When Equipped:',100,0,0),
(261441,10074874,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261442,10074874,'Inflicts 133 - 199 magic damage on target',100,2,2),
(261443,10074874,'Cannot be modified except by direct means',100,2,3),
(261444,43349,'When Equipped:',100,0,0),
(261445,43349,'On a ranged hit this spell may cast Embrace of Shadows on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261446,43349,'Inflicts 1719 disease damage on target',100,2,2),
(261447,43349,'Heals caster for 1375',100,2,3),
(261448,43349,'Increases Multi Attack Chance of caster by 25.0',100,2,4),
(261449,43349,'Cannot be modified except by direct means',100,2,5),
(261450,10043349,'When Equipped:',100,0,0),
(261451,10043349,'On a ranged hit this spell may cast Embrace of Shadows on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261452,10043349,'Inflicts 2063 disease damage on target',100,2,2),
(261453,10043349,'Heals caster for 894',100,2,3),
(261454,10043349,'Increases Multi Attack Chance of caster by 25.0',100,2,4),
(261455,10043349,'Cannot be modified except by direct means',100,2,5),
(261456,105296,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(261457,105296,'Inflicts 97 - 161 mental damage on target',100,2,1),
(261458,105296,'Increases AGI of caster by 102.1',100,1,2),
(261459,105296,'Adds 14.8% to base avoidance.',100,1,3),
(261460,105296,'Increases Mitigation of caster vs physical damage by 366',100,1,4),
(261461,105296,'Increases Mitigation of caster vs elemental and arcane damage by 815',100,1,5),
(261462,105296,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(261463,105296,'Inflicts 97 - 161 mental damage on target',100,2,7),
(261464,105296,'Increases Mitigation of caster vs noxious damage by 815',100,1,8),
(261465,10105296,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(261466,10105296,'Inflicts 116 - 194 mental damage on target',100,2,1),
(261467,10105296,'Increases AGI of caster by 102.1',100,1,2),
(261468,10105296,'Adds 14.8% to base avoidance.',100,1,3),
(261469,10105296,'Increases Mitigation of caster vs physical damage by 366',100,1,4),
(261470,10105296,'Increases Mitigation of caster vs elemental and arcane damage by 815',100,1,5),
(261471,10105296,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(261472,10105296,'Inflicts 116 - 194 mental damage on target',100,2,7),
(261473,10105296,'Increases Mitigation of caster vs noxious damage by 815',100,1,8),
(261474,102062,'Interrupts targets in Area of Effect',100,1,0),
(261475,102062,'Inflicts 258 - 430 melee damage on targets in area',100,1,1),
(261476,10102062,'Interrupts targets in Area of Effect',100,1,0),
(261477,10102062,'Inflicts 309 - 516 melee damage on targets in area',100,1,1),
(261478,106293,'Decreases AGI, STR, INT and WIS of target encounter by 98.0',100,1,0),
(261479,106293,'Decreases Focus, Slashing, Crushing, Piercing and Ranged of target encounter by 24.9',100,1,1),
(261480,106293,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 24.4',100,1,2),
(261481,10106293,'Decreases AGI, STR, INT and WIS of target encounter by 98.0',100,1,0),
(261482,10106293,'Decreases Focus, Slashing, Crushing, Piercing and Ranged of target encounter by 24.9',100,1,1),
(261483,10106293,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 24.4',100,1,2),
(261484,102781,'Increases STR of caster by 33.5',100,1,0),
(261485,102781,'Increases Max Health of caster by 197.6',100,1,1),
(261486,102781,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 913',100,1,2),
(261487,10102781,'Increases STR of caster by 33.5',100,1,0),
(261488,10102781,'Increases Max Health of caster by 197.6',100,1,1),
(261489,10102781,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 913',100,1,2),
(261490,142899,'When Equipped:',100,0,0),
(261491,142899,'On a combat hit this spell may cast Crystalline Dominion on caster.  Lasts for 11.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(261492,142899,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(261493,142899,'Must not be engaged in pvp combat',100,1,3),
(261494,142899,'Cannot be modified except by direct means',100,1,4),
(261495,10142899,'When Equipped:',100,0,0),
(261496,10142899,'On a combat hit this spell may cast Crystalline Dominion on caster.  Lasts for 11.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(261497,10142899,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(261498,10142899,'Must not be engaged in pvp combat',100,1,3),
(261499,10142899,'Cannot be modified except by direct means',100,1,4),
(261500,49150,'Applies arcane remedy when Activated.',100,0,0),
(261501,49150,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(261502,10049150,'Applies arcane remedy when Activated.',100,0,0),
(261503,10049150,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(261504,136665,'When Equipped:',100,0,0),
(261505,136665,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261506,136665,'Decreases Damage Per Second of target by 20.0',100,2,2),
(261507,136665,'Inflicts 2398 magic damage on target',100,2,3),
(261508,136665,'Cannot be modified except by direct means',100,2,4),
(261509,136665,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(261510,136665,'Decreases Damage Per Second of target by 20.0',100,2,6),
(261511,136665,'Inflicts 2398 magic damage on target',100,2,7),
(261512,136665,'Cannot be modified except by direct means',100,2,8),
(261513,10136665,'When Equipped:',100,0,0),
(261514,10136665,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261515,10136665,'Decreases Damage Per Second of target by 20.0',100,2,2),
(261516,10136665,'Inflicts 2877 magic damage on target',100,2,3),
(261517,10136665,'Cannot be modified except by direct means',100,2,4),
(261518,10136665,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(261519,10136665,'Decreases Damage Per Second of target by 20.0',100,2,6),
(261520,10136665,'Inflicts 2877 magic damage on target',100,2,7),
(261521,10136665,'Cannot be modified except by direct means',100,2,8),
(261522,80143,'When Equipped:',100,0,0),
(261523,80143,'On a damage spell hit this spell may cast Smashing Pumpkin on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(261524,80143,'Inflicts 802 heat damage on target',100,2,2),
(261525,80143,'Inflicts 344 crushing damage on target',100,2,3),
(261526,80143,'Cannot be modified except by direct means',100,2,4),
(261527,80143,'Cannot be modified except by direct means',100,1,5),
(261528,10080143,'When Equipped:',100,0,0),
(261529,10080143,'On a damage spell hit this spell may cast Smashing Pumpkin on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(261530,10080143,'Inflicts 351 crushing damage on target',100,2,2),
(261531,10080143,'Inflicts 818 heat damage on target',100,2,3),
(261532,10080143,'Cannot be modified except by direct means',100,2,4),
(261533,10080143,'Cannot be modified except by direct means',100,1,5),
(261534,42571,'When Equipped:',100,0,0),
(261535,42571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261536,42571,'Inflicts 127 - 190 magic damage on target',100,2,2),
(261537,42571,'Cannot be modified except by direct means',100,2,3),
(261538,10042571,'When Equipped:',100,0,0),
(261539,10042571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261540,10042571,'Inflicts 152 - 228 magic damage on target',100,2,2),
(261541,10042571,'Cannot be modified except by direct means',100,2,3),
(261542,111736,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(261543,111736,'Inflicts 299 - 366 cold damage on target',100,2,1),
(261544,111736,'Grants a total of 3 triggers of the spell.',100,2,2),
(261545,10111736,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(261546,10111736,'Inflicts 359 - 439 cold damage on target',100,2,1),
(261547,10111736,'Grants a total of 3 triggers of the spell.',100,2,2),
(261548,112754,'Interrupts target',100,1,0),
(261549,112754,'Inflicts 74 - 123 divine damage on target',100,1,1),
(261550,10112754,'Interrupts target',100,1,0),
(261551,10112754,'Inflicts 89 - 148 divine damage on target',100,1,1),
(261552,119720,'Wards group members (AE) against 12 points of elemental, noxious and arcane damage',100,1,0),
(261553,119720,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,1),
(261554,10119720,'Wards group members (AE) against 12 points of elemental, noxious and arcane damage',100,1,0),
(261555,10119720,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,1),
(261556,25599,'When Equipped:',100,0,0),
(261557,25599,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(261558,25599,'Adds a positional threat reduction component to Miracle Shot V.',100,1,2),
(261559,10025599,'When Equipped:',100,0,0),
(261560,10025599,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(261561,10025599,'Adds a positional threat reduction component to Miracle Shot V.',100,1,2),
(261562,82223,'When Equipped:',100,0,0),
(261563,82223,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(261564,82223,'Decreases Threat to target by 135 ',100,2,2),
(261565,82223,'Must be flanking or behind',100,3,3),
(261566,82223,'Increases Threat to target by 236 ',100,2,4),
(261567,82223,'Must be in front of',100,3,5),
(261568,82223,'Inflicts 33 - 61 magic damage on target',100,2,6),
(261569,82223,'Cannot be modified except by direct means',100,2,7),
(261570,10082223,'When Equipped:',100,0,0),
(261571,10082223,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(261572,10082223,'Inflicts 40 - 74 magic damage on target',100,2,2),
(261573,10082223,'Cannot be modified except by direct means',100,2,3),
(261574,112855,'Roots target',100,1,0),
(261575,112855,'5% chance to dispel when target takes damage',100,1,1),
(261576,112855,'Does not affect Epic targets',100,1,2),
(261577,112855,'Resistibility increases against targets higher than level 105.',100,1,3),
(261578,10112855,'Roots target',100,1,0),
(261579,10112855,'5% chance to dispel when target takes damage',100,1,1),
(261580,10112855,'Does not affect Epic targets',100,1,2),
(261581,10112855,'Resistibility increases against targets higher than level 105.',100,1,3),
(261582,122061,'Increases Threat to target by 1,317 - 1,508 ',100,1,0),
(261583,122061,'Inflicts 85 - 142 melee damage on target',100,1,1),
(261584,10122061,'Forces target to change their selected target to caster.',100,1,0),
(261585,10122061,'Inflicts 102 - 171 melee damage on target',100,1,1),
(261586,82586,'When Equipped:',100,0,0),
(261587,82586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261588,82586,'Inflicts 78 - 144 magic damage on target',100,2,2),
(261589,82586,'Cannot be modified except by direct means',100,2,3),
(261590,10082586,'When Equipped:',100,0,0),
(261591,10082586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261592,10082586,'Inflicts 93 - 173 magic damage on target',100,2,2),
(261593,10082586,'Cannot be modified except by direct means',100,2,3),
(261594,89867,'When Equipped:',100,0,0),
(261595,89867,'Reduces reuse time of hostile spells by 6 percent.',100,1,1),
(261596,10089867,'When Equipped:',100,0,0),
(261597,10089867,'Reduces reuse time of hostile spells by 6 percent.',100,1,1),
(261598,81190,'When Equipped:',100,0,0),
(261599,81190,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(261600,81190,'Decreases Threat to target by 833 ',100,2,2),
(261601,81190,'Must be flanking or behind',100,3,3),
(261602,81190,'Increases Threat to target by 1,293 ',100,2,4),
(261603,81190,'Must be in front of',100,3,5),
(261604,81190,'Inflicts 228 - 423 magic damage on target',100,2,6),
(261605,81190,'Cannot be modified except by direct means',100,2,7),
(261606,10081190,'When Equipped:',100,0,0),
(261607,10081190,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(261608,10081190,'Inflicts 273 - 508 magic damage on target',100,2,2),
(261609,10081190,'Cannot be modified except by direct means',100,2,3),
(261610,81106,'When Equipped:',100,0,0),
(261611,81106,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261612,81106,'Inflicts 151 - 280 magic damage on target',100,2,2),
(261613,81106,'Cannot be modified except by direct means',100,2,3),
(261614,10081106,'When Equipped:',100,0,0),
(261615,10081106,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261616,10081106,'Inflicts 181 - 336 magic damage on target',100,2,2),
(261617,10081106,'Cannot be modified except by direct means',100,2,3),
(261618,139178,'When Equipped:',100,0,0),
(261619,139178,'Increases Attack Speed of caster by 35.0',100,1,1),
(261620,10139178,'When Equipped:',100,0,0),
(261621,10139178,'Increases Attack Speed of caster by 35.0',100,1,1),
(261622,117232,'Inflicts 21 slashing damage on target every 4 seconds',100,1,0),
(261623,117232,'Inflicts 102 - 171 melee damage on target',100,1,1),
(261624,10117232,'Inflicts 25 slashing damage on target every 4 seconds',100,1,0),
(261625,10117232,'Inflicts 123 - 205 melee damage on target',100,1,1),
(261626,164276,'When Equipped:',100,0,0),
(261627,164276,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261628,164276,'Wards caster against 300 points of all damage',100,2,2),
(261629,164276,'Cannot be modified except by direct means',100,2,3),
(261630,164276,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(261631,10164276,'When Equipped:',100,0,0),
(261632,10164276,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261633,10164276,'Wards caster against 300 points of all damage',100,2,2),
(261634,10164276,'Cannot be modified except by direct means',100,2,3),
(261635,10164276,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(261636,25276,'When Equipped:',100,0,0),
(261637,25276,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(261638,25276,'Increases the hate gain reduction of Alin''s Serene Serenade IV by 10%.',100,1,2),
(261639,10025276,'When Equipped:',100,0,0),
(261640,10025276,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(261641,10025276,'Increases the hate gain reduction of Alin''s Serene Serenade IV by 10%.',100,1,2),
(261642,118888,'Inflicts 98 - 164 melee damage on target',100,1,0),
(261643,118888,'Inflicts 98 - 164 melee damage on target',100,1,1),
(261644,118888,'Inflicts 98 - 164 melee damage on target',100,1,2),
(261645,118888,'Inflicts 98 - 164 melee damage on target',100,1,3),
(261646,118888,'Inflicts 98 - 164 melee damage on target',100,1,4),
(261647,10118888,'Inflicts 118 - 197 melee damage on target',100,1,0),
(261648,10118888,'Inflicts 118 - 197 melee damage on target',100,1,1),
(261649,10118888,'Inflicts 118 - 197 melee damage on target',100,1,2),
(261650,10118888,'Inflicts 118 - 197 melee damage on target',100,1,3),
(261651,10118888,'Inflicts 118 - 197 melee damage on target',100,1,4),
(261652,112403,'Increases Crushing, Piercing, Slashing and Ranged of target by 54.1',100,1,0),
(261653,112403,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(261654,112403,'Inflicts 427 - 522 piercing damage on target',100,2,2),
(261655,112403,'Inflicts 213 - 261 piercing damage on target every 3 seconds',100,2,3),
(261656,10112403,'Increases Crushing, Piercing, Slashing and Ranged of target by 54.1',100,1,0),
(261657,10112403,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(261658,10112403,'Inflicts 512 - 626 piercing damage on target',100,2,2),
(261659,10112403,'Inflicts 256 - 313 piercing damage on target every 3 seconds',100,2,3),
(261660,36996,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(261661,36996,'Increases Max Health of target by 30.1',100,0,1),
(261662,113355,'Roots target',100,1,0),
(261663,113355,'Applies Stifle.  Lasts for 4.0 seconds.',100,1,1),
(261664,113355,'Stifles target',100,2,2),
(261665,113355,'Blurs vision of target',100,2,3),
(261666,113355,'Dispelled when target takes damage',100,2,4),
(261667,113355,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(261668,113355,'Resistibility increases against targets higher than level 34.',100,2,6),
(261669,113355,'5% chance to dispel when target takes damage',100,1,7),
(261670,113355,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,8),
(261671,113355,'Resistibility increases against targets higher than level 34.',100,1,9),
(261672,10113355,'Roots target',100,1,0),
(261673,10113355,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(261674,10113355,'Stifles target',100,2,2),
(261675,10113355,'Blurs vision of target',100,2,3),
(261676,10113355,'Dispelled when target takes damage',100,2,4),
(261677,10113355,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(261678,10113355,'Resistibility increases against targets higher than level 34.',100,2,6),
(261679,10113355,'5% chance to dispel when target takes damage',100,1,7),
(261680,10113355,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(261681,10113355,'Resistibility increases against targets higher than level 34.',100,1,9),
(261682,138694,'When Equipped:',100,0,0),
(261683,138694,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261684,138694,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(261685,138694,'Cannot be modified except by direct means',100,2,3),
(261686,10138694,'When Equipped:',100,0,0),
(261687,10138694,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(261688,10138694,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(261689,10138694,'Cannot be modified except by direct means',100,2,3),
(261690,52826,'Applies Sanguine Imbued when Equipped.',100,0,0),
(261691,52826,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(261692,52826,'Inflicts 189 heat damage on target',100,2,2),
(261693,52826,'Cannot be modified except by direct means',100,2,3),
(261694,10052826,'Applies Sanguine Imbued when Equipped.',100,0,0),
(261695,10052826,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(261696,10052826,'Inflicts 227 heat damage on target',100,2,2),
(261697,10052826,'Cannot be modified except by direct means',100,2,3),
(261698,108862,'Inflicts 186 - 311 melee damage on target',100,1,0),
(261699,108862,'Inflicts 186 - 311 melee damage on target',100,1,1),
(261700,108862,'Inflicts 186 - 311 melee damage on target',100,1,2),
(261701,108862,'Inflicts 186 - 311 melee damage on target',100,1,3),
(261702,108862,'Inflicts 186 - 311 melee damage on target',100,1,4),
(261703,10108862,'Inflicts 223 - 373 melee damage on target',100,1,0),
(261704,10108862,'Inflicts 223 - 373 melee damage on target',100,1,1),
(261705,10108862,'Inflicts 223 - 373 melee damage on target',100,1,2),
(261706,10108862,'Inflicts 223 - 373 melee damage on target',100,1,3),
(261707,10108862,'Inflicts 223 - 373 melee damage on target',100,1,4),
(261708,103222,'Reduces physical damage done to caster by 5%',100,1,0),
(261709,103222,'Adds 1.4% to base avoidance.',100,1,1),
(261710,103222,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(261711,103222,'Increases Parry of caster by 4.6',100,1,3),
(261712,103222,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(261713,103222,'Increases Aggression of caster by 3.4',100,1,5),
(261714,103222,'Increases Defense and Deflection of caster by 4.6',100,1,6),
(261715,103222,'Increases Mitigation of caster vs noxious damage by 328',100,1,7),
(261716,103222,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(261717,10103222,'Reduces physical damage done to caster by 5%',100,1,0),
(261718,10103222,'Adds 1.4% to base avoidance.',100,1,1),
(261719,10103222,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(261720,10103222,'Increases Parry of caster by 4.6',100,1,3),
(261721,10103222,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(261722,10103222,'Increases Aggression of caster by 3.4',100,1,5),
(261723,10103222,'Increases Defense and Deflection of caster by 4.6',100,1,6),
(261724,10103222,'Increases Mitigation of caster vs noxious damage by 328',100,1,7),
(261725,10103222,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(261726,122342,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(261727,122342,'Inflicts 5 - 6 piercing damage on target',100,2,1),
(261728,10122342,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(261729,10122342,'Inflicts 6 - 7 piercing damage on target',100,2,1),
(261730,74876,'When Equipped:',100,0,0),
(261731,74876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261732,74876,'Inflicts 111 - 166 magic damage on target',100,2,2),
(261733,74876,'Cannot be modified except by direct means',100,2,3),
(261734,10074876,'When Equipped:',100,0,0),
(261735,10074876,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(261736,10074876,'Inflicts 133 - 199 magic damage on target',100,2,2),
(261737,10074876,'Cannot be modified except by direct means',100,2,3),
(261738,47875,'Applies Rune of Portals when Activated.  Lasts for 1 minute.',100,0,0),
(261739,47875,'Opens a portal that transports adventurers to any Druid Ring in Norrath.',100,1,1),
(261740,10047875,'Applies Rune of Portals when Activated.  Lasts for 1 minute.',100,0,0),
(261741,10047875,'Opens a portal that transports adventurers to any Druid Ring in Norrath.',100,1,1),
(261742,83908,'Applies Mark of Pestilence when Equipped.',100,0,0),
(261743,10083908,'Applies Mark of Pestilence when Equipped.',100,0,0),
(261744,101467,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(261745,101467,'Increases Mitigation of group members (AE) vs arcane damage by 235',100,1,1),
(261746,10101467,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(261747,10101467,'Increases Mitigation of group members (AE) vs arcane damage by 235',100,1,1),
(261748,123355,'Heals group members (AE) for 119 - 145',100,1,0),
(261749,10123355,'Heals group members (AE) for 144 - 176',100,1,0),
(261750,110372,'Increases STR and AGI of group members (AE) by 27.9',100,1,0),
(261751,110372,'Adds 1.5% to base avoidance.',100,1,1),
(261752,10110372,'Increases STR and AGI of group members (AE) by 27.9',100,1,0),
(261753,10110372,'Adds 1.5% to base avoidance.',100,1,1),
(261754,114092,'Inflicts 213 - 355 melee damage on targets in area',100,1,0),
(261755,114092,'You must be in stealth to use this!',100,1,1),
(261756,10114092,'Inflicts 256 - 426 melee damage on targets in area',100,1,0),
(261757,10114092,'You must be in stealth to use this!',100,1,1),
(261758,122559,'Shapechanges caster into a tiger',100,1,0),
(261759,10122559,'Shapechanges caster into a tiger',100,1,0),
(261760,111427,'Decreases Attack Speed of caster by 11.3',100,1,0),
(261761,111427,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(261762,111427,'Roots target',100,2,2),
(261763,111427,'5% chance to dispel when target takes damage',100,2,3),
(261764,111427,'5% chance to dispel when target receives hostile action',100,2,4),
(261765,111427,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(261766,111427,'Increases Mitigation of caster vs physical damage by 141',100,1,6),
(261767,10111427,'Decreases Attack Speed of caster by 11.3',100,1,0),
(261768,10111427,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(261769,10111427,'Roots target',100,2,2),
(261770,10111427,'5% chance to dispel when target takes damage',100,2,3),
(261771,10111427,'5% chance to dispel when target receives hostile action',100,2,4),
(261772,10111427,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(261773,10111427,'Increases Mitigation of caster vs physical damage by 141',100,1,6),
(261774,73694,'When Equipped:',100,0,0),
(261775,73694,'Additional equipment with Void Bane improves this effect.',100,1,1),
(261776,73694,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(261777,73694,'Inflicts 802 mental damage on target',100,2,3),
(261778,73694,'If any of the following are true:',100,3,4),
(261779,73694,'Must be classified as a void beast',100,4,5),
(261780,73694,'Must be classified as a shadowed folk',100,4,6),
(261781,73694,'Inflicts 401 mental damage on target',100,2,7),
(261782,73694,'Must not be classified as a void beast',100,3,8),
(261783,73694,'Must not be classified as a shadowed folk',100,3,9),
(261784,73694,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(261785,73694,'If any of the following are true:',100,3,11),
(261786,73694,'Must be classified as a void beast',100,4,12),
(261787,73694,'Must be classified as a shadowed folk',100,4,13),
(261788,73694,'Cannot be modified except by direct means',100,2,14),
(261789,10073694,'When Equipped:',100,0,0),
(261790,10073694,'Additional equipment with Void Bane improves this effect.',100,1,1),
(261791,10073694,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(261792,10073694,'Inflicts 963 mental damage on target',100,2,3),
(261793,10073694,'If any of the following are true:',100,3,4),
(261794,10073694,'Must be classified as a void beast',100,4,5),
(261795,10073694,'Must be classified as a shadowed folk',100,4,6),
(261796,10073694,'Inflicts 481 mental damage on target',100,2,7),
(261797,10073694,'Must not be classified as a void beast',100,3,8),
(261798,10073694,'Must not be classified as a shadowed folk',100,3,9),
(261799,10073694,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(261800,10073694,'If any of the following are true:',100,3,11),
(261801,10073694,'Must be classified as a void beast',100,4,12),
(261802,10073694,'Must be classified as a shadowed folk',100,4,13),
(261803,10073694,'Cannot be modified except by direct means',100,2,14),
(261804,162148,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(261805,162148,'Increases speed of caster by 25.0%',100,1,1),
(261806,162148,'This effect suspends during combat',100,1,2),
(261807,10162148,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(261808,10162148,'Increases speed of caster by 25.0%',100,1,1),
(261809,10162148,'This effect suspends during combat',100,1,2),
(261810,138840,'When Equipped:',100,0,0),
(261811,138840,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(261812,138840,'Increases power of target by 44 instantly and every 4 seconds',100,2,2),
(261813,138840,'Cannot be modified except by direct means',100,2,3),
(261814,10138840,'When Equipped:',100,0,0),
(261815,10138840,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(261816,10138840,'Increases power of target by 44 instantly and every 4 seconds',100,2,2),
(261817,10138840,'Cannot be modified except by direct means',100,2,3),
(261818,36265,'Increases WIS and STA of target by 4.6',100,0,0),
(261819,36265,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,1),
(261820,111987,'Heals target for 122 - 149',100,1,0),
(261821,10111987,'Heals target for 79 - 97',100,1,0),
(261822,141968,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(261823,141968,'Decreases Mitigation of target vs physical damage by 702',100,1,1),
(261824,141968,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(261825,10141968,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(261826,10141968,'Decreases Mitigation of target vs physical damage by 702',100,1,1),
(261827,10141968,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(261828,122206,'Increases Damage Per Second of target by 12.6',100,1,0),
(261829,122206,'Increases Max Health of target by 111.5',100,1,1),
(261830,10122206,'Increases Damage Per Second of target by 12.6',100,1,0),
(261831,10122206,'Increases Max Health of target by 111.5',100,1,1),
(261832,48764,'Applies Elixir of the Devout  when Activated.  Lasts for 30 minutes.',100,0,0),
(261833,48764,'Increases STA and STR of caster by 23.3',100,1,1),
(261834,10048764,'Applies Elixir of the Devout  when Activated.  Lasts for 30 minutes.',100,0,0),
(261835,10048764,'Increases STA and STR of caster by 23.3',100,1,1),
(261836,141669,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(261837,141669,'Decreases Attack Speed of target by 17.4',100,1,1),
(261838,141669,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(261839,10141669,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(261840,10141669,'Decreases Attack Speed of target by 17.4',100,1,1),
(261841,10141669,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(261842,72207,'When Equipped:',100,0,0),
(261843,72207,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261844,72207,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(261845,72207,'Cannot be modified except by direct means',100,2,3),
(261846,10072207,'When Equipped:',100,0,0),
(261847,10072207,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261848,10072207,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(261849,10072207,'Cannot be modified except by direct means',100,2,3),
(261850,187428,'When Equipped:',100,0,0),
(261851,187428,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(261852,10187428,'When Equipped:',100,0,0),
(261853,10187428,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(261854,114824,'Dazes caster',100,1,0),
(261855,114824,'Roots caster',100,1,1),
(261856,114824,'Increases Mitigation of caster vs physical damage by 1080',100,1,2),
(261857,10114824,'Dazes caster',100,1,0),
(261858,10114824,'Roots caster',100,1,1),
(261859,10114824,'Increases Mitigation of caster vs physical damage by 1080',100,1,2),
(261860,122703,'Increases Attack Speed of caster by 18.0',100,1,0),
(261861,122703,'Decreases Defense of caster by 4.8',100,1,1),
(261862,122703,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',100,1,2),
(261863,10122703,'Increases Attack Speed of caster by 18.0',100,1,0),
(261864,10122703,'Decreases Defense of caster by 4.8',100,1,1),
(261865,10122703,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',100,1,2),
(261866,148787,'When Equipped:',100,0,0),
(261867,148787,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(261868,148787,'Makes target afraid',100,2,2),
(261869,148787,'25% chance to dispel when target takes damage',100,2,3),
(261870,148787,'25% chance to dispel when target receives hostile action',100,2,4),
(261871,148787,'Does not affect Epic targets',100,2,5),
(261872,148787,'Resistibility increases against targets higher than level 74.',100,2,6),
(261873,148787,'Cannot be modified except by direct means',100,2,7),
(261874,10148787,'When Equipped:',100,0,0),
(261875,10148787,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(261876,10148787,'Makes target afraid',100,2,2),
(261877,10148787,'25% chance to dispel when target takes damage',100,2,3),
(261878,10148787,'25% chance to dispel when target receives hostile action',100,2,4),
(261879,10148787,'Does not affect Epic targets',100,2,5),
(261880,10148787,'Resistibility increases against targets higher than level 74.',100,2,6),
(261881,10148787,'Cannot be modified except by direct means',100,2,7),
(261882,49071,'Applies Totem of the Cat when Activated.  Lasts for 15 minutes.',100,0,0),
(261883,49071,'Grants See Stealth to caster',100,1,1),
(261884,49071,'Grants See Invisibility to caster',100,1,2),
(261885,49071,'Shapechanges caster into a cat',100,1,3),
(261886,10049071,'Applies Totem of the Cat when Activated.  Lasts for 15 minutes.',100,0,0),
(261887,10049071,'Grants See Stealth to caster',100,1,1),
(261888,10049071,'Grants See Invisibility to caster',100,1,2),
(261889,10049071,'Shapechanges caster into a cat',100,1,3),
(261890,140197,'When Equipped:',100,0,0),
(261891,140197,'Increases Attack Speed of caster by 40.0',100,1,1),
(261892,10140197,'When Equipped:',100,0,0),
(261893,10140197,'Increases Attack Speed of caster by 40.0',100,1,1),
(261894,27480,'When Equipped:',100,0,0),
(261895,27480,'Adds a positional threat reduction component to Miracle Shot V.',100,1,1),
(261896,27480,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(261897,10027480,'When Equipped:',100,0,0),
(261898,10027480,'Adds a positional threat reduction component to Miracle Shot V.',100,1,1),
(261899,10027480,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(261900,105384,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(261901,105384,'Inflicts 67 melee damage on target',100,2,1),
(261902,105384,'Interrupts target',100,2,2),
(261903,105384,'Decreases Defense of caster by 16.5',100,1,3),
(261904,105384,'Increases Piercing, Slashing, Ranged and Crushing of caster by 27.2',100,1,4),
(261905,10105384,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(261906,10105384,'Inflicts 80 melee damage on target',100,2,1),
(261907,10105384,'Interrupts target',100,2,2),
(261908,10105384,'Decreases Defense of caster by 16.5',100,1,3),
(261909,10105384,'Increases Piercing, Slashing, Ranged and Crushing of caster by 27.2',100,1,4),
(261910,159693,'When Equipped:',100,0,0),
(261911,159693,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261912,159693,'Increases WIS of caster by 19.8',100,2,2),
(261913,159693,'Increases Ministration, Focus and Ordination of caster by 11.1',100,2,3),
(261914,159693,'Cannot be modified except by direct means',100,2,4),
(261915,10159693,'When Equipped:',100,0,0),
(261916,10159693,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(261917,10159693,'Increases WIS of caster by 19.8',100,2,2),
(261918,10159693,'Increases Ministration, Focus and Ordination of caster by 11.1',100,2,3),
(261919,10159693,'Cannot be modified except by direct means',100,2,4),
(261920,124628,'Heals group members (AE) for 428 - 523',100,1,0),
(261921,124628,'Heals group members (AE) for 72 - 88 every second',100,1,1),
(261922,10124628,'Heals group members (AE) for 625 - 764',100,1,0),
(261923,10124628,'Heals group members (AE) for 78 - 95 every second',100,1,1),
(261924,120713,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 17.7',100,1,0),
(261925,10120713,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 17.7',100,1,0),
(261926,109592,'Expresses your love for another.',100,1,0),
(261927,109592,'If facing target',100,1,1),
(261928,10109592,'Expresses your love for another.',100,1,0),
(261929,10109592,'If facing target',100,1,1),
(261930,117226,'Inflicts 10 slashing damage on target every 4 seconds',100,1,0),
(261931,117226,'Inflicts 51 - 86 melee damage on target',100,1,1),
(261932,10117226,'Inflicts 12 slashing damage on target every 4 seconds',100,1,0),
(261933,10117226,'Inflicts 62 - 103 melee damage on target',100,1,1),
(261934,121801,'Heals target for 450 - 550',100,1,0),
(261935,121801,'Heals target for 75 - 92 every second',100,1,1),
(261936,10121801,'Heals target for 781 - 954',100,1,0),
(261937,10121801,'Heals target for 65 - 80 every second',100,1,1),
(261938,35333,'Increases WIS of target by 4.3',100,0,0),
(261939,35333,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(261940,123350,'Summons a pet hammer',100,1,0),
(261941,10123350,'Summons a pet hammer',100,1,0),
(261942,119111,'Inflicts 156 - 470 melee damage on targets in area',100,1,0),
(261943,119111,'Inflicts 156 - 470 melee damage on targets in area',100,1,1),
(261944,119111,'Inflicts 156 - 470 melee damage on targets in area',100,1,2),
(261945,119111,'Inflicts 156 - 470 melee damage on targets in area',100,1,3),
(261946,10119111,'Inflicts 188 - 564 melee damage on targets in area',100,1,0),
(261947,10119111,'Inflicts 188 - 564 melee damage on targets in area',100,1,1),
(261948,10119111,'Inflicts 188 - 564 melee damage on targets in area',100,1,2),
(261949,10119111,'Inflicts 188 - 564 melee damage on targets in area',100,1,3),
(261950,24030,'Adds Bear (Berserker) to your Dungeon Maker toolbox',100,0,0),
(261951,10024030,'Adds Bear (Berserker) to your Dungeon Maker toolbox',100,0,0),
(261952,101952,'Summons a limited pet to aid the caster',100,1,0),
(261953,10101952,'Summons a limited pet to aid the caster',100,1,0),
(261954,26541,'When Equipped:',100,0,0),
(261955,26541,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,1),
(261956,26541,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(261957,10026541,'When Equipped:',100,0,0),
(261958,10026541,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,1),
(261959,10026541,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(261960,123988,'Inflicts 727 - 1213 melee damage on target',100,1,0),
(261961,123988,'Decreases AGI of target by 87.8',100,1,1),
(261962,123988,'Must be behind',100,1,2),
(261963,10123988,'Inflicts 873 - 1455 melee damage on target',100,1,0),
(261964,10123988,'Decreases AGI of target by 87.8',100,1,1),
(261965,10123988,'Must be behind',100,1,2),
(261966,24736,'Adds Vampire (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(261967,10024736,'Adds Vampire (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(261968,107390,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(261969,107390,'Slows target by 40.8%',100,2,1),
(261970,107390,'5% chance to dispel when target receives hostile action',100,2,2),
(261971,107390,'5% chance to dispel when target takes damage',100,2,3),
(261972,107390,'Inflicts 361 - 602 disease damage on target',100,1,4),
(261973,10107390,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(261974,10107390,'Slows target by 40.8%',100,2,1),
(261975,10107390,'5% chance to dispel when target receives hostile action',100,2,2),
(261976,10107390,'5% chance to dispel when target takes damage',100,2,3),
(261977,10107390,'Inflicts 434 - 723 disease damage on target',100,1,4),
(261978,52908,'Applies Sanguine Imbued when Equipped.',100,0,0),
(261979,52908,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(261980,52908,'Inflicts 169 heat damage on target',100,2,2),
(261981,52908,'Cannot be modified except by direct means',100,2,3),
(261982,10052908,'Applies Sanguine Imbued when Equipped.',100,0,0),
(261983,10052908,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(261984,10052908,'Inflicts 203 heat damage on target',100,2,2),
(261985,10052908,'Cannot be modified except by direct means',100,2,3),
(261986,122673,'Decreases Defense of target by 23.0',100,1,0),
(261987,122673,'Decreases Mitigation of target vs physical damage by 384',100,1,1),
(261988,10122673,'Decreases Defense of target by 23.0',100,1,0),
(261989,10122673,'Decreases Mitigation of target vs physical damage by 384',100,1,1),
(261990,51416,'When Equipped:',100,0,0),
(261991,51416,'Increases caster''s chance to block by 15.0%',100,1,1),
(261992,10051416,'When Equipped:',100,0,0),
(261993,10051416,'Increases caster''s chance to block by 15.0%',100,1,1),
(261994,123053,'Summons a pet undead knight',100,1,0),
(261995,10123053,'Summons a pet undead knight',100,1,0),
(261996,120275,'Inflicts 1032 - 1721 crushing damage on target',100,1,0),
(261997,10120275,'Inflicts 1239 - 2065 crushing damage on target',100,1,0),
(261998,81519,'When Equipped:',100,0,0),
(261999,81519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(262000,81519,'Inflicts 111 - 205 magic damage on target',100,2,2),
(262001,81519,'Decreases Threat to target by 376 ',100,2,3),
(262002,81519,'Must be flanking or behind',100,3,4),
(262003,81519,'Increases Threat to target by 658 ',100,2,5),
(262004,81519,'Must be in front of',100,3,6),
(262005,81519,'Cannot be modified except by direct means',100,2,7),
(262006,10081519,'When Equipped:',100,0,0),
(262007,10081519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(262008,10081519,'Inflicts 133 - 246 magic damage on target',100,2,2),
(262009,10081519,'Cannot be modified except by direct means',100,2,3),
(262010,163281,'When Equipped:',100,0,0),
(262011,163281,'On a critical combat hit this spell may cast Call of Solusek VIII on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(262012,163281,'Inflicts 999 - 1104 heat damage on target instantly and every 2 seconds',100,2,2),
(262013,163281,'Summons a limited pet to aid the caster',100,2,3),
(262014,163281,'Decreases Mitigation of target vs elemental damage by 941',100,2,4),
(262015,163281,'Must not be engaged in pvp combat',100,2,5),
(262016,163281,'Cannot be modified except by direct means',100,2,6),
(262017,163281,'On a critical spell hit this spell may cast Call of Solusek VIII on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(262018,163281,'Inflicts 999 - 1104 heat damage on target instantly and every 2 seconds',100,2,8),
(262019,163281,'Summons a limited pet to aid the caster',100,2,9),
(262020,163281,'Decreases Mitigation of target vs elemental damage by 941',100,2,10),
(262021,163281,'Must not be engaged in pvp combat',100,2,11),
(262022,163281,'Cannot be modified except by direct means',100,2,12),
(262023,163281,'Must not be engaged in pvp combat',100,1,13),
(262024,10163281,'When Equipped:',100,0,0),
(262025,10163281,'On a critical combat hit this spell may cast Call of Solusek VIII on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(262026,10163281,'Inflicts 1198 - 1325 heat damage on target instantly and every 2 seconds',100,2,2),
(262027,10163281,'Summons a limited pet to aid the caster',100,2,3),
(262028,10163281,'Decreases Mitigation of target vs elemental damage by 941',100,2,4),
(262029,10163281,'Must not be engaged in pvp combat',100,2,5),
(262030,10163281,'Cannot be modified except by direct means',100,2,6),
(262031,10163281,'On a critical spell hit this spell may cast Call of Solusek VIII on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(262032,10163281,'Inflicts 1198 - 1325 heat damage on target instantly and every 2 seconds',100,2,8),
(262033,10163281,'Summons a limited pet to aid the caster',100,2,9),
(262034,10163281,'Decreases Mitigation of target vs elemental damage by 941',100,2,10),
(262035,10163281,'Must not be engaged in pvp combat',100,2,11),
(262036,10163281,'Cannot be modified except by direct means',100,2,12),
(262037,10163281,'Must not be engaged in pvp combat',100,1,13),
(262038,52824,'Applies Sanguine Imbued when Equipped.',100,0,0),
(262039,52824,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(262040,52824,'Inflicts 77 heat damage on target',100,2,2),
(262041,52824,'Cannot be modified except by direct means',100,2,3),
(262042,10052824,'Applies Sanguine Imbued when Equipped.',100,0,0),
(262043,10052824,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(262044,10052824,'Inflicts 92 heat damage on target',100,2,2),
(262045,10052824,'Cannot be modified except by direct means',100,2,3),
(262046,114430,'Mesmerizes target',100,1,0),
(262047,114430,'Prevents AOE (except when direct) ',100,1,1),
(262048,114430,'Dispelled when target takes damage',100,1,2),
(262049,114430,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(262050,114430,'Resistibility increases against targets higher than level 106.',100,1,4),
(262051,10114430,'Mesmerizes target',100,1,0),
(262052,10114430,'Prevents AOE (except when direct) ',100,1,1),
(262053,10114430,'Dispelled when target takes damage',100,1,2),
(262054,10114430,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(262055,10114430,'Resistibility increases against targets higher than level 106.',100,1,4),
(262056,122638,'Heals target for 240 - 293 every 2 seconds',100,1,0),
(262057,122638,'Wards target against 772 points of all damage',100,1,1),
(262058,122638,'Decreases Attack Speed of target by 25.0',100,1,2),
(262059,122638,'Slows target by 50.0%',100,1,3),
(262060,10122638,'Heals target for 156 - 191 every 2 seconds',100,1,0),
(262061,10122638,'Wards target against 772 points of all damage',100,1,1),
(262062,10122638,'Decreases Attack Speed of target by 25.0',100,1,2),
(262063,10122638,'Slows target by 20.0%',100,1,3),
(262064,106656,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(262065,106656,'Increases Mitigation of caster vs physical damage by 384',100,2,1),
(262066,106656,'Decreases Mitigation of target encounter vs physical damage by 2194',100,1,2),
(262067,10106656,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(262068,10106656,'Increases Mitigation of caster vs physical damage by 384',100,2,1),
(262069,10106656,'Decreases Mitigation of target encounter vs physical damage by 2194',100,1,2),
(262070,74993,'When Equipped:',100,0,0),
(262071,74993,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262072,74993,'Inflicts 111 - 166 magic damage on target',100,2,2),
(262073,74993,'Cannot be modified except by direct means',100,2,3),
(262074,10074993,'When Equipped:',100,0,0),
(262075,10074993,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262076,10074993,'Inflicts 133 - 199 magic damage on target',100,2,2),
(262077,10074993,'Cannot be modified except by direct means',100,2,3),
(262078,114150,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(262079,114150,'Increases Mitigation of group members (AE) vs elemental damage by 1195',100,1,1),
(262080,10114150,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(262081,10114150,'Increases Mitigation of group members (AE) vs elemental damage by 1195',100,1,1),
(262082,114779,'Feigns Death with 88% chance of success',100,1,0),
(262083,10114779,'Feigns Death with 88% chance of success',100,1,0),
(262084,103008,'Inflicts 22 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(262085,103008,'Inflicts 8 - 13 melee damage on target',100,1,1),
(262086,10103008,'Inflicts 26 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(262087,10103008,'Inflicts 9 - 16 melee damage on target',100,1,1),
(262088,54104,'When Equipped:',100,0,0),
(262089,54104,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(262090,54104,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,2),
(262091,54104,'Inflicts 201 - 222 piercing damage on target',100,3,3),
(262092,54104,'Must not be engaged in pvp combat',100,3,4),
(262093,54104,'Cannot be modified except by direct means',100,3,5),
(262094,54104,'Must not be engaged in pvp combat',100,2,6),
(262095,54104,'Cannot be modified except by direct means',100,2,7),
(262096,54104,'This effect will not stack with any rank or tier of itself.',100,1,8),
(262097,54104,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(262098,54104,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(262099,54104,'Inflicts 201 - 222 piercing damage on target',100,3,11),
(262100,54104,'Must not be engaged in pvp combat',100,3,12),
(262101,54104,'Cannot be modified except by direct means',100,3,13),
(262102,54104,'Must not be engaged in pvp combat',100,2,14),
(262103,54104,'Cannot be modified except by direct means',100,2,15),
(262104,54104,'Cannot be modified except by direct means',100,1,16),
(262105,10054104,'When Equipped:',100,0,0),
(262106,10054104,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(262107,10054104,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,2),
(262108,10054104,'Inflicts 241 - 267 piercing damage on target',100,3,3),
(262109,10054104,'Must not be engaged in pvp combat',100,3,4),
(262110,10054104,'Cannot be modified except by direct means',100,3,5),
(262111,10054104,'Must not be engaged in pvp combat',100,2,6),
(262112,10054104,'Cannot be modified except by direct means',100,2,7),
(262113,10054104,'This effect will not stack with any rank or tier of itself.',100,1,8),
(262114,10054104,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(262115,10054104,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(262116,10054104,'Inflicts 241 - 267 piercing damage on target',100,3,11),
(262117,10054104,'Must not be engaged in pvp combat',100,3,12),
(262118,10054104,'Cannot be modified except by direct means',100,3,13),
(262119,10054104,'Must not be engaged in pvp combat',100,2,14),
(262120,10054104,'Cannot be modified except by direct means',100,2,15),
(262121,10054104,'Cannot be modified except by direct means',100,1,16),
(262122,153775,'When Equipped:',100,0,0),
(262123,153775,'When damaged this spell has a 10% chance to cast Arcane Resolution on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(262124,153775,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 150',100,2,2),
(262125,153775,'Must not be engaged in pvp combat',100,2,3),
(262126,153775,'Cannot be modified except by direct means',100,2,4),
(262127,153775,'Must not be engaged in pvp combat',100,1,5),
(262128,10153775,'When Equipped:',100,0,0),
(262129,10153775,'When damaged this spell has a 10% chance to cast Arcane Resolution on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(262130,10153775,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 150',100,2,2),
(262131,10153775,'Must not be engaged in pvp combat',100,2,3),
(262132,10153775,'Cannot be modified except by direct means',100,2,4),
(262133,10153775,'Must not be engaged in pvp combat',100,1,5),
(262134,76894,'When Equipped:',100,0,0),
(262135,76894,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(262136,76894,'Inflicts 3164 - 3497 slashing damage on target encounter',100,2,2),
(262137,76894,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(262138,76894,'Must not be engaged in pvp combat',100,2,4),
(262139,76894,'Cannot be modified except by direct means',100,2,5),
(262140,76894,'Must not be engaged in pvp combat',100,1,6),
(262141,10076894,'When Equipped:',100,0,0),
(262142,10076894,'On any combat or spell hit this spell may cast Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(262143,10076894,'Inflicts 3796 - 4196 slashing damage on target encounter',100,2,2),
(262144,10076894,'Inflicts 759 - 839 slashing damage on target encounter every 2 seconds',100,2,3),
(262145,10076894,'Must not be engaged in pvp combat',100,2,4),
(262146,10076894,'Cannot be modified except by direct means',100,2,5),
(262147,10076894,'Must not be engaged in pvp combat',100,1,6),
(262148,146104,'When Equipped:',100,0,0),
(262149,146104,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(262150,146104,'On any combat or spell hit this spell may cast Major Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(262151,146104,'Inflicts 4555 - 5035 piercing damage on target',100,2,3),
(262152,146104,'Wards caster against 1500 points of all damage',100,2,4),
(262153,146104,'Must not be engaged in pvp combat',100,2,5),
(262154,146104,'Cannot be modified except by direct means',100,2,6),
(262155,146104,'Must not be engaged in pvp combat',100,1,7),
(262156,10146104,'When Equipped:',100,0,0),
(262157,10146104,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(262158,10146104,'On any combat or spell hit this spell may cast Major Aegis of Blood on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(262159,10146104,'Inflicts 5467 - 6042 piercing damage on target',100,2,3),
(262160,10146104,'Wards caster against 1500 points of all damage',100,2,4),
(262161,10146104,'Must not be engaged in pvp combat',100,2,5),
(262162,10146104,'Cannot be modified except by direct means',100,2,6),
(262163,10146104,'Must not be engaged in pvp combat',100,1,7),
(262164,36977,'Increases Max Power of target by 68.2',100,0,0),
(262165,36977,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(262166,46830,'Applies Magmatic Destruction when Activated.  Lasts for 10.0 seconds.',100,0,0),
(262167,46830,'Inflicts 3049 heat damage on target encounter',100,1,1),
(262168,46830,'Decreases Mitigation of target encounter vs elemental damage by 3245',100,1,2),
(262169,46830,'Only affects targets level 50 and above',100,1,3),
(262170,10046830,'Applies Magmatic Destruction when Activated.  Lasts for 10.0 seconds.',100,0,0),
(262171,10046830,'Decreases Mitigation of target encounter vs elemental damage by 1622',100,1,1),
(262172,10046830,'Inflicts 1296 heat damage on target encounter',100,1,2),
(262173,10046830,'Only affects targets level 50 and above',100,1,3),
(262174,106251,'Wards target against 192 points of all damage',100,1,0),
(262175,10106251,'Wards target against 192 points of all damage',100,1,0),
(262176,115121,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(262177,115121,'Heals target for 313',100,2,1),
(262178,115121,'Heals target for 78 every 2 seconds',100,2,2),
(262179,115121,'Increases WIS of target by 35.0',100,2,3),
(262180,115121,'Grants a total of 1 trigger of the spell.',100,2,4),
(262181,10115121,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(262182,10115121,'Heals target for 203',100,2,1),
(262183,10115121,'Heals target for 51 every 2 seconds',100,2,2),
(262184,10115121,'Increases WIS of target by 35.0',100,2,3),
(262185,10115121,'Grants a total of 1 trigger of the spell.',100,2,4),
(262186,88643,'When Equipped:',100,0,0),
(262187,88643,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(262188,88643,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(262189,88643,'Decreases Mitigation of target vs arcane damage by 415',100,2,3),
(262190,88643,'Must be classified as an undead',100,3,4),
(262191,88643,'Inflicts 287 mental damage on target',100,2,5),
(262192,88643,'Must not be classified as an undead',100,3,6),
(262193,88643,'Inflicts 573 mental damage on target',100,2,7),
(262194,88643,'Must be classified as an undead',100,3,8),
(262195,88643,'Cannot be modified except by direct means',100,2,9),
(262196,10088643,'When Equipped:',100,0,0),
(262197,10088643,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(262198,10088643,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(262199,10088643,'Decreases Mitigation of target vs arcane damage by 415',100,2,3),
(262200,10088643,'Must be classified as an undead',100,3,4),
(262201,10088643,'Inflicts 344 mental damage on target',100,2,5),
(262202,10088643,'Must not be classified as an undead',100,3,6),
(262203,10088643,'Inflicts 688 mental damage on target',100,2,7),
(262204,10088643,'Must be classified as an undead',100,3,8),
(262205,10088643,'Cannot be modified except by direct means',100,2,9),
(262206,110326,'Increases Max Power of target by 216.0',100,1,0),
(262207,110326,'Increases Max Health of target by 415.2',100,1,1),
(262208,10110326,'Increases Max Power of target by 216.0',100,1,0),
(262209,10110326,'Increases Max Health of target by 415.2',100,1,1),
(262210,109815,'Inflicts 90 - 151 melee damage on target',100,1,0),
(262211,109815,'Decreases Parry of target by 12.6',100,1,1),
(262212,109815,'Must be in front of or flanking',100,1,2),
(262213,10109815,'Inflicts 108 - 181 melee damage on target',100,1,0),
(262214,10109815,'Decreases Parry of target by 12.6',100,1,1),
(262215,10109815,'Must be in front of or flanking',100,1,2),
(262216,24160,'Adds Crushbone: Blue Stone Wall Mount to your Dungeon Maker toolbox',100,0,0),
(262217,10024160,'Adds Crushbone: Blue Stone Wall Mount to your Dungeon Maker toolbox',100,0,0),
(262218,36326,'Increases STA and STR of target by 66.0',100,0,0),
(262219,36326,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(262220,36326,'Increases Out-of-Combat Power Regeneration of target by 136.8',100,0,2),
(262221,26030,'When Equipped:',100,0,0),
(262222,26030,'Increases all mental damage by up to 20.',100,1,1),
(262223,10026030,'When Equipped:',100,0,0),
(262224,10026030,'Increases all mental damage by up to 20.',100,1,1),
(262225,111043,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(262226,111043,'Increases Threat to target by 773 ',100,2,1),
(262227,111043,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(262228,111043,'Increases Threat to target by 773 ',100,2,3),
(262229,10111043,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(262230,10111043,'Inflicts 58 - 64 crushing damage on target',100,2,1),
(262231,10111043,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(262232,10111043,'Inflicts 58 - 64 crushing damage on target',100,2,3),
(262233,81733,'When Equipped:',100,0,0),
(262234,81733,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262235,81733,'Inflicts 97 - 180 magic damage on target',100,2,2),
(262236,81733,'Cannot be modified except by direct means',100,2,3),
(262237,10081733,'When Equipped:',100,0,0),
(262238,10081733,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262239,10081733,'Inflicts 116 - 216 magic damage on target',100,2,2),
(262240,10081733,'Cannot be modified except by direct means',100,2,3),
(262241,104266,'Increases Mitigation of group members (AE) vs physical damage by 877',100,1,0),
(262242,10104266,'Increases Mitigation of group members (AE) vs physical damage by 877',100,1,0),
(262243,114326,'Dispels 18 levels of noxious hostile effects on target',100,1,0),
(262244,114326,'Heals target for 76 - 92',100,1,1),
(262245,114326,'This effect cannot be critically applied.',100,2,2),
(262246,114326,'The healing of this spell cannot be modified except by direct means',100,1,3),
(262247,10114326,'Dispels 18 levels of noxious hostile effects on target',100,1,0),
(262248,10114326,'Heals target for 30 - 37',100,1,1),
(262249,10114326,'This effect cannot be critically applied.',100,2,2),
(262250,10114326,'The healing of this spell cannot be modified except by direct means',100,1,3),
(262251,35502,'Increases STA of target by 20.8',100,0,0),
(262252,35502,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(262253,121210,'Grants stealth to caster',100,1,0),
(262254,121210,'Suspends caster''s movement speed enhancements',100,1,1),
(262255,121210,'Decreases Threat to target by 1,107 - 1,845 ',100,1,2),
(262256,10121210,'Forces target to clear their selected target.',100,1,0),
(262257,10121210,'Grants stealth to caster',100,1,1),
(262258,10121210,'Suspends caster''s movement speed enhancements',100,1,2),
(262259,26457,'When Equipped:',100,0,0),
(262260,26457,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(262261,26457,'Inflicts 28 piercing damage on target',100,2,2),
(262262,26457,'Cannot be modified except by direct means',100,2,3),
(262263,10026457,'When Equipped:',100,0,0),
(262264,10026457,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(262265,10026457,'Inflicts 34 piercing damage on target',100,2,2),
(262266,10026457,'Cannot be modified except by direct means',100,2,3),
(262267,76879,'When Equipped:',100,0,0),
(262268,76879,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262269,76879,'Inflicts 66 - 81 heat damage on target encounter',100,2,2),
(262270,76879,'Cannot be modified except by direct means',100,2,3),
(262271,10076879,'When Equipped:',100,0,0),
(262272,10076879,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262273,10076879,'Inflicts 79 - 97 heat damage on target encounter',100,2,2),
(262274,10076879,'Cannot be modified except by direct means',100,2,3),
(262275,109939,'Stuns target',100,1,0),
(262276,109939,'Does not affect Epic targets',100,1,1),
(262277,109939,'Resistibility increases against targets higher than level 73.',100,1,2),
(262278,10109939,'Stuns target',100,1,0),
(262279,10109939,'Does not affect Epic targets',100,1,1),
(262280,10109939,'Resistibility increases against targets higher than level 73.',100,1,2),
(262281,113158,'Inflicts 159 disease damage on target',100,1,0),
(262282,113158,'Heals caster for 100',100,1,1),
(262283,10113158,'Inflicts 191 disease damage on target',100,1,0),
(262284,10113158,'Heals caster for 85',100,1,1),
(262285,103575,'Increases Mitigation of caster vs physical damage by 173',100,1,0),
(262286,10103575,'Increases Mitigation of caster vs physical damage by 173',100,1,0),
(262287,107787,'Increases Threat to target encounter by 319 - 390 ',100,1,0),
(262288,10107787,'Prevents target encounter from changing targets',100,1,0),
(262289,10107787,'Forces target encounter to change their selected target to caster.',100,1,1),
(262290,87156,'When Equipped:',100,0,0),
(262291,87156,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262292,87156,'Inflicts 42 - 63 magic damage on target',100,2,2),
(262293,87156,'Cannot be modified except by direct means',100,2,3),
(262294,10087156,'When Equipped:',100,0,0),
(262295,10087156,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262296,10087156,'Inflicts 51 - 76 magic damage on target',100,2,2),
(262297,10087156,'Cannot be modified except by direct means',100,2,3),
(262298,101295,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(262299,101295,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,1),
(262300,10101295,'Increases Max Health of group members (AE) by 465.4',100,1,0),
(262301,10101295,'Increases Mitigation of group members (AE) vs physical damage by 772',100,1,1),
(262302,106226,'Inflicts 236 - 709 melee damage on target',100,1,0),
(262303,106226,'Stifles target',100,1,1),
(262304,106226,'If Target is not Epic',100,2,2),
(262305,106226,'Resistibility increases against targets higher than level 97.',100,1,3),
(262306,10106226,'Inflicts 283 - 850 melee damage on target',100,1,0),
(262307,10106226,'Stifles target',100,1,1),
(262308,10106226,'If Target is not Epic',100,2,2),
(262309,10106226,'Resistibility increases against targets higher than level 97.',100,1,3),
(262310,116009,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(262311,116009,'Decreases threat priority of target by 1 position',100,2,1),
(262312,116009,'Decreases Hate Gain of target by 13.0%',100,1,2),
(262313,10116009,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(262314,10116009,'Forces target to clear their selected target.',100,2,1),
(262315,146325,'When Equipped:',100,0,0),
(262316,146325,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(262317,146325,'Wards caster against 150 points of all damage',100,2,2),
(262318,146325,'Cannot be modified except by direct means',100,2,3),
(262319,10146325,'When Equipped:',100,0,0),
(262320,10146325,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Barrier on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(262321,10146325,'Wards caster against 150 points of all damage',100,2,2),
(262322,10146325,'Cannot be modified except by direct means',100,2,3),
(262323,111744,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(262324,111744,'Inflicts 551 - 673 cold damage on target',100,2,1),
(262325,111744,'Grants a total of 3 triggers of the spell.',100,2,2),
(262326,10111744,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(262327,10111744,'Inflicts 661 - 808 cold damage on target',100,2,1),
(262328,10111744,'Grants a total of 3 triggers of the spell.',100,2,2),
(262329,101342,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(262330,101342,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 247',100,1,1),
(262331,101342,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,2),
(262332,10101342,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(262333,10101342,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 247',100,1,1),
(262334,10101342,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,2),
(262335,103269,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(262336,103269,'If Fighter',100,2,1),
(262337,103269,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(262338,103269,'Increases power of target by 9 instantly and every 4 seconds',100,2,3),
(262339,103269,'Increases power of caster by 9 instantly and every 4 seconds',100,2,4),
(262340,10103269,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(262341,10103269,'Increases power of target by 9 instantly and every 4 seconds',100,2,1),
(262342,10103269,'Increases power of caster by 9 instantly and every 4 seconds',100,2,2),
(262343,24320,'Adds Drake (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(262344,10024320,'Adds Drake (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(262345,81350,'When Equipped:',100,0,0),
(262346,81350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262347,81350,'Inflicts 72 - 134 magic damage on target',100,2,2),
(262348,81350,'Cannot be modified except by direct means',100,2,3),
(262349,10081350,'When Equipped:',100,0,0),
(262350,10081350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262351,10081350,'Inflicts 87 - 161 magic damage on target',100,2,2),
(262352,10081350,'Cannot be modified except by direct means',100,2,3),
(262353,116312,'Stuns target',100,1,0),
(262354,116312,'If Target is not Epic',100,2,1),
(262355,116312,'Inflicts 370 - 452 magic damage on target',100,1,2),
(262356,116312,'Resistibility increases against targets higher than level 73.',100,1,3),
(262357,10116312,'Stuns target',100,1,0),
(262358,10116312,'If Target is not Epic',100,2,1),
(262359,10116312,'Inflicts 444 - 543 magic damage on target',100,1,2),
(262360,10116312,'Resistibility increases against targets higher than level 73.',100,1,3),
(262361,108090,'Decreases Threat to target by 290 - 484 ',100,1,0),
(262362,10108090,'Forces target to clear their selected target.',100,1,0),
(262363,10108090,'Target cannot target caster for the duration of this effect.',100,1,1),
(262364,120605,'Inflicts 134 - 250 heat damage on target',100,1,0),
(262365,10120605,'Inflicts 161 - 300 heat damage on target',100,1,0),
(262366,87467,'When Equipped:',100,0,0),
(262367,87467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262368,87467,'Inflicts 101 - 152 magic damage on target',100,2,2),
(262369,87467,'Cannot be modified except by direct means',100,2,3),
(262370,10087467,'When Equipped:',100,0,0),
(262371,10087467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262372,10087467,'Inflicts 121 - 182 magic damage on target',100,2,2),
(262373,10087467,'Cannot be modified except by direct means',100,2,3),
(262374,45412,'Applies Call Wind Komodo when Activated.',100,0,0),
(262375,45412,'Summons a mount to ride',100,1,1),
(262376,45412,'Increases your ground speed by 60%',100,2,2),
(262377,45412,'Increases your air speed by 200%',100,2,3),
(262378,10045412,'Applies Call Wind Komodo when Activated.',100,0,0),
(262379,10045412,'Summons a mount to ride',100,1,1),
(262380,10045412,'Increases your ground speed by 60%',100,2,2),
(262381,10045412,'Increases your air speed by 200%',100,2,3),
(262382,119342,'Inflicts 76 - 113 disease damage on target',100,1,0),
(262383,119342,'Inflicts 30 - 45 disease damage on target every 4 seconds',100,1,1),
(262384,10119342,'Inflicts 91 - 136 disease damage on target',100,1,0),
(262385,10119342,'Inflicts 36 - 54 disease damage on target every 4 seconds',100,1,1),
(262386,82064,'When Equipped:',100,0,0),
(262387,82064,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262388,82064,'Inflicts 125 - 232 magic damage on target',100,2,2),
(262389,82064,'Cannot be modified except by direct means',100,2,3),
(262390,10082064,'When Equipped:',100,0,0),
(262391,10082064,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262392,10082064,'Inflicts 150 - 278 magic damage on target',100,2,2),
(262393,10082064,'Cannot be modified except by direct means',100,2,3),
(262394,103499,'Increases In-Combat Power Regeneration of group members (AE) by 63.2',100,1,0),
(262395,10103499,'Increases In-Combat Power Regeneration of group members (AE) by 63.2',100,1,0),
(262396,73908,'Applies Disease Blast when Activated.',100,0,0),
(262397,73908,'Inflicts 303 - 504 disease damage on target',100,1,1),
(262398,73908,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(262399,10073908,'Applies Disease Blast when Activated.',100,0,0),
(262400,10073908,'Inflicts 363 - 605 disease damage on target',100,1,1),
(262401,10073908,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(262402,104138,'Roots target',100,1,0),
(262403,104138,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(262404,104138,'Makes target afraid',100,2,2),
(262405,104138,'Slows target by 29.5%',100,2,3),
(262406,104138,'30% chance to dispel when target takes damage',100,2,4),
(262407,104138,'Resistibility increases against targets higher than level 90.',100,2,5),
(262408,104138,'15% chance to dispel when target takes damage',100,1,6),
(262409,104138,'Does not affect Epic targets',100,1,7),
(262410,104138,'Resistibility increases against targets higher than level 90.',100,1,8),
(262411,10104138,'Roots target',100,1,0),
(262412,10104138,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(262413,10104138,'Makes target afraid',100,2,2),
(262414,10104138,'Slows target by 29.5%',100,2,3),
(262415,10104138,'30% chance to dispel when target takes damage',100,2,4),
(262416,10104138,'Resistibility increases against targets higher than level 90.',100,2,5),
(262417,10104138,'15% chance to dispel when target takes damage',100,1,6),
(262418,10104138,'Does not affect Epic targets',100,1,7),
(262419,10104138,'Resistibility increases against targets higher than level 90.',100,1,8),
(262420,26518,'When Equipped:',100,0,0),
(262421,26518,'Improves the hate transfer of Converge by up to 5%.',100,1,1),
(262422,26518,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(262423,10026518,'When Equipped:',100,0,0),
(262424,10026518,'Improves the hate transfer of Converge by up to 5%.',100,1,1),
(262425,10026518,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(262426,136257,'When Equipped:',100,0,0),
(262427,136257,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(262428,136257,'Increases AGI of target by 6.4',100,2,2),
(262429,136257,'Cannot be modified except by direct means',100,2,3),
(262430,10136257,'When Equipped:',100,0,0),
(262431,10136257,'When any damage is received this spell has a 5% chance to cast Agility on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(262432,10136257,'Increases AGI of target by 6.4',100,2,2),
(262433,10136257,'Cannot be modified except by direct means',100,2,3),
(262434,110210,'Interrupts target',100,1,0),
(262435,110210,'Inflicts 110 - 184 crushing damage on target',100,1,1),
(262436,10110210,'Interrupts target',100,1,0),
(262437,10110210,'Inflicts 132 - 221 crushing damage on target',100,1,1),
(262438,121624,'Inflicts 362 - 1087 melee damage on target',100,1,0),
(262439,121624,'Dazes target',100,1,1),
(262440,121624,'If Target is not Epic',100,2,2),
(262441,121624,'Must be flanking or behind',100,1,3),
(262442,121624,'Resistibility increases against targets higher than level 89.',100,1,4),
(262443,10121624,'Inflicts 434 - 1304 melee damage on target',100,1,0),
(262444,10121624,'Dazes target',100,1,1),
(262445,10121624,'If Target is not Epic',100,2,2),
(262446,10121624,'Must be flanking or behind',100,1,3),
(262447,10121624,'Resistibility increases against targets higher than level 89.',100,1,4),
(262448,157114,'Applies Screaming Fury when Activated.  Lasts for 8.0 seconds.',100,0,0),
(262449,157114,'Makes target afraid',100,1,1),
(262450,157114,'20% chance to dispel when target takes damage',100,1,2),
(262451,157114,'20% chance to dispel when target receives hostile action',100,1,3),
(262452,157114,'If under level 18',100,1,4),
(262453,157114,'Resistibility increases against targets higher than level 38.',100,1,5),
(262454,157114,'The casting time of Screaming Fury is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,6),
(262455,10157114,'Applies Screaming Fury when Activated.  Lasts for 4.0 seconds.',100,0,0),
(262456,10157114,'Makes target afraid',100,1,1),
(262457,10157114,'20% chance to dispel when target takes damage',100,1,2),
(262458,10157114,'20% chance to dispel when target receives hostile action',100,1,3),
(262459,10157114,'If under level 18',100,1,4),
(262460,10157114,'Resistibility increases against targets higher than level 38.',100,1,5),
(262461,10157114,'The casting time of Screaming Fury is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,6),
(262462,154355,'When Equipped:',100,0,0),
(262463,154355,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(262464,154355,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,2),
(262465,154355,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(262466,154355,'Must not be engaged in pvp combat',100,2,4),
(262467,154355,'Cannot be modified except by direct means',100,2,5),
(262468,154355,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(262469,154355,'Cannot be modified except by direct means',100,1,7),
(262470,10154355,'When Equipped:',100,0,0),
(262471,10154355,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(262472,10154355,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,2),
(262473,10154355,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,3),
(262474,10154355,'Must not be engaged in pvp combat',100,2,4),
(262475,10154355,'Cannot be modified except by direct means',100,2,5),
(262476,10154355,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(262477,10154355,'Cannot be modified except by direct means',100,1,7),
(262478,120110,'Shapechanges caster into a chaos essence',100,1,0),
(262479,120110,'Increases WIS of caster by 82.3',100,1,1),
(262480,120110,'Grants See Invisibility to caster',100,1,2),
(262481,120110,'Increases Max Health of caster by 360.8',100,1,3),
(262482,120110,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1254',100,1,4),
(262483,10120110,'Shapechanges caster into a chaos essence',100,1,0),
(262484,10120110,'Increases WIS of caster by 82.3',100,1,1),
(262485,10120110,'Grants See Invisibility to caster',100,1,2),
(262486,10120110,'Increases Max Health of caster by 360.8',100,1,3),
(262487,10120110,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1254',100,1,4),
(262488,87248,'When Equipped:',100,0,0),
(262489,87248,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262490,87248,'Inflicts 172 - 258 magic damage on target',100,2,2),
(262491,87248,'Cannot be modified except by direct means',100,2,3),
(262492,10087248,'When Equipped:',100,0,0),
(262493,10087248,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262494,10087248,'Inflicts 206 - 309 magic damage on target',100,2,2),
(262495,10087248,'Cannot be modified except by direct means',100,2,3),
(262496,116144,'Inflicts 139 - 233 divine damage on target',100,1,0),
(262497,116144,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(262498,116144,'Stuns target',100,2,2),
(262499,116144,'Blurs vision of target',100,2,3),
(262500,116144,'Throws target back',100,2,4),
(262501,116144,'Does not affect Epic targets',100,2,5),
(262502,10116144,'Inflicts 167 - 279 divine damage on target',100,1,0),
(262503,10116144,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(262504,10116144,'Stuns target',100,2,2),
(262505,10116144,'Throws target back',100,2,3),
(262506,10116144,'Blurs vision of target',100,2,4),
(262507,10116144,'Does not affect Epic targets',100,2,5),
(262508,141908,'When Equipped:',100,0,0),
(262509,141908,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(262510,141908,'Increases STR of caster by 5.1',100,2,2),
(262511,141908,'Increases Damage Per Second of caster by 15.2',100,2,3),
(262512,141908,'Cannot be modified except by direct means',100,2,4),
(262513,10141908,'When Equipped:',100,0,0),
(262514,10141908,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(262515,10141908,'Increases STR of caster by 5.1',100,2,2),
(262516,10141908,'Increases Damage Per Second of caster by 15.2',100,2,3),
(262517,10141908,'Cannot be modified except by direct means',100,2,4),
(262518,121897,'Inflicts 35 - 58 mental damage on target encounter',100,1,0),
(262519,121897,'Increases power of group members (AE) by 28 - 46',100,1,1),
(262520,10121897,'Inflicts 42 - 69 mental damage on target encounter',100,1,0),
(262521,10121897,'Increases power of group members (AE) by 28 - 46',100,1,1),
(262522,120226,'Roots target encounter',100,1,0),
(262523,120226,'15% chance to dispel when target takes damage',100,1,1),
(262524,120226,'Does not affect Epic targets',100,1,2),
(262525,120226,'Resistibility increases against targets higher than level 97.',100,1,3),
(262526,10120226,'Roots target encounter',100,1,0),
(262527,10120226,'15% chance to dispel when target takes damage',100,1,1),
(262528,10120226,'Does not affect Epic targets',100,1,2),
(262529,10120226,'Resistibility increases against targets higher than level 97.',100,1,3),
(262530,25334,'When Equipped:',100,0,0),
(262531,25334,'Improves the base damage of Bloodcoil VIII by 20%.',100,1,1),
(262532,25334,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(262533,10025334,'When Equipped:',100,0,0),
(262534,10025334,'Improves the base damage of Bloodcoil VIII by 20%.',100,1,1),
(262535,10025334,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(262536,103739,'Increases Max Health of raid and group members (AE) by 846.6',100,1,0),
(262537,103739,'Increases Defense of raid and group members (AE) by 28.6',100,1,1),
(262538,10103739,'Increases Max Health of raid and group members (AE) by 846.6',100,1,0),
(262539,10103739,'Increases Defense of raid and group members (AE) by 28.6',100,1,1),
(262540,46727,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(262541,46727,'Heals caster for 75',100,1,1),
(262542,46727,'Heals caster for 37 every 5 seconds',100,1,2),
(262543,10046727,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(262544,10046727,'Heals caster for 49',100,1,1),
(262545,10046727,'Heals caster for 24 every 5 seconds',100,1,2),
(262546,186243,'When Equipped:',100,0,0),
(262547,186243,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(262548,186243,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(262549,186243,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,3),
(262550,186243,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,4),
(262551,186243,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(262552,186243,'Must not be engaged in pvp combat',100,2,6),
(262553,186243,'Cannot be modified except by direct means',100,2,7),
(262554,186243,'Must not be engaged in pvp combat',100,1,8),
(262555,10186243,'When Equipped:',100,0,0),
(262556,10186243,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(262557,10186243,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(262558,10186243,'Inflicts 6074 - 6713 piercing damage on target encounter',100,2,3),
(262559,10186243,'Inflicts 759 - 839 piercing damage on target encounter every 2 seconds',100,2,4),
(262560,10186243,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(262561,10186243,'Must not be engaged in pvp combat',100,2,6),
(262562,10186243,'Cannot be modified except by direct means',100,2,7),
(262563,10186243,'Must not be engaged in pvp combat',100,1,8),
(262564,170592,'When Equipped:',100,0,0),
(262565,170592,'Increases Attack Speed of caster by 35.0',100,1,1),
(262566,10170592,'When Equipped:',100,0,0),
(262567,10170592,'Increases Attack Speed of caster by 35.0',100,1,1),
(262568,141703,'When Equipped:',100,0,0),
(262569,141703,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(262570,141703,'Increases STR of caster by 17.3',100,2,2),
(262571,141703,'Increases Damage Per Second of caster by 21.0',100,2,3),
(262572,141703,'Cannot be modified except by direct means',100,2,4),
(262573,10141703,'When Equipped:',100,0,0),
(262574,10141703,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(262575,10141703,'Increases STR of caster by 17.3',100,2,2),
(262576,10141703,'Increases Damage Per Second of caster by 21.0',100,2,3),
(262577,10141703,'Cannot be modified except by direct means',100,2,4),
(262578,118597,'Roots target',100,1,0),
(262579,118597,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(262580,118597,'Slows target by 59.2%',100,2,2),
(262581,118597,'5% chance to dispel when target receives hostile action',100,2,3),
(262582,118597,'5% chance to dispel when target takes damage',100,2,4),
(262583,118597,'5% chance to dispel when target takes damage',100,1,5),
(262584,118597,'Does not affect Epic targets',100,1,6),
(262585,118597,'Resistibility increases against targets higher than level 64.',100,1,7),
(262586,10118597,'Roots target',100,1,0),
(262587,10118597,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(262588,10118597,'Slows target by 59.2%',100,2,2),
(262589,10118597,'5% chance to dispel when target receives hostile action',100,2,3),
(262590,10118597,'5% chance to dispel when target takes damage',100,2,4),
(262591,10118597,'5% chance to dispel when target takes damage',100,1,5),
(262592,10118597,'Does not affect Epic targets',100,1,6),
(262593,10118597,'Resistibility increases against targets higher than level 64.',100,1,7),
(262594,49098,'Applies Explosive Wand Charge when Activated.',100,0,0),
(262595,49098,'Inflicts 132 heat damage on targets in Area of Effect',100,1,1),
(262596,49098,'There are no targets for this explosive charge.',100,1,2),
(262597,10049098,'Applies Explosive Wand Charge when Activated.',100,0,0),
(262598,10049098,'Inflicts 158 heat damage on targets in Area of Effect',100,1,1),
(262599,10049098,'There are no targets for this explosive charge.',100,1,2),
(262600,177667,'When Equipped:',100,0,0),
(262601,177667,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(262602,177667,'Increases STA of caster by 16.3',100,2,2),
(262603,177667,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(262604,177667,'Cannot be modified except by direct means',100,2,4),
(262605,10177667,'When Equipped:',100,0,0),
(262606,10177667,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(262607,10177667,'Increases STA of caster by 16.3',100,2,2),
(262608,10177667,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(262609,10177667,'Cannot be modified except by direct means',100,2,4),
(262610,111909,'Inflicts 15 - 24 piercing damage on target instantly and every 4 seconds',100,1,0),
(262611,111909,'Inflicts 53 - 89 piercing damage on target',100,1,1),
(262612,10111909,'Inflicts 29 - 49 piercing damage on target instantly and every 4 seconds',100,1,0),
(262613,10111909,'Inflicts 88 - 146 piercing damage on target',100,1,1),
(262614,123610,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(262615,123610,'Increases Defense of target by 32.6',100,1,1),
(262616,10123610,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(262617,10123610,'Increases Defense of target by 32.6',100,1,1),
(262618,103991,'Interrupts targets in Area of Effect',100,1,0),
(262619,103991,'Inflicts 114 - 212 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(262620,10103991,'Interrupts targets in Area of Effect',100,1,0),
(262621,10103991,'Inflicts 137 - 254 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(262622,35651,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(262623,110825,'Inflicts 426 - 576 mental damage on target',100,1,0),
(262624,110825,'Interrupts target',100,1,1),
(262625,10110825,'Inflicts 511 - 692 mental damage on target',100,1,0),
(262626,10110825,'Interrupts target',100,1,1),
(262627,141741,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(262628,141741,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(262629,141741,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(262630,141741,'Cannot be modified except by direct means',100,2,3),
(262631,10141741,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(262632,10141741,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(262633,10141741,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(262634,10141741,'Cannot be modified except by direct means',100,2,3),
(262635,122251,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(262636,122251,'Decreases Damage Per Second of target by 28.0',100,2,1),
(262637,122251,'Decreases Attack Speed of target by 19.6',100,2,2),
(262638,10122251,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(262639,10122251,'Decreases Damage Per Second of target by 28.0',100,2,1),
(262640,10122251,'Decreases Attack Speed of target by 19.6',100,2,2),
(262641,114493,'Increases In-Combat Power Regeneration of group members (AE) by 10.4',100,1,0),
(262642,10114493,'Increases In-Combat Power Regeneration of group members (AE) by 10.4',100,1,0),
(262643,106859,'Decreases Crushing, Piercing, Slashing and Ranged of target by 65.8',100,1,0),
(262644,10106859,'Decreases Crushing, Piercing, Slashing and Ranged of target by 65.8',100,1,0),
(262645,100758,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(262646,100758,'Wards target against 770 points of all damage',100,2,1),
(262647,100758,'Increases power of target by 144 every 6 seconds',100,2,2),
(262648,100758,'Heals target for 626',100,2,3),
(262649,100758,'Grants a total of 1 trigger of the spell.',100,2,4),
(262650,10100758,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(262651,10100758,'Wards target against 770 points of all damage',100,2,1),
(262652,10100758,'Increases power of target by 144 every 6 seconds',100,2,2),
(262653,10100758,'Heals target for 407',100,2,3),
(262654,10100758,'Grants a total of 1 trigger of the spell.',100,2,4),
(262655,159922,'Applies Lambent Imbued when Equipped.',100,0,0),
(262656,159922,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(262657,159922,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(262658,159922,'Cannot be modified except by direct means',100,2,3),
(262659,10159922,'Applies Lambent Imbued when Equipped.',100,0,0),
(262660,10159922,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(262661,10159922,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(262662,10159922,'Cannot be modified except by direct means',100,2,3),
(262663,110541,'Increases Threat to target by 1,856  instantly and by 1,018  every 3 seconds thereafter',100,1,0),
(262664,110541,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(262665,110541,'Stuns target',100,2,2),
(262666,110541,'Blurs vision of target',100,2,3),
(262667,110541,'Throws target back',100,2,4),
(262668,110541,'Does not affect Epic targets',100,2,5),
(262669,110541,'Inflicts 233 - 388 disease damage on target',100,1,6),
(262670,10110541,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(262671,10110541,'Stuns target',100,2,1),
(262672,10110541,'Blurs vision of target',100,2,2),
(262673,10110541,'Throws target back',100,2,3),
(262674,10110541,'Does not affect Epic targets',100,2,4),
(262675,10110541,'Forces target to change their selected target to caster.',100,1,5),
(262676,10110541,'Inflicts 233 - 388 disease damage on target',100,1,6),
(262677,10110541,'Prevents target from changing targets',100,1,7),
(262678,119603,'Increases power of caster by 94 instantly and every 4 seconds',100,1,0),
(262679,10119603,'Increases power of caster by 94 instantly and every 4 seconds',100,1,0),
(262680,100972,'Increases Threat to target by 267 - 327 ',100,1,0),
(262681,100972,'Interrupts target',100,1,1),
(262682,10100972,'Interrupts target',100,1,0),
(262683,124201,'Inflicts 264 - 441 melee damage on target',100,1,0),
(262684,10124201,'Inflicts 317 - 529 melee damage on target',100,1,0),
(262685,122851,'Inflicts 59 - 98 ranged damage on target',100,1,0),
(262686,122851,'Inflicts 118 - 197 ranged damage on target',100,1,1),
(262687,122851,'Inflicts 177 - 296 ranged damage on target',100,1,2),
(262688,122851,'Requires bow',100,1,3),
(262689,10122851,'Inflicts 55 - 92 ranged damage on target',100,1,0),
(262690,10122851,'Inflicts 111 - 185 ranged damage on target',100,1,1),
(262691,10122851,'Inflicts 166 - 277 ranged damage on target',100,1,2),
(262692,10122851,'Requires bow',100,1,3),
(262693,82856,'When Equipped:',100,0,0),
(262694,82856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262695,82856,'Inflicts 205 - 381 magic damage on target',100,2,2),
(262696,82856,'Cannot be modified except by direct means',100,2,3),
(262697,10082856,'When Equipped:',100,0,0),
(262698,10082856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262699,10082856,'Inflicts 246 - 457 magic damage on target',100,2,2),
(262700,10082856,'Cannot be modified except by direct means',100,2,3),
(262701,107351,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(262702,107351,'Increases Threat to target by 536 ',100,2,1),
(262703,10107351,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(262704,10107351,'Inflicts 55 - 61 crushing damage on target',100,2,1),
(262705,162559,'When Equipped:',100,0,0),
(262706,162559,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(262707,162559,'Inflicts 25 divine damage on target',100,2,2),
(262708,162559,'Cannot be modified except by direct means',100,2,3),
(262709,10162559,'When Equipped:',100,0,0),
(262710,10162559,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(262711,10162559,'Inflicts 30 divine damage on target',100,2,2),
(262712,10162559,'Cannot be modified except by direct means',100,2,3),
(262713,164776,'Applies Arcane Trace when Activated.',100,0,0),
(262714,164776,'Increases power of caster by 73',100,1,1),
(262715,164776,'The casting time of Arcane Trace is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(262716,10164776,'Applies Arcane Trace when Activated.',100,0,0),
(262717,10164776,'Increases power of caster by 73',100,1,1),
(262718,10164776,'The casting time of Arcane Trace is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(262719,87517,'When Equipped:',100,0,0),
(262720,87517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262721,87517,'Inflicts 208 - 312 magic damage on target',100,2,2),
(262722,87517,'Cannot be modified except by direct means',100,2,3),
(262723,10087517,'When Equipped:',100,0,0),
(262724,10087517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262725,10087517,'Inflicts 250 - 375 magic damage on target',100,2,2),
(262726,10087517,'Cannot be modified except by direct means',100,2,3),
(262727,105694,'Decreases Attack Speed of target encounter by 13.7',100,1,0),
(262728,105694,'Slows target encounter by 18.4%',100,1,1),
(262729,10105694,'Decreases Attack Speed of target encounter by 13.7',100,1,0),
(262730,10105694,'Slows target encounter by 18.4%',100,1,1),
(262731,118733,'Inflicts 163 - 272 slashing damage on target',100,1,0),
(262732,118733,'Decreases Slashing, Crushing and Piercing of target by 14.3',100,1,1),
(262733,118733,'Inflicts 67 - 82 slashing damage on target every 5 seconds',100,1,2),
(262734,10118733,'Inflicts 196 - 327 slashing damage on target',100,1,0),
(262735,10118733,'Decreases Slashing, Crushing and Piercing of target by 14.3',100,1,1),
(262736,10118733,'Inflicts 81 - 99 slashing damage on target every 5 seconds',100,1,2),
(262737,124076,'Increases power of caster by 387',100,1,0),
(262738,10124076,'Increases power of caster by 387',100,1,0),
(262739,186900,'When Equipped:',100,0,0),
(262740,186900,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(262741,186900,'Wards caster against 1250 points of all damage',100,2,2),
(262742,186900,'Cannot be modified except by direct means',100,2,3),
(262743,186900,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(262744,186900,'Wards caster against 1250 points of all damage',100,2,5),
(262745,186900,'Cannot be modified except by direct means',100,2,6),
(262746,10186900,'When Equipped:',100,0,0),
(262747,10186900,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(262748,10186900,'Wards caster against 625 points of all damage',100,2,2),
(262749,10186900,'Cannot be modified except by direct means',100,2,3),
(262750,10186900,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(262751,10186900,'Wards caster against 625 points of all damage',100,2,5),
(262752,10186900,'Cannot be modified except by direct means',100,2,6),
(262753,123868,'Increases AGI of caster by 75.9',100,1,0),
(262754,123868,'Adds 21.8% to base avoidance.',100,1,1),
(262755,123868,'Increases Damage Per Second of caster by 61.0',100,1,2),
(262756,123868,'Increases Mitigation of caster vs physical damage by 676',100,1,3),
(262757,123868,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,4),
(262758,10123868,'Increases AGI of caster by 75.9',100,1,0),
(262759,10123868,'Adds 21.8% to base avoidance.',100,1,1),
(262760,10123868,'Increases Damage Per Second of caster by 61.0',100,1,2),
(262761,10123868,'Increases Mitigation of caster vs physical damage by 676',100,1,3),
(262762,10123868,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,4),
(262763,121975,'Inflicts 109 - 181 disease damage on target',100,1,0),
(262764,121975,'Decreases Defense of target by 32.4',100,1,1),
(262765,121975,'Interrupts target',100,1,2),
(262766,10121975,'Inflicts 130 - 217 disease damage on target',100,1,0),
(262767,10121975,'Decreases Defense of target by 32.4',100,1,1),
(262768,10121975,'Interrupts target',100,1,2),
(262769,121571,'Stuns target',100,1,0),
(262770,121571,'If Target is not Epic',100,2,1),
(262771,121571,'Decreases Threat to target by 192 ',100,1,2),
(262772,121571,'Resistibility increases against targets higher than level 45.',100,1,3),
(262773,10121571,'Stuns target',100,1,0),
(262774,10121571,'If Target is not Epic',100,2,1),
(262775,10121571,'Resistibility increases against targets higher than level 45.',100,1,2),
(262776,102666,'Inflicts 337 - 563 melee damage on target',100,1,0),
(262777,102666,'Inflicts 146 heat damage on target every 6 seconds',100,1,1),
(262778,10102666,'Inflicts 405 - 675 melee damage on target',100,1,0),
(262779,10102666,'Inflicts 175 heat damage on target every 6 seconds',100,1,1),
(262780,45521,'Applies Clarissa''s Content Countenance when Activated.',100,0,0),
(262781,45521,'Shapechanges the user into a fae.',100,1,1),
(262782,10045521,'Applies Clarissa''s Content Countenance when Activated.',100,0,0),
(262783,10045521,'Shapechanges the user into a fae.',100,1,1),
(262784,117382,'Increases Threat to target by 368 ',100,1,0),
(262785,117382,'Inflicts 27 - 82 melee damage on target',100,1,1),
(262786,10117382,'Forces target to change their selected target to caster.',100,1,0),
(262787,10117382,'Inflicts 21 - 65 melee damage on target',100,1,1),
(262788,48424,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(262789,48424,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(262790,48424,'Inflicts 20 poison damage on target instantly and every 6 seconds',100,2,2),
(262791,48424,'Inflicts 121 poison damage on target',100,2,3),
(262792,48424,'Cannot be modified except by direct means',100,2,4),
(262793,48424,'Grants a total of 200 triggers of the spell.',100,2,5),
(262794,10048424,'Applies astonishing visions when Activated.  Lasts for 12 hours.',100,0,0),
(262795,10048424,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(262796,10048424,'Inflicts 109 poison damage on target',100,2,2),
(262797,10048424,'Inflicts 18 poison damage on target instantly and every 6 seconds',100,2,3),
(262798,10048424,'Cannot be modified except by direct means',100,2,4),
(262799,10048424,'Grants a total of 200 triggers of the spell.',100,2,5),
(262800,84267,'When Equipped:',100,0,0),
(262801,84267,'On a beneficial spell cast this spell may cast Cleansing Heals on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(262802,84267,'Heals target for 248 - 303',100,2,2),
(262803,84267,'Dispels 145 levels of any hostile effects on target',100,2,3),
(262804,84267,'Cannot be modified except by direct means',100,2,4),
(262805,84267,'Cannot be modified except by direct means',100,1,5),
(262806,10084267,'When Equipped:',100,0,0),
(262807,10084267,'On a beneficial spell cast this spell may cast Cleansing Heals on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(262808,10084267,'Heals target for 161 - 197',100,2,2),
(262809,10084267,'Dispels 145 levels of any hostile effects on target',100,2,3),
(262810,10084267,'Cannot be modified except by direct means',100,2,4),
(262811,10084267,'Cannot be modified except by direct means',100,1,5),
(262812,165031,'When Equipped:',100,0,0),
(262813,165031,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(262814,165031,'Inflicts 1998 disease damage on target encounter',100,2,2),
(262815,165031,'Must not be engaged in pvp combat',100,2,3),
(262816,165031,'Cannot be modified except by direct means',100,2,4),
(262817,10165031,'When Equipped:',100,0,0),
(262818,10165031,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(262819,10165031,'Inflicts 1199 disease damage on target encounter',100,2,2),
(262820,10165031,'Must not be engaged in pvp combat',100,2,3),
(262821,10165031,'Cannot be modified except by direct means',100,2,4),
(262822,48425,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(262823,48425,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(262824,48425,'Decreases AGI of target by 17.7',100,2,2),
(262825,48425,'Cannot be modified except by direct means',100,2,3),
(262826,48425,'Grants a total of 30 triggers of the spell.',100,2,4),
(262827,10048425,'Applies aura of guardsmanship when Activated.  Lasts for 12 hours.',100,0,0),
(262828,10048425,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(262829,10048425,'Decreases AGI of target by 17.7',100,2,2),
(262830,10048425,'Cannot be modified except by direct means',100,2,3),
(262831,10048425,'Grants a total of 30 triggers of the spell.',100,2,4),
(262832,109823,'Inflicts 179 - 299 melee damage on target',100,1,0),
(262833,109823,'Decreases Parry of target by 24.4',100,1,1),
(262834,109823,'Must be in front of or flanking',100,1,2),
(262835,10109823,'Inflicts 215 - 359 melee damage on target',100,1,0),
(262836,10109823,'Decreases Parry of target by 24.4',100,1,1),
(262837,10109823,'Must be in front of or flanking',100,1,2),
(262838,134397,'When Equipped:',100,0,0),
(262839,134397,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(262840,134397,'Increases Max Health of group members by 500.0',100,2,2),
(262841,134397,'Cannot be modified except by direct means',100,2,3),
(262842,10134397,'When Equipped:',100,0,0),
(262843,10134397,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(262844,10134397,'Increases Max Health of group members by 500.0',100,2,2),
(262845,10134397,'Cannot be modified except by direct means',100,2,3),
(262846,104331,'Charms target',100,1,0),
(262847,104331,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(262848,104331,'Mesmerizes target',100,2,2),
(262849,104331,'Dispelled when target takes damage',100,2,3),
(262850,104331,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(262851,104331,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(262852,104331,'Grants Sonic Vision to caster',100,2,6),
(262853,104331,'Increases Out-of-Combat Power Regeneration of target by 2.8',100,1,7),
(262854,104331,'Increases Out-of-Combat Health Regeneration of target by 5.7',100,1,8),
(262855,104331,'Certain enemies cannot be charmed',100,1,9),
(262856,104331,'Only affects targets level 24 and below',100,1,10),
(262857,104331,'Does not affect Epic targets',100,1,11),
(262858,10104331,'Mesmerizes target',100,1,0),
(262859,10104331,'Prevents AOE (except when direct) ',100,1,1),
(262860,10104331,'Dispelled when target takes damage',100,1,2),
(262861,10104331,'Certain enemies cannot be charmed',100,1,3),
(262862,10104331,'Only affects targets level 24 and below',100,1,4),
(262863,10104331,'Does not affect Epic targets',100,1,5),
(262864,10104331,'Resistibility increases against targets higher than level 39.',100,1,6),
(262865,70820,'When Equipped:',100,0,0),
(262866,70820,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(262867,70820,'Decreases Mitigation of target vs arcane damage by 3532',100,2,2),
(262868,70820,'Inflicts 1567 - 2612 magic damage on target',100,2,3),
(262869,70820,'Inflicts 1567 - 2612 piercing damage on target',100,2,4),
(262870,70820,'Inflicts 1567 - 2612 divine damage on target',100,2,5),
(262871,70820,'Must not be engaged in pvp combat',100,2,6),
(262872,70820,'Cannot be modified except by direct means',100,2,7),
(262873,70820,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(262874,70820,'Decreases Mitigation of target vs arcane damage by 3532',100,2,9),
(262875,70820,'Inflicts 1567 - 2612 magic damage on target',100,2,10),
(262876,70820,'Inflicts 1567 - 2612 piercing damage on target',100,2,11),
(262877,70820,'Inflicts 1567 - 2612 divine damage on target',100,2,12),
(262878,70820,'Must not be engaged in pvp combat',100,2,13),
(262879,70820,'Cannot be modified except by direct means',100,2,14),
(262880,70820,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,15),
(262881,70820,'Must not be engaged in pvp combat',100,1,16),
(262882,10070820,'When Equipped:',100,0,0),
(262883,10070820,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(262884,10070820,'Decreases Mitigation of target vs arcane damage by 3532',100,2,2),
(262885,10070820,'Inflicts 1880 - 3134 magic damage on target',100,2,3),
(262886,10070820,'Inflicts 1880 - 3134 piercing damage on target',100,2,4),
(262887,10070820,'Inflicts 1880 - 3134 divine damage on target',100,2,5),
(262888,10070820,'Must not be engaged in pvp combat',100,2,6),
(262889,10070820,'Cannot be modified except by direct means',100,2,7),
(262890,10070820,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(262891,10070820,'Decreases Mitigation of target vs arcane damage by 3532',100,2,9),
(262892,10070820,'Inflicts 1880 - 3134 magic damage on target',100,2,10),
(262893,10070820,'Inflicts 1880 - 3134 piercing damage on target',100,2,11),
(262894,10070820,'Inflicts 1880 - 3134 divine damage on target',100,2,12),
(262895,10070820,'Must not be engaged in pvp combat',100,2,13),
(262896,10070820,'Cannot be modified except by direct means',100,2,14),
(262897,10070820,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,15),
(262898,10070820,'Must not be engaged in pvp combat',100,1,16),
(262899,122968,'Inflicts 253 - 343 mental damage on target',100,1,0),
(262900,10122968,'Inflicts 304 - 411 mental damage on target',100,1,0),
(262901,141717,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(262902,141717,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(262903,141717,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(262904,141717,'Cannot be modified except by direct means',100,2,3),
(262905,10141717,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(262906,10141717,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(262907,10141717,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(262908,10141717,'Cannot be modified except by direct means',100,2,3),
(262909,167761,'Applies Overclocked Tools when Equipped.',100,0,0),
(262910,167761,'Increases success chance by 5.0%',100,1,1),
(262911,10167761,'Applies Overclocked Tools when Equipped.',100,0,0),
(262912,10167761,'Increases success chance by 5.0%',100,1,1),
(262913,165076,'When Equipped:',100,0,0),
(262914,165076,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(262915,165076,'Inflicts 1998 disease damage on target encounter',100,2,2),
(262916,165076,'Must not be engaged in pvp combat',100,2,3),
(262917,165076,'Cannot be modified except by direct means',100,2,4),
(262918,10165076,'When Equipped:',100,0,0),
(262919,10165076,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(262920,10165076,'Inflicts 1199 disease damage on target encounter',100,2,2),
(262921,10165076,'Must not be engaged in pvp combat',100,2,3),
(262922,10165076,'Cannot be modified except by direct means',100,2,4),
(262923,54950,'When Equipped:',100,0,0),
(262924,54950,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(262925,10054950,'When Equipped:',100,0,0),
(262926,10054950,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(262927,191582,'When Equipped:',100,0,0),
(262928,191582,'When any damage is received this spell has a 5% chance to cast Bewilder on target''s attacker.  Lasts for 9.0 seconds.  ',100,1,1),
(262929,191582,'Stuns target',100,2,2),
(262930,191582,'Dispelled when target takes damage',100,2,3),
(262931,191582,'Does not affect Epic targets',100,2,4),
(262932,191582,'Resistibility increases against targets higher than level 77.',100,2,5),
(262933,191582,'Cannot be modified except by direct means',100,2,6),
(262934,10191582,'When Equipped:',100,0,0),
(262935,10191582,'When any damage is received this spell has a 5% chance to cast Bewilder on target''s attacker.  Lasts for 8.8 seconds.  ',100,1,1),
(262936,10191582,'Stuns target',100,2,2),
(262937,10191582,'Dispelled when target takes damage',100,2,3),
(262938,10191582,'Does not affect Epic targets',100,2,4),
(262939,10191582,'Resistibility increases against targets higher than level 77.',100,2,5),
(262940,10191582,'Cannot be modified except by direct means',100,2,6),
(262941,81739,'When Equipped:',100,0,0),
(262942,81739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262943,81739,'Inflicts 108 - 200 magic damage on target',100,2,2),
(262944,81739,'Cannot be modified except by direct means',100,2,3),
(262945,10081739,'When Equipped:',100,0,0),
(262946,10081739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(262947,10081739,'Inflicts 129 - 240 magic damage on target',100,2,2),
(262948,10081739,'Cannot be modified except by direct means',100,2,3),
(262949,121879,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(262950,121879,'Decreases Threat to target by 472 - 577 ',100,2,1),
(262951,121879,'If profession other than Fighter',100,3,2),
(262952,121879,'Inflicts 193 - 235 mental damage on target',100,2,3),
(262953,10121879,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(262954,10121879,'Inflicts 231 - 282 mental damage on target',100,2,1),
(262955,105110,'Inflicts 496 - 671 magic damage on target',100,1,0),
(262956,10105110,'Inflicts 595 - 805 magic damage on target',100,1,0),
(262957,153804,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(262958,153804,'Increases Hate Gain of caster by 15.0%',100,1,1),
(262959,153804,'Must not be engaged in pvp combat',100,1,2),
(262960,153804,'Cannot be modified except by direct means',100,1,3),
(262961,153804,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(262962,153804,'When Equipped:',100,0,5),
(262963,153804,'On a critical spell hit this spell may cast Intimidating Rush IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(262964,153804,'Increases Threat to target by 665 - 735 ',100,2,7),
(262965,153804,'If over 80% Health',100,3,8),
(262966,153804,'Must not be engaged in pvp combat',100,2,9),
(262967,153804,'Cannot be modified except by direct means',100,2,10),
(262968,153804,'On a critical combat hit this spell may cast Intimidating Rush IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(262969,153804,'Increases Threat to target by 665 - 735 ',100,2,12),
(262970,153804,'If over 80% Health',100,3,13),
(262971,153804,'Must not be engaged in pvp combat',100,2,14),
(262972,153804,'Cannot be modified except by direct means',100,2,15),
(262973,153804,'Must not be engaged in pvp combat',100,1,16),
(262974,10153804,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(262975,10153804,'Must not be engaged in pvp combat',100,1,1),
(262976,10153804,'Cannot be modified except by direct means',100,1,2),
(262977,10153804,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(262978,10153804,'When Equipped:',100,0,4),
(262979,10153804,'On a critical spell hit this spell may cast Intimidating Rush IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(262980,10153804,'Must not be engaged in pvp combat',100,2,6),
(262981,10153804,'Cannot be modified except by direct means',100,2,7),
(262982,10153804,'On a critical combat hit this spell may cast Intimidating Rush IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(262983,10153804,'Must not be engaged in pvp combat',100,2,9),
(262984,10153804,'Cannot be modified except by direct means',100,2,10),
(262985,10153804,'Must not be engaged in pvp combat',100,1,11),
(262986,124138,'Inflicts 80 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(262987,124138,'Applies Banshee''s Scream on termination.',100,1,1),
(262988,124138,'Inflicts 239 - 399 disease damage on target',100,2,2),
(262989,10124138,'Inflicts 96 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(262990,10124138,'Applies Banshee''s Scream on termination.',100,1,1),
(262991,10124138,'Inflicts 287 - 479 disease damage on target',100,2,2),
(262992,48183,'Applies Spirit of the Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(262993,48183,'Shapechanges caster into a bear',100,1,1),
(262994,48183,'Increases Out-of-Combat Health Regeneration of caster by 22.0',100,1,2),
(262995,48183,'This effect suspends during combat',100,1,3),
(262996,48183,'Only affects targets level 10 and above',100,1,4),
(262997,10048183,'Applies Spirit of the Bear when Activated.  Lasts for 30 minutes.',100,0,0),
(262998,10048183,'Shapechanges caster into a bear',100,1,1),
(262999,10048183,'Increases Out-of-Combat Health Regeneration of caster by 22.0',100,1,2),
(263000,10048183,'This effect suspends during combat',100,1,3),
(263001,10048183,'Only affects targets level 10 and above',100,1,4),
(263002,100864,'Wards target against 2529 points of all damage',100,1,0),
(263003,10100864,'Wards target against 3891 points of all damage',100,1,0),
(263004,48715,'Applies Elixir of Comprehension  when Activated.  Lasts for 30 minutes.',100,0,0),
(263005,10048715,'Applies Elixir of Comprehension  when Activated.  Lasts for 30 minutes.',100,0,0),
(263006,117249,'Inflicts 44 slashing damage on target every 4 seconds',100,1,0),
(263007,117249,'Inflicts 222 - 370 melee damage on target',100,1,1),
(263008,10117249,'Inflicts 53 slashing damage on target every 4 seconds',100,1,0),
(263009,10117249,'Inflicts 266 - 444 melee damage on target',100,1,1),
(263010,107162,'Inflicts 15 - 25 divine damage on target',100,1,0),
(263011,107162,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(263012,107162,'Stuns target',100,2,2),
(263013,107162,'If Target is not Epic',100,3,3),
(263014,107162,'Inflicts 35 - 59 divine damage on target',100,2,4),
(263015,107162,'Inflicts 30 - 50 divine damage on target',100,2,5),
(263016,107162,'If target is undead',100,3,6),
(263017,10107162,'Inflicts 12 - 20 divine damage on target',100,1,0),
(263018,10107162,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(263019,10107162,'Stuns target',100,2,2),
(263020,10107162,'Inflicts 63 - 106 divine damage on target',100,2,3),
(263021,10107162,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(263022,37438,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(263023,106001,'Inflicts 14 - 17 divine damage on target instantly and every 3 seconds',100,1,0),
(263024,106001,'Decreases Defense of target by 2.8',100,1,1),
(263025,10106001,'Inflicts 11 - 13 divine damage on target instantly and every 3 seconds',100,1,0),
(263026,10106001,'Decreases Defense of target by 2.8',100,1,1),
(263027,48710,'Applies Elixir of Astuteness  when Activated.  Lasts for 15 minutes.',100,0,0),
(263028,48710,'Increases Max Power of caster by 97.5',100,1,1),
(263029,10048710,'Applies Elixir of Astuteness  when Activated.  Lasts for 15 minutes.',100,0,0),
(263030,10048710,'Increases Max Power of caster by 97.5',100,1,1),
(263031,37511,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(263032,114383,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(263033,114383,'Stuns target',100,2,1),
(263034,114383,'Blurs vision of target',100,2,2),
(263035,114383,'Throws target back',100,2,3),
(263036,114383,'Does not affect Epic targets',100,2,4),
(263037,114383,'Inflicts 405 - 676 crushing damage on target',100,1,5),
(263038,10114383,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(263039,10114383,'Blurs vision of target',100,2,1),
(263040,10114383,'Stuns target',100,2,2),
(263041,10114383,'Throws target back',100,2,3),
(263042,10114383,'Does not affect Epic targets',100,2,4),
(263043,10114383,'Inflicts 486 - 811 crushing damage on target',100,1,5),
(263044,119504,'Dazes target encounter',100,1,0),
(263045,119504,'If Target is not Epic',100,2,1),
(263046,119504,'Inflicts 240 - 293 magic damage on target encounter instantly and every second',100,1,2),
(263047,119504,'Resistibility increases against targets higher than level 117.',100,1,3),
(263048,10119504,'Dazes target encounter',100,1,0),
(263049,10119504,'If Target is not Epic',100,2,1),
(263050,10119504,'Inflicts 378 - 462 magic damage on target encounter',100,1,2),
(263051,10119504,'Inflicts 287 - 351 magic damage on target encounter every second',100,1,3),
(263052,10119504,'Resistibility increases against targets higher than level 117.',100,1,4),
(263053,46737,'Applies Dump the Ashes when Activated.',100,0,0),
(263054,10046737,'Applies Dump the Ashes when Activated.',100,0,0),
(263055,159326,'Applies Lambent Imbued when Equipped.',100,0,0),
(263056,159326,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(263057,159326,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(263058,159326,'Cannot be modified except by direct means',100,2,3),
(263059,10159326,'Applies Lambent Imbued when Equipped.',100,0,0),
(263060,10159326,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(263061,10159326,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(263062,10159326,'Cannot be modified except by direct means',100,2,3),
(263063,113961,'Decreases power of target encounter by 71 instantly and every 4 seconds',100,1,0),
(263064,113961,'Increases power of group members (AE) by 49 instantly and every 4 seconds',100,1,1),
(263065,10113961,'Decreases power of target encounter by 71 instantly and every 4 seconds',100,1,0),
(263066,10113961,'Increases power of group members (AE) by 49 instantly and every 4 seconds',100,1,1),
(263067,74754,'When Equipped:',100,0,0),
(263068,74754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263069,74754,'Inflicts 64 - 96 magic damage on target',100,2,2),
(263070,74754,'Cannot be modified except by direct means',100,2,3),
(263071,10074754,'When Equipped:',100,0,0),
(263072,10074754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263073,10074754,'Inflicts 77 - 115 magic damage on target',100,2,2),
(263074,10074754,'Cannot be modified except by direct means',100,2,3),
(263075,134144,'When Equipped:',100,0,0),
(263076,134144,'Increases Potency of caster by 5.0%',100,1,1),
(263077,134144,'Increases Crit Bonus of caster by 5.0%',100,1,2),
(263078,134144,'Increases Max Health of caster by 1,550.0',100,1,3),
(263079,134144,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(263080,134144,'Cannot be modified except by direct means',100,1,5),
(263081,10134144,'When Equipped:',100,0,0),
(263082,10134144,'Increases Potency of caster by 5.0%',100,1,1),
(263083,10134144,'Increases Crit Bonus of caster by 5.0%',100,1,2),
(263084,10134144,'Increases Max Health of caster by 1,550.0',100,1,3),
(263085,10134144,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(263086,10134144,'Cannot be modified except by direct means',100,1,5),
(263087,121414,'Inflicts 57 - 96 ranged damage on target',100,1,0),
(263088,121414,'Inflicts 57 - 96 ranged damage on target',100,1,1),
(263089,121414,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(263090,121414,'Slows target by 46.5%',100,2,3),
(263091,121414,'5% chance to dispel when target receives hostile action',100,2,4),
(263092,121414,'5% chance to dispel when target takes damage',100,2,5),
(263093,121414,'If weapon equipped in Ranged',100,1,6),
(263094,10121414,'Inflicts 43 - 72 ranged damage on target',100,1,0),
(263095,10121414,'Inflicts 43 - 72 ranged damage on target',100,1,1),
(263096,10121414,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(263097,10121414,'Slows target by 46.5%',100,2,3),
(263098,10121414,'5% chance to dispel when target receives hostile action',100,2,4),
(263099,10121414,'5% chance to dispel when target takes damage',100,2,5),
(263100,10121414,'If weapon equipped in Ranged',100,1,6),
(263101,73094,'When Equipped:',100,0,0),
(263102,73094,'Improves the combat art damage of the swashbuckler by 10%',100,1,1),
(263103,73094,'When Equipped:',100,0,2),
(263104,73094,'On a melee hit this spell may cast Swarthy Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(263105,73094,'Adds an additional 8% hate transfer to Swarthy Deception IV',100,2,4),
(263106,73094,'Inflicts 458 - 688 piercing damage on target',100,2,5),
(263107,73094,'Inflicts 160 - 241 piercing damage on target every 3 seconds',100,2,6),
(263108,73094,'Cannot be modified except by direct means',100,2,7),
(263109,73094,'Cannot be modified except by direct means',100,1,8),
(263110,73094,'When Equipped:',100,0,9),
(263111,73094,'Traumatic Swipe will gain an additional effect that causes the target to reduce their spell damage by 10%',100,1,10),
(263112,10073094,'When Equipped:',100,0,0),
(263113,10073094,'Improves the combat art damage of the swashbuckler by 10%',100,1,1),
(263114,10073094,'When Equipped:',100,0,2),
(263115,10073094,'On a melee hit this spell may cast Swarthy Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(263116,10073094,'Adds an additional 8% hate transfer to Swarthy Deception IV',100,2,4),
(263117,10073094,'Inflicts 550 - 825 piercing damage on target',100,2,5),
(263118,10073094,'Inflicts 193 - 289 piercing damage on target every 3 seconds',100,2,6),
(263119,10073094,'Cannot be modified except by direct means',100,2,7),
(263120,10073094,'Cannot be modified except by direct means',100,1,8),
(263121,10073094,'When Equipped:',100,0,9),
(263122,10073094,'Traumatic Swipe will gain an additional effect that causes the target to reduce their spell damage by 10%',100,1,10),
(263123,48737,'Applies Elixir of Liveliness  when Activated.  Lasts for 15 minutes.',100,0,0),
(263124,48737,'Increases Max Health of caster by 43.0',100,1,1),
(263125,10048737,'Applies Elixir of Liveliness  when Activated.  Lasts for 15 minutes.',100,0,0),
(263126,10048737,'Increases Max Health of caster by 43.0',100,1,1),
(263127,112500,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(263128,112500,'Inflicts 40 disease damage on target instantly and every 4 seconds',100,2,1),
(263129,112500,'50% of target''s power consumed will also be drained from target''s health',100,2,2),
(263130,10112500,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(263131,10112500,'Inflicts 48 disease damage on target instantly and every 4 seconds',100,2,1),
(263132,10112500,'50% of target''s power consumed will also be drained from target''s health',100,2,2),
(263133,106759,'Mesmerizes target',100,1,0),
(263134,106759,'Prevents AOE (except when direct) ',100,1,1),
(263135,106759,'Dispelled when target takes damage',100,1,2),
(263136,106759,'Does not affect Epic targets',100,1,3),
(263137,106759,'Resistibility increases against targets higher than level 55.',100,1,4),
(263138,10106759,'Mesmerizes target',100,1,0),
(263139,10106759,'Prevents AOE (except when direct) ',100,1,1),
(263140,10106759,'Dispelled when target takes damage',100,1,2),
(263141,10106759,'Does not affect Epic targets',100,1,3),
(263142,10106759,'Resistibility increases against targets higher than level 55.',100,1,4),
(263143,81840,'When Equipped:',100,0,0),
(263144,81840,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263145,81840,'Inflicts 97 - 180 magic damage on target',100,2,2),
(263146,81840,'Cannot be modified except by direct means',100,2,3),
(263147,10081840,'When Equipped:',100,0,0),
(263148,10081840,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263149,10081840,'Inflicts 116 - 216 magic damage on target',100,2,2),
(263150,10081840,'Cannot be modified except by direct means',100,2,3),
(263151,109858,'Increases Defense of group members (AE) by 9.1',100,1,0),
(263152,10109858,'Increases Defense of group members (AE) by 9.1',100,1,0),
(263153,50654,'When Equipped:',100,0,0),
(263154,50654,'Increases caster''s chance to block by 25.0%',100,1,1),
(263155,10050654,'When Equipped:',100,0,0),
(263156,10050654,'Increases caster''s chance to block by 25.0%',100,1,1),
(263157,119368,'Inflicts 270 - 406 disease damage on target',100,1,0),
(263158,119368,'Inflicts 108 - 162 disease damage on target every 4 seconds',100,1,1),
(263159,10119368,'Inflicts 325 - 487 disease damage on target',100,1,0),
(263160,10119368,'Inflicts 130 - 195 disease damage on target every 4 seconds',100,1,1),
(263161,35675,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(263162,143766,'When Equipped:',100,0,0),
(263163,143766,'On any combat or spell hit this spell may cast Increased Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(263164,143766,'Increases Damage Per Second of caster by 5.0',100,2,2),
(263165,143766,'Increases Multi Attack Chance of caster by 12.0',100,2,3),
(263166,143766,'Cannot be modified except by direct means',100,2,4),
(263167,10143766,'When Equipped:',100,0,0),
(263168,10143766,'On any combat or spell hit this spell may cast Increased Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(263169,10143766,'Increases Damage Per Second of caster by 5.0',100,2,2),
(263170,10143766,'Increases Multi Attack Chance of caster by 12.0',100,2,3),
(263171,10143766,'Cannot be modified except by direct means',100,2,4),
(263172,159838,'Applies Sanguine Imbued when Equipped.',100,0,0),
(263173,159838,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(263174,159838,'Inflicts 189 heat damage on target',100,2,2),
(263175,159838,'Cannot be modified except by direct means',100,2,3),
(263176,10159838,'Applies Sanguine Imbued when Equipped.',100,0,0),
(263177,10159838,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(263178,10159838,'Inflicts 227 heat damage on target',100,2,2),
(263179,10159838,'Cannot be modified except by direct means',100,2,3),
(263180,105653,'Decreases Damage Per Second of target by 19.3',100,1,0),
(263181,105653,'Inflicts 29 - 48 melee damage on target',100,1,1),
(263182,105653,'Must be flanking or behind',100,1,2),
(263183,10105653,'Decreases Damage Per Second of target by 19.3',100,1,0),
(263184,10105653,'Inflicts 35 - 58 melee damage on target',100,1,1),
(263185,10105653,'Must be flanking or behind',100,1,2),
(263186,120653,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 8.8',100,1,0),
(263187,120653,'Increases Focus of group members (AE) by 17.7',100,1,1),
(263188,10120653,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 8.8',100,1,0),
(263189,10120653,'Increases Focus of group members (AE) by 17.7',100,1,1),
(263190,138401,'Applies Heroic Resistance X when Equipped.',100,0,0),
(263191,138401,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(263192,138401,'Cannot be modified except by direct means',100,1,2),
(263193,138401,'When Equipped:',100,0,3),
(263194,138401,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(263195,138401,'Heals group members (AE) for 583',100,2,5),
(263196,138401,'Cannot be modified except by direct means',100,2,6),
(263197,10138401,'Applies Heroic Resistance X when Equipped.',100,0,0),
(263198,10138401,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(263199,10138401,'Cannot be modified except by direct means',100,1,2),
(263200,10138401,'When Equipped:',100,0,3),
(263201,10138401,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,4),
(263202,10138401,'Heals group members (AE) for 682',100,2,5),
(263203,10138401,'Cannot be modified except by direct means',100,2,6),
(263204,87293,'When Equipped:',100,0,0),
(263205,87293,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263206,87293,'Inflicts 73 - 110 magic damage on target',100,2,2),
(263207,87293,'Cannot be modified except by direct means',100,2,3),
(263208,10087293,'When Equipped:',100,0,0),
(263209,10087293,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263210,10087293,'Inflicts 88 - 132 magic damage on target',100,2,2),
(263211,10087293,'Cannot be modified except by direct means',100,2,3),
(263212,105716,'Decreases Attack Speed of target encounter by 20.2',100,1,0),
(263213,105716,'Slows target encounter by 27.2%',100,1,1),
(263214,10105716,'Decreases Attack Speed of target encounter by 20.2',100,1,0),
(263215,10105716,'Slows target encounter by 27.2%',100,1,1),
(263216,50128,'When Equipped:',100,0,0),
(263217,50128,'Increases WIS, STR, INT and AGI of caster by 5.0',100,1,1),
(263218,50128,'Increases Potency of caster by 3.5%',100,1,2),
(263219,50128,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(263220,50128,'Cannot be modified except by direct means',100,1,4),
(263221,10050128,'When Equipped:',100,0,0),
(263222,10050128,'Increases WIS, STR, INT and AGI of caster by 5.0',100,1,1),
(263223,10050128,'Increases Potency of caster by 3.5%',100,1,2),
(263224,10050128,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(263225,10050128,'Cannot be modified except by direct means',100,1,4),
(263226,45925,'Applies Deepwater Disk of the Scion when Activated.',100,0,0),
(263227,45925,'Reduces maximum falling speed of caster',100,1,1),
(263228,45925,'Increases Crit Chance of caster by 2.0',100,1,2),
(263229,45925,'Increases Max Health of caster by 150.0',100,1,3),
(263230,45925,'Increases Max Power of caster by 150.0',100,1,4),
(263231,45925,'Summons a mount to ride',100,1,5),
(263232,45925,'Increases your ground speed by 130%',100,2,6),
(263233,10045925,'Applies Deepwater Disk of the Scion when Activated.',100,0,0),
(263234,10045925,'Reduces maximum falling speed of caster',100,1,1),
(263235,10045925,'Increases Crit Chance of caster by 2.0',100,1,2),
(263236,10045925,'Increases Max Health of caster by 150.0',100,1,3),
(263237,10045925,'Increases Max Power of caster by 150.0',100,1,4),
(263238,10045925,'Summons a mount to ride',100,1,5),
(263239,10045925,'Increases your ground speed by 130%',100,2,6),
(263240,71860,'When Equipped:',100,0,0),
(263241,71860,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263242,71860,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(263243,71860,'Cannot be modified except by direct means',100,2,3),
(263244,10071860,'When Equipped:',100,0,0),
(263245,10071860,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263246,10071860,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(263247,10071860,'Cannot be modified except by direct means',100,2,3),
(263248,105654,'Decreases Damage Per Second of target by 16.7',100,1,0),
(263249,105654,'Inflicts 72 - 121 melee damage on target',100,1,1),
(263250,105654,'Must be flanking or behind',100,1,2),
(263251,10105654,'Decreases Damage Per Second of target by 16.7',100,1,0),
(263252,10105654,'Inflicts 87 - 145 melee damage on target',100,1,1),
(263253,10105654,'Must be flanking or behind',100,1,2),
(263254,124619,'Heals group members (AE) for 248 - 304',100,1,0),
(263255,124619,'Heals group members (AE) for 42 - 51 every second',100,1,1),
(263256,10124619,'Heals group members (AE) for 363 - 444',100,1,0),
(263257,10124619,'Heals group members (AE) for 45 - 55 every second',100,1,1),
(263258,112391,'Increases Crushing, Piercing, Slashing and Ranged of target by 45.4',100,1,0),
(263259,112391,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(263260,112391,'Inflicts 335 - 409 piercing damage on target',100,2,2),
(263261,112391,'Inflicts 168 - 205 piercing damage on target every 3 seconds',100,2,3),
(263262,10112391,'Increases Crushing, Piercing, Slashing and Ranged of target by 45.4',100,1,0),
(263263,10112391,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(263264,10112391,'Inflicts 402 - 491 piercing damage on target',100,2,2),
(263265,10112391,'Inflicts 201 - 246 piercing damage on target every 3 seconds',100,2,3),
(263266,48503,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(263267,48503,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(263268,48503,'Stifles target',100,2,2),
(263269,48503,'If Target is not Epic',100,3,3),
(263270,48503,'Cannot be modified except by direct means',100,2,4),
(263271,48503,'Grants a total of 4 triggers of the spell.',100,2,5),
(263272,10048503,'Applies touch of the revenant when Activated.  Lasts for 12 hours.',100,0,0),
(263273,10048503,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 4.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(263274,10048503,'Stifles target',100,2,2),
(263275,10048503,'If Target is not Epic',100,3,3),
(263276,10048503,'Cannot be modified except by direct means',100,2,4),
(263277,10048503,'Grants a total of 4 triggers of the spell.',100,2,5),
(263278,177500,'When Equipped:',100,0,0),
(263279,177500,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263280,177500,'Increases STR of caster by 5.8',100,2,2),
(263281,177500,'Increases Damage Per Second of caster by 13.2',100,2,3),
(263282,177500,'Cannot be modified except by direct means',100,2,4),
(263283,10177500,'When Equipped:',100,0,0),
(263284,10177500,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263285,10177500,'Increases STR of caster by 5.8',100,2,2),
(263286,10177500,'Increases Damage Per Second of caster by 13.2',100,2,3),
(263287,10177500,'Cannot be modified except by direct means',100,2,4),
(263288,159768,'Applies Lambent Imbued when Equipped.',100,0,0),
(263289,159768,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(263290,159768,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(263291,159768,'Cannot be modified except by direct means',100,2,3),
(263292,10159768,'Applies Lambent Imbued when Equipped.',100,0,0),
(263293,10159768,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(263294,10159768,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(263295,10159768,'Cannot be modified except by direct means',100,2,3),
(263296,107514,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(263297,10107514,'Dispels 87 levels of any hostile effects on group members (AE)',100,1,0),
(263298,122848,'Inflicts 37 - 61 ranged damage on target',100,1,0),
(263299,122848,'Inflicts 74 - 123 ranged damage on target',100,1,1),
(263300,122848,'Inflicts 111 - 185 ranged damage on target',100,1,2),
(263301,122848,'Requires bow',100,1,3),
(263302,10122848,'Inflicts 34 - 57 ranged damage on target',100,1,0),
(263303,10122848,'Inflicts 69 - 115 ranged damage on target',100,1,1),
(263304,10122848,'Inflicts 104 - 173 ranged damage on target',100,1,2),
(263305,10122848,'Requires bow',100,1,3),
(263306,122558,'Heals caster for 260',100,1,0),
(263307,122558,'Inflicts 358 - 597 melee damage on target',100,1,1),
(263308,10122558,'Heals caster for 169',100,1,0),
(263309,10122558,'Inflicts 430 - 716 melee damage on target',100,1,1),
(263310,100314,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(263311,100314,'Inflicts 336 divine damage on target',100,2,1),
(263312,10100314,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(263313,10100314,'Inflicts 404 divine damage on target',100,2,1),
(263314,47659,'Applies Overclocked Tools when Equipped.',100,0,0),
(263315,47659,'Increases success chance by 5.0%',100,1,1),
(263316,10047659,'Applies Overclocked Tools when Equipped.',100,0,0),
(263317,10047659,'Increases success chance by 5.0%',100,1,1),
(263318,48960,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(263319,48960,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(263320,48960,'Inflicts 87 poison damage on target instantly and every 6 seconds',100,2,2),
(263321,48960,'Inflicts 295 poison damage on target',100,2,3),
(263322,48960,'Cannot be modified except by direct means',100,2,4),
(263323,48960,'Grants a total of 200 triggers of the spell.',100,2,5),
(263324,10048960,'Applies ward of the stalwart when Activated.  Lasts for 12 hours.',100,0,0),
(263325,10048960,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(263326,10048960,'Inflicts 266 poison damage on target',100,2,2),
(263327,10048960,'Inflicts 78 poison damage on target instantly and every 6 seconds',100,2,3),
(263328,10048960,'Cannot be modified except by direct means',100,2,4),
(263329,10048960,'Grants a total of 200 triggers of the spell.',100,2,5),
(263330,106053,'Increases AGI of caster by 58.5',100,1,0),
(263331,106053,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(263332,106053,'Inflicts 71 - 119 disease damage on target',100,2,2),
(263333,106053,'Adds 25.0% to base avoidance.',100,1,3),
(263334,106053,'Increases Mitigation of caster vs physical damage by 302',100,1,4),
(263335,106053,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,5),
(263336,10106053,'Increases AGI of caster by 58.5',100,1,0),
(263337,10106053,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(263338,10106053,'Inflicts 85 - 142 disease damage on target',100,2,2),
(263339,10106053,'Adds 25.0% to base avoidance.',100,1,3),
(263340,10106053,'Increases Mitigation of caster vs physical damage by 302',100,1,4),
(263341,10106053,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,5),
(263342,71815,'When Equipped:',100,0,0),
(263343,71815,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263344,71815,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(263345,71815,'Cannot be modified except by direct means',100,2,3),
(263346,10071815,'When Equipped:',100,0,0),
(263347,10071815,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263348,10071815,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(263349,10071815,'Cannot be modified except by direct means',100,2,3),
(263350,122126,'Dispels 50 levels of arcane beneficial effects on target',100,1,0),
(263351,122126,'Interrupts target',100,1,1),
(263352,122126,'Increases Threat to target by 1,087 ',100,1,2),
(263353,10122126,'Interrupts target',100,1,0),
(263354,10122126,'Forces target to change their selected target to caster.',100,1,1),
(263355,10122126,'Dispels 50 levels of arcane beneficial effects on target',100,1,2),
(263356,159125,'When Equipped:',100,0,0),
(263357,159125,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(263358,159125,'Increases STA of caster by 11.9',100,2,2),
(263359,159125,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(263360,159125,'Cannot be modified except by direct means',100,2,4),
(263361,10159125,'When Equipped:',100,0,0),
(263362,10159125,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(263363,10159125,'Increases STA of caster by 11.9',100,2,2),
(263364,10159125,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(263365,10159125,'Cannot be modified except by direct means',100,2,4),
(263366,45503,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(263367,45503,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,1),
(263368,45503,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,2),
(263369,45503,'Charms target',100,1,3),
(263370,45503,'5% chance to dispel when target takes damage',100,1,4),
(263371,45503,'If target is ravasect',100,1,5),
(263372,45503,'Certain enemies cannot be charmed',100,1,6),
(263373,45503,'Does not affect Epic targets',100,1,7),
(263374,10045503,'Applies Allure when Activated.  Lasts for 10 minutes.',100,0,0),
(263375,10045503,'Increases Out-of-Combat Power Regeneration of target by 24.8',100,1,1),
(263376,10045503,'Increases Out-of-Combat Health Regeneration of target by 49.6',100,1,2),
(263377,10045503,'Charms target',100,1,3),
(263378,10045503,'5% chance to dispel when target takes damage',100,1,4),
(263379,10045503,'If target is ravasect',100,1,5),
(263380,10045503,'Certain enemies cannot be charmed',100,1,6),
(263381,10045503,'Does not affect Epic targets',100,1,7),
(263382,111315,'Increases Attack Speed of caster by 26.3',100,1,0),
(263383,10111315,'Increases Attack Speed of caster by 26.3',100,1,0),
(263384,109754,'Inflicts 134 - 250 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(263385,10109754,'Inflicts 161 - 300 cold damage on target encounter instantly and every 2 seconds',100,1,0),
(263386,112477,'Decreases AGI and WIS of target by 43.2',100,1,0),
(263387,10112477,'Decreases AGI and WIS of target by 43.2',100,1,0),
(263388,53143,'When Equipped:',100,0,0),
(263389,53143,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(263390,53143,'Increases Max Health of group members by 600.0',100,2,2),
(263391,53143,'Cannot be modified except by direct means',100,2,3),
(263392,10053143,'When Equipped:',100,0,0),
(263393,10053143,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(263394,10053143,'Increases Max Health of group members by 600.0',100,2,2),
(263395,10053143,'Cannot be modified except by direct means',100,2,3),
(263396,136456,'When Equipped:',100,0,0),
(263397,136456,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(263398,136456,'Inflicts 13 divine damage on target',100,2,2),
(263399,136456,'Cannot be modified except by direct means',100,2,3),
(263400,10136456,'When Equipped:',100,0,0),
(263401,10136456,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(263402,10136456,'Inflicts 15 divine damage on target',100,2,2),
(263403,10136456,'Cannot be modified except by direct means',100,2,3),
(263404,158721,'When Equipped:',100,0,0),
(263405,158721,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(263406,158721,'Increases Ability Reuse Speed of group members by 3.0%',100,2,2),
(263407,158721,'Cannot be modified except by direct means',100,2,3),
(263408,158721,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(263409,158721,'Increases Ability Reuse Speed of group members by 3.0%',100,2,5),
(263410,158721,'Cannot be modified except by direct means',100,2,6),
(263411,158721,'Cannot be modified except by direct means',100,1,7),
(263412,10158721,'When Equipped:',100,0,0),
(263413,10158721,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(263414,10158721,'Increases Ability Reuse Speed of group members by 3.0%',100,2,2),
(263415,10158721,'Cannot be modified except by direct means',100,2,3),
(263416,10158721,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(263417,10158721,'Increases Ability Reuse Speed of group members by 3.0%',100,2,5),
(263418,10158721,'Cannot be modified except by direct means',100,2,6),
(263419,10158721,'Cannot be modified except by direct means',100,1,7),
(263420,120531,'Decreases Defense of target by 9.4',100,1,0),
(263421,10120531,'Decreases Defense of target by 9.4',100,1,0),
(263422,113102,'Heals target for 56.2 - 68.6% of max health',100,1,0),
(263423,113102,'This effect cannot be critically applied.',100,2,1),
(263424,113102,'Increases Max Health of target by 645.3',100,1,2),
(263425,113102,'Increases Mitigation of target vs physical damage by 744',100,1,3),
(263426,113102,'The healing of this spell cannot be modified except by direct means',100,1,4),
(263427,10113102,'Heals target for 22.5 - 27.5% of max health',100,1,0),
(263428,10113102,'This effect cannot be critically applied.',100,2,1),
(263429,10113102,'Increases Max Health of target by 645.3',100,1,2),
(263430,10113102,'Increases Mitigation of target vs physical damage by 744',100,1,3),
(263431,10113102,'The healing of this spell cannot be modified except by direct means',100,1,4),
(263432,154388,'When Equipped:',100,0,0),
(263433,154388,'On a hostile spell cast this spell may cast Al''kabor''s Arcane Barrier on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263434,154388,'Wards caster against 1200 points of all damage',100,2,2),
(263435,154388,'Cannot be modified except by direct means',100,2,3),
(263436,10154388,'When Equipped:',100,0,0),
(263437,10154388,'On a hostile spell cast this spell may cast Al''kabor''s Arcane Barrier on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263438,10154388,'Wards caster against 1200 points of all damage',100,2,2),
(263439,10154388,'Cannot be modified except by direct means',100,2,3),
(263440,113497,'Inflicts 163 - 271 melee damage on targets in area',100,1,0),
(263441,10113497,'Inflicts 195 - 326 melee damage on targets in area',100,1,0),
(263442,156905,'Applies Unstable Magics when Equipped.',100,0,0),
(263443,156905,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(263444,10156905,'Applies Unstable Magics when Equipped.',100,0,0),
(263445,10156905,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(263446,123798,'Inflicts 15 - 25 magic damage on target',100,1,0),
(263447,123798,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(263448,123798,'Decreases Defense of target by 6.3',100,1,2),
(263449,123798,'Target will lose 12% more power when power is consumed',100,1,3),
(263450,123798,'12% of target''s power consumed will also be drained from target''s health',100,1,4),
(263451,10123798,'Inflicts 18 - 30 magic damage on target',100,1,0),
(263452,10123798,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(263453,10123798,'Decreases Defense of target by 6.3',100,1,2),
(263454,10123798,'Target will lose 12% more power when power is consumed',100,1,3),
(263455,10123798,'12% of target''s power consumed will also be drained from target''s health',100,1,4),
(263456,107447,'Summons a pet earthen avatar',100,1,0),
(263457,10107447,'Summons a pet earthen avatar',100,1,0),
(263458,112329,'Applies Insolent Gibe.',100,1,0),
(263459,112329,'Increases Threat to targets in Area of Effect by 1,634 - 2,221 ',100,2,1),
(263460,112329,'Applies Insolent Assault.',100,1,2),
(263461,112329,'Inflicts 645 - 968 melee damage on targets in area',100,2,3),
(263462,112329,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(263463,112329,'Increases Threat to target encounter by 770 - 941 ',100,2,5),
(263464,10112329,'Applies Insolent Gibe.',100,1,0),
(263465,10112329,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(263466,10112329,'Applies Insolent Assault.',100,1,2),
(263467,10112329,'Inflicts 774 - 1162 melee damage on targets in area',100,2,3),
(263468,10112329,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(263469,10112329,'Forces target encounter to change their selected target to caster.',100,2,5),
(263470,48266,'Applies Personal Obscuration when Activated.',100,0,0),
(263471,48266,'Makes it less likely for others to detect you.',100,1,1),
(263472,10048266,'Applies Personal Obscuration when Activated.',100,0,0),
(263473,10048266,'Makes it less likely for others to detect you.',100,1,1),
(263474,159449,'Applies Lambent Imbued when Equipped.',100,0,0),
(263475,159449,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(263476,159449,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(263477,159449,'Cannot be modified except by direct means',100,2,3),
(263478,10159449,'Applies Lambent Imbued when Equipped.',100,0,0),
(263479,10159449,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(263480,10159449,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(263481,10159449,'Cannot be modified except by direct means',100,2,3),
(263482,82429,'When Equipped:',100,0,0),
(263483,82429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263484,82429,'Inflicts 204 - 379 magic damage on target',100,2,2),
(263485,82429,'Cannot be modified except by direct means',100,2,3),
(263486,10082429,'When Equipped:',100,0,0),
(263487,10082429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263488,10082429,'Inflicts 245 - 454 magic damage on target',100,2,2),
(263489,10082429,'Cannot be modified except by direct means',100,2,3),
(263490,46031,'Applies Edwardian''s Renewal when Activated.',100,0,0),
(263491,46031,'Heals caster for 104',100,1,1),
(263492,10046031,'Applies Edwardian''s Renewal when Activated.',100,0,0),
(263493,10046031,'Heals caster for 68',100,1,1),
(263494,108807,'Inflicts 244 - 453 heat damage on targets in Area of Effect',100,1,0),
(263495,10108807,'Inflicts 293 - 543 heat damage on targets in Area of Effect',100,1,0),
(263496,105811,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(263497,105811,'Inflicts 33 - 56 disease damage on target',100,2,1),
(263498,10105811,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(263499,10105811,'Inflicts 40 - 67 disease damage on target',100,2,1),
(263500,36689,'Increases STR of target by 14.9',100,0,0),
(263501,36689,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(263502,119438,'Inflicts 530 - 884 melee damage on target',100,1,0),
(263503,119438,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(263504,119438,'Stuns target',100,2,2),
(263505,119438,'Throws target back',100,2,3),
(263506,119438,'Blurs vision of target',100,2,4),
(263507,119438,'Does not affect Epic targets',100,2,5),
(263508,119438,'You must be sneaking to use this ability.',100,1,6),
(263509,10119438,'Inflicts 636 - 1061 melee damage on target',100,1,0),
(263510,10119438,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(263511,10119438,'Stuns target',100,2,2),
(263512,10119438,'Blurs vision of target',100,2,3),
(263513,10119438,'Throws target back',100,2,4),
(263514,10119438,'Does not affect Epic targets',100,2,5),
(263515,10119438,'You must be sneaking to use this ability.',100,1,6),
(263516,123654,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(263517,123654,'Slows target by 41.8%',100,2,1),
(263518,123654,'5% chance to dispel when target receives hostile action',100,2,2),
(263519,123654,'5% chance to dispel when target takes damage',100,2,3),
(263520,123654,'Inflicts 280 - 342 cold damage on target',100,1,4),
(263521,10123654,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(263522,10123654,'Slows target by 41.8%',100,2,1),
(263523,10123654,'5% chance to dispel when target receives hostile action',100,2,2),
(263524,10123654,'5% chance to dispel when target takes damage',100,2,3),
(263525,10123654,'Inflicts 288 - 352 cold damage on target',100,1,4),
(263526,84008,'Applies Lightning Shock when Activated.',100,0,0),
(263527,84008,'Inflicts 312 - 520 magic damage on target',100,1,1),
(263528,84008,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(263529,10084008,'Applies Lightning Shock when Activated.',100,0,0),
(263530,10084008,'Inflicts 375 - 624 magic damage on target',100,1,1),
(263531,10084008,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(263532,70594,'When Equipped:',100,0,0),
(263533,70594,'Increases Potency of caster by 3.5%',100,1,1),
(263534,70594,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(263535,70594,'Cannot be modified except by direct means',100,1,3),
(263536,70594,'When Equipped:',100,0,4),
(263537,70594,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(263538,70594,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,6),
(263539,70594,'Must not be engaged in pvp combat',100,2,7),
(263540,70594,'Cannot be modified except by direct means',100,2,8),
(263541,70594,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(263542,70594,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,10),
(263543,70594,'Must not be engaged in pvp combat',100,2,11),
(263544,70594,'Cannot be modified except by direct means',100,2,12),
(263545,70594,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(263546,70594,'Cannot be modified except by direct means',100,1,14),
(263547,10070594,'When Equipped:',100,0,0),
(263548,10070594,'Increases Potency of caster by 3.5%',100,1,1),
(263549,10070594,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(263550,10070594,'Cannot be modified except by direct means',100,1,3),
(263551,10070594,'When Equipped:',100,0,4),
(263552,10070594,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(263553,10070594,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,6),
(263554,10070594,'Must not be engaged in pvp combat',100,2,7),
(263555,10070594,'Cannot be modified except by direct means',100,2,8),
(263556,10070594,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(263557,10070594,'Increases INT, STR, WIS and AGI of caster by 110.0',100,2,10),
(263558,10070594,'Must not be engaged in pvp combat',100,2,11),
(263559,10070594,'Cannot be modified except by direct means',100,2,12),
(263560,10070594,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(263561,10070594,'Cannot be modified except by direct means',100,1,14),
(263562,117890,'Heals target for 480 - 586 instantly and every 2 seconds',100,1,0),
(263563,10117890,'Heals target for 312 - 381 instantly and every 2 seconds',100,1,0),
(263564,116257,'Summons a pet Illusion Ally',100,1,0),
(263565,10116257,'Summons a pet Illusion Ally',100,1,0),
(263566,135097,'When Equipped:',100,0,0),
(263567,135097,'On a melee hit this spell may cast Lethargy on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263568,135097,'Decreases Damage Per Second of target by 12.0',100,2,2),
(263569,135097,'Cannot be modified except by direct means',100,2,3),
(263570,10135097,'When Equipped:',100,0,0),
(263571,10135097,'On a melee hit this spell may cast Lethargy on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(263572,10135097,'Decreases Damage Per Second of target by 12.0',100,2,2),
(263573,10135097,'Cannot be modified except by direct means',100,2,3),
(263574,75539,'When Equipped:',100,0,0),
(263575,75539,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(263576,75539,'Reduces healing received by 15.00%',100,2,2),
(263577,75539,'Cannot be modified except by direct means',100,2,3),
(263578,75539,'This effect can only trigger once every 1 second.',100,2,4),
(263579,75539,'Must be engaged in pvp combat',100,1,5),
(263580,10075539,'When Equipped:',100,0,0),
(263581,10075539,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(263582,10075539,'Reduces healing received by 15.00%',100,2,2),
(263583,10075539,'Cannot be modified except by direct means',100,2,3),
(263584,10075539,'This effect can only trigger once every 1 second.',100,2,4),
(263585,10075539,'Must be engaged in pvp combat',100,1,5),
(263586,41594,'When Equipped:',100,0,0),
(263587,41594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263588,41594,'Inflicts 169 - 314 magic damage on target',100,2,2),
(263589,41594,'Cannot be modified except by direct means',100,2,3),
(263590,10041594,'When Equipped:',100,0,0),
(263591,10041594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263592,10041594,'Inflicts 203 - 377 magic damage on target',100,2,2),
(263593,10041594,'Cannot be modified except by direct means',100,2,3),
(263594,171387,'When Equipped:',100,0,0),
(263595,171387,'On a critical healing spell cast this spell may cast Rehabilitate IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(263596,171387,'Heals target for 238 - 263',100,2,2),
(263597,171387,'Applies Rehabilitate IV on termination.  Lasts for 15.0 seconds.',100,2,3),
(263598,171387,'Wards target against 400 points of all damage',100,3,4),
(263599,171387,'Must not be engaged in pvp combat',100,3,5),
(263600,171387,'Cannot be modified except by direct means',100,3,6),
(263601,171387,'If under 50% Health',100,3,7),
(263602,171387,'Must not be engaged in pvp combat',100,2,8),
(263603,171387,'Cannot be modified except by direct means',100,2,9),
(263604,171387,'Must not be engaged in pvp combat',100,1,10),
(263605,10171387,'When Equipped:',100,0,0),
(263606,10171387,'On a critical healing spell cast this spell may cast Rehabilitate IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(263607,10171387,'Heals target for 154 - 171',100,2,2),
(263608,10171387,'Applies Rehabilitate IV on termination.  Lasts for 15.0 seconds.',100,2,3),
(263609,10171387,'Wards target against 400 points of all damage',100,3,4),
(263610,10171387,'Must not be engaged in pvp combat',100,3,5),
(263611,10171387,'Cannot be modified except by direct means',100,3,6),
(263612,10171387,'If under 50% Health',100,3,7),
(263613,10171387,'Must not be engaged in pvp combat',100,2,8),
(263614,10171387,'Cannot be modified except by direct means',100,2,9),
(263615,10171387,'Must not be engaged in pvp combat',100,1,10),
(263616,36413,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(263617,36413,'Increases Max Power of target by 10.5',100,0,1),
(263618,123221,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(263619,123221,'Inflicts 171 - 209 disease damage on target',100,2,1),
(263620,123221,'Heals caster for 4.0 - 4.8% of max health',100,2,2),
(263621,123221,'This effect cannot be critically applied.',100,3,3),
(263622,123221,'The healing of this spell cannot be modified except by direct means',100,2,4),
(263623,123221,'Grants a total of 5 triggers of the spell.',100,2,5),
(263624,10123221,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(263625,10123221,'Inflicts 205 - 250 disease damage on target',100,2,1),
(263626,10123221,'Heals caster for 1.4 - 1.7% of max health',100,2,2),
(263627,10123221,'This effect cannot be critically applied.',100,3,3),
(263628,10123221,'The healing of this spell cannot be modified except by direct means',100,2,4),
(263629,10123221,'Grants a total of 5 triggers of the spell.',100,2,5),
(263630,36897,'Increases AGI of target by 6.2',100,0,0),
(263631,36897,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(263632,103759,'Teleports target to caster',100,1,0),
(263633,103759,'This effect cannot be cast during combat',100,1,1),
(263634,10103759,'Teleports target to caster',100,1,0),
(263635,10103759,'This effect cannot be cast during combat',100,1,1),
(263636,24081,'Adds Chardok: Di''Zok Skull to your Dungeon Maker toolbox',100,0,0),
(263637,10024081,'Adds Chardok: Di''Zok Skull to your Dungeon Maker toolbox',100,0,0),
(263638,102284,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(263639,102284,'Decreases Threat to target by 170 ',100,2,1),
(263640,10102284,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(263641,10102284,'Inflicts 10 - 11 crushing damage on target',100,2,1),
(263642,24178,'Adds Crushbone: Flour Reserves to your Dungeon Maker toolbox',100,0,0),
(263643,10024178,'Adds Crushbone: Flour Reserves to your Dungeon Maker toolbox',100,0,0),
(263644,107422,'Summons a pet earthen avatar',100,1,0),
(263645,10107422,'Summons a pet earthen avatar',100,1,0),
(263646,170704,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(263647,170704,'Slows target by 32.2%',100,1,1),
(263648,170704,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(263649,170704,'Decreases Attack Speed of target by 13.2',100,2,3),
(263650,170704,'Cannot be modified except by direct means',100,2,4),
(263651,170704,'5% chance to dispel when target takes damage',100,1,5),
(263652,170704,'5% chance to dispel when target receives hostile action',100,1,6),
(263653,170704,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(263654,10170704,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(263655,10170704,'Slows target by 32.2%',100,1,1),
(263656,10170704,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(263657,10170704,'Decreases Attack Speed of target by 13.2',100,2,3),
(263658,10170704,'Cannot be modified except by direct means',100,2,4),
(263659,10170704,'5% chance to dispel when target takes damage',100,1,5),
(263660,10170704,'5% chance to dispel when target receives hostile action',100,1,6),
(263661,10170704,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(263662,81107,'When Equipped:',100,0,0),
(263663,81107,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263664,81107,'Inflicts 136 - 252 magic damage on target',100,2,2),
(263665,81107,'Cannot be modified except by direct means',100,2,3),
(263666,10081107,'When Equipped:',100,0,0),
(263667,10081107,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263668,10081107,'Inflicts 163 - 303 magic damage on target',100,2,2),
(263669,10081107,'Cannot be modified except by direct means',100,2,3),
(263670,181989,'When Equipped:',100,0,0),
(263671,181989,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(263672,181989,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(263673,181989,'Cannot be modified except by direct means',100,2,3),
(263674,10181989,'When Equipped:',100,0,0),
(263675,10181989,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(263676,10181989,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(263677,10181989,'Cannot be modified except by direct means',100,2,3),
(263678,48350,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(263679,48350,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(263680,48350,'Inflicts 104 poison damage on target',100,2,2),
(263681,48350,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,3),
(263682,48350,'Cannot be modified except by direct means',100,2,4),
(263683,48350,'Grants a total of 200 triggers of the spell.',100,2,5),
(263684,10048350,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(263685,10048350,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(263686,10048350,'Inflicts 93 poison damage on target',100,2,2),
(263687,10048350,'Inflicts 27 poison damage on target instantly and every 6 seconds',100,2,3),
(263688,10048350,'Cannot be modified except by direct means',100,2,4),
(263689,10048350,'Grants a total of 200 triggers of the spell.',100,2,5),
(263690,87291,'When Equipped:',100,0,0),
(263691,87291,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263692,87291,'Inflicts 73 - 110 magic damage on target',100,2,2),
(263693,87291,'Cannot be modified except by direct means',100,2,3),
(263694,10087291,'When Equipped:',100,0,0),
(263695,10087291,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(263696,10087291,'Inflicts 88 - 132 magic damage on target',100,2,2),
(263697,10087291,'Cannot be modified except by direct means',100,2,3),
(263698,25557,'When Equipped:',100,0,0),
(263699,25557,'Instinct VI grants the target 10% accuracy and 7% double attack.',100,1,1),
(263700,25557,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(263701,10025557,'When Equipped:',100,0,0),
(263702,10025557,'Instinct VI grants the target 10% accuracy and 7% double attack.',100,1,1),
(263703,10025557,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(263704,109940,'Stuns target',100,1,0),
(263705,109940,'Does not affect Epic targets',100,1,1),
(263706,109940,'Resistibility increases against targets higher than level 87.',100,1,2),
(263707,10109940,'Stuns target',100,1,0),
(263708,10109940,'Does not affect Epic targets',100,1,1),
(263709,10109940,'Resistibility increases against targets higher than level 87.',100,1,2),
(263710,48892,'Applies Silverwind''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(263711,48892,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(263712,10048892,'Applies Silverwind''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(263713,10048892,'Increases power of caster by 8 instantly and every 5 seconds',100,1,1),
(263714,82019,'When Equipped:',100,0,0),
(263715,82019,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(263716,82019,'Inflicts 138 - 257 magic damage on target',100,2,2),
(263717,82019,'Decreases Threat to target by 641 ',100,2,3),
(263718,82019,'Must be flanking or behind',100,3,4),
(263719,82019,'Increases Threat to target by 1,101 ',100,2,5),
(263720,82019,'Must be in front of',100,3,6),
(263721,82019,'Cannot be modified except by direct means',100,2,7),
(263722,10082019,'When Equipped:',100,0,0),
(263723,10082019,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(263724,10082019,'Inflicts 166 - 309 magic damage on target',100,2,2),
(263725,10082019,'Cannot be modified except by direct means',100,2,3),
(263726,46359,'Applies Flask of Adventuring I when Activated.  Lasts for 2 hours.',100,0,0),
(263727,46359,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(263728,46359,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,2),
(263729,46359,'Increases AA XP Gain of caster by 25.0%',100,1,3),
(263730,46359,'You can only have one experience potion active at a time.',100,1,4),
(263731,10046359,'Applies Flask of Adventuring I when Activated.  Lasts for 2 hours.',100,0,0),
(263732,10046359,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(263733,10046359,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,2),
(263734,10046359,'Increases AA XP Gain of caster by 25.0%',100,1,3),
(263735,10046359,'You can only have one experience potion active at a time.',100,1,4),
(263736,122655,'Decreases Defense of target by 7.9',100,1,0),
(263737,122655,'Decreases Mitigation of target vs physical damage by 132',100,1,1),
(263738,10122655,'Decreases Defense of target by 7.9',100,1,0),
(263739,10122655,'Decreases Mitigation of target vs physical damage by 132',100,1,1),
(263740,80482,'When Equipped:',100,0,0),
(263741,80482,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(263742,80482,'Inflicts 48 - 90 magic damage on target',100,2,2),
(263743,80482,'Decreases Threat to target by 153 ',100,2,3),
(263744,80482,'Must be flanking or behind',100,3,4),
(263745,80482,'Increases Threat to target by 267 ',100,2,5),
(263746,80482,'Must be in front of',100,3,6),
(263747,80482,'Cannot be modified except by direct means',100,2,7),
(263748,10080482,'When Equipped:',100,0,0),
(263749,10080482,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(263750,10080482,'Inflicts 58 - 107 magic damage on target',100,2,2),
(263751,10080482,'Cannot be modified except by direct means',100,2,3),
(263752,152541,'When Equipped:',100,0,0),
(263753,152541,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(263754,152541,'Heals caster for 95 instantly and every 5 seconds',100,2,2),
(263755,152541,'Cannot be modified except by direct means',100,2,3),
(263756,10152541,'When Equipped:',100,0,0),
(263757,10152541,'When damaged with a melee weapon this spell has a 7% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(263758,10152541,'Heals caster for 62 instantly and every 5 seconds',100,2,2),
(263759,10152541,'Cannot be modified except by direct means',100,2,3),
(263760,138543,'When Equipped:',100,0,0),
(263761,138543,'Increases the trigger chance of items and spells by 15%.',100,1,1),
(263762,138543,'On any combat or spell hit this spell may cast Call of Death on target of attack.  Triggers about 3.0 times per minute. ',100,1,2),
(263763,138543,'Inflicts 1650 - 2017 disease damage on target',100,2,3),
(263764,138543,'If under 20% Health',100,3,4),
(263765,138543,'Inflicts 413 - 504 disease damage on target',100,2,5),
(263766,138543,'If over 20% Health',100,3,6),
(263767,138543,'Cannot be modified except by direct means',100,2,7),
(263768,10138543,'When Equipped:',100,0,0),
(263769,10138543,'Increases the trigger chance of items and spells by 15%.',100,1,1),
(263770,10138543,'On any combat or spell hit this spell may cast Call of Death on target of attack.  Triggers about 3.0 times per minute. ',100,1,2),
(263771,10138543,'Inflicts 421 - 514 disease damage on target',100,2,3),
(263772,10138543,'If over 20% Health',100,3,4),
(263773,10138543,'Inflicts 1683 - 2057 disease damage on target',100,2,5),
(263774,10138543,'If under 20% Health',100,3,6),
(263775,10138543,'Cannot be modified except by direct means',100,2,7),
(263776,186156,'When Equipped:',100,0,0),
(263777,186156,'Increases Potency of caster by 1.8%',100,1,1),
(263778,186156,'Increases Spell Reuse Speed of caster by 1.8%',100,1,2),
(263779,186156,'Must not be engaged in pvp combat',100,1,3),
(263780,10186156,'When Equipped:',100,0,0),
(263781,10186156,'Increases Potency of caster by 1.8%',100,1,1),
(263782,10186156,'Increases Spell Reuse Speed of caster by 1.8%',100,1,2),
(263783,10186156,'Must not be engaged in pvp combat',100,1,3),
(263784,45424,'Applies Brown Mistrunner Warg with Purple Armor when Activated.',100,0,0),
(263785,45424,'Increases Crushing, Ranged, Slashing and Disruption of caster by 7.0',100,1,1),
(263786,45424,'Summons a mount to ride',100,1,2),
(263787,45424,'Increases your ground speed by 130%',100,2,3),
(263788,45424,'Increases damage done by spells and combat arts by up to 75.',100,1,4),
(263789,45424,'Increases Piercing of caster by 7.0',100,1,5),
(263790,45424,'Requires good alignment',100,1,6),
(263791,10045424,'Applies Brown Mistrunner Warg with Purple Armor when Activated.',100,0,0),
(263792,10045424,'Increases Crushing, Ranged, Slashing and Disruption of caster by 7.0',100,1,1),
(263793,10045424,'Summons a mount to ride',100,1,2),
(263794,10045424,'Increases your ground speed by 130%',100,2,3),
(263795,10045424,'Increases damage done by spells and combat arts by up to 75.',100,1,4),
(263796,10045424,'Increases Piercing of caster by 7.0',100,1,5),
(263797,10045424,'Requires good alignment',100,1,6),
(263798,27462,'When Equipped:',100,0,0),
(263799,27462,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,1),
(263800,27462,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(263801,10027462,'When Equipped:',100,0,0),
(263802,10027462,'Improves the trigger chance of Unholy Hunger VII by 5%.',100,1,1),
(263803,10027462,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(263804,170097,'When Equipped:',100,0,0),
(263805,170097,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(263806,170097,'Inflicts 2648 poison damage on target',100,2,2),
(263807,170097,'Cannot be modified except by direct means',100,2,3),
(263808,10170097,'When Equipped:',100,0,0),
(263809,10170097,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(263810,10170097,'Inflicts 1589 poison damage on target',100,2,2),
(263811,10170097,'Cannot be modified except by direct means',100,2,3),
(263812,86494,'Applies Holy Strike when Activated.',100,0,0),
(263813,86494,'Inflicts 78 - 129 divine damage on target',100,1,1),
(263814,86494,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(263815,10086494,'Applies Holy Strike when Activated.',100,0,0),
(263816,10086494,'Inflicts 93 - 155 divine damage on target',100,1,1),
(263817,10086494,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(263818,109121,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(263819,109121,'Increases Attack Speed of caster by 75.1',100,1,1),
(263820,109121,'Increases Damage Per Second of caster by 86.4',100,1,2),
(263821,109121,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(263822,109121,'Increases Ranged of caster by 96.0',100,1,4),
(263823,109121,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(263824,109121,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(263825,109121,'Increases Crushing of group members (AE) by 96.0',100,2,7),
(263826,109121,'Increases Piercing of group members (AE) by 96.0',100,2,8),
(263827,109121,'If profession other than Ranger',100,3,9),
(263828,109121,'Increases Slashing of group members (AE) by 96.0',100,2,10),
(263829,109121,'If profession other than Ranger',100,3,11),
(263830,10109121,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(263831,10109121,'Increases Attack Speed of caster by 75.1',100,1,1),
(263832,10109121,'Increases Damage Per Second of caster by 86.4',100,1,2),
(263833,10109121,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(263834,10109121,'Increases Ranged of caster by 96.0',100,1,4),
(263835,10109121,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(263836,10109121,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',100,2,6),
(263837,10109121,'Increases Crushing of group members (AE) by 96.0',100,2,7),
(263838,10109121,'Increases Piercing of group members (AE) by 96.0',100,2,8),
(263839,10109121,'If profession other than Ranger',100,3,9),
(263840,10109121,'Increases Slashing of group members (AE) by 96.0',100,2,10),
(263841,10109121,'If profession other than Ranger',100,3,11),
(263842,137464,'When Equipped:',100,0,0),
(263843,137464,'When damaged this spell has a 5% chance to cast Divine Light on target''s attacker.  ',100,1,1),
(263844,137464,'Inflicts 719 - 878 divine damage on target',100,2,2),
(263845,137464,'Heals caster for 785 - 959',100,2,3),
(263846,137464,'Cannot be modified except by direct means',100,2,4),
(263847,10137464,'When Equipped:',100,0,0),
(263848,10137464,'When damaged this spell has a 5% chance to cast Divine Light on target''s attacker.  ',100,1,1),
(263849,10137464,'Inflicts 345 - 422 divine damage on target',100,2,2),
(263850,10137464,'Heals caster for 204 - 249',100,2,3),
(263851,10137464,'Cannot be modified except by direct means',100,2,4),
(263852,110333,'Increases Max Power of target by 360.5',100,1,0),
(263853,110333,'Increases Max Health of target by 723.2',100,1,1),
(263854,10110333,'Increases Max Power of target by 360.5',100,1,0),
(263855,10110333,'Increases Max Health of target by 723.2',100,1,1),
(263856,107619,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(263857,107619,'Increases Mitigation of group members (AE) vs elemental damage by 185',100,1,1),
(263858,10107619,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(263859,10107619,'Increases Mitigation of group members (AE) vs elemental damage by 185',100,1,1),
(263860,42172,'When Equipped:',100,0,0),
(263861,42172,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(263862,42172,'Inflicts 1319 - 1612 heat damage on target',100,2,2),
(263863,42172,'Inflicts 1319 - 1612 heat damage on target',100,2,3),
(263864,42172,'Inflicts 1319 - 1612 heat damage on target',100,2,4),
(263865,42172,'Must not be engaged in pvp combat',100,2,5),
(263866,42172,'Cannot be modified except by direct means',100,2,6),
(263867,10042172,'When Equipped:',100,0,0),
(263868,10042172,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(263869,10042172,'Inflicts 1582 - 1934 heat damage on target',100,2,2),
(263870,10042172,'Inflicts 1582 - 1934 heat damage on target',100,2,3),
(263871,10042172,'Inflicts 1582 - 1934 heat damage on target',100,2,4),
(263872,10042172,'Must not be engaged in pvp combat',100,2,5),
(263873,10042172,'Cannot be modified except by direct means',100,2,6),
(263874,46357,'Applies Flask of Advancement III when Activated.  Lasts for 2 hours.',100,0,0),
(263875,46357,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(263876,46357,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(263877,46357,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(263878,46357,'You can only have one experience potion active at a time.',100,1,4),
(263879,10046357,'Applies Flask of Advancement III when Activated.  Lasts for 2 hours.',100,0,0),
(263880,10046357,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(263881,10046357,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(263882,10046357,'Increases Combat XP Gain of caster by 100.0%',100,1,3),
(263883,10046357,'You can only have one experience potion active at a time.',100,1,4),
(263884,112222,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(263885,112222,'Increases Threat to target by 77 ',100,2,1),
(263886,112222,'Inflicts 19 disease damage on target',100,2,2),
(263887,112222,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 830',100,1,3),
(263888,10112222,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(263889,10112222,'Inflicts 23 disease damage on target',100,2,1),
(263890,10112222,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 830',100,1,2),
(263891,36121,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(263892,103078,'Inflicts 185 magic damage on target instantly and every 4 seconds',100,1,0),
(263893,103078,'Increases power of caster by 84 instantly and every 4 seconds',100,1,1),
(263894,10103078,'Inflicts 222 magic damage on target instantly and every 4 seconds',100,1,0),
(263895,10103078,'Increases power of caster by 84 instantly and every 4 seconds',100,1,1),
(263896,25183,'When Equipped:',100,0,0),
(263897,25183,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(263898,25183,'Decreases power of target by 26',100,2,2),
(263899,25183,'Increases power of caster by 16',100,2,3),
(263900,25183,'Cannot be modified except by direct means',100,2,4),
(263901,10025183,'When Equipped:',100,0,0),
(263902,10025183,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(263903,10025183,'Decreases power of target by 26',100,2,2),
(263904,10025183,'Increases power of caster by 16',100,2,3),
(263905,10025183,'Cannot be modified except by direct means',100,2,4),
(263906,150091,'When Equipped:',100,0,0),
(263907,150091,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(263908,150091,'Heals group members (AE) for 2304',100,2,2),
(263909,150091,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(263910,150091,'Must not be engaged in pvp combat',100,2,4),
(263911,150091,'Cannot be modified except by direct means',100,2,5),
(263912,150091,'Must not be engaged in pvp combat',100,1,6),
(263913,10150091,'When Equipped:',100,0,0),
(263914,10150091,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(263915,10150091,'Heals group members (AE) for 2695',100,2,2),
(263916,10150091,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(263917,10150091,'Must not be engaged in pvp combat',100,2,4),
(263918,10150091,'Cannot be modified except by direct means',100,2,5),
(263919,10150091,'Must not be engaged in pvp combat',100,1,6),
(263920,110574,'Decreases Attack Speed of target by 13.1',100,1,0),
(263921,110574,'Decreases Crushing, Slashing and Piercing of target by 5.4',100,1,1),
(263922,10110574,'Decreases Attack Speed of target by 13.1',100,1,0),
(263923,10110574,'Decreases Crushing, Slashing and Piercing of target by 5.4',100,1,1),
(263924,80576,'When Equipped:',100,0,0),
(263925,80576,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(263926,80576,'Inflicts 196 - 364 magic damage on target',100,2,2),
(263927,80576,'Decreases Threat to target by 949 ',100,2,3),
(263928,80576,'Must be flanking or behind',100,3,4),
(263929,80576,'Increases Threat to target by 1,409 ',100,2,5),
(263930,80576,'Must be in front of',100,3,6),
(263931,80576,'Cannot be modified except by direct means',100,2,7),
(263932,10080576,'When Equipped:',100,0,0),
(263933,10080576,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(263934,10080576,'Inflicts 235 - 437 magic damage on target',100,2,2),
(263935,10080576,'Cannot be modified except by direct means',100,2,3),
(263936,110604,'Decreases Focus of target by 19.2',100,1,0),
(263937,110604,'Interrupts target',100,1,1),
(263938,110604,'Inflicts 75 - 226 crushing damage on target',100,1,2),
(263939,10110604,'Decreases Focus of target by 19.2',100,1,0),
(263940,10110604,'Interrupts target',100,1,1),
(263941,10110604,'Inflicts 90 - 271 crushing damage on target',100,1,2),
(263942,159235,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(263943,159235,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(263944,159235,'Inflicts 123 heat damage on target',100,2,2),
(263945,159235,'Cannot be modified except by direct means',100,2,3),
(263946,10159235,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(263947,10159235,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(263948,10159235,'Inflicts 148 heat damage on target',100,2,2),
(263949,10159235,'Cannot be modified except by direct means',100,2,3),
(263950,170932,'Applies Purity of the Hounds when Activated.  Lasts for 20.0 seconds.',100,0,0),
(263951,170932,'Increases Potency of caster by 50.0%',100,1,1),
(263952,170932,'On a healing spell cast this spell will cast Deepwater Purity on target of spell cast.  ',100,1,2),
(263953,170932,'Dispels 120 levels of any hostile effects on target',100,2,3),
(263954,170932,'Cannot be modified except by direct means',100,2,4),
(263955,170932,'Must not be engaged in pvp combat',100,1,5),
(263956,170932,'Cannot be modified except by direct means',100,1,6),
(263957,170932,'The reuse time of Purity of the Hounds is 5 minutes',100,1,7),
(263958,10170932,'Applies Purity of the Hounds when Activated.  Lasts for 20.0 seconds.',100,0,0),
(263959,10170932,'Increases Potency of caster by 50.0%',100,1,1),
(263960,10170932,'On a healing spell cast this spell will cast Deepwater Purity on target of spell cast.  ',100,1,2),
(263961,10170932,'Dispels 120 levels of any hostile effects on target',100,2,3),
(263962,10170932,'Cannot be modified except by direct means',100,2,4),
(263963,10170932,'Must not be engaged in pvp combat',100,1,5),
(263964,10170932,'Cannot be modified except by direct means',100,1,6),
(263965,10170932,'The reuse time of Purity of the Hounds is 5 minutes',100,1,7),
(263966,104145,'Roots target',100,1,0),
(263967,104145,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(263968,104145,'Makes target afraid',100,2,2),
(263969,104145,'Slows target by 21.2%',100,2,3),
(263970,104145,'30% chance to dispel when target takes damage',100,2,4),
(263971,104145,'Resistibility increases against targets higher than level 102.',100,2,5),
(263972,104145,'15% chance to dispel when target takes damage',100,1,6),
(263973,104145,'Does not affect Epic targets',100,1,7),
(263974,104145,'Resistibility increases against targets higher than level 102.',100,1,8),
(263975,10104145,'Roots target',100,1,0),
(263976,10104145,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(263977,10104145,'Makes target afraid',100,2,2),
(263978,10104145,'Slows target by 21.2%',100,2,3),
(263979,10104145,'30% chance to dispel when target takes damage',100,2,4),
(263980,10104145,'Resistibility increases against targets higher than level 102.',100,2,5),
(263981,10104145,'15% chance to dispel when target takes damage',100,1,6),
(263982,10104145,'Does not affect Epic targets',100,1,7),
(263983,10104145,'Resistibility increases against targets higher than level 102.',100,1,8),
(263984,102664,'Inflicts 257 - 428 melee damage on target',100,1,0),
(263985,102664,'Inflicts 111 heat damage on target every 6 seconds',100,1,1),
(263986,10102664,'Inflicts 308 - 514 melee damage on target',100,1,0),
(263987,10102664,'Inflicts 133 heat damage on target every 6 seconds',100,1,1),
(263988,122618,'Makes target afraid',100,1,0),
(263989,122618,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',100,1,1),
(263990,122618,'Mesmerizes target',100,2,2),
(263991,122618,'Decreases Threat to target by 981  instantly and Decreases Threat by 981  every 2 seconds thereafter',100,2,3),
(263992,122618,'Dispelled when target takes damage',100,2,4),
(263993,122618,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(263994,122618,'Resistibility increases against targets higher than level 90.',100,2,6),
(263995,122618,'30% chance to dispel when target takes damage',100,1,7),
(263996,122618,'Does not affect Epic targets',100,1,8),
(263997,122618,'Resistibility increases against targets higher than level 90.',100,1,9),
(263998,10122618,'Makes target afraid',100,1,0),
(263999,10122618,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(264000,10122618,'Mesmerizes target',100,2,2),
(264001,10122618,'Applies Distract.',100,2,3),
(264002,10122618,'Forces target to clear their selected target.',100,3,4),
(264003,10122618,'Dispelled when target takes damage',100,2,5),
(264004,10122618,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(264005,10122618,'Resistibility increases against targets higher than level 90.',100,2,7),
(264006,10122618,'30% chance to dispel when target takes damage',100,1,8),
(264007,10122618,'Does not affect Epic targets',100,1,9),
(264008,10122618,'Resistibility increases against targets higher than level 90.',100,1,10),
(264009,113219,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(264010,113219,'Inflicts 111 magic damage on target',100,2,1),
(264011,113219,'Grants a total of 5 triggers of the spell.',100,2,2),
(264012,10113219,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(264013,10113219,'Inflicts 133 magic damage on target',100,2,1),
(264014,10113219,'Grants a total of 5 triggers of the spell.',100,2,2),
(264015,102691,'Inflicts 432 divine damage on target encounter',100,1,0),
(264016,10102691,'Inflicts 519 divine damage on target encounter',100,1,0),
(264017,107169,'Inflicts 49 - 81 divine damage on target',100,1,0),
(264018,107169,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(264019,107169,'Stuns target',100,2,2),
(264020,107169,'If Target is not Epic',100,3,3),
(264021,107169,'Inflicts 114 - 191 divine damage on target',100,2,4),
(264022,107169,'Inflicts 98 - 164 divine damage on target',100,2,5),
(264023,107169,'If target is undead',100,3,6),
(264024,10107169,'Inflicts 39 - 65 divine damage on target',100,1,0),
(264025,10107169,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(264026,10107169,'Inflicts 206 - 343 divine damage on target',100,2,2),
(264027,10107169,'Stuns target',100,2,3),
(264028,10107169,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(264029,36564,'Increases STA of target by 20.8',100,0,0),
(264030,36564,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(264031,25274,'When Equipped:',100,0,0),
(264032,25274,'Removes the concentration cost from Act of War V and increases the trigger chance by 5%.',100,1,1),
(264033,25274,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(264034,10025274,'When Equipped:',100,0,0),
(264035,10025274,'Removes the concentration cost from Act of War V and increases the trigger chance by 5%.',100,1,1),
(264036,10025274,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(264037,46536,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(264038,46536,'Increases INT of caster by 65.7',100,1,1),
(264039,10046536,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(264040,10046536,'Increases INT of caster by 65.7',100,1,1),
(264041,103717,'Increases Max Health of raid and group members (AE) by 276.6',100,1,0),
(264042,103717,'Increases Defense of raid and group members (AE) by 10.3',100,1,1),
(264043,10103717,'Increases Max Health of raid and group members (AE) by 276.6',100,1,0),
(264044,10103717,'Increases Defense of raid and group members (AE) by 10.3',100,1,1),
(264045,79707,'When Equipped:',100,0,0),
(264046,79707,'On a hit this spell may cast Reckless Abandon on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264047,79707,'Increases Damage Per Second of caster by 25.0',100,2,2),
(264048,79707,'Decreases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,3),
(264049,79707,'Cannot be modified except by direct means',100,2,4),
(264050,10079707,'When Equipped:',100,0,0),
(264051,10079707,'On a hit this spell may cast Reckless Abandon on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264052,10079707,'Increases Damage Per Second of caster by 25.0',100,2,2),
(264053,10079707,'Decreases the caster''s effectiveness of worn armor vs physical damage by 10%',100,2,3),
(264054,10079707,'Cannot be modified except by direct means',100,2,4),
(264055,107267,'Inflicts 79 - 132 ranged damage on target',100,1,0),
(264056,107267,'Inflicts 79 - 132 ranged damage on target',100,1,1),
(264057,107267,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(264058,107267,'Stuns target',100,2,3),
(264059,107267,'Throws target back',100,2,4),
(264060,107267,'Blurs vision of target',100,2,5),
(264061,107267,'Does not affect Epic targets',100,2,6),
(264062,107267,'If weapon equipped in Ranged',100,1,7),
(264063,10107267,'Inflicts 59 - 99 ranged damage on target',100,1,0),
(264064,10107267,'Inflicts 59 - 99 ranged damage on target',100,1,1),
(264065,10107267,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(264066,10107267,'Stuns target',100,2,3),
(264067,10107267,'Blurs vision of target',100,2,4),
(264068,10107267,'Throws target back',100,2,5),
(264069,10107267,'Does not affect Epic targets',100,2,6),
(264070,10107267,'If weapon equipped in Ranged',100,1,7),
(264071,46615,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(264072,46615,'Summons a mount to ride',100,1,1),
(264073,46615,'Increases your ground speed by 130%',100,2,2),
(264074,10046615,'Applies Call Halasian Draft Horse when Activated.',100,0,0),
(264075,10046615,'Summons a mount to ride',100,1,1),
(264076,10046615,'Increases your ground speed by 130%',100,2,2),
(264077,121432,'Increases AGI of caster by 10.5',100,1,0),
(264078,121432,'Increases STR of caster by 15.8',100,1,1),
(264079,10121432,'Increases AGI of caster by 10.5',100,1,0),
(264080,10121432,'Increases STR of caster by 15.8',100,1,1),
(264081,103628,'Increases STR of raid and group members (AE) by 28.0',100,1,0),
(264082,103628,'Improves the base amount of taunts by 14%.',100,1,1),
(264083,103628,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(264084,103628,'Increases AGI of raid and group members (AE) by 28.0',100,1,3),
(264085,103628,'Adds 1.4% to base avoidance.',100,1,4),
(264086,10103628,'Increases STR of raid and group members (AE) by 28.0',100,1,0),
(264087,10103628,'Improves the base amount of taunts by 14%.',100,1,1),
(264088,10103628,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(264089,10103628,'Increases AGI of raid and group members (AE) by 28.0',100,1,3),
(264090,10103628,'Adds 1.4% to base avoidance.',100,1,4),
(264091,81684,'When Equipped:',100,0,0),
(264092,81684,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264093,81684,'Inflicts 71 - 131 magic damage on target',100,2,2),
(264094,81684,'Cannot be modified except by direct means',100,2,3),
(264095,10081684,'When Equipped:',100,0,0),
(264096,10081684,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264097,10081684,'Inflicts 85 - 158 magic damage on target',100,2,2),
(264098,10081684,'Cannot be modified except by direct means',100,2,3),
(264099,81777,'When Equipped:',100,0,0),
(264100,81777,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264101,81777,'Inflicts 108 - 200 magic damage on target',100,2,2),
(264102,81777,'Decreases Threat to target by 487 ',100,2,3),
(264103,81777,'Must be flanking or behind',100,3,4),
(264104,81777,'Increases Threat to target by 852 ',100,2,5),
(264105,81777,'Must be in front of',100,3,6),
(264106,81777,'Cannot be modified except by direct means',100,2,7),
(264107,10081777,'When Equipped:',100,0,0),
(264108,10081777,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264109,10081777,'Inflicts 129 - 240 magic damage on target',100,2,2),
(264110,10081777,'Cannot be modified except by direct means',100,2,3),
(264111,81800,'When Equipped:',100,0,0),
(264112,81800,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264113,81800,'Inflicts 108 - 200 magic damage on target',100,2,2),
(264114,81800,'Cannot be modified except by direct means',100,2,3),
(264115,10081800,'When Equipped:',100,0,0),
(264116,10081800,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264117,10081800,'Inflicts 129 - 240 magic damage on target',100,2,2),
(264118,10081800,'Cannot be modified except by direct means',100,2,3),
(264119,111396,'Increases Attack Speed of target by 36.8',100,1,0),
(264120,111396,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(264121,111396,'Inflicts 118 disease damage on target',100,2,2),
(264122,111396,'Heals caster for 37',100,2,3),
(264123,111396,'Decreases Defense and Parry of target by 11.3',100,1,4),
(264124,111396,'Increases Disruption, Subjugation and Focus of target by 18.0',100,1,5),
(264125,10111396,'Increases Attack Speed of target by 36.8',100,1,0),
(264126,10111396,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(264127,10111396,'Inflicts 141 disease damage on target',100,2,2),
(264128,10111396,'Heals caster for 24',100,2,3),
(264129,10111396,'Decreases Defense and Parry of target by 11.3',100,1,4),
(264130,10111396,'Increases Disruption, Subjugation and Focus of target by 18.0',100,1,5),
(264131,170670,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(264132,170670,'Decreases Attack Speed of target by 12.4',100,1,1),
(264133,170670,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(264134,10170670,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(264135,10170670,'Decreases Attack Speed of target by 12.4',100,1,1),
(264136,10170670,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(264137,111650,'Inflicts 150 - 184 cold damage on target encounter',100,1,0),
(264138,111650,'Slows target encounter by 37.2%',100,1,1),
(264139,111650,'5% chance to dispel when target takes damage',100,1,2),
(264140,111650,'5% chance to dispel when target receives hostile action',100,1,3),
(264141,10111650,'Inflicts 241 - 294 cold damage on target encounter',100,1,0),
(264142,10111650,'Slows target encounter by 37.2%',100,1,1),
(264143,10111650,'5% chance to dispel when target takes damage',100,1,2),
(264144,10111650,'5% chance to dispel when target receives hostile action',100,1,3),
(264145,52763,'Applies Sanguine Imbued when Equipped.',100,0,0),
(264146,52763,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(264147,52763,'Inflicts 108 heat damage on target',100,2,2),
(264148,52763,'Cannot be modified except by direct means',100,2,3),
(264149,10052763,'Applies Sanguine Imbued when Equipped.',100,0,0),
(264150,10052763,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(264151,10052763,'Inflicts 129 heat damage on target',100,2,2),
(264152,10052763,'Cannot be modified except by direct means',100,2,3),
(264153,48944,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(264154,48944,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(264155,48944,'Decreases INT and WIS of target by 7.7',100,2,2),
(264156,48944,'Cannot be modified except by direct means',100,2,3),
(264157,48944,'Grants a total of 30 triggers of the spell.',100,2,4),
(264158,10048944,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(264159,10048944,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(264160,10048944,'Decreases INT and WIS of target by 7.7',100,2,2),
(264161,10048944,'Cannot be modified except by direct means',100,2,3),
(264162,10048944,'Grants a total of 30 triggers of the spell.',100,2,4),
(264163,100320,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(264164,100320,'Inflicts 464 divine damage on target',100,2,1),
(264165,10100320,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(264166,10100320,'Inflicts 556 divine damage on target',100,2,1),
(264167,75291,'When Equipped:',100,0,0),
(264168,75291,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(264169,75291,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(264170,75291,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(264171,75291,'Must not be engaged in pvp combat',100,2,4),
(264172,75291,'Cannot be modified except by direct means',100,2,5),
(264173,75291,'Cannot be modified except by direct means',100,1,6),
(264174,10075291,'When Equipped:',100,0,0),
(264175,10075291,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(264176,10075291,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(264177,10075291,'Increases Multi Attack Chance of caster by 22.0',100,2,3),
(264178,10075291,'Must not be engaged in pvp combat',100,2,4),
(264179,10075291,'Cannot be modified except by direct means',100,2,5),
(264180,10075291,'Cannot be modified except by direct means',100,1,6),
(264181,141900,'When Equipped:',100,0,0),
(264182,141900,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(264183,141900,'Increases STA of caster by 12.2',100,2,2),
(264184,141900,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(264185,141900,'Cannot be modified except by direct means',100,2,4),
(264186,10141900,'When Equipped:',100,0,0),
(264187,10141900,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(264188,10141900,'Increases STA of caster by 12.2',100,2,2),
(264189,10141900,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(264190,10141900,'Cannot be modified except by direct means',100,2,4),
(264191,46025,'Applies Collect the dust when Activated.',100,0,0),
(264192,10046025,'Applies Collect the dust when Activated.',100,0,0),
(264193,116049,'Shapechanges caster into a lion',100,1,0),
(264194,116049,'Increases STA of caster by 56.1',100,1,1),
(264195,116049,'Adds 2.3% to base avoidance.',100,1,2),
(264196,116049,'Grants See Stealth to caster',100,1,3),
(264197,116049,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 912',100,1,4),
(264198,10116049,'Shapechanges caster into a lion',100,1,0),
(264199,10116049,'Increases STA of caster by 56.1',100,1,1),
(264200,10116049,'Adds 2.3% to base avoidance.',100,1,2),
(264201,10116049,'Grants See Stealth to caster',100,1,3),
(264202,10116049,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 912',100,1,4),
(264203,82231,'When Equipped:',100,0,0),
(264204,82231,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264205,82231,'Inflicts 33 - 61 magic damage on target',100,2,2),
(264206,82231,'Decreases Threat to target by 135 ',100,2,3),
(264207,82231,'Must be flanking or behind',100,3,4),
(264208,82231,'Increases Threat to target by 236 ',100,2,5),
(264209,82231,'Must be in front of',100,3,6),
(264210,82231,'Cannot be modified except by direct means',100,2,7),
(264211,10082231,'When Equipped:',100,0,0),
(264212,10082231,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264213,10082231,'Inflicts 40 - 74 magic damage on target',100,2,2),
(264214,10082231,'Cannot be modified except by direct means',100,2,3),
(264215,108429,'Increases INT, AGI, STR and WIS of group members (AE) by 37.0',100,1,0),
(264216,108429,'Adds 1.6% to base avoidance.',100,1,1),
(264217,108429,'Increases Attack Speed of group members (AE) by 29.7',100,1,2),
(264218,108429,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 109',100,1,3),
(264219,10108429,'Increases INT, AGI, STR and WIS of group members (AE) by 37.0',100,1,0),
(264220,10108429,'Adds 1.6% to base avoidance.',100,1,1),
(264221,10108429,'Increases Attack Speed of group members (AE) by 29.7',100,1,2),
(264222,10108429,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 109',100,1,3),
(264223,102067,'Interrupts targets in Area of Effect',100,1,0),
(264224,102067,'Inflicts 312 - 520 melee damage on targets in area',100,1,1),
(264225,10102067,'Interrupts targets in Area of Effect',100,1,0),
(264226,10102067,'Inflicts 375 - 625 melee damage on targets in area',100,1,1),
(264227,104288,'Inflicts 94 - 158 melee damage on target',100,1,0),
(264228,104288,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(264229,104288,'Stuns target',100,2,2),
(264230,104288,'Throws target back',100,2,3),
(264231,104288,'Blurs vision of target',100,2,4),
(264232,104288,'Does not affect Epic targets',100,2,5),
(264233,10104288,'Inflicts 113 - 189 melee damage on target',100,1,0),
(264234,10104288,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(264235,10104288,'Stuns target',100,2,2),
(264236,10104288,'Blurs vision of target',100,2,3),
(264237,10104288,'Throws target back',100,2,4),
(264238,10104288,'Does not affect Epic targets',100,2,5),
(264239,106187,'Wards target against 106 points of all damage',100,1,0),
(264240,106187,'Decreases INT of target by 137.5',100,1,1),
(264241,106187,'Decreases Attack Speed of target by 25.0',100,1,2),
(264242,106187,'Increases Max Health of target by 12.0%',100,1,3),
(264243,106187,'Increases Hate Gain of target by 34.6%',100,1,4),
(264244,106187,'Increases Aggression of target by 12.6',100,1,5),
(264245,106187,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(264246,106187,'Increases Threat to target encounter by 222 - 271 ',100,2,7),
(264247,106187,'Increases Mitigation of target vs elemental, noxious and arcane damage by 840',100,1,8),
(264248,10106187,'Wards target against 106 points of all damage',100,1,0),
(264249,10106187,'Decreases INT of target by 137.5',100,1,1),
(264250,10106187,'Decreases Attack Speed of target by 25.0',100,1,2),
(264251,10106187,'Increases Max Health of target by 12.0%',100,1,3),
(264252,10106187,'Increases Aggression of target by 12.6',100,1,4),
(264253,10106187,'Increases Mitigation of target vs elemental, noxious and arcane damage by 840',100,1,5),
(264254,35787,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(264255,71332,'When Equipped:',100,0,0),
(264256,71332,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264257,71332,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(264258,71332,'Cannot be modified except by direct means',100,2,3),
(264259,10071332,'When Equipped:',100,0,0),
(264260,10071332,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264261,10071332,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(264262,10071332,'Cannot be modified except by direct means',100,2,3),
(264263,46001,'Applies Greater Replenishment when Activated.',100,0,0),
(264264,46001,'Heals caster for 10',100,1,1),
(264265,10046001,'Applies Greater Replenishment when Activated.',100,0,0),
(264266,10046001,'Heals caster for 6',100,1,1),
(264267,103751,'Inflicts 1677 - 2049 magic damage on targets in Area of Effect',100,1,0),
(264268,10103751,'Inflicts 2012 - 2459 magic damage on targets in Area of Effect',100,1,0),
(264269,40248,'When Equipped:',100,0,0),
(264270,40248,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264271,40248,'Inflicts 1142 - 1714 mental damage on target',100,2,2),
(264272,40248,'Heals caster for 761 - 1141',100,2,3),
(264273,40248,'Cannot be modified except by direct means',100,2,4),
(264274,40248,'Cannot be modified except by direct means',100,1,5),
(264275,10040248,'When Equipped:',100,0,0),
(264276,10040248,'On a ranged hit this spell may cast Bloodquench on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264277,10040248,'Inflicts 1371 - 2056 mental damage on target',100,2,2),
(264278,10040248,'Heals caster for 495 - 742',100,2,3),
(264279,10040248,'Cannot be modified except by direct means',100,2,4),
(264280,10040248,'Cannot be modified except by direct means',100,1,5),
(264281,107631,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(264282,107631,'Increases Mitigation of group members (AE) vs elemental damage by 431',100,1,1),
(264283,10107631,'Increases Max Power of group members (AE) by 277.9',100,1,0),
(264284,10107631,'Increases Mitigation of group members (AE) vs elemental damage by 431',100,1,1),
(264285,82692,'When Equipped:',100,0,0),
(264286,82692,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264287,82692,'Inflicts 138 - 257 magic damage on target',100,2,2),
(264288,82692,'Decreases Threat to target by 641 ',100,2,3),
(264289,82692,'Must be flanking or behind',100,3,4),
(264290,82692,'Increases Threat to target by 1,101 ',100,2,5),
(264291,82692,'Must be in front of',100,3,6),
(264292,82692,'Cannot be modified except by direct means',100,2,7),
(264293,10082692,'When Equipped:',100,0,0),
(264294,10082692,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264295,10082692,'Inflicts 166 - 309 magic damage on target',100,2,2),
(264296,10082692,'Cannot be modified except by direct means',100,2,3),
(264297,47110,'Applies Alimaja''s Awakening  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(264298,47110,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(264299,47110,'Inflicts 2 magic damage on target',100,2,2),
(264300,47110,'Cannot be modified except by direct means',100,2,3),
(264301,10047110,'Applies Alimaja''s Awakening  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(264302,10047110,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(264303,10047110,'Inflicts 3 magic damage on target',100,2,2),
(264304,10047110,'Cannot be modified except by direct means',100,2,3),
(264305,146478,'When Equipped:',100,0,0),
(264306,146478,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(264307,146478,'Inflicts 769 - 850 heat damage on target encounter instantly and every 2 seconds',100,2,2),
(264308,146478,'Decreases Hate Gain of group members (AE) by 5.0%',100,2,3),
(264309,146478,'If not fighter',100,3,4),
(264310,146478,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,5),
(264311,146478,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,6),
(264312,146478,'Increases Hate Gain of group members (AE) by 5.0%',100,2,7),
(264313,146478,'If fighter',100,3,8),
(264314,146478,'Increases Attack Speed of group members (AE) by 20.0',100,2,9),
(264315,146478,'Must not be engaged in pvp combat',100,2,10),
(264316,146478,'Cannot be modified except by direct means',100,2,11),
(264317,146478,'Must not be engaged in pvp combat',100,1,12),
(264318,10146478,'When Equipped:',100,0,0),
(264319,10146478,'On any combat or spell hit this spell may cast Rhythmic Slaughter on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(264320,10146478,'Inflicts 923 - 1020 heat damage on target encounter instantly and every 2 seconds',100,2,2),
(264321,10146478,'Gives group members (AE) a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(264322,10146478,'Group members (AE) will have their chance to hit with a weapon increased by 5.0%',100,2,4),
(264323,10146478,'Increases Attack Speed of group members (AE) by 20.0',100,2,5),
(264324,10146478,'Must not be engaged in pvp combat',100,2,6),
(264325,10146478,'Cannot be modified except by direct means',100,2,7),
(264326,10146478,'Must not be engaged in pvp combat',100,1,8),
(264327,173491,'When Equipped:',100,0,0),
(264328,173491,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(264329,173491,'Must not be engaged in pvp combat',100,1,2),
(264330,10173491,'When Equipped:',100,0,0),
(264331,10173491,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(264332,10173491,'Must not be engaged in pvp combat',100,1,2),
(264333,24322,'Adds Drake (Fury) to your Dungeon Maker toolbox',100,0,0),
(264334,10024322,'Adds Drake (Fury) to your Dungeon Maker toolbox',100,0,0),
(264335,114528,'Heals target for 151 - 185',100,1,0),
(264336,10114528,'Heals target for 197 - 240',100,1,0),
(264337,115764,'Inflicts 90 - 150 melee damage on target',100,1,0),
(264338,10115764,'Inflicts 108 - 181 melee damage on target',100,1,0),
(264339,115202,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(264340,115202,'Decreases Mitigation of target vs noxious damage by 220',100,2,1),
(264341,115202,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(264342,115202,'Decreases Mitigation of target vs noxious damage by 220',100,2,3),
(264343,10115202,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(264344,10115202,'Decreases Mitigation of target vs noxious damage by 220',100,2,1),
(264345,10115202,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(264346,10115202,'Decreases Mitigation of target vs noxious damage by 220',100,2,3),
(264347,107621,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(264348,107621,'Increases Mitigation of group members (AE) vs elemental damage by 336',100,1,1),
(264349,10107621,'Increases Max Power of group members (AE) by 198.0',100,1,0),
(264350,10107621,'Increases Mitigation of group members (AE) vs elemental damage by 336',100,1,1),
(264351,120601,'Inflicts 543 - 1008 heat damage on target',100,1,0),
(264352,10120601,'Inflicts 651 - 1209 heat damage on target',100,1,0),
(264353,192052,'When Equipped:',100,0,0),
(264354,192052,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(264355,192052,'When Equipped:',100,0,2),
(264356,192052,'On a hostile spell cast this spell may cast Rage of Pestilence on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(264357,192052,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,4),
(264358,192052,'Cannot be modified except by direct means',100,2,5),
(264359,192052,'Cannot be modified except by direct means',100,1,6),
(264360,10192052,'When Equipped:',100,0,0),
(264361,10192052,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(264362,10192052,'When Equipped:',100,0,2),
(264363,10192052,'On a hostile spell cast this spell may cast Rage of Pestilence on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(264364,10192052,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,4),
(264365,10192052,'Cannot be modified except by direct means',100,2,5),
(264366,10192052,'Cannot be modified except by direct means',100,1,6),
(264367,82671,'When Equipped:',100,0,0),
(264368,82671,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264369,82671,'Inflicts 79 - 146 magic damage on target',100,2,2),
(264370,82671,'Decreases Threat to target by 259 ',100,2,3),
(264371,82671,'Must be flanking or behind',100,3,4),
(264372,82671,'Increases Threat to target by 453 ',100,2,5),
(264373,82671,'Must be in front of',100,3,6),
(264374,82671,'Cannot be modified except by direct means',100,2,7),
(264375,10082671,'When Equipped:',100,0,0),
(264376,10082671,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264377,10082671,'Inflicts 94 - 175 magic damage on target',100,2,2),
(264378,10082671,'Cannot be modified except by direct means',100,2,3),
(264379,184774,'When Equipped:',100,0,0),
(264380,184774,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(264381,184774,'Heals group members for 245',100,2,2),
(264382,184774,'Cannot be modified except by direct means',100,2,3),
(264383,184774,'Cannot be modified except by direct means',100,1,4),
(264384,10184774,'When Equipped:',100,0,0),
(264385,10184774,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(264386,10184774,'Heals group members for 160',100,2,2),
(264387,10184774,'Cannot be modified except by direct means',100,2,3),
(264388,10184774,'Cannot be modified except by direct means',100,1,4),
(264389,124010,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(264390,124010,'Heals target for 94 - 115',100,2,1),
(264391,124010,'Grants a total of 5 triggers of the spell.',100,2,2),
(264392,10124010,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(264393,10124010,'Heals target for 61 - 75',100,2,1),
(264394,10124010,'Grants a total of 5 triggers of the spell.',100,2,2),
(264395,115064,'Heals target for 21 - 25',100,1,0),
(264396,115064,'Heals target for 3 every second',100,1,1),
(264397,10115064,'Heals target for 39 - 47',100,1,0),
(264398,10115064,'Heals target for 3 - 4 every second',100,1,1),
(264399,113707,'Stuns target',100,1,0),
(264400,113707,'If Target is not Epic',100,2,1),
(264401,113707,'Inflicts 1643 - 2738 heat damage on target',100,1,2),
(264402,113707,'Resistibility increases against targets higher than level 111.',100,1,3),
(264403,10113707,'Stuns target',100,1,0),
(264404,10113707,'If Target is not Epic',100,2,1),
(264405,10113707,'Inflicts 1971 - 3286 heat damage on target',100,1,2),
(264406,10113707,'Resistibility increases against targets higher than level 111.',100,1,3),
(264407,120701,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.8',100,1,0),
(264408,10120701,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.8',100,1,0),
(264409,49059,'Applies Visage of Kael when Activated.',100,0,0),
(264410,49059,'Shapechanges the user into a soldier of Kael Drakkel.',100,1,1),
(264411,10049059,'Applies Visage of Kael when Activated.',100,0,0),
(264412,10049059,'Shapechanges the user into a soldier of Kael Drakkel.',100,1,1),
(264413,122538,'Heals caster for 77',100,1,0),
(264414,122538,'Inflicts 119 - 199 melee damage on target',100,1,1),
(264415,10122538,'Heals caster for 50',100,1,0),
(264416,10122538,'Inflicts 143 - 239 melee damage on target',100,1,1),
(264417,119945,'Inflicts 129 - 215 melee damage on target',100,1,0),
(264418,119945,'Stifles target',100,1,1),
(264419,119945,'If Target is not Epic',100,2,2),
(264420,119945,'Resistibility increases against targets higher than level 79.',100,1,3),
(264421,10119945,'Inflicts 155 - 258 melee damage on target',100,1,0),
(264422,10119945,'Stifles target',100,1,1),
(264423,10119945,'If Target is not Epic',100,2,2),
(264424,10119945,'Resistibility increases against targets higher than level 79.',100,1,3),
(264425,173860,'When Equipped:',100,0,0),
(264426,173860,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(264427,173860,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(264428,173860,'Cannot be modified except by direct means',100,2,3),
(264429,10173860,'When Equipped:',100,0,0),
(264430,10173860,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(264431,10173860,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(264432,10173860,'Cannot be modified except by direct means',100,2,3),
(264433,115849,'Inflicts 202 - 337 mental damage on target encounter',100,1,0),
(264434,115849,'Interrupts target encounter',100,1,1),
(264435,10115849,'Inflicts 243 - 404 mental damage on target encounter',100,1,0),
(264436,10115849,'Interrupts target encounter',100,1,1),
(264437,115971,'Stuns target',100,1,0),
(264438,115971,'Inflicts 152 - 228 mental damage on target',100,1,1),
(264439,115971,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(264440,115971,'Resistibility increases against targets higher than level 56.',100,1,3),
(264441,10115971,'Stuns target',100,1,0),
(264442,10115971,'Inflicts 182 - 273 mental damage on target',100,1,1),
(264443,10115971,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(264444,10115971,'Resistibility increases against targets higher than level 56.',100,1,3),
(264445,122918,'Increases STR and INT of group members (AE) by 77.9',100,1,0),
(264446,10122918,'Increases STR and INT of group members (AE) by 77.9',100,1,0),
(264447,118081,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(264448,118081,'Increases Defense of caster by 12.6',100,1,1),
(264449,10118081,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(264450,10118081,'Increases Defense of caster by 12.6',100,1,1),
(264451,46256,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(264452,46256,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(264453,46256,'Decreases INT of target by 81.5',100,2,2),
(264454,46256,'Decreases Ordination, Subjugation, Disruption and Ministration of target by 30.9',100,2,3),
(264455,46256,'Cannot be modified except by direct means',100,2,4),
(264456,46256,'Grants a total of 60 triggers of the spell.',100,2,5),
(264457,10046256,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(264458,10046256,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(264459,10046256,'Decreases INT of target by 81.5',100,2,2),
(264460,10046256,'Decreases Ordination, Subjugation, Disruption and Ministration of target by 30.9',100,2,3),
(264461,10046256,'Cannot be modified except by direct means',100,2,4),
(264462,10046256,'Grants a total of 60 triggers of the spell.',100,2,5),
(264463,81878,'When Equipped:',100,0,0),
(264464,81878,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264465,81878,'Inflicts 97 - 180 magic damage on target',100,2,2),
(264466,81878,'Cannot be modified except by direct means',100,2,3),
(264467,10081878,'When Equipped:',100,0,0),
(264468,10081878,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264469,10081878,'Inflicts 116 - 216 magic damage on target',100,2,2),
(264470,10081878,'Cannot be modified except by direct means',100,2,3),
(264471,158728,'When Equipped:',100,0,0),
(264472,158728,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(264473,158728,'Increases Potency of group members by 5.0%',100,2,2),
(264474,158728,'Cannot be modified except by direct means',100,2,3),
(264475,158728,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(264476,158728,'Increases Potency of group members by 5.0%',100,2,5),
(264477,158728,'Cannot be modified except by direct means',100,2,6),
(264478,158728,'Cannot be modified except by direct means',100,1,7),
(264479,10158728,'When Equipped:',100,0,0),
(264480,10158728,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(264481,10158728,'Increases Potency of group members by 5.0%',100,2,2),
(264482,10158728,'Cannot be modified except by direct means',100,2,3),
(264483,10158728,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(264484,10158728,'Increases Potency of group members by 5.0%',100,2,5),
(264485,10158728,'Cannot be modified except by direct means',100,2,6),
(264486,10158728,'Cannot be modified except by direct means',100,1,7),
(264487,75386,'When Equipped:',100,0,0),
(264488,75386,'This effect will not stack with any rank or tier of itself.',100,1,1),
(264489,75386,'Increases Crit Bonus of caster by 1.0%',100,1,2),
(264490,75386,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(264491,75386,'Increases Multi Attack Chance of caster by 7.5',100,1,4),
(264492,75386,'Cannot be modified except by direct means',100,1,5),
(264493,75386,'When Equipped:',100,0,6),
(264494,75386,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(264495,75386,'Inflicts 783 - 866 disease damage on target encounter instantly and every 2 seconds',100,2,8),
(264496,75386,'Decreases Defense and Parry of target encounter by 10.0',100,2,9),
(264497,75386,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,10),
(264498,75386,'Must not be engaged in pvp combat',100,2,11),
(264499,75386,'Cannot be modified except by direct means',100,2,12),
(264500,75386,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(264501,75386,'Cannot be modified except by direct means',100,1,14),
(264502,75386,'When Equipped:',100,0,15),
(264503,75386,'Increases caster''s chance to block by 18.0%',100,1,16),
(264504,10075386,'When Equipped:',100,0,0),
(264505,10075386,'This effect will not stack with any rank or tier of itself.',100,1,1),
(264506,10075386,'Increases Crit Bonus of caster by 1.0%',100,1,2),
(264507,10075386,'Caster has a 3.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,1,3),
(264508,10075386,'Increases Multi Attack Chance of caster by 7.5',100,1,4),
(264509,10075386,'Cannot be modified except by direct means',100,1,5),
(264510,10075386,'When Equipped:',100,0,6),
(264511,10075386,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(264512,10075386,'Inflicts 940 - 1039 disease damage on target encounter instantly and every 2 seconds',100,2,8),
(264513,10075386,'Decreases Defense and Parry of target encounter by 10.0',100,2,9),
(264514,10075386,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,10),
(264515,10075386,'Must not be engaged in pvp combat',100,2,11),
(264516,10075386,'Cannot be modified except by direct means',100,2,12),
(264517,10075386,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(264518,10075386,'Cannot be modified except by direct means',100,1,14),
(264519,10075386,'When Equipped:',100,0,15),
(264520,10075386,'Increases caster''s chance to block by 18.0%',100,1,16),
(264521,82157,'When Equipped:',100,0,0),
(264522,82157,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264523,82157,'Inflicts 125 - 232 magic damage on target',100,2,2),
(264524,82157,'Cannot be modified except by direct means',100,2,3),
(264525,10082157,'When Equipped:',100,0,0),
(264526,10082157,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264527,10082157,'Inflicts 150 - 278 magic damage on target',100,2,2),
(264528,10082157,'Cannot be modified except by direct means',100,2,3),
(264529,118446,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(264530,118446,'Inflicts 4 - 5 heat damage on target instantly and every second',100,2,1),
(264531,10118446,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(264532,10118446,'Inflicts 5 - 6 heat damage on target instantly and every second',100,2,1),
(264533,121501,'Inflicts 355 - 591 melee damage on target',100,1,0),
(264534,121501,'Decreases Defense of target by 13.9',100,1,1),
(264535,10121501,'Inflicts 426 - 710 melee damage on target',100,1,0),
(264536,10121501,'Decreases Defense of target by 13.9',100,1,1),
(264537,35681,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(264538,35681,'Increases Max Power of target by 10.5',100,0,1),
(264539,113871,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(264540,113871,'Increases power of caster by 474',100,2,1),
(264541,113871,'Grants a total of 3 triggers of the spell.',100,2,2),
(264542,10113871,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(264543,10113871,'Increases power of caster by 474',100,2,1),
(264544,10113871,'Grants a total of 3 triggers of the spell.',100,2,2),
(264545,37604,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(264546,35095,'Increases STR of target by 17.8',100,0,0),
(264547,35095,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(264548,100913,'Stuns targets in Area of Effect',20,1,0),
(264549,100913,'If Target is not Epic',100,2,1),
(264550,100913,'Inflicts 255 - 426 divine damage on targets in Area of Effect',100,1,2),
(264551,100913,'Resistibility increases against targets higher than level 85.',100,1,3),
(264552,10100913,'Stuns targets in Area of Effect',20,1,0),
(264553,10100913,'If Target is not Epic',100,2,1),
(264554,10100913,'Inflicts 306 - 511 divine damage on targets in Area of Effect',100,1,2),
(264555,10100913,'Resistibility increases against targets higher than level 85.',100,1,3),
(264556,72051,'When Equipped:',100,0,0),
(264557,72051,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264558,72051,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(264559,72051,'Cannot be modified except by direct means',100,2,3),
(264560,10072051,'When Equipped:',100,0,0),
(264561,10072051,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264562,10072051,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(264563,10072051,'Cannot be modified except by direct means',100,2,3),
(264564,103977,'Interrupts targets in Area of Effect',100,1,0),
(264565,103977,'Inflicts 62 - 116 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(264566,10103977,'Interrupts targets in Area of Effect',100,1,0),
(264567,10103977,'Inflicts 75 - 139 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(264568,109829,'Inflicts 279 - 465 melee damage on target',100,1,0),
(264569,109829,'Decreases Parry of target by 36.1',100,1,1),
(264570,109829,'Must be in front of or flanking',100,1,2),
(264571,10109829,'Inflicts 334 - 558 melee damage on target',100,1,0),
(264572,10109829,'Decreases Parry of target by 36.1',100,1,1),
(264573,10109829,'Must be in front of or flanking',100,1,2),
(264574,111529,'Blurs vision of targets in Area of Effect',100,1,0),
(264575,111529,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(264576,111529,'Stuns target',100,2,2),
(264577,111529,'Throws target back',100,2,3),
(264578,111529,'Blurs vision of target',100,2,4),
(264579,111529,'Does not affect Epic targets',100,2,5),
(264580,111529,'Interrupts targets in Area of Effect',100,1,6),
(264581,10111529,'Blurs vision of targets in Area of Effect',100,1,0),
(264582,10111529,'Interrupts targets in Area of Effect',100,1,1),
(264583,10111529,'12% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(264584,10111529,'Stuns target',100,2,3),
(264585,10111529,'Blurs vision of target',100,2,4),
(264586,10111529,'Throws target back',100,2,5),
(264587,10111529,'Does not affect Epic targets',100,2,6),
(264588,159840,'Applies Lambent Imbued when Equipped.',100,0,0),
(264589,159840,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(264590,159840,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(264591,159840,'Cannot be modified except by direct means',100,2,3),
(264592,10159840,'Applies Lambent Imbued when Equipped.',100,0,0),
(264593,10159840,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(264594,10159840,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(264595,10159840,'Cannot be modified except by direct means',100,2,3),
(264596,137035,'When Equipped:',100,0,0),
(264597,137035,'Allows caster to breathe under water',100,1,1),
(264598,10137035,'When Equipped:',100,0,0),
(264599,10137035,'Allows caster to breathe under water',100,1,1),
(264600,182807,'When Equipped:',100,0,0),
(264601,182807,'Increases Attack Speed of caster by 25.0',100,1,1),
(264602,10182807,'When Equipped:',100,0,0),
(264603,10182807,'Increases Attack Speed of caster by 25.0',100,1,1),
(264604,161957,'When Equipped:',100,0,0),
(264605,161957,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(264606,161957,'Inflicts 2664 disease damage on target encounter',100,2,2),
(264607,161957,'Must not be engaged in pvp combat',100,2,3),
(264608,161957,'Cannot be modified except by direct means',100,2,4),
(264609,161957,'When Equipped:',100,0,5),
(264610,161957,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(264611,161957,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,7),
(264612,161957,'Inflicts 2700 piercing damage on target',100,3,8),
(264613,161957,'Must not be engaged in pvp combat',100,3,9),
(264614,161957,'Cannot be modified except by direct means',100,3,10),
(264615,161957,'Grants a total of 5 triggers of the spell.',100,3,11),
(264616,161957,'Must not be engaged in pvp combat',100,2,12),
(264617,161957,'Cannot be modified except by direct means',100,2,13),
(264618,161957,'This effect will not stack with itself.',100,1,14),
(264619,161957,'Must not be engaged in pvp combat',100,1,15),
(264620,10161957,'When Equipped:',100,0,0),
(264621,10161957,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(264622,10161957,'Inflicts 1598 disease damage on target encounter',100,2,2),
(264623,10161957,'Must not be engaged in pvp combat',100,2,3),
(264624,10161957,'Cannot be modified except by direct means',100,2,4),
(264625,10161957,'When Equipped:',100,0,5),
(264626,10161957,'On any combat or spell hit this spell may cast Serrated Subterfuge on caster.  Lasts for 8.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(264627,10161957,'When damaged this spell will cast Serrated Subterfuge on target''s attacker.  ',100,2,7),
(264628,10161957,'Inflicts 3239 piercing damage on target',100,3,8),
(264629,10161957,'Must not be engaged in pvp combat',100,3,9),
(264630,10161957,'Cannot be modified except by direct means',100,3,10),
(264631,10161957,'Grants a total of 5 triggers of the spell.',100,3,11),
(264632,10161957,'Must not be engaged in pvp combat',100,2,12),
(264633,10161957,'Cannot be modified except by direct means',100,2,13),
(264634,10161957,'This effect will not stack with itself.',100,1,14),
(264635,10161957,'Must not be engaged in pvp combat',100,1,15),
(264636,55130,'When Equipped:',100,0,0),
(264637,55130,'Increases caster''s chance to block by 10.0%',100,1,1),
(264638,10055130,'When Equipped:',100,0,0),
(264639,10055130,'Increases caster''s chance to block by 10.0%',100,1,1),
(264640,110240,'Inflicts 67 - 112 melee damage on target',100,1,0),
(264641,110240,'Slows target by 35.3%',100,1,1),
(264642,110240,'5% chance to dispel when target receives hostile action',100,1,2),
(264643,110240,'5% chance to dispel when target takes damage',100,1,3),
(264644,10110240,'Inflicts 80 - 134 melee damage on target',100,1,0),
(264645,10110240,'Slows target by 35.3%',100,1,1),
(264646,10110240,'5% chance to dispel when target receives hostile action',100,1,2),
(264647,10110240,'5% chance to dispel when target takes damage',100,1,3),
(264648,74779,'When Equipped:',100,0,0),
(264649,74779,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264650,74779,'Inflicts 88 - 133 magic damage on target',100,2,2),
(264651,74779,'Cannot be modified except by direct means',100,2,3),
(264652,10074779,'When Equipped:',100,0,0),
(264653,10074779,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264654,10074779,'Inflicts 106 - 159 magic damage on target',100,2,2),
(264655,10074779,'Cannot be modified except by direct means',100,2,3),
(264656,108370,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(264657,108370,'Increases Mitigation of group members (AE) vs arcane damage by 898',100,1,1),
(264658,10108370,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(264659,10108370,'Increases Mitigation of group members (AE) vs arcane damage by 898',100,1,1),
(264660,101243,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(264661,101243,'Inflicts 85 - 142 mental damage on target',100,2,1),
(264662,10101243,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(264663,10101243,'Inflicts 102 - 170 mental damage on target',100,2,1),
(264664,120695,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.1',100,1,0),
(264665,10120695,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.1',100,1,0),
(264666,46865,'Applies Master Service Summoning Scroll when Activated.  Lasts for 30 minutes.',100,0,0),
(264667,46865,'Summons a Work Orders',100,1,1),
(264668,46865,'Must be in a house.',100,1,2),
(264669,10046865,'Applies Master Service Summoning Scroll when Activated.  Lasts for 30 minutes.',100,0,0),
(264670,10046865,'Summons a Work Orders',100,1,1),
(264671,10046865,'Must be in a house.',100,1,2),
(264672,37460,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(264673,120431,'Inflicts 109 - 182 melee damage on target',100,1,0),
(264674,120431,'Inflicts 109 - 182 melee damage on target',100,1,1),
(264675,10120431,'Inflicts 131 - 219 melee damage on target',100,1,0),
(264676,10120431,'Inflicts 131 - 219 melee damage on target',100,1,1),
(264677,100087,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(264678,10100087,'Dispels 93 levels of any hostile effects on group members (AE)',100,1,0),
(264679,159371,'Applies Lambent Imbued when Equipped.',100,0,0),
(264680,159371,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(264681,159371,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(264682,159371,'Cannot be modified except by direct means',100,2,3),
(264683,10159371,'Applies Lambent Imbued when Equipped.',100,0,0),
(264684,10159371,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(264685,10159371,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(264686,10159371,'Cannot be modified except by direct means',100,2,3),
(264687,81319,'When Equipped:',100,0,0),
(264688,81319,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264689,81319,'Inflicts 204 - 379 magic damage on target',100,2,2),
(264690,81319,'Cannot be modified except by direct means',100,2,3),
(264691,10081319,'When Equipped:',100,0,0),
(264692,10081319,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264693,10081319,'Inflicts 245 - 454 magic damage on target',100,2,2),
(264694,10081319,'Cannot be modified except by direct means',100,2,3),
(264695,110611,'Decreases Focus of target by 37.2',100,1,0),
(264696,110611,'Interrupts target',100,1,1),
(264697,110611,'Inflicts 155 - 466 crushing damage on target',100,1,2),
(264698,10110611,'Decreases Focus of target by 37.2',100,1,0),
(264699,10110611,'Interrupts target',100,1,1),
(264700,10110611,'Inflicts 186 - 559 crushing damage on target',100,1,2),
(264701,154229,'When Equipped:',100,0,0),
(264702,154229,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264703,154229,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(264704,154229,'Cannot be modified except by direct means',100,2,3),
(264705,10154229,'When Equipped:',100,0,0),
(264706,10154229,'On a critical spell hit this spell may cast Hymn of Devastation on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264707,10154229,'Increases the base damage of hostile spells cast by 10%.',100,2,2),
(264708,10154229,'Cannot be modified except by direct means',100,2,3),
(264709,162437,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(264710,162437,'Increases speed of caster by 10.0%',100,1,1),
(264711,162437,'This effect suspends during combat',100,1,2),
(264712,10162437,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(264713,10162437,'Increases speed of caster by 10.0%',100,1,1),
(264714,10162437,'This effect suspends during combat',100,1,2),
(264715,106535,'Inflicts 145 - 177 melee damage on target',100,1,0),
(264716,106535,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(264717,106535,'Increases Hate Gain of target by 30.0%',100,2,2),
(264718,106535,'Grants a total of 1 trigger of the spell.',100,2,3),
(264719,10106535,'Inflicts 174 - 213 melee damage on target',100,1,0),
(264720,10106535,'25% chance to apply Distract on termination.',100,1,1),
(264721,10106535,'Forces target to clear their selected target.',100,2,2),
(264722,152919,'When Equipped:',100,0,0),
(264723,152919,'This effect will not stack with itself.',100,1,1),
(264724,152919,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(264725,152919,'Heals target for 277 - 306 instantly and every 2 seconds',100,2,3),
(264726,152919,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(264727,152919,'Wards target against 4000 points of all damage',100,2,5),
(264728,152919,'Must not be engaged in pvp combat',100,2,6),
(264729,152919,'Cannot be modified except by direct means',100,2,7),
(264730,152919,'Must not be engaged in pvp combat',100,1,8),
(264731,152919,'When Equipped:',100,0,9),
(264732,152919,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(264733,152919,'Heals group members (AE) for 2624',100,2,11),
(264734,152919,'Heals group members (AE) for 875 every 5 seconds',100,2,12),
(264735,152919,'Must not be engaged in pvp combat',100,2,13),
(264736,152919,'Cannot be modified except by direct means',100,2,14),
(264737,152919,'Must not be engaged in pvp combat',100,1,15),
(264738,10152919,'When Equipped:',100,0,0),
(264739,10152919,'This effect will not stack with itself.',100,1,1),
(264740,10152919,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(264741,10152919,'Heals target for 324 - 358 instantly and every 2 seconds',100,2,3),
(264742,10152919,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(264743,10152919,'Wards target against 4000 points of all damage',100,2,5),
(264744,10152919,'Must not be engaged in pvp combat',100,2,6),
(264745,10152919,'Cannot be modified except by direct means',100,2,7),
(264746,10152919,'Must not be engaged in pvp combat',100,1,8),
(264747,10152919,'When Equipped:',100,0,9),
(264748,10152919,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(264749,10152919,'Heals group members (AE) for 3071',100,2,11),
(264750,10152919,'Heals group members (AE) for 1024 every 5 seconds',100,2,12),
(264751,10152919,'Must not be engaged in pvp combat',100,2,13),
(264752,10152919,'Cannot be modified except by direct means',100,2,14),
(264753,10152919,'Must not be engaged in pvp combat',100,1,15),
(264754,120628,'Inflicts 643 - 1194 heat damage on target',100,1,0),
(264755,10120628,'Inflicts 772 - 1433 heat damage on target',100,1,0),
(264756,100178,'Inflicts 705 - 1309 disease damage on target encounter',100,1,0),
(264757,10100178,'Inflicts 846 - 1571 disease damage on target encounter',100,1,0),
(264758,74611,'When Equipped:',100,0,0),
(264759,74611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264760,74611,'Inflicts 39 - 58 magic damage on target',100,2,2),
(264761,74611,'Cannot be modified except by direct means',100,2,3),
(264762,10074611,'When Equipped:',100,0,0),
(264763,10074611,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264764,10074611,'Inflicts 46 - 69 magic damage on target',100,2,2),
(264765,10074611,'Cannot be modified except by direct means',100,2,3),
(264766,35933,'Increases AGI of target by 4.3',100,0,0),
(264767,35933,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(264768,52747,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(264769,52747,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(264770,52747,'Inflicts 46 heat damage on target',100,2,2),
(264771,52747,'Cannot be modified except by direct means',100,2,3),
(264772,10052747,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(264773,10052747,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(264774,10052747,'Inflicts 55 heat damage on target',100,2,2),
(264775,10052747,'Cannot be modified except by direct means',100,2,3),
(264776,174710,'When Equipped:',100,0,0),
(264777,174710,'Increases Attack Speed of caster by 40.0',100,1,1),
(264778,10174710,'When Equipped:',100,0,0),
(264779,10174710,'Increases Attack Speed of caster by 40.0',100,1,1),
(264780,74983,'When Equipped:',100,0,0),
(264781,74983,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264782,74983,'Inflicts 63 - 94 magic damage on target',100,2,2),
(264783,74983,'Cannot be modified except by direct means',100,2,3),
(264784,10074983,'When Equipped:',100,0,0),
(264785,10074983,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264786,10074983,'Inflicts 75 - 113 magic damage on target',100,2,2),
(264787,10074983,'Cannot be modified except by direct means',100,2,3),
(264788,105111,'Inflicts 721 - 976 magic damage on target',100,1,0),
(264789,10105111,'Inflicts 865 - 1171 magic damage on target',100,1,0),
(264790,82181,'When Equipped:',100,0,0),
(264791,82181,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264792,82181,'Inflicts 33 - 61 magic damage on target',100,2,2),
(264793,82181,'Decreases Threat to target by 135 ',100,2,3),
(264794,82181,'Must be flanking or behind',100,3,4),
(264795,82181,'Increases Threat to target by 236 ',100,2,5),
(264796,82181,'Must be in front of',100,3,6),
(264797,82181,'Cannot be modified except by direct means',100,2,7),
(264798,10082181,'When Equipped:',100,0,0),
(264799,10082181,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264800,10082181,'Inflicts 40 - 74 magic damage on target',100,2,2),
(264801,10082181,'Cannot be modified except by direct means',100,2,3),
(264802,82820,'When Equipped:',100,0,0),
(264803,82820,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264804,82820,'Inflicts 228 - 423 magic damage on target',100,2,2),
(264805,82820,'Cannot be modified except by direct means',100,2,3),
(264806,10082820,'When Equipped:',100,0,0),
(264807,10082820,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264808,10082820,'Inflicts 273 - 508 magic damage on target',100,2,2),
(264809,10082820,'Cannot be modified except by direct means',100,2,3),
(264810,108280,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(264811,108280,'Inflicts 166 heat damage on target',100,2,1),
(264812,108280,'Grants a total of 3 triggers of the spell.',100,2,2),
(264813,10108280,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(264814,10108280,'Inflicts 199 heat damage on target',100,2,1),
(264815,10108280,'Grants a total of 3 triggers of the spell.',100,2,2),
(264816,107690,'Inflicts 20 - 34 heat damage on target',100,1,0),
(264817,107690,'You must be sneaking to use this ability.',100,1,1),
(264818,10107690,'Inflicts 24 - 40 heat damage on target',100,1,0),
(264819,10107690,'You must be sneaking to use this ability.',100,1,1),
(264820,74658,'When Equipped:',100,0,0),
(264821,74658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264822,74658,'Inflicts 44 - 67 magic damage on target',100,2,2),
(264823,74658,'Cannot be modified except by direct means',100,2,3),
(264824,10074658,'When Equipped:',100,0,0),
(264825,10074658,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264826,10074658,'Inflicts 53 - 80 magic damage on target',100,2,2),
(264827,10074658,'Cannot be modified except by direct means',100,2,3),
(264828,100362,'Increases Max Health of target by 912.6',100,1,0),
(264829,100362,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.1',100,1,1),
(264830,10100362,'Increases Max Health of target by 912.6',100,1,0),
(264831,10100362,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.1',100,1,1),
(264832,105934,'Inflicts 62 - 76 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(264833,105934,'Inflicts 144 - 240 disease damage on targets in area',100,1,1),
(264834,10105934,'Inflicts 74 - 91 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(264835,10105934,'Inflicts 173 - 289 disease damage on targets in area',100,1,1),
(264836,47520,'Applies Petrified Gnoll Eye when Activated.  Lasts for 6 hours.',100,0,0),
(264837,47520,'Shapechanges caster into a gnoll',100,1,1),
(264838,10047520,'Applies Petrified Gnoll Eye when Activated.  Lasts for 6 hours.',100,0,0),
(264839,10047520,'Shapechanges caster into a gnoll',100,1,1),
(264840,72840,'When Equipped:',100,0,0),
(264841,72840,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264842,72840,'Slows target by 20.0%',100,2,2),
(264843,72840,'Cannot be modified except by direct means',100,2,3),
(264844,10072840,'When Equipped:',100,0,0),
(264845,10072840,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264846,10072840,'Slows target by 20.0%',100,2,2),
(264847,10072840,'Cannot be modified except by direct means',100,2,3),
(264848,109375,'Inflicts 101 - 304 melee damage on target',100,1,0),
(264849,109375,'Inflicts 126 - 380 melee damage on target',100,1,1),
(264850,109375,'Inflicts 152 - 456 melee damage on target',100,1,2),
(264851,10109375,'Inflicts 121 - 365 melee damage on target',100,1,0),
(264852,10109375,'Inflicts 152 - 456 melee damage on target',100,1,1),
(264853,10109375,'Inflicts 182 - 548 melee damage on target',100,1,2),
(264854,104986,'Reduces physical damage done to caster by 5%',100,1,0),
(264855,104986,'Adds 2.4% to base avoidance.',100,1,1),
(264856,104986,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(264857,104986,'Increases Parry of caster by 14.4',100,1,3),
(264858,104986,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(264859,104986,'Increases Aggression of caster by 8.6',100,1,5),
(264860,104986,'Increases Defense and Deflection of caster by 14.4',100,1,6),
(264861,104986,'Increases Mitigation of caster vs arcane damage by 960',100,1,7),
(264862,104986,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(264863,10104986,'Reduces physical damage done to caster by 5%',100,1,0),
(264864,10104986,'Adds 2.4% to base avoidance.',100,1,1),
(264865,10104986,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(264866,10104986,'Increases Parry of caster by 14.4',100,1,3),
(264867,10104986,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(264868,10104986,'Increases Aggression of caster by 8.6',100,1,5),
(264869,10104986,'Increases Defense and Deflection of caster by 14.4',100,1,6),
(264870,10104986,'Increases Mitigation of caster vs arcane damage by 960',100,1,7),
(264871,10104986,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(264872,110591,'Decreases Focus of target by 7.3',100,1,0),
(264873,110591,'Interrupts target',100,1,1),
(264874,110591,'Inflicts 25 - 77 crushing damage on target',100,1,2),
(264875,10110591,'Decreases Focus of target by 7.3',100,1,0),
(264876,10110591,'Interrupts target',100,1,1),
(264877,10110591,'Inflicts 31 - 93 crushing damage on target',100,1,2),
(264878,130927,'When Equipped:',100,0,0),
(264879,130927,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(264880,130927,'Inflicts 1986 piercing damage on target',100,2,2),
(264881,130927,'Cannot be modified except by direct means',100,2,3),
(264882,10130927,'When Equipped:',100,0,0),
(264883,10130927,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(264884,10130927,'Inflicts 1192 piercing damage on target',100,2,2),
(264885,10130927,'Cannot be modified except by direct means',100,2,3),
(264886,123218,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(264887,123218,'Inflicts 101 - 124 disease damage on target',100,2,1),
(264888,123218,'Heals caster for 2.4 - 2.9% of max health',100,2,2),
(264889,123218,'This effect cannot be critically applied.',100,3,3),
(264890,123218,'The healing of this spell cannot be modified except by direct means',100,2,4),
(264891,123218,'Grants a total of 5 triggers of the spell.',100,2,5),
(264892,10123218,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(264893,10123218,'Inflicts 122 - 149 disease damage on target',100,2,1),
(264894,10123218,'Heals caster for 0.8 - 1.0% of max health',100,2,2),
(264895,10123218,'This effect cannot be critically applied.',100,3,3),
(264896,10123218,'The healing of this spell cannot be modified except by direct means',100,2,4),
(264897,10123218,'Grants a total of 5 triggers of the spell.',100,2,5),
(264898,37185,'Increases AGI and STA of target by 11.0',100,0,0),
(264899,37185,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(264900,26516,'When Equipped:',100,0,0),
(264901,26516,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(264902,26516,'Breeze VI improves the casting speed of the group by 15%.',100,1,2),
(264903,10026516,'When Equipped:',100,0,0),
(264904,10026516,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(264905,10026516,'Breeze VI improves the casting speed of the group by 15%.',100,1,2),
(264906,135807,'When Equipped:',100,0,0),
(264907,135807,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264908,135807,'Reduces the power cost of spells by 15%.',100,2,2),
(264909,135807,'Cannot be modified except by direct means',100,2,3),
(264910,10135807,'When Equipped:',100,0,0),
(264911,10135807,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(264912,10135807,'Reduces the power cost of spells by 15%.',100,2,2),
(264913,10135807,'Cannot be modified except by direct means',100,2,3),
(264914,25299,'When Equipped:',100,0,0),
(264915,25299,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(264916,25299,'Battle Fury reduces reuse time by 10%.',100,1,2),
(264917,10025299,'When Equipped:',100,0,0),
(264918,10025299,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(264919,10025299,'Battle Fury reduces reuse time by 10%.',100,1,2),
(264920,109370,'Inflicts 56 - 169 melee damage on target',100,1,0),
(264921,109370,'Inflicts 70 - 211 melee damage on target',100,1,1),
(264922,109370,'Inflicts 84 - 254 melee damage on target',100,1,2),
(264923,10109370,'Inflicts 67 - 203 melee damage on target',100,1,0),
(264924,10109370,'Inflicts 84 - 254 melee damage on target',100,1,1),
(264925,10109370,'Inflicts 101 - 305 melee damage on target',100,1,2),
(264926,45618,'Applies Elixir of Longetivity  when Activated.  Lasts for 15 minutes.',100,0,0),
(264927,45618,'Increases Max Health of caster by 86.5',100,1,1),
(264928,10045618,'Applies Elixir of Longetivity  when Activated.  Lasts for 15 minutes.',100,0,0),
(264929,10045618,'Increases Max Health of caster by 86.5',100,1,1),
(264930,101120,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1510',100,1,0),
(264931,10101120,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1510',100,1,0),
(264932,27264,'When Equipped:',100,0,0),
(264933,27264,'Increases Crit Chance of caster by 1.0',100,1,1),
(264934,10027264,'When Equipped:',100,0,0),
(264935,10027264,'Increases Crit Chance of caster by 1.0',100,1,1),
(264936,124422,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(264937,124422,'Inflicts 240 - 400 melee damage on target',100,2,1),
(264938,124422,'Grants a total of 3 triggers of the spell.',100,2,2),
(264939,10124422,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(264940,10124422,'Inflicts 288 - 480 melee damage on target',100,2,1),
(264941,10124422,'Grants a total of 3 triggers of the spell.',100,2,2),
(264942,80958,'When Equipped:',100,0,0),
(264943,80958,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264944,80958,'Inflicts 175 - 324 magic damage on target',100,2,2),
(264945,80958,'Cannot be modified except by direct means',100,2,3),
(264946,10080958,'When Equipped:',100,0,0),
(264947,10080958,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(264948,10080958,'Inflicts 209 - 389 magic damage on target',100,2,2),
(264949,10080958,'Cannot be modified except by direct means',100,2,3),
(264950,123366,'Heals group members (AE) for 506 - 619',100,1,0),
(264951,10123366,'Heals group members (AE) for 616 - 753',100,1,0),
(264952,55134,'When Equipped:',100,0,0),
(264953,55134,'Increases caster''s chance to block by 15.0%',100,1,1),
(264954,10055134,'When Equipped:',100,0,0),
(264955,10055134,'Increases caster''s chance to block by 15.0%',100,1,1),
(264956,36637,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(264957,36637,'Increases Max Power of target by 10.5',100,0,1),
(264958,121512,'Inflicts 600 - 1001 melee damage on target',100,1,0),
(264959,121512,'Decreases Defense of target by 22.2',100,1,1),
(264960,10121512,'Inflicts 720 - 1201 melee damage on target',100,1,0),
(264961,10121512,'Decreases Defense of target by 22.2',100,1,1),
(264962,181675,'When Equipped:',100,0,0),
(264963,181675,'Increases disease damage done by spells by up to 30.',100,1,1),
(264964,10181675,'When Equipped:',100,0,0),
(264965,10181675,'Increases disease damage done by spells by up to 30.',100,1,1),
(264966,45480,'Applies Call Cavalry Appaloosa when Activated.',100,0,0),
(264967,45480,'Increases Crushing, Piercing and Focus of caster by 7.0',100,1,1),
(264968,45480,'Summons a mount to ride',100,1,2),
(264969,45480,'Increases your ground speed by 130%',100,2,3),
(264970,45480,'Increases Slashing and Ranged of caster by 7.0',100,1,4),
(264971,10045480,'Applies Call Cavalry Appaloosa when Activated.',100,0,0),
(264972,10045480,'Increases Crushing, Piercing and Focus of caster by 7.0',100,1,1),
(264973,10045480,'Summons a mount to ride',100,1,2),
(264974,10045480,'Increases your ground speed by 130%',100,2,3),
(264975,10045480,'Increases Slashing and Ranged of caster by 7.0',100,1,4),
(264976,35506,'Increases INT and WIS of target by 15.4',100,0,0),
(264977,35506,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(264978,24618,'Adds Pandaman (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(264979,10024618,'Adds Pandaman (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(264980,80207,'When Equipped:',100,0,0),
(264981,80207,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264982,80207,'Inflicts 169 - 314 magic damage on target',100,2,2),
(264983,80207,'Decreases Threat to target by 801 ',100,2,3),
(264984,80207,'Must be flanking or behind',100,3,4),
(264985,80207,'Increases Threat to target by 1,261 ',100,2,5),
(264986,80207,'Must be in front of',100,3,6),
(264987,80207,'Cannot be modified except by direct means',100,2,7),
(264988,10080207,'When Equipped:',100,0,0),
(264989,10080207,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(264990,10080207,'Inflicts 203 - 377 magic damage on target',100,2,2),
(264991,10080207,'Cannot be modified except by direct means',100,2,3),
(264992,102401,'Inflicts 347 - 645 melee damage on targets in area',100,1,0),
(264993,10102401,'Inflicts 417 - 775 melee damage on targets in area',100,1,0),
(264994,48078,'Applies Form of Terror when Activated.',100,0,0),
(264995,48078,'Shapechanges caster into an an empowered terror',100,1,1),
(264996,10048078,'Applies Form of Terror when Activated.',100,0,0),
(264997,10048078,'Shapechanges caster into an an empowered terror',100,1,1),
(264998,124613,'Heals group members (AE) for 156 - 191',100,1,0),
(264999,124613,'Heals group members (AE) for 26 - 32 every second',100,1,1),
(265000,10124613,'Heals group members (AE) for 229 - 279',100,1,0),
(265001,10124613,'Heals group members (AE) for 29 - 35 every second',100,1,1),
(265002,175129,'Applies Sacrilege when Equipped.',100,0,0),
(265003,175129,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(265004,10175129,'Applies Sacrilege when Equipped.',100,0,0),
(265005,10175129,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(265006,122461,'Inflicts 1196 - 1993 magic damage on target',100,1,0),
(265007,10122461,'Inflicts 1435 - 2391 magic damage on target',100,1,0),
(265008,26937,'When Equipped:',100,0,0),
(265009,26937,'Increases Multi Attack Chance of caster by 3.0',100,1,1),
(265010,10026937,'When Equipped:',100,0,0),
(265011,10026937,'Increases Multi Attack Chance of caster by 3.0',100,1,1),
(265012,116776,'Increases Max Health of target by 777.7',100,1,0),
(265013,116776,'Increases Max Power of target by 786.3',100,1,1),
(265014,10116776,'Increases Max Health of target by 777.7',100,1,0),
(265015,10116776,'Increases Max Power of target by 786.3',100,1,1),
(265016,101448,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(265017,101448,'Increases Mitigation of group members (AE) vs noxious damage by 806',100,1,1),
(265018,10101448,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(265019,10101448,'Increases Mitigation of group members (AE) vs noxious damage by 806',100,1,1),
(265020,45358,'Applies Blessing of Growth when Activated.',100,0,0),
(265021,45358,'This effect cannot be cast during combat',100,1,1),
(265022,10045358,'Applies Blessing of Growth when Activated.',100,0,0),
(265023,10045358,'This effect cannot be cast during combat',100,1,1),
(265024,124769,'Inflicts 650 - 795 disease damage on target encounter',100,1,0),
(265025,10124769,'Inflicts 781 - 954 disease damage on target encounter',100,1,0),
(265026,124605,'Heals group members (AE) for 67 - 82',100,1,0),
(265027,124605,'Heals group members (AE) for 11 - 14 every second',100,1,1),
(265028,10124605,'Heals group members (AE) for 98 - 120',100,1,0),
(265029,10124605,'Heals group members (AE) for 12 - 15 every second',100,1,1),
(265030,111316,'Increases Attack Speed of caster by 25.0',100,1,0),
(265031,10111316,'Increases Attack Speed of caster by 25.0',100,1,0),
(265032,70825,'When Equipped:',100,0,0),
(265033,70825,'On a combat hit this spell may cast Lightning Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265034,70825,'Inflicts 100 - 122 magic damage on target',100,2,2),
(265035,70825,'Cannot be modified except by direct means',100,2,3),
(265036,10070825,'When Equipped:',100,0,0),
(265037,10070825,'On a combat hit this spell may cast Lightning Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265038,10070825,'Inflicts 120 - 147 magic damage on target',100,2,2),
(265039,10070825,'Cannot be modified except by direct means',100,2,3),
(265040,118436,'Heals target for 1445 - 1766',100,1,0),
(265041,118436,'Increases Max Health of target by 227.5',100,1,1),
(265042,10118436,'Heals target for 1676 - 2049',100,1,0),
(265043,10118436,'Increases Max Health of target by 227.5',100,1,1),
(265044,117589,'Inflicts 406 - 677 melee damage on target',100,1,0),
(265045,117589,'Decreases Parry of target by 47.1',100,1,1),
(265046,117589,'Must be in front of or flanking',100,1,2),
(265047,10117589,'Inflicts 487 - 813 melee damage on target',100,1,0),
(265048,10117589,'Decreases Parry of target by 47.1',100,1,1),
(265049,10117589,'Must be in front of or flanking',100,1,2),
(265050,41487,'When Equipped:',100,0,0),
(265051,41487,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(265052,41487,'Inflicts 148 - 275 magic damage on target',100,2,2),
(265053,41487,'Decreases Threat to target by 517 ',100,2,3),
(265054,41487,'Must be flanking or behind',100,3,4),
(265055,41487,'Increases Threat to target by 905 ',100,2,5),
(265056,41487,'Must be in front of',100,3,6),
(265057,41487,'Cannot be modified except by direct means',100,2,7),
(265058,10041487,'When Equipped:',100,0,0),
(265059,10041487,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(265060,10041487,'Inflicts 178 - 330 magic damage on target',100,2,2),
(265061,10041487,'Cannot be modified except by direct means',100,2,3),
(265062,71299,'When Equipped:',100,0,0),
(265063,71299,'On a combat hit this spell may cast Divine Sacrament on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265064,71299,'Inflicts 487 - 538 divine damage on target',100,2,2),
(265065,71299,'Cannot be modified except by direct means',100,2,3),
(265066,10071299,'When Equipped:',100,0,0),
(265067,10071299,'On a combat hit this spell may cast Divine Sacrament on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265068,10071299,'Inflicts 584 - 646 divine damage on target',100,2,2),
(265069,10071299,'Cannot be modified except by direct means',100,2,3),
(265070,52816,'Applies Sanguine Imbued when Equipped.',100,0,0),
(265071,52816,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(265072,52816,'Inflicts 56 heat damage on target',100,2,2),
(265073,52816,'Cannot be modified except by direct means',100,2,3),
(265074,10052816,'Applies Sanguine Imbued when Equipped.',100,0,0),
(265075,10052816,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(265076,10052816,'Inflicts 67 heat damage on target',100,2,2),
(265077,10052816,'Cannot be modified except by direct means',100,2,3),
(265078,45772,'Applies Enter the Community Lounge when Activated.',100,0,0),
(265079,45772,'This key transports the user to the Community Lounge.',100,1,1),
(265080,10045772,'Applies Enter the Community Lounge when Activated.',100,0,0),
(265081,10045772,'This key transports the user to the Community Lounge.',100,1,1),
(265082,36957,'Increases INT of target by 4.3',100,0,0),
(265083,36957,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(265084,45680,'Applies Clouded Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(265085,45680,'Heals caster for 209',100,1,1),
(265086,45680,'Heals caster for 105 every 5 seconds',100,1,2),
(265087,45680,'Only affects targets level 50 and above',100,1,3),
(265088,10045680,'Applies Clouded Ixnay''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(265089,10045680,'Heals caster for 136',100,1,1),
(265090,10045680,'Heals caster for 68 every 5 seconds',100,1,2),
(265091,10045680,'Only affects targets level 50 and above',100,1,3),
(265092,106851,'Decreases Crushing, Piercing, Slashing and Ranged of target by 42.1',100,1,0),
(265093,10106851,'Decreases Crushing, Piercing, Slashing and Ranged of target by 42.1',100,1,0),
(265094,112345,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(265095,112345,'Inflicts 99 - 166 piercing damage on target',100,2,1),
(265096,10112345,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(265097,10112345,'Inflicts 62 - 104 piercing damage on target',100,2,1),
(265098,71794,'When Equipped:',100,0,0),
(265099,71794,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265100,71794,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(265101,71794,'Cannot be modified except by direct means',100,2,3),
(265102,10071794,'When Equipped:',100,0,0),
(265103,10071794,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265104,10071794,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(265105,10071794,'Cannot be modified except by direct means',100,2,3),
(265106,105057,'Inflicts 55 - 82 magic damage on target',100,1,0),
(265107,10105057,'Inflicts 65 - 98 magic damage on target',100,1,0),
(265108,112449,'Mesmerizes target',100,1,0),
(265109,112449,'Prevents AOE (except when direct) ',100,1,1),
(265110,112449,'Dispelled when target takes damage',100,1,2),
(265111,112449,'Does not affect Epic targets',100,1,3),
(265112,112449,'Resistibility increases against targets higher than level 95.',100,1,4),
(265113,10112449,'Mesmerizes target',100,1,0),
(265114,10112449,'Prevents AOE (except when direct) ',100,1,1),
(265115,10112449,'Dispelled when target takes damage',100,1,2),
(265116,10112449,'Does not affect Epic targets',100,1,3),
(265117,10112449,'Resistibility increases against targets higher than level 95.',100,1,4),
(265118,102352,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(265119,102352,'Increases Damage Per Second of target by 9.9',100,2,1),
(265120,102352,'Increases Attack Speed of target by 9.9',100,2,2),
(265121,102352,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(265122,102352,'Increases Damage Per Second of target by 9.9',100,2,4),
(265123,102352,'Increases Attack Speed of target by 9.9',100,2,5),
(265124,102352,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(265125,102352,'Increases Damage Per Second of target by 9.9',100,2,7),
(265126,102352,'Increases Attack Speed of target by 9.9',100,2,8),
(265127,10102352,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(265128,10102352,'Increases Damage Per Second of target by 9.9',100,2,1),
(265129,10102352,'Increases Attack Speed of target by 9.9',100,2,2),
(265130,10102352,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(265131,10102352,'Increases Damage Per Second of target by 9.9',100,2,4),
(265132,10102352,'Increases Attack Speed of target by 9.9',100,2,5),
(265133,10102352,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(265134,10102352,'Increases Damage Per Second of target by 9.9',100,2,7),
(265135,10102352,'Increases Attack Speed of target by 9.9',100,2,8),
(265136,45152,'Applies Alchtonion''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(265137,45152,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(265138,10045152,'Applies Alchtonion''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(265139,10045152,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(265140,119286,'Inflicts 67 - 113 slashing damage on target',100,1,0),
(265141,119286,'Decreases Damage Per Second of target by 15.5',100,1,1),
(265142,119286,'Inflicts 90 slashing damage on target instantly and every 4 seconds',100,1,2),
(265143,10119286,'Inflicts 81 - 135 slashing damage on target',100,1,0),
(265144,10119286,'Decreases Damage Per Second of target by 15.5',100,1,1),
(265145,10119286,'Inflicts 109 slashing damage on target instantly and every 4 seconds',100,1,2),
(265146,140473,'When Equipped:',100,0,0),
(265147,140473,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265148,140473,'Wards caster against 300 points of all damage',100,2,2),
(265149,140473,'Cannot be modified except by direct means',100,2,3),
(265150,10140473,'When Equipped:',100,0,0),
(265151,10140473,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265152,10140473,'Wards caster against 300 points of all damage',100,2,2),
(265153,10140473,'Cannot be modified except by direct means',100,2,3),
(265154,45035,'Applies Release when Activated.  Lasts for 2.0 seconds.',100,0,0),
(265155,45035,'must be in a particular area',100,1,1),
(265156,10045035,'Applies Release when Activated.  Lasts for 2.0 seconds.',100,0,0),
(265157,10045035,'must be in a particular area',100,1,1),
(265158,189031,'When Equipped:',100,0,0),
(265159,189031,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265160,189031,'Wards target against 3200 points of all damage',100,2,2),
(265161,189031,'Cannot be modified except by direct means',100,2,3),
(265162,10189031,'When Equipped:',100,0,0),
(265163,10189031,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265164,10189031,'Wards target against 3200 points of all damage',100,2,2),
(265165,10189031,'Cannot be modified except by direct means',100,2,3),
(265166,120821,'Inflicts 9 - 13 disease damage on target instantly and every second',100,1,0),
(265167,10120821,'Inflicts 16 - 21 disease damage on target',100,1,0),
(265168,10120821,'Inflicts 11 - 15 disease damage on target every second',100,1,1),
(265169,110691,'Heals target for 1246',100,1,0),
(265170,110691,'Dispels 88 levels of any hostile effects on target',100,1,1),
(265171,10110691,'Heals target for 810',100,1,0),
(265172,10110691,'Dispels 88 levels of any hostile effects on target',100,1,1),
(265173,107590,'Dazes target encounter',100,1,0),
(265174,107590,'Inflicts 327 - 400 mental damage on target encounter',100,1,1),
(265175,107590,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(265176,107590,'Resistibility increases against targets higher than level 82.',100,1,3),
(265177,10107590,'Dazes target encounter',100,1,0),
(265178,10107590,'Inflicts 393 - 480 mental damage on target encounter',100,1,1),
(265179,10107590,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(265180,10107590,'Resistibility increases against targets higher than level 82.',100,1,3),
(265181,74946,'When Equipped:',100,0,0),
(265182,74946,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265183,74946,'Inflicts 88 - 133 magic damage on target',100,2,2),
(265184,74946,'Cannot be modified except by direct means',100,2,3),
(265185,10074946,'When Equipped:',100,0,0),
(265186,10074946,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265187,10074946,'Inflicts 106 - 159 magic damage on target',100,2,2),
(265188,10074946,'Cannot be modified except by direct means',100,2,3),
(265189,48170,'Applies Spirit of the Ox when Activated.',100,0,0),
(265190,48170,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(265191,10048170,'Applies Spirit of the Ox when Activated.',100,0,0),
(265192,10048170,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(265193,117517,'Increases AGI, INT and WIS of group members (AE) by 9.9',100,1,0),
(265194,117517,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 40',100,1,1),
(265195,10117517,'Increases AGI, INT and WIS of group members (AE) by 9.9',100,1,0),
(265196,10117517,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 40',100,1,1),
(265197,162465,'When Equipped:',100,0,0),
(265198,162465,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265199,162465,'Decreases Mitigation of target vs arcane damage by 410',100,2,2),
(265200,162465,'Must be classified as an undead',100,3,3),
(265201,162465,'Inflicts 562 mental damage on target',100,2,4),
(265202,162465,'Must be classified as an undead',100,3,5),
(265203,162465,'Inflicts 281 mental damage on target',100,2,6),
(265204,162465,'Must not be classified as an undead',100,3,7),
(265205,162465,'Cannot be modified except by direct means',100,2,8),
(265206,162465,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(265207,10162465,'When Equipped:',100,0,0),
(265208,10162465,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265209,10162465,'Decreases Mitigation of target vs arcane damage by 410',100,2,2),
(265210,10162465,'Must be classified as an undead',100,3,3),
(265211,10162465,'Inflicts 674 mental damage on target',100,2,4),
(265212,10162465,'Must be classified as an undead',100,3,5),
(265213,10162465,'Inflicts 337 mental damage on target',100,2,6),
(265214,10162465,'Must not be classified as an undead',100,3,7),
(265215,10162465,'Cannot be modified except by direct means',100,2,8),
(265216,10162465,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(265217,175424,'When Equipped:',100,0,0),
(265218,175424,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(265219,175424,'Reduces healing received by 15.00%',100,2,2),
(265220,175424,'Cannot be modified except by direct means',100,2,3),
(265221,175424,'This effect can only trigger once every 1 second.',100,2,4),
(265222,175424,'Must be engaged in pvp combat',100,1,5),
(265223,10175424,'When Equipped:',100,0,0),
(265224,10175424,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(265225,10175424,'Reduces healing received by 15.00%',100,2,2),
(265226,10175424,'Cannot be modified except by direct means',100,2,3),
(265227,10175424,'This effect can only trigger once every 1 second.',100,2,4),
(265228,10175424,'Must be engaged in pvp combat',100,1,5),
(265229,24110,'Adds Chokidai (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(265230,10024110,'Adds Chokidai (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(265231,71605,'When Equipped:',100,0,0),
(265232,71605,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265233,71605,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(265234,71605,'Cannot be modified except by direct means',100,2,3),
(265235,10071605,'When Equipped:',100,0,0),
(265236,10071605,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265237,10071605,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(265238,10071605,'Cannot be modified except by direct means',100,2,3),
(265239,123429,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(265240,123429,'Stuns target',100,2,1),
(265241,123429,'Blurs vision of target',100,2,2),
(265242,123429,'Throws target back',100,2,3),
(265243,123429,'Does not affect Epic targets',100,2,4),
(265244,123429,'Inflicts 172 - 516 melee damage on target',100,1,5),
(265245,10123429,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(265246,10123429,'Stuns target',100,2,1),
(265247,10123429,'Throws target back',100,2,2),
(265248,10123429,'Blurs vision of target',100,2,3),
(265249,10123429,'Does not affect Epic targets',100,2,4),
(265250,10123429,'Inflicts 206 - 619 melee damage on target',100,1,5),
(265251,36835,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(265252,36959,'Increases Max Power of target by 108.8',100,0,0),
(265253,36959,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(265254,103874,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(265255,103874,'Slows target by 68.8%',100,2,1),
(265256,103874,'5% chance to dispel when target receives hostile action',100,2,2),
(265257,103874,'5% chance to dispel when target takes damage',100,2,3),
(265258,103874,'Decreases Mitigation of target vs noxious damage by 2080',100,1,4),
(265259,10103874,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(265260,10103874,'Slows target by 68.8%',100,2,1),
(265261,10103874,'5% chance to dispel when target receives hostile action',100,2,2),
(265262,10103874,'5% chance to dispel when target takes damage',100,2,3),
(265263,10103874,'Decreases Mitigation of target vs noxious damage by 2080',100,1,4),
(265264,109778,'Conveys your ire for another.',100,1,0),
(265265,109778,'If facing target',100,1,1),
(265266,10109778,'Conveys your ire for another.',100,1,0),
(265267,10109778,'If facing target',100,1,1),
(265268,48684,'Applies Clendin''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(265269,48684,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(265270,10048684,'Applies Clendin''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(265271,10048684,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(265272,100733,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(265273,100733,'Increases Mitigation of group members (AE) vs noxious damage by 1512',100,1,1),
(265274,10100733,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(265275,10100733,'Increases Mitigation of group members (AE) vs noxious damage by 1512',100,1,1),
(265276,87299,'When Equipped:',100,0,0),
(265277,87299,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265278,87299,'Inflicts 73 - 110 magic damage on target',100,2,2),
(265279,87299,'Cannot be modified except by direct means',100,2,3),
(265280,10087299,'When Equipped:',100,0,0),
(265281,10087299,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265282,10087299,'Inflicts 88 - 132 magic damage on target',100,2,2),
(265283,10087299,'Cannot be modified except by direct means',100,2,3),
(265284,108137,'Increases Attack Speed of caster by 40.7',100,1,0),
(265285,10108137,'Increases Attack Speed of caster by 40.7',100,1,0),
(265286,166377,'When Equipped:',100,0,0),
(265287,166377,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(265288,10166377,'When Equipped:',100,0,0),
(265289,10166377,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(265290,45524,'Applies Clockwork Scan when Activated.',100,0,0),
(265291,45524,'This effect cannot be cast during combat',100,1,1),
(265292,10045524,'Applies Clockwork Scan when Activated.',100,0,0),
(265293,10045524,'This effect cannot be cast during combat',100,1,1),
(265294,120811,'Inflicts 3 - 4 disease damage on target instantly and every second',100,1,0),
(265295,10120811,'Inflicts 6 - 7 disease damage on target',100,1,0),
(265296,10120811,'Inflicts 4 - 5 disease damage on target every second',100,1,1),
(265297,124746,'Inflicts 13 - 22 slashing damage on target',100,1,0),
(265298,124746,'Decreases Damage Per Second of target by 10.6',100,1,1),
(265299,124746,'Inflicts 18 slashing damage on target instantly and every 4 seconds',100,1,2),
(265300,10124746,'Inflicts 16 - 27 slashing damage on target',100,1,0),
(265301,10124746,'Decreases Damage Per Second of target by 10.6',100,1,1),
(265302,10124746,'Inflicts 22 slashing damage on target instantly and every 4 seconds',100,1,2),
(265303,47297,'Applies Sergug''s Renewal  when Activated.',100,0,0),
(265304,47297,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(265305,10047297,'Applies Sergug''s Renewal  when Activated.',100,0,0),
(265306,10047297,'Dispels 58 levels of physical hostile effects on caster',100,1,1),
(265307,25770,'When Equipped:',100,0,0),
(265308,25770,'Savage Ruin VII will add 10% max health to the beastlord.',100,1,1),
(265309,25770,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(265310,10025770,'When Equipped:',100,0,0),
(265311,10025770,'Savage Ruin VII will add 10% max health to the beastlord.',100,1,1),
(265312,10025770,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(265313,111812,'Roots target',100,1,0),
(265314,111812,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(265315,111812,'Slows target by 47.3%',100,2,2),
(265316,111812,'5% chance to dispel when target receives hostile action',100,2,3),
(265317,111812,'5% chance to dispel when target takes damage',100,2,4),
(265318,111812,'10% chance to dispel when target receives hostile action',100,1,5),
(265319,111812,'10% chance to dispel when target takes damage',100,1,6),
(265320,111812,'Does not affect Epic targets',100,1,7),
(265321,111812,'Resistibility increases against targets higher than level 48.',100,1,8),
(265322,10111812,'Roots target',100,1,0),
(265323,10111812,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(265324,10111812,'Slows target by 47.3%',100,2,2),
(265325,10111812,'10% chance to dispel when target receives hostile action',100,2,3),
(265326,10111812,'10% chance to dispel when target takes damage',100,2,4),
(265327,10111812,'10% chance to dispel when target receives hostile action',100,1,5),
(265328,10111812,'10% chance to dispel when target takes damage',100,1,6),
(265329,10111812,'Does not affect Epic targets',100,1,7),
(265330,10111812,'Resistibility increases against targets higher than level 48.',100,1,8),
(265331,102588,'Increases Threat to target encounter by 151 - 184 ',100,1,0),
(265332,102588,'Interrupts target encounter',100,1,1),
(265333,102588,'Decreases Mitigation of target encounter vs noxious damage by 115',100,1,2),
(265334,10102588,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(265335,10102588,'Prevents target from changing targets',100,2,1),
(265336,10102588,'Forces target to change their selected target to caster.',100,2,2),
(265337,10102588,'Interrupts target encounter',100,1,3),
(265338,10102588,'Decreases Mitigation of target encounter vs noxious damage by 115',100,1,4),
(265339,139296,'When Equipped:',100,0,0),
(265340,139296,'Reduces maximum falling speed of caster',100,1,1),
(265341,10139296,'When Equipped:',100,0,0),
(265342,10139296,'Reduces maximum falling speed of caster',100,1,1),
(265343,106975,'Inflicts 583 - 1082 poison damage on target',100,1,0),
(265344,106975,'Increases power of caster by 57',100,1,1),
(265345,10106975,'Inflicts 699 - 1299 poison damage on target',100,1,0),
(265346,10106975,'Increases power of caster by 57',100,1,1),
(265347,121060,'Increases STR and STA of group members (AE) by 24.6',100,1,0),
(265348,10121060,'Increases STR and STA of group members (AE) by 24.6',100,1,0),
(265349,118617,'Roots target',100,1,0),
(265350,118617,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(265351,118617,'Slows target by 51.9%',100,2,2),
(265352,118617,'5% chance to dispel when target receives hostile action',100,2,3),
(265353,118617,'5% chance to dispel when target takes damage',100,2,4),
(265354,118617,'5% chance to dispel when target takes damage',100,1,5),
(265355,118617,'Does not affect Epic targets',100,1,6),
(265356,118617,'Resistibility increases against targets higher than level 115.',100,1,7),
(265357,10118617,'Roots target',100,1,0),
(265358,10118617,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(265359,10118617,'Slows target by 51.9%',100,2,2),
(265360,10118617,'5% chance to dispel when target receives hostile action',100,2,3),
(265361,10118617,'5% chance to dispel when target takes damage',100,2,4),
(265362,10118617,'5% chance to dispel when target takes damage',100,1,5),
(265363,10118617,'Does not affect Epic targets',100,1,6),
(265364,10118617,'Resistibility increases against targets higher than level 115.',100,1,7),
(265365,109568,'Makes target afraid',100,1,0),
(265366,109568,'30% chance to dispel when target takes damage',100,1,1),
(265367,109568,'Does not affect Epic targets',100,1,2),
(265368,109568,'Resistibility increases against targets higher than level 69.',100,1,3),
(265369,10109568,'Makes target afraid',100,1,0),
(265370,10109568,'30% chance to dispel when target takes damage',100,1,1),
(265371,10109568,'Does not affect Epic targets',100,1,2),
(265372,10109568,'Resistibility increases against targets higher than level 69.',100,1,3),
(265373,24353,'Adds Erudite (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(265374,10024353,'Adds Erudite (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(265375,24375,'Adds Froglok (Warden) to your Dungeon Maker toolbox',100,0,0),
(265376,10024375,'Adds Froglok (Warden) to your Dungeon Maker toolbox',100,0,0),
(265377,76137,'When Equipped:',100,0,0),
(265378,76137,'Increases damage done by elemental spells by up to 50 and lowers their fuel cost by 25.',100,1,1),
(265379,10076137,'When Equipped:',100,0,0),
(265380,10076137,'Increases damage done by elemental spells by up to 50 and lowers their fuel cost by 25.',100,1,1),
(265381,82880,'When Equipped:',100,0,0),
(265382,82880,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265383,82880,'Inflicts 205 - 381 magic damage on target',100,2,2),
(265384,82880,'Cannot be modified except by direct means',100,2,3),
(265385,10082880,'When Equipped:',100,0,0),
(265386,10082880,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265387,10082880,'Inflicts 246 - 457 magic damage on target',100,2,2),
(265388,10082880,'Cannot be modified except by direct means',100,2,3),
(265389,115458,'Inflicts 118 - 145 mental damage on target instantly and every 6 seconds',100,1,0),
(265390,115458,'Decreases Mitigation of target vs arcane damage by 1097',100,1,1),
(265391,10115458,'Inflicts 142 - 174 mental damage on target instantly and every 6 seconds',100,1,0),
(265392,10115458,'Decreases Mitigation of target vs arcane damage by 1097',100,1,1),
(265393,84247,'Applies Mental Blast when Activated.',100,0,0),
(265394,84247,'Inflicts 367 - 611 mental damage on target',100,1,1),
(265395,84247,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(265396,10084247,'Applies Mental Blast when Activated.',100,0,0),
(265397,10084247,'Inflicts 440 - 734 mental damage on target',100,1,1),
(265398,10084247,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(265399,157686,'When Equipped:',100,0,0),
(265400,157686,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(265401,10157686,'When Equipped:',100,0,0),
(265402,10157686,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(265403,46177,'Applies Use when Activated.',100,0,0),
(265404,10046177,'Applies Use when Activated.',100,0,0),
(265405,159918,'Applies Sanguine Imbued when Equipped.',100,0,0),
(265406,159918,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(265407,159918,'Inflicts 169 heat damage on target',100,2,2),
(265408,159918,'Cannot be modified except by direct means',100,2,3),
(265409,10159918,'Applies Sanguine Imbued when Equipped.',100,0,0),
(265410,10159918,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(265411,10159918,'Inflicts 203 heat damage on target',100,2,2),
(265412,10159918,'Cannot be modified except by direct means',100,2,3),
(265413,108239,'Inflicts 244 - 733 piercing damage on target',100,1,0),
(265414,108239,'Decreases Slashing, Crushing, Piercing and Ranged of target by 37.8',100,1,1),
(265415,10108239,'Inflicts 293 - 880 piercing damage on target',100,1,0),
(265416,10108239,'Decreases Slashing, Crushing, Piercing and Ranged of target by 37.8',100,1,1),
(265417,46237,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(265418,46237,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 23.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(265419,46237,'Slows target by 32.2%',100,2,2),
(265420,46237,'Cannot be modified except by direct means',100,2,3),
(265421,46237,'Grants a total of 60 triggers of the spell.',100,2,4),
(265422,10046237,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(265423,10046237,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(265424,10046237,'Slows target by 32.2%',100,2,2),
(265425,10046237,'Cannot be modified except by direct means',100,2,3),
(265426,10046237,'Grants a total of 60 triggers of the spell.',100,2,4),
(265427,114973,'Decreases Attack Speed of target by 11.4',100,1,0),
(265428,114973,'Inflicts 59 - 177 slashing damage on target',100,1,1),
(265429,114973,'Inflicts 119 slashing damage on target instantly and every 4 seconds',100,1,2),
(265430,10114973,'Decreases Attack Speed of target by 11.4',100,1,0),
(265431,10114973,'Inflicts 71 - 213 slashing damage on target',100,1,1),
(265432,10114973,'Inflicts 142 slashing damage on target instantly and every 4 seconds',100,1,2),
(265433,120100,'Shapechanges caster into a chaos essence',100,1,0),
(265434,120100,'Increases WIS of caster by 62.9',100,1,1),
(265435,120100,'Grants See Invisibility to caster',100,1,2),
(265436,120100,'Increases Max Health of caster by 249.4',100,1,3),
(265437,120100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',100,1,4),
(265438,10120100,'Shapechanges caster into a chaos essence',100,1,0),
(265439,10120100,'Increases WIS of caster by 62.9',100,1,1),
(265440,10120100,'Grants See Invisibility to caster',100,1,2),
(265441,10120100,'Increases Max Health of caster by 249.4',100,1,3),
(265442,10120100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',100,1,4),
(265443,45729,'Applies Shielding of the Tranquilheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(265444,45729,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(265445,45729,'Inflicts 3 magic damage on target',100,2,2),
(265446,45729,'Cannot be modified except by direct means',100,2,3),
(265447,10045729,'Applies Shielding of the Tranquilheart  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(265448,10045729,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(265449,10045729,'Inflicts 4 magic damage on target',100,2,2),
(265450,10045729,'Cannot be modified except by direct means',100,2,3),
(265451,104781,'Charms target',100,1,0),
(265452,104781,'If outside an arena',100,1,1),
(265453,104781,'Certain enemies cannot be charmed',100,1,2),
(265454,104781,'Does not affect Epic targets',100,1,3),
(265455,10104781,'Charms target',100,1,0),
(265456,10104781,'If outside an arena',100,1,1),
(265457,10104781,'Certain enemies cannot be charmed',100,1,2),
(265458,10104781,'Does not affect Epic targets',100,1,3),
(265459,82730,'When Equipped:',100,0,0),
(265460,82730,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265461,82730,'Inflicts 108 - 200 magic damage on target',100,2,2),
(265462,82730,'Cannot be modified except by direct means',100,2,3),
(265463,10082730,'When Equipped:',100,0,0),
(265464,10082730,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265465,10082730,'Inflicts 129 - 240 magic damage on target',100,2,2),
(265466,10082730,'Cannot be modified except by direct means',100,2,3),
(265467,109449,'Inflicts 237 - 289 cold damage on target instantly and every 4 seconds',100,1,0),
(265468,109449,'Decreases Mitigation of target vs elemental damage by 1253',100,1,1),
(265469,10109449,'Inflicts 284 - 347 cold damage on target instantly and every 4 seconds',100,1,0),
(265470,10109449,'Decreases Mitigation of target vs elemental damage by 1253',100,1,1),
(265471,105115,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(265472,105115,'Summon 1 Distilled Soul (Expert)',100,2,1),
(265473,10105115,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(265474,10105115,'Summon 1 Distilled Soul (Expert)',100,2,1),
(265475,110557,'Decreases Attack Speed of target by 14.3',100,1,0),
(265476,110557,'Decreases Crushing, Slashing and Piercing of target by 1.0',100,1,1),
(265477,10110557,'Decreases Attack Speed of target by 14.3',100,1,0),
(265478,10110557,'Decreases Crushing, Slashing and Piercing of target by 1.0',100,1,1),
(265479,105038,'Increases WIS of raid and group members (AE) by 57.1',100,1,0),
(265480,105038,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(265481,105038,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 215',100,1,2),
(265482,10105038,'Increases WIS of raid and group members (AE) by 57.1',100,1,0),
(265483,10105038,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(265484,10105038,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 215',100,1,2),
(265485,163266,'When Equipped:',100,0,0),
(265486,163266,'On any combat or spell hit this spell may cast Fatal Pestilience IV on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265487,163266,'Inflicts 49 - 54 disease damage on targets in Area of Effect',100,2,2),
(265488,163266,'Inflicts 61 - 68 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(265489,163266,'Inflicts an additional 4 - 5 disease damage on targets in Area of Effect every tick',100,2,4),
(265490,163266,'Must not be engaged in pvp combat',100,2,5),
(265491,163266,'Cannot be modified except by direct means',100,2,6),
(265492,163266,'Must not be engaged in pvp combat',100,1,7),
(265493,10163266,'When Equipped:',100,0,0),
(265494,10163266,'On any combat or spell hit this spell may cast Fatal Pestilience IV on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265495,10163266,'Inflicts 59 - 65 disease damage on targets in Area of Effect',100,2,2),
(265496,10163266,'Inflicts 73 - 81 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(265497,10163266,'Inflicts an additional 4 - 5 disease damage on targets in Area of Effect every tick',100,2,4),
(265498,10163266,'Must not be engaged in pvp combat',100,2,5),
(265499,10163266,'Cannot be modified except by direct means',100,2,6),
(265500,10163266,'Must not be engaged in pvp combat',100,1,7),
(265501,84611,'When Equipped:',100,0,0),
(265502,84611,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265503,84611,'Inflicts 148 - 246 magic damage on target',100,2,2),
(265504,84611,'Cannot be modified except by direct means',100,2,3),
(265505,10084611,'When Equipped:',100,0,0),
(265506,10084611,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265507,10084611,'Inflicts 177 - 296 magic damage on target',100,2,2),
(265508,10084611,'Cannot be modified except by direct means',100,2,3),
(265509,109192,'Roots target',100,1,0),
(265510,109192,'Applies Blind.  Lasts for 9.0 seconds.',100,1,1),
(265511,109192,'Blurs vision of target',100,2,2),
(265512,109192,'Dazes target',100,2,3),
(265513,109192,'Dispelled when target takes damage',100,2,4),
(265514,109192,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(265515,109192,'5% chance to dispel when target takes damage',100,1,6),
(265516,109192,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(265517,109192,'Resistibility increases against targets higher than level 112.',100,1,8),
(265518,10109192,'Roots target',100,1,0),
(265519,10109192,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(265520,10109192,'Dazes target',100,2,2),
(265521,10109192,'Blurs vision of target',100,2,3),
(265522,10109192,'Dispelled when target takes damage',100,2,4),
(265523,10109192,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(265524,10109192,'5% chance to dispel when target takes damage',100,1,6),
(265525,10109192,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(265526,10109192,'Resistibility increases against targets higher than level 112.',100,1,8),
(265527,105734,'Inflicts 270 - 450 melee damage on targets in area',100,1,0),
(265528,105734,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(265529,105734,'Blurs vision of target',100,2,2),
(265530,105734,'Stuns target',100,2,3),
(265531,105734,'Throws target back',100,2,4),
(265532,105734,'Does not affect Epic targets',100,2,5),
(265533,10105734,'Inflicts 324 - 540 melee damage on targets in area',100,1,0),
(265534,10105734,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(265535,10105734,'Blurs vision of target',100,2,2),
(265536,10105734,'Stuns target',100,2,3),
(265537,10105734,'Throws target back',100,2,4),
(265538,10105734,'Does not affect Epic targets',100,2,5),
(265539,114880,'Decreases AGI of target by 78.7',100,1,0),
(265540,114880,'Decreases Defense of target by 29.7',100,1,1),
(265541,10114880,'Decreases AGI of target by 78.7',100,1,0),
(265542,10114880,'Decreases Defense of target by 29.7',100,1,1),
(265543,103337,'Inflicts 133 - 162 mental damage on target instantly and every 6 seconds',100,1,0),
(265544,103337,'Applies Migraine on termination.',100,1,1),
(265545,103337,'Inflicts 289 - 391 mental damage on target',100,2,2),
(265546,10103337,'Inflicts 159 - 194 mental damage on target instantly and every 6 seconds',100,1,0),
(265547,10103337,'Applies Migraine on termination.',100,1,1),
(265548,10103337,'Inflicts 347 - 469 mental damage on target',100,2,2),
(265549,100341,'Increases Max Health of target by 142.0',100,1,0),
(265550,100341,'Increases Crushing, Piercing, Slashing and Ranged of target by 3.4',100,1,1),
(265551,10100341,'Increases Max Health of target by 142.0',100,1,0),
(265552,10100341,'Increases Crushing, Piercing, Slashing and Ranged of target by 3.4',100,1,1),
(265553,100795,'Wards target against 800 points of all damage',100,1,0),
(265554,10100795,'Wards target against 1232 points of all damage',100,1,0),
(265555,110188,'Applies Untreated Bleeding on termination.',100,1,0),
(265556,110188,'Inflicts 306 - 509 piercing damage on target',100,2,1),
(265557,110188,'Inflicts 65 - 109 piercing damage on target instantly and every 4 seconds',100,1,2),
(265558,110188,'Inflicts 43 - 72 melee damage on target',100,1,3),
(265559,10110188,'Applies Untreated Bleeding on termination.',100,1,0),
(265560,10110188,'Inflicts 367 - 611 piercing damage on target',100,2,1),
(265561,10110188,'Inflicts 79 - 131 piercing damage on target instantly and every 4 seconds',100,1,2),
(265562,10110188,'Inflicts 52 - 87 melee damage on target',100,1,3),
(265563,51464,'Applies Heroic Resistance II when Equipped.',100,0,0),
(265564,51464,'Reduces the critical damage inflicted by players on caster by 2.0%',100,1,1),
(265565,51464,'Cannot be modified except by direct means',100,1,2),
(265566,10051464,'Applies Heroic Resistance II when Equipped.',100,0,0),
(265567,10051464,'Reduces the critical damage inflicted by players on caster by 2.0%',100,1,1),
(265568,10051464,'Cannot be modified except by direct means',100,1,2),
(265569,108244,'Inflicts 326 - 978 piercing damage on target',100,1,0),
(265570,108244,'Decreases Slashing, Crushing, Piercing and Ranged of target by 50.4',100,1,1),
(265571,10108244,'Inflicts 391 - 1173 piercing damage on target',100,1,0),
(265572,10108244,'Decreases Slashing, Crushing, Piercing and Ranged of target by 50.4',100,1,1),
(265573,80470,'When Equipped:',100,0,0),
(265574,80470,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265575,80470,'Inflicts 46 - 86 magic damage on target',100,2,2),
(265576,80470,'Cannot be modified except by direct means',100,2,3),
(265577,10080470,'When Equipped:',100,0,0),
(265578,10080470,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265579,10080470,'Inflicts 55 - 103 magic damage on target',100,2,2),
(265580,10080470,'Cannot be modified except by direct means',100,2,3),
(265581,110205,'Interrupts target',100,1,0),
(265582,110205,'Inflicts 60 - 101 crushing damage on target',100,1,1),
(265583,10110205,'Interrupts target',100,1,0),
(265584,10110205,'Inflicts 73 - 121 crushing damage on target',100,1,1),
(265585,100002,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(265586,100002,'Inflicts 9 - 15 melee damage on targets in area',100,2,1),
(265587,100002,'Decreases Defense of caster by 1.8',100,1,2),
(265588,100002,'Increases Slashing, Piercing and Crushing of caster by 3.2',100,1,3),
(265589,10100002,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(265590,10100002,'Inflicts 10 - 18 melee damage on targets in area',100,2,1),
(265591,10100002,'Decreases Defense of caster by 1.8',100,1,2),
(265592,10100002,'Increases Slashing, Piercing and Crushing of caster by 3.2',100,1,3),
(265593,111330,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(265594,111330,'Inflicts 186 - 227 mental damage on target',100,2,1),
(265595,111330,'Grants a total of 3 triggers of the spell.',100,2,2),
(265596,10111330,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(265597,10111330,'Inflicts 223 - 273 mental damage on target',100,2,1),
(265598,10111330,'Grants a total of 3 triggers of the spell.',100,2,2),
(265599,104405,'Stifles target encounter',100,1,0),
(265600,104405,'Inflicts 140 - 172 mental damage on target encounter instantly and every second',100,1,1),
(265601,104405,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(265602,104405,'Resistibility increases against targets higher than level 79.',100,1,3),
(265603,10104405,'Stifles target encounter',100,1,0),
(265604,10104405,'Inflicts 157 - 191 mental damage on target encounter instantly and every 0.4 seconds',100,1,1),
(265605,10104405,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(265606,10104405,'Resistibility increases against targets higher than level 79.',100,1,3),
(265607,79836,'When Equipped:',100,0,0),
(265608,79836,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265609,79836,'Wards group members (AE) against 800 points of all damage',100,2,2),
(265610,79836,'Cannot be modified except by direct means',100,2,3),
(265611,10079836,'When Equipped:',100,0,0),
(265612,10079836,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265613,10079836,'Wards group members (AE) against 800 points of all damage',100,2,2),
(265614,10079836,'Cannot be modified except by direct means',100,2,3),
(265615,120479,'Inflicts 22 - 36 melee damage on target',100,1,0),
(265616,120479,'Must be flanking or behind',100,1,1),
(265617,10120479,'Inflicts 26 - 44 melee damage on target',100,1,0),
(265618,10120479,'Must be flanking or behind',100,1,1),
(265619,36471,'Increases STA and STR of target by 13.2',100,0,0),
(265620,36471,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(265621,107386,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(265622,107386,'Slows target by 38.0%',100,2,1),
(265623,107386,'5% chance to dispel when target receives hostile action',100,2,2),
(265624,107386,'5% chance to dispel when target takes damage',100,2,3),
(265625,107386,'Inflicts 247 - 411 disease damage on target',100,1,4),
(265626,10107386,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(265627,10107386,'Slows target by 38.0%',100,2,1),
(265628,10107386,'5% chance to dispel when target receives hostile action',100,2,2),
(265629,10107386,'5% chance to dispel when target takes damage',100,2,3),
(265630,10107386,'Inflicts 296 - 493 disease damage on target',100,1,4),
(265631,116264,'Summons a pet Illusion Ally',100,1,0),
(265632,10116264,'Summons a pet Illusion Ally',100,1,0),
(265633,119042,'Inflicts 51 - 86 mental damage on target',100,1,0),
(265634,119042,'Decreases power of target by 49 - 81',100,1,1),
(265635,119042,'Increases power of caster by 27 - 45',100,1,2),
(265636,10119042,'Inflicts 62 - 103 mental damage on target',100,1,0),
(265637,10119042,'Decreases power of target by 49 - 81',100,1,1),
(265638,10119042,'Increases power of caster by 27 - 45',100,1,2),
(265639,46115,'Applies Elixir of the Mastermind when Activated.  Lasts for 30 minutes.',100,0,0),
(265640,46115,'Increases INT and WIS of caster by 23.3',100,1,1),
(265641,10046115,'Applies Elixir of the Mastermind when Activated.  Lasts for 30 minutes.',100,0,0),
(265642,10046115,'Increases INT and WIS of caster by 23.3',100,1,1),
(265643,121865,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(265644,121865,'Inflicts 127 - 156 mental damage on target',100,2,1),
(265645,121865,'Decreases Threat to target by 282 - 344 ',100,2,2),
(265646,121865,'If profession other than Fighter',100,3,3),
(265647,10121865,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(265648,10121865,'Inflicts 153 - 187 mental damage on target',100,2,1),
(265649,35463,'Increases WIS of target by 8.4',100,0,0),
(265650,35463,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(265651,74746,'When Equipped:',100,0,0),
(265652,74746,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265653,74746,'Inflicts 64 - 96 magic damage on target',100,2,2),
(265654,74746,'Cannot be modified except by direct means',100,2,3),
(265655,10074746,'When Equipped:',100,0,0),
(265656,10074746,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265657,10074746,'Inflicts 77 - 115 magic damage on target',100,2,2),
(265658,10074746,'Cannot be modified except by direct means',100,2,3),
(265659,36935,'Increases AGI of target by 2.4',100,0,0),
(265660,36935,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(265661,144226,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(265662,144226,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(265663,144226,'Cannot be modified except by direct means',100,1,2),
(265664,10144226,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(265665,10144226,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(265666,10144226,'Cannot be modified except by direct means',100,1,2),
(265667,120458,'Inflicts 122 - 204 ranged damage on target',100,1,0),
(265668,120458,'Slows target by 42.7%',100,1,1),
(265669,120458,'10% chance to dispel when target receives hostile action',100,1,2),
(265670,120458,'Requires bow',100,1,3),
(265671,10120458,'Inflicts 84 - 140 ranged damage on target',100,1,0),
(265672,10120458,'Slows target by 42.7%',100,1,1),
(265673,10120458,'10% chance to dispel when target receives hostile action',100,1,2),
(265674,10120458,'Requires bow',100,1,3),
(265675,154585,'When Equipped:',100,0,0),
(265676,154585,'On a combat hit this spell may cast Aggravate IV on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(265677,154585,'Increases Threat to target by 1,360 ',100,2,2),
(265678,154585,'Cannot be modified except by direct means',100,2,3),
(265679,10154585,'When Equipped:',100,0,0),
(265680,10154585,'On a combat hit this spell may cast Aggravate IV on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(265681,10154585,'Cannot be modified except by direct means',100,2,2),
(265682,124799,'Increases STR of caster by 89.3',100,1,0),
(265683,124799,'Decreases Defense of caster by 18.0',100,1,1),
(265684,124799,'Increases Crushing, Piercing, Slashing and Disruption of caster by 25.6',100,1,2),
(265685,10124799,'Increases STR of caster by 89.3',100,1,0),
(265686,10124799,'Decreases Defense of caster by 18.0',100,1,1),
(265687,10124799,'Increases Crushing, Piercing, Slashing and Disruption of caster by 25.6',100,1,2),
(265688,111389,'Increases Attack Speed of target by 25.7',100,1,0),
(265689,111389,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(265690,111389,'Inflicts 46 disease damage on target',100,2,2),
(265691,111389,'Heals caster for 14',100,2,3),
(265692,111389,'Decreases Defense and Parry of target by 4.9',100,1,4),
(265693,111389,'Increases Disruption, Subjugation and Focus of target by 6.9',100,1,5),
(265694,10111389,'Increases Attack Speed of target by 25.7',100,1,0),
(265695,10111389,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(265696,10111389,'Inflicts 55 disease damage on target',100,2,2),
(265697,10111389,'Heals caster for 9',100,2,3),
(265698,10111389,'Decreases Defense and Parry of target by 4.9',100,1,4),
(265699,10111389,'Increases Disruption, Subjugation and Focus of target by 6.9',100,1,5),
(265700,24349,'Adds Erollisian Flame Sentinel (Guardian) to your Dungeon Maker toolbox',100,0,0),
(265701,10024349,'Adds Erollisian Flame Sentinel (Guardian) to your Dungeon Maker toolbox',100,0,0),
(265702,131099,'When Equipped:',100,0,0),
(265703,131099,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265704,131099,'Increases target''s chance to block by 10.0%',100,2,2),
(265705,131099,'This effect can be stacked by multiple casters.',100,2,3),
(265706,131099,'Cannot be modified except by direct means',100,2,4),
(265707,131099,'When Equipped:',100,0,5),
(265708,131099,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,6),
(265709,131099,'Increases Max Health of group members by 700.0',100,2,7),
(265710,131099,'Cannot be modified except by direct means',100,2,8),
(265711,10131099,'When Equipped:',100,0,0),
(265712,10131099,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265713,10131099,'Increases target''s chance to block by 10.0%',100,2,2),
(265714,10131099,'This effect can be stacked by multiple casters.',100,2,3),
(265715,10131099,'Cannot be modified except by direct means',100,2,4),
(265716,10131099,'When Equipped:',100,0,5),
(265717,10131099,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,6),
(265718,10131099,'Increases Max Health of group members by 700.0',100,2,7),
(265719,10131099,'Cannot be modified except by direct means',100,2,8),
(265720,176422,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(265721,176422,'Slows target by 41.9%',100,1,1),
(265722,176422,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(265723,176422,'Decreases Attack Speed of target by 17.2',100,2,3),
(265724,176422,'Cannot be modified except by direct means',100,2,4),
(265725,176422,'5% chance to dispel when target takes damage',100,1,5),
(265726,176422,'5% chance to dispel when target receives hostile action',100,1,6),
(265727,176422,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(265728,10176422,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(265729,10176422,'Slows target by 41.9%',100,1,1),
(265730,10176422,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(265731,10176422,'Decreases Attack Speed of target by 17.2',100,2,3),
(265732,10176422,'Cannot be modified except by direct means',100,2,4),
(265733,10176422,'5% chance to dispel when target takes damage',100,1,5),
(265734,10176422,'5% chance to dispel when target receives hostile action',100,1,6),
(265735,10176422,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(265736,143899,'When Equipped:',100,0,0),
(265737,143899,'Increases Attack Speed of caster by 35.0',100,1,1),
(265738,10143899,'When Equipped:',100,0,0),
(265739,10143899,'Increases Attack Speed of caster by 35.0',100,1,1),
(265740,108950,'Increases INT of group members (AE) by 62.4',100,1,0),
(265741,108950,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 24.0',100,1,1),
(265742,10108950,'Increases INT of group members (AE) by 62.4',100,1,0),
(265743,10108950,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 24.0',100,1,1),
(265744,82788,'When Equipped:',100,0,0),
(265745,82788,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(265746,82788,'Inflicts 237 - 440 magic damage on target',100,2,2),
(265747,82788,'Decreases Threat to target by 1,174 ',100,2,3),
(265748,82788,'Must be flanking or behind',100,3,4),
(265749,82788,'Increases Threat to target by 1,634 ',100,2,5),
(265750,82788,'Must be in front of',100,3,6),
(265751,82788,'Cannot be modified except by direct means',100,2,7),
(265752,10082788,'When Equipped:',100,0,0),
(265753,10082788,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(265754,10082788,'Inflicts 284 - 528 magic damage on target',100,2,2),
(265755,10082788,'Cannot be modified except by direct means',100,2,3),
(265756,76870,'Applies Celestial Glow when Equipped.',100,0,0),
(265757,10076870,'Applies Celestial Glow when Equipped.',100,0,0),
(265758,103279,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(265759,103279,'If Fighter',100,2,1),
(265760,103279,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(265761,103279,'Increases power of target by 12 instantly and every 4 seconds',100,2,3),
(265762,103279,'Increases power of caster by 12 instantly and every 4 seconds',100,2,4),
(265763,10103279,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(265764,10103279,'Increases power of target by 12 instantly and every 4 seconds',100,2,1),
(265765,10103279,'Increases power of caster by 12 instantly and every 4 seconds',100,2,2),
(265766,45089,'Applies Magic Makeover when Activated.  Lasts for 3.0 seconds.',100,0,0),
(265767,45089,'Gives the owner of the mirror a complete makeover of their choice.',100,1,1),
(265768,10045089,'Applies Magic Makeover when Activated.  Lasts for 3.0 seconds.',100,0,0),
(265769,10045089,'Gives the owner of the mirror a complete makeover of their choice.',100,1,1),
(265770,106774,'Mesmerizes target',100,1,0),
(265771,106774,'Prevents AOE (except when direct) ',100,1,1),
(265772,106774,'Dispelled when target takes damage',100,1,2),
(265773,106774,'Does not affect Epic targets',100,1,3),
(265774,106774,'Resistibility increases against targets higher than level 97.',100,1,4),
(265775,10106774,'Mesmerizes target',100,1,0),
(265776,10106774,'Prevents AOE (except when direct) ',100,1,1),
(265777,10106774,'Dispelled when target takes damage',100,1,2),
(265778,10106774,'Does not affect Epic targets',100,1,3),
(265779,10106774,'Resistibility increases against targets higher than level 97.',100,1,4),
(265780,101207,'Inflicts 139 - 233 cold damage on target',100,1,0),
(265781,101207,'Dazes target',100,1,1),
(265782,101207,'If Target is not Epic',100,2,2),
(265783,101207,'Resistibility increases against targets higher than level 59.',100,1,3),
(265784,10101207,'Inflicts 167 - 279 cold damage on target',100,1,0),
(265785,10101207,'Dazes target',100,1,1),
(265786,10101207,'If Target is not Epic',100,2,2),
(265787,10101207,'Resistibility increases against targets higher than level 59.',100,1,3),
(265788,71546,'When Equipped:',100,0,0),
(265789,71546,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265790,71546,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(265791,71546,'Cannot be modified except by direct means',100,2,3),
(265792,10071546,'When Equipped:',100,0,0),
(265793,10071546,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(265794,10071546,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(265795,10071546,'Cannot be modified except by direct means',100,2,3),
(265796,103034,'Inflicts 191 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(265797,103034,'Inflicts 71 - 119 melee damage on target',100,1,1),
(265798,10103034,'Inflicts 229 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(265799,10103034,'Inflicts 85 - 142 melee damage on target',100,1,1),
(265800,117795,'Mesmerizes target',100,1,0),
(265801,117795,'Prevents AOE (except when direct) ',100,1,1),
(265802,117795,'Dispelled when target takes damage',100,1,2),
(265803,117795,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(265804,117795,'Resistibility increases against targets higher than level 69.',100,1,4),
(265805,10117795,'Mesmerizes target',100,1,0),
(265806,10117795,'Prevents AOE (except when direct) ',100,1,1),
(265807,10117795,'Dispelled when target takes damage',100,1,2),
(265808,10117795,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(265809,10117795,'Resistibility increases against targets higher than level 69.',100,1,4),
(265810,101305,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(265811,101305,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,1),
(265812,10101305,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(265813,10101305,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,1),
(265814,122296,'Summons a pet terrorbird hatchling',100,1,0),
(265815,10122296,'Summons a pet terrorbird hatchling',100,1,0),
(265816,188528,'When Equipped:',100,0,0),
(265817,188528,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265818,188528,'Increases Potency of caster by 7.0%',100,2,2),
(265819,188528,'Cannot be modified except by direct means',100,2,3),
(265820,10188528,'When Equipped:',100,0,0),
(265821,10188528,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(265822,10188528,'Increases Potency of caster by 7.0%',100,2,2),
(265823,10188528,'Cannot be modified except by direct means',100,2,3),
(265824,105265,'Increases Threat to target by 1,731 ',100,1,0),
(265825,105265,'Interrupts target',100,1,1),
(265826,105265,'Dispels 154 levels of arcane beneficial effects on target',100,1,2),
(265827,10105265,'Forces target to change their selected target to caster.',100,1,0),
(265828,10105265,'Interrupts target',100,1,1),
(265829,10105265,'Dispels 154 levels of arcane beneficial effects on target',100,1,2),
(265830,124697,'Inflicts 293 - 358 cold damage on target',100,1,0),
(265831,10124697,'Inflicts 352 - 430 cold damage on target',100,1,0),
(265832,46569,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(265833,46569,'Inflicts 97 - 119 melee damage on target',100,1,1),
(265834,46569,'Inflicts 22 - 37 slashing damage on target every 4 seconds',100,1,2),
(265835,10046569,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(265836,10046569,'Inflicts 117 - 143 melee damage on target',100,1,1),
(265837,10046569,'Inflicts 27 - 45 slashing damage on target every 4 seconds',100,1,2),
(265838,86036,'When Equipped:',100,0,0),
(265839,86036,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(265840,86036,'Decreases power of target by 77',100,2,2),
(265841,86036,'Increases power of caster by 66',100,2,3),
(265842,86036,'Cannot be modified except by direct means',100,2,4),
(265843,10086036,'When Equipped:',100,0,0),
(265844,10086036,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(265845,10086036,'Decreases power of target by 77',100,2,2),
(265846,10086036,'Increases power of caster by 66',100,2,3),
(265847,10086036,'Cannot be modified except by direct means',100,2,4),
(265848,119061,'Inflicts 135 - 225 mental damage on target',100,1,0),
(265849,119061,'Decreases power of target by 126 - 211',100,1,1),
(265850,119061,'Increases power of caster by 74 - 124',100,1,2),
(265851,10119061,'Inflicts 162 - 270 mental damage on target',100,1,0),
(265852,10119061,'Decreases power of target by 126 - 211',100,1,1),
(265853,10119061,'Increases power of caster by 74 - 124',100,1,2),
(265854,112714,'Inflicts 156 - 261 disease damage on target encounter',100,1,0),
(265855,10112714,'Inflicts 188 - 313 disease damage on target encounter',100,1,0),
(265856,118846,'Inflicts 74 - 222 melee damage on target',100,1,0),
(265857,10118846,'Inflicts 89 - 267 melee damage on target',100,1,0),
(265858,80204,'When Equipped:',100,0,0),
(265859,80204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265860,80204,'Inflicts 152 - 283 magic damage on target',100,2,2),
(265861,80204,'Cannot be modified except by direct means',100,2,3),
(265862,10080204,'When Equipped:',100,0,0),
(265863,10080204,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265864,10080204,'Inflicts 183 - 339 magic damage on target',100,2,2),
(265865,10080204,'Cannot be modified except by direct means',100,2,3),
(265866,139442,'When Equipped:',100,0,0),
(265867,139442,'Reduces maximum falling speed of caster',100,1,1),
(265868,10139442,'When Equipped:',100,0,0),
(265869,10139442,'Reduces maximum falling speed of caster',100,1,1),
(265870,122650,'Decreases Defense of target by 2.6',100,1,0),
(265871,122650,'Decreases Mitigation of target vs physical damage by 58',100,1,1),
(265872,10122650,'Decreases Defense of target by 2.6',100,1,0),
(265873,10122650,'Decreases Mitigation of target vs physical damage by 58',100,1,1),
(265874,121094,'Decreases Threat to targets in Area of Effect by 720 ',100,1,0),
(265875,121094,'Mesmerizes targets in Area of Effect',100,1,1),
(265876,121094,'If Target is not Epic',100,2,2),
(265877,121094,'Dispelled when target takes damage',100,1,3),
(265878,10121094,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(265879,10121094,'Applies Distract.',100,1,1),
(265880,10121094,'Forces target to clear their selected target.',100,2,2),
(265881,10121094,'Mesmerizes targets in Area of Effect',100,1,3),
(265882,10121094,'If Target is not Epic',100,2,4),
(265883,10121094,'Dispelled when target takes damage',100,1,5),
(265884,47038,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(265885,47038,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(265886,47038,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(265887,47038,'Inflicts 55 poison damage on target',100,2,3),
(265888,47038,'Cannot be modified except by direct means',100,2,4),
(265889,47038,'Grants a total of 200 triggers of the spell.',100,2,5),
(265890,10047038,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(265891,10047038,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(265892,10047038,'Inflicts 14 poison damage on target instantly and every 6 seconds',100,2,2),
(265893,10047038,'Inflicts 49 poison damage on target',100,2,3),
(265894,10047038,'Cannot be modified except by direct means',100,2,4),
(265895,10047038,'Grants a total of 200 triggers of the spell.',100,2,5),
(265896,52888,'Applies Sanguine Imbued when Equipped.',100,0,0),
(265897,52888,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(265898,52888,'Inflicts 121 heat damage on target',100,2,2),
(265899,52888,'Cannot be modified except by direct means',100,2,3),
(265900,10052888,'Applies Sanguine Imbued when Equipped.',100,0,0),
(265901,10052888,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(265902,10052888,'Inflicts 145 heat damage on target',100,2,2),
(265903,10052888,'Cannot be modified except by direct means',100,2,3),
(265904,107833,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(265905,107833,'Increases Hate Gain of target by 10.7%',100,1,1),
(265906,105591,'Decreases power of target encounter by 27 - 33 instantly and every 3 seconds',100,1,0),
(265907,105591,'Inflicts 63 - 118 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(265908,105591,'Heals group members (AE) for 31 - 57 instantly and every 3 seconds',100,1,2),
(265909,105591,'Increases power of group members (AE) by 12 instantly and every 3 seconds',100,1,3),
(265910,10105591,'Decreases power of target encounter by 27 - 33 instantly and every 3 seconds',100,1,0),
(265911,10105591,'Inflicts 76 - 141 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(265912,10105591,'Heals group members (AE) for 20 - 37 instantly and every 3 seconds',100,1,2),
(265913,10105591,'Increases power of group members (AE) by 12 instantly and every 3 seconds',100,1,3),
(265914,170644,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(265915,170644,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(265916,170644,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(265917,10170644,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(265918,10170644,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(265919,10170644,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(265920,115585,'Interrupts target encounter',100,1,0),
(265921,115585,'Decreases Threat to target encounter by 445 - 544 ',100,1,1),
(265922,115585,'Dazes target encounter',100,1,2),
(265923,115585,'If Target is not Epic',100,2,3),
(265924,115585,'Resistibility increases against targets higher than level 81.',100,1,4),
(265925,10115585,'Interrupts target encounter',100,1,0),
(265926,10115585,'Dazes target encounter',100,1,1),
(265927,10115585,'If Target is not Epic',100,2,2),
(265928,10115585,'Resistibility increases against targets higher than level 81.',100,1,3),
(265929,36293,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(265930,123861,'Increases AGI of caster by 43.0',100,1,0),
(265931,123861,'Adds 15.6% to base avoidance.',100,1,1),
(265932,123861,'Increases Damage Per Second of caster by 38.0',100,1,2),
(265933,123861,'Increases Mitigation of caster vs physical damage by 385',100,1,3),
(265934,123861,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,4),
(265935,10123861,'Increases AGI of caster by 43.0',100,1,0),
(265936,10123861,'Adds 15.6% to base avoidance.',100,1,1),
(265937,10123861,'Increases Damage Per Second of caster by 38.0',100,1,2),
(265938,10123861,'Increases Mitigation of caster vs physical damage by 385',100,1,3),
(265939,10123861,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,4),
(265940,45201,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(265941,45201,'Increases power of caster by 36 instantly and every 5 seconds',100,1,1),
(265942,10045201,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(265943,10045201,'Increases power of caster by 28 instantly and every 5 seconds',100,1,1),
(265944,35135,'Increases INT and WIS of target by 4.6',100,0,0),
(265945,35135,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(265946,116929,'Increases Threat to target by 157 - 192 ',100,1,0),
(265947,103360,'Decreases power of target by 6 instantly and every 6 seconds',100,1,0),
(265948,103360,'Inflicts 25 - 31 mental damage on target instantly and every 6 seconds',100,1,1),
(265949,103360,'Increases power of caster by 30',100,1,2),
(265950,10103360,'Decreases power of target by 6 instantly and every 6 seconds',100,1,0),
(265951,10103360,'Inflicts 30 - 37 mental damage on target instantly and every 6 seconds',100,1,1),
(265952,10103360,'Increases power of caster by 30',100,1,2),
(265953,177505,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(265954,177505,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(265955,177505,'Inflicts 65 heat damage on target',100,2,2),
(265956,177505,'Cannot be modified except by direct means',100,2,3),
(265957,10177505,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(265958,10177505,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(265959,10177505,'Inflicts 78 heat damage on target',100,2,2),
(265960,10177505,'Cannot be modified except by direct means',100,2,3),
(265961,117785,'Inflicts 1080 - 1799 divine damage on target',100,1,0),
(265962,10117785,'Inflicts 1295 - 2159 divine damage on target',100,1,0),
(265963,80905,'When Equipped:',100,0,0),
(265964,80905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265965,80905,'Inflicts 188 - 349 magic damage on target',100,2,2),
(265966,80905,'Cannot be modified except by direct means',100,2,3),
(265967,10080905,'When Equipped:',100,0,0),
(265968,10080905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265969,10080905,'Inflicts 226 - 419 magic damage on target',100,2,2),
(265970,10080905,'Cannot be modified except by direct means',100,2,3),
(265971,119292,'Roots target',100,1,0),
(265972,119292,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(265973,119292,'Slows target by 37.2%',100,2,2),
(265974,119292,'5% chance to dispel when target receives hostile action',100,2,3),
(265975,119292,'5% chance to dispel when target takes damage',100,2,4),
(265976,119292,'15% chance to dispel when target takes damage',100,1,5),
(265977,119292,'Does not affect Epic targets',100,1,6),
(265978,119292,'Resistibility increases against targets higher than level 34.',100,1,7),
(265979,10119292,'Roots target',100,1,0),
(265980,10119292,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(265981,10119292,'Slows target by 37.2%',100,2,2),
(265982,10119292,'5% chance to dispel when target receives hostile action',100,2,3),
(265983,10119292,'5% chance to dispel when target takes damage',100,2,4),
(265984,10119292,'15% chance to dispel when target takes damage',100,1,5),
(265985,10119292,'Does not affect Epic targets',100,1,6),
(265986,10119292,'Resistibility increases against targets higher than level 34.',100,1,7),
(265987,118678,'Inflicts 110 - 332 crushing damage on target',100,1,0),
(265988,10118678,'Inflicts 133 - 399 crushing damage on target',100,1,0),
(265989,48076,'Applies Sir Gnawser Chow Disguise when Activated.',100,0,0),
(265990,48076,'Shapechanges caster',100,1,1),
(265991,10048076,'Applies Sir Gnawser Chow Disguise when Activated.',100,0,0),
(265992,10048076,'Shapechanges caster',100,1,1),
(265993,81334,'When Equipped:',100,0,0),
(265994,81334,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265995,81334,'Inflicts 80 - 149 magic damage on target',100,2,2),
(265996,81334,'Cannot be modified except by direct means',100,2,3),
(265997,10081334,'When Equipped:',100,0,0),
(265998,10081334,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(265999,10081334,'Inflicts 96 - 179 magic damage on target',100,2,2),
(266000,10081334,'Cannot be modified except by direct means',100,2,3),
(266001,35711,'Increases WIS of target by 3.2',100,0,0),
(266002,35711,'Increases Out-of-Combat Health Regeneration of target by 51.0',100,0,1),
(266003,107094,'Inflicts 167 - 204 divine damage on target',100,1,0),
(266004,10107094,'Inflicts 200 - 244 divine damage on target',100,1,0),
(266005,122602,'Inflicts 85 - 104 mental damage on target instantly and every 3 seconds',100,1,0),
(266006,122602,'Decreases Mitigation of target vs arcane damage by 737',100,1,1),
(266007,10122602,'Inflicts 102 - 125 mental damage on target instantly and every 3 seconds',100,1,0),
(266008,10122602,'Decreases Mitigation of target vs arcane damage by 737',100,1,1),
(266009,26572,'When Equipped:',100,0,0),
(266010,26572,'Adds 10% max health to the pet when Rending V is active.',100,1,1),
(266011,26572,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(266012,10026572,'When Equipped:',100,0,0),
(266013,10026572,'Adds 10% max health to the pet when Rending V is active.',100,1,1),
(266014,10026572,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(266015,111829,'Inflicts 128 - 214 melee damage on target',100,1,0),
(266016,111829,'Roots target',100,1,1),
(266017,111829,'If Target is not Epic',100,2,2),
(266018,111829,'Resistibility increases against targets higher than level 70.',100,1,3),
(266019,10111829,'Inflicts 139 - 231 melee damage on target',100,1,0),
(266020,10111829,'Roots target',100,1,1),
(266021,10111829,'If Target is not Epic',100,2,2),
(266022,10111829,'Resistibility increases against targets higher than level 70.',100,1,3),
(266023,36176,'Increases Max Power of target by 90.0',100,0,0),
(266024,36176,'Increases Max Health of target by 90.0',100,0,1),
(266025,36176,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,2),
(266026,112791,'Inflicts 200 - 333 slashing damage on target',100,1,0),
(266027,112791,'Stifles target',100,1,1),
(266028,112791,'If Target is not Epic',100,2,2),
(266029,112791,'You must be in stealth.',100,1,3),
(266030,112791,'Resistibility increases against targets higher than level 49.',100,1,4),
(266031,10112791,'Inflicts 240 - 400 slashing damage on target',100,1,0),
(266032,10112791,'Stifles target',100,1,1),
(266033,10112791,'If Target is not Epic',100,2,2),
(266034,10112791,'You must be in stealth.',100,1,3),
(266035,10112791,'Resistibility increases against targets higher than level 49.',100,1,4),
(266036,37092,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(266037,37092,'Increases Max Power of target by 10.5',100,0,1),
(266038,104907,'Inflicts 365 - 609 magic damage on targets in area',100,1,0),
(266039,10104907,'Inflicts 438 - 731 magic damage on targets in area',100,1,0),
(266040,105468,'Stuns target encounter',100,1,0),
(266041,105468,'If Target is not Epic',100,2,1),
(266042,105468,'Inflicts 93 - 173 poison damage on target encounter',100,1,2),
(266043,105468,'Resistibility increases against targets higher than level 51.',100,1,3),
(266044,10105468,'Stuns target encounter',100,1,0),
(266045,10105468,'If Target is not Epic',100,2,1),
(266046,10105468,'Inflicts 112 - 208 poison damage on target encounter',100,1,2),
(266047,10105468,'Resistibility increases against targets higher than level 51.',100,1,3),
(266048,116437,'Inflicts 20 disease damage on target instantly and every 4 seconds',100,1,0),
(266049,116437,'Inflicts 20 disease damage on target instantly and every 4 seconds',100,1,1),
(266050,116437,'If target is nightblood',100,2,2),
(266051,116437,'Inflicts 20 disease damage on target instantly and every 4 seconds',100,1,3),
(266052,116437,'If target is shadowed folk',100,2,4),
(266053,10116437,'Inflicts 25 disease damage on target instantly and every 4 seconds',100,1,0),
(266054,120651,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 11.2',100,1,0),
(266055,120651,'Increases Focus of group members (AE) by 22.3',100,1,1),
(266056,10120651,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 11.2',100,1,0),
(266057,10120651,'Increases Focus of group members (AE) by 22.3',100,1,1),
(266058,74864,'When Equipped:',100,0,0),
(266059,74864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266060,74864,'Inflicts 111 - 166 magic damage on target',100,2,2),
(266061,74864,'Cannot be modified except by direct means',100,2,3),
(266062,10074864,'When Equipped:',100,0,0),
(266063,10074864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266064,10074864,'Inflicts 133 - 199 magic damage on target',100,2,2),
(266065,10074864,'Cannot be modified except by direct means',100,2,3),
(266066,191887,'When Equipped:',100,0,0),
(266067,191887,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(266068,191887,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(266069,191887,'Increases Attack Speed of caster by 11.0',100,1,3),
(266070,191887,'This effect will not stack with any rank or tier of itself.',100,1,4),
(266071,191887,'Cannot be modified except by direct means',100,1,5),
(266072,10191887,'When Equipped:',100,0,0),
(266073,10191887,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(266074,10191887,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(266075,10191887,'Increases Attack Speed of caster by 11.0',100,1,3),
(266076,10191887,'This effect will not stack with any rank or tier of itself.',100,1,4),
(266077,10191887,'Cannot be modified except by direct means',100,1,5),
(266078,173460,'When Equipped:',100,0,0),
(266079,173460,'Increases the caster''s heals and wards by 5%.',100,1,1),
(266080,173460,'Must not be engaged in pvp combat',100,1,2),
(266081,10173460,'When Equipped:',100,0,0),
(266082,10173460,'Increases the caster''s heals and wards by 5%.',100,1,1),
(266083,10173460,'Must not be engaged in pvp combat',100,1,2),
(266084,111325,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(266085,111325,'Inflicts 161 - 197 mental damage on target',100,2,1),
(266086,111325,'Grants a total of 3 triggers of the spell.',100,2,2),
(266087,10111325,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(266088,10111325,'Inflicts 193 - 236 mental damage on target',100,2,1),
(266089,10111325,'Grants a total of 3 triggers of the spell.',100,2,2),
(266090,120866,'Inflicts 24 - 40 mental damage on target',100,1,0),
(266091,120866,'Inflicts 24 - 40 mental damage on target',100,1,1),
(266092,10120866,'Inflicts 29 - 48 mental damage on target',100,1,0),
(266093,10120866,'Inflicts 29 - 48 mental damage on target',100,1,1),
(266094,124838,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1201',100,1,0),
(266095,10124838,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1201',100,1,0),
(266096,159472,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(266097,159472,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(266098,159472,'Inflicts 63 heat damage on target',100,2,2),
(266099,159472,'Cannot be modified except by direct means',100,2,3),
(266100,10159472,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(266101,10159472,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(266102,10159472,'Inflicts 76 heat damage on target',100,2,2),
(266103,10159472,'Cannot be modified except by direct means',100,2,3),
(266104,102163,'Inflicts 243 - 405 melee damage on target',100,1,0),
(266105,102163,'Inflicts 243 - 405 melee damage on target',100,1,1),
(266106,10102163,'Inflicts 292 - 487 melee damage on target',100,1,0),
(266107,10102163,'Inflicts 292 - 487 melee damage on target',100,1,1),
(266108,35212,'Increases Max Power of target by 22.8',100,0,0),
(266109,35212,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(266110,119268,'Inflicts 38 - 63 slashing damage on target',100,1,0),
(266111,119268,'Decreases Damage Per Second of target by 12.9',100,1,1),
(266112,119268,'Inflicts 51 slashing damage on target instantly and every 4 seconds',100,1,2),
(266113,10119268,'Inflicts 45 - 76 slashing damage on target',100,1,0),
(266114,10119268,'Decreases Damage Per Second of target by 12.9',100,1,1),
(266115,10119268,'Inflicts 61 slashing damage on target instantly and every 4 seconds',100,1,2),
(266116,53200,'When Equipped:',100,0,0),
(266117,53200,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(266118,10053200,'When Equipped:',100,0,0),
(266119,10053200,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(266120,46629,'Applies Heat Guided Message in a Bottle when Activated.',100,0,0),
(266121,46629,'Allows caster to send one piece of mail.  Must be facing water.',100,1,1),
(266122,10046629,'Applies Heat Guided Message in a Bottle when Activated.',100,0,0),
(266123,10046629,'Allows caster to send one piece of mail.  Must be facing water.',100,1,1),
(266124,116061,'Shapechanges caster into a lion',100,1,0),
(266125,116061,'Increases STA of caster by 129.4',100,1,1),
(266126,116061,'Adds 3.2% to base avoidance.',100,1,2),
(266127,116061,'Grants See Stealth to caster',100,1,3),
(266128,116061,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2022',100,1,4),
(266129,10116061,'Shapechanges caster into a lion',100,1,0),
(266130,10116061,'Increases STA of caster by 129.4',100,1,1),
(266131,10116061,'Adds 3.2% to base avoidance.',100,1,2),
(266132,10116061,'Grants See Stealth to caster',100,1,3),
(266133,10116061,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2022',100,1,4),
(266134,81108,'When Equipped:',100,0,0),
(266135,81108,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266136,81108,'Inflicts 133 - 248 magic damage on target',100,2,2),
(266137,81108,'Cannot be modified except by direct means',100,2,3),
(266138,10081108,'When Equipped:',100,0,0),
(266139,10081108,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266140,10081108,'Inflicts 160 - 297 magic damage on target',100,2,2),
(266141,10081108,'Cannot be modified except by direct means',100,2,3),
(266142,101547,'Inflicts 2153 - 3588 melee damage on target',100,1,0),
(266143,101547,'You must be stealthed to use this ability',100,1,1),
(266144,10101547,'Inflicts 1214 - 2024 melee damage on target',100,1,0),
(266145,10101547,'You must be stealthed to use this ability',100,1,1),
(266146,176646,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(266147,176646,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 234',100,1,1),
(266148,176646,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(266149,10176646,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(266150,10176646,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 234',100,1,1),
(266151,10176646,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(266152,106835,'Decreases Crushing, Piercing, Slashing and Ranged of target by 15.0',100,1,0),
(266153,10106835,'Decreases Crushing, Piercing, Slashing and Ranged of target by 15.0',100,1,0),
(266154,112704,'Inflicts 59 - 98 disease damage on target encounter',100,1,0),
(266155,10112704,'Inflicts 71 - 118 disease damage on target encounter',100,1,0),
(266156,100628,'Transfers 26% of target''s current Threat to the caster',100,1,0),
(266157,10100628,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(266158,10100628,'10% of all damage received by the caster is prevented.',100,2,1),
(266159,10100628,'This effect can only trigger once every 5 seconds.',100,2,2),
(266160,101929,'Inflicts 228 - 380 melee damage on target',100,1,0),
(266161,101929,'Inflicts 76 piercing damage on target instantly and every 4 seconds',100,1,1),
(266162,101929,'Must be behind',100,1,2),
(266163,10101929,'Inflicts 274 - 456 melee damage on target',100,1,0),
(266164,10101929,'Inflicts 91 piercing damage on target instantly and every 4 seconds',100,1,1),
(266165,10101929,'Must be behind',100,1,2),
(266166,121459,'Increases AGI of caster by 97.6',100,1,0),
(266167,121459,'Adds 18.7% to base avoidance.',100,1,1),
(266168,121459,'Increases Mitigation of caster vs physical damage by 944',100,1,2),
(266169,121459,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,3),
(266170,10121459,'Increases AGI of caster by 97.6',100,1,0),
(266171,10121459,'Adds 18.7% to base avoidance.',100,1,1),
(266172,10121459,'Increases Mitigation of caster vs physical damage by 944',100,1,2),
(266173,10121459,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,3),
(266174,110974,'Inflicts 998 - 1663 ranged damage on target',100,1,0),
(266175,110974,'I need to be stealthed!',100,1,1),
(266176,110974,'Requires bow',100,1,2),
(266177,10110974,'Inflicts 561 - 935 ranged damage on target',100,1,0),
(266178,10110974,'I need to be stealthed!',100,1,1),
(266179,10110974,'Requires bow',100,1,2),
(266180,122621,'Makes target afraid',100,1,0),
(266181,122621,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',100,1,1),
(266182,122621,'Mesmerizes target',100,2,2),
(266183,122621,'Decreases Threat to target by 1,145  instantly and Decreases Threat by 1,145  every 2 seconds thereafter',100,2,3),
(266184,122621,'Dispelled when target takes damage',100,2,4),
(266185,122621,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(266186,122621,'Resistibility increases against targets higher than level 90.',100,2,6),
(266187,122621,'30% chance to dispel when target takes damage',100,1,7),
(266188,122621,'Does not affect Epic targets',100,1,8),
(266189,122621,'Resistibility increases against targets higher than level 90.',100,1,9),
(266190,10122621,'Makes target afraid',100,1,0),
(266191,10122621,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(266192,10122621,'Mesmerizes target',100,2,2),
(266193,10122621,'Applies Distract.',100,2,3),
(266194,10122621,'Forces target to clear their selected target.',100,3,4),
(266195,10122621,'Dispelled when target takes damage',100,2,5),
(266196,10122621,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(266197,10122621,'Resistibility increases against targets higher than level 90.',100,2,7),
(266198,10122621,'30% chance to dispel when target takes damage',100,1,8),
(266199,10122621,'Does not affect Epic targets',100,1,9),
(266200,10122621,'Resistibility increases against targets higher than level 90.',100,1,10),
(266201,158021,'When Equipped:',100,0,0),
(266202,158021,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(266203,10158021,'When Equipped:',100,0,0),
(266204,10158021,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(266205,87311,'When Equipped:',100,0,0),
(266206,87311,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266207,87311,'Inflicts 73 - 110 magic damage on target',100,2,2),
(266208,87311,'Cannot be modified except by direct means',100,2,3),
(266209,10087311,'When Equipped:',100,0,0),
(266210,10087311,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266211,10087311,'Inflicts 88 - 132 magic damage on target',100,2,2),
(266212,10087311,'Cannot be modified except by direct means',100,2,3),
(266213,106964,'Inflicts 643 - 1194 poison damage on target',100,1,0),
(266214,10106964,'Inflicts 772 - 1433 poison damage on target',100,1,0),
(266215,119559,'Wards group members (AE) against 1493 points of arcane damage',100,1,0),
(266216,119559,'Increases Mitigation of group members (AE) vs arcane damage by 820',100,1,1),
(266217,10119559,'Wards group members (AE) against 1493 points of arcane damage',100,1,0),
(266218,10119559,'Increases Mitigation of group members (AE) vs arcane damage by 820',100,1,1),
(266219,81468,'When Equipped:',100,0,0),
(266220,81468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266221,81468,'Inflicts 72 - 134 magic damage on target',100,2,2),
(266222,81468,'Cannot be modified except by direct means',100,2,3),
(266223,10081468,'When Equipped:',100,0,0),
(266224,10081468,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266225,10081468,'Inflicts 87 - 161 magic damage on target',100,2,2),
(266226,10081468,'Cannot be modified except by direct means',100,2,3),
(266227,81157,'When Equipped:',100,0,0),
(266228,81157,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266229,81157,'Inflicts 151 - 280 magic damage on target',100,2,2),
(266230,81157,'Cannot be modified except by direct means',100,2,3),
(266231,10081157,'When Equipped:',100,0,0),
(266232,10081157,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266233,10081157,'Inflicts 181 - 336 magic damage on target',100,2,2),
(266234,10081157,'Cannot be modified except by direct means',100,2,3),
(266235,105899,'Inflicts 221 - 369 ranged damage on target',100,1,0),
(266236,105899,'Inflicts 221 - 369 ranged damage on target',100,1,1),
(266237,105899,'If weapon equipped in Ranged',100,1,2),
(266238,10105899,'Inflicts 166 - 276 ranged damage on target',100,1,0),
(266239,10105899,'Inflicts 166 - 276 ranged damage on target',100,1,1),
(266240,10105899,'If weapon equipped in Ranged',100,1,2),
(266241,88176,'When Equipped:',100,0,0),
(266242,88176,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(266243,88176,'Inflicts 1192 cold damage on target encounter',100,2,2),
(266244,88176,'Cannot be modified except by direct means',100,2,3),
(266245,10088176,'When Equipped:',100,0,0),
(266246,10088176,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(266247,10088176,'Inflicts 715 cold damage on target encounter',100,2,2),
(266248,10088176,'Cannot be modified except by direct means',100,2,3),
(266249,160002,'Applies Lambent Imbued when Equipped.',100,0,0),
(266250,160002,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(266251,160002,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(266252,160002,'Cannot be modified except by direct means',100,2,3),
(266253,10160002,'Applies Lambent Imbued when Equipped.',100,0,0),
(266254,10160002,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(266255,10160002,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(266256,10160002,'Cannot be modified except by direct means',100,2,3),
(266257,115526,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(266258,115526,'Increases Mitigation of group members (AE) vs noxious damage by 1518',100,1,1),
(266259,10115526,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(266260,10115526,'Increases Mitigation of group members (AE) vs noxious damage by 1518',100,1,1),
(266261,47155,'Applies Elixir of Adeptness  when Activated.  Lasts for 30 minutes.',100,0,0),
(266262,47155,'Increases AGI of caster by 39.0',100,1,1),
(266263,10047155,'Applies Elixir of Adeptness  when Activated.  Lasts for 30 minutes.',100,0,0),
(266264,10047155,'Increases AGI of caster by 39.0',100,1,1),
(266265,37407,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(266266,72774,'When Equipped:',100,0,0),
(266267,72774,'On a combat hit this spell may cast Mangle on target of attack.  Lasts for 1.0 second.  Triggers about 1.8 times per minute. ',100,1,1),
(266268,72774,'Stuns target',100,2,2),
(266269,72774,'Inflicts 32 - 39 crushing damage on target',100,2,3),
(266270,72774,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,4),
(266271,72774,'Resistibility increases against targets higher than level 66.',100,2,5),
(266272,72774,'Cannot be modified except by direct means',100,2,6),
(266273,10072774,'When Equipped:',100,0,0),
(266274,10072774,'On a combat hit this spell may cast Mangle on target of attack.  Lasts for 1.0 second.  Triggers about 1.8 times per minute. ',100,1,1),
(266275,10072774,'Stuns target',100,2,2),
(266276,10072774,'Inflicts 38 - 47 crushing damage on target',100,2,3),
(266277,10072774,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,4),
(266278,10072774,'Resistibility increases against targets higher than level 66.',100,2,5),
(266279,10072774,'Cannot be modified except by direct means',100,2,6),
(266280,24115,'Adds Clay Golem (Monk) to your Dungeon Maker toolbox',100,0,0),
(266281,10024115,'Adds Clay Golem (Monk) to your Dungeon Maker toolbox',100,0,0),
(266282,113825,'Inflicts 184 - 307 disease damage on target',100,1,0),
(266283,10113825,'Inflicts 221 - 369 disease damage on target',100,1,0),
(266284,101144,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(266285,101144,'Inflicts 222 ranged damage on target',100,2,1),
(266286,101144,'Decreases Defense of caster by 13.5',100,1,2),
(266287,101144,'Increases Crushing, Piercing, Ranged and Slashing of caster by 28.4',100,1,3),
(266288,10101144,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(266289,10101144,'Inflicts 166 ranged damage on target',100,2,1),
(266290,10101144,'Decreases Defense of caster by 13.5',100,1,2),
(266291,10101144,'Increases Crushing, Piercing, Ranged and Slashing of caster by 28.4',100,1,3),
(266292,114171,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(266293,114171,'Heals target for 1420',100,2,1),
(266294,114171,'Grants a total of 1 trigger of the spell.',100,2,2),
(266295,10114171,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(266296,10114171,'Heals target for 923',100,2,1),
(266297,10114171,'Grants a total of 1 trigger of the spell.',100,2,2),
(266298,109136,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(266299,109136,'Heals target for 521 - 636',100,2,1),
(266300,109136,'Grants a total of 8 triggers of the spell.',100,2,2),
(266301,10109136,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(266302,10109136,'Heals target for 338 - 414',100,2,1),
(266303,10109136,'Grants a total of 8 triggers of the spell.',100,2,2),
(266304,46639,'Applies Call Hillrunner when Activated.',100,0,0),
(266305,46639,'Increases Mining, Transmuting, Foresting, Trapping and Fishing of caster by 23.8',100,1,1),
(266306,46639,'Summons a mount to ride',100,1,2),
(266307,46639,'Increases your ground speed by 130%',100,2,3),
(266308,46639,'Increases Gathering of caster by 23.8',100,1,4),
(266309,10046639,'Applies Call Hillrunner when Activated.',100,0,0),
(266310,10046639,'Increases Mining, Transmuting, Foresting, Trapping and Fishing of caster by 23.8',100,1,1),
(266311,10046639,'Summons a mount to ride',100,1,2),
(266312,10046639,'Increases your ground speed by 130%',100,2,3),
(266313,10046639,'Increases Gathering of caster by 23.8',100,1,4),
(266314,141891,'When Equipped:',100,0,0),
(266315,141891,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(266316,141891,'Increases AGI of caster by 17.6',100,2,2),
(266317,141891,'Increases Attack Speed of caster by 21.2',100,2,3),
(266318,141891,'Cannot be modified except by direct means',100,2,4),
(266319,10141891,'When Equipped:',100,0,0),
(266320,10141891,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(266321,10141891,'Increases AGI of caster by 17.6',100,2,2),
(266322,10141891,'Increases Attack Speed of caster by 21.2',100,2,3),
(266323,10141891,'Cannot be modified except by direct means',100,2,4),
(266324,135270,'When Equipped:',100,0,0),
(266325,135270,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(266326,135270,'Heals group members (AE) for 384',100,2,2),
(266327,135270,'Cannot be modified except by direct means',100,2,3),
(266328,135270,'Cannot be modified except by direct means',100,1,4),
(266329,10135270,'When Equipped:',100,0,0),
(266330,10135270,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(266331,10135270,'Heals group members (AE) for 250',100,2,2),
(266332,10135270,'Cannot be modified except by direct means',100,2,3),
(266333,10135270,'Cannot be modified except by direct means',100,1,4),
(266334,183523,'When Equipped:',100,0,0),
(266335,183523,'Increases Attack Speed of caster by 40.0',100,1,1),
(266336,10183523,'When Equipped:',100,0,0),
(266337,10183523,'Increases Attack Speed of caster by 40.0',100,1,1),
(266338,114395,'Mesmerizes target',100,1,0),
(266339,114395,'Prevents AOE (except when direct) ',100,1,1),
(266340,114395,'Dispelled when target takes damage',100,1,2),
(266341,114395,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(266342,114395,'Resistibility increases against targets higher than level 30.',100,1,4),
(266343,10114395,'Mesmerizes target',100,1,0),
(266344,10114395,'Prevents AOE (except when direct) ',100,1,1),
(266345,10114395,'Dispelled when target takes damage',100,1,2),
(266346,10114395,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(266347,10114395,'Resistibility increases against targets higher than level 30.',100,1,4),
(266348,47073,'Applies Call Mistrunner when Activated.',100,0,0),
(266349,47073,'Summons a mount to ride',100,1,1),
(266350,47073,'Increases your ground speed by 130%',100,2,2),
(266351,47073,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',100,1,3),
(266352,47073,'Requires good alignment',100,1,4),
(266353,10047073,'Applies Call Mistrunner when Activated.',100,0,0),
(266354,10047073,'Summons a mount to ride',100,1,1),
(266355,10047073,'Increases your ground speed by 130%',100,2,2),
(266356,10047073,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',100,1,3),
(266357,10047073,'Requires good alignment',100,1,4),
(266358,111125,'Heals target for 23.9 - 29.3% of max health',100,1,0),
(266359,111125,'This effect cannot be critically applied.',100,2,1),
(266360,111125,'Increases Mitigation of target vs physical damage by 726',100,1,2),
(266361,111125,'The healing of this spell cannot be modified except by direct means',100,1,3),
(266362,10111125,'Heals target for 9.0 - 11.0% of max health',100,1,0),
(266363,10111125,'This effect cannot be critically applied.',100,2,1),
(266364,10111125,'Increases Mitigation of target vs physical damage by 726',100,1,2),
(266365,10111125,'The healing of this spell cannot be modified except by direct means',100,1,3),
(266366,47680,'Applies Place Rat Trap when Activated.',100,0,0),
(266367,47680,'Must be in Nektropos Castle: Craftsman Errands.',100,1,1),
(266368,10047680,'Applies Place Rat Trap when Activated.',100,0,0),
(266369,10047680,'Must be in Nektropos Castle: Craftsman Errands.',100,1,1),
(266370,109634,'Wards target against 247 points of all damage',100,1,0),
(266371,10109634,'Wards target against 247 points of all damage',100,1,0),
(266372,115406,'Inflicts 345 - 576 melee damage on target',100,1,0),
(266373,115406,'Decreases INT of target by 64.8',100,1,1),
(266374,115406,'You must be sneaking to use this ability.',100,1,2),
(266375,10115406,'Inflicts 415 - 691 melee damage on target',100,1,0),
(266376,10115406,'Decreases INT of target by 64.8',100,1,1),
(266377,10115406,'You must be sneaking to use this ability.',100,1,2),
(266378,82424,'When Equipped:',100,0,0),
(266379,82424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266380,82424,'Inflicts 204 - 379 magic damage on target',100,2,2),
(266381,82424,'Cannot be modified except by direct means',100,2,3),
(266382,10082424,'When Equipped:',100,0,0),
(266383,10082424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266384,10082424,'Inflicts 245 - 454 magic damage on target',100,2,2),
(266385,10082424,'Cannot be modified except by direct means',100,2,3),
(266386,48794,'Applies Translucent Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(266387,48794,'Increases WIS and INT of caster by 47.0',100,1,1),
(266388,48794,'Only affects targets level 50 and above',100,1,2),
(266389,10048794,'Applies Translucent Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(266390,10048794,'Increases WIS and INT of caster by 47.0',100,1,1),
(266391,10048794,'Only affects targets level 50 and above',100,1,2),
(266392,27335,'When Equipped:',100,0,0),
(266393,27335,'On a block this spell has a 3% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(266394,27335,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(266395,27335,'Heals caster for 30 - 36',100,3,3),
(266396,27335,'Grants a total of 3 triggers of the spell.',100,3,4),
(266397,27335,'Cannot be modified except by direct means',100,2,5),
(266398,10027335,'When Equipped:',100,0,0),
(266399,10027335,'On a block this spell has a 3% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(266400,10027335,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(266401,10027335,'Heals caster for 19 - 23',100,3,3),
(266402,10027335,'Grants a total of 3 triggers of the spell.',100,3,4),
(266403,10027335,'Cannot be modified except by direct means',100,2,5),
(266404,105009,'Reduces physical damage done to caster by 5%',100,1,0),
(266405,105009,'Adds 2.1% to base avoidance.',100,1,1),
(266406,105009,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(266407,105009,'Increases Parry of caster by 43.4',100,1,3),
(266408,105009,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(266409,105009,'Increases Aggression of caster by 26.0',100,1,5),
(266410,105009,'Increases Defense and Deflection of caster by 43.4',100,1,6),
(266411,105009,'Increases Mitigation of caster vs arcane damage by 2834',100,1,7),
(266412,105009,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(266413,10105009,'Reduces physical damage done to caster by 5%',100,1,0),
(266414,10105009,'Adds 2.1% to base avoidance.',100,1,1),
(266415,10105009,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(266416,10105009,'Increases Parry of caster by 43.4',100,1,3),
(266417,10105009,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(266418,10105009,'Increases Aggression of caster by 26.0',100,1,5),
(266419,10105009,'Increases Defense and Deflection of caster by 43.4',100,1,6),
(266420,10105009,'Increases Mitigation of caster vs arcane damage by 2834',100,1,7),
(266421,10105009,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(266422,115771,'Inflicts 187 - 312 melee damage on target',100,1,0),
(266423,10115771,'Inflicts 224 - 374 melee damage on target',100,1,0),
(266424,113642,'Interrupts target encounter',100,1,0),
(266425,113642,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 43.2',100,1,1),
(266426,10113642,'Interrupts target encounter',100,1,0),
(266427,10113642,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 43.2',100,1,1),
(266428,80681,'When Equipped:',100,0,0),
(266429,80681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266430,80681,'Inflicts 56 - 103 magic damage on target',100,2,2),
(266431,80681,'Cannot be modified except by direct means',100,2,3),
(266432,10080681,'When Equipped:',100,0,0),
(266433,10080681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(266434,10080681,'Inflicts 67 - 124 magic damage on target',100,2,2),
(266435,10080681,'Cannot be modified except by direct means',100,2,3),
(266436,101691,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(266437,101691,'Inflicts 202 - 246 disease damage on target',100,2,1),
(266438,101691,'Grants a total of 3 triggers of the spell.',100,2,2),
(266439,10101691,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(266440,10101691,'Inflicts 242 - 296 disease damage on target',100,2,1),
(266441,10101691,'Grants a total of 3 triggers of the spell.',100,2,2),
(266442,138697,'When Equipped:',100,0,0),
(266443,138697,'On a healing spell cast this spell may cast Burst of Healing on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(266444,138697,'Increases Crit Chance of caster by 10.0',100,2,2),
(266445,138697,'Cannot be modified except by direct means',100,2,3),
(266446,10138697,'When Equipped:',100,0,0),
(266447,10138697,'On a healing spell cast this spell may cast Burst of Healing on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(266448,10138697,'Increases Crit Chance of caster by 10.0',100,2,2),
(266449,10138697,'Cannot be modified except by direct means',100,2,3),
(266450,46329,'Applies Fishman Disguise when Activated.  Lasts for 5 minutes.',100,0,0),
(266451,46329,'Cancels up to 45.0% of caster''s speed buffs',100,1,1),
(266452,46329,'Dazes caster',100,1,2),
(266453,46329,'Stifles caster',100,1,3),
(266454,46329,'Shapechanges caster',100,1,4),
(266455,46329,'Must be in The Chamber of Destiny.',100,1,5),
(266456,10046329,'Applies Fishman Disguise when Activated.  Lasts for 5 minutes.',100,0,0),
(266457,10046329,'Cancels up to 45.0% of caster''s speed buffs',100,1,1),
(266458,10046329,'Dazes caster',100,1,2),
(266459,10046329,'Stifles caster',100,1,3),
(266460,10046329,'Shapechanges caster',100,1,4),
(266461,10046329,'Must be in The Chamber of Destiny.',100,1,5),
(266462,47264,'Applies Murky Luminous Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(266463,47264,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(266464,47264,'Inflicts 7 magic damage on target',100,2,2),
(266465,47264,'Cannot be modified except by direct means',100,2,3),
(266466,10047264,'Applies Murky Luminous Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(266467,10047264,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(266468,10047264,'Inflicts 8 magic damage on target',100,2,2),
(266469,10047264,'Cannot be modified except by direct means',100,2,3),
(266470,36033,'Increases WIS of target by 8.4',100,0,0),
(266471,36033,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(266472,112493,'Decreases AGI and WIS of target by 67.8',100,1,0),
(266473,10112493,'Decreases AGI and WIS of target by 67.8',100,1,0),
(266474,84282,'When Equipped:',100,0,0),
(266475,84282,'On a hostile spell cast this spell has a 9% chance to cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,1,1),
(266476,84282,'On any combat or spell hit this spell will cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,2,2),
(266477,84282,'Increases power of target by 190',100,3,3),
(266478,84282,'Grants a total of 1 trigger of the spell.',100,3,4),
(266479,84282,'Cannot be modified except by direct means',100,2,5),
(266480,84282,'Cannot be modified except by direct means',100,1,6),
(266481,10084282,'When Equipped:',100,0,0),
(266482,10084282,'On a hostile spell cast this spell has a 9% chance to cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,1,1),
(266483,10084282,'On any combat or spell hit this spell will cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',100,2,2),
(266484,10084282,'Increases power of target by 190',100,3,3),
(266485,10084282,'Grants a total of 1 trigger of the spell.',100,3,4),
(266486,10084282,'Cannot be modified except by direct means',100,2,5),
(266487,10084282,'Cannot be modified except by direct means',100,1,6),
(266488,138507,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(266489,138507,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 225',100,1,1),
(266490,138507,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(266491,10138507,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(266492,10138507,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 225',100,1,1),
(266493,10138507,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(266494,82536,'When Equipped:',100,0,0),
(266495,82536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(266496,82536,'Decreases Threat to target by 259 ',100,2,2),
(266497,82536,'Must be flanking or behind',100,3,3),
(266498,82536,'Increases Threat to target by 453 ',100,2,4),
(266499,82536,'Must be in front of',100,3,5),
(266500,82536,'Inflicts 79 - 146 magic damage on target',100,2,6),
(266501,82536,'Cannot be modified except by direct means',100,2,7),
(266502,10082536,'When Equipped:',100,0,0),
(266503,10082536,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(266504,10082536,'Inflicts 94 - 175 magic damage on target',100,2,2),
(266505,10082536,'Cannot be modified except by direct means',100,2,3),
(266506,163375,'When Equipped:',100,0,0),
(266507,163375,'On any combat or spell hit this spell may cast Relentless Will on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(266508,163375,'4% of all physical damage received by the caster is prevented.',100,2,2),
(266509,163375,'Increases the base trigger chance of spells and items by 7%.',100,2,3),
(266510,163375,'Cannot be modified except by direct means',100,2,4),
(266511,10163375,'When Equipped:',100,0,0),
(266512,10163375,'On any combat or spell hit this spell may cast Relentless Will on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(266513,10163375,'4% of all physical damage received by the caster is prevented.',100,2,2),
(266514,10163375,'Increases the base trigger chance of spells and items by 7%.',100,2,3),
(266515,10163375,'Cannot be modified except by direct means',100,2,4),
(266516,121557,'Inflicts 215 - 358 melee damage on targets in area',100,1,0),
(266517,121557,'Stuns target encounter',100,1,1),
(266518,121557,'If Target is not Epic',100,2,2),
(266519,121557,'Resistibility increases against targets higher than level 89.',100,1,3),
(266520,10121557,'Inflicts 258 - 430 melee damage on targets in area',100,1,0),
(266521,10121557,'Stuns target encounter',100,1,1),
(266522,10121557,'If Target is not Epic',100,2,2),
(266523,10121557,'Resistibility increases against targets higher than level 89.',100,1,3),
(266524,111503,'Increases AGI of caster by 106.3',100,1,0),
(266525,111503,'Increases Attack Speed of caster by 48.7',100,1,1),
(266526,111503,'Increases in-combat movement speed of caster by 7.0%',100,1,2),
(266527,111503,'Adds 21.8% to base avoidance.',100,1,3),
(266528,111503,'Increases Mitigation of caster vs physical damage by 872',100,1,4),
(266529,111503,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,5),
(266530,10111503,'Increases AGI of caster by 106.3',100,1,0),
(266531,10111503,'Increases Attack Speed of caster by 48.7',100,1,1),
(266532,10111503,'Increases speed of caster by 7.0%',100,1,2),
(266533,10111503,'Adds 21.8% to base avoidance.',100,1,3),
(266534,10111503,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,4),
(266535,122812,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(266536,122812,'Slows target by 37.4%',100,2,1),
(266537,122812,'5% chance to dispel when target receives hostile action',100,2,2),
(266538,122812,'5% chance to dispel when target takes damage',100,2,3),
(266539,122812,'10% chance to apply Perfect Snare on termination.  Lasts for 15.0 seconds.',100,1,4),
(266540,122812,'Roots target',100,2,5),
(266541,122812,'10% chance to dispel when target takes damage',100,2,6),
(266542,122812,'10% chance to dispel when target receives hostile action',100,2,7),
(266543,122812,'Epic targets gain an immunity to Root effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,2,8),
(266544,122812,'Decreases Mitigation of target vs arcane damage by 330',100,1,9),
(266545,10122812,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(266546,10122812,'Slows target by 37.4%',100,2,1),
(266547,10122812,'5% chance to dispel when target receives hostile action',100,2,2),
(266548,10122812,'5% chance to dispel when target takes damage',100,2,3),
(266549,10122812,'10% chance to apply Perfect Snare on termination.  Lasts for 7.5 seconds.',100,1,4),
(266550,10122812,'Roots target',100,2,5),
(266551,10122812,'10% chance to dispel when target takes damage',100,2,6),
(266552,10122812,'10% chance to dispel when target receives hostile action',100,2,7),
(266553,10122812,'Epic targets gain an immunity to Root effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,2,8),
(266554,10122812,'Decreases Mitigation of target vs arcane damage by 330',100,1,9),
(266555,75171,'When Equipped:',100,0,0),
(266556,75171,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(266557,10075171,'When Equipped:',100,0,0),
(266558,10075171,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(266559,100865,'Makes target afraid',100,1,0),
(266560,100865,'30% chance to dispel when target takes damage',100,1,1),
(266561,100865,'Does not affect Epic targets',100,1,2),
(266562,100865,'Resistibility increases against targets higher than level 68.',100,1,3),
(266563,10100865,'Makes target afraid',100,1,0),
(266564,10100865,'30% chance to dispel when target takes damage',100,1,1),
(266565,10100865,'Does not affect Epic targets',100,1,2),
(266566,10100865,'Resistibility increases against targets higher than level 68.',100,1,3),
(266567,124565,'Decreases Threat to targets in Area of Effect by 864 ',100,1,0),
(266568,124565,'Interrupts targets in Area of Effect',100,1,1),
(266569,124565,'Roots targets in Area of Effect',100,1,2),
(266570,124565,'If Target is not Epic',100,2,3),
(266571,10124565,'Applies Distract.',100,1,0),
(266572,10124565,'Forces target to clear their selected target.',100,2,1),
(266573,10124565,'Interrupts targets in Area of Effect',100,1,2),
(266574,10124565,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(266575,10124565,'Roots targets in Area of Effect',100,1,4),
(266576,10124565,'If Target is not Epic',100,2,5),
(266577,103332,'Inflicts 87 - 106 mental damage on target instantly and every 6 seconds',100,1,0),
(266578,103332,'Applies Migraine on termination.',100,1,1),
(266579,103332,'Inflicts 189 - 255 mental damage on target',100,2,2),
(266580,10103332,'Inflicts 104 - 127 mental damage on target instantly and every 6 seconds',100,1,0),
(266581,10103332,'Applies Migraine on termination.',100,1,1),
(266582,10103332,'Inflicts 226 - 306 mental damage on target',100,2,2),
(266583,111368,'Inflicts 219 - 365 disease damage on target',100,1,0),
(266584,111368,'Heals caster for 143 - 238',100,1,1),
(266585,10111368,'Inflicts 263 - 438 disease damage on target',100,1,0),
(266586,10111368,'Heals caster for 93 - 155',100,1,1),
(266587,122051,'Increases Threat to target by 1,172 - 1,331 ',100,1,0),
(266588,122051,'Inflicts 76 - 126 melee damage on target',100,1,1),
(266589,10122051,'Forces target to change their selected target to caster.',100,1,0),
(266590,10122051,'Inflicts 91 - 152 melee damage on target',100,1,1),
(266591,171104,'When Equipped:',100,0,0),
(266592,171104,'Increases Attack Speed of caster by 40.0',100,1,1),
(266593,10171104,'When Equipped:',100,0,0),
(266594,10171104,'Increases Attack Speed of caster by 40.0',100,1,1),
(266595,115853,'Inflicts 213 - 355 mental damage on target encounter',100,1,0),
(266596,115853,'Interrupts target encounter',100,1,1),
(266597,10115853,'Inflicts 256 - 426 mental damage on target encounter',100,1,0),
(266598,10115853,'Interrupts target encounter',100,1,1),
(266599,159344,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(266600,159344,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(266601,159344,'Inflicts 130 heat damage on target',100,2,2),
(266602,159344,'Cannot be modified except by direct means',100,2,3),
(266603,10159344,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(266604,10159344,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(266605,10159344,'Inflicts 156 heat damage on target',100,2,2),
(266606,10159344,'Cannot be modified except by direct means',100,2,3),
(266607,114478,'Inflicts 36 - 49 mental damage on target',100,1,0),
(266608,10114478,'Inflicts 43 - 59 mental damage on target',100,1,0),
(266609,159437,'Applies Lambent Imbued when Equipped.',100,0,0),
(266610,159437,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(266611,159437,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(266612,159437,'Cannot be modified except by direct means',100,2,3),
(266613,10159437,'Applies Lambent Imbued when Equipped.',100,0,0),
(266614,10159437,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(266615,10159437,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(266616,10159437,'Cannot be modified except by direct means',100,2,3),
(266617,102164,'Inflicts 358 - 598 melee damage on target',100,1,0),
(266618,102164,'Inflicts 358 - 598 melee damage on target',100,1,1),
(266619,10102164,'Inflicts 430 - 717 melee damage on target',100,1,0),
(266620,10102164,'Inflicts 430 - 717 melee damage on target',100,1,1),
(266621,186057,'When Equipped:',100,0,0),
(266622,186057,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(266623,186057,'Increases Potency of caster by 7.0%',100,2,2),
(266624,186057,'Cannot be modified except by direct means',100,2,3),
(266625,10186057,'When Equipped:',100,0,0),
(266626,10186057,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(266627,10186057,'Increases Potency of caster by 7.0%',100,2,2),
(266628,10186057,'Cannot be modified except by direct means',100,2,3),
(266629,136183,'When Equipped:',100,0,0),
(266630,136183,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(266631,136183,'Inflicts 1192 heat damage on target',100,2,2),
(266632,136183,'Cannot be modified except by direct means',100,2,3),
(266633,10136183,'When Equipped:',100,0,0),
(266634,10136183,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(266635,10136183,'Inflicts 715 heat damage on target',100,2,2),
(266636,10136183,'Cannot be modified except by direct means',100,2,3),
(266637,107877,'Decreases Mitigation of target vs elemental damage by 2477',100,1,0),
(266638,107877,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(266639,107877,'Slows target by 56.6%',100,2,2),
(266640,107877,'5% chance to dispel when target receives hostile action',100,2,3),
(266641,107877,'5% chance to dispel when target takes damage',100,2,4),
(266642,10107877,'Decreases Mitigation of target vs elemental damage by 2477',100,1,0),
(266643,10107877,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(266644,10107877,'Slows target by 56.6%',100,2,2),
(266645,10107877,'5% chance to dispel when target receives hostile action',100,2,3),
(266646,10107877,'5% chance to dispel when target takes damage',100,2,4),
(266647,105439,'Summon 1 Dark Heart (Adept)',100,1,0),
(266648,10105439,'Summon 1 Dark Heart (Adept)',100,1,0),
(266649,113898,'Increases power of target by 362',100,1,0),
(266650,10113898,'Increases power of target by 362',100,1,0),
(266651,107803,'Increases Threat to target encounter by 812 - 992 ',100,1,0),
(266652,10107803,'Prevents target encounter from changing targets',100,1,0),
(266653,10107803,'Forces target encounter to change their selected target to caster.',100,1,1),
(266654,102136,'Inflicts 35 - 58 melee damage on target',100,1,0),
(266655,102136,'Inflicts 35 - 58 melee damage on target',100,1,1),
(266656,10102136,'Inflicts 42 - 70 melee damage on target',100,1,0),
(266657,10102136,'Inflicts 42 - 70 melee damage on target',100,1,1),
(266658,36766,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(266659,189311,'When Equipped:',100,0,0),
(266660,189311,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(266661,189311,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(266662,189311,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(266663,189311,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(266664,189311,'Must not be engaged in pvp combat',100,2,5),
(266665,189311,'Cannot be modified except by direct means',100,2,6),
(266666,189311,'Cannot be modified except by direct means',100,1,7),
(266667,189311,'When Equipped:',100,0,8),
(266668,189311,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(266669,189311,'Increases WIS, STR, INT and AGI of caster by 5.0',100,1,10),
(266670,189311,'Increases Potency of caster by 3.5%',100,1,11),
(266671,189311,'Cannot be modified except by direct means',100,1,12),
(266672,10189311,'When Equipped:',100,0,0),
(266673,10189311,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(266674,10189311,'On any combat or spell hit this spell may cast Velium Tempest III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(266675,10189311,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,3),
(266676,10189311,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(266677,10189311,'Must not be engaged in pvp combat',100,2,5),
(266678,10189311,'Cannot be modified except by direct means',100,2,6),
(266679,10189311,'Cannot be modified except by direct means',100,1,7),
(266680,10189311,'When Equipped:',100,0,8),
(266681,10189311,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(266682,10189311,'Increases WIS, STR, INT and AGI of caster by 5.0',100,1,10),
(266683,10189311,'Increases Potency of caster by 3.5%',100,1,11),
(266684,10189311,'Cannot be modified except by direct means',100,1,12),
(266685,155365,'When Equipped:',100,0,0),
(266686,155365,'Increases Attack Speed of caster by 40.0',100,1,1),
(266687,10155365,'When Equipped:',100,0,0),
(266688,10155365,'Increases Attack Speed of caster by 40.0',100,1,1),
(266689,159173,'Applies Sanguine Imbued when Equipped.',100,0,0),
(266690,159173,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(266691,159173,'Inflicts 24 heat damage on target',100,2,2),
(266692,159173,'Cannot be modified except by direct means',100,2,3),
(266693,10159173,'Applies Sanguine Imbued when Equipped.',100,0,0),
(266694,10159173,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(266695,10159173,'Inflicts 28 heat damage on target',100,2,2),
(266696,10159173,'Cannot be modified except by direct means',100,2,3),
(266697,108905,'Inflicts 814 heat damage on target',100,1,0),
(266698,108905,'Inflicts 814 cold damage on target',100,1,1),
(266699,108905,'Slows target by 70.7%',100,1,2),
(266700,10108905,'Inflicts 976 heat damage on target',100,1,0),
(266701,10108905,'Inflicts 976 cold damage on target',100,1,1),
(266702,10108905,'Slows target by 70.7%',100,1,2),
(266703,75616,'Applies Holy Strike when Activated.',100,0,0),
(266704,75616,'Inflicts 367 - 611 divine damage on target',100,1,1),
(266705,75616,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(266706,10075616,'Applies Holy Strike when Activated.',100,0,0),
(266707,10075616,'Inflicts 440 - 734 divine damage on target',100,1,1),
(266708,10075616,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(266709,75146,'When Equipped:',100,0,0),
(266710,75146,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(266711,10075146,'When Equipped:',100,0,0),
(266712,10075146,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(266713,45763,'Applies Call Cobalt Saliraptor when Activated.',100,0,0),
(266714,45763,'Summons a mount to ride',100,1,1),
(266715,45763,'Increases your ground speed by 60%',100,2,2),
(266716,45763,'Increases your air speed by 200%',100,2,3),
(266717,45763,'Increases Ranged, Aggression, Crushing, Piercing, Slashing, Ordination, Subjugation, Ministration, Disruption and Focus of caster by 5.0',100,1,4),
(266718,10045763,'Applies Call Cobalt Saliraptor when Activated.',100,0,0),
(266719,10045763,'Summons a mount to ride',100,1,1),
(266720,10045763,'Increases your ground speed by 60%',100,2,2),
(266721,10045763,'Increases your air speed by 200%',100,2,3),
(266722,10045763,'Increases Ranged, Aggression, Crushing, Piercing, Slashing, Ordination, Subjugation, Ministration, Disruption and Focus of caster by 5.0',100,1,4),
(266723,113808,'Inflicts 9 - 15 disease damage on target',100,1,0),
(266724,10113808,'Inflicts 11 - 18 disease damage on target',100,1,0),
(266725,108005,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(266726,108005,'Increases Mitigation of group members (AE) vs elemental damage by 725',100,1,1),
(266727,10108005,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(266728,10108005,'Increases Mitigation of group members (AE) vs elemental damage by 725',100,1,1),
(266729,140410,'When Equipped:',100,0,0),
(266730,140410,'Increases Attack Speed of caster by 30.0',100,1,1),
(266731,10140410,'When Equipped:',100,0,0),
(266732,10140410,'Increases Attack Speed of caster by 30.0',100,1,1),
(266733,124553,'Dispels 96 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(266734,10124553,'Dispels 96 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(266735,101079,'Summons 3 limited pets to aid the caster',100,1,0),
(266736,10101079,'Summons 3 limited pets to aid the caster',100,1,0),
(266737,106436,'Increases Multi Attack Chance of raid and group members (AE) by 3.6',100,1,0),
(266738,10106436,'Increases Multi Attack Chance of raid and group members (AE) by 3.6',100,1,0),
(266739,71905,'When Equipped:',100,0,0),
(266740,71905,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(266741,71905,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(266742,71905,'Cannot be modified except by direct means',100,2,3),
(266743,10071905,'When Equipped:',100,0,0),
(266744,10071905,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(266745,10071905,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(266746,10071905,'Cannot be modified except by direct means',100,2,3),
(266747,115701,'Inflicts 77 - 233 melee damage on target',100,1,0),
(266748,115701,'Inflicts 77 - 233 melee damage on target',100,1,1),
(266749,115701,'Inflicts 77 - 233 melee damage on target',100,1,2),
(266750,115701,'Inflicts 77 - 233 melee damage on target',100,1,3),
(266751,115701,'Inflicts 77 - 233 melee damage on target',100,1,4),
(266752,115701,'Inflicts 77 - 233 melee damage on target',100,1,5),
(266753,115701,'Inflicts 77 - 233 melee damage on target',100,1,6),
(266754,115701,'Inflicts 77 - 233 melee damage on target',100,1,7),
(266755,10115701,'Inflicts 93 - 280 melee damage on target',100,1,0),
(266756,10115701,'Inflicts 93 - 280 melee damage on target',100,1,1),
(266757,10115701,'Inflicts 93 - 280 melee damage on target',100,1,2),
(266758,10115701,'Inflicts 93 - 280 melee damage on target',100,1,3),
(266759,10115701,'Inflicts 93 - 280 melee damage on target',100,1,4),
(266760,10115701,'Inflicts 93 - 280 melee damage on target',100,1,5),
(266761,10115701,'Inflicts 93 - 280 melee damage on target',100,1,6),
(266762,10115701,'Inflicts 93 - 280 melee damage on target',100,1,7),
(266763,103570,'Increases In-Combat Power Regeneration of group members (AE) by 46.7',100,1,0),
(266764,10103570,'Increases In-Combat Power Regeneration of group members (AE) by 46.7',100,1,0),
(266765,115570,'Interrupts target encounter',100,1,0),
(266766,115570,'Decreases Threat to target encounter by 74 - 90 ',100,1,1),
(266767,115570,'Dazes target encounter',100,1,2),
(266768,115570,'If Target is not Epic',100,2,3),
(266769,115570,'Resistibility increases against targets higher than level 39.',100,1,4),
(266770,10115570,'Interrupts target encounter',100,1,0),
(266771,10115570,'Dazes target encounter',100,1,1),
(266772,10115570,'If Target is not Epic',100,2,2),
(266773,10115570,'Resistibility increases against targets higher than level 39.',100,1,3),
(266774,108876,'Inflicts 260 - 434 melee damage on target',100,1,0),
(266775,108876,'Decreases INT of target by 145.3',100,1,1),
(266776,10108876,'Inflicts 313 - 521 melee damage on target',100,1,0),
(266777,10108876,'Decreases INT of target by 145.3',100,1,1),
(266778,24015,'Adds Aviak (Guardian) to your Dungeon Maker toolbox',100,0,0),
(266779,10024015,'Adds Aviak (Guardian) to your Dungeon Maker toolbox',100,0,0),
(266780,160581,'When Equipped:',100,0,0),
(266781,160581,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(266782,160581,'Heals caster for 378',100,2,2),
(266783,160581,'Cannot be modified except by direct means',100,2,3),
(266784,10160581,'When Equipped:',100,0,0),
(266785,10160581,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(266786,10160581,'Heals caster for 246',100,2,2),
(266787,10160581,'Cannot be modified except by direct means',100,2,3),
(266788,177737,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(266789,177737,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(266790,177737,'Inflicts 98 heat damage on target',100,2,2),
(266791,177737,'Cannot be modified except by direct means',100,2,3),
(266792,10177737,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(266793,10177737,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(266794,10177737,'Inflicts 117 heat damage on target',100,2,2),
(266795,10177737,'Cannot be modified except by direct means',100,2,3),
(266796,173604,'When Equipped:',100,0,0),
(266797,173604,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(266798,10173604,'When Equipped:',100,0,0),
(266799,10173604,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(266800,117159,'Inflicts 13 poison damage on target instantly and every 4 seconds',100,1,0),
(266801,117159,'Decreases WIS of target by 12.5',100,1,1),
(266802,10117159,'Inflicts 16 poison damage on target instantly and every 4 seconds',100,1,0),
(266803,10117159,'Decreases WIS of target by 12.5',100,1,1),
(266804,104792,'Increases caster''s chance to block by 10.0%',100,1,0),
(266805,104792,'Decreases Attack Speed of caster by 12.6',100,1,1),
(266806,104792,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(266807,104792,'Increases Parry of caster by 8.6',100,1,3),
(266808,104792,'Increases Defense of caster by 8.6',100,1,4),
(266809,10104792,'Increases caster''s chance to block by 10.0%',100,1,0);
INSERT INTO `item_effects` VALUES
(266810,10104792,'Decreases Attack Speed of caster by 12.6',100,1,1),
(266811,10104792,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(266812,10104792,'Increases Parry of caster by 8.6',100,1,3),
(266813,10104792,'Increases Defense of caster by 8.6',100,1,4),
(266814,121042,'Increases AGI of target by 53.7',100,1,0),
(266815,121042,'Adds 1.0% to base avoidance.',100,1,1),
(266816,121042,'Increases In-Combat Power Regeneration of target by 30.8',100,1,2),
(266817,121042,'Increases Max Power of target by 335.7',100,1,3),
(266818,10121042,'Increases AGI of target by 53.7',100,1,0),
(266819,10121042,'Adds 1.0% to base avoidance.',100,1,1),
(266820,10121042,'Increases In-Combat Power Regeneration of target by 30.8',100,1,2),
(266821,10121042,'Increases Max Power of target by 335.7',100,1,3),
(266822,112645,'Inflicts 121 - 202 disease damage on target',100,1,0),
(266823,112645,'Inflicts 121 - 202 disease damage on target',100,1,1),
(266824,112645,'Roots target',100,1,2),
(266825,112645,'If Target is not Epic',100,2,3),
(266826,112645,'15% chance to dispel when target takes damage',100,1,4),
(266827,112645,'If weapon equipped in Ranged',100,1,5),
(266828,112645,'Resistibility increases against targets higher than level 73.',100,1,6),
(266829,10112645,'Inflicts 91 - 151 disease damage on target',100,1,0),
(266830,10112645,'Inflicts 91 - 151 disease damage on target',100,1,1),
(266831,10112645,'Roots target',100,1,2),
(266832,10112645,'If Target is not Epic',100,2,3),
(266833,10112645,'15% chance to dispel when target takes damage',100,1,4),
(266834,10112645,'If weapon equipped in Ranged',100,1,5),
(266835,10112645,'Resistibility increases against targets higher than level 73.',100,1,6),
(266836,71705,'When Equipped:',100,0,0),
(266837,71705,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(266838,71705,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(266839,71705,'Cannot be modified except by direct means',100,2,3),
(266840,10071705,'When Equipped:',100,0,0),
(266841,10071705,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(266842,10071705,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(266843,10071705,'Cannot be modified except by direct means',100,2,3),
(266844,110997,'Heals target for 505 - 617 instantly and every 2 seconds',100,1,0),
(266845,110997,'Increases power of target by 39 - 48 instantly and every 2 seconds',100,1,1),
(266846,10110997,'Heals target for 328 - 401 instantly and every 2 seconds',100,1,0),
(266847,10110997,'Increases power of target by 39 - 48 instantly and every 2 seconds',100,1,1),
(266848,106760,'Mesmerizes target',100,1,0),
(266849,106760,'Prevents AOE (except when direct) ',100,1,1),
(266850,106760,'Dispelled when target takes damage',100,1,2),
(266851,106760,'Does not affect Epic targets',100,1,3),
(266852,106760,'Resistibility increases against targets higher than level 69.',100,1,4),
(266853,10106760,'Mesmerizes target',100,1,0),
(266854,10106760,'Prevents AOE (except when direct) ',100,1,1),
(266855,10106760,'Dispelled when target takes damage',100,1,2),
(266856,10106760,'Does not affect Epic targets',100,1,3),
(266857,10106760,'Resistibility increases against targets higher than level 69.',100,1,4),
(266858,115808,'Inflicts 4 disease damage on target every 3 seconds',100,1,0),
(266859,115808,'Inflicts 14 - 24 melee damage on target',100,1,1),
(266860,115808,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(266861,115808,'Heals caster for 11 instantly and every 3 seconds',100,2,3),
(266862,115808,'This effect cannot be critically applied.',100,3,4),
(266863,115808,'The healing of this spell cannot be modified except by direct means',100,2,5),
(266864,115808,'The healing of this spell cannot be modified except by direct means',100,1,6),
(266865,10115808,'Inflicts 5 disease damage on target every 3 seconds',100,1,0),
(266866,10115808,'Inflicts 17 - 29 melee damage on target',100,1,1),
(266867,10115808,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(266868,10115808,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(266869,10115808,'This effect cannot be critically applied.',100,3,4),
(266870,10115808,'The healing of this spell cannot be modified except by direct means',100,2,5),
(266871,10115808,'The healing of this spell cannot be modified except by direct means',100,1,6),
(266872,35998,'Increases AGI of target by 6.2',100,0,0),
(266873,35998,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(266874,140355,'When Equipped:',100,0,0),
(266875,140355,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(266876,140355,'Inflicts 947 crushing damage on target',100,2,2),
(266877,140355,'Increases Threat to target by 1,710 ',100,2,3),
(266878,140355,'Must not be engaged in pvp combat',100,2,4),
(266879,140355,'Cannot be modified except by direct means',100,2,5),
(266880,140355,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,6),
(266881,140355,'Inflicts 947 crushing damage on target',100,2,7),
(266882,140355,'Increases Threat to target by 1,710 ',100,2,8),
(266883,140355,'Must not be engaged in pvp combat',100,2,9),
(266884,140355,'Cannot be modified except by direct means',100,2,10),
(266885,10140355,'When Equipped:',100,0,0),
(266886,10140355,'When damaged in combat this spell has a 8% chance to cast Irritating Sands on target''s attacker.  ',100,1,1),
(266887,10140355,'Inflicts 1136 crushing damage on target',100,2,2),
(266888,10140355,'Must not be engaged in pvp combat',100,2,3),
(266889,10140355,'Cannot be modified except by direct means',100,2,4),
(266890,10140355,'On any combat or spell hit this spell may cast Irritating Sands on target of attack.  Triggers about 1.6 times per minute. ',100,1,5),
(266891,10140355,'Inflicts 1136 crushing damage on target',100,2,6),
(266892,10140355,'Must not be engaged in pvp combat',100,2,7),
(266893,10140355,'Cannot be modified except by direct means',100,2,8),
(266894,36335,'Increases Max Power of target by 70.0',100,0,0),
(266895,36335,'Increases Out-of-Combat Power Regeneration of target by 115.5',100,0,1),
(266896,117622,'Inflicts 558 - 931 ranged damage on target',100,1,0),
(266897,117622,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(266898,117622,'Slows target by 61.8%',100,2,2),
(266899,117622,'5% chance to dispel when target receives hostile action',100,2,3),
(266900,117622,'5% chance to dispel when target takes damage',100,2,4),
(266901,117622,'Must be flanking or behind',100,1,5),
(266902,117622,'Requires bow',100,1,6),
(266903,10117622,'Inflicts 418 - 698 ranged damage on target',100,1,0),
(266904,10117622,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(266905,10117622,'Slows target by 61.8%',100,2,2),
(266906,10117622,'5% chance to dispel when target receives hostile action',100,2,3),
(266907,10117622,'5% chance to dispel when target takes damage',100,2,4),
(266908,10117622,'Must be flanking or behind',100,1,5),
(266909,10117622,'Requires bow',100,1,6),
(266910,119459,'Inflicts 205 - 343 melee damage on target',100,1,0),
(266911,119459,'Inflicts 149 piercing damage on target instantly and every 4 seconds',100,1,1),
(266912,119459,'Must be flanking or behind',100,1,2),
(266913,10119459,'Inflicts 246 - 411 melee damage on target',100,1,0),
(266914,10119459,'Inflicts 178 piercing damage on target instantly and every 4 seconds',100,1,1),
(266915,10119459,'Must be flanking or behind',100,1,2),
(266916,177684,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(266917,177684,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(266918,177684,'Inflicts 34 heat damage on target',100,2,2),
(266919,177684,'Cannot be modified except by direct means',100,2,3),
(266920,10177684,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(266921,10177684,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(266922,10177684,'Inflicts 40 heat damage on target',100,2,2),
(266923,10177684,'Cannot be modified except by direct means',100,2,3),
(266924,100225,'Increases Threat to target encounter by 1,299 - 1,485 ',100,1,0),
(266925,100225,'Interrupts target encounter',100,1,1),
(266926,10100225,'Interrupts target encounter',100,1,0),
(266927,10100225,'Forces target encounter to change their selected target to caster.',100,1,1),
(266928,10100225,'Prevents target encounter from changing targets',100,1,2),
(266929,105509,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 10.9',100,1,0),
(266930,10105509,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 10.9',100,1,0),
(266931,110221,'Interrupts target',100,1,0),
(266932,110221,'Inflicts 203 - 338 crushing damage on target',100,1,1),
(266933,10110221,'Interrupts target',100,1,0),
(266934,10110221,'Inflicts 243 - 406 crushing damage on target',100,1,1),
(266935,103870,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(266936,103870,'Slows target by 40.8%',100,2,1),
(266937,103870,'5% chance to dispel when target receives hostile action',100,2,2),
(266938,103870,'5% chance to dispel when target takes damage',100,2,3),
(266939,103870,'Decreases Mitigation of target vs noxious damage by 1235',100,1,4),
(266940,10103870,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(266941,10103870,'Slows target by 40.8%',100,2,1),
(266942,10103870,'5% chance to dispel when target receives hostile action',100,2,2),
(266943,10103870,'5% chance to dispel when target takes damage',100,2,3),
(266944,10103870,'Decreases Mitigation of target vs noxious damage by 1235',100,1,4),
(266945,26891,'When Equipped:',100,0,0),
(266946,26891,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(266947,26891,'Increases power of caster by 85',100,2,2),
(266948,26891,'Cannot be modified except by direct means',100,2,3),
(266949,10026891,'When Equipped:',100,0,0),
(266950,10026891,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(266951,10026891,'Increases power of caster by 85',100,2,2),
(266952,10026891,'Cannot be modified except by direct means',100,2,3),
(266953,47374,'Applies Wings of Flight when Activated.',100,0,0),
(266954,47374,'Summons a mount to ride',100,1,1),
(266955,47374,'Increases your ground speed by 75%',100,2,2),
(266956,47374,'Increases your air speed by 150%',100,2,3),
(266957,47374,'Increases Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5.0',100,1,4),
(266958,10047374,'Applies Wings of Flight when Activated.',100,0,0),
(266959,10047374,'Summons a mount to ride',100,1,1),
(266960,10047374,'Increases your ground speed by 75%',100,2,2),
(266961,10047374,'Increases your air speed by 150%',100,2,3),
(266962,10047374,'Increases Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5.0',100,1,4),
(266963,120126,'Shapechanges caster into a chaos essence',100,1,0),
(266964,120126,'Increases WIS of caster by 232.3',100,1,1),
(266965,120126,'Grants See Invisibility to caster',100,1,2),
(266966,120126,'Increases Max Health of caster by 1,035.2',100,1,3),
(266967,120126,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3268',100,1,4),
(266968,10120126,'Shapechanges caster into a chaos essence',100,1,0),
(266969,10120126,'Increases WIS of caster by 232.3',100,1,1),
(266970,10120126,'Grants See Invisibility to caster',100,1,2),
(266971,10120126,'Increases Max Health of caster by 1,035.2',100,1,3),
(266972,10120126,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3268',100,1,4),
(266973,109442,'Inflicts 144 - 176 cold damage on target instantly and every 4 seconds',100,1,0),
(266974,109442,'Decreases Mitigation of target vs elemental damage by 715',100,1,1),
(266975,10109442,'Inflicts 173 - 211 cold damage on target instantly and every 4 seconds',100,1,0),
(266976,10109442,'Decreases Mitigation of target vs elemental damage by 715',100,1,1),
(266977,152904,'When Equipped:',100,0,0),
(266978,152904,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(266979,152904,'Heals group members (AE) for 875',100,2,2),
(266980,152904,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(266981,152904,'Must not be engaged in pvp combat',100,2,4),
(266982,152904,'Cannot be modified except by direct means',100,2,5),
(266983,152904,'Must not be engaged in pvp combat',100,1,6),
(266984,10152904,'When Equipped:',100,0,0),
(266985,10152904,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(266986,10152904,'Heals group members (AE) for 1024',100,2,2),
(266987,10152904,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(266988,10152904,'Must not be engaged in pvp combat',100,2,4),
(266989,10152904,'Cannot be modified except by direct means',100,2,5),
(266990,10152904,'Must not be engaged in pvp combat',100,1,6),
(266991,121288,'Inflicts 53 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(266992,121288,'Inflicts 175 - 292 melee damage on targets in area',100,1,1),
(266993,121288,'You must be in stealth or have Bloody Assault.',100,1,2),
(266994,10121288,'Inflicts 64 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(266995,10121288,'Inflicts 210 - 351 melee damage on targets in area',100,1,1),
(266996,10121288,'You must be in stealth or have Bloody Assault.',100,1,2),
(266997,121499,'Inflicts 240 - 401 melee damage on target',100,1,0),
(266998,121499,'Decreases Defense of target by 9.4',100,1,1),
(266999,10121499,'Inflicts 289 - 481 melee damage on target',100,1,0),
(267000,10121499,'Decreases Defense of target by 9.4',100,1,1),
(267001,108707,'Inflicts 151 heat damage on target',100,1,0),
(267002,108707,'Inflicts 34 heat damage on target every 4 seconds',100,1,1),
(267003,10108707,'Inflicts 253 heat damage on target',100,1,0),
(267004,10108707,'Inflicts 40 heat damage on target every 4 seconds',100,1,1),
(267005,48922,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(267006,48922,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(267007,48922,'Inflicts 49 poison damage on target instantly and every 6 seconds',100,2,2),
(267008,48922,'Inflicts 19 poison damage on target',100,2,3),
(267009,48922,'Cannot be modified except by direct means',100,2,4),
(267010,48922,'Grants a total of 200 triggers of the spell.',100,2,5),
(267011,10048922,'Applies thirst for blood when Activated.  Lasts for 12 hours.',100,0,0),
(267012,10048922,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(267013,10048922,'Inflicts 44 poison damage on target instantly and every 6 seconds',100,2,2),
(267014,10048922,'Inflicts 17 poison damage on target',100,2,3),
(267015,10048922,'Cannot be modified except by direct means',100,2,4),
(267016,10048922,'Grants a total of 200 triggers of the spell.',100,2,5),
(267017,124458,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(267018,124458,'Inflicts 297 - 495 melee damage on target',100,2,1),
(267019,124458,'Decreases Defense of caster by 21.8',100,1,2),
(267020,124458,'Increases Slashing, Piercing, Ranged and Crushing of caster by 45.8',100,1,3),
(267021,10124458,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(267022,10124458,'Inflicts 356 - 594 melee damage on target',100,2,1),
(267023,10124458,'Decreases Defense of caster by 21.8',100,1,2),
(267024,10124458,'Increases Slashing, Piercing, Ranged and Crushing of caster by 45.8',100,1,3),
(267025,108016,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(267026,108016,'Increases Mitigation of group members (AE) vs elemental damage by 1521',100,1,1),
(267027,10108016,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(267028,10108016,'Increases Mitigation of group members (AE) vs elemental damage by 1521',100,1,1),
(267029,103280,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(267030,103280,'If Fighter',100,2,1),
(267031,103280,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(267032,103280,'Increases power of target by 17 instantly and every 4 seconds',100,2,3),
(267033,103280,'Increases power of caster by 17 instantly and every 4 seconds',100,2,4),
(267034,10103280,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(267035,10103280,'Increases power of target by 17 instantly and every 4 seconds',100,2,1),
(267036,10103280,'Increases power of caster by 17 instantly and every 4 seconds',100,2,2),
(267037,73140,'When Equipped:',100,0,0),
(267038,73140,'On a combat hit this spell may cast System Shock on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267039,73140,'Inflicts 552 - 920 magic damage on target',100,2,2),
(267040,73140,'Inflicts 154 magic damage on target encounter instantly and every 4 seconds',100,2,3),
(267041,73140,'Enlarges caster by 30.0%',100,2,4),
(267042,73140,'Cannot be modified except by direct means',100,2,5),
(267043,10073140,'When Equipped:',100,0,0),
(267044,10073140,'On a combat hit this spell may cast System Shock on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267045,10073140,'Inflicts 662 - 1104 magic damage on target',100,2,2),
(267046,10073140,'Inflicts 185 magic damage on target encounter instantly and every 4 seconds',100,2,3),
(267047,10073140,'Enlarges caster by 30.0%',100,2,4),
(267048,10073140,'Cannot be modified except by direct means',100,2,5),
(267049,118697,'Increases STR and AGI of group members (AE) by 12.6',100,1,0),
(267050,10118697,'Increases STR and AGI of group members (AE) by 12.6',100,1,0),
(267051,100728,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(267052,100728,'Increases Mitigation of group members (AE) vs noxious damage by 1160',100,1,1),
(267053,10100728,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(267054,10100728,'Increases Mitigation of group members (AE) vs noxious damage by 1160',100,1,1),
(267055,37540,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(267056,184951,'When Equipped:',100,0,0),
(267057,184951,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(267058,184951,'Inflicts 513 - 628 heat damage on target',100,2,2),
(267059,184951,'Inflicts 513 - 628 heat damage on target',100,2,3),
(267060,184951,'Inflicts 513 - 628 heat damage on target',100,2,4),
(267061,184951,'Must not be engaged in pvp combat',100,2,5),
(267062,184951,'Cannot be modified except by direct means',100,2,6),
(267063,10184951,'When Equipped:',100,0,0),
(267064,10184951,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(267065,10184951,'Inflicts 616 - 753 heat damage on target',100,2,2),
(267066,10184951,'Inflicts 616 - 753 heat damage on target',100,2,3),
(267067,10184951,'Inflicts 616 - 753 heat damage on target',100,2,4),
(267068,10184951,'Must not be engaged in pvp combat',100,2,5),
(267069,10184951,'Cannot be modified except by direct means',100,2,6),
(267070,110686,'Heals target for 731',100,1,0),
(267071,110686,'Dispels 61 levels of any hostile effects on target',100,1,1),
(267072,10110686,'Heals target for 475',100,1,0),
(267073,10110686,'Dispels 61 levels of any hostile effects on target',100,1,1),
(267074,181813,'When Equipped:',100,0,0),
(267075,181813,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(267076,181813,'Heals group members (AE) for 1385 - 1531',100,2,2),
(267077,181813,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(267078,181813,'This ward regenerates slowly over time.',100,2,4),
(267079,181813,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(267080,181813,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(267081,181813,'Must not be engaged in pvp combat',100,2,7),
(267082,181813,'Cannot be modified except by direct means',100,2,8),
(267083,181813,'Must not be engaged in pvp combat',100,1,9),
(267084,10181813,'When Equipped:',100,0,0),
(267085,10181813,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(267086,10181813,'Heals group members (AE) for 1621 - 1791',100,2,2),
(267087,10181813,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(267088,10181813,'This ward regenerates slowly over time.',100,2,4),
(267089,10181813,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(267090,10181813,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(267091,10181813,'Must not be engaged in pvp combat',100,2,7),
(267092,10181813,'Cannot be modified except by direct means',100,2,8),
(267093,10181813,'Must not be engaged in pvp combat',100,1,9),
(267094,36895,'Increases AGI and WIS of target by 13.2',100,0,0),
(267095,36895,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(267096,52443,'When Equipped:',100,0,0),
(267097,52443,'On a hostile spell cast this spell will cast Gnollbane on target of spell.  ',100,1,1),
(267098,52443,'Inflicts 15 - 28 magic damage on target',100,2,2),
(267099,52443,'If target is gnoll',100,2,3),
(267100,52443,'Cannot be modified except by direct means',100,2,4),
(267101,10052443,'When Equipped:',100,0,0),
(267102,10052443,'On a hostile spell cast this spell will cast Gnollbane on target of spell.  ',100,1,1),
(267103,10052443,'Inflicts 18 - 34 magic damage on target',100,2,2),
(267104,10052443,'If target is gnoll',100,2,3),
(267105,10052443,'Cannot be modified except by direct means',100,2,4),
(267106,87511,'When Equipped:',100,0,0),
(267107,87511,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(267108,87511,'Inflicts 99 - 148 magic damage on target',100,2,2),
(267109,87511,'Cannot be modified except by direct means',100,2,3),
(267110,10087511,'When Equipped:',100,0,0),
(267111,10087511,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(267112,10087511,'Inflicts 118 - 177 magic damage on target',100,2,2),
(267113,10087511,'Cannot be modified except by direct means',100,2,3),
(267114,72764,'When Equipped:',100,0,0),
(267115,72764,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267116,72764,'Reduces healing received by 15.00%',100,2,2),
(267117,72764,'Cannot be modified except by direct means',100,2,3),
(267118,72764,'This effect can only trigger once every 1 second.',100,2,4),
(267119,72764,'Must be engaged in pvp combat',100,1,5),
(267120,10072764,'When Equipped:',100,0,0),
(267121,10072764,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267122,10072764,'Reduces healing received by 15.00%',100,2,2),
(267123,10072764,'Cannot be modified except by direct means',100,2,3),
(267124,10072764,'This effect can only trigger once every 1 second.',100,2,4),
(267125,10072764,'Must be engaged in pvp combat',100,1,5),
(267126,159408,'Applies Sanguine Imbued when Equipped.',100,0,0),
(267127,159408,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(267128,159408,'Inflicts 140 heat damage on target',100,2,2),
(267129,159408,'Cannot be modified except by direct means',100,2,3),
(267130,10159408,'Applies Sanguine Imbued when Equipped.',100,0,0),
(267131,10159408,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(267132,10159408,'Inflicts 168 heat damage on target',100,2,2),
(267133,10159408,'Cannot be modified except by direct means',100,2,3),
(267134,159634,'When Equipped:',100,0,0),
(267135,159634,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267136,159634,'Increases INT of caster by 14.8',100,2,2),
(267137,159634,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(267138,159634,'Cannot be modified except by direct means',100,2,4),
(267139,10159634,'When Equipped:',100,0,0),
(267140,10159634,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267141,10159634,'Increases INT of caster by 14.8',100,2,2),
(267142,10159634,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(267143,10159634,'Cannot be modified except by direct means',100,2,4),
(267144,108809,'Inflicts 268 - 498 heat damage on targets in Area of Effect',100,1,0),
(267145,10108809,'Inflicts 322 - 598 heat damage on targets in Area of Effect',100,1,0),
(267146,112935,'Inflicts 48 - 80 crushing damage on target',100,1,0),
(267147,10112935,'Inflicts 58 - 96 crushing damage on target',100,1,0),
(267148,121804,'Heals target for 522 - 638',100,1,0),
(267149,121804,'Heals target for 87 - 106 every second',100,1,1),
(267150,10121804,'Heals target for 905 - 1106',100,1,0),
(267151,10121804,'Heals target for 75 - 92 every second',100,1,1),
(267152,79723,'When Equipped:',100,0,0),
(267153,79723,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(267154,79723,'Inflicts 1411 - 1559 divine damage on targets in Area of Effect instantly and every second',100,2,2),
(267155,79723,'1% of all damage received by the caster is prevented.',100,2,3),
(267156,79723,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,4),
(267157,79723,'Stuns target',100,3,5),
(267158,79723,'Throws target back',100,3,6),
(267159,79723,'Blurs vision of target',100,3,7),
(267160,79723,'Does not affect Epic targets',100,3,8),
(267161,79723,'Increases Hate Gain of caster by 12.0%',100,2,9),
(267162,79723,'Increases Damage Per Second of group members (AE) by 30.0',100,2,10),
(267163,79723,'Must not be engaged in pvp combat',100,2,11),
(267164,79723,'Cannot be modified except by direct means',100,2,12),
(267165,79723,'Must not be engaged in pvp combat',100,1,13),
(267166,79723,'When Equipped:',100,0,14),
(267167,79723,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,15),
(267168,79723,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,16),
(267169,79723,'Inflicts an additional 2664 heat damage on target every tick',100,2,17),
(267170,79723,'Increases Threat to target by 4,805  instantly and every 4 seconds thereafter',100,2,18),
(267171,79723,'Increases Hate Gain of caster by 12.0%',100,2,19),
(267172,79723,'Must not be engaged in pvp combat',100,2,20),
(267173,79723,'Cannot be modified except by direct means',100,2,21),
(267174,79723,'Must not be engaged in pvp combat',100,1,22),
(267175,10079723,'When Equipped:',100,0,0),
(267176,10079723,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(267177,10079723,'Inflicts 1693 - 1871 divine damage on targets in Area of Effect instantly and every second',100,2,2),
(267178,10079723,'1% of all damage received by the caster is prevented.',100,2,3),
(267179,10079723,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,4),
(267180,10079723,'Stuns target',100,3,5),
(267181,10079723,'Throws target back',100,3,6),
(267182,10079723,'Blurs vision of target',100,3,7),
(267183,10079723,'Does not affect Epic targets',100,3,8),
(267184,10079723,'Increases Damage Per Second of group members (AE) by 30.0',100,2,9),
(267185,10079723,'Must not be engaged in pvp combat',100,2,10),
(267186,10079723,'Cannot be modified except by direct means',100,2,11),
(267187,10079723,'Must not be engaged in pvp combat',100,1,12),
(267188,10079723,'When Equipped:',100,0,13),
(267189,10079723,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,14),
(267190,10079723,'Inflicts 6394 heat damage on target instantly and every 4 seconds',100,2,15),
(267191,10079723,'Inflicts an additional 2664 heat damage on target every tick',100,2,16),
(267192,10079723,'Must not be engaged in pvp combat',100,2,17),
(267193,10079723,'Cannot be modified except by direct means',100,2,18),
(267194,10079723,'Must not be engaged in pvp combat',100,1,19),
(267195,115400,'Inflicts 197 - 328 melee damage on target',100,1,0),
(267196,115400,'Decreases INT of target by 40.1',100,1,1),
(267197,115400,'You must be sneaking to use this ability.',100,1,2),
(267198,10115400,'Inflicts 236 - 394 melee damage on target',100,1,0),
(267199,10115400,'Decreases INT of target by 40.1',100,1,1),
(267200,10115400,'You must be sneaking to use this ability.',100,1,2),
(267201,48105,'Applies Snowman Form when Activated.  Lasts for 12 hours.',100,0,0),
(267202,48105,'Shapechanges caster into a snowman',100,1,1),
(267203,48105,'If male',100,2,2),
(267204,48105,'Shapechanges caster into a snow woman',100,1,3),
(267205,48105,'If female',100,2,4),
(267206,48105,'This effect suspends during combat',100,1,5),
(267207,10048105,'Applies Snowman Form when Activated.  Lasts for 12 hours.',100,0,0),
(267208,10048105,'Shapechanges caster into a snowman',100,1,1),
(267209,10048105,'If male',100,2,2),
(267210,10048105,'Shapechanges caster into a snow woman',100,1,3),
(267211,10048105,'If female',100,2,4),
(267212,10048105,'This effect suspends during combat',100,1,5),
(267213,71851,'When Equipped:',100,0,0),
(267214,71851,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267215,71851,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(267216,71851,'Cannot be modified except by direct means',100,2,3),
(267217,10071851,'When Equipped:',100,0,0),
(267218,10071851,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267219,10071851,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(267220,10071851,'Cannot be modified except by direct means',100,2,3),
(267221,72796,'When Equipped:',100,0,0),
(267222,72796,'On any combat or spell hit this spell may cast Sundering Smash IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(267223,72796,'Inflicts 245 - 270 heat damage on targets in Area of Effect',100,2,2),
(267224,72796,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(267225,72796,'Stuns target',100,3,4),
(267226,72796,'Throws target back',100,3,5),
(267227,72796,'Blurs vision of target',100,3,6),
(267228,72796,'Does not affect Epic targets',100,3,7),
(267229,72796,'Must not be engaged in pvp combat',100,2,8),
(267230,72796,'Cannot be modified except by direct means',100,2,9),
(267231,72796,'Must not be engaged in pvp combat',100,1,10),
(267232,10072796,'When Equipped:',100,0,0),
(267233,10072796,'On any combat or spell hit this spell may cast Sundering Smash IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(267234,10072796,'Inflicts 294 - 324 heat damage on targets in Area of Effect',100,2,2),
(267235,10072796,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(267236,10072796,'Stuns target',100,3,4),
(267237,10072796,'Throws target back',100,3,5),
(267238,10072796,'Blurs vision of target',100,3,6),
(267239,10072796,'Does not affect Epic targets',100,3,7),
(267240,10072796,'Must not be engaged in pvp combat',100,2,8),
(267241,10072796,'Cannot be modified except by direct means',100,2,9),
(267242,10072796,'Must not be engaged in pvp combat',100,1,10),
(267243,140785,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(267244,140785,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,1,1),
(267245,140785,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(267246,10140785,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(267247,10140785,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,1,1),
(267248,10140785,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(267249,72439,'When Equipped:',100,0,0),
(267250,72439,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267251,72439,'Reduces healing received by 15.00%',100,2,2),
(267252,72439,'Cannot be modified except by direct means',100,2,3),
(267253,72439,'This effect can only trigger once every 1 second.',100,2,4),
(267254,72439,'Must be engaged in pvp combat',100,1,5),
(267255,10072439,'When Equipped:',100,0,0),
(267256,10072439,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267257,10072439,'Reduces healing received by 15.00%',100,2,2),
(267258,10072439,'Cannot be modified except by direct means',100,2,3),
(267259,10072439,'This effect can only trigger once every 1 second.',100,2,4),
(267260,10072439,'Must be engaged in pvp combat',100,1,5),
(267261,121654,'Increases STR and AGI of caster by 39.6',100,1,0),
(267262,121654,'Summons a pet valkyrie',100,1,1),
(267263,121654,'Increases INT, STA and WIS of caster by 39.6',100,1,2),
(267264,121654,'If follows Rodcet Nife',100,1,3),
(267265,10121654,'Increases STR and AGI of caster by 39.6',100,1,0),
(267266,10121654,'Summons a pet valkyrie',100,1,1),
(267267,10121654,'Increases INT, STA and WIS of caster by 39.6',100,1,2),
(267268,10121654,'If follows Rodcet Nife',100,1,3),
(267269,123684,'Increases Damage Per Second of target by 59.2',100,1,0),
(267270,10123684,'Increases Damage Per Second of target by 59.2',100,1,0),
(267271,24729,'Adds Tormented Zeklord to your Dungeon Maker toolbox',100,0,0),
(267272,10024729,'Adds Tormented Zeklord to your Dungeon Maker toolbox',100,0,0),
(267273,36451,'Increases WIS and INT of target by 15.4',100,0,0),
(267274,36451,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(267275,46026,'Applies Earthen Essence when Activated.',100,0,0),
(267276,46026,'Summons a pet partial earthen essence',100,1,1),
(267277,46026,'Must be in zone The Hole',100,1,2),
(267278,10046026,'Applies Earthen Essence when Activated.',100,0,0),
(267279,10046026,'Summons a pet partial earthen essence',100,1,1),
(267280,10046026,'Must be in zone The Hole',100,1,2),
(267281,110939,'Inflicts 161 - 269 divine damage on target',100,1,0),
(267282,110939,'Increases Threat to target by 2,388 ',100,1,1),
(267283,110939,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(267284,110939,'Stuns target',100,2,3),
(267285,110939,'Throws target back',100,2,4),
(267286,110939,'Blurs vision of target',100,2,5),
(267287,110939,'Does not affect Epic targets',100,2,6),
(267288,10110939,'Inflicts 193 - 323 divine damage on target',100,1,0),
(267289,10110939,'Prevents target from changing targets',100,1,1),
(267290,10110939,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(267291,10110939,'Stuns target',100,2,3),
(267292,10110939,'Throws target back',100,2,4),
(267293,10110939,'Blurs vision of target',100,2,5),
(267294,10110939,'Does not affect Epic targets',100,2,6),
(267295,10110939,'Forces target to change their selected target to caster.',100,1,7),
(267296,27239,'When Equipped:',100,0,0),
(267297,27239,'Increases Multi Attack Chance of caster by 4.0',100,1,1),
(267298,10027239,'When Equipped:',100,0,0),
(267299,10027239,'Increases Multi Attack Chance of caster by 4.0',100,1,1),
(267300,72165,'When Equipped:',100,0,0),
(267301,72165,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267302,72165,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(267303,72165,'Cannot be modified except by direct means',100,2,3),
(267304,10072165,'When Equipped:',100,0,0),
(267305,10072165,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267306,10072165,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(267307,10072165,'Cannot be modified except by direct means',100,2,3),
(267308,45469,'Applies Caress of the Shadow when Activated.  Lasts for 12 hours.',100,0,0),
(267309,45469,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(267310,45469,'Inflicts 22 poison damage on target',100,2,2),
(267311,45469,'Inflicts 4 poison damage on target instantly and every 6 seconds',100,2,3),
(267312,45469,'Cannot be modified except by direct means',100,2,4),
(267313,45469,'Grants a total of 100 triggers of the spell.',100,2,5),
(267314,10045469,'Applies Caress of the Shadow when Activated.  Lasts for 12 hours.',100,0,0),
(267315,10045469,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(267316,10045469,'Inflicts 20 poison damage on target',100,2,2),
(267317,10045469,'Inflicts 3 poison damage on target instantly and every 6 seconds',100,2,3),
(267318,10045469,'Cannot be modified except by direct means',100,2,4),
(267319,10045469,'Grants a total of 100 triggers of the spell.',100,2,5),
(267320,118976,'Applies Sacrifice.',100,1,0),
(267321,118976,'Increases power of group members (AE) by 413',100,2,1),
(267322,118976,'Heals group members (AE) for 1447',100,2,2),
(267323,118976,'Stuns target',100,1,3),
(267324,10118976,'Stuns target',100,1,0),
(267325,10118976,'Applies Sacrifice.',100,1,1),
(267326,10118976,'Increases power of group members (AE) by 413',100,2,2),
(267327,10118976,'Heals group members (AE) for 2016',100,2,3),
(267328,148677,'When Equipped:',100,0,0),
(267329,148677,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(267330,148677,'Heals group members (AE) for 871',100,2,2),
(267331,148677,'Cannot be modified except by direct means',100,2,3),
(267332,10148677,'When Equipped:',100,0,0),
(267333,10148677,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(267334,10148677,'Heals group members (AE) for 1019',100,2,2),
(267335,10148677,'Cannot be modified except by direct means',100,2,3),
(267336,108740,'Summons a pet fiery magician',100,1,0),
(267337,10108740,'Summons a pet fiery magician',100,1,0),
(267338,121906,'Inflicts 87 - 145 mental damage on target encounter',100,1,0),
(267339,121906,'Increases power of group members (AE) by 71 - 118',100,1,1),
(267340,10121906,'Inflicts 104 - 174 mental damage on target encounter',100,1,0),
(267341,10121906,'Increases power of group members (AE) by 71 - 118',100,1,1),
(267342,24208,'Adds Crushbone: Partial Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(267343,10024208,'Adds Crushbone: Partial Gilded Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(267344,108990,'Inflicts 46 - 57 melee damage on target',100,1,0),
(267345,108990,'Decreases Damage Per Second of target by 16.1',100,1,1),
(267346,10108990,'Inflicts 56 - 68 melee damage on target',100,1,0),
(267347,10108990,'Decreases Damage Per Second of target by 16.1',100,1,1),
(267348,35312,'Increases STR of target by 10.5',100,0,0),
(267349,35312,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(267350,118885,'Inflicts 85 - 142 melee damage on target',100,1,0),
(267351,118885,'Inflicts 85 - 142 melee damage on target',100,1,1),
(267352,118885,'Inflicts 85 - 142 melee damage on target',100,1,2),
(267353,118885,'Inflicts 85 - 142 melee damage on target',100,1,3),
(267354,118885,'Inflicts 85 - 142 melee damage on target',100,1,4),
(267355,10118885,'Inflicts 102 - 170 melee damage on target',100,1,0),
(267356,10118885,'Inflicts 102 - 170 melee damage on target',100,1,1),
(267357,10118885,'Inflicts 102 - 170 melee damage on target',100,1,2),
(267358,10118885,'Inflicts 102 - 170 melee damage on target',100,1,3),
(267359,10118885,'Inflicts 102 - 170 melee damage on target',100,1,4),
(267360,111284,'Inflicts 89 - 148 divine damage on target',100,1,0),
(267361,111284,'Inflicts 36 - 59 divine damage on target every 4 seconds',100,1,1),
(267362,10111284,'Inflicts 107 - 178 divine damage on target',100,1,0),
(267363,10111284,'Inflicts 43 - 71 divine damage on target every 4 seconds',100,1,1),
(267364,152654,'When Equipped:',100,0,0),
(267365,152654,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(267366,152654,'Decreases Threat to target by 800 ',100,2,2),
(267367,152654,'Cannot be modified except by direct means',100,2,3),
(267368,10152654,'When Equipped:',100,0,0),
(267369,10152654,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(267370,10152654,'Cannot be modified except by direct means',100,2,2),
(267371,157218,'When Equipped:',100,0,0),
(267372,157218,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(267373,157218,'Inflicts 13 disease damage on target',100,2,2),
(267374,157218,'Cannot be modified except by direct means',100,2,3),
(267375,10157218,'When Equipped:',100,0,0),
(267376,10157218,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(267377,10157218,'Inflicts 15 disease damage on target',100,2,2),
(267378,10157218,'Cannot be modified except by direct means',100,2,3),
(267379,166380,'When Equipped:',100,0,0),
(267380,166380,'On a healing spell cast this spell may cast Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(267381,166380,'Replenishes 100 points of absorption every 5 seconds.',100,2,2),
(267382,166380,'Wards target against 500 points of all damage',100,2,3),
(267383,166380,'Cannot be modified except by direct means',100,2,4),
(267384,166380,'Cannot be modified except by direct means',100,1,5),
(267385,10166380,'When Equipped:',100,0,0),
(267386,10166380,'On a healing spell cast this spell may cast Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(267387,10166380,'Replenishes 100 points of absorption every 5 seconds.',100,2,2),
(267388,10166380,'Wards target against 500 points of all damage',100,2,3),
(267389,10166380,'Cannot be modified except by direct means',100,2,4),
(267390,10166380,'Cannot be modified except by direct means',100,1,5),
(267391,47628,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(267392,47628,'Inflicts 73 - 89 melee damage on target',100,1,1),
(267393,47628,'Inflicts 17 - 28 slashing damage on target every 4 seconds',100,1,2),
(267394,10047628,'Applies Bear Claw Maul when Activated.  Lasts for 16.0 seconds.',100,0,0),
(267395,10047628,'Inflicts 88 - 107 melee damage on target',100,1,1),
(267396,10047628,'Inflicts 20 - 34 slashing damage on target every 4 seconds',100,1,2),
(267397,106302,'Decreases INT and STR of target by 9.9',100,1,0),
(267398,10106302,'Decreases INT and STR of target by 9.9',100,1,0),
(267399,27258,'When Equipped:',100,0,0),
(267400,27258,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(267401,27258,'Inflicts 344 magic damage on target',100,2,2),
(267402,27258,'Cannot be modified except by direct means',100,2,3),
(267403,10027258,'When Equipped:',100,0,0),
(267404,10027258,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(267405,10027258,'Inflicts 413 magic damage on target',100,2,2),
(267406,10027258,'Cannot be modified except by direct means',100,2,3),
(267407,45975,'Applies Divine Awakening when Activated.',100,0,0),
(267408,45975,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(267409,45975,'Decreases Attack Speed of target by 20.0',100,2,2),
(267410,45975,'If not between levels 1 - 6',100,3,3),
(267411,45975,'Decreases All Attributes of target by 20.0%',100,2,4),
(267412,45975,'If not between levels 1 - 6',100,3,5),
(267413,45975,'Decreases All Attributes of target by 5.0%',100,2,6),
(267414,45975,'If between levels 1 - 6',100,3,7),
(267415,45975,'Decreases Attack Speed of target by 5.0',100,2,8),
(267416,45975,'If between levels 1 - 6',100,3,9),
(267417,45975,'Resurrects target with 15% health and power',100,1,10),
(267418,45975,'This effect cannot be cast during combat',100,1,11),
(267419,45975,'If priest',100,1,12),
(267420,45975,'Requires 10 Power to cast.',100,1,13),
(267421,10045975,'Applies Divine Awakening when Activated.',100,0,0),
(267422,10045975,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(267423,10045975,'Decreases Attack Speed of target by 20.0',100,2,2),
(267424,10045975,'If not between levels 1 - 6',100,3,3),
(267425,10045975,'Decreases All Attributes of target by 20.0%',100,2,4),
(267426,10045975,'If not between levels 1 - 6',100,3,5),
(267427,10045975,'Decreases All Attributes of target by 5.0%',100,2,6),
(267428,10045975,'If between levels 1 - 6',100,3,7),
(267429,10045975,'Decreases Attack Speed of target by 5.0',100,2,8),
(267430,10045975,'If between levels 1 - 6',100,3,9),
(267431,10045975,'Resurrects target with 15% health and power',100,1,10),
(267432,10045975,'This effect cannot be cast during combat',100,1,11),
(267433,10045975,'If priest',100,1,12),
(267434,10045975,'Requires 10 Power to cast.',100,1,13),
(267435,111077,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(267436,111077,'Slows target by 51.6%',100,2,1),
(267437,111077,'5% chance to dispel when target receives hostile action',100,2,2),
(267438,111077,'5% chance to dispel when target takes damage',100,2,3),
(267439,111077,'Decreases Mitigation of target vs elemental damage by 1560',100,1,4),
(267440,10111077,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(267441,10111077,'Slows target by 51.6%',100,2,1),
(267442,10111077,'5% chance to dispel when target receives hostile action',100,2,2),
(267443,10111077,'5% chance to dispel when target takes damage',100,2,3),
(267444,10111077,'Decreases Mitigation of target vs elemental damage by 1560',100,1,4),
(267445,103634,'Increases STR of raid and group members (AE) by 39.0',100,1,0),
(267446,103634,'Improves the base amount of taunts by 14%.',100,1,1),
(267447,103634,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(267448,103634,'Increases AGI of raid and group members (AE) by 39.0',100,1,3),
(267449,103634,'Adds 1.4% to base avoidance.',100,1,4),
(267450,10103634,'Increases STR of raid and group members (AE) by 39.0',100,1,0),
(267451,10103634,'Improves the base amount of taunts by 14%.',100,1,1),
(267452,10103634,'Improves the base amount of combat arts by 4.37%.',100,1,2),
(267453,10103634,'Increases AGI of raid and group members (AE) by 39.0',100,1,3),
(267454,10103634,'Adds 1.4% to base avoidance.',100,1,4),
(267455,112320,'Inflicts 204 - 249 disease damage on target',100,1,0),
(267456,112320,'Inflicts 102 - 125 disease damage on target every 3 seconds',100,1,1),
(267457,112320,'Increases Threat to target by 2,432 - 2,871  instantly and by 648 - 793  every 3 seconds thereafter',100,1,2),
(267458,10112320,'Inflicts 122 - 149 disease damage on target every 3 seconds',100,1,0),
(267459,10112320,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(267460,159464,'Applies Lambent Imbued when Equipped.',100,0,0),
(267461,159464,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(267462,159464,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(267463,159464,'Cannot be modified except by direct means',100,2,3),
(267464,10159464,'Applies Lambent Imbued when Equipped.',100,0,0),
(267465,10159464,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(267466,10159464,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(267467,10159464,'Cannot be modified except by direct means',100,2,3),
(267468,103678,'Interrupts target',100,1,0),
(267469,103678,'Inflicts 231 - 385 melee damage on target',100,1,1),
(267470,103678,'Must be flanking or behind',100,1,2),
(267471,10103678,'Interrupts target',100,1,0),
(267472,10103678,'Inflicts 277 - 462 melee damage on target',100,1,1),
(267473,10103678,'Must be flanking or behind',100,1,2),
(267474,83944,'When Equipped:',100,0,0),
(267475,83944,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267476,83944,'Reduces healing received by 15.00%',100,2,2),
(267477,83944,'Cannot be modified except by direct means',100,2,3),
(267478,83944,'This effect can only trigger once every 1 second.',100,2,4),
(267479,83944,'Must be engaged in pvp combat',100,1,5),
(267480,10083944,'When Equipped:',100,0,0),
(267481,10083944,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267482,10083944,'Reduces healing received by 15.00%',100,2,2),
(267483,10083944,'Cannot be modified except by direct means',100,2,3),
(267484,10083944,'This effect can only trigger once every 1 second.',100,2,4),
(267485,10083944,'Must be engaged in pvp combat',100,1,5),
(267486,107906,'Mesmerizes target',100,1,0),
(267487,107906,'Prevents AOE (except when direct) ',100,1,1),
(267488,107906,'Dispelled when target takes damage',100,1,2),
(267489,107906,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(267490,107906,'Resistibility increases against targets higher than level 30.',100,1,4),
(267491,10107906,'Mesmerizes target',100,1,0),
(267492,10107906,'Prevents AOE (except when direct) ',100,1,1),
(267493,10107906,'Dispelled when target takes damage',100,1,2),
(267494,10107906,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(267495,10107906,'Resistibility increases against targets higher than level 30.',100,1,4),
(267496,110084,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(267497,110084,'Inflicts 5 disease damage on target',100,2,1),
(267498,110084,'Heals caster for 3',100,2,2),
(267499,110084,'Decreases INT of target by 28.0',100,1,3),
(267500,110084,'Decreases Attack Speed of target by 25.0',100,1,4),
(267501,110084,'Increases Max Health of target by 10.0%',100,1,5),
(267502,110084,'Increases Hate Gain of target by 13.3%',100,1,6),
(267503,110084,'Increases Aggression of target by 2.1',100,1,7),
(267504,110084,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(267505,110084,'Increases Threat to target encounter by 26 - 32 ',100,2,9),
(267506,110084,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,10),
(267507,10110084,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(267508,10110084,'Inflicts 5 disease damage on target',100,2,1),
(267509,10110084,'Heals caster for 2',100,2,2),
(267510,10110084,'Decreases INT of target by 28.0',100,1,3),
(267511,10110084,'Decreases Attack Speed of target by 25.0',100,1,4),
(267512,10110084,'Increases Max Health of target by 10.0%',100,1,5),
(267513,10110084,'Increases Aggression of target by 2.1',100,1,6),
(267514,10110084,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',100,1,7),
(267515,177586,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(267516,177586,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(267517,177586,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(267518,177586,'Cannot be modified except by direct means',100,2,3),
(267519,10177586,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(267520,10177586,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(267521,10177586,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(267522,10177586,'Cannot be modified except by direct means',100,2,3),
(267523,24305,'Adds Boss: Djinn Master (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(267524,10024305,'Adds Boss: Djinn Master (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(267525,45242,'Applies Purify when Activated.',100,0,0),
(267526,45242,'Dispels 103 levels of any hostile effects on caster',100,1,1),
(267527,10045242,'Applies Purify when Activated.',100,0,0),
(267528,10045242,'Dispels 103 levels of any hostile effects on caster',100,1,1),
(267529,101154,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(267530,101154,'Inflicts 268 ranged damage on target',100,2,1),
(267531,101154,'Decreases Defense of caster by 21.8',100,1,2),
(267532,101154,'Increases Crushing, Piercing, Ranged and Slashing of caster by 31.1',100,1,3),
(267533,10101154,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(267534,10101154,'Inflicts 201 ranged damage on target',100,2,1),
(267535,10101154,'Decreases Defense of caster by 21.8',100,1,2),
(267536,10101154,'Increases Crushing, Piercing, Ranged and Slashing of caster by 31.1',100,1,3),
(267537,106249,'Wards target against 132 points of all damage',100,1,0),
(267538,10106249,'Wards target against 132 points of all damage',100,1,0),
(267539,102232,'Increases Max Health of group members (AE) by 558.5',100,1,0),
(267540,10102232,'Increases Max Health of group members (AE) by 558.5',100,1,0),
(267541,117895,'Increases In-Combat Health Regeneration of group members (AE) by 39.6',100,1,0),
(267542,117895,'Increases Max Health of group members (AE) by 207.6',100,1,1),
(267543,10117895,'Increases In-Combat Health Regeneration of group members (AE) by 39.6',100,1,0),
(267544,10117895,'Increases Max Health of group members (AE) by 207.6',100,1,1),
(267545,103373,'Decreases power of target by 75 instantly and every 6 seconds',100,1,0),
(267546,103373,'Inflicts 298 - 364 mental damage on target instantly and every 6 seconds',100,1,1),
(267547,103373,'Increases power of caster by 404',100,1,2),
(267548,10103373,'Decreases power of target by 75 instantly and every 6 seconds',100,1,0),
(267549,10103373,'Inflicts 357 - 437 mental damage on target instantly and every 6 seconds',100,1,1),
(267550,10103373,'Increases power of caster by 404',100,1,2),
(267551,117858,'Heals target for 96 - 117 instantly and every 2 seconds',100,1,0),
(267552,10117858,'Heals target for 62 - 76 instantly and every 2 seconds',100,1,0),
(267553,103537,'Increases In-Combat Power Regeneration of group members (AE) by 4.6',100,1,0),
(267554,10103537,'Increases In-Combat Power Regeneration of group members (AE) by 4.6',100,1,0),
(267555,147263,'When Equipped:',100,0,0),
(267556,147263,'Increases Attack Speed of caster by 45.0',100,1,1),
(267557,10147263,'When Equipped:',100,0,0),
(267558,10147263,'Increases Attack Speed of caster by 45.0',100,1,1),
(267559,37051,'Increases AGI of target by 12.7',100,0,0),
(267560,37051,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(267561,123629,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(267562,123629,'Slows target by 31.8%',100,2,1),
(267563,123629,'5% chance to dispel when target receives hostile action',100,2,2),
(267564,123629,'5% chance to dispel when target takes damage',100,2,3),
(267565,123629,'Inflicts 45 - 55 cold damage on target',100,1,4),
(267566,10123629,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(267567,10123629,'Slows target by 31.8%',100,2,1),
(267568,10123629,'5% chance to dispel when target receives hostile action',100,2,2),
(267569,10123629,'5% chance to dispel when target takes damage',100,2,3),
(267570,10123629,'Inflicts 46 - 56 cold damage on target',100,1,4),
(267571,101788,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(267572,101788,'Decreases Threat to target by 170 ',100,2,1),
(267573,10101788,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(267574,10101788,'Inflicts 10 - 11 crushing damage on target',100,2,1),
(267575,48962,'Applies Translucent Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(267576,48962,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(267577,48962,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(267578,48962,'Cannot be modified except by direct means',100,2,3),
(267579,48962,'Grants a total of 80 triggers of the spell.',100,2,4),
(267580,48962,'Only affects targets level 50 and above',100,1,5),
(267581,10048962,'Applies Translucent Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(267582,10048962,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(267583,10048962,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(267584,10048962,'Cannot be modified except by direct means',100,2,3),
(267585,10048962,'Grants a total of 80 triggers of the spell.',100,2,4),
(267586,10048962,'Only affects targets level 50 and above',100,1,5),
(267587,81410,'When Equipped:',100,0,0),
(267588,81410,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267589,81410,'Inflicts 80 - 149 magic damage on target',100,2,2),
(267590,81410,'Decreases Threat to target by 352 ',100,2,3),
(267591,81410,'Must be flanking or behind',100,3,4),
(267592,81410,'Increases Threat to target by 617 ',100,2,5),
(267593,81410,'Must be in front of',100,3,6),
(267594,81410,'Cannot be modified except by direct means',100,2,7),
(267595,10081410,'When Equipped:',100,0,0),
(267596,10081410,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267597,10081410,'Inflicts 96 - 179 magic damage on target',100,2,2),
(267598,10081410,'Cannot be modified except by direct means',100,2,3),
(267599,100396,'Summons a pet aery hunter',100,1,0),
(267600,10100396,'Summons a pet aery hunter',100,1,0),
(267601,27278,'When Equipped:',100,0,0),
(267602,27278,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(267603,27278,'Inflicts 52 piercing damage on target',100,2,2),
(267604,27278,'Cannot be modified except by direct means',100,2,3),
(267605,10027278,'When Equipped:',100,0,0),
(267606,10027278,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(267607,10027278,'Inflicts 62 piercing damage on target',100,2,2),
(267608,10027278,'Cannot be modified except by direct means',100,2,3),
(267609,46871,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(267610,46871,'Increases Max Health of caster by 315.8',100,1,1),
(267611,10046871,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(267612,10046871,'Increases Max Health of caster by 315.8',100,1,1),
(267613,133980,'Applies Path of Balance when Equipped.',100,0,0),
(267614,133980,'Increases INT and WIS of caster by 5.1',100,1,1),
(267615,133980,'Increases STA of caster by 3.9',100,1,2),
(267616,133980,'Increases AGI of caster by 5.1',100,1,3),
(267617,133980,'Increases STR of caster by 3.9',100,1,4),
(267618,10133980,'Applies Path of Balance when Equipped.',100,0,0),
(267619,10133980,'Increases INT and WIS of caster by 5.1',100,1,1),
(267620,10133980,'Increases STA of caster by 3.9',100,1,2),
(267621,10133980,'Increases AGI of caster by 5.1',100,1,3),
(267622,10133980,'Increases STR of caster by 3.9',100,1,4),
(267623,164043,'When Equipped:',100,0,0),
(267624,164043,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(267625,10164043,'When Equipped:',100,0,0),
(267626,10164043,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(267627,41449,'When Equipped:',100,0,0),
(267628,41449,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267629,41449,'Inflicts 56 - 103 magic damage on target',100,2,2),
(267630,41449,'Decreases Threat to target by 236 ',100,2,3),
(267631,41449,'Must be flanking or behind',100,3,4),
(267632,41449,'Increases Threat to target by 414 ',100,2,5),
(267633,41449,'Must be in front of',100,3,6),
(267634,41449,'Cannot be modified except by direct means',100,2,7),
(267635,10041449,'When Equipped:',100,0,0),
(267636,10041449,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267637,10041449,'Inflicts 67 - 124 magic damage on target',100,2,2),
(267638,10041449,'Cannot be modified except by direct means',100,2,3),
(267639,168958,'When Equipped:',100,0,0),
(267640,168958,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(267641,168958,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(267642,168958,'Cannot be modified except by direct means',100,2,3),
(267643,10168958,'When Equipped:',100,0,0),
(267644,10168958,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(267645,10168958,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(267646,10168958,'Cannot be modified except by direct means',100,2,3),
(267647,124830,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 792',100,1,0),
(267648,10124830,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 792',100,1,0),
(267649,88847,'When Equipped:',100,0,0),
(267650,88847,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(267651,88847,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(267652,88847,'Increases Potency of caster by 11.0%',100,2,3),
(267653,88847,'Increases Disruption of caster by 11.5',100,2,4),
(267654,88847,'Reduces resistibility of all spells by 1%.',100,2,5),
(267655,88847,'Increases Subjugation, Ministration and Ordination of caster by 11.5',100,2,6),
(267656,88847,'Must not be engaged in pvp combat',100,2,7),
(267657,88847,'Cannot be modified except by direct means',100,2,8),
(267658,88847,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(267659,88847,'Increases Potency of caster by 11.0%',100,2,10),
(267660,88847,'Increases Disruption of caster by 11.5',100,2,11),
(267661,88847,'Reduces resistibility of all spells by 1%.',100,2,12),
(267662,88847,'Increases Subjugation, Ministration and Ordination of caster by 11.5',100,2,13),
(267663,88847,'Must not be engaged in pvp combat',100,2,14),
(267664,88847,'Cannot be modified except by direct means',100,2,15),
(267665,88847,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(267666,88847,'Increases Potency of caster by 11.0%',100,2,17),
(267667,88847,'Increases Disruption of caster by 11.5',100,2,18),
(267668,88847,'Reduces resistibility of all spells by 1%.',100,2,19),
(267669,88847,'Increases Subjugation, Ministration and Ordination of caster by 11.5',100,2,20),
(267670,88847,'Must not be engaged in pvp combat',100,2,21),
(267671,88847,'Cannot be modified except by direct means',100,2,22),
(267672,88847,'Cannot be modified except by direct means',100,1,23),
(267673,10088847,'When Equipped:',100,0,0),
(267674,10088847,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(267675,10088847,'On a hostile spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(267676,10088847,'Increases Potency of caster by 11.0%',100,2,3),
(267677,10088847,'Increases Disruption of caster by 11.5',100,2,4),
(267678,10088847,'Reduces resistibility of all spells by 1%.',100,2,5),
(267679,10088847,'Increases Subjugation, Ministration and Ordination of caster by 11.5',100,2,6),
(267680,10088847,'Must not be engaged in pvp combat',100,2,7),
(267681,10088847,'Cannot be modified except by direct means',100,2,8),
(267682,10088847,'On a healing spell cast this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(267683,10088847,'Increases Potency of caster by 11.0%',100,2,10),
(267684,10088847,'Increases Disruption of caster by 11.5',100,2,11),
(267685,10088847,'Reduces resistibility of all spells by 1%.',100,2,12),
(267686,10088847,'Increases Subjugation, Ministration and Ordination of caster by 11.5',100,2,13),
(267687,10088847,'Must not be engaged in pvp combat',100,2,14),
(267688,10088847,'Cannot be modified except by direct means',100,2,15),
(267689,10088847,'On any combat or spell hit this spell may cast Overbearing Storms IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(267690,10088847,'Increases Potency of caster by 11.0%',100,2,17),
(267691,10088847,'Increases Disruption of caster by 11.5',100,2,18),
(267692,10088847,'Reduces resistibility of all spells by 1%.',100,2,19),
(267693,10088847,'Increases Subjugation, Ministration and Ordination of caster by 11.5',100,2,20),
(267694,10088847,'Must not be engaged in pvp combat',100,2,21),
(267695,10088847,'Cannot be modified except by direct means',100,2,22),
(267696,10088847,'Cannot be modified except by direct means',100,1,23),
(267697,123809,'Inflicts 41 - 68 magic damage on target',100,1,0),
(267698,123809,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(267699,123809,'Decreases Defense of target by 15.0',100,1,2),
(267700,123809,'Target will lose 20% more power when power is consumed',100,1,3),
(267701,123809,'20% of target''s power consumed will also be drained from target''s health',100,1,4),
(267702,10123809,'Inflicts 49 - 82 magic damage on target',100,1,0),
(267703,10123809,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(267704,10123809,'Decreases Defense of target by 15.0',100,1,2),
(267705,10123809,'Target will lose 20% more power when power is consumed',100,1,3),
(267706,10123809,'20% of target''s power consumed will also be drained from target''s health',100,1,4),
(267707,49197,'Applies Yutte Rocksword''s Rock Acid when Activated.',100,0,0),
(267708,10049197,'Applies Yutte Rocksword''s Rock Acid when Activated.',100,0,0),
(267709,115178,'Heals target for 377 - 461',100,1,0),
(267710,10115178,'Heals target for 511 - 624',100,1,0),
(267711,165456,'When Equipped:',100,0,0),
(267712,165456,'Improves the damage of Lifeburn by 15%',100,1,1),
(267713,165456,'Must not be engaged in pvp combat',100,1,2),
(267714,165456,'Cannot be modified except by direct means',100,1,3),
(267715,10165456,'When Equipped:',100,0,0),
(267716,10165456,'Improves the damage of Lifeburn by 15%',100,1,1),
(267717,10165456,'Must not be engaged in pvp combat',100,1,2),
(267718,10165456,'Cannot be modified except by direct means',100,1,3),
(267719,116016,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(267720,116016,'Decreases threat priority of target by 1 position',100,2,1),
(267721,116016,'Decreases Hate Gain of target by 21.7%',100,1,2),
(267722,10116016,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(267723,10116016,'Forces target to clear their selected target.',100,2,1),
(267724,87292,'When Equipped:',100,0,0),
(267725,87292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(267726,87292,'Inflicts 73 - 110 magic damage on target',100,2,2),
(267727,87292,'Cannot be modified except by direct means',100,2,3),
(267728,10087292,'When Equipped:',100,0,0),
(267729,10087292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(267730,10087292,'Inflicts 88 - 132 magic damage on target',100,2,2),
(267731,10087292,'Cannot be modified except by direct means',100,2,3),
(267732,113380,'Roots target',100,1,0),
(267733,113380,'Applies Stifle.  Lasts for 8.0 seconds.',100,1,1),
(267734,113380,'Stifles target',100,2,2),
(267735,113380,'Blurs vision of target',100,2,3),
(267736,113380,'Dispelled when target takes damage',100,2,4),
(267737,113380,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(267738,113380,'Resistibility increases against targets higher than level 90.',100,2,6),
(267739,113380,'5% chance to dispel when target takes damage',100,1,7),
(267740,113380,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,8),
(267741,113380,'Resistibility increases against targets higher than level 90.',100,1,9),
(267742,10113380,'Roots target',100,1,0),
(267743,10113380,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(267744,10113380,'Stifles target',100,2,2),
(267745,10113380,'Blurs vision of target',100,2,3),
(267746,10113380,'Dispelled when target takes damage',100,2,4),
(267747,10113380,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(267748,10113380,'Resistibility increases against targets higher than level 90.',100,2,6),
(267749,10113380,'5% chance to dispel when target takes damage',100,1,7),
(267750,10113380,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(267751,10113380,'Resistibility increases against targets higher than level 90.',100,1,9),
(267752,106602,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(267753,10106602,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(267754,124730,'Heals group members (AE) for 991 - 1212',100,1,0),
(267755,10124730,'Heals group members (AE) for 1203 - 1470',100,1,0),
(267756,115426,'Inflicts 730 - 1216 melee damage on target',100,1,0),
(267757,115426,'Decreases INT of target by 118.0',100,1,1),
(267758,115426,'You must be sneaking to use this ability.',100,1,2),
(267759,10115426,'Inflicts 876 - 1460 melee damage on target',100,1,0),
(267760,10115426,'Decreases INT of target by 118.0',100,1,1),
(267761,10115426,'You must be sneaking to use this ability.',100,1,2),
(267762,24050,'Adds Bone Golem (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(267763,10024050,'Adds Bone Golem (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(267764,152932,'When Equipped:',100,0,0),
(267765,152932,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(267766,152932,'Inflicts 1199 disease damage on target encounter',100,2,2),
(267767,152932,'Must not be engaged in pvp combat',100,2,3),
(267768,152932,'Cannot be modified except by direct means',100,2,4),
(267769,10152932,'When Equipped:',100,0,0),
(267770,10152932,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(267771,10152932,'Inflicts 719 disease damage on target encounter',100,2,2),
(267772,10152932,'Must not be engaged in pvp combat',100,2,3),
(267773,10152932,'Cannot be modified except by direct means',100,2,4),
(267774,112281,'Inflicts 7 - 9 disease damage on target',100,1,0),
(267775,112281,'Inflicts 4 disease damage on target every 3 seconds',100,1,1),
(267776,112281,'Increases Threat to target by 67 - 81  instantly and by 12 - 15  every 3 seconds thereafter',100,1,2),
(267777,10112281,'Inflicts 4 - 5 disease damage on target every 3 seconds',100,1,0),
(267778,10112281,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(267779,80209,'When Equipped:',100,0,0),
(267780,80209,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267781,80209,'Inflicts 169 - 314 magic damage on target',100,2,2),
(267782,80209,'Decreases Threat to target by 801 ',100,2,3),
(267783,80209,'Must be flanking or behind',100,3,4),
(267784,80209,'Increases Threat to target by 1,261 ',100,2,5),
(267785,80209,'Must be in front of',100,3,6),
(267786,80209,'Cannot be modified except by direct means',100,2,7),
(267787,10080209,'When Equipped:',100,0,0),
(267788,10080209,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267789,10080209,'Inflicts 203 - 377 magic damage on target',100,2,2),
(267790,10080209,'Cannot be modified except by direct means',100,2,3),
(267791,143512,'When Equipped:',100,0,0),
(267792,143512,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(267793,143512,'Heals group members (AE) for 580',100,2,2),
(267794,143512,'Cannot be modified except by direct means',100,2,3),
(267795,10143512,'When Equipped:',100,0,0),
(267796,10143512,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(267797,10143512,'Heals group members (AE) for 679',100,2,2),
(267798,10143512,'Cannot be modified except by direct means',100,2,3),
(267799,52902,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(267800,52902,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(267801,52902,'Inflicts 45 heat damage on target',100,2,2),
(267802,52902,'Cannot be modified except by direct means',100,2,3),
(267803,10052902,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(267804,10052902,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(267805,10052902,'Inflicts 54 heat damage on target',100,2,2),
(267806,10052902,'Cannot be modified except by direct means',100,2,3),
(267807,123577,'Increases STR of group members (AE) by 57.3',100,1,0),
(267808,123577,'Increases Max Health of group members (AE) by 497.6',100,1,1),
(267809,10123577,'Increases STR of group members (AE) by 57.3',100,1,0),
(267810,10123577,'Increases Max Health of group members (AE) by 497.6',100,1,1),
(267811,123933,'Increases STR and WIS of target by 101.3',100,1,0),
(267812,123933,'Increases Mitigation of target vs elemental, noxious and arcane damage by 302',100,1,1),
(267813,10123933,'Increases STR and WIS of target by 101.3',100,1,0),
(267814,10123933,'Increases Mitigation of target vs elemental, noxious and arcane damage by 302',100,1,1),
(267815,81306,'When Equipped:',100,0,0),
(267816,81306,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267817,81306,'Inflicts 196 - 364 magic damage on target',100,2,2),
(267818,81306,'Decreases Threat to target by 949 ',100,2,3),
(267819,81306,'Must be flanking or behind',100,3,4),
(267820,81306,'Increases Threat to target by 1,409 ',100,2,5),
(267821,81306,'Must be in front of',100,3,6),
(267822,81306,'Cannot be modified except by direct means',100,2,7),
(267823,10081306,'When Equipped:',100,0,0),
(267824,10081306,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(267825,10081306,'Inflicts 235 - 437 magic damage on target',100,2,2),
(267826,10081306,'Cannot be modified except by direct means',100,2,3),
(267827,115264,'Heals target for 337',100,1,0),
(267828,115264,'Heals target for 56 every second',100,1,1),
(267829,115264,'Dispels 57 levels of any hostile effects on target',100,1,2),
(267830,10115264,'Heals target for 219',100,1,0),
(267831,10115264,'Heals target for 36 every second',100,1,1),
(267832,10115264,'Dispels 57 levels of any hostile effects on target',100,1,2),
(267833,47570,'Applies Adeptness when Activated.  Lasts for 30 minutes.',100,0,0),
(267834,47570,'Increases INT and WIS of caster by 23.3',100,1,1),
(267835,10047570,'Applies Adeptness when Activated.  Lasts for 30 minutes.',100,0,0),
(267836,10047570,'Increases INT and WIS of caster by 23.3',100,1,1),
(267837,82068,'When Equipped:',100,0,0),
(267838,82068,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(267839,82068,'Inflicts 138 - 257 magic damage on target',100,2,2),
(267840,82068,'Cannot be modified except by direct means',100,2,3),
(267841,10082068,'When Equipped:',100,0,0),
(267842,10082068,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(267843,10082068,'Inflicts 166 - 309 magic damage on target',100,2,2),
(267844,10082068,'Cannot be modified except by direct means',100,2,3),
(267845,102040,'Interrupts targets in Area of Effect',100,1,0),
(267846,102040,'Inflicts 50 - 83 melee damage on targets in area',100,1,1),
(267847,10102040,'Interrupts targets in Area of Effect',100,1,0),
(267848,10102040,'Inflicts 60 - 100 melee damage on targets in area',100,1,1),
(267849,111637,'Inflicts 43 - 53 cold damage on target encounter',100,1,0),
(267850,111637,'Slows target encounter by 31.6%',100,1,1),
(267851,111637,'5% chance to dispel when target takes damage',100,1,2),
(267852,111637,'5% chance to dispel when target receives hostile action',100,1,3),
(267853,10111637,'Inflicts 69 - 85 cold damage on target encounter',100,1,0),
(267854,10111637,'Slows target encounter by 31.6%',100,1,1),
(267855,10111637,'5% chance to dispel when target takes damage',100,1,2),
(267856,10111637,'5% chance to dispel when target receives hostile action',100,1,3),
(267857,113356,'Roots target',100,1,0),
(267858,113356,'Applies Stifle.  Lasts for 4.0 seconds.',100,1,1),
(267859,113356,'Stifles target',100,2,2),
(267860,113356,'Blurs vision of target',100,2,3),
(267861,113356,'Dispelled when target takes damage',100,2,4),
(267862,113356,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(267863,113356,'Resistibility increases against targets higher than level 34.',100,2,6),
(267864,113356,'5% chance to dispel when target takes damage',100,1,7),
(267865,113356,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,8),
(267866,113356,'Resistibility increases against targets higher than level 34.',100,1,9),
(267867,10113356,'Roots target',100,1,0),
(267868,10113356,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(267869,10113356,'Stifles target',100,2,2),
(267870,10113356,'Blurs vision of target',100,2,3),
(267871,10113356,'Dispelled when target takes damage',100,2,4),
(267872,10113356,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(267873,10113356,'Resistibility increases against targets higher than level 34.',100,2,6),
(267874,10113356,'5% chance to dispel when target takes damage',100,1,7),
(267875,10113356,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(267876,10113356,'Resistibility increases against targets higher than level 34.',100,1,9),
(267877,75550,'Applies Disease Blast when Activated.',100,0,0),
(267878,75550,'Inflicts 129 - 215 disease damage on target',100,1,1),
(267879,75550,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(267880,10075550,'Applies Disease Blast when Activated.',100,0,0),
(267881,10075550,'Inflicts 155 - 258 disease damage on target',100,1,1),
(267882,10075550,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(267883,166428,'When Equipped:',100,0,0),
(267884,166428,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(267885,166428,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(267886,166428,'Must not be engaged in pvp combat',100,2,3),
(267887,166428,'Cannot be modified except by direct means',100,2,4),
(267888,166428,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(267889,166428,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(267890,166428,'Must not be engaged in pvp combat',100,2,7),
(267891,166428,'Cannot be modified except by direct means',100,2,8),
(267892,166428,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(267893,166428,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(267894,166428,'Must not be engaged in pvp combat',100,2,11),
(267895,166428,'Cannot be modified except by direct means',100,2,12),
(267896,166428,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(267897,166428,'Inflicts 40 piercing damage on target',100,2,14),
(267898,166428,'Must not be engaged in pvp combat',100,2,15),
(267899,166428,'Cannot be modified except by direct means',100,2,16),
(267900,10166428,'When Equipped:',100,0,0),
(267901,10166428,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(267902,10166428,'Increases Crit Bonus of caster by 3.0%',100,2,2),
(267903,10166428,'Must not be engaged in pvp combat',100,2,3),
(267904,10166428,'Cannot be modified except by direct means',100,2,4),
(267905,10166428,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(267906,10166428,'Increases Crit Bonus of caster by 3.0%',100,2,6),
(267907,10166428,'Must not be engaged in pvp combat',100,2,7),
(267908,10166428,'Cannot be modified except by direct means',100,2,8),
(267909,10166428,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing V on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(267910,10166428,'Increases Crit Bonus of caster by 3.0%',100,2,10),
(267911,10166428,'Must not be engaged in pvp combat',100,2,11),
(267912,10166428,'Cannot be modified except by direct means',100,2,12),
(267913,10166428,'When damaged with a melee weapon this spell will cast Brell''s Retribution V on target''s attacker.  ',100,1,13),
(267914,10166428,'Inflicts 48 piercing damage on target',100,2,14),
(267915,10166428,'Must not be engaged in pvp combat',100,2,15),
(267916,10166428,'Cannot be modified except by direct means',100,2,16),
(267917,112194,'Increases STR of caster by 83.5',100,1,0),
(267918,112194,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1909',100,1,1),
(267919,112194,'Increases Mitigation of caster vs physical damage by 536',100,1,2),
(267920,10112194,'Increases STR of caster by 83.5',100,1,0),
(267921,10112194,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1909',100,1,1),
(267922,10112194,'Increases Mitigation of caster vs physical damage by 536',100,1,2),
(267923,73902,'Applies Disease Blast when Activated.',100,0,0),
(267924,73902,'Inflicts 74 - 124 disease damage on target',100,1,1),
(267925,73902,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(267926,10073902,'Applies Disease Blast when Activated.',100,0,0),
(267927,10073902,'Inflicts 89 - 149 disease damage on target',100,1,1),
(267928,10073902,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(267929,173653,'When Equipped:',100,0,0),
(267930,173653,'On a healing spell cast this spell has a 10% chance to cast Passive Aggressive on target of spell cast.  Lasts for 10.0 seconds.  ',100,1,1),
(267931,173653,'Decreases Hate Gain of target by 5.0%',100,2,2),
(267932,173653,'If not fighter',100,3,3),
(267933,173653,'Increases Hate Gain of target by 5.0%',100,2,4),
(267934,173653,'If fighter',100,3,5),
(267935,173653,'Cannot be modified except by direct means',100,2,6),
(267936,10173653,'When Equipped:',100,0,0),
(267937,10173653,'On a healing spell cast this spell has a 10% chance to cast Passive Aggressive on target of spell cast.  Lasts for 10.0 seconds.  ',100,1,1),
(267938,10173653,'Cannot be modified except by direct means',100,2,2),
(267939,158815,'When Equipped:',100,0,0),
(267940,158815,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(267941,158815,'Makes target afraid',100,2,2),
(267942,158815,'25% chance to dispel when target takes damage',100,2,3),
(267943,158815,'25% chance to dispel when target receives hostile action',100,2,4),
(267944,158815,'Does not affect Epic targets',100,2,5),
(267945,158815,'Resistibility increases against targets higher than level 77.',100,2,6),
(267946,158815,'Cannot be modified except by direct means',100,2,7),
(267947,10158815,'When Equipped:',100,0,0),
(267948,10158815,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(267949,10158815,'Makes target afraid',100,2,2),
(267950,10158815,'25% chance to dispel when target takes damage',100,2,3),
(267951,10158815,'25% chance to dispel when target receives hostile action',100,2,4),
(267952,10158815,'Does not affect Epic targets',100,2,5),
(267953,10158815,'Resistibility increases against targets higher than level 77.',100,2,6),
(267954,10158815,'Cannot be modified except by direct means',100,2,7),
(267955,40386,'When Equipped:',100,0,0),
(267956,40386,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267957,40386,'Reduces healing received by 15.00%',100,2,2),
(267958,40386,'Cannot be modified except by direct means',100,2,3),
(267959,40386,'This effect can only trigger once every 1 second.',100,2,4),
(267960,40386,'Must be engaged in pvp combat',100,1,5),
(267961,10040386,'When Equipped:',100,0,0),
(267962,10040386,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(267963,10040386,'Reduces healing received by 15.00%',100,2,2),
(267964,10040386,'Cannot be modified except by direct means',100,2,3),
(267965,10040386,'This effect can only trigger once every 1 second.',100,2,4),
(267966,10040386,'Must be engaged in pvp combat',100,1,5),
(267967,114765,'Feigns Death with 72% chance of success',100,1,0),
(267968,10114765,'Feigns Death with 72% chance of success',100,1,0),
(267969,36572,'Increases INT of target by 4.3',100,0,0),
(267970,36572,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(267971,71660,'When Equipped:',100,0,0),
(267972,71660,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267973,71660,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(267974,71660,'Cannot be modified except by direct means',100,2,3),
(267975,10071660,'When Equipped:',100,0,0),
(267976,10071660,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(267977,10071660,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(267978,10071660,'Cannot be modified except by direct means',100,2,3),
(267979,107718,'Inflicts 487 - 812 heat damage on target',100,1,0),
(267980,107718,'You must be sneaking to use this ability.',100,1,1),
(267981,10107718,'Inflicts 584 - 974 heat damage on target',100,1,0),
(267982,10107718,'You must be sneaking to use this ability.',100,1,1),
(267983,189960,'When Equipped:',100,0,0),
(267984,189960,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(267985,189960,'When Equipped:',100,0,2),
(267986,189960,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(267987,10189960,'When Equipped:',100,0,0),
(267988,10189960,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(267989,10189960,'When Equipped:',100,0,2),
(267990,10189960,'Reduces cast time of beneficial spells by 4 percent.',100,1,3),
(267991,105218,'Decreases STR and INT of target by 31.0',100,1,0),
(267992,105218,'Only affects targets level 20 and above',100,1,1),
(267993,10105218,'Decreases STR and INT of target by 31.0',100,1,0),
(267994,10105218,'Only affects targets level 20 and above',100,1,1),
(267995,102875,'Heals caster for 90',100,1,0),
(267996,102875,'Inflicts 144 disease damage on targets in Area of Effect',100,1,1),
(267997,10102875,'Heals caster for 59',100,1,0),
(267998,10102875,'Inflicts 173 disease damage on targets in Area of Effect',100,1,1),
(267999,111892,'Inflicts 505 - 937 heat damage on target',100,1,0),
(268000,111892,'Inflicts 189 - 351 heat damage on target every 2 seconds',100,1,1),
(268001,10111892,'Inflicts 605 - 1124 heat damage on target',100,1,0),
(268002,10111892,'Inflicts 227 - 422 heat damage on target every 2 seconds',100,1,1),
(268003,107436,'Summons a pet earthen avatar',100,1,0),
(268004,10107436,'Summons a pet earthen avatar',100,1,0),
(268005,46882,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(268006,46882,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(268007,46882,'Decreases Attack Speed of target by 22.5',100,2,2),
(268008,46882,'Cannot be modified except by direct means',100,2,3),
(268009,46882,'Grants a total of 60 triggers of the spell.',100,2,4),
(268010,10046882,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(268011,10046882,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(268012,10046882,'Decreases Attack Speed of target by 22.5',100,2,2),
(268013,10046882,'Cannot be modified except by direct means',100,2,3),
(268014,10046882,'Grants a total of 60 triggers of the spell.',100,2,4),
(268015,163563,'When Equipped:',100,0,0),
(268016,163563,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(268017,10163563,'When Equipped:',100,0,0),
(268018,10163563,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(268019,40662,'When Equipped:',100,0,0),
(268020,40662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268021,40662,'Inflicts 111 - 166 magic damage on target',100,2,2),
(268022,40662,'Cannot be modified except by direct means',100,2,3),
(268023,10040662,'When Equipped:',100,0,0),
(268024,10040662,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268025,10040662,'Inflicts 133 - 199 magic damage on target',100,2,2),
(268026,10040662,'Cannot be modified except by direct means',100,2,3),
(268027,112640,'Inflicts 61 - 103 disease damage on target',100,1,0),
(268028,112640,'Inflicts 61 - 103 disease damage on target',100,1,1),
(268029,112640,'Roots target',100,1,2),
(268030,112640,'If Target is not Epic',100,2,3),
(268031,112640,'15% chance to dispel when target takes damage',100,1,4),
(268032,112640,'If weapon equipped in Ranged',100,1,5),
(268033,112640,'Resistibility increases against targets higher than level 59.',100,1,6),
(268034,10112640,'Inflicts 46 - 77 disease damage on target',100,1,0),
(268035,10112640,'Inflicts 46 - 77 disease damage on target',100,1,1),
(268036,10112640,'Roots target',100,1,2),
(268037,10112640,'If Target is not Epic',100,2,3),
(268038,10112640,'15% chance to dispel when target takes damage',100,1,4),
(268039,10112640,'If weapon equipped in Ranged',100,1,5),
(268040,10112640,'Resistibility increases against targets higher than level 59.',100,1,6),
(268041,102071,'Interrupts targets in Area of Effect',100,1,0),
(268042,102071,'Inflicts 474 - 790 melee damage on targets in area',100,1,1),
(268043,10102071,'Interrupts targets in Area of Effect',100,1,0),
(268044,10102071,'Inflicts 569 - 948 melee damage on targets in area',100,1,1),
(268045,87145,'When Equipped:',100,0,0),
(268046,87145,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268047,87145,'Inflicts 51 - 76 magic damage on target',100,2,2),
(268048,87145,'Cannot be modified except by direct means',100,2,3),
(268049,10087145,'When Equipped:',100,0,0),
(268050,10087145,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268051,10087145,'Inflicts 61 - 91 magic damage on target',100,2,2),
(268052,10087145,'Cannot be modified except by direct means',100,2,3),
(268053,153789,'When Equipped:',100,0,0),
(268054,153789,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle VII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(268055,153789,'Heals caster for 664 - 811',100,2,2),
(268056,153789,'Increases Mitigation of caster vs physical damage by 803',100,2,3),
(268057,153789,'Must not be engaged in pvp combat',100,2,4),
(268058,153789,'Cannot be modified except by direct means',100,2,5),
(268059,153789,'Must not be engaged in pvp combat',100,1,6),
(268060,10153789,'When Equipped:',100,0,0),
(268061,10153789,'When any damage is received this spell has a 10% chance to cast Titan''s Mettle VII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(268062,10153789,'Heals caster for 431 - 527',100,2,2),
(268063,10153789,'Increases Mitigation of caster vs physical damage by 803',100,2,3),
(268064,10153789,'Must not be engaged in pvp combat',100,2,4),
(268065,10153789,'Cannot be modified except by direct means',100,2,5),
(268066,10153789,'Must not be engaged in pvp combat',100,1,6),
(268067,184901,'When Equipped:',100,0,0),
(268068,184901,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(268069,184901,'Increases Potency of caster by 7.0%',100,2,2),
(268070,184901,'Cannot be modified except by direct means',100,2,3),
(268071,10184901,'When Equipped:',100,0,0),
(268072,10184901,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(268073,10184901,'Increases Potency of caster by 7.0%',100,2,2),
(268074,10184901,'Cannot be modified except by direct means',100,2,3),
(268075,112114,'Dispels 23 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(268076,10112114,'Dispels 23 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(268077,124204,'Inflicts 353 - 588 melee damage on target',100,1,0),
(268078,10124204,'Inflicts 423 - 706 melee damage on target',100,1,0),
(268079,124442,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(268080,124442,'Inflicts 85 - 142 melee damage on target',100,2,1),
(268081,124442,'Decreases Defense of caster by 9.3',100,1,2),
(268082,124442,'Increases Slashing, Piercing, Ranged and Crushing of caster by 15.3',100,1,3),
(268083,10124442,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(268084,10124442,'Inflicts 102 - 170 melee damage on target',100,2,1),
(268085,10124442,'Decreases Defense of caster by 9.3',100,1,2),
(268086,10124442,'Increases Slashing, Piercing, Ranged and Crushing of caster by 15.3',100,1,3),
(268087,100648,'Increases AGI, STR and STA of target by 51.2',100,1,0),
(268088,100648,'Adds 2.1% to base avoidance.',100,1,1),
(268089,10100648,'Increases AGI, STR and STA of target by 51.2',100,1,0),
(268090,10100648,'Adds 2.1% to base avoidance.',100,1,1),
(268091,117642,'Decreases Mitigation of target vs physical damage by 144',100,1,0),
(268092,10117642,'Decreases Mitigation of target vs physical damage by 144',100,1,0),
(268093,124082,'Increases STR and INT of group members (AE) by 11.4',100,1,0),
(268094,10124082,'Increases STR and INT of group members (AE) by 11.4',100,1,0),
(268095,124251,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(268096,124251,'Increases Attack Speed of target by 11.3',100,2,1),
(268097,124251,'Increases Damage Per Second of target by 11.3',100,2,2),
(268098,124251,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(268099,124251,'Increases Attack Speed of target by 11.3',100,2,4),
(268100,124251,'Increases Damage Per Second of target by 11.3',100,2,5),
(268101,124251,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(268102,124251,'Increases Attack Speed of target by 11.3',100,2,7),
(268103,124251,'Increases Damage Per Second of target by 11.3',100,2,8),
(268104,10124251,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(268105,10124251,'Increases Attack Speed of target by 11.3',100,2,1),
(268106,10124251,'Increases Damage Per Second of target by 11.3',100,2,2),
(268107,10124251,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(268108,10124251,'Increases Attack Speed of target by 11.3',100,2,4),
(268109,10124251,'Increases Damage Per Second of target by 11.3',100,2,5),
(268110,10124251,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(268111,10124251,'Increases Attack Speed of target by 11.3',100,2,7),
(268112,10124251,'Increases Damage Per Second of target by 11.3',100,2,8),
(268113,103604,'Increases Mitigation of caster vs physical damage by 739',100,1,0),
(268114,10103604,'Increases Mitigation of caster vs physical damage by 739',100,1,0),
(268115,103321,'Inflicts 187 - 229 mental damage on target instantly and every 6 seconds',100,1,0),
(268116,103321,'Applies Migraine on termination.',100,1,1),
(268117,103321,'Inflicts 408 - 552 mental damage on target',100,2,2),
(268118,10103321,'Inflicts 225 - 275 mental damage on target instantly and every 6 seconds',100,1,0),
(268119,10103321,'Applies Migraine on termination.',100,1,1),
(268120,10103321,'Inflicts 490 - 663 mental damage on target',100,2,2),
(268121,80206,'When Equipped:',100,0,0),
(268122,80206,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268123,80206,'Inflicts 152 - 283 magic damage on target',100,2,2),
(268124,80206,'Cannot be modified except by direct means',100,2,3),
(268125,10080206,'When Equipped:',100,0,0),
(268126,10080206,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268127,10080206,'Inflicts 183 - 339 magic damage on target',100,2,2),
(268128,10080206,'Cannot be modified except by direct means',100,2,3),
(268129,52730,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(268130,52730,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(268131,52730,'Inflicts 26 heat damage on target',100,2,2),
(268132,52730,'Cannot be modified except by direct means',100,2,3),
(268133,10052730,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(268134,10052730,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(268135,10052730,'Inflicts 32 heat damage on target',100,2,2),
(268136,10052730,'Cannot be modified except by direct means',100,2,3),
(268137,100966,'Dazes target',100,1,0),
(268138,100966,'Inflicts 550 - 672 mental damage on target',100,1,1),
(268139,100966,'Epic targets gain an immunity to Daze effects of 40.5 seconds and duration is reduced to 4.5 seconds.',100,1,2),
(268140,100966,'Resistibility increases against targets higher than level 117.',100,1,3),
(268141,10100966,'Dazes target',100,1,0),
(268142,10100966,'Inflicts 660 - 807 mental damage on target',100,1,1),
(268143,10100966,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(268144,10100966,'Resistibility increases against targets higher than level 117.',100,1,3),
(268145,159182,'Applies Sanguine Imbued when Equipped.',100,0,0),
(268146,159182,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(268147,159182,'Inflicts 134 heat damage on target',100,2,2),
(268148,159182,'Cannot be modified except by direct means',100,2,3),
(268149,10159182,'Applies Sanguine Imbued when Equipped.',100,0,0),
(268150,10159182,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(268151,10159182,'Inflicts 161 heat damage on target',100,2,2),
(268152,10159182,'Cannot be modified except by direct means',100,2,3),
(268153,113029,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(268154,113029,'Inflicts 203 - 611 melee damage on target',100,2,1),
(268155,113029,'Stuns target',40,2,2),
(268156,113029,'If Target is not Epic',100,3,3),
(268157,113029,'Resistibility increases against targets higher than level 117.',100,2,4),
(268158,10113029,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(268159,10113029,'Inflicts 244 - 733 melee damage on target',100,2,1),
(268160,121382,'Inflicts 170 - 315 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(268161,10121382,'Inflicts 204 - 378 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(268162,122169,'Inflicts 72 - 87 cold damage on target instantly and every 2 seconds',100,1,0),
(268163,122169,'Inflicts 72 - 87 cold damage on target instantly and every 2 seconds',100,1,1),
(268164,122169,'If target is elemental',100,2,2),
(268165,10122169,'Inflicts 86 - 105 cold damage on target instantly and every 2 seconds',100,1,0),
(268166,114364,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(268167,114364,'Stuns target',100,2,1),
(268168,114364,'Throws target back',100,2,2),
(268169,114364,'Blurs vision of target',100,2,3),
(268170,114364,'Does not affect Epic targets',100,2,4),
(268171,114364,'Inflicts 85 - 143 crushing damage on target',100,1,5),
(268172,10114364,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(268173,10114364,'Stuns target',100,2,1),
(268174,10114364,'Throws target back',100,2,2),
(268175,10114364,'Blurs vision of target',100,2,3),
(268176,10114364,'Does not affect Epic targets',100,2,4),
(268177,10114364,'Inflicts 103 - 171 crushing damage on target',100,1,5),
(268178,110368,'Increases STR and AGI of group members (AE) by 20.7',100,1,0),
(268179,110368,'Adds 1.7% to base avoidance.',100,1,1),
(268180,10110368,'Increases STR and AGI of group members (AE) by 20.7',100,1,0),
(268181,10110368,'Adds 1.7% to base avoidance.',100,1,1),
(268182,111809,'Roots target',100,1,0),
(268183,111809,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(268184,111809,'Slows target by 40.6%',100,2,2),
(268185,111809,'5% chance to dispel when target receives hostile action',100,2,3),
(268186,111809,'5% chance to dispel when target takes damage',100,2,4),
(268187,111809,'10% chance to dispel when target receives hostile action',100,1,5),
(268188,111809,'10% chance to dispel when target takes damage',100,1,6),
(268189,111809,'Does not affect Epic targets',100,1,7),
(268190,111809,'Resistibility increases against targets higher than level 48.',100,1,8),
(268191,10111809,'Roots target',100,1,0),
(268192,10111809,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(268193,10111809,'Slows target by 40.6%',100,2,2),
(268194,10111809,'10% chance to dispel when target receives hostile action',100,2,3),
(268195,10111809,'10% chance to dispel when target takes damage',100,2,4),
(268196,10111809,'10% chance to dispel when target receives hostile action',100,1,5),
(268197,10111809,'10% chance to dispel when target takes damage',100,1,6),
(268198,10111809,'Does not affect Epic targets',100,1,7),
(268199,10111809,'Resistibility increases against targets higher than level 48.',100,1,8),
(268200,52241,'When Equipped:',100,0,0),
(268201,52241,'On a combat hit this spell may cast Stun V on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(268202,52241,'Stuns target',100,2,2),
(268203,52241,'Does not affect Epic targets',100,2,3),
(268204,52241,'Resistibility increases against targets higher than level 102.',100,2,4),
(268205,52241,'Cannot be modified except by direct means',100,2,5),
(268206,10052241,'When Equipped:',100,0,0),
(268207,10052241,'On a combat hit this spell may cast Stun V on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(268208,10052241,'Stuns target',100,2,2),
(268209,10052241,'Does not affect Epic targets',100,2,3),
(268210,10052241,'Resistibility increases against targets higher than level 102.',100,2,4),
(268211,10052241,'Cannot be modified except by direct means',100,2,5),
(268212,107720,'Inflicts 556 - 928 heat damage on target',100,1,0),
(268213,107720,'You must be sneaking to use this ability.',100,1,1),
(268214,10107720,'Inflicts 668 - 1113 heat damage on target',100,1,0),
(268215,10107720,'You must be sneaking to use this ability.',100,1,1),
(268216,145984,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(268217,145984,'Increases Max Power of caster by 5.0%',100,1,1),
(268218,145984,'This effect cannot be cast during combat',100,1,2),
(268219,145984,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(268220,10145984,'Applies Will of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(268221,10145984,'Increases Max Power of caster by 5.0%',100,1,1),
(268222,10145984,'This effect cannot be cast during combat',100,1,2),
(268223,10145984,'The casting time of Will of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(268224,148800,'When Equipped:',100,0,0),
(268225,148800,'When any damage is received this spell has a 8% chance to cast Act of Survival on target''s attacker.  ',100,1,1),
(268226,148800,'Inflicts 183 magic damage on target',100,2,2),
(268227,148800,'Heals caster for 102',100,2,3),
(268228,148800,'Cannot be modified except by direct means',100,2,4),
(268229,10148800,'When Equipped:',100,0,0),
(268230,10148800,'When any damage is received this spell has a 8% chance to cast Act of Survival on target''s attacker.  ',100,1,1),
(268231,10148800,'Inflicts 220 magic damage on target',100,2,2),
(268232,10148800,'Heals caster for 66',100,2,3),
(268233,10148800,'Cannot be modified except by direct means',100,2,4),
(268234,110548,'Summons a pet attack hawk',100,1,0),
(268235,10110548,'Summons a pet attack hawk',100,1,0),
(268236,118837,'Inflicts 38 - 116 melee damage on target',100,1,0),
(268237,10118837,'Inflicts 46 - 139 melee damage on target',100,1,0),
(268238,24711,'Adds Spider (Paladin) to your Dungeon Maker toolbox',100,0,0),
(268239,10024711,'Adds Spider (Paladin) to your Dungeon Maker toolbox',100,0,0),
(268240,100770,'Summons a limited pet to aid the caster',100,1,0),
(268241,10100770,'Summons a limited pet to aid the caster',100,1,0),
(268242,107651,'Increases Mitigation of raid and group members (AE) vs elemental damage by 862',100,1,0),
(268243,10107651,'Increases Mitigation of raid and group members (AE) vs elemental damage by 862',100,1,0),
(268244,101773,'Heals group members (AE) for 266 - 326 instantly and every 2 seconds',100,1,0),
(268245,10101773,'Heals group members (AE) for 173 - 212 instantly and every 2 seconds',100,1,0),
(268246,159495,'Applies Lambent Imbued when Equipped.',100,0,0),
(268247,159495,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(268248,159495,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(268249,159495,'Cannot be modified except by direct means',100,2,3),
(268250,10159495,'Applies Lambent Imbued when Equipped.',100,0,0),
(268251,10159495,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(268252,10159495,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(268253,10159495,'Cannot be modified except by direct means',100,2,3),
(268254,138810,'When Equipped:',100,0,0),
(268255,138810,'On a healing spell cast this spell may cast Circling Wall of Memories on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(268256,138810,'Wards group members (AE) against 825 points of all damage',100,2,2),
(268257,138810,'Cannot be modified except by direct means',100,2,3),
(268258,138810,'When Equipped:',100,0,4),
(268259,138810,'Reduces cast time of beneficial spells by 5 percent.',100,1,5),
(268260,10138810,'When Equipped:',100,0,0),
(268261,10138810,'On a healing spell cast this spell may cast Circling Wall of Memories on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(268262,10138810,'Wards group members (AE) against 825 points of all damage',100,2,2),
(268263,10138810,'Cannot be modified except by direct means',100,2,3),
(268264,10138810,'When Equipped:',100,0,4),
(268265,10138810,'Reduces cast time of beneficial spells by 5 percent.',100,1,5),
(268266,110550,'Summons a pet attack hawk',100,1,0),
(268267,10110550,'Summons a pet attack hawk',100,1,0),
(268268,101677,'Decreases Attack Speed of target by 24.3',100,1,0),
(268269,101677,'Decreases Damage Per Second of target by 16.6',100,1,1),
(268270,10101677,'Decreases Attack Speed of target by 24.3',100,1,0),
(268271,10101677,'Decreases Damage Per Second of target by 16.6',100,1,1),
(268272,133548,'When Equipped:',100,0,0),
(268273,133548,'Increases Attack Speed of caster by 45.0',100,1,1),
(268274,10133548,'When Equipped:',100,0,0),
(268275,10133548,'Increases Attack Speed of caster by 45.0',100,1,1),
(268276,51831,'When Equipped:',100,0,0),
(268277,51831,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(268278,51831,'Inflicts 599 poison damage on target',100,2,2),
(268279,51831,'Cannot be modified except by direct means',100,2,3),
(268280,10051831,'When Equipped:',100,0,0),
(268281,10051831,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(268282,10051831,'Inflicts 359 poison damage on target',100,2,2),
(268283,10051831,'Cannot be modified except by direct means',100,2,3),
(268284,49058,'Applies Virulent Itch when Activated.  Lasts for 12 hours.',100,0,0),
(268285,49058,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(268286,49058,'Inflicts 275 poison damage on target',100,2,2),
(268287,49058,'Inflicts 88 poison damage on target instantly and every 6 seconds',100,2,3),
(268288,49058,'Cannot be modified except by direct means',100,2,4),
(268289,49058,'Grants a total of 100 triggers of the spell.',100,2,5),
(268290,10049058,'Applies Virulent Itch when Activated.  Lasts for 12 hours.',100,0,0),
(268291,10049058,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(268292,10049058,'Inflicts 248 poison damage on target',100,2,2),
(268293,10049058,'Inflicts 79 poison damage on target instantly and every 6 seconds',100,2,3),
(268294,10049058,'Cannot be modified except by direct means',100,2,4),
(268295,10049058,'Grants a total of 100 triggers of the spell.',100,2,5),
(268296,120613,'Inflicts 242 - 449 heat damage on target',100,1,0),
(268297,10120613,'Inflicts 290 - 539 heat damage on target',100,1,0),
(268298,88929,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(268299,88929,'Heals group members (AE) for 569',100,1,1),
(268300,88929,'Heals group members (AE) for 228 every 5 seconds',100,1,2),
(268301,88929,'Increases Mitigation of group members (AE) vs arcane damage by 624',100,1,3),
(268302,88929,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(268303,10088929,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(268304,10088929,'Heals group members (AE) for 370',100,1,1),
(268305,10088929,'Heals group members (AE) for 148 every 5 seconds',100,1,2),
(268306,10088929,'Increases Mitigation of group members (AE) vs arcane damage by 624',100,1,3),
(268307,10088929,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(268308,24202,'Adds Crushbone: Mineral Vein to your Dungeon Maker toolbox',100,0,0),
(268309,10024202,'Adds Crushbone: Mineral Vein to your Dungeon Maker toolbox',100,0,0),
(268310,115599,'Interrupts target encounter',100,1,0),
(268311,115599,'Decreases Threat to target encounter by 1,247 - 1,524 ',100,1,1),
(268312,115599,'Dazes target encounter',100,1,2),
(268313,115599,'If Target is not Epic',100,2,3),
(268314,115599,'Resistibility increases against targets higher than level 106.',100,1,4),
(268315,10115599,'Interrupts target encounter',100,1,0),
(268316,10115599,'Dazes target encounter',100,1,1),
(268317,10115599,'If Target is not Epic',100,2,2),
(268318,10115599,'Resistibility increases against targets higher than level 106.',100,1,3),
(268319,108979,'Inflicts 7 - 9 melee damage on target',100,1,0),
(268320,108979,'Decreases Damage Per Second of target by 11.6',100,1,1),
(268321,10108979,'Inflicts 9 - 11 melee damage on target',100,1,0),
(268322,10108979,'Decreases Damage Per Second of target by 11.6',100,1,1),
(268323,109304,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(268324,109304,'Increases Mitigation of group members (AE) vs elemental damage by 882',100,1,1),
(268325,10109304,'Increases Max Power of group members (AE) by 543.9',100,1,0),
(268326,10109304,'Increases Mitigation of group members (AE) vs elemental damage by 882',100,1,1),
(268327,81320,'When Equipped:',100,0,0),
(268328,81320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268329,81320,'Inflicts 204 - 379 magic damage on target',100,2,2),
(268330,81320,'Cannot be modified except by direct means',100,2,3),
(268331,10081320,'When Equipped:',100,0,0),
(268332,10081320,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268333,10081320,'Inflicts 245 - 454 magic damage on target',100,2,2),
(268334,10081320,'Cannot be modified except by direct means',100,2,3),
(268335,46644,'Applies Holy Salve when Activated.',100,0,0),
(268336,46644,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(268337,10046644,'Applies Holy Salve when Activated.',100,0,0),
(268338,10046644,'Dispels 78 levels of physical hostile effects on caster',100,1,1),
(268339,159498,'Applies Sanguine Imbued when Equipped.',100,0,0),
(268340,159498,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(268341,159498,'Inflicts 77 heat damage on target',100,2,2),
(268342,159498,'Cannot be modified except by direct means',100,2,3),
(268343,10159498,'Applies Sanguine Imbued when Equipped.',100,0,0),
(268344,10159498,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(268345,10159498,'Inflicts 92 heat damage on target',100,2,2),
(268346,10159498,'Cannot be modified except by direct means',100,2,3),
(268347,24007,'Adds Apopheli (Assassin) to your Dungeon Maker toolbox',100,0,0),
(268348,10024007,'Adds Apopheli (Assassin) to your Dungeon Maker toolbox',100,0,0),
(268349,25197,'When Equipped:',100,0,0),
(268350,25197,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(268351,25197,'Inflicts 13 divine damage on target',100,2,2),
(268352,25197,'Heals caster for 4',100,2,3),
(268353,25197,'Cannot be modified except by direct means',100,2,4),
(268354,10025197,'When Equipped:',100,0,0),
(268355,10025197,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(268356,10025197,'Inflicts 16 divine damage on target',100,2,2),
(268357,10025197,'Heals caster for 3',100,2,3),
(268358,10025197,'Cannot be modified except by direct means',100,2,4),
(268359,102947,'Inflicts 80 - 98 disease damage on target instantly and every 4 seconds',100,1,0),
(268360,10102947,'Inflicts 125 - 152 disease damage on target',100,1,0),
(268361,10102947,'Inflicts 96 - 117 disease damage on target every 4 seconds',100,1,1),
(268362,36898,'Increases Max Power of target by 47.2',100,0,0),
(268363,36898,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(268364,46241,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(268365,46241,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(268366,46241,'Inflicts 187 poison damage on target instantly and every 4 seconds',100,2,2),
(268367,46241,'Cannot be modified except by direct means',100,2,3),
(268368,46241,'Grants a total of 100 triggers of the spell.',100,2,4),
(268369,10046241,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(268370,10046241,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(268371,10046241,'Inflicts 168 poison damage on target instantly and every 4 seconds',100,2,2),
(268372,10046241,'Cannot be modified except by direct means',100,2,3),
(268373,10046241,'Grants a total of 100 triggers of the spell.',100,2,4),
(268374,85363,'Applies Poison Bolt when Activated.',100,0,0),
(268375,85363,'Inflicts 223 - 372 poison damage on target',100,1,1),
(268376,85363,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(268377,10085363,'Applies Poison Bolt when Activated.',100,0,0),
(268378,10085363,'Inflicts 268 - 446 poison damage on target',100,1,1),
(268379,10085363,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(268380,104412,'Stifles target encounter',100,1,0),
(268381,104412,'Inflicts 166 - 203 mental damage on target encounter instantly and every second',100,1,1),
(268382,104412,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(268383,104412,'Resistibility increases against targets higher than level 99.',100,1,3),
(268384,10104412,'Stifles target encounter',100,1,0),
(268385,10104412,'Inflicts 186 - 227 mental damage on target encounter instantly and every 0.4 seconds',100,1,1),
(268386,10104412,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(268387,10104412,'Resistibility increases against targets higher than level 99.',100,1,3),
(268388,102467,'Stuns caster',100,1,0),
(268389,102467,'Binds the caster''s sight to the target',100,1,1),
(268390,102467,'This effect cancels during combat',100,1,2),
(268391,10102467,'Stuns caster',100,1,0),
(268392,10102467,'Binds the caster''s sight to the target',100,1,1),
(268393,10102467,'This effect cancels during combat',100,1,2),
(268394,36126,'Increases AGI of target by 12.7',100,0,0),
(268395,36126,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(268396,102614,'Increases Threat to target encounter by 1,495 - 1,726 ',100,1,0),
(268397,102614,'Interrupts target encounter',100,1,1),
(268398,102614,'Decreases Mitigation of target encounter vs noxious damage by 704',100,1,2),
(268399,10102614,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(268400,10102614,'Forces target to change their selected target to caster.',100,2,1),
(268401,10102614,'Prevents target from changing targets',100,2,2),
(268402,10102614,'Interrupts target encounter',100,1,3),
(268403,10102614,'Decreases Mitigation of target encounter vs noxious damage by 704',100,1,4),
(268404,122563,'Stifles target',100,1,0),
(268405,122563,'If Target is not Epic',100,2,1),
(268406,122563,'Interrupts target',100,1,2),
(268407,122563,'Inflicts 4 - 7 magic damage on target',100,1,3),
(268408,122563,'Resistibility increases against targets higher than level 39.',100,1,4),
(268409,10122563,'Stifles target',100,1,0),
(268410,10122563,'If Target is not Epic',100,2,1),
(268411,10122563,'Interrupts target',100,1,2),
(268412,10122563,'Inflicts 5 - 8 magic damage on target',100,1,3),
(268413,10122563,'Resistibility increases against targets higher than level 39.',100,1,4),
(268414,35559,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(268415,45851,'Applies Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(268416,45851,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(268417,45851,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(268418,45851,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(268419,45851,'Cannot be modified except by direct means',100,2,4),
(268420,45851,'Grants a total of 80 triggers of the spell.',100,2,5),
(268421,45851,'Only affects targets level 50 and above',100,1,6),
(268422,10045851,'Applies Curse of the Djinn when Activated.  Lasts for 12 hours.',100,0,0),
(268423,10045851,'On a combat hit this spell may cast Hexxing Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(268424,10045851,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(268425,10045851,'Decreases Mitigation of target vs physical damage by 647',100,2,3),
(268426,10045851,'Cannot be modified except by direct means',100,2,4),
(268427,10045851,'Grants a total of 80 triggers of the spell.',100,2,5),
(268428,10045851,'Only affects targets level 50 and above',100,1,6),
(268429,115299,'Summons a limited pet to aid the caster',100,1,0),
(268430,10115299,'Summons a limited pet to aid the caster',100,1,0),
(268431,110176,'Applies Untreated Bleeding on termination.',100,1,0),
(268432,110176,'Inflicts 244 - 407 piercing damage on target',100,2,1),
(268433,110176,'Inflicts 52 - 87 piercing damage on target instantly and every 4 seconds',100,1,2),
(268434,110176,'Inflicts 34 - 58 melee damage on target',100,1,3),
(268435,10110176,'Applies Untreated Bleeding on termination.',100,1,0),
(268436,10110176,'Inflicts 293 - 489 piercing damage on target',100,2,1),
(268437,10110176,'Inflicts 63 - 105 piercing damage on target instantly and every 4 seconds',100,1,2),
(268438,10110176,'Inflicts 41 - 69 melee damage on target',100,1,3),
(268439,141925,'When Equipped:',100,0,0),
(268440,141925,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268441,141925,'Increases INT of caster by 17.3',100,2,2),
(268442,141925,'Increases Subjugation, Focus and Disruption of caster by 9.8',100,2,3),
(268443,141925,'Cannot be modified except by direct means',100,2,4),
(268444,10141925,'When Equipped:',100,0,0),
(268445,10141925,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268446,10141925,'Increases INT of caster by 17.3',100,2,2),
(268447,10141925,'Increases Subjugation, Focus and Disruption of caster by 9.8',100,2,3),
(268448,10141925,'Cannot be modified except by direct means',100,2,4),
(268449,49045,'Applies Play Unstable Recording: ''The Goblins'' when Activated.',100,0,0),
(268450,49045,'Play the recording of ''The Goblins''.',100,1,1),
(268451,10049045,'Applies Play Unstable Recording: ''The Goblins'' when Activated.',100,0,0),
(268452,10049045,'Play the recording of ''The Goblins''.',100,1,1),
(268453,116647,'Decreases Defense of target by 1.8',100,1,0),
(268454,116647,'Inflicts 40 - 67 melee damage on target',100,1,1),
(268455,116647,'If facing target',100,1,2),
(268456,10116647,'Decreases Defense of target by 1.8',100,1,0),
(268457,10116647,'Inflicts 48 - 80 melee damage on target',100,1,1),
(268458,10116647,'If facing target',100,1,2),
(268459,70815,'When Equipped:',100,0,0),
(268460,70815,'Increases Potency of caster by 3.5%',100,1,1),
(268461,70815,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(268462,70815,'Cannot be modified except by direct means',100,1,3),
(268463,70815,'When Equipped:',100,0,4),
(268464,70815,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(268465,70815,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(268466,70815,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,7),
(268467,70815,'Must not be engaged in pvp combat',100,2,8),
(268468,70815,'Cannot be modified except by direct means',100,2,9),
(268469,70815,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(268470,70815,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,11),
(268471,70815,'Must not be engaged in pvp combat',100,2,12),
(268472,70815,'Cannot be modified except by direct means',100,2,13),
(268473,70815,'Cannot be modified except by direct means',100,1,14),
(268474,10070815,'When Equipped:',100,0,0),
(268475,10070815,'Increases Potency of caster by 3.5%',100,1,1),
(268476,10070815,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(268477,10070815,'Cannot be modified except by direct means',100,1,3),
(268478,10070815,'When Equipped:',100,0,4),
(268479,10070815,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(268480,10070815,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(268481,10070815,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,7),
(268482,10070815,'Must not be engaged in pvp combat',100,2,8),
(268483,10070815,'Cannot be modified except by direct means',100,2,9),
(268484,10070815,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(268485,10070815,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,11),
(268486,10070815,'Must not be engaged in pvp combat',100,2,12),
(268487,10070815,'Cannot be modified except by direct means',100,2,13),
(268488,10070815,'Cannot be modified except by direct means',100,1,14),
(268489,82287,'When Equipped:',100,0,0),
(268490,82287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268491,82287,'Inflicts 33 - 61 magic damage on target',100,2,2),
(268492,82287,'Cannot be modified except by direct means',100,2,3),
(268493,10082287,'When Equipped:',100,0,0),
(268494,10082287,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268495,10082287,'Inflicts 40 - 74 magic damage on target',100,2,2),
(268496,10082287,'Cannot be modified except by direct means',100,2,3),
(268497,36809,'Increases Max Power of target by 90.0',100,0,0),
(268498,36809,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(268499,24361,'Adds Boss: Ettin (Troubador) to your Dungeon Maker toolbox',100,0,0),
(268500,10024361,'Adds Boss: Ettin (Troubador) to your Dungeon Maker toolbox',100,0,0),
(268501,87464,'When Equipped:',100,0,0),
(268502,87464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268503,87464,'Inflicts 30 - 45 magic damage on target',100,2,2),
(268504,87464,'Cannot be modified except by direct means',100,2,3),
(268505,10087464,'When Equipped:',100,0,0),
(268506,10087464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268507,10087464,'Inflicts 36 - 54 magic damage on target',100,2,2),
(268508,10087464,'Cannot be modified except by direct means',100,2,3),
(268509,24730,'Adds Treespirit Earthcaller to your Dungeon Maker toolbox',100,0,0),
(268510,10024730,'Adds Treespirit Earthcaller to your Dungeon Maker toolbox',100,0,0),
(268511,177602,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(268512,177602,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(268513,177602,'Inflicts 47 heat damage on target',100,2,2),
(268514,177602,'Cannot be modified except by direct means',100,2,3),
(268515,10177602,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(268516,10177602,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(268517,10177602,'Inflicts 57 heat damage on target',100,2,2),
(268518,10177602,'Cannot be modified except by direct means',100,2,3),
(268519,114846,'Decreases AGI of target by 9.5',100,1,0),
(268520,114846,'Decreases Defense of target by 3.1',100,1,1),
(268521,10114846,'Decreases AGI of target by 9.5',100,1,0),
(268522,10114846,'Decreases Defense of target by 3.1',100,1,1),
(268523,166456,'When Equipped:',100,0,0),
(268524,166456,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(268525,166456,'Inflicts 1998 cold damage on target encounter',100,2,2),
(268526,166456,'Must not be engaged in pvp combat',100,2,3),
(268527,166456,'Cannot be modified except by direct means',100,2,4),
(268528,166456,'Must not be engaged in pvp combat',100,1,5),
(268529,10166456,'When Equipped:',100,0,0),
(268530,10166456,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(268531,10166456,'Inflicts 1199 cold damage on target encounter',100,2,2),
(268532,10166456,'Must not be engaged in pvp combat',100,2,3),
(268533,10166456,'Cannot be modified except by direct means',100,2,4),
(268534,10166456,'Must not be engaged in pvp combat',100,1,5),
(268535,89007,'When Equipped:',100,0,0),
(268536,89007,'On a melee hit this spell may cast Caustic Affliction on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268537,89007,'Inflicts 244 poison damage on target instantly and every 2 seconds',100,2,2),
(268538,89007,'Cannot be modified except by direct means',100,2,3),
(268539,10089007,'When Equipped:',100,0,0),
(268540,10089007,'On a melee hit this spell may cast Caustic Affliction on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268541,10089007,'Inflicts 293 poison damage on target instantly and every 2 seconds',100,2,2),
(268542,10089007,'Cannot be modified except by direct means',100,2,3),
(268543,112750,'Interrupts target',100,1,0),
(268544,112750,'Inflicts 52 - 87 divine damage on target',100,1,1),
(268545,10112750,'Interrupts target',100,1,0),
(268546,10112750,'Inflicts 63 - 104 divine damage on target',100,1,1),
(268547,123486,'Decreases Mitigation of target encounter vs noxious damage by 141',100,1,0),
(268548,10123486,'Decreases Mitigation of target encounter vs noxious damage by 141',100,1,0),
(268549,186066,'When Equipped:',100,0,0),
(268550,186066,'Reduces resistibility of all spells by 3%.',100,1,1),
(268551,186066,'Increases Focus, Disruption and Subjugation of caster by 36.0',100,1,2),
(268552,186066,'Must not be engaged in pvp combat',100,1,3),
(268553,10186066,'When Equipped:',100,0,0),
(268554,10186066,'Reduces resistibility of all spells by 3%.',100,1,1),
(268555,10186066,'Increases Focus, Disruption and Subjugation of caster by 36.0',100,1,2),
(268556,10186066,'Must not be engaged in pvp combat',100,1,3),
(268557,103433,'Decreases Threat to targets in Area of Effect by 5,820 ',100,1,0),
(268558,103433,'Slows targets in Area of Effect by 56.0%',100,1,1),
(268559,103433,'Stifles targets in Area of Effect',100,1,2),
(268560,103433,'If Target is not Epic',100,2,3),
(268561,103433,'10% chance to dispel when target receives hostile action',100,1,4),
(268562,103433,'10% chance to dispel when target takes damage',100,1,5),
(268563,10103433,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(268564,10103433,'Slows targets in Area of Effect by 56.0%',100,1,1),
(268565,10103433,'Stifles targets in Area of Effect',100,1,2),
(268566,10103433,'If Target is not Epic',100,2,3),
(268567,36321,'Increases AGI and STR of target by 13.2',100,0,0),
(268568,36321,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(268569,81595,'When Equipped:',100,0,0),
(268570,81595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268571,81595,'Inflicts 99 - 185 magic damage on target',100,2,2),
(268572,81595,'Cannot be modified except by direct means',100,2,3),
(268573,10081595,'When Equipped:',100,0,0),
(268574,10081595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268575,10081595,'Inflicts 119 - 222 magic damage on target',100,2,2),
(268576,10081595,'Cannot be modified except by direct means',100,2,3),
(268577,102944,'Inflicts 63 - 77 disease damage on target instantly and every 4 seconds',100,1,0),
(268578,10102944,'Inflicts 98 - 120 disease damage on target',100,1,0),
(268579,10102944,'Inflicts 75 - 92 disease damage on target every 4 seconds',100,1,1),
(268580,157122,'When Equipped:',100,0,0),
(268581,157122,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(268582,157122,'Stuns target',100,2,2),
(268583,157122,'Only affects targets level 95 and below',100,2,3),
(268584,157122,'Does not affect Epic targets',100,2,4),
(268585,157122,'Resistibility increases against targets higher than level 107.',100,2,5),
(268586,157122,'Cannot be modified except by direct means',100,2,6),
(268587,10157122,'When Equipped:',100,0,0),
(268588,10157122,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(268589,10157122,'Stuns target',100,2,2),
(268590,10157122,'Only affects targets level 95 and below',100,2,3),
(268591,10157122,'Does not affect Epic targets',100,2,4),
(268592,10157122,'Resistibility increases against targets higher than level 107.',100,2,5),
(268593,10157122,'Cannot be modified except by direct means',100,2,6),
(268594,163446,'When Equipped:',100,0,0),
(268595,163446,'Increases Attack Speed of caster by 35.0',100,1,1),
(268596,10163446,'When Equipped:',100,0,0),
(268597,10163446,'Increases Attack Speed of caster by 35.0',100,1,1),
(268598,120187,'Applies Life Draw on termination.',100,1,0),
(268599,120187,'Inflicts 426 - 710 disease damage on target',100,2,1),
(268600,120187,'Heals caster for 10.9 - 13.3% of max health',100,2,2),
(268601,120187,'This effect cannot be critically applied.',100,3,3),
(268602,120187,'The healing of this spell cannot be modified except by direct means',100,2,4),
(268603,120187,'Inflicts 124 - 207 disease damage on target',100,1,5),
(268604,10120187,'Applies Life Draw on termination.',100,1,0),
(268605,10120187,'Inflicts 511 - 852 disease damage on target',100,2,1),
(268606,10120187,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(268607,10120187,'This effect cannot be critically applied.',100,3,3),
(268608,10120187,'The healing of this spell cannot be modified except by direct means',100,2,4),
(268609,10120187,'Inflicts 149 - 248 disease damage on target',100,1,5),
(268610,80801,'When Equipped:',100,0,0),
(268611,80801,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268612,80801,'Inflicts 194 - 360 magic damage on target',100,2,2),
(268613,80801,'Cannot be modified except by direct means',100,2,3),
(268614,10080801,'When Equipped:',100,0,0),
(268615,10080801,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268616,10080801,'Inflicts 233 - 432 magic damage on target',100,2,2),
(268617,10080801,'Cannot be modified except by direct means',100,2,3),
(268618,117567,'Inflicts 103 - 172 melee damage on target',100,1,0),
(268619,117567,'Decreases Parry of target by 14.4',100,1,1),
(268620,117567,'Must be in front of or flanking',100,1,2),
(268621,10117567,'Inflicts 124 - 207 melee damage on target',100,1,0),
(268622,10117567,'Decreases Parry of target by 14.4',100,1,1),
(268623,10117567,'Must be in front of or flanking',100,1,2),
(268624,117803,'Mesmerizes target',100,1,0),
(268625,117803,'Prevents AOE (except when direct) ',100,1,1),
(268626,117803,'Dispelled when target takes damage',100,1,2),
(268627,117803,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(268628,117803,'Resistibility increases against targets higher than level 97.',100,1,4),
(268629,10117803,'Mesmerizes target',100,1,0),
(268630,10117803,'Prevents AOE (except when direct) ',100,1,1),
(268631,10117803,'Dispelled when target takes damage',100,1,2),
(268632,10117803,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(268633,10117803,'Resistibility increases against targets higher than level 97.',100,1,4),
(268634,169030,'When Equipped:',100,0,0),
(268635,169030,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(268636,169030,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(268637,169030,'Decreases Mitigation of target vs arcane damage by 360',100,2,3),
(268638,169030,'Must be classified as an undead',100,3,4),
(268639,169030,'Inflicts 232 mental damage on target',100,2,5),
(268640,169030,'Must not be classified as an undead',100,3,6),
(268641,169030,'Inflicts 464 mental damage on target',100,2,7),
(268642,169030,'Must be classified as an undead',100,3,8),
(268643,169030,'Cannot be modified except by direct means',100,2,9),
(268644,10169030,'When Equipped:',100,0,0),
(268645,10169030,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(268646,10169030,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(268647,10169030,'Decreases Mitigation of target vs arcane damage by 360',100,2,3),
(268648,10169030,'Must be classified as an undead',100,3,4),
(268649,10169030,'Inflicts 278 mental damage on target',100,2,5),
(268650,10169030,'Must not be classified as an undead',100,3,6),
(268651,10169030,'Inflicts 557 mental damage on target',100,2,7),
(268652,10169030,'Must be classified as an undead',100,3,8),
(268653,10169030,'Cannot be modified except by direct means',100,2,9),
(268654,185340,'When Equipped:',100,0,0),
(268655,185340,'On a healing spell cast this spell may cast Lesser Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268656,185340,'Wards target against 750 points of all damage',100,2,2),
(268657,185340,'Replenishes 150 points of absorption every 2 seconds.',100,2,3),
(268658,185340,'Cannot be modified except by direct means',100,2,4),
(268659,10185340,'When Equipped:',100,0,0),
(268660,10185340,'On a healing spell cast this spell may cast Lesser Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268661,10185340,'Wards target against 750 points of all damage',100,2,2),
(268662,10185340,'Replenishes 150 points of absorption every 2 seconds.',100,2,3),
(268663,10185340,'Cannot be modified except by direct means',100,2,4),
(268664,159328,'Applies Lambent Imbued when Equipped.',100,0,0),
(268665,159328,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(268666,159328,'Heals target for 115 instantly and every 4 seconds',100,2,2),
(268667,159328,'Cannot be modified except by direct means',100,2,3),
(268668,10159328,'Applies Lambent Imbued when Equipped.',100,0,0),
(268669,10159328,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(268670,10159328,'Heals target for 75 instantly and every 4 seconds',100,2,2),
(268671,10159328,'Cannot be modified except by direct means',100,2,3),
(268672,113459,'Increases INT of target by 56.4',100,1,0),
(268673,113459,'Increases Max Health of target by 452.8',100,1,1),
(268674,10113459,'Increases INT of target by 56.4',100,1,0),
(268675,10113459,'Increases Max Health of target by 452.8',100,1,1),
(268676,100703,'Dispels 94 levels of any hostile effects on target',100,1,0),
(268677,100703,'Dispels 94 levels of hostile Fear effects on target',100,1,1),
(268678,100703,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(268679,100703,'Makes target immune to Fear effects',100,3,3),
(268680,100703,'Dispels 94 levels of hostile Daze effects on target',100,1,4),
(268681,100703,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(268682,100703,'Makes target immune to Daze effects',100,3,6),
(268683,100703,'Dispels 94 levels of hostile Root effects on target',100,1,7),
(268684,100703,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(268685,100703,'Makes target immune to Root effects',100,3,9),
(268686,100703,'Dispels 94 levels of hostile Stifle effects on target',100,1,10),
(268687,100703,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(268688,100703,'Makes target immune to Stifle effects',100,3,12),
(268689,100703,'Dispels 94 levels of hostile Stun effects on target',100,1,13),
(268690,100703,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(268691,100703,'Makes target immune to Stun effects',100,3,15),
(268692,10100703,'Dispels 94 levels of any hostile effects on target',100,1,0),
(268693,10100703,'Dispels 94 levels of hostile Fear effects on target',100,1,1),
(268694,10100703,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(268695,10100703,'Makes target immune to Fear effects',100,3,3),
(268696,10100703,'Dispels 94 levels of hostile Daze effects on target',100,1,4),
(268697,10100703,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(268698,10100703,'Makes target immune to Daze effects',100,3,6),
(268699,10100703,'Dispels 94 levels of hostile Root effects on target',100,1,7),
(268700,10100703,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(268701,10100703,'Makes target immune to Root effects',100,3,9),
(268702,10100703,'Dispels 94 levels of hostile Stifle effects on target',100,1,10),
(268703,10100703,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(268704,10100703,'Makes target immune to Stifle effects',100,3,12),
(268705,10100703,'Dispels 94 levels of hostile Stun effects on target',100,1,13),
(268706,10100703,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(268707,10100703,'Makes target immune to Stun effects',100,3,15),
(268708,171391,'When Equipped:',100,0,0),
(268709,171391,'On a critical healing spell cast this spell may cast Rehabilitate V on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(268710,171391,'Heals target for 371 - 410',100,2,2),
(268711,171391,'Applies Rehabilitate V on termination.  Lasts for 15.0 seconds.',100,2,3),
(268712,171391,'Wards target against 500 points of all damage',100,3,4),
(268713,171391,'Must not be engaged in pvp combat',100,3,5),
(268714,171391,'Cannot be modified except by direct means',100,3,6),
(268715,171391,'If under 50% Health',100,3,7),
(268716,171391,'Must not be engaged in pvp combat',100,2,8),
(268717,171391,'Cannot be modified except by direct means',100,2,9),
(268718,171391,'Must not be engaged in pvp combat',100,1,10),
(268719,10171391,'When Equipped:',100,0,0),
(268720,10171391,'On a critical healing spell cast this spell may cast Rehabilitate V on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(268721,10171391,'Heals target for 241 - 266',100,2,2),
(268722,10171391,'Applies Rehabilitate V on termination.  Lasts for 15.0 seconds.',100,2,3),
(268723,10171391,'Wards target against 500 points of all damage',100,3,4),
(268724,10171391,'Must not be engaged in pvp combat',100,3,5),
(268725,10171391,'Cannot be modified except by direct means',100,3,6),
(268726,10171391,'If under 50% Health',100,3,7),
(268727,10171391,'Must not be engaged in pvp combat',100,2,8),
(268728,10171391,'Cannot be modified except by direct means',100,2,9),
(268729,10171391,'Must not be engaged in pvp combat',100,1,10),
(268730,110652,'Inflicts 1371 - 2286 ranged damage on target',100,1,0),
(268731,110652,'If weapon equipped in Ranged',100,1,1),
(268732,110652,'Must be flanking or behind',100,1,2),
(268733,10110652,'Inflicts 752 - 1253 ranged damage on target',100,1,0),
(268734,10110652,'If weapon equipped in Ranged',100,1,1),
(268735,10110652,'Must be flanking or behind',100,1,2),
(268736,100541,'Heals group members (AE) for 498 - 609',100,1,0),
(268737,10100541,'Heals group members (AE) for 605 - 739',100,1,0),
(268738,48520,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(268739,48520,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(268740,48520,'Stuns target',100,2,2),
(268741,48520,'If Target is not Epic',100,3,3),
(268742,48520,'Dispelled when target receives hostile action',100,2,4),
(268743,48520,'Dispelled when target takes damage',100,2,5),
(268744,48520,'Cannot be modified except by direct means',100,2,6),
(268745,48520,'Grants a total of 4 triggers of the spell.',100,2,7),
(268746,10048520,'Applies visions of dementia when Activated.  Lasts for 12 hours.',100,0,0),
(268747,10048520,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(268748,10048520,'Stuns target',100,2,2),
(268749,10048520,'If Target is not Epic',100,3,3),
(268750,10048520,'Dispelled when target receives hostile action',100,2,4),
(268751,10048520,'Dispelled when target takes damage',100,2,5),
(268752,10048520,'Cannot be modified except by direct means',100,2,6),
(268753,10048520,'Grants a total of 4 triggers of the spell.',100,2,7),
(268754,108691,'Inflicts 55 heat damage on target',100,1,0),
(268755,108691,'Inflicts 12 heat damage on target every 4 seconds',100,1,1),
(268756,10108691,'Inflicts 92 heat damage on target',100,1,0),
(268757,10108691,'Inflicts 15 heat damage on target every 4 seconds',100,1,1),
(268758,80483,'When Equipped:',100,0,0),
(268759,80483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268760,80483,'Inflicts 48 - 90 magic damage on target',100,2,2),
(268761,80483,'Cannot be modified except by direct means',100,2,3),
(268762,10080483,'When Equipped:',100,0,0),
(268763,10080483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268764,10080483,'Inflicts 58 - 107 magic damage on target',100,2,2),
(268765,10080483,'Cannot be modified except by direct means',100,2,3),
(268766,101944,'Inflicts 342 - 571 melee damage on target',100,1,0),
(268767,101944,'Inflicts 114 piercing damage on target instantly and every 4 seconds',100,1,1),
(268768,101944,'Must be behind',100,1,2),
(268769,10101944,'Inflicts 411 - 685 melee damage on target',100,1,0),
(268770,10101944,'Inflicts 137 piercing damage on target instantly and every 4 seconds',100,1,1),
(268771,10101944,'Must be behind',100,1,2),
(268772,118642,'Inflicts 14 - 24 slashing damage on target',100,1,0),
(268773,10118642,'Inflicts 17 - 29 slashing damage on target',100,1,0),
(268774,105389,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(268775,105389,'Inflicts 112 melee damage on target',100,2,1),
(268776,105389,'Interrupts target',100,2,2),
(268777,105389,'Decreases Defense of caster by 20.7',100,1,3),
(268778,105389,'Increases Piercing, Slashing, Ranged and Crushing of caster by 43.5',100,1,4),
(268779,10105389,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(268780,10105389,'Inflicts 134 melee damage on target',100,2,1),
(268781,10105389,'Interrupts target',100,2,2),
(268782,10105389,'Decreases Defense of caster by 20.7',100,1,3),
(268783,10105389,'Increases Piercing, Slashing, Ranged and Crushing of caster by 43.5',100,1,4),
(268784,116797,'Increases STR, AGI, WIS and INT of target by 53.4',100,1,0),
(268785,116797,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(268786,116797,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(268787,116797,'Increases Damage Per Second of target by 37.1',100,2,3),
(268788,116797,'Increases Attack Speed of target by 37.1',100,2,4),
(268789,116797,'Adds 1.6% to base avoidance.',100,1,5),
(268790,116797,'Increases Mitigation of target vs elemental, noxious and arcane damage by 156',100,1,6),
(268791,10116797,'Increases STR, AGI, WIS and INT of target by 53.4',100,1,0),
(268792,10116797,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(268793,10116797,'Increases Ability Casting Speed of target by 8.0%',100,2,2),
(268794,10116797,'Increases Damage Per Second of target by 37.1',100,2,3),
(268795,10116797,'Increases Attack Speed of target by 37.1',100,2,4),
(268796,10116797,'Adds 1.6% to base avoidance.',100,1,5),
(268797,10116797,'Increases Mitigation of target vs elemental, noxious and arcane damage by 156',100,1,6),
(268798,71522,'When Equipped:',100,0,0),
(268799,71522,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268800,71522,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(268801,71522,'Cannot be modified except by direct means',100,2,3),
(268802,10071522,'When Equipped:',100,0,0),
(268803,10071522,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268804,10071522,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(268805,10071522,'Cannot be modified except by direct means',100,2,3),
(268806,48846,'Applies Namistai''s Invigoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(268807,48846,'Heals caster for 91',100,1,1),
(268808,48846,'Heals caster for 45 every 5 seconds',100,1,2),
(268809,10048846,'Applies Namistai''s Invigoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(268810,10048846,'Heals caster for 59',100,1,1),
(268811,10048846,'Heals caster for 29 every 5 seconds',100,1,2),
(268812,24198,'Adds Crushbone: Lit, Wood-mounted Sconce to your Dungeon Maker toolbox',100,0,0),
(268813,10024198,'Adds Crushbone: Lit, Wood-mounted Sconce to your Dungeon Maker toolbox',100,0,0),
(268814,120838,'Inflicts 32 - 43 disease damage on target instantly and every second',100,1,0),
(268815,10120838,'Inflicts 54 - 73 disease damage on target',100,1,0),
(268816,10120838,'Inflicts 38 - 52 disease damage on target every second',100,1,1),
(268817,104927,'Inflicts 513 - 856 ranged damage on target',100,1,0),
(268818,104927,'Decreases Deflection and Parry of target by 44.6',100,1,1),
(268819,104927,'Requires bow',100,1,2),
(268820,10104927,'Inflicts 385 - 642 ranged damage on target',100,1,0),
(268821,10104927,'Decreases Deflection and Parry of target by 44.6',100,1,1),
(268822,10104927,'Requires bow',100,1,2),
(268823,76440,'When Equipped:',100,0,0),
(268824,76440,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(268825,76440,'Inflicts 599 piercing damage on target',100,2,2),
(268826,76440,'Cannot be modified except by direct means',100,2,3),
(268827,10076440,'When Equipped:',100,0,0),
(268828,10076440,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(268829,10076440,'Inflicts 359 piercing damage on target',100,2,2),
(268830,10076440,'Cannot be modified except by direct means',100,2,3),
(268831,124669,'Heals group members (AE) for 53 - 65 instantly and every 2 seconds',100,1,0),
(268832,10124669,'Heals group members (AE) for 34 - 42 instantly and every 2 seconds',100,1,0),
(268833,161106,'When Equipped:',100,0,0),
(268834,161106,'When damaged with a melee weapon this spell has a 7% chance to cast Jester''s Retort on target''s attacker.  ',100,1,1),
(268835,161106,'Inflicts 315 magic damage on target',100,2,2),
(268836,161106,'Cannot be modified except by direct means',100,2,3),
(268837,10161106,'When Equipped:',100,0,0),
(268838,10161106,'When damaged with a melee weapon this spell has a 7% chance to cast Jester''s Retort on target''s attacker.  ',100,1,1),
(268839,10161106,'Inflicts 378 magic damage on target',100,2,2),
(268840,10161106,'Cannot be modified except by direct means',100,2,3),
(268841,102011,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(268842,102011,'Wards target against 209 points of all damage',100,2,1),
(268843,10102011,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(268844,10102011,'Wards target against 209 points of all damage',100,2,1),
(268845,124206,'Decreases Attack Speed of caster by 11.3',100,1,0),
(268846,124206,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(268847,124206,'Slows targets in Area of Effect by 32.6%',100,2,2),
(268848,124206,'5% chance to dispel when target receives hostile action',100,2,3),
(268849,124206,'5% chance to dispel when target takes damage',100,2,4),
(268850,124206,'Increases Mitigation of caster vs physical damage by 148',100,1,5),
(268851,10124206,'Decreases Attack Speed of caster by 11.3',100,1,0),
(268852,10124206,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(268853,10124206,'Slows targets in Area of Effect by 24.5%',100,2,2),
(268854,10124206,'5% chance to dispel when target receives hostile action',100,2,3),
(268855,10124206,'5% chance to dispel when target takes damage',100,2,4),
(268856,10124206,'Increases Mitigation of caster vs physical damage by 148',100,1,5),
(268857,108872,'Inflicts 154 - 258 melee damage on target',100,1,0),
(268858,108872,'Decreases INT of target by 86.3',100,1,1),
(268859,10108872,'Inflicts 185 - 309 melee damage on target',100,1,0),
(268860,10108872,'Decreases INT of target by 86.3',100,1,1),
(268861,103460,'Increases In-Combat Power Regeneration of group members (AE) by 6.2',100,1,0),
(268862,10103460,'Increases In-Combat Power Regeneration of group members (AE) by 6.2',100,1,0),
(268863,166577,'When Equipped:',100,0,0),
(268864,166577,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(268865,166577,'When Equipped:',100,0,2),
(268866,166577,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(268867,10166577,'When Equipped:',100,0,0),
(268868,10166577,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(268869,10166577,'When Equipped:',100,0,2),
(268870,10166577,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(268871,75162,'When Equipped:',100,0,0),
(268872,75162,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(268873,10075162,'When Equipped:',100,0,0),
(268874,10075162,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(268875,41565,'When Equipped:',100,0,0),
(268876,41565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268877,41565,'Inflicts 71 - 131 magic damage on target',100,2,2),
(268878,41565,'Cannot be modified except by direct means',100,2,3),
(268879,10041565,'When Equipped:',100,0,0),
(268880,10041565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268881,10041565,'Inflicts 85 - 158 magic damage on target',100,2,2),
(268882,10041565,'Cannot be modified except by direct means',100,2,3),
(268883,52865,'Applies Sanguine Imbued when Equipped.',100,0,0),
(268884,52865,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(268885,52865,'Inflicts 24 heat damage on target',100,2,2),
(268886,52865,'Cannot be modified except by direct means',100,2,3),
(268887,10052865,'Applies Sanguine Imbued when Equipped.',100,0,0),
(268888,10052865,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(268889,10052865,'Inflicts 28 heat damage on target',100,2,2),
(268890,10052865,'Cannot be modified except by direct means',100,2,3),
(268891,50535,'When Equipped:',100,0,0),
(268892,50535,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268893,50535,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(268894,50535,'Cannot be modified except by direct means',100,2,3),
(268895,10050535,'When Equipped:',100,0,0),
(268896,10050535,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(268897,10050535,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(268898,10050535,'Cannot be modified except by direct means',100,2,3),
(268899,102990,'Increases STR and AGI of group members (AE) by 76.5',100,1,0),
(268900,10102990,'Increases STR and AGI of group members (AE) by 76.5',100,1,0),
(268901,113865,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(268902,113865,'Increases power of caster by 440',100,2,1),
(268903,113865,'Grants a total of 3 triggers of the spell.',100,2,2),
(268904,10113865,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(268905,10113865,'Increases power of caster by 440',100,2,1),
(268906,10113865,'Grants a total of 3 triggers of the spell.',100,2,2),
(268907,115170,'Heals target for 872 - 1065',100,1,0),
(268908,10115170,'Heals target for 1181 - 1443',100,1,0),
(268909,46902,'Applies Illusion: Dark Elf when Activated.  Lasts for 6 hours.',100,0,0),
(268910,46902,'Shapechanges caster into a dark elf',100,1,1),
(268911,10046902,'Applies Illusion: Dark Elf when Activated.  Lasts for 6 hours.',100,0,0),
(268912,10046902,'Shapechanges caster into a dark elf',100,1,1),
(268913,81243,'When Equipped:',100,0,0),
(268914,81243,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(268915,81243,'Inflicts 320 - 594 magic damage on target',100,2,2),
(268916,81243,'Decreases Threat to target by 1,219 ',100,2,3),
(268917,81243,'Must be flanking or behind',100,3,4),
(268918,81243,'Increases Threat to target by 1,679 ',100,2,5),
(268919,81243,'Must be in front of',100,3,6),
(268920,81243,'Cannot be modified except by direct means',100,2,7),
(268921,10081243,'When Equipped:',100,0,0),
(268922,10081243,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(268923,10081243,'Inflicts 384 - 712 magic damage on target',100,2,2),
(268924,10081243,'Cannot be modified except by direct means',100,2,3),
(268925,82129,'When Equipped:',100,0,0),
(268926,82129,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268927,82129,'Inflicts 125 - 232 magic damage on target',100,2,2),
(268928,82129,'Cannot be modified except by direct means',100,2,3),
(268929,10082129,'When Equipped:',100,0,0),
(268930,10082129,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268931,10082129,'Inflicts 150 - 278 magic damage on target',100,2,2),
(268932,10082129,'Cannot be modified except by direct means',100,2,3),
(268933,124531,'Dispels 51 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(268934,10124531,'Dispels 51 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(268935,121099,'Decreases Threat to targets in Area of Effect by 1,127 ',100,1,0),
(268936,121099,'Mesmerizes targets in Area of Effect',100,1,1),
(268937,121099,'If Target is not Epic',100,2,2),
(268938,121099,'Dispelled when target takes damage',100,1,3),
(268939,10121099,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(268940,10121099,'Applies Distract.',100,1,1),
(268941,10121099,'Forces target to clear their selected target.',100,2,2),
(268942,10121099,'Mesmerizes targets in Area of Effect',100,1,3),
(268943,10121099,'If Target is not Epic',100,2,4),
(268944,10121099,'Dispelled when target takes damage',100,1,5),
(268945,174494,'Applies Off With His Head! when Equipped.',100,0,0),
(268946,174494,'On a damage spell hit this spell will cast Behead on caster.  ',100,1,1),
(268947,174494,'Inflicts 5% of max health in focus damage on caster.',100,2,2),
(268948,174494,'When a combat art is used this spell will cast Behead on caster.  ',100,1,3),
(268949,174494,'Inflicts 5% of max health in focus damage on caster.',100,2,4),
(268950,174494,'Decreases Max Health of caster by 20.0%',100,1,5),
(268951,174494,'Increases Potency of caster by 12.0%',100,1,6),
(268952,174494,'Cannot be modified except by direct means',100,1,7),
(268953,10174494,'Applies Off With His Head! when Equipped.',100,0,0),
(268954,10174494,'On a damage spell hit this spell will cast Behead on caster.  ',100,1,1),
(268955,10174494,'Inflicts 5% of max health in focus damage on caster.',100,2,2),
(268956,10174494,'When a combat art is used this spell will cast Behead on caster.  ',100,1,3),
(268957,10174494,'Inflicts 5% of max health in focus damage on caster.',100,2,4),
(268958,10174494,'Decreases Max Health of caster by 20.0%',100,1,5),
(268959,10174494,'Increases Potency of caster by 12.0%',100,1,6),
(268960,10174494,'Cannot be modified except by direct means',100,1,7),
(268961,82771,'When Equipped:',100,0,0),
(268962,82771,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(268963,82771,'Inflicts 237 - 440 magic damage on target',100,2,2),
(268964,82771,'Decreases Threat to target by 1,174 ',100,2,3),
(268965,82771,'Must be flanking or behind',100,3,4),
(268966,82771,'Increases Threat to target by 1,634 ',100,2,5),
(268967,82771,'Must be in front of',100,3,6),
(268968,82771,'Cannot be modified except by direct means',100,2,7),
(268969,10082771,'When Equipped:',100,0,0),
(268970,10082771,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(268971,10082771,'Inflicts 284 - 528 magic damage on target',100,2,2),
(268972,10082771,'Cannot be modified except by direct means',100,2,3),
(268973,115113,'Summons 4 limited pets to aid the caster',100,1,0),
(268974,10115113,'Summons 4 limited pets to aid the caster',100,1,0),
(268975,122893,'Increases STR and INT of group members (AE) by 11.4',100,1,0),
(268976,10122893,'Increases STR and INT of group members (AE) by 11.4',100,1,0),
(268977,101698,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(268978,101698,'Inflicts 288 - 352 disease damage on target',100,2,1),
(268979,101698,'Grants a total of 3 triggers of the spell.',100,2,2),
(268980,10101698,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(268981,10101698,'Inflicts 346 - 423 disease damage on target',100,2,1),
(268982,10101698,'Grants a total of 3 triggers of the spell.',100,2,2),
(268983,87185,'When Equipped:',100,0,0),
(268984,87185,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268985,87185,'Inflicts 73 - 110 magic damage on target',100,2,2),
(268986,87185,'Cannot be modified except by direct means',100,2,3),
(268987,10087185,'When Equipped:',100,0,0),
(268988,10087185,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(268989,10087185,'Inflicts 88 - 132 magic damage on target',100,2,2),
(268990,10087185,'Cannot be modified except by direct means',100,2,3),
(268991,111114,'Heals target for 23.9 - 29.3% of max health',100,1,0),
(268992,111114,'This effect cannot be critically applied.',100,2,1),
(268993,111114,'Increases Mitigation of target vs physical damage by 455',100,1,2),
(268994,111114,'The healing of this spell cannot be modified except by direct means',100,1,3),
(268995,10111114,'Heals target for 9.0 - 11.0% of max health',100,1,0),
(268996,10111114,'This effect cannot be critically applied.',100,2,1),
(268997,10111114,'Increases Mitigation of target vs physical damage by 455',100,1,2),
(268998,10111114,'The healing of this spell cannot be modified except by direct means',100,1,3),
(268999,35778,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(269000,45839,'Applies Consume Essence when Activated.',100,0,0),
(269001,45839,'Dispels 97 levels of any hostile effects on caster',100,1,1),
(269002,45839,'Heals group members (AE) for 306 - 373',100,1,2),
(269003,10045839,'Applies Consume Essence when Activated.',100,0,0),
(269004,10045839,'Dispels 97 levels of any hostile effects on caster',100,1,1),
(269005,10045839,'Heals group members (AE) for 199 - 243',100,1,2),
(269006,87556,'Applies Mental Blast when Activated.',100,0,0),
(269007,87556,'Inflicts 173 - 289 mental damage on target',100,1,1),
(269008,87556,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(269009,10087556,'Applies Mental Blast when Activated.',100,0,0),
(269010,10087556,'Inflicts 208 - 347 mental damage on target',100,1,1),
(269011,10087556,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(269012,119507,'Increases threat priority of target by 2 positions',100,1,0),
(269013,119507,'Stuns caster',100,1,1),
(269014,119507,'Decreases Defense and Parry of caster by 90.0',100,1,2),
(269015,119507,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(269016,119507,'Inflicts 278 - 463 piercing damage on target',100,2,4),
(269017,119507,'Grants a total of 1 trigger of the spell.',100,2,5),
(269018,10119507,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(269019,10119507,'Prevents target from changing targets',100,2,1),
(269020,10119507,'Forces target to change their selected target to caster.',100,2,2),
(269021,10119507,'Stuns caster',100,1,3),
(269022,10119507,'Decreases Defense and Parry of caster by 90.0',100,1,4),
(269023,10119507,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(269024,10119507,'Inflicts 238 - 396 piercing damage on target',100,2,6),
(269025,10119507,'Grants a total of 1 trigger of the spell.',100,2,7),
(269026,112635,'Inflicts 46 - 77 disease damage on target',100,1,0),
(269027,112635,'Inflicts 46 - 77 disease damage on target',100,1,1),
(269028,112635,'Roots target',100,1,2),
(269029,112635,'If Target is not Epic',100,2,3),
(269030,112635,'15% chance to dispel when target takes damage',100,1,4),
(269031,112635,'If weapon equipped in Ranged',100,1,5),
(269032,112635,'Resistibility increases against targets higher than level 45.',100,1,6),
(269033,10112635,'Inflicts 34 - 58 disease damage on target',100,1,0),
(269034,10112635,'Inflicts 34 - 58 disease damage on target',100,1,1),
(269035,10112635,'Roots target',100,1,2),
(269036,10112635,'If Target is not Epic',100,2,3),
(269037,10112635,'15% chance to dispel when target takes damage',100,1,4),
(269038,10112635,'If weapon equipped in Ranged',100,1,5),
(269039,10112635,'Resistibility increases against targets higher than level 45.',100,1,6),
(269040,27047,'When Equipped:',100,0,0),
(269041,27047,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269042,27047,'Decreases power of target by 43',100,2,2),
(269043,27047,'Increases power of caster by 40',100,2,3),
(269044,27047,'Cannot be modified except by direct means',100,2,4),
(269045,10027047,'When Equipped:',100,0,0),
(269046,10027047,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269047,10027047,'Decreases power of target by 43',100,2,2),
(269048,10027047,'Increases power of caster by 40',100,2,3),
(269049,10027047,'Cannot be modified except by direct means',100,2,4),
(269050,71534,'When Equipped:',100,0,0),
(269051,71534,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269052,71534,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(269053,71534,'Cannot be modified except by direct means',100,2,3),
(269054,10071534,'When Equipped:',100,0,0),
(269055,10071534,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269056,10071534,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(269057,10071534,'Cannot be modified except by direct means',100,2,3),
(269058,47279,'Applies Ranjor''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(269059,47279,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(269060,10047279,'Applies Ranjor''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(269061,10047279,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(269062,45846,'Applies Consume Essence when Activated.',100,0,0),
(269063,45846,'Dispels 118 levels of any hostile effects on caster',100,1,1),
(269064,45846,'Heals group members (AE) for 438 - 535',100,1,2),
(269065,10045846,'Applies Consume Essence when Activated.',100,0,0),
(269066,10045846,'Dispels 118 levels of any hostile effects on caster',100,1,1),
(269067,10045846,'Heals group members (AE) for 285 - 348',100,1,2),
(269068,174353,'When Equipped:',100,0,0),
(269069,174353,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(269070,174353,'Decreases threat priority of target by 1 position',100,2,2),
(269071,174353,'Cannot be modified except by direct means',100,2,3),
(269072,10174353,'When Equipped:',100,0,0),
(269073,10174353,'When any damage is received this spell has a 4% chance to cast Slip on target''s attacker.  ',100,1,1),
(269074,10174353,'Cannot be modified except by direct means',100,2,2),
(269075,87141,'When Equipped:',100,0,0),
(269076,87141,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269077,87141,'Inflicts 51 - 76 magic damage on target',100,2,2),
(269078,87141,'Cannot be modified except by direct means',100,2,3),
(269079,10087141,'When Equipped:',100,0,0),
(269080,10087141,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269081,10087141,'Inflicts 61 - 91 magic damage on target',100,2,2),
(269082,10087141,'Cannot be modified except by direct means',100,2,3),
(269083,112753,'Interrupts target',100,1,0),
(269084,112753,'Inflicts 93 - 156 divine damage on target',100,1,1),
(269085,10112753,'Interrupts target',100,1,0),
(269086,10112753,'Inflicts 112 - 187 divine damage on target',100,1,1),
(269087,141712,'When Equipped:',100,0,0),
(269088,141712,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269089,141712,'Increases STR of caster by 14.8',100,2,2),
(269090,141712,'Increases Damage Per Second of caster by 19.0',100,2,3),
(269091,141712,'Cannot be modified except by direct means',100,2,4),
(269092,10141712,'When Equipped:',100,0,0),
(269093,10141712,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269094,10141712,'Increases STR of caster by 14.8',100,2,2),
(269095,10141712,'Increases Damage Per Second of caster by 19.0',100,2,3),
(269096,10141712,'Cannot be modified except by direct means',100,2,4),
(269097,174278,'When Equipped:',100,0,0),
(269098,174278,'On a healing spell cast this spell may cast Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269099,174278,'When any damage is received this spell will cast Reflexive Restoration on target.  ',100,2,2),
(269100,174278,'Heals caster for 378',100,3,3),
(269101,174278,'Cannot be modified except by direct means',100,3,4),
(269102,174278,'Grants a total of 3 triggers of the spell.',100,3,5),
(269103,174278,'Cannot be modified except by direct means',100,2,6),
(269104,10174278,'When Equipped:',100,0,0),
(269105,10174278,'On a healing spell cast this spell may cast Salubrious Aura on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269106,10174278,'When any damage is received this spell will cast Reflexive Restoration on target.  ',100,2,2),
(269107,10174278,'Heals caster for 246',100,3,3),
(269108,10174278,'Cannot be modified except by direct means',100,3,4),
(269109,10174278,'Grants a total of 3 triggers of the spell.',100,3,5),
(269110,10174278,'Cannot be modified except by direct means',100,2,6),
(269111,153949,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(269112,153949,'Decreases Attack Speed of target by 17.2',100,1,1),
(269113,153949,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(269114,10153949,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(269115,10153949,'Decreases Attack Speed of target by 17.2',100,1,1),
(269116,10153949,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(269117,48415,'Applies Thermadjust when Activated.',100,0,0),
(269118,48415,'Inflicts 30.0% of max health in heat damage on target',100,1,1),
(269119,48415,'Must be hated by your current target.',100,1,2),
(269120,10048415,'Applies Thermadjust when Activated.',100,0,0),
(269121,10048415,'Inflicts 36.0% of max health in heat damage on target',100,1,1),
(269122,10048415,'Must be hated by your current target.',100,1,2),
(269123,137411,'When Equipped:',100,0,0),
(269124,137411,'Increases Attack Speed of caster by 40.0',100,1,1),
(269125,10137411,'When Equipped:',100,0,0),
(269126,10137411,'Increases Attack Speed of caster by 40.0',100,1,1),
(269127,116889,'Wards group members (AE) against 1493 points of noxious damage',100,1,0),
(269128,116889,'Increases Mitigation of group members (AE) vs noxious damage by 820',100,1,1),
(269129,10116889,'Wards group members (AE) against 1493 points of noxious damage',100,1,0),
(269130,10116889,'Increases Mitigation of group members (AE) vs noxious damage by 820',100,1,1),
(269131,115090,'Heals target for 443 - 541',100,1,0),
(269132,115090,'Heals target for 57 - 70 every second',100,1,1),
(269133,10115090,'Heals target for 823 - 1005',100,1,0),
(269134,10115090,'Heals target for 62 - 75 every second',100,1,1),
(269135,27082,'When Equipped:',100,0,0),
(269136,27082,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(269137,27082,'Inflicts 9 piercing damage on target',100,2,2),
(269138,27082,'Cannot be modified except by direct means',100,2,3),
(269139,10027082,'When Equipped:',100,0,0),
(269140,10027082,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(269141,10027082,'Inflicts 11 piercing damage on target',100,2,2),
(269142,10027082,'Cannot be modified except by direct means',100,2,3),
(269143,159740,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(269144,159740,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(269145,159740,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(269146,159740,'Cannot be modified except by direct means',100,2,3),
(269147,10159740,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(269148,10159740,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(269149,10159740,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(269150,10159740,'Cannot be modified except by direct means',100,2,3),
(269151,45611,'Applies Clouded Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(269152,45611,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(269153,45611,'Only affects targets level 50 and above',100,1,2),
(269154,10045611,'Applies Clouded Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(269155,10045611,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(269156,10045611,'Only affects targets level 50 and above',100,1,2),
(269157,137293,'Applies Memory of Scale when Activated.',100,0,0),
(269158,137293,'Dispels 14 levels of hostile Fear effects on caster',100,1,1),
(269159,137293,'Dispels 14 levels of hostile Stifle, hostile Daze, hostile Stun and hostile Root effects on group members (AE)',100,1,2),
(269160,137293,'The casting time of Memory of Scale is 1.0 second and the reuse time of the spell is 2 minutes',100,1,3),
(269161,10137293,'Applies Memory of Scale when Activated.',100,0,0),
(269162,10137293,'Dispels 14 levels of hostile Fear effects on caster',100,1,1),
(269163,10137293,'Dispels 14 levels of hostile Stifle, hostile Daze, hostile Stun and hostile Root effects on group members (AE)',100,1,2),
(269164,10137293,'The casting time of Memory of Scale is 1.0 second and the reuse time of the spell is 2 minutes',100,1,3),
(269165,46192,'Applies Call Ethereal Prowler when Activated.',100,0,0),
(269166,46192,'Increases Crushing, Ordination, Aggression and Ministration of caster by 5.0',100,1,1),
(269167,46192,'Summons a mount to ride',100,1,2),
(269168,46192,'Increases your ground speed by 135%',100,2,3),
(269169,46192,'Increases Ranged, Focus, Piercing, Subjugation, Slashing and Disruption of caster by 5.0',100,1,4),
(269170,10046192,'Applies Call Ethereal Prowler when Activated.',100,0,0),
(269171,10046192,'Increases Crushing, Ordination, Aggression and Ministration of caster by 5.0',100,1,1),
(269172,10046192,'Summons a mount to ride',100,1,2),
(269173,10046192,'Increases your ground speed by 135%',100,2,3),
(269174,10046192,'Increases Ranged, Focus, Piercing, Subjugation, Slashing and Disruption of caster by 5.0',100,1,4),
(269175,122359,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(269176,122359,'Inflicts 19 - 23 piercing damage on target',100,2,1),
(269177,10122359,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(269178,10122359,'Inflicts 23 - 28 piercing damage on target',100,2,1),
(269179,121965,'Inflicts 58 - 97 disease damage on target',100,1,0),
(269180,121965,'Decreases Defense of target by 18.2',100,1,1),
(269181,121965,'Interrupts target',100,1,2),
(269182,10121965,'Inflicts 70 - 116 disease damage on target',100,1,0),
(269183,10121965,'Decreases Defense of target by 18.2',100,1,1),
(269184,10121965,'Interrupts target',100,1,2),
(269185,164145,'When Equipped:',100,0,0),
(269186,164145,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(269187,164145,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(269188,164145,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,3),
(269189,164145,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(269190,164145,'Must not be engaged in pvp combat',100,2,5),
(269191,164145,'Cannot be modified except by direct means',100,2,6),
(269192,164145,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(269193,164145,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,8),
(269194,164145,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(269195,164145,'Must not be engaged in pvp combat',100,2,10),
(269196,164145,'Cannot be modified except by direct means',100,2,11),
(269197,164145,'Cannot be modified except by direct means',100,1,12),
(269198,10164145,'When Equipped:',100,0,0),
(269199,10164145,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(269200,10164145,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(269201,10164145,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,3),
(269202,10164145,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(269203,10164145,'Must not be engaged in pvp combat',100,2,5),
(269204,10164145,'Cannot be modified except by direct means',100,2,6),
(269205,10164145,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(269206,10164145,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,8),
(269207,10164145,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(269208,10164145,'Must not be engaged in pvp combat',100,2,10),
(269209,10164145,'Cannot be modified except by direct means',100,2,11),
(269210,10164145,'Cannot be modified except by direct means',100,1,12),
(269211,102418,'Inflicts 725 - 1347 melee damage on targets in area',100,1,0),
(269212,10102418,'Inflicts 870 - 1616 melee damage on targets in area',100,1,0),
(269213,81688,'When Equipped:',100,0,0),
(269214,81688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269215,81688,'Inflicts 78 - 144 magic damage on target',100,2,2),
(269216,81688,'Cannot be modified except by direct means',100,2,3),
(269217,10081688,'When Equipped:',100,0,0),
(269218,10081688,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269219,10081688,'Inflicts 93 - 173 magic damage on target',100,2,2),
(269220,10081688,'Cannot be modified except by direct means',100,2,3),
(269221,105944,'Inflicts 90 - 110 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(269222,105944,'Inflicts 210 - 350 disease damage on targets in area',100,1,1),
(269223,10105944,'Inflicts 108 - 132 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(269224,10105944,'Inflicts 252 - 420 disease damage on targets in area',100,1,1),
(269225,123431,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(269226,123431,'Blurs vision of target',100,2,1),
(269227,123431,'Stuns target',100,2,2),
(269228,123431,'Throws target back',100,2,3),
(269229,123431,'Does not affect Epic targets',100,2,4),
(269230,123431,'Inflicts 199 - 598 melee damage on target',100,1,5),
(269231,10123431,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(269232,10123431,'Stuns target',100,2,1),
(269233,10123431,'Throws target back',100,2,2),
(269234,10123431,'Blurs vision of target',100,2,3),
(269235,10123431,'Does not affect Epic targets',100,2,4),
(269236,10123431,'Inflicts 239 - 717 melee damage on target',100,1,5),
(269237,109150,'Inflicts 29 - 49 melee damage on target',100,1,0),
(269238,10109150,'Inflicts 35 - 59 melee damage on target',100,1,0),
(269239,41426,'When Equipped:',100,0,0),
(269240,41426,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269241,41426,'Inflicts 56 - 103 magic damage on target',100,2,2),
(269242,41426,'Cannot be modified except by direct means',100,2,3),
(269243,10041426,'When Equipped:',100,0,0),
(269244,10041426,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269245,10041426,'Inflicts 67 - 124 magic damage on target',100,2,2),
(269246,10041426,'Cannot be modified except by direct means',100,2,3),
(269247,71201,'When Equipped:',100,0,0),
(269248,71201,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(269249,71201,'Heals group members for 236',100,2,2),
(269250,71201,'Cannot be modified except by direct means',100,2,3),
(269251,10071201,'When Equipped:',100,0,0),
(269252,10071201,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(269253,10071201,'Heals group members for 154',100,2,2),
(269254,10071201,'Cannot be modified except by direct means',100,2,3),
(269255,115116,'Summons 4 limited pets to aid the caster',100,1,0),
(269256,10115116,'Summons 4 limited pets to aid the caster',100,1,0),
(269257,87218,'When Equipped:',100,0,0),
(269258,87218,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269259,87218,'Inflicts 51 - 76 magic damage on target',100,2,2),
(269260,87218,'Cannot be modified except by direct means',100,2,3),
(269261,10087218,'When Equipped:',100,0,0),
(269262,10087218,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269263,10087218,'Inflicts 61 - 91 magic damage on target',100,2,2),
(269264,10087218,'Cannot be modified except by direct means',100,2,3),
(269265,100202,'Increases Threat to target encounter by 292 - 357 ',100,1,0),
(269266,100202,'Interrupts target encounter',100,1,1),
(269267,10100202,'Interrupts target encounter',100,1,0),
(269268,10100202,'Forces target encounter to change their selected target to caster.',100,1,1),
(269269,10100202,'Prevents target encounter from changing targets',100,1,2),
(269270,109899,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(269271,109899,'Inflicts 46 - 56 poison damage on target instantly and every 4 seconds',100,2,1),
(269272,10109899,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(269273,10109899,'Inflicts 55 - 67 poison damage on target instantly and every 4 seconds',100,2,1),
(269274,74560,'When Equipped:',100,0,0),
(269275,74560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269276,74560,'Inflicts 135 - 203 magic damage on target',100,2,2),
(269277,74560,'Cannot be modified except by direct means',100,2,3),
(269278,10074560,'When Equipped:',100,0,0),
(269279,10074560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269280,10074560,'Inflicts 162 - 244 magic damage on target',100,2,2),
(269281,10074560,'Cannot be modified except by direct means',100,2,3),
(269282,124238,'Decreases Attack Speed of caster by 17.9',100,1,0),
(269283,124238,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(269284,124238,'Slows targets in Area of Effect by 50.4%',100,2,2),
(269285,124238,'5% chance to dispel when target receives hostile action',100,2,3),
(269286,124238,'5% chance to dispel when target takes damage',100,2,4),
(269287,124238,'Increases Mitigation of caster vs physical damage by 912',100,1,5),
(269288,10124238,'Decreases Attack Speed of caster by 17.9',100,1,0),
(269289,10124238,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(269290,10124238,'Slows targets in Area of Effect by 37.8%',100,2,2),
(269291,10124238,'5% chance to dispel when target receives hostile action',100,2,3),
(269292,10124238,'5% chance to dispel when target takes damage',100,2,4),
(269293,10124238,'Increases Mitigation of caster vs physical damage by 912',100,1,5),
(269294,113510,'Inflicts 358 - 597 melee damage on targets in area',100,1,0),
(269295,10113510,'Inflicts 430 - 717 melee damage on targets in area',100,1,0),
(269296,103770,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.9',100,1,0),
(269297,10103770,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.9',100,1,0),
(269298,121070,'Increases STR and STA of group members (AE) by 57.3',100,1,0),
(269299,10121070,'Increases STR and STA of group members (AE) by 57.3',100,1,0),
(269300,104885,'Inflicts 151 - 252 magic damage on targets in area',100,1,0),
(269301,10104885,'Inflicts 181 - 303 magic damage on targets in area',100,1,0),
(269302,81652,'When Equipped:',100,0,0),
(269303,81652,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(269304,81652,'Inflicts 111 - 205 magic damage on target',100,2,2),
(269305,81652,'Decreases Threat to target by 376 ',100,2,3),
(269306,81652,'Must be flanking or behind',100,3,4),
(269307,81652,'Increases Threat to target by 658 ',100,2,5),
(269308,81652,'Must be in front of',100,3,6),
(269309,81652,'Cannot be modified except by direct means',100,2,7),
(269310,10081652,'When Equipped:',100,0,0),
(269311,10081652,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(269312,10081652,'Inflicts 133 - 246 magic damage on target',100,2,2),
(269313,10081652,'Cannot be modified except by direct means',100,2,3),
(269314,47635,'Applies Predator''s Poison when Activated.  Lasts for 12 hours.',100,0,0),
(269315,47635,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(269316,47635,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,2),
(269317,47635,'Inflicts 2 poison damage on target',100,2,3),
(269318,47635,'Cannot be modified except by direct means',100,2,4),
(269319,47635,'Grants a total of 100 triggers of the spell.',100,2,5),
(269320,10047635,'Applies Predator''s Poison when Activated.  Lasts for 12 hours.',100,0,0),
(269321,10047635,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(269322,10047635,'Inflicts 6 poison damage on target instantly and every 6 seconds',100,2,2),
(269323,10047635,'Inflicts 2 poison damage on target',100,2,3),
(269324,10047635,'Cannot be modified except by direct means',100,2,4),
(269325,10047635,'Grants a total of 100 triggers of the spell.',100,2,5),
(269326,36760,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(269327,119341,'Inflicts 52 - 78 disease damage on target',100,1,0),
(269328,119341,'Inflicts 21 - 31 disease damage on target every 4 seconds',100,1,1),
(269329,10119341,'Inflicts 62 - 94 disease damage on target',100,1,0),
(269330,10119341,'Inflicts 25 - 37 disease damage on target every 4 seconds',100,1,1),
(269331,82433,'Applies Imbued Smite when Equipped.',100,0,0),
(269332,82433,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(269333,82433,'Inflicts 407 divine damage on target instantly and every second',100,2,2),
(269334,82433,'Cannot be modified except by direct means',100,2,3),
(269335,82433,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(269336,82433,'Inflicts 407 divine damage on target instantly and every second',100,2,5),
(269337,82433,'Cannot be modified except by direct means',100,2,6),
(269338,10082433,'Applies Imbued Smite when Equipped.',100,0,0),
(269339,10082433,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(269340,10082433,'Inflicts 489 divine damage on target instantly and every second',100,2,2),
(269341,10082433,'Cannot be modified except by direct means',100,2,3),
(269342,10082433,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(269343,10082433,'Inflicts 489 divine damage on target instantly and every second',100,2,5),
(269344,10082433,'Cannot be modified except by direct means',100,2,6),
(269345,35021,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(269346,111145,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(269347,111145,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 642',100,1,1),
(269348,111145,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,2),
(269349,10111145,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(269350,10111145,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 642',100,1,1),
(269351,10111145,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,2),
(269352,124276,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(269353,124276,'Increases Damage Per Second of target by 28.0',100,2,1),
(269354,124276,'Increases Attack Speed of target by 28.0',100,2,2),
(269355,124276,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(269356,124276,'Increases Damage Per Second of target by 28.0',100,2,4),
(269357,124276,'Increases Attack Speed of target by 28.0',100,2,5),
(269358,124276,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(269359,124276,'Increases Damage Per Second of target by 28.0',100,2,7),
(269360,124276,'Increases Attack Speed of target by 28.0',100,2,8),
(269361,10124276,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(269362,10124276,'Increases Damage Per Second of target by 28.0',100,2,1),
(269363,10124276,'Increases Attack Speed of target by 28.0',100,2,2),
(269364,10124276,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(269365,10124276,'Increases Damage Per Second of target by 28.0',100,2,4),
(269366,10124276,'Increases Attack Speed of target by 28.0',100,2,5),
(269367,10124276,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(269368,10124276,'Increases Damage Per Second of target by 28.0',100,2,7),
(269369,10124276,'Increases Attack Speed of target by 28.0',100,2,8),
(269370,159047,'When Equipped:',100,0,0),
(269371,159047,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269372,159047,'Increases INT of caster by 5.8',100,2,2),
(269373,159047,'Increases Focus, Disruption and Subjugation of caster by 3.7',100,2,3),
(269374,159047,'Cannot be modified except by direct means',100,2,4),
(269375,10159047,'When Equipped:',100,0,0),
(269376,10159047,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269377,10159047,'Increases INT of caster by 5.8',100,2,2),
(269378,10159047,'Increases Focus, Disruption and Subjugation of caster by 3.7',100,2,3),
(269379,10159047,'Cannot be modified except by direct means',100,2,4),
(269380,116614,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(269381,116614,'Increases Mitigation of group members (AE) vs arcane damage by 140',100,1,1),
(269382,10116614,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(269383,10116614,'Increases Mitigation of group members (AE) vs arcane damage by 140',100,1,1),
(269384,120400,'Decreases Defense of caster by 18.9',100,1,0),
(269385,120400,'Increases Crushing and Ranged of caster by 34.0',100,1,1),
(269386,120400,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(269387,120400,'Inflicts 216 - 360 heat damage on target',100,2,3),
(269388,120400,'Increases Slashing and Piercing of caster by 34.0',100,1,4),
(269389,10120400,'Decreases Defense of caster by 18.9',100,1,0),
(269390,10120400,'Increases Crushing and Ranged of caster by 34.0',100,1,1),
(269391,10120400,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(269392,10120400,'Inflicts 259 - 432 heat damage on target',100,2,3),
(269393,10120400,'Increases Slashing and Piercing of caster by 34.0',100,1,4),
(269394,115435,'Inflicts 28 - 34 mental damage on target instantly and every 6 seconds',100,1,0),
(269395,115435,'Decreases Mitigation of target vs arcane damage by 280',100,1,1),
(269396,10115435,'Inflicts 33 - 41 mental damage on target instantly and every 6 seconds',100,1,0),
(269397,10115435,'Decreases Mitigation of target vs arcane damage by 280',100,1,1),
(269398,138208,'When Equipped:',100,0,0),
(269399,138208,'On any combat or spell hit this spell may cast Strengthened Tether on caster.  Lasts for 15.0 seconds.  Triggers about 0.2 times per minute. ',100,1,1),
(269400,138208,'Increases Crit Bonus and Potency of caster by 10 then adds additional Crit Bonus and Potency every second for 15 seconds.',100,2,2),
(269401,138208,'Cannot be modified except by direct means',100,1,3),
(269402,10138208,'When Equipped:',100,0,0),
(269403,10138208,'On any combat or spell hit this spell may cast Strengthened Tether on caster.  Lasts for 15.0 seconds.  Triggers about 0.2 times per minute. ',100,1,1),
(269404,10138208,'Increases Crit Bonus and Potency of caster by 10 then adds additional Crit Bonus and Potency every second for 15 seconds.',100,2,2),
(269405,10138208,'Cannot be modified except by direct means',100,1,3),
(269406,118129,'Heals target for 1102 - 1347',100,1,0),
(269407,10118129,'Heals target for 1302 - 1592',100,1,0),
(269408,113344,'Inflicts 371 - 454 divine damage on target encounter',100,1,0),
(269409,113344,'Interrupts target encounter',100,1,1),
(269410,10113344,'Inflicts 445 - 544 divine damage on target encounter',100,1,0),
(269411,10113344,'Interrupts target encounter',100,1,1),
(269412,80888,'When Equipped:',100,0,0),
(269413,80888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269414,80888,'Inflicts 188 - 349 magic damage on target',100,2,2),
(269415,80888,'Cannot be modified except by direct means',100,2,3),
(269416,10080888,'When Equipped:',100,0,0),
(269417,10080888,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269418,10080888,'Inflicts 226 - 419 magic damage on target',100,2,2),
(269419,10080888,'Cannot be modified except by direct means',100,2,3),
(269420,71934,'When Equipped:',100,0,0),
(269421,71934,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269422,71934,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(269423,71934,'Cannot be modified except by direct means',100,2,3),
(269424,10071934,'When Equipped:',100,0,0),
(269425,10071934,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269426,10071934,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(269427,10071934,'Cannot be modified except by direct means',100,2,3),
(269428,35053,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(269429,114182,'Inflicts 42 - 70 melee damage on target',100,1,0),
(269430,114182,'Decreases Slashing, Crushing and Piercing of target by 1.8',100,1,1),
(269431,10114182,'Inflicts 50 - 84 melee damage on target',100,1,0),
(269432,10114182,'Decreases Slashing, Crushing and Piercing of target by 1.8',100,1,1),
(269433,108056,'Inflicts 744 magic damage on target',100,1,0),
(269434,108056,'Increases power of caster by 306',100,1,1),
(269435,10108056,'Inflicts 893 magic damage on target',100,1,0),
(269436,10108056,'Increases power of caster by 306',100,1,1),
(269437,74599,'When Equipped:',100,0,0),
(269438,74599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269439,74599,'Inflicts 118 - 178 magic damage on target',100,2,2),
(269440,74599,'Cannot be modified except by direct means',100,2,3),
(269441,10074599,'When Equipped:',100,0,0),
(269442,10074599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269443,10074599,'Inflicts 142 - 213 magic damage on target',100,2,2),
(269444,10074599,'Cannot be modified except by direct means',100,2,3),
(269445,26267,'When Equipped:',100,0,0),
(269446,26267,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269447,26267,'Decreases power of target by 122',100,2,2),
(269448,26267,'Increases power of caster by 120',100,2,3),
(269449,26267,'Cannot be modified except by direct means',100,2,4),
(269450,10026267,'When Equipped:',100,0,0),
(269451,10026267,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269452,10026267,'Decreases power of target by 122',100,2,2),
(269453,10026267,'Increases power of caster by 120',100,2,3),
(269454,10026267,'Cannot be modified except by direct means',100,2,4),
(269455,71769,'When Equipped:',100,0,0),
(269456,71769,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269457,71769,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(269458,71769,'Cannot be modified except by direct means',100,2,3),
(269459,10071769,'When Equipped:',100,0,0),
(269460,10071769,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269461,10071769,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(269462,10071769,'Cannot be modified except by direct means',100,2,3),
(269463,116633,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(269464,116633,'Increases Mitigation of group members (AE) vs arcane damage by 504',100,1,1),
(269465,10116633,'Increases Max Power of group members (AE) by 326.3',100,1,0),
(269466,10116633,'Increases Mitigation of group members (AE) vs arcane damage by 504',100,1,1),
(269467,80345,'When Equipped:',100,0,0),
(269468,80345,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(269469,80345,'Inflicts 48 - 90 magic damage on target',100,2,2),
(269470,80345,'Decreases Threat to target by 153 ',100,2,3),
(269471,80345,'Must be flanking or behind',100,3,4),
(269472,80345,'Increases Threat to target by 267 ',100,2,5),
(269473,80345,'Must be in front of',100,3,6),
(269474,80345,'Cannot be modified except by direct means',100,2,7),
(269475,10080345,'When Equipped:',100,0,0),
(269476,10080345,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(269477,10080345,'Inflicts 58 - 107 magic damage on target',100,2,2),
(269478,10080345,'Cannot be modified except by direct means',100,2,3),
(269479,136673,'When Equipped:',100,0,0),
(269480,136673,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(269481,10136673,'When Equipped:',100,0,0),
(269482,10136673,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(269483,80811,'When Equipped:',100,0,0),
(269484,80811,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269485,80811,'Inflicts 175 - 324 magic damage on target',100,2,2),
(269486,80811,'Cannot be modified except by direct means',100,2,3),
(269487,10080811,'When Equipped:',100,0,0),
(269488,10080811,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269489,10080811,'Inflicts 209 - 389 magic damage on target',100,2,2),
(269490,10080811,'Cannot be modified except by direct means',100,2,3),
(269491,35092,'Increases STA of target by 17.8',100,0,0),
(269492,35092,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(269493,100779,'Wards target against 218 points of all damage',100,1,0),
(269494,10100779,'Wards target against 336 points of all damage',100,1,0),
(269495,110841,'Inflicts 183 - 248 mental damage on target',100,1,0),
(269496,110841,'Interrupts target',100,1,1),
(269497,10110841,'Inflicts 220 - 298 mental damage on target',100,1,0),
(269498,10110841,'Interrupts target',100,1,1),
(269499,81335,'When Equipped:',100,0,0),
(269500,81335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269501,81335,'Inflicts 72 - 134 magic damage on target',100,2,2),
(269502,81335,'Cannot be modified except by direct means',100,2,3),
(269503,10081335,'When Equipped:',100,0,0),
(269504,10081335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269505,10081335,'Inflicts 87 - 161 magic damage on target',100,2,2),
(269506,10081335,'Cannot be modified except by direct means',100,2,3),
(269507,134148,'When Equipped:',100,0,0),
(269508,134148,'On a critical spell hit this spell may cast Velium Flames III on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269509,134148,'Decreases Mitigation of target vs elemental damage by 1850',100,2,2),
(269510,134148,'Inflicts 4610 - 5095 heat damage on target',100,2,3),
(269511,134148,'Must not be engaged in pvp combat',100,2,4),
(269512,134148,'Cannot be modified except by direct means',100,2,5),
(269513,134148,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(269514,134148,'On a critical combat hit this spell may cast Velium Flames III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(269515,134148,'Decreases Mitigation of target vs elemental damage by 1850',100,2,8),
(269516,134148,'Inflicts 4610 - 5095 heat damage on target',100,2,9),
(269517,134148,'Must not be engaged in pvp combat',100,2,10),
(269518,134148,'Cannot be modified except by direct means',100,2,11),
(269519,134148,'Cannot be modified except by direct means',100,1,12),
(269520,10134148,'When Equipped:',100,0,0),
(269521,10134148,'On a critical spell hit this spell may cast Velium Flames III on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269522,10134148,'Decreases Mitigation of target vs elemental damage by 1850',100,2,2),
(269523,10134148,'Inflicts 5532 - 6115 heat damage on target',100,2,3),
(269524,10134148,'Must not be engaged in pvp combat',100,2,4),
(269525,10134148,'Cannot be modified except by direct means',100,2,5),
(269526,10134148,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(269527,10134148,'On a critical combat hit this spell may cast Velium Flames III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(269528,10134148,'Decreases Mitigation of target vs elemental damage by 1850',100,2,8),
(269529,10134148,'Inflicts 5532 - 6115 heat damage on target',100,2,9),
(269530,10134148,'Must not be engaged in pvp combat',100,2,10),
(269531,10134148,'Cannot be modified except by direct means',100,2,11),
(269532,10134148,'Cannot be modified except by direct means',100,1,12),
(269533,107187,'Inflicts 154 - 258 divine damage on target',100,1,0),
(269534,107187,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(269535,107187,'Stuns target',100,2,2),
(269536,107187,'If Target is not Epic',100,3,3),
(269537,107187,'Inflicts 361 - 602 divine damage on target',100,2,4),
(269538,107187,'Inflicts 310 - 516 divine damage on target',100,2,5),
(269539,107187,'If target is undead',100,3,6),
(269540,10107187,'Inflicts 123 - 206 divine damage on target',100,1,0),
(269541,10107187,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(269542,10107187,'Stuns target',100,2,2),
(269543,10107187,'Inflicts 651 - 1084 divine damage on target',100,2,3),
(269544,10107187,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(269545,104818,'Increases caster''s chance to block by 10.0%',100,1,0),
(269546,104818,'Decreases Attack Speed of caster by 18.8',100,1,1),
(269547,104818,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(269548,104818,'Increases Parry of caster by 40.6',100,1,3),
(269549,104818,'Increases Defense of caster by 40.6',100,1,4),
(269550,10104818,'Increases caster''s chance to block by 10.0%',100,1,0),
(269551,10104818,'Decreases Attack Speed of caster by 18.8',100,1,1),
(269552,10104818,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(269553,10104818,'Increases Parry of caster by 40.6',100,1,3),
(269554,10104818,'Increases Defense of caster by 40.6',100,1,4),
(269555,112083,'Inflicts 32 - 53 heat damage on target instantly and every 2 seconds',100,1,0),
(269556,10112083,'Inflicts 94 - 157 heat damage on target instantly and every 2 seconds',100,1,0),
(269557,111081,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(269558,111081,'Slows target by 47.3%',100,2,1),
(269559,111081,'5% chance to dispel when target receives hostile action',100,2,2),
(269560,111081,'5% chance to dispel when target takes damage',100,2,3),
(269561,111081,'Decreases Mitigation of target vs elemental damage by 1430',100,1,4),
(269562,10111081,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(269563,10111081,'Slows target by 47.3%',100,2,1),
(269564,10111081,'5% chance to dispel when target receives hostile action',100,2,2),
(269565,10111081,'5% chance to dispel when target takes damage',100,2,3),
(269566,10111081,'Decreases Mitigation of target vs elemental damage by 1430',100,1,4),
(269567,122286,'Decreases Threat to targets in Area of Effect by 3,848 ',100,1,0),
(269568,122286,'Makes targets in Area of Effect afraid',100,1,1),
(269569,122286,'If Target is not Epic',100,2,2),
(269570,122286,'30% chance to dispel when target takes damage',100,1,3),
(269571,10122286,'Applies Distract.',100,1,0),
(269572,10122286,'Forces target to clear their selected target.',100,2,1),
(269573,10122286,'Makes targets in Area of Effect afraid',100,1,2),
(269574,10122286,'If Target is not Epic',100,2,3),
(269575,10122286,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(269576,10122286,'30% chance to dispel when target takes damage',100,1,5),
(269577,107824,'Causes 11% Threat to transfer to target when in combat',100,1,0),
(269578,107824,'Increases Hate Gain of target by 11.0%',100,1,1),
(269579,107066,'Inflicts 10 - 12 divine damage on target',100,1,0),
(269580,10107066,'Inflicts 12 - 14 divine damage on target',100,1,0),
(269581,118602,'Roots target',100,1,0),
(269582,118602,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(269583,118602,'Slows target by 43.8%',100,2,2),
(269584,118602,'5% chance to dispel when target receives hostile action',100,2,3),
(269585,118602,'5% chance to dispel when target takes damage',100,2,4),
(269586,118602,'5% chance to dispel when target takes damage',100,1,5),
(269587,118602,'Does not affect Epic targets',100,1,6),
(269588,118602,'Resistibility increases against targets higher than level 78.',100,1,7),
(269589,10118602,'Roots target',100,1,0),
(269590,10118602,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(269591,10118602,'Slows target by 43.8%',100,2,2),
(269592,10118602,'5% chance to dispel when target receives hostile action',100,2,3),
(269593,10118602,'5% chance to dispel when target takes damage',100,2,4),
(269594,10118602,'5% chance to dispel when target takes damage',100,1,5),
(269595,10118602,'Does not affect Epic targets',100,1,6),
(269596,10118602,'Resistibility increases against targets higher than level 78.',100,1,7),
(269597,164844,'When Equipped:',100,0,0),
(269598,164844,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269599,164844,'Increases threat priority of target by 1 position',100,2,2),
(269600,164844,'Inflicts 537 mental damage on target',100,2,3),
(269601,164844,'Cannot be modified except by direct means',100,2,4),
(269602,164844,'Cannot be modified except by direct means',100,1,5),
(269603,10164844,'When Equipped:',100,0,0),
(269604,10164844,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269605,10164844,'Inflicts 644 mental damage on target',100,2,2),
(269606,10164844,'Cannot be modified except by direct means',100,2,3),
(269607,10164844,'Cannot be modified except by direct means',100,1,4),
(269608,46462,'Applies Deploy Geographic Simulacrumator when Activated.',100,0,0),
(269609,46462,'This effect cannot be cast during combat',100,1,1),
(269610,10046462,'Applies Deploy Geographic Simulacrumator when Activated.',100,0,0),
(269611,10046462,'This effect cannot be cast during combat',100,1,1),
(269612,41291,'When Equipped:',100,0,0),
(269613,41291,'On any combat or spell hit this spell may cast Evanescent Defenses on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269614,41291,'Decreases Parry and Defense of target by 60.0',100,2,2),
(269615,41291,'Increases Parry and Defense of caster by 60.0',100,2,3),
(269616,41291,'Must not be engaged in pvp combat',100,2,4),
(269617,41291,'Cannot be modified except by direct means',100,2,5),
(269618,10041291,'When Equipped:',100,0,0),
(269619,10041291,'On any combat or spell hit this spell may cast Evanescent Defenses on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269620,10041291,'Decreases Parry and Defense of target by 60.0',100,2,2),
(269621,10041291,'Increases Parry and Defense of caster by 60.0',100,2,3),
(269622,10041291,'Must not be engaged in pvp combat',100,2,4),
(269623,10041291,'Cannot be modified except by direct means',100,2,5),
(269624,109586,'Makes target afraid',100,1,0),
(269625,109586,'30% chance to dispel when target takes damage',100,1,1),
(269626,109586,'Does not affect Epic targets',100,1,2),
(269627,109586,'Resistibility increases against targets higher than level 107.',100,1,3),
(269628,10109586,'Makes target afraid',100,1,0),
(269629,10109586,'30% chance to dispel when target takes damage',100,1,1),
(269630,10109586,'Does not affect Epic targets',100,1,2),
(269631,10109586,'Resistibility increases against targets higher than level 107.',100,1,3),
(269632,80700,'When Equipped:',100,0,0),
(269633,80700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269634,80700,'Inflicts 56 - 103 magic damage on target',100,2,2),
(269635,80700,'Cannot be modified except by direct means',100,2,3),
(269636,10080700,'When Equipped:',100,0,0),
(269637,10080700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269638,10080700,'Inflicts 67 - 124 magic damage on target',100,2,2),
(269639,10080700,'Cannot be modified except by direct means',100,2,3),
(269640,74569,'When Equipped:',100,0,0),
(269641,74569,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269642,74569,'Inflicts 135 - 203 magic damage on target',100,2,2),
(269643,74569,'Cannot be modified except by direct means',100,2,3),
(269644,10074569,'When Equipped:',100,0,0),
(269645,10074569,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269646,10074569,'Inflicts 162 - 244 magic damage on target',100,2,2),
(269647,10074569,'Cannot be modified except by direct means',100,2,3),
(269648,134081,'When Equipped:',100,0,0),
(269649,134081,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269650,134081,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(269651,134081,'Wards target against 1000 points of all damage',100,2,3),
(269652,134081,'Cannot be modified except by direct means',100,2,4),
(269653,10134081,'When Equipped:',100,0,0),
(269654,10134081,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269655,10134081,'Replenishes 250 points of absorption every 2 seconds.',100,2,2),
(269656,10134081,'Wards target against 1000 points of all damage',100,2,3),
(269657,10134081,'Cannot be modified except by direct means',100,2,4),
(269658,117362,'Roots target',100,1,0),
(269659,117362,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(269660,117362,'Slows target by 74.6%',100,2,2),
(269661,117362,'5% chance to dispel when target receives hostile action',100,2,3),
(269662,117362,'5% chance to dispel when target takes damage',100,2,4),
(269663,117362,'15% chance to dispel when target takes damage',100,1,5),
(269664,117362,'Does not affect Epic targets',100,1,6),
(269665,117362,'Resistibility increases against targets higher than level 112.',100,1,7),
(269666,10117362,'Roots target',100,1,0),
(269667,10117362,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(269668,10117362,'Slows target by 74.6%',100,2,2),
(269669,10117362,'10% chance to dispel when target receives hostile action',100,2,3),
(269670,10117362,'10% chance to dispel when target takes damage',100,2,4),
(269671,10117362,'15% chance to dispel when target takes damage',100,1,5),
(269672,10117362,'Does not affect Epic targets',100,1,6),
(269673,10117362,'Resistibility increases against targets higher than level 112.',100,1,7),
(269674,104289,'Inflicts 75 - 125 melee damage on target',100,1,0),
(269675,104289,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(269676,104289,'Stuns target',100,2,2),
(269677,104289,'Throws target back',100,2,3),
(269678,104289,'Blurs vision of target',100,2,4),
(269679,104289,'Does not affect Epic targets',100,2,5),
(269680,10104289,'Inflicts 90 - 150 melee damage on target',100,1,0),
(269681,10104289,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(269682,10104289,'Stuns target',100,2,2),
(269683,10104289,'Throws target back',100,2,3),
(269684,10104289,'Blurs vision of target',100,2,4),
(269685,10104289,'Does not affect Epic targets',100,2,5),
(269686,36890,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(269687,36890,'This effect suspends during combat',100,0,1),
(269688,188220,'Applies Tormenting Aura when Activated.',100,0,0),
(269689,188220,'Increases Threat to target by 392 - 588 ',100,1,1),
(269690,188220,'Inflicts 7 - 127 mental damage on target',100,1,2),
(269691,188220,'The casting time of Tormenting Aura is 0.25 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(269692,10188220,'Applies Tormenting Aura when Activated.',100,0,0),
(269693,10188220,'Inflicts 8 - 152 mental damage on target',100,1,1),
(269694,10188220,'The casting time of Tormenting Aura is 0.25 seconds and the reuse time of the spell is 10 minutes',100,1,2),
(269695,118488,'Summons a limited pet to aid the caster',100,1,0),
(269696,10118488,'Summons a limited pet to aid the caster',100,1,0),
(269697,109612,'Increases Defense of group members'' pets (AE) by 9.6',100,1,0),
(269698,109612,'Increases Mitigation of group members (AE) vs all damage by 154',100,1,1),
(269699,10109612,'Increases Defense of group members'' pets (AE) by 9.6',100,1,0),
(269700,10109612,'Increases Mitigation of group members (AE) vs all damage by 154',100,1,1),
(269701,135242,'When Equipped:',100,0,0),
(269702,135242,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(269703,135242,'Heals group members (AE) for 871',100,2,2),
(269704,135242,'Cannot be modified except by direct means',100,2,3),
(269705,10135242,'When Equipped:',100,0,0),
(269706,10135242,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(269707,10135242,'Heals group members (AE) for 1019',100,2,2),
(269708,10135242,'Cannot be modified except by direct means',100,2,3),
(269709,84626,'When Equipped:',100,0,0),
(269710,84626,'On a critical combat hit this spell may cast Mindsieve IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269711,84626,'Inflicts 245 - 270 mental damage on target',100,2,2),
(269712,84626,'Increases power of caster by 26',100,2,3),
(269713,84626,'Must not be engaged in pvp combat',100,2,4),
(269714,84626,'Cannot be modified except by direct means',100,2,5),
(269715,84626,'On a critical spell hit this spell may cast Mindsieve IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(269716,84626,'Inflicts 245 - 270 mental damage on target',100,2,7),
(269717,84626,'Increases power of caster by 26',100,2,8),
(269718,84626,'Must not be engaged in pvp combat',100,2,9),
(269719,84626,'Cannot be modified except by direct means',100,2,10),
(269720,84626,'Must not be engaged in pvp combat',100,1,11),
(269721,10084626,'When Equipped:',100,0,0),
(269722,10084626,'On a critical combat hit this spell may cast Mindsieve IV on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269723,10084626,'Inflicts 294 - 324 mental damage on target',100,2,2),
(269724,10084626,'Increases power of caster by 26',100,2,3),
(269725,10084626,'Must not be engaged in pvp combat',100,2,4),
(269726,10084626,'Cannot be modified except by direct means',100,2,5),
(269727,10084626,'On a critical spell hit this spell may cast Mindsieve IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(269728,10084626,'Inflicts 294 - 324 mental damage on target',100,2,7),
(269729,10084626,'Increases power of caster by 26',100,2,8),
(269730,10084626,'Must not be engaged in pvp combat',100,2,9),
(269731,10084626,'Cannot be modified except by direct means',100,2,10),
(269732,10084626,'Must not be engaged in pvp combat',100,1,11),
(269733,45797,'Applies Crew Commander''s Control Crystal when Activated.',100,0,0),
(269734,10045797,'Applies Crew Commander''s Control Crystal when Activated.',100,0,0),
(269735,117652,'Decreases Mitigation of target vs physical damage by 123',100,1,0),
(269736,10117652,'Decreases Mitigation of target vs physical damage by 61',100,1,0),
(269737,123648,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(269738,123648,'Slows target by 39.0%',100,2,1),
(269739,123648,'5% chance to dispel when target receives hostile action',100,2,2),
(269740,123648,'5% chance to dispel when target takes damage',100,2,3),
(269741,123648,'Inflicts 200 - 244 cold damage on target',100,1,4),
(269742,10123648,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(269743,10123648,'Slows target by 39.0%',100,2,1),
(269744,10123648,'5% chance to dispel when target receives hostile action',100,2,2),
(269745,10123648,'5% chance to dispel when target takes damage',100,2,3),
(269746,10123648,'Inflicts 206 - 251 cold damage on target',100,1,4),
(269747,114856,'Decreases AGI of target by 26.4',100,1,0),
(269748,114856,'Decreases Defense of target by 10.3',100,1,1),
(269749,10114856,'Decreases AGI of target by 26.4',100,1,0),
(269750,10114856,'Decreases Defense of target by 10.3',100,1,1),
(269751,101960,'Inflicts 248 - 460 heat damage on target',100,1,0),
(269752,10101960,'Inflicts 297 - 552 heat damage on target',100,1,0),
(269753,124380,'Inflicts 267 - 326 divine damage on target',100,1,0),
(269754,124380,'Inflicts 111 - 136 divine damage on target every 4 seconds',100,1,1),
(269755,10124380,'Inflicts 320 - 391 divine damage on target',100,1,0),
(269756,10124380,'Inflicts 133 - 163 divine damage on target every 4 seconds',100,1,1),
(269757,26248,'When Equipped:',100,0,0),
(269758,26248,'Increases Damage Per Second of caster by 8.0',100,1,1),
(269759,10026248,'When Equipped:',100,0,0),
(269760,10026248,'Increases Damage Per Second of caster by 8.0',100,1,1),
(269761,117422,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(269762,117422,'Inflicts 116 - 216 melee damage on targets in area',100,2,1),
(269763,117422,'Grants a total of 10 triggers of the spell.',100,2,2),
(269764,10117422,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(269765,10117422,'Inflicts 139 - 259 melee damage on targets in area',100,2,1),
(269766,10117422,'Grants a total of 10 triggers of the spell.',100,2,2),
(269767,41560,'When Equipped:',100,0,0),
(269768,41560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269769,41560,'Inflicts 79 - 146 magic damage on target',100,2,2),
(269770,41560,'Cannot be modified except by direct means',100,2,3),
(269771,10041560,'When Equipped:',100,0,0),
(269772,10041560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269773,10041560,'Inflicts 94 - 175 magic damage on target',100,2,2),
(269774,10041560,'Cannot be modified except by direct means',100,2,3),
(269775,123412,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(269776,123412,'Applies Exploding Heart on termination.',100,2,1),
(269777,123412,'Heals caster for 87.5% of max health',100,2,2),
(269778,123412,'This effect cannot be critically applied.',100,3,3),
(269779,123412,'The healing of this spell cannot be modified except by direct means',100,2,4),
(269780,123412,'Grants a total of 1 trigger of the spell.',100,2,5),
(269781,10123412,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(269782,10123412,'Applies Exploding Heart on termination.',100,2,1),
(269783,10123412,'Heals caster for 43.8% of max health',100,2,2),
(269784,10123412,'This effect cannot be critically applied.',100,3,3),
(269785,10123412,'The healing of this spell cannot be modified except by direct means',100,2,4),
(269786,10123412,'Grants a total of 1 trigger of the spell.',100,2,5),
(269787,52790,'Applies Sanguine Imbued when Equipped.',100,0,0),
(269788,52790,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(269789,52790,'Inflicts 146 heat damage on target',100,2,2),
(269790,52790,'Cannot be modified except by direct means',100,2,3),
(269791,10052790,'Applies Sanguine Imbued when Equipped.',100,0,0),
(269792,10052790,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(269793,10052790,'Inflicts 175 heat damage on target',100,2,2),
(269794,10052790,'Cannot be modified except by direct means',100,2,3),
(269795,108494,'Inflicts 19 - 32 melee damage on target',100,1,0),
(269796,10108494,'Inflicts 23 - 38 melee damage on target',100,1,0),
(269797,111572,'Inflicts 2744 - 5096 cold damage on target',100,1,0),
(269798,111572,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(269799,111572,'Stuns target',100,2,2),
(269800,111572,'Throws target back',100,2,3),
(269801,111572,'Blurs vision of target',100,2,4),
(269802,111572,'Does not affect Epic targets',100,2,5),
(269803,10111572,'Inflicts 2381 - 4422 cold damage on target',100,1,0),
(269804,10111572,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(269805,10111572,'Blurs vision of target',100,2,2),
(269806,10111572,'Stuns target',100,2,3),
(269807,10111572,'Throws target back',100,2,4),
(269808,10111572,'Does not affect Epic targets',100,2,5),
(269809,103159,'Throws target back',100,1,0),
(269810,103159,'If Target is not Epic',100,2,1),
(269811,103159,'Inflicts 64 - 193 crushing damage on target',100,1,2),
(269812,103159,'Stuns target',100,1,3),
(269813,103159,'If Target is not Epic',100,2,4),
(269814,103159,'Resistibility increases against targets higher than level 70.',100,1,5),
(269815,10103159,'Throws target back',100,1,0),
(269816,10103159,'If Target is not Epic',100,2,1),
(269817,10103159,'Inflicts 77 - 231 crushing damage on target',100,1,2),
(269818,10103159,'Stuns target',100,1,3),
(269819,10103159,'If Target is not Epic',100,2,4),
(269820,10103159,'Resistibility increases against targets higher than level 70.',100,1,5),
(269821,72008,'When Equipped:',100,0,0),
(269822,72008,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269823,72008,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(269824,72008,'Cannot be modified except by direct means',100,2,3),
(269825,10072008,'When Equipped:',100,0,0),
(269826,10072008,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(269827,10072008,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(269828,10072008,'Cannot be modified except by direct means',100,2,3),
(269829,36237,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(269830,47174,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(269831,47174,'Increases STA and STR of caster by 17.3',100,1,1),
(269832,10047174,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(269833,10047174,'Increases STA and STR of caster by 17.3',100,1,1),
(269834,116175,'Inflicts 42 - 71 mental damage on target',100,1,0),
(269835,10116175,'Inflicts 51 - 85 mental damage on target',100,1,0),
(269836,101752,'Heals group members (AE) for 49 - 59 instantly and every 2 seconds',100,1,0),
(269837,10101752,'Heals group members (AE) for 32 - 39 instantly and every 2 seconds',100,1,0),
(269838,100241,'Inflicts 4 - 7 poison damage on target instantly and every 3 seconds',100,1,0),
(269839,10100241,'Inflicts 11 - 20 poison damage on target instantly and every 3 seconds',100,1,0),
(269840,124013,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(269841,124013,'Heals target for 132 - 161',100,2,1),
(269842,124013,'Grants a total of 5 triggers of the spell.',100,2,2),
(269843,10124013,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(269844,10124013,'Heals target for 86 - 105',100,2,1),
(269845,10124013,'Grants a total of 5 triggers of the spell.',100,2,2),
(269846,35888,'Increases Max Power of target by 90.7',100,0,0),
(269847,35888,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(269848,46582,'Applies Major Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(269849,46582,'Increases Combat XP Gain of caster by 50.0%',100,1,1),
(269850,46582,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,2),
(269851,46582,'Increases AA XP Gain of caster by 50.0%',100,1,3),
(269852,46582,'You can only have one experience potion active at a time.',100,1,4),
(269853,10046582,'Applies Major Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(269854,10046582,'Increases Combat XP Gain of caster by 50.0%',100,1,1),
(269855,10046582,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,2),
(269856,10046582,'Increases AA XP Gain of caster by 50.0%',100,1,3),
(269857,10046582,'You can only have one experience potion active at a time.',100,1,4),
(269858,51335,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(269859,51335,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(269860,51335,'Inflicts 32 heat damage on target',100,2,2),
(269861,51335,'Cannot be modified except by direct means',100,2,3),
(269862,10051335,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(269863,10051335,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(269864,10051335,'Inflicts 38 heat damage on target',100,2,2),
(269865,10051335,'Cannot be modified except by direct means',100,2,3),
(269866,76838,'When Equipped:',100,0,0),
(269867,76838,'On a combat hit this spell may cast Rending on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269868,76838,'Inflicts 74 - 111 melee damage on target',100,2,2),
(269869,76838,'Inflicts 74 - 111 melee damage on target',100,2,3),
(269870,76838,'Inflicts 74 - 111 melee damage on target',100,2,4),
(269871,76838,'Inflicts 74 - 111 melee damage on target',100,2,5),
(269872,76838,'Cannot be modified except by direct means',100,2,6),
(269873,10076838,'When Equipped:',100,0,0),
(269874,10076838,'On a combat hit this spell may cast Rending on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(269875,10076838,'Inflicts 89 - 134 melee damage on target',100,2,2),
(269876,10076838,'Inflicts 89 - 134 melee damage on target',100,2,3),
(269877,10076838,'Inflicts 89 - 134 melee damage on target',100,2,4),
(269878,10076838,'Inflicts 89 - 134 melee damage on target',100,2,5),
(269879,10076838,'Cannot be modified except by direct means',100,2,6),
(269880,48328,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(269881,48328,'Increases Max Power of caster by 113.5',100,1,1),
(269882,10048328,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(269883,10048328,'Increases Max Power of caster by 113.5',100,1,1),
(269884,136491,'When Equipped:',100,0,0),
(269885,136491,'This effect will not stack with any rank or tier of itself.',100,1,1),
(269886,136491,'Increases Attack Speed of caster by 11.0',100,1,2),
(269887,136491,'Cannot be modified except by direct means',100,1,3),
(269888,10136491,'When Equipped:',100,0,0),
(269889,10136491,'This effect will not stack with any rank or tier of itself.',100,1,1),
(269890,10136491,'Increases Attack Speed of caster by 11.0',100,1,2),
(269891,10136491,'Cannot be modified except by direct means',100,1,3),
(269892,106519,'Inflicts 1414 - 2357 melee damage on target',100,1,0),
(269893,106519,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(269894,106519,'If Target is Standard or weaker',100,2,2),
(269895,10106519,'Inflicts 848 - 1414 melee damage on target',100,1,0),
(269896,81081,'When Equipped:',100,0,0),
(269897,81081,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(269898,81081,'Decreases Threat to target by 517 ',100,2,2),
(269899,81081,'Must be flanking or behind',100,3,3),
(269900,81081,'Increases Threat to target by 905 ',100,2,4),
(269901,81081,'Must be in front of',100,3,5),
(269902,81081,'Inflicts 148 - 275 magic damage on target',100,2,6),
(269903,81081,'Cannot be modified except by direct means',100,2,7),
(269904,10081081,'When Equipped:',100,0,0),
(269905,10081081,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(269906,10081081,'Inflicts 178 - 330 magic damage on target',100,2,2),
(269907,10081081,'Cannot be modified except by direct means',100,2,3),
(269908,101867,'Stuns target',100,1,0),
(269909,101867,'Does not affect Epic targets',100,1,1),
(269910,101867,'Resistibility increases against targets higher than level 96.',100,1,2),
(269911,10101867,'Stuns target',100,1,0),
(269912,10101867,'Does not affect Epic targets',100,1,1),
(269913,10101867,'Resistibility increases against targets higher than level 96.',100,1,2),
(269914,75662,'When Equipped:',100,0,0),
(269915,75662,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269916,75662,'Heals target for 1029 - 1137 instantly and every 2 seconds',100,2,2),
(269917,75662,'Must not be engaged in pvp combat',100,2,3),
(269918,75662,'Cannot be modified except by direct means',100,2,4),
(269919,75662,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(269920,75662,'Cannot be modified except by direct means',100,1,6),
(269921,10075662,'When Equipped:',100,0,0),
(269922,10075662,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(269923,10075662,'Heals target for 1204 - 1330 instantly and every 2 seconds',100,2,2),
(269924,10075662,'Must not be engaged in pvp combat',100,2,3),
(269925,10075662,'Cannot be modified except by direct means',100,2,4),
(269926,10075662,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(269927,10075662,'Cannot be modified except by direct means',100,1,6),
(269928,152946,'When Equipped:',100,0,0),
(269929,152946,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269930,152946,'Inflicts 1199 disease damage on target encounter',100,2,2),
(269931,152946,'Must not be engaged in pvp combat',100,2,3),
(269932,152946,'Cannot be modified except by direct means',100,2,4),
(269933,10152946,'When Equipped:',100,0,0),
(269934,10152946,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(269935,10152946,'Inflicts 719 disease damage on target encounter',100,2,2),
(269936,10152946,'Must not be engaged in pvp combat',100,2,3),
(269937,10152946,'Cannot be modified except by direct means',100,2,4),
(269938,175735,'When Equipped:',100,0,0),
(269939,175735,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(269940,175735,'Increases power of target by 5',100,2,2),
(269941,175735,'Cannot be modified except by direct means',100,2,3),
(269942,10175735,'When Equipped:',100,0,0),
(269943,10175735,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(269944,10175735,'Increases power of target by 5',100,2,2),
(269945,10175735,'Cannot be modified except by direct means',100,2,3),
(269946,36528,'Increases STR of target by 4.3',100,0,0),
(269947,36528,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(269948,105462,'Stuns target encounter',100,1,0),
(269949,105462,'If Target is not Epic',100,2,1),
(269950,105462,'Inflicts 36 - 67 poison damage on target encounter',100,1,2),
(269951,105462,'Resistibility increases against targets higher than level 37.',100,1,3),
(269952,10105462,'Stuns target encounter',100,1,0),
(269953,10105462,'If Target is not Epic',100,2,1),
(269954,10105462,'Inflicts 43 - 81 poison damage on target encounter',100,1,2),
(269955,10105462,'Resistibility increases against targets higher than level 37.',100,1,3),
(269956,24641,'Adds Poet''s Palace: Ornate Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(269957,10024641,'Adds Poet''s Palace: Ornate Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(269958,46023,'Applies Place dummy when Activated.',100,0,0),
(269959,46023,'This effect cannot be cast during combat',100,1,1),
(269960,10046023,'Applies Place dummy when Activated.',100,0,0),
(269961,10046023,'This effect cannot be cast during combat',100,1,1),
(269962,117413,'Increases Mitigation of group members (AE) vs physical damage by 84',100,1,0),
(269963,10117413,'Increases Mitigation of group members (AE) vs physical damage by 84',100,1,0),
(269964,111129,'Heals target for 23.9 - 29.3% of max health',100,1,0),
(269965,111129,'This effect cannot be critically applied.',100,2,1),
(269966,111129,'Increases Mitigation of target vs physical damage by 845',100,1,2),
(269967,111129,'The healing of this spell cannot be modified except by direct means',100,1,3),
(269968,10111129,'Heals target for 9.0 - 11.0% of max health',100,1,0),
(269969,10111129,'This effect cannot be critically applied.',100,2,1),
(269970,10111129,'Increases Mitigation of target vs physical damage by 845',100,1,2),
(269971,10111129,'The healing of this spell cannot be modified except by direct means',100,1,3),
(269972,25764,'When Equipped:',100,0,0),
(269973,25764,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,1),
(269974,25764,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(269975,10025764,'When Equipped:',100,0,0),
(269976,10025764,'Improves the reuse time of Sacrifice by 30 seconds.',100,1,1),
(269977,10025764,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(269978,106363,'Decreases Mitigation of target vs arcane damage by 1300',100,1,0),
(269979,106363,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(269980,106363,'Slows target by 43.0%',100,2,2),
(269981,106363,'5% chance to dispel when target receives hostile action',100,2,3),
(269982,106363,'5% chance to dispel when target takes damage',100,2,4),
(269983,10106363,'Decreases Mitigation of target vs arcane damage by 1300',100,1,0),
(269984,10106363,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(269985,10106363,'Slows target by 43.0%',100,2,2),
(269986,10106363,'5% chance to dispel when target receives hostile action',100,2,3),
(269987,10106363,'5% chance to dispel when target takes damage',100,2,4),
(269988,112847,'Roots target',100,1,0),
(269989,112847,'5% chance to dispel when target takes damage',100,1,1),
(269990,112847,'Does not affect Epic targets',100,1,2),
(269991,112847,'Resistibility increases against targets higher than level 93.',100,1,3),
(269992,10112847,'Roots target',100,1,0),
(269993,10112847,'5% chance to dispel when target takes damage',100,1,1),
(269994,10112847,'Does not affect Epic targets',100,1,2),
(269995,10112847,'Resistibility increases against targets higher than level 93.',100,1,3),
(269996,45355,'Applies Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(269997,45355,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(269998,45355,'Inflicts 25 magic damage on target',100,2,2),
(269999,45355,'Cannot be modified except by direct means',100,2,3),
(270000,45355,'Only affects targets level 50 and above',100,1,4),
(270001,10045355,'Applies Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(270002,10045355,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(270003,10045355,'Inflicts 30 magic damage on target',100,2,2),
(270004,10045355,'Cannot be modified except by direct means',100,2,3),
(270005,10045355,'Only affects targets level 50 and above',100,1,4),
(270006,47340,'Applies Summon a mystic Icemare of Rime when Activated.',100,0,0),
(270007,47340,'Summons a mount to ride',100,1,1),
(270008,47340,'Increases your ground speed by 130%',100,2,2),
(270009,47340,'Increases Ability Casting Speed of caster by 3.0%',100,1,3),
(270010,47340,'Increases Max Health of caster by 150.0',100,1,4),
(270011,47340,'Increases Max Power of caster by 150.0',100,1,5),
(270012,10047340,'Applies Summon a mystic Icemare of Rime when Activated.',100,0,0),
(270013,10047340,'Summons a mount to ride',100,1,1),
(270014,10047340,'Increases your ground speed by 130%',100,2,2),
(270015,10047340,'Increases Ability Casting Speed of caster by 3.0%',100,1,3),
(270016,10047340,'Increases Max Health of caster by 150.0',100,1,4),
(270017,10047340,'Increases Max Power of caster by 150.0',100,1,5),
(270018,88667,'When Equipped:',100,0,0),
(270019,88667,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(270020,88667,'Inflicts 80 - 134 magic damage on target',100,2,2),
(270021,88667,'Inflicts 80 - 134 divine damage on target',100,2,3),
(270022,88667,'Inflicts 80 - 134 piercing damage on target',100,2,4),
(270023,88667,'Must not be engaged in pvp combat',100,2,5),
(270024,88667,'Cannot be modified except by direct means',100,2,6),
(270025,88667,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(270026,88667,'Inflicts 80 - 134 magic damage on target',100,2,8),
(270027,88667,'Inflicts 80 - 134 divine damage on target',100,2,9),
(270028,88667,'Inflicts 80 - 134 piercing damage on target',100,2,10),
(270029,88667,'Must not be engaged in pvp combat',100,2,11),
(270030,88667,'Cannot be modified except by direct means',100,2,12),
(270031,88667,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(270032,88667,'Inflicts 80 - 134 magic damage on target',100,2,14),
(270033,88667,'Inflicts 80 - 134 divine damage on target',100,2,15),
(270034,88667,'Inflicts 80 - 134 piercing damage on target',100,2,16),
(270035,88667,'Must not be engaged in pvp combat',100,2,17),
(270036,88667,'Cannot be modified except by direct means',100,2,18),
(270037,88667,'Must not be engaged in pvp combat',100,1,19),
(270038,10088667,'When Equipped:',100,0,0),
(270039,10088667,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(270040,10088667,'Inflicts 96 - 160 magic damage on target',100,2,2),
(270041,10088667,'Inflicts 96 - 160 divine damage on target',100,2,3),
(270042,10088667,'Inflicts 96 - 160 piercing damage on target',100,2,4),
(270043,10088667,'Must not be engaged in pvp combat',100,2,5),
(270044,10088667,'Cannot be modified except by direct means',100,2,6),
(270045,10088667,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(270046,10088667,'Inflicts 96 - 160 magic damage on target',100,2,8),
(270047,10088667,'Inflicts 96 - 160 divine damage on target',100,2,9),
(270048,10088667,'Inflicts 96 - 160 piercing damage on target',100,2,10),
(270049,10088667,'Must not be engaged in pvp combat',100,2,11),
(270050,10088667,'Cannot be modified except by direct means',100,2,12),
(270051,10088667,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(270052,10088667,'Inflicts 96 - 160 magic damage on target',100,2,14),
(270053,10088667,'Inflicts 96 - 160 divine damage on target',100,2,15),
(270054,10088667,'Inflicts 96 - 160 piercing damage on target',100,2,16),
(270055,10088667,'Must not be engaged in pvp combat',100,2,17),
(270056,10088667,'Cannot be modified except by direct means',100,2,18),
(270057,10088667,'Must not be engaged in pvp combat',100,1,19),
(270058,157468,'When Equipped:',100,0,0),
(270059,157468,'This effect can only be triggered by physical damage.',100,1,1),
(270060,157468,'On death this spell has a 15% chance to cast Grim Image on caster.  Lasts for 1 hour.  ',100,1,2),
(270061,157468,'This effect can only activate once every 60 minutes.',100,2,3),
(270062,157468,'Decreases power of caster by 5157',100,2,4),
(270063,157468,'Heals caster for 5711',100,2,5),
(270064,157468,'Cannot be modified except by direct means',100,2,6),
(270065,10157468,'When Equipped:',100,0,0),
(270066,10157468,'This effect can only be triggered by physical damage.',100,1,1),
(270067,10157468,'On death this spell has a 15% chance to cast Grim Image on caster.  Lasts for 1 hour.  ',100,1,2),
(270068,10157468,'This effect can only activate once every 60 minutes.',100,2,3),
(270069,10157468,'Decreases power of caster by 5157',100,2,4),
(270070,10157468,'Heals caster for 3712',100,2,5),
(270071,10157468,'Cannot be modified except by direct means',100,2,6),
(270072,103934,'Wards group members (AE) collectively against 1986 total points of all damage',100,1,0),
(270073,10103934,'Wards group members (AE) collectively against 2959 total points of all damage',100,1,0),
(270074,46687,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(270075,46687,'Increases Combat XP Gain of caster by 50.4%',100,1,1),
(270076,46687,'Increases Tradeskill XP Gain of caster by 50.4%',100,1,2),
(270077,46687,'Increases AA XP Gain of caster by 50.4%',100,1,3),
(270078,46687,'If between levels 10 - 39',100,1,4),
(270079,46687,'You can only have one experience potion active at a time.',100,1,5),
(270080,10046687,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(270081,10046687,'Increases Combat XP Gain of caster by 50.4%',100,1,1),
(270082,10046687,'Increases Tradeskill XP Gain of caster by 50.4%',100,1,2),
(270083,10046687,'Increases AA XP Gain of caster by 50.4%',100,1,3),
(270084,10046687,'If between levels 10 - 39',100,1,4),
(270085,10046687,'You can only have one experience potion active at a time.',100,1,5),
(270086,115694,'Inflicts 59 - 177 melee damage on target',100,1,0),
(270087,115694,'Inflicts 59 - 177 melee damage on target',100,1,1),
(270088,115694,'Inflicts 59 - 177 melee damage on target',100,1,2),
(270089,115694,'Inflicts 59 - 177 melee damage on target',100,1,3),
(270090,115694,'Inflicts 59 - 177 melee damage on target',100,1,4),
(270091,115694,'Inflicts 59 - 177 melee damage on target',100,1,5),
(270092,115694,'Inflicts 59 - 177 melee damage on target',100,1,6),
(270093,115694,'Inflicts 59 - 177 melee damage on target',100,1,7),
(270094,10115694,'Inflicts 70 - 212 melee damage on target',100,1,0),
(270095,10115694,'Inflicts 70 - 212 melee damage on target',100,1,1),
(270096,10115694,'Inflicts 70 - 212 melee damage on target',100,1,2),
(270097,10115694,'Inflicts 70 - 212 melee damage on target',100,1,3),
(270098,10115694,'Inflicts 70 - 212 melee damage on target',100,1,4),
(270099,10115694,'Inflicts 70 - 212 melee damage on target',100,1,5),
(270100,10115694,'Inflicts 70 - 212 melee damage on target',100,1,6),
(270101,10115694,'Inflicts 70 - 212 melee damage on target',100,1,7),
(270102,119139,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(270103,119139,'Inflicts 310 - 379 slashing damage on target',100,2,1),
(270104,119139,'Increases Mitigation of caster vs physical damage by 885',100,1,2),
(270105,10119139,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(270106,10119139,'Inflicts 372 - 455 slashing damage on target',100,2,1),
(270107,10119139,'Increases Mitigation of caster vs physical damage by 885',100,1,2),
(270108,101936,'Inflicts 253 - 422 melee damage on target',100,1,0),
(270109,101936,'Inflicts 85 piercing damage on target instantly and every 4 seconds',100,1,1),
(270110,101936,'Must be behind',100,1,2),
(270111,10101936,'Inflicts 304 - 507 melee damage on target',100,1,0),
(270112,10101936,'Inflicts 101 piercing damage on target instantly and every 4 seconds',100,1,1),
(270113,10101936,'Must be behind',100,1,2),
(270114,115562,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2013',100,1,0),
(270115,10115562,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2013',100,1,0),
(270116,24469,'Adds Lair of Scale 2 to your Dungeon Maker toolbox',100,0,0),
(270117,10024469,'Adds Lair of Scale 2 to your Dungeon Maker toolbox',100,0,0),
(270118,35392,'Decreases STR of target by 32.0',100,0,0),
(270119,35392,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(270120,135641,'When Equipped:',100,0,0),
(270121,135641,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(270122,10135641,'When Equipped:',100,0,0),
(270123,10135641,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(270124,25883,'When Equipped:',100,0,0),
(270125,25883,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(270126,25883,'Improves the base damage of Triple Shot VI by 10% and improves the hit chance by 20%.',100,1,2),
(270127,10025883,'When Equipped:',100,0,0),
(270128,10025883,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(270129,10025883,'Improves the base damage of Triple Shot VI by 10% and improves the hit chance by 20%.',100,1,2),
(270130,113123,'Decreases Attack Speed of target encounter by 17.9',100,1,0),
(270131,10113123,'Decreases Attack Speed of target encounter by 17.9',100,1,0),
(270132,112674,'Increases Parry of group members (AE) by 14.4',100,1,0),
(270133,10112674,'Increases Parry of group members (AE) by 14.4',100,1,0),
(270134,73906,'Applies Disease Blast when Activated.',100,0,0),
(270135,73906,'Inflicts 243 - 405 disease damage on target',100,1,1),
(270136,73906,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(270137,10073906,'Applies Disease Blast when Activated.',100,0,0),
(270138,10073906,'Inflicts 291 - 486 disease damage on target',100,1,1),
(270139,10073906,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(270140,117546,'Increases AGI, INT and WIS of group members (AE) by 69.0',100,1,0),
(270141,117546,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 267',100,1,1),
(270142,10117546,'Increases AGI, INT and WIS of group members (AE) by 69.0',100,1,0),
(270143,10117546,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 267',100,1,1),
(270144,72050,'When Equipped:',100,0,0),
(270145,72050,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(270146,72050,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(270147,72050,'Cannot be modified except by direct means',100,2,3),
(270148,10072050,'When Equipped:',100,0,0),
(270149,10072050,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(270150,10072050,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(270151,10072050,'Cannot be modified except by direct means',100,2,3),
(270152,110642,'Inflicts 640 - 1066 ranged damage on target',100,1,0),
(270153,110642,'If weapon equipped in Ranged',100,1,1),
(270154,110642,'Must be flanking or behind',100,1,2),
(270155,10110642,'Inflicts 350 - 584 ranged damage on target',100,1,0),
(270156,10110642,'If weapon equipped in Ranged',100,1,1),
(270157,10110642,'Must be flanking or behind',100,1,2),
(270158,81441,'When Equipped:',100,0,0),
(270159,81441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270160,81441,'Inflicts 80 - 149 magic damage on target',100,2,2),
(270161,81441,'Cannot be modified except by direct means',100,2,3),
(270162,10081441,'When Equipped:',100,0,0),
(270163,10081441,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270164,10081441,'Inflicts 96 - 179 magic damage on target',100,2,2),
(270165,10081441,'Cannot be modified except by direct means',100,2,3),
(270166,87516,'When Equipped:',100,0,0),
(270167,87516,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270168,87516,'Inflicts 208 - 312 magic damage on target',100,2,2),
(270169,87516,'Cannot be modified except by direct means',100,2,3),
(270170,10087516,'When Equipped:',100,0,0),
(270171,10087516,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270172,10087516,'Inflicts 250 - 375 magic damage on target',100,2,2),
(270173,10087516,'Cannot be modified except by direct means',100,2,3),
(270174,106773,'Mesmerizes target',100,1,0),
(270175,106773,'Prevents AOE (except when direct) ',100,1,1),
(270176,106773,'Dispelled when target takes damage',100,1,2),
(270177,106773,'Does not affect Epic targets',100,1,3),
(270178,106773,'Resistibility increases against targets higher than level 97.',100,1,4),
(270179,10106773,'Mesmerizes target',100,1,0),
(270180,10106773,'Prevents AOE (except when direct) ',100,1,1),
(270181,10106773,'Dispelled when target takes damage',100,1,2),
(270182,10106773,'Does not affect Epic targets',100,1,3),
(270183,10106773,'Resistibility increases against targets higher than level 97.',100,1,4),
(270184,101330,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(270185,101330,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 153',100,1,1),
(270186,101330,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,2),
(270187,10101330,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(270188,10101330,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 153',100,1,1),
(270189,10101330,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,2),
(270190,118525,'Inflicts 143 - 238 melee damage on target',100,1,0),
(270191,118525,'Decreases STR of target by 26.7',100,1,1),
(270192,118525,'You must be sneaking to use this ability.',100,1,2),
(270193,10118525,'Inflicts 172 - 286 melee damage on target',100,1,0),
(270194,10118525,'Decreases STR of target by 26.7',100,1,1),
(270195,10118525,'You must be sneaking to use this ability.',100,1,2),
(270196,109553,'Inflicts 5715 - 9526 cold damage on targets in Area of Effect',100,1,0),
(270197,109553,'Throws target back',100,1,1),
(270198,109553,'If Target is not Epic',100,2,2),
(270199,109553,'Stuns targets in Area of Effect',100,1,3),
(270200,109553,'If Target is not Epic',100,2,4),
(270201,109553,'Resistibility increases against targets higher than level 107.',100,1,5),
(270202,10109553,'Inflicts 6858 - 11431 cold damage on targets in Area of Effect',100,1,0),
(270203,10109553,'Throws target back',100,1,1),
(270204,10109553,'If Target is not Epic',100,2,2),
(270205,10109553,'Stuns targets in Area of Effect',100,1,3),
(270206,10109553,'If Target is not Epic',100,2,4),
(270207,10109553,'Resistibility increases against targets higher than level 107.',100,1,5),
(270208,102541,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(270209,102541,'Inflicts 49 - 81 melee damage on target',100,2,1),
(270210,102541,'Decreases Defense of caster by 5.1',100,1,2),
(270211,102541,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.2',100,1,3),
(270212,10102541,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(270213,10102541,'Inflicts 58 - 98 melee damage on target',100,2,1),
(270214,10102541,'Decreases Defense of caster by 5.1',100,1,2),
(270215,10102541,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.2',100,1,3),
(270216,41679,'When Equipped:',100,0,0),
(270217,41679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270218,41679,'Inflicts 125 - 232 magic damage on target',100,2,2),
(270219,41679,'Cannot be modified except by direct means',100,2,3),
(270220,10041679,'When Equipped:',100,0,0),
(270221,10041679,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270222,10041679,'Inflicts 150 - 278 magic damage on target',100,2,2),
(270223,10041679,'Cannot be modified except by direct means',100,2,3),
(270224,177692,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(270225,177692,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(270226,177692,'Inflicts 92 heat damage on target',100,2,2),
(270227,177692,'Cannot be modified except by direct means',100,2,3),
(270228,10177692,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(270229,10177692,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(270230,10177692,'Inflicts 111 heat damage on target',100,2,2),
(270231,10177692,'Cannot be modified except by direct means',100,2,3),
(270232,45367,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(270233,45367,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(270234,45367,'Decreases WIS and INT of target by 23.1',100,2,2),
(270235,45367,'Cannot be modified except by direct means',100,2,3),
(270236,45367,'Grants a total of 30 triggers of the spell.',100,2,4),
(270237,10045367,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(270238,10045367,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(270239,10045367,'Decreases WIS and INT of target by 23.1',100,2,2),
(270240,10045367,'Cannot be modified except by direct means',100,2,3),
(270241,10045367,'Grants a total of 30 triggers of the spell.',100,2,4),
(270242,102242,'Increases Max Health of group members (AE) by 1,184.6',100,1,0),
(270243,10102242,'Increases Max Health of group members (AE) by 1,184.6',100,1,0),
(270244,36295,'Increases STR of target by 8.4',100,0,0),
(270245,36295,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(270246,114472,'Inflicts 635 - 1059 heat damage on target',100,1,0),
(270247,10114472,'Inflicts 762 - 1271 heat damage on target',100,1,0),
(270248,115248,'Heals target for 160',100,1,0),
(270249,115248,'Heals target for 27 every second',100,1,1),
(270250,115248,'Dispels 33 levels of any hostile effects on target',100,1,2),
(270251,10115248,'Heals target for 104',100,1,0),
(270252,10115248,'Heals target for 17 every second',100,1,1),
(270253,10115248,'Dispels 33 levels of any hostile effects on target',100,1,2),
(270254,162494,'When Equipped:',100,0,0),
(270255,162494,'On a hostile spell cast this spell may cast Siphoning Aggression on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(270256,162494,'Increases power of caster by 88',100,2,2),
(270257,162494,'Cannot be modified except by direct means',100,2,3),
(270258,10162494,'When Equipped:',100,0,0),
(270259,10162494,'On a hostile spell cast this spell may cast Siphoning Aggression on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(270260,10162494,'Increases power of caster by 88',100,2,2),
(270261,10162494,'Cannot be modified except by direct means',100,2,3),
(270262,119202,'Inflicts 252 - 420 heat damage on target',100,1,0),
(270263,119202,'Inflicts 252 - 420 heat damage on target',100,1,1),
(270264,119202,'Requires bow',100,1,2),
(270265,10119202,'Inflicts 254 - 424 heat damage on target',100,1,0),
(270266,10119202,'Inflicts 254 - 424 heat damage on target',100,1,1),
(270267,10119202,'Requires bow',100,1,2),
(270268,48348,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(270269,48348,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(270270,48348,'Decreases WIS of target by 35.0',100,2,2),
(270271,48348,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,3),
(270272,48348,'Cannot be modified except by direct means',100,2,4),
(270273,48348,'Grants a total of 60 triggers of the spell.',100,2,5),
(270274,10048348,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(270275,10048348,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(270276,10048348,'Decreases WIS of target by 35.0',100,2,2),
(270277,10048348,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,2,3),
(270278,10048348,'Cannot be modified except by direct means',100,2,4),
(270279,10048348,'Grants a total of 60 triggers of the spell.',100,2,5),
(270280,81782,'When Equipped:',100,0,0),
(270281,81782,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270282,81782,'Inflicts 108 - 200 magic damage on target',100,2,2),
(270283,81782,'Decreases Threat to target by 487 ',100,2,3),
(270284,81782,'Must be flanking or behind',100,3,4),
(270285,81782,'Increases Threat to target by 852 ',100,2,5),
(270286,81782,'Must be in front of',100,3,6),
(270287,81782,'Cannot be modified except by direct means',100,2,7),
(270288,10081782,'When Equipped:',100,0,0),
(270289,10081782,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270290,10081782,'Inflicts 129 - 240 magic damage on target',100,2,2),
(270291,10081782,'Cannot be modified except by direct means',100,2,3),
(270292,35601,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(270293,74878,'When Equipped:',100,0,0),
(270294,74878,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270295,74878,'Inflicts 111 - 166 magic damage on target',100,2,2),
(270296,74878,'Cannot be modified except by direct means',100,2,3),
(270297,10074878,'When Equipped:',100,0,0),
(270298,10074878,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270299,10074878,'Inflicts 133 - 199 magic damage on target',100,2,2),
(270300,10074878,'Cannot be modified except by direct means',100,2,3),
(270301,110618,'Decreases Focus of target by 53.3',100,1,0),
(270302,110618,'Interrupts target',100,1,1),
(270303,110618,'Inflicts 231 - 693 crushing damage on target',100,1,2),
(270304,10110618,'Decreases Focus of target by 53.3',100,1,0),
(270305,10110618,'Interrupts target',100,1,1),
(270306,10110618,'Inflicts 277 - 831 crushing damage on target',100,1,2),
(270307,121611,'Roots targets in Area of Effect',100,1,0),
(270308,121611,'Decreases Threat to targets in Area of Effect by 520 ',100,1,1),
(270309,121611,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(270310,10121611,'Roots targets in Area of Effect',100,1,0),
(270311,10121611,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,1),
(270312,114077,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(270313,114077,'Grants stealth to caster',100,2,1),
(270314,114077,'Suspends caster''s movement speed enhancements',100,2,2),
(270315,114077,'Inflicts 369 - 616 melee damage on target',100,1,3),
(270316,114077,'Must be flanking or behind',100,1,4),
(270317,10114077,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(270318,10114077,'Grants stealth to caster',100,2,1),
(270319,10114077,'Suspends caster''s movement speed enhancements',100,2,2),
(270320,10114077,'Inflicts 665 - 1109 melee damage on target',100,1,3),
(270321,10114077,'Must be flanking or behind',100,1,4),
(270322,26407,'When Equipped:',100,0,0),
(270323,26407,'Increases all heat damage by up to 30.',100,1,1),
(270324,10026407,'When Equipped:',100,0,0),
(270325,10026407,'Increases all heat damage by up to 30.',100,1,1),
(270326,46604,'Applies Gryphon Call when Activated.',100,0,0),
(270327,46604,'Summons a pet young gryphon',100,1,1),
(270328,10046604,'Applies Gryphon Call when Activated.',100,0,0),
(270329,10046604,'Summons a pet young gryphon',100,1,1),
(270330,182204,'When Equipped:',100,0,0),
(270331,182204,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(270332,182204,'Makes target afraid',100,2,2),
(270333,182204,'25% chance to dispel when target takes damage',100,2,3),
(270334,182204,'25% chance to dispel when target receives hostile action',100,2,4),
(270335,182204,'Does not affect Epic targets',100,2,5),
(270336,182204,'Resistibility increases against targets higher than level 77.',100,2,6),
(270337,182204,'Cannot be modified except by direct means',100,2,7),
(270338,10182204,'When Equipped:',100,0,0),
(270339,10182204,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(270340,10182204,'Makes target afraid',100,2,2),
(270341,10182204,'25% chance to dispel when target takes damage',100,2,3),
(270342,10182204,'25% chance to dispel when target receives hostile action',100,2,4),
(270343,10182204,'Does not affect Epic targets',100,2,5),
(270344,10182204,'Resistibility increases against targets higher than level 77.',100,2,6),
(270345,10182204,'Cannot be modified except by direct means',100,2,7),
(270346,86050,'Applies Pierce of the Hua Mein Adventurer when Activated.',100,0,0),
(270347,86050,'Shapechanges the user into a Hua Mein Adventurer.',100,1,1),
(270348,86050,'The casting time of Pierce of the Hua Mein Adventurer is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(270349,10086050,'Applies Pierce of the Hua Mein Adventurer when Activated.',100,0,0),
(270350,10086050,'Shapechanges the user into a Hua Mein Adventurer.',100,1,1),
(270351,10086050,'The casting time of Pierce of the Hua Mein Adventurer is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(270352,121541,'Inflicts 746 - 1244 melee damage on target',100,1,0),
(270353,121541,'Stuns target',100,1,1),
(270354,121541,'If Target is not Epic',100,2,2),
(270355,121541,'Resistibility increases against targets higher than level 121.',100,1,3),
(270356,10121541,'Inflicts 896 - 1493 melee damage on target',100,1,0),
(270357,10121541,'Stuns target',100,1,1),
(270358,10121541,'If Target is not Epic',100,2,2),
(270359,10121541,'Resistibility increases against targets higher than level 121.',100,1,3),
(270360,113967,'Decreases power of target encounter by 100 instantly and every 4 seconds',100,1,0),
(270361,113967,'Increases power of group members (AE) by 72 instantly and every 4 seconds',100,1,1),
(270362,10113967,'Decreases power of target encounter by 100 instantly and every 4 seconds',100,1,0),
(270363,10113967,'Increases power of group members (AE) by 72 instantly and every 4 seconds',100,1,1),
(270364,48838,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(270365,48838,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(270366,48838,'Inflicts 74 poison damage on target',100,2,2),
(270367,48838,'Inflicts 22 poison damage on target instantly and every 6 seconds',100,2,3),
(270368,48838,'Cannot be modified except by direct means',100,2,4),
(270369,48838,'Grants a total of 200 triggers of the spell.',100,2,5),
(270370,10048838,'Applies malignant decay when Activated.  Lasts for 12 hours.',100,0,0),
(270371,10048838,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(270372,10048838,'Inflicts 67 poison damage on target',100,2,2),
(270373,10048838,'Inflicts 20 poison damage on target instantly and every 6 seconds',100,2,3),
(270374,10048838,'Cannot be modified except by direct means',100,2,4),
(270375,10048838,'Grants a total of 200 triggers of the spell.',100,2,5),
(270376,104372,'Inflicts 66 - 80 cold damage on target',100,1,0),
(270377,104372,'Inflicts 66 - 80 cold damage on target',100,1,1),
(270378,104372,'If target is elemental',100,2,2),
(270379,10104372,'Inflicts 79 - 96 cold damage on target',100,1,0),
(270380,10104372,'Inflicts 79 - 96 cold damage on target',100,1,1),
(270381,10104372,'If target is elemental',100,2,2),
(270382,113159,'Inflicts 223 disease damage on target',100,1,0),
(270383,113159,'Heals caster for 140',100,1,1),
(270384,10113159,'Inflicts 267 disease damage on target',100,1,0),
(270385,10113159,'Heals caster for 118',100,1,1),
(270386,112936,'Inflicts 9 - 29 crushing damage on target',100,1,0),
(270387,10112936,'Inflicts 11 - 35 crushing damage on target',100,1,0),
(270388,155086,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(270389,155086,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(270390,155086,'Cannot be modified except by direct means',100,1,2),
(270391,10155086,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(270392,10155086,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(270393,10155086,'Cannot be modified except by direct means',100,1,2),
(270394,41425,'When Equipped:',100,0,0),
(270395,41425,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270396,41425,'Inflicts 56 - 103 magic damage on target',100,2,2),
(270397,41425,'Decreases Threat to target by 236 ',100,2,3),
(270398,41425,'Must be flanking or behind',100,3,4),
(270399,41425,'Increases Threat to target by 414 ',100,2,5),
(270400,41425,'Must be in front of',100,3,6),
(270401,41425,'Cannot be modified except by direct means',100,2,7),
(270402,10041425,'When Equipped:',100,0,0),
(270403,10041425,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270404,10041425,'Inflicts 67 - 124 magic damage on target',100,2,2),
(270405,10041425,'Cannot be modified except by direct means',100,2,3),
(270406,119081,'Increases group members (AE)''s chance to block by 9.5%',100,1,0),
(270407,119081,'Increases Parry and Deflection of group members (AE) by 8.4',100,1,1),
(270408,119081,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(270409,119081,'Decreases Threat to target encounter by 334 - 408 ',100,2,3),
(270410,119081,'If not fighter',100,3,4),
(270411,119081,'Increases Threat to target encounter by 585 - 715 ',100,2,5),
(270412,119081,'If fighter',100,3,6),
(270413,119081,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(270414,119081,'Decreases Threat to target encounter by 334 - 408 ',100,2,8),
(270415,119081,'If not fighter',100,3,9),
(270416,119081,'Increases Threat to target encounter by 585 - 715 ',100,2,10),
(270417,119081,'If fighter',100,3,11),
(270418,10119081,'Increases group members (AE)''s chance to block by 9.5%',100,1,0),
(270419,10119081,'Increases Parry and Deflection of group members (AE) by 8.4',100,1,1),
(270420,10119081,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(270421,10119081,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(270422,45605,'Applies Elixir of Energy  when Activated.  Lasts for 15 minutes.',100,0,0),
(270423,45605,'Increases Max Power of caster by 32.5',100,1,1),
(270424,10045605,'Applies Elixir of Energy  when Activated.  Lasts for 15 minutes.',100,0,0),
(270425,10045605,'Increases Max Power of caster by 32.5',100,1,1),
(270426,85364,'Applies Poison Bolt when Activated.',100,0,0),
(270427,85364,'Inflicts 223 - 372 poison damage on target',100,1,1),
(270428,85364,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(270429,10085364,'Applies Poison Bolt when Activated.',100,0,0),
(270430,10085364,'Inflicts 268 - 446 poison damage on target',100,1,1),
(270431,10085364,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(270432,141909,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(270433,141909,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(270434,141909,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(270435,141909,'Cannot be modified except by direct means',100,2,3),
(270436,10141909,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(270437,10141909,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(270438,10141909,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(270439,10141909,'Cannot be modified except by direct means',100,2,3),
(270440,113109,'Heals target for 44.5 - 54.3% of max health',100,1,0),
(270441,113109,'This effect cannot be critically applied.',100,2,1),
(270442,113109,'Increases Max Health of target by 625.8',100,1,2),
(270443,113109,'Increases Mitigation of target vs physical damage by 738',100,1,3),
(270444,113109,'The healing of this spell cannot be modified except by direct means',100,1,4),
(270445,10113109,'Heals target for 17.8 - 21.7% of max health',100,1,0),
(270446,10113109,'This effect cannot be critically applied.',100,2,1),
(270447,10113109,'Increases Max Health of target by 625.8',100,1,2),
(270448,10113109,'Increases Mitigation of target vs physical damage by 738',100,1,3),
(270449,10113109,'The healing of this spell cannot be modified except by direct means',100,1,4),
(270450,100572,'Inflicts 14 - 23 melee damage on target',100,1,0),
(270451,100572,'You must be sneaking to use this ability.',100,1,1),
(270452,10100572,'Inflicts 20 - 33 melee damage on target',100,1,0),
(270453,10100572,'You must be sneaking to use this ability.',100,1,1),
(270454,106847,'Decreases Crushing, Piercing, Slashing and Ranged of target by 28.8',100,1,0),
(270455,10106847,'Decreases Crushing, Piercing, Slashing and Ranged of target by 28.8',100,1,0),
(270456,81796,'When Equipped:',100,0,0),
(270457,81796,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270458,81796,'Inflicts 108 - 200 magic damage on target',100,2,2),
(270459,81796,'Decreases Threat to target by 487 ',100,2,3),
(270460,81796,'Must be flanking or behind',100,3,4),
(270461,81796,'Increases Threat to target by 852 ',100,2,5),
(270462,81796,'Must be in front of',100,3,6),
(270463,81796,'Cannot be modified except by direct means',100,2,7),
(270464,10081796,'When Equipped:',100,0,0),
(270465,10081796,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270466,10081796,'Inflicts 129 - 240 magic damage on target',100,2,2),
(270467,10081796,'Cannot be modified except by direct means',100,2,3),
(270468,162833,'When Equipped:',100,0,0),
(270469,162833,'When damaged with a melee weapon this spell will cast Greater Enraging Presence on target''s attacker.  ',100,1,1),
(270470,162833,'Increases Threat to target by 262 ',100,2,2),
(270471,162833,'Cannot be modified except by direct means',100,2,3),
(270472,10162833,'When Equipped:',100,0,0),
(270473,10162833,'When damaged with a melee weapon this spell will cast Greater Enraging Presence on target''s attacker.  ',100,1,1),
(270474,10162833,'Cannot be modified except by direct means',100,2,2),
(270475,101254,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(270476,101254,'Inflicts 122 - 204 mental damage on target',100,2,1),
(270477,10101254,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(270478,10101254,'Inflicts 147 - 245 mental damage on target',100,2,1),
(270479,113608,'Summons a limited pet to aid the caster',100,1,0),
(270480,10113608,'Summons a limited pet to aid the caster',100,1,0),
(270481,46230,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(270482,46230,'Increases Max Power of caster by 168.4',100,1,1),
(270483,10046230,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(270484,10046230,'Increases Max Power of caster by 168.4',100,1,1),
(270485,48044,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(270486,48044,'Increases speed of caster by 9.6%',100,1,1),
(270487,10048044,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(270488,10048044,'Increases speed of caster by 9.6%',100,1,1),
(270489,112305,'Inflicts 68 - 83 disease damage on target',100,1,0),
(270490,112305,'Inflicts 34 - 41 disease damage on target every 3 seconds',100,1,1),
(270491,112305,'Increases Threat to target by 1,075 - 1,212  instantly and by 202 - 247  every 3 seconds thereafter',100,1,2),
(270492,10112305,'Inflicts 41 - 50 disease damage on target every 3 seconds',100,1,0),
(270493,10112305,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(270494,141947,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(270495,141947,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(270496,141947,'Inflicts 48 heat damage on target',100,2,2),
(270497,141947,'Cannot be modified except by direct means',100,2,3),
(270498,10141947,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(270499,10141947,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(270500,10141947,'Inflicts 58 heat damage on target',100,2,2),
(270501,10141947,'Cannot be modified except by direct means',100,2,3),
(270502,121215,'Grants stealth to caster',100,1,0),
(270503,121215,'Suspends caster''s movement speed enhancements',100,1,1),
(270504,121215,'Decreases Threat to target by 1,332 - 2,220 ',100,1,2),
(270505,10121215,'Forces target to clear their selected target.',100,1,0),
(270506,10121215,'Grants stealth to caster',100,1,1),
(270507,10121215,'Suspends caster''s movement speed enhancements',100,1,2),
(270508,120329,'Increases Threat to target by 938 - 1,115 ',100,1,0),
(270509,10120329,'Forces target to change their selected target to caster.',100,1,0),
(270510,10120329,'Prevents target from changing targets',100,1,1),
(270511,121393,'Roots caster',100,1,0),
(270512,121393,'Dazes caster',100,1,1),
(270513,121393,'Applies Steel Hail.',100,1,2),
(270514,121393,'Inflicts 486 - 810 ranged damage on target',100,2,3),
(270515,121393,'Stifles caster',100,1,4),
(270516,121393,'If weapon equipped in Ranged',100,1,5),
(270517,121393,'Resistibility increases against targets higher than level 103.',100,1,6),
(270518,10121393,'Roots caster',100,1,0),
(270519,10121393,'Dazes caster',100,1,1),
(270520,10121393,'Applies Steel Hail.',100,1,2),
(270521,10121393,'Inflicts 364 - 607 ranged damage on target',100,2,3),
(270522,10121393,'Stifles caster',100,1,4),
(270523,10121393,'If weapon equipped in Ranged',100,1,5),
(270524,10121393,'Resistibility increases against targets higher than level 103.',100,1,6),
(270525,159889,'Applies Sanguine Imbued when Equipped.',100,0,0),
(270526,159889,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(270527,159889,'Inflicts 134 heat damage on target',100,2,2),
(270528,159889,'Cannot be modified except by direct means',100,2,3),
(270529,10159889,'Applies Sanguine Imbued when Equipped.',100,0,0),
(270530,10159889,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(270531,10159889,'Inflicts 161 heat damage on target',100,2,2),
(270532,10159889,'Cannot be modified except by direct means',100,2,3),
(270533,37218,'Increases Max Power of target by 90.0',100,0,0),
(270534,37218,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(270535,116261,'Summons a pet Illusion Ally',100,1,0),
(270536,10116261,'Summons a pet Illusion Ally',100,1,0),
(270537,120328,'Increases Threat to target by 1,142 - 1,293 ',100,1,0),
(270538,10120328,'Forces target to change their selected target to caster.',100,1,0),
(270539,10120328,'Prevents target from changing targets',100,1,1),
(270540,123381,'Heals group members (AE) for 1108 - 1354',100,1,0),
(270541,10123381,'Heals group members (AE) for 1348 - 1647',100,1,0),
(270542,102644,'Inflicts 99 - 165 melee damage on target',100,1,0),
(270543,102644,'Inflicts 43 heat damage on target every 6 seconds',100,1,1),
(270544,10102644,'Inflicts 119 - 198 melee damage on target',100,1,0),
(270545,10102644,'Inflicts 51 heat damage on target every 6 seconds',100,1,1),
(270546,102515,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(270547,102515,'Increases Aggression of caster by 5.8',100,1,1),
(270548,102515,'Increases Defense and Parry of caster by 11.5',100,1,2),
(270549,102515,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(270550,10102515,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(270551,10102515,'Increases Aggression of caster by 5.8',100,1,1),
(270552,10102515,'Increases Defense and Parry of caster by 11.5',100,1,2),
(270553,10102515,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(270554,153843,'When Equipped:',100,0,0),
(270555,153843,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(270556,153843,'Inflicts 100 - 122 magic damage on target',100,2,2),
(270557,153843,'Cannot be modified except by direct means',100,2,3),
(270558,10153843,'When Equipped:',100,0,0),
(270559,10153843,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(270560,10153843,'Inflicts 120 - 147 magic damage on target',100,2,2),
(270561,10153843,'Cannot be modified except by direct means',100,2,3),
(270562,80917,'When Equipped:',100,0,0),
(270563,80917,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270564,80917,'Inflicts 180 - 334 magic damage on target',100,2,2),
(270565,80917,'Decreases Threat to target by 641 ',100,2,3),
(270566,80917,'Must be flanking or behind',100,3,4),
(270567,80917,'Increases Threat to target by 1,101 ',100,2,5),
(270568,80917,'Must be in front of',100,3,6),
(270569,80917,'Cannot be modified except by direct means',100,2,7),
(270570,10080917,'When Equipped:',100,0,0),
(270571,10080917,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(270572,10080917,'Inflicts 216 - 401 magic damage on target',100,2,2),
(270573,10080917,'Cannot be modified except by direct means',100,2,3),
(270574,74777,'When Equipped:',100,0,0),
(270575,74777,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270576,74777,'Inflicts 88 - 133 magic damage on target',100,2,2),
(270577,74777,'Cannot be modified except by direct means',100,2,3),
(270578,10074777,'When Equipped:',100,0,0),
(270579,10074777,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270580,10074777,'Inflicts 106 - 159 magic damage on target',100,2,2),
(270581,10074777,'Cannot be modified except by direct means',100,2,3),
(270582,175015,'When Equipped:',100,0,0),
(270583,175015,'On a damage spell hit this spell may cast Thought Siphon on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(270584,175015,'Increases power of caster by 411',100,2,2),
(270585,175015,'Cannot be modified except by direct means',100,2,3),
(270586,10175015,'When Equipped:',100,0,0),
(270587,10175015,'On a damage spell hit this spell may cast Thought Siphon on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(270588,10175015,'Increases power of caster by 411',100,2,2),
(270589,10175015,'Cannot be modified except by direct means',100,2,3),
(270590,142971,'When Equipped:',100,0,0),
(270591,142971,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(270592,10142971,'When Equipped:',100,0,0),
(270593,10142971,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(270594,119087,'Increases group members (AE)''s chance to block by 9.5%',100,1,0),
(270595,119087,'Increases Parry and Deflection of group members (AE) by 10.5',100,1,1),
(270596,119087,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(270597,119087,'Decreases Threat to target encounter by 451 - 551 ',100,2,3),
(270598,119087,'If not fighter',100,3,4),
(270599,119087,'Increases Threat to target encounter by 789 - 964 ',100,2,5),
(270600,119087,'If fighter',100,3,6),
(270601,119087,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(270602,119087,'Decreases Threat to target encounter by 451 - 551 ',100,2,8),
(270603,119087,'If not fighter',100,3,9),
(270604,119087,'Increases Threat to target encounter by 789 - 964 ',100,2,10),
(270605,119087,'If fighter',100,3,11),
(270606,10119087,'Increases group members (AE)''s chance to block by 9.5%',100,1,0),
(270607,10119087,'Increases Parry and Deflection of group members (AE) by 10.5',100,1,1),
(270608,10119087,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(270609,10119087,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(270610,121049,'Increases STR and STA of group members (AE) by 13.9',100,1,0),
(270611,10121049,'Increases STR and STA of group members (AE) by 13.9',100,1,0),
(270612,121447,'Increases AGI of caster by 57.2',100,1,0),
(270613,121447,'Adds 18.7% to base avoidance.',100,1,1),
(270614,121447,'Increases Mitigation of caster vs physical damage by 561',100,1,2),
(270615,121447,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,3),
(270616,10121447,'Increases AGI of caster by 57.2',100,1,0),
(270617,10121447,'Adds 18.7% to base avoidance.',100,1,1),
(270618,10121447,'Increases Mitigation of caster vs physical damage by 561',100,1,2),
(270619,10121447,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',100,1,3),
(270620,178795,'When Equipped:',100,0,0),
(270621,178795,'On a damage spell hit this spell may cast Arcane Stun VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(270622,178795,'Stuns target',100,2,2),
(270623,178795,'Does not affect Epic targets',100,2,3),
(270624,178795,'Resistibility increases against targets higher than level 99.',100,2,4),
(270625,178795,'Cannot be modified except by direct means',100,2,5),
(270626,10178795,'When Equipped:',100,0,0),
(270627,10178795,'On a damage spell hit this spell may cast Arcane Stun VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(270628,10178795,'Stuns target',100,2,2),
(270629,10178795,'Does not affect Epic targets',100,2,3),
(270630,10178795,'Resistibility increases against targets higher than level 99.',100,2,4),
(270631,10178795,'Cannot be modified except by direct means',100,2,5),
(270632,88961,'When Equipped:',100,0,0),
(270633,88961,'On a melee hit this spell may cast Serene Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(270634,88961,'Inflicts 435 - 653 crushing damage on target',100,2,2),
(270635,88961,'Increases Multi Attack Chance of caster by 8.0',100,2,3),
(270636,88961,'Cannot be modified except by direct means',100,2,4),
(270637,88961,'Cannot be modified except by direct means',100,1,5),
(270638,10088961,'When Equipped:',100,0,0),
(270639,10088961,'On a melee hit this spell may cast Serene Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(270640,10088961,'Inflicts 523 - 784 crushing damage on target',100,2,2),
(270641,10088961,'Increases Multi Attack Chance of caster by 8.0',100,2,3),
(270642,10088961,'Cannot be modified except by direct means',100,2,4),
(270643,10088961,'Cannot be modified except by direct means',100,1,5),
(270644,103434,'Heals group members (AE) for 130 - 158',100,1,0),
(270645,103434,'Increases Max Health of group members (AE) by 21.0',100,1,1),
(270646,10103434,'Heals group members (AE) for 84 - 103',100,1,0),
(270647,10103434,'Increases Max Health of group members (AE) by 21.0',100,1,1),
(270648,123609,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(270649,123609,'Increases Defense of target by 22.4',100,1,1),
(270650,10123609,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(270651,10123609,'Increases Defense of target by 22.4',100,1,1),
(270652,115049,'Heals target for 850 - 1039',100,1,0),
(270653,10115049,'Heals target for 1190 - 1455',100,1,0),
(270654,184893,'When Equipped:',100,0,0),
(270655,184893,'When damaged with a melee weapon this spell has a 6% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(270656,184893,'Decreases Attack Speed of target by 14.0',100,2,2),
(270657,184893,'Cannot be modified except by direct means',100,2,3),
(270658,10184893,'When Equipped:',100,0,0),
(270659,10184893,'When damaged with a melee weapon this spell has a 6% chance to cast Crippling Riposte on target''s attacker.  Lasts for 16.0 seconds.  ',100,1,1),
(270660,10184893,'Decreases Attack Speed of target by 14.0',100,2,2),
(270661,10184893,'Cannot be modified except by direct means',100,2,3),
(270662,115190,'Heals target for 716 - 875',100,1,0),
(270663,10115190,'Heals target for 970 - 1185',100,1,0),
(270664,87479,'When Equipped:',100,0,0),
(270665,87479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270666,87479,'Inflicts 127 - 190 magic damage on target',100,2,2),
(270667,87479,'Cannot be modified except by direct means',100,2,3),
(270668,10087479,'When Equipped:',100,0,0),
(270669,10087479,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270670,10087479,'Inflicts 152 - 228 magic damage on target',100,2,2),
(270671,10087479,'Cannot be modified except by direct means',100,2,3),
(270672,100301,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(270673,100301,'Inflicts 134 divine damage on target',100,2,1),
(270674,10100301,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(270675,10100301,'Inflicts 161 divine damage on target',100,2,1),
(270676,164601,'Applies Unstable Magics when Equipped.',100,0,0),
(270677,164601,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(270678,10164601,'Applies Unstable Magics when Equipped.',100,0,0),
(270679,10164601,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(270680,111952,'Inflicts 57 - 70 disease damage on target',100,1,0),
(270681,111952,'Decreases Mitigation of target vs noxious damage by 180',100,1,1),
(270682,10111952,'Inflicts 88 - 108 disease damage on target',100,1,0),
(270683,10111952,'Decreases Mitigation of target vs noxious damage by 180',100,1,1),
(270684,100328,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(270685,100328,'Drains power instantly and every 3 seconds.',100,2,1),
(270686,100328,'Cannot be modified except by direct means',100,2,2),
(270687,100328,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(270688,100328,'Adrenaline can only be used while berserk!',100,1,4),
(270689,10100328,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(270690,10100328,'Drains power instantly and every 3 seconds.',100,2,1),
(270691,10100328,'Cannot be modified except by direct means',100,2,2),
(270692,10100328,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(270693,10100328,'Adrenaline can only be used while berserk!',100,1,4),
(270694,113236,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(270695,113236,'Inflicts 9 - 16 magic damage on target',100,2,1),
(270696,113236,'Grants a total of 8 triggers of the spell.',100,2,2),
(270697,10113236,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(270698,10113236,'Inflicts 11 - 19 magic damage on target',100,2,1),
(270699,10113236,'Grants a total of 8 triggers of the spell.',100,2,2),
(270700,119075,'Increases group members (AE)''s chance to block by 10.0%',100,1,0),
(270701,119075,'Increases Parry and Deflection of group members (AE) by 6.7',100,1,1),
(270702,119075,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(270703,119075,'Decreases Threat to target encounter by 243 - 297 ',100,2,3),
(270704,119075,'If not fighter',100,3,4),
(270705,119075,'Increases Threat to target encounter by 426 - 521 ',100,2,5),
(270706,119075,'If fighter',100,3,6),
(270707,119075,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(270708,119075,'Decreases Threat to target encounter by 243 - 297 ',100,2,8),
(270709,119075,'If not fighter',100,3,9),
(270710,119075,'Increases Threat to target encounter by 426 - 521 ',100,2,10),
(270711,119075,'If fighter',100,3,11),
(270712,10119075,'Increases group members (AE)''s chance to block by 10.0%',100,1,0),
(270713,10119075,'Increases Parry and Deflection of group members (AE) by 6.7',100,1,1),
(270714,10119075,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(270715,10119075,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(270716,75683,'When Equipped:',100,0,0),
(270717,75683,'This effect will not stack with any rank or tier of itself.',100,1,1),
(270718,75683,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(270719,75683,'Increases Attack Speed of caster by 11.0',100,1,3),
(270720,75683,'Cannot be modified except by direct means',100,1,4),
(270721,10075683,'When Equipped:',100,0,0),
(270722,10075683,'This effect will not stack with any rank or tier of itself.',100,1,1),
(270723,10075683,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(270724,10075683,'Increases Attack Speed of caster by 11.0',100,1,3),
(270725,10075683,'Cannot be modified except by direct means',100,1,4),
(270726,107093,'Inflicts 200 - 244 divine damage on target',100,1,0),
(270727,10107093,'Inflicts 240 - 293 divine damage on target',100,1,0),
(270728,36742,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(270729,113352,'Inflicts 597 - 730 divine damage on target encounter',100,1,0),
(270730,113352,'Interrupts target encounter',100,1,1),
(270731,10113352,'Inflicts 717 - 876 divine damage on target encounter',100,1,0),
(270732,10113352,'Interrupts target encounter',100,1,1),
(270733,109769,'Inflicts 303 - 562 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(270734,10109769,'Inflicts 363 - 675 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(270735,113751,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(270736,113751,'Inflicts 220 piercing damage on target',100,2,1),
(270737,113751,'Grants a total of 60 triggers of the spell.',100,2,2),
(270738,10113751,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(270739,10113751,'Inflicts 264 piercing damage on target',100,2,1),
(270740,10113751,'Grants a total of 60 triggers of the spell.',100,2,2),
(270741,79276,'When Equipped:',100,0,0),
(270742,79276,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(270743,79276,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(270744,79276,'Heals target for 5594 - 6182',100,2,3),
(270745,79276,'Must not be engaged in pvp combat',100,2,4),
(270746,79276,'Cannot be modified except by direct means',100,2,5),
(270747,79276,'Cannot be modified except by direct means',100,1,6),
(270748,10079276,'When Equipped:',100,0,0),
(270749,10079276,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(270750,10079276,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(270751,10079276,'Heals target for 6545 - 7233',100,2,3),
(270752,10079276,'Must not be engaged in pvp combat',100,2,4),
(270753,10079276,'Cannot be modified except by direct means',100,2,5),
(270754,10079276,'Cannot be modified except by direct means',100,1,6),
(270755,124473,'Heals group members (AE) for 139 - 169',100,1,0),
(270756,10124473,'Heals group members (AE) for 162 - 198',100,1,0),
(270757,105828,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(270758,105828,'Inflicts 116 - 193 disease damage on target',100,2,1),
(270759,10105828,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(270760,10105828,'Inflicts 139 - 232 disease damage on target',100,2,1),
(270761,81772,'When Equipped:',100,0,0),
(270762,81772,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270763,81772,'Inflicts 108 - 200 magic damage on target',100,2,2),
(270764,81772,'Cannot be modified except by direct means',100,2,3),
(270765,10081772,'When Equipped:',100,0,0),
(270766,10081772,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270767,10081772,'Inflicts 129 - 240 magic damage on target',100,2,2),
(270768,10081772,'Cannot be modified except by direct means',100,2,3),
(270769,121817,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(270770,121817,'Increases Mitigation of group members (AE) vs arcane damage by 259',100,1,1),
(270771,10121817,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(270772,10121817,'Increases Mitigation of group members (AE) vs arcane damage by 259',100,1,1),
(270773,100141,'Inflicts 59 - 72 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(270774,100141,'Decreases Mitigation of target encounter vs noxious damage by 644',100,1,1),
(270775,10100141,'Inflicts 71 - 86 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(270776,10100141,'Decreases Mitigation of target encounter vs noxious damage by 644',100,1,1),
(270777,113700,'Stuns target',100,1,0),
(270778,113700,'If Target is not Epic',100,2,1),
(270779,113700,'Inflicts 807 - 1345 heat damage on target',100,1,2),
(270780,113700,'Resistibility increases against targets higher than level 101.',100,1,3),
(270781,10113700,'Stuns target',100,1,0),
(270782,10113700,'If Target is not Epic',100,2,1),
(270783,10113700,'Inflicts 968 - 1614 heat damage on target',100,1,2),
(270784,10113700,'Resistibility increases against targets higher than level 101.',100,1,3),
(270785,26562,'When Equipped:',100,0,0),
(270786,26562,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(270787,26562,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(270788,10026562,'When Equipped:',100,0,0),
(270789,10026562,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(270790,10026562,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(270791,48928,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(270792,48928,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(270793,48928,'Decreases Attack Speed of target by 23.1',100,2,2),
(270794,48928,'Cannot be modified except by direct means',100,2,3),
(270795,48928,'Grants a total of 30 triggers of the spell.',100,2,4),
(270796,10048928,'Applies touch of insanity when Activated.  Lasts for 12 hours.',100,0,0),
(270797,10048928,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(270798,10048928,'Decreases Attack Speed of target by 23.1',100,2,2),
(270799,10048928,'Cannot be modified except by direct means',100,2,3),
(270800,10048928,'Grants a total of 30 triggers of the spell.',100,2,4),
(270801,101507,'Increases WIS of target by 21.8',100,1,0),
(270802,101507,'Increases Max Health of target by 111.5',100,1,1),
(270803,101507,'Increases Mitigation of target vs elemental, noxious and arcane damage by 61',100,1,2),
(270804,10101507,'Increases WIS of target by 21.8',100,1,0),
(270805,10101507,'Increases Max Health of target by 111.5',100,1,1),
(270806,10101507,'Increases Mitigation of target vs elemental, noxious and arcane damage by 61',100,1,2),
(270807,47791,'Applies Aura of the High Elf when Activated.',100,0,0),
(270808,47791,'Casts aura of the High Elf on the user',100,1,1),
(270809,10047791,'Applies Aura of the High Elf when Activated.',100,0,0),
(270810,10047791,'Casts aura of the High Elf on the user',100,1,1),
(270811,120178,'Applies Life Draw on termination.',100,1,0),
(270812,120178,'Inflicts 278 - 463 disease damage on target',100,2,1),
(270813,120178,'Heals caster for 9.4 - 11.5% of max health',100,2,2),
(270814,120178,'This effect cannot be critically applied.',100,3,3),
(270815,120178,'The healing of this spell cannot be modified except by direct means',100,2,4),
(270816,120178,'Inflicts 81 - 135 disease damage on target',100,1,5),
(270817,10120178,'Applies Life Draw on termination.',100,1,0),
(270818,10120178,'Inflicts 333 - 555 disease damage on target',100,2,1),
(270819,10120178,'Heals caster for 2.6 - 3.1% of max health',100,2,2),
(270820,10120178,'This effect cannot be critically applied.',100,3,3),
(270821,10120178,'The healing of this spell cannot be modified except by direct means',100,2,4),
(270822,10120178,'Inflicts 97 - 162 disease damage on target',100,1,5),
(270823,113838,'Inflicts 276 - 459 disease damage on target',100,1,0),
(270824,10113838,'Inflicts 331 - 551 disease damage on target',100,1,0),
(270825,118222,'Increases Damage Per Second of group members (AE) by 40.3',100,1,0),
(270826,10118222,'Increases Damage Per Second of group members (AE) by 40.3',100,1,0),
(270827,114122,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(270828,114122,'Increases Mitigation of group members (AE) vs elemental damage by 302',100,1,1),
(270829,10114122,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(270830,10114122,'Increases Mitigation of group members (AE) vs elemental damage by 302',100,1,1),
(270831,159571,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(270832,159571,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(270833,159571,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(270834,159571,'Cannot be modified except by direct means',100,2,3),
(270835,10159571,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(270836,10159571,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(270837,10159571,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(270838,10159571,'Cannot be modified except by direct means',100,2,3),
(270839,141803,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(270840,141803,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(270841,141803,'Inflicts 23 heat damage on target',100,2,2),
(270842,141803,'Cannot be modified except by direct means',100,2,3),
(270843,10141803,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(270844,10141803,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(270845,10141803,'Inflicts 27 heat damage on target',100,2,2),
(270846,10141803,'Cannot be modified except by direct means',100,2,3),
(270847,105607,'Decreases power of target encounter by 62 - 76 instantly and every 3 seconds',100,1,0),
(270848,105607,'Inflicts 145 - 268 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(270849,105607,'Heals group members (AE) for 79 - 146 instantly and every 3 seconds',100,1,2),
(270850,105607,'Increases power of group members (AE) by 30 instantly and every 3 seconds',100,1,3),
(270851,10105607,'Decreases power of target encounter by 62 - 76 instantly and every 3 seconds',100,1,0),
(270852,10105607,'Inflicts 173 - 322 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(270853,10105607,'Heals group members (AE) for 51 - 95 instantly and every 3 seconds',100,1,2),
(270854,10105607,'Increases power of group members (AE) by 30 instantly and every 3 seconds',100,1,3),
(270855,81806,'When Equipped:',100,0,0),
(270856,81806,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270857,81806,'Inflicts 108 - 200 magic damage on target',100,2,2),
(270858,81806,'Cannot be modified except by direct means',100,2,3),
(270859,10081806,'When Equipped:',100,0,0),
(270860,10081806,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270861,10081806,'Inflicts 129 - 240 magic damage on target',100,2,2),
(270862,10081806,'Cannot be modified except by direct means',100,2,3),
(270863,154608,'When Equipped:',100,0,0),
(270864,154608,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(270865,154608,'Increases Threat to target by 3,460 ',100,2,2),
(270866,154608,'Inflicts 1192 mental damage on target',100,2,3),
(270867,154608,'Cannot be modified except by direct means',100,2,4),
(270868,154608,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(270869,154608,'Increases Threat to target by 3,460 ',100,2,6),
(270870,154608,'Inflicts 1192 mental damage on target',100,2,7),
(270871,154608,'Cannot be modified except by direct means',100,2,8),
(270872,10154608,'When Equipped:',100,0,0),
(270873,10154608,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(270874,10154608,'Inflicts 1430 mental damage on target',100,2,2),
(270875,10154608,'Cannot be modified except by direct means',100,2,3),
(270876,10154608,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(270877,10154608,'Inflicts 1430 mental damage on target',100,2,5),
(270878,10154608,'Cannot be modified except by direct means',100,2,6),
(270879,80709,'When Equipped:',100,0,0),
(270880,80709,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270881,80709,'Inflicts 50 - 93 magic damage on target',100,2,2),
(270882,80709,'Cannot be modified except by direct means',100,2,3),
(270883,10080709,'When Equipped:',100,0,0),
(270884,10080709,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270885,10080709,'Inflicts 60 - 111 magic damage on target',100,2,2),
(270886,10080709,'Cannot be modified except by direct means',100,2,3),
(270887,124092,'Dispels 111 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(270888,10124092,'Dispels 111 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(270889,162731,'Applies Unstable Magics when Equipped.',100,0,0),
(270890,162731,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(270891,10162731,'Applies Unstable Magics when Equipped.',100,0,0),
(270892,10162731,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(270893,35411,'Increases AGI of target by 12.7',100,0,0),
(270894,35411,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(270895,47920,'Applies Sarlak the Frenzied Wyvern when Activated.',100,0,0),
(270896,47920,'Summons a mount to ride',100,1,1),
(270897,47920,'Increases your ground speed by 75%',100,2,2),
(270898,47920,'Increases your air speed by 150%',100,2,3),
(270899,47920,'Increases Ordination, Ranged, Piercing, Disruption, Focus, Aggression, Subjugation, Crushing, Slashing and Ministration of caster by 5.0',100,1,4),
(270900,10047920,'Applies Sarlak the Frenzied Wyvern when Activated.',100,0,0),
(270901,10047920,'Summons a mount to ride',100,1,1),
(270902,10047920,'Increases your ground speed by 75%',100,2,2),
(270903,10047920,'Increases your air speed by 150%',100,2,3),
(270904,10047920,'Increases Ordination, Ranged, Piercing, Disruption, Focus, Aggression, Subjugation, Crushing, Slashing and Ministration of caster by 5.0',100,1,4),
(270905,120880,'Stifles target',100,1,0),
(270906,120880,'Inflicts 136 - 166 mental damage on target',100,1,1),
(270907,120880,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(270908,120880,'Resistibility increases against targets higher than level 45.',100,1,3),
(270909,10120880,'Stifles target',100,1,0),
(270910,10120880,'Inflicts 163 - 200 mental damage on target',100,1,1),
(270911,10120880,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(270912,10120880,'Resistibility increases against targets higher than level 45.',100,1,3),
(270913,107181,'Inflicts 116 - 194 divine damage on target',100,1,0),
(270914,107181,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(270915,107181,'Inflicts 273 - 455 divine damage on target',100,2,2),
(270916,107181,'Inflicts 234 - 390 divine damage on target',100,2,3),
(270917,107181,'If target is undead',100,3,4),
(270918,107181,'Stuns target',100,2,5),
(270919,107181,'If Target is not Epic',100,3,6),
(270920,10107181,'Inflicts 93 - 155 divine damage on target',100,1,0),
(270921,10107181,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(270922,10107181,'Inflicts 491 - 819 divine damage on target',100,2,2),
(270923,10107181,'Stuns target',100,2,3),
(270924,10107181,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(270925,111914,'Inflicts 30 - 49 piercing damage on target instantly and every 4 seconds',100,1,0),
(270926,111914,'Inflicts 108 - 180 piercing damage on target',100,1,1),
(270927,10111914,'Inflicts 59 - 98 piercing damage on target instantly and every 4 seconds',100,1,0),
(270928,10111914,'Inflicts 177 - 295 piercing damage on target',100,1,1),
(270929,82672,'When Equipped:',100,0,0),
(270930,82672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270931,82672,'Inflicts 71 - 131 magic damage on target',100,2,2),
(270932,82672,'Cannot be modified except by direct means',100,2,3),
(270933,10082672,'When Equipped:',100,0,0),
(270934,10082672,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(270935,10082672,'Inflicts 85 - 158 magic damage on target',100,2,2),
(270936,10082672,'Cannot be modified except by direct means',100,2,3),
(270937,143542,'When Equipped:',100,0,0),
(270938,143542,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(270939,143542,'Inflicts 1199 disease damage on target encounter',100,2,2),
(270940,143542,'Must not be engaged in pvp combat',100,2,3),
(270941,143542,'Cannot be modified except by direct means',100,2,4),
(270942,10143542,'When Equipped:',100,0,0),
(270943,10143542,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(270944,10143542,'Inflicts 719 disease damage on target encounter',100,2,2),
(270945,10143542,'Must not be engaged in pvp combat',100,2,3),
(270946,10143542,'Cannot be modified except by direct means',100,2,4),
(270947,114075,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(270948,114075,'Grants stealth to caster',100,2,1),
(270949,114075,'Suspends caster''s movement speed enhancements',100,2,2),
(270950,114075,'Inflicts 323 - 539 melee damage on target',100,1,3),
(270951,114075,'Must be flanking or behind',100,1,4),
(270952,10114075,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(270953,10114075,'Grants stealth to caster',100,2,1),
(270954,10114075,'Suspends caster''s movement speed enhancements',100,2,2),
(270955,10114075,'Inflicts 582 - 970 melee damage on target',100,1,3),
(270956,10114075,'Must be flanking or behind',100,1,4),
(270957,102126,'Inflicts 11 - 19 melee damage on target',100,1,0),
(270958,102126,'Inflicts 11 - 19 melee damage on target',100,1,1),
(270959,10102126,'Inflicts 14 - 23 melee damage on target',100,1,0),
(270960,10102126,'Inflicts 14 - 23 melee damage on target',100,1,1),
(270961,113528,'Inflicts 30 - 50 disease damage on target',100,1,0),
(270962,10113528,'Inflicts 36 - 60 disease damage on target',100,1,0),
(270963,47966,'Applies Scouring Goo when Activated.  Lasts for 12 hours.',100,0,0),
(270964,47966,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(270965,47966,'Inflicts 200 poison damage on target',100,2,2),
(270966,47966,'Inflicts 119 poison damage on target instantly and every 6 seconds',100,2,3),
(270967,47966,'Cannot be modified except by direct means',100,2,4),
(270968,47966,'Grants a total of 100 triggers of the spell.',100,2,5),
(270969,10047966,'Applies Scouring Goo when Activated.  Lasts for 12 hours.',100,0,0),
(270970,10047966,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(270971,10047966,'Inflicts 180 poison damage on target',100,2,2),
(270972,10047966,'Inflicts 107 poison damage on target instantly and every 6 seconds',100,2,3),
(270973,10047966,'Cannot be modified except by direct means',100,2,4),
(270974,10047966,'Grants a total of 100 triggers of the spell.',100,2,5),
(270975,173347,'When Equipped:',100,0,0),
(270976,173347,'On a spell cast this spell may cast Deep Worlds on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(270977,173347,'Increases power of caster by 290 instantly and every 6 seconds',100,2,2),
(270978,173347,'Increases Max Power of caster by 10.0%',100,2,3),
(270979,173347,'Cannot be modified except by direct means',100,2,4),
(270980,173347,'Cannot be modified except by direct means',100,1,5),
(270981,10173347,'When Equipped:',100,0,0),
(270982,10173347,'On a spell cast this spell may cast Deep Worlds on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(270983,10173347,'Increases power of caster by 290 instantly and every 6 seconds',100,2,2),
(270984,10173347,'Increases Max Power of caster by 10.0%',100,2,3),
(270985,10173347,'Cannot be modified except by direct means',100,2,4),
(270986,10173347,'Cannot be modified except by direct means',100,1,5),
(270987,112620,'Increases STA of caster by 66.0',100,1,0),
(270988,112620,'Reduces slow effects on caster by 24.0%',100,1,1),
(270989,112620,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1728',100,1,2),
(270990,10112620,'Increases STA of caster by 66.0',100,1,0),
(270991,10112620,'Reduces slow effects on caster by 24.0%',100,1,1),
(270992,10112620,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1728',100,1,2),
(270993,100456,'Inflicts 75 - 125 mental damage on target encounter',100,1,0),
(270994,10100456,'Inflicts 90 - 150 mental damage on target encounter',100,1,0),
(270995,45335,'Applies Black Two Tone Warg with Blue Armor when Activated.',100,0,0),
(270996,45335,'Summons a mount to ride',100,1,1),
(270997,45335,'Increases your ground speed by 130%',100,2,2),
(270998,45335,'Increases Disruption of caster by 7.0',100,1,3),
(270999,45335,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(271000,45335,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.0',100,1,5),
(271001,10045335,'Applies Black Two Tone Warg with Blue Armor when Activated.',100,0,0),
(271002,10045335,'Summons a mount to ride',100,1,1),
(271003,10045335,'Increases your ground speed by 130%',100,2,2),
(271004,10045335,'Increases Disruption of caster by 7.0',100,1,3),
(271005,10045335,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(271006,10045335,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.0',100,1,5),
(271007,177647,'When Equipped:',100,0,0),
(271008,177647,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(271009,177647,'Increases STA of caster by 14.8',100,2,2),
(271010,177647,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(271011,177647,'Cannot be modified except by direct means',100,2,4),
(271012,10177647,'When Equipped:',100,0,0),
(271013,10177647,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(271014,10177647,'Increases STA of caster by 14.8',100,2,2),
(271015,10177647,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(271016,10177647,'Cannot be modified except by direct means',100,2,4),
(271017,189029,'When Equipped:',100,0,0),
(271018,189029,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(271019,189029,'Heals group members for 1132',100,2,2),
(271020,189029,'Cannot be modified except by direct means',100,2,3),
(271021,189029,'When Equipped:',100,0,4),
(271022,189029,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(271023,189029,'This effect stacks with the Runic Deflection line.',100,2,6),
(271024,189029,'Wards caster against 1300 points of all damage',100,2,7),
(271025,189029,'Cannot be modified except by direct means',100,2,8),
(271026,10189029,'When Equipped:',100,0,0),
(271027,10189029,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(271028,10189029,'Heals group members for 1324',100,2,2),
(271029,10189029,'Cannot be modified except by direct means',100,2,3),
(271030,10189029,'When Equipped:',100,0,4),
(271031,10189029,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(271032,10189029,'This effect stacks with the Runic Deflection line.',100,2,6),
(271033,10189029,'Wards caster against 1300 points of all damage',100,2,7),
(271034,10189029,'Cannot be modified except by direct means',100,2,8),
(271035,119303,'Roots target',100,1,0),
(271036,119303,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(271037,119303,'Slows target by 54.1%',100,2,2),
(271038,119303,'5% chance to dispel when target receives hostile action',100,2,3),
(271039,119303,'5% chance to dispel when target takes damage',100,2,4),
(271040,119303,'15% chance to dispel when target takes damage',100,1,5),
(271041,119303,'Does not affect Epic targets',100,1,6),
(271042,119303,'Resistibility increases against targets higher than level 48.',100,1,7),
(271043,10119303,'Roots target',100,1,0),
(271044,10119303,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(271045,10119303,'Slows target by 54.1%',100,2,2),
(271046,10119303,'5% chance to dispel when target receives hostile action',100,2,3),
(271047,10119303,'5% chance to dispel when target takes damage',100,2,4),
(271048,10119303,'15% chance to dispel when target takes damage',100,1,5),
(271049,10119303,'Does not affect Epic targets',100,1,6),
(271050,10119303,'Resistibility increases against targets higher than level 48.',100,1,7),
(271051,26865,'When Equipped:',100,0,0),
(271052,26865,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(271053,26865,'Inflicts 17 heat damage on target instantly and every 5 seconds',100,2,2),
(271054,26865,'Cannot be modified except by direct means',100,2,3),
(271055,10026865,'When Equipped:',100,0,0),
(271056,10026865,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(271057,10026865,'Inflicts 21 heat damage on target instantly and every 5 seconds',100,2,2),
(271058,10026865,'Cannot be modified except by direct means',100,2,3),
(271059,120008,'Increases Threat to target by 2,072 - 2,431 ',100,1,0),
(271060,10120008,'Prevents target from changing targets',100,1,0),
(271061,10120008,'Forces target to change their selected target to caster.',100,1,1),
(271062,27083,'When Equipped:',100,0,0),
(271063,27083,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(271064,27083,'Inflicts 9 piercing damage on target',100,2,2),
(271065,27083,'Cannot be modified except by direct means',100,2,3),
(271066,10027083,'When Equipped:',100,0,0),
(271067,10027083,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(271068,10027083,'Inflicts 11 piercing damage on target',100,2,2),
(271069,10027083,'Cannot be modified except by direct means',100,2,3),
(271070,110796,'Inflicts 9 - 12 mental damage on target',100,1,0),
(271071,110796,'Interrupts target',100,1,1),
(271072,10110796,'Inflicts 11 - 15 mental damage on target',100,1,0),
(271073,10110796,'Interrupts target',100,1,1),
(271074,41695,'When Equipped:',100,0,0),
(271075,41695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271076,41695,'Inflicts 108 - 200 magic damage on target',100,2,2),
(271077,41695,'Cannot be modified except by direct means',100,2,3),
(271078,10041695,'When Equipped:',100,0,0),
(271079,10041695,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271080,10041695,'Inflicts 129 - 240 magic damage on target',100,2,2),
(271081,10041695,'Cannot be modified except by direct means',100,2,3),
(271082,121389,'Roots caster',100,1,0),
(271083,121389,'Dazes caster',100,1,1),
(271084,121389,'Applies Steel Hail.',100,1,2),
(271085,121389,'Inflicts 489 - 815 ranged damage on target',100,2,3),
(271086,121389,'Stifles caster',100,1,4),
(271087,121389,'If weapon equipped in Ranged',100,1,5),
(271088,121389,'Resistibility increases against targets higher than level 84.',100,1,6),
(271089,10121389,'Roots caster',100,1,0),
(271090,10121389,'Dazes caster',100,1,1),
(271091,10121389,'Applies Steel Hail.',100,1,2),
(271092,10121389,'Inflicts 367 - 611 ranged damage on target',100,2,3),
(271093,10121389,'Stifles caster',100,1,4),
(271094,10121389,'If weapon equipped in Ranged',100,1,5),
(271095,10121389,'Resistibility increases against targets higher than level 84.',100,1,6),
(271096,106027,'Inflicts 120 - 147 divine damage on target instantly and every 3 seconds',100,1,0),
(271097,106027,'Decreases Defense of target by 21.2',100,1,1),
(271098,10106027,'Inflicts 96 - 117 divine damage on target instantly and every 3 seconds',100,1,0),
(271099,10106027,'Decreases Defense of target by 21.2',100,1,1),
(271100,80875,'When Equipped:',100,0,0),
(271101,80875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271102,80875,'Inflicts 175 - 324 magic damage on target',100,2,2),
(271103,80875,'Cannot be modified except by direct means',100,2,3),
(271104,10080875,'When Equipped:',100,0,0),
(271105,10080875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271106,10080875,'Inflicts 209 - 389 magic damage on target',100,2,2),
(271107,10080875,'Cannot be modified except by direct means',100,2,3),
(271108,123569,'Increases STR of group members (AE) by 34.4',100,1,0),
(271109,123569,'Increases Max Health of group members (AE) by 266.6',100,1,1),
(271110,10123569,'Increases STR of group members (AE) by 34.4',100,1,0),
(271111,10123569,'Increases Max Health of group members (AE) by 266.6',100,1,1),
(271112,111337,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(271113,111337,'Inflicts 401 - 491 mental damage on target',100,2,1),
(271114,111337,'Grants a total of 3 triggers of the spell.',100,2,2),
(271115,10111337,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(271116,10111337,'Inflicts 482 - 589 mental damage on target',100,2,1),
(271117,10111337,'Grants a total of 3 triggers of the spell.',100,2,2),
(271118,37334,'Increases STA and AGI of target by 9.0',100,0,0),
(271119,37334,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(271120,37334,'Increases Attack Speed of target by 10.0',100,0,2),
(271121,140357,'When Equipped:',100,0,0),
(271122,140357,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271123,140357,'Inflicts 947 magic damage on target',100,2,2),
(271124,140357,'Inflicts 95 magic damage on target every 4 seconds',100,2,3),
(271125,140357,'Must not be engaged in pvp combat',100,2,4),
(271126,140357,'Cannot be modified except by direct means',100,2,5),
(271127,10140357,'When Equipped:',100,0,0),
(271128,10140357,'On any combat or spell hit this spell may cast Incandescent Blurt on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271129,10140357,'Inflicts 1136 magic damage on target',100,2,2),
(271130,10140357,'Inflicts 114 magic damage on target every 4 seconds',100,2,3),
(271131,10140357,'Must not be engaged in pvp combat',100,2,4),
(271132,10140357,'Cannot be modified except by direct means',100,2,5),
(271133,119057,'Inflicts 109 - 183 mental damage on target',100,1,0),
(271134,119057,'Decreases power of target by 103 - 171',100,1,1),
(271135,119057,'Increases power of caster by 60 - 100',100,1,2),
(271136,10119057,'Inflicts 131 - 219 mental damage on target',100,1,0),
(271137,10119057,'Decreases power of target by 103 - 171',100,1,1),
(271138,10119057,'Increases power of caster by 60 - 100',100,1,2),
(271139,159527,'Applies Sanguine Imbued when Equipped.',100,0,0),
(271140,159527,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(271141,159527,'Inflicts 189 heat damage on target',100,2,2),
(271142,159527,'Cannot be modified except by direct means',100,2,3),
(271143,10159527,'Applies Sanguine Imbued when Equipped.',100,0,0),
(271144,10159527,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(271145,10159527,'Inflicts 227 heat damage on target',100,2,2),
(271146,10159527,'Cannot be modified except by direct means',100,2,3),
(271147,100755,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(271148,100755,'Wards target against 700 points of all damage',100,2,1),
(271149,100755,'Increases power of target by 131 every 6 seconds',100,2,2),
(271150,100755,'Heals target for 569',100,2,3),
(271151,100755,'Grants a total of 1 trigger of the spell.',100,2,4),
(271152,10100755,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(271153,10100755,'Wards target against 700 points of all damage',100,2,1),
(271154,10100755,'Increases power of target by 131 every 6 seconds',100,2,2),
(271155,10100755,'Heals target for 370',100,2,3),
(271156,10100755,'Grants a total of 1 trigger of the spell.',100,2,4),
(271157,105797,'Inflicts 420 - 513 heat damage on target',100,1,0),
(271158,10105797,'Inflicts 671 - 821 heat damage on target',100,1,0),
(271159,37311,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(271160,82920,'When Equipped:',100,0,0),
(271161,82920,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(271162,82920,'Decreases Threat to target by 833 ',100,2,2),
(271163,82920,'Must be flanking or behind',100,3,3),
(271164,82920,'Increases Threat to target by 1,293 ',100,2,4),
(271165,82920,'Must be in front of',100,3,5),
(271166,82920,'Inflicts 228 - 423 magic damage on target',100,2,6),
(271167,82920,'Cannot be modified except by direct means',100,2,7),
(271168,10082920,'When Equipped:',100,0,0),
(271169,10082920,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(271170,10082920,'Inflicts 273 - 508 magic damage on target',100,2,2),
(271171,10082920,'Cannot be modified except by direct means',100,2,3),
(271172,24075,'Adds Chardok: Crystallized Runed Artifact to your Dungeon Maker toolbox',100,0,0),
(271173,10024075,'Adds Chardok: Crystallized Runed Artifact to your Dungeon Maker toolbox',100,0,0),
(271174,45321,'Applies Call Purple-saddled Black Nightmare when Activated.',100,0,0),
(271175,45321,'Summons a mount to ride',100,1,1),
(271176,45321,'Increases your ground speed by 130%',100,2,2),
(271177,45321,'Increases Max Health of caster by 150.0',100,1,3),
(271178,45321,'Increases Max Power of caster by 150.0',100,1,4),
(271179,45321,'Increases Disruption, Ranged, Crushing, Piercing and Slashing of caster by 7.0',100,1,5),
(271180,45321,'Requires evil alignment',100,1,6),
(271181,10045321,'Applies Call Purple-saddled Black Nightmare when Activated.',100,0,0),
(271182,10045321,'Summons a mount to ride',100,1,1),
(271183,10045321,'Increases your ground speed by 130%',100,2,2),
(271184,10045321,'Increases Max Health of caster by 150.0',100,1,3),
(271185,10045321,'Increases Max Power of caster by 150.0',100,1,4),
(271186,10045321,'Increases Disruption, Ranged, Crushing, Piercing and Slashing of caster by 7.0',100,1,5),
(271187,10045321,'Requires evil alignment',100,1,6),
(271188,113917,'Increases power of target by 19 instantly and every 4 seconds',100,1,0),
(271189,10113917,'Increases power of target by 19 instantly and every 4 seconds',100,1,0),
(271190,83614,'When Equipped:',100,0,0),
(271191,83614,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(271192,83614,'Inflicts 1192 heat damage on target',100,2,2),
(271193,83614,'Cannot be modified except by direct means',100,2,3),
(271194,10083614,'When Equipped:',100,0,0),
(271195,10083614,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(271196,10083614,'Inflicts 715 heat damage on target',100,2,2),
(271197,10083614,'Cannot be modified except by direct means',100,2,3),
(271198,134593,'When Equipped:',100,0,0),
(271199,134593,'Gives caster an extra 3.0% mitigation to their worn armor',100,1,1),
(271200,134593,'Must not be engaged in pvp combat',100,1,2),
(271201,10134593,'When Equipped:',100,0,0),
(271202,10134593,'Gives caster an extra 3.0% mitigation to their worn armor',100,1,1),
(271203,10134593,'Must not be engaged in pvp combat',100,1,2),
(271204,110839,'Inflicts 217 - 294 mental damage on target',100,1,0),
(271205,110839,'Interrupts target',100,1,1),
(271206,10110839,'Inflicts 260 - 352 mental damage on target',100,1,0),
(271207,10110839,'Interrupts target',100,1,1),
(271208,80297,'When Equipped:',100,0,0),
(271209,80297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271210,80297,'Inflicts 56 - 103 magic damage on target',100,2,2),
(271211,80297,'Cannot be modified except by direct means',100,2,3),
(271212,10080297,'When Equipped:',100,0,0),
(271213,10080297,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271214,10080297,'Inflicts 67 - 124 magic damage on target',100,2,2),
(271215,10080297,'Cannot be modified except by direct means',100,2,3),
(271216,170035,'When Equipped:',100,0,0),
(271217,170035,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(271218,170035,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(271219,170035,'Cannot be modified except by direct means',100,2,3),
(271220,10170035,'When Equipped:',100,0,0),
(271221,10170035,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(271222,10170035,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(271223,10170035,'Cannot be modified except by direct means',100,2,3),
(271224,109491,'Inflicts 389 - 649 cold damage on target',100,1,0),
(271225,10109491,'Inflicts 467 - 779 cold damage on target',100,1,0),
(271226,24550,'Adds Mistmoore: Stack of Scrolls to your Dungeon Maker toolbox',100,0,0),
(271227,10024550,'Adds Mistmoore: Stack of Scrolls to your Dungeon Maker toolbox',100,0,0),
(271228,124106,'Increases power of caster by 78',100,1,0),
(271229,10124106,'Increases power of caster by 78',100,1,0),
(271230,123994,'Inflicts 1001 - 1669 melee damage on target',100,1,0),
(271231,123994,'Decreases AGI of target by 117.9',100,1,1),
(271232,123994,'Must be behind',100,1,2),
(271233,10123994,'Inflicts 1201 - 2003 melee damage on target',100,1,0),
(271234,10123994,'Decreases AGI of target by 117.9',100,1,1),
(271235,10123994,'Must be behind',100,1,2),
(271236,116224,'Increases INT of group members (AE) by 98.6',100,1,0),
(271237,116224,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,1),
(271238,116224,'Inflicts 331 - 404 mental damage on target',100,2,2),
(271239,10116224,'Increases INT of group members (AE) by 98.6',100,1,0),
(271240,10116224,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,1),
(271241,10116224,'Inflicts 397 - 485 mental damage on target',100,2,2),
(271242,110081,'Summons a pet grim sorcerer',100,1,0),
(271243,10110081,'Summons a pet grim sorcerer',100,1,0),
(271244,35181,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(271245,35181,'Increases Max Health of target by 145.6',100,0,1),
(271246,52771,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(271247,52771,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(271248,52771,'Inflicts 107 heat damage on target',100,2,2),
(271249,52771,'Cannot be modified except by direct means',100,2,3),
(271250,10052771,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(271251,10052771,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(271252,10052771,'Inflicts 129 heat damage on target',100,2,2),
(271253,10052771,'Cannot be modified except by direct means',100,2,3),
(271254,82069,'When Equipped:',100,0,0),
(271255,82069,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271256,82069,'Inflicts 125 - 232 magic damage on target',100,2,2),
(271257,82069,'Cannot be modified except by direct means',100,2,3),
(271258,10082069,'When Equipped:',100,0,0),
(271259,10082069,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271260,10082069,'Inflicts 150 - 278 magic damage on target',100,2,2),
(271261,10082069,'Cannot be modified except by direct means',100,2,3),
(271262,183381,'When Equipped:',100,0,0),
(271263,183381,'Increases Attack Speed of caster by 40.0',100,1,1),
(271264,10183381,'When Equipped:',100,0,0),
(271265,10183381,'Increases Attack Speed of caster by 40.0',100,1,1),
(271266,118853,'Inflicts 142 - 427 melee damage on target',100,1,0),
(271267,10118853,'Inflicts 170 - 512 melee damage on target',100,1,0),
(271268,121836,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(271269,121836,'Increases Mitigation of group members (AE) vs arcane damage by 725',100,1,1),
(271270,10121836,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(271271,10121836,'Increases Mitigation of group members (AE) vs arcane damage by 725',100,1,1),
(271272,71570,'When Equipped:',100,0,0),
(271273,71570,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271274,71570,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(271275,71570,'Cannot be modified except by direct means',100,2,3),
(271276,10071570,'When Equipped:',100,0,0),
(271277,10071570,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271278,10071570,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(271279,10071570,'Cannot be modified except by direct means',100,2,3),
(271280,122184,'Inflicts 163 - 199 cold damage on target instantly and every 2 seconds',100,1,0),
(271281,122184,'Inflicts 163 - 199 cold damage on target instantly and every 2 seconds',100,1,1),
(271282,122184,'If target is elemental',100,2,2),
(271283,10122184,'Inflicts 195 - 239 cold damage on target instantly and every 2 seconds',100,1,0),
(271284,110424,'Inflicts 2836 - 4726 disease damage on target',100,1,0),
(271285,10110424,'Inflicts 2333 - 3889 disease damage on target',100,1,0),
(271286,24268,'Adds Decrease Tier II (Single) to your Dungeon Maker toolbox',100,0,0),
(271287,10024268,'Adds Decrease Tier II (Single) to your Dungeon Maker toolbox',100,0,0),
(271288,123200,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(271289,123200,'Inflicts 45 - 55 disease damage on target',100,2,1),
(271290,123200,'Heals caster for 2.5 - 3.0% of max health',100,2,2),
(271291,123200,'This effect cannot be critically applied.',100,3,3),
(271292,123200,'The healing of this spell cannot be modified except by direct means',100,2,4),
(271293,123200,'Grants a total of 5 triggers of the spell.',100,2,5),
(271294,10123200,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(271295,10123200,'Inflicts 54 - 66 disease damage on target',100,2,1),
(271296,10123200,'Heals caster for 0.9 - 1.1% of max health',100,2,2),
(271297,10123200,'This effect cannot be critically applied.',100,3,3),
(271298,10123200,'The healing of this spell cannot be modified except by direct means',100,2,4),
(271299,10123200,'Grants a total of 5 triggers of the spell.',100,2,5),
(271300,170686,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(271301,170686,'Decreases Mitigation of target vs physical damage by 193',100,1,1),
(271302,170686,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(271303,10170686,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(271304,10170686,'Decreases Mitigation of target vs physical damage by 193',100,1,1),
(271305,10170686,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(271306,116440,'Inflicts 39 disease damage on target instantly and every 4 seconds',100,1,0),
(271307,116440,'Inflicts 39 disease damage on target instantly and every 4 seconds',100,1,1),
(271308,116440,'If target is nightblood',100,2,2),
(271309,116440,'Inflicts 39 disease damage on target instantly and every 4 seconds',100,1,3),
(271310,116440,'If target is shadowed folk',100,2,4),
(271311,10116440,'Inflicts 47 disease damage on target instantly and every 4 seconds',100,1,0),
(271312,133430,'When Equipped:',100,0,0),
(271313,133430,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271314,133430,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(271315,133430,'Cannot be modified except by direct means',100,2,3),
(271316,10133430,'When Equipped:',100,0,0),
(271317,10133430,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271318,10133430,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(271319,10133430,'Cannot be modified except by direct means',100,2,3),
(271320,47711,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(271321,47711,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(271322,47711,'Inflicts 29 poison damage on target',100,2,2),
(271323,47711,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,3),
(271324,47711,'Cannot be modified except by direct means',100,2,4),
(271325,47711,'Grants a total of 200 triggers of the spell.',100,2,5),
(271326,10047711,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(271327,10047711,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(271328,10047711,'Inflicts 69 poison damage on target instantly and every 6 seconds',100,2,2),
(271329,10047711,'Inflicts 26 poison damage on target',100,2,3),
(271330,10047711,'Cannot be modified except by direct means',100,2,4),
(271331,10047711,'Grants a total of 200 triggers of the spell.',100,2,5),
(271332,45445,'Applies Bulwark of the Storm when Activated.  Lasts for 30 minutes.',100,0,0),
(271333,10045445,'Applies Bulwark of the Storm when Activated.  Lasts for 30 minutes.',100,0,0),
(271334,47199,'Applies Elixir of Precision  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(271335,47199,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(271336,47199,'Inflicts 3 magic damage on target',100,2,2),
(271337,47199,'Cannot be modified except by direct means',100,2,3),
(271338,10047199,'Applies Elixir of Precision  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(271339,10047199,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(271340,10047199,'Inflicts 4 magic damage on target',100,2,2),
(271341,10047199,'Cannot be modified except by direct means',100,2,3),
(271342,151098,'When Equipped:',100,0,0),
(271343,151098,'On a combat hit this spell may cast Stun V on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(271344,151098,'Stuns target',100,2,2),
(271345,151098,'Does not affect Epic targets',100,2,3),
(271346,151098,'Resistibility increases against targets higher than level 102.',100,2,4),
(271347,151098,'Cannot be modified except by direct means',100,2,5),
(271348,10151098,'When Equipped:',100,0,0),
(271349,10151098,'On a combat hit this spell may cast Stun V on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(271350,10151098,'Stuns target',100,2,2),
(271351,10151098,'Does not affect Epic targets',100,2,3),
(271352,10151098,'Resistibility increases against targets higher than level 102.',100,2,4),
(271353,10151098,'Cannot be modified except by direct means',100,2,5),
(271354,104217,'Decreases WIS of target encounter by 35.8',100,1,0),
(271355,104217,'Inflicts 54 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(271356,10104217,'Decreases WIS of target encounter by 35.8',100,1,0),
(271357,10104217,'Inflicts 65 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(271358,120481,'Inflicts 19 - 31 melee damage on target',100,1,0),
(271359,120481,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(271360,120481,'Grants stealth to caster',100,2,2),
(271361,120481,'Suspends caster''s movement speed enhancements',100,2,3),
(271362,120481,'Must be flanking or behind',100,1,4),
(271363,10120481,'Inflicts 23 - 38 melee damage on target',100,1,0),
(271364,10120481,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(271365,10120481,'Grants stealth to caster',100,2,2),
(271366,10120481,'Suspends caster''s movement speed enhancements',100,2,3),
(271367,10120481,'Must be flanking or behind',100,1,4),
(271368,24098,'Adds Chardok: Sokokar Post to your Dungeon Maker toolbox',100,0,0),
(271369,10024098,'Adds Chardok: Sokokar Post to your Dungeon Maker toolbox',100,0,0),
(271370,24496,'Adds Lair of Scale: Sconce of Solid Magma to your Dungeon Maker toolbox',100,0,0),
(271371,10024496,'Adds Lair of Scale: Sconce of Solid Magma to your Dungeon Maker toolbox',100,0,0),
(271372,121419,'Inflicts 1468 - 1794 ranged damage on targets in area',100,1,0),
(271373,10121419,'Inflicts 1101 - 1346 ranged damage on targets in area',100,1,0),
(271374,46361,'Applies Flask of Adventuring III when Activated.  Lasts for 2 hours.',100,0,0),
(271375,46361,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(271376,46361,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(271377,46361,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(271378,46361,'You can only have one experience potion active at a time.',100,1,4),
(271379,10046361,'Applies Flask of Adventuring III when Activated.  Lasts for 2 hours.',100,0,0),
(271380,10046361,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(271381,10046361,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(271382,10046361,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(271383,10046361,'You can only have one experience potion active at a time.',100,1,4),
(271384,113847,'Inflicts 401 - 668 disease damage on target',100,1,0),
(271385,10113847,'Inflicts 481 - 802 disease damage on target',100,1,0),
(271386,37018,'Increases STR of target by 2.4',100,0,0),
(271387,37018,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(271388,122428,'Sets a trap',100,1,0),
(271389,10122428,'Sets a trap',100,1,0),
(271390,51321,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(271391,51321,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(271392,51321,'Inflicts 31 heat damage on target',100,2,2),
(271393,51321,'Cannot be modified except by direct means',100,2,3),
(271394,10051321,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(271395,10051321,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(271396,10051321,'Inflicts 37 heat damage on target',100,2,2),
(271397,10051321,'Cannot be modified except by direct means',100,2,3),
(271398,109279,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(271399,109279,'Increases Mitigation of group members (AE) vs elemental damage by 160',100,1,1),
(271400,10109279,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(271401,10109279,'Increases Mitigation of group members (AE) vs elemental damage by 160',100,1,1),
(271402,35838,'Increases STR of target by 12.7',100,0,0),
(271403,35838,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(271404,25058,'When Equipped:',100,0,0),
(271405,25058,'This war rune will not stack with itself if adorned on multiple items, but does stack with most other in-combat movement speed bonuses',100,1,1),
(271406,25058,'Increases in-combat movement speed of caster by 20.0%',100,1,2),
(271407,25058,'Must not be engaged in pvp combat',100,1,3),
(271408,25058,'Cannot be modified except by direct means',100,1,4),
(271409,10025058,'When Equipped:',100,0,0),
(271410,10025058,'This war rune will not stack with itself if adorned on multiple items, but does stack with most other in-combat movement speed bonuses',100,1,1),
(271411,10025058,'Increases in-combat movement speed of caster by 20.0%',100,1,2),
(271412,10025058,'Must not be engaged in pvp combat',100,1,3),
(271413,10025058,'Cannot be modified except by direct means',100,1,4),
(271414,118570,'Dazes caster',100,1,0),
(271415,118570,'Roots caster',100,1,1),
(271416,118570,'Increases Mitigation of caster vs physical damage by 2176',100,1,2),
(271417,10118570,'Dazes caster',100,1,0),
(271418,10118570,'Roots caster',100,1,1),
(271419,10118570,'Increases Mitigation of caster vs physical damage by 2176',100,1,2),
(271420,102523,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(271421,102523,'Increases Aggression of caster by 9.7',100,1,1),
(271422,102523,'Increases Defense and Parry of caster by 19.3',100,1,2),
(271423,102523,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(271424,10102523,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(271425,10102523,'Increases Aggression of caster by 9.7',100,1,1),
(271426,10102523,'Increases Defense and Parry of caster by 19.3',100,1,2),
(271427,10102523,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(271428,80546,'When Equipped:',100,0,0),
(271429,80546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271430,80546,'Inflicts 72 - 134 magic damage on target',100,2,2),
(271431,80546,'Cannot be modified except by direct means',100,2,3),
(271432,10080546,'When Equipped:',100,0,0),
(271433,10080546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271434,10080546,'Inflicts 87 - 161 magic damage on target',100,2,2),
(271435,10080546,'Cannot be modified except by direct means',100,2,3),
(271436,119562,'Wards group members (AE) against 2230 points of arcane damage',100,1,0),
(271437,119562,'Increases Mitigation of group members (AE) vs arcane damage by 1196',100,1,1),
(271438,10119562,'Wards group members (AE) against 2230 points of arcane damage',100,1,0),
(271439,10119562,'Increases Mitigation of group members (AE) vs arcane damage by 1196',100,1,1),
(271440,45337,'Applies Black Two Tone Warg with Green Armor when Activated.',100,0,0),
(271441,45337,'Summons a mount to ride',100,1,1),
(271442,45337,'Increases your ground speed by 130%',100,2,2),
(271443,45337,'Increases Slashing, Ranged and Piercing of caster by 7.0',100,1,3),
(271444,45337,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(271445,45337,'Increases Crushing and Disruption of caster by 7.0',100,1,5),
(271446,10045337,'Applies Black Two Tone Warg with Green Armor when Activated.',100,0,0),
(271447,10045337,'Summons a mount to ride',100,1,1),
(271448,10045337,'Increases your ground speed by 130%',100,2,2),
(271449,10045337,'Increases Slashing, Ranged and Piercing of caster by 7.0',100,1,3),
(271450,10045337,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(271451,10045337,'Increases Crushing and Disruption of caster by 7.0',100,1,5),
(271452,118589,'Roots target',100,1,0),
(271453,118589,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(271454,118589,'Slows target by 47.9%',100,2,2),
(271455,118589,'5% chance to dispel when target receives hostile action',100,2,3),
(271456,118589,'5% chance to dispel when target takes damage',100,2,4),
(271457,118589,'5% chance to dispel when target takes damage',100,1,5),
(271458,118589,'Does not affect Epic targets',100,1,6),
(271459,118589,'Resistibility increases against targets higher than level 50.',100,1,7),
(271460,10118589,'Roots target',100,1,0),
(271461,10118589,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(271462,10118589,'Slows target by 47.9%',100,2,2),
(271463,10118589,'5% chance to dispel when target receives hostile action',100,2,3),
(271464,10118589,'5% chance to dispel when target takes damage',100,2,4),
(271465,10118589,'5% chance to dispel when target takes damage',100,1,5),
(271466,10118589,'Does not affect Epic targets',100,1,6),
(271467,10118589,'Resistibility increases against targets higher than level 50.',100,1,7),
(271468,114026,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(271469,114026,'Heals target for 34 instantly and every 2 seconds',100,2,1),
(271470,114026,'Decreases Mitigation of target vs arcane damage by 736',100,1,2),
(271471,10114026,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(271472,10114026,'Heals target for 110 instantly and every 2 seconds',100,2,1),
(271473,10114026,'Decreases Mitigation of target vs arcane damage by 736',100,1,2),
(271474,120147,'Decreases STR and INT of target by 54.3',100,1,0),
(271475,120147,'Increases STR and INT of caster by 54.3',100,1,1),
(271476,10120147,'Decreases STR and INT of target by 54.3',100,1,0),
(271477,10120147,'Increases STR and INT of caster by 54.3',100,1,1),
(271478,102376,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(271479,102376,'Increases Attack Speed of target by 19.4',100,2,1),
(271480,102376,'Increases Damage Per Second of target by 19.4',100,2,2),
(271481,102376,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(271482,102376,'Increases Attack Speed of target by 19.4',100,2,4),
(271483,102376,'Increases Damage Per Second of target by 19.4',100,2,5),
(271484,102376,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(271485,102376,'Increases Attack Speed of target by 19.4',100,2,7),
(271486,102376,'Increases Damage Per Second of target by 19.4',100,2,8),
(271487,10102376,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(271488,10102376,'Increases Attack Speed of target by 19.4',100,2,1),
(271489,10102376,'Increases Damage Per Second of target by 19.4',100,2,2),
(271490,10102376,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(271491,10102376,'Increases Attack Speed of target by 19.4',100,2,4),
(271492,10102376,'Increases Damage Per Second of target by 19.4',100,2,5),
(271493,10102376,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(271494,10102376,'Increases Attack Speed of target by 19.4',100,2,7),
(271495,10102376,'Increases Damage Per Second of target by 19.4',100,2,8),
(271496,112323,'Inflicts 169 - 207 disease damage on target',100,1,0),
(271497,112323,'Inflicts 85 - 104 disease damage on target every 3 seconds',100,1,1),
(271498,112323,'Increases Threat to target by 2,145 - 2,519  instantly and by 554 - 677  every 3 seconds thereafter',100,1,2),
(271499,10112323,'Inflicts 102 - 124 disease damage on target every 3 seconds',100,1,0),
(271500,10112323,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(271501,80233,'When Equipped:',100,0,0),
(271502,80233,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271503,80233,'Inflicts 152 - 283 magic damage on target',100,2,2),
(271504,80233,'Cannot be modified except by direct means',100,2,3),
(271505,10080233,'When Equipped:',100,0,0),
(271506,10080233,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271507,10080233,'Inflicts 183 - 339 magic damage on target',100,2,2),
(271508,10080233,'Cannot be modified except by direct means',100,2,3),
(271509,122908,'Increases STR and INT of group members (AE) by 40.1',100,1,0),
(271510,10122908,'Increases STR and INT of group members (AE) by 40.1',100,1,0),
(271511,88216,'When Equipped:',100,0,0),
(271512,88216,'On a combat hit this spell may cast Frigid Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271513,88216,'Inflicts 198 - 330 cold damage on target',100,2,2),
(271514,88216,'Cannot be modified except by direct means',100,2,3),
(271515,10088216,'When Equipped:',100,0,0),
(271516,10088216,'On a combat hit this spell may cast Frigid Blast on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271517,10088216,'Inflicts 237 - 396 cold damage on target',100,2,2),
(271518,10088216,'Cannot be modified except by direct means',100,2,3),
(271519,152658,'When Equipped:',100,0,0),
(271520,152658,'On death this spell may cast Varsoon''s Salvation on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(271521,152658,'Heals caster for 50.0% of max health',100,2,2),
(271522,152658,'Cannot be modified except by direct means',100,2,3),
(271523,152658,'Grants a total of 1 trigger of the spell.',100,2,4),
(271524,10152658,'When Equipped:',100,0,0),
(271525,10152658,'On death this spell may cast Varsoon''s Salvation on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(271526,10152658,'Heals caster for 32.5% of max health',100,2,2),
(271527,10152658,'Cannot be modified except by direct means',100,2,3),
(271528,10152658,'Grants a total of 1 trigger of the spell.',100,2,4),
(271529,103353,'Decreases power of target by 4 instantly and every 6 seconds',100,1,0),
(271530,103353,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',100,1,1),
(271531,103353,'Increases power of caster by 18',100,1,2),
(271532,10103353,'Decreases power of target by 4 instantly and every 6 seconds',100,1,0),
(271533,10103353,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',100,1,1),
(271534,10103353,'Increases power of caster by 18',100,1,2),
(271535,110015,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(271536,110015,'Inflicts 28 - 46 disease damage on target',100,2,1),
(271537,110015,'Heals caster for 19 - 31',100,2,2),
(271538,110015,'This effect cannot be critically applied.',100,3,3),
(271539,110015,'The healing of this spell cannot be modified except by direct means',100,2,4),
(271540,10110015,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(271541,10110015,'Inflicts 33 - 55 disease damage on target',100,2,1),
(271542,10110015,'Heals caster for 6 - 9',100,2,2),
(271543,10110015,'This effect cannot be critically applied.',100,3,3),
(271544,10110015,'The healing of this spell cannot be modified except by direct means',100,2,4),
(271545,47560,'Applies Portable Forge when Activated.  Lasts for 15 minutes.',100,0,0),
(271546,47560,'Summons Forge',100,1,1),
(271547,47560,'This effect cancels during combat',100,1,2),
(271548,10047560,'Applies Portable Forge when Activated.  Lasts for 15 minutes.',100,0,0),
(271549,10047560,'Summons Forge',100,1,1),
(271550,10047560,'This effect cancels during combat',100,1,2),
(271551,36024,'Increases STR of target by 6.2',100,0,0),
(271552,36024,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(271553,118067,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(271554,118067,'Increases Defense of caster by 4.6',100,1,1),
(271555,10118067,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(271556,10118067,'Increases Defense of caster by 4.6',100,1,1),
(271557,109650,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(271558,109650,'Inflicts 34 - 64 poison damage on target encounter',100,2,1),
(271559,10109650,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(271560,10109650,'Inflicts 41 - 76 poison damage on target encounter',100,2,1),
(271561,48013,'Applies Fright and Dread when Activated.  Lasts for 30.0 seconds.',100,0,0),
(271562,48013,'Summons 2 limited pets to aid the caster',100,1,1),
(271563,10048013,'Applies Fright and Dread when Activated.  Lasts for 30.0 seconds.',100,0,0),
(271564,10048013,'Summons 2 limited pets to aid the caster',100,1,1),
(271565,112868,'Inflicts 22 - 26 melee damage on target',100,1,0),
(271566,112868,'Decreases Mitigation of target vs physical damage by 45',100,1,1),
(271567,112868,'Must be flanking or behind',100,1,2),
(271568,10112868,'Inflicts 26 - 32 melee damage on target',100,1,0),
(271569,10112868,'Decreases Mitigation of target vs physical damage by 45',100,1,1),
(271570,10112868,'Must be flanking or behind',100,1,2),
(271571,120888,'Stifles target',100,1,0),
(271572,120888,'Inflicts 254 - 311 mental damage on target',100,1,1),
(271573,120888,'Epic targets gain an immunity to Stifle effects of 36.0 seconds and duration is reduced to 4.0 seconds.',100,1,2),
(271574,120888,'Resistibility increases against targets higher than level 73.',100,1,3),
(271575,10120888,'Stifles target',100,1,0),
(271576,10120888,'Inflicts 305 - 373 mental damage on target',100,1,1),
(271577,10120888,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(271578,10120888,'Resistibility increases against targets higher than level 73.',100,1,3),
(271579,118951,'Applies Sacrifice.',100,1,0),
(271580,118951,'Heals group members (AE) for 237',100,2,1),
(271581,118951,'Increases power of group members (AE) by 68',100,2,2),
(271582,118951,'Stuns target',100,1,3),
(271583,10118951,'Applies Sacrifice.',100,1,0),
(271584,10118951,'Increases power of group members (AE) by 68',100,2,1),
(271585,10118951,'Heals group members (AE) for 330',100,2,2),
(271586,10118951,'Stuns target',100,1,3),
(271587,105938,'Inflicts 66 - 81 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(271588,105938,'Inflicts 154 - 257 disease damage on targets in area',100,1,1),
(271589,10105938,'Inflicts 80 - 97 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(271590,10105938,'Inflicts 185 - 309 disease damage on targets in area',100,1,1),
(271591,35541,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(271592,74818,'When Equipped:',100,0,0),
(271593,74818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271594,74818,'Inflicts 86 - 129 magic damage on target',100,2,2),
(271595,74818,'Cannot be modified except by direct means',100,2,3),
(271596,10074818,'When Equipped:',100,0,0),
(271597,10074818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271598,10074818,'Inflicts 103 - 155 magic damage on target',100,2,2),
(271599,10074818,'Cannot be modified except by direct means',100,2,3),
(271600,110410,'Inflicts 1507 - 2512 disease damage on target',100,1,0),
(271601,10110410,'Inflicts 1240 - 2067 disease damage on target',100,1,0),
(271602,53368,'When Equipped:',100,0,0),
(271603,53368,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(271604,53368,'Increases caster''s chance to block by 8.0%',100,2,2),
(271605,53368,'Cannot be modified except by direct means',100,2,3),
(271606,53368,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(271607,53368,'Increases caster''s chance to block by 8.0%',100,2,5),
(271608,53368,'Cannot be modified except by direct means',100,2,6),
(271609,10053368,'When Equipped:',100,0,0),
(271610,10053368,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(271611,10053368,'Increases caster''s chance to block by 8.0%',100,2,2),
(271612,10053368,'Cannot be modified except by direct means',100,2,3),
(271613,10053368,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(271614,10053368,'Increases caster''s chance to block by 8.0%',100,2,5),
(271615,10053368,'Cannot be modified except by direct means',100,2,6),
(271616,87224,'When Equipped:',100,0,0),
(271617,87224,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271618,87224,'Inflicts 51 - 76 magic damage on target',100,2,2),
(271619,87224,'Cannot be modified except by direct means',100,2,3),
(271620,10087224,'When Equipped:',100,0,0),
(271621,10087224,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271622,10087224,'Inflicts 61 - 91 magic damage on target',100,2,2),
(271623,10087224,'Cannot be modified except by direct means',100,2,3),
(271624,138446,'When Equipped:',100,0,0),
(271625,138446,'Increases Attack Speed of caster by 45.0',100,1,1),
(271626,10138446,'When Equipped:',100,0,0),
(271627,10138446,'Increases Attack Speed of caster by 45.0',100,1,1),
(271628,107948,'Mesmerizes target',100,1,0),
(271629,107948,'Prevents AOE (except when direct) ',100,1,1),
(271630,107948,'Dispelled when target takes damage',100,1,2),
(271631,107948,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(271632,107948,'Resistibility increases against targets higher than level 116.',100,1,4),
(271633,10107948,'Mesmerizes target',100,1,0),
(271634,10107948,'Prevents AOE (except when direct) ',100,1,1),
(271635,10107948,'Dispelled when target takes damage',100,1,2),
(271636,10107948,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(271637,10107948,'Resistibility increases against targets higher than level 116.',100,1,4),
(271638,111164,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(271639,111164,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2015',100,1,1),
(271640,111164,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,2),
(271641,10111164,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(271642,10111164,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2015',100,1,1),
(271643,10111164,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,2),
(271644,120269,'Inflicts 749 - 1249 crushing damage on target',100,1,0),
(271645,10120269,'Inflicts 899 - 1499 crushing damage on target',100,1,0),
(271646,123425,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(271647,123425,'Throws target back',100,2,1),
(271648,123425,'Blurs vision of target',100,2,2),
(271649,123425,'Stuns target',100,2,3),
(271650,123425,'Does not affect Epic targets',100,2,4),
(271651,123425,'Inflicts 141 - 423 melee damage on target',100,1,5),
(271652,10123425,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(271653,10123425,'Throws target back',100,2,1),
(271654,10123425,'Stuns target',100,2,2),
(271655,10123425,'Blurs vision of target',100,2,3),
(271656,10123425,'Does not affect Epic targets',100,2,4),
(271657,10123425,'Inflicts 169 - 508 melee damage on target',100,1,5),
(271658,108098,'Decreases Threat to target by 586 - 976 ',100,1,0),
(271659,10108098,'Forces target to clear their selected target.',100,1,0),
(271660,10108098,'Target cannot target caster for the duration of this effect.',100,1,1),
(271661,106026,'Inflicts 114 - 140 divine damage on target instantly and every 3 seconds',100,1,0),
(271662,106026,'Decreases Defense of target by 21.6',100,1,1),
(271663,10106026,'Inflicts 91 - 112 divine damage on target instantly and every 3 seconds',100,1,0),
(271664,10106026,'Decreases Defense of target by 21.6',100,1,1),
(271665,46798,'Applies Summon Wolf when Activated.',100,0,0),
(271666,46798,'Summons a mount to ride',100,1,1),
(271667,46798,'Increases your ground speed by 135%',100,2,2),
(271668,46798,'Increases Aggression, Crushing, Focus, Disruption, Ministration, Ranged, Ordination, Piercing, Subjugation and Slashing of caster by 5.0',100,1,3),
(271669,10046798,'Applies Summon Wolf when Activated.',100,0,0),
(271670,10046798,'Summons a mount to ride',100,1,1),
(271671,10046798,'Increases your ground speed by 135%',100,2,2),
(271672,10046798,'Increases Aggression, Crushing, Focus, Disruption, Ministration, Ranged, Ordination, Piercing, Subjugation and Slashing of caster by 5.0',100,1,3),
(271673,109420,'Inflicts 47 - 57 cold damage on target instantly and every 4 seconds',100,1,0),
(271674,109420,'Decreases Mitigation of target vs elemental damage by 276',100,1,1),
(271675,10109420,'Inflicts 56 - 69 cold damage on target instantly and every 4 seconds',100,1,0),
(271676,10109420,'Decreases Mitigation of target vs elemental damage by 276',100,1,1),
(271677,101950,'Summons a limited pet to aid the caster',100,1,0),
(271678,10101950,'Summons a limited pet to aid the caster',100,1,0),
(271679,173518,'When Equipped:',100,0,0),
(271680,173518,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(271681,173518,'Inflicts 1986 heat damage on target',100,2,2),
(271682,173518,'Cannot be modified except by direct means',100,2,3),
(271683,10173518,'When Equipped:',100,0,0),
(271684,10173518,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(271685,10173518,'Inflicts 1192 heat damage on target',100,2,2),
(271686,10173518,'Cannot be modified except by direct means',100,2,3),
(271687,123517,'Decreases Mitigation of target encounter vs noxious damage by 1248',100,1,0),
(271688,10123517,'Decreases Mitigation of target encounter vs noxious damage by 1248',100,1,0),
(271689,102364,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(271690,102364,'Increases Attack Speed of target by 14.3',100,2,1),
(271691,102364,'Increases Damage Per Second of target by 14.3',100,2,2),
(271692,102364,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(271693,102364,'Increases Attack Speed of target by 14.3',100,2,4),
(271694,102364,'Increases Damage Per Second of target by 14.3',100,2,5),
(271695,102364,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(271696,102364,'Increases Attack Speed of target by 14.3',100,2,7),
(271697,102364,'Increases Damage Per Second of target by 14.3',100,2,8),
(271698,10102364,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(271699,10102364,'Increases Attack Speed of target by 14.3',100,2,1),
(271700,10102364,'Increases Damage Per Second of target by 14.3',100,2,2),
(271701,10102364,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(271702,10102364,'Increases Attack Speed of target by 14.3',100,2,4),
(271703,10102364,'Increases Damage Per Second of target by 14.3',100,2,5),
(271704,10102364,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(271705,10102364,'Increases Attack Speed of target by 14.3',100,2,7),
(271706,10102364,'Increases Damage Per Second of target by 14.3',100,2,8),
(271707,138090,'When Equipped:',100,0,0),
(271708,138090,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(271709,138090,'Inflicts 1998 disease damage on target encounter',100,2,2),
(271710,138090,'Must not be engaged in pvp combat',100,2,3),
(271711,138090,'Cannot be modified except by direct means',100,2,4),
(271712,10138090,'When Equipped:',100,0,0),
(271713,10138090,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(271714,10138090,'Inflicts 1199 disease damage on target encounter',100,2,2),
(271715,10138090,'Must not be engaged in pvp combat',100,2,3),
(271716,10138090,'Cannot be modified except by direct means',100,2,4),
(271717,48322,'Applies elemental remedy when Activated.',100,0,0),
(271718,48322,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(271719,10048322,'Applies elemental remedy when Activated.',100,0,0),
(271720,10048322,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(271721,107569,'Roots target',100,1,0),
(271722,107569,'Inflicts 69 - 84 mental damage on target',100,1,1),
(271723,107569,'5% chance to dispel when target takes damage',100,1,2),
(271724,107569,'5% chance to dispel when target receives hostile action',100,1,3),
(271725,107569,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(271726,107569,'Resistibility increases against targets higher than level 40.',100,1,5),
(271727,10107569,'Roots target',100,1,0),
(271728,10107569,'Inflicts 83 - 101 mental damage on target',100,1,1),
(271729,10107569,'5% chance to dispel when target takes damage',100,1,2),
(271730,10107569,'5% chance to dispel when target receives hostile action',100,1,3),
(271731,10107569,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(271732,10107569,'Resistibility increases against targets higher than level 40.',100,1,5),
(271733,180971,'When Equipped:',100,0,0),
(271734,180971,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(271735,180971,'Heals group members for 571',100,2,2),
(271736,180971,'Cannot be modified except by direct means',100,2,3),
(271737,10180971,'When Equipped:',100,0,0),
(271738,10180971,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(271739,10180971,'Heals group members for 371',100,2,2),
(271740,10180971,'Cannot be modified except by direct means',100,2,3),
(271741,46354,'Applies Flask of Achievements I when Activated.  Lasts for 2 hours.',100,0,0),
(271742,46354,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(271743,46354,'Increases AA XP Gain of caster by 25.0%',100,1,2),
(271744,46354,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,3),
(271745,46354,'You can only have one experience potion active at a time.',100,1,4),
(271746,10046354,'Applies Flask of Achievements I when Activated.  Lasts for 2 hours.',100,0,0),
(271747,10046354,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(271748,10046354,'Increases AA XP Gain of caster by 25.0%',100,1,2),
(271749,10046354,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,3),
(271750,10046354,'You can only have one experience potion active at a time.',100,1,4),
(271751,105003,'Reduces physical damage done to caster by 5%',100,1,0),
(271752,105003,'Adds 2.4% to base avoidance.',100,1,1),
(271753,105003,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(271754,105003,'Increases Parry of caster by 34.9',100,1,3),
(271755,105003,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(271756,105003,'Increases Aggression of caster by 20.9',100,1,5),
(271757,105003,'Increases Defense and Deflection of caster by 34.9',100,1,6),
(271758,105003,'Increases Mitigation of caster vs arcane damage by 2419',100,1,7),
(271759,105003,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(271760,10105003,'Reduces physical damage done to caster by 5%',100,1,0),
(271761,10105003,'Adds 2.4% to base avoidance.',100,1,1),
(271762,10105003,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(271763,10105003,'Increases Parry of caster by 34.9',100,1,3),
(271764,10105003,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(271765,10105003,'Increases Aggression of caster by 20.9',100,1,5),
(271766,10105003,'Increases Defense and Deflection of caster by 34.9',100,1,6),
(271767,10105003,'Increases Mitigation of caster vs arcane damage by 2419',100,1,7),
(271768,10105003,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(271769,36000,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(271770,36000,'Increases Max Health of target by 60.5',100,0,1),
(271771,179282,'When Equipped:',100,0,0),
(271772,179282,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271773,179282,'Increases Ability Reuse Speed of group members by 7.0%',100,2,2),
(271774,179282,'Cannot be modified except by direct means',100,2,3),
(271775,179282,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(271776,179282,'Increases Ability Reuse Speed of group members by 7.0%',100,2,5),
(271777,179282,'Cannot be modified except by direct means',100,2,6),
(271778,179282,'Cannot be modified except by direct means',100,1,7),
(271779,10179282,'When Equipped:',100,0,0),
(271780,10179282,'On a hostile spell cast this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271781,10179282,'Increases Ability Reuse Speed of group members by 7.0%',100,2,2),
(271782,10179282,'Cannot be modified except by direct means',100,2,3),
(271783,10179282,'On a combat hit this spell may cast Storm''s Fury on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(271784,10179282,'Increases Ability Reuse Speed of group members by 7.0%',100,2,5),
(271785,10179282,'Cannot be modified except by direct means',100,2,6),
(271786,10179282,'Cannot be modified except by direct means',100,1,7),
(271787,118171,'Inflicts 668 - 1114 melee damage on target',100,1,0),
(271788,118171,'Dazes target',100,1,1),
(271789,118171,'If Target is not Epic',100,2,2),
(271790,118171,'Resistibility increases against targets higher than level 117.',100,1,3),
(271791,10118171,'Inflicts 802 - 1337 melee damage on target',100,1,0),
(271792,10118171,'Dazes target',100,1,1),
(271793,10118171,'If Target is not Epic',100,2,2),
(271794,10118171,'Resistibility increases against targets higher than level 117.',100,1,3),
(271795,72005,'When Equipped:',100,0,0),
(271796,72005,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271797,72005,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(271798,72005,'Cannot be modified except by direct means',100,2,3),
(271799,10072005,'When Equipped:',100,0,0),
(271800,10072005,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271801,10072005,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(271802,10072005,'Cannot be modified except by direct means',100,2,3),
(271803,45820,'Applies Consume Essence when Activated.',100,0,0),
(271804,45820,'Heals group members (AE) for 394 - 481',100,1,1),
(271805,45820,'Dispels 88 levels of any hostile effects on caster',100,1,2),
(271806,10045820,'Applies Consume Essence when Activated.',100,0,0),
(271807,10045820,'Heals group members (AE) for 256 - 313',100,1,1),
(271808,10045820,'Dispels 88 levels of any hostile effects on caster',100,1,2),
(271809,119402,'Inflicts 38 - 64 melee damage on target',100,1,0),
(271810,119402,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(271811,119402,'Throws target back',100,2,2),
(271812,119402,'Blurs vision of target',100,2,3),
(271813,119402,'Stuns target',100,2,4),
(271814,119402,'Does not affect Epic targets',100,2,5),
(271815,119402,'You must be sneaking to use this ability.',100,1,6),
(271816,10119402,'Inflicts 46 - 77 melee damage on target',100,1,0),
(271817,10119402,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(271818,10119402,'Throws target back',100,2,2),
(271819,10119402,'Stuns target',100,2,3),
(271820,10119402,'Blurs vision of target',100,2,4),
(271821,10119402,'Does not affect Epic targets',100,2,5),
(271822,10119402,'You must be sneaking to use this ability.',100,1,6),
(271823,120708,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 18.9',100,1,0),
(271824,10120708,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 18.9',100,1,0),
(271825,159680,'When Equipped:',100,0,0),
(271826,159680,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271827,159680,'Increases STR of caster by 8.3',100,2,2),
(271828,159680,'Increases Damage Per Second of caster by 17.7',100,2,3),
(271829,159680,'Cannot be modified except by direct means',100,2,4),
(271830,10159680,'When Equipped:',100,0,0),
(271831,10159680,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271832,10159680,'Increases STR of caster by 8.3',100,2,2),
(271833,10159680,'Increases Damage Per Second of caster by 17.7',100,2,3),
(271834,10159680,'Cannot be modified except by direct means',100,2,4),
(271835,80902,'When Equipped:',100,0,0),
(271836,80902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271837,80902,'Inflicts 169 - 314 magic damage on target',100,2,2),
(271838,80902,'Cannot be modified except by direct means',100,2,3),
(271839,10080902,'When Equipped:',100,0,0),
(271840,10080902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271841,10080902,'Inflicts 203 - 377 magic damage on target',100,2,2),
(271842,10080902,'Cannot be modified except by direct means',100,2,3),
(271843,27465,'When Equipped:',100,0,0),
(271844,27465,'On any combat or spell hit this spell may cast Torrent of Rime on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(271845,27465,'Inflicts 4323 - 4778 cold damage on target encounter',100,2,2),
(271846,27465,'Must not be engaged in pvp combat',100,2,3),
(271847,27465,'Cannot be modified except by direct means',100,2,4),
(271848,27465,'Must not be engaged in pvp combat',100,1,5),
(271849,10027465,'When Equipped:',100,0,0),
(271850,10027465,'On any combat or spell hit this spell may cast Torrent of Rime on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(271851,10027465,'Inflicts 5187 - 5733 cold damage on target encounter',100,2,2),
(271852,10027465,'Must not be engaged in pvp combat',100,2,3),
(271853,10027465,'Cannot be modified except by direct means',100,2,4),
(271854,10027465,'Must not be engaged in pvp combat',100,1,5),
(271855,112857,'Roots target',100,1,0),
(271856,112857,'5% chance to dispel when target takes damage',100,1,1),
(271857,112857,'Does not affect Epic targets',100,1,2),
(271858,112857,'Resistibility increases against targets higher than level 115.',100,1,3),
(271859,10112857,'Roots target',100,1,0),
(271860,10112857,'5% chance to dispel when target takes damage',100,1,1),
(271861,10112857,'Does not affect Epic targets',100,1,2),
(271862,10112857,'Resistibility increases against targets higher than level 115.',100,1,3),
(271863,104961,'Inflicts 1095 - 1825 melee damage on target',100,1,0),
(271864,104961,'Decreases Defense of target by 61.9',100,1,1),
(271865,104961,'Must be behind',100,1,2),
(271866,10104961,'Inflicts 1314 - 2190 melee damage on target',100,1,0),
(271867,10104961,'Decreases Defense of target by 61.9',100,1,1),
(271868,10104961,'Must be behind',100,1,2),
(271869,120342,'Increases Threat to target by 1,842 - 2,149 ',100,1,0),
(271870,10120342,'Forces target to change their selected target to caster.',100,1,0),
(271871,10120342,'Prevents target from changing targets',100,1,1),
(271872,124508,'Increases AGI and WIS of group members (AE) by 17.5',100,1,0),
(271873,10124508,'Increases AGI and WIS of group members (AE) by 17.5',100,1,0),
(271874,74846,'When Equipped:',100,0,0),
(271875,74846,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271876,74846,'Inflicts 111 - 166 magic damage on target',100,2,2),
(271877,74846,'Cannot be modified except by direct means',100,2,3),
(271878,10074846,'When Equipped:',100,0,0),
(271879,10074846,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271880,10074846,'Inflicts 133 - 199 magic damage on target',100,2,2),
(271881,10074846,'Cannot be modified except by direct means',100,2,3),
(271882,100709,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(271883,100709,'Increases Mitigation of group members (AE) vs noxious damage by 238',100,1,1),
(271884,10100709,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(271885,10100709,'Increases Mitigation of group members (AE) vs noxious damage by 238',100,1,1),
(271886,116935,'Increases Threat to target by 50 - 61 ',100,1,0),
(271887,116935,'Interrupts target',100,1,1),
(271888,10116935,'Forces target to change their selected target to caster.',100,1,0),
(271889,10116935,'Interrupts target',100,1,1),
(271890,10116935,'Prevents target from changing targets',100,1,2),
(271891,116822,'Decreases Hate Gain of caster by 17.6%',100,1,0),
(271892,10116822,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(271893,10116822,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(271894,10116822,'This effect can only trigger once every 5 seconds.',100,2,2),
(271895,88639,'When Equipped:',100,0,0),
(271896,88639,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271897,88639,'Wards target against 2400 points of all damage',100,2,2),
(271898,88639,'Cannot be modified except by direct means',100,2,3),
(271899,10088639,'When Equipped:',100,0,0),
(271900,10088639,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(271901,10088639,'Wards target against 2400 points of all damage',100,2,2),
(271902,10088639,'Cannot be modified except by direct means',100,2,3),
(271903,72080,'When Equipped:',100,0,0),
(271904,72080,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271905,72080,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(271906,72080,'Cannot be modified except by direct means',100,2,3),
(271907,10072080,'When Equipped:',100,0,0),
(271908,10072080,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(271909,10072080,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(271910,10072080,'Cannot be modified except by direct means',100,2,3),
(271911,41477,'When Equipped:',100,0,0),
(271912,41477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271913,41477,'Inflicts 204 - 379 magic damage on target',100,2,2),
(271914,41477,'Cannot be modified except by direct means',100,2,3),
(271915,10041477,'When Equipped:',100,0,0),
(271916,10041477,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(271917,10041477,'Inflicts 245 - 454 magic damage on target',100,2,2),
(271918,10041477,'Cannot be modified except by direct means',100,2,3),
(271919,45523,'Applies Clendin''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(271920,45523,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(271921,10045523,'Applies Clendin''s Revitalization when Activated.  Lasts for 30.0 seconds.',100,0,0),
(271922,10045523,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(271923,101069,'Summons 3 limited pets to aid the caster',100,1,0),
(271924,10101069,'Summons 3 limited pets to aid the caster',100,1,0),
(271925,108086,'Decreases Threat to target by 317 - 528 ',100,1,0),
(271926,10108086,'Forces target to clear their selected target.',100,1,0),
(271927,10108086,'Target cannot target caster for the duration of this effect.',100,1,1),
(271928,115954,'Stuns target',100,1,0),
(271929,115954,'Inflicts 11 - 17 mental damage on target',100,1,1),
(271930,115954,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(271931,115954,'Resistibility increases against targets higher than level 31.',100,1,3),
(271932,10115954,'Stuns target',100,1,0),
(271933,10115954,'Applies Bewilderment on termination.',100,1,1),
(271934,10115954,'Inflicts 14 - 20 mental damage on target',100,2,2),
(271935,10115954,'Requires not being affected by Mesmerize effects.',100,3,3),
(271936,10115954,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,4),
(271937,10115954,'Resistibility increases against targets higher than level 31.',100,1,5),
(271938,122714,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(271939,122714,'Increases Deflection of caster by 5.0',100,1,1),
(271940,10122714,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(271941,10122714,'Increases Deflection of caster by 5.0',100,1,1),
(271942,103584,'Increases Mitigation of caster vs physical damage by 448',100,1,0),
(271943,10103584,'Increases Mitigation of caster vs physical damage by 448',100,1,0),
(271944,134278,'When Equipped:',100,0,0),
(271945,134278,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(271946,10134278,'When Equipped:',100,0,0),
(271947,10134278,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(271948,144888,'When Equipped:',100,0,0),
(271949,144888,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(271950,10144888,'When Equipped:',100,0,0),
(271951,10144888,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(271952,103758,'Teleports target to caster',100,1,0),
(271953,103758,'This effect cannot be cast during combat',100,1,1),
(271954,10103758,'Teleports target to caster',100,1,0),
(271955,10103758,'This effect cannot be cast during combat',100,1,1),
(271956,102617,'Increases Threat to target encounter by 1,619 - 1,877 ',100,1,0),
(271957,102617,'Interrupts target encounter',100,1,1),
(271958,102617,'Decreases Mitigation of target encounter vs noxious damage by 784',100,1,2),
(271959,10102617,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(271960,10102617,'Forces target to change their selected target to caster.',100,2,1),
(271961,10102617,'Prevents target from changing targets',100,2,2),
(271962,10102617,'Interrupts target encounter',100,1,3),
(271963,10102617,'Decreases Mitigation of target encounter vs noxious damage by 784',100,1,4),
(271964,100738,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(271965,100738,'Increases Mitigation of group members (AE) vs noxious damage by 1518',100,1,1),
(271966,10100738,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(271967,10100738,'Increases Mitigation of group members (AE) vs noxious damage by 1518',100,1,1),
(271968,70557,'When Equipped:',100,0,0),
(271969,70557,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(271970,70557,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(271971,70557,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(271972,70557,'Heals caster for 1185 - 1309',100,2,4),
(271973,70557,'Decreases Ranged, Crushing, Slashing and Piercing of target by 22.0',100,2,5),
(271974,70557,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(271975,70557,'Must not be engaged in pvp combat',100,2,7),
(271976,70557,'Cannot be modified except by direct means',100,2,8),
(271977,70557,'Cannot be modified except by direct means',100,1,9),
(271978,10070557,'When Equipped:',100,0,0),
(271979,10070557,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(271980,10070557,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(271981,10070557,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(271982,10070557,'Heals caster for 1386 - 1532',100,2,4),
(271983,10070557,'Decreases Ranged, Crushing, Slashing and Piercing of target by 22.0',100,2,5),
(271984,10070557,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(271985,10070557,'Must not be engaged in pvp combat',100,2,7),
(271986,10070557,'Cannot be modified except by direct means',100,2,8),
(271987,10070557,'Cannot be modified except by direct means',100,1,9),
(271988,112660,'Inflicts 264 - 440 disease damage on target',100,1,0),
(271989,112660,'Inflicts 264 - 440 disease damage on target',100,1,1),
(271990,112660,'Roots target',100,1,2),
(271991,112660,'If Target is not Epic',100,2,3),
(271992,112660,'15% chance to dispel when target takes damage',100,1,4),
(271993,112660,'If weapon equipped in Ranged',100,1,5),
(271994,112660,'Resistibility increases against targets higher than level 110.',100,1,6),
(271995,10112660,'Inflicts 198 - 330 disease damage on target',100,1,0),
(271996,10112660,'Inflicts 198 - 330 disease damage on target',100,1,1),
(271997,10112660,'Roots target',100,1,2),
(271998,10112660,'If Target is not Epic',100,2,3),
(271999,10112660,'15% chance to dispel when target takes damage',100,1,4),
(272000,10112660,'If weapon equipped in Ranged',100,1,5),
(272001,10112660,'Resistibility increases against targets higher than level 110.',100,1,6),
(272002,80631,'When Equipped:',100,0,0),
(272003,80631,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272004,80631,'Decreases Threat to target by 236 ',100,2,2),
(272005,80631,'Must be flanking or behind',100,3,3),
(272006,80631,'Increases Threat to target by 414 ',100,2,4),
(272007,80631,'Must be in front of',100,3,5),
(272008,80631,'Inflicts 56 - 103 magic damage on target',100,2,6),
(272009,80631,'Cannot be modified except by direct means',100,2,7),
(272010,10080631,'When Equipped:',100,0,0),
(272011,10080631,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272012,10080631,'Inflicts 67 - 124 magic damage on target',100,2,2),
(272013,10080631,'Cannot be modified except by direct means',100,2,3),
(272014,106295,'Decreases AGI, STR, INT and WIS of target encounter by 126.7',100,1,0),
(272015,106295,'Decreases Focus, Slashing, Crushing, Piercing and Ranged of target encounter by 31.9',100,1,1),
(272016,106295,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 30.2',100,1,2),
(272017,10106295,'Decreases AGI, STR, INT and WIS of target encounter by 126.7',100,1,0),
(272018,10106295,'Decreases Focus, Slashing, Crushing, Piercing and Ranged of target encounter by 31.9',100,1,1),
(272019,10106295,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 30.2',100,1,2),
(272020,173841,'When Equipped:',100,0,0),
(272021,173841,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(272022,10173841,'When Equipped:',100,0,0),
(272023,10173841,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(272024,82189,'When Equipped:',100,0,0),
(272025,82189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272026,82189,'Inflicts 33 - 61 magic damage on target',100,2,2),
(272027,82189,'Cannot be modified except by direct means',100,2,3),
(272028,10082189,'When Equipped:',100,0,0),
(272029,10082189,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272030,10082189,'Inflicts 40 - 74 magic damage on target',100,2,2),
(272031,10082189,'Cannot be modified except by direct means',100,2,3),
(272032,82537,'When Equipped:',100,0,0),
(272033,82537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272034,82537,'Inflicts 78 - 144 magic damage on target',100,2,2),
(272035,82537,'Cannot be modified except by direct means',100,2,3),
(272036,10082537,'When Equipped:',100,0,0),
(272037,10082537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272038,10082537,'Inflicts 93 - 173 magic damage on target',100,2,2),
(272039,10082537,'Cannot be modified except by direct means',100,2,3),
(272040,25747,'When Equipped:',100,0,0),
(272041,25747,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(272042,25747,'Adds 10% max health to the pet when Rending V is active.',100,1,2),
(272043,10025747,'When Equipped:',100,0,0),
(272044,10025747,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(272045,10025747,'Adds 10% max health to the pet when Rending V is active.',100,1,2),
(272046,109566,'Makes target afraid',100,1,0),
(272047,109566,'30% chance to dispel when target takes damage',100,1,1),
(272048,109566,'Does not affect Epic targets',100,1,2),
(272049,109566,'Resistibility increases against targets higher than level 69.',100,1,3),
(272050,10109566,'Makes target afraid',100,1,0),
(272051,10109566,'30% chance to dispel when target takes damage',100,1,1),
(272052,10109566,'Does not affect Epic targets',100,1,2),
(272053,10109566,'Resistibility increases against targets higher than level 69.',100,1,3),
(272054,121481,'Inflicts 74 - 123 melee damage on target',100,1,0),
(272055,121481,'Decreases Defense of target by 3.4',100,1,1),
(272056,10121481,'Inflicts 89 - 148 melee damage on target',100,1,0),
(272057,10121481,'Decreases Defense of target by 3.4',100,1,1),
(272058,80186,'When Equipped:',100,0,0),
(272059,80186,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272060,80186,'Decreases Threat to target by 801 ',100,2,2),
(272061,80186,'Must be flanking or behind',100,3,3),
(272062,80186,'Increases Threat to target by 1,261 ',100,2,4),
(272063,80186,'Must be in front of',100,3,5),
(272064,80186,'Inflicts 169 - 314 magic damage on target',100,2,6),
(272065,80186,'Cannot be modified except by direct means',100,2,7),
(272066,10080186,'When Equipped:',100,0,0),
(272067,10080186,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272068,10080186,'Inflicts 203 - 377 magic damage on target',100,2,2),
(272069,10080186,'Cannot be modified except by direct means',100,2,3),
(272070,159477,'Applies Sanguine Imbued when Equipped.',100,0,0),
(272071,159477,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(272072,159477,'Inflicts 77 heat damage on target',100,2,2),
(272073,159477,'Cannot be modified except by direct means',100,2,3),
(272074,10159477,'Applies Sanguine Imbued when Equipped.',100,0,0),
(272075,10159477,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(272076,10159477,'Inflicts 92 heat damage on target',100,2,2),
(272077,10159477,'Cannot be modified except by direct means',100,2,3),
(272078,110597,'Decreases Focus of target by 13.3',100,1,0),
(272079,110597,'Interrupts target',100,1,1),
(272080,110597,'Inflicts 49 - 147 crushing damage on target',100,1,2),
(272081,10110597,'Decreases Focus of target by 13.3',100,1,0),
(272082,10110597,'Interrupts target',100,1,1),
(272083,10110597,'Inflicts 58 - 176 crushing damage on target',100,1,2),
(272084,108321,'Inflicts 128 - 214 divine damage on target',100,1,0),
(272085,108321,'Heals caster for 1.1% of max health',100,1,1),
(272086,108321,'This effect cannot be critically applied.',100,2,2),
(272087,108321,'The healing of this spell cannot be modified except by direct means',100,1,3),
(272088,10108321,'Inflicts 154 - 257 divine damage on target',100,1,0),
(272089,10108321,'Heals caster for 0.6% of max health',100,1,1),
(272090,10108321,'This effect cannot be critically applied.',100,2,2),
(272091,10108321,'The healing of this spell cannot be modified except by direct means',100,1,3),
(272092,117411,'Increases Threat to target by 1,808 ',100,1,0),
(272093,117411,'Inflicts 150 - 450 melee damage on target',100,1,1),
(272094,10117411,'Forces target to change their selected target to caster.',100,1,0),
(272095,10117411,'Inflicts 120 - 360 melee damage on target',100,1,1),
(272096,117377,'Increases Threat to target by 115 ',100,1,0),
(272097,117377,'Inflicts 9 - 27 melee damage on target',100,1,1),
(272098,10117377,'Forces target to change their selected target to caster.',100,1,0),
(272099,10117377,'Inflicts 7 - 22 melee damage on target',100,1,1),
(272100,188368,'When Equipped:',100,0,0),
(272101,188368,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(272102,10188368,'When Equipped:',100,0,0),
(272103,10188368,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(272104,117243,'Inflicts 34 slashing damage on target every 4 seconds',100,1,0),
(272105,117243,'Inflicts 170 - 284 melee damage on target',100,1,1),
(272106,10117243,'Inflicts 41 slashing damage on target every 4 seconds',100,1,0),
(272107,10117243,'Inflicts 204 - 341 melee damage on target',100,1,1),
(272108,121144,'Summon 1 Splinter of Essence (Apprentice III)',100,1,0),
(272109,10121144,'Summon 1 Splinter of Essence (Apprentice III)',100,1,0),
(272110,86511,'Applies Fire Ball when Activated.',100,0,0),
(272111,86511,'Inflicts 173 - 289 heat damage on target',100,1,1),
(272112,86511,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(272113,10086511,'Applies Fire Ball when Activated.',100,0,0),
(272114,10086511,'Inflicts 208 - 347 heat damage on target',100,1,1),
(272115,10086511,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(272116,35154,'Increases STR of target by 8.4',100,0,0),
(272117,35154,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(272118,47858,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(272119,47858,'Summons a mount to ride',100,1,1),
(272120,47858,'Increases your ground speed by 130%',100,2,2),
(272121,47858,'Increases Slashing, Crushing, Focus and Piercing of caster by 4.7',100,1,3),
(272122,10047858,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(272123,10047858,'Summons a mount to ride',100,1,1),
(272124,10047858,'Increases your ground speed by 130%',100,2,2),
(272125,10047858,'Increases Slashing, Crushing, Focus and Piercing of caster by 4.7',100,1,3),
(272126,119152,'Inflicts 8 - 14 heat damage on target instantly and every 3 seconds',100,1,0),
(272127,10119152,'Inflicts 9 - 17 heat damage on target instantly and every 3 seconds',100,1,0),
(272128,36208,'Increases Out-of-Combat Power Regeneration of target by 34.2',100,0,0),
(272129,36208,'This effect suspends during combat',100,0,1),
(272130,113977,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(272131,113977,'Increases Threat to target by 118 ',100,2,1),
(272132,113977,'Inflicts 14 - 23 melee damage on target',100,2,2),
(272133,10113977,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(272134,10113977,'Inflicts 17 - 28 melee damage on target',100,2,1),
(272135,106096,'Inflicts 489 - 815 melee damage on target',100,1,0),
(272136,106096,'Decreases Mitigation of target vs physical damage by 1680',100,1,1),
(272137,106096,'Must be behind',100,1,2),
(272138,10106096,'Inflicts 586 - 978 melee damage on target',100,1,0),
(272139,10106096,'Decreases Mitigation of target vs physical damage by 420',100,1,1),
(272140,10106096,'Must be behind',100,1,2),
(272141,111722,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(272142,111722,'Inflicts 95 - 117 cold damage on target',100,2,1),
(272143,111722,'Grants a total of 3 triggers of the spell.',100,2,2),
(272144,10111722,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(272145,10111722,'Inflicts 115 - 140 cold damage on target',100,2,1),
(272146,10111722,'Grants a total of 3 triggers of the spell.',100,2,2),
(272147,120556,'Decreases Defense of target by 48.3',100,1,0),
(272148,10120556,'Decreases Defense of target by 48.3',100,1,0),
(272149,102845,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(272150,102845,'Blurs vision of target',100,2,1),
(272151,102845,'Throws target back',100,2,2),
(272152,102845,'Stuns target',100,2,3),
(272153,102845,'Does not affect Epic targets',100,2,4),
(272154,102845,'Inflicts 81 - 244 melee damage on targets in area',100,1,5),
(272155,10102845,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(272156,10102845,'Throws target back',100,2,1),
(272157,10102845,'Stuns target',100,2,2),
(272158,10102845,'Blurs vision of target',100,2,3),
(272159,10102845,'Does not affect Epic targets',100,2,4),
(272160,10102845,'Inflicts 97 - 293 melee damage on targets in area',100,1,5),
(272161,152878,'When Equipped:',100,0,0),
(272162,152878,'Increases Attack Speed of caster by 40.0',100,1,1),
(272163,10152878,'When Equipped:',100,0,0),
(272164,10152878,'Increases Attack Speed of caster by 40.0',100,1,1),
(272165,106755,'Mesmerizes target',100,1,0),
(272166,106755,'Prevents AOE (except when direct) ',100,1,1),
(272167,106755,'Dispelled when target takes damage',100,1,2),
(272168,106755,'Does not affect Epic targets',100,1,3),
(272169,106755,'Resistibility increases against targets higher than level 55.',100,1,4),
(272170,10106755,'Mesmerizes target',100,1,0),
(272171,10106755,'Prevents AOE (except when direct) ',100,1,1),
(272172,10106755,'Dispelled when target takes damage',100,1,2),
(272173,10106755,'Does not affect Epic targets',100,1,3),
(272174,10106755,'Resistibility increases against targets higher than level 55.',100,1,4),
(272175,171764,'When Equipped:',100,0,0),
(272176,171764,'On a critical healing spell cast this spell may cast Shared Vigor VII on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(272177,171764,'Increases Potency of target by 6.0%',100,2,2),
(272178,171764,'Increases Potency of caster by 6.0%',100,2,3),
(272179,171764,'Must not be engaged in pvp combat',100,2,4),
(272180,171764,'Cannot be modified except by direct means',100,2,5),
(272181,171764,'Must not be engaged in pvp combat',100,1,6),
(272182,10171764,'When Equipped:',100,0,0),
(272183,10171764,'On a critical healing spell cast this spell may cast Shared Vigor VII on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(272184,10171764,'Increases Potency of target by 6.0%',100,2,2),
(272185,10171764,'Increases Potency of caster by 6.0%',100,2,3),
(272186,10171764,'Must not be engaged in pvp combat',100,2,4),
(272187,10171764,'Cannot be modified except by direct means',100,2,5),
(272188,10171764,'Must not be engaged in pvp combat',100,1,6),
(272189,117325,'Roots target',100,1,0),
(272190,117325,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(272191,117325,'Slows target by 47.3%',100,2,2),
(272192,117325,'5% chance to dispel when target receives hostile action',100,2,3),
(272193,117325,'5% chance to dispel when target takes damage',100,2,4),
(272194,117325,'15% chance to dispel when target takes damage',100,1,5),
(272195,117325,'Does not affect Epic targets',100,1,6),
(272196,117325,'Resistibility increases against targets higher than level 76.',100,1,7),
(272197,10117325,'Roots target',100,1,0),
(272198,10117325,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(272199,10117325,'Slows target by 47.3%',100,2,2),
(272200,10117325,'10% chance to dispel when target receives hostile action',100,2,3),
(272201,10117325,'10% chance to dispel when target takes damage',100,2,4),
(272202,10117325,'15% chance to dispel when target takes damage',100,1,5),
(272203,10117325,'Does not affect Epic targets',100,1,6),
(272204,10117325,'Resistibility increases against targets higher than level 76.',100,1,7),
(272205,117244,'Inflicts 28 slashing damage on target every 4 seconds',100,1,0),
(272206,117244,'Inflicts 142 - 236 melee damage on target',100,1,1),
(272207,10117244,'Inflicts 34 slashing damage on target every 4 seconds',100,1,0),
(272208,10117244,'Inflicts 170 - 284 melee damage on target',100,1,1),
(272209,177662,'When Equipped:',100,0,0),
(272210,177662,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(272211,177662,'Increases INT of caster by 21.4',100,2,2),
(272212,177662,'Increases Focus, Disruption and Subjugation of caster by 12.0',100,2,3),
(272213,177662,'Cannot be modified except by direct means',100,2,4),
(272214,10177662,'When Equipped:',100,0,0),
(272215,10177662,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(272216,10177662,'Increases INT of caster by 21.4',100,2,2),
(272217,10177662,'Increases Focus, Disruption and Subjugation of caster by 12.0',100,2,3),
(272218,10177662,'Cannot be modified except by direct means',100,2,4),
(272219,108559,'Makes target afraid',100,1,0),
(272220,108559,'30% chance to dispel when target takes damage',100,1,1),
(272221,108559,'Does not affect Epic targets',100,1,2),
(272222,108559,'Resistibility increases against targets higher than level 95.',100,1,3),
(272223,10108559,'Makes target afraid',100,1,0),
(272224,10108559,'30% chance to dispel when target takes damage',100,1,1),
(272225,10108559,'Does not affect Epic targets',100,1,2),
(272226,10108559,'Resistibility increases against targets higher than level 95.',100,1,3),
(272227,47194,'Applies Murky Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(272228,47194,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(272229,47194,'Only affects targets level 50 and above',100,1,2),
(272230,10047194,'Applies Murky Elixir of Metallic Hues when Activated.  Lasts for 30 minutes.',100,0,0),
(272231,10047194,'Increases Mitigation of caster vs physical damage by 240',100,1,1),
(272232,10047194,'Only affects targets level 50 and above',100,1,2),
(272233,45224,'Applies arcane remedy when Activated.',100,0,0),
(272234,45224,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(272235,10045224,'Applies arcane remedy when Activated.',100,0,0),
(272236,10045224,'Dispels 28 levels of arcane hostile effects on caster',100,1,1),
(272237,124777,'Increases STR of caster by 18.5',100,1,0),
(272238,124777,'Decreases Defense of caster by 1.8',100,1,1),
(272239,124777,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.8',100,1,2),
(272240,10124777,'Increases STR of caster by 18.5',100,1,0),
(272241,10124777,'Decreases Defense of caster by 1.8',100,1,1),
(272242,10124777,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.8',100,1,2),
(272243,123273,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(272244,123273,'Inflicts 31 - 52 disease damage on target',100,2,1),
(272245,123273,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(272246,123273,'This effect cannot be critically applied.',100,3,3),
(272247,123273,'The healing of this spell cannot be modified except by direct means',100,2,4),
(272248,10123273,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(272249,10123273,'Inflicts 37 - 62 disease damage on target',100,2,1),
(272250,10123273,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(272251,10123273,'This effect cannot be critically applied.',100,3,3),
(272252,10123273,'The healing of this spell cannot be modified except by direct means',100,2,4),
(272253,82610,'When Equipped:',100,0,0),
(272254,82610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272255,82610,'Inflicts 71 - 131 magic damage on target',100,2,2),
(272256,82610,'Cannot be modified except by direct means',100,2,3),
(272257,10082610,'When Equipped:',100,0,0),
(272258,10082610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272259,10082610,'Inflicts 85 - 158 magic damage on target',100,2,2),
(272260,10082610,'Cannot be modified except by direct means',100,2,3),
(272261,110427,'Inflicts 4355 - 7259 disease damage on target',100,1,0),
(272262,10110427,'Inflicts 3584 - 5973 disease damage on target',100,1,0),
(272263,46714,'Applies Blessing of Jin''tu when Activated.',100,0,0),
(272264,46714,'Scribes the ability Jin''tu''s Gift to your knowledge book.',100,1,1),
(272265,10046714,'Applies Blessing of Jin''tu when Activated.',100,0,0),
(272266,10046714,'Scribes the ability Jin''tu''s Gift to your knowledge book.',100,1,1),
(272267,103682,'Interrupts target',100,1,0),
(272268,103682,'Inflicts 369 - 616 melee damage on target',100,1,1),
(272269,103682,'Must be flanking or behind',100,1,2),
(272270,10103682,'Interrupts target',100,1,0),
(272271,10103682,'Inflicts 443 - 739 melee damage on target',100,1,1),
(272272,10103682,'Must be flanking or behind',100,1,2),
(272273,104260,'Increases Mitigation of group members (AE) vs physical damage by 816',100,1,0),
(272274,10104260,'Increases Mitigation of group members (AE) vs physical damage by 816',100,1,0),
(272275,123235,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(272276,123235,'Increases Mitigation of group members (AE) vs noxious damage by 235',100,1,1),
(272277,10123235,'Increases Max Power of group members (AE) by 100.8',100,1,0),
(272278,10123235,'Increases Mitigation of group members (AE) vs noxious damage by 235',100,1,1),
(272279,37620,'Increases INT of target by 11.0',100,0,0),
(272280,37620,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(272281,24278,'Adds Di''Zok Inquisitor to your Dungeon Maker toolbox',100,0,0),
(272282,10024278,'Adds Di''Zok Inquisitor to your Dungeon Maker toolbox',100,0,0),
(272283,100540,'Heals group members (AE) for 629 - 769',100,1,0),
(272284,10100540,'Heals group members (AE) for 764 - 934',100,1,0),
(272285,113157,'Inflicts 151 disease damage on target',100,1,0),
(272286,113157,'Heals caster for 95',100,1,1),
(272287,10113157,'Inflicts 181 disease damage on target',100,1,0),
(272288,10113157,'Heals caster for 80',100,1,1),
(272289,100471,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(272290,100471,'Decreases Threat to target by 79 ',100,2,1),
(272291,100471,'If not fighter',100,2,2),
(272292,100471,'Decreases Hate Gain of group members (AE) by 22.3%',100,1,3),
(272293,100471,'If not fighter',100,2,4),
(272294,10100471,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(272295,10100471,'If not fighter',100,2,1),
(272296,10100471,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(272297,10100471,'Inflicts 43 - 48 crushing damage on target',100,2,3),
(272298,10100471,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(272299,10100471,'If not fighter',100,2,5),
(272300,10100471,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(272301,10100471,'If not fighter',100,2,7),
(272302,10100471,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(272303,10100471,'If not fighter',100,2,9),
(272304,103094,'Inflicts 52 - 79 magic damage on target',100,1,0),
(272305,103094,'Inflicts 12 - 18 magic damage on target every 4 seconds',100,1,1),
(272306,10103094,'Inflicts 63 - 94 magic damage on target',100,1,0),
(272307,10103094,'Inflicts 14 - 21 magic damage on target every 4 seconds',100,1,1),
(272308,74581,'When Equipped:',100,0,0),
(272309,74581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272310,74581,'Inflicts 135 - 203 magic damage on target',100,2,2),
(272311,74581,'Cannot be modified except by direct means',100,2,3),
(272312,10074581,'When Equipped:',100,0,0),
(272313,10074581,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272314,10074581,'Inflicts 162 - 244 magic damage on target',100,2,2),
(272315,10074581,'Cannot be modified except by direct means',100,2,3),
(272316,130961,'When Equipped:',100,0,0),
(272317,130961,'On a hostile spell cast this spell may cast Numbing Manacles on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(272318,130961,'Slows target encounter by 68.8%',100,2,2),
(272319,130961,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(272320,130961,'Cannot be modified except by direct means',100,2,4),
(272321,10130961,'When Equipped:',100,0,0),
(272322,10130961,'On a hostile spell cast this spell may cast Numbing Manacles on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(272323,10130961,'Slows target encounter by 68.8%',100,2,2),
(272324,10130961,'Decreases Mitigation of target encounter vs elemental damage by 1040',100,2,3),
(272325,10130961,'Cannot be modified except by direct means',100,2,4),
(272326,122858,'Inflicts 100 - 166 ranged damage on target',100,1,0),
(272327,122858,'Inflicts 200 - 333 ranged damage on target',100,1,1),
(272328,122858,'Inflicts 300 - 500 ranged damage on target',100,1,2),
(272329,122858,'Requires bow',100,1,3),
(272330,10122858,'Inflicts 93 - 156 ranged damage on target',100,1,0),
(272331,10122858,'Inflicts 187 - 312 ranged damage on target',100,1,1),
(272332,10122858,'Inflicts 281 - 469 ranged damage on target',100,1,2),
(272333,10122858,'Requires bow',100,1,3),
(272334,35659,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(272335,136696,'When Equipped:',100,0,0),
(272336,136696,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(272337,136696,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(272338,136696,'Heals caster for 811 - 1217',100,2,3),
(272339,136696,'Cannot be modified except by direct means',100,2,4),
(272340,136696,'Cannot be modified except by direct means',100,1,5),
(272341,10136696,'When Equipped:',100,0,0),
(272342,10136696,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(272343,10136696,'Inflicts 1462 - 2193 poison damage on target',100,2,2),
(272344,10136696,'Heals caster for 949 - 1424',100,2,3),
(272345,10136696,'Cannot be modified except by direct means',100,2,4),
(272346,10136696,'Cannot be modified except by direct means',100,1,5),
(272347,46501,'Applies Eggstraction when Activated.',100,0,0),
(272348,10046501,'Applies Eggstraction when Activated.',100,0,0),
(272349,101947,'Inflicts 525 - 875 melee damage on target',100,1,0),
(272350,101947,'Inflicts 175 piercing damage on target instantly and every 4 seconds',100,1,1),
(272351,101947,'Must be behind',100,1,2),
(272352,10101947,'Inflicts 630 - 1051 melee damage on target',100,1,0),
(272353,10101947,'Inflicts 210 piercing damage on target instantly and every 4 seconds',100,1,1),
(272354,10101947,'Must be behind',100,1,2),
(272355,103206,'Increases Mitigation of caster vs physical damage by 491',100,1,0),
(272356,103206,'Roots caster',100,1,1),
(272357,10103206,'Increases Mitigation of caster vs physical damage by 491',100,1,0),
(272358,10103206,'Roots caster',100,1,1),
(272359,106381,'Inflicts 226 - 376 melee damage on target',100,1,0),
(272360,106381,'Decreases Defense of target by 14.5',100,1,1),
(272361,106381,'Decreases Defense of caster by 13.2',100,1,2),
(272362,10106381,'Inflicts 271 - 452 melee damage on target',100,1,0),
(272363,10106381,'Decreases Defense of target by 14.5',100,1,1),
(272364,10106381,'Decreases Defense of caster by 13.2',100,1,2),
(272365,178596,'When Equipped:',100,0,0),
(272366,178596,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(272367,178596,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(272368,178596,'Cannot be modified except by direct means',100,2,3),
(272369,10178596,'When Equipped:',100,0,0),
(272370,10178596,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(272371,10178596,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(272372,10178596,'Cannot be modified except by direct means',100,2,3),
(272373,119198,'Inflicts 155 - 259 heat damage on target',100,1,0),
(272374,119198,'Inflicts 155 - 259 heat damage on target',100,1,1),
(272375,119198,'Requires bow',100,1,2),
(272376,10119198,'Inflicts 157 - 261 heat damage on target',100,1,0),
(272377,10119198,'Inflicts 157 - 261 heat damage on target',100,1,1),
(272378,10119198,'Requires bow',100,1,2),
(272379,42446,'When Equipped:',100,0,0),
(272380,42446,'This effect will not stack with itself.',100,1,1),
(272381,42446,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(272382,42446,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(272383,42446,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(272384,42446,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(272385,42446,'Must not be engaged in pvp combat',100,2,6),
(272386,42446,'Cannot be modified except by direct means',100,2,7),
(272387,42446,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(272388,42446,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(272389,42446,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(272390,42446,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(272391,42446,'Must not be engaged in pvp combat',100,2,12),
(272392,42446,'Cannot be modified except by direct means',100,2,13),
(272393,42446,'Must not be engaged in pvp combat',100,1,14),
(272394,10042446,'When Equipped:',100,0,0),
(272395,10042446,'This effect will not stack with itself.',100,1,1),
(272396,10042446,'On a critical combat hit this spell may cast Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(272397,10042446,'Inflicts 1518 - 1678 slashing damage on target',100,2,3),
(272398,10042446,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,4),
(272399,10042446,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,5),
(272400,10042446,'Must not be engaged in pvp combat',100,2,6),
(272401,10042446,'Cannot be modified except by direct means',100,2,7),
(272402,10042446,'On a critical spell hit this spell may cast Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(272403,10042446,'Inflicts 1518 - 1678 slashing damage on target',100,2,9),
(272404,10042446,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,10),
(272405,10042446,'Inflicts an additional 63 - 69 slashing damage on target every tick',100,2,11),
(272406,10042446,'Must not be engaged in pvp combat',100,2,12),
(272407,10042446,'Cannot be modified except by direct means',100,2,13),
(272408,10042446,'Must not be engaged in pvp combat',100,1,14),
(272409,106361,'Decreases Mitigation of target vs arcane damage by 1632',100,1,0),
(272410,106361,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(272411,106361,'Slows target by 64.3%',100,2,2),
(272412,106361,'5% chance to dispel when target receives hostile action',100,2,3),
(272413,106361,'5% chance to dispel when target takes damage',100,2,4),
(272414,10106361,'Decreases Mitigation of target vs arcane damage by 1632',100,1,0),
(272415,10106361,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(272416,10106361,'Slows target by 64.3%',100,2,2),
(272417,10106361,'5% chance to dispel when target receives hostile action',100,2,3),
(272418,10106361,'5% chance to dispel when target takes damage',100,2,4),
(272419,103857,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(272420,103857,'Slows target by 44.9%',100,2,1),
(272421,103857,'5% chance to dispel when target receives hostile action',100,2,2),
(272422,103857,'5% chance to dispel when target takes damage',100,2,3),
(272423,103857,'Decreases Mitigation of target vs noxious damage by 888',100,1,4),
(272424,10103857,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(272425,10103857,'Slows target by 44.9%',100,2,1),
(272426,10103857,'5% chance to dispel when target receives hostile action',100,2,2),
(272427,10103857,'5% chance to dispel when target takes damage',100,2,3),
(272428,10103857,'Decreases Mitigation of target vs noxious damage by 888',100,1,4),
(272429,113831,'Inflicts 268 - 446 disease damage on target',100,1,0),
(272430,10113831,'Inflicts 321 - 535 disease damage on target',100,1,0),
(272431,124148,'Inflicts 184 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(272432,124148,'Applies Banshee''s Scream on termination.',100,1,1),
(272433,124148,'Inflicts 553 - 921 disease damage on target',100,2,2),
(272434,10124148,'Inflicts 221 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(272435,10124148,'Applies Banshee''s Scream on termination.',100,1,1),
(272436,10124148,'Inflicts 663 - 1105 disease damage on target',100,2,2),
(272437,89854,'When Equipped:',100,0,0),
(272438,89854,'Additional equipment with Void Bane improves this effect.',100,1,1),
(272439,89854,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(272440,89854,'Inflicts 1031 mental damage on target',100,2,3),
(272441,89854,'If any of the following are true:',100,3,4),
(272442,89854,'Must be classified as a void beast',100,4,5),
(272443,89854,'Must be classified as a shadowed folk',100,4,6),
(272444,89854,'Inflicts 516 mental damage on target',100,2,7),
(272445,89854,'Must not be classified as a void beast',100,3,8),
(272446,89854,'Must not be classified as a shadowed folk',100,3,9),
(272447,89854,'Decreases Mitigation of target vs arcane damage by 747',100,2,10),
(272448,89854,'If any of the following are true:',100,3,11),
(272449,89854,'Must be classified as a void beast',100,4,12),
(272450,89854,'Must be classified as a shadowed folk',100,4,13),
(272451,89854,'Cannot be modified except by direct means',100,2,14),
(272452,10089854,'When Equipped:',100,0,0),
(272453,10089854,'Additional equipment with Void Bane improves this effect.',100,1,1),
(272454,10089854,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(272455,10089854,'Inflicts 1238 mental damage on target',100,2,3),
(272456,10089854,'If any of the following are true:',100,3,4),
(272457,10089854,'Must be classified as a void beast',100,4,5),
(272458,10089854,'Must be classified as a shadowed folk',100,4,6),
(272459,10089854,'Inflicts 619 mental damage on target',100,2,7),
(272460,10089854,'Must not be classified as a void beast',100,3,8),
(272461,10089854,'Must not be classified as a shadowed folk',100,3,9),
(272462,10089854,'Decreases Mitigation of target vs arcane damage by 747',100,2,10),
(272463,10089854,'If any of the following are true:',100,3,11),
(272464,10089854,'Must be classified as a void beast',100,4,12),
(272465,10089854,'Must be classified as a shadowed folk',100,4,13),
(272466,10089854,'Cannot be modified except by direct means',100,2,14),
(272467,101032,'Inflicts 565 - 1048 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(272468,10101032,'Inflicts 531 - 987 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(272469,47767,'Applies Revitalize when Activated.',100,0,0),
(272470,47767,'Heals target for 50.0% of max health',100,1,1),
(272471,10047767,'Applies Revitalize when Activated.',100,0,0),
(272472,10047767,'Heals target for 32.5% of max health',100,1,1),
(272473,46409,'Applies Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(272474,46409,'Increases INT and WIS of caster by 47.0',100,1,1),
(272475,46409,'Only affects targets level 50 and above',100,1,2),
(272476,10046409,'Applies Font of Knowledge when Activated.  Lasts for 30 minutes.',100,0,0),
(272477,10046409,'Increases INT and WIS of caster by 47.0',100,1,1),
(272478,10046409,'Only affects targets level 50 and above',100,1,2),
(272479,115098,'Heals target for 681 - 833',100,1,0),
(272480,115098,'Heals target for 88 - 107 every second',100,1,1),
(272481,10115098,'Heals target for 1265 - 1546',100,1,0),
(272482,10115098,'Heals target for 95 - 116 every second',100,1,1),
(272483,114382,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(272484,114382,'Throws target back',100,2,1),
(272485,114382,'Stuns target',100,2,2),
(272486,114382,'Blurs vision of target',100,2,3),
(272487,114382,'Does not affect Epic targets',100,2,4),
(272488,114382,'Inflicts 278 - 464 crushing damage on target',100,1,5),
(272489,10114382,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(272490,10114382,'Throws target back',100,2,1),
(272491,10114382,'Stuns target',100,2,2),
(272492,10114382,'Blurs vision of target',100,2,3),
(272493,10114382,'Does not affect Epic targets',100,2,4),
(272494,10114382,'Inflicts 334 - 557 crushing damage on target',100,1,5),
(272495,124780,'Increases STR of caster by 31.7',100,1,0),
(272496,124780,'Decreases Defense of caster by 4.8',100,1,1),
(272497,124780,'Increases Crushing, Piercing, Slashing and Disruption of caster by 8.6',100,1,2),
(272498,10124780,'Increases STR of caster by 31.7',100,1,0),
(272499,10124780,'Decreases Defense of caster by 4.8',100,1,1),
(272500,10124780,'Increases Crushing, Piercing, Slashing and Disruption of caster by 8.6',100,1,2),
(272501,113094,'Heals target for 51.5 - 62.9% of max health',100,1,0),
(272502,113094,'This effect cannot be critically applied.',100,2,1),
(272503,113094,'Increases Max Health of target by 285.7',100,1,2),
(272504,113094,'Increases Mitigation of target vs physical damage by 374',100,1,3),
(272505,113094,'The healing of this spell cannot be modified except by direct means',100,1,4),
(272506,10113094,'Heals target for 20.6 - 25.2% of max health',100,1,0),
(272507,10113094,'This effect cannot be critically applied.',100,2,1),
(272508,10113094,'Increases Max Health of target by 285.7',100,1,2),
(272509,10113094,'Increases Mitigation of target vs physical damage by 374',100,1,3),
(272510,10113094,'The healing of this spell cannot be modified except by direct means',100,1,4),
(272511,81139,'When Equipped:',100,0,0),
(272512,81139,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272513,81139,'Inflicts 151 - 280 magic damage on target',100,2,2),
(272514,81139,'Cannot be modified except by direct means',100,2,3),
(272515,10081139,'When Equipped:',100,0,0),
(272516,10081139,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272517,10081139,'Inflicts 181 - 336 magic damage on target',100,2,2),
(272518,10081139,'Cannot be modified except by direct means',100,2,3),
(272519,87284,'When Equipped:',100,0,0),
(272520,87284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272521,87284,'Inflicts 73 - 110 magic damage on target',100,2,2),
(272522,87284,'Cannot be modified except by direct means',100,2,3),
(272523,10087284,'When Equipped:',100,0,0),
(272524,10087284,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272525,10087284,'Inflicts 88 - 132 magic damage on target',100,2,2),
(272526,10087284,'Cannot be modified except by direct means',100,2,3),
(272527,81560,'When Equipped:',100,0,0),
(272528,81560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272529,81560,'Inflicts 101 - 188 magic damage on target',100,2,2),
(272530,81560,'Cannot be modified except by direct means',100,2,3),
(272531,10081560,'When Equipped:',100,0,0),
(272532,10081560,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272533,10081560,'Inflicts 121 - 225 magic damage on target',100,2,2),
(272534,10081560,'Cannot be modified except by direct means',100,2,3),
(272535,77425,'Applies Fire Ball when Activated.',100,0,0),
(272536,77425,'Inflicts 173 - 289 heat damage on target',100,1,1),
(272537,77425,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(272538,10077425,'Applies Fire Ball when Activated.',100,0,0),
(272539,10077425,'Inflicts 208 - 347 heat damage on target',100,1,1),
(272540,10077425,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(272541,47367,'Applies Leash when Activated.',100,0,0),
(272542,47367,'Updates a specific part of the Quest \"Sow the Seed of Destiny\"',100,1,1),
(272543,10047367,'Applies Leash when Activated.',100,0,0),
(272544,10047367,'Updates a specific part of the Quest \"Sow the Seed of Destiny\"',100,1,1),
(272545,107144,'Inflicts 368 - 450 divine damage on target',100,1,0),
(272546,107144,'Inflicts 368 - 450 divine damage on target',100,1,1),
(272547,107144,'If target is undead',100,2,2),
(272548,10107144,'Inflicts 441 - 540 divine damage on target',100,1,0),
(272549,10107144,'Inflicts 441 - 540 divine damage on target',100,1,1),
(272550,176096,'When Equipped:',100,0,0),
(272551,176096,'Increases Attack Speed of caster by 25.0',100,1,1),
(272552,10176096,'When Equipped:',100,0,0),
(272553,10176096,'Increases Attack Speed of caster by 25.0',100,1,1),
(272554,116992,'Inflicts 10 - 31 melee damage on target',100,1,0),
(272555,10116992,'Inflicts 12 - 37 melee damage on target',100,1,0),
(272556,106198,'Wards target against 151 points of all damage',100,1,0),
(272557,106198,'Decreases INT of target by 192.5',100,1,1),
(272558,106198,'Decreases Attack Speed of target by 25.0',100,1,2),
(272559,106198,'Increases Max Health of target by 12.0%',100,1,3),
(272560,106198,'Increases Hate Gain of target by 46.0%',100,1,4),
(272561,106198,'Increases Aggression of target by 18.0',100,1,5),
(272562,106198,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(272563,106198,'Increases Threat to target encounter by 335 - 410 ',100,2,7),
(272564,106198,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1080',100,1,8),
(272565,10106198,'Wards target against 151 points of all damage',100,1,0),
(272566,10106198,'Decreases INT of target by 192.5',100,1,1),
(272567,10106198,'Decreases Attack Speed of target by 25.0',100,1,2),
(272568,10106198,'Increases Max Health of target by 12.0%',100,1,3),
(272569,10106198,'Increases Aggression of target by 18.0',100,1,4),
(272570,10106198,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1080',100,1,5),
(272571,183241,'When Equipped:',100,0,0),
(272572,183241,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(272573,183241,'Stifles target',100,2,2),
(272574,183241,'Does not affect Epic targets',100,2,3),
(272575,183241,'Resistibility increases against targets higher than level 74.',100,2,4),
(272576,183241,'Cannot be modified except by direct means',100,2,5),
(272577,10183241,'When Equipped:',100,0,0),
(272578,10183241,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(272579,10183241,'Stifles target',100,2,2),
(272580,10183241,'Does not affect Epic targets',100,2,3),
(272581,10183241,'Resistibility increases against targets higher than level 74.',100,2,4),
(272582,10183241,'Cannot be modified except by direct means',100,2,5),
(272583,81494,'When Equipped:',100,0,0),
(272584,81494,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272585,81494,'Decreases Threat to target by 352 ',100,2,2),
(272586,81494,'Must be flanking or behind',100,3,3),
(272587,81494,'Increases Threat to target by 617 ',100,2,4),
(272588,81494,'Must be in front of',100,3,5),
(272589,81494,'Inflicts 80 - 149 magic damage on target',100,2,6),
(272590,81494,'Cannot be modified except by direct means',100,2,7),
(272591,10081494,'When Equipped:',100,0,0),
(272592,10081494,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272593,10081494,'Inflicts 96 - 179 magic damage on target',100,2,2),
(272594,10081494,'Cannot be modified except by direct means',100,2,3),
(272595,112994,'Reduces physical damage done to caster by 5%',100,1,0),
(272596,112994,'Increases STA of caster by 109.4',100,1,1),
(272597,112994,'Adds 5.0% to base avoidance.',100,1,2),
(272598,112994,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(272599,112994,'Increases Defense and Aggression of caster by 21.1',100,1,4),
(272600,112994,'Increases Mitigation of caster vs arcane damage by 1408',100,1,5),
(272601,112994,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(272602,10112994,'Reduces physical damage done to caster by 5%',100,1,0),
(272603,10112994,'Increases STA of caster by 109.4',100,1,1),
(272604,10112994,'Adds 5.0% to base avoidance.',100,1,2),
(272605,10112994,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(272606,10112994,'Increases Defense and Aggression of caster by 21.1',100,1,4),
(272607,10112994,'Increases Mitigation of caster vs arcane damage by 1408',100,1,5),
(272608,10112994,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(272609,115624,'Wards target against 1976 points of all damage',100,1,0),
(272610,10115624,'Wards target against 2964 points of all damage',100,1,0),
(272611,100440,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(272612,100440,'Increases Threat to target by 1,263 ',100,2,1),
(272613,100440,'Inflicts 201 - 336 slashing damage on target',100,2,2),
(272614,100440,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(272615,100440,'Increases Threat to target by 1,263 ',100,2,4),
(272616,100440,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,5),
(272617,10100440,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(272618,10100440,'Inflicts 242 - 403 slashing damage on target',100,2,1),
(272619,10100440,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(272620,10100440,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',100,1,3),
(272621,114200,'Inflicts 225 - 375 melee damage on target',100,1,0),
(272622,114200,'Decreases Slashing, Crushing and Piercing of target by 8.7',100,1,1),
(272623,10114200,'Inflicts 270 - 450 melee damage on target',100,1,0),
(272624,10114200,'Decreases Slashing, Crushing and Piercing of target by 8.7',100,1,1),
(272625,48434,'Applies Thinning Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(272626,48434,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(272627,48434,'Stuns target',100,2,2),
(272628,48434,'If Target is not Epic',100,3,3),
(272629,48434,'Dispelled when target receives hostile action',100,2,4),
(272630,48434,'Dispelled when target takes damage',100,2,5),
(272631,48434,'Cannot be modified except by direct means',100,2,6),
(272632,48434,'Grants a total of 4 triggers of the spell.',100,2,7),
(272633,48434,'Only affects targets level 50 and above',100,1,8),
(272634,10048434,'Applies Thinning Cajoling Wispers when Activated.  Lasts for 12 hours.',100,0,0),
(272635,10048434,'On a combat hit this spell may cast Lulling Poison on target of attack.  Lasts for 9.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(272636,10048434,'Stuns target',100,2,2),
(272637,10048434,'If Target is not Epic',100,3,3),
(272638,10048434,'Dispelled when target receives hostile action',100,2,4),
(272639,10048434,'Dispelled when target takes damage',100,2,5),
(272640,10048434,'Cannot be modified except by direct means',100,2,6),
(272641,10048434,'Grants a total of 4 triggers of the spell.',100,2,7),
(272642,10048434,'Only affects targets level 50 and above',100,1,8),
(272643,134040,'When Equipped:',100,0,0),
(272644,134040,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(272645,134040,'Inflicts 1986 heat damage on target',100,2,2),
(272646,134040,'Cannot be modified except by direct means',100,2,3),
(272647,10134040,'When Equipped:',100,0,0),
(272648,10134040,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(272649,10134040,'Inflicts 1192 heat damage on target',100,2,2),
(272650,10134040,'Cannot be modified except by direct means',100,2,3),
(272651,54908,'When Equipped:',100,0,0),
(272652,54908,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(272653,54908,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(272654,54908,'Inflicts 1076 - 1189 disease damage on target instantly and every 2 seconds',100,2,3),
(272655,54908,'Must not be engaged in pvp combat',100,2,4),
(272656,54908,'Cannot be modified except by direct means',100,2,5),
(272657,54908,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(272658,54908,'Inflicts 1076 - 1189 disease damage on target instantly and every 2 seconds',100,2,7),
(272659,54908,'Must not be engaged in pvp combat',100,2,8),
(272660,54908,'Cannot be modified except by direct means',100,2,9),
(272661,54908,'Cannot be modified except by direct means',100,1,10),
(272662,10054908,'When Equipped:',100,0,0),
(272663,10054908,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(272664,10054908,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(272665,10054908,'Inflicts 1291 - 1427 disease damage on target instantly and every 2 seconds',100,2,3),
(272666,10054908,'Must not be engaged in pvp combat',100,2,4),
(272667,10054908,'Cannot be modified except by direct means',100,2,5),
(272668,10054908,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(272669,10054908,'Inflicts 1291 - 1427 disease damage on target instantly and every 2 seconds',100,2,7),
(272670,10054908,'Must not be engaged in pvp combat',100,2,8),
(272671,10054908,'Cannot be modified except by direct means',100,2,9),
(272672,10054908,'Cannot be modified except by direct means',100,1,10),
(272673,123939,'Increases STR and WIS of target by 128.2',100,1,0),
(272674,123939,'Increases Mitigation of target vs elemental, noxious and arcane damage by 381',100,1,1),
(272675,10123939,'Increases STR and WIS of target by 128.2',100,1,0),
(272676,10123939,'Increases Mitigation of target vs elemental, noxious and arcane damage by 381',100,1,1),
(272677,80911,'When Equipped:',100,0,0),
(272678,80911,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272679,80911,'Inflicts 169 - 314 magic damage on target',100,2,2),
(272680,80911,'Cannot be modified except by direct means',100,2,3),
(272681,10080911,'When Equipped:',100,0,0),
(272682,10080911,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272683,10080911,'Inflicts 203 - 377 magic damage on target',100,2,2),
(272684,10080911,'Cannot be modified except by direct means',100,2,3),
(272685,117999,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(272686,117999,'Increases Attack Speed of target by 19.2',100,2,1),
(272687,117999,'Increases Damage Per Second of target by 19.2',100,2,2),
(272688,117999,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(272689,117999,'Increases Attack Speed of target by 19.2',100,2,4),
(272690,117999,'Increases Damage Per Second of target by 19.2',100,2,5),
(272691,117999,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(272692,117999,'Increases Attack Speed of target by 19.2',100,2,7),
(272693,117999,'Increases Damage Per Second of target by 19.2',100,2,8),
(272694,10117999,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(272695,10117999,'Increases Attack Speed of target by 19.2',100,2,1),
(272696,10117999,'Increases Damage Per Second of target by 19.2',100,2,2),
(272697,10117999,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(272698,10117999,'Increases Attack Speed of target by 19.2',100,2,4),
(272699,10117999,'Increases Damage Per Second of target by 19.2',100,2,5),
(272700,10117999,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(272701,10117999,'Increases Attack Speed of target by 19.2',100,2,7),
(272702,10117999,'Increases Damage Per Second of target by 19.2',100,2,8),
(272703,116367,'Mesmerizes target encounter',100,1,0),
(272704,116367,'Prevents AOE (except when direct) ',100,1,1),
(272705,116367,'Dispelled when target takes damage',100,1,2),
(272706,116367,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(272707,116367,'Resistibility increases against targets higher than level 116.',100,1,4),
(272708,10116367,'Mesmerizes target encounter',100,1,0),
(272709,10116367,'Prevents AOE (except when direct) ',100,1,1),
(272710,10116367,'Dispelled when target takes damage',100,1,2),
(272711,10116367,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(272712,10116367,'Resistibility increases against targets higher than level 116.',100,1,4),
(272713,115704,'Summons a companion baby dragon',100,1,0),
(272714,10115704,'Summons a companion baby dragon',100,1,0),
(272715,80330,'When Equipped:',100,0,0),
(272716,80330,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272717,80330,'Inflicts 136 - 252 magic damage on target',100,2,2),
(272718,80330,'Cannot be modified except by direct means',100,2,3),
(272719,10080330,'When Equipped:',100,0,0),
(272720,10080330,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272721,10080330,'Inflicts 163 - 303 magic damage on target',100,2,2),
(272722,10080330,'Cannot be modified except by direct means',100,2,3),
(272723,52022,'When Equipped:',100,0,0),
(272724,52022,'On a hostile spell hit this spell may cast Malign Intent on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(272725,52022,'This effect can be stacked by multiple casters.',100,2,2),
(272726,52022,'Reduces all spell damage by up to 200.',100,2,3),
(272727,52022,'Cannot be modified except by direct means',100,2,4),
(272728,52022,'When Equipped:',100,0,5),
(272729,52022,'Reduces cast time of hostile spells by 4 percent.',100,1,6),
(272730,10052022,'When Equipped:',100,0,0),
(272731,10052022,'On a hostile spell hit this spell may cast Malign Intent on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(272732,10052022,'This effect can be stacked by multiple casters.',100,2,2),
(272733,10052022,'Reduces all spell damage by up to 200.',100,2,3),
(272734,10052022,'Cannot be modified except by direct means',100,2,4),
(272735,10052022,'When Equipped:',100,0,5),
(272736,10052022,'Reduces cast time of hostile spells by 4 percent.',100,1,6),
(272737,131088,'When Equipped:',100,0,0),
(272738,131088,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(272739,131088,'Inflicts 2648 disease damage on target encounter',100,2,2),
(272740,131088,'Must not be engaged in pvp combat',100,2,3),
(272741,131088,'Cannot be modified except by direct means',100,2,4),
(272742,10131088,'When Equipped:',100,0,0),
(272743,10131088,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(272744,10131088,'Inflicts 1589 disease damage on target encounter',100,2,2),
(272745,10131088,'Must not be engaged in pvp combat',100,2,3),
(272746,10131088,'Cannot be modified except by direct means',100,2,4),
(272747,42563,'When Equipped:',100,0,0),
(272748,42563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272749,42563,'Inflicts 30 - 45 magic damage on target',100,2,2),
(272750,42563,'Cannot be modified except by direct means',100,2,3),
(272751,10042563,'When Equipped:',100,0,0),
(272752,10042563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272753,10042563,'Inflicts 36 - 54 magic damage on target',100,2,2),
(272754,10042563,'Cannot be modified except by direct means',100,2,3),
(272755,186947,'When Equipped:',100,0,0),
(272756,186947,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272757,186947,'Decreases power of target by 97',100,2,2),
(272758,186947,'Increases power of caster by 171',100,2,3),
(272759,186947,'Cannot be modified except by direct means',100,2,4),
(272760,10186947,'When Equipped:',100,0,0),
(272761,10186947,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272762,10186947,'Decreases power of target by 97',100,2,2),
(272763,10186947,'Increases power of caster by 171',100,2,3),
(272764,10186947,'Cannot be modified except by direct means',100,2,4),
(272765,101208,'Inflicts 109 - 183 cold damage on target',100,1,0),
(272766,101208,'Dazes target',100,1,1),
(272767,101208,'If Target is not Epic',100,2,2),
(272768,101208,'Resistibility increases against targets higher than level 59.',100,1,3),
(272769,10101208,'Inflicts 131 - 219 cold damage on target',100,1,0),
(272770,10101208,'Dazes target',100,1,1),
(272771,10101208,'If Target is not Epic',100,2,2),
(272772,10101208,'Resistibility increases against targets higher than level 59.',100,1,3),
(272773,87384,'When Equipped:',100,0,0),
(272774,87384,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272775,87384,'Inflicts 127 - 190 magic damage on target',100,2,2),
(272776,87384,'Cannot be modified except by direct means',100,2,3),
(272777,10087384,'When Equipped:',100,0,0),
(272778,10087384,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272779,10087384,'Inflicts 152 - 228 magic damage on target',100,2,2),
(272780,10087384,'Cannot be modified except by direct means',100,2,3),
(272781,71603,'When Equipped:',100,0,0),
(272782,71603,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(272783,71603,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(272784,71603,'Cannot be modified except by direct means',100,2,3),
(272785,10071603,'When Equipped:',100,0,0),
(272786,10071603,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(272787,10071603,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(272788,10071603,'Cannot be modified except by direct means',100,2,3),
(272789,100374,'Increases Max Health of target by 1,696.8',100,1,0),
(272790,100374,'Increases Crushing, Piercing, Slashing and Ranged of target by 24.8',100,1,1),
(272791,10100374,'Increases Max Health of target by 1,696.8',100,1,0),
(272792,10100374,'Increases Crushing, Piercing, Slashing and Ranged of target by 24.8',100,1,1),
(272793,119871,'Increases INT and AGI of group members (AE) by 32.3',100,1,0),
(272794,119871,'Adds 2.6% to base avoidance.',100,1,1),
(272795,10119871,'Increases INT and AGI of group members (AE) by 32.3',100,1,0),
(272796,10119871,'Adds 2.6% to base avoidance.',100,1,1),
(272797,45827,'Applies Consume Essence when Activated.',100,0,0),
(272798,45827,'Heals group members (AE) for 605 - 740',100,1,1),
(272799,45827,'Dispels 119 levels of any hostile effects on caster',100,1,2),
(272800,10045827,'Applies Consume Essence when Activated.',100,0,0),
(272801,10045827,'Heals group members (AE) for 394 - 481',100,1,1),
(272802,10045827,'Dispels 119 levels of any hostile effects on caster',100,1,2),
(272803,157439,'When Equipped:',100,0,0),
(272804,157439,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(272805,157439,'Wards caster against 2000 points of all damage',100,2,2),
(272806,157439,'Cannot be modified except by direct means',100,2,3),
(272807,157439,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(272808,157439,'Wards caster against 2000 points of all damage',100,2,5),
(272809,157439,'Cannot be modified except by direct means',100,2,6),
(272810,157439,'When Equipped:',100,0,7),
(272811,157439,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(272812,157439,'Inflicts 1589 - 2383 poison damage on target',100,2,9),
(272813,157439,'Heals caster for 1058 - 1587',100,2,10),
(272814,157439,'Cannot be modified except by direct means',100,2,11),
(272815,157439,'Cannot be modified except by direct means',100,1,12),
(272816,10157439,'When Equipped:',100,0,0),
(272817,10157439,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(272818,10157439,'Wards caster against 1000 points of all damage',100,2,2),
(272819,10157439,'Cannot be modified except by direct means',100,2,3),
(272820,10157439,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(272821,10157439,'Wards caster against 1000 points of all damage',100,2,5),
(272822,10157439,'Cannot be modified except by direct means',100,2,6),
(272823,10157439,'When Equipped:',100,0,7),
(272824,10157439,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(272825,10157439,'Inflicts 1907 - 2860 poison damage on target',100,2,9),
(272826,10157439,'Heals caster for 1238 - 1857',100,2,10),
(272827,10157439,'Cannot be modified except by direct means',100,2,11),
(272828,10157439,'Cannot be modified except by direct means',100,1,12),
(272829,101076,'Summons 3 limited pets to aid the caster',100,1,0),
(272830,10101076,'Summons 3 limited pets to aid the caster',100,1,0),
(272831,162386,'When Equipped:',100,0,0),
(272832,162386,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(272833,162386,'Heals group members (AE) for 580',100,2,2),
(272834,162386,'Cannot be modified except by direct means',100,2,3),
(272835,10162386,'When Equipped:',100,0,0),
(272836,10162386,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(272837,10162386,'Heals group members (AE) for 679',100,2,2),
(272838,10162386,'Cannot be modified except by direct means',100,2,3),
(272839,111195,'Inflicts 212 - 353 divine damage on targets in area',100,1,0),
(272840,111195,'Heals group members (AE) for 2.8% of max health',100,1,1),
(272841,111195,'This effect cannot be critically applied.',100,2,2),
(272842,111195,'The healing of this spell cannot be modified except by direct means',100,1,3),
(272843,10111195,'Inflicts 254 - 424 divine damage on targets in area',100,1,0),
(272844,10111195,'Heals group members (AE) for 1.8% of max health',100,1,1),
(272845,10111195,'This effect cannot be critically applied.',100,2,2),
(272846,10111195,'The healing of this spell cannot be modified except by direct means',100,1,3),
(272847,37156,'Increases outgoing heal and ward amount by 2%',100,0,0),
(272848,37156,'Increases WIS and STA of target by 39.0',100,0,1),
(272849,37156,'Increases Out-of-Combat Health Regeneration of target by 114.8',100,0,2),
(272850,112622,'Increases STA of caster by 47.0',100,1,0),
(272851,112622,'Reduces slow effects on caster by 19.0%',100,1,1),
(272852,112622,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1172',100,1,2),
(272853,10112622,'Increases STA of caster by 47.0',100,1,0),
(272854,10112622,'Reduces slow effects on caster by 19.0%',100,1,1),
(272855,10112622,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1172',100,1,2),
(272856,120339,'Increases Threat to target by 1,757 - 2,046 ',100,1,0),
(272857,10120339,'Forces target to change their selected target to caster.',100,1,0),
(272858,10120339,'Prevents target from changing targets',100,1,1),
(272859,47360,'Applies arcane remedy when Activated.',100,0,0),
(272860,47360,'Dispels 18 levels of arcane hostile effects on caster',100,1,1),
(272861,10047360,'Applies arcane remedy when Activated.',100,0,0),
(272862,10047360,'Dispels 18 levels of arcane hostile effects on caster',100,1,1),
(272863,111931,'Inflicts 68 - 113 piercing damage on target instantly and every 4 seconds',100,1,0),
(272864,111931,'Inflicts 248 - 414 piercing damage on target',100,1,1),
(272865,10111931,'Inflicts 136 - 226 piercing damage on target instantly and every 4 seconds',100,1,0),
(272866,10111931,'Inflicts 407 - 678 piercing damage on target',100,1,1),
(272867,111906,'Inflicts 13 - 22 piercing damage on target instantly and every 4 seconds',100,1,0),
(272868,111906,'Inflicts 48 - 81 piercing damage on target',100,1,1),
(272869,10111906,'Inflicts 27 - 45 piercing damage on target instantly and every 4 seconds',100,1,0),
(272870,10111906,'Inflicts 80 - 133 piercing damage on target',100,1,1),
(272871,82623,'When Equipped:',100,0,0),
(272872,82623,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272873,82623,'Decreases Threat to target by 259 ',100,2,2),
(272874,82623,'Must be flanking or behind',100,3,3),
(272875,82623,'Increases Threat to target by 453 ',100,2,4),
(272876,82623,'Must be in front of',100,3,5),
(272877,82623,'Inflicts 79 - 146 magic damage on target',100,2,6),
(272878,82623,'Cannot be modified except by direct means',100,2,7),
(272879,10082623,'When Equipped:',100,0,0),
(272880,10082623,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(272881,10082623,'Inflicts 94 - 175 magic damage on target',100,2,2),
(272882,10082623,'Cannot be modified except by direct means',100,2,3),
(272883,103513,'Charms target',100,1,0),
(272884,103513,'If outside an arena',100,1,1),
(272885,103513,'Certain enemies cannot be charmed',100,1,2),
(272886,103513,'Does not affect Epic targets',100,1,3),
(272887,10103513,'Mesmerizes target',100,1,0),
(272888,10103513,'Prevents AOE (except when direct) ',100,1,1),
(272889,10103513,'Dispelled when target takes damage',100,1,2),
(272890,10103513,'If outside an arena',100,1,3),
(272891,10103513,'Certain enemies cannot be charmed',100,1,4),
(272892,10103513,'Does not affect Epic targets',100,1,5),
(272893,10103513,'Resistibility increases against targets higher than level 77.',100,1,6),
(272894,102526,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(272895,102526,'Increases Aggression of caster by 10.8',100,1,1),
(272896,102526,'Increases Defense and Parry of caster by 21.6',100,1,2),
(272897,102526,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(272898,10102526,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(272899,10102526,'Increases Aggression of caster by 10.8',100,1,1),
(272900,10102526,'Increases Defense and Parry of caster by 21.6',100,1,2),
(272901,10102526,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(272902,114268,'Heals target for 27 - 33',100,1,0),
(272903,10114268,'Heals target for 32 - 39',100,1,0),
(272904,123950,'Inflicts 17 - 29 melee damage on target',100,1,0),
(272905,123950,'Decreases AGI of target by 6.7',100,1,1),
(272906,123950,'Must be behind',100,1,2),
(272907,10123950,'Inflicts 21 - 35 melee damage on target',100,1,0),
(272908,10123950,'Decreases AGI of target by 6.7',100,1,1),
(272909,10123950,'Must be behind',100,1,2),
(272910,45109,'Applies Catch Creature when Activated.',100,0,0),
(272911,45109,'Updates a specific part of the Quest \"Netting Information\"',100,1,1),
(272912,10045109,'Applies Catch Creature when Activated.',100,0,0),
(272913,10045109,'Updates a specific part of the Quest \"Netting Information\"',100,1,1),
(272914,119054,'Inflicts 94 - 158 mental damage on target',100,1,0),
(272915,119054,'Decreases power of target by 89 - 148',100,1,1),
(272916,119054,'Increases power of caster by 52 - 86',100,1,2),
(272917,10119054,'Inflicts 113 - 189 mental damage on target',100,1,0),
(272918,10119054,'Decreases power of target by 89 - 148',100,1,1),
(272919,10119054,'Increases power of caster by 52 - 86',100,1,2),
(272920,105907,'Inflicts 489 - 815 melee damage on target',100,1,0),
(272921,105907,'If over 33% Health',100,2,1),
(272922,105907,'Inflicts 1468 - 2446 melee damage on target',100,1,2),
(272923,105907,'If under 33% Health',100,2,3),
(272924,105907,'Must be flanking or behind',100,1,4),
(272925,10105907,'Inflicts 587 - 978 melee damage on target',100,1,0),
(272926,10105907,'If over 20% Health',100,2,1),
(272927,10105907,'Inflicts 1565 - 2609 melee damage on target',100,1,2),
(272928,10105907,'If under 20% Health',100,2,3),
(272929,10105907,'Must be flanking or behind',100,1,4),
(272930,106426,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(272931,106426,'Inflicts 533 - 651 mental damage on target',100,2,1),
(272932,106426,'Grants a total of 3 triggers of the spell.',100,2,2),
(272933,10106426,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(272934,10106426,'Inflicts 640 - 782 mental damage on target',100,2,1),
(272935,10106426,'Grants a total of 3 triggers of the spell.',100,2,2),
(272936,36278,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(272937,36406,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(272938,82212,'When Equipped:',100,0,0),
(272939,82212,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272940,82212,'Inflicts 30 - 55 magic damage on target',100,2,2),
(272941,82212,'Cannot be modified except by direct means',100,2,3),
(272942,10082212,'When Equipped:',100,0,0),
(272943,10082212,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272944,10082212,'Inflicts 36 - 66 magic damage on target',100,2,2),
(272945,10082212,'Cannot be modified except by direct means',100,2,3),
(272946,172796,'When Equipped:',100,0,0),
(272947,172796,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(272948,172796,'Increases power of caster by 164',100,2,2),
(272949,172796,'Cannot be modified except by direct means',100,2,3),
(272950,10172796,'When Equipped:',100,0,0),
(272951,10172796,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(272952,10172796,'Increases power of caster by 164',100,2,2),
(272953,10172796,'Cannot be modified except by direct means',100,2,3),
(272954,87256,'When Equipped:',100,0,0),
(272955,87256,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272956,87256,'Inflicts 177 - 266 magic damage on target',100,2,2),
(272957,87256,'Cannot be modified except by direct means',100,2,3),
(272958,10087256,'When Equipped:',100,0,0),
(272959,10087256,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(272960,10087256,'Inflicts 213 - 319 magic damage on target',100,2,2),
(272961,10087256,'Cannot be modified except by direct means',100,2,3),
(272962,139543,'When Equipped:',100,0,0),
(272963,139543,'When a combat art is used this spell has a 5% chance to cast Tranquility on target of combat art.  Lasts for 8.0 seconds.  ',100,1,1),
(272964,139543,'Decreases Hate Gain of caster by 50.0%',100,2,2),
(272965,139543,'Dazes target',100,2,3),
(272966,139543,'Does not affect Epic targets',100,2,4),
(272967,139543,'Resistibility increases against targets higher than level 99.',100,2,5),
(272968,139543,'Cannot be modified except by direct means',100,2,6),
(272969,139543,'On a hostile spell cast this spell may cast Tranquility on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.0 times per minute. ',100,1,7),
(272970,139543,'Decreases Hate Gain of caster by 50.0%',100,2,8),
(272971,139543,'Dazes target',100,2,9),
(272972,139543,'Does not affect Epic targets',100,2,10),
(272973,139543,'Resistibility increases against targets higher than level 99.',100,2,11),
(272974,139543,'Cannot be modified except by direct means',100,2,12),
(272975,10139543,'When Equipped:',100,0,0),
(272976,10139543,'When a combat art is used this spell has a 5% chance to cast Tranquility on target of combat art.  Lasts for 8.0 seconds.  ',100,1,1),
(272977,10139543,'Dazes target',100,2,2),
(272978,10139543,'Does not affect Epic targets',100,2,3),
(272979,10139543,'Resistibility increases against targets higher than level 99.',100,2,4),
(272980,10139543,'Cannot be modified except by direct means',100,2,5),
(272981,10139543,'On a hostile spell cast this spell may cast Tranquility on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.0 times per minute. ',100,1,6),
(272982,10139543,'Dazes target',100,2,7),
(272983,10139543,'Does not affect Epic targets',100,2,8),
(272984,10139543,'Resistibility increases against targets higher than level 99.',100,2,9),
(272985,10139543,'Cannot be modified except by direct means',100,2,10),
(272986,101518,'Increases WIS of target by 71.8',100,1,0),
(272987,101518,'Increases Max Health of target by 617.4',100,1,1),
(272988,101518,'Increases Mitigation of target vs elemental, noxious and arcane damage by 197',100,1,2),
(272989,10101518,'Increases WIS of target by 71.8',100,1,0),
(272990,10101518,'Increases Max Health of target by 617.4',100,1,1),
(272991,10101518,'Increases Mitigation of target vs elemental, noxious and arcane damage by 197',100,1,2),
(272992,116226,'Increases INT of group members (AE) by 101.6',100,1,0),
(272993,116226,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,1),
(272994,116226,'Inflicts 349 - 426 mental damage on target',100,2,2),
(272995,10116226,'Increases INT of group members (AE) by 101.6',100,1,0),
(272996,10116226,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,1),
(272997,10116226,'Inflicts 418 - 511 mental damage on target',100,2,2),
(272998,82310,'When Equipped:',100,0,0),
(272999,82310,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273000,82310,'Decreases Threat to target by 672 ',100,2,2),
(273001,82310,'Must be flanking or behind',100,3,3),
(273002,82310,'Increases Threat to target by 1,132 ',100,2,4),
(273003,82310,'Must be in front of',100,3,5),
(273004,82310,'Inflicts 188 - 349 magic damage on target',100,2,6),
(273005,82310,'Cannot be modified except by direct means',100,2,7),
(273006,10082310,'When Equipped:',100,0,0),
(273007,10082310,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273008,10082310,'Inflicts 226 - 419 magic damage on target',100,2,2),
(273009,10082310,'Cannot be modified except by direct means',100,2,3),
(273010,101156,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(273011,101156,'Inflicts 311 ranged damage on target',100,2,1),
(273012,101156,'Decreases Defense of caster by 21.8',100,1,2),
(273013,101156,'Increases Crushing, Piercing, Ranged and Slashing of caster by 36.0',100,1,3),
(273014,10101156,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(273015,10101156,'Inflicts 233 ranged damage on target',100,2,1),
(273016,10101156,'Decreases Defense of caster by 21.8',100,1,2),
(273017,10101156,'Increases Crushing, Piercing, Ranged and Slashing of caster by 36.0',100,1,3),
(273018,112337,'Applies Insolent Gibe.',100,1,0),
(273019,112337,'Increases Threat to targets in Area of Effect by 2,663 - 3,764 ',100,2,1),
(273020,112337,'Applies Insolent Assault.',100,1,2),
(273021,112337,'Inflicts 1152 - 1728 melee damage on targets in area',100,2,3),
(273022,112337,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(273023,112337,'Increases Threat to target encounter by 1,286 - 1,469 ',100,2,5),
(273024,10112337,'Applies Insolent Gibe.',100,1,0),
(273025,10112337,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(273026,10112337,'Applies Insolent Assault.',100,1,2),
(273027,10112337,'Inflicts 1382 - 2073 melee damage on targets in area',100,2,3),
(273028,10112337,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(273029,10112337,'Forces target encounter to change their selected target to caster.',100,2,5),
(273030,81744,'When Equipped:',100,0,0),
(273031,81744,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273032,81744,'Inflicts 97 - 180 magic damage on target',100,2,2),
(273033,81744,'Cannot be modified except by direct means',100,2,3),
(273034,10081744,'When Equipped:',100,0,0),
(273035,10081744,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273036,10081744,'Inflicts 116 - 216 magic damage on target',100,2,2),
(273037,10081744,'Cannot be modified except by direct means',100,2,3),
(273038,35858,'Increases STA of target by 10.5',100,0,0),
(273039,35858,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(273040,101520,'Increases WIS of target by 82.1',100,1,0),
(273041,101520,'Increases Max Health of target by 705.6',100,1,1),
(273042,101520,'Increases Mitigation of target vs elemental, noxious and arcane damage by 225',100,1,2),
(273043,10101520,'Increases WIS of target by 82.1',100,1,0),
(273044,10101520,'Increases Max Health of target by 705.6',100,1,1),
(273045,10101520,'Increases Mitigation of target vs elemental, noxious and arcane damage by 225',100,1,2),
(273046,111272,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(273047,111272,'Increases Mitigation of target vs physical damage by 1176',100,2,1),
(273048,111272,'Heals target for 2100',100,2,2),
(273049,111272,'Grants a total of 1 trigger of the spell.',100,2,3),
(273050,10111272,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(273051,10111272,'Increases Mitigation of target vs physical damage by 1176',100,2,1),
(273052,10111272,'Heals target for 1365',100,2,2),
(273053,10111272,'Grants a total of 1 trigger of the spell.',100,2,3),
(273054,123360,'Heals group members (AE) for 319 - 390',100,1,0),
(273055,10123360,'Heals group members (AE) for 388 - 474',100,1,0),
(273056,117129,'Inflicts 89 - 109 heat damage on target instantly and every 4 seconds',100,1,0),
(273057,117129,'Decreases Mitigation of target vs arcane damage by 518',100,1,1),
(273058,10117129,'Inflicts 107 - 131 heat damage on target instantly and every 4 seconds',100,1,0),
(273059,10117129,'Decreases Mitigation of target vs arcane damage by 518',100,1,1),
(273060,120716,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 28.3',100,1,0),
(273061,10120716,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 28.3',100,1,0),
(273062,110744,'Summons a limited pet to aid the caster',100,1,0),
(273063,10110744,'Summons a limited pet to aid the caster',100,1,0),
(273064,36006,'Increases Max Power of target by 22.8',100,0,0),
(273065,36006,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(273066,122261,'Decreases Threat to targets in Area of Effect by 357 ',100,1,0),
(273067,122261,'Makes targets in Area of Effect afraid',100,1,1),
(273068,122261,'If Target is not Epic',100,2,2),
(273069,122261,'30% chance to dispel when target takes damage',100,1,3),
(273070,10122261,'Applies Distract.',100,1,0),
(273071,10122261,'Forces target to clear their selected target.',100,2,1),
(273072,10122261,'Makes targets in Area of Effect afraid',100,1,2),
(273073,10122261,'If Target is not Epic',100,2,3),
(273074,10122261,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(273075,10122261,'30% chance to dispel when target takes damage',100,1,5),
(273076,35552,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(273077,82388,'When Equipped:',100,0,0),
(273078,82388,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273079,82388,'Decreases Threat to target by 376 ',100,2,2),
(273080,82388,'Must be flanking or behind',100,3,3),
(273081,82388,'Increases Threat to target by 658 ',100,2,4),
(273082,82388,'Must be in front of',100,3,5),
(273083,82388,'Inflicts 111 - 205 magic damage on target',100,2,6),
(273084,82388,'Cannot be modified except by direct means',100,2,7),
(273085,10082388,'When Equipped:',100,0,0),
(273086,10082388,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273087,10082388,'Inflicts 133 - 246 magic damage on target',100,2,2),
(273088,10082388,'Cannot be modified except by direct means',100,2,3),
(273089,185845,'When Equipped:',100,0,0),
(273090,185845,'On a hostile spell hit this spell may cast Azure Winds on target of spell.  Triggers about 4.0 times per minute. ',100,1,1),
(273091,185845,'Decreases Threat to target by 784 ',100,2,2),
(273092,185845,'Cannot be modified except by direct means',100,2,3),
(273093,10185845,'When Equipped:',100,0,0),
(273094,10185845,'On a hostile spell hit this spell may cast Azure Winds on target of spell.  Triggers about 4.0 times per minute. ',100,1,1),
(273095,10185845,'Forces target to clear their selected target.',100,2,2),
(273096,10185845,'Cannot be modified except by direct means',100,2,3),
(273097,52675,'When Equipped:',100,0,0),
(273098,52675,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(273099,52675,'This effect suspends during combat',100,1,2),
(273100,10052675,'When Equipped:',100,0,0),
(273101,10052675,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(273102,10052675,'This effect suspends during combat',100,1,2),
(273103,37111,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(273104,37111,'Increases Max Health of target by 120.7',100,0,1),
(273105,81978,'When Equipped:',100,0,0),
(273106,81978,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273107,81978,'Decreases Threat to target by 994 ',100,2,2),
(273108,81978,'Must be flanking or behind',100,3,3),
(273109,81978,'Increases Threat to target by 1,454 ',100,2,4),
(273110,81978,'Must be in front of',100,3,5),
(273111,81978,'Inflicts 265 - 492 magic damage on target',100,2,6),
(273112,81978,'Cannot be modified except by direct means',100,2,7),
(273113,10081978,'When Equipped:',100,0,0),
(273114,10081978,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273115,10081978,'Inflicts 318 - 591 magic damage on target',100,2,2),
(273116,10081978,'Cannot be modified except by direct means',100,2,3),
(273117,116730,'Inflicts 508 - 846 melee damage on target',100,1,0),
(273118,10116730,'Inflicts 609 - 1016 melee damage on target',100,1,0),
(273119,115165,'Heals target for 203 - 248',100,1,0),
(273120,10115165,'Heals target for 275 - 336',100,1,0),
(273121,104175,'Increases Threat to target encounter by 885 - 1,078 ',100,1,0),
(273122,104175,'Interrupts target encounter',100,1,1),
(273123,10104175,'Forces target encounter to change their selected target to caster.',100,1,0),
(273124,10104175,'Interrupts target encounter',100,1,1),
(273125,10104175,'Prevents target encounter from changing targets',100,1,2),
(273126,45060,'Applies Immortalize Zarrakon when Activated.',100,0,0),
(273127,45060,'Summon 1 Trophy: Zarrakon''s Head',100,1,1),
(273128,45060,'This effect cannot be cast during combat',100,1,2),
(273129,10045060,'Applies Immortalize Zarrakon when Activated.',100,0,0),
(273130,10045060,'Summon 1 Trophy: Zarrakon''s Head',100,1,1),
(273131,10045060,'This effect cannot be cast during combat',100,1,2),
(273132,122081,'Increases STA and INT of group members (AE) by 19.2',100,1,0),
(273133,10122081,'Increases STA and INT of group members (AE) by 19.2',100,1,0),
(273134,101233,'Inflicts 440 - 733 cold damage on target',100,1,0),
(273135,101233,'Dazes target',100,1,1),
(273136,101233,'If Target is not Epic',100,2,2),
(273137,101233,'Resistibility increases against targets higher than level 121.',100,1,3),
(273138,10101233,'Inflicts 528 - 880 cold damage on target',100,1,0),
(273139,10101233,'Dazes target',100,1,1),
(273140,10101233,'If Target is not Epic',100,2,2),
(273141,10101233,'Resistibility increases against targets higher than level 121.',100,1,3),
(273142,74667,'When Equipped:',100,0,0),
(273143,74667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273144,74667,'Inflicts 44 - 67 magic damage on target',100,2,2),
(273145,74667,'Cannot be modified except by direct means',100,2,3),
(273146,10074667,'When Equipped:',100,0,0),
(273147,10074667,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273148,10074667,'Inflicts 53 - 80 magic damage on target',100,2,2),
(273149,10074667,'Cannot be modified except by direct means',100,2,3),
(273150,176648,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(273151,176648,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(273152,176648,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(273153,10176648,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(273154,10176648,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 495',100,1,1),
(273155,10176648,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(273156,170007,'When Equipped:',100,0,0),
(273157,170007,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273158,170007,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(273159,170007,'Cannot be modified except by direct means',100,2,3),
(273160,10170007,'When Equipped:',100,0,0),
(273161,10170007,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273162,10170007,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(273163,10170007,'Cannot be modified except by direct means',100,2,3),
(273164,45816,'Applies Crystal Recharge when Activated.',100,0,0),
(273165,45816,'Summon 1 Wand of Thunder',100,1,1),
(273166,45816,'This effect cannot be cast during combat',100,1,2),
(273167,10045816,'Applies Crystal Recharge when Activated.',100,0,0),
(273168,10045816,'Summon 1 Wand of Thunder',100,1,1),
(273169,10045816,'This effect cannot be cast during combat',100,1,2),
(273170,52873,'Applies Sanguine Imbued when Equipped.',100,0,0),
(273171,52873,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(273172,52873,'Inflicts 80 heat damage on target',100,2,2),
(273173,52873,'Cannot be modified except by direct means',100,2,3),
(273174,10052873,'Applies Sanguine Imbued when Equipped.',100,0,0),
(273175,10052873,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(273176,10052873,'Inflicts 96 heat damage on target',100,2,2),
(273177,10052873,'Cannot be modified except by direct means',100,2,3),
(273178,113184,'Inflicts 1224 disease damage on target',100,1,0),
(273179,113184,'Heals caster for 861',100,1,1),
(273180,10113184,'Inflicts 1469 disease damage on target',100,1,0),
(273181,10113184,'Heals caster for 727',100,1,1),
(273182,138383,'When Equipped:',100,0,0),
(273183,138383,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(273184,138383,'Must be engaged in pvp combat',100,1,2),
(273185,138383,'When Equipped:',100,0,3),
(273186,138383,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(273187,138383,'Must be engaged in pvp combat',100,1,5),
(273188,138383,'When Equipped:',100,0,6),
(273189,138383,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(273190,138383,'Kinetic Barrier cannot proc more than once per second.',100,2,8),
(273191,138383,'Reduces physical damage done to target by 2.5%',100,2,9),
(273192,138383,'Must be engaged in pvp combat',100,2,10),
(273193,138383,'Cannot be modified except by direct means',100,2,11),
(273194,138383,'Cannot be modified except by direct means',100,1,12),
(273195,10138383,'When Equipped:',100,0,0),
(273196,10138383,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(273197,10138383,'Must be engaged in pvp combat',100,1,2),
(273198,10138383,'When Equipped:',100,0,3),
(273199,10138383,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(273200,10138383,'Must be engaged in pvp combat',100,1,5),
(273201,10138383,'When Equipped:',100,0,6),
(273202,10138383,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(273203,10138383,'Kinetic Barrier cannot proc more than once per second.',100,2,8),
(273204,10138383,'Reduces physical damage done to target by 2.5%',100,2,9),
(273205,10138383,'Must be engaged in pvp combat',100,2,10),
(273206,10138383,'Cannot be modified except by direct means',100,2,11),
(273207,10138383,'Cannot be modified except by direct means',100,1,12),
(273208,47864,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(273209,47864,'Summons a mount to ride',100,1,1),
(273210,47864,'Increases your ground speed by 130%',100,2,2),
(273211,47864,'Increases Focus, Piercing, Slashing and Crushing of caster by 4.7',100,1,3),
(273212,10047864,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(273213,10047864,'Summons a mount to ride',100,1,1),
(273214,10047864,'Increases your ground speed by 130%',100,2,2),
(273215,10047864,'Increases Focus, Piercing, Slashing and Crushing of caster by 4.7',100,1,3),
(273216,118329,'Inflicts 19 - 32 melee damage on target',100,1,0),
(273217,118329,'Inflicts 19 - 32 heat damage on target every 4 seconds',100,1,1),
(273218,10118329,'Inflicts 23 - 38 melee damage on target',100,1,0),
(273219,10118329,'Inflicts 23 - 39 heat damage on target every 4 seconds',100,1,1),
(273220,100230,'Increases Threat to target encounter by 1,950 - 2,281 ',100,1,0),
(273221,100230,'Interrupts target encounter',100,1,1),
(273222,10100230,'Interrupts target encounter',100,1,0),
(273223,10100230,'Forces target encounter to change their selected target to caster.',100,1,1),
(273224,10100230,'Prevents target encounter from changing targets',100,1,2),
(273225,110160,'Applies Untreated Bleeding on termination.',100,1,0),
(273226,110160,'Inflicts 38 - 63 piercing damage on target',100,2,1),
(273227,110160,'Inflicts 8 - 14 piercing damage on target instantly and every 4 seconds',100,1,2),
(273228,110160,'Inflicts 5 - 9 melee damage on target',100,1,3),
(273229,10110160,'Applies Untreated Bleeding on termination.',100,1,0),
(273230,10110160,'Inflicts 46 - 76 piercing damage on target',100,2,1),
(273231,10110160,'Inflicts 10 - 16 piercing damage on target instantly and every 4 seconds',100,1,2),
(273232,10110160,'Inflicts 6 - 10 melee damage on target',100,1,3),
(273233,115749,'Inflicts 11 - 18 melee damage on target',100,1,0),
(273234,10115749,'Inflicts 13 - 22 melee damage on target',100,1,0),
(273235,118998,'Heals target for 715 - 874',100,1,0),
(273236,10118998,'Heals target for 761 - 930',100,1,0),
(273237,114441,'Inflicts 23 - 38 heat damage on target',100,1,0),
(273238,10114441,'Inflicts 27 - 46 heat damage on target',100,1,0),
(273239,116670,'Heals group members (AE) for 197 - 241',100,1,0),
(273240,116670,'This effect cannot be critically applied.',100,2,1),
(273241,116670,'Increases Max Health of group members (AE) by 108.2',100,1,2),
(273242,116670,'The healing of this spell cannot be modified except by direct means',100,1,3),
(273243,10116670,'Heals group members (AE) for 62 - 76',100,1,0),
(273244,10116670,'This effect cannot be critically applied.',100,2,1),
(273245,10116670,'Increases Max Health of group members (AE) by 108.2',100,1,2),
(273246,10116670,'The healing of this spell cannot be modified except by direct means',100,1,3),
(273247,113956,'Decreases power of target encounter by 45 instantly and every 4 seconds',100,1,0),
(273248,113956,'Increases power of group members (AE) by 29 instantly and every 4 seconds',100,1,1),
(273249,10113956,'Decreases power of target encounter by 45 instantly and every 4 seconds',100,1,0),
(273250,10113956,'Increases power of group members (AE) by 29 instantly and every 4 seconds',100,1,1),
(273251,157307,'When Equipped:',100,0,0),
(273252,157307,'Increases damage done by combat arts by up to 45.',100,1,1),
(273253,10157307,'When Equipped:',100,0,0),
(273254,10157307,'Increases damage done by combat arts by up to 45.',100,1,1),
(273255,115487,'Summons a pet nightshade',100,1,0),
(273256,10115487,'Summons a pet nightshade',100,1,0),
(273257,172356,'When Equipped:',100,0,0),
(273258,172356,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(273259,172356,'Applies Secret Destroyer when Activated.  Lasts for 30.0 seconds.',100,0,2),
(273260,172356,'This effect can be toggled off.',100,1,3),
(273261,172356,'Increases casting and reuse speed by 10%. Increases cost of all spells by 50%.',100,1,4),
(273262,172356,'Increases Crit Chance of caster by 10.0',100,1,5),
(273263,172356,'Cannot be modified except by direct means',100,1,6),
(273264,172356,'The casting time of Secret Destroyer is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,7),
(273265,172356,'When Equipped:',100,0,8),
(273266,172356,'Reduces reuse time of hostile spells by 1 percent.',100,1,9),
(273267,10172356,'When Equipped:',100,0,0),
(273268,10172356,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(273269,10172356,'Applies Secret Destroyer when Activated.  Lasts for 30.0 seconds.',100,0,2),
(273270,10172356,'This effect can be toggled off.',100,1,3),
(273271,10172356,'Increases casting and reuse speed by 10%. Increases cost of all spells by 50%.',100,1,4),
(273272,10172356,'Increases Crit Chance of caster by 10.0',100,1,5),
(273273,10172356,'Cannot be modified except by direct means',100,1,6),
(273274,10172356,'The casting time of Secret Destroyer is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,7),
(273275,10172356,'When Equipped:',100,0,8),
(273276,10172356,'Reduces reuse time of hostile spells by 1 percent.',100,1,9),
(273277,26427,'When Equipped:',100,0,0),
(273278,26427,'Increases Attack Speed of caster by 10.  Does not stack with any other haste effect items.',100,1,1),
(273279,10026427,'When Equipped:',100,0,0),
(273280,10026427,'Increases Attack Speed of caster by 10.  Does not stack with any other haste effect items.',100,1,1),
(273281,75410,'When Equipped:',100,0,0),
(273282,75410,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273283,75410,'Slows target by 20.0%',100,2,2),
(273284,75410,'Cannot be modified except by direct means',100,2,3),
(273285,10075410,'When Equipped:',100,0,0),
(273286,10075410,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273287,10075410,'Slows target by 20.0%',100,2,2),
(273288,10075410,'Cannot be modified except by direct means',100,2,3),
(273289,124720,'Heals group members (AE) for 826 - 1010',100,1,0),
(273290,10124720,'Heals group members (AE) for 1002 - 1225',100,1,0),
(273291,123237,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(273292,123237,'Increases Mitigation of group members (AE) vs noxious damage by 269',100,1,1),
(273293,10123237,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(273294,10123237,'Increases Mitigation of group members (AE) vs noxious damage by 269',100,1,1),
(273295,100614,'Inflicts 848 - 1414 melee damage on target',100,1,0),
(273296,100614,'You must be sneaking to use this ability.',100,1,1),
(273297,10100614,'Inflicts 1216 - 2028 melee damage on target',100,1,0),
(273298,10100614,'You must be sneaking to use this ability.',100,1,1),
(273299,45843,'Applies Consume Essence when Activated.',100,0,0),
(273300,45843,'Dispels 84 levels of any hostile effects on caster',100,1,1),
(273301,45843,'Heals group members (AE) for 313 - 382',100,1,2),
(273302,10045843,'Applies Consume Essence when Activated.',100,0,0),
(273303,10045843,'Dispels 84 levels of any hostile effects on caster',100,1,1),
(273304,10045843,'Heals group members (AE) for 203 - 248',100,1,2),
(273305,72181,'When Equipped:',100,0,0),
(273306,72181,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273307,72181,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(273308,72181,'Cannot be modified except by direct means',100,2,3),
(273309,10072181,'When Equipped:',100,0,0),
(273310,10072181,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273311,10072181,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(273312,10072181,'Cannot be modified except by direct means',100,2,3),
(273313,45836,'Applies Consume Essence when Activated.',100,0,0),
(273314,45836,'Dispels 70 levels of any hostile effects on caster',100,1,1),
(273315,45836,'Heals group members (AE) for 218 - 267',100,1,2),
(273316,10045836,'Applies Consume Essence when Activated.',100,0,0),
(273317,10045836,'Dispels 70 levels of any hostile effects on caster',100,1,1),
(273318,10045836,'Heals group members (AE) for 142 - 173',100,1,2),
(273319,118264,'Increases Threat to target encounter by 765 - 936 ',100,1,0),
(273320,118264,'Decreases Mitigation of target encounter vs arcane damage by 576',100,1,1),
(273321,10118264,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(273322,10118264,'Prevents target from changing targets',100,2,1),
(273323,10118264,'Forces target to change their selected target to caster.',100,2,2),
(273324,10118264,'Decreases Mitigation of target encounter vs arcane damage by 576',100,1,3),
(273325,87301,'When Equipped:',100,0,0),
(273326,87301,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273327,87301,'Inflicts 73 - 110 magic damage on target',100,2,2),
(273328,87301,'Cannot be modified except by direct means',100,2,3),
(273329,10087301,'When Equipped:',100,0,0),
(273330,10087301,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273331,10087301,'Inflicts 88 - 132 magic damage on target',100,2,2),
(273332,10087301,'Cannot be modified except by direct means',100,2,3),
(273333,79822,'When Equipped:',100,0,0),
(273334,79822,'On a combat hit this spell may cast Ringing Blow on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273335,79822,'Inflicts 358 magic damage on target',100,2,2),
(273336,79822,'Cannot be modified except by direct means',100,2,3),
(273337,10079822,'When Equipped:',100,0,0),
(273338,10079822,'On a combat hit this spell may cast Ringing Blow on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273339,10079822,'Inflicts 429 magic damage on target',100,2,2),
(273340,10079822,'Cannot be modified except by direct means',100,2,3),
(273341,146186,'When Equipped:',100,0,0),
(273342,146186,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273343,146186,'Wards caster against 300 points of all damage',100,2,2),
(273344,146186,'Cannot be modified except by direct means',100,2,3),
(273345,146186,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(273346,10146186,'When Equipped:',100,0,0),
(273347,10146186,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273348,10146186,'Wards caster against 300 points of all damage',100,2,2),
(273349,10146186,'Cannot be modified except by direct means',100,2,3),
(273350,10146186,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(273351,82124,'When Equipped:',100,0,0),
(273352,82124,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273353,82124,'Inflicts 138 - 257 magic damage on target',100,2,2),
(273354,82124,'Decreases Threat to target by 641 ',100,2,3),
(273355,82124,'Must be flanking or behind',100,3,4),
(273356,82124,'Increases Threat to target by 1,101 ',100,2,5),
(273357,82124,'Must be in front of',100,3,6),
(273358,82124,'Cannot be modified except by direct means',100,2,7),
(273359,10082124,'When Equipped:',100,0,0),
(273360,10082124,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273361,10082124,'Inflicts 166 - 309 magic damage on target',100,2,2),
(273362,10082124,'Cannot be modified except by direct means',100,2,3),
(273363,87130,'When Equipped:',100,0,0),
(273364,87130,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273365,87130,'Inflicts 155 - 232 magic damage on target',100,2,2),
(273366,87130,'Cannot be modified except by direct means',100,2,3),
(273367,10087130,'When Equipped:',100,0,0),
(273368,10087130,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273369,10087130,'Inflicts 186 - 278 magic damage on target',100,2,2),
(273370,10087130,'Cannot be modified except by direct means',100,2,3),
(273371,48437,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(273372,48437,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(273373,48437,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(273374,48437,'Cannot be modified except by direct means',100,2,3),
(273375,48437,'Grants a total of 80 triggers of the spell.',100,2,4),
(273376,10048437,'Applies cranial displacement when Activated.  Lasts for 12 hours.',100,0,0),
(273377,10048437,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(273378,10048437,'Decreases Mitigation of target vs arcane damage by 132',100,2,2),
(273379,10048437,'Cannot be modified except by direct means',100,2,3),
(273380,10048437,'Grants a total of 80 triggers of the spell.',100,2,4),
(273381,163580,'When Equipped:',100,0,0),
(273382,163580,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(273383,10163580,'When Equipped:',100,0,0),
(273384,10163580,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(273385,36044,'Increases AGI of target by 4.3',100,0,0),
(273386,36044,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(273387,118227,'Throws target back',100,1,0),
(273388,118227,'If Target is not Epic',100,2,1),
(273389,118227,'Stuns targets in Area of Effect',100,1,2),
(273390,118227,'If Target is not Epic',100,2,3),
(273391,118227,'Inflicts 1508 - 2514 magic damage on targets in Area of Effect',100,1,4),
(273392,118227,'Resistibility increases against targets higher than level 107.',100,1,5),
(273393,10118227,'Throws target back',100,1,0),
(273394,10118227,'If Target is not Epic',100,2,1),
(273395,10118227,'Stuns targets in Area of Effect',100,1,2),
(273396,10118227,'If Target is not Epic',100,2,3),
(273397,10118227,'Inflicts 1810 - 3016 magic damage on targets in Area of Effect',100,1,4),
(273398,10118227,'Resistibility increases against targets higher than level 107.',100,1,5),
(273399,36819,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(273400,82563,'When Equipped:',100,0,0),
(273401,82563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273402,82563,'Inflicts 79 - 146 magic damage on target',100,2,2),
(273403,82563,'Cannot be modified except by direct means',100,2,3),
(273404,10082563,'When Equipped:',100,0,0),
(273405,10082563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273406,10082563,'Inflicts 94 - 175 magic damage on target',100,2,2),
(273407,10082563,'Cannot be modified except by direct means',100,2,3),
(273408,109901,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(273409,109901,'Inflicts 74 - 90 poison damage on target instantly and every 4 seconds',100,2,1),
(273410,10109901,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(273411,10109901,'Inflicts 88 - 108 poison damage on target instantly and every 4 seconds',100,2,1),
(273412,117440,'Inflicts 104 - 174 melee damage on target',100,1,0),
(273413,117440,'You must be sneaking to use this ability.',100,1,1),
(273414,117440,'Must be flanking or behind',100,1,2),
(273415,10117440,'Inflicts 77 - 129 melee damage on target',100,1,0),
(273416,10117440,'You must be sneaking to use this ability.',100,1,1),
(273417,10117440,'Must be flanking or behind',100,1,2),
(273418,35460,'Increases WIS of target by 6.2',100,0,0),
(273419,35460,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(273420,119566,'Wards group members (AE) against 2662 points of arcane damage',100,1,0),
(273421,119566,'Increases Mitigation of group members (AE) vs arcane damage by 1401',100,1,1),
(273422,10119566,'Wards group members (AE) against 2662 points of arcane damage',100,1,0),
(273423,10119566,'Increases Mitigation of group members (AE) vs arcane damage by 1401',100,1,1),
(273424,115638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 420',100,1,0),
(273425,10115638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 420',100,1,0),
(273426,118797,'Wards group members (AE) against 49 points of physical damage',100,1,0),
(273427,118797,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,1),
(273428,10118797,'Wards group members (AE) against 49 points of physical damage',100,1,0),
(273429,10118797,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,1),
(273430,74587,'When Equipped:',100,0,0),
(273431,74587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273432,74587,'Inflicts 135 - 203 magic damage on target',100,2,2),
(273433,74587,'Cannot be modified except by direct means',100,2,3),
(273434,10074587,'When Equipped:',100,0,0),
(273435,10074587,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273436,10074587,'Inflicts 162 - 244 magic damage on target',100,2,2),
(273437,10074587,'Cannot be modified except by direct means',100,2,3),
(273438,164281,'When Equipped:',100,0,0),
(273439,164281,'On a healing spell cast this spell may cast Rune Meld on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273440,164281,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(273441,164281,'Wards group members (AE) against 500 points of all damage',100,2,3),
(273442,164281,'This ward regenerates 250 points per tick.',100,2,4),
(273443,164281,'Cannot be modified except by direct means',100,2,5),
(273444,10164281,'When Equipped:',100,0,0),
(273445,10164281,'On a healing spell cast this spell may cast Rune Meld on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273446,10164281,'Increases Ability Reuse Speed of caster by 3.0%',100,2,2),
(273447,10164281,'Wards group members (AE) against 500 points of all damage',100,2,3),
(273448,10164281,'This ward regenerates 250 points per tick.',100,2,4),
(273449,10164281,'Cannot be modified except by direct means',100,2,5),
(273450,26514,'When Equipped:',100,0,0),
(273451,26514,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,1),
(273452,26514,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(273453,10026514,'When Equipped:',100,0,0),
(273454,10026514,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,1),
(273455,10026514,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(273456,117111,'Mesmerizes target encounter',100,1,0),
(273457,117111,'Prevents AOE (except when direct) ',100,1,1),
(273458,117111,'Dispelled when target takes damage',100,1,2),
(273459,117111,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(273460,117111,'Resistibility increases against targets higher than level 107.',100,1,4),
(273461,10117111,'Mesmerizes target encounter',100,1,0),
(273462,10117111,'Prevents AOE (except when direct) ',100,1,1),
(273463,10117111,'Dispelled when target takes damage',100,1,2),
(273464,10117111,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(273465,10117111,'Resistibility increases against targets higher than level 107.',100,1,4),
(273466,104912,'Inflicts 161 - 269 ranged damage on target',100,1,0),
(273467,104912,'Decreases Deflection and Parry of target by 16.8',100,1,1),
(273468,104912,'Requires bow',100,1,2),
(273469,10104912,'Inflicts 121 - 202 ranged damage on target',100,1,0),
(273470,10104912,'Decreases Deflection and Parry of target by 16.8',100,1,1),
(273471,10104912,'Requires bow',100,1,2),
(273472,46364,'Applies Flask of Tradecrafting II when Activated.  Lasts for 2 hours.',100,0,0),
(273473,46364,'Increases Combat XP Gain of caster by 50.0%',100,1,1),
(273474,46364,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,2),
(273475,46364,'Increases AA XP Gain of caster by 50.0%',100,1,3),
(273476,46364,'You can only have one experience potion active at a time.',100,1,4),
(273477,10046364,'Applies Flask of Tradecrafting II when Activated.  Lasts for 2 hours.',100,0,0),
(273478,10046364,'Increases Combat XP Gain of caster by 50.0%',100,1,1),
(273479,10046364,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,2),
(273480,10046364,'Increases AA XP Gain of caster by 50.0%',100,1,3),
(273481,10046364,'You can only have one experience potion active at a time.',100,1,4),
(273482,172467,'When Equipped:',100,0,0),
(273483,172467,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(273484,172467,'Heals caster for 284 - 347',100,2,2),
(273485,172467,'Increases power of caster by 146',100,2,3),
(273486,172467,'Must not be engaged in pvp combat',100,2,4),
(273487,172467,'Cannot be modified except by direct means',100,2,5),
(273488,172467,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(273489,172467,'Heals caster for 284 - 347',100,2,7),
(273490,172467,'Increases power of caster by 146',100,2,8),
(273491,172467,'Must not be engaged in pvp combat',100,2,9),
(273492,172467,'Cannot be modified except by direct means',100,2,10),
(273493,10172467,'When Equipped:',100,0,0),
(273494,10172467,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(273495,10172467,'Heals caster for 184 - 225',100,2,2),
(273496,10172467,'Increases power of caster by 146',100,2,3),
(273497,10172467,'Must not be engaged in pvp combat',100,2,4),
(273498,10172467,'Cannot be modified except by direct means',100,2,5),
(273499,10172467,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(273500,10172467,'Heals caster for 184 - 225',100,2,7),
(273501,10172467,'Increases power of caster by 146',100,2,8),
(273502,10172467,'Must not be engaged in pvp combat',100,2,9),
(273503,10172467,'Cannot be modified except by direct means',100,2,10),
(273504,48762,'Applies Elixir of the Champion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(273505,48762,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(273506,48762,'Inflicts 2 magic damage on target',100,2,2),
(273507,48762,'Cannot be modified except by direct means',100,2,3),
(273508,10048762,'Applies Elixir of the Champion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(273509,10048762,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(273510,10048762,'Inflicts 3 magic damage on target',100,2,2),
(273511,10048762,'Cannot be modified except by direct means',100,2,3),
(273512,111439,'Decreases Attack Speed of caster by 12.7',100,1,0),
(273513,111439,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(273514,111439,'Roots target',100,2,2),
(273515,111439,'5% chance to dispel when target takes damage',100,2,3),
(273516,111439,'5% chance to dispel when target receives hostile action',100,2,4),
(273517,111439,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(273518,111439,'Increases Mitigation of caster vs physical damage by 432',100,1,6),
(273519,10111439,'Decreases Attack Speed of caster by 12.7',100,1,0),
(273520,10111439,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(273521,10111439,'Roots target',100,2,2),
(273522,10111439,'5% chance to dispel when target takes damage',100,2,3),
(273523,10111439,'5% chance to dispel when target receives hostile action',100,2,4),
(273524,10111439,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(273525,10111439,'Increases Mitigation of caster vs physical damage by 432',100,1,6),
(273526,41526,'When Equipped:',100,0,0),
(273527,41526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273528,41526,'Inflicts 205 - 381 magic damage on target',100,2,2),
(273529,41526,'Cannot be modified except by direct means',100,2,3),
(273530,10041526,'When Equipped:',100,0,0),
(273531,10041526,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273532,10041526,'Inflicts 246 - 457 magic damage on target',100,2,2),
(273533,10041526,'Cannot be modified except by direct means',100,2,3),
(273534,72841,'When Equipped:',100,0,0),
(273535,72841,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273536,72841,'Slows target by 20.0%',100,2,2),
(273537,72841,'Cannot be modified except by direct means',100,2,3),
(273538,10072841,'When Equipped:',100,0,0),
(273539,10072841,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273540,10072841,'Slows target by 20.0%',100,2,2),
(273541,10072841,'Cannot be modified except by direct means',100,2,3),
(273542,124685,'Inflicts 172 - 210 cold damage on target instantly and every 4 seconds',100,1,0),
(273543,124685,'Slows target by 75.0%',100,1,1),
(273544,10124685,'Inflicts 206 - 252 cold damage on target',100,1,0),
(273545,10124685,'Inflicts 179 - 219 cold damage on target every 4 seconds',100,1,1),
(273546,10124685,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(273547,10124685,'Slows target by 75.0%',100,2,3),
(273548,46651,'Applies Call Mountain Saliraptor when Activated.',100,0,0),
(273549,46651,'Summons a mount to ride',100,1,1),
(273550,46651,'Increases your ground speed by 60%',100,2,2),
(273551,46651,'Increases your air speed by 200%',100,2,3),
(273552,10046651,'Applies Call Mountain Saliraptor when Activated.',100,0,0),
(273553,10046651,'Summons a mount to ride',100,1,1),
(273554,10046651,'Increases your ground speed by 60%',100,2,2),
(273555,10046651,'Increases your air speed by 200%',100,2,3),
(273556,104258,'Increases Mitigation of group members (AE) vs physical damage by 714',100,1,0),
(273557,10104258,'Increases Mitigation of group members (AE) vs physical damage by 714',100,1,0),
(273558,117200,'Inflicts 40 - 67 melee damage on target',100,1,0),
(273559,117200,'Inflicts 40 - 67 melee damage on target',100,1,1),
(273560,10117200,'Inflicts 48 - 81 melee damage on target',100,1,0),
(273561,10117200,'Inflicts 48 - 81 melee damage on target',100,1,1),
(273562,114877,'Decreases AGI of target by 96.8',100,1,0),
(273563,114877,'Decreases Defense of target by 36.8',100,1,1),
(273564,10114877,'Decreases AGI of target by 96.8',100,1,0),
(273565,10114877,'Decreases Defense of target by 36.8',100,1,1),
(273566,109402,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(273567,109402,'Inflicts 130 - 159 cold damage on target',100,2,1),
(273568,109402,'Slows target by 55.7%',100,2,2),
(273569,109402,'5% chance to dispel when target receives hostile action',100,2,3),
(273570,109402,'5% chance to dispel when target takes damage',100,2,4),
(273571,10109402,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(273572,10109402,'Inflicts 156 - 191 cold damage on target',100,2,1),
(273573,10109402,'Slows target by 55.7%',100,2,2),
(273574,10109402,'5% chance to dispel when target receives hostile action',100,2,3),
(273575,10109402,'5% chance to dispel when target takes damage',100,2,4),
(273576,105435,'Increases STR of caster by 249.5',100,1,0),
(273577,105435,'Decreases Defense of caster by 26.2',100,1,1),
(273578,105435,'Increases Slashing, Piercing, Crushing and Disruption of caster by 47.7',100,1,2),
(273579,10105435,'Increases STR of caster by 249.5',100,1,0),
(273580,10105435,'Decreases Defense of caster by 26.2',100,1,1),
(273581,10105435,'Increases Slashing, Piercing, Crushing and Disruption of caster by 47.7',100,1,2),
(273582,122377,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(273583,122377,'Inflicts 1 piercing damage on target encounter',100,2,1),
(273584,10122377,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(273585,10122377,'Inflicts 1 piercing damage on target encounter',100,2,1),
(273586,154345,'When Equipped:',100,0,0),
(273587,154345,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(273588,10154345,'When Equipped:',100,0,0),
(273589,10154345,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(273590,124268,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(273591,124268,'Increases Attack Speed of target by 21.9',100,2,1),
(273592,124268,'Increases Damage Per Second of target by 21.9',100,2,2),
(273593,124268,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(273594,124268,'Increases Attack Speed of target by 21.9',100,2,4),
(273595,124268,'Increases Damage Per Second of target by 21.9',100,2,5),
(273596,124268,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(273597,124268,'Increases Attack Speed of target by 21.9',100,2,7),
(273598,124268,'Increases Damage Per Second of target by 21.9',100,2,8),
(273599,10124268,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(273600,10124268,'Increases Attack Speed of target by 21.9',100,2,1),
(273601,10124268,'Increases Damage Per Second of target by 21.9',100,2,2),
(273602,10124268,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(273603,10124268,'Increases Attack Speed of target by 21.9',100,2,4),
(273604,10124268,'Increases Damage Per Second of target by 21.9',100,2,5),
(273605,10124268,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(273606,10124268,'Increases Attack Speed of target by 21.9',100,2,7),
(273607,10124268,'Increases Damage Per Second of target by 21.9',100,2,8),
(273608,103419,'Decreases Threat to targets in Area of Effect by 2,886 ',100,1,0),
(273609,103419,'Slows targets in Area of Effect by 42.0%',100,1,1),
(273610,103419,'Stifles targets in Area of Effect',100,1,2),
(273611,103419,'If Target is not Epic',100,2,3),
(273612,103419,'10% chance to dispel when target receives hostile action',100,1,4),
(273613,103419,'10% chance to dispel when target takes damage',100,1,5),
(273614,10103419,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(273615,10103419,'Slows targets in Area of Effect by 42.0%',100,1,1),
(273616,10103419,'Stifles targets in Area of Effect',100,1,2),
(273617,10103419,'If Target is not Epic',100,2,3),
(273618,35815,'Increases STA of target by 2.4',100,0,0),
(273619,35815,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(273620,35025,'Increases STA and INT of target by 13.2',100,0,0),
(273621,35025,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(273622,24257,'Adds Decrease Level I (Multiple) to your Dungeon Maker toolbox',100,0,0),
(273623,10024257,'Adds Decrease Level I (Multiple) to your Dungeon Maker toolbox',100,0,0),
(273624,71543,'When Equipped:',100,0,0),
(273625,71543,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273626,71543,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(273627,71543,'Cannot be modified except by direct means',100,2,3),
(273628,10071543,'When Equipped:',100,0,0),
(273629,10071543,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273630,10071543,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(273631,10071543,'Cannot be modified except by direct means',100,2,3),
(273632,109702,'Inflicts 276 - 337 cold damage on target instantly and every 3 seconds',100,1,0),
(273633,10109702,'Inflicts 331 - 405 cold damage on target instantly and every 3 seconds',100,1,0),
(273634,51501,'Applies Aura of the Elani when Activated.',100,0,0),
(273635,51501,'Increases Mitigation of targets in Area of Effect vs elemental and noxious damage by 13200',100,1,1),
(273636,51501,'Heals targets in Area of Effect for 1200',100,1,2),
(273637,51501,'Increases Mitigation of targets in Area of Effect vs arcane damage by 13200',100,1,3),
(273638,51501,'Dispels 1056 levels of noxious hostile effects on targets in Area of Effect',100,1,4),
(273639,51501,'The casting time of Aura of the Elani is 1 minute and the reuse time of the spell is 10 minutes',100,1,5),
(273640,10051501,'Applies Aura of the Elani when Activated.',100,0,0),
(273641,10051501,'Increases Mitigation of targets in Area of Effect vs elemental and noxious damage by 13200',100,1,1),
(273642,10051501,'Heals targets in Area of Effect for 1404',100,1,2),
(273643,10051501,'Increases Mitigation of targets in Area of Effect vs arcane damage by 13200',100,1,3),
(273644,10051501,'Dispels 1056 levels of noxious hostile effects on targets in Area of Effect',100,1,4),
(273645,10051501,'The casting time of Aura of the Elani is 1 minute and the reuse time of the spell is 10 minutes',100,1,5),
(273646,87110,'When Equipped:',100,0,0),
(273647,87110,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273648,87110,'Inflicts 155 - 232 magic damage on target',100,2,2),
(273649,87110,'Cannot be modified except by direct means',100,2,3),
(273650,10087110,'When Equipped:',100,0,0),
(273651,10087110,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273652,10087110,'Inflicts 186 - 278 magic damage on target',100,2,2),
(273653,10087110,'Cannot be modified except by direct means',100,2,3),
(273654,100353,'Increases Max Health of target by 617.4',100,1,0),
(273655,100353,'Increases Crushing, Piercing, Slashing and Ranged of target by 9.2',100,1,1),
(273656,10100353,'Increases Max Health of target by 617.4',100,1,0),
(273657,10100353,'Increases Crushing, Piercing, Slashing and Ranged of target by 9.2',100,1,1),
(273658,123154,'Reduces physical damage done to caster by 5%',100,1,0),
(273659,123154,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(273660,123154,'Increases Aggression of caster by 4.3',100,1,2),
(273661,123154,'Increases Defense and Parry of caster by 8.6',100,1,3),
(273662,123154,'Increases Mitigation of caster vs elemental damage by 570',100,1,4),
(273663,123154,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(273664,10123154,'Reduces physical damage done to caster by 5%',100,1,0),
(273665,10123154,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(273666,10123154,'Increases Aggression of caster by 4.3',100,1,2),
(273667,10123154,'Increases Defense and Parry of caster by 8.6',100,1,3),
(273668,10123154,'Increases Mitigation of caster vs elemental damage by 570',100,1,4),
(273669,10123154,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(273670,105834,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(273671,105834,'Inflicts 142 - 237 disease damage on target',100,2,1),
(273672,10105834,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(273673,10105834,'Inflicts 171 - 285 disease damage on target',100,2,1),
(273674,105704,'Decreases Attack Speed of target encounter by 16.3',100,1,0),
(273675,105704,'Slows target encounter by 21.1%',100,1,1),
(273676,10105704,'Decreases Attack Speed of target encounter by 16.3',100,1,0),
(273677,10105704,'Slows target encounter by 21.1%',100,1,1),
(273678,124118,'Increases power of caster by 183',100,1,0),
(273679,10124118,'Increases power of caster by 183',100,1,0),
(273680,80690,'When Equipped:',100,0,0),
(273681,80690,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273682,80690,'Inflicts 56 - 103 magic damage on target',100,2,2),
(273683,80690,'Decreases Threat to target by 236 ',100,2,3),
(273684,80690,'Must be flanking or behind',100,3,4),
(273685,80690,'Increases Threat to target by 414 ',100,2,5),
(273686,80690,'Must be in front of',100,3,6),
(273687,80690,'Cannot be modified except by direct means',100,2,7),
(273688,10080690,'When Equipped:',100,0,0),
(273689,10080690,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273690,10080690,'Inflicts 67 - 124 magic damage on target',100,2,2),
(273691,10080690,'Cannot be modified except by direct means',100,2,3),
(273692,113046,'Decreases Damage Per Second of target by 24.2',100,1,0),
(273693,10113046,'Decreases Damage Per Second of target by 24.2',100,1,0),
(273694,35150,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(273695,35150,'Increases Max Health of target by 14.0',100,0,1),
(273696,81156,'When Equipped:',100,0,0),
(273697,81156,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273698,81156,'Inflicts 148 - 275 magic damage on target',100,2,2),
(273699,81156,'Decreases Threat to target by 517 ',100,2,3),
(273700,81156,'Must be flanking or behind',100,3,4),
(273701,81156,'Increases Threat to target by 905 ',100,2,5),
(273702,81156,'Must be in front of',100,3,6),
(273703,81156,'Cannot be modified except by direct means',100,2,7),
(273704,10081156,'When Equipped:',100,0,0),
(273705,10081156,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(273706,10081156,'Inflicts 178 - 330 magic damage on target',100,2,2),
(273707,10081156,'Cannot be modified except by direct means',100,2,3),
(273708,103969,'Interrupts targets in Area of Effect',100,1,0),
(273709,103969,'Inflicts 27 - 50 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(273710,10103969,'Interrupts targets in Area of Effect',100,1,0),
(273711,10103969,'Inflicts 32 - 60 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(273712,71430,'When Equipped:',100,0,0),
(273713,71430,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273714,71430,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(273715,71430,'Cannot be modified except by direct means',100,2,3),
(273716,10071430,'When Equipped:',100,0,0),
(273717,10071430,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273718,10071430,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(273719,10071430,'Cannot be modified except by direct means',100,2,3),
(273720,123691,'Increases Damage Per Second of target by 53.9',100,1,0),
(273721,10123691,'Increases Damage Per Second of target by 53.9',100,1,0),
(273722,48545,'Applies Timeless Crusader when Activated.',100,0,0),
(273723,48545,'Shapechanges the user, and provides a shield which damages any melee attacker.',100,1,1),
(273724,10048545,'Applies Timeless Crusader when Activated.',100,0,0),
(273725,10048545,'Shapechanges the user, and provides a shield which damages any melee attacker.',100,1,1),
(273726,137744,'When Equipped:',100,0,0),
(273727,137744,'On a damage spell hit this spell may cast Arcane Fear VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(273728,137744,'Makes target afraid',100,2,2),
(273729,137744,'Does not affect Epic targets',100,2,3),
(273730,137744,'Resistibility increases against targets higher than level 99.',100,2,4),
(273731,137744,'Cannot be modified except by direct means',100,2,5),
(273732,10137744,'When Equipped:',100,0,0),
(273733,10137744,'On a damage spell hit this spell may cast Arcane Fear VI on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(273734,10137744,'Makes target afraid',100,2,2),
(273735,10137744,'Does not affect Epic targets',100,2,3),
(273736,10137744,'Resistibility increases against targets higher than level 99.',100,2,4),
(273737,10137744,'Cannot be modified except by direct means',100,2,5),
(273738,173455,'When Equipped:',100,0,0),
(273739,173455,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273740,173455,'Wards caster against 1300 points of all damage',100,2,2),
(273741,173455,'This effect stacks with the Runic Deflection line.',100,2,3),
(273742,173455,'Cannot be modified except by direct means',100,2,4),
(273743,10173455,'When Equipped:',100,0,0),
(273744,10173455,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(273745,10173455,'Wards caster against 1300 points of all damage',100,2,2),
(273746,10173455,'This effect stacks with the Runic Deflection line.',100,2,3),
(273747,10173455,'Cannot be modified except by direct means',100,2,4),
(273748,52718,'Applies Sanguine Imbued when Equipped.',100,0,0),
(273749,52718,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(273750,52718,'Inflicts 34 heat damage on target',100,2,2),
(273751,52718,'Cannot be modified except by direct means',100,2,3),
(273752,10052718,'Applies Sanguine Imbued when Equipped.',100,0,0),
(273753,10052718,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(273754,10052718,'Inflicts 41 heat damage on target',100,2,2),
(273755,10052718,'Cannot be modified except by direct means',100,2,3),
(273756,100799,'Wards target against 802 points of all damage',100,1,0),
(273757,10100799,'Wards target against 1235 points of all damage',100,1,0),
(273758,113781,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(273759,113781,'Heals target for 163 - 199',100,2,1),
(273760,10113781,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(273761,10113781,'Heals target for 106 - 129',100,2,1),
(273762,26306,'When Equipped:',100,0,0),
(273763,26306,'Increases Attack Speed of caster by 1.0',100,1,1),
(273764,10026306,'When Equipped:',100,0,0),
(273765,10026306,'Increases Attack Speed of caster by 1.0',100,1,1),
(273766,109797,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(273767,109797,'Heals group members (AE) for 627',100,2,1),
(273768,10109797,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(273769,10109797,'Heals group members (AE) for 408',100,2,1),
(273770,134478,'When Equipped:',100,0,0),
(273771,134478,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273772,134478,'Reduces the power cost of spells by 15%.',100,2,2),
(273773,134478,'Cannot be modified except by direct means',100,2,3),
(273774,10134478,'When Equipped:',100,0,0),
(273775,10134478,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(273776,10134478,'Reduces the power cost of spells by 15%.',100,2,2),
(273777,10134478,'Cannot be modified except by direct means',100,2,3),
(273778,43193,'When Equipped:',100,0,0),
(273779,43193,'Wards caster against 2420 points of all damage',100,1,1),
(273780,43193,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(273781,43193,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(273782,43193,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(273783,43193,'While active Renewing Bulwark is disabled.',100,2,5),
(273784,43193,'Cannot be modified except by direct means',100,2,6),
(273785,43193,'Must not be engaged in pvp combat',100,1,7),
(273786,43193,'Cannot be modified except by direct means',100,1,8),
(273787,10043193,'When Equipped:',100,0,0),
(273788,10043193,'Wards caster against 2420 points of all damage',100,1,1),
(273789,10043193,'Regenerates 242 points of shielding every 2 seconds',100,1,2),
(273790,10043193,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,3),
(273791,10043193,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(273792,10043193,'While active Renewing Bulwark is disabled.',100,2,5),
(273793,10043193,'Cannot be modified except by direct means',100,2,6),
(273794,10043193,'Must not be engaged in pvp combat',100,1,7),
(273795,10043193,'Cannot be modified except by direct means',100,1,8),
(273796,104223,'Decreases WIS of target encounter by 47.0',100,1,0),
(273797,104223,'Inflicts 76 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(273798,10104223,'Decreases WIS of target encounter by 47.0',100,1,0),
(273799,10104223,'Inflicts 91 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(273800,114462,'Inflicts 366 - 610 heat damage on target',100,1,0),
(273801,10114462,'Inflicts 439 - 732 heat damage on target',100,1,0),
(273802,113517,'Inflicts 343 - 572 melee damage on targets in area',100,1,0),
(273803,10113517,'Inflicts 412 - 687 melee damage on targets in area',100,1,0),
(273804,106754,'Mesmerizes target',100,1,0),
(273805,106754,'Prevents AOE (except when direct) ',100,1,1),
(273806,106754,'Dispelled when target takes damage',100,1,2),
(273807,106754,'Does not affect Epic targets',100,1,3),
(273808,106754,'Resistibility increases against targets higher than level 55.',100,1,4),
(273809,10106754,'Mesmerizes target',100,1,0),
(273810,10106754,'Prevents AOE (except when direct) ',100,1,1),
(273811,10106754,'Dispelled when target takes damage',100,1,2),
(273812,10106754,'Does not affect Epic targets',100,1,3),
(273813,10106754,'Resistibility increases against targets higher than level 55.',100,1,4),
(273814,80446,'When Equipped:',100,0,0),
(273815,80446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273816,80446,'Inflicts 48 - 90 magic damage on target',100,2,2),
(273817,80446,'Cannot be modified except by direct means',100,2,3),
(273818,10080446,'When Equipped:',100,0,0),
(273819,10080446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273820,10080446,'Inflicts 58 - 107 magic damage on target',100,2,2),
(273821,10080446,'Cannot be modified except by direct means',100,2,3),
(273822,46831,'Applies Magnetized Generator when Activated.  Lasts for 45.0 seconds.',100,0,0),
(273823,46831,'Summons a limited pet to aid the caster',100,1,1),
(273824,10046831,'Applies Magnetized Generator when Activated.  Lasts for 45.0 seconds.',100,0,0),
(273825,10046831,'Summons a limited pet to aid the caster',100,1,1),
(273826,115221,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(273827,115221,'Decreases Mitigation of target vs noxious damage by 840',100,2,1),
(273828,115221,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(273829,115221,'Decreases Mitigation of target vs noxious damage by 840',100,2,3),
(273830,10115221,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(273831,10115221,'Decreases Mitigation of target vs noxious damage by 840',100,2,1),
(273832,10115221,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(273833,10115221,'Decreases Mitigation of target vs noxious damage by 840',100,2,3),
(273834,123489,'Decreases Mitigation of target encounter vs noxious damage by 163',100,1,0),
(273835,10123489,'Decreases Mitigation of target encounter vs noxious damage by 163',100,1,0),
(273836,121939,'Applies Tap on termination.',100,1,0),
(273837,121939,'Inflicts 1707 disease damage on target',100,2,1),
(273838,121939,'Heals caster for 7.1% of max health',100,2,2),
(273839,121939,'This effect cannot be critically applied.',100,3,3),
(273840,121939,'The healing of this spell cannot be modified except by direct means',100,2,4),
(273841,10121939,'Applies Tap on termination.',100,1,0),
(273842,10121939,'Inflicts 2048 disease damage on target',100,2,1),
(273843,10121939,'Heals caster for 2.5% of max health',100,2,2),
(273844,10121939,'This effect cannot be critically applied.',100,3,3),
(273845,10121939,'The healing of this spell cannot be modified except by direct means',100,2,4),
(273846,158258,'When Equipped:',100,0,0),
(273847,158258,'On a damage spell hit this spell has a 25% chance to cast Debilitating Strike on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(273848,158258,'Decreases Damage Per Second of target by 6.0',100,2,2),
(273849,158258,'Cannot be modified except by direct means',100,2,3),
(273850,10158258,'When Equipped:',100,0,0),
(273851,10158258,'On a damage spell hit this spell has a 25% chance to cast Debilitating Strike on target of spell.  Lasts for 12.0 seconds.  ',100,1,1),
(273852,10158258,'Decreases Damage Per Second of target by 6.0',100,2,2),
(273853,10158258,'Cannot be modified except by direct means',100,2,3),
(273854,182266,'When Equipped:',100,0,0),
(273855,182266,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(273856,182266,'Heals group members (AE) for 2304',100,2,2),
(273857,182266,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(273858,182266,'Must not be engaged in pvp combat',100,2,4),
(273859,182266,'Cannot be modified except by direct means',100,2,5),
(273860,182266,'Must not be engaged in pvp combat',100,1,6),
(273861,10182266,'When Equipped:',100,0,0),
(273862,10182266,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(273863,10182266,'Heals group members (AE) for 2695',100,2,2),
(273864,10182266,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(273865,10182266,'Must not be engaged in pvp combat',100,2,4),
(273866,10182266,'Cannot be modified except by direct means',100,2,5),
(273867,10182266,'Must not be engaged in pvp combat',100,1,6),
(273868,111607,'Inflicts 49 - 92 cold damage on target instantly and every 4 seconds',100,1,0),
(273869,111607,'Decreases Mitigation of target vs elemental damage by 880',100,1,1),
(273870,10111607,'Inflicts 59 - 110 cold damage on target instantly and every 4 seconds',100,1,0),
(273871,10111607,'Decreases Mitigation of target vs elemental damage by 880',100,1,1),
(273872,139435,'Applies Flowers of the Field when Activated.',100,0,0),
(273873,139435,'Poppies grow around your feet.',100,1,1),
(273874,139435,'The casting time of Flowers of the Field is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(273875,139435,'When Equipped:',100,0,3),
(273876,139435,'Reduces maximum falling speed of caster',100,1,4),
(273877,10139435,'Applies Flowers of the Field when Activated.',100,0,0),
(273878,10139435,'Poppies grow around your feet.',100,1,1),
(273879,10139435,'The casting time of Flowers of the Field is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(273880,10139435,'When Equipped:',100,0,3),
(273881,10139435,'Reduces maximum falling speed of caster',100,1,4),
(273882,117235,'Inflicts 58 slashing damage on target every 4 seconds',100,1,0),
(273883,117235,'Inflicts 292 - 486 melee damage on target',100,1,1),
(273884,10117235,'Inflicts 70 slashing damage on target every 4 seconds',100,1,0),
(273885,10117235,'Inflicts 350 - 584 melee damage on target',100,1,1),
(273886,74639,'When Equipped:',100,0,0),
(273887,74639,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273888,74639,'Inflicts 64 - 96 magic damage on target',100,2,2),
(273889,74639,'Cannot be modified except by direct means',100,2,3),
(273890,10074639,'When Equipped:',100,0,0),
(273891,10074639,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(273892,10074639,'Inflicts 77 - 115 magic damage on target',100,2,2),
(273893,10074639,'Cannot be modified except by direct means',100,2,3),
(273894,108252,'Inflicts 326 - 978 piercing damage on target',100,1,0),
(273895,108252,'Decreases Slashing, Crushing, Piercing and Ranged of target by 47.9',100,1,1),
(273896,10108252,'Inflicts 391 - 1174 piercing damage on target',100,1,0),
(273897,10108252,'Decreases Slashing, Crushing, Piercing and Ranged of target by 47.9',100,1,1),
(273898,101514,'Increases WIS of target by 55.2',100,1,0),
(273899,101514,'Increases Max Health of target by 415.2',100,1,1),
(273900,101514,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,2),
(273901,10101514,'Increases WIS of target by 55.2',100,1,0),
(273902,10101514,'Increases Max Health of target by 415.2',100,1,1),
(273903,10101514,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',100,1,2),
(273904,110051,'Summons a pet grim sorcerer',100,1,0),
(273905,10110051,'Summons a pet grim sorcerer',100,1,0),
(273906,123519,'Decreases Mitigation of target encounter vs noxious damage by 1427',100,1,0),
(273907,10123519,'Decreases Mitigation of target encounter vs noxious damage by 1427',100,1,0),
(273908,111155,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(273909,111155,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1463',100,1,1),
(273910,111155,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,2),
(273911,10111155,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(273912,10111155,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1463',100,1,1),
(273913,10111155,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,2),
(273914,118181,'Resurrects target with 16% health and power',100,1,0),
(273915,118181,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(273916,118181,'Decreases Attack Speed of target by 20.0',100,2,2),
(273917,118181,'If not between levels 1 - 6',100,3,3),
(273918,118181,'Decreases All Attributes of target by 20.0%',100,2,4),
(273919,118181,'If not between levels 1 - 6',100,3,5),
(273920,118181,'Decreases All Attributes of target by 5.0%',100,2,6),
(273921,118181,'If between levels 1 - 6',100,3,7),
(273922,118181,'Decreases Attack Speed of target by 5.0',100,2,8),
(273923,118181,'If between levels 1 - 6',100,3,9),
(273924,118181,'If outside an arena',100,1,10),
(273925,10118181,'Resurrects target with 16% health and power',100,1,0),
(273926,10118181,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(273927,10118181,'Decreases Attack Speed of target by 20.0',100,2,2),
(273928,10118181,'If not between levels 1 - 6',100,3,3),
(273929,10118181,'Decreases All Attributes of target by 20.0%',100,2,4),
(273930,10118181,'If not between levels 1 - 6',100,3,5),
(273931,10118181,'Decreases All Attributes of target by 5.0%',100,2,6),
(273932,10118181,'If between levels 1 - 6',100,3,7),
(273933,10118181,'Decreases Attack Speed of target by 5.0',100,2,8),
(273934,10118181,'If between levels 1 - 6',100,3,9),
(273935,10118181,'If outside an arena',100,1,10),
(273936,102458,'Stuns target encounter',100,1,0),
(273937,102458,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(273938,102458,'Resistibility increases against targets higher than level 100.',100,1,2),
(273939,10102458,'Stuns target encounter',100,1,0),
(273940,10102458,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(273941,10102458,'Resistibility increases against targets higher than level 100.',100,1,2),
(273942,79366,'When Equipped:',100,0,0),
(273943,79366,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(273944,10079366,'When Equipped:',100,0,0),
(273945,10079366,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(273946,111943,'Inflicts 17 - 20 disease damage on target',100,1,0),
(273947,111943,'Decreases Mitigation of target vs noxious damage by 36',100,1,1),
(273948,10111943,'Inflicts 26 - 31 disease damage on target',100,1,0),
(273949,10111943,'Decreases Mitigation of target vs noxious damage by 36',100,1,1),
(273950,47353,'Applies Nature''s Wrath when Activated.',100,0,0),
(273951,47353,'Shapechanges the user into a spider, and provides a shield which damages any melee attacker.',100,1,1),
(273952,10047353,'Applies Nature''s Wrath when Activated.',100,0,0),
(273953,10047353,'Shapechanges the user into a spider, and provides a shield which damages any melee attacker.',100,1,1),
(273954,88444,'When Equipped:',100,0,0),
(273955,88444,'On a combat hit this spell will cast Orcbane on target of attack.  ',100,1,1),
(273956,88444,'Inflicts 8 - 14 magic damage on target',100,2,2),
(273957,88444,'If target is orc',100,2,3),
(273958,88444,'Cannot be modified except by direct means',100,2,4),
(273959,10088444,'When Equipped:',100,0,0),
(273960,10088444,'On a combat hit this spell will cast Orcbane on target of attack.  ',100,1,1),
(273961,10088444,'Inflicts 9 - 17 magic damage on target',100,2,2),
(273962,10088444,'If target is orc',100,2,3),
(273963,10088444,'Cannot be modified except by direct means',100,2,4),
(273964,116966,'Increases Threat to target by 1,164 - 1,320 ',100,1,0),
(273965,116966,'Interrupts target',100,1,1),
(273966,10116966,'Forces target to change their selected target to caster.',100,1,0),
(273967,10116966,'Interrupts target',100,1,1),
(273968,10116966,'Prevents target from changing targets',100,1,2),
(273969,26099,'When Equipped:',100,0,0),
(273970,26099,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(273971,26099,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,2),
(273972,10026099,'When Equipped:',100,0,0),
(273973,10026099,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(273974,10026099,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,2),
(273975,104023,'Stifles target',100,1,0),
(273976,104023,'If Target is not Epic',100,2,1),
(273977,104023,'Interrupts target',100,1,2),
(273978,104023,'Decreases Threat to target by 712 - 871 ',100,1,3),
(273979,104023,'Resistibility increases against targets higher than level 81.',100,1,4),
(273980,10104023,'Stifles target',100,1,0),
(273981,10104023,'If Target is not Epic',100,2,1),
(273982,10104023,'Interrupts target',100,1,2),
(273983,10104023,'Resistibility increases against targets higher than level 81.',100,1,3),
(273984,24171,'Adds Crushbone: Crate to your Dungeon Maker toolbox',100,0,0),
(273985,10024171,'Adds Crushbone: Crate to your Dungeon Maker toolbox',100,0,0),
(273986,120503,'Inflicts 221 - 369 melee damage on target',100,1,0),
(273987,120503,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(273988,120503,'Grants stealth to caster',100,2,2),
(273989,120503,'Suspends caster''s movement speed enhancements',100,2,3),
(273990,120503,'Must be flanking or behind',100,1,4),
(273991,10120503,'Inflicts 265 - 442 melee damage on target',100,1,0),
(273992,10120503,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(273993,10120503,'Grants stealth to caster',100,2,2),
(273994,10120503,'Suspends caster''s movement speed enhancements',100,2,3),
(273995,10120503,'Must be flanking or behind',100,1,4),
(273996,101332,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(273997,101332,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,1),
(273998,101332,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,2),
(273999,10101332,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(274000,10101332,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,1),
(274001,10101332,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,2),
(274002,124434,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(274003,124434,'Inflicts 38 - 64 melee damage on target',100,2,1),
(274004,124434,'Decreases Defense of caster by 5.1',100,1,2),
(274005,124434,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.3',100,1,3),
(274006,10124434,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(274007,10124434,'Inflicts 46 - 77 melee damage on target',100,2,1),
(274008,10124434,'Decreases Defense of caster by 5.1',100,1,2),
(274009,10124434,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.3',100,1,3),
(274010,154363,'Applies Fungoid Fascination when Equipped.',100,0,0),
(274011,154363,'Shrinks caster by 30.0%',100,1,1),
(274012,10154363,'Applies Fungoid Fascination when Equipped.',100,0,0),
(274013,10154363,'Shrinks caster by 30.0%',100,1,1),
(274014,168956,'When Equipped:',100,0,0),
(274015,168956,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(274016,10168956,'When Equipped:',100,0,0),
(274017,10168956,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(274018,115867,'Inflicts 458 - 763 mental damage on target encounter',100,1,0),
(274019,115867,'Interrupts target encounter',100,1,1),
(274020,10115867,'Inflicts 549 - 915 mental damage on target encounter',100,1,0),
(274021,10115867,'Interrupts target encounter',100,1,1),
(274022,141831,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(274023,141831,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(274024,141831,'Inflicts 9 heat damage on target',100,2,2),
(274025,141831,'Cannot be modified except by direct means',100,2,3),
(274026,10141831,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(274027,10141831,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(274028,10141831,'Inflicts 11 heat damage on target',100,2,2),
(274029,10141831,'Cannot be modified except by direct means',100,2,3),
(274030,86117,'When Equipped:',100,0,0),
(274031,86117,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274032,86117,'Inflicts 27 - 33 heat damage on target encounter',100,2,2),
(274033,86117,'Cannot be modified except by direct means',100,2,3),
(274034,10086117,'When Equipped:',100,0,0),
(274035,10086117,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274036,10086117,'Inflicts 33 - 40 heat damage on target encounter',100,2,2),
(274037,10086117,'Cannot be modified except by direct means',100,2,3),
(274038,109883,'Increases Defense of group members (AE) by 42.4',100,1,0),
(274039,10109883,'Increases Defense of group members (AE) by 42.4',100,1,0),
(274040,110730,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(274041,110730,'Heals group members (AE) for 1098',100,2,1),
(274042,10110730,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(274043,10110730,'Heals group members (AE) for 713',100,2,1),
(274044,101465,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(274045,101465,'Increases Mitigation of group members (AE) vs arcane damage by 168',100,1,1),
(274046,10101465,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(274047,10101465,'Increases Mitigation of group members (AE) vs arcane damage by 168',100,1,1),
(274048,113786,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(274049,113786,'Heals target for 300 - 367',100,2,1),
(274050,10113786,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(274051,10113786,'Heals target for 195 - 238',100,2,1),
(274052,134716,'When Equipped:',100,0,0),
(274053,134716,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(274054,134716,'Reduces healing received by 15.00%',100,2,2),
(274055,134716,'Cannot be modified except by direct means',100,2,3),
(274056,134716,'This effect can only trigger once every 1 second.',100,2,4),
(274057,134716,'Must be engaged in pvp combat',100,1,5),
(274058,10134716,'When Equipped:',100,0,0),
(274059,10134716,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(274060,10134716,'Reduces healing received by 15.00%',100,2,2),
(274061,10134716,'Cannot be modified except by direct means',100,2,3),
(274062,10134716,'This effect can only trigger once every 1 second.',100,2,4),
(274063,10134716,'Must be engaged in pvp combat',100,1,5),
(274064,187331,'When Equipped:',100,0,0),
(274065,187331,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(274066,187331,'Inflicts 2648 cold damage on target encounter',100,2,2),
(274067,187331,'Must not be engaged in pvp combat',100,2,3),
(274068,187331,'Cannot be modified except by direct means',100,2,4),
(274069,187331,'Must not be engaged in pvp combat',100,1,5),
(274070,10187331,'When Equipped:',100,0,0),
(274071,10187331,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(274072,10187331,'Inflicts 1589 cold damage on target encounter',100,2,2),
(274073,10187331,'Must not be engaged in pvp combat',100,2,3),
(274074,10187331,'Cannot be modified except by direct means',100,2,4),
(274075,10187331,'Must not be engaged in pvp combat',100,1,5),
(274076,113298,'Inflicts 111 - 185 heat damage on target',100,1,0),
(274077,10113298,'Inflicts 202 - 336 heat damage on target',100,1,0),
(274078,144626,'When Equipped:',100,0,0),
(274079,144626,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274080,144626,'This effect can be stacked by multiple casters.',100,2,2),
(274081,144626,'Increases Mitigation of target vs all damage by 930',100,2,3),
(274082,144626,'Cannot be modified except by direct means',100,2,4),
(274083,10144626,'When Equipped:',100,0,0),
(274084,10144626,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274085,10144626,'This effect can be stacked by multiple casters.',100,2,2),
(274086,10144626,'Increases Mitigation of target vs all damage by 930',100,2,3),
(274087,10144626,'Cannot be modified except by direct means',100,2,4),
(274088,102256,'Inflicts 98 - 163 melee damage on targets in area',100,1,0),
(274089,10102256,'Inflicts 117 - 196 melee damage on targets in area',100,1,0),
(274090,108395,'Heals target for 192 - 235',100,1,0),
(274091,10108395,'Heals target for 230 - 281',100,1,0),
(274092,115866,'Inflicts 583 - 971 mental damage on target encounter',100,1,0),
(274093,115866,'Interrupts target encounter',100,1,1),
(274094,10115866,'Inflicts 699 - 1165 mental damage on target encounter',100,1,0),
(274095,10115866,'Interrupts target encounter',100,1,1),
(274096,37363,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(274097,53708,'When Equipped:',100,0,0),
(274098,53708,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(274099,53708,'Inflicts 1192 magic damage on target',100,2,2),
(274100,53708,'Cannot be modified except by direct means',100,2,3),
(274101,10053708,'When Equipped:',100,0,0),
(274102,10053708,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(274103,10053708,'Inflicts 715 magic damage on target',100,2,2),
(274104,10053708,'Cannot be modified except by direct means',100,2,3),
(274105,159646,'When Equipped:',100,0,0),
(274106,159646,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274107,159646,'Increases INT of caster by 11.4',100,2,2),
(274108,159646,'Increases Disruption, Subjugation and Focus of caster by 6.8',100,2,3),
(274109,159646,'Cannot be modified except by direct means',100,2,4),
(274110,10159646,'When Equipped:',100,0,0),
(274111,10159646,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274112,10159646,'Increases INT of caster by 11.4',100,2,2),
(274113,10159646,'Increases Disruption, Subjugation and Focus of caster by 6.8',100,2,3),
(274114,10159646,'Cannot be modified except by direct means',100,2,4),
(274115,80340,'When Equipped:',100,0,0),
(274116,80340,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274117,80340,'Inflicts 42 - 77 magic damage on target',100,2,2),
(274118,80340,'Cannot be modified except by direct means',100,2,3),
(274119,10080340,'When Equipped:',100,0,0),
(274120,10080340,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274121,10080340,'Inflicts 50 - 93 magic damage on target',100,2,2),
(274122,10080340,'Cannot be modified except by direct means',100,2,3),
(274123,112232,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(274124,112232,'Increases Threat to target by 170 ',100,2,1),
(274125,112232,'Inflicts 41 disease damage on target',100,2,2),
(274126,112232,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',100,1,3),
(274127,10112232,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(274128,10112232,'Inflicts 49 disease damage on target',100,2,1),
(274129,10112232,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',100,1,2),
(274130,103082,'Heals target for 73 - 89',100,1,0),
(274131,103082,'Heals target for 12 - 15 every second',100,1,1),
(274132,10103082,'Heals target for 47 - 58',100,1,0),
(274133,10103082,'Heals target for 8 - 10 every second',100,1,1),
(274134,103108,'Increases STR of caster by 19.2',100,1,0),
(274135,103108,'Adds 2.7% to base avoidance.',100,1,1),
(274136,103108,'Increases Mitigation of caster vs physical damage by 124',100,1,2),
(274137,103108,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 385',100,1,3),
(274138,10103108,'Increases STR of caster by 19.2',100,1,0),
(274139,10103108,'Adds 2.7% to base avoidance.',100,1,1),
(274140,10103108,'Increases Mitigation of caster vs physical damage by 124',100,1,2),
(274141,10103108,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 385',100,1,3),
(274142,100543,'Heals group members (AE) for 734 - 897',100,1,0),
(274143,10100543,'Heals group members (AE) for 891 - 1089',100,1,0),
(274144,120726,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 37.2',100,1,0),
(274145,10120726,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 37.2',100,1,0),
(274146,123710,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(274147,123710,'Inflicts 227 divine damage on target',100,2,1),
(274148,123710,'Grants a total of 5 triggers of the spell.',100,2,2),
(274149,10123710,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(274150,10123710,'Inflicts 273 divine damage on target',100,2,1),
(274151,10123710,'Grants a total of 5 triggers of the spell.',100,2,2),
(274152,184719,'When Equipped:',100,0,0),
(274153,184719,'On any combat or spell hit this spell may cast Indomitable Bite of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(274154,184719,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(274155,184719,'Increases Ability Reuse Speed of caster by 7.0%',100,2,3),
(274156,184719,'Increases Potency of caster by 10.0%',100,2,4),
(274157,184719,'Increases Crit Bonus of caster by 10.0%',100,2,5),
(274158,184719,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,6),
(274159,184719,'Must not be engaged in pvp combat',100,2,7),
(274160,184719,'Cannot be modified except by direct means',100,2,8),
(274161,184719,'On a beneficial spell cast this spell may cast Indomitable Bite of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(274162,184719,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,10),
(274163,184719,'Increases Ability Reuse Speed of caster by 7.0%',100,2,11),
(274164,184719,'Increases Potency of caster by 10.0%',100,2,12),
(274165,184719,'Increases Crit Bonus of caster by 10.0%',100,2,13),
(274166,184719,'Inflicts 3370 - 10110 piercing damage on target instantly and every 5 seconds',100,2,14),
(274167,184719,'Must not be engaged in pvp combat',100,2,15),
(274168,184719,'Cannot be modified except by direct means',100,2,16),
(274169,184719,'Cannot be modified except by direct means',100,1,17),
(274170,10184719,'When Equipped:',100,0,0),
(274171,10184719,'On any combat or spell hit this spell may cast Indomitable Bite of the Hounds on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(274172,10184719,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(274173,10184719,'Increases Ability Reuse Speed of caster by 7.0%',100,2,3),
(274174,10184719,'Increases Potency of caster by 10.0%',100,2,4),
(274175,10184719,'Increases Crit Bonus of caster by 10.0%',100,2,5),
(274176,10184719,'Inflicts 4044 - 12132 piercing damage on target instantly and every 5 seconds',100,2,6),
(274177,10184719,'Must not be engaged in pvp combat',100,2,7),
(274178,10184719,'Cannot be modified except by direct means',100,2,8),
(274179,10184719,'On a beneficial spell cast this spell may cast Indomitable Bite of the Hounds on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(274180,10184719,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,10),
(274181,10184719,'Increases Ability Reuse Speed of caster by 7.0%',100,2,11),
(274182,10184719,'Increases Potency of caster by 10.0%',100,2,12),
(274183,10184719,'Increases Crit Bonus of caster by 10.0%',100,2,13),
(274184,10184719,'Inflicts 4044 - 12132 piercing damage on target instantly and every 5 seconds',100,2,14),
(274185,10184719,'Must not be engaged in pvp combat',100,2,15),
(274186,10184719,'Cannot be modified except by direct means',100,2,16),
(274187,10184719,'Cannot be modified except by direct means',100,1,17),
(274188,72043,'When Equipped:',100,0,0),
(274189,72043,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274190,72043,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(274191,72043,'Cannot be modified except by direct means',100,2,3),
(274192,10072043,'When Equipped:',100,0,0),
(274193,10072043,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274194,10072043,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(274195,10072043,'Cannot be modified except by direct means',100,2,3),
(274196,110949,'Applies Awakening on termination.',100,1,0),
(274197,110949,'Heals target for 1695 - 2071',100,2,1),
(274198,10110949,'Applies Awakening on termination.',100,1,0),
(274199,10110949,'Heals target for 2644 - 3231',100,2,1),
(274200,109122,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(274201,109122,'Increases Attack Speed of caster by 64.5',100,1,1),
(274202,109122,'Increases Damage Per Second of caster by 74.9',100,1,2),
(274203,109122,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(274204,109122,'Increases Ranged of caster by 92.2',100,1,4),
(274205,109122,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(274206,109122,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(274207,109122,'Increases Crushing of group members (AE) by 92.2',100,2,7),
(274208,109122,'Increases Slashing of group members (AE) by 92.2',100,2,8),
(274209,109122,'If profession other than Ranger',100,3,9),
(274210,109122,'Increases Piercing of group members (AE) by 92.2',100,2,10),
(274211,109122,'If profession other than Ranger',100,3,11),
(274212,10109122,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(274213,10109122,'Increases Attack Speed of caster by 64.5',100,1,1),
(274214,10109122,'Increases Damage Per Second of caster by 74.9',100,1,2),
(274215,10109122,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(274216,10109122,'Increases Ranged of caster by 92.2',100,1,4),
(274217,10109122,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(274218,10109122,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',100,2,6),
(274219,10109122,'Increases Crushing of group members (AE) by 92.2',100,2,7),
(274220,10109122,'Increases Slashing of group members (AE) by 92.2',100,2,8),
(274221,10109122,'If profession other than Ranger',100,3,9),
(274222,10109122,'Increases Piercing of group members (AE) by 92.2',100,2,10),
(274223,10109122,'If profession other than Ranger',100,3,11),
(274224,48264,'Applies Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(274225,48264,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(274226,48264,'Inflicts 243 poison damage on target instantly and every 6 seconds',100,2,2),
(274227,48264,'Inflicts 92 poison damage on target',100,2,3),
(274228,48264,'Cannot be modified except by direct means',100,2,4),
(274229,48264,'Grants a total of 200 triggers of the spell.',100,2,5),
(274230,48264,'Only affects targets level 50 and above',100,1,6),
(274231,10048264,'Applies Sting of Virulence when Activated.  Lasts for 12 hours.',100,0,0),
(274232,10048264,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(274233,10048264,'Inflicts 219 poison damage on target instantly and every 6 seconds',100,2,2),
(274234,10048264,'Inflicts 83 poison damage on target',100,2,3),
(274235,10048264,'Cannot be modified except by direct means',100,2,4),
(274236,10048264,'Grants a total of 200 triggers of the spell.',100,2,5),
(274237,10048264,'Only affects targets level 50 and above',100,1,6),
(274238,163834,'When Equipped:',100,0,0),
(274239,163834,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(274240,163834,'Inflicts 18 cold damage on target',100,2,2),
(274241,163834,'Cannot be modified except by direct means',100,2,3),
(274242,10163834,'When Equipped:',100,0,0),
(274243,10163834,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(274244,10163834,'Inflicts 22 cold damage on target',100,2,2),
(274245,10163834,'Cannot be modified except by direct means',100,2,3),
(274246,103534,'Increases In-Combat Power Regeneration of group members (AE) by 4.0',100,1,0),
(274247,10103534,'Increases In-Combat Power Regeneration of group members (AE) by 4.0',100,1,0),
(274248,158727,'When Equipped:',100,0,0),
(274249,158727,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(274250,158727,'Increases Ability Modifier of group members by 100.0',100,2,2),
(274251,158727,'Cannot be modified except by direct means',100,2,3),
(274252,158727,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(274253,158727,'Increases Ability Modifier of group members by 100.0',100,2,5),
(274254,158727,'Cannot be modified except by direct means',100,2,6),
(274255,158727,'Cannot be modified except by direct means',100,1,7),
(274256,10158727,'When Equipped:',100,0,0),
(274257,10158727,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(274258,10158727,'Increases Ability Modifier of group members by 100.0',100,2,2),
(274259,10158727,'Cannot be modified except by direct means',100,2,3),
(274260,10158727,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(274261,10158727,'Increases Ability Modifier of group members by 100.0',100,2,5),
(274262,10158727,'Cannot be modified except by direct means',100,2,6),
(274263,10158727,'Cannot be modified except by direct means',100,1,7),
(274264,80306,'When Equipped:',100,0,0),
(274265,80306,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274266,80306,'Inflicts 56 - 103 magic damage on target',100,2,2),
(274267,80306,'Cannot be modified except by direct means',100,2,3),
(274268,10080306,'When Equipped:',100,0,0),
(274269,10080306,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274270,10080306,'Inflicts 67 - 124 magic damage on target',100,2,2),
(274271,10080306,'Cannot be modified except by direct means',100,2,3),
(274272,25480,'When Equipped:',100,0,0),
(274273,25480,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(274274,25480,'Improves the base damage of Enfeebling Whirl by 15%.',100,1,2),
(274275,10025480,'When Equipped:',100,0,0),
(274276,10025480,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(274277,10025480,'Improves the base damage of Enfeebling Whirl by 15%.',100,1,2),
(274278,79012,'When Equipped:',100,0,0),
(274279,79012,'On a hostile spell cast this spell may cast Frigid Burst on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(274280,79012,'Inflicts 521 - 968 cold damage on target',100,2,2),
(274281,79012,'Cannot be modified except by direct means',100,2,3),
(274282,10079012,'When Equipped:',100,0,0),
(274283,10079012,'On a hostile spell cast this spell may cast Frigid Burst on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(274284,10079012,'Inflicts 625 - 1161 cold damage on target',100,2,2),
(274285,10079012,'Cannot be modified except by direct means',100,2,3),
(274286,82887,'When Equipped:',100,0,0),
(274287,82887,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274288,82887,'Inflicts 228 - 423 magic damage on target',100,2,2),
(274289,82887,'Cannot be modified except by direct means',100,2,3),
(274290,10082887,'When Equipped:',100,0,0),
(274291,10082887,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274292,10082887,'Inflicts 273 - 508 magic damage on target',100,2,2),
(274293,10082887,'Cannot be modified except by direct means',100,2,3),
(274294,101779,'Heals group members (AE) for 350 - 428 instantly and every 2 seconds',100,1,0),
(274295,10101779,'Heals group members (AE) for 227 - 278 instantly and every 2 seconds',100,1,0),
(274296,112344,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(274297,112344,'Inflicts 126 - 211 piercing damage on target',100,2,1),
(274298,10112344,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(274299,10112344,'Inflicts 79 - 133 piercing damage on target',100,2,1),
(274300,74796,'When Equipped:',100,0,0),
(274301,74796,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274302,74796,'Inflicts 86 - 129 magic damage on target',100,2,2),
(274303,74796,'Cannot be modified except by direct means',100,2,3),
(274304,10074796,'When Equipped:',100,0,0),
(274305,10074796,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274306,10074796,'Inflicts 103 - 155 magic damage on target',100,2,2),
(274307,10074796,'Cannot be modified except by direct means',100,2,3),
(274308,106243,'Wards target against 114 points of all damage',100,1,0),
(274309,10106243,'Wards target against 114 points of all damage',100,1,0),
(274310,36275,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(274311,106689,'Heals caster for 56.2 - 68.6% of max health',100,1,0),
(274312,106689,'This effect cannot be critically applied.',100,2,1),
(274313,106689,'Increases Max Health of caster by 907.2',100,1,2),
(274314,106689,'The healing of this spell cannot be modified except by direct means',100,1,3),
(274315,10106689,'Heals caster for 17.3 - 21.1% of max health',100,1,0),
(274316,10106689,'This effect cannot be critically applied.',100,2,1),
(274317,10106689,'Increases Max Health of caster by 907.2',100,1,2),
(274318,10106689,'The healing of this spell cannot be modified except by direct means',100,1,3),
(274319,114164,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(274320,114164,'Heals target for 732',100,2,1),
(274321,114164,'Grants a total of 1 trigger of the spell.',100,2,2),
(274322,10114164,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(274323,10114164,'Heals target for 475',100,2,1),
(274324,10114164,'Grants a total of 1 trigger of the spell.',100,2,2),
(274325,118690,'Inflicts 199 - 597 crushing damage on target',100,1,0),
(274326,10118690,'Inflicts 238 - 716 crushing damage on target',100,1,0),
(274327,82190,'When Equipped:',100,0,0),
(274328,82190,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(274329,82190,'Decreases Threat to target by 135 ',100,2,2),
(274330,82190,'Must be flanking or behind',100,3,3),
(274331,82190,'Increases Threat to target by 236 ',100,2,4),
(274332,82190,'Must be in front of',100,3,5),
(274333,82190,'Inflicts 33 - 61 magic damage on target',100,2,6),
(274334,82190,'Cannot be modified except by direct means',100,2,7),
(274335,10082190,'When Equipped:',100,0,0),
(274336,10082190,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(274337,10082190,'Inflicts 40 - 74 magic damage on target',100,2,2),
(274338,10082190,'Cannot be modified except by direct means',100,2,3),
(274339,121617,'Inflicts 228 - 685 melee damage on target',100,1,0),
(274340,121617,'Dazes target',100,1,1),
(274341,121617,'If Target is not Epic',100,2,2),
(274342,121617,'Must be flanking or behind',100,1,3),
(274343,121617,'Resistibility increases against targets higher than level 61.',100,1,4),
(274344,10121617,'Inflicts 274 - 822 melee damage on target',100,1,0),
(274345,10121617,'Dazes target',100,1,1),
(274346,10121617,'If Target is not Epic',100,2,2),
(274347,10121617,'Must be flanking or behind',100,1,3),
(274348,10121617,'Resistibility increases against targets higher than level 61.',100,1,4),
(274349,105366,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(274350,105366,'Inflicts 14 melee damage on target',100,2,1),
(274351,105366,'Interrupts target',100,2,2),
(274352,105366,'Decreases Defense of caster by 3.9',100,1,3),
(274353,105366,'Increases Piercing, Slashing, Ranged and Crushing of caster by 6.4',100,1,4),
(274354,10105366,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(274355,10105366,'Inflicts 16 melee damage on target',100,2,1),
(274356,10105366,'Interrupts target',100,2,2),
(274357,10105366,'Decreases Defense of caster by 3.9',100,1,3),
(274358,10105366,'Increases Piercing, Slashing, Ranged and Crushing of caster by 6.4',100,1,4),
(274359,159127,'When Equipped:',100,0,0),
(274360,159127,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274361,159127,'Increases STR of caster by 11.9',100,2,2),
(274362,159127,'Increases Damage Per Second of caster by 17.0',100,2,3),
(274363,159127,'Cannot be modified except by direct means',100,2,4),
(274364,10159127,'When Equipped:',100,0,0),
(274365,10159127,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274366,10159127,'Increases STR of caster by 11.9',100,2,2),
(274367,10159127,'Increases Damage Per Second of caster by 17.0',100,2,3),
(274368,10159127,'Cannot be modified except by direct means',100,2,4),
(274369,140445,'When Equipped:',100,0,0),
(274370,140445,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(274371,140445,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,2),
(274372,140445,'Must not be engaged in pvp combat',100,2,3),
(274373,140445,'Cannot be modified except by direct means',100,2,4),
(274374,140445,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(274375,140445,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,6),
(274376,140445,'Must not be engaged in pvp combat',100,2,7),
(274377,140445,'Cannot be modified except by direct means',100,2,8),
(274378,140445,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(274379,140445,'Cannot be modified except by direct means',100,1,10),
(274380,10140445,'When Equipped:',100,0,0),
(274381,10140445,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(274382,10140445,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,2),
(274383,10140445,'Must not be engaged in pvp combat',100,2,3),
(274384,10140445,'Cannot be modified except by direct means',100,2,4),
(274385,10140445,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(274386,10140445,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,6),
(274387,10140445,'Must not be engaged in pvp combat',100,2,7),
(274388,10140445,'Cannot be modified except by direct means',100,2,8),
(274389,10140445,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(274390,10140445,'Cannot be modified except by direct means',100,1,10),
(274391,113262,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(274392,113262,'Inflicts 82 - 137 magic damage on target',100,2,1),
(274393,113262,'Grants a total of 8 triggers of the spell.',100,2,2),
(274394,10113262,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(274395,10113262,'Inflicts 99 - 164 magic damage on target',100,2,1),
(274396,10113262,'Grants a total of 8 triggers of the spell.',100,2,2),
(274397,124296,'Wards group members (AE) against 1042 points of elemental damage',100,1,0),
(274398,124296,'Increases Mitigation of group members (AE) vs elemental damage by 570',100,1,1),
(274399,10124296,'Wards group members (AE) against 1042 points of elemental damage',100,1,0),
(274400,10124296,'Increases Mitigation of group members (AE) vs elemental damage by 570',100,1,1),
(274401,121110,'Decreases Threat to targets in Area of Effect by 2,886 ',100,1,0),
(274402,121110,'Mesmerizes targets in Area of Effect',100,1,1),
(274403,121110,'If Target is not Epic',100,2,2),
(274404,121110,'Dispelled when target takes damage',100,1,3),
(274405,10121110,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(274406,10121110,'Applies Distract.',100,1,1),
(274407,10121110,'Forces target to clear their selected target.',100,2,2),
(274408,10121110,'Mesmerizes targets in Area of Effect',100,1,3),
(274409,10121110,'If Target is not Epic',100,2,4),
(274410,10121110,'Dispelled when target takes damage',100,1,5),
(274411,121401,'Inflicts 574 - 702 magic damage on target instantly and every 8 seconds',100,1,0),
(274412,121401,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(274413,121401,'Stuns target',100,2,2),
(274414,121401,'Throws target back',100,2,3),
(274415,121401,'Blurs vision of target',100,2,4),
(274416,121401,'Does not affect Epic targets',100,2,5),
(274417,10121401,'Inflicts 689 - 842 magic damage on target instantly and every 8 seconds',100,1,0),
(274418,10121401,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(274419,10121401,'Stuns target',100,2,2),
(274420,10121401,'Blurs vision of target',100,2,3),
(274421,10121401,'Throws target back',100,2,4),
(274422,10121401,'Does not affect Epic targets',100,2,5),
(274423,178940,'When Equipped:',100,0,0),
(274424,178940,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(274425,178940,'Increases Hate Gain of caster by 5.0%',100,2,2),
(274426,178940,'Cannot be modified except by direct means',100,2,3),
(274427,178940,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(274428,178940,'Increases Hate Gain of caster by 5.0%',100,2,5),
(274429,178940,'Cannot be modified except by direct means',100,2,6),
(274430,10178940,'When Equipped:',100,0,0),
(274431,10178940,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(274432,10178940,'Cannot be modified except by direct means',100,2,2),
(274433,10178940,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,3),
(274434,10178940,'Cannot be modified except by direct means',100,2,4),
(274435,75559,'Applies Disease Blast when Activated.',100,0,0),
(274436,75559,'Inflicts 125 - 209 disease damage on target',100,1,1),
(274437,75559,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(274438,10075559,'Applies Disease Blast when Activated.',100,0,0),
(274439,10075559,'Inflicts 150 - 250 disease damage on target',100,1,1),
(274440,10075559,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(274441,113498,'Inflicts 191 - 319 melee damage on targets in area',100,1,0),
(274442,10113498,'Inflicts 229 - 383 melee damage on targets in area',100,1,0),
(274443,155301,'When Equipped:',100,0,0),
(274444,155301,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(274445,10155301,'When Equipped:',100,0,0),
(274446,10155301,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(274447,107053,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(274448,107053,'Inflicts 131 - 218 divine damage on target',100,2,1),
(274449,107053,'Inflicts 131 - 218 divine damage on target',100,2,2),
(274450,107053,'If target is undead',100,3,3),
(274451,10107053,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(274452,10107053,'Inflicts 262 - 436 divine damage on target',100,2,1),
(274453,110044,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(274454,110044,'Inflicts 257 - 429 disease damage on target',100,2,1),
(274455,110044,'Heals caster for 1.9 - 3.1% of max health',100,2,2),
(274456,110044,'This effect cannot be critically applied.',100,3,3),
(274457,110044,'The healing of this spell cannot be modified except by direct means',100,2,4),
(274458,10110044,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(274459,10110044,'Inflicts 309 - 514 disease damage on target',100,2,1),
(274460,10110044,'Heals caster for 0.6 - 0.9% of max health',100,2,2),
(274461,10110044,'This effect cannot be critically applied.',100,3,3),
(274462,10110044,'The healing of this spell cannot be modified except by direct means',100,2,4),
(274463,168860,'When Equipped:',100,0,0),
(274464,168860,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(274465,168860,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(274466,168860,'Increases Potency of caster by 11.0%',100,2,3),
(274467,168860,'Must not be engaged in pvp combat',100,2,4),
(274468,168860,'Cannot be modified except by direct means',100,2,5),
(274469,168860,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(274470,168860,'Increases Potency of caster by 11.0%',100,2,7),
(274471,168860,'Must not be engaged in pvp combat',100,2,8),
(274472,168860,'Cannot be modified except by direct means',100,2,9),
(274473,168860,'Cannot be modified except by direct means',100,1,10),
(274474,10168860,'When Equipped:',100,0,0),
(274475,10168860,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(274476,10168860,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(274477,10168860,'Increases Potency of caster by 11.0%',100,2,3),
(274478,10168860,'Must not be engaged in pvp combat',100,2,4),
(274479,10168860,'Cannot be modified except by direct means',100,2,5),
(274480,10168860,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(274481,10168860,'Increases Potency of caster by 11.0%',100,2,7),
(274482,10168860,'Must not be engaged in pvp combat',100,2,8),
(274483,10168860,'Cannot be modified except by direct means',100,2,9),
(274484,10168860,'Cannot be modified except by direct means',100,1,10),
(274485,81702,'When Equipped:',100,0,0),
(274486,81702,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274487,81702,'Inflicts 70 - 130 magic damage on target',100,2,2),
(274488,81702,'Cannot be modified except by direct means',100,2,3),
(274489,10081702,'When Equipped:',100,0,0),
(274490,10081702,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274491,10081702,'Inflicts 84 - 156 magic damage on target',100,2,2),
(274492,10081702,'Cannot be modified except by direct means',100,2,3),
(274493,45428,'Applies Brown Nightmare Warg with Purple Armor when Activated.',100,0,0),
(274494,45428,'Increases Ranged, Piercing and Disruption of caster by 7.0',100,1,1),
(274495,45428,'Summons a mount to ride',100,1,2),
(274496,45428,'Increases your ground speed by 130%',100,2,3),
(274497,45428,'Increases Slashing and Crushing of caster by 7.0',100,1,4),
(274498,45428,'Increases damage done by spells and combat arts by up to 75.',100,1,5),
(274499,45428,'Requires evil alignment',100,1,6),
(274500,10045428,'Applies Brown Nightmare Warg with Purple Armor when Activated.',100,0,0),
(274501,10045428,'Increases Ranged, Piercing and Disruption of caster by 7.0',100,1,1),
(274502,10045428,'Summons a mount to ride',100,1,2),
(274503,10045428,'Increases your ground speed by 130%',100,2,3),
(274504,10045428,'Increases Slashing and Crushing of caster by 7.0',100,1,4),
(274505,10045428,'Increases damage done by spells and combat arts by up to 75.',100,1,5),
(274506,10045428,'Requires evil alignment',100,1,6),
(274507,74842,'When Equipped:',100,0,0),
(274508,74842,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274509,74842,'Inflicts 111 - 166 magic damage on target',100,2,2),
(274510,74842,'Cannot be modified except by direct means',100,2,3),
(274511,10074842,'When Equipped:',100,0,0),
(274512,10074842,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274513,10074842,'Inflicts 133 - 199 magic damage on target',100,2,2),
(274514,10074842,'Cannot be modified except by direct means',100,2,3),
(274515,139164,'When Equipped:',100,0,0),
(274516,139164,'Increases Attack Speed of caster by 26.0',100,1,1),
(274517,10139164,'When Equipped:',100,0,0),
(274518,10139164,'Increases Attack Speed of caster by 26.0',100,1,1),
(274519,82080,'When Equipped:',100,0,0),
(274520,82080,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274521,82080,'Inflicts 138 - 257 magic damage on target',100,2,2),
(274522,82080,'Cannot be modified except by direct means',100,2,3),
(274523,10082080,'When Equipped:',100,0,0),
(274524,10082080,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274525,10082080,'Inflicts 166 - 309 magic damage on target',100,2,2),
(274526,10082080,'Cannot be modified except by direct means',100,2,3),
(274527,119798,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(274528,119798,'Adds 1.3% to base avoidance.',100,1,1),
(274529,10119798,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(274530,10119798,'Adds 1.3% to base avoidance.',100,1,1),
(274531,41226,'When Equipped:',100,0,0),
(274532,41226,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(274533,41226,'Applies Energize.  Lasts for 12.0 seconds.',100,2,2),
(274534,41226,'Heals group members (AE) for 1458 instantly and every 4 seconds',100,3,3),
(274535,41226,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,4),
(274536,41226,'Cannot be modified except by direct means',100,3,5),
(274537,41226,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,6),
(274538,41226,'Inflicts an additional 2664 heat damage on target every tick',100,2,7),
(274539,41226,'Must not be engaged in pvp combat',100,2,8),
(274540,41226,'Cannot be modified except by direct means',100,2,9),
(274541,41226,'Must not be engaged in pvp combat',100,1,10),
(274542,10041226,'When Equipped:',100,0,0),
(274543,10041226,'On any combat or spell hit this spell may cast Thunderstorm on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(274544,10041226,'Applies Energize.  Lasts for 12.0 seconds.',100,2,2),
(274545,10041226,'Heals group members (AE) for 1706 instantly and every 4 seconds',100,3,3),
(274546,10041226,'Increases power of group members (AE) by 109 instantly and every 4 seconds',100,3,4),
(274547,10041226,'Cannot be modified except by direct means',100,3,5),
(274548,10041226,'Inflicts 6394 heat damage on target instantly and every 4 seconds',100,2,6),
(274549,10041226,'Inflicts an additional 2664 heat damage on target every tick',100,2,7),
(274550,10041226,'Must not be engaged in pvp combat',100,2,8),
(274551,10041226,'Cannot be modified except by direct means',100,2,9),
(274552,10041226,'Must not be engaged in pvp combat',100,1,10),
(274553,46735,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(274554,46735,'Summons a mount to ride',100,1,1),
(274555,46735,'Increases your ground speed by 130%',100,2,2),
(274556,10046735,'Applies Call Karana Plainstrider when Activated.',100,0,0),
(274557,10046735,'Summons a mount to ride',100,1,1),
(274558,10046735,'Increases your ground speed by 130%',100,2,2),
(274559,109739,'Inflicts 282 - 470 cold damage on target',100,1,0),
(274560,109739,'If weapon equipped in Ranged',100,1,1),
(274561,10109739,'Inflicts 211 - 353 cold damage on target',100,1,0),
(274562,10109739,'If weapon equipped in Ranged',100,1,1),
(274563,46937,'Applies middling bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(274564,46937,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(274565,46937,'Inflicts 254 poison damage on target instantly and every 6 seconds',100,2,2),
(274566,46937,'Cannot be modified except by direct means',100,2,3),
(274567,46937,'Grants a total of 4 triggers of the spell.',100,2,4),
(274568,10046937,'Applies middling bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(274569,10046937,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(274570,10046937,'Inflicts 228 poison damage on target instantly and every 6 seconds',100,2,2),
(274571,10046937,'Cannot be modified except by direct means',100,2,3),
(274572,10046937,'Grants a total of 4 triggers of the spell.',100,2,4),
(274573,118933,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(274574,118933,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1006',100,1,1),
(274575,118933,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,2),
(274576,10118933,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(274577,10118933,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1006',100,1,1),
(274578,10118933,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,2),
(274579,82213,'When Equipped:',100,0,0),
(274580,82213,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274581,82213,'Inflicts 33 - 61 magic damage on target',100,2,2),
(274582,82213,'Cannot be modified except by direct means',100,2,3),
(274583,10082213,'When Equipped:',100,0,0),
(274584,10082213,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274585,10082213,'Inflicts 40 - 74 magic damage on target',100,2,2),
(274586,10082213,'Cannot be modified except by direct means',100,2,3),
(274587,24544,'Adds Mistmoore: Ornate Blue Chair to your Dungeon Maker toolbox',100,0,0),
(274588,10024544,'Adds Mistmoore: Ornate Blue Chair to your Dungeon Maker toolbox',100,0,0),
(274589,25637,'When Equipped:',100,0,0),
(274590,25637,'When any damage is received this spell has a 8% chance to cast Perfect Focus on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(274591,25637,'Prevents caster from being Interrupted',100,2,2),
(274592,25637,'Cannot be modified except by direct means',100,2,3),
(274593,25637,'This effect can only trigger once every 45 seconds.',100,2,4),
(274594,25637,'This focus effect will not stack with itself if adorned on multiple items.',100,1,5),
(274595,25637,'Must be engaged in pvp combat',100,1,6),
(274596,10025637,'When Equipped:',100,0,0),
(274597,10025637,'When any damage is received this spell has a 8% chance to cast Perfect Focus on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(274598,10025637,'Prevents caster from being Interrupted',100,2,2),
(274599,10025637,'Cannot be modified except by direct means',100,2,3),
(274600,10025637,'This effect can only trigger once every 45 seconds.',100,2,4),
(274601,10025637,'This focus effect will not stack with itself if adorned on multiple items.',100,1,5),
(274602,10025637,'Must be engaged in pvp combat',100,1,6),
(274603,159544,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(274604,159544,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(274605,159544,'Inflicts 79 heat damage on target',100,2,2),
(274606,159544,'Cannot be modified except by direct means',100,2,3),
(274607,10159544,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(274608,10159544,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(274609,10159544,'Inflicts 95 heat damage on target',100,2,2),
(274610,10159544,'Cannot be modified except by direct means',100,2,3),
(274611,114018,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(274612,114018,'Heals target for 19 instantly and every 2 seconds',100,2,1),
(274613,114018,'Decreases Mitigation of target vs arcane damage by 448',100,1,2),
(274614,10114018,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(274615,10114018,'Heals target for 63 instantly and every 2 seconds',100,2,1),
(274616,10114018,'Decreases Mitigation of target vs arcane damage by 448',100,1,2),
(274617,101107,'Increases Mitigation of raid and group members (AE) vs arcane damage by 739',100,1,0),
(274618,10101107,'Increases Mitigation of raid and group members (AE) vs arcane damage by 739',100,1,0),
(274619,119083,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(274620,119083,'Increases Parry and Deflection of group members (AE) by 12.4',100,1,1),
(274621,119083,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(274622,119083,'Decreases Threat to target encounter by 492 - 602 ',100,2,3),
(274623,119083,'If not fighter',100,3,4),
(274624,119083,'Increases Threat to target encounter by 862 - 1,054 ',100,2,5),
(274625,119083,'If fighter',100,3,6),
(274626,119083,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(274627,119083,'Decreases Threat to target encounter by 492 - 602 ',100,2,8),
(274628,119083,'If not fighter',100,3,9),
(274629,119083,'Increases Threat to target encounter by 862 - 1,054 ',100,2,10),
(274630,119083,'If fighter',100,3,11),
(274631,10119083,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(274632,10119083,'Increases Parry and Deflection of group members (AE) by 12.4',100,1,1),
(274633,10119083,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(274634,10119083,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(274635,81662,'When Equipped:',100,0,0),
(274636,81662,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(274637,81662,'Decreases Threat to target by 376 ',100,2,2),
(274638,81662,'Must be flanking or behind',100,3,3),
(274639,81662,'Increases Threat to target by 658 ',100,2,4),
(274640,81662,'Must be in front of',100,3,5),
(274641,81662,'Inflicts 111 - 205 magic damage on target',100,2,6),
(274642,81662,'Cannot be modified except by direct means',100,2,7),
(274643,10081662,'When Equipped:',100,0,0),
(274644,10081662,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(274645,10081662,'Inflicts 133 - 246 magic damage on target',100,2,2),
(274646,10081662,'Cannot be modified except by direct means',100,2,3),
(274647,112815,'Inflicts 729 - 1215 slashing damage on target',100,1,0),
(274648,112815,'Stifles target',100,1,1),
(274649,112815,'If Target is not Epic',100,2,2),
(274650,112815,'You must be in stealth.',100,1,3),
(274651,112815,'Resistibility increases against targets higher than level 103.',100,1,4),
(274652,10112815,'Inflicts 874 - 1458 slashing damage on target',100,1,0),
(274653,10112815,'Stifles target',100,1,1),
(274654,10112815,'If Target is not Epic',100,2,2),
(274655,10112815,'You must be in stealth.',100,1,3),
(274656,10112815,'Resistibility increases against targets higher than level 103.',100,1,4),
(274657,121659,'Increases INT, STA, WIS, STR and AGI of caster by 39.6',100,1,0),
(274658,121659,'Summons a pet Valiant Beast',100,1,1),
(274659,121659,'If follows Mithaniel Marr',100,1,2),
(274660,10121659,'Increases INT, STA, WIS, STR and AGI of caster by 39.6',100,1,0),
(274661,10121659,'Summons a pet Valiant Beast',100,1,1),
(274662,10121659,'If follows Mithaniel Marr',100,1,2),
(274663,114321,'Dispels 9 levels of noxious hostile effects on target',100,1,0),
(274664,114321,'Heals target for 24 - 29',100,1,1),
(274665,114321,'This effect cannot be critically applied.',100,2,2),
(274666,114321,'The healing of this spell cannot be modified except by direct means',100,1,3),
(274667,10114321,'Dispels 9 levels of noxious hostile effects on target',100,1,0),
(274668,10114321,'Heals target for 9 - 12',100,1,1),
(274669,10114321,'This effect cannot be critically applied.',100,2,2),
(274670,10114321,'The healing of this spell cannot be modified except by direct means',100,1,3),
(274671,35970,'Increases AGI of target by 10.5',100,0,0),
(274672,35970,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(274673,118963,'Applies Sacrifice.',100,1,0),
(274674,118963,'Increases power of group members (AE) by 151',100,2,1),
(274675,118963,'Heals group members (AE) for 529',100,2,2),
(274676,118963,'Stuns target',100,1,3),
(274677,10118963,'Applies Sacrifice.',100,1,0),
(274678,10118963,'Heals group members (AE) for 736',100,2,1),
(274679,10118963,'Increases power of group members (AE) by 151',100,2,2),
(274680,10118963,'Stuns target',100,1,3),
(274681,119609,'Inflicts 431 - 718 mental damage on targets in Area of Effect',100,1,0),
(274682,119609,'Stuns targets in Area of Effect',100,1,1),
(274683,119609,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(274684,119609,'Resistibility increases against targets higher than level 79.',100,1,3),
(274685,10119609,'Inflicts 517 - 861 mental damage on targets in Area of Effect',100,1,0),
(274686,10119609,'Stuns targets in Area of Effect',100,1,1),
(274687,10119609,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(274688,10119609,'Resistibility increases against targets higher than level 79.',100,1,3),
(274689,114894,'Causes 12% Threat to transfer to target when in combat',100,1,0),
(274690,112968,'Inflicts 130 - 391 crushing damage on target',100,1,0),
(274691,10112968,'Inflicts 156 - 469 crushing damage on target',100,1,0),
(274692,102183,'Increases Mitigation of group members (AE) vs physical damage by 384',100,1,0),
(274693,10102183,'Increases Mitigation of group members (AE) vs physical damage by 384',100,1,0),
(274694,118359,'Inflicts 36 - 60 melee damage on target',100,1,0),
(274695,118359,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(274696,118359,'Stuns target',100,2,2),
(274697,118359,'Throws target back',100,2,3),
(274698,118359,'Blurs vision of target',100,2,4),
(274699,118359,'Does not affect Epic targets',100,2,5),
(274700,10118359,'Inflicts 43 - 73 melee damage on target',100,1,0),
(274701,10118359,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(274702,10118359,'Stuns target',100,2,2),
(274703,10118359,'Blurs vision of target',100,2,3),
(274704,10118359,'Throws target back',100,2,4),
(274705,10118359,'Does not affect Epic targets',100,2,5),
(274706,55414,'Applies Rite of the Listless when Activated.  Lasts for 20.0 seconds.',100,0,0),
(274707,55414,'Increases Attack Speed of caster by 5.0',100,1,1),
(274708,55414,'The casting time of Rite of the Listless is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(274709,10055414,'Applies Rite of the Listless when Activated.  Lasts for 20.0 seconds.',100,0,0),
(274710,10055414,'Increases Attack Speed of caster by 5.0',100,1,1),
(274711,10055414,'The casting time of Rite of the Listless is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(274712,123394,'Inflicts 14 - 24 crushing damage on target',100,1,0),
(274713,123394,'Increases Threat to target by 250 ',100,1,1),
(274714,123394,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(274715,123394,'Stuns target',100,2,3),
(274716,123394,'Blurs vision of target',100,2,4),
(274717,123394,'Throws target back',100,2,5),
(274718,123394,'Does not affect Epic targets',100,2,6),
(274719,123394,'If Shield equipped in Secondary',100,1,7),
(274720,10123394,'Inflicts 17 - 29 crushing damage on target',100,1,0),
(274721,10123394,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(274722,10123394,'Stuns target',100,2,2),
(274723,10123394,'Blurs vision of target',100,2,3),
(274724,10123394,'Throws target back',100,2,4),
(274725,10123394,'Does not affect Epic targets',100,2,5),
(274726,10123394,'If Shield equipped in Secondary',100,1,6),
(274727,103971,'Interrupts targets in Area of Effect',100,1,0),
(274728,103971,'Inflicts 31 - 57 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(274729,10103971,'Interrupts targets in Area of Effect',100,1,0),
(274730,10103971,'Inflicts 37 - 68 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(274731,82557,'When Equipped:',100,0,0),
(274732,82557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274733,82557,'Inflicts 78 - 144 magic damage on target',100,2,2),
(274734,82557,'Cannot be modified except by direct means',100,2,3),
(274735,10082557,'When Equipped:',100,0,0),
(274736,10082557,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274737,10082557,'Inflicts 93 - 173 magic damage on target',100,2,2),
(274738,10082557,'Cannot be modified except by direct means',100,2,3),
(274739,100968,'Dazes target',100,1,0),
(274740,100968,'Inflicts 504 - 616 mental damage on target',100,1,1),
(274741,100968,'Epic targets gain an immunity to Daze effects of 40.5 seconds and duration is reduced to 4.5 seconds.',100,1,2),
(274742,100968,'Resistibility increases against targets higher than level 117.',100,1,3),
(274743,10100968,'Dazes target',100,1,0),
(274744,10100968,'Inflicts 605 - 740 mental damage on target',100,1,1),
(274745,10100968,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(274746,10100968,'Resistibility increases against targets higher than level 117.',100,1,3),
(274747,101545,'Inflicts 65 - 108 melee damage on target',100,1,0),
(274748,101545,'You must be sneaking to use this ability.',100,1,1),
(274749,10101545,'Inflicts 78 - 130 melee damage on target',100,1,0),
(274750,10101545,'You must be sneaking to use this ability.',100,1,1),
(274751,102239,'Increases Max Health of group members (AE) by 888.5',100,1,0),
(274752,10102239,'Increases Max Health of group members (AE) by 888.5',100,1,0),
(274753,54398,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(274754,54398,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(274755,54398,'Inflicts 34 heat damage on target',100,2,2),
(274756,54398,'Cannot be modified except by direct means',100,2,3),
(274757,10054398,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(274758,10054398,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(274759,10054398,'Inflicts 41 heat damage on target',100,2,2),
(274760,10054398,'Cannot be modified except by direct means',100,2,3),
(274761,108339,'Heals caster for 21',100,1,0),
(274762,108339,'Inflicts 34 - 56 melee damage on target',100,1,1),
(274763,10108339,'Heals caster for 14',100,1,0),
(274764,10108339,'Inflicts 40 - 68 melee damage on target',100,1,1),
(274765,161907,'When Equipped:',100,0,0),
(274766,161907,'Increases Attack Speed of caster by 25.0',100,1,1),
(274767,10161907,'When Equipped:',100,0,0),
(274768,10161907,'Increases Attack Speed of caster by 25.0',100,1,1),
(274769,109139,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(274770,109139,'Heals target for 833 - 1018',100,2,1),
(274771,109139,'Grants a total of 8 triggers of the spell.',100,2,2),
(274772,10109139,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(274773,10109139,'Heals target for 541 - 662',100,2,1),
(274774,10109139,'Grants a total of 8 triggers of the spell.',100,2,2),
(274775,45458,'Applies Calibrated Automated Watersafe Net when Activated.  Lasts for 10 days.',100,0,0),
(274776,45458,'Increases Trapping and Fishing of caster by 7.0',100,1,1),
(274777,45458,'Reduces the harvest time for fishing and trapping by .3 seconds.',100,1,2),
(274778,10045458,'Applies Calibrated Automated Watersafe Net when Activated.  Lasts for 10 days.',100,0,0),
(274779,10045458,'Increases Trapping and Fishing of caster by 7.0',100,1,1),
(274780,10045458,'Reduces the harvest time for fishing and trapping by .3 seconds.',100,1,2),
(274781,41483,'When Equipped:',100,0,0),
(274782,41483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274783,41483,'Inflicts 133 - 248 magic damage on target',100,2,2),
(274784,41483,'Cannot be modified except by direct means',100,2,3),
(274785,10041483,'When Equipped:',100,0,0),
(274786,10041483,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274787,10041483,'Inflicts 160 - 297 magic damage on target',100,2,2),
(274788,10041483,'Cannot be modified except by direct means',100,2,3),
(274789,41265,'When Equipped:',100,0,0),
(274790,41265,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(274791,41265,'Inflicts 1319 - 1612 heat damage on target',100,2,2),
(274792,41265,'Inflicts 1319 - 1612 heat damage on target',100,2,3),
(274793,41265,'Inflicts 1319 - 1612 heat damage on target',100,2,4),
(274794,41265,'Must not be engaged in pvp combat',100,2,5),
(274795,41265,'Cannot be modified except by direct means',100,2,6),
(274796,10041265,'When Equipped:',100,0,0),
(274797,10041265,'On any combat or spell hit this spell may cast Defiant Slam on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(274798,10041265,'Inflicts 1582 - 1934 heat damage on target',100,2,2),
(274799,10041265,'Inflicts 1582 - 1934 heat damage on target',100,2,3),
(274800,10041265,'Inflicts 1582 - 1934 heat damage on target',100,2,4),
(274801,10041265,'Must not be engaged in pvp combat',100,2,5),
(274802,10041265,'Cannot be modified except by direct means',100,2,6),
(274803,108310,'Inflicts 84 - 141 divine damage on target',100,1,0),
(274804,108310,'Heals caster for 1.6% of max health',100,1,1),
(274805,108310,'This effect cannot be critically applied.',100,2,2),
(274806,108310,'The healing of this spell cannot be modified except by direct means',100,1,3),
(274807,10108310,'Inflicts 101 - 169 divine damage on target',100,1,0),
(274808,10108310,'Heals caster for 0.8% of max health',100,1,1),
(274809,10108310,'This effect cannot be critically applied.',100,2,2),
(274810,10108310,'The healing of this spell cannot be modified except by direct means',100,1,3),
(274811,48426,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(274812,48426,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(274813,48426,'Inflicts 65 poison damage on target instantly and every 6 seconds',100,2,2),
(274814,48426,'Inflicts 222 poison damage on target',100,2,3),
(274815,48426,'Cannot be modified except by direct means',100,2,4),
(274816,48426,'Grants a total of 200 triggers of the spell.',100,2,5),
(274817,10048426,'Applies aura of salvation when Activated.  Lasts for 12 hours.',100,0,0),
(274818,10048426,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(274819,10048426,'Inflicts 59 poison damage on target instantly and every 6 seconds',100,2,2),
(274820,10048426,'Inflicts 200 poison damage on target',100,2,3),
(274821,10048426,'Cannot be modified except by direct means',100,2,4),
(274822,10048426,'Grants a total of 200 triggers of the spell.',100,2,5),
(274823,26558,'When Equipped:',100,0,0),
(274824,26558,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(274825,26558,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(274826,10026558,'When Equipped:',100,0,0),
(274827,10026558,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(274828,10026558,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(274829,107429,'Summons a pet earthen avatar',100,1,0),
(274830,10107429,'Summons a pet earthen avatar',100,1,0),
(274831,81435,'When Equipped:',100,0,0),
(274832,81435,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(274833,81435,'Decreases Threat to target by 352 ',100,2,2),
(274834,81435,'Must be flanking or behind',100,3,3),
(274835,81435,'Increases Threat to target by 617 ',100,2,4),
(274836,81435,'Must be in front of',100,3,5),
(274837,81435,'Inflicts 80 - 149 magic damage on target',100,2,6),
(274838,81435,'Cannot be modified except by direct means',100,2,7),
(274839,10081435,'When Equipped:',100,0,0),
(274840,10081435,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(274841,10081435,'Inflicts 96 - 179 magic damage on target',100,2,2),
(274842,10081435,'Cannot be modified except by direct means',100,2,3),
(274843,151820,'When Equipped:',100,0,0),
(274844,151820,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(274845,10151820,'When Equipped:',100,0,0),
(274846,10151820,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(274847,72435,'When Equipped:',100,0,0),
(274848,72435,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(274849,72435,'Reduces healing received by 15.00%',100,2,2),
(274850,72435,'Cannot be modified except by direct means',100,2,3),
(274851,72435,'This effect can only trigger once every 1 second.',100,2,4),
(274852,72435,'Must be engaged in pvp combat',100,1,5),
(274853,10072435,'When Equipped:',100,0,0),
(274854,10072435,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(274855,10072435,'Reduces healing received by 15.00%',100,2,2),
(274856,10072435,'Cannot be modified except by direct means',100,2,3),
(274857,10072435,'This effect can only trigger once every 1 second.',100,2,4),
(274858,10072435,'Must be engaged in pvp combat',100,1,5),
(274859,122233,'Increases Damage Per Second of target by 27.7',100,1,0),
(274860,122233,'Increases Max Health of target by 1,001.6',100,1,1),
(274861,10122233,'Increases Damage Per Second of target by 27.7',100,1,0),
(274862,10122233,'Increases Max Health of target by 1,001.6',100,1,1),
(274863,185075,'When Equipped:',100,0,0),
(274864,185075,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(274865,10185075,'When Equipped:',100,0,0),
(274866,10185075,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(274867,115790,'Stifles target',100,1,0),
(274868,115790,'If Target is not Epic',100,2,1),
(274869,115790,'Decreases power of target by 25 - 30 instantly and every 1.3 seconds',100,1,2),
(274870,115790,'Resistibility increases against targets higher than level 45.',100,1,3),
(274871,10115790,'Stifles target',100,1,0),
(274872,10115790,'If Target is not Epic',100,2,1),
(274873,10115790,'Decreases power of target by 25 - 30 instantly and every 1.3 seconds',100,1,2),
(274874,10115790,'Resistibility increases against targets higher than level 45.',100,1,3),
(274875,122158,'Inflicts 16 - 19 cold damage on target instantly and every 2 seconds',100,1,0),
(274876,122158,'Inflicts 16 - 19 cold damage on target instantly and every 2 seconds',100,1,1),
(274877,122158,'If target is elemental',100,2,2),
(274878,10122158,'Inflicts 19 - 23 cold damage on target instantly and every 2 seconds',100,1,0),
(274879,48081,'Applies a Skyshrine Drakota Mount when Activated.',100,0,0),
(274880,48081,'Increases Crit Bonus of caster by 8.0%',100,1,1),
(274881,48081,'Increases Potency of caster by 8.0%',100,1,2),
(274882,48081,'Increases Crit Chance of caster by 28.0',100,1,3),
(274883,48081,'Increases Max Power of caster by 1,000.0',100,1,4),
(274884,48081,'Increases Max Health of caster by 1,000.0',100,1,5),
(274885,48081,'Summons a mount to ride',100,1,6),
(274886,48081,'Increases your ground speed by 75%',100,2,7),
(274887,48081,'Increases your air speed by 150%',100,2,8),
(274888,10048081,'Applies a Skyshrine Drakota Mount when Activated.',100,0,0),
(274889,10048081,'Increases Crit Bonus of caster by 8.0%',100,1,1),
(274890,10048081,'Increases Potency of caster by 8.0%',100,1,2),
(274891,10048081,'Increases Crit Chance of caster by 28.0',100,1,3),
(274892,10048081,'Increases Max Power of caster by 1,000.0',100,1,4),
(274893,10048081,'Increases Max Health of caster by 1,000.0',100,1,5),
(274894,10048081,'Summons a mount to ride',100,1,6),
(274895,10048081,'Increases your ground speed by 75%',100,2,7),
(274896,10048081,'Increases your air speed by 150%',100,2,8),
(274897,107680,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(274898,10107680,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(274899,116240,'Summons a pet Illusion Ally',100,1,0),
(274900,10116240,'Summons a pet Illusion Ally',100,1,0),
(274901,111820,'Inflicts 62 - 103 melee damage on target',100,1,0),
(274902,111820,'Roots target',100,1,1),
(274903,111820,'If Target is not Epic',100,2,2),
(274904,111820,'Resistibility increases against targets higher than level 42.',100,1,3),
(274905,10111820,'Inflicts 67 - 112 melee damage on target',100,1,0),
(274906,10111820,'Roots target',100,1,1),
(274907,10111820,'If Target is not Epic',100,2,2),
(274908,10111820,'Resistibility increases against targets higher than level 42.',100,1,3),
(274909,80632,'When Equipped:',100,0,0),
(274910,80632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274911,80632,'Inflicts 50 - 93 magic damage on target',100,2,2),
(274912,80632,'Cannot be modified except by direct means',100,2,3),
(274913,10080632,'When Equipped:',100,0,0),
(274914,10080632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274915,10080632,'Inflicts 60 - 111 magic damage on target',100,2,2),
(274916,10080632,'Cannot be modified except by direct means',100,2,3),
(274917,45181,'Applies Control Ancient Sentinel when Activated.',100,0,0),
(274918,45181,'Using the Ancient Skyshrine control wand, you can possess the power of an Ancient Sentinel.',100,1,1),
(274919,10045181,'Applies Control Ancient Sentinel when Activated.',100,0,0),
(274920,10045181,'Using the Ancient Skyshrine control wand, you can possess the power of an Ancient Sentinel.',100,1,1),
(274921,111954,'Inflicts 63 - 77 disease damage on target',100,1,0),
(274922,111954,'Decreases Mitigation of target vs noxious damage by 198',100,1,1),
(274923,10111954,'Inflicts 97 - 119 disease damage on target',100,1,0),
(274924,10111954,'Decreases Mitigation of target vs noxious damage by 198',100,1,1),
(274925,107977,'Increases In-Combat Power Regeneration of group members (AE) by 36.4',100,1,0),
(274926,10107977,'Increases In-Combat Power Regeneration of group members (AE) by 36.4',100,1,0),
(274927,108720,'Inflicts 396 heat damage on target',100,1,0),
(274928,108720,'Inflicts 89 heat damage on target every 4 seconds',100,1,1),
(274929,10108720,'Inflicts 666 heat damage on target',100,1,0),
(274930,10108720,'Inflicts 106 heat damage on target every 4 seconds',100,1,1),
(274931,123830,'Increases WIS of target by 19.8',100,1,0),
(274932,123830,'Increases Max Power of target by 76.5',100,1,1),
(274933,10123830,'Increases WIS of target by 19.8',100,1,0),
(274934,10123830,'Increases Max Power of target by 76.5',100,1,1),
(274935,103124,'Increases STR of caster by 64.1',100,1,0),
(274936,103124,'Adds 3.4% to base avoidance.',100,1,1),
(274937,103124,'Increases Mitigation of caster vs physical damage by 408',100,1,2),
(274938,103124,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1273',100,1,3),
(274939,10103124,'Increases STR of caster by 64.1',100,1,0),
(274940,10103124,'Adds 3.4% to base avoidance.',100,1,1),
(274941,10103124,'Increases Mitigation of caster vs physical damage by 408',100,1,2),
(274942,10103124,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1273',100,1,3),
(274943,143087,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(274944,143087,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(274945,143087,'Cannot be modified except by direct means',100,1,2),
(274946,10143087,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(274947,10143087,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(274948,10143087,'Cannot be modified except by direct means',100,1,2),
(274949,45485,'Applies Cevern Vastspan when Activated.',100,0,0),
(274950,45485,'Increases Crit Bonus of caster by 12.0%',100,1,1),
(274951,45485,'Increases Potency of caster by 12.0%',100,1,2),
(274952,45485,'Increases Crit Chance of caster by 50.0',100,1,3),
(274953,45485,'Increases Max Power of caster by 2,000.0',100,1,4),
(274954,45485,'Increases Max Health of caster by 2,000.0',100,1,5),
(274955,45485,'Summons a mount to ride',100,1,6),
(274956,45485,'Increases your ground speed by 75%',100,2,7),
(274957,45485,'Increases your air speed by 150%',100,2,8),
(274958,10045485,'Applies Cevern Vastspan when Activated.',100,0,0),
(274959,10045485,'Increases Crit Bonus of caster by 12.0%',100,1,1),
(274960,10045485,'Increases Potency of caster by 12.0%',100,1,2),
(274961,10045485,'Increases Crit Chance of caster by 50.0',100,1,3),
(274962,10045485,'Increases Max Power of caster by 2,000.0',100,1,4),
(274963,10045485,'Increases Max Health of caster by 2,000.0',100,1,5),
(274964,10045485,'Summons a mount to ride',100,1,6),
(274965,10045485,'Increases your ground speed by 75%',100,2,7),
(274966,10045485,'Increases your air speed by 150%',100,2,8),
(274967,71661,'When Equipped:',100,0,0),
(274968,71661,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274969,71661,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(274970,71661,'Cannot be modified except by direct means',100,2,3),
(274971,10071661,'When Equipped:',100,0,0),
(274972,10071661,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(274973,10071661,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(274974,10071661,'Cannot be modified except by direct means',100,2,3),
(274975,102849,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(274976,102849,'Stuns target',100,2,1),
(274977,102849,'Throws target back',100,2,2),
(274978,102849,'Blurs vision of target',100,2,3),
(274979,102849,'Does not affect Epic targets',100,2,4),
(274980,102849,'Inflicts 102 - 306 melee damage on targets in area',100,1,5),
(274981,10102849,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(274982,10102849,'Blurs vision of target',100,2,1),
(274983,10102849,'Stuns target',100,2,2),
(274984,10102849,'Throws target back',100,2,3),
(274985,10102849,'Does not affect Epic targets',100,2,4),
(274986,10102849,'Inflicts 122 - 368 melee damage on targets in area',100,1,5),
(274987,122307,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(274988,122307,'Inflicts 252 - 308 mental damage on target',100,2,1),
(274989,122307,'Grants a total of 3 triggers of the spell.',100,2,2),
(274990,10122307,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(274991,10122307,'Inflicts 303 - 370 mental damage on target',100,2,1),
(274992,10122307,'Grants a total of 3 triggers of the spell.',100,2,2),
(274993,81801,'When Equipped:',100,0,0),
(274994,81801,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274995,81801,'Inflicts 108 - 200 magic damage on target',100,2,2),
(274996,81801,'Cannot be modified except by direct means',100,2,3),
(274997,10081801,'When Equipped:',100,0,0),
(274998,10081801,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(274999,10081801,'Inflicts 129 - 240 magic damage on target',100,2,2),
(275000,10081801,'Cannot be modified except by direct means',100,2,3),
(275001,105269,'Increases Threat to target by 1,557 ',100,1,0),
(275002,105269,'Interrupts target',100,1,1),
(275003,105269,'Dispels 121 levels of arcane beneficial effects on target',100,1,2),
(275004,10105269,'Forces target to change their selected target to caster.',100,1,0),
(275005,10105269,'Interrupts target',100,1,1),
(275006,10105269,'Dispels 121 levels of arcane beneficial effects on target',100,1,2),
(275007,102539,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(275008,102539,'Increases Aggression of caster by 14.6',100,1,1),
(275009,102539,'Increases Defense and Parry of caster by 29.2',100,1,2),
(275010,102539,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(275011,10102539,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(275012,10102539,'Increases Aggression of caster by 14.6',100,1,1),
(275013,10102539,'Increases Defense and Parry of caster by 29.2',100,1,2),
(275014,10102539,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(275015,118448,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(275016,118448,'Inflicts 10 - 13 heat damage on target instantly and every second',100,2,1),
(275017,10118448,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(275018,10118448,'Inflicts 12 - 15 heat damage on target instantly and every second',100,2,1),
(275019,26578,'When Equipped:',100,0,0),
(275020,26578,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(275021,26578,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(275022,10026578,'When Equipped:',100,0,0),
(275023,10026578,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(275024,10026578,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',100,1,2),
(275025,105416,'Increases STR of caster by 81.2',100,1,0),
(275026,105416,'Decreases Defense of caster by 9.6',100,1,1),
(275027,105416,'Increases Slashing, Piercing, Crushing and Disruption of caster by 15.8',100,1,2),
(275028,10105416,'Increases STR of caster by 81.2',100,1,0),
(275029,10105416,'Decreases Defense of caster by 9.6',100,1,1),
(275030,10105416,'Increases Slashing, Piercing, Crushing and Disruption of caster by 15.8',100,1,2),
(275031,81669,'When Equipped:',100,0,0),
(275032,81669,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275033,81669,'Decreases Threat to target by 352 ',100,2,2),
(275034,81669,'Must be flanking or behind',100,3,3),
(275035,81669,'Increases Threat to target by 617 ',100,2,4),
(275036,81669,'Must be in front of',100,3,5),
(275037,81669,'Inflicts 104 - 193 magic damage on target',100,2,6),
(275038,81669,'Cannot be modified except by direct means',100,2,7),
(275039,10081669,'When Equipped:',100,0,0),
(275040,10081669,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275041,10081669,'Inflicts 125 - 232 magic damage on target',100,2,2),
(275042,10081669,'Cannot be modified except by direct means',100,2,3),
(275043,45814,'Applies Crystal Recharge when Activated.',100,0,0),
(275044,45814,'Summon 1 Wand of Ice',100,1,1),
(275045,45814,'This effect cannot be cast during combat',100,1,2),
(275046,10045814,'Applies Crystal Recharge when Activated.',100,0,0),
(275047,10045814,'Summon 1 Wand of Ice',100,1,1),
(275048,10045814,'This effect cannot be cast during combat',100,1,2),
(275049,116869,'Wards group members (AE) against 438 points of noxious damage',100,1,0),
(275050,116869,'Increases Mitigation of group members (AE) vs noxious damage by 276',100,1,1),
(275051,10116869,'Wards group members (AE) against 438 points of noxious damage',100,1,0),
(275052,10116869,'Increases Mitigation of group members (AE) vs noxious damage by 276',100,1,1),
(275053,46323,'Applies Rainbow Rings when Activated.  Lasts for 3.0 seconds.',100,0,0),
(275054,46323,'Launches a firework when used.',100,1,1),
(275055,10046323,'Applies Rainbow Rings when Activated.  Lasts for 3.0 seconds.',100,0,0),
(275056,10046323,'Launches a firework when used.',100,1,1),
(275057,118438,'Heals target for 2035 - 2487',100,1,0),
(275058,118438,'Increases Max Health of target by 296.2',100,1,1),
(275059,10118438,'Heals target for 2361 - 2885',100,1,0),
(275060,10118438,'Increases Max Health of target by 296.2',100,1,1),
(275061,123323,'Increases STA of raid and group members (AE) by 41.0',100,1,0),
(275062,123323,'Increase spell damage of group and raid members by 5%.',100,1,1),
(275063,10123323,'Increases STA of raid and group members (AE) by 41.0',100,1,0),
(275064,10123323,'Increase spell damage of group and raid members by 5%.',100,1,1),
(275065,115396,'Inflicts 123 - 205 melee damage on target',100,1,0),
(275066,115396,'Decreases INT of target by 25.0',100,1,1),
(275067,115396,'You must be sneaking to use this ability.',100,1,2),
(275068,10115396,'Inflicts 147 - 246 melee damage on target',100,1,0),
(275069,10115396,'Decreases INT of target by 25.0',100,1,1),
(275070,10115396,'You must be sneaking to use this ability.',100,1,2),
(275071,117857,'Heals target for 66 - 80 instantly and every 2 seconds',100,1,0),
(275072,10117857,'Heals target for 43 - 52 instantly and every 2 seconds',100,1,0),
(275073,100096,'Decreases STR, AGI, WIS and INT of target by 6.0',100,1,0),
(275074,100096,'Decreases Max Health of target by 0.8%',100,1,1),
(275075,10100096,'Decreases STR, AGI, WIS and INT of target by 6.0',100,1,0),
(275076,10100096,'Decreases Max Health of target by 0.8%',100,1,1),
(275077,24689,'Adds Skeleton (Mystic) to your Dungeon Maker toolbox',100,0,0),
(275078,10024689,'Adds Skeleton (Mystic) to your Dungeon Maker toolbox',100,0,0),
(275079,113372,'Roots target',100,1,0),
(275080,113372,'Applies Stifle.  Lasts for 7.0 seconds.',100,1,1),
(275081,113372,'Stifles target',100,2,2),
(275082,113372,'Blurs vision of target',100,2,3),
(275083,113372,'Dispelled when target takes damage',100,2,4),
(275084,113372,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(275085,113372,'Resistibility increases against targets higher than level 76.',100,2,6),
(275086,113372,'5% chance to dispel when target takes damage',100,1,7),
(275087,113372,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,8),
(275088,113372,'Resistibility increases against targets higher than level 76.',100,1,9),
(275089,10113372,'Roots target',100,1,0),
(275090,10113372,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(275091,10113372,'Stifles target',100,2,2),
(275092,10113372,'Blurs vision of target',100,2,3),
(275093,10113372,'Dispelled when target takes damage',100,2,4),
(275094,10113372,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(275095,10113372,'Resistibility increases against targets higher than level 76.',100,2,6),
(275096,10113372,'5% chance to dispel when target takes damage',100,1,7),
(275097,10113372,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(275098,10113372,'Resistibility increases against targets higher than level 76.',100,1,9),
(275099,24265,'Adds Decrease Tier I (Multiple) to your Dungeon Maker toolbox',100,0,0),
(275100,10024265,'Adds Decrease Tier I (Multiple) to your Dungeon Maker toolbox',100,0,0),
(275101,120596,'Inflicts 131 - 243 heat damage on target',100,1,0),
(275102,10120596,'Inflicts 157 - 292 heat damage on target',100,1,0),
(275103,131227,'When Equipped:',100,0,0),
(275104,131227,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(275105,131227,'Increases Attack Speed of caster by 6.0',100,2,2),
(275106,131227,'Increases Damage Per Second of caster by 9.0',100,2,3),
(275107,131227,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(275108,131227,'Must not be engaged in pvp combat',100,2,5),
(275109,131227,'Cannot be modified except by direct means',100,2,6),
(275110,131227,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(275111,131227,'Cannot be modified except by direct means',100,1,8),
(275112,10131227,'When Equipped:',100,0,0),
(275113,10131227,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(275114,10131227,'Increases Attack Speed of caster by 6.0',100,2,2),
(275115,10131227,'Increases Damage Per Second of caster by 9.0',100,2,3),
(275116,10131227,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(275117,10131227,'Must not be engaged in pvp combat',100,2,5),
(275118,10131227,'Cannot be modified except by direct means',100,2,6),
(275119,10131227,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(275120,10131227,'Cannot be modified except by direct means',100,1,8),
(275121,107050,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(275122,107050,'Inflicts 112 - 187 divine damage on target',100,2,1),
(275123,107050,'Inflicts 112 - 187 divine damage on target',100,2,2),
(275124,107050,'If target is undead',100,3,3),
(275125,10107050,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(275126,10107050,'Inflicts 224 - 374 divine damage on target',100,2,1),
(275127,119873,'Increases INT and AGI of group members (AE) by 29.4',100,1,0),
(275128,119873,'Adds 1.5% to base avoidance.',100,1,1),
(275129,10119873,'Increases INT and AGI of group members (AE) by 29.4',100,1,0),
(275130,10119873,'Adds 1.5% to base avoidance.',100,1,1),
(275131,116887,'Wards group members (AE) against 1289 points of noxious damage',100,1,0),
(275132,116887,'Increases Mitigation of group members (AE) vs noxious damage by 708',100,1,1),
(275133,10116887,'Wards group members (AE) against 1289 points of noxious damage',100,1,0),
(275134,10116887,'Increases Mitigation of group members (AE) vs noxious damage by 708',100,1,1),
(275135,114027,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(275136,114027,'Heals target for 36 instantly and every 2 seconds',100,2,1),
(275137,114027,'Decreases Mitigation of target vs arcane damage by 720',100,1,2),
(275138,10114027,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(275139,10114027,'Heals target for 115 instantly and every 2 seconds',100,2,1),
(275140,10114027,'Decreases Mitigation of target vs arcane damage by 720',100,1,2),
(275141,24022,'Adds Aviak (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(275142,10024022,'Adds Aviak (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(275143,47969,'Applies Screwloose Bomb when Activated.  Lasts for 36.0 seconds.',100,0,0),
(275144,47969,'Decreases Mitigation of targets in Area of Effect vs elemental damage by 2530',100,1,1),
(275145,47969,'Inflicts 1060 heat damage on targets in Area of Effect',100,1,2),
(275146,47969,'Only affects targets level 50 and above',100,1,3),
(275147,10047969,'Applies Screwloose Bomb when Activated.  Lasts for 36.0 seconds.',100,0,0),
(275148,10047969,'Decreases Mitigation of targets in Area of Effect vs elemental damage by 1265',100,1,1),
(275149,10047969,'Inflicts 566 heat damage on targets in Area of Effect',100,1,2),
(275150,10047969,'Only affects targets level 50 and above',100,1,3),
(275151,102184,'Increases Mitigation of group members (AE) vs physical damage by 320',100,1,0),
(275152,10102184,'Increases Mitigation of group members (AE) vs physical damage by 320',100,1,0),
(275153,121214,'Grants stealth to caster',100,1,0),
(275154,121214,'Suspends caster''s movement speed enhancements',100,1,1),
(275155,121214,'Decreases Threat to target by 1,476 - 2,460 ',100,1,2),
(275156,10121214,'Forces target to clear their selected target.',100,1,0),
(275157,10121214,'Grants stealth to caster',100,1,1),
(275158,10121214,'Suspends caster''s movement speed enhancements',100,1,2),
(275159,105410,'Increases STR of caster by 43.6',100,1,0),
(275160,105410,'Decreases Defense of caster by 4.8',100,1,1),
(275161,105410,'Increases Slashing, Piercing, Crushing and Disruption of caster by 7.9',100,1,2),
(275162,10105410,'Increases STR of caster by 43.6',100,1,0),
(275163,10105410,'Decreases Defense of caster by 4.8',100,1,1),
(275164,10105410,'Increases Slashing, Piercing, Crushing and Disruption of caster by 7.9',100,1,2),
(275165,47168,'Applies Murky Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(275166,10047168,'Applies Murky Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(275167,121299,'Inflicts 127 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(275168,121299,'Inflicts 418 - 697 melee damage on targets in area',100,1,1),
(275169,121299,'You must be in stealth or have Bloody Assault.',100,1,2),
(275170,10121299,'Inflicts 152 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(275171,10121299,'Inflicts 502 - 836 melee damage on targets in area',100,1,1),
(275172,10121299,'You must be in stealth or have Bloody Assault.',100,1,2),
(275173,124214,'Decreases Attack Speed of caster by 12.7',100,1,0),
(275174,124214,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(275175,124214,'Slows targets in Area of Effect by 49.6%',100,2,2),
(275176,124214,'5% chance to dispel when target receives hostile action',100,2,3),
(275177,124214,'5% chance to dispel when target takes damage',100,2,4),
(275178,124214,'Increases Mitigation of caster vs physical damage by 378',100,1,5),
(275179,10124214,'Decreases Attack Speed of caster by 12.7',100,1,0),
(275180,10124214,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(275181,10124214,'Slows targets in Area of Effect by 37.2%',100,2,2),
(275182,10124214,'5% chance to dispel when target receives hostile action',100,2,3),
(275183,10124214,'5% chance to dispel when target takes damage',100,2,4),
(275184,10124214,'Increases Mitigation of caster vs physical damage by 378',100,1,5),
(275185,79029,'Applies Frost Blast when Activated.',100,0,0),
(275186,79029,'Inflicts 53 - 89 cold damage on target',100,1,1),
(275187,79029,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(275188,10079029,'Applies Frost Blast when Activated.',100,0,0),
(275189,10079029,'Inflicts 64 - 106 cold damage on target',100,1,1),
(275190,10079029,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(275191,106192,'Wards target against 142 points of all damage',100,1,0),
(275192,106192,'Decreases INT of target by 137.5',100,1,1),
(275193,106192,'Decreases Attack Speed of target by 25.0',100,1,2),
(275194,106192,'Increases Max Health of target by 16.0%',100,1,3),
(275195,106192,'Increases Hate Gain of target by 46.1%',100,1,4),
(275196,106192,'Increases Aggression of target by 16.8',100,1,5),
(275197,106192,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(275198,106192,'Increases Threat to target encounter by 296 - 362 ',100,2,7),
(275199,106192,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,8),
(275200,10106192,'Wards target against 142 points of all damage',100,1,0),
(275201,10106192,'Decreases INT of target by 137.5',100,1,1),
(275202,10106192,'Decreases Attack Speed of target by 25.0',100,1,2),
(275203,10106192,'Increases Max Health of target by 16.0%',100,1,3),
(275204,10106192,'Increases Aggression of target by 16.8',100,1,4),
(275205,10106192,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',100,1,5),
(275206,123854,'Increases AGI of caster by 31.8',100,1,0),
(275207,123854,'Adds 15.6% to base avoidance.',100,1,1),
(275208,123854,'Increases Damage Per Second of caster by 32.6',100,1,2),
(275209,123854,'Increases Mitigation of caster vs physical damage by 287',100,1,3),
(275210,123854,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,4),
(275211,10123854,'Increases AGI of caster by 31.8',100,1,0),
(275212,10123854,'Adds 15.6% to base avoidance.',100,1,1),
(275213,10123854,'Increases Damage Per Second of caster by 32.6',100,1,2),
(275214,10123854,'Increases Mitigation of caster vs physical damage by 287',100,1,3),
(275215,10123854,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',100,1,4),
(275216,119790,'Inflicts 57 - 95 melee damage on target',100,1,0),
(275217,119790,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(275218,119790,'Grants stealth to caster',100,2,2),
(275219,119790,'Suspends caster''s movement speed enhancements',100,2,3),
(275220,119790,'Must be flanking or behind',100,1,4),
(275221,10119790,'Inflicts 69 - 115 melee damage on target',100,1,0),
(275222,10119790,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(275223,10119790,'Grants stealth to caster',100,2,2),
(275224,10119790,'Suspends caster''s movement speed enhancements',100,2,3),
(275225,10119790,'Must be flanking or behind',100,1,4),
(275226,81007,'When Equipped:',100,0,0),
(275227,81007,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275228,81007,'Decreases Threat to target by 833 ',100,2,2),
(275229,81007,'Must be flanking or behind',100,3,3),
(275230,81007,'Increases Threat to target by 1,293 ',100,2,4),
(275231,81007,'Must be in front of',100,3,5),
(275232,81007,'Inflicts 228 - 423 magic damage on target',100,2,6),
(275233,81007,'Cannot be modified except by direct means',100,2,7),
(275234,10081007,'When Equipped:',100,0,0),
(275235,10081007,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275236,10081007,'Inflicts 273 - 508 magic damage on target',100,2,2),
(275237,10081007,'Cannot be modified except by direct means',100,2,3),
(275238,121326,'Inflicts 1087 - 1813 ranged damage on targets in area',100,1,0),
(275239,121326,'Requires bow',100,1,1),
(275240,10121326,'Inflicts 734 - 1223 ranged damage on targets in area',100,1,0),
(275241,10121326,'Requires bow',100,1,1),
(275242,177604,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(275243,177604,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(275244,177604,'Inflicts 47 heat damage on target',100,2,2),
(275245,177604,'Cannot be modified except by direct means',100,2,3),
(275246,10177604,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(275247,10177604,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(275248,10177604,'Inflicts 57 heat damage on target',100,2,2),
(275249,10177604,'Cannot be modified except by direct means',100,2,3),
(275250,36570,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(275251,83458,'When Equipped:',100,0,0),
(275252,83458,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(275253,83458,'Inflicts 1192 disease damage on target encounter',100,2,2),
(275254,83458,'Must not be engaged in pvp combat',100,2,3),
(275255,83458,'Cannot be modified except by direct means',100,2,4),
(275256,10083458,'When Equipped:',100,0,0),
(275257,10083458,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(275258,10083458,'Inflicts 715 disease damage on target encounter',100,2,2),
(275259,10083458,'Must not be engaged in pvp combat',100,2,3),
(275260,10083458,'Cannot be modified except by direct means',100,2,4),
(275261,117402,'Increases Threat to target by 1,331 ',100,1,0),
(275262,117402,'Inflicts 101 - 304 melee damage on target',100,1,1),
(275263,10117402,'Forces target to change their selected target to caster.',100,1,0),
(275264,10117402,'Inflicts 81 - 243 melee damage on target',100,1,1),
(275265,41288,'When Equipped:',100,0,0),
(275266,41288,'Reduces power cost of all spells by 5 percent.',100,1,1),
(275267,10041288,'When Equipped:',100,0,0),
(275268,10041288,'Reduces power cost of all spells by 5 percent.',100,1,1),
(275269,144884,'When Equipped:',100,0,0),
(275270,144884,'Reduces maximum falling speed of caster',100,1,1),
(275271,144884,'Applies Rune of the Scholar when Activated.',100,0,2),
(275272,144884,'Runes of the scholar surround you.',100,1,3),
(275273,144884,'The casting time of Rune of the Scholar is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,4),
(275274,10144884,'When Equipped:',100,0,0),
(275275,10144884,'Reduces maximum falling speed of caster',100,1,1),
(275276,10144884,'Applies Rune of the Scholar when Activated.',100,0,2),
(275277,10144884,'Runes of the scholar surround you.',100,1,3),
(275278,10144884,'The casting time of Rune of the Scholar is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,4),
(275279,103920,'Wards group members (AE) collectively against 1112 total points of all damage',100,1,0),
(275280,10103920,'Wards group members (AE) collectively against 1657 total points of all damage',100,1,0),
(275281,123172,'Reduces physical damage done to caster by 5%',100,1,0),
(275282,123172,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(275283,123172,'Increases Aggression of caster by 10.4',100,1,2),
(275284,123172,'Increases Defense and Parry of caster by 20.7',100,1,3),
(275285,123172,'Increases Mitigation of caster vs elemental damage by 1436',100,1,4),
(275286,123172,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(275287,10123172,'Reduces physical damage done to caster by 5%',100,1,0),
(275288,10123172,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(275289,10123172,'Increases Aggression of caster by 10.4',100,1,2),
(275290,10123172,'Increases Defense and Parry of caster by 20.7',100,1,3),
(275291,10123172,'Increases Mitigation of caster vs elemental damage by 1436',100,1,4),
(275292,10123172,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(275293,81006,'When Equipped:',100,0,0),
(275294,81006,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275295,81006,'Decreases Threat to target by 833 ',100,2,2),
(275296,81006,'Must be flanking or behind',100,3,3),
(275297,81006,'Increases Threat to target by 1,293 ',100,2,4),
(275298,81006,'Must be in front of',100,3,5),
(275299,81006,'Inflicts 228 - 423 magic damage on target',100,2,6),
(275300,81006,'Cannot be modified except by direct means',100,2,7),
(275301,10081006,'When Equipped:',100,0,0),
(275302,10081006,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275303,10081006,'Inflicts 273 - 508 magic damage on target',100,2,2),
(275304,10081006,'Cannot be modified except by direct means',100,2,3),
(275305,124499,'Heals group members (AE) for 1296 - 1584',100,1,0),
(275306,10124499,'Heals group members (AE) for 1516 - 1853',100,1,0),
(275307,181808,'When Equipped:',100,0,0),
(275308,181808,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(275309,181808,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(275310,181808,'Increases STR, WIS, AGI and INT of caster by 50.0',100,2,3),
(275311,181808,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(275312,181808,'Must not be engaged in pvp combat',100,2,5),
(275313,181808,'Cannot be modified except by direct means',100,2,6),
(275314,181808,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(275315,181808,'Increases STR, WIS, AGI and INT of caster by 50.0',100,2,8),
(275316,181808,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(275317,181808,'Must not be engaged in pvp combat',100,2,10),
(275318,181808,'Cannot be modified except by direct means',100,2,11),
(275319,181808,'Cannot be modified except by direct means',100,1,12),
(275320,10181808,'When Equipped:',100,0,0),
(275321,10181808,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(275322,10181808,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(275323,10181808,'Increases STR, WIS, AGI and INT of caster by 50.0',100,2,3),
(275324,10181808,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(275325,10181808,'Must not be engaged in pvp combat',100,2,5),
(275326,10181808,'Cannot be modified except by direct means',100,2,6),
(275327,10181808,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(275328,10181808,'Increases STR, WIS, AGI and INT of caster by 50.0',100,2,8),
(275329,10181808,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(275330,10181808,'Must not be engaged in pvp combat',100,2,10),
(275331,10181808,'Cannot be modified except by direct means',100,2,11),
(275332,10181808,'Cannot be modified except by direct means',100,1,12),
(275333,81032,'When Equipped:',100,0,0),
(275334,81032,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275335,81032,'Inflicts 133 - 248 magic damage on target',100,2,2),
(275336,81032,'Cannot be modified except by direct means',100,2,3),
(275337,10081032,'When Equipped:',100,0,0),
(275338,10081032,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275339,10081032,'Inflicts 160 - 297 magic damage on target',100,2,2),
(275340,10081032,'Cannot be modified except by direct means',100,2,3),
(275341,120580,'Inflicts 23 - 43 heat damage on target',100,1,0),
(275342,10120580,'Inflicts 28 - 52 heat damage on target',100,1,0),
(275343,36353,'Increases STA and WIS of target by 15.4',100,0,0),
(275344,36353,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(275345,101217,'Inflicts 217 - 362 cold damage on target',100,1,0),
(275346,101217,'Dazes target',100,1,1),
(275347,101217,'If Target is not Epic',100,2,2),
(275348,101217,'Resistibility increases against targets higher than level 87.',100,1,3),
(275349,10101217,'Inflicts 260 - 434 cold damage on target',100,1,0),
(275350,10101217,'Dazes target',100,1,1),
(275351,10101217,'If Target is not Epic',100,2,2),
(275352,10101217,'Resistibility increases against targets higher than level 87.',100,1,3),
(275353,109529,'Inflicts 230 - 281 disease damage on target instantly and every 4 seconds',100,1,0),
(275354,109529,'Decreases Attack Speed of target by 11.2',100,1,1),
(275355,10109529,'Inflicts 276 - 337 disease damage on target instantly and every 4 seconds',100,1,0),
(275356,10109529,'Decreases Attack Speed of target by 11.2',100,1,1),
(275357,48729,'Applies Elixir of Ice Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(275358,48729,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(275359,10048729,'Applies Elixir of Ice Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(275360,10048729,'Increases Mitigation of caster vs elemental damage by 150',100,1,1),
(275361,81566,'When Equipped:',100,0,0),
(275362,81566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275363,81566,'Inflicts 112 - 208 magic damage on target',100,2,2),
(275364,81566,'Cannot be modified except by direct means',100,2,3),
(275365,10081566,'When Equipped:',100,0,0),
(275366,10081566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275367,10081566,'Inflicts 135 - 250 magic damage on target',100,2,2),
(275368,10081566,'Cannot be modified except by direct means',100,2,3),
(275369,35185,'Increases WIS of target by 4.3',100,0,0),
(275370,35185,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(275371,40390,'When Equipped:',100,0,0),
(275372,40390,'On a critical combat hit this spell may cast Flying Fist II on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(275373,40390,'Stifles target',100,2,2),
(275374,40390,'If Target is not Epic',100,3,3),
(275375,40390,'Inflicts 74 - 82 heat damage on target',100,2,4),
(275376,40390,'Increases Threat to target by 332 - 367 ',100,2,5),
(275377,40390,'Must not be engaged in pvp combat',100,2,6),
(275378,40390,'Cannot be modified except by direct means',100,2,7),
(275379,40390,'Must not be engaged in pvp combat',100,1,8),
(275380,10040390,'When Equipped:',100,0,0),
(275381,10040390,'On a critical combat hit this spell may cast Flying Fist II on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(275382,10040390,'Stifles target',100,2,2),
(275383,10040390,'If Target is not Epic',100,3,3),
(275384,10040390,'Inflicts 89 - 98 heat damage on target',100,2,4),
(275385,10040390,'Must not be engaged in pvp combat',100,2,5),
(275386,10040390,'Cannot be modified except by direct means',100,2,6),
(275387,10040390,'Must not be engaged in pvp combat',100,1,7),
(275388,101406,'Inflicts 295 - 493 melee damage on target',100,1,0),
(275389,101406,'Returns the last arrow used to the ranger.',100,1,1),
(275390,10101406,'Inflicts 355 - 591 melee damage on target',100,1,0),
(275391,10101406,'Returns the last arrow used to the ranger.',100,1,1),
(275392,71792,'When Equipped:',100,0,0),
(275393,71792,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275394,71792,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(275395,71792,'Cannot be modified except by direct means',100,2,3),
(275396,10071792,'When Equipped:',100,0,0),
(275397,10071792,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275398,10071792,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(275399,10071792,'Cannot be modified except by direct means',100,2,3),
(275400,106303,'Decreases INT and STR of target by 7.8',100,1,0),
(275401,10106303,'Decreases INT and STR of target by 7.8',100,1,0),
(275402,123583,'Increases STR of group members (AE) by 75.2',100,1,0),
(275403,123583,'Increases Max Health of group members (AE) by 665.6',100,1,1),
(275404,10123583,'Increases STR of group members (AE) by 75.2',100,1,0),
(275405,10123583,'Increases Max Health of group members (AE) by 665.6',100,1,1),
(275406,24449,'Adds Iksar Skeleton (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(275407,10024449,'Adds Iksar Skeleton (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(275408,46223,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(275409,46223,'Wards caster against 815 points of elemental damage',100,1,1),
(275410,10046223,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(275411,10046223,'Wards caster against 815 points of elemental damage',100,1,1),
(275412,35521,'Increases STA and WIS of target by 15.8',100,0,0),
(275413,35521,'Increases Out-of-Combat Power Regeneration of target by 138.0',100,0,1),
(275414,104283,'Inflicts 47 - 79 melee damage on target',100,1,0),
(275415,104283,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(275416,104283,'Stuns target',100,2,2),
(275417,104283,'Throws target back',100,2,3),
(275418,104283,'Blurs vision of target',100,2,4),
(275419,104283,'Does not affect Epic targets',100,2,5),
(275420,10104283,'Inflicts 57 - 95 melee damage on target',100,1,0),
(275421,10104283,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(275422,10104283,'Blurs vision of target',100,2,2),
(275423,10104283,'Stuns target',100,2,3),
(275424,10104283,'Throws target back',100,2,4),
(275425,10104283,'Does not affect Epic targets',100,2,5),
(275426,81689,'When Equipped:',100,0,0),
(275427,81689,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275428,81689,'Decreases Threat to target by 259 ',100,2,2),
(275429,81689,'Must be flanking or behind',100,3,3),
(275430,81689,'Increases Threat to target by 453 ',100,2,4),
(275431,81689,'Must be in front of',100,3,5),
(275432,81689,'Inflicts 79 - 146 magic damage on target',100,2,6),
(275433,81689,'Cannot be modified except by direct means',100,2,7),
(275434,10081689,'When Equipped:',100,0,0),
(275435,10081689,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275436,10081689,'Inflicts 94 - 175 magic damage on target',100,2,2),
(275437,10081689,'Cannot be modified except by direct means',100,2,3),
(275438,123857,'Increases AGI of caster by 35.0',100,1,0),
(275439,123857,'Adds 17.2% to base avoidance.',100,1,1),
(275440,123857,'Increases Damage Per Second of caster by 35.8',100,1,2),
(275441,123857,'Increases Mitigation of caster vs physical damage by 316',100,1,3),
(275442,123857,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,4),
(275443,10123857,'Increases AGI of caster by 35.0',100,1,0),
(275444,10123857,'Adds 17.2% to base avoidance.',100,1,1),
(275445,10123857,'Increases Damage Per Second of caster by 35.8',100,1,2),
(275446,10123857,'Increases Mitigation of caster vs physical damage by 316',100,1,3),
(275447,10123857,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,4),
(275448,78984,'When Equipped:',100,0,0),
(275449,78984,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(275450,10078984,'When Equipped:',100,0,0),
(275451,10078984,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(275452,121772,'Heals target for 85 - 104',100,1,0),
(275453,121772,'Heals target for 14 - 17 every second',100,1,1),
(275454,10121772,'Heals target for 147 - 180',100,1,0),
(275455,10121772,'Heals target for 12 - 15 every second',100,1,1),
(275456,111901,'Inflicts 7 - 12 piercing damage on target instantly and every 4 seconds',100,1,0),
(275457,111901,'Inflicts 25 - 42 piercing damage on target',100,1,1),
(275458,10111901,'Inflicts 14 - 23 piercing damage on target instantly and every 4 seconds',100,1,0),
(275459,10111901,'Inflicts 42 - 70 piercing damage on target',100,1,1),
(275460,110479,'Stifles caster',100,1,0),
(275461,110479,'Increases power of caster by 13 instantly and every second',100,1,1),
(275462,10110479,'Stifles caster',100,1,0),
(275463,10110479,'Increases power of caster by 13 instantly and every second',100,1,1),
(275464,114123,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(275465,114123,'Increases Mitigation of group members (AE) vs elemental damage by 238',100,1,1),
(275466,10114123,'Increases Max Health of group members (AE) by 37.2',100,1,0),
(275467,10114123,'Increases Mitigation of group members (AE) vs elemental damage by 238',100,1,1),
(275468,71550,'When Equipped:',100,0,0),
(275469,71550,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275470,71550,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(275471,71550,'Cannot be modified except by direct means',100,2,3),
(275472,10071550,'When Equipped:',100,0,0),
(275473,10071550,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275474,10071550,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(275475,10071550,'Cannot be modified except by direct means',100,2,3),
(275476,37469,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(275477,25305,'When Equipped:',100,0,0),
(275478,25305,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(275479,25305,'Adds 10% max health to Bladeweaver VII.',100,1,2),
(275480,10025305,'When Equipped:',100,0,0),
(275481,10025305,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(275482,10025305,'Adds 10% max health to Bladeweaver VII.',100,1,2),
(275483,48508,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(275484,48508,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(275485,48508,'Inflicts 36 poison damage on target instantly and every 6 seconds',100,2,2),
(275486,48508,'Inflicts 14 poison damage on target',100,2,3),
(275487,48508,'Cannot be modified except by direct means',100,2,4),
(275488,48508,'Grants a total of 200 triggers of the spell.',100,2,5),
(275489,10048508,'Applies uncomfortable darkness when Activated.  Lasts for 12 hours.',100,0,0),
(275490,10048508,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(275491,10048508,'Inflicts 12 poison damage on target',100,2,2),
(275492,10048508,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,3),
(275493,10048508,'Cannot be modified except by direct means',100,2,4),
(275494,10048508,'Grants a total of 200 triggers of the spell.',100,2,5),
(275495,40674,'When Equipped:',100,0,0),
(275496,40674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275497,40674,'Inflicts 26 - 40 magic damage on target',100,2,2),
(275498,40674,'Cannot be modified except by direct means',100,2,3),
(275499,10040674,'When Equipped:',100,0,0),
(275500,10040674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275501,10040674,'Inflicts 32 - 48 magic damage on target',100,2,2),
(275502,10040674,'Cannot be modified except by direct means',100,2,3),
(275503,109129,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(275504,109129,'Heals target for 328 - 401',100,2,1),
(275505,109129,'Grants a total of 8 triggers of the spell.',100,2,2),
(275506,10109129,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(275507,10109129,'Heals target for 213 - 260',100,2,1),
(275508,10109129,'Grants a total of 8 triggers of the spell.',100,2,2),
(275509,36073,'Increases STR of target by 4.3',100,0,0),
(275510,36073,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(275511,159724,'When Equipped:',100,0,0),
(275512,159724,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(275513,159724,'Increases AGI of caster by 15.5',100,2,2),
(275514,159724,'Increases Attack Speed of caster by 19.3',100,2,3),
(275515,159724,'Cannot be modified except by direct means',100,2,4),
(275516,10159724,'When Equipped:',100,0,0),
(275517,10159724,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(275518,10159724,'Increases AGI of caster by 15.5',100,2,2),
(275519,10159724,'Increases Attack Speed of caster by 19.3',100,2,3),
(275520,10159724,'Cannot be modified except by direct means',100,2,4),
(275521,72172,'When Equipped:',100,0,0),
(275522,72172,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275523,72172,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(275524,72172,'Cannot be modified except by direct means',100,2,3),
(275525,10072172,'When Equipped:',100,0,0),
(275526,10072172,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275527,10072172,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(275528,10072172,'Cannot be modified except by direct means',100,2,3),
(275529,160535,'When Equipped:',100,0,0),
(275530,160535,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(275531,160535,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(275532,160535,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(275533,160535,'This effect cannot occur more than once a second',100,2,4),
(275534,160535,'Must be engaged in pvp combat',100,2,5),
(275535,160535,'Cannot be modified except by direct means',100,2,6),
(275536,160535,'Cannot be modified except by direct means',100,1,7),
(275537,160535,'When Equipped:',100,0,8),
(275538,160535,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(275539,160535,'Must be engaged in pvp combat',100,1,10),
(275540,160535,'When Equipped:',100,0,11),
(275541,160535,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(275542,160535,'Must be engaged in pvp combat',100,1,13),
(275543,10160535,'When Equipped:',100,0,0),
(275544,10160535,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(275545,10160535,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(275546,10160535,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(275547,10160535,'This effect cannot occur more than once a second',100,2,4),
(275548,10160535,'Must be engaged in pvp combat',100,2,5),
(275549,10160535,'Cannot be modified except by direct means',100,2,6),
(275550,10160535,'Cannot be modified except by direct means',100,1,7),
(275551,10160535,'When Equipped:',100,0,8),
(275552,10160535,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(275553,10160535,'Must be engaged in pvp combat',100,1,10),
(275554,10160535,'When Equipped:',100,0,11),
(275555,10160535,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(275556,10160535,'Must be engaged in pvp combat',100,1,13),
(275557,122744,'Applies Tranquil Healing.',100,1,0),
(275558,122744,'Heals target for 1163',100,2,1),
(275559,122744,'Dispels 155 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(275560,122744,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(275561,122744,'Heals target for 1163',100,3,4),
(275562,10122744,'Applies Tranquil Healing.',100,1,0),
(275563,10122744,'Heals target for 468',100,2,1),
(275564,10122744,'Dispels 155 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(275565,10122744,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(275566,10122744,'Heals target for 468',100,3,4),
(275567,105059,'Inflicts 12 - 17 magic damage on target',100,1,0),
(275568,10105059,'Inflicts 15 - 20 magic damage on target',100,1,0),
(275569,100236,'Inflicts 3 - 6 poison damage on target instantly and every 3 seconds',100,1,0),
(275570,10100236,'Inflicts 8 - 15 poison damage on target instantly and every 3 seconds',100,1,0),
(275571,117002,'Inflicts 43 - 129 melee damage on target',100,1,0),
(275572,10117002,'Inflicts 51 - 155 melee damage on target',100,1,0),
(275573,102693,'Inflicts 569 divine damage on target encounter',100,1,0),
(275574,10102693,'Inflicts 683 divine damage on target encounter',100,1,0),
(275575,105601,'Decreases power of target encounter by 56 - 69 instantly and every 3 seconds',100,1,0),
(275576,105601,'Inflicts 131 - 243 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(275577,105601,'Heals group members (AE) for 70 - 130 instantly and every 3 seconds',100,1,2),
(275578,105601,'Increases power of group members (AE) by 27 instantly and every 3 seconds',100,1,3),
(275579,10105601,'Decreases power of target encounter by 56 - 69 instantly and every 3 seconds',100,1,0),
(275580,10105601,'Inflicts 157 - 292 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(275581,10105601,'Heals group members (AE) for 45 - 84 instantly and every 3 seconds',100,1,2),
(275582,10105601,'Increases power of group members (AE) by 27 instantly and every 3 seconds',100,1,3),
(275583,71475,'When Equipped:',100,0,0),
(275584,71475,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275585,71475,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(275586,71475,'Cannot be modified except by direct means',100,2,3),
(275587,10071475,'When Equipped:',100,0,0),
(275588,10071475,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275589,10071475,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(275590,10071475,'Cannot be modified except by direct means',100,2,3),
(275591,104272,'Inflicts 28 - 47 crushing damage on target',100,1,0),
(275592,104272,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(275593,104272,'Blurs vision of target',100,2,2),
(275594,104272,'Stuns target',100,2,3),
(275595,104272,'Throws target back',100,2,4),
(275596,104272,'Does not affect Epic targets',100,2,5),
(275597,10104272,'Inflicts 34 - 57 crushing damage on target',100,1,0),
(275598,10104272,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(275599,10104272,'Stuns target',100,2,2),
(275600,10104272,'Blurs vision of target',100,2,3),
(275601,10104272,'Throws target back',100,2,4),
(275602,10104272,'Does not affect Epic targets',100,2,5),
(275603,122847,'Inflicts 35 - 58 ranged damage on target',100,1,0),
(275604,122847,'Inflicts 70 - 117 ranged damage on target',100,1,1),
(275605,122847,'Inflicts 105 - 176 ranged damage on target',100,1,2),
(275606,122847,'Requires bow',100,1,3),
(275607,10122847,'Inflicts 33 - 55 ranged damage on target',100,1,0),
(275608,10122847,'Inflicts 66 - 110 ranged damage on target',100,1,1),
(275609,10122847,'Inflicts 99 - 165 ranged damage on target',100,1,2),
(275610,10122847,'Requires bow',100,1,3),
(275611,104546,'Increases Threat to target by 1,572 - 1,819  instantly and by 389 - 475  every 2 seconds thereafter',100,1,0),
(275612,10104546,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(275613,105195,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(275614,105195,'Inflicts 125 - 153 poison damage on target encounter',100,2,1),
(275615,10105195,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(275616,10105195,'Inflicts 151 - 184 poison damage on target encounter',100,2,1),
(275617,141680,'When Equipped:',100,0,0),
(275618,141680,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(275619,141680,'Increases AGI of caster by 23.1',100,2,2),
(275620,141680,'Increases Attack Speed of caster by 23.9',100,2,3),
(275621,141680,'Cannot be modified except by direct means',100,2,4),
(275622,10141680,'When Equipped:',100,0,0),
(275623,10141680,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(275624,10141680,'Increases AGI of caster by 23.1',100,2,2),
(275625,10141680,'Increases Attack Speed of caster by 23.9',100,2,3),
(275626,10141680,'Cannot be modified except by direct means',100,2,4),
(275627,107705,'Inflicts 162 - 270 heat damage on target',100,1,0),
(275628,107705,'You must be sneaking to use this ability.',100,1,1),
(275629,10107705,'Inflicts 195 - 325 heat damage on target',100,1,0),
(275630,10107705,'You must be sneaking to use this ability.',100,1,1),
(275631,41586,'When Equipped:',100,0,0),
(275632,41586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275633,41586,'Inflicts 169 - 314 magic damage on target',100,2,2),
(275634,41586,'Cannot be modified except by direct means',100,2,3),
(275635,10041586,'When Equipped:',100,0,0),
(275636,10041586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275637,10041586,'Inflicts 203 - 377 magic damage on target',100,2,2),
(275638,10041586,'Cannot be modified except by direct means',100,2,3),
(275639,101390,'Inflicts 139 - 233 melee damage on target',100,1,0),
(275640,101390,'Returns the last arrow used to the ranger.',100,1,1),
(275641,10101390,'Inflicts 167 - 279 melee damage on target',100,1,0),
(275642,10101390,'Returns the last arrow used to the ranger.',100,1,1),
(275643,45236,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(275644,45236,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,1),
(275645,45236,'Caster will harvest a second time on 2.0% of harvests.',100,1,2),
(275646,10045236,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(275647,10045236,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,1),
(275648,10045236,'Caster will harvest a second time on 2.0% of harvests.',100,1,2),
(275649,106131,'Inflicts 597 - 996 melee damage on target',100,1,0),
(275650,106131,'Decreases Defense, Parry and Deflection of target by 62.4',100,1,1),
(275651,10106131,'Inflicts 717 - 1195 melee damage on target',100,1,0),
(275652,10106131,'Decreases Defense, Parry and Deflection of target by 62.4',100,1,1),
(275653,105208,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(275654,105208,'Inflicts 170 - 208 poison damage on target encounter',100,2,1),
(275655,10105208,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(275656,10105208,'Inflicts 204 - 250 poison damage on target encounter',100,2,1),
(275657,107777,'Stuns target',100,1,0),
(275658,107777,'If Target is not Epic',100,2,1),
(275659,107777,'Inflicts 1100 - 1834 cold damage on target',100,1,2),
(275660,107777,'Resistibility increases against targets higher than level 121.',100,1,3),
(275661,10107777,'Stuns target',100,1,0),
(275662,10107777,'If Target is not Epic',100,2,1),
(275663,10107777,'Inflicts 1320 - 2200 cold damage on target',100,1,2),
(275664,10107777,'Resistibility increases against targets higher than level 121.',100,1,3),
(275665,187555,'When Equipped:',100,0,0),
(275666,187555,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(275667,10187555,'When Equipped:',100,0,0),
(275668,10187555,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(275669,119288,'Inflicts 88 - 148 slashing damage on target',100,1,0),
(275670,119288,'Decreases Damage Per Second of target by 18.9',100,1,1),
(275671,119288,'Inflicts 119 slashing damage on target instantly and every 4 seconds',100,1,2),
(275672,10119288,'Inflicts 106 - 177 slashing damage on target',100,1,0),
(275673,10119288,'Decreases Damage Per Second of target by 18.9',100,1,1),
(275674,10119288,'Inflicts 142 slashing damage on target instantly and every 4 seconds',100,1,2),
(275675,117055,'Inflicts 292 - 486 melee damage on target',100,1,0),
(275676,117055,'Decreases Attack Speed of target by 21.0',100,1,1),
(275677,10117055,'Inflicts 350 - 584 melee damage on target',100,1,0),
(275678,10117055,'Decreases Attack Speed of target by 21.0',100,1,1),
(275679,101379,'Reduces physical damage done to caster by 5%',100,1,0),
(275680,101379,'Adds 1.8% to base avoidance.',100,1,1),
(275681,101379,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(275682,101379,'Increases Aggression of caster by 23.4',100,1,3),
(275683,101379,'Increases Defense and Parry of caster by 37.4',100,1,4),
(275684,101379,'Increases Mitigation of caster vs noxious and arcane damage by 229',100,1,5),
(275685,101379,'Increases Mitigation of caster vs elemental damage by 2295',100,1,6),
(275686,101379,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(275687,10101379,'Reduces physical damage done to caster by 5%',100,1,0),
(275688,10101379,'Adds 1.8% to base avoidance.',100,1,1),
(275689,10101379,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,2),
(275690,10101379,'Increases Aggression of caster by 23.4',100,1,3),
(275691,10101379,'Increases Defense and Parry of caster by 37.4',100,1,4),
(275692,10101379,'Increases Mitigation of caster vs noxious and arcane damage by 229',100,1,5),
(275693,10101379,'Increases Mitigation of caster vs elemental damage by 2295',100,1,6),
(275694,10101379,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(275695,155121,'When Equipped:',100,0,0),
(275696,155121,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(275697,155121,'Increases Potency of caster by 5.0%',100,2,2),
(275698,155121,'Cannot be modified except by direct means',100,2,3),
(275699,10155121,'When Equipped:',100,0,0),
(275700,10155121,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(275701,10155121,'Increases Potency of caster by 5.0%',100,2,2),
(275702,10155121,'Cannot be modified except by direct means',100,2,3),
(275703,37541,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(275704,159250,'Applies Sanguine Imbued when Equipped.',100,0,0),
(275705,159250,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(275706,159250,'Inflicts 154 heat damage on target',100,2,2),
(275707,159250,'Cannot be modified except by direct means',100,2,3),
(275708,10159250,'Applies Sanguine Imbued when Equipped.',100,0,0),
(275709,10159250,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(275710,10159250,'Inflicts 185 heat damage on target',100,2,2),
(275711,10159250,'Cannot be modified except by direct means',100,2,3),
(275712,105860,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(275713,105860,'Increases Damage Per Second of caster by 64.7',100,1,1),
(275714,105860,'Increases Piercing, Slashing and Crushing of caster by 34.2',100,1,2),
(275715,10105860,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(275716,10105860,'Increases Damage Per Second of caster by 64.7',100,1,1),
(275717,10105860,'Increases Piercing, Slashing and Crushing of caster by 34.2',100,1,2),
(275718,74984,'When Equipped:',100,0,0),
(275719,74984,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275720,74984,'Inflicts 63 - 94 magic damage on target',100,2,2),
(275721,74984,'Cannot be modified except by direct means',100,2,3),
(275722,10074984,'When Equipped:',100,0,0),
(275723,10074984,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275724,10074984,'Inflicts 75 - 113 magic damage on target',100,2,2),
(275725,10074984,'Cannot be modified except by direct means',100,2,3),
(275726,52918,'Applies Sanguine Imbued when Equipped.',100,0,0),
(275727,52918,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(275728,52918,'Inflicts 77 heat damage on target',100,2,2),
(275729,52918,'Cannot be modified except by direct means',100,2,3),
(275730,10052918,'Applies Sanguine Imbued when Equipped.',100,0,0),
(275731,10052918,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(275732,10052918,'Inflicts 92 heat damage on target',100,2,2),
(275733,10052918,'Cannot be modified except by direct means',100,2,3),
(275734,119124,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(275735,119124,'Inflicts 127 - 155 slashing damage on target',100,2,1),
(275736,119124,'Increases Mitigation of caster vs physical damage by 437',100,1,2),
(275737,10119124,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(275738,10119124,'Inflicts 153 - 186 slashing damage on target',100,2,1),
(275739,10119124,'Increases Mitigation of caster vs physical damage by 437',100,1,2),
(275740,80903,'When Equipped:',100,0,0),
(275741,80903,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275742,80903,'Decreases Threat to target by 672 ',100,2,2),
(275743,80903,'Must be flanking or behind',100,3,3),
(275744,80903,'Increases Threat to target by 1,132 ',100,2,4),
(275745,80903,'Must be in front of',100,3,5),
(275746,80903,'Inflicts 188 - 349 magic damage on target',100,2,6),
(275747,80903,'Cannot be modified except by direct means',100,2,7),
(275748,10080903,'When Equipped:',100,0,0),
(275749,10080903,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(275750,10080903,'Inflicts 226 - 419 magic damage on target',100,2,2),
(275751,10080903,'Cannot be modified except by direct means',100,2,3),
(275752,178947,'When Equipped:',100,0,0),
(275753,178947,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(275754,178947,'Inflicts 5296 mental damage on target',100,2,2),
(275755,178947,'If over 85% Health',100,2,3),
(275756,178947,'Cannot be modified except by direct means',100,2,4),
(275757,178947,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(275758,178947,'Inflicts 5296 mental damage on target',100,2,6),
(275759,178947,'If over 85% Health',100,2,7),
(275760,178947,'Cannot be modified except by direct means',100,2,8),
(275761,178947,'Cannot be modified except by direct means',100,1,9),
(275762,10178947,'When Equipped:',100,0,0),
(275763,10178947,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,1),
(275764,10178947,'Inflicts 6355 mental damage on target',100,2,2),
(275765,10178947,'If over 85% Health',100,2,3),
(275766,10178947,'Cannot be modified except by direct means',100,2,4),
(275767,10178947,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,5),
(275768,10178947,'Inflicts 6355 mental damage on target',100,2,6),
(275769,10178947,'If over 85% Health',100,2,7),
(275770,10178947,'Cannot be modified except by direct means',100,2,8),
(275771,10178947,'Cannot be modified except by direct means',100,1,9),
(275772,81802,'When Equipped:',100,0,0),
(275773,81802,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275774,81802,'Inflicts 97 - 180 magic damage on target',100,2,2),
(275775,81802,'Cannot be modified except by direct means',100,2,3),
(275776,10081802,'When Equipped:',100,0,0),
(275777,10081802,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275778,10081802,'Inflicts 116 - 216 magic damage on target',100,2,2),
(275779,10081802,'Cannot be modified except by direct means',100,2,3),
(275780,166535,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(275781,166535,'Increases Attack Speed of caster by 100.0',100,1,1),
(275782,166535,'Must not be engaged in pvp combat',100,1,2),
(275783,166535,'Cannot be modified except by direct means',100,1,3),
(275784,166535,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(275785,166535,'When Equipped:',100,0,5),
(275786,166535,'On a critical combat hit this spell may cast Umbral Lightning IV on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(275787,166535,'Inflicts 231 - 283 magic damage on target',100,2,7),
(275788,166535,'Must not be engaged in pvp combat',100,2,8),
(275789,166535,'Cannot be modified except by direct means',100,2,9),
(275790,166535,'On a critical spell hit this spell may cast Umbral Lightning IV on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(275791,166535,'Inflicts 231 - 283 magic damage on target',100,2,11),
(275792,166535,'Must not be engaged in pvp combat',100,2,12),
(275793,166535,'Cannot be modified except by direct means',100,2,13),
(275794,166535,'Must not be engaged in pvp combat',100,1,14),
(275795,166535,'Cannot be modified except by direct means',100,1,15),
(275796,10166535,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,0),
(275797,10166535,'Increases Attack Speed of caster by 100.0',100,1,1),
(275798,10166535,'Must not be engaged in pvp combat',100,1,2),
(275799,10166535,'Cannot be modified except by direct means',100,1,3),
(275800,10166535,'The reuse time of Blurred Strikes is 5 minutes',100,1,4),
(275801,10166535,'When Equipped:',100,0,5),
(275802,10166535,'On a critical combat hit this spell may cast Umbral Lightning IV on target of attack.  Triggers about 1.8 times per minute. ',100,1,6),
(275803,10166535,'Inflicts 277 - 339 magic damage on target',100,2,7),
(275804,10166535,'Must not be engaged in pvp combat',100,2,8),
(275805,10166535,'Cannot be modified except by direct means',100,2,9),
(275806,10166535,'On a critical spell hit this spell may cast Umbral Lightning IV on target of spell.  Triggers about 1.8 times per minute. ',100,1,10),
(275807,10166535,'Inflicts 277 - 339 magic damage on target',100,2,11),
(275808,10166535,'Must not be engaged in pvp combat',100,2,12),
(275809,10166535,'Cannot be modified except by direct means',100,2,13),
(275810,10166535,'Must not be engaged in pvp combat',100,1,14),
(275811,10166535,'Cannot be modified except by direct means',100,1,15),
(275812,36777,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(275813,24099,'Adds Chardok: Stone Chest to your Dungeon Maker toolbox',100,0,0),
(275814,10024099,'Adds Chardok: Stone Chest to your Dungeon Maker toolbox',100,0,0),
(275815,81390,'When Equipped:',100,0,0),
(275816,81390,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275817,81390,'Inflicts 72 - 134 magic damage on target',100,2,2),
(275818,81390,'Cannot be modified except by direct means',100,2,3),
(275819,10081390,'When Equipped:',100,0,0),
(275820,10081390,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275821,10081390,'Inflicts 87 - 161 magic damage on target',100,2,2),
(275822,10081390,'Cannot be modified except by direct means',100,2,3),
(275823,109363,'Inflicts 9 - 17 cold damage on target instantly and every 4 seconds',100,1,0),
(275824,109363,'Decreases Mitigation of target vs elemental damage by 207',100,1,1),
(275825,10109363,'Inflicts 11 - 20 cold damage on target instantly and every 4 seconds',100,1,0),
(275826,10109363,'Decreases Mitigation of target vs elemental damage by 207',100,1,1),
(275827,109396,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',100,1,0),
(275828,109396,'Slows target by 51.8%',100,2,1),
(275829,109396,'Inflicts 87 - 106 cold damage on target',100,2,2),
(275830,109396,'5% chance to dispel when target receives hostile action',100,2,3),
(275831,109396,'5% chance to dispel when target takes damage',100,2,4),
(275832,10109396,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 5.0 seconds.  ',100,1,0),
(275833,10109396,'Slows target by 51.8%',100,2,1),
(275834,10109396,'Inflicts 104 - 127 cold damage on target',100,2,2),
(275835,10109396,'5% chance to dispel when target receives hostile action',100,2,3),
(275836,10109396,'5% chance to dispel when target takes damage',100,2,4),
(275837,107870,'Decreases Mitigation of target vs elemental damage by 1820',100,1,0),
(275838,107870,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(275839,107870,'Slows target by 60.2%',100,2,2),
(275840,107870,'5% chance to dispel when target receives hostile action',100,2,3),
(275841,107870,'5% chance to dispel when target takes damage',100,2,4),
(275842,10107870,'Decreases Mitigation of target vs elemental damage by 1820',100,1,0),
(275843,10107870,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(275844,10107870,'Slows target by 60.2%',100,2,2),
(275845,10107870,'5% chance to dispel when target receives hostile action',100,2,3),
(275846,10107870,'5% chance to dispel when target takes damage',100,2,4),
(275847,110349,'Increases Max Power of target by 667.2',100,1,0),
(275848,110349,'Increases Max Health of target by 1,484.7',100,1,1),
(275849,10110349,'Increases Max Power of target by 667.2',100,1,0),
(275850,10110349,'Increases Max Health of target by 1,484.7',100,1,1),
(275851,108419,'Heals target for 1051 - 1284',100,1,0),
(275852,10108419,'Heals target for 1256 - 1536',100,1,0),
(275853,102475,'Inflicts 127 - 212 crushing damage on target',100,1,0),
(275854,102475,'Prevents target from changing direction while active.',100,1,1),
(275855,102475,'If Target is not Epic',100,2,2),
(275856,102475,'Roots target',100,1,3),
(275857,102475,'If Target is not Epic',100,2,4),
(275858,102475,'Resistibility increases against targets higher than level 51.',100,1,5),
(275859,10102475,'Inflicts 153 - 255 crushing damage on target',100,1,0),
(275860,10102475,'Prevents target from changing direction while active.',100,1,1),
(275861,10102475,'If Target is not Epic',100,2,2),
(275862,10102475,'Roots target',100,1,3),
(275863,10102475,'If Target is not Epic',100,2,4),
(275864,10102475,'Resistibility increases against targets higher than level 51.',100,1,5),
(275865,46283,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(275866,46283,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(275867,46283,'Decreases WIS of target by 81.5',100,2,2),
(275868,46283,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1101',100,2,3),
(275869,46283,'Cannot be modified except by direct means',100,2,4),
(275870,46283,'Grants a total of 60 triggers of the spell.',100,2,5),
(275871,10046283,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(275872,10046283,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(275873,10046283,'Decreases WIS of target by 81.5',100,2,2),
(275874,10046283,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1101',100,2,3),
(275875,10046283,'Cannot be modified except by direct means',100,2,4),
(275876,10046283,'Grants a total of 60 triggers of the spell.',100,2,5),
(275877,35770,'Increases STA of target by 6.2',100,0,0),
(275878,35770,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(275879,121618,'Inflicts 261 - 783 melee damage on target',100,1,0),
(275880,121618,'Dazes target',100,1,1),
(275881,121618,'If Target is not Epic',100,2,2),
(275882,121618,'Must be flanking or behind',100,1,3),
(275883,121618,'Resistibility increases against targets higher than level 75.',100,1,4),
(275884,10121618,'Inflicts 313 - 940 melee damage on target',100,1,0),
(275885,10121618,'Dazes target',100,1,1),
(275886,10121618,'If Target is not Epic',100,2,2),
(275887,10121618,'Must be flanking or behind',100,1,3),
(275888,10121618,'Resistibility increases against targets higher than level 75.',100,1,4),
(275889,106129,'Inflicts 448 - 747 melee damage on target',100,1,0),
(275890,106129,'Decreases Defense, Parry and Deflection of target by 46.8',100,1,1),
(275891,10106129,'Inflicts 538 - 896 melee damage on target',100,1,0),
(275892,10106129,'Decreases Defense, Parry and Deflection of target by 46.8',100,1,1),
(275893,35726,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(275894,101061,'Summons 3 limited pets to aid the caster',100,1,0),
(275895,10101061,'Summons 3 limited pets to aid the caster',100,1,0),
(275896,81422,'When Equipped:',100,0,0),
(275897,81422,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275898,81422,'Inflicts 72 - 134 magic damage on target',100,2,2),
(275899,81422,'Cannot be modified except by direct means',100,2,3),
(275900,10081422,'When Equipped:',100,0,0),
(275901,10081422,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275902,10081422,'Inflicts 87 - 161 magic damage on target',100,2,2),
(275903,10081422,'Cannot be modified except by direct means',100,2,3),
(275904,114398,'Mesmerizes target',100,1,0),
(275905,114398,'Prevents AOE (except when direct) ',100,1,1),
(275906,114398,'Dispelled when target takes damage',100,1,2),
(275907,114398,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(275908,114398,'Resistibility increases against targets higher than level 30.',100,1,4),
(275909,10114398,'Mesmerizes target',100,1,0),
(275910,10114398,'Prevents AOE (except when direct) ',100,1,1),
(275911,10114398,'Dispelled when target takes damage',100,1,2),
(275912,10114398,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(275913,10114398,'Resistibility increases against targets higher than level 30.',100,1,4),
(275914,103718,'Increases Max Health of raid and group members (AE) by 218.9',100,1,0),
(275915,103718,'Increases Defense of raid and group members (AE) by 8.1',100,1,1),
(275916,10103718,'Increases Max Health of raid and group members (AE) by 218.9',100,1,0),
(275917,10103718,'Increases Defense of raid and group members (AE) by 8.1',100,1,1),
(275918,107979,'Increases In-Combat Power Regeneration of group members (AE) by 47.4',100,1,0),
(275919,10107979,'Increases In-Combat Power Regeneration of group members (AE) by 47.4',100,1,0),
(275920,180437,'When Equipped:',100,0,0),
(275921,180437,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(275922,180437,'Increases power of target by 12',100,2,2),
(275923,180437,'Cannot be modified except by direct means',100,2,3),
(275924,10180437,'When Equipped:',100,0,0),
(275925,10180437,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(275926,10180437,'Increases power of target by 12',100,2,2),
(275927,10180437,'Cannot be modified except by direct means',100,2,3),
(275928,108250,'Inflicts 355 - 1067 piercing damage on target',100,1,0),
(275929,108250,'Decreases Slashing, Crushing, Piercing and Ranged of target by 52.2',100,1,1),
(275930,10108250,'Inflicts 426 - 1280 piercing damage on target',100,1,0),
(275931,10108250,'Decreases Slashing, Crushing, Piercing and Ranged of target by 52.2',100,1,1),
(275932,26799,'Applies Stout I when Equipped.',100,0,0),
(275933,26799,'Increases Max Health of caster by 1,000.0',100,1,1),
(275934,26799,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(275935,26799,'Must not be engaged in pvp combat',100,1,3),
(275936,10026799,'Applies Stout I when Equipped.',100,0,0),
(275937,10026799,'Increases Max Health of caster by 1,000.0',100,1,1),
(275938,10026799,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(275939,10026799,'Must not be engaged in pvp combat',100,1,3),
(275940,103259,'Increases All Attributes of target by 15.0%',100,1,0),
(275941,103259,'Enlarges target by 40.8%',100,1,1),
(275942,10103259,'Increases All Attributes of target by 15.0%',100,1,0),
(275943,10103259,'Enlarges target by 40.8%',100,1,1),
(275944,144280,'When Equipped:',100,0,0),
(275945,144280,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(275946,144280,'Must not be engaged in pvp combat',100,1,2),
(275947,10144280,'When Equipped:',100,0,0),
(275948,10144280,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(275949,10144280,'Must not be engaged in pvp combat',100,1,2),
(275950,27287,'When Equipped:',100,0,0),
(275951,27287,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(275952,27287,'Inflicts 173 divine damage on target',100,2,2),
(275953,27287,'Heals caster for 184',100,2,3),
(275954,27287,'Cannot be modified except by direct means',100,2,4),
(275955,10027287,'When Equipped:',100,0,0),
(275956,10027287,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(275957,10027287,'Inflicts 207 divine damage on target',100,2,2),
(275958,10027287,'Heals caster for 119',100,2,3),
(275959,10027287,'Cannot be modified except by direct means',100,2,4),
(275960,104352,'Charms target',100,1,0),
(275961,104352,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(275962,104352,'Mesmerizes target',100,2,2),
(275963,104352,'Dispelled when target takes damage',100,2,3),
(275964,104352,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(275965,104352,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(275966,104352,'Grants Sonic Vision to caster',100,2,6),
(275967,104352,'Increases Out-of-Combat Power Regeneration of target by 31.2',100,1,7),
(275968,104352,'Increases Out-of-Combat Health Regeneration of target by 62.4',100,1,8),
(275969,104352,'Certain enemies cannot be charmed',100,1,9),
(275970,104352,'Does not affect Epic targets',100,1,10),
(275971,10104352,'Mesmerizes target',100,1,0),
(275972,10104352,'Prevents AOE (except when direct) ',100,1,1),
(275973,10104352,'Dispelled when target takes damage',100,1,2),
(275974,10104352,'Certain enemies cannot be charmed',100,1,3),
(275975,10104352,'Does not affect Epic targets',100,1,4),
(275976,10104352,'Resistibility increases against targets higher than level 76.',100,1,5),
(275977,118765,'Increases INT and WIS of group members (AE) by 67.5',100,1,0),
(275978,118765,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 199',100,1,1),
(275979,10118765,'Increases INT and WIS of group members (AE) by 67.5',100,1,0),
(275980,10118765,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 199',100,1,1),
(275981,134479,'When Equipped:',100,0,0),
(275982,134479,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275983,134479,'Reduces the power cost of spells by 15%.',100,2,2),
(275984,134479,'Cannot be modified except by direct means',100,2,3),
(275985,10134479,'When Equipped:',100,0,0),
(275986,10134479,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(275987,10134479,'Reduces the power cost of spells by 15%.',100,2,2),
(275988,10134479,'Cannot be modified except by direct means',100,2,3),
(275989,112492,'Decreases AGI and WIS of target by 86.2',100,1,0),
(275990,10112492,'Decreases AGI and WIS of target by 86.2',100,1,0),
(275991,80181,'When Equipped:',100,0,0),
(275992,80181,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275993,80181,'Inflicts 169 - 314 magic damage on target',100,2,2),
(275994,80181,'Cannot be modified except by direct means',100,2,3),
(275995,10080181,'When Equipped:',100,0,0),
(275996,10080181,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(275997,10080181,'Inflicts 203 - 377 magic damage on target',100,2,2),
(275998,10080181,'Cannot be modified except by direct means',100,2,3),
(275999,108136,'Increases Attack Speed of caster by 27.6',100,1,0),
(276000,10108136,'Increases Attack Speed of caster by 27.6',100,1,0),
(276001,82070,'When Equipped:',100,0,0),
(276002,82070,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(276003,82070,'Inflicts 138 - 257 magic damage on target',100,2,2),
(276004,82070,'Decreases Threat to target by 641 ',100,2,3),
(276005,82070,'Must be flanking or behind',100,3,4),
(276006,82070,'Increases Threat to target by 1,101 ',100,2,5),
(276007,82070,'Must be in front of',100,3,6),
(276008,82070,'Cannot be modified except by direct means',100,2,7),
(276009,10082070,'When Equipped:',100,0,0),
(276010,10082070,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(276011,10082070,'Inflicts 166 - 309 magic damage on target',100,2,2),
(276012,10082070,'Cannot be modified except by direct means',100,2,3),
(276013,82693,'When Equipped:',100,0,0),
(276014,82693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276015,82693,'Inflicts 108 - 200 magic damage on target',100,2,2),
(276016,82693,'Cannot be modified except by direct means',100,2,3),
(276017,10082693,'When Equipped:',100,0,0),
(276018,10082693,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276019,10082693,'Inflicts 129 - 240 magic damage on target',100,2,2),
(276020,10082693,'Cannot be modified except by direct means',100,2,3),
(276021,162834,'When Equipped:',100,0,0),
(276022,162834,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276023,162834,'Decreases Threat to target by 500 ',100,2,2),
(276024,162834,'Cannot be modified except by direct means',100,2,3),
(276025,10162834,'When Equipped:',100,0,0),
(276026,10162834,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276027,10162834,'Cannot be modified except by direct means',100,2,2),
(276028,122404,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(276029,122404,'Inflicts 13 - 15 piercing damage on target encounter',100,2,1),
(276030,10122404,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(276031,10122404,'Inflicts 15 - 18 piercing damage on target encounter',100,2,1),
(276032,71552,'When Equipped:',100,0,0),
(276033,71552,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276034,71552,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(276035,71552,'Cannot be modified except by direct means',100,2,3),
(276036,10071552,'When Equipped:',100,0,0),
(276037,10071552,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276038,10071552,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(276039,10071552,'Cannot be modified except by direct means',100,2,3),
(276040,110778,'Heals group members (AE) for 343 - 419 instantly and every 2 seconds',100,1,0),
(276041,10110778,'Heals group members (AE) for 223 - 272 instantly and every 2 seconds',100,1,0),
(276042,149098,'When Equipped:',100,0,0),
(276043,149098,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(276044,149098,'Heals group members (AE) for 2624',100,2,2),
(276045,149098,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(276046,149098,'Must not be engaged in pvp combat',100,2,4),
(276047,149098,'Cannot be modified except by direct means',100,2,5),
(276048,149098,'Must not be engaged in pvp combat',100,1,6),
(276049,10149098,'When Equipped:',100,0,0),
(276050,10149098,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(276051,10149098,'Heals group members (AE) for 3071',100,2,2),
(276052,10149098,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(276053,10149098,'Must not be engaged in pvp combat',100,2,4),
(276054,10149098,'Cannot be modified except by direct means',100,2,5),
(276055,10149098,'Must not be engaged in pvp combat',100,1,6),
(276056,119008,'Heals target for 1099 - 1343',100,1,0),
(276057,10119008,'Heals target for 1169 - 1429',100,1,0),
(276058,115841,'Inflicts 69 - 115 mental damage on target encounter',100,1,0),
(276059,115841,'Interrupts target encounter',100,1,1),
(276060,10115841,'Inflicts 83 - 138 mental damage on target encounter',100,1,0),
(276061,10115841,'Interrupts target encounter',100,1,1),
(276062,122991,'Wards group members (AE) collectively against 460 total points of all damage',100,1,0),
(276063,10122991,'Wards group members (AE) collectively against 686 total points of all damage',100,1,0),
(276064,158330,'Applies Hooluk in a Hat when Activated.',100,0,0),
(276065,158330,'Summons a pet Hooluk',100,1,1),
(276066,158330,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(276067,10158330,'Applies Hooluk in a Hat when Activated.',100,0,0),
(276068,10158330,'Summons a pet Hooluk',100,1,1),
(276069,10158330,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(276070,119570,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(276071,10119570,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(276072,141682,'When Equipped:',100,0,0),
(276073,141682,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276074,141682,'Increases STR of caster by 23.1',100,2,2),
(276075,141682,'Increases Damage Per Second of caster by 27.8',100,2,3),
(276076,141682,'Cannot be modified except by direct means',100,2,4),
(276077,10141682,'When Equipped:',100,0,0),
(276078,10141682,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276079,10141682,'Increases STR of caster by 23.1',100,2,2),
(276080,10141682,'Increases Damage Per Second of caster by 27.8',100,2,3),
(276081,10141682,'Cannot be modified except by direct means',100,2,4),
(276082,121162,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(276083,121162,'Increases Hate Gain of caster by 5.0%',100,2,1),
(276084,121162,'Increases Attack Speed of caster by 41.0',100,2,2),
(276085,121162,'Dispelled when target takes damage',100,2,3),
(276086,10121162,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(276087,10121162,'Increases Attack Speed of caster by 41.0',100,2,1),
(276088,10121162,'Dispelled when target takes damage',100,2,2),
(276089,107393,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(276090,107393,'Slows target by 44.9%',100,2,1),
(276091,107393,'5% chance to dispel when target receives hostile action',100,2,2),
(276092,107393,'5% chance to dispel when target takes damage',100,2,3),
(276093,107393,'Inflicts 398 - 663 disease damage on target',100,1,4),
(276094,10107393,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(276095,10107393,'Slows target by 44.9%',100,2,1),
(276096,10107393,'5% chance to dispel when target receives hostile action',100,2,2),
(276097,10107393,'5% chance to dispel when target takes damage',100,2,3),
(276098,10107393,'Inflicts 477 - 795 disease damage on target',100,1,4),
(276099,110109,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(276100,110109,'Inflicts 27 disease damage on target',100,2,1),
(276101,110109,'Heals caster for 20',100,2,2),
(276102,110109,'Decreases INT of target by 137.5',100,1,3),
(276103,110109,'Decreases Attack Speed of target by 25.0',100,1,4),
(276104,110109,'Increases Max Health of target by 10.0%',100,1,5),
(276105,110109,'Increases Hate Gain of target by 28.8%',100,1,6),
(276106,110109,'Increases Aggression of target by 10.5',100,1,7),
(276107,110109,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(276108,110109,'Increases Threat to target encounter by 185 - 226 ',100,2,9),
(276109,110109,'Increases Mitigation of target vs elemental, noxious and arcane damage by 700',100,1,10),
(276110,10110109,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(276111,10110109,'Inflicts 33 disease damage on target',100,2,1),
(276112,10110109,'Heals caster for 13',100,2,2),
(276113,10110109,'Decreases INT of target by 137.5',100,1,3),
(276114,10110109,'Decreases Attack Speed of target by 25.0',100,1,4),
(276115,10110109,'Increases Max Health of target by 10.0%',100,1,5),
(276116,10110109,'Increases Aggression of target by 10.5',100,1,6),
(276117,10110109,'Increases Mitigation of target vs elemental, noxious and arcane damage by 700',100,1,7),
(276118,141801,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(276119,141801,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(276120,141801,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(276121,141801,'Cannot be modified except by direct means',100,2,3),
(276122,10141801,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(276123,10141801,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(276124,10141801,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(276125,10141801,'Cannot be modified except by direct means',100,2,3),
(276126,107310,'Decreases WIS of target by 26.4',100,1,0),
(276127,107310,'Decreases Defense of target by 10.3',100,1,1),
(276128,10107310,'Decreases WIS of target by 26.4',100,1,0),
(276129,10107310,'Decreases Defense of target by 10.3',100,1,1),
(276130,102563,'Increases AGI of caster by 52.5',100,1,0),
(276131,102563,'Increases Max Health of caster by 151.8',100,1,1),
(276132,102563,'Adds 17.2% to base avoidance.',100,1,2),
(276133,102563,'Increases Mitigation of caster vs physical damage by 316',100,1,3),
(276134,102563,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,4),
(276135,10102563,'Increases AGI of caster by 52.5',100,1,0),
(276136,10102563,'Increases Max Health of caster by 151.8',100,1,1),
(276137,10102563,'Adds 17.2% to base avoidance.',100,1,2),
(276138,10102563,'Increases Mitigation of caster vs physical damage by 316',100,1,3),
(276139,10102563,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',100,1,4),
(276140,110222,'Interrupts target',100,1,0),
(276141,110222,'Inflicts 194 - 324 crushing damage on target',100,1,1),
(276142,10110222,'Interrupts target',100,1,0),
(276143,10110222,'Inflicts 233 - 388 crushing damage on target',100,1,1),
(276144,100924,'Stuns targets in Area of Effect',20,1,0),
(276145,100924,'If Target is not Epic',100,2,1),
(276146,100924,'Inflicts 403 - 672 divine damage on targets in Area of Effect',100,1,2),
(276147,100924,'Resistibility increases against targets higher than level 109.',100,1,3),
(276148,10100924,'Stuns targets in Area of Effect',20,1,0),
(276149,10100924,'If Target is not Epic',100,2,1),
(276150,10100924,'Inflicts 484 - 806 divine damage on targets in Area of Effect',100,1,2),
(276151,10100924,'Resistibility increases against targets higher than level 109.',100,1,3),
(276152,111754,'Heals caster for 26 - 32',100,1,0),
(276153,111754,'This effect cannot be critically applied.',100,2,1),
(276154,111754,'The healing of this spell cannot be modified except by direct means',100,1,2),
(276155,10111754,'Heals caster for 13 - 16',100,1,0),
(276156,10111754,'This effect cannot be critically applied.',100,2,1),
(276157,10111754,'The healing of this spell cannot be modified except by direct means',100,1,2),
(276158,141883,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(276159,141883,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(276160,141883,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(276161,141883,'Cannot be modified except by direct means',100,2,3),
(276162,10141883,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(276163,10141883,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(276164,10141883,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(276165,10141883,'Cannot be modified except by direct means',100,2,3),
(276166,119453,'Inflicts 161 - 269 melee damage on target',100,1,0),
(276167,119453,'Inflicts 117 piercing damage on target instantly and every 4 seconds',100,1,1),
(276168,119453,'Must be flanking or behind',100,1,2),
(276169,10119453,'Inflicts 193 - 322 melee damage on target',100,1,0),
(276170,10119453,'Inflicts 140 piercing damage on target instantly and every 4 seconds',100,1,1),
(276171,10119453,'Must be flanking or behind',100,1,2),
(276172,116485,'Prevents targets in Area of Effect from changing targets',100,1,0),
(276173,116485,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(276174,116485,'Increases Threat to targets in Area of Effect by 478 ',100,1,2),
(276175,10116485,'Prevents targets in Area of Effect from changing targets',100,1,0),
(276176,10116485,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(276177,37297,'Increases AGI of target by 2.4',100,0,0),
(276178,37297,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(276179,118868,'Inflicts 18 - 30 melee damage on target',100,1,0),
(276180,118868,'Inflicts 18 - 30 melee damage on target',100,1,1),
(276181,118868,'Inflicts 18 - 30 melee damage on target',100,1,2),
(276182,118868,'Inflicts 18 - 30 melee damage on target',100,1,3),
(276183,118868,'Inflicts 18 - 30 melee damage on target',100,1,4),
(276184,10118868,'Inflicts 21 - 36 melee damage on target',100,1,0),
(276185,10118868,'Inflicts 21 - 36 melee damage on target',100,1,1),
(276186,10118868,'Inflicts 21 - 36 melee damage on target',100,1,2),
(276187,10118868,'Inflicts 21 - 36 melee damage on target',100,1,3),
(276188,10118868,'Inflicts 21 - 36 melee damage on target',100,1,4),
(276189,138440,'When Equipped:',100,0,0),
(276190,138440,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(276191,138440,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,2),
(276192,138440,'Increases Potency of caster by 11.0%',100,2,3),
(276193,138440,'Increases Piercing, Ranged, Crushing and Slashing of caster by 11.5',100,2,4),
(276194,138440,'Must not be engaged in pvp combat',100,2,5),
(276195,138440,'Cannot be modified except by direct means',100,2,6),
(276196,138440,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(276197,138440,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,8),
(276198,138440,'Increases Potency of caster by 11.0%',100,2,9),
(276199,138440,'Increases Piercing, Ranged, Crushing and Slashing of caster by 11.5',100,2,10),
(276200,138440,'Must not be engaged in pvp combat',100,2,11),
(276201,138440,'Cannot be modified except by direct means',100,2,12),
(276202,138440,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(276203,138440,'Cannot be modified except by direct means',100,1,14),
(276204,138440,'When Equipped:',100,0,15),
(276205,138440,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,16),
(276206,138440,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,17),
(276207,138440,'While active Renewing Bulwark is disabled.',100,2,18),
(276208,138440,'Cannot be modified except by direct means',100,2,19),
(276209,138440,'Wards caster against 2420 points of all damage',100,1,20),
(276210,138440,'Regenerates 242 points of shielding every 2 seconds',100,1,21),
(276211,138440,'Must not be engaged in pvp combat',100,1,22),
(276212,138440,'Cannot be modified except by direct means',100,1,23),
(276213,10138440,'When Equipped:',100,0,0),
(276214,10138440,'On any combat or spell hit this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(276215,10138440,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,2),
(276216,10138440,'Increases Potency of caster by 11.0%',100,2,3),
(276217,10138440,'Increases Piercing, Ranged, Crushing and Slashing of caster by 11.5',100,2,4),
(276218,10138440,'Must not be engaged in pvp combat',100,2,5),
(276219,10138440,'Cannot be modified except by direct means',100,2,6),
(276220,10138440,'On a healing spell cast this spell may cast Overbearing Onslaught IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(276221,10138440,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',100,2,8),
(276222,10138440,'Increases Potency of caster by 11.0%',100,2,9),
(276223,10138440,'Increases Piercing, Ranged, Crushing and Slashing of caster by 11.5',100,2,10),
(276224,10138440,'Must not be engaged in pvp combat',100,2,11),
(276225,10138440,'Cannot be modified except by direct means',100,2,12),
(276226,10138440,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(276227,10138440,'Cannot be modified except by direct means',100,1,14),
(276228,10138440,'When Equipped:',100,0,15),
(276229,10138440,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,16),
(276230,10138440,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,17),
(276231,10138440,'While active Renewing Bulwark is disabled.',100,2,18),
(276232,10138440,'Cannot be modified except by direct means',100,2,19),
(276233,10138440,'Wards caster against 2420 points of all damage',100,1,20),
(276234,10138440,'Regenerates 242 points of shielding every 2 seconds',100,1,21),
(276235,10138440,'Must not be engaged in pvp combat',100,1,22),
(276236,10138440,'Cannot be modified except by direct means',100,1,23),
(276237,181493,'When Equipped:',100,0,0),
(276238,181493,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(276239,10181493,'When Equipped:',100,0,0),
(276240,10181493,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(276241,81980,'When Equipped:',100,0,0),
(276242,81980,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276243,81980,'Inflicts 265 - 492 magic damage on target',100,2,2),
(276244,81980,'Cannot be modified except by direct means',100,2,3),
(276245,10081980,'When Equipped:',100,0,0),
(276246,10081980,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276247,10081980,'Inflicts 318 - 591 magic damage on target',100,2,2),
(276248,10081980,'Cannot be modified except by direct means',100,2,3),
(276249,74833,'When Equipped:',100,0,0),
(276250,74833,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276251,74833,'Inflicts 86 - 129 magic damage on target',100,2,2),
(276252,74833,'Cannot be modified except by direct means',100,2,3),
(276253,10074833,'When Equipped:',100,0,0),
(276254,10074833,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276255,10074833,'Inflicts 103 - 155 magic damage on target',100,2,2),
(276256,10074833,'Cannot be modified except by direct means',100,2,3),
(276257,117716,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(276258,117716,'Adds 1.5% to base avoidance.',100,1,1),
(276259,10117716,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(276260,10117716,'Adds 1.5% to base avoidance.',100,1,1),
(276261,40431,'When Equipped:',100,0,0),
(276262,40431,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(276263,40431,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(276264,40431,'Inflicts 4137 - 4573 heat damage on target encounter',100,2,3),
(276265,40431,'Must not be engaged in pvp combat',100,2,4),
(276266,40431,'Cannot be modified except by direct means',100,2,5),
(276267,10040431,'When Equipped:',100,0,0),
(276268,10040431,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(276269,10040431,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(276270,10040431,'Inflicts 4965 - 5487 heat damage on target encounter',100,2,3),
(276271,10040431,'Must not be engaged in pvp combat',100,2,4),
(276272,10040431,'Cannot be modified except by direct means',100,2,5),
(276273,109162,'Roots target',100,1,0),
(276274,109162,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(276275,109162,'Blurs vision of target',100,2,2),
(276276,109162,'Dazes target',100,2,3),
(276277,109162,'Dispelled when target takes damage',100,2,4),
(276278,109162,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(276279,109162,'5% chance to dispel when target takes damage',100,1,6),
(276280,109162,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,7),
(276281,109162,'Resistibility increases against targets higher than level 48.',100,1,8),
(276282,10109162,'Roots target',100,1,0),
(276283,10109162,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(276284,10109162,'Blurs vision of target',100,2,2),
(276285,10109162,'Dazes target',100,2,3),
(276286,10109162,'Dispelled when target takes damage',100,2,4),
(276287,10109162,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(276288,10109162,'5% chance to dispel when target takes damage',100,1,6),
(276289,10109162,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(276290,10109162,'Resistibility increases against targets higher than level 48.',100,1,8),
(276291,36445,'Increases Max Health of target by 90.0',100,0,0),
(276292,36445,'Increases Max Power of target by 90.0',100,0,1),
(276293,36445,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,2),
(276294,124586,'Decreases Threat to targets in Area of Effect by 3,367 ',100,1,0),
(276295,124586,'Interrupts targets in Area of Effect',100,1,1),
(276296,124586,'Roots targets in Area of Effect',100,1,2),
(276297,124586,'If Target is not Epic',100,2,3),
(276298,10124586,'Applies Distract.',100,1,0),
(276299,10124586,'Forces target to clear their selected target.',100,2,1),
(276300,10124586,'Interrupts targets in Area of Effect',100,1,2),
(276301,10124586,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(276302,10124586,'Roots targets in Area of Effect',100,1,4),
(276303,10124586,'If Target is not Epic',100,2,5),
(276304,40883,'When Equipped:',100,0,0),
(276305,40883,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(276306,40883,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(276307,40883,'Inflicts 1069 - 1182 disease damage on target instantly and every 2 seconds',100,2,3),
(276308,40883,'Must not be engaged in pvp combat',100,2,4),
(276309,40883,'Cannot be modified except by direct means',100,2,5),
(276310,40883,'Cannot be modified except by direct means',100,1,6),
(276311,10040883,'When Equipped:',100,0,0),
(276312,10040883,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(276313,10040883,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(276314,10040883,'Inflicts 1283 - 1418 disease damage on target instantly and every 2 seconds',100,2,3),
(276315,10040883,'Must not be engaged in pvp combat',100,2,4),
(276316,10040883,'Cannot be modified except by direct means',100,2,5),
(276317,10040883,'Cannot be modified except by direct means',100,1,6),
(276318,113118,'Decreases Attack Speed of target encounter by 12.8',100,1,0),
(276319,10113118,'Decreases Attack Speed of target encounter by 12.8',100,1,0),
(276320,82934,'When Equipped:',100,0,0),
(276321,82934,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276322,82934,'Inflicts 228 - 423 magic damage on target',100,2,2),
(276323,82934,'Cannot be modified except by direct means',100,2,3),
(276324,10082934,'When Equipped:',100,0,0),
(276325,10082934,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276326,10082934,'Inflicts 273 - 508 magic damage on target',100,2,2),
(276327,10082934,'Cannot be modified except by direct means',100,2,3),
(276328,107734,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(276329,107734,'Inflicts 226 - 377 melee damage on target',100,2,1),
(276330,107734,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(276331,107734,'Inflicts 226 - 377 melee damage on target',100,2,3),
(276332,107734,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(276333,107734,'Inflicts 226 - 377 melee damage on target',100,2,5),
(276334,107734,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(276335,107734,'Inflicts 226 - 377 melee damage on target',100,2,7),
(276336,107734,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(276337,107734,'Inflicts 226 - 377 melee damage on target',100,2,9),
(276338,107734,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(276339,107734,'Inflicts 226 - 377 melee damage on target',100,2,11),
(276340,107734,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(276341,107734,'Inflicts 226 - 377 melee damage on target',100,2,13),
(276342,107734,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(276343,107734,'Inflicts 226 - 377 melee damage on target',100,2,15),
(276344,10107734,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(276345,10107734,'Inflicts 153 - 256 melee damage on target',100,2,1),
(276346,10107734,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(276347,10107734,'Inflicts 153 - 256 melee damage on target',100,2,3),
(276348,10107734,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(276349,10107734,'Inflicts 153 - 256 melee damage on target',100,2,5),
(276350,10107734,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(276351,10107734,'Inflicts 153 - 256 melee damage on target',100,2,7),
(276352,10107734,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(276353,10107734,'Inflicts 153 - 256 melee damage on target',100,2,9),
(276354,10107734,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(276355,10107734,'Inflicts 153 - 256 melee damage on target',100,2,11),
(276356,10107734,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(276357,10107734,'Inflicts 153 - 256 melee damage on target',100,2,13),
(276358,10107734,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(276359,10107734,'Inflicts 153 - 256 melee damage on target',100,2,15),
(276360,35719,'Increases AGI of target by 4.3',100,0,0),
(276361,35719,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(276362,114213,'Inflicts 473 - 788 melee damage on target',100,1,0),
(276363,114213,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(276364,10114213,'Inflicts 567 - 946 melee damage on target',100,1,0),
(276365,10114213,'Decreases Slashing, Crushing and Piercing of target by 16.7',100,1,1),
(276366,121569,'Inflicts 383 - 639 melee damage on targets in area',100,1,0),
(276367,121569,'Stuns target encounter',100,1,1),
(276368,121569,'If Target is not Epic',100,2,2),
(276369,121569,'Resistibility increases against targets higher than level 112.',100,1,3),
(276370,10121569,'Inflicts 460 - 767 melee damage on targets in area',100,1,0),
(276371,10121569,'Stuns target encounter',100,1,1),
(276372,10121569,'If Target is not Epic',100,2,2),
(276373,10121569,'Resistibility increases against targets higher than level 112.',100,1,3),
(276374,108008,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(276375,108008,'Increases Mitigation of group members (AE) vs elemental damage by 798',100,1,1),
(276376,10108008,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(276377,10108008,'Increases Mitigation of group members (AE) vs elemental damage by 798',100,1,1),
(276378,173155,'When Equipped:',100,0,0),
(276379,173155,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(276380,173155,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(276381,173155,'Cannot be modified except by direct means',100,2,3),
(276382,10173155,'When Equipped:',100,0,0),
(276383,10173155,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(276384,10173155,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(276385,10173155,'Cannot be modified except by direct means',100,2,3),
(276386,108372,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(276387,108372,'Increases Mitigation of group members (AE) vs arcane damage by 1040',100,1,1),
(276388,10108372,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(276389,10108372,'Increases Mitigation of group members (AE) vs arcane damage by 1040',100,1,1),
(276390,37260,'Increases WIS and STR of target by 15.4',100,0,0),
(276391,37260,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(276392,115646,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 475',100,1,0),
(276393,10115646,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 475',100,1,0),
(276394,101300,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(276395,101300,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,1),
(276396,10101300,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(276397,10101300,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,1),
(276398,109253,'Increases INT and WIS of group members (AE) by 44.6',100,1,0),
(276399,109253,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 125',100,1,1),
(276400,10109253,'Increases INT and WIS of group members (AE) by 44.6',100,1,0),
(276401,10109253,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 125',100,1,1),
(276402,82125,'When Equipped:',100,0,0),
(276403,82125,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276404,82125,'Inflicts 125 - 232 magic damage on target',100,2,2),
(276405,82125,'Cannot be modified except by direct means',100,2,3),
(276406,10082125,'When Equipped:',100,0,0),
(276407,10082125,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276408,10082125,'Inflicts 150 - 278 magic damage on target',100,2,2),
(276409,10082125,'Cannot be modified except by direct means',100,2,3),
(276410,101386,'Reduces physical damage done to caster by 5%',100,1,0),
(276411,101386,'Adds 2.4% to base avoidance.',100,1,1),
(276412,101386,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(276413,101386,'Increases Aggression of caster by 37.2',100,1,3),
(276414,101386,'Increases Defense and Parry of caster by 59.5',100,1,4),
(276415,101386,'Increases Mitigation of caster vs noxious and arcane damage by 356',100,1,5),
(276416,101386,'Increases Mitigation of caster vs elemental damage by 3562',100,1,6),
(276417,101386,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(276418,10101386,'Reduces physical damage done to caster by 5%',100,1,0),
(276419,10101386,'Adds 2.4% to base avoidance.',100,1,1),
(276420,10101386,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,2),
(276421,10101386,'Increases Aggression of caster by 37.2',100,1,3),
(276422,10101386,'Increases Defense and Parry of caster by 59.5',100,1,4),
(276423,10101386,'Increases Mitigation of caster vs noxious and arcane damage by 356',100,1,5),
(276424,10101386,'Increases Mitigation of caster vs elemental damage by 3562',100,1,6),
(276425,10101386,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(276426,111708,'Inflicts 759 - 928 cold damage on target',100,1,0),
(276427,111708,'Inflicts 759 - 928 cold damage on target',100,1,1),
(276428,111708,'If target is elemental',100,2,2),
(276429,10111708,'Inflicts 781 - 954 cold damage on target',100,1,0),
(276430,170648,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(276431,170648,'Decreases AGI, INT, STR and WIS of target by 19.5',100,1,1),
(276432,170648,'Decreases Max Health of target by 1.0%',100,1,2),
(276433,170648,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(276434,10170648,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(276435,10170648,'Decreases AGI, INT, STR and WIS of target by 19.5',100,1,1),
(276436,10170648,'Decreases Max Health of target by 1.0%',100,1,2),
(276437,10170648,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(276438,104976,'Reduces physical damage done to caster by 5%',100,1,0),
(276439,104976,'Adds 1.5% to base avoidance.',100,1,1),
(276440,104976,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(276441,104976,'Increases Parry of caster by 4.8',100,1,3),
(276442,104976,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(276443,104976,'Increases Aggression of caster by 2.9',100,1,5),
(276444,104976,'Increases Defense and Deflection of caster by 4.8',100,1,6),
(276445,104976,'Increases Mitigation of caster vs arcane damage by 346',100,1,7),
(276446,104976,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(276447,10104976,'Reduces physical damage done to caster by 5%',100,1,0),
(276448,10104976,'Adds 1.5% to base avoidance.',100,1,1),
(276449,10104976,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(276450,10104976,'Increases Parry of caster by 4.8',100,1,3),
(276451,10104976,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(276452,10104976,'Increases Aggression of caster by 2.9',100,1,5),
(276453,10104976,'Increases Defense and Deflection of caster by 4.8',100,1,6),
(276454,10104976,'Increases Mitigation of caster vs arcane damage by 346',100,1,7),
(276455,10104976,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(276456,71578,'When Equipped:',100,0,0),
(276457,71578,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276458,71578,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(276459,71578,'Cannot be modified except by direct means',100,2,3),
(276460,10071578,'When Equipped:',100,0,0),
(276461,10071578,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276462,10071578,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(276463,10071578,'Cannot be modified except by direct means',100,2,3),
(276464,114564,'Heals target for 45 - 55',100,1,0),
(276465,10114564,'Heals target for 29 - 36',100,1,0),
(276466,108866,'Inflicts 109 - 183 melee damage on target',100,1,0),
(276467,108866,'Decreases INT of target by 65.0',100,1,1),
(276468,10108866,'Inflicts 131 - 219 melee damage on target',100,1,0),
(276469,10108866,'Decreases INT of target by 65.0',100,1,1),
(276470,144087,'When Equipped:',100,0,0),
(276471,144087,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276472,144087,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(276473,144087,'Dispelled when target casts a heal spell',100,2,3),
(276474,144087,'Cannot be modified except by direct means',100,2,4),
(276475,10144087,'When Equipped:',100,0,0),
(276476,10144087,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(276477,10144087,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(276478,10144087,'Dispelled when target casts a heal spell',100,2,3),
(276479,10144087,'Cannot be modified except by direct means',100,2,4),
(276480,82770,'When Equipped:',100,0,0),
(276481,82770,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(276482,82770,'Inflicts 237 - 440 magic damage on target',100,2,2),
(276483,82770,'Decreases Threat to target by 1,174 ',100,2,3),
(276484,82770,'Must be flanking or behind',100,3,4),
(276485,82770,'Increases Threat to target by 1,634 ',100,2,5),
(276486,82770,'Must be in front of',100,3,6),
(276487,82770,'Cannot be modified except by direct means',100,2,7),
(276488,10082770,'When Equipped:',100,0,0),
(276489,10082770,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(276490,10082770,'Inflicts 284 - 528 magic damage on target',100,2,2),
(276491,10082770,'Cannot be modified except by direct means',100,2,3),
(276492,187435,'When Equipped:',100,0,0),
(276493,187435,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(276494,10187435,'When Equipped:',100,0,0),
(276495,10187435,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(276496,122849,'Inflicts 51 - 86 ranged damage on target',100,1,0),
(276497,122849,'Inflicts 103 - 172 ranged damage on target',100,1,1),
(276498,122849,'Inflicts 155 - 259 ranged damage on target',100,1,2),
(276499,122849,'Requires bow',100,1,3),
(276500,10122849,'Inflicts 48 - 81 ranged damage on target',100,1,0),
(276501,10122849,'Inflicts 97 - 162 ranged damage on target',100,1,1),
(276502,10122849,'Inflicts 145 - 243 ranged damage on target',100,1,2),
(276503,10122849,'Requires bow',100,1,3),
(276504,111047,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(276505,111047,'Increases Threat to target by 966 ',100,2,1),
(276506,111047,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(276507,111047,'Increases Threat to target by 966 ',100,2,3),
(276508,10111047,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(276509,10111047,'Inflicts 70 - 78 crushing damage on target',100,2,1),
(276510,10111047,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(276511,10111047,'Inflicts 70 - 78 crushing damage on target',100,2,3),
(276512,104936,'Inflicts 588 - 981 ranged damage on target',100,1,0),
(276513,104936,'Decreases Deflection and Parry of target by 49.7',100,1,1),
(276514,104936,'Requires bow',100,1,2),
(276515,10104936,'Inflicts 441 - 736 ranged damage on target',100,1,0),
(276516,10104936,'Decreases Deflection and Parry of target by 49.7',100,1,1),
(276517,10104936,'Requires bow',100,1,2),
(276518,122827,'Inflicts 276 - 460 ranged damage on target',100,1,0),
(276519,122827,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(276520,122827,'Increases Hate Gain of target by 30.0%',100,2,2),
(276521,122827,'Grants a total of 1 trigger of the spell.',100,2,3),
(276522,122827,'Requires bow',100,1,4),
(276523,10122827,'Inflicts 207 - 345 ranged damage on target',100,1,0),
(276524,10122827,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(276525,10122827,'Grants a total of 1 trigger of the spell.',100,2,2),
(276526,10122827,'Requires bow',100,1,3),
(276527,124193,'Inflicts 146 - 243 melee damage on target',100,1,0),
(276528,10124193,'Inflicts 175 - 292 melee damage on target',100,1,0),
(276529,121391,'Roots caster',100,1,0),
(276530,121391,'Dazes caster',100,1,1),
(276531,121391,'Applies Steel Hail.',100,1,2),
(276532,121391,'Inflicts 419 - 699 ranged damage on target',100,2,3),
(276533,121391,'Stifles caster',100,1,4),
(276534,121391,'If weapon equipped in Ranged',100,1,5),
(276535,121391,'Resistibility increases against targets higher than level 103.',100,1,6),
(276536,10121391,'Roots caster',100,1,0),
(276537,10121391,'Dazes caster',100,1,1),
(276538,10121391,'Applies Steel Hail.',100,1,2),
(276539,10121391,'Inflicts 314 - 524 ranged damage on target',100,2,3),
(276540,10121391,'Stifles caster',100,1,4),
(276541,10121391,'If weapon equipped in Ranged',100,1,5),
(276542,10121391,'Resistibility increases against targets higher than level 103.',100,1,6),
(276543,82321,'When Equipped:',100,0,0),
(276544,82321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276545,82321,'Inflicts 194 - 360 magic damage on target',100,2,2),
(276546,82321,'Cannot be modified except by direct means',100,2,3),
(276547,10082321,'When Equipped:',100,0,0),
(276548,10082321,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276549,10082321,'Inflicts 233 - 432 magic damage on target',100,2,2),
(276550,10082321,'Cannot be modified except by direct means',100,2,3),
(276551,47213,'Applies Elixir of the Champion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(276552,47213,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(276553,47213,'Inflicts 2 magic damage on target',100,2,2),
(276554,47213,'Cannot be modified except by direct means',100,2,3),
(276555,10047213,'Applies Elixir of the Champion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(276556,10047213,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(276557,10047213,'Inflicts 3 magic damage on target',100,2,2),
(276558,10047213,'Cannot be modified except by direct means',100,2,3),
(276559,104564,'Inflicts 124 - 207 disease damage on target',100,1,0),
(276560,104564,'Decreases WIS of target by 47.6',100,1,1),
(276561,10104564,'Inflicts 149 - 248 disease damage on target',100,1,0),
(276562,10104564,'Decreases WIS of target by 47.6',100,1,1),
(276563,75563,'Applies Disease Blast when Activated.',100,0,0),
(276564,75563,'Inflicts 303 - 504 disease damage on target',100,1,1),
(276565,75563,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(276566,10075563,'Applies Disease Blast when Activated.',100,0,0),
(276567,10075563,'Inflicts 363 - 605 disease damage on target',100,1,1),
(276568,10075563,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(276569,123618,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(276570,123618,'Increases Defense of target by 31.9',100,1,1),
(276571,10123618,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(276572,10123618,'Increases Defense of target by 31.9',100,1,1),
(276573,100563,'When a combat art is used this spell has a 28% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',100,1,0),
(276574,100563,'Prevents AOE (except when direct) ',100,2,1),
(276575,100563,'Cannot be modified except by direct means',100,1,2),
(276576,10100563,'When a combat art is used this spell has a 28% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',100,1,0),
(276577,10100563,'Prevents AOE (except when direct) ',100,2,1),
(276578,10100563,'Cannot be modified except by direct means',100,1,2),
(276579,164371,'When Equipped:',100,0,0),
(276580,164371,'Increases Attack Speed of caster by 45.0',100,1,1),
(276581,10164371,'When Equipped:',100,0,0),
(276582,10164371,'Increases Attack Speed of caster by 45.0',100,1,1),
(276583,47984,'Applies Semi Sentient Water when Activated.',100,0,0),
(276584,47984,'Summons a pet watery construct',100,1,1),
(276585,10047984,'Applies Semi Sentient Water when Activated.',100,0,0),
(276586,10047984,'Summons a pet watery construct',100,1,1),
(276587,115770,'Inflicts 128 - 214 melee damage on target',100,1,0),
(276588,10115770,'Inflicts 154 - 257 melee damage on target',100,1,0),
(276589,103100,'Increases STR of caster by 12.5',100,1,0),
(276590,103100,'Adds 3.4% to base avoidance.',100,1,1),
(276591,103100,'Increases Mitigation of caster vs physical damage by 84',100,1,2),
(276592,103100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 225',100,1,3),
(276593,10103100,'Increases STR of caster by 12.5',100,1,0),
(276594,10103100,'Adds 3.4% to base avoidance.',100,1,1),
(276595,10103100,'Increases Mitigation of caster vs physical damage by 84',100,1,2),
(276596,10103100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 225',100,1,3),
(276597,101024,'Inflicts 453 - 841 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(276598,10101024,'Inflicts 426 - 791 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(276599,122068,'Increases Threat to target by 267 - 327 ',100,1,0),
(276600,114674,'Increases Threat to target by 2,387 - 2,816 ',100,1,0),
(276601,114674,'Interrupts target',100,1,1),
(276602,10114674,'Interrupts target',100,1,0),
(276603,10114674,'Forces target to change their selected target to caster.',100,1,1),
(276604,10114674,'Prevents target from changing targets',100,1,2),
(276605,114914,'Inflicts 240 - 400 melee damage on target',100,1,0),
(276606,114914,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 952',100,1,1),
(276607,114914,'Must be behind',100,1,2),
(276608,10114914,'Inflicts 288 - 480 melee damage on target',100,1,0),
(276609,10114914,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 476',100,1,1),
(276610,10114914,'Must be behind',100,1,2),
(276611,118143,'Heals target for 2261 - 2764',100,1,0),
(276612,10118143,'Heals target for 2673 - 3266',100,1,0),
(276613,131421,'When Equipped:',100,0,0),
(276614,131421,'This effect will not stack with itself.',100,1,1),
(276615,131421,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(276616,131421,'Inflicts 3442 - 3804 piercing damage on target encounter',100,2,3),
(276617,131421,'Heals group members (AE) for 3767 - 4164',100,2,4),
(276618,131421,'Must not be engaged in pvp combat',100,2,5),
(276619,131421,'Cannot be modified except by direct means',100,2,6),
(276620,131421,'Must not be engaged in pvp combat',100,1,7),
(276621,10131421,'When Equipped:',100,0,0),
(276622,10131421,'This effect will not stack with itself.',100,1,1),
(276623,10131421,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,2),
(276624,10131421,'Inflicts 4130 - 4565 piercing damage on target encounter',100,2,3),
(276625,10131421,'Heals group members (AE) for 4408 - 4872',100,2,4),
(276626,10131421,'Must not be engaged in pvp combat',100,2,5),
(276627,10131421,'Cannot be modified except by direct means',100,2,6),
(276628,10131421,'Must not be engaged in pvp combat',100,1,7),
(276629,114360,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(276630,114360,'Blurs vision of target',100,2,1),
(276631,114360,'Stuns target',100,2,2),
(276632,114360,'Throws target back',100,2,3),
(276633,114360,'Does not affect Epic targets',100,2,4),
(276634,114360,'Inflicts 93 - 156 crushing damage on target',100,1,5),
(276635,10114360,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(276636,10114360,'Stuns target',100,2,1),
(276637,10114360,'Blurs vision of target',100,2,2),
(276638,10114360,'Throws target back',100,2,3),
(276639,10114360,'Does not affect Epic targets',100,2,4),
(276640,10114360,'Inflicts 112 - 187 crushing damage on target',100,1,5),
(276641,46470,'Applies Blood of T''Haen when Activated.',100,0,0),
(276642,46470,'Decreases power of target by 364 - 445',100,1,1),
(276643,46470,'Inflicts 364 - 445 disease damage on target',100,1,2),
(276644,46470,'Increases power of caster by 353 - 432',100,1,3),
(276645,46470,'Heals caster for 353 - 432',100,1,4),
(276646,10046470,'Applies Blood of T''Haen when Activated.',100,0,0),
(276647,10046470,'Decreases power of target by 364 - 445',100,1,1),
(276648,10046470,'Inflicts 437 - 534 disease damage on target',100,1,2),
(276649,10046470,'Increases power of caster by 353 - 432',100,1,3),
(276650,10046470,'Heals caster for 230 - 281',100,1,4),
(276651,159743,'Applies Sanguine Imbued when Equipped.',100,0,0),
(276652,159743,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(276653,159743,'Inflicts 56 heat damage on target',100,2,2),
(276654,159743,'Cannot be modified except by direct means',100,2,3),
(276655,10159743,'Applies Sanguine Imbued when Equipped.',100,0,0),
(276656,10159743,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(276657,10159743,'Inflicts 67 heat damage on target',100,2,2),
(276658,10159743,'Cannot be modified except by direct means',100,2,3),
(276659,143541,'When Equipped:',100,0,0),
(276660,143541,'Increases Attack Speed of caster by 35.0',100,1,1),
(276661,10143541,'When Equipped:',100,0,0),
(276662,10143541,'Increases Attack Speed of caster by 35.0',100,1,1),
(276663,135106,'When Equipped:',100,0,0),
(276664,135106,'Increases Attack Speed of caster by 40.0',100,1,1),
(276665,10135106,'When Equipped:',100,0,0),
(276666,10135106,'Increases Attack Speed of caster by 40.0',100,1,1),
(276667,116821,'Decreases Hate Gain of caster by 12.1%',100,1,0),
(276668,10116821,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(276669,10116821,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(276670,10116821,'This effect can only trigger once every 5 seconds.',100,2,2),
(276671,122855,'Inflicts 81 - 135 ranged damage on target',100,1,0),
(276672,122855,'Inflicts 162 - 270 ranged damage on target',100,1,1),
(276673,122855,'Inflicts 243 - 406 ranged damage on target',100,1,2),
(276674,122855,'Requires bow',100,1,3),
(276675,10122855,'Inflicts 76 - 126 ranged damage on target',100,1,0),
(276676,10122855,'Inflicts 152 - 253 ranged damage on target',100,1,1),
(276677,10122855,'Inflicts 228 - 380 ranged damage on target',100,1,2),
(276678,10122855,'Requires bow',100,1,3),
(276679,81775,'When Equipped:',100,0,0),
(276680,81775,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276681,81775,'Inflicts 108 - 200 magic damage on target',100,2,2),
(276682,81775,'Cannot be modified except by direct means',100,2,3),
(276683,10081775,'When Equipped:',100,0,0),
(276684,10081775,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276685,10081775,'Inflicts 129 - 240 magic damage on target',100,2,2),
(276686,10081775,'Cannot be modified except by direct means',100,2,3),
(276687,37015,'Increases STR of target by 2.4',100,0,0),
(276688,37015,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(276689,45462,'Applies Call of the Veteran when Activated.',100,0,0),
(276690,45462,'Summons a mysterious orb that will allow the user to summon a group member or teleport to a group member anywhere in Norrath. This effect cannot be used while engaged in combat.',100,1,1),
(276691,10045462,'Applies Call of the Veteran when Activated.',100,0,0),
(276692,10045462,'Summons a mysterious orb that will allow the user to summon a group member or teleport to a group member anywhere in Norrath. This effect cannot be used while engaged in combat.',100,1,1),
(276693,47542,'Applies Call a Pink Unicorn when Activated.',100,0,0),
(276694,47542,'Summons a mount to ride',100,1,1),
(276695,47542,'Increases your ground speed by 130%',100,2,2),
(276696,10047542,'Applies Call a Pink Unicorn when Activated.',100,0,0),
(276697,10047542,'Summons a mount to ride',100,1,1),
(276698,10047542,'Increases your ground speed by 130%',100,2,2),
(276699,81520,'When Equipped:',100,0,0),
(276700,81520,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276701,81520,'Inflicts 111 - 205 magic damage on target',100,2,2),
(276702,81520,'Cannot be modified except by direct means',100,2,3),
(276703,10081520,'When Equipped:',100,0,0),
(276704,10081520,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(276705,10081520,'Inflicts 133 - 246 magic damage on target',100,2,2),
(276706,10081520,'Cannot be modified except by direct means',100,2,3),
(276707,100607,'Inflicts 417 - 696 melee damage on target',100,1,0),
(276708,100607,'You must be sneaking to use this ability.',100,1,1),
(276709,10100607,'Inflicts 599 - 998 melee damage on target',100,1,0),
(276710,10100607,'You must be sneaking to use this ability.',100,1,1),
(276711,78988,'When Equipped:',100,0,0),
(276712,78988,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(276713,10078988,'When Equipped:',100,0,0),
(276714,10078988,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(276715,177775,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(276716,177775,'Decreases Mitigation of target vs physical damage by 784',100,1,1),
(276717,177775,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(276718,10177775,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(276719,10177775,'Decreases Mitigation of target vs physical damage by 784',100,1,1),
(276720,10177775,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(276721,106833,'Decreases Crushing, Piercing, Slashing and Ranged of target by 18.9',100,1,0),
(276722,10106833,'Decreases Crushing, Piercing, Slashing and Ranged of target by 18.9',100,1,0),
(276723,48402,'Applies Use when Activated.',100,0,0),
(276724,48402,'Enables you to play the flute.',100,1,1),
(276725,10048402,'Applies Use when Activated.',100,0,0),
(276726,10048402,'Enables you to play the flute.',100,1,1),
(276727,110092,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(276728,110092,'Inflicts 13 disease damage on target',100,2,1),
(276729,110092,'Heals caster for 9',100,2,2),
(276730,110092,'Decreases INT of target by 54.0',100,1,3),
(276731,110092,'Decreases Attack Speed of target by 25.0',100,1,4),
(276732,110092,'Increases Max Health of target by 14.0%',100,1,5),
(276733,110092,'Increases Hate Gain of target by 25.2%',100,1,6),
(276734,110092,'Increases Aggression of target by 5.9',100,1,7),
(276735,110092,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(276736,110092,'Increases Threat to target encounter by 79 - 97 ',100,2,9),
(276737,110092,'Increases Mitigation of target vs elemental, noxious and arcane damage by 392',100,1,10),
(276738,10110092,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(276739,10110092,'Inflicts 16 disease damage on target',100,2,1),
(276740,10110092,'Heals caster for 6',100,2,2),
(276741,10110092,'Decreases INT of target by 54.0',100,1,3),
(276742,10110092,'Decreases Attack Speed of target by 25.0',100,1,4),
(276743,10110092,'Increases Max Health of target by 14.0%',100,1,5),
(276744,10110092,'Increases Aggression of target by 5.9',100,1,6),
(276745,10110092,'Increases Mitigation of target vs elemental, noxious and arcane damage by 392',100,1,7),
(276746,106142,'Inflicts 156 - 261 divine damage on target encounter',100,1,0),
(276747,106142,'Interrupts target encounter',100,1,1),
(276748,10106142,'Inflicts 188 - 313 divine damage on target encounter',100,1,0),
(276749,10106142,'Interrupts target encounter',100,1,1),
(276750,48983,'Applies Refined Troll Snot when Activated.',100,0,0),
(276751,48983,'If target is target dummy',100,1,1),
(276752,48983,'Cannot be modified except by direct means',100,1,2),
(276753,10048983,'Applies Refined Troll Snot when Activated.',100,0,0),
(276754,10048983,'If target is target dummy',100,1,1),
(276755,10048983,'Cannot be modified except by direct means',100,1,2),
(276756,108673,'Dispels 167 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(276757,10108673,'Dispels 167 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',100,1,0),
(276758,72795,'When Equipped:',100,0,0),
(276759,72795,'On any combat or spell hit this spell may cast Sundering Smash VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(276760,72795,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,2),
(276761,72795,'Blurs vision of target',100,3,3),
(276762,72795,'Stuns target',100,3,4),
(276763,72795,'Throws target back',100,3,5),
(276764,72795,'Does not affect Epic targets',100,3,6),
(276765,72795,'Inflicts 542 - 599 heat damage on targets in Area of Effect',100,2,7),
(276766,72795,'Must not be engaged in pvp combat',100,2,8),
(276767,72795,'Cannot be modified except by direct means',100,2,9),
(276768,72795,'Must not be engaged in pvp combat',100,1,10),
(276769,10072795,'When Equipped:',100,0,0),
(276770,10072795,'On any combat or spell hit this spell may cast Sundering Smash VI on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(276771,10072795,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,2),
(276772,10072795,'Stuns target',100,3,3),
(276773,10072795,'Blurs vision of target',100,3,4),
(276774,10072795,'Throws target back',100,3,5),
(276775,10072795,'Does not affect Epic targets',100,3,6),
(276776,10072795,'Inflicts 650 - 719 heat damage on targets in Area of Effect',100,2,7),
(276777,10072795,'Must not be engaged in pvp combat',100,2,8),
(276778,10072795,'Cannot be modified except by direct means',100,2,9),
(276779,10072795,'Must not be engaged in pvp combat',100,1,10),
(276780,49161,'Applies trauma remedy when Activated.',100,0,0),
(276781,49161,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(276782,10049161,'Applies trauma remedy when Activated.',100,0,0),
(276783,10049161,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(276784,117205,'Inflicts 8 - 13 melee damage on target',100,1,0),
(276785,10117205,'Inflicts 9 - 16 melee damage on target',100,1,0),
(276786,46792,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(276787,46792,'Increases Attack Speed of caster by 21.4',100,1,1),
(276788,10046792,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(276789,10046792,'Increases Attack Speed of caster by 21.4',100,1,1),
(276790,122010,'Inflicts 184 - 307 melee damage on targets in area',100,1,0),
(276791,122010,'Increases Threat to target encounter by 1,495 ',100,1,1),
(276792,10122010,'Inflicts 221 - 369 melee damage on targets in area',100,1,0),
(276793,10122010,'Prevents target encounter from changing targets',100,1,1),
(276794,10122010,'Forces target encounter to change their selected target to caster.',100,1,2),
(276795,101501,'Increases WIS of target by 10.9',100,1,0),
(276796,101501,'Increases Max Health of target by 34.3',100,1,1),
(276797,101501,'Increases Mitigation of target vs elemental, noxious and arcane damage by 27',100,1,2),
(276798,10101501,'Increases WIS of target by 10.9',100,1,0),
(276799,10101501,'Increases Max Health of target by 34.3',100,1,1),
(276800,10101501,'Increases Mitigation of target vs elemental, noxious and arcane damage by 27',100,1,2),
(276801,48654,'Applies Aura of the Rainbringer  when Activated.  Lasts for 30 minutes.',100,0,0),
(276802,10048654,'Applies Aura of the Rainbringer  when Activated.  Lasts for 30 minutes.',100,0,0),
(276803,114521,'Heals target for 101 - 124',100,1,0),
(276804,10114521,'Heals target for 132 - 161',100,1,0),
(276805,104573,'Inflicts 204 - 341 disease damage on target',100,1,0),
(276806,104573,'Decreases WIS of target by 73.6',100,1,1),
(276807,10104573,'Inflicts 245 - 409 disease damage on target',100,1,0),
(276808,10104573,'Decreases WIS of target by 73.6',100,1,1),
(276809,184748,'When Equipped:',100,0,0),
(276810,184748,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(276811,10184748,'When Equipped:',100,0,0),
(276812,10184748,'Reduces cast time of beneficial spells by 4 percent.',100,1,1),
(276813,101825,'Summons a limited pet to aid the caster',100,1,0),
(276814,10101825,'Summons a limited pet to aid the caster',100,1,0),
(276815,81848,'When Equipped:',100,0,0),
(276816,81848,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(276817,81848,'Decreases Threat to target by 487 ',100,2,2),
(276818,81848,'Must be flanking or behind',100,3,3),
(276819,81848,'Increases Threat to target by 852 ',100,2,4),
(276820,81848,'Must be in front of',100,3,5),
(276821,81848,'Inflicts 108 - 200 magic damage on target',100,2,6),
(276822,81848,'Cannot be modified except by direct means',100,2,7),
(276823,10081848,'When Equipped:',100,0,0),
(276824,10081848,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(276825,10081848,'Inflicts 129 - 240 magic damage on target',100,2,2),
(276826,10081848,'Cannot be modified except by direct means',100,2,3),
(276827,104102,'Roots target',100,1,0),
(276828,104102,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(276829,104102,'Slows target by 16.1%',100,2,2),
(276830,104102,'Makes target afraid',100,2,3),
(276831,104102,'30% chance to dispel when target takes damage',100,2,4),
(276832,104102,'Resistibility increases against targets higher than level 48.',100,2,5),
(276833,104102,'15% chance to dispel when target takes damage',100,1,6),
(276834,104102,'Does not affect Epic targets',100,1,7),
(276835,104102,'Resistibility increases against targets higher than level 48.',100,1,8),
(276836,10104102,'Roots target',100,1,0),
(276837,10104102,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(276838,10104102,'Slows target by 16.1%',100,2,2),
(276839,10104102,'Makes target afraid',100,2,3),
(276840,10104102,'30% chance to dispel when target takes damage',100,2,4),
(276841,10104102,'Resistibility increases against targets higher than level 48.',100,2,5),
(276842,10104102,'15% chance to dispel when target takes damage',100,1,6),
(276843,10104102,'Does not affect Epic targets',100,1,7),
(276844,10104102,'Resistibility increases against targets higher than level 48.',100,1,8),
(276845,120352,'Inflicts 42 - 52 divine damage on target instantly and every 4 seconds',100,1,0),
(276846,120352,'Decreases WIS of target by 32.4',100,1,1),
(276847,10120352,'Inflicts 51 - 62 divine damage on target instantly and every 4 seconds',100,1,0),
(276848,10120352,'Decreases WIS of target by 32.4',100,1,1),
(276849,124797,'Increases STR of caster by 114.6',100,1,0),
(276850,124797,'Decreases Defense of caster by 13.8',100,1,1),
(276851,124797,'Increases Crushing, Piercing, Slashing and Disruption of caster by 33.1',100,1,2),
(276852,10124797,'Increases STR of caster by 114.6',100,1,0),
(276853,10124797,'Decreases Defense of caster by 13.8',100,1,1),
(276854,10124797,'Increases Crushing, Piercing, Slashing and Disruption of caster by 33.1',100,1,2),
(276855,105576,'Inflicts 315 - 586 disease damage on target',100,1,0),
(276856,105576,'Inflicts 189 - 351 disease damage on target every 2 seconds',100,1,1),
(276857,10105576,'Inflicts 378 - 703 disease damage on target',100,1,0),
(276858,10105576,'Inflicts 227 - 422 disease damage on target every 2 seconds',100,1,1),
(276859,159710,'Applies Sanguine Imbued when Equipped.',100,0,0),
(276860,159710,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(276861,159710,'Inflicts 77 heat damage on target',100,2,2),
(276862,159710,'Cannot be modified except by direct means',100,2,3),
(276863,10159710,'Applies Sanguine Imbued when Equipped.',100,0,0),
(276864,10159710,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(276865,10159710,'Inflicts 92 heat damage on target',100,2,2),
(276866,10159710,'Cannot be modified except by direct means',100,2,3),
(276867,102234,'Increases Max Health of group members (AE) by 744.5',100,1,0),
(276868,10102234,'Increases Max Health of group members (AE) by 744.5',100,1,0),
(276869,170553,'When Equipped:',100,0,0),
(276870,170553,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(276871,170553,'Inflicts 1998 disease damage on target encounter',100,2,2),
(276872,170553,'Must not be engaged in pvp combat',100,2,3),
(276873,170553,'Cannot be modified except by direct means',100,2,4),
(276874,10170553,'When Equipped:',100,0,0),
(276875,10170553,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(276876,10170553,'Inflicts 1199 disease damage on target encounter',100,2,2),
(276877,10170553,'Must not be engaged in pvp combat',100,2,3),
(276878,10170553,'Cannot be modified except by direct means',100,2,4),
(276879,158083,'When Equipped:',100,0,0),
(276880,158083,'Increases Attack Speed of caster by 35.0',100,1,1),
(276881,10158083,'When Equipped:',100,0,0),
(276882,10158083,'Increases Attack Speed of caster by 35.0',100,1,1),
(276883,139463,'When Equipped:',100,0,0),
(276884,139463,'Increases success chance by 1.4%',100,1,1),
(276885,10139463,'When Equipped:',100,0,0),
(276886,10139463,'Increases success chance by 1.4%',100,1,1),
(276887,105053,'Inflicts 37 - 56 magic damage on target',100,1,0),
(276888,10105053,'Inflicts 44 - 67 magic damage on target',100,1,0),
(276889,100898,'Stuns targets in Area of Effect',20,1,0),
(276890,100898,'If Target is not Epic',100,2,1),
(276891,100898,'Inflicts 97 - 162 divine damage on targets in Area of Effect',100,1,2),
(276892,100898,'Resistibility increases against targets higher than level 57.',100,1,3),
(276893,10100898,'Stuns targets in Area of Effect',20,1,0),
(276894,10100898,'If Target is not Epic',100,2,1),
(276895,10100898,'Inflicts 117 - 195 divine damage on targets in Area of Effect',100,1,2),
(276896,10100898,'Resistibility increases against targets higher than level 57.',100,1,3),
(276897,101830,'Summons a limited pet to aid the caster',100,1,0),
(276898,10101830,'Summons a limited pet to aid the caster',100,1,0),
(276899,118018,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(276900,118018,'Stuns target',100,2,1),
(276901,118018,'If Target is not Epic',100,3,2),
(276902,118018,'Inflicts 69 - 115 divine damage on target',100,2,3),
(276903,118018,'Grants a total of 3 triggers of the spell.',100,2,4),
(276904,10118018,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(276905,10118018,'Stuns target',100,2,1),
(276906,10118018,'If Target is not Epic',100,3,2),
(276907,10118018,'Inflicts 83 - 138 divine damage on target',100,2,3),
(276908,10118018,'Grants a total of 3 triggers of the spell.',100,2,4),
(276909,48166,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(276910,48166,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(276911,48166,'Decreases STR of target by 7.7',100,2,2),
(276912,48166,'Cannot be modified except by direct means',100,2,3),
(276913,48166,'Grants a total of 30 triggers of the spell.',100,2,4),
(276914,10048166,'Applies spirit of lifelessness when Activated.  Lasts for 12 hours.',100,0,0),
(276915,10048166,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(276916,10048166,'Decreases STR of target by 7.7',100,2,2),
(276917,10048166,'Cannot be modified except by direct means',100,2,3),
(276918,10048166,'Grants a total of 30 triggers of the spell.',100,2,4),
(276919,101180,'Inflicts 106 - 176 cold damage on target',100,1,0),
(276920,101180,'Inflicts 106 - 176 cold damage on target',100,1,1),
(276921,101180,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(276922,101180,'Slows target by 36.9%',100,2,3),
(276923,101180,'5% chance to dispel when target receives hostile action',100,2,4),
(276924,101180,'5% chance to dispel when target takes damage',100,2,5),
(276925,101180,'If weapon equipped in Ranged',100,1,6),
(276926,10101180,'Inflicts 79 - 132 cold damage on target',100,1,0),
(276927,10101180,'Inflicts 79 - 132 cold damage on target',100,1,1),
(276928,10101180,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(276929,10101180,'Slows target by 36.9%',100,2,3),
(276930,10101180,'5% chance to dispel when target receives hostile action',100,2,4),
(276931,10101180,'5% chance to dispel when target takes damage',100,2,5),
(276932,10101180,'If weapon equipped in Ranged',100,1,6),
(276933,102952,'Inflicts 122 - 150 disease damage on target instantly and every 4 seconds',100,1,0),
(276934,10102952,'Inflicts 191 - 233 disease damage on target',100,1,0),
(276935,10102952,'Inflicts 147 - 179 disease damage on target every 4 seconds',100,1,1),
(276936,104008,'Stifles target',100,1,0),
(276937,104008,'If Target is not Epic',100,2,1),
(276938,104008,'Interrupts target',100,1,2),
(276939,104008,'Decreases Threat to target by 126 - 154 ',100,1,3),
(276940,104008,'Resistibility increases against targets higher than level 39.',100,1,4),
(276941,10104008,'Stifles target',100,1,0),
(276942,10104008,'If Target is not Epic',100,2,1),
(276943,10104008,'Interrupts target',100,1,2),
(276944,10104008,'Resistibility increases against targets higher than level 39.',100,1,3),
(276945,164825,'When Equipped:',100,0,0),
(276946,164825,'On a combat hit this spell may cast Greater Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(276947,164825,'Heals group members for 857',100,2,2),
(276948,164825,'Cannot be modified except by direct means',100,2,3),
(276949,10164825,'When Equipped:',100,0,0),
(276950,10164825,'On a combat hit this spell may cast Greater Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(276951,10164825,'Heals group members for 557',100,2,2),
(276952,10164825,'Cannot be modified except by direct means',100,2,3),
(276953,114447,'Inflicts 105 - 175 heat damage on target',100,1,0),
(276954,10114447,'Inflicts 126 - 210 heat damage on target',100,1,0),
(276955,27212,'When Equipped:',100,0,0),
(276956,27212,'Increases Damage Per Second of caster by 12.0',100,1,1),
(276957,10027212,'When Equipped:',100,0,0),
(276958,10027212,'Increases Damage Per Second of caster by 12.0',100,1,1),
(276959,75971,'When Equipped:',100,0,0),
(276960,75971,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(276961,75971,'Increases Threat to target by 4,460 ',100,2,2),
(276962,75971,'Inflicts 1390 mental damage on target',100,2,3),
(276963,75971,'Cannot be modified except by direct means',100,2,4),
(276964,75971,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(276965,75971,'Increases Threat to target by 4,460 ',100,2,6),
(276966,75971,'Inflicts 1390 mental damage on target',100,2,7),
(276967,75971,'Cannot be modified except by direct means',100,2,8),
(276968,10075971,'When Equipped:',100,0,0),
(276969,10075971,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(276970,10075971,'Inflicts 1668 mental damage on target',100,2,2),
(276971,10075971,'Cannot be modified except by direct means',100,2,3),
(276972,10075971,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(276973,10075971,'Inflicts 1668 mental damage on target',100,2,5),
(276974,10075971,'Cannot be modified except by direct means',100,2,6),
(276975,109636,'Wards target against 271 points of all damage',100,1,0),
(276976,10109636,'Wards target against 271 points of all damage',100,1,0),
(276977,183246,'When Equipped:',100,0,0),
(276978,183246,'Increases Attack Speed of caster by 35.0',100,1,1),
(276979,10183246,'When Equipped:',100,0,0),
(276980,10183246,'Increases Attack Speed of caster by 35.0',100,1,1),
(276981,49087,'Applies Summon Unicorn when Activated.',100,0,0),
(276982,49087,'Summons a mount to ride',100,1,1),
(276983,49087,'Increases your ground speed by 135%',100,2,2),
(276984,49087,'Increases Crushing, Disruption, Piercing, Ranged, Slashing, Ministration, Ordination, Aggression, Subjugation and Focus of caster by 5.0',100,1,3),
(276985,10049087,'Applies Summon Unicorn when Activated.',100,0,0),
(276986,10049087,'Summons a mount to ride',100,1,1),
(276987,10049087,'Increases your ground speed by 135%',100,2,2),
(276988,10049087,'Increases Crushing, Disruption, Piercing, Ranged, Slashing, Ministration, Ordination, Aggression, Subjugation and Focus of caster by 5.0',100,1,3),
(276989,46762,'Applies Speak to Brother Lasca when Activated.',100,0,0),
(276990,10046762,'Applies Speak to Brother Lasca when Activated.',100,0,0),
(276991,47723,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(276992,47723,'Increases INT of caster by 43.0',100,1,1),
(276993,10047723,'Applies elixir of intellect when Activated.  Lasts for 30 minutes.',100,0,0),
(276994,10047723,'Increases INT of caster by 43.0',100,1,1),
(276995,35595,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(276996,48204,'Applies Spirit of the Monkey when Activated.  Lasts for 30 minutes.',100,0,0),
(276997,48204,'Shapechanges caster into a monkey',100,1,1),
(276998,48204,'Increases Out-of-Combat Power Regeneration of caster by 72.0',100,1,2),
(276999,48204,'This effect suspends during combat',100,1,3),
(277000,48204,'Only affects targets level 50 and above',100,1,4),
(277001,10048204,'Applies Spirit of the Monkey when Activated.  Lasts for 30 minutes.',100,0,0),
(277002,10048204,'Shapechanges caster into a monkey',100,1,1),
(277003,10048204,'Increases Out-of-Combat Power Regeneration of caster by 72.0',100,1,2),
(277004,10048204,'This effect suspends during combat',100,1,3),
(277005,10048204,'Only affects targets level 50 and above',100,1,4),
(277006,48966,'Applies Wave of Health  when Activated.',100,0,0),
(277007,48966,'Heals caster for 54',100,1,1),
(277008,10048966,'Applies Wave of Health  when Activated.',100,0,0),
(277009,10048966,'Heals caster for 35',100,1,1),
(277010,124832,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1125',100,1,0),
(277011,10124832,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1125',100,1,0),
(277012,120370,'Inflicts 111 - 135 divine damage on target instantly and every 4 seconds',100,1,0),
(277013,120370,'Decreases WIS of target by 73.8',100,1,1),
(277014,10120370,'Inflicts 133 - 162 divine damage on target instantly and every 4 seconds',100,1,0),
(277015,10120370,'Decreases WIS of target by 73.8',100,1,1),
(277016,45490,'Applies Character Copy when Activated.',100,0,0),
(277017,45490,'Only No-Trade and Attuned items will copy.  All other items will be removed.',100,1,1),
(277018,45490,'Allows copying a character to a EQ2X server.',100,1,2),
(277019,45490,'Shared bank items, houses and housing items will not be copied with the character.',100,1,3),
(277020,45490,'Character names are not guaranteed upon copy; if character''s name already exists on destination server, a new name will need to be entered in the provided name change field.',100,1,4),
(277021,45490,'Character''s guild affiliation will be removed.',100,1,5),
(277022,45490,'Tokens are not refundable. ',100,1,6),
(277023,45490,'For complete terms and conditions, please see the EQII Character Copy Service rules available upon logging in to http://www.eq2players.com ',100,1,7),
(277024,10045490,'Applies Character Copy when Activated.',100,0,0),
(277025,10045490,'Only No-Trade and Attuned items will copy.  All other items will be removed.',100,1,1),
(277026,10045490,'Allows copying a character to a EQ2X server.',100,1,2),
(277027,10045490,'Shared bank items, houses and housing items will not be copied with the character.',100,1,3),
(277028,10045490,'Character names are not guaranteed upon copy; if character''s name already exists on destination server, a new name will need to be entered in the provided name change field.',100,1,4),
(277029,10045490,'Character''s guild affiliation will be removed.',100,1,5),
(277030,10045490,'Tokens are not refundable. ',100,1,6),
(277031,10045490,'For complete terms and conditions, please see the EQII Character Copy Service rules available upon logging in to http://www.eq2players.com ',100,1,7),
(277032,159024,'When Equipped:',100,0,0),
(277033,159024,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277034,159024,'Increases STR of caster by 23.1',100,2,2),
(277035,159024,'Increases Damage Per Second of caster by 27.8',100,2,3),
(277036,159024,'Cannot be modified except by direct means',100,2,4),
(277037,10159024,'When Equipped:',100,0,0),
(277038,10159024,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277039,10159024,'Increases STR of caster by 23.1',100,2,2),
(277040,10159024,'Increases Damage Per Second of caster by 27.8',100,2,3),
(277041,10159024,'Cannot be modified except by direct means',100,2,4),
(277042,24093,'Adds Chardok: Manual of Tactics to your Dungeon Maker toolbox',100,0,0),
(277043,10024093,'Adds Chardok: Manual of Tactics to your Dungeon Maker toolbox',100,0,0),
(277044,116770,'Increases Max Health of target by 728.4',100,1,0),
(277045,116770,'Increases Max Power of target by 764.6',100,1,1),
(277046,10116770,'Increases Max Health of target by 728.4',100,1,0),
(277047,10116770,'Increases Max Power of target by 764.6',100,1,1),
(277048,119461,'Inflicts 238 - 397 melee damage on target',100,1,0),
(277049,119461,'Inflicts 172 piercing damage on target instantly and every 4 seconds',100,1,1),
(277050,119461,'Must be flanking or behind',100,1,2),
(277051,10119461,'Inflicts 285 - 476 melee damage on target',100,1,0),
(277052,10119461,'Inflicts 207 piercing damage on target instantly and every 4 seconds',100,1,1),
(277053,10119461,'Must be flanking or behind',100,1,2),
(277054,117990,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(277055,117990,'Increases Damage Per Second of target by 17.9',100,2,1),
(277056,117990,'Increases Attack Speed of target by 17.9',100,2,2),
(277057,117990,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(277058,117990,'Increases Damage Per Second of target by 17.9',100,2,4),
(277059,117990,'Increases Attack Speed of target by 17.9',100,2,5),
(277060,117990,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(277061,117990,'Increases Damage Per Second of target by 17.9',100,2,7),
(277062,117990,'Increases Attack Speed of target by 17.9',100,2,8),
(277063,10117990,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(277064,10117990,'Increases Damage Per Second of target by 17.9',100,2,1),
(277065,10117990,'Increases Attack Speed of target by 17.9',100,2,2),
(277066,10117990,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(277067,10117990,'Increases Damage Per Second of target by 17.9',100,2,4),
(277068,10117990,'Increases Attack Speed of target by 17.9',100,2,5),
(277069,10117990,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(277070,10117990,'Increases Damage Per Second of target by 17.9',100,2,7),
(277071,10117990,'Increases Attack Speed of target by 17.9',100,2,8),
(277072,121412,'Inflicts 39 - 65 ranged damage on target',100,1,0),
(277073,121412,'Inflicts 39 - 65 ranged damage on target',100,1,1),
(277074,121412,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(277075,121412,'Slows target by 31.5%',100,2,3),
(277076,121412,'5% chance to dispel when target receives hostile action',100,2,4),
(277077,121412,'5% chance to dispel when target takes damage',100,2,5),
(277078,121412,'If weapon equipped in Ranged',100,1,6),
(277079,10121412,'Inflicts 29 - 49 ranged damage on target',100,1,0),
(277080,10121412,'Inflicts 29 - 49 ranged damage on target',100,1,1),
(277081,10121412,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(277082,10121412,'Slows target by 31.5%',100,2,3),
(277083,10121412,'5% chance to dispel when target receives hostile action',100,2,4),
(277084,10121412,'5% chance to dispel when target takes damage',100,2,5),
(277085,10121412,'If weapon equipped in Ranged',100,1,6),
(277086,120919,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(277087,120919,'Inflicts 199 - 243 mental damage on target',100,2,1),
(277088,120919,'Grants a total of 3 triggers of the spell.',100,2,2),
(277089,10120919,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(277090,10120919,'Inflicts 239 - 292 mental damage on target',100,2,1),
(277091,10120919,'Grants a total of 3 triggers of the spell.',100,2,2),
(277092,25026,'When Equipped:',100,0,0),
(277093,25026,'Increases INT, AGI, STR and WIS of caster by 25.0',100,1,1),
(277094,10025026,'When Equipped:',100,0,0),
(277095,10025026,'Increases INT, AGI, STR and WIS of caster by 25.0',100,1,1),
(277096,105858,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(277097,105858,'Increases Damage Per Second of caster by 47.1',100,1,1),
(277098,105858,'Increases Piercing, Slashing and Crushing of caster by 22.1',100,1,2),
(277099,10105858,'Caster will have their chance to hit with a weapon increased by 5.5%',100,1,0),
(277100,10105858,'Increases Damage Per Second of caster by 47.1',100,1,1),
(277101,10105858,'Increases Piercing, Slashing and Crushing of caster by 22.1',100,1,2),
(277102,46264,'Applies elixir of second sight when Activated.  Lasts for 15 minutes.',100,0,0),
(277103,46264,'Increases Crit Chance of caster by 4.0',100,1,1),
(277104,10046264,'Applies elixir of second sight when Activated.  Lasts for 15 minutes.',100,0,0),
(277105,10046264,'Increases Crit Chance of caster by 4.0',100,1,1),
(277106,120661,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 21.6',100,1,0),
(277107,120661,'Increases Focus of group members (AE) by 43.2',100,1,1),
(277108,10120661,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 21.6',100,1,0),
(277109,10120661,'Increases Focus of group members (AE) by 43.2',100,1,1),
(277110,45465,'Applies Release when Activated.  Lasts for 2.0 seconds.',100,0,0),
(277111,45465,'must be in a particular area',100,1,1),
(277112,10045465,'Applies Release when Activated.  Lasts for 2.0 seconds.',100,0,0),
(277113,10045465,'must be in a particular area',100,1,1),
(277114,113270,'Inflicts 24 - 33 magic damage on target',100,1,0),
(277115,10113270,'Inflicts 29 - 39 magic damage on target',100,1,0),
(277116,107298,'Decreases WIS of target by 6.8',100,1,0),
(277117,107298,'Decreases Defense of target by 2.2',100,1,1),
(277118,10107298,'Decreases WIS of target by 6.8',100,1,0),
(277119,10107298,'Decreases Defense of target by 2.2',100,1,1),
(277120,119567,'Wards group members (AE) against 2092 points of arcane damage',100,1,0),
(277121,119567,'Increases Mitigation of group members (AE) vs arcane damage by 1101',100,1,1),
(277122,10119567,'Wards group members (AE) against 2092 points of arcane damage',100,1,0),
(277123,10119567,'Increases Mitigation of group members (AE) vs arcane damage by 1101',100,1,1),
(277124,164580,'Applies Unstable Magics when Equipped.',100,0,0),
(277125,164580,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(277126,10164580,'Applies Unstable Magics when Equipped.',100,0,0),
(277127,10164580,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(277128,181742,'When Equipped:',100,0,0),
(277129,181742,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(277130,181742,'Wards group members (AE) against 1200 points of all damage',100,2,2),
(277131,181742,'Cannot be modified except by direct means',100,2,3),
(277132,10181742,'When Equipped:',100,0,0),
(277133,10181742,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(277134,10181742,'Wards group members (AE) against 1200 points of all damage',100,2,2),
(277135,10181742,'Cannot be modified except by direct means',100,2,3),
(277136,48792,'Applies Fireblight''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(277137,48792,'Heals caster for 167',100,1,1),
(277138,48792,'Heals caster for 84 every 5 seconds',100,1,2),
(277139,10048792,'Applies Fireblight''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(277140,10048792,'Heals caster for 109',100,1,1),
(277141,10048792,'Heals caster for 54 every 5 seconds',100,1,2),
(277142,103861,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(277143,103861,'Slows target by 41.1%',100,2,1),
(277144,103861,'5% chance to dispel when target receives hostile action',100,2,2),
(277145,103861,'5% chance to dispel when target takes damage',100,2,3),
(277146,103861,'Decreases Mitigation of target vs noxious damage by 814',100,1,4),
(277147,10103861,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(277148,10103861,'Slows target by 41.1%',100,2,1),
(277149,10103861,'5% chance to dispel when target receives hostile action',100,2,2),
(277150,10103861,'5% chance to dispel when target takes damage',100,2,3),
(277151,10103861,'Decreases Mitigation of target vs noxious damage by 814',100,1,4),
(277152,71872,'When Equipped:',100,0,0),
(277153,71872,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277154,71872,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(277155,71872,'Cannot be modified except by direct means',100,2,3),
(277156,10071872,'When Equipped:',100,0,0),
(277157,10071872,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277158,10071872,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(277159,10071872,'Cannot be modified except by direct means',100,2,3),
(277160,37514,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(277161,112203,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(277162,112203,'Increases Threat to target by 13 ',100,2,1),
(277163,112203,'Inflicts 4 disease damage on target',100,2,2),
(277164,112203,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 182',100,1,3),
(277165,10112203,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(277166,10112203,'Inflicts 5 disease damage on target',100,2,1),
(277167,10112203,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 182',100,1,2),
(277168,41564,'When Equipped:',100,0,0),
(277169,41564,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(277170,41564,'Decreases Threat to target by 259 ',100,2,2),
(277171,41564,'Must be flanking or behind',100,3,3),
(277172,41564,'Increases Threat to target by 453 ',100,2,4),
(277173,41564,'Must be in front of',100,3,5),
(277174,41564,'Inflicts 79 - 146 magic damage on target',100,2,6),
(277175,41564,'Cannot be modified except by direct means',100,2,7),
(277176,10041564,'When Equipped:',100,0,0),
(277177,10041564,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(277178,10041564,'Inflicts 94 - 175 magic damage on target',100,2,2),
(277179,10041564,'Cannot be modified except by direct means',100,2,3),
(277180,102425,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(277181,102425,'Heals target for 42 - 51',100,2,1),
(277182,102425,'Grants a total of 5 triggers of the spell.',100,2,2),
(277183,10102425,'When any damage is received this spell will cast Vitae on target.  ',100,1,0),
(277184,10102425,'Heals target for 27 - 33',100,2,1),
(277185,10102425,'Grants a total of 5 triggers of the spell.',100,2,2),
(277186,24157,'Adds Crushbone: Blue Candle to your Dungeon Maker toolbox',100,0,0),
(277187,10024157,'Adds Crushbone: Blue Candle to your Dungeon Maker toolbox',100,0,0),
(277188,116092,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(277189,116092,'Heals target for 194 - 237',100,2,1),
(277190,116092,'Grants a total of 5 triggers of the spell.',100,2,2),
(277191,10116092,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(277192,10116092,'Heals target for 126 - 154',100,2,1),
(277193,10116092,'Grants a total of 5 triggers of the spell.',100,2,2),
(277194,159137,'Applies Sanguine Imbued when Equipped.',100,0,0),
(277195,159137,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(277196,159137,'Inflicts 40 heat damage on target',100,2,2),
(277197,159137,'Cannot be modified except by direct means',100,2,3),
(277198,10159137,'Applies Sanguine Imbued when Equipped.',100,0,0),
(277199,10159137,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(277200,10159137,'Inflicts 48 heat damage on target',100,2,2),
(277201,10159137,'Cannot be modified except by direct means',100,2,3),
(277202,41657,'When Equipped:',100,0,0),
(277203,41657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277204,41657,'Inflicts 169 - 314 magic damage on target',100,2,2),
(277205,41657,'Cannot be modified except by direct means',100,2,3),
(277206,10041657,'When Equipped:',100,0,0),
(277207,10041657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277208,10041657,'Inflicts 203 - 377 magic damage on target',100,2,2),
(277209,10041657,'Cannot be modified except by direct means',100,2,3),
(277210,48660,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(277211,48660,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(277212,48660,'Inflicts 166 poison damage on target',100,2,2),
(277213,48660,'Inflicts 86 poison damage on target instantly and every 6 seconds',100,2,3),
(277214,48660,'Cannot be modified except by direct means',100,2,4),
(277215,48660,'Grants a total of 200 triggers of the spell.',100,2,5),
(277216,10048660,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(277217,10048660,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(277218,10048660,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,2),
(277219,10048660,'Inflicts 150 poison damage on target',100,2,3),
(277220,10048660,'Cannot be modified except by direct means',100,2,4),
(277221,10048660,'Grants a total of 200 triggers of the spell.',100,2,5),
(277222,102118,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(277223,102118,'Throws target back',100,2,1),
(277224,102118,'Stuns target',100,2,2),
(277225,102118,'Blurs vision of target',100,2,3),
(277226,102118,'Does not affect Epic targets',100,2,4),
(277227,102118,'Inflicts 191 - 319 crushing damage on target',100,1,5),
(277228,10102118,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(277229,10102118,'Throws target back',100,2,1),
(277230,10102118,'Stuns target',100,2,2),
(277231,10102118,'Blurs vision of target',100,2,3),
(277232,10102118,'Does not affect Epic targets',100,2,4),
(277233,10102118,'Inflicts 230 - 383 crushing damage on target',100,1,5),
(277234,124158,'Decreases Attack Speed of target by 15.4',100,1,0),
(277235,10124158,'Decreases Attack Speed of target by 15.4',100,1,0),
(277236,87551,'Applies Mental Blast when Activated.',100,0,0),
(277237,87551,'Inflicts 303 - 504 mental damage on target',100,1,1),
(277238,87551,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(277239,10087551,'Applies Mental Blast when Activated.',100,0,0),
(277240,10087551,'Inflicts 363 - 605 mental damage on target',100,1,1),
(277241,10087551,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(277242,121794,'Heals target for 216 - 264',100,1,0),
(277243,121794,'Heals target for 36 - 44 every second',100,1,1),
(277244,10121794,'Heals target for 375 - 458',100,1,0),
(277245,10121794,'Heals target for 31 - 38 every second',100,1,1),
(277246,144448,'When Equipped:',100,0,0),
(277247,144448,'Increases Attack Speed of caster by 20.0',100,1,1),
(277248,10144448,'When Equipped:',100,0,0),
(277249,10144448,'Increases Attack Speed of caster by 20.0',100,1,1),
(277250,162983,'When Equipped:',100,0,0),
(277251,162983,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(277252,10162983,'When Equipped:',100,0,0),
(277253,10162983,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(277254,184985,'When Equipped:',100,0,0),
(277255,184985,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(277256,184985,'Inflicts 325 piercing damage on target',100,2,2),
(277257,184985,'Cannot be modified except by direct means',100,2,3),
(277258,10184985,'When Equipped:',100,0,0),
(277259,10184985,'When damaged with a melee weapon this spell has a 10% chance to cast Counterattack on target''s attacker.  ',100,1,1),
(277260,10184985,'Inflicts 390 piercing damage on target',100,2,2),
(277261,10184985,'Cannot be modified except by direct means',100,2,3),
(277262,36664,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(277263,123349,'Summons a pet hammer',100,1,0),
(277264,10123349,'Summons a pet hammer',100,1,0),
(277265,110166,'Applies Untreated Bleeding on termination.',100,1,0),
(277266,110166,'Inflicts 120 - 199 piercing damage on target',100,2,1),
(277267,110166,'Inflicts 26 - 43 piercing damage on target instantly and every 4 seconds',100,1,2),
(277268,110166,'Inflicts 17 - 28 melee damage on target',100,1,3),
(277269,10110166,'Applies Untreated Bleeding on termination.',100,1,0),
(277270,10110166,'Inflicts 143 - 239 piercing damage on target',100,2,1),
(277271,10110166,'Inflicts 31 - 51 piercing damage on target instantly and every 4 seconds',100,1,2),
(277272,10110166,'Inflicts 20 - 34 melee damage on target',100,1,3),
(277273,119323,'Roots target',100,1,0),
(277274,119323,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(277275,119323,'Slows target by 42.4%',100,2,2),
(277276,119323,'5% chance to dispel when target receives hostile action',100,2,3),
(277277,119323,'5% chance to dispel when target takes damage',100,2,4),
(277278,119323,'15% chance to dispel when target takes damage',100,1,5),
(277279,119323,'Does not affect Epic targets',100,1,6),
(277280,119323,'Resistibility increases against targets higher than level 102.',100,1,7),
(277281,10119323,'Roots target',100,1,0),
(277282,10119323,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(277283,10119323,'Slows target by 42.4%',100,2,2),
(277284,10119323,'5% chance to dispel when target receives hostile action',100,2,3),
(277285,10119323,'5% chance to dispel when target takes damage',100,2,4),
(277286,10119323,'15% chance to dispel when target takes damage',100,1,5),
(277287,10119323,'Does not affect Epic targets',100,1,6),
(277288,10119323,'Resistibility increases against targets higher than level 102.',100,1,7),
(277289,24423,'Adds Golem (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(277290,10024423,'Adds Golem (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(277291,80977,'When Equipped:',100,0,0),
(277292,80977,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(277293,80977,'Decreases Threat to target by 672 ',100,2,2),
(277294,80977,'Must be flanking or behind',100,3,3),
(277295,80977,'Increases Threat to target by 1,132 ',100,2,4),
(277296,80977,'Must be in front of',100,3,5),
(277297,80977,'Inflicts 188 - 349 magic damage on target',100,2,6),
(277298,80977,'Cannot be modified except by direct means',100,2,7),
(277299,10080977,'When Equipped:',100,0,0),
(277300,10080977,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(277301,10080977,'Inflicts 226 - 419 magic damage on target',100,2,2),
(277302,10080977,'Cannot be modified except by direct means',100,2,3),
(277303,71617,'When Equipped:',100,0,0),
(277304,71617,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277305,71617,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(277306,71617,'Cannot be modified except by direct means',100,2,3),
(277307,10071617,'When Equipped:',100,0,0),
(277308,10071617,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277309,10071617,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(277310,10071617,'Cannot be modified except by direct means',100,2,3),
(277311,102767,'Increases STR of caster by 19.7',100,1,0),
(277312,102767,'Increases Max Health of caster by 84.6',100,1,1),
(277313,102767,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 536',100,1,2),
(277314,10102767,'Increases STR of caster by 19.7',100,1,0),
(277315,10102767,'Increases Max Health of caster by 84.6',100,1,1),
(277316,10102767,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 536',100,1,2),
(277317,172186,'When Equipped:',100,0,0),
(277318,172186,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(277319,172186,'Heals group members (AE) for 2624',100,2,2),
(277320,172186,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(277321,172186,'Must not be engaged in pvp combat',100,2,4),
(277322,172186,'Cannot be modified except by direct means',100,2,5),
(277323,172186,'Must not be engaged in pvp combat',100,1,6),
(277324,10172186,'When Equipped:',100,0,0),
(277325,10172186,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(277326,10172186,'Heals group members (AE) for 3071',100,2,2),
(277327,10172186,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(277328,10172186,'Must not be engaged in pvp combat',100,2,4),
(277329,10172186,'Cannot be modified except by direct means',100,2,5),
(277330,10172186,'Must not be engaged in pvp combat',100,1,6),
(277331,140429,'When Equipped:',100,0,0),
(277332,140429,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(277333,140429,'Wards caster against 1250 points of all damage',100,2,2),
(277334,140429,'Cannot be modified except by direct means',100,2,3),
(277335,140429,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(277336,140429,'Wards caster against 1250 points of all damage',100,2,5),
(277337,140429,'Cannot be modified except by direct means',100,2,6),
(277338,10140429,'When Equipped:',100,0,0),
(277339,10140429,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(277340,10140429,'Wards caster against 625 points of all damage',100,2,2),
(277341,10140429,'Cannot be modified except by direct means',100,2,3),
(277342,10140429,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(277343,10140429,'Wards caster against 625 points of all damage',100,2,5),
(277344,10140429,'Cannot be modified except by direct means',100,2,6),
(277345,131443,'When Equipped:',100,0,0),
(277346,131443,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(277347,131443,'Applies Dispersion on termination.',100,2,2),
(277348,131443,'Increases power of group members by 224',100,3,3),
(277349,131443,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(277350,131443,'Cannot be modified except by direct means',100,2,5),
(277351,131443,'Cannot be modified except by direct means',100,1,6),
(277352,10131443,'When Equipped:',100,0,0),
(277353,10131443,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(277354,10131443,'Applies Dispersion on termination.',100,2,2),
(277355,10131443,'Increases power of group members by 224',100,3,3),
(277356,10131443,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(277357,10131443,'Cannot be modified except by direct means',100,2,5),
(277358,10131443,'Cannot be modified except by direct means',100,1,6),
(277359,114053,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(277360,114053,'Grants stealth to caster',100,2,1),
(277361,114053,'Suspends caster''s movement speed enhancements',100,2,2),
(277362,114053,'Inflicts 29 - 48 melee damage on target',100,1,3),
(277363,114053,'Must be flanking or behind',100,1,4),
(277364,10114053,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(277365,10114053,'Grants stealth to caster',100,2,1),
(277366,10114053,'Suspends caster''s movement speed enhancements',100,2,2),
(277367,10114053,'Inflicts 52 - 88 melee damage on target',100,1,3),
(277368,10114053,'Must be flanking or behind',100,1,4),
(277369,157362,'Applies Ancestral Call when Activated.',100,0,0),
(277370,157362,'Dispels 17 levels of hostile Fear effects on caster',100,1,1),
(277371,157362,'Dispels 17 levels of hostile Root, hostile Daze, hostile Stun and hostile Stifle effects on group members (AE)',100,1,2),
(277372,157362,'The casting time of Ancestral Call is 1.0 second and the reuse time of the spell is 2 minutes',100,1,3),
(277373,10157362,'Applies Ancestral Call when Activated.',100,0,0),
(277374,10157362,'Dispels 17 levels of hostile Fear effects on caster',100,1,1),
(277375,10157362,'Dispels 17 levels of hostile Root, hostile Daze, hostile Stun and hostile Stifle effects on group members (AE)',100,1,2),
(277376,10157362,'The casting time of Ancestral Call is 1.0 second and the reuse time of the spell is 2 minutes',100,1,3),
(277377,124481,'Heals group members (AE) for 508 - 620',100,1,0),
(277378,10124481,'Heals group members (AE) for 594 - 726',100,1,0),
(277379,123009,'Wards group members (AE) collectively against 2237 total points of all damage',100,1,0),
(277380,10123009,'Wards group members (AE) collectively against 3332 total points of all damage',100,1,0),
(277381,154874,'When Equipped:',100,0,0),
(277382,154874,'On any combat or spell hit this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277383,154874,'Increases Ability Recovery Speed of caster by 7.0%',100,2,2),
(277384,154874,'Increases Ability Casting Speed of caster by 7.0%',100,2,3),
(277385,154874,'Increases Ability Modifier of caster by 500.0',100,2,4),
(277386,154874,'Must not be engaged in pvp combat',100,2,5),
(277387,154874,'Cannot be modified except by direct means',100,2,6),
(277388,154874,'On a healing spell cast this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(277389,154874,'Increases Ability Recovery Speed of caster by 7.0%',100,2,8),
(277390,154874,'Increases Ability Casting Speed of caster by 7.0%',100,2,9),
(277391,154874,'Increases Ability Modifier of caster by 500.0',100,2,10),
(277392,154874,'Must not be engaged in pvp combat',100,2,11),
(277393,154874,'Cannot be modified except by direct means',100,2,12),
(277394,154874,'Must not be engaged in pvp combat',100,1,13),
(277395,10154874,'When Equipped:',100,0,0),
(277396,10154874,'On any combat or spell hit this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277397,10154874,'Increases Ability Recovery Speed of caster by 7.0%',100,2,2),
(277398,10154874,'Increases Ability Casting Speed of caster by 7.0%',100,2,3),
(277399,10154874,'Increases Ability Modifier of caster by 500.0',100,2,4),
(277400,10154874,'Must not be engaged in pvp combat',100,2,5),
(277401,10154874,'Cannot be modified except by direct means',100,2,6),
(277402,10154874,'On a healing spell cast this spell may cast Silver Thread on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,7),
(277403,10154874,'Increases Ability Recovery Speed of caster by 7.0%',100,2,8),
(277404,10154874,'Increases Ability Casting Speed of caster by 7.0%',100,2,9),
(277405,10154874,'Increases Ability Modifier of caster by 500.0',100,2,10),
(277406,10154874,'Must not be engaged in pvp combat',100,2,11),
(277407,10154874,'Cannot be modified except by direct means',100,2,12),
(277408,10154874,'Must not be engaged in pvp combat',100,1,13),
(277409,159647,'When Equipped:',100,0,0),
(277410,159647,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277411,159647,'Increases INT of caster by 12.2',100,2,2),
(277412,159647,'Increases Subjugation, Disruption and Focus of caster by 7.2',100,2,3),
(277413,159647,'Cannot be modified except by direct means',100,2,4),
(277414,10159647,'When Equipped:',100,0,0),
(277415,10159647,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277416,10159647,'Increases INT of caster by 12.2',100,2,2),
(277417,10159647,'Increases Subjugation, Disruption and Focus of caster by 7.2',100,2,3),
(277418,10159647,'Cannot be modified except by direct means',100,2,4),
(277419,174449,'When Equipped:',100,0,0),
(277420,174449,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(277421,174449,'Inflicts 1986 heat damage on target',100,2,2),
(277422,174449,'Cannot be modified except by direct means',100,2,3),
(277423,10174449,'When Equipped:',100,0,0),
(277424,10174449,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(277425,10174449,'Inflicts 1192 heat damage on target',100,2,2),
(277426,10174449,'Cannot be modified except by direct means',100,2,3),
(277427,113644,'Interrupts target encounter',100,1,0),
(277428,113644,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 42.8',100,1,1),
(277429,10113644,'Interrupts target encounter',100,1,0),
(277430,10113644,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 42.8',100,1,1),
(277431,110236,'Inflicts 45 - 75 melee damage on target',100,1,0),
(277432,110236,'Slows target by 37.8%',100,1,1),
(277433,110236,'5% chance to dispel when target receives hostile action',100,1,2),
(277434,110236,'5% chance to dispel when target takes damage',100,1,3),
(277435,10110236,'Inflicts 54 - 90 melee damage on target',100,1,0),
(277436,10110236,'Slows target by 37.8%',100,1,1),
(277437,10110236,'5% chance to dispel when target receives hostile action',100,1,2),
(277438,10110236,'5% chance to dispel when target takes damage',100,1,3),
(277439,114547,'Heals target for 524 - 640',100,1,0),
(277440,10114547,'Heals target for 681 - 832',100,1,0),
(277441,45603,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(277442,45603,'Increases STR and STA of caster by 12.0',100,1,1),
(277443,10045603,'Applies Elixir of Endurance  when Activated.  Lasts for 30 minutes.',100,0,0),
(277444,10045603,'Increases STR and STA of caster by 12.0',100,1,1),
(277445,112852,'Roots target',100,1,0),
(277446,112852,'5% chance to dispel when target takes damage',100,1,1),
(277447,112852,'Does not affect Epic targets',100,1,2),
(277448,112852,'Resistibility increases against targets higher than level 105.',100,1,3),
(277449,10112852,'Roots target',100,1,0),
(277450,10112852,'5% chance to dispel when target takes damage',100,1,1),
(277451,10112852,'Does not affect Epic targets',100,1,2),
(277452,10112852,'Resistibility increases against targets higher than level 105.',100,1,3),
(277453,110981,'Inflicts 1778 - 2963 ranged damage on target',100,1,0),
(277454,110981,'I need to be stealthed!',100,1,1),
(277455,110981,'Requires bow',100,1,2),
(277456,10110981,'Inflicts 1000 - 1666 ranged damage on target',100,1,0),
(277457,10110981,'I need to be stealthed!',100,1,1),
(277458,10110981,'Requires bow',100,1,2),
(277459,159286,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(277460,159286,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(277461,159286,'Inflicts 45 heat damage on target',100,2,2),
(277462,159286,'Cannot be modified except by direct means',100,2,3),
(277463,10159286,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(277464,10159286,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(277465,10159286,'Inflicts 54 heat damage on target',100,2,2),
(277466,10159286,'Cannot be modified except by direct means',100,2,3),
(277467,159314,'Applies Lambent Imbued when Equipped.',100,0,0),
(277468,159314,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(277469,159314,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(277470,159314,'Cannot be modified except by direct means',100,2,3),
(277471,10159314,'Applies Lambent Imbued when Equipped.',100,0,0),
(277472,10159314,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(277473,10159314,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(277474,10159314,'Cannot be modified except by direct means',100,2,3),
(277475,24088,'Adds Chardok: Empty Stone Book Shelves to your Dungeon Maker toolbox',100,0,0),
(277476,10024088,'Adds Chardok: Empty Stone Book Shelves to your Dungeon Maker toolbox',100,0,0),
(277477,160789,'When Equipped:',100,0,0),
(277478,160789,'Increases Attack Speed of caster by 35.0',100,1,1),
(277479,10160789,'When Equipped:',100,0,0),
(277480,10160789,'Increases Attack Speed of caster by 35.0',100,1,1),
(277481,47386,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(277482,47386,'This potion will grant you the illusion of being a Darkpaw gnoll!',100,1,1),
(277483,10047386,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(277484,10047386,'This potion will grant you the illusion of being a Darkpaw gnoll!',100,1,1),
(277485,140219,'When Equipped:',100,0,0),
(277486,140219,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(277487,140219,'Heals group members (AE) for 308 - 377',100,2,2),
(277488,140219,'Heals group members (AE) for 66 - 81 every 2 seconds',100,2,3),
(277489,140219,'Must not be engaged in pvp combat',100,2,4),
(277490,140219,'Cannot be modified except by direct means',100,2,5),
(277491,140219,'Cannot be modified except by direct means',100,1,6),
(277492,10140219,'When Equipped:',100,0,0),
(277493,10140219,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(277494,10140219,'Heals group members (AE) for 200 - 245',100,2,2),
(277495,10140219,'Heals group members (AE) for 43 - 52 every 2 seconds',100,2,3),
(277496,10140219,'Must not be engaged in pvp combat',100,2,4),
(277497,10140219,'Cannot be modified except by direct means',100,2,5),
(277498,10140219,'Cannot be modified except by direct means',100,1,6),
(277499,48379,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(277500,48379,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(277501,48379,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(277502,10048379,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(277503,10048379,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(277504,10048379,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(277505,120548,'Decreases Defense of target by 34.6',100,1,0),
(277506,10120548,'Decreases Defense of target by 34.6',100,1,0),
(277507,191143,'When Equipped:',100,0,0),
(277508,191143,'Improves the damage modifier of Fiery Blast by 12%',100,1,1),
(277509,191143,'Must not be engaged in pvp combat',100,1,2),
(277510,191143,'Cannot be modified except by direct means',100,1,3),
(277511,10191143,'When Equipped:',100,0,0),
(277512,10191143,'Improves the damage modifier of Fiery Blast by 12%',100,1,1),
(277513,10191143,'Must not be engaged in pvp combat',100,1,2),
(277514,10191143,'Cannot be modified except by direct means',100,1,3),
(277515,25881,'When Equipped:',100,0,0),
(277516,25881,'Adds an additional two ticks to Tranquility III.',100,1,1),
(277517,25881,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(277518,10025881,'When Equipped:',100,0,0),
(277519,10025881,'Adds an additional two ticks to Tranquility III.',100,1,1),
(277520,10025881,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(277521,101438,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(277522,101438,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(277523,10101438,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(277524,10101438,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(277525,113693,'Stuns target',100,1,0),
(277526,113693,'If Target is not Epic',100,2,1),
(277527,113693,'Inflicts 783 - 1305 heat damage on target',100,1,2),
(277528,113693,'Resistibility increases against targets higher than level 87.',100,1,3),
(277529,10113693,'Stuns target',100,1,0),
(277530,10113693,'If Target is not Epic',100,2,1),
(277531,10113693,'Inflicts 940 - 1566 heat damage on target',100,1,2),
(277532,10113693,'Resistibility increases against targets higher than level 87.',100,1,3),
(277533,100118,'Decreases STR, AGI, WIS and INT of target by 28.6',100,1,0),
(277534,100118,'Decreases Max Health of target by 0.6%',100,1,1),
(277535,10100118,'Decreases STR, AGI, WIS and INT of target by 28.6',100,1,0),
(277536,10100118,'Decreases Max Health of target by 0.6%',100,1,1),
(277537,119242,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(277538,119242,'If profession other than Fighter',100,1,1),
(277539,119242,'If profession other than Scout',100,1,2),
(277540,10119242,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(277541,10119242,'If profession other than Fighter',100,1,1),
(277542,10119242,'If profession other than Scout',100,1,2),
(277543,40614,'When Equipped:',100,0,0),
(277544,40614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277545,40614,'Inflicts 44 - 67 magic damage on target',100,2,2),
(277546,40614,'Cannot be modified except by direct means',100,2,3),
(277547,10040614,'When Equipped:',100,0,0),
(277548,10040614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277549,10040614,'Inflicts 53 - 80 magic damage on target',100,2,2),
(277550,10040614,'Cannot be modified except by direct means',100,2,3),
(277551,159069,'Applies Sanguine Imbued when Equipped.',100,0,0),
(277552,159069,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(277553,159069,'Inflicts 106 heat damage on target',100,2,2),
(277554,159069,'Cannot be modified except by direct means',100,2,3),
(277555,10159069,'Applies Sanguine Imbued when Equipped.',100,0,0),
(277556,10159069,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(277557,10159069,'Inflicts 127 heat damage on target',100,2,2),
(277558,10159069,'Cannot be modified except by direct means',100,2,3),
(277559,46509,'Applies Gnomish Pirate Rebreather  when Activated.  Lasts for 30 minutes.',100,0,0),
(277560,46509,'Grants Fish Vision to caster',100,1,1),
(277561,46509,'Allows caster to breathe under water',100,1,2),
(277562,10046509,'Applies Gnomish Pirate Rebreather  when Activated.  Lasts for 30 minutes.',100,0,0),
(277563,10046509,'Grants Fish Vision to caster',100,1,1),
(277564,10046509,'Allows caster to breathe under water',100,1,2),
(277565,123756,'Decreases Mitigation of target vs noxious damage by 349',100,1,0),
(277566,123756,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(277567,123756,'Slows target by 50.2%',100,2,2),
(277568,123756,'5% chance to dispel when target receives hostile action',100,2,3),
(277569,123756,'5% chance to dispel when target takes damage',100,2,4),
(277570,10123756,'Decreases Mitigation of target vs noxious damage by 349',100,1,0),
(277571,10123756,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(277572,10123756,'Slows target by 50.2%',100,2,2),
(277573,10123756,'5% chance to dispel when target receives hostile action',100,2,3),
(277574,10123756,'5% chance to dispel when target takes damage',100,2,4),
(277575,106069,'Increases AGI of caster by 132.8',100,1,0),
(277576,106069,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(277577,106069,'Inflicts 187 - 312 disease damage on target',100,2,2),
(277578,106069,'Adds 21.8% to base avoidance.',100,1,3),
(277579,106069,'Increases Mitigation of caster vs physical damage by 676',100,1,4),
(277580,106069,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,5),
(277581,10106069,'Increases AGI of caster by 132.8',100,1,0),
(277582,10106069,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(277583,10106069,'Inflicts 224 - 374 disease damage on target',100,2,2),
(277584,10106069,'Adds 21.8% to base avoidance.',100,1,3),
(277585,10106069,'Increases Mitigation of caster vs physical damage by 676',100,1,4),
(277586,10106069,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1507',100,1,5),
(277587,111194,'Inflicts 145 - 243 divine damage on targets in area',100,1,0),
(277588,111194,'Heals group members (AE) for 1.9% of max health',100,1,1),
(277589,111194,'This effect cannot be critically applied.',100,2,2),
(277590,111194,'The healing of this spell cannot be modified except by direct means',100,1,3),
(277591,10111194,'Inflicts 175 - 291 divine damage on targets in area',100,1,0),
(277592,10111194,'Heals group members (AE) for 1.3% of max health',100,1,1),
(277593,10111194,'This effect cannot be critically applied.',100,2,2),
(277594,10111194,'The healing of this spell cannot be modified except by direct means',100,1,3),
(277595,71834,'When Equipped:',100,0,0),
(277596,71834,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277597,71834,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(277598,71834,'Cannot be modified except by direct means',100,2,3),
(277599,10071834,'When Equipped:',100,0,0),
(277600,10071834,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277601,10071834,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(277602,10071834,'Cannot be modified except by direct means',100,2,3),
(277603,111269,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(277604,111269,'Heals target for 1750',100,2,1),
(277605,111269,'Increases Mitigation of target vs physical damage by 1104',100,2,2),
(277606,111269,'Grants a total of 1 trigger of the spell.',100,2,3),
(277607,10111269,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(277608,10111269,'Heals target for 1138',100,2,1),
(277609,10111269,'Increases Mitigation of target vs physical damage by 1104',100,2,2),
(277610,10111269,'Grants a total of 1 trigger of the spell.',100,2,3),
(277611,173030,'When Equipped:',100,0,0),
(277612,173030,'When damaged in combat this spell has a 7% chance to cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(277613,173030,'Wards caster against 500 points of all damage',100,2,2),
(277614,173030,'Cannot be modified except by direct means',100,2,3),
(277615,173030,'On any combat or spell hit this spell may cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(277616,173030,'Wards caster against 500 points of all damage',100,2,5),
(277617,173030,'Cannot be modified except by direct means',100,2,6),
(277618,10173030,'When Equipped:',100,0,0),
(277619,10173030,'When damaged in combat this spell has a 7% chance to cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(277620,10173030,'Wards caster against 360 points of all damage',100,2,2),
(277621,10173030,'Cannot be modified except by direct means',100,2,3),
(277622,10173030,'On any combat or spell hit this spell may cast Lesser Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(277623,10173030,'Wards caster against 360 points of all damage',100,2,5),
(277624,10173030,'Cannot be modified except by direct means',100,2,6),
(277625,141693,'When Equipped:',100,0,0),
(277626,141693,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277627,141693,'Increases WIS of caster by 5.8',100,2,2),
(277628,141693,'Increases Ministration, Ordination and Focus of caster by 3.7',100,2,3),
(277629,141693,'Cannot be modified except by direct means',100,2,4),
(277630,10141693,'When Equipped:',100,0,0),
(277631,10141693,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277632,10141693,'Increases WIS of caster by 5.8',100,2,2),
(277633,10141693,'Increases Ministration, Ordination and Focus of caster by 3.7',100,2,3),
(277634,10141693,'Cannot be modified except by direct means',100,2,4),
(277635,124772,'Inflicts 540 - 660 disease damage on target encounter',100,1,0),
(277636,10124772,'Inflicts 648 - 792 disease damage on target encounter',100,1,0),
(277637,82143,'When Equipped:',100,0,0),
(277638,82143,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277639,82143,'Inflicts 138 - 257 magic damage on target',100,2,2),
(277640,82143,'Cannot be modified except by direct means',100,2,3),
(277641,10082143,'When Equipped:',100,0,0),
(277642,10082143,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277643,10082143,'Inflicts 166 - 309 magic damage on target',100,2,2),
(277644,10082143,'Cannot be modified except by direct means',100,2,3),
(277645,86312,'Applies Frost Blast when Activated.',100,0,0),
(277646,86312,'Inflicts 89 - 149 cold damage on target',100,1,1),
(277647,86312,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(277648,10086312,'Applies Frost Blast when Activated.',100,0,0),
(277649,10086312,'Inflicts 107 - 179 cold damage on target',100,1,1),
(277650,10086312,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(277651,164572,'Applies Unstable Magics when Equipped.',100,0,0),
(277652,164572,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(277653,10164572,'Applies Unstable Magics when Equipped.',100,0,0),
(277654,10164572,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(277655,111358,'Inflicts 111 - 185 disease damage on target',100,1,0),
(277656,111358,'Heals caster for 71 - 118',100,1,1),
(277657,10111358,'Inflicts 133 - 222 disease damage on target',100,1,0),
(277658,10111358,'Heals caster for 46 - 77',100,1,1),
(277659,110514,'Increases Threat to target by 484  instantly and by 201  every 3 seconds thereafter',100,1,0),
(277660,110514,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(277661,110514,'Stuns target',100,2,2),
(277662,110514,'Blurs vision of target',100,2,3),
(277663,110514,'Throws target back',100,2,4),
(277664,110514,'Does not affect Epic targets',100,2,5),
(277665,110514,'Inflicts 53 - 89 disease damage on target',100,1,6),
(277666,10110514,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(277667,10110514,'Stuns target',100,2,1),
(277668,10110514,'Blurs vision of target',100,2,2),
(277669,10110514,'Throws target back',100,2,3),
(277670,10110514,'Does not affect Epic targets',100,2,4),
(277671,10110514,'Forces target to change their selected target to caster.',100,1,5),
(277672,10110514,'Inflicts 53 - 89 disease damage on target',100,1,6),
(277673,10110514,'Prevents target from changing targets',100,1,7),
(277674,119420,'Inflicts 223 - 373 melee damage on target',100,1,0),
(277675,119420,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(277676,119420,'Stuns target',100,2,2),
(277677,119420,'Blurs vision of target',100,2,3),
(277678,119420,'Throws target back',100,2,4),
(277679,119420,'Does not affect Epic targets',100,2,5),
(277680,119420,'You must be sneaking to use this ability.',100,1,6),
(277681,10119420,'Inflicts 268 - 447 melee damage on target',100,1,0),
(277682,10119420,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(277683,10119420,'Stuns target',100,2,2),
(277684,10119420,'Blurs vision of target',100,2,3),
(277685,10119420,'Throws target back',100,2,4),
(277686,10119420,'Does not affect Epic targets',100,2,5),
(277687,10119420,'You must be sneaking to use this ability.',100,1,6),
(277688,118830,'Inflicts 10 - 32 melee damage on target',100,1,0),
(277689,10118830,'Inflicts 13 - 39 melee damage on target',100,1,0),
(277690,37179,'Increases WIS of target by 17.8',100,0,0),
(277691,37179,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(277692,82549,'When Equipped:',100,0,0),
(277693,82549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277694,82549,'Inflicts 78 - 144 magic damage on target',100,2,2),
(277695,82549,'Cannot be modified except by direct means',100,2,3),
(277696,10082549,'When Equipped:',100,0,0),
(277697,10082549,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277698,10082549,'Inflicts 93 - 173 magic damage on target',100,2,2),
(277699,10082549,'Cannot be modified except by direct means',100,2,3),
(277700,115996,'Stuns target',100,1,0),
(277701,115996,'Inflicts 580 - 871 mental damage on target',100,1,1),
(277702,115996,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(277703,115996,'Resistibility increases against targets higher than level 118.',100,1,3),
(277704,10115996,'Stuns target',100,1,0),
(277705,10115996,'Inflicts 697 - 1045 mental damage on target',100,1,1),
(277706,10115996,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(277707,10115996,'Resistibility increases against targets higher than level 118.',100,1,3),
(277708,45912,'Applies essence of power when Activated.',100,0,0),
(277709,45912,'Increases power of caster by 200',100,1,1),
(277710,10045912,'Applies essence of power when Activated.',100,0,0),
(277711,10045912,'Increases power of caster by 157',100,1,1),
(277712,101440,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(277713,101440,'Increases Mitigation of group members (AE) vs noxious damage by 549',100,1,1),
(277714,10101440,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(277715,10101440,'Increases Mitigation of group members (AE) vs noxious damage by 549',100,1,1),
(277716,115515,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(277717,115515,'Increases Mitigation of group members (AE) vs noxious damage by 798',100,1,1),
(277718,10115515,'Increases Max Health of group members (AE) by 221.0',100,1,0),
(277719,10115515,'Increases Mitigation of group members (AE) vs noxious damage by 798',100,1,1),
(277720,141878,'When Equipped:',100,0,0),
(277721,141878,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277722,141878,'Increases WIS of caster by 21.4',100,2,2),
(277723,141878,'Increases Ordination, Focus and Ministration of caster by 12.0',100,2,3),
(277724,141878,'Cannot be modified except by direct means',100,2,4),
(277725,10141878,'When Equipped:',100,0,0),
(277726,10141878,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277727,10141878,'Increases WIS of caster by 21.4',100,2,2),
(277728,10141878,'Increases Ordination, Focus and Ministration of caster by 12.0',100,2,3),
(277729,10141878,'Cannot be modified except by direct means',100,2,4),
(277730,47587,'Applies Potion of Hastened Learning when Activated.  Lasts for 6 hours.',100,0,0),
(277731,47587,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(277732,47587,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,2),
(277733,47587,'Increases AA XP Gain of caster by 25.0%',100,1,3),
(277734,47587,'You can only have one experience potion active at a time.',100,1,4),
(277735,10047587,'Applies Potion of Hastened Learning when Activated.  Lasts for 6 hours.',100,0,0),
(277736,10047587,'Increases Combat XP Gain of caster by 25.0%',100,1,1),
(277737,10047587,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,2),
(277738,10047587,'Increases AA XP Gain of caster by 25.0%',100,1,3),
(277739,10047587,'You can only have one experience potion active at a time.',100,1,4),
(277740,100039,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(277741,100039,'Inflicts 258 - 430 melee damage on targets in area',100,2,1),
(277742,100039,'Decreases Defense of caster by 27.4',100,1,2),
(277743,100039,'Increases Slashing, Piercing and Crushing of caster by 58.8',100,1,3),
(277744,10100039,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(277745,10100039,'Inflicts 309 - 516 melee damage on targets in area',100,2,1),
(277746,10100039,'Decreases Defense of caster by 27.4',100,1,2),
(277747,10100039,'Increases Slashing, Piercing and Crushing of caster by 58.8',100,1,3),
(277748,83624,'When Equipped:',100,0,0),
(277749,83624,'On a combat hit this spell may cast Mind''s Drought on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277750,83624,'Decreases power of target by 31 - 37',100,2,2),
(277751,83624,'Increases power of caster by 30 - 36',100,2,3),
(277752,83624,'Cannot be modified except by direct means',100,2,4),
(277753,10083624,'When Equipped:',100,0,0),
(277754,10083624,'On a combat hit this spell may cast Mind''s Drought on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277755,10083624,'Decreases power of target by 31 - 37',100,2,2),
(277756,10083624,'Increases power of caster by 30 - 36',100,2,3),
(277757,10083624,'Cannot be modified except by direct means',100,2,4),
(277758,154984,'When Equipped:',100,0,0),
(277759,154984,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(277760,154984,'Increases Hate Gain of caster by 5.0%',100,2,2),
(277761,154984,'Cannot be modified except by direct means',100,2,3),
(277762,154984,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(277763,154984,'Increases Hate Gain of caster by 5.0%',100,2,5),
(277764,154984,'Cannot be modified except by direct means',100,2,6),
(277765,10154984,'When Equipped:',100,0,0),
(277766,10154984,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(277767,10154984,'Cannot be modified except by direct means',100,2,2),
(277768,10154984,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,3),
(277769,10154984,'Cannot be modified except by direct means',100,2,4),
(277770,112153,'Increases Threat to target by 178 - 267  instantly and by 35 - 53  every 3 seconds thereafter',100,1,0),
(277771,124266,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(277772,124266,'Increases Damage Per Second of target by 17.6',100,2,1),
(277773,124266,'Increases Attack Speed of target by 17.6',100,2,2),
(277774,124266,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(277775,124266,'Increases Damage Per Second of target by 17.6',100,2,4),
(277776,124266,'Increases Attack Speed of target by 17.6',100,2,5),
(277777,124266,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(277778,124266,'Increases Damage Per Second of target by 17.6',100,2,7),
(277779,124266,'Increases Attack Speed of target by 17.6',100,2,8),
(277780,10124266,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(277781,10124266,'Increases Damage Per Second of target by 17.6',100,2,1),
(277782,10124266,'Increases Attack Speed of target by 17.6',100,2,2),
(277783,10124266,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(277784,10124266,'Increases Damage Per Second of target by 17.6',100,2,4),
(277785,10124266,'Increases Attack Speed of target by 17.6',100,2,5),
(277786,10124266,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(277787,10124266,'Increases Damage Per Second of target by 17.6',100,2,7),
(277788,10124266,'Increases Attack Speed of target by 17.6',100,2,8),
(277789,174292,'When Equipped:',100,0,0),
(277790,174292,'Increases Attack Speed of caster by 45.0',100,1,1),
(277791,10174292,'When Equipped:',100,0,0),
(277792,10174292,'Increases Attack Speed of caster by 45.0',100,1,1),
(277793,45788,'Applies Corrosive Kiss when Activated.  Lasts for 12 hours.',100,0,0),
(277794,45788,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(277795,45788,'Inflicts 184 poison damage on target',100,2,2),
(277796,45788,'Inflicts 59 poison damage on target instantly and every 6 seconds',100,2,3),
(277797,45788,'Cannot be modified except by direct means',100,2,4),
(277798,45788,'Grants a total of 100 triggers of the spell.',100,2,5),
(277799,10045788,'Applies Corrosive Kiss when Activated.  Lasts for 12 hours.',100,0,0),
(277800,10045788,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(277801,10045788,'Inflicts 53 poison damage on target instantly and every 6 seconds',100,2,2),
(277802,10045788,'Inflicts 165 poison damage on target',100,2,3),
(277803,10045788,'Cannot be modified except by direct means',100,2,4),
(277804,10045788,'Grants a total of 100 triggers of the spell.',100,2,5),
(277805,102211,'Increases Max Health of group members (AE) by 87.6',100,1,0),
(277806,10102211,'Increases Max Health of group members (AE) by 87.6',100,1,0),
(277807,82594,'When Equipped:',100,0,0),
(277808,82594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277809,82594,'Inflicts 70 - 130 magic damage on target',100,2,2),
(277810,82594,'Cannot be modified except by direct means',100,2,3),
(277811,10082594,'When Equipped:',100,0,0),
(277812,10082594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277813,10082594,'Inflicts 84 - 156 magic damage on target',100,2,2),
(277814,10082594,'Cannot be modified except by direct means',100,2,3),
(277815,118311,'Roots target encounter',100,1,0),
(277816,118311,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(277817,118311,'Slows target by 41.4%',100,2,2),
(277818,118311,'5% chance to dispel when target receives hostile action',100,2,3),
(277819,118311,'5% chance to dispel when target takes damage',100,2,4),
(277820,118311,'20% chance to dispel when target takes damage',100,1,5),
(277821,118311,'Does not affect Epic targets',100,1,6),
(277822,118311,'Resistibility increases against targets higher than level 97.',100,1,7),
(277823,10118311,'Roots target encounter',100,1,0),
(277824,10118311,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(277825,10118311,'Slows target by 41.4%',100,2,2),
(277826,10118311,'5% chance to dispel when target receives hostile action',100,2,3),
(277827,10118311,'5% chance to dispel when target takes damage',100,2,4),
(277828,10118311,'20% chance to dispel when target takes damage',100,1,5),
(277829,10118311,'Does not affect Epic targets',100,1,6),
(277830,10118311,'Resistibility increases against targets higher than level 97.',100,1,7),
(277831,81546,'When Equipped:',100,0,0),
(277832,81546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277833,81546,'Inflicts 111 - 205 magic damage on target',100,2,2),
(277834,81546,'Cannot be modified except by direct means',100,2,3),
(277835,10081546,'When Equipped:',100,0,0),
(277836,10081546,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277837,10081546,'Inflicts 133 - 246 magic damage on target',100,2,2),
(277838,10081546,'Cannot be modified except by direct means',100,2,3),
(277839,119287,'Inflicts 98 - 164 slashing damage on target',100,1,0),
(277840,119287,'Decreases Damage Per Second of target by 22.6',100,1,1),
(277841,119287,'Inflicts 132 slashing damage on target instantly and every 4 seconds',100,1,2),
(277842,10119287,'Inflicts 118 - 197 slashing damage on target',100,1,0),
(277843,10119287,'Decreases Damage Per Second of target by 22.6',100,1,1),
(277844,10119287,'Inflicts 158 slashing damage on target instantly and every 4 seconds',100,1,2),
(277845,105209,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(277846,105209,'Inflicts 248 - 303 poison damage on target encounter',100,2,1),
(277847,10105209,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(277848,10105209,'Inflicts 297 - 363 poison damage on target encounter',100,2,1),
(277849,124575,'Decreases Threat to targets in Area of Effect by 1,305 ',100,1,0),
(277850,124575,'Interrupts targets in Area of Effect',100,1,1),
(277851,124575,'Roots targets in Area of Effect',100,1,2),
(277852,124575,'If Target is not Epic',100,2,3),
(277853,10124575,'Applies Distract.',100,1,0),
(277854,10124575,'Forces target to clear their selected target.',100,2,1),
(277855,10124575,'Interrupts targets in Area of Effect',100,1,2),
(277856,10124575,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(277857,10124575,'Roots targets in Area of Effect',100,1,4),
(277858,10124575,'If Target is not Epic',100,2,5),
(277859,105061,'Inflicts 18 - 24 magic damage on target',100,1,0),
(277860,10105061,'Inflicts 22 - 29 magic damage on target',100,1,0),
(277861,88841,'When Equipped:',100,0,0),
(277862,88841,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277863,88841,'Inflicts 27 - 33 cold damage on target',100,2,2),
(277864,88841,'Cannot be modified except by direct means',100,2,3),
(277865,10088841,'When Equipped:',100,0,0),
(277866,10088841,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(277867,10088841,'Inflicts 33 - 40 cold damage on target',100,2,2),
(277868,10088841,'Cannot be modified except by direct means',100,2,3),
(277869,113940,'Increases power of target by 68 instantly and every 4 seconds',100,1,0),
(277870,10113940,'Increases power of target by 68 instantly and every 4 seconds',100,1,0),
(277871,124030,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(277872,124030,'Heals target for 430 - 526',100,2,1),
(277873,124030,'Grants a total of 5 triggers of the spell.',100,2,2),
(277874,10124030,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(277875,10124030,'Heals target for 280 - 342',100,2,1),
(277876,10124030,'Grants a total of 5 triggers of the spell.',100,2,2),
(277877,100495,'Increases Attack Speed of group members (AE) by 15.5',100,1,0),
(277878,10100495,'Increases Attack Speed of group members (AE) by 15.5',100,1,0),
(277879,134732,'When Equipped:',100,0,0),
(277880,134732,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(277881,134732,'Heals caster for 152 instantly and every 5 seconds',100,2,2),
(277882,134732,'Cannot be modified except by direct means',100,2,3),
(277883,10134732,'When Equipped:',100,0,0),
(277884,10134732,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(277885,10134732,'Heals caster for 98 instantly and every 5 seconds',100,2,2),
(277886,10134732,'Cannot be modified except by direct means',100,2,3),
(277887,37370,'Increases Max Power of target by 22.8',100,0,0),
(277888,37370,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(277889,117997,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(277890,117997,'Increases Damage Per Second of target by 29.7',100,2,1),
(277891,117997,'Increases Attack Speed of target by 29.7',100,2,2),
(277892,117997,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(277893,117997,'Increases Damage Per Second of target by 29.7',100,2,4),
(277894,117997,'Increases Attack Speed of target by 29.7',100,2,5),
(277895,117997,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(277896,117997,'Increases Damage Per Second of target by 29.7',100,2,7),
(277897,117997,'Increases Attack Speed of target by 29.7',100,2,8),
(277898,10117997,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(277899,10117997,'Increases Damage Per Second of target by 29.7',100,2,1),
(277900,10117997,'Increases Attack Speed of target by 29.7',100,2,2),
(277901,10117997,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(277902,10117997,'Increases Damage Per Second of target by 29.7',100,2,4),
(277903,10117997,'Increases Attack Speed of target by 29.7',100,2,5),
(277904,10117997,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(277905,10117997,'Increases Damage Per Second of target by 29.7',100,2,7),
(277906,10117997,'Increases Attack Speed of target by 29.7',100,2,8),
(277907,120733,'Interrupts target',100,1,0),
(277908,120733,'Inflicts 530 - 883 melee damage on target',100,1,1),
(277909,10120733,'Interrupts target',100,1,0),
(277910,10120733,'Inflicts 636 - 1060 melee damage on target',100,1,1),
(277911,107726,'Inflicts 735 - 1225 heat damage on target',100,1,0),
(277912,107726,'You must be sneaking to use this ability.',100,1,1),
(277913,10107726,'Inflicts 882 - 1470 heat damage on target',100,1,0),
(277914,10107726,'You must be sneaking to use this ability.',100,1,1),
(277915,108448,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(277916,108448,'Increases Aggression of caster by 3.2',100,1,1),
(277917,108448,'Increases Defense and Parry of caster by 6.5',100,1,2),
(277918,108448,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(277919,10108448,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(277920,10108448,'Increases Aggression of caster by 3.2',100,1,1),
(277921,10108448,'Increases Defense and Parry of caster by 6.5',100,1,2),
(277922,10108448,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(277923,101734,'Mesmerizes target',100,1,0),
(277924,101734,'Prevents AOE (except when direct) ',100,1,1),
(277925,101734,'Mesmerizes caster',100,1,2),
(277926,101734,'Dispelled when target takes damage',100,1,3),
(277927,101734,'Does not affect Epic targets',100,1,4),
(277928,101734,'Resistibility increases against targets higher than level 96.',100,1,5),
(277929,10101734,'Mesmerizes target',100,1,0),
(277930,10101734,'Prevents AOE (except when direct) ',100,1,1),
(277931,10101734,'Mesmerizes caster',100,1,2),
(277932,10101734,'Dispelled when target takes damage',100,1,3),
(277933,10101734,'Does not affect Epic targets',100,1,4),
(277934,10101734,'Resistibility increases against targets higher than level 96.',100,1,5),
(277935,159830,'Applies Lambent Imbued when Equipped.',100,0,0),
(277936,159830,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(277937,159830,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(277938,159830,'Cannot be modified except by direct means',100,2,3),
(277939,10159830,'Applies Lambent Imbued when Equipped.',100,0,0),
(277940,10159830,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(277941,10159830,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(277942,10159830,'Cannot be modified except by direct means',100,2,3),
(277943,115693,'Inflicts 40 - 121 melee damage on target',100,1,0),
(277944,115693,'Inflicts 40 - 121 melee damage on target',100,1,1),
(277945,115693,'Inflicts 40 - 121 melee damage on target',100,1,2),
(277946,115693,'Inflicts 40 - 121 melee damage on target',100,1,3),
(277947,115693,'Inflicts 40 - 121 melee damage on target',100,1,4),
(277948,115693,'Inflicts 40 - 121 melee damage on target',100,1,5),
(277949,115693,'Inflicts 40 - 121 melee damage on target',100,1,6),
(277950,115693,'Inflicts 40 - 121 melee damage on target',100,1,7),
(277951,10115693,'Inflicts 48 - 146 melee damage on target',100,1,0),
(277952,10115693,'Inflicts 48 - 146 melee damage on target',100,1,1),
(277953,10115693,'Inflicts 48 - 146 melee damage on target',100,1,2),
(277954,10115693,'Inflicts 48 - 146 melee damage on target',100,1,3),
(277955,10115693,'Inflicts 48 - 146 melee damage on target',100,1,4),
(277956,10115693,'Inflicts 48 - 146 melee damage on target',100,1,5),
(277957,10115693,'Inflicts 48 - 146 melee damage on target',100,1,6),
(277958,10115693,'Inflicts 48 - 146 melee damage on target',100,1,7),
(277959,46498,'Applies Calibrated Tools when Equipped.',100,0,0),
(277960,46498,'Increases success chance by 2.0%',100,1,1),
(277961,10046498,'Applies Calibrated Tools when Equipped.',100,0,0),
(277962,10046498,'Increases success chance by 2.0%',100,1,1),
(277963,71579,'When Equipped:',100,0,0),
(277964,71579,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277965,71579,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(277966,71579,'Cannot be modified except by direct means',100,2,3),
(277967,10071579,'When Equipped:',100,0,0),
(277968,10071579,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(277969,10071579,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(277970,10071579,'Cannot be modified except by direct means',100,2,3),
(277971,112832,'Roots target',100,1,0),
(277972,112832,'5% chance to dispel when target takes damage',100,1,1),
(277973,112832,'Does not affect Epic targets',100,1,2),
(277974,112832,'Resistibility increases against targets higher than level 50.',100,1,3),
(277975,10112832,'Roots target',100,1,0),
(277976,10112832,'5% chance to dispel when target takes damage',100,1,1),
(277977,10112832,'Does not affect Epic targets',100,1,2),
(277978,10112832,'Resistibility increases against targets higher than level 50.',100,1,3),
(277979,103031,'Inflicts 184 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(277980,103031,'Inflicts 68 - 114 melee damage on target',100,1,1),
(277981,10103031,'Inflicts 221 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(277982,10103031,'Inflicts 82 - 137 melee damage on target',100,1,1),
(277983,35486,'Increases AGI of target by 2.1',100,0,0),
(277984,35486,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,1),
(277985,121267,'Inflicts 1536 - 1877 heat damage on target encounter',100,1,0),
(277986,10121267,'Inflicts 1843 - 2253 heat damage on target encounter',100,1,0),
(277987,103827,'Increases Ability Casting Speed of raid and group members (AE) by 6.6%',100,1,0),
(277988,103827,'Increases Attack Speed of raid and group members (AE) by 16.6',100,1,1),
(277989,10103827,'Increases Ability Casting Speed of raid and group members (AE) by 6.6%',100,1,0),
(277990,10103827,'Increases Attack Speed of raid and group members (AE) by 16.6',100,1,1),
(277991,110096,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(277992,110096,'Inflicts 15 disease damage on target',100,2,1),
(277993,110096,'Heals caster for 11',100,2,2),
(277994,110096,'Decreases INT of target by 81.5',100,1,3),
(277995,110096,'Decreases Attack Speed of target by 25.0',100,1,4),
(277996,110096,'Increases Max Health of target by 10.0%',100,1,5),
(277997,110096,'Increases Hate Gain of target by 22.8%',100,1,6),
(277998,110096,'Increases Aggression of target by 6.3',100,1,7),
(277999,110096,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(278000,110096,'Increases Threat to target encounter by 92 - 113 ',100,2,9),
(278001,110096,'Increases Mitigation of target vs elemental, noxious and arcane damage by 420',100,1,10),
(278002,10110096,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(278003,10110096,'Inflicts 17 disease damage on target',100,2,1),
(278004,10110096,'Heals caster for 7',100,2,2),
(278005,10110096,'Decreases INT of target by 81.5',100,1,3),
(278006,10110096,'Decreases Attack Speed of target by 25.0',100,1,4),
(278007,10110096,'Increases Max Health of target by 10.0%',100,1,5),
(278008,10110096,'Increases Aggression of target by 6.3',100,1,6),
(278009,10110096,'Increases Mitigation of target vs elemental, noxious and arcane damage by 420',100,1,7),
(278010,123705,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(278011,123705,'Inflicts 170 divine damage on target',100,2,1),
(278012,123705,'Grants a total of 5 triggers of the spell.',100,2,2),
(278013,10123705,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(278014,10123705,'Inflicts 204 divine damage on target',100,2,1),
(278015,10123705,'Grants a total of 5 triggers of the spell.',100,2,2),
(278016,88967,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(278017,88967,'Heals group members (AE) for 208',100,1,1),
(278018,88967,'Heals group members (AE) for 83 every 5 seconds',100,1,2),
(278019,88967,'Increases Mitigation of group members (AE) vs arcane damage by 304',100,1,3),
(278020,88967,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(278021,10088967,'Applies Fyr''Un Flood when Activated.  Lasts for 1 minute.',100,0,0),
(278022,10088967,'Heals group members (AE) for 135',100,1,1),
(278023,10088967,'Heals group members (AE) for 54 every 5 seconds',100,1,2),
(278024,10088967,'Increases Mitigation of group members (AE) vs arcane damage by 304',100,1,3),
(278025,10088967,'The casting time of Fyr''Un Flood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(278026,88234,'When Equipped:',100,0,0),
(278027,88234,'On a hostile spell cast this spell may cast Ice Storm on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278028,88234,'Roots target',100,2,2),
(278029,88234,'Inflicts 172 - 516 cold damage on target',100,2,3),
(278030,88234,'Epic targets gain an immunity to Root effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,4),
(278031,88234,'Resistibility increases against targets higher than level 103.',100,2,5),
(278032,88234,'Cannot be modified except by direct means',100,2,6),
(278033,10088234,'When Equipped:',100,0,0),
(278034,10088234,'On a hostile spell cast this spell may cast Ice Storm on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278035,10088234,'Roots target',100,2,2),
(278036,10088234,'Inflicts 206 - 619 cold damage on target',100,2,3),
(278037,10088234,'Epic targets gain an immunity to Root effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,4),
(278038,10088234,'Resistibility increases against targets higher than level 103.',100,2,5),
(278039,10088234,'Cannot be modified except by direct means',100,2,6),
(278040,79360,'When Equipped:',100,0,0),
(278041,79360,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(278042,10079360,'When Equipped:',100,0,0),
(278043,10079360,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(278044,46945,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(278045,46945,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(278046,46945,'Inflicts 195 poison damage on target instantly and every 6 seconds',100,2,2),
(278047,46945,'Inflicts 74 poison damage on target',100,2,3),
(278048,46945,'Cannot be modified except by direct means',100,2,4),
(278049,46945,'Grants a total of 200 triggers of the spell.',100,2,5),
(278050,10046945,'Applies decrepit stab when Activated.  Lasts for 12 hours.',100,0,0),
(278051,10046945,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(278052,10046945,'Inflicts 175 poison damage on target instantly and every 6 seconds',100,2,2),
(278053,10046945,'Inflicts 66 poison damage on target',100,2,3),
(278054,10046945,'Cannot be modified except by direct means',100,2,4),
(278055,10046945,'Grants a total of 200 triggers of the spell.',100,2,5),
(278056,72321,'When Equipped:',100,0,0),
(278057,72321,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278058,72321,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(278059,72321,'Cannot be modified except by direct means',100,2,3),
(278060,10072321,'When Equipped:',100,0,0),
(278061,10072321,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278062,10072321,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(278063,10072321,'Cannot be modified except by direct means',100,2,3),
(278064,130255,'When Equipped:',100,0,0),
(278065,130255,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(278066,130255,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(278067,130255,'Must not be engaged in pvp combat',100,2,3),
(278068,130255,'Cannot be modified except by direct means',100,2,4),
(278069,130255,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(278070,130255,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(278071,130255,'Must not be engaged in pvp combat',100,2,7),
(278072,130255,'Cannot be modified except by direct means',100,2,8),
(278073,130255,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(278074,130255,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(278075,130255,'Must not be engaged in pvp combat',100,2,11),
(278076,130255,'Cannot be modified except by direct means',100,2,12),
(278077,130255,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(278078,130255,'Inflicts 53 piercing damage on target',100,2,14),
(278079,130255,'Must not be engaged in pvp combat',100,2,15),
(278080,130255,'Cannot be modified except by direct means',100,2,16),
(278081,10130255,'When Equipped:',100,0,0),
(278082,10130255,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(278083,10130255,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(278084,10130255,'Must not be engaged in pvp combat',100,2,3),
(278085,10130255,'Cannot be modified except by direct means',100,2,4),
(278086,10130255,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(278087,10130255,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(278088,10130255,'Must not be engaged in pvp combat',100,2,7),
(278089,10130255,'Cannot be modified except by direct means',100,2,8),
(278090,10130255,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(278091,10130255,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(278092,10130255,'Must not be engaged in pvp combat',100,2,11),
(278093,10130255,'Cannot be modified except by direct means',100,2,12),
(278094,10130255,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(278095,10130255,'Inflicts 64 piercing damage on target',100,2,14),
(278096,10130255,'Must not be engaged in pvp combat',100,2,15),
(278097,10130255,'Cannot be modified except by direct means',100,2,16),
(278098,173527,'When Equipped:',100,0,0),
(278099,173527,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278100,173527,'Inflicts 1192 piercing damage on target',100,2,2),
(278101,173527,'Cannot be modified except by direct means',100,2,3),
(278102,10173527,'When Equipped:',100,0,0),
(278103,10173527,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278104,10173527,'Inflicts 715 piercing damage on target',100,2,2),
(278105,10173527,'Cannot be modified except by direct means',100,2,3),
(278106,107654,'Increases Mitigation of raid and group members (AE) vs elemental damage by 974',100,1,0),
(278107,10107654,'Increases Mitigation of raid and group members (AE) vs elemental damage by 974',100,1,0),
(278108,90352,'When Equipped:',100,0,0),
(278109,90352,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278110,90352,'Inflicts 1986 poison damage on target',100,2,2),
(278111,90352,'Cannot be modified except by direct means',100,2,3),
(278112,10090352,'When Equipped:',100,0,0),
(278113,10090352,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278114,10090352,'Inflicts 1192 poison damage on target',100,2,2),
(278115,10090352,'Cannot be modified except by direct means',100,2,3),
(278116,25473,'When Equipped:',100,0,0),
(278117,25473,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278118,25473,'Improves the trigger chance of Divine Inspiration by 6%.',100,1,2),
(278119,10025473,'When Equipped:',100,0,0),
(278120,10025473,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278121,10025473,'Improves the trigger chance of Divine Inspiration by 6%.',100,1,2),
(278122,166559,'When Equipped:',100,0,0),
(278123,166559,'On a spell cast this spell may cast Clairvoyant Preparation on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278124,166559,'Reduces the power cost of the casters next spell by 50%',100,2,2),
(278125,10166559,'When Equipped:',100,0,0),
(278126,10166559,'On a spell cast this spell may cast Clairvoyant Preparation on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278127,10166559,'Reduces the power cost of the casters next spell by 50%',100,2,2),
(278128,100790,'Wards target against 388 points of all damage',100,1,0),
(278129,10100790,'Wards target against 598 points of all damage',100,1,0),
(278130,118276,'Increases Threat to target encounter by 1,401 - 1,611 ',100,1,0),
(278131,118276,'Decreases Mitigation of target encounter vs arcane damage by 1024',100,1,1),
(278132,10118276,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(278133,10118276,'Prevents target from changing targets',100,2,1),
(278134,10118276,'Forces target to change their selected target to caster.',100,2,2),
(278135,10118276,'Decreases Mitigation of target encounter vs arcane damage by 1024',100,1,3),
(278136,80842,'When Equipped:',100,0,0),
(278137,80842,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278138,80842,'Decreases Threat to target by 672 ',100,2,2),
(278139,80842,'Must be flanking or behind',100,3,3),
(278140,80842,'Increases Threat to target by 1,132 ',100,2,4),
(278141,80842,'Must be in front of',100,3,5),
(278142,80842,'Inflicts 188 - 349 magic damage on target',100,2,6),
(278143,80842,'Cannot be modified except by direct means',100,2,7),
(278144,10080842,'When Equipped:',100,0,0),
(278145,10080842,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278146,10080842,'Inflicts 226 - 419 magic damage on target',100,2,2),
(278147,10080842,'Cannot be modified except by direct means',100,2,3),
(278148,124661,'Inflicts 672 - 821 cold damage on target encounter',100,1,0),
(278149,124661,'Decreases Piercing, Slashing and Crushing of target encounter by 21.5',100,1,1),
(278150,10124661,'Inflicts 806 - 985 cold damage on target encounter',100,1,0),
(278151,10124661,'Decreases Piercing, Slashing and Crushing of target encounter by 21.5',100,1,1),
(278152,159616,'Applies Lambent Imbued when Equipped.',100,0,0),
(278153,159616,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(278154,159616,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(278155,159616,'Cannot be modified except by direct means',100,2,3),
(278156,10159616,'Applies Lambent Imbued when Equipped.',100,0,0),
(278157,10159616,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(278158,10159616,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(278159,10159616,'Cannot be modified except by direct means',100,2,3),
(278160,72155,'When Equipped:',100,0,0),
(278161,72155,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278162,72155,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(278163,72155,'Cannot be modified except by direct means',100,2,3),
(278164,10072155,'When Equipped:',100,0,0),
(278165,10072155,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278166,10072155,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(278167,10072155,'Cannot be modified except by direct means',100,2,3),
(278168,87222,'When Equipped:',100,0,0),
(278169,87222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278170,87222,'Inflicts 51 - 76 magic damage on target',100,2,2),
(278171,87222,'Cannot be modified except by direct means',100,2,3),
(278172,10087222,'When Equipped:',100,0,0),
(278173,10087222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278174,10087222,'Inflicts 61 - 91 magic damage on target',100,2,2),
(278175,10087222,'Cannot be modified except by direct means',100,2,3),
(278176,132193,'When Equipped:',100,0,0),
(278177,132193,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278178,132193,'Inflicts 2664 disease damage on target encounter',100,2,2),
(278179,132193,'Must not be engaged in pvp combat',100,2,3),
(278180,132193,'Cannot be modified except by direct means',100,2,4),
(278181,10132193,'When Equipped:',100,0,0),
(278182,10132193,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278183,10132193,'Inflicts 1598 disease damage on target encounter',100,2,2),
(278184,10132193,'Must not be engaged in pvp combat',100,2,3),
(278185,10132193,'Cannot be modified except by direct means',100,2,4),
(278186,162115,'When Equipped:',100,0,0),
(278187,162115,'On any combat or spell hit this spell may cast Rancor on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(278188,162115,'Increases the base damage of melee damage and hostile spells cast by 10%.',100,2,2),
(278189,162115,'Cannot be modified except by direct means',100,2,3),
(278190,10162115,'When Equipped:',100,0,0),
(278191,10162115,'On any combat or spell hit this spell may cast Rancor on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(278192,10162115,'Increases the base damage of melee damage and hostile spells cast by 10%.',100,2,2),
(278193,10162115,'Cannot be modified except by direct means',100,2,3),
(278194,117062,'Inflicts 159 - 266 melee damage on target',100,1,0),
(278195,117062,'Decreases Attack Speed of target by 22.9',100,1,1),
(278196,10117062,'Inflicts 191 - 319 melee damage on target',100,1,0),
(278197,10117062,'Decreases Attack Speed of target by 22.9',100,1,1),
(278198,82167,'When Equipped:',100,0,0),
(278199,82167,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278200,82167,'Decreases Threat to target by 135 ',100,2,2),
(278201,82167,'Must be flanking or behind',100,3,3),
(278202,82167,'Increases Threat to target by 236 ',100,2,4),
(278203,82167,'Must be in front of',100,3,5),
(278204,82167,'Inflicts 33 - 61 magic damage on target',100,2,6),
(278205,82167,'Cannot be modified except by direct means',100,2,7),
(278206,10082167,'When Equipped:',100,0,0),
(278207,10082167,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278208,10082167,'Inflicts 40 - 74 magic damage on target',100,2,2),
(278209,10082167,'Cannot be modified except by direct means',100,2,3),
(278210,26689,'When Equipped:',100,0,0),
(278211,26689,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(278212,26689,'On a critical combat hit this spell may cast Armor Chink I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(278213,26689,'Decreases Mitigation of target vs physical damage by 1497',100,2,3),
(278214,26689,'Must not be engaged in pvp combat',100,2,4),
(278215,26689,'Cannot be modified except by direct means',100,2,5),
(278216,26689,'On a critical spell hit this spell may cast Armor Chink I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(278217,26689,'Decreases Mitigation of target vs physical damage by 1497',100,2,7),
(278218,26689,'Must not be engaged in pvp combat',100,2,8),
(278219,26689,'Cannot be modified except by direct means',100,2,9),
(278220,26689,'Must not be engaged in pvp combat',100,1,10),
(278221,10026689,'When Equipped:',100,0,0),
(278222,10026689,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(278223,10026689,'On a critical combat hit this spell may cast Armor Chink I on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(278224,10026689,'Decreases Mitigation of target vs physical damage by 1497',100,2,3),
(278225,10026689,'Must not be engaged in pvp combat',100,2,4),
(278226,10026689,'Cannot be modified except by direct means',100,2,5),
(278227,10026689,'On a critical spell hit this spell may cast Armor Chink I on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(278228,10026689,'Decreases Mitigation of target vs physical damage by 1497',100,2,7),
(278229,10026689,'Must not be engaged in pvp combat',100,2,8),
(278230,10026689,'Cannot be modified except by direct means',100,2,9),
(278231,10026689,'Must not be engaged in pvp combat',100,1,10),
(278232,124226,'Decreases Attack Speed of caster by 15.5',100,1,0),
(278233,124226,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(278234,124226,'Slows targets in Area of Effect by 57.4%',100,2,2),
(278235,124226,'5% chance to dispel when target receives hostile action',100,2,3),
(278236,124226,'5% chance to dispel when target takes damage',100,2,4),
(278237,124226,'Increases Mitigation of caster vs physical damage by 770',100,1,5),
(278238,10124226,'Decreases Attack Speed of caster by 15.5',100,1,0),
(278239,10124226,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(278240,10124226,'Slows targets in Area of Effect by 43.0%',100,2,2),
(278241,10124226,'5% chance to dispel when target receives hostile action',100,2,3),
(278242,10124226,'5% chance to dispel when target takes damage',100,2,4),
(278243,10124226,'Increases Mitigation of caster vs physical damage by 770',100,1,5),
(278244,110149,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',100,1,0),
(278245,10110149,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',100,1,0),
(278246,107336,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(278247,107336,'Increases Threat to target by 189 ',100,2,1),
(278248,10107336,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(278249,10107336,'Inflicts 21 - 23 crushing damage on target',100,2,1),
(278250,118190,'Increases Damage Per Second of group members (AE) by 14.9',100,1,0),
(278251,10118190,'Increases Damage Per Second of group members (AE) by 14.9',100,1,0),
(278252,45299,'Applies Catch Bat when Activated.',100,0,0),
(278253,45299,'Catch a bat and tie a string around it!',100,1,1),
(278254,10045299,'Applies Catch Bat when Activated.',100,0,0),
(278255,10045299,'Catch a bat and tie a string around it!',100,1,1),
(278256,135241,'When Equipped:',100,0,0),
(278257,135241,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278258,135241,'Wards target against 2400 points of all damage',100,2,2),
(278259,135241,'Replenishes 500 points of absorption every 2 seconds.',100,2,3),
(278260,135241,'Cannot be modified except by direct means',100,2,4),
(278261,10135241,'When Equipped:',100,0,0),
(278262,10135241,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278263,10135241,'Wards target against 2400 points of all damage',100,2,2),
(278264,10135241,'Replenishes 500 points of absorption every 2 seconds.',100,2,3),
(278265,10135241,'Cannot be modified except by direct means',100,2,4),
(278266,102995,'Increases STR and AGI of group members (AE) by 110.9',100,1,0),
(278267,10102995,'Increases STR and AGI of group members (AE) by 110.9',100,1,0),
(278268,102312,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(278269,102312,'Decreases Threat to target by 1,408 ',100,2,1),
(278270,10102312,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(278271,10102312,'Inflicts 72 - 79 crushing damage on target',100,2,1),
(278272,105818,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(278273,105818,'Inflicts 85 - 141 disease damage on target',100,2,1),
(278274,10105818,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(278275,10105818,'Inflicts 102 - 170 disease damage on target',100,2,1),
(278276,121568,'Inflicts 488 - 814 melee damage on targets in area',100,1,0),
(278277,121568,'Stuns target encounter',100,1,1),
(278278,121568,'If Target is not Epic',100,2,2),
(278279,121568,'Resistibility increases against targets higher than level 112.',100,1,3),
(278280,10121568,'Inflicts 586 - 976 melee damage on targets in area',100,1,0),
(278281,10121568,'Stuns target encounter',100,1,1),
(278282,10121568,'If Target is not Epic',100,2,2),
(278283,10121568,'Resistibility increases against targets higher than level 112.',100,1,3),
(278284,71369,'When Equipped:',100,0,0),
(278285,71369,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278286,71369,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(278287,71369,'Cannot be modified except by direct means',100,2,3),
(278288,10071369,'When Equipped:',100,0,0),
(278289,10071369,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278290,10071369,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(278291,10071369,'Cannot be modified except by direct means',100,2,3),
(278292,115431,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',100,1,0),
(278293,115431,'Decreases Mitigation of target vs arcane damage by 220',100,1,1),
(278294,10115431,'Inflicts 23 - 28 mental damage on target instantly and every 6 seconds',100,1,0),
(278295,10115431,'Decreases Mitigation of target vs arcane damage by 220',100,1,1),
(278296,47000,'Applies Middling Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(278297,47000,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(278298,47000,'Inflicts 198 poison damage on target',100,2,2),
(278299,47000,'Inflicts 102 poison damage on target instantly and every 6 seconds',100,2,3),
(278300,47000,'Cannot be modified except by direct means',100,2,4),
(278301,47000,'Grants a total of 200 triggers of the spell.',100,2,5),
(278302,47000,'Only affects targets level 50 and above',100,1,6),
(278303,10047000,'Applies Middling Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(278304,10047000,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(278305,10047000,'Inflicts 178 poison damage on target',100,2,2),
(278306,10047000,'Inflicts 92 poison damage on target instantly and every 6 seconds',100,2,3),
(278307,10047000,'Cannot be modified except by direct means',100,2,4),
(278308,10047000,'Grants a total of 200 triggers of the spell.',100,2,5),
(278309,10047000,'Only affects targets level 50 and above',100,1,6),
(278310,185059,'When Equipped:',100,0,0),
(278311,185059,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278312,185059,'Inflicts 1199 cold damage on target encounter',100,2,2),
(278313,185059,'Cannot be modified except by direct means',100,2,3),
(278314,10185059,'When Equipped:',100,0,0),
(278315,10185059,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278316,10185059,'Inflicts 719 cold damage on target encounter',100,2,2),
(278317,10185059,'Cannot be modified except by direct means',100,2,3),
(278318,105290,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(278319,105290,'Inflicts 67 - 111 mental damage on target',100,2,1),
(278320,105290,'Increases AGI of caster by 75.5',100,1,2),
(278321,105290,'Adds 14.8% to base avoidance.',100,1,3),
(278322,105290,'Increases Mitigation of caster vs physical damage by 273',100,1,4),
(278323,105290,'Increases Mitigation of caster vs elemental and arcane damage by 608',100,1,5),
(278324,105290,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(278325,105290,'Inflicts 67 - 111 mental damage on target',100,2,7),
(278326,105290,'Increases Mitigation of caster vs noxious damage by 608',100,1,8),
(278327,10105290,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(278328,10105290,'Inflicts 80 - 134 mental damage on target',100,2,1),
(278329,10105290,'Increases AGI of caster by 75.5',100,1,2),
(278330,10105290,'Adds 14.8% to base avoidance.',100,1,3),
(278331,10105290,'Increases Mitigation of caster vs physical damage by 273',100,1,4),
(278332,10105290,'Increases Mitigation of caster vs elemental and arcane damage by 608',100,1,5),
(278333,10105290,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(278334,10105290,'Inflicts 80 - 134 mental damage on target',100,2,7),
(278335,10105290,'Increases Mitigation of caster vs noxious damage by 608',100,1,8),
(278336,25293,'When Equipped:',100,0,0),
(278337,25293,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278338,25293,'Improves the base heal amount of Autumn''s Kiss by 30%.',100,1,2),
(278339,10025293,'When Equipped:',100,0,0),
(278340,10025293,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278341,10025293,'Improves the base heal amount of Autumn''s Kiss by 30%.',100,1,2),
(278342,107402,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(278343,107402,'Slows target by 43.3%',100,2,1),
(278344,107402,'5% chance to dispel when target receives hostile action',100,2,2),
(278345,107402,'5% chance to dispel when target takes damage',100,2,3),
(278346,107402,'Inflicts 547 - 911 disease damage on target',100,1,4),
(278347,10107402,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(278348,10107402,'Slows target by 43.3%',100,2,1),
(278349,10107402,'5% chance to dispel when target receives hostile action',100,2,2),
(278350,10107402,'5% chance to dispel when target takes damage',100,2,3),
(278351,10107402,'Inflicts 656 - 1093 disease damage on target',100,1,4),
(278352,37271,'Increases outgoing damaging spell amount by 2%',100,0,0),
(278353,37271,'Increases STA and INT of target by 55.0',100,0,1),
(278354,37271,'Increases Out-of-Combat Power Regeneration of target by 114.3',100,0,2),
(278355,109468,'Inflicts 58 - 97 cold damage on target',100,1,0),
(278356,10109468,'Inflicts 70 - 116 cold damage on target',100,1,0),
(278357,81224,'When Equipped:',100,0,0),
(278358,81224,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278359,81224,'Decreases Threat to target by 352 ',100,2,2),
(278360,81224,'Must be flanking or behind',100,3,3),
(278361,81224,'Increases Threat to target by 617 ',100,2,4),
(278362,81224,'Must be in front of',100,3,5),
(278363,81224,'Inflicts 80 - 149 magic damage on target',100,2,6),
(278364,81224,'Cannot be modified except by direct means',100,2,7),
(278365,10081224,'When Equipped:',100,0,0),
(278366,10081224,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278367,10081224,'Inflicts 96 - 179 magic damage on target',100,2,2),
(278368,10081224,'Cannot be modified except by direct means',100,2,3),
(278369,109084,'Inflicts 129 - 215 melee damage on target',100,1,0),
(278370,109084,'Inflicts 129 - 215 melee damage on target',100,1,1),
(278371,109084,'Inflicts 129 - 215 melee damage on target',100,1,2),
(278372,109084,'Decreases Mitigation of target vs physical damage by 499',100,1,3),
(278373,10109084,'Inflicts 154 - 258 melee damage on target',100,1,0),
(278374,10109084,'Inflicts 154 - 258 melee damage on target',100,1,1),
(278375,10109084,'Inflicts 154 - 258 melee damage on target',100,1,2),
(278376,10109084,'Decreases Mitigation of target vs physical damage by 499',100,1,3),
(278377,52862,'Applies Sanguine Imbued when Equipped.',100,0,0),
(278378,52862,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(278379,52862,'Inflicts 24 heat damage on target',100,2,2),
(278380,52862,'Cannot be modified except by direct means',100,2,3),
(278381,10052862,'Applies Sanguine Imbued when Equipped.',100,0,0),
(278382,10052862,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(278383,10052862,'Inflicts 28 heat damage on target',100,2,2),
(278384,10052862,'Cannot be modified except by direct means',100,2,3),
(278385,159181,'Applies Sanguine Imbued when Equipped.',100,0,0),
(278386,159181,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(278387,159181,'Inflicts 154 heat damage on target',100,2,2),
(278388,159181,'Cannot be modified except by direct means',100,2,3),
(278389,10159181,'Applies Sanguine Imbued when Equipped.',100,0,0),
(278390,10159181,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(278391,10159181,'Inflicts 185 heat damage on target',100,2,2),
(278392,10159181,'Cannot be modified except by direct means',100,2,3),
(278393,111042,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(278394,111042,'Increases Threat to target by 984 ',100,2,1),
(278395,111042,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(278396,111042,'Increases Threat to target by 984 ',100,2,3),
(278397,10111042,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(278398,10111042,'Inflicts 74 - 82 crushing damage on target',100,2,1),
(278399,10111042,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(278400,10111042,'Inflicts 74 - 82 crushing damage on target',100,2,3),
(278401,37432,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(278402,177723,'When Equipped:',100,0,0),
(278403,177723,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278404,177723,'Increases WIS of caster by 3.6',100,2,2),
(278405,177723,'Increases Ordination, Ministration and Focus of caster by 2.2',100,2,3),
(278406,177723,'Cannot be modified except by direct means',100,2,4),
(278407,10177723,'When Equipped:',100,0,0),
(278408,10177723,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278409,10177723,'Increases WIS of caster by 3.6',100,2,2),
(278410,10177723,'Increases Ordination, Ministration and Focus of caster by 2.2',100,2,3),
(278411,10177723,'Cannot be modified except by direct means',100,2,4),
(278412,106300,'Decreases INT and STR of target by 6.7',100,1,0),
(278413,10106300,'Decreases INT and STR of target by 6.7',100,1,0),
(278414,116604,'Inflicts 322 - 536 divine damage on target',100,1,0),
(278415,10116604,'Inflicts 386 - 644 divine damage on target',100,1,0),
(278416,116234,'Increases AGI of caster by 17.8',100,1,0),
(278417,116234,'Increases INT of caster by 44.4',100,1,1),
(278418,10116234,'Increases AGI of caster by 17.8',100,1,0),
(278419,10116234,'Increases INT of caster by 44.4',100,1,1),
(278420,46091,'Applies Elixir of Mental Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(278421,10046091,'Applies Elixir of Mental Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(278422,104029,'Stifles target',100,1,0),
(278423,104029,'If Target is not Epic',100,2,1),
(278424,104029,'Interrupts target',100,1,2),
(278425,104029,'Decreases Threat to target by 980 - 1,198 ',100,1,3),
(278426,104029,'Resistibility increases against targets higher than level 95.',100,1,4),
(278427,10104029,'Stifles target',100,1,0),
(278428,10104029,'If Target is not Epic',100,2,1),
(278429,10104029,'Interrupts target',100,1,2),
(278430,10104029,'Resistibility increases against targets higher than level 95.',100,1,3),
(278431,107258,'Inflicts 37 - 62 ranged damage on target',100,1,0),
(278432,107258,'Inflicts 37 - 62 ranged damage on target',100,1,1),
(278433,107258,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(278434,107258,'Stuns target',100,2,3),
(278435,107258,'Throws target back',100,2,4),
(278436,107258,'Blurs vision of target',100,2,5),
(278437,107258,'Does not affect Epic targets',100,2,6),
(278438,107258,'If weapon equipped in Ranged',100,1,7),
(278439,10107258,'Inflicts 28 - 46 ranged damage on target',100,1,0),
(278440,10107258,'Inflicts 28 - 46 ranged damage on target',100,1,1),
(278441,10107258,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(278442,10107258,'Stuns target',100,2,3),
(278443,10107258,'Throws target back',100,2,4),
(278444,10107258,'Blurs vision of target',100,2,5),
(278445,10107258,'Does not affect Epic targets',100,2,6),
(278446,10107258,'If weapon equipped in Ranged',100,1,7),
(278447,48703,'Applies Elixir of Accuracy  when Activated.  Lasts for 30 minutes.',100,0,0),
(278448,48703,'Increases AGI of caster by 16.0',100,1,1),
(278449,10048703,'Applies Elixir of Accuracy  when Activated.  Lasts for 30 minutes.',100,0,0),
(278450,10048703,'Increases AGI of caster by 16.0',100,1,1),
(278451,72287,'When Equipped:',100,0,0),
(278452,72287,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278453,72287,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(278454,72287,'Cannot be modified except by direct means',100,2,3),
(278455,10072287,'When Equipped:',100,0,0),
(278456,10072287,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278457,10072287,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(278458,10072287,'Cannot be modified except by direct means',100,2,3),
(278459,71623,'When Equipped:',100,0,0),
(278460,71623,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278461,71623,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(278462,71623,'Cannot be modified except by direct means',100,2,3),
(278463,10071623,'When Equipped:',100,0,0),
(278464,10071623,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278465,10071623,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(278466,10071623,'Cannot be modified except by direct means',100,2,3),
(278467,111527,'Blurs vision of targets in Area of Effect',100,1,0),
(278468,111527,'15% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(278469,111527,'Stuns target',100,2,2),
(278470,111527,'Throws target back',100,2,3),
(278471,111527,'Blurs vision of target',100,2,4),
(278472,111527,'Does not affect Epic targets',100,2,5),
(278473,111527,'Interrupts targets in Area of Effect',100,1,6),
(278474,10111527,'Blurs vision of targets in Area of Effect',100,1,0),
(278475,10111527,'Interrupts targets in Area of Effect',100,1,1),
(278476,10111527,'15% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(278477,10111527,'Stuns target',100,2,3),
(278478,10111527,'Throws target back',100,2,4),
(278479,10111527,'Blurs vision of target',100,2,5),
(278480,10111527,'Does not affect Epic targets',100,2,6),
(278481,107886,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(278482,107886,'Slows target by 57.0%',100,2,1),
(278483,107886,'5% chance to dispel when target receives hostile action',100,2,2),
(278484,107886,'5% chance to dispel when target takes damage',100,2,3),
(278485,107886,'Slows target encounter by 68.4%',100,1,4),
(278486,107886,'5% chance to dispel when target takes damage',100,1,5),
(278487,10107886,'Slows target encounter by 68.4%',100,1,0),
(278488,10107886,'5% chance to dispel when target takes damage',100,1,1),
(278489,80626,'When Equipped:',100,0,0),
(278490,80626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278491,80626,'Inflicts 50 - 93 magic damage on target',100,2,2),
(278492,80626,'Cannot be modified except by direct means',100,2,3),
(278493,10080626,'When Equipped:',100,0,0),
(278494,10080626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278495,10080626,'Inflicts 60 - 111 magic damage on target',100,2,2),
(278496,10080626,'Cannot be modified except by direct means',100,2,3),
(278500,10122699,'Decreases Slashing, Crushing and Piercing of caster by 1.8',100,1,0),
(278501,10122699,'Increases Defense and Parry of caster by 2.9',100,1,1),
(278502,10122699,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(278503,105400,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(278504,105400,'Inflicts 186 melee damage on target',100,2,1),
(278505,105400,'Interrupts target',100,2,2),
(278506,105400,'Decreases Defense of caster by 28.6',100,1,3),
(278507,105400,'Increases Piercing, Slashing, Ranged and Crushing of caster by 70.8',100,1,4),
(278508,10105400,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(278509,10105400,'Inflicts 223 melee damage on target',100,2,1),
(278510,10105400,'Interrupts target',100,2,2),
(278511,10105400,'Decreases Defense of caster by 28.6',100,1,3),
(278512,10105400,'Increases Piercing, Slashing, Ranged and Crushing of caster by 70.8',100,1,4),
(278513,24358,'Adds Boss: Ettin (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(278514,10024358,'Adds Boss: Ettin (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(278515,40839,'When Equipped:',100,0,0),
(278516,40839,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278517,40839,'Inflicts 2648 poison damage on target',100,2,2),
(278518,40839,'Cannot be modified except by direct means',100,2,3),
(278519,10040839,'When Equipped:',100,0,0),
(278520,10040839,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278521,10040839,'Inflicts 1589 poison damage on target',100,2,2),
(278522,10040839,'Cannot be modified except by direct means',100,2,3),
(278523,45158,'Applies Purification when Activated.',100,0,0),
(278524,45158,'Inflicts 1239 - 1514 divine damage on target',100,1,1),
(278525,45158,'If target is amygdalan',100,1,2),
(278526,10045158,'Applies Purification when Activated.',100,0,0),
(278527,10045158,'Inflicts 1487 - 1817 divine damage on target',100,1,1),
(278528,10045158,'If target is amygdalan',100,1,2),
(278529,107143,'Inflicts 465 - 568 divine damage on target',100,1,0),
(278530,107143,'Inflicts 465 - 568 divine damage on target',100,1,1),
(278531,107143,'If target is undead',100,2,2),
(278532,10107143,'Inflicts 558 - 681 divine damage on target',100,1,0),
(278533,10107143,'Inflicts 558 - 681 divine damage on target',100,1,1),
(278534,114759,'Feigns Death with 62% chance of success',100,1,0),
(278535,10114759,'Feigns Death with 62% chance of success',100,1,0),
(278536,114257,'Inflicts 698 - 853 mental damage on target',100,1,0),
(278537,114257,'Stuns target',100,1,1),
(278538,114257,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(278539,114257,'Resistibility increases against targets higher than level 108.',100,1,3),
(278540,10114257,'Inflicts 838 - 1024 mental damage on target',100,1,0),
(278541,10114257,'Requires not being affected by Mesmerize effects.',100,2,1),
(278542,10114257,'Stuns target',100,1,2),
(278543,10114257,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(278544,10114257,'Resistibility increases against targets higher than level 108.',100,1,4),
(278545,122545,'Heals caster for 88',100,1,0),
(278546,122545,'Inflicts 135 - 225 melee damage on target',100,1,1),
(278547,10122545,'Heals caster for 57',100,1,0),
(278548,10122545,'Inflicts 162 - 270 melee damage on target',100,1,1),
(278549,123376,'Heals group members (AE) for 651 - 795',100,1,0),
(278550,10123376,'Heals group members (AE) for 791 - 967',100,1,0),
(278551,107876,'Decreases Mitigation of target vs elemental damage by 1815',100,1,0),
(278552,107876,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(278553,107876,'Slows target by 49.7%',100,2,2),
(278554,107876,'5% chance to dispel when target receives hostile action',100,2,3),
(278555,107876,'5% chance to dispel when target takes damage',100,2,4),
(278556,10107876,'Decreases Mitigation of target vs elemental damage by 1815',100,1,0),
(278557,10107876,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(278558,10107876,'Slows target by 49.7%',100,2,2),
(278559,10107876,'5% chance to dispel when target receives hostile action',100,2,3),
(278560,10107876,'5% chance to dispel when target takes damage',100,2,4),
(278561,170658,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(278562,170658,'Decreases WIS, STR, INT and AGI of target by 51.0',100,1,1),
(278563,170658,'Decreases Max Health of target by 1.0%',100,1,2),
(278564,170658,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(278565,10170658,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(278566,10170658,'Decreases WIS, STR, INT and AGI of target by 51.0',100,1,1),
(278567,10170658,'Decreases Max Health of target by 1.0%',100,1,2),
(278568,10170658,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(278569,107416,'Inflicts 62 - 94 magic damage on target',100,1,0),
(278570,10107416,'Inflicts 75 - 112 magic damage on target',100,1,0),
(278571,71923,'When Equipped:',100,0,0),
(278572,71923,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278573,71923,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(278574,71923,'Cannot be modified except by direct means',100,2,3),
(278575,10071923,'When Equipped:',100,0,0),
(278576,10071923,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278577,10071923,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(278578,10071923,'Cannot be modified except by direct means',100,2,3),
(278579,117648,'Decreases Mitigation of target vs physical damage by 168',100,1,0),
(278580,10117648,'Decreases Mitigation of target vs physical damage by 168',100,1,0),
(278581,103963,'Interrupts targets in Area of Effect',100,1,0),
(278582,103963,'Inflicts 5 - 10 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(278583,10103963,'Interrupts targets in Area of Effect',100,1,0),
(278584,10103963,'Inflicts 6 - 12 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(278585,106089,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(278586,10106089,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(278587,120696,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 7.1',100,1,0),
(278588,10120696,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 7.1',100,1,0),
(278589,35623,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(278590,36678,'Increases Out-of-Combat Power Regeneration of target by 45.6',100,0,0),
(278591,36678,'This effect suspends during combat',100,0,1),
(278592,159632,'When Equipped:',100,0,0),
(278593,159632,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278594,159632,'Increases INT of caster by 14.8',100,2,2),
(278595,159632,'Increases Focus, Subjugation and Disruption of caster by 8.3',100,2,3),
(278596,159632,'Cannot be modified except by direct means',100,2,4),
(278597,10159632,'When Equipped:',100,0,0),
(278598,10159632,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278599,10159632,'Increases INT of caster by 14.8',100,2,2),
(278600,10159632,'Increases Focus, Subjugation and Disruption of caster by 8.3',100,2,3),
(278601,10159632,'Cannot be modified except by direct means',100,2,4),
(278602,102170,'Inflicts 493 - 822 melee damage on target',100,1,0),
(278603,102170,'Inflicts 493 - 822 melee damage on target',100,1,1),
(278604,10102170,'Inflicts 592 - 987 melee damage on target',100,1,0),
(278605,10102170,'Inflicts 592 - 987 melee damage on target',100,1,1),
(278606,110245,'Inflicts 100 - 167 melee damage on target',100,1,0),
(278607,110245,'Slows target by 38.0%',100,1,1),
(278608,110245,'5% chance to dispel when target receives hostile action',100,1,2),
(278609,110245,'5% chance to dispel when target takes damage',100,1,3),
(278610,10110245,'Inflicts 120 - 200 melee damage on target',100,1,0),
(278611,10110245,'Slows target by 38.0%',100,1,1),
(278612,10110245,'5% chance to dispel when target receives hostile action',100,1,2),
(278613,10110245,'5% chance to dispel when target takes damage',100,1,3),
(278614,87709,'When Equipped:',100,0,0),
(278615,87709,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(278616,87709,'Inflicts 20 - 24 magic damage on target',100,2,2),
(278617,87709,'If target is werewolf',100,3,3),
(278618,87709,'Cannot be modified except by direct means',100,2,4),
(278619,10087709,'When Equipped:',100,0,0),
(278620,10087709,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(278621,10087709,'Inflicts 24 - 29 magic damage on target',100,2,2),
(278622,10087709,'If target is werewolf',100,3,3),
(278623,10087709,'Cannot be modified except by direct means',100,2,4),
(278624,48780,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(278625,48780,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(278626,48780,'Decreases AGI of target by 4.6',100,2,2),
(278627,48780,'Cannot be modified except by direct means',100,2,3),
(278628,48780,'Grants a total of 30 triggers of the spell.',100,2,4),
(278629,10048780,'Applies enchanted aura when Activated.  Lasts for 12 hours.',100,0,0),
(278630,10048780,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(278631,10048780,'Decreases AGI of target by 4.6',100,2,2),
(278632,10048780,'Cannot be modified except by direct means',100,2,3),
(278633,10048780,'Grants a total of 30 triggers of the spell.',100,2,4),
(278634,82262,'When Equipped:',100,0,0),
(278635,82262,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278636,82262,'Inflicts 33 - 61 magic damage on target',100,2,2),
(278637,82262,'Cannot be modified except by direct means',100,2,3),
(278638,10082262,'When Equipped:',100,0,0),
(278639,10082262,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278640,10082262,'Inflicts 40 - 74 magic damage on target',100,2,2),
(278641,10082262,'Cannot be modified except by direct means',100,2,3),
(278642,121190,'Grants stealth to caster',100,1,0),
(278643,121190,'Suspends caster''s movement speed enhancements',100,1,1),
(278644,121190,'Decreases Threat to target by 515 - 859 ',100,1,2),
(278645,10121190,'Forces target to clear their selected target.',100,1,0),
(278646,10121190,'Grants stealth to caster',100,1,1),
(278647,10121190,'Suspends caster''s movement speed enhancements',100,1,2),
(278648,104656,'Decreases Mitigation of target vs all damage by 44',100,1,0),
(278649,10104656,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 44',100,1,0),
(278650,10104656,'Decreases Mitigation of target vs physical damage by 36',100,1,1),
(278651,118721,'Inflicts 102 - 170 slashing damage on target',100,1,0),
(278652,118721,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(278653,118721,'Inflicts 42 - 51 slashing damage on target every 5 seconds',100,1,2),
(278654,10118721,'Inflicts 122 - 204 slashing damage on target',100,1,0),
(278655,10118721,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(278656,10118721,'Inflicts 51 - 62 slashing damage on target every 5 seconds',100,1,2),
(278657,37159,'Increases STA and STR of target by 39.0',100,0,0),
(278658,37159,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(278659,37159,'Increases Out-of-Combat Power Regeneration of target by 73.8',100,0,2),
(278660,106870,'Decreases Threat to targets in Area of Effect by 792 ',100,1,0),
(278661,106870,'Stuns targets in Area of Effect',100,1,1),
(278662,106870,'If Target is not Epic',100,2,2),
(278663,10106870,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(278664,10106870,'Applies Distract.',100,1,1),
(278665,10106870,'Forces target to clear their selected target.',100,2,2),
(278666,10106870,'Stuns targets in Area of Effect',100,1,3),
(278667,10106870,'If Target is not Epic',100,2,4),
(278668,104706,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(278669,104706,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,1),
(278670,104706,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(278671,104706,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,3),
(278672,10104706,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(278673,10104706,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,1),
(278674,10104706,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(278675,10104706,'Decreases Mitigation of target vs elemental and arcane damage by 149',100,2,3),
(278676,113874,'Increases power of target by 85',100,1,0),
(278677,10113874,'Increases power of target by 85',100,1,0),
(278678,26125,'When Equipped:',100,0,0),
(278679,26125,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278680,26125,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,2),
(278681,10026125,'When Equipped:',100,0,0),
(278682,10026125,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278683,10026125,'Improves the block chance provided by Sandstorm IV by 8%.',100,1,2),
(278684,48311,'Applies freedom of mind when Activated.  Lasts for 10.0 seconds.',100,0,0),
(278685,48311,'Makes caster immune to Stifle effects',100,1,1),
(278686,48311,'Makes caster immune to Stun effects',100,1,2),
(278687,10048311,'Applies freedom of mind when Activated.  Lasts for 3.0 seconds.',100,0,0),
(278688,10048311,'Makes caster immune to Stifle effects',100,1,1),
(278689,10048311,'Makes caster immune to Stun effects',100,1,2),
(278690,114649,'Decreases WIS of target by 78.7',100,1,0),
(278691,114649,'Inflicts 730 - 1216 melee damage on target',100,1,1),
(278692,114649,'You must be sneaking to use this ability.',100,1,2),
(278693,10114649,'Decreases WIS of target by 78.7',100,1,0),
(278694,10114649,'Inflicts 876 - 1460 melee damage on target',100,1,1),
(278695,10114649,'You must be sneaking to use this ability.',100,1,2),
(278696,37519,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(278697,172357,'When Equipped:',100,0,0),
(278698,172357,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(278699,10172357,'When Equipped:',100,0,0),
(278700,10172357,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(278701,81413,'When Equipped:',100,0,0),
(278702,81413,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278703,81413,'Inflicts 80 - 149 magic damage on target',100,2,2),
(278704,81413,'Cannot be modified except by direct means',100,2,3),
(278705,10081413,'When Equipped:',100,0,0),
(278706,10081413,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278707,10081413,'Inflicts 96 - 179 magic damage on target',100,2,2),
(278708,10081413,'Cannot be modified except by direct means',100,2,3),
(278709,117833,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(278710,117833,'Heals target for 78 - 95 instantly and every 2 seconds',100,2,1),
(278711,117833,'If over 50% Health',100,3,2),
(278712,117833,'Heals target for 155 - 190 instantly and every 2 seconds',100,2,3),
(278713,117833,'If at 50% Health or less',100,3,4),
(278714,10117833,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(278715,10117833,'Heals target for 38 - 46 instantly and every 2 seconds',100,2,1),
(278716,10117833,'If at 50% Health or less',100,3,2),
(278717,10117833,'Heals target for 23 - 28 instantly and every 2 seconds',100,2,3),
(278718,10117833,'If over 50% Health',100,3,4),
(278719,108833,'Inflicts 22 - 37 melee damage on target',100,1,0),
(278720,108833,'Inflicts 22 - 37 melee damage on target',100,1,1),
(278721,108833,'Inflicts 22 - 37 melee damage on target',100,1,2),
(278722,108833,'Inflicts 22 - 37 melee damage on target',100,1,3),
(278723,108833,'Inflicts 22 - 37 melee damage on target',100,1,4),
(278724,10108833,'Inflicts 27 - 45 melee damage on target',100,1,0),
(278725,10108833,'Inflicts 27 - 45 melee damage on target',100,1,1),
(278726,10108833,'Inflicts 27 - 45 melee damage on target',100,1,2),
(278727,10108833,'Inflicts 27 - 45 melee damage on target',100,1,3),
(278728,10108833,'Inflicts 27 - 45 melee damage on target',100,1,4),
(278729,47218,'Applies Elixir of the Myrmidon  when Activated.  Lasts for 15 minutes.',100,0,0),
(278730,47218,'Increases Max Power of caster by 15.0',100,1,1),
(278731,10047218,'Applies Elixir of the Myrmidon  when Activated.  Lasts for 15 minutes.',100,0,0),
(278732,10047218,'Increases Max Power of caster by 15.0',100,1,1),
(278733,119721,'Wards group members (AE) against 10 points of elemental, noxious and arcane damage',100,1,0),
(278734,119721,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,1),
(278735,10119721,'Wards group members (AE) against 10 points of elemental, noxious and arcane damage',100,1,0),
(278736,10119721,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,1),
(278737,25782,'When Equipped:',100,0,0),
(278738,25782,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278739,25782,'Adds 10% accuracy to Songster''s Luck VII.',100,1,2),
(278740,10025782,'When Equipped:',100,0,0),
(278741,10025782,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(278742,10025782,'Adds 10% accuracy to Songster''s Luck VII.',100,1,2),
(278743,110395,'Increases STR and AGI of group members (AE) by 81.1',100,1,0),
(278744,110395,'Adds 1.7% to base avoidance.',100,1,1),
(278745,10110395,'Increases STR and AGI of group members (AE) by 81.1',100,1,0),
(278746,10110395,'Adds 1.7% to base avoidance.',100,1,1),
(278747,80313,'When Equipped:',100,0,0),
(278748,80313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278749,80313,'Inflicts 56 - 103 magic damage on target',100,2,2),
(278750,80313,'Cannot be modified except by direct means',100,2,3),
(278751,10080313,'When Equipped:',100,0,0),
(278752,10080313,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278753,10080313,'Inflicts 67 - 124 magic damage on target',100,2,2),
(278754,10080313,'Cannot be modified except by direct means',100,2,3),
(278755,46743,'Applies Summon Khast when Activated.',100,0,0),
(278756,46743,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(278757,46743,'Increases Crit Chance of caster by 3.0',100,1,2),
(278758,46743,'Increases Max Power of caster by 200.0',100,1,3),
(278759,46743,'Summons a mount to ride',100,1,4),
(278760,46743,'Increases your ground speed by 130%',100,2,5),
(278761,10046743,'Applies Summon Khast when Activated.',100,0,0),
(278762,10046743,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(278763,10046743,'Increases Crit Chance of caster by 3.0',100,1,2),
(278764,10046743,'Increases Max Power of caster by 200.0',100,1,3),
(278765,10046743,'Summons a mount to ride',100,1,4),
(278766,10046743,'Increases your ground speed by 130%',100,2,5),
(278767,52845,'Applies Sanguine Imbued when Equipped.',100,0,0),
(278768,52845,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(278769,52845,'Inflicts 154 heat damage on target',100,2,2),
(278770,52845,'Cannot be modified except by direct means',100,2,3),
(278771,10052845,'Applies Sanguine Imbued when Equipped.',100,0,0),
(278772,10052845,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(278773,10052845,'Inflicts 185 heat damage on target',100,2,2),
(278774,10052845,'Cannot be modified except by direct means',100,2,3),
(278775,111271,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(278776,111271,'Heals target for 1425',100,2,1),
(278777,111271,'Increases Mitigation of target vs physical damage by 798',100,2,2),
(278778,111271,'Grants a total of 1 trigger of the spell.',100,2,3),
(278779,10111271,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(278780,10111271,'Heals target for 926',100,2,1),
(278781,10111271,'Increases Mitigation of target vs physical damage by 798',100,2,2),
(278782,10111271,'Grants a total of 1 trigger of the spell.',100,2,3),
(278783,110072,'Summons a pet grim sorcerer',100,1,0),
(278784,10110072,'Summons a pet grim sorcerer',100,1,0),
(278785,37518,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(278786,75595,'When Equipped:',100,0,0),
(278787,75595,'On a combat hit this spell may cast Venomous Decay on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278788,75595,'Inflicts 120 - 147 poison damage on target instantly and every 4.8 seconds',100,2,2),
(278789,75595,'Cannot be modified except by direct means',100,2,3),
(278790,10075595,'When Equipped:',100,0,0),
(278791,10075595,'On a combat hit this spell may cast Venomous Decay on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278792,10075595,'Inflicts 144 - 176 poison damage on target instantly and every 4.8 seconds',100,2,2),
(278793,10075595,'Cannot be modified except by direct means',100,2,3),
(278794,122752,'Heals group members (AE) for 266 - 326',100,1,0),
(278795,122752,'Increases Max Health of group members (AE) by 46.7',100,1,1),
(278796,10122752,'Heals group members (AE) for 312 - 381',100,1,0),
(278797,10122752,'Increases Max Health of group members (AE) by 46.7',100,1,1),
(278798,152633,'When Equipped:',100,0,0),
(278799,152633,'Increases Attack Speed of caster by 15.0',100,1,1),
(278800,10152633,'When Equipped:',100,0,0),
(278801,10152633,'Increases Attack Speed of caster by 15.0',100,1,1),
(278802,167620,'When Equipped:',100,0,0),
(278803,167620,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(278804,167620,'Wards target against 80 points of all damage',100,2,2),
(278805,167620,'Cannot be modified except by direct means',100,2,3),
(278806,10167620,'When Equipped:',100,0,0),
(278807,10167620,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(278808,10167620,'Wards target against 80 points of all damage',100,2,2),
(278809,10167620,'Cannot be modified except by direct means',100,2,3),
(278810,117586,'Inflicts 443 - 739 melee damage on target',100,1,0),
(278811,117586,'Decreases Parry of target by 51.4',100,1,1),
(278812,117586,'Must be in front of or flanking',100,1,2),
(278813,10117586,'Inflicts 532 - 887 melee damage on target',100,1,0),
(278814,10117586,'Decreases Parry of target by 51.4',100,1,1),
(278815,10117586,'Must be in front of or flanking',100,1,2),
(278816,104387,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(278817,104387,'Inflicts 114 - 139 cold damage on target',100,2,1),
(278818,10104387,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(278819,10104387,'Inflicts 136 - 167 cold damage on target',100,2,1),
(278820,115300,'Summons a limited pet to aid the caster',100,1,0),
(278821,10115300,'Summons a limited pet to aid the caster',100,1,0),
(278822,124256,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(278823,124256,'Increases Attack Speed of target by 16.4',100,2,1),
(278824,124256,'Increases Damage Per Second of target by 16.4',100,2,2),
(278825,124256,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(278826,124256,'Increases Attack Speed of target by 16.4',100,2,4),
(278827,124256,'Increases Damage Per Second of target by 16.4',100,2,5),
(278828,124256,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(278829,124256,'Increases Attack Speed of target by 16.4',100,2,7),
(278830,124256,'Increases Damage Per Second of target by 16.4',100,2,8),
(278831,10124256,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(278832,10124256,'Increases Attack Speed of target by 16.4',100,2,1),
(278833,10124256,'Increases Damage Per Second of target by 16.4',100,2,2),
(278834,10124256,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(278835,10124256,'Increases Attack Speed of target by 16.4',100,2,4),
(278836,10124256,'Increases Damage Per Second of target by 16.4',100,2,5),
(278837,10124256,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(278838,10124256,'Increases Attack Speed of target by 16.4',100,2,7),
(278839,10124256,'Increases Damage Per Second of target by 16.4',100,2,8),
(278840,47883,'Applies Rygias Test when Activated.',100,0,0),
(278841,47883,'Decreases power of targets in Area of Effect by 44',100,1,1),
(278842,47883,'The item does nothing.   Perhaps it''s keyed to certain artifacts.',100,1,2),
(278843,10047883,'Applies Rygias Test when Activated.',100,0,0),
(278844,10047883,'Decreases power of targets in Area of Effect by 44',100,1,1),
(278845,10047883,'The item does nothing.   Perhaps it''s keyed to certain artifacts.',100,1,2),
(278846,121186,'Grants stealth to caster',100,1,0),
(278847,121186,'Suspends caster''s movement speed enhancements',100,1,1),
(278848,121186,'Decreases Threat to target by 360 - 601 ',100,1,2),
(278849,10121186,'Forces target to clear their selected target.',100,1,0),
(278850,10121186,'Grants stealth to caster',100,1,1),
(278851,10121186,'Suspends caster''s movement speed enhancements',100,1,2),
(278852,111053,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(278853,111053,'Slows target by 37.7%',100,2,1),
(278854,111053,'5% chance to dispel when target receives hostile action',100,2,2),
(278855,111053,'5% chance to dispel when target takes damage',100,2,3),
(278856,111053,'Decreases Mitigation of target vs elemental damage by 262',100,1,4),
(278857,10111053,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(278858,10111053,'Slows target by 37.7%',100,2,1),
(278859,10111053,'5% chance to dispel when target receives hostile action',100,2,2),
(278860,10111053,'5% chance to dispel when target takes damage',100,2,3),
(278861,10111053,'Decreases Mitigation of target vs elemental damage by 262',100,1,4),
(278862,143734,'When Equipped:',100,0,0),
(278863,143734,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278864,143734,'Inflicts 1192 poison damage on target',100,2,2),
(278865,143734,'Cannot be modified except by direct means',100,2,3),
(278866,10143734,'When Equipped:',100,0,0),
(278867,10143734,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278868,10143734,'Inflicts 715 poison damage on target',100,2,2),
(278869,10143734,'Cannot be modified except by direct means',100,2,3),
(278870,37397,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(278871,37001,'Increases Max Power of target by 108.8',100,0,0),
(278872,37001,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(278873,108997,'Inflicts 77 - 94 melee damage on target',100,1,0),
(278874,108997,'Decreases Damage Per Second of target by 15.7',100,1,1),
(278875,10108997,'Inflicts 92 - 113 melee damage on target',100,1,0),
(278876,10108997,'Decreases Damage Per Second of target by 15.7',100,1,1),
(278877,81585,'When Equipped:',100,0,0),
(278878,81585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278879,81585,'Inflicts 112 - 208 magic damage on target',100,2,2),
(278880,81585,'Cannot be modified except by direct means',100,2,3),
(278881,10081585,'When Equipped:',100,0,0),
(278882,10081585,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(278883,10081585,'Inflicts 135 - 250 magic damage on target',100,2,2),
(278884,10081585,'Cannot be modified except by direct means',100,2,3),
(278885,113245,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(278886,113245,'Inflicts 25 - 41 magic damage on target',100,2,1),
(278887,113245,'Grants a total of 8 triggers of the spell.',100,2,2),
(278888,10113245,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(278889,10113245,'Inflicts 30 - 50 magic damage on target',100,2,1),
(278890,10113245,'Grants a total of 8 triggers of the spell.',100,2,2),
(278891,100261,'Inflicts 116 - 215 poison damage on target instantly and every 3 seconds',100,1,0),
(278892,10100261,'Inflicts 314 - 583 poison damage on target instantly and every 3 seconds',100,1,0),
(278893,170593,'When Equipped:',100,0,0),
(278894,170593,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278895,170593,'Inflicts 1998 disease damage on target encounter',100,2,2),
(278896,170593,'Must not be engaged in pvp combat',100,2,3),
(278897,170593,'Cannot be modified except by direct means',100,2,4),
(278898,10170593,'When Equipped:',100,0,0),
(278899,10170593,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278900,10170593,'Inflicts 1199 disease damage on target encounter',100,2,2),
(278901,10170593,'Must not be engaged in pvp combat',100,2,3),
(278902,10170593,'Cannot be modified except by direct means',100,2,4),
(278903,47254,'Applies Kaglari''s Awakening  when Activated.  Lasts for 30 minutes.',100,0,0),
(278904,47254,'Increases INT and WIS of caster by 39.0',100,1,1),
(278905,10047254,'Applies Kaglari''s Awakening  when Activated.  Lasts for 30 minutes.',100,0,0),
(278906,10047254,'Increases INT and WIS of caster by 39.0',100,1,1),
(278907,109867,'Increases Defense of group members (AE) by 15.2',100,1,0),
(278908,10109867,'Increases Defense of group members (AE) by 15.2',100,1,0),
(278909,116682,'Heals group members (AE) for 12.3 - 15.1% of max health',100,1,0),
(278910,116682,'This effect cannot be critically applied.',100,2,1),
(278911,116682,'Increases Max Health of group members (AE) by 470.4',100,1,2),
(278912,116682,'The healing of this spell cannot be modified except by direct means',100,1,3),
(278913,10116682,'Heals group members (AE) for 3.9 - 4.7% of max health',100,1,0),
(278914,10116682,'This effect cannot be critically applied.',100,2,1),
(278915,10116682,'Increases Max Health of group members (AE) by 470.4',100,1,2),
(278916,10116682,'The healing of this spell cannot be modified except by direct means',100,1,3),
(278917,123184,'Summons a pet Unfortunate Elf Frostfell Cube',100,1,0),
(278918,10123184,'Summons a pet Unfortunate Elf Frostfell Cube',100,1,0),
(278919,25633,'When Equipped:',100,0,0),
(278920,25633,'Removes the stifle from Oration of Sacrifice.',100,1,1),
(278921,25633,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(278922,25633,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(278923,10025633,'When Equipped:',100,0,0),
(278924,10025633,'Removes the stifle from Oration of Sacrifice.',100,1,1),
(278925,10025633,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(278926,10025633,'Improves the base healing of Oration of Sacrifice III by 30%.',100,1,3),
(278927,41694,'When Equipped:',100,0,0),
(278928,41694,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278929,41694,'Decreases Threat to target by 487 ',100,2,2),
(278930,41694,'Must be flanking or behind',100,3,3),
(278931,41694,'Increases Threat to target by 852 ',100,2,4),
(278932,41694,'Must be in front of',100,3,5),
(278933,41694,'Inflicts 108 - 200 magic damage on target',100,2,6),
(278934,41694,'Cannot be modified except by direct means',100,2,7),
(278935,10041694,'When Equipped:',100,0,0),
(278936,10041694,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(278937,10041694,'Inflicts 129 - 240 magic damage on target',100,2,2),
(278938,10041694,'Cannot be modified except by direct means',100,2,3),
(278939,102063,'Interrupts targets in Area of Effect',100,1,0),
(278940,102063,'Inflicts 380 - 633 melee damage on targets in area',100,1,1),
(278941,10102063,'Interrupts targets in Area of Effect',100,1,0),
(278942,10102063,'Inflicts 456 - 760 melee damage on targets in area',100,1,1),
(278943,115462,'Inflicts 158 - 193 mental damage on target instantly and every 6 seconds',100,1,0),
(278944,115462,'Decreases Mitigation of target vs arcane damage by 1463',100,1,1),
(278945,10115462,'Inflicts 189 - 232 mental damage on target instantly and every 6 seconds',100,1,0),
(278946,10115462,'Decreases Mitigation of target vs arcane damage by 1463',100,1,1),
(278947,133999,'When Equipped:',100,0,0),
(278948,133999,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(278949,133999,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(278950,133999,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(278951,133999,'Heals target for 1840',100,3,4),
(278952,133999,'Must not be engaged in pvp combat',100,3,5),
(278953,133999,'Cannot be modified except by direct means',100,3,6),
(278954,133999,'Grants a total of 5 triggers of the spell.',100,3,7),
(278955,133999,'Must not be engaged in pvp combat',100,2,8),
(278956,133999,'Cannot be modified except by direct means',100,2,9),
(278957,133999,'Cannot be modified except by direct means',100,1,10),
(278958,10133999,'When Equipped:',100,0,0),
(278959,10133999,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(278960,10133999,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(278961,10133999,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(278962,10133999,'Heals target for 2153',100,3,4),
(278963,10133999,'Must not be engaged in pvp combat',100,3,5),
(278964,10133999,'Cannot be modified except by direct means',100,3,6),
(278965,10133999,'Grants a total of 5 triggers of the spell.',100,3,7),
(278966,10133999,'Must not be engaged in pvp combat',100,2,8),
(278967,10133999,'Cannot be modified except by direct means',100,2,9),
(278968,10133999,'Cannot be modified except by direct means',100,1,10),
(278969,122649,'Decreases Defense of target by 3.1',100,1,0),
(278970,122649,'Decreases Mitigation of target vs physical damage by 69',100,1,1),
(278971,10122649,'Decreases Defense of target by 3.1',100,1,0),
(278972,10122649,'Decreases Mitigation of target vs physical damage by 69',100,1,1),
(278973,121706,'Increases AGI of caster by 24.6',100,1,0),
(278974,121706,'Adds 1.5% to base avoidance.',100,1,1),
(278975,121706,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(278976,121706,'Increases Parry of caster by 14.4',100,1,3),
(278977,121706,'Increases Defense of caster by 19.2',100,1,4),
(278978,10121706,'Increases AGI of caster by 24.6',100,1,0),
(278979,10121706,'Adds 1.5% to base avoidance.',100,1,1),
(278980,10121706,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(278981,10121706,'Increases Parry of caster by 14.4',100,1,3),
(278982,10121706,'Increases Defense of caster by 19.2',100,1,4),
(278983,111421,'Increases Attack Speed of target by 73.3',100,1,0),
(278984,111421,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278985,111421,'Inflicts 550 disease damage on target',100,2,2),
(278986,111421,'Heals caster for 199',100,2,3),
(278987,111421,'Decreases Defense and Parry of target by 42.3',100,1,4),
(278988,111421,'Increases Disruption and Subjugation of target by 63.4',100,1,5),
(278989,111421,'Increases Focus of target by 69.6',100,1,6),
(278990,10111421,'Increases Attack Speed of target by 73.3',100,1,0),
(278991,10111421,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(278992,10111421,'Inflicts 660 disease damage on target',100,2,2),
(278993,10111421,'Heals caster for 130',100,2,3),
(278994,10111421,'Decreases Defense and Parry of target by 42.3',100,1,4),
(278995,10111421,'Increases Disruption and Subjugation of target by 63.4',100,1,5),
(278996,10111421,'Increases Focus of target by 69.6',100,1,6),
(278997,71359,'When Equipped:',100,0,0),
(278998,71359,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(278999,71359,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(279000,71359,'Cannot be modified except by direct means',100,2,3),
(279001,10071359,'When Equipped:',100,0,0),
(279002,10071359,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279003,10071359,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(279004,10071359,'Cannot be modified except by direct means',100,2,3),
(279005,87169,'When Equipped:',100,0,0),
(279006,87169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279007,87169,'Inflicts 44 - 66 magic damage on target',100,2,2),
(279008,87169,'Cannot be modified except by direct means',100,2,3),
(279009,10087169,'When Equipped:',100,0,0),
(279010,10087169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279011,10087169,'Inflicts 53 - 79 magic damage on target',100,2,2),
(279012,10087169,'Cannot be modified except by direct means',100,2,3),
(279013,54790,'When Equipped:',100,0,0),
(279014,54790,'Stormbringer Bulwark of the Unstoppable must be equipped to maintain Ferocious Presence.',100,1,1),
(279015,54790,'Applies Ferocious Presence when Activated.  Lasts for 15 minutes.',100,0,2),
(279016,54790,'Transfers 10% of group members (AE)''s current Threat to the caster',100,1,3),
(279017,54790,'The casting time of Ferocious Presence is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,4),
(279018,10054790,'When Equipped:',100,0,0),
(279019,10054790,'Stormbringer Bulwark of the Unstoppable must be equipped to maintain Ferocious Presence.',100,1,1),
(279020,10054790,'Applies Ferocious Presence when Activated.  Lasts for 15 minutes.',100,0,2),
(279021,36729,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(279022,103086,'Heals target for 67 - 82',100,1,0),
(279023,103086,'Heals target for 11 - 14 every second',100,1,1),
(279024,10103086,'Heals target for 43 - 53',100,1,0),
(279025,10103086,'Heals target for 7 - 9 every second',100,1,1),
(279026,109320,'Increases STR of caster by 37.0',100,1,0),
(279027,109320,'Decreases Defense of caster by 4.8',100,1,1),
(279028,109320,'Increases Slashing, Piercing and Crushing of caster by 10.1',100,1,2),
(279029,10109320,'Increases STR of caster by 37.0',100,1,0),
(279030,10109320,'Decreases Defense of caster by 4.8',100,1,1),
(279031,10109320,'Increases Slashing, Piercing and Crushing of caster by 10.1',100,1,2),
(279032,109160,'Roots target',100,1,0),
(279033,109160,'Applies Blind.  Lasts for 4.0 seconds.',100,1,1),
(279034,109160,'Dazes target',100,2,2),
(279035,109160,'Blurs vision of target',100,2,3),
(279036,109160,'Dispelled when target takes damage',100,2,4),
(279037,109160,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(279038,109160,'5% chance to dispel when target takes damage',100,1,6),
(279039,109160,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,7),
(279040,109160,'Resistibility increases against targets higher than level 34.',100,1,8),
(279041,10109160,'Roots target',100,1,0),
(279042,10109160,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(279043,10109160,'Dazes target',100,2,2),
(279044,10109160,'Blurs vision of target',100,2,3),
(279045,10109160,'Dispelled when target takes damage',100,2,4),
(279046,10109160,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(279047,10109160,'5% chance to dispel when target takes damage',100,1,6),
(279048,10109160,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(279049,10109160,'Resistibility increases against targets higher than level 34.',100,1,8),
(279050,37555,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(279051,71702,'When Equipped:',100,0,0),
(279052,71702,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279053,71702,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(279054,71702,'Cannot be modified except by direct means',100,2,3),
(279055,10071702,'When Equipped:',100,0,0),
(279056,10071702,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279057,10071702,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(279058,10071702,'Cannot be modified except by direct means',100,2,3),
(279059,109361,'Inflicts 6 - 12 cold damage on target instantly and every 4 seconds',100,1,0),
(279060,109361,'Decreases Mitigation of target vs elemental damage by 148',100,1,1),
(279061,10109361,'Inflicts 8 - 14 cold damage on target instantly and every 4 seconds',100,1,0),
(279062,10109361,'Decreases Mitigation of target vs elemental damage by 148',100,1,1),
(279063,150901,'When Equipped:',100,0,0),
(279064,150901,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(279065,150901,'Inflicts 2344 heat damage on target',100,2,2),
(279066,150901,'Heals caster for 2100',100,2,3),
(279067,150901,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(279068,150901,'Cannot be modified except by direct means',100,2,5),
(279069,150901,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(279070,150901,'Inflicts 2344 heat damage on target',100,2,7),
(279071,150901,'Heals caster for 2100',100,2,8),
(279072,150901,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(279073,150901,'Cannot be modified except by direct means',100,2,10),
(279074,10150901,'When Equipped:',100,0,0),
(279075,10150901,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(279076,10150901,'Inflicts 2813 heat damage on target',100,2,2),
(279077,10150901,'Heals caster for 2456',100,2,3),
(279078,10150901,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(279079,10150901,'Cannot be modified except by direct means',100,2,5),
(279080,10150901,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(279081,10150901,'Inflicts 2813 heat damage on target',100,2,7),
(279082,10150901,'Heals caster for 2456',100,2,8),
(279083,10150901,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(279084,10150901,'Cannot be modified except by direct means',100,2,10),
(279085,134585,'When Equipped:',100,0,0),
(279086,134585,'On a healing spell cast this spell may cast Presence of Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279087,134585,'Reduces the power cost of the casters next spell by 100%',100,2,2),
(279088,10134585,'When Equipped:',100,0,0),
(279089,10134585,'On a healing spell cast this spell may cast Presence of Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279090,10134585,'Reduces the power cost of the casters next spell by 100%',100,2,2),
(279091,35221,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(279092,35221,'Increases Max Power of target by 10.5',100,0,1),
(279093,82168,'When Equipped:',100,0,0),
(279094,82168,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279095,82168,'Inflicts 30 - 55 magic damage on target',100,2,2),
(279096,82168,'Cannot be modified except by direct means',100,2,3),
(279097,10082168,'When Equipped:',100,0,0),
(279098,10082168,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279099,10082168,'Inflicts 36 - 66 magic damage on target',100,2,2),
(279100,10082168,'Cannot be modified except by direct means',100,2,3),
(279101,121489,'Inflicts 180 - 300 melee damage on target',100,1,0),
(279102,121489,'Decreases Defense of target by 8.0',100,1,1),
(279103,10121489,'Inflicts 216 - 360 melee damage on target',100,1,0),
(279104,10121489,'Decreases Defense of target by 8.0',100,1,1),
(279105,122681,'Decreases Defense of target by 32.2',100,1,0),
(279106,122681,'Decreases Mitigation of target vs physical damage by 563',100,1,1),
(279107,10122681,'Decreases Defense of target by 32.2',100,1,0),
(279108,10122681,'Decreases Mitigation of target vs physical damage by 563',100,1,1),
(279109,81417,'When Equipped:',100,0,0),
(279110,81417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279111,81417,'Inflicts 72 - 134 magic damage on target',100,2,2),
(279112,81417,'Cannot be modified except by direct means',100,2,3),
(279113,10081417,'When Equipped:',100,0,0),
(279114,10081417,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279115,10081417,'Inflicts 87 - 161 magic damage on target',100,2,2),
(279116,10081417,'Cannot be modified except by direct means',100,2,3),
(279117,122107,'Increases STA and INT of group members (AE) by 103.8',100,1,0),
(279118,10122107,'Increases STA and INT of group members (AE) by 103.8',100,1,0),
(279119,25000,'When Equipped:',100,0,0),
(279120,25000,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(279121,25000,'On a critical combat hit this spell may cast Anarchy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(279122,25000,'Increases Threat to target by 8,452 - 10,228 ',100,2,3),
(279123,25000,'Decreases strikethrough chance of target by 5.0%.',100,2,4),
(279124,25000,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,5),
(279125,25000,'Must not be engaged in pvp combat',100,2,6),
(279126,25000,'Cannot be modified except by direct means',100,2,7),
(279127,25000,'On a critical spell hit this spell may cast Anarchy on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(279128,25000,'Increases Threat to target by 8,452 - 10,228 ',100,2,9),
(279129,25000,'Decreases strikethrough chance of target by 5.0%.',100,2,10),
(279130,25000,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,11),
(279131,25000,'Must not be engaged in pvp combat',100,2,12),
(279132,25000,'Cannot be modified except by direct means',100,2,13),
(279133,25000,'Must not be engaged in pvp combat',100,1,14),
(279134,25000,'Cannot be modified except by direct means',100,1,15),
(279135,10025000,'When Equipped:',100,0,0),
(279136,10025000,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(279137,10025000,'On a critical combat hit this spell may cast Anarchy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(279138,10025000,'Decreases strikethrough chance of target by 5.0%.',100,2,3),
(279139,10025000,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,4),
(279140,10025000,'Must not be engaged in pvp combat',100,2,5),
(279141,10025000,'Cannot be modified except by direct means',100,2,6),
(279142,10025000,'On a critical spell hit this spell may cast Anarchy on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(279143,10025000,'Decreases strikethrough chance of target by 5.0%.',100,2,8),
(279144,10025000,'Target will have their chance to hit with a weapon lowered by 5.0%',100,2,9),
(279145,10025000,'Must not be engaged in pvp combat',100,2,10),
(279146,10025000,'Cannot be modified except by direct means',100,2,11),
(279147,10025000,'Must not be engaged in pvp combat',100,1,12),
(279148,10025000,'Cannot be modified except by direct means',100,1,13),
(279149,101288,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(279150,101288,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,1),
(279151,10101288,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(279152,10101288,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,1),
(279153,76876,'When Equipped:',100,0,0),
(279154,76876,'On a beneficial spell cast this spell may cast Vim of Fate on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(279155,76876,'Increases power of caster by 89',100,2,2),
(279156,76876,'Cannot be modified except by direct means',100,2,3),
(279157,10076876,'When Equipped:',100,0,0),
(279158,10076876,'On a beneficial spell cast this spell may cast Vim of Fate on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(279159,10076876,'Increases power of caster by 89',100,2,2),
(279160,10076876,'Cannot be modified except by direct means',100,2,3),
(279161,120738,'Interrupts target',100,1,0),
(279162,120738,'Inflicts 639 - 1066 melee damage on target',100,1,1),
(279163,10120738,'Interrupts target',100,1,0),
(279164,10120738,'Inflicts 767 - 1279 melee damage on target',100,1,1),
(279165,36502,'Increases STA and STR of target by 15.4',100,0,0),
(279166,36502,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(279167,80643,'When Equipped:',100,0,0),
(279168,80643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279169,80643,'Inflicts 56 - 103 magic damage on target',100,2,2),
(279170,80643,'Cannot be modified except by direct means',100,2,3),
(279171,10080643,'When Equipped:',100,0,0),
(279172,10080643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279173,10080643,'Inflicts 67 - 124 magic damage on target',100,2,2),
(279174,10080643,'Cannot be modified except by direct means',100,2,3),
(279175,122546,'Heals caster for 92',100,1,0),
(279176,122546,'Inflicts 142 - 236 melee damage on target',100,1,1),
(279177,10122546,'Heals caster for 60',100,1,0),
(279178,10122546,'Inflicts 170 - 284 melee damage on target',100,1,1),
(279179,175284,'When Equipped:',100,0,0),
(279180,175284,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(279181,175284,'Inflicts 2664 disease damage on target encounter',100,2,2),
(279182,175284,'Must not be engaged in pvp combat',100,2,3),
(279183,175284,'Cannot be modified except by direct means',100,2,4),
(279184,10175284,'When Equipped:',100,0,0),
(279185,10175284,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(279186,10175284,'Inflicts 1598 disease damage on target encounter',100,2,2),
(279187,10175284,'Must not be engaged in pvp combat',100,2,3),
(279188,10175284,'Cannot be modified except by direct means',100,2,4),
(279189,107343,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(279190,107343,'Increases Threat to target by 245 ',100,2,1),
(279191,10107343,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(279192,10107343,'Inflicts 26 - 29 crushing damage on target',100,2,1),
(279193,124007,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(279194,124007,'Heals target for 86 - 105',100,2,1),
(279195,124007,'Grants a total of 5 triggers of the spell.',100,2,2),
(279196,10124007,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(279197,10124007,'Heals target for 56 - 68',100,2,1),
(279198,10124007,'Grants a total of 5 triggers of the spell.',100,2,2),
(279199,185890,'When Equipped:',100,0,0),
(279200,185890,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(279201,10185890,'When Equipped:',100,0,0),
(279202,10185890,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(279203,81466,'When Equipped:',100,0,0),
(279204,81466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279205,81466,'Inflicts 72 - 134 magic damage on target',100,2,2),
(279206,81466,'Cannot be modified except by direct means',100,2,3),
(279207,10081466,'When Equipped:',100,0,0),
(279208,10081466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279209,10081466,'Inflicts 87 - 161 magic damage on target',100,2,2),
(279210,10081466,'Cannot be modified except by direct means',100,2,3),
(279211,36601,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(279212,119187,'Inflicts 103 - 173 heat damage on target',100,1,0),
(279213,119187,'Inflicts 103 - 173 heat damage on target',100,1,1),
(279214,119187,'Requires bow',100,1,2),
(279215,10119187,'Inflicts 104 - 174 heat damage on target',100,1,0),
(279216,10119187,'Inflicts 104 - 174 heat damage on target',100,1,1),
(279217,10119187,'Requires bow',100,1,2),
(279218,145931,'When Equipped:',100,0,0),
(279219,145931,'On a critical healing spell cast this spell may cast Mana Counter II on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279220,145931,'When any damage is received this spell will cast Mana Counter II on target.  ',100,2,2),
(279221,145931,'Heals caster for 1608 - 1777',100,3,3),
(279222,145931,'Must not be engaged in pvp combat',100,3,4),
(279223,145931,'Cannot be modified except by direct means',100,3,5),
(279224,145931,'Grants a total of 5 triggers of the spell.',100,3,6),
(279225,145931,'Must not be engaged in pvp combat',100,2,7),
(279226,145931,'Cannot be modified except by direct means',100,2,8),
(279227,145931,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(279228,145931,'Cannot be modified except by direct means',100,1,10),
(279229,10145931,'When Equipped:',100,0,0),
(279230,10145931,'On a critical healing spell cast this spell may cast Mana Counter II on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279231,10145931,'When any damage is received this spell will cast Mana Counter II on target.  ',100,2,2),
(279232,10145931,'Heals caster for 1882 - 2080',100,3,3),
(279233,10145931,'Must not be engaged in pvp combat',100,3,4),
(279234,10145931,'Cannot be modified except by direct means',100,3,5),
(279235,10145931,'Grants a total of 5 triggers of the spell.',100,3,6),
(279236,10145931,'Must not be engaged in pvp combat',100,2,7),
(279237,10145931,'Cannot be modified except by direct means',100,2,8),
(279238,10145931,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(279239,10145931,'Cannot be modified except by direct means',100,1,10),
(279240,110811,'Inflicts 31 - 42 mental damage on target',100,1,0),
(279241,110811,'Interrupts target',100,1,1),
(279242,10110811,'Inflicts 37 - 50 mental damage on target',100,1,0),
(279243,10110811,'Interrupts target',100,1,1),
(279244,115932,'Inflicts 342 - 571 melee damage on target',100,1,0),
(279245,115932,'Roots target',100,1,1),
(279246,115932,'If Target is not Epic',100,2,2),
(279247,115932,'5% chance to dispel when target takes damage',100,1,3),
(279248,115932,'Resistibility increases against targets higher than level 61.',100,1,4),
(279249,10115932,'Inflicts 411 - 685 melee damage on target',100,1,0),
(279250,10115932,'Roots target',100,1,1),
(279251,10115932,'If Target is not Epic',100,2,2),
(279252,10115932,'5% chance to dispel when target takes damage',100,1,3),
(279253,10115932,'Resistibility increases against targets higher than level 61.',100,1,4),
(279254,111488,'Increases AGI of caster by 60.2',100,1,0),
(279255,111488,'Increases Attack Speed of caster by 34.6',100,1,1),
(279256,111488,'Increases in-combat movement speed of caster by 7.0%',100,1,2),
(279257,111488,'Adds 21.8% to base avoidance.',100,1,3),
(279258,111488,'Increases Mitigation of caster vs physical damage by 539',100,1,4),
(279259,111488,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,5),
(279260,10111488,'Increases AGI of caster by 60.2',100,1,0),
(279261,10111488,'Increases Attack Speed of caster by 34.6',100,1,1),
(279262,10111488,'Increases speed of caster by 7.0%',100,1,2),
(279263,10111488,'Adds 21.8% to base avoidance.',100,1,3),
(279264,10111488,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,4),
(279265,105316,'Inflicts 22 - 36 melee damage on target',100,1,0),
(279266,105316,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 70',100,1,1),
(279267,105316,'Must be flanking or behind',100,1,2),
(279268,10105316,'Inflicts 26 - 44 melee damage on target',100,1,0),
(279269,10105316,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 70',100,1,1),
(279270,10105316,'Must be flanking or behind',100,1,2),
(279271,101582,'Inflicts 94 - 156 melee damage on targets in area',100,1,0),
(279272,10101582,'Inflicts 112 - 188 melee damage on targets in area',100,1,0),
(279273,123851,'Increases AGI of caster by 23.0',100,1,0),
(279274,123851,'Adds 17.2% to base avoidance.',100,1,1),
(279275,123851,'Increases Damage Per Second of caster by 29.9',100,1,2),
(279276,123851,'Increases Mitigation of caster vs physical damage by 208',100,1,3),
(279277,123851,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,4),
(279278,10123851,'Increases AGI of caster by 23.0',100,1,0),
(279279,10123851,'Adds 17.2% to base avoidance.',100,1,1),
(279280,10123851,'Increases Damage Per Second of caster by 29.9',100,1,2),
(279281,10123851,'Increases Mitigation of caster vs physical damage by 208',100,1,3),
(279282,10123851,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',100,1,4),
(279283,139874,'When Equipped:',100,0,0),
(279284,139874,'On any combat or spell hit this spell may cast Lyrical Salvo on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279285,139874,'Inflicts 159 magic damage on target',100,2,2),
(279286,139874,'Cannot be modified except by direct means',100,2,3),
(279287,10139874,'When Equipped:',100,0,0),
(279288,10139874,'On any combat or spell hit this spell may cast Lyrical Salvo on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279289,10139874,'Inflicts 191 magic damage on target',100,2,2),
(279290,10139874,'Cannot be modified except by direct means',100,2,3),
(279291,118898,'Inflicts 145 - 242 melee damage on target',100,1,0),
(279292,118898,'Inflicts 145 - 242 melee damage on target',100,1,1),
(279293,118898,'Inflicts 145 - 242 melee damage on target',100,1,2),
(279294,118898,'Inflicts 145 - 242 melee damage on target',100,1,3),
(279295,118898,'Inflicts 145 - 242 melee damage on target',100,1,4),
(279296,10118898,'Inflicts 174 - 290 melee damage on target',100,1,0),
(279297,10118898,'Inflicts 174 - 290 melee damage on target',100,1,1),
(279298,10118898,'Inflicts 174 - 290 melee damage on target',100,1,2),
(279299,10118898,'Inflicts 174 - 290 melee damage on target',100,1,3),
(279300,10118898,'Inflicts 174 - 290 melee damage on target',100,1,4),
(279301,190725,'When Equipped:',100,0,0),
(279302,190725,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279303,190725,'Heals caster for 375',100,2,2),
(279304,190725,'Increases Defense of caster by 25.0',100,2,3),
(279305,190725,'Must not be engaged in pvp combat',100,2,4),
(279306,190725,'Cannot be modified except by direct means',100,2,5),
(279307,190725,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(279308,190725,'Heals caster for 375',100,2,7),
(279309,190725,'Increases Defense of caster by 25.0',100,2,8),
(279310,190725,'Must not be engaged in pvp combat',100,2,9),
(279311,190725,'Cannot be modified except by direct means',100,2,10),
(279312,10190725,'When Equipped:',100,0,0),
(279313,10190725,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279314,10190725,'Heals caster for 244',100,2,2),
(279315,10190725,'Increases Defense of caster by 25.0',100,2,3),
(279316,10190725,'Must not be engaged in pvp combat',100,2,4),
(279317,10190725,'Cannot be modified except by direct means',100,2,5),
(279318,10190725,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(279319,10190725,'Heals caster for 244',100,2,7),
(279320,10190725,'Increases Defense of caster by 25.0',100,2,8),
(279321,10190725,'Must not be engaged in pvp combat',100,2,9),
(279322,10190725,'Cannot be modified except by direct means',100,2,10),
(279323,159931,'When Equipped:',100,0,0),
(279324,159931,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(279325,159931,'Increases STA of caster by 3.6',100,2,2),
(279326,159931,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(279327,159931,'Cannot be modified except by direct means',100,2,4),
(279328,10159931,'When Equipped:',100,0,0),
(279329,10159931,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(279330,10159931,'Increases STA of caster by 3.6',100,2,2),
(279331,10159931,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(279332,10159931,'Cannot be modified except by direct means',100,2,4),
(279333,157357,'When Equipped:',100,0,0),
(279334,157357,'Increases Attack Speed of caster by 40.0',100,1,1),
(279335,10157357,'When Equipped:',100,0,0),
(279336,10157357,'Increases Attack Speed of caster by 40.0',100,1,1),
(279337,112940,'Inflicts 28 - 84 crushing damage on target',100,1,0),
(279338,10112940,'Inflicts 33 - 101 crushing damage on target',100,1,0),
(279339,113912,'Inflicts 411 - 684 disease damage on target',100,1,0),
(279340,113912,'Inflicts 103 - 171 disease damage on target every 4 seconds',100,1,1),
(279341,113912,'Increases power of caster by 224 - 374',100,1,2),
(279342,113912,'Increases power of caster by 49 - 81 every 4 seconds',100,1,3),
(279343,10113912,'Inflicts 493 - 821 disease damage on target',100,1,0),
(279344,10113912,'Inflicts 123 - 205 disease damage on target every 4 seconds',100,1,1),
(279345,10113912,'Increases power of caster by 224 - 374',100,1,2),
(279346,10113912,'Increases power of caster by 49 - 81 every 4 seconds',100,1,3),
(279347,47164,'Applies Murky Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(279348,47164,'Increases Max Power of caster by 248.6',100,1,1),
(279349,47164,'Only affects targets level 50 and above',100,1,2),
(279350,10047164,'Applies Murky Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(279351,10047164,'Increases Max Power of caster by 248.6',100,1,1),
(279352,10047164,'Only affects targets level 50 and above',100,1,2),
(279353,45056,'Applies Immortalize Vyemm when Activated.',100,0,0),
(279354,45056,'Summon 1 Trophy: Vyemm''s Head',100,1,1),
(279355,45056,'This effect cannot be cast during combat',100,1,2),
(279356,10045056,'Applies Immortalize Vyemm when Activated.',100,0,0),
(279357,10045056,'Summon 1 Trophy: Vyemm''s Head',100,1,1),
(279358,10045056,'This effect cannot be cast during combat',100,1,2),
(279359,107168,'Inflicts 33 - 56 divine damage on target',100,1,0),
(279360,107168,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(279361,107168,'Stuns target',100,2,2),
(279362,107168,'If Target is not Epic',100,3,3),
(279363,107168,'Inflicts 79 - 131 divine damage on target',100,2,4),
(279364,107168,'Inflicts 67 - 112 divine damage on target',100,2,5),
(279365,107168,'If target is undead',100,3,6),
(279366,10107168,'Inflicts 26 - 44 divine damage on target',100,1,0),
(279367,10107168,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(279368,10107168,'Stuns target',100,2,2),
(279369,10107168,'Inflicts 142 - 236 divine damage on target',100,2,3),
(279370,10107168,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(279371,74682,'When Equipped:',100,0,0),
(279372,74682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279373,74682,'Inflicts 44 - 67 magic damage on target',100,2,2),
(279374,74682,'Cannot be modified except by direct means',100,2,3),
(279375,10074682,'When Equipped:',100,0,0),
(279376,10074682,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279377,10074682,'Inflicts 53 - 80 magic damage on target',100,2,2),
(279378,10074682,'Cannot be modified except by direct means',100,2,3),
(279379,106810,'Decreases STR and AGI of target encounter by 117.1',100,1,0),
(279380,10106810,'Decreases STR and AGI of target encounter by 117.1',100,1,0),
(279381,113437,'Increases INT of target by 11.9',100,1,0),
(279382,113437,'Increases Max Health of target by 34.9',100,1,1),
(279383,10113437,'Increases INT of target by 11.9',100,1,0),
(279384,10113437,'Increases Max Health of target by 34.9',100,1,1),
(279385,36063,'Increases AGI of target by 10.5',100,0,0),
(279386,36063,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(279387,117598,'Inflicts 847 - 1413 melee damage on target',100,1,0),
(279388,117598,'Decreases Parry of target by 94.1',100,1,1),
(279389,117598,'Must be in front of or flanking',100,1,2),
(279390,10117598,'Inflicts 1017 - 1695 melee damage on target',100,1,0),
(279391,10117598,'Decreases Parry of target by 94.1',100,1,1),
(279392,10117598,'Must be in front of or flanking',100,1,2),
(279393,118308,'Roots target encounter',100,1,0),
(279394,118308,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(279395,118308,'Slows target by 44.9%',100,2,2),
(279396,118308,'5% chance to dispel when target receives hostile action',100,2,3),
(279397,118308,'5% chance to dispel when target takes damage',100,2,4),
(279398,118308,'20% chance to dispel when target takes damage',100,1,5),
(279399,118308,'Does not affect Epic targets',100,1,6),
(279400,118308,'Resistibility increases against targets higher than level 83.',100,1,7),
(279401,10118308,'Roots target encounter',100,1,0),
(279402,10118308,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(279403,10118308,'Slows target by 44.9%',100,2,2),
(279404,10118308,'5% chance to dispel when target receives hostile action',100,2,3),
(279405,10118308,'5% chance to dispel when target takes damage',100,2,4),
(279406,10118308,'20% chance to dispel when target takes damage',100,1,5),
(279407,10118308,'Does not affect Epic targets',100,1,6),
(279408,10118308,'Resistibility increases against targets higher than level 83.',100,1,7),
(279409,24219,'Adds Crushbone: Shovel to your Dungeon Maker toolbox',100,0,0),
(279410,10024219,'Adds Crushbone: Shovel to your Dungeon Maker toolbox',100,0,0),
(279411,35738,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(279412,35738,'Increases Max Health of target by 145.6',100,0,1),
(279413,160842,'When Equipped:',100,0,0),
(279414,160842,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(279415,160842,'Inflicts 1998 cold damage on target encounter',100,2,2),
(279416,160842,'Must not be engaged in pvp combat',100,2,3),
(279417,160842,'Cannot be modified except by direct means',100,2,4),
(279418,160842,'Must not be engaged in pvp combat',100,1,5),
(279419,10160842,'When Equipped:',100,0,0),
(279420,10160842,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(279421,10160842,'Inflicts 1199 cold damage on target encounter',100,2,2),
(279422,10160842,'Must not be engaged in pvp combat',100,2,3),
(279423,10160842,'Cannot be modified except by direct means',100,2,4),
(279424,10160842,'Must not be engaged in pvp combat',100,1,5),
(279425,54429,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(279426,54429,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(279427,54429,'Inflicts 14 heat damage on target',100,2,2),
(279428,54429,'Cannot be modified except by direct means',100,2,3),
(279429,10054429,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(279430,10054429,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(279431,10054429,'Inflicts 17 heat damage on target',100,2,2),
(279432,10054429,'Cannot be modified except by direct means',100,2,3),
(279433,108066,'Inflicts 1086 magic damage on target',100,1,0),
(279434,108066,'Increases power of caster by 387',100,1,1),
(279435,10108066,'Inflicts 1304 magic damage on target',100,1,0),
(279436,10108066,'Increases power of caster by 387',100,1,1),
(279437,89779,'When Equipped:',100,0,0),
(279438,89779,'On a combat hit this spell may cast Vampiric Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279439,89779,'Inflicts 46 - 86 magic damage on target',100,2,2),
(279440,89779,'Heals caster for 30 - 37',100,2,3),
(279441,89779,'Cannot be modified except by direct means',100,2,4),
(279442,10089779,'When Equipped:',100,0,0),
(279443,10089779,'On a combat hit this spell may cast Vampiric Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279444,10089779,'Inflicts 55 - 103 magic damage on target',100,2,2),
(279445,10089779,'Heals caster for 20 - 24',100,2,3),
(279446,10089779,'Cannot be modified except by direct means',100,2,4),
(279447,117120,'Inflicts 46 - 56 heat damage on target instantly and every 4 seconds',100,1,0),
(279448,117120,'Decreases Mitigation of target vs arcane damage by 276',100,1,1),
(279449,10117120,'Inflicts 55 - 67 heat damage on target instantly and every 4 seconds',100,1,0),
(279450,10117120,'Decreases Mitigation of target vs arcane damage by 276',100,1,1),
(279451,119331,'Inflicts 118 - 196 melee damage on target',100,1,0),
(279452,119331,'You must be sneaking to use this ability.',100,1,1),
(279453,119331,'Must be flanking or behind',100,1,2),
(279454,10119331,'Inflicts 141 - 236 melee damage on target',100,1,0),
(279455,10119331,'You must be sneaking to use this ability.',100,1,1),
(279456,10119331,'Must be flanking or behind',100,1,2),
(279457,50675,'When Equipped:',100,0,0),
(279458,50675,'On any combat or spell hit this spell may cast Unbridled Savagery on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279459,50675,'Increases Damage Per Second of caster by 45.0',100,2,2),
(279460,50675,'Cannot be modified except by direct means',100,2,3),
(279461,10050675,'When Equipped:',100,0,0),
(279462,10050675,'On any combat or spell hit this spell may cast Unbridled Savagery on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279463,10050675,'Increases Damage Per Second of caster by 45.0',100,2,2),
(279464,10050675,'Cannot be modified except by direct means',100,2,3),
(279465,104877,'Inflicts 58 - 97 magic damage on targets in area',100,1,0),
(279466,10104877,'Inflicts 70 - 117 magic damage on targets in area',100,1,0),
(279467,41521,'When Equipped:',100,0,0),
(279468,41521,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279469,41521,'Inflicts 228 - 423 magic damage on target',100,2,2),
(279470,41521,'Decreases Threat to target by 833 ',100,2,3),
(279471,41521,'Must be flanking or behind',100,3,4),
(279472,41521,'Increases Threat to target by 1,293 ',100,2,5),
(279473,41521,'Must be in front of',100,3,6),
(279474,41521,'Cannot be modified except by direct means',100,2,7),
(279475,10041521,'When Equipped:',100,0,0),
(279476,10041521,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279477,10041521,'Inflicts 273 - 508 magic damage on target',100,2,2),
(279478,10041521,'Cannot be modified except by direct means',100,2,3),
(279479,55019,'When Equipped:',100,0,0),
(279480,55019,'On a hostile spell cast this spell may cast Claymore Calm on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(279481,55019,'Decreases threat priority of target by 1 position',100,2,2),
(279482,55019,'Cannot be modified except by direct means',100,2,3),
(279483,55019,'On a hostile spell cast this spell may cast Claymore Energis on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(279484,55019,'Increases Subjugation and Disruption of caster by 69.1',100,2,5),
(279485,55019,'Cannot be modified except by direct means',100,2,6),
(279486,10055019,'When Equipped:',100,0,0),
(279487,10055019,'On a hostile spell cast this spell may cast Claymore Calm on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(279488,10055019,'Cannot be modified except by direct means',100,2,2),
(279489,10055019,'On a hostile spell cast this spell may cast Claymore Energis on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(279490,10055019,'Increases Subjugation and Disruption of caster by 69.1',100,2,4),
(279491,10055019,'Cannot be modified except by direct means',100,2,5),
(279492,111215,'Applies Holy Ground.',100,1,0),
(279493,111215,'Increases threat priority of targets in Area of Effect by 1 position',100,2,1),
(279494,111215,'Increases Threat to targets in Area of Effect by 4,002 - 4,789 ',100,2,2),
(279495,111215,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',100,1,3),
(279496,111215,'Inflicts 347 - 425 divine damage on target',100,2,4),
(279497,111215,'Increases Threat to target by 1,965 - 2,300 ',100,2,5),
(279498,10111215,'Applies Holy Ground.',100,1,0),
(279499,10111215,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  Lasts for 3.0 seconds.  ',100,1,1),
(279500,10111215,'Prevents target from changing targets',100,2,2),
(279501,10111215,'Inflicts 211 divine damage on target',100,2,3),
(279502,10111215,'Forces target to change their selected target to caster.',100,2,4),
(279503,110340,'Increases Max Power of target by 354.3',100,1,0),
(279504,110340,'Increases Max Health of target by 722.5',100,1,1),
(279505,10110340,'Increases Max Power of target by 354.3',100,1,0),
(279506,10110340,'Increases Max Health of target by 722.5',100,1,1),
(279507,51346,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(279508,51346,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(279509,51346,'Inflicts 31 heat damage on target',100,2,2),
(279510,51346,'Cannot be modified except by direct means',100,2,3),
(279511,10051346,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(279512,10051346,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(279513,10051346,'Inflicts 37 heat damage on target',100,2,2),
(279514,10051346,'Cannot be modified except by direct means',100,2,3),
(279515,119451,'Inflicts 195 - 326 melee damage on target',100,1,0),
(279516,119451,'Inflicts 141 piercing damage on target instantly and every 4 seconds',100,1,1),
(279517,119451,'Must be flanking or behind',100,1,2),
(279518,10119451,'Inflicts 235 - 391 melee damage on target',100,1,0),
(279519,10119451,'Inflicts 170 piercing damage on target instantly and every 4 seconds',100,1,1),
(279520,10119451,'Must be flanking or behind',100,1,2),
(279521,104176,'Increases Threat to target encounter by 738 - 902 ',100,1,0),
(279522,104176,'Interrupts target encounter',100,1,1),
(279523,10104176,'Forces target encounter to change their selected target to caster.',100,1,0),
(279524,10104176,'Interrupts target encounter',100,1,1),
(279525,10104176,'Prevents target encounter from changing targets',100,1,2),
(279526,80739,'When Equipped:',100,0,0),
(279527,80739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279528,80739,'Inflicts 50 - 93 magic damage on target',100,2,2),
(279529,80739,'Cannot be modified except by direct means',100,2,3),
(279530,10080739,'When Equipped:',100,0,0),
(279531,10080739,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279532,10080739,'Inflicts 60 - 111 magic damage on target',100,2,2),
(279533,10080739,'Cannot be modified except by direct means',100,2,3),
(279534,112723,'Inflicts 375 - 625 disease damage on target encounter',100,1,0),
(279535,10112723,'Inflicts 450 - 750 disease damage on target encounter',100,1,0),
(279536,45322,'Applies Call Red-saddled Black Nightmare when Activated.',100,0,0),
(279537,45322,'Summons a mount to ride',100,1,1),
(279538,45322,'Increases your ground speed by 130%',100,2,2),
(279539,45322,'Increases Max Power of caster by 150.0',100,1,3),
(279540,45322,'Increases Max Health of caster by 150.0',100,1,4),
(279541,45322,'Increases Ranged, Crushing, Disruption, Piercing and Slashing of caster by 7.0',100,1,5),
(279542,45322,'Requires evil alignment',100,1,6),
(279543,10045322,'Applies Call Red-saddled Black Nightmare when Activated.',100,0,0),
(279544,10045322,'Summons a mount to ride',100,1,1),
(279545,10045322,'Increases your ground speed by 130%',100,2,2),
(279546,10045322,'Increases Max Power of caster by 150.0',100,1,3),
(279547,10045322,'Increases Max Health of caster by 150.0',100,1,4),
(279548,10045322,'Increases Ranged, Crushing, Disruption, Piercing and Slashing of caster by 7.0',100,1,5),
(279549,10045322,'Requires evil alignment',100,1,6),
(279550,105724,'Inflicts 115 - 192 melee damage on targets in area',100,1,0),
(279551,105724,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(279552,105724,'Stuns target',100,2,2),
(279553,105724,'Throws target back',100,2,3),
(279554,105724,'Blurs vision of target',100,2,4),
(279555,105724,'Does not affect Epic targets',100,2,5),
(279556,10105724,'Inflicts 138 - 230 melee damage on targets in area',100,1,0),
(279557,10105724,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(279558,10105724,'Stuns target',100,2,2),
(279559,10105724,'Throws target back',100,2,3),
(279560,10105724,'Blurs vision of target',100,2,4),
(279561,10105724,'Does not affect Epic targets',100,2,5),
(279562,139541,'When Equipped:',100,0,0),
(279563,139541,'On a combat hit this spell may cast Fear VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(279564,139541,'Makes target afraid',100,2,2),
(279565,139541,'Does not affect Epic targets',100,2,3),
(279566,139541,'Resistibility increases against targets higher than level 99.',100,2,4),
(279567,139541,'Cannot be modified except by direct means',100,2,5),
(279568,10139541,'When Equipped:',100,0,0),
(279569,10139541,'On a combat hit this spell may cast Fear VI on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(279570,10139541,'Makes target afraid',100,2,2),
(279571,10139541,'Does not affect Epic targets',100,2,3),
(279572,10139541,'Resistibility increases against targets higher than level 99.',100,2,4),
(279573,10139541,'Cannot be modified except by direct means',100,2,5),
(279574,106674,'Heals caster for 33.3 - 40.8% of max health',100,1,0),
(279575,106674,'This effect cannot be critically applied.',100,2,1),
(279576,106674,'Increases Max Health of caster by 354.7',100,1,2),
(279577,106674,'The healing of this spell cannot be modified except by direct means',100,1,3),
(279578,10106674,'Heals caster for 10.3 - 12.5% of max health',100,1,0),
(279579,10106674,'This effect cannot be critically applied.',100,2,1),
(279580,10106674,'Increases Max Health of caster by 354.7',100,1,2),
(279581,10106674,'The healing of this spell cannot be modified except by direct means',100,1,3),
(279582,115184,'Heals target for 540 - 661',100,1,0),
(279583,10115184,'Heals target for 732 - 894',100,1,0),
(279584,121364,'Inflicts 46 - 86 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(279585,10121364,'Inflicts 56 - 103 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(279586,45636,'Applies Elixir of Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(279587,45636,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(279588,10045636,'Applies Elixir of Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(279589,10045636,'Increases power of caster by 3 instantly and every 5 seconds',100,1,1),
(279590,75632,'Applies Holy Strike when Activated.',100,0,0),
(279591,75632,'Inflicts 173 - 289 divine damage on target',100,1,1),
(279592,75632,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(279593,10075632,'Applies Holy Strike when Activated.',100,0,0),
(279594,10075632,'Inflicts 208 - 347 divine damage on target',100,1,1),
(279595,10075632,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(279596,181486,'When Equipped:',100,0,0),
(279597,181486,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(279598,10181486,'When Equipped:',100,0,0),
(279599,10181486,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(279600,81984,'When Equipped:',100,0,0),
(279601,81984,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279602,81984,'Inflicts 265 - 492 magic damage on target',100,2,2),
(279603,81984,'Cannot be modified except by direct means',100,2,3),
(279604,10081984,'When Equipped:',100,0,0),
(279605,10081984,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279606,10081984,'Inflicts 318 - 591 magic damage on target',100,2,2),
(279607,10081984,'Cannot be modified except by direct means',100,2,3),
(279608,107982,'Increases In-Combat Power Regeneration of group members (AE) by 63.2',100,1,0),
(279609,10107982,'Increases In-Combat Power Regeneration of group members (AE) by 63.2',100,1,0),
(279610,107736,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(279611,107736,'Inflicts 261 - 436 melee damage on target',100,2,1),
(279612,107736,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(279613,107736,'Inflicts 261 - 436 melee damage on target',100,2,3),
(279614,107736,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(279615,107736,'Inflicts 261 - 436 melee damage on target',100,2,5),
(279616,107736,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(279617,107736,'Inflicts 261 - 436 melee damage on target',100,2,7),
(279618,107736,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(279619,107736,'Inflicts 261 - 436 melee damage on target',100,2,9),
(279620,107736,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(279621,107736,'Inflicts 261 - 436 melee damage on target',100,2,11),
(279622,107736,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(279623,107736,'Inflicts 261 - 436 melee damage on target',100,2,13),
(279624,107736,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(279625,107736,'Inflicts 261 - 436 melee damage on target',100,2,15),
(279626,10107736,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',100,1,0),
(279627,10107736,'Inflicts 178 - 296 melee damage on target',100,2,1),
(279628,10107736,'When blocked this spell will cast Counterattack on target''s victim.  ',100,1,2),
(279629,10107736,'Inflicts 178 - 296 melee damage on target',100,2,3),
(279630,10107736,'When parried this spell will cast Counterattack on target''s victim.  ',100,1,4),
(279631,10107736,'Inflicts 178 - 296 melee damage on target',100,2,5),
(279632,10107736,'When deflected this spell will cast Counterattack on target''s victim.  ',100,1,6),
(279633,10107736,'Inflicts 178 - 296 melee damage on target',100,2,7),
(279634,10107736,'When riposted this spell will cast Counterattack on target''s victim.  ',100,1,8),
(279635,10107736,'Inflicts 178 - 296 melee damage on target',100,2,9),
(279636,10107736,'On a block this spell will cast Counterattack on target''s victim.  ',100,1,10),
(279637,10107736,'Inflicts 178 - 296 melee damage on target',100,2,11),
(279638,10107736,'On a riposte this spell will cast Counterattack on target''s victim.  ',100,1,12),
(279639,10107736,'Inflicts 178 - 296 melee damage on target',100,2,13),
(279640,10107736,'On a parry this spell will cast Counterattack on target''s victim.  ',100,1,14),
(279641,10107736,'Inflicts 178 - 296 melee damage on target',100,2,15),
(279642,103748,'Inflicts 995 - 1217 magic damage on targets in Area of Effect',100,1,0),
(279643,10103748,'Inflicts 1195 - 1460 magic damage on targets in Area of Effect',100,1,0),
(279644,42545,'When Equipped:',100,0,0),
(279645,42545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279646,42545,'Inflicts 208 - 312 magic damage on target',100,2,2),
(279647,42545,'Cannot be modified except by direct means',100,2,3),
(279648,10042545,'When Equipped:',100,0,0),
(279649,10042545,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279650,10042545,'Inflicts 250 - 375 magic damage on target',100,2,2),
(279651,10042545,'Cannot be modified except by direct means',100,2,3),
(279652,119046,'Inflicts 89 - 149 mental damage on target',100,1,0),
(279653,119046,'Decreases power of target by 84 - 140',100,1,1),
(279654,119046,'Increases power of caster by 49 - 81',100,1,2),
(279655,10119046,'Inflicts 107 - 179 mental damage on target',100,1,0),
(279656,10119046,'Decreases power of target by 84 - 140',100,1,1),
(279657,10119046,'Increases power of caster by 49 - 81',100,1,2),
(279658,45610,'Applies Elixir of Incandescent Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(279659,45610,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(279660,10045610,'Applies Elixir of Incandescent Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(279661,10045610,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(279662,104898,'Inflicts 242 - 403 magic damage on targets in area',100,1,0),
(279663,10104898,'Inflicts 290 - 484 magic damage on targets in area',100,1,0),
(279664,111238,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(279665,111238,'Heals target for 336 - 411',100,2,1),
(279666,10111238,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(279667,10111238,'Heals target for 219 - 267',100,2,1),
(279668,48948,'Applies Veeshan''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(279669,48948,'Increases Max Power of caster by 156.0',100,1,1),
(279670,10048948,'Applies Veeshan''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(279671,10048948,'Increases Max Power of caster by 156.0',100,1,1),
(279672,158346,'Applies Hooluk in a Hat when Activated.',100,0,0),
(279673,158346,'Summons a pet Hooluk',100,1,1),
(279674,158346,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(279675,10158346,'Applies Hooluk in a Hat when Activated.',100,0,0),
(279676,10158346,'Summons a pet Hooluk',100,1,1),
(279677,10158346,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(279678,48250,'Applies Call Steed of the Blazing Sun when Activated.',100,0,0),
(279679,48250,'Reduces maximum falling speed of caster',100,1,1),
(279680,48250,'Summons a mount to ride',100,1,2),
(279681,48250,'Increases your ground speed by 130%',100,2,3),
(279682,48250,'Increases Potency of caster by 2.0%',100,1,4),
(279683,10048250,'Applies Call Steed of the Blazing Sun when Activated.',100,0,0),
(279684,10048250,'Reduces maximum falling speed of caster',100,1,1),
(279685,10048250,'Summons a mount to ride',100,1,2),
(279686,10048250,'Increases your ground speed by 130%',100,2,3),
(279687,10048250,'Increases Potency of caster by 2.0%',100,1,4),
(279688,115754,'Inflicts 63 - 105 melee damage on target',100,1,0),
(279689,10115754,'Inflicts 76 - 127 melee damage on target',100,1,0),
(279690,37250,'Increases AGI of target by 15.4',100,0,0),
(279691,37250,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(279692,71609,'When Equipped:',100,0,0),
(279693,71609,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279694,71609,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(279695,71609,'Cannot be modified except by direct means',100,2,3),
(279696,10071609,'When Equipped:',100,0,0),
(279697,10071609,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279698,10071609,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(279699,10071609,'Cannot be modified except by direct means',100,2,3),
(279700,109785,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(279701,109785,'Heals group members (AE) for 327',100,2,1),
(279702,10109785,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(279703,10109785,'Heals group members (AE) for 213',100,2,1),
(279704,41673,'When Equipped:',100,0,0),
(279705,41673,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279706,41673,'Inflicts 138 - 257 magic damage on target',100,2,2),
(279707,41673,'Decreases Threat to target by 641 ',100,2,3),
(279708,41673,'Must be flanking or behind',100,3,4),
(279709,41673,'Increases Threat to target by 1,101 ',100,2,5),
(279710,41673,'Must be in front of',100,3,6),
(279711,41673,'Cannot be modified except by direct means',100,2,7),
(279712,10041673,'When Equipped:',100,0,0),
(279713,10041673,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279714,10041673,'Inflicts 166 - 309 magic damage on target',100,2,2),
(279715,10041673,'Cannot be modified except by direct means',100,2,3),
(279716,189226,'When Equipped:',100,0,0),
(279717,189226,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279718,189226,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(279719,189226,'Cannot be modified except by direct means',100,2,3),
(279720,10189226,'When Equipped:',100,0,0),
(279721,10189226,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279722,10189226,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(279723,10189226,'Cannot be modified except by direct means',100,2,3),
(279724,120347,'Inflicts 11 - 13 divine damage on target',100,1,0),
(279725,10120347,'Inflicts 13 - 16 divine damage on target',100,1,0),
(279726,170552,'When Equipped:',100,0,0),
(279727,170552,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(279728,170552,'Inflicts 1998 disease damage on target encounter',100,2,2),
(279729,170552,'Must not be engaged in pvp combat',100,2,3),
(279730,170552,'Cannot be modified except by direct means',100,2,4),
(279731,10170552,'When Equipped:',100,0,0),
(279732,10170552,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(279733,10170552,'Inflicts 1199 disease damage on target encounter',100,2,2),
(279734,10170552,'Must not be engaged in pvp combat',100,2,3),
(279735,10170552,'Cannot be modified except by direct means',100,2,4),
(279736,106067,'Increases AGI of caster by 94.8',100,1,0),
(279737,106067,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(279738,106067,'Inflicts 134 - 223 disease damage on target',100,2,2),
(279739,106067,'Adds 15.6% to base avoidance.',100,1,3),
(279740,106067,'Increases Mitigation of caster vs physical damage by 483',100,1,4),
(279741,106067,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,5),
(279742,10106067,'Increases AGI of caster by 94.8',100,1,0),
(279743,10106067,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(279744,10106067,'Inflicts 160 - 267 disease damage on target',100,2,2),
(279745,10106067,'Adds 15.6% to base avoidance.',100,1,3),
(279746,10106067,'Increases Mitigation of caster vs physical damage by 483',100,1,4),
(279747,10106067,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',100,1,5),
(279748,100828,'Wards target against 296 points of all damage',100,1,0),
(279749,10100828,'Wards target against 456 points of all damage',100,1,0),
(279750,113511,'Inflicts 298 - 498 melee damage on targets in area',100,1,0),
(279751,10113511,'Inflicts 358 - 597 melee damage on targets in area',100,1,0),
(279752,131057,'When Equipped:',100,0,0),
(279753,131057,'Increases Attack Speed of caster by 15.0',100,1,1),
(279754,10131057,'When Equipped:',100,0,0),
(279755,10131057,'Increases Attack Speed of caster by 15.0',100,1,1),
(279756,26209,'When Equipped:',100,0,0),
(279757,26209,'Increases Crit Chance of caster by 1.0',100,1,1),
(279758,10026209,'When Equipped:',100,0,0),
(279759,10026209,'Increases Crit Chance of caster by 1.0',100,1,1),
(279760,123985,'Inflicts 676 - 1127 melee damage on target',100,1,0),
(279761,123985,'Decreases AGI of target by 82.9',100,1,1),
(279762,123985,'Must be behind',100,1,2),
(279763,10123985,'Inflicts 812 - 1353 melee damage on target',100,1,0),
(279764,10123985,'Decreases AGI of target by 82.9',100,1,1),
(279765,10123985,'Must be behind',100,1,2),
(279766,117164,'Inflicts 38 poison damage on target instantly and every 4 seconds',100,1,0),
(279767,117164,'Decreases WIS of target by 35.1',100,1,1),
(279768,10117164,'Inflicts 45 poison damage on target instantly and every 4 seconds',100,1,0),
(279769,10117164,'Decreases WIS of target by 35.1',100,1,1),
(279770,116923,'Summons a limited pet to aid the caster',100,1,0),
(279771,10116923,'Summons a limited pet to aid the caster',100,1,0),
(279772,71489,'When Equipped:',100,0,0),
(279773,71489,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279774,71489,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(279775,71489,'Cannot be modified except by direct means',100,2,3),
(279776,10071489,'When Equipped:',100,0,0),
(279777,10071489,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279778,10071489,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(279779,10071489,'Cannot be modified except by direct means',100,2,3),
(279780,160956,'When Equipped:',100,0,0),
(279781,160956,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279782,160956,'Increases Threat to target by 1,050 ',100,2,2),
(279783,160956,'Cannot be modified except by direct means',100,2,3),
(279784,10160956,'When Equipped:',100,0,0),
(279785,10160956,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279786,10160956,'Cannot be modified except by direct means',100,2,2),
(279787,116368,'Mesmerizes target encounter',100,1,0),
(279788,116368,'Prevents AOE (except when direct) ',100,1,1),
(279789,116368,'Dispelled when target takes damage',100,1,2),
(279790,116368,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(279791,116368,'Resistibility increases against targets higher than level 116.',100,1,4),
(279792,10116368,'Mesmerizes target encounter',100,1,0),
(279793,10116368,'Prevents AOE (except when direct) ',100,1,1),
(279794,10116368,'Dispelled when target takes damage',100,1,2),
(279795,10116368,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(279796,10116368,'Resistibility increases against targets higher than level 116.',100,1,4),
(279797,119853,'Dazes target',100,1,0),
(279798,119853,'Does not affect Epic targets',100,1,1),
(279799,119853,'Resistibility increases against targets higher than level 105.',100,1,2),
(279800,10119853,'Dazes target',100,1,0),
(279801,10119853,'Does not affect Epic targets',100,1,1),
(279802,10119853,'Resistibility increases against targets higher than level 105.',100,1,2),
(279803,71447,'When Equipped:',100,0,0),
(279804,71447,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279805,71447,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(279806,71447,'Cannot be modified except by direct means',100,2,3),
(279807,10071447,'When Equipped:',100,0,0),
(279808,10071447,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(279809,10071447,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(279810,10071447,'Cannot be modified except by direct means',100,2,3),
(279811,123212,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(279812,123212,'Inflicts 82 - 101 disease damage on target',100,2,1),
(279813,123212,'Heals caster for 2.4 - 2.9% of max health',100,2,2),
(279814,123212,'This effect cannot be critically applied.',100,3,3),
(279815,123212,'The healing of this spell cannot be modified except by direct means',100,2,4),
(279816,123212,'Grants a total of 5 triggers of the spell.',100,2,5),
(279817,10123212,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(279818,10123212,'Inflicts 99 - 121 disease damage on target',100,2,1),
(279819,10123212,'Heals caster for 0.8 - 1.0% of max health',100,2,2),
(279820,10123212,'This effect cannot be critically applied.',100,3,3),
(279821,10123212,'The healing of this spell cannot be modified except by direct means',100,2,4),
(279822,10123212,'Grants a total of 5 triggers of the spell.',100,2,5),
(279823,104356,'Charms target',100,1,0),
(279824,104356,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(279825,104356,'Mesmerizes target',100,2,2),
(279826,104356,'Dispelled when target takes damage',100,2,3),
(279827,104356,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(279828,104356,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(279829,104356,'Grants Sonic Vision to caster',100,2,6),
(279830,104356,'Increases Out-of-Combat Power Regeneration of target by 37.1',100,1,7),
(279831,104356,'Increases Out-of-Combat Health Regeneration of target by 74.2',100,1,8),
(279832,104356,'Certain enemies cannot be charmed',100,1,9),
(279833,104356,'Does not affect Epic targets',100,1,10),
(279834,10104356,'Mesmerizes target',100,1,0),
(279835,10104356,'Prevents AOE (except when direct) ',100,1,1),
(279836,10104356,'Dispelled when target takes damage',100,1,2),
(279837,10104356,'Certain enemies cannot be charmed',100,1,3),
(279838,10104356,'Does not affect Epic targets',100,1,4),
(279839,10104356,'Resistibility increases against targets higher than level 90.',100,1,5),
(279840,46963,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(279841,46963,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(279842,46963,'Inflicts 56 poison damage on target instantly and every 6 seconds',100,2,2),
(279843,46963,'Inflicts 345 poison damage on target',100,2,3),
(279844,46963,'Cannot be modified except by direct means',100,2,4),
(279845,46963,'Grants a total of 200 triggers of the spell.',100,2,5),
(279846,10046963,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(279847,10046963,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(279848,10046963,'Inflicts 310 poison damage on target',100,2,2),
(279849,10046963,'Inflicts 51 poison damage on target instantly and every 6 seconds',100,2,3),
(279850,10046963,'Cannot be modified except by direct means',100,2,4),
(279851,10046963,'Grants a total of 200 triggers of the spell.',100,2,5),
(279852,154136,'When Equipped:',100,0,0),
(279853,154136,'When damaged with a melee weapon this spell has a 12% chance to cast Frigid Deflection on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(279854,154136,'Prevents AOE (except when direct) ',100,2,2),
(279855,154136,'Must not be engaged in pvp combat',100,2,3),
(279856,154136,'Cannot be modified except by direct means',100,2,4),
(279857,154136,'Must not be engaged in pvp combat',100,1,5),
(279858,10154136,'When Equipped:',100,0,0),
(279859,10154136,'When damaged with a melee weapon this spell has a 12% chance to cast Frigid Deflection on caster.  Lasts for 15.0 seconds.  ',100,1,1),
(279860,10154136,'Prevents AOE (except when direct) ',100,2,2),
(279861,10154136,'Must not be engaged in pvp combat',100,2,3),
(279862,10154136,'Cannot be modified except by direct means',100,2,4),
(279863,10154136,'Must not be engaged in pvp combat',100,1,5),
(279864,81354,'When Equipped:',100,0,0),
(279865,81354,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279866,81354,'Inflicts 80 - 149 magic damage on target',100,2,2),
(279867,81354,'Cannot be modified except by direct means',100,2,3),
(279868,10081354,'When Equipped:',100,0,0),
(279869,10081354,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(279870,10081354,'Inflicts 96 - 179 magic damage on target',100,2,2),
(279871,10081354,'Cannot be modified except by direct means',100,2,3),
(279872,47049,'Applies Min Frith Dorchae when Activated.  Lasts for 1 hour.',100,0,0),
(279873,10047049,'Applies Min Frith Dorchae when Activated.  Lasts for 1 hour.',100,0,0),
(279874,159942,'When Equipped:',100,0,0),
(279875,159942,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(279876,159942,'Increases STA of caster by 25.7',100,2,2),
(279877,159942,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(279878,159942,'Cannot be modified except by direct means',100,2,4),
(279879,10159942,'When Equipped:',100,0,0),
(279880,10159942,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(279881,10159942,'Increases STA of caster by 25.7',100,2,2),
(279882,10159942,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(279883,10159942,'Cannot be modified except by direct means',100,2,4),
(279884,119551,'Wards group members (AE) against 1251 points of arcane damage',100,1,0),
(279885,119551,'Increases Mitigation of group members (AE) vs arcane damage by 684',100,1,1),
(279886,10119551,'Wards group members (AE) against 1251 points of arcane damage',100,1,0),
(279887,10119551,'Increases Mitigation of group members (AE) vs arcane damage by 684',100,1,1),
(279888,119968,'Increases Threat to target by 170 - 207 ',100,1,0),
(279889,10119968,'Prevents target from changing targets',100,1,0),
(279890,10119968,'Forces target to change their selected target to caster.',100,1,1),
(279891,115142,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(279892,115142,'Increases WIS of target by 84.7',100,2,1),
(279893,115142,'Heals target for 983',100,2,2),
(279894,115142,'Heals target for 245 every 2 seconds',100,2,3),
(279895,115142,'Grants a total of 1 trigger of the spell.',100,2,4),
(279896,10115142,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(279897,10115142,'Increases WIS of target by 84.7',100,2,1),
(279898,10115142,'Heals target for 1150',100,2,2),
(279899,10115142,'Heals target for 287 every 2 seconds',100,2,3),
(279900,10115142,'Grants a total of 1 trigger of the spell.',100,2,4),
(279901,111106,'Heals target for 16.2 - 19.9% of max health',100,1,0),
(279902,111106,'This effect cannot be critically applied.',100,2,1),
(279903,111106,'Increases Mitigation of target vs physical damage by 222',100,1,2),
(279904,111106,'The healing of this spell cannot be modified except by direct means',100,1,3),
(279905,10111106,'Heals target for 6.1 - 7.4% of max health',100,1,0),
(279906,10111106,'This effect cannot be critically applied.',100,2,1),
(279907,10111106,'Increases Mitigation of target vs physical damage by 222',100,1,2),
(279908,10111106,'The healing of this spell cannot be modified except by direct means',100,1,3),
(279909,110576,'Decreases Attack Speed of target by 15.2',100,1,0),
(279910,110576,'Decreases Crushing, Slashing and Piercing of target by 6.3',100,1,1),
(279911,10110576,'Decreases Attack Speed of target by 15.2',100,1,0),
(279912,10110576,'Decreases Crushing, Slashing and Piercing of target by 6.3',100,1,1),
(279913,122364,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(279914,122364,'Inflicts 32 - 39 piercing damage on target',100,2,1),
(279915,10122364,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(279916,10122364,'Inflicts 38 - 47 piercing damage on target',100,2,1),
(279917,112966,'Inflicts 142 - 426 crushing damage on target',100,1,0),
(279918,10112966,'Inflicts 170 - 511 crushing damage on target',100,1,0),
(279919,112967,'Inflicts 165 - 497 crushing damage on target',100,1,0),
(279920,10112967,'Inflicts 199 - 597 crushing damage on target',100,1,0),
(279921,82409,'When Equipped:',100,0,0),
(279922,82409,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279923,82409,'Inflicts 111 - 205 magic damage on target',100,2,2),
(279924,82409,'Decreases Threat to target by 376 ',100,2,3),
(279925,82409,'Must be flanking or behind',100,3,4),
(279926,82409,'Increases Threat to target by 658 ',100,2,5),
(279927,82409,'Must be in front of',100,3,6),
(279928,82409,'Cannot be modified except by direct means',100,2,7),
(279929,10082409,'When Equipped:',100,0,0),
(279930,10082409,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279931,10082409,'Inflicts 133 - 246 magic damage on target',100,2,2),
(279932,10082409,'Cannot be modified except by direct means',100,2,3),
(279933,118923,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(279934,118923,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 770',100,1,1),
(279935,118923,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,2),
(279936,10118923,'Increases Max Health of group members (AE) by 238.9',100,1,0),
(279937,10118923,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 770',100,1,1),
(279938,10118923,'Increases Mitigation of group members (AE) vs physical damage by 455',100,1,2),
(279939,179343,'When Equipped:',100,0,0),
(279940,179343,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(279941,179343,'On a healing spell cast this spell may cast Soothing Breeze III on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(279942,179343,'Heals group members (AE) for 5174 - 5719',100,2,3),
(279943,179343,'Must not be engaged in pvp combat',100,2,4),
(279944,179343,'Cannot be modified except by direct means',100,2,5),
(279945,179343,'Cannot be modified except by direct means',100,1,6),
(279946,10179343,'When Equipped:',100,0,0),
(279947,10179343,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(279948,10179343,'On a healing spell cast this spell may cast Soothing Breeze III on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(279949,10179343,'Heals group members (AE) for 6054 - 6691',100,2,3),
(279950,10179343,'Must not be engaged in pvp combat',100,2,4),
(279951,10179343,'Cannot be modified except by direct means',100,2,5),
(279952,10179343,'Cannot be modified except by direct means',100,1,6),
(279953,81963,'When Equipped:',100,0,0),
(279954,81963,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279955,81963,'Inflicts 265 - 492 magic damage on target',100,2,2),
(279956,81963,'Decreases Threat to target by 994 ',100,2,3),
(279957,81963,'Must be flanking or behind',100,3,4),
(279958,81963,'Increases Threat to target by 1,454 ',100,2,5),
(279959,81963,'Must be in front of',100,3,6),
(279960,81963,'Cannot be modified except by direct means',100,2,7),
(279961,10081963,'When Equipped:',100,0,0),
(279962,10081963,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(279963,10081963,'Inflicts 318 - 591 magic damage on target',100,2,2),
(279964,10081963,'Cannot be modified except by direct means',100,2,3),
(279965,158618,'When Equipped:',100,0,0),
(279966,158618,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(279967,10158618,'When Equipped:',100,0,0),
(279968,10158618,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(279969,108103,'Decreases Threat to target by 570 - 950 ',100,1,0),
(279970,10108103,'Forces target to clear their selected target.',100,1,0),
(279971,10108103,'Target cannot target caster for the duration of this effect.',100,1,1),
(279972,84630,'When Equipped:',100,0,0),
(279973,84630,'On any combat or spell hit this spell may cast Arcane Vortex III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279974,84630,'Inflicts 75 - 83 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(279975,84630,'Increases power of group members (AE) by 18 - 20 instantly and every 2 seconds',100,2,3),
(279976,84630,'Increases Potency of group members (AE) by 2.0%',100,2,4),
(279977,84630,'Must not be engaged in pvp combat',100,2,5),
(279978,84630,'Cannot be modified except by direct means',100,2,6),
(279979,84630,'Must not be engaged in pvp combat',100,1,7),
(279980,10084630,'When Equipped:',100,0,0),
(279981,10084630,'On any combat or spell hit this spell may cast Arcane Vortex III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(279982,10084630,'Inflicts 90 - 99 cold damage on targets in Area of Effect instantly and every 2 seconds',100,2,2),
(279983,10084630,'Increases power of group members (AE) by 18 - 20 instantly and every 2 seconds',100,2,3),
(279984,10084630,'Increases Potency of group members (AE) by 2.0%',100,2,4),
(279985,10084630,'Must not be engaged in pvp combat',100,2,5),
(279986,10084630,'Cannot be modified except by direct means',100,2,6),
(279987,10084630,'Must not be engaged in pvp combat',100,1,7),
(279988,164170,'When Equipped:',100,0,0),
(279989,164170,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(279990,10164170,'When Equipped:',100,0,0),
(279991,10164170,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(279992,158322,'When Equipped:',100,0,0),
(279993,158322,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(279994,158322,'This effect suspends during combat',100,1,2),
(279995,10158322,'When Equipped:',100,0,0),
(279996,10158322,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(279997,10158322,'This effect suspends during combat',100,1,2),
(279998,110957,'Inflicts 324 - 540 ranged damage on target',100,1,0),
(279999,110957,'I need to be stealthed!',100,1,1),
(280000,110957,'Requires bow',100,1,2),
(280001,10110957,'Inflicts 182 - 304 ranged damage on target',100,1,0),
(280002,10110957,'I need to be stealthed!',100,1,1),
(280003,10110957,'Requires bow',100,1,2),
(280004,80740,'When Equipped:',100,0,0),
(280005,80740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280006,80740,'Inflicts 56 - 103 magic damage on target',100,2,2),
(280007,80740,'Cannot be modified except by direct means',100,2,3),
(280008,10080740,'When Equipped:',100,0,0),
(280009,10080740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280010,10080740,'Inflicts 67 - 124 magic damage on target',100,2,2),
(280011,10080740,'Cannot be modified except by direct means',100,2,3),
(280012,117163,'Inflicts 22 poison damage on target instantly and every 4 seconds',100,1,0),
(280013,117163,'Decreases WIS of target by 21.1',100,1,1),
(280014,10117163,'Inflicts 27 poison damage on target instantly and every 4 seconds',100,1,0),
(280015,10117163,'Decreases WIS of target by 21.1',100,1,1),
(280016,103619,'Increases STR of raid and group members (AE) by 15.2',100,1,0),
(280017,103619,'Improves the base amount of taunts by 12%.',100,1,1),
(280018,103619,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(280019,103619,'Increases AGI of raid and group members (AE) by 15.2',100,1,3),
(280020,103619,'Adds 1.2% to base avoidance.',100,1,4),
(280021,10103619,'Increases STR of raid and group members (AE) by 15.2',100,1,0),
(280022,10103619,'Improves the base amount of taunts by 12%.',100,1,1),
(280023,10103619,'Improves the base amount of combat arts by 3.75%.',100,1,2),
(280024,10103619,'Increases AGI of raid and group members (AE) by 15.2',100,1,3),
(280025,10103619,'Adds 1.2% to base avoidance.',100,1,4),
(280026,111023,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(280027,111023,'Increases Threat to target by 219 ',100,2,1),
(280028,111023,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(280029,111023,'Increases Threat to target by 219 ',100,2,3),
(280030,10111023,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(280031,10111023,'Inflicts 18 - 20 crushing damage on target',100,2,1),
(280032,10111023,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(280033,10111023,'Inflicts 18 - 20 crushing damage on target',100,2,3),
(280034,136961,'When Equipped:',100,0,0),
(280035,136961,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(280036,136961,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(280037,136961,'Applies Dispersion on termination.',100,2,3),
(280038,136961,'Increases power of group members by 216',100,3,4),
(280039,136961,'Cannot be modified except by direct means',100,2,5),
(280040,136961,'Cannot be modified except by direct means',100,1,6),
(280041,10136961,'When Equipped:',100,0,0),
(280042,10136961,'When damaged this spell has a 3% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(280043,10136961,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(280044,10136961,'Applies Dispersion on termination.',100,2,3),
(280045,10136961,'Increases power of group members by 216',100,3,4),
(280046,10136961,'Cannot be modified except by direct means',100,2,5),
(280047,10136961,'Cannot be modified except by direct means',100,1,6),
(280048,109535,'Summons a limited pet to aid the caster',100,1,0),
(280049,10109535,'Summons a limited pet to aid the caster',100,1,0),
(280050,123140,'Inflicts 464 disease damage on targets in Area of Effect',100,1,0),
(280051,123140,'Inflicts 316 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(280052,10123140,'Inflicts 557 disease damage on targets in Area of Effect',100,1,0),
(280053,10123140,'Inflicts 380 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(280054,109762,'Inflicts 232 - 430 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(280055,10109762,'Inflicts 278 - 516 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(280056,159984,'Applies Lambent Imbued when Equipped.',100,0,0),
(280057,159984,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(280058,159984,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(280059,159984,'Cannot be modified except by direct means',100,2,3),
(280060,10159984,'Applies Lambent Imbued when Equipped.',100,0,0),
(280061,10159984,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(280062,10159984,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(280063,10159984,'Cannot be modified except by direct means',100,2,3),
(280064,109379,'Inflicts 87 - 263 melee damage on target',100,1,0),
(280065,109379,'Inflicts 109 - 329 melee damage on target',100,1,1),
(280066,109379,'Inflicts 131 - 395 melee damage on target',100,1,2),
(280067,10109379,'Inflicts 105 - 316 melee damage on target',100,1,0),
(280068,10109379,'Inflicts 131 - 395 melee damage on target',100,1,1),
(280069,10109379,'Inflicts 158 - 474 melee damage on target',100,1,2),
(280070,103224,'Reduces physical damage done to caster by 5%',100,1,0),
(280071,103224,'Adds 2.1% to base avoidance.',100,1,1),
(280072,103224,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(280073,103224,'Increases Parry of caster by 6.7',100,1,3),
(280074,103224,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(280075,103224,'Increases Aggression of caster by 5.0',100,1,5),
(280076,103224,'Increases Defense and Deflection of caster by 6.7',100,1,6),
(280077,103224,'Increases Mitigation of caster vs noxious damage by 484',100,1,7),
(280078,103224,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(280079,10103224,'Reduces physical damage done to caster by 5%',100,1,0),
(280080,10103224,'Adds 2.1% to base avoidance.',100,1,1),
(280081,10103224,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(280082,10103224,'Increases Parry of caster by 6.7',100,1,3),
(280083,10103224,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(280084,10103224,'Increases Aggression of caster by 5.0',100,1,5),
(280085,10103224,'Increases Defense and Deflection of caster by 6.7',100,1,6),
(280086,10103224,'Increases Mitigation of caster vs noxious damage by 484',100,1,7),
(280087,10103224,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(280088,110903,'Inflicts 641 - 784 heat damage on target encounter',100,1,0),
(280089,10110903,'Inflicts 770 - 941 heat damage on target encounter',100,1,0),
(280090,42721,'When Equipped:',100,0,0),
(280091,42721,'On a combat hit this spell may cast Ravenous Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280092,42721,'Inflicts 173 - 289 slashing damage on target',100,2,2),
(280093,42721,'Cannot be modified except by direct means',100,2,3),
(280094,10042721,'When Equipped:',100,0,0),
(280095,10042721,'On a combat hit this spell may cast Ravenous Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280096,10042721,'Inflicts 208 - 347 slashing damage on target',100,2,2),
(280097,10042721,'Cannot be modified except by direct means',100,2,3),
(280098,74685,'When Equipped:',100,0,0),
(280099,74685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280100,74685,'Inflicts 44 - 67 magic damage on target',100,2,2),
(280101,74685,'Cannot be modified except by direct means',100,2,3),
(280102,10074685,'When Equipped:',100,0,0),
(280103,10074685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280104,10074685,'Inflicts 53 - 80 magic damage on target',100,2,2),
(280105,10074685,'Cannot be modified except by direct means',100,2,3),
(280106,122704,'Increases Attack Speed of caster by 15.0',100,1,0),
(280107,122704,'Decreases Defense of caster by 4.8',100,1,1),
(280108,122704,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.2',100,1,2),
(280109,10122704,'Increases Attack Speed of caster by 15.0',100,1,0),
(280110,10122704,'Decreases Defense of caster by 4.8',100,1,1),
(280111,10122704,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.2',100,1,2),
(280112,120230,'Roots target encounter',100,1,0);
INSERT INTO `item_effects` VALUES
(280113,120230,'15% chance to dispel when target takes damage',100,1,1),
(280114,120230,'Does not affect Epic targets',100,1,2),
(280115,120230,'Resistibility increases against targets higher than level 97.',100,1,3),
(280116,10120230,'Roots target encounter',100,1,0),
(280117,10120230,'15% chance to dispel when target takes damage',100,1,1),
(280118,10120230,'Does not affect Epic targets',100,1,2),
(280119,10120230,'Resistibility increases against targets higher than level 97.',100,1,3),
(280120,119989,'Increases Threat to target by 2,663 - 3,152 ',100,1,0),
(280121,10119989,'Prevents target from changing targets',100,1,0),
(280122,10119989,'Forces target to change their selected target to caster.',100,1,1),
(280123,120250,'Inflicts 212 - 354 crushing damage on target',100,1,0),
(280124,10120250,'Inflicts 255 - 425 crushing damage on target',100,1,0),
(280125,45279,'Applies Form of Thyr when Activated.',100,0,0),
(280126,45279,'Shapechanges the user into a fire giant.',100,1,1),
(280127,10045279,'Applies Form of Thyr when Activated.',100,0,0),
(280128,10045279,'Shapechanges the user into a fire giant.',100,1,1),
(280129,45972,'Applies Consume Essence when Activated.',100,0,0),
(280130,45972,'Heals group members (AE) for 194 - 237',100,1,1),
(280131,45972,'Dispels 68 levels of any hostile effects on caster',100,1,2),
(280132,10045972,'Applies Consume Essence when Activated.',100,0,0),
(280133,10045972,'Heals group members (AE) for 126 - 154',100,1,1),
(280134,10045972,'Dispels 68 levels of any hostile effects on caster',100,1,2),
(280135,114021,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(280136,114021,'Heals target for 25 instantly and every 2 seconds',100,2,1),
(280137,114021,'Decreases Mitigation of target vs arcane damage by 552',100,1,2),
(280138,10114021,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(280139,10114021,'Heals target for 83 instantly and every 2 seconds',100,2,1),
(280140,10114021,'Decreases Mitigation of target vs arcane damage by 552',100,1,2),
(280141,118930,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(280142,118930,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 868',100,1,1),
(280143,118930,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,2),
(280144,10118930,'Increases Max Health of group members (AE) by 303.5',100,1,0),
(280145,10118930,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 868',100,1,1),
(280146,10118930,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,2),
(280147,109920,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(280148,109920,'Inflicts 132 - 162 poison damage on target instantly and every 4 seconds',100,2,1),
(280149,10109920,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(280150,10109920,'Inflicts 159 - 194 poison damage on target instantly and every 4 seconds',100,2,1),
(280151,41676,'When Equipped:',100,0,0),
(280152,41676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280153,41676,'Inflicts 125 - 232 magic damage on target',100,2,2),
(280154,41676,'Cannot be modified except by direct means',100,2,3),
(280155,10041676,'When Equipped:',100,0,0),
(280156,10041676,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280157,10041676,'Inflicts 150 - 278 magic damage on target',100,2,2),
(280158,10041676,'Cannot be modified except by direct means',100,2,3),
(280159,174822,'When Equipped:',100,0,0),
(280160,174822,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(280161,174822,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(280162,174822,'Applies Dispersion on termination.',100,2,3),
(280163,174822,'Increases power of group members by 188',100,3,4),
(280164,174822,'Cannot be modified except by direct means',100,2,5),
(280165,174822,'Cannot be modified except by direct means',100,1,6),
(280166,10174822,'When Equipped:',100,0,0),
(280167,10174822,'When damaged with a melee weapon this spell has a 1% chance to cast Dispersion on caster.  Lasts for 5 minutes.  ',100,1,1),
(280168,10174822,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(280169,10174822,'Applies Dispersion on termination.',100,2,3),
(280170,10174822,'Increases power of group members by 188',100,3,4),
(280171,10174822,'Cannot be modified except by direct means',100,2,5),
(280172,10174822,'Cannot be modified except by direct means',100,1,6),
(280173,46773,'Applies Create Lenses when Activated.',100,0,0),
(280174,46773,'Summon 1 Minute Reflection Amplifiers',100,1,1),
(280175,46773,'This effect cannot be cast during combat',100,1,2),
(280176,10046773,'Applies Create Lenses when Activated.',100,0,0),
(280177,10046773,'Summon 1 Minute Reflection Amplifiers',100,1,1),
(280178,10046773,'This effect cannot be cast during combat',100,1,2),
(280179,178776,'When Equipped:',100,0,0),
(280180,178776,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(280181,178776,'Heals caster for 392',100,2,2),
(280182,178776,'Cannot be modified except by direct means',100,2,3),
(280183,10178776,'When Equipped:',100,0,0),
(280184,10178776,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(280185,10178776,'Heals caster for 255',100,2,2),
(280186,10178776,'Cannot be modified except by direct means',100,2,3),
(280187,145997,'Applies Strength of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(280188,145997,'Increases Max Health of caster by 200.0',100,1,1),
(280189,145997,'This effect cannot be cast during combat',100,1,2),
(280190,145997,'The casting time of Strength of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(280191,10145997,'Applies Strength of the Dragon when Activated.  Lasts for 5 minutes.',100,0,0),
(280192,10145997,'Increases Max Health of caster by 200.0',100,1,1),
(280193,10145997,'This effect cannot be cast during combat',100,1,2),
(280194,10145997,'The casting time of Strength of the Dragon is 4.0 seconds and the reuse time of the spell is 1 hour',100,1,3),
(280195,81062,'When Equipped:',100,0,0),
(280196,81062,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280197,81062,'Inflicts 133 - 248 magic damage on target',100,2,2),
(280198,81062,'Cannot be modified except by direct means',100,2,3),
(280199,10081062,'When Equipped:',100,0,0),
(280200,10081062,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280201,10081062,'Inflicts 160 - 297 magic damage on target',100,2,2),
(280202,10081062,'Cannot be modified except by direct means',100,2,3),
(280203,141816,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(280204,141816,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(280205,141816,'Inflicts 31 heat damage on target',100,2,2),
(280206,141816,'Cannot be modified except by direct means',100,2,3),
(280207,10141816,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(280208,10141816,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(280209,10141816,'Inflicts 37 heat damage on target',100,2,2),
(280210,10141816,'Cannot be modified except by direct means',100,2,3),
(280211,149126,'When Equipped:',100,0,0),
(280212,149126,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(280213,149126,'Heals group members (AE) for 2624',100,2,2),
(280214,149126,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(280215,149126,'Must not be engaged in pvp combat',100,2,4),
(280216,149126,'Cannot be modified except by direct means',100,2,5),
(280217,149126,'Must not be engaged in pvp combat',100,1,6),
(280218,10149126,'When Equipped:',100,0,0),
(280219,10149126,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(280220,10149126,'Heals group members (AE) for 3071',100,2,2),
(280221,10149126,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(280222,10149126,'Must not be engaged in pvp combat',100,2,4),
(280223,10149126,'Cannot be modified except by direct means',100,2,5),
(280224,10149126,'Must not be engaged in pvp combat',100,1,6),
(280225,40280,'When Equipped:',100,0,0),
(280226,40280,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(280227,10040280,'When Equipped:',100,0,0),
(280228,10040280,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(280229,139476,'When Equipped:',100,0,0),
(280230,139476,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280231,139476,'Increases Ability Modifier of group members by 200.0',100,2,2),
(280232,139476,'Cannot be modified except by direct means',100,2,3),
(280233,139476,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(280234,139476,'Increases Ability Modifier of group members by 200.0',100,2,5),
(280235,139476,'Cannot be modified except by direct means',100,2,6),
(280236,139476,'Cannot be modified except by direct means',100,1,7),
(280237,10139476,'When Equipped:',100,0,0),
(280238,10139476,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280239,10139476,'Increases Ability Modifier of group members by 200.0',100,2,2),
(280240,10139476,'Cannot be modified except by direct means',100,2,3),
(280241,10139476,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(280242,10139476,'Increases Ability Modifier of group members by 200.0',100,2,5),
(280243,10139476,'Cannot be modified except by direct means',100,2,6),
(280244,10139476,'Cannot be modified except by direct means',100,1,7),
(280245,175634,'When Equipped:',100,0,0),
(280246,175634,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280247,175634,'Inflicts 2648 heat damage on target',100,2,2),
(280248,175634,'Cannot be modified except by direct means',100,2,3),
(280249,10175634,'When Equipped:',100,0,0),
(280250,10175634,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280251,10175634,'Inflicts 1589 heat damage on target',100,2,2),
(280252,10175634,'Cannot be modified except by direct means',100,2,3),
(280253,124046,'Increases power of caster by 71',100,1,0),
(280254,10124046,'Increases power of caster by 71',100,1,0),
(280255,159056,'When Equipped:',100,0,0),
(280256,159056,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280257,159056,'Increases WIS of caster by 5.8',100,2,2),
(280258,159056,'Increases Focus, Ministration and Ordination of caster by 3.7',100,2,3),
(280259,159056,'Cannot be modified except by direct means',100,2,4),
(280260,10159056,'When Equipped:',100,0,0),
(280261,10159056,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280262,10159056,'Increases WIS of caster by 5.8',100,2,2),
(280263,10159056,'Increases Focus, Ministration and Ordination of caster by 3.7',100,2,3),
(280264,10159056,'Cannot be modified except by direct means',100,2,4),
(280265,124689,'Inflicts 190 - 233 cold damage on target',100,1,0),
(280266,10124689,'Inflicts 229 - 279 cold damage on target',100,1,0),
(280267,115000,'Inflicts 554 - 924 ranged damage on targets in area',100,1,0),
(280268,115000,'You must be in stealth to use this!',100,1,1),
(280269,115000,'Requires bow',100,1,2),
(280270,10115000,'Inflicts 415 - 693 ranged damage on targets in area',100,1,0),
(280271,10115000,'You must be in stealth to use this!',100,1,1),
(280272,10115000,'Requires bow',100,1,2),
(280273,115263,'Heals target for 428',100,1,0),
(280274,115263,'Heals target for 71 every second',100,1,1),
(280275,115263,'Dispels 73 levels of any hostile effects on target',100,1,2),
(280276,10115263,'Heals target for 278',100,1,0),
(280277,10115263,'Heals target for 46 every second',100,1,1),
(280278,10115263,'Dispels 73 levels of any hostile effects on target',100,1,2),
(280279,36452,'Increases INT and STR of target by 15.4',100,0,0),
(280280,36452,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(280281,114976,'Decreases Attack Speed of target by 15.2',100,1,0),
(280282,114976,'Inflicts 79 - 237 slashing damage on target',100,1,1),
(280283,114976,'Inflicts 158 slashing damage on target instantly and every 4 seconds',100,1,2),
(280284,10114976,'Decreases Attack Speed of target by 15.2',100,1,0),
(280285,10114976,'Inflicts 94 - 284 slashing damage on target',100,1,1),
(280286,10114976,'Inflicts 190 slashing damage on target instantly and every 4 seconds',100,1,2),
(280287,74742,'When Equipped:',100,0,0),
(280288,74742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280289,74742,'Inflicts 88 - 133 magic damage on target',100,2,2),
(280290,74742,'Cannot be modified except by direct means',100,2,3),
(280291,10074742,'When Equipped:',100,0,0),
(280292,10074742,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280293,10074742,'Inflicts 106 - 159 magic damage on target',100,2,2),
(280294,10074742,'Cannot be modified except by direct means',100,2,3),
(280295,113745,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(280296,113745,'Inflicts 161 piercing damage on target',100,2,1),
(280297,113745,'Grants a total of 60 triggers of the spell.',100,2,2),
(280298,10113745,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(280299,10113745,'Inflicts 193 piercing damage on target',100,2,1),
(280300,10113745,'Grants a total of 60 triggers of the spell.',100,2,2),
(280301,121158,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(280302,121158,'Increases Hate Gain of caster by 5.0%',100,2,1),
(280303,121158,'Increases Attack Speed of caster by 52.5',100,2,2),
(280304,121158,'Dispelled when target takes damage',100,2,3),
(280305,10121158,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(280306,10121158,'Increases Attack Speed of caster by 52.5',100,2,1),
(280307,10121158,'Dispelled when target takes damage',100,2,2),
(280308,135122,'When Equipped:',100,0,0),
(280309,135122,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280310,135122,'Inflicts 1986 piercing damage on target',100,2,2),
(280311,135122,'Cannot be modified except by direct means',100,2,3),
(280312,10135122,'When Equipped:',100,0,0),
(280313,10135122,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280314,10135122,'Inflicts 1192 piercing damage on target',100,2,2),
(280315,10135122,'Cannot be modified except by direct means',100,2,3),
(280316,119253,'Inflicts 10 - 17 slashing damage on target',100,1,0),
(280317,119253,'Decreases Damage Per Second of target by 7.9',100,1,1),
(280318,119253,'Inflicts 14 slashing damage on target instantly and every 4 seconds',100,1,2),
(280319,10119253,'Inflicts 12 - 20 slashing damage on target',100,1,0),
(280320,10119253,'Decreases Damage Per Second of target by 7.9',100,1,1),
(280321,10119253,'Inflicts 16 slashing damage on target instantly and every 4 seconds',100,1,2),
(280322,82937,'When Equipped:',100,0,0),
(280323,82937,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280324,82937,'Inflicts 228 - 423 magic damage on target',100,2,2),
(280325,82937,'Cannot be modified except by direct means',100,2,3),
(280326,10082937,'When Equipped:',100,0,0),
(280327,10082937,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280328,10082937,'Inflicts 273 - 508 magic damage on target',100,2,2),
(280329,10082937,'Cannot be modified except by direct means',100,2,3),
(280330,110409,'Inflicts 1809 - 3015 disease damage on target',100,1,0),
(280331,10110409,'Inflicts 1488 - 2481 disease damage on target',100,1,0),
(280332,81089,'When Equipped:',100,0,0),
(280333,81089,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280334,81089,'Inflicts 136 - 252 magic damage on target',100,2,2),
(280335,81089,'Cannot be modified except by direct means',100,2,3),
(280336,10081089,'When Equipped:',100,0,0),
(280337,10081089,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280338,10081089,'Inflicts 163 - 303 magic damage on target',100,2,2),
(280339,10081089,'Cannot be modified except by direct means',100,2,3),
(280340,114713,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(280341,114713,'Decreases Hate Gain of target by 23.7%',100,1,1),
(280342,10114713,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(280343,108146,'Inflicts 275 - 459 melee damage on target',100,1,0),
(280344,108146,'You must be sneaking to use this ability.',100,1,1),
(280345,108146,'Must be flanking or behind',100,1,2),
(280346,10108146,'Inflicts 218 - 363 melee damage on target',100,1,0),
(280347,10108146,'You must be sneaking to use this ability.',100,1,1),
(280348,10108146,'Must be flanking or behind',100,1,2),
(280349,171734,'When Equipped:',100,0,0),
(280350,171734,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(280351,171734,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(280352,171734,'Inflicts 793 - 876 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(280353,171734,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(280354,171734,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(280355,171734,'Must not be engaged in pvp combat',100,2,6),
(280356,171734,'Cannot be modified except by direct means',100,2,7),
(280357,171734,'Cannot be modified except by direct means',100,1,8),
(280358,10171734,'When Equipped:',100,0,0),
(280359,10171734,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(280360,10171734,'On any combat or spell hit this spell may cast Corrosive Fog IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(280361,10171734,'Inflicts 951 - 1051 disease damage on target encounter instantly and every 2 seconds',100,2,3),
(280362,10171734,'Decreases Parry and Defense of target encounter by 10.0',100,2,4),
(280363,10171734,'Decreases Mitigation of target encounter vs physical damage by 480',100,2,5),
(280364,10171734,'Must not be engaged in pvp combat',100,2,6),
(280365,10171734,'Cannot be modified except by direct means',100,2,7),
(280366,10171734,'Cannot be modified except by direct means',100,1,8),
(280367,25990,'When Equipped:',100,0,0),
(280368,25990,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280369,25990,'Decreases power of target by 83',100,2,2),
(280370,25990,'Increases power of caster by 80',100,2,3),
(280371,25990,'Cannot be modified except by direct means',100,2,4),
(280372,10025990,'When Equipped:',100,0,0),
(280373,10025990,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280374,10025990,'Decreases power of target by 83',100,2,2),
(280375,10025990,'Increases power of caster by 80',100,2,3),
(280376,10025990,'Cannot be modified except by direct means',100,2,4),
(280377,173521,'When Equipped:',100,0,0),
(280378,173521,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(280379,173521,'Increases Max Health of group members by 500.0',100,2,2),
(280380,173521,'Cannot be modified except by direct means',100,2,3),
(280381,10173521,'When Equipped:',100,0,0),
(280382,10173521,'On a healing spell cast this spell may cast Critical Aegis on caster.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(280383,10173521,'Increases Max Health of group members by 500.0',100,2,2),
(280384,10173521,'Cannot be modified except by direct means',100,2,3),
(280385,108214,'Increases power of caster by 82 instantly and every 4 seconds',100,1,0),
(280386,10108214,'Increases power of caster by 82 instantly and every 4 seconds',100,1,0),
(280387,47531,'Applies Petrified Troll Eye when Activated.  Lasts for 6 hours.',100,0,0),
(280388,47531,'Shapechanges caster into a troll',100,1,1),
(280389,10047531,'Applies Petrified Troll Eye when Activated.  Lasts for 6 hours.',100,0,0),
(280390,10047531,'Shapechanges caster into a troll',100,1,1),
(280391,122468,'Inflicts 1577 - 2628 magic damage on target',100,1,0),
(280392,10122468,'Inflicts 1892 - 3154 magic damage on target',100,1,0),
(280393,47320,'Applies Thekela''s Rejuvenation  when Activated.',100,0,0),
(280394,47320,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(280395,10047320,'Applies Thekela''s Rejuvenation  when Activated.',100,0,0),
(280396,10047320,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(280397,45913,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(280398,45913,'Heals caster for 211',100,1,1),
(280399,45913,'Heals caster for 106 every 5 seconds',100,1,2),
(280400,10045913,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(280401,10045913,'Heals caster for 137',100,1,1),
(280402,10045913,'Heals caster for 69 every 5 seconds',100,1,2),
(280403,80427,'When Equipped:',100,0,0),
(280404,80427,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280405,80427,'Inflicts 48 - 90 magic damage on target',100,2,2),
(280406,80427,'Cannot be modified except by direct means',100,2,3),
(280407,10080427,'When Equipped:',100,0,0),
(280408,10080427,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280409,10080427,'Inflicts 58 - 107 magic damage on target',100,2,2),
(280410,10080427,'Cannot be modified except by direct means',100,2,3),
(280411,177635,'When Equipped:',100,0,0),
(280412,177635,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280413,177635,'Increases WIS of caster by 8.3',100,2,2),
(280414,177635,'Increases Focus, Ministration and Ordination of caster by 5.3',100,2,3),
(280415,177635,'Cannot be modified except by direct means',100,2,4),
(280416,10177635,'When Equipped:',100,0,0),
(280417,10177635,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280418,10177635,'Increases WIS of caster by 8.3',100,2,2),
(280419,10177635,'Increases Focus, Ministration and Ordination of caster by 5.3',100,2,3),
(280420,10177635,'Cannot be modified except by direct means',100,2,4),
(280421,71960,'When Equipped:',100,0,0),
(280422,71960,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280423,71960,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(280424,71960,'Cannot be modified except by direct means',100,2,3),
(280425,10071960,'When Equipped:',100,0,0),
(280426,10071960,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280427,10071960,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(280428,10071960,'Cannot be modified except by direct means',100,2,3),
(280429,48553,'Applies Tinkered Turkey Launcher when Activated.  Lasts for 15.0 seconds.',100,0,0),
(280430,48553,'Summons 5 limited pets to aid the caster',100,1,1),
(280431,48553,'If target is target dummy',100,1,2),
(280432,10048553,'Applies Tinkered Turkey Launcher when Activated.  Lasts for 15.0 seconds.',100,0,0),
(280433,10048553,'Summons 5 limited pets to aid the caster',100,1,1),
(280434,10048553,'If target is target dummy',100,1,2),
(280435,122555,'Heals caster for 195',100,1,0),
(280436,122555,'Inflicts 268 - 448 melee damage on target',100,1,1),
(280437,10122555,'Heals caster for 127',100,1,0),
(280438,10122555,'Inflicts 322 - 537 melee damage on target',100,1,1),
(280439,123760,'Decreases Mitigation of target vs noxious damage by 644',100,1,0),
(280440,123760,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(280441,123760,'Slows target by 48.4%',100,2,2),
(280442,123760,'5% chance to dispel when target receives hostile action',100,2,3),
(280443,123760,'5% chance to dispel when target takes damage',100,2,4),
(280444,10123760,'Decreases Mitigation of target vs noxious damage by 644',100,1,0),
(280445,10123760,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(280446,10123760,'Slows target by 48.4%',100,2,2),
(280447,10123760,'5% chance to dispel when target receives hostile action',100,2,3),
(280448,10123760,'5% chance to dispel when target takes damage',100,2,4),
(280449,110725,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(280450,110725,'Heals group members (AE) for 655',100,2,1),
(280451,10110725,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(280452,10110725,'Heals group members (AE) for 425',100,2,1),
(280453,82894,'When Equipped:',100,0,0),
(280454,82894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280455,82894,'Inflicts 205 - 381 magic damage on target',100,2,2),
(280456,82894,'Cannot be modified except by direct means',100,2,3),
(280457,10082894,'When Equipped:',100,0,0),
(280458,10082894,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280459,10082894,'Inflicts 246 - 457 magic damage on target',100,2,2),
(280460,10082894,'Cannot be modified except by direct means',100,2,3),
(280461,45096,'Applies Swift Refreshment when Activated.  Lasts for 1 hour.',100,0,0),
(280462,45096,'Increases in-combat movement speed of caster by 5.0%',100,1,1),
(280463,45096,'Increases stealth or invisible movement speed of caster by 5.0%',100,1,2),
(280464,45096,'Increases Ground Mount Speed of caster by 5.0%',100,1,3),
(280465,45096,'Increases speed of caster by 5.0%',100,1,4),
(280466,10045096,'Applies Swift Refreshment when Activated.  Lasts for 1 hour.',100,0,0),
(280467,10045096,'Increases in-combat movement speed of caster by 5.0%',100,1,1),
(280468,10045096,'Increases stealth or invisible movement speed of caster by 5.0%',100,1,2),
(280469,10045096,'Increases Ground Mount Speed of caster by 5.0%',100,1,3),
(280470,10045096,'Increases speed of caster by 5.0%',100,1,4),
(280471,123520,'Decreases Mitigation of target encounter vs noxious damage by 1282',100,1,0),
(280472,10123520,'Decreases Mitigation of target encounter vs noxious damage by 1282',100,1,0),
(280473,139177,'When Equipped:',100,0,0),
(280474,139177,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280475,139177,'Increases Ability Modifier of group members by 200.0',100,2,2),
(280476,139177,'Cannot be modified except by direct means',100,2,3),
(280477,139177,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(280478,139177,'Increases Ability Modifier of group members by 200.0',100,2,5),
(280479,139177,'Cannot be modified except by direct means',100,2,6),
(280480,139177,'Cannot be modified except by direct means',100,1,7),
(280481,10139177,'When Equipped:',100,0,0),
(280482,10139177,'On a hostile spell cast this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280483,10139177,'Increases Ability Modifier of group members by 200.0',100,2,2),
(280484,10139177,'Cannot be modified except by direct means',100,2,3),
(280485,10139177,'On a combat hit this spell may cast Unchained on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(280486,10139177,'Increases Ability Modifier of group members by 200.0',100,2,5),
(280487,10139177,'Cannot be modified except by direct means',100,2,6),
(280488,10139177,'Cannot be modified except by direct means',100,1,7),
(280489,37386,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(280490,120824,'Inflicts 10 - 14 disease damage on target instantly and every second',100,1,0),
(280491,10120824,'Inflicts 17 - 24 disease damage on target',100,1,0),
(280492,10120824,'Inflicts 12 - 17 disease damage on target every second',100,1,1),
(280493,81865,'When Equipped:',100,0,0),
(280494,81865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280495,81865,'Inflicts 108 - 200 magic damage on target',100,2,2),
(280496,81865,'Cannot be modified except by direct means',100,2,3),
(280497,10081865,'When Equipped:',100,0,0),
(280498,10081865,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280499,10081865,'Inflicts 129 - 240 magic damage on target',100,2,2),
(280500,10081865,'Cannot be modified except by direct means',100,2,3),
(280501,116969,'Increases Threat to target by 1,234 - 1,406 ',100,1,0),
(280502,116969,'Interrupts target',100,1,1),
(280503,10116969,'Forces target to change their selected target to caster.',100,1,0),
(280504,10116969,'Interrupts target',100,1,1),
(280505,10116969,'Prevents target from changing targets',100,1,2),
(280506,107898,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(280507,107898,'Slows target by 65.9%',100,2,1),
(280508,107898,'5% chance to dispel when target receives hostile action',100,2,2),
(280509,107898,'5% chance to dispel when target takes damage',100,2,3),
(280510,107898,'Slows target encounter by 79.1%',100,1,4),
(280511,107898,'5% chance to dispel when target takes damage',100,1,5),
(280512,10107898,'Slows target encounter by 79.1%',100,1,0),
(280513,10107898,'5% chance to dispel when target takes damage',100,1,1),
(280514,111051,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(280515,111051,'Increases Threat to target by 1,122 ',100,2,1),
(280516,111051,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(280517,111051,'Increases Threat to target by 1,122 ',100,2,3),
(280518,10111051,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(280519,10111051,'Inflicts 83 - 92 crushing damage on target',100,2,1),
(280520,10111051,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(280521,10111051,'Inflicts 83 - 92 crushing damage on target',100,2,3),
(280522,102247,'Inflicts 22 - 37 melee damage on targets in area',100,1,0),
(280523,10102247,'Inflicts 26 - 44 melee damage on targets in area',100,1,0),
(280524,102872,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(280525,102872,'Stuns target',100,2,1),
(280526,102872,'Blurs vision of target',100,2,2),
(280527,102872,'Throws target back',100,2,3),
(280528,102872,'Does not affect Epic targets',100,2,4),
(280529,102872,'Inflicts 439 - 1318 melee damage on targets in area',100,1,5),
(280530,10102872,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(280531,10102872,'Stuns target',100,2,1),
(280532,10102872,'Throws target back',100,2,2),
(280533,10102872,'Blurs vision of target',100,2,3),
(280534,10102872,'Does not affect Epic targets',100,2,4),
(280535,10102872,'Inflicts 527 - 1581 melee damage on targets in area',100,1,5),
(280536,112618,'Increases STA of caster by 57.7',100,1,0),
(280537,112618,'Reduces slow effects on caster by 21.0%',100,1,1),
(280538,112618,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1512',100,1,2),
(280539,10112618,'Increases STA of caster by 57.7',100,1,0),
(280540,10112618,'Reduces slow effects on caster by 21.0%',100,1,1),
(280541,10112618,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1512',100,1,2),
(280542,114695,'Increases Threat to target by 1,727 - 2,008 ',100,1,0),
(280543,114695,'Interrupts target',100,1,1),
(280544,10114695,'Interrupts target',100,1,0),
(280545,10114695,'Forces target to change their selected target to caster.',100,1,1),
(280546,10114695,'Prevents target from changing targets',100,1,2),
(280547,103601,'Increases Mitigation of caster vs physical damage by 917',100,1,0),
(280548,10103601,'Increases Mitigation of caster vs physical damage by 917',100,1,0),
(280549,109774,'Inflicts 365 - 678 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(280550,10109774,'Inflicts 438 - 814 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(280551,121275,'Inflicts 3 - 4 magic damage on target instantly and every 4 seconds',100,1,0),
(280552,10121275,'Inflicts 4 - 5 magic damage on target instantly and every 4 seconds',100,1,0),
(280553,81822,'When Equipped:',100,0,0),
(280554,81822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280555,81822,'Inflicts 97 - 180 magic damage on target',100,2,2),
(280556,81822,'Cannot be modified except by direct means',100,2,3),
(280557,10081822,'When Equipped:',100,0,0),
(280558,10081822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280559,10081822,'Inflicts 116 - 216 magic damage on target',100,2,2),
(280560,10081822,'Cannot be modified except by direct means',100,2,3),
(280561,104761,'Increases power of caster by 10 instantly and every 4 seconds',100,1,0),
(280562,10104761,'Increases power of caster by 10 instantly and every 4 seconds',100,1,0),
(280563,119326,'Roots target',100,1,0),
(280564,119326,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(280565,119326,'Slows target by 71.4%',100,2,2),
(280566,119326,'5% chance to dispel when target receives hostile action',100,2,3),
(280567,119326,'5% chance to dispel when target takes damage',100,2,4),
(280568,119326,'15% chance to dispel when target takes damage',100,1,5),
(280569,119326,'Does not affect Epic targets',100,1,6),
(280570,119326,'Resistibility increases against targets higher than level 102.',100,1,7),
(280571,10119326,'Roots target',100,1,0),
(280572,10119326,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(280573,10119326,'Slows target by 71.4%',100,2,2),
(280574,10119326,'5% chance to dispel when target receives hostile action',100,2,3),
(280575,10119326,'5% chance to dispel when target takes damage',100,2,4),
(280576,10119326,'15% chance to dispel when target takes damage',100,1,5),
(280577,10119326,'Does not affect Epic targets',100,1,6),
(280578,10119326,'Resistibility increases against targets higher than level 102.',100,1,7),
(280579,191750,'When Equipped:',100,0,0),
(280580,191750,'Increases Attack Speed of caster by 30.0',100,1,1),
(280581,10191750,'When Equipped:',100,0,0),
(280582,10191750,'Increases Attack Speed of caster by 30.0',100,1,1),
(280583,176652,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(280584,176652,'Decreases STR, AGI, WIS and INT of target by 61.1',100,1,1),
(280585,176652,'Decreases Max Health of target by 1.0%',100,1,2),
(280586,176652,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(280587,10176652,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(280588,10176652,'Decreases STR, AGI, WIS and INT of target by 61.1',100,1,1),
(280589,10176652,'Decreases Max Health of target by 1.0%',100,1,2),
(280590,10176652,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(280591,87273,'When Equipped:',100,0,0),
(280592,87273,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280593,87273,'Inflicts 208 - 312 magic damage on target',100,2,2),
(280594,87273,'Cannot be modified except by direct means',100,2,3),
(280595,10087273,'When Equipped:',100,0,0),
(280596,10087273,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280597,10087273,'Inflicts 250 - 375 magic damage on target',100,2,2),
(280598,10087273,'Cannot be modified except by direct means',100,2,3),
(280599,73911,'Applies Disease Blast when Activated.',100,0,0),
(280600,73911,'Inflicts 178 - 297 disease damage on target',100,1,1),
(280601,73911,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(280602,10073911,'Applies Disease Blast when Activated.',100,0,0),
(280603,10073911,'Inflicts 214 - 356 disease damage on target',100,1,1),
(280604,10073911,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(280605,36463,'Increases STA and STR of target by 4.6',100,0,0),
(280606,36463,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(280607,35607,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(280608,111766,'Heals caster for 10.8 - 13.2% of max health',100,1,0),
(280609,111766,'This effect cannot be critically applied.',100,2,1),
(280610,111766,'The healing of this spell cannot be modified except by direct means',100,1,2),
(280611,10111766,'Heals caster for 5.4 - 6.6% of max health',100,1,0),
(280612,10111766,'This effect cannot be critically applied.',100,2,1),
(280613,10111766,'The healing of this spell cannot be modified except by direct means',100,1,2),
(280614,108281,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(280615,108281,'Inflicts 241 heat damage on target',100,2,1),
(280616,108281,'Grants a total of 3 triggers of the spell.',100,2,2),
(280617,10108281,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(280618,10108281,'Inflicts 290 heat damage on target',100,2,1),
(280619,10108281,'Grants a total of 3 triggers of the spell.',100,2,2),
(280620,40396,'When Equipped:',100,0,0),
(280621,40396,'On a critical combat hit this spell may cast Flying Fist VII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280622,40396,'Stifles target',100,2,2),
(280623,40396,'If Target is not Epic',100,3,3),
(280624,40396,'Inflicts 900 - 994 heat damage on target',100,2,4),
(280625,40396,'Increases Threat to target by 1,647 - 1,772 ',100,2,5),
(280626,40396,'Must not be engaged in pvp combat',100,2,6),
(280627,40396,'Cannot be modified except by direct means',100,2,7),
(280628,40396,'Must not be engaged in pvp combat',100,1,8),
(280629,10040396,'When Equipped:',100,0,0),
(280630,10040396,'On a critical combat hit this spell may cast Flying Fist VII on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280631,10040396,'Stifles target',100,2,2),
(280632,10040396,'If Target is not Epic',100,3,3),
(280633,10040396,'Inflicts 1080 - 1193 heat damage on target',100,2,4),
(280634,10040396,'Must not be engaged in pvp combat',100,2,5),
(280635,10040396,'Cannot be modified except by direct means',100,2,6),
(280636,10040396,'Must not be engaged in pvp combat',100,1,7),
(280637,48178,'Applies Spirit Totem of the Bamboo when Activated.  Lasts for 30 minutes.',100,0,0),
(280638,48178,'Increases Out-of-Combat Power Regeneration of caster by 108.0',100,1,1),
(280639,48178,'This effect suspends during combat',100,1,2),
(280640,48178,'Only affects targets level 80 and above',100,1,3),
(280641,10048178,'Applies Spirit Totem of the Bamboo when Activated.  Lasts for 30 minutes.',100,0,0),
(280642,10048178,'Increases Out-of-Combat Power Regeneration of caster by 108.0',100,1,1),
(280643,10048178,'This effect suspends during combat',100,1,2),
(280644,10048178,'Only affects targets level 80 and above',100,1,3),
(280645,80622,'When Equipped:',100,0,0),
(280646,80622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280647,80622,'Inflicts 56 - 103 magic damage on target',100,2,2),
(280648,80622,'Cannot be modified except by direct means',100,2,3),
(280649,10080622,'When Equipped:',100,0,0),
(280650,10080622,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280651,10080622,'Inflicts 67 - 124 magic damage on target',100,2,2),
(280652,10080622,'Cannot be modified except by direct means',100,2,3),
(280653,35293,'Increases Max Power of target by 108.8',100,0,0),
(280654,35293,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(280655,89856,'When Equipped:',100,0,0),
(280656,89856,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280657,89856,'Inflicts 802 mental damage on target',100,2,2),
(280658,89856,'If any of the following are true:',100,3,3),
(280659,89856,'Must be classified as a void beast',100,4,4),
(280660,89856,'Must be classified as a shadowed folk',100,4,5),
(280661,89856,'Inflicts 401 mental damage on target',100,2,6),
(280662,89856,'Must not be classified as a void beast',100,3,7),
(280663,89856,'Must not be classified as a shadowed folk',100,3,8),
(280664,89856,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(280665,89856,'If any of the following are true:',100,3,10),
(280666,89856,'Must be classified as a void beast',100,4,11),
(280667,89856,'Must be classified as a shadowed folk',100,4,12),
(280668,89856,'Cannot be modified except by direct means',100,2,13),
(280669,89856,'Additional equipment with Void Bane improves this effect.',100,1,14),
(280670,10089856,'When Equipped:',100,0,0),
(280671,10089856,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280672,10089856,'Inflicts 963 mental damage on target',100,2,2),
(280673,10089856,'If any of the following are true:',100,3,3),
(280674,10089856,'Must be classified as a void beast',100,4,4),
(280675,10089856,'Must be classified as a shadowed folk',100,4,5),
(280676,10089856,'Inflicts 481 mental damage on target',100,2,6),
(280677,10089856,'Must not be classified as a void beast',100,3,7),
(280678,10089856,'Must not be classified as a shadowed folk',100,3,8),
(280679,10089856,'Decreases Mitigation of target vs arcane damage by 581',100,2,9),
(280680,10089856,'If any of the following are true:',100,3,10),
(280681,10089856,'Must be classified as a void beast',100,4,11),
(280682,10089856,'Must be classified as a shadowed folk',100,4,12),
(280683,10089856,'Cannot be modified except by direct means',100,2,13),
(280684,10089856,'Additional equipment with Void Bane improves this effect.',100,1,14),
(280685,159247,'Applies Lambent Imbued when Equipped.',100,0,0),
(280686,159247,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(280687,159247,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(280688,159247,'Cannot be modified except by direct means',100,2,3),
(280689,10159247,'Applies Lambent Imbued when Equipped.',100,0,0),
(280690,10159247,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(280691,10159247,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(280692,10159247,'Cannot be modified except by direct means',100,2,3),
(280693,114636,'Decreases WIS of target by 59.3',100,1,0),
(280694,114636,'Inflicts 527 - 879 melee damage on target',100,1,1),
(280695,114636,'You must be sneaking to use this ability.',100,1,2),
(280696,10114636,'Decreases WIS of target by 59.3',100,1,0),
(280697,10114636,'Inflicts 633 - 1055 melee damage on target',100,1,1),
(280698,10114636,'You must be sneaking to use this ability.',100,1,2),
(280699,71375,'When Equipped:',100,0,0),
(280700,71375,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280701,71375,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(280702,71375,'Cannot be modified except by direct means',100,2,3),
(280703,10071375,'When Equipped:',100,0,0),
(280704,10071375,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280705,10071375,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(280706,10071375,'Cannot be modified except by direct means',100,2,3),
(280707,101345,'Reduces physical damage done to caster by 5%',100,1,0),
(280708,101345,'Adds 1.4% to base avoidance.',100,1,1),
(280709,101345,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(280710,101345,'Increases Aggression of caster by 1.3',100,1,3),
(280711,101345,'Increases Defense and Parry of caster by 2.1',100,1,4),
(280712,101345,'Increases Mitigation of caster vs noxious and arcane damage by 16',100,1,5),
(280713,101345,'Increases Mitigation of caster vs elemental damage by 161',100,1,6),
(280714,101345,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(280715,10101345,'Reduces physical damage done to caster by 5%',100,1,0),
(280716,10101345,'Adds 1.4% to base avoidance.',100,1,1),
(280717,10101345,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,2),
(280718,10101345,'Increases Aggression of caster by 1.3',100,1,3),
(280719,10101345,'Increases Defense and Parry of caster by 2.1',100,1,4),
(280720,10101345,'Increases Mitigation of caster vs noxious and arcane damage by 16',100,1,5),
(280721,10101345,'Increases Mitigation of caster vs elemental damage by 161',100,1,6),
(280722,10101345,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(280723,37603,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(280724,159096,'When Equipped:',100,0,0),
(280725,159096,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(280726,159096,'Increases STA of caster by 14.8',100,2,2),
(280727,159096,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(280728,159096,'Cannot be modified except by direct means',100,2,4),
(280729,10159096,'When Equipped:',100,0,0),
(280730,10159096,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(280731,10159096,'Increases STA of caster by 14.8',100,2,2),
(280732,10159096,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(280733,10159096,'Cannot be modified except by direct means',100,2,4),
(280734,102353,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(280735,102353,'Increases Attack Speed of target by 14.4',100,2,1),
(280736,102353,'Increases Damage Per Second of target by 14.4',100,2,2),
(280737,102353,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(280738,102353,'Increases Attack Speed of target by 14.4',100,2,4),
(280739,102353,'Increases Damage Per Second of target by 14.4',100,2,5),
(280740,102353,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(280741,102353,'Increases Attack Speed of target by 14.4',100,2,7),
(280742,102353,'Increases Damage Per Second of target by 14.4',100,2,8),
(280743,10102353,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(280744,10102353,'Increases Attack Speed of target by 14.4',100,2,1),
(280745,10102353,'Increases Damage Per Second of target by 14.4',100,2,2),
(280746,10102353,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(280747,10102353,'Increases Attack Speed of target by 14.4',100,2,4),
(280748,10102353,'Increases Damage Per Second of target by 14.4',100,2,5),
(280749,10102353,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(280750,10102353,'Increases Attack Speed of target by 14.4',100,2,7),
(280751,10102353,'Increases Damage Per Second of target by 14.4',100,2,8),
(280752,100708,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(280753,100708,'Increases Mitigation of group members (AE) vs noxious damage by 302',100,1,1),
(280754,10100708,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(280755,10100708,'Increases Mitigation of group members (AE) vs noxious damage by 302',100,1,1),
(280756,46660,'Applies Siphon Power when Activated.',100,0,0),
(280757,46660,'Inflicts 30.0% of max health in heat damage on target',100,1,1),
(280758,46660,'Summon 1 merged Yha-lei essence',100,1,2),
(280759,10046660,'Applies Siphon Power when Activated.',100,0,0),
(280760,10046660,'Inflicts 36.0% of max health in heat damage on target',100,1,1),
(280761,10046660,'Summon 1 merged Yha-lei essence',100,1,2),
(280762,107423,'Summons a pet earthen avatar',100,1,0),
(280763,10107423,'Summons a pet earthen avatar',100,1,0),
(280764,80178,'When Equipped:',100,0,0),
(280765,80178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280766,80178,'Inflicts 169 - 314 magic damage on target',100,2,2),
(280767,80178,'Cannot be modified except by direct means',100,2,3),
(280768,10080178,'When Equipped:',100,0,0),
(280769,10080178,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(280770,10080178,'Inflicts 203 - 377 magic damage on target',100,2,2),
(280771,10080178,'Cannot be modified except by direct means',100,2,3),
(280772,47582,'Applies Potion of Fleetness when Activated.  Lasts for 4 hours.',100,0,0),
(280773,47582,'Increases Ground Mount Speed of caster by 20.0%',100,1,1),
(280774,47582,'Increases speed of caster by 20.0%',100,1,2),
(280775,10047582,'Applies Potion of Fleetness when Activated.  Lasts for 4 hours.',100,0,0),
(280776,10047582,'Increases Ground Mount Speed of caster by 20.0%',100,1,1),
(280777,10047582,'Increases speed of caster by 20.0%',100,1,2),
(280778,119805,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(280779,119805,'Adds 1.0% to base avoidance.',100,1,1),
(280780,10119805,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(280781,10119805,'Adds 1.0% to base avoidance.',100,1,1),
(280782,104730,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(280783,104730,'Decreases Mitigation of target vs elemental and arcane damage by 665',100,2,1),
(280784,104730,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(280785,104730,'Decreases Mitigation of target vs elemental and arcane damage by 665',100,2,3),
(280786,10104730,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(280787,10104730,'Decreases Mitigation of target vs elemental and arcane damage by 665',100,2,1),
(280788,10104730,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(280789,10104730,'Decreases Mitigation of target vs elemental and arcane damage by 665',100,2,3),
(280790,35984,'Increases Max Power of target by 90.7',100,0,0),
(280791,35984,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(280792,52580,'When Equipped:',100,0,0),
(280793,52580,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280794,52580,'Inflicts 271 - 452 magic damage on target',100,2,2),
(280795,52580,'Inflicts 271 - 452 divine damage on target',100,2,3),
(280796,52580,'Inflicts 271 - 452 piercing damage on target',100,2,4),
(280797,52580,'Must not be engaged in pvp combat',100,2,5),
(280798,52580,'Cannot be modified except by direct means',100,2,6),
(280799,52580,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(280800,52580,'Inflicts 271 - 452 magic damage on target',100,2,8),
(280801,52580,'Inflicts 271 - 452 divine damage on target',100,2,9),
(280802,52580,'Inflicts 271 - 452 piercing damage on target',100,2,10),
(280803,52580,'Must not be engaged in pvp combat',100,2,11),
(280804,52580,'Cannot be modified except by direct means',100,2,12),
(280805,52580,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(280806,52580,'Inflicts 271 - 452 magic damage on target',100,2,14),
(280807,52580,'Inflicts 271 - 452 divine damage on target',100,2,15),
(280808,52580,'Inflicts 271 - 452 piercing damage on target',100,2,16),
(280809,52580,'Must not be engaged in pvp combat',100,2,17),
(280810,52580,'Cannot be modified except by direct means',100,2,18),
(280811,52580,'Must not be engaged in pvp combat',100,1,19),
(280812,10052580,'When Equipped:',100,0,0),
(280813,10052580,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(280814,10052580,'Inflicts 326 - 543 magic damage on target',100,2,2),
(280815,10052580,'Inflicts 326 - 543 divine damage on target',100,2,3),
(280816,10052580,'Inflicts 326 - 543 piercing damage on target',100,2,4),
(280817,10052580,'Must not be engaged in pvp combat',100,2,5),
(280818,10052580,'Cannot be modified except by direct means',100,2,6),
(280819,10052580,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(280820,10052580,'Inflicts 326 - 543 magic damage on target',100,2,8),
(280821,10052580,'Inflicts 326 - 543 divine damage on target',100,2,9),
(280822,10052580,'Inflicts 326 - 543 piercing damage on target',100,2,10),
(280823,10052580,'Must not be engaged in pvp combat',100,2,11),
(280824,10052580,'Cannot be modified except by direct means',100,2,12),
(280825,10052580,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(280826,10052580,'Inflicts 326 - 543 magic damage on target',100,2,14),
(280827,10052580,'Inflicts 326 - 543 divine damage on target',100,2,15),
(280828,10052580,'Inflicts 326 - 543 piercing damage on target',100,2,16),
(280829,10052580,'Must not be engaged in pvp combat',100,2,17),
(280830,10052580,'Cannot be modified except by direct means',100,2,18),
(280831,10052580,'Must not be engaged in pvp combat',100,1,19),
(280832,47716,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(280833,47716,'Wards caster against 665 points of arcane damage',100,1,1),
(280834,10047716,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(280835,10047716,'Wards caster against 665 points of arcane damage',100,1,1),
(280836,123704,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(280837,123704,'Inflicts 160 divine damage on target',100,2,1),
(280838,123704,'Grants a total of 5 triggers of the spell.',100,2,2),
(280839,10123704,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(280840,10123704,'Inflicts 192 divine damage on target',100,2,1),
(280841,10123704,'Grants a total of 5 triggers of the spell.',100,2,2),
(280842,118253,'Increases Threat to target encounter by 319 - 390 ',100,1,0),
(280843,118253,'Decreases Mitigation of target encounter vs arcane damage by 264',100,1,1),
(280844,10118253,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(280845,10118253,'Prevents target from changing targets',100,2,1),
(280846,10118253,'Forces target to change their selected target to caster.',100,2,2),
(280847,10118253,'Decreases Mitigation of target encounter vs arcane damage by 264',100,1,3),
(280848,71921,'When Equipped:',100,0,0),
(280849,71921,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280850,71921,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(280851,71921,'Cannot be modified except by direct means',100,2,3),
(280852,10071921,'When Equipped:',100,0,0),
(280853,10071921,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(280854,10071921,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(280855,10071921,'Cannot be modified except by direct means',100,2,3),
(280856,164610,'Applies Unstable Magics when Equipped.',100,0,0),
(280857,164610,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(280858,10164610,'Applies Unstable Magics when Equipped.',100,0,0),
(280859,10164610,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(280860,80493,'When Equipped:',100,0,0),
(280861,80493,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(280862,80493,'Inflicts 320 - 594 magic damage on target',100,2,2),
(280863,80493,'Decreases Threat to target by 1,219 ',100,2,3),
(280864,80493,'Must be flanking or behind',100,3,4),
(280865,80493,'Increases Threat to target by 1,679 ',100,2,5),
(280866,80493,'Must be in front of',100,3,6),
(280867,80493,'Cannot be modified except by direct means',100,2,7),
(280868,10080493,'When Equipped:',100,0,0),
(280869,10080493,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(280870,10080493,'Inflicts 384 - 712 magic damage on target',100,2,2),
(280871,10080493,'Cannot be modified except by direct means',100,2,3),
(280872,105633,'Inflicts 62 disease damage on target instantly and every 6 seconds',100,1,0),
(280873,105633,'Inflicts 143 - 238 disease damage on target',100,1,1),
(280874,105633,'Inflicts 143 - 238 disease damage on target',100,1,2),
(280875,10105633,'Inflicts 74 disease damage on target instantly and every 6 seconds',100,1,0),
(280876,10105633,'Inflicts 171 - 286 disease damage on target',100,1,1),
(280877,10105633,'Inflicts 171 - 286 disease damage on target',100,1,2),
(280878,122488,'Inflicts 245 - 408 mental damage on targets in Area of Effect',100,1,0),
(280879,10122488,'Inflicts 294 - 490 mental damage on targets in Area of Effect',100,1,0),
(280880,24426,'Adds Golem-Ice (Dirge) to your Dungeon Maker toolbox',100,0,0),
(280881,10024426,'Adds Golem-Ice (Dirge) to your Dungeon Maker toolbox',100,0,0),
(280882,103829,'Increases Ability Casting Speed of raid and group members (AE) by 7.6%',100,1,0),
(280883,103829,'Increases Attack Speed of raid and group members (AE) by 19.0',100,1,1),
(280884,10103829,'Increases Ability Casting Speed of raid and group members (AE) by 7.6%',100,1,0),
(280885,10103829,'Increases Attack Speed of raid and group members (AE) by 19.0',100,1,1),
(280886,157782,'When Equipped:',100,0,0),
(280887,157782,'On a hit this spell may cast Blind Rage on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(280888,157782,'Increases power of caster by 107',100,2,2),
(280889,157782,'Cannot be modified except by direct means',100,2,3),
(280890,10157782,'When Equipped:',100,0,0),
(280891,10157782,'On a hit this spell may cast Blind Rage on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(280892,10157782,'Increases power of caster by 107',100,2,2),
(280893,10157782,'Cannot be modified except by direct means',100,2,3),
(280894,75497,'When Equipped:',100,0,0),
(280895,75497,'On a critical healing spell cast this spell may cast Shielding Ripple V on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280896,75497,'Heals target for 316 - 349 instantly and every 2 seconds',100,2,2),
(280897,75497,'Wards target against 300 points of all damage',100,2,3),
(280898,75497,'Must not be engaged in pvp combat',100,2,4),
(280899,75497,'Cannot be modified except by direct means',100,2,5),
(280900,75497,'Must not be engaged in pvp combat',100,1,6),
(280901,10075497,'When Equipped:',100,0,0),
(280902,10075497,'On a critical healing spell cast this spell may cast Shielding Ripple V on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280903,10075497,'Heals target for 205 - 227 instantly and every 2 seconds',100,2,2),
(280904,10075497,'Wards target against 300 points of all damage',100,2,3),
(280905,10075497,'Must not be engaged in pvp combat',100,2,4),
(280906,10075497,'Cannot be modified except by direct means',100,2,5),
(280907,10075497,'Must not be engaged in pvp combat',100,1,6),
(280908,82569,'When Equipped:',100,0,0),
(280909,82569,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(280910,82569,'Inflicts 79 - 146 magic damage on target',100,2,2),
(280911,82569,'Decreases Threat to target by 259 ',100,2,3),
(280912,82569,'Must be flanking or behind',100,3,4),
(280913,82569,'Increases Threat to target by 453 ',100,2,5),
(280914,82569,'Must be in front of',100,3,6),
(280915,82569,'Cannot be modified except by direct means',100,2,7),
(280916,10082569,'When Equipped:',100,0,0),
(280917,10082569,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(280918,10082569,'Inflicts 94 - 175 magic damage on target',100,2,2),
(280919,10082569,'Cannot be modified except by direct means',100,2,3),
(280920,45175,'Applies Summon Clockwork Duck when Activated.',100,0,0),
(280921,45175,'Summons a pet Quacker Yig',100,1,1),
(280922,10045175,'Applies Summon Clockwork Duck when Activated.',100,0,0),
(280923,10045175,'Summons a pet Quacker Yig',100,1,1),
(280924,115706,'Inflicts 28 - 47 ranged damage on target',100,1,0),
(280925,115706,'Inflicts 28 - 47 ranged damage on target',100,1,1),
(280926,115706,'If weapon equipped in Ranged',100,1,2),
(280927,10115706,'Inflicts 21 - 35 ranged damage on target',100,1,0),
(280928,10115706,'Inflicts 21 - 35 ranged damage on target',100,1,1),
(280929,10115706,'If weapon equipped in Ranged',100,1,2),
(280930,45934,'Applies Call Dervish Destrier when Activated.',100,0,0),
(280931,45934,'Increases Piercing and Focus of caster by 4.7',100,1,1),
(280932,45934,'Summons a mount to ride',100,1,2),
(280933,45934,'Increases your ground speed by 130%',100,2,3),
(280934,45934,'Increases Crushing and Slashing of caster by 4.7',100,1,4),
(280935,10045934,'Applies Call Dervish Destrier when Activated.',100,0,0),
(280936,10045934,'Increases Piercing and Focus of caster by 4.7',100,1,1),
(280937,10045934,'Summons a mount to ride',100,1,2),
(280938,10045934,'Increases your ground speed by 130%',100,2,3),
(280939,10045934,'Increases Crushing and Slashing of caster by 4.7',100,1,4),
(280940,105813,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(280941,105813,'Inflicts 38 - 64 disease damage on target',100,2,1),
(280942,10105813,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(280943,10105813,'Inflicts 46 - 77 disease damage on target',100,2,1),
(280944,101993,'Summons 3 limited pets to aid the caster',100,1,0),
(280945,10101993,'Summons 3 limited pets to aid the caster',100,1,0),
(280946,109327,'Increases STR of caster by 50.6',100,1,0),
(280947,109327,'Decreases Defense of caster by 9.0',100,1,1),
(280948,109327,'Increases Slashing, Piercing and Crushing of caster by 14.9',100,1,2),
(280949,10109327,'Increases STR of caster by 50.6',100,1,0),
(280950,10109327,'Decreases Defense of caster by 9.0',100,1,1),
(280951,10109327,'Increases Slashing, Piercing and Crushing of caster by 14.9',100,1,2),
(280952,144287,'When Equipped:',100,0,0),
(280953,144287,'Increases the caster''s heals and wards by 5%.',100,1,1),
(280954,144287,'Must not be engaged in pvp combat',100,1,2),
(280955,10144287,'When Equipped:',100,0,0),
(280956,10144287,'Increases the caster''s heals and wards by 5%.',100,1,1),
(280957,10144287,'Must not be engaged in pvp combat',100,1,2),
(280958,47314,'Applies Starpyre''s Invigoration  when Activated.',100,0,0),
(280959,47314,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(280960,10047314,'Applies Starpyre''s Invigoration  when Activated.',100,0,0),
(280961,10047314,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(280962,47822,'Applies essence of health when Activated.',100,0,0),
(280963,47822,'Heals caster for 1319',100,1,1),
(280964,10047822,'Applies essence of health when Activated.',100,0,0),
(280965,10047822,'Heals caster for 1543',100,1,1),
(280966,47959,'Applies Draw upon Essence when Activated.',100,0,0),
(280967,47959,'Increases power of caster by 357',100,1,1),
(280968,47959,'Requires 715 Health to cast.',100,1,2),
(280969,10047959,'Applies Draw upon Essence when Activated.',100,0,0),
(280970,10047959,'Increases power of caster by 357',100,1,1),
(280971,10047959,'Requires 715 Health to cast.',100,1,2),
(280972,182243,'When Equipped:',100,0,0),
(280973,182243,'Increases Attack Speed of caster by 45.0',100,1,1),
(280974,10182243,'When Equipped:',100,0,0),
(280975,10182243,'Increases Attack Speed of caster by 45.0',100,1,1),
(280976,35042,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,0),
(280977,35042,'This effect suspends during combat',100,0,1),
(280978,158733,'When Equipped:',100,0,0),
(280979,158733,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280980,158733,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(280981,158733,'Cannot be modified except by direct means',100,2,3),
(280982,10158733,'When Equipped:',100,0,0),
(280983,10158733,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(280984,10158733,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(280985,10158733,'Cannot be modified except by direct means',100,2,3),
(280986,24231,'Adds Crushbone: Teir''Dal Throne to your Dungeon Maker toolbox',100,0,0),
(280987,10024231,'Adds Crushbone: Teir''Dal Throne to your Dungeon Maker toolbox',100,0,0),
(280988,113302,'Inflicts 459 - 765 heat damage on target',100,1,0),
(280989,10113302,'Inflicts 835 - 1391 heat damage on target',100,1,0),
(280990,164650,'Applies Mis-Calibrated Gnomish Crosstrainers when Activated.  Lasts for 30.0 seconds.',100,0,0),
(280991,164650,'Heals caster for 17.0% of max health',15,1,1),
(280992,164650,'Increases speed of caster by 10.0%',100,1,2),
(280993,164650,'The reuse time of Mis-Calibrated Gnomish Crosstrainers is 10 minutes',100,1,3),
(280994,10164650,'Applies Mis-Calibrated Gnomish Crosstrainers when Activated.  Lasts for 30.0 seconds.',100,0,0),
(280995,10164650,'Heals caster for 11.0% of max health',15,1,1),
(280996,10164650,'Increases speed of caster by 10.0%',100,1,2),
(280997,10164650,'The reuse time of Mis-Calibrated Gnomish Crosstrainers is 10 minutes',100,1,3),
(280998,122645,'Heals target for 312 - 381 every 2 seconds',100,1,0),
(280999,122645,'Wards target against 918 points of all damage',100,1,1),
(281000,122645,'Decreases Attack Speed of target by 25.0',100,1,2),
(281001,122645,'Slows target by 50.0%',100,1,3),
(281002,10122645,'Heals target for 365 - 446 every 2 seconds',100,1,0),
(281003,10122645,'Wards target against 918 points of all damage',100,1,1),
(281004,10122645,'Decreases Attack Speed of target by 25.0',100,1,2),
(281005,10122645,'Slows target by 20.0%',100,1,3),
(281006,122306,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(281007,122306,'Inflicts 303 - 370 mental damage on target',100,2,1),
(281008,122306,'Grants a total of 3 triggers of the spell.',100,2,2),
(281009,10122306,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(281010,10122306,'Inflicts 363 - 444 mental damage on target',100,2,1),
(281011,10122306,'Grants a total of 3 triggers of the spell.',100,2,2),
(281012,26135,'When Equipped:',100,0,0),
(281013,26135,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281014,26135,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(281015,10026135,'When Equipped:',100,0,0),
(281016,10026135,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281017,10026135,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(281018,82826,'When Equipped:',100,0,0),
(281019,82826,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281020,82826,'Inflicts 205 - 381 magic damage on target',100,2,2),
(281021,82826,'Cannot be modified except by direct means',100,2,3),
(281022,10082826,'When Equipped:',100,0,0),
(281023,10082826,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281024,10082826,'Inflicts 246 - 457 magic damage on target',100,2,2),
(281025,10082826,'Cannot be modified except by direct means',100,2,3),
(281026,106856,'Decreases Crushing, Piercing, Slashing and Ranged of target by 49.3',100,1,0),
(281027,10106856,'Decreases Crushing, Piercing, Slashing and Ranged of target by 49.3',100,1,0),
(281028,24308,'Adds Drachnid (Assassin) to your Dungeon Maker toolbox',100,0,0),
(281029,10024308,'Adds Drachnid (Assassin) to your Dungeon Maker toolbox',100,0,0),
(281030,105898,'Inflicts 244 - 406 ranged damage on target',100,1,0),
(281031,105898,'Inflicts 244 - 406 ranged damage on target',100,1,1),
(281032,105898,'If weapon equipped in Ranged',100,1,2),
(281033,10105898,'Inflicts 183 - 305 ranged damage on target',100,1,0),
(281034,10105898,'Inflicts 183 - 305 ranged damage on target',100,1,1),
(281035,10105898,'If weapon equipped in Ranged',100,1,2),
(281036,159868,'Applies Sanguine Imbued when Equipped.',100,0,0),
(281037,159868,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(281038,159868,'Inflicts 169 heat damage on target',100,2,2),
(281039,159868,'Cannot be modified except by direct means',100,2,3),
(281040,10159868,'Applies Sanguine Imbued when Equipped.',100,0,0),
(281041,10159868,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(281042,10159868,'Inflicts 203 heat damage on target',100,2,2),
(281043,10159868,'Cannot be modified except by direct means',100,2,3),
(281044,41603,'When Equipped:',100,0,0),
(281045,41603,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(281046,41603,'Inflicts 265 - 492 magic damage on target',100,2,2),
(281047,41603,'Decreases Threat to target by 994 ',100,2,3),
(281048,41603,'Must be flanking or behind',100,3,4),
(281049,41603,'Increases Threat to target by 1,454 ',100,2,5),
(281050,41603,'Must be in front of',100,3,6),
(281051,41603,'Cannot be modified except by direct means',100,2,7),
(281052,10041603,'When Equipped:',100,0,0),
(281053,10041603,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(281054,10041603,'Inflicts 318 - 591 magic damage on target',100,2,2),
(281055,10041603,'Cannot be modified except by direct means',100,2,3),
(281056,100425,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(281057,100425,'Inflicts 90 - 150 slashing damage on target',100,2,1),
(281058,100425,'Increases Threat to target by 569 ',100,2,2),
(281059,100425,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(281060,100425,'Increases Threat to target by 569 ',100,2,4),
(281061,100425,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1179',100,1,5),
(281062,10100425,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(281063,10100425,'Inflicts 108 - 180 slashing damage on target',100,2,1),
(281064,10100425,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(281065,10100425,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1179',100,1,3),
(281066,111293,'Inflicts 173 - 288 divine damage on target',100,1,0),
(281067,111293,'Inflicts 69 - 116 divine damage on target every 4 seconds',100,1,1),
(281068,10111293,'Inflicts 207 - 346 divine damage on target',100,1,0),
(281069,10111293,'Inflicts 83 - 139 divine damage on target every 4 seconds',100,1,1),
(281070,104452,'Inflicts 103 - 126 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(281071,104452,'Interrupts target encounter',100,1,1),
(281072,104452,'Applies Stumble on termination.',100,1,2),
(281073,104452,'Interrupts target',100,2,3),
(281074,10104452,'Inflicts 123 - 151 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(281075,10104452,'Interrupts target encounter',100,1,1),
(281076,10104452,'Applies Stumble on termination.',100,1,2),
(281077,10104452,'Interrupts target',100,2,3),
(281078,36903,'Increases Max Power of target by 68.2',100,0,0),
(281079,36903,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(281080,48781,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(281081,48781,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(281082,48781,'Inflicts 63 poison damage on target instantly and every 6 seconds',100,2,2),
(281083,48781,'Inflicts 122 poison damage on target',100,2,3),
(281084,48781,'Cannot be modified except by direct means',100,2,4),
(281085,48781,'Grants a total of 200 triggers of the spell.',100,2,5),
(281086,10048781,'Applies enlightened preservation when Activated.  Lasts for 12 hours.',100,0,0),
(281087,10048781,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(281088,10048781,'Inflicts 57 poison damage on target instantly and every 6 seconds',100,2,2),
(281089,10048781,'Inflicts 110 poison damage on target',100,2,3),
(281090,10048781,'Cannot be modified except by direct means',100,2,4),
(281091,10048781,'Grants a total of 200 triggers of the spell.',100,2,5),
(281092,151892,'When Equipped:',100,0,0),
(281093,151892,'Increases base Healing amount by 5%.',100,1,1),
(281094,10151892,'When Equipped:',100,0,0),
(281095,10151892,'Increases base Healing amount by 5%.',100,1,1),
(281096,71819,'When Equipped:',100,0,0),
(281097,71819,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281098,71819,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(281099,71819,'Cannot be modified except by direct means',100,2,3),
(281100,10071819,'When Equipped:',100,0,0),
(281101,10071819,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281102,10071819,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(281103,10071819,'Cannot be modified except by direct means',100,2,3),
(281104,115048,'Heals target for 1082 - 1322',100,1,0),
(281105,10115048,'Heals target for 1515 - 1852',100,1,0),
(281106,106533,'Inflicts 2791 - 4651 melee damage on target',100,1,0),
(281107,106533,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(281108,106533,'If Target is Standard or weaker',100,2,2),
(281109,10106533,'Inflicts 1674 - 2791 melee damage on target',100,1,0),
(281110,37406,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(281111,100337,'Increases Max Health of target by 49.9',100,1,0),
(281112,100337,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.4',100,1,1),
(281113,10100337,'Increases Max Health of target by 49.9',100,1,0),
(281114,10100337,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.4',100,1,1),
(281115,116717,'Inflicts 279 - 465 melee damage on target',100,1,0),
(281116,10116717,'Inflicts 335 - 558 melee damage on target',100,1,0),
(281117,118348,'Inflicts 97 - 163 melee damage on target',100,1,0),
(281118,118348,'Inflicts 98 - 163 heat damage on target every 4 seconds',100,1,1),
(281119,10118348,'Inflicts 117 - 195 melee damage on target',100,1,0),
(281120,10118348,'Inflicts 117 - 196 heat damage on target every 4 seconds',100,1,1),
(281121,103561,'Increases In-Combat Power Regeneration of group members (AE) by 33.5',100,1,0),
(281122,10103561,'Increases In-Combat Power Regeneration of group members (AE) by 33.5',100,1,0),
(281123,52027,'When Equipped:',100,0,0),
(281124,52027,'When any damage is received this spell has a 12% chance to cast Rune of A''zkal on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(281125,52027,'Wards caster against 100 points of all damage',100,2,2),
(281126,52027,'Cannot be modified except by direct means',100,2,3),
(281127,10052027,'When Equipped:',100,0,0),
(281128,10052027,'When any damage is received this spell has a 12% chance to cast Rune of A''zkal on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(281129,10052027,'Wards caster against 100 points of all damage',100,2,2),
(281130,10052027,'Cannot be modified except by direct means',100,2,3),
(281131,116674,'Heals group members (AE) for 10.8 - 13.2% of max health',100,1,0),
(281132,116674,'This effect cannot be critically applied.',100,2,1),
(281133,116674,'Increases Max Health of group members (AE) by 242.2',100,1,2),
(281134,116674,'The healing of this spell cannot be modified except by direct means',100,1,3),
(281135,10116674,'Heals group members (AE) for 3.4 - 4.2% of max health',100,1,0),
(281136,10116674,'This effect cannot be critically applied.',100,2,1),
(281137,10116674,'Increases Max Health of group members (AE) by 242.2',100,1,2),
(281138,10116674,'The healing of this spell cannot be modified except by direct means',100,1,3),
(281139,113868,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(281140,113868,'Increases power of caster by 587',100,2,1),
(281141,113868,'Grants a total of 3 triggers of the spell.',100,2,2),
(281142,10113868,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(281143,10113868,'Increases power of caster by 587',100,2,1),
(281144,10113868,'Grants a total of 3 triggers of the spell.',100,2,2),
(281145,100062,'Decreases STR, AGI and WIS of target by 114.4',100,1,0),
(281146,10100062,'Decreases STR, AGI and WIS of target by 114.4',100,1,0),
(281147,87201,'When Equipped:',100,0,0),
(281148,87201,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281149,87201,'Inflicts 51 - 76 magic damage on target',100,2,2),
(281150,87201,'Cannot be modified except by direct means',100,2,3),
(281151,10087201,'When Equipped:',100,0,0),
(281152,10087201,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281153,10087201,'Inflicts 61 - 91 magic damage on target',100,2,2),
(281154,10087201,'Cannot be modified except by direct means',100,2,3),
(281155,123255,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(281156,123255,'Increases Mitigation of group members (AE) vs noxious damage by 806',100,1,1),
(281157,10123255,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(281158,10123255,'Increases Mitigation of group members (AE) vs noxious damage by 806',100,1,1),
(281159,104226,'Decreases WIS of target encounter by 51.7',100,1,0),
(281160,104226,'Inflicts 83 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(281161,10104226,'Decreases WIS of target encounter by 51.7',100,1,0),
(281162,10104226,'Inflicts 100 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(281163,138674,'When Equipped:',100,0,0),
(281164,138674,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(281165,138674,'Increases Damage Per Second of caster by 10.0',100,2,2),
(281166,138674,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(281167,138674,'Cannot be modified except by direct means',100,2,4),
(281168,10138674,'When Equipped:',100,0,0),
(281169,10138674,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(281170,10138674,'Increases Damage Per Second of caster by 10.0',100,2,2),
(281171,10138674,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(281172,10138674,'Cannot be modified except by direct means',100,2,4),
(281173,157093,'When Equipped:',100,0,0),
(281174,157093,'On a combat hit this spell may cast Infuriating Shout II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(281175,157093,'Increases Threat to target by 831 ',100,2,2),
(281176,157093,'Cannot be modified except by direct means',100,2,3),
(281177,10157093,'When Equipped:',100,0,0),
(281178,10157093,'On a combat hit this spell may cast Infuriating Shout II on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(281179,10157093,'Cannot be modified except by direct means',100,2,2),
(281180,71453,'When Equipped:',100,0,0),
(281181,71453,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281182,71453,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(281183,71453,'Cannot be modified except by direct means',100,2,3),
(281184,10071453,'When Equipped:',100,0,0),
(281185,10071453,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281186,10071453,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(281187,10071453,'Cannot be modified except by direct means',100,2,3),
(281188,104560,'Inflicts 117 - 196 disease damage on target',100,1,0),
(281189,104560,'Decreases WIS of target by 46.8',100,1,1),
(281190,10104560,'Inflicts 141 - 235 disease damage on target',100,1,0),
(281191,10104560,'Decreases WIS of target by 46.8',100,1,1),
(281192,45084,'Applies Toss the Beehive when Activated.  Lasts for 9.0 seconds.',100,0,0),
(281193,45084,'This hive of bees may tempt and harm some wild creatures.',100,1,1),
(281194,45084,'If target is Tangrin',100,1,2),
(281195,10045084,'Applies Toss the Beehive when Activated.  Lasts for 9.0 seconds.',100,0,0),
(281196,10045084,'This hive of bees may tempt and harm some wild creatures.',100,1,1),
(281197,10045084,'If target is Tangrin',100,1,2),
(281198,116259,'Summons a pet Illusion Ally',100,1,0),
(281199,10116259,'Summons a pet Illusion Ally',100,1,0),
(281200,81779,'When Equipped:',100,0,0),
(281201,81779,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281202,81779,'Inflicts 97 - 180 magic damage on target',100,2,2),
(281203,81779,'Cannot be modified except by direct means',100,2,3),
(281204,10081779,'When Equipped:',100,0,0),
(281205,10081779,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281206,10081779,'Inflicts 116 - 216 magic damage on target',100,2,2),
(281207,10081779,'Cannot be modified except by direct means',100,2,3),
(281208,153936,'When Equipped:',100,0,0),
(281209,153936,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(281210,153936,'Increases Damage Per Second of caster by 15.0',100,2,2),
(281211,153936,'Cannot be modified except by direct means',100,2,3),
(281212,153936,'Increases Ability Modifier of caster by 30.0',100,1,4),
(281213,10153936,'When Equipped:',100,0,0),
(281214,10153936,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(281215,10153936,'Increases Damage Per Second of caster by 15.0',100,2,2),
(281216,10153936,'Cannot be modified except by direct means',100,2,3),
(281217,10153936,'Increases Ability Modifier of caster by 30.0',100,1,4),
(281218,75158,'When Equipped:',100,0,0),
(281219,75158,'On any combat or spell hit this spell may cast Terrestrial Smite on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(281220,75158,'Inflicts 3972 magic damage on target',100,2,2),
(281221,75158,'Cannot be modified except by direct means',100,2,3),
(281222,10075158,'When Equipped:',100,0,0),
(281223,10075158,'On any combat or spell hit this spell may cast Terrestrial Smite on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(281224,10075158,'Inflicts 3972 magic damage on target',100,2,2),
(281225,10075158,'Cannot be modified except by direct means',100,2,3),
(281226,114482,'Inflicts 58 - 78 mental damage on target',100,1,0),
(281227,10114482,'Inflicts 70 - 94 mental damage on target',100,1,0),
(281228,178632,'When Equipped:',100,0,0),
(281229,178632,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(281230,178632,'Stifles target',100,2,2),
(281231,178632,'Does not affect Epic targets',100,2,3),
(281232,178632,'Resistibility increases against targets higher than level 77.',100,2,4),
(281233,178632,'Cannot be modified except by direct means',100,2,5),
(281234,10178632,'When Equipped:',100,0,0),
(281235,10178632,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(281236,10178632,'Stifles target',100,2,2),
(281237,10178632,'Does not affect Epic targets',100,2,3),
(281238,10178632,'Resistibility increases against targets higher than level 77.',100,2,4),
(281239,10178632,'Cannot be modified except by direct means',100,2,5),
(281240,112361,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(281241,112361,'Inflicts 316 - 527 piercing damage on target',100,2,1),
(281242,10112361,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(281243,10112361,'Inflicts 199 - 332 piercing damage on target',100,2,1),
(281244,122026,'Increases Threat to target by 56 - 69 ',100,1,0),
(281245,122026,'Inflicts 4 - 8 melee damage on target',100,1,1),
(281246,10122026,'Forces target to change their selected target to caster.',100,1,0),
(281247,10122026,'Inflicts 5 - 9 melee damage on target',100,1,1),
(281248,47055,'Applies Minor Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(281249,47055,'Increases AA XP Gain of caster by 25.0%',100,1,1),
(281250,47055,'Increases Combat XP Gain of caster by 25.0%',100,1,2),
(281251,47055,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,3),
(281252,47055,'You can only have one experience potion active at a time.',100,1,4),
(281253,10047055,'Applies Minor Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(281254,10047055,'Increases AA XP Gain of caster by 25.0%',100,1,1),
(281255,10047055,'Increases Combat XP Gain of caster by 25.0%',100,1,2),
(281256,10047055,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,3),
(281257,10047055,'You can only have one experience potion active at a time.',100,1,4),
(281258,73260,'Applies Frost Blast when Activated.',100,0,0),
(281259,73260,'Inflicts 78 - 129 cold damage on target',100,1,1),
(281260,73260,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(281261,10073260,'Applies Frost Blast when Activated.',100,0,0),
(281262,10073260,'Inflicts 93 - 155 cold damage on target',100,1,1),
(281263,10073260,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(281264,114120,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(281265,114120,'Increases Mitigation of group members (AE) vs elemental damage by 205',100,1,1),
(281266,10114120,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(281267,10114120,'Increases Mitigation of group members (AE) vs elemental damage by 205',100,1,1),
(281268,87390,'When Equipped:',100,0,0),
(281269,87390,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281270,87390,'Inflicts 127 - 190 magic damage on target',100,2,2),
(281271,87390,'Cannot be modified except by direct means',100,2,3),
(281272,10087390,'When Equipped:',100,0,0),
(281273,10087390,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281274,10087390,'Inflicts 152 - 228 magic damage on target',100,2,2),
(281275,10087390,'Cannot be modified except by direct means',100,2,3),
(281276,173459,'When Equipped:',100,0,0),
(281277,173459,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(281278,173459,'Heals group members (AE) for 1161',100,2,2),
(281279,173459,'Cannot be modified except by direct means',100,2,3),
(281280,10173459,'When Equipped:',100,0,0),
(281281,10173459,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(281282,10173459,'Heals group members (AE) for 1358',100,2,2),
(281283,10173459,'Cannot be modified except by direct means',100,2,3),
(281284,89766,'When Equipped:',100,0,0),
(281285,89766,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(281286,89766,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(281287,89766,'Decreases Threat to target by 4,441 - 4,908 ',100,2,3),
(281288,89766,'Inflicts 2278 - 2517 mental damage on target',100,2,4),
(281289,89766,'Must not be engaged in pvp combat',100,2,5),
(281290,89766,'Cannot be modified except by direct means',100,2,6),
(281291,89766,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(281292,89766,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(281293,89766,'Inflicts 2278 - 2517 mental damage on target',100,2,9),
(281294,89766,'Must not be engaged in pvp combat',100,2,10),
(281295,89766,'Cannot be modified except by direct means',100,2,11),
(281296,89766,'Cannot be modified except by direct means',100,1,12),
(281297,89766,'When Equipped:',100,0,13),
(281298,89766,'This effect will not stack with any rank or tier of itself.',100,1,14),
(281299,89766,'Increases Crit Bonus of caster by 4.0%',100,1,15),
(281300,89766,'Cannot be modified except by direct means',100,1,16),
(281301,10089766,'When Equipped:',100,0,0),
(281302,10089766,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(281303,10089766,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(281304,10089766,'Inflicts 2733 - 3021 mental damage on target',100,2,3),
(281305,10089766,'Must not be engaged in pvp combat',100,2,4),
(281306,10089766,'Cannot be modified except by direct means',100,2,5),
(281307,10089766,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(281308,10089766,'Inflicts 2733 - 3021 mental damage on target',100,2,7),
(281309,10089766,'Must not be engaged in pvp combat',100,2,8),
(281310,10089766,'Cannot be modified except by direct means',100,2,9),
(281311,10089766,'Cannot be modified except by direct means',100,1,10),
(281312,10089766,'When Equipped:',100,0,11),
(281313,10089766,'This effect will not stack with any rank or tier of itself.',100,1,12),
(281314,10089766,'Increases Crit Bonus of caster by 4.0%',100,1,13),
(281315,10089766,'Cannot be modified except by direct means',100,1,14),
(281316,142974,'When Equipped:',100,0,0),
(281317,142974,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(281318,142974,'Heals group members (AE) for 391',100,2,2),
(281319,142974,'Cannot be modified except by direct means',100,2,3),
(281320,142974,'Cannot be modified except by direct means',100,1,4),
(281321,10142974,'When Equipped:',100,0,0),
(281322,10142974,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(281323,10142974,'Heals group members (AE) for 254',100,2,2),
(281324,10142974,'Cannot be modified except by direct means',100,2,3),
(281325,10142974,'Cannot be modified except by direct means',100,1,4),
(281326,82926,'When Equipped:',100,0,0),
(281327,82926,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281328,82926,'Inflicts 228 - 423 magic damage on target',100,2,2),
(281329,82926,'Cannot be modified except by direct means',100,2,3),
(281330,10082926,'When Equipped:',100,0,0),
(281331,10082926,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281332,10082926,'Inflicts 273 - 508 magic damage on target',100,2,2),
(281333,10082926,'Cannot be modified except by direct means',100,2,3),
(281334,117667,'Decreases Mitigation of target vs physical damage by 456',100,1,0),
(281335,10117667,'Decreases Mitigation of target vs physical damage by 228',100,1,0),
(281336,81576,'When Equipped:',100,0,0),
(281337,81576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281338,81576,'Inflicts 101 - 188 magic damage on target',100,2,2),
(281339,81576,'Cannot be modified except by direct means',100,2,3),
(281340,10081576,'When Equipped:',100,0,0),
(281341,10081576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281342,10081576,'Inflicts 121 - 225 magic damage on target',100,2,2),
(281343,10081576,'Cannot be modified except by direct means',100,2,3),
(281344,101292,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(281345,101292,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,1),
(281346,10101292,'Increases Max Health of group members (AE) by 401.9',100,1,0),
(281347,10101292,'Increases Mitigation of group members (AE) vs physical damage by 666',100,1,1),
(281348,121121,'Decreases Threat to targets in Area of Effect by 4,365 ',100,1,0),
(281349,121121,'Mesmerizes targets in Area of Effect',100,1,1),
(281350,121121,'If Target is not Epic',100,2,2),
(281351,121121,'Dispelled when target takes damage',100,1,3),
(281352,10121121,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(281353,10121121,'Applies Distract.',100,1,1),
(281354,10121121,'Forces target to clear their selected target.',100,2,2),
(281355,10121121,'Mesmerizes targets in Area of Effect',100,1,3),
(281356,10121121,'If Target is not Epic',100,2,4),
(281357,10121121,'Dispelled when target takes damage',100,1,5),
(281358,103335,'Inflicts 95 - 116 mental damage on target instantly and every 6 seconds',100,1,0),
(281359,103335,'Applies Migraine on termination.',100,1,1),
(281360,103335,'Inflicts 208 - 281 mental damage on target',100,2,2),
(281361,10103335,'Inflicts 114 - 140 mental damage on target instantly and every 6 seconds',100,1,0),
(281362,10103335,'Applies Migraine on termination.',100,1,1),
(281363,10103335,'Inflicts 249 - 337 mental damage on target',100,2,2),
(281364,122191,'Inflicts 229 - 279 cold damage on target instantly and every 2 seconds',100,1,0),
(281365,122191,'Inflicts 229 - 279 cold damage on target instantly and every 2 seconds',100,1,1),
(281366,122191,'If target is elemental',100,2,2),
(281367,10122191,'Inflicts 274 - 335 cold damage on target instantly and every 2 seconds',100,1,0),
(281368,134550,'When Equipped:',100,0,0),
(281369,134550,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(281370,134550,'Increases STA of target by 6.4',100,2,2),
(281371,134550,'Cannot be modified except by direct means',100,2,3),
(281372,10134550,'When Equipped:',100,0,0),
(281373,10134550,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(281374,10134550,'Increases STA of target by 6.4',100,2,2),
(281375,10134550,'Cannot be modified except by direct means',100,2,3),
(281376,114302,'Heals target for 706 - 862',100,1,0),
(281377,10114302,'Heals target for 829 - 1014',100,1,0),
(281378,118973,'Applies Sacrifice.',100,1,0),
(281379,118973,'Heals group members (AE) for 1085',100,2,1),
(281380,118973,'Increases power of group members (AE) by 310',100,2,2),
(281381,118973,'Stuns target',100,1,3),
(281382,10118973,'Stuns target',100,1,0),
(281383,10118973,'Applies Sacrifice.',100,1,1),
(281384,10118973,'Increases power of group members (AE) by 310',100,2,2),
(281385,10118973,'Heals group members (AE) for 1512',100,2,3),
(281386,106945,'Inflicts 264 - 490 poison damage on target',100,1,0),
(281387,10106945,'Inflicts 317 - 588 poison damage on target',100,1,0),
(281388,81644,'When Equipped:',100,0,0),
(281389,81644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281390,81644,'Inflicts 112 - 208 magic damage on target',100,2,2),
(281391,81644,'Cannot be modified except by direct means',100,2,3),
(281392,10081644,'When Equipped:',100,0,0),
(281393,10081644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281394,10081644,'Inflicts 135 - 250 magic damage on target',100,2,2),
(281395,10081644,'Cannot be modified except by direct means',100,2,3),
(281396,118843,'Inflicts 60 - 181 melee damage on target',100,1,0),
(281397,10118843,'Inflicts 72 - 217 melee damage on target',100,1,0),
(281398,109351,'Increases STR of caster by 221.8',100,1,0),
(281399,109351,'Decreases Defense of caster by 29.8',100,1,1),
(281400,109351,'Increases Slashing, Piercing and Crushing of caster by 65.1',100,1,2),
(281401,10109351,'Increases STR of caster by 221.8',100,1,0),
(281402,10109351,'Decreases Defense of caster by 29.8',100,1,1),
(281403,10109351,'Increases Slashing, Piercing and Crushing of caster by 65.1',100,1,2),
(281404,47459,'Applies Overclocked Automated Watersafe Net when Activated.  Lasts for 10 days.',100,0,0),
(281405,47459,'Increases Fishing and Trapping of caster by 10.0',100,1,1),
(281406,47459,'Reduces the harvest time for fishing and trapping by .5 seconds.',100,1,2),
(281407,10047459,'Applies Overclocked Automated Watersafe Net when Activated.  Lasts for 10 days.',100,0,0),
(281408,10047459,'Increases Fishing and Trapping of caster by 10.0',100,1,1),
(281409,10047459,'Reduces the harvest time for fishing and trapping by .5 seconds.',100,1,2),
(281410,82775,'When Equipped:',100,0,0),
(281411,82775,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(281412,82775,'Decreases Threat to target by 1,174 ',100,2,2),
(281413,82775,'Must be flanking or behind',100,3,3),
(281414,82775,'Increases Threat to target by 1,634 ',100,2,4),
(281415,82775,'Must be in front of',100,3,5),
(281416,82775,'Inflicts 237 - 440 magic damage on target',100,2,6),
(281417,82775,'Cannot be modified except by direct means',100,2,7),
(281418,10082775,'When Equipped:',100,0,0),
(281419,10082775,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(281420,10082775,'Inflicts 284 - 528 magic damage on target',100,2,2),
(281421,10082775,'Cannot be modified except by direct means',100,2,3),
(281422,106673,'Heals caster for 42.1 - 51.5% of max health',100,1,0),
(281423,106673,'This effect cannot be critically applied.',100,2,1),
(281424,106673,'Increases Max Health of caster by 448.1',100,1,2),
(281425,106673,'The healing of this spell cannot be modified except by direct means',100,1,3),
(281426,10106673,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(281427,10106673,'This effect cannot be critically applied.',100,2,1),
(281428,10106673,'Increases Max Health of caster by 448.1',100,1,2),
(281429,10106673,'The healing of this spell cannot be modified except by direct means',100,1,3),
(281430,24688,'Adds Skeleton (Guardian) to your Dungeon Maker toolbox',100,0,0),
(281431,10024688,'Adds Skeleton (Guardian) to your Dungeon Maker toolbox',100,0,0),
(281432,35110,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(281433,46242,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(281434,46242,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(281435,46242,'Decreases Threat to target by 961 - 1,174 ',100,2,2),
(281436,46242,'Cannot be modified except by direct means',100,2,3),
(281437,46242,'Grants a total of 100 triggers of the spell.',100,2,4),
(281438,10046242,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(281439,10046242,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(281440,10046242,'5% chance to apply Distract.',100,2,2),
(281441,10046242,'Forces target to clear their selected target.',100,3,3),
(281442,10046242,'Cannot be modified except by direct means',100,2,4),
(281443,10046242,'Grants a total of 100 triggers of the spell.',100,2,5),
(281444,25868,'When Equipped:',100,0,0),
(281445,25868,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281446,25868,'Improves the base damage of Taunting Blow VIII by 35% and the base threat amount by 25%.',100,1,2),
(281447,10025868,'When Equipped:',100,0,0),
(281448,10025868,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281449,10025868,'Improves the base damage of Taunting Blow VIII by 35% and the base threat amount by 25%.',100,1,2),
(281450,71539,'When Equipped:',100,0,0),
(281451,71539,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281452,71539,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(281453,71539,'Cannot be modified except by direct means',100,2,3),
(281454,10071539,'When Equipped:',100,0,0),
(281455,10071539,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281456,10071539,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(281457,10071539,'Cannot be modified except by direct means',100,2,3),
(281458,109217,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 26.8',100,1,0),
(281459,10109217,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 26.8',100,1,0),
(281460,101522,'Increases WIS of target by 64.7',100,1,0),
(281461,101522,'Increases Max Health of target by 572.6',100,1,1),
(281462,101522,'Increases Mitigation of target vs elemental, noxious and arcane damage by 176',100,1,2),
(281463,10101522,'Increases WIS of target by 64.7',100,1,0),
(281464,10101522,'Increases Max Health of target by 572.6',100,1,1),
(281465,10101522,'Increases Mitigation of target vs elemental, noxious and arcane damage by 176',100,1,2),
(281466,72206,'When Equipped:',100,0,0),
(281467,72206,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281468,72206,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(281469,72206,'Cannot be modified except by direct means',100,2,3),
(281470,10072206,'When Equipped:',100,0,0),
(281471,10072206,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281472,10072206,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(281473,10072206,'Cannot be modified except by direct means',100,2,3),
(281474,114394,'Mesmerizes target',100,1,0),
(281475,114394,'Prevents AOE (except when direct) ',100,1,1),
(281476,114394,'Dispelled when target takes damage',100,1,2),
(281477,114394,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(281478,114394,'Resistibility increases against targets higher than level 30.',100,1,4),
(281479,10114394,'Mesmerizes target',100,1,0),
(281480,10114394,'Prevents AOE (except when direct) ',100,1,1),
(281481,10114394,'Dispelled when target takes damage',100,1,2),
(281482,10114394,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(281483,10114394,'Resistibility increases against targets higher than level 30.',100,1,4),
(281484,165676,'When Equipped:',100,0,0),
(281485,165676,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(281486,165676,'Increases power of target by 228',100,2,2),
(281487,165676,'Decreases power of caster by 208',100,2,3),
(281488,165676,'Cannot be modified except by direct means',100,2,4),
(281489,10165676,'When Equipped:',100,0,0),
(281490,10165676,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 1.6 times per minute. ',100,1,1),
(281491,10165676,'Increases power of target by 228',100,2,2),
(281492,10165676,'Decreases power of caster by 208',100,2,3),
(281493,10165676,'Cannot be modified except by direct means',100,2,4),
(281494,41606,'When Equipped:',100,0,0),
(281495,41606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281496,41606,'Inflicts 265 - 492 magic damage on target',100,2,2),
(281497,41606,'Cannot be modified except by direct means',100,2,3),
(281498,10041606,'When Equipped:',100,0,0),
(281499,10041606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281500,10041606,'Inflicts 318 - 591 magic damage on target',100,2,2),
(281501,10041606,'Cannot be modified except by direct means',100,2,3),
(281502,111430,'Decreases Attack Speed of caster by 11.3',100,1,0),
(281503,111430,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(281504,111430,'Roots target',100,2,2),
(281505,111430,'5% chance to dispel when target takes damage',100,2,3),
(281506,111430,'5% chance to dispel when target receives hostile action',100,2,4),
(281507,111430,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(281508,111430,'Increases Mitigation of caster vs physical damage by 163',100,1,6),
(281509,10111430,'Decreases Attack Speed of caster by 11.3',100,1,0),
(281510,10111430,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(281511,10111430,'Roots target',100,2,2),
(281512,10111430,'5% chance to dispel when target takes damage',100,2,3),
(281513,10111430,'5% chance to dispel when target receives hostile action',100,2,4),
(281514,10111430,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(281515,10111430,'Increases Mitigation of caster vs physical damage by 163',100,1,6),
(281516,120543,'Decreases Defense of target by 21.4',100,1,0),
(281517,10120543,'Decreases Defense of target by 21.4',100,1,0),
(281518,25332,'When Equipped:',100,0,0),
(281519,25332,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281520,25332,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(281521,10025332,'When Equipped:',100,0,0),
(281522,10025332,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281523,10025332,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(281524,47954,'Applies Divine Wrath when Activated.',100,0,0),
(281525,47954,'Inflicts 133 - 222 divine damage on target',100,1,1),
(281526,10047954,'Applies Divine Wrath when Activated.',100,0,0),
(281527,10047954,'Inflicts 160 - 266 divine damage on target',100,1,1),
(281528,46426,'Applies Pegasus when Activated.',100,0,0),
(281529,46426,'Increases Aggression of caster by 5.0',100,1,1),
(281530,46426,'Summons a mount to ride',100,1,2),
(281531,46426,'Increases your ground speed by 75%',100,2,3),
(281532,46426,'Increases your air speed by 150%',100,2,4),
(281533,46426,'Increases Disruption, Ministration, Subjugation, Ordination, Piercing, Focus, Ranged, Crushing and Slashing of caster by 5.0',100,1,5),
(281534,10046426,'Applies Pegasus when Activated.',100,0,0),
(281535,10046426,'Increases Aggression of caster by 5.0',100,1,1),
(281536,10046426,'Summons a mount to ride',100,1,2),
(281537,10046426,'Increases your ground speed by 75%',100,2,3),
(281538,10046426,'Increases your air speed by 150%',100,2,4),
(281539,10046426,'Increases Disruption, Ministration, Subjugation, Ordination, Piercing, Focus, Ranged, Crushing and Slashing of caster by 5.0',100,1,5),
(281540,108300,'Inflicts 11 - 18 divine damage on target',100,1,0),
(281541,108300,'Heals caster for 6',100,1,1),
(281542,108300,'This effect cannot be critically applied.',100,2,2),
(281543,108300,'The healing of this spell cannot be modified except by direct means',100,1,3),
(281544,10108300,'Inflicts 13 - 22 divine damage on target',100,1,0),
(281545,10108300,'Heals target for 3',100,1,1),
(281546,10108300,'This effect cannot be critically applied.',100,2,2),
(281547,10108300,'The healing of this spell cannot be modified except by direct means',100,1,3),
(281548,46709,'Applies Call Jade Armored Rhino with Teal Saddle when Activated.',100,0,0),
(281549,46709,'Increases Max Health of caster by 150.0',100,1,1),
(281550,46709,'Increases Defense of caster by 5.0',100,1,2),
(281551,46709,'Increases Focus and Slashing of caster by 7.0',100,1,3),
(281552,46709,'Summons a mount to ride',100,1,4),
(281553,46709,'Increases your ground speed by 130%',100,2,5),
(281554,46709,'Increases Piercing, Crushing and Ranged of caster by 7.0',100,1,6),
(281555,10046709,'Applies Call Jade Armored Rhino with Teal Saddle when Activated.',100,0,0),
(281556,10046709,'Increases Max Health of caster by 150.0',100,1,1),
(281557,10046709,'Increases Defense of caster by 5.0',100,1,2),
(281558,10046709,'Increases Focus and Slashing of caster by 7.0',100,1,3),
(281559,10046709,'Summons a mount to ride',100,1,4),
(281560,10046709,'Increases your ground speed by 130%',100,2,5),
(281561,10046709,'Increases Piercing, Crushing and Ranged of caster by 7.0',100,1,6),
(281562,81445,'When Equipped:',100,0,0),
(281563,81445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281564,81445,'Inflicts 80 - 149 magic damage on target',100,2,2),
(281565,81445,'Cannot be modified except by direct means',100,2,3),
(281566,10081445,'When Equipped:',100,0,0),
(281567,10081445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281568,10081445,'Inflicts 96 - 179 magic damage on target',100,2,2),
(281569,10081445,'Cannot be modified except by direct means',100,2,3),
(281570,103780,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',100,1,0),
(281571,10103780,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',100,1,0),
(281572,103893,'Increases power of group members (AE) by 26 instantly and every 6 seconds',100,1,0),
(281573,103893,'Decreases INT of target by 100.2',100,1,1),
(281574,10103893,'Increases power of group members (AE) by 26 instantly and every 6 seconds',100,1,0),
(281575,10103893,'Decreases INT of target by 100.2',100,1,1),
(281576,74758,'When Equipped:',100,0,0),
(281577,74758,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281578,74758,'Inflicts 64 - 96 magic damage on target',100,2,2),
(281579,74758,'Cannot be modified except by direct means',100,2,3),
(281580,10074758,'When Equipped:',100,0,0),
(281581,10074758,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281582,10074758,'Inflicts 77 - 115 magic damage on target',100,2,2),
(281583,10074758,'Cannot be modified except by direct means',100,2,3),
(281584,112913,'Increases Damage Per Second of caster by 56.4',100,1,0),
(281585,112913,'Increases Ranged of caster by 24.3',100,1,1),
(281586,10112913,'Increases Damage Per Second of caster by 56.4',100,1,0),
(281587,10112913,'Increases Ranged of caster by 24.3',100,1,1),
(281588,80248,'When Equipped:',100,0,0),
(281589,80248,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281590,80248,'Inflicts 152 - 283 magic damage on target',100,2,2),
(281591,80248,'Cannot be modified except by direct means',100,2,3),
(281592,10080248,'When Equipped:',100,0,0),
(281593,10080248,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281594,10080248,'Inflicts 183 - 339 magic damage on target',100,2,2),
(281595,10080248,'Cannot be modified except by direct means',100,2,3),
(281596,48155,'Applies Feux d''Artifice when Activated.  Lasts for 3.0 seconds.',100,0,0),
(281597,48155,'Launches a firework when used.',100,1,1),
(281598,10048155,'Applies Feux d''Artifice when Activated.  Lasts for 3.0 seconds.',100,0,0),
(281599,10048155,'Launches a firework when used.',100,1,1),
(281600,117079,'Summons 4 limited pets to aid the caster',100,1,0),
(281601,10117079,'Summons 4 limited pets to aid the caster',100,1,0),
(281602,103677,'Interrupts target',100,1,0),
(281603,103677,'Inflicts 277 - 462 melee damage on target',100,1,1),
(281604,103677,'Must be flanking or behind',100,1,2),
(281605,10103677,'Interrupts target',100,1,0),
(281606,10103677,'Inflicts 332 - 554 melee damage on target',100,1,1),
(281607,10103677,'Must be flanking or behind',100,1,2),
(281608,120449,'Inflicts 372 - 620 melee damage on target',100,1,0),
(281609,120449,'Inflicts 372 - 620 melee damage on target',100,1,1),
(281610,10120449,'Inflicts 446 - 744 melee damage on target',100,1,0),
(281611,10120449,'Inflicts 446 - 744 melee damage on target',100,1,1),
(281612,105045,'Inflicts 48 - 80 divine damage on targets in Area of Effect',100,1,0),
(281613,10105045,'Inflicts 57 - 96 divine damage on targets in Area of Effect',100,1,0),
(281614,121539,'Inflicts 730 - 1216 melee damage on target',100,1,0),
(281615,121539,'Stuns target',100,1,1),
(281616,121539,'If Target is not Epic',100,2,2),
(281617,121539,'Resistibility increases against targets higher than level 111.',100,1,3),
(281618,10121539,'Inflicts 876 - 1460 melee damage on target',100,1,0),
(281619,10121539,'Stuns target',100,1,1),
(281620,10121539,'If Target is not Epic',100,2,2),
(281621,10121539,'Resistibility increases against targets higher than level 111.',100,1,3),
(281622,40979,'When Equipped:',100,0,0),
(281623,40979,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(281624,40979,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(281625,40979,'Must not be engaged in pvp combat',100,2,3),
(281626,40979,'Cannot be modified except by direct means',100,2,4),
(281627,40979,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(281628,40979,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(281629,40979,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(281630,40979,'Must not be engaged in pvp combat',100,2,8),
(281631,40979,'Cannot be modified except by direct means',100,2,9),
(281632,40979,'Cannot be modified except by direct means',100,1,10),
(281633,10040979,'When Equipped:',100,0,0),
(281634,10040979,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(281635,10040979,'Increases Crit Bonus of caster by 11.0%',100,2,2),
(281636,10040979,'Must not be engaged in pvp combat',100,2,3),
(281637,10040979,'Cannot be modified except by direct means',100,2,4),
(281638,10040979,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(281639,10040979,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(281640,10040979,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(281641,10040979,'Must not be engaged in pvp combat',100,2,8),
(281642,10040979,'Cannot be modified except by direct means',100,2,9),
(281643,10040979,'Cannot be modified except by direct means',100,1,10),
(281644,45282,'Applies Release spybot when Activated.',100,0,0),
(281645,45282,'This effect cannot be cast during combat',100,1,1),
(281646,10045282,'Applies Release spybot when Activated.',100,0,0),
(281647,10045282,'This effect cannot be cast during combat',100,1,1),
(281648,120254,'Inflicts 340 - 567 crushing damage on target',100,1,0),
(281649,10120254,'Inflicts 408 - 680 crushing damage on target',100,1,0),
(281650,36590,'Increases STA and AGI of target by 3.2',100,0,0),
(281651,36590,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(281652,114647,'Decreases WIS of target by 85.8',100,1,0),
(281653,114647,'Inflicts 796 - 1327 melee damage on target',100,1,1),
(281654,114647,'You must be sneaking to use this ability.',100,1,2),
(281655,10114647,'Decreases WIS of target by 85.8',100,1,0),
(281656,10114647,'Inflicts 955 - 1592 melee damage on target',100,1,1),
(281657,10114647,'You must be sneaking to use this ability.',100,1,2),
(281658,82221,'When Equipped:',100,0,0),
(281659,82221,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281660,82221,'Inflicts 33 - 61 magic damage on target',100,2,2),
(281661,82221,'Cannot be modified except by direct means',100,2,3),
(281662,10082221,'When Equipped:',100,0,0),
(281663,10082221,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281664,10082221,'Inflicts 40 - 74 magic damage on target',100,2,2),
(281665,10082221,'Cannot be modified except by direct means',100,2,3),
(281666,45935,'Applies Call Dervish Destrier when Activated.',100,0,0),
(281667,45935,'Summons a mount to ride',100,1,1),
(281668,45935,'Increases your ground speed by 130%',100,2,2),
(281669,45935,'Increases Focus, Slashing, Crushing and Piercing of caster by 4.7',100,1,3),
(281670,10045935,'Applies Call Dervish Destrier when Activated.',100,0,0),
(281671,10045935,'Summons a mount to ride',100,1,1),
(281672,10045935,'Increases your ground speed by 130%',100,2,2),
(281673,10045935,'Increases Focus, Slashing, Crushing and Piercing of caster by 4.7',100,1,3),
(281674,114014,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(281675,114014,'Heals target for 12 instantly and every 2 seconds',100,2,1),
(281676,114014,'Decreases Mitigation of target vs arcane damage by 300',100,1,2),
(281677,10114014,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(281678,10114014,'Heals target for 37 instantly and every 2 seconds',100,2,1),
(281679,10114014,'Decreases Mitigation of target vs arcane damage by 300',100,1,2),
(281680,110837,'Inflicts 190 - 257 mental damage on target',100,1,0),
(281681,110837,'Interrupts target',100,1,1),
(281682,10110837,'Inflicts 228 - 308 mental damage on target',100,1,0),
(281683,10110837,'Interrupts target',100,1,1),
(281684,116905,'Summons a limited pet to aid the caster',100,1,0),
(281685,10116905,'Summons a limited pet to aid the caster',100,1,0),
(281686,117347,'Roots target',100,1,0),
(281687,117347,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(281688,117347,'Slows target by 67.5%',100,2,2),
(281689,117347,'5% chance to dispel when target receives hostile action',100,2,3),
(281690,117347,'5% chance to dispel when target takes damage',100,2,4),
(281691,117347,'15% chance to dispel when target takes damage',100,1,5),
(281692,117347,'Does not affect Epic targets',100,1,6),
(281693,117347,'Resistibility increases against targets higher than level 90.',100,1,7),
(281694,10117347,'Roots target',100,1,0),
(281695,10117347,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(281696,10117347,'Slows target by 67.5%',100,2,2),
(281697,10117347,'10% chance to dispel when target receives hostile action',100,2,3),
(281698,10117347,'10% chance to dispel when target takes damage',100,2,4),
(281699,10117347,'15% chance to dispel when target takes damage',100,1,5),
(281700,10117347,'Does not affect Epic targets',100,1,6),
(281701,10117347,'Resistibility increases against targets higher than level 90.',100,1,7),
(281702,101253,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(281703,101253,'Inflicts 116 - 194 mental damage on target',100,2,1),
(281704,10101253,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(281705,10101253,'Inflicts 139 - 232 mental damage on target',100,2,1),
(281706,106061,'Increases AGI of caster by 75.2',100,1,0),
(281707,106061,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(281708,106061,'Inflicts 102 - 170 disease damage on target',100,2,2),
(281709,106061,'Adds 15.6% to base avoidance.',100,1,3),
(281710,106061,'Increases Mitigation of caster vs physical damage by 385',100,1,4),
(281711,106061,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,5),
(281712,10106061,'Increases AGI of caster by 75.2',100,1,0),
(281713,10106061,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(281714,10106061,'Inflicts 122 - 204 disease damage on target',100,2,2),
(281715,10106061,'Adds 15.6% to base avoidance.',100,1,3),
(281716,10106061,'Increases Mitigation of caster vs physical damage by 385',100,1,4),
(281717,10106061,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',100,1,5),
(281718,82184,'When Equipped:',100,0,0),
(281719,82184,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281720,82184,'Inflicts 30 - 55 magic damage on target',100,2,2),
(281721,82184,'Cannot be modified except by direct means',100,2,3),
(281722,10082184,'When Equipped:',100,0,0),
(281723,10082184,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281724,10082184,'Inflicts 36 - 66 magic damage on target',100,2,2),
(281725,10082184,'Cannot be modified except by direct means',100,2,3),
(281726,36992,'Increases Max Power of target by 108.8',100,0,0),
(281727,36992,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(281728,180464,'When Equipped:',100,0,0),
(281729,180464,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(281730,180464,'Stuns target',100,2,2),
(281731,180464,'Only affects targets level 125 and below',100,2,3),
(281732,180464,'Does not affect Epic targets',100,2,4),
(281733,180464,'Resistibility increases against targets higher than level 109.',100,2,5),
(281734,180464,'Cannot be modified except by direct means',100,2,6),
(281735,10180464,'When Equipped:',100,0,0),
(281736,10180464,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(281737,10180464,'Stuns target',100,2,2),
(281738,10180464,'Only affects targets level 125 and below',100,2,3),
(281739,10180464,'Does not affect Epic targets',100,2,4),
(281740,10180464,'Resistibility increases against targets higher than level 109.',100,2,5),
(281741,10180464,'Cannot be modified except by direct means',100,2,6),
(281742,110173,'Applies Untreated Bleeding on termination.',100,1,0),
(281743,110173,'Inflicts 209 - 349 piercing damage on target',100,2,1),
(281744,110173,'Inflicts 45 - 75 piercing damage on target instantly and every 4 seconds',100,1,2),
(281745,110173,'Inflicts 29 - 49 melee damage on target',100,1,3),
(281746,10110173,'Applies Untreated Bleeding on termination.',100,1,0),
(281747,10110173,'Inflicts 251 - 419 piercing damage on target',100,2,1),
(281748,10110173,'Inflicts 54 - 90 piercing damage on target instantly and every 4 seconds',100,1,2),
(281749,10110173,'Inflicts 35 - 59 melee damage on target',100,1,3),
(281750,48666,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(281751,48666,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(281752,48666,'Decreases INT and WIS of target by 23.1',100,2,2),
(281753,48666,'Cannot be modified except by direct means',100,2,3),
(281754,48666,'Grants a total of 30 triggers of the spell.',100,2,4),
(281755,10048666,'Applies blessing of the stoutheart when Activated.  Lasts for 12 hours.',100,0,0),
(281756,10048666,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(281757,10048666,'Decreases INT and WIS of target by 23.1',100,2,2),
(281758,10048666,'Cannot be modified except by direct means',100,2,3),
(281759,10048666,'Grants a total of 30 triggers of the spell.',100,2,4),
(281760,53572,'When Equipped:',100,0,0),
(281761,53572,'On a healing spell cast this spell will cast Healing Pulse on caster.  ',100,1,1),
(281762,53572,'Heals target for 196',100,2,2),
(281763,53572,'Cannot be modified except by direct means',100,2,3),
(281764,10053572,'When Equipped:',100,0,0),
(281765,10053572,'On a healing spell cast this spell will cast Healing Pulse on caster.  ',100,1,1),
(281766,10053572,'Heals target for 128',100,2,2),
(281767,10053572,'Cannot be modified except by direct means',100,2,3),
(281768,45339,'Applies Black Two Tone Warg with Orange Armor when Activated.',100,0,0),
(281769,45339,'Summons a mount to ride',100,1,1),
(281770,45339,'Increases your ground speed by 130%',100,2,2),
(281771,45339,'Increases Crushing and Disruption of caster by 7.0',100,1,3),
(281772,45339,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(281773,45339,'Increases Slashing, Ranged and Piercing of caster by 7.0',100,1,5),
(281774,10045339,'Applies Black Two Tone Warg with Orange Armor when Activated.',100,0,0),
(281775,10045339,'Summons a mount to ride',100,1,1),
(281776,10045339,'Increases your ground speed by 130%',100,2,2),
(281777,10045339,'Increases Crushing and Disruption of caster by 7.0',100,1,3),
(281778,10045339,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(281779,10045339,'Increases Slashing, Ranged and Piercing of caster by 7.0',100,1,5),
(281780,80849,'When Equipped:',100,0,0),
(281781,80849,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281782,80849,'Inflicts 188 - 349 magic damage on target',100,2,2),
(281783,80849,'Cannot be modified except by direct means',100,2,3),
(281784,10080849,'When Equipped:',100,0,0),
(281785,10080849,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281786,10080849,'Inflicts 226 - 419 magic damage on target',100,2,2),
(281787,10080849,'Cannot be modified except by direct means',100,2,3),
(281788,120764,'Inflicts 43 - 53 divine damage on target instantly and every 3 seconds',100,1,0),
(281789,120764,'Increases power of caster by 52 instantly and every 3 seconds',100,1,1),
(281790,10120764,'Inflicts 52 - 63 divine damage on target instantly and every 3 seconds',100,1,0),
(281791,10120764,'Increases power of caster by 52 instantly and every 3 seconds',100,1,1),
(281792,124371,'Inflicts 184 - 225 divine damage on target',100,1,0),
(281793,124371,'Inflicts 77 - 94 divine damage on target every 4 seconds',100,1,1),
(281794,10124371,'Inflicts 221 - 270 divine damage on target',100,1,0),
(281795,10124371,'Inflicts 92 - 112 divine damage on target every 4 seconds',100,1,1),
(281796,118910,'Increases Damage Per Second of caster by 48.4',100,1,0),
(281797,10118910,'Increases Damage Per Second of caster by 48.4',100,1,0),
(281798,108941,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(281799,108941,'Inflicts 44 heat damage on target',100,2,1),
(281800,10108941,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(281801,10108941,'Inflicts 53 heat damage on target',100,2,1),
(281802,75442,'When Equipped:',100,0,0),
(281803,75442,'On any combat or spell hit this spell may cast Ruinous Slash VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(281804,75442,'Inflicts 540 - 597 heat damage on targets in Area of Effect',100,2,2),
(281805,75442,'Inflicts 180 - 199 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(281806,75442,'Must not be engaged in pvp combat',100,2,4),
(281807,75442,'Cannot be modified except by direct means',100,2,5),
(281808,75442,'Must not be engaged in pvp combat',100,1,6),
(281809,10075442,'When Equipped:',100,0,0),
(281810,10075442,'On any combat or spell hit this spell may cast Ruinous Slash VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(281811,10075442,'Inflicts 648 - 716 heat damage on targets in Area of Effect',100,2,2),
(281812,10075442,'Inflicts 216 - 239 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(281813,10075442,'Must not be engaged in pvp combat',100,2,4),
(281814,10075442,'Cannot be modified except by direct means',100,2,5),
(281815,10075442,'Must not be engaged in pvp combat',100,1,6),
(281816,24069,'Adds Chardok 01 to your Dungeon Maker toolbox',100,0,0),
(281817,10024069,'Adds Chardok 01 to your Dungeon Maker toolbox',100,0,0),
(281818,25302,'When Equipped:',100,0,0),
(281819,25302,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281820,25302,'Adds crushing, piercing and slashing to Berserk.',100,1,2),
(281821,10025302,'When Equipped:',100,0,0),
(281822,10025302,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(281823,10025302,'Adds crushing, piercing and slashing to Berserk.',100,1,2),
(281824,115226,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(281825,115226,'Decreases Mitigation of target vs noxious damage by 1120',100,2,1),
(281826,115226,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(281827,115226,'Decreases Mitigation of target vs noxious damage by 1120',100,2,3),
(281828,10115226,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(281829,10115226,'Decreases Mitigation of target vs noxious damage by 1120',100,2,1),
(281830,10115226,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(281831,10115226,'Decreases Mitigation of target vs noxious damage by 1120',100,2,3),
(281832,115477,'Summons a pet nightshade',100,1,0),
(281833,10115477,'Summons a pet nightshade',100,1,0),
(281834,177503,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(281835,177503,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(281836,177503,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(281837,177503,'Cannot be modified except by direct means',100,2,3),
(281838,10177503,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(281839,10177503,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(281840,10177503,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(281841,10177503,'Cannot be modified except by direct means',100,2,3),
(281842,100072,'Increases the amount of durability gained by 20.0.',100,1,0),
(281843,10100072,'Increases the amount of durability gained by 20.0.',100,1,0),
(281844,133942,'When Equipped:',100,0,0),
(281845,133942,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(281846,133942,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(281847,133942,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,3),
(281848,133942,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(281849,133942,'Must not be engaged in pvp combat',100,2,5),
(281850,133942,'Cannot be modified except by direct means',100,2,6),
(281851,133942,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(281852,133942,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,8),
(281853,133942,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(281854,133942,'Must not be engaged in pvp combat',100,2,10),
(281855,133942,'Cannot be modified except by direct means',100,2,11),
(281856,133942,'Cannot be modified except by direct means',100,1,12),
(281857,10133942,'When Equipped:',100,0,0),
(281858,10133942,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(281859,10133942,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(281860,10133942,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,3),
(281861,10133942,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(281862,10133942,'Must not be engaged in pvp combat',100,2,5),
(281863,10133942,'Cannot be modified except by direct means',100,2,6),
(281864,10133942,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(281865,10133942,'Increases AGI, STR, WIS and INT of caster by 50.0',100,2,8),
(281866,10133942,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(281867,10133942,'Must not be engaged in pvp combat',100,2,10),
(281868,10133942,'Cannot be modified except by direct means',100,2,11),
(281869,10133942,'Cannot be modified except by direct means',100,1,12),
(281870,122318,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(281871,122318,'Inflicts 536 - 655 mental damage on target',100,2,1),
(281872,122318,'Grants a total of 3 triggers of the spell.',100,2,2),
(281873,10122318,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(281874,10122318,'Inflicts 643 - 786 mental damage on target',100,2,1),
(281875,10122318,'Grants a total of 3 triggers of the spell.',100,2,2),
(281876,117937,'Heals target for 86 - 105',100,1,0),
(281877,117937,'Increases Max Health of target by 9.7',100,1,1),
(281878,10117937,'Heals target for 98 - 120',100,1,0),
(281879,10117937,'Increases Max Health of target by 9.7',100,1,1),
(281880,36220,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(281881,36220,'This effect suspends during combat',100,0,1),
(281882,180898,'When Equipped:',100,0,0),
(281883,180898,'Completely prevents the wearer from being dominated by evil void beings. 73% of the time, it works every time.',100,1,1),
(281884,10180898,'When Equipped:',100,0,0),
(281885,10180898,'Completely prevents the wearer from being dominated by evil void beings. 73% of the time, it works every time.',100,1,1),
(281886,122401,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(281887,122401,'Inflicts 11 - 13 piercing damage on target encounter',100,2,1),
(281888,10122401,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(281889,10122401,'Inflicts 13 - 16 piercing damage on target encounter',100,2,1),
(281890,104698,'Decreases Mitigation of target vs all damage by 1002',100,1,0),
(281891,10104698,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1002',100,1,0),
(281892,10104698,'Decreases Mitigation of target vs physical damage by 835',100,1,1),
(281893,112294,'Inflicts 56 - 68 disease damage on target',100,1,0),
(281894,112294,'Inflicts 28 - 34 disease damage on target every 3 seconds',100,1,1),
(281895,112294,'Increases Threat to target by 852 - 1,042  instantly and by 160 - 195  every 3 seconds thereafter',100,1,2),
(281896,10112294,'Inflicts 34 - 41 disease damage on target every 3 seconds',100,1,0),
(281897,10112294,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(281898,72098,'When Equipped:',100,0,0),
(281899,72098,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281900,72098,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(281901,72098,'Cannot be modified except by direct means',100,2,3),
(281902,10072098,'When Equipped:',100,0,0),
(281903,10072098,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281904,10072098,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(281905,10072098,'Cannot be modified except by direct means',100,2,3),
(281906,103746,'Inflicts 1315 - 1608 magic damage on targets in Area of Effect',100,1,0),
(281907,10103746,'Inflicts 1578 - 1929 magic damage on targets in Area of Effect',100,1,0),
(281908,37305,'Increases STA and STR of target by 13.2',100,0,0),
(281909,37305,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(281910,80278,'When Equipped:',100,0,0),
(281911,80278,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281912,80278,'Inflicts 152 - 283 magic damage on target',100,2,2),
(281913,80278,'Cannot be modified except by direct means',100,2,3),
(281914,10080278,'When Equipped:',100,0,0),
(281915,10080278,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281916,10080278,'Inflicts 183 - 339 magic damage on target',100,2,2),
(281917,10080278,'Cannot be modified except by direct means',100,2,3),
(281918,124304,'Wards group members (AE) against 1493 points of elemental damage',100,1,0),
(281919,124304,'Increases Mitigation of group members (AE) vs elemental damage by 820',100,1,1),
(281920,10124304,'Wards group members (AE) against 1493 points of elemental damage',100,1,0),
(281921,10124304,'Increases Mitigation of group members (AE) vs elemental damage by 820',100,1,1),
(281922,103818,'Increases Ability Casting Speed of raid and group members (AE) by 4.9%',100,1,0),
(281923,103818,'Increases Attack Speed of raid and group members (AE) by 12.1',100,1,1),
(281924,10103818,'Increases Ability Casting Speed of raid and group members (AE) by 4.9%',100,1,0),
(281925,10103818,'Increases Attack Speed of raid and group members (AE) by 12.1',100,1,1),
(281926,47957,'Applies Draw upon Essence when Activated.',100,0,0),
(281927,47957,'Increases power of caster by 477',100,1,1),
(281928,47957,'Requires 715 Health to cast.',100,1,2),
(281929,10047957,'Applies Draw upon Essence when Activated.',100,0,0),
(281930,10047957,'Increases power of caster by 477',100,1,1),
(281931,10047957,'Requires 715 Health to cast.',100,1,2),
(281932,71412,'When Equipped:',100,0,0),
(281933,71412,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281934,71412,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(281935,71412,'Cannot be modified except by direct means',100,2,3),
(281936,10071412,'When Equipped:',100,0,0),
(281937,10071412,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(281938,10071412,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(281939,10071412,'Cannot be modified except by direct means',100,2,3),
(281940,189174,'When Equipped:',100,0,0),
(281941,189174,'Increases poison trigger chance by 5.0%',100,1,1),
(281942,10189174,'When Equipped:',100,0,0),
(281943,10189174,'Increases poison trigger chance by 5.0%',100,1,1),
(281944,106315,'Decreases INT and STR of target by 29.7',100,1,0),
(281945,10106315,'Decreases INT and STR of target by 29.7',100,1,0),
(281946,139632,'When Equipped:',100,0,0),
(281947,139632,'Increases Attack Speed of caster by 5.0',100,1,1),
(281948,10139632,'When Equipped:',100,0,0),
(281949,10139632,'Increases Attack Speed of caster by 5.0',100,1,1),
(281950,108236,'Inflicts 218 - 656 piercing damage on target',100,1,0),
(281951,108236,'Decreases Slashing, Crushing, Piercing and Ranged of target by 35.3',100,1,1),
(281952,10108236,'Inflicts 262 - 787 piercing damage on target',100,1,0),
(281953,10108236,'Decreases Slashing, Crushing, Piercing and Ranged of target by 35.3',100,1,1),
(281954,159862,'Applies Sanguine Imbued when Equipped.',100,0,0),
(281955,159862,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(281956,159862,'Inflicts 169 heat damage on target',100,2,2),
(281957,159862,'Cannot be modified except by direct means',100,2,3),
(281958,10159862,'Applies Sanguine Imbued when Equipped.',100,0,0),
(281959,10159862,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(281960,10159862,'Inflicts 203 heat damage on target',100,2,2),
(281961,10159862,'Cannot be modified except by direct means',100,2,3),
(281962,47657,'Applies Pyzin''s Replenishment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(281963,47657,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(281964,10047657,'Applies Pyzin''s Replenishment when Activated.  Lasts for 30.0 seconds.',100,0,0),
(281965,10047657,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(281966,82028,'When Equipped:',100,0,0),
(281967,82028,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281968,82028,'Inflicts 138 - 257 magic damage on target',100,2,2),
(281969,82028,'Cannot be modified except by direct means',100,2,3),
(281970,10082028,'When Equipped:',100,0,0),
(281971,10082028,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281972,10082028,'Inflicts 166 - 309 magic damage on target',100,2,2),
(281973,10082028,'Cannot be modified except by direct means',100,2,3),
(281974,105589,'Decreases power of target encounter by 34 - 42 instantly and every 3 seconds',100,1,0),
(281975,105589,'Inflicts 80 - 148 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(281976,105589,'Heals group members (AE) for 39 - 73 instantly and every 3 seconds',100,1,2),
(281977,105589,'Increases power of group members (AE) by 15 instantly and every 3 seconds',100,1,3),
(281978,10105589,'Decreases power of target encounter by 34 - 42 instantly and every 3 seconds',100,1,0),
(281979,10105589,'Inflicts 96 - 178 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(281980,10105589,'Heals group members (AE) for 25 - 47 instantly and every 3 seconds',100,1,2),
(281981,10105589,'Increases power of group members (AE) by 15 instantly and every 3 seconds',100,1,3),
(281982,47601,'Applies Potion of Progress when Activated.  Lasts for 10 minutes.',100,0,0),
(281983,47601,'Increases progress by 200.0',100,1,1),
(281984,10047601,'Applies Potion of Progress when Activated.  Lasts for 10 minutes.',100,0,0),
(281985,10047601,'Increases progress by 200.0',100,1,1),
(281986,164306,'When Equipped:',100,0,0),
(281987,164306,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(281988,164306,'Increases Slashing, Piercing, Crushing and Ranged of caster by 12.0',100,1,2),
(281989,164306,'Must not be engaged in pvp combat',100,1,3),
(281990,10164306,'When Equipped:',100,0,0),
(281991,10164306,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,1),
(281992,10164306,'Increases Slashing, Piercing, Crushing and Ranged of caster by 12.0',100,1,2),
(281993,10164306,'Must not be engaged in pvp combat',100,1,3),
(281994,80316,'When Equipped:',100,0,0),
(281995,80316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(281996,80316,'Inflicts 56 - 103 magic damage on target',100,2,2),
(281997,80316,'Cannot be modified except by direct means',100,2,3),
(281998,10080316,'When Equipped:',100,0,0),
(281999,10080316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282000,10080316,'Inflicts 67 - 124 magic damage on target',100,2,2),
(282001,10080316,'Cannot be modified except by direct means',100,2,3),
(282002,52705,'Applies Sanguine Imbued when Equipped.',100,0,0),
(282003,52705,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(282004,52705,'Inflicts 40 heat damage on target',100,2,2),
(282005,52705,'Cannot be modified except by direct means',100,2,3),
(282006,10052705,'Applies Sanguine Imbued when Equipped.',100,0,0),
(282007,10052705,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(282008,10052705,'Inflicts 48 heat damage on target',100,2,2),
(282009,10052705,'Cannot be modified except by direct means',100,2,3),
(282010,106679,'Heals caster for 42.1 - 51.5% of max health',100,1,0),
(282011,106679,'This effect cannot be critically applied.',100,2,1),
(282012,106679,'Increases Max Health of caster by 567.4',100,1,2),
(282013,106679,'The healing of this spell cannot be modified except by direct means',100,1,3),
(282014,10106679,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(282015,10106679,'This effect cannot be critically applied.',100,2,1),
(282016,10106679,'Increases Max Health of caster by 567.4',100,1,2),
(282017,10106679,'The healing of this spell cannot be modified except by direct means',100,1,3),
(282018,117947,'Heals target for 188 - 230',100,1,0),
(282019,117947,'Increases Max Health of target by 22.7',100,1,1),
(282020,10117947,'Heals target for 216 - 264',100,1,0),
(282021,10117947,'Increases Max Health of target by 22.7',100,1,1),
(282022,87210,'When Equipped:',100,0,0),
(282023,87210,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282024,87210,'Inflicts 51 - 76 magic damage on target',100,2,2),
(282025,87210,'Cannot be modified except by direct means',100,2,3),
(282026,10087210,'When Equipped:',100,0,0),
(282027,10087210,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282028,10087210,'Inflicts 61 - 91 magic damage on target',100,2,2),
(282029,10087210,'Cannot be modified except by direct means',100,2,3),
(282030,121342,'Inflicts 32 - 39 magic damage on target encounter',100,1,0),
(282031,10121342,'Inflicts 38 - 46 magic damage on target encounter',100,1,0),
(282032,105767,'Inflicts 41 - 50 heat damage on target',100,1,0),
(282033,10105767,'Inflicts 66 - 81 heat damage on target',100,1,0),
(282034,102831,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(282035,102831,'Heals caster for 1.3 - 2.0% of max health',100,2,1),
(282036,102831,'This effect cannot be critically applied.',100,3,2),
(282037,102831,'The healing of this spell cannot be modified except by direct means',100,2,3),
(282038,10102831,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(282039,10102831,'Heals caster for 0.3 - 0.5% of max health',100,2,1),
(282040,10102831,'This effect cannot be critically applied.',100,3,2),
(282041,10102831,'The healing of this spell cannot be modified except by direct means',100,2,3),
(282042,72320,'When Equipped:',100,0,0),
(282043,72320,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282044,72320,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(282045,72320,'Cannot be modified except by direct means',100,2,3),
(282046,10072320,'When Equipped:',100,0,0),
(282047,10072320,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282048,10072320,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(282049,10072320,'Cannot be modified except by direct means',100,2,3),
(282050,107922,'Mesmerizes target',100,1,0),
(282051,107922,'Prevents AOE (except when direct) ',100,1,1),
(282052,107922,'Dispelled when target takes damage',100,1,2),
(282053,107922,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(282054,107922,'Resistibility increases against targets higher than level 53.',100,1,4),
(282055,10107922,'Mesmerizes target',100,1,0),
(282056,10107922,'Prevents AOE (except when direct) ',100,1,1),
(282057,10107922,'Dispelled when target takes damage',100,1,2),
(282058,10107922,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(282059,10107922,'Resistibility increases against targets higher than level 53.',100,1,4),
(282060,100784,'Wards target against 271 points of all damage',100,1,0),
(282061,10100784,'Wards target against 418 points of all damage',100,1,0),
(282062,134904,'When Equipped:',100,0,0),
(282063,134904,'When damaged with a melee weapon this spell has a 10% chance to cast Ironhide Defense on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(282064,134904,'Wards caster against 225 points of all damage',100,2,2),
(282065,134904,'Cannot be modified except by direct means',100,2,3),
(282066,10134904,'When Equipped:',100,0,0),
(282067,10134904,'When damaged with a melee weapon this spell has a 10% chance to cast Ironhide Defense on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(282068,10134904,'Wards caster against 225 points of all damage',100,2,2),
(282069,10134904,'Cannot be modified except by direct means',100,2,3),
(282070,35039,'Increases STA and STR of target by 77.0',100,0,0),
(282071,35039,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(282072,35039,'Increases Out-of-Combat Health Regeneration of target by 247.8',100,0,2),
(282073,134226,'When Equipped:',100,0,0),
(282074,134226,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(282075,134226,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(282076,134226,'Inflicts 1139 - 1259 piercing damage on target instantly and every 3 seconds',100,2,3),
(282077,134226,'Heals caster for 1247 - 1378 instantly and every 3 seconds',100,2,4),
(282078,134226,'Increases Crit Bonus of caster by 7.0%',100,2,5),
(282079,134226,'Must not be engaged in pvp combat',100,2,6),
(282080,134226,'Cannot be modified except by direct means',100,2,7),
(282081,134226,'Must not be engaged in pvp combat',100,1,8),
(282082,10134226,'When Equipped:',100,0,0),
(282083,10134226,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(282084,10134226,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(282085,10134226,'Inflicts 1367 - 1510 piercing damage on target instantly and every 3 seconds',100,2,3),
(282086,10134226,'Heals caster for 1459 - 1612 instantly and every 3 seconds',100,2,4),
(282087,10134226,'Increases Crit Bonus of caster by 7.0%',100,2,5),
(282088,10134226,'Must not be engaged in pvp combat',100,2,6),
(282089,10134226,'Cannot be modified except by direct means',100,2,7),
(282090,10134226,'Must not be engaged in pvp combat',100,1,8),
(282091,111714,'Inflicts 733 - 896 cold damage on target',100,1,0),
(282092,111714,'Inflicts 733 - 896 cold damage on target',100,1,1),
(282093,111714,'If target is elemental',100,2,2),
(282094,10111714,'Inflicts 754 - 922 cold damage on target',100,1,0),
(282095,45318,'Applies Call Black Cavalry Horse when Activated.',100,0,0),
(282096,45318,'Increases Focus of caster by 7.0',100,1,1),
(282097,45318,'Summons a mount to ride',100,1,2),
(282098,45318,'Increases your ground speed by 130%',100,2,3),
(282099,45318,'Increases Crushing, Slashing, Piercing and Ranged of caster by 7.0',100,1,4),
(282100,10045318,'Applies Call Black Cavalry Horse when Activated.',100,0,0),
(282101,10045318,'Increases Focus of caster by 7.0',100,1,1),
(282102,10045318,'Summons a mount to ride',100,1,2),
(282103,10045318,'Increases your ground speed by 130%',100,2,3),
(282104,10045318,'Increases Crushing, Slashing, Piercing and Ranged of caster by 7.0',100,1,4),
(282105,120211,'Decreases STR and INT of target by 110.9',100,1,0),
(282106,120211,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(282107,120211,'Grants a total of 1 trigger of the spell.',100,2,2),
(282108,10120211,'Decreases STR and INT of target by 110.9',100,1,0),
(282109,10120211,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(282110,10120211,'Grants a total of 1 trigger of the spell.',100,2,2),
(282111,104213,'Decreases WIS of target encounter by 34.4',100,1,0),
(282112,104213,'Inflicts 50 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(282113,10104213,'Decreases WIS of target encounter by 34.4',100,1,0),
(282114,10104213,'Inflicts 60 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(282115,45402,'Applies Bregolon the Burly when Activated.',100,0,0),
(282116,45402,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(282117,45402,'Increases Potency of caster by 3.0%',100,1,2),
(282118,45402,'Increases Multi Attack Chance of caster by 14.0',100,1,3),
(282119,45402,'Increases Max Power of caster by 400.0',100,1,4),
(282120,45402,'Increases Max Health of caster by 400.0',100,1,5),
(282121,45402,'Summons a mount to ride',100,1,6),
(282122,45402,'Increases your ground speed by 130%',100,2,7),
(282123,10045402,'Applies Bregolon the Burly when Activated.',100,0,0),
(282124,10045402,'Increases Crit Bonus of caster by 3.0%',100,1,1),
(282125,10045402,'Increases Potency of caster by 3.0%',100,1,2),
(282126,10045402,'Increases Multi Attack Chance of caster by 14.0',100,1,3),
(282127,10045402,'Increases Max Power of caster by 400.0',100,1,4),
(282128,10045402,'Increases Max Health of caster by 400.0',100,1,5),
(282129,10045402,'Summons a mount to ride',100,1,6),
(282130,10045402,'Increases your ground speed by 130%',100,2,7),
(282131,105685,'Decreases Damage Per Second of target by 32.5',100,1,0),
(282132,105685,'Inflicts 391 - 651 melee damage on target',100,1,1),
(282133,105685,'Must be flanking or behind',100,1,2),
(282134,10105685,'Decreases Damage Per Second of target by 32.5',100,1,0),
(282135,10105685,'Inflicts 469 - 782 melee damage on target',100,1,1),
(282136,10105685,'Must be flanking or behind',100,1,2),
(282137,183407,'When Equipped:',100,0,0),
(282138,183407,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(282139,183407,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(282140,183407,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(282141,183407,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,4),
(282142,183407,'Heals caster for 970 - 1072 instantly and every 3 seconds',100,2,5),
(282143,183407,'Must not be engaged in pvp combat',100,2,6),
(282144,183407,'Cannot be modified except by direct means',100,2,7),
(282145,183407,'Must not be engaged in pvp combat',100,1,8),
(282146,10183407,'When Equipped:',100,0,0),
(282147,10183407,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(282148,10183407,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(282149,10183407,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(282150,10183407,'Inflicts 1063 - 1175 piercing damage on target instantly and every 3 seconds',100,2,4),
(282151,10183407,'Heals caster for 1134 - 1254 instantly and every 3 seconds',100,2,5),
(282152,10183407,'Must not be engaged in pvp combat',100,2,6),
(282153,10183407,'Cannot be modified except by direct means',100,2,7),
(282154,10183407,'Must not be engaged in pvp combat',100,1,8),
(282155,37572,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(282156,112399,'Increases Crushing, Piercing, Slashing and Ranged of target by 65.3',100,1,0),
(282157,112399,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(282158,112399,'Inflicts 504 - 616 piercing damage on target',100,2,2),
(282159,112399,'Inflicts 252 - 308 piercing damage on target every 3 seconds',100,2,3),
(282160,10112399,'Increases Crushing, Piercing, Slashing and Ranged of target by 65.3',100,1,0),
(282161,10112399,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(282162,10112399,'Inflicts 605 - 740 piercing damage on target',100,2,2),
(282163,10112399,'Inflicts 303 - 370 piercing damage on target every 3 seconds',100,2,3),
(282164,118138,'Heals target for 1752 - 2141',100,1,0),
(282165,10118138,'Heals target for 2070 - 2530',100,1,0),
(282166,116212,'Inflicts 1270 - 2117 mental damage on target',100,1,0),
(282167,10116212,'Inflicts 1524 - 2540 mental damage on target',100,1,0),
(282168,138509,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(282169,138509,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 761',100,1,1),
(282170,138509,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(282171,10138509,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(282172,10138509,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 761',100,1,1),
(282173,10138509,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(282174,26719,'When Equipped:',100,0,0),
(282175,26719,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(282176,26719,'On a critical spell hit this spell may cast Greater Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(282177,26719,'Increases Multi Attack Chance of caster by 30.0',100,2,3),
(282178,26719,'Must not be engaged in pvp combat',100,2,4),
(282179,26719,'Cannot be modified except by direct means',100,2,5),
(282180,26719,'On a critical combat hit this spell may cast Greater Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(282181,26719,'Increases Multi Attack Chance of caster by 30.0',100,2,7),
(282182,26719,'Must not be engaged in pvp combat',100,2,8),
(282183,26719,'Cannot be modified except by direct means',100,2,9),
(282184,26719,'Must not be engaged in pvp combat',100,1,10),
(282185,10026719,'When Equipped:',100,0,0),
(282186,10026719,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(282187,10026719,'On a critical spell hit this spell may cast Greater Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(282188,10026719,'Increases Multi Attack Chance of caster by 30.0',100,2,3),
(282189,10026719,'Must not be engaged in pvp combat',100,2,4),
(282190,10026719,'Cannot be modified except by direct means',100,2,5),
(282191,10026719,'On a critical combat hit this spell may cast Greater Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(282192,10026719,'Increases Multi Attack Chance of caster by 30.0',100,2,7),
(282193,10026719,'Must not be engaged in pvp combat',100,2,8),
(282194,10026719,'Cannot be modified except by direct means',100,2,9),
(282195,10026719,'Must not be engaged in pvp combat',100,1,10),
(282196,46621,'Applies Summon Harbinger when Activated.',100,0,0),
(282197,46621,'Calls forth a harbinger of doom to perch on your shoulder.',100,1,1),
(282198,10046621,'Applies Summon Harbinger when Activated.',100,0,0),
(282199,10046621,'Calls forth a harbinger of doom to perch on your shoulder.',100,1,1),
(282200,121104,'Decreases Threat to targets in Area of Effect by 2,137 ',100,1,0),
(282201,121104,'Mesmerizes targets in Area of Effect',100,1,1),
(282202,121104,'If Target is not Epic',100,2,2),
(282203,121104,'Dispelled when target takes damage',100,1,3),
(282204,10121104,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(282205,10121104,'Applies Distract.',100,1,1),
(282206,10121104,'Forces target to clear their selected target.',100,2,2),
(282207,10121104,'Mesmerizes targets in Area of Effect',100,1,3),
(282208,10121104,'If Target is not Epic',100,2,4),
(282209,10121104,'Dispelled when target takes damage',100,1,5),
(282210,109344,'Increases STR of caster by 125.8',100,1,0),
(282211,109344,'Decreases Defense of caster by 21.8',100,1,1),
(282212,109344,'Increases Slashing, Piercing and Crushing of caster by 36.0',100,1,2),
(282213,10109344,'Increases STR of caster by 125.8',100,1,0),
(282214,10109344,'Decreases Defense of caster by 21.8',100,1,1),
(282215,10109344,'Increases Slashing, Piercing and Crushing of caster by 36.0',100,1,2),
(282216,26474,'When Equipped:',100,0,0),
(282217,26474,'Increases all disease damage by up to 30.',100,1,1),
(282218,10026474,'When Equipped:',100,0,0),
(282219,10026474,'Increases all disease damage by up to 30.',100,1,1),
(282220,100429,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(282221,100429,'Increases Threat to target by 732 ',100,2,1),
(282222,100429,'Inflicts 112 - 186 slashing damage on target',100,2,2),
(282223,100429,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(282224,100429,'Increases Threat to target by 732 ',100,2,4),
(282225,100429,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1367',100,1,5),
(282226,10100429,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(282227,10100429,'Inflicts 134 - 224 slashing damage on target',100,2,1),
(282228,10100429,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(282229,10100429,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1367',100,1,3),
(282230,114371,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(282231,114371,'Stuns target',100,2,1),
(282232,114371,'Blurs vision of target',100,2,2),
(282233,114371,'Throws target back',100,2,3),
(282234,114371,'Does not affect Epic targets',100,2,4),
(282235,114371,'Inflicts 206 - 343 crushing damage on target',100,1,5),
(282236,10114371,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(282237,10114371,'Stuns target',100,2,1),
(282238,10114371,'Throws target back',100,2,2),
(282239,10114371,'Blurs vision of target',100,2,3),
(282240,10114371,'Does not affect Epic targets',100,2,4),
(282241,10114371,'Inflicts 247 - 412 crushing damage on target',100,1,5),
(282242,164588,'Applies Unstable Magics when Equipped.',100,0,0),
(282243,164588,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(282244,10164588,'Applies Unstable Magics when Equipped.',100,0,0),
(282245,10164588,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(282246,114347,'Increases Attack Speed of group members (AE) by 10.4',100,1,0),
(282247,10114347,'Increases Attack Speed of group members (AE) by 10.4',100,1,0),
(282248,114966,'Decreases Attack Speed of target by 9.4',100,1,0),
(282249,114966,'Inflicts 37 - 112 slashing damage on target',100,1,1),
(282250,114966,'Inflicts 75 slashing damage on target instantly and every 4 seconds',100,1,2),
(282251,10114966,'Decreases Attack Speed of target by 9.4',100,1,0),
(282252,10114966,'Inflicts 44 - 134 slashing damage on target',100,1,1),
(282253,10114966,'Inflicts 90 slashing damage on target instantly and every 4 seconds',100,1,2),
(282254,117176,'Inflicts 90 poison damage on target instantly and every 4 seconds',100,1,0),
(282255,117176,'Decreases WIS of target by 74.5',100,1,1),
(282256,10117176,'Inflicts 108 poison damage on target instantly and every 4 seconds',100,1,0),
(282257,10117176,'Decreases WIS of target by 74.5',100,1,1),
(282258,111964,'Inflicts 462 - 565 disease damage on target',100,1,0),
(282259,111964,'Decreases Mitigation of target vs noxious damage by 1214',100,1,1),
(282260,10111964,'Inflicts 713 - 871 disease damage on target',100,1,0),
(282261,10111964,'Decreases Mitigation of target vs noxious damage by 1214',100,1,1),
(282262,55427,'When Equipped:',100,0,0),
(282263,55427,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(282264,55427,'When Equipped:',100,0,2),
(282265,55427,'Increases caster''s chance to block by 15.0%',100,1,3),
(282266,10055427,'When Equipped:',100,0,0),
(282267,10055427,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(282268,10055427,'When Equipped:',100,0,2),
(282269,10055427,'Increases caster''s chance to block by 15.0%',100,1,3),
(282270,75576,'Applies Disease Blast when Activated.',100,0,0),
(282271,75576,'Inflicts 272 - 454 disease damage on target',100,1,1),
(282272,75576,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(282273,10075576,'Applies Disease Blast when Activated.',100,0,0),
(282274,10075576,'Inflicts 327 - 545 disease damage on target',100,1,1),
(282275,10075576,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(282276,75887,'When Equipped:',100,0,0),
(282277,75887,'Increases spell double attack chance by 10%',100,1,1),
(282278,75887,'When Equipped:',100,0,2),
(282279,75887,'Increases the damage of all hostile spells by 10%',100,1,3),
(282280,75887,'When Equipped:',100,0,4),
(282281,75887,'On a damage spell hit this spell has a 12% chance to cast Fire of Intellect on target of spell.  Lasts for 15.0 seconds.  ',100,1,5),
(282282,75887,'Inflicts 550 - 825 heat damage on target',100,2,6),
(282283,75887,'Adds normalized spell damage based on 30% of the wizard''s intelligence',100,2,7),
(282284,75887,'Cannot be modified except by direct means',100,2,8),
(282285,75887,'Cannot be modified except by direct means',100,1,9),
(282286,10075887,'When Equipped:',100,0,0),
(282287,10075887,'Increases spell double attack chance by 10%',100,1,1),
(282288,10075887,'When Equipped:',100,0,2),
(282289,10075887,'Increases the damage of all hostile spells by 10%',100,1,3),
(282290,10075887,'When Equipped:',100,0,4),
(282291,10075887,'On a damage spell hit this spell has a 12% chance to cast Fire of Intellect on target of spell.  Lasts for 15.0 seconds.  ',100,1,5),
(282292,10075887,'Inflicts 660 - 990 heat damage on target',100,2,6),
(282293,10075887,'Adds normalized spell damage based on 30% of the wizard''s intelligence',100,2,7),
(282294,10075887,'Cannot be modified except by direct means',100,2,8),
(282295,10075887,'Cannot be modified except by direct means',100,1,9),
(282296,122643,'Heals target for 247 - 302 every 2 seconds',100,1,0),
(282297,122643,'Wards target against 715 points of all damage',100,1,1),
(282298,122643,'Decreases Attack Speed of target by 25.0',100,1,2),
(282299,122643,'Slows target by 50.0%',100,1,3),
(282300,10122643,'Heals target for 160 - 196 every 2 seconds',100,1,0),
(282301,10122643,'Wards target against 715 points of all damage',100,1,1),
(282302,10122643,'Decreases Attack Speed of target by 25.0',100,1,2),
(282303,10122643,'Slows target by 20.0%',100,1,3),
(282304,46504,'Applies Gnomish Hovering Device when Activated.',100,0,0),
(282305,46504,'Summons a mount to ride',100,1,1),
(282306,46504,'Increases your ground speed by 130%',100,2,2),
(282307,10046504,'Applies Gnomish Hovering Device when Activated.',100,0,0),
(282308,10046504,'Summons a mount to ride',100,1,1),
(282309,10046504,'Increases your ground speed by 130%',100,2,2),
(282310,45639,'Applies Elixir of Subconscious Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(282311,10045639,'Applies Elixir of Subconscious Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(282312,48274,'Applies Griffawn Call when Activated.',100,0,0),
(282313,48274,'Summons a pet griffawn',100,1,1),
(282314,10048274,'Applies Griffawn Call when Activated.',100,0,0),
(282315,10048274,'Summons a pet griffawn',100,1,1),
(282316,109757,'Inflicts 174 - 323 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(282317,10109757,'Inflicts 208 - 387 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(282318,79056,'When Equipped:',100,0,0),
(282319,79056,'On a combat hit this spell may cast Frostwrath on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282320,79056,'Inflicts 152 - 253 cold damage on target',100,2,2),
(282321,79056,'Slows target by 50.0%',100,2,3),
(282322,79056,'If Target is not Epic',100,3,4),
(282323,79056,'Cannot be modified except by direct means',100,2,5),
(282324,10079056,'When Equipped:',100,0,0),
(282325,10079056,'On a combat hit this spell may cast Frostwrath on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282326,10079056,'Inflicts 182 - 303 cold damage on target',100,2,2),
(282327,10079056,'Slows target by 50.0%',100,2,3),
(282328,10079056,'If Target is not Epic',100,3,4),
(282329,10079056,'Cannot be modified except by direct means',100,2,5),
(282330,115370,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(282331,115370,'Increases Parry of caster by 7.7',100,1,1),
(282332,10115370,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(282333,10115370,'Increases Parry of caster by 7.7',100,1,1),
(282334,111939,'Inflicts 10 - 13 disease damage on target',100,1,0),
(282335,111939,'Decreases Mitigation of target vs noxious damage by 23',100,1,1),
(282336,10111939,'Inflicts 16 - 20 disease damage on target',100,1,0),
(282337,10111939,'Decreases Mitigation of target vs noxious damage by 23',100,1,1),
(282338,120455,'Inflicts 106 - 176 ranged damage on target',100,1,0),
(282339,120455,'Slows target by 36.9%',100,1,1),
(282340,120455,'10% chance to dispel when target receives hostile action',100,1,2),
(282341,120455,'Requires bow',100,1,3),
(282342,10120455,'Inflicts 73 - 121 ranged damage on target',100,1,0),
(282343,10120455,'Slows target by 36.9%',100,1,1),
(282344,10120455,'10% chance to dispel when target receives hostile action',100,1,2),
(282345,10120455,'Requires bow',100,1,3),
(282346,120572,'Inflicts 6905 - 11509 ranged damage on target',100,1,0),
(282347,120572,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(282348,120572,'Stuns target',100,2,2),
(282349,120572,'Throws target back',100,2,3),
(282350,120572,'Blurs vision of target',100,2,4),
(282351,120572,'Does not affect Epic targets',100,2,5),
(282352,120572,'I need to be stealthed!',100,1,6),
(282353,120572,'Requires bow',100,1,7),
(282354,10120572,'Inflicts 3639 - 6066 melee damage on target',100,1,0),
(282355,10120572,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(282356,10120572,'Stuns target',100,2,2),
(282357,10120572,'Blurs vision of target',100,2,3),
(282358,10120572,'Throws target back',100,2,4),
(282359,10120572,'Does not affect Epic targets',100,2,5),
(282360,10120572,'I need to be stealthed!',100,1,6),
(282361,114477,'Inflicts 43 - 59 mental damage on target',100,1,0),
(282362,10114477,'Inflicts 52 - 71 mental damage on target',100,1,0),
(282363,36962,'Increases Max Power of target by 90.7',100,0,0),
(282364,36962,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(282365,177548,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(282366,177548,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(282367,177548,'Inflicts 24 heat damage on target',100,2,2),
(282368,177548,'Cannot be modified except by direct means',100,2,3),
(282369,10177548,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(282370,10177548,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(282371,10177548,'Inflicts 29 heat damage on target',100,2,2),
(282372,10177548,'Cannot be modified except by direct means',100,2,3),
(282373,102414,'Inflicts 603 - 1121 melee damage on targets in area',100,1,0),
(282374,10102414,'Inflicts 724 - 1345 melee damage on targets in area',100,1,0),
(282375,111944,'Inflicts 38 - 47 disease damage on target',100,1,0),
(282376,111944,'Decreases Mitigation of target vs noxious damage by 143',100,1,1),
(282377,10111944,'Inflicts 59 - 72 disease damage on target',100,1,0),
(282378,10111944,'Decreases Mitigation of target vs noxious damage by 143',100,1,1),
(282379,107148,'Inflicts 620 - 757 divine damage on target',100,1,0),
(282380,107148,'Inflicts 620 - 757 divine damage on target',100,1,1),
(282381,107148,'If target is undead',100,2,2),
(282382,10107148,'Inflicts 743 - 909 divine damage on target',100,1,0),
(282383,10107148,'Inflicts 743 - 909 divine damage on target',100,1,1),
(282384,106680,'Heals caster for 33.3 - 40.8% of max health',100,1,0),
(282385,106680,'This effect cannot be critically applied.',100,2,1),
(282386,106680,'Increases Max Health of caster by 449.2',100,1,2),
(282387,106680,'The healing of this spell cannot be modified except by direct means',100,1,3),
(282388,10106680,'Heals caster for 10.3 - 12.5% of max health',100,1,0),
(282389,10106680,'This effect cannot be critically applied.',100,2,1),
(282390,10106680,'Increases Max Health of caster by 449.2',100,1,2),
(282391,10106680,'The healing of this spell cannot be modified except by direct means',100,1,3),
(282392,48776,'Applies Elixir of Vision  when Activated.  Lasts for 15 minutes.',100,0,0),
(282393,48776,'Increases Max Power of caster by 67.5',100,1,1),
(282394,10048776,'Applies Elixir of Vision  when Activated.  Lasts for 15 minutes.',100,0,0),
(282395,10048776,'Increases Max Power of caster by 67.5',100,1,1),
(282396,186887,'When Equipped:',100,0,0),
(282397,186887,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(282398,186887,'Inflicts 2648 poison damage on target',100,2,2),
(282399,186887,'If under 15% Health',100,2,3),
(282400,186887,'Cannot be modified except by direct means',100,2,4),
(282401,186887,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(282402,186887,'Inflicts 2648 poison damage on target',100,2,6),
(282403,186887,'If under 15% Health',100,2,7),
(282404,186887,'Cannot be modified except by direct means',100,2,8),
(282405,186887,'Cannot be modified except by direct means',100,1,9),
(282406,10186887,'When Equipped:',100,0,0),
(282407,10186887,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(282408,10186887,'Inflicts 3178 poison damage on target',100,2,2),
(282409,10186887,'If under 15% Health',100,2,3),
(282410,10186887,'Cannot be modified except by direct means',100,2,4),
(282411,10186887,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(282412,10186887,'Inflicts 3178 poison damage on target',100,2,6),
(282413,10186887,'If under 15% Health',100,2,7),
(282414,10186887,'Cannot be modified except by direct means',100,2,8),
(282415,10186887,'Cannot be modified except by direct means',100,1,9),
(282416,105868,'Inflicts 7 - 12 ranged damage on target',100,1,0),
(282417,105868,'Inflicts 7 - 12 ranged damage on target',100,1,1),
(282418,105868,'If weapon equipped in Ranged',100,1,2),
(282419,10105868,'Inflicts 5 - 9 ranged damage on target',100,1,0),
(282420,10105868,'Inflicts 5 - 9 ranged damage on target',100,1,1),
(282421,10105868,'If weapon equipped in Ranged',100,1,2),
(282422,173329,'When Equipped:',100,0,0),
(282423,173329,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(282424,173329,'Increases Ability Recovery Speed of caster by 15.0%',100,2,2),
(282425,173329,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(282426,173329,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(282427,173329,'Must not be engaged in pvp combat',100,2,5),
(282428,173329,'Cannot be modified except by direct means',100,2,6),
(282429,173329,'This effect will not stack with itself.',100,1,7),
(282430,173329,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(282431,173329,'Increases Ability Recovery Speed of caster by 15.0%',100,2,9),
(282432,173329,'Increases Ability Casting Speed of caster by 15.0%',100,2,10),
(282433,173329,'Increases in-combat movement speed of caster by 15.0%',100,2,11),
(282434,173329,'Must not be engaged in pvp combat',100,2,12),
(282435,173329,'Cannot be modified except by direct means',100,2,13),
(282436,173329,'Must not be engaged in pvp combat',100,1,14),
(282437,10173329,'When Equipped:',100,0,0),
(282438,10173329,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(282439,10173329,'Increases Ability Recovery Speed of caster by 15.0%',100,2,2),
(282440,10173329,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(282441,10173329,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(282442,10173329,'Must not be engaged in pvp combat',100,2,5),
(282443,10173329,'Cannot be modified except by direct means',100,2,6),
(282444,10173329,'This effect will not stack with itself.',100,1,7),
(282445,10173329,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(282446,10173329,'Increases Ability Recovery Speed of caster by 15.0%',100,2,9),
(282447,10173329,'Increases Ability Casting Speed of caster by 15.0%',100,2,10),
(282448,10173329,'Increases in-combat movement speed of caster by 15.0%',100,2,11),
(282449,10173329,'Must not be engaged in pvp combat',100,2,12),
(282450,10173329,'Cannot be modified except by direct means',100,2,13),
(282451,10173329,'Must not be engaged in pvp combat',100,1,14),
(282452,88732,'When Equipped:',100,0,0),
(282453,88732,'On a combat hit this spell may cast Thexian Curse on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282454,88732,'Decreases Damage Per Second of target by 28.5 - 34.8',100,2,2),
(282455,88732,'Cannot be modified except by direct means',100,2,3),
(282456,10088732,'When Equipped:',100,0,0),
(282457,10088732,'On a combat hit this spell may cast Thexian Curse on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282458,10088732,'Decreases Damage Per Second of target by 28.5 - 34.8',100,2,2),
(282459,10088732,'Cannot be modified except by direct means',100,2,3),
(282460,159981,'Applies Sanguine Imbued when Equipped.',100,0,0),
(282461,159981,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(282462,159981,'Inflicts 34 heat damage on target',100,2,2),
(282463,159981,'Cannot be modified except by direct means',100,2,3),
(282464,10159981,'Applies Sanguine Imbued when Equipped.',100,0,0),
(282465,10159981,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(282466,10159981,'Inflicts 41 heat damage on target',100,2,2),
(282467,10159981,'Cannot be modified except by direct means',100,2,3),
(282468,121534,'Inflicts 415 - 692 melee damage on target',100,1,0),
(282469,121534,'Stuns target',100,1,1),
(282470,121534,'If Target is not Epic',100,2,2),
(282471,121534,'Resistibility increases against targets higher than level 101.',100,1,3),
(282472,10121534,'Inflicts 498 - 830 melee damage on target',100,1,0),
(282473,10121534,'Stuns target',100,1,1),
(282474,10121534,'If Target is not Epic',100,2,2),
(282475,10121534,'Resistibility increases against targets higher than level 101.',100,1,3),
(282476,133806,'When Equipped:',100,0,0),
(282477,133806,'This effect will not stack with itself.',100,1,1),
(282478,133806,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(282479,133806,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(282480,133806,'Increases in-combat movement speed of caster by 12.0%',100,2,4),
(282481,133806,'Increases Ability Casting Speed of caster by 12.0%',100,2,5),
(282482,133806,'Must not be engaged in pvp combat',100,2,6),
(282483,133806,'Cannot be modified except by direct means',100,2,7),
(282484,133806,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(282485,133806,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(282486,133806,'Increases in-combat movement speed of caster by 12.0%',100,2,10),
(282487,133806,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(282488,133806,'Must not be engaged in pvp combat',100,2,12),
(282489,133806,'Cannot be modified except by direct means',100,2,13),
(282490,133806,'Must not be engaged in pvp combat',100,1,14),
(282491,10133806,'When Equipped:',100,0,0),
(282492,10133806,'This effect will not stack with itself.',100,1,1),
(282493,10133806,'On a healing spell cast this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(282494,10133806,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(282495,10133806,'Increases in-combat movement speed of caster by 12.0%',100,2,4),
(282496,10133806,'Increases Ability Casting Speed of caster by 12.0%',100,2,5),
(282497,10133806,'Must not be engaged in pvp combat',100,2,6),
(282498,10133806,'Cannot be modified except by direct means',100,2,7),
(282499,10133806,'On any combat or spell hit this spell may cast Greater Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(282500,10133806,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(282501,10133806,'Increases in-combat movement speed of caster by 12.0%',100,2,10),
(282502,10133806,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(282503,10133806,'Must not be engaged in pvp combat',100,2,12),
(282504,10133806,'Cannot be modified except by direct means',100,2,13),
(282505,10133806,'Must not be engaged in pvp combat',100,1,14),
(282506,108977,'Increases INT of group members (AE) by 239.4',100,1,0),
(282507,108977,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 84.5',100,1,1),
(282508,10108977,'Increases INT of group members (AE) by 239.4',100,1,0),
(282509,10108977,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 84.5',100,1,1),
(282510,42537,'When Equipped:',100,0,0),
(282511,42537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282512,42537,'Inflicts 72 - 108 magic damage on target',100,2,2),
(282513,42537,'Cannot be modified except by direct means',100,2,3),
(282514,10042537,'When Equipped:',100,0,0),
(282515,10042537,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282516,10042537,'Inflicts 86 - 129 magic damage on target',100,2,2),
(282517,10042537,'Cannot be modified except by direct means',100,2,3),
(282518,119806,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(282519,119806,'Adds 1.5% to base avoidance.',100,1,1),
(282520,10119806,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(282521,10119806,'Adds 1.5% to base avoidance.',100,1,1),
(282522,120203,'Decreases STR and INT of target by 80.1',100,1,0),
(282523,120203,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(282524,120203,'Grants a total of 1 trigger of the spell.',100,2,2),
(282525,10120203,'Decreases STR and INT of target by 80.1',100,1,0),
(282526,10120203,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(282527,10120203,'Grants a total of 1 trigger of the spell.',100,2,2),
(282528,36124,'Increases AGI and STA of target by 9.4',100,0,0),
(282529,36124,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(282530,148936,'When Equipped:',100,0,0),
(282531,148936,'Increases WIS and INT of caster by 50.0',100,1,1),
(282532,148936,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(282533,148936,'Increases AGI and STR of caster by 50.0',100,1,3),
(282534,148936,'Increases Potency of caster by 3.5%',100,1,4),
(282535,148936,'Cannot be modified except by direct means',100,1,5),
(282536,10148936,'When Equipped:',100,0,0),
(282537,10148936,'Increases WIS and INT of caster by 50.0',100,1,1),
(282538,10148936,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(282539,10148936,'Increases AGI and STR of caster by 50.0',100,1,3),
(282540,10148936,'Increases Potency of caster by 3.5%',100,1,4),
(282541,10148936,'Cannot be modified except by direct means',100,1,5),
(282542,48580,'Applies Trust of the Brethren when Activated.  Lasts for 54.0 seconds.',100,0,0),
(282543,48580,'Increases Crushing, Piercing and Slashing of caster by 17.5 - 29.2',100,1,1),
(282544,10048580,'Applies Trust of the Brethren when Activated.  Lasts for 54.0 seconds.',100,0,0),
(282545,10048580,'Increases Crushing, Piercing and Slashing of caster by 17.5 - 29.2',100,1,1),
(282546,51292,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(282547,51292,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(282548,51292,'Inflicts 14 heat damage on target',100,2,2),
(282549,51292,'Cannot be modified except by direct means',100,2,3),
(282550,10051292,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(282551,10051292,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(282552,10051292,'Inflicts 17 heat damage on target',100,2,2),
(282553,10051292,'Cannot be modified except by direct means',100,2,3),
(282554,74621,'When Equipped:',100,0,0),
(282555,74621,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282556,74621,'Inflicts 39 - 58 magic damage on target',100,2,2),
(282557,74621,'Cannot be modified except by direct means',100,2,3),
(282558,10074621,'When Equipped:',100,0,0),
(282559,10074621,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282560,10074621,'Inflicts 46 - 69 magic damage on target',100,2,2),
(282561,10074621,'Cannot be modified except by direct means',100,2,3),
(282562,48898,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(282563,48898,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(282564,48898,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(282565,48898,'Cannot be modified except by direct means',100,2,3),
(282566,48898,'Grants a total of 80 triggers of the spell.',100,2,4),
(282567,10048898,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(282568,10048898,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(282569,10048898,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(282570,10048898,'Cannot be modified except by direct means',100,2,3),
(282571,10048898,'Grants a total of 80 triggers of the spell.',100,2,4),
(282572,118214,'Increases Damage Per Second of group members (AE) by 26.5',100,1,0),
(282573,10118214,'Increases Damage Per Second of group members (AE) by 26.5',100,1,0),
(282574,112504,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(282575,112504,'80% of target''s power consumed will also be drained from target''s health',100,2,1),
(282576,112504,'Inflicts 63 disease damage on target instantly and every 4 seconds',100,2,2),
(282577,10112504,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(282578,10112504,'80% of target''s power consumed will also be drained from target''s health',100,2,1),
(282579,10112504,'Inflicts 76 disease damage on target instantly and every 4 seconds',100,2,2),
(282580,113540,'Inflicts 212 - 354 disease damage on target',100,1,0),
(282581,10113540,'Inflicts 255 - 424 disease damage on target',100,1,0),
(282582,114810,'Decreases WIS of target by 70.2',100,1,0),
(282583,114810,'Increases WIS and STA of caster by 70.2',100,1,1),
(282584,114810,'Decreases Max Health of target by 1.1%',100,1,2),
(282585,114810,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 225',100,1,3),
(282586,114810,'Only affects targets level 17 and above',100,1,4),
(282587,10114810,'Decreases WIS of target by 70.2',100,1,0),
(282588,10114810,'Increases WIS and STA of caster by 70.2',100,1,1),
(282589,10114810,'Decreases Max Health of target by 1.1%',100,1,2),
(282590,10114810,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 225',100,1,3),
(282591,10114810,'Only affects targets level 17 and above',100,1,4),
(282592,139172,'When Equipped:',100,0,0),
(282593,139172,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(282594,139172,'Wards caster against 2000 points of all damage',100,2,2),
(282595,139172,'Cannot be modified except by direct means',100,2,3),
(282596,139172,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(282597,139172,'Wards caster against 2000 points of all damage',100,2,5),
(282598,139172,'Cannot be modified except by direct means',100,2,6),
(282599,10139172,'When Equipped:',100,0,0),
(282600,10139172,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(282601,10139172,'Wards caster against 1000 points of all damage',100,2,2),
(282602,10139172,'Cannot be modified except by direct means',100,2,3),
(282603,10139172,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(282604,10139172,'Wards caster against 1000 points of all damage',100,2,5),
(282605,10139172,'Cannot be modified except by direct means',100,2,6),
(282606,100335,'Increases Max Health of target by 43.7',100,1,0),
(282607,100335,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.3',100,1,1),
(282608,10100335,'Increases Max Health of target by 43.7',100,1,0),
(282609,10100335,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.3',100,1,1),
(282610,109627,'Increases Defense of group members'' pets (AE) by 24.6',100,1,0),
(282611,109627,'Increases Mitigation of group members (AE) vs all damage by 398',100,1,1),
(282612,10109627,'Increases Defense of group members'' pets (AE) by 24.6',100,1,0),
(282613,10109627,'Increases Mitigation of group members (AE) vs all damage by 398',100,1,1),
(282614,100093,'Decreases STR, AGI, WIS and INT of target by 5.1',100,1,0),
(282615,100093,'Decreases Max Health of target by 0.7%',100,1,1),
(282616,10100093,'Decreases STR, AGI, WIS and INT of target by 5.1',100,1,0),
(282617,10100093,'Decreases Max Health of target by 0.7%',100,1,1),
(282618,101722,'Mesmerizes target',100,1,0),
(282619,101722,'Prevents AOE (except when direct) ',100,1,1),
(282620,101722,'Mesmerizes caster',100,1,2),
(282621,101722,'Dispelled when target takes damage',100,1,3),
(282622,101722,'Does not affect Epic targets',100,1,4),
(282623,101722,'Resistibility increases against targets higher than level 68.',100,1,5),
(282624,10101722,'Mesmerizes target',100,1,0),
(282625,10101722,'Prevents AOE (except when direct) ',100,1,1),
(282626,10101722,'Mesmerizes caster',100,1,2),
(282627,10101722,'Dispelled when target takes damage',100,1,3),
(282628,10101722,'Does not affect Epic targets',100,1,4),
(282629,10101722,'Resistibility increases against targets higher than level 68.',100,1,5),
(282630,37122,'Increases AGI of target by 2.4',100,0,0),
(282631,37122,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(282632,81207,'When Equipped:',100,0,0),
(282633,81207,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282634,81207,'Inflicts 228 - 423 magic damage on target',100,2,2),
(282635,81207,'Cannot be modified except by direct means',100,2,3),
(282636,10081207,'When Equipped:',100,0,0),
(282637,10081207,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282638,10081207,'Inflicts 273 - 508 magic damage on target',100,2,2),
(282639,10081207,'Cannot be modified except by direct means',100,2,3),
(282640,81011,'When Equipped:',100,0,0),
(282641,81011,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282642,81011,'Inflicts 151 - 280 magic damage on target',100,2,2),
(282643,81011,'Cannot be modified except by direct means',100,2,3),
(282644,10081011,'When Equipped:',100,0,0),
(282645,10081011,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282646,10081011,'Inflicts 181 - 336 magic damage on target',100,2,2),
(282647,10081011,'Cannot be modified except by direct means',100,2,3),
(282648,116787,'Increases STR, AGI, WIS and INT of target by 43.4',100,1,0),
(282649,116787,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(282650,116787,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(282651,116787,'Increases Damage Per Second of target by 39.2',100,2,3),
(282652,116787,'Increases Attack Speed of target by 39.2',100,2,4),
(282653,116787,'Adds 2.2% to base avoidance.',100,1,5),
(282654,116787,'Increases Mitigation of target vs elemental, noxious and arcane damage by 129',100,1,6),
(282655,10116787,'Increases STR, AGI, WIS and INT of target by 43.4',100,1,0),
(282656,10116787,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(282657,10116787,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(282658,10116787,'Increases Damage Per Second of target by 39.2',100,2,3),
(282659,10116787,'Increases Attack Speed of target by 39.2',100,2,4),
(282660,10116787,'Adds 2.2% to base avoidance.',100,1,5),
(282661,10116787,'Increases Mitigation of target vs elemental, noxious and arcane damage by 129',100,1,6),
(282662,172603,'When Equipped:',100,0,0),
(282663,172603,'Increases Attack Speed of caster by 35.0',100,1,1),
(282664,10172603,'When Equipped:',100,0,0),
(282665,10172603,'Increases Attack Speed of caster by 35.0',100,1,1),
(282666,104107,'Roots target',100,1,0),
(282667,104107,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(282668,104107,'Slows target by 22.0%',100,2,2),
(282669,104107,'Makes target afraid',100,2,3),
(282670,104107,'30% chance to dispel when target takes damage',100,2,4),
(282671,104107,'Resistibility increases against targets higher than level 62.',100,2,5),
(282672,104107,'15% chance to dispel when target takes damage',100,1,6),
(282673,104107,'Does not affect Epic targets',100,1,7),
(282674,104107,'Resistibility increases against targets higher than level 62.',100,1,8),
(282675,10104107,'Roots target',100,1,0),
(282676,10104107,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(282677,10104107,'Slows target by 22.0%',100,2,2),
(282678,10104107,'Makes target afraid',100,2,3),
(282679,10104107,'30% chance to dispel when target takes damage',100,2,4),
(282680,10104107,'Resistibility increases against targets higher than level 62.',100,2,5),
(282681,10104107,'15% chance to dispel when target takes damage',100,1,6),
(282682,10104107,'Does not affect Epic targets',100,1,7),
(282683,10104107,'Resistibility increases against targets higher than level 62.',100,1,8),
(282684,26364,'When Equipped:',100,0,0),
(282685,26364,'Increases Crit Chance of caster by 1.0',100,1,1),
(282686,10026364,'When Equipped:',100,0,0),
(282687,10026364,'Increases Crit Chance of caster by 1.0',100,1,1),
(282688,146087,'When Equipped:',100,0,0),
(282689,146087,'On a combat hit this spell has a 15% chance to cast Icicle Explosion on target of attack.  Lasts for 6.0 seconds.  ',100,1,1),
(282690,146087,'On death this spell will cast Icicle Explosion on caster.  ',100,2,2),
(282691,146087,'Inflicts 1146 cold damage on targets in Area of Effect',100,3,3),
(282692,146087,'Cannot be modified except by direct means',100,2,4),
(282693,10146087,'When Equipped:',100,0,0),
(282694,10146087,'On a combat hit this spell has a 15% chance to cast Icicle Explosion on target of attack.  Lasts for 6.0 seconds.  ',100,1,1),
(282695,10146087,'On death this spell will cast Icicle Explosion on caster.  ',100,2,2),
(282696,10146087,'Inflicts 1375 cold damage on targets in Area of Effect',100,3,3),
(282697,10146087,'Cannot be modified except by direct means',100,2,4),
(282698,116300,'Stuns target',100,1,0),
(282699,116300,'If Target is not Epic',100,2,1),
(282700,116300,'Inflicts 124 - 151 magic damage on target',100,1,2),
(282701,116300,'Resistibility increases against targets higher than level 45.',100,1,3),
(282702,10116300,'Stuns target',100,1,0),
(282703,10116300,'If Target is not Epic',100,2,1),
(282704,10116300,'Inflicts 149 - 182 magic damage on target',100,1,2),
(282705,10116300,'Resistibility increases against targets higher than level 45.',100,1,3),
(282706,171126,'When Equipped:',100,0,0),
(282707,171126,'When damaged with a melee weapon this spell will cast Obscure Visage on target''s attacker.  ',100,1,1),
(282708,171126,'Decreases Threat to target by 2,000 ',100,2,2),
(282709,171126,'Cannot be modified except by direct means',100,2,3),
(282710,171126,'This effect cannot be triggered again for 120 seconds.',100,1,4),
(282711,10171126,'When Equipped:',100,0,0),
(282712,10171126,'When damaged with a melee weapon this spell will cast Obscure Visage on target''s attacker.  ',100,1,1),
(282713,10171126,'Cannot be modified except by direct means',100,2,2),
(282714,10171126,'This effect cannot be triggered again for 120 seconds.',100,1,3),
(282715,108152,'Inflicts 454 - 756 melee damage on target',100,1,0),
(282716,108152,'You must be sneaking to use this ability.',100,1,1),
(282717,108152,'Must be flanking or behind',100,1,2),
(282718,10108152,'Inflicts 359 - 598 melee damage on target',100,1,0),
(282719,10108152,'You must be sneaking to use this ability.',100,1,1),
(282720,10108152,'Must be flanking or behind',100,1,2),
(282721,139531,'When Equipped:',100,0,0),
(282722,139531,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(282723,139531,'Increases threat priority of target by 1 position',100,2,2),
(282724,139531,'Inflicts 537 mental damage on target',100,2,3),
(282725,139531,'Cannot be modified except by direct means',100,2,4),
(282726,139531,'Cannot be modified except by direct means',100,1,5),
(282727,10139531,'When Equipped:',100,0,0),
(282728,10139531,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(282729,10139531,'Inflicts 644 mental damage on target',100,2,2),
(282730,10139531,'Cannot be modified except by direct means',100,2,3),
(282731,10139531,'Cannot be modified except by direct means',100,1,4),
(282732,118932,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(282733,118932,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1280',100,1,1),
(282734,118932,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,2),
(282735,10118932,'Increases Max Health of group members (AE) by 447.3',100,1,0),
(282736,10118932,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1280',100,1,1),
(282737,10118932,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,2),
(282738,105220,'Decreases STR and INT of target by 45.6',100,1,0),
(282739,105220,'Only affects targets level 20 and above',100,1,1),
(282740,10105220,'Decreases STR and INT of target by 45.6',100,1,0),
(282741,10105220,'Only affects targets level 20 and above',100,1,1),
(282742,106796,'Decreases STR and AGI of target encounter by 33.4',100,1,0),
(282743,10106796,'Decreases STR and AGI of target encounter by 33.4',100,1,0),
(282744,108040,'Inflicts 241 magic damage on target',100,1,0),
(282745,108040,'Increases power of caster by 114',100,1,1),
(282746,10108040,'Inflicts 290 magic damage on target',100,1,0),
(282747,10108040,'Increases power of caster by 114',100,1,1),
(282748,79691,'When Equipped:',100,0,0),
(282749,79691,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(282750,79691,'Increases Threat to target by 4,805  instantly and every 4 seconds thereafter',100,2,2),
(282751,79691,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,3),
(282752,79691,'Inflicts an additional 2664 heat damage on target every tick',100,2,4),
(282753,79691,'Increases Hate Gain of caster by 12.0%',100,2,5),
(282754,79691,'Must not be engaged in pvp combat',100,2,6),
(282755,79691,'Cannot be modified except by direct means',100,2,7),
(282756,79691,'Must not be engaged in pvp combat',100,1,8),
(282757,10079691,'When Equipped:',100,0,0),
(282758,10079691,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(282759,10079691,'Inflicts 6394 heat damage on target instantly and every 4 seconds',100,2,2),
(282760,10079691,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(282761,10079691,'Must not be engaged in pvp combat',100,2,4),
(282762,10079691,'Cannot be modified except by direct means',100,2,5),
(282763,10079691,'Must not be engaged in pvp combat',100,1,6),
(282764,188414,'When Equipped:',100,0,0),
(282765,188414,'On a damage spell hit this spell has a 8% chance to cast Veiled Subtlety on target of spell.  ',100,1,1),
(282766,188414,'Decreases Threat to target by 833 ',100,2,2),
(282767,188414,'Cannot be modified except by direct means',100,2,3),
(282768,10188414,'When Equipped:',100,0,0),
(282769,10188414,'On a damage spell hit this spell has a 8% chance to cast Veiled Subtlety on target of spell.  ',100,1,1),
(282770,10188414,'Cannot be modified except by direct means',100,2,2),
(282771,47933,'Applies essence of health when Activated.',100,0,0),
(282772,47933,'Heals caster for 1714',100,1,1),
(282773,10047933,'Applies essence of health when Activated.',100,0,0),
(282774,10047933,'Heals caster for 2005',100,1,1),
(282775,115571,'Interrupts target encounter',100,1,0),
(282776,115571,'Decreases Threat to target encounter by 108 - 132 ',100,1,1),
(282777,115571,'Dazes target encounter',100,1,2),
(282778,115571,'If Target is not Epic',100,2,3),
(282779,115571,'Resistibility increases against targets higher than level 39.',100,1,4),
(282780,10115571,'Interrupts target encounter',100,1,0),
(282781,10115571,'Dazes target encounter',100,1,1),
(282782,10115571,'If Target is not Epic',100,2,2),
(282783,10115571,'Resistibility increases against targets higher than level 39.',100,1,3),
(282784,24344,'Adds Durun Pincestriker to your Dungeon Maker toolbox',100,0,0),
(282785,10024344,'Adds Durun Pincestriker to your Dungeon Maker toolbox',100,0,0),
(282786,123022,'Wards group members (AE) collectively against 3491 total points of all damage',100,1,0),
(282787,10123022,'Wards group members (AE) collectively against 5199 total points of all damage',100,1,0),
(282788,112512,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(282789,112512,'47% of target''s power consumed will also be drained from target''s health',100,2,1),
(282790,112512,'Inflicts 69 disease damage on target instantly and every 4 seconds',100,2,2),
(282791,10112512,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(282792,10112512,'47% of target''s power consumed will also be drained from target''s health',100,2,1),
(282793,10112512,'Inflicts 82 disease damage on target instantly and every 4 seconds',100,2,2),
(282794,37189,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,0),
(282795,118010,'Wards target against 1976 points of all damage',100,1,0),
(282796,10118010,'Wards target against 1976 points of all damage',100,1,0),
(282797,185230,'When Equipped:',100,0,0),
(282798,185230,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(282799,185230,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,2),
(282800,185230,'Increases Potency of caster by 3.0%',100,2,3),
(282801,185230,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(282802,185230,'Must not be engaged in pvp combat',100,2,5),
(282803,185230,'Cannot be modified except by direct means',100,2,6),
(282804,185230,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(282805,185230,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(282806,185230,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,9),
(282807,185230,'Increases Potency of caster by 3.0%',100,2,10),
(282808,185230,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(282809,185230,'Must not be engaged in pvp combat',100,2,12),
(282810,185230,'Cannot be modified except by direct means',100,2,13),
(282811,185230,'Cannot be modified except by direct means',100,1,14),
(282812,10185230,'When Equipped:',100,0,0),
(282813,10185230,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(282814,10185230,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,2),
(282815,10185230,'Increases Potency of caster by 3.0%',100,2,3),
(282816,10185230,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(282817,10185230,'Must not be engaged in pvp combat',100,2,5),
(282818,10185230,'Cannot be modified except by direct means',100,2,6),
(282819,10185230,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(282820,10185230,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(282821,10185230,'Increases WIS, STR, INT and AGI of caster by 110.0',100,2,9),
(282822,10185230,'Increases Potency of caster by 3.0%',100,2,10),
(282823,10185230,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(282824,10185230,'Must not be engaged in pvp combat',100,2,12),
(282825,10185230,'Cannot be modified except by direct means',100,2,13),
(282826,10185230,'Cannot be modified except by direct means',100,1,14),
(282827,46333,'Applies Summon Hover Platform when Activated.',100,0,0),
(282828,46333,'Reduces maximum falling speed of caster',100,1,1),
(282829,46333,'Increases Focus of caster by 6.0',100,1,2),
(282830,46333,'Summons a mount to ride',100,1,3),
(282831,46333,'Increases your ground speed by 130%',100,2,4),
(282832,46333,'Increases Defense of caster by 6.0',100,1,5),
(282833,10046333,'Applies Summon Hover Platform when Activated.',100,0,0),
(282834,10046333,'Reduces maximum falling speed of caster',100,1,1),
(282835,10046333,'Increases Focus of caster by 6.0',100,1,2),
(282836,10046333,'Summons a mount to ride',100,1,3),
(282837,10046333,'Increases your ground speed by 130%',100,2,4),
(282838,10046333,'Increases Defense of caster by 6.0',100,1,5),
(282839,163239,'When Equipped:',100,0,0),
(282840,163239,'On a critical combat hit this spell may cast Arcane Vulnerability on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(282841,163239,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,2),
(282842,163239,'Must not be engaged in pvp combat',100,2,3),
(282843,163239,'Cannot be modified except by direct means',100,2,4),
(282844,163239,'On a critical spell hit this spell may cast Arcane Vulnerability on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(282845,163239,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,6),
(282846,163239,'Must not be engaged in pvp combat',100,2,7),
(282847,163239,'Cannot be modified except by direct means',100,2,8),
(282848,163239,'Must not be engaged in pvp combat',100,1,9),
(282849,10163239,'When Equipped:',100,0,0),
(282850,10163239,'On a critical combat hit this spell may cast Arcane Vulnerability on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(282851,10163239,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,2),
(282852,10163239,'Must not be engaged in pvp combat',100,2,3),
(282853,10163239,'Cannot be modified except by direct means',100,2,4),
(282854,10163239,'On a critical spell hit this spell may cast Arcane Vulnerability on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(282855,10163239,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 150',100,2,6),
(282856,10163239,'Must not be engaged in pvp combat',100,2,7),
(282857,10163239,'Cannot be modified except by direct means',100,2,8),
(282858,10163239,'Must not be engaged in pvp combat',100,1,9),
(282859,110352,'Increases STR and AGI of group members (AE) by 7.0',100,1,0),
(282860,110352,'Adds 1.9% to base avoidance.',100,1,1),
(282861,10110352,'Increases STR and AGI of group members (AE) by 7.0',100,1,0),
(282862,10110352,'Adds 1.9% to base avoidance.',100,1,1),
(282863,102435,'Stuns target encounter',100,1,0),
(282864,102435,'Epic targets gain an immunity to Stun effects of 9.8 seconds and duration is reduced to 1.1 seconds.',100,1,1),
(282865,102435,'Resistibility increases against targets higher than level 45.',100,1,2),
(282866,10102435,'Stuns target encounter',100,1,0),
(282867,10102435,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(282868,10102435,'Resistibility increases against targets higher than level 45.',100,1,2),
(282869,106681,'Heals caster for 35.1 - 42.9% of max health',100,1,0),
(282870,106681,'This effect cannot be critically applied.',100,2,1),
(282871,106681,'Increases Max Health of caster by 472.8',100,1,2),
(282872,106681,'The healing of this spell cannot be modified except by direct means',100,1,3),
(282873,10106681,'Heals caster for 10.8 - 13.2% of max health',100,1,0),
(282874,10106681,'This effect cannot be critically applied.',100,2,1),
(282875,10106681,'Increases Max Health of caster by 472.8',100,1,2),
(282876,10106681,'The healing of this spell cannot be modified except by direct means',100,1,3),
(282877,46109,'Applies Elixir of Swiftness when Activated.  Lasts for 30 minutes.',100,0,0),
(282878,10046109,'Applies Elixir of Swiftness when Activated.  Lasts for 30 minutes.',100,0,0),
(282879,181707,'When Equipped:',100,0,0),
(282880,181707,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(282881,181707,'Heals group members (AE) for 2304',100,2,2),
(282882,181707,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(282883,181707,'Must not be engaged in pvp combat',100,2,4),
(282884,181707,'Cannot be modified except by direct means',100,2,5),
(282885,181707,'Must not be engaged in pvp combat',100,1,6),
(282886,10181707,'When Equipped:',100,0,0),
(282887,10181707,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(282888,10181707,'Heals group members (AE) for 2695',100,2,2),
(282889,10181707,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(282890,10181707,'Must not be engaged in pvp combat',100,2,4),
(282891,10181707,'Cannot be modified except by direct means',100,2,5),
(282892,10181707,'Must not be engaged in pvp combat',100,1,6),
(282893,80504,'When Equipped:',100,0,0),
(282894,80504,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(282895,80504,'Decreases Threat to target by 1,219 ',100,2,2),
(282896,80504,'Must be flanking or behind',100,3,3),
(282897,80504,'Increases Threat to target by 1,679 ',100,2,4),
(282898,80504,'Must be in front of',100,3,5),
(282899,80504,'Inflicts 320 - 594 magic damage on target',100,2,6),
(282900,80504,'Cannot be modified except by direct means',100,2,7),
(282901,10080504,'When Equipped:',100,0,0),
(282902,10080504,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(282903,10080504,'Inflicts 384 - 712 magic damage on target',100,2,2),
(282904,10080504,'Cannot be modified except by direct means',100,2,3),
(282905,35368,'Increases STR of target by 4.3',100,0,0),
(282906,35368,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(282907,85504,'When Equipped:',100,0,0),
(282908,85504,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(282909,85504,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(282910,85504,'Inflicts 1567 - 2612 magic damage on target',100,2,3),
(282911,85504,'Inflicts 1567 - 2612 piercing damage on target',100,2,4),
(282912,85504,'Inflicts 1567 - 2612 divine damage on target',100,2,5),
(282913,85504,'Decreases Mitigation of target vs arcane damage by 3532',100,2,6),
(282914,85504,'Must not be engaged in pvp combat',100,2,7),
(282915,85504,'Cannot be modified except by direct means',100,2,8),
(282916,85504,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,9),
(282917,85504,'Inflicts 1567 - 2612 magic damage on target',100,2,10),
(282918,85504,'Inflicts 1567 - 2612 piercing damage on target',100,2,11),
(282919,85504,'Inflicts 1567 - 2612 divine damage on target',100,2,12),
(282920,85504,'Decreases Mitigation of target vs arcane damage by 3532',100,2,13),
(282921,85504,'Must not be engaged in pvp combat',100,2,14),
(282922,85504,'Cannot be modified except by direct means',100,2,15),
(282923,85504,'Must not be engaged in pvp combat',100,1,16),
(282924,10085504,'When Equipped:',100,0,0),
(282925,10085504,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(282926,10085504,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(282927,10085504,'Inflicts 1880 - 3134 magic damage on target',100,2,3),
(282928,10085504,'Inflicts 1880 - 3134 piercing damage on target',100,2,4),
(282929,10085504,'Inflicts 1880 - 3134 divine damage on target',100,2,5),
(282930,10085504,'Decreases Mitigation of target vs arcane damage by 3532',100,2,6),
(282931,10085504,'Must not be engaged in pvp combat',100,2,7),
(282932,10085504,'Cannot be modified except by direct means',100,2,8),
(282933,10085504,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,9),
(282934,10085504,'Inflicts 1880 - 3134 magic damage on target',100,2,10),
(282935,10085504,'Inflicts 1880 - 3134 piercing damage on target',100,2,11),
(282936,10085504,'Inflicts 1880 - 3134 divine damage on target',100,2,12),
(282937,10085504,'Decreases Mitigation of target vs arcane damage by 3532',100,2,13),
(282938,10085504,'Must not be engaged in pvp combat',100,2,14),
(282939,10085504,'Cannot be modified except by direct means',100,2,15),
(282940,10085504,'Must not be engaged in pvp combat',100,1,16),
(282941,114802,'Decreases WIS of target by 50.0',100,1,0),
(282942,114802,'Increases WIS and STA of caster by 50.0',100,1,1),
(282943,114802,'Decreases Max Health of target by 0.9%',100,1,2),
(282944,114802,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 159',100,1,3),
(282945,114802,'Only affects targets level 17 and above',100,1,4),
(282946,10114802,'Decreases WIS of target by 50.0',100,1,0),
(282947,10114802,'Increases WIS and STA of caster by 50.0',100,1,1),
(282948,10114802,'Decreases Max Health of target by 0.9%',100,1,2),
(282949,10114802,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 159',100,1,3),
(282950,10114802,'Only affects targets level 17 and above',100,1,4),
(282951,71393,'When Equipped:',100,0,0),
(282952,71393,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282953,71393,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(282954,71393,'Cannot be modified except by direct means',100,2,3),
(282955,10071393,'When Equipped:',100,0,0),
(282956,10071393,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282957,10071393,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(282958,10071393,'Cannot be modified except by direct means',100,2,3),
(282959,41434,'When Equipped:',100,0,0),
(282960,41434,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282961,41434,'Inflicts 133 - 248 magic damage on target',100,2,2),
(282962,41434,'Cannot be modified except by direct means',100,2,3),
(282963,10041434,'When Equipped:',100,0,0),
(282964,10041434,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282965,10041434,'Inflicts 160 - 297 magic damage on target',100,2,2),
(282966,10041434,'Cannot be modified except by direct means',100,2,3),
(282967,110817,'Inflicts 57 - 78 mental damage on target',100,1,0),
(282968,110817,'Interrupts target',100,1,1),
(282969,10110817,'Inflicts 69 - 93 mental damage on target',100,1,0),
(282970,10110817,'Interrupts target',100,1,1),
(282971,117691,'Decreases Mitigation of target vs physical damage by 1495',100,1,0),
(282972,10117691,'Decreases Mitigation of target vs physical damage by 748',100,1,0),
(282973,138357,'When Equipped:',100,0,0),
(282974,138357,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282975,138357,'Wards target against 1000 points of all damage',100,2,2),
(282976,138357,'Cannot be modified except by direct means',100,2,3),
(282977,138357,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(282978,10138357,'When Equipped:',100,0,0),
(282979,10138357,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(282980,10138357,'Wards target against 1000 points of all damage',100,2,2),
(282981,10138357,'Cannot be modified except by direct means',100,2,3),
(282982,10138357,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(282983,42550,'When Equipped:',100,0,0),
(282984,42550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282985,42550,'Inflicts 101 - 152 magic damage on target',100,2,2),
(282986,42550,'Cannot be modified except by direct means',100,2,3),
(282987,10042550,'When Equipped:',100,0,0),
(282988,10042550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(282989,10042550,'Inflicts 121 - 182 magic damage on target',100,2,2),
(282990,10042550,'Cannot be modified except by direct means',100,2,3),
(282991,122630,'Makes target afraid',100,1,0),
(282992,122630,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(282993,122630,'Mesmerizes target',100,2,2),
(282994,122630,'Decreases Threat to target by 1,897  instantly and Decreases Threat by 1,897  every 2.2 seconds thereafter',100,2,3),
(282995,122630,'Dispelled when target takes damage',100,2,4),
(282996,122630,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(282997,122630,'Resistibility increases against targets higher than level 114.',100,2,6),
(282998,122630,'30% chance to dispel when target takes damage',100,1,7),
(282999,122630,'Does not affect Epic targets',100,1,8),
(283000,122630,'Resistibility increases against targets higher than level 114.',100,1,9),
(283001,10122630,'Makes target afraid',100,1,0),
(283002,10122630,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(283003,10122630,'Mesmerizes target',100,2,2),
(283004,10122630,'Applies Distract.',100,2,3),
(283005,10122630,'Forces target to clear their selected target.',100,3,4),
(283006,10122630,'Dispelled when target takes damage',100,2,5),
(283007,10122630,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(283008,10122630,'Resistibility increases against targets higher than level 114.',100,2,7),
(283009,10122630,'30% chance to dispel when target takes damage',100,1,8),
(283010,10122630,'Does not affect Epic targets',100,1,9),
(283011,10122630,'Resistibility increases against targets higher than level 114.',100,1,10),
(283012,103885,'Increases power of group members (AE) by 11 instantly and every 6 seconds',100,1,0),
(283013,103885,'Decreases INT of target by 46.7',100,1,1),
(283014,10103885,'Increases power of group members (AE) by 11 instantly and every 6 seconds',100,1,0),
(283015,10103885,'Decreases INT of target by 46.7',100,1,1),
(283016,87157,'When Equipped:',100,0,0),
(283017,87157,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283018,87157,'Inflicts 42 - 63 magic damage on target',100,2,2),
(283019,87157,'Cannot be modified except by direct means',100,2,3),
(283020,10087157,'When Equipped:',100,0,0),
(283021,10087157,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283022,10087157,'Inflicts 51 - 76 magic damage on target',100,2,2),
(283023,10087157,'Cannot be modified except by direct means',100,2,3),
(283024,105354,'Inflicts 568 - 948 melee damage on target',100,1,0),
(283025,105354,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1048',100,1,1),
(283026,105354,'Must be flanking or behind',100,1,2),
(283027,10105354,'Inflicts 682 - 1137 melee damage on target',100,1,0),
(283028,10105354,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1048',100,1,1),
(283029,10105354,'Must be flanking or behind',100,1,2),
(283030,159898,'Applies Lambent Imbued when Equipped.',100,0,0),
(283031,159898,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283032,159898,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(283033,159898,'Cannot be modified except by direct means',100,2,3),
(283034,10159898,'Applies Lambent Imbued when Equipped.',100,0,0),
(283035,10159898,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283036,10159898,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(283037,10159898,'Cannot be modified except by direct means',100,2,3),
(283038,106586,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(283039,106586,'Increases Parry of caster by 12.6',100,1,1),
(283040,10106586,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(283041,10106586,'Increases Parry of caster by 12.6',100,1,1),
(283042,48302,'Applies elemental remedy when Activated.',100,0,0),
(283043,48302,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(283044,10048302,'Applies elemental remedy when Activated.',100,0,0),
(283045,10048302,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(283046,47009,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(283047,47009,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(283048,47009,'Inflicts 55 poison damage on target',100,2,2),
(283049,47009,'Inflicts 146 poison damage on target instantly and every 6 seconds',100,2,3),
(283050,47009,'Cannot be modified except by direct means',100,2,4),
(283051,47009,'Grants a total of 200 triggers of the spell.',100,2,5),
(283052,10047009,'Applies touch of the rotbone when Activated.  Lasts for 12 hours.',100,0,0),
(283053,10047009,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(283054,10047009,'Inflicts 50 poison damage on target',100,2,2),
(283055,10047009,'Inflicts 131 poison damage on target instantly and every 6 seconds',100,2,3),
(283056,10047009,'Cannot be modified except by direct means',100,2,4),
(283057,10047009,'Grants a total of 200 triggers of the spell.',100,2,5),
(283058,105544,'Inflicts 28 - 52 disease damage on target',100,1,0),
(283059,105544,'Inflicts 17 - 31 disease damage on target every 2 seconds',100,1,1),
(283060,10105544,'Inflicts 34 - 63 disease damage on target',100,1,0),
(283061,10105544,'Inflicts 20 - 38 disease damage on target every 2 seconds',100,1,1),
(283062,108724,'Inflicts 479 heat damage on target',100,1,0),
(283063,108724,'Inflicts 107 heat damage on target every 4 seconds',100,1,1),
(283064,10108724,'Inflicts 805 heat damage on target',100,1,0),
(283065,10108724,'Inflicts 128 heat damage on target every 4 seconds',100,1,1),
(283066,102451,'Stuns target encounter',100,1,0),
(283067,102451,'Epic targets gain an immunity to Stun effects of 11.3 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(283068,102451,'Resistibility increases against targets higher than level 73.',100,1,2),
(283069,10102451,'Stuns target encounter',100,1,0),
(283070,10102451,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(283071,10102451,'Resistibility increases against targets higher than level 73.',100,1,2),
(283072,26034,'When Equipped:',100,0,0),
(283073,26034,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283074,26034,'Inflicts 83 divine damage on target',100,2,2),
(283075,26034,'Heals caster for 80',100,2,3),
(283076,26034,'Cannot be modified except by direct means',100,2,4),
(283077,10026034,'When Equipped:',100,0,0),
(283078,10026034,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283079,10026034,'Inflicts 99 divine damage on target',100,2,2),
(283080,10026034,'Heals caster for 52',100,2,3),
(283081,10026034,'Cannot be modified except by direct means',100,2,4),
(283082,124096,'Increases power of caster by 39',100,1,0),
(283083,10124096,'Increases power of caster by 39',100,1,0),
(283084,144667,'When Equipped:',100,0,0),
(283085,144667,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283086,144667,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(283087,144667,'Cannot be modified except by direct means',100,2,3),
(283088,10144667,'When Equipped:',100,0,0),
(283089,10144667,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283090,10144667,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(283091,10144667,'Cannot be modified except by direct means',100,2,3),
(283092,121931,'Applies Tap on termination.',100,1,0),
(283093,121931,'Inflicts 1061 disease damage on target',100,2,1),
(283094,121931,'Heals caster for 5.3% of max health',100,2,2),
(283095,121931,'This effect cannot be critically applied.',100,3,3),
(283096,121931,'The healing of this spell cannot be modified except by direct means',100,2,4),
(283097,10121931,'Applies Tap on termination.',100,1,0),
(283098,10121931,'Inflicts 1273 disease damage on target',100,2,1),
(283099,10121931,'Heals caster for 1.9% of max health',100,2,2),
(283100,10121931,'This effect cannot be critically applied.',100,3,3),
(283101,10121931,'The healing of this spell cannot be modified except by direct means',100,2,4),
(283102,102516,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(283103,102516,'Increases Aggression of caster by 4.8',100,1,1),
(283104,102516,'Increases Defense and Parry of caster by 9.6',100,1,2),
(283105,102516,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(283106,10102516,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(283107,10102516,'Increases Aggression of caster by 4.8',100,1,1),
(283108,10102516,'Increases Defense and Parry of caster by 9.6',100,1,2),
(283109,10102516,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(283110,165201,'When Equipped:',100,0,0),
(283111,165201,'On a combat hit this spell may cast Nail Spikes on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283112,165201,'Inflicts 53 piercing damage on target',100,2,2),
(283113,165201,'Cannot be modified except by direct means',100,2,3),
(283114,10165201,'When Equipped:',100,0,0),
(283115,10165201,'On a combat hit this spell may cast Nail Spikes on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283116,10165201,'Inflicts 64 piercing damage on target',100,2,2),
(283117,10165201,'Cannot be modified except by direct means',100,2,3),
(283118,81393,'When Equipped:',100,0,0),
(283119,81393,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283120,81393,'Inflicts 80 - 149 magic damage on target',100,2,2),
(283121,81393,'Cannot be modified except by direct means',100,2,3),
(283122,10081393,'When Equipped:',100,0,0),
(283123,10081393,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283124,10081393,'Inflicts 96 - 179 magic damage on target',100,2,2),
(283125,10081393,'Cannot be modified except by direct means',100,2,3),
(283126,124198,'Inflicts 260 - 434 melee damage on target',100,1,0),
(283127,10124198,'Inflicts 312 - 521 melee damage on target',100,1,0),
(283128,170672,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(283129,170672,'Decreases Attack Speed of target by 13.2',100,1,1),
(283130,170672,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(283131,10170672,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(283132,10170672,'Decreases Attack Speed of target by 13.2',100,1,1),
(283133,10170672,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(283134,35099,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(283135,35099,'This effect suspends during combat',100,0,1),
(283136,121046,'Increases AGI of target by 62.5',100,1,0),
(283137,121046,'Adds 1.0% to base avoidance.',100,1,1),
(283138,121046,'Increases In-Combat Power Regeneration of target by 34.8',100,1,2),
(283139,121046,'Increases Max Power of target by 377.1',100,1,3),
(283140,10121046,'Increases AGI of target by 62.5',100,1,0),
(283141,10121046,'Adds 1.0% to base avoidance.',100,1,1),
(283142,10121046,'Increases In-Combat Power Regeneration of target by 34.8',100,1,2),
(283143,10121046,'Increases Max Power of target by 377.1',100,1,3),
(283144,71641,'When Equipped:',100,0,0),
(283145,71641,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283146,71641,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(283147,71641,'Cannot be modified except by direct means',100,2,3),
(283148,10071641,'When Equipped:',100,0,0),
(283149,10071641,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283150,10071641,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(283151,10071641,'Cannot be modified except by direct means',100,2,3),
(283152,107112,'Inflicts 395 - 483 divine damage on target',100,1,0),
(283153,10107112,'Inflicts 474 - 580 divine damage on target',100,1,0),
(283154,106853,'Decreases Crushing, Piercing, Slashing and Ranged of target by 49.1',100,1,0),
(283155,10106853,'Decreases Crushing, Piercing, Slashing and Ranged of target by 49.1',100,1,0),
(283156,117008,'Inflicts 66 - 200 melee damage on target',100,1,0),
(283157,10117008,'Inflicts 80 - 240 melee damage on target',100,1,0),
(283158,24039,'Adds Boar (Berserker) to your Dungeon Maker toolbox',100,0,0),
(283159,10024039,'Adds Boar (Berserker) to your Dungeon Maker toolbox',100,0,0),
(283160,112759,'Interrupts target',100,1,0),
(283161,112759,'Inflicts 148 - 246 divine damage on target',100,1,1),
(283162,10112759,'Interrupts target',100,1,0),
(283163,10112759,'Inflicts 177 - 295 divine damage on target',100,1,1),
(283164,116143,'Inflicts 176 - 294 divine damage on target',100,1,0),
(283165,116143,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(283166,116143,'Stuns target',100,2,2),
(283167,116143,'Throws target back',100,2,3),
(283168,116143,'Blurs vision of target',100,2,4),
(283169,116143,'Does not affect Epic targets',100,2,5),
(283170,10116143,'Inflicts 212 - 353 divine damage on target',100,1,0),
(283171,10116143,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(283172,10116143,'Stuns target',100,2,2),
(283173,10116143,'Throws target back',100,2,3),
(283174,10116143,'Blurs vision of target',100,2,4),
(283175,10116143,'Does not affect Epic targets',100,2,5),
(283176,111400,'Increases Attack Speed of target by 38.7',100,1,0),
(283177,111400,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283178,111400,'Inflicts 167 disease damage on target',100,2,2),
(283179,111400,'Heals caster for 54',100,2,3),
(283180,111400,'Decreases Defense and Parry of target by 17.5',100,1,4),
(283181,111400,'Increases Disruption, Subjugation and Focus of target by 24.6',100,1,5),
(283182,10111400,'Increases Attack Speed of target by 38.7',100,1,0),
(283183,10111400,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283184,10111400,'Inflicts 200 disease damage on target',100,2,2),
(283185,10111400,'Heals caster for 35',100,2,3),
(283186,10111400,'Decreases Defense and Parry of target by 17.5',100,1,4),
(283187,10111400,'Increases Disruption, Subjugation and Focus of target by 24.6',100,1,5),
(283188,82292,'When Equipped:',100,0,0),
(283189,82292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283190,82292,'Inflicts 188 - 349 magic damage on target',100,2,2),
(283191,82292,'Cannot be modified except by direct means',100,2,3),
(283192,10082292,'When Equipped:',100,0,0),
(283193,10082292,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283194,10082292,'Inflicts 226 - 419 magic damage on target',100,2,2),
(283195,10082292,'Cannot be modified except by direct means',100,2,3),
(283196,155325,'When Equipped:',100,0,0),
(283197,155325,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(283198,10155325,'When Equipped:',100,0,0),
(283199,10155325,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(283200,121705,'Increases AGI of caster by 29.5',100,1,0),
(283201,121705,'Adds 1.9% to base avoidance.',100,1,1),
(283202,121705,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(283203,121705,'Increases Parry of caster by 17.3',100,1,3),
(283204,121705,'Increases Defense of caster by 23.0',100,1,4),
(283205,10121705,'Increases AGI of caster by 29.5',100,1,0),
(283206,10121705,'Adds 1.9% to base avoidance.',100,1,1),
(283207,10121705,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(283208,10121705,'Increases Parry of caster by 17.3',100,1,3),
(283209,10121705,'Increases Defense of caster by 23.0',100,1,4),
(283210,41621,'When Equipped:',100,0,0),
(283211,41621,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(283212,41621,'Decreases Threat to target by 1,174 ',100,2,2),
(283213,41621,'Must be flanking or behind',100,3,3),
(283214,41621,'Increases Threat to target by 1,634 ',100,2,4),
(283215,41621,'Must be in front of',100,3,5),
(283216,41621,'Inflicts 237 - 440 magic damage on target',100,2,6),
(283217,41621,'Cannot be modified except by direct means',100,2,7),
(283218,10041621,'When Equipped:',100,0,0),
(283219,10041621,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(283220,10041621,'Inflicts 284 - 528 magic damage on target',100,2,2),
(283221,10041621,'Cannot be modified except by direct means',100,2,3),
(283222,110330,'Increases Max Power of target by 308.8',100,1,0),
(283223,110330,'Increases Max Health of target by 617.4',100,1,1),
(283224,10110330,'Increases Max Power of target by 308.8',100,1,0),
(283225,10110330,'Increases Max Health of target by 617.4',100,1,1),
(283226,101489,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(283227,101489,'Increases Mitigation of group members (AE) vs arcane damage by 599',100,1,1),
(283228,10101489,'Increases Max Power of group members (AE) by 369.1',100,1,0),
(283229,10101489,'Increases Mitigation of group members (AE) vs arcane damage by 599',100,1,1),
(283230,35384,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(283231,119796,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(283232,119796,'Adds 0.9% to base avoidance.',100,1,1),
(283233,10119796,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(283234,10119796,'Adds 0.9% to base avoidance.',100,1,1),
(283235,162307,'When Equipped:',100,0,0),
(283236,162307,'Increases Attack Speed of caster by 40.0',100,1,1),
(283237,10162307,'When Equipped:',100,0,0),
(283238,10162307,'Increases Attack Speed of caster by 40.0',100,1,1),
(283239,52769,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(283240,52769,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(283241,52769,'Inflicts 86 heat damage on target',100,2,2),
(283242,52769,'Cannot be modified except by direct means',100,2,3),
(283243,10052769,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(283244,10052769,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(283245,10052769,'Inflicts 103 heat damage on target',100,2,2),
(283246,10052769,'Cannot be modified except by direct means',100,2,3),
(283247,111327,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(283248,111327,'Inflicts 161 - 196 mental damage on target',100,2,1),
(283249,111327,'Grants a total of 3 triggers of the spell.',100,2,2),
(283250,10111327,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(283251,10111327,'Inflicts 193 - 235 mental damage on target',100,2,1),
(283252,10111327,'Grants a total of 3 triggers of the spell.',100,2,2),
(283253,112591,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(283254,112591,'Heals targets in Area of Effect for 301 - 368',100,2,1),
(283255,112591,'Dispels 133 levels of physical hostile effects on target',100,2,2),
(283256,10112591,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(283257,10112591,'Heals targets in Area of Effect for 196 - 239',100,2,1),
(283258,10112591,'Dispels 133 levels of physical hostile effects on target',100,2,2),
(283259,111800,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(283260,111800,'Wipes most of the target''s memory of aggression',100,2,1),
(283261,111800,'Summons 6 limited pets to aid the caster',100,1,2),
(283262,10111800,'Applies Distract on termination.',100,1,0),
(283263,10111800,'Forces target to clear their selected target.',100,2,1),
(283264,10111800,'Summons 6 limited pets to aid the caster',100,1,2),
(283265,106290,'Decreases AGI, STR, INT and WIS of target encounter by 106.9',100,1,0),
(283266,106290,'Decreases Focus, Slashing, Crushing, Piercing and Ranged of target encounter by 27.1',100,1,1),
(283267,106290,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 26.6',100,1,2),
(283268,10106290,'Decreases AGI, STR, INT and WIS of target encounter by 106.9',100,1,0),
(283269,10106290,'Decreases Focus, Slashing, Crushing, Piercing and Ranged of target encounter by 27.1',100,1,1),
(283270,10106290,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 26.6',100,1,2),
(283271,108021,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(283272,108021,'Increases Mitigation of group members (AE) vs elemental damage by 1392',100,1,1),
(283273,10108021,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(283274,10108021,'Increases Mitigation of group members (AE) vs elemental damage by 1392',100,1,1),
(283275,110108,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(283276,110108,'Inflicts 26 disease damage on target',100,2,1),
(283277,110108,'Heals caster for 19',100,2,2),
(283278,110108,'Decreases INT of target by 137.5',100,1,3),
(283279,110108,'Decreases Attack Speed of target by 25.0',100,1,4),
(283280,110108,'Increases Max Health of target by 9.5%',100,1,5),
(283281,110108,'Increases Hate Gain of target by 27.4%',100,1,6),
(283282,110108,'Increases Aggression of target by 10.0',100,1,7),
(283283,110108,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(283284,110108,'Increases Threat to target encounter by 175 - 215 ',100,2,9),
(283285,110108,'Increases Mitigation of target vs elemental, noxious and arcane damage by 665',100,1,10),
(283286,10110108,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(283287,10110108,'Inflicts 31 disease damage on target',100,2,1),
(283288,10110108,'Heals caster for 12',100,2,2),
(283289,10110108,'Decreases INT of target by 137.5',100,1,3),
(283290,10110108,'Decreases Attack Speed of target by 25.0',100,1,4),
(283291,10110108,'Increases Max Health of target by 9.5%',100,1,5),
(283292,10110108,'Increases Aggression of target by 10.0',100,1,6),
(283293,10110108,'Increases Mitigation of target vs elemental, noxious and arcane damage by 665',100,1,7),
(283294,37453,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(283295,102893,'Heals caster for 400',100,1,0),
(283296,102893,'Inflicts 609 disease damage on targets in Area of Effect',100,1,1),
(283297,10102893,'Heals caster for 260',100,1,0),
(283298,10102893,'Inflicts 731 disease damage on targets in Area of Effect',100,1,1),
(283299,26588,'When Equipped:',100,0,0),
(283300,26588,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(283301,26588,'Adds a threat component to Assault VII.',100,1,2),
(283302,10026588,'When Equipped:',100,0,0),
(283303,10026588,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(283304,10026588,'Adds a threat component to Assault VII.',100,1,2),
(283305,35915,'Increases Max Power of target by 47.2',100,0,0),
(283306,35915,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(283307,119275,'Inflicts 42 - 71 slashing damage on target',100,1,0),
(283308,119275,'Decreases Damage Per Second of target by 11.9',100,1,1),
(283309,119275,'Inflicts 57 slashing damage on target instantly and every 4 seconds',100,1,2),
(283310,10119275,'Inflicts 51 - 85 slashing damage on target',100,1,0),
(283311,10119275,'Decreases Damage Per Second of target by 11.9',100,1,1),
(283312,10119275,'Inflicts 69 slashing damage on target instantly and every 4 seconds',100,1,2),
(283313,159368,'Applies Lambent Imbued when Equipped.',100,0,0),
(283314,159368,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283315,159368,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(283316,159368,'Cannot be modified except by direct means',100,2,3),
(283317,10159368,'Applies Lambent Imbued when Equipped.',100,0,0),
(283318,10159368,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283319,10159368,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(283320,10159368,'Cannot be modified except by direct means',100,2,3),
(283321,141841,'When Equipped:',100,0,0),
(283322,141841,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283323,141841,'Increases INT of caster by 8.3',100,2,2),
(283324,141841,'Increases Subjugation, Focus and Disruption of caster by 5.3',100,2,3),
(283325,141841,'Cannot be modified except by direct means',100,2,4),
(283326,10141841,'When Equipped:',100,0,0),
(283327,10141841,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283328,10141841,'Increases INT of caster by 8.3',100,2,2),
(283329,10141841,'Increases Subjugation, Focus and Disruption of caster by 5.3',100,2,3),
(283330,10141841,'Cannot be modified except by direct means',100,2,4),
(283331,89618,'Applies Celestial Glow when Equipped.',100,0,0),
(283332,10089618,'Applies Celestial Glow when Equipped.',100,0,0),
(283333,123330,'Increases STA of raid and group members (AE) by 49.0',100,1,0),
(283334,123330,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(283335,10123330,'Increases STA of raid and group members (AE) by 49.0',100,1,0),
(283336,10123330,'Increase spell damage of group and raid members by 3.75%.',100,1,1),
(283337,122115,'Dispels 36 levels of arcane beneficial effects on target',100,1,0),
(283338,122115,'Interrupts target',100,1,1),
(283339,122115,'Increases Threat to target by 613 ',100,1,2),
(283340,10122115,'Interrupts target',100,1,0),
(283341,10122115,'Forces target to change their selected target to caster.',100,1,1),
(283342,10122115,'Dispels 36 levels of arcane beneficial effects on target',100,1,2),
(283343,55383,'When Equipped:',100,0,0),
(283344,55383,'On a hostile spell hit this spell may cast Fear-Stricken Limbs on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283345,55383,'Decreases Attack Speed of target by 23.0',100,2,2),
(283346,55383,'Cannot be modified except by direct means',100,2,3),
(283347,10055383,'When Equipped:',100,0,0),
(283348,10055383,'On a hostile spell hit this spell may cast Fear-Stricken Limbs on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283349,10055383,'Decreases Attack Speed of target by 23.0',100,2,2),
(283350,10055383,'Cannot be modified except by direct means',100,2,3),
(283351,120587,'Inflicts 70 - 130 heat damage on target',100,1,0),
(283352,10120587,'Inflicts 84 - 156 heat damage on target',100,1,0),
(283353,112202,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(283354,112202,'Increases Threat to target by 16 ',100,2,1),
(283355,112202,'Inflicts 5 disease damage on target',100,2,2),
(283356,112202,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 230',100,1,3),
(283357,10112202,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(283358,10112202,'Inflicts 6 disease damage on target',100,2,1),
(283359,10112202,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 230',100,1,2),
(283360,116668,'Heals group members (AE) for 173 - 211',100,1,0),
(283361,116668,'This effect cannot be critically applied.',100,2,1),
(283362,116668,'Increases Max Health of group members (AE) by 94.6',100,1,2),
(283363,116668,'The healing of this spell cannot be modified except by direct means',100,1,3),
(283364,10116668,'Heals group members (AE) for 54 - 66',100,1,0),
(283365,10116668,'This effect cannot be critically applied.',100,2,1),
(283366,10116668,'Increases Max Health of group members (AE) by 94.6',100,1,2),
(283367,10116668,'The healing of this spell cannot be modified except by direct means',100,1,3),
(283368,110539,'Increases Threat to target by 1,682  instantly and by 891  every 3 seconds thereafter',100,1,0),
(283369,110539,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(283370,110539,'Stuns target',100,2,2),
(283371,110539,'Throws target back',100,2,3),
(283372,110539,'Blurs vision of target',100,2,4),
(283373,110539,'Does not affect Epic targets',100,2,5),
(283374,110539,'Inflicts 204 - 340 disease damage on target',100,1,6),
(283375,10110539,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(283376,10110539,'Stuns target',100,2,1),
(283377,10110539,'Throws target back',100,2,2),
(283378,10110539,'Blurs vision of target',100,2,3),
(283379,10110539,'Does not affect Epic targets',100,2,4),
(283380,10110539,'Forces target to change their selected target to caster.',100,1,5),
(283381,10110539,'Inflicts 204 - 340 disease damage on target',100,1,6),
(283382,10110539,'Prevents target from changing targets',100,1,7),
(283383,114055,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(283384,114055,'Grants stealth to caster',100,2,1),
(283385,114055,'Suspends caster''s movement speed enhancements',100,2,2),
(283386,114055,'Inflicts 60 - 101 melee damage on target',100,1,3),
(283387,114055,'Must be flanking or behind',100,1,4),
(283388,10114055,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(283389,10114055,'Grants stealth to caster',100,2,1),
(283390,10114055,'Suspends caster''s movement speed enhancements',100,2,2),
(283391,10114055,'Inflicts 109 - 181 melee damage on target',100,1,3),
(283392,10114055,'Must be flanking or behind',100,1,4),
(283393,114203,'Inflicts 271 - 451 melee damage on target',100,1,0),
(283394,114203,'Decreases Slashing, Crushing and Piercing of target by 10.1',100,1,1),
(283395,10114203,'Inflicts 325 - 542 melee damage on target',100,1,0),
(283396,10114203,'Decreases Slashing, Crushing and Piercing of target by 10.1',100,1,1),
(283397,148740,'When Equipped:',100,0,0),
(283398,148740,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(283399,148740,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(283400,148740,'Increases Potency of caster by 3.0%',100,2,3),
(283401,148740,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(283402,148740,'Increases Ability Modifier of caster by 780.0',100,2,5),
(283403,148740,'Must not be engaged in pvp combat',100,2,6),
(283404,148740,'Cannot be modified except by direct means',100,2,7),
(283405,148740,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(283406,148740,'Increases Potency of caster by 3.0%',100,2,9),
(283407,148740,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(283408,148740,'Increases Ability Modifier of caster by 780.0',100,2,11),
(283409,148740,'Must not be engaged in pvp combat',100,2,12),
(283410,148740,'Cannot be modified except by direct means',100,2,13),
(283411,148740,'Cannot be modified except by direct means',100,1,14),
(283412,10148740,'When Equipped:',100,0,0),
(283413,10148740,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(283414,10148740,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(283415,10148740,'Increases Potency of caster by 3.0%',100,2,3),
(283416,10148740,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(283417,10148740,'Increases Ability Modifier of caster by 780.0',100,2,5),
(283418,10148740,'Must not be engaged in pvp combat',100,2,6),
(283419,10148740,'Cannot be modified except by direct means',100,2,7),
(283420,10148740,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(283421,10148740,'Increases Potency of caster by 3.0%',100,2,9),
(283422,10148740,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(283423,10148740,'Increases Ability Modifier of caster by 780.0',100,2,11),
(283424,10148740,'Must not be engaged in pvp combat',100,2,12),
(283425,10148740,'Cannot be modified except by direct means',100,2,13),
(283426,10148740,'Cannot be modified except by direct means',100,1,14),
(283427,100449,'Increases INT of target by 26.7',100,1,0),
(283428,100449,'Increases Attack Speed of target by 20.2',100,1,1),
(283429,100449,'Decreases Defense and Parry of target by 4.9',100,1,2),
(283430,100449,'Increases Slashing, Crushing and Piercing of target by 3.6',100,1,3),
(283431,10100449,'Increases INT of target by 26.7',100,1,0),
(283432,10100449,'Increases Attack Speed of target by 20.2',100,1,1),
(283433,10100449,'Decreases Defense and Parry of target by 4.9',100,1,2),
(283434,10100449,'Increases Slashing, Crushing and Piercing of target by 3.6',100,1,3),
(283435,100740,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(283436,100740,'Increases Mitigation of group members (AE) vs noxious damage by 1392',100,1,1),
(283437,10100740,'Increases Max Health of group members (AE) by 388.9',100,1,0),
(283438,10100740,'Increases Mitigation of group members (AE) vs noxious damage by 1392',100,1,1),
(283439,24603,'Adds Orc-Snow (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(283440,10024603,'Adds Orc-Snow (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(283441,106992,'Inflicts 1451 - 2695 poison damage on target',100,1,0),
(283442,106992,'Increases power of caster by 155',100,1,1),
(283443,10106992,'Inflicts 1742 - 3235 poison damage on target',100,1,0),
(283444,10106992,'Increases power of caster by 155',100,1,1),
(283445,24241,'Adds Cyclops (Brigand) to your Dungeon Maker toolbox',100,0,0),
(283446,10024241,'Adds Cyclops (Brigand) to your Dungeon Maker toolbox',100,0,0),
(283447,107966,'Increases In-Combat Power Regeneration of group members (AE) by 21.5',100,1,0),
(283448,10107966,'Increases In-Combat Power Regeneration of group members (AE) by 21.5',100,1,0),
(283449,52758,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(283450,52758,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(283451,52758,'Inflicts 86 heat damage on target',100,2,2),
(283452,52758,'Cannot be modified except by direct means',100,2,3),
(283453,10052758,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(283454,10052758,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(283455,10052758,'Inflicts 103 heat damage on target',100,2,2),
(283456,10052758,'Cannot be modified except by direct means',100,2,3),
(283457,136489,'When Equipped:',100,0,0),
(283458,136489,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(283459,136489,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(283460,136489,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,3),
(283461,136489,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(283462,136489,'Must not be engaged in pvp combat',100,2,5),
(283463,136489,'Cannot be modified except by direct means',100,2,6),
(283464,136489,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(283465,136489,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,8),
(283466,136489,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(283467,136489,'Must not be engaged in pvp combat',100,2,10),
(283468,136489,'Cannot be modified except by direct means',100,2,11),
(283469,136489,'Cannot be modified except by direct means',100,1,12),
(283470,10136489,'When Equipped:',100,0,0),
(283471,10136489,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(283472,10136489,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(283473,10136489,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,3),
(283474,10136489,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(283475,10136489,'Must not be engaged in pvp combat',100,2,5),
(283476,10136489,'Cannot be modified except by direct means',100,2,6),
(283477,10136489,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(283478,10136489,'Increases WIS, AGI, STR and INT of caster by 50.0',100,2,8),
(283479,10136489,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(283480,10136489,'Must not be engaged in pvp combat',100,2,10),
(283481,10136489,'Cannot be modified except by direct means',100,2,11),
(283482,10136489,'Cannot be modified except by direct means',100,1,12),
(283483,139213,'When Equipped:',100,0,0),
(283484,139213,'When a combat art is used this spell has a 6% chance to cast Ethereal Strike on target of combat art.  ',100,1,1),
(283485,139213,'Inflicts 274 divine damage on target',100,2,2),
(283486,139213,'Cannot be modified except by direct means',100,2,3),
(283487,10139213,'When Equipped:',100,0,0),
(283488,10139213,'When a combat art is used this spell has a 6% chance to cast Ethereal Strike on target of combat art.  ',100,1,1),
(283489,10139213,'Inflicts 328 divine damage on target',100,2,2),
(283490,10139213,'Cannot be modified except by direct means',100,2,3),
(283491,24066,'Adds Elite: Cerebus (Brigand) to your Dungeon Maker toolbox',100,0,0),
(283492,10024066,'Adds Elite: Cerebus (Brigand) to your Dungeon Maker toolbox',100,0,0),
(283493,46526,'Applies Grandmaster Service Summoning Scroll when Activated.  Lasts for 30 minutes.',100,0,0),
(283494,46526,'Summons a Rush Order Minion',100,1,1),
(283495,46526,'Must be in a house.',100,1,2),
(283496,10046526,'Applies Grandmaster Service Summoning Scroll when Activated.  Lasts for 30 minutes.',100,0,0),
(283497,10046526,'Summons a Rush Order Minion',100,1,1),
(283498,10046526,'Must be in a house.',100,1,2),
(283499,80955,'When Equipped:',100,0,0),
(283500,80955,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(283501,80955,'Decreases Threat to target by 672 ',100,2,2),
(283502,80955,'Must be flanking or behind',100,3,3),
(283503,80955,'Increases Threat to target by 1,132 ',100,2,4),
(283504,80955,'Must be in front of',100,3,5),
(283505,80955,'Inflicts 188 - 349 magic damage on target',100,2,6),
(283506,80955,'Cannot be modified except by direct means',100,2,7),
(283507,10080955,'When Equipped:',100,0,0),
(283508,10080955,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(283509,10080955,'Inflicts 226 - 419 magic damage on target',100,2,2),
(283510,10080955,'Cannot be modified except by direct means',100,2,3),
(283511,146715,'When Equipped:',100,0,0),
(283512,146715,'On a hostile spell cast this spell may cast Etheral Recovery on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283513,146715,'Decrease the caster''s spell reuse time by 15%.',100,2,2),
(283514,146715,'Cannot be modified except by direct means',100,2,3),
(283515,10146715,'When Equipped:',100,0,0),
(283516,10146715,'On a hostile spell cast this spell may cast Etheral Recovery on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(283517,10146715,'Decrease the caster''s spell reuse time by 15%.',100,2,2),
(283518,10146715,'Cannot be modified except by direct means',100,2,3),
(283519,45931,'Applies Call Dervish Destrier when Activated.',100,0,0),
(283520,45931,'Increases Focus, Crushing and Piercing of caster by 4.7',100,1,1),
(283521,45931,'Summons a mount to ride',100,1,2),
(283522,45931,'Increases your ground speed by 130%',100,2,3),
(283523,45931,'Increases Slashing of caster by 4.7',100,1,4),
(283524,10045931,'Applies Call Dervish Destrier when Activated.',100,0,0),
(283525,10045931,'Increases Focus, Crushing and Piercing of caster by 4.7',100,1,1),
(283526,10045931,'Summons a mount to ride',100,1,2),
(283527,10045931,'Increases your ground speed by 130%',100,2,3),
(283528,10045931,'Increases Slashing of caster by 4.7',100,1,4),
(283529,119900,'Increases INT and WIS of group members (AE) by 10.4',100,1,0),
(283530,10119900,'Increases INT and WIS of group members (AE) by 10.4',100,1,0),
(283531,174040,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(283532,174040,'Increases Tradeskill XP Gain of caster by 15.0%',100,1,1),
(283533,174040,'Increases AA XP Gain of caster by 15.0%',100,1,2),
(283534,174040,'Increases Combat XP Gain of caster by 15.0%',100,1,3),
(283535,174040,'You can only have one experience potion active at a time.',100,1,4),
(283536,174040,'The casting time of a blessed experience is 1.0 second and the reuse time of the spell is 1 day',100,1,5),
(283537,10174040,'Applies a blessed experience when Activated.  Lasts for 30 minutes.',100,0,0),
(283538,10174040,'Increases Tradeskill XP Gain of caster by 15.0%',100,1,1),
(283539,10174040,'Increases AA XP Gain of caster by 15.0%',100,1,2),
(283540,10174040,'Increases Combat XP Gain of caster by 15.0%',100,1,3),
(283541,10174040,'You can only have one experience potion active at a time.',100,1,4),
(283542,10174040,'The casting time of a blessed experience is 1.0 second and the reuse time of the spell is 1 day',100,1,5),
(283543,47597,'Applies Medium Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(283544,47597,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(283545,10047597,'Applies Medium Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(283546,10047597,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(283547,133432,'When Equipped:',100,0,0),
(283548,133432,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283549,133432,'Increases Potency of caster by 7.0%',100,2,2),
(283550,133432,'Cannot be modified except by direct means',100,2,3),
(283551,10133432,'When Equipped:',100,0,0),
(283552,10133432,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283553,10133432,'Increases Potency of caster by 7.0%',100,2,2),
(283554,10133432,'Cannot be modified except by direct means',100,2,3),
(283555,83745,'When Equipped:',100,0,0),
(283556,83745,'On a hostile spell cast this spell may cast Kohr''athian Harvest on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(283557,83745,'Inflicts 189 - 231 magic damage on target',100,2,2),
(283558,83745,'Heals caster for 195 - 239',100,2,3),
(283559,83745,'Cannot be modified except by direct means',100,2,4),
(283560,10083745,'When Equipped:',100,0,0),
(283561,10083745,'On a hostile spell cast this spell may cast Kohr''athian Harvest on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(283562,10083745,'Inflicts 227 - 277 magic damage on target',100,2,2),
(283563,10083745,'Heals caster for 127 - 155',100,2,3),
(283564,10083745,'Cannot be modified except by direct means',100,2,4),
(283565,113872,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(283566,113872,'Increases power of caster by 711',100,2,1),
(283567,113872,'Grants a total of 3 triggers of the spell.',100,2,2),
(283568,10113872,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(283569,10113872,'Increases power of caster by 711',100,2,1),
(283570,10113872,'Grants a total of 3 triggers of the spell.',100,2,2),
(283571,113950,'Decreases power of target encounter by 34 instantly and every 4 seconds',100,1,0),
(283572,113950,'Increases power of group members (AE) by 22 instantly and every 4 seconds',100,1,1),
(283573,10113950,'Decreases power of target encounter by 34 instantly and every 4 seconds',100,1,0),
(283574,10113950,'Increases power of group members (AE) by 22 instantly and every 4 seconds',100,1,1),
(283575,47002,'Applies Middling Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(283576,47002,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(283577,47002,'Inflicts 317 poison damage on target instantly and every 6 seconds',100,2,2),
(283578,47002,'Cannot be modified except by direct means',100,2,3),
(283579,47002,'Grants a total of 4 triggers of the spell.',100,2,4),
(283580,47002,'Only affects targets level 50 and above',100,1,5),
(283581,10047002,'Applies Middling Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(283582,10047002,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(283583,10047002,'Inflicts 285 poison damage on target instantly and every 6 seconds',100,2,2),
(283584,10047002,'Cannot be modified except by direct means',100,2,3),
(283585,10047002,'Grants a total of 4 triggers of the spell.',100,2,4),
(283586,10047002,'Only affects targets level 50 and above',100,1,5),
(283587,116314,'Stuns target',100,1,0),
(283588,116314,'If Target is not Epic',100,2,1),
(283589,116314,'Inflicts 310 - 379 magic damage on target',100,1,2),
(283590,116314,'Resistibility increases against targets higher than level 87.',100,1,3),
(283591,10116314,'Stuns target',100,1,0),
(283592,10116314,'If Target is not Epic',100,2,1),
(283593,10116314,'Inflicts 372 - 455 magic damage on target',100,1,2),
(283594,10116314,'Resistibility increases against targets higher than level 87.',100,1,3),
(283595,75549,'Applies Disease Blast when Activated.',100,0,0),
(283596,75549,'Inflicts 129 - 215 disease damage on target',100,1,1),
(283597,75549,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(283598,10075549,'Applies Disease Blast when Activated.',100,0,0),
(283599,10075549,'Inflicts 155 - 258 disease damage on target',100,1,1),
(283600,10075549,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(283601,110633,'Inflicts 383 - 639 ranged damage on target',100,1,0),
(283602,110633,'If weapon equipped in Ranged',100,1,1),
(283603,110633,'Must be flanking or behind',100,1,2),
(283604,10110633,'Inflicts 210 - 350 ranged damage on target',100,1,0),
(283605,10110633,'If weapon equipped in Ranged',100,1,1),
(283606,10110633,'Must be flanking or behind',100,1,2),
(283607,103361,'Decreases power of target by 9 instantly and every 6 seconds',100,1,0),
(283608,103361,'Inflicts 36 - 43 mental damage on target instantly and every 6 seconds',100,1,1),
(283609,103361,'Increases power of caster by 42',100,1,2),
(283610,10103361,'Decreases power of target by 9 instantly and every 6 seconds',100,1,0),
(283611,10103361,'Inflicts 43 - 52 mental damage on target instantly and every 6 seconds',100,1,1),
(283612,10103361,'Increases power of caster by 42',100,1,2),
(283613,179303,'When Equipped:',100,0,0),
(283614,179303,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(283615,10179303,'When Equipped:',100,0,0),
(283616,10179303,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(283617,117028,'Inflicts 258 - 776 melee damage on target',100,1,0),
(283618,10117028,'Inflicts 310 - 931 melee damage on target',100,1,0),
(283619,100288,'Inflicts 64 - 120 poison damage on target instantly and every 3 seconds',100,1,0),
(283620,10100288,'Inflicts 174 - 324 poison damage on target instantly and every 3 seconds',100,1,0),
(283621,123492,'Decreases Mitigation of target encounter vs noxious damage by 270',100,1,0),
(283622,10123492,'Decreases Mitigation of target encounter vs noxious damage by 270',100,1,0),
(283623,106721,'Heals target for 313 - 382',100,1,0),
(283624,10106721,'Heals target for 368 - 449',100,1,0),
(283625,104468,'Inflicts 10-17 melee damage on targets in area',100,1,0),
(283626,104468,'Interrupts targets in Area of Effect',100,1,1),
(283627,10104468,'Inflicts 76 - 127 melee damage on targets in area',100,1,0),
(283628,10104468,'Interrupts targets in Area of Effect',100,1,1),
(283629,154862,'When Equipped:',100,0,0),
(283630,154862,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(283631,154862,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(283632,154862,'Increases Damage Per Second of caster by 9.0',100,2,3),
(283633,154862,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(283634,154862,'Must not be engaged in pvp combat',100,2,5),
(283635,154862,'Cannot be modified except by direct means',100,2,6),
(283636,154862,'Cannot be modified except by direct means',100,1,7),
(283637,10154862,'When Equipped:',100,0,0),
(283638,10154862,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(283639,10154862,'On any combat or spell hit this spell may cast Cyclical Battering III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(283640,10154862,'Increases Damage Per Second of caster by 9.0',100,2,3),
(283641,10154862,'Increases Multi Attack Chance of caster by 22.0',100,2,4),
(283642,10154862,'Must not be engaged in pvp combat',100,2,5),
(283643,10154862,'Cannot be modified except by direct means',100,2,6),
(283644,10154862,'Cannot be modified except by direct means',100,1,7),
(283645,159075,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(283646,159075,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283647,159075,'Heals target for 44 instantly and every 4 seconds',100,2,2),
(283648,159075,'Cannot be modified except by direct means',100,2,3),
(283649,10159075,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(283650,10159075,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283651,10159075,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(283652,10159075,'Cannot be modified except by direct means',100,2,3),
(283653,109633,'Wards target against 234 points of all damage',100,1,0),
(283654,10109633,'Wards target against 234 points of all damage',100,1,0),
(283655,104973,'Reduces physical damage done to caster by 5%',100,1,0),
(283656,104973,'Adds 1.7% to base avoidance.',100,1,1),
(283657,104973,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(283658,104973,'Increases Parry of caster by 2.0',100,1,3),
(283659,104973,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(283660,104973,'Increases Aggression of caster by 1.2',100,1,5),
(283661,104973,'Increases Defense and Deflection of caster by 2.0',100,1,6),
(283662,104973,'Increases Mitigation of caster vs arcane damage by 169',100,1,7),
(283663,104973,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(283664,10104973,'Reduces physical damage done to caster by 5%',100,1,0),
(283665,10104973,'Adds 1.7% to base avoidance.',100,1,1),
(283666,10104973,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(283667,10104973,'Increases Parry of caster by 2.0',100,1,3),
(283668,10104973,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(283669,10104973,'Increases Aggression of caster by 1.2',100,1,5),
(283670,10104973,'Increases Defense and Deflection of caster by 2.0',100,1,6),
(283671,10104973,'Increases Mitigation of caster vs arcane damage by 169',100,1,7),
(283672,10104973,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(283673,159901,'Applies Lambent Imbued when Equipped.',100,0,0),
(283674,159901,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283675,159901,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(283676,159901,'Cannot be modified except by direct means',100,2,3),
(283677,10159901,'Applies Lambent Imbued when Equipped.',100,0,0),
(283678,10159901,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(283679,10159901,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(283680,10159901,'Cannot be modified except by direct means',100,2,3),
(283681,115905,'Inflicts 58 - 71 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(283682,10115905,'Inflicts 91 - 111 disease damage on target encounter',100,1,0),
(283683,10115905,'Inflicts 70 - 86 disease damage on target encounter every 3 seconds',100,1,1),
(283684,116027,'Prevents target from changing targets',100,1,0),
(283685,116027,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(283686,116027,'Increases Threat to target by 1,616 - 1,873  instantly and by 1,196 - 1,359  every 4 seconds thereafter',100,2,2),
(283687,116027,'Increases Threat to target by 2,563 - 3,030  instantly and by 1,774 - 2,066  every 2 seconds thereafter',100,1,3),
(283688,116027,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(283689,116027,'Increases threat priority of target by 4 positions',100,1,5),
(283690,116027,'Must be not at the top of the hate list of your current target.',100,1,6),
(283691,10116027,'Prevents target from changing targets',100,1,0),
(283692,10116027,'Forces target to change their selected target to caster.',100,1,1),
(283693,10116027,'Must be not at the top of the hate list of your current target.',100,1,2),
(283694,79311,'Applies Mark of Pestilence when Equipped.',100,0,0),
(283695,10079311,'Applies Mark of Pestilence when Equipped.',100,0,0),
(283696,122567,'Stifles target',100,1,0),
(283697,122567,'If Target is not Epic',100,2,1),
(283698,122567,'Interrupts target',100,1,2),
(283699,122567,'Inflicts 7 - 11 magic damage on target',100,1,3),
(283700,122567,'Resistibility increases against targets higher than level 39.',100,1,4),
(283701,10122567,'Stifles target',100,1,0),
(283702,10122567,'If Target is not Epic',100,2,1),
(283703,10122567,'Interrupts target',100,1,2),
(283704,10122567,'Inflicts 8 - 13 magic damage on target',100,1,3),
(283705,10122567,'Resistibility increases against targets higher than level 39.',100,1,4),
(283706,116166,'Increases Attack Speed of caster by 38.7',100,1,0),
(283707,116166,'Increases Damage Per Second of caster by 44.6',100,1,1),
(283708,10116166,'Increases Attack Speed of caster by 38.7',100,1,0),
(283709,10116166,'Increases Damage Per Second of caster by 44.6',100,1,1),
(283710,81771,'When Equipped:',100,0,0),
(283711,81771,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283712,81771,'Inflicts 97 - 180 magic damage on target',100,2,2),
(283713,81771,'Cannot be modified except by direct means',100,2,3),
(283714,10081771,'When Equipped:',100,0,0),
(283715,10081771,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283716,10081771,'Inflicts 116 - 216 magic damage on target',100,2,2),
(283717,10081771,'Cannot be modified except by direct means',100,2,3),
(283718,112470,'Decreases AGI and WIS of target by 18.4',100,1,0),
(283719,10112470,'Decreases AGI and WIS of target by 18.4',100,1,0),
(283720,118240,'Inflicts 47 - 78 divine damage on target',100,1,0),
(283721,118240,'Interrupts target',100,1,1),
(283722,10118240,'Inflicts 56 - 94 divine damage on target',100,1,0),
(283723,10118240,'Interrupts target',100,1,1),
(283724,101183,'Inflicts 122 - 204 cold damage on target',100,1,0),
(283725,101183,'Inflicts 122 - 204 cold damage on target',100,1,1),
(283726,101183,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(283727,101183,'Slows target by 42.7%',100,2,3),
(283728,101183,'5% chance to dispel when target receives hostile action',100,2,4),
(283729,101183,'5% chance to dispel when target takes damage',100,2,5),
(283730,101183,'If weapon equipped in Ranged',100,1,6),
(283731,10101183,'Inflicts 92 - 153 cold damage on target',100,1,0),
(283732,10101183,'Inflicts 92 - 153 cold damage on target',100,1,1),
(283733,10101183,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(283734,10101183,'Slows target by 42.7%',100,2,3),
(283735,10101183,'5% chance to dispel when target receives hostile action',100,2,4),
(283736,10101183,'5% chance to dispel when target takes damage',100,2,5),
(283737,10101183,'If weapon equipped in Ranged',100,1,6),
(283738,118082,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(283739,118082,'Increases Defense of caster by 9.9',100,1,1),
(283740,10118082,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(283741,10118082,'Increases Defense of caster by 9.9',100,1,1),
(283742,108488,'Stuns target',100,1,0),
(283743,108488,'Prevents AOE (except when direct) ',100,1,1),
(283744,108488,'Dispelled when target takes damage',100,1,2),
(283745,108488,'Does not affect Epic targets',100,1,3),
(283746,108488,'Resistibility increases against targets higher than level 39.',100,1,4),
(283747,10108488,'Stuns target',100,1,0),
(283748,10108488,'Prevents AOE (except when direct) ',100,1,1),
(283749,10108488,'Dispelled when target takes damage',100,1,2),
(283750,10108488,'Does not affect Epic targets',100,1,3),
(283751,10108488,'Resistibility increases against targets higher than level 39.',100,1,4),
(283752,105293,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(283753,105293,'Inflicts 77 - 129 mental damage on target',100,2,1),
(283754,105293,'Increases AGI of caster by 87.5',100,1,2),
(283755,105293,'Adds 17.2% to base avoidance.',100,1,3),
(283756,105293,'Increases Mitigation of caster vs physical damage by 316',100,1,4),
(283757,105293,'Increases Mitigation of caster vs elemental and arcane damage by 704',100,1,5),
(283758,105293,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(283759,105293,'Inflicts 77 - 129 mental damage on target',100,2,7),
(283760,105293,'Increases Mitigation of caster vs noxious damage by 704',100,1,8),
(283761,10105293,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(283762,10105293,'Inflicts 93 - 155 mental damage on target',100,2,1),
(283763,10105293,'Increases AGI of caster by 87.5',100,1,2),
(283764,10105293,'Adds 17.2% to base avoidance.',100,1,3),
(283765,10105293,'Increases Mitigation of caster vs physical damage by 316',100,1,4),
(283766,10105293,'Increases Mitigation of caster vs elemental and arcane damage by 704',100,1,5),
(283767,10105293,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(283768,10105293,'Inflicts 93 - 155 mental damage on target',100,2,7),
(283769,10105293,'Increases Mitigation of caster vs noxious damage by 704',100,1,8),
(283770,113454,'Increases INT of target by 55.2',100,1,0),
(283771,113454,'Increases Max Health of target by 387.5',100,1,1),
(283772,10113454,'Increases INT of target by 55.2',100,1,0),
(283773,10113454,'Increases Max Health of target by 387.5',100,1,1),
(283774,113991,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(283775,113991,'Inflicts 50 - 84 melee damage on target',100,2,1),
(283776,113991,'Increases Threat to target by 459 ',100,2,2),
(283777,10113991,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(283778,10113991,'Inflicts 60 - 101 melee damage on target',100,2,1),
(283779,35535,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(283780,160854,'When Equipped:',100,0,0),
(283781,160854,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283782,160854,'Inflicts 1199 cold damage on target encounter',100,2,2),
(283783,160854,'Cannot be modified except by direct means',100,2,3),
(283784,10160854,'When Equipped:',100,0,0),
(283785,10160854,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283786,10160854,'Inflicts 719 cold damage on target encounter',100,2,2),
(283787,10160854,'Cannot be modified except by direct means',100,2,3),
(283788,122701,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 3 attacks.',100,1,0),
(283789,122701,'If towershield equipped in Secondary',100,1,1),
(283790,10122701,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 3 attacks.',100,1,0),
(283791,10122701,'If towershield equipped in Secondary',100,1,1),
(283792,123690,'Increases Damage Per Second of target by 68.5',100,1,0),
(283793,10123690,'Increases Damage Per Second of target by 68.5',100,1,0),
(283794,172803,'When Equipped:',100,0,0),
(283795,172803,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(283796,172803,'Stuns target',100,2,2),
(283797,172803,'Only affects targets level 95 and below',100,2,3),
(283798,172803,'Does not affect Epic targets',100,2,4),
(283799,172803,'Resistibility increases against targets higher than level 104.',100,2,5),
(283800,172803,'Cannot be modified except by direct means',100,2,6),
(283801,10172803,'When Equipped:',100,0,0),
(283802,10172803,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(283803,10172803,'Stuns target',100,2,2),
(283804,10172803,'Only affects targets level 95 and below',100,2,3),
(283805,10172803,'Does not affect Epic targets',100,2,4),
(283806,10172803,'Resistibility increases against targets higher than level 104.',100,2,5),
(283807,10172803,'Cannot be modified except by direct means',100,2,6),
(283808,108085,'Decreases Threat to target by 317 - 528 ',100,1,0),
(283809,10108085,'Forces target to clear their selected target.',100,1,0),
(283810,10108085,'Target cannot target caster for the duration of this effect.',100,1,1),
(283811,122003,'Inflicts 166 - 277 melee damage on targets in area',100,1,0),
(283812,122003,'Increases Threat to target encounter by 1,364 ',100,1,1),
(283813,10122003,'Inflicts 199 - 332 melee damage on targets in area',100,1,0),
(283814,10122003,'Prevents target encounter from changing targets',100,1,1),
(283815,10122003,'Forces target encounter to change their selected target to caster.',100,1,2),
(283816,45455,'Applies Calebgrothiel''s Hope when Activated.  Lasts for 15 minutes.',100,0,0),
(283817,45455,'Increases Max Health of caster by 138.4',100,1,1),
(283818,10045455,'Applies Calebgrothiel''s Hope when Activated.  Lasts for 15 minutes.',100,0,0),
(283819,10045455,'Increases Max Health of caster by 138.4',100,1,1),
(283820,46640,'Applies Oxidizing Agent when Activated.  Lasts for 8.0 seconds.',100,0,0),
(283821,46640,'Slows target by 38.5%',100,1,1),
(283822,46640,'Inflicts 69 magic damage on target',100,1,2),
(283823,10046640,'Applies Oxidizing Agent when Activated.  Lasts for 8.0 seconds.',100,0,0),
(283824,10046640,'Slows target by 38.5%',100,1,1),
(283825,10046640,'Inflicts 83 magic damage on target',100,1,2),
(283826,103457,'Blurs vision of target encounter',100,1,0),
(283827,103457,'19% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(283828,103457,'Stuns target',100,2,2),
(283829,103457,'Blurs vision of target',100,2,3),
(283830,103457,'Throws target back',100,2,4),
(283831,103457,'Does not affect Epic targets',100,2,5),
(283832,103457,'Interrupts target encounter',100,1,6),
(283833,10103457,'Interrupts target encounter',100,1,0),
(283834,10103457,'19% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(283835,10103457,'Stuns target',100,2,2),
(283836,10103457,'Throws target back',100,2,3),
(283837,10103457,'Blurs vision of target',100,2,4),
(283838,10103457,'Does not affect Epic targets',100,2,5),
(283839,10103457,'Blurs vision of target encounter',100,1,6),
(283840,124187,'Inflicts 118 - 197 melee damage on target',100,1,0),
(283841,10124187,'Inflicts 141 - 236 melee damage on target',100,1,0),
(283842,117260,'Inflicts 12 - 21 melee damage on target',100,1,0),
(283843,117260,'Decreases Damage Per Second of target by 7.4',100,1,1),
(283844,117260,'Decreases Attack Speed of target by 6.5',100,1,2),
(283845,10117260,'Inflicts 15 - 25 melee damage on target',100,1,0),
(283846,10117260,'Decreases Damage Per Second of target by 7.4',100,1,1),
(283847,10117260,'Decreases Attack Speed of target by 6.5',100,1,2),
(283848,87335,'When Equipped:',100,0,0),
(283849,87335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283850,87335,'Inflicts 99 - 148 magic damage on target',100,2,2),
(283851,87335,'Cannot be modified except by direct means',100,2,3),
(283852,10087335,'When Equipped:',100,0,0),
(283853,10087335,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283854,10087335,'Inflicts 118 - 177 magic damage on target',100,2,2),
(283855,10087335,'Cannot be modified except by direct means',100,2,3),
(283856,175411,'When Equipped:',100,0,0),
(283857,175411,'On a healing spell cast this spell may cast Blood Feast on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283858,175411,'Wards target against 1520 points of all damage',100,2,2),
(283859,175411,'Cannot be modified except by direct means',100,2,3),
(283860,175411,'Cannot be modified except by direct means',100,1,4),
(283861,175411,'When Equipped:',100,0,5),
(283862,175411,'Reduces cast time of beneficial spells by 5 percent.',100,1,6),
(283863,10175411,'When Equipped:',100,0,0),
(283864,10175411,'On a healing spell cast this spell may cast Blood Feast on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283865,10175411,'Wards target against 1520 points of all damage',100,2,2),
(283866,10175411,'Cannot be modified except by direct means',100,2,3),
(283867,10175411,'Cannot be modified except by direct means',100,1,4),
(283868,10175411,'When Equipped:',100,0,5),
(283869,10175411,'Reduces cast time of beneficial spells by 5 percent.',100,1,6),
(283870,116878,'Wards group members (AE) against 800 points of noxious damage',100,1,0),
(283871,116878,'Increases Mitigation of group members (AE) vs noxious damage by 473',100,1,1),
(283872,10116878,'Wards group members (AE) against 800 points of noxious damage',100,1,0),
(283873,10116878,'Increases Mitigation of group members (AE) vs noxious damage by 473',100,1,1),
(283874,75641,'Applies Holy Strike when Activated.',100,0,0),
(283875,75641,'Inflicts 243 - 405 divine damage on target',100,1,1),
(283876,75641,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(283877,10075641,'Applies Holy Strike when Activated.',100,0,0),
(283878,10075641,'Inflicts 291 - 486 divine damage on target',100,1,1),
(283879,10075641,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(283880,103003,'Increases STR and AGI of group members (AE) by 174.2',100,1,0),
(283881,10103003,'Increases STR and AGI of group members (AE) by 174.2',100,1,0),
(283882,114552,'Heals target for 516 - 631',100,1,0),
(283883,10114552,'Heals target for 671 - 820',100,1,0),
(283884,101794,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(283885,101794,'Decreases Threat to target by 339 ',100,2,1),
(283886,10101794,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(283887,10101794,'Inflicts 20 - 22 crushing damage on target',100,2,1),
(283888,105667,'Decreases Damage Per Second of target by 19.5',100,1,0),
(283889,105667,'Inflicts 167 - 279 melee damage on target',100,1,1),
(283890,105667,'Must be flanking or behind',100,1,2),
(283891,10105667,'Decreases Damage Per Second of target by 19.5',100,1,0),
(283892,10105667,'Inflicts 201 - 335 melee damage on target',100,1,1),
(283893,10105667,'Must be flanking or behind',100,1,2),
(283894,175296,'When Equipped:',100,0,0),
(283895,175296,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283896,175296,'Inflicts 2664 disease damage on target encounter',100,2,2),
(283897,175296,'Must not be engaged in pvp combat',100,2,3),
(283898,175296,'Cannot be modified except by direct means',100,2,4),
(283899,10175296,'When Equipped:',100,0,0),
(283900,10175296,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(283901,10175296,'Inflicts 1598 disease damage on target encounter',100,2,2),
(283902,10175296,'Must not be engaged in pvp combat',100,2,3),
(283903,10175296,'Cannot be modified except by direct means',100,2,4),
(283904,81901,'When Equipped:',100,0,0),
(283905,81901,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283906,81901,'Inflicts 152 - 283 magic damage on target',100,2,2),
(283907,81901,'Cannot be modified except by direct means',100,2,3),
(283908,10081901,'When Equipped:',100,0,0),
(283909,10081901,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283910,10081901,'Inflicts 183 - 339 magic damage on target',100,2,2),
(283911,10081901,'Cannot be modified except by direct means',100,2,3),
(283912,40860,'When Equipped:',100,0,0),
(283913,40860,'On a critical combat hit this spell may cast Imposing Righteousness II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283914,40860,'Decreases Potency of target by 2.0%',100,2,2),
(283915,40860,'Increases Potency of caster by 3.0%',100,2,3),
(283916,40860,'Must not be engaged in pvp combat',100,2,4),
(283917,40860,'Cannot be modified except by direct means',100,2,5),
(283918,40860,'On a critical spell hit this spell may cast Imposing Righteousness II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(283919,40860,'Decreases Potency of target by 2.0%',100,2,7),
(283920,40860,'Increases Potency of caster by 3.0%',100,2,8),
(283921,40860,'Must not be engaged in pvp combat',100,2,9),
(283922,40860,'Cannot be modified except by direct means',100,2,10),
(283923,40860,'Must not be engaged in pvp combat',100,1,11),
(283924,10040860,'When Equipped:',100,0,0),
(283925,10040860,'On a critical combat hit this spell may cast Imposing Righteousness II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(283926,10040860,'Decreases Potency of target by 2.0%',100,2,2),
(283927,10040860,'Increases Potency of caster by 3.0%',100,2,3),
(283928,10040860,'Must not be engaged in pvp combat',100,2,4),
(283929,10040860,'Cannot be modified except by direct means',100,2,5),
(283930,10040860,'On a critical spell hit this spell may cast Imposing Righteousness II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(283931,10040860,'Decreases Potency of target by 2.0%',100,2,7),
(283932,10040860,'Increases Potency of caster by 3.0%',100,2,8),
(283933,10040860,'Must not be engaged in pvp combat',100,2,9),
(283934,10040860,'Cannot be modified except by direct means',100,2,10),
(283935,10040860,'Must not be engaged in pvp combat',100,1,11),
(283936,27111,'When Equipped:',100,0,0),
(283937,27111,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(283938,27111,'Inflicts 864 magic damage on target',100,2,2),
(283939,27111,'Cannot be modified except by direct means',100,2,3),
(283940,27111,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(283941,27111,'Inflicts 864 magic damage on target',100,2,5),
(283942,27111,'Cannot be modified except by direct means',100,2,6),
(283943,10027111,'When Equipped:',100,0,0),
(283944,10027111,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(283945,10027111,'Inflicts 881 magic damage on target',100,2,2),
(283946,10027111,'Cannot be modified except by direct means',100,2,3),
(283947,10027111,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(283948,10027111,'Inflicts 881 magic damage on target',100,2,5),
(283949,10027111,'Cannot be modified except by direct means',100,2,6),
(283950,82072,'When Equipped:',100,0,0),
(283951,82072,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283952,82072,'Inflicts 138 - 257 magic damage on target',100,2,2),
(283953,82072,'Cannot be modified except by direct means',100,2,3),
(283954,10082072,'When Equipped:',100,0,0),
(283955,10082072,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283956,10082072,'Inflicts 166 - 309 magic damage on target',100,2,2),
(283957,10082072,'Cannot be modified except by direct means',100,2,3),
(283958,113815,'Inflicts 64 - 106 disease damage on target',100,1,0),
(283959,10113815,'Inflicts 77 - 128 disease damage on target',100,1,0),
(283960,188663,'When Equipped:',100,0,0),
(283961,188663,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(283962,188663,'Increases power of caster by 114',100,2,2),
(283963,188663,'Cannot be modified except by direct means',100,2,3),
(283964,10188663,'When Equipped:',100,0,0),
(283965,10188663,'On any combat or spell hit this spell may cast Replenish Power on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(283966,10188663,'Increases power of caster by 114',100,2,2),
(283967,10188663,'Cannot be modified except by direct means',100,2,3),
(283968,81541,'When Equipped:',100,0,0),
(283969,81541,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283970,81541,'Inflicts 111 - 205 magic damage on target',100,2,2),
(283971,81541,'Cannot be modified except by direct means',100,2,3),
(283972,10081541,'When Equipped:',100,0,0),
(283973,10081541,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(283974,10081541,'Inflicts 133 - 246 magic damage on target',100,2,2),
(283975,10081541,'Cannot be modified except by direct means',100,2,3),
(283976,117987,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(283977,117987,'Increases Attack Speed of target by 15.5',100,2,1),
(283978,117987,'Increases Damage Per Second of target by 15.5',100,2,2),
(283979,117987,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(283980,117987,'Increases Attack Speed of target by 15.5',100,2,4),
(283981,117987,'Increases Damage Per Second of target by 15.5',100,2,5),
(283982,117987,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(283983,117987,'Increases Attack Speed of target by 15.5',100,2,7),
(283984,117987,'Increases Damage Per Second of target by 15.5',100,2,8),
(283985,10117987,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(283986,10117987,'Increases Attack Speed of target by 15.5',100,2,1),
(283987,10117987,'Increases Damage Per Second of target by 15.5',100,2,2),
(283988,10117987,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(283989,10117987,'Increases Attack Speed of target by 15.5',100,2,4),
(283990,10117987,'Increases Damage Per Second of target by 15.5',100,2,5),
(283991,10117987,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(283992,10117987,'Increases Attack Speed of target by 15.5',100,2,7),
(283993,10117987,'Increases Damage Per Second of target by 15.5',100,2,8),
(283994,47017,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(283995,47017,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(283996,47017,'Decreases STR of target by 17.7',100,2,2),
(283997,47017,'Cannot be modified except by direct means',100,2,3),
(283998,47017,'Grants a total of 30 triggers of the spell.',100,2,4),
(283999,10047017,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(284000,10047017,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(284001,10047017,'Decreases STR of target by 17.7',100,2,2),
(284002,10047017,'Cannot be modified except by direct means',100,2,3),
(284003,10047017,'Grants a total of 30 triggers of the spell.',100,2,4),
(284004,101174,'Inflicts 72 - 120 cold damage on target',100,1,0),
(284005,101174,'Inflicts 72 - 120 cold damage on target',100,1,1),
(284006,101174,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(284007,101174,'Slows target by 36.0%',100,2,3),
(284008,101174,'5% chance to dispel when target receives hostile action',100,2,4),
(284009,101174,'5% chance to dispel when target takes damage',100,2,5),
(284010,101174,'If weapon equipped in Ranged',100,1,6),
(284011,10101174,'Inflicts 54 - 90 cold damage on target',100,1,0),
(284012,10101174,'Inflicts 54 - 90 cold damage on target',100,1,1),
(284013,10101174,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(284014,10101174,'Slows target by 36.0%',100,2,3),
(284015,10101174,'5% chance to dispel when target receives hostile action',100,2,4),
(284016,10101174,'5% chance to dispel when target takes damage',100,2,5),
(284017,10101174,'If weapon equipped in Ranged',100,1,6),
(284018,183277,'When Equipped:',100,0,0),
(284019,183277,'On a beneficial spell cast this spell may cast Hound''s Armament on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(284020,183277,'Will absorb all damage when the amount is greater than 50% of the target''s maximum health. This spell will absorb a total of 1 attack.',100,2,2),
(284021,183277,'Must not be engaged in pvp combat',100,2,3),
(284022,183277,'Cannot be modified except by direct means',100,2,4),
(284023,183277,'Increases Potency of caster by 10.0%',100,1,5),
(284024,10183277,'When Equipped:',100,0,0),
(284025,10183277,'On a beneficial spell cast this spell may cast Hound''s Armament on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(284026,10183277,'Will absorb all damage when the amount is greater than 50% of the target''s maximum health. This spell will absorb a total of 1 attack.',100,2,2),
(284027,10183277,'Must not be engaged in pvp combat',100,2,3),
(284028,10183277,'Cannot be modified except by direct means',100,2,4),
(284029,10183277,'Increases Potency of caster by 10.0%',100,1,5),
(284030,52806,'Applies Sanguine Imbued when Equipped.',100,0,0),
(284031,52806,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(284032,52806,'Inflicts 56 heat damage on target',100,2,2),
(284033,52806,'Cannot be modified except by direct means',100,2,3),
(284034,10052806,'Applies Sanguine Imbued when Equipped.',100,0,0),
(284035,10052806,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(284036,10052806,'Inflicts 67 heat damage on target',100,2,2),
(284037,10052806,'Cannot be modified except by direct means',100,2,3),
(284038,74574,'When Equipped:',100,0,0),
(284039,74574,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284040,74574,'Inflicts 135 - 203 magic damage on target',100,2,2),
(284041,74574,'Cannot be modified except by direct means',100,2,3),
(284042,10074574,'When Equipped:',100,0,0),
(284043,10074574,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284044,10074574,'Inflicts 162 - 244 magic damage on target',100,2,2),
(284045,10074574,'Cannot be modified except by direct means',100,2,3),
(284046,105118,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(284047,105118,'Summon 1 Crystallized Soul (Adept)',100,2,1),
(284048,10105118,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(284049,10105118,'Summon 1 Crystallized Soul (Adept)',100,2,1),
(284050,84588,'When Equipped:',100,0,0),
(284051,84588,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(284052,84588,'Reduces healing received by 15.00%',100,2,2),
(284053,84588,'Cannot be modified except by direct means',100,2,3),
(284054,84588,'This effect can only trigger once every 1 second.',100,2,4),
(284055,84588,'Must be engaged in pvp combat',100,1,5),
(284056,10084588,'When Equipped:',100,0,0),
(284057,10084588,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(284058,10084588,'Reduces healing received by 15.00%',100,2,2),
(284059,10084588,'Cannot be modified except by direct means',100,2,3),
(284060,10084588,'This effect can only trigger once every 1 second.',100,2,4),
(284061,10084588,'Must be engaged in pvp combat',100,1,5),
(284062,46012,'Applies a blessed experience when Activated.  Lasts for 45 minutes.',100,0,0),
(284063,46012,'Increases Tradeskill XP Gain of caster by 77.0%',100,1,1),
(284064,46012,'Increases AA XP Gain of caster by 77.0%',100,1,2),
(284065,46012,'Increases Combat XP Gain of caster by 77.0%',100,1,3),
(284066,46012,'You can only have one experience potion active at a time.',100,1,4),
(284067,10046012,'Applies a blessed experience when Activated.  Lasts for 45 minutes.',100,0,0),
(284068,10046012,'Increases Tradeskill XP Gain of caster by 77.0%',100,1,1),
(284069,10046012,'Increases AA XP Gain of caster by 77.0%',100,1,2),
(284070,10046012,'Increases Combat XP Gain of caster by 77.0%',100,1,3),
(284071,10046012,'You can only have one experience potion active at a time.',100,1,4),
(284072,166465,'When Equipped:',100,0,0),
(284073,166465,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(284074,166465,'Inflicts 1199 cold damage on target encounter',100,2,2),
(284075,166465,'Cannot be modified except by direct means',100,2,3),
(284076,10166465,'When Equipped:',100,0,0),
(284077,10166465,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(284078,10166465,'Inflicts 719 cold damage on target encounter',100,2,2),
(284079,10166465,'Cannot be modified except by direct means',100,2,3),
(284080,111104,'Heals target for 27.4 - 33.4% of max health',100,1,0),
(284081,111104,'This effect cannot be critically applied.',100,2,1),
(284082,111104,'Increases Mitigation of target vs physical damage by 229',100,1,2),
(284083,111104,'The healing of this spell cannot be modified except by direct means',100,1,3),
(284084,10111104,'Heals target for 10.3 - 12.5% of max health',100,1,0),
(284085,10111104,'This effect cannot be critically applied.',100,2,1),
(284086,10111104,'Increases Mitigation of target vs physical damage by 229',100,1,2),
(284087,10111104,'The healing of this spell cannot be modified except by direct means',100,1,3),
(284088,113064,'Dazes target',100,1,0),
(284089,113064,'If Target is not Epic',100,2,1),
(284090,113064,'Applies Scream on termination.',100,1,2),
(284091,113064,'Inflicts 151 - 251 disease damage on target',100,2,3),
(284092,113064,'Resistibility increases against targets higher than level 77.',100,1,4),
(284093,10113064,'Dazes target',100,1,0),
(284094,10113064,'If Target is not Epic',100,2,1),
(284095,10113064,'Applies Scream on termination.',100,1,2),
(284096,10113064,'Inflicts 181 - 301 disease damage on target',100,2,3),
(284097,10113064,'Resistibility increases against targets higher than level 77.',100,1,4),
(284098,112801,'Inflicts 368 - 613 slashing damage on target',100,1,0),
(284099,112801,'Stifles target',100,1,1),
(284100,112801,'If Target is not Epic',100,2,2),
(284101,112801,'You must be in stealth.',100,1,3),
(284102,112801,'Resistibility increases against targets higher than level 77.',100,1,4),
(284103,10112801,'Inflicts 441 - 736 slashing damage on target',100,1,0),
(284104,10112801,'Stifles target',100,1,1),
(284105,10112801,'If Target is not Epic',100,2,2),
(284106,10112801,'You must be in stealth.',100,1,3),
(284107,10112801,'Resistibility increases against targets higher than level 77.',100,1,4),
(284108,85367,'Applies Poison Bolt when Activated.',100,0,0),
(284109,85367,'Inflicts 173 - 289 poison damage on target',100,1,1),
(284110,85367,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(284111,10085367,'Applies Poison Bolt when Activated.',100,0,0),
(284112,10085367,'Inflicts 208 - 347 poison damage on target',100,1,1),
(284113,10085367,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(284114,102472,'Roots target',100,1,0),
(284115,102472,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(284116,102472,'Blurs vision of target',100,2,2),
(284117,102472,'Dazes target',100,2,3),
(284118,102472,'Dispelled when target takes damage',100,2,4),
(284119,102472,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(284120,102472,'5% chance to dispel when target takes damage',100,1,6),
(284121,102472,'Does not affect Epic targets',100,1,7),
(284122,102472,'Resistibility increases against targets higher than level 48.',100,1,8),
(284123,10102472,'Roots target',100,1,0),
(284124,10102472,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(284125,10102472,'Dazes target',100,2,2),
(284126,10102472,'Blurs vision of target',100,2,3),
(284127,10102472,'Dispelled when target takes damage',100,2,4),
(284128,10102472,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(284129,10102472,'5% chance to dispel when target takes damage',100,1,6),
(284130,10102472,'Does not affect Epic targets',100,1,7),
(284131,10102472,'Resistibility increases against targets higher than level 48.',100,1,8),
(284132,25348,'When Equipped:',100,0,0),
(284133,25348,'Improves the damage of Chilling Claws by 10%',100,1,1),
(284134,10025348,'When Equipped:',100,0,0),
(284135,10025348,'Improves the damage of Chilling Claws by 10%',100,1,1),
(284136,75493,'When Equipped:',100,0,0),
(284137,75493,'On a critical healing spell cast this spell may cast Shielding Ripple IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284138,75493,'Wards target against 250 points of all damage',100,2,2),
(284139,75493,'Heals target for 245 - 270 instantly and every 2 seconds',100,2,3),
(284140,75493,'Must not be engaged in pvp combat',100,2,4),
(284141,75493,'Cannot be modified except by direct means',100,2,5),
(284142,75493,'Must not be engaged in pvp combat',100,1,6),
(284143,10075493,'When Equipped:',100,0,0),
(284144,10075493,'On a critical healing spell cast this spell may cast Shielding Ripple IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284145,10075493,'Wards target against 250 points of all damage',100,2,2),
(284146,10075493,'Heals target for 159 - 176 instantly and every 2 seconds',100,2,3),
(284147,10075493,'Must not be engaged in pvp combat',100,2,4),
(284148,10075493,'Cannot be modified except by direct means',100,2,5),
(284149,10075493,'Must not be engaged in pvp combat',100,1,6),
(284150,48708,'Applies Translucent Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(284151,48708,'Only affects targets level 50 and above',100,1,1),
(284152,10048708,'Applies Translucent Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(284153,10048708,'Only affects targets level 50 and above',100,1,1),
(284154,110762,'Heals group members (AE) for 93 - 114 instantly and every 2 seconds',100,1,0),
(284155,10110762,'Heals group members (AE) for 61 - 74 instantly and every 2 seconds',100,1,0),
(284156,121290,'Inflicts 83 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(284157,121290,'Inflicts 275 - 458 melee damage on targets in area',100,1,1),
(284158,121290,'You must be in stealth or have Bloody Assault.',100,1,2),
(284159,10121290,'Inflicts 100 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(284160,10121290,'Inflicts 330 - 550 melee damage on targets in area',100,1,1),
(284161,10121290,'You must be in stealth or have Bloody Assault.',100,1,2),
(284162,123504,'Decreases Mitigation of target encounter vs noxious damage by 550',100,1,0),
(284163,10123504,'Decreases Mitigation of target encounter vs noxious damage by 550',100,1,0),
(284164,81309,'When Equipped:',100,0,0),
(284165,81309,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284166,81309,'Decreases Threat to target by 949 ',100,2,2),
(284167,81309,'Must be flanking or behind',100,3,3),
(284168,81309,'Increases Threat to target by 1,409 ',100,2,4),
(284169,81309,'Must be in front of',100,3,5),
(284170,81309,'Inflicts 196 - 364 magic damage on target',100,2,6),
(284171,81309,'Cannot be modified except by direct means',100,2,7),
(284172,10081309,'When Equipped:',100,0,0),
(284173,10081309,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284174,10081309,'Inflicts 235 - 437 magic damage on target',100,2,2),
(284175,10081309,'Cannot be modified except by direct means',100,2,3),
(284176,114743,'Inflicts 1789 - 2982 melee damage on target',100,1,0),
(284177,114743,'You must be in stealth.',100,1,1),
(284178,10114743,'Inflicts 1279 - 2132 melee damage on target',100,1,0),
(284179,10114743,'You must be in stealth.',100,1,1),
(284180,112300,'Inflicts 216 - 264 disease damage on target',100,1,0),
(284181,112300,'Inflicts 108 - 132 disease damage on target every 3 seconds',100,1,1),
(284182,112300,'Increases Threat to target by 2,657 - 3,146  instantly and by 722 - 883  every 3 seconds thereafter',100,1,2),
(284183,10112300,'Inflicts 130 - 158 disease damage on target every 3 seconds',100,1,0),
(284184,10112300,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(284185,102214,'Increases Max Health of group members (AE) by 101.4',100,1,0),
(284186,10102214,'Increases Max Health of group members (AE) by 101.4',100,1,0),
(284187,81271,'When Equipped:',100,0,0),
(284188,81271,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284189,81271,'Decreases Threat to target by 949 ',100,2,2),
(284190,81271,'Must be flanking or behind',100,3,3),
(284191,81271,'Increases Threat to target by 1,409 ',100,2,4),
(284192,81271,'Must be in front of',100,3,5),
(284193,81271,'Inflicts 196 - 364 magic damage on target',100,2,6),
(284194,81271,'Cannot be modified except by direct means',100,2,7),
(284195,10081271,'When Equipped:',100,0,0),
(284196,10081271,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284197,10081271,'Inflicts 235 - 437 magic damage on target',100,2,2),
(284198,10081271,'Cannot be modified except by direct means',100,2,3),
(284199,123160,'Reduces physical damage done to caster by 5%',100,1,0),
(284200,123160,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,1),
(284201,123160,'Increases Aggression of caster by 6.3',100,1,2),
(284202,123160,'Increases Defense and Parry of caster by 12.5',100,1,3),
(284203,123160,'Increases Mitigation of caster vs elemental damage by 836',100,1,4),
(284204,123160,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(284205,10123160,'Reduces physical damage done to caster by 5%',100,1,0),
(284206,10123160,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,1),
(284207,10123160,'Increases Aggression of caster by 6.3',100,1,2),
(284208,10123160,'Increases Defense and Parry of caster by 12.5',100,1,3),
(284209,10123160,'Increases Mitigation of caster vs elemental damage by 836',100,1,4),
(284210,10123160,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(284211,80808,'When Equipped:',100,0,0),
(284212,80808,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284213,80808,'Decreases Threat to target by 672 ',100,2,2),
(284214,80808,'Must be flanking or behind',100,3,3),
(284215,80808,'Increases Threat to target by 1,132 ',100,2,4),
(284216,80808,'Must be in front of',100,3,5),
(284217,80808,'Inflicts 188 - 349 magic damage on target',100,2,6),
(284218,80808,'Cannot be modified except by direct means',100,2,7),
(284219,10080808,'When Equipped:',100,0,0),
(284220,10080808,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284221,10080808,'Inflicts 226 - 419 magic damage on target',100,2,2),
(284222,10080808,'Cannot be modified except by direct means',100,2,3),
(284223,154978,'When Equipped:',100,0,0),
(284224,154978,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(284225,154978,'Stuns target',100,2,2),
(284226,154978,'Only affects targets level 125 and below',100,2,3),
(284227,154978,'Does not affect Epic targets',100,2,4),
(284228,154978,'Resistibility increases against targets higher than level 101.',100,2,5),
(284229,154978,'Cannot be modified except by direct means',100,2,6),
(284230,10154978,'When Equipped:',100,0,0),
(284231,10154978,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(284232,10154978,'Stuns target',100,2,2),
(284233,10154978,'Only affects targets level 125 and below',100,2,3),
(284234,10154978,'Does not affect Epic targets',100,2,4),
(284235,10154978,'Resistibility increases against targets higher than level 101.',100,2,5),
(284236,10154978,'Cannot be modified except by direct means',100,2,6),
(284237,35032,'Increases INT and WIS of target by 4.6',100,0,0),
(284238,35032,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(284239,26074,'When Equipped:',100,0,0),
(284240,26074,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(284241,26074,'Adds a threat component to Assault VII.',100,1,2),
(284242,10026074,'When Equipped:',100,0,0),
(284243,10026074,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(284244,10026074,'Adds a threat component to Assault VII.',100,1,2),
(284245,119860,'Increases INT and AGI of group members (AE) by 12.5',100,1,0),
(284246,119860,'Adds 1.9% to base avoidance.',100,1,1),
(284247,10119860,'Increases INT and AGI of group members (AE) by 12.5',100,1,0),
(284248,10119860,'Adds 1.9% to base avoidance.',100,1,1),
(284249,138895,'When Equipped:',100,0,0),
(284250,138895,'Decreases Hate Gain of caster by 5.0%',100,1,1),
(284251,10138895,'When Equipped:',100,0,0),
(284252,117153,'Inflicts 3 poison damage on target instantly and every 4 seconds',100,1,0),
(284253,117153,'Decreases WIS of target by 8.0',100,1,1),
(284254,10117153,'Inflicts 4 poison damage on target instantly and every 4 seconds',100,1,0),
(284255,10117153,'Decreases WIS of target by 8.0',100,1,1),
(284256,123295,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(284257,123295,'Inflicts 174 - 291 disease damage on target',100,2,1),
(284258,123295,'Heals caster for 1.2 - 2.0% of max health',100,2,2),
(284259,123295,'This effect cannot be critically applied.',100,3,3),
(284260,123295,'The healing of this spell cannot be modified except by direct means',100,2,4),
(284261,10123295,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(284262,10123295,'Inflicts 209 - 349 disease damage on target',100,2,1),
(284263,10123295,'Heals caster for 0.4 - 0.7% of max health',100,2,2),
(284264,10123295,'This effect cannot be critically applied.',100,3,3),
(284265,10123295,'The healing of this spell cannot be modified except by direct means',100,2,4),
(284266,121373,'Inflicts 81 - 150 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(284267,10121373,'Inflicts 97 - 179 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(284268,80430,'When Equipped:',100,0,0),
(284269,80430,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284270,80430,'Inflicts 48 - 90 magic damage on target',100,2,2),
(284271,80430,'Cannot be modified except by direct means',100,2,3),
(284272,10080430,'When Equipped:',100,0,0),
(284273,10080430,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284274,10080430,'Inflicts 58 - 107 magic damage on target',100,2,2),
(284275,10080430,'Cannot be modified except by direct means',100,2,3),
(284276,111392,'Increases Attack Speed of target by 21.8',100,1,0),
(284277,111392,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(284278,111392,'Inflicts 70 disease damage on target',100,2,2),
(284279,111392,'Heals caster for 22',100,2,3),
(284280,111392,'Decreases Defense and Parry of target by 11.3',100,1,4),
(284281,111392,'Increases Disruption, Subjugation and Focus of target by 10.7',100,1,5),
(284282,10111392,'Increases Attack Speed of target by 21.8',100,1,0),
(284283,10111392,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(284284,10111392,'Inflicts 84 disease damage on target',100,2,2),
(284285,10111392,'Heals caster for 14',100,2,3),
(284286,10111392,'Decreases Defense and Parry of target by 11.3',100,1,4),
(284287,10111392,'Increases Disruption, Subjugation and Focus of target by 10.7',100,1,5),
(284288,112654,'Inflicts 187 - 312 disease damage on target',100,1,0),
(284289,112654,'Inflicts 187 - 312 disease damage on target',100,1,1),
(284290,112654,'Roots target',100,1,2),
(284291,112654,'If Target is not Epic',100,2,3),
(284292,112654,'15% chance to dispel when target takes damage',100,1,4),
(284293,112654,'If weapon equipped in Ranged',100,1,5),
(284294,112654,'Resistibility increases against targets higher than level 100.',100,1,6),
(284295,10112654,'Inflicts 140 - 234 disease damage on target',100,1,0),
(284296,10112654,'Inflicts 140 - 234 disease damage on target',100,1,1),
(284297,10112654,'Roots target',100,1,2),
(284298,10112654,'If Target is not Epic',100,2,3),
(284299,10112654,'15% chance to dispel when target takes damage',100,1,4),
(284300,10112654,'If weapon equipped in Ranged',100,1,5),
(284301,10112654,'Resistibility increases against targets higher than level 100.',100,1,6),
(284302,72497,'When Equipped:',100,0,0),
(284303,72497,'On a combat hit this spell may cast Pestilence on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284304,72497,'Inflicts 38 - 46 disease damage on target',100,2,2),
(284305,72497,'Inflicts 13 - 15 disease damage on target every 4 seconds',100,2,3),
(284306,72497,'Cannot be modified except by direct means',100,2,4),
(284307,10072497,'When Equipped:',100,0,0),
(284308,10072497,'On a combat hit this spell may cast Pestilence on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284309,10072497,'Inflicts 45 - 55 disease damage on target',100,2,2),
(284310,10072497,'Inflicts 15 - 18 disease damage on target every 4 seconds',100,2,3),
(284311,10072497,'Cannot be modified except by direct means',100,2,4),
(284312,46679,'Applies Purify when Activated.',100,0,0),
(284313,46679,'Summon 1 Pure Kunzar Extract',100,1,1),
(284314,10046679,'Applies Purify when Activated.',100,0,0),
(284315,10046679,'Summon 1 Pure Kunzar Extract',100,1,1),
(284316,87940,'When Equipped:',100,0,0),
(284317,87940,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(284318,87940,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(284319,87940,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(284320,87940,'Heals caster for 1185 - 1309',100,2,4),
(284321,87940,'Decreases Piercing, Slashing, Crushing and Ranged of target by 22.0',100,2,5),
(284322,87940,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(284323,87940,'Must not be engaged in pvp combat',100,2,7),
(284324,87940,'Cannot be modified except by direct means',100,2,8),
(284325,87940,'Cannot be modified except by direct means',100,1,9),
(284326,87940,'When Equipped:',100,0,10),
(284327,87940,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(284328,87940,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(284329,87940,'Increases Attack Speed of caster by 6.0',100,2,13),
(284330,87940,'Increases Damage Per Second of caster by 9.0',100,2,14),
(284331,87940,'Increases Multi Attack Chance of caster by 22.0',100,2,15),
(284332,87940,'Must not be engaged in pvp combat',100,2,16),
(284333,87940,'Cannot be modified except by direct means',100,2,17),
(284334,87940,'Cannot be modified except by direct means',100,1,18),
(284335,10087940,'When Equipped:',100,0,0),
(284336,10087940,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(284337,10087940,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(284338,10087940,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(284339,10087940,'Heals caster for 1386 - 1532',100,2,4),
(284340,10087940,'Decreases Piercing, Slashing, Crushing and Ranged of target by 22.0',100,2,5),
(284341,10087940,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(284342,10087940,'Must not be engaged in pvp combat',100,2,7),
(284343,10087940,'Cannot be modified except by direct means',100,2,8),
(284344,10087940,'Cannot be modified except by direct means',100,1,9),
(284345,10087940,'When Equipped:',100,0,10),
(284346,10087940,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(284347,10087940,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,12),
(284348,10087940,'Increases Attack Speed of caster by 6.0',100,2,13),
(284349,10087940,'Increases Damage Per Second of caster by 9.0',100,2,14),
(284350,10087940,'Increases Multi Attack Chance of caster by 22.0',100,2,15),
(284351,10087940,'Must not be engaged in pvp combat',100,2,16),
(284352,10087940,'Cannot be modified except by direct means',100,2,17),
(284353,10087940,'Cannot be modified except by direct means',100,1,18),
(284354,47590,'Applies Potion of Innovation when Activated.  Lasts for 20.0 seconds.',100,0,0),
(284355,47590,'Increases progress by 1,000.0',100,1,1),
(284356,10047590,'Applies Potion of Innovation when Activated.  Lasts for 20.0 seconds.',100,0,0),
(284357,10047590,'Increases progress by 1,000.0',100,1,1),
(284358,115096,'Heals target for 588 - 719',100,1,0),
(284359,115096,'Heals target for 76 - 92 every second',100,1,1),
(284360,10115096,'Heals target for 1093 - 1335',100,1,0),
(284361,10115096,'Heals target for 82 - 100 every second',100,1,1),
(284362,41520,'When Equipped:',100,0,0),
(284363,41520,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284364,41520,'Decreases Threat to target by 833 ',100,2,2),
(284365,41520,'Must be flanking or behind',100,3,3),
(284366,41520,'Increases Threat to target by 1,293 ',100,2,4),
(284367,41520,'Must be in front of',100,3,5),
(284368,41520,'Inflicts 228 - 423 magic damage on target',100,2,6),
(284369,41520,'Cannot be modified except by direct means',100,2,7),
(284370,10041520,'When Equipped:',100,0,0),
(284371,10041520,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284372,10041520,'Inflicts 273 - 508 magic damage on target',100,2,2),
(284373,10041520,'Cannot be modified except by direct means',100,2,3),
(284374,41576,'When Equipped:',100,0,0),
(284375,41576,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284376,41576,'Decreases Threat to target by 994 ',100,2,2),
(284377,41576,'Must be flanking or behind',100,3,3),
(284378,41576,'Increases Threat to target by 1,454 ',100,2,4),
(284379,41576,'Must be in front of',100,3,5),
(284380,41576,'Inflicts 265 - 492 magic damage on target',100,2,6),
(284381,41576,'Cannot be modified except by direct means',100,2,7),
(284382,10041576,'When Equipped:',100,0,0),
(284383,10041576,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284384,10041576,'Inflicts 318 - 591 magic damage on target',100,2,2),
(284385,10041576,'Cannot be modified except by direct means',100,2,3),
(284386,26700,'When Equipped:',100,0,0),
(284387,26700,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(284388,26700,'On a critical combat hit this spell may cast Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(284389,26700,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(284390,26700,'Must not be engaged in pvp combat',100,2,4),
(284391,26700,'Cannot be modified except by direct means',100,2,5),
(284392,26700,'On a critical spell hit this spell may cast Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(284393,26700,'Increases Multi Attack Chance of caster by 20.0',100,2,7),
(284394,26700,'Must not be engaged in pvp combat',100,2,8),
(284395,26700,'Cannot be modified except by direct means',100,2,9),
(284396,26700,'Must not be engaged in pvp combat',100,1,10),
(284397,10026700,'When Equipped:',100,0,0),
(284398,10026700,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(284399,10026700,'On a critical combat hit this spell may cast Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(284400,10026700,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(284401,10026700,'Must not be engaged in pvp combat',100,2,4),
(284402,10026700,'Cannot be modified except by direct means',100,2,5),
(284403,10026700,'On a critical spell hit this spell may cast Cyclical Battering I on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(284404,10026700,'Increases Multi Attack Chance of caster by 20.0',100,2,7),
(284405,10026700,'Must not be engaged in pvp combat',100,2,8),
(284406,10026700,'Cannot be modified except by direct means',100,2,9),
(284407,10026700,'Must not be engaged in pvp combat',100,1,10),
(284408,106188,'Wards target against 84 points of all damage',100,1,0),
(284409,106188,'Decreases INT of target by 137.5',100,1,1),
(284410,106188,'Decreases Attack Speed of target by 25.0',100,1,2),
(284411,106188,'Increases Max Health of target by 9.5%',100,1,3),
(284412,106188,'Increases Hate Gain of target by 27.4%',100,1,4),
(284413,106188,'Increases Aggression of target by 10.0',100,1,5),
(284414,106188,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(284415,106188,'Increases Threat to target encounter by 175 - 215 ',100,2,7),
(284416,106188,'Increases Mitigation of target vs elemental, noxious and arcane damage by 665',100,1,8),
(284417,10106188,'Wards target against 84 points of all damage',100,1,0),
(284418,10106188,'Decreases INT of target by 137.5',100,1,1),
(284419,10106188,'Decreases Attack Speed of target by 25.0',100,1,2),
(284420,10106188,'Increases Max Health of target by 9.5%',100,1,3),
(284421,10106188,'Increases Aggression of target by 10.0',100,1,4),
(284422,10106188,'Increases Mitigation of target vs elemental, noxious and arcane damage by 665',100,1,5),
(284423,106454,'Increases Multi Attack Chance of raid and group members (AE) by 7.6',100,1,0),
(284424,10106454,'Increases Multi Attack Chance of raid and group members (AE) by 7.6',100,1,0),
(284425,170664,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(284426,170664,'Decreases Attack Speed of target by 13.8',100,1,1),
(284427,170664,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(284428,10170664,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(284429,10170664,'Decreases Attack Speed of target by 13.8',100,1,1),
(284430,10170664,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(284431,111273,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(284432,111273,'Heals target for 1650',100,2,1),
(284433,111273,'Increases Mitigation of target vs physical damage by 924',100,2,2),
(284434,111273,'Grants a total of 1 trigger of the spell.',100,2,3),
(284435,10111273,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(284436,10111273,'Heals target for 1073',100,2,1),
(284437,10111273,'Increases Mitigation of target vs physical damage by 924',100,2,2),
(284438,10111273,'Grants a total of 1 trigger of the spell.',100,2,3),
(284439,105396,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(284440,105396,'Inflicts 155 melee damage on target',100,2,1),
(284441,105396,'Interrupts target',100,2,2),
(284442,105396,'Decreases Defense of caster by 24.6',100,1,3),
(284443,105396,'Increases Piercing, Slashing, Ranged and Crushing of caster by 59.0',100,1,4),
(284444,10105396,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(284445,10105396,'Inflicts 186 melee damage on target',100,2,1),
(284446,10105396,'Interrupts target',100,2,2),
(284447,10105396,'Decreases Defense of caster by 24.6',100,1,3),
(284448,10105396,'Increases Piercing, Slashing, Ranged and Crushing of caster by 59.0',100,1,4),
(284449,104041,'Stifles target',100,1,0),
(284450,104041,'If Target is not Epic',100,2,1),
(284451,104041,'Interrupts target',100,1,2),
(284452,104041,'Decreases Threat to target by 1,770 - 2,163 ',100,1,3),
(284453,104041,'Resistibility increases against targets higher than level 116.',100,1,4),
(284454,10104041,'Stifles target',100,1,0),
(284455,10104041,'If Target is not Epic',100,2,1),
(284456,10104041,'Interrupts target',100,1,2),
(284457,10104041,'Resistibility increases against targets higher than level 116.',100,1,3),
(284458,40626,'When Equipped:',100,0,0),
(284459,40626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284460,40626,'Inflicts 63 - 94 magic damage on target',100,2,2),
(284461,40626,'Cannot be modified except by direct means',100,2,3),
(284462,10040626,'When Equipped:',100,0,0),
(284463,10040626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284464,10040626,'Inflicts 75 - 113 magic damage on target',100,2,2),
(284465,10040626,'Cannot be modified except by direct means',100,2,3),
(284466,110020,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(284467,110020,'Inflicts 82 - 137 disease damage on target',100,2,1),
(284468,110020,'Heals caster for 2.4 - 3.9% of max health',100,2,2),
(284469,110020,'This effect cannot be critically applied.',100,3,3),
(284470,110020,'The healing of this spell cannot be modified except by direct means',100,2,4),
(284471,10110020,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(284472,10110020,'Inflicts 98 - 164 disease damage on target',100,2,1),
(284473,10110020,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(284474,10110020,'This effect cannot be critically applied.',100,3,3),
(284475,10110020,'The healing of this spell cannot be modified except by direct means',100,2,4),
(284476,45628,'Applies Elixir of Precision  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(284477,45628,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(284478,45628,'Inflicts 3 magic damage on target',100,2,2),
(284479,45628,'Cannot be modified except by direct means',100,2,3),
(284480,10045628,'Applies Elixir of Precision  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(284481,10045628,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(284482,10045628,'Inflicts 4 magic damage on target',100,2,2),
(284483,10045628,'Cannot be modified except by direct means',100,2,3),
(284484,104037,'Stifles target',100,1,0),
(284485,104037,'If Target is not Epic',100,2,1),
(284486,104037,'Interrupts target',100,1,2),
(284487,104037,'Decreases Threat to target by 1,455 - 1,778 ',100,1,3),
(284488,104037,'Resistibility increases against targets higher than level 106.',100,1,4),
(284489,10104037,'Stifles target',100,1,0),
(284490,10104037,'If Target is not Epic',100,2,1),
(284491,10104037,'Interrupts target',100,1,2),
(284492,10104037,'Resistibility increases against targets higher than level 106.',100,1,3),
(284493,74538,'Applies Fire Ball when Activated.',100,0,0),
(284494,74538,'Inflicts 238 - 397 heat damage on target',100,1,1),
(284495,74538,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(284496,10074538,'Applies Fire Ball when Activated.',100,0,0),
(284497,10074538,'Inflicts 286 - 477 heat damage on target',100,1,1),
(284498,10074538,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(284499,25746,'When Equipped:',100,0,0),
(284500,25746,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(284501,25746,'Regrowth VIII gains an additional tick.',100,1,2),
(284502,10025746,'When Equipped:',100,0,0),
(284503,10025746,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(284504,10025746,'Regrowth VIII gains an additional tick.',100,1,2),
(284505,41671,'When Equipped:',100,0,0),
(284506,41671,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284507,41671,'Decreases Threat to target by 1,219 ',100,2,2),
(284508,41671,'Must be flanking or behind',100,3,3),
(284509,41671,'Increases Threat to target by 1,679 ',100,2,4),
(284510,41671,'Must be in front of',100,3,5),
(284511,41671,'Inflicts 320 - 594 magic damage on target',100,2,6),
(284512,41671,'Cannot be modified except by direct means',100,2,7),
(284513,10041671,'When Equipped:',100,0,0),
(284514,10041671,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(284515,10041671,'Inflicts 384 - 712 magic damage on target',100,2,2),
(284516,10041671,'Cannot be modified except by direct means',100,2,3),
(284517,36887,'Increases AGI of target by 10.5',100,0,0),
(284518,36887,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(284519,46879,'Applies essence of health when Activated.',100,0,0),
(284520,46879,'Heals caster for 488',100,1,1),
(284521,10046879,'Applies essence of health when Activated.',100,0,0),
(284522,10046879,'Heals caster for 317',100,1,1),
(284523,112762,'Interrupts target',100,1,0),
(284524,112762,'Inflicts 172 - 287 divine damage on target',100,1,1),
(284525,10112762,'Interrupts target',100,1,0),
(284526,10112762,'Inflicts 207 - 344 divine damage on target',100,1,1),
(284527,80251,'When Equipped:',100,0,0),
(284528,80251,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284529,80251,'Inflicts 152 - 283 magic damage on target',100,2,2),
(284530,80251,'Cannot be modified except by direct means',100,2,3),
(284531,10080251,'When Equipped:',100,0,0),
(284532,10080251,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284533,10080251,'Inflicts 183 - 339 magic damage on target',100,2,2),
(284534,10080251,'Cannot be modified except by direct means',100,2,3),
(284535,76505,'When Equipped:',100,0,0),
(284536,76505,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284537,76505,'Summons a limited pet to aid the caster',100,2,2),
(284538,76505,'Cannot be modified except by direct means',100,2,3),
(284539,76505,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(284540,76505,'Summons a limited pet to aid the caster',100,2,5),
(284541,76505,'Cannot be modified except by direct means',100,2,6),
(284542,10076505,'When Equipped:',100,0,0),
(284543,10076505,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284544,10076505,'Summons a limited pet to aid the caster',100,2,2),
(284545,10076505,'Cannot be modified except by direct means',100,2,3),
(284546,10076505,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(284547,10076505,'Summons a limited pet to aid the caster',100,2,5),
(284548,10076505,'Cannot be modified except by direct means',100,2,6),
(284549,116494,'Prevents targets in Area of Effect from changing targets',100,1,0),
(284550,116494,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(284551,116494,'Increases Threat to targets in Area of Effect by 775 ',100,1,2),
(284552,10116494,'Prevents targets in Area of Effect from changing targets',100,1,0),
(284553,10116494,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(284554,24705,'Adds Sphinx (Templar) to your Dungeon Maker toolbox',100,0,0),
(284555,10024705,'Adds Sphinx (Templar) to your Dungeon Maker toolbox',100,0,0),
(284556,108019,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(284557,108019,'Increases Mitigation of group members (AE) vs elemental damage by 1518',100,1,1),
(284558,10108019,'Increases Max Health of group members (AE) by 424.2',100,1,0),
(284559,10108019,'Increases Mitigation of group members (AE) vs elemental damage by 1518',100,1,1),
(284560,124274,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(284561,124274,'Increases Attack Speed of target by 24.0',100,2,1),
(284562,124274,'Increases Damage Per Second of target by 24.0',100,2,2),
(284563,124274,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(284564,124274,'Increases Attack Speed of target by 24.0',100,2,4),
(284565,124274,'Increases Damage Per Second of target by 24.0',100,2,5),
(284566,124274,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(284567,124274,'Increases Attack Speed of target by 24.0',100,2,7),
(284568,124274,'Increases Damage Per Second of target by 24.0',100,2,8),
(284569,10124274,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(284570,10124274,'Increases Attack Speed of target by 24.0',100,2,1),
(284571,10124274,'Increases Damage Per Second of target by 24.0',100,2,2),
(284572,10124274,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(284573,10124274,'Increases Attack Speed of target by 24.0',100,2,4),
(284574,10124274,'Increases Damage Per Second of target by 24.0',100,2,5),
(284575,10124274,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(284576,10124274,'Increases Attack Speed of target by 24.0',100,2,7),
(284577,10124274,'Increases Damage Per Second of target by 24.0',100,2,8),
(284578,52615,'When Equipped:',100,0,0),
(284579,52615,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(284580,52615,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(284581,52615,'Heals target for 5384 - 5951',100,2,3),
(284582,52615,'Dispels 175 levels of any hostile effects on target',100,2,4),
(284583,52615,'Must not be engaged in pvp combat',100,2,5),
(284584,52615,'Cannot be modified except by direct means',100,2,6),
(284585,52615,'Cannot be modified except by direct means',100,1,7),
(284586,10052615,'When Equipped:',100,0,0),
(284587,10052615,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(284588,10052615,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(284589,10052615,'Heals target for 6299 - 6962',100,2,3),
(284590,10052615,'Dispels 175 levels of any hostile effects on target',100,2,4),
(284591,10052615,'Must not be engaged in pvp combat',100,2,5),
(284592,10052615,'Cannot be modified except by direct means',100,2,6),
(284593,10052615,'Cannot be modified except by direct means',100,1,7),
(284594,144660,'When Equipped:',100,0,0),
(284595,144660,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(284596,144660,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(284597,144660,'Heals caster for 811 - 1217',100,2,3),
(284598,144660,'Cannot be modified except by direct means',100,2,4),
(284599,144660,'Cannot be modified except by direct means',100,1,5),
(284600,10144660,'When Equipped:',100,0,0),
(284601,10144660,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(284602,10144660,'Inflicts 1462 - 2193 poison damage on target',100,2,2),
(284603,10144660,'Heals caster for 949 - 1424',100,2,3),
(284604,10144660,'Cannot be modified except by direct means',100,2,4),
(284605,10144660,'Cannot be modified except by direct means',100,1,5),
(284606,101883,'Heals target for 754 - 922',100,1,0),
(284607,101883,'If over 50% Health',100,2,1),
(284608,101883,'Heals target for 1508 - 1843',100,1,2),
(284609,101883,'If at 50% Health or less',100,2,3),
(284610,10101883,'Heals target for 490 - 599',100,1,0),
(284611,10101883,'If over 50% Health',100,2,1),
(284612,10101883,'Heals target for 1715 - 2096',100,1,2),
(284613,10101883,'If at 50% Health or less',100,2,3),
(284614,100964,'Dazes target',100,1,0),
(284615,100964,'Inflicts 419 - 512 mental damage on target',100,1,1),
(284616,100964,'Epic targets gain an immunity to Daze effects of 39.2 seconds and duration is reduced to 4.4 seconds.',100,1,2),
(284617,100964,'Resistibility increases against targets higher than level 107.',100,1,3),
(284618,10100964,'Dazes target',100,1,0),
(284619,10100964,'Inflicts 503 - 615 mental damage on target',100,1,1),
(284620,10100964,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(284621,10100964,'Resistibility increases against targets higher than level 107.',100,1,3),
(284622,35772,'Increases AGI of target by 6.2',100,0,0),
(284623,35772,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(284624,105149,'Increases AGI of caster by 29.5',100,1,0),
(284625,105149,'Adds 1.9% to base avoidance.',100,1,1),
(284626,105149,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(284627,105149,'Increases Parry of caster by 17.3',100,1,3),
(284628,105149,'Increases Defense of caster by 23.0',100,1,4),
(284629,10105149,'Increases AGI of caster by 29.5',100,1,0),
(284630,10105149,'Adds 1.9% to base avoidance.',100,1,1),
(284631,10105149,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(284632,10105149,'Increases Parry of caster by 17.3',100,1,3),
(284633,10105149,'Increases Defense of caster by 23.0',100,1,4),
(284634,166496,'When Equipped:',100,0,0),
(284635,166496,'On a critical spell hit this spell may cast Critical Perfection VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284636,166496,'Decreases Crit Bonus of target by 2.0%',100,2,2),
(284637,166496,'Decreases Crit Chance of target by 2.0',100,2,3),
(284638,166496,'Increases Crit Chance of caster by 5.0',100,2,4),
(284639,166496,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(284640,166496,'Must not be engaged in pvp combat',100,2,6),
(284641,166496,'Cannot be modified except by direct means',100,2,7),
(284642,166496,'On a critical combat hit this spell may cast Critical Perfection VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(284643,166496,'Decreases Crit Bonus of target by 2.0%',100,2,9),
(284644,166496,'Decreases Crit Chance of target by 2.0',100,2,10),
(284645,166496,'Increases Crit Chance of caster by 5.0',100,2,11),
(284646,166496,'Increases Crit Bonus of caster by 5.0%',100,2,12),
(284647,166496,'Must not be engaged in pvp combat',100,2,13),
(284648,166496,'Cannot be modified except by direct means',100,2,14),
(284649,166496,'Must not be engaged in pvp combat',100,1,15),
(284650,10166496,'When Equipped:',100,0,0),
(284651,10166496,'On a critical spell hit this spell may cast Critical Perfection VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284652,10166496,'Decreases Crit Bonus of target by 2.0%',100,2,2),
(284653,10166496,'Decreases Crit Chance of target by 2.0',100,2,3),
(284654,10166496,'Increases Crit Chance of caster by 5.0',100,2,4),
(284655,10166496,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(284656,10166496,'Must not be engaged in pvp combat',100,2,6),
(284657,10166496,'Cannot be modified except by direct means',100,2,7),
(284658,10166496,'On a critical combat hit this spell may cast Critical Perfection VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(284659,10166496,'Decreases Crit Bonus of target by 2.0%',100,2,9),
(284660,10166496,'Decreases Crit Chance of target by 2.0',100,2,10),
(284661,10166496,'Increases Crit Chance of caster by 5.0',100,2,11),
(284662,10166496,'Increases Crit Bonus of caster by 5.0%',100,2,12),
(284663,10166496,'Must not be engaged in pvp combat',100,2,13),
(284664,10166496,'Cannot be modified except by direct means',100,2,14),
(284665,10166496,'Must not be engaged in pvp combat',100,1,15),
(284666,35804,'Increases INT of target by 20.8',100,0,0),
(284667,35804,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(284668,113989,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(284669,113989,'Inflicts 36 - 60 melee damage on target',100,2,1),
(284670,113989,'Increases Threat to target by 328 ',100,2,2),
(284671,10113989,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(284672,10113989,'Inflicts 43 - 72 melee damage on target',100,2,1),
(284673,105711,'Decreases Attack Speed of target encounter by 29.1',100,1,0),
(284674,105711,'Slows target encounter by 37.1%',100,1,1),
(284675,10105711,'Decreases Attack Speed of target encounter by 29.1',100,1,0),
(284676,10105711,'Slows target encounter by 37.1%',100,1,1),
(284677,105842,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(284678,105842,'Increases Damage Per Second of caster by 38.6',100,1,1),
(284679,105842,'Increases Piercing, Slashing and Crushing of caster by 14.4',100,1,2),
(284680,10105842,'Caster will have their chance to hit with a weapon increased by 6.0%',100,1,0),
(284681,10105842,'Increases Damage Per Second of caster by 38.6',100,1,1),
(284682,10105842,'Increases Piercing, Slashing and Crushing of caster by 14.4',100,1,2),
(284683,114465,'Inflicts 427 - 712 heat damage on target',100,1,0),
(284684,10114465,'Inflicts 512 - 854 heat damage on target',100,1,0),
(284685,48015,'Applies Incael''s Siphon when Activated.',100,0,0),
(284686,10048015,'Applies Incael''s Siphon when Activated.',100,0,0),
(284687,101396,'Inflicts 215 - 359 melee damage on target',100,1,0),
(284688,101396,'Returns the last arrow used to the ranger.',100,1,1),
(284689,10101396,'Inflicts 258 - 431 melee damage on target',100,1,0),
(284690,10101396,'Returns the last arrow used to the ranger.',100,1,1),
(284691,109684,'Inflicts 117 - 143 cold damage on target instantly and every 3 seconds',100,1,0),
(284692,10109684,'Inflicts 141 - 172 cold damage on target instantly and every 3 seconds',100,1,0),
(284693,106194,'Wards target against 98 points of all damage',100,1,0),
(284694,106194,'Decreases INT of target by 165.0',100,1,1),
(284695,106194,'Decreases Attack Speed of target by 25.0',100,1,2),
(284696,106194,'Increases Max Health of target by 9.5%',100,1,3),
(284697,106194,'Increases Hate Gain of target by 46.0%',100,1,4),
(284698,106194,'Increases Aggression of target by 11.9',100,1,5),
(284699,106194,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(284700,106194,'Increases Threat to target encounter by 220 - 269 ',100,2,7),
(284701,106194,'Increases Mitigation of target vs elemental, noxious and arcane damage by 760',100,1,8),
(284702,10106194,'Wards target against 98 points of all damage',100,1,0),
(284703,10106194,'Decreases INT of target by 165.0',100,1,1),
(284704,10106194,'Decreases Attack Speed of target by 25.0',100,1,2),
(284705,10106194,'Increases Max Health of target by 9.5%',100,1,3),
(284706,10106194,'Increases Aggression of target by 11.9',100,1,4),
(284707,10106194,'Increases Mitigation of target vs elemental, noxious and arcane damage by 760',100,1,5),
(284708,171970,'When Equipped:',100,0,0),
(284709,171970,'On a critical healing spell cast this spell may cast Flockmaster''s Protection V on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284710,171970,'When any damage is received this spell will cast Flockmaster''s Protection V on target.  ',100,2,2),
(284711,171970,'Heals target for 221 - 244',100,3,3),
(284712,171970,'Must not be engaged in pvp combat',100,3,4),
(284713,171970,'Cannot be modified except by direct means',100,3,5),
(284714,171970,'Grants a total of 5 triggers of the spell.',100,3,6),
(284715,171970,'This effect applies to both the caster and the target.',100,2,7),
(284716,171970,'Must not be engaged in pvp combat',100,2,8),
(284717,171970,'Cannot be modified except by direct means',100,2,9),
(284718,171970,'Must not be engaged in pvp combat',100,1,10),
(284719,10171970,'When Equipped:',100,0,0),
(284720,10171970,'On a critical healing spell cast this spell may cast Flockmaster''s Protection V on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284721,10171970,'When any damage is received this spell will cast Flockmaster''s Protection V on target.  ',100,2,2),
(284722,10171970,'Heals target for 144 - 159',100,3,3),
(284723,10171970,'Must not be engaged in pvp combat',100,3,4),
(284724,10171970,'Cannot be modified except by direct means',100,3,5),
(284725,10171970,'Grants a total of 5 triggers of the spell.',100,3,6),
(284726,10171970,'This effect applies to both the caster and the target.',100,2,7),
(284727,10171970,'Must not be engaged in pvp combat',100,2,8),
(284728,10171970,'Cannot be modified except by direct means',100,2,9),
(284729,10171970,'Must not be engaged in pvp combat',100,1,10),
(284730,119872,'Increases INT and AGI of group members (AE) by 37.2',100,1,0),
(284731,119872,'Adds 1.9% to base avoidance.',100,1,1),
(284732,10119872,'Increases INT and AGI of group members (AE) by 37.2',100,1,0),
(284733,10119872,'Adds 1.9% to base avoidance.',100,1,1),
(284734,105558,'Inflicts 95 - 176 disease damage on target',100,1,0),
(284735,105558,'Inflicts 57 - 106 disease damage on target every 2 seconds',100,1,1),
(284736,10105558,'Inflicts 114 - 212 disease damage on target',100,1,0),
(284737,10105558,'Inflicts 68 - 127 disease damage on target every 2 seconds',100,1,1),
(284738,100445,'Increases INT of target by 29.1',100,1,0),
(284739,100445,'Increases Attack Speed of target by 22.0',100,1,1),
(284740,100445,'Decreases Defense and Parry of target by 4.9',100,1,2),
(284741,100445,'Increases Slashing, Crushing and Piercing of target by 4.0',100,1,3),
(284742,10100445,'Increases INT of target by 29.1',100,1,0),
(284743,10100445,'Increases Attack Speed of target by 22.0',100,1,1),
(284744,10100445,'Decreases Defense and Parry of target by 4.9',100,1,2),
(284745,10100445,'Increases Slashing, Crushing and Piercing of target by 4.0',100,1,3),
(284746,37376,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(284747,37376,'This effect suspends during combat',100,0,1),
(284748,107270,'Inflicts 106 - 176 ranged damage on target',100,1,0),
(284749,107270,'Inflicts 106 - 176 ranged damage on target',100,1,1),
(284750,107270,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(284751,107270,'Stuns target',100,2,3),
(284752,107270,'Throws target back',100,2,4),
(284753,107270,'Blurs vision of target',100,2,5),
(284754,107270,'Does not affect Epic targets',100,2,6),
(284755,107270,'If weapon equipped in Ranged',100,1,7),
(284756,10107270,'Inflicts 79 - 132 ranged damage on target',100,1,0),
(284757,10107270,'Inflicts 79 - 132 ranged damage on target',100,1,1),
(284758,10107270,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(284759,10107270,'Stuns target',100,2,3),
(284760,10107270,'Throws target back',100,2,4),
(284761,10107270,'Blurs vision of target',100,2,5),
(284762,10107270,'Does not affect Epic targets',100,2,6),
(284763,10107270,'If weapon equipped in Ranged',100,1,7),
(284764,71786,'When Equipped:',100,0,0),
(284765,71786,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284766,71786,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(284767,71786,'Cannot be modified except by direct means',100,2,3),
(284768,10071786,'When Equipped:',100,0,0),
(284769,10071786,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284770,10071786,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(284771,10071786,'Cannot be modified except by direct means',100,2,3),
(284772,84238,'Applies Mental Blast when Activated.',100,0,0),
(284773,84238,'Inflicts 89 - 149 mental damage on target',100,1,1),
(284774,84238,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(284775,10084238,'Applies Mental Blast when Activated.',100,0,0),
(284776,10084238,'Inflicts 107 - 179 mental damage on target',100,1,1),
(284777,10084238,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(284778,123264,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(284779,123264,'Increases Mitigation of group members (AE) vs noxious damage by 1170',100,1,1),
(284780,10123264,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(284781,10123264,'Increases Mitigation of group members (AE) vs noxious damage by 1170',100,1,1),
(284782,118167,'Inflicts 555 - 926 melee damage on target',100,1,0),
(284783,118167,'Dazes target',100,1,1),
(284784,118167,'If Target is not Epic',100,2,2),
(284785,118167,'Resistibility increases against targets higher than level 107.',100,1,3),
(284786,10118167,'Inflicts 666 - 1111 melee damage on target',100,1,0),
(284787,10118167,'Dazes target',100,1,1),
(284788,10118167,'If Target is not Epic',100,2,2),
(284789,10118167,'Resistibility increases against targets higher than level 107.',100,1,3),
(284790,105251,'Increases Threat to target by 717 ',100,1,0),
(284791,105251,'Interrupts target',100,1,1),
(284792,105251,'Dispels 61 levels of arcane beneficial effects on target',100,1,2),
(284793,10105251,'Forces target to change their selected target to caster.',100,1,0),
(284794,10105251,'Interrupts target',100,1,1),
(284795,10105251,'Dispels 61 levels of arcane beneficial effects on target',100,1,2),
(284796,121409,'Inflicts 669 - 818 magic damage on target instantly and every 8 seconds',100,1,0),
(284797,121409,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(284798,121409,'Stuns target',100,2,2),
(284799,121409,'Throws target back',100,2,3),
(284800,121409,'Blurs vision of target',100,2,4),
(284801,121409,'Does not affect Epic targets',100,2,5),
(284802,10121409,'Inflicts 803 - 982 magic damage on target instantly and every 8 seconds',100,1,0),
(284803,10121409,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(284804,10121409,'Stuns target',100,2,2),
(284805,10121409,'Throws target back',100,2,3),
(284806,10121409,'Blurs vision of target',100,2,4),
(284807,10121409,'Does not affect Epic targets',100,2,5),
(284808,120547,'Decreases Defense of target by 36.0',100,1,0),
(284809,10120547,'Decreases Defense of target by 36.0',100,1,0),
(284810,117297,'Inflicts 390 - 650 melee damage on target',100,1,0),
(284811,117297,'Decreases Damage Per Second of target by 15.5',100,1,1),
(284812,117297,'Decreases Attack Speed of target by 9.2',100,1,2),
(284813,10117297,'Inflicts 468 - 780 melee damage on target',100,1,0),
(284814,10117297,'Decreases Damage Per Second of target by 15.5',100,1,1),
(284815,10117297,'Decreases Attack Speed of target by 9.2',100,1,2),
(284816,82241,'When Equipped:',100,0,0),
(284817,82241,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284818,82241,'Inflicts 33 - 61 magic damage on target',100,2,2),
(284819,82241,'Cannot be modified except by direct means',100,2,3),
(284820,10082241,'When Equipped:',100,0,0),
(284821,10082241,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284822,10082241,'Inflicts 40 - 74 magic damage on target',100,2,2),
(284823,10082241,'Cannot be modified except by direct means',100,2,3),
(284824,80770,'When Equipped:',100,0,0),
(284825,80770,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284826,80770,'Inflicts 151 - 280 magic damage on target',100,2,2),
(284827,80770,'Cannot be modified except by direct means',100,2,3),
(284828,10080770,'When Equipped:',100,0,0),
(284829,10080770,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(284830,10080770,'Inflicts 181 - 336 magic damage on target',100,2,2),
(284831,10080770,'Cannot be modified except by direct means',100,2,3),
(284832,115743,'Inflicts 5 - 9 melee damage on target',100,1,0),
(284833,10115743,'Inflicts 6 - 10 melee damage on target',100,1,0),
(284834,161158,'When Equipped:',100,0,0),
(284835,161158,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(284836,161158,'Heals caster for 177',100,2,2),
(284837,161158,'Cannot be modified except by direct means',100,2,3),
(284838,10161158,'When Equipped:',100,0,0),
(284839,10161158,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(284840,10161158,'Heals caster for 115',100,2,2),
(284841,10161158,'Cannot be modified except by direct means',100,2,3),
(284842,71870,'When Equipped:',100,0,0),
(284843,71870,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284844,71870,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(284845,71870,'Cannot be modified except by direct means',100,2,3),
(284846,10071870,'When Equipped:',100,0,0),
(284847,10071870,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(284848,10071870,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(284849,10071870,'Cannot be modified except by direct means',100,2,3),
(284850,159834,'Applies Lambent Imbued when Equipped.',100,0,0),
(284851,159834,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(284852,159834,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(284853,159834,'Cannot be modified except by direct means',100,2,3),
(284854,10159834,'Applies Lambent Imbued when Equipped.',100,0,0),
(284855,10159834,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(284856,10159834,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(284857,10159834,'Cannot be modified except by direct means',100,2,3),
(284858,47226,'Applies Elixir of Understanding  when Activated.',100,0,0),
(284859,47226,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(284860,10047226,'Applies Elixir of Understanding  when Activated.',100,0,0),
(284861,10047226,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(284862,103195,'Increases Mitigation of caster vs physical damage by 257',100,1,0),
(284863,103195,'Roots caster',100,1,1),
(284864,10103195,'Increases Mitigation of caster vs physical damage by 257',100,1,0),
(284865,10103195,'Roots caster',100,1,1),
(284866,117834,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(284867,117834,'Heals target for 113 - 138 instantly and every 2 seconds',100,2,1),
(284868,117834,'If over 50% Health',100,3,2),
(284869,117834,'Heals target for 226 - 276 instantly and every 2 seconds',100,2,3),
(284870,117834,'If at 50% Health or less',100,3,4),
(284871,10117834,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(284872,10117834,'Heals target for 55 - 67 instantly and every 2 seconds',100,2,1),
(284873,10117834,'If at 50% Health or less',100,3,2),
(284874,10117834,'Heals target for 33 - 40 instantly and every 2 seconds',100,2,3),
(284875,10117834,'If over 50% Health',100,3,4),
(284876,158450,'When Equipped:',100,0,0),
(284877,158450,'On a healing spell cast this spell may cast Planar Mender''s Aura on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284878,158450,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(284879,158450,'Increases the caster''s heals and wards by 10%.',100,2,3),
(284880,158450,'Increases healing received by 3.00%',100,2,4),
(284881,158450,'Must not be engaged in pvp combat',100,2,5),
(284882,158450,'Cannot be modified except by direct means',100,2,6),
(284883,158450,'Must not be engaged in pvp combat',100,1,7),
(284884,10158450,'When Equipped:',100,0,0),
(284885,10158450,'On a healing spell cast this spell may cast Planar Mender''s Aura on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(284886,10158450,'Wards group members (AE) against 3500 points of all damage',100,2,2),
(284887,10158450,'Increases the caster''s heals and wards by 10%.',100,2,3),
(284888,10158450,'Increases healing received by 3.00%',100,2,4),
(284889,10158450,'Must not be engaged in pvp combat',100,2,5),
(284890,10158450,'Cannot be modified except by direct means',100,2,6),
(284891,10158450,'Must not be engaged in pvp combat',100,1,7),
(284892,104336,'Charms target',100,1,0),
(284893,104336,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(284894,104336,'Mesmerizes target',100,2,2),
(284895,104336,'Dispelled when target takes damage',100,2,3),
(284896,104336,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(284897,104336,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(284898,104336,'Grants Sonic Vision to caster',100,2,6),
(284899,104336,'Increases Out-of-Combat Power Regeneration of target by 7.0',100,1,7),
(284900,104336,'Increases Out-of-Combat Health Regeneration of target by 14.0',100,1,8),
(284901,104336,'Certain enemies cannot be charmed',100,1,9),
(284902,104336,'Does not affect Epic targets',100,1,10),
(284903,10104336,'Mesmerizes target',100,1,0),
(284904,10104336,'Prevents AOE (except when direct) ',100,1,1),
(284905,10104336,'Dispelled when target takes damage',100,1,2),
(284906,10104336,'Certain enemies cannot be charmed',100,1,3),
(284907,10104336,'Does not affect Epic targets',100,1,4),
(284908,10104336,'Resistibility increases against targets higher than level 49.',100,1,5),
(284909,110089,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(284910,110089,'Inflicts 11 disease damage on target',100,2,1),
(284911,110089,'Heals caster for 8',100,2,2),
(284912,110089,'Decreases INT of target by 54.0',100,1,3),
(284913,110089,'Decreases Attack Speed of target by 25.0',100,1,4),
(284914,110089,'Increases Max Health of target by 12.0%',100,1,5),
(284915,110089,'Increases Hate Gain of target by 21.6%',100,1,6),
(284916,110089,'Increases Aggression of target by 5.0',100,1,7),
(284917,110089,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(284918,110089,'Increases Threat to target encounter by 68 - 83 ',100,2,9),
(284919,110089,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',100,1,10),
(284920,10110089,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(284921,10110089,'Inflicts 13 disease damage on target',100,2,1),
(284922,10110089,'Heals caster for 5',100,2,2),
(284923,10110089,'Decreases INT of target by 54.0',100,1,3),
(284924,10110089,'Decreases Attack Speed of target by 25.0',100,1,4),
(284925,10110089,'Increases Max Health of target by 12.0%',100,1,5),
(284926,10110089,'Increases Aggression of target by 5.0',100,1,6),
(284927,10110089,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',100,1,7),
(284928,111374,'Inflicts 285 - 475 disease damage on target',100,1,0),
(284929,111374,'Heals caster for 187 - 312',100,1,1),
(284930,10111374,'Inflicts 342 - 571 disease damage on target',100,1,0),
(284931,10111374,'Heals caster for 121 - 202',100,1,1),
(284932,100325,'Inflicts 33 - 41 divine damage on target',100,1,0),
(284933,100325,'Dazes target',100,1,1),
(284934,100325,'If Target is not Epic',100,2,2),
(284935,100325,'Dispelled when target receives hostile action',100,1,3),
(284936,100325,'Dispelled when target takes damage',100,1,4),
(284937,100325,'Resistibility increases against targets higher than level 39.',100,1,5),
(284938,10100325,'Inflicts 40 - 49 divine damage on target',100,1,0),
(284939,10100325,'Dazes target',100,1,1),
(284940,10100325,'If Target is not Epic',100,2,2),
(284941,10100325,'Dispelled when target receives hostile action',100,1,3),
(284942,10100325,'Dispelled when target takes damage',100,1,4),
(284943,10100325,'Resistibility increases against targets higher than level 39.',100,1,5),
(284944,49001,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(284945,49001,'Summons a mount to ride',100,1,1),
(284946,49001,'Increases your ground speed by 135%',100,2,2),
(284947,49001,'Increases Aggression, Piercing, Ministration, Crushing, Disruption, Focus, Slashing, Ordination, Subjugation and Ranged of caster by 5.0',100,1,3),
(284948,10049001,'Applies Call Skeletal Battlesteed when Activated.',100,0,0),
(284949,10049001,'Summons a mount to ride',100,1,1),
(284950,10049001,'Increases your ground speed by 135%',100,2,2),
(284951,10049001,'Increases Aggression, Piercing, Ministration, Crushing, Disruption, Focus, Slashing, Ordination, Subjugation and Ranged of caster by 5.0',100,1,3),
(284952,47503,'Applies Petamorph: Baby Dragon Enchantment when Activated.  Lasts for 2 hours.',100,0,0),
(284953,47503,'Turns the caster''s combat pet into a baby dragon of a random color. Does not work on cosmetic pets.',100,1,1),
(284954,10047503,'Applies Petamorph: Baby Dragon Enchantment when Activated.  Lasts for 2 hours.',100,0,0),
(284955,10047503,'Turns the caster''s combat pet into a baby dragon of a random color. Does not work on cosmetic pets.',100,1,1),
(284956,113057,'Dazes target',100,1,0),
(284957,113057,'If Target is not Epic',100,2,1),
(284958,113057,'Applies Scream on termination.',100,1,2),
(284959,113057,'Inflicts 120 - 200 disease damage on target',100,2,3),
(284960,113057,'Resistibility increases against targets higher than level 63.',100,1,4),
(284961,10113057,'Dazes target',100,1,0),
(284962,10113057,'If Target is not Epic',100,2,1),
(284963,10113057,'Applies Scream on termination.',100,1,2),
(284964,10113057,'Inflicts 144 - 240 disease damage on target',100,2,3),
(284965,10113057,'Resistibility increases against targets higher than level 63.',100,1,4),
(284966,109830,'Inflicts 219 - 365 melee damage on target',100,1,0),
(284967,109830,'Decreases Parry of target by 28.4',100,1,1),
(284968,109830,'Must be in front of or flanking',100,1,2),
(284969,10109830,'Inflicts 263 - 438 melee damage on target',100,1,0),
(284970,10109830,'Decreases Parry of target by 28.4',100,1,1),
(284971,10109830,'Must be in front of or flanking',100,1,2),
(284972,104819,'Increases caster''s chance to block by 10.0%',100,1,0),
(284973,104819,'Decreases Attack Speed of caster by 18.8',100,1,1),
(284974,104819,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(284975,104819,'Increases Parry of caster by 31.9',100,1,3),
(284976,104819,'Increases Defense of caster by 31.9',100,1,4),
(284977,10104819,'Increases caster''s chance to block by 10.0%',100,1,0),
(284978,10104819,'Decreases Attack Speed of caster by 18.8',100,1,1),
(284979,10104819,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(284980,10104819,'Increases Parry of caster by 31.9',100,1,3),
(284981,10104819,'Increases Defense of caster by 31.9',100,1,4),
(284982,104974,'Reduces physical damage done to caster by 5%',100,1,0),
(284983,104974,'Adds 2.4% to base avoidance.',100,1,1),
(284984,104974,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(284985,104974,'Increases Parry of caster by 2.9',100,1,3),
(284986,104974,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(284987,104974,'Increases Aggression of caster by 1.7',100,1,5),
(284988,104974,'Increases Defense and Deflection of caster by 2.9',100,1,6),
(284989,104974,'Increases Mitigation of caster vs arcane damage by 246',100,1,7),
(284990,104974,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(284991,10104974,'Reduces physical damage done to caster by 5%',100,1,0),
(284992,10104974,'Adds 2.4% to base avoidance.',100,1,1),
(284993,10104974,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(284994,10104974,'Increases Parry of caster by 2.9',100,1,3),
(284995,10104974,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(284996,10104974,'Increases Aggression of caster by 1.7',100,1,5),
(284997,10104974,'Increases Defense and Deflection of caster by 2.9',100,1,6),
(284998,10104974,'Increases Mitigation of caster vs arcane damage by 246',100,1,7),
(284999,10104974,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(285000,117121,'Inflicts 38 - 46 heat damage on target instantly and every 4 seconds',100,1,0),
(285001,117121,'Decreases Mitigation of target vs arcane damage by 230',100,1,1),
(285002,10117121,'Inflicts 46 - 56 heat damage on target instantly and every 4 seconds',100,1,0),
(285003,10117121,'Decreases Mitigation of target vs arcane damage by 230',100,1,1),
(285004,36487,'Increases STA of target by 10.5',100,0,0),
(285005,36487,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(285006,105284,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(285007,105284,'Inflicts 42 - 70 mental damage on target',100,2,1),
(285008,105284,'Increases AGI of caster by 49.6',100,1,2),
(285009,105284,'Adds 14.8% to base avoidance.',100,1,3),
(285010,105284,'Increases Mitigation of caster vs physical damage by 180',100,1,4),
(285011,105284,'Increases Mitigation of caster vs elemental and arcane damage by 400',100,1,5),
(285012,105284,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(285013,105284,'Inflicts 42 - 70 mental damage on target',100,2,7),
(285014,105284,'Increases Mitigation of caster vs noxious damage by 400',100,1,8),
(285015,10105284,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,0),
(285016,10105284,'Inflicts 51 - 85 mental damage on target',100,2,1),
(285017,10105284,'Increases AGI of caster by 49.6',100,1,2),
(285018,10105284,'Adds 14.8% to base avoidance.',100,1,3),
(285019,10105284,'Increases Mitigation of caster vs physical damage by 180',100,1,4),
(285020,10105284,'Increases Mitigation of caster vs elemental and arcane damage by 400',100,1,5),
(285021,10105284,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,6),
(285022,10105284,'Inflicts 51 - 85 mental damage on target',100,2,7),
(285023,10105284,'Increases Mitigation of caster vs noxious damage by 400',100,1,8),
(285024,100633,'Wipes target''s memory of any aggression',100,1,0),
(285025,100633,'Stuns target',100,1,1),
(285026,100633,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(285027,100633,'Resistibility increases against targets higher than level 84.',100,1,3),
(285028,10100633,'Forces target to clear their selected target.',100,1,0),
(285029,10100633,'Prevents target from changing targets',100,1,1),
(285030,10100633,'Stuns target',100,1,2),
(285031,10100633,'If Target is not Epic',100,2,3),
(285032,10100633,'Resistibility increases against targets higher than level 84.',100,1,4),
(285033,118791,'Wards group members (AE) against 26 points of physical damage',100,1,0),
(285034,118791,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,1),
(285035,10118791,'Wards group members (AE) against 26 points of physical damage',100,1,0),
(285036,10118791,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,1),
(285037,123177,'Reduces physical damage done to caster by 5%',100,1,0),
(285038,123177,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(285039,123177,'Increases Aggression of caster by 18.2',100,1,2),
(285040,123177,'Increases Defense and Parry of caster by 36.4',100,1,3),
(285041,123177,'Increases Mitigation of caster vs elemental damage by 2434',100,1,4),
(285042,123177,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(285043,10123177,'Reduces physical damage done to caster by 5%',100,1,0),
(285044,10123177,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,1),
(285045,10123177,'Increases Aggression of caster by 18.2',100,1,2),
(285046,10123177,'Increases Defense and Parry of caster by 36.4',100,1,3),
(285047,10123177,'Increases Mitigation of caster vs elemental damage by 2434',100,1,4),
(285048,10123177,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(285049,113290,'Inflicts 40 - 66 heat damage on target',100,1,0),
(285050,10113290,'Inflicts 72 - 121 heat damage on target',100,1,0),
(285051,121174,'Increases Agility of caster by 17.',100,1,0),
(285052,121174,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(285053,10121174,'Increases Deflection of caster by 4.3',100,1,0),
(285054,10121174,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(285055,119418,'Inflicts 251 - 419 melee damage on target',100,1,0),
(285056,119418,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(285057,119418,'Stuns target',100,2,2),
(285058,119418,'Throws target back',100,2,3),
(285059,119418,'Blurs vision of target',100,2,4),
(285060,119418,'Does not affect Epic targets',100,2,5),
(285061,119418,'You must be sneaking to use this ability.',100,1,6),
(285062,10119418,'Inflicts 301 - 503 melee damage on target',100,1,0),
(285063,10119418,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(285064,10119418,'Stuns target',100,2,2),
(285065,10119418,'Throws target back',100,2,3),
(285066,10119418,'Blurs vision of target',100,2,4),
(285067,10119418,'Does not affect Epic targets',100,2,5),
(285068,10119418,'You must be sneaking to use this ability.',100,1,6),
(285069,26121,'When Equipped:',100,0,0),
(285070,26121,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(285071,26121,'Adds an additional trigger to Repentance VI.',100,1,2),
(285072,10026121,'When Equipped:',100,0,0),
(285073,10026121,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(285074,10026121,'Adds an additional trigger to Repentance VI.',100,1,2),
(285075,36410,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(285076,177562,'When Equipped:',100,0,0),
(285077,177562,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285078,177562,'Increases WIS of caster by 5.1',100,2,2),
(285079,177562,'Increases Ministration, Ordination and Focus of caster by 3.3',100,2,3),
(285080,177562,'Cannot be modified except by direct means',100,2,4),
(285081,10177562,'When Equipped:',100,0,0),
(285082,10177562,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285083,10177562,'Increases WIS of caster by 5.1',100,2,2),
(285084,10177562,'Increases Ministration, Ordination and Focus of caster by 3.3',100,2,3),
(285085,10177562,'Cannot be modified except by direct means',100,2,4),
(285086,112348,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(285087,112348,'Inflicts 135 - 226 piercing damage on target',100,2,1),
(285088,10112348,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(285089,10112348,'Inflicts 85 - 142 piercing damage on target',100,2,1),
(285090,72312,'When Equipped:',100,0,0),
(285091,72312,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285092,72312,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(285093,72312,'Cannot be modified except by direct means',100,2,3),
(285094,10072312,'When Equipped:',100,0,0),
(285095,10072312,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285096,10072312,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(285097,10072312,'Cannot be modified except by direct means',100,2,3),
(285098,115688,'Inflicts 42 - 126 melee damage on target',100,1,0),
(285099,115688,'Inflicts 42 - 126 melee damage on target',100,1,1),
(285100,115688,'Inflicts 42 - 126 melee damage on target',100,1,2),
(285101,115688,'Inflicts 42 - 126 melee damage on target',100,1,3),
(285102,115688,'Inflicts 42 - 126 melee damage on target',100,1,4),
(285103,115688,'Inflicts 42 - 126 melee damage on target',100,1,5),
(285104,115688,'Inflicts 42 - 126 melee damage on target',100,1,6),
(285105,115688,'Inflicts 42 - 126 melee damage on target',100,1,7),
(285106,10115688,'Inflicts 50 - 151 melee damage on target',100,1,0),
(285107,10115688,'Inflicts 50 - 151 melee damage on target',100,1,1),
(285108,10115688,'Inflicts 50 - 151 melee damage on target',100,1,2),
(285109,10115688,'Inflicts 50 - 151 melee damage on target',100,1,3),
(285110,10115688,'Inflicts 50 - 151 melee damage on target',100,1,4),
(285111,10115688,'Inflicts 50 - 151 melee damage on target',100,1,5),
(285112,10115688,'Inflicts 50 - 151 melee damage on target',100,1,6),
(285113,10115688,'Inflicts 50 - 151 melee damage on target',100,1,7),
(285114,113590,'Mesmerizes target',100,1,0),
(285115,113590,'Prevents AOE (except when direct) ',100,1,1),
(285116,113590,'Dispelled when target takes damage',100,1,2),
(285117,113590,'Does not affect Epic targets',100,1,3),
(285118,113590,'Resistibility increases against targets higher than level 119.',100,1,4),
(285119,10113590,'Mesmerizes target',100,1,0),
(285120,10113590,'Prevents AOE (except when direct) ',100,1,1),
(285121,10113590,'Dispelled when target takes damage',100,1,2),
(285122,10113590,'Does not affect Epic targets',100,1,3),
(285123,10113590,'Resistibility increases against targets higher than level 119.',100,1,4),
(285124,175048,'When Equipped:',100,0,0),
(285125,175048,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(285126,175048,'Heals caster for 392',100,2,2),
(285127,175048,'Cannot be modified except by direct means',100,2,3),
(285128,10175048,'When Equipped:',100,0,0),
(285129,10175048,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(285130,10175048,'Heals caster for 255',100,2,2),
(285131,10175048,'Cannot be modified except by direct means',100,2,3),
(285132,71488,'When Equipped:',100,0,0),
(285133,71488,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285134,71488,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(285135,71488,'Cannot be modified except by direct means',100,2,3),
(285136,10071488,'When Equipped:',100,0,0),
(285137,10071488,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285138,10071488,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(285139,10071488,'Cannot be modified except by direct means',100,2,3),
(285140,100446,'Increases INT of target by 24.3',100,1,0),
(285141,100446,'Increases Attack Speed of target by 18.3',100,1,1),
(285142,100446,'Decreases Defense and Parry of target by 4.9',100,1,2),
(285143,100446,'Increases Slashing, Crushing and Piercing of target by 3.3',100,1,3),
(285144,10100446,'Increases INT of target by 24.3',100,1,0),
(285145,10100446,'Increases Attack Speed of target by 18.3',100,1,1),
(285146,10100446,'Decreases Defense and Parry of target by 4.9',100,1,2),
(285147,10100446,'Increases Slashing, Crushing and Piercing of target by 3.3',100,1,3),
(285148,124441,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(285149,124441,'Inflicts 108 - 181 melee damage on target',100,2,1),
(285150,124441,'Decreases Defense of caster by 9.3',100,1,2),
(285151,124441,'Increases Slashing, Piercing, Ranged and Crushing of caster by 19.5',100,1,3),
(285152,10124441,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(285153,10124441,'Inflicts 130 - 217 melee damage on target',100,2,1),
(285154,10124441,'Decreases Defense of caster by 9.3',100,1,2),
(285155,10124441,'Increases Slashing, Piercing, Ranged and Crushing of caster by 19.5',100,1,3),
(285156,26092,'When Equipped:',100,0,0),
(285157,26092,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,1),
(285158,26092,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(285159,26092,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,3),
(285160,10026092,'When Equipped:',100,0,0),
(285161,10026092,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,1),
(285162,10026092,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(285163,10026092,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,3),
(285164,111035,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(285165,111035,'Increases Threat to target by 497 ',100,2,1),
(285166,111035,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(285167,111035,'Increases Threat to target by 497 ',100,2,3),
(285168,10111035,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(285169,10111035,'Inflicts 38 - 42 crushing damage on target',100,2,1),
(285170,10111035,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(285171,10111035,'Inflicts 38 - 42 crushing damage on target',100,2,3),
(285172,113975,'Inflicts 40 - 68 slashing damage on target',100,1,0),
(285173,113975,'Decreases Slashing, Crushing and Piercing of target by 2.6',100,1,1),
(285174,10113975,'Inflicts 49 - 81 slashing damage on target',100,1,0),
(285175,10113975,'Decreases Slashing, Crushing and Piercing of target by 2.6',100,1,1),
(285176,119513,'Increases threat priority of target by 2 positions',100,1,0),
(285177,119513,'Stuns caster',100,1,1),
(285178,119513,'Decreases Defense and Parry of caster by 153.0',100,1,2),
(285179,119513,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(285180,119513,'Inflicts 474 - 790 piercing damage on target',100,2,4),
(285181,119513,'Grants a total of 1 trigger of the spell.',100,2,5),
(285182,10119513,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(285183,10119513,'Prevents target from changing targets',100,2,1),
(285184,10119513,'Forces target to change their selected target to caster.',100,2,2),
(285185,10119513,'Stuns caster',100,1,3),
(285186,10119513,'Decreases Defense and Parry of caster by 153.0',100,1,4),
(285187,10119513,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(285188,10119513,'Inflicts 406 - 677 piercing damage on target',100,2,6),
(285189,10119513,'Grants a total of 1 trigger of the spell.',100,2,7),
(285190,101089,'Roots target',100,1,0),
(285191,101089,'10% chance to dispel when target receives hostile action',100,1,1),
(285192,101089,'10% chance to dispel when target takes damage',100,1,2),
(285193,101089,'Does not affect Epic targets',100,1,3),
(285194,101089,'Resistibility increases against targets higher than level 34.',100,1,4),
(285195,10101089,'Roots target',100,1,0),
(285196,10101089,'10% chance to dispel when target receives hostile action',100,1,1),
(285197,10101089,'10% chance to dispel when target takes damage',100,1,2),
(285198,10101089,'Does not affect Epic targets',100,1,3),
(285199,10101089,'Resistibility increases against targets higher than level 34.',100,1,4),
(285200,158648,'When Equipped:',100,0,0),
(285201,158648,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(285202,158648,'Decreases Damage Per Second of target by 15.0',100,2,2),
(285203,158648,'Cannot be modified except by direct means',100,2,3),
(285204,10158648,'When Equipped:',100,0,0),
(285205,10158648,'When damaged with a melee weapon this spell has a 8% chance to cast Sap Strength on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(285206,10158648,'Decreases Damage Per Second of target by 15.0',100,2,2),
(285207,10158648,'Cannot be modified except by direct means',100,2,3),
(285208,116355,'Mesmerizes target encounter',100,1,0),
(285209,116355,'Prevents AOE (except when direct) ',100,1,1),
(285210,116355,'Dispelled when target takes damage',100,1,2),
(285211,116355,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(285212,116355,'Resistibility increases against targets higher than level 80.',100,1,4),
(285213,10116355,'Mesmerizes target encounter',100,1,0),
(285214,10116355,'Prevents AOE (except when direct) ',100,1,1),
(285215,10116355,'Dispelled when target takes damage',100,1,2),
(285216,10116355,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(285217,10116355,'Resistibility increases against targets higher than level 80.',100,1,4),
(285218,140048,'When Equipped:',100,0,0),
(285219,140048,'Increases Attack Speed of caster by 35.0',100,1,1),
(285220,10140048,'When Equipped:',100,0,0),
(285221,10140048,'Increases Attack Speed of caster by 35.0',100,1,1),
(285222,111585,'Inflicts 6 - 12 cold damage on target instantly and every 4 seconds',100,1,0),
(285223,111585,'Decreases Mitigation of target vs elemental damage by 148',100,1,1),
(285224,10111585,'Inflicts 8 - 14 cold damage on target instantly and every 4 seconds',100,1,0),
(285225,10111585,'Decreases Mitigation of target vs elemental damage by 148',100,1,1),
(285226,118287,'Summons a limited pet to aid the caster',100,1,0),
(285227,10118287,'Summons a limited pet to aid the caster',100,1,0),
(285228,115904,'Inflicts 40 - 49 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(285229,10115904,'Inflicts 63 - 76 disease damage on target encounter',100,1,0),
(285230,10115904,'Inflicts 48 - 59 disease damage on target encounter every 3 seconds',100,1,1),
(285231,111287,'Inflicts 120 - 201 divine damage on target',100,1,0),
(285232,111287,'Inflicts 48 - 80 divine damage on target every 4 seconds',100,1,1),
(285233,10111287,'Inflicts 144 - 241 divine damage on target',100,1,0),
(285234,10111287,'Inflicts 58 - 96 divine damage on target every 4 seconds',100,1,1),
(285235,82023,'When Equipped:',100,0,0),
(285236,82023,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285237,82023,'Inflicts 138 - 257 magic damage on target',100,2,2),
(285238,82023,'Cannot be modified except by direct means',100,2,3),
(285239,10082023,'When Equipped:',100,0,0),
(285240,10082023,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285241,10082023,'Inflicts 166 - 309 magic damage on target',100,2,2),
(285242,10082023,'Cannot be modified except by direct means',100,2,3),
(285243,109203,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 12.9',100,1,0),
(285244,10109203,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 12.9',100,1,0),
(285245,152042,'When Equipped:',100,0,0),
(285246,152042,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285247,152042,'Inflicts 2648 disease damage on target encounter',100,2,2),
(285248,152042,'Must not be engaged in pvp combat',100,2,3),
(285249,152042,'Cannot be modified except by direct means',100,2,4),
(285250,10152042,'When Equipped:',100,0,0),
(285251,10152042,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285252,10152042,'Inflicts 1589 disease damage on target encounter',100,2,2),
(285253,10152042,'Must not be engaged in pvp combat',100,2,3),
(285254,10152042,'Cannot be modified except by direct means',100,2,4),
(285255,123766,'Decreases Mitigation of target vs noxious damage by 1036',100,1,0),
(285256,123766,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(285257,123766,'Slows target by 52.4%',100,2,2),
(285258,123766,'5% chance to dispel when target receives hostile action',100,2,3),
(285259,123766,'5% chance to dispel when target takes damage',100,2,4),
(285260,10123766,'Decreases Mitigation of target vs noxious damage by 1036',100,1,0),
(285261,10123766,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(285262,10123766,'Slows target by 52.4%',100,2,2),
(285263,10123766,'5% chance to dispel when target receives hostile action',100,2,3),
(285264,10123766,'5% chance to dispel when target takes damage',100,2,4),
(285265,146091,'When Equipped:',100,0,0),
(285266,146091,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(285267,146091,'Increases power of caster by 60',100,2,2),
(285268,146091,'Increases power of caster by 34 every 5 seconds',100,2,3),
(285269,146091,'Cannot be modified except by direct means',100,2,4),
(285270,10146091,'When Equipped:',100,0,0),
(285271,10146091,'When damaged this spell has a 6% chance to cast Absorb Essence on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(285272,10146091,'Increases power of caster by 60',100,2,2),
(285273,10146091,'Increases power of caster by 34 every 5 seconds',100,2,3),
(285274,10146091,'Cannot be modified except by direct means',100,2,4),
(285275,101312,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(285276,101312,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 46',100,1,1),
(285277,101312,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,2),
(285278,10101312,'Increases Max Health of group members (AE) by 77.3',100,1,0),
(285279,10101312,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 46',100,1,1),
(285280,10101312,'Increases Mitigation of group members (AE) vs physical damage by 212',100,1,2),
(285281,41699,'When Equipped:',100,0,0),
(285282,41699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285283,41699,'Inflicts 30 - 55 magic damage on target',100,2,2),
(285284,41699,'Cannot be modified except by direct means',100,2,3),
(285285,10041699,'When Equipped:',100,0,0),
(285286,10041699,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285287,10041699,'Inflicts 36 - 66 magic damage on target',100,2,2),
(285288,10041699,'Cannot be modified except by direct means',100,2,3),
(285289,81217,'When Equipped:',100,0,0),
(285290,81217,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285291,81217,'Inflicts 112 - 208 magic damage on target',100,2,2),
(285292,81217,'Cannot be modified except by direct means',100,2,3),
(285293,10081217,'When Equipped:',100,0,0),
(285294,10081217,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285295,10081217,'Inflicts 135 - 250 magic damage on target',100,2,2),
(285296,10081217,'Cannot be modified except by direct means',100,2,3),
(285297,102553,'Increases AGI of caster by 37.6',100,1,0),
(285298,102553,'Increases Max Health of caster by 92.7',100,1,1),
(285299,102553,'Adds 18.7% to base avoidance.',100,1,2),
(285300,102553,'Increases Mitigation of caster vs physical damage by 227',100,1,3),
(285301,102553,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,4),
(285302,10102553,'Increases AGI of caster by 37.6',100,1,0),
(285303,10102553,'Increases Max Health of caster by 92.7',100,1,1),
(285304,10102553,'Adds 18.7% to base avoidance.',100,1,2),
(285305,10102553,'Increases Mitigation of caster vs physical damage by 227',100,1,3),
(285306,10102553,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',100,1,4),
(285307,159563,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(285308,159563,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(285309,159563,'Inflicts 19 heat damage on target',100,2,2),
(285310,159563,'Cannot be modified except by direct means',100,2,3),
(285311,10159563,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(285312,10159563,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(285313,10159563,'Inflicts 23 heat damage on target',100,2,2),
(285314,10159563,'Cannot be modified except by direct means',100,2,3),
(285315,87717,'When Equipped:',100,0,0),
(285316,87717,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285317,87717,'Inflicts 46 - 56 mental damage on target',100,2,2),
(285318,87717,'Cannot be modified except by direct means',100,2,3),
(285319,10087717,'When Equipped:',100,0,0),
(285320,10087717,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285321,10087717,'Inflicts 55 - 67 mental damage on target',100,2,2),
(285322,10087717,'Cannot be modified except by direct means',100,2,3),
(285323,113465,'Increases INT of target by 74.9',100,1,0),
(285324,113465,'Increases Max Health of target by 618.8',100,1,1),
(285325,10113465,'Increases INT of target by 74.9',100,1,0),
(285326,10113465,'Increases Max Health of target by 618.8',100,1,1),
(285327,118141,'Heals target for 1606 - 1963',100,1,0),
(285328,10118141,'Heals target for 1898 - 2319',100,1,0),
(285329,147273,'When Equipped:',100,0,0),
(285330,147273,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(285331,147273,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(285332,147273,'Inflicts 5062 - 5594 piercing damage on target encounter',100,2,3),
(285333,147273,'Inflicts 633 - 699 piercing damage on target encounter every 2 seconds',100,2,4),
(285334,147273,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(285335,147273,'Must not be engaged in pvp combat',100,2,6),
(285336,147273,'Cannot be modified except by direct means',100,2,7),
(285337,147273,'Must not be engaged in pvp combat',100,1,8),
(285338,10147273,'When Equipped:',100,0,0),
(285339,10147273,'On any combat or spell hit this spell may cast Shrapnel on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(285340,10147273,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(285341,10147273,'Inflicts 6074 - 6713 piercing damage on target encounter',100,2,3),
(285342,10147273,'Inflicts 759 - 839 piercing damage on target encounter every 2 seconds',100,2,4),
(285343,10147273,'Increases in-combat movement speed of group members (AE) by 10.0%',100,2,5),
(285344,10147273,'Must not be engaged in pvp combat',100,2,6),
(285345,10147273,'Cannot be modified except by direct means',100,2,7),
(285346,10147273,'Must not be engaged in pvp combat',100,1,8),
(285347,111537,'Increases Hate Gain of target by 17.1%',100,1,0),
(285348,111537,'Increases Aggression of target by 10.6',100,1,1),
(285349,10111537,'Increases STR of target by 27.1',100,1,0),
(285350,10111537,'Increases Aggression of target by 10.6',100,1,1),
(285351,117285,'Inflicts 185 - 309 melee damage on target',100,1,0),
(285352,117285,'Decreases Damage Per Second of target by 9.9',100,1,1),
(285353,117285,'Decreases Attack Speed of target by 7.3',100,1,2),
(285354,10117285,'Inflicts 222 - 371 melee damage on target',100,1,0),
(285355,10117285,'Decreases Damage Per Second of target by 9.9',100,1,1),
(285356,10117285,'Decreases Attack Speed of target by 7.3',100,1,2),
(285357,24462,'Adds Kobold (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(285358,10024462,'Adds Kobold (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(285359,120374,'Inflicts 131 - 160 divine damage on target instantly and every 4 seconds',100,1,0),
(285360,120374,'Decreases WIS of target by 85.9',100,1,1),
(285361,10120374,'Inflicts 157 - 192 divine damage on target instantly and every 4 seconds',100,1,0),
(285362,10120374,'Decreases WIS of target by 85.9',100,1,1),
(285363,111495,'Increases AGI of caster by 59.6',100,1,0),
(285364,111495,'Increases Attack Speed of caster by 30.9',100,1,1),
(285365,111495,'Increases in-combat movement speed of caster by 5.5%',100,1,2),
(285366,111495,'Adds 17.2% to base avoidance.',100,1,3),
(285367,111495,'Increases Mitigation of caster vs physical damage by 531',100,1,4),
(285368,111495,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,5),
(285369,10111495,'Increases AGI of caster by 59.6',100,1,0),
(285370,10111495,'Increases Attack Speed of caster by 30.9',100,1,1),
(285371,10111495,'Increases speed of caster by 5.5%',100,1,2),
(285372,10111495,'Adds 17.2% to base avoidance.',100,1,3),
(285373,10111495,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,4),
(285374,102235,'Increases Max Health of group members (AE) by 589.4',100,1,0),
(285375,10102235,'Increases Max Health of group members (AE) by 589.4',100,1,0),
(285376,141917,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(285377,141917,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(285378,141917,'Inflicts 40 heat damage on target',100,2,2),
(285379,141917,'Cannot be modified except by direct means',100,2,3),
(285380,10141917,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(285381,10141917,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(285382,10141917,'Inflicts 47 heat damage on target',100,2,2),
(285383,10141917,'Cannot be modified except by direct means',100,2,3),
(285384,87121,'When Equipped:',100,0,0),
(285385,87121,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285386,87121,'Inflicts 155 - 232 magic damage on target',100,2,2),
(285387,87121,'Cannot be modified except by direct means',100,2,3),
(285388,10087121,'When Equipped:',100,0,0),
(285389,10087121,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285390,10087121,'Inflicts 186 - 278 magic damage on target',100,2,2),
(285391,10087121,'Cannot be modified except by direct means',100,2,3),
(285392,124836,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1310',100,1,0),
(285393,10124836,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1310',100,1,0),
(285394,46620,'Applies Hand of Pestilence when Activated.  Lasts for 1 hour.',100,0,0),
(285395,46620,'If target is a challenge.',100,1,1),
(285396,10046620,'Applies Hand of Pestilence when Activated.  Lasts for 1 hour.',100,0,0),
(285397,10046620,'If target is a challenge.',100,1,1),
(285398,80431,'When Equipped:',100,0,0),
(285399,80431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285400,80431,'Inflicts 42 - 77 magic damage on target',100,2,2),
(285401,80431,'Cannot be modified except by direct means',100,2,3),
(285402,10080431,'When Equipped:',100,0,0),
(285403,10080431,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285404,10080431,'Inflicts 50 - 93 magic damage on target',100,2,2),
(285405,10080431,'Cannot be modified except by direct means',100,2,3),
(285406,72027,'When Equipped:',100,0,0),
(285407,72027,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285408,72027,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(285409,72027,'Cannot be modified except by direct means',100,2,3),
(285410,10072027,'When Equipped:',100,0,0),
(285411,10072027,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285412,10072027,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(285413,10072027,'Cannot be modified except by direct means',100,2,3),
(285414,53546,'When Equipped:',100,0,0),
(285415,53546,'Reduces power cost of all spells by 2 percent.',100,1,1),
(285416,10053546,'When Equipped:',100,0,0),
(285417,10053546,'Reduces power cost of all spells by 2 percent.',100,1,1),
(285418,111641,'Inflicts 76 - 93 cold damage on target encounter',100,1,0),
(285419,111641,'Slows target encounter by 34.4%',100,1,1),
(285420,111641,'5% chance to dispel when target takes damage',100,1,2),
(285421,111641,'5% chance to dispel when target receives hostile action',100,1,3),
(285422,10111641,'Inflicts 121 - 148 cold damage on target encounter',100,1,0),
(285423,10111641,'Slows target encounter by 34.4%',100,1,1),
(285424,10111641,'5% chance to dispel when target takes damage',100,1,2),
(285425,10111641,'5% chance to dispel when target receives hostile action',100,1,3),
(285426,52702,'Applies Sanguine Imbued when Equipped.',100,0,0),
(285427,52702,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(285428,52702,'Inflicts 121 heat damage on target',100,2,2),
(285429,52702,'Cannot be modified except by direct means',100,2,3),
(285430,10052702,'Applies Sanguine Imbued when Equipped.',100,0,0),
(285431,10052702,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(285432,10052702,'Inflicts 145 heat damage on target',100,2,2),
(285433,10052702,'Cannot be modified except by direct means',100,2,3),
(285434,188527,'When Equipped:',100,0,0),
(285435,188527,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285436,188527,'Inflicts 1986 piercing damage on target',100,2,2),
(285437,188527,'Cannot be modified except by direct means',100,2,3),
(285438,10188527,'When Equipped:',100,0,0),
(285439,10188527,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285440,10188527,'Inflicts 1192 piercing damage on target',100,2,2),
(285441,10188527,'Cannot be modified except by direct means',100,2,3),
(285442,41446,'When Equipped:',100,0,0),
(285443,41446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285444,41446,'Inflicts 56 - 103 magic damage on target',100,2,2),
(285445,41446,'Cannot be modified except by direct means',100,2,3),
(285446,10041446,'When Equipped:',100,0,0),
(285447,10041446,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285448,10041446,'Inflicts 67 - 124 magic damage on target',100,2,2),
(285449,10041446,'Cannot be modified except by direct means',100,2,3),
(285450,159948,'When Equipped:',100,0,0),
(285451,159948,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(285452,159948,'Increases STA of caster by 19.8',100,2,2),
(285453,159948,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(285454,159948,'Cannot be modified except by direct means',100,2,4),
(285455,10159948,'When Equipped:',100,0,0),
(285456,10159948,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(285457,10159948,'Increases STA of caster by 19.8',100,2,2),
(285458,10159948,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(285459,10159948,'Cannot be modified except by direct means',100,2,4),
(285460,162537,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(285461,162537,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(285462,162537,'Cannot be modified except by direct means',100,1,2),
(285463,10162537,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(285464,10162537,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(285465,10162537,'Cannot be modified except by direct means',100,1,2),
(285466,117712,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(285467,117712,'Adds 0.9% to base avoidance.',100,1,1),
(285468,10117712,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(285469,10117712,'Adds 0.9% to base avoidance.',100,1,1),
(285470,35232,'Increases Max Power of target by 47.2',100,0,0),
(285471,35232,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(285472,48376,'Applies Break out the Jade when Activated.',100,0,0),
(285473,48376,'It sure does look like this gem could be important if it were separated from the pendant.',100,1,1),
(285474,10048376,'Applies Break out the Jade when Activated.',100,0,0),
(285475,10048376,'It sure does look like this gem could be important if it were separated from the pendant.',100,1,1),
(285476,158499,'When Equipped:',100,0,0),
(285477,158499,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285478,158499,'Increases threat priority of target by 1 position',100,2,2),
(285479,158499,'Inflicts 537 mental damage on target',100,2,3),
(285480,158499,'Cannot be modified except by direct means',100,2,4),
(285481,158499,'Cannot be modified except by direct means',100,1,5),
(285482,10158499,'When Equipped:',100,0,0),
(285483,10158499,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285484,10158499,'Inflicts 644 mental damage on target',100,2,2),
(285485,10158499,'Cannot be modified except by direct means',100,2,3),
(285486,10158499,'Cannot be modified except by direct means',100,1,4),
(285487,188562,'When Equipped:',100,0,0),
(285488,188562,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(285489,188562,'Wards caster against 720 points of all damage',100,2,2),
(285490,188562,'Cannot be modified except by direct means',100,2,3),
(285491,188562,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(285492,188562,'Wards caster against 720 points of all damage',100,2,5),
(285493,188562,'Cannot be modified except by direct means',100,2,6),
(285494,10188562,'When Equipped:',100,0,0),
(285495,10188562,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(285496,10188562,'Wards caster against 360 points of all damage',100,2,2),
(285497,10188562,'Cannot be modified except by direct means',100,2,3),
(285498,10188562,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(285499,10188562,'Wards caster against 360 points of all damage',100,2,5),
(285500,10188562,'Cannot be modified except by direct means',100,2,6),
(285501,48800,'Applies Gronk''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(285502,48800,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(285503,10048800,'Applies Gronk''s Renewal  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(285504,10048800,'Increases power of caster by 42 instantly and every 5 seconds',100,1,1),
(285505,150149,'When Equipped:',100,0,0),
(285506,150149,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(285507,150149,'Increases Potency of caster by 9.0%',100,2,2),
(285508,150149,'Cannot be modified except by direct means',100,2,3),
(285509,10150149,'When Equipped:',100,0,0),
(285510,10150149,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(285511,10150149,'Increases Potency of caster by 9.0%',100,2,2),
(285512,10150149,'Cannot be modified except by direct means',100,2,3),
(285513,109318,'Increases STR of caster by 25.1',100,1,0),
(285514,109318,'Decreases Defense of caster by 4.8',100,1,1),
(285515,109318,'Increases Slashing, Piercing and Crushing of caster by 6.8',100,1,2),
(285516,10109318,'Increases STR of caster by 25.1',100,1,0),
(285517,10109318,'Decreases Defense of caster by 4.8',100,1,1),
(285518,10109318,'Increases Slashing, Piercing and Crushing of caster by 6.8',100,1,2),
(285519,164040,'When Equipped:',100,0,0),
(285520,164040,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(285521,164040,'Wards caster against 2000 points of all damage',100,2,2),
(285522,164040,'Cannot be modified except by direct means',100,2,3),
(285523,164040,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(285524,164040,'Wards caster against 2000 points of all damage',100,2,5),
(285525,164040,'Cannot be modified except by direct means',100,2,6),
(285526,10164040,'When Equipped:',100,0,0),
(285527,10164040,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(285528,10164040,'Wards caster against 1000 points of all damage',100,2,2),
(285529,10164040,'Cannot be modified except by direct means',100,2,3),
(285530,10164040,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(285531,10164040,'Wards caster against 1000 points of all damage',100,2,5),
(285532,10164040,'Cannot be modified except by direct means',100,2,6),
(285533,120565,'Inflicts 4654 - 7757 ranged damage on target',100,1,0),
(285534,120565,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(285535,120565,'Blurs vision of target',100,2,2),
(285536,120565,'Stuns target',100,2,3),
(285537,120565,'Throws target back',100,2,4),
(285538,120565,'Does not affect Epic targets',100,2,5),
(285539,120565,'I need to be stealthed!',100,1,6),
(285540,120565,'Requires bow',100,1,7),
(285541,10120565,'Inflicts 2453 - 4088 melee damage on target',100,1,0),
(285542,10120565,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(285543,10120565,'Stuns target',100,2,2),
(285544,10120565,'Throws target back',100,2,3),
(285545,10120565,'Blurs vision of target',100,2,4),
(285546,10120565,'Does not affect Epic targets',100,2,5),
(285547,10120565,'I need to be stealthed!',100,1,6),
(285548,102687,'Inflicts 483 divine damage on target encounter',100,1,0),
(285549,10102687,'Inflicts 580 divine damage on target encounter',100,1,0),
(285550,81726,'When Equipped:',100,0,0),
(285551,81726,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(285552,81726,'Decreases Threat to target by 487 ',100,2,2),
(285553,81726,'Must be flanking or behind',100,3,3),
(285554,81726,'Increases Threat to target by 852 ',100,2,4),
(285555,81726,'Must be in front of',100,3,5),
(285556,81726,'Inflicts 108 - 200 magic damage on target',100,2,6),
(285557,81726,'Cannot be modified except by direct means',100,2,7),
(285558,10081726,'When Equipped:',100,0,0),
(285559,10081726,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(285560,10081726,'Inflicts 129 - 240 magic damage on target',100,2,2),
(285561,10081726,'Cannot be modified except by direct means',100,2,3),
(285562,178540,'When Equipped:',100,0,0),
(285563,178540,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285564,178540,'Inflicts 2648 disease damage on target encounter',100,2,2),
(285565,178540,'Must not be engaged in pvp combat',100,2,3),
(285566,178540,'Cannot be modified except by direct means',100,2,4),
(285567,10178540,'When Equipped:',100,0,0),
(285568,10178540,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(285569,10178540,'Inflicts 1589 disease damage on target encounter',100,2,2),
(285570,10178540,'Must not be engaged in pvp combat',100,2,3),
(285571,10178540,'Cannot be modified except by direct means',100,2,4),
(285572,186061,'When Equipped:',100,0,0),
(285573,186061,'Increases Subjugation of caster by 24.0',100,1,1),
(285574,186061,'Reduces resistibility of all spells by 2.0%',100,1,2),
(285575,186061,'Increases Disruption and Focus of caster by 24.0',100,1,3),
(285576,186061,'Must not be engaged in pvp combat',100,1,4),
(285577,10186061,'When Equipped:',100,0,0),
(285578,10186061,'Increases Subjugation of caster by 24.0',100,1,1),
(285579,10186061,'Reduces resistibility of all spells by 2.0%',100,1,2),
(285580,10186061,'Increases Disruption and Focus of caster by 24.0',100,1,3),
(285581,10186061,'Must not be engaged in pvp combat',100,1,4),
(285582,114002,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(285583,114002,'Inflicts 85 - 142 melee damage on target',100,2,1),
(285584,114002,'Increases Threat to target by 830 ',100,2,2),
(285585,10114002,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(285586,10114002,'Inflicts 102 - 171 melee damage on target',100,2,1),
(285587,45392,'Applies Boneyard Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(285588,45392,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(285589,45392,'Inflicts 50 poison damage on target',100,2,2),
(285590,45392,'Inflicts 198 poison damage on target instantly and every 6 seconds',100,2,3),
(285591,45392,'Cannot be modified except by direct means',100,2,4),
(285592,45392,'Grants a total of 100 triggers of the spell.',100,2,5),
(285593,10045392,'Applies Boneyard Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(285594,10045392,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(285595,10045392,'Inflicts 178 poison damage on target instantly and every 6 seconds',100,2,2),
(285596,10045392,'Inflicts 45 poison damage on target',100,2,3),
(285597,10045392,'Cannot be modified except by direct means',100,2,4),
(285598,10045392,'Grants a total of 100 triggers of the spell.',100,2,5),
(285599,46169,'Applies Escape Root when Activated.',100,0,0),
(285600,46169,'Teleports caster and caster''s group within the zone',100,1,1),
(285601,10046169,'Applies Escape Root when Activated.',100,0,0),
(285602,10046169,'Teleports caster and caster''s group within the zone',100,1,1),
(285603,111225,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(285604,111225,'Heals target for 149 - 182',100,2,1),
(285605,10111225,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(285606,10111225,'Heals target for 97 - 119',100,2,1),
(285607,181471,'When Equipped:',100,0,0),
(285608,181471,'On a healing spell cast this spell may cast Lesser Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285609,181471,'Wards target against 750 points of all damage',100,2,2),
(285610,181471,'Replenishes 150 points of absorption every 2 seconds.',100,2,3),
(285611,181471,'Cannot be modified except by direct means',100,2,4),
(285612,10181471,'When Equipped:',100,0,0),
(285613,10181471,'On a healing spell cast this spell may cast Lesser Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285614,10181471,'Wards target against 750 points of all damage',100,2,2),
(285615,10181471,'Replenishes 150 points of absorption every 2 seconds.',100,2,3),
(285616,10181471,'Cannot be modified except by direct means',100,2,4),
(285617,88239,'When Equipped:',100,0,0),
(285618,88239,'On a combat hit this spell may cast Flapping Wing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285619,88239,'Throws target back',100,2,2),
(285620,88239,'Inflicts 184 magic damage on target',100,2,3),
(285621,88239,'Cannot be modified except by direct means',100,2,4),
(285622,10088239,'When Equipped:',100,0,0),
(285623,10088239,'On a combat hit this spell may cast Flapping Wing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285624,10088239,'Throws target back',100,2,2),
(285625,10088239,'Inflicts 221 magic damage on target',100,2,3),
(285626,10088239,'Cannot be modified except by direct means',100,2,4),
(285627,104728,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(285628,104728,'Decreases Mitigation of target vs elemental and arcane damage by 896',100,2,1),
(285629,104728,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(285630,104728,'Decreases Mitigation of target vs elemental and arcane damage by 896',100,2,3),
(285631,10104728,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(285632,10104728,'Decreases Mitigation of target vs elemental and arcane damage by 896',100,2,1),
(285633,10104728,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(285634,10104728,'Decreases Mitigation of target vs elemental and arcane damage by 896',100,2,3),
(285635,122258,'Decreases Threat to targets in Area of Effect by 325 ',100,1,0),
(285636,122258,'Makes targets in Area of Effect afraid',100,1,1),
(285637,122258,'If Target is not Epic',100,2,2),
(285638,122258,'30% chance to dispel when target takes damage',100,1,3),
(285639,10122258,'Applies Distract.',100,1,0),
(285640,10122258,'Forces target to clear their selected target.',100,2,1),
(285641,10122258,'Makes targets in Area of Effect afraid',100,1,2),
(285642,10122258,'If Target is not Epic',100,2,3),
(285643,10122258,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(285644,10122258,'30% chance to dispel when target takes damage',100,1,5),
(285645,36354,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,0),
(285646,36354,'This effect suspends during combat',100,0,1),
(285647,144980,'Applies Mana Font when Activated.  Lasts for 10.0 seconds.',100,0,0),
(285648,144980,'Increases power of caster by 221 instantly and every 2 seconds',100,1,1),
(285649,144980,'The casting time of Mana Font is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(285650,10144980,'Applies Mana Font when Activated.  Lasts for 10.0 seconds.',100,0,0),
(285651,10144980,'Increases power of caster by 221 instantly and every 2 seconds',100,1,1),
(285652,10144980,'The casting time of Mana Font is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,2),
(285653,108547,'Makes target afraid',100,1,0),
(285654,108547,'30% chance to dispel when target takes damage',100,1,1),
(285655,108547,'Does not affect Epic targets',100,1,2),
(285656,108547,'Resistibility increases against targets higher than level 67.',100,1,3),
(285657,10108547,'Makes target afraid',100,1,0),
(285658,10108547,'30% chance to dispel when target takes damage',100,1,1),
(285659,10108547,'Does not affect Epic targets',100,1,2),
(285660,10108547,'Resistibility increases against targets higher than level 67.',100,1,3),
(285661,37342,'Increases Out-of-Combat Power Regeneration of target by 24.0',100,0,0),
(285662,104994,'Reduces physical damage done to caster by 5%',100,1,0),
(285663,104994,'Adds 1.5% to base avoidance.',100,1,1),
(285664,104994,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(285665,104994,'Increases Parry of caster by 17.4',100,1,3),
(285666,104994,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(285667,104994,'Increases Aggression of caster by 10.4',100,1,5),
(285668,104994,'Increases Defense and Deflection of caster by 17.4',100,1,6),
(285669,104994,'Increases Mitigation of caster vs arcane damage by 1160',100,1,7),
(285670,104994,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(285671,10104994,'Reduces physical damage done to caster by 5%',100,1,0),
(285672,10104994,'Adds 1.5% to base avoidance.',100,1,1),
(285673,10104994,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(285674,10104994,'Increases Parry of caster by 17.4',100,1,3),
(285675,10104994,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(285676,10104994,'Increases Aggression of caster by 10.4',100,1,5),
(285677,10104994,'Increases Defense and Deflection of caster by 17.4',100,1,6),
(285678,10104994,'Increases Mitigation of caster vs arcane damage by 1160',100,1,7),
(285679,10104994,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(285680,50513,'When Equipped:',100,0,0),
(285681,50513,'Increases caster''s chance to block by 15.0%',100,1,1),
(285682,10050513,'When Equipped:',100,0,0),
(285683,10050513,'Increases caster''s chance to block by 15.0%',100,1,1),
(285684,177664,'When Equipped:',100,0,0),
(285685,177664,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285686,177664,'Increases WIS of caster by 19.8',100,2,2),
(285687,177664,'Increases Ordination, Focus and Ministration of caster by 11.1',100,2,3),
(285688,177664,'Cannot be modified except by direct means',100,2,4),
(285689,10177664,'When Equipped:',100,0,0),
(285690,10177664,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285691,10177664,'Increases WIS of caster by 19.8',100,2,2),
(285692,10177664,'Increases Ordination, Focus and Ministration of caster by 11.1',100,2,3),
(285693,10177664,'Cannot be modified except by direct means',100,2,4),
(285694,24127,'Adds Clockwork Gnome (Assassin) to your Dungeon Maker toolbox',100,0,0),
(285695,10024127,'Adds Clockwork Gnome (Assassin) to your Dungeon Maker toolbox',100,0,0),
(285696,51318,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(285697,51318,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(285698,51318,'Inflicts 22 heat damage on target',100,2,2),
(285699,51318,'Cannot be modified except by direct means',100,2,3),
(285700,10051318,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(285701,10051318,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(285702,10051318,'Inflicts 27 heat damage on target',100,2,2),
(285703,10051318,'Cannot be modified except by direct means',100,2,3),
(285704,71810,'When Equipped:',100,0,0),
(285705,71810,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285706,71810,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(285707,71810,'Cannot be modified except by direct means',100,2,3),
(285708,10071810,'When Equipped:',100,0,0),
(285709,10071810,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285710,10071810,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(285711,10071810,'Cannot be modified except by direct means',100,2,3),
(285712,104856,'Decreases the damage done by the next spell cast by 70 percent',100,1,0),
(285713,104856,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 87.5%',100,1,1),
(285714,10104856,'Decreases the damage done by the next spell cast by 70 percent',100,1,0),
(285715,10104856,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 87.5%',100,1,1),
(285716,112567,'Interrupts target',50,1,0),
(285717,112567,'Inflicts 395 - 483 divine damage on target',100,1,1),
(285718,10112567,'Interrupts target',50,1,0),
(285719,10112567,'Inflicts 610 - 745 divine damage on target',100,1,1),
(285720,122014,'Inflicts 218 - 364 melee damage on targets in area',100,1,0),
(285721,122014,'Increases Threat to target encounter by 1,701 ',100,1,1),
(285722,10122014,'Inflicts 262 - 437 melee damage on targets in area',100,1,0),
(285723,10122014,'Prevents target encounter from changing targets',100,1,1),
(285724,10122014,'Forces target encounter to change their selected target to caster.',100,1,2),
(285725,169997,'When Equipped:',100,0,0),
(285726,169997,'On a healing spell cast this spell has a 8% chance to cast Mending Touch on target of spell cast.  Lasts for 30.0 seconds.  ',100,1,1),
(285727,169997,'Heals target for 160 instantly and every 3.3 seconds',100,2,2),
(285728,169997,'Cannot be modified except by direct means',100,2,3),
(285729,169997,'Only affects targets level 50 and above',100,1,4),
(285730,10169997,'When Equipped:',100,0,0),
(285731,10169997,'On a healing spell cast this spell has a 8% chance to cast Mending Touch on target of spell cast.  Lasts for 30.0 seconds.  ',100,1,1),
(285732,10169997,'Heals target for 104 instantly and every 3.3 seconds',100,2,2),
(285733,10169997,'Cannot be modified except by direct means',100,2,3),
(285734,10169997,'Only affects targets level 50 and above',100,1,4),
(285735,26079,'When Equipped:',100,0,0),
(285736,26079,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(285737,26079,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(285738,10026079,'When Equipped:',100,0,0),
(285739,10026079,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(285740,10026079,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(285741,101559,'Inflicts 3906 - 6510 melee damage on target',100,1,0),
(285742,101559,'You must be stealthed to use this ability',100,1,1),
(285743,10101559,'Inflicts 2203 - 3672 melee damage on target',100,1,0),
(285744,10101559,'You must be stealthed to use this ability',100,1,1),
(285745,115258,'Heals target for 233',100,1,0),
(285746,115258,'Heals target for 39 every second',100,1,1),
(285747,115258,'Dispels 43 levels of any hostile effects on target',100,1,2),
(285748,10115258,'Heals target for 151',100,1,0),
(285749,10115258,'Heals target for 25 every second',100,1,1),
(285750,10115258,'Dispels 43 levels of any hostile effects on target',100,1,2),
(285751,114867,'Decreases AGI of target by 60.2',100,1,0),
(285752,114867,'Decreases Defense of target by 23.0',100,1,1),
(285753,10114867,'Decreases AGI of target by 60.2',100,1,0),
(285754,10114867,'Decreases Defense of target by 23.0',100,1,1),
(285755,87413,'When Equipped:',100,0,0),
(285756,87413,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285757,87413,'Inflicts 127 - 190 magic damage on target',100,2,2),
(285758,87413,'Cannot be modified except by direct means',100,2,3),
(285759,10087413,'When Equipped:',100,0,0),
(285760,10087413,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285761,10087413,'Inflicts 152 - 228 magic damage on target',100,2,2),
(285762,10087413,'Cannot be modified except by direct means',100,2,3),
(285763,110670,'Heals target for 358',100,1,0),
(285764,110670,'Dispels 38 levels of any hostile effects on target',100,1,1),
(285765,10110670,'Heals target for 233',100,1,0),
(285766,10110670,'Dispels 38 levels of any hostile effects on target',100,1,1),
(285767,79704,'When Equipped:',100,0,0),
(285768,79704,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(285769,79704,'Reduces healing received by 15.00%',100,2,2),
(285770,79704,'Cannot be modified except by direct means',100,2,3),
(285771,79704,'This effect can only trigger once every 1 second.',100,2,4),
(285772,79704,'Must be engaged in pvp combat',100,1,5),
(285773,10079704,'When Equipped:',100,0,0),
(285774,10079704,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(285775,10079704,'Reduces healing received by 15.00%',100,2,2),
(285776,10079704,'Cannot be modified except by direct means',100,2,3),
(285777,10079704,'This effect can only trigger once every 1 second.',100,2,4),
(285778,10079704,'Must be engaged in pvp combat',100,1,5),
(285779,111710,'Inflicts 867 - 1060 cold damage on target',100,1,0),
(285780,111710,'Inflicts 867 - 1060 cold damage on target',100,1,1),
(285781,111710,'If target is elemental',100,2,2),
(285782,10111710,'Inflicts 892 - 1090 cold damage on target',100,1,0),
(285783,122531,'Heals caster for 57',100,1,0),
(285784,122531,'Inflicts 89 - 149 melee damage on target',100,1,1),
(285785,10122531,'Heals caster for 37',100,1,0),
(285786,10122531,'Inflicts 107 - 179 melee damage on target',100,1,1),
(285787,75541,'Applies Disease Blast when Activated.',100,0,0),
(285788,75541,'Inflicts 89 - 149 disease damage on target',100,1,1),
(285789,75541,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(285790,10075541,'Applies Disease Blast when Activated.',100,0,0),
(285791,10075541,'Inflicts 107 - 179 disease damage on target',100,1,1),
(285792,10075541,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(285793,159672,'When Equipped:',100,0,0),
(285794,159672,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285795,159672,'Increases WIS of caster by 8.8',100,2,2),
(285796,159672,'Increases Ordination, Focus and Ministration of caster by 5.2',100,2,3),
(285797,159672,'Cannot be modified except by direct means',100,2,4),
(285798,10159672,'When Equipped:',100,0,0),
(285799,10159672,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285800,10159672,'Increases WIS of caster by 8.8',100,2,2),
(285801,10159672,'Increases Ordination, Focus and Ministration of caster by 5.2',100,2,3),
(285802,10159672,'Cannot be modified except by direct means',100,2,4),
(285803,41499,'When Equipped:',100,0,0),
(285804,41499,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285805,41499,'Inflicts 71 - 131 magic damage on target',100,2,2),
(285806,41499,'Cannot be modified except by direct means',100,2,3),
(285807,10041499,'When Equipped:',100,0,0),
(285808,10041499,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285809,10041499,'Inflicts 85 - 158 magic damage on target',100,2,2),
(285810,10041499,'Cannot be modified except by direct means',100,2,3),
(285811,72309,'When Equipped:',100,0,0),
(285812,72309,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285813,72309,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(285814,72309,'Cannot be modified except by direct means',100,2,3),
(285815,10072309,'When Equipped:',100,0,0),
(285816,10072309,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(285817,10072309,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(285818,10072309,'Cannot be modified except by direct means',100,2,3),
(285819,116229,'Increases AGI of caster by 13.3',100,1,0),
(285820,116229,'Increases INT of caster by 33.3',100,1,1),
(285821,10116229,'Increases AGI of caster by 13.3',100,1,0),
(285822,10116229,'Increases INT of caster by 33.3',100,1,1),
(285823,121573,'Stuns target',100,1,0),
(285824,121573,'If Target is not Epic',100,2,1),
(285825,121573,'Decreases Threat to target by 160 ',100,1,2),
(285826,121573,'Resistibility increases against targets higher than level 45.',100,1,3),
(285827,10121573,'Stuns target',100,1,0),
(285828,10121573,'If Target is not Epic',100,2,1),
(285829,10121573,'Resistibility increases against targets higher than level 45.',100,1,2),
(285830,109617,'Increases Defense of group members'' pets (AE) by 15.3',100,1,0),
(285831,109617,'Increases Mitigation of group members (AE) vs all damage by 245',100,1,1),
(285832,10109617,'Increases Defense of group members'' pets (AE) by 15.3',100,1,0),
(285833,10109617,'Increases Mitigation of group members (AE) vs all damage by 245',100,1,1),
(285834,119750,'Wards group members (AE) against 228 points of elemental, noxious and arcane damage',100,1,0),
(285835,119750,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,1),
(285836,10119750,'Wards group members (AE) against 228 points of elemental, noxious and arcane damage',100,1,0),
(285837,10119750,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,1),
(285838,101914,'Inflicts 46 - 78 melee damage on target',100,1,0),
(285839,101914,'Inflicts 16 piercing damage on target instantly and every 4 seconds',100,1,1),
(285840,101914,'Must be behind',100,1,2),
(285841,10101914,'Inflicts 56 - 93 melee damage on target',100,1,0),
(285842,10101914,'Inflicts 19 piercing damage on target instantly and every 4 seconds',100,1,1),
(285843,10101914,'Must be behind',100,1,2),
(285844,117265,'Inflicts 38 - 64 melee damage on target',100,1,0),
(285845,117265,'Decreases Damage Per Second of target by 6.2',100,1,1),
(285846,117265,'Decreases Attack Speed of target by 5.4',100,1,2),
(285847,10117265,'Inflicts 46 - 77 melee damage on target',100,1,0),
(285848,10117265,'Decreases Damage Per Second of target by 6.2',100,1,1),
(285849,10117265,'Decreases Attack Speed of target by 5.4',100,1,2),
(285850,124470,'Heals group members (AE) for 126 - 154',100,1,0),
(285851,10124470,'Heals group members (AE) for 147 - 180',100,1,0),
(285852,105512,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.4',100,1,0),
(285853,10105512,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.4',100,1,0),
(285854,169154,'When Equipped:',100,0,0),
(285855,169154,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(285856,169154,'Heals caster for 392',100,2,2),
(285857,169154,'Cannot be modified except by direct means',100,2,3),
(285858,10169154,'When Equipped:',100,0,0),
(285859,10169154,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(285860,10169154,'Heals caster for 255',100,2,2),
(285861,10169154,'Cannot be modified except by direct means',100,2,3),
(285862,82404,'When Equipped:',100,0,0),
(285863,82404,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(285864,82404,'Decreases Threat to target by 376 ',100,2,2),
(285865,82404,'Must be flanking or behind',100,3,3),
(285866,82404,'Increases Threat to target by 658 ',100,2,4),
(285867,82404,'Must be in front of',100,3,5),
(285868,82404,'Inflicts 111 - 205 magic damage on target',100,2,6),
(285869,82404,'Cannot be modified except by direct means',100,2,7),
(285870,10082404,'When Equipped:',100,0,0),
(285871,10082404,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(285872,10082404,'Inflicts 133 - 246 magic damage on target',100,2,2),
(285873,10082404,'Cannot be modified except by direct means',100,2,3),
(285874,110121,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(285875,110121,'Inflicts 63 disease damage on target',100,2,1),
(285876,110121,'Heals caster for 51',100,2,2),
(285877,110121,'Decreases INT of target by 192.5',100,1,3),
(285878,110121,'Decreases Attack Speed of target by 25.0',100,1,4),
(285879,110121,'Increases Max Health of target by 16.0%',100,1,5),
(285880,110121,'Increases Hate Gain of target by 46.0%',100,1,6),
(285881,110121,'Increases Aggression of target by 24.0',100,1,7),
(285882,110121,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(285883,110121,'Increases Threat to target encounter by 447 - 547 ',100,2,9),
(285884,110121,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1440',100,1,10),
(285885,10110121,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(285886,10110121,'Inflicts 76 disease damage on target',100,2,1),
(285887,10110121,'Heals caster for 60',100,2,2),
(285888,10110121,'Decreases INT of target by 192.5',100,1,3),
(285889,10110121,'Decreases Attack Speed of target by 25.0',100,1,4),
(285890,10110121,'Increases Max Health of target by 16.0%',100,1,5),
(285891,10110121,'Increases Aggression of target by 24.0',100,1,6),
(285892,10110121,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1440',100,1,7),
(285893,115197,'Heals target for 1024 - 1252',100,1,0),
(285894,10115197,'Heals target for 2497 - 3052',100,1,0),
(285895,189312,'When Equipped:',100,0,0),
(285896,189312,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(285897,189312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,2),
(285898,189312,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(285899,189312,'Must not be engaged in pvp combat',100,2,4),
(285900,189312,'Cannot be modified except by direct means',100,2,5),
(285901,189312,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(285902,189312,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(285903,189312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,8),
(285904,189312,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(285905,189312,'Must not be engaged in pvp combat',100,2,10),
(285906,189312,'Cannot be modified except by direct means',100,2,11),
(285907,189312,'Cannot be modified except by direct means',100,1,12),
(285908,189312,'When Equipped:',100,0,13),
(285909,189312,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(285910,189312,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(285911,189312,'Increases Crit Bonus of caster by 4.5%',100,2,16),
(285912,189312,'Increases Ability Modifier of caster by 660.0',100,2,17),
(285913,189312,'Must not be engaged in pvp combat',100,2,18),
(285914,189312,'Cannot be modified except by direct means',100,2,19),
(285915,189312,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,20),
(285916,189312,'Increases Crit Bonus of caster by 4.5%',100,2,21),
(285917,189312,'Increases Ability Modifier of caster by 660.0',100,2,22),
(285918,189312,'Must not be engaged in pvp combat',100,2,23),
(285919,189312,'Cannot be modified except by direct means',100,2,24),
(285920,189312,'Cannot be modified except by direct means',100,1,25),
(285921,10189312,'When Equipped:',100,0,0),
(285922,10189312,'On any combat or spell hit this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(285923,10189312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,2),
(285924,10189312,'Increases Crit Bonus of caster by 4.5%',100,2,3),
(285925,10189312,'Must not be engaged in pvp combat',100,2,4),
(285926,10189312,'Cannot be modified except by direct means',100,2,5),
(285927,10189312,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(285928,10189312,'On a healing spell cast this spell may cast Tactical Will III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(285929,10189312,'Increases INT, AGI, STR and WIS of caster by 110.0',100,2,8),
(285930,10189312,'Increases Crit Bonus of caster by 4.5%',100,2,9),
(285931,10189312,'Must not be engaged in pvp combat',100,2,10),
(285932,10189312,'Cannot be modified except by direct means',100,2,11),
(285933,10189312,'Cannot be modified except by direct means',100,1,12),
(285934,10189312,'When Equipped:',100,0,13),
(285935,10189312,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(285936,10189312,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(285937,10189312,'Increases Crit Bonus of caster by 4.5%',100,2,16),
(285938,10189312,'Increases Ability Modifier of caster by 660.0',100,2,17),
(285939,10189312,'Must not be engaged in pvp combat',100,2,18),
(285940,10189312,'Cannot be modified except by direct means',100,2,19),
(285941,10189312,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,20),
(285942,10189312,'Increases Crit Bonus of caster by 4.5%',100,2,21),
(285943,10189312,'Increases Ability Modifier of caster by 660.0',100,2,22),
(285944,10189312,'Must not be engaged in pvp combat',100,2,23),
(285945,10189312,'Cannot be modified except by direct means',100,2,24),
(285946,10189312,'Cannot be modified except by direct means',100,1,25),
(285947,75658,'When Equipped:',100,0,0),
(285948,75658,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(285949,75658,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(285950,75658,'Inflicts 2341 - 2587 poison damage on target',100,2,3),
(285951,75658,'Heals caster for 1170 - 1294',100,2,4),
(285952,75658,'Must not be engaged in pvp combat',100,2,5),
(285953,75658,'Cannot be modified except by direct means',100,2,6),
(285954,75658,'Cannot be modified except by direct means',100,1,7),
(285955,10075658,'When Equipped:',100,0,0),
(285956,10075658,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(285957,10075658,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(285958,10075658,'Inflicts 2809 - 3105 poison damage on target',100,2,3),
(285959,10075658,'Heals caster for 1369 - 1514',100,2,4),
(285960,10075658,'Must not be engaged in pvp combat',100,2,5),
(285961,10075658,'Cannot be modified except by direct means',100,2,6),
(285962,10075658,'Cannot be modified except by direct means',100,1,7),
(285963,48935,'Applies Translucent Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(285964,48935,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(285965,48935,'Decreases STR of target by 19.6',100,2,2),
(285966,48935,'Cannot be modified except by direct means',100,2,3),
(285967,48935,'Grants a total of 30 triggers of the spell.',100,2,4),
(285968,48935,'Only affects targets level 50 and above',100,1,5),
(285969,10048935,'Applies Translucent Touch of Weakness when Activated.  Lasts for 12 hours.',100,0,0),
(285970,10048935,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(285971,10048935,'Decreases STR of target by 19.6',100,2,2),
(285972,10048935,'Cannot be modified except by direct means',100,2,3),
(285973,10048935,'Grants a total of 30 triggers of the spell.',100,2,4),
(285974,10048935,'Only affects targets level 50 and above',100,1,5),
(285975,114515,'Heals target for 45 - 55',100,1,0),
(285976,10114515,'Heals target for 58 - 71',100,1,0),
(285977,162577,'When Equipped:',100,0,0),
(285978,162577,'When a combat art is used this spell will cast Clawing Tiger on target of combat art.  ',100,1,1),
(285979,162577,'Inflicts 12 mental damage on target',100,2,2),
(285980,162577,'Cannot be modified except by direct means',100,2,3),
(285981,10162577,'When Equipped:',100,0,0),
(285982,10162577,'When a combat art is used this spell will cast Clawing Tiger on target of combat art.  ',100,1,1),
(285983,10162577,'Inflicts 14 mental damage on target',100,2,2),
(285984,10162577,'Cannot be modified except by direct means',100,2,3),
(285985,41820,'When Equipped:',100,0,0),
(285986,41820,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285987,41820,'Inflicts 46 - 56 heat damage on target encounter',100,2,2),
(285988,41820,'Cannot be modified except by direct means',100,2,3),
(285989,10041820,'When Equipped:',100,0,0),
(285990,10041820,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(285991,10041820,'Inflicts 55 - 67 heat damage on target encounter',100,2,2),
(285992,10041820,'Cannot be modified except by direct means',100,2,3),
(285993,26772,'When Equipped:',100,0,0),
(285994,26772,'On a critical combat hit this spell may cast Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(285995,26772,'Increases Crit Bonus of caster by 10.0%',100,2,2),
(285996,26772,'Must not be engaged in pvp combat',100,2,3),
(285997,26772,'Cannot be modified except by direct means',100,2,4),
(285998,26772,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(285999,26772,'On a critical healing spell cast this spell may cast Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(286000,26772,'Increases Crit Bonus of caster by 10.0%',100,2,7),
(286001,26772,'Must not be engaged in pvp combat',100,2,8),
(286002,26772,'Cannot be modified except by direct means',100,2,9),
(286003,26772,'On a critical spell hit this spell may cast Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(286004,26772,'Increases Crit Bonus of caster by 10.0%',100,2,11),
(286005,26772,'Must not be engaged in pvp combat',100,2,12),
(286006,26772,'Cannot be modified except by direct means',100,2,13),
(286007,26772,'Must not be engaged in pvp combat',100,1,14),
(286008,10026772,'When Equipped:',100,0,0),
(286009,10026772,'On a critical combat hit this spell may cast Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(286010,10026772,'Increases Crit Bonus of caster by 10.0%',100,2,2),
(286011,10026772,'Must not be engaged in pvp combat',100,2,3),
(286012,10026772,'Cannot be modified except by direct means',100,2,4),
(286013,10026772,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(286014,10026772,'On a critical healing spell cast this spell may cast Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(286015,10026772,'Increases Crit Bonus of caster by 10.0%',100,2,7),
(286016,10026772,'Must not be engaged in pvp combat',100,2,8),
(286017,10026772,'Cannot be modified except by direct means',100,2,9),
(286018,10026772,'On a critical spell hit this spell may cast Magnitude I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(286019,10026772,'Increases Crit Bonus of caster by 10.0%',100,2,11),
(286020,10026772,'Must not be engaged in pvp combat',100,2,12),
(286021,10026772,'Cannot be modified except by direct means',100,2,13),
(286022,10026772,'Must not be engaged in pvp combat',100,1,14),
(286023,115271,'Heals target for 641',100,1,0),
(286024,115271,'Heals target for 107 every second',100,1,1),
(286025,115271,'Dispels 103 levels of any hostile effects on target',100,1,2),
(286026,10115271,'Heals target for 417',100,1,0),
(286027,10115271,'Heals target for 69 every second',100,1,1),
(286028,10115271,'Dispels 103 levels of any hostile effects on target',100,1,2),
(286029,72009,'When Equipped:',100,0,0),
(286030,72009,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286031,72009,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(286032,72009,'Cannot be modified except by direct means',100,2,3),
(286033,10072009,'When Equipped:',100,0,0),
(286034,10072009,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286035,10072009,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(286036,10072009,'Cannot be modified except by direct means',100,2,3),
(286037,115252,'Heals target for 147',100,1,0),
(286038,115252,'Heals target for 24 every second',100,1,1),
(286039,115252,'Dispels 30 levels of any hostile effects on target',100,1,2),
(286040,10115252,'Heals target for 95',100,1,0),
(286041,10115252,'Heals target for 16 every second',100,1,1),
(286042,10115252,'Dispels 30 levels of any hostile effects on target',100,1,2),
(286043,101550,'Inflicts 2493 - 4155 melee damage on target',100,1,0),
(286044,101550,'You must be stealthed to use this ability',100,1,1),
(286045,10101550,'Inflicts 1406 - 2343 melee damage on target',100,1,0),
(286046,10101550,'You must be stealthed to use this ability',100,1,1),
(286047,49163,'Applies Wormhole - Antonica when Activated.',100,0,0),
(286048,49163,'Teleports caster to a zone landmark',100,1,1),
(286049,10049163,'Applies Wormhole - Antonica when Activated.',100,0,0),
(286050,10049163,'Teleports caster to a zone landmark',100,1,1),
(286051,169025,'When Equipped:',100,0,0),
(286052,169025,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(286053,10169025,'When Equipped:',100,0,0),
(286054,10169025,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(286055,124831,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1152',100,1,0),
(286056,10124831,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1152',100,1,0),
(286057,50619,'When Equipped:',100,0,0),
(286058,50619,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(286059,50619,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(286060,50619,'Inflicts 281 mental damage on target',100,2,3),
(286061,50619,'Must not be classified as an undead',100,3,4),
(286062,50619,'Inflicts 562 mental damage on target',100,2,5),
(286063,50619,'Must be classified as an undead',100,3,6),
(286064,50619,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(286065,50619,'Must be classified as an undead',100,3,8),
(286066,50619,'Cannot be modified except by direct means',100,2,9),
(286067,10050619,'When Equipped:',100,0,0),
(286068,10050619,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(286069,10050619,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(286070,10050619,'Inflicts 337 mental damage on target',100,2,3),
(286071,10050619,'Must not be classified as an undead',100,3,4),
(286072,10050619,'Inflicts 674 mental damage on target',100,2,5),
(286073,10050619,'Must be classified as an undead',100,3,6),
(286074,10050619,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(286075,10050619,'Must be classified as an undead',100,3,8),
(286076,10050619,'Cannot be modified except by direct means',100,2,9),
(286077,71894,'When Equipped:',100,0,0),
(286078,71894,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286079,71894,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(286080,71894,'Cannot be modified except by direct means',100,2,3),
(286081,10071894,'When Equipped:',100,0,0),
(286082,10071894,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286083,10071894,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(286084,10071894,'Cannot be modified except by direct means',100,2,3),
(286085,75577,'Applies Disease Blast when Activated.',100,0,0),
(286086,75577,'Inflicts 272 - 454 disease damage on target',100,1,1),
(286087,75577,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286088,10075577,'Applies Disease Blast when Activated.',100,0,0),
(286089,10075577,'Inflicts 327 - 545 disease damage on target',100,1,1),
(286090,10075577,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286091,159493,'Applies Sanguine Imbued when Equipped.',100,0,0),
(286092,159493,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(286093,159493,'Inflicts 77 heat damage on target',100,2,2),
(286094,159493,'Cannot be modified except by direct means',100,2,3),
(286095,10159493,'Applies Sanguine Imbued when Equipped.',100,0,0),
(286096,10159493,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(286097,10159493,'Inflicts 92 heat damage on target',100,2,2),
(286098,10159493,'Cannot be modified except by direct means',100,2,3),
(286099,106066,'Increases AGI of caster by 113.8',100,1,0),
(286100,106066,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(286101,106066,'Inflicts 160 - 267 disease damage on target',100,2,2),
(286102,106066,'Adds 18.7% to base avoidance.',100,1,3),
(286103,106066,'Increases Mitigation of caster vs physical damage by 580',100,1,4),
(286104,106066,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,5),
(286105,10106066,'Increases AGI of caster by 113.8',100,1,0),
(286106,10106066,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(286107,10106066,'Inflicts 192 - 321 disease damage on target',100,2,2),
(286108,10106066,'Adds 18.7% to base avoidance.',100,1,3),
(286109,10106066,'Increases Mitigation of caster vs physical damage by 580',100,1,4),
(286110,10106066,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',100,1,5),
(286111,124822,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 560',100,1,0),
(286112,10124822,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 560',100,1,0),
(286113,45223,'Applies Anaphylactic Inhibitor when Activated.  Lasts for 10.0 seconds.',100,0,0),
(286114,45223,'Makes caster immune to Fear effects',100,1,1),
(286115,10045223,'Applies Anaphylactic Inhibitor when Activated.  Lasts for 10.0 seconds.',100,0,0),
(286116,10045223,'Makes caster immune to Fear effects',100,1,1),
(286117,110888,'Inflicts 337 - 411 heat damage on target encounter',100,1,0),
(286118,10110888,'Inflicts 404 - 494 heat damage on target encounter',100,1,0),
(286119,48949,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(286120,48949,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(286121,48949,'Inflicts 26 poison damage on target instantly and every 6 seconds',100,2,2),
(286122,48949,'Inflicts 10 poison damage on target',100,2,3),
(286123,48949,'Cannot be modified except by direct means',100,2,4),
(286124,48949,'Grants a total of 200 triggers of the spell.',100,2,5),
(286125,10048949,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(286126,10048949,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(286127,10048949,'Inflicts 9 poison damage on target',100,2,2),
(286128,10048949,'Inflicts 23 poison damage on target instantly and every 6 seconds',100,2,3),
(286129,10048949,'Cannot be modified except by direct means',100,2,4),
(286130,10048949,'Grants a total of 200 triggers of the spell.',100,2,5),
(286131,26582,'When Equipped:',100,0,0),
(286132,26582,'Adds an additional two ticks to Tranquility III.',100,1,1),
(286133,26582,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(286134,10026582,'When Equipped:',100,0,0),
(286135,10026582,'Adds an additional two ticks to Tranquility III.',100,1,1),
(286136,10026582,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(286137,121981,'Increases Threat to target by 31 - 38 ',100,1,0),
(286138,10121981,'Prevents target from changing targets',100,1,0),
(286139,10121981,'Forces target to change their selected target to caster.',100,1,1),
(286140,157199,'Applies Mark of Thule when Equipped.',100,0,0),
(286141,157199,'Increases Multi Attack Chance of caster by 2.0',100,1,1),
(286142,10157199,'Applies Mark of Thule when Equipped.',100,0,0),
(286143,10157199,'Increases Multi Attack Chance of caster by 2.0',100,1,1),
(286144,111951,'Inflicts 54 - 67 disease damage on target',100,1,0),
(286145,111951,'Decreases Mitigation of target vs noxious damage by 171',100,1,1),
(286146,10111951,'Inflicts 84 - 103 disease damage on target',100,1,0),
(286147,10111951,'Decreases Mitigation of target vs noxious damage by 171',100,1,1),
(286148,106345,'Decreases Mitigation of target vs arcane damage by 437',100,1,0),
(286149,106345,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(286150,106345,'Slows target by 32.9%',100,2,2),
(286151,106345,'5% chance to dispel when target receives hostile action',100,2,3),
(286152,106345,'5% chance to dispel when target takes damage',100,2,4),
(286153,10106345,'Decreases Mitigation of target vs arcane damage by 437',100,1,0),
(286154,10106345,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(286155,10106345,'Slows target by 32.9%',100,2,2),
(286156,10106345,'5% chance to dispel when target receives hostile action',100,2,3),
(286157,10106345,'5% chance to dispel when target takes damage',100,2,4),
(286158,36211,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(286159,119430,'Inflicts 511 - 853 melee damage on target',100,1,0),
(286160,119430,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(286161,119430,'Blurs vision of target',100,2,2),
(286162,119430,'Stuns target',100,2,3),
(286163,119430,'Throws target back',100,2,4),
(286164,119430,'Does not affect Epic targets',100,2,5),
(286165,119430,'You must be sneaking to use this ability.',100,1,6),
(286166,10119430,'Inflicts 614 - 1023 melee damage on target',100,1,0),
(286167,10119430,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(286168,10119430,'Stuns target',100,2,2),
(286169,10119430,'Throws target back',100,2,3),
(286170,10119430,'Blurs vision of target',100,2,4),
(286171,10119430,'Does not affect Epic targets',100,2,5),
(286172,10119430,'You must be sneaking to use this ability.',100,1,6),
(286173,108254,'Fills the beastlord''s eyes with power',100,1,0),
(286174,10108254,'Fills the beastlord''s eyes with power',100,1,0),
(286175,107366,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(286176,107366,'Increases Threat to target by 1,081 ',100,2,1),
(286177,10107366,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(286178,10107366,'Inflicts 105 - 116 crushing damage on target',100,2,1),
(286179,183204,'When Equipped:',100,0,0),
(286180,183204,'Increases Attack Speed of caster by 40.0',100,1,1),
(286181,10183204,'When Equipped:',100,0,0),
(286182,10183204,'Increases Attack Speed of caster by 40.0',100,1,1),
(286183,164600,'Applies Unstable Magics when Equipped.',100,0,0),
(286184,164600,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(286185,10164600,'Applies Unstable Magics when Equipped.',100,0,0),
(286186,10164600,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(286187,45177,'Applies Ethereal Dark Aura when Activated.  Lasts for 10 minutes 3 seconds.',100,0,0),
(286188,45177,'Increases Mitigation of caster vs noxious damage by 600',100,1,1),
(286189,10045177,'Applies Ethereal Dark Aura when Activated.  Lasts for 10 minutes 3 seconds.',100,0,0),
(286190,10045177,'Increases Mitigation of caster vs noxious damage by 600',100,1,1),
(286191,104053,'Inflicts 14 - 17 mental damage on target instantly and every 6 seconds',100,1,0),
(286192,104053,'Applies Migraine on termination.',100,1,1),
(286193,104053,'Inflicts 40 - 54 mental damage on target',100,2,2),
(286194,10104053,'Inflicts 17 - 21 mental damage on target instantly and every 6 seconds',100,1,0),
(286195,10104053,'Applies Migraine on termination.',100,1,1),
(286196,10104053,'Inflicts 48 - 65 mental damage on target',100,2,2),
(286197,115645,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 500',100,1,0),
(286198,10115645,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 500',100,1,0),
(286199,110991,'Heals target for 335 - 409 instantly and every 2 seconds',100,1,0),
(286200,110991,'Increases power of target by 26 - 32 instantly and every 2 seconds',100,1,1),
(286201,10110991,'Heals target for 217 - 266 instantly and every 2 seconds',100,1,0),
(286202,10110991,'Increases power of target by 26 - 32 instantly and every 2 seconds',100,1,1),
(286203,102796,'Increases STR of caster by 60.8',100,1,0),
(286204,102796,'Increases Max Health of caster by 361.4',100,1,1),
(286205,102796,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,2),
(286206,10102796,'Increases STR of caster by 60.8',100,1,0),
(286207,10102796,'Increases Max Health of caster by 361.4',100,1,1),
(286208,10102796,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,2),
(286209,120756,'Inflicts 24 - 29 divine damage on target instantly and every 3 seconds',100,1,0),
(286210,120756,'Increases power of caster by 26 instantly and every 3 seconds',100,1,1),
(286211,10120756,'Inflicts 29 - 35 divine damage on target instantly and every 3 seconds',100,1,0),
(286212,10120756,'Increases power of caster by 26 instantly and every 3 seconds',100,1,1),
(286213,48303,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(286214,48303,'Increases Max Health of caster by 108.2',100,1,1),
(286215,10048303,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(286216,10048303,'Increases Max Health of caster by 108.2',100,1,1),
(286217,107776,'Stuns target',100,1,0),
(286218,107776,'If Target is not Epic',100,2,1),
(286219,107776,'Inflicts 1400 - 2334 cold damage on target',100,1,2),
(286220,107776,'Resistibility increases against targets higher than level 121.',100,1,3),
(286221,10107776,'Stuns target',100,1,0),
(286222,10107776,'If Target is not Epic',100,2,1),
(286223,10107776,'Inflicts 1680 - 2801 cold damage on target',100,1,2),
(286224,10107776,'Resistibility increases against targets higher than level 121.',100,1,3),
(286225,124294,'Wards group members (AE) against 1164 points of elemental damage',100,1,0),
(286226,124294,'Increases Mitigation of group members (AE) vs elemental damage by 688',100,1,1),
(286227,10124294,'Wards group members (AE) against 1164 points of elemental damage',100,1,0),
(286228,10124294,'Increases Mitigation of group members (AE) vs elemental damage by 688',100,1,1),
(286229,118203,'Increases Damage Per Second of group members (AE) by 17.3',100,1,0),
(286230,10118203,'Increases Damage Per Second of group members (AE) by 17.3',100,1,0),
(286231,117355,'Roots target',100,1,0),
(286232,117355,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(286233,117355,'Slows target by 49.1%',100,2,2),
(286234,117355,'5% chance to dispel when target receives hostile action',100,2,3),
(286235,117355,'5% chance to dispel when target takes damage',100,2,4),
(286236,117355,'15% chance to dispel when target takes damage',100,1,5),
(286237,117355,'Does not affect Epic targets',100,1,6),
(286238,117355,'Resistibility increases against targets higher than level 102.',100,1,7),
(286239,10117355,'Roots target',100,1,0),
(286240,10117355,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(286241,10117355,'Slows target by 49.1%',100,2,2),
(286242,10117355,'10% chance to dispel when target receives hostile action',100,2,3),
(286243,10117355,'10% chance to dispel when target takes damage',100,2,4),
(286244,10117355,'15% chance to dispel when target takes damage',100,1,5),
(286245,10117355,'Does not affect Epic targets',100,1,6),
(286246,10117355,'Resistibility increases against targets higher than level 102.',100,1,7),
(286247,107130,'Inflicts 196 - 240 divine damage on target',100,1,0),
(286248,107130,'Inflicts 196 - 240 divine damage on target',100,1,1),
(286249,107130,'If target is undead',100,2,2),
(286250,10107130,'Inflicts 236 - 288 divine damage on target',100,1,0),
(286251,10107130,'Inflicts 236 - 288 divine damage on target',100,1,1),
(286252,37251,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(286253,73921,'Applies Holy Strike when Activated.',100,0,0),
(286254,73921,'Inflicts 127 - 211 divine damage on target',100,1,1),
(286255,73921,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286256,10073921,'Applies Holy Strike when Activated.',100,0,0),
(286257,10073921,'Inflicts 152 - 253 divine damage on target',100,1,1),
(286258,10073921,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286259,121015,'Inflicts 262 - 437 poison damage on target',100,1,0),
(286260,121015,'Inflicts 66 - 109 poison damage on target instantly and every 4 seconds',100,1,1),
(286261,10121015,'Inflicts 315 - 525 poison damage on target',100,1,0),
(286262,10121015,'Inflicts 79 - 131 poison damage on target instantly and every 4 seconds',100,1,1),
(286263,47173,'Applies Elixir of Endless Intellect  when Activated.  Lasts for 30 minutes.',100,0,0),
(286264,47173,'Increases WIS and INT of caster by 12.0',100,1,1),
(286265,10047173,'Applies Elixir of Endless Intellect  when Activated.  Lasts for 30 minutes.',100,0,0),
(286266,10047173,'Increases WIS and INT of caster by 12.0',100,1,1),
(286267,113747,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(286268,113747,'Inflicts 184 piercing damage on target',100,2,1),
(286269,113747,'Grants a total of 60 triggers of the spell.',100,2,2),
(286270,10113747,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(286271,10113747,'Inflicts 221 piercing damage on target',100,2,1),
(286272,10113747,'Grants a total of 60 triggers of the spell.',100,2,2),
(286273,81299,'When Equipped:',100,0,0),
(286274,81299,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286275,81299,'Inflicts 204 - 379 magic damage on target',100,2,2),
(286276,81299,'Cannot be modified except by direct means',100,2,3),
(286277,10081299,'When Equipped:',100,0,0),
(286278,10081299,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286279,10081299,'Inflicts 245 - 454 magic damage on target',100,2,2),
(286280,10081299,'Cannot be modified except by direct means',100,2,3),
(286281,138506,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(286282,138506,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 644',100,1,1),
(286283,138506,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(286284,10138506,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(286285,10138506,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 644',100,1,1),
(286286,10138506,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(286287,36339,'Increases AGI of target by 12.7',100,0,0),
(286288,36339,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(286289,123993,'Inflicts 688 - 1147 melee damage on target',100,1,0),
(286290,123993,'Decreases AGI of target by 81.1',100,1,1),
(286291,123993,'Must be behind',100,1,2),
(286292,10123993,'Inflicts 826 - 1377 melee damage on target',100,1,0),
(286293,10123993,'Decreases AGI of target by 81.1',100,1,1),
(286294,10123993,'Must be behind',100,1,2),
(286295,109977,'Inflicts 578 - 867 disease damage on targets in Area of Effect',100,1,0),
(286296,109977,'Inflicts 289 - 433 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(286297,109977,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(286298,109977,'Increases Threat to targets in Area of Effect by 2,796 - 3,315  instantly and every 4 seconds thereafter',100,1,3),
(286299,10109977,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(286300,10109977,'Prevents target from changing targets',100,2,1),
(286301,10109977,'Forces target to change their selected target to caster.',100,2,2),
(286302,10109977,'Inflicts 693 - 1040 disease damage on targets in Area of Effect',100,1,3),
(286303,10109977,'Inflicts 347 - 520 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(286304,105731,'Inflicts 301 - 503 melee damage on targets in area',100,1,0),
(286305,105731,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(286306,105731,'Stuns target',100,2,2),
(286307,105731,'Throws target back',100,2,3),
(286308,105731,'Blurs vision of target',100,2,4),
(286309,105731,'Does not affect Epic targets',100,2,5),
(286310,10105731,'Inflicts 362 - 603 melee damage on targets in area',100,1,0),
(286311,10105731,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(286312,10105731,'Stuns target',100,2,2),
(286313,10105731,'Throws target back',100,2,3),
(286314,10105731,'Blurs vision of target',100,2,4),
(286315,10105731,'Does not affect Epic targets',100,2,5),
(286316,177625,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(286317,177625,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(286318,177625,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(286319,177625,'Cannot be modified except by direct means',100,2,3),
(286320,10177625,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(286321,10177625,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(286322,10177625,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(286323,10177625,'Cannot be modified except by direct means',100,2,3),
(286324,107374,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',100,1,0),
(286325,107374,'Inflicts 114 - 139 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(286326,10107374,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',100,1,0),
(286327,10107374,'Inflicts 136 - 167 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(286328,143909,'When Equipped:',100,0,0),
(286329,143909,'This effect will not stack with itself.',100,1,1),
(286330,143909,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(286331,143909,'Inflicts 1265 - 1399 slashing damage on target',100,2,3),
(286332,143909,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,4),
(286333,143909,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(286334,143909,'Must not be engaged in pvp combat',100,2,6),
(286335,143909,'Cannot be modified except by direct means',100,2,7),
(286336,143909,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(286337,143909,'Inflicts 1265 - 1399 slashing damage on target',100,2,9),
(286338,143909,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,10),
(286339,143909,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(286340,143909,'Must not be engaged in pvp combat',100,2,12),
(286341,143909,'Cannot be modified except by direct means',100,2,13),
(286342,143909,'Must not be engaged in pvp combat',100,1,14),
(286343,10143909,'When Equipped:',100,0,0),
(286344,10143909,'This effect will not stack with itself.',100,1,1),
(286345,10143909,'On a critical combat hit this spell may cast Major Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(286346,10143909,'Inflicts 1518 - 1678 slashing damage on target',100,2,3),
(286347,10143909,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,4),
(286348,10143909,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,5),
(286349,10143909,'Must not be engaged in pvp combat',100,2,6),
(286350,10143909,'Cannot be modified except by direct means',100,2,7),
(286351,10143909,'On a critical spell hit this spell may cast Major Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(286352,10143909,'Inflicts 1518 - 1678 slashing damage on target',100,2,9),
(286353,10143909,'Inflicts 835 - 923 slashing damage on target every 2 seconds',100,2,10),
(286354,10143909,'Inflicts an additional 126 - 139 slashing damage on target every tick',100,2,11),
(286355,10143909,'Must not be engaged in pvp combat',100,2,12),
(286356,10143909,'Cannot be modified except by direct means',100,2,13),
(286357,10143909,'Must not be engaged in pvp combat',100,1,14),
(286358,118760,'Increases INT and WIS of group members (AE) by 50.6',100,1,0),
(286359,118760,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 149',100,1,1),
(286360,10118760,'Increases INT and WIS of group members (AE) by 50.6',100,1,0),
(286361,10118760,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 149',100,1,1),
(286362,109959,'Inflicts 188 - 282 disease damage on targets in Area of Effect',100,1,0),
(286363,109959,'Inflicts 94 - 141 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(286364,109959,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(286365,109959,'Increases Threat to targets in Area of Effect by 1,142 - 1,293  instantly and every 4 seconds thereafter',100,1,3),
(286366,10109959,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(286367,10109959,'Prevents target from changing targets',100,2,1),
(286368,10109959,'Forces target to change their selected target to caster.',100,2,2),
(286369,10109959,'Inflicts 225 - 338 disease damage on targets in Area of Effect',100,1,3),
(286370,10109959,'Inflicts 113 - 169 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(286371,136427,'When Equipped:',100,0,0),
(286372,136427,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(286373,136427,'Increases power of target by 44 instantly and every 4 seconds',100,2,2),
(286374,136427,'Cannot be modified except by direct means',100,2,3),
(286375,10136427,'When Equipped:',100,0,0),
(286376,10136427,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(286377,10136427,'Increases power of target by 44 instantly and every 4 seconds',100,2,2),
(286378,10136427,'Cannot be modified except by direct means',100,2,3),
(286379,71062,'When Equipped:',100,0,0),
(286380,71062,'On a combat hit this spell may cast Disheveled Thoughts on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286381,71062,'Decreases Threat to target by 900 ',100,2,2),
(286382,71062,'Cannot be modified except by direct means',100,2,3),
(286383,10071062,'When Equipped:',100,0,0),
(286384,10071062,'On a combat hit this spell may cast Disheveled Thoughts on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286385,10071062,'Cannot be modified except by direct means',100,2,2),
(286386,45044,'Applies Immortalize Godking Anuk when Activated.',100,0,0),
(286387,45044,'Summon 1 Trophy: Godking Anuk''s Head',100,1,1),
(286388,45044,'This effect cannot be cast during combat',100,1,2),
(286389,10045044,'Applies Immortalize Godking Anuk when Activated.',100,0,0),
(286390,10045044,'Summon 1 Trophy: Godking Anuk''s Head',100,1,1),
(286391,10045044,'This effect cannot be cast during combat',100,1,2),
(286392,104780,'Charms target',100,1,0),
(286393,104780,'If outside an arena',100,1,1),
(286394,104780,'Certain enemies cannot be charmed',100,1,2),
(286395,104780,'Does not affect Epic targets',100,1,3),
(286396,10104780,'Charms target',100,1,0),
(286397,10104780,'If outside an arena',100,1,1),
(286398,10104780,'Certain enemies cannot be charmed',100,1,2),
(286399,10104780,'Does not affect Epic targets',100,1,3),
(286400,81558,'When Equipped:',100,0,0),
(286401,81558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286402,81558,'Inflicts 112 - 208 magic damage on target',100,2,2),
(286403,81558,'Cannot be modified except by direct means',100,2,3),
(286404,10081558,'When Equipped:',100,0,0),
(286405,10081558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286406,10081558,'Inflicts 135 - 250 magic damage on target',100,2,2),
(286407,10081558,'Cannot be modified except by direct means',100,2,3),
(286408,41466,'When Equipped:',100,0,0),
(286409,41466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286410,41466,'Inflicts 72 - 134 magic damage on target',100,2,2),
(286411,41466,'Cannot be modified except by direct means',100,2,3),
(286412,10041466,'When Equipped:',100,0,0),
(286413,10041466,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286414,10041466,'Inflicts 87 - 161 magic damage on target',100,2,2),
(286415,10041466,'Cannot be modified except by direct means',100,2,3),
(286416,113676,'Stuns target',100,1,0),
(286417,113676,'If Target is not Epic',100,2,1),
(286418,113676,'Inflicts 155 - 258 heat damage on target',100,1,2),
(286419,113676,'Resistibility increases against targets higher than level 45.',100,1,3),
(286420,10113676,'Stuns target',100,1,0),
(286421,10113676,'If Target is not Epic',100,2,1),
(286422,10113676,'Inflicts 186 - 310 heat damage on target',100,1,2),
(286423,10113676,'Resistibility increases against targets higher than level 45.',100,1,3),
(286424,123215,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(286425,123215,'Inflicts 95 - 117 disease damage on target',100,2,1),
(286426,123215,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(286427,123215,'This effect cannot be critically applied.',100,3,3),
(286428,123215,'The healing of this spell cannot be modified except by direct means',100,2,4),
(286429,123215,'Grants a total of 5 triggers of the spell.',100,2,5),
(286430,10123215,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(286431,10123215,'Inflicts 114 - 140 disease damage on target',100,2,1),
(286432,10123215,'Heals caster for 1.0 - 1.2% of max health',100,2,2),
(286433,10123215,'This effect cannot be critically applied.',100,3,3),
(286434,10123215,'The healing of this spell cannot be modified except by direct means',100,2,4),
(286435,10123215,'Grants a total of 5 triggers of the spell.',100,2,5),
(286436,48769,'Applies Elixir of the Quickfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(286437,48769,'Increases AGI of caster by 9.0',100,1,1),
(286438,10048769,'Applies Elixir of the Quickfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(286439,10048769,'Increases AGI of caster by 9.0',100,1,1),
(286440,137741,'When Equipped:',100,0,0),
(286441,137741,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(286442,137741,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(286443,137741,'Inflicts 281 mental damage on target',100,2,3),
(286444,137741,'Must not be classified as a goblin',100,3,4),
(286445,137741,'Inflicts 562 mental damage on target',100,2,5),
(286446,137741,'Must be classified as a goblin',100,3,6),
(286447,137741,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(286448,137741,'Must be classified as a goblin',100,3,8),
(286449,137741,'Cannot be modified except by direct means',100,2,9),
(286450,10137741,'When Equipped:',100,0,0),
(286451,10137741,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,1),
(286452,10137741,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(286453,10137741,'Inflicts 337 mental damage on target',100,2,3),
(286454,10137741,'Must not be classified as a goblin',100,3,4),
(286455,10137741,'Inflicts 674 mental damage on target',100,2,5),
(286456,10137741,'Must be classified as a goblin',100,3,6),
(286457,10137741,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(286458,10137741,'Must be classified as a goblin',100,3,8),
(286459,10137741,'Cannot be modified except by direct means',100,2,9),
(286460,52716,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(286461,52716,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(286462,52716,'Inflicts 32 heat damage on target',100,2,2),
(286463,52716,'Cannot be modified except by direct means',100,2,3),
(286464,10052716,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(286465,10052716,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(286466,10052716,'Inflicts 38 heat damage on target',100,2,2),
(286467,10052716,'Cannot be modified except by direct means',100,2,3),
(286468,35082,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(286469,122743,'Applies Tranquil Healing.',100,1,0),
(286470,122743,'Heals target for 799',100,2,1),
(286471,122743,'Dispels 107 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(286472,122743,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(286473,122743,'Heals target for 799',100,3,4),
(286474,10122743,'Applies Tranquil Healing.',100,1,0),
(286475,10122743,'Heals target for 322',100,2,1),
(286476,10122743,'Dispels 107 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(286477,10122743,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(286478,10122743,'Heals target for 322',100,3,4),
(286479,48335,'Applies Superior Experience Potion when Activated.  Lasts for 2 hours.',100,0,0),
(286480,48335,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(286481,48335,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(286482,48335,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(286483,48335,'You can only have one experience potion active at a time.',100,1,4),
(286484,10048335,'Applies Superior Experience Potion when Activated.  Lasts for 2 hours.',100,0,0),
(286485,10048335,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(286486,10048335,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(286487,10048335,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(286488,10048335,'You can only have one experience potion active at a time.',100,1,4),
(286489,35642,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(286490,100843,'Wards target against 915 points of all damage',100,1,0),
(286491,10100843,'Wards target against 1408 points of all damage',100,1,0),
(286492,89039,'Applies Mental Blast when Activated.',100,0,0),
(286493,89039,'Inflicts 243 - 405 mental damage on target',100,1,1),
(286494,89039,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286495,10089039,'Applies Mental Blast when Activated.',100,0,0),
(286496,10089039,'Inflicts 291 - 486 mental damage on target',100,1,1),
(286497,10089039,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286498,118562,'Dazes caster',100,1,0),
(286499,118562,'Roots caster',100,1,1),
(286500,118562,'Increases Mitigation of caster vs physical damage by 1512',100,1,2),
(286501,10118562,'Dazes caster',100,1,0),
(286502,10118562,'Roots caster',100,1,1),
(286503,10118562,'Increases Mitigation of caster vs physical damage by 1512',100,1,2),
(286504,101783,'Heals group members (AE) for 532 - 650 instantly and every 2 seconds',100,1,0),
(286505,10101783,'Heals group members (AE) for 346 - 423 instantly and every 2 seconds',100,1,0),
(286506,81525,'When Equipped:',100,0,0),
(286507,81525,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(286508,81525,'Inflicts 111 - 205 magic damage on target',100,2,2),
(286509,81525,'Decreases Threat to target by 376 ',100,2,3),
(286510,81525,'Must be flanking or behind',100,3,4),
(286511,81525,'Increases Threat to target by 658 ',100,2,5),
(286512,81525,'Must be in front of',100,3,6),
(286513,81525,'Cannot be modified except by direct means',100,2,7),
(286514,10081525,'When Equipped:',100,0,0),
(286515,10081525,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(286516,10081525,'Inflicts 133 - 246 magic damage on target',100,2,2),
(286517,10081525,'Cannot be modified except by direct means',100,2,3),
(286518,48279,'Applies Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(286519,48279,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(286520,48279,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(286521,48279,'Cannot be modified except by direct means',100,2,3),
(286522,48279,'Grants a total of 80 triggers of the spell.',100,2,4),
(286523,48279,'Only affects targets level 50 and above',100,1,5),
(286524,10048279,'Applies Strike of Glox when Activated.  Lasts for 12 hours.',100,0,0),
(286525,10048279,'On a combat hit this spell may cast Traumatic Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(286526,10048279,'Decreases Mitigation of target vs physical damage by 647',100,2,2),
(286527,10048279,'Cannot be modified except by direct means',100,2,3),
(286528,10048279,'Grants a total of 80 triggers of the spell.',100,2,4),
(286529,10048279,'Only affects targets level 50 and above',100,1,5),
(286530,118824,'Inflicts 5 - 15 melee damage on target',100,1,0),
(286531,10118824,'Inflicts 6 - 18 melee damage on target',100,1,0),
(286532,73181,'When Equipped:',100,0,0),
(286533,73181,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(286534,73181,'Heals caster for 319',100,2,2),
(286535,73181,'Cannot be modified except by direct means',100,2,3),
(286536,10073181,'When Equipped:',100,0,0),
(286537,10073181,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(286538,10073181,'Heals caster for 208',100,2,2),
(286539,10073181,'Cannot be modified except by direct means',100,2,3),
(286540,73270,'Applies Frost Blast when Activated.',100,0,0),
(286541,73270,'Inflicts 303 - 504 cold damage on target',100,1,1),
(286542,73270,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286543,10073270,'Applies Frost Blast when Activated.',100,0,0),
(286544,10073270,'Inflicts 363 - 605 cold damage on target',100,1,1),
(286545,10073270,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286546,106844,'Decreases Crushing, Piercing, Slashing and Ranged of target by 36.0',100,1,0),
(286547,10106844,'Decreases Crushing, Piercing, Slashing and Ranged of target by 36.0',100,1,0),
(286548,159537,'Applies Sanguine Imbued when Equipped.',100,0,0),
(286549,159537,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(286550,159537,'Inflicts 189 heat damage on target',100,2,2),
(286551,159537,'Cannot be modified except by direct means',100,2,3),
(286552,10159537,'Applies Sanguine Imbued when Equipped.',100,0,0),
(286553,10159537,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(286554,10159537,'Inflicts 227 heat damage on target',100,2,2),
(286555,10159537,'Cannot be modified except by direct means',100,2,3),
(286556,142709,'When Equipped:',100,0,0),
(286557,142709,'On a healing spell cast this spell may cast Power of Darkness on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(286558,142709,'Increases power of caster by 228',100,2,2),
(286559,142709,'Cannot be modified except by direct means',100,2,3),
(286560,142709,'Cannot be modified except by direct means',100,1,4),
(286561,10142709,'When Equipped:',100,0,0),
(286562,10142709,'On a healing spell cast this spell may cast Power of Darkness on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(286563,10142709,'Increases power of caster by 228',100,2,2),
(286564,10142709,'Cannot be modified except by direct means',100,2,3),
(286565,10142709,'Cannot be modified except by direct means',100,1,4),
(286566,26591,'When Equipped:',100,0,0),
(286567,26591,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(286568,26591,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(286569,10026591,'When Equipped:',100,0,0),
(286570,10026591,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(286571,10026591,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(286572,36282,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(286573,47458,'Applies Overclocked Automated Shears when Activated.  Lasts for 10 days.',100,0,0),
(286574,47458,'Reduces the harvest time for gathering and foresting by .5 seconds.',100,1,1),
(286575,47458,'Increases Gathering and Foresting of caster by 10.0',100,1,2),
(286576,10047458,'Applies Overclocked Automated Shears when Activated.  Lasts for 10 days.',100,0,0),
(286577,10047458,'Reduces the harvest time for gathering and foresting by .5 seconds.',100,1,1),
(286578,10047458,'Increases Gathering and Foresting of caster by 10.0',100,1,2),
(286579,111233,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(286580,111233,'Heals target for 203 - 249',100,2,1),
(286581,10111233,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(286582,10111233,'Heals target for 132 - 162',100,2,1),
(286583,71305,'When Equipped:',100,0,0),
(286584,71305,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(286585,71305,'Increases Damage Per Second of caster by 20.0',100,2,2),
(286586,71305,'Increases Attack Speed of caster by 20.0',100,2,3),
(286587,71305,'Cannot be modified except by direct means',100,2,4),
(286588,10071305,'When Equipped:',100,0,0),
(286589,10071305,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(286590,10071305,'Increases Damage Per Second of caster by 20.0',100,2,2),
(286591,10071305,'Increases Attack Speed of caster by 20.0',100,2,3),
(286592,10071305,'Cannot be modified except by direct means',100,2,4),
(286593,45795,'Applies Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(286594,45795,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(286595,45795,'Decreases AGI of target by 19.6',100,2,2),
(286596,45795,'Cannot be modified except by direct means',100,2,3),
(286597,45795,'Grants a total of 30 triggers of the spell.',100,2,4),
(286598,45795,'Only affects targets level 50 and above',100,1,5),
(286599,10045795,'Applies Creeping Sting when Activated.  Lasts for 12 hours.',100,0,0),
(286600,10045795,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(286601,10045795,'Decreases AGI of target by 19.6',100,2,2),
(286602,10045795,'Cannot be modified except by direct means',100,2,3),
(286603,10045795,'Grants a total of 30 triggers of the spell.',100,2,4),
(286604,10045795,'Only affects targets level 50 and above',100,1,5),
(286605,24304,'Adds Boss: Djinn Master (Guardian) to your Dungeon Maker toolbox',100,0,0),
(286606,10024304,'Adds Boss: Djinn Master (Guardian) to your Dungeon Maker toolbox',100,0,0),
(286607,46500,'Applies Gnomish Divining Rod when Activated.',100,0,0),
(286608,46500,'Tracks a selected harvestable resource, causing a trail to appear that leads to its location.',100,1,1),
(286609,46500,'This effect cannot be cast during combat',100,1,2),
(286610,10046500,'Applies Gnomish Divining Rod when Activated.',100,0,0),
(286611,10046500,'Tracks a selected harvestable resource, causing a trail to appear that leads to its location.',100,1,1),
(286612,10046500,'This effect cannot be cast during combat',100,1,2),
(286613,35877,'Increases INT of target by 8.4',100,0,0),
(286614,35877,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(286615,170780,'When Equipped:',100,0,0),
(286616,170780,'Increases Attack Speed of caster by 35.0',100,1,1),
(286617,10170780,'When Equipped:',100,0,0),
(286618,10170780,'Increases Attack Speed of caster by 35.0',100,1,1),
(286619,163845,'When Equipped:',100,0,0),
(286620,163845,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(286621,163845,'Heals caster for 41',100,2,2),
(286622,163845,'Cannot be modified except by direct means',100,2,3),
(286623,10163845,'When Equipped:',100,0,0),
(286624,10163845,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(286625,10163845,'Heals caster for 27',100,2,2),
(286626,10163845,'Cannot be modified except by direct means',100,2,3),
(286627,111435,'Decreases Attack Speed of caster by 12.7',100,1,0),
(286628,111435,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(286629,111435,'Roots target',100,2,2),
(286630,111435,'5% chance to dispel when target takes damage',100,2,3),
(286631,111435,'5% chance to dispel when target receives hostile action',100,2,4),
(286632,111435,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(286633,111435,'Increases Mitigation of caster vs physical damage by 270',100,1,6),
(286634,10111435,'Decreases Attack Speed of caster by 12.7',100,1,0),
(286635,10111435,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(286636,10111435,'Roots target',100,2,2),
(286637,10111435,'5% chance to dispel when target takes damage',100,2,3),
(286638,10111435,'5% chance to dispel when target receives hostile action',100,2,4),
(286639,10111435,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(286640,10111435,'Increases Mitigation of caster vs physical damage by 270',100,1,6),
(286641,116750,'Increases Max Health of target by 242.2',100,1,0),
(286642,116750,'Increases Max Power of target by 283.5',100,1,1),
(286643,10116750,'Increases Max Health of target by 242.2',100,1,0),
(286644,10116750,'Increases Max Power of target by 283.5',100,1,1),
(286645,120227,'Roots target encounter',100,1,0),
(286646,120227,'15% chance to dispel when target takes damage',100,1,1),
(286647,120227,'Does not affect Epic targets',100,1,2),
(286648,120227,'Resistibility increases against targets higher than level 97.',100,1,3),
(286649,10120227,'Roots target encounter',100,1,0),
(286650,10120227,'15% chance to dispel when target takes damage',100,1,1),
(286651,10120227,'Does not affect Epic targets',100,1,2),
(286652,10120227,'Resistibility increases against targets higher than level 97.',100,1,3),
(286653,107784,'Increases Threat to target encounter by 132 - 161 ',100,1,0),
(286654,10107784,'Prevents target encounter from changing targets',100,1,0),
(286655,10107784,'Forces target encounter to change their selected target to caster.',100,1,1),
(286656,81383,'When Equipped:',100,0,0),
(286657,81383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286658,81383,'Inflicts 80 - 149 magic damage on target',100,2,2),
(286659,81383,'Cannot be modified except by direct means',100,2,3),
(286660,10081383,'When Equipped:',100,0,0),
(286661,10081383,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286662,10081383,'Inflicts 96 - 179 magic damage on target',100,2,2),
(286663,10081383,'Cannot be modified except by direct means',100,2,3),
(286664,118361,'Inflicts 51 - 85 melee damage on target',100,1,0),
(286665,118361,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(286666,118361,'Stuns target',100,2,2),
(286667,118361,'Throws target back',100,2,3),
(286668,118361,'Blurs vision of target',100,2,4),
(286669,118361,'Does not affect Epic targets',100,2,5),
(286670,10118361,'Inflicts 61 - 102 melee damage on target',100,1,0),
(286671,10118361,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(286672,10118361,'Stuns target',100,2,2),
(286673,10118361,'Blurs vision of target',100,2,3),
(286674,10118361,'Throws target back',100,2,4),
(286675,10118361,'Does not affect Epic targets',100,2,5),
(286676,113443,'Increases INT of target by 23.8',100,1,0),
(286677,113443,'Increases Max Health of target by 113.6',100,1,1),
(286678,10113443,'Increases INT of target by 23.8',100,1,0),
(286679,10113443,'Increases Max Health of target by 113.6',100,1,1),
(286680,110732,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(286681,110732,'Heals group members (AE) for 1280',100,2,1),
(286682,10110732,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(286683,10110732,'Heals group members (AE) for 832',100,2,1),
(286684,81401,'When Equipped:',100,0,0),
(286685,81401,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(286686,81401,'Inflicts 80 - 149 magic damage on target',100,2,2),
(286687,81401,'Decreases Threat to target by 352 ',100,2,3),
(286688,81401,'Must be flanking or behind',100,3,4),
(286689,81401,'Increases Threat to target by 617 ',100,2,5),
(286690,81401,'Must be in front of',100,3,6),
(286691,81401,'Cannot be modified except by direct means',100,2,7),
(286692,10081401,'When Equipped:',100,0,0),
(286693,10081401,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(286694,10081401,'Inflicts 96 - 179 magic damage on target',100,2,2),
(286695,10081401,'Cannot be modified except by direct means',100,2,3),
(286696,130047,'Applies Cowled when Equipped.',100,0,0),
(286697,10130047,'Applies Cowled when Equipped.',100,0,0),
(286698,189233,'When Equipped:',100,0,0),
(286699,189233,'Increases Attack Speed of caster by 40.0',100,1,1),
(286700,10189233,'When Equipped:',100,0,0),
(286701,10189233,'Increases Attack Speed of caster by 40.0',100,1,1),
(286702,100020,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(286703,100020,'Inflicts 108 - 181 melee damage on targets in area',100,2,1),
(286704,100020,'Decreases Defense of caster by 15.0',100,1,2),
(286705,100020,'Increases Slashing, Piercing and Crushing of caster by 27.0',100,1,3),
(286706,10100020,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(286707,10100020,'Inflicts 130 - 217 melee damage on targets in area',100,2,1),
(286708,10100020,'Decreases Defense of caster by 15.0',100,1,2),
(286709,10100020,'Increases Slashing, Piercing and Crushing of caster by 27.0',100,1,3),
(286710,140425,'When Equipped:',100,0,0),
(286711,140425,'On any combat or spell hit this spell may cast Corruption of the Elements on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286712,140425,'Heals caster for 59 instantly and every 4 seconds',100,2,2),
(286713,140425,'Increases power of caster by 59 instantly and every 4 seconds',100,2,3),
(286714,140425,'Cannot be modified except by direct means',100,2,4),
(286715,140425,'Cannot be modified except by direct means',100,1,5),
(286716,10140425,'When Equipped:',100,0,0),
(286717,10140425,'On any combat or spell hit this spell may cast Corruption of the Elements on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286718,10140425,'Heals caster for 38 instantly and every 4 seconds',100,2,2),
(286719,10140425,'Increases power of caster by 59 instantly and every 4 seconds',100,2,3),
(286720,10140425,'Cannot be modified except by direct means',100,2,4),
(286721,10140425,'Cannot be modified except by direct means',100,1,5),
(286722,117813,'Mesmerizes target',100,1,0),
(286723,117813,'Prevents AOE (except when direct) ',100,1,1),
(286724,117813,'Dispelled when target takes damage',100,1,2),
(286725,117813,'Epic targets gain an immunity to Mesmerize effects of 1 minute 8 seconds and duration is reduced to 7.5 seconds.',100,1,3),
(286726,117813,'Resistibility increases against targets higher than level 117.',100,1,4),
(286727,10117813,'Mesmerizes target',100,1,0),
(286728,10117813,'Prevents AOE (except when direct) ',100,1,1),
(286729,10117813,'Dispelled when target takes damage',100,1,2),
(286730,10117813,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(286731,10117813,'Resistibility increases against targets higher than level 117.',100,1,4),
(286732,100169,'Inflicts 396 - 736 disease damage on target encounter',100,1,0),
(286733,10100169,'Inflicts 475 - 883 disease damage on target encounter',100,1,0),
(286734,55187,'Applies Gaze Distraction when Activated.',100,0,0),
(286735,55187,'Decreases threat priority of target by 24 positions',100,1,1),
(286736,55187,'The reuse time of Gaze Distraction is 3 minutes',100,1,2),
(286737,10055187,'Applies Gaze Distraction when Activated.',100,0,0),
(286738,48325,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(286739,48325,'Increases STR of caster by 35.0',100,1,1),
(286740,10048325,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(286741,10048325,'Increases STR of caster by 35.0',100,1,1),
(286742,118786,'Wards group members (AE) against 5 points of physical damage',100,1,0),
(286743,118786,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,1),
(286744,10118786,'Wards group members (AE) against 5 points of physical damage',100,1,0),
(286745,10118786,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,1),
(286746,177529,'When Equipped:',100,0,0),
(286747,177529,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286748,177529,'Increases WIS of caster by 11.9',100,2,2),
(286749,177529,'Increases Ministration, Focus and Ordination of caster by 6.7',100,2,3),
(286750,177529,'Cannot be modified except by direct means',100,2,4),
(286751,10177529,'When Equipped:',100,0,0),
(286752,10177529,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286753,10177529,'Increases WIS of caster by 11.9',100,2,2),
(286754,10177529,'Increases Ministration, Focus and Ordination of caster by 6.7',100,2,3),
(286755,10177529,'Cannot be modified except by direct means',100,2,4),
(286756,176235,'When Equipped:',100,0,0),
(286757,176235,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(286758,176235,'Inflicts 3227 - 3566 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(286759,176235,'Heals group members (AE) for 1039 - 1148 instantly and every 3 seconds',100,2,3),
(286760,176235,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(286761,176235,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(286762,176235,'Must not be engaged in pvp combat',100,2,6),
(286763,176235,'Cannot be modified except by direct means',100,2,7),
(286764,176235,'Must not be engaged in pvp combat',100,1,8),
(286765,10176235,'When Equipped:',100,0,0),
(286766,10176235,'On any combat or spell hit this spell may cast Unavoidable Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(286767,10176235,'Inflicts 3872 - 4280 piercing damage on a target in Area of Effect instantly and every 3 seconds',100,2,2),
(286768,10176235,'Heals group members (AE) for 1215 - 1343 instantly and every 3 seconds',100,2,3),
(286769,10176235,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(286770,10176235,'Increases Crit Bonus of group members (AE) by 4.0%',100,2,5),
(286771,10176235,'Must not be engaged in pvp combat',100,2,6),
(286772,10176235,'Cannot be modified except by direct means',100,2,7),
(286773,10176235,'Must not be engaged in pvp combat',100,1,8),
(286774,101022,'Inflicts 323 - 600 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(286775,10101022,'Inflicts 304 - 565 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(286776,48487,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(286777,48487,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(286778,48487,'Inflicts 64 poison damage on target',100,2,2),
(286779,48487,'Inflicts 10 poison damage on target instantly and every 6 seconds',100,2,3),
(286780,48487,'Cannot be modified except by direct means',100,2,4),
(286781,48487,'Grants a total of 200 triggers of the spell.',100,2,5),
(286782,10048487,'Applies spirit of the berserker when Activated.  Lasts for 12 hours.',100,0,0),
(286783,10048487,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(286784,10048487,'Inflicts 57 poison damage on target',100,2,2),
(286785,10048487,'Inflicts 9 poison damage on target instantly and every 6 seconds',100,2,3),
(286786,10048487,'Cannot be modified except by direct means',100,2,4),
(286787,10048487,'Grants a total of 200 triggers of the spell.',100,2,5),
(286788,123700,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(286789,123700,'Inflicts 100 divine damage on target',100,2,1),
(286790,123700,'Grants a total of 5 triggers of the spell.',100,2,2),
(286791,10123700,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(286792,10123700,'Inflicts 120 divine damage on target',100,2,1),
(286793,10123700,'Grants a total of 5 triggers of the spell.',100,2,2),
(286794,111424,'Decreases Attack Speed of caster by 11.3',100,1,0),
(286795,111424,'Slows caster by 32.6%',100,1,1),
(286796,111424,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(286797,111424,'Slows targets in Area of Effect by 32.6%',100,2,3),
(286798,111424,'5% chance to dispel when target receives hostile action',100,2,4),
(286799,111424,'5% chance to dispel when target takes damage',100,2,5),
(286800,111424,'Increases Mitigation of caster vs physical damage by 148',100,1,6),
(286801,10111424,'Decreases Attack Speed of caster by 11.3',100,1,0),
(286802,10111424,'Slows caster by 32.6%',100,1,1),
(286803,10111424,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(286804,10111424,'Slows targets in Area of Effect by 24.5%',100,2,3),
(286805,10111424,'5% chance to dispel when target receives hostile action',100,2,4),
(286806,10111424,'5% chance to dispel when target takes damage',100,2,5),
(286807,10111424,'Increases Mitigation of caster vs physical damage by 148',100,1,6),
(286808,52923,'Applies Sanguine Imbued when Equipped.',100,0,0),
(286809,52923,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(286810,52923,'Inflicts 169 heat damage on target',100,2,2),
(286811,52923,'Cannot be modified except by direct means',100,2,3),
(286812,10052923,'Applies Sanguine Imbued when Equipped.',100,0,0),
(286813,10052923,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(286814,10052923,'Inflicts 203 heat damage on target',100,2,2),
(286815,10052923,'Cannot be modified except by direct means',100,2,3),
(286816,112619,'Increases STA of caster by 45.4',100,1,0),
(286817,112619,'Reduces slow effects on caster by 16.5%',100,1,1),
(286818,112619,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1188',100,1,2),
(286819,10112619,'Increases STA of caster by 45.4',100,1,0),
(286820,10112619,'Reduces slow effects on caster by 16.5%',100,1,1),
(286821,10112619,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1188',100,1,2),
(286822,100447,'Increases INT of target by 23.0',100,1,0),
(286823,100447,'Increases Attack Speed of target by 17.4',100,1,1),
(286824,100447,'Decreases Defense and Parry of target by 4.9',100,1,2),
(286825,100447,'Increases Slashing, Crushing and Piercing of target by 3.1',100,1,3),
(286826,10100447,'Increases INT of target by 23.0',100,1,0),
(286827,10100447,'Increases Attack Speed of target by 17.4',100,1,1),
(286828,10100447,'Decreases Defense and Parry of target by 4.9',100,1,2),
(286829,10100447,'Increases Slashing, Crushing and Piercing of target by 3.1',100,1,3),
(286830,105737,'Inflicts 454 - 758 melee damage on targets in area',100,1,0),
(286831,105737,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(286832,105737,'Stuns target',100,2,2),
(286833,105737,'Throws target back',100,2,3),
(286834,105737,'Blurs vision of target',100,2,4),
(286835,105737,'Does not affect Epic targets',100,2,5),
(286836,10105737,'Inflicts 545 - 909 melee damage on targets in area',100,1,0),
(286837,10105737,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(286838,10105737,'Stuns target',100,2,2),
(286839,10105737,'Blurs vision of target',100,2,3),
(286840,10105737,'Throws target back',100,2,4),
(286841,10105737,'Does not affect Epic targets',100,2,5),
(286842,25887,'When Equipped:',100,0,0),
(286843,25887,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(286844,25887,'Improves the trigger chance of Unyielding Benediction II by 2%.',100,1,2),
(286845,10025887,'When Equipped:',100,0,0),
(286846,10025887,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(286847,10025887,'Improves the trigger chance of Unyielding Benediction II by 2%.',100,1,2),
(286848,119410,'Inflicts 125 - 209 melee damage on target',100,1,0),
(286849,119410,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(286850,119410,'Stuns target',100,2,2),
(286851,119410,'Throws target back',100,2,3),
(286852,119410,'Blurs vision of target',100,2,4),
(286853,119410,'Does not affect Epic targets',100,2,5),
(286854,119410,'You must be sneaking to use this ability.',100,1,6),
(286855,10119410,'Inflicts 150 - 250 melee damage on target',100,1,0),
(286856,10119410,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(286857,10119410,'Stuns target',100,2,2),
(286858,10119410,'Blurs vision of target',100,2,3),
(286859,10119410,'Throws target back',100,2,4),
(286860,10119410,'Does not affect Epic targets',100,2,5),
(286861,10119410,'You must be sneaking to use this ability.',100,1,6),
(286862,35013,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(286863,35013,'This effect suspends during combat',100,0,1),
(286864,104061,'Inflicts 35 - 58 mental damage on target',100,1,0),
(286865,104061,'Inflicts 35 - 58 mental damage on target',100,1,1),
(286866,10104061,'Inflicts 42 - 70 mental damage on target',100,1,0),
(286867,10104061,'Inflicts 42 - 70 mental damage on target',100,1,1),
(286868,120663,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 16.8',100,1,0),
(286869,120663,'Increases Focus of group members (AE) by 33.6',100,1,1),
(286870,10120663,'Increases Subjugation, Ordination, Ministration, Aggression and Disruption of group members (AE) by 16.8',100,1,0),
(286871,10120663,'Increases Focus of group members (AE) by 33.6',100,1,1),
(286872,82825,'When Equipped:',100,0,0),
(286873,82825,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(286874,82825,'Inflicts 228 - 423 magic damage on target',100,2,2),
(286875,82825,'Decreases Threat to target by 833 ',100,2,3),
(286876,82825,'Must be flanking or behind',100,3,4),
(286877,82825,'Increases Threat to target by 1,293 ',100,2,5),
(286878,82825,'Must be in front of',100,3,6),
(286879,82825,'Cannot be modified except by direct means',100,2,7),
(286880,10082825,'When Equipped:',100,0,0),
(286881,10082825,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(286882,10082825,'Inflicts 273 - 508 magic damage on target',100,2,2),
(286883,10082825,'Cannot be modified except by direct means',100,2,3),
(286884,47338,'Applies Crystal Channeling when Activated.',100,0,0),
(286885,47338,'Use this to call Sherra when the time is right. (Summon her before Toxxulia commits to fight you for a normal mode encounter, summon her after for a hard mode encounter).',100,1,1),
(286886,10047338,'Applies Crystal Channeling when Activated.',100,0,0),
(286887,10047338,'Use this to call Sherra when the time is right. (Summon her before Toxxulia commits to fight you for a normal mode encounter, summon her after for a hard mode encounter).',100,1,1),
(286888,41517,'When Equipped:',100,0,0),
(286889,41517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286890,41517,'Inflicts 228 - 423 magic damage on target',100,2,2),
(286891,41517,'Cannot be modified except by direct means',100,2,3),
(286892,10041517,'When Equipped:',100,0,0),
(286893,10041517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286894,10041517,'Inflicts 273 - 508 magic damage on target',100,2,2),
(286895,10041517,'Cannot be modified except by direct means',100,2,3),
(286896,118739,'Inflicts 229 - 383 slashing damage on target',100,1,0),
(286897,118739,'Decreases Slashing, Crushing and Piercing of target by 19.5',100,1,1),
(286898,118739,'Inflicts 95 - 116 slashing damage on target every 5 seconds',100,1,2),
(286899,10118739,'Inflicts 275 - 459 slashing damage on target',100,1,0),
(286900,10118739,'Decreases Slashing, Crushing and Piercing of target by 19.5',100,1,1),
(286901,10118739,'Inflicts 114 - 139 slashing damage on target every 5 seconds',100,1,2),
(286902,106312,'Decreases INT and STR of target by 25.6',100,1,0),
(286903,10106312,'Decreases INT and STR of target by 25.6',100,1,0),
(286904,107170,'Inflicts 59 - 99 divine damage on target',100,1,0),
(286905,107170,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(286906,107170,'Stuns target',100,2,2),
(286907,107170,'If Target is not Epic',100,3,3),
(286908,107170,'Inflicts 139 - 232 divine damage on target',100,2,4),
(286909,107170,'Inflicts 119 - 199 divine damage on target',100,2,5),
(286910,107170,'If target is undead',100,3,6),
(286911,10107170,'Inflicts 47 - 79 divine damage on target',100,1,0),
(286912,10107170,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(286913,10107170,'Stuns target',100,2,2),
(286914,10107170,'Inflicts 250 - 417 divine damage on target',100,2,3),
(286915,10107170,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(286916,188278,'When Equipped:',100,0,0),
(286917,188278,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(286918,188278,'Inflicts 25 divine damage on target',100,2,2),
(286919,188278,'Cannot be modified except by direct means',100,2,3),
(286920,10188278,'When Equipped:',100,0,0),
(286921,10188278,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(286922,10188278,'Inflicts 30 divine damage on target',100,2,2),
(286923,10188278,'Cannot be modified except by direct means',100,2,3),
(286924,124073,'Increases power of caster by 468',100,1,0),
(286925,10124073,'Increases power of caster by 468',100,1,0),
(286926,170695,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(286927,170695,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(286928,170695,'Decreases Attack Speed of target by 14.0',100,2,2),
(286929,170695,'Cannot be modified except by direct means',100,2,3),
(286930,170695,'Slows target by 36.1%',100,1,4),
(286931,170695,'5% chance to dispel when target takes damage',100,1,5),
(286932,170695,'5% chance to dispel when target receives hostile action',100,1,6),
(286933,170695,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(286934,10170695,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(286935,10170695,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(286936,10170695,'Decreases Attack Speed of target by 14.0',100,2,2),
(286937,10170695,'Cannot be modified except by direct means',100,2,3),
(286938,10170695,'Slows target by 36.1%',100,1,4),
(286939,10170695,'5% chance to dispel when target takes damage',100,1,5),
(286940,10170695,'5% chance to dispel when target receives hostile action',100,1,6),
(286941,10170695,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(286942,35585,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(286943,106076,'Increases AGI of caster by 181.7',100,1,0),
(286944,106076,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(286945,106076,'Inflicts 259 - 431 disease damage on target',100,2,2),
(286946,106076,'Adds 25.0% to base avoidance.',100,1,3),
(286947,106076,'Increases Mitigation of caster vs physical damage by 885',100,1,4),
(286948,106076,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,5),
(286949,10106076,'Increases AGI of caster by 181.7',100,1,0),
(286950,10106076,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(286951,10106076,'Inflicts 310 - 517 disease damage on target',100,2,2),
(286952,10106076,'Adds 25.0% to base avoidance.',100,1,3),
(286953,10106076,'Increases Mitigation of caster vs physical damage by 885',100,1,4),
(286954,10106076,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,5),
(286955,124494,'Heals group members (AE) for 801 - 979',100,1,0),
(286956,10124494,'Heals group members (AE) for 937 - 1145',100,1,0),
(286957,80669,'When Equipped:',100,0,0),
(286958,80669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286959,80669,'Inflicts 56 - 103 magic damage on target',100,2,2),
(286960,80669,'Cannot be modified except by direct means',100,2,3),
(286961,10080669,'When Equipped:',100,0,0),
(286962,10080669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(286963,10080669,'Inflicts 67 - 124 magic damage on target',100,2,2),
(286964,10080669,'Cannot be modified except by direct means',100,2,3),
(286965,116222,'Increases INT of group members (AE) by 86.2',100,1,0),
(286966,116222,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,1),
(286967,116222,'Inflicts 289 - 354 mental damage on target',100,2,2),
(286968,10116222,'Increases INT of group members (AE) by 86.2',100,1,0),
(286969,10116222,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,1),
(286970,10116222,'Inflicts 347 - 424 mental damage on target',100,2,2),
(286971,119909,'Stifles target',100,1,0),
(286972,119909,'Inflicts 51 - 62 mental damage on target',100,1,1),
(286973,119909,'Inflicts 17 - 21 mental damage on target every 1.3 seconds',100,1,2),
(286974,119909,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,3),
(286975,119909,'Resistibility increases against targets higher than level 45.',100,1,4),
(286976,10119909,'Stifles target',100,1,0),
(286977,10119909,'Inflicts 61 - 75 mental damage on target',100,1,1),
(286978,10119909,'Inflicts 20 - 25 mental damage on target every second',100,1,2),
(286979,10119909,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(286980,10119909,'Resistibility increases against targets higher than level 45.',100,1,4),
(286981,159046,'When Equipped:',100,0,0),
(286982,159046,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286983,159046,'Increases INT of caster by 5.8',100,2,2),
(286984,159046,'Increases Focus, Disruption and Subjugation of caster by 3.7',100,2,3),
(286985,159046,'Cannot be modified except by direct means',100,2,4),
(286986,10159046,'When Equipped:',100,0,0),
(286987,10159046,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(286988,10159046,'Increases INT of caster by 5.8',100,2,2),
(286989,10159046,'Increases Focus, Disruption and Subjugation of caster by 3.7',100,2,3),
(286990,10159046,'Cannot be modified except by direct means',100,2,4),
(286991,84001,'Applies Lightning Shock when Activated.',100,0,0),
(286992,84001,'Inflicts 127 - 211 magic damage on target',100,1,1),
(286993,84001,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286994,10084001,'Applies Lightning Shock when Activated.',100,0,0),
(286995,10084001,'Inflicts 152 - 253 magic damage on target',100,1,1),
(286996,10084001,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(286997,49073,'Applies Vision Totem of the Owl when Activated.  Lasts for 15 minutes.',100,0,0),
(286998,49073,'Grants See Invisibility to caster',100,1,1),
(286999,49073,'Only affects targets level 20 and above',100,1,2),
(287000,10049073,'Applies Vision Totem of the Owl when Activated.  Lasts for 15 minutes.',100,0,0),
(287001,10049073,'Grants See Invisibility to caster',100,1,1),
(287002,10049073,'Only affects targets level 20 and above',100,1,2),
(287003,104614,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',100,1,0),
(287004,104614,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,2,1),
(287005,104614,'Grants stealth to caster',100,3,2),
(287006,104614,'Suspends caster''s movement speed enhancements',100,3,3),
(287007,104614,'Decreases Hate Gain of caster by 35.0%',100,1,4),
(287008,10104614,'On a combat hit this spell has a 5% chance to cast Distract on target of attack.  ',100,1,0),
(287009,10104614,'Forces target to clear their selected target.',100,2,1),
(287010,10104614,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',100,1,2),
(287011,10104614,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,2,3),
(287012,10104614,'Grants stealth to caster',100,3,4),
(287013,10104614,'Suspends caster''s movement speed enhancements',100,3,5),
(287014,110472,'Stifles caster',100,1,0),
(287015,110472,'Increases power of caster by 10 instantly and every second',100,1,1),
(287016,10110472,'Stifles caster',100,1,0),
(287017,10110472,'Increases power of caster by 10 instantly and every second',100,1,1),
(287018,105545,'Inflicts 49 - 91 disease damage on target',100,1,0),
(287019,105545,'Inflicts 30 - 55 disease damage on target every 2 seconds',100,1,1),
(287020,10105545,'Inflicts 59 - 110 disease damage on target',100,1,0),
(287021,10105545,'Inflicts 35 - 66 disease damage on target every 2 seconds',100,1,1),
(287022,45960,'Applies Back into the Fray when Activated.',100,0,0),
(287023,45960,'Dispels 100 levels of hostile Stifle, hostile Fear, hostile Prevent Changing Target, hostile Stun, hostile Daze, hostile Mesmerize and hostile Root effects on caster',100,1,1),
(287024,45960,'Must have Discord''s Runed Victim''s Skull equipped.',100,1,2),
(287025,45960,'Must be engaged in pvp combat',100,1,3),
(287026,10045960,'Applies Back into the Fray when Activated.',100,0,0),
(287027,10045960,'Dispels 100 levels of hostile Stifle, hostile Fear, hostile Prevent Changing Target, hostile Stun, hostile Daze, hostile Mesmerize and hostile Root effects on caster',100,1,1),
(287028,10045960,'Must have Discord''s Runed Victim''s Skull equipped.',100,1,2),
(287029,10045960,'Must be engaged in pvp combat',100,1,3),
(287030,158675,'When Equipped:',100,0,0),
(287031,158675,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(287032,158675,'Stuns target',100,2,2),
(287033,158675,'Only affects targets level 95 and below',100,2,3),
(287034,158675,'Does not affect Epic targets',100,2,4),
(287035,158675,'Resistibility increases against targets higher than level 111.',100,2,5),
(287036,158675,'Cannot be modified except by direct means',100,2,6),
(287037,10158675,'When Equipped:',100,0,0),
(287038,10158675,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(287039,10158675,'Stuns target',100,2,2),
(287040,10158675,'Only affects targets level 95 and below',100,2,3),
(287041,10158675,'Does not affect Epic targets',100,2,4),
(287042,10158675,'Resistibility increases against targets higher than level 111.',100,2,5),
(287043,10158675,'Cannot be modified except by direct means',100,2,6),
(287044,27295,'When Equipped:',100,0,0),
(287045,27295,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(287046,27295,'Inflicts 293 disease damage on target',100,2,2),
(287047,27295,'Cancels up to 17.7% of target''s speed buffs',100,2,3),
(287048,27295,'Cannot be modified except by direct means',100,2,4),
(287049,10027295,'When Equipped:',100,0,0),
(287050,10027295,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(287051,10027295,'Inflicts 352 disease damage on target',100,2,2),
(287052,10027295,'Cancels up to 17.7% of target''s speed buffs',100,2,3),
(287053,10027295,'Cannot be modified except by direct means',100,2,4),
(287054,119635,'Inflicts 33 - 55 crushing damage on target',100,1,0),
(287055,119635,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(287056,119635,'Stuns target',100,2,2),
(287057,119635,'Throws target back',100,2,3),
(287058,119635,'Blurs vision of target',100,2,4),
(287059,119635,'Does not affect Epic targets',100,2,5),
(287060,10119635,'Inflicts 40 - 67 crushing damage on target',100,1,0),
(287061,10119635,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(287062,10119635,'Stuns target',100,2,2),
(287063,10119635,'Blurs vision of target',100,2,3),
(287064,10119635,'Throws target back',100,2,4),
(287065,10119635,'Does not affect Epic targets',100,2,5),
(287066,154565,'When Equipped:',100,0,0),
(287067,154565,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(287068,154565,'Stuns target',100,2,2),
(287069,154565,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(287070,154565,'Resistibility increases against targets higher than level 74.',100,2,4),
(287071,154565,'Cannot be modified except by direct means',100,2,5),
(287072,10154565,'When Equipped:',100,0,0),
(287073,10154565,'When any damage is received this spell has a 5% chance to cast Stunning Feedback on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(287074,10154565,'Stuns target',100,2,2),
(287075,10154565,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(287076,10154565,'Resistibility increases against targets higher than level 74.',100,2,4),
(287077,10154565,'Cannot be modified except by direct means',100,2,5),
(287078,115128,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(287079,115128,'Heals target for 665',100,2,1),
(287080,115128,'Heals target for 166 every 2 seconds',100,2,2),
(287081,115128,'Increases WIS of target by 68.8',100,2,3),
(287082,115128,'Grants a total of 1 trigger of the spell.',100,2,4),
(287083,10115128,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(287084,10115128,'Heals target for 432',100,2,1),
(287085,10115128,'Heals target for 108 every 2 seconds',100,2,2),
(287086,10115128,'Increases WIS of target by 68.8',100,2,3),
(287087,10115128,'Grants a total of 1 trigger of the spell.',100,2,4),
(287088,122941,'Inflicts 37 - 50 mental damage on target',100,1,0),
(287089,10122941,'Inflicts 45 - 61 mental damage on target',100,1,0),
(287090,115840,'Inflicts 87 - 146 mental damage on target encounter',100,1,0),
(287091,115840,'Interrupts target encounter',100,1,1),
(287092,10115840,'Inflicts 105 - 175 mental damage on target encounter',100,1,0),
(287093,10115840,'Interrupts target encounter',100,1,1),
(287094,170696,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(287095,170696,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(287096,170696,'Decreases Attack Speed of target by 13.8',100,2,2),
(287097,170696,'Cannot be modified except by direct means',100,2,3),
(287098,170696,'Slows target by 33.5%',100,1,4),
(287099,170696,'5% chance to dispel when target takes damage',100,1,5),
(287100,170696,'5% chance to dispel when target receives hostile action',100,1,6),
(287101,170696,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(287102,10170696,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(287103,10170696,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(287104,10170696,'Decreases Attack Speed of target by 13.8',100,2,2),
(287105,10170696,'Cannot be modified except by direct means',100,2,3),
(287106,10170696,'Slows target by 33.5%',100,1,4),
(287107,10170696,'5% chance to dispel when target takes damage',100,1,5),
(287108,10170696,'5% chance to dispel when target receives hostile action',100,1,6),
(287109,10170696,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(287110,119307,'Roots target',100,1,0),
(287111,119307,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(287112,119307,'Slows target by 51.2%',100,2,2),
(287113,119307,'5% chance to dispel when target receives hostile action',100,2,3),
(287114,119307,'5% chance to dispel when target takes damage',100,2,4),
(287115,119307,'15% chance to dispel when target takes damage',100,1,5),
(287116,119307,'Does not affect Epic targets',100,1,6),
(287117,119307,'Resistibility increases against targets higher than level 62.',100,1,7),
(287118,10119307,'Roots target',100,1,0),
(287119,10119307,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(287120,10119307,'Slows target by 51.2%',100,2,2),
(287121,10119307,'5% chance to dispel when target receives hostile action',100,2,3),
(287122,10119307,'5% chance to dispel when target takes damage',100,2,4),
(287123,10119307,'15% chance to dispel when target takes damage',100,1,5),
(287124,10119307,'Does not affect Epic targets',100,1,6),
(287125,10119307,'Resistibility increases against targets higher than level 62.',100,1,7),
(287126,107031,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(287127,107031,'Inflicts 18 - 31 divine damage on target',100,2,1),
(287128,107031,'Inflicts 18 - 31 divine damage on target',100,2,2),
(287129,107031,'If target is undead',100,3,3),
(287130,10107031,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(287131,10107031,'Inflicts 37 - 61 divine damage on target',100,2,1),
(287132,84033,'Applies Lightning Shock when Activated.',100,0,0),
(287133,84033,'Inflicts 173 - 289 magic damage on target',100,1,1),
(287134,84033,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(287135,10084033,'Applies Lightning Shock when Activated.',100,0,0),
(287136,10084033,'Inflicts 208 - 347 magic damage on target',100,1,1),
(287137,10084033,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(287138,111394,'Increases Attack Speed of target by 32.2',100,1,0),
(287139,111394,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(287140,111394,'Inflicts 103 disease damage on target',100,2,2),
(287141,111394,'Heals caster for 33',100,2,3),
(287142,111394,'Decreases Defense and Parry of target by 11.3',100,1,4),
(287143,111394,'Increases Disruption, Subjugation and Focus of target by 15.8',100,1,5),
(287144,10111394,'Increases Attack Speed of target by 32.2',100,1,0),
(287145,10111394,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(287146,10111394,'Inflicts 124 disease damage on target',100,2,2),
(287147,10111394,'Heals caster for 21',100,2,3),
(287148,10111394,'Decreases Defense and Parry of target by 11.3',100,1,4),
(287149,10111394,'Increases Disruption, Subjugation and Focus of target by 15.8',100,1,5),
(287150,46467,'Applies Call Ghostly Pale Armor Albino Warg when Activated.',100,0,0),
(287151,46467,'Increases Slashing of caster by 5.0',100,1,1),
(287152,46467,'Summons a mount to ride',100,1,2),
(287153,46467,'Increases your ground speed by 130%',100,2,3),
(287154,46467,'Increases Ranged, Crushing, Piercing and Aggression of caster by 5.0',100,1,4),
(287155,10046467,'Applies Call Ghostly Pale Armor Albino Warg when Activated.',100,0,0),
(287156,10046467,'Increases Slashing of caster by 5.0',100,1,1),
(287157,10046467,'Summons a mount to ride',100,1,2),
(287158,10046467,'Increases your ground speed by 130%',100,2,3),
(287159,10046467,'Increases Ranged, Crushing, Piercing and Aggression of caster by 5.0',100,1,4),
(287160,24565,'Adds Mummy (Fury) to your Dungeon Maker toolbox',100,0,0),
(287161,10024565,'Adds Mummy (Fury) to your Dungeon Maker toolbox',100,0,0),
(287162,114315,'Heals target for 1337 - 1634',100,1,0),
(287163,10114315,'Heals target for 2830 - 3458',100,1,0),
(287164,132062,'When Equipped:',100,0,0),
(287165,132062,'Increases INT of caster by 50.0',100,1,1),
(287166,132062,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(287167,132062,'Increases AGI, WIS and STR of caster by 50.0',100,1,3),
(287168,132062,'Increases Potency of caster by 3.5%',100,1,4),
(287169,132062,'Cannot be modified except by direct means',100,1,5),
(287170,132062,'When Equipped:',100,0,6),
(287171,132062,'Increases Attack Speed of caster by 45.0',100,1,7),
(287172,10132062,'When Equipped:',100,0,0),
(287173,10132062,'Increases INT of caster by 50.0',100,1,1),
(287174,10132062,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(287175,10132062,'Increases AGI, WIS and STR of caster by 50.0',100,1,3),
(287176,10132062,'Increases Potency of caster by 3.5%',100,1,4),
(287177,10132062,'Cannot be modified except by direct means',100,1,5),
(287178,10132062,'When Equipped:',100,0,6),
(287179,10132062,'Increases Attack Speed of caster by 45.0',100,1,7),
(287180,118731,'Inflicts 124 - 207 slashing damage on target',100,1,0),
(287181,118731,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(287182,118731,'Inflicts 51 - 62 slashing damage on target every 5 seconds',100,1,2),
(287183,10118731,'Inflicts 149 - 248 slashing damage on target',100,1,0),
(287184,10118731,'Decreases Slashing, Crushing and Piercing of target by 11.1',100,1,1),
(287185,10118731,'Inflicts 61 - 75 slashing damage on target every 5 seconds',100,1,2),
(287186,116078,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(287187,116078,'Heals target for 60 - 74',100,2,1),
(287188,116078,'Grants a total of 5 triggers of the spell.',100,2,2),
(287189,10116078,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(287190,10116078,'Heals target for 39 - 48',100,2,1),
(287191,10116078,'Grants a total of 5 triggers of the spell.',100,2,2),
(287192,72332,'When Equipped:',100,0,0),
(287193,72332,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(287194,72332,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(287195,72332,'Cannot be modified except by direct means',100,2,3),
(287196,10072332,'When Equipped:',100,0,0),
(287197,10072332,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(287198,10072332,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(287199,10072332,'Cannot be modified except by direct means',100,2,3),
(287200,109682,'Inflicts 72 - 88 cold damage on target instantly and every 3 seconds',100,1,0),
(287201,10109682,'Inflicts 87 - 106 cold damage on target instantly and every 3 seconds',100,1,0),
(287202,148401,'When Equipped:',100,0,0),
(287203,148401,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(287204,148401,'This ward regenerates slowly over time.',100,2,2),
(287205,148401,'Wards caster against 1800 points of all damage',100,2,3),
(287206,148401,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,4),
(287207,148401,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,5),
(287208,148401,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(287209,148401,'Must not be engaged in pvp combat',100,2,7),
(287210,148401,'Cannot be modified except by direct means',100,2,8),
(287211,148401,'Must not be engaged in pvp combat',100,1,9),
(287212,10148401,'When Equipped:',100,0,0),
(287213,10148401,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(287214,10148401,'This ward regenerates slowly over time.',100,2,2),
(287215,10148401,'Wards caster against 1800 points of all damage',100,2,3),
(287216,10148401,'Inflicts 6833 - 7552 piercing damage on target encounter',100,2,4),
(287217,10148401,'Inflicts 759 - 839 piercing damage on target encounter every 3 seconds',100,2,5),
(287218,10148401,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(287219,10148401,'Must not be engaged in pvp combat',100,2,7),
(287220,10148401,'Cannot be modified except by direct means',100,2,8),
(287221,10148401,'Must not be engaged in pvp combat',100,1,9),
(287222,118719,'Inflicts 63 - 106 slashing damage on target',100,1,0),
(287223,118719,'Decreases Slashing, Crushing and Piercing of target by 6.4',100,1,1),
(287224,118719,'Inflicts 26 - 32 slashing damage on target every 5 seconds',100,1,2),
(287225,10118719,'Inflicts 76 - 127 slashing damage on target',100,1,0),
(287226,10118719,'Decreases Slashing, Crushing and Piercing of target by 6.4',100,1,1),
(287227,10118719,'Inflicts 31 - 38 slashing damage on target every 5 seconds',100,1,2),
(287228,46480,'Applies Glacial Brute when Activated.',100,0,0),
(287229,46480,'Summons a mount to ride',100,1,1),
(287230,46480,'Increases your ground speed by 130%',100,2,2),
(287231,46480,'Increases Max Power of caster by 300.0',100,1,3),
(287232,46480,'Increases Max Health of caster by 300.0',100,1,4),
(287233,46480,'If above level 85',100,1,5),
(287234,10046480,'Applies Glacial Brute when Activated.',100,0,0),
(287235,10046480,'Summons a mount to ride',100,1,1),
(287236,10046480,'Increases your ground speed by 130%',100,2,2),
(287237,10046480,'Increases Max Power of caster by 300.0',100,1,3),
(287238,10046480,'Increases Max Health of caster by 300.0',100,1,4),
(287239,10046480,'If above level 85',100,1,5),
(287240,81461,'When Equipped:',100,0,0),
(287241,81461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287242,81461,'Inflicts 72 - 134 magic damage on target',100,2,2),
(287243,81461,'Cannot be modified except by direct means',100,2,3),
(287244,10081461,'When Equipped:',100,0,0),
(287245,10081461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287246,10081461,'Inflicts 87 - 161 magic damage on target',100,2,2),
(287247,10081461,'Cannot be modified except by direct means',100,2,3),
(287248,104435,'Inflicts 23 - 29 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(287249,104435,'Interrupts target encounter',100,1,1),
(287250,104435,'Applies Stumble on termination.',100,1,2),
(287251,104435,'Interrupts target',100,2,3),
(287252,10104435,'Inflicts 28 - 34 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(287253,10104435,'Interrupts target encounter',100,1,1),
(287254,10104435,'Applies Stumble on termination.',100,1,2),
(287255,10104435,'Interrupts target',100,2,3),
(287256,26587,'When Equipped:',100,0,0),
(287257,26587,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(287258,26587,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(287259,10026587,'When Equipped:',100,0,0),
(287260,10026587,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(287261,10026587,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(287262,81418,'When Equipped:',100,0,0),
(287263,81418,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287264,81418,'Inflicts 80 - 149 magic damage on target',100,2,2),
(287265,81418,'Cannot be modified except by direct means',100,2,3),
(287266,10081418,'When Equipped:',100,0,0),
(287267,10081418,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287268,10081418,'Inflicts 96 - 179 magic damage on target',100,2,2),
(287269,10081418,'Cannot be modified except by direct means',100,2,3),
(287270,113613,'Inflicts 304 - 507 melee damage on target',100,1,0),
(287271,113613,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 48.7',100,1,1),
(287272,113613,'Must be flanking or behind',100,1,2),
(287273,10113613,'Inflicts 365 - 608 melee damage on target',100,1,0),
(287274,10113613,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 48.7',100,1,1),
(287275,10113613,'Must be flanking or behind',100,1,2),
(287276,123878,'Increases AGI of caster by 83.5',100,1,0),
(287277,123878,'Adds 17.2% to base avoidance.',100,1,1),
(287278,123878,'Increases Damage Per Second of caster by 60.8',100,1,2),
(287279,123878,'Increases Mitigation of caster vs physical damage by 685',100,1,3),
(287280,123878,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,4),
(287281,10123878,'Increases AGI of caster by 83.5',100,1,0),
(287282,10123878,'Adds 17.2% to base avoidance.',100,1,1),
(287283,10123878,'Increases Damage Per Second of caster by 60.8',100,1,2),
(287284,10123878,'Increases Mitigation of caster vs physical damage by 685',100,1,3),
(287285,10123878,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,4),
(287286,146065,'When Equipped:',100,0,0),
(287287,146065,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(287288,146065,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(287289,146065,'Increases WIS and INT of caster by 44.0',100,2,3),
(287290,146065,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(287291,146065,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(287292,146065,'Must not be engaged in pvp combat',100,2,6),
(287293,146065,'Cannot be modified except by direct means',100,2,7),
(287294,146065,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(287295,146065,'Increases WIS and INT of caster by 44.0',100,2,9),
(287296,146065,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(287297,146065,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(287298,146065,'Must not be engaged in pvp combat',100,2,12),
(287299,146065,'Cannot be modified except by direct means',100,2,13),
(287300,146065,'Cannot be modified except by direct means',100,1,14),
(287301,10146065,'When Equipped:',100,0,0),
(287302,10146065,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(287303,10146065,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(287304,10146065,'Increases WIS and INT of caster by 44.0',100,2,3),
(287305,10146065,'Increases Ability Casting Speed of caster by 1.5%',100,2,4),
(287306,10146065,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(287307,10146065,'Must not be engaged in pvp combat',100,2,6),
(287308,10146065,'Cannot be modified except by direct means',100,2,7),
(287309,10146065,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(287310,10146065,'Increases WIS and INT of caster by 44.0',100,2,9),
(287311,10146065,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(287312,10146065,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(287313,10146065,'Must not be engaged in pvp combat',100,2,12),
(287314,10146065,'Cannot be modified except by direct means',100,2,13),
(287315,10146065,'Cannot be modified except by direct means',100,1,14),
(287316,114433,'Mesmerizes target',100,1,0),
(287317,114433,'Prevents AOE (except when direct) ',100,1,1),
(287318,114433,'Dispelled when target takes damage',100,1,2),
(287319,114433,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(287320,114433,'Resistibility increases against targets higher than level 106.',100,1,4),
(287321,10114433,'Mesmerizes target',100,1,0),
(287322,10114433,'Prevents AOE (except when direct) ',100,1,1),
(287323,10114433,'Dispelled when target takes damage',100,1,2),
(287324,10114433,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(287325,10114433,'Resistibility increases against targets higher than level 106.',100,1,4),
(287326,115687,'Inflicts 28 - 86 melee damage on target',100,1,0),
(287327,115687,'Inflicts 28 - 86 melee damage on target',100,1,1),
(287328,115687,'Inflicts 28 - 86 melee damage on target',100,1,2),
(287329,115687,'Inflicts 28 - 86 melee damage on target',100,1,3),
(287330,115687,'Inflicts 28 - 86 melee damage on target',100,1,4),
(287331,115687,'Inflicts 28 - 86 melee damage on target',100,1,5),
(287332,115687,'Inflicts 28 - 86 melee damage on target',100,1,6),
(287333,115687,'Inflicts 28 - 86 melee damage on target',100,1,7),
(287334,10115687,'Inflicts 34 - 104 melee damage on target',100,1,0),
(287335,10115687,'Inflicts 34 - 104 melee damage on target',100,1,1),
(287336,10115687,'Inflicts 34 - 104 melee damage on target',100,1,2),
(287337,10115687,'Inflicts 34 - 104 melee damage on target',100,1,3),
(287338,10115687,'Inflicts 34 - 104 melee damage on target',100,1,4),
(287339,10115687,'Inflicts 34 - 104 melee damage on target',100,1,5),
(287340,10115687,'Inflicts 34 - 104 melee damage on target',100,1,6),
(287341,10115687,'Inflicts 34 - 104 melee damage on target',100,1,7),
(287342,52714,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(287343,52714,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(287344,52714,'Inflicts 32 heat damage on target',100,2,2),
(287345,52714,'Cannot be modified except by direct means',100,2,3),
(287346,10052714,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(287347,10052714,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(287348,10052714,'Inflicts 38 heat damage on target',100,2,2),
(287349,10052714,'Cannot be modified except by direct means',100,2,3),
(287350,35276,'Increases AGI of target by 6.2',100,0,0),
(287351,35276,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(287352,164161,'When Equipped:',100,0,0),
(287353,164161,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(287354,164161,'Inflicts 1986 piercing damage on target',100,2,2),
(287355,164161,'Cannot be modified except by direct means',100,2,3),
(287356,10164161,'When Equipped:',100,0,0),
(287357,10164161,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(287358,10164161,'Inflicts 1192 piercing damage on target',100,2,2),
(287359,10164161,'Cannot be modified except by direct means',100,2,3),
(287360,36214,'Increases INT of target by 15.0',100,0,0),
(287361,36214,'Increases Max Power of target by 150.0',100,0,1),
(287362,36214,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,2),
(287363,51315,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(287364,51315,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(287365,51315,'Inflicts 23 heat damage on target',100,2,2),
(287366,51315,'Cannot be modified except by direct means',100,2,3),
(287367,10051315,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(287368,10051315,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(287369,10051315,'Inflicts 27 heat damage on target',100,2,2),
(287370,10051315,'Cannot be modified except by direct means',100,2,3),
(287371,104615,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',100,1,0),
(287372,104615,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,2,1),
(287373,104615,'Grants stealth to caster',100,3,2),
(287374,104615,'Suspends caster''s movement speed enhancements',100,3,3),
(287375,104615,'Decreases Hate Gain of caster by 40.0%',100,1,4),
(287376,10104615,'On a combat hit this spell has a 5% chance to cast Distract on target of attack.  ',100,1,0),
(287377,10104615,'Forces target to clear their selected target.',100,2,1),
(287378,10104615,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',100,1,2),
(287379,10104615,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,2,3),
(287380,10104615,'Grants stealth to caster',100,3,4),
(287381,10104615,'Suspends caster''s movement speed enhancements',100,3,5),
(287382,110905,'Inflicts 15 - 26 divine damage on target',100,1,0),
(287383,110905,'Increases Threat to target by 273 ',100,1,1),
(287384,110905,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(287385,110905,'Blurs vision of target',100,2,3),
(287386,110905,'Stuns target',100,2,4),
(287387,110905,'Throws target back',100,2,5),
(287388,110905,'Does not affect Epic targets',100,2,6),
(287389,10110905,'Inflicts 19 - 31 divine damage on target',100,1,0),
(287390,10110905,'Prevents target from changing targets',100,1,1),
(287391,10110905,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(287392,10110905,'Blurs vision of target',100,2,3),
(287393,10110905,'Stuns target',100,2,4),
(287394,10110905,'Throws target back',100,2,5),
(287395,10110905,'Does not affect Epic targets',100,2,6),
(287396,10110905,'Forces target to change their selected target to caster.',100,1,7),
(287397,37328,'Increases outgoing damaging spell amount by 2%',100,0,0),
(287398,37328,'Increases STA and INT of target by 9.0',100,0,1),
(287399,37328,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,2),
(287400,137318,'When Equipped:',100,0,0),
(287401,137318,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(287402,10137318,'When Equipped:',100,0,0),
(287403,10137318,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(287404,46518,'Applies Purification when Activated.',100,0,0),
(287405,46518,'Inflicts 1239 - 1514 divine damage on target',100,1,1),
(287406,46518,'If target is goblin',100,1,2),
(287407,10046518,'Applies Purification when Activated.',100,0,0),
(287408,10046518,'Inflicts 1487 - 1817 divine damage on target',100,1,1),
(287409,10046518,'If target is goblin',100,1,2),
(287410,109761,'Inflicts 159 - 296 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(287411,10109761,'Inflicts 191 - 355 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(287412,106388,'Inflicts 463 - 773 melee damage on target',100,1,0),
(287413,106388,'Decreases Defense of target by 27.8',100,1,1),
(287414,106388,'Decreases Defense of caster by 17.4',100,1,2),
(287415,10106388,'Inflicts 556 - 927 melee damage on target',100,1,0),
(287416,10106388,'Decreases Defense of target by 27.8',100,1,1),
(287417,10106388,'Decreases Defense of caster by 17.4',100,1,2),
(287418,47757,'Applies Research Time Reduction when Activated.',100,0,0),
(287419,47757,'Reduces the time remaining on the spell being actively researched by three days.',100,1,1),
(287420,47757,'Special: See Description',100,1,2),
(287421,47757,'Cannot be modified except by direct means',100,1,3),
(287422,10047757,'Applies Research Time Reduction when Activated.',100,0,0),
(287423,10047757,'Reduces the time remaining on the spell being actively researched by three days.',100,1,1),
(287424,10047757,'Special: See Description',100,1,2),
(287425,10047757,'Cannot be modified except by direct means',100,1,3),
(287426,165438,'When Equipped:',100,0,0),
(287427,165438,'Increases the range of spells and ranged weapons.',100,1,1),
(287428,10165438,'When Equipped:',100,0,0),
(287429,10165438,'Increases the range of spells and ranged weapons.',100,1,1),
(287430,108570,'Makes target afraid',100,1,0),
(287431,108570,'30% chance to dispel when target takes damage',100,1,1),
(287432,108570,'Does not affect Epic targets',100,1,2),
(287433,108570,'Resistibility increases against targets higher than level 116.',100,1,3),
(287434,10108570,'Makes target afraid',100,1,0),
(287435,10108570,'30% chance to dispel when target takes damage',100,1,1),
(287436,10108570,'Does not affect Epic targets',100,1,2),
(287437,10108570,'Resistibility increases against targets higher than level 116.',100,1,3),
(287438,107963,'Increases In-Combat Power Regeneration of group members (AE) by 19.5',100,1,0),
(287439,10107963,'Increases In-Combat Power Regeneration of group members (AE) by 19.5',100,1,0),
(287440,109332,'Increases STR of caster by 95.8',100,1,0),
(287441,109332,'Decreases Defense of caster by 13.2',100,1,1),
(287442,109332,'Increases Slashing, Piercing and Crushing of caster by 27.7',100,1,2),
(287443,10109332,'Increases STR of caster by 95.8',100,1,0),
(287444,10109332,'Decreases Defense of caster by 13.2',100,1,1),
(287445,10109332,'Increases Slashing, Piercing and Crushing of caster by 27.7',100,1,2),
(287446,36508,'Increases INT and AGI of target by 15.4',100,0,0),
(287447,36508,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(287448,115548,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1042',100,1,0),
(287449,10115548,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1042',100,1,0),
(287450,158490,'When Equipped:',100,0,0),
(287451,158490,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(287452,158490,'Increases Potency of caster by 5.0%',100,1,2),
(287453,158490,'Increases Max Health of caster by 1,550.0',100,1,3),
(287454,158490,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(287455,158490,'Cannot be modified except by direct means',100,1,5),
(287456,10158490,'When Equipped:',100,0,0),
(287457,10158490,'Increases Crit Bonus of caster by 5.0%',100,1,1),
(287458,10158490,'Increases Potency of caster by 5.0%',100,1,2),
(287459,10158490,'Increases Max Health of caster by 1,550.0',100,1,3),
(287460,10158490,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(287461,10158490,'Cannot be modified except by direct means',100,1,5),
(287462,37231,'Target will Dodge 2.2% of incoming attacks',100,0,0),
(287463,37231,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(287464,112219,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(287465,112219,'Increases Threat to target by 55 ',100,2,1),
(287466,112219,'Inflicts 14 disease damage on target',100,2,2),
(287467,112219,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 667',100,1,3),
(287468,10112219,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(287469,10112219,'Inflicts 17 disease damage on target',100,2,1),
(287470,10112219,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 667',100,1,2),
(287471,48077,'Applies Release Poison when Activated.',100,0,0),
(287472,10048077,'Applies Release Poison when Activated.',100,0,0),
(287473,77343,'When Equipped:',100,0,0),
(287474,77343,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(287475,77343,'Wards caster against 1250 points of all damage',100,2,2),
(287476,77343,'Cannot be modified except by direct means',100,2,3),
(287477,77343,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(287478,77343,'Wards caster against 1250 points of all damage',100,2,5),
(287479,77343,'Cannot be modified except by direct means',100,2,6),
(287480,10077343,'When Equipped:',100,0,0),
(287481,10077343,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(287482,10077343,'Wards caster against 625 points of all damage',100,2,2),
(287483,10077343,'Cannot be modified except by direct means',100,2,3),
(287484,10077343,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(287485,10077343,'Wards caster against 625 points of all damage',100,2,5),
(287486,10077343,'Cannot be modified except by direct means',100,2,6),
(287487,46447,'Applies Frozen Mists when Activated.  Lasts for 10.0 seconds.',100,0,0),
(287488,46447,'Inflicts 3049 cold damage on target encounter',100,1,1),
(287489,46447,'Decreases Mitigation of target encounter vs elemental damage by 3245',100,1,2),
(287490,46447,'Only affects targets level 50 and above',100,1,3),
(287491,10046447,'Applies Frozen Mists when Activated.  Lasts for 10.0 seconds.',100,0,0),
(287492,10046447,'Decreases Mitigation of target encounter vs elemental damage by 1622',100,1,1),
(287493,10046447,'Inflicts 1296 cold damage on target encounter',100,1,2),
(287494,10046447,'Only affects targets level 50 and above',100,1,3),
(287495,170582,'When Equipped:',100,0,0),
(287496,170582,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(287497,170582,'Inflicts 1998 disease damage on target encounter',100,2,2),
(287498,170582,'Must not be engaged in pvp combat',100,2,3),
(287499,170582,'Cannot be modified except by direct means',100,2,4),
(287500,10170582,'When Equipped:',100,0,0),
(287501,10170582,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(287502,10170582,'Inflicts 1199 disease damage on target encounter',100,2,2),
(287503,10170582,'Must not be engaged in pvp combat',100,2,3),
(287504,10170582,'Cannot be modified except by direct means',100,2,4),
(287505,45010,'Applies Create Medal when Activated.',100,0,0),
(287506,45010,'Summon 1 Emblem of Distinguished Service',100,1,1),
(287507,10045010,'Applies Create Medal when Activated.',100,0,0),
(287508,10045010,'Summon 1 Emblem of Distinguished Service',100,1,1),
(287509,80996,'When Equipped:',100,0,0),
(287510,80996,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287511,80996,'Inflicts 78 - 144 magic damage on target',100,2,2),
(287512,80996,'Cannot be modified except by direct means',100,2,3),
(287513,10080996,'When Equipped:',100,0,0),
(287514,10080996,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287515,10080996,'Inflicts 93 - 173 magic damage on target',100,2,2),
(287516,10080996,'Cannot be modified except by direct means',100,2,3),
(287517,110989,'Heals target for 239 - 292 instantly and every 2 seconds',100,1,0),
(287518,110989,'Increases power of target by 19 - 23 instantly and every 2 seconds',100,1,1),
(287519,10110989,'Heals target for 155 - 190 instantly and every 2 seconds',100,1,0),
(287520,10110989,'Increases power of target by 19 - 23 instantly and every 2 seconds',100,1,1),
(287521,104472,'Decreases Mitigation of target encounter vs physical damage by 240',100,1,0),
(287522,10104472,'Decreases Mitigation of target encounter vs physical damage by 240',100,1,0),
(287523,109854,'Increases Defense of group members (AE) by 7.6',100,1,0),
(287524,10109854,'Increases Defense of group members (AE) by 7.6',100,1,0),
(287525,118005,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(287526,118005,'Increases Attack Speed of target by 25.2',100,2,1),
(287527,118005,'Increases Damage Per Second of target by 25.2',100,2,2),
(287528,118005,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(287529,118005,'Increases Attack Speed of target by 25.2',100,2,4),
(287530,118005,'Increases Damage Per Second of target by 25.2',100,2,5),
(287531,118005,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(287532,118005,'Increases Attack Speed of target by 25.2',100,2,7),
(287533,118005,'Increases Damage Per Second of target by 25.2',100,2,8),
(287534,10118005,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(287535,10118005,'Increases Attack Speed of target by 25.2',100,2,1),
(287536,10118005,'Increases Damage Per Second of target by 25.2',100,2,2),
(287537,10118005,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(287538,10118005,'Increases Attack Speed of target by 25.2',100,2,4),
(287539,10118005,'Increases Damage Per Second of target by 25.2',100,2,5),
(287540,10118005,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(287541,10118005,'Increases Attack Speed of target by 25.2',100,2,7),
(287542,10118005,'Increases Damage Per Second of target by 25.2',100,2,8),
(287543,35826,'Increases Max Power of target by 47.2',100,0,0),
(287544,35826,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(287545,114201,'Inflicts 327 - 545 melee damage on target',100,1,0),
(287546,114201,'Decreases Slashing, Crushing and Piercing of target by 12.7',100,1,1),
(287547,10114201,'Inflicts 392 - 654 melee damage on target',100,1,0),
(287548,10114201,'Decreases Slashing, Crushing and Piercing of target by 12.7',100,1,1),
(287549,48064,'Applies Illusion: Vampire when Activated.  Lasts for 6 hours.',100,0,0),
(287550,48064,'Shapechanges caster into a vampire',100,1,1),
(287551,10048064,'Applies Illusion: Vampire when Activated.  Lasts for 6 hours.',100,0,0),
(287552,10048064,'Shapechanges caster into a vampire',100,1,1),
(287553,24335,'Adds Drolvarg (Brigand) to your Dungeon Maker toolbox',100,0,0),
(287554,10024335,'Adds Drolvarg (Brigand) to your Dungeon Maker toolbox',100,0,0),
(287555,43200,'When Equipped:',100,0,0),
(287556,43200,'On a combat hit this spell may cast Soul Suck on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287557,43200,'Inflicts 50 - 62 crushing damage on target',100,2,2),
(287558,43200,'Heals caster for 49 - 60',100,2,3),
(287559,43200,'Cannot be modified except by direct means',100,2,4),
(287560,10043200,'When Equipped:',100,0,0),
(287561,10043200,'On a combat hit this spell may cast Soul Suck on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287562,10043200,'Inflicts 61 - 74 crushing damage on target',100,2,2),
(287563,10043200,'Heals caster for 32 - 39',100,2,3),
(287564,10043200,'Cannot be modified except by direct means',100,2,4),
(287565,181417,'When Equipped:',100,0,0),
(287566,181417,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(287567,181417,'Inflicts 1076 - 1189 disease damage on target instantly and every 2 seconds',100,2,2),
(287568,181417,'Must not be engaged in pvp combat',100,2,3),
(287569,181417,'Cannot be modified except by direct means',100,2,4),
(287570,181417,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(287571,181417,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(287572,181417,'Inflicts 1076 - 1189 disease damage on target instantly and every 2 seconds',100,2,7),
(287573,181417,'Must not be engaged in pvp combat',100,2,8),
(287574,181417,'Cannot be modified except by direct means',100,2,9),
(287575,181417,'Cannot be modified except by direct means',100,1,10),
(287576,10181417,'When Equipped:',100,0,0),
(287577,10181417,'On a critical combat hit this spell may cast Repugnant Cloud II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(287578,10181417,'Inflicts 1291 - 1427 disease damage on target instantly and every 2 seconds',100,2,2),
(287579,10181417,'Must not be engaged in pvp combat',100,2,3),
(287580,10181417,'Cannot be modified except by direct means',100,2,4),
(287581,10181417,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(287582,10181417,'On a critical spell hit this spell may cast Repugnant Cloud II on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(287583,10181417,'Inflicts 1291 - 1427 disease damage on target instantly and every 2 seconds',100,2,7),
(287584,10181417,'Must not be engaged in pvp combat',100,2,8),
(287585,10181417,'Cannot be modified except by direct means',100,2,9),
(287586,10181417,'Cannot be modified except by direct means',100,1,10),
(287587,80236,'When Equipped:',100,0,0),
(287588,80236,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(287589,80236,'Decreases Threat to target by 801 ',100,2,2),
(287590,80236,'Must be flanking or behind',100,3,3),
(287591,80236,'Increases Threat to target by 1,261 ',100,2,4),
(287592,80236,'Must be in front of',100,3,5),
(287593,80236,'Inflicts 169 - 314 magic damage on target',100,2,6),
(287594,80236,'Cannot be modified except by direct means',100,2,7),
(287595,10080236,'When Equipped:',100,0,0),
(287596,10080236,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(287597,10080236,'Inflicts 203 - 377 magic damage on target',100,2,2),
(287598,10080236,'Cannot be modified except by direct means',100,2,3),
(287599,190073,'When Equipped:',100,0,0),
(287600,190073,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(287601,190073,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(287602,190073,'Cannot be modified except by direct means',100,2,3),
(287603,10190073,'When Equipped:',100,0,0),
(287604,10190073,'On any combat or spell hit this spell may cast Successive Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(287605,10190073,'Increases Multi Attack Chance of caster by 9.0',100,2,2),
(287606,10190073,'Cannot be modified except by direct means',100,2,3),
(287607,82393,'When Equipped:',100,0,0),
(287608,82393,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287609,82393,'Inflicts 111 - 205 magic damage on target',100,2,2),
(287610,82393,'Cannot be modified except by direct means',100,2,3),
(287611,10082393,'When Equipped:',100,0,0),
(287612,10082393,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287613,10082393,'Inflicts 133 - 246 magic damage on target',100,2,2),
(287614,10082393,'Cannot be modified except by direct means',100,2,3),
(287615,46946,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(287616,46946,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(287617,46946,'Inflicts 56 poison damage on target',100,2,2),
(287618,46946,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,3),
(287619,46946,'Cannot be modified except by direct means',100,2,4),
(287620,46946,'Grants a total of 200 triggers of the spell.',100,2,5),
(287621,10046946,'Applies diabolic fury when Activated.  Lasts for 12 hours.',100,0,0),
(287622,10046946,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(287623,10046946,'Inflicts 50 poison damage on target',100,2,2),
(287624,10046946,'Inflicts 26 poison damage on target instantly and every 6 seconds',100,2,3),
(287625,10046946,'Cannot be modified except by direct means',100,2,4),
(287626,10046946,'Grants a total of 200 triggers of the spell.',100,2,5),
(287627,121785,'Heals target for 119 - 145',100,1,0),
(287628,121785,'Heals target for 20 - 24 every second',100,1,1),
(287629,10121785,'Heals target for 205 - 251',100,1,0),
(287630,10121785,'Heals target for 17 - 21 every second',100,1,1),
(287631,71682,'When Equipped:',100,0,0),
(287632,71682,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(287633,71682,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(287634,71682,'Cannot be modified except by direct means',100,2,3),
(287635,10071682,'When Equipped:',100,0,0),
(287636,10071682,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(287637,10071682,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(287638,10071682,'Cannot be modified except by direct means',100,2,3),
(287639,102966,'Increases STR and AGI of group members (AE) by 15.5',100,1,0),
(287640,10102966,'Increases STR and AGI of group members (AE) by 15.5',100,1,0),
(287641,100006,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(287642,100006,'Inflicts 8 - 13 melee damage on targets in area',100,2,1),
(287643,100006,'Decreases Defense of caster by 1.8',100,1,2),
(287644,100006,'Increases Slashing, Piercing and Crushing of caster by 3.0',100,1,3),
(287645,10100006,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(287646,10100006,'Inflicts 10 - 16 melee damage on targets in area',100,2,1),
(287647,10100006,'Decreases Defense of caster by 1.8',100,1,2),
(287648,10100006,'Increases Slashing, Piercing and Crushing of caster by 3.0',100,1,3),
(287649,111341,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(287650,111341,'Inflicts 471 - 575 mental damage on target',100,2,1),
(287651,111341,'Grants a total of 3 triggers of the spell.',100,2,2),
(287652,10111341,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(287653,10111341,'Inflicts 565 - 691 mental damage on target',100,2,1),
(287654,10111341,'Grants a total of 3 triggers of the spell.',100,2,2),
(287655,164303,'When Equipped:',100,0,0),
(287656,164303,'Caster will have their chance to hit with a weapon increased by 2.0%',100,1,1),
(287657,164303,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.0',100,1,2),
(287658,164303,'Must not be engaged in pvp combat',100,1,3),
(287659,10164303,'When Equipped:',100,0,0),
(287660,10164303,'Caster will have their chance to hit with a weapon increased by 2.0%',100,1,1),
(287661,10164303,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.0',100,1,2),
(287662,10164303,'Must not be engaged in pvp combat',100,1,3),
(287663,24676,'Adds Sarnak (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(287664,10024676,'Adds Sarnak (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(287665,108803,'Inflicts 171 - 318 heat damage on targets in Area of Effect',100,1,0),
(287666,10108803,'Inflicts 205 - 382 heat damage on targets in Area of Effect',100,1,0),
(287667,48310,'Applies freedom of action when Activated.  Lasts for 10.0 seconds.',100,0,0),
(287668,48310,'Makes caster immune to Fear effects',100,1,1),
(287669,48310,'Makes caster immune to Root effects',100,1,2),
(287670,48310,'Reduces slow effects on caster by 35.0%',100,1,3),
(287671,10048310,'Applies freedom of action when Activated.  Lasts for 3.0 seconds.',100,0,0),
(287672,10048310,'Makes caster immune to Fear effects',100,1,1),
(287673,10048310,'Makes caster immune to Root effects',100,1,2),
(287674,10048310,'Reduces slow effects on caster by 35.0%',100,1,3),
(287675,81786,'When Equipped:',100,0,0),
(287676,81786,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287677,81786,'Inflicts 97 - 180 magic damage on target',100,2,2),
(287678,81786,'Cannot be modified except by direct means',100,2,3),
(287679,10081786,'When Equipped:',100,0,0),
(287680,10081786,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287681,10081786,'Inflicts 116 - 216 magic damage on target',100,2,2),
(287682,10081786,'Cannot be modified except by direct means',100,2,3),
(287683,130951,'When Equipped:',100,0,0),
(287684,130951,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(287685,130951,'Heals group members for 245',100,2,2),
(287686,130951,'Cannot be modified except by direct means',100,2,3),
(287687,130951,'Cannot be modified except by direct means',100,1,4),
(287688,10130951,'When Equipped:',100,0,0),
(287689,10130951,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(287690,10130951,'Heals group members for 160',100,2,2),
(287691,10130951,'Cannot be modified except by direct means',100,2,3),
(287692,10130951,'Cannot be modified except by direct means',100,1,4),
(287693,81507,'When Equipped:',100,0,0),
(287694,81507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287695,81507,'Inflicts 112 - 208 magic damage on target',100,2,2),
(287696,81507,'Cannot be modified except by direct means',100,2,3),
(287697,10081507,'When Equipped:',100,0,0),
(287698,10081507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287699,10081507,'Inflicts 135 - 250 magic damage on target',100,2,2),
(287700,10081507,'Cannot be modified except by direct means',100,2,3),
(287701,140309,'When Equipped:',100,0,0),
(287702,140309,'On a healing spell cast this spell may cast Hate''s Fate on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(287703,140309,'Increases target''s chance to block by 7.0%',100,2,2),
(287704,140309,'This effect can be stacked by multiple casters.',100,2,3),
(287705,140309,'Increases Mitigation of target vs all damage by 830',100,2,4),
(287706,140309,'Cannot be modified except by direct means',100,2,5),
(287707,10140309,'When Equipped:',100,0,0),
(287708,10140309,'On a healing spell cast this spell may cast Hate''s Fate on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(287709,10140309,'Increases target''s chance to block by 7.0%',100,2,2),
(287710,10140309,'This effect can be stacked by multiple casters.',100,2,3),
(287711,10140309,'Increases Mitigation of target vs all damage by 830',100,2,4),
(287712,10140309,'Cannot be modified except by direct means',100,2,5),
(287713,116278,'Summons a pet Illusion Ally',100,1,0),
(287714,10116278,'Summons a pet Illusion Ally',100,1,0),
(287715,110289,'Decreases Mitigation of target vs arcane damage by 969',100,1,0),
(287716,110289,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(287717,110289,'Slows target by 38.2%',100,2,2),
(287718,110289,'5% chance to dispel when target receives hostile action',100,2,3),
(287719,110289,'5% chance to dispel when target takes damage',100,2,4),
(287720,10110289,'Decreases Mitigation of target vs arcane damage by 969',100,1,0),
(287721,10110289,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(287722,10110289,'Slows target by 38.2%',100,2,2),
(287723,10110289,'5% chance to dispel when target receives hostile action',100,2,3),
(287724,10110289,'5% chance to dispel when target takes damage',100,2,4),
(287725,119855,'Dazes target',100,1,0),
(287726,119855,'Does not affect Epic targets',100,1,1),
(287727,119855,'Resistibility increases against targets higher than level 105.',100,1,2),
(287728,10119855,'Dazes target',100,1,0),
(287729,10119855,'Does not affect Epic targets',100,1,1),
(287730,10119855,'Resistibility increases against targets higher than level 105.',100,1,2),
(287731,47452,'Applies Order of Rime Sleetsaber Illusion when Activated.',100,0,0),
(287732,47452,'Shapechanges caster into an Order of Rime',100,1,1),
(287733,47452,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,2),
(287734,47452,'If any of the following are true:',100,1,3),
(287735,47452,'Must be in zone Emperor''s Athenaeum',100,2,4),
(287736,47452,'Must be in zone Kurn''s Tower',100,2,5),
(287737,47452,'Must be in zone Kurn''s Tower: The Strike',100,2,6),
(287738,47452,'Must be in zone Kylong Plains',100,2,7),
(287739,47452,'Must be in zone Kunzar Jungle',100,2,8),
(287740,47452,'Must be in zone Jarsath Wastes',100,2,9),
(287741,47452,'Must be in zone Fens of Nathsar',100,2,10),
(287742,47452,'Must be in zone Great Divide',100,2,11),
(287743,47452,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(287744,47452,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(287745,10047452,'Applies Order of Rime Sleetsaber Illusion when Activated.',100,0,0),
(287746,10047452,'Shapechanges caster into an Order of Rime',100,1,1),
(287747,10047452,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,2),
(287748,10047452,'If any of the following are true:',100,1,3),
(287749,10047452,'Must be in zone Emperor''s Athenaeum',100,2,4),
(287750,10047452,'Must be in zone Kurn''s Tower',100,2,5),
(287751,10047452,'Must be in zone Kurn''s Tower: The Strike',100,2,6),
(287752,10047452,'Must be in zone Kylong Plains',100,2,7),
(287753,10047452,'Must be in zone Kunzar Jungle',100,2,8),
(287754,10047452,'Must be in zone Jarsath Wastes',100,2,9),
(287755,10047452,'Must be in zone Fens of Nathsar',100,2,10),
(287756,10047452,'Must be in zone Great Divide',100,2,11),
(287757,10047452,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(287758,10047452,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(287759,121493,'Inflicts 180 - 301 melee damage on target',100,1,0),
(287760,121493,'Decreases Defense of target by 7.4',100,1,1),
(287761,10121493,'Inflicts 217 - 361 melee damage on target',100,1,0),
(287762,10121493,'Decreases Defense of target by 7.4',100,1,1),
(287763,47014,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(287764,47014,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(287765,47014,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(287766,47014,'Cannot be modified except by direct means',100,2,3),
(287767,47014,'Grants a total of 80 triggers of the spell.',100,2,4),
(287768,10047014,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(287769,10047014,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(287770,10047014,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(287771,10047014,'Cannot be modified except by direct means',100,2,3),
(287772,10047014,'Grants a total of 80 triggers of the spell.',100,2,4),
(287773,102373,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(287774,102373,'Increases Attack Speed of target by 16.7',100,2,1),
(287775,102373,'Increases Damage Per Second of target by 16.7',100,2,2),
(287776,102373,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(287777,102373,'Increases Attack Speed of target by 16.7',100,2,4),
(287778,102373,'Increases Damage Per Second of target by 16.7',100,2,5),
(287779,102373,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(287780,102373,'Increases Attack Speed of target by 16.7',100,2,7),
(287781,102373,'Increases Damage Per Second of target by 16.7',100,2,8),
(287782,10102373,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(287783,10102373,'Increases Attack Speed of target by 16.7',100,2,1),
(287784,10102373,'Increases Damage Per Second of target by 16.7',100,2,2),
(287785,10102373,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(287786,10102373,'Increases Attack Speed of target by 16.7',100,2,4),
(287787,10102373,'Increases Damage Per Second of target by 16.7',100,2,5),
(287788,10102373,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(287789,10102373,'Increases Attack Speed of target by 16.7',100,2,7),
(287790,10102373,'Increases Damage Per Second of target by 16.7',100,2,8),
(287791,35120,'Increases STA and INT of target by 6.2',100,0,0),
(287792,35120,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,1),
(287793,45302,'Applies Call Battlehardened Fire Warg when Activated.',100,0,0),
(287794,45302,'Increases Ordination, Slashing, Aggression, Ministration, Piercing, Subjugation, Crushing, Focus and Disruption of caster by 5.0',100,1,1),
(287795,45302,'Summons a mount to ride',100,1,2),
(287796,45302,'Increases your ground speed by 135%',100,2,3),
(287797,45302,'Increases Ranged of caster by 5.0',100,1,4),
(287798,10045302,'Applies Call Battlehardened Fire Warg when Activated.',100,0,0),
(287799,10045302,'Increases Ordination, Slashing, Aggression, Ministration, Piercing, Subjugation, Crushing, Focus and Disruption of caster by 5.0',100,1,1),
(287800,10045302,'Summons a mount to ride',100,1,2),
(287801,10045302,'Increases your ground speed by 135%',100,2,3),
(287802,10045302,'Increases Ranged of caster by 5.0',100,1,4),
(287803,114986,'Inflicts 133 - 222 ranged damage on targets in area',100,1,0),
(287804,114986,'You must be in stealth to use this!',100,1,1),
(287805,114986,'Requires bow',100,1,2),
(287806,10114986,'Inflicts 100 - 166 ranged damage on targets in area',100,1,0),
(287807,10114986,'You must be in stealth to use this!',100,1,1),
(287808,10114986,'Requires bow',100,1,2),
(287809,169287,'When Equipped:',100,0,0),
(287810,169287,'On any combat or spell hit this spell may cast Reverberations of Steel on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(287811,169287,'4% of all physical damage received by the caster is prevented.',100,2,2),
(287812,169287,'Increases Threat to target encounter by 11,860 - 13,060 ',100,2,3),
(287813,169287,'Target encounter will have their chance to hit with a weapon lowered by 5.0%',100,2,4),
(287814,169287,'Decreases strikethrough chance of target encounter by 5.0%.',100,2,5),
(287815,169287,'Must not be engaged in pvp combat',100,2,6),
(287816,169287,'Cannot be modified except by direct means',100,2,7),
(287817,169287,'Must not be engaged in pvp combat',100,1,8),
(287818,10169287,'When Equipped:',100,0,0),
(287819,10169287,'On any combat or spell hit this spell may cast Reverberations of Steel on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(287820,10169287,'4% of all physical damage received by the caster is prevented.',100,2,2),
(287821,10169287,'Target encounter will have their chance to hit with a weapon lowered by 5.0%',100,2,3),
(287822,10169287,'Decreases strikethrough chance of target encounter by 5.0%.',100,2,4),
(287823,10169287,'Must not be engaged in pvp combat',100,2,5),
(287824,10169287,'Cannot be modified except by direct means',100,2,6),
(287825,10169287,'Must not be engaged in pvp combat',100,1,7),
(287826,87461,'When Equipped:',100,0,0),
(287827,87461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287828,87461,'Inflicts 30 - 45 magic damage on target',100,2,2),
(287829,87461,'Cannot be modified except by direct means',100,2,3),
(287830,10087461,'When Equipped:',100,0,0),
(287831,10087461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(287832,10087461,'Inflicts 36 - 54 magic damage on target',100,2,2),
(287833,10087461,'Cannot be modified except by direct means',100,2,3),
(287834,109618,'Increases Defense of group members'' pets (AE) by 12.8',100,1,0),
(287835,109618,'Increases Mitigation of group members (AE) vs all damage by 204',100,1,1),
(287836,10109618,'Increases Defense of group members'' pets (AE) by 12.8',100,1,0),
(287837,10109618,'Increases Mitigation of group members (AE) vs all damage by 204',100,1,1),
(287838,75608,'Applies Holy Strike when Activated.',100,0,0),
(287839,75608,'Inflicts 89 - 149 divine damage on target',100,1,1),
(287840,75608,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(287841,10075608,'Applies Holy Strike when Activated.',100,0,0),
(287842,10075608,'Inflicts 107 - 179 divine damage on target',100,1,1),
(287843,10075608,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(287844,124400,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(287845,124400,'Inflicts 79 - 133 melee damage on target',100,2,1),
(287846,124400,'Grants a total of 3 triggers of the spell.',100,2,2),
(287847,10124400,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(287848,10124400,'Inflicts 95 - 159 melee damage on target',100,2,1),
(287849,10124400,'Grants a total of 3 triggers of the spell.',100,2,2),
(287850,102776,'Increases STR of caster by 35.3',100,1,0),
(287851,102776,'Increases Max Health of caster by 194.1',100,1,1),
(287852,102776,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 970',100,1,2),
(287853,10102776,'Increases STR of caster by 35.3',100,1,0),
(287854,10102776,'Increases Max Health of caster by 194.1',100,1,1),
(287855,10102776,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 970',100,1,2),
(287856,172477,'When Equipped:',100,0,0),
(287857,172477,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(287858,172477,'Increases power of caster by 236',100,2,2),
(287859,172477,'Heals caster for 530 - 648',100,2,3),
(287860,172477,'Must not be engaged in pvp combat',100,2,4),
(287861,172477,'Cannot be modified except by direct means',100,2,5),
(287862,172477,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(287863,172477,'Increases power of caster by 236',100,2,7),
(287864,172477,'Heals caster for 530 - 648',100,2,8),
(287865,172477,'Must not be engaged in pvp combat',100,2,9),
(287866,172477,'Cannot be modified except by direct means',100,2,10),
(287867,10172477,'When Equipped:',100,0,0),
(287868,10172477,'On a beneficial spell cast this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(287869,10172477,'Increases power of caster by 236',100,2,2),
(287870,10172477,'Heals caster for 344 - 421',100,2,3),
(287871,10172477,'Must not be engaged in pvp combat',100,2,4),
(287872,10172477,'Cannot be modified except by direct means',100,2,5),
(287873,10172477,'On any combat or spell hit this spell may cast Boon of Battle on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(287874,10172477,'Increases power of caster by 236',100,2,7),
(287875,10172477,'Heals caster for 344 - 421',100,2,8),
(287876,10172477,'Must not be engaged in pvp combat',100,2,9),
(287877,10172477,'Cannot be modified except by direct means',100,2,10),
(287878,113621,'Inflicts 516 - 860 melee damage on target',100,1,0),
(287879,113621,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 76.7',100,1,1),
(287880,113621,'Must be flanking or behind',100,1,2),
(287881,10113621,'Inflicts 619 - 1032 melee damage on target',100,1,0),
(287882,10113621,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 76.7',100,1,1),
(287883,10113621,'Must be flanking or behind',100,1,2),
(287884,113670,'Stuns target',100,1,0),
(287885,113670,'If Target is not Epic',100,2,1),
(287886,113670,'Inflicts 25 - 42 heat damage on target',100,1,2),
(287887,113670,'Resistibility increases against targets higher than level 31.',100,1,3),
(287888,10113670,'Stuns target',100,1,0),
(287889,10113670,'If Target is not Epic',100,2,1),
(287890,10113670,'Inflicts 30 - 50 heat damage on target',100,1,2),
(287891,10113670,'Resistibility increases against targets higher than level 31.',100,1,3),
(287892,48709,'Applies Elixir of Arctic Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(287893,48709,'Increases Mitigation of caster vs elemental damage by 200',100,1,1),
(287894,10048709,'Applies Elixir of Arctic Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(287895,10048709,'Increases Mitigation of caster vs elemental damage by 200',100,1,1),
(287896,113536,'Inflicts 112 - 187 disease damage on target',100,1,0),
(287897,10113536,'Inflicts 135 - 225 disease damage on target',100,1,0),
(287898,177727,'When Equipped:',100,0,0),
(287899,177727,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(287900,177727,'Increases STA of caster by 19.8',100,2,2),
(287901,177727,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(287902,177727,'Cannot be modified except by direct means',100,2,4),
(287903,10177727,'When Equipped:',100,0,0),
(287904,10177727,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(287905,10177727,'Increases STA of caster by 19.8',100,2,2),
(287906,10177727,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(287907,10177727,'Cannot be modified except by direct means',100,2,4),
(287908,46372,'Applies Song of Zan Fi when Activated.  Lasts for 1.0 second.',100,0,0),
(287909,10046372,'Applies Song of Zan Fi when Activated.  Lasts for 1.0 second.',100,0,0),
(287910,106997,'Inflicts 1373 - 2550 poison damage on target',100,1,0),
(287911,106997,'Increases power of caster by 150',100,1,1),
(287912,10106997,'Inflicts 1648 - 3060 poison damage on target',100,1,0),
(287913,10106997,'Increases power of caster by 150',100,1,1),
(287914,102072,'Interrupts targets in Area of Effect',100,1,0),
(287915,102072,'Inflicts 553 - 922 melee damage on targets in area',100,1,1),
(287916,10102072,'Interrupts targets in Area of Effect',100,1,0),
(287917,10102072,'Inflicts 664 - 1106 melee damage on targets in area',100,1,1),
(287918,137127,'When Equipped:',100,0,0),
(287919,137127,'Puncture will have its damage increased by 50%. This is applied before all other effects.',100,1,1),
(287920,137127,'Must not be engaged in pvp combat',100,1,2),
(287921,137127,'Cannot be modified except by direct means',100,1,3),
(287922,10137127,'When Equipped:',100,0,0),
(287923,10137127,'Puncture will have its damage increased by 50%. This is applied before all other effects.',100,1,1),
(287924,10137127,'Must not be engaged in pvp combat',100,1,2),
(287925,10137127,'Cannot be modified except by direct means',100,1,3),
(287926,36706,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(287927,103869,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(287928,103869,'Slows target by 51.6%',100,2,1),
(287929,103869,'5% chance to dispel when target receives hostile action',100,2,2),
(287930,103869,'5% chance to dispel when target takes damage',100,2,3),
(287931,103869,'Decreases Mitigation of target vs noxious damage by 1560',100,1,4),
(287932,10103869,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(287933,10103869,'Slows target by 51.6%',100,2,1),
(287934,10103869,'5% chance to dispel when target receives hostile action',100,2,2),
(287935,10103869,'5% chance to dispel when target takes damage',100,2,3),
(287936,10103869,'Decreases Mitigation of target vs noxious damage by 1560',100,1,4),
(287937,106821,'Decreases STR and AGI of target encounter by 128.3',100,1,0),
(287938,10106821,'Decreases STR and AGI of target encounter by 128.3',100,1,0),
(287939,112021,'Inflicts 540 - 900 piercing damage on target',100,1,0),
(287940,10112021,'Inflicts 648 - 1080 piercing damage on target',100,1,0),
(287941,116469,'Inflicts 183 disease damage on target instantly and every 4 seconds',100,1,0),
(287942,116469,'Inflicts 183 disease damage on target instantly and every 4 seconds',100,1,1),
(287943,116469,'If target is nightblood',100,2,2),
(287944,116469,'Inflicts 183 disease damage on target instantly and every 4 seconds',100,1,3),
(287945,116469,'If target is shadowed folk',100,2,4),
(287946,10116469,'Inflicts 220 disease damage on target instantly and every 4 seconds',100,1,0),
(287947,48661,'Applies Translucent Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(287948,48661,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(287949,48661,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(287950,48661,'Cannot be modified except by direct means',100,2,3),
(287951,48661,'Grants a total of 80 triggers of the spell.',100,2,4),
(287952,48661,'Only affects targets level 50 and above',100,1,5),
(287953,10048661,'Applies Translucent Bite of the Shissar when Activated.  Lasts for 12 hours.',100,0,0),
(287954,10048661,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(287955,10048661,'Decreases Mitigation of target vs noxious damage by 871',100,2,2),
(287956,10048661,'Cannot be modified except by direct means',100,2,3),
(287957,10048661,'Grants a total of 80 triggers of the spell.',100,2,4),
(287958,10048661,'Only affects targets level 50 and above',100,1,5),
(287959,141708,'When Equipped:',100,0,0),
(287960,141708,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(287961,141708,'Increases AGI of caster by 14.8',100,2,2),
(287962,141708,'Increases Attack Speed of caster by 16.5',100,2,3),
(287963,141708,'Cannot be modified except by direct means',100,2,4),
(287964,10141708,'When Equipped:',100,0,0),
(287965,10141708,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(287966,10141708,'Increases AGI of caster by 14.8',100,2,2),
(287967,10141708,'Increases Attack Speed of caster by 16.5',100,2,3),
(287968,10141708,'Cannot be modified except by direct means',100,2,4),
(287969,144623,'When Equipped:',100,0,0),
(287970,144623,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(287971,144623,'Heals group members (AE) for 580',100,2,2),
(287972,144623,'Cannot be modified except by direct means',100,2,3),
(287973,10144623,'When Equipped:',100,0,0),
(287974,10144623,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(287975,10144623,'Heals group members (AE) for 679',100,2,2),
(287976,10144623,'Cannot be modified except by direct means',100,2,3),
(287977,109172,'Roots target',100,1,0),
(287978,109172,'Applies Blind.  Lasts for 6.0 seconds.',100,1,1),
(287979,109172,'Dazes target',100,2,2),
(287980,109172,'Blurs vision of target',100,2,3),
(287981,109172,'Dispelled when target takes damage',100,2,4),
(287982,109172,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(287983,109172,'5% chance to dispel when target takes damage',100,1,6),
(287984,109172,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,7),
(287985,109172,'Resistibility increases against targets higher than level 62.',100,1,8),
(287986,10109172,'Roots target',100,1,0),
(287987,10109172,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(287988,10109172,'Dazes target',100,2,2),
(287989,10109172,'Blurs vision of target',100,2,3),
(287990,10109172,'Dispelled when target takes damage',100,2,4),
(287991,10109172,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(287992,10109172,'5% chance to dispel when target takes damage',100,1,6),
(287993,10109172,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(287994,10109172,'Resistibility increases against targets higher than level 62.',100,1,8),
(287995,103255,'Reduces physical damage done to caster by 5%',100,1,0),
(287996,103255,'Adds 1.8% to base avoidance.',100,1,1),
(287997,103255,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(287998,103255,'Increases Parry of caster by 37.2',100,1,3),
(287999,103255,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(288000,103255,'Increases Aggression of caster by 27.9',100,1,5),
(288001,103255,'Increases Defense and Deflection of caster by 37.2',100,1,6),
(288002,103255,'Increases Mitigation of caster vs noxious damage by 2429',100,1,7),
(288003,103255,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(288004,10103255,'Reduces physical damage done to caster by 5%',100,1,0),
(288005,10103255,'Adds 1.8% to base avoidance.',100,1,1),
(288006,10103255,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(288007,10103255,'Increases Parry of caster by 37.2',100,1,3),
(288008,10103255,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(288009,10103255,'Increases Aggression of caster by 27.9',100,1,5),
(288010,10103255,'Increases Defense and Deflection of caster by 37.2',100,1,6),
(288011,10103255,'Increases Mitigation of caster vs noxious damage by 2429',100,1,7),
(288012,10103255,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(288013,46612,'Applies Gwey Vastspan when Activated.',100,0,0),
(288014,46612,'Increases Potency of caster by 7.0%',100,1,1),
(288015,46612,'Increases Crit Bonus of caster by 7.0%',100,1,2),
(288016,46612,'Increases Crit Chance of caster by 32.0',100,1,3),
(288017,46612,'Increases Max Health of caster by 900.0',100,1,4),
(288018,46612,'Summons a mount to ride',100,1,5),
(288019,46612,'Increases your ground speed by 75%',100,2,6),
(288020,46612,'Increases your air speed by 150%',100,2,7),
(288021,46612,'Increases Max Power of caster by 900.0',100,1,8),
(288022,10046612,'Applies Gwey Vastspan when Activated.',100,0,0),
(288023,10046612,'Increases Potency of caster by 7.0%',100,1,1),
(288024,10046612,'Increases Crit Bonus of caster by 7.0%',100,1,2),
(288025,10046612,'Increases Crit Chance of caster by 32.0',100,1,3),
(288026,10046612,'Increases Max Health of caster by 900.0',100,1,4),
(288027,10046612,'Summons a mount to ride',100,1,5),
(288028,10046612,'Increases your ground speed by 75%',100,2,6),
(288029,10046612,'Increases your air speed by 150%',100,2,7),
(288030,10046612,'Increases Max Power of caster by 900.0',100,1,8),
(288031,131068,'When Equipped:',100,0,0),
(288032,131068,'Increases Effective Level of caster to 83.',100,1,1),
(288033,131068,'Must be in Munzok''s Material Bastion.',100,1,2),
(288034,131068,'Requires not having an apprentice',100,1,3),
(288035,10131068,'When Equipped:',100,0,0),
(288036,10131068,'Increases Effective Level of caster to 83.',100,1,1),
(288037,10131068,'Must be in Munzok''s Material Bastion.',100,1,2),
(288038,10131068,'Requires not having an apprentice',100,1,3),
(288039,101234,'Inflicts 640 - 1066 cold damage on target',100,1,0),
(288040,101234,'Dazes target',100,1,1),
(288041,101234,'If Target is not Epic',100,2,2),
(288042,101234,'Resistibility increases against targets higher than level 121.',100,1,3),
(288043,10101234,'Inflicts 768 - 1280 cold damage on target',100,1,0),
(288044,10101234,'Dazes target',100,1,1),
(288045,10101234,'If Target is not Epic',100,2,2),
(288046,10101234,'Resistibility increases against targets higher than level 121.',100,1,3),
(288047,108337,'Heals caster for 14',100,1,0),
(288048,108337,'Inflicts 23 - 38 melee damage on target',100,1,1),
(288049,10108337,'Heals caster for 9',100,1,0),
(288050,10108337,'Inflicts 27 - 46 melee damage on target',100,1,1),
(288051,139161,'When Equipped:',100,0,0),
(288052,139161,'Increases Attack Speed of caster by 10.0',100,1,1),
(288053,10139161,'When Equipped:',100,0,0),
(288054,10139161,'Increases Attack Speed of caster by 10.0',100,1,1),
(288055,121526,'Inflicts 275 - 459 melee damage on target',100,1,0),
(288056,121526,'Stuns target',100,1,1),
(288057,121526,'If Target is not Epic',100,2,2),
(288058,121526,'Resistibility increases against targets higher than level 87.',100,1,3),
(288059,10121526,'Inflicts 330 - 550 melee damage on target',100,1,0),
(288060,10121526,'Stuns target',100,1,1),
(288061,10121526,'If Target is not Epic',100,2,2),
(288062,10121526,'Resistibility increases against targets higher than level 87.',100,1,3),
(288063,109373,'Inflicts 72 - 217 melee damage on target',100,1,0),
(288064,109373,'Inflicts 90 - 271 melee damage on target',100,1,1),
(288065,109373,'Inflicts 108 - 326 melee damage on target',100,1,2),
(288066,10109373,'Inflicts 86 - 260 melee damage on target',100,1,0),
(288067,10109373,'Inflicts 108 - 326 melee damage on target',100,1,1),
(288068,10109373,'Inflicts 130 - 391 melee damage on target',100,1,2),
(288069,72231,'When Equipped:',100,0,0),
(288070,72231,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288071,72231,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(288072,72231,'Cannot be modified except by direct means',100,2,3),
(288073,10072231,'When Equipped:',100,0,0),
(288074,10072231,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288075,10072231,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(288076,10072231,'Cannot be modified except by direct means',100,2,3),
(288077,75443,'When Equipped:',100,0,0),
(288078,75443,'On any combat or spell hit this spell may cast Ruinous Slash IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(288079,75443,'Inflicts 3037 - 3357 heat damage on targets in Area of Effect',100,2,2),
(288080,75443,'Inflicts 1012 - 1119 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(288081,75443,'Must not be engaged in pvp combat',100,2,4),
(288082,75443,'Cannot be modified except by direct means',100,2,5),
(288083,75443,'Must not be engaged in pvp combat',100,1,6),
(288084,10075443,'When Equipped:',100,0,0),
(288085,10075443,'On any combat or spell hit this spell may cast Ruinous Slash IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(288086,10075443,'Inflicts 3644 - 4028 heat damage on targets in Area of Effect',100,2,2),
(288087,10075443,'Inflicts 1215 - 1343 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(288088,10075443,'Must not be engaged in pvp combat',100,2,4),
(288089,10075443,'Cannot be modified except by direct means',100,2,5),
(288090,10075443,'Must not be engaged in pvp combat',100,1,6),
(288091,35848,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(288092,35848,'Increases Max Health of target by 91.0',100,0,1),
(288093,119298,'Roots target',100,1,0),
(288094,119298,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(288095,119298,'Slows target by 40.6%',100,2,2),
(288096,119298,'5% chance to dispel when target receives hostile action',100,2,3),
(288097,119298,'5% chance to dispel when target takes damage',100,2,4),
(288098,119298,'15% chance to dispel when target takes damage',100,1,5),
(288099,119298,'Does not affect Epic targets',100,1,6),
(288100,119298,'Resistibility increases against targets higher than level 48.',100,1,7),
(288101,10119298,'Roots target',100,1,0),
(288102,10119298,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(288103,10119298,'Slows target by 40.6%',100,2,2),
(288104,10119298,'5% chance to dispel when target receives hostile action',100,2,3),
(288105,10119298,'5% chance to dispel when target takes damage',100,2,4),
(288106,10119298,'15% chance to dispel when target takes damage',100,1,5),
(288107,10119298,'Does not affect Epic targets',100,1,6),
(288108,10119298,'Resistibility increases against targets higher than level 48.',100,1,7),
(288109,155621,'Applies Gnomish Anti-Camo Goggles when Equipped.',100,0,0),
(288110,155621,'Grants See Stealth to caster',100,1,1),
(288111,10155621,'Applies Gnomish Anti-Camo Goggles when Equipped.',100,0,0),
(288112,10155621,'Grants See Stealth to caster',100,1,1),
(288113,35285,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(288114,35285,'Increases Max Power of target by 10.5',100,0,1),
(288115,112285,'Inflicts 19 - 23 disease damage on target',100,1,0),
(288116,112285,'Inflicts 10 - 12 disease damage on target every 3 seconds',100,1,1),
(288117,112285,'Increases Threat to target by 263 - 322  instantly and by 49 - 60  every 3 seconds thereafter',100,1,2),
(288118,10112285,'Inflicts 12 - 14 disease damage on target every 3 seconds',100,1,0),
(288119,10112285,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(288120,100408,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(288121,100408,'Inflicts 22 - 36 slashing damage on target',100,2,1),
(288122,100408,'Increases Threat to target by 126 ',100,2,2),
(288123,100408,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(288124,100408,'Increases Threat to target by 126 ',100,2,4),
(288125,100408,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 308',100,1,5),
(288126,10100408,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(288127,10100408,'Inflicts 26 - 44 slashing damage on target',100,2,1),
(288128,10100408,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(288129,10100408,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 308',100,1,3),
(288130,48432,'Applies thinning bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(288131,48432,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(288132,48432,'Inflicts 254 poison damage on target instantly and every 6 seconds',100,2,2),
(288133,48432,'Cannot be modified except by direct means',100,2,3),
(288134,48432,'Grants a total of 4 triggers of the spell.',100,2,4),
(288135,10048432,'Applies thinning bubbling blood when Activated.  Lasts for 12 hours.',100,0,0),
(288136,10048432,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(288137,10048432,'Inflicts 228 poison damage on target instantly and every 6 seconds',100,2,2),
(288138,10048432,'Cannot be modified except by direct means',100,2,3),
(288139,10048432,'Grants a total of 4 triggers of the spell.',100,2,4),
(288140,45702,'Applies Clouded Noxious Remedy when Activated.',100,0,0),
(288141,45702,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(288142,45702,'Only affects targets level 50 and above',100,1,2),
(288143,10045702,'Applies Clouded Noxious Remedy when Activated.',100,0,0),
(288144,10045702,'Dispels 78 levels of noxious hostile effects on caster',100,1,1),
(288145,10045702,'Only affects targets level 50 and above',100,1,2),
(288146,123204,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(288147,123204,'Inflicts 72 - 88 disease damage on target',100,2,1),
(288148,123204,'Heals caster for 4.0 - 4.8% of max health',100,2,2),
(288149,123204,'This effect cannot be critically applied.',100,3,3),
(288150,123204,'The healing of this spell cannot be modified except by direct means',100,2,4),
(288151,123204,'Grants a total of 5 triggers of the spell.',100,2,5),
(288152,10123204,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(288153,10123204,'Inflicts 86 - 105 disease damage on target',100,2,1),
(288154,10123204,'Heals caster for 1.4 - 1.7% of max health',100,2,2),
(288155,10123204,'This effect cannot be critically applied.',100,3,3),
(288156,10123204,'The healing of this spell cannot be modified except by direct means',100,2,4),
(288157,10123204,'Grants a total of 5 triggers of the spell.',100,2,5),
(288158,100803,'Wards target against 1352 points of all damage',100,1,0),
(288159,10100803,'Wards target against 2080 points of all damage',100,1,0),
(288160,119171,'Inflicts 7 - 13 heat damage on target',100,1,0),
(288161,119171,'Inflicts 7 - 13 heat damage on target',100,1,1),
(288162,119171,'Requires bow',100,1,2),
(288163,10119171,'Inflicts 7 - 13 heat damage on target',100,1,0),
(288164,10119171,'Inflicts 7 - 13 heat damage on target',100,1,1),
(288165,10119171,'Requires bow',100,1,2),
(288166,87391,'When Equipped:',100,0,0),
(288167,87391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288168,87391,'Inflicts 127 - 190 magic damage on target',100,2,2),
(288169,87391,'Cannot be modified except by direct means',100,2,3),
(288170,10087391,'When Equipped:',100,0,0),
(288171,10087391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288172,10087391,'Inflicts 152 - 228 magic damage on target',100,2,2),
(288173,10087391,'Cannot be modified except by direct means',100,2,3),
(288174,120630,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(288175,120630,'Increases Defense and Parry of caster by 5.8',100,1,1),
(288176,120630,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(288177,10120630,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(288178,10120630,'Increases Defense and Parry of caster by 5.8',100,1,1),
(288179,10120630,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(288180,112880,'Inflicts 126 - 154 melee damage on target',100,1,0),
(288181,112880,'Decreases Mitigation of target vs physical damage by 157',100,1,1),
(288182,112880,'Must be flanking or behind',100,1,2),
(288183,10112880,'Inflicts 151 - 185 melee damage on target',100,1,0),
(288184,10112880,'Decreases Mitigation of target vs physical damage by 157',100,1,1),
(288185,10112880,'Must be flanking or behind',100,1,2),
(288186,122453,'Inflicts 781 - 1301 magic damage on target',100,1,0),
(288187,10122453,'Inflicts 937 - 1561 magic damage on target',100,1,0),
(288188,118291,'Summons a limited pet to aid the caster',100,1,0),
(288189,10118291,'Summons a limited pet to aid the caster',100,1,0),
(288190,158676,'When Equipped:',100,0,0),
(288191,158676,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(288192,158676,'Increases Threat to target by 4,460 ',100,2,2),
(288193,158676,'Inflicts 1390 mental damage on target',100,2,3),
(288194,158676,'Cannot be modified except by direct means',100,2,4),
(288195,158676,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(288196,158676,'Increases Threat to target by 4,460 ',100,2,6),
(288197,158676,'Inflicts 1390 mental damage on target',100,2,7),
(288198,158676,'Cannot be modified except by direct means',100,2,8),
(288199,10158676,'When Equipped:',100,0,0),
(288200,10158676,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(288201,10158676,'Inflicts 1668 mental damage on target',100,2,2),
(288202,10158676,'Cannot be modified except by direct means',100,2,3),
(288203,10158676,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(288204,10158676,'Inflicts 1668 mental damage on target',100,2,5),
(288205,10158676,'Cannot be modified except by direct means',100,2,6),
(288206,108100,'Decreases Threat to target by 669 - 1,116 ',100,1,0),
(288207,10108100,'Forces target to clear their selected target.',100,1,0),
(288208,10108100,'Target cannot target caster for the duration of this effect.',100,1,1),
(288209,116086,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(288210,116086,'Heals target for 120 - 147',100,2,1),
(288211,116086,'Grants a total of 5 triggers of the spell.',100,2,2),
(288212,10116086,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(288213,10116086,'Heals target for 78 - 95',100,2,1),
(288214,10116086,'Grants a total of 5 triggers of the spell.',100,2,2),
(288215,48627,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(288216,48627,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(288217,48627,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(288218,48627,'Cannot be modified except by direct means',100,2,3),
(288219,48627,'Grants a total of 80 triggers of the spell.',100,2,4),
(288220,10048627,'Applies abhorrent deterioration when Activated.  Lasts for 12 hours.',100,0,0),
(288221,10048627,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(288222,10048627,'Decreases Mitigation of target vs elemental damage by 132',100,2,2),
(288223,10048627,'Cannot be modified except by direct means',100,2,3),
(288224,10048627,'Grants a total of 80 triggers of the spell.',100,2,4),
(288225,175192,'When Equipped:',100,0,0),
(288226,175192,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(288227,175192,'Wards group members (AE) against 4000 points of all damage',100,2,2),
(288228,175192,'This ward regenerates slowly over time.',100,2,3),
(288229,175192,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(288230,175192,'Heals group members (AE) for 1385 - 1531',100,2,5),
(288231,175192,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,6),
(288232,175192,'Must not be engaged in pvp combat',100,2,7),
(288233,175192,'Cannot be modified except by direct means',100,2,8),
(288234,175192,'Must not be engaged in pvp combat',100,1,9),
(288235,10175192,'When Equipped:',100,0,0),
(288236,10175192,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(288237,10175192,'Wards group members (AE) against 4000 points of all damage',100,2,2),
(288238,10175192,'This ward regenerates slowly over time.',100,2,3),
(288239,10175192,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(288240,10175192,'Heals group members (AE) for 1621 - 1791',100,2,5),
(288241,10175192,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,6),
(288242,10175192,'Must not be engaged in pvp combat',100,2,7),
(288243,10175192,'Cannot be modified except by direct means',100,2,8),
(288244,10175192,'Must not be engaged in pvp combat',100,1,9),
(288245,80366,'When Equipped:',100,0,0),
(288246,80366,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288247,80366,'Inflicts 46 - 86 magic damage on target',100,2,2),
(288248,80366,'Cannot be modified except by direct means',100,2,3),
(288249,10080366,'When Equipped:',100,0,0),
(288250,10080366,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288251,10080366,'Inflicts 55 - 103 magic damage on target',100,2,2),
(288252,10080366,'Cannot be modified except by direct means',100,2,3),
(288253,112484,'Decreases AGI and WIS of target by 60.2',100,1,0),
(288254,10112484,'Decreases AGI and WIS of target by 60.2',100,1,0),
(288255,106989,'Inflicts 1325 - 2461 poison damage on target',100,1,0),
(288256,106989,'Increases power of caster by 130',100,1,1),
(288257,10106989,'Inflicts 1590 - 2953 poison damage on target',100,1,0),
(288258,10106989,'Increases power of caster by 130',100,1,1),
(288259,113780,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(288260,113780,'Heals target for 207 - 253',100,2,1),
(288261,10113780,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(288262,10113780,'Heals target for 135 - 165',100,2,1),
(288263,120027,'Inflicts 40 - 49 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(288264,120027,'Decreases power of target encounter by 13 instantly and every 4 seconds',100,1,1),
(288265,10120027,'Inflicts 48 - 59 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(288266,10120027,'Decreases power of target encounter by 13 instantly and every 4 seconds',100,1,1),
(288267,124340,'Shapechanges caster into a wolf',100,1,0),
(288268,124340,'Grants See Invisibility to caster',100,1,1),
(288269,124340,'Increases Focus of caster by 49.1',100,1,2),
(288270,124340,'Increases Mitigation of caster vs physical damage by 559',100,1,3),
(288271,124340,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2021',100,1,4),
(288272,10124340,'Shapechanges caster into a wolf',100,1,0),
(288273,10124340,'Grants See Invisibility to caster',100,1,1),
(288274,10124340,'Increases Focus of caster by 49.1',100,1,2),
(288275,10124340,'Increases Mitigation of caster vs physical damage by 559',100,1,3),
(288276,10124340,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2021',100,1,4),
(288277,141982,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(288278,141982,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(288279,141982,'Decreases Attack Speed of target by 14.6',100,2,2),
(288280,141982,'Cannot be modified except by direct means',100,2,3),
(288281,141982,'Slows target by 37.0%',100,1,4),
(288282,141982,'5% chance to dispel when target takes damage',100,1,5),
(288283,141982,'5% chance to dispel when target receives hostile action',100,1,6),
(288284,141982,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(288285,10141982,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(288286,10141982,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(288287,10141982,'Decreases Attack Speed of target by 14.6',100,2,2),
(288288,10141982,'Cannot be modified except by direct means',100,2,3),
(288289,10141982,'Slows target by 37.0%',100,1,4),
(288290,10141982,'5% chance to dispel when target takes damage',100,1,5),
(288291,10141982,'5% chance to dispel when target receives hostile action',100,1,6),
(288292,10141982,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(288293,103821,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',100,1,0),
(288294,103821,'Increases Attack Speed of raid and group members (AE) by 14.2',100,1,1),
(288295,10103821,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',100,1,0),
(288296,10103821,'Increases Attack Speed of raid and group members (AE) by 14.2',100,1,1),
(288297,45679,'Applies Irontoe''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(288298,45679,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(288299,10045679,'Applies Irontoe''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(288300,10045679,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(288301,54893,'When Equipped:',100,0,0),
(288302,54893,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(288303,54893,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 615',100,2,2),
(288304,54893,'Cannot be modified except by direct means',100,2,3),
(288305,10054893,'When Equipped:',100,0,0),
(288306,10054893,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(288307,10054893,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 615',100,2,2),
(288308,10054893,'Cannot be modified except by direct means',100,2,3),
(288309,117957,'Heals target for 259 - 317',100,1,0),
(288310,117957,'Increases Max Health of target by 36.1',100,1,1),
(288311,10117957,'Heals target for 297 - 363',100,1,0),
(288312,10117957,'Increases Max Health of target by 36.1',100,1,1),
(288313,162004,'When Equipped:',100,0,0),
(288314,162004,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(288315,162004,'Inflicts 1199 disease damage on target encounter',100,2,2),
(288316,162004,'Must not be engaged in pvp combat',100,2,3),
(288317,162004,'Cannot be modified except by direct means',100,2,4),
(288318,10162004,'When Equipped:',100,0,0),
(288319,10162004,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(288320,10162004,'Inflicts 719 disease damage on target encounter',100,2,2),
(288321,10162004,'Must not be engaged in pvp combat',100,2,3),
(288322,10162004,'Cannot be modified except by direct means',100,2,4),
(288323,103948,'Applies Castigate.',100,1,0),
(288324,103948,'Inflicts 374 - 623 divine damage on targets in Area of Effect',100,2,1),
(288325,103948,'Dispels 87 levels of any hostile effects on caster',100,1,2),
(288326,103948,'Casts Castigate for each successful Dispel.',100,1,3),
(288327,103948,'Inflicts 374 - 623 divine damage on targets in Area of Effect',100,3,4),
(288328,10103948,'Applies Castigate.',100,1,0),
(288329,10103948,'Inflicts 448 - 747 divine damage on targets in Area of Effect',100,2,1),
(288330,10103948,'Dispels 87 levels of any hostile effects on caster',100,1,2),
(288331,10103948,'Casts Castigate for each successful Dispel.',100,1,3),
(288332,10103948,'Inflicts 448 - 747 divine damage on targets in Area of Effect',100,3,4),
(288333,122906,'Increases STR and INT of group members (AE) by 49.6',100,1,0),
(288334,10122906,'Increases STR and INT of group members (AE) by 49.6',100,1,0),
(288335,105005,'Reduces physical damage done to caster by 5%',100,1,0),
(288336,105005,'Adds 2.1% to base avoidance.',100,1,1),
(288337,105005,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(288338,105005,'Increases Parry of caster by 36.4',100,1,3),
(288339,105005,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(288340,105005,'Increases Aggression of caster by 21.8',100,1,5),
(288341,105005,'Increases Defense and Deflection of caster by 36.4',100,1,6),
(288342,105005,'Increases Mitigation of caster vs arcane damage by 2434',100,1,7),
(288343,105005,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(288344,10105005,'Reduces physical damage done to caster by 5%',100,1,0),
(288345,10105005,'Adds 2.1% to base avoidance.',100,1,1),
(288346,10105005,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(288347,10105005,'Increases Parry of caster by 36.4',100,1,3),
(288348,10105005,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(288349,10105005,'Increases Aggression of caster by 21.8',100,1,5),
(288350,10105005,'Increases Defense and Deflection of caster by 36.4',100,1,6),
(288351,10105005,'Increases Mitigation of caster vs arcane damage by 2434',100,1,7),
(288352,10105005,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(288353,107325,'Decreases WIS of target by 55.2',100,1,0),
(288354,107325,'Decreases Defense of target by 21.1',100,1,1),
(288355,10107325,'Decreases WIS of target by 55.2',100,1,0),
(288356,10107325,'Decreases Defense of target by 21.1',100,1,1),
(288357,82754,'When Equipped:',100,0,0),
(288358,82754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288359,82754,'Inflicts 108 - 200 magic damage on target',100,2,2),
(288360,82754,'Cannot be modified except by direct means',100,2,3),
(288361,10082754,'When Equipped:',100,0,0),
(288362,10082754,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288363,10082754,'Inflicts 129 - 240 magic damage on target',100,2,2),
(288364,10082754,'Cannot be modified except by direct means',100,2,3),
(288365,72010,'When Equipped:',100,0,0),
(288366,72010,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288367,72010,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(288368,72010,'Cannot be modified except by direct means',100,2,3),
(288369,10072010,'When Equipped:',100,0,0),
(288370,10072010,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288371,10072010,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(288372,10072010,'Cannot be modified except by direct means',100,2,3),
(288373,87404,'When Equipped:',100,0,0),
(288374,87404,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288375,87404,'Inflicts 127 - 190 magic damage on target',100,2,2),
(288376,87404,'Cannot be modified except by direct means',100,2,3),
(288377,10087404,'When Equipped:',100,0,0),
(288378,10087404,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288379,10087404,'Inflicts 152 - 228 magic damage on target',100,2,2),
(288380,10087404,'Cannot be modified except by direct means',100,2,3),
(288381,112363,'Makes target afraid',100,1,0),
(288382,112363,'30% chance to dispel when target takes damage',100,1,1),
(288383,112363,'Does not affect Epic targets',100,1,2),
(288384,112363,'Resistibility increases against targets higher than level 59.',100,1,3),
(288385,10112363,'Makes target afraid',100,1,0),
(288386,10112363,'30% chance to dispel when target takes damage',100,1,1),
(288387,10112363,'Does not affect Epic targets',100,1,2),
(288388,10112363,'Resistibility increases against targets higher than level 59.',100,1,3),
(288389,46904,'Applies Summon Stallion when Activated.',100,0,0),
(288390,46904,'Increases Ministration of caster by 5.0',100,1,1),
(288391,46904,'Summons a mount to ride',100,1,2),
(288392,46904,'Increases your ground speed by 135%',100,2,3),
(288393,46904,'Increases Disruption, Piercing, Focus, Slashing, Crushing, Aggression, Subjugation, Ordination and Ranged of caster by 5.0',100,1,4),
(288394,10046904,'Applies Summon Stallion when Activated.',100,0,0),
(288395,10046904,'Increases Ministration of caster by 5.0',100,1,1),
(288396,10046904,'Summons a mount to ride',100,1,2),
(288397,10046904,'Increases your ground speed by 135%',100,2,3),
(288398,10046904,'Increases Disruption, Piercing, Focus, Slashing, Crushing, Aggression, Subjugation, Ordination and Ranged of caster by 5.0',100,1,4),
(288399,110400,'Inflicts 779 - 1299 disease damage on target',100,1,0),
(288400,10110400,'Inflicts 641 - 1069 disease damage on target',100,1,0),
(288401,105784,'Inflicts 648 - 792 heat damage on target',100,1,0),
(288402,10105784,'Inflicts 1037 - 1267 heat damage on target',100,1,0),
(288403,119861,'Increases INT and AGI of group members (AE) by 10.4',100,1,0),
(288404,119861,'Adds 1.6% to base avoidance.',100,1,1),
(288405,10119861,'Increases INT and AGI of group members (AE) by 10.4',100,1,0),
(288406,10119861,'Adds 1.6% to base avoidance.',100,1,1),
(288407,120829,'Inflicts 17 - 23 disease damage on target instantly and every second',100,1,0),
(288408,10120829,'Inflicts 28 - 38 disease damage on target',100,1,0),
(288409,10120829,'Inflicts 20 - 27 disease damage on target every second',100,1,1),
(288410,173824,'When Equipped:',100,0,0),
(288411,173824,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(288412,10173824,'When Equipped:',100,0,0),
(288413,10173824,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(288414,74795,'When Equipped:',100,0,0),
(288415,74795,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288416,74795,'Inflicts 86 - 129 magic damage on target',100,2,2),
(288417,74795,'Cannot be modified except by direct means',100,2,3),
(288418,10074795,'When Equipped:',100,0,0),
(288419,10074795,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288420,10074795,'Inflicts 103 - 155 magic damage on target',100,2,2),
(288421,10074795,'Cannot be modified except by direct means',100,2,3),
(288422,106260,'Wards target against 792 points of all damage',100,1,0),
(288423,10106260,'Wards target against 792 points of all damage',100,1,0),
(288424,120006,'Increases Threat to target by 1,943 - 2,272 ',100,1,0),
(288425,10120006,'Prevents target from changing targets',100,1,0),
(288426,10120006,'Forces target to change their selected target to caster.',100,1,1),
(288427,107749,'Stuns target',100,1,0),
(288428,107749,'If Target is not Epic',100,2,1),
(288429,107749,'Inflicts 237 - 395 cold damage on target',100,1,2),
(288430,107749,'Resistibility increases against targets higher than level 59.',100,1,3),
(288431,10107749,'Stuns target',100,1,0),
(288432,10107749,'If Target is not Epic',100,2,1),
(288433,10107749,'Inflicts 285 - 474 cold damage on target',100,1,2),
(288434,10107749,'Resistibility increases against targets higher than level 59.',100,1,3),
(288435,35756,'Increases STA of target by 17.8',100,0,0),
(288436,35756,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(288437,114722,'Grants target a 48% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(288438,114722,'Decreases Hate Gain of target by 31.7%',100,1,1),
(288439,10114722,'Grants target a 48% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(288440,120282,'Swaps your current hate position with your target''s hate position.',100,1,0),
(288441,120282,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(288442,120282,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(288443,120282,'Cannot be modified except by direct means',100,2,3),
(288444,120282,'Decreases Threat to target by 2,965 ',100,1,4),
(288445,120282,'If profession other than Fighter',100,2,5),
(288446,120282,'Increases Threat to target by 3,425 ',100,1,6),
(288447,120282,'If Fighter',100,2,7),
(288448,120282,'Must be engaged in combat',100,1,8),
(288449,120282,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(288450,10120282,'Forces target to clear their selected target.',100,1,0),
(288451,10120282,'Must be engaged in combat',100,1,1),
(288452,10120282,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(288453,162706,'When Equipped:',100,0,0),
(288454,162706,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(288455,162706,'Heals caster for 118 instantly and every 5 seconds',100,2,2),
(288456,162706,'Cannot be modified except by direct means',100,2,3),
(288457,10162706,'When Equipped:',100,0,0),
(288458,10162706,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(288459,10162706,'Heals caster for 77 instantly and every 5 seconds',100,2,2),
(288460,10162706,'Cannot be modified except by direct means',100,2,3),
(288461,158723,'When Equipped:',100,0,0),
(288462,158723,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(288463,158723,'Inflicts 1192 disease damage on target encounter',100,2,2),
(288464,158723,'Must not be engaged in pvp combat',100,2,3),
(288465,158723,'Cannot be modified except by direct means',100,2,4),
(288466,10158723,'When Equipped:',100,0,0),
(288467,10158723,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(288468,10158723,'Inflicts 715 disease damage on target encounter',100,2,2),
(288469,10158723,'Must not be engaged in pvp combat',100,2,3),
(288470,10158723,'Cannot be modified except by direct means',100,2,4),
(288471,45686,'Applies Kendoan''s Magical Concotion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(288472,45686,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(288473,45686,'Inflicts 15 magic damage on target',100,2,2),
(288474,45686,'Cannot be modified except by direct means',100,2,3),
(288475,10045686,'Applies Kendoan''s Magical Concotion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(288476,10045686,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(288477,10045686,'Inflicts 18 magic damage on target',100,2,2),
(288478,10045686,'Cannot be modified except by direct means',100,2,3),
(288479,144406,'When Equipped:',100,0,0),
(288480,144406,'On a spell cast this spell may cast Mind Wash on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(288481,144406,'Increases power of caster by 108',100,2,2),
(288482,144406,'Cannot be modified except by direct means',100,2,3),
(288483,10144406,'When Equipped:',100,0,0),
(288484,10144406,'On a spell cast this spell may cast Mind Wash on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(288485,10144406,'Increases power of caster by 108',100,2,2),
(288486,10144406,'Cannot be modified except by direct means',100,2,3),
(288487,110148,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.7',100,1,0),
(288488,10110148,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.7',100,1,0),
(288489,104990,'Reduces physical damage done to caster by 5%',100,1,0),
(288490,104990,'Adds 2.1% to base avoidance.',100,1,1),
(288491,104990,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(288492,104990,'Increases Parry of caster by 18.5',100,1,3),
(288493,104990,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(288494,104990,'Increases Aggression of caster by 11.1',100,1,5),
(288495,104990,'Increases Defense and Deflection of caster by 18.5',100,1,6),
(288496,104990,'Increases Mitigation of caster vs arcane damage by 1232',100,1,7),
(288497,104990,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(288498,10104990,'Reduces physical damage done to caster by 5%',100,1,0),
(288499,10104990,'Adds 2.1% to base avoidance.',100,1,1),
(288500,10104990,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(288501,10104990,'Increases Parry of caster by 18.5',100,1,3),
(288502,10104990,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,4),
(288503,10104990,'Increases Aggression of caster by 11.1',100,1,5),
(288504,10104990,'Increases Defense and Deflection of caster by 18.5',100,1,6),
(288505,10104990,'Increases Mitigation of caster vs arcane damage by 1232',100,1,7),
(288506,10104990,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(288507,45770,'Applies Form of the Droag when Activated.  Lasts for 25 minutes.',100,0,0),
(288508,45770,'Shapechanges caster into a droag',100,1,1),
(288509,10045770,'Applies Form of the Droag when Activated.  Lasts for 25 minutes.',100,0,0),
(288510,10045770,'Shapechanges caster into a droag',100,1,1),
(288511,75643,'Applies Holy Strike when Activated.',100,0,0),
(288512,75643,'Inflicts 125 - 209 divine damage on target',100,1,1),
(288513,75643,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(288514,10075643,'Applies Holy Strike when Activated.',100,0,0),
(288515,10075643,'Inflicts 150 - 250 divine damage on target',100,1,1),
(288516,10075643,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(288517,71955,'When Equipped:',100,0,0),
(288518,71955,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288519,71955,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(288520,71955,'Cannot be modified except by direct means',100,2,3),
(288521,10071955,'When Equipped:',100,0,0),
(288522,10071955,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288523,10071955,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(288524,10071955,'Cannot be modified except by direct means',100,2,3),
(288525,74873,'When Equipped:',100,0,0),
(288526,74873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288527,74873,'Inflicts 111 - 166 magic damage on target',100,2,2),
(288528,74873,'Cannot be modified except by direct means',100,2,3),
(288529,10074873,'When Equipped:',100,0,0),
(288530,10074873,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288531,10074873,'Inflicts 133 - 199 magic damage on target',100,2,2),
(288532,10074873,'Cannot be modified except by direct means',100,2,3),
(288533,85450,'When Equipped:',100,0,0),
(288534,85450,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288535,85450,'Increases Attack Speed of caster by 11.9',100,2,2),
(288536,85450,'Cannot be modified except by direct means',100,2,3),
(288537,10085450,'When Equipped:',100,0,0),
(288538,10085450,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288539,10085450,'Increases Attack Speed of caster by 11.9',100,2,2),
(288540,10085450,'Cannot be modified except by direct means',100,2,3),
(288541,106707,'Heals target for 127 - 155',100,1,0),
(288542,10106707,'Heals target for 149 - 182',100,1,0),
(288543,111661,'Inflicts 385 - 471 cold damage on target encounter',100,1,0),
(288544,111661,'Slows target encounter by 42.8%',100,1,1),
(288545,111661,'5% chance to dispel when target takes damage',100,1,2),
(288546,111661,'5% chance to dispel when target receives hostile action',100,1,3),
(288547,10111661,'Inflicts 616 - 753 cold damage on target encounter',100,1,0),
(288548,10111661,'Slows target encounter by 42.8%',100,1,1),
(288549,10111661,'5% chance to dispel when target takes damage',100,1,2),
(288550,10111661,'5% chance to dispel when target receives hostile action',100,1,3),
(288551,82719,'When Equipped:',100,0,0),
(288552,82719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288553,82719,'Inflicts 108 - 200 magic damage on target',100,2,2),
(288554,82719,'Cannot be modified except by direct means',100,2,3),
(288555,10082719,'When Equipped:',100,0,0),
(288556,10082719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288557,10082719,'Inflicts 129 - 240 magic damage on target',100,2,2),
(288558,10082719,'Cannot be modified except by direct means',100,2,3),
(288559,111179,'Inflicts 50 - 84 divine damage on targets in area',100,1,0),
(288560,111179,'Heals group members (AE) for 1.8% of max health',100,1,1),
(288561,111179,'This effect cannot be critically applied.',100,2,2),
(288562,111179,'The healing of this spell cannot be modified except by direct means',100,1,3),
(288563,10111179,'Inflicts 60 - 100 divine damage on targets in area',100,1,0),
(288564,10111179,'Heals group members (AE) for 1.1% of max health',100,1,1),
(288565,10111179,'This effect cannot be critically applied.',100,2,2),
(288566,10111179,'The healing of this spell cannot be modified except by direct means',100,1,3),
(288567,189007,'When Equipped:',100,0,0),
(288568,189007,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(288569,189007,'Heals caster for 152 instantly and every 5 seconds',100,2,2),
(288570,189007,'Cannot be modified except by direct means',100,2,3),
(288571,10189007,'When Equipped:',100,0,0),
(288572,10189007,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(288573,10189007,'Heals caster for 98 instantly and every 5 seconds',100,2,2),
(288574,10189007,'Cannot be modified except by direct means',100,2,3),
(288575,146255,'When Equipped:',100,0,0),
(288576,146255,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(288577,146255,'Increases power of target by 359',100,2,2),
(288578,146255,'Decreases power of caster by 324',100,2,3),
(288579,146255,'Cannot be modified except by direct means',100,2,4),
(288580,10146255,'When Equipped:',100,0,0),
(288581,10146255,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(288582,10146255,'Increases power of target by 359',100,2,2),
(288583,10146255,'Decreases power of caster by 324',100,2,3),
(288584,10146255,'Cannot be modified except by direct means',100,2,4),
(288585,25742,'When Equipped:',100,0,0),
(288586,25742,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(288587,25742,'Improves the Damage Per Second and Attack Speed reduction of Quick Swipe X by 40%.',100,1,2),
(288588,10025742,'When Equipped:',100,0,0),
(288589,10025742,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(288590,10025742,'Improves the Damage Per Second and Attack Speed reduction of Quick Swipe X by 40%.',100,1,2),
(288591,71997,'When Equipped:',100,0,0),
(288592,71997,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288593,71997,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(288594,71997,'Cannot be modified except by direct means',100,2,3),
(288595,10071997,'When Equipped:',100,0,0),
(288596,10071997,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288597,10071997,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(288598,10071997,'Cannot be modified except by direct means',100,2,3),
(288599,36922,'Increases STR of target by 8.4',100,0,0),
(288600,36922,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(288601,110038,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(288602,110038,'Inflicts 266 - 444 disease damage on target',100,2,1),
(288603,110038,'Heals caster for 2.4 - 3.9% of max health',100,2,2),
(288604,110038,'This effect cannot be critically applied.',100,3,3),
(288605,110038,'The healing of this spell cannot be modified except by direct means',100,2,4),
(288606,10110038,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(288607,10110038,'Inflicts 320 - 533 disease damage on target',100,2,1),
(288608,10110038,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(288609,10110038,'This effect cannot be critically applied.',100,3,3),
(288610,10110038,'The healing of this spell cannot be modified except by direct means',100,2,4),
(288611,48259,'Applies Call Steppes Pony when Activated.',100,0,0),
(288612,48259,'Summons a mount to ride',100,1,1),
(288613,48259,'Increases your ground speed by 130%',100,2,2),
(288614,10048259,'Applies Call Steppes Pony when Activated.',100,0,0),
(288615,10048259,'Summons a mount to ride',100,1,1),
(288616,10048259,'Increases your ground speed by 130%',100,2,2),
(288617,117397,'Increases Threat to target by 1,113 ',100,1,0),
(288618,117397,'Inflicts 76 - 228 melee damage on target',100,1,1),
(288619,10117397,'Forces target to change their selected target to caster.',100,1,0),
(288620,10117397,'Inflicts 60 - 182 melee damage on target',100,1,1),
(288621,123169,'Reduces physical damage done to caster by 5%',100,1,0),
(288622,123169,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(288623,123169,'Increases Aggression of caster by 9.6',100,1,2),
(288624,123169,'Increases Defense and Parry of caster by 19.1',100,1,3),
(288625,123169,'Increases Mitigation of caster vs elemental damage by 1276',100,1,4),
(288626,123169,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(288627,10123169,'Reduces physical damage done to caster by 5%',100,1,0),
(288628,10123169,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(288629,10123169,'Increases Aggression of caster by 9.6',100,1,2),
(288630,10123169,'Increases Defense and Parry of caster by 19.1',100,1,3),
(288631,10123169,'Increases Mitigation of caster vs elemental damage by 1276',100,1,4),
(288632,10123169,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(288633,80016,'When Equipped:',100,0,0),
(288634,80016,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288635,80016,'Reduces the power cost of spells by 10%.',100,2,2),
(288636,80016,'Cannot be modified except by direct means',100,2,3),
(288637,10080016,'When Equipped:',100,0,0),
(288638,10080016,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288639,10080016,'Reduces the power cost of spells by 10%.',100,2,2),
(288640,10080016,'Cannot be modified except by direct means',100,2,3),
(288641,46071,'Applies Elixir of Endurance when Activated.  Lasts for 30 minutes.',100,0,0),
(288642,46071,'Increases STA and STR of caster by 12.0',100,1,1),
(288643,10046071,'Applies Elixir of Endurance when Activated.  Lasts for 30 minutes.',100,0,0),
(288644,10046071,'Increases STA and STR of caster by 12.0',100,1,1),
(288645,105917,'Inflicts 760 - 1267 melee damage on target',100,1,0),
(288646,105917,'If over 33% Health',100,2,1),
(288647,105917,'Inflicts 2281 - 3803 melee damage on target',100,1,2),
(288648,105917,'If under 33% Health',100,2,3),
(288649,105917,'Must be flanking or behind',100,1,4),
(288650,10105917,'Inflicts 912 - 1521 melee damage on target',100,1,0),
(288651,10105917,'If over 20% Health',100,2,1),
(288652,10105917,'Inflicts 2434 - 4056 melee damage on target',100,1,2),
(288653,10105917,'If under 20% Health',100,2,3),
(288654,10105917,'Must be flanking or behind',100,1,4),
(288655,134126,'Applies Preparation when Activated.  Lasts for 10.0 seconds.',100,0,0),
(288656,134126,'Increases the ring wearer''s spell damage by 2000 for a short duration.',100,1,1),
(288657,134126,'The reuse time of Preparation is 1 minute 30 seconds',100,1,2),
(288658,10134126,'Applies Preparation when Activated.  Lasts for 10.0 seconds.',100,0,0),
(288659,10134126,'Increases the ring wearer''s spell damage by 2000 for a short duration.',100,1,1),
(288660,10134126,'The reuse time of Preparation is 1 minute 30 seconds',100,1,2),
(288661,159112,'Applies Sanguine Imbued when Equipped.',100,0,0),
(288662,159112,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(288663,159112,'Inflicts 34 heat damage on target',100,2,2),
(288664,159112,'Cannot be modified except by direct means',100,2,3),
(288665,10159112,'Applies Sanguine Imbued when Equipped.',100,0,0),
(288666,10159112,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(288667,10159112,'Inflicts 41 heat damage on target',100,2,2),
(288668,10159112,'Cannot be modified except by direct means',100,2,3),
(288669,36172,'Increases STA and WIS of target by 4.6',100,0,0),
(288670,36172,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,1),
(288671,120079,'Inflicts 195 - 326 mental damage on target',100,1,0),
(288672,120079,'Inflicts 195 - 326 mental damage on target',100,1,1),
(288673,120079,'Stifles target',100,1,2),
(288674,120079,'If Target is not Epic',100,2,3),
(288675,120079,'If weapon equipped in Ranged',100,1,4),
(288676,120079,'Resistibility increases against targets higher than level 87.',100,1,5),
(288677,10120079,'Inflicts 195 - 326 mental damage on target',100,1,0),
(288678,10120079,'Inflicts 195 - 326 mental damage on target',100,1,1),
(288679,10120079,'Stifles target',100,1,2),
(288680,10120079,'If Target is not Epic',100,2,3),
(288681,10120079,'If weapon equipped in Ranged',100,1,4),
(288682,10120079,'Resistibility increases against targets higher than level 87.',100,1,5),
(288683,108766,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(288684,108766,'Inflicts 20 - 25 heat damage on target instantly and every 4 seconds',100,2,1),
(288685,108766,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(288686,108766,'Inflicts 90 - 110 heat damage on target encounter',100,3,3),
(288687,108766,'Grants a total of 1 trigger of the spell.',100,3,4),
(288688,10108766,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(288689,10108766,'Inflicts 24 - 30 heat damage on target instantly and every 4 seconds',100,2,1),
(288690,10108766,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(288691,10108766,'Inflicts 108 - 132 heat damage on target encounter',100,3,3),
(288692,10108766,'Grants a total of 1 trigger of the spell.',100,3,4),
(288693,45493,'Applies Marr''s Defense when Activated.  Lasts for 54.0 seconds.',100,0,0),
(288694,45493,'Increases Defense of caster by 16.3',100,1,1),
(288695,45493,'Increases Mitigation of caster vs physical damage by 78',100,1,2),
(288696,10045493,'Applies Marr''s Defense when Activated.  Lasts for 54.0 seconds.',100,0,0),
(288697,10045493,'Increases Defense of caster by 16.3',100,1,1),
(288698,10045493,'Increases Mitigation of caster vs physical damage by 78',100,1,2),
(288699,85325,'Applies Poison Bolt when Activated.',100,0,0),
(288700,85325,'Inflicts 89 - 149 poison damage on target',100,1,1),
(288701,85325,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(288702,10085325,'Applies Poison Bolt when Activated.',100,0,0),
(288703,10085325,'Inflicts 107 - 179 poison damage on target',100,1,1),
(288704,10085325,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(288705,111658,'Inflicts 330 - 404 cold damage on target encounter',100,1,0),
(288706,111658,'Slows target encounter by 42.8%',100,1,1),
(288707,111658,'5% chance to dispel when target takes damage',100,1,2),
(288708,111658,'5% chance to dispel when target receives hostile action',100,1,3),
(288709,10111658,'Inflicts 528 - 646 cold damage on target encounter',100,1,0),
(288710,10111658,'Slows target encounter by 42.8%',100,1,1),
(288711,10111658,'5% chance to dispel when target takes damage',100,1,2),
(288712,10111658,'5% chance to dispel when target receives hostile action',100,1,3),
(288713,156900,'Applies Unstable Magics when Equipped.',100,0,0),
(288714,156900,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(288715,10156900,'Applies Unstable Magics when Equipped.',100,0,0),
(288716,10156900,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(288717,104673,'Decreases Mitigation of target vs all damage by 274',100,1,0),
(288718,10104673,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 274',100,1,0),
(288719,10104673,'Decreases Mitigation of target vs physical damage by 228',100,1,1),
(288720,24610,'Adds Otyugh (Berserker) to your Dungeon Maker toolbox',100,0,0),
(288721,10024610,'Adds Otyugh (Berserker) to your Dungeon Maker toolbox',100,0,0),
(288722,120340,'Increases Threat to target by 1,479 - 1,706 ',100,1,0),
(288723,10120340,'Forces target to change their selected target to caster.',100,1,0),
(288724,10120340,'Prevents target from changing targets',100,1,1),
(288725,106209,'Applies Defile.',100,1,0),
(288726,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,1),
(288727,106209,'If under 10% Health',100,3,2),
(288728,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,3),
(288729,106209,'If under 30% Health',100,3,4),
(288730,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,5),
(288731,106209,'If under 20% Health',100,3,6),
(288732,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,7),
(288733,106209,'If under 80% Health',100,3,8),
(288734,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,9),
(288735,106209,'If under 50% Health',100,3,10),
(288736,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,11),
(288737,106209,'If under 60% Health',100,3,12),
(288738,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,13),
(288739,106209,'If under 40% Health',100,3,14),
(288740,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,15),
(288741,106209,'If under 100% Health',100,3,16),
(288742,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,17),
(288743,106209,'If under 90% Health',100,3,18),
(288744,106209,'Inflicts 76 disease damage on targets in Area of Effect',100,2,19),
(288745,106209,'If under 70% Health',100,3,20),
(288746,10106209,'Applies Defile.',100,1,0),
(288747,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,1),
(288748,10106209,'If at 50% Health or less',100,3,2),
(288749,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,3),
(288750,10106209,'If at 40% Health or less',100,3,4),
(288751,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,5),
(288752,10106209,'If at 30% Health or less',100,3,6),
(288753,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,7),
(288754,10106209,'If at 80% Health or less',100,3,8),
(288755,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,9),
(288756,10106209,'If at 10% Health or less',100,3,10),
(288757,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,11),
(288758,10106209,'If at 100% Health or greater',100,3,12),
(288759,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,13),
(288760,10106209,'If at 60% Health or less',100,3,14),
(288761,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,15),
(288762,10106209,'If at 90% Health or less',100,3,16),
(288763,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,17),
(288764,10106209,'If at 20% Health or less',100,3,18),
(288765,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,19),
(288766,10106209,'If over 100% Health',100,3,20),
(288767,10106209,'Inflicts 91 disease damage on targets in Area of Effect',100,2,21),
(288768,10106209,'If at 70% Health or less',100,3,22),
(288769,87116,'When Equipped:',100,0,0),
(288770,87116,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288771,87116,'Inflicts 155 - 232 magic damage on target',100,2,2),
(288772,87116,'Cannot be modified except by direct means',100,2,3),
(288773,10087116,'When Equipped:',100,0,0),
(288774,10087116,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288775,10087116,'Inflicts 186 - 278 magic damage on target',100,2,2),
(288776,10087116,'Cannot be modified except by direct means',100,2,3),
(288777,54430,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(288778,54430,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(288779,54430,'Inflicts 14 heat damage on target',100,2,2),
(288780,54430,'Cannot be modified except by direct means',100,2,3),
(288781,10054430,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(288782,10054430,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(288783,10054430,'Inflicts 17 heat damage on target',100,2,2),
(288784,10054430,'Cannot be modified except by direct means',100,2,3),
(288785,121048,'Increases STR and STA of group members (AE) by 14.6',100,1,0),
(288786,10121048,'Increases STR and STA of group members (AE) by 14.6',100,1,0),
(288787,25545,'When Equipped:',100,0,0),
(288788,25545,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(288789,25545,'Adds 3 additional triggers to Holy Intercession VII.',100,1,2),
(288790,10025545,'When Equipped:',100,0,0),
(288791,10025545,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(288792,10025545,'Adds 3 additional triggers to Holy Intercession VII.',100,1,2),
(288793,106915,'Inflicts 16 - 30 poison damage on target',100,1,0),
(288794,10106915,'Inflicts 19 - 36 poison damage on target',100,1,0),
(288795,148902,'When Equipped:',100,0,0),
(288796,148902,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(288797,148902,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(288798,148902,'Increases Potency of caster by 11.0%',100,2,3),
(288799,148902,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,4),
(288800,148902,'Must not be engaged in pvp combat',100,2,5),
(288801,148902,'Cannot be modified except by direct means',100,2,6),
(288802,148902,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(288803,148902,'Increases Potency of caster by 11.0%',100,2,8),
(288804,148902,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,9),
(288805,148902,'Must not be engaged in pvp combat',100,2,10),
(288806,148902,'Cannot be modified except by direct means',100,2,11),
(288807,148902,'Cannot be modified except by direct means',100,1,12),
(288808,148902,'When Equipped:',100,0,13),
(288809,148902,'Increases Attack Speed of caster by 40.0',100,1,14),
(288810,10148902,'When Equipped:',100,0,0),
(288811,10148902,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(288812,10148902,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(288813,10148902,'Increases Potency of caster by 11.0%',100,2,3),
(288814,10148902,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,4),
(288815,10148902,'Must not be engaged in pvp combat',100,2,5),
(288816,10148902,'Cannot be modified except by direct means',100,2,6),
(288817,10148902,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(288818,10148902,'Increases Potency of caster by 11.0%',100,2,8),
(288819,10148902,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 11.5',100,2,9),
(288820,10148902,'Must not be engaged in pvp combat',100,2,10),
(288821,10148902,'Cannot be modified except by direct means',100,2,11),
(288822,10148902,'Cannot be modified except by direct means',100,1,12),
(288823,10148902,'When Equipped:',100,0,13),
(288824,10148902,'Increases Attack Speed of caster by 40.0',100,1,14),
(288825,35822,'Increases STR of target by 2.4',100,0,0),
(288826,35822,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(288827,123945,'Increases STR and WIS of target by 136.6',100,1,0),
(288828,123945,'Increases Mitigation of target vs elemental, noxious and arcane damage by 409',100,1,1),
(288829,10123945,'Increases STR and WIS of target by 136.6',100,1,0),
(288830,10123945,'Increases Mitigation of target vs elemental, noxious and arcane damage by 409',100,1,1),
(288831,111277,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(288832,111277,'Increases Mitigation of target vs physical damage by 1089',100,2,1),
(288833,111277,'Heals target for 1966',100,2,2),
(288834,111277,'Grants a total of 1 trigger of the spell.',100,2,3),
(288835,10111277,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(288836,10111277,'Increases Mitigation of target vs physical damage by 1089',100,2,1),
(288837,10111277,'Heals target for 2301',100,2,2),
(288838,10111277,'Grants a total of 1 trigger of the spell.',100,2,3),
(288839,24055,'Adds Bugbear (Berserker) to your Dungeon Maker toolbox',100,0,0),
(288840,10024055,'Adds Bugbear (Berserker) to your Dungeon Maker toolbox',100,0,0),
(288841,123701,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(288842,123701,'Inflicts 95 divine damage on target',100,2,1),
(288843,123701,'Grants a total of 5 triggers of the spell.',100,2,2),
(288844,10123701,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(288845,10123701,'Inflicts 114 divine damage on target',100,2,1),
(288846,10123701,'Grants a total of 5 triggers of the spell.',100,2,2),
(288847,115650,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 768',100,1,0),
(288848,10115650,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 768',100,1,0),
(288849,107000,'Decreases Threat to targets in Area of Effect by 325 ',100,1,0),
(288850,107000,'Dazes targets in Area of Effect',100,1,1),
(288851,107000,'If Target is not Epic',100,2,2),
(288852,107000,'Dispelled when target receives hostile action',100,1,3),
(288853,107000,'Dispelled when target takes damage',100,1,4),
(288854,10107000,'Dazes targets in Area of Effect',100,1,0),
(288855,10107000,'If Target is not Epic',100,2,1),
(288856,10107000,'Dispelled when target receives hostile action',100,1,2),
(288857,10107000,'Dispelled when target takes damage',100,1,3),
(288858,119491,'Dazes target encounter',100,1,0),
(288859,119491,'If Target is not Epic',100,2,1),
(288860,119491,'Inflicts 177 - 216 magic damage on target encounter instantly and every second',100,1,2),
(288861,119491,'Resistibility increases against targets higher than level 96.',100,1,3),
(288862,10119491,'Dazes target encounter',100,1,0),
(288863,10119491,'If Target is not Epic',100,2,1),
(288864,10119491,'Inflicts 279 - 341 magic damage on target encounter',100,1,2),
(288865,10119491,'Inflicts 212 - 259 magic damage on target encounter every second',100,1,3),
(288866,10119491,'Resistibility increases against targets higher than level 96.',100,1,4),
(288867,102592,'Increases Threat to target encounter by 510 - 624 ',100,1,0),
(288868,102592,'Interrupts target encounter',100,1,1),
(288869,102592,'Decreases Mitigation of target encounter vs noxious damage by 264',100,1,2),
(288870,10102592,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(288871,10102592,'Prevents target from changing targets',100,2,1),
(288872,10102592,'Forces target to change their selected target to caster.',100,2,2),
(288873,10102592,'Interrupts target encounter',100,1,3),
(288874,10102592,'Decreases Mitigation of target encounter vs noxious damage by 264',100,1,4),
(288875,109947,'Stuns target',100,1,0),
(288876,109947,'Does not affect Epic targets',100,1,1),
(288877,109947,'Resistibility increases against targets higher than level 101.',100,1,2),
(288878,10109947,'Stuns target',100,1,0),
(288879,10109947,'Does not affect Epic targets',100,1,1),
(288880,10109947,'Resistibility increases against targets higher than level 101.',100,1,2),
(288881,101136,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(288882,101136,'Inflicts 98 ranged damage on target',100,2,1),
(288883,101136,'Decreases Defense of caster by 9.3',100,1,2),
(288884,101136,'Increases Crushing, Piercing, Ranged and Slashing of caster by 13.3',100,1,3),
(288885,10101136,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(288886,10101136,'Inflicts 73 ranged damage on target',100,2,1),
(288887,10101136,'Decreases Defense of caster by 9.3',100,1,2),
(288888,10101136,'Increases Crushing, Piercing, Ranged and Slashing of caster by 13.3',100,1,3),
(288889,81827,'When Equipped:',100,0,0),
(288890,81827,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(288891,81827,'Inflicts 108 - 200 magic damage on target',100,2,2),
(288892,81827,'Decreases Threat to target by 487 ',100,2,3),
(288893,81827,'Must be flanking or behind',100,3,4),
(288894,81827,'Increases Threat to target by 852 ',100,2,5),
(288895,81827,'Must be in front of',100,3,6),
(288896,81827,'Cannot be modified except by direct means',100,2,7),
(288897,10081827,'When Equipped:',100,0,0),
(288898,10081827,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(288899,10081827,'Inflicts 129 - 240 magic damage on target',100,2,2),
(288900,10081827,'Cannot be modified except by direct means',100,2,3),
(288901,100600,'Inflicts 422 - 703 melee damage on target',100,1,0),
(288902,100600,'You must be sneaking to use this ability.',100,1,1),
(288903,10100600,'Inflicts 605 - 1008 melee damage on target',100,1,0),
(288904,10100600,'You must be sneaking to use this ability.',100,1,1),
(288905,81562,'When Equipped:',100,0,0),
(288906,81562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288907,81562,'Inflicts 111 - 205 magic damage on target',100,2,2),
(288908,81562,'Cannot be modified except by direct means',100,2,3),
(288909,10081562,'When Equipped:',100,0,0),
(288910,10081562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288911,10081562,'Inflicts 133 - 246 magic damage on target',100,2,2),
(288912,10081562,'Cannot be modified except by direct means',100,2,3),
(288913,124005,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(288914,124005,'Heals target for 96 - 117',100,2,1),
(288915,124005,'Grants a total of 5 triggers of the spell.',100,2,2),
(288916,10124005,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(288917,10124005,'Heals target for 62 - 76',100,2,1),
(288918,10124005,'Grants a total of 5 triggers of the spell.',100,2,2),
(288919,36010,'Increases AGI of target by 4.3',100,0,0),
(288920,36010,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(288921,103359,'Decreases power of target by 6 instantly and every 6 seconds',100,1,0),
(288922,103359,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',100,1,1),
(288923,103359,'Increases power of caster by 28',100,1,2),
(288924,10103359,'Decreases power of target by 6 instantly and every 6 seconds',100,1,0),
(288925,10103359,'Inflicts 29 - 35 mental damage on target instantly and every 6 seconds',100,1,1),
(288926,10103359,'Increases power of caster by 28',100,1,2),
(288927,70828,'When Equipped:',100,0,0),
(288928,70828,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288929,70828,'Increases Attack Speed of caster by 20.0',100,2,2),
(288930,70828,'Cannot be modified except by direct means',100,2,3),
(288931,10070828,'When Equipped:',100,0,0),
(288932,10070828,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(288933,10070828,'Increases Attack Speed of caster by 20.0',100,2,2),
(288934,10070828,'Cannot be modified except by direct means',100,2,3),
(288935,104915,'Inflicts 249 - 415 ranged damage on target',100,1,0),
(288936,104915,'Decreases Deflection and Parry of target by 24.5',100,1,1),
(288937,104915,'Requires bow',100,1,2),
(288938,10104915,'Inflicts 187 - 311 ranged damage on target',100,1,0),
(288939,10104915,'Decreases Deflection and Parry of target by 24.5',100,1,1),
(288940,10104915,'Requires bow',100,1,2),
(288941,107490,'Inflicts 279 - 837 magic damage on targets in Area of Effect',100,1,0),
(288942,107490,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(288943,107490,'Stuns target',100,2,2),
(288944,107490,'Throws target back',100,2,3),
(288945,107490,'Blurs vision of target',100,2,4),
(288946,107490,'Does not affect Epic targets',100,2,5),
(288947,10107490,'Inflicts 335 - 1005 magic damage on targets in Area of Effect',100,1,0),
(288948,10107490,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(288949,10107490,'Stuns target',100,2,2),
(288950,10107490,'Throws target back',100,2,3),
(288951,10107490,'Blurs vision of target',100,2,4),
(288952,10107490,'Does not affect Epic targets',100,2,5),
(288953,119607,'Increases power of caster by 113 instantly and every 4 seconds',100,1,0),
(288954,10119607,'Increases power of caster by 113 instantly and every 4 seconds',100,1,0),
(288955,36350,'Increases Max Power of target by 68.2',100,0,0),
(288956,36350,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(288957,186896,'When Equipped:',100,0,0),
(288958,186896,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(288959,186896,'Inflicts 1986 magic damage on target',100,2,2),
(288960,186896,'Cannot be modified except by direct means',100,2,3),
(288961,10186896,'When Equipped:',100,0,0),
(288962,10186896,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(288963,10186896,'Inflicts 1192 magic damage on target',100,2,2),
(288964,10186896,'Cannot be modified except by direct means',100,2,3),
(288965,74831,'When Equipped:',100,0,0),
(288966,74831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288967,74831,'Inflicts 86 - 129 magic damage on target',100,2,2),
(288968,74831,'Cannot be modified except by direct means',100,2,3),
(288969,10074831,'When Equipped:',100,0,0),
(288970,10074831,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(288971,10074831,'Inflicts 103 - 155 magic damage on target',100,2,2),
(288972,10074831,'Cannot be modified except by direct means',100,2,3),
(288973,181282,'When Equipped:',100,0,0),
(288974,181282,'On a spell cast this spell may cast Mana Breeze on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(288975,181282,'Increases power of group members by 301',100,2,2),
(288976,181282,'Cannot be modified except by direct means',100,2,3),
(288977,10181282,'When Equipped:',100,0,0),
(288978,10181282,'On a spell cast this spell may cast Mana Breeze on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(288979,10181282,'Increases power of group members by 301',100,2,2),
(288980,10181282,'Cannot be modified except by direct means',100,2,3),
(288981,124699,'Inflicts 209 - 256 cold damage on target',100,1,0),
(288982,10124699,'Inflicts 251 - 307 cold damage on target',100,1,0),
(288983,141980,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(288984,141980,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(288985,141980,'Decreases Attack Speed of target by 16.6',100,2,2),
(288986,141980,'Cannot be modified except by direct means',100,2,3),
(288987,141980,'Slows target by 40.9%',100,1,4),
(288988,141980,'5% chance to dispel when target takes damage',100,1,5),
(288989,141980,'5% chance to dispel when target receives hostile action',100,1,6),
(288990,141980,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(288991,10141980,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(288992,10141980,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(288993,10141980,'Decreases Attack Speed of target by 16.6',100,2,2),
(288994,10141980,'Cannot be modified except by direct means',100,2,3),
(288995,10141980,'Slows target by 40.9%',100,1,4),
(288996,10141980,'5% chance to dispel when target takes damage',100,1,5),
(288997,10141980,'5% chance to dispel when target receives hostile action',100,1,6),
(288998,10141980,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(288999,104906,'Inflicts 465 - 775 magic damage on targets in area',100,1,0),
(289000,10104906,'Inflicts 558 - 930 magic damage on targets in area',100,1,0),
(289001,141666,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(289002,141666,'Decreases Attack Speed of target by 16.6',100,1,1),
(289003,141666,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(289004,10141666,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(289005,10141666,'Decreases Attack Speed of target by 16.6',100,1,1),
(289006,10141666,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(289007,170449,'When Equipped:',100,0,0),
(289008,170449,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(289009,170449,'Inflicts 1986 heat damage on target',100,2,2),
(289010,170449,'Cannot be modified except by direct means',100,2,3),
(289011,10170449,'When Equipped:',100,0,0),
(289012,10170449,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(289013,10170449,'Inflicts 1192 heat damage on target',100,2,2),
(289014,10170449,'Cannot be modified except by direct means',100,2,3),
(289015,48975,'Applies Place the Trap when Activated.',100,0,0),
(289016,48975,'Place down the trap for Hollowfrost Grove.',100,1,1),
(289017,10048975,'Applies Place the Trap when Activated.',100,0,0),
(289018,10048975,'Place down the trap for Hollowfrost Grove.',100,1,1),
(289019,41660,'When Equipped:',100,0,0),
(289020,41660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289021,41660,'Inflicts 169 - 314 magic damage on target',100,2,2),
(289022,41660,'Cannot be modified except by direct means',100,2,3),
(289023,10041660,'When Equipped:',100,0,0),
(289024,10041660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289025,10041660,'Inflicts 203 - 377 magic damage on target',100,2,2),
(289026,10041660,'Cannot be modified except by direct means',100,2,3),
(289027,51633,'When Equipped:',100,0,0),
(289028,51633,'On any combat or spell hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289029,51633,'Inflicts 1060 mental damage on target',100,2,2),
(289030,51633,'Cannot be modified except by direct means',100,2,3),
(289031,51633,'When Equipped:',100,0,4),
(289032,51633,'Increases the speed of Selo''s Accelerando IV by 15%.',100,1,5),
(289033,51633,'Increases duration of debuffing and beneficial songs by 10%.',100,1,6),
(289034,10051633,'When Equipped:',100,0,0),
(289035,10051633,'On any combat or spell hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289036,10051633,'Inflicts 1272 mental damage on target',100,2,2),
(289037,10051633,'Cannot be modified except by direct means',100,2,3),
(289038,10051633,'When Equipped:',100,0,4),
(289039,10051633,'Increases the speed of Selo''s Accelerando IV by 15%.',100,1,5),
(289040,10051633,'Increases duration of debuffing and beneficial songs by 10%.',100,1,6),
(289041,72239,'When Equipped:',100,0,0),
(289042,72239,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(289043,72239,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(289044,72239,'Cannot be modified except by direct means',100,2,3),
(289045,10072239,'When Equipped:',100,0,0),
(289046,10072239,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(289047,10072239,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(289048,10072239,'Cannot be modified except by direct means',100,2,3),
(289049,48551,'Applies Spirit Trap when Activated.',100,0,0),
(289050,48551,'Sets up a spirit trap, designed to dispel certain ethereally summoned creatures.  This need only be used once per instance of the zone.',100,1,1),
(289051,48551,'Must be in Miragul''s Planar Shard.',100,1,2),
(289052,48551,'You cannot set this device here.',100,1,3),
(289053,10048551,'Applies Spirit Trap when Activated.',100,0,0),
(289054,10048551,'Sets up a spirit trap, designed to dispel certain ethereally summoned creatures.  This need only be used once per instance of the zone.',100,1,1),
(289055,10048551,'Must be in Miragul''s Planar Shard.',100,1,2),
(289056,10048551,'You cannot set this device here.',100,1,3),
(289057,116197,'Inflicts 474 - 789 mental damage on target',100,1,0),
(289058,10116197,'Inflicts 568 - 947 mental damage on target',100,1,0),
(289059,102704,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(289060,102704,'Inflicts 245 - 408 heat damage on target',100,2,1),
(289061,102704,'Grants a total of 5 triggers of the spell.',100,2,2),
(289062,102704,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(289063,102704,'Inflicts 245 - 408 heat damage on target',100,2,4),
(289064,102704,'Grants a total of 5 triggers of the spell.',100,2,5),
(289065,10102704,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(289066,10102704,'Inflicts 293 - 489 heat damage on target',100,2,1),
(289067,10102704,'Grants a total of 5 triggers of the spell.',100,2,2),
(289068,10102704,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(289069,10102704,'Inflicts 293 - 489 heat damage on target',100,2,4),
(289070,10102704,'Grants a total of 5 triggers of the spell.',100,2,5),
(289071,121718,'Increases AGI of caster by 44.6',100,1,0),
(289072,121718,'Adds 1.5% to base avoidance.',100,1,1),
(289073,121718,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(289074,121718,'Increases Parry of caster by 25.6',100,1,3),
(289075,121718,'Increases Defense of caster by 34.2',100,1,4),
(289076,10121718,'Increases AGI of caster by 44.6',100,1,0),
(289077,10121718,'Adds 1.5% to base avoidance.',100,1,1),
(289078,10121718,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(289079,10121718,'Increases Parry of caster by 25.6',100,1,3),
(289080,10121718,'Increases Defense of caster by 34.2',100,1,4),
(289081,113444,'Increases INT of target by 18.8',100,1,0),
(289082,113444,'Increases Max Health of target by 89.9',100,1,1),
(289083,10113444,'Increases INT of target by 18.8',100,1,0),
(289084,10113444,'Increases Max Health of target by 89.9',100,1,1),
(289085,72149,'When Equipped:',100,0,0),
(289086,72149,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(289087,72149,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(289088,72149,'Cannot be modified except by direct means',100,2,3),
(289089,10072149,'When Equipped:',100,0,0),
(289090,10072149,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(289091,10072149,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(289092,10072149,'Cannot be modified except by direct means',100,2,3),
(289093,159373,'Applies Sanguine Imbued when Equipped.',100,0,0),
(289094,159373,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(289095,159373,'Inflicts 106 heat damage on target',100,2,2),
(289096,159373,'Cannot be modified except by direct means',100,2,3),
(289097,10159373,'Applies Sanguine Imbued when Equipped.',100,0,0),
(289098,10159373,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(289099,10159373,'Inflicts 127 heat damage on target',100,2,2),
(289100,10159373,'Cannot be modified except by direct means',100,2,3),
(289101,80595,'When Equipped:',100,0,0),
(289102,80595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289103,80595,'Inflicts 50 - 93 magic damage on target',100,2,2),
(289104,80595,'Cannot be modified except by direct means',100,2,3),
(289105,10080595,'When Equipped:',100,0,0),
(289106,10080595,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289107,10080595,'Inflicts 60 - 111 magic damage on target',100,2,2),
(289108,10080595,'Cannot be modified except by direct means',100,2,3),
(289109,100706,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(289110,100706,'Increases Mitigation of group members (AE) vs noxious damage by 205',100,1,1),
(289111,10100706,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(289112,10100706,'Increases Mitigation of group members (AE) vs noxious damage by 205',100,1,1),
(289113,46053,'Applies Elixir of Adeptness when Activated.  Lasts for 30 minutes.',100,0,0),
(289114,46053,'Increases AGI of caster by 39.0',100,1,1),
(289115,10046053,'Applies Elixir of Adeptness when Activated.  Lasts for 30 minutes.',100,0,0),
(289116,10046053,'Increases AGI of caster by 39.0',100,1,1),
(289117,74566,'When Equipped:',100,0,0),
(289118,74566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289119,74566,'Inflicts 135 - 203 magic damage on target',100,2,2),
(289120,74566,'Cannot be modified except by direct means',100,2,3),
(289121,10074566,'When Equipped:',100,0,0),
(289122,10074566,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289123,10074566,'Inflicts 162 - 244 magic damage on target',100,2,2),
(289124,10074566,'Cannot be modified except by direct means',100,2,3),
(289125,114885,'Causes 8% Threat to transfer to target when in combat',100,1,0),
(289126,124255,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(289127,124255,'Increases Damage Per Second of target by 18.1',100,2,1),
(289128,124255,'Increases Attack Speed of target by 18.1',100,2,2),
(289129,124255,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(289130,124255,'Increases Damage Per Second of target by 18.1',100,2,4),
(289131,124255,'Increases Attack Speed of target by 18.1',100,2,5),
(289132,124255,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(289133,124255,'Increases Damage Per Second of target by 18.1',100,2,7),
(289134,124255,'Increases Attack Speed of target by 18.1',100,2,8),
(289135,10124255,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(289136,10124255,'Increases Damage Per Second of target by 18.1',100,2,1),
(289137,10124255,'Increases Attack Speed of target by 18.1',100,2,2),
(289138,10124255,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(289139,10124255,'Increases Damage Per Second of target by 18.1',100,2,4),
(289140,10124255,'Increases Attack Speed of target by 18.1',100,2,5),
(289141,10124255,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(289142,10124255,'Increases Damage Per Second of target by 18.1',100,2,7),
(289143,10124255,'Increases Attack Speed of target by 18.1',100,2,8),
(289144,106034,'Inflicts 121 - 148 divine damage on target instantly and every 3 seconds',100,1,0),
(289145,106034,'Decreases Defense of target by 20.7',100,1,1),
(289146,10106034,'Inflicts 97 - 118 divine damage on target instantly and every 3 seconds',100,1,0),
(289147,10106034,'Decreases Defense of target by 20.7',100,1,1),
(289148,49076,'Applies Vision Totem of the Turtle when Activated.  Lasts for 15 minutes.',100,0,0),
(289149,49076,'Grants Fish Vision to caster',100,1,1),
(289150,10049076,'Applies Vision Totem of the Turtle when Activated.  Lasts for 15 minutes.',100,0,0),
(289151,10049076,'Grants Fish Vision to caster',100,1,1),
(289152,49105,'Applies Polymorph when Activated.  Lasts for 1 minute 12 seconds.',100,0,0),
(289153,49105,'Decreases AGI and STR of target by 68.8',100,1,1),
(289154,10049105,'Applies Polymorph when Activated.  Lasts for 1 minute 12 seconds.',100,0,0),
(289155,10049105,'Decreases AGI and STR of target by 68.8',100,1,1),
(289156,115068,'Heals target for 88 - 108',100,1,0),
(289157,115068,'Heals target for 11 - 14 every second',100,1,1),
(289158,10115068,'Heals target for 164 - 200',100,1,0),
(289159,10115068,'Heals target for 12 - 15 every second',100,1,1),
(289160,105603,'Decreases power of target encounter by 51 - 63 instantly and every 3 seconds',100,1,0),
(289161,105603,'Inflicts 120 - 223 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(289162,105603,'Heals group members (AE) for 64 - 119 instantly and every 3 seconds',100,1,2),
(289163,105603,'Increases power of group members (AE) by 24 instantly and every 3 seconds',100,1,3),
(289164,10105603,'Decreases power of target encounter by 51 - 63 instantly and every 3 seconds',100,1,0),
(289165,10105603,'Inflicts 144 - 268 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(289166,10105603,'Heals group members (AE) for 42 - 77 instantly and every 3 seconds',100,1,2),
(289167,10105603,'Increases power of group members (AE) by 24 instantly and every 3 seconds',100,1,3),
(289168,117523,'Increases AGI, INT and WIS of group members (AE) by 20.7',100,1,0),
(289169,117523,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 79',100,1,1),
(289170,10117523,'Increases AGI, INT and WIS of group members (AE) by 20.7',100,1,0),
(289171,10117523,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 79',100,1,1),
(289172,112818,'Inflicts 1119 - 1866 slashing damage on target',100,1,0),
(289173,112818,'Stifles target',100,1,1),
(289174,112818,'If Target is not Epic',100,2,2),
(289175,112818,'You must be in stealth.',100,1,3),
(289176,112818,'Resistibility increases against targets higher than level 113.',100,1,4),
(289177,10112818,'Inflicts 1343 - 2239 slashing damage on target',100,1,0),
(289178,10112818,'Stifles target',100,1,1),
(289179,10112818,'If Target is not Epic',100,2,2),
(289180,10112818,'You must be in stealth.',100,1,3),
(289181,10112818,'Resistibility increases against targets higher than level 113.',100,1,4),
(289182,116058,'Shapechanges caster into a lion',100,1,0),
(289183,116058,'Increases STA of caster by 116.6',100,1,1),
(289184,116058,'Adds 3.7% to base avoidance.',100,1,2),
(289185,116058,'Grants See Stealth to caster',100,1,3),
(289186,116058,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1885',100,1,4),
(289187,10116058,'Shapechanges caster into a lion',100,1,0),
(289188,10116058,'Increases STA of caster by 116.6',100,1,1),
(289189,10116058,'Adds 3.7% to base avoidance.',100,1,2),
(289190,10116058,'Grants See Stealth to caster',100,1,3),
(289191,10116058,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1885',100,1,4),
(289192,74932,'When Equipped:',100,0,0),
(289193,74932,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289194,74932,'Inflicts 26 - 40 magic damage on target',100,2,2),
(289195,74932,'Cannot be modified except by direct means',100,2,3),
(289196,10074932,'When Equipped:',100,0,0),
(289197,10074932,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289198,10074932,'Inflicts 32 - 48 magic damage on target',100,2,2),
(289199,10074932,'Cannot be modified except by direct means',100,2,3),
(289200,179108,'When Equipped:',100,0,0),
(289201,179108,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(289202,179108,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(289203,179108,'Cannot be modified except by direct means',100,2,3),
(289204,10179108,'When Equipped:',100,0,0),
(289205,10179108,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(289206,10179108,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(289207,10179108,'Cannot be modified except by direct means',100,2,3),
(289208,112666,'Inflicts 357 - 596 disease damage on target',100,1,0),
(289209,112666,'Inflicts 357 - 596 disease damage on target',100,1,1),
(289210,112666,'Roots target',100,1,2),
(289211,112666,'If Target is not Epic',100,2,3),
(289212,112666,'15% chance to dispel when target takes damage',100,1,4),
(289213,112666,'If weapon equipped in Ranged',100,1,5),
(289214,112666,'Resistibility increases against targets higher than level 120.',100,1,6),
(289215,10112666,'Inflicts 268 - 447 disease damage on target',100,1,0),
(289216,10112666,'Inflicts 268 - 447 disease damage on target',100,1,1),
(289217,10112666,'Roots target',100,1,2),
(289218,10112666,'If Target is not Epic',100,2,3),
(289219,10112666,'15% chance to dispel when target takes damage',100,1,4),
(289220,10112666,'If weapon equipped in Ranged',100,1,5),
(289221,10112666,'Resistibility increases against targets higher than level 120.',100,1,6),
(289222,118435,'Heals target for 1839 - 2248',100,1,0),
(289223,118435,'Increases Max Health of target by 289.5',100,1,1),
(289224,10118435,'Heals target for 2133 - 2608',100,1,0),
(289225,10118435,'Increases Max Health of target by 289.5',100,1,1),
(289226,121181,'Grants stealth to caster',100,1,0),
(289227,121181,'Suspends caster''s movement speed enhancements',100,1,1),
(289228,121181,'Decreases Threat to target by 270 - 451 ',100,1,2),
(289229,10121181,'Grants stealth to caster',100,1,0),
(289230,10121181,'Suspends caster''s movement speed enhancements',100,1,1),
(289231,10121181,'Forces target to clear their selected target.',100,1,2),
(289232,80025,'Applies Fire Ball when Activated.',100,0,0),
(289233,80025,'Inflicts 89 - 149 heat damage on target',100,1,1),
(289234,80025,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289235,10080025,'Applies Fire Ball when Activated.',100,0,0),
(289236,10080025,'Inflicts 107 - 179 heat damage on target',100,1,1),
(289237,10080025,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289238,162734,'Applies Unstable Magics when Equipped.',100,0,0),
(289239,162734,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(289240,10162734,'Applies Unstable Magics when Equipped.',100,0,0),
(289241,10162734,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(289242,110345,'Increases Max Power of target by 594.7',100,1,0),
(289243,110345,'Increases Max Health of target by 1,274.7',100,1,1),
(289244,10110345,'Increases Max Power of target by 594.7',100,1,0),
(289245,10110345,'Increases Max Health of target by 1,274.7',100,1,1),
(289246,36197,'Increases Out-of-Combat Power Regeneration of target by 24.0',100,0,0),
(289247,132721,'Applies Arcane Environmental Suit when Equipped.',100,0,0),
(289248,132721,'Converts 3% of all arcane damage received into power gain.',100,1,1),
(289249,10132721,'Applies Arcane Environmental Suit when Equipped.',100,0,0),
(289250,10132721,'Converts 3% of all arcane damage received into power gain.',100,1,1),
(289251,42171,'When Equipped:',100,0,0),
(289252,42171,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(289253,42171,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(289254,42171,'Increases AGI and STR of caster by 44.0',100,2,3),
(289255,42171,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(289256,42171,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(289257,42171,'Must not be engaged in pvp combat',100,2,6),
(289258,42171,'Cannot be modified except by direct means',100,2,7),
(289259,42171,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(289260,42171,'Increases AGI and STR of caster by 44.0',100,2,9),
(289261,42171,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(289262,42171,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(289263,42171,'Must not be engaged in pvp combat',100,2,12),
(289264,42171,'Cannot be modified except by direct means',100,2,13),
(289265,42171,'Cannot be modified except by direct means',100,1,14),
(289266,10042171,'When Equipped:',100,0,0),
(289267,10042171,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(289268,10042171,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(289269,10042171,'Increases AGI and STR of caster by 44.0',100,2,3),
(289270,10042171,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(289271,10042171,'Increases Crit Bonus of caster by 11.5%',100,2,5),
(289272,10042171,'Must not be engaged in pvp combat',100,2,6),
(289273,10042171,'Cannot be modified except by direct means',100,2,7),
(289274,10042171,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(289275,10042171,'Increases AGI and STR of caster by 44.0',100,2,9),
(289276,10042171,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(289277,10042171,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(289278,10042171,'Must not be engaged in pvp combat',100,2,12),
(289279,10042171,'Cannot be modified except by direct means',100,2,13),
(289280,10042171,'Cannot be modified except by direct means',100,1,14),
(289281,116960,'Increases Threat to target by 810 - 990 ',100,1,0),
(289282,116960,'Interrupts target',100,1,1),
(289283,10116960,'Forces target to change their selected target to caster.',100,1,0),
(289284,10116960,'Interrupts target',100,1,1),
(289285,10116960,'Prevents target from changing targets',100,1,2),
(289286,105557,'Inflicts 120 - 223 disease damage on target',100,1,0),
(289287,105557,'Inflicts 72 - 134 disease damage on target every 2 seconds',100,1,1),
(289288,10105557,'Inflicts 144 - 267 disease damage on target',100,1,0),
(289289,10105557,'Inflicts 86 - 160 disease damage on target every 2 seconds',100,1,1),
(289290,47113,'Applies Murky Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(289291,47113,'Increases Max Power of caster by 248.6',100,1,1),
(289292,47113,'Only affects targets level 50 and above',100,1,2),
(289293,10047113,'Applies Murky Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(289294,10047113,'Increases Max Power of caster by 248.6',100,1,1),
(289295,10047113,'Only affects targets level 50 and above',100,1,2),
(289296,108141,'Inflicts 98 - 164 melee damage on target',100,1,0),
(289297,108141,'You must be sneaking to use this ability.',100,1,1),
(289298,108141,'Must be flanking or behind',100,1,2),
(289299,10108141,'Inflicts 77 - 129 melee damage on target',100,1,0),
(289300,10108141,'You must be sneaking to use this ability.',100,1,1),
(289301,10108141,'Must be flanking or behind',100,1,2),
(289302,81781,'When Equipped:',100,0,0),
(289303,81781,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(289304,81781,'Inflicts 108 - 200 magic damage on target',100,2,2),
(289305,81781,'Decreases Threat to target by 487 ',100,2,3),
(289306,81781,'Must be flanking or behind',100,3,4),
(289307,81781,'Increases Threat to target by 852 ',100,2,5),
(289308,81781,'Must be in front of',100,3,6),
(289309,81781,'Cannot be modified except by direct means',100,2,7),
(289310,10081781,'When Equipped:',100,0,0),
(289311,10081781,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(289312,10081781,'Inflicts 129 - 240 magic damage on target',100,2,2),
(289313,10081781,'Cannot be modified except by direct means',100,2,3),
(289314,105628,'Inflicts 39 disease damage on target instantly and every 6 seconds',100,1,0),
(289315,105628,'Inflicts 90 - 150 disease damage on target',100,1,1),
(289316,105628,'Inflicts 90 - 150 disease damage on target',100,1,2),
(289317,10105628,'Inflicts 47 disease damage on target instantly and every 6 seconds',100,1,0),
(289318,10105628,'Inflicts 108 - 180 disease damage on target',100,1,1),
(289319,10105628,'Inflicts 108 - 180 disease damage on target',100,1,2),
(289320,124003,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(289321,124003,'Heals target for 84 - 102',100,2,1),
(289322,124003,'Grants a total of 5 triggers of the spell.',100,2,2),
(289323,10124003,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(289324,10124003,'Heals target for 54 - 67',100,2,1),
(289325,10124003,'Grants a total of 5 triggers of the spell.',100,2,2),
(289326,103782,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 11.7',100,1,0),
(289327,10103782,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 11.7',100,1,0),
(289328,113699,'Stuns target',100,1,0),
(289329,113699,'If Target is not Epic',100,2,1),
(289330,113699,'Inflicts 1019 - 1699 heat damage on target',100,1,2),
(289331,113699,'Resistibility increases against targets higher than level 101.',100,1,3),
(289332,10113699,'Stuns target',100,1,0),
(289333,10113699,'If Target is not Epic',100,2,1),
(289334,10113699,'Inflicts 1223 - 2039 heat damage on target',100,1,2),
(289335,10113699,'Resistibility increases against targets higher than level 101.',100,1,3),
(289336,103130,'Increases STR of caster by 77.9',100,1,0),
(289337,103130,'Adds 3.4% to base avoidance.',100,1,1),
(289338,103130,'Increases Mitigation of caster vs physical damage by 498',100,1,2),
(289339,103130,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,3),
(289340,10103130,'Increases STR of caster by 77.9',100,1,0),
(289341,10103130,'Adds 3.4% to base avoidance.',100,1,1),
(289342,10103130,'Increases Mitigation of caster vs physical damage by 498',100,1,2),
(289343,10103130,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,3),
(289344,87339,'When Equipped:',100,0,0),
(289345,87339,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289346,87339,'Inflicts 99 - 148 magic damage on target',100,2,2),
(289347,87339,'Cannot be modified except by direct means',100,2,3),
(289348,10087339,'When Equipped:',100,0,0),
(289349,10087339,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289350,10087339,'Inflicts 118 - 177 magic damage on target',100,2,2),
(289351,10087339,'Cannot be modified except by direct means',100,2,3),
(289352,45894,'Applies Decree of the Awakened when Activated.',100,0,0),
(289353,45894,'Shapechanges the user into a Maligonian in plate armor worn by soldiers of the Awakened Legion.',100,1,1),
(289354,10045894,'Applies Decree of the Awakened when Activated.',100,0,0),
(289355,10045894,'Shapechanges the user into a Maligonian in plate armor worn by soldiers of the Awakened Legion.',100,1,1),
(289356,118281,'Increases Threat to target encounter by 1,680 - 1,951 ',100,1,0),
(289357,118281,'Decreases Mitigation of target encounter vs arcane damage by 1320',100,1,1),
(289358,10118281,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(289359,10118281,'Prevents target from changing targets',100,2,1),
(289360,10118281,'Forces target to change their selected target to caster.',100,2,2),
(289361,10118281,'Decreases Mitigation of target encounter vs arcane damage by 1320',100,1,3),
(289362,81623,'When Equipped:',100,0,0),
(289363,81623,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(289364,81623,'Inflicts 111 - 205 magic damage on target',100,2,2),
(289365,81623,'Decreases Threat to target by 376 ',100,2,3),
(289366,81623,'Must be flanking or behind',100,3,4),
(289367,81623,'Increases Threat to target by 658 ',100,2,5),
(289368,81623,'Must be in front of',100,3,6),
(289369,81623,'Cannot be modified except by direct means',100,2,7),
(289370,10081623,'When Equipped:',100,0,0),
(289371,10081623,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(289372,10081623,'Inflicts 133 - 246 magic damage on target',100,2,2),
(289373,10081623,'Cannot be modified except by direct means',100,2,3),
(289374,74907,'When Equipped:',100,0,0),
(289375,74907,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289376,74907,'Inflicts 26 - 40 magic damage on target',100,2,2),
(289377,74907,'Cannot be modified except by direct means',100,2,3),
(289378,10074907,'When Equipped:',100,0,0),
(289379,10074907,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289380,10074907,'Inflicts 32 - 48 magic damage on target',100,2,2),
(289381,10074907,'Cannot be modified except by direct means',100,2,3),
(289382,120515,'Inflicts 388 - 648 melee damage on target',100,1,0),
(289383,120515,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(289384,120515,'Grants stealth to caster',100,2,2),
(289385,120515,'Suspends caster''s movement speed enhancements',100,2,3),
(289386,120515,'Must be flanking or behind',100,1,4),
(289387,10120515,'Inflicts 466 - 777 melee damage on target',100,1,0),
(289388,10120515,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(289389,10120515,'Grants stealth to caster',100,2,2),
(289390,10120515,'Suspends caster''s movement speed enhancements',100,2,3),
(289391,10120515,'Must be flanking or behind',100,1,4),
(289392,111522,'Blurs vision of targets in Area of Effect',100,1,0),
(289393,111522,'Interrupts targets in Area of Effect',100,1,1),
(289394,111522,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(289395,111522,'Stuns target',100,2,3),
(289396,111522,'Blurs vision of target',100,2,4),
(289397,111522,'Throws target back',100,2,5),
(289398,111522,'Does not affect Epic targets',100,2,6),
(289399,10111522,'Blurs vision of targets in Area of Effect',100,1,0),
(289400,10111522,'Interrupts targets in Area of Effect',100,1,1),
(289401,10111522,'7% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(289402,10111522,'Stuns target',100,2,3),
(289403,10111522,'Throws target back',100,2,4),
(289404,10111522,'Blurs vision of target',100,2,5),
(289405,10111522,'Does not affect Epic targets',100,2,6),
(289406,84015,'Applies Lightning Shock when Activated.',100,0,0),
(289407,84015,'Inflicts 53 - 89 magic damage on target',100,1,1),
(289408,84015,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289409,10084015,'Applies Lightning Shock when Activated.',100,0,0),
(289410,10084015,'Inflicts 64 - 106 magic damage on target',100,1,1),
(289411,10084015,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289412,110065,'Summons a pet grim sorcerer',100,1,0),
(289413,10110065,'Summons a pet grim sorcerer',100,1,0),
(289414,115974,'Inflicts 150 - 225 mental damage on target',100,1,0),
(289415,115974,'Stuns target',100,1,1),
(289416,115974,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(289417,115974,'Resistibility increases against targets higher than level 70.',100,1,3),
(289418,10115974,'Inflicts 180 - 270 mental damage on target',100,1,0),
(289419,10115974,'Stuns target',100,1,1),
(289420,10115974,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(289421,10115974,'Resistibility increases against targets higher than level 70.',100,1,3),
(289422,45932,'Applies Call Dervish Destrier when Activated.',100,0,0),
(289423,45932,'Increases Crushing of caster by 4.7',100,1,1),
(289424,45932,'Summons a mount to ride',100,1,2),
(289425,45932,'Increases your ground speed by 130%',100,2,3),
(289426,45932,'Increases Slashing, Focus and Piercing of caster by 4.7',100,1,4),
(289427,10045932,'Applies Call Dervish Destrier when Activated.',100,0,0),
(289428,10045932,'Increases Crushing of caster by 4.7',100,1,1),
(289429,10045932,'Summons a mount to ride',100,1,2),
(289430,10045932,'Increases your ground speed by 130%',100,2,3),
(289431,10045932,'Increases Slashing, Focus and Piercing of caster by 4.7',100,1,4),
(289432,101439,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(289433,101439,'Increases Mitigation of group members (AE) vs noxious damage by 372',100,1,1),
(289434,10101439,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(289435,10101439,'Increases Mitigation of group members (AE) vs noxious damage by 372',100,1,1),
(289436,82104,'When Equipped:',100,0,0),
(289437,82104,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289438,82104,'Inflicts 125 - 232 magic damage on target',100,2,2),
(289439,82104,'Cannot be modified except by direct means',100,2,3),
(289440,10082104,'When Equipped:',100,0,0),
(289441,10082104,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289442,10082104,'Inflicts 150 - 278 magic damage on target',100,2,2),
(289443,10082104,'Cannot be modified except by direct means',100,2,3),
(289444,112249,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(289445,112249,'Decreases power of target by 105',100,2,1),
(289446,112249,'Increases power of caster by 86',100,2,2),
(289447,10112249,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(289448,10112249,'Decreases power of target by 105',100,2,1),
(289449,10112249,'Increases power of caster by 69',100,2,2),
(289450,174283,'When Equipped:',100,0,0),
(289451,174283,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(289452,174283,'Inflicts 123 heat damage on target',100,2,2),
(289453,174283,'Cannot be modified except by direct means',100,2,3),
(289454,10174283,'When Equipped:',100,0,0),
(289455,10174283,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(289456,10174283,'Inflicts 148 heat damage on target',100,2,2),
(289457,10174283,'Cannot be modified except by direct means',100,2,3),
(289458,113770,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(289459,113770,'Heals target for 71 - 86',100,2,1),
(289460,10113770,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(289461,10113770,'Heals target for 46 - 56',100,2,1),
(289462,122497,'Inflicts 295 - 492 mental damage on targets in Area of Effect',100,1,0),
(289463,10122497,'Inflicts 355 - 591 mental damage on targets in Area of Effect',100,1,0),
(289464,159602,'When Equipped:',100,0,0),
(289465,159602,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(289466,159602,'Increases STA of caster by 19.3',100,2,2),
(289467,159602,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(289468,159602,'Cannot be modified except by direct means',100,2,4),
(289469,10159602,'When Equipped:',100,0,0),
(289470,10159602,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(289471,10159602,'Increases STA of caster by 19.3',100,2,2),
(289472,10159602,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(289473,10159602,'Cannot be modified except by direct means',100,2,4),
(289474,36501,'Increases AGI and STA of target by 15.4',100,0,0),
(289475,36501,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(289476,119791,'Inflicts 60 - 101 melee damage on target',100,1,0),
(289477,119791,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(289478,119791,'Grants stealth to caster',100,2,2),
(289479,119791,'Suspends caster''s movement speed enhancements',100,2,3),
(289480,119791,'Must be flanking or behind',100,1,4),
(289481,10119791,'Inflicts 72 - 121 melee damage on target',100,1,0),
(289482,10119791,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(289483,10119791,'Grants stealth to caster',100,2,2),
(289484,10119791,'Suspends caster''s movement speed enhancements',100,2,3),
(289485,10119791,'Must be flanking or behind',100,1,4),
(289486,110862,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(289487,110862,'Inflicts 389 - 649 divine damage on target',100,2,1),
(289488,110862,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(289489,110862,'Stuns target',100,3,3),
(289490,110862,'Throws target back',100,3,4),
(289491,110862,'Blurs vision of target',100,3,5),
(289492,110862,'Does not affect Epic targets',100,3,6),
(289493,110862,'Grants a total of 3 triggers of the spell.',100,2,7),
(289494,10110862,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(289495,10110862,'Inflicts 467 - 779 divine damage on target',100,2,1),
(289496,10110862,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(289497,10110862,'Stuns target',100,3,3),
(289498,10110862,'Throws target back',100,3,4),
(289499,10110862,'Blurs vision of target',100,3,5),
(289500,10110862,'Does not affect Epic targets',100,3,6),
(289501,10110862,'Grants a total of 3 triggers of the spell.',100,2,7),
(289502,36099,'Increases STR and STA of target by 84.7',100,0,0),
(289503,36099,'Gives target an extra 1.0% mitigation to their worn armor',100,0,1),
(289504,36099,'Target will Dodge 3.0% of incoming attacks',100,0,2),
(289505,36099,'Increases Out-of-Combat Power Regeneration of target by 159.3',100,0,3),
(289506,121089,'Decreases Threat to targets in Area of Effect by 455 ',100,1,0),
(289507,121089,'Mesmerizes targets in Area of Effect',100,1,1),
(289508,121089,'If Target is not Epic',100,2,2),
(289509,121089,'Dispelled when target takes damage',100,1,3),
(289510,10121089,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(289511,10121089,'Applies Distract.',100,1,1),
(289512,10121089,'Forces target to clear their selected target.',100,2,2),
(289513,10121089,'Mesmerizes targets in Area of Effect',100,1,3),
(289514,10121089,'If Target is not Epic',100,2,4),
(289515,10121089,'Dispelled when target takes damage',100,1,5),
(289516,52723,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(289517,52723,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(289518,52723,'Inflicts 28 heat damage on target',100,2,2),
(289519,52723,'Cannot be modified except by direct means',100,2,3),
(289520,10052723,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(289521,10052723,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(289522,10052723,'Inflicts 33 heat damage on target',100,2,2),
(289523,10052723,'Cannot be modified except by direct means',100,2,3),
(289524,75633,'Applies Holy Strike when Activated.',100,0,0),
(289525,75633,'Inflicts 173 - 289 divine damage on target',100,1,1),
(289526,75633,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289527,10075633,'Applies Holy Strike when Activated.',100,0,0),
(289528,10075633,'Inflicts 208 - 347 divine damage on target',100,1,1),
(289529,10075633,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289530,104123,'Roots target',100,1,0),
(289531,104123,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(289532,104123,'Makes target afraid',100,2,2),
(289533,104123,'Slows target by 19.7%',100,2,3),
(289534,104123,'30% chance to dispel when target takes damage',100,2,4),
(289535,104123,'Resistibility increases against targets higher than level 76.',100,2,5),
(289536,104123,'15% chance to dispel when target takes damage',100,1,6),
(289537,104123,'Does not affect Epic targets',100,1,7),
(289538,104123,'Resistibility increases against targets higher than level 76.',100,1,8),
(289539,10104123,'Roots target',100,1,0),
(289540,10104123,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(289541,10104123,'Makes target afraid',100,2,2),
(289542,10104123,'Slows target by 19.7%',100,2,3),
(289543,10104123,'30% chance to dispel when target takes damage',100,2,4),
(289544,10104123,'Resistibility increases against targets higher than level 76.',100,2,5),
(289545,10104123,'15% chance to dispel when target takes damage',100,1,6),
(289546,10104123,'Does not affect Epic targets',100,1,7),
(289547,10104123,'Resistibility increases against targets higher than level 76.',100,1,8),
(289548,105295,'Increases AGI of caster by 129.0',100,1,0),
(289549,105295,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(289550,105295,'Inflicts 122 - 204 mental damage on target',100,2,2),
(289551,105295,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(289552,105295,'Inflicts 122 - 204 mental damage on target',100,2,4),
(289553,105295,'Adds 18.7% to base avoidance.',100,1,5),
(289554,105295,'Increases Mitigation of caster vs physical damage by 462',100,1,6),
(289555,105295,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,7),
(289556,10105295,'Increases AGI of caster by 129.0',100,1,0),
(289557,10105295,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(289558,10105295,'Inflicts 147 - 245 mental damage on target',100,2,2),
(289559,10105295,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(289560,10105295,'Inflicts 147 - 245 mental damage on target',100,2,4),
(289561,10105295,'Adds 18.7% to base avoidance.',100,1,5),
(289562,10105295,'Increases Mitigation of caster vs physical damage by 462',100,1,6),
(289563,10105295,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',100,1,7),
(289564,46490,'Applies Glomalin Channel when Equipped.',100,0,0),
(289565,46490,'While equipped, this diving rod blurs your vision and seems to pull you toward large concentrations of glomalin!',100,1,1),
(289566,10046490,'Applies Glomalin Channel when Equipped.',100,0,0),
(289567,10046490,'While equipped, this diving rod blurs your vision and seems to pull you toward large concentrations of glomalin!',100,1,1),
(289568,102762,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(289569,102762,'Stuns target',100,2,1),
(289570,102762,'If Target is not Epic',100,3,2),
(289571,102762,'Inflicts 526 - 876 divine damage on target',100,2,3),
(289572,102762,'Inflicts 451 - 751 divine damage on target',100,2,4),
(289573,102762,'If target is undead',100,3,5),
(289574,10102762,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(289575,10102762,'Stuns target',100,2,1),
(289576,10102762,'Inflicts 946 - 1577 divine damage on target',100,2,2),
(289577,10102762,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(289578,177531,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(289579,177531,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(289580,177531,'Inflicts 24 heat damage on target',100,2,2),
(289581,177531,'Cannot be modified except by direct means',100,2,3),
(289582,10177531,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(289583,10177531,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(289584,10177531,'Inflicts 29 heat damage on target',100,2,2),
(289585,10177531,'Cannot be modified except by direct means',100,2,3),
(289586,111810,'Roots target',100,1,0),
(289587,111810,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(289588,111810,'Slows target by 33.8%',100,2,2),
(289589,111810,'5% chance to dispel when target receives hostile action',100,2,3),
(289590,111810,'5% chance to dispel when target takes damage',100,2,4),
(289591,111810,'10% chance to dispel when target receives hostile action',100,1,5),
(289592,111810,'10% chance to dispel when target takes damage',100,1,6),
(289593,111810,'Does not affect Epic targets',100,1,7),
(289594,111810,'Resistibility increases against targets higher than level 48.',100,1,8),
(289595,10111810,'Roots target',100,1,0),
(289596,10111810,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(289597,10111810,'Slows target by 33.8%',100,2,2),
(289598,10111810,'10% chance to dispel when target receives hostile action',100,2,3),
(289599,10111810,'10% chance to dispel when target takes damage',100,2,4),
(289600,10111810,'10% chance to dispel when target receives hostile action',100,1,5),
(289601,10111810,'10% chance to dispel when target takes damage',100,1,6),
(289602,10111810,'Does not affect Epic targets',100,1,7),
(289603,10111810,'Resistibility increases against targets higher than level 48.',100,1,8),
(289604,36677,'Increases Max Health of target by 90.0',100,0,0),
(289605,36677,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(289606,48288,'Applies Respec Subclass AA Tree when Activated.',100,0,0),
(289607,48288,'Resets the Guardian AA tree.',100,1,1),
(289608,48288,'This effect cannot be cast during combat',100,1,2),
(289609,48288,'Only affects targets level 10 and above',100,1,3),
(289610,10048288,'Applies Respec Subclass AA Tree when Activated.',100,0,0),
(289611,10048288,'Resets the Guardian AA tree.',100,1,1),
(289612,10048288,'This effect cannot be cast during combat',100,1,2),
(289613,10048288,'Only affects targets level 10 and above',100,1,3),
(289614,123094,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',100,1,0),
(289615,123094,'Roots target',100,2,1),
(289616,123094,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(289617,123094,'Slows target by 42.7%',100,3,3),
(289618,123094,'5% chance to dispel when target receives hostile action',100,3,4),
(289619,123094,'5% chance to dispel when target takes damage',100,3,5),
(289620,123094,'5% chance to dispel when target takes damage',100,2,6),
(289621,123094,'Does not affect Epic targets',100,2,7),
(289622,123094,'Resistibility increases against targets higher than level 104.',100,2,8),
(289623,123094,'Decreases AGI of target encounter by 57.5',100,1,9),
(289624,10123094,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(289625,10123094,'Roots target',100,2,1),
(289626,10123094,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(289627,10123094,'Slows target by 42.7%',100,3,3),
(289628,10123094,'5% chance to dispel when target receives hostile action',100,3,4),
(289629,10123094,'5% chance to dispel when target takes damage',100,3,5),
(289630,10123094,'5% chance to dispel when target takes damage',100,2,6),
(289631,10123094,'Does not affect Epic targets',100,2,7),
(289632,10123094,'Resistibility increases against targets higher than level 104.',100,2,8),
(289633,10123094,'Decreases AGI of target encounter by 57.5',100,1,9),
(289634,116626,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(289635,116626,'Increases Mitigation of group members (AE) vs arcane damage by 470',100,1,1),
(289636,10116626,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(289637,10116626,'Increases Mitigation of group members (AE) vs arcane damage by 470',100,1,1),
(289638,81804,'When Equipped:',100,0,0),
(289639,81804,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289640,81804,'Inflicts 97 - 180 magic damage on target',100,2,2),
(289641,81804,'Cannot be modified except by direct means',100,2,3),
(289642,10081804,'When Equipped:',100,0,0),
(289643,10081804,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289644,10081804,'Inflicts 116 - 216 magic damage on target',100,2,2),
(289645,10081804,'Cannot be modified except by direct means',100,2,3),
(289646,108376,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(289647,108376,'Increases Mitigation of group members (AE) vs arcane damage by 1195',100,1,1),
(289648,10108376,'Increases Max Health of group members (AE) by 333.9',100,1,0),
(289649,10108376,'Increases Mitigation of group members (AE) vs arcane damage by 1195',100,1,1),
(289650,37113,'Increases AGI of target by 8.4',100,0,0),
(289651,37113,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(289652,111031,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(289653,111031,'Increases Threat to target by 497 ',100,2,1),
(289654,111031,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(289655,111031,'Increases Threat to target by 497 ',100,2,3),
(289656,10111031,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(289657,10111031,'Inflicts 40 - 44 crushing damage on target',100,2,1),
(289658,10111031,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(289659,10111031,'Inflicts 40 - 44 crushing damage on target',100,2,3),
(289660,52914,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(289661,52914,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(289662,52914,'Inflicts 62 heat damage on target',100,2,2),
(289663,52914,'Cannot be modified except by direct means',100,2,3),
(289664,10052914,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(289665,10052914,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(289666,10052914,'Inflicts 74 heat damage on target',100,2,2),
(289667,10052914,'Cannot be modified except by direct means',100,2,3),
(289668,164742,'When Equipped:',100,0,0),
(289669,164742,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(289670,164742,'Increases power of caster by 180',100,2,2),
(289671,164742,'Cannot be modified except by direct means',100,2,3),
(289672,10164742,'When Equipped:',100,0,0),
(289673,10164742,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(289674,10164742,'Increases power of caster by 180',100,2,2),
(289675,10164742,'Cannot be modified except by direct means',100,2,3),
(289676,36381,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(289677,108412,'Heals target for 999 - 1221',100,1,0),
(289678,10108412,'Heals target for 1195 - 1460',100,1,0),
(289679,101188,'Inflicts 220 - 367 cold damage on target',100,1,0),
(289680,101188,'Inflicts 220 - 367 cold damage on target',100,1,1),
(289681,101188,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(289682,101188,'Slows target by 58.2%',100,2,3),
(289683,101188,'5% chance to dispel when target receives hostile action',100,2,4),
(289684,101188,'5% chance to dispel when target takes damage',100,2,5),
(289685,101188,'If weapon equipped in Ranged',100,1,6),
(289686,10101188,'Inflicts 165 - 275 cold damage on target',100,1,0),
(289687,10101188,'Inflicts 165 - 275 cold damage on target',100,1,1),
(289688,10101188,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(289689,10101188,'Slows target by 58.2%',100,2,3),
(289690,10101188,'5% chance to dispel when target receives hostile action',100,2,4),
(289691,10101188,'5% chance to dispel when target takes damage',100,2,5),
(289692,10101188,'If weapon equipped in Ranged',100,1,6),
(289693,41674,'When Equipped:',100,0,0),
(289694,41674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289695,41674,'Inflicts 138 - 257 magic damage on target',100,2,2),
(289696,41674,'Cannot be modified except by direct means',100,2,3),
(289697,10041674,'When Equipped:',100,0,0),
(289698,10041674,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289699,10041674,'Inflicts 166 - 309 magic damage on target',100,2,2),
(289700,10041674,'Cannot be modified except by direct means',100,2,3),
(289701,119403,'Inflicts 40 - 67 melee damage on target',100,1,0),
(289702,119403,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(289703,119403,'Stuns target',100,2,2),
(289704,119403,'Throws target back',100,2,3),
(289705,119403,'Blurs vision of target',100,2,4),
(289706,119403,'Does not affect Epic targets',100,2,5),
(289707,119403,'You must be sneaking to use this ability.',100,1,6),
(289708,10119403,'Inflicts 48 - 81 melee damage on target',100,1,0),
(289709,10119403,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(289710,10119403,'Stuns target',100,2,2),
(289711,10119403,'Throws target back',100,2,3),
(289712,10119403,'Blurs vision of target',100,2,4),
(289713,10119403,'Does not affect Epic targets',100,2,5),
(289714,10119403,'You must be sneaking to use this ability.',100,1,6),
(289715,37016,'Increases STA of target by 2.4',100,0,0),
(289716,37016,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(289717,157031,'When Equipped:',100,0,0),
(289718,157031,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(289719,157031,'Heals group members for 245',100,2,2),
(289720,157031,'Cannot be modified except by direct means',100,2,3),
(289721,157031,'Cannot be modified except by direct means',100,1,4),
(289722,10157031,'When Equipped:',100,0,0),
(289723,10157031,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(289724,10157031,'Heals group members for 160',100,2,2),
(289725,10157031,'Cannot be modified except by direct means',100,2,3),
(289726,10157031,'Cannot be modified except by direct means',100,1,4),
(289727,87225,'When Equipped:',100,0,0),
(289728,87225,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289729,87225,'Inflicts 51 - 76 magic damage on target',100,2,2),
(289730,87225,'Cannot be modified except by direct means',100,2,3),
(289731,10087225,'When Equipped:',100,0,0),
(289732,10087225,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289733,10087225,'Inflicts 61 - 91 magic damage on target',100,2,2),
(289734,10087225,'Cannot be modified except by direct means',100,2,3),
(289735,100692,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(289736,100692,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(289737,100692,'Heals caster for 1430',100,3,2),
(289738,100692,'Wards caster against 1612 points of all damage',100,3,3),
(289739,100692,'Summons a limited pet to aid the caster',100,2,4),
(289740,100692,'Grants a total of 1 trigger of the spell.',100,2,5),
(289741,10100692,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(289742,10100692,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(289743,10100692,'Heals caster for 1673',100,3,2),
(289744,10100692,'Wards caster against 1612 points of all damage',100,3,3),
(289745,10100692,'Summons a limited pet to aid the caster',100,2,4),
(289746,10100692,'Grants a total of 1 trigger of the spell.',100,2,5),
(289747,110156,'Applies Untreated Bleeding on termination.',100,1,0),
(289748,110156,'Inflicts 42 - 69 piercing damage on target',100,2,1),
(289749,110156,'Inflicts 9 - 15 piercing damage on target instantly and every 4 seconds',100,1,2),
(289750,110156,'Inflicts 5 - 9 melee damage on target',100,1,3),
(289751,10110156,'Applies Untreated Bleeding on termination.',100,1,0),
(289752,10110156,'Inflicts 50 - 83 piercing damage on target',100,2,1),
(289753,10110156,'Inflicts 11 - 18 piercing damage on target instantly and every 4 seconds',100,1,2),
(289754,10110156,'Inflicts 7 - 11 melee damage on target',100,1,3),
(289755,191230,'When Equipped:',100,0,0),
(289756,191230,'Increases Ability Modifier of caster by 20.0',100,1,1),
(289757,191230,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 15.0 seconds.  ',100,1,2),
(289758,191230,'Increases Damage Per Second of caster by 10.0',100,2,3),
(289759,191230,'Cannot be modified except by direct means',100,2,4),
(289760,10191230,'When Equipped:',100,0,0),
(289761,10191230,'Increases Ability Modifier of caster by 20.0',100,1,1),
(289762,10191230,'On a kill this spell will cast Assassin''s Thirst on caster.  Lasts for 15.0 seconds.  ',100,1,2),
(289763,10191230,'Increases Damage Per Second of caster by 10.0',100,2,3),
(289764,10191230,'Cannot be modified except by direct means',100,2,4),
(289765,87295,'When Equipped:',100,0,0),
(289766,87295,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289767,87295,'Inflicts 73 - 110 magic damage on target',100,2,2),
(289768,87295,'Cannot be modified except by direct means',100,2,3),
(289769,10087295,'When Equipped:',100,0,0),
(289770,10087295,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289771,10087295,'Inflicts 88 - 132 magic damage on target',100,2,2),
(289772,10087295,'Cannot be modified except by direct means',100,2,3),
(289773,114229,'Inflicts 144 - 176 mental damage on target',100,1,0),
(289774,114229,'Stuns target',100,1,1),
(289775,114229,'Epic targets gain an immunity to Stun effects of 19.5 seconds and duration is reduced to 2.2 seconds.',100,1,2),
(289776,114229,'Resistibility increases against targets higher than level 56.',100,1,3),
(289777,10114229,'Inflicts 173 - 212 mental damage on target',100,1,0),
(289778,10114229,'Requires not being affected by Mesmerize effects.',100,2,1),
(289779,10114229,'Stuns target',100,1,2),
(289780,10114229,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(289781,10114229,'Resistibility increases against targets higher than level 56.',100,1,4),
(289782,114533,'Heals target for 1156 - 1413',100,1,0),
(289783,10114533,'Heals target for 1502 - 1836',100,1,0),
(289784,138590,'When Equipped:',100,0,0),
(289785,138590,'On a healing spell cast this spell may cast Grove of Protection on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(289786,138590,'Heals target for 812 instantly and every 3 seconds',100,2,2),
(289787,138590,'When damaged this spell will cast Thorny Armor on target''s attacker.  ',100,2,3),
(289788,138590,'Inflicts 344 piercing damage on target',100,3,4),
(289789,138590,'Grants a total of 3 triggers of the spell.',100,3,5),
(289790,138590,'Cannot be modified except by direct means',100,2,6),
(289791,10138590,'When Equipped:',100,0,0),
(289792,10138590,'On a healing spell cast this spell may cast Grove of Protection on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(289793,10138590,'Heals target for 528 instantly and every 3 seconds',100,2,2),
(289794,10138590,'When damaged this spell will cast Thorny Armor on target''s attacker.  ',100,2,3),
(289795,10138590,'Inflicts 351 piercing damage on target',100,3,4),
(289796,10138590,'Grants a total of 3 triggers of the spell.',100,3,5),
(289797,10138590,'Cannot be modified except by direct means',100,2,6),
(289798,123931,'Increases STR and WIS of target by 88.6',100,1,0),
(289799,123931,'Increases Mitigation of target vs elemental, noxious and arcane damage by 265',100,1,1),
(289800,10123931,'Increases STR and WIS of target by 88.6',100,1,0),
(289801,10123931,'Increases Mitigation of target vs elemental, noxious and arcane damage by 265',100,1,1),
(289802,113148,'Increases power of caster by 0.9% instantly and every 6 seconds',100,1,0),
(289803,113148,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(289804,113148,'Inflicts 141 disease damage on target',100,2,2),
(289805,113148,'Heals caster for 103',100,2,3),
(289806,113148,'Shapechanges caster into a demilich',100,1,4),
(289807,10113148,'Increases power of caster by 0.9% instantly and every 6 seconds',100,1,0),
(289808,10113148,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(289809,10113148,'Inflicts 169 disease damage on target',100,2,2),
(289810,10113148,'Heals caster for 67',100,2,3),
(289811,10113148,'Shapechanges caster into a demilich',100,1,4),
(289812,119532,'Increases threat priority of target by 2 positions',100,1,0),
(289813,119532,'Stuns caster',100,1,1),
(289814,119532,'Decreases Defense and Parry of caster by 339.0',100,1,2),
(289815,119532,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(289816,119532,'Inflicts 1800 - 3001 piercing damage on target',100,2,4),
(289817,119532,'Grants a total of 1 trigger of the spell.',100,2,5),
(289818,10119532,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(289819,10119532,'Prevents target from changing targets',100,2,1),
(289820,10119532,'Forces target to change their selected target to caster.',100,2,2),
(289821,10119532,'Stuns caster',100,1,3),
(289822,10119532,'Decreases Defense and Parry of caster by 339.0',100,1,4),
(289823,10119532,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(289824,10119532,'Inflicts 1542 - 2570 piercing damage on target',100,2,6),
(289825,10119532,'Grants a total of 1 trigger of the spell.',100,2,7),
(289826,160665,'When Equipped:',100,0,0),
(289827,160665,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(289828,160665,'On a critical spell hit this spell may cast Rime Strike on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(289829,160665,'Increases Potency of caster by 4.0%',100,2,3),
(289830,160665,'Inflicts 1424 - 1573 poison damage on target',100,2,4),
(289831,160665,'Inflicts 1424 - 1573 heat damage on target',100,2,5),
(289832,160665,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(289833,160665,'Must not be engaged in pvp combat',100,2,7),
(289834,160665,'Cannot be modified except by direct means',100,2,8),
(289835,160665,'On a critical combat hit this spell may cast Rime Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(289836,160665,'Increases Potency of caster by 4.0%',100,2,10),
(289837,160665,'Inflicts 1424 - 1573 poison damage on target',100,2,11),
(289838,160665,'Inflicts 1424 - 1573 heat damage on target',100,2,12),
(289839,160665,'Increases Crit Bonus of caster by 4.0%',100,2,13),
(289840,160665,'Must not be engaged in pvp combat',100,2,14),
(289841,160665,'Cannot be modified except by direct means',100,2,15),
(289842,160665,'Must not be engaged in pvp combat',100,1,16),
(289843,160665,'Cannot be modified except by direct means',100,1,17),
(289844,10160665,'When Equipped:',100,0,0),
(289845,10160665,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(289846,10160665,'On a critical spell hit this spell may cast Rime Strike on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(289847,10160665,'Increases Potency of caster by 4.0%',100,2,3),
(289848,10160665,'Inflicts 1708 - 1888 poison damage on target',100,2,4),
(289849,10160665,'Inflicts 1708 - 1888 heat damage on target',100,2,5),
(289850,10160665,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(289851,10160665,'Must not be engaged in pvp combat',100,2,7),
(289852,10160665,'Cannot be modified except by direct means',100,2,8),
(289853,10160665,'On a critical combat hit this spell may cast Rime Strike on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(289854,10160665,'Increases Potency of caster by 4.0%',100,2,10),
(289855,10160665,'Inflicts 1708 - 1888 poison damage on target',100,2,11),
(289856,10160665,'Inflicts 1708 - 1888 heat damage on target',100,2,12),
(289857,10160665,'Increases Crit Bonus of caster by 4.0%',100,2,13),
(289858,10160665,'Must not be engaged in pvp combat',100,2,14),
(289859,10160665,'Cannot be modified except by direct means',100,2,15),
(289860,10160665,'Must not be engaged in pvp combat',100,1,16),
(289861,10160665,'Cannot be modified except by direct means',100,1,17),
(289862,103382,'Inflicts 98 - 120 mental damage on target instantly and every 6 seconds',100,1,0),
(289863,103382,'Decreases power of target by 25 instantly and every 6 seconds',100,1,1),
(289864,103382,'Increases power of caster by 121',100,1,2),
(289865,10103382,'Inflicts 118 - 144 mental damage on target instantly and every 6 seconds',100,1,0),
(289866,10103382,'Decreases power of target by 25 instantly and every 6 seconds',100,1,1),
(289867,10103382,'Increases power of caster by 121',100,1,2),
(289868,179415,'When Equipped:',100,0,0),
(289869,179415,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(289870,179415,'Increases damage done by combat arts by up to 500.',100,2,2),
(289871,179415,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(289872,179415,'Cannot be modified except by direct means',100,2,4),
(289873,179415,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(289874,179415,'Increases damage done by combat arts by up to 500.',100,2,6),
(289875,179415,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(289876,179415,'Cannot be modified except by direct means',100,2,8),
(289877,179415,'Cannot be modified except by direct means',100,1,9),
(289878,10179415,'When Equipped:',100,0,0),
(289879,10179415,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(289880,10179415,'Increases damage done by combat arts by up to 500.',100,2,2),
(289881,10179415,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(289882,10179415,'Cannot be modified except by direct means',100,2,4),
(289883,10179415,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(289884,10179415,'Increases damage done by combat arts by up to 500.',100,2,6),
(289885,10179415,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(289886,10179415,'Cannot be modified except by direct means',100,2,8),
(289887,10179415,'Cannot be modified except by direct means',100,1,9),
(289888,113382,'Roots target',100,1,0),
(289889,113382,'Applies Stifle.  Lasts for 8.0 seconds.',100,1,1),
(289890,113382,'Stifles target',100,2,2),
(289891,113382,'Blurs vision of target',100,2,3),
(289892,113382,'Dispelled when target takes damage',100,2,4),
(289893,113382,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(289894,113382,'Resistibility increases against targets higher than level 90.',100,2,6),
(289895,113382,'5% chance to dispel when target takes damage',100,1,7),
(289896,113382,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,8),
(289897,113382,'Resistibility increases against targets higher than level 90.',100,1,9),
(289898,10113382,'Roots target',100,1,0),
(289899,10113382,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(289900,10113382,'Stifles target',100,2,2),
(289901,10113382,'Blurs vision of target',100,2,3),
(289902,10113382,'Dispelled when target takes damage',100,2,4),
(289903,10113382,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(289904,10113382,'Resistibility increases against targets higher than level 90.',100,2,6),
(289905,10113382,'5% chance to dispel when target takes damage',100,1,7),
(289906,10113382,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(289907,10113382,'Resistibility increases against targets higher than level 90.',100,1,9),
(289908,119257,'Inflicts 9 - 15 slashing damage on target',100,1,0),
(289909,119257,'Decreases Damage Per Second of target by 7.3',100,1,1),
(289910,119257,'Inflicts 13 slashing damage on target instantly and every 4 seconds',100,1,2),
(289911,10119257,'Inflicts 11 - 18 slashing damage on target',100,1,0),
(289912,10119257,'Decreases Damage Per Second of target by 7.3',100,1,1),
(289913,10119257,'Inflicts 15 slashing damage on target instantly and every 4 seconds',100,1,2),
(289914,81882,'When Equipped:',100,0,0),
(289915,81882,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289916,81882,'Inflicts 97 - 180 magic damage on target',100,2,2),
(289917,81882,'Cannot be modified except by direct means',100,2,3),
(289918,10081882,'When Equipped:',100,0,0),
(289919,10081882,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289920,10081882,'Inflicts 116 - 216 magic damage on target',100,2,2),
(289921,10081882,'Cannot be modified except by direct means',100,2,3),
(289922,105100,'Inflicts 338 - 457 magic damage on target',100,1,0),
(289923,10105100,'Inflicts 406 - 549 magic damage on target',100,1,0),
(289924,139894,'When Equipped:',100,0,0),
(289925,139894,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(289926,139894,'Wards target against 80 points of all damage',100,2,2),
(289927,139894,'Cannot be modified except by direct means',100,2,3),
(289928,10139894,'When Equipped:',100,0,0),
(289929,10139894,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(289930,10139894,'Wards target against 80 points of all damage',100,2,2),
(289931,10139894,'Cannot be modified except by direct means',100,2,3),
(289932,112362,'Makes target afraid',100,1,0),
(289933,112362,'30% chance to dispel when target takes damage',100,1,1),
(289934,112362,'Does not affect Epic targets',100,1,2),
(289935,112362,'Resistibility increases against targets higher than level 59.',100,1,3),
(289936,10112362,'Makes target afraid',100,1,0),
(289937,10112362,'30% chance to dispel when target takes damage',100,1,1),
(289938,10112362,'Does not affect Epic targets',100,1,2),
(289939,10112362,'Resistibility increases against targets higher than level 59.',100,1,3),
(289940,102810,'Summons 3 limited pets to aid the caster',100,1,0),
(289941,10102810,'Summons 3 limited pets to aid the caster',100,1,0),
(289942,51326,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(289943,51326,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(289944,51326,'Inflicts 9 heat damage on target',100,2,2),
(289945,51326,'Cannot be modified except by direct means',100,2,3),
(289946,10051326,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(289947,10051326,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(289948,10051326,'Inflicts 11 heat damage on target',100,2,2),
(289949,10051326,'Cannot be modified except by direct means',100,2,3),
(289950,114627,'Decreases WIS of target by 37.8',100,1,0),
(289951,114627,'Inflicts 302 - 504 melee damage on target',100,1,1),
(289952,114627,'You must be sneaking to use this ability.',100,1,2),
(289953,10114627,'Decreases WIS of target by 37.8',100,1,0),
(289954,10114627,'Inflicts 363 - 605 melee damage on target',100,1,1),
(289955,10114627,'You must be sneaking to use this ability.',100,1,2),
(289956,122130,'Interrupts target',100,1,0),
(289957,122130,'Dispels 79 levels of arcane beneficial effects on target',100,1,1),
(289958,122130,'Increases Threat to target by 1,549 ',100,1,2),
(289959,10122130,'Interrupts target',100,1,0),
(289960,10122130,'Forces target to change their selected target to caster.',100,1,1),
(289961,10122130,'Dispels 79 levels of arcane beneficial effects on target',100,1,2),
(289962,121668,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(289963,121668,'Inflicts 11 - 14 heat damage on target instantly and every second',100,2,1),
(289964,10121668,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(289965,10121668,'Inflicts 13 - 16 heat damage on target instantly and every second',100,2,1),
(289966,106998,'Inflicts 1997 - 3709 poison damage on target',100,1,0),
(289967,106998,'Increases power of caster by 218',100,1,1),
(289968,10106998,'Inflicts 2397 - 4451 poison damage on target',100,1,0),
(289969,10106998,'Increases power of caster by 218',100,1,1),
(289970,71671,'When Equipped:',100,0,0),
(289971,71671,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(289972,71671,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(289973,71671,'Cannot be modified except by direct means',100,2,3),
(289974,10071671,'When Equipped:',100,0,0),
(289975,10071671,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(289976,10071671,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(289977,10071671,'Cannot be modified except by direct means',100,2,3),
(289978,118474,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(289979,118474,'Inflicts 47 - 57 heat damage on target instantly and every second',100,2,1),
(289980,10118474,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(289981,10118474,'Inflicts 56 - 68 heat damage on target instantly and every second',100,2,1),
(289982,89042,'Applies Mental Blast when Activated.',100,0,0),
(289983,89042,'Inflicts 125 - 209 mental damage on target',100,1,1),
(289984,89042,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289985,10089042,'Applies Mental Blast when Activated.',100,0,0),
(289986,10089042,'Inflicts 150 - 250 mental damage on target',100,1,1),
(289987,10089042,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(289988,81198,'When Equipped:',100,0,0),
(289989,81198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289990,81198,'Inflicts 228 - 423 magic damage on target',100,2,2),
(289991,81198,'Cannot be modified except by direct means',100,2,3),
(289992,10081198,'When Equipped:',100,0,0),
(289993,10081198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(289994,10081198,'Inflicts 273 - 508 magic damage on target',100,2,2),
(289995,10081198,'Cannot be modified except by direct means',100,2,3),
(289996,80637,'When Equipped:',100,0,0),
(289997,80637,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(289998,80637,'Inflicts 56 - 103 magic damage on target',100,2,2),
(289999,80637,'Decreases Threat to target by 236 ',100,2,3),
(290000,80637,'Must be flanking or behind',100,3,4),
(290001,80637,'Increases Threat to target by 414 ',100,2,5),
(290002,80637,'Must be in front of',100,3,6),
(290003,80637,'Cannot be modified except by direct means',100,2,7),
(290004,10080637,'When Equipped:',100,0,0),
(290005,10080637,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(290006,10080637,'Inflicts 67 - 124 magic damage on target',100,2,2),
(290007,10080637,'Cannot be modified except by direct means',100,2,3),
(290008,162838,'When Equipped:',100,0,0),
(290009,162838,'On a spell cast this spell may cast Unflinching Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(290010,162838,'Makes caster immune to Stun effects',100,2,2),
(290011,162838,'Must not be engaged in pvp combat',100,2,3),
(290012,162838,'Cannot be modified except by direct means',100,2,4),
(290013,162838,'Must not be engaged in pvp combat',100,1,5),
(290014,10162838,'When Equipped:',100,0,0),
(290015,10162838,'On a spell cast this spell may cast Unflinching Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(290016,10162838,'Makes caster immune to Stun effects',100,2,2),
(290017,10162838,'Must not be engaged in pvp combat',100,2,3),
(290018,10162838,'Cannot be modified except by direct means',100,2,4),
(290019,10162838,'Must not be engaged in pvp combat',100,1,5),
(290020,103268,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(290021,103268,'If Fighter',100,2,1),
(290022,103268,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(290023,103268,'Increases power of target by 6 instantly and every 4 seconds',100,2,3),
(290024,103268,'Increases power of caster by 6 instantly and every 4 seconds',100,2,4),
(290025,10103268,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(290026,10103268,'Increases power of target by 6 instantly and every 4 seconds',100,2,1),
(290027,10103268,'Increases power of caster by 6 instantly and every 4 seconds',100,2,2),
(290028,81196,'When Equipped:',100,0,0),
(290029,81196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290030,81196,'Inflicts 228 - 423 magic damage on target',100,2,2),
(290031,81196,'Cannot be modified except by direct means',100,2,3),
(290032,10081196,'When Equipped:',100,0,0),
(290033,10081196,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290034,10081196,'Inflicts 273 - 508 magic damage on target',100,2,2),
(290035,10081196,'Cannot be modified except by direct means',100,2,3),
(290036,24348,'Adds Erollisian Custodian (Druid) to your Dungeon Maker toolbox',100,0,0),
(290037,10024348,'Adds Erollisian Custodian (Druid) to your Dungeon Maker toolbox',100,0,0),
(290038,24587,'Adds Naga (Berserker) to your Dungeon Maker toolbox',100,0,0),
(290039,10024587,'Adds Naga (Berserker) to your Dungeon Maker toolbox',100,0,0),
(290040,100071,'Increases progress by 20.0',100,1,0),
(290041,10100071,'Increases progress by 20.0',100,1,0),
(290042,48262,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(290043,48262,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(290044,48262,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(290045,48262,'Inflicts 88 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(290046,48262,'Grants a total of 2 triggers of the spell.',100,3,4),
(290047,48262,'Cannot be modified except by direct means',100,2,5),
(290048,48262,'Grants a total of 4 triggers of the spell.',100,2,6),
(290049,10048262,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(290050,10048262,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(290051,10048262,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(290052,10048262,'Inflicts 105 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(290053,10048262,'Grants a total of 2 triggers of the spell.',100,3,4),
(290054,10048262,'Cannot be modified except by direct means',100,2,5),
(290055,10048262,'Grants a total of 4 triggers of the spell.',100,2,6),
(290056,79741,'Applies Mark of Pestilence when Equipped.',100,0,0),
(290057,10079741,'Applies Mark of Pestilence when Equipped.',100,0,0),
(290058,36025,'Increases STA of target by 6.2',100,0,0),
(290059,36025,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(290060,87456,'When Equipped:',100,0,0),
(290061,87456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290062,87456,'Inflicts 172 - 258 magic damage on target',100,2,2),
(290063,87456,'Cannot be modified except by direct means',100,2,3),
(290064,10087456,'When Equipped:',100,0,0),
(290065,10087456,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290066,10087456,'Inflicts 206 - 309 magic damage on target',100,2,2),
(290067,10087456,'Cannot be modified except by direct means',100,2,3),
(290068,159621,'Applies Lambent Imbued when Equipped.',100,0,0),
(290069,159621,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290070,159621,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(290071,159621,'Cannot be modified except by direct means',100,2,3),
(290072,10159621,'Applies Lambent Imbued when Equipped.',100,0,0),
(290073,10159621,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290074,10159621,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(290075,10159621,'Cannot be modified except by direct means',100,2,3),
(290076,50451,'When Equipped:',100,0,0),
(290077,50451,'On a healing spell cast this spell may cast Split-Second Redemption on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(290078,50451,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(290079,50451,'If priest',100,2,3),
(290080,50451,'Cannot be modified except by direct means',100,2,4),
(290081,10050451,'When Equipped:',100,0,0),
(290082,10050451,'On a healing spell cast this spell may cast Split-Second Redemption on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(290083,10050451,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(290084,10050451,'If priest',100,2,3),
(290085,10050451,'Cannot be modified except by direct means',100,2,4),
(290086,107518,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(290087,10107518,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(290088,107307,'Decreases WIS of target by 19.1',100,1,0),
(290089,107307,'Decreases Defense of target by 7.3',100,1,1),
(290090,10107307,'Decreases WIS of target by 19.1',100,1,0),
(290091,10107307,'Decreases Defense of target by 7.3',100,1,1),
(290092,81990,'When Equipped:',100,0,0),
(290093,81990,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290094,81990,'Inflicts 138 - 257 magic damage on target',100,2,2),
(290095,81990,'Cannot be modified except by direct means',100,2,3),
(290096,10081990,'When Equipped:',100,0,0),
(290097,10081990,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290098,10081990,'Inflicts 166 - 309 magic damage on target',100,2,2),
(290099,10081990,'Cannot be modified except by direct means',100,2,3),
(290100,79779,'When Equipped:',100,0,0),
(290101,79779,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(290102,79779,'Increases Multi Attack Chance of caster by 22.0',100,2,2),
(290103,79779,'Must not be engaged in pvp combat',100,2,3),
(290104,79779,'Cannot be modified except by direct means',100,2,4),
(290105,79779,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(290106,79779,'Cannot be modified except by direct means',100,1,6),
(290107,79779,'When Equipped:',100,0,7),
(290108,79779,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(290109,79779,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(290110,79779,'Inflicts 2369 - 2618 poison damage on target',100,2,10),
(290111,79779,'Heals caster for 1185 - 1309',100,2,11),
(290112,79779,'Must not be engaged in pvp combat',100,2,12),
(290113,79779,'Cannot be modified except by direct means',100,2,13),
(290114,79779,'Cannot be modified except by direct means',100,1,14),
(290115,10079779,'When Equipped:',100,0,0),
(290116,10079779,'On any combat or spell hit this spell may cast Cyclical Battering II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(290117,10079779,'Increases Multi Attack Chance of caster by 22.0',100,2,2),
(290118,10079779,'Must not be engaged in pvp combat',100,2,3),
(290119,10079779,'Cannot be modified except by direct means',100,2,4),
(290120,10079779,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(290121,10079779,'Cannot be modified except by direct means',100,1,6),
(290122,10079779,'When Equipped:',100,0,7),
(290123,10079779,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(290124,10079779,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,9),
(290125,10079779,'Inflicts 2843 - 3142 poison damage on target',100,2,10),
(290126,10079779,'Heals caster for 1386 - 1532',100,2,11),
(290127,10079779,'Must not be engaged in pvp combat',100,2,12),
(290128,10079779,'Cannot be modified except by direct means',100,2,13),
(290129,10079779,'Cannot be modified except by direct means',100,1,14),
(290130,71537,'When Equipped:',100,0,0),
(290131,71537,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(290132,71537,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(290133,71537,'Cannot be modified except by direct means',100,2,3),
(290134,10071537,'When Equipped:',100,0,0),
(290135,10071537,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(290136,10071537,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(290137,10071537,'Cannot be modified except by direct means',100,2,3),
(290138,119747,'Wards group members (AE) against 211 points of elemental, noxious and arcane damage',100,1,0),
(290139,119747,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,1),
(290140,10119747,'Wards group members (AE) against 211 points of elemental, noxious and arcane damage',100,1,0),
(290141,10119747,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,1),
(290142,134771,'When Equipped:',100,0,0),
(290143,134771,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(290144,134771,'Heals group members for 245',100,2,2),
(290145,134771,'Cannot be modified except by direct means',100,2,3),
(290146,10134771,'When Equipped:',100,0,0),
(290147,10134771,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(290148,10134771,'Heals group members for 160',100,2,2),
(290149,10134771,'Cannot be modified except by direct means',100,2,3),
(290150,133653,'When Equipped:',100,0,0),
(290151,133653,'Increases Attack Speed of caster by 10.0',100,1,1),
(290152,10133653,'When Equipped:',100,0,0),
(290153,10133653,'Increases Attack Speed of caster by 10.0',100,1,1),
(290154,87408,'When Equipped:',100,0,0),
(290155,87408,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290156,87408,'Inflicts 127 - 190 magic damage on target',100,2,2),
(290157,87408,'Cannot be modified except by direct means',100,2,3),
(290158,10087408,'When Equipped:',100,0,0),
(290159,10087408,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290160,10087408,'Inflicts 152 - 228 magic damage on target',100,2,2),
(290161,10087408,'Cannot be modified except by direct means',100,2,3),
(290162,24753,'Adds Vultak (Monk) to your Dungeon Maker toolbox',100,0,0),
(290163,10024753,'Adds Vultak (Monk) to your Dungeon Maker toolbox',100,0,0),
(290164,122298,'Must not be targeted by an enemy',100,1,0),
(290165,10122298,'Must not be targeted by an enemy',100,1,0),
(290166,123001,'Wards group members (AE) collectively against 1104 total points of all damage',100,1,0),
(290167,10123001,'Wards group members (AE) collectively against 1645 total points of all damage',100,1,0),
(290168,115429,'Inflicts 14 - 17 mental damage on target instantly and every 6 seconds',100,1,0),
(290169,115429,'Decreases Mitigation of target vs arcane damage by 157',100,1,1),
(290170,10115429,'Inflicts 16 - 20 mental damage on target instantly and every 6 seconds',100,1,0),
(290171,10115429,'Decreases Mitigation of target vs arcane damage by 157',100,1,1),
(290172,174724,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(290173,174724,'Decreases Mitigation of target vs physical damage by 527',100,1,1),
(290174,174724,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(290175,10174724,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(290176,10174724,'Decreases Mitigation of target vs physical damage by 527',100,1,1),
(290177,10174724,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(290178,83674,'When Equipped:',100,0,0),
(290179,83674,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(290180,83674,'Inflicts 109 - 182 magic damage on target',100,2,2),
(290181,83674,'Inflicts 109 - 182 piercing damage on target',100,2,3),
(290182,83674,'Inflicts 109 - 182 divine damage on target',100,2,4),
(290183,83674,'Must not be engaged in pvp combat',100,2,5),
(290184,83674,'Cannot be modified except by direct means',100,2,6),
(290185,83674,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(290186,83674,'Inflicts 109 - 182 magic damage on target',100,2,8),
(290187,83674,'Inflicts 109 - 182 piercing damage on target',100,2,9),
(290188,83674,'Inflicts 109 - 182 divine damage on target',100,2,10),
(290189,83674,'Must not be engaged in pvp combat',100,2,11),
(290190,83674,'Cannot be modified except by direct means',100,2,12),
(290191,83674,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(290192,83674,'Inflicts 109 - 182 magic damage on target',100,2,14),
(290193,83674,'Inflicts 109 - 182 piercing damage on target',100,2,15),
(290194,83674,'Inflicts 109 - 182 divine damage on target',100,2,16),
(290195,83674,'Must not be engaged in pvp combat',100,2,17),
(290196,83674,'Cannot be modified except by direct means',100,2,18),
(290197,83674,'Must not be engaged in pvp combat',100,1,19),
(290198,10083674,'When Equipped:',100,0,0),
(290199,10083674,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(290200,10083674,'Inflicts 131 - 218 magic damage on target',100,2,2),
(290201,10083674,'Inflicts 131 - 218 piercing damage on target',100,2,3),
(290202,10083674,'Inflicts 131 - 218 divine damage on target',100,2,4),
(290203,10083674,'Must not be engaged in pvp combat',100,2,5),
(290204,10083674,'Cannot be modified except by direct means',100,2,6),
(290205,10083674,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(290206,10083674,'Inflicts 131 - 218 magic damage on target',100,2,8),
(290207,10083674,'Inflicts 131 - 218 piercing damage on target',100,2,9),
(290208,10083674,'Inflicts 131 - 218 divine damage on target',100,2,10),
(290209,10083674,'Must not be engaged in pvp combat',100,2,11),
(290210,10083674,'Cannot be modified except by direct means',100,2,12),
(290211,10083674,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(290212,10083674,'Inflicts 131 - 218 magic damage on target',100,2,14),
(290213,10083674,'Inflicts 131 - 218 piercing damage on target',100,2,15),
(290214,10083674,'Inflicts 131 - 218 divine damage on target',100,2,16),
(290215,10083674,'Must not be engaged in pvp combat',100,2,17),
(290216,10083674,'Cannot be modified except by direct means',100,2,18),
(290217,10083674,'Must not be engaged in pvp combat',100,1,19),
(290218,119572,'Increases power of caster by 9 instantly and every 4 seconds',100,1,0),
(290219,10119572,'Increases power of caster by 9 instantly and every 4 seconds',100,1,0),
(290220,115107,'Summons 4 limited pets to aid the caster',100,1,0),
(290221,10115107,'Summons 4 limited pets to aid the caster',100,1,0),
(290222,104473,'Decreases Mitigation of target encounter vs physical damage by 228',100,1,0),
(290223,10104473,'Decreases Mitigation of target encounter vs physical damage by 228',100,1,0),
(290224,159483,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(290225,159483,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(290226,159483,'Inflicts 62 heat damage on target',100,2,2),
(290227,159483,'Cannot be modified except by direct means',100,2,3),
(290228,10159483,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(290229,10159483,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(290230,10159483,'Inflicts 74 heat damage on target',100,2,2),
(290231,10159483,'Cannot be modified except by direct means',100,2,3),
(290232,116033,'Prevents target from changing targets',100,1,0),
(290233,116033,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(290234,116033,'Increases Threat to target by 2,071 - 2,429  instantly and by 1,485 - 1,713  every 4 seconds thereafter',100,2,2),
(290235,116033,'Increases Threat to target by 3,390 - 4,041  instantly and by 2,291 - 2,698  every 2 seconds thereafter',100,1,3),
(290236,116033,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(290237,116033,'Increases threat priority of target by 4 positions',100,1,5),
(290238,116033,'Must be not at the top of the hate list of your current target.',100,1,6),
(290239,10116033,'Prevents target from changing targets',100,1,0),
(290240,10116033,'Forces target to change their selected target to caster.',100,1,1),
(290241,10116033,'Must be not at the top of the hate list of your current target.',100,1,2),
(290242,82838,'When Equipped:',100,0,0),
(290243,82838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290244,82838,'Inflicts 205 - 381 magic damage on target',100,2,2),
(290245,82838,'Cannot be modified except by direct means',100,2,3),
(290246,10082838,'When Equipped:',100,0,0),
(290247,10082838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290248,10082838,'Inflicts 246 - 457 magic damage on target',100,2,2),
(290249,10082838,'Cannot be modified except by direct means',100,2,3),
(290250,41654,'When Equipped:',100,0,0),
(290251,41654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290252,41654,'Inflicts 125 - 232 magic damage on target',100,2,2),
(290253,41654,'Cannot be modified except by direct means',100,2,3),
(290254,10041654,'When Equipped:',100,0,0),
(290255,10041654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290256,10041654,'Inflicts 150 - 278 magic damage on target',100,2,2),
(290257,10041654,'Cannot be modified except by direct means',100,2,3),
(290258,48036,'Applies Shifting Root when Activated.  Lasts for 2 minutes 24 seconds.',100,0,0),
(290259,48036,'Grants invisibility to caster',100,1,1),
(290260,48036,'Suspends caster''s movement speed enhancements',100,1,2),
(290261,48036,'Dispelled when target receives hostile action',100,1,3),
(290262,48036,'Dispelled when target takes damage',100,1,4),
(290263,10048036,'Applies Shifting Root when Activated.  Lasts for 2 minutes 24 seconds.',100,0,0),
(290264,10048036,'Grants invisibility to caster',100,1,1),
(290265,10048036,'Suspends caster''s movement speed enhancements',100,1,2),
(290266,10048036,'Dispelled when target receives hostile action',100,1,3),
(290267,10048036,'Dispelled when target takes damage',100,1,4),
(290268,112430,'Mesmerizes target',100,1,0),
(290269,112430,'Prevents AOE (except when direct) ',100,1,1),
(290270,112430,'Dispelled when target takes damage',100,1,2),
(290271,112430,'Does not affect Epic targets',100,1,3),
(290272,112430,'Resistibility increases against targets higher than level 53.',100,1,4),
(290273,10112430,'Mesmerizes target',100,1,0),
(290274,10112430,'Prevents AOE (except when direct) ',100,1,1),
(290275,10112430,'Dispelled when target takes damage',100,1,2),
(290276,10112430,'Does not affect Epic targets',100,1,3),
(290277,10112430,'Resistibility increases against targets higher than level 53.',100,1,4),
(290278,26289,'When Equipped:',100,0,0),
(290279,26289,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(290280,26289,'Inflicts 245 magic damage on target',100,2,2),
(290281,26289,'Cannot be modified except by direct means',100,2,3),
(290282,10026289,'When Equipped:',100,0,0),
(290283,10026289,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(290284,10026289,'Inflicts 294 magic damage on target',100,2,2),
(290285,10026289,'Cannot be modified except by direct means',100,2,3),
(290286,107337,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(290287,107337,'Increases Threat to target by 150 ',100,2,1),
(290288,10107337,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(290289,10107337,'Inflicts 17 - 18 crushing damage on target',100,2,1),
(290290,115015,'Heals target for 38 - 46',100,1,0),
(290291,10115015,'Heals target for 53 - 64',100,1,0),
(290292,147139,'When Equipped:',100,0,0),
(290293,147139,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(290294,147139,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(290295,147139,'Dispelled when target casts a hostile spell',100,2,3),
(290296,147139,'Dispelled when target casts a combat art',100,2,4),
(290297,147139,'Cannot be modified except by direct means',100,2,5),
(290298,147139,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(290299,147139,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(290300,147139,'Dispelled when target casts a hostile spell',100,2,8),
(290301,147139,'Dispelled when target casts a combat art',100,2,9),
(290302,147139,'Cannot be modified except by direct means',100,2,10),
(290303,10147139,'When Equipped:',100,0,0),
(290304,10147139,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(290305,10147139,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(290306,10147139,'Dispelled when target casts a hostile spell',100,2,3),
(290307,10147139,'Dispelled when target casts a combat art',100,2,4),
(290308,10147139,'Cannot be modified except by direct means',100,2,5),
(290309,10147139,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(290310,10147139,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(290311,10147139,'Dispelled when target casts a hostile spell',100,2,8),
(290312,10147139,'Dispelled when target casts a combat art',100,2,9),
(290313,10147139,'Cannot be modified except by direct means',100,2,10),
(290314,187344,'When Equipped:',100,0,0),
(290315,187344,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(290316,10187344,'When Equipped:',100,0,0),
(290317,10187344,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(290318,183234,'When Equipped:',100,0,0),
(290319,183234,'Increases Attack Speed of caster by 11.0',100,1,1),
(290320,183234,'This effect will not stack with any rank or tier of itself.',100,1,2),
(290321,183234,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(290322,183234,'Cannot be modified except by direct means',100,1,4),
(290323,10183234,'When Equipped:',100,0,0),
(290324,10183234,'Increases Attack Speed of caster by 11.0',100,1,1),
(290325,10183234,'This effect will not stack with any rank or tier of itself.',100,1,2),
(290326,10183234,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(290327,10183234,'Cannot be modified except by direct means',100,1,4),
(290328,108510,'Increases AGI and WIS of group members (AE) by 14.6',100,1,0),
(290329,108510,'Adds 1.5% to base avoidance.',100,1,1),
(290330,108510,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 41',100,1,2),
(290331,10108510,'Increases AGI and WIS of group members (AE) by 14.6',100,1,0),
(290332,10108510,'Adds 1.5% to base avoidance.',100,1,1),
(290333,10108510,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 41',100,1,2),
(290334,76417,'Applies Speak to Vel''Arek when Activated.',100,0,0),
(290335,10076417,'Applies Speak to Vel''Arek when Activated.',100,0,0),
(290336,121090,'Decreases Threat to targets in Area of Effect by 357 ',100,1,0),
(290337,121090,'Mesmerizes targets in Area of Effect',100,1,1),
(290338,121090,'If Target is not Epic',100,2,2),
(290339,121090,'Dispelled when target takes damage',100,1,3),
(290340,10121090,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(290341,10121090,'Applies Distract.',100,1,1),
(290342,10121090,'Forces target to clear their selected target.',100,2,2),
(290343,10121090,'Mesmerizes targets in Area of Effect',100,1,3),
(290344,10121090,'If Target is not Epic',100,2,4),
(290345,10121090,'Dispelled when target takes damage',100,1,5),
(290346,26228,'When Equipped:',100,0,0),
(290347,26228,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(290348,26228,'Increases power of caster by 63',100,2,2),
(290349,26228,'Cannot be modified except by direct means',100,2,3),
(290350,10026228,'When Equipped:',100,0,0),
(290351,10026228,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(290352,10026228,'Increases power of caster by 63',100,2,2),
(290353,10026228,'Cannot be modified except by direct means',100,2,3),
(290354,109452,'Inflicts 315 - 385 cold damage on target instantly and every 4 seconds',100,1,0),
(290355,109452,'Decreases Mitigation of target vs elemental damage by 1670',100,1,1),
(290356,10109452,'Inflicts 378 - 463 cold damage on target instantly and every 4 seconds',100,1,0),
(290357,10109452,'Decreases Mitigation of target vs elemental damage by 1670',100,1,1),
(290358,176423,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(290359,176423,'Slows target by 45.4%',100,1,1),
(290360,176423,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(290361,176423,'Decreases Attack Speed of target by 19.0',100,2,3),
(290362,176423,'Cannot be modified except by direct means',100,2,4),
(290363,176423,'5% chance to dispel when target takes damage',100,1,5),
(290364,176423,'5% chance to dispel when target receives hostile action',100,1,6),
(290365,176423,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(290366,10176423,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(290367,10176423,'Slows target by 45.4%',100,1,1),
(290368,10176423,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(290369,10176423,'Decreases Attack Speed of target by 19.0',100,2,3),
(290370,10176423,'Cannot be modified except by direct means',100,2,4),
(290371,10176423,'5% chance to dispel when target takes damage',100,1,5),
(290372,10176423,'5% chance to dispel when target receives hostile action',100,1,6),
(290373,10176423,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(290374,105645,'Inflicts 103 disease damage on target instantly and every 6 seconds',100,1,0),
(290375,105645,'Inflicts 238 - 397 disease damage on target',100,1,1),
(290376,105645,'Inflicts 238 - 397 disease damage on target',100,1,2),
(290377,10105645,'Inflicts 124 disease damage on target instantly and every 6 seconds',100,1,0),
(290378,10105645,'Inflicts 286 - 477 disease damage on target',100,1,1),
(290379,10105645,'Inflicts 286 - 477 disease damage on target',100,1,2),
(290380,123229,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(290381,123229,'Increases Mitigation of group members (AE) vs noxious damage by 122',100,1,1),
(290382,10123229,'Increases Max Power of group members (AE) by 32.3',100,1,0),
(290383,10123229,'Increases Mitigation of group members (AE) vs noxious damage by 122',100,1,1),
(290384,108940,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(290385,108940,'Inflicts 49 heat damage on target',100,2,1),
(290386,10108940,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(290387,10108940,'Inflicts 59 heat damage on target',100,2,1),
(290388,108228,'Inflicts 108 - 326 piercing damage on target',100,1,0),
(290389,108228,'Decreases Slashing, Crushing, Piercing and Ranged of target by 18.9',100,1,1),
(290390,10108228,'Inflicts 130 - 391 piercing damage on target',100,1,0),
(290391,10108228,'Decreases Slashing, Crushing, Piercing and Ranged of target by 18.9',100,1,1),
(290392,42540,'When Equipped:',100,0,0),
(290393,42540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290394,42540,'Inflicts 44 - 66 magic damage on target',100,2,2),
(290395,42540,'Cannot be modified except by direct means',100,2,3),
(290396,10042540,'When Equipped:',100,0,0),
(290397,10042540,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290398,10042540,'Inflicts 53 - 79 magic damage on target',100,2,2),
(290399,10042540,'Cannot be modified except by direct means',100,2,3),
(290400,159667,'When Equipped:',100,0,0),
(290401,159667,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(290402,159667,'Increases STA of caster by 8.8',100,2,2),
(290403,159667,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(290404,159667,'Cannot be modified except by direct means',100,2,4),
(290405,10159667,'When Equipped:',100,0,0),
(290406,10159667,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(290407,10159667,'Increases STA of caster by 8.8',100,2,2),
(290408,10159667,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(290409,10159667,'Cannot be modified except by direct means',100,2,4),
(290410,116320,'Stuns target',100,1,0),
(290411,116320,'If Target is not Epic',100,2,1),
(290412,116320,'Inflicts 403 - 493 magic damage on target',100,1,2),
(290413,116320,'Resistibility increases against targets higher than level 101.',100,1,3),
(290414,10116320,'Stuns target',100,1,0),
(290415,10116320,'If Target is not Epic',100,2,1),
(290416,10116320,'Inflicts 484 - 592 magic damage on target',100,1,2),
(290417,10116320,'Resistibility increases against targets higher than level 101.',100,1,3),
(290418,24167,'Adds Crushbone: Climbing Support to your Dungeon Maker toolbox',100,0,0),
(290419,10024167,'Adds Crushbone: Climbing Support to your Dungeon Maker toolbox',100,0,0),
(290420,177543,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(290421,177543,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290422,177543,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(290423,177543,'Cannot be modified except by direct means',100,2,3),
(290424,10177543,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(290425,10177543,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290426,10177543,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(290427,10177543,'Cannot be modified except by direct means',100,2,3),
(290428,36592,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(290429,81559,'When Equipped:',100,0,0),
(290430,81559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290431,81559,'Inflicts 112 - 208 magic damage on target',100,2,2),
(290432,81559,'Cannot be modified except by direct means',100,2,3),
(290433,10081559,'When Equipped:',100,0,0),
(290434,10081559,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290435,10081559,'Inflicts 135 - 250 magic damage on target',100,2,2),
(290436,10081559,'Cannot be modified except by direct means',100,2,3),
(290437,55412,'When Equipped:',100,0,0),
(290438,55412,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 1.5 seconds.  ',100,1,1),
(290439,55412,'Stuns target',100,2,2),
(290440,55412,'Throws target back',100,2,3),
(290441,55412,'Does not affect Epic targets',100,2,4),
(290442,55412,'Resistibility increases against targets higher than level 77.',100,2,5),
(290443,55412,'Cannot be modified except by direct means',100,2,6),
(290444,10055412,'When Equipped:',100,0,0),
(290445,10055412,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 1.5 seconds.  ',100,1,1),
(290446,10055412,'Stuns target',100,2,2),
(290447,10055412,'Throws target back',100,2,3),
(290448,10055412,'Does not affect Epic targets',100,2,4),
(290449,10055412,'Resistibility increases against targets higher than level 77.',100,2,5),
(290450,10055412,'Cannot be modified except by direct means',100,2,6),
(290451,169194,'When Equipped:',100,0,0),
(290452,169194,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(290453,169194,'Inflicts 13 mental damage on target',100,2,2),
(290454,169194,'Cannot be modified except by direct means',100,2,3),
(290455,10169194,'When Equipped:',100,0,0),
(290456,10169194,'When any damage is received this spell has a 5% chance to cast Mental Feedback on target''s attacker.  ',100,1,1),
(290457,10169194,'Inflicts 15 mental damage on target',100,2,2),
(290458,10169194,'Cannot be modified except by direct means',100,2,3),
(290459,138586,'When Equipped:',100,0,0),
(290460,138586,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(290461,10138586,'When Equipped:',100,0,0),
(290462,10138586,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(290463,110043,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(290464,110043,'Inflicts 327 - 546 disease damage on target',100,2,1),
(290465,110043,'Heals caster for 2.4 - 3.9% of max health',100,2,2),
(290466,110043,'This effect cannot be critically applied.',100,3,3),
(290467,110043,'The healing of this spell cannot be modified except by direct means',100,2,4),
(290468,10110043,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(290469,10110043,'Inflicts 393 - 655 disease damage on target',100,2,1),
(290470,10110043,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(290471,10110043,'This effect cannot be critically applied.',100,3,3),
(290472,10110043,'The healing of this spell cannot be modified except by direct means',100,2,4),
(290473,114238,'Inflicts 266 - 325 mental damage on target',100,1,0),
(290474,114238,'Stuns target',100,1,1),
(290475,114238,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(290476,114238,'Resistibility increases against targets higher than level 70.',100,1,3),
(290477,10114238,'Inflicts 319 - 390 mental damage on target',100,1,0),
(290478,10114238,'Requires not being affected by Mesmerize effects.',100,2,1),
(290479,10114238,'Stuns target',100,1,2),
(290480,10114238,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(290481,10114238,'Resistibility increases against targets higher than level 70.',100,1,4),
(290482,113252,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(290483,113252,'Inflicts 35 - 59 magic damage on target',100,2,1),
(290484,113252,'Grants a total of 8 triggers of the spell.',100,2,2),
(290485,10113252,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(290486,10113252,'Inflicts 42 - 71 magic damage on target',100,2,1),
(290487,10113252,'Grants a total of 8 triggers of the spell.',100,2,2),
(290488,80044,'Applies Fire Ball when Activated.',100,0,0),
(290489,80044,'Inflicts 272 - 454 heat damage on target',100,1,1),
(290490,80044,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290491,10080044,'Applies Fire Ball when Activated.',100,0,0),
(290492,10080044,'Inflicts 327 - 545 heat damage on target',100,1,1),
(290493,10080044,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290494,24424,'Adds Golem (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(290495,10024424,'Adds Golem (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(290496,105175,'Increases AGI of caster by 110.9',100,1,0),
(290497,105175,'Adds 2.5% to base avoidance.',100,1,1),
(290498,105175,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(290499,105175,'Increases Parry of caster by 63.6',100,1,3),
(290500,105175,'Increases Defense of caster by 84.8',100,1,4),
(290501,10105175,'Increases AGI of caster by 110.9',100,1,0),
(290502,10105175,'Adds 2.5% to base avoidance.',100,1,1),
(290503,10105175,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(290504,10105175,'Increases Parry of caster by 63.6',100,1,3),
(290505,10105175,'Increases Defense of caster by 84.8',100,1,4),
(290506,107312,'Decreases WIS of target by 38.9',100,1,0),
(290507,107312,'Decreases Defense of target by 15.1',100,1,1),
(290508,10107312,'Decreases WIS of target by 38.9',100,1,0),
(290509,10107312,'Decreases Defense of target by 15.1',100,1,1),
(290510,123595,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(290511,123595,'Increases Defense of target by 11.4',100,1,1),
(290512,10123595,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(290513,10123595,'Increases Defense of target by 11.4',100,1,1),
(290514,158821,'When Equipped:',100,0,0),
(290515,158821,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(290516,158821,'Decreases Damage Per Second of target by 7.4 - 12.4',100,2,2),
(290517,158821,'Cannot be modified except by direct means',100,2,3),
(290518,10158821,'When Equipped:',100,0,0),
(290519,10158821,'When any damage is received this spell has a 7.5% chance to cast Stupor on target''s attacker.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(290520,10158821,'Decreases Damage Per Second of target by 7.4 - 12.4',100,2,2),
(290521,10158821,'Cannot be modified except by direct means',100,2,3),
(290522,101436,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(290523,101436,'Increases Mitigation of group members (AE) vs noxious damage by 448',100,1,1),
(290524,10101436,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(290525,10101436,'Increases Mitigation of group members (AE) vs noxious damage by 448',100,1,1),
(290526,48881,'Applies Sartar''s Resurgence  when Activated.',100,0,0),
(290527,48881,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(290528,10048881,'Applies Sartar''s Resurgence  when Activated.',100,0,0),
(290529,10048881,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(290530,159446,'Applies Sanguine Imbued when Equipped.',100,0,0),
(290531,159446,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(290532,159446,'Inflicts 57 heat damage on target',100,2,2),
(290533,159446,'Cannot be modified except by direct means',100,2,3),
(290534,10159446,'Applies Sanguine Imbued when Equipped.',100,0,0),
(290535,10159446,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(290536,10159446,'Inflicts 69 heat damage on target',100,2,2),
(290537,10159446,'Cannot be modified except by direct means',100,2,3),
(290538,86505,'Applies Holy Strike when Activated.',100,0,0),
(290539,86505,'Inflicts 129 - 215 divine damage on target',100,1,1),
(290540,86505,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290541,10086505,'Applies Holy Strike when Activated.',100,0,0),
(290542,10086505,'Inflicts 155 - 258 divine damage on target',100,1,1),
(290543,10086505,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290544,105397,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(290545,105397,'Inflicts 139 melee damage on target',100,2,1),
(290546,105397,'Interrupts target',100,2,2),
(290547,105397,'Decreases Defense of caster by 28.6',100,1,3),
(290548,105397,'Increases Piercing, Slashing, Ranged and Crushing of caster by 53.1',100,1,4),
(290549,10105397,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(290550,10105397,'Inflicts 167 melee damage on target',100,2,1),
(290551,10105397,'Interrupts target',100,2,2),
(290552,10105397,'Decreases Defense of caster by 28.6',100,1,3),
(290553,10105397,'Increases Piercing, Slashing, Ranged and Crushing of caster by 53.1',100,1,4),
(290554,46911,'Applies Mending Root when Activated.',100,0,0),
(290555,46911,'Heals caster for 80 - 120',100,1,1),
(290556,10046911,'Applies Mending Root when Activated.',100,0,0),
(290557,10046911,'Heals caster for 52 - 78',100,1,1),
(290558,41616,'When Equipped:',100,0,0),
(290559,41616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290560,41616,'Inflicts 30 - 55 magic damage on target',100,2,2),
(290561,41616,'Cannot be modified except by direct means',100,2,3),
(290562,10041616,'When Equipped:',100,0,0),
(290563,10041616,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290564,10041616,'Inflicts 36 - 66 magic damage on target',100,2,2),
(290565,10041616,'Cannot be modified except by direct means',100,2,3),
(290566,109510,'Inflicts 70 - 86 disease damage on target instantly and every 4 seconds',100,1,0),
(290567,109510,'Decreases Attack Speed of target by 7.5',100,1,1),
(290568,10109510,'Inflicts 84 - 103 disease damage on target instantly and every 4 seconds',100,1,0),
(290569,10109510,'Decreases Attack Speed of target by 7.5',100,1,1),
(290570,75181,'When Equipped:',100,0,0),
(290571,75181,'On a combat hit this spell may cast Ancient Soothing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290572,75181,'Heals caster for 361',100,2,2),
(290573,75181,'Cannot be modified except by direct means',100,2,3),
(290574,10075181,'When Equipped:',100,0,0),
(290575,10075181,'On a combat hit this spell may cast Ancient Soothing on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290576,10075181,'Heals caster for 234',100,2,2),
(290577,10075181,'Cannot be modified except by direct means',100,2,3),
(290578,52759,'Applies Sanguine Imbued when Equipped.',100,0,0),
(290579,52759,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(290580,52759,'Inflicts 108 heat damage on target',100,2,2),
(290581,52759,'Cannot be modified except by direct means',100,2,3),
(290582,10052759,'Applies Sanguine Imbued when Equipped.',100,0,0),
(290583,10052759,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(290584,10052759,'Inflicts 129 heat damage on target',100,2,2),
(290585,10052759,'Cannot be modified except by direct means',100,2,3),
(290586,108913,'Inflicts 1167 heat damage on target',100,1,0),
(290587,108913,'Inflicts 1167 cold damage on target',100,1,1),
(290588,108913,'Slows target by 77.1%',100,1,2),
(290589,10108913,'Inflicts 1400 heat damage on target',100,1,0),
(290590,10108913,'Inflicts 1400 cold damage on target',100,1,1),
(290591,10108913,'Slows target by 77.1%',100,1,2),
(290592,159334,'Applies Lambent Imbued when Equipped.',100,0,0),
(290593,159334,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290594,159334,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(290595,159334,'Cannot be modified except by direct means',100,2,3),
(290596,10159334,'Applies Lambent Imbued when Equipped.',100,0,0),
(290597,10159334,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290598,10159334,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(290599,10159334,'Cannot be modified except by direct means',100,2,3),
(290600,80475,'When Equipped:',100,0,0),
(290601,80475,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(290602,80475,'Inflicts 48 - 90 magic damage on target',100,2,2),
(290603,80475,'Decreases Threat to target by 153 ',100,2,3),
(290604,80475,'Must be flanking or behind',100,3,4),
(290605,80475,'Increases Threat to target by 267 ',100,2,5),
(290606,80475,'Must be in front of',100,3,6),
(290607,80475,'Cannot be modified except by direct means',100,2,7),
(290608,10080475,'When Equipped:',100,0,0),
(290609,10080475,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(290610,10080475,'Inflicts 58 - 107 magic damage on target',100,2,2),
(290611,10080475,'Cannot be modified except by direct means',100,2,3),
(290612,170226,'Applies Rift Portals when Activated.',100,0,0),
(290613,170226,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(290614,10170226,'Applies Rift Portals when Activated.',100,0,0),
(290615,10170226,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(290616,45381,'Applies Tinkered Wings of Flight when Activated.',100,0,0),
(290617,45381,'Increases Focus of caster by 5.0',100,1,1),
(290618,45381,'Summons a mount to ride',100,1,2),
(290619,45381,'Increases your ground speed by 75%',100,2,3),
(290620,45381,'Increases your air speed by 150%',100,2,4),
(290621,45381,'Increases Subjugation, Ordination, Slashing, Ranged, Aggression, Crushing, Disruption, Ministration and Piercing of caster by 5.0',100,1,5),
(290622,10045381,'Applies Tinkered Wings of Flight when Activated.',100,0,0),
(290623,10045381,'Increases Focus of caster by 5.0',100,1,1),
(290624,10045381,'Summons a mount to ride',100,1,2),
(290625,10045381,'Increases your ground speed by 75%',100,2,3),
(290626,10045381,'Increases your air speed by 150%',100,2,4),
(290627,10045381,'Increases Subjugation, Ordination, Slashing, Ranged, Aggression, Crushing, Disruption, Ministration and Piercing of caster by 5.0',100,1,5),
(290628,47717,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(290629,47717,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(290630,47717,'Inflicts 340 poison damage on target',100,2,2),
(290631,47717,'Cannot be modified except by direct means',100,2,3),
(290632,47717,'Grants a total of 100 triggers of the spell.',100,2,4),
(290633,10047717,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(290634,10047717,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(290635,10047717,'Inflicts 306 poison damage on target',100,2,2),
(290636,10047717,'Cannot be modified except by direct means',100,2,3),
(290637,10047717,'Grants a total of 100 triggers of the spell.',100,2,4),
(290638,100538,'Heals group members (AE) for 399 - 487',100,1,0),
(290639,10100538,'Heals group members (AE) for 484 - 591',100,1,0),
(290640,159130,'When Equipped:',100,0,0),
(290641,159130,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(290642,159130,'Increases WIS of caster by 11.9',100,2,2),
(290643,159130,'Increases Focus, Ordination and Ministration of caster by 6.7',100,2,3),
(290644,159130,'Cannot be modified except by direct means',100,2,4),
(290645,10159130,'When Equipped:',100,0,0),
(290646,10159130,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(290647,10159130,'Increases WIS of caster by 11.9',100,2,2),
(290648,10159130,'Increases Focus, Ordination and Ministration of caster by 6.7',100,2,3),
(290649,10159130,'Cannot be modified except by direct means',100,2,4),
(290650,41625,'When Equipped:',100,0,0),
(290651,41625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290652,41625,'Inflicts 111 - 205 magic damage on target',100,2,2),
(290653,41625,'Cannot be modified except by direct means',100,2,3),
(290654,10041625,'When Equipped:',100,0,0),
(290655,10041625,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290656,10041625,'Inflicts 133 - 246 magic damage on target',100,2,2),
(290657,10041625,'Cannot be modified except by direct means',100,2,3),
(290658,74642,'When Equipped:',100,0,0),
(290659,74642,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290660,74642,'Inflicts 64 - 96 magic damage on target',100,2,2),
(290661,74642,'Cannot be modified except by direct means',100,2,3),
(290662,10074642,'When Equipped:',100,0,0),
(290663,10074642,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290664,10074642,'Inflicts 77 - 115 magic damage on target',100,2,2),
(290665,10074642,'Cannot be modified except by direct means',100,2,3),
(290666,46886,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(290667,46886,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(290668,46886,'Decreases Threat to target by 1,049 - 1,282 ',100,2,2),
(290669,46886,'Cannot be modified except by direct means',100,2,3),
(290670,46886,'Grants a total of 100 triggers of the spell.',100,2,4),
(290671,10046886,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(290672,10046886,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(290673,10046886,'5% chance to apply Distract.',100,2,2),
(290674,10046886,'Forces target to clear their selected target.',100,3,3),
(290675,10046886,'Cannot be modified except by direct means',100,2,4),
(290676,10046886,'Grants a total of 100 triggers of the spell.',100,2,5),
(290677,120371,'Inflicts 161 - 197 divine damage on target instantly and every 4 seconds',100,1,0),
(290678,120371,'Decreases WIS of target by 107.4',100,1,1),
(290679,10120371,'Inflicts 193 - 236 divine damage on target instantly and every 4 seconds',100,1,0),
(290680,10120371,'Decreases WIS of target by 107.4',100,1,1),
(290681,120214,'Roots target encounter',100,1,0),
(290682,120214,'15% chance to dispel when target takes damage',100,1,1),
(290683,120214,'Does not affect Epic targets',100,1,2),
(290684,120214,'Resistibility increases against targets higher than level 69.',100,1,3),
(290685,10120214,'Roots target encounter',100,1,0),
(290686,10120214,'15% chance to dispel when target takes damage',100,1,1),
(290687,10120214,'Does not affect Epic targets',100,1,2),
(290688,10120214,'Resistibility increases against targets higher than level 69.',100,1,3),
(290689,81094,'When Equipped:',100,0,0),
(290690,81094,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(290691,81094,'Inflicts 148 - 275 magic damage on target',100,2,2),
(290692,81094,'Decreases Threat to target by 517 ',100,2,3),
(290693,81094,'Must be flanking or behind',100,3,4),
(290694,81094,'Increases Threat to target by 905 ',100,2,5),
(290695,81094,'Must be in front of',100,3,6),
(290696,81094,'Cannot be modified except by direct means',100,2,7),
(290697,10081094,'When Equipped:',100,0,0),
(290698,10081094,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(290699,10081094,'Inflicts 178 - 330 magic damage on target',100,2,2),
(290700,10081094,'Cannot be modified except by direct means',100,2,3),
(290701,179218,'When Equipped:',100,0,0),
(290702,179218,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(290703,179218,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(290704,179218,'Must not be engaged in pvp combat',100,2,3),
(290705,179218,'Cannot be modified except by direct means',100,2,4),
(290706,179218,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(290707,179218,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(290708,179218,'Must not be engaged in pvp combat',100,2,7),
(290709,179218,'Cannot be modified except by direct means',100,2,8),
(290710,179218,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(290711,179218,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(290712,179218,'Must not be engaged in pvp combat',100,2,11),
(290713,179218,'Cannot be modified except by direct means',100,2,12),
(290714,179218,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(290715,179218,'Inflicts 20 piercing damage on target',100,2,14),
(290716,179218,'Must not be engaged in pvp combat',100,2,15),
(290717,179218,'Cannot be modified except by direct means',100,2,16),
(290718,10179218,'When Equipped:',100,0,0),
(290719,10179218,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(290720,10179218,'Increases Crit Bonus of caster by 1.5%',100,2,2),
(290721,10179218,'Must not be engaged in pvp combat',100,2,3),
(290722,10179218,'Cannot be modified except by direct means',100,2,4),
(290723,10179218,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(290724,10179218,'Increases Crit Bonus of caster by 1.5%',100,2,6),
(290725,10179218,'Must not be engaged in pvp combat',100,2,7),
(290726,10179218,'Cannot be modified except by direct means',100,2,8),
(290727,10179218,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing II on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(290728,10179218,'Increases Crit Bonus of caster by 1.5%',100,2,10),
(290729,10179218,'Must not be engaged in pvp combat',100,2,11),
(290730,10179218,'Cannot be modified except by direct means',100,2,12),
(290731,10179218,'When damaged with a melee weapon this spell will cast Brell''s Retribution II on target''s attacker.  ',100,1,13),
(290732,10179218,'Inflicts 24 piercing damage on target',100,2,14),
(290733,10179218,'Must not be engaged in pvp combat',100,2,15),
(290734,10179218,'Cannot be modified except by direct means',100,2,16),
(290735,84398,'When Equipped:',100,0,0),
(290736,84398,'On a combat hit this spell may cast Cold Swelter on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290737,84398,'Inflicts 497 - 608 cold damage on target',100,2,2),
(290738,84398,'Inflicts 497 - 608 heat damage on target',100,2,3),
(290739,84398,'Cannot be modified except by direct means',100,2,4),
(290740,10084398,'When Equipped:',100,0,0),
(290741,10084398,'On a combat hit this spell may cast Cold Swelter on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290742,10084398,'Inflicts 597 - 729 cold damage on target',100,2,2),
(290743,10084398,'Inflicts 597 - 729 heat damage on target',100,2,3),
(290744,10084398,'Cannot be modified except by direct means',100,2,4),
(290745,120118,'Shapechanges caster into a chaos essence',100,1,0),
(290746,120118,'Increases WIS of caster by 147.8',100,1,1),
(290747,120118,'Grants See Invisibility to caster',100,1,2),
(290748,120118,'Increases Max Health of caster by 656.4',100,1,3),
(290749,120118,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2166',100,1,4),
(290750,10120118,'Shapechanges caster into a chaos essence',100,1,0),
(290751,10120118,'Increases WIS of caster by 147.8',100,1,1),
(290752,10120118,'Grants See Invisibility to caster',100,1,2),
(290753,10120118,'Increases Max Health of caster by 656.4',100,1,3),
(290754,10120118,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2166',100,1,4),
(290755,45028,'Applies Cleanse Skeleton when Activated.',100,0,0),
(290756,10045028,'Applies Cleanse Skeleton when Activated.',100,0,0),
(290757,111894,'Inflicts 8 - 13 piercing damage on target instantly and every 4 seconds',100,1,0),
(290758,111894,'Inflicts 28 - 46 piercing damage on target',100,1,1),
(290759,111894,'If facing target',100,1,2),
(290760,10111894,'Inflicts 9 - 15 piercing damage on target instantly and every 4 seconds',100,1,0),
(290761,10111894,'Inflicts 33 - 56 piercing damage on target',100,1,1),
(290762,10111894,'If facing target',100,1,2),
(290763,46432,'Applies Frizzleclang Metalpickerupper-mabob IV when Activated.',100,0,0),
(290764,10046432,'Applies Frizzleclang Metalpickerupper-mabob IV when Activated.',100,0,0),
(290765,159318,'Applies Lambent Imbued when Equipped.',100,0,0),
(290766,159318,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290767,159318,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(290768,159318,'Cannot be modified except by direct means',100,2,3),
(290769,10159318,'Applies Lambent Imbued when Equipped.',100,0,0),
(290770,10159318,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290771,10159318,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(290772,10159318,'Cannot be modified except by direct means',100,2,3),
(290773,159532,'Applies Lambent Imbued when Equipped.',100,0,0),
(290774,159532,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290775,159532,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(290776,159532,'Cannot be modified except by direct means',100,2,3),
(290777,10159532,'Applies Lambent Imbued when Equipped.',100,0,0),
(290778,10159532,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(290779,10159532,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(290780,10159532,'Cannot be modified except by direct means',100,2,3),
(290781,83988,'Applies Lightning Shock when Activated.',100,0,0),
(290782,83988,'Inflicts 129 - 215 magic damage on target',100,1,1),
(290783,83988,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290784,10083988,'Applies Lightning Shock when Activated.',100,0,0),
(290785,10083988,'Inflicts 155 - 258 magic damage on target',100,1,1),
(290786,10083988,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290787,47890,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(290788,47890,'Increases power of caster by 78 instantly and every 4 seconds',100,1,1),
(290789,47890,'Requires 715 Health to cast.',100,1,2),
(290790,10047890,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(290791,10047890,'Increases power of caster by 78 instantly and every 4 seconds',100,1,1),
(290792,10047890,'Requires 715 Health to cast.',100,1,2),
(290793,75964,'When Equipped:',100,0,0),
(290794,75964,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(290795,75964,'Inflicts 10 - 12 divine damage on target',100,2,2),
(290796,75964,'If target is undead',100,2,3),
(290797,75964,'Cannot be modified except by direct means',100,2,4),
(290798,10075964,'When Equipped:',100,0,0),
(290799,10075964,'On a combat hit this spell may cast Cleansing Light on target of attack.  Triggers about 6.0 times per minute. ',100,1,1),
(290800,10075964,'Inflicts 12 - 14 divine damage on target',100,2,2),
(290801,10075964,'If target is undead',100,2,3),
(290802,10075964,'Cannot be modified except by direct means',100,2,4),
(290803,108102,'Decreases Threat to target by 720 - 1,200 ',100,1,0),
(290804,10108102,'Forces target to clear their selected target.',100,1,0),
(290805,10108102,'Target cannot target caster for the duration of this effect.',100,1,1),
(290806,122067,'Increases Threat to target by 321 - 392 ',100,1,0),
(290807,104599,'Heals target for 101 - 124',100,1,0),
(290808,10104599,'Heals target for 66 - 80',100,1,0),
(290809,103325,'Inflicts 74 - 91 mental damage on target instantly and every 6 seconds',100,1,0),
(290810,103325,'Applies Migraine on termination.',100,1,1),
(290811,103325,'Inflicts 162 - 219 mental damage on target',100,2,2),
(290812,10103325,'Inflicts 89 - 109 mental damage on target instantly and every 6 seconds',100,1,0),
(290813,10103325,'Applies Migraine on termination.',100,1,1),
(290814,10103325,'Inflicts 194 - 263 mental damage on target',100,2,2),
(290815,106566,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(290816,106566,'Increases Parry of caster by 3.2',100,1,1),
(290817,10106566,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(290818,10106566,'Increases Parry of caster by 3.2',100,1,1),
(290819,48330,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(290820,48330,'Increases power of caster by 26 instantly and every 5 seconds',100,1,1),
(290821,10048330,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(290822,10048330,'Increases power of caster by 21 instantly and every 5 seconds',100,1,1),
(290823,104337,'Charms target',100,1,0),
(290824,104337,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(290825,104337,'Mesmerizes target',100,2,2),
(290826,104337,'Dispelled when target takes damage',100,2,3),
(290827,104337,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(290828,104337,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(290829,104337,'Grants Sonic Vision to caster',100,2,6),
(290830,104337,'Increases Out-of-Combat Power Regeneration of target by 6.7',100,1,7),
(290831,104337,'Increases Out-of-Combat Health Regeneration of target by 13.3',100,1,8),
(290832,104337,'Certain enemies cannot be charmed',100,1,9),
(290833,104337,'Does not affect Epic targets',100,1,10),
(290834,10104337,'Mesmerizes target',100,1,0),
(290835,10104337,'Prevents AOE (except when direct) ',100,1,1),
(290836,10104337,'Dispelled when target takes damage',100,1,2),
(290837,10104337,'Certain enemies cannot be charmed',100,1,3),
(290838,10104337,'Does not affect Epic targets',100,1,4),
(290839,10104337,'Resistibility increases against targets higher than level 49.',100,1,5),
(290840,179244,'When Equipped:',100,0,0),
(290841,179244,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(290842,179244,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(290843,179244,'Cannot be modified except by direct means',100,2,3),
(290844,10179244,'When Equipped:',100,0,0),
(290845,10179244,'When any damage is received this spell has a 5% chance to cast Reflection on caster.  Lasts for 1 minute.  ',100,1,1),
(290846,10179244,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(290847,10179244,'Cannot be modified except by direct means',100,2,3),
(290848,36947,'Increases STR of target by 12.7',100,0,0),
(290849,36947,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(290850,109707,'Inflicts 13 - 23 cold damage on target',100,1,0),
(290851,109707,'If weapon equipped in Ranged',100,1,1),
(290852,10109707,'Inflicts 10 - 17 cold damage on target',100,1,0),
(290853,10109707,'If weapon equipped in Ranged',100,1,1),
(290854,111615,'Inflicts 47 - 86 cold damage on target instantly and every 4 seconds',100,1,0),
(290855,111615,'Decreases Mitigation of target vs elemental damage by 847',100,1,1),
(290856,10111615,'Inflicts 56 - 104 cold damage on target instantly and every 4 seconds',100,1,0),
(290857,10111615,'Decreases Mitigation of target vs elemental damage by 847',100,1,1),
(290858,115975,'Inflicts 210 - 315 mental damage on target',100,1,0),
(290859,115975,'Stuns target',100,1,1),
(290860,115975,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(290861,115975,'Resistibility increases against targets higher than level 70.',100,1,3),
(290862,10115975,'Inflicts 252 - 378 mental damage on target',100,1,0),
(290863,10115975,'Stuns target',100,1,1),
(290864,10115975,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(290865,10115975,'Resistibility increases against targets higher than level 70.',100,1,3),
(290866,112557,'Interrupts target',50,1,0),
(290867,112557,'Inflicts 326 - 399 divine damage on target',100,1,1),
(290868,10112557,'Interrupts target',50,1,0),
(290869,10112557,'Inflicts 504 - 615 divine damage on target',100,1,1),
(290870,41474,'When Equipped:',100,0,0),
(290871,41474,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(290872,41474,'Inflicts 80 - 149 magic damage on target',100,2,2),
(290873,41474,'Decreases Threat to target by 352 ',100,2,3),
(290874,41474,'Must be flanking or behind',100,3,4),
(290875,41474,'Increases Threat to target by 617 ',100,2,5),
(290876,41474,'Must be in front of',100,3,6),
(290877,41474,'Cannot be modified except by direct means',100,2,7),
(290878,10041474,'When Equipped:',100,0,0),
(290879,10041474,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(290880,10041474,'Inflicts 96 - 179 magic damage on target',100,2,2),
(290881,10041474,'Cannot be modified except by direct means',100,2,3),
(290882,103652,'Summons a pet Bugbear Billy',100,1,0),
(290883,10103652,'Summons a pet Bugbear Billy',100,1,0),
(290884,181290,'When Equipped:',100,0,0),
(290885,181290,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(290886,181290,'When Equipped:',100,0,2),
(290887,181290,'Reduces reuse time of all spells by 1 percent.',100,1,3),
(290888,10181290,'When Equipped:',100,0,0),
(290889,10181290,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(290890,10181290,'When Equipped:',100,0,2),
(290891,10181290,'Reduces reuse time of all spells by 1 percent.',100,1,3),
(290892,27245,'When Equipped:',100,0,0),
(290893,27245,'On a riposte this spell has a 45% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(290894,27245,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(290895,27245,'Heals caster for 115 - 141',100,3,3),
(290896,27245,'Grants a total of 3 triggers of the spell.',100,3,4),
(290897,27245,'Cannot be modified except by direct means',100,2,5),
(290898,10027245,'When Equipped:',100,0,0),
(290899,10027245,'On a riposte this spell has a 45% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(290900,10027245,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(290901,10027245,'Heals caster for 75 - 91',100,3,3),
(290902,10027245,'Grants a total of 3 triggers of the spell.',100,3,4),
(290903,10027245,'Cannot be modified except by direct means',100,2,5),
(290904,110227,'Interrupts target',100,1,0),
(290905,110227,'Inflicts 273 - 456 crushing damage on target',100,1,1),
(290906,10110227,'Interrupts target',100,1,0),
(290907,10110227,'Inflicts 328 - 547 crushing damage on target',100,1,1),
(290908,124825,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 742',100,1,0),
(290909,10124825,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 742',100,1,0),
(290910,103853,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(290911,103853,'Slows target by 32.9%',100,2,1),
(290912,103853,'5% chance to dispel when target receives hostile action',100,2,2),
(290913,103853,'5% chance to dispel when target takes damage',100,2,3),
(290914,103853,'Decreases Mitigation of target vs noxious damage by 437',100,1,4),
(290915,10103853,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(290916,10103853,'Slows target by 32.9%',100,2,1),
(290917,10103853,'5% chance to dispel when target receives hostile action',100,2,2),
(290918,10103853,'5% chance to dispel when target takes damage',100,2,3),
(290919,10103853,'Decreases Mitigation of target vs noxious damage by 437',100,1,4),
(290920,102461,'Stuns target encounter',100,1,0),
(290921,102461,'Epic targets gain an immunity to Stun effects of 12.8 seconds and duration is reduced to 1.4 seconds.',100,1,1),
(290922,102461,'Resistibility increases against targets higher than level 100.',100,1,2),
(290923,10102461,'Stuns target encounter',100,1,0),
(290924,10102461,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(290925,10102461,'Resistibility increases against targets higher than level 100.',100,1,2),
(290926,114318,'Dispels 8 levels of noxious hostile effects on target',100,1,0),
(290927,114318,'Heals target for 21 - 25',100,1,1),
(290928,114318,'This effect cannot be critically applied.',100,2,2),
(290929,114318,'The healing of this spell cannot be modified except by direct means',100,1,3),
(290930,10114318,'Dispels 8 levels of noxious hostile effects on target',100,1,0),
(290931,10114318,'Heals target for 8 - 10',100,1,1),
(290932,10114318,'This effect cannot be critically applied.',100,2,2),
(290933,10114318,'The healing of this spell cannot be modified except by direct means',100,1,3),
(290934,120721,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 34.9',100,1,0),
(290935,10120721,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 34.9',100,1,0),
(290936,86485,'Applies Disease Blast when Activated.',100,0,0),
(290937,86485,'Inflicts 367 - 611 disease damage on target',100,1,1),
(290938,86485,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290939,10086485,'Applies Disease Blast when Activated.',100,0,0),
(290940,10086485,'Inflicts 440 - 734 disease damage on target',100,1,1),
(290941,10086485,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290942,124829,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1008',100,1,0),
(290943,10124829,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1008',100,1,0),
(290944,35347,'Increases AGI of target by 2.4',100,0,0),
(290945,35347,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(290946,51462,'Applies Heroic Resistance II when Equipped.',100,0,0),
(290947,51462,'Reduces the critical damage inflicted by players on caster by 2.0%',100,1,1),
(290948,51462,'Cannot be modified except by direct means',100,1,2),
(290949,10051462,'Applies Heroic Resistance II when Equipped.',100,0,0),
(290950,10051462,'Reduces the critical damage inflicted by players on caster by 2.0%',100,1,1),
(290951,10051462,'Cannot be modified except by direct means',100,1,2),
(290952,117033,'Inflicts 7 - 12 melee damage on target',100,1,0),
(290953,117033,'Decreases Attack Speed of target by 11.1',100,1,1),
(290954,10117033,'Inflicts 8 - 14 melee damage on target',100,1,0),
(290955,10117033,'Decreases Attack Speed of target by 11.1',100,1,1),
(290956,109943,'Stuns target',100,1,0),
(290957,109943,'Does not affect Epic targets',100,1,1),
(290958,109943,'Resistibility increases against targets higher than level 87.',100,1,2),
(290959,10109943,'Stuns target',100,1,0),
(290960,10109943,'Does not affect Epic targets',100,1,1),
(290961,10109943,'Resistibility increases against targets higher than level 87.',100,1,2),
(290962,81510,'When Equipped:',100,0,0),
(290963,81510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290964,81510,'Inflicts 101 - 188 magic damage on target',100,2,2),
(290965,81510,'Cannot be modified except by direct means',100,2,3),
(290966,10081510,'When Equipped:',100,0,0),
(290967,10081510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290968,10081510,'Inflicts 121 - 225 magic damage on target',100,2,2),
(290969,10081510,'Cannot be modified except by direct means',100,2,3),
(290970,192060,'When Equipped:',100,0,0),
(290971,192060,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(290972,192060,'On any combat or spell hit this spell may cast Wild Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(290973,192060,'Increases Damage Per Second of caster by 9.0',100,2,3),
(290974,192060,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(290975,192060,'Increases Ranged, Crushing, Slashing and Piercing of caster by 7.5',100,2,5),
(290976,192060,'Must not be engaged in pvp combat',100,2,6),
(290977,192060,'Cannot be modified except by direct means',100,2,7),
(290978,192060,'Cannot be modified except by direct means',100,1,8),
(290979,10192060,'When Equipped:',100,0,0),
(290980,10192060,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(290981,10192060,'On any combat or spell hit this spell may cast Wild Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(290982,10192060,'Increases Damage Per Second of caster by 9.0',100,2,3),
(290983,10192060,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(290984,10192060,'Increases Ranged, Crushing, Slashing and Piercing of caster by 7.5',100,2,5),
(290985,10192060,'Must not be engaged in pvp combat',100,2,6),
(290986,10192060,'Cannot be modified except by direct means',100,2,7),
(290987,10192060,'Cannot be modified except by direct means',100,1,8),
(290988,87549,'Applies Mental Blast when Activated.',100,0,0),
(290989,87549,'Inflicts 367 - 611 mental damage on target',100,1,1),
(290990,87549,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290991,10087549,'Applies Mental Blast when Activated.',100,0,0),
(290992,10087549,'Inflicts 440 - 734 mental damage on target',100,1,1),
(290993,10087549,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(290994,88854,'When Equipped:',100,0,0),
(290995,88854,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(290996,88854,'Inflicts 148 - 246 magic damage on target',100,2,2),
(290997,88854,'Cannot be modified except by direct means',100,2,3),
(290998,10088854,'When Equipped:',100,0,0),
(290999,10088854,'On a combat hit this spell may cast Ancient Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291000,10088854,'Inflicts 177 - 296 magic damage on target',100,2,2),
(291001,10088854,'Cannot be modified except by direct means',100,2,3),
(291002,36575,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(291003,117800,'Mesmerizes target',100,1,0),
(291004,117800,'Prevents AOE (except when direct) ',100,1,1),
(291005,117800,'Dispelled when target takes damage',100,1,2),
(291006,117800,'Epic targets gain an immunity to Mesmerize effects of 52.5 seconds and duration is reduced to 5.8 seconds.',100,1,3),
(291007,117800,'Resistibility increases against targets higher than level 83.',100,1,4),
(291008,10117800,'Mesmerizes target',100,1,0),
(291009,10117800,'Prevents AOE (except when direct) ',100,1,1),
(291010,10117800,'Dispelled when target takes damage',100,1,2),
(291011,10117800,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(291012,10117800,'Resistibility increases against targets higher than level 83.',100,1,4),
(291013,25970,'When Equipped:',100,0,0),
(291014,25970,'Increases Damage Per Second of caster by 4.0',100,1,1),
(291015,10025970,'When Equipped:',100,0,0),
(291016,10025970,'Increases Damage Per Second of caster by 4.0',100,1,1),
(291017,106264,'Wards target against 726 points of all damage',100,1,0),
(291018,10106264,'Wards target against 726 points of all damage',100,1,0),
(291019,120781,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(291020,120781,'Stuns target',100,2,1),
(291021,120781,'Throws target back',100,2,2),
(291022,120781,'Blurs vision of target',100,2,3),
(291023,120781,'Does not affect Epic targets',100,2,4),
(291024,120781,'Inflicts 66 - 110 piercing damage on target',100,1,5),
(291025,10120781,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(291026,10120781,'Stuns target',100,2,1),
(291027,10120781,'Throws target back',100,2,2),
(291028,10120781,'Blurs vision of target',100,2,3),
(291029,10120781,'Does not affect Epic targets',100,2,4),
(291030,10120781,'Inflicts 79 - 132 piercing damage on target',100,1,5),
(291031,112150,'Dispels 108 levels of physical and arcane hostile effects on caster',100,1,0),
(291032,10112150,'Dispels 108 levels of physical and arcane hostile effects on caster',100,1,0),
(291033,47028,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(291034,47028,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291035,47028,'Inflicts 27 poison damage on target',100,2,2),
(291036,47028,'Inflicts 24 poison damage on target instantly and every 6 seconds',100,2,3),
(291037,47028,'Cannot be modified except by direct means',100,2,4),
(291038,47028,'Grants a total of 200 triggers of the spell.',100,2,5),
(291039,10047028,'Applies visions of madness when Activated.  Lasts for 12 hours.',100,0,0),
(291040,10047028,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291041,10047028,'Inflicts 22 poison damage on target instantly and every 6 seconds',100,2,2),
(291042,10047028,'Inflicts 25 poison damage on target',100,2,3),
(291043,10047028,'Cannot be modified except by direct means',100,2,4),
(291044,10047028,'Grants a total of 200 triggers of the spell.',100,2,5),
(291045,163246,'When Equipped:',100,0,0),
(291046,163246,'On a critical combat hit this spell may cast Overwhelming Power II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(291047,163246,'Decreases Potency of target by 2.0%',100,2,2),
(291048,163246,'Increases Potency of caster by 2.0%',100,2,3),
(291049,163246,'Must not be engaged in pvp combat',100,2,4),
(291050,163246,'Cannot be modified except by direct means',100,2,5),
(291051,163246,'On a critical spell hit this spell may cast Overwhelming Power II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(291052,163246,'Decreases Potency of target by 2.0%',100,2,7),
(291053,163246,'Increases Potency of caster by 2.0%',100,2,8),
(291054,163246,'Must not be engaged in pvp combat',100,2,9),
(291055,163246,'Cannot be modified except by direct means',100,2,10),
(291056,163246,'Must not be engaged in pvp combat',100,1,11),
(291057,10163246,'When Equipped:',100,0,0),
(291058,10163246,'On a critical combat hit this spell may cast Overwhelming Power II on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(291059,10163246,'Decreases Potency of target by 2.0%',100,2,2),
(291060,10163246,'Increases Potency of caster by 2.0%',100,2,3),
(291061,10163246,'Must not be engaged in pvp combat',100,2,4),
(291062,10163246,'Cannot be modified except by direct means',100,2,5),
(291063,10163246,'On a critical spell hit this spell may cast Overwhelming Power II on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(291064,10163246,'Decreases Potency of target by 2.0%',100,2,7),
(291065,10163246,'Increases Potency of caster by 2.0%',100,2,8),
(291066,10163246,'Must not be engaged in pvp combat',100,2,9),
(291067,10163246,'Cannot be modified except by direct means',100,2,10),
(291068,10163246,'Must not be engaged in pvp combat',100,1,11),
(291069,82632,'When Equipped:',100,0,0),
(291070,82632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291071,82632,'Inflicts 71 - 131 magic damage on target',100,2,2),
(291072,82632,'Cannot be modified except by direct means',100,2,3),
(291073,10082632,'When Equipped:',100,0,0),
(291074,10082632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291075,10082632,'Inflicts 85 - 158 magic damage on target',100,2,2),
(291076,10082632,'Cannot be modified except by direct means',100,2,3),
(291077,112387,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.4',100,1,0),
(291078,112387,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(291079,112387,'Inflicts 261 - 319 piercing damage on target',100,2,2),
(291080,112387,'Inflicts 131 - 160 piercing damage on target every 3 seconds',100,2,3),
(291081,10112387,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.4',100,1,0),
(291082,10112387,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(291083,10112387,'Inflicts 313 - 383 piercing damage on target',100,2,2),
(291084,10112387,'Inflicts 157 - 192 piercing damage on target every 3 seconds',100,2,3),
(291085,112856,'Roots target',100,1,0),
(291086,112856,'5% chance to dispel when target takes damage',100,1,1),
(291087,112856,'Does not affect Epic targets',100,1,2),
(291088,112856,'Resistibility increases against targets higher than level 105.',100,1,3),
(291089,10112856,'Roots target',100,1,0),
(291090,10112856,'5% chance to dispel when target takes damage',100,1,1),
(291091,10112856,'Does not affect Epic targets',100,1,2),
(291092,10112856,'Resistibility increases against targets higher than level 105.',100,1,3),
(291093,115516,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(291094,115516,'Increases Mitigation of group members (AE) vs noxious damage by 1160',100,1,1),
(291095,10115516,'Increases Max Health of group members (AE) by 321.4',100,1,0),
(291096,10115516,'Increases Mitigation of group members (AE) vs noxious damage by 1160',100,1,1),
(291097,53378,'Applies Heroic Resistance V when Equipped.',100,0,0),
(291098,53378,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(291099,53378,'Cannot be modified except by direct means',100,1,2),
(291100,10053378,'Applies Heroic Resistance V when Equipped.',100,0,0),
(291101,10053378,'Reduces the critical damage inflicted by players on caster by 5.0%',100,1,1),
(291102,10053378,'Cannot be modified except by direct means',100,1,2),
(291103,81111,'When Equipped:',100,0,0),
(291104,81111,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291105,81111,'Inflicts 148 - 275 magic damage on target',100,2,2),
(291106,81111,'Decreases Threat to target by 517 ',100,2,3),
(291107,81111,'Must be flanking or behind',100,3,4),
(291108,81111,'Increases Threat to target by 905 ',100,2,5),
(291109,81111,'Must be in front of',100,3,6),
(291110,81111,'Cannot be modified except by direct means',100,2,7),
(291111,10081111,'When Equipped:',100,0,0),
(291112,10081111,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291113,10081111,'Inflicts 178 - 330 magic damage on target',100,2,2),
(291114,10081111,'Cannot be modified except by direct means',100,2,3),
(291115,112885,'Inflicts 241 - 295 melee damage on target',100,1,0),
(291116,112885,'Decreases Mitigation of target vs physical damage by 282',100,1,1),
(291117,112885,'Must be flanking or behind',100,1,2),
(291118,10112885,'Inflicts 289 - 354 melee damage on target',100,1,0),
(291119,10112885,'Decreases Mitigation of target vs physical damage by 282',100,1,1),
(291120,10112885,'Must be flanking or behind',100,1,2),
(291121,35730,'Increases WIS and AGI of target by 13.2',100,0,0),
(291122,35730,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(291123,141879,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(291124,141879,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(291125,141879,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(291126,141879,'Cannot be modified except by direct means',100,2,3),
(291127,10141879,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(291128,10141879,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(291129,10141879,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(291130,10141879,'Cannot be modified except by direct means',100,2,3),
(291131,101294,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(291132,101294,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,1),
(291133,10101294,'Increases Max Health of group members (AE) by 592.3',100,1,0),
(291134,10101294,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,1),
(291135,118904,'Increases Damage Per Second of caster by 36.3',100,1,0),
(291136,10118904,'Increases Damage Per Second of caster by 36.3',100,1,0),
(291137,46168,'Applies Erosive Goo when Activated.  Lasts for 12 hours.',100,0,0),
(291138,46168,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291139,46168,'Inflicts 134 poison damage on target',100,2,2),
(291140,46168,'Inflicts 79 poison damage on target instantly and every 6 seconds',100,2,3),
(291141,46168,'Cannot be modified except by direct means',100,2,4),
(291142,46168,'Grants a total of 100 triggers of the spell.',100,2,5),
(291143,10046168,'Applies Erosive Goo when Activated.  Lasts for 12 hours.',100,0,0),
(291144,10046168,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291145,10046168,'Inflicts 120 poison damage on target',100,2,2),
(291146,10046168,'Inflicts 71 poison damage on target instantly and every 6 seconds',100,2,3),
(291147,10046168,'Cannot be modified except by direct means',100,2,4),
(291148,10046168,'Grants a total of 100 triggers of the spell.',100,2,5),
(291149,109378,'Inflicts 110 - 332 melee damage on target',100,1,0),
(291150,109378,'Inflicts 138 - 416 melee damage on target',100,1,1),
(291151,109378,'Inflicts 166 - 499 melee damage on target',100,1,2),
(291152,10109378,'Inflicts 133 - 399 melee damage on target',100,1,0),
(291153,10109378,'Inflicts 166 - 499 melee damage on target',100,1,1),
(291154,10109378,'Inflicts 199 - 599 melee damage on target',100,1,2),
(291155,123126,'Inflicts 239 disease damage on targets in Area of Effect',100,1,0),
(291156,123126,'Inflicts 163 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(291157,10123126,'Inflicts 287 disease damage on targets in Area of Effect',100,1,0),
(291158,10123126,'Inflicts 196 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(291159,46725,'Applies essence of health when Activated.',100,0,0),
(291160,46725,'Heals caster for 199',100,1,1),
(291161,10046725,'Applies essence of health when Activated.',100,0,0),
(291162,10046725,'Heals caster for 130',100,1,1),
(291163,114575,'Inflicts 232 - 388 ranged damage on target',100,1,0),
(291164,114575,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(291165,114575,'Requires bow',100,1,2),
(291166,10114575,'Inflicts 216 - 361 ranged damage on target',100,1,0),
(291167,10114575,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(291168,10114575,'Requires bow',100,1,2),
(291169,82176,'When Equipped:',100,0,0),
(291170,82176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291171,82176,'Inflicts 30 - 55 magic damage on target',100,2,2),
(291172,82176,'Cannot be modified except by direct means',100,2,3),
(291173,10082176,'When Equipped:',100,0,0),
(291174,10082176,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291175,10082176,'Inflicts 36 - 66 magic damage on target',100,2,2),
(291176,10082176,'Cannot be modified except by direct means',100,2,3),
(291177,47267,'Applies Margyn''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(291178,47267,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(291179,10047267,'Applies Margyn''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(291180,10047267,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(291181,107960,'Increases In-Combat Power Regeneration of group members (AE) by 13.8',100,1,0),
(291182,10107960,'Increases In-Combat Power Regeneration of group members (AE) by 13.8',100,1,0),
(291183,111000,'Heals target for 583 - 713 instantly and every 2 seconds',100,1,0),
(291184,111000,'Increases power of target by 45 - 55 instantly and every 2 seconds',100,1,1),
(291185,10111000,'Heals target for 379 - 463 instantly and every 2 seconds',100,1,0),
(291186,10111000,'Increases power of target by 45 - 55 instantly and every 2 seconds',100,1,1),
(291187,119463,'Inflicts 313 - 523 melee damage on target',100,1,0),
(291188,119463,'Inflicts 227 piercing damage on target instantly and every 4 seconds',100,1,1),
(291189,119463,'Must be flanking or behind',100,1,2),
(291190,10119463,'Inflicts 376 - 627 melee damage on target',100,1,0),
(291191,10119463,'Inflicts 272 piercing damage on target instantly and every 4 seconds',100,1,1),
(291192,10119463,'Must be flanking or behind',100,1,2),
(291193,177725,'When Equipped:',100,0,0),
(291194,177725,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(291195,177725,'Increases AGI of caster by 21.4',100,2,2),
(291196,177725,'Increases Attack Speed of caster by 23.5',100,2,3),
(291197,177725,'Cannot be modified except by direct means',100,2,4),
(291198,10177725,'When Equipped:',100,0,0),
(291199,10177725,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(291200,10177725,'Increases AGI of caster by 21.4',100,2,2),
(291201,10177725,'Increases Attack Speed of caster by 23.5',100,2,3),
(291202,10177725,'Cannot be modified except by direct means',100,2,4),
(291203,41432,'When Equipped:',100,0,0),
(291204,41432,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291205,41432,'Inflicts 133 - 248 magic damage on target',100,2,2),
(291206,41432,'Cannot be modified except by direct means',100,2,3),
(291207,10041432,'When Equipped:',100,0,0),
(291208,10041432,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291209,10041432,'Inflicts 160 - 297 magic damage on target',100,2,2),
(291210,10041432,'Cannot be modified except by direct means',100,2,3),
(291211,46918,'Applies Use Ointment when Activated.',100,0,0),
(291212,10046918,'Applies Use Ointment when Activated.',100,0,0),
(291213,115584,'Interrupts target encounter',100,1,0),
(291214,115584,'Decreases Threat to target encounter by 423 - 517 ',100,1,1),
(291215,115584,'Dazes target encounter',100,1,2),
(291216,115584,'If Target is not Epic',100,2,3),
(291217,115584,'Resistibility increases against targets higher than level 81.',100,1,4),
(291218,10115584,'Interrupts target encounter',100,1,0),
(291219,10115584,'Dazes target encounter',100,1,1),
(291220,10115584,'If Target is not Epic',100,2,2),
(291221,10115584,'Resistibility increases against targets higher than level 81.',100,1,3),
(291222,112091,'Inflicts 43 - 72 heat damage on target instantly and every 2 seconds',100,1,0),
(291223,10112091,'Inflicts 127 - 211 heat damage on target instantly and every 2 seconds',100,1,0),
(291224,71699,'When Equipped:',100,0,0),
(291225,71699,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291226,71699,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(291227,71699,'Cannot be modified except by direct means',100,2,3),
(291228,10071699,'When Equipped:',100,0,0),
(291229,10071699,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291230,10071699,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(291231,10071699,'Cannot be modified except by direct means',100,2,3),
(291232,113495,'Inflicts 142 - 237 melee damage on targets in area',100,1,0),
(291233,10113495,'Inflicts 171 - 285 melee damage on targets in area',100,1,0),
(291234,108451,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(291235,108451,'Increases Aggression of caster by 2.7',100,1,1),
(291236,108451,'Increases Defense and Parry of caster by 5.4',100,1,2),
(291237,108451,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(291238,10108451,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(291239,10108451,'Increases Aggression of caster by 2.7',100,1,1),
(291240,10108451,'Increases Defense and Parry of caster by 5.4',100,1,2),
(291241,10108451,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(291242,41464,'When Equipped:',100,0,0),
(291243,41464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291244,41464,'Inflicts 46 - 86 magic damage on target',100,2,2),
(291245,41464,'Cannot be modified except by direct means',100,2,3),
(291246,10041464,'When Equipped:',100,0,0),
(291247,10041464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291248,10041464,'Inflicts 55 - 103 magic damage on target',100,2,2),
(291249,10041464,'Cannot be modified except by direct means',100,2,3),
(291250,47836,'Applies Rogue''s Poison when Activated.  Lasts for 12 hours.',100,0,0),
(291251,47836,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291252,47836,'Inflicts 11 poison damage on target',100,2,2),
(291253,47836,'Inflicts 2 poison damage on target instantly and every 6 seconds',100,2,3),
(291254,47836,'Cannot be modified except by direct means',100,2,4),
(291255,47836,'Grants a total of 100 triggers of the spell.',100,2,5),
(291256,10047836,'Applies Rogue''s Poison when Activated.  Lasts for 12 hours.',100,0,0),
(291257,10047836,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291258,10047836,'Inflicts 2 poison damage on target instantly and every 6 seconds',100,2,2),
(291259,10047836,'Inflicts 10 poison damage on target',100,2,3),
(291260,10047836,'Cannot be modified except by direct means',100,2,4),
(291261,10047836,'Grants a total of 100 triggers of the spell.',100,2,5),
(291262,159108,'Applies Sanguine Imbued when Equipped.',100,0,0),
(291263,159108,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(291264,159108,'Inflicts 33 heat damage on target',100,2,2),
(291265,159108,'Cannot be modified except by direct means',100,2,3),
(291266,10159108,'Applies Sanguine Imbued when Equipped.',100,0,0),
(291267,10159108,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(291268,10159108,'Inflicts 40 heat damage on target',100,2,2),
(291269,10159108,'Cannot be modified except by direct means',100,2,3),
(291270,113001,'Reduces physical damage done to caster by 5%',100,1,0),
(291271,113001,'Increases STA of caster by 108.7',100,1,1),
(291272,113001,'Adds 2.9% to base avoidance.',100,1,2),
(291273,113001,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(291274,113001,'Increases Defense and Aggression of caster by 20.7',100,1,4),
(291275,113001,'Increases Mitigation of caster vs arcane damage by 1436',100,1,5),
(291276,113001,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(291277,10113001,'Reduces physical damage done to caster by 5%',100,1,0),
(291278,10113001,'Increases STA of caster by 108.7',100,1,1),
(291279,10113001,'Adds 2.9% to base avoidance.',100,1,2),
(291280,10113001,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,3),
(291281,10113001,'Increases Defense and Aggression of caster by 20.7',100,1,4),
(291282,10113001,'Increases Mitigation of caster vs arcane damage by 1436',100,1,5),
(291283,10113001,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(291284,24307,'Adds Boss: Djinn Master (Warden) to your Dungeon Maker toolbox',100,0,0),
(291285,10024307,'Adds Boss: Djinn Master (Warden) to your Dungeon Maker toolbox',100,0,0),
(291286,116636,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(291287,116636,'Increases Mitigation of group members (AE) vs arcane damage by 554',100,1,1),
(291288,10116636,'Increases Max Power of group members (AE) by 359.0',100,1,0),
(291289,10116636,'Increases Mitigation of group members (AE) vs arcane damage by 554',100,1,1),
(291290,107808,'Increases Threat to target encounter by 1,107 - 1,251 ',100,1,0),
(291291,10107808,'Prevents target encounter from changing targets',100,1,0),
(291292,10107808,'Forces target encounter to change their selected target to caster.',100,1,1),
(291293,113605,'Summons a limited pet to aid the caster',100,1,0),
(291294,10113605,'Summons a limited pet to aid the caster',100,1,0),
(291295,102562,'Increases AGI of caster by 66.8',100,1,0),
(291296,102562,'Increases Max Health of caster by 193.2',100,1,1),
(291297,102562,'Adds 21.8% to base avoidance.',100,1,2),
(291298,102562,'Increases Mitigation of caster vs physical damage by 402',100,1,3),
(291299,102562,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,4),
(291300,10102562,'Increases AGI of caster by 66.8',100,1,0),
(291301,10102562,'Increases Max Health of caster by 193.2',100,1,1),
(291302,10102562,'Adds 21.8% to base avoidance.',100,1,2),
(291303,10102562,'Increases Mitigation of caster vs physical damage by 402',100,1,3),
(291304,10102562,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,4),
(291305,103940,'Wards group members (AE) collectively against 2288 total points of all damage',100,1,0),
(291306,10103940,'Wards group members (AE) collectively against 3408 total points of all damage',100,1,0),
(291307,75008,'When Equipped:',100,0,0),
(291308,75008,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291309,75008,'Inflicts 182 - 273 magic damage on target',100,2,2),
(291310,75008,'Cannot be modified except by direct means',100,2,3),
(291311,10075008,'When Equipped:',100,0,0),
(291312,10075008,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291313,10075008,'Inflicts 219 - 328 magic damage on target',100,2,2),
(291314,10075008,'Cannot be modified except by direct means',100,2,3),
(291315,103540,'Increases In-Combat Power Regeneration of group members (AE) by 9.3',100,1,0),
(291316,10103540,'Increases In-Combat Power Regeneration of group members (AE) by 9.3',100,1,0),
(291317,164423,'When Equipped:',100,0,0),
(291318,164423,'On any combat or spell hit this spell may cast Lesson of Aggression on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(291319,164423,'Inflicts 465 mental damage on target',100,2,2),
(291320,164423,'Increases Threat to target by 1,460 ',100,2,3),
(291321,164423,'Cannot be modified except by direct means',100,2,4),
(291322,164423,'Cannot be modified except by direct means',100,1,5),
(291323,10164423,'When Equipped:',100,0,0),
(291324,10164423,'On any combat or spell hit this spell may cast Lesson of Aggression on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(291325,10164423,'Inflicts 558 mental damage on target',100,2,2),
(291326,10164423,'Cannot be modified except by direct means',100,2,3),
(291327,10164423,'Cannot be modified except by direct means',100,1,4),
(291328,110531,'Increases Threat to target by 1,094  instantly and by 462  every 3 seconds thereafter',100,1,0),
(291329,110531,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(291330,110531,'Stuns target',100,2,2),
(291331,110531,'Throws target back',100,2,3),
(291332,110531,'Blurs vision of target',100,2,4),
(291333,110531,'Does not affect Epic targets',100,2,5),
(291334,110531,'Inflicts 110 - 183 disease damage on target',100,1,6),
(291335,10110531,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(291336,10110531,'Stuns target',100,2,1),
(291337,10110531,'Throws target back',100,2,2),
(291338,10110531,'Blurs vision of target',100,2,3),
(291339,10110531,'Does not affect Epic targets',100,2,4),
(291340,10110531,'Forces target to change their selected target to caster.',100,1,5),
(291341,10110531,'Inflicts 110 - 183 disease damage on target',100,1,6),
(291342,10110531,'Prevents target from changing targets',100,1,7),
(291343,119913,'Stifles target',100,1,0),
(291344,119913,'Inflicts 85 - 104 mental damage on target',100,1,1),
(291345,119913,'Inflicts 28 - 35 mental damage on target every 1.6 seconds',100,1,2),
(291346,119913,'Epic targets gain an immunity to Stifle effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,1,3),
(291347,119913,'Resistibility increases against targets higher than level 59.',100,1,4),
(291348,10119913,'Stifles target',100,1,0),
(291349,10119913,'Inflicts 102 - 125 mental damage on target',100,1,1),
(291350,10119913,'Inflicts 34 - 42 mental damage on target every second',100,1,2),
(291351,10119913,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(291352,10119913,'Resistibility increases against targets higher than level 59.',100,1,4),
(291353,111855,'Inflicts 27 - 50 heat damage on target',100,1,0),
(291354,111855,'Inflicts 10 - 19 heat damage on target every 2 seconds',100,1,1),
(291355,10111855,'Inflicts 32 - 60 heat damage on target',100,1,0),
(291356,10111855,'Inflicts 12 - 22 heat damage on target every 2 seconds',100,1,1),
(291357,47955,'Applies Shard of the Scholar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(291358,47955,'Increases damage done by spells by up to 10.',100,1,1),
(291359,47955,'Must have Scholar''s Spirit Shard equipped.',100,1,2),
(291360,10047955,'Applies Shard of the Scholar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(291361,10047955,'Increases damage done by spells by up to 10.',100,1,1),
(291362,10047955,'Must have Scholar''s Spirit Shard equipped.',100,1,2),
(291363,119224,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(291364,119224,'Decreases Threat to target by 187 ',100,2,1),
(291365,10119224,'On any combat or spell hit this spell may cast Evade on target of attack.  Lasts for 1.0 second.  Triggers about 4.0 times per minute. ',100,1,0),
(291366,10119224,'Prevents target from changing targets',100,2,1),
(291367,10119224,'Applies Distract.',100,2,2),
(291368,10119224,'Forces target to clear their selected target.',100,3,3),
(291369,80428,'When Equipped:',100,0,0),
(291370,80428,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291371,80428,'Inflicts 48 - 90 magic damage on target',100,2,2),
(291372,80428,'Decreases Threat to target by 153 ',100,2,3),
(291373,80428,'Must be flanking or behind',100,3,4),
(291374,80428,'Increases Threat to target by 267 ',100,2,5),
(291375,80428,'Must be in front of',100,3,6),
(291376,80428,'Cannot be modified except by direct means',100,2,7),
(291377,10080428,'When Equipped:',100,0,0),
(291378,10080428,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291379,10080428,'Inflicts 58 - 107 magic damage on target',100,2,2),
(291380,10080428,'Cannot be modified except by direct means',100,2,3),
(291381,102544,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(291382,102544,'Inflicts 57 - 95 melee damage on target',100,2,1),
(291383,102544,'Decreases Defense of caster by 5.1',100,1,2),
(291384,102544,'Increases Slashing, Piercing, Ranged and Crushing of caster by 10.7',100,1,3),
(291385,10102544,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(291386,10102544,'Inflicts 68 - 114 melee damage on target',100,2,1),
(291387,10102544,'Decreases Defense of caster by 5.1',100,1,2),
(291388,10102544,'Increases Slashing, Piercing, Ranged and Crushing of caster by 10.7',100,1,3),
(291389,122884,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',100,1,0),
(291390,122884,'Heals target for 543',100,2,1),
(291391,122884,'Heals target for 135 every 2 seconds',100,2,2),
(291392,122884,'Increases WIS of target by 56.8',100,2,3),
(291393,122884,'Grants a total of 1 trigger of the spell.',100,2,4),
(291394,10122884,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',100,1,0),
(291395,10122884,'Heals target for 353',100,2,1),
(291396,10122884,'Heals target for 88 every 2 seconds',100,2,2),
(291397,10122884,'Increases WIS of target by 56.8',100,2,3),
(291398,10122884,'Grants a total of 1 trigger of the spell.',100,2,4),
(291399,108169,'Inflicts 1192 - 1986 melee damage on target',100,1,0),
(291400,108169,'You must be sneaking to use this ability.',100,1,1),
(291401,108169,'Must be flanking or behind',100,1,2),
(291402,10108169,'Inflicts 943 - 1572 melee damage on target',100,1,0),
(291403,10108169,'You must be sneaking to use this ability.',100,1,1),
(291404,10108169,'Must be flanking or behind',100,1,2),
(291405,105662,'Decreases Damage Per Second of target by 15.6',100,1,0),
(291406,105662,'Inflicts 105 - 175 melee damage on target',100,1,1),
(291407,105662,'Must be flanking or behind',100,1,2),
(291408,10105662,'Decreases Damage Per Second of target by 15.6',100,1,0),
(291409,10105662,'Inflicts 126 - 210 melee damage on target',100,1,1),
(291410,10105662,'Must be flanking or behind',100,1,2),
(291411,116146,'Inflicts 162 - 270 divine damage on target',100,1,0),
(291412,116146,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(291413,116146,'Stuns target',100,2,2),
(291414,116146,'Blurs vision of target',100,2,3),
(291415,116146,'Throws target back',100,2,4),
(291416,116146,'Does not affect Epic targets',100,2,5),
(291417,10116146,'Inflicts 194 - 324 divine damage on target',100,1,0),
(291418,10116146,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(291419,10116146,'Stuns target',100,2,2),
(291420,10116146,'Blurs vision of target',100,2,3),
(291421,10116146,'Throws target back',100,2,4),
(291422,10116146,'Does not affect Epic targets',100,2,5),
(291423,75553,'Applies Disease Blast when Activated.',100,0,0),
(291424,75553,'Inflicts 238 - 397 disease damage on target',100,1,1),
(291425,75553,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(291426,10075553,'Applies Disease Blast when Activated.',100,0,0),
(291427,10075553,'Inflicts 286 - 477 disease damage on target',100,1,1),
(291428,10075553,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(291429,82552,'When Equipped:',100,0,0),
(291430,82552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291431,82552,'Inflicts 70 - 130 magic damage on target',100,2,2),
(291432,82552,'Cannot be modified except by direct means',100,2,3),
(291433,10082552,'When Equipped:',100,0,0),
(291434,10082552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291435,10082552,'Inflicts 84 - 156 magic damage on target',100,2,2),
(291436,10082552,'Cannot be modified except by direct means',100,2,3),
(291437,101148,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(291438,101148,'Inflicts 222 ranged damage on target',100,2,1),
(291439,101148,'Decreases Defense of caster by 17.7',100,1,2),
(291440,101148,'Increases Crushing, Piercing, Ranged and Slashing of caster by 26.5',100,1,3),
(291441,10101148,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(291442,10101148,'Inflicts 166 ranged damage on target',100,2,1),
(291443,10101148,'Decreases Defense of caster by 17.7',100,1,2),
(291444,10101148,'Increases Crushing, Piercing, Ranged and Slashing of caster by 26.5',100,1,3),
(291445,105623,'Inflicts 25 disease damage on target instantly and every 6 seconds',100,1,0),
(291446,105623,'Inflicts 58 - 96 disease damage on target',100,1,1),
(291447,105623,'Inflicts 58 - 96 disease damage on target',100,1,2),
(291448,10105623,'Inflicts 30 disease damage on target instantly and every 6 seconds',100,1,0),
(291449,10105623,'Inflicts 69 - 116 disease damage on target',100,1,1),
(291450,10105623,'Inflicts 69 - 116 disease damage on target',100,1,2),
(291451,46590,'Applies Call Cavalry Horse when Activated.',100,0,0),
(291452,46590,'Increases Ranged of caster by 7.0',100,1,1),
(291453,46590,'Summons a mount to ride',100,1,2),
(291454,46590,'Increases your ground speed by 135%',100,2,3),
(291455,46590,'Increases Slashing, Focus, Crushing and Piercing of caster by 7.0',100,1,4),
(291456,10046590,'Applies Call Cavalry Horse when Activated.',100,0,0),
(291457,10046590,'Increases Ranged of caster by 7.0',100,1,1),
(291458,10046590,'Summons a mount to ride',100,1,2),
(291459,10046590,'Increases your ground speed by 135%',100,2,3),
(291460,10046590,'Increases Slashing, Focus, Crushing and Piercing of caster by 7.0',100,1,4),
(291461,159382,'When Equipped:',100,0,0),
(291462,159382,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291463,159382,'Increases STR of caster by 3.6',100,2,2),
(291464,159382,'Increases Damage Per Second of caster by 11.3',100,2,3),
(291465,159382,'Cannot be modified except by direct means',100,2,4),
(291466,10159382,'When Equipped:',100,0,0),
(291467,10159382,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291468,10159382,'Increases STR of caster by 3.6',100,2,2),
(291469,10159382,'Increases Damage Per Second of caster by 11.3',100,2,3),
(291470,10159382,'Cannot be modified except by direct means',100,2,4),
(291471,46822,'Applies Lusun''s Replenishment when Activated.',100,0,0),
(291472,46822,'Heals caster for 47',100,1,1),
(291473,10046822,'Applies Lusun''s Replenishment when Activated.',100,0,0),
(291474,10046822,'Heals caster for 31',100,1,1),
(291475,107694,'Inflicts 61 - 103 heat damage on target',100,1,0),
(291476,107694,'You must be sneaking to use this ability.',100,1,1),
(291477,10107694,'Inflicts 74 - 123 heat damage on target',100,1,0),
(291478,10107694,'You must be sneaking to use this ability.',100,1,1),
(291479,114490,'Increases In-Combat Power Regeneration of group members (AE) by 9.0',100,1,0),
(291480,10114490,'Increases In-Combat Power Regeneration of group members (AE) by 9.0',100,1,0),
(291481,100295,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(291482,100295,'Inflicts 90 divine damage on target',100,2,1),
(291483,10100295,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(291484,10100295,'Inflicts 108 divine damage on target',100,2,1),
(291485,113081,'Dazes target',100,1,0),
(291486,113081,'If Target is not Epic',100,2,1),
(291487,113081,'Applies Scream on termination.',100,1,2),
(291488,113081,'Inflicts 436 - 726 disease damage on target',100,2,3),
(291489,113081,'Resistibility increases against targets higher than level 113.',100,1,4),
(291490,10113081,'Dazes target',100,1,0),
(291491,10113081,'If Target is not Epic',100,2,1),
(291492,10113081,'Applies Scream on termination.',100,1,2),
(291493,10113081,'Inflicts 523 - 871 disease damage on target',100,2,3),
(291494,10113081,'Resistibility increases against targets higher than level 113.',100,1,4),
(291495,101849,'Summons a limited pet to aid the caster',100,1,0),
(291496,10101849,'Summons a limited pet to aid the caster',100,1,0),
(291497,87427,'When Equipped:',100,0,0),
(291498,87427,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291499,87427,'Inflicts 30 - 45 magic damage on target',100,2,2),
(291500,87427,'Cannot be modified except by direct means',100,2,3),
(291501,10087427,'When Equipped:',100,0,0),
(291502,10087427,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291503,10087427,'Inflicts 36 - 54 magic damage on target',100,2,2),
(291504,10087427,'Cannot be modified except by direct means',100,2,3),
(291505,82093,'When Equipped:',100,0,0),
(291506,82093,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291507,82093,'Inflicts 138 - 257 magic damage on target',100,2,2),
(291508,82093,'Cannot be modified except by direct means',100,2,3),
(291509,10082093,'When Equipped:',100,0,0),
(291510,10082093,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291511,10082093,'Inflicts 166 - 309 magic damage on target',100,2,2),
(291512,10082093,'Cannot be modified except by direct means',100,2,3),
(291513,74835,'When Equipped:',100,0,0),
(291514,74835,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291515,74835,'Inflicts 86 - 129 magic damage on target',100,2,2),
(291516,74835,'Cannot be modified except by direct means',100,2,3),
(291517,10074835,'When Equipped:',100,0,0),
(291518,10074835,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291519,10074835,'Inflicts 103 - 155 magic damage on target',100,2,2),
(291520,10074835,'Cannot be modified except by direct means',100,2,3),
(291521,177634,'When Equipped:',100,0,0),
(291522,177634,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(291523,177634,'Increases STA of caster by 8.3',100,2,2),
(291524,177634,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(291525,177634,'Cannot be modified except by direct means',100,2,4),
(291526,10177634,'When Equipped:',100,0,0),
(291527,10177634,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(291528,10177634,'Increases STA of caster by 8.3',100,2,2),
(291529,10177634,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(291530,10177634,'Cannot be modified except by direct means',100,2,4),
(291531,26624,'When Equipped:',100,0,0),
(291532,26624,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(291533,26624,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(291534,10026624,'When Equipped:',100,0,0),
(291535,10026624,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(291536,10026624,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(291537,113403,'Increases STA of caster by 37.0',100,1,0),
(291538,113403,'Adds 4.3% to base avoidance.',100,1,1),
(291539,113403,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,2),
(291540,113403,'Increases Defense and Aggression of caster by 6.7',100,1,3),
(291541,113403,'Increases Mitigation of caster vs noxious damage by 484',100,1,4),
(291542,113403,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(291543,113403,'Reduces physical damage done to caster by 5%',100,1,6),
(291544,10113403,'Increases STA of caster by 37.0',100,1,0),
(291545,10113403,'Adds 4.3% to base avoidance.',100,1,1),
(291546,10113403,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,2),
(291547,10113403,'Increases Defense and Aggression of caster by 6.7',100,1,3),
(291548,10113403,'Increases Mitigation of caster vs noxious damage by 484',100,1,4),
(291549,10113403,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(291550,10113403,'Reduces physical damage done to caster by 5%',100,1,6),
(291551,123090,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',100,1,0),
(291552,123090,'Roots target',100,2,1),
(291553,123090,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(291554,123090,'Slows target by 40.1%',100,3,3),
(291555,123090,'5% chance to dispel when target receives hostile action',100,3,4),
(291556,123090,'5% chance to dispel when target takes damage',100,3,5),
(291557,123090,'5% chance to dispel when target takes damage',100,2,6),
(291558,123090,'Does not affect Epic targets',100,2,7),
(291559,123090,'Resistibility increases against targets higher than level 90.',100,2,8),
(291560,123090,'Decreases AGI of target encounter by 45.4',100,1,9),
(291561,10123090,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(291562,10123090,'Roots target',100,2,1),
(291563,10123090,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(291564,10123090,'Slows target by 40.1%',100,3,3),
(291565,10123090,'5% chance to dispel when target receives hostile action',100,3,4),
(291566,10123090,'5% chance to dispel when target takes damage',100,3,5),
(291567,10123090,'5% chance to dispel when target takes damage',100,2,6),
(291568,10123090,'Does not affect Epic targets',100,2,7),
(291569,10123090,'Resistibility increases against targets higher than level 90.',100,2,8),
(291570,10123090,'Decreases AGI of target encounter by 45.4',100,1,9),
(291571,74563,'When Equipped:',100,0,0),
(291572,74563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291573,74563,'Inflicts 135 - 203 magic damage on target',100,2,2),
(291574,74563,'Cannot be modified except by direct means',100,2,3),
(291575,10074563,'When Equipped:',100,0,0),
(291576,10074563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291577,10074563,'Inflicts 162 - 244 magic damage on target',100,2,2),
(291578,10074563,'Cannot be modified except by direct means',100,2,3),
(291579,118620,'Inflicts 10 - 30 crushing damage on target',100,1,0),
(291580,10118620,'Inflicts 12 - 37 crushing damage on target',100,1,0),
(291581,45460,'Applies Call Forth the Kerran Terror when Activated.',100,0,0),
(291582,45460,'This effect cannot be cast during combat',100,1,1),
(291583,10045460,'Applies Call Forth the Kerran Terror when Activated.',100,0,0),
(291584,10045460,'This effect cannot be cast during combat',100,1,1),
(291585,37054,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(291586,37054,'Increases Max Power of target by 10.5',100,0,1),
(291587,104496,'Decreases Mitigation of target encounter vs physical damage by 805',100,1,0),
(291588,10104496,'Decreases Mitigation of target encounter vs physical damage by 805',100,1,0),
(291589,81958,'When Equipped:',100,0,0),
(291590,81958,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291591,81958,'Inflicts 265 - 492 magic damage on target',100,2,2),
(291592,81958,'Decreases Threat to target by 994 ',100,2,3),
(291593,81958,'Must be flanking or behind',100,3,4),
(291594,81958,'Increases Threat to target by 1,454 ',100,2,5),
(291595,81958,'Must be in front of',100,3,6),
(291596,81958,'Cannot be modified except by direct means',100,2,7),
(291597,10081958,'When Equipped:',100,0,0),
(291598,10081958,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291599,10081958,'Inflicts 318 - 591 magic damage on target',100,2,2),
(291600,10081958,'Cannot be modified except by direct means',100,2,3),
(291601,106210,'Applies Defile.',100,1,0),
(291602,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,1),
(291603,106210,'If under 90% Health',100,3,2),
(291604,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,3),
(291605,106210,'If under 80% Health',100,3,4),
(291606,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,5),
(291607,106210,'If under 100% Health',100,3,6),
(291608,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,7),
(291609,106210,'If under 50% Health',100,3,8),
(291610,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,9),
(291611,106210,'If under 20% Health',100,3,10),
(291612,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,11),
(291613,106210,'If under 40% Health',100,3,12),
(291614,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,13),
(291615,106210,'If under 30% Health',100,3,14),
(291616,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,15),
(291617,106210,'If under 60% Health',100,3,16),
(291618,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,17),
(291619,106210,'If under 10% Health',100,3,18),
(291620,106210,'Inflicts 69 disease damage on targets in Area of Effect',100,2,19),
(291621,106210,'If under 70% Health',100,3,20),
(291622,10106210,'Applies Defile.',100,1,0),
(291623,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,1),
(291624,10106210,'If at 40% Health or less',100,3,2),
(291625,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,3),
(291626,10106210,'If at 90% Health or less',100,3,4),
(291627,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,5),
(291628,10106210,'If at 20% Health or less',100,3,6),
(291629,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,7),
(291630,10106210,'If at 10% Health or less',100,3,8),
(291631,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,9),
(291632,10106210,'If at 30% Health or less',100,3,10),
(291633,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,11),
(291634,10106210,'If at 100% Health or greater',100,3,12),
(291635,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,13),
(291636,10106210,'If at 70% Health or less',100,3,14),
(291637,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,15),
(291638,10106210,'If over 100% Health',100,3,16),
(291639,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,17),
(291640,10106210,'If at 50% Health or less',100,3,18),
(291641,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,19),
(291642,10106210,'If at 60% Health or less',100,3,20),
(291643,10106210,'Inflicts 83 disease damage on targets in Area of Effect',100,2,21),
(291644,10106210,'If at 80% Health or less',100,3,22),
(291645,133411,'When Equipped:',100,0,0),
(291646,133411,'Increases Attack Speed of caster by 40.0',100,1,1),
(291647,10133411,'When Equipped:',100,0,0),
(291648,10133411,'Increases Attack Speed of caster by 40.0',100,1,1),
(291649,81785,'When Equipped:',100,0,0),
(291650,81785,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291651,81785,'Inflicts 108 - 200 magic damage on target',100,2,2),
(291652,81785,'Decreases Threat to target by 487 ',100,2,3),
(291653,81785,'Must be flanking or behind',100,3,4),
(291654,81785,'Increases Threat to target by 852 ',100,2,5),
(291655,81785,'Must be in front of',100,3,6),
(291656,81785,'Cannot be modified except by direct means',100,2,7),
(291657,10081785,'When Equipped:',100,0,0),
(291658,10081785,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291659,10081785,'Inflicts 129 - 240 magic damage on target',100,2,2),
(291660,10081785,'Cannot be modified except by direct means',100,2,3),
(291661,114972,'Decreases Attack Speed of target by 14.4',100,1,0),
(291662,114972,'Inflicts 65 - 197 slashing damage on target',100,1,1),
(291663,114972,'Inflicts 132 slashing damage on target instantly and every 4 seconds',100,1,2),
(291664,10114972,'Decreases Attack Speed of target by 14.4',100,1,0),
(291665,10114972,'Inflicts 78 - 236 slashing damage on target',100,1,1),
(291666,10114972,'Inflicts 158 slashing damage on target instantly and every 4 seconds',100,1,2),
(291667,120273,'Inflicts 903 - 1505 crushing damage on target',100,1,0),
(291668,10120273,'Inflicts 1084 - 1807 crushing damage on target',100,1,0),
(291669,143584,'When Equipped:',100,0,0),
(291670,143584,'Reduces physical damage done to target by 5%',100,1,1),
(291671,10143584,'When Equipped:',100,0,0),
(291672,10143584,'Reduces physical damage done to target by 5%',100,1,1),
(291673,71492,'When Equipped:',100,0,0),
(291674,71492,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291675,71492,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(291676,71492,'Cannot be modified except by direct means',100,2,3),
(291677,10071492,'When Equipped:',100,0,0),
(291678,10071492,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291679,10071492,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(291680,10071492,'Cannot be modified except by direct means',100,2,3),
(291681,138370,'Applies Heroic Resistance X when Equipped.',100,0,0),
(291682,138370,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(291683,138370,'Cannot be modified except by direct means',100,1,2),
(291684,138370,'When Equipped:',100,0,3),
(291685,138370,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(291686,138370,'Inflicts 1199 disease damage on target encounter',100,2,5),
(291687,138370,'Must not be engaged in pvp combat',100,2,6),
(291688,138370,'Cannot be modified except by direct means',100,2,7),
(291689,10138370,'Applies Heroic Resistance X when Equipped.',100,0,0),
(291690,10138370,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(291691,10138370,'Cannot be modified except by direct means',100,1,2),
(291692,10138370,'When Equipped:',100,0,3),
(291693,10138370,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(291694,10138370,'Inflicts 719 disease damage on target encounter',100,2,5),
(291695,10138370,'Must not be engaged in pvp combat',100,2,6),
(291696,10138370,'Cannot be modified except by direct means',100,2,7),
(291697,124289,'Wards group members (AE) against 873 points of elemental damage',100,1,0),
(291698,124289,'Increases Mitigation of group members (AE) vs elemental damage by 516',100,1,1),
(291699,10124289,'Wards group members (AE) against 873 points of elemental damage',100,1,0),
(291700,10124289,'Increases Mitigation of group members (AE) vs elemental damage by 516',100,1,1),
(291701,107161,'Inflicts 19 - 31 divine damage on target',100,1,0),
(291702,107161,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(291703,107161,'Stuns target',100,2,2),
(291704,107161,'If Target is not Epic',100,3,3),
(291705,107161,'Inflicts 45 - 75 divine damage on target',100,2,4),
(291706,107161,'Inflicts 38 - 64 divine damage on target',100,2,5),
(291707,107161,'If target is undead',100,3,6),
(291708,10107161,'Inflicts 15 - 25 divine damage on target',100,1,0),
(291709,10107161,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(291710,10107161,'Stuns target',100,2,2),
(291711,10107161,'Inflicts 81 - 134 divine damage on target',100,2,3),
(291712,10107161,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(291713,124031,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(291714,124031,'Heals target for 341 - 416',100,2,1),
(291715,124031,'Grants a total of 5 triggers of the spell.',100,2,2),
(291716,10124031,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(291717,10124031,'Heals target for 221 - 271',100,2,1),
(291718,10124031,'Grants a total of 5 triggers of the spell.',100,2,2),
(291719,48038,'Applies Place Scavenger Carcass when Activated.',100,0,0),
(291720,48038,'This effect cannot be cast during combat',100,1,1),
(291721,10048038,'Applies Place Scavenger Carcass when Activated.',100,0,0),
(291722,10048038,'This effect cannot be cast during combat',100,1,1),
(291723,111002,'Heals target for 680 - 832 instantly and every 2 seconds',100,1,0),
(291724,111002,'Increases power of target by 53 - 65 instantly and every 2 seconds',100,1,1),
(291725,10111002,'Heals target for 442 - 541 instantly and every 2 seconds',100,1,0),
(291726,10111002,'Increases power of target by 53 - 65 instantly and every 2 seconds',100,1,1),
(291727,36500,'Increases INT of target by 20.8',100,0,0),
(291728,36500,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(291729,117728,'Decreases Hate Gain of caster by 23.0%',100,1,0),
(291730,139364,'When Equipped:',100,0,0),
(291731,139364,'Allows caster to breathe under water',100,1,1),
(291732,139364,'When Equipped:',100,0,2),
(291733,139364,'Reduces maximum falling speed of caster',100,1,3),
(291734,10139364,'When Equipped:',100,0,0),
(291735,10139364,'Allows caster to breathe under water',100,1,1),
(291736,10139364,'When Equipped:',100,0,2),
(291737,10139364,'Reduces maximum falling speed of caster',100,1,3),
(291738,37129,'Increases AGI of target by 4.3',100,0,0),
(291739,37129,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(291740,48221,'Applies Draw upon Essence when Activated.',100,0,0),
(291741,48221,'Increases power of caster by 397',100,1,1),
(291742,48221,'Requires 715 Health to cast.',100,1,2),
(291743,10048221,'Applies Draw upon Essence when Activated.',100,0,0),
(291744,10048221,'Increases power of caster by 397',100,1,1),
(291745,10048221,'Requires 715 Health to cast.',100,1,2),
(291746,101194,'Inflicts 221 - 368 cold damage on target',100,1,0),
(291747,101194,'Inflicts 221 - 368 cold damage on target',100,1,1),
(291748,101194,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(291749,101194,'Slows target by 48.6%',100,2,3),
(291750,101194,'5% chance to dispel when target receives hostile action',100,2,4),
(291751,101194,'5% chance to dispel when target takes damage',100,2,5),
(291752,101194,'If weapon equipped in Ranged',100,1,6),
(291753,10101194,'Inflicts 165 - 276 cold damage on target',100,1,0),
(291754,10101194,'Inflicts 165 - 276 cold damage on target',100,1,1),
(291755,10101194,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,2),
(291756,10101194,'Slows target by 48.6%',100,2,3),
(291757,10101194,'5% chance to dispel when target receives hostile action',100,2,4),
(291758,10101194,'5% chance to dispel when target takes damage',100,2,5),
(291759,10101194,'If weapon equipped in Ranged',100,1,6),
(291760,110209,'Interrupts target',100,1,0),
(291761,110209,'Inflicts 97 - 162 crushing damage on target',100,1,1),
(291762,10110209,'Interrupts target',100,1,0),
(291763,10110209,'Inflicts 116 - 194 crushing damage on target',100,1,1),
(291764,80282,'When Equipped:',100,0,0),
(291765,80282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291766,80282,'Inflicts 169 - 314 magic damage on target',100,2,2),
(291767,80282,'Cannot be modified except by direct means',100,2,3),
(291768,10080282,'When Equipped:',100,0,0),
(291769,10080282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291770,10080282,'Inflicts 203 - 377 magic damage on target',100,2,2),
(291771,10080282,'Cannot be modified except by direct means',100,2,3),
(291772,24559,'Adds Mummy (Berserker) to your Dungeon Maker toolbox',100,0,0),
(291773,10024559,'Adds Mummy (Berserker) to your Dungeon Maker toolbox',100,0,0),
(291774,47599,'Applies Greater Restoration when Activated.',100,0,0),
(291775,47599,'Increases power of caster by 59',100,1,1),
(291776,10047599,'Applies Greater Restoration when Activated.',100,0,0),
(291777,10047599,'Increases power of caster by 59',100,1,1),
(291778,45689,'Applies Kizdean''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(291779,45689,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(291780,10045689,'Applies Kizdean''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(291781,10045689,'Increases Mitigation of caster vs physical damage by 48',100,1,1),
(291782,174956,'When Equipped:',100,0,0),
(291783,174956,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(291784,10174956,'When Equipped:',100,0,0),
(291785,10174956,'Reduces reuse time of beneficial spells by 4 percent.',100,1,1),
(291786,82852,'When Equipped:',100,0,0),
(291787,82852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291788,82852,'Inflicts 228 - 423 magic damage on target',100,2,2),
(291789,82852,'Cannot be modified except by direct means',100,2,3),
(291790,10082852,'When Equipped:',100,0,0),
(291791,10082852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291792,10082852,'Inflicts 273 - 508 magic damage on target',100,2,2),
(291793,10082852,'Cannot be modified except by direct means',100,2,3),
(291794,48979,'Applies Summon Horse when Activated.',100,0,0),
(291795,48979,'Increases Ranged of caster by 5.0',100,1,1),
(291796,48979,'Summons a mount to ride',100,1,2),
(291797,48979,'Increases your ground speed by 135%',100,2,3),
(291798,48979,'Increases Crushing, Focus, Disruption, Ordination, Subjugation, Aggression, Slashing, Ministration and Piercing of caster by 5.0',100,1,4),
(291799,10048979,'Applies Summon Horse when Activated.',100,0,0),
(291800,10048979,'Increases Ranged of caster by 5.0',100,1,1),
(291801,10048979,'Summons a mount to ride',100,1,2),
(291802,10048979,'Increases your ground speed by 135%',100,2,3),
(291803,10048979,'Increases Crushing, Focus, Disruption, Ordination, Subjugation, Aggression, Slashing, Ministration and Piercing of caster by 5.0',100,1,4),
(291804,88037,'When Equipped:',100,0,0),
(291805,88037,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291806,88037,'Inflicts 89 - 108 mental damage on target',100,2,2),
(291807,88037,'Cannot be modified except by direct means',100,2,3),
(291808,10088037,'When Equipped:',100,0,0),
(291809,10088037,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291810,10088037,'Inflicts 106 - 130 mental damage on target',100,2,2),
(291811,10088037,'Cannot be modified except by direct means',100,2,3),
(291812,24378,'Adds Froglok-Undead (Dirge) to your Dungeon Maker toolbox',100,0,0),
(291813,10024378,'Adds Froglok-Undead (Dirge) to your Dungeon Maker toolbox',100,0,0),
(291814,48957,'Applies Vox''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(291815,48957,'Increases AGI of caster by 11.3',100,1,1),
(291816,10048957,'Applies Vox''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(291817,10048957,'Increases AGI of caster by 11.3',100,1,1),
(291818,26592,'When Equipped:',100,0,0),
(291819,26592,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(291820,26592,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(291821,10026592,'When Equipped:',100,0,0),
(291822,10026592,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(291823,10026592,'Improves the trigger chance of Blood Rage VI by 10%.',100,1,2),
(291824,102274,'Inflicts 237 - 395 melee damage on targets in area',100,1,0),
(291825,10102274,'Inflicts 285 - 475 melee damage on targets in area',100,1,0),
(291826,142949,'When Equipped:',100,0,0),
(291827,142949,'Increases Attack Speed of caster by 35.0',100,1,1),
(291828,10142949,'When Equipped:',100,0,0),
(291829,10142949,'Increases Attack Speed of caster by 35.0',100,1,1),
(291830,46035,'Applies Call Elddarian Charger when Activated.',100,0,0),
(291831,46035,'Summons a mount to ride',100,1,1),
(291832,46035,'Increases your ground speed by 130%',100,2,2),
(291833,10046035,'Applies Call Elddarian Charger when Activated.',100,0,0),
(291834,10046035,'Summons a mount to ride',100,1,1),
(291835,10046035,'Increases your ground speed by 130%',100,2,2),
(291836,36896,'Increases INT of target by 20.8',100,0,0),
(291837,36896,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(291838,114624,'Decreases WIS of target by 32.4',100,1,0),
(291839,114624,'Inflicts 259 - 432 melee damage on target',100,1,1),
(291840,114624,'You must be sneaking to use this ability.',100,1,2),
(291841,10114624,'Decreases WIS of target by 32.4',100,1,0),
(291842,10114624,'Inflicts 311 - 518 melee damage on target',100,1,1),
(291843,10114624,'You must be sneaking to use this ability.',100,1,2),
(291844,124211,'Decreases Attack Speed of caster by 12.7',100,1,0),
(291845,124211,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291846,124211,'Slows targets in Area of Effect by 42.5%',100,2,2),
(291847,124211,'5% chance to dispel when target receives hostile action',100,2,3),
(291848,124211,'5% chance to dispel when target takes damage',100,2,4),
(291849,124211,'Increases Mitigation of caster vs physical damage by 324',100,1,5),
(291850,10124211,'Decreases Attack Speed of caster by 12.7',100,1,0),
(291851,10124211,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(291852,10124211,'Slows targets in Area of Effect by 31.9%',100,2,2),
(291853,10124211,'5% chance to dispel when target receives hostile action',100,2,3),
(291854,10124211,'5% chance to dispel when target takes damage',100,2,4),
(291855,10124211,'Increases Mitigation of caster vs physical damage by 324',100,1,5),
(291856,46203,'Applies Petamorph: Holgresh when Activated.  Lasts for 2 hours.',100,0,0),
(291857,46203,'Turns the caster''s combat pet into a Holgresh. Does not work on cosmetic pets.',100,1,1),
(291858,10046203,'Applies Petamorph: Holgresh when Activated.  Lasts for 2 hours.',100,0,0),
(291859,10046203,'Turns the caster''s combat pet into a Holgresh. Does not work on cosmetic pets.',100,1,1),
(291860,88102,'When Equipped:',100,0,0),
(291861,88102,'On a combat hit this spell may cast Scorpic Necrotoxin on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291862,88102,'Inflicts 528 poison damage on target',100,2,2),
(291863,88102,'Cannot be modified except by direct means',100,2,3),
(291864,10088102,'When Equipped:',100,0,0),
(291865,10088102,'On a combat hit this spell may cast Scorpic Necrotoxin on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(291866,10088102,'Inflicts 634 poison damage on target',100,2,2),
(291867,10088102,'Cannot be modified except by direct means',100,2,3),
(291868,107151,'Inflicts 667 - 815 divine damage on target',100,1,0),
(291869,107151,'Inflicts 667 - 815 divine damage on target',100,1,1),
(291870,107151,'If target is undead',100,2,2),
(291871,10107151,'Inflicts 800 - 978 divine damage on target',100,1,0),
(291872,10107151,'Inflicts 800 - 978 divine damage on target',100,1,1),
(291873,36286,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(291874,110341,'Increases Max Power of target by 522.1',100,1,0),
(291875,110341,'Increases Max Health of target by 1,064.7',100,1,1),
(291876,10110341,'Increases Max Power of target by 522.1',100,1,0),
(291877,10110341,'Increases Max Health of target by 1,064.7',100,1,1),
(291878,71918,'When Equipped:',100,0,0),
(291879,71918,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291880,71918,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(291881,71918,'Cannot be modified except by direct means',100,2,3),
(291882,10071918,'When Equipped:',100,0,0),
(291883,10071918,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(291884,10071918,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(291885,10071918,'Cannot be modified except by direct means',100,2,3),
(291886,174759,'When Equipped:',100,0,0),
(291887,174759,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(291888,174759,'Stuns target',100,2,2),
(291889,174759,'Only affects targets level 95 and below',100,2,3),
(291890,174759,'Does not affect Epic targets',100,2,4),
(291891,174759,'Resistibility increases against targets higher than level 112.',100,2,5),
(291892,174759,'Cannot be modified except by direct means',100,2,6),
(291893,10174759,'When Equipped:',100,0,0),
(291894,10174759,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(291895,10174759,'Stuns target',100,2,2),
(291896,10174759,'Only affects targets level 95 and below',100,2,3),
(291897,10174759,'Does not affect Epic targets',100,2,4),
(291898,10174759,'Resistibility increases against targets higher than level 112.',100,2,5),
(291899,10174759,'Cannot be modified except by direct means',100,2,6),
(291900,117765,'Inflicts 275 - 458 divine damage on target',100,1,0),
(291901,10117765,'Inflicts 330 - 549 divine damage on target',100,1,0),
(291902,51300,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(291903,51300,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(291904,51300,'Inflicts 23 heat damage on target',100,2,2),
(291905,51300,'Cannot be modified except by direct means',100,2,3),
(291906,10051300,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(291907,10051300,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(291908,10051300,'Inflicts 27 heat damage on target',100,2,2),
(291909,10051300,'Cannot be modified except by direct means',100,2,3),
(291910,175753,'When Equipped:',100,0,0),
(291911,175753,'Increases divine damage done by spells by up to 5.',100,1,1),
(291912,10175753,'When Equipped:',100,0,0),
(291913,10175753,'Increases divine damage done by spells by up to 5.',100,1,1),
(291914,163290,'Applies Burrowing Swarm VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(291915,163290,'Inflicts 413 - 504 poison damage on target',100,1,1),
(291916,163290,'Inflicts 516 - 630 poison damage on target every second',100,1,2),
(291917,163290,'Inflicts an additional 206 - 252 poison damage on target every tick',100,1,3),
(291918,163290,'Applies Boneshatter VIII on termination.',100,1,4),
(291919,163290,'Inflicts 16331 - 18050 crushing damage on targets in Area of Effect',100,2,5),
(291920,163290,'Must not be engaged in pvp combat',100,2,6),
(291921,163290,'Cannot be modified except by direct means',100,2,7),
(291922,163290,'Must not be engaged in pvp combat',100,1,8),
(291923,163290,'Cannot be modified except by direct means',100,1,9),
(291924,163290,'The reuse time of Burrowing Swarm VIII is 10 minutes',100,1,10),
(291925,10163290,'Applies Burrowing Swarm VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(291926,10163290,'Inflicts 495 - 605 poison damage on target',100,1,1),
(291927,10163290,'Inflicts 619 - 756 poison damage on target every second',100,1,2),
(291928,10163290,'Inflicts an additional 206 - 252 poison damage on target every tick',100,1,3),
(291929,10163290,'Applies Boneshatter VIII on termination.',100,1,4),
(291930,10163290,'Inflicts 19597 - 21659 crushing damage on targets in Area of Effect',100,2,5),
(291931,10163290,'Must not be engaged in pvp combat',100,2,6),
(291932,10163290,'Cannot be modified except by direct means',100,2,7),
(291933,10163290,'Must not be engaged in pvp combat',100,1,8),
(291934,10163290,'Cannot be modified except by direct means',100,1,9),
(291935,10163290,'The reuse time of Burrowing Swarm VIII is 10 minutes',100,1,10),
(291936,110080,'Summons a pet grim sorcerer',100,1,0),
(291937,10110080,'Summons a pet grim sorcerer',100,1,0),
(291938,112607,'Increases STA of caster by 26.9',100,1,0),
(291939,112607,'Reduces slow effects on caster by 9.9%',100,1,1),
(291940,112607,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 713',100,1,2),
(291941,10112607,'Increases STA of caster by 26.9',100,1,0),
(291942,10112607,'Reduces slow effects on caster by 9.9%',100,1,1),
(291943,10112607,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 713',100,1,2),
(291944,81763,'When Equipped:',100,0,0),
(291945,81763,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291946,81763,'Inflicts 97 - 180 magic damage on target',100,2,2),
(291947,81763,'Cannot be modified except by direct means',100,2,3),
(291948,10081763,'When Equipped:',100,0,0),
(291949,10081763,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291950,10081763,'Inflicts 116 - 216 magic damage on target',100,2,2),
(291951,10081763,'Cannot be modified except by direct means',100,2,3),
(291952,74938,'When Equipped:',100,0,0),
(291953,74938,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291954,74938,'Inflicts 26 - 40 magic damage on target',100,2,2),
(291955,74938,'Cannot be modified except by direct means',100,2,3),
(291956,10074938,'When Equipped:',100,0,0),
(291957,10074938,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291958,10074938,'Inflicts 32 - 48 magic damage on target',100,2,2),
(291959,10074938,'Cannot be modified except by direct means',100,2,3),
(291960,102753,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(291961,102753,'Stuns target',100,2,1),
(291962,102753,'If Target is not Epic',100,3,2),
(291963,102753,'Inflicts 355 - 592 divine damage on target',100,2,3),
(291964,102753,'Inflicts 304 - 507 divine damage on target',100,2,4),
(291965,102753,'If target is undead',100,3,5),
(291966,10102753,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(291967,10102753,'Stuns target',100,2,1),
(291968,10102753,'Inflicts 639 - 1065 divine damage on target',100,2,2),
(291969,10102753,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(291970,40646,'When Equipped:',100,0,0),
(291971,40646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291972,40646,'Inflicts 63 - 94 magic damage on target',100,2,2),
(291973,40646,'Cannot be modified except by direct means',100,2,3),
(291974,10040646,'When Equipped:',100,0,0),
(291975,10040646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(291976,10040646,'Inflicts 75 - 113 magic damage on target',100,2,2),
(291977,10040646,'Cannot be modified except by direct means',100,2,3),
(291978,89871,'When Equipped:',100,0,0),
(291979,89871,'On a combat hit this spell may cast Fearful Lament on target of attack.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(291980,89871,'Stuns target',100,2,2),
(291981,89871,'If Target is not Epic',100,3,3),
(291982,89871,'Resistibility increases against targets higher than level 102.',100,2,4),
(291983,89871,'Cannot be modified except by direct means',100,2,5),
(291984,89871,'On a hostile spell cast this spell may cast Fearful Lament on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(291985,89871,'Stuns target',100,2,7),
(291986,89871,'If Target is not Epic',100,3,8),
(291987,89871,'Resistibility increases against targets higher than level 102.',100,2,9),
(291988,89871,'Cannot be modified except by direct means',100,2,10),
(291989,10089871,'When Equipped:',100,0,0),
(291990,10089871,'On a combat hit this spell may cast Fearful Lament on target of attack.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(291991,10089871,'Stuns target',100,2,2),
(291992,10089871,'If Target is not Epic',100,3,3),
(291993,10089871,'Resistibility increases against targets higher than level 102.',100,2,4),
(291994,10089871,'Cannot be modified except by direct means',100,2,5),
(291995,10089871,'On a hostile spell cast this spell may cast Fearful Lament on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(291996,10089871,'Stuns target',100,2,7),
(291997,10089871,'If Target is not Epic',100,3,8),
(291998,10089871,'Resistibility increases against targets higher than level 102.',100,2,9),
(291999,10089871,'Cannot be modified except by direct means',100,2,10),
(292000,107742,'Stuns target',100,1,0),
(292001,107742,'If Target is not Epic',100,2,1),
(292002,107742,'Inflicts 155 - 258 cold damage on target',100,1,2),
(292003,107742,'Resistibility increases against targets higher than level 45.',100,1,3),
(292004,10107742,'Stuns target',100,1,0),
(292005,10107742,'If Target is not Epic',100,2,1),
(292006,10107742,'Inflicts 186 - 310 cold damage on target',100,1,2),
(292007,10107742,'Resistibility increases against targets higher than level 45.',100,1,3),
(292008,47335,'Applies Summon Myron''s Gearskif when Activated.',100,0,0),
(292009,47335,'Summons a mount to ride',100,1,1),
(292010,47335,'Increases your ground speed by 130%',100,2,2),
(292011,10047335,'Applies Summon Myron''s Gearskif when Activated.',100,0,0),
(292012,10047335,'Summons a mount to ride',100,1,1),
(292013,10047335,'Increases your ground speed by 130%',100,2,2),
(292014,103484,'Increases In-Combat Power Regeneration of group members (AE) by 31.2',100,1,0),
(292015,10103484,'Increases In-Combat Power Regeneration of group members (AE) by 31.2',100,1,0),
(292016,116303,'Stuns target',100,1,0),
(292017,116303,'If Target is not Epic',100,2,1),
(292018,116303,'Inflicts 150 - 183 magic damage on target',100,1,2),
(292019,116303,'Resistibility increases against targets higher than level 59.',100,1,3),
(292020,10116303,'Stuns target',100,1,0),
(292021,10116303,'If Target is not Epic',100,2,1),
(292022,10116303,'Inflicts 180 - 220 magic damage on target',100,1,2),
(292023,10116303,'Resistibility increases against targets higher than level 59.',100,1,3),
(292024,116702,'Inflicts 102 - 170 melee damage on target',100,1,0),
(292025,10116702,'Inflicts 122 - 204 melee damage on target',100,1,0),
(292026,112053,'Roots target',100,1,0),
(292027,112053,'Stifles target',100,1,1),
(292028,112053,'If Target is not Epic',100,2,2),
(292029,112053,'20% chance to dispel when target takes damage',100,1,3),
(292030,112053,'Does not affect Epic targets',100,1,4),
(292031,112053,'Resistibility increases against targets higher than level 116.',100,1,5),
(292032,10112053,'Roots target',100,1,0),
(292033,10112053,'Stifles target',100,1,1),
(292034,10112053,'If Target is not Epic',100,2,2),
(292035,10112053,'20% chance to dispel when target takes damage',100,1,3),
(292036,10112053,'Does not affect Epic targets',100,1,4),
(292037,10112053,'Resistibility increases against targets higher than level 116.',100,1,5),
(292038,110504,'Increases Threat to target by 129  instantly and by 54  every 3 seconds thereafter',100,1,0),
(292039,110504,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(292040,110504,'Stuns target',100,2,2),
(292041,110504,'Throws target back',100,2,3),
(292042,110504,'Blurs vision of target',100,2,4),
(292043,110504,'Does not affect Epic targets',100,2,5),
(292044,110504,'Inflicts 15 - 25 disease damage on target',100,1,6),
(292045,10110504,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(292046,10110504,'Stuns target',100,2,1),
(292047,10110504,'Throws target back',100,2,2),
(292048,10110504,'Blurs vision of target',100,2,3),
(292049,10110504,'Does not affect Epic targets',100,2,4),
(292050,10110504,'Forces target to change their selected target to caster.',100,1,5),
(292051,10110504,'Inflicts 15 - 25 disease damage on target',100,1,6),
(292052,10110504,'Prevents target from changing targets',100,1,7),
(292053,71501,'When Equipped:',100,0,0),
(292054,71501,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292055,71501,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(292056,71501,'Cannot be modified except by direct means',100,2,3),
(292057,10071501,'When Equipped:',100,0,0),
(292058,10071501,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292059,10071501,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(292060,10071501,'Cannot be modified except by direct means',100,2,3),
(292061,113878,'Increases power of target by 78',100,1,0),
(292062,10113878,'Increases power of target by 78',100,1,0),
(292063,45866,'Applies Eat Giblets when Activated.',100,0,0),
(292064,45866,'Applies Sick on termination.  Lasts for 1 hour.',100,1,1),
(292065,45866,'You feel horrible. Perhaps it was something you ate.',100,2,2),
(292066,10045866,'Applies Eat Giblets when Activated.',100,0,0),
(292067,10045866,'Applies Sick on termination.  Lasts for 1 hour.',100,1,1),
(292068,10045866,'You feel horrible. Perhaps it was something you ate.',100,2,2),
(292069,177473,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(292070,177473,'Decreases Attack Speed of target by 16.6',100,1,1),
(292071,177473,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(292072,10177473,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(292073,10177473,'Decreases Attack Speed of target by 16.6',100,1,1),
(292074,10177473,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(292075,106368,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(292076,106368,'Slows target by 54.2%',100,2,1),
(292077,106368,'5% chance to dispel when target receives hostile action',100,2,2),
(292078,106368,'5% chance to dispel when target takes damage',100,2,3),
(292079,106368,'Decreases Mitigation of target vs arcane damage by 1980',100,1,4),
(292080,10106368,'Decreases Mitigation of target vs arcane damage by 1980',100,1,0),
(292081,10106368,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(292082,10106368,'Slows target by 54.2%',100,2,2),
(292083,10106368,'5% chance to dispel when target receives hostile action',100,2,3),
(292084,10106368,'5% chance to dispel when target takes damage',100,2,4),
(292085,177784,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(292086,177784,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(292087,177784,'Decreases Attack Speed of target by 16.6',100,2,2),
(292088,177784,'Cannot be modified except by direct means',100,2,3),
(292089,177784,'Slows target by 40.9%',100,1,4),
(292090,177784,'5% chance to dispel when target takes damage',100,1,5),
(292091,177784,'5% chance to dispel when target receives hostile action',100,1,6),
(292092,177784,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(292093,10177784,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(292094,10177784,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(292095,10177784,'Decreases Attack Speed of target by 16.6',100,2,2),
(292096,10177784,'Cannot be modified except by direct means',100,2,3),
(292097,10177784,'Slows target by 40.9%',100,1,4),
(292098,10177784,'5% chance to dispel when target takes damage',100,1,5),
(292099,10177784,'5% chance to dispel when target receives hostile action',100,1,6),
(292100,10177784,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(292101,82229,'When Equipped:',100,0,0),
(292102,82229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292103,82229,'Inflicts 33 - 61 magic damage on target',100,2,2),
(292104,82229,'Cannot be modified except by direct means',100,2,3),
(292105,10082229,'When Equipped:',100,0,0),
(292106,10082229,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292107,10082229,'Inflicts 40 - 74 magic damage on target',100,2,2),
(292108,10082229,'Cannot be modified except by direct means',100,2,3),
(292109,103933,'Wards group members (AE) collectively against 2509 total points of all damage',100,1,0),
(292110,10103933,'Wards group members (AE) collectively against 3738 total points of all damage',100,1,0),
(292111,113171,'Inflicts 635 disease damage on target',100,1,0),
(292112,113171,'Heals caster for 413',100,1,1),
(292113,10113171,'Inflicts 762 disease damage on target',100,1,0),
(292114,10113171,'Heals caster for 349',100,1,1),
(292115,121108,'Decreases Threat to targets in Area of Effect by 1,959 ',100,1,0),
(292116,121108,'Mesmerizes targets in Area of Effect',100,1,1),
(292117,121108,'If Target is not Epic',100,2,2),
(292118,121108,'Dispelled when target takes damage',100,1,3),
(292119,10121108,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(292120,10121108,'Applies Distract.',100,1,1),
(292121,10121108,'Forces target to clear their selected target.',100,2,2),
(292122,10121108,'Mesmerizes targets in Area of Effect',100,1,3),
(292123,10121108,'If Target is not Epic',100,2,4),
(292124,10121108,'Dispelled when target takes damage',100,1,5),
(292125,107559,'Heals target for 108 - 132',100,1,0),
(292126,107559,'Heals target for 14 - 17 every second',100,1,1),
(292127,10107559,'Heals target for 70 - 86',100,1,0),
(292128,10107559,'Heals target for 9 - 11 every second',100,1,1),
(292129,117630,'Inflicts 614 - 1024 ranged damage on target',100,1,0),
(292130,117630,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(292131,117630,'Slows target by 42.0%',100,2,2),
(292132,117630,'5% chance to dispel when target receives hostile action',100,2,3),
(292133,117630,'5% chance to dispel when target takes damage',100,2,4),
(292134,117630,'Must be flanking or behind',100,1,5),
(292135,117630,'Requires bow',100,1,6),
(292136,10117630,'Inflicts 461 - 768 ranged damage on target',100,1,0),
(292137,10117630,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(292138,10117630,'Slows target by 42.0%',100,2,2),
(292139,10117630,'5% chance to dispel when target receives hostile action',100,2,3),
(292140,10117630,'5% chance to dispel when target takes damage',100,2,4),
(292141,10117630,'Must be flanking or behind',100,1,5),
(292142,10117630,'Requires bow',100,1,6),
(292143,117638,'Inflicts 1113 - 1855 ranged damage on target',100,1,0),
(292144,117638,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(292145,117638,'Slows target by 57.8%',100,2,2),
(292146,117638,'5% chance to dispel when target receives hostile action',100,2,3),
(292147,117638,'5% chance to dispel when target takes damage',100,2,4),
(292148,117638,'Must be flanking or behind',100,1,5),
(292149,117638,'Requires bow',100,1,6),
(292150,10117638,'Inflicts 835 - 1391 ranged damage on target',100,1,0),
(292151,10117638,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(292152,10117638,'Slows target by 57.8%',100,2,2),
(292153,10117638,'5% chance to dispel when target receives hostile action',100,2,3),
(292154,10117638,'5% chance to dispel when target takes damage',100,2,4),
(292155,10117638,'Must be flanking or behind',100,1,5),
(292156,10117638,'Requires bow',100,1,6),
(292157,106083,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(292158,10106083,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(292159,36933,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(292160,187243,'When Equipped:',100,0,0),
(292161,187243,'On a hostile spell hit this spell may cast Tortuous Paths on target of spell.  Triggers about 2.4 times per minute. ',100,1,1),
(292162,187243,'Inflicts between 800 and 8,000 points of damage based on the target''s current health.',100,2,2),
(292163,10187243,'When Equipped:',100,0,0),
(292164,10187243,'On a hostile spell hit this spell may cast Tortuous Paths on target of spell.  Triggers about 2.4 times per minute. ',100,1,1),
(292165,10187243,'Inflicts between 510 and 5100 heat damage on target. Damage caused is based on the remaining health of the target.',100,2,2),
(292166,134809,'When Equipped:',100,0,0),
(292167,134809,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(292168,134809,'Increases power of target by 47 instantly and every 4 seconds',100,2,2),
(292169,134809,'Cannot be modified except by direct means',100,2,3),
(292170,10134809,'When Equipped:',100,0,0),
(292171,10134809,'On a healing spell cast this spell may cast Replenishing Heal on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(292172,10134809,'Increases power of target by 47 instantly and every 4 seconds',100,2,2),
(292173,10134809,'Cannot be modified except by direct means',100,2,3),
(292174,82651,'When Equipped:',100,0,0),
(292175,82651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292176,82651,'Inflicts 79 - 146 magic damage on target',100,2,2),
(292177,82651,'Cannot be modified except by direct means',100,2,3),
(292178,10082651,'When Equipped:',100,0,0),
(292179,10082651,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292180,10082651,'Inflicts 94 - 175 magic damage on target',100,2,2),
(292181,10082651,'Cannot be modified except by direct means',100,2,3),
(292182,111476,'Increases AGI of caster by 29.3',100,1,0),
(292183,111476,'Increases Attack Speed of caster by 24.8',100,1,1),
(292184,111476,'Increases in-combat movement speed of caster by 7.0%',100,1,2),
(292185,111476,'Adds 21.8% to base avoidance.',100,1,3),
(292186,111476,'Increases Mitigation of caster vs physical damage by 265',100,1,4),
(292187,111476,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,5),
(292188,10111476,'Increases AGI of caster by 29.3',100,1,0),
(292189,10111476,'Increases Attack Speed of caster by 24.8',100,1,1),
(292190,10111476,'Increases speed of caster by 7.0%',100,1,2),
(292191,10111476,'Adds 21.8% to base avoidance.',100,1,3),
(292192,10111476,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',100,1,4),
(292193,45369,'Applies Blight of the Ancients when Activated.  Lasts for 12 hours.',100,0,0),
(292194,45369,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(292195,45369,'Inflicts 125 poison damage on target',100,2,2),
(292196,45369,'Inflicts 154 poison damage on target instantly and every 6 seconds',100,2,3),
(292197,45369,'Cannot be modified except by direct means',100,2,4),
(292198,45369,'Grants a total of 100 triggers of the spell.',100,2,5),
(292199,10045369,'Applies Blight of the Ancients when Activated.  Lasts for 12 hours.',100,0,0),
(292200,10045369,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(292201,10045369,'Inflicts 113 poison damage on target',100,2,2),
(292202,10045369,'Inflicts 139 poison damage on target instantly and every 6 seconds',100,2,3),
(292203,10045369,'Cannot be modified except by direct means',100,2,4),
(292204,10045369,'Grants a total of 100 triggers of the spell.',100,2,5),
(292205,48352,'Applies Set Off the Swirling Snow Gust when Activated.',100,0,0),
(292206,48352,'This effect cannot be cast during combat',100,1,1),
(292207,10048352,'Applies Set Off the Swirling Snow Gust when Activated.',100,0,0),
(292208,10048352,'This effect cannot be cast during combat',100,1,1),
(292209,71645,'When Equipped:',100,0,0),
(292210,71645,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292211,71645,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(292212,71645,'Cannot be modified except by direct means',100,2,3),
(292213,10071645,'When Equipped:',100,0,0),
(292214,10071645,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292215,10071645,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(292216,10071645,'Cannot be modified except by direct means',100,2,3),
(292217,118413,'Heals target for 265 - 323',100,1,0),
(292218,118413,'Increases Max Health of target by 33.8',100,1,1),
(292219,10118413,'Heals target for 307 - 375',100,1,0),
(292220,10118413,'Increases Max Health of target by 33.8',100,1,1),
(292221,175137,'Applies Sacrilege when Equipped.',100,0,0),
(292222,175137,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(292223,10175137,'Applies Sacrilege when Equipped.',100,0,0),
(292224,10175137,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(292225,118625,'Inflicts 24 - 72 crushing damage on target',100,1,0),
(292226,10118625,'Inflicts 29 - 87 crushing damage on target',100,1,0),
(292227,115183,'Heals target for 503 - 615',100,1,0),
(292228,10115183,'Heals target for 681 - 832',100,1,0),
(292229,50540,'When Equipped:',100,0,0),
(292230,50540,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292231,50540,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(292232,50540,'Cannot be modified except by direct means',100,2,3),
(292233,10050540,'When Equipped:',100,0,0),
(292234,10050540,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292235,10050540,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(292236,10050540,'Cannot be modified except by direct means',100,2,3),
(292237,107242,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(292238,107242,'Slows target by 40.9%',100,2,1),
(292239,107242,'5% chance to dispel when target receives hostile action',100,2,2),
(292240,107242,'5% chance to dispel when target takes damage',100,2,3),
(292241,107242,'Inflicts 20 - 25 disease damage on target every 4 seconds',100,1,4),
(292242,107242,'Slows target by 40.9%',100,1,5),
(292243,107242,'5% chance to dispel when target receives hostile action',100,1,6),
(292244,107242,'5% chance to dispel when target takes damage',100,1,7),
(292245,10107242,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(292246,10107242,'Slows target by 40.9%',100,2,1),
(292247,10107242,'5% chance to dispel when target receives hostile action',100,2,2),
(292248,10107242,'5% chance to dispel when target takes damage',100,2,3),
(292249,10107242,'Inflicts 24 - 29 disease damage on target every 2.5 seconds',100,1,4),
(292250,10107242,'Slows target by 40.9%',100,1,5),
(292251,10107242,'5% chance to dispel when target receives hostile action',100,1,6),
(292252,10107242,'5% chance to dispel when target takes damage',100,1,7),
(292253,107456,'Summons a pet earthen avatar',100,1,0),
(292254,10107456,'Summons a pet earthen avatar',100,1,0),
(292255,112213,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(292256,112213,'Inflicts 13 disease damage on target',100,2,1),
(292257,112213,'Increases Threat to target by 46 ',100,2,2),
(292258,112213,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 613',100,1,3),
(292259,10112213,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(292260,10112213,'Inflicts 15 disease damage on target',100,2,1),
(292261,10112213,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 613',100,1,2),
(292262,166395,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(292263,166395,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(292264,166395,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(292265,10166395,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(292266,10166395,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(292267,10166395,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(292268,45992,'Applies Dracurion Incarnation when Activated.',100,0,0),
(292269,45992,'Shapechanges the user into a Dracurion in armor worn by lyceum upholders.',100,1,1),
(292270,10045992,'Applies Dracurion Incarnation when Activated.',100,0,0),
(292271,10045992,'Shapechanges the user into a Dracurion in armor worn by lyceum upholders.',100,1,1),
(292272,46472,'Applies Spirit of the Underfoot when Activated.  Lasts for 12 hours.',100,0,0),
(292273,46472,'Shapechanges caster into a ratonga',100,1,1),
(292274,10046472,'Applies Spirit of the Underfoot when Activated.  Lasts for 12 hours.',100,0,0),
(292275,10046472,'Shapechanges caster into a ratonga',100,1,1),
(292276,122896,'Increases STR and INT of group members (AE) by 19.2',100,1,0),
(292277,10122896,'Increases STR and INT of group members (AE) by 19.2',100,1,0),
(292278,49041,'Applies Play Unstable Recording: ''Lavastorm'' when Activated.',100,0,0),
(292279,49041,'Play the recording of ''Lavastorm''.',100,1,1),
(292280,10049041,'Applies Play Unstable Recording: ''Lavastorm'' when Activated.',100,0,0),
(292281,10049041,'Play the recording of ''Lavastorm''.',100,1,1),
(292282,48659,'Applies Barodreth''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(292283,48659,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(292284,10048659,'Applies Barodreth''s Refreshment  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(292285,10048659,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(292286,81798,'When Equipped:',100,0,0),
(292287,81798,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292288,81798,'Inflicts 97 - 180 magic damage on target',100,2,2),
(292289,81798,'Cannot be modified except by direct means',100,2,3),
(292290,10081798,'When Equipped:',100,0,0),
(292291,10081798,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292292,10081798,'Inflicts 116 - 216 magic damage on target',100,2,2),
(292293,10081798,'Cannot be modified except by direct means',100,2,3),
(292294,47550,'Applies Poisoned Fists when Activated.',100,0,0),
(292295,47550,'Covers the user''s hands in illusory poison.',100,1,1),
(292296,10047550,'Applies Poisoned Fists when Activated.',100,0,0),
(292297,10047550,'Covers the user''s hands in illusory poison.',100,1,1),
(292298,80309,'When Equipped:',100,0,0),
(292299,80309,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292300,80309,'Inflicts 50 - 93 magic damage on target',100,2,2),
(292301,80309,'Cannot be modified except by direct means',100,2,3),
(292302,10080309,'When Equipped:',100,0,0),
(292303,10080309,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292304,10080309,'Inflicts 60 - 111 magic damage on target',100,2,2),
(292305,10080309,'Cannot be modified except by direct means',100,2,3),
(292306,144647,'When Equipped:',100,0,0),
(292307,144647,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(292308,144647,'Inflicts 1192 magic damage on target',100,2,2),
(292309,144647,'Cannot be modified except by direct means',100,2,3),
(292310,10144647,'When Equipped:',100,0,0),
(292311,10144647,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(292312,10144647,'Inflicts 715 magic damage on target',100,2,2),
(292313,10144647,'Cannot be modified except by direct means',100,2,3),
(292314,111928,'Inflicts 235 - 391 piercing damage on target',100,1,0),
(292315,111928,'Inflicts 64 - 107 piercing damage on target instantly and every 4 seconds',100,1,1),
(292316,10111928,'Inflicts 384 - 641 piercing damage on target',100,1,0),
(292317,10111928,'Inflicts 128 - 214 piercing damage on target instantly and every 4 seconds',100,1,1),
(292318,114245,'Inflicts 303 - 370 mental damage on target',100,1,0),
(292319,114245,'Stuns target',100,1,1),
(292320,114245,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(292321,114245,'Resistibility increases against targets higher than level 84.',100,1,3),
(292322,10114245,'Inflicts 363 - 444 mental damage on target',100,1,0),
(292323,10114245,'Requires not being affected by Mesmerize effects.',100,2,1),
(292324,10114245,'Stuns target',100,1,2),
(292325,10114245,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(292326,10114245,'Resistibility increases against targets higher than level 84.',100,1,4),
(292327,111671,'Inflicts 581 - 710 cold damage on target encounter',100,1,0),
(292328,111671,'Slows target encounter by 47.2%',100,1,1),
(292329,111671,'5% chance to dispel when target takes damage',100,1,2),
(292330,111671,'5% chance to dispel when target receives hostile action',100,1,3),
(292331,10111671,'Inflicts 929 - 1136 cold damage on target encounter',100,1,0),
(292332,10111671,'Slows target encounter by 47.2%',100,1,1),
(292333,10111671,'5% chance to dispel when target takes damage',100,1,2),
(292334,10111671,'5% chance to dispel when target receives hostile action',100,1,3),
(292335,46800,'Applies Liquid Courage when Activated.  Lasts for 15.0 seconds.',100,0,0),
(292336,46800,'Drink this to go streaking!',100,1,1),
(292337,10046800,'Applies Liquid Courage when Activated.  Lasts for 15.0 seconds.',100,0,0),
(292338,10046800,'Drink this to go streaking!',100,1,1),
(292339,122176,'Inflicts 83 - 102 cold damage on target instantly and every 2 seconds',100,1,0),
(292340,122176,'Inflicts 83 - 102 cold damage on target instantly and every 2 seconds',100,1,1),
(292341,122176,'If target is elemental',100,2,2),
(292342,10122176,'Inflicts 100 - 122 cold damage on target instantly and every 2 seconds',100,1,0),
(292343,73268,'Applies Frost Blast when Activated.',100,0,0),
(292344,73268,'Inflicts 127 - 211 cold damage on target',100,1,1),
(292345,73268,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292346,10073268,'Applies Frost Blast when Activated.',100,0,0),
(292347,10073268,'Inflicts 152 - 253 cold damage on target',100,1,1),
(292348,10073268,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292349,101991,'Inflicts 1997 - 3709 heat damage on target',100,1,0),
(292350,10101991,'Inflicts 2397 - 4451 heat damage on target',100,1,0),
(292351,117527,'Increases AGI, WIS and INT of group members (AE) by 27.9',100,1,0),
(292352,117527,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 108',100,1,1),
(292353,10117527,'Increases AGI, WIS and INT of group members (AE) by 27.9',100,1,0),
(292354,10117527,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 108',100,1,1),
(292355,106690,'Heals caster for 42.1 - 51.5% of max health',100,1,0),
(292356,106690,'This effect cannot be critically applied.',100,2,1),
(292357,106690,'Increases Max Health of caster by 800.4',100,1,2),
(292358,106690,'The healing of this spell cannot be modified except by direct means',100,1,3),
(292359,10106690,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(292360,10106690,'This effect cannot be critically applied.',100,2,1),
(292361,10106690,'Increases Max Health of caster by 800.4',100,1,2),
(292362,10106690,'The healing of this spell cannot be modified except by direct means',100,1,3),
(292363,107219,'Inflicts 511 - 852 melee damage on targets in area',100,1,0),
(292364,107219,'Dispels 166 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(292365,10107219,'Inflicts 613 - 1023 melee damage on targets in area',100,1,0),
(292366,10107219,'Reduces healing received of targets in area by 10%',100,1,1),
(292367,153806,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(292368,153806,'Increases Hate Gain of caster by 15.0%',100,1,1),
(292369,153806,'Must not be engaged in pvp combat',100,1,2),
(292370,153806,'Cannot be modified except by direct means',100,1,3),
(292371,153806,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(292372,153806,'When Equipped:',100,0,5),
(292373,153806,'On a critical combat hit this spell may cast Intimidating Rush IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(292374,153806,'Increases Threat to target by 9,960 - 10,960 ',100,2,7),
(292375,153806,'If over 80% Health',100,3,8),
(292376,153806,'Must not be engaged in pvp combat',100,2,9),
(292377,153806,'Cannot be modified except by direct means',100,2,10),
(292378,153806,'On a critical spell hit this spell may cast Intimidating Rush IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,11),
(292379,153806,'Increases Threat to target by 9,960 - 10,960 ',100,2,12),
(292380,153806,'If over 80% Health',100,3,13),
(292381,153806,'Must not be engaged in pvp combat',100,2,14),
(292382,153806,'Cannot be modified except by direct means',100,2,15),
(292383,153806,'Must not be engaged in pvp combat',100,1,16),
(292384,10153806,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(292385,10153806,'Must not be engaged in pvp combat',100,1,1),
(292386,10153806,'Cannot be modified except by direct means',100,1,2),
(292387,10153806,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(292388,10153806,'When Equipped:',100,0,4),
(292389,10153806,'On a critical combat hit this spell may cast Intimidating Rush IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(292390,10153806,'Must not be engaged in pvp combat',100,2,6),
(292391,10153806,'Cannot be modified except by direct means',100,2,7),
(292392,10153806,'On a critical spell hit this spell may cast Intimidating Rush IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,8),
(292393,10153806,'Must not be engaged in pvp combat',100,2,9),
(292394,10153806,'Cannot be modified except by direct means',100,2,10),
(292395,10153806,'Must not be engaged in pvp combat',100,1,11),
(292396,120399,'Decreases Defense of caster by 14.7',100,1,0),
(292397,120399,'Increases Crushing and Ranged of caster by 35.3',100,1,1),
(292398,120399,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(292399,120399,'Inflicts 212 - 354 heat damage on target',100,2,3),
(292400,120399,'Increases Slashing and Piercing of caster by 35.3',100,1,4),
(292401,10120399,'Decreases Defense of caster by 14.7',100,1,0),
(292402,10120399,'Increases Crushing and Ranged of caster by 35.3',100,1,1),
(292403,10120399,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(292404,10120399,'Inflicts 255 - 424 heat damage on target',100,2,3),
(292405,10120399,'Increases Slashing and Piercing of caster by 35.3',100,1,4),
(292406,37116,'Increases STA of target by 12.7',100,0,0),
(292407,37116,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(292408,100143,'Inflicts 67 - 82 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(292409,100143,'Decreases Mitigation of target encounter vs noxious damage by 736',100,1,1),
(292410,10100143,'Inflicts 81 - 99 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(292411,10100143,'Decreases Mitigation of target encounter vs noxious damage by 736',100,1,1),
(292412,122712,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(292413,122712,'Increases Deflection of caster by 4.4',100,1,1),
(292414,10122712,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(292415,10122712,'Increases Deflection of caster by 4.4',100,1,1),
(292416,155692,'When Equipped:',100,0,0),
(292417,155692,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(292418,155692,'Makes target immune to Stifle effects',100,2,2),
(292419,155692,'Cannot be modified except by direct means',100,2,3),
(292420,10155692,'When Equipped:',100,0,0),
(292421,10155692,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(292422,10155692,'Makes target immune to Stifle effects',100,2,2),
(292423,10155692,'Cannot be modified except by direct means',100,2,3),
(292424,115781,'Inflicts 262 - 437 melee damage on target',100,1,0),
(292425,10115781,'Inflicts 314 - 524 melee damage on target',100,1,0),
(292426,164078,'Applies Wrath of the Brotherhood when Activated.  Lasts for 3 minutes.',100,0,0),
(292427,164078,'When any damage is received this spell has a 20% chance to cast Wrath of the Brotherhood on target''s attacker.  ',100,1,1),
(292428,164078,'Inflicts 7 magic damage on target',100,2,2),
(292429,164078,'Cannot be modified except by direct means',100,2,3),
(292430,164078,'The casting time of Wrath of the Brotherhood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(292431,10164078,'Applies Wrath of the Brotherhood when Activated.  Lasts for 3 minutes.',100,0,0),
(292432,10164078,'When any damage is received this spell has a 20% chance to cast Wrath of the Brotherhood on target''s attacker.  ',100,1,1),
(292433,10164078,'Inflicts 9 magic damage on target',100,2,2),
(292434,10164078,'Cannot be modified except by direct means',100,2,3),
(292435,10164078,'The casting time of Wrath of the Brotherhood is 2.0 seconds and the reuse time of the spell is 10 minutes',100,1,4),
(292436,104141,'Roots target',100,1,0),
(292437,104141,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(292438,104141,'Makes target afraid',100,2,2),
(292439,104141,'Slows target by 33.8%',100,2,3),
(292440,104141,'30% chance to dispel when target takes damage',100,2,4),
(292441,104141,'Resistibility increases against targets higher than level 90.',100,2,5),
(292442,104141,'15% chance to dispel when target takes damage',100,1,6),
(292443,104141,'Does not affect Epic targets',100,1,7),
(292444,104141,'Resistibility increases against targets higher than level 90.',100,1,8),
(292445,10104141,'Roots target',100,1,0),
(292446,10104141,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(292447,10104141,'Makes target afraid',100,2,2),
(292448,10104141,'Slows target by 33.8%',100,2,3),
(292449,10104141,'30% chance to dispel when target takes damage',100,2,4),
(292450,10104141,'Resistibility increases against targets higher than level 90.',100,2,5),
(292451,10104141,'15% chance to dispel when target takes damage',100,1,6),
(292452,10104141,'Does not affect Epic targets',100,1,7),
(292453,10104141,'Resistibility increases against targets higher than level 90.',100,1,8),
(292454,109731,'Inflicts 178 - 296 cold damage on target',100,1,0),
(292455,109731,'If weapon equipped in Ranged',100,1,1),
(292456,10109731,'Inflicts 133 - 222 cold damage on target',100,1,0),
(292457,10109731,'If weapon equipped in Ranged',100,1,1),
(292458,171112,'Applies Heroic Resistance X when Equipped.',100,0,0),
(292459,171112,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(292460,171112,'Cannot be modified except by direct means',100,1,2),
(292461,10171112,'Applies Heroic Resistance X when Equipped.',100,0,0),
(292462,10171112,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(292463,10171112,'Cannot be modified except by direct means',100,1,2),
(292464,121097,'Decreases Threat to targets in Area of Effect by 1,152 ',100,1,0),
(292465,121097,'Mesmerizes targets in Area of Effect',100,1,1),
(292466,121097,'If Target is not Epic',100,2,2),
(292467,121097,'Dispelled when target takes damage',100,1,3),
(292468,10121097,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(292469,10121097,'Applies Distract.',100,1,1),
(292470,10121097,'Forces target to clear their selected target.',100,2,2),
(292471,10121097,'Mesmerizes targets in Area of Effect',100,1,3),
(292472,10121097,'If Target is not Epic',100,2,4),
(292473,10121097,'Dispelled when target takes damage',100,1,5),
(292474,45510,'Applies Trap ChokÃ©mon when Activated.',100,0,0),
(292475,10045510,'Applies Trap ChokÃ©mon when Activated.',100,0,0),
(292476,116893,'Wards group members (AE) against 1752 points of noxious damage',100,1,0),
(292477,116893,'Increases Mitigation of group members (AE) vs noxious damage by 940',100,1,1),
(292478,10116893,'Wards group members (AE) against 1752 points of noxious damage',100,1,0),
(292479,10116893,'Increases Mitigation of group members (AE) vs noxious damage by 940',100,1,1),
(292480,103341,'Inflicts 177 - 216 mental damage on target instantly and every 6 seconds',100,1,0),
(292481,103341,'Applies Migraine on termination.',100,1,1),
(292482,103341,'Inflicts 385 - 521 mental damage on target',100,2,2),
(292483,10103341,'Inflicts 212 - 259 mental damage on target instantly and every 6 seconds',100,1,0),
(292484,10103341,'Applies Migraine on termination.',100,1,1),
(292485,10103341,'Inflicts 462 - 625 mental damage on target',100,2,2),
(292486,26663,'When Equipped:',100,0,0),
(292487,26663,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(292488,26663,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(292489,10026663,'When Equipped:',100,0,0),
(292490,10026663,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(292491,10026663,'Adds additional armor mitigation to Blackguard VI.',100,1,2),
(292492,105347,'Inflicts 279 - 466 melee damage on target',100,1,0),
(292493,105347,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 483',100,1,1),
(292494,105347,'Must be flanking or behind',100,1,2),
(292495,10105347,'Inflicts 335 - 559 melee damage on target',100,1,0),
(292496,10105347,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 483',100,1,1),
(292497,10105347,'Must be flanking or behind',100,1,2),
(292498,113447,'Increases INT of target by 21.8',100,1,0),
(292499,113447,'Increases Max Health of target by 104.1',100,1,1),
(292500,10113447,'Increases INT of target by 21.8',100,1,0),
(292501,10113447,'Increases Max Health of target by 104.1',100,1,1),
(292502,115209,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(292503,115209,'Decreases Mitigation of target vs noxious damage by 448',100,2,1),
(292504,115209,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(292505,115209,'Decreases Mitigation of target vs noxious damage by 448',100,2,3),
(292506,10115209,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(292507,10115209,'Decreases Mitigation of target vs noxious damage by 448',100,2,1),
(292508,10115209,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(292509,10115209,'Decreases Mitigation of target vs noxious damage by 448',100,2,3),
(292510,26422,'When Equipped:',100,0,0),
(292511,26422,'Increases Multi Attack Chance of caster by 1.0',100,1,1),
(292512,10026422,'When Equipped:',100,0,0),
(292513,10026422,'Increases Multi Attack Chance of caster by 1.0',100,1,1),
(292514,49151,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(292515,49151,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(292516,49151,'Inflicts 271 poison damage on target',100,2,2),
(292517,49151,'Cannot be modified except by direct means',100,2,3),
(292518,49151,'Grants a total of 100 triggers of the spell.',100,2,4),
(292519,10049151,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(292520,10049151,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(292521,10049151,'Inflicts 244 poison damage on target',100,2,2),
(292522,10049151,'Cannot be modified except by direct means',100,2,3),
(292523,10049151,'Grants a total of 100 triggers of the spell.',100,2,4),
(292524,103067,'Inflicts 127 magic damage on target instantly and every 4 seconds',100,1,0),
(292525,103067,'Increases power of caster by 53 instantly and every 4 seconds',100,1,1),
(292526,10103067,'Inflicts 152 magic damage on target instantly and every 4 seconds',100,1,0),
(292527,10103067,'Increases power of caster by 53 instantly and every 4 seconds',100,1,1),
(292528,106995,'Inflicts 1498 - 2782 poison damage on target',100,1,0),
(292529,106995,'Increases power of caster by 163',100,1,1),
(292530,10106995,'Inflicts 1798 - 3338 poison damage on target',100,1,0),
(292531,10106995,'Increases power of caster by 163',100,1,1),
(292532,75568,'Applies Disease Blast when Activated.',100,0,0),
(292533,75568,'Inflicts 53 - 89 disease damage on target',100,1,1),
(292534,75568,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292535,10075568,'Applies Disease Blast when Activated.',100,0,0),
(292536,10075568,'Inflicts 64 - 106 disease damage on target',100,1,1),
(292537,10075568,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292538,118500,'Summons a limited pet to aid the caster',100,1,0),
(292539,10118500,'Summons a limited pet to aid the caster',100,1,0),
(292540,49049,'Applies Release Smoke when Activated.',100,0,0),
(292541,49049,'Updates a specific part of the Quest \"Smokescreen\"',100,1,1),
(292542,49049,'This effect cannot be cast during combat',100,1,2),
(292543,49049,'You must release this near the Tuwasp hive in Greater Faydark.',100,1,3),
(292544,10049049,'Applies Release Smoke when Activated.',100,0,0),
(292545,10049049,'Updates a specific part of the Quest \"Smokescreen\"',100,1,1),
(292546,10049049,'This effect cannot be cast during combat',100,1,2),
(292547,10049049,'You must release this near the Tuwasp hive in Greater Faydark.',100,1,3),
(292548,115779,'Inflicts 203 - 338 melee damage on target',100,1,0),
(292549,10115779,'Inflicts 243 - 406 melee damage on target',100,1,0),
(292550,36442,'Increases Max Power of target by 90.0',100,0,0),
(292551,36442,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(292552,100281,'Inflicts 46 - 85 poison damage on target instantly and every 3 seconds',100,1,0),
(292553,10100281,'Inflicts 124 - 231 poison damage on target instantly and every 3 seconds',100,1,0),
(292554,181705,'When Equipped:',100,0,0),
(292555,181705,'Allows caster to jump farther',100,1,1),
(292556,181705,'This effect suspends during combat',100,1,2),
(292557,181705,'If not on a mount',100,1,3),
(292558,10181705,'When Equipped:',100,0,0),
(292559,10181705,'Allows caster to jump farther',100,1,1),
(292560,10181705,'This effect suspends during combat',100,1,2),
(292561,10181705,'If not on a mount',100,1,3),
(292562,37228,'Increases STR and WIS of target by 15.4',100,0,0),
(292563,37228,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(292564,134292,'When Equipped:',100,0,0),
(292565,134292,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(292566,134292,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(292567,134292,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,3),
(292568,134292,'Must not be engaged in pvp combat',100,2,4),
(292569,134292,'Cannot be modified except by direct means',100,2,5),
(292570,134292,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(292571,134292,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,7),
(292572,134292,'Must not be engaged in pvp combat',100,2,8),
(292573,134292,'Cannot be modified except by direct means',100,2,9),
(292574,134292,'Cannot be modified except by direct means',100,1,10),
(292575,10134292,'When Equipped:',100,0,0),
(292576,10134292,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(292577,10134292,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(292578,10134292,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,3),
(292579,10134292,'Must not be engaged in pvp combat',100,2,4),
(292580,10134292,'Cannot be modified except by direct means',100,2,5),
(292581,10134292,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(292582,10134292,'Increases AGI, WIS, STR and INT of caster by 110.0',100,2,7),
(292583,10134292,'Must not be engaged in pvp combat',100,2,8),
(292584,10134292,'Cannot be modified except by direct means',100,2,9),
(292585,10134292,'Cannot be modified except by direct means',100,1,10),
(292586,45748,'Applies Clouded Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(292587,45748,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(292588,45748,'Only affects targets level 50 and above',100,1,2),
(292589,10045748,'Applies Clouded Tabben''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(292590,10045748,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(292591,10045748,'Only affects targets level 50 and above',100,1,2),
(292592,111387,'Increases Attack Speed of target by 17.4',100,1,0),
(292593,111387,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(292594,111387,'Inflicts 31 disease damage on target',100,2,2),
(292595,111387,'Heals caster for 9',100,2,3),
(292596,111387,'Decreases Defense and Parry of target by 4.9',100,1,4),
(292597,111387,'Increases Disruption, Subjugation and Focus of target by 4.7',100,1,5),
(292598,10111387,'Increases Attack Speed of target by 17.4',100,1,0),
(292599,10111387,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(292600,10111387,'Inflicts 37 disease damage on target',100,2,2),
(292601,10111387,'Heals caster for 6',100,2,3),
(292602,10111387,'Decreases Defense and Parry of target by 4.9',100,1,4),
(292603,10111387,'Increases Disruption, Subjugation and Focus of target by 4.7',100,1,5),
(292604,71891,'When Equipped:',100,0,0),
(292605,71891,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292606,71891,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(292607,71891,'Cannot be modified except by direct means',100,2,3),
(292608,10071891,'When Equipped:',100,0,0),
(292609,10071891,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292610,10071891,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(292611,10071891,'Cannot be modified except by direct means',100,2,3),
(292612,80657,'When Equipped:',100,0,0),
(292613,80657,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(292614,80657,'Inflicts 56 - 103 magic damage on target',100,2,2),
(292615,80657,'Decreases Threat to target by 236 ',100,2,3),
(292616,80657,'Must be flanking or behind',100,3,4),
(292617,80657,'Increases Threat to target by 414 ',100,2,5),
(292618,80657,'Must be in front of',100,3,6),
(292619,80657,'Cannot be modified except by direct means',100,2,7),
(292620,10080657,'When Equipped:',100,0,0),
(292621,10080657,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(292622,10080657,'Inflicts 67 - 124 magic damage on target',100,2,2),
(292623,10080657,'Cannot be modified except by direct means',100,2,3),
(292624,122816,'Inflicts 158 - 264 ranged damage on target',100,1,0),
(292625,122816,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(292626,122816,'Increases Hate Gain of target by 30.0%',100,2,2),
(292627,122816,'Grants a total of 1 trigger of the spell.',100,2,3),
(292628,122816,'Requires bow',100,1,4),
(292629,10122816,'Inflicts 118 - 198 ranged damage on target',100,1,0),
(292630,10122816,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(292631,10122816,'Grants a total of 1 trigger of the spell.',100,2,2),
(292632,10122816,'Requires bow',100,1,3),
(292633,168963,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(292634,168963,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(292635,168963,'Cannot be modified except by direct means',100,1,2),
(292636,10168963,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(292637,10168963,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(292638,10168963,'Cannot be modified except by direct means',100,1,2),
(292639,81300,'When Equipped:',100,0,0),
(292640,81300,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(292641,81300,'Inflicts 196 - 364 magic damage on target',100,2,2),
(292642,81300,'Decreases Threat to target by 949 ',100,2,3),
(292643,81300,'Must be flanking or behind',100,3,4),
(292644,81300,'Increases Threat to target by 1,409 ',100,2,5),
(292645,81300,'Must be in front of',100,3,6),
(292646,81300,'Cannot be modified except by direct means',100,2,7),
(292647,10081300,'When Equipped:',100,0,0),
(292648,10081300,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(292649,10081300,'Inflicts 235 - 437 magic damage on target',100,2,2),
(292650,10081300,'Cannot be modified except by direct means',100,2,3),
(292651,49023,'Applies Validon Stormweaver when Activated.',100,0,0),
(292652,49023,'Increases Potency of caster by 3.0%',100,1,1),
(292653,49023,'Increases Crit Bonus of caster by 3.0%',100,1,2),
(292654,49023,'Increases Crit Chance of caster by 10.0',100,1,3),
(292655,49023,'Increases Max Power of caster by 400.0',100,1,4),
(292656,49023,'Summons a mount to ride',100,1,5),
(292657,49023,'Increases your ground speed by 75%',100,2,6),
(292658,49023,'Increases your air speed by 150%',100,2,7),
(292659,49023,'Increases Max Health of caster by 400.0',100,1,8),
(292660,10049023,'Applies Validon Stormweaver when Activated.',100,0,0),
(292661,10049023,'Increases Potency of caster by 3.0%',100,1,1),
(292662,10049023,'Increases Crit Bonus of caster by 3.0%',100,1,2),
(292663,10049023,'Increases Crit Chance of caster by 10.0',100,1,3),
(292664,10049023,'Increases Max Power of caster by 400.0',100,1,4),
(292665,10049023,'Summons a mount to ride',100,1,5),
(292666,10049023,'Increases your ground speed by 75%',100,2,6),
(292667,10049023,'Increases your air speed by 150%',100,2,7),
(292668,10049023,'Increases Max Health of caster by 400.0',100,1,8),
(292669,80569,'When Equipped:',100,0,0),
(292670,80569,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292671,80569,'Inflicts 80 - 149 magic damage on target',100,2,2),
(292672,80569,'Cannot be modified except by direct means',100,2,3),
(292673,10080569,'When Equipped:',100,0,0),
(292674,10080569,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292675,10080569,'Inflicts 96 - 179 magic damage on target',100,2,2),
(292676,10080569,'Cannot be modified except by direct means',100,2,3),
(292677,100435,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(292678,100435,'Inflicts 114 - 191 slashing damage on target',100,2,1),
(292679,100435,'Increases Threat to target by 773 ',100,2,2),
(292680,100435,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(292681,100435,'Increases Threat to target by 773 ',100,2,4),
(292682,100435,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1338',100,1,5),
(292683,10100435,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(292684,10100435,'Inflicts 137 - 229 slashing damage on target',100,2,1),
(292685,10100435,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(292686,10100435,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1338',100,1,3),
(292687,115794,'Increases in-combat movement speed of group members (AE) by 56.0%',100,1,0),
(292688,115794,'Dispels 49 levels of hostile Root effects on group members (AE)',100,1,1),
(292689,10115794,'Increases in-combat movement speed of group members (AE) by 35.0%',100,1,0),
(292690,10115794,'Dispels 49 levels of hostile Root effects on group members (AE)',100,1,1),
(292691,87523,'When Equipped:',100,0,0),
(292692,87523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292693,87523,'Inflicts 208 - 312 magic damage on target',100,2,2),
(292694,87523,'Cannot be modified except by direct means',100,2,3),
(292695,10087523,'When Equipped:',100,0,0),
(292696,10087523,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292697,10087523,'Inflicts 250 - 375 magic damage on target',100,2,2),
(292698,10087523,'Cannot be modified except by direct means',100,2,3),
(292699,102142,'Inflicts 75 - 126 melee damage on target',100,1,0),
(292700,102142,'Inflicts 75 - 126 melee damage on target',100,1,1),
(292701,10102142,'Inflicts 91 - 151 melee damage on target',100,1,0),
(292702,10102142,'Inflicts 91 - 151 melee damage on target',100,1,1),
(292703,100714,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(292704,100714,'Increases Mitigation of group members (AE) vs noxious damage by 525',100,1,1),
(292705,10100714,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(292706,10100714,'Increases Mitigation of group members (AE) vs noxious damage by 525',100,1,1),
(292707,26730,'When Equipped:',100,0,0),
(292708,26730,'On a critical combat hit this spell may cast Greater  Phantasmal Siphon I on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(292709,26730,'Inflicts 2594 - 2867 poison damage on target',100,2,2),
(292710,26730,'Heals caster for 1297 - 1433',100,2,3),
(292711,26730,'Must not be engaged in pvp combat',100,2,4),
(292712,26730,'Cannot be modified except by direct means',100,2,5),
(292713,26730,'On a critical spell hit this spell may cast Greater  Phantasmal Siphon I on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(292714,26730,'Inflicts 2594 - 2867 poison damage on target',100,2,7),
(292715,26730,'Heals caster for 1297 - 1433',100,2,8),
(292716,26730,'Must not be engaged in pvp combat',100,2,9),
(292717,26730,'Cannot be modified except by direct means',100,2,10),
(292718,26730,'\\#FF0000If adorned on the same item, this effect will not stack with itself. \\/c',100,1,11),
(292719,26730,'Must not be engaged in pvp combat',100,1,12),
(292720,10026730,'When Equipped:',100,0,0),
(292721,10026730,'On a critical combat hit this spell may cast Greater  Phantasmal Siphon I on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(292722,10026730,'Inflicts 3112 - 3440 poison damage on target',100,2,2),
(292723,10026730,'Heals caster for 1517 - 1677',100,2,3),
(292724,10026730,'Must not be engaged in pvp combat',100,2,4),
(292725,10026730,'Cannot be modified except by direct means',100,2,5),
(292726,10026730,'On a critical spell hit this spell may cast Greater  Phantasmal Siphon I on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(292727,10026730,'Inflicts 3112 - 3440 poison damage on target',100,2,7),
(292728,10026730,'Heals caster for 1517 - 1677',100,2,8),
(292729,10026730,'Must not be engaged in pvp combat',100,2,9),
(292730,10026730,'Cannot be modified except by direct means',100,2,10),
(292731,10026730,'\\#FF0000If adorned on the same item, this effect will not stack with itself. \\/c',100,1,11),
(292732,10026730,'Must not be engaged in pvp combat',100,1,12),
(292733,75560,'Applies Disease Blast when Activated.',100,0,0),
(292734,75560,'Inflicts 127 - 211 disease damage on target',100,1,1),
(292735,75560,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292736,10075560,'Applies Disease Blast when Activated.',100,0,0),
(292737,10075560,'Inflicts 152 - 253 disease damage on target',100,1,1),
(292738,10075560,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292739,110850,'Inflicts 402 - 544 mental damage on target',100,1,0),
(292740,110850,'Interrupts target',100,1,1),
(292741,10110850,'Inflicts 483 - 653 mental damage on target',100,1,0),
(292742,10110850,'Interrupts target',100,1,1),
(292743,110474,'Stifles caster',100,1,0),
(292744,110474,'Increases power of caster by 12 instantly and every second',100,1,1),
(292745,10110474,'Stifles caster',100,1,0),
(292746,10110474,'Increases power of caster by 12 instantly and every second',100,1,1),
(292747,102836,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(292748,102836,'Stuns target',100,2,1),
(292749,102836,'Throws target back',100,2,2),
(292750,102836,'Blurs vision of target',100,2,3),
(292751,102836,'Does not affect Epic targets',100,2,4),
(292752,102836,'Inflicts 25 - 76 melee damage on targets in area',100,1,5),
(292753,10102836,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(292754,10102836,'Stuns target',100,2,1),
(292755,10102836,'Throws target back',100,2,2),
(292756,10102836,'Blurs vision of target',100,2,3),
(292757,10102836,'Does not affect Epic targets',100,2,4),
(292758,10102836,'Inflicts 30 - 91 melee damage on targets in area',100,1,5),
(292759,87531,'Applies Lightning Shock when Activated.',100,0,0),
(292760,87531,'Inflicts 78 - 129 magic damage on target',100,1,1),
(292761,87531,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292762,10087531,'Applies Lightning Shock when Activated.',100,0,0),
(292763,10087531,'Inflicts 93 - 155 magic damage on target',100,1,1),
(292764,10087531,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(292765,51491,'When Equipped:',100,0,0),
(292766,51491,'Increases Potency of caster by 2.0%',100,1,1),
(292767,51491,'Must be engaged in pvp combat',100,1,2),
(292768,51491,'When Equipped:',100,0,3),
(292769,51491,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(292770,51491,'Inflicts 1192 heat damage on target',100,2,5),
(292771,51491,'Cannot be modified except by direct means',100,2,6),
(292772,10051491,'When Equipped:',100,0,0),
(292773,10051491,'Increases Potency of caster by 2.0%',100,1,1),
(292774,10051491,'Must be engaged in pvp combat',100,1,2),
(292775,10051491,'When Equipped:',100,0,3),
(292776,10051491,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(292777,10051491,'Inflicts 715 heat damage on target',100,2,5),
(292778,10051491,'Cannot be modified except by direct means',100,2,6),
(292779,47938,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(292780,47938,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(292781,47938,'Decreases power of target by 883',100,2,2),
(292782,47938,'Increases power of caster by 571',100,2,3),
(292783,47938,'Cannot be modified except by direct means',100,2,4),
(292784,47938,'Grants a total of 100 triggers of the spell.',100,2,5),
(292785,10047938,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(292786,10047938,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(292787,10047938,'Decreases power of target by 485',100,2,2),
(292788,10047938,'Increases power of caster by 429',100,2,3),
(292789,10047938,'Cannot be modified except by direct means',100,2,4),
(292790,10047938,'Grants a total of 100 triggers of the spell.',100,2,5),
(292791,113645,'Interrupts target encounter',100,1,0),
(292792,113645,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 33.7',100,1,1),
(292793,10113645,'Interrupts target encounter',100,1,0),
(292794,10113645,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 33.7',100,1,1),
(292795,112461,'Decreases AGI and WIS of target by 6.7',100,1,0),
(292796,10112461,'Decreases AGI and WIS of target by 6.7',100,1,0),
(292797,123587,'Increases STR of group members (AE) by 64.1',100,1,0),
(292798,123587,'Increases Max Health of group members (AE) by 568.7',100,1,1),
(292799,10123587,'Increases STR of group members (AE) by 64.1',100,1,0),
(292800,10123587,'Increases Max Health of group members (AE) by 568.7',100,1,1),
(292801,122110,'Increases STA and INT of group members (AE) by 83.5',100,1,0),
(292802,10122110,'Increases STA and INT of group members (AE) by 83.5',100,1,0),
(292803,70028,'When Equipped:',100,0,0),
(292804,70028,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(292805,70028,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(292806,70028,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(292807,70028,'Heals caster for 1185 - 1309',100,2,4),
(292808,70028,'Decreases Crushing, Slashing, Ranged and Piercing of target by 22.0',100,2,5),
(292809,70028,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(292810,70028,'Must not be engaged in pvp combat',100,2,7),
(292811,70028,'Cannot be modified except by direct means',100,2,8),
(292812,70028,'Cannot be modified except by direct means',100,1,9),
(292813,10070028,'When Equipped:',100,0,0),
(292814,10070028,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(292815,10070028,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(292816,10070028,'Inflicts 2843 - 3142 poison damage on target',100,2,3),
(292817,10070028,'Heals caster for 1386 - 1532',100,2,4),
(292818,10070028,'Decreases Crushing, Slashing, Ranged and Piercing of target by 22.0',100,2,5),
(292819,10070028,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(292820,10070028,'Must not be engaged in pvp combat',100,2,7),
(292821,10070028,'Cannot be modified except by direct means',100,2,8),
(292822,10070028,'Cannot be modified except by direct means',100,1,9),
(292823,48108,'Applies Throw Snowball when Activated.  Lasts for 1.0 second.',100,0,0),
(292824,10048108,'Applies Throw Snowball when Activated.  Lasts for 1.0 second.',100,0,0),
(292825,90345,'Applies Wrath when Activated.  Lasts for 15.0 seconds.',100,0,0),
(292826,90345,'Increases damage done by spells by up to 250.',100,1,1),
(292827,90345,'Must have Wrath equipped.',100,1,2),
(292828,90345,'The reuse time of Wrath is 3 minutes',100,1,3),
(292829,10090345,'Applies Wrath when Activated.  Lasts for 15.0 seconds.',100,0,0),
(292830,10090345,'Increases damage done by spells by up to 250.',100,1,1),
(292831,10090345,'Must have Wrath equipped.',100,1,2),
(292832,10090345,'The reuse time of Wrath is 3 minutes',100,1,3),
(292833,80487,'When Equipped:',100,0,0),
(292834,80487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292835,80487,'Inflicts 42 - 77 magic damage on target',100,2,2),
(292836,80487,'Cannot be modified except by direct means',100,2,3),
(292837,10080487,'When Equipped:',100,0,0),
(292838,10080487,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292839,10080487,'Inflicts 50 - 93 magic damage on target',100,2,2),
(292840,10080487,'Cannot be modified except by direct means',100,2,3),
(292841,26561,'When Equipped:',100,0,0),
(292842,26561,'Adds two additional triggers to Focused Intervention IV.',100,1,1),
(292843,26561,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(292844,10026561,'When Equipped:',100,0,0),
(292845,10026561,'Adds two additional triggers to Focused Intervention IV.',100,1,1),
(292846,10026561,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(292847,114107,'Inflicts 711 - 1186 melee damage on targets in area',100,1,0),
(292848,114107,'You must be in stealth to use this!',100,1,1),
(292849,10114107,'Inflicts 853 - 1423 melee damage on targets in area',100,1,0),
(292850,10114107,'You must be in stealth to use this!',100,1,1),
(292851,114933,'Inflicts 707 - 1178 melee damage on target',100,1,0),
(292852,114933,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2503',100,1,1),
(292853,114933,'Must be behind',100,1,2),
(292854,10114933,'Inflicts 848 - 1414 melee damage on target',100,1,0),
(292855,10114933,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1252',100,1,1),
(292856,10114933,'Must be behind',100,1,2),
(292857,46488,'Applies Glimzig''s Zapstick when Activated.',100,0,0),
(292858,46488,'Glimzig''s Zapstick can be used on necrotic clockworks that are under 30 percent of life.',100,1,1),
(292859,10046488,'Applies Glimzig''s Zapstick when Activated.',100,0,0),
(292860,10046488,'Glimzig''s Zapstick can be used on necrotic clockworks that are under 30 percent of life.',100,1,1),
(292861,24351,'Adds Erollisian Sprite of Devotion (Dirge) to your Dungeon Maker toolbox',100,0,0),
(292862,10024351,'Adds Erollisian Sprite of Devotion (Dirge) to your Dungeon Maker toolbox',100,0,0),
(292863,80674,'When Equipped:',100,0,0),
(292864,80674,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(292865,80674,'Inflicts 56 - 103 magic damage on target',100,2,2),
(292866,80674,'Decreases Threat to target by 236 ',100,2,3),
(292867,80674,'Must be flanking or behind',100,3,4),
(292868,80674,'Increases Threat to target by 414 ',100,2,5),
(292869,80674,'Must be in front of',100,3,6),
(292870,80674,'Cannot be modified except by direct means',100,2,7),
(292871,10080674,'When Equipped:',100,0,0),
(292872,10080674,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(292873,10080674,'Inflicts 67 - 124 magic damage on target',100,2,2),
(292874,10080674,'Cannot be modified except by direct means',100,2,3),
(292875,26356,'When Equipped:',100,0,0),
(292876,26356,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(292877,26356,'Inflicts 9 heat damage on target instantly and every 5 seconds',100,2,2),
(292878,26356,'Cannot be modified except by direct means',100,2,3),
(292879,10026356,'When Equipped:',100,0,0),
(292880,10026356,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(292881,10026356,'Inflicts 11 heat damage on target instantly and every 5 seconds',100,2,2),
(292882,10026356,'Cannot be modified except by direct means',100,2,3),
(292883,25353,'When Equipped:',100,0,0),
(292884,25353,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(292885,25353,'Improves the base heal amount of Convert Ally by 40%.',100,1,2),
(292886,10025353,'When Equipped:',100,0,0),
(292887,10025353,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(292888,10025353,'Improves the base heal amount of Convert Ally by 40%.',100,1,2),
(292889,72318,'When Equipped:',100,0,0),
(292890,72318,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292891,72318,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(292892,72318,'Cannot be modified except by direct means',100,2,3),
(292893,10072318,'When Equipped:',100,0,0),
(292894,10072318,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(292895,10072318,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(292896,10072318,'Cannot be modified except by direct means',100,2,3),
(292897,141880,'When Equipped:',100,0,0),
(292898,141880,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(292899,141880,'Increases AGI of caster by 16.3',100,2,2),
(292900,141880,'Increases Attack Speed of caster by 19.7',100,2,3),
(292901,141880,'Cannot be modified except by direct means',100,2,4),
(292902,10141880,'When Equipped:',100,0,0),
(292903,10141880,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(292904,10141880,'Increases AGI of caster by 16.3',100,2,2),
(292905,10141880,'Increases Attack Speed of caster by 19.7',100,2,3),
(292906,10141880,'Cannot be modified except by direct means',100,2,4),
(292907,47050,'Applies Min Frith Dorchae when Activated.  Lasts for 1 hour.',100,0,0),
(292908,10047050,'Applies Min Frith Dorchae when Activated.  Lasts for 1 hour.',100,0,0),
(292909,108491,'Prevents AOE (except when direct) ',100,1,0),
(292910,108491,'Stuns target',100,1,1),
(292911,108491,'Dispelled when target takes damage',100,1,2),
(292912,108491,'Does not affect Epic targets',100,1,3),
(292913,108491,'Resistibility increases against targets higher than level 39.',100,1,4),
(292914,10108491,'Prevents AOE (except when direct) ',100,1,0),
(292915,10108491,'Stuns target',100,1,1),
(292916,10108491,'Dispelled when target takes damage',100,1,2),
(292917,10108491,'Does not affect Epic targets',100,1,3),
(292918,10108491,'Resistibility increases against targets higher than level 39.',100,1,4),
(292919,111886,'Inflicts 367 - 681 heat damage on target',100,1,0),
(292920,111886,'Inflicts 138 - 255 heat damage on target every 2 seconds',100,1,1),
(292921,10111886,'Inflicts 440 - 817 heat damage on target',100,1,0),
(292922,10111886,'Inflicts 165 - 306 heat damage on target every 2 seconds',100,1,1),
(292923,139559,'When Equipped:',100,0,0),
(292924,139559,'On a beneficial spell cast this spell may cast Healing Blanket on the group.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(292925,139559,'Heals group members (AE) for 118 instantly and every 4 seconds',100,2,2),
(292926,139559,'Cannot be modified except by direct means',100,2,3),
(292927,10139559,'When Equipped:',100,0,0),
(292928,10139559,'On a beneficial spell cast this spell may cast Healing Blanket on the group.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(292929,10139559,'Heals group members (AE) for 77 instantly and every 4 seconds',100,2,2),
(292930,10139559,'Cannot be modified except by direct means',100,2,3),
(292931,132064,'When Equipped:',100,0,0),
(292932,132064,'Increases Attack Speed of caster by 45.0',100,1,1),
(292933,132064,'When Equipped:',100,0,2),
(292934,132064,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,3),
(292935,132064,'Increases Max Health of caster by 1,220.0',100,1,4),
(292936,132064,'Cannot be modified except by direct means',100,1,5),
(292937,10132064,'When Equipped:',100,0,0),
(292938,10132064,'Increases Attack Speed of caster by 45.0',100,1,1),
(292939,10132064,'When Equipped:',100,0,2),
(292940,10132064,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,3),
(292941,10132064,'Increases Max Health of caster by 1,220.0',100,1,4),
(292942,10132064,'Cannot be modified except by direct means',100,1,5),
(292943,104613,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',100,1,0),
(292944,104613,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,2,1),
(292945,104613,'Grants stealth to caster',100,3,2),
(292946,104613,'Suspends caster''s movement speed enhancements',100,3,3),
(292947,104613,'Decreases Hate Gain of caster by 30.0%',100,1,4),
(292948,10104613,'On a combat hit this spell has a 5% chance to cast Distract on target of attack.  ',100,1,0),
(292949,10104613,'Forces target to clear their selected target.',100,2,1),
(292950,10104613,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',100,1,2),
(292951,10104613,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,2,3),
(292952,10104613,'Grants stealth to caster',100,3,4),
(292953,10104613,'Suspends caster''s movement speed enhancements',100,3,5),
(292954,164628,'When Equipped:',100,0,0),
(292955,164628,'Increases Attack Speed of caster by 40.0',100,1,1),
(292956,10164628,'When Equipped:',100,0,0),
(292957,10164628,'Increases Attack Speed of caster by 40.0',100,1,1),
(292958,106106,'Inflicts 789 - 1315 melee damage on target',100,1,0),
(292959,106106,'Decreases Mitigation of target vs physical damage by 2926',100,1,1),
(292960,106106,'Must be behind',100,1,2),
(292961,10106106,'Inflicts 947 - 1579 melee damage on target',100,1,0),
(292962,10106106,'Decreases Mitigation of target vs physical damage by 731',100,1,1),
(292963,10106106,'Must be behind',100,1,2),
(292964,171264,'When Equipped:',100,0,0),
(292965,171264,'On a critical healing spell cast this spell may cast Ward of Duality III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(292966,171264,'Wards target against 300 points of all damage',100,2,2),
(292967,171264,'Wards caster against 150 points of all damage',100,2,3),
(292968,171264,'Must not be engaged in pvp combat',100,2,4),
(292969,171264,'Cannot be modified except by direct means',100,2,5),
(292970,171264,'Must not be engaged in pvp combat',100,1,6),
(292971,10171264,'When Equipped:',100,0,0),
(292972,10171264,'On a critical healing spell cast this spell may cast Ward of Duality III on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(292973,10171264,'Wards target against 300 points of all damage',100,2,2),
(292974,10171264,'Wards caster against 150 points of all damage',100,2,3),
(292975,10171264,'Must not be engaged in pvp combat',100,2,4),
(292976,10171264,'Cannot be modified except by direct means',100,2,5),
(292977,10171264,'Must not be engaged in pvp combat',100,1,6),
(292978,118384,'Inflicts 258 - 430 melee damage on target',100,1,0),
(292979,118384,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(292980,118384,'Stuns target',100,2,2),
(292981,118384,'Throws target back',100,2,3),
(292982,118384,'Blurs vision of target',100,2,4),
(292983,118384,'Does not affect Epic targets',100,2,5),
(292984,10118384,'Inflicts 309 - 516 melee damage on target',100,1,0),
(292985,10118384,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(292986,10118384,'Stuns target',100,2,2),
(292987,10118384,'Throws target back',100,2,3),
(292988,10118384,'Blurs vision of target',100,2,4),
(292989,10118384,'Does not affect Epic targets',100,2,5),
(292990,104383,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(292991,104383,'Inflicts 85 - 104 cold damage on target',100,2,1),
(292992,10104383,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(292993,10104383,'Inflicts 102 - 125 cold damage on target',100,2,1),
(292994,87361,'When Equipped:',100,0,0),
(292995,87361,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(292996,87361,'Inflicts 99 - 148 magic damage on target',100,2,2),
(292997,87361,'Cannot be modified except by direct means',100,2,3),
(292998,10087361,'When Equipped:',100,0,0),
(292999,10087361,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293000,10087361,'Inflicts 118 - 177 magic damage on target',100,2,2),
(293001,10087361,'Cannot be modified except by direct means',100,2,3),
(293002,141754,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(293003,141754,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(293004,141754,'Inflicts 54 heat damage on target',100,2,2),
(293005,141754,'Cannot be modified except by direct means',100,2,3),
(293006,10141754,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(293007,10141754,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(293008,10141754,'Inflicts 64 heat damage on target',100,2,2),
(293009,10141754,'Cannot be modified except by direct means',100,2,3),
(293010,47143,'Applies Concoction of Adventure  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(293011,47143,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(293012,47143,'Inflicts 7 magic damage on target',100,2,2),
(293013,47143,'Cannot be modified except by direct means',100,2,3),
(293014,10047143,'Applies Concoction of Adventure  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(293015,10047143,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(293016,10047143,'Inflicts 8 magic damage on target',100,2,2),
(293017,10047143,'Cannot be modified except by direct means',100,2,3),
(293018,107511,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(293019,10107511,'Dispels 75 levels of any hostile effects on group members (AE)',100,1,0),
(293020,110202,'Interrupts target',100,1,0),
(293021,110202,'Inflicts 36 - 61 crushing damage on target',100,1,1),
(293022,10110202,'Interrupts target',100,1,0),
(293023,10110202,'Inflicts 44 - 73 crushing damage on target',100,1,1),
(293024,116644,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(293025,116644,'Increases Mitigation of group members (AE) vs arcane damage by 1023',100,1,1),
(293026,10116644,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(293027,10116644,'Increases Mitigation of group members (AE) vs arcane damage by 1023',100,1,1),
(293028,110435,'Dazes targets in Area of Effect',100,1,0),
(293029,110435,'If Target is not Epic',100,2,1),
(293030,110435,'Decreases Threat to targets in Area of Effect by 520 ',100,1,2),
(293031,110435,'Dispelled when target receives hostile action',100,1,3),
(293032,110435,'Dispelled when target takes damage',100,1,4),
(293033,10110435,'Dazes targets in Area of Effect',100,1,0),
(293034,10110435,'If Target is not Epic',100,2,1),
(293035,10110435,'Applies Distract.',100,1,2),
(293036,10110435,'Forces target to clear their selected target.',100,2,3),
(293037,10110435,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(293038,10110435,'Dispelled when target receives hostile action',100,1,5),
(293039,10110435,'Dispelled when target takes damage',100,1,6),
(293040,177544,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(293041,177544,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(293042,177544,'Inflicts 24 heat damage on target',100,2,2),
(293043,177544,'Cannot be modified except by direct means',100,2,3),
(293044,10177544,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(293045,10177544,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(293046,10177544,'Inflicts 29 heat damage on target',100,2,2),
(293047,10177544,'Cannot be modified except by direct means',100,2,3),
(293048,110106,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(293049,110106,'Inflicts 33 disease damage on target',100,2,1),
(293050,110106,'Heals caster for 24',100,2,2),
(293051,110106,'Decreases INT of target by 109.5',100,1,3),
(293052,110106,'Decreases Attack Speed of target by 25.0',100,1,4),
(293053,110106,'Increases Max Health of target by 16.0%',100,1,5),
(293054,110106,'Increases Hate Gain of target by 43.2%',100,1,6),
(293055,110106,'Increases Aggression of target by 13.4',100,1,7),
(293056,110106,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(293057,110106,'Increases Threat to target encounter by 220 - 269 ',100,2,9),
(293058,110106,'Increases Mitigation of target vs elemental, noxious and arcane damage by 896',100,1,10),
(293059,10110106,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(293060,10110106,'Inflicts 40 disease damage on target',100,2,1),
(293061,10110106,'Heals caster for 16',100,2,2),
(293062,10110106,'Decreases INT of target by 109.5',100,1,3),
(293063,10110106,'Decreases Attack Speed of target by 25.0',100,1,4),
(293064,10110106,'Increases Max Health of target by 16.0%',100,1,5),
(293065,10110106,'Increases Aggression of target by 13.4',100,1,6),
(293066,10110106,'Increases Mitigation of target vs elemental, noxious and arcane damage by 896',100,1,7),
(293067,122507,'Inflicts 602 - 1003 mental damage on targets in Area of Effect',100,1,0),
(293068,10122507,'Inflicts 722 - 1203 mental damage on targets in Area of Effect',100,1,0),
(293069,108894,'Inflicts 303 heat damage on target',100,1,0),
(293070,108894,'Inflicts 303 cold damage on target',100,1,1),
(293071,108894,'Slows target by 51.8%',100,1,2),
(293072,10108894,'Inflicts 363 heat damage on target',100,1,0),
(293073,10108894,'Inflicts 363 cold damage on target',100,1,1),
(293074,10108894,'Slows target by 51.8%',100,1,2),
(293075,45347,'Applies Black Warg with Brown Saddle when Activated.',100,0,0),
(293076,45347,'Summons a mount to ride',100,1,1),
(293077,45347,'Increases your ground speed by 130%',100,2,2),
(293078,10045347,'Applies Black Warg with Brown Saddle when Activated.',100,0,0),
(293079,10045347,'Summons a mount to ride',100,1,1),
(293080,10045347,'Increases your ground speed by 130%',100,2,2),
(293081,89034,'Applies Mental Blast when Activated.',100,0,0),
(293082,89034,'Inflicts 89 - 149 mental damage on target',100,1,1),
(293083,89034,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293084,10089034,'Applies Mental Blast when Activated.',100,0,0),
(293085,10089034,'Inflicts 107 - 179 mental damage on target',100,1,1),
(293086,10089034,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293087,110660,'Heals target for 28',100,1,0),
(293088,110660,'Dispels 10 levels of any hostile effects on target',100,1,1),
(293089,10110660,'Heals target for 18',100,1,0),
(293090,10110660,'Dispels 10 levels of any hostile effects on target',100,1,1),
(293091,81467,'When Equipped:',100,0,0),
(293092,81467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293093,81467,'Inflicts 80 - 149 magic damage on target',100,2,2),
(293094,81467,'Cannot be modified except by direct means',100,2,3),
(293095,10081467,'When Equipped:',100,0,0),
(293096,10081467,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293097,10081467,'Inflicts 96 - 179 magic damage on target',100,2,2),
(293098,10081467,'Cannot be modified except by direct means',100,2,3),
(293099,107282,'Inflicts 191 - 318 ranged damage on target',100,1,0),
(293100,107282,'Inflicts 191 - 318 ranged damage on target',100,1,1),
(293101,107282,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(293102,107282,'Stuns target',100,2,3),
(293103,107282,'Throws target back',100,2,4),
(293104,107282,'Blurs vision of target',100,2,5),
(293105,107282,'Does not affect Epic targets',100,2,6),
(293106,107282,'If weapon equipped in Ranged',100,1,7),
(293107,10107282,'Inflicts 143 - 238 ranged damage on target',100,1,0),
(293108,10107282,'Inflicts 143 - 238 ranged damage on target',100,1,1),
(293109,10107282,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(293110,10107282,'Stuns target',100,2,3),
(293111,10107282,'Throws target back',100,2,4),
(293112,10107282,'Blurs vision of target',100,2,5),
(293113,10107282,'Does not affect Epic targets',100,2,6),
(293114,10107282,'If weapon equipped in Ranged',100,1,7),
(293115,102670,'Inflicts 171 divine damage on target encounter',100,1,0),
(293116,10102670,'Inflicts 206 divine damage on target encounter',100,1,0),
(293117,105437,'Increases STR of caster by 228.7',100,1,0),
(293118,105437,'Decreases Defense of caster by 26.2',100,1,1),
(293119,105437,'Increases Slashing, Piercing, Crushing and Disruption of caster by 43.7',100,1,2),
(293120,10105437,'Increases STR of caster by 228.7',100,1,0),
(293121,10105437,'Decreases Defense of caster by 26.2',100,1,1),
(293122,10105437,'Increases Slashing, Piercing, Crushing and Disruption of caster by 43.7',100,1,2),
(293123,74897,'When Equipped:',100,0,0),
(293124,74897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293125,74897,'Inflicts 26 - 40 magic damage on target',100,2,2),
(293126,74897,'Cannot be modified except by direct means',100,2,3),
(293127,10074897,'When Equipped:',100,0,0),
(293128,10074897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293129,10074897,'Inflicts 32 - 48 magic damage on target',100,2,2),
(293130,10074897,'Cannot be modified except by direct means',100,2,3),
(293131,111123,'Heals target for 20.5 - 25.1% of max health',100,1,0),
(293132,111123,'This effect cannot be critically applied.',100,2,1),
(293133,111123,'Increases Mitigation of target vs physical damage by 622',100,1,2),
(293134,111123,'The healing of this spell cannot be modified except by direct means',100,1,3),
(293135,10111123,'Heals target for 7.7 - 9.4% of max health',100,1,0),
(293136,10111123,'This effect cannot be critically applied.',100,2,1),
(293137,10111123,'Increases Mitigation of target vs physical damage by 622',100,1,2),
(293138,10111123,'The healing of this spell cannot be modified except by direct means',100,1,3),
(293139,113951,'Decreases power of target encounter by 33 instantly and every 4 seconds',100,1,0),
(293140,113951,'Increases power of group members (AE) by 21 instantly and every 4 seconds',100,1,1),
(293141,10113951,'Decreases power of target encounter by 33 instantly and every 4 seconds',100,1,0),
(293142,10113951,'Increases power of group members (AE) by 21 instantly and every 4 seconds',100,1,1),
(293143,75495,'When Equipped:',100,0,0),
(293144,75495,'On a critical healing spell cast this spell may cast Shielding Ripple IX on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(293145,75495,'Heals target for 970 - 1072 instantly and every 2 seconds',100,2,2),
(293146,75495,'Wards target against 2500 points of all damage',100,2,3),
(293147,75495,'Must not be engaged in pvp combat',100,2,4),
(293148,75495,'Cannot be modified except by direct means',100,2,5),
(293149,75495,'Must not be engaged in pvp combat',100,1,6),
(293150,10075495,'When Equipped:',100,0,0),
(293151,10075495,'On a critical healing spell cast this spell may cast Shielding Ripple IX on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(293152,10075495,'Heals target for 1134 - 1254 instantly and every 2 seconds',100,2,2),
(293153,10075495,'Wards target against 2500 points of all damage',100,2,3),
(293154,10075495,'Must not be engaged in pvp combat',100,2,4),
(293155,10075495,'Cannot be modified except by direct means',100,2,5),
(293156,10075495,'Must not be engaged in pvp combat',100,1,6),
(293157,179021,'When Equipped:',100,0,0),
(293158,179021,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(293159,179021,'When Equipped:',100,0,2),
(293160,179021,'When damaged this spell has a 10% chance to cast Transposition on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,3),
(293161,179021,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,4),
(293162,179021,'Applies Transposition on termination.',100,2,5),
(293163,179021,'Increases power of group members by 526',100,3,6),
(293164,179021,'Cannot be modified except by direct means',100,2,7),
(293165,179021,'Cannot be modified except by direct means',100,1,8),
(293166,10179021,'When Equipped:',100,0,0),
(293167,10179021,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(293168,10179021,'When Equipped:',100,0,2),
(293169,10179021,'When damaged this spell has a 10% chance to cast Transposition on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,3),
(293170,10179021,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,4),
(293171,10179021,'Applies Transposition on termination.',100,2,5),
(293172,10179021,'Increases power of group members by 526',100,3,6),
(293173,10179021,'Cannot be modified except by direct means',100,2,7),
(293174,10179021,'Cannot be modified except by direct means',100,1,8),
(293175,115444,'Inflicts 48 - 59 mental damage on target instantly and every 6 seconds',100,1,0),
(293176,115444,'Decreases Mitigation of target vs arcane damage by 462',100,1,1),
(293177,10115444,'Inflicts 57 - 70 mental damage on target instantly and every 6 seconds',100,1,0),
(293178,10115444,'Decreases Mitigation of target vs arcane damage by 462',100,1,1),
(293179,112974,'Reduces physical damage done to caster by 5%',100,1,0),
(293180,112974,'Increases STA of caster by 18.5',100,1,1),
(293181,112974,'Adds 4.3% to base avoidance.',100,1,2),
(293182,112974,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(293183,112974,'Increases Defense and Aggression of caster by 2.5',100,1,4),
(293184,112974,'Increases Mitigation of caster vs arcane damage by 215',100,1,5),
(293185,112974,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(293186,10112974,'Reduces physical damage done to caster by 5%',100,1,0),
(293187,10112974,'Increases STA of caster by 18.5',100,1,1),
(293188,10112974,'Adds 4.3% to base avoidance.',100,1,2),
(293189,10112974,'Decreases Slashing, Piercing and Crushing of caster by 1.4',100,1,3),
(293190,10112974,'Increases Defense and Aggression of caster by 2.5',100,1,4),
(293191,10112974,'Increases Mitigation of caster vs arcane damage by 215',100,1,5),
(293192,10112974,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(293193,80562,'When Equipped:',100,0,0),
(293194,80562,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(293195,80562,'Inflicts 80 - 149 magic damage on target',100,2,2),
(293196,80562,'Decreases Threat to target by 352 ',100,2,3),
(293197,80562,'Must be flanking or behind',100,3,4),
(293198,80562,'Increases Threat to target by 617 ',100,2,5),
(293199,80562,'Must be in front of',100,3,6),
(293200,80562,'Cannot be modified except by direct means',100,2,7),
(293201,10080562,'When Equipped:',100,0,0),
(293202,10080562,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(293203,10080562,'Inflicts 96 - 179 magic damage on target',100,2,2),
(293204,10080562,'Cannot be modified except by direct means',100,2,3),
(293205,83984,'Applies Lightning Shock when Activated.',100,0,0),
(293206,83984,'Inflicts 78 - 129 magic damage on target',100,1,1),
(293207,83984,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293208,10083984,'Applies Lightning Shock when Activated.',100,0,0),
(293209,10083984,'Inflicts 93 - 155 magic damage on target',100,1,1),
(293210,10083984,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293211,119271,'Inflicts 46 - 78 slashing damage on target',100,1,0),
(293212,119271,'Decreases Damage Per Second of target by 13.0',100,1,1),
(293213,119271,'Inflicts 63 slashing damage on target instantly and every 4 seconds',100,1,2),
(293214,10119271,'Inflicts 56 - 93 slashing damage on target',100,1,0),
(293215,10119271,'Decreases Damage Per Second of target by 13.0',100,1,1),
(293216,10119271,'Inflicts 75 slashing damage on target instantly and every 4 seconds',100,1,2),
(293217,47204,'Applies Elixir of Renewal  when Activated.',100,0,0),
(293218,47204,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(293219,10047204,'Applies Elixir of Renewal  when Activated.',100,0,0),
(293220,10047204,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(293221,141771,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(293222,141771,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(293223,141771,'Inflicts 22 heat damage on target',100,2,2),
(293224,141771,'Cannot be modified except by direct means',100,2,3),
(293225,10141771,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(293226,10141771,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(293227,10141771,'Inflicts 27 heat damage on target',100,2,2),
(293228,10141771,'Cannot be modified except by direct means',100,2,3),
(293229,101338,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(293230,101338,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,1),
(293231,101338,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,2),
(293232,10101338,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(293233,10101338,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 214',100,1,1),
(293234,10101338,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,2),
(293235,124688,'Inflicts 229 - 279 cold damage on target',100,1,0),
(293236,10124688,'Inflicts 274 - 335 cold damage on target',100,1,0),
(293237,47814,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(293238,47814,'Wards caster against 2600 points of elemental damage',100,1,1),
(293239,10047814,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(293240,10047814,'Wards caster against 2600 points of elemental damage',100,1,1),
(293241,110772,'Heals group members (AE) for 237 - 290 instantly and every 2 seconds',100,1,0),
(293242,10110772,'Heals group members (AE) for 154 - 188 instantly and every 2 seconds',100,1,0),
(293243,108922,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(293244,108922,'Inflicts 17 heat damage on target',100,2,1),
(293245,10108922,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(293246,10108922,'Inflicts 20 heat damage on target',100,2,1),
(293247,117640,'Inflicts 1020 - 1701 ranged damage on target',100,1,0),
(293248,117640,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(293249,117640,'Slows target by 53.0%',100,2,2),
(293250,117640,'5% chance to dispel when target receives hostile action',100,2,3),
(293251,117640,'5% chance to dispel when target takes damage',100,2,4),
(293252,117640,'Must be flanking or behind',100,1,5),
(293253,117640,'Requires bow',100,1,6),
(293254,10117640,'Inflicts 765 - 1275 ranged damage on target',100,1,0),
(293255,10117640,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(293256,10117640,'Slows target by 53.0%',100,2,2),
(293257,10117640,'5% chance to dispel when target receives hostile action',100,2,3),
(293258,10117640,'5% chance to dispel when target takes damage',100,2,4),
(293259,10117640,'Must be flanking or behind',100,1,5),
(293260,10117640,'Requires bow',100,1,6),
(293261,45757,'Applies Vox''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(293262,45757,'Increases AGI of caster by 11.3',100,1,1),
(293263,10045757,'Applies Vox''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(293264,10045757,'Increases AGI of caster by 11.3',100,1,1),
(293265,181473,'When Equipped:',100,0,0),
(293266,181473,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(293267,181473,'Increases power of target by 16',100,2,2),
(293268,181473,'Cannot be modified except by direct means',100,2,3),
(293269,10181473,'When Equipped:',100,0,0),
(293270,10181473,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(293271,10181473,'Increases power of target by 16',100,2,2),
(293272,10181473,'Cannot be modified except by direct means',100,2,3),
(293273,87350,'When Equipped:',100,0,0),
(293274,87350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293275,87350,'Inflicts 99 - 148 magic damage on target',100,2,2),
(293276,87350,'Cannot be modified except by direct means',100,2,3),
(293277,10087350,'When Equipped:',100,0,0),
(293278,10087350,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293279,10087350,'Inflicts 118 - 177 magic damage on target',100,2,2),
(293280,10087350,'Cannot be modified except by direct means',100,2,3),
(293281,120896,'Inflicts 502 - 614 mental damage on target',100,1,0),
(293282,120896,'Stifles target',100,1,1),
(293283,120896,'Epic targets gain an immunity to Stifle effects of 42.0 seconds and duration is reduced to 4.7 seconds.',100,1,2),
(293284,120896,'Resistibility increases against targets higher than level 87.',100,1,3),
(293285,10120896,'Inflicts 603 - 737 mental damage on target',100,1,0),
(293286,10120896,'Stifles target',100,1,1),
(293287,10120896,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(293288,10120896,'Resistibility increases against targets higher than level 87.',100,1,3),
(293289,109919,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(293290,109919,'Inflicts 168 - 206 poison damage on target instantly and every 4 seconds',100,2,1),
(293291,10109919,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(293292,10109919,'Inflicts 202 - 247 poison damage on target instantly and every 4 seconds',100,2,1),
(293293,108126,'Increases Attack Speed of caster by 31.5',100,1,0),
(293294,10108126,'Increases Attack Speed of caster by 31.5',100,1,0),
(293295,122037,'Increases Threat to target by 414 - 506 ',100,1,0),
(293296,122037,'Inflicts 27 - 45 melee damage on target',100,1,1),
(293297,10122037,'Forces target to change their selected target to caster.',100,1,0),
(293298,10122037,'Inflicts 32 - 54 melee damage on target',100,1,1),
(293299,48663,'Applies Blessed Tonic Water  when Activated.',100,0,0),
(293300,48663,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(293301,10048663,'Applies Blessed Tonic Water  when Activated.',100,0,0),
(293302,10048663,'Dispels 58 levels of elemental hostile effects on caster',100,1,1),
(293303,46059,'Applies Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(293304,46059,'Increases STA and STR of caster by 35.2',100,1,1),
(293305,46059,'Only affects targets level 50 and above',100,1,2),
(293306,10046059,'Applies Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(293307,10046059,'Increases STA and STR of caster by 35.2',100,1,1),
(293308,10046059,'Only affects targets level 50 and above',100,1,2),
(293309,141598,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(293310,141598,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(293311,141598,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(293312,141598,'Cannot be modified except by direct means',100,2,3),
(293313,10141598,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(293314,10141598,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(293315,10141598,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(293316,10141598,'Cannot be modified except by direct means',100,2,3),
(293317,37127,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(293318,37127,'Increases Max Health of target by 60.5',100,0,1),
(293319,120560,'Decreases Defense of target by 56.7',100,1,0),
(293320,10120560,'Decreases Defense of target by 56.7',100,1,0),
(293321,86497,'Applies Holy Strike when Activated.',100,0,0),
(293322,86497,'Inflicts 367 - 611 divine damage on target',100,1,1),
(293323,86497,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293324,10086497,'Applies Holy Strike when Activated.',100,0,0),
(293325,10086497,'Inflicts 440 - 734 divine damage on target',100,1,1),
(293326,10086497,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293327,80267,'When Equipped:',100,0,0),
(293328,80267,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(293329,80267,'Inflicts 169 - 314 magic damage on target',100,2,2),
(293330,80267,'Decreases Threat to target by 801 ',100,2,3),
(293331,80267,'Must be flanking or behind',100,3,4),
(293332,80267,'Increases Threat to target by 1,261 ',100,2,5),
(293333,80267,'Must be in front of',100,3,6),
(293334,80267,'Cannot be modified except by direct means',100,2,7),
(293335,10080267,'When Equipped:',100,0,0),
(293336,10080267,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(293337,10080267,'Inflicts 203 - 377 magic damage on target',100,2,2),
(293338,10080267,'Cannot be modified except by direct means',100,2,3),
(293339,124354,'Wards group members (AE) collectively against 526 total points of ',100,1,0),
(293340,10124354,'Wards group members (AE) collectively against 526 total points of ',100,1,0),
(293341,115539,'Increases Mitigation of raid and group members (AE) vs noxious damage by 666',100,1,0);
INSERT INTO `item_effects` VALUES
(293342,10115539,'Increases Mitigation of raid and group members (AE) vs noxious damage by 666',100,1,0),
(293343,75463,'When Equipped:',100,0,0),
(293344,75463,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(293345,75463,'Reduces healing received by 15.00%',100,2,2),
(293346,75463,'Cannot be modified except by direct means',100,2,3),
(293347,75463,'This effect can only trigger once every 1 second.',100,2,4),
(293348,75463,'Must be engaged in pvp combat',100,1,5),
(293349,10075463,'When Equipped:',100,0,0),
(293350,10075463,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(293351,10075463,'Reduces healing received by 15.00%',100,2,2),
(293352,10075463,'Cannot be modified except by direct means',100,2,3),
(293353,10075463,'This effect can only trigger once every 1 second.',100,2,4),
(293354,10075463,'Must be engaged in pvp combat',100,1,5),
(293355,35158,'Increases STR of target by 8.4',100,0,0),
(293356,35158,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(293357,104194,'Increases Threat to target encounter by 1,484 - 1,712 ',100,1,0),
(293358,104194,'Interrupts target encounter',100,1,1),
(293359,10104194,'Forces target encounter to change their selected target to caster.',100,1,0),
(293360,10104194,'Interrupts target encounter',100,1,1),
(293361,10104194,'Prevents target encounter from changing targets',100,1,2),
(293362,100522,'Heals group members (AE) for 130 - 158',100,1,0),
(293363,10100522,'Heals group members (AE) for 157 - 192',100,1,0),
(293364,110617,'Decreases Focus of target by 36.6',100,1,0),
(293365,110617,'Interrupts target',100,1,1),
(293366,110617,'Inflicts 158 - 476 crushing damage on target',100,1,2),
(293367,10110617,'Decreases Focus of target by 36.6',100,1,0),
(293368,10110617,'Interrupts target',100,1,1),
(293369,10110617,'Inflicts 190 - 571 crushing damage on target',100,1,2),
(293370,51470,'When Equipped:',100,0,0),
(293371,51470,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(293372,51470,'Increases Threat to target by 481 ',100,2,2),
(293373,51470,'Cannot be modified except by direct means',100,2,3),
(293374,10051470,'When Equipped:',100,0,0),
(293375,10051470,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(293376,10051470,'Forces target to change their selected target to caster.',100,2,2),
(293377,10051470,'Cannot be modified except by direct means',100,2,3),
(293378,124791,'Increases STR of caster by 78.7',100,1,0),
(293379,124791,'Decreases Defense of caster by 9.6',100,1,1),
(293380,124791,'Increases Crushing, Piercing, Slashing and Disruption of caster by 23.0',100,1,2),
(293381,10124791,'Increases STR of caster by 78.7',100,1,0),
(293382,10124791,'Decreases Defense of caster by 9.6',100,1,1),
(293383,10124791,'Increases Crushing, Piercing, Slashing and Disruption of caster by 23.0',100,1,2),
(293384,101203,'Inflicts 461 - 768 cold damage on target',100,1,0),
(293385,101203,'Inflicts 461 - 768 cold damage on target',100,1,1),
(293386,101203,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,2),
(293387,101203,'Slows target by 77.1%',100,2,3),
(293388,101203,'5% chance to dispel when target receives hostile action',100,2,4),
(293389,101203,'5% chance to dispel when target takes damage',100,2,5),
(293390,101203,'If weapon equipped in Ranged',100,1,6),
(293391,10101203,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(293392,10101203,'Slows target by 77.1%',100,2,1),
(293393,10101203,'5% chance to dispel when target receives hostile action',100,2,2),
(293394,10101203,'5% chance to dispel when target takes damage',100,2,3),
(293395,10101203,'Inflicts 345 - 576 cold damage on target',100,1,4),
(293396,10101203,'Inflicts 345 - 576 cold damage on target',100,1,5),
(293397,10101203,'If weapon equipped in Ranged',100,1,6),
(293398,159245,'Applies Lambent Imbued when Equipped.',100,0,0),
(293399,159245,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(293400,159245,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(293401,159245,'Cannot be modified except by direct means',100,2,3),
(293402,10159245,'Applies Lambent Imbued when Equipped.',100,0,0),
(293403,10159245,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(293404,10159245,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(293405,10159245,'Cannot be modified except by direct means',100,2,3),
(293406,105073,'Inflicts 49 - 67 magic damage on target',100,1,0),
(293407,10105073,'Inflicts 59 - 80 magic damage on target',100,1,0),
(293408,75573,'Applies Disease Blast when Activated.',100,0,0),
(293409,75573,'Inflicts 178 - 297 disease damage on target',100,1,1),
(293410,75573,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293411,10075573,'Applies Disease Blast when Activated.',100,0,0),
(293412,10075573,'Inflicts 214 - 356 disease damage on target',100,1,1),
(293413,10075573,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293414,116478,'Prevents targets in Area of Effect from changing targets',100,1,0),
(293415,116478,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(293416,116478,'Increases Threat to targets in Area of Effect by 205 ',100,1,2),
(293417,10116478,'Prevents targets in Area of Effect from changing targets',100,1,0),
(293418,10116478,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(293419,82308,'When Equipped:',100,0,0),
(293420,82308,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293421,82308,'Inflicts 188 - 349 magic damage on target',100,2,2),
(293422,82308,'Cannot be modified except by direct means',100,2,3),
(293423,10082308,'When Equipped:',100,0,0),
(293424,10082308,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293425,10082308,'Inflicts 226 - 419 magic damage on target',100,2,2),
(293426,10082308,'Cannot be modified except by direct means',100,2,3),
(293427,116179,'Inflicts 94 - 157 mental damage on target',100,1,0),
(293428,10116179,'Inflicts 113 - 188 mental damage on target',100,1,0),
(293429,153842,'When Equipped:',100,0,0),
(293430,153842,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(293431,153842,'Stifles target',100,2,2),
(293432,153842,'Does not affect Epic targets',100,2,3),
(293433,153842,'Resistibility increases against targets higher than level 74.',100,2,4),
(293434,153842,'Cannot be modified except by direct means',100,2,5),
(293435,10153842,'When Equipped:',100,0,0),
(293436,10153842,'When any damage is received this spell has a 5% chance to cast Choke on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(293437,10153842,'Stifles target',100,2,2),
(293438,10153842,'Does not affect Epic targets',100,2,3),
(293439,10153842,'Resistibility increases against targets higher than level 74.',100,2,4),
(293440,10153842,'Cannot be modified except by direct means',100,2,5),
(293441,100947,'Inflicts 175 - 214 mental damage on target',100,1,0),
(293442,100947,'Dazes target',100,1,1),
(293443,100947,'Epic targets gain an immunity to Daze effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(293444,100947,'Resistibility increases against targets higher than level 68.',100,1,3),
(293445,10100947,'Inflicts 210 - 256 mental damage on target',100,1,0),
(293446,10100947,'Dazes target',100,1,1),
(293447,10100947,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(293448,10100947,'Resistibility increases against targets higher than level 68.',100,1,3),
(293449,87231,'When Equipped:',100,0,0),
(293450,87231,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293451,87231,'Inflicts 51 - 76 magic damage on target',100,2,2),
(293452,87231,'Cannot be modified except by direct means',100,2,3),
(293453,10087231,'When Equipped:',100,0,0),
(293454,10087231,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293455,10087231,'Inflicts 61 - 91 magic damage on target',100,2,2),
(293456,10087231,'Cannot be modified except by direct means',100,2,3),
(293457,100110,'Decreases STR, AGI, WIS and INT of target by 25.9',100,1,0),
(293458,100110,'Decreases Max Health of target by 1.0%',100,1,1),
(293459,10100110,'Decreases STR, AGI, WIS and INT of target by 25.9',100,1,0),
(293460,10100110,'Decreases Max Health of target by 1.0%',100,1,1),
(293461,36141,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(293462,36141,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(293463,46677,'Applies Immaterial Ingenuity when Activated.  Lasts for 15 minutes.',100,0,0),
(293464,46677,'On any combat or spell hit this spell may cast Immaterial Ingenuity on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(293465,46677,'Inflicts 216 mental damage on target',100,2,2),
(293466,46677,'Decreases power of target by 216',100,2,3),
(293467,46677,'Cannot be modified except by direct means',100,2,4),
(293468,10046677,'Applies Immaterial Ingenuity when Activated.  Lasts for 15 minutes.',100,0,0),
(293469,10046677,'On any combat or spell hit this spell may cast Immaterial Ingenuity on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(293470,10046677,'Inflicts 259 mental damage on target',100,2,2),
(293471,10046677,'Decreases power of target by 216',100,2,3),
(293472,10046677,'Cannot be modified except by direct means',100,2,4),
(293473,121913,'Inflicts 122 - 204 mental damage on target encounter',100,1,0),
(293474,121913,'Increases power of group members (AE) by 100 - 167',100,1,1),
(293475,10121913,'Inflicts 147 - 245 mental damage on target encounter',100,1,0),
(293476,10121913,'Increases power of group members (AE) by 100 - 167',100,1,1),
(293477,80802,'When Equipped:',100,0,0),
(293478,80802,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293479,80802,'Inflicts 175 - 324 magic damage on target',100,2,2),
(293480,80802,'Cannot be modified except by direct means',100,2,3),
(293481,10080802,'When Equipped:',100,0,0),
(293482,10080802,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293483,10080802,'Inflicts 209 - 389 magic damage on target',100,2,2),
(293484,10080802,'Cannot be modified except by direct means',100,2,3),
(293485,112884,'Inflicts 212 - 259 melee damage on target',100,1,0),
(293486,112884,'Decreases Mitigation of target vs physical damage by 264',100,1,1),
(293487,112884,'Must be flanking or behind',100,1,2),
(293488,10112884,'Inflicts 255 - 311 melee damage on target',100,1,0),
(293489,10112884,'Decreases Mitigation of target vs physical damage by 264',100,1,1),
(293490,10112884,'Must be flanking or behind',100,1,2),
(293491,121901,'Inflicts 65 - 109 mental damage on target encounter',100,1,0),
(293492,121901,'Increases power of group members (AE) by 53 - 88',100,1,1),
(293493,10121901,'Inflicts 78 - 131 mental damage on target encounter',100,1,0),
(293494,10121901,'Increases power of group members (AE) by 53 - 88',100,1,1),
(293495,82905,'When Equipped:',100,0,0),
(293496,82905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293497,82905,'Inflicts 205 - 381 magic damage on target',100,2,2),
(293498,82905,'Cannot be modified except by direct means',100,2,3),
(293499,10082905,'When Equipped:',100,0,0),
(293500,10082905,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293501,10082905,'Inflicts 246 - 457 magic damage on target',100,2,2),
(293502,10082905,'Cannot be modified except by direct means',100,2,3),
(293503,35330,'Increases WIS of target by 12.7',100,0,0),
(293504,35330,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(293505,84621,'When Equipped:',100,0,0),
(293506,84621,'On a critical combat hit this spell may cast Mindsieve III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(293507,84621,'Inflicts 144 - 160 mental damage on target',100,2,2),
(293508,84621,'Increases power of caster by 19',100,2,3),
(293509,84621,'Must not be engaged in pvp combat',100,2,4),
(293510,84621,'Cannot be modified except by direct means',100,2,5),
(293511,84621,'On a critical spell hit this spell may cast Mindsieve III on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(293512,84621,'Inflicts 144 - 160 mental damage on target',100,2,7),
(293513,84621,'Increases power of caster by 19',100,2,8),
(293514,84621,'Must not be engaged in pvp combat',100,2,9),
(293515,84621,'Cannot be modified except by direct means',100,2,10),
(293516,84621,'Must not be engaged in pvp combat',100,1,11),
(293517,10084621,'When Equipped:',100,0,0),
(293518,10084621,'On a critical combat hit this spell may cast Mindsieve III on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(293519,10084621,'Inflicts 173 - 192 mental damage on target',100,2,2),
(293520,10084621,'Increases power of caster by 19',100,2,3),
(293521,10084621,'Must not be engaged in pvp combat',100,2,4),
(293522,10084621,'Cannot be modified except by direct means',100,2,5),
(293523,10084621,'On a critical spell hit this spell may cast Mindsieve III on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(293524,10084621,'Inflicts 173 - 192 mental damage on target',100,2,7),
(293525,10084621,'Increases power of caster by 19',100,2,8),
(293526,10084621,'Must not be engaged in pvp combat',100,2,9),
(293527,10084621,'Cannot be modified except by direct means',100,2,10),
(293528,10084621,'Must not be engaged in pvp combat',100,1,11),
(293529,112985,'Reduces physical damage done to caster by 5%',100,1,0),
(293530,112985,'Increases STA of caster by 43.7',100,1,1),
(293531,112985,'Adds 2.9% to base avoidance.',100,1,2),
(293532,112985,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(293533,112985,'Increases Defense and Aggression of caster by 8.6',100,1,4),
(293534,112985,'Increases Mitigation of caster vs arcane damage by 570',100,1,5),
(293535,112985,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(293536,10112985,'Reduces physical damage done to caster by 5%',100,1,0),
(293537,10112985,'Increases STA of caster by 43.7',100,1,1),
(293538,10112985,'Adds 2.9% to base avoidance.',100,1,2),
(293539,10112985,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(293540,10112985,'Increases Defense and Aggression of caster by 8.6',100,1,4),
(293541,10112985,'Increases Mitigation of caster vs arcane damage by 570',100,1,5),
(293542,10112985,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(293543,109744,'Inflicts 597 - 995 cold damage on target',100,1,0),
(293544,109744,'If weapon equipped in Ranged',100,1,1),
(293545,10109744,'Inflicts 447 - 746 cold damage on target',100,1,0),
(293546,10109744,'If weapon equipped in Ranged',100,1,1),
(293547,107581,'Dazes target encounter',100,1,0),
(293548,107581,'Inflicts 191 - 233 mental damage on target encounter',100,1,1),
(293549,107581,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(293550,107581,'Resistibility increases against targets higher than level 68.',100,1,3),
(293551,10107581,'Inflicts 229 - 280 mental damage on target encounter',100,1,0),
(293552,10107581,'Dazes target encounter',100,1,1),
(293553,10107581,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(293554,10107581,'Resistibility increases against targets higher than level 68.',100,1,3),
(293555,117280,'Inflicts 139 - 232 melee damage on target',100,1,0),
(293556,117280,'Decreases Damage Per Second of target by 10.4',100,1,1),
(293557,117280,'Decreases Attack Speed of target by 8.4',100,1,2),
(293558,10117280,'Inflicts 167 - 278 melee damage on target',100,1,0),
(293559,10117280,'Decreases Damage Per Second of target by 10.4',100,1,1),
(293560,10117280,'Decreases Attack Speed of target by 8.4',100,1,2),
(293561,101432,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(293562,101432,'Increases Mitigation of group members (AE) vs noxious damage by 280',100,1,1),
(293563,10101432,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(293564,10101432,'Increases Mitigation of group members (AE) vs noxious damage by 280',100,1,1),
(293565,25350,'When Equipped:',100,0,0),
(293566,25350,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(293567,25350,'Improves the reuse time of Consumption III by 30 seconds.',100,1,2),
(293568,10025350,'When Equipped:',100,0,0),
(293569,10025350,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(293570,10025350,'Improves the reuse time of Consumption III by 30 seconds.',100,1,2),
(293571,82850,'When Equipped:',100,0,0),
(293572,82850,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293573,82850,'Inflicts 228 - 423 magic damage on target',100,2,2),
(293574,82850,'Cannot be modified except by direct means',100,2,3),
(293575,10082850,'When Equipped:',100,0,0),
(293576,10082850,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293577,10082850,'Inflicts 273 - 508 magic damage on target',100,2,2),
(293578,10082850,'Cannot be modified except by direct means',100,2,3),
(293579,110364,'Increases STR and AGI of group members (AE) by 22.6',100,1,0),
(293580,110364,'Adds 1.9% to base avoidance.',100,1,1),
(293581,10110364,'Increases STR and AGI of group members (AE) by 22.6',100,1,0),
(293582,10110364,'Adds 1.9% to base avoidance.',100,1,1),
(293583,119255,'Inflicts 8 - 13 slashing damage on target',100,1,0),
(293584,119255,'Decreases Damage Per Second of target by 6.3',100,1,1),
(293585,119255,'Inflicts 11 slashing damage on target instantly and every 4 seconds',100,1,2),
(293586,10119255,'Inflicts 9 - 16 slashing damage on target',100,1,0),
(293587,10119255,'Decreases Damage Per Second of target by 6.3',100,1,1),
(293588,10119255,'Inflicts 13 slashing damage on target instantly and every 4 seconds',100,1,2),
(293589,103747,'Inflicts 1257 - 1537 magic damage on targets in Area of Effect',100,1,0),
(293590,10103747,'Inflicts 1509 - 1844 magic damage on targets in Area of Effect',100,1,0),
(293591,81399,'When Equipped:',100,0,0),
(293592,81399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293593,81399,'Inflicts 72 - 134 magic damage on target',100,2,2),
(293594,81399,'Cannot be modified except by direct means',100,2,3),
(293595,10081399,'When Equipped:',100,0,0),
(293596,10081399,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293597,10081399,'Inflicts 87 - 161 magic damage on target',100,2,2),
(293598,10081399,'Cannot be modified except by direct means',100,2,3),
(293599,100970,'Increases Threat to target by 321 - 392 ',100,1,0),
(293600,100970,'Interrupts target',100,1,1),
(293601,10100970,'Interrupts target',100,1,0),
(293602,83941,'When Equipped:',100,0,0),
(293603,83941,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(293604,83941,'Reduces healing received by 15.00%',100,2,2),
(293605,83941,'Cannot be modified except by direct means',100,2,3),
(293606,83941,'This effect can only trigger once every 1 second.',100,2,4),
(293607,83941,'Must be engaged in pvp combat',100,1,5),
(293608,10083941,'When Equipped:',100,0,0),
(293609,10083941,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(293610,10083941,'Reduces healing received by 15.00%',100,2,2),
(293611,10083941,'Cannot be modified except by direct means',100,2,3),
(293612,10083941,'This effect can only trigger once every 1 second.',100,2,4),
(293613,10083941,'Must be engaged in pvp combat',100,1,5),
(293614,45630,'Applies Elixir of Refinement  when Activated.  Lasts for 15 minutes.',100,0,0),
(293615,45630,'Increases Max Health of caster by 130.0',100,1,1),
(293616,10045630,'Applies Elixir of Refinement  when Activated.  Lasts for 15 minutes.',100,0,0),
(293617,10045630,'Increases Max Health of caster by 130.0',100,1,1),
(293618,100472,'Decreases Hate Gain of group members (AE) by 18.6%',100,1,0),
(293619,100472,'If not fighter',100,2,1),
(293620,100472,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,2),
(293621,100472,'Decreases Threat to target by 66 ',100,2,3),
(293622,100472,'If not fighter',100,2,4),
(293623,10100472,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,0),
(293624,10100472,'Inflicts 36 - 40 crushing damage on target',100,2,1),
(293625,10100472,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,2),
(293626,10100472,'If not fighter',100,2,3),
(293627,10100472,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(293628,10100472,'If not fighter',100,2,5),
(293629,10100472,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(293630,10100472,'If not fighter',100,2,7),
(293631,10100472,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(293632,10100472,'If not fighter',100,2,9),
(293633,171091,'When Equipped:',100,0,0),
(293634,171091,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(293635,171091,'Inflicts 1199 disease damage on target encounter',100,2,2),
(293636,171091,'Must not be engaged in pvp combat',100,2,3),
(293637,171091,'Cannot be modified except by direct means',100,2,4),
(293638,10171091,'When Equipped:',100,0,0),
(293639,10171091,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(293640,10171091,'Inflicts 719 disease damage on target encounter',100,2,2),
(293641,10171091,'Must not be engaged in pvp combat',100,2,3),
(293642,10171091,'Cannot be modified except by direct means',100,2,4),
(293643,103767,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 4.9',100,1,0),
(293644,10103767,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 4.9',100,1,0),
(293645,116659,'Heals group members (AE) for 28 - 34',100,1,0),
(293646,116659,'This effect cannot be critically applied.',100,2,1),
(293647,116659,'Increases Max Health of group members (AE) by 21.1',100,1,2),
(293648,116659,'The healing of this spell cannot be modified except by direct means',100,1,3),
(293649,10116659,'Heals group members (AE) for 9 - 11',100,1,0),
(293650,10116659,'This effect cannot be critically applied.',100,2,1),
(293651,10116659,'Increases Max Health of group members (AE) by 21.1',100,1,2),
(293652,10116659,'The healing of this spell cannot be modified except by direct means',100,1,3),
(293653,110461,'Dazes targets in Area of Effect',100,1,0),
(293654,110461,'If Target is not Epic',100,2,1),
(293655,110461,'Decreases Threat to targets in Area of Effect by 2,861 ',100,1,2),
(293656,110461,'Dispelled when target receives hostile action',100,1,3),
(293657,110461,'Dispelled when target takes damage',100,1,4),
(293658,10110461,'Dazes targets in Area of Effect',100,1,0),
(293659,10110461,'If Target is not Epic',100,2,1),
(293660,10110461,'Applies Distract.',100,1,2),
(293661,10110461,'Forces target to clear their selected target.',100,2,3),
(293662,10110461,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(293663,10110461,'Dispelled when target receives hostile action',100,1,5),
(293664,10110461,'Dispelled when target takes damage',100,1,6),
(293665,181419,'Applies Spectral Infusion when Activated.  Lasts for 20.0 seconds.',100,0,0),
(293666,181419,'Shapechanges caster into a Spectre',100,1,1),
(293667,181419,'On a critical spell hit this spell will cast Spectral Infusion on target of spell.  ',100,1,2),
(293668,181419,'Inflicts 1350 magic damage on target',100,2,3),
(293669,181419,'Heals caster for 583',100,2,4),
(293670,181419,'Cannot be modified except by direct means',100,2,5),
(293671,181419,'On a critical combat hit this spell will cast Spectral Infusion on target of attack.  ',100,1,6),
(293672,181419,'Inflicts 1350 magic damage on target',100,2,7),
(293673,181419,'Heals caster for 583',100,2,8),
(293674,181419,'Cannot be modified except by direct means',100,2,9),
(293675,181419,'The reuse time of Spectral Infusion is 20 minutes',100,1,10),
(293676,10181419,'Applies Spectral Infusion when Activated.  Lasts for 20.0 seconds.',100,0,0),
(293677,10181419,'Shapechanges caster into a Spectre',100,1,1),
(293678,10181419,'On a critical spell hit this spell will cast Spectral Infusion on target of spell.  ',100,1,2),
(293679,10181419,'Inflicts 405 magic damage on target',100,2,3),
(293680,10181419,'Heals caster for 213',100,2,4),
(293681,10181419,'Cannot be modified except by direct means',100,2,5),
(293682,10181419,'On a critical combat hit this spell will cast Spectral Infusion on target of attack.  ',100,1,6),
(293683,10181419,'Inflicts 405 magic damage on target',100,2,7),
(293684,10181419,'Heals caster for 213',100,2,8),
(293685,10181419,'Cannot be modified except by direct means',100,2,9),
(293686,10181419,'The reuse time of Spectral Infusion is 20 minutes',100,1,10),
(293687,178873,'When Equipped:',100,0,0),
(293688,178873,'Reduces the reuse timers of all combat arts by 5%.',100,1,1),
(293689,10178873,'When Equipped:',100,0,0),
(293690,10178873,'Reduces the reuse timers of all combat arts by 5%.',100,1,1),
(293691,104147,'Roots target',100,1,0),
(293692,104147,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(293693,104147,'Makes target afraid',100,2,2),
(293694,104147,'Slows target by 31.2%',100,2,3),
(293695,104147,'30% chance to dispel when target takes damage',100,2,4),
(293696,104147,'Resistibility increases against targets higher than level 102.',100,2,5),
(293697,104147,'15% chance to dispel when target takes damage',100,1,6),
(293698,104147,'Does not affect Epic targets',100,1,7),
(293699,104147,'Resistibility increases against targets higher than level 102.',100,1,8),
(293700,10104147,'Roots target',100,1,0),
(293701,10104147,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(293702,10104147,'Makes target afraid',100,2,2),
(293703,10104147,'Slows target by 31.2%',100,2,3),
(293704,10104147,'30% chance to dispel when target takes damage',100,2,4),
(293705,10104147,'Resistibility increases against targets higher than level 102.',100,2,5),
(293706,10104147,'15% chance to dispel when target takes damage',100,1,6),
(293707,10104147,'Does not affect Epic targets',100,1,7),
(293708,10104147,'Resistibility increases against targets higher than level 102.',100,1,8),
(293709,100455,'Inflicts 51 - 85 mental damage on target encounter',100,1,0),
(293710,10100455,'Inflicts 61 - 102 mental damage on target encounter',100,1,0),
(293711,117426,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(293712,117426,'Inflicts 150 - 279 melee damage on targets in area',100,2,1),
(293713,117426,'Grants a total of 10 triggers of the spell.',100,2,2),
(293714,10117426,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(293715,10117426,'Inflicts 180 - 335 melee damage on targets in area',100,2,1),
(293716,10117426,'Grants a total of 10 triggers of the spell.',100,2,2),
(293717,118585,'Roots target',100,1,0),
(293718,118585,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(293719,118585,'Slows target by 50.2%',100,2,2),
(293720,118585,'5% chance to dispel when target receives hostile action',100,2,3),
(293721,118585,'5% chance to dispel when target takes damage',100,2,4),
(293722,118585,'5% chance to dispel when target takes damage',100,1,5),
(293723,118585,'Does not affect Epic targets',100,1,6),
(293724,118585,'Resistibility increases against targets higher than level 36.',100,1,7),
(293725,10118585,'Roots target',100,1,0),
(293726,10118585,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(293727,10118585,'Slows target by 50.2%',100,2,2),
(293728,10118585,'5% chance to dispel when target receives hostile action',100,2,3),
(293729,10118585,'5% chance to dispel when target takes damage',100,2,4),
(293730,10118585,'5% chance to dispel when target takes damage',100,1,5),
(293731,10118585,'Does not affect Epic targets',100,1,6),
(293732,10118585,'Resistibility increases against targets higher than level 36.',100,1,7),
(293733,110486,'Stifles caster',100,1,0),
(293734,110486,'Increases power of caster by 27 instantly and every second',100,1,1),
(293735,10110486,'Stifles caster',100,1,0),
(293736,10110486,'Increases power of caster by 27 instantly and every second',100,1,1),
(293737,112415,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 37% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(293738,112415,'If over 50% Health',100,2,1),
(293739,112415,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 37% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(293740,112415,'If at 50% Health or less',100,2,3),
(293741,10112415,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 37% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(293742,10112415,'If over 50% Health',100,2,1),
(293743,10112415,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 37% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(293744,10112415,'If at 50% Health or less',100,2,3),
(293745,131664,'When Equipped:',100,0,0),
(293746,131664,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(293747,131664,'When Equipped:',100,0,2),
(293748,131664,'Reduces cast time of beneficial spells by 5 percent.',100,1,3),
(293749,10131664,'When Equipped:',100,0,0),
(293750,10131664,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(293751,10131664,'When Equipped:',100,0,2),
(293752,10131664,'Reduces cast time of beneficial spells by 5 percent.',100,1,3),
(293753,40391,'When Equipped:',100,0,0),
(293754,40391,'On a critical combat hit this spell may cast Flying Fist on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(293755,40391,'Stifles target',100,2,2),
(293756,40391,'If Target is not Epic',100,3,3),
(293757,40391,'Inflicts 29 - 32 heat damage on target',100,2,4),
(293758,40391,'Increases Threat to target by 166 - 183 ',100,2,5),
(293759,40391,'Must not be engaged in pvp combat',100,2,6),
(293760,40391,'Cannot be modified except by direct means',100,2,7),
(293761,40391,'Must not be engaged in pvp combat',100,1,8),
(293762,10040391,'When Equipped:',100,0,0),
(293763,10040391,'On a critical combat hit this spell may cast Flying Fist on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(293764,10040391,'Stifles target',100,2,2),
(293765,10040391,'If Target is not Epic',100,3,3),
(293766,10040391,'Inflicts 34 - 38 heat damage on target',100,2,4),
(293767,10040391,'Must not be engaged in pvp combat',100,2,5),
(293768,10040391,'Cannot be modified except by direct means',100,2,6),
(293769,10040391,'Must not be engaged in pvp combat',100,1,7),
(293770,81223,'When Equipped:',100,0,0),
(293771,81223,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(293772,81223,'Inflicts 111 - 205 magic damage on target',100,2,2),
(293773,81223,'Decreases Threat to target by 376 ',100,2,3),
(293774,81223,'Must be flanking or behind',100,3,4),
(293775,81223,'Increases Threat to target by 658 ',100,2,5),
(293776,81223,'Must be in front of',100,3,6),
(293777,81223,'Cannot be modified except by direct means',100,2,7),
(293778,10081223,'When Equipped:',100,0,0),
(293779,10081223,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(293780,10081223,'Inflicts 133 - 246 magic damage on target',100,2,2),
(293781,10081223,'Cannot be modified except by direct means',100,2,3),
(293782,114248,'Inflicts 361 - 441 mental damage on target',100,1,0),
(293783,114248,'Stuns target',100,1,1),
(293784,114248,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(293785,114248,'Resistibility increases against targets higher than level 98.',100,1,3),
(293786,10114248,'Inflicts 433 - 529 mental damage on target',100,1,0),
(293787,10114248,'Requires not being affected by Mesmerize effects.',100,2,1),
(293788,10114248,'Stuns target',100,1,2),
(293789,10114248,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(293790,10114248,'Resistibility increases against targets higher than level 98.',100,1,4),
(293791,139278,'When Equipped:',100,0,0),
(293792,139278,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(293793,10139278,'When Equipped:',100,0,0),
(293794,10139278,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(293795,87608,'Applies Mental Blast when Activated.',100,0,0),
(293796,87608,'Inflicts 129 - 215 mental damage on target',100,1,1),
(293797,87608,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293798,10087608,'Applies Mental Blast when Activated.',100,0,0),
(293799,10087608,'Inflicts 155 - 258 mental damage on target',100,1,1),
(293800,10087608,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(293801,121085,'Increases STR and STA of group members (AE) by 110.9',100,1,0),
(293802,10121085,'Increases STR and STA of group members (AE) by 110.9',100,1,0),
(293803,170248,'When Equipped:',100,0,0),
(293804,170248,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(293805,170248,'Inflicts 562 mental damage on target',100,2,2),
(293806,170248,'Must be classified as an undead',100,3,3),
(293807,170248,'Inflicts 281 mental damage on target',100,2,4),
(293808,170248,'Must not be classified as an undead',100,3,5),
(293809,170248,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(293810,170248,'Must be classified as an undead',100,3,7),
(293811,170248,'Cannot be modified except by direct means',100,2,8),
(293812,170248,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(293813,10170248,'When Equipped:',100,0,0),
(293814,10170248,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(293815,10170248,'Inflicts 674 mental damage on target',100,2,2),
(293816,10170248,'Must be classified as an undead',100,3,3),
(293817,10170248,'Inflicts 337 mental damage on target',100,2,4),
(293818,10170248,'Must not be classified as an undead',100,3,5),
(293819,10170248,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(293820,10170248,'Must be classified as an undead',100,3,7),
(293821,10170248,'Cannot be modified except by direct means',100,2,8),
(293822,10170248,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(293823,101832,'Summons a limited pet to aid the caster',100,1,0),
(293824,10101832,'Summons a limited pet to aid the caster',100,1,0),
(293825,179479,'When Equipped:',100,0,0),
(293826,179479,'On a combat hit this spell may cast Infuriating Shout IV on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(293827,179479,'Increases Threat to target by 1,050 ',100,2,2),
(293828,179479,'Cannot be modified except by direct means',100,2,3),
(293829,10179479,'When Equipped:',100,0,0),
(293830,10179479,'On a combat hit this spell may cast Infuriating Shout IV on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(293831,10179479,'Prevents target from changing targets',100,2,2),
(293832,10179479,'Forces target to change their selected target to caster.',100,2,3),
(293833,10179479,'Cannot be modified except by direct means',100,2,4),
(293834,124511,'Increases AGI and WIS of group members (AE) by 20.4',100,1,0),
(293835,10124511,'Increases AGI and WIS of group members (AE) by 20.4',100,1,0),
(293836,41423,'When Equipped:',100,0,0),
(293837,41423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293838,41423,'Inflicts 50 - 93 magic damage on target',100,2,2),
(293839,41423,'Cannot be modified except by direct means',100,2,3),
(293840,10041423,'When Equipped:',100,0,0),
(293841,10041423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(293842,10041423,'Inflicts 60 - 111 magic damage on target',100,2,2),
(293843,10041423,'Cannot be modified except by direct means',100,2,3),
(293844,164581,'Applies Unstable Magics when Equipped.',100,0,0),
(293845,164581,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(293846,10164581,'Applies Unstable Magics when Equipped.',100,0,0),
(293847,10164581,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(293848,117894,'On a melee hit this spell will cast Reinforcement on target of attack.  ',100,1,0),
(293849,117894,'Increases threat priority of target by 1 position',100,2,1),
(293850,117894,'Increases Threat to target by 1,071 ',100,2,2),
(293851,10117894,'On a melee hit this spell will cast Reinforcement on target of attack.  Lasts for 3.0 seconds.  ',100,1,0),
(293852,10117894,'Prevents target from changing targets',100,2,1),
(293853,10117894,'Forces target to change their selected target to caster.',100,2,2),
(293854,114022,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(293855,114022,'Heals target for 20 instantly and every 2 seconds',100,2,1),
(293856,114022,'Decreases Mitigation of target vs arcane damage by 437',100,1,2),
(293857,10114022,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(293858,10114022,'Heals target for 65 instantly and every 2 seconds',100,2,1),
(293859,10114022,'Decreases Mitigation of target vs arcane damage by 437',100,1,2),
(293860,100147,'Inflicts 82 - 100 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(293861,100147,'Decreases Mitigation of target encounter vs noxious damage by 840',100,1,1),
(293862,10100147,'Inflicts 98 - 120 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(293863,10100147,'Decreases Mitigation of target encounter vs noxious damage by 840',100,1,1),
(293864,109355,'Stuns target',100,1,0),
(293865,109355,'If Target is not Epic',100,2,1),
(293866,109355,'Inflicts 155 - 189 cold damage on target',100,1,2),
(293867,109355,'Resistibility increases against targets higher than level 45.',100,1,3),
(293868,10109355,'Stuns target',100,1,0),
(293869,10109355,'If Target is not Epic',100,2,1),
(293870,10109355,'Inflicts 186 - 227 cold damage on target',100,1,2),
(293871,10109355,'Resistibility increases against targets higher than level 45.',100,1,3),
(293872,159509,'When Equipped:',100,0,0),
(293873,159509,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(293874,159509,'Increases STA of caster by 5.8',100,2,2),
(293875,159509,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(293876,159509,'Cannot be modified except by direct means',100,2,4),
(293877,10159509,'When Equipped:',100,0,0),
(293878,10159509,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(293879,10159509,'Increases STA of caster by 5.8',100,2,2),
(293880,10159509,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(293881,10159509,'Cannot be modified except by direct means',100,2,4),
(293882,122739,'Applies Tranquil Healing.',100,1,0),
(293883,122739,'Heals target for 657',100,2,1),
(293884,122739,'Dispels 95 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(293885,122739,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(293886,122739,'Heals target for 657',100,3,4),
(293887,10122739,'Applies Tranquil Healing.',100,1,0),
(293888,10122739,'Heals target for 264',100,2,1),
(293889,10122739,'Dispels 95 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(293890,10122739,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(293891,10122739,'Heals target for 264',100,3,4),
(293892,48870,'Applies Translucent Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(293893,48870,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(293894,48870,'Only affects targets level 50 and above',100,1,2),
(293895,10048870,'Applies Translucent Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(293896,10048870,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(293897,10048870,'Only affects targets level 50 and above',100,1,2),
(293898,103497,'Increases In-Combat Power Regeneration of group members (AE) by 55.3',100,1,0),
(293899,10103497,'Increases In-Combat Power Regeneration of group members (AE) by 55.3',100,1,0),
(293900,177580,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(293901,177580,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(293902,177580,'Inflicts 65 heat damage on target',100,2,2),
(293903,177580,'Cannot be modified except by direct means',100,2,3),
(293904,10177580,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(293905,10177580,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(293906,10177580,'Inflicts 78 heat damage on target',100,2,2),
(293907,10177580,'Cannot be modified except by direct means',100,2,3),
(293908,159601,'When Equipped:',100,0,0),
(293909,159601,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(293910,159601,'Increases INT of caster by 19.3',100,2,2),
(293911,159601,'Increases Focus, Disruption and Subjugation of caster by 10.9',100,2,3),
(293912,159601,'Cannot be modified except by direct means',100,2,4),
(293913,10159601,'When Equipped:',100,0,0),
(293914,10159601,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(293915,10159601,'Increases INT of caster by 19.3',100,2,2),
(293916,10159601,'Increases Focus, Disruption and Subjugation of caster by 10.9',100,2,3),
(293917,10159601,'Cannot be modified except by direct means',100,2,4),
(293918,35547,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(293919,119406,'Inflicts 65 - 108 melee damage on target',100,1,0),
(293920,119406,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(293921,119406,'Stuns target',100,2,2),
(293922,119406,'Throws target back',100,2,3),
(293923,119406,'Blurs vision of target',100,2,4),
(293924,119406,'Does not affect Epic targets',100,2,5),
(293925,119406,'You must be sneaking to use this ability.',100,1,6),
(293926,10119406,'Inflicts 78 - 130 melee damage on target',100,1,0),
(293927,10119406,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(293928,10119406,'Stuns target',100,2,2),
(293929,10119406,'Throws target back',100,2,3),
(293930,10119406,'Blurs vision of target',100,2,4),
(293931,10119406,'Does not affect Epic targets',100,2,5),
(293932,10119406,'You must be sneaking to use this ability.',100,1,6),
(293933,106622,'Inflicts 350 - 428 disease damage on target',100,1,0),
(293934,106622,'Heals caster for 7.6 - 9.2% of max health',100,1,1),
(293935,106622,'This effect cannot be critically applied.',100,2,2),
(293936,106622,'The healing of this spell cannot be modified except by direct means',100,1,3),
(293937,10106622,'Inflicts 420 - 514 disease damage on target',100,1,0),
(293938,10106622,'Heals caster for 2.5 - 3.1% of max health',100,1,1),
(293939,10106622,'This effect cannot be critically applied.',100,2,2),
(293940,10106622,'The healing of this spell cannot be modified except by direct means',100,1,3),
(293941,170663,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(293942,170663,'Decreases Attack Speed of target by 14.0',100,1,1),
(293943,170663,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(293944,10170663,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(293945,10170663,'Decreases Attack Speed of target by 14.0',100,1,1),
(293946,10170663,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(293947,36142,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(293948,36142,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,1),
(293949,110854,'Inflicts 577 - 781 mental damage on target',100,1,0),
(293950,110854,'Interrupts target',100,1,1),
(293951,10110854,'Inflicts 692 - 937 mental damage on target',100,1,0),
(293952,10110854,'Interrupts target',100,1,1),
(293953,115146,'Heals target for 13 - 16',100,1,0),
(293954,10115146,'Heals target for 18 - 21',100,1,0),
(293955,153957,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(293956,153957,'Decreases Attack Speed of target by 13.2',100,1,1),
(293957,153957,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(293958,10153957,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(293959,10153957,'Decreases Attack Speed of target by 13.2',100,1,1),
(293960,10153957,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(293961,115858,'Inflicts 383 - 639 mental damage on target encounter',100,1,0),
(293962,115858,'Interrupts target encounter',100,1,1),
(293963,10115858,'Inflicts 460 - 767 mental damage on target encounter',100,1,0),
(293964,10115858,'Interrupts target encounter',100,1,1),
(293965,106542,'Inflicts 224 - 274 melee damage on target',100,1,0),
(293966,106542,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(293967,106542,'Increases Hate Gain of target by 30.0%',100,2,2),
(293968,106542,'Grants a total of 1 trigger of the spell.',100,2,3),
(293969,10106542,'Inflicts 269 - 328 melee damage on target',100,1,0),
(293970,10106542,'25% chance to apply Distract on termination.',100,1,1),
(293971,10106542,'Forces target to clear their selected target.',100,2,2),
(293972,75535,'When Equipped:',100,0,0),
(293973,75535,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(293974,75535,'Reduces healing received by 15.00%',100,2,2),
(293975,75535,'Cannot be modified except by direct means',100,2,3),
(293976,75535,'This effect can only trigger once every 1 second.',100,2,4),
(293977,75535,'Must be engaged in pvp combat',100,1,5),
(293978,75535,'When Equipped:',100,0,6),
(293979,75535,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(293980,75535,'Inflicts 2648 poison damage on target',100,2,8),
(293981,75535,'Cannot be modified except by direct means',100,2,9),
(293982,10075535,'When Equipped:',100,0,0),
(293983,10075535,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(293984,10075535,'Reduces healing received by 15.00%',100,2,2),
(293985,10075535,'Cannot be modified except by direct means',100,2,3),
(293986,10075535,'This effect can only trigger once every 1 second.',100,2,4),
(293987,10075535,'Must be engaged in pvp combat',100,1,5),
(293988,10075535,'When Equipped:',100,0,6),
(293989,10075535,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(293990,10075535,'Inflicts 1589 poison damage on target',100,2,8),
(293991,10075535,'Cannot be modified except by direct means',100,2,9),
(293992,100500,'Increases Attack Speed of group members (AE) by 20.6',100,1,0),
(293993,10100500,'Increases Attack Speed of group members (AE) by 20.6',100,1,0),
(293994,120835,'Inflicts 27 - 37 disease damage on target instantly and every second',100,1,0),
(293995,10120835,'Inflicts 46 - 62 disease damage on target',100,1,0),
(293996,10120835,'Inflicts 33 - 45 disease damage on target every second',100,1,1),
(293997,109242,'Increases INT and WIS of group members (AE) by 34.4',100,1,0),
(293998,109242,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 99',100,1,1),
(293999,10109242,'Increases INT and WIS of group members (AE) by 34.4',100,1,0),
(294000,10109242,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 99',100,1,1),
(294001,48640,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(294002,48640,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(294003,48640,'Inflicts 211 poison damage on target',100,2,2),
(294004,48640,'Inflicts 62 poison damage on target instantly and every 6 seconds',100,2,3),
(294005,48640,'Cannot be modified except by direct means',100,2,4),
(294006,48640,'Grants a total of 200 triggers of the spell.',100,2,5),
(294007,10048640,'Applies anger of the spirits when Activated.  Lasts for 12 hours.',100,0,0),
(294008,10048640,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(294009,10048640,'Inflicts 56 poison damage on target instantly and every 6 seconds',100,2,2),
(294010,10048640,'Inflicts 190 poison damage on target',100,2,3),
(294011,10048640,'Cannot be modified except by direct means',100,2,4),
(294012,10048640,'Grants a total of 200 triggers of the spell.',100,2,5),
(294013,122449,'Inflicts 601 - 1002 magic damage on target',100,1,0),
(294014,10122449,'Inflicts 721 - 1202 magic damage on target',100,1,0),
(294015,76694,'When Equipped:',100,0,0),
(294016,76694,'Increases crafted poison trigger chance by 5%.',100,1,1),
(294017,76694,'On a combat hit this spell may cast Bertoxxulous'' Gift on target of attack.  Triggers about 1.8 times per minute. ',100,1,2),
(294018,76694,'Inflicts 419 - 512 disease damage on target',100,2,3),
(294019,76694,'Inflicts 419 - 512 poison damage on target',100,2,4),
(294020,76694,'Cannot be modified except by direct means',100,2,5),
(294021,10076694,'When Equipped:',100,0,0),
(294022,10076694,'Increases crafted poison trigger chance by 5%.',100,1,1),
(294023,10076694,'On a combat hit this spell may cast Bertoxxulous'' Gift on target of attack.  Triggers about 1.8 times per minute. ',100,1,2),
(294024,10076694,'Inflicts 502 - 614 disease damage on target',100,2,3),
(294025,10076694,'Inflicts 502 - 614 poison damage on target',100,2,4),
(294026,10076694,'Cannot be modified except by direct means',100,2,5),
(294027,110814,'Inflicts 34 - 46 mental damage on target',100,1,0),
(294028,110814,'Interrupts target',100,1,1),
(294029,10110814,'Inflicts 41 - 55 mental damage on target',100,1,0),
(294030,10110814,'Interrupts target',100,1,1),
(294031,82192,'When Equipped:',100,0,0),
(294032,82192,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294033,82192,'Inflicts 30 - 55 magic damage on target',100,2,2),
(294034,82192,'Cannot be modified except by direct means',100,2,3),
(294035,10082192,'When Equipped:',100,0,0),
(294036,10082192,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294037,10082192,'Inflicts 36 - 66 magic damage on target',100,2,2),
(294038,10082192,'Cannot be modified except by direct means',100,2,3),
(294039,117743,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(294040,117743,'Heals target for 1094',100,2,1),
(294041,117743,'Increases Max Health of target by 719.8',100,2,2),
(294042,117743,'Grants a total of 1 trigger of the spell.',100,2,3),
(294043,10117743,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(294044,10117743,'Heals target for 711',100,2,1),
(294045,10117743,'Increases Max Health of target by 719.8',100,2,2),
(294046,10117743,'Grants a total of 1 trigger of the spell.',100,2,3),
(294047,82818,'When Equipped:',100,0,0),
(294048,82818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294049,82818,'Inflicts 228 - 423 magic damage on target',100,2,2),
(294050,82818,'Cannot be modified except by direct means',100,2,3),
(294051,10082818,'When Equipped:',100,0,0),
(294052,10082818,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294053,10082818,'Inflicts 273 - 508 magic damage on target',100,2,2),
(294054,10082818,'Cannot be modified except by direct means',100,2,3),
(294055,122228,'Increases Damage Per Second of target by 31.5',100,1,0),
(294056,122228,'Increases Max Health of target by 1,064.7',100,1,1),
(294057,10122228,'Increases Damage Per Second of target by 31.5',100,1,0),
(294058,10122228,'Increases Max Health of target by 1,064.7',100,1,1),
(294059,103824,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',100,1,0),
(294060,103824,'Increases Attack Speed of raid and group members (AE) by 14.2',100,1,1),
(294061,10103824,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',100,1,0),
(294062,10103824,'Increases Attack Speed of raid and group members (AE) by 14.2',100,1,1),
(294063,114204,'Inflicts 257 - 429 melee damage on target',100,1,0),
(294064,114204,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(294065,10114204,'Inflicts 308 - 514 melee damage on target',100,1,0),
(294066,10114204,'Decreases Slashing, Crushing and Piercing of target by 9.5',100,1,1),
(294067,177510,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(294068,177510,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(294069,177510,'Inflicts 24 heat damage on target',100,2,2),
(294070,177510,'Cannot be modified except by direct means',100,2,3),
(294071,10177510,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(294072,10177510,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(294073,10177510,'Inflicts 29 heat damage on target',100,2,2),
(294074,10177510,'Cannot be modified except by direct means',100,2,3),
(294075,106373,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(294076,106373,'Slows target by 56.6%',100,2,1),
(294077,106373,'5% chance to dispel when target receives hostile action',100,2,2),
(294078,106373,'5% chance to dispel when target takes damage',100,2,3),
(294079,106373,'Decreases Mitigation of target vs arcane damage by 2477',100,1,4),
(294080,10106373,'Decreases Mitigation of target vs arcane damage by 2477',100,1,0),
(294081,10106373,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(294082,10106373,'Slows target by 56.6%',100,2,2),
(294083,10106373,'5% chance to dispel when target receives hostile action',100,2,3),
(294084,10106373,'5% chance to dispel when target takes damage',100,2,4),
(294085,104172,'Increases Threat to target encounter by 670 - 819 ',100,1,0),
(294086,104172,'Interrupts target encounter',100,1,1),
(294087,10104172,'Forces target encounter to change their selected target to caster.',100,1,0),
(294088,10104172,'Interrupts target encounter',100,1,1),
(294089,10104172,'Prevents target encounter from changing targets',100,1,2),
(294090,112138,'Dispels 73 levels of physical and arcane hostile effects on caster',100,1,0),
(294091,10112138,'Dispels 73 levels of physical and arcane hostile effects on caster',100,1,0),
(294092,110199,'Interrupts target',100,1,0),
(294093,110199,'Inflicts 33 - 55 crushing damage on target',100,1,1),
(294094,10110199,'Interrupts target',100,1,0),
(294095,10110199,'Inflicts 40 - 66 crushing damage on target',100,1,1),
(294096,101764,'Heals group members (AE) for 163 - 199 instantly and every 2 seconds',100,1,0),
(294097,10101764,'Heals group members (AE) for 106 - 129 instantly and every 2 seconds',100,1,0),
(294098,122529,'Heals caster for 41',100,1,0),
(294099,122529,'Inflicts 64 - 107 melee damage on target',100,1,1),
(294100,10122529,'Heals caster for 27',100,1,0),
(294101,10122529,'Inflicts 77 - 128 melee damage on target',100,1,1),
(294102,82870,'When Equipped:',100,0,0),
(294103,82870,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294104,82870,'Inflicts 228 - 423 magic damage on target',100,2,2),
(294105,82870,'Cannot be modified except by direct means',100,2,3),
(294106,10082870,'When Equipped:',100,0,0),
(294107,10082870,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294108,10082870,'Inflicts 273 - 508 magic damage on target',100,2,2),
(294109,10082870,'Cannot be modified except by direct means',100,2,3),
(294110,74539,'Applies Fire Ball when Activated.',100,0,0),
(294111,74539,'Inflicts 367 - 611 heat damage on target',100,1,1),
(294112,74539,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(294113,10074539,'Applies Fire Ball when Activated.',100,0,0),
(294114,10074539,'Inflicts 440 - 734 heat damage on target',100,1,1),
(294115,10074539,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(294116,52786,'Applies Sanguine Imbued when Equipped.',100,0,0),
(294117,52786,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(294118,52786,'Inflicts 163 heat damage on target',100,2,2),
(294119,52786,'Cannot be modified except by direct means',100,2,3),
(294120,10052786,'Applies Sanguine Imbued when Equipped.',100,0,0),
(294121,10052786,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(294122,10052786,'Inflicts 195 heat damage on target',100,2,2),
(294123,10052786,'Cannot be modified except by direct means',100,2,3),
(294124,121722,'Increases AGI of caster by 75.2',100,1,0),
(294125,121722,'Adds 2.5% to base avoidance.',100,1,1),
(294126,121722,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(294127,121722,'Increases Parry of caster by 43.2',100,1,3),
(294128,121722,'Increases Defense of caster by 57.6',100,1,4),
(294129,10121722,'Increases AGI of caster by 75.2',100,1,0),
(294130,10121722,'Adds 2.5% to base avoidance.',100,1,1),
(294131,10121722,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(294132,10121722,'Increases Parry of caster by 43.2',100,1,3),
(294133,10121722,'Increases Defense of caster by 57.6',100,1,4),
(294134,116879,'Wards group members (AE) against 1164 points of noxious damage',100,1,0),
(294135,116879,'Increases Mitigation of group members (AE) vs noxious damage by 688',100,1,1),
(294136,10116879,'Wards group members (AE) against 1164 points of noxious damage',100,1,0),
(294137,10116879,'Increases Mitigation of group members (AE) vs noxious damage by 688',100,1,1),
(294138,116380,'Heals target for 66 - 80 instantly and every 2 seconds',100,1,0),
(294139,10116380,'Heals target for 43 - 52 instantly and every 2 seconds',100,1,0),
(294140,118461,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(294141,118461,'Inflicts 20 - 25 heat damage on target instantly and every second',100,2,1),
(294142,10118461,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(294143,10118461,'Inflicts 25 - 30 heat damage on target instantly and every second',100,2,1),
(294144,121690,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(294145,121690,'Inflicts 51 - 63 heat damage on target instantly and every second',100,2,1),
(294146,10121690,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(294147,10121690,'Inflicts 62 - 75 heat damage on target instantly and every second',100,2,1),
(294148,35059,'Increases WIS and STA of target by 9.4',100,0,0),
(294149,35059,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(294150,105770,'Inflicts 45 - 55 heat damage on target',100,1,0),
(294151,10105770,'Inflicts 72 - 89 heat damage on target',100,1,0),
(294152,35983,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(294153,35983,'Increases Max Power of target by 10.5',100,0,1),
(294154,104725,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(294155,104725,'Decreases Mitigation of target vs elemental and arcane damage by 560',100,2,1),
(294156,104725,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(294157,104725,'Decreases Mitigation of target vs elemental and arcane damage by 560',100,2,3),
(294158,10104725,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(294159,10104725,'Decreases Mitigation of target vs elemental and arcane damage by 560',100,2,1),
(294160,10104725,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(294161,10104725,'Decreases Mitigation of target vs elemental and arcane damage by 560',100,2,3),
(294162,101226,'Inflicts 453 - 755 cold damage on target',100,1,0),
(294163,101226,'Dazes target',100,1,1),
(294164,101226,'If Target is not Epic',100,2,2),
(294165,101226,'Resistibility increases against targets higher than level 101.',100,1,3),
(294166,10101226,'Inflicts 543 - 906 cold damage on target',100,1,0),
(294167,10101226,'Dazes target',100,1,1),
(294168,10101226,'If Target is not Epic',100,2,2),
(294169,10101226,'Resistibility increases against targets higher than level 101.',100,1,3),
(294170,49166,'Applies Wormhole - Odus when Activated.',100,0,0),
(294171,49166,'Teleports caster to a zone landmark',100,1,1),
(294172,10049166,'Applies Wormhole - Odus when Activated.',100,0,0),
(294173,10049166,'Teleports caster to a zone landmark',100,1,1),
(294174,71434,'When Equipped:',100,0,0),
(294175,71434,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294176,71434,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(294177,71434,'Cannot be modified except by direct means',100,2,3),
(294178,10071434,'When Equipped:',100,0,0),
(294179,10071434,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294180,10071434,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(294181,10071434,'Cannot be modified except by direct means',100,2,3),
(294182,103260,'Increases All Attributes of target by 17.5%',100,1,0),
(294183,103260,'Enlarges target by 47.6%',100,1,1),
(294184,10103260,'Increases All Attributes of target by 17.5%',100,1,0),
(294185,10103260,'Enlarges target by 47.6%',100,1,1),
(294186,47306,'Applies Solvent of Life  when Activated.  Lasts for 15 minutes.',100,0,0),
(294187,47306,'Increases Max Health of caster by 276.0',100,1,1),
(294188,10047306,'Applies Solvent of Life  when Activated.  Lasts for 15 minutes.',100,0,0),
(294189,10047306,'Increases Max Health of caster by 276.0',100,1,1),
(294190,104125,'Roots target',100,1,0),
(294191,104125,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(294192,104125,'Makes target afraid',100,2,2),
(294193,104125,'Slows target by 27.6%',100,2,3),
(294194,104125,'30% chance to dispel when target takes damage',100,2,4),
(294195,104125,'Resistibility increases against targets higher than level 76.',100,2,5),
(294196,104125,'15% chance to dispel when target takes damage',100,1,6),
(294197,104125,'Does not affect Epic targets',100,1,7),
(294198,104125,'Resistibility increases against targets higher than level 76.',100,1,8),
(294199,10104125,'Roots target',100,1,0),
(294200,10104125,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(294201,10104125,'Makes target afraid',100,2,2),
(294202,10104125,'Slows target by 27.6%',100,2,3),
(294203,10104125,'30% chance to dispel when target takes damage',100,2,4),
(294204,10104125,'Resistibility increases against targets higher than level 76.',100,2,5),
(294205,10104125,'15% chance to dispel when target takes damage',100,1,6),
(294206,10104125,'Does not affect Epic targets',100,1,7),
(294207,10104125,'Resistibility increases against targets higher than level 76.',100,1,8),
(294208,110186,'Applies Untreated Bleeding on termination.',100,1,0),
(294209,110186,'Inflicts 264 - 440 piercing damage on target',100,2,1),
(294210,110186,'Inflicts 57 - 94 piercing damage on target instantly and every 4 seconds',100,1,2),
(294211,110186,'Inflicts 37 - 62 melee damage on target',100,1,3),
(294212,10110186,'Applies Untreated Bleeding on termination.',100,1,0),
(294213,10110186,'Inflicts 317 - 528 piercing damage on target',100,2,1),
(294214,10110186,'Inflicts 68 - 113 piercing damage on target instantly and every 4 seconds',100,1,2),
(294215,10110186,'Inflicts 45 - 75 melee damage on target',100,1,3),
(294216,74550,'When Equipped:',100,0,0),
(294217,74550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294218,74550,'Inflicts 135 - 203 magic damage on target',100,2,2),
(294219,74550,'Cannot be modified except by direct means',100,2,3),
(294220,10074550,'When Equipped:',100,0,0),
(294221,10074550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294222,10074550,'Inflicts 162 - 244 magic damage on target',100,2,2),
(294223,10074550,'Cannot be modified except by direct means',100,2,3),
(294224,138448,'When Equipped:',100,0,0),
(294225,138448,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(294226,10138448,'When Equipped:',100,0,0),
(294227,10138448,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(294228,80492,'When Equipped:',100,0,0),
(294229,80492,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(294230,80492,'Decreases Threat to target by 1,219 ',100,2,2),
(294231,80492,'Must be flanking or behind',100,3,3),
(294232,80492,'Increases Threat to target by 1,679 ',100,2,4),
(294233,80492,'Must be in front of',100,3,5),
(294234,80492,'Inflicts 320 - 594 magic damage on target',100,2,6),
(294235,80492,'Cannot be modified except by direct means',100,2,7),
(294236,10080492,'When Equipped:',100,0,0),
(294237,10080492,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(294238,10080492,'Inflicts 384 - 712 magic damage on target',100,2,2),
(294239,10080492,'Cannot be modified except by direct means',100,2,3),
(294240,81655,'When Equipped:',100,0,0),
(294241,81655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294242,81655,'Inflicts 101 - 188 magic damage on target',100,2,2),
(294243,81655,'Cannot be modified except by direct means',100,2,3),
(294244,10081655,'When Equipped:',100,0,0),
(294245,10081655,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294246,10081655,'Inflicts 121 - 225 magic damage on target',100,2,2),
(294247,10081655,'Cannot be modified except by direct means',100,2,3),
(294248,46527,'Applies arcane remedy when Activated.',100,0,0),
(294249,46527,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(294250,10046527,'Applies arcane remedy when Activated.',100,0,0),
(294251,10046527,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(294252,79766,'When Equipped:',100,0,0),
(294253,79766,'On a combat hit this spell may cast Flense on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294254,79766,'Inflicts 47 slashing damage on target every 5 seconds',100,2,2),
(294255,79766,'Cannot be modified except by direct means',100,2,3),
(294256,10079766,'When Equipped:',100,0,0),
(294257,10079766,'On a combat hit this spell may cast Flense on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294258,10079766,'Inflicts 57 slashing damage on target every 5 seconds',100,2,2),
(294259,10079766,'Cannot be modified except by direct means',100,2,3),
(294260,118105,'Heals target for 62 - 76',100,1,0),
(294261,10118105,'Heals target for 74 - 90',100,1,0),
(294262,119786,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(294263,119786,'Inflicts 124 - 151 poison damage on target encounter',100,2,1),
(294264,10119786,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(294265,10119786,'Inflicts 149 - 182 poison damage on target encounter',100,2,1),
(294266,117166,'Inflicts 31 poison damage on target instantly and every 4 seconds',100,1,0),
(294267,117166,'Decreases WIS of target by 29.3',100,1,1),
(294268,10117166,'Inflicts 38 poison damage on target instantly and every 4 seconds',100,1,0),
(294269,10117166,'Decreases WIS of target by 29.3',100,1,1),
(294270,101101,'Increases Mitigation of raid and group members (AE) vs arcane damage by 524',100,1,0),
(294271,10101101,'Increases Mitigation of raid and group members (AE) vs arcane damage by 524',100,1,0),
(294272,81285,'When Equipped:',100,0,0),
(294273,81285,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(294274,81285,'Decreases Threat to target by 949 ',100,2,2),
(294275,81285,'Must be flanking or behind',100,3,3),
(294276,81285,'Increases Threat to target by 1,409 ',100,2,4),
(294277,81285,'Must be in front of',100,3,5),
(294278,81285,'Inflicts 196 - 364 magic damage on target',100,2,6),
(294279,81285,'Cannot be modified except by direct means',100,2,7),
(294280,10081285,'When Equipped:',100,0,0),
(294281,10081285,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(294282,10081285,'Inflicts 235 - 437 magic damage on target',100,2,2),
(294283,10081285,'Cannot be modified except by direct means',100,2,3),
(294284,106786,'Mesmerizes target',100,1,0),
(294285,106786,'Prevents AOE (except when direct) ',100,1,1),
(294286,106786,'Dispelled when target takes damage',100,1,2),
(294287,106786,'Does not affect Epic targets',100,1,3),
(294288,106786,'Resistibility increases against targets higher than level 117.',100,1,4),
(294289,10106786,'Mesmerizes target',100,1,0),
(294290,10106786,'Prevents AOE (except when direct) ',100,1,1),
(294291,10106786,'Dispelled when target takes damage',100,1,2),
(294292,10106786,'Does not affect Epic targets',100,1,3),
(294293,10106786,'Resistibility increases against targets higher than level 117.',100,1,4),
(294294,71209,'When Equipped:',100,0,0),
(294295,71209,'On a combat hit this spell may cast Scale Skin on caster.  Lasts for 36.0 seconds.  Triggers about 0.4 times per minute. ',100,1,1),
(294296,71209,'Wards caster against 380 points of all damage',100,2,2),
(294297,71209,'Cannot be modified except by direct means',100,2,3),
(294298,10071209,'When Equipped:',100,0,0),
(294299,10071209,'On a combat hit this spell may cast Scale Skin on caster.  Lasts for 36.0 seconds.  Triggers about 0.4 times per minute. ',100,1,1),
(294300,10071209,'Wards caster against 380 points of all damage',100,2,2),
(294301,10071209,'Cannot be modified except by direct means',100,2,3),
(294302,114812,'Decreases WIS of target by 89.8',100,1,0),
(294303,114812,'Increases WIS and STA of caster by 89.8',100,1,1),
(294304,114812,'Decreases Max Health of target by 1.2%',100,1,2),
(294305,114812,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 288',100,1,3),
(294306,114812,'Only affects targets level 17 and above',100,1,4),
(294307,10114812,'Decreases WIS of target by 89.8',100,1,0),
(294308,10114812,'Increases WIS and STA of caster by 89.8',100,1,1),
(294309,10114812,'Decreases Max Health of target by 1.2%',100,1,2),
(294310,10114812,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 288',100,1,3),
(294311,10114812,'Only affects targets level 17 and above',100,1,4),
(294312,135761,'When Equipped:',100,0,0),
(294313,135761,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(294314,135761,'Increases Threat to target by 4,460 ',100,2,2),
(294315,135761,'Inflicts 1390 mental damage on target',100,2,3),
(294316,135761,'Cannot be modified except by direct means',100,2,4),
(294317,135761,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(294318,135761,'Increases Threat to target by 4,460 ',100,2,6),
(294319,135761,'Inflicts 1390 mental damage on target',100,2,7),
(294320,135761,'Cannot be modified except by direct means',100,2,8),
(294321,10135761,'When Equipped:',100,0,0),
(294322,10135761,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(294323,10135761,'Inflicts 1668 mental damage on target',100,2,2),
(294324,10135761,'Cannot be modified except by direct means',100,2,3),
(294325,10135761,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(294326,10135761,'Inflicts 1668 mental damage on target',100,2,5),
(294327,10135761,'Cannot be modified except by direct means',100,2,6),
(294328,87226,'When Equipped:',100,0,0),
(294329,87226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294330,87226,'Inflicts 51 - 76 magic damage on target',100,2,2),
(294331,87226,'Cannot be modified except by direct means',100,2,3),
(294332,10087226,'When Equipped:',100,0,0),
(294333,10087226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294334,10087226,'Inflicts 61 - 91 magic damage on target',100,2,2),
(294335,10087226,'Cannot be modified except by direct means',100,2,3),
(294336,103144,'Throws target back',100,1,0),
(294337,103144,'If Target is not Epic',100,2,1),
(294338,103144,'Inflicts 10 - 32 crushing damage on target',100,1,2),
(294339,103144,'Stuns target',100,1,3),
(294340,103144,'If Target is not Epic',100,2,4),
(294341,103144,'Resistibility increases against targets higher than level 37.',100,1,5),
(294342,10103144,'Throws target back',100,1,0),
(294343,10103144,'If Target is not Epic',100,2,1),
(294344,10103144,'Inflicts 13 - 39 crushing damage on target',100,1,2),
(294345,10103144,'Stuns target',100,1,3),
(294346,10103144,'If Target is not Epic',100,2,4),
(294347,10103144,'Resistibility increases against targets higher than level 37.',100,1,5),
(294348,148862,'When Equipped:',100,0,0),
(294349,148862,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(294350,10148862,'When Equipped:',100,0,0),
(294351,10148862,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(294352,112205,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(294353,112205,'Increases Threat to target by 19 ',100,2,1),
(294354,112205,'Inflicts 6 disease damage on target',100,2,2),
(294355,112205,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 268',100,1,3),
(294356,10112205,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(294357,10112205,'Inflicts 7 disease damage on target',100,2,1),
(294358,10112205,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 268',100,1,2),
(294359,35328,'Increases STR of target by 6.2',100,0,0),
(294360,35328,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(294361,119282,'Inflicts 81 - 135 slashing damage on target',100,1,0),
(294362,119282,'Decreases Damage Per Second of target by 20.0',100,1,1),
(294363,119282,'Inflicts 109 slashing damage on target instantly and every 4 seconds',100,1,2),
(294364,10119282,'Inflicts 97 - 163 slashing damage on target',100,1,0),
(294365,10119282,'Decreases Damage Per Second of target by 20.0',100,1,1),
(294366,10119282,'Inflicts 130 slashing damage on target instantly and every 4 seconds',100,1,2),
(294367,135079,'When Equipped:',100,0,0),
(294368,135079,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(294369,135079,'Increases Health Regeneration of caster by 10.0',100,1,2),
(294370,135079,'Increases Max Health of caster by 1,444.4',100,1,3),
(294371,135079,'Cannot be modified except by direct means',100,1,4),
(294372,10135079,'When Equipped:',100,0,0),
(294373,10135079,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(294374,10135079,'Increases Health Regeneration of caster by 10.0',100,1,2),
(294375,10135079,'Increases Max Health of caster by 1,444.4',100,1,3),
(294376,10135079,'Cannot be modified except by direct means',100,1,4),
(294377,106932,'Inflicts 131 - 243 poison damage on target',100,1,0),
(294378,10106932,'Inflicts 157 - 292 poison damage on target',100,1,0),
(294379,36470,'Increases INT of target by 31.0',100,0,0),
(294380,36470,'Increases outgoing damaging spell amount by 2%',100,0,1),
(294381,36470,'Increases STA of target by 31.0',100,0,2),
(294382,36470,'Increases Out-of-Combat Power Regeneration of target by 55.8',100,0,3),
(294383,102915,'Inflicts 6 - 7 disease damage on target instantly and every 4 seconds',100,1,0),
(294384,10102915,'Inflicts 10 - 12 disease damage on target',100,1,0),
(294385,10102915,'Inflicts 7 - 9 disease damage on target every 4 seconds',100,1,1),
(294386,48132,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(294387,48132,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(294388,48132,'Decreases INT of target by 95.8',100,2,2),
(294389,48132,'Decreases Ministration, Disruption, Ordination and Subjugation of target by 36.1',100,2,3),
(294390,48132,'Cannot be modified except by direct means',100,2,4),
(294391,48132,'Grants a total of 60 triggers of the spell.',100,2,5),
(294392,10048132,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(294393,10048132,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(294394,10048132,'Decreases INT of target by 95.8',100,2,2),
(294395,10048132,'Decreases Ministration, Disruption, Ordination and Subjugation of target by 36.1',100,2,3),
(294396,10048132,'Cannot be modified except by direct means',100,2,4),
(294397,10048132,'Grants a total of 60 triggers of the spell.',100,2,5),
(294398,111866,'Inflicts 130 - 241 heat damage on target',100,1,0),
(294399,111866,'Inflicts 49 - 90 heat damage on target every 2 seconds',100,1,1),
(294400,10111866,'Inflicts 156 - 289 heat damage on target',100,1,0),
(294401,10111866,'Inflicts 58 - 109 heat damage on target every 2 seconds',100,1,1),
(294402,81750,'When Equipped:',100,0,0),
(294403,81750,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294404,81750,'Inflicts 108 - 200 magic damage on target',100,2,2),
(294405,81750,'Cannot be modified except by direct means',100,2,3),
(294406,10081750,'When Equipped:',100,0,0),
(294407,10081750,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294408,10081750,'Inflicts 129 - 240 magic damage on target',100,2,2),
(294409,10081750,'Cannot be modified except by direct means',100,2,3),
(294410,159227,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(294411,159227,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(294412,159227,'Inflicts 63 heat damage on target',100,2,2),
(294413,159227,'Cannot be modified except by direct means',100,2,3),
(294414,10159227,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(294415,10159227,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(294416,10159227,'Inflicts 76 heat damage on target',100,2,2),
(294417,10159227,'Cannot be modified except by direct means',100,2,3),
(294418,109364,'Inflicts 7 - 13 cold damage on target instantly and every 4 seconds',100,1,0),
(294419,109364,'Decreases Mitigation of target vs elemental damage by 163',100,1,1),
(294420,10109364,'Inflicts 8 - 16 cold damage on target instantly and every 4 seconds',100,1,0),
(294421,10109364,'Decreases Mitigation of target vs elemental damage by 163',100,1,1),
(294422,122418,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(294423,122418,'Inflicts 32 - 39 piercing damage on target encounter',100,2,1),
(294424,10122418,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(294425,10122418,'Inflicts 38 - 46 piercing damage on target encounter',100,2,1),
(294426,35604,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(294427,122801,'Heals target for 1217',100,1,0),
(294428,10122801,'Heals target for 949',100,1,0),
(294429,35543,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(294430,111558,'Inflicts 1306 - 2426 cold damage on target',100,1,0),
(294431,111558,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(294432,111558,'Stuns target',100,2,2),
(294433,111558,'Throws target back',100,2,3),
(294434,111558,'Blurs vision of target',100,2,4),
(294435,111558,'Does not affect Epic targets',100,2,5),
(294436,10111558,'Inflicts 1133 - 2105 cold damage on target',100,1,0),
(294437,10111558,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(294438,10111558,'Stuns target',100,2,2),
(294439,10111558,'Throws target back',100,2,3),
(294440,10111558,'Blurs vision of target',100,2,4),
(294441,10111558,'Does not affect Epic targets',100,2,5),
(294442,105936,'Inflicts 71 - 87 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(294443,105936,'Inflicts 165 - 275 disease damage on targets in area',100,1,1),
(294444,10105936,'Inflicts 85 - 104 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(294445,10105936,'Inflicts 198 - 330 disease damage on targets in area',100,1,1),
(294446,122912,'Increases STR and INT of group members (AE) by 67.5',100,1,0),
(294447,10122912,'Increases STR and INT of group members (AE) by 67.5',100,1,0),
(294448,26384,'When Equipped:',100,0,0),
(294449,26384,'Increases all cold damage by up to 30.',100,1,1),
(294450,10026384,'When Equipped:',100,0,0),
(294451,10026384,'Increases all cold damage by up to 30.',100,1,1),
(294452,120344,'Increases Threat to target by 1,727 - 2,008 ',100,1,0),
(294453,10120344,'Forces target to change their selected target to caster.',100,1,0),
(294454,10120344,'Prevents target from changing targets',100,1,1),
(294455,100525,'Heals group members (AE) for 151 - 185',100,1,0),
(294456,10100525,'Heals group members (AE) for 183 - 224',100,1,0),
(294457,112275,'Increases Defense of group members (AE) by 7.6',100,1,0),
(294458,10112275,'Increases Defense of group members (AE) by 7.6',100,1,0),
(294459,186144,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(294460,186144,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(294461,186144,'Cannot be modified except by direct means',100,1,2),
(294462,10186144,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(294463,10186144,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(294464,10186144,'Cannot be modified except by direct means',100,1,2),
(294465,47031,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(294466,47031,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(294467,47031,'Inflicts 114 poison damage on target instantly and every 6 seconds',100,2,2),
(294468,47031,'Inflicts 222 poison damage on target',100,2,3),
(294469,47031,'Cannot be modified except by direct means',100,2,4),
(294470,47031,'Grants a total of 200 triggers of the spell.',100,2,5),
(294471,10047031,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(294472,10047031,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(294473,10047031,'Inflicts 103 poison damage on target instantly and every 6 seconds',100,2,2),
(294474,10047031,'Inflicts 199 poison damage on target',100,2,3),
(294475,10047031,'Cannot be modified except by direct means',100,2,4),
(294476,10047031,'Grants a total of 200 triggers of the spell.',100,2,5),
(294477,75102,'Applies Mental Blast when Activated.',100,0,0),
(294478,75102,'Inflicts 173 - 289 mental damage on target',100,1,1),
(294479,75102,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(294480,10075102,'Applies Mental Blast when Activated.',100,0,0),
(294481,10075102,'Inflicts 208 - 347 mental damage on target',100,1,1),
(294482,10075102,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(294483,24517,'Adds Mistmoore: Blue Chaise to your Dungeon Maker toolbox',100,0,0),
(294484,10024517,'Adds Mistmoore: Blue Chaise to your Dungeon Maker toolbox',100,0,0),
(294485,107813,'Increases Threat to target encounter by 1,299 - 1,485 ',100,1,0),
(294486,10107813,'Prevents target encounter from changing targets',100,1,0),
(294487,10107813,'Forces target encounter to change their selected target to caster.',100,1,1),
(294488,141901,'When Equipped:',100,0,0),
(294489,141901,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294490,141901,'Increases STR of caster by 12.2',100,2,2),
(294491,141901,'Increases Damage Per Second of caster by 20.2',100,2,3),
(294492,141901,'Cannot be modified except by direct means',100,2,4),
(294493,10141901,'When Equipped:',100,0,0),
(294494,10141901,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294495,10141901,'Increases STR of caster by 12.2',100,2,2),
(294496,10141901,'Increases Damage Per Second of caster by 20.2',100,2,3),
(294497,10141901,'Cannot be modified except by direct means',100,2,4),
(294498,160029,'When Equipped:',100,0,0),
(294499,160029,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(294500,160029,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(294501,160029,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,3),
(294502,160029,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,4),
(294503,160029,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(294504,160029,'Must not be engaged in pvp combat',100,2,6),
(294505,160029,'Cannot be modified except by direct means',100,2,7),
(294506,160029,'Must not be engaged in pvp combat',100,1,8),
(294507,10160029,'When Equipped:',100,0,0),
(294508,10160029,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(294509,10160029,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(294510,10160029,'Inflicts 835 - 923 piercing damage on target instantly and every 3 seconds',100,2,3),
(294511,10160029,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,4),
(294512,10160029,'Increases Crit Bonus of caster by 3.0%',100,2,5),
(294513,10160029,'Must not be engaged in pvp combat',100,2,6),
(294514,10160029,'Cannot be modified except by direct means',100,2,7),
(294515,10160029,'Must not be engaged in pvp combat',100,1,8),
(294516,112749,'Interrupts target',100,1,0),
(294517,112749,'Inflicts 37 - 62 divine damage on target',100,1,1),
(294518,10112749,'Interrupts target',100,1,0),
(294519,10112749,'Inflicts 45 - 74 divine damage on target',100,1,1),
(294520,119440,'Inflicts 96 - 160 melee damage on target',100,1,0),
(294521,119440,'Inflicts 70 piercing damage on target instantly and every 4 seconds',100,1,1),
(294522,119440,'Must be flanking or behind',100,1,2),
(294523,10119440,'Inflicts 115 - 192 melee damage on target',100,1,0),
(294524,10119440,'Inflicts 84 piercing damage on target instantly and every 4 seconds',100,1,1),
(294525,10119440,'Must be flanking or behind',100,1,2),
(294526,142850,'When Equipped:',100,0,0),
(294527,142850,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(294528,142850,'Inflicts 953 - 1430 poison damage on target',100,2,2),
(294529,142850,'Heals caster for 635 - 952',100,2,3),
(294530,142850,'Cannot be modified except by direct means',100,2,4),
(294531,142850,'Cannot be modified except by direct means',100,1,5),
(294532,10142850,'When Equipped:',100,0,0),
(294533,10142850,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(294534,10142850,'Inflicts 1144 - 1716 poison damage on target',100,2,2),
(294535,10142850,'Heals caster for 743 - 1114',100,2,3),
(294536,10142850,'Cannot be modified except by direct means',100,2,4),
(294537,10142850,'Cannot be modified except by direct means',100,1,5),
(294538,109836,'Inflicts 312 - 520 melee damage on target',100,1,0),
(294539,109836,'Decreases Parry of target by 37.6',100,1,1),
(294540,109836,'Must be in front of or flanking',100,1,2),
(294541,10109836,'Inflicts 374 - 624 melee damage on target',100,1,0),
(294542,10109836,'Decreases Parry of target by 37.6',100,1,1),
(294543,10109836,'Must be in front of or flanking',100,1,2),
(294544,110902,'Inflicts 816 - 998 heat damage on target encounter',100,1,0),
(294545,10110902,'Inflicts 980 - 1197 heat damage on target encounter',100,1,0),
(294546,107574,'Roots target',100,1,0),
(294547,107574,'Inflicts 79 - 96 mental damage on target',100,1,1),
(294548,107574,'5% chance to dispel when target takes damage',100,1,2),
(294549,107574,'5% chance to dispel when target receives hostile action',100,1,3),
(294550,107574,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(294551,107574,'Resistibility increases against targets higher than level 40.',100,1,5),
(294552,10107574,'Roots target',100,1,0),
(294553,10107574,'Inflicts 95 - 116 mental damage on target',100,1,1),
(294554,10107574,'5% chance to dispel when target takes damage',100,1,2),
(294555,10107574,'5% chance to dispel when target receives hostile action',100,1,3),
(294556,10107574,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,4),
(294557,10107574,'Resistibility increases against targets higher than level 40.',100,1,5),
(294558,103304,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',100,1,0),
(294559,103304,'Applies Migraine on termination.',100,1,1),
(294560,103304,'Inflicts 29 - 39 mental damage on target',100,2,2),
(294561,10103304,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',100,1,0),
(294562,10103304,'Applies Migraine on termination.',100,1,1),
(294563,10103304,'Inflicts 34 - 46 mental damage on target',100,2,2),
(294564,35621,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(294565,102153,'Inflicts 225 - 375 melee damage on target',100,1,0),
(294566,102153,'Inflicts 225 - 375 melee damage on target',100,1,1),
(294567,10102153,'Inflicts 270 - 450 melee damage on target',100,1,0),
(294568,10102153,'Inflicts 270 - 450 melee damage on target',100,1,1),
(294569,110773,'Heals group members (AE) for 257 - 314 instantly and every 2 seconds',100,1,0),
(294570,10110773,'Heals group members (AE) for 167 - 204 instantly and every 2 seconds',100,1,0),
(294571,79754,'Applies Mark of Pestilence when Equipped.',100,0,0),
(294572,10079754,'Applies Mark of Pestilence when Equipped.',100,0,0),
(294573,160876,'When Equipped:',100,0,0),
(294574,160876,'When any damage is received this spell has a 5% chance to cast Poisoning on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(294575,160876,'Inflicts 88 - 147 poison damage on target every 4.8 seconds',100,2,2),
(294576,160876,'Cannot be modified except by direct means',100,2,3),
(294577,10160876,'When Equipped:',100,0,0),
(294578,10160876,'When any damage is received this spell has a 5% chance to cast Poisoning on target''s attacker.  Lasts for 24.0 seconds.  ',100,1,1),
(294579,10160876,'Inflicts 106 - 176 poison damage on target every 4.8 seconds',100,2,2),
(294580,10160876,'Cannot be modified except by direct means',100,2,3),
(294581,80995,'When Equipped:',100,0,0),
(294582,80995,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294583,80995,'Inflicts 71 - 131 magic damage on target',100,2,2),
(294584,80995,'Cannot be modified except by direct means',100,2,3),
(294585,10080995,'When Equipped:',100,0,0),
(294586,10080995,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294587,10080995,'Inflicts 85 - 158 magic damage on target',100,2,2),
(294588,10080995,'Cannot be modified except by direct means',100,2,3),
(294589,103814,'Increases Ability Casting Speed of raid and group members (AE) by 3.2%',100,1,0),
(294590,103814,'Increases Attack Speed of raid and group members (AE) by 7.9',100,1,1),
(294591,10103814,'Increases Ability Casting Speed of raid and group members (AE) by 3.2%',100,1,0),
(294592,10103814,'Increases Attack Speed of raid and group members (AE) by 7.9',100,1,1),
(294593,123565,'Increases STR of group members (AE) by 23.4',100,1,0),
(294594,123565,'Increases Max Health of group members (AE) by 122.9',100,1,1),
(294595,10123565,'Increases STR of group members (AE) by 23.4',100,1,0),
(294596,10123565,'Increases Max Health of group members (AE) by 122.9',100,1,1),
(294597,119366,'Inflicts 295 - 443 disease damage on target',100,1,0),
(294598,119366,'Inflicts 118 - 177 disease damage on target every 4 seconds',100,1,1),
(294599,10119366,'Inflicts 354 - 531 disease damage on target',100,1,0),
(294600,10119366,'Inflicts 142 - 212 disease damage on target every 4 seconds',100,1,1),
(294601,112579,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(294602,112579,'Heals targets in Area of Effect for 114 - 139',100,2,1),
(294603,112579,'Dispels 60 levels of physical hostile effects on target',100,2,2),
(294604,10112579,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(294605,10112579,'Heals targets in Area of Effect for 74 - 90',100,2,1),
(294606,10112579,'Dispels 60 levels of physical hostile effects on target',100,2,2),
(294607,111509,'Increases AGI of caster by 13.6',100,1,0),
(294608,111509,'Increases Damage Per Second of caster by 29.5',100,1,1),
(294609,10111509,'Increases AGI of caster by 13.6',100,1,0),
(294610,10111509,'Increases Damage Per Second of caster by 29.5',100,1,1),
(294611,117475,'Inflicts 1642 - 2737 melee damage on target',100,1,0),
(294612,117475,'You must be sneaking to use this ability.',100,1,1),
(294613,117475,'Must be flanking or behind',100,1,2),
(294614,10117475,'Inflicts 1222 - 2036 melee damage on target',100,1,0),
(294615,10117475,'You must be sneaking to use this ability.',100,1,1),
(294616,10117475,'Must be flanking or behind',100,1,2),
(294617,36659,'Increases INT of target by 0.6',100,0,0),
(294618,36659,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(294619,112874,'Inflicts 69 - 84 melee damage on target',100,1,0),
(294620,112874,'Decreases Mitigation of target vs physical damage by 92',100,1,1),
(294621,112874,'Must be flanking or behind',100,1,2),
(294622,10112874,'Inflicts 82 - 101 melee damage on target',100,1,0),
(294623,10112874,'Decreases Mitigation of target vs physical damage by 92',100,1,1),
(294624,10112874,'Must be flanking or behind',100,1,2),
(294625,111778,'Heals caster for 20.5 - 25.1% of max health',100,1,0),
(294626,111778,'This effect cannot be critically applied.',100,2,1),
(294627,111778,'The healing of this spell cannot be modified except by direct means',100,1,2),
(294628,10111778,'Heals caster for 10.3 - 12.5% of max health',100,1,0),
(294629,10111778,'This effect cannot be critically applied.',100,2,1),
(294630,10111778,'The healing of this spell cannot be modified except by direct means',100,1,2),
(294631,154964,'Applies Spirit of the Wind when Equipped.',100,0,0),
(294632,154964,'Increases speed of caster by 10.0%',100,1,1),
(294633,154964,'This effect suspends during combat',100,1,2),
(294634,10154964,'Applies Spirit of the Wind when Equipped.',100,0,0),
(294635,10154964,'Increases speed of caster by 10.0%',100,1,1),
(294636,10154964,'This effect suspends during combat',100,1,2),
(294637,46686,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(294638,46686,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(294639,46686,'Inflicts 46 poison damage on target',100,2,2),
(294640,46686,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,3),
(294641,46686,'Cannot be modified except by direct means',100,2,4),
(294642,46686,'Grants a total of 200 triggers of the spell.',100,2,5),
(294643,10046686,'Applies influence of hate when Activated.  Lasts for 12 hours.',100,0,0),
(294644,10046686,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(294645,10046686,'Inflicts 7 poison damage on target instantly and every 6 seconds',100,2,2),
(294646,10046686,'Inflicts 41 poison damage on target',100,2,3),
(294647,10046686,'Cannot be modified except by direct means',100,2,4),
(294648,10046686,'Grants a total of 200 triggers of the spell.',100,2,5),
(294649,104449,'Inflicts 88 - 108 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(294650,104449,'Interrupts target encounter',100,1,1),
(294651,104449,'Applies Stumble on termination.',100,1,2),
(294652,104449,'Interrupts target',100,2,3),
(294653,10104449,'Inflicts 106 - 129 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(294654,10104449,'Interrupts target encounter',100,1,1),
(294655,10104449,'Applies Stumble on termination.',100,1,2),
(294656,10104449,'Interrupts target',100,2,3),
(294657,120496,'Inflicts 106 - 177 melee damage on target',100,1,0),
(294658,120496,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(294659,120496,'Grants stealth to caster',100,2,2),
(294660,120496,'Suspends caster''s movement speed enhancements',100,2,3),
(294661,120496,'Must be flanking or behind',100,1,4),
(294662,10120496,'Inflicts 128 - 213 melee damage on target',100,1,0),
(294663,10120496,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(294664,10120496,'Grants stealth to caster',100,2,2),
(294665,10120496,'Suspends caster''s movement speed enhancements',100,2,3),
(294666,10120496,'Must be flanking or behind',100,1,4),
(294667,110960,'Inflicts 375 - 626 ranged damage on target',100,1,0),
(294668,110960,'I need to be stealthed!',100,1,1),
(294669,110960,'Requires bow',100,1,2),
(294670,10110960,'Inflicts 211 - 352 ranged damage on target',100,1,0),
(294671,10110960,'I need to be stealthed!',100,1,1),
(294672,10110960,'Requires bow',100,1,2),
(294673,137569,'When Equipped:',100,0,0),
(294674,137569,'On any combat or spell hit this spell may cast Savagery II on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294675,137569,'Increases Damage Per Second of caster by 25.0',100,2,2),
(294676,137569,'Cannot be modified except by direct means',100,2,3),
(294677,10137569,'When Equipped:',100,0,0),
(294678,10137569,'On any combat or spell hit this spell may cast Savagery II on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294679,10137569,'Increases Damage Per Second of caster by 25.0',100,2,2),
(294680,10137569,'Cannot be modified except by direct means',100,2,3),
(294681,105015,'Increases WIS of raid and group members (AE) by 14.3',100,1,0),
(294682,105015,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(294683,105015,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 52',100,1,2),
(294684,10105015,'Increases WIS of raid and group members (AE) by 14.3',100,1,0),
(294685,10105015,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(294686,10105015,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 52',100,1,2),
(294687,115343,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(294688,115343,'Makes target afraid',100,2,1),
(294689,115343,'Slows target by 67.5%',100,2,2),
(294690,115343,'30% chance to dispel when target takes damage',100,2,3),
(294691,115343,'Does not affect Epic targets',100,2,4),
(294692,115343,'Resistibility increases against targets higher than level 90.',100,2,5),
(294693,115343,'Roots target',100,1,6),
(294694,115343,'15% chance to dispel when target takes damage',100,1,7),
(294695,115343,'Does not affect Epic targets',100,1,8),
(294696,115343,'Resistibility increases against targets higher than level 90.',100,1,9),
(294697,10115343,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(294698,10115343,'Makes target afraid',100,2,1),
(294699,10115343,'Slows target by 67.5%',100,2,2),
(294700,10115343,'30% chance to dispel when target takes damage',100,2,3),
(294701,10115343,'Does not affect Epic targets',100,2,4),
(294702,10115343,'Resistibility increases against targets higher than level 90.',100,2,5),
(294703,10115343,'Roots target',100,1,6),
(294704,10115343,'15% chance to dispel when target takes damage',100,1,7),
(294705,10115343,'Does not affect Epic targets',100,1,8),
(294706,10115343,'Resistibility increases against targets higher than level 90.',100,1,9),
(294707,49027,'Applies Call Velium Demon Steed when Activated.',100,0,0),
(294708,49027,'Summons a mount to ride',100,1,1),
(294709,49027,'Increases your ground speed by 130%',100,2,2),
(294710,49027,'Increases Focus, Ordination, Disruption, Ministration and Subjugation of caster by 5.0',100,1,3),
(294711,10049027,'Applies Call Velium Demon Steed when Activated.',100,0,0),
(294712,10049027,'Summons a mount to ride',100,1,1),
(294713,10049027,'Increases your ground speed by 130%',100,2,2),
(294714,10049027,'Increases Focus, Ordination, Disruption, Ministration and Subjugation of caster by 5.0',100,1,3),
(294715,25283,'When Equipped:',100,0,0),
(294716,25283,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(294717,25283,'Reduces the reuse time of Ancient Wrath by 8 seconds.',100,1,2),
(294718,10025283,'When Equipped:',100,0,0),
(294719,10025283,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(294720,10025283,'Reduces the reuse time of Ancient Wrath by 8 seconds.',100,1,2),
(294721,121582,'Stuns target encounter',100,1,0),
(294722,121582,'Epic targets gain an immunity to Stun effects of 14.6 seconds and duration is reduced to 1.6 seconds.',100,1,1),
(294723,121582,'Resistibility increases against targets higher than level 45.',100,1,2),
(294724,10121582,'Stuns target encounter',100,1,0),
(294725,10121582,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(294726,10121582,'Resistibility increases against targets higher than level 45.',100,1,2),
(294727,100379,'Summons a pet aery hunter',100,1,0),
(294728,10100379,'Summons a pet aery hunter',100,1,0),
(294729,48144,'Applies essence of power when Activated.',100,0,0),
(294730,48144,'Increases power of caster by 338',100,1,1),
(294731,10048144,'Applies essence of power when Activated.',100,0,0),
(294732,10048144,'Increases power of caster by 265',100,1,1),
(294733,120793,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(294734,120793,'Stuns target',100,2,1),
(294735,120793,'Throws target back',100,2,2),
(294736,120793,'Blurs vision of target',100,2,3),
(294737,120793,'Does not affect Epic targets',100,2,4),
(294738,120793,'Inflicts 138 - 231 piercing damage on target',100,1,5),
(294739,10120793,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(294740,10120793,'Stuns target',100,2,1),
(294741,10120793,'Throws target back',100,2,2),
(294742,10120793,'Blurs vision of target',100,2,3),
(294743,10120793,'Does not affect Epic targets',100,2,4),
(294744,10120793,'Inflicts 166 - 277 piercing damage on target',100,1,5),
(294745,41683,'When Equipped:',100,0,0),
(294746,41683,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294747,41683,'Inflicts 138 - 257 magic damage on target',100,2,2),
(294748,41683,'Cannot be modified except by direct means',100,2,3),
(294749,10041683,'When Equipped:',100,0,0),
(294750,10041683,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294751,10041683,'Inflicts 166 - 309 magic damage on target',100,2,2),
(294752,10041683,'Cannot be modified except by direct means',100,2,3),
(294753,102694,'Inflicts 664 divine damage on target encounter',100,1,0),
(294754,10102694,'Inflicts 796 divine damage on target encounter',100,1,0),
(294755,118292,'Summons a limited pet to aid the caster',100,1,0),
(294756,10118292,'Summons a limited pet to aid the caster',100,1,0),
(294757,71010,'When Equipped:',100,0,0),
(294758,71010,'On a combat hit this spell may cast Stun IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(294759,71010,'Stuns target',100,2,2),
(294760,71010,'Does not affect Epic targets',100,2,3),
(294761,71010,'Resistibility increases against targets higher than level 112.',100,2,4),
(294762,71010,'Cannot be modified except by direct means',100,2,5),
(294763,10071010,'When Equipped:',100,0,0),
(294764,10071010,'On a combat hit this spell may cast Stun IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(294765,10071010,'Stuns target',100,2,2),
(294766,10071010,'Does not affect Epic targets',100,2,3),
(294767,10071010,'Resistibility increases against targets higher than level 112.',100,2,4),
(294768,10071010,'Cannot be modified except by direct means',100,2,5),
(294769,35090,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(294770,37221,'Increases STA and STR of target by 13.2',100,0,0),
(294771,37221,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(294772,118792,'Wards group members (AE) against 20 points of physical damage',100,1,0),
(294773,118792,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,1),
(294774,10118792,'Wards group members (AE) against 20 points of physical damage',100,1,0),
(294775,10118792,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,1),
(294776,100271,'Summons a limited pet to aid the caster',100,1,0),
(294777,10100271,'Summons a limited pet to aid the caster',100,1,0),
(294778,74980,'When Equipped:',100,0,0),
(294779,74980,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294780,74980,'Inflicts 63 - 94 magic damage on target',100,2,2),
(294781,74980,'Cannot be modified except by direct means',100,2,3),
(294782,10074980,'When Equipped:',100,0,0),
(294783,10074980,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294784,10074980,'Inflicts 75 - 113 magic damage on target',100,2,2),
(294785,10074980,'Cannot be modified except by direct means',100,2,3),
(294786,71779,'When Equipped:',100,0,0),
(294787,71779,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294788,71779,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(294789,71779,'Cannot be modified except by direct means',100,2,3),
(294790,10071779,'When Equipped:',100,0,0),
(294791,10071779,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(294792,10071779,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(294793,10071779,'Cannot be modified except by direct means',100,2,3),
(294794,118742,'Increases INT and WIS of group members (AE) by 12.5',100,1,0),
(294795,118742,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 38',100,1,1),
(294796,10118742,'Increases INT and WIS of group members (AE) by 12.5',100,1,0),
(294797,10118742,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 38',100,1,1),
(294798,112769,'Interrupts target',100,1,0),
(294799,112769,'Inflicts 196 - 327 divine damage on target',100,1,1),
(294800,10112769,'Interrupts target',100,1,0),
(294801,10112769,'Inflicts 236 - 393 divine damage on target',100,1,1),
(294802,122879,'Makes caster immune to strikethrough attacks.',100,1,0),
(294803,122879,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(294804,10122879,'Makes caster immune to strikethrough attacks.',100,1,0),
(294805,10122879,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(294806,118372,'Inflicts 125 - 209 melee damage on target',100,1,0),
(294807,118372,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(294808,118372,'Stuns target',100,2,2),
(294809,118372,'Throws target back',100,2,3),
(294810,118372,'Blurs vision of target',100,2,4),
(294811,118372,'Does not affect Epic targets',100,2,5),
(294812,10118372,'Inflicts 150 - 251 melee damage on target',100,1,0),
(294813,10118372,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(294814,10118372,'Stuns target',100,2,2),
(294815,10118372,'Throws target back',100,2,3),
(294816,10118372,'Blurs vision of target',100,2,4),
(294817,10118372,'Does not affect Epic targets',100,2,5),
(294818,108389,'Heals target for 113 - 138',100,1,0),
(294819,10108389,'Heals target for 135 - 164',100,1,0),
(294820,46713,'When Equipped:',100,0,0),
(294821,46713,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(294822,46713,'Inflicts 1031 divine damage on target',100,2,2),
(294823,46713,'Must be classified as a vampire',100,3,3),
(294824,46713,'Inflicts 516 divine damage on target',100,2,4),
(294825,46713,'Must not be classified as a vampire',100,3,5),
(294826,46713,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(294827,46713,'Must be classified as a vampire',100,3,7),
(294828,46713,'Cannot be modified except by direct means',100,2,8),
(294829,46713,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(294830,10046713,'When Equipped:',100,0,0),
(294831,10046713,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(294832,10046713,'Inflicts 1238 divine damage on target',100,2,2),
(294833,10046713,'Must be classified as a vampire',100,3,3),
(294834,10046713,'Inflicts 619 divine damage on target',100,2,4),
(294835,10046713,'Must not be classified as a vampire',100,3,5),
(294836,10046713,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(294837,10046713,'Must be classified as a vampire',100,3,7),
(294838,10046713,'Cannot be modified except by direct means',100,2,8),
(294839,10046713,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(294840,105530,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 28.4',100,1,0),
(294841,10105530,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 28.4',100,1,0),
(294842,119337,'Inflicts 57 - 85 disease damage on target',100,1,0),
(294843,119337,'Inflicts 23 - 34 disease damage on target every 4 seconds',100,1,1),
(294844,10119337,'Inflicts 68 - 102 disease damage on target',100,1,0),
(294845,10119337,'Inflicts 27 - 41 disease damage on target every 4 seconds',100,1,1),
(294846,115348,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(294847,115348,'Makes target afraid',100,2,1),
(294848,115348,'Slows target by 71.4%',100,2,2),
(294849,115348,'30% chance to dispel when target takes damage',100,2,3),
(294850,115348,'Does not affect Epic targets',100,2,4),
(294851,115348,'Resistibility increases against targets higher than level 102.',100,2,5),
(294852,115348,'Roots target',100,1,6),
(294853,115348,'15% chance to dispel when target takes damage',100,1,7),
(294854,115348,'Does not affect Epic targets',100,1,8),
(294855,115348,'Resistibility increases against targets higher than level 102.',100,1,9),
(294856,10115348,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(294857,10115348,'Makes target afraid',100,2,1),
(294858,10115348,'Slows target by 71.4%',100,2,2),
(294859,10115348,'30% chance to dispel when target takes damage',100,2,3),
(294860,10115348,'Does not affect Epic targets',100,2,4),
(294861,10115348,'Resistibility increases against targets higher than level 102.',100,2,5),
(294862,10115348,'Roots target',100,1,6),
(294863,10115348,'15% chance to dispel when target takes damage',100,1,7),
(294864,10115348,'Does not affect Epic targets',100,1,8),
(294865,10115348,'Resistibility increases against targets higher than level 102.',100,1,9),
(294866,118125,'Heals target for 817 - 999',100,1,0),
(294867,10118125,'Heals target for 966 - 1181',100,1,0),
(294868,24310,'Adds Drachnid (Defiler) to your Dungeon Maker toolbox',100,0,0),
(294869,10024310,'Adds Drachnid (Defiler) to your Dungeon Maker toolbox',100,0,0),
(294870,107913,'Mesmerizes target',100,1,0),
(294871,107913,'Prevents AOE (except when direct) ',100,1,1),
(294872,107913,'Dispelled when target takes damage',100,1,2),
(294873,107913,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(294874,107913,'Resistibility increases against targets higher than level 41.',100,1,4),
(294875,10107913,'Mesmerizes target',100,1,0),
(294876,10107913,'Prevents AOE (except when direct) ',100,1,1),
(294877,10107913,'Dispelled when target takes damage',100,1,2),
(294878,10107913,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(294879,10107913,'Resistibility increases against targets higher than level 41.',100,1,4),
(294880,104323,'Increases Out-of-Combat Power Regeneration of target by 4.2',100,1,0),
(294881,104323,'Increases Out-of-Combat Health Regeneration of target by 8.4',100,1,1),
(294882,104323,'Charms target',100,1,2),
(294883,104323,'If outside an arena',100,1,3),
(294884,104323,'Certain enemies cannot be charmed',100,1,4),
(294885,104323,'Only affects targets level 24 and below',100,1,5),
(294886,104323,'Does not affect Epic targets',100,1,6),
(294887,10104323,'Increases Out-of-Combat Power Regeneration of target by 4.2',100,1,0),
(294888,10104323,'Increases Out-of-Combat Health Regeneration of target by 8.4',100,1,1),
(294889,10104323,'Charms target',100,1,2),
(294890,10104323,'If outside an arena',100,1,3),
(294891,10104323,'Certain enemies cannot be charmed',100,1,4),
(294892,10104323,'Only affects targets level 24 and below',100,1,5),
(294893,10104323,'Does not affect Epic targets',100,1,6),
(294894,101541,'Inflicts 40 - 67 melee damage on target',100,1,0),
(294895,101541,'You must be sneaking to use this ability.',100,1,1),
(294896,10101541,'Inflicts 48 - 81 melee damage on target',100,1,0),
(294897,10101541,'You must be sneaking to use this ability.',100,1,1),
(294898,46398,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(294899,46398,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(294900,46398,'Decreases AGI of target by 71.5',100,2,2),
(294901,46398,'Decreases Deflection, Defense and Parry of target by 27.0',100,2,3),
(294902,46398,'Cannot be modified except by direct means',100,2,4),
(294903,46398,'Grants a total of 60 triggers of the spell.',100,2,5),
(294904,10046398,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(294905,10046398,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(294906,10046398,'Decreases AGI of target by 71.5',100,2,2),
(294907,10046398,'Decreases Deflection, Defense and Parry of target by 27.0',100,2,3),
(294908,10046398,'Cannot be modified except by direct means',100,2,4),
(294909,10046398,'Grants a total of 60 triggers of the spell.',100,2,5),
(294910,103405,'Decreases Threat to targets in Area of Effect by 792 ',100,1,0),
(294911,103405,'Slows targets in Area of Effect by 38.5%',100,1,1),
(294912,103405,'Stifles targets in Area of Effect',100,1,2),
(294913,103405,'If Target is not Epic',100,2,3),
(294914,103405,'10% chance to dispel when target receives hostile action',100,1,4),
(294915,103405,'10% chance to dispel when target takes damage',100,1,5),
(294916,10103405,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(294917,10103405,'Slows targets in Area of Effect by 38.5%',100,1,1),
(294918,10103405,'Stifles targets in Area of Effect',100,1,2),
(294919,10103405,'If Target is not Epic',100,2,3),
(294920,80598,'When Equipped:',100,0,0),
(294921,80598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294922,80598,'Inflicts 50 - 93 magic damage on target',100,2,2),
(294923,80598,'Cannot be modified except by direct means',100,2,3),
(294924,10080598,'When Equipped:',100,0,0),
(294925,10080598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(294926,10080598,'Inflicts 60 - 111 magic damage on target',100,2,2),
(294927,10080598,'Cannot be modified except by direct means',100,2,3),
(294928,113690,'Stuns target',100,1,0),
(294929,113690,'If Target is not Epic',100,2,1),
(294930,113690,'Inflicts 647 - 1079 heat damage on target',100,1,2),
(294931,113690,'Resistibility increases against targets higher than level 73.',100,1,3),
(294932,10113690,'Stuns target',100,1,0),
(294933,10113690,'If Target is not Epic',100,2,1),
(294934,10113690,'Inflicts 777 - 1295 heat damage on target',100,1,2),
(294935,10113690,'Resistibility increases against targets higher than level 73.',100,1,3),
(294936,104605,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(294937,10104605,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(294938,118191,'Increases Damage Per Second of group members (AE) by 12.4',100,1,0),
(294939,10118191,'Increases Damage Per Second of group members (AE) by 12.4',100,1,0),
(294940,104408,'Inflicts 164 - 200 mental damage on target encounter instantly and every second',100,1,0),
(294941,104408,'Stifles target encounter',100,1,1),
(294942,104408,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(294943,104408,'Resistibility increases against targets higher than level 79.',100,1,3),
(294944,10104408,'Inflicts 183 - 223 mental damage on target encounter instantly and every 0.4 seconds',100,1,0),
(294945,10104408,'Stifles target encounter',100,1,1),
(294946,10104408,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(294947,10104408,'Resistibility increases against targets higher than level 79.',100,1,3),
(294948,101337,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(294949,101337,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 272',100,1,1),
(294950,101337,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,2),
(294951,10101337,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(294952,10101337,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 272',100,1,1),
(294953,10101337,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,2),
(294954,155059,'When Equipped:',100,0,0),
(294955,155059,'On a hostile spell cast this spell may cast Massive Concussive Shock on target of spell.  Lasts for 7.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(294956,155059,'Stuns target encounter',100,2,2),
(294957,155059,'Must not be engaged in pvp combat',100,2,3),
(294958,155059,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,4),
(294959,155059,'Resistibility increases against targets higher than level 112.',100,2,5),
(294960,155059,'Cannot be modified except by direct means',100,2,6),
(294961,155059,'Must not be engaged in pvp combat',100,1,7),
(294962,155059,'When Equipped:',100,0,8),
(294963,155059,'Reduces reuse time of hostile spells by 3 percent.',100,1,9),
(294964,10155059,'When Equipped:',100,0,0),
(294965,10155059,'On a hostile spell cast this spell may cast Massive Concussive Shock on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(294966,10155059,'Stuns target encounter',100,2,2),
(294967,10155059,'Must not be engaged in pvp combat',100,2,3),
(294968,10155059,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,4),
(294969,10155059,'Resistibility increases against targets higher than level 112.',100,2,5),
(294970,10155059,'Cannot be modified except by direct means',100,2,6),
(294971,10155059,'Must not be engaged in pvp combat',100,1,7),
(294972,10155059,'When Equipped:',100,0,8),
(294973,10155059,'Reduces reuse time of hostile spells by 3 percent.',100,1,9),
(294974,36577,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(294975,110470,'Stifles caster',100,1,0),
(294976,110470,'Increases power of caster by 7 instantly and every second',100,1,1),
(294977,10110470,'Stifles caster',100,1,0),
(294978,10110470,'Increases power of caster by 7 instantly and every second',100,1,1),
(294979,138404,'When Equipped:',100,0,0),
(294980,138404,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(294981,138404,'Heals group members (AE) for 583',100,2,2),
(294982,138404,'Cannot be modified except by direct means',100,2,3),
(294983,10138404,'When Equipped:',100,0,0),
(294984,10138404,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(294985,10138404,'Heals group members (AE) for 682',100,2,2),
(294986,10138404,'Cannot be modified except by direct means',100,2,3),
(294987,37401,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(294988,105211,'Decreases STR and INT of target by 25.9',100,1,0),
(294989,105211,'Only affects targets level 20 and above',100,1,1),
(294990,10105211,'Decreases STR and INT of target by 25.9',100,1,0),
(294991,10105211,'Only affects targets level 20 and above',100,1,1),
(294992,35238,'Increases AGI of target by 4.3',100,0,0),
(294993,35238,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(294994,114216,'Inflicts 630 - 1051 melee damage on target',100,1,0),
(294995,114216,'Decreases Slashing, Crushing and Piercing of target by 22.2',100,1,1),
(294996,10114216,'Inflicts 756 - 1261 melee damage on target',100,1,0),
(294997,10114216,'Decreases Slashing, Crushing and Piercing of target by 22.2',100,1,1),
(294998,72047,'When Equipped:',100,0,0),
(294999,72047,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(295000,72047,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(295001,72047,'Cannot be modified except by direct means',100,2,3),
(295002,10072047,'When Equipped:',100,0,0),
(295003,10072047,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(295004,10072047,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(295005,10072047,'Cannot be modified except by direct means',100,2,3),
(295006,121345,'Inflicts 10 - 18 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(295007,10121345,'Inflicts 11 - 21 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(295008,46870,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(295009,46870,'Wards caster against 903 points of elemental damage',100,1,1),
(295010,10046870,'Applies elemental reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(295011,10046870,'Wards caster against 903 points of elemental damage',100,1,1),
(295012,45042,'Applies Immortalize Chel''Drak when Activated.',100,0,0),
(295013,45042,'Summon 1 Trophy: Chel''Drak''s Head',100,1,1),
(295014,45042,'This effect cannot be cast during combat',100,1,2),
(295015,10045042,'Applies Immortalize Chel''Drak when Activated.',100,0,0),
(295016,10045042,'Summon 1 Trophy: Chel''Drak''s Head',100,1,1),
(295017,10045042,'This effect cannot be cast during combat',100,1,2),
(295018,85104,'When Equipped:',100,0,0),
(295019,85104,'This effect will not stack with any rank or tier of itself.',100,1,1),
(295020,85104,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(295021,85104,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(295022,85104,'Increases Attack Speed of caster by 11.0',100,1,4),
(295023,85104,'Cannot be modified except by direct means',100,1,5),
(295024,85104,'When Equipped:',100,0,6),
(295025,85104,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(295026,85104,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(295027,85104,'Inflicts 2369 - 2618 poison damage on target',100,2,9),
(295028,85104,'Heals caster for 1185 - 1309',100,2,10),
(295029,85104,'Decreases Ranged, Slashing, Piercing and Crushing of target by 22.0',100,2,11),
(295030,85104,'Decreases Mitigation of target vs physical damage by 528',100,2,12),
(295031,85104,'Must not be engaged in pvp combat',100,2,13),
(295032,85104,'Cannot be modified except by direct means',100,2,14),
(295033,85104,'Cannot be modified except by direct means',100,1,15),
(295034,85104,'When Equipped:',100,0,16),
(295035,85104,'This effect will not stack with any rank or tier of itself.',100,1,17),
(295036,85104,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,18),
(295037,85104,'Increases Attack Speed of caster by 4.5',100,1,19),
(295038,85104,'Increases Damage Per Second of caster by 11.0',100,1,20),
(295039,85104,'Cannot be modified except by direct means',100,1,21),
(295040,85104,'When Equipped:',100,0,22),
(295041,85104,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,23),
(295042,85104,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,24),
(295043,85104,'Increases Attack Speed of caster by 6.0',100,2,25),
(295044,85104,'Increases Damage Per Second of caster by 9.0',100,2,26),
(295045,85104,'Increases Multi Attack Chance of caster by 22.0',100,2,27),
(295046,85104,'Must not be engaged in pvp combat',100,2,28),
(295047,85104,'Cannot be modified except by direct means',100,2,29),
(295048,85104,'Cannot be modified except by direct means',100,1,30),
(295049,10085104,'When Equipped:',100,0,0),
(295050,10085104,'This effect will not stack with any rank or tier of itself.',100,1,1),
(295051,10085104,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(295052,10085104,'Increases Multi Attack Chance of caster by 3.0',100,1,3),
(295053,10085104,'Increases Attack Speed of caster by 11.0',100,1,4),
(295054,10085104,'Cannot be modified except by direct means',100,1,5),
(295055,10085104,'When Equipped:',100,0,6),
(295056,10085104,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(295057,10085104,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(295058,10085104,'Inflicts 2843 - 3142 poison damage on target',100,2,9),
(295059,10085104,'Heals caster for 1386 - 1532',100,2,10),
(295060,10085104,'Decreases Ranged, Slashing, Piercing and Crushing of target by 22.0',100,2,11),
(295061,10085104,'Decreases Mitigation of target vs physical damage by 528',100,2,12),
(295062,10085104,'Must not be engaged in pvp combat',100,2,13),
(295063,10085104,'Cannot be modified except by direct means',100,2,14),
(295064,10085104,'Cannot be modified except by direct means',100,1,15),
(295065,10085104,'When Equipped:',100,0,16),
(295066,10085104,'This effect will not stack with any rank or tier of itself.',100,1,17),
(295067,10085104,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,18),
(295068,10085104,'Increases Attack Speed of caster by 4.5',100,1,19),
(295069,10085104,'Increases Damage Per Second of caster by 11.0',100,1,20),
(295070,10085104,'Cannot be modified except by direct means',100,1,21),
(295071,10085104,'When Equipped:',100,0,22),
(295072,10085104,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,23),
(295073,10085104,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,24),
(295074,10085104,'Increases Attack Speed of caster by 6.0',100,2,25),
(295075,10085104,'Increases Damage Per Second of caster by 9.0',100,2,26),
(295076,10085104,'Increases Multi Attack Chance of caster by 22.0',100,2,27),
(295077,10085104,'Must not be engaged in pvp combat',100,2,28),
(295078,10085104,'Cannot be modified except by direct means',100,2,29),
(295079,10085104,'Cannot be modified except by direct means',100,1,30),
(295080,45420,'Applies Call Bronze Armored Rhino with Yellow Saddle when Activated.',100,0,0),
(295081,45420,'Summons a mount to ride',100,1,1),
(295082,45420,'Increases your ground speed by 130%',100,2,2),
(295083,45420,'Increases Max Health of caster by 100.0',100,1,3),
(295084,45420,'Increases Defense of caster by 3.0',100,1,4),
(295085,45420,'Increases Crushing, Focus, Slashing, Ranged and Piercing of caster by 7.0',100,1,5),
(295086,10045420,'Applies Call Bronze Armored Rhino with Yellow Saddle when Activated.',100,0,0),
(295087,10045420,'Summons a mount to ride',100,1,1),
(295088,10045420,'Increases your ground speed by 130%',100,2,2),
(295089,10045420,'Increases Max Health of caster by 100.0',100,1,3),
(295090,10045420,'Increases Defense of caster by 3.0',100,1,4),
(295091,10045420,'Increases Crushing, Focus, Slashing, Ranged and Piercing of caster by 7.0',100,1,5),
(295092,119262,'Inflicts 24 - 40 slashing damage on target',100,1,0),
(295093,119262,'Decreases Damage Per Second of target by 10.8',100,1,1),
(295094,119262,'Inflicts 32 slashing damage on target instantly and every 4 seconds',100,1,2),
(295095,10119262,'Inflicts 29 - 48 slashing damage on target',100,1,0),
(295096,10119262,'Decreases Damage Per Second of target by 10.8',100,1,1),
(295097,10119262,'Inflicts 39 slashing damage on target instantly and every 4 seconds',100,1,2),
(295098,115796,'Increases in-combat movement speed of group members (AE) by 64.0%',100,1,0),
(295099,115796,'Dispels 56 levels of hostile Root effects on group members (AE)',100,1,1),
(295100,10115796,'Increases in-combat movement speed of group members (AE) by 40.0%',100,1,0),
(295101,10115796,'Dispels 56 levels of hostile Root effects on group members (AE)',100,1,1),
(295102,111852,'Inflicts 391 - 652 melee damage on target',100,1,0),
(295103,111852,'Roots target',100,1,1),
(295104,111852,'If Target is not Epic',100,2,2),
(295105,111852,'Resistibility increases against targets higher than level 118.',100,1,3),
(295106,10111852,'Inflicts 423 - 705 melee damage on target',100,1,0),
(295107,10111852,'Roots target',100,1,1),
(295108,10111852,'If Target is not Epic',100,2,2),
(295109,10111852,'Resistibility increases against targets higher than level 118.',100,1,3),
(295110,48775,'Applies Elixir of Understanding  when Activated.',100,0,0),
(295111,48775,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(295112,10048775,'Applies Elixir of Understanding  when Activated.',100,0,0),
(295113,10048775,'Dispels 38 levels of arcane hostile effects on caster',100,1,1),
(295114,100734,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(295115,100734,'Increases Mitigation of group members (AE) vs noxious damage by 1304',100,1,1),
(295116,10100734,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(295117,10100734,'Increases Mitigation of group members (AE) vs noxious damage by 1304',100,1,1),
(295118,121107,'Decreases Threat to targets in Area of Effect by 2,493 ',100,1,0),
(295119,121107,'Mesmerizes targets in Area of Effect',100,1,1),
(295120,121107,'If Target is not Epic',100,2,2),
(295121,121107,'Dispelled when target takes damage',100,1,3),
(295122,10121107,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(295123,10121107,'Applies Distract.',100,1,1),
(295124,10121107,'Forces target to clear their selected target.',100,2,2),
(295125,10121107,'Mesmerizes targets in Area of Effect',100,1,3),
(295126,10121107,'If Target is not Epic',100,2,4),
(295127,10121107,'Dispelled when target takes damage',100,1,5),
(295128,37504,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(295129,85901,'When Equipped:',100,0,0),
(295130,85901,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(295131,85901,'Inflicts 148 - 246 heat damage on target',100,2,2),
(295132,85901,'Cannot be modified except by direct means',100,2,3),
(295133,10085901,'When Equipped:',100,0,0),
(295134,10085901,'On a combat hit this spell may cast Ancient Flame on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(295135,10085901,'Inflicts 177 - 296 heat damage on target',100,2,2),
(295136,10085901,'Cannot be modified except by direct means',100,2,3),
(295137,116276,'Summons a pet Illusion Ally',100,1,0),
(295138,10116276,'Summons a pet Illusion Ally',100,1,0),
(295139,110655,'Heals target for 21',100,1,0),
(295140,110655,'Dispels 7 levels of any hostile effects on target',100,1,1),
(295141,10110655,'Heals target for 13',100,1,0),
(295142,10110655,'Dispels 7 levels of any hostile effects on target',100,1,1),
(295143,110545,'Summons a pet attack hawk',100,1,0),
(295144,10110545,'Summons a pet attack hawk',100,1,0),
(295145,111602,'Inflicts 37 - 69 cold damage on target instantly and every 4 seconds',100,1,0),
(295146,111602,'Decreases Mitigation of target vs elemental damage by 660',100,1,1),
(295147,10111602,'Inflicts 45 - 83 cold damage on target instantly and every 4 seconds',100,1,0),
(295148,10111602,'Decreases Mitigation of target vs elemental damage by 660',100,1,1),
(295149,35645,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(295150,45933,'Applies Call Dervish Destrier when Activated.',100,0,0),
(295151,45933,'Summons a mount to ride',100,1,1),
(295152,45933,'Increases your ground speed by 130%',100,2,2),
(295153,45933,'Increases Focus, Piercing, Slashing and Crushing of caster by 4.7',100,1,3),
(295154,10045933,'Applies Call Dervish Destrier when Activated.',100,0,0),
(295155,10045933,'Summons a mount to ride',100,1,1),
(295156,10045933,'Increases your ground speed by 130%',100,2,2),
(295157,10045933,'Increases Focus, Piercing, Slashing and Crushing of caster by 4.7',100,1,3),
(295158,100401,'Summons a pet aery hunter',100,1,0),
(295159,10100401,'Summons a pet aery hunter',100,1,0),
(295160,104815,'Increases caster''s chance to block by 10.0%',100,1,0),
(295161,104815,'Decreases Attack Speed of caster by 17.8',100,1,1),
(295162,104815,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(295163,104815,'Increases Parry of caster by 26.6',100,1,3),
(295164,104815,'Increases Defense of caster by 26.6',100,1,4),
(295165,10104815,'Increases caster''s chance to block by 10.0%',100,1,0),
(295166,10104815,'Decreases Attack Speed of caster by 17.8',100,1,1),
(295167,10104815,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(295168,10104815,'Increases Parry of caster by 26.6',100,1,3),
(295169,10104815,'Increases Defense of caster by 26.6',100,1,4),
(295170,100658,'Increases AGI, STR and STA of target by 57.5',100,1,0),
(295171,100658,'Adds 1.4% to base avoidance.',100,1,1),
(295172,10100658,'Increases AGI, STR and STA of target by 57.5',100,1,0),
(295173,10100658,'Adds 1.4% to base avoidance.',100,1,1),
(295174,182443,'When Equipped:',100,0,0),
(295175,182443,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295176,182443,'Increases power of caster by 189 instantly and every 4 seconds',100,2,2),
(295177,182443,'Cannot be modified except by direct means',100,2,3),
(295178,10182443,'When Equipped:',100,0,0),
(295179,10182443,'On a hit this spell may cast Manaweave on caster.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295180,10182443,'Increases power of caster by 189 instantly and every 4 seconds',100,2,2),
(295181,10182443,'Cannot be modified except by direct means',100,2,3),
(295182,112052,'Roots target',100,1,0),
(295183,112052,'Stifles target',100,1,1),
(295184,112052,'If Target is not Epic',100,2,2),
(295185,112052,'20% chance to dispel when target takes damage',100,1,3),
(295186,112052,'Does not affect Epic targets',100,1,4),
(295187,112052,'Resistibility increases against targets higher than level 116.',100,1,5),
(295188,10112052,'Roots target',100,1,0),
(295189,10112052,'Stifles target',100,1,1),
(295190,10112052,'If Target is not Epic',100,2,2),
(295191,10112052,'20% chance to dispel when target takes damage',100,1,3),
(295192,10112052,'Does not affect Epic targets',100,1,4),
(295193,10112052,'Resistibility increases against targets higher than level 116.',100,1,5),
(295194,135397,'When Equipped:',100,0,0),
(295195,135397,'Increases disease damage done by spells by up to 50.',100,1,1),
(295196,10135397,'When Equipped:',100,0,0),
(295197,10135397,'Increases disease damage done by spells by up to 50.',100,1,1),
(295198,81561,'When Equipped:',100,0,0),
(295199,81561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295200,81561,'Inflicts 112 - 208 magic damage on target',100,2,2),
(295201,81561,'Cannot be modified except by direct means',100,2,3),
(295202,10081561,'When Equipped:',100,0,0),
(295203,10081561,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295204,10081561,'Inflicts 135 - 250 magic damage on target',100,2,2),
(295205,10081561,'Cannot be modified except by direct means',100,2,3),
(295206,164301,'When Equipped:',100,0,0),
(295207,164301,'Caster will have their chance to hit with a weapon increased by 1.6%',100,1,1),
(295208,164301,'Increases Ranged, Crushing, Piercing and Slashing of caster by 20.0',100,1,2),
(295209,164301,'Must not be engaged in pvp combat',100,1,3),
(295210,10164301,'When Equipped:',100,0,0),
(295211,10164301,'Caster will have their chance to hit with a weapon increased by 1.6%',100,1,1),
(295212,10164301,'Increases Ranged, Crushing, Piercing and Slashing of caster by 20.0',100,1,2),
(295213,10164301,'Must not be engaged in pvp combat',100,1,3),
(295214,158335,'Applies Hooluk in a Hat when Activated.',100,0,0),
(295215,158335,'Summons a pet Hooluk',100,1,1),
(295216,158335,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(295217,10158335,'Applies Hooluk in a Hat when Activated.',100,0,0),
(295218,10158335,'Summons a pet Hooluk',100,1,1),
(295219,10158335,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(295220,48018,'Applies Aura of Mystical Shattering when Activated.',100,0,0),
(295221,48018,'Mystical countermagic used to thwart specific invulnerability effects.',100,1,1),
(295222,10048018,'Applies Aura of Mystical Shattering when Activated.',100,0,0),
(295223,10048018,'Mystical countermagic used to thwart specific invulnerability effects.',100,1,1),
(295224,101264,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(295225,101264,'Inflicts 254 - 423 mental damage on target',100,2,1),
(295226,10101264,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(295227,10101264,'Inflicts 304 - 507 mental damage on target',100,2,1),
(295228,103733,'Increases Max Health of raid and group members (AE) by 479.2',100,1,0),
(295229,103733,'Increases Defense of raid and group members (AE) by 16.3',100,1,1),
(295230,10103733,'Increases Max Health of raid and group members (AE) by 479.2',100,1,0),
(295231,10103733,'Increases Defense of raid and group members (AE) by 16.3',100,1,1),
(295232,112673,'Increases Parry of group members (AE) by 17.3',100,1,0),
(295233,10112673,'Increases Parry of group members (AE) by 17.3',100,1,0),
(295234,121886,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(295235,121886,'Inflicts 391 - 478 mental damage on target',100,2,1),
(295236,121886,'Decreases Threat to target by 975 - 1,192 ',100,2,2),
(295237,121886,'If profession other than Fighter',100,3,3),
(295238,10121886,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(295239,10121886,'Inflicts 469 - 574 mental damage on target',100,2,1),
(295240,70789,'When Equipped:',100,0,0),
(295241,70789,'On a combat hit this spell may cast Nature''s Retort on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295242,70789,'Inflicts 160 magic damage on target',100,2,2),
(295243,70789,'Cannot be modified except by direct means',100,2,3),
(295244,10070789,'When Equipped:',100,0,0),
(295245,10070789,'On a combat hit this spell may cast Nature''s Retort on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295246,10070789,'Inflicts 192 magic damage on target',100,2,2),
(295247,10070789,'Cannot be modified except by direct means',100,2,3),
(295248,48999,'Applies Call Ulteran Prowler when Activated.',100,0,0),
(295249,48999,'Summons a mount to ride',100,1,1),
(295250,48999,'Increases your ground speed by 135%',100,2,2),
(295251,48999,'Increases Aggression, Ranged, Crushing, Piercing, Ordination, Disruption, Slashing, Ministration, Focus and Subjugation of caster by 5.0',100,1,3),
(295252,10048999,'Applies Call Ulteran Prowler when Activated.',100,0,0),
(295253,10048999,'Summons a mount to ride',100,1,1),
(295254,10048999,'Increases your ground speed by 135%',100,2,2),
(295255,10048999,'Increases Aggression, Ranged, Crushing, Piercing, Ordination, Disruption, Slashing, Ministration, Focus and Subjugation of caster by 5.0',100,1,3),
(295256,75025,'Applies Lightning Shock when Activated.',100,0,0),
(295257,75025,'Inflicts 223 - 372 magic damage on target',100,1,1),
(295258,75025,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(295259,10075025,'Applies Lightning Shock when Activated.',100,0,0),
(295260,10075025,'Inflicts 268 - 446 magic damage on target',100,1,1),
(295261,10075025,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(295262,112686,'Increases Parry of group members (AE) by 27.0',100,1,0),
(295263,10112686,'Increases Parry of group members (AE) by 27.0',100,1,0),
(295264,162535,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(295265,162535,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(295266,162535,'Cannot be modified except by direct means',100,1,2),
(295267,10162535,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(295268,10162535,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(295269,10162535,'Cannot be modified except by direct means',100,1,2),
(295270,107628,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(295271,107628,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(295272,10107628,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(295273,10107628,'Increases Mitigation of group members (AE) vs elemental damage by 392',100,1,1),
(295274,119664,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(295275,119664,'Stuns target',100,2,1),
(295276,119664,'Throws target back',100,2,2),
(295277,119664,'Blurs vision of target',100,2,3),
(295278,119664,'Does not affect Epic targets',100,2,4),
(295279,119664,'Inflicts 178 - 534 melee damage on target',100,1,5),
(295280,10119664,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(295281,10119664,'Stuns target',100,2,1),
(295282,10119664,'Blurs vision of target',100,2,2),
(295283,10119664,'Throws target back',100,2,3),
(295284,10119664,'Does not affect Epic targets',100,2,4),
(295285,10119664,'Inflicts 213 - 641 melee damage on target',100,1,5),
(295286,81183,'When Equipped:',100,0,0),
(295287,81183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295288,81183,'Inflicts 151 - 280 magic damage on target',100,2,2),
(295289,81183,'Cannot be modified except by direct means',100,2,3),
(295290,10081183,'When Equipped:',100,0,0),
(295291,10081183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295292,10081183,'Inflicts 181 - 336 magic damage on target',100,2,2),
(295293,10081183,'Cannot be modified except by direct means',100,2,3),
(295294,106777,'Mesmerizes target',100,1,0),
(295295,106777,'Prevents AOE (except when direct) ',100,1,1),
(295296,106777,'Dispelled when target takes damage',100,1,2),
(295297,106777,'Does not affect Epic targets',100,1,3),
(295298,106777,'Resistibility increases against targets higher than level 97.',100,1,4),
(295299,10106777,'Mesmerizes target',100,1,0),
(295300,10106777,'Prevents AOE (except when direct) ',100,1,1),
(295301,10106777,'Dispelled when target takes damage',100,1,2),
(295302,10106777,'Does not affect Epic targets',100,1,3),
(295303,10106777,'Resistibility increases against targets higher than level 97.',100,1,4),
(295304,104596,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(295305,104596,'Slows target by 32.0%',100,2,1),
(295306,104596,'5% chance to dispel when target receives hostile action',100,2,2),
(295307,104596,'5% chance to dispel when target takes damage',100,2,3),
(295308,104596,'Inflicts 33 - 41 cold damage on target',100,1,4),
(295309,10104596,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(295310,10104596,'Slows target by 32.0%',100,2,1),
(295311,10104596,'5% chance to dispel when target receives hostile action',100,2,2),
(295312,10104596,'5% chance to dispel when target takes damage',100,2,3),
(295313,10104596,'Inflicts 40 - 49 cold damage on target',100,1,4),
(295314,111458,'Decreases Attack Speed of caster by 17.9',100,1,0),
(295315,111458,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(295316,111458,'Roots target',100,2,2),
(295317,111458,'5% chance to dispel when target takes damage',100,2,3),
(295318,111458,'5% chance to dispel when target receives hostile action',100,2,4),
(295319,111458,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(295320,111458,'Increases Mitigation of caster vs physical damage by 995',100,1,6),
(295321,10111458,'Decreases Attack Speed of caster by 17.9',100,1,0),
(295322,10111458,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(295323,10111458,'Roots target',100,2,2),
(295324,10111458,'5% chance to dispel when target takes damage',100,2,3),
(295325,10111458,'5% chance to dispel when target receives hostile action',100,2,4),
(295326,10111458,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(295327,10111458,'Increases Mitigation of caster vs physical damage by 995',100,1,6),
(295328,107127,'Inflicts 117 - 142 divine damage on target',100,1,0),
(295329,107127,'Inflicts 117 - 142 divine damage on target',100,1,1),
(295330,107127,'If target is undead',100,2,2),
(295331,10107127,'Inflicts 140 - 171 divine damage on target',100,1,0),
(295332,10107127,'Inflicts 140 - 171 divine damage on target',100,1,1),
(295333,87090,'Applies Frost Blast when Activated.',100,0,0),
(295334,87090,'Inflicts 173 - 289 cold damage on target',100,1,1),
(295335,87090,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(295336,10087090,'Applies Frost Blast when Activated.',100,0,0),
(295337,10087090,'Inflicts 208 - 347 cold damage on target',100,1,1),
(295338,10087090,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(295339,107265,'Inflicts 72 - 120 ranged damage on target',100,1,0),
(295340,107265,'Inflicts 72 - 120 ranged damage on target',100,1,1),
(295341,107265,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(295342,107265,'Stuns target',100,2,3),
(295343,107265,'Throws target back',100,2,4),
(295344,107265,'Blurs vision of target',100,2,5),
(295345,107265,'Does not affect Epic targets',100,2,6),
(295346,107265,'If weapon equipped in Ranged',100,1,7),
(295347,10107265,'Inflicts 54 - 90 ranged damage on target',100,1,0),
(295348,10107265,'Inflicts 54 - 90 ranged damage on target',100,1,1),
(295349,10107265,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(295350,10107265,'Stuns target',100,2,3),
(295351,10107265,'Blurs vision of target',100,2,4),
(295352,10107265,'Throws target back',100,2,5),
(295353,10107265,'Does not affect Epic targets',100,2,6),
(295354,10107265,'If weapon equipped in Ranged',100,1,7),
(295355,115643,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 560',100,1,0),
(295356,10115643,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 560',100,1,0),
(295357,110510,'Increases Threat to target by 302  instantly and by 126  every 3 seconds thereafter',100,1,0),
(295358,110510,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(295359,110510,'Stuns target',100,2,2),
(295360,110510,'Throws target back',100,2,3),
(295361,110510,'Blurs vision of target',100,2,4),
(295362,110510,'Does not affect Epic targets',100,2,5),
(295363,110510,'Inflicts 33 - 55 disease damage on target',100,1,6),
(295364,10110510,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(295365,10110510,'Stuns target',100,2,1),
(295366,10110510,'Blurs vision of target',100,2,2),
(295367,10110510,'Throws target back',100,2,3),
(295368,10110510,'Does not affect Epic targets',100,2,4),
(295369,10110510,'Forces target to change their selected target to caster.',100,1,5),
(295370,10110510,'Inflicts 33 - 55 disease damage on target',100,1,6),
(295371,10110510,'Prevents target from changing targets',100,1,7),
(295372,100220,'Increases Threat to target encounter by 1,107 - 1,251 ',100,1,0),
(295373,100220,'Interrupts target encounter',100,1,1),
(295374,10100220,'Interrupts target encounter',100,1,0),
(295375,10100220,'Forces target encounter to change their selected target to caster.',100,1,1),
(295376,10100220,'Prevents target encounter from changing targets',100,1,2),
(295377,35360,'Increases AGI of target by 10.5',100,0,0),
(295378,35360,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(295379,36769,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(295380,118453,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(295381,118453,'Inflicts 14 - 17 heat damage on target instantly and every second',100,2,1),
(295382,10118453,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(295383,10118453,'Inflicts 16 - 20 heat damage on target instantly and every second',100,2,1),
(295384,74726,'When Equipped:',100,0,0),
(295385,74726,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295386,74726,'Inflicts 118 - 178 magic damage on target',100,2,2),
(295387,74726,'Cannot be modified except by direct means',100,2,3),
(295388,10074726,'When Equipped:',100,0,0),
(295389,10074726,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295390,10074726,'Inflicts 142 - 213 magic damage on target',100,2,2),
(295391,10074726,'Cannot be modified except by direct means',100,2,3),
(295392,45649,'Applies Elixir of the Quickfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(295393,45649,'Increases AGI of caster by 9.0',100,1,1),
(295394,10045649,'Applies Elixir of the Quickfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(295395,10045649,'Increases AGI of caster by 9.0',100,1,1),
(295396,47584,'Applies Greater Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(295397,47584,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(295398,10047584,'Applies Greater Rejuvenation when Activated.  Lasts for 30.0 seconds.',100,0,0),
(295399,10047584,'Increases power of caster by 22 instantly and every 5 seconds',100,1,1),
(295400,111469,'Increases AGI of caster by 9.7',100,1,0),
(295401,111469,'Increases Attack Speed of caster by 13.7',100,1,1),
(295402,111469,'Increases in-combat movement speed of caster by 5.0%',100,1,2),
(295403,111469,'Adds 15.6% to base avoidance.',100,1,3),
(295404,111469,'Increases Mitigation of caster vs physical damage by 77',100,1,4),
(295405,111469,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 172',100,1,5),
(295406,10111469,'Increases AGI of caster by 9.7',100,1,0),
(295407,10111469,'Increases Attack Speed of caster by 13.7',100,1,1),
(295408,10111469,'Increases speed of caster by 5.0%',100,1,2),
(295409,10111469,'Adds 15.6% to base avoidance.',100,1,3),
(295410,10111469,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 172',100,1,4),
(295411,71893,'When Equipped:',100,0,0),
(295412,71893,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(295413,71893,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(295414,71893,'Cannot be modified except by direct means',100,2,3),
(295415,10071893,'When Equipped:',100,0,0),
(295416,10071893,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(295417,10071893,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(295418,10071893,'Cannot be modified except by direct means',100,2,3),
(295419,117487,'Increases Attack Speed of target by 28.1',100,1,0),
(295420,10117487,'Increases Attack Speed of target by 28.1',100,1,0),
(295421,24632,'Adds Poet''s Palace: Broken Mandolin to your Dungeon Maker toolbox',100,0,0),
(295422,10024632,'Adds Poet''s Palace: Broken Mandolin to your Dungeon Maker toolbox',100,0,0),
(295423,122267,'Makes targets in Area of Effect afraid',100,1,0),
(295424,122267,'If Target is not Epic',100,2,1),
(295425,122267,'Decreases Threat to targets in Area of Effect by 792 ',100,1,2),
(295426,122267,'30% chance to dispel when target takes damage',100,1,3),
(295427,10122267,'Makes targets in Area of Effect afraid',100,1,0),
(295428,10122267,'If Target is not Epic',100,2,1),
(295429,10122267,'Applies Distract.',100,1,2),
(295430,10122267,'Forces target to clear their selected target.',100,2,3),
(295431,10122267,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(295432,10122267,'30% chance to dispel when target takes damage',100,1,5),
(295433,45395,'Applies Summon the Good Gear Man when Activated.  Lasts for 5 minutes.',100,0,0),
(295434,45395,'Summons the Good Gear Man to sell iced cream to all the good little neighborhood elves and dwarves.',100,1,1),
(295435,10045395,'Applies Summon the Good Gear Man when Activated.  Lasts for 5 minutes.',100,0,0),
(295436,10045395,'Summons the Good Gear Man to sell iced cream to all the good little neighborhood elves and dwarves.',100,1,1),
(295437,118286,'Summons a limited pet to aid the caster',100,1,0),
(295438,10118286,'Summons a limited pet to aid the caster',100,1,0),
(295439,164732,'When Equipped:',100,0,0),
(295440,164732,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(295441,164732,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(295442,164732,'Must not be engaged in pvp combat',100,2,3),
(295443,164732,'Cannot be modified except by direct means',100,2,4),
(295444,164732,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(295445,164732,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(295446,164732,'Must not be engaged in pvp combat',100,2,7),
(295447,164732,'Cannot be modified except by direct means',100,2,8),
(295448,164732,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(295449,164732,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(295450,164732,'Must not be engaged in pvp combat',100,2,11),
(295451,164732,'Cannot be modified except by direct means',100,2,12),
(295452,164732,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(295453,164732,'Inflicts 47 piercing damage on target',100,2,14),
(295454,164732,'Must not be engaged in pvp combat',100,2,15),
(295455,164732,'Cannot be modified except by direct means',100,2,16),
(295456,10164732,'When Equipped:',100,0,0),
(295457,10164732,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(295458,10164732,'Increases Crit Bonus of caster by 3.5%',100,2,2),
(295459,10164732,'Must not be engaged in pvp combat',100,2,3),
(295460,10164732,'Cannot be modified except by direct means',100,2,4),
(295461,10164732,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(295462,10164732,'Increases Crit Bonus of caster by 3.5%',100,2,6),
(295463,10164732,'Must not be engaged in pvp combat',100,2,7),
(295464,10164732,'Cannot be modified except by direct means',100,2,8),
(295465,10164732,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VI on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(295466,10164732,'Increases Crit Bonus of caster by 3.5%',100,2,10),
(295467,10164732,'Must not be engaged in pvp combat',100,2,11),
(295468,10164732,'Cannot be modified except by direct means',100,2,12),
(295469,10164732,'When damaged with a melee weapon this spell will cast Brell''s Retribution VI on target''s attacker.  ',100,1,13),
(295470,10164732,'Inflicts 56 piercing damage on target',100,2,14),
(295471,10164732,'Must not be engaged in pvp combat',100,2,15),
(295472,10164732,'Cannot be modified except by direct means',100,2,16),
(295473,188257,'When Equipped:',100,0,0),
(295474,188257,'1% of all damage received by the caster is prevented.',100,1,1),
(295475,188257,'Must not be engaged in pvp combat',100,1,2),
(295476,10188257,'When Equipped:',100,0,0),
(295477,10188257,'1% of all damage received by the caster is prevented.',100,1,1),
(295478,10188257,'Must not be engaged in pvp combat',100,1,2),
(295479,118883,'Inflicts 254 - 423 melee damage on target',100,1,0),
(295480,118883,'Inflicts 254 - 423 melee damage on target',100,1,1),
(295481,118883,'Inflicts 254 - 423 melee damage on target',100,1,2),
(295482,118883,'Inflicts 254 - 423 melee damage on target',100,1,3),
(295483,118883,'Inflicts 254 - 423 melee damage on target',100,1,4),
(295484,10118883,'Inflicts 305 - 508 melee damage on target',100,1,0),
(295485,10118883,'Inflicts 305 - 508 melee damage on target',100,1,1),
(295486,10118883,'Inflicts 305 - 508 melee damage on target',100,1,2),
(295487,10118883,'Inflicts 305 - 508 melee damage on target',100,1,3),
(295488,10118883,'Inflicts 305 - 508 melee damage on target',100,1,4),
(295489,123899,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(295490,123899,'Slows target by 75.5%',100,2,1),
(295491,123899,'5% chance to dispel when target receives hostile action',100,2,2),
(295492,123899,'5% chance to dispel when target takes damage',100,2,3),
(295493,123899,'Decreases Mitigation of target vs elemental and noxious damage by 1651',100,1,4),
(295494,10123899,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(295495,10123899,'Slows target by 75.5%',100,2,1),
(295496,10123899,'5% chance to dispel when target receives hostile action',100,2,2),
(295497,10123899,'5% chance to dispel when target takes damage',100,2,3),
(295498,10123899,'Decreases Mitigation of target vs elemental and noxious damage by 1651',100,1,4),
(295499,191579,'When Equipped:',100,0,0),
(295500,191579,'When any damage is received this spell has a 10% chance to cast Detonation on target''s attacker.  ',100,1,1),
(295501,191579,'Inflicts 65 - 109 heat damage on targets in Area of Effect',100,2,2),
(295502,191579,'Cannot be modified except by direct means',100,2,3),
(295503,10191579,'When Equipped:',100,0,0),
(295504,10191579,'When any damage is received this spell has a 10% chance to cast Detonation on target''s attacker.  ',100,1,1),
(295505,10191579,'Inflicts 78 - 131 heat damage on targets in Area of Effect',100,2,2),
(295506,10191579,'Cannot be modified except by direct means',100,2,3),
(295507,81808,'When Equipped:',100,0,0),
(295508,81808,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(295509,81808,'Inflicts 108 - 200 magic damage on target',100,2,2),
(295510,81808,'Decreases Threat to target by 487 ',100,2,3),
(295511,81808,'Must be flanking or behind',100,3,4),
(295512,81808,'Increases Threat to target by 852 ',100,2,5),
(295513,81808,'Must be in front of',100,3,6),
(295514,81808,'Cannot be modified except by direct means',100,2,7),
(295515,10081808,'When Equipped:',100,0,0),
(295516,10081808,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(295517,10081808,'Inflicts 129 - 240 magic damage on target',100,2,2),
(295518,10081808,'Cannot be modified except by direct means',100,2,3),
(295519,80053,'When Equipped:',100,0,0),
(295520,80053,'On a combat hit this spell may cast Heaven''s Rain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295521,80053,'Inflicts 44 - 54 melee damage on target',100,2,2),
(295522,80053,'Inflicts 44 - 54 melee damage on target',100,2,3),
(295523,80053,'Inflicts 44 - 54 melee damage on target',100,2,4),
(295524,80053,'Inflicts 44 - 54 melee damage on target',100,2,5),
(295525,80053,'Inflicts 103 - 191 divine damage on target',100,2,6),
(295526,80053,'Cannot be modified except by direct means',100,2,7),
(295527,10080053,'When Equipped:',100,0,0),
(295528,10080053,'On a combat hit this spell may cast Heaven''s Rain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295529,10080053,'Inflicts 53 - 64 melee damage on target',100,2,2),
(295530,10080053,'Inflicts 53 - 64 melee damage on target',100,2,3),
(295531,10080053,'Inflicts 53 - 64 melee damage on target',100,2,4),
(295532,10080053,'Inflicts 53 - 64 melee damage on target',100,2,5),
(295533,10080053,'Inflicts 124 - 230 divine damage on target',100,2,6),
(295534,10080053,'Cannot be modified except by direct means',100,2,7),
(295535,48890,'Applies Sigismond''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(295536,48890,'Increases STA and STR of caster by 39.0',100,1,1),
(295537,10048890,'Applies Sigismond''s Absolution  when Activated.  Lasts for 30 minutes.',100,0,0),
(295538,10048890,'Increases STA and STR of caster by 39.0',100,1,1),
(295539,123699,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(295540,123699,'Inflicts 120 divine damage on target',100,2,1),
(295541,123699,'Grants a total of 5 triggers of the spell.',100,2,2),
(295542,10123699,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(295543,10123699,'Inflicts 144 divine damage on target',100,2,1),
(295544,10123699,'Grants a total of 5 triggers of the spell.',100,2,2),
(295545,117103,'Mesmerizes target encounter',100,1,0),
(295546,117103,'Prevents AOE (except when direct) ',100,1,1),
(295547,117103,'Dispelled when target takes damage',100,1,2),
(295548,117103,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(295549,117103,'Resistibility increases against targets higher than level 82.',100,1,4),
(295550,10117103,'Mesmerizes target encounter',100,1,0),
(295551,10117103,'Prevents AOE (except when direct) ',100,1,1),
(295552,10117103,'Dispelled when target takes damage',100,1,2),
(295553,10117103,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(295554,10117103,'Resistibility increases against targets higher than level 82.',100,1,4),
(295555,104940,'Inflicts 710 - 1184 ranged damage on target',100,1,0),
(295556,104940,'Decreases Deflection and Parry of target by 58.5',100,1,1),
(295557,104940,'Requires bow',100,1,2),
(295558,10104940,'Inflicts 533 - 888 ranged damage on target',100,1,0),
(295559,10104940,'Decreases Deflection and Parry of target by 58.5',100,1,1),
(295560,10104940,'Requires bow',100,1,2),
(295561,81830,'When Equipped:',100,0,0),
(295562,81830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295563,81830,'Inflicts 97 - 180 magic damage on target',100,2,2),
(295564,81830,'Cannot be modified except by direct means',100,2,3),
(295565,10081830,'When Equipped:',100,0,0),
(295566,10081830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295567,10081830,'Inflicts 116 - 216 magic damage on target',100,2,2),
(295568,10081830,'Cannot be modified except by direct means',100,2,3),
(295569,124641,'Heals group members (AE) for 1100 - 1344',100,1,0),
(295570,124641,'Heals group members (AE) for 185 - 227 every second',100,1,1),
(295571,10124641,'Heals group members (AE) for 2891 - 3534',100,1,0),
(295572,10124641,'Heals group members (AE) for 361 - 442 every second',100,1,1),
(295573,24209,'Adds Crushbone: Pickaxe to your Dungeon Maker toolbox',100,0,0),
(295574,10024209,'Adds Crushbone: Pickaxe to your Dungeon Maker toolbox',100,0,0),
(295575,82619,'When Equipped:',100,0,0),
(295576,82619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295577,82619,'Inflicts 79 - 146 magic damage on target',100,2,2),
(295578,82619,'Cannot be modified except by direct means',100,2,3),
(295579,10082619,'When Equipped:',100,0,0),
(295580,10082619,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295581,10082619,'Inflicts 94 - 175 magic damage on target',100,2,2),
(295582,10082619,'Cannot be modified except by direct means',100,2,3),
(295583,123043,'Summons a pet undead knight',100,1,0),
(295584,10123043,'Summons a pet undead knight',100,1,0),
(295585,42558,'When Equipped:',100,0,0),
(295586,42558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295587,42558,'Inflicts 71 - 107 magic damage on target',100,2,2),
(295588,42558,'Cannot be modified except by direct means',100,2,3),
(295589,10042558,'When Equipped:',100,0,0),
(295590,10042558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295591,10042558,'Inflicts 85 - 128 magic damage on target',100,2,2),
(295592,10042558,'Cannot be modified except by direct means',100,2,3),
(295593,187559,'When Equipped:',100,0,0),
(295594,187559,'On a hostile spell cast this spell may cast Mistmoore Sage''s Absorption on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(295595,187559,'Decreases power of target by 226',100,2,2),
(295596,187559,'Increases power of caster by 233',100,2,3),
(295597,187559,'Cannot be modified except by direct means',100,2,4),
(295598,10187559,'When Equipped:',100,0,0),
(295599,10187559,'On a hostile spell cast this spell may cast Mistmoore Sage''s Absorption on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(295600,10187559,'Decreases power of target by 226',100,2,2),
(295601,10187559,'Increases power of caster by 233',100,2,3),
(295602,10187559,'Cannot be modified except by direct means',100,2,4),
(295603,82136,'When Equipped:',100,0,0),
(295604,82136,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295605,82136,'Inflicts 138 - 257 magic damage on target',100,2,2),
(295606,82136,'Cannot be modified except by direct means',100,2,3),
(295607,10082136,'When Equipped:',100,0,0),
(295608,10082136,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295609,10082136,'Inflicts 166 - 309 magic damage on target',100,2,2),
(295610,10082136,'Cannot be modified except by direct means',100,2,3),
(295611,118671,'Inflicts 237 - 395 slashing damage on target',100,1,0),
(295612,10118671,'Inflicts 284 - 474 slashing damage on target',100,1,0),
(295613,48718,'Applies Elixir of Contemplation  when Activated.  Lasts for 30 minutes.',100,0,0),
(295614,48718,'Increases WIS and INT of caster by 29.3',100,1,1),
(295615,10048718,'Applies Elixir of Contemplation  when Activated.  Lasts for 30 minutes.',100,0,0),
(295616,10048718,'Increases WIS and INT of caster by 29.3',100,1,1),
(295617,101642,'Applies Forceful Headache on termination.',100,1,0),
(295618,101642,'Inflicts 271 - 452 mental damage on target',100,2,1),
(295619,101642,'If over 50% power',100,3,2),
(295620,101642,'Inflicts 109 - 133 mental damage on target instantly and every 6 seconds',100,1,3),
(295621,101642,'Decreases Mitigation of target vs arcane damage by 1006',100,1,4),
(295622,10101642,'Applies Forceful Headache on termination.',100,1,0),
(295623,10101642,'Inflicts 326 - 543 mental damage on target',100,2,1),
(295624,10101642,'If over 50% power',100,3,2),
(295625,10101642,'Inflicts 130 - 159 mental damage on target instantly and every 6 seconds',100,1,3),
(295626,10101642,'Decreases Mitigation of target vs arcane damage by 1006',100,1,4),
(295627,102823,'Summons 3 limited pets to aid the caster',100,1,0),
(295628,10102823,'Summons 3 limited pets to aid the caster',100,1,0),
(295629,116807,'Increases STR, AGI, WIS and INT of target by 91.1',100,1,0),
(295630,116807,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295631,116807,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(295632,116807,'Increases Attack Speed of target by 55.7',100,2,3),
(295633,116807,'Increases Damage Per Second of target by 55.7',100,2,4),
(295634,116807,'Adds 1.9% to base avoidance.',100,1,5),
(295635,116807,'Increases Mitigation of target vs elemental, noxious and arcane damage by 269',100,1,6),
(295636,10116807,'Increases STR, AGI, WIS and INT of target by 91.1',100,1,0),
(295637,10116807,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295638,10116807,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(295639,10116807,'Increases Attack Speed of target by 55.7',100,2,3),
(295640,10116807,'Increases Damage Per Second of target by 55.7',100,2,4),
(295641,10116807,'Adds 1.9% to base avoidance.',100,1,5),
(295642,10116807,'Increases Mitigation of target vs elemental, noxious and arcane damage by 269',100,1,6),
(295643,109061,'Increases Attack Speed of caster by 39.6',100,1,0),
(295644,109061,'Decreases Defense of caster by 27.0',100,1,1),
(295645,109061,'Increases Slashing, Piercing, Crushing and Ranged of caster by 49.5',100,1,2),
(295646,10109061,'Increases Attack Speed of caster by 39.6',100,1,0),
(295647,10109061,'Decreases Defense of caster by 27.0',100,1,1),
(295648,10109061,'Increases Slashing, Piercing, Crushing and Ranged of caster by 49.5',100,1,2),
(295649,26137,'When Equipped:',100,0,0),
(295650,26137,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,1),
(295651,26137,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(295652,10026137,'When Equipped:',100,0,0),
(295653,10026137,'Thornskin VIII grants additional physicial mitigation to the target.',100,1,1),
(295654,10026137,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(295655,106126,'Increases Attack Speed of caster by 38.6',100,1,0),
(295656,106126,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(295657,106126,'Stuns target',100,2,2),
(295658,106126,'Throws target back',100,2,3),
(295659,106126,'Blurs vision of target',100,2,4),
(295660,106126,'Does not affect Epic targets',100,2,5),
(295661,10106126,'Increases Attack Speed of caster by 38.6',100,1,0),
(295662,10106126,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(295663,10106126,'Stuns target',100,2,2),
(295664,10106126,'Throws target back',100,2,3),
(295665,10106126,'Blurs vision of target',100,2,4),
(295666,10106126,'Does not affect Epic targets',100,2,5),
(295667,80432,'When Equipped:',100,0,0),
(295668,80432,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(295669,80432,'Inflicts 48 - 90 magic damage on target',100,2,2),
(295670,80432,'Decreases Threat to target by 153 ',100,2,3),
(295671,80432,'Must be flanking or behind',100,3,4),
(295672,80432,'Increases Threat to target by 267 ',100,2,5),
(295673,80432,'Must be in front of',100,3,6),
(295674,80432,'Cannot be modified except by direct means',100,2,7),
(295675,10080432,'When Equipped:',100,0,0),
(295676,10080432,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(295677,10080432,'Inflicts 58 - 107 magic damage on target',100,2,2),
(295678,10080432,'Cannot be modified except by direct means',100,2,3),
(295679,116447,'Inflicts 53 disease damage on target instantly and every 4 seconds',100,1,0),
(295680,116447,'Inflicts 53 disease damage on target instantly and every 4 seconds',100,1,1),
(295681,116447,'If target is nightblood',100,2,2),
(295682,116447,'Inflicts 53 disease damage on target instantly and every 4 seconds',100,1,3),
(295683,116447,'If target is shadowed folk',100,2,4),
(295684,10116447,'Inflicts 64 disease damage on target instantly and every 4 seconds',100,1,0),
(295685,80621,'When Equipped:',100,0,0),
(295686,80621,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(295687,80621,'Inflicts 56 - 103 magic damage on target',100,2,2),
(295688,80621,'Decreases Threat to target by 236 ',100,2,3),
(295689,80621,'Must be flanking or behind',100,3,4),
(295690,80621,'Increases Threat to target by 414 ',100,2,5),
(295691,80621,'Must be in front of',100,3,6),
(295692,80621,'Cannot be modified except by direct means',100,2,7),
(295693,10080621,'When Equipped:',100,0,0),
(295694,10080621,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(295695,10080621,'Inflicts 67 - 124 magic damage on target',100,2,2),
(295696,10080621,'Cannot be modified except by direct means',100,2,3),
(295697,105142,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(295698,105142,'Summon 1 Crystallized Essence (Master)',100,2,1),
(295699,10105142,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(295700,10105142,'Summon 1 Crystallized Essence (Master)',100,2,1),
(295701,122616,'Makes target afraid',100,1,0),
(295702,122616,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',100,1,1),
(295703,122616,'Mesmerizes target',100,2,2),
(295704,122616,'Decreases Threat to target by 632  instantly and Decreases Threat by 632  every 1.8 seconds thereafter',100,2,3),
(295705,122616,'Dispelled when target takes damage',100,2,4),
(295706,122616,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',100,2,5),
(295707,122616,'Resistibility increases against targets higher than level 76.',100,2,6),
(295708,122616,'30% chance to dispel when target takes damage',100,1,7),
(295709,122616,'Does not affect Epic targets',100,1,8),
(295710,122616,'Resistibility increases against targets higher than level 76.',100,1,9),
(295711,10122616,'Makes target afraid',100,1,0),
(295712,10122616,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(295713,10122616,'Mesmerizes target',100,2,2),
(295714,10122616,'Applies Distract.',100,2,3),
(295715,10122616,'Forces target to clear their selected target.',100,3,4),
(295716,10122616,'Dispelled when target takes damage',100,2,5),
(295717,10122616,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(295718,10122616,'Resistibility increases against targets higher than level 76.',100,2,7),
(295719,10122616,'30% chance to dispel when target takes damage',100,1,8),
(295720,10122616,'Does not affect Epic targets',100,1,9),
(295721,10122616,'Resistibility increases against targets higher than level 76.',100,1,10),
(295722,86193,'When Equipped:',100,0,0),
(295723,86193,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295724,86193,'Inflicts 89 - 108 divine damage on target',100,2,2),
(295725,86193,'Cannot be modified except by direct means',100,2,3),
(295726,10086193,'When Equipped:',100,0,0),
(295727,10086193,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295728,10086193,'Inflicts 106 - 130 divine damage on target',100,2,2),
(295729,10086193,'Cannot be modified except by direct means',100,2,3),
(295730,47312,'Applies Spirit of the Warrior  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(295731,47312,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(295732,47312,'Inflicts 5 magic damage on target',100,2,2),
(295733,47312,'Cannot be modified except by direct means',100,2,3),
(295734,10047312,'Applies Spirit of the Warrior  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(295735,10047312,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(295736,10047312,'Inflicts 6 magic damage on target',100,2,2),
(295737,10047312,'Cannot be modified except by direct means',100,2,3),
(295738,35157,'Increases STR of target by 8.4',100,0,0),
(295739,35157,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(295740,110770,'Heals group members (AE) for 207 - 253 instantly and every 2 seconds',100,1,0),
(295741,10110770,'Heals group members (AE) for 135 - 165 instantly and every 2 seconds',100,1,0),
(295742,105430,'Increases STR of caster by 209.9',100,1,0),
(295743,105430,'Decreases Defense of caster by 22.2',100,1,1),
(295744,105430,'Increases Slashing, Piercing, Crushing and Disruption of caster by 40.0',100,1,2),
(295745,10105430,'Increases STR of caster by 209.9',100,1,0),
(295746,10105430,'Decreases Defense of caster by 22.2',100,1,1),
(295747,10105430,'Increases Slashing, Piercing, Crushing and Disruption of caster by 40.0',100,1,2),
(295748,181916,'When Equipped:',100,0,0),
(295749,181916,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(295750,181916,'Inflicts 787 divine damage on target',100,2,2),
(295751,181916,'Must be classified as a vampire',100,3,3),
(295752,181916,'Inflicts 393 divine damage on target',100,2,4),
(295753,181916,'Must not be classified as a vampire',100,3,5),
(295754,181916,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(295755,181916,'Must be classified as a vampire',100,3,7),
(295756,181916,'Cannot be modified except by direct means',100,2,8),
(295757,181916,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(295758,10181916,'When Equipped:',100,0,0),
(295759,10181916,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(295760,10181916,'Inflicts 944 divine damage on target',100,2,2),
(295761,10181916,'Must be classified as a vampire',100,3,3),
(295762,10181916,'Inflicts 472 divine damage on target',100,2,4),
(295763,10181916,'Must not be classified as a vampire',100,3,5),
(295764,10181916,'Decreases Mitigation of target vs arcane damage by 574',100,2,6),
(295765,10181916,'Must be classified as a vampire',100,3,7),
(295766,10181916,'Cannot be modified except by direct means',100,2,8),
(295767,10181916,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(295768,74614,'When Equipped:',100,0,0),
(295769,74614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295770,74614,'Inflicts 39 - 58 magic damage on target',100,2,2),
(295771,74614,'Cannot be modified except by direct means',100,2,3),
(295772,10074614,'When Equipped:',100,0,0),
(295773,10074614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295774,10074614,'Inflicts 46 - 69 magic damage on target',100,2,2),
(295775,10074614,'Cannot be modified except by direct means',100,2,3),
(295776,117471,'Inflicts 1364 - 2273 melee damage on target',100,1,0),
(295777,117471,'You must be sneaking to use this ability.',100,1,1),
(295778,117471,'Must be flanking or behind',100,1,2),
(295779,10117471,'Inflicts 1014 - 1691 melee damage on target',100,1,0),
(295780,10117471,'You must be sneaking to use this ability.',100,1,1),
(295781,10117471,'Must be flanking or behind',100,1,2),
(295782,106247,'Wards target against 168 points of all damage',100,1,0),
(295783,10106247,'Wards target against 168 points of all damage',100,1,0),
(295784,163242,'When Equipped:',100,0,0),
(295785,163242,'On a critical combat hit this spell may cast Overwhelming Power VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295786,163242,'Decreases Potency of target by 2.0%',100,2,2),
(295787,163242,'Increases Potency of caster by 6.0%',100,2,3),
(295788,163242,'Must not be engaged in pvp combat',100,2,4),
(295789,163242,'Cannot be modified except by direct means',100,2,5),
(295790,163242,'On a critical spell hit this spell may cast Overwhelming Power VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(295791,163242,'Decreases Potency of target by 2.0%',100,2,7),
(295792,163242,'Increases Potency of caster by 6.0%',100,2,8),
(295793,163242,'Must not be engaged in pvp combat',100,2,9),
(295794,163242,'Cannot be modified except by direct means',100,2,10),
(295795,163242,'Must not be engaged in pvp combat',100,1,11),
(295796,10163242,'When Equipped:',100,0,0),
(295797,10163242,'On a critical combat hit this spell may cast Overwhelming Power VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295798,10163242,'Decreases Potency of target by 2.0%',100,2,2),
(295799,10163242,'Increases Potency of caster by 6.0%',100,2,3),
(295800,10163242,'Must not be engaged in pvp combat',100,2,4),
(295801,10163242,'Cannot be modified except by direct means',100,2,5),
(295802,10163242,'On a critical spell hit this spell may cast Overwhelming Power VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(295803,10163242,'Decreases Potency of target by 2.0%',100,2,7),
(295804,10163242,'Increases Potency of caster by 6.0%',100,2,8),
(295805,10163242,'Must not be engaged in pvp combat',100,2,9),
(295806,10163242,'Cannot be modified except by direct means',100,2,10),
(295807,10163242,'Must not be engaged in pvp combat',100,1,11),
(295808,120578,'Inflicts 20 - 38 heat damage on target',100,1,0),
(295809,10120578,'Inflicts 24 - 45 heat damage on target',100,1,0),
(295810,24347,'Adds Empowered Terror to your Dungeon Maker toolbox',100,0,0),
(295811,10024347,'Adds Empowered Terror to your Dungeon Maker toolbox',100,0,0),
(295812,155073,'When Equipped:',100,0,0),
(295813,155073,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,1),
(295814,155073,'Inflicts 5296 mental damage on target',100,2,2),
(295815,155073,'If over 85% Health',100,2,3),
(295816,155073,'Cannot be modified except by direct means',100,2,4),
(295817,155073,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,5),
(295818,155073,'Inflicts 5296 mental damage on target',100,2,6),
(295819,155073,'If over 85% Health',100,2,7),
(295820,155073,'Cannot be modified except by direct means',100,2,8),
(295821,155073,'Cannot be modified except by direct means',100,1,9),
(295822,10155073,'When Equipped:',100,0,0),
(295823,10155073,'When a combat art is used this spell has a 33% chance to cast Courageous Charge on target of combat art.  ',100,1,1),
(295824,10155073,'Inflicts 6355 mental damage on target',100,2,2),
(295825,10155073,'If over 85% Health',100,2,3),
(295826,10155073,'Cannot be modified except by direct means',100,2,4),
(295827,10155073,'On a hostile spell hit this spell has a 33% chance to cast Courageous Charge on target of spell.  ',100,1,5),
(295828,10155073,'Inflicts 6355 mental damage on target',100,2,6),
(295829,10155073,'If over 85% Health',100,2,7),
(295830,10155073,'Cannot be modified except by direct means',100,2,8),
(295831,10155073,'Cannot be modified except by direct means',100,1,9),
(295832,118820,'Wards group members (AE) against 180 points of physical damage',100,1,0),
(295833,118820,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,1),
(295834,10118820,'Wards group members (AE) against 180 points of physical damage',100,1,0),
(295835,10118820,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,1),
(295836,47917,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(295837,47917,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(295838,47917,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(295839,10047917,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(295840,10047917,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .4 seconds.',100,1,1),
(295841,10047917,'Caster will harvest a second time on 8.0% of harvests.',100,1,2),
(295842,87369,'When Equipped:',100,0,0),
(295843,87369,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295844,87369,'Inflicts 99 - 148 magic damage on target',100,2,2),
(295845,87369,'Cannot be modified except by direct means',100,2,3),
(295846,10087369,'When Equipped:',100,0,0),
(295847,10087369,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295848,10087369,'Inflicts 118 - 177 magic damage on target',100,2,2),
(295849,10087369,'Cannot be modified except by direct means',100,2,3),
(295850,111040,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(295851,111040,'Increases Threat to target by 844 ',100,2,1),
(295852,111040,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(295853,111040,'Increases Threat to target by 844 ',100,2,3),
(295854,10111040,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(295855,10111040,'Inflicts 63 - 70 crushing damage on target',100,2,1),
(295856,10111040,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(295857,10111040,'Inflicts 63 - 70 crushing damage on target',100,2,3),
(295858,116050,'Shapechanges caster into a lion',100,1,0),
(295859,116050,'Increases STA of caster by 78.5',100,1,1),
(295860,116050,'Adds 3.2% to base avoidance.',100,1,2),
(295861,116050,'Grants See Stealth to caster',100,1,3),
(295862,116050,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1277',100,1,4),
(295863,10116050,'Shapechanges caster into a lion',100,1,0),
(295864,10116050,'Increases STA of caster by 78.5',100,1,1),
(295865,10116050,'Adds 3.2% to base avoidance.',100,1,2),
(295866,10116050,'Grants See Stealth to caster',100,1,3),
(295867,10116050,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1277',100,1,4),
(295868,75498,'When Equipped:',100,0,0),
(295869,75498,'On a critical healing spell cast this spell may cast Shielding Ripple VIII on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295870,75498,'Heals target for 747 - 826 instantly and every 2 seconds',100,2,2),
(295871,75498,'Wards target against 1250 points of all damage',100,2,3),
(295872,75498,'Must not be engaged in pvp combat',100,2,4),
(295873,75498,'Cannot be modified except by direct means',100,2,5),
(295874,75498,'Must not be engaged in pvp combat',100,1,6),
(295875,10075498,'When Equipped:',100,0,0),
(295876,10075498,'On a critical healing spell cast this spell may cast Shielding Ripple VIII on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295877,10075498,'Heals target for 486 - 537 instantly and every 2 seconds',100,2,2),
(295878,10075498,'Wards target against 1250 points of all damage',100,2,3),
(295879,10075498,'Must not be engaged in pvp combat',100,2,4),
(295880,10075498,'Cannot be modified except by direct means',100,2,5),
(295881,10075498,'Must not be engaged in pvp combat',100,1,6),
(295882,114086,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(295883,114086,'Grants stealth to caster',100,2,1),
(295884,114086,'Suspends caster''s movement speed enhancements',100,2,2),
(295885,114086,'Inflicts 568 - 948 melee damage on target',100,1,3),
(295886,114086,'Must be flanking or behind',100,1,4),
(295887,10114086,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(295888,10114086,'Grants stealth to caster',100,2,1),
(295889,10114086,'Suspends caster''s movement speed enhancements',100,2,2),
(295890,10114086,'Inflicts 1023 - 1706 melee damage on target',100,1,3),
(295891,10114086,'Must be flanking or behind',100,1,4),
(295892,47989,'Applies Servant of El''Arad when Activated.',100,0,0),
(295893,47989,'Shapechanges caster into an a servant of El''Arad',100,1,1),
(295894,10047989,'Applies Servant of El''Arad when Activated.',100,0,0),
(295895,10047989,'Shapechanges caster into an a servant of El''Arad',100,1,1),
(295896,159950,'When Equipped:',100,0,0),
(295897,159950,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(295898,159950,'Increases STA of caster by 19.2',100,2,2),
(295899,159950,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(295900,159950,'Cannot be modified except by direct means',100,2,4),
(295901,10159950,'When Equipped:',100,0,0),
(295902,10159950,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(295903,10159950,'Increases STA of caster by 19.2',100,2,2),
(295904,10159950,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(295905,10159950,'Cannot be modified except by direct means',100,2,4),
(295906,82396,'When Equipped:',100,0,0),
(295907,82396,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295908,82396,'Inflicts 101 - 188 magic damage on target',100,2,2),
(295909,82396,'Cannot be modified except by direct means',100,2,3),
(295910,10082396,'When Equipped:',100,0,0),
(295911,10082396,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295912,10082396,'Inflicts 121 - 225 magic damage on target',100,2,2),
(295913,10082396,'Cannot be modified except by direct means',100,2,3),
(295914,153938,'Applies Deadly Strikes when Activated.  Lasts for 45.0 seconds.',100,0,0),
(295915,153938,'Increases Damage Per Second of caster by 30.0',100,1,1),
(295916,153938,'The casting time of Deadly Strikes is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,2),
(295917,10153938,'Applies Deadly Strikes when Activated.  Lasts for 45.0 seconds.',100,0,0),
(295918,10153938,'Increases Damage Per Second of caster by 30.0',100,1,1),
(295919,10153938,'The casting time of Deadly Strikes is 0.5 seconds and the reuse time of the spell is 6 minutes',100,1,2),
(295920,80231,'When Equipped:',100,0,0),
(295921,80231,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295922,80231,'Inflicts 152 - 283 magic damage on target',100,2,2),
(295923,80231,'Cannot be modified except by direct means',100,2,3),
(295924,10080231,'When Equipped:',100,0,0),
(295925,10080231,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(295926,10080231,'Inflicts 183 - 339 magic damage on target',100,2,2),
(295927,10080231,'Cannot be modified except by direct means',100,2,3),
(295928,106082,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(295929,10106082,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(295930,113367,'Roots target',100,1,0),
(295931,113367,'Applies Stifle.  Lasts for 6.0 seconds.',100,1,1),
(295932,113367,'Blurs vision of target',100,2,2),
(295933,113367,'Stifles target',100,2,3),
(295934,113367,'Dispelled when target takes damage',100,2,4),
(295935,113367,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(295936,113367,'Resistibility increases against targets higher than level 62.',100,2,6),
(295937,113367,'5% chance to dispel when target takes damage',100,1,7),
(295938,113367,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,8),
(295939,113367,'Resistibility increases against targets higher than level 62.',100,1,9),
(295940,10113367,'Roots target',100,1,0),
(295941,10113367,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(295942,10113367,'Stifles target',100,2,2),
(295943,10113367,'Blurs vision of target',100,2,3),
(295944,10113367,'Dispelled when target takes damage',100,2,4),
(295945,10113367,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(295946,10113367,'Resistibility increases against targets higher than level 62.',100,2,6),
(295947,10113367,'5% chance to dispel when target takes damage',100,1,7),
(295948,10113367,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(295949,10113367,'Resistibility increases against targets higher than level 62.',100,1,9),
(295950,46953,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(295951,46953,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(295952,46953,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(295953,46953,'Cannot be modified except by direct means',100,2,3),
(295954,46953,'Grants a total of 80 triggers of the spell.',100,2,4),
(295955,10046953,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(295956,10046953,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(295957,10046953,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(295958,10046953,'Cannot be modified except by direct means',100,2,3),
(295959,10046953,'Grants a total of 80 triggers of the spell.',100,2,4),
(295960,178920,'When Equipped:',100,0,0),
(295961,178920,'On any combat or spell hit this spell may cast Time Theft on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295962,178920,'Inflicts 1947 - 2151 crushing damage on targets in Area of Effect',100,2,2),
(295963,178920,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,3),
(295964,178920,'Stuns target',100,3,4),
(295965,178920,'Throws target back',100,3,5),
(295966,178920,'Blurs vision of target',100,3,6),
(295967,178920,'Does not affect Epic targets',100,3,7),
(295968,178920,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,8),
(295969,178920,'Must not be engaged in pvp combat',100,2,9),
(295970,178920,'Cannot be modified except by direct means',100,2,10),
(295971,178920,'Must not be engaged in pvp combat',100,1,11),
(295972,10178920,'When Equipped:',100,0,0),
(295973,10178920,'On any combat or spell hit this spell may cast Time Theft on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(295974,10178920,'Inflicts 2336 - 2582 crushing damage on targets in Area of Effect',100,2,2),
(295975,10178920,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(295976,10178920,'Stuns target',100,3,4),
(295977,10178920,'Throws target back',100,3,5),
(295978,10178920,'Blurs vision of target',100,3,6),
(295979,10178920,'Does not affect Epic targets',100,3,7),
(295980,10178920,'Increases Spell Reuse Speed of group members (AE) by 5.0%',100,2,8),
(295981,10178920,'Must not be engaged in pvp combat',100,2,9),
(295982,10178920,'Cannot be modified except by direct means',100,2,10),
(295983,10178920,'Must not be engaged in pvp combat',100,1,11),
(295984,139447,'Applies Protector''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(295985,139447,'Caster will Riposte 5.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(295986,139447,'The casting time of Protector''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(295987,139447,'When Equipped:',100,0,3),
(295988,139447,'Reduces maximum falling speed of caster',100,1,4),
(295989,10139447,'Applies Protector''s Spirit when Activated.  Lasts for 12.0 seconds.',100,0,0),
(295990,10139447,'Caster will Riposte 5.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(295991,10139447,'The casting time of Protector''s Spirit is 1.0 second and the reuse time of the spell is 3 minutes',100,1,2),
(295992,10139447,'When Equipped:',100,0,3),
(295993,10139447,'Reduces maximum falling speed of caster',100,1,4),
(295994,80610,'When Equipped:',100,0,0),
(295995,80610,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(295996,80610,'Inflicts 56 - 103 magic damage on target',100,2,2),
(295997,80610,'Decreases Threat to target by 236 ',100,2,3),
(295998,80610,'Must be flanking or behind',100,3,4),
(295999,80610,'Increases Threat to target by 414 ',100,2,5),
(296000,80610,'Must be in front of',100,3,6),
(296001,80610,'Cannot be modified except by direct means',100,2,7),
(296002,10080610,'When Equipped:',100,0,0),
(296003,10080610,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(296004,10080610,'Inflicts 67 - 124 magic damage on target',100,2,2),
(296005,10080610,'Cannot be modified except by direct means',100,2,3),
(296006,138241,'When Equipped:',100,0,0),
(296007,138241,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(296008,138241,'On a healing spell cast this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(296009,138241,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,3),
(296010,138241,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(296011,138241,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,5),
(296012,138241,'Must not be engaged in pvp combat',100,2,6),
(296013,138241,'Cannot be modified except by direct means',100,2,7),
(296014,138241,'On any combat or spell hit this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(296015,138241,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,9),
(296016,138241,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(296017,138241,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,11),
(296018,138241,'Must not be engaged in pvp combat',100,2,12),
(296019,138241,'Cannot be modified except by direct means',100,2,13),
(296020,138241,'Cannot be modified except by direct means',100,1,14),
(296021,10138241,'When Equipped:',100,0,0),
(296022,10138241,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(296023,10138241,'On a healing spell cast this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(296024,10138241,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,3),
(296025,10138241,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,4),
(296026,10138241,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,5),
(296027,10138241,'Must not be engaged in pvp combat',100,2,6),
(296028,10138241,'Cannot be modified except by direct means',100,2,7),
(296029,10138241,'On any combat or spell hit this spell may cast Tactical Engagement IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(296030,10138241,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,9),
(296031,10138241,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(296032,10138241,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,11),
(296033,10138241,'Must not be engaged in pvp combat',100,2,12),
(296034,10138241,'Cannot be modified except by direct means',100,2,13),
(296035,10138241,'Cannot be modified except by direct means',100,1,14),
(296036,40332,'When Equipped:',100,0,0),
(296037,40332,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(296038,40332,'Inflicts 2344 heat damage on target',100,2,2),
(296039,40332,'Heals caster for 2100',100,2,3),
(296040,40332,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(296041,40332,'Cannot be modified except by direct means',100,2,5),
(296042,40332,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(296043,40332,'Inflicts 2344 heat damage on target',100,2,7),
(296044,40332,'Heals caster for 2100',100,2,8),
(296045,40332,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(296046,40332,'Cannot be modified except by direct means',100,2,10),
(296047,10040332,'When Equipped:',100,0,0),
(296048,10040332,'On a critical combat hit this spell may cast Dragonslayer''s Fury on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,1),
(296049,10040332,'Inflicts 2813 heat damage on target',100,2,2),
(296050,10040332,'Heals caster for 2456',100,2,3),
(296051,10040332,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(296052,10040332,'Cannot be modified except by direct means',100,2,5),
(296053,10040332,'On a critical spell hit this spell may cast Dragonslayer''s Fury on target of spell.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,6),
(296054,10040332,'Inflicts 2813 heat damage on target',100,2,7),
(296055,10040332,'Heals caster for 2456',100,2,8),
(296056,10040332,'Caster has a 2.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(296057,10040332,'Cannot be modified except by direct means',100,2,10),
(296058,140761,'When Equipped:',100,0,0),
(296059,140761,'When any damage is received this spell has a 10% chance to cast Flame Shroud on target''s attacker.  ',100,1,1),
(296060,140761,'Inflicts 103 - 126 heat damage on target',100,2,2),
(296061,140761,'Cannot be modified except by direct means',100,2,3),
(296062,140761,'Applies Eye of Tranix when Activated.  Lasts for 2 hours.',100,0,4),
(296063,140761,'Grants Infravision to caster',100,1,5),
(296064,10140761,'When Equipped:',100,0,0),
(296065,10140761,'When any damage is received this spell has a 10% chance to cast Flame Shroud on target''s attacker.  ',100,1,1),
(296066,10140761,'Inflicts 123 - 151 heat damage on target',100,2,2),
(296067,10140761,'Cannot be modified except by direct means',100,2,3),
(296068,10140761,'Applies Eye of Tranix when Activated.  Lasts for 2 hours.',100,0,4),
(296069,10140761,'Grants Infravision to caster',100,1,5),
(296070,109461,'Inflicts 16 - 27 cold damage on target',100,1,0),
(296071,10109461,'Inflicts 19 - 32 cold damage on target',100,1,0),
(296072,113992,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(296073,113992,'Inflicts 39 - 66 melee damage on target',100,2,1),
(296074,113992,'Increases Threat to target by 360 ',100,2,2),
(296075,10113992,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(296076,10113992,'Inflicts 47 - 79 melee damage on target',100,2,1),
(296077,74556,'When Equipped:',100,0,0),
(296078,74556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296079,74556,'Inflicts 135 - 203 magic damage on target',100,2,2),
(296080,74556,'Cannot be modified except by direct means',100,2,3),
(296081,10074556,'When Equipped:',100,0,0),
(296082,10074556,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296083,10074556,'Inflicts 162 - 244 magic damage on target',100,2,2),
(296084,10074556,'Cannot be modified except by direct means',100,2,3),
(296085,106205,'Applies Defile.',100,1,0),
(296086,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,1),
(296087,106205,'If under 30% Health',100,3,2),
(296088,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,3),
(296089,106205,'If under 20% Health',100,3,4),
(296090,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,5),
(296091,106205,'If under 90% Health',100,3,6),
(296092,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,7),
(296093,106205,'If under 60% Health',100,3,8),
(296094,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,9),
(296095,106205,'If under 70% Health',100,3,10),
(296096,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,11),
(296097,106205,'If under 80% Health',100,3,12),
(296098,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,13),
(296099,106205,'If under 100% Health',100,3,14),
(296100,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,15),
(296101,106205,'If under 50% Health',100,3,16),
(296102,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,17),
(296103,106205,'If under 10% Health',100,3,18),
(296104,106205,'Inflicts 57 disease damage on targets in Area of Effect',100,2,19),
(296105,106205,'If under 40% Health',100,3,20),
(296106,10106205,'Applies Defile.',100,1,0),
(296107,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,1),
(296108,10106205,'If at 40% Health or less',100,3,2),
(296109,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,3),
(296110,10106205,'If at 60% Health or less',100,3,4),
(296111,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,5),
(296112,10106205,'If over 100% Health',100,3,6),
(296113,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,7),
(296114,10106205,'If at 70% Health or less',100,3,8),
(296115,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,9),
(296116,10106205,'If at 90% Health or less',100,3,10),
(296117,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,11),
(296118,10106205,'If at 80% Health or less',100,3,12),
(296119,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,13),
(296120,10106205,'If at 50% Health or less',100,3,14),
(296121,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,15),
(296122,10106205,'If at 10% Health or less',100,3,16),
(296123,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,17),
(296124,10106205,'If at 20% Health or less',100,3,18),
(296125,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,19),
(296126,10106205,'If at 100% Health or greater',100,3,20),
(296127,10106205,'Inflicts 69 disease damage on targets in Area of Effect',100,2,21),
(296128,10106205,'If at 30% Health or less',100,3,22),
(296129,159210,'Applies Lambent Imbued when Equipped.',100,0,0),
(296130,159210,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(296131,159210,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(296132,159210,'Cannot be modified except by direct means',100,2,3),
(296133,10159210,'Applies Lambent Imbued when Equipped.',100,0,0),
(296134,10159210,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(296135,10159210,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(296136,10159210,'Cannot be modified except by direct means',100,2,3),
(296137,159117,'When Equipped:',100,0,0),
(296138,159117,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(296139,159117,'Increases AGI of caster by 11.9',100,2,2),
(296140,159117,'Increases Attack Speed of caster by 14.8',100,2,3),
(296141,159117,'Cannot be modified except by direct means',100,2,4),
(296142,10159117,'When Equipped:',100,0,0),
(296143,10159117,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(296144,10159117,'Increases AGI of caster by 11.9',100,2,2),
(296145,10159117,'Increases Attack Speed of caster by 14.8',100,2,3),
(296146,10159117,'Cannot be modified except by direct means',100,2,4),
(296147,107486,'Inflicts 304 - 913 magic damage on targets in Area of Effect',100,1,0),
(296148,107486,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(296149,107486,'Stuns target',100,2,2),
(296150,107486,'Throws target back',100,2,3),
(296151,107486,'Blurs vision of target',100,2,4),
(296152,107486,'Does not affect Epic targets',100,2,5),
(296153,10107486,'Inflicts 365 - 1096 magic damage on targets in Area of Effect',100,1,0),
(296154,10107486,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(296155,10107486,'Stuns target',100,2,2),
(296156,10107486,'Throws target back',100,2,3),
(296157,10107486,'Blurs vision of target',100,2,4),
(296158,10107486,'Does not affect Epic targets',100,2,5),
(296159,121837,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(296160,121837,'Increases Mitigation of group members (AE) vs arcane damage by 689',100,1,1),
(296161,10121837,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(296162,10121837,'Increases Mitigation of group members (AE) vs arcane damage by 689',100,1,1),
(296163,121845,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(296164,121845,'Increases Mitigation of group members (AE) vs arcane damage by 1512',100,1,1),
(296165,10121845,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(296166,10121845,'Increases Mitigation of group members (AE) vs arcane damage by 1512',100,1,1),
(296167,106206,'Applies Defile.',100,1,0),
(296168,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,1),
(296169,106206,'If under 30% Health',100,3,2),
(296170,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,3),
(296171,106206,'If under 20% Health',100,3,4),
(296172,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,5),
(296173,106206,'If under 90% Health',100,3,6),
(296174,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,7),
(296175,106206,'If under 60% Health',100,3,8),
(296176,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,9),
(296177,106206,'If under 70% Health',100,3,10),
(296178,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,11),
(296179,106206,'If under 80% Health',100,3,12),
(296180,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,13),
(296181,106206,'If under 100% Health',100,3,14),
(296182,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,15),
(296183,106206,'If under 50% Health',100,3,16),
(296184,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,17),
(296185,106206,'If under 10% Health',100,3,18),
(296186,106206,'Inflicts 45 disease damage on targets in Area of Effect',100,2,19),
(296187,106206,'If under 40% Health',100,3,20),
(296188,10106206,'Applies Defile.',100,1,0),
(296189,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,1),
(296190,10106206,'If at 40% Health or less',100,3,2),
(296191,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,3),
(296192,10106206,'If at 60% Health or less',100,3,4),
(296193,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,5),
(296194,10106206,'If over 100% Health',100,3,6),
(296195,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,7),
(296196,10106206,'If at 70% Health or less',100,3,8),
(296197,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,9),
(296198,10106206,'If at 90% Health or less',100,3,10),
(296199,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,11),
(296200,10106206,'If at 80% Health or less',100,3,12),
(296201,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,13),
(296202,10106206,'If at 50% Health or less',100,3,14),
(296203,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,15),
(296204,10106206,'If at 10% Health or less',100,3,16),
(296205,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,17),
(296206,10106206,'If at 20% Health or less',100,3,18),
(296207,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,19),
(296208,10106206,'If at 100% Health or greater',100,3,20),
(296209,10106206,'Inflicts 54 disease damage on targets in Area of Effect',100,2,21),
(296210,10106206,'If at 30% Health or less',100,3,22),
(296211,107283,'Inflicts 281 - 469 ranged damage on target',100,1,0),
(296212,107283,'Inflicts 281 - 469 ranged damage on target',100,1,1),
(296213,107283,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(296214,107283,'Stuns target',100,2,3),
(296215,107283,'Throws target back',100,2,4),
(296216,107283,'Blurs vision of target',100,2,5),
(296217,107283,'Does not affect Epic targets',100,2,6),
(296218,107283,'If weapon equipped in Ranged',100,1,7),
(296219,10107283,'Inflicts 211 - 351 ranged damage on target',100,1,0),
(296220,10107283,'Inflicts 211 - 351 ranged damage on target',100,1,1),
(296221,10107283,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(296222,10107283,'Stuns target',100,2,3),
(296223,10107283,'Throws target back',100,2,4),
(296224,10107283,'Blurs vision of target',100,2,5),
(296225,10107283,'Does not affect Epic targets',100,2,6),
(296226,10107283,'If weapon equipped in Ranged',100,1,7),
(296227,122738,'Applies Tranquil Healing.',100,1,0),
(296228,122738,'Heals target for 836',100,2,1),
(296229,122738,'Dispels 121 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(296230,122738,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(296231,122738,'Heals target for 836',100,3,4),
(296232,10122738,'Applies Tranquil Healing.',100,1,0),
(296233,10122738,'Heals target for 337',100,2,1),
(296234,10122738,'Dispels 121 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(296235,10122738,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(296236,10122738,'Heals target for 337',100,3,4),
(296237,123239,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(296238,123239,'Increases Mitigation of group members (AE) vs noxious damage by 280',100,1,1),
(296239,10123239,'Increases Max Power of group members (AE) by 165.0',100,1,0),
(296240,10123239,'Increases Mitigation of group members (AE) vs noxious damage by 280',100,1,1),
(296241,120315,'Increases Threat to target by 641 - 783 ',100,1,0),
(296242,10120315,'Forces target to change their selected target to caster.',100,1,0),
(296243,10120315,'Prevents target from changing targets',100,1,1),
(296244,159377,'When Equipped:',100,0,0),
(296245,159377,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(296246,159377,'Increases AGI of caster by 3.6',100,2,2),
(296247,159377,'Increases Attack Speed of caster by 9.8',100,2,3),
(296248,159377,'Cannot be modified except by direct means',100,2,4),
(296249,10159377,'When Equipped:',100,0,0),
(296250,10159377,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(296251,10159377,'Increases AGI of caster by 3.6',100,2,2),
(296252,10159377,'Increases Attack Speed of caster by 9.8',100,2,3),
(296253,10159377,'Cannot be modified except by direct means',100,2,4),
(296254,112156,'Increases Threat to target by 196 - 294  instantly and by 39 - 58  every 3 seconds thereafter',100,1,0),
(296255,114011,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(296256,114011,'Heals target for 7 instantly and every 2 seconds',100,2,1),
(296257,114011,'Decreases Mitigation of target vs arcane damage by 187',100,1,2),
(296258,10114011,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(296259,10114011,'Heals target for 23 instantly and every 2 seconds',100,2,1),
(296260,10114011,'Decreases Mitigation of target vs arcane damage by 187',100,1,2),
(296261,80343,'When Equipped:',100,0,0),
(296262,80343,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(296263,80343,'Inflicts 48 - 90 magic damage on target',100,2,2),
(296264,80343,'Decreases Threat to target by 153 ',100,2,3),
(296265,80343,'Must be flanking or behind',100,3,4),
(296266,80343,'Increases Threat to target by 267 ',100,2,5),
(296267,80343,'Must be in front of',100,3,6),
(296268,80343,'Cannot be modified except by direct means',100,2,7),
(296269,10080343,'When Equipped:',100,0,0),
(296270,10080343,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(296271,10080343,'Inflicts 58 - 107 magic damage on target',100,2,2),
(296272,10080343,'Cannot be modified except by direct means',100,2,3),
(296273,123538,'Inflicts 98 - 146 piercing damage on target instantly and every 4 seconds',100,1,0),
(296274,123538,'Decreases Defense of target by 25.7',100,1,1),
(296275,10123538,'Inflicts 164 - 246 piercing damage on target',100,1,0),
(296276,10123538,'Inflicts 117 - 176 piercing damage on target every 4 seconds',100,1,1),
(296277,10123538,'Decreases Defense of target by 25.7',100,1,2),
(296278,37276,'Increases STA of target by 13.2',100,0,0),
(296279,37276,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(296280,103342,'Inflicts 160 - 196 mental damage on target instantly and every 6 seconds',100,1,0),
(296281,103342,'Applies Migraine on termination.',100,1,1),
(296282,103342,'Inflicts 349 - 472 mental damage on target',100,2,2),
(296283,10103342,'Inflicts 192 - 235 mental damage on target instantly and every 6 seconds',100,1,0),
(296284,10103342,'Applies Migraine on termination.',100,1,1),
(296285,10103342,'Inflicts 419 - 567 mental damage on target',100,2,2),
(296286,74908,'When Equipped:',100,0,0),
(296287,74908,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296288,74908,'Inflicts 26 - 40 magic damage on target',100,2,2),
(296289,74908,'Cannot be modified except by direct means',100,2,3),
(296290,10074908,'When Equipped:',100,0,0),
(296291,10074908,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296292,10074908,'Inflicts 32 - 48 magic damage on target',100,2,2),
(296293,10074908,'Cannot be modified except by direct means',100,2,3),
(296294,115065,'Heals target for 76 - 92',100,1,0),
(296295,115065,'Heals target for 10 - 12 every second',100,1,1),
(296296,10115065,'Heals target for 140 - 172',100,1,0),
(296297,10115065,'Heals target for 11 - 13 every second',100,1,1),
(296298,88303,'When Equipped:',100,0,0),
(296299,88303,'On a melee hit this spell may cast Dawnfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(296300,88303,'Inflicts 363 heat damage on target',100,2,2),
(296301,88303,'Cannot be modified except by direct means',100,2,3),
(296302,88303,'When Equipped:',100,0,4),
(296303,88303,'Increases Attack Speed of caster by 25.0',100,1,5),
(296304,10088303,'When Equipped:',100,0,0),
(296305,10088303,'On a melee hit this spell may cast Dawnfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(296306,10088303,'Inflicts 436 heat damage on target',100,2,2),
(296307,10088303,'Cannot be modified except by direct means',100,2,3),
(296308,10088303,'When Equipped:',100,0,4),
(296309,10088303,'Increases Attack Speed of caster by 25.0',100,1,5),
(296310,50830,'When Equipped:',100,0,0),
(296311,50830,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(296312,10050830,'When Equipped:',100,0,0),
(296313,10050830,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(296314,124362,'Inflicts 113 - 138 divine damage on target',100,1,0),
(296315,124362,'Inflicts 47 - 57 divine damage on target every 4 seconds',100,1,1),
(296316,10124362,'Inflicts 135 - 165 divine damage on target',100,1,0),
(296317,10124362,'Inflicts 56 - 69 divine damage on target every 4 seconds',100,1,1),
(296318,112184,'Increases STR of caster by 74.8',100,1,0),
(296319,112184,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1856',100,1,1),
(296320,112184,'Increases Mitigation of caster vs physical damage by 476',100,1,2),
(296321,10112184,'Increases STR of caster by 74.8',100,1,0),
(296322,10112184,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1856',100,1,1),
(296323,10112184,'Increases Mitigation of caster vs physical damage by 476',100,1,2),
(296324,106097,'Inflicts 387 - 645 melee damage on target',100,1,0),
(296325,106097,'Decreases Mitigation of target vs physical damage by 1330',100,1,1),
(296326,106097,'Must be behind',100,1,2),
(296327,10106097,'Inflicts 464 - 774 melee damage on target',100,1,0),
(296328,10106097,'Decreases Mitigation of target vs physical damage by 333',100,1,1),
(296329,10106097,'Must be behind',100,1,2),
(296330,45708,'Applies Ranjor''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(296331,45708,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(296332,10045708,'Applies Ranjor''s Reclamation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(296333,10045708,'Increases power of caster by 13 instantly and every 5 seconds',100,1,1),
(296334,141906,'When Equipped:',100,0,0),
(296335,141906,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(296336,141906,'Increases AGI of caster by 5.1',100,2,2),
(296337,141906,'Increases Attack Speed of caster by 13.2',100,2,3),
(296338,141906,'Cannot be modified except by direct means',100,2,4),
(296339,10141906,'When Equipped:',100,0,0),
(296340,10141906,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(296341,10141906,'Increases AGI of caster by 5.1',100,2,2),
(296342,10141906,'Increases Attack Speed of caster by 13.2',100,2,3),
(296343,10141906,'Cannot be modified except by direct means',100,2,4),
(296344,115987,'Inflicts 399 - 598 mental damage on target',100,1,0),
(296345,115987,'Stuns target',100,1,1),
(296346,115987,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(296347,115987,'Resistibility increases against targets higher than level 98.',100,1,3),
(296348,10115987,'Inflicts 479 - 718 mental damage on target',100,1,0),
(296349,10115987,'Stuns target',100,1,1),
(296350,10115987,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(296351,10115987,'Resistibility increases against targets higher than level 98.',100,1,3),
(296352,119499,'Dazes target encounter',100,1,0),
(296353,119499,'If Target is not Epic',100,2,1),
(296354,119499,'Inflicts 253 - 310 magic damage on target encounter instantly and every second',100,1,2),
(296355,119499,'Resistibility increases against targets higher than level 107.',100,1,3),
(296356,10119499,'Inflicts 400 - 489 magic damage on target encounter',100,1,0),
(296357,10119499,'Inflicts 304 - 372 magic damage on target encounter every second',100,1,1),
(296358,10119499,'Dazes target encounter',100,1,2),
(296359,10119499,'If Target is not Epic',100,2,3),
(296360,10119499,'Resistibility increases against targets higher than level 107.',100,1,4),
(296361,112359,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(296362,112359,'Inflicts 276 - 461 piercing damage on target',100,2,1),
(296363,10112359,'On a melee hit this spell will cast Daring Attack on target of attack.  ',100,1,0),
(296364,10112359,'Inflicts 174 - 290 piercing damage on target',100,2,1),
(296365,48549,'Applies Release Spybot when Activated.',100,0,0),
(296366,48549,'This effect cannot be cast during combat',100,1,1),
(296367,10048549,'Applies Release Spybot when Activated.',100,0,0),
(296368,10048549,'This effect cannot be cast during combat',100,1,1),
(296369,114519,'Heals target for 76 - 92',100,1,0),
(296370,10114519,'Heals target for 98 - 120',100,1,0),
(296371,115884,'Inflicts 3 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(296372,10115884,'Inflicts 4 - 5 disease damage on target encounter',100,1,0),
(296373,10115884,'Inflicts 3 - 4 disease damage on target encounter every 3 seconds',100,1,1),
(296374,36712,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(296375,102171,'Increases Mitigation of group members (AE) vs physical damage by 134',100,1,0),
(296376,10102171,'Increases Mitigation of group members (AE) vs physical damage by 134',100,1,0),
(296377,122023,'Increases Threat to target by 49 - 60 ',100,1,0),
(296378,122023,'Inflicts 4 - 7 melee damage on target',100,1,1),
(296379,10122023,'Forces target to change their selected target to caster.',100,1,0),
(296380,10122023,'Inflicts 5 - 8 melee damage on target',100,1,1),
(296381,103047,'Inflicts 19 magic damage on target instantly and every 4 seconds',100,1,0),
(296382,103047,'Increases power of caster by 7 instantly and every 4 seconds',100,1,1),
(296383,10103047,'Inflicts 23 magic damage on target instantly and every 4 seconds',100,1,0),
(296384,10103047,'Increases power of caster by 7 instantly and every 4 seconds',100,1,1),
(296385,35565,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(296386,138845,'When Equipped:',100,0,0),
(296387,138845,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(296388,138845,'Stifles target',100,2,2),
(296389,138845,'Only affects targets level 121 and below',100,2,3),
(296390,138845,'Does not affect Epic targets',100,2,4),
(296391,138845,'Resistibility increases against targets higher than level 105.',100,2,5),
(296392,138845,'Cannot be modified except by direct means',100,2,6),
(296393,10138845,'When Equipped:',100,0,0),
(296394,10138845,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(296395,10138845,'Stifles target',100,2,2),
(296396,10138845,'Only affects targets level 121 and below',100,2,3),
(296397,10138845,'Does not affect Epic targets',100,2,4),
(296398,10138845,'Resistibility increases against targets higher than level 105.',100,2,5),
(296399,10138845,'Cannot be modified except by direct means',100,2,6),
(296400,106967,'Inflicts 248 - 460 poison damage on target',100,1,0),
(296401,106967,'Increases power of caster by 24',100,1,1),
(296402,10106967,'Inflicts 297 - 552 poison damage on target',100,1,0),
(296403,10106967,'Increases power of caster by 24',100,1,1),
(296404,26620,'When Equipped:',100,0,0),
(296405,26620,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,1),
(296406,26620,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(296407,10026620,'When Equipped:',100,0,0),
(296408,10026620,'Improves the effect of Lamenting Soul III by 20 Damage Per Second.',100,1,1),
(296409,10026620,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(296410,143722,'When Equipped:',100,0,0),
(296411,143722,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(296412,10143722,'When Equipped:',100,0,0),
(296413,10143722,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(296414,165408,'When Equipped:',100,0,0),
(296415,165408,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296416,165408,'Summons a limited pet to aid the caster',100,2,2),
(296417,165408,'Cannot be modified except by direct means',100,2,3),
(296418,165408,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(296419,165408,'Summons a limited pet to aid the caster',100,2,5),
(296420,165408,'Cannot be modified except by direct means',100,2,6),
(296421,10165408,'When Equipped:',100,0,0),
(296422,10165408,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296423,10165408,'Summons a limited pet to aid the caster',100,2,2),
(296424,10165408,'Cannot be modified except by direct means',100,2,3),
(296425,10165408,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(296426,10165408,'Summons a limited pet to aid the caster',100,2,5),
(296427,10165408,'Cannot be modified except by direct means',100,2,6),
(296428,105370,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(296429,105370,'Inflicts 25 melee damage on target',100,2,1),
(296430,105370,'Interrupts target',100,2,2),
(296431,105370,'Decreases Defense of caster by 8.1',100,1,3),
(296432,105370,'Increases Piercing, Slashing, Ranged and Crushing of caster by 11.5',100,1,4),
(296433,10105370,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(296434,10105370,'Inflicts 30 melee damage on target',100,2,1),
(296435,10105370,'Interrupts target',100,2,2),
(296436,10105370,'Decreases Defense of caster by 8.1',100,1,3),
(296437,10105370,'Increases Piercing, Slashing, Ranged and Crushing of caster by 11.5',100,1,4),
(296438,46643,'Applies Holy Enigmatic Formula when Activated.',100,0,0),
(296439,46643,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(296440,10046643,'Applies Holy Enigmatic Formula when Activated.',100,0,0),
(296441,10046643,'Dispels 78 levels of arcane hostile effects on caster',100,1,1),
(296442,100356,'Increases Max Health of target by 723.2',100,1,0),
(296443,100356,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.4',100,1,1),
(296444,10100356,'Increases Max Health of target by 723.2',100,1,0),
(296445,10100356,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.4',100,1,1),
(296446,106782,'Mesmerizes target',100,1,0),
(296447,106782,'Prevents AOE (except when direct) ',100,1,1),
(296448,106782,'Dispelled when target takes damage',100,1,2),
(296449,106782,'Does not affect Epic targets',100,1,3),
(296450,106782,'Resistibility increases against targets higher than level 107.',100,1,4),
(296451,10106782,'Mesmerizes target',100,1,0),
(296452,10106782,'Prevents AOE (except when direct) ',100,1,1),
(296453,10106782,'Dispelled when target takes damage',100,1,2),
(296454,10106782,'Does not affect Epic targets',100,1,3),
(296455,10106782,'Resistibility increases against targets higher than level 107.',100,1,4),
(296456,117721,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(296457,117721,'Adds 1.0% to base avoidance.',100,1,1),
(296458,10117721,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(296459,10117721,'Adds 1.0% to base avoidance.',100,1,1),
(296460,88710,'When Equipped:',100,0,0),
(296461,88710,'On a melee hit this spell may cast Trueheart on caster.  Lasts for 30.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(296462,88710,'Makes caster immune to Mesmerize effects',100,2,2),
(296463,88710,'Makes caster immune to Stun effects',100,2,3),
(296464,88710,'Increases Max Health of caster by 1,034.0',100,2,4),
(296465,88710,'Increases Defense and Slashing of caster by 44.4',100,2,5),
(296466,88710,'Cannot be modified except by direct means',100,2,6),
(296467,88710,'Increases Multi Attack Chance of caster by 5.0',100,1,7),
(296468,10088710,'When Equipped:',100,0,0),
(296469,10088710,'On a melee hit this spell may cast Trueheart on caster.  Lasts for 30.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(296470,10088710,'Makes caster immune to Mesmerize effects',100,2,2),
(296471,10088710,'Makes caster immune to Stun effects',100,2,3),
(296472,10088710,'Increases Max Health of caster by 1,034.0',100,2,4),
(296473,10088710,'Increases Defense and Slashing of caster by 44.4',100,2,5),
(296474,10088710,'Cannot be modified except by direct means',100,2,6),
(296475,10088710,'Increases Multi Attack Chance of caster by 5.0',100,1,7),
(296476,107467,'Increases Defense of group members'' pets (AE) by 3.6',100,1,0),
(296477,107467,'Increases Mitigation of group members (AE) vs all damage by 67',100,1,1),
(296478,10107467,'Increases Defense of group members'' pets (AE) by 3.6',100,1,0),
(296479,10107467,'Increases Mitigation of group members (AE) vs all damage by 67',100,1,1),
(296480,101693,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(296481,101693,'Inflicts 297 - 363 disease damage on target',100,2,1),
(296482,101693,'Grants a total of 3 triggers of the spell.',100,2,2),
(296483,10101693,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(296484,10101693,'Inflicts 356 - 436 disease damage on target',100,2,1),
(296485,10101693,'Grants a total of 3 triggers of the spell.',100,2,2),
(296486,35670,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(296487,119389,'Decreases threat priority of target by 1 position',100,1,0),
(296488,119389,'Decreases Threat to target by 1,165 ',100,1,1),
(296489,119389,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(296490,119389,'Grants stealth to caster',100,2,3),
(296491,119389,'Suspends caster''s movement speed enhancements',100,2,4),
(296492,10119389,'Applies Distract.',100,1,0),
(296493,10119389,'Forces target to clear their selected target.',100,2,1),
(296494,10119389,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(296495,10119389,'Grants stealth to caster',100,2,3),
(296496,10119389,'Suspends caster''s movement speed enhancements',100,2,4),
(296497,116441,'Inflicts 33 disease damage on target instantly and every 4 seconds',100,1,0),
(296498,116441,'Inflicts 33 disease damage on target instantly and every 4 seconds',100,1,1),
(296499,116441,'If target is nightblood',100,2,2),
(296500,116441,'Inflicts 33 disease damage on target instantly and every 4 seconds',100,1,3),
(296501,116441,'If target is shadowed folk',100,2,4),
(296502,10116441,'Inflicts 39 disease damage on target instantly and every 4 seconds',100,1,0),
(296503,117784,'Inflicts 742 - 1237 divine damage on target',100,1,0),
(296504,10117784,'Inflicts 891 - 1484 divine damage on target',100,1,0),
(296505,105675,'Decreases Damage Per Second of target by 32.0',100,1,0),
(296506,105675,'Inflicts 323 - 539 melee damage on target',100,1,1),
(296507,105675,'Must be flanking or behind',100,1,2),
(296508,10105675,'Decreases Damage Per Second of target by 32.0',100,1,0),
(296509,10105675,'Inflicts 388 - 646 melee damage on target',100,1,1),
(296510,10105675,'Must be flanking or behind',100,1,2),
(296511,139653,'When Equipped:',100,0,0),
(296512,139653,'On any combat or spell hit this spell may cast Destructive Command on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(296513,139653,'Increases Ability Reuse Speed of group members (AE) by 5.0%',100,2,2),
(296514,139653,'Increases Damage Per Second of group members (AE) by 25.0',100,2,3),
(296515,139653,'Increases Attack Speed of group members (AE) by 25.0',100,2,4),
(296516,139653,'Must not be engaged in pvp combat',100,2,5),
(296517,139653,'Cannot be modified except by direct means',100,2,6),
(296518,139653,'Must not be engaged in pvp combat',100,1,7),
(296519,10139653,'When Equipped:',100,0,0),
(296520,10139653,'On any combat or spell hit this spell may cast Destructive Command on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(296521,10139653,'Increases Ability Reuse Speed of group members (AE) by 5.0%',100,2,2),
(296522,10139653,'Increases Damage Per Second of group members (AE) by 25.0',100,2,3),
(296523,10139653,'Increases Attack Speed of group members (AE) by 25.0',100,2,4),
(296524,10139653,'Must not be engaged in pvp combat',100,2,5),
(296525,10139653,'Cannot be modified except by direct means',100,2,6),
(296526,10139653,'Must not be engaged in pvp combat',100,1,7),
(296527,119870,'Increases INT and AGI of group members (AE) by 22.2',100,1,0),
(296528,119870,'Adds 1.8% to base avoidance.',100,1,1),
(296529,10119870,'Increases INT and AGI of group members (AE) by 22.2',100,1,0),
(296530,10119870,'Adds 1.8% to base avoidance.',100,1,1),
(296531,158320,'When Equipped:',100,0,0),
(296532,158320,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(296533,158320,'This effect suspends during combat',100,1,2),
(296534,10158320,'When Equipped:',100,0,0),
(296535,10158320,'Increases Out-of-Combat Health Regeneration of caster by 5.0',100,1,1),
(296536,10158320,'This effect suspends during combat',100,1,2),
(296537,81751,'When Equipped:',100,0,0),
(296538,81751,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(296539,81751,'Inflicts 108 - 200 magic damage on target',100,2,2),
(296540,81751,'Decreases Threat to target by 487 ',100,2,3),
(296541,81751,'Must be flanking or behind',100,3,4),
(296542,81751,'Increases Threat to target by 852 ',100,2,5),
(296543,81751,'Must be in front of',100,3,6),
(296544,81751,'Cannot be modified except by direct means',100,2,7),
(296545,10081751,'When Equipped:',100,0,0),
(296546,10081751,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(296547,10081751,'Inflicts 129 - 240 magic damage on target',100,2,2),
(296548,10081751,'Cannot be modified except by direct means',100,2,3),
(296549,79034,'Applies Frost Blast when Activated.',100,0,0),
(296550,79034,'Inflicts 173 - 289 cold damage on target',100,1,1),
(296551,79034,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(296552,10079034,'Applies Frost Blast when Activated.',100,0,0),
(296553,10079034,'Inflicts 208 - 347 cold damage on target',100,1,1),
(296554,10079034,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(296555,103962,'Interrupts targets in Area of Effect',100,1,0),
(296556,103962,'Inflicts 4 - 7 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(296557,10103962,'Interrupts targets in Area of Effect',100,1,0),
(296558,10103962,'Inflicts 4 - 8 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(296559,82648,'When Equipped:',100,0,0),
(296560,82648,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(296561,82648,'Inflicts 79 - 146 magic damage on target',100,2,2),
(296562,82648,'Decreases Threat to target by 259 ',100,2,3),
(296563,82648,'Must be flanking or behind',100,3,4),
(296564,82648,'Increases Threat to target by 453 ',100,2,5),
(296565,82648,'Must be in front of',100,3,6),
(296566,82648,'Cannot be modified except by direct means',100,2,7),
(296567,10082648,'When Equipped:',100,0,0),
(296568,10082648,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(296569,10082648,'Inflicts 94 - 175 magic damage on target',100,2,2),
(296570,10082648,'Cannot be modified except by direct means',100,2,3),
(296571,100492,'Increases Attack Speed of group members (AE) by 15.1',100,1,0),
(296572,10100492,'Increases Attack Speed of group members (AE) by 15.1',100,1,0),
(296573,75517,'When Equipped:',100,0,0),
(296574,75517,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(296575,75517,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,2),
(296576,75517,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(296577,75517,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,4),
(296578,75517,'Increases Multi Attack Chance of caster by 30.0',100,2,5),
(296579,75517,'Increases Damage Per Second of caster by 30.0',100,2,6),
(296580,75517,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,7),
(296581,75517,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,8),
(296582,75517,'Increases Attack Speed of caster by 30.0',100,2,9),
(296583,75517,'Must not be engaged in pvp combat',100,2,10),
(296584,75517,'Cannot be modified except by direct means',100,2,11),
(296585,75517,'Must not be engaged in pvp combat',100,1,12),
(296586,10075517,'When Equipped:',100,0,0),
(296587,10075517,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(296588,10075517,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,2),
(296589,10075517,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(296590,10075517,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,4),
(296591,10075517,'Increases Multi Attack Chance of caster by 30.0',100,2,5),
(296592,10075517,'Increases Damage Per Second of caster by 30.0',100,2,6),
(296593,10075517,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,7),
(296594,10075517,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,8),
(296595,10075517,'Increases Attack Speed of caster by 30.0',100,2,9),
(296596,10075517,'Must not be engaged in pvp combat',100,2,10),
(296597,10075517,'Cannot be modified except by direct means',100,2,11),
(296598,10075517,'Must not be engaged in pvp combat',100,1,12),
(296599,36721,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(296600,100856,'Wards target against 1575 points of all damage',100,1,0),
(296601,10100856,'Wards target against 2424 points of all damage',100,1,0),
(296602,111072,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(296603,111072,'Slows target by 38.2%',100,2,1),
(296604,111072,'5% chance to dispel when target receives hostile action',100,2,2),
(296605,111072,'5% chance to dispel when target takes damage',100,2,3),
(296606,111072,'Decreases Mitigation of target vs elemental damage by 969',100,1,4),
(296607,10111072,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(296608,10111072,'Slows target by 38.2%',100,2,1),
(296609,10111072,'5% chance to dispel when target receives hostile action',100,2,2),
(296610,10111072,'5% chance to dispel when target takes damage',100,2,3),
(296611,10111072,'Decreases Mitigation of target vs elemental damage by 969',100,1,4),
(296612,109307,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(296613,109307,'Increases Mitigation of group members (AE) vs elemental damage by 877',100,1,1),
(296614,10109307,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(296615,10109307,'Increases Mitigation of group members (AE) vs elemental damage by 877',100,1,1),
(296616,88007,'When Equipped:',100,0,0),
(296617,88007,'On a combat hit this spell may cast Inject Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296618,88007,'Inflicts 40 - 49 poison damage on target',100,2,2),
(296619,88007,'Inflicts 8 - 10 poison damage on target every 4.8 seconds',100,2,3),
(296620,88007,'Cannot be modified except by direct means',100,2,4),
(296621,10088007,'When Equipped:',100,0,0),
(296622,10088007,'On a combat hit this spell may cast Inject Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296623,10088007,'Inflicts 48 - 58 poison damage on target',100,2,2),
(296624,10088007,'Inflicts 9 - 11 poison damage on target every 4.8 seconds',100,2,3),
(296625,10088007,'Cannot be modified except by direct means',100,2,4),
(296626,24602,'Adds Orc-Snow (Guardian) to your Dungeon Maker toolbox',100,0,0),
(296627,10024602,'Adds Orc-Snow (Guardian) to your Dungeon Maker toolbox',100,0,0),
(296628,109005,'Decreases Damage Per Second of target by 51.0',100,1,0),
(296629,109005,'Inflicts 509 - 622 melee damage on target',100,1,1),
(296630,10109005,'Decreases Damage Per Second of target by 51.0',100,1,0),
(296631,10109005,'Inflicts 611 - 747 melee damage on target',100,1,1),
(296632,105884,'Inflicts 84 - 141 ranged damage on target',100,1,0),
(296633,105884,'Inflicts 84 - 141 ranged damage on target',100,1,1),
(296634,105884,'If weapon equipped in Ranged',100,1,2),
(296635,10105884,'Inflicts 63 - 105 ranged damage on target',100,1,0),
(296636,10105884,'Inflicts 63 - 105 ranged damage on target',100,1,1),
(296637,10105884,'If weapon equipped in Ranged',100,1,2),
(296638,36961,'Increases Max Power of target by 90.7',100,0,0),
(296639,36961,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(296640,107630,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(296641,107630,'Increases Mitigation of group members (AE) vs elemental damage by 549',100,1,1),
(296642,10107630,'Increases Max Power of group members (AE) by 353.6',100,1,0),
(296643,10107630,'Increases Mitigation of group members (AE) vs elemental damage by 549',100,1,1),
(296644,182220,'When Equipped:',100,0,0),
(296645,182220,'Increases Attack Speed of caster by 45.0',100,1,1),
(296646,10182220,'When Equipped:',100,0,0),
(296647,10182220,'Increases Attack Speed of caster by 45.0',100,1,1),
(296648,109941,'Stuns target',100,1,0),
(296649,109941,'Does not affect Epic targets',100,1,1),
(296650,109941,'Resistibility increases against targets higher than level 87.',100,1,2),
(296651,10109941,'Stuns target',100,1,0),
(296652,10109941,'Does not affect Epic targets',100,1,1),
(296653,10109941,'Resistibility increases against targets higher than level 87.',100,1,2),
(296654,81362,'When Equipped:',100,0,0),
(296655,81362,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296656,81362,'Inflicts 72 - 134 magic damage on target',100,2,2),
(296657,81362,'Cannot be modified except by direct means',100,2,3),
(296658,10081362,'When Equipped:',100,0,0),
(296659,10081362,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296660,10081362,'Inflicts 87 - 161 magic damage on target',100,2,2),
(296661,10081362,'Cannot be modified except by direct means',100,2,3),
(296662,37468,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(296663,114387,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(296664,114387,'Blurs vision of target',100,2,1),
(296665,114387,'Stuns target',100,2,2),
(296666,114387,'Throws target back',100,2,3),
(296667,114387,'Does not affect Epic targets',100,2,4),
(296668,114387,'Inflicts 342 - 571 crushing damage on target',100,1,5),
(296669,10114387,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(296670,10114387,'Stuns target',100,2,1),
(296671,10114387,'Blurs vision of target',100,2,2),
(296672,10114387,'Throws target back',100,2,3),
(296673,10114387,'Does not affect Epic targets',100,2,4),
(296674,10114387,'Inflicts 411 - 685 crushing damage on target',100,1,5),
(296675,121352,'Inflicts 15 - 28 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(296676,10121352,'Inflicts 18 - 34 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(296677,104766,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(296678,104766,'Inflicts 194 disease damage on target',100,2,1),
(296679,104766,'Heals caster for 102',100,2,2),
(296680,104766,'Heals group members'' pets for 102',100,2,3),
(296681,10104766,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(296682,10104766,'Inflicts 233 disease damage on target',100,2,1),
(296683,10104766,'Heals caster for 66',100,2,2),
(296684,10104766,'Heals group members'' pets for 66',100,2,3),
(296685,123190,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(296686,123190,'Inflicts 18 - 22 disease damage on target',100,2,1),
(296687,123190,'Heals caster for 38 - 47',100,2,2),
(296688,123190,'This effect cannot be critically applied.',100,3,3),
(296689,123190,'The healing of this spell cannot be modified except by direct means',100,2,4),
(296690,123190,'Grants a total of 5 triggers of the spell.',100,2,5),
(296691,10123190,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(296692,10123190,'Inflicts 22 - 27 disease damage on target',100,2,1),
(296693,10123190,'Heals caster for 13 - 16',100,2,2),
(296694,10123190,'This effect cannot be critically applied.',100,3,3),
(296695,10123190,'The healing of this spell cannot be modified except by direct means',100,2,4),
(296696,10123190,'Grants a total of 5 triggers of the spell.',100,2,5),
(296697,121656,'Increases AGI, WIS, STA, INT and STR of caster by 39.6',100,1,0),
(296698,121656,'Summons a pet void beast',100,1,1),
(296699,121656,'If follows Anashti Sul',100,1,2),
(296700,10121656,'Increases AGI, WIS, STA, INT and STR of caster by 39.6',100,1,0),
(296701,10121656,'Summons a pet void beast',100,1,1),
(296702,10121656,'If follows Anashti Sul',100,1,2),
(296703,124485,'Heals group members (AE) for 465 - 569',100,1,0),
(296704,10124485,'Heals group members (AE) for 544 - 665',100,1,0),
(296705,113529,'Inflicts 24 - 39 disease damage on target',100,1,0),
(296706,10113529,'Inflicts 28 - 47 disease damage on target',100,1,0),
(296707,107041,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(296708,107041,'Inflicts 66 - 110 divine damage on target',100,2,1),
(296709,107041,'Inflicts 66 - 110 divine damage on target',100,2,2),
(296710,107041,'If target is undead',100,3,3),
(296711,10107041,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(296712,10107041,'Inflicts 131 - 219 divine damage on target',100,2,1),
(296713,71777,'When Equipped:',100,0,0),
(296714,71777,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296715,71777,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(296716,71777,'Cannot be modified except by direct means',100,2,3),
(296717,10071777,'When Equipped:',100,0,0),
(296718,10071777,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296719,10071777,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(296720,10071777,'Cannot be modified except by direct means',100,2,3),
(296721,103768,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.0',100,1,0),
(296722,10103768,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.0',100,1,0),
(296723,49108,'Applies Thunder Blast when Activated.  Lasts for 6.2 seconds.',100,0,0),
(296724,49108,'Stuns target',100,1,1),
(296725,49108,'Inflicts 99 - 166 magic damage on target',100,1,2),
(296726,49108,'Only affects targets level 48 and below',100,1,3),
(296727,49108,'Does not affect Epic targets',100,1,4),
(296728,49108,'Resistibility increases against targets higher than level 59.',100,1,5),
(296729,10049108,'Applies Thunder Blast when Activated.  Lasts for 6.2 seconds.',100,0,0),
(296730,10049108,'Stuns target',100,1,1),
(296731,10049108,'Inflicts 119 - 199 magic damage on target',100,1,2),
(296732,10049108,'Only affects targets level 48 and below',100,1,3),
(296733,10049108,'Does not affect Epic targets',100,1,4),
(296734,10049108,'Resistibility increases against targets higher than level 59.',100,1,5),
(296735,117060,'Inflicts 139 - 233 melee damage on target',100,1,0),
(296736,117060,'Decreases Attack Speed of target by 20.0',100,1,1),
(296737,10117060,'Inflicts 167 - 279 melee damage on target',100,1,0),
(296738,10117060,'Decreases Attack Speed of target by 20.0',100,1,1),
(296739,47079,'Applies Summon Unicorn when Activated.',100,0,0),
(296740,47079,'Increases Focus, Ordination, Ministration, Crushing, Slashing, Subjugation and Disruption of caster by 5.0',100,1,1),
(296741,47079,'Summons a mount to ride',100,1,2),
(296742,47079,'Increases your ground speed by 135%',100,2,3),
(296743,47079,'Increases Aggression, Piercing and Ranged of caster by 5.0',100,1,4),
(296744,10047079,'Applies Summon Unicorn when Activated.',100,0,0),
(296745,10047079,'Increases Focus, Ordination, Ministration, Crushing, Slashing, Subjugation and Disruption of caster by 5.0',100,1,1),
(296746,10047079,'Summons a mount to ride',100,1,2),
(296747,10047079,'Increases your ground speed by 135%',100,2,3),
(296748,10047079,'Increases Aggression, Piercing and Ranged of caster by 5.0',100,1,4),
(296749,143913,'When Equipped:',100,0,0),
(296750,143913,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(296751,143913,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(296752,143913,'Must not be engaged in pvp combat',100,2,3),
(296753,143913,'Cannot be modified except by direct means',100,2,4),
(296754,143913,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(296755,143913,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(296756,143913,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(296757,143913,'Must not be engaged in pvp combat',100,2,8),
(296758,143913,'Cannot be modified except by direct means',100,2,9),
(296759,143913,'Must not be engaged in pvp combat',100,1,10),
(296760,10143913,'When Equipped:',100,0,0),
(296761,10143913,'On any combat or spell hit this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(296762,10143913,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,2),
(296763,10143913,'Must not be engaged in pvp combat',100,2,3),
(296764,10143913,'Cannot be modified except by direct means',100,2,4),
(296765,10143913,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(296766,10143913,'On a healing spell cast this spell may cast Major Bolstering Roar on the group.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(296767,10143913,'Increases Crit Bonus of group members (AE) by 15.0%',100,2,7),
(296768,10143913,'Must not be engaged in pvp combat',100,2,8),
(296769,10143913,'Cannot be modified except by direct means',100,2,9),
(296770,10143913,'Must not be engaged in pvp combat',100,1,10),
(296771,111796,'Shapechanges caster into a water elemental',100,1,0),
(296772,10111796,'Shapechanges caster into a water elemental',100,1,0),
(296773,47196,'Applies Murky Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(296774,47196,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(296775,47196,'Only affects targets level 50 and above',100,1,2),
(296776,10047196,'Applies Murky Elixir of Noxious Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(296777,10047196,'Increases Mitigation of caster vs noxious damage by 300',100,1,1),
(296778,10047196,'Only affects targets level 50 and above',100,1,2),
(296779,112592,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(296780,112592,'Heals targets in Area of Effect for 284 - 347',100,2,1),
(296781,112592,'Dispels 113 levels of physical hostile effects on target',100,2,2),
(296782,10112592,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(296783,10112592,'Heals targets in Area of Effect for 185 - 226',100,2,1),
(296784,10112592,'Dispels 113 levels of physical hostile effects on target',100,2,2),
(296785,135808,'When Equipped:',100,0,0),
(296786,135808,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(296787,135808,'Inflicts 2648 poison damage on target',100,2,2),
(296788,135808,'If under 15% Health',100,2,3),
(296789,135808,'Cannot be modified except by direct means',100,2,4),
(296790,135808,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(296791,135808,'Inflicts 2648 poison damage on target',100,2,6),
(296792,135808,'If under 15% Health',100,2,7),
(296793,135808,'Cannot be modified except by direct means',100,2,8),
(296794,135808,'Cannot be modified except by direct means',100,1,9),
(296795,10135808,'When Equipped:',100,0,0),
(296796,10135808,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(296797,10135808,'Inflicts 3178 poison damage on target',100,2,2),
(296798,10135808,'If under 15% Health',100,2,3),
(296799,10135808,'Cannot be modified except by direct means',100,2,4),
(296800,10135808,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(296801,10135808,'Inflicts 3178 poison damage on target',100,2,6),
(296802,10135808,'If under 15% Health',100,2,7),
(296803,10135808,'Cannot be modified except by direct means',100,2,8),
(296804,10135808,'Cannot be modified except by direct means',100,1,9),
(296805,159228,'Applies Sanguine Imbued when Equipped.',100,0,0),
(296806,159228,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(296807,159228,'Inflicts 79 heat damage on target',100,2,2),
(296808,159228,'Cannot be modified except by direct means',100,2,3),
(296809,10159228,'Applies Sanguine Imbued when Equipped.',100,0,0),
(296810,10159228,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(296811,10159228,'Inflicts 95 heat damage on target',100,2,2),
(296812,10159228,'Cannot be modified except by direct means',100,2,3),
(296813,101437,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(296814,101437,'Increases Mitigation of group members (AE) vs noxious damage by 470',100,1,1),
(296815,10101437,'Increases Max Power of group members (AE) by 303.1',100,1,0),
(296816,10101437,'Increases Mitigation of group members (AE) vs noxious damage by 470',100,1,1),
(296817,138500,'When Equipped:',100,0,0),
(296818,138500,'On a healing spell cast this spell may cast Burst of Healing on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(296819,138500,'Increases Crit Chance of caster by 10.0',100,2,2),
(296820,138500,'Cannot be modified except by direct means',100,2,3),
(296821,10138500,'When Equipped:',100,0,0),
(296822,10138500,'On a healing spell cast this spell may cast Burst of Healing on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(296823,10138500,'Increases Crit Chance of caster by 10.0',100,2,2),
(296824,10138500,'Cannot be modified except by direct means',100,2,3),
(296825,105194,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(296826,105194,'Inflicts 126 - 154 poison damage on target encounter',100,2,1),
(296827,10105194,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(296828,10105194,'Inflicts 152 - 185 poison damage on target encounter',100,2,1),
(296829,111971,'Inflicts 267 - 326 disease damage on target',100,1,0),
(296830,111971,'Decreases Mitigation of target vs noxious damage by 720',100,1,1),
(296831,10111971,'Inflicts 411 - 503 disease damage on target',100,1,0),
(296832,10111971,'Decreases Mitigation of target vs noxious damage by 720',100,1,1),
(296833,164582,'Applies Unstable Magics when Equipped.',100,0,0),
(296834,164582,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(296835,10164582,'Applies Unstable Magics when Equipped.',100,0,0),
(296836,10164582,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(296837,165099,'When Equipped:',100,0,0),
(296838,165099,'Increases Attack Speed of caster by 35.0',100,1,1),
(296839,10165099,'When Equipped:',100,0,0),
(296840,10165099,'Increases Attack Speed of caster by 35.0',100,1,1),
(296841,124027,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(296842,124027,'Heals target for 379 - 464',100,2,1),
(296843,124027,'Grants a total of 5 triggers of the spell.',100,2,2),
(296844,10124027,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(296845,10124027,'Heals target for 247 - 301',100,2,1),
(296846,10124027,'Grants a total of 5 triggers of the spell.',100,2,2),
(296847,46129,'Applies Elixir of Vivication when Activated.',100,0,0),
(296848,46129,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(296849,10046129,'Applies Elixir of Vivication when Activated.',100,0,0),
(296850,10046129,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(296851,144629,'When Equipped:',100,0,0),
(296852,144629,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296853,144629,'Wards target against 1000 points of all damage',100,2,2),
(296854,144629,'Cannot be modified except by direct means',100,2,3),
(296855,144629,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(296856,10144629,'When Equipped:',100,0,0),
(296857,10144629,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(296858,10144629,'Wards target against 1000 points of all damage',100,2,2),
(296859,10144629,'Cannot be modified except by direct means',100,2,3),
(296860,10144629,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(296861,103367,'Inflicts 67 - 82 mental damage on target instantly and every 6 seconds',100,1,0),
(296862,103367,'Decreases power of target by 17 instantly and every 6 seconds',100,1,1),
(296863,103367,'Increases power of caster by 81',100,1,2),
(296864,10103367,'Inflicts 81 - 99 mental damage on target instantly and every 6 seconds',100,1,0),
(296865,10103367,'Decreases power of target by 17 instantly and every 6 seconds',100,1,1),
(296866,10103367,'Increases power of caster by 81',100,1,2),
(296867,123786,'Decreases Mitigation of target vs noxious damage by 2477',100,1,0),
(296868,123786,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(296869,123786,'Slows target by 56.6%',100,2,2),
(296870,123786,'5% chance to dispel when target receives hostile action',100,2,3),
(296871,123786,'5% chance to dispel when target takes damage',100,2,4),
(296872,10123786,'Decreases Mitigation of target vs noxious damage by 2477',100,1,0),
(296873,10123786,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(296874,10123786,'Slows target by 56.6%',100,2,2),
(296875,10123786,'5% chance to dispel when target receives hostile action',100,2,3),
(296876,10123786,'5% chance to dispel when target takes damage',100,2,4),
(296877,124438,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(296878,124438,'Inflicts 93 - 155 melee damage on target',100,2,1),
(296879,124438,'Decreases Defense of caster by 9.3',100,1,2),
(296880,124438,'Increases Slashing, Piercing, Ranged and Crushing of caster by 16.7',100,1,3),
(296881,10124438,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(296882,10124438,'Inflicts 111 - 186 melee damage on target',100,2,1),
(296883,10124438,'Decreases Defense of caster by 9.3',100,1,2),
(296884,10124438,'Increases Slashing, Piercing, Ranged and Crushing of caster by 16.7',100,1,3),
(296885,106584,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(296886,106584,'Increases Parry of caster by 8.6',100,1,1),
(296887,10106584,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(296888,10106584,'Increases Parry of caster by 8.6',100,1,1),
(296889,179299,'When Equipped:',100,0,0),
(296890,179299,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(296891,179299,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(296892,179299,'Inflicts 787 divine damage on target',100,2,3),
(296893,179299,'Must be classified as a vampire',100,3,4),
(296894,179299,'Inflicts 393 divine damage on target',100,2,5),
(296895,179299,'Must not be classified as a vampire',100,3,6),
(296896,179299,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(296897,179299,'Must be classified as a vampire',100,3,8),
(296898,179299,'Cannot be modified except by direct means',100,2,9),
(296899,10179299,'When Equipped:',100,0,0),
(296900,10179299,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(296901,10179299,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(296902,10179299,'Inflicts 944 divine damage on target',100,2,3),
(296903,10179299,'Must be classified as a vampire',100,3,4),
(296904,10179299,'Inflicts 472 divine damage on target',100,2,5),
(296905,10179299,'Must not be classified as a vampire',100,3,6),
(296906,10179299,'Decreases Mitigation of target vs arcane damage by 574',100,2,7),
(296907,10179299,'Must be classified as a vampire',100,3,8),
(296908,10179299,'Cannot be modified except by direct means',100,2,9),
(296909,175145,'When Equipped:',100,0,0),
(296910,175145,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(296911,10175145,'When Equipped:',100,0,0),
(296912,10175145,'Increases base Spell and Combat Art damage by 5%.',100,1,1),
(296913,111141,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(296914,111141,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 517',100,1,1),
(296915,111141,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,2),
(296916,10111141,'Increases Max Health of group members (AE) by 114.0',100,1,0),
(296917,10111141,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 517',100,1,1),
(296918,10111141,'Increases Mitigation of group members (AE) vs physical damage by 312',100,1,2),
(296919,151092,'When Equipped:',100,0,0),
(296920,151092,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(296921,151092,'Inflicts 1192 heat damage on target',100,2,2),
(296922,151092,'Cannot be modified except by direct means',100,2,3),
(296923,10151092,'When Equipped:',100,0,0),
(296924,10151092,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(296925,10151092,'Inflicts 715 heat damage on target',100,2,2),
(296926,10151092,'Cannot be modified except by direct means',100,2,3),
(296927,120769,'Inflicts 40 - 48 divine damage on target instantly and every 3 seconds',100,1,0),
(296928,120769,'Increases power of caster by 48 instantly and every 3 seconds',100,1,1),
(296929,10120769,'Inflicts 48 - 58 divine damage on target instantly and every 3 seconds',100,1,0),
(296930,10120769,'Increases power of caster by 48 instantly and every 3 seconds',100,1,1),
(296931,141683,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(296932,141683,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(296933,141683,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(296934,141683,'Cannot be modified except by direct means',100,2,3),
(296935,10141683,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(296936,10141683,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(296937,10141683,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(296938,10141683,'Cannot be modified except by direct means',100,2,3),
(296939,82857,'When Equipped:',100,0,0),
(296940,82857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296941,82857,'Inflicts 205 - 381 magic damage on target',100,2,2),
(296942,82857,'Cannot be modified except by direct means',100,2,3),
(296943,10082857,'When Equipped:',100,0,0),
(296944,10082857,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(296945,10082857,'Inflicts 246 - 457 magic damage on target',100,2,2),
(296946,10082857,'Cannot be modified except by direct means',100,2,3),
(296947,112086,'Inflicts 85 - 142 heat damage on target instantly and every 2 seconds',100,1,0),
(296948,10112086,'Inflicts 251 - 418 heat damage on target instantly and every 2 seconds',100,1,0),
(296949,107801,'Increases Threat to target encounter by 738 - 902 ',100,1,0),
(296950,10107801,'Prevents target encounter from changing targets',100,1,0),
(296951,10107801,'Forces target encounter to change their selected target to caster.',100,1,1),
(296952,106701,'Heals target for 56 - 69',100,1,0),
(296953,10106701,'Heals target for 66 - 81',100,1,0),
(296954,118499,'Summons a limited pet to aid the caster',100,1,0),
(296955,10118499,'Summons a limited pet to aid the caster',100,1,0),
(296956,110593,'Decreases Focus of target by 10.7',100,1,0),
(296957,110593,'Interrupts target',100,1,1),
(296958,110593,'Inflicts 38 - 114 crushing damage on target',100,1,2),
(296959,10110593,'Decreases Focus of target by 10.7',100,1,0),
(296960,10110593,'Interrupts target',100,1,1),
(296961,10110593,'Inflicts 45 - 137 crushing damage on target',100,1,2),
(296962,115916,'Inflicts 81 - 99 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(296963,10115916,'Inflicts 126 - 154 disease damage on target encounter',100,1,0),
(296964,10115916,'Inflicts 97 - 118 disease damage on target encounter every 3 seconds',100,1,1),
(296965,107686,'Inflicts 12 - 21 heat damage on target',100,1,0),
(296966,107686,'You must be sneaking to use this ability.',100,1,1),
(296967,10107686,'Inflicts 15 - 25 heat damage on target',100,1,0),
(296968,10107686,'You must be sneaking to use this ability.',100,1,1),
(296969,116018,'Decreases Hate Gain of target by 12.9%',100,1,0),
(296970,116018,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(296971,116018,'Decreases threat priority of target by 1 position',100,2,2),
(296972,10116018,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(296973,10116018,'Forces target to clear their selected target.',100,2,1),
(296974,106611,'Inflicts 122 - 149 disease damage on target',100,1,0),
(296975,106611,'Heals caster for 5.9 - 7.3% of max health',100,1,1),
(296976,106611,'This effect cannot be critically applied.',100,2,2),
(296977,106611,'The healing of this spell cannot be modified except by direct means',100,1,3),
(296978,10106611,'Inflicts 147 - 179 disease damage on target',100,1,0),
(296979,10106611,'Heals caster for 2.0 - 2.4% of max health',100,1,1),
(296980,10106611,'This effect cannot be critically applied.',100,2,2),
(296981,10106611,'The healing of this spell cannot be modified except by direct means',100,1,3),
(296982,45353,'Applies Cleansing Stab when Activated.',100,0,0),
(296983,45353,'Heals targets in Area of Effect for 1.0% of max health',100,1,1),
(296984,45353,'There are no suitable targets in the area.',100,1,2),
(296985,10045353,'Applies Cleansing Stab when Activated.',100,0,0),
(296986,10045353,'Heals targets in Area of Effect for 0.6% of max health',100,1,1),
(296987,10045353,'There are no suitable targets in the area.',100,1,2),
(296988,107541,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(296989,107541,'Decreases Mitigation of target encounter vs elemental and noxious damage by 816',100,1,1),
(296990,10107541,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(296991,10107541,'Decreases Mitigation of target encounter vs elemental and noxious damage by 816',100,1,1),
(296992,139461,'When Equipped:',100,0,0),
(296993,139461,'Increases success chance by 1.4%',100,1,1),
(296994,10139461,'When Equipped:',100,0,0),
(296995,10139461,'Increases success chance by 1.4%',100,1,1),
(296996,47948,'Applies Call Mountain Saliraptor when Activated.',100,0,0),
(296997,47948,'Summons a mount to ride',100,1,1),
(296998,47948,'Increases your ground speed by 60%',100,2,2),
(296999,47948,'Increases your air speed by 200%',100,2,3),
(297000,10047948,'Applies Call Mountain Saliraptor when Activated.',100,0,0),
(297001,10047948,'Summons a mount to ride',100,1,1),
(297002,10047948,'Increases your ground speed by 60%',100,2,2),
(297003,10047948,'Increases your air speed by 200%',100,2,3),
(297004,191900,'When Equipped:',100,0,0),
(297005,191900,'On a hostile spell hit this spell may cast Clear Mind on target of spell.  Lasts for 2 minutes 30 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297006,191900,'Wards caster against 350 points of all damage',100,2,2),
(297007,191900,'Increases power of caster by 99 - 148',100,2,3),
(297008,191900,'Cannot be modified except by direct means',100,2,4),
(297009,10191900,'When Equipped:',100,0,0),
(297010,10191900,'On a hostile spell hit this spell may cast Clear Mind on target of spell.  Lasts for 2 minutes 30 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297011,10191900,'Wards caster against 350 points of all damage',100,2,2),
(297012,10191900,'Increases power of caster by 99 - 148',100,2,3),
(297013,10191900,'Cannot be modified except by direct means',100,2,4),
(297014,109964,'Inflicts 381 - 571 disease damage on targets in Area of Effect',100,1,0),
(297015,109964,'Inflicts 190 - 286 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(297016,109964,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(297017,109964,'Increases Threat to targets in Area of Effect by 1,902 - 2,223  instantly and every 4 seconds thereafter',100,1,3),
(297018,10109964,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(297019,10109964,'Forces target to change their selected target to caster.',100,2,1),
(297020,10109964,'Prevents target from changing targets',100,2,2),
(297021,10109964,'Inflicts 457 - 686 disease damage on targets in Area of Effect',100,1,3),
(297022,10109964,'Inflicts 229 - 343 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(297023,48953,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(297024,48953,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(297025,48953,'Inflicts 52 poison damage on target',100,2,2),
(297026,48953,'Inflicts 45 poison damage on target instantly and every 6 seconds',100,2,3),
(297027,48953,'Cannot be modified except by direct means',100,2,4),
(297028,48953,'Grants a total of 200 triggers of the spell.',100,2,5),
(297029,10048953,'Applies visions of derangement when Activated.  Lasts for 12 hours.',100,0,0),
(297030,10048953,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(297031,10048953,'Inflicts 41 poison damage on target instantly and every 6 seconds',100,2,2),
(297032,10048953,'Inflicts 47 poison damage on target',100,2,3),
(297033,10048953,'Cannot be modified except by direct means',100,2,4),
(297034,10048953,'Grants a total of 200 triggers of the spell.',100,2,5),
(297035,124128,'Increases power of caster by 321',100,1,0),
(297036,10124128,'Increases power of caster by 321',100,1,0),
(297037,104198,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(297038,10104198,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(297039,141932,'When Equipped:',100,0,0),
(297040,141932,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297041,141932,'Increases INT of caster by 3.6',100,2,2),
(297042,141932,'Increases Disruption, Focus and Subjugation of caster by 2.2',100,2,3),
(297043,141932,'Cannot be modified except by direct means',100,2,4),
(297044,10141932,'When Equipped:',100,0,0),
(297045,10141932,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297046,10141932,'Increases INT of caster by 3.6',100,2,2),
(297047,10141932,'Increases Disruption, Focus and Subjugation of caster by 2.2',100,2,3),
(297048,10141932,'Cannot be modified except by direct means',100,2,4),
(297049,108622,'Feigns Death with 92% chance of success',100,1,0),
(297050,10108622,'Feigns Death with 92% chance of success',100,1,0),
(297051,45695,'Applies Clouded Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(297052,45695,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(297053,45695,'Only affects targets level 50 and above',100,1,2),
(297054,10045695,'Applies Clouded Maelin''s Mystical Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(297055,10045695,'Increases Mitigation of caster vs arcane damage by 450',100,1,1),
(297056,10045695,'Only affects targets level 50 and above',100,1,2),
(297057,87409,'When Equipped:',100,0,0),
(297058,87409,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297059,87409,'Inflicts 127 - 190 magic damage on target',100,2,2),
(297060,87409,'Cannot be modified except by direct means',100,2,3),
(297061,10087409,'When Equipped:',100,0,0),
(297062,10087409,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297063,10087409,'Inflicts 152 - 228 magic damage on target',100,2,2),
(297064,10087409,'Cannot be modified except by direct means',100,2,3),
(297065,82711,'When Equipped:',100,0,0),
(297066,82711,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(297067,82711,'Decreases Threat to target by 1,174 ',100,2,2),
(297068,82711,'Must be flanking or behind',100,3,3),
(297069,82711,'Increases Threat to target by 1,634 ',100,2,4),
(297070,82711,'Must be in front of',100,3,5),
(297071,82711,'Inflicts 237 - 440 magic damage on target',100,2,6),
(297072,82711,'Cannot be modified except by direct means',100,2,7),
(297073,10082711,'When Equipped:',100,0,0),
(297074,10082711,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(297075,10082711,'Inflicts 284 - 528 magic damage on target',100,2,2),
(297076,10082711,'Cannot be modified except by direct means',100,2,3),
(297077,52869,'Applies Sanguine Imbued when Equipped.',100,0,0),
(297078,52869,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(297079,52869,'Inflicts 80 heat damage on target',100,2,2),
(297080,52869,'Cannot be modified except by direct means',100,2,3),
(297081,10052869,'Applies Sanguine Imbued when Equipped.',100,0,0),
(297082,10052869,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(297083,10052869,'Inflicts 96 heat damage on target',100,2,2),
(297084,10052869,'Cannot be modified except by direct means',100,2,3),
(297085,109074,'Inflicts 101 - 169 melee damage on target',100,1,0),
(297086,109074,'Inflicts 101 - 169 melee damage on target',100,1,1),
(297087,109074,'Inflicts 101 - 169 melee damage on target',100,1,2),
(297088,109074,'Decreases Mitigation of target vs physical damage by 441',100,1,3),
(297089,10109074,'Inflicts 121 - 203 melee damage on target',100,1,0),
(297090,10109074,'Inflicts 121 - 203 melee damage on target',100,1,1),
(297091,10109074,'Inflicts 121 - 203 melee damage on target',100,1,2),
(297092,10109074,'Decreases Mitigation of target vs physical damage by 441',100,1,3),
(297093,154095,'When Equipped:',100,0,0),
(297094,154095,'Applies Frosty Breath',100,1,1),
(297095,10154095,'When Equipped:',100,0,0),
(297096,10154095,'Applies Frosty Breath',100,1,1),
(297097,157654,'When Equipped:',100,0,0),
(297098,157654,'On a hit this spell may cast Surging Adrenaline on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(297099,157654,'Heals caster for 200',100,2,2),
(297100,157654,'Cannot be modified except by direct means',100,2,3),
(297101,10157654,'When Equipped:',100,0,0),
(297102,10157654,'On a hit this spell may cast Surging Adrenaline on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(297103,10157654,'Heals caster for 130',100,2,2),
(297104,10157654,'Cannot be modified except by direct means',100,2,3),
(297105,106792,'Shapechanges caster into a wood elf',100,1,0),
(297106,10106792,'Shapechanges caster into a wood elf',100,1,0),
(297107,177779,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(297108,177779,'Decreases Mitigation of target vs physical damage by 351',100,1,1),
(297109,177779,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(297110,10177779,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(297111,10177779,'Decreases Mitigation of target vs physical damage by 351',100,1,1),
(297112,10177779,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(297113,35281,'Increases AGI of target by 12.7',100,0,0),
(297114,35281,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(297115,35747,'Increases STA of target by 13.2',100,0,0),
(297116,35747,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(297117,106702,'Heals target for 59 - 72',100,1,0),
(297118,10106702,'Heals target for 70 - 85',100,1,0),
(297119,124506,'Heals group members (AE) for 1416 - 1730',100,1,0),
(297120,10124506,'Heals group members (AE) for 2981 - 3644',100,1,0),
(297121,113618,'Inflicts 336 - 561 melee damage on target',100,1,0),
(297122,113618,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 51.5',100,1,1),
(297123,113618,'Must be flanking or behind',100,1,2),
(297124,10113618,'Inflicts 404 - 673 melee damage on target',100,1,0),
(297125,10113618,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 51.5',100,1,1),
(297126,10113618,'Must be flanking or behind',100,1,2),
(297127,112246,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(297128,112246,'Decreases power of target by 87',100,2,1),
(297129,112246,'Increases power of caster by 71',100,2,2),
(297130,10112246,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(297131,10112246,'Decreases power of target by 87',100,2,1),
(297132,10112246,'Increases power of caster by 57',100,2,2),
(297133,159687,'When Equipped:',100,0,0),
(297134,159687,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(297135,159687,'Increases STA of caster by 21.4',100,2,2),
(297136,159687,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(297137,159687,'Cannot be modified except by direct means',100,2,4),
(297138,10159687,'When Equipped:',100,0,0),
(297139,10159687,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(297140,10159687,'Increases STA of caster by 21.4',100,2,2),
(297141,10159687,'Increases In-Combat Health Regeneration of caster by 16.8',100,2,3),
(297142,10159687,'Cannot be modified except by direct means',100,2,4),
(297143,117798,'Mesmerizes target',100,1,0),
(297144,117798,'Prevents AOE (except when direct) ',100,1,1),
(297145,117798,'Dispelled when target takes damage',100,1,2),
(297146,117798,'Epic targets gain an immunity to Mesmerize effects of 52.5 seconds and duration is reduced to 5.8 seconds.',100,1,3),
(297147,117798,'Resistibility increases against targets higher than level 83.',100,1,4),
(297148,10117798,'Mesmerizes target',100,1,0),
(297149,10117798,'Prevents AOE (except when direct) ',100,1,1),
(297150,10117798,'Dispelled when target takes damage',100,1,2),
(297151,10117798,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(297152,10117798,'Resistibility increases against targets higher than level 83.',100,1,4),
(297153,158734,'When Equipped:',100,0,0),
(297154,158734,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(297155,158734,'Inflicts 1192 cold damage on target encounter',100,2,2),
(297156,158734,'Cannot be modified except by direct means',100,2,3),
(297157,10158734,'When Equipped:',100,0,0),
(297158,10158734,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(297159,10158734,'Inflicts 715 cold damage on target encounter',100,2,2),
(297160,10158734,'Cannot be modified except by direct means',100,2,3),
(297161,120263,'Inflicts 428 - 713 crushing damage on target',100,1,0),
(297162,10120263,'Inflicts 513 - 856 crushing damage on target',100,1,0),
(297163,102076,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(297164,102076,'Stuns target',100,2,1),
(297165,102076,'Blurs vision of target',100,2,2),
(297166,102076,'Throws target back',100,2,3),
(297167,102076,'Does not affect Epic targets',100,2,4),
(297168,102076,'Inflicts 6 - 11 crushing damage on target',100,1,5),
(297169,10102076,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(297170,10102076,'Stuns target',100,2,1),
(297171,10102076,'Blurs vision of target',100,2,2),
(297172,10102076,'Throws target back',100,2,3),
(297173,10102076,'Does not affect Epic targets',100,2,4),
(297174,10102076,'Inflicts 7 - 13 crushing damage on target',100,1,5),
(297175,48257,'Applies Call of the Inebriated when Activated.',100,0,0),
(297176,48257,'Teleports the user to a tavern.',100,1,1),
(297177,10048257,'Applies Call of the Inebriated when Activated.',100,0,0),
(297178,10048257,'Teleports the user to a tavern.',100,1,1),
(297179,138369,'When Equipped:',100,0,0),
(297180,138369,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(297181,138369,'Inflicts 2664 heat damage on target',100,2,2),
(297182,138369,'Cannot be modified except by direct means',100,2,3),
(297183,10138369,'When Equipped:',100,0,0),
(297184,10138369,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(297185,10138369,'Inflicts 1598 heat damage on target',100,2,2),
(297186,10138369,'Cannot be modified except by direct means',100,2,3),
(297187,37110,'Increases AGI of target by 10.5',100,0,0),
(297188,37110,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(297189,113563,'Inflicts 789 - 1315 disease damage on target',100,1,0),
(297190,10113563,'Inflicts 947 - 1578 disease damage on target',100,1,0),
(297191,123564,'Increases STR of group members (AE) by 16.1',100,1,0),
(297192,123564,'Increases Max Health of group members (AE) by 84.5',100,1,1),
(297193,10123564,'Increases STR of group members (AE) by 16.1',100,1,0),
(297194,10123564,'Increases Max Health of group members (AE) by 84.5',100,1,1),
(297195,88983,'When Equipped:',100,0,0),
(297196,88983,'Increases Metal Shaping and Metalworking of caster by 26.8',100,1,1),
(297197,10088983,'When Equipped:',100,0,0),
(297198,10088983,'Increases Metal Shaping and Metalworking of caster by 26.8',100,1,1),
(297199,121474,'Inflicts 40 - 67 melee damage on target',100,1,0),
(297200,121474,'Decreases Defense of target by 1.8',100,1,1),
(297201,10121474,'Inflicts 48 - 80 melee damage on target',100,1,0),
(297202,10121474,'Decreases Defense of target by 1.8',100,1,1),
(297203,101665,'Decreases Attack Speed of target by 19.8',100,1,0),
(297204,101665,'Decreases Damage Per Second of target by 11.8',100,1,1),
(297205,10101665,'Decreases Attack Speed of target by 19.8',100,1,0),
(297206,10101665,'Decreases Damage Per Second of target by 11.8',100,1,1),
(297207,42538,'When Equipped:',100,0,0),
(297208,42538,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297209,42538,'Inflicts 72 - 108 magic damage on target',100,2,2),
(297210,42538,'Cannot be modified except by direct means',100,2,3),
(297211,10042538,'When Equipped:',100,0,0),
(297212,10042538,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297213,10042538,'Inflicts 86 - 129 magic damage on target',100,2,2),
(297214,10042538,'Cannot be modified except by direct means',100,2,3),
(297215,113869,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(297216,113869,'Increases power of caster by 517',100,2,1),
(297217,113869,'Grants a total of 3 triggers of the spell.',100,2,2),
(297218,10113869,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(297219,10113869,'Increases power of caster by 517',100,2,1),
(297220,10113869,'Grants a total of 3 triggers of the spell.',100,2,2),
(297221,36224,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(297222,36224,'This effect suspends during combat',100,0,1),
(297223,118709,'Inflicts 42 - 71 slashing damage on target',100,1,0),
(297224,118709,'Decreases Slashing, Crushing and Piercing of target by 4.5',100,1,1),
(297225,118709,'Inflicts 18 - 22 slashing damage on target every 5 seconds',100,1,2),
(297226,10118709,'Inflicts 51 - 85 slashing damage on target',100,1,0),
(297227,10118709,'Decreases Slashing, Crushing and Piercing of target by 4.5',100,1,1),
(297228,10118709,'Inflicts 21 - 26 slashing damage on target every 5 seconds',100,1,2),
(297229,27475,'When Equipped:',100,0,0),
(297230,27475,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,1),
(297231,27475,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(297232,10027475,'When Equipped:',100,0,0),
(297233,10027475,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,1),
(297234,10027475,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(297235,109377,'Inflicts 115 - 347 melee damage on target',100,1,0),
(297236,109377,'Inflicts 144 - 434 melee damage on target',100,1,1),
(297237,109377,'Inflicts 173 - 521 melee damage on target',100,1,2),
(297238,10109377,'Inflicts 139 - 417 melee damage on target',100,1,0),
(297239,10109377,'Inflicts 173 - 521 melee damage on target',100,1,1),
(297240,10109377,'Inflicts 208 - 626 melee damage on target',100,1,2),
(297241,37084,'Increases STA of target by 2.4',100,0,0),
(297242,37084,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(297243,162302,'When Equipped:',100,0,0),
(297244,162302,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(297245,10162302,'When Equipped:',100,0,0),
(297246,10162302,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(297247,116962,'Increases Threat to target by 1,142 - 1,293 ',100,1,0),
(297248,116962,'Interrupts target',100,1,1),
(297249,10116962,'Forces target to change their selected target to caster.',100,1,0),
(297250,10116962,'Interrupts target',100,1,1),
(297251,10116962,'Prevents target from changing targets',100,1,2),
(297252,138378,'Applies Heroic Resistance X when Equipped.',100,0,0),
(297253,138378,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(297254,138378,'Cannot be modified except by direct means',100,1,2),
(297255,10138378,'Applies Heroic Resistance X when Equipped.',100,0,0),
(297256,10138378,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(297257,10138378,'Cannot be modified except by direct means',100,1,2),
(297258,113338,'Inflicts 285 - 349 divine damage on target encounter',100,1,0),
(297259,113338,'Interrupts target encounter',100,1,1),
(297260,10113338,'Inflicts 343 - 419 divine damage on target encounter',100,1,0),
(297261,10113338,'Interrupts target encounter',100,1,1),
(297262,72086,'When Equipped:',100,0,0),
(297263,72086,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297264,72086,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(297265,72086,'Cannot be modified except by direct means',100,2,3),
(297266,10072086,'When Equipped:',100,0,0),
(297267,10072086,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297268,10072086,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(297269,10072086,'Cannot be modified except by direct means',100,2,3),
(297270,49148,'Applies Overclocked Tools when Equipped.',100,0,0),
(297271,49148,'Increases success chance by 5.0%',100,1,1),
(297272,10049148,'Applies Overclocked Tools when Equipped.',100,0,0),
(297273,10049148,'Increases success chance by 5.0%',100,1,1),
(297274,112335,'Applies Insolent Gibe.',100,1,0),
(297275,112335,'Increases Threat to targets in Area of Effect by 2,149 - 2,994 ',100,2,1),
(297276,112335,'Applies Insolent Assault.',100,1,2),
(297277,112335,'Inflicts 903 - 1355 melee damage on targets in area',100,2,3),
(297278,112335,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(297279,112335,'Increases Threat to target encounter by 1,093 - 1,234 ',100,2,5),
(297280,10112335,'Applies Insolent Gibe.',100,1,0),
(297281,10112335,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(297282,10112335,'Applies Insolent Assault.',100,1,2),
(297283,10112335,'Inflicts 1084 - 1626 melee damage on targets in area',100,2,3),
(297284,10112335,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(297285,10112335,'Forces target encounter to change their selected target to caster.',100,2,5),
(297286,120964,'Inflicts 874 - 1458 ranged damage on target',100,1,0),
(297287,120964,'If weapon equipped in Ranged',100,1,1),
(297288,120964,'Must be behind',100,1,2),
(297289,10120964,'Inflicts 656 - 1093 ranged damage on target',100,1,0),
(297290,10120964,'If weapon equipped in Ranged',100,1,1),
(297291,10120964,'Must be behind',100,1,2),
(297292,81122,'When Equipped:',100,0,0),
(297293,81122,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297294,81122,'Inflicts 133 - 248 magic damage on target',100,2,2),
(297295,81122,'Cannot be modified except by direct means',100,2,3),
(297296,10081122,'When Equipped:',100,0,0),
(297297,10081122,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297298,10081122,'Inflicts 160 - 297 magic damage on target',100,2,2),
(297299,10081122,'Cannot be modified except by direct means',100,2,3),
(297300,120059,'Inflicts 31 - 53 mental damage on target',100,1,0),
(297301,120059,'Inflicts 31 - 53 mental damage on target',100,1,1),
(297302,120059,'Stifles target',100,1,2),
(297303,120059,'If Target is not Epic',100,2,3),
(297304,120059,'If weapon equipped in Ranged',100,1,4),
(297305,120059,'Resistibility increases against targets higher than level 45.',100,1,5),
(297306,10120059,'Inflicts 31 - 53 mental damage on target',100,1,0),
(297307,10120059,'Inflicts 31 - 53 mental damage on target',100,1,1),
(297308,10120059,'Stifles target',100,1,2),
(297309,10120059,'If Target is not Epic',100,2,3),
(297310,10120059,'If weapon equipped in Ranged',100,1,4),
(297311,10120059,'Resistibility increases against targets higher than level 45.',100,1,5),
(297312,105864,'Inflicts 7 - 13 ranged damage on target',100,1,0),
(297313,105864,'Inflicts 7 - 13 ranged damage on target',100,1,1),
(297314,105864,'If weapon equipped in Ranged',100,1,2),
(297315,10105864,'Inflicts 5 - 9 ranged damage on target',100,1,0),
(297316,10105864,'Inflicts 5 - 9 ranged damage on target',100,1,1),
(297317,10105864,'If weapon equipped in Ranged',100,1,2),
(297318,113687,'Stuns target',100,1,0),
(297319,113687,'If Target is not Epic',100,2,1),
(297320,113687,'Inflicts 555 - 925 heat damage on target',100,1,2),
(297321,113687,'Resistibility increases against targets higher than level 73.',100,1,3),
(297322,10113687,'Stuns target',100,1,0),
(297323,10113687,'If Target is not Epic',100,2,1),
(297324,10113687,'Inflicts 666 - 1110 heat damage on target',100,1,2),
(297325,10113687,'Resistibility increases against targets higher than level 73.',100,1,3),
(297326,49104,'Applies Wand of Obliteration when Activated.  Lasts for 1.0 second.',100,0,0),
(297327,49104,'Instantly kills the target.',100,1,1),
(297328,49104,'If target is not a player or a player''s pet or a mercenary',100,1,2),
(297329,49104,'If Target is not named',100,1,3),
(297330,49104,'If Target is not a boss',100,1,4),
(297331,49104,'Does not affect Epic targets',100,1,5),
(297332,49104,'Cannot be modified except by direct means',100,1,6),
(297333,10049104,'Applies Wand of Obliteration when Activated.  Lasts for 1.0 second.',100,0,0),
(297334,10049104,'Instantly kills the target.',100,1,1),
(297335,10049104,'If target is not a player or a player''s pet or a mercenary',100,1,2),
(297336,10049104,'If Target is not named',100,1,3),
(297337,10049104,'If Target is not a boss',100,1,4),
(297338,10049104,'Does not affect Epic targets',100,1,5),
(297339,10049104,'Cannot be modified except by direct means',100,1,6),
(297340,100438,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(297341,100438,'Increases Threat to target by 1,162 ',100,2,1),
(297342,100438,'Inflicts 176 - 294 slashing damage on target',100,2,2),
(297343,100438,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(297344,100438,'Increases Threat to target by 1,162 ',100,2,4),
(297345,100438,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1943',100,1,5),
(297346,10100438,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(297347,10100438,'Inflicts 211 - 352 slashing damage on target',100,2,1),
(297348,10100438,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(297349,10100438,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1943',100,1,3),
(297350,122213,'Increases Damage Per Second of target by 22.7',100,1,0),
(297351,122213,'Increases Max Health of target by 415.2',100,1,1),
(297352,10122213,'Increases Damage Per Second of target by 22.7',100,1,0),
(297353,10122213,'Increases Max Health of target by 415.2',100,1,1),
(297354,46912,'Applies Mending Root when Activated.',100,0,0),
(297355,46912,'Heals caster for 121 - 182',100,1,1),
(297356,10046912,'Applies Mending Root when Activated.',100,0,0),
(297357,10046912,'Heals caster for 79 - 118',100,1,1),
(297358,87519,'When Equipped:',100,0,0),
(297359,87519,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297360,87519,'Inflicts 208 - 312 magic damage on target',100,2,2),
(297361,87519,'Cannot be modified except by direct means',100,2,3),
(297362,10087519,'When Equipped:',100,0,0),
(297363,10087519,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297364,10087519,'Inflicts 250 - 375 magic damage on target',100,2,2),
(297365,10087519,'Cannot be modified except by direct means',100,2,3),
(297366,101610,'Inflicts 579 - 965 melee damage on targets in area',100,1,0),
(297367,10101610,'Inflicts 695 - 1158 melee damage on targets in area',100,1,0),
(297368,47270,'Applies Namistai''s Invigoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(297369,47270,'Heals caster for 91',100,1,1),
(297370,47270,'Heals caster for 45 every 5 seconds',100,1,2),
(297371,10047270,'Applies Namistai''s Invigoration  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(297372,10047270,'Heals caster for 59',100,1,1),
(297373,10047270,'Heals caster for 29 every 5 seconds',100,1,2),
(297374,103833,'Increases Ability Casting Speed of raid and group members (AE) by 7.6%',100,1,0),
(297375,103833,'Increases Attack Speed of raid and group members (AE) by 19.0',100,1,1),
(297376,10103833,'Increases Ability Casting Speed of raid and group members (AE) by 7.6%',100,1,0),
(297377,10103833,'Increases Attack Speed of raid and group members (AE) by 19.0',100,1,1),
(297378,46572,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(297379,46572,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(297380,46572,'Inflicts 136 poison damage on target',100,2,2),
(297381,46572,'Cannot be modified except by direct means',100,2,3),
(297382,46572,'Grants a total of 100 triggers of the spell.',100,2,4),
(297383,10046572,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(297384,10046572,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(297385,10046572,'Inflicts 123 poison damage on target',100,2,2),
(297386,10046572,'Cannot be modified except by direct means',100,2,3),
(297387,10046572,'Grants a total of 100 triggers of the spell.',100,2,4),
(297388,41634,'When Equipped:',100,0,0),
(297389,41634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297390,41634,'Inflicts 204 - 379 magic damage on target',100,2,2),
(297391,41634,'Cannot be modified except by direct means',100,2,3),
(297392,10041634,'When Equipped:',100,0,0),
(297393,10041634,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297394,10041634,'Inflicts 245 - 454 magic damage on target',100,2,2),
(297395,10041634,'Cannot be modified except by direct means',100,2,3),
(297396,45961,'Applies Elemental Dominion when Activated.  Lasts for 10.0 seconds.',100,0,0),
(297397,45961,'Makes caster immune to Stifle effects',100,1,1),
(297398,45961,'Temporarily increases the casting speed of your pet-summoning spells by 50%',100,1,2),
(297399,45961,'Must have Discord''s Tome of Elemental Dominion equipped.',100,1,3),
(297400,45961,'Must be engaged in pvp combat',100,1,4),
(297401,10045961,'Applies Elemental Dominion when Activated.  Lasts for 10.0 seconds.',100,0,0),
(297402,10045961,'Makes caster immune to Stifle effects',100,1,1),
(297403,10045961,'Temporarily increases the casting speed of your pet-summoning spells by 50%',100,1,2),
(297404,10045961,'Must have Discord''s Tome of Elemental Dominion equipped.',100,1,3),
(297405,10045961,'Must be engaged in pvp combat',100,1,4),
(297406,51325,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(297407,51325,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(297408,51325,'Inflicts 9 heat damage on target',100,2,2),
(297409,51325,'Cannot be modified except by direct means',100,2,3),
(297410,10051325,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(297411,10051325,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(297412,10051325,'Inflicts 11 heat damage on target',100,2,2),
(297413,10051325,'Cannot be modified except by direct means',100,2,3),
(297414,87227,'When Equipped:',100,0,0),
(297415,87227,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297416,87227,'Inflicts 51 - 76 magic damage on target',100,2,2),
(297417,87227,'Cannot be modified except by direct means',100,2,3),
(297418,10087227,'When Equipped:',100,0,0),
(297419,10087227,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297420,10087227,'Inflicts 61 - 91 magic damage on target',100,2,2),
(297421,10087227,'Cannot be modified except by direct means',100,2,3),
(297422,81360,'When Equipped:',100,0,0),
(297423,81360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297424,81360,'Inflicts 72 - 134 magic damage on target',100,2,2),
(297425,81360,'Cannot be modified except by direct means',100,2,3),
(297426,10081360,'When Equipped:',100,0,0),
(297427,10081360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297428,10081360,'Inflicts 87 - 161 magic damage on target',100,2,2),
(297429,10081360,'Cannot be modified except by direct means',100,2,3),
(297430,72128,'When Equipped:',100,0,0),
(297431,72128,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297432,72128,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(297433,72128,'Cannot be modified except by direct means',100,2,3),
(297434,10072128,'When Equipped:',100,0,0),
(297435,10072128,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297436,10072128,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(297437,10072128,'Cannot be modified except by direct means',100,2,3),
(297438,119344,'Inflicts 77 - 116 disease damage on target',100,1,0),
(297439,119344,'Inflicts 31 - 46 disease damage on target every 4 seconds',100,1,1),
(297440,10119344,'Inflicts 92 - 139 disease damage on target',100,1,0),
(297441,10119344,'Inflicts 37 - 55 disease damage on target every 4 seconds',100,1,1),
(297442,124549,'Dispels 122 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(297443,10124549,'Dispels 122 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(297444,45796,'Applies Curative Dark Aura when Activated.  Lasts for 10 minutes 3 seconds.',100,0,0),
(297445,45796,'Dispels 35 levels of noxious hostile and beneficial effects on group members (AE)',100,1,1),
(297446,45796,'Increases In-Combat Health Regeneration of group members (AE) by 5.0',100,1,2),
(297447,10045796,'Applies Curative Dark Aura when Activated.  Lasts for 10 minutes 3 seconds.',100,0,0),
(297448,10045796,'Dispels 35 levels of noxious hostile and beneficial effects on group members (AE)',100,1,1),
(297449,10045796,'Increases In-Combat Health Regeneration of group members (AE) by 5.0',100,1,2),
(297450,118137,'Heals target for 1758 - 2149',100,1,0),
(297451,10118137,'Heals target for 2078 - 2540',100,1,0),
(297452,124404,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(297453,124404,'Inflicts 107 - 179 melee damage on target',100,2,1),
(297454,124404,'Grants a total of 3 triggers of the spell.',100,2,2),
(297455,10124404,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(297456,10124404,'Inflicts 129 - 215 melee damage on target',100,2,1),
(297457,10124404,'Grants a total of 3 triggers of the spell.',100,2,2),
(297458,122717,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(297459,122717,'Increases Deflection of caster by 4.6',100,1,1),
(297460,10122717,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(297461,10122717,'Increases Deflection of caster by 4.6',100,1,1),
(297462,118118,'Heals target for 294 - 359',100,1,0),
(297463,10118118,'Heals target for 347 - 425',100,1,0),
(297464,116094,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(297465,116094,'Heals target for 222 - 271',100,2,1),
(297466,116094,'Grants a total of 5 triggers of the spell.',100,2,2),
(297467,10116094,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(297468,10116094,'Heals target for 144 - 176',100,2,1),
(297469,10116094,'Grants a total of 5 triggers of the spell.',100,2,2),
(297470,81429,'When Equipped:',100,0,0),
(297471,81429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297472,81429,'Inflicts 80 - 149 magic damage on target',100,2,2),
(297473,81429,'Cannot be modified except by direct means',100,2,3),
(297474,10081429,'When Equipped:',100,0,0),
(297475,10081429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297476,10081429,'Inflicts 96 - 179 magic damage on target',100,2,2),
(297477,10081429,'Cannot be modified except by direct means',100,2,3),
(297478,102935,'Inflicts 60 - 73 disease damage on target instantly and every 4 seconds',100,1,0),
(297479,10102935,'Inflicts 93 - 114 disease damage on target',100,1,0),
(297480,10102935,'Inflicts 72 - 87 disease damage on target every 4 seconds',100,1,1),
(297481,103385,'Inflicts 165 - 202 mental damage on target instantly and every 6 seconds',100,1,0),
(297482,103385,'Decreases power of target by 41 instantly and every 6 seconds',100,1,1),
(297483,103385,'Increases power of caster by 203',100,1,2),
(297484,10103385,'Inflicts 198 - 242 mental damage on target instantly and every 6 seconds',100,1,0),
(297485,10103385,'Decreases power of target by 41 instantly and every 6 seconds',100,1,1),
(297486,10103385,'Increases power of caster by 203',100,1,2),
(297487,155208,'When Equipped:',100,0,0),
(297488,155208,'Increases the caster''s heals and wards by 5%.',100,1,1),
(297489,155208,'Must not be engaged in pvp combat',100,1,2),
(297490,10155208,'When Equipped:',100,0,0),
(297491,10155208,'Increases the caster''s heals and wards by 5%.',100,1,1),
(297492,10155208,'Must not be engaged in pvp combat',100,1,2),
(297493,104795,'Increases caster''s chance to block by 10.0%',100,1,0),
(297494,104795,'Decreases Attack Speed of caster by 14.0',100,1,1),
(297495,104795,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(297496,104795,'Increases Parry of caster by 12.0',100,1,3),
(297497,104795,'Increases Defense of caster by 12.0',100,1,4),
(297498,10104795,'Increases caster''s chance to block by 10.0%',100,1,0),
(297499,10104795,'Decreases Attack Speed of caster by 14.0',100,1,1),
(297500,10104795,'Decreases Damage Per Second of caster by 14.0',100,1,2),
(297501,10104795,'Increases Parry of caster by 12.0',100,1,3),
(297502,10104795,'Increases Defense of caster by 12.0',100,1,4),
(297503,106722,'Heals target for 248 - 303',100,1,0),
(297504,10106722,'Heals target for 291 - 356',100,1,0),
(297505,108837,'Inflicts 36 - 60 melee damage on target',100,1,0),
(297506,108837,'Inflicts 36 - 60 melee damage on target',100,1,1),
(297507,108837,'Inflicts 36 - 60 melee damage on target',100,1,2),
(297508,108837,'Inflicts 36 - 60 melee damage on target',100,1,3),
(297509,108837,'Inflicts 36 - 60 melee damage on target',100,1,4),
(297510,10108837,'Inflicts 43 - 72 melee damage on target',100,1,0),
(297511,10108837,'Inflicts 43 - 72 melee damage on target',100,1,1),
(297512,10108837,'Inflicts 43 - 72 melee damage on target',100,1,2),
(297513,10108837,'Inflicts 43 - 72 melee damage on target',100,1,3),
(297514,10108837,'Inflicts 43 - 72 melee damage on target',100,1,4),
(297515,115579,'Interrupts target encounter',100,1,0),
(297516,115579,'Decreases Threat to target encounter by 291 - 356 ',100,1,1),
(297517,115579,'Dazes target encounter',100,1,2),
(297518,115579,'If Target is not Epic',100,2,3),
(297519,115579,'Resistibility increases against targets higher than level 67.',100,1,4),
(297520,10115579,'Interrupts target encounter',100,1,0),
(297521,10115579,'Dazes target encounter',100,1,1),
(297522,10115579,'If Target is not Epic',100,2,2),
(297523,10115579,'Resistibility increases against targets higher than level 67.',100,1,3),
(297524,189965,'When Equipped:',100,0,0),
(297525,189965,'Reduces cast time of all spells by 5 percent.',100,1,1),
(297526,10189965,'When Equipped:',100,0,0),
(297527,10189965,'Reduces cast time of all spells by 5 percent.',100,1,1),
(297528,118306,'Roots target encounter',100,1,0),
(297529,118306,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(297530,118306,'Slows target by 38.8%',100,2,2),
(297531,118306,'5% chance to dispel when target receives hostile action',100,2,3),
(297532,118306,'5% chance to dispel when target takes damage',100,2,4),
(297533,118306,'20% chance to dispel when target takes damage',100,1,5),
(297534,118306,'Does not affect Epic targets',100,1,6),
(297535,118306,'Resistibility increases against targets higher than level 83.',100,1,7),
(297536,10118306,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,0),
(297537,10118306,'Slows target by 38.8%',100,2,1),
(297538,10118306,'5% chance to dispel when target receives hostile action',100,2,2),
(297539,10118306,'5% chance to dispel when target takes damage',100,2,3),
(297540,10118306,'Roots target encounter',100,1,4),
(297541,10118306,'20% chance to dispel when target takes damage',100,1,5),
(297542,10118306,'Does not affect Epic targets',100,1,6),
(297543,10118306,'Resistibility increases against targets higher than level 83.',100,1,7),
(297544,100687,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(297545,100687,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(297546,100687,'Wards caster against 915 points of all damage',100,3,2),
(297547,100687,'Heals caster for 825',100,3,3),
(297548,100687,'Summons a limited pet to aid the caster',100,2,4),
(297549,100687,'Grants a total of 1 trigger of the spell.',100,2,5),
(297550,10100687,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(297551,10100687,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(297552,10100687,'Wards caster against 915 points of all damage',100,3,2),
(297553,10100687,'Heals caster for 536',100,3,3),
(297554,10100687,'Summons a limited pet to aid the caster',100,2,4),
(297555,10100687,'Grants a total of 1 trigger of the spell.',100,2,5),
(297556,174429,'When Equipped:',100,0,0),
(297557,174429,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(297558,174429,'Inflicts 1192 poison damage on target',100,2,2),
(297559,174429,'Cannot be modified except by direct means',100,2,3),
(297560,10174429,'When Equipped:',100,0,0),
(297561,10174429,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(297562,10174429,'Inflicts 715 poison damage on target',100,2,2),
(297563,10174429,'Cannot be modified except by direct means',100,2,3),
(297564,112838,'Roots target',100,1,0),
(297565,112838,'5% chance to dispel when target takes damage',100,1,1),
(297566,112838,'Does not affect Epic targets',100,1,2),
(297567,112838,'Resistibility increases against targets higher than level 64.',100,1,3),
(297568,10112838,'Roots target',100,1,0),
(297569,10112838,'5% chance to dispel when target takes damage',100,1,1),
(297570,10112838,'Does not affect Epic targets',100,1,2),
(297571,10112838,'Resistibility increases against targets higher than level 64.',100,1,3),
(297572,120634,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(297573,120634,'Increases Defense and Parry of caster by 5.3',100,1,1),
(297574,120634,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(297575,10120634,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(297576,10120634,'Increases Defense and Parry of caster by 5.3',100,1,1),
(297577,10120634,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(297578,103074,'Inflicts 154 magic damage on target instantly and every 4 seconds',100,1,0),
(297579,103074,'Increases power of caster by 56 instantly and every 4 seconds',100,1,1),
(297580,10103074,'Inflicts 185 magic damage on target instantly and every 4 seconds',100,1,0),
(297581,10103074,'Increases power of caster by 56 instantly and every 4 seconds',100,1,1),
(297582,110846,'Inflicts 302 - 408 mental damage on target',100,1,0),
(297583,110846,'Interrupts target',100,1,1),
(297584,10110846,'Inflicts 362 - 490 mental damage on target',100,1,0),
(297585,10110846,'Interrupts target',100,1,1),
(297586,124843,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(297587,124843,'Slows target by 60.8%',100,2,1),
(297588,124843,'5% chance to dispel when target receives hostile action',100,2,2),
(297589,124843,'5% chance to dispel when target takes damage',100,2,3),
(297590,124843,'Inflicts 394 - 657 disease damage on target',100,1,4),
(297591,10124843,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(297592,10124843,'Slows target by 60.8%',100,2,1),
(297593,10124843,'5% chance to dispel when target receives hostile action',100,2,2),
(297594,10124843,'5% chance to dispel when target takes damage',100,2,3),
(297595,10124843,'Inflicts 473 - 789 disease damage on target',100,1,4),
(297596,108982,'Decreases Damage Per Second of target by 12.8',100,1,0),
(297597,108982,'Inflicts 8 - 10 melee damage on target',100,1,1),
(297598,10108982,'Decreases Damage Per Second of target by 12.8',100,1,0),
(297599,10108982,'Inflicts 10 - 12 melee damage on target',100,1,1),
(297600,37408,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(297601,105191,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(297602,105191,'Inflicts 79 - 96 poison damage on target encounter',100,2,1),
(297603,10105191,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(297604,10105191,'Inflicts 95 - 116 poison damage on target encounter',100,2,1),
(297605,80577,'When Equipped:',100,0,0),
(297606,80577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297607,80577,'Inflicts 204 - 379 magic damage on target',100,2,2),
(297608,80577,'Cannot be modified except by direct means',100,2,3),
(297609,10080577,'When Equipped:',100,0,0),
(297610,10080577,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297611,10080577,'Inflicts 245 - 454 magic damage on target',100,2,2),
(297612,10080577,'Cannot be modified except by direct means',100,2,3),
(297613,108083,'Decreases Threat to target by 216 - 360 ',100,1,0),
(297614,10108083,'Forces target to clear their selected target.',100,1,0),
(297615,10108083,'Target cannot target caster for the duration of this effect.',100,1,1),
(297616,107281,'Inflicts 241 - 402 ranged damage on target',100,1,0),
(297617,107281,'Inflicts 241 - 402 ranged damage on target',100,1,1),
(297618,107281,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(297619,107281,'Stuns target',100,2,3),
(297620,107281,'Throws target back',100,2,4),
(297621,107281,'Blurs vision of target',100,2,5),
(297622,107281,'Does not affect Epic targets',100,2,6),
(297623,107281,'If weapon equipped in Ranged',100,1,7),
(297624,10107281,'Inflicts 181 - 301 ranged damage on target',100,1,0),
(297625,10107281,'Inflicts 181 - 301 ranged damage on target',100,1,1),
(297626,10107281,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(297627,10107281,'Stuns target',100,2,3),
(297628,10107281,'Throws target back',100,2,4),
(297629,10107281,'Blurs vision of target',100,2,5),
(297630,10107281,'Does not affect Epic targets',100,2,6),
(297631,10107281,'If weapon equipped in Ranged',100,1,7),
(297632,110553,'Summons a pet attack hawk',100,1,0),
(297633,10110553,'Summons a pet attack hawk',100,1,0),
(297634,113283,'Inflicts 27 - 45 heat damage on target',100,1,0),
(297635,10113283,'Inflicts 49 - 82 heat damage on target',100,1,0),
(297636,45484,'Applies Call Cavalry Spiritsteed when Activated.',100,0,0),
(297637,45484,'Increases Ranged of caster by 7.0',100,1,1),
(297638,45484,'Summons a mount to ride',100,1,2),
(297639,45484,'Increases your ground speed by 130%',100,2,3),
(297640,45484,'Increases Focus, Crushing, Piercing and Slashing of caster by 7.0',100,1,4),
(297641,10045484,'Applies Call Cavalry Spiritsteed when Activated.',100,0,0),
(297642,10045484,'Increases Ranged of caster by 7.0',100,1,1),
(297643,10045484,'Summons a mount to ride',100,1,2),
(297644,10045484,'Increases your ground speed by 130%',100,2,3),
(297645,10045484,'Increases Focus, Crushing, Piercing and Slashing of caster by 7.0',100,1,4),
(297646,181241,'When Equipped:',100,0,0),
(297647,181241,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(297648,181241,'Inflicts 92 heat damage on target',100,2,2),
(297649,181241,'Cannot be modified except by direct means',100,2,3),
(297650,10181241,'When Equipped:',100,0,0),
(297651,10181241,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(297652,10181241,'Inflicts 110 heat damage on target',100,2,2),
(297653,10181241,'Cannot be modified except by direct means',100,2,3),
(297654,81009,'When Equipped:',100,0,0),
(297655,81009,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297656,81009,'Inflicts 136 - 252 magic damage on target',100,2,2),
(297657,81009,'Cannot be modified except by direct means',100,2,3),
(297658,10081009,'When Equipped:',100,0,0),
(297659,10081009,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297660,10081009,'Inflicts 163 - 303 magic damage on target',100,2,2),
(297661,10081009,'Cannot be modified except by direct means',100,2,3),
(297662,120535,'Decreases Defense of target by 15.8',100,1,0),
(297663,10120535,'Decreases Defense of target by 15.8',100,1,0),
(297664,26554,'When Equipped:',100,0,0),
(297665,26554,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(297666,26554,'Improves the reuse time of Consumption III by 30 seconds.',100,1,2),
(297667,10026554,'When Equipped:',100,0,0),
(297668,10026554,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(297669,10026554,'Improves the reuse time of Consumption III by 30 seconds.',100,1,2),
(297670,171385,'When Equipped:',100,0,0),
(297671,171385,'On a critical healing spell cast this spell may cast Rehabilitate VI on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(297672,171385,'Applies Rehabilitate VI on termination.  Lasts for 15.0 seconds.',100,2,2),
(297673,171385,'Wards target against 600 points of all damage',100,3,3),
(297674,171385,'Must not be engaged in pvp combat',100,3,4),
(297675,171385,'Cannot be modified except by direct means',100,3,5),
(297676,171385,'If under 50% Health',100,3,6),
(297677,171385,'Heals target for 532 - 588',100,2,7),
(297678,171385,'Must not be engaged in pvp combat',100,2,8),
(297679,171385,'Cannot be modified except by direct means',100,2,9),
(297680,171385,'Must not be engaged in pvp combat',100,1,10),
(297681,10171385,'When Equipped:',100,0,0),
(297682,10171385,'On a critical healing spell cast this spell may cast Rehabilitate VI on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(297683,10171385,'Applies Rehabilitate VI on termination.  Lasts for 15.0 seconds.',100,2,2),
(297684,10171385,'Wards target against 600 points of all damage',100,3,3),
(297685,10171385,'Must not be engaged in pvp combat',100,3,4),
(297686,10171385,'Cannot be modified except by direct means',100,3,5),
(297687,10171385,'If under 50% Health',100,3,6),
(297688,10171385,'Heals target for 346 - 382',100,2,7),
(297689,10171385,'Must not be engaged in pvp combat',100,2,8),
(297690,10171385,'Cannot be modified except by direct means',100,2,9),
(297691,10171385,'Must not be engaged in pvp combat',100,1,10),
(297692,72261,'When Equipped:',100,0,0),
(297693,72261,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297694,72261,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(297695,72261,'Cannot be modified except by direct means',100,2,3),
(297696,10072261,'When Equipped:',100,0,0),
(297697,10072261,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297698,10072261,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(297699,10072261,'Cannot be modified except by direct means',100,2,3),
(297700,104455,'Inflicts 110 - 135 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(297701,104455,'Interrupts target encounter',100,1,1),
(297702,104455,'Applies Stumble on termination.',100,1,2),
(297703,104455,'Interrupts target',100,2,3),
(297704,10104455,'Inflicts 132 - 162 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(297705,10104455,'Interrupts target encounter',100,1,1),
(297706,10104455,'Applies Stumble on termination.',100,1,2),
(297707,10104455,'Interrupts target',100,2,3),
(297708,107454,'Summons a pet earthen avatar',100,1,0),
(297709,10107454,'Summons a pet earthen avatar',100,1,0),
(297710,164595,'Applies Unstable Magics when Equipped.',100,0,0),
(297711,164595,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(297712,10164595,'Applies Unstable Magics when Equipped.',100,0,0),
(297713,10164595,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(297714,139794,'When Equipped:',100,0,0),
(297715,139794,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(297716,139794,'When Equipped:',100,0,2),
(297717,139794,'Reduces resistibility of all spells by 5%.',100,1,3),
(297718,10139794,'When Equipped:',100,0,0),
(297719,10139794,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(297720,10139794,'When Equipped:',100,0,2),
(297721,10139794,'Reduces resistibility of all spells by 5%.',100,1,3),
(297722,118410,'Heals target for 229 - 279',100,1,0),
(297723,118410,'Increases Max Health of target by 29.2',100,1,1),
(297724,10118410,'Heals target for 265 - 324',100,1,0),
(297725,10118410,'Increases Max Health of target by 29.2',100,1,1),
(297726,90364,'When Equipped:',100,0,0),
(297727,90364,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(297728,90364,'Wards group members (AE) against 800 points of all damage',100,2,2),
(297729,90364,'Cannot be modified except by direct means',100,2,3),
(297730,10090364,'When Equipped:',100,0,0),
(297731,10090364,'On a healing spell cast this spell may cast Sacred Territory on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(297732,10090364,'Wards group members (AE) against 800 points of all damage',100,2,2),
(297733,10090364,'Cannot be modified except by direct means',100,2,3),
(297734,159400,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(297735,159400,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(297736,159400,'Inflicts 44 heat damage on target',100,2,2),
(297737,159400,'Cannot be modified except by direct means',100,2,3),
(297738,10159400,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(297739,10159400,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(297740,10159400,'Inflicts 53 heat damage on target',100,2,2),
(297741,10159400,'Cannot be modified except by direct means',100,2,3),
(297742,173125,'When Equipped:',100,0,0),
(297743,173125,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(297744,173125,'Heals group members (AE) for 2624',100,2,2),
(297745,173125,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(297746,173125,'Must not be engaged in pvp combat',100,2,4),
(297747,173125,'Cannot be modified except by direct means',100,2,5),
(297748,173125,'Must not be engaged in pvp combat',100,1,6),
(297749,10173125,'When Equipped:',100,0,0),
(297750,10173125,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(297751,10173125,'Heals group members (AE) for 3071',100,2,2),
(297752,10173125,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(297753,10173125,'Must not be engaged in pvp combat',100,2,4),
(297754,10173125,'Cannot be modified except by direct means',100,2,5),
(297755,10173125,'Must not be engaged in pvp combat',100,1,6),
(297756,102007,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(297757,102007,'Wards target against 190 points of all damage',100,2,1),
(297758,10102007,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(297759,10102007,'Wards target against 190 points of all damage',100,2,1),
(297760,109690,'Inflicts 157 - 192 cold damage on target instantly and every 3 seconds',100,1,0),
(297761,10109690,'Inflicts 188 - 230 cold damage on target instantly and every 3 seconds',100,1,0),
(297762,71577,'When Equipped:',100,0,0),
(297763,71577,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297764,71577,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(297765,71577,'Cannot be modified except by direct means',100,2,3),
(297766,10071577,'When Equipped:',100,0,0),
(297767,10071577,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297768,10071577,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(297769,10071577,'Cannot be modified except by direct means',100,2,3),
(297770,24009,'Adds Armadillo-Ghost (Troubador) to your Dungeon Maker toolbox',100,0,0),
(297771,10024009,'Adds Armadillo-Ghost (Troubador) to your Dungeon Maker toolbox',100,0,0),
(297772,87159,'When Equipped:',100,0,0),
(297773,87159,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297774,87159,'Inflicts 44 - 66 magic damage on target',100,2,2),
(297775,87159,'Cannot be modified except by direct means',100,2,3),
(297776,10087159,'When Equipped:',100,0,0),
(297777,10087159,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297778,10087159,'Inflicts 53 - 79 magic damage on target',100,2,2),
(297779,10087159,'Cannot be modified except by direct means',100,2,3),
(297780,25525,'When Equipped:',100,0,0),
(297781,25525,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,1),
(297782,25525,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(297783,10025525,'When Equipped:',100,0,0),
(297784,10025525,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,1),
(297785,10025525,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(297786,84251,'Applies Mental Blast when Activated.',100,0,0),
(297787,84251,'Inflicts 303 - 504 mental damage on target',100,1,1),
(297788,84251,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(297789,10084251,'Applies Mental Blast when Activated.',100,0,0),
(297790,10084251,'Inflicts 363 - 605 mental damage on target',100,1,1),
(297791,10084251,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(297792,115891,'Inflicts 12 - 14 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(297793,10115891,'Inflicts 18 - 22 disease damage on target encounter',100,1,0),
(297794,10115891,'Inflicts 14 - 17 disease damage on target encounter every 3 seconds',100,1,1),
(297795,107849,'Decreases Mitigation of target vs elemental damage by 552',100,1,0),
(297796,107849,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(297797,107849,'Slows target by 41.5%',100,2,2),
(297798,107849,'5% chance to dispel when target receives hostile action',100,2,3),
(297799,107849,'5% chance to dispel when target takes damage',100,2,4),
(297800,10107849,'Decreases Mitigation of target vs elemental damage by 552',100,1,0),
(297801,10107849,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(297802,10107849,'Slows target by 41.5%',100,2,2),
(297803,10107849,'5% chance to dispel when target receives hostile action',100,2,3),
(297804,10107849,'5% chance to dispel when target takes damage',100,2,4),
(297805,81906,'When Equipped:',100,0,0),
(297806,81906,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297807,81906,'Inflicts 265 - 492 magic damage on target',100,2,2),
(297808,81906,'Cannot be modified except by direct means',100,2,3),
(297809,10081906,'When Equipped:',100,0,0),
(297810,10081906,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297811,10081906,'Inflicts 318 - 591 magic damage on target',100,2,2),
(297812,10081906,'Cannot be modified except by direct means',100,2,3),
(297813,71504,'When Equipped:',100,0,0),
(297814,71504,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297815,71504,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(297816,71504,'Cannot be modified except by direct means',100,2,3),
(297817,10071504,'When Equipped:',100,0,0),
(297818,10071504,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297819,10071504,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(297820,10071504,'Cannot be modified except by direct means',100,2,3),
(297821,177489,'When Equipped:',100,0,0),
(297822,177489,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(297823,177489,'Increases STA of caster by 23.1',100,2,2),
(297824,177489,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(297825,177489,'Cannot be modified except by direct means',100,2,4),
(297826,10177489,'When Equipped:',100,0,0),
(297827,10177489,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(297828,10177489,'Increases STA of caster by 23.1',100,2,2),
(297829,10177489,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(297830,10177489,'Cannot be modified except by direct means',100,2,4),
(297831,124640,'Heals group members (AE) for 756 - 924',100,1,0),
(297832,124640,'Heals group members (AE) for 127 - 156 every second',100,1,1),
(297833,10124640,'Heals group members (AE) for 1988 - 2429',100,1,0),
(297834,10124640,'Heals group members (AE) for 248 - 304 every second',100,1,1),
(297835,110281,'Decreases Mitigation of target vs arcane damage by 736',100,1,0),
(297836,110281,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(297837,110281,'Slows target by 55.4%',100,2,2),
(297838,110281,'5% chance to dispel when target receives hostile action',100,2,3),
(297839,110281,'5% chance to dispel when target takes damage',100,2,4),
(297840,10110281,'Decreases Mitigation of target vs arcane damage by 736',100,1,0),
(297841,10110281,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(297842,10110281,'Slows target by 55.4%',100,2,2),
(297843,10110281,'5% chance to dispel when target receives hostile action',100,2,3),
(297844,10110281,'5% chance to dispel when target takes damage',100,2,4),
(297845,100909,'Stuns targets in Area of Effect',20,1,0),
(297846,100909,'If Target is not Epic',100,2,1),
(297847,100909,'Inflicts 203 - 339 divine damage on targets in Area of Effect',100,1,2),
(297848,100909,'Resistibility increases against targets higher than level 71.',100,1,3),
(297849,10100909,'Stuns targets in Area of Effect',20,1,0),
(297850,10100909,'If Target is not Epic',100,2,1),
(297851,10100909,'Inflicts 244 - 406 divine damage on targets in Area of Effect',100,1,2),
(297852,10100909,'Resistibility increases against targets higher than level 71.',100,1,3),
(297853,104500,'Decreases Mitigation of target encounter vs physical damage by 1253',100,1,0),
(297854,10104500,'Decreases Mitigation of target encounter vs physical damage by 1253',100,1,0),
(297855,120317,'Increases Threat to target by 534 - 652 ',100,1,0),
(297856,10120317,'Forces target to change their selected target to caster.',100,1,0),
(297857,10120317,'Prevents target from changing targets',100,1,1),
(297858,46014,'Applies Wise Adventuring when Activated.  Lasts for 30 minutes.',100,0,0),
(297859,46014,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(297860,46014,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(297861,46014,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(297862,46014,'You can only have one experience potion active at a time.',100,1,4),
(297863,10046014,'Applies Wise Adventuring when Activated.  Lasts for 30 minutes.',100,0,0),
(297864,10046014,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(297865,10046014,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(297866,10046014,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(297867,10046014,'You can only have one experience potion active at a time.',100,1,4),
(297868,45156,'Applies Vortex of Desecration when Activated.',100,0,0),
(297869,45156,'Inflicts 7.5% of max health in divine damage on target',100,1,1),
(297870,45156,'If target is venekor',100,1,2),
(297871,45156,'The seal has already been desecrated',100,1,3),
(297872,10045156,'Applies Vortex of Desecration when Activated.',100,0,0),
(297873,10045156,'Inflicts 9.0% of max health in divine damage on target',100,1,1),
(297874,10045156,'If target is venekor',100,1,2),
(297875,10045156,'The seal has already been desecrated',100,1,3),
(297876,112482,'Decreases AGI and WIS of target by 42.0',100,1,0),
(297877,10112482,'Decreases AGI and WIS of target by 42.0',100,1,0),
(297878,35667,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(297879,159131,'When Equipped:',100,0,0),
(297880,159131,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297881,159131,'Increases WIS of caster by 11.9',100,2,2),
(297882,159131,'Increases Ordination, Focus and Ministration of caster by 6.7',100,2,3),
(297883,159131,'Cannot be modified except by direct means',100,2,4),
(297884,10159131,'When Equipped:',100,0,0),
(297885,10159131,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297886,10159131,'Increases WIS of caster by 11.9',100,2,2),
(297887,10159131,'Increases Ordination, Focus and Ministration of caster by 6.7',100,2,3),
(297888,10159131,'Cannot be modified except by direct means',100,2,4),
(297889,123271,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(297890,123271,'Inflicts 21 - 36 disease damage on target',100,2,1),
(297891,123271,'Heals caster for 11 - 18',100,2,2),
(297892,123271,'This effect cannot be critically applied.',100,3,3),
(297893,123271,'The healing of this spell cannot be modified except by direct means',100,2,4),
(297894,10123271,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(297895,10123271,'Inflicts 26 - 43 disease damage on target',100,2,1),
(297896,10123271,'Heals caster for 4 - 6',100,2,2),
(297897,10123271,'This effect cannot be critically applied.',100,3,3),
(297898,10123271,'The healing of this spell cannot be modified except by direct means',100,2,4),
(297899,80532,'When Equipped:',100,0,0),
(297900,80532,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(297901,80532,'Inflicts 320 - 594 magic damage on target',100,2,2),
(297902,80532,'Decreases Threat to target by 1,219 ',100,2,3),
(297903,80532,'Must be flanking or behind',100,3,4),
(297904,80532,'Increases Threat to target by 1,679 ',100,2,5),
(297905,80532,'Must be in front of',100,3,6),
(297906,80532,'Cannot be modified except by direct means',100,2,7),
(297907,10080532,'When Equipped:',100,0,0),
(297908,10080532,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(297909,10080532,'Inflicts 384 - 712 magic damage on target',100,2,2),
(297910,10080532,'Cannot be modified except by direct means',100,2,3),
(297911,118862,'Inflicts 160 - 481 melee damage on target',100,1,0),
(297912,10118862,'Inflicts 192 - 577 melee damage on target',100,1,0),
(297913,117505,'Increases Attack Speed of target by 46.4',100,1,0),
(297914,10117505,'Increases Attack Speed of target by 46.4',100,1,0),
(297915,82416,'When Equipped:',100,0,0),
(297916,82416,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(297917,82416,'Inflicts 196 - 364 magic damage on target',100,2,2),
(297918,82416,'Decreases Threat to target by 949 ',100,2,3),
(297919,82416,'Must be flanking or behind',100,3,4),
(297920,82416,'Increases Threat to target by 1,409 ',100,2,5),
(297921,82416,'Must be in front of',100,3,6),
(297922,82416,'Cannot be modified except by direct means',100,2,7),
(297923,10082416,'When Equipped:',100,0,0),
(297924,10082416,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(297925,10082416,'Inflicts 235 - 437 magic damage on target',100,2,2),
(297926,10082416,'Cannot be modified except by direct means',100,2,3),
(297927,47810,'Applies arcane remedy when Activated.',100,0,0),
(297928,47810,'Dispels 112 levels of arcane hostile effects on caster',100,1,1),
(297929,10047810,'Applies arcane remedy when Activated.',100,0,0),
(297930,10047810,'Dispels 112 levels of arcane hostile effects on caster',100,1,1),
(297931,116467,'Inflicts 140 disease damage on target instantly and every 4 seconds',100,1,0),
(297932,116467,'Inflicts 140 disease damage on target instantly and every 4 seconds',100,1,1),
(297933,116467,'If target is nightblood',100,2,2),
(297934,116467,'Inflicts 140 disease damage on target instantly and every 4 seconds',100,1,3),
(297935,116467,'If target is shadowed folk',100,2,4),
(297936,10116467,'Inflicts 168 disease damage on target instantly and every 4 seconds',100,1,0),
(297937,123416,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(297938,123416,'Stuns target',100,2,1),
(297939,123416,'Blurs vision of target',100,2,2),
(297940,123416,'Throws target back',100,2,3),
(297941,123416,'Does not affect Epic targets',100,2,4),
(297942,123416,'Inflicts 79 - 237 melee damage on target',100,1,5),
(297943,10123416,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(297944,10123416,'Stuns target',100,2,1),
(297945,10123416,'Blurs vision of target',100,2,2),
(297946,10123416,'Throws target back',100,2,3),
(297947,10123416,'Does not affect Epic targets',100,2,4),
(297948,10123416,'Inflicts 94 - 284 melee damage on target',100,1,5),
(297949,117478,'Inflicts 27 - 45 melee damage on target',100,1,0),
(297950,117478,'Inflicts 27 - 45 melee damage on target',100,1,1),
(297951,117478,'Inflicts 27 - 45 melee damage on target',100,1,2),
(297952,117478,'Inflicts 27 - 45 melee damage on target',100,1,3),
(297953,117478,'If facing target',100,1,4),
(297954,10117478,'Inflicts 32 - 54 melee damage on target',100,1,0),
(297955,10117478,'Inflicts 32 - 54 melee damage on target',100,1,1),
(297956,10117478,'Inflicts 32 - 54 melee damage on target',100,1,2),
(297957,10117478,'Inflicts 32 - 54 melee damage on target',100,1,3),
(297958,10117478,'If facing target',100,1,4),
(297959,80552,'When Equipped:',100,0,0),
(297960,80552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297961,80552,'Inflicts 80 - 149 magic damage on target',100,2,2),
(297962,80552,'Cannot be modified except by direct means',100,2,3),
(297963,10080552,'When Equipped:',100,0,0),
(297964,10080552,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(297965,10080552,'Inflicts 96 - 179 magic damage on target',100,2,2),
(297966,10080552,'Cannot be modified except by direct means',100,2,3),
(297967,71380,'When Equipped:',100,0,0),
(297968,71380,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297969,71380,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(297970,71380,'Cannot be modified except by direct means',100,2,3),
(297971,10071380,'When Equipped:',100,0,0),
(297972,10071380,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297973,10071380,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(297974,10071380,'Cannot be modified except by direct means',100,2,3),
(297975,117835,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(297976,117835,'Heals target for 226 - 276 instantly and every 2 seconds',100,2,1),
(297977,117835,'If at 50% Health or less',100,3,2),
(297978,117835,'Heals target for 113 - 138 instantly and every 2 seconds',100,2,3),
(297979,117835,'If over 50% Health',100,3,4),
(297980,10117835,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(297981,10117835,'Heals target for 55 - 67 instantly and every 2 seconds',100,2,1),
(297982,10117835,'If at 50% Health or less',100,3,2),
(297983,10117835,'Heals target for 33 - 40 instantly and every 2 seconds',100,2,3),
(297984,10117835,'If over 50% Health',100,3,4),
(297985,105839,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(297986,105839,'Inflicts 253 - 422 disease damage on target',100,2,1),
(297987,10105839,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(297988,10105839,'Inflicts 304 - 507 disease damage on target',100,2,1),
(297989,119273,'Inflicts 37 - 61 slashing damage on target',100,1,0),
(297990,119273,'Decreases Damage Per Second of target by 10.3',100,1,1),
(297991,119273,'Inflicts 50 slashing damage on target instantly and every 4 seconds',100,1,2),
(297992,10119273,'Inflicts 44 - 74 slashing damage on target',100,1,0),
(297993,10119273,'Decreases Damage Per Second of target by 10.3',100,1,1),
(297994,10119273,'Inflicts 59 slashing damage on target instantly and every 4 seconds',100,1,2),
(297995,86196,'When Equipped:',100,0,0),
(297996,86196,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(297997,86196,'Inflicts 55 - 67 poison damage on target instantly and every 4.8 seconds',100,2,2),
(297998,86196,'Cannot be modified except by direct means',100,2,3),
(297999,10086196,'When Equipped:',100,0,0),
(298000,10086196,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298001,10086196,'Inflicts 66 - 80 poison damage on target instantly and every 4.8 seconds',100,2,2),
(298002,10086196,'Cannot be modified except by direct means',100,2,3),
(298003,82669,'When Equipped:',100,0,0),
(298004,82669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298005,82669,'Inflicts 70 - 130 magic damage on target',100,2,2),
(298006,82669,'Cannot be modified except by direct means',100,2,3),
(298007,10082669,'When Equipped:',100,0,0),
(298008,10082669,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298009,10082669,'Inflicts 84 - 156 magic damage on target',100,2,2),
(298010,10082669,'Cannot be modified except by direct means',100,2,3),
(298011,117848,'Heals target for 53 - 65 instantly and every 2 seconds',100,1,0),
(298012,10117848,'Heals target for 34 - 42 instantly and every 2 seconds',100,1,0),
(298013,37608,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(298014,117678,'Decreases Mitigation of target vs physical damage by 832',100,1,0),
(298015,10117678,'Decreases Mitigation of target vs physical damage by 416',100,1,0),
(298016,102998,'Increases STR and AGI of group members (AE) by 101.6',100,1,0),
(298017,10102998,'Increases STR and AGI of group members (AE) by 101.6',100,1,0),
(298018,47888,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(298019,47888,'Increases power of caster by 104 instantly and every 4 seconds',100,1,1),
(298020,47888,'Requires 715 Health to cast.',100,1,2),
(298021,10047888,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(298022,10047888,'Increases power of caster by 104 instantly and every 4 seconds',100,1,1),
(298023,10047888,'Requires 715 Health to cast.',100,1,2),
(298024,48382,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(298025,48382,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(298026,48382,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(298027,10048382,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(298028,10048382,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,1),
(298029,10048382,'Caster will harvest a second time on 6.0% of harvests.',100,1,2),
(298030,46583,'Applies Greater Redemption of Failure when Activated.',100,0,0),
(298031,46583,'This effect can target up to 12 group or raid members.',100,1,1),
(298032,46583,'Applies Reforming Soul on termination.  Lasts for 1 minute.',100,1,2),
(298033,46583,'Increases Mitigation of target vs noxious damage by 700',100,2,3),
(298034,46583,'Heals target for 25.0% of max health',100,2,4),
(298035,46583,'Increases Mitigation of target vs elemental and arcane damage by 700',100,2,5),
(298036,46583,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,6),
(298037,46583,'Decreases All Attributes of target by 20.0%',100,2,7),
(298038,46583,'If not between levels 1 - 6',100,3,8),
(298039,46583,'Decreases Attack Speed of target by 20.0',100,2,9),
(298040,46583,'If not between levels 1 - 6',100,3,10),
(298041,46583,'Decreases All Attributes of target by 5.0%',100,2,11),
(298042,46583,'If between levels 1 - 6',100,3,12),
(298043,46583,'Decreases Attack Speed of target by 5.0',100,2,13),
(298044,46583,'If between levels 1 - 6',100,3,14),
(298045,46583,'Resurrects target with 60% health and power',100,1,15),
(298046,10046583,'Applies Greater Redemption of Failure when Activated.',100,0,0),
(298047,10046583,'This effect can target up to 12 group or raid members.',100,1,1),
(298048,10046583,'Applies Reforming Soul on termination.  Lasts for 1 minute.',100,1,2),
(298049,10046583,'Increases Mitigation of target vs noxious damage by 700',100,2,3),
(298050,10046583,'Heals target for 16.3% of max health',100,2,4),
(298051,10046583,'Increases Mitigation of target vs elemental and arcane damage by 700',100,2,5),
(298052,10046583,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,6),
(298053,10046583,'Decreases All Attributes of target by 20.0%',100,2,7),
(298054,10046583,'If not between levels 1 - 6',100,3,8),
(298055,10046583,'Decreases Attack Speed of target by 20.0',100,2,9),
(298056,10046583,'If not between levels 1 - 6',100,3,10),
(298057,10046583,'Decreases All Attributes of target by 5.0%',100,2,11),
(298058,10046583,'If between levels 1 - 6',100,3,12),
(298059,10046583,'Decreases Attack Speed of target by 5.0',100,2,13),
(298060,10046583,'If between levels 1 - 6',100,3,14),
(298061,10046583,'Resurrects target with 60% health and power',100,1,15),
(298062,48006,'Applies Draw upon Essence when Activated.',100,0,0),
(298063,48006,'Increases power of caster by 437',100,1,1),
(298064,48006,'Requires 715 Health to cast.',100,1,2),
(298065,10048006,'Applies Draw upon Essence when Activated.',100,0,0),
(298066,10048006,'Increases power of caster by 437',100,1,1),
(298067,10048006,'Requires 715 Health to cast.',100,1,2),
(298068,111856,'Inflicts 28 - 52 heat damage on target',100,1,0),
(298069,111856,'Inflicts 11 - 20 heat damage on target every 2 seconds',100,1,1),
(298070,10111856,'Inflicts 34 - 63 heat damage on target',100,1,0),
(298071,10111856,'Inflicts 13 - 24 heat damage on target every 2 seconds',100,1,1),
(298072,80957,'When Equipped:',100,0,0),
(298073,80957,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298074,80957,'Inflicts 194 - 360 magic damage on target',100,2,2),
(298075,80957,'Cannot be modified except by direct means',100,2,3),
(298076,10080957,'When Equipped:',100,0,0),
(298077,10080957,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298078,10080957,'Inflicts 233 - 432 magic damage on target',100,2,2),
(298079,10080957,'Cannot be modified except by direct means',100,2,3),
(298080,107353,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(298081,107353,'Increases Threat to target by 613 ',100,2,1),
(298082,10107353,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(298083,10107353,'Inflicts 63 - 70 crushing damage on target',100,2,1),
(298084,35367,'Increases STA of target by 4.3',100,0,0),
(298085,35367,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(298086,100170,'Inflicts 576 - 1070 disease damage on target encounter',100,1,0),
(298087,10100170,'Inflicts 692 - 1284 disease damage on target encounter',100,1,0),
(298088,153852,'When Equipped:',100,0,0),
(298089,153852,'On a melee hit this spell may cast Battle Presence on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298090,153852,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(298091,153852,'Must not be engaged in pvp combat',100,1,3),
(298092,10153852,'When Equipped:',100,0,0),
(298093,10153852,'On a melee hit this spell may cast Battle Presence on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298094,10153852,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(298095,10153852,'Must not be engaged in pvp combat',100,1,3),
(298096,35671,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(298097,118674,'Inflicts 245 - 408 slashing damage on target',100,1,0),
(298098,10118674,'Inflicts 294 - 490 slashing damage on target',100,1,0),
(298099,108698,'Inflicts 98 heat damage on target',100,1,0),
(298100,108698,'Inflicts 22 heat damage on target every 4 seconds',100,1,1),
(298101,10108698,'Inflicts 165 heat damage on target',100,1,0),
(298102,10108698,'Inflicts 26 heat damage on target every 4 seconds',100,1,1),
(298103,139552,'When Equipped:',100,0,0),
(298104,139552,'Increases Attack Speed of caster by 26.0',100,1,1),
(298105,10139552,'When Equipped:',100,0,0),
(298106,10139552,'Increases Attack Speed of caster by 26.0',100,1,1),
(298107,121870,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(298108,121870,'Inflicts 131 - 160 mental damage on target',100,2,1),
(298109,121870,'Decreases Threat to target by 301 - 368 ',100,2,2),
(298110,121870,'If profession other than Fighter',100,3,3),
(298111,10121870,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(298112,10121870,'Inflicts 158 - 193 mental damage on target',100,2,1),
(298113,120960,'Inflicts 546 - 911 ranged damage on target',100,1,0),
(298114,120960,'If weapon equipped in Ranged',100,1,1),
(298115,120960,'Must be behind',100,1,2),
(298116,10120960,'Inflicts 410 - 683 ranged damage on target',100,1,0),
(298117,10120960,'If weapon equipped in Ranged',100,1,1),
(298118,10120960,'Must be behind',100,1,2),
(298119,37472,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(298120,82006,'When Equipped:',100,0,0),
(298121,82006,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(298122,82006,'Inflicts 138 - 257 magic damage on target',100,2,2),
(298123,82006,'Decreases Threat to target by 641 ',100,2,3),
(298124,82006,'Must be flanking or behind',100,3,4),
(298125,82006,'Increases Threat to target by 1,101 ',100,2,5),
(298126,82006,'Must be in front of',100,3,6),
(298127,82006,'Cannot be modified except by direct means',100,2,7),
(298128,10082006,'When Equipped:',100,0,0),
(298129,10082006,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(298130,10082006,'Inflicts 166 - 309 magic damage on target',100,2,2),
(298131,10082006,'Cannot be modified except by direct means',100,2,3),
(298132,104931,'Inflicts 470 - 784 ranged damage on target',100,1,0),
(298133,104931,'Decreases Deflection and Parry of target by 40.9',100,1,1),
(298134,104931,'Requires bow',100,1,2),
(298135,10104931,'Inflicts 353 - 588 ranged damage on target',100,1,0),
(298136,10104931,'Decreases Deflection and Parry of target by 40.9',100,1,1),
(298137,10104931,'Requires bow',100,1,2),
(298138,173735,'When Equipped:',100,0,0),
(298139,173735,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(298140,173735,'Heals caster for 802 instantly and every 2 seconds',100,2,2),
(298141,173735,'Must not be engaged in pvp combat',100,2,3),
(298142,173735,'Cannot be modified except by direct means',100,2,4),
(298143,173735,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(298144,173735,'Heals caster for 802 instantly and every 2 seconds',100,2,6),
(298145,173735,'Must not be engaged in pvp combat',100,2,7),
(298146,173735,'Cannot be modified except by direct means',100,2,8),
(298147,173735,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(298148,173735,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(298149,173735,'Must not be engaged in pvp combat',100,2,11),
(298150,173735,'Cannot be modified except by direct means',100,2,12),
(298151,173735,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(298152,173735,'Heals caster for 802 instantly and every 2 seconds',100,2,14),
(298153,173735,'Must not be engaged in pvp combat',100,2,15),
(298154,173735,'Cannot be modified except by direct means',100,2,16),
(298155,173735,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(298156,173735,'Increases Crit Bonus of caster by 6.0%',100,2,18),
(298157,173735,'Must not be engaged in pvp combat',100,2,19),
(298158,173735,'Cannot be modified except by direct means',100,2,20),
(298159,173735,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(298160,173735,'Increases Crit Bonus of caster by 6.0%',100,2,22),
(298161,173735,'Must not be engaged in pvp combat',100,2,23),
(298162,173735,'Cannot be modified except by direct means',100,2,24),
(298163,173735,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(298164,173735,'Inflicts 73 piercing damage on target',100,2,26),
(298165,173735,'Must not be engaged in pvp combat',100,2,27),
(298166,173735,'Cannot be modified except by direct means',100,2,28),
(298167,10173735,'When Equipped:',100,0,0),
(298168,10173735,'On a critical spell hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(298169,10173735,'Heals caster for 938 instantly and every 2 seconds',100,2,2),
(298170,10173735,'Must not be engaged in pvp combat',100,2,3),
(298171,10173735,'Cannot be modified except by direct means',100,2,4),
(298172,10173735,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(298173,10173735,'Heals caster for 938 instantly and every 2 seconds',100,2,6),
(298174,10173735,'Must not be engaged in pvp combat',100,2,7),
(298175,10173735,'Cannot be modified except by direct means',100,2,8),
(298176,10173735,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(298177,10173735,'Increases Crit Bonus of caster by 6.0%',100,2,10),
(298178,10173735,'Must not be engaged in pvp combat',100,2,11),
(298179,10173735,'Cannot be modified except by direct means',100,2,12),
(298180,10173735,'On a critical combat hit this spell has a 8% chance to cast Brell''s Breath X on caster.  Lasts for 10.0 seconds.  ',100,1,13),
(298181,10173735,'Heals caster for 938 instantly and every 2 seconds',100,2,14),
(298182,10173735,'Must not be engaged in pvp combat',100,2,15),
(298183,10173735,'Cannot be modified except by direct means',100,2,16),
(298184,10173735,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,17),
(298185,10173735,'Increases Crit Bonus of caster by 6.0%',100,2,18),
(298186,10173735,'Must not be engaged in pvp combat',100,2,19),
(298187,10173735,'Cannot be modified except by direct means',100,2,20),
(298188,10173735,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing X on caster.  Lasts for 10.0 seconds.  ',100,1,21),
(298189,10173735,'Increases Crit Bonus of caster by 6.0%',100,2,22),
(298190,10173735,'Must not be engaged in pvp combat',100,2,23),
(298191,10173735,'Cannot be modified except by direct means',100,2,24),
(298192,10173735,'When damaged with a melee weapon this spell will cast Brell''s Retribution X on target''s attacker.  ',100,1,25),
(298193,10173735,'Inflicts 88 piercing damage on target',100,2,26),
(298194,10173735,'Must not be engaged in pvp combat',100,2,27),
(298195,10173735,'Cannot be modified except by direct means',100,2,28),
(298196,71884,'When Equipped:',100,0,0),
(298197,71884,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298198,71884,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(298199,71884,'Cannot be modified except by direct means',100,2,3),
(298200,10071884,'When Equipped:',100,0,0),
(298201,10071884,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298202,10071884,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(298203,10071884,'Cannot be modified except by direct means',100,2,3),
(298204,189962,'When Equipped:',100,0,0),
(298205,189962,'Increases Attack Speed of caster by 30.0',100,1,1),
(298206,10189962,'When Equipped:',100,0,0),
(298207,10189962,'Increases Attack Speed of caster by 30.0',100,1,1),
(298208,87570,'Applies Poison Bolt when Activated.',100,0,0),
(298209,87570,'Inflicts 173 - 289 poison damage on target',100,1,1),
(298210,87570,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(298211,10087570,'Applies Poison Bolt when Activated.',100,0,0),
(298212,10087570,'Inflicts 208 - 347 poison damage on target',100,1,1),
(298213,10087570,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(298214,107464,'Increases Defense of group members'' pets (AE) by 2.1',100,1,0),
(298215,107464,'Increases Mitigation of group members (AE) vs all damage by 40',100,1,1),
(298216,10107464,'Increases Defense of group members'' pets (AE) by 2.1',100,1,0),
(298217,10107464,'Increases Mitigation of group members (AE) vs all damage by 40',100,1,1),
(298218,140274,'When Equipped:',100,0,0),
(298219,140274,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(298220,140274,'Stifles target',100,2,2),
(298221,140274,'Only affects targets level 121 and below',100,2,3),
(298222,140274,'Does not affect Epic targets',100,2,4),
(298223,140274,'Resistibility increases against targets higher than level 105.',100,2,5),
(298224,140274,'Cannot be modified except by direct means',100,2,6),
(298225,10140274,'When Equipped:',100,0,0),
(298226,10140274,'On a hostile spell hit this spell may cast Silence on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(298227,10140274,'Stifles target',100,2,2),
(298228,10140274,'Only affects targets level 121 and below',100,2,3),
(298229,10140274,'Does not affect Epic targets',100,2,4),
(298230,10140274,'Resistibility increases against targets higher than level 105.',100,2,5),
(298231,10140274,'Cannot be modified except by direct means',100,2,6),
(298232,100069,'Decreases progress by 8.0',100,1,0),
(298233,100069,'Increases the amount of durability gained by 20.0.',100,1,1),
(298234,10100069,'Decreases progress by 8.0',100,1,0),
(298235,10100069,'Increases the amount of durability gained by 20.0.',100,1,1),
(298236,120734,'Interrupts target',100,1,0),
(298237,120734,'Inflicts 419 - 699 melee damage on target',100,1,1),
(298238,10120734,'Interrupts target',100,1,0),
(298239,10120734,'Inflicts 503 - 839 melee damage on target',100,1,1),
(298240,105556,'Inflicts 108 - 201 disease damage on target',100,1,0),
(298241,105556,'Inflicts 65 - 121 disease damage on target every 2 seconds',100,1,1),
(298242,10105556,'Inflicts 130 - 241 disease damage on target',100,1,0),
(298243,10105556,'Inflicts 78 - 145 disease damage on target every 2 seconds',100,1,1),
(298244,162303,'When Equipped:',100,0,0),
(298245,162303,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(298246,162303,'Heals group members for 250',100,2,2),
(298247,162303,'Cannot be modified except by direct means',100,2,3),
(298248,10162303,'When Equipped:',100,0,0),
(298249,10162303,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(298250,10162303,'Heals group members for 162',100,2,2),
(298251,10162303,'Cannot be modified except by direct means',100,2,3),
(298252,26538,'When Equipped:',100,0,0),
(298253,26538,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(298254,26538,'Adds an additional trigger to Repentance VI.',100,1,2),
(298255,10026538,'When Equipped:',100,0,0),
(298256,10026538,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(298257,10026538,'Adds an additional trigger to Repentance VI.',100,1,2),
(298258,101112,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1215',100,1,0),
(298259,10101112,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1215',100,1,0),
(298260,103626,'Increases STR of raid and group members (AE) by 19.0',100,1,0),
(298261,103626,'Improves the base amount of taunts by 9.5%.',100,1,1),
(298262,103626,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(298263,103626,'Increases AGI of raid and group members (AE) by 19.0',100,1,3),
(298264,103626,'Adds 0.9% to base avoidance.',100,1,4),
(298265,10103626,'Increases STR of raid and group members (AE) by 19.0',100,1,0),
(298266,10103626,'Improves the base amount of taunts by 9.5%.',100,1,1),
(298267,10103626,'Improves the base amount of combat arts by 2.97%.',100,1,2),
(298268,10103626,'Increases AGI of raid and group members (AE) by 19.0',100,1,3),
(298269,10103626,'Adds 0.9% to base avoidance.',100,1,4),
(298270,105578,'Decreases power of target encounter by 12 - 14 instantly and every 3 seconds',100,1,0),
(298271,105578,'Inflicts 27 - 51 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(298272,105578,'Heals group members (AE) for 13 - 24 instantly and every 3 seconds',100,1,2),
(298273,105578,'Increases power of group members (AE) by 5 instantly and every 3 seconds',100,1,3),
(298274,10105578,'Decreases power of target encounter by 12 - 14 instantly and every 3 seconds',100,1,0),
(298275,10105578,'Inflicts 33 - 61 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(298276,10105578,'Heals group members (AE) for 8 - 16 instantly and every 3 seconds',100,1,2),
(298277,10105578,'Increases power of group members (AE) by 5 instantly and every 3 seconds',100,1,3),
(298278,102827,'Summons 3 limited pets to aid the caster',100,1,0),
(298279,10102827,'Summons 3 limited pets to aid the caster',100,1,0),
(298280,35799,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(298281,35799,'Increases Max Health of target by 91.0',100,0,1),
(298282,70898,'When Equipped:',100,0,0),
(298283,70898,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(298284,70898,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(298285,70898,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(298286,70898,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(298287,70898,'Must not be engaged in pvp combat',100,2,5),
(298288,70898,'Cannot be modified except by direct means',100,2,6),
(298289,70898,'Cannot be modified except by direct means',100,1,7),
(298290,70898,'When Equipped:',100,0,8),
(298291,70898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(298292,70898,'Increases WIS, INT, AGI and STR of caster by 50.0',100,1,10),
(298293,70898,'Increases Potency of caster by 3.5%',100,1,11),
(298294,70898,'Cannot be modified except by direct means',100,1,12),
(298295,70898,'When Equipped:',100,0,13),
(298296,70898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(298297,70898,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(298298,70898,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,16),
(298299,70898,'Increases Potency of caster by 3.0%',100,2,17),
(298300,70898,'Increases Crit Bonus of caster by 4.5%',100,2,18),
(298301,70898,'Must not be engaged in pvp combat',100,2,19),
(298302,70898,'Cannot be modified except by direct means',100,2,20),
(298303,70898,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,21),
(298304,70898,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,22),
(298305,70898,'Increases Potency of caster by 3.0%',100,2,23),
(298306,70898,'Increases Crit Bonus of caster by 4.5%',100,2,24),
(298307,70898,'Must not be engaged in pvp combat',100,2,25),
(298308,70898,'Cannot be modified except by direct means',100,2,26),
(298309,70898,'Cannot be modified except by direct means',100,1,27),
(298310,70898,'When Equipped:',100,0,28),
(298311,70898,'This effect will not stack with any rank or tier of itself.',100,1,29),
(298312,70898,'Increases Crit Bonus of caster by 4.0%',100,1,30),
(298313,70898,'Cannot be modified except by direct means',100,1,31),
(298314,10070898,'When Equipped:',100,0,0),
(298315,10070898,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(298316,10070898,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(298317,10070898,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,3),
(298318,10070898,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(298319,10070898,'Must not be engaged in pvp combat',100,2,5),
(298320,10070898,'Cannot be modified except by direct means',100,2,6),
(298321,10070898,'Cannot be modified except by direct means',100,1,7),
(298322,10070898,'When Equipped:',100,0,8),
(298323,10070898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(298324,10070898,'Increases WIS, INT, AGI and STR of caster by 50.0',100,1,10),
(298325,10070898,'Increases Potency of caster by 3.5%',100,1,11),
(298326,10070898,'Cannot be modified except by direct means',100,1,12),
(298327,10070898,'When Equipped:',100,0,13),
(298328,10070898,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(298329,10070898,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(298330,10070898,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,16),
(298331,10070898,'Increases Potency of caster by 3.0%',100,2,17),
(298332,10070898,'Increases Crit Bonus of caster by 4.5%',100,2,18),
(298333,10070898,'Must not be engaged in pvp combat',100,2,19),
(298334,10070898,'Cannot be modified except by direct means',100,2,20),
(298335,10070898,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,21),
(298336,10070898,'Increases INT, WIS, AGI and STR of caster by 110.0',100,2,22),
(298337,10070898,'Increases Potency of caster by 3.0%',100,2,23),
(298338,10070898,'Increases Crit Bonus of caster by 4.5%',100,2,24),
(298339,10070898,'Must not be engaged in pvp combat',100,2,25),
(298340,10070898,'Cannot be modified except by direct means',100,2,26),
(298341,10070898,'Cannot be modified except by direct means',100,1,27),
(298342,10070898,'When Equipped:',100,0,28),
(298343,10070898,'This effect will not stack with any rank or tier of itself.',100,1,29),
(298344,10070898,'Increases Crit Bonus of caster by 4.0%',100,1,30),
(298345,10070898,'Cannot be modified except by direct means',100,1,31),
(298346,81369,'When Equipped:',100,0,0),
(298347,81369,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298348,81369,'Inflicts 72 - 134 magic damage on target',100,2,2),
(298349,81369,'Cannot be modified except by direct means',100,2,3),
(298350,10081369,'When Equipped:',100,0,0),
(298351,10081369,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298352,10081369,'Inflicts 87 - 161 magic damage on target',100,2,2),
(298353,10081369,'Cannot be modified except by direct means',100,2,3),
(298354,118828,'Inflicts 7 - 22 melee damage on target',100,1,0),
(298355,10118828,'Inflicts 8 - 26 melee damage on target',100,1,0),
(298356,124396,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(298357,124396,'Inflicts 47 - 79 melee damage on target',100,2,1),
(298358,124396,'Grants a total of 3 triggers of the spell.',100,2,2),
(298359,10124396,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(298360,10124396,'Inflicts 56 - 94 melee damage on target',100,2,1),
(298361,10124396,'Grants a total of 3 triggers of the spell.',100,2,2),
(298362,87250,'When Equipped:',100,0,0),
(298363,87250,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298364,87250,'Inflicts 172 - 258 magic damage on target',100,2,2),
(298365,87250,'Cannot be modified except by direct means',100,2,3),
(298366,10087250,'When Equipped:',100,0,0),
(298367,10087250,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298368,10087250,'Inflicts 206 - 309 magic damage on target',100,2,2),
(298369,10087250,'Cannot be modified except by direct means',100,2,3),
(298370,124649,'Inflicts 372 - 455 cold damage on target encounter',100,1,0),
(298371,124649,'Decreases Piercing, Slashing and Crushing of target encounter by 13.1',100,1,1),
(298372,10124649,'Inflicts 447 - 546 cold damage on target encounter',100,1,0),
(298373,10124649,'Decreases Piercing, Slashing and Crushing of target encounter by 13.1',100,1,1),
(298374,102761,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(298375,102761,'Stuns target',100,2,1),
(298376,102761,'If Target is not Epic',100,3,2),
(298377,102761,'Inflicts 361 - 602 divine damage on target',100,2,3),
(298378,102761,'Inflicts 310 - 516 divine damage on target',100,2,4),
(298379,102761,'If target is undead',100,3,5),
(298380,10102761,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(298381,10102761,'Stuns target',100,2,1),
(298382,10102761,'Inflicts 650 - 1084 divine damage on target',100,2,2),
(298383,10102761,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(298384,71813,'When Equipped:',100,0,0),
(298385,71813,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298386,71813,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(298387,71813,'Cannot be modified except by direct means',100,2,3),
(298388,10071813,'When Equipped:',100,0,0),
(298389,10071813,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298390,10071813,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(298391,10071813,'Cannot be modified except by direct means',100,2,3),
(298392,35336,'Increases STR of target by 12.7',100,0,0),
(298393,35336,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(298394,110226,'Interrupts target',100,1,0),
(298395,110226,'Inflicts 234 - 391 crushing damage on target',100,1,1),
(298396,10110226,'Interrupts target',100,1,0),
(298397,10110226,'Inflicts 281 - 469 crushing damage on target',100,1,1),
(298398,108550,'Makes target afraid',100,1,0),
(298399,108550,'30% chance to dispel when target takes damage',100,1,1),
(298400,108550,'Does not affect Epic targets',100,1,2),
(298401,108550,'Resistibility increases against targets higher than level 67.',100,1,3),
(298402,10108550,'Makes target afraid',100,1,0),
(298403,10108550,'30% chance to dispel when target takes damage',100,1,1),
(298404,10108550,'Does not affect Epic targets',100,1,2),
(298405,10108550,'Resistibility increases against targets higher than level 67.',100,1,3),
(298406,85361,'Applies Poison Bolt when Activated.',100,0,0),
(298407,85361,'Inflicts 272 - 454 poison damage on target',100,1,1),
(298408,85361,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(298409,10085361,'Applies Poison Bolt when Activated.',100,0,0),
(298410,10085361,'Inflicts 327 - 545 poison damage on target',100,1,1),
(298411,10085361,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(298412,169352,'When Equipped:',100,0,0),
(298413,169352,'Increases base Healing amount by 5%.',100,1,1),
(298414,10169352,'When Equipped:',100,0,0),
(298415,10169352,'Increases base Healing amount by 5%.',100,1,1),
(298416,163874,'When Equipped:',100,0,0),
(298417,163874,'On a damage spell hit this spell may cast Ethereal Strands on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(298418,163874,'Increases power of target by 110',100,2,2),
(298419,163874,'Cannot be modified except by direct means',100,2,3),
(298420,10163874,'When Equipped:',100,0,0),
(298421,10163874,'On a damage spell hit this spell may cast Ethereal Strands on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(298422,10163874,'Increases power of target by 110',100,2,2),
(298423,10163874,'Cannot be modified except by direct means',100,2,3),
(298424,101116,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1033',100,1,0),
(298425,10101116,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1033',100,1,0),
(298426,100717,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(298427,100717,'Increases Mitigation of group members (AE) vs noxious damage by 660',100,1,1),
(298428,10100717,'Increases Max Health of group members (AE) by 176.4',100,1,0),
(298429,10100717,'Increases Mitigation of group members (AE) vs noxious damage by 660',100,1,1),
(298430,35648,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(298431,134206,'When Equipped:',100,0,0),
(298432,134206,'On a hit this spell may cast Pure Corruption on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298433,134206,'Increases AGI and STR of caster by 75.0',100,2,2),
(298434,134206,'Increases Attack Speed of caster by 40.0',100,2,3),
(298435,134206,'Increases Damage Per Second of caster by 55.0',100,2,4),
(298436,134206,'Cannot be modified except by direct means',100,2,5),
(298437,10134206,'When Equipped:',100,0,0),
(298438,10134206,'On a hit this spell may cast Pure Corruption on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298439,10134206,'Increases AGI and STR of caster by 75.0',100,2,2),
(298440,10134206,'Increases Attack Speed of caster by 40.0',100,2,3),
(298441,10134206,'Increases Damage Per Second of caster by 55.0',100,2,4),
(298442,10134206,'Cannot be modified except by direct means',100,2,5),
(298443,114794,'Decreases WIS of target by 48.3',100,1,0),
(298444,114794,'Increases WIS and STA of caster by 48.3',100,1,1),
(298445,114794,'Decreases Max Health of target by 1.6%',100,1,2),
(298446,114794,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 156',100,1,3),
(298447,114794,'Only affects targets level 17 and above',100,1,4),
(298448,10114794,'Decreases WIS of target by 48.3',100,1,0),
(298449,10114794,'Increases WIS and STA of caster by 48.3',100,1,1),
(298450,10114794,'Decreases Max Health of target by 1.6%',100,1,2),
(298451,10114794,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 156',100,1,3),
(298452,10114794,'Only affects targets level 17 and above',100,1,4),
(298453,162908,'When Equipped:',100,0,0),
(298454,162908,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(298455,162908,'Heals caster for 339',100,2,2),
(298456,162908,'Cannot be modified except by direct means',100,2,3),
(298457,10162908,'When Equipped:',100,0,0),
(298458,10162908,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(298459,10162908,'Heals caster for 220',100,2,2),
(298460,10162908,'Cannot be modified except by direct means',100,2,3),
(298461,107362,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(298462,107362,'Increases Threat to target by 904 ',100,2,1),
(298463,10107362,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(298464,10107362,'Inflicts 88 - 97 crushing damage on target',100,2,1),
(298465,49180,'Applies Yelnar''s Research Prism when Activated.  Lasts for 1.0 second.',100,0,0),
(298466,49180,'Activating this prism will allow access to Yelnar''s Teleportation Stone.  This can only be used once.',100,1,1),
(298467,10049180,'Applies Yelnar''s Research Prism when Activated.  Lasts for 1.0 second.',100,0,0),
(298468,10049180,'Activating this prism will allow access to Yelnar''s Teleportation Stone.  This can only be used once.',100,1,1),
(298469,105803,'Inflicts 420 - 514 heat damage on target',100,1,0),
(298470,10105803,'Inflicts 673 - 822 heat damage on target',100,1,0),
(298471,106270,'Wards target against 1072 points of all damage',100,1,0),
(298472,10106270,'Wards target against 1072 points of all damage',100,1,0),
(298473,47295,'Applies Murky Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(298474,47295,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(298475,47295,'Only affects targets level 50 and above',100,1,2),
(298476,10047295,'Applies Murky Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(298477,10047295,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(298478,10047295,'Only affects targets level 50 and above',100,1,2),
(298479,162532,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(298480,162532,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(298481,162532,'Cannot be modified except by direct means',100,1,2),
(298482,10162532,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(298483,10162532,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(298484,10162532,'Cannot be modified except by direct means',100,1,2),
(298485,115377,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(298486,115377,'Increases Parry of caster by 10.8',100,1,1),
(298487,10115377,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(298488,10115377,'Increases Parry of caster by 10.8',100,1,1),
(298489,115893,'Inflicts 13 - 16 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(298490,10115893,'Inflicts 21 - 25 disease damage on target encounter',100,1,0),
(298491,10115893,'Inflicts 16 - 19 disease damage on target encounter every 3 seconds',100,1,1),
(298492,47125,'Applies Balaksen''s Cure All  when Activated.',100,0,0),
(298493,47125,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(298494,10047125,'Applies Balaksen''s Cure All  when Activated.',100,0,0),
(298495,10047125,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(298496,159355,'Applies Lambent Imbued when Equipped.',100,0,0),
(298497,159355,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(298498,159355,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(298499,159355,'Cannot be modified except by direct means',100,2,3),
(298500,10159355,'Applies Lambent Imbued when Equipped.',100,0,0),
(298501,10159355,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(298502,10159355,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(298503,10159355,'Cannot be modified except by direct means',100,2,3),
(298504,106594,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(298505,10106594,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(298506,111345,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(298507,111345,'Inflicts 400 - 489 mental damage on target',100,2,1),
(298508,111345,'Grants a total of 3 triggers of the spell.',100,2,2),
(298509,10111345,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(298510,10111345,'Inflicts 480 - 586 mental damage on target',100,2,1),
(298511,10111345,'Grants a total of 3 triggers of the spell.',100,2,2),
(298512,120779,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(298513,120779,'Stuns target',100,2,1),
(298514,120779,'Throws target back',100,2,2),
(298515,120779,'Blurs vision of target',100,2,3),
(298516,120779,'Does not affect Epic targets',100,2,4),
(298517,120779,'Inflicts 33 - 55 piercing damage on target',100,1,5),
(298518,10120779,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(298519,10120779,'Stuns target',100,2,1),
(298520,10120779,'Blurs vision of target',100,2,2),
(298521,10120779,'Throws target back',100,2,3),
(298522,10120779,'Does not affect Epic targets',100,2,4),
(298523,10120779,'Inflicts 40 - 66 piercing damage on target',100,1,5),
(298524,122648,'Heals target for 416 - 508 every 2 seconds',100,1,0),
(298525,122648,'Wards target against 1224 points of all damage',100,1,1),
(298526,122648,'Decreases Attack Speed of target by 25.0',100,1,2),
(298527,122648,'Slows target by 50.0%',100,1,3),
(298528,10122648,'Heals target for 487 - 595 every 2 seconds',100,1,0),
(298529,10122648,'Wards target against 1224 points of all damage',100,1,1),
(298530,10122648,'Decreases Attack Speed of target by 25.0',100,1,2),
(298531,10122648,'Slows target by 20.0%',100,1,3),
(298532,111811,'Roots target',100,1,0),
(298533,111811,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(298534,111811,'Slows target by 32.1%',100,2,2),
(298535,111811,'5% chance to dispel when target receives hostile action',100,2,3),
(298536,111811,'5% chance to dispel when target takes damage',100,2,4),
(298537,111811,'10% chance to dispel when target receives hostile action',100,1,5),
(298538,111811,'10% chance to dispel when target takes damage',100,1,6),
(298539,111811,'Does not affect Epic targets',100,1,7),
(298540,111811,'Resistibility increases against targets higher than level 48.',100,1,8),
(298541,10111811,'Roots target',100,1,0),
(298542,10111811,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(298543,10111811,'Slows target by 32.1%',100,2,2),
(298544,10111811,'10% chance to dispel when target receives hostile action',100,2,3),
(298545,10111811,'10% chance to dispel when target takes damage',100,2,4),
(298546,10111811,'10% chance to dispel when target receives hostile action',100,1,5),
(298547,10111811,'10% chance to dispel when target takes damage',100,1,6),
(298548,10111811,'Does not affect Epic targets',100,1,7),
(298549,10111811,'Resistibility increases against targets higher than level 48.',100,1,8),
(298550,112372,'Makes target afraid',100,1,0),
(298551,112372,'30% chance to dispel when target takes damage',100,1,1),
(298552,112372,'Does not affect Epic targets',100,1,2),
(298553,112372,'Resistibility increases against targets higher than level 79.',100,1,3),
(298554,10112372,'Makes target afraid',100,1,0),
(298555,10112372,'30% chance to dispel when target takes damage',100,1,1),
(298556,10112372,'Does not affect Epic targets',100,1,2),
(298557,10112372,'Resistibility increases against targets higher than level 79.',100,1,3),
(298558,144253,'When Equipped:',100,0,0),
(298559,144253,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(298560,144253,'Inflicts 2648 heat damage on target',100,2,2),
(298561,144253,'Cannot be modified except by direct means',100,2,3),
(298562,10144253,'When Equipped:',100,0,0),
(298563,10144253,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(298564,10144253,'Inflicts 1589 heat damage on target',100,2,2),
(298565,10144253,'Cannot be modified except by direct means',100,2,3),
(298566,107935,'Mesmerizes target',100,1,0),
(298567,107935,'Prevents AOE (except when direct) ',100,1,1),
(298568,107935,'Dispelled when target takes damage',100,1,2),
(298569,107935,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(298570,107935,'Resistibility increases against targets higher than level 95.',100,1,4),
(298571,10107935,'Mesmerizes target',100,1,0),
(298572,10107935,'Prevents AOE (except when direct) ',100,1,1),
(298573,10107935,'Dispelled when target takes damage',100,1,2),
(298574,10107935,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(298575,10107935,'Resistibility increases against targets higher than level 95.',100,1,4),
(298576,103446,'10% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(298577,103446,'Stuns target',100,2,1),
(298578,103446,'Throws target back',100,2,2),
(298579,103446,'Blurs vision of target',100,2,3),
(298580,103446,'Does not affect Epic targets',100,2,4),
(298581,103446,'Blurs vision of target encounter',100,1,5),
(298582,103446,'Interrupts target encounter',100,1,6),
(298583,10103446,'Interrupts target encounter',100,1,0),
(298584,10103446,'Blurs vision of target encounter',100,1,1),
(298585,10103446,'10% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(298586,10103446,'Stuns target',100,2,3),
(298587,10103446,'Blurs vision of target',100,2,4),
(298588,10103446,'Throws target back',100,2,5),
(298589,10103446,'Does not affect Epic targets',100,2,6),
(298590,103697,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(298591,103697,'Inflicts 6 - 8 heat damage on target instantly and every second',100,2,1),
(298592,10103697,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(298593,10103697,'Inflicts 7 - 9 heat damage on target instantly and every second',100,2,1),
(298594,119446,'Inflicts 146 - 244 melee damage on target',100,1,0),
(298595,119446,'Inflicts 106 piercing damage on target instantly and every 4 seconds',100,1,1),
(298596,119446,'Must be flanking or behind',100,1,2),
(298597,10119446,'Inflicts 176 - 293 melee damage on target',100,1,0),
(298598,10119446,'Inflicts 127 piercing damage on target instantly and every 4 seconds',100,1,1),
(298599,10119446,'Must be flanking or behind',100,1,2),
(298600,173412,'When Equipped:',100,0,0),
(298601,173412,'On a melee hit this spell may cast Inner Fire on caster.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298602,173412,'Increases Crit Chance of caster by 100.0',100,2,2),
(298603,173412,'Cannot be modified except by direct means',100,2,3),
(298604,10173412,'When Equipped:',100,0,0),
(298605,10173412,'On a melee hit this spell may cast Inner Fire on caster.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298606,10173412,'Increases Crit Chance of caster by 100.0',100,2,2),
(298607,10173412,'Cannot be modified except by direct means',100,2,3),
(298608,118497,'Summons a limited pet to aid the caster',100,1,0),
(298609,10118497,'Summons a limited pet to aid the caster',100,1,0),
(298610,116099,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(298611,116099,'Heals target for 225 - 275',100,2,1),
(298612,116099,'Grants a total of 5 triggers of the spell.',100,2,2),
(298613,10116099,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(298614,10116099,'Heals target for 146 - 179',100,2,1),
(298615,10116099,'Grants a total of 5 triggers of the spell.',100,2,2),
(298616,103522,'Charms target',100,1,0),
(298617,103522,'If outside an arena',100,1,1),
(298618,103522,'Certain enemies cannot be charmed',100,1,2),
(298619,103522,'Does not affect Epic targets',100,1,3),
(298620,10103522,'Mesmerizes target',100,1,0),
(298621,10103522,'Prevents AOE (except when direct) ',100,1,1),
(298622,10103522,'Dispelled when target takes damage',100,1,2),
(298623,10103522,'If outside an arena',100,1,3),
(298624,10103522,'Certain enemies cannot be charmed',100,1,4),
(298625,10103522,'Does not affect Epic targets',100,1,5),
(298626,10103522,'Resistibility increases against targets higher than level 91.',100,1,6),
(298627,108908,'Inflicts 677 heat damage on target',100,1,0),
(298628,108908,'Inflicts 677 cold damage on target',100,1,1),
(298629,108908,'Slows target by 50.8%',100,1,2),
(298630,10108908,'Inflicts 812 heat damage on target',100,1,0),
(298631,10108908,'Inflicts 812 cold damage on target',100,1,1),
(298632,10108908,'Slows target by 50.8%',100,1,2),
(298633,141725,'When Equipped:',100,0,0),
(298634,141725,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298635,141725,'Increases WIS of caster by 11.9',100,2,2),
(298636,141725,'Increases Focus, Ministration and Ordination of caster by 6.7',100,2,3),
(298637,141725,'Cannot be modified except by direct means',100,2,4),
(298638,10141725,'When Equipped:',100,0,0),
(298639,10141725,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(298640,10141725,'Increases WIS of caster by 11.9',100,2,2),
(298641,10141725,'Increases Focus, Ministration and Ordination of caster by 6.7',100,2,3),
(298642,10141725,'Cannot be modified except by direct means',100,2,4),
(298643,101723,'Mesmerizes target',100,1,0),
(298644,101723,'Prevents AOE (except when direct) ',100,1,1),
(298645,101723,'Mesmerizes caster',100,1,2),
(298646,101723,'Dispelled when target takes damage',100,1,3),
(298647,101723,'Does not affect Epic targets',100,1,4),
(298648,101723,'Resistibility increases against targets higher than level 82.',100,1,5),
(298649,10101723,'Mesmerizes target',100,1,0),
(298650,10101723,'Prevents AOE (except when direct) ',100,1,1),
(298651,10101723,'Mesmerizes caster',100,1,2),
(298652,10101723,'Dispelled when target takes damage',100,1,3),
(298653,10101723,'Does not affect Epic targets',100,1,4),
(298654,10101723,'Resistibility increases against targets higher than level 82.',100,1,5),
(298655,109881,'Increases Defense of group members (AE) by 37.1',100,1,0),
(298656,10109881,'Increases Defense of group members (AE) by 37.1',100,1,0),
(298657,105027,'Increases WIS of raid and group members (AE) by 35.9',100,1,0),
(298658,105027,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(298659,105027,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 132',100,1,2),
(298660,10105027,'Increases WIS of raid and group members (AE) by 35.9',100,1,0),
(298661,10105027,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(298662,10105027,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 132',100,1,2),
(298663,121899,'Inflicts 38 - 64 mental damage on target encounter',100,1,0),
(298664,121899,'Increases power of group members (AE) by 31 - 51',100,1,1),
(298665,10121899,'Inflicts 46 - 76 mental damage on target encounter',100,1,0),
(298666,10121899,'Increases power of group members (AE) by 31 - 51',100,1,1),
(298667,103486,'Increases In-Combat Power Regeneration of group members (AE) by 25.2',100,1,0),
(298668,10103486,'Increases In-Combat Power Regeneration of group members (AE) by 25.2',100,1,0),
(298669,112943,'Inflicts 44 - 132 crushing damage on target',100,1,0),
(298670,10112943,'Inflicts 53 - 159 crushing damage on target',100,1,0),
(298671,104040,'Stifles target',100,1,0),
(298672,104040,'If Target is not Epic',100,2,1),
(298673,104040,'Interrupts target',100,1,2),
(298674,104040,'Decreases Threat to target by 1,517 - 1,854 ',100,1,3),
(298675,104040,'Resistibility increases against targets higher than level 116.',100,1,4),
(298676,10104040,'Stifles target',100,1,0),
(298677,10104040,'If Target is not Epic',100,2,1),
(298678,10104040,'Interrupts target',100,1,2),
(298679,10104040,'Resistibility increases against targets higher than level 116.',100,1,3),
(298680,102000,'Summons 3 limited pets to aid the caster',100,1,0),
(298681,10102000,'Summons a limited pet to aid the caster',100,1,0),
(298682,10102000,'Summons 2 limited pets to aid the caster',100,1,1),
(298683,116031,'Prevents target from changing targets',100,1,0),
(298684,116031,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(298685,116031,'Increases Threat to target by 2,218 - 2,608  instantly and by 1,578 - 1,827  every 4 seconds thereafter',100,2,2),
(298686,116031,'Increases Threat to target by 3,656 - 4,367  instantly and by 2,458 - 2,902  every 2 seconds thereafter',100,1,3),
(298687,116031,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(298688,116031,'Increases threat priority of target by 4 positions',100,1,5),
(298689,116031,'Must be not at the top of the hate list of your current target.',100,1,6),
(298690,10116031,'Prevents target from changing targets',100,1,0),
(298691,10116031,'Forces target to change their selected target to caster.',100,1,1),
(298692,10116031,'Must be not at the top of the hate list of your current target.',100,1,2),
(298693,121207,'Grants stealth to caster',100,1,0),
(298694,121207,'Suspends caster''s movement speed enhancements',100,1,1),
(298695,121207,'Decreases Threat to target by 1,029 - 1,715 ',100,1,2),
(298696,10121207,'Grants stealth to caster',100,1,0),
(298697,10121207,'Suspends caster''s movement speed enhancements',100,1,1),
(298698,10121207,'Forces target to clear their selected target.',100,1,2),
(298699,120551,'Decreases Defense of target by 40.3',100,1,0),
(298700,10120551,'Decreases Defense of target by 40.3',100,1,0),
(298701,120518,'Inflicts 356 - 594 melee damage on target',100,1,0),
(298702,120518,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(298703,120518,'Grants stealth to caster',100,2,2),
(298704,120518,'Suspends caster''s movement speed enhancements',100,2,3),
(298705,120518,'Must be flanking or behind',100,1,4),
(298706,10120518,'Inflicts 427 - 712 melee damage on target',100,1,0),
(298707,10120518,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(298708,10120518,'Grants stealth to caster',100,2,2),
(298709,10120518,'Suspends caster''s movement speed enhancements',100,2,3),
(298710,10120518,'Must be flanking or behind',100,1,4),
(298711,46893,'Applies Mastery of the Karig''Dal when Activated.',100,0,0),
(298712,46893,'Shapechanges the user into Kerig'' Dal form. This form wears the uniform of the Tallonites!',100,1,1),
(298713,10046893,'Applies Mastery of the Karig''Dal when Activated.',100,0,0),
(298714,10046893,'Shapechanges the user into Kerig'' Dal form. This form wears the uniform of the Tallonites!',100,1,1),
(298715,52928,'Applies Sanguine Imbued when Equipped.',100,0,0),
(298716,52928,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(298717,52928,'Inflicts 163 heat damage on target',100,2,2),
(298718,52928,'Cannot be modified except by direct means',100,2,3),
(298719,10052928,'Applies Sanguine Imbued when Equipped.',100,0,0),
(298720,10052928,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(298721,10052928,'Inflicts 195 heat damage on target',100,2,2),
(298722,10052928,'Cannot be modified except by direct means',100,2,3),
(298723,71244,'When Equipped:',100,0,0),
(298724,71244,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298725,71244,'Inflicts 89 - 108 divine damage on target',100,2,2),
(298726,71244,'Cannot be modified except by direct means',100,2,3),
(298727,10071244,'When Equipped:',100,0,0),
(298728,10071244,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(298729,10071244,'Inflicts 106 - 130 divine damage on target',100,2,2),
(298730,10071244,'Cannot be modified except by direct means',100,2,3),
(298731,102110,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(298732,102110,'Stuns target',100,2,1),
(298733,102110,'Blurs vision of target',100,2,2),
(298734,102110,'Throws target back',100,2,3),
(298735,102110,'Does not affect Epic targets',100,2,4),
(298736,102110,'Inflicts 203 - 339 crushing damage on target',100,1,5),
(298737,10102110,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(298738,10102110,'Stuns target',100,2,1),
(298739,10102110,'Blurs vision of target',100,2,2),
(298740,10102110,'Throws target back',100,2,3),
(298741,10102110,'Does not affect Epic targets',100,2,4),
(298742,10102110,'Inflicts 244 - 407 crushing damage on target',100,1,5),
(298743,114410,'Mesmerizes target',100,1,0),
(298744,114410,'Prevents AOE (except when direct) ',100,1,1),
(298745,114410,'Dispelled when target takes damage',100,1,2),
(298746,114410,'Epic targets gain an immunity to Mesmerize effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,3),
(298747,114410,'Resistibility increases against targets higher than level 53.',100,1,4),
(298748,10114410,'Mesmerizes target',100,1,0),
(298749,10114410,'Prevents AOE (except when direct) ',100,1,1),
(298750,10114410,'Dispelled when target takes damage',100,1,2),
(298751,10114410,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(298752,10114410,'Resistibility increases against targets higher than level 53.',100,1,4),
(298753,113626,'Interrupts target encounter',100,1,0),
(298754,113626,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 20.3',100,1,1),
(298755,10113626,'Interrupts target encounter',100,1,0),
(298756,10113626,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 20.3',100,1,1),
(298757,110765,'Heals group members (AE) for 103 - 125 instantly and every 2 seconds',100,1,0),
(298758,10110765,'Heals group members (AE) for 67 - 81 instantly and every 2 seconds',100,1,0),
(298759,120494,'Inflicts 93 - 155 melee damage on target',100,1,0),
(298760,120494,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(298761,120494,'Grants stealth to caster',100,2,2),
(298762,120494,'Suspends caster''s movement speed enhancements',100,2,3),
(298763,120494,'Must be flanking or behind',100,1,4),
(298764,10120494,'Inflicts 112 - 186 melee damage on target',100,1,0),
(298765,10120494,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(298766,10120494,'Grants stealth to caster',100,2,2),
(298767,10120494,'Suspends caster''s movement speed enhancements',100,2,3),
(298768,10120494,'Must be flanking or behind',100,1,4),
(298769,47643,'Applies Puff of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(298770,47643,'Increases power of caster by 1 instantly and every 5 seconds',100,1,1),
(298771,10047643,'Applies Puff of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(298772,10047643,'Increases power of caster by 1 instantly and every 5 seconds',100,1,1),
(298773,104116,'Roots target',100,1,0),
(298774,104116,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(298775,104116,'Makes target afraid',100,2,2),
(298776,104116,'Slows target by 20.1%',100,2,3),
(298777,104116,'30% chance to dispel when target takes damage',100,2,4),
(298778,104116,'Resistibility increases against targets higher than level 62.',100,2,5),
(298779,104116,'15% chance to dispel when target takes damage',100,1,6),
(298780,104116,'Does not affect Epic targets',100,1,7),
(298781,104116,'Resistibility increases against targets higher than level 62.',100,1,8),
(298782,10104116,'Roots target',100,1,0),
(298783,10104116,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(298784,10104116,'Makes target afraid',100,2,2),
(298785,10104116,'Slows target by 20.1%',100,2,3),
(298786,10104116,'30% chance to dispel when target takes damage',100,2,4),
(298787,10104116,'Resistibility increases against targets higher than level 62.',100,2,5),
(298788,10104116,'15% chance to dispel when target takes damage',100,1,6),
(298789,10104116,'Does not affect Epic targets',100,1,7),
(298790,10104116,'Resistibility increases against targets higher than level 62.',100,1,8),
(298791,37495,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(298792,106730,'Heals target for 574 - 702',100,1,0),
(298793,10106730,'Heals target for 675 - 825',100,1,0),
(298794,37626,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(298795,120361,'Inflicts 82 - 100 divine damage on target instantly and every 4 seconds',100,1,0),
(298796,120361,'Decreases WIS of target by 58.0',100,1,1),
(298797,10120361,'Inflicts 98 - 120 divine damage on target instantly and every 4 seconds',100,1,0),
(298798,10120361,'Decreases WIS of target by 58.0',100,1,1),
(298799,182233,'When Equipped:',100,0,0),
(298800,182233,'Increases Attack Speed of caster by 45.0',100,1,1),
(298801,10182233,'When Equipped:',100,0,0),
(298802,10182233,'Increases Attack Speed of caster by 45.0',100,1,1),
(298803,48468,'Applies Thinning Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(298804,48468,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(298805,48468,'Decreases power of target by 123',100,2,2),
(298806,48468,'Cannot be modified except by direct means',100,2,3),
(298807,48468,'Grants a total of 4 triggers of the spell.',100,2,4),
(298808,48468,'Only affects targets level 50 and above',100,1,5),
(298809,10048468,'Applies Thinning Mental Burn when Activated.  Lasts for 12 hours.',100,0,0),
(298810,10048468,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(298811,10048468,'Decreases power of target by 123',100,2,2),
(298812,10048468,'Cannot be modified except by direct means',100,2,3),
(298813,10048468,'Grants a total of 4 triggers of the spell.',100,2,4),
(298814,10048468,'Only affects targets level 50 and above',100,1,5),
(298815,101426,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(298816,101426,'Increases Mitigation of group members (AE) vs noxious damage by 168',100,1,1),
(298817,10101426,'Increases Max Power of group members (AE) by 72.0',100,1,0),
(298818,10101426,'Increases Mitigation of group members (AE) vs noxious damage by 168',100,1,1),
(298819,110572,'Decreases Attack Speed of target by 16.6',100,1,0),
(298820,110572,'Decreases Crushing, Slashing and Piercing of target by 6.8',100,1,1),
(298821,10110572,'Decreases Attack Speed of target by 16.6',100,1,0),
(298822,10110572,'Decreases Crushing, Slashing and Piercing of target by 6.8',100,1,1),
(298823,36053,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(298824,36053,'Increases Max Health of target by 60.5',100,0,1),
(298825,120664,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 17.7',100,1,0),
(298826,120664,'Increases Focus of group members (AE) by 35.4',100,1,1),
(298827,10120664,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 17.7',100,1,0),
(298828,10120664,'Increases Focus of group members (AE) by 35.4',100,1,1),
(298829,183449,'When Equipped:',100,0,0),
(298830,183449,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(298831,183449,'When Equipped:',100,0,2),
(298832,183449,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(298833,183449,'Decreases power of target by 226',100,2,4),
(298834,183449,'Increases power of caster by 135',100,2,5),
(298835,183449,'Cannot be modified except by direct means',100,2,6),
(298836,10183449,'When Equipped:',100,0,0),
(298837,10183449,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(298838,10183449,'When Equipped:',100,0,2),
(298839,10183449,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 2.0 times per minute. ',100,1,3),
(298840,10183449,'Decreases power of target by 226',100,2,4),
(298841,10183449,'Increases power of caster by 135',100,2,5),
(298842,10183449,'Cannot be modified except by direct means',100,2,6),
(298843,122798,'Heals target for 1057',100,1,0),
(298844,10122798,'Heals target for 824',100,1,0),
(298845,163847,'When Equipped:',100,0,0),
(298846,163847,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(298847,163847,'Increases power of target by 8',100,2,2),
(298848,163847,'Cannot be modified except by direct means',100,2,3),
(298849,10163847,'When Equipped:',100,0,0),
(298850,10163847,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(298851,10163847,'Increases power of target by 8',100,2,2),
(298852,10163847,'Cannot be modified except by direct means',100,2,3),
(298853,185118,'When Equipped:',100,0,0),
(298854,185118,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(298855,185118,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(298856,185118,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,3),
(298857,185118,'Increases Potency of caster by 3.0%',100,2,4),
(298858,185118,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(298859,185118,'Must not be engaged in pvp combat',100,2,6),
(298860,185118,'Cannot be modified except by direct means',100,2,7),
(298861,185118,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(298862,185118,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,9),
(298863,185118,'Increases Potency of caster by 3.0%',100,2,10),
(298864,185118,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(298865,185118,'Must not be engaged in pvp combat',100,2,12),
(298866,185118,'Cannot be modified except by direct means',100,2,13),
(298867,185118,'Cannot be modified except by direct means',100,1,14),
(298868,10185118,'When Equipped:',100,0,0),
(298869,10185118,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(298870,10185118,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(298871,10185118,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,3),
(298872,10185118,'Increases Potency of caster by 3.0%',100,2,4),
(298873,10185118,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(298874,10185118,'Must not be engaged in pvp combat',100,2,6),
(298875,10185118,'Cannot be modified except by direct means',100,2,7),
(298876,10185118,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(298877,10185118,'Increases AGI, WIS, INT and STR of caster by 110.0',100,2,9),
(298878,10185118,'Increases Potency of caster by 3.0%',100,2,10),
(298879,10185118,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(298880,10185118,'Must not be engaged in pvp combat',100,2,12),
(298881,10185118,'Cannot be modified except by direct means',100,2,13),
(298882,10185118,'Cannot be modified except by direct means',100,1,14),
(298883,104327,'Increases Out-of-Combat Power Regeneration of target by 4.8',100,1,0),
(298884,104327,'Increases Out-of-Combat Health Regeneration of target by 9.6',100,1,1),
(298885,104327,'Charms target',100,1,2),
(298886,104327,'If outside an arena',100,1,3),
(298887,104327,'Certain enemies cannot be charmed',100,1,4),
(298888,104327,'Only affects targets level 24 and below',100,1,5),
(298889,104327,'Does not affect Epic targets',100,1,6),
(298890,10104327,'Increases Out-of-Combat Power Regeneration of target by 4.8',100,1,0),
(298891,10104327,'Increases Out-of-Combat Health Regeneration of target by 9.6',100,1,1),
(298892,10104327,'Charms target',100,1,2),
(298893,10104327,'If outside an arena',100,1,3),
(298894,10104327,'Certain enemies cannot be charmed',100,1,4),
(298895,10104327,'Only affects targets level 24 and below',100,1,5),
(298896,10104327,'Does not affect Epic targets',100,1,6),
(298897,122894,'Increases STR and INT of group members (AE) by 16.6',100,1,0),
(298898,10122894,'Increases STR and INT of group members (AE) by 16.6',100,1,0),
(298899,185433,'When Equipped:',100,0,0),
(298900,185433,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(298901,185433,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(298902,185433,'Cannot be modified except by direct means',100,2,3),
(298903,10185433,'When Equipped:',100,0,0),
(298904,10185433,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(298905,10185433,'Increases Multi Attack Chance of caster by 12.0',100,2,2),
(298906,10185433,'Cannot be modified except by direct means',100,2,3),
(298907,115504,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(298908,115504,'Increases Mitigation of group members (AE) vs noxious damage by 600',100,1,1),
(298909,10115504,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(298910,10115504,'Increases Mitigation of group members (AE) vs noxious damage by 600',100,1,1),
(298911,111438,'Decreases Attack Speed of caster by 12.7',100,1,0),
(298912,111438,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(298913,111438,'Roots target',100,2,2),
(298914,111438,'5% chance to dispel when target takes damage',100,2,3),
(298915,111438,'5% chance to dispel when target receives hostile action',100,2,4),
(298916,111438,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(298917,111438,'Increases Mitigation of caster vs physical damage by 297',100,1,6),
(298918,10111438,'Decreases Attack Speed of caster by 12.7',100,1,0),
(298919,10111438,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(298920,10111438,'Roots target',100,2,2),
(298921,10111438,'5% chance to dispel when target takes damage',100,2,3),
(298922,10111438,'5% chance to dispel when target receives hostile action',100,2,4),
(298923,10111438,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(298924,10111438,'Increases Mitigation of caster vs physical damage by 297',100,1,6),
(298925,24102,'Adds Chardok: Tome of Kor-Sha to your Dungeon Maker toolbox',100,0,0),
(298926,10024102,'Adds Chardok: Tome of Kor-Sha to your Dungeon Maker toolbox',100,0,0),
(298927,119375,'Decreases threat priority of target by 1 position',100,1,0),
(298928,119375,'Decreases Threat to target by 456 ',100,1,1),
(298929,119375,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(298930,119375,'Grants stealth to caster',100,2,3),
(298931,119375,'Suspends caster''s movement speed enhancements',100,2,4),
(298932,10119375,'Applies Distract.',100,1,0),
(298933,10119375,'Forces target to clear their selected target.',100,2,1),
(298934,10119375,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(298935,10119375,'Grants stealth to caster',100,2,3),
(298936,10119375,'Suspends caster''s movement speed enhancements',100,2,4),
(298937,101267,'Increases Max Health of group members (AE) by 28.8',100,1,0),
(298938,101267,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,1),
(298939,10101267,'Increases Max Health of group members (AE) by 28.8',100,1,0),
(298940,10101267,'Increases Mitigation of group members (AE) vs physical damage by 124',100,1,1),
(298941,26593,'When Equipped:',100,0,0),
(298942,26593,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(298943,26593,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(298944,10026593,'When Equipped:',100,0,0),
(298945,10026593,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(298946,10026593,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(298947,124041,'Increases power of caster by 33',100,1,0),
(298948,10124041,'Increases power of caster by 33',100,1,0),
(298949,115430,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',100,1,0),
(298950,115430,'Decreases Mitigation of target vs arcane damage by 149',100,1,1),
(298951,10115430,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',100,1,0),
(298952,10115430,'Decreases Mitigation of target vs arcane damage by 149',100,1,1),
(298953,45067,'Applies Summoning Ritual when Activated.',100,0,0),
(298954,45067,'This effect cannot be cast during combat',100,1,1),
(298955,45067,'If any of the following are true:',100,1,2),
(298956,45067,'Special: See Description',100,2,3),
(298957,10045067,'Applies Summoning Ritual when Activated.',100,0,0),
(298958,10045067,'This effect cannot be cast during combat',100,1,1),
(298959,10045067,'If any of the following are true:',100,1,2),
(298960,10045067,'Special: See Description',100,2,3),
(298961,108514,'Increases AGI and WIS of group members (AE) by 29.5',100,1,0),
(298962,108514,'Adds 1.8% to base avoidance.',100,1,1),
(298963,108514,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 84',100,1,2),
(298964,10108514,'Increases AGI and WIS of group members (AE) by 29.5',100,1,0),
(298965,10108514,'Adds 1.8% to base avoidance.',100,1,1),
(298966,10108514,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 84',100,1,2),
(298967,47234,'Applies Evital''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(298968,47234,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(298969,10047234,'Applies Evital''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(298970,10047234,'Increases Mitigation of caster vs physical damage by 160',100,1,1),
(298971,90267,'When Equipped:',100,0,0),
(298972,90267,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(298973,90267,'Inflicts 20 - 24 magic damage on target',100,2,2),
(298974,90267,'If target is werewolf',100,3,3),
(298975,90267,'Cannot be modified except by direct means',100,2,4),
(298976,10090267,'When Equipped:',100,0,0),
(298977,10090267,'On a combat hit this spell will cast Silver Vulnerability on target of attack.  ',100,1,1),
(298978,10090267,'Inflicts 24 - 29 magic damage on target',100,2,2),
(298979,10090267,'If target is werewolf',100,3,3),
(298980,10090267,'Cannot be modified except by direct means',100,2,4),
(298981,135604,'When Equipped:',100,0,0),
(298982,135604,'This effect will not stack with any rank or tier of itself.',100,1,1),
(298983,135604,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(298984,135604,'Increases Attack Speed of caster by 11.0',100,1,3),
(298985,135604,'Cannot be modified except by direct means',100,1,4),
(298986,135604,'When Equipped:',100,0,5),
(298987,135604,'Increases Attack Speed of caster by 40.0',100,1,6),
(298988,10135604,'When Equipped:',100,0,0),
(298989,10135604,'This effect will not stack with any rank or tier of itself.',100,1,1),
(298990,10135604,'Increases Multi Attack Chance of caster by 3.0',100,1,2),
(298991,10135604,'Increases Attack Speed of caster by 11.0',100,1,3),
(298992,10135604,'Cannot be modified except by direct means',100,1,4),
(298993,10135604,'When Equipped:',100,0,5),
(298994,10135604,'Increases Attack Speed of caster by 40.0',100,1,6),
(298995,104186,'Increases Threat to target encounter by 1,401 - 1,611 ',100,1,0),
(298996,104186,'Interrupts target encounter',100,1,1),
(298997,10104186,'Forces target encounter to change their selected target to caster.',100,1,0),
(298998,10104186,'Interrupts target encounter',100,1,1),
(298999,10104186,'Prevents target encounter from changing targets',100,1,2),
(299000,113945,'Decreases power of target encounter by 22 instantly and every 4 seconds',100,1,0),
(299001,113945,'Increases power of group members (AE) by 14 instantly and every 4 seconds',100,1,1),
(299002,10113945,'Decreases power of target encounter by 22 instantly and every 4 seconds',100,1,0),
(299003,10113945,'Increases power of group members (AE) by 14 instantly and every 4 seconds',100,1,1),
(299004,36774,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(299005,48277,'Applies Stormscale Drakota when Activated.',100,0,0),
(299006,48277,'Summons a mount to ride',100,1,1),
(299007,48277,'Increases your ground speed by 75%',100,2,2),
(299008,48277,'Increases your air speed by 150%',100,2,3),
(299009,48277,'Increases Focus, Piercing, Ordination, Ranged, Ministration, Disruption, Slashing, Subjugation, Crushing and Aggression of caster by 5.0',100,1,4),
(299010,10048277,'Applies Stormscale Drakota when Activated.',100,0,0),
(299011,10048277,'Summons a mount to ride',100,1,1),
(299012,10048277,'Increases your ground speed by 75%',100,2,2),
(299013,10048277,'Increases your air speed by 150%',100,2,3),
(299014,10048277,'Increases Focus, Piercing, Ordination, Ranged, Ministration, Disruption, Slashing, Subjugation, Crushing and Aggression of caster by 5.0',100,1,4),
(299015,36778,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(299016,104983,'Reduces physical damage done to caster by 5%',100,1,0),
(299017,104983,'Adds 1.5% to base avoidance.',100,1,1),
(299018,104983,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(299019,104983,'Increases Parry of caster by 9.0',100,1,3),
(299020,104983,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(299021,104983,'Increases Aggression of caster by 5.4',100,1,5),
(299022,104983,'Increases Defense and Deflection of caster by 9.0',100,1,6),
(299023,104983,'Increases Mitigation of caster vs arcane damage by 600',100,1,7),
(299024,104983,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(299025,10104983,'Reduces physical damage done to caster by 5%',100,1,0),
(299026,10104983,'Adds 1.5% to base avoidance.',100,1,1),
(299027,10104983,'Caster will deflect 10.0% of incoming attacks.',100,1,2),
(299028,10104983,'Increases Parry of caster by 9.0',100,1,3),
(299029,10104983,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,4),
(299030,10104983,'Increases Aggression of caster by 5.4',100,1,5),
(299031,10104983,'Increases Defense and Deflection of caster by 9.0',100,1,6),
(299032,10104983,'Increases Mitigation of caster vs arcane damage by 600',100,1,7),
(299033,10104983,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(299034,175421,'When Equipped:',100,0,0),
(299035,175421,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(299036,175421,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(299037,175421,'Cannot be modified except by direct means',100,2,3),
(299038,10175421,'When Equipped:',100,0,0),
(299039,10175421,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(299040,10175421,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(299041,10175421,'Cannot be modified except by direct means',100,2,3),
(299042,115976,'Inflicts 165 - 247 mental damage on target',100,1,0),
(299043,115976,'Stuns target',100,1,1),
(299044,115976,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(299045,115976,'Resistibility increases against targets higher than level 70.',100,1,3),
(299046,10115976,'Inflicts 198 - 297 mental damage on target',100,1,0),
(299047,10115976,'Stuns target',100,1,1),
(299048,10115976,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(299049,10115976,'Resistibility increases against targets higher than level 70.',100,1,3),
(299050,140052,'When Equipped:',100,0,0),
(299051,140052,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(299052,140052,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(299053,140052,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,3),
(299054,140052,'Cannot be modified except by direct means',100,1,4),
(299055,140052,'When Equipped:',100,0,5),
(299056,140052,'This effect will not stack with any rank or tier of itself.',100,1,6),
(299057,140052,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,7),
(299058,140052,'Increases Multi Attack Chance of caster by 3.0',100,1,8),
(299059,140052,'Increases Attack Speed of caster by 11.0',100,1,9),
(299060,140052,'Cannot be modified except by direct means',100,1,10),
(299061,10140052,'When Equipped:',100,0,0),
(299062,10140052,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(299063,10140052,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,2),
(299064,10140052,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,1,3),
(299065,10140052,'Cannot be modified except by direct means',100,1,4),
(299066,10140052,'When Equipped:',100,0,5),
(299067,10140052,'This effect will not stack with any rank or tier of itself.',100,1,6),
(299068,10140052,'Caster will have their chance to hit with a weapon increased by 1.0%',100,1,7),
(299069,10140052,'Increases Multi Attack Chance of caster by 3.0',100,1,8),
(299070,10140052,'Increases Attack Speed of caster by 11.0',100,1,9),
(299071,10140052,'Cannot be modified except by direct means',100,1,10),
(299072,105815,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(299073,105815,'Inflicts 72 - 121 disease damage on target',100,2,1),
(299074,10105815,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(299075,10105815,'Inflicts 87 - 145 disease damage on target',100,2,1),
(299076,101358,'Reduces physical damage done to caster by 5%',100,1,0),
(299077,101358,'Adds 1.5% to base avoidance.',100,1,1),
(299078,101358,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(299079,101358,'Increases Aggression of caster by 6.7',100,1,3),
(299080,101358,'Increases Defense and Parry of caster by 10.8',100,1,4),
(299081,101358,'Increases Mitigation of caster vs noxious and arcane damage by 66',100,1,5),
(299082,101358,'Increases Mitigation of caster vs elemental damage by 660',100,1,6),
(299083,101358,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(299084,10101358,'Reduces physical damage done to caster by 5%',100,1,0),
(299085,10101358,'Adds 1.5% to base avoidance.',100,1,1),
(299086,10101358,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(299087,10101358,'Increases Aggression of caster by 6.7',100,1,3),
(299088,10101358,'Increases Defense and Parry of caster by 10.8',100,1,4),
(299089,10101358,'Increases Mitigation of caster vs noxious and arcane damage by 66',100,1,5),
(299090,10101358,'Increases Mitigation of caster vs elemental damage by 660',100,1,6),
(299091,10101358,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(299092,117122,'Inflicts 36 - 44 heat damage on target instantly and every 4 seconds',100,1,0),
(299093,117122,'Decreases Mitigation of target vs arcane damage by 219',100,1,1),
(299094,10117122,'Inflicts 43 - 53 heat damage on target instantly and every 4 seconds',100,1,0),
(299095,10117122,'Decreases Mitigation of target vs arcane damage by 219',100,1,1),
(299096,175286,'When Equipped:',100,0,0),
(299097,175286,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(299098,175286,'Inflicts 2664 disease damage on target encounter',100,2,2),
(299099,175286,'Must not be engaged in pvp combat',100,2,3),
(299100,175286,'Cannot be modified except by direct means',100,2,4),
(299101,10175286,'When Equipped:',100,0,0),
(299102,10175286,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(299103,10175286,'Inflicts 1598 disease damage on target encounter',100,2,2),
(299104,10175286,'Must not be engaged in pvp combat',100,2,3),
(299105,10175286,'Cannot be modified except by direct means',100,2,4),
(299106,72044,'When Equipped:',100,0,0),
(299107,72044,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299108,72044,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(299109,72044,'Cannot be modified except by direct means',100,2,3),
(299110,10072044,'When Equipped:',100,0,0),
(299111,10072044,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299112,10072044,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(299113,10072044,'Cannot be modified except by direct means',100,2,3),
(299114,35861,'Increases AGI of target by 10.5',100,0,0),
(299115,35861,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(299116,35306,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(299117,35306,'Increases Max Power of target by 10.5',100,0,1),
(299118,124332,'Shapechanges caster into a wolf',100,1,0),
(299119,124332,'Grants See Invisibility to caster',100,1,1),
(299120,124332,'Increases Focus of caster by 33.5',100,1,2),
(299121,124332,'Increases Mitigation of caster vs physical damage by 372',100,1,3),
(299122,124332,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1413',100,1,4),
(299123,10124332,'Shapechanges caster into a wolf',100,1,0),
(299124,10124332,'Grants See Invisibility to caster',100,1,1),
(299125,10124332,'Increases Focus of caster by 33.5',100,1,2),
(299126,10124332,'Increases Mitigation of caster vs physical damage by 372',100,1,3),
(299127,10124332,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1413',100,1,4),
(299128,113818,'Inflicts 79 - 132 disease damage on target',100,1,0),
(299129,10113818,'Inflicts 95 - 159 disease damage on target',100,1,0),
(299130,107820,'Causes 7% Threat to transfer to target when in combat',100,1,0),
(299131,107820,'Increases Hate Gain of target by 6.5%',100,1,1),
(299132,112729,'Inflicts 443 - 738 disease damage on target encounter',100,1,0),
(299133,10112729,'Inflicts 532 - 886 disease damage on target encounter',100,1,0),
(299134,108171,'Inflicts 870 - 1450 melee damage on target',100,1,0),
(299135,108171,'You must be sneaking to use this ability.',100,1,1),
(299136,108171,'Must be flanking or behind',100,1,2),
(299137,10108171,'Inflicts 688 - 1147 melee damage on target',100,1,0),
(299138,10108171,'You must be sneaking to use this ability.',100,1,1),
(299139,10108171,'Must be flanking or behind',100,1,2),
(299140,118433,'Heals target for 1577 - 1927',100,1,0),
(299141,118433,'Increases Max Health of target by 248.2',100,1,1),
(299142,10118433,'Heals target for 1829 - 2235',100,1,0),
(299143,10118433,'Increases Max Health of target by 248.2',100,1,1),
(299144,159617,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(299145,159617,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(299146,159617,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(299147,159617,'Cannot be modified except by direct means',100,2,3),
(299148,10159617,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(299149,10159617,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(299150,10159617,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(299151,10159617,'Cannot be modified except by direct means',100,2,3),
(299152,47103,'Applies Locate Treasure when Activated.',100,0,0),
(299153,10047103,'Applies Locate Treasure when Activated.',100,0,0),
(299154,71520,'When Equipped:',100,0,0),
(299155,71520,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299156,71520,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(299157,71520,'Cannot be modified except by direct means',100,2,3),
(299158,10071520,'When Equipped:',100,0,0),
(299159,10071520,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299160,10071520,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(299161,10071520,'Cannot be modified except by direct means',100,2,3),
(299162,108473,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(299163,108473,'Increases Aggression of caster by 9.0',100,1,1),
(299164,108473,'Increases Defense and Parry of caster by 18.0',100,1,2),
(299165,108473,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(299166,10108473,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(299167,10108473,'Increases Aggression of caster by 9.0',100,1,1),
(299168,10108473,'Increases Defense and Parry of caster by 18.0',100,1,2),
(299169,10108473,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(299170,74736,'When Equipped:',100,0,0),
(299171,74736,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299172,74736,'Inflicts 182 - 273 magic damage on target',100,2,2),
(299173,74736,'Cannot be modified except by direct means',100,2,3),
(299174,10074736,'When Equipped:',100,0,0),
(299175,10074736,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299176,10074736,'Inflicts 219 - 328 magic damage on target',100,2,2),
(299177,10074736,'Cannot be modified except by direct means',100,2,3),
(299178,101823,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(299179,101823,'Decreases Threat to target by 2,448 ',100,2,1),
(299180,10101823,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(299181,10101823,'Inflicts 122 - 134 crushing damage on target',100,2,1),
(299182,162308,'When Equipped:',100,0,0),
(299183,162308,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299184,162308,'Increases Damage Per Second of caster by 10.0',100,2,2),
(299185,162308,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(299186,162308,'Cannot be modified except by direct means',100,2,4),
(299187,10162308,'When Equipped:',100,0,0),
(299188,10162308,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299189,10162308,'Increases Damage Per Second of caster by 10.0',100,2,2),
(299190,10162308,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(299191,10162308,'Cannot be modified except by direct means',100,2,4),
(299192,48728,'Applies Elixir of Heat Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(299193,48728,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(299194,10048728,'Applies Elixir of Heat Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(299195,10048728,'Increases Mitigation of caster vs elemental damage by 250',100,1,1),
(299196,47903,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(299197,47903,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(299198,47903,'Decreases Threat to target by 1,300 - 1,589 ',100,2,2),
(299199,47903,'Cannot be modified except by direct means',100,2,3),
(299200,47903,'Grants a total of 100 triggers of the spell.',100,2,4),
(299201,10047903,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(299202,10047903,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(299203,10047903,'5% chance to apply Distract.',100,2,2),
(299204,10047903,'Forces target to clear their selected target.',100,3,3),
(299205,10047903,'Cannot be modified except by direct means',100,2,4),
(299206,10047903,'Grants a total of 100 triggers of the spell.',100,2,5),
(299207,181280,'When Equipped:',100,0,0),
(299208,181280,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299209,181280,'Increases Crit Bonus of caster by 7.0%',100,2,2),
(299210,181280,'Cannot be modified except by direct means',100,2,3),
(299211,181280,'When Equipped:',100,0,4),
(299212,181280,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(299213,181280,'Inflicts 2648 magic damage on target',100,2,6),
(299214,181280,'Cannot be modified except by direct means',100,2,7),
(299215,10181280,'When Equipped:',100,0,0),
(299216,10181280,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299217,10181280,'Increases Crit Bonus of caster by 7.0%',100,2,2),
(299218,10181280,'Cannot be modified except by direct means',100,2,3),
(299219,10181280,'When Equipped:',100,0,4),
(299220,10181280,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(299221,10181280,'Inflicts 1589 magic damage on target',100,2,6),
(299222,10181280,'Cannot be modified except by direct means',100,2,7),
(299223,123193,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(299224,123193,'Inflicts 34 - 41 disease damage on target',100,2,1),
(299225,123193,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(299226,123193,'This effect cannot be critically applied.',100,3,3),
(299227,123193,'The healing of this spell cannot be modified except by direct means',100,2,4),
(299228,123193,'Grants a total of 5 triggers of the spell.',100,2,5),
(299229,10123193,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(299230,10123193,'Inflicts 41 - 50 disease damage on target',100,2,1),
(299231,10123193,'Heals caster for 1.0 - 1.3% of max health',100,2,2),
(299232,10123193,'This effect cannot be critically applied.',100,3,3),
(299233,10123193,'The healing of this spell cannot be modified except by direct means',100,2,4),
(299234,10123193,'Grants a total of 5 triggers of the spell.',100,2,5),
(299235,80449,'When Equipped:',100,0,0),
(299236,80449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299237,80449,'Inflicts 48 - 90 magic damage on target',100,2,2),
(299238,80449,'Cannot be modified except by direct means',100,2,3),
(299239,10080449,'When Equipped:',100,0,0),
(299240,10080449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299241,10080449,'Inflicts 58 - 107 magic damage on target',100,2,2),
(299242,10080449,'Cannot be modified except by direct means',100,2,3),
(299243,155122,'Applies Blessing of Aniksis when Activated.  Lasts for 5.0 seconds.',100,0,0),
(299244,155122,'Makes caster immune to Stifle effects',100,1,1),
(299245,155122,'Makes caster immune to Stun effects',100,1,2),
(299246,155122,'Makes caster immune to Daze effects',100,1,3),
(299247,155122,'Makes caster immune to Root effects',100,1,4),
(299248,155122,'Prevents caster from changing targets',100,1,5),
(299249,155122,'Makes caster immune to Fear effects',100,1,6),
(299250,155122,'Must be engaged in pvp combat',100,1,7),
(299251,155122,'Only affects targets level 79 and below',100,1,8),
(299252,155122,'The reuse time of Blessing of Aniksis is 30 minutes',100,1,9),
(299253,10155122,'Applies Blessing of Aniksis when Activated.  Lasts for 5.0 seconds.',100,0,0),
(299254,10155122,'Makes caster immune to Stifle effects',100,1,1),
(299255,10155122,'Makes caster immune to Stun effects',100,1,2),
(299256,10155122,'Makes caster immune to Daze effects',100,1,3),
(299257,10155122,'Makes caster immune to Root effects',100,1,4),
(299258,10155122,'Prevents caster from changing targets',100,1,5),
(299259,10155122,'Makes caster immune to Fear effects',100,1,6),
(299260,10155122,'Must be engaged in pvp combat',100,1,7),
(299261,10155122,'Only affects targets level 79 and below',100,1,8),
(299262,10155122,'The reuse time of Blessing of Aniksis is 30 minutes',100,1,9),
(299263,47878,'Applies Back into the Fray when Activated.',100,0,0),
(299264,47878,'Dispels 100 levels of hostile Prevent Changing Target, hostile Fear, hostile Mesmerize, hostile Stifle, hostile Stun, hostile Root and hostile Daze effects on caster',100,1,1),
(299265,47878,'Must have Runed Victim''s Skull equipped.',100,1,2),
(299266,47878,'Must be engaged in pvp combat',100,1,3),
(299267,10047878,'Applies Back into the Fray when Activated.',100,0,0),
(299268,10047878,'Dispels 100 levels of hostile Prevent Changing Target, hostile Fear, hostile Mesmerize, hostile Stifle, hostile Stun, hostile Root and hostile Daze effects on caster',100,1,1),
(299269,10047878,'Must have Runed Victim''s Skull equipped.',100,1,2),
(299270,10047878,'Must be engaged in pvp combat',100,1,3),
(299271,124833,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1312',100,1,0),
(299272,10124833,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1312',100,1,0),
(299273,82230,'When Equipped:',100,0,0),
(299274,82230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299275,82230,'Inflicts 30 - 55 magic damage on target',100,2,2),
(299276,82230,'Cannot be modified except by direct means',100,2,3),
(299277,10082230,'When Equipped:',100,0,0),
(299278,10082230,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299279,10082230,'Inflicts 36 - 66 magic damage on target',100,2,2),
(299280,10082230,'Cannot be modified except by direct means',100,2,3),
(299281,153953,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(299282,153953,'Decreases Attack Speed of target by 12.0',100,1,1),
(299283,153953,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(299284,10153953,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(299285,10153953,'Decreases Attack Speed of target by 12.0',100,1,1),
(299286,10153953,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(299287,27099,'When Equipped:',100,0,0),
(299288,27099,'Increases all disease damage by up to 5.',100,1,1),
(299289,10027099,'When Equipped:',100,0,0),
(299290,10027099,'Increases all disease damage by up to 5.',100,1,1),
(299291,121460,'Increases AGI of caster by 77.2',100,1,0),
(299292,121460,'Adds 14.8% to base avoidance.',100,1,1),
(299293,121460,'Increases Mitigation of caster vs physical damage by 747',100,1,2),
(299294,121460,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,3),
(299295,10121460,'Increases AGI of caster by 77.2',100,1,0),
(299296,10121460,'Adds 14.8% to base avoidance.',100,1,1),
(299297,10121460,'Increases Mitigation of caster vs physical damage by 747',100,1,2),
(299298,10121460,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,3),
(299299,26623,'When Equipped:',100,0,0),
(299300,26623,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,1),
(299301,26623,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(299302,10026623,'When Equipped:',100,0,0),
(299303,10026623,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,1),
(299304,10026623,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(299305,188558,'Applies Philter of the Undying when Activated.  Lasts for 1 minute 5 seconds.',100,0,0),
(299306,188558,'Increases power of caster by 402',100,1,1),
(299307,188558,'Inflicts 200 - 599 heat damage on caster',100,1,2),
(299308,188558,'Inflicts 20 - 60 heat damage on caster every 6.4 seconds',100,1,3),
(299309,188558,'The casting time of Philter of the Undying is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,4),
(299310,10188558,'Applies Philter of the Undying when Activated.  Lasts for 1 minute 5 seconds.',100,0,0),
(299311,10188558,'Increases power of caster by 402',100,1,1),
(299312,10188558,'Inflicts 239 - 718 heat damage on caster',100,1,2),
(299313,10188558,'Inflicts 24 - 72 heat damage on caster every 6.4 seconds',100,1,3),
(299314,10188558,'The casting time of Philter of the Undying is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,4),
(299315,159481,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(299316,159481,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(299317,159481,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(299318,159481,'Cannot be modified except by direct means',100,2,3),
(299319,10159481,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(299320,10159481,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(299321,10159481,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(299322,10159481,'Cannot be modified except by direct means',100,2,3),
(299323,109844,'Inflicts 626 - 1043 melee damage on target',100,1,0),
(299324,109844,'Decreases Parry of target by 71.1',100,1,1),
(299325,109844,'Must be in front of or flanking',100,1,2),
(299326,10109844,'Inflicts 751 - 1252 melee damage on target',100,1,0),
(299327,10109844,'Decreases Parry of target by 71.1',100,1,1),
(299328,10109844,'Must be in front of or flanking',100,1,2),
(299329,71644,'When Equipped:',100,0,0),
(299330,71644,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299331,71644,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(299332,71644,'Cannot be modified except by direct means',100,2,3),
(299333,10071644,'When Equipped:',100,0,0),
(299334,10071644,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299335,10071644,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(299336,10071644,'Cannot be modified except by direct means',100,2,3),
(299337,123171,'Reduces physical damage done to caster by 5%',100,1,0),
(299338,123171,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(299339,123171,'Increases Aggression of caster by 13.1',100,1,2),
(299340,123171,'Increases Defense and Parry of caster by 26.2',100,1,3),
(299341,123171,'Increases Mitigation of caster vs elemental damage by 1814',100,1,4),
(299342,123171,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(299343,10123171,'Reduces physical damage done to caster by 5%',100,1,0),
(299344,10123171,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,1),
(299345,10123171,'Increases Aggression of caster by 13.1',100,1,2),
(299346,10123171,'Increases Defense and Parry of caster by 26.2',100,1,3),
(299347,10123171,'Increases Mitigation of caster vs elemental damage by 1814',100,1,4),
(299348,10123171,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(299349,71394,'When Equipped:',100,0,0),
(299350,71394,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299351,71394,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(299352,71394,'Cannot be modified except by direct means',100,2,3),
(299353,10071394,'When Equipped:',100,0,0),
(299354,10071394,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299355,10071394,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(299356,10071394,'Cannot be modified except by direct means',100,2,3),
(299357,137967,'When Equipped:',100,0,0),
(299358,137967,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299359,137967,'Inflicts 756 divine damage on target',100,2,2),
(299360,137967,'Must be classified as a vampire',100,3,3),
(299361,137967,'Inflicts 378 divine damage on target',100,2,4),
(299362,137967,'Must not be classified as a vampire',100,3,5),
(299363,137967,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(299364,137967,'Must be classified as a vampire',100,3,7),
(299365,137967,'Cannot be modified except by direct means',100,2,8),
(299366,137967,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(299367,10137967,'When Equipped:',100,0,0),
(299368,10137967,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299369,10137967,'Inflicts 907 divine damage on target',100,2,2),
(299370,10137967,'Must be classified as a vampire',100,3,3),
(299371,10137967,'Inflicts 454 divine damage on target',100,2,4),
(299372,10137967,'Must not be classified as a vampire',100,3,5),
(299373,10137967,'Decreases Mitigation of target vs arcane damage by 560',100,2,6),
(299374,10137967,'Must be classified as a vampire',100,3,7),
(299375,10137967,'Cannot be modified except by direct means',100,2,8),
(299376,10137967,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(299377,109503,'Inflicts 53 - 65 disease damage on target instantly and every 4 seconds',100,1,0),
(299378,109503,'Decreases Attack Speed of target by 8.6',100,1,1),
(299379,10109503,'Inflicts 64 - 78 disease damage on target instantly and every 4 seconds',100,1,0),
(299380,10109503,'Decreases Attack Speed of target by 8.6',100,1,1),
(299381,35611,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(299382,48461,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(299383,48461,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(299384,48461,'Inflicts 185 poison damage on target',100,2,2),
(299385,48461,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,3),
(299386,48461,'Cannot be modified except by direct means',100,2,4),
(299387,48461,'Grants a total of 200 triggers of the spell.',100,2,5),
(299388,10048461,'Applies irrepressible vexation when Activated.  Lasts for 12 hours.',100,0,0),
(299389,10048461,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(299390,10048461,'Inflicts 27 poison damage on target instantly and every 6 seconds',100,2,2),
(299391,10048461,'Inflicts 166 poison damage on target',100,2,3),
(299392,10048461,'Cannot be modified except by direct means',100,2,4),
(299393,10048461,'Grants a total of 200 triggers of the spell.',100,2,5),
(299394,112260,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(299395,112260,'Decreases power of target by 244',100,2,1),
(299396,112260,'Increases power of caster by 222',100,2,2),
(299397,10112260,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(299398,10112260,'Decreases power of target by 244',100,2,1),
(299399,10112260,'Increases power of caster by 178',100,2,2),
(299400,144931,'When Equipped:',100,0,0),
(299401,144931,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(299402,144931,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,2),
(299403,144931,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,3),
(299404,144931,'Wards caster against 1800 points of all damage',100,2,4),
(299405,144931,'This ward regenerates slowly over time.',100,2,5),
(299406,144931,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(299407,144931,'Must not be engaged in pvp combat',100,2,7),
(299408,144931,'Cannot be modified except by direct means',100,2,8),
(299409,144931,'Must not be engaged in pvp combat',100,1,9),
(299410,10144931,'When Equipped:',100,0,0),
(299411,10144931,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(299412,10144931,'Inflicts 6833 - 7552 piercing damage on target encounter',100,2,2),
(299413,10144931,'Inflicts 759 - 839 piercing damage on target encounter every 3 seconds',100,2,3),
(299414,10144931,'Wards caster against 1800 points of all damage',100,2,4),
(299415,10144931,'This ward regenerates slowly over time.',100,2,5),
(299416,10144931,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(299417,10144931,'Must not be engaged in pvp combat',100,2,7),
(299418,10144931,'Cannot be modified except by direct means',100,2,8),
(299419,10144931,'Must not be engaged in pvp combat',100,1,9),
(299420,116214,'Inflicts 1337 - 2229 mental damage on target',100,1,0),
(299421,10116214,'Inflicts 1605 - 2674 mental damage on target',100,1,0),
(299422,147151,'Applies Atheneal Test of Faith when Activated.  Lasts for 30.0 seconds.',100,0,0),
(299423,147151,'All offensive spells deal divine damage.',100,1,1),
(299424,147151,'Must be in Ward of Elements.',100,1,2),
(299425,147151,'The casting time of Atheneal Test of Faith is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(299426,10147151,'Applies Atheneal Test of Faith when Activated.  Lasts for 30.0 seconds.',100,0,0),
(299427,10147151,'All offensive spells deal divine damage.',100,1,1),
(299428,10147151,'Must be in Ward of Elements.',100,1,2),
(299429,10147151,'The casting time of Atheneal Test of Faith is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(299430,178640,'When Equipped:',100,0,0),
(299431,178640,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(299432,178640,'Inflicts 258 disease damage on target',100,2,2),
(299433,178640,'Inflicts 258 poison damage on target',100,2,3),
(299434,178640,'Cannot be modified except by direct means',100,2,4),
(299435,178640,'Wards caster against 516 points of noxious damage',100,1,5),
(299436,10178640,'When Equipped:',100,0,0),
(299437,10178640,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(299438,10178640,'Inflicts 309 disease damage on target',100,2,2),
(299439,10178640,'Inflicts 309 poison damage on target',100,2,3),
(299440,10178640,'Cannot be modified except by direct means',100,2,4),
(299441,10178640,'Wards caster against 516 points of noxious damage',100,1,5),
(299442,82654,'When Equipped:',100,0,0),
(299443,82654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299444,82654,'Inflicts 79 - 146 magic damage on target',100,2,2),
(299445,82654,'Cannot be modified except by direct means',100,2,3),
(299446,10082654,'When Equipped:',100,0,0),
(299447,10082654,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299448,10082654,'Inflicts 94 - 175 magic damage on target',100,2,2),
(299449,10082654,'Cannot be modified except by direct means',100,2,3),
(299450,122504,'Inflicts 393 - 655 mental damage on targets in Area of Effect',100,1,0),
(299451,10122504,'Inflicts 472 - 786 mental damage on targets in Area of Effect',100,1,0),
(299452,175302,'When Equipped:',100,0,0),
(299453,175302,'Increases Attack Speed of caster by 40.0',100,1,1),
(299454,10175302,'When Equipped:',100,0,0),
(299455,10175302,'Increases Attack Speed of caster by 40.0',100,1,1),
(299456,123297,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(299457,123297,'Inflicts 127 - 212 disease damage on target',100,2,1),
(299458,123297,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(299459,123297,'This effect cannot be critically applied.',100,3,3),
(299460,123297,'The healing of this spell cannot be modified except by direct means',100,2,4),
(299461,10123297,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(299462,10123297,'Inflicts 153 - 254 disease damage on target',100,2,1),
(299463,10123297,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(299464,10123297,'This effect cannot be critically applied.',100,3,3),
(299465,10123297,'The healing of this spell cannot be modified except by direct means',100,2,4),
(299466,123262,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(299467,123262,'Increases Mitigation of group members (AE) vs noxious damage by 1023',100,1,1),
(299468,10123262,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(299469,10123262,'Increases Mitigation of group members (AE) vs noxious damage by 1023',100,1,1),
(299470,169107,'When Equipped:',100,0,0),
(299471,169107,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(299472,169107,'When Equipped:',100,0,2),
(299473,169107,'Increases Attack Speed of caster by 30.0',100,1,3),
(299474,10169107,'When Equipped:',100,0,0),
(299475,10169107,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(299476,10169107,'When Equipped:',100,0,2),
(299477,10169107,'Increases Attack Speed of caster by 30.0',100,1,3),
(299478,137034,'When Equipped:',100,0,0),
(299479,137034,'On a damage spell hit this spell may cast Thought Hemorrhage on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(299480,137034,'Decreases power of target by 118 - 196',100,2,2),
(299481,137034,'Inflicts 246 mental damage on target',100,2,3),
(299482,137034,'Cannot be modified except by direct means',100,2,4),
(299483,10137034,'When Equipped:',100,0,0),
(299484,10137034,'On a damage spell hit this spell may cast Thought Hemorrhage on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(299485,10137034,'Decreases power of target by 118 - 196',100,2,2),
(299486,10137034,'Inflicts 295 mental damage on target',100,2,3),
(299487,10137034,'Cannot be modified except by direct means',100,2,4),
(299488,102045,'Inflicts 129 - 216 melee damage on targets in area',100,1,0),
(299489,102045,'Interrupts targets in Area of Effect',100,1,1),
(299490,10102045,'Inflicts 155 - 259 melee damage on targets in area',100,1,0),
(299491,10102045,'Interrupts targets in Area of Effect',100,1,1),
(299492,52028,'When Equipped:',100,0,0),
(299493,52028,'Increases Attack Speed of caster by 25.0',100,1,1),
(299494,10052028,'When Equipped:',100,0,0),
(299495,10052028,'Increases Attack Speed of caster by 25.0',100,1,1),
(299496,102085,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(299497,102085,'Stuns target',100,2,1),
(299498,102085,'Throws target back',100,2,2),
(299499,102085,'Blurs vision of target',100,2,3),
(299500,102085,'Does not affect Epic targets',100,2,4),
(299501,102085,'Inflicts 8 - 14 crushing damage on target',100,1,5),
(299502,10102085,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(299503,10102085,'Stuns target',100,2,1),
(299504,10102085,'Blurs vision of target',100,2,2),
(299505,10102085,'Throws target back',100,2,3),
(299506,10102085,'Does not affect Epic targets',100,2,4),
(299507,10102085,'Inflicts 10 - 17 crushing damage on target',100,1,5),
(299508,112035,'Roots target',100,1,0),
(299509,112035,'Stifles target',100,1,1),
(299510,112035,'If Target is not Epic',100,2,2),
(299511,112035,'20% chance to dispel when target takes damage',100,1,3),
(299512,112035,'Does not affect Epic targets',100,1,4),
(299513,112035,'Resistibility increases against targets higher than level 82.',100,1,5),
(299514,10112035,'Roots target',100,1,0),
(299515,10112035,'Stifles target',100,1,1),
(299516,10112035,'If Target is not Epic',100,2,2),
(299517,10112035,'20% chance to dispel when target takes damage',100,1,3),
(299518,10112035,'Does not affect Epic targets',100,1,4),
(299519,10112035,'Resistibility increases against targets higher than level 82.',100,1,5),
(299520,37090,'Increases Max Power of target by 108.8',100,0,0),
(299521,37090,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(299522,111628,'Inflicts 86 - 160 cold damage on target',100,1,0),
(299523,10111628,'Inflicts 103 - 192 cold damage on target',100,1,0),
(299524,112542,'Interrupts target',50,1,0),
(299525,112542,'Inflicts 120 - 146 divine damage on target',100,1,1),
(299526,10112542,'Interrupts target',50,1,0),
(299527,10112542,'Inflicts 184 - 225 divine damage on target',100,1,1),
(299528,117328,'Roots target',100,1,0),
(299529,117328,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(299530,117328,'Slows target by 37.4%',100,2,2),
(299531,117328,'5% chance to dispel when target receives hostile action',100,2,3),
(299532,117328,'5% chance to dispel when target takes damage',100,2,4),
(299533,117328,'15% chance to dispel when target takes damage',100,1,5),
(299534,117328,'Does not affect Epic targets',100,1,6),
(299535,117328,'Resistibility increases against targets higher than level 76.',100,1,7),
(299536,10117328,'Roots target',100,1,0),
(299537,10117328,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(299538,10117328,'Slows target by 37.4%',100,2,2),
(299539,10117328,'10% chance to dispel when target receives hostile action',100,2,3),
(299540,10117328,'10% chance to dispel when target takes damage',100,2,4),
(299541,10117328,'15% chance to dispel when target takes damage',100,1,5),
(299542,10117328,'Does not affect Epic targets',100,1,6),
(299543,10117328,'Resistibility increases against targets higher than level 76.',100,1,7),
(299544,113425,'Increases STA of caster by 108.7',100,1,0),
(299545,113425,'Adds 2.9% to base avoidance.',100,1,1),
(299546,113425,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,2),
(299547,113425,'Increases Defense and Aggression of caster by 20.7',100,1,3),
(299548,113425,'Increases Mitigation of caster vs noxious damage by 1436',100,1,4),
(299549,113425,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(299550,113425,'Reduces physical damage done to caster by 5%',100,1,6),
(299551,10113425,'Increases STA of caster by 108.7',100,1,0),
(299552,10113425,'Adds 2.9% to base avoidance.',100,1,1),
(299553,10113425,'Decreases Slashing, Piercing and Crushing of caster by 16.4',100,1,2),
(299554,10113425,'Increases Defense and Aggression of caster by 20.7',100,1,3),
(299555,10113425,'Increases Mitigation of caster vs noxious damage by 1436',100,1,4),
(299556,10113425,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(299557,10113425,'Reduces physical damage done to caster by 5%',100,1,6),
(299558,24514,'Adds Mistmoore: Arcane Flame Chandelier to your Dungeon Maker toolbox',100,0,0),
(299559,10024514,'Adds Mistmoore: Arcane Flame Chandelier to your Dungeon Maker toolbox',100,0,0),
(299560,119034,'Inflicts 25 - 42 mental damage on target',100,1,0),
(299561,119034,'Decreases power of target by 24 - 40',100,1,1),
(299562,119034,'Increases power of caster by 13 - 21',100,1,2),
(299563,10119034,'Inflicts 30 - 51 mental damage on target',100,1,0),
(299564,10119034,'Decreases power of target by 24 - 40',100,1,1),
(299565,10119034,'Increases power of caster by 13 - 21',100,1,2),
(299566,120490,'Inflicts 32 - 53 melee damage on target',100,1,0),
(299567,120490,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(299568,120490,'Grants stealth to caster',100,2,2),
(299569,120490,'Suspends caster''s movement speed enhancements',100,2,3),
(299570,120490,'Must be flanking or behind',100,1,4),
(299571,10120490,'Inflicts 38 - 64 melee damage on target',100,1,0),
(299572,10120490,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(299573,10120490,'Grants stealth to caster',100,2,2),
(299574,10120490,'Suspends caster''s movement speed enhancements',100,2,3),
(299575,10120490,'Must be flanking or behind',100,1,4),
(299576,111262,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(299577,111262,'Heals target for 914',100,2,1),
(299578,111262,'Increases Mitigation of target vs physical damage by 605',100,2,2),
(299579,111262,'Grants a total of 1 trigger of the spell.',100,2,3),
(299580,10111262,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(299581,10111262,'Heals target for 594',100,2,1),
(299582,10111262,'Increases Mitigation of target vs physical damage by 605',100,2,2),
(299583,10111262,'Grants a total of 1 trigger of the spell.',100,2,3),
(299584,119097,'Inflicts 78 - 235 melee damage on targets in area',100,1,0),
(299585,119097,'Inflicts 78 - 235 melee damage on targets in area',100,1,1),
(299586,119097,'Inflicts 78 - 235 melee damage on targets in area',100,1,2),
(299587,119097,'Inflicts 78 - 235 melee damage on targets in area',100,1,3),
(299588,10119097,'Inflicts 94 - 282 melee damage on targets in area',100,1,0),
(299589,10119097,'Inflicts 94 - 282 melee damage on targets in area',100,1,1),
(299590,10119097,'Inflicts 94 - 282 melee damage on targets in area',100,1,2),
(299591,10119097,'Inflicts 94 - 282 melee damage on targets in area',100,1,3),
(299592,37041,'Increases STR of target by 8.4',100,0,0),
(299593,37041,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(299594,187416,'When Equipped:',100,0,0),
(299595,187416,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299596,187416,'Increases Potency of group members by 6.0%',100,2,2),
(299597,187416,'Increases Crit Bonus of group members by 6.0%',100,2,3),
(299598,187416,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(299599,187416,'Must not be engaged in pvp combat',100,2,5),
(299600,187416,'Cannot be modified except by direct means',100,2,6),
(299601,187416,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(299602,187416,'Increases Potency of group members by 6.0%',100,2,8),
(299603,187416,'Increases Crit Bonus of group members by 6.0%',100,2,9),
(299604,187416,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(299605,187416,'Must not be engaged in pvp combat',100,2,11),
(299606,187416,'Cannot be modified except by direct means',100,2,12),
(299607,187416,'Cannot be modified except by direct means',100,1,13),
(299608,10187416,'When Equipped:',100,0,0),
(299609,10187416,'On any combat or spell hit this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299610,10187416,'Increases Potency of group members by 6.0%',100,2,2),
(299611,10187416,'Increases Crit Bonus of group members by 6.0%',100,2,3),
(299612,10187416,'Increases Ability Modifier of group members by 1,000.0',100,2,4),
(299613,10187416,'Must not be engaged in pvp combat',100,2,5),
(299614,10187416,'Cannot be modified except by direct means',100,2,6),
(299615,10187416,'On a healing spell cast this spell may cast Dawn of Conquest on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(299616,10187416,'Increases Potency of group members by 6.0%',100,2,8),
(299617,10187416,'Increases Crit Bonus of group members by 6.0%',100,2,9),
(299618,10187416,'Increases Ability Modifier of group members by 1,000.0',100,2,10),
(299619,10187416,'Must not be engaged in pvp combat',100,2,11),
(299620,10187416,'Cannot be modified except by direct means',100,2,12),
(299621,10187416,'Cannot be modified except by direct means',100,1,13),
(299622,72508,'When Equipped:',100,0,0),
(299623,72508,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299624,72508,'Increases Potency of caster by 7.0%',100,2,2),
(299625,72508,'Cannot be modified except by direct means',100,2,3),
(299626,10072508,'When Equipped:',100,0,0),
(299627,10072508,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299628,10072508,'Increases Potency of caster by 7.0%',100,2,2),
(299629,10072508,'Cannot be modified except by direct means',100,2,3),
(299630,136964,'When Equipped:',100,0,0),
(299631,136964,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(299632,136964,'Wards caster against 1250 points of all damage',100,2,2),
(299633,136964,'Cannot be modified except by direct means',100,2,3),
(299634,136964,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(299635,136964,'Wards caster against 1250 points of all damage',100,2,5),
(299636,136964,'Cannot be modified except by direct means',100,2,6),
(299637,10136964,'When Equipped:',100,0,0),
(299638,10136964,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(299639,10136964,'Wards caster against 625 points of all damage',100,2,2),
(299640,10136964,'Cannot be modified except by direct means',100,2,3),
(299641,10136964,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(299642,10136964,'Wards caster against 625 points of all damage',100,2,5),
(299643,10136964,'Cannot be modified except by direct means',100,2,6),
(299644,81505,'When Equipped:',100,0,0),
(299645,81505,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299646,81505,'Inflicts 112 - 208 magic damage on target',100,2,2),
(299647,81505,'Cannot be modified except by direct means',100,2,3),
(299648,10081505,'When Equipped:',100,0,0),
(299649,10081505,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299650,10081505,'Inflicts 135 - 250 magic damage on target',100,2,2),
(299651,10081505,'Cannot be modified except by direct means',100,2,3),
(299652,82203,'When Equipped:',100,0,0),
(299653,82203,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(299654,82203,'Inflicts 33 - 61 magic damage on target',100,2,2),
(299655,82203,'Decreases Threat to target by 135 ',100,2,3),
(299656,82203,'Must be flanking or behind',100,3,4),
(299657,82203,'Increases Threat to target by 236 ',100,2,5),
(299658,82203,'Must be in front of',100,3,6),
(299659,82203,'Cannot be modified except by direct means',100,2,7),
(299660,10082203,'When Equipped:',100,0,0),
(299661,10082203,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(299662,10082203,'Inflicts 40 - 74 magic damage on target',100,2,2),
(299663,10082203,'Cannot be modified except by direct means',100,2,3),
(299664,87123,'When Equipped:',100,0,0),
(299665,87123,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299666,87123,'Inflicts 155 - 232 magic damage on target',100,2,2),
(299667,87123,'Cannot be modified except by direct means',100,2,3),
(299668,10087123,'When Equipped:',100,0,0),
(299669,10087123,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299670,10087123,'Inflicts 186 - 278 magic damage on target',100,2,2),
(299671,10087123,'Cannot be modified except by direct means',100,2,3),
(299672,114623,'Decreases WIS of target by 26.7',100,1,0),
(299673,114623,'Inflicts 197 - 328 melee damage on target',100,1,1),
(299674,114623,'You must be sneaking to use this ability.',100,1,2),
(299675,10114623,'Decreases WIS of target by 26.7',100,1,0),
(299676,10114623,'Inflicts 236 - 394 melee damage on target',100,1,1),
(299677,10114623,'You must be sneaking to use this ability.',100,1,2),
(299678,113012,'Increases WIS of caster by 31.7',100,1,0),
(299679,113012,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(299680,113012,'Increases Defense of caster by 5.8',100,1,2),
(299681,113012,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(299682,10113012,'Increases WIS of caster by 31.7',100,1,0),
(299683,10113012,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(299684,10113012,'Increases Defense of caster by 5.8',100,1,2),
(299685,10113012,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(299686,47674,'Applies Race Potion when Activated.',100,0,0),
(299687,47674,'Opens the appearance customization window for a free appearance change. Any illusions in effect will be ignored during the appearance change, only your new race''s appearance will be affected.',100,1,1),
(299688,47674,'Allows the caster to pick a new race.',100,1,2),
(299689,47674,'This potion is good for ONE USE only.',100,1,3),
(299690,10047674,'Applies Race Potion when Activated.',100,0,0),
(299691,10047674,'Opens the appearance customization window for a free appearance change. Any illusions in effect will be ignored during the appearance change, only your new race''s appearance will be affected.',100,1,1),
(299692,10047674,'Allows the caster to pick a new race.',100,1,2),
(299693,10047674,'This potion is good for ONE USE only.',100,1,3),
(299694,41386,'When Equipped:',100,0,0),
(299695,41386,'On any combat or spell hit this spell may cast Stalker''s Missile on target of attack.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299696,41386,'Inflicts 2565 - 2835 crushing damage on targets in Area of Effect',100,2,2),
(299697,41386,'Inflicts 513 - 567 crushing damage on targets in Area of Effect every 2 seconds',100,2,3),
(299698,41386,'Inflicts an additional 256 - 283 crushing damage on targets in Area of Effect every tick',100,2,4),
(299699,41386,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,5),
(299700,41386,'Must not be engaged in pvp combat',100,2,6),
(299701,41386,'Cannot be modified except by direct means',100,2,7),
(299702,41386,'Must not be engaged in pvp combat',100,1,8),
(299703,10041386,'When Equipped:',100,0,0),
(299704,10041386,'On any combat or spell hit this spell may cast Stalker''s Missile on target of attack.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(299705,10041386,'Inflicts 3078 - 3401 crushing damage on targets in Area of Effect',100,2,2),
(299706,10041386,'Inflicts 616 - 680 crushing damage on targets in Area of Effect every 2 seconds',100,2,3),
(299707,10041386,'Inflicts an additional 256 - 283 crushing damage on targets in Area of Effect every tick',100,2,4),
(299708,10041386,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,5),
(299709,10041386,'Must not be engaged in pvp combat',100,2,6),
(299710,10041386,'Cannot be modified except by direct means',100,2,7),
(299711,10041386,'Must not be engaged in pvp combat',100,1,8),
(299712,152300,'When Equipped:',100,0,0),
(299713,152300,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(299714,152300,'Inflicts 2648 cold damage on target encounter',100,2,2),
(299715,152300,'Must not be engaged in pvp combat',100,2,3),
(299716,152300,'Cannot be modified except by direct means',100,2,4),
(299717,152300,'Must not be engaged in pvp combat',100,1,5),
(299718,10152300,'When Equipped:',100,0,0),
(299719,10152300,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(299720,10152300,'Inflicts 1589 cold damage on target encounter',100,2,2),
(299721,10152300,'Must not be engaged in pvp combat',100,2,3),
(299722,10152300,'Cannot be modified except by direct means',100,2,4),
(299723,10152300,'Must not be engaged in pvp combat',100,1,5),
(299724,105639,'Inflicts 73 disease damage on target instantly and every 6 seconds',100,1,0),
(299725,105639,'Inflicts 169 - 283 disease damage on target',100,1,1),
(299726,105639,'Inflicts 169 - 283 disease damage on target',100,1,2),
(299727,10105639,'Inflicts 88 disease damage on target instantly and every 6 seconds',100,1,0),
(299728,10105639,'Inflicts 203 - 339 disease damage on target',100,1,1),
(299729,10105639,'Inflicts 203 - 339 disease damage on target',100,1,2),
(299730,179260,'When Equipped:',100,0,0),
(299731,179260,'On any combat or spell hit this spell may cast Welled Up Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299732,179260,'Inflicts 350 cold damage on target',100,2,2),
(299733,179260,'Inflicts 350 disease damage on target',100,2,3),
(299734,179260,'Inflicts 350 poison damage on target',100,2,4),
(299735,179260,'Increases Crit Chance of caster by 8.0',100,2,5),
(299736,179260,'Cannot be modified except by direct means',100,2,6),
(299737,179260,'Cannot be modified except by direct means',100,1,7),
(299738,10179260,'When Equipped:',100,0,0),
(299739,10179260,'On any combat or spell hit this spell may cast Welled Up Rage on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299740,10179260,'Inflicts 350 disease damage on target',100,2,2),
(299741,10179260,'Inflicts 350 poison damage on target',100,2,3),
(299742,10179260,'Inflicts 350 cold damage on target',100,2,4),
(299743,10179260,'Increases Crit Chance of caster by 8.0',100,2,5),
(299744,10179260,'Cannot be modified except by direct means',100,2,6),
(299745,10179260,'Cannot be modified except by direct means',100,1,7),
(299746,104874,'Inflicts 24 - 41 magic damage on targets in area',100,1,0),
(299747,10104874,'Inflicts 29 - 49 magic damage on targets in area',100,1,0),
(299748,177533,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(299749,177533,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(299750,177533,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(299751,177533,'Cannot be modified except by direct means',100,2,3),
(299752,10177533,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(299753,10177533,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(299754,10177533,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(299755,10177533,'Cannot be modified except by direct means',100,2,3),
(299756,101973,'Inflicts 618 - 1148 heat damage on target',100,1,0),
(299757,10101973,'Inflicts 742 - 1377 heat damage on target',100,1,0),
(299758,112846,'Roots target',100,1,0),
(299759,112846,'5% chance to dispel when target takes damage',100,1,1),
(299760,112846,'Does not affect Epic targets',100,1,2),
(299761,112846,'Resistibility increases against targets higher than level 93.',100,1,3),
(299762,10112846,'Roots target',100,1,0),
(299763,10112846,'5% chance to dispel when target takes damage',100,1,1),
(299764,10112846,'Does not affect Epic targets',100,1,2),
(299765,10112846,'Resistibility increases against targets higher than level 93.',100,1,3),
(299766,102772,'Increases STR of caster by 20.9',100,1,0),
(299767,102772,'Increases Max Health of caster by 115.2',100,1,1),
(299768,102772,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,2),
(299769,10102772,'Increases STR of caster by 20.9',100,1,0),
(299770,10102772,'Increases Max Health of caster by 115.2',100,1,1),
(299771,10102772,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',100,1,2),
(299772,109781,'Decreases Mitigation of target vs arcane damage by 149',100,1,0),
(299773,109781,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',100,1,1),
(299774,10109781,'Decreases Mitigation of target vs arcane damage by 149',100,1,0),
(299775,10109781,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',100,1,1),
(299776,115952,'Inflicts 767 - 1279 melee damage on target',100,1,0),
(299777,115952,'Roots target',100,1,1),
(299778,115952,'If Target is not Epic',100,2,2),
(299779,115952,'5% chance to dispel when target takes damage',100,1,3),
(299780,115952,'Resistibility increases against targets higher than level 112.',100,1,4),
(299781,10115952,'Inflicts 921 - 1535 melee damage on target',100,1,0),
(299782,10115952,'Roots target',100,1,1),
(299783,10115952,'If Target is not Epic',100,2,2),
(299784,10115952,'5% chance to dispel when target takes damage',100,1,3),
(299785,10115952,'Resistibility increases against targets higher than level 112.',100,1,4),
(299786,116014,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(299787,116014,'Decreases threat priority of target by 1 position',100,2,1),
(299788,116014,'Decreases Hate Gain of target by 19.0%',100,1,2),
(299789,10116014,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(299790,10116014,'Forces target to clear their selected target.',100,2,1),
(299791,48214,'Applies Spirit Totem of the Wolf when Activated.  Lasts for 30 minutes.',100,0,0),
(299792,48214,'Shapechanges caster into a wolf',100,1,1),
(299793,48214,'Increases speed of caster by 24.0%',100,1,2),
(299794,48214,'This effect suspends during combat',100,1,3),
(299795,48214,'Only affects targets level 15 and above',100,1,4),
(299796,10048214,'Applies Spirit Totem of the Wolf when Activated.  Lasts for 30 minutes.',100,0,0),
(299797,10048214,'Shapechanges caster into a wolf',100,1,1),
(299798,10048214,'Increases speed of caster by 24.0%',100,1,2),
(299799,10048214,'This effect suspends during combat',100,1,3),
(299800,10048214,'Only affects targets level 15 and above',100,1,4),
(299801,25030,'When Equipped:',100,0,0),
(299802,25030,'Increases Potency of caster by 5.0%',100,1,1),
(299803,10025030,'When Equipped:',100,0,0),
(299804,10025030,'Increases Potency of caster by 5.0%',100,1,1),
(299805,111482,'Increases AGI of caster by 44.5',100,1,0),
(299806,111482,'Increases Attack Speed of caster by 29.7',100,1,1),
(299807,111482,'Increases in-combat movement speed of caster by 7.0%',100,1,2),
(299808,111482,'Adds 21.8% to base avoidance.',100,1,3),
(299809,111482,'Increases Mitigation of caster vs physical damage by 402',100,1,4),
(299810,111482,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,5),
(299811,10111482,'Increases AGI of caster by 44.5',100,1,0),
(299812,10111482,'Increases Attack Speed of caster by 29.7',100,1,1),
(299813,10111482,'Increases speed of caster by 7.0%',100,1,2),
(299814,10111482,'Adds 21.8% to base avoidance.',100,1,3),
(299815,10111482,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,4),
(299816,102471,'Roots target',100,1,0),
(299817,102471,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(299818,102471,'Dazes target',100,2,2),
(299819,102471,'Blurs vision of target',100,2,3),
(299820,102471,'Dispelled when target takes damage',100,2,4),
(299821,102471,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(299822,102471,'5% chance to dispel when target takes damage',100,1,6),
(299823,102471,'Does not affect Epic targets',100,1,7),
(299824,102471,'Resistibility increases against targets higher than level 48.',100,1,8),
(299825,10102471,'Roots target',100,1,0),
(299826,10102471,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(299827,10102471,'Dazes target',100,2,2),
(299828,10102471,'Blurs vision of target',100,2,3),
(299829,10102471,'Dispelled when target takes damage',100,2,4),
(299830,10102471,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(299831,10102471,'5% chance to dispel when target takes damage',100,1,6),
(299832,10102471,'Does not affect Epic targets',100,1,7),
(299833,10102471,'Resistibility increases against targets higher than level 48.',100,1,8),
(299834,133800,'When Equipped:',100,0,0),
(299835,133800,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(299836,133800,'Wards caster against 1800 points of all damage',100,2,2),
(299837,133800,'This ward regenerates slowly over time.',100,2,3),
(299838,133800,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,4),
(299839,133800,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,5),
(299840,133800,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(299841,133800,'Must not be engaged in pvp combat',100,2,7),
(299842,133800,'Cannot be modified except by direct means',100,2,8),
(299843,133800,'Must not be engaged in pvp combat',100,1,9),
(299844,10133800,'When Equipped:',100,0,0),
(299845,10133800,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(299846,10133800,'Wards caster against 1800 points of all damage',100,2,2),
(299847,10133800,'This ward regenerates slowly over time.',100,2,3),
(299848,10133800,'Inflicts 6833 - 7552 piercing damage on target encounter',100,2,4),
(299849,10133800,'Inflicts 759 - 839 piercing damage on target encounter every 3 seconds',100,2,5),
(299850,10133800,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(299851,10133800,'Must not be engaged in pvp combat',100,2,7),
(299852,10133800,'Cannot be modified except by direct means',100,2,8),
(299853,10133800,'Must not be engaged in pvp combat',100,1,9),
(299854,48360,'Applies Stability when Activated.  Lasts for 1 minute.',100,0,0),
(299855,48360,'Makes caster immune to Stun effects',100,1,1),
(299856,48360,'Must not be engaged in pvp combat',100,1,2),
(299857,10048360,'Applies Stability when Activated.  Lasts for 1 minute.',100,0,0),
(299858,10048360,'Makes caster immune to Stun effects',100,1,1),
(299859,10048360,'Must not be engaged in pvp combat',100,1,2),
(299860,159947,'When Equipped:',100,0,0),
(299861,159947,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(299862,159947,'Increases AGI of caster by 19.8',100,2,2),
(299863,159947,'Increases Attack Speed of caster by 21.8',100,2,3),
(299864,159947,'Cannot be modified except by direct means',100,2,4),
(299865,10159947,'When Equipped:',100,0,0),
(299866,10159947,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(299867,10159947,'Increases AGI of caster by 19.8',100,2,2),
(299868,10159947,'Increases Attack Speed of caster by 21.8',100,2,3),
(299869,10159947,'Cannot be modified except by direct means',100,2,4),
(299870,71580,'When Equipped:',100,0,0),
(299871,71580,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299872,71580,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(299873,71580,'Cannot be modified except by direct means',100,2,3),
(299874,10071580,'When Equipped:',100,0,0),
(299875,10071580,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299876,10071580,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(299877,10071580,'Cannot be modified except by direct means',100,2,3),
(299878,70826,'When Equipped:',100,0,0),
(299879,70826,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299880,70826,'Inflicts 81 - 135 poison damage on target every 4.8 seconds',100,2,2),
(299881,70826,'Cannot be modified except by direct means',100,2,3),
(299882,10070826,'When Equipped:',100,0,0),
(299883,10070826,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(299884,10070826,'Inflicts 97 - 162 poison damage on target every 4.8 seconds',100,2,2),
(299885,10070826,'Cannot be modified except by direct means',100,2,3),
(299886,102649,'Inflicts 175 - 292 melee damage on target',100,1,0),
(299887,102649,'Inflicts 76 heat damage on target every 6 seconds',100,1,1),
(299888,10102649,'Inflicts 210 - 350 melee damage on target',100,1,0),
(299889,10102649,'Inflicts 91 heat damage on target every 6 seconds',100,1,1),
(299890,123667,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(299891,123667,'Slows target by 46.4%',100,2,1),
(299892,123667,'5% chance to dispel when target receives hostile action',100,2,2),
(299893,123667,'5% chance to dispel when target takes damage',100,2,3),
(299894,123667,'Inflicts 395 - 483 cold damage on target',100,1,4),
(299895,10123667,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(299896,10123667,'Slows target by 46.4%',100,2,1),
(299897,10123667,'5% chance to dispel when target receives hostile action',100,2,2),
(299898,10123667,'5% chance to dispel when target takes damage',100,2,3),
(299899,10123667,'Inflicts 407 - 497 cold damage on target',100,1,4),
(299900,115991,'Inflicts 328 - 491 mental damage on target',100,1,0),
(299901,115991,'Stuns target',100,1,1),
(299902,115991,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(299903,115991,'Resistibility increases against targets higher than level 108.',100,1,3),
(299904,10115991,'Inflicts 393 - 590 mental damage on target',100,1,0),
(299905,10115991,'Stuns target',100,1,1),
(299906,10115991,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(299907,10115991,'Resistibility increases against targets higher than level 108.',100,1,3),
(299908,117238,'Inflicts 19 slashing damage on target every 4 seconds',100,1,0),
(299909,117238,'Inflicts 94 - 158 melee damage on target',100,1,1),
(299910,10117238,'Inflicts 23 slashing damage on target every 4 seconds',100,1,0),
(299911,10117238,'Inflicts 113 - 189 melee damage on target',100,1,1),
(299912,117037,'Inflicts 18 - 30 melee damage on target',100,1,0),
(299913,117037,'Decreases Attack Speed of target by 10.8',100,1,1),
(299914,10117037,'Inflicts 22 - 36 melee damage on target',100,1,0),
(299915,10117037,'Decreases Attack Speed of target by 10.8',100,1,1),
(299916,46715,'Applies Blessing of Jin''tu when Activated.',100,0,0),
(299917,46715,'Teleports the caster to the Hua Mein Village. May be used from the inventory.',100,1,1),
(299918,10046715,'Applies Blessing of Jin''tu when Activated.',100,0,0),
(299919,10046715,'Teleports the caster to the Hua Mein Village. May be used from the inventory.',100,1,1),
(299920,115247,'Heals target for 101',100,1,0),
(299921,115247,'Heals target for 17 every second',100,1,1),
(299922,115247,'Dispels 23 levels of any hostile effects on target',100,1,2),
(299923,10115247,'Heals target for 66',100,1,0),
(299924,10115247,'Heals target for 11 every second',100,1,1),
(299925,10115247,'Dispels 23 levels of any hostile effects on target',100,1,2),
(299926,117298,'Inflicts 455 - 758 melee damage on target',100,1,0),
(299927,117298,'Decreases Damage Per Second of target by 18.0',100,1,1),
(299928,117298,'Decreases Attack Speed of target by 10.8',100,1,2),
(299929,10117298,'Inflicts 546 - 910 melee damage on target',100,1,0),
(299930,10117298,'Decreases Damage Per Second of target by 18.0',100,1,1),
(299931,10117298,'Decreases Attack Speed of target by 10.8',100,1,2),
(299932,80628,'When Equipped:',100,0,0),
(299933,80628,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(299934,80628,'Decreases Threat to target by 236 ',100,2,2),
(299935,80628,'Must be flanking or behind',100,3,3),
(299936,80628,'Increases Threat to target by 414 ',100,2,4),
(299937,80628,'Must be in front of',100,3,5),
(299938,80628,'Inflicts 56 - 103 magic damage on target',100,2,6),
(299939,80628,'Cannot be modified except by direct means',100,2,7),
(299940,10080628,'When Equipped:',100,0,0),
(299941,10080628,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(299942,10080628,'Inflicts 67 - 124 magic damage on target',100,2,2),
(299943,10080628,'Cannot be modified except by direct means',100,2,3),
(299944,80827,'When Equipped:',100,0,0),
(299945,80827,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299946,80827,'Inflicts 188 - 349 magic damage on target',100,2,2),
(299947,80827,'Cannot be modified except by direct means',100,2,3),
(299948,10080827,'When Equipped:',100,0,0),
(299949,10080827,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299950,10080827,'Inflicts 226 - 419 magic damage on target',100,2,2),
(299951,10080827,'Cannot be modified except by direct means',100,2,3),
(299952,117435,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(299953,117435,'Inflicts 276 - 513 melee damage on targets in area',100,2,1),
(299954,117435,'Grants a total of 10 triggers of the spell.',100,2,2),
(299955,10117435,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(299956,10117435,'Inflicts 332 - 616 melee damage on targets in area',100,2,1),
(299957,10117435,'Grants a total of 10 triggers of the spell.',100,2,2),
(299958,110806,'Inflicts 23 - 32 mental damage on target',100,1,0),
(299959,110806,'Interrupts target',100,1,1),
(299960,10110806,'Inflicts 28 - 38 mental damage on target',100,1,0),
(299961,10110806,'Interrupts target',100,1,1),
(299962,115890,'Inflicts 8 - 10 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(299963,10115890,'Inflicts 12 - 15 disease damage on target encounter',100,1,0),
(299964,10115890,'Inflicts 9 - 11 disease damage on target encounter every 3 seconds',100,1,1),
(299965,36608,'Increases STR and STA of target by 15.4',100,0,0),
(299966,36608,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(299967,115668,'Increases STR of caster by 15.5',100,1,0),
(299968,115668,'Decreases Defense of caster by 2.2',100,1,1),
(299969,115668,'Increases Slashing, Piercing and Crushing of caster by 6.2',100,1,2),
(299970,10115668,'Increases STR of caster by 15.5',100,1,0),
(299971,10115668,'Decreases Defense of caster by 2.2',100,1,1),
(299972,10115668,'Increases Slashing, Piercing and Crushing of caster by 6.2',100,1,2),
(299973,81464,'When Equipped:',100,0,0),
(299974,81464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299975,81464,'Inflicts 80 - 149 magic damage on target',100,2,2),
(299976,81464,'Cannot be modified except by direct means',100,2,3),
(299977,10081464,'When Equipped:',100,0,0),
(299978,10081464,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299979,10081464,'Inflicts 96 - 179 magic damage on target',100,2,2),
(299980,10081464,'Cannot be modified except by direct means',100,2,3),
(299981,114188,'Inflicts 94 - 157 melee damage on target',100,1,0),
(299982,114188,'Decreases Slashing, Crushing and Piercing of target by 4.1',100,1,1),
(299983,10114188,'Inflicts 113 - 188 melee damage on target',100,1,0),
(299984,10114188,'Decreases Slashing, Crushing and Piercing of target by 4.1',100,1,1),
(299985,103657,'Interrupts target',100,1,0),
(299986,103657,'Inflicts 20 - 33 melee damage on target',100,1,1),
(299987,103657,'Must be flanking or behind',100,1,2),
(299988,10103657,'Interrupts target',100,1,0),
(299989,10103657,'Inflicts 24 - 40 melee damage on target',100,1,1),
(299990,10103657,'Must be flanking or behind',100,1,2),
(299991,82348,'When Equipped:',100,0,0),
(299992,82348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299993,82348,'Inflicts 265 - 492 magic damage on target',100,2,2),
(299994,82348,'Cannot be modified except by direct means',100,2,3),
(299995,10082348,'When Equipped:',100,0,0),
(299996,10082348,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(299997,10082348,'Inflicts 318 - 591 magic damage on target',100,2,2),
(299998,10082348,'Cannot be modified except by direct means',100,2,3),
(299999,102733,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(300000,102733,'Stuns target',100,2,1),
(300001,102733,'If Target is not Epic',100,3,2),
(300002,102733,'Inflicts 96 - 160 divine damage on target',100,2,3),
(300003,102733,'Inflicts 82 - 137 divine damage on target',100,2,4),
(300004,102733,'If target is undead',100,3,5),
(300005,10102733,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(300006,10102733,'Stuns target',100,2,1),
(300007,10102733,'Inflicts 172 - 287 divine damage on target',100,2,2),
(300008,10102733,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(300009,191576,'When Equipped:',100,0,0),
(300010,191576,'When any damage is received this spell has a 7.5% chance to cast Startle on target''s attacker.  ',100,1,1),
(300011,191576,'Increases Threat to targets in Area of Effect by 409 - 683 ',100,2,2),
(300012,191576,'Cannot be modified except by direct means',100,2,3),
(300013,10191576,'When Equipped:',100,0,0),
(300014,10191576,'When any damage is received this spell has a 7.5% chance to cast Startle on target''s attacker.  ',100,1,1),
(300015,10191576,'Cannot be modified except by direct means',100,2,2),
(300016,191894,'When Equipped:',100,0,0),
(300017,191894,'Increases Attack Speed of caster by 40.0',100,1,1),
(300018,10191894,'When Equipped:',100,0,0),
(300019,10191894,'Increases Attack Speed of caster by 40.0',100,1,1),
(300020,119587,'Increases power of caster by 40 instantly and every 4 seconds',100,1,0),
(300021,10119587,'Increases power of caster by 40 instantly and every 4 seconds',100,1,0),
(300022,37145,'Increases STR of target by 4.3',100,0,0),
(300023,37145,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(300024,82187,'When Equipped:',100,0,0),
(300025,82187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300026,82187,'Inflicts 30 - 55 magic damage on target',100,2,2),
(300027,82187,'Cannot be modified except by direct means',100,2,3),
(300028,10082187,'When Equipped:',100,0,0),
(300029,10082187,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300030,10082187,'Inflicts 36 - 66 magic damage on target',100,2,2),
(300031,10082187,'Cannot be modified except by direct means',100,2,3),
(300032,53289,'When Equipped:',100,0,0),
(300033,53289,'When damaged in combat this spell has a 8% chance to cast Betraying Thoughts on target''s attacker.  ',100,1,1),
(300034,53289,'Decreases Threat to target by 500 ',100,2,2),
(300035,53289,'Cannot be modified except by direct means',100,2,3),
(300036,10053289,'When Equipped:',100,0,0),
(300037,10053289,'When damaged in combat this spell has a 8% chance to cast Betraying Thoughts on target''s attacker.  ',100,1,1),
(300038,10053289,'Forces target to clear their selected target.',100,2,2),
(300039,10053289,'Cannot be modified except by direct means',100,2,3),
(300040,107703,'Inflicts 205 - 342 heat damage on target',100,1,0),
(300041,107703,'You must be sneaking to use this ability.',100,1,1),
(300042,10107703,'Inflicts 246 - 410 heat damage on target',100,1,0),
(300043,10107703,'You must be sneaking to use this ability.',100,1,1),
(300044,113374,'Roots target',100,1,0),
(300045,113374,'Applies Stifle.  Lasts for 7.0 seconds.',100,1,1),
(300046,113374,'Stifles target',100,2,2),
(300047,113374,'Blurs vision of target',100,2,3),
(300048,113374,'Dispelled when target takes damage',100,2,4),
(300049,113374,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(300050,113374,'Resistibility increases against targets higher than level 76.',100,2,6),
(300051,113374,'5% chance to dispel when target takes damage',100,1,7),
(300052,113374,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,8),
(300053,113374,'Resistibility increases against targets higher than level 76.',100,1,9),
(300054,10113374,'Roots target',100,1,0),
(300055,10113374,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(300056,10113374,'Stifles target',100,2,2),
(300057,10113374,'Blurs vision of target',100,2,3),
(300058,10113374,'Dispelled when target takes damage',100,2,4),
(300059,10113374,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(300060,10113374,'Resistibility increases against targets higher than level 76.',100,2,6),
(300061,10113374,'5% chance to dispel when target takes damage',100,1,7),
(300062,10113374,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(300063,10113374,'Resistibility increases against targets higher than level 76.',100,1,9),
(300064,82374,'When Equipped:',100,0,0),
(300065,82374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300066,82374,'Inflicts 30 - 55 magic damage on target',100,2,2),
(300067,82374,'Cannot be modified except by direct means',100,2,3),
(300068,10082374,'When Equipped:',100,0,0),
(300069,10082374,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300070,10082374,'Inflicts 36 - 66 magic damage on target',100,2,2),
(300071,10082374,'Cannot be modified except by direct means',100,2,3),
(300072,124455,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(300073,124455,'Inflicts 266 - 444 melee damage on target',100,2,1),
(300074,124455,'Decreases Defense of caster by 17.7',100,1,2),
(300075,124455,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.5',100,1,3),
(300076,10124455,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(300077,10124455,'Inflicts 319 - 532 melee damage on target',100,2,1),
(300078,10124455,'Decreases Defense of caster by 17.7',100,1,2),
(300079,10124455,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.5',100,1,3),
(300080,117730,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(300081,117730,'Heals target for 569',100,2,1),
(300082,117730,'Increases Max Health of target by 402.8',100,2,2),
(300083,117730,'Grants a total of 1 trigger of the spell.',100,2,3),
(300084,10117730,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(300085,10117730,'Heals target for 370',100,2,1),
(300086,10117730,'Increases Max Health of target by 402.8',100,2,2),
(300087,10117730,'Grants a total of 1 trigger of the spell.',100,2,3),
(300088,111590,'Inflicts 16 - 30 cold damage on target instantly and every 4 seconds',100,1,0),
(300089,111590,'Decreases Mitigation of target vs elemental damage by 324',100,1,1),
(300090,10111590,'Inflicts 19 - 36 cold damage on target instantly and every 4 seconds',100,1,0),
(300091,10111590,'Decreases Mitigation of target vs elemental damage by 324',100,1,1),
(300092,107762,'Stuns target',100,1,0),
(300093,107762,'If Target is not Epic',100,2,1),
(300094,107762,'Inflicts 517 - 861 cold damage on target',100,1,2),
(300095,107762,'Resistibility increases against targets higher than level 87.',100,1,3),
(300096,10107762,'Stuns target',100,1,0),
(300097,10107762,'If Target is not Epic',100,2,1),
(300098,10107762,'Inflicts 620 - 1033 cold damage on target',100,1,2),
(300099,10107762,'Resistibility increases against targets higher than level 87.',100,1,3),
(300100,134506,'When Equipped:',100,0,0),
(300101,134506,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300102,134506,'Increases Potency of group members by 7.0%',100,2,2),
(300103,134506,'Cannot be modified except by direct means',100,2,3),
(300104,134506,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(300105,134506,'Increases Potency of group members by 7.0%',100,2,5),
(300106,134506,'Cannot be modified except by direct means',100,2,6),
(300107,134506,'Cannot be modified except by direct means',100,1,7),
(300108,10134506,'When Equipped:',100,0,0),
(300109,10134506,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300110,10134506,'Increases Potency of group members by 7.0%',100,2,2),
(300111,10134506,'Cannot be modified except by direct means',100,2,3),
(300112,10134506,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(300113,10134506,'Increases Potency of group members by 7.0%',100,2,5),
(300114,10134506,'Cannot be modified except by direct means',100,2,6),
(300115,10134506,'Cannot be modified except by direct means',100,1,7),
(300116,105979,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(300117,105979,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(300118,105979,'Inflicts 233 - 388 piercing damage on target',100,3,2),
(300119,105979,'Grants a total of 5 triggers of the spell.',100,3,3),
(300120,105979,'Grants a total of 1 trigger of the spell.',100,2,4),
(300121,10105979,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(300122,10105979,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(300123,10105979,'Inflicts 279 - 466 piercing damage on target',100,3,2),
(300124,10105979,'Grants a total of 5 triggers of the spell.',100,3,3),
(300125,10105979,'Grants a total of 1 trigger of the spell.',100,2,4),
(300126,74731,'When Equipped:',100,0,0),
(300127,74731,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300128,74731,'Inflicts 118 - 178 magic damage on target',100,2,2),
(300129,74731,'Cannot be modified except by direct means',100,2,3),
(300130,10074731,'When Equipped:',100,0,0),
(300131,10074731,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300132,10074731,'Inflicts 142 - 213 magic damage on target',100,2,2),
(300133,10074731,'Cannot be modified except by direct means',100,2,3),
(300134,122075,'Increases STA and INT of group members (AE) by 9.9',100,1,0),
(300135,10122075,'Increases STA and INT of group members (AE) by 9.9',100,1,0),
(300136,113056,'Dazes target',100,1,0),
(300137,113056,'If Target is not Epic',100,2,1),
(300138,113056,'Applies Scream on termination.',100,1,2),
(300139,113056,'Inflicts 89 - 148 disease damage on target',100,2,3),
(300140,113056,'Resistibility increases against targets higher than level 49.',100,1,4),
(300141,10113056,'Dazes target',100,1,0),
(300142,10113056,'If Target is not Epic',100,2,1),
(300143,10113056,'Applies Scream on termination.',100,1,2),
(300144,10113056,'Inflicts 107 - 178 disease damage on target',100,2,3),
(300145,10113056,'Resistibility increases against targets higher than level 49.',100,1,4),
(300146,105805,'Inflicts 554 - 678 heat damage on target',100,1,0),
(300147,10105805,'Inflicts 887 - 1084 heat damage on target',100,1,0),
(300148,71572,'When Equipped:',100,0,0),
(300149,71572,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300150,71572,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(300151,71572,'Cannot be modified except by direct means',100,2,3),
(300152,10071572,'When Equipped:',100,0,0),
(300153,10071572,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300154,10071572,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(300155,10071572,'Cannot be modified except by direct means',100,2,3),
(300156,115615,'Wards target against 1298 points of all damage',100,1,0),
(300157,10115615,'Wards target against 1947 points of all damage',100,1,0),
(300158,121026,'Increases AGI of target by 12.8',100,1,0),
(300159,121026,'Adds 0.6% to base avoidance.',100,1,1),
(300160,121026,'Increases In-Combat Power Regeneration of target by 6.4',100,1,2),
(300161,121026,'Increases Max Power of target by 78.4',100,1,3),
(300162,10121026,'Increases AGI of target by 12.8',100,1,0),
(300163,10121026,'Adds 0.6% to base avoidance.',100,1,1),
(300164,10121026,'Increases In-Combat Power Regeneration of target by 6.4',100,1,2),
(300165,10121026,'Increases Max Power of target by 78.4',100,1,3),
(300166,72197,'When Equipped:',100,0,0),
(300167,72197,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300168,72197,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(300169,72197,'Cannot be modified except by direct means',100,2,3),
(300170,10072197,'When Equipped:',100,0,0),
(300171,10072197,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300172,10072197,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(300173,10072197,'Cannot be modified except by direct means',100,2,3),
(300174,116256,'Summons a pet Illusion Ally',100,1,0),
(300175,10116256,'Summons a pet Illusion Ally',100,1,0),
(300176,109922,'Stuns target',100,1,0),
(300177,109922,'Does not affect Epic targets',100,1,1),
(300178,109922,'Resistibility increases against targets higher than level 45.',100,1,2),
(300179,10109922,'Stuns target',100,1,0),
(300180,10109922,'Does not affect Epic targets',100,1,1),
(300181,10109922,'Resistibility increases against targets higher than level 45.',100,1,2),
(300182,113045,'Decreases Damage Per Second of target by 29.1',100,1,0),
(300183,10113045,'Decreases Damage Per Second of target by 29.1',100,1,0),
(300184,107660,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1270',100,1,0),
(300185,10107660,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1270',100,1,0),
(300186,159042,'Applies Sanguine Imbued when Equipped.',100,0,0),
(300187,159042,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(300188,159042,'Inflicts 121 heat damage on target',100,2,2),
(300189,159042,'Cannot be modified except by direct means',100,2,3),
(300190,10159042,'Applies Sanguine Imbued when Equipped.',100,0,0),
(300191,10159042,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(300192,10159042,'Inflicts 145 heat damage on target',100,2,2),
(300193,10159042,'Cannot be modified except by direct means',100,2,3),
(300194,174537,'When Equipped:',100,0,0),
(300195,174537,'On a healing spell cast this spell may cast Reanimated Flesh on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(300196,174537,'When target is healed, they will receive an additional 225 healing.',100,2,2),
(300197,10174537,'When Equipped:',100,0,0),
(300198,10174537,'On a healing spell cast this spell may cast Reanimated Flesh on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(300199,10174537,'When target is healed, they will receive an additional 225 healing.',100,2,2),
(300200,114739,'Inflicts 1062 - 1770 melee damage on target',100,1,0),
(300201,114739,'You must be in stealth.',100,1,1),
(300202,10114739,'Inflicts 759 - 1266 melee damage on target',100,1,0),
(300203,10114739,'You must be in stealth.',100,1,1),
(300204,47631,'Applies Call Prankster''s Skystrider when Activated.',100,0,0),
(300205,47631,'Increases Ranged of caster by 5.0',100,1,1),
(300206,47631,'Summons a mount to ride',100,1,2),
(300207,47631,'Increases your ground speed by 60%',100,2,3),
(300208,47631,'Increases your air speed by 200%',100,2,4),
(300209,47631,'Increases Disruption, Piercing, Subjugation, Slashing, Ministration, Aggression, Ordination, Crushing and Focus of caster by 5.0',100,1,5),
(300210,10047631,'Applies Call Prankster''s Skystrider when Activated.',100,0,0),
(300211,10047631,'Increases Ranged of caster by 5.0',100,1,1),
(300212,10047631,'Summons a mount to ride',100,1,2),
(300213,10047631,'Increases your ground speed by 60%',100,2,3),
(300214,10047631,'Increases your air speed by 200%',100,2,4),
(300215,10047631,'Increases Disruption, Piercing, Subjugation, Slashing, Ministration, Aggression, Ordination, Crushing and Focus of caster by 5.0',100,1,5),
(300216,75047,'Applies Poison Bolt when Activated.',100,0,0),
(300217,75047,'Inflicts 303 - 504 poison damage on target',100,1,1),
(300218,75047,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(300219,10075047,'Applies Poison Bolt when Activated.',100,0,0),
(300220,10075047,'Inflicts 363 - 605 poison damage on target',100,1,1),
(300221,10075047,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(300222,71360,'When Equipped:',100,0,0),
(300223,71360,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300224,71360,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(300225,71360,'Cannot be modified except by direct means',100,2,3),
(300226,10071360,'When Equipped:',100,0,0),
(300227,10071360,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300228,10071360,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(300229,10071360,'Cannot be modified except by direct means',100,2,3),
(300230,43372,'When Equipped:',100,0,0),
(300231,43372,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300232,43372,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,2),
(300233,43372,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(300234,43372,'Must not be engaged in pvp combat',100,2,4),
(300235,43372,'Cannot be modified except by direct means',100,2,5),
(300236,43372,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(300237,43372,'Cannot be modified except by direct means',100,1,7),
(300238,10043372,'When Equipped:',100,0,0),
(300239,10043372,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300240,10043372,'Inflicts 4994 - 5520 heat damage on target encounter',100,2,2),
(300241,10043372,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(300242,10043372,'Must not be engaged in pvp combat',100,2,4),
(300243,10043372,'Cannot be modified except by direct means',100,2,5),
(300244,10043372,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(300245,10043372,'Cannot be modified except by direct means',100,1,7),
(300246,37547,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(300247,159586,'When Equipped:',100,0,0),
(300248,159586,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(300249,159586,'Increases AGI of caster by 7.6',100,2,2),
(300250,159586,'Increases Attack Speed of caster by 14.9',100,2,3),
(300251,159586,'Cannot be modified except by direct means',100,2,4),
(300252,10159586,'When Equipped:',100,0,0),
(300253,10159586,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(300254,10159586,'Increases AGI of caster by 7.6',100,2,2),
(300255,10159586,'Increases Attack Speed of caster by 14.9',100,2,3),
(300256,10159586,'Cannot be modified except by direct means',100,2,4),
(300257,105475,'Stuns target encounter',100,1,0),
(300258,105475,'If Target is not Epic',100,2,1),
(300259,105475,'Inflicts 169 - 313 poison damage on target encounter',100,1,2),
(300260,105475,'Resistibility increases against targets higher than level 65.',100,1,3),
(300261,10105475,'Stuns target encounter',100,1,0),
(300262,10105475,'If Target is not Epic',100,2,1),
(300263,10105475,'Inflicts 202 - 376 poison damage on target encounter',100,1,2),
(300264,10105475,'Resistibility increases against targets higher than level 65.',100,1,3),
(300265,110616,'Decreases Focus of target by 46.6',100,1,0),
(300266,110616,'Interrupts target',100,1,1),
(300267,110616,'Inflicts 202 - 606 crushing damage on target',100,1,2),
(300268,10110616,'Decreases Focus of target by 46.6',100,1,0),
(300269,10110616,'Interrupts target',100,1,1),
(300270,10110616,'Inflicts 242 - 727 crushing damage on target',100,1,2),
(300271,122017,'Increases Threat to target by 42 - 51 ',100,1,0),
(300272,122017,'Inflicts 3 - 6 melee damage on target',100,1,1),
(300273,10122017,'Forces target to change their selected target to caster.',100,1,0),
(300274,10122017,'Inflicts 4 - 7 melee damage on target',100,1,1),
(300275,122351,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(300276,122351,'Inflicts 11 - 13 piercing damage on target',100,2,1),
(300277,10122351,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(300278,10122351,'Inflicts 13 - 16 piercing damage on target',100,2,1),
(300279,112141,'Dispels 84 levels of physical and arcane hostile effects on caster',100,1,0),
(300280,10112141,'Dispels 84 levels of physical and arcane hostile effects on caster',100,1,0),
(300281,105189,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(300282,105189,'Inflicts 95 - 116 poison damage on target encounter',100,2,1),
(300283,10105189,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(300284,10105189,'Inflicts 114 - 139 poison damage on target encounter',100,2,1),
(300285,24453,'Adds Iksar Skeleton (Templar) to your Dungeon Maker toolbox',100,0,0),
(300286,10024453,'Adds Iksar Skeleton (Templar) to your Dungeon Maker toolbox',100,0,0),
(300287,27191,'When Equipped:',100,0,0),
(300288,27191,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(300289,27191,'Decreases Threat to target encounter by 1,617 ',100,2,2),
(300290,27191,'Cannot be modified except by direct means',100,2,3),
(300291,10027191,'When Equipped:',100,0,0),
(300292,10027191,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(300293,10027191,'Cannot be modified except by direct means',100,2,2),
(300294,80042,'Applies Fire Ball when Activated.',100,0,0),
(300295,80042,'Inflicts 178 - 297 heat damage on target',100,1,1),
(300296,80042,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(300297,10080042,'Applies Fire Ball when Activated.',100,0,0),
(300298,10080042,'Inflicts 214 - 356 heat damage on target',100,1,1),
(300299,10080042,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(300300,47072,'Applies Call Mistrunner when Activated.',100,0,0),
(300301,47072,'Increases Mitigation of caster vs elemental and arcane damage by 200',100,1,1),
(300302,47072,'Summons a mount to ride',100,1,2),
(300303,47072,'Increases your ground speed by 130%',100,2,3),
(300304,47072,'Increases Mitigation of caster vs noxious damage by 200',100,1,4),
(300305,47072,'Requires good alignment',100,1,5),
(300306,10047072,'Applies Call Mistrunner when Activated.',100,0,0),
(300307,10047072,'Increases Mitigation of caster vs elemental and arcane damage by 200',100,1,1),
(300308,10047072,'Summons a mount to ride',100,1,2),
(300309,10047072,'Increases your ground speed by 130%',100,2,3),
(300310,10047072,'Increases Mitigation of caster vs noxious damage by 200',100,1,4),
(300311,10047072,'Requires good alignment',100,1,5),
(300312,170685,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(300313,170685,'Decreases Mitigation of target vs physical damage by 405',100,1,1),
(300314,170685,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(300315,10170685,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(300316,10170685,'Decreases Mitigation of target vs physical damage by 405',100,1,1),
(300317,10170685,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(300318,109700,'Inflicts 262 - 320 cold damage on target instantly and every 3 seconds',100,1,0),
(300319,10109700,'Inflicts 314 - 384 cold damage on target instantly and every 3 seconds',100,1,0),
(300320,36323,'Increases STA and WIS of target by 66.0',100,0,0),
(300321,36323,'Increases Out-of-Combat Health Regeneration of target by 212.8',100,0,1),
(300322,36323,'Increases outgoing heal and ward amount by 2%',100,0,2),
(300323,135226,'When Equipped:',100,0,0),
(300324,135226,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(300325,10135226,'When Equipped:',100,0,0),
(300326,10135226,'Grants a 2.0% chance to resist Fear effects',100,1,1),
(300327,115625,'Wards target against 2912 points of all damage',100,1,0),
(300328,10115625,'Wards target against 4368 points of all damage',100,1,0),
(300329,107943,'Mesmerizes target',100,1,0),
(300330,107943,'Prevents AOE (except when direct) ',100,1,1),
(300331,107943,'Dispelled when target takes damage',100,1,2),
(300332,107943,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(300333,107943,'Resistibility increases against targets higher than level 106.',100,1,4),
(300334,10107943,'Mesmerizes target',100,1,0),
(300335,10107943,'Prevents AOE (except when direct) ',100,1,1),
(300336,10107943,'Dispelled when target takes damage',100,1,2),
(300337,10107943,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(300338,10107943,'Resistibility increases against targets higher than level 106.',100,1,4),
(300339,45183,'Applies Antana''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(300340,45183,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(300341,10045183,'Applies Antana''s Safeguard when Activated.  Lasts for 30 minutes.',100,0,0),
(300342,10045183,'Increases Mitigation of caster vs arcane damage by 300',100,1,1),
(300343,116888,'Wards group members (AE) against 1900 points of noxious damage',100,1,0),
(300344,116888,'Increases Mitigation of group members (AE) vs noxious damage by 1044',100,1,1),
(300345,10116888,'Wards group members (AE) against 1900 points of noxious damage',100,1,0),
(300346,10116888,'Increases Mitigation of group members (AE) vs noxious damage by 1044',100,1,1),
(300347,110117,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(300348,110117,'Inflicts 53 disease damage on target',100,2,1),
(300349,110117,'Heals caster for 43',100,2,2),
(300350,110117,'Decreases INT of target by 165.0',100,1,3),
(300351,110117,'Decreases Attack Speed of target by 25.0',100,1,4),
(300352,110117,'Increases Max Health of target by 16.0%',100,1,5),
(300353,110117,'Increases Hate Gain of target by 46.0%',100,1,6),
(300354,110117,'Increases Aggression of target by 20.0',100,1,7),
(300355,110117,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(300356,110117,'Increases Threat to target encounter by 212 - 259 ',100,2,9),
(300357,110117,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1280',100,1,10),
(300358,10110117,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(300359,10110117,'Inflicts 68 disease damage on target',100,2,1),
(300360,10110117,'Heals caster for 28',100,2,2),
(300361,10110117,'Decreases INT of target by 165.0',100,1,3),
(300362,10110117,'Decreases Attack Speed of target by 25.0',100,1,4),
(300363,10110117,'Increases Max Health of target by 16.0%',100,1,5),
(300364,10110117,'Increases Aggression of target by 20.0',100,1,6),
(300365,10110117,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1280',100,1,7),
(300366,103054,'Inflicts 41 magic damage on target instantly and every 4 seconds',100,1,0),
(300367,103054,'Increases power of caster by 23 instantly and every 4 seconds',100,1,1),
(300368,10103054,'Inflicts 54 magic damage on target instantly and every 4 seconds',100,1,0),
(300369,10103054,'Increases power of caster by 23 instantly and every 4 seconds',100,1,1),
(300370,46890,'Applies trauma remedy when Activated.',100,0,0),
(300371,46890,'Dispels 68 levels of physical hostile effects on caster',100,1,1),
(300372,10046890,'Applies trauma remedy when Activated.',100,0,0),
(300373,10046890,'Dispels 68 levels of physical hostile effects on caster',100,1,1),
(300374,102087,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(300375,102087,'Blurs vision of target',100,2,1),
(300376,102087,'Stuns target',100,2,2),
(300377,102087,'Throws target back',100,2,3),
(300378,102087,'Does not affect Epic targets',100,2,4),
(300379,102087,'Inflicts 20 - 34 crushing damage on target',100,1,5),
(300380,10102087,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(300381,10102087,'Blurs vision of target',100,2,1),
(300382,10102087,'Stuns target',100,2,2),
(300383,10102087,'Throws target back',100,2,3),
(300384,10102087,'Does not affect Epic targets',100,2,4),
(300385,10102087,'Inflicts 26 - 44 crushing damage on target',100,1,5),
(300386,102675,'Inflicts 229 divine damage on target encounter',100,1,0),
(300387,10102675,'Inflicts 297 divine damage on target encounter',100,1,0),
(300388,159778,'When Equipped:',100,0,0),
(300389,159778,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300390,159778,'Increases STR of caster by 5.1',100,2,2),
(300391,159778,'Increases Damage Per Second of caster by 15.2',100,2,3),
(300392,159778,'Cannot be modified except by direct means',100,2,4),
(300393,10159778,'When Equipped:',100,0,0),
(300394,10159778,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300395,10159778,'Increases STR of caster by 5.1',100,2,2),
(300396,10159778,'Increases Damage Per Second of caster by 15.2',100,2,3),
(300397,10159778,'Cannot be modified except by direct means',100,2,4),
(300398,117104,'Mesmerizes target encounter',100,1,0),
(300399,117104,'Prevents AOE (except when direct) ',100,1,1),
(300400,117104,'Dispelled when target takes damage',100,1,2),
(300401,117104,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(300402,117104,'Resistibility increases against targets higher than level 82.',100,1,4),
(300403,10117104,'Mesmerizes target encounter',100,1,0),
(300404,10117104,'Prevents AOE (except when direct) ',100,1,1),
(300405,10117104,'Dispelled when target takes damage',100,1,2),
(300406,10117104,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(300407,10117104,'Resistibility increases against targets higher than level 82.',100,1,4),
(300408,143549,'When Equipped:',100,0,0),
(300409,143549,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(300410,143549,'Inflicts 2664 disease damage on target encounter',100,2,2),
(300411,143549,'Must not be engaged in pvp combat',100,2,3),
(300412,143549,'Cannot be modified except by direct means',100,2,4),
(300413,10143549,'When Equipped:',100,0,0),
(300414,10143549,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(300415,10143549,'Inflicts 1732 disease damage on target encounter',100,2,2),
(300416,10143549,'Must not be engaged in pvp combat',100,2,3),
(300417,10143549,'Cannot be modified except by direct means',100,2,4),
(300418,47626,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(300419,47626,'Increases Attack Speed of caster by 28.1',100,1,1),
(300420,10047626,'Applies Frenzied Badger when Activated.  Lasts for 36.0 seconds.',100,0,0),
(300421,10047626,'Increases Attack Speed of caster by 28.1',100,1,1),
(300422,111729,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(300423,111729,'Inflicts 248 - 303 cold damage on target',100,2,1),
(300424,111729,'Grants a total of 3 triggers of the spell.',100,2,2),
(300425,10111729,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(300426,10111729,'Inflicts 322 - 394 cold damage on target',100,2,1),
(300427,10111729,'Grants a total of 3 triggers of the spell.',100,2,2),
(300428,178892,'When Equipped:',100,0,0),
(300429,178892,'Reduces maximum falling speed of caster',100,1,1),
(300430,178892,'Applies Spirit of Al''Kabor when Activated.  Lasts for 1 hour.',100,0,2),
(300431,178892,'Shapechanges caster into an erudite',100,1,3),
(300432,178892,'The casting time of Spirit of Al''Kabor is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(300433,10178892,'When Equipped:',100,0,0),
(300434,10178892,'Reduces maximum falling speed of caster',100,1,1),
(300435,10178892,'Applies Spirit of Al''Kabor when Activated.  Lasts for 1 hour.',100,0,2),
(300436,10178892,'Shapechanges caster into an erudite',100,1,3),
(300437,10178892,'The casting time of Spirit of Al''Kabor is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(300438,26140,'When Equipped:',100,0,0),
(300439,26140,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(300440,26140,'Adds an additional two ticks to Tranquility III.',100,1,2),
(300441,10026140,'When Equipped:',100,0,0),
(300442,10026140,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(300443,10026140,'Adds an additional two ticks to Tranquility III.',100,1,2),
(300444,118546,'Inflicts 560 - 933 melee damage on target',100,1,0),
(300445,118546,'Decreases STR of target by 84.7',100,1,1),
(300446,118546,'You must be sneaking to use this ability.',100,1,2),
(300447,10118546,'Inflicts 728 - 1213 melee damage on target',100,1,0),
(300448,10118546,'Decreases STR of target by 84.7',100,1,1),
(300449,10118546,'You must be sneaking to use this ability.',100,1,2),
(300450,36692,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(300451,107937,'Mesmerizes target',100,1,0),
(300452,107937,'Prevents AOE (except when direct) ',100,1,1),
(300453,107937,'Dispelled when target takes damage',100,1,2),
(300454,107937,'Epic targets gain an immunity to Mesmerize effects of 2 minutes and duration is reduced to 13.3 seconds.',100,1,3),
(300455,107937,'Resistibility increases against targets higher than level 95.',100,1,4),
(300456,10107937,'Mesmerizes target',100,1,0),
(300457,10107937,'Prevents AOE (except when direct) ',100,1,1),
(300458,10107937,'Dispelled when target takes damage',100,1,2),
(300459,10107937,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(300460,10107937,'Resistibility increases against targets higher than level 95.',100,1,4),
(300461,115404,'Inflicts 302 - 504 melee damage on target',100,1,0),
(300462,115404,'Decreases INT of target by 56.7',100,1,1),
(300463,115404,'You must be sneaking to use this ability.',100,1,2),
(300464,10115404,'Inflicts 393 - 655 melee damage on target',100,1,0),
(300465,10115404,'Decreases INT of target by 56.7',100,1,1),
(300466,10115404,'You must be sneaking to use this ability.',100,1,2),
(300467,119419,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(300468,119419,'Blurs vision of target',100,2,1),
(300469,119419,'Stuns target',100,2,2),
(300470,119419,'Throws target back',100,2,3),
(300471,119419,'Does not affect Epic targets',100,2,4),
(300472,119419,'Inflicts 282 - 471 melee damage on target',100,1,5),
(300473,119419,'You must be sneaking to use this ability.',100,1,6),
(300474,10119419,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(300475,10119419,'Blurs vision of target',100,2,1),
(300476,10119419,'Stuns target',100,2,2),
(300477,10119419,'Throws target back',100,2,3),
(300478,10119419,'Does not affect Epic targets',100,2,4),
(300479,10119419,'Inflicts 367 - 612 melee damage on target',100,1,5),
(300480,10119419,'You must be sneaking to use this ability.',100,1,6),
(300481,75496,'When Equipped:',100,0,0),
(300482,75496,'On a critical healing spell cast this spell may cast Shielding Ripple on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300483,75496,'Heals target for 29 - 32 instantly and every 2 seconds',100,2,2),
(300484,75496,'Wards target against 100 points of all damage',100,2,3),
(300485,75496,'Must not be engaged in pvp combat',100,2,4),
(300486,75496,'Cannot be modified except by direct means',100,2,5),
(300487,75496,'Must not be engaged in pvp combat',100,1,6),
(300488,10075496,'When Equipped:',100,0,0),
(300489,10075496,'On a critical healing spell cast this spell may cast Shielding Ripple on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300490,10075496,'Heals target for 19 - 20 instantly and every 2 seconds',100,2,2),
(300491,10075496,'Wards target against 100 points of all damage',100,2,3),
(300492,10075496,'Must not be engaged in pvp combat',100,2,4),
(300493,10075496,'Cannot be modified except by direct means',100,2,5),
(300494,10075496,'Must not be engaged in pvp combat',100,1,6),
(300495,176573,'When Equipped:',100,0,0),
(300496,176573,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(300497,176573,'Heals group members (AE) for 875',100,2,2),
(300498,176573,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(300499,176573,'Must not be engaged in pvp combat',100,2,4),
(300500,176573,'Cannot be modified except by direct means',100,2,5),
(300501,176573,'Must not be engaged in pvp combat',100,1,6),
(300502,10176573,'When Equipped:',100,0,0),
(300503,10176573,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(300504,10176573,'Heals group members (AE) for 1024',100,2,2),
(300505,10176573,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(300506,10176573,'Must not be engaged in pvp combat',100,2,4),
(300507,10176573,'Cannot be modified except by direct means',100,2,5),
(300508,10176573,'Must not be engaged in pvp combat',100,1,6),
(300509,118991,'Heals target for 254 - 310',100,1,0),
(300510,10118991,'Heals target for 270 - 330',100,1,0),
(300511,25294,'When Equipped:',100,0,0),
(300512,25294,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(300513,25294,'Improves the base damage of Ball of Fire VI by 15%.',100,1,2),
(300514,10025294,'When Equipped:',100,0,0),
(300515,10025294,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(300516,10025294,'Improves the base damage of Ball of Fire VI by 15%.',100,1,2),
(300517,143019,'When Equipped:',100,0,0),
(300518,143019,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300519,143019,'Wards caster against 300 points of all damage',100,2,2),
(300520,143019,'Cannot be modified except by direct means',100,2,3),
(300521,143019,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(300522,10143019,'When Equipped:',100,0,0),
(300523,10143019,'On a healing spell cast this spell may cast Lesser Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(300524,10143019,'Wards caster against 300 points of all damage',100,2,2),
(300525,10143019,'Cannot be modified except by direct means',100,2,3),
(300526,10143019,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(300527,35609,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(300528,134691,'When Equipped:',100,0,0),
(300529,134691,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(300530,10134691,'When Equipped:',100,0,0),
(300531,10134691,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(300532,102416,'Inflicts 791 - 1469 melee damage on targets in area',100,1,0),
(300533,10102416,'Inflicts 1028 - 1910 melee damage on targets in area',100,1,0),
(300534,102795,'Increases STR of caster by 77.4',100,1,0),
(300535,102795,'Increases Max Health of caster by 459.9',100,1,1),
(300536,102795,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1943',100,1,2),
(300537,10102795,'Increases STR of caster by 77.4',100,1,0),
(300538,10102795,'Increases Max Health of caster by 459.9',100,1,1),
(300539,10102795,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1943',100,1,2),
(300540,121635,'Inflicts 558 - 1674 melee damage on target',100,1,0),
(300541,121635,'Dazes target',100,1,1),
(300542,121635,'If Target is not Epic',100,2,2),
(300543,121635,'Must be flanking or behind',100,1,3),
(300544,121635,'Resistibility increases against targets higher than level 112.',100,1,4),
(300545,10121635,'Inflicts 725 - 2177 melee damage on target',100,1,0),
(300546,10121635,'Dazes target',100,1,1),
(300547,10121635,'If Target is not Epic',100,2,2),
(300548,10121635,'Must be flanking or behind',100,1,3),
(300549,10121635,'Resistibility increases against targets higher than level 112.',100,1,4),
(300550,116701,'Heals group members (AE) for 12.3 - 15.1% of max health',100,1,0),
(300551,116701,'This effect cannot be critically applied.',100,2,1),
(300552,116701,'Increases Max Health of group members (AE) by 1,131.2',100,1,2),
(300553,116701,'The healing of this spell cannot be modified except by direct means',100,1,3),
(300554,10116701,'Heals group members (AE) for 7.0 - 8.5% of max health',100,1,0),
(300555,10116701,'This effect cannot be critically applied.',100,2,1),
(300556,10116701,'Increases Max Health of group members (AE) by 1,131.2',100,1,2),
(300557,10116701,'The healing of this spell cannot be modified except by direct means',100,1,3),
(300558,114918,'Inflicts 245 - 409 melee damage on target',100,1,0),
(300559,114918,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 912',100,1,1),
(300560,114918,'Must be behind',100,1,2),
(300561,10114918,'Inflicts 319 - 531 melee damage on target',100,1,0),
(300562,10114918,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 456',100,1,1),
(300563,10114918,'Must be behind',100,1,2),
(300564,72122,'When Equipped:',100,0,0),
(300565,72122,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300566,72122,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(300567,72122,'Cannot be modified except by direct means',100,2,3),
(300568,10072122,'When Equipped:',100,0,0),
(300569,10072122,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300570,10072122,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(300571,10072122,'Cannot be modified except by direct means',100,2,3),
(300572,74750,'When Equipped:',100,0,0),
(300573,74750,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300574,74750,'Inflicts 64 - 96 magic damage on target',100,2,2),
(300575,74750,'Cannot be modified except by direct means',100,2,3),
(300576,10074750,'When Equipped:',100,0,0),
(300577,10074750,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300578,10074750,'Inflicts 83 - 125 magic damage on target',100,2,2),
(300579,10074750,'Cannot be modified except by direct means',100,2,3),
(300580,46581,'Applies noxious remedy when Activated.',100,0,0),
(300581,46581,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(300582,10046581,'Applies noxious remedy when Activated.',100,0,0),
(300583,10046581,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(300584,100735,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(300585,100735,'Increases Mitigation of group members (AE) vs noxious damage by 1521',100,1,1),
(300586,10100735,'Increases Max Health of group members (AE) by 424.9',100,1,0),
(300587,10100735,'Increases Mitigation of group members (AE) vs noxious damage by 1521',100,1,1),
(300588,27280,'When Equipped:',100,0,0),
(300589,27280,'Increases Attack Speed of caster by 3.0',100,1,1),
(300590,10027280,'When Equipped:',100,0,0),
(300591,10027280,'Increases Attack Speed of caster by 3.0',100,1,1),
(300592,54065,'When Equipped:',100,0,0),
(300593,54065,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(300594,10054065,'When Equipped:',100,0,0),
(300595,10054065,'Increases In-Combat Power Regeneration of caster by 7.0',100,1,1),
(300596,108564,'Makes target afraid',100,1,0),
(300597,108564,'30% chance to dispel when target takes damage',100,1,1),
(300598,108564,'Does not affect Epic targets',100,1,2),
(300599,108564,'Resistibility increases against targets higher than level 106.',100,1,3),
(300600,10108564,'Makes target afraid',100,1,0),
(300601,10108564,'30% chance to dispel when target takes damage',100,1,1),
(300602,10108564,'Does not affect Epic targets',100,1,2),
(300603,10108564,'Resistibility increases against targets higher than level 106.',100,1,3),
(300604,144610,'When Equipped:',100,0,0),
(300605,144610,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(300606,144610,'Must be engaged in pvp combat',100,1,2),
(300607,10144610,'When Equipped:',100,0,0),
(300608,10144610,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(300609,10144610,'Must be engaged in pvp combat',100,1,2),
(300610,86484,'Applies Disease Blast when Activated.',100,0,0),
(300611,86484,'Inflicts 238 - 397 disease damage on target',100,1,1),
(300612,86484,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(300613,10086484,'Applies Disease Blast when Activated.',100,0,0),
(300614,10086484,'Inflicts 310 - 517 disease damage on target',100,1,1),
(300615,10086484,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(300616,106928,'Inflicts 93 - 173 poison damage on target',100,1,0),
(300617,10106928,'Inflicts 121 - 225 poison damage on target',100,1,0),
(300618,177492,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(300619,177492,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(300620,177492,'Inflicts 72 heat damage on target',100,2,2),
(300621,177492,'Cannot be modified except by direct means',100,2,3),
(300622,10177492,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(300623,10177492,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(300624,10177492,'Inflicts 94 heat damage on target',100,2,2),
(300625,10177492,'Cannot be modified except by direct means',100,2,3),
(300626,46096,'Applies Elixir of Poison Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(300627,46096,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(300628,10046096,'Applies Elixir of Poison Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(300629,10046096,'Increases Mitigation of caster vs noxious damage by 60',100,1,1),
(300630,108914,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(300631,108914,'Inflicts 8 heat damage on target',100,2,1),
(300632,10108914,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(300633,10108914,'Inflicts 10 heat damage on target',100,2,1),
(300634,108705,'Inflicts 640 heat damage on target',100,1,0),
(300635,108705,'Inflicts 143 heat damage on target every 4 seconds',100,1,1),
(300636,10108705,'Inflicts 1165 heat damage on target',100,1,0),
(300637,10108705,'Inflicts 186 heat damage on target every 4 seconds',100,1,1),
(300638,109178,'Roots target',100,1,0),
(300639,109178,'Applies Blind.  Lasts for 7.0 seconds.',100,1,1),
(300640,109178,'Dazes target',100,2,2),
(300641,109178,'Blurs vision of target',100,2,3),
(300642,109178,'Dispelled when target takes damage',100,2,4),
(300643,109178,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(300644,109178,'5% chance to dispel when target takes damage',100,1,6),
(300645,109178,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,7),
(300646,109178,'Resistibility increases against targets higher than level 76.',100,1,8),
(300647,10109178,'Roots target',100,1,0),
(300648,10109178,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(300649,10109178,'Dazes target',100,2,2),
(300650,10109178,'Blurs vision of target',100,2,3),
(300651,10109178,'Dispelled when target takes damage',100,2,4),
(300652,10109178,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(300653,10109178,'5% chance to dispel when target takes damage',100,1,6),
(300654,10109178,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(300655,10109178,'Resistibility increases against targets higher than level 76.',100,1,8),
(300656,103786,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 10.9',100,1,0),
(300657,10103786,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 10.9',100,1,0),
(300658,107311,'Decreases WIS of target by 27.8',100,1,0),
(300659,107311,'Decreases Defense of target by 10.8',100,1,1),
(300660,10107311,'Decreases WIS of target by 27.8',100,1,0),
(300661,10107311,'Decreases Defense of target by 10.8',100,1,1),
(300662,37454,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(300663,123761,'Decreases Mitigation of target vs noxious damage by 506',100,1,0),
(300664,123761,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(300665,123761,'Slows target by 38.1%',100,2,2),
(300666,123761,'5% chance to dispel when target receives hostile action',100,2,3),
(300667,123761,'5% chance to dispel when target takes damage',100,2,4),
(300668,10123761,'Decreases Mitigation of target vs noxious damage by 506',100,1,0),
(300669,10123761,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(300670,10123761,'Slows target by 38.1%',100,2,2),
(300671,10123761,'5% chance to dispel when target receives hostile action',100,2,3),
(300672,10123761,'5% chance to dispel when target takes damage',100,2,4),
(300673,122930,'Inflicts 9 - 13 mental damage on target',100,1,0),
(300674,10122930,'Inflicts 12 - 16 mental damage on target',100,1,0),
(300675,84115,'When Equipped:',100,0,0),
(300676,84115,'On a combat hit this spell may cast Cleanse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300677,84115,'Dispels 75 - 91 levels of any beneficial effects on target',100,2,2),
(300678,84115,'Cannot be modified except by direct means',100,2,3),
(300679,10084115,'When Equipped:',100,0,0),
(300680,10084115,'On a combat hit this spell may cast Cleanse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300681,10084115,'Dispels 75 - 91 levels of any beneficial effects on target',100,2,2),
(300682,10084115,'Cannot be modified except by direct means',100,2,3),
(300683,119213,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(300684,119213,'Blurs vision of target',100,2,1),
(300685,119213,'Stuns target',100,2,2),
(300686,119213,'Throws target back',100,2,3),
(300687,119213,'Does not affect Epic targets',100,2,4),
(300688,119213,'Inflicts 72 - 217 magic damage on targets in Area of Effect',100,1,5),
(300689,10119213,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(300690,10119213,'Blurs vision of target',100,2,1),
(300691,10119213,'Stuns target',100,2,2),
(300692,10119213,'Throws target back',100,2,3),
(300693,10119213,'Does not affect Epic targets',100,2,4),
(300694,10119213,'Inflicts 94 - 282 magic damage on targets in Area of Effect',100,1,5),
(300695,104947,'Inflicts 493 - 822 melee damage on target',100,1,0),
(300696,104947,'Decreases Defense of target by 31.7',100,1,1),
(300697,104947,'Must be behind',100,1,2),
(300698,10104947,'Inflicts 641 - 1068 melee damage on target',100,1,0),
(300699,10104947,'Decreases Defense of target by 31.7',100,1,1),
(300700,10104947,'Must be behind',100,1,2),
(300701,71881,'When Equipped:',100,0,0),
(300702,71881,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300703,71881,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(300704,71881,'Cannot be modified except by direct means',100,2,3),
(300705,10071881,'When Equipped:',100,0,0),
(300706,10071881,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300707,10071881,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(300708,10071881,'Cannot be modified except by direct means',100,2,3),
(300709,191627,'When Equipped:',100,0,0),
(300710,191627,'This effect will not stack with itself.',100,1,1),
(300711,191627,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(300712,191627,'Heals target for 277 - 306 instantly and every 2 seconds',100,2,3),
(300713,191627,'Wards target against 4000 points of all damage',100,2,4),
(300714,191627,'Replenishes 300 points of absorption every 2 seconds.',100,2,5),
(300715,191627,'Must not be engaged in pvp combat',100,2,6),
(300716,191627,'Cannot be modified except by direct means',100,2,7),
(300717,191627,'Must not be engaged in pvp combat',100,1,8),
(300718,191627,'When Equipped:',100,0,9),
(300719,191627,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(300720,191627,'Heals group members (AE) for 2624',100,2,11),
(300721,191627,'Heals group members (AE) for 875 every 5 seconds',100,2,12),
(300722,191627,'Must not be engaged in pvp combat',100,2,13),
(300723,191627,'Cannot be modified except by direct means',100,2,14),
(300724,191627,'Must not be engaged in pvp combat',100,1,15),
(300725,10191627,'When Equipped:',100,0,0),
(300726,10191627,'This effect will not stack with itself.',100,1,1),
(300727,10191627,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(300728,10191627,'Heals target for 324 - 358 instantly and every 2 seconds',100,2,3),
(300729,10191627,'Wards target against 4000 points of all damage',100,2,4),
(300730,10191627,'Replenishes 300 points of absorption every 2 seconds.',100,2,5),
(300731,10191627,'Must not be engaged in pvp combat',100,2,6),
(300732,10191627,'Cannot be modified except by direct means',100,2,7),
(300733,10191627,'Must not be engaged in pvp combat',100,1,8),
(300734,10191627,'When Equipped:',100,0,9),
(300735,10191627,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(300736,10191627,'Heals group members (AE) for 3071',100,2,11),
(300737,10191627,'Heals group members (AE) for 1024 every 5 seconds',100,2,12),
(300738,10191627,'Must not be engaged in pvp combat',100,2,13),
(300739,10191627,'Cannot be modified except by direct means',100,2,14),
(300740,10191627,'Must not be engaged in pvp combat',100,1,15),
(300741,111539,'Increases Hate Gain of target by 23.3%',100,1,0),
(300742,111539,'Increases Aggression of target by 16.6',100,1,1),
(300743,10111539,'Increases STR of target by 43.0',100,1,0),
(300744,10111539,'Increases Aggression of target by 16.6',100,1,1),
(300745,124803,'Increases STR of caster by 150.4',100,1,0),
(300746,124803,'Decreases Defense of caster by 18.0',100,1,1),
(300747,124803,'Increases Crushing, Piercing, Slashing and Disruption of caster by 43.2',100,1,2),
(300748,10124803,'Increases STR of caster by 150.4',100,1,0),
(300749,10124803,'Decreases Defense of caster by 18.0',100,1,1),
(300750,10124803,'Increases Crushing, Piercing, Slashing and Disruption of caster by 43.2',100,1,2),
(300751,89795,'When Equipped:',100,0,0),
(300752,89795,'This effect will not stack with any rank or tier of itself.',100,1,1),
(300753,89795,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(300754,89795,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(300755,89795,'Inflicts 201 - 222 piercing damage on target',100,3,4),
(300756,89795,'Must not be engaged in pvp combat',100,3,5),
(300757,89795,'Cannot be modified except by direct means',100,3,6),
(300758,89795,'Must not be engaged in pvp combat',100,2,7),
(300759,89795,'Cannot be modified except by direct means',100,2,8),
(300760,89795,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(300761,89795,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(300762,89795,'Inflicts 201 - 222 piercing damage on target',100,3,11),
(300763,89795,'Must not be engaged in pvp combat',100,3,12),
(300764,89795,'Cannot be modified except by direct means',100,3,13),
(300765,89795,'Must not be engaged in pvp combat',100,2,14),
(300766,89795,'Cannot be modified except by direct means',100,2,15),
(300767,89795,'Cannot be modified except by direct means',100,1,16),
(300768,10089795,'When Equipped:',100,0,0),
(300769,10089795,'This effect will not stack with any rank or tier of itself.',100,1,1),
(300770,10089795,'On any combat or spell hit this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(300771,10089795,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,3),
(300772,10089795,'Inflicts 261 - 289 piercing damage on target',100,3,4),
(300773,10089795,'Must not be engaged in pvp combat',100,3,5),
(300774,10089795,'Cannot be modified except by direct means',100,3,6),
(300775,10089795,'Must not be engaged in pvp combat',100,2,7),
(300776,10089795,'Cannot be modified except by direct means',100,2,8),
(300777,10089795,'On a healing spell cast this spell may cast Serrated Skin II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,9),
(300778,10089795,'When any damage is received this spell will cast Serrated Skin II on target''s attacker.  ',100,2,10),
(300779,10089795,'Inflicts 261 - 289 piercing damage on target',100,3,11),
(300780,10089795,'Must not be engaged in pvp combat',100,3,12),
(300781,10089795,'Cannot be modified except by direct means',100,3,13),
(300782,10089795,'Must not be engaged in pvp combat',100,2,14),
(300783,10089795,'Cannot be modified except by direct means',100,2,15),
(300784,10089795,'Cannot be modified except by direct means',100,1,16),
(300785,110507,'Increases Threat to target by 85  instantly and by 35  every 3 seconds thereafter',100,1,0),
(300786,110507,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(300787,110507,'Blurs vision of target',100,2,2),
(300788,110507,'Stuns target',100,2,3),
(300789,110507,'Throws target back',100,2,4),
(300790,110507,'Does not affect Epic targets',100,2,5),
(300791,110507,'Inflicts 17 - 29 disease damage on target',100,1,6),
(300792,10110507,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(300793,10110507,'Blurs vision of target',100,2,1),
(300794,10110507,'Stuns target',100,2,2),
(300795,10110507,'Throws target back',100,2,3),
(300796,10110507,'Does not affect Epic targets',100,2,4),
(300797,10110507,'Forces target to change their selected target to caster.',100,1,5),
(300798,10110507,'Inflicts 19 - 31 disease damage on target',100,1,6),
(300799,10110507,'Prevents target from changing targets',100,1,7),
(300800,72314,'When Equipped:',100,0,0),
(300801,72314,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300802,72314,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(300803,72314,'Cannot be modified except by direct means',100,2,3),
(300804,10072314,'When Equipped:',100,0,0),
(300805,10072314,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(300806,10072314,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(300807,10072314,'Cannot be modified except by direct means',100,2,3),
(300808,82276,'When Equipped:',100,0,0),
(300809,82276,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(300810,82276,'Inflicts 33 - 61 magic damage on target',100,2,2),
(300811,82276,'Decreases Threat to target by 135 ',100,2,3),
(300812,82276,'Must be flanking or behind',100,3,4),
(300813,82276,'Increases Threat to target by 135 ',100,2,5),
(300814,82276,'Must be in front of',100,3,6),
(300815,82276,'Cannot be modified except by direct means',100,2,7),
(300816,10082276,'When Equipped:',100,0,0),
(300817,10082276,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(300818,10082276,'Inflicts 43 - 80 magic damage on target',100,2,2),
(300819,10082276,'Cannot be modified except by direct means',100,2,3),
(300820,120765,'Inflicts 34 - 41 divine damage on target instantly and every 3 seconds',100,1,0),
(300821,120765,'Increases power of caster by 41 instantly and every 3 seconds',100,1,1),
(300822,10120765,'Inflicts 44 - 54 divine damage on target instantly and every 3 seconds',100,1,0),
(300823,10120765,'Increases power of caster by 41 instantly and every 3 seconds',100,1,1),
(300824,81213,'When Equipped:',100,0,0),
(300825,81213,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(300826,81213,'Inflicts 228 - 423 magic damage on target',100,2,2),
(300827,81213,'Decreases Threat to target by 833 ',100,2,3),
(300828,81213,'Must be flanking or behind',100,3,4),
(300829,81213,'Increases Threat to target by 833 ',100,2,5),
(300830,81213,'Must be in front of',100,3,6),
(300831,81213,'Cannot be modified except by direct means',100,2,7),
(300832,10081213,'When Equipped:',100,0,0),
(300833,10081213,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(300834,10081213,'Inflicts 296 - 550 magic damage on target',100,2,2),
(300835,10081213,'Cannot be modified except by direct means',100,2,3),
(300836,80368,'When Equipped:',100,0,0),
(300837,80368,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300838,80368,'Inflicts 42 - 77 magic damage on target',100,2,2),
(300839,80368,'Cannot be modified except by direct means',100,2,3),
(300840,10080368,'When Equipped:',100,0,0),
(300841,10080368,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300842,10080368,'Inflicts 54 - 100 magic damage on target',100,2,2),
(300843,10080368,'Cannot be modified except by direct means',100,2,3),
(300844,118787,'Wards group members (AE) against 8 points of physical damage',100,1,0),
(300845,118787,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,1),
(300846,10118787,'Wards group members (AE) against 8 points of physical damage',100,1,0),
(300847,10118787,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,1),
(300848,119258,'Inflicts 13 - 22 slashing damage on target',100,1,0),
(300849,119258,'Decreases Damage Per Second of target by 10.6',100,1,1),
(300850,119258,'Inflicts 18 slashing damage on target instantly and every 4 seconds',100,1,2),
(300851,10119258,'Inflicts 17 - 29 slashing damage on target',100,1,0),
(300852,10119258,'Decreases Damage Per Second of target by 10.6',100,1,1),
(300853,10119258,'Inflicts 24 slashing damage on target instantly and every 4 seconds',100,1,2),
(300854,107831,'Causes 13% Threat to transfer to target when in combat',100,1,0),
(300855,107831,'Increases Hate Gain of target by 12.9%',100,1,1),
(300856,121562,'Inflicts 346 - 577 melee damage on targets in area',100,1,0),
(300857,121562,'Stuns target encounter',100,1,1),
(300858,121562,'If Target is not Epic',100,2,2),
(300859,121562,'Resistibility increases against targets higher than level 102.',100,1,3),
(300860,10121562,'Inflicts 450 - 751 melee damage on targets in area',100,1,0),
(300861,10121562,'Stuns target encounter',100,1,1),
(300862,10121562,'If Target is not Epic',100,2,2),
(300863,10121562,'Resistibility increases against targets higher than level 102.',100,1,3),
(300864,107110,'Inflicts 431 - 527 divine damage on target',100,1,0),
(300865,10107110,'Inflicts 561 - 685 divine damage on target',100,1,0),
(300866,26660,'When Equipped:',100,0,0),
(300867,26660,'Increases Crit Chance of caster by 3.0',100,1,1),
(300868,10026660,'When Equipped:',100,0,0),
(300869,10026660,'Increases Crit Chance of caster by 3.0',100,1,1),
(300870,83710,'When Equipped:',100,0,0),
(300871,83710,'On a combat hit this spell may cast Hasty Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(300872,83710,'Increases power of caster by 396',100,2,2),
(300873,83710,'Cannot be modified except by direct means',100,2,3),
(300874,10083710,'When Equipped:',100,0,0),
(300875,10083710,'On a combat hit this spell may cast Hasty Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(300876,10083710,'Increases power of caster by 396',100,2,2),
(300877,10083710,'Cannot be modified except by direct means',100,2,3),
(300878,35806,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(300879,109245,'Increases INT and WIS of group members (AE) by 43.0',100,1,0),
(300880,109245,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 121',100,1,1),
(300881,10109245,'Increases INT and WIS of group members (AE) by 43.0',100,1,0),
(300882,10109245,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 121',100,1,1),
(300883,35727,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(300884,117462,'Inflicts 951 - 1586 melee damage on target',100,1,0),
(300885,117462,'You must be sneaking to use this ability.',100,1,1),
(300886,117462,'Must be flanking or behind',100,1,2),
(300887,10117462,'Inflicts 767 - 1278 melee damage on target',100,1,0),
(300888,10117462,'You must be sneaking to use this ability.',100,1,1),
(300889,10117462,'Must be flanking or behind',100,1,2),
(300890,116994,'Inflicts 8 - 26 melee damage on target',100,1,0),
(300891,10116994,'Inflicts 11 - 33 melee damage on target',100,1,0),
(300892,35448,'Increases STA of target by 12.7',100,0,0),
(300893,35448,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(300894,123689,'Increases Damage Per Second of target by 46.5',100,1,0),
(300895,10123689,'Increases Damage Per Second of target by 46.5',100,1,0),
(300896,120957,'Inflicts 422 - 704 ranged damage on target',100,1,0),
(300897,120957,'If weapon equipped in Ranged',100,1,1),
(300898,120957,'Must be behind',100,1,2),
(300899,10120957,'Inflicts 316 - 528 ranged damage on target',100,1,0),
(300900,10120957,'If weapon equipped in Ranged',100,1,1),
(300901,10120957,'Must be behind',100,1,2),
(300902,48268,'Applies Show Tablet when Activated.',100,0,0),
(300903,10048268,'Applies Show Tablet when Activated.',100,0,0),
(300904,45325,'Applies Black Spotted Warg with Blue Armor when Activated.',100,0,0),
(300905,45325,'Increases Crushing of caster by 7.0',100,1,1),
(300906,45325,'Summons a mount to ride',100,1,2),
(300907,45325,'Increases your ground speed by 130%',100,2,3),
(300908,45325,'Increases Disruption, Piercing, Ranged and Slashing of caster by 7.0',100,1,4),
(300909,45325,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(300910,10045325,'Applies Black Spotted Warg with Blue Armor when Activated.',100,0,0),
(300911,10045325,'Increases Crushing of caster by 7.0',100,1,1),
(300912,10045325,'Summons a mount to ride',100,1,2),
(300913,10045325,'Increases your ground speed by 130%',100,2,3),
(300914,10045325,'Increases Disruption, Piercing, Ranged and Slashing of caster by 7.0',100,1,4),
(300915,10045325,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(300916,35482,'Increases Max Power of target by 90.7',100,0,0),
(300917,35482,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(300918,159644,'When Equipped:',100,0,0),
(300919,159644,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(300920,159644,'Increases AGI of caster by 13.2',100,2,2),
(300921,159644,'Increases Attack Speed of caster by 18.9',100,2,3),
(300922,159644,'Cannot be modified except by direct means',100,2,4),
(300923,10159644,'When Equipped:',100,0,0),
(300924,10159644,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(300925,10159644,'Increases AGI of caster by 13.2',100,2,2),
(300926,10159644,'Increases Attack Speed of caster by 18.9',100,2,3),
(300927,10159644,'Cannot be modified except by direct means',100,2,4),
(300928,74751,'When Equipped:',100,0,0),
(300929,74751,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300930,74751,'Inflicts 64 - 96 magic damage on target',100,2,2),
(300931,74751,'Cannot be modified except by direct means',100,2,3),
(300932,10074751,'When Equipped:',100,0,0),
(300933,10074751,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(300934,10074751,'Inflicts 83 - 125 magic damage on target',100,2,2),
(300935,10074751,'Cannot be modified except by direct means',100,2,3),
(300936,149063,'When Equipped:',100,0,0),
(300937,149063,'Increases Attack Speed of caster by 40.0',100,1,1),
(300938,10149063,'When Equipped:',100,0,0),
(300939,10149063,'Increases Attack Speed of caster by 40.0',100,1,1),
(300940,114284,'Heals target for 208 - 255',100,1,0),
(300941,10114284,'Heals target for 245 - 299',100,1,0),
(300942,108166,'Inflicts 707 - 1179 melee damage on target',100,1,0),
(300943,108166,'You must be sneaking to use this ability.',100,1,1),
(300944,108166,'Must be flanking or behind',100,1,2),
(300945,10108166,'Inflicts 606 - 1011 melee damage on target',100,1,0),
(300946,10108166,'You must be sneaking to use this ability.',100,1,1),
(300947,10108166,'Must be flanking or behind',100,1,2),
(300948,105710,'Decreases Attack Speed of target encounter by 20.0',100,1,0),
(300949,105710,'Slows target encounter by 25.5%',100,1,1),
(300950,10105710,'Decreases Attack Speed of target encounter by 20.0',100,1,0),
(300951,10105710,'Slows target encounter by 25.5%',100,1,1),
(300952,119546,'Wards group members (AE) against 691 points of arcane damage',100,1,0),
(300953,119546,'Increases Mitigation of group members (AE) vs arcane damage by 409',100,1,1),
(300954,10119546,'Wards group members (AE) against 691 points of arcane damage',100,1,0),
(300955,10119546,'Increases Mitigation of group members (AE) vs arcane damage by 409',100,1,1),
(300956,112694,'Increases Parry of group members (AE) by 36.6',100,1,0),
(300957,10112694,'Increases Parry of group members (AE) by 36.6',100,1,0),
(300958,36859,'Increases Max Health of target by 90.0',100,0,0),
(300959,36859,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(300960,101201,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(300961,101201,'Slows target by 67.5%',100,2,1),
(300962,101201,'5% chance to dispel when target receives hostile action',100,2,2),
(300963,101201,'5% chance to dispel when target takes damage',100,2,3),
(300964,101201,'Inflicts 403 - 672 cold damage on target',100,1,4),
(300965,101201,'Inflicts 403 - 672 cold damage on target',100,1,5),
(300966,101201,'If weapon equipped in Ranged',100,1,6),
(300967,10101201,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(300968,10101201,'Slows target by 67.5%',100,2,1),
(300969,10101201,'5% chance to dispel when target receives hostile action',100,2,2),
(300970,10101201,'5% chance to dispel when target takes damage',100,2,3),
(300971,10101201,'Inflicts 302 - 504 cold damage on target',100,1,4),
(300972,10101201,'Inflicts 302 - 504 cold damage on target',100,1,5),
(300973,10101201,'If weapon equipped in Ranged',100,1,6),
(300974,45184,'Applies Anti-Venin when Activated.',100,0,0),
(300975,45184,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(300976,10045184,'Applies Anti-Venin when Activated.',100,0,0),
(300977,10045184,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(300978,115550,'Increases Mitigation of raid and group members (AE) vs noxious damage by 825',100,1,0),
(300979,10115550,'Increases Mitigation of raid and group members (AE) vs noxious damage by 825',100,1,0),
(300980,48427,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(300981,48427,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(300982,48427,'Inflicts 163 poison damage on target',100,2,2),
(300983,48427,'Inflicts 48 poison damage on target instantly and every 6 seconds',100,2,3),
(300984,48427,'Cannot be modified except by direct means',100,2,4),
(300985,48427,'Grants a total of 200 triggers of the spell.',100,2,5),
(300986,10048427,'Applies aura of the battlemaster when Activated.  Lasts for 12 hours.',100,0,0),
(300987,10048427,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(300988,10048427,'Inflicts 47 poison damage on target instantly and every 6 seconds',100,2,2),
(300989,10048427,'Inflicts 159 poison damage on target',100,2,3),
(300990,10048427,'Cannot be modified except by direct means',100,2,4),
(300991,10048427,'Grants a total of 200 triggers of the spell.',100,2,5),
(300992,112295,'Inflicts 44 - 54 disease damage on target',100,1,0),
(300993,112295,'Inflicts 22 - 27 disease damage on target every 3 seconds',100,1,1),
(300994,112295,'Increases Threat to target by 385 - 471  instantly and by 72 - 88  every 3 seconds thereafter',100,1,2),
(300995,10112295,'Inflicts 29 - 35 disease damage on target every 3 seconds',100,1,0),
(300996,10112295,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(300997,45672,'Applies Guardsmanship of the Thicket  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(300998,45672,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(300999,45672,'Inflicts 6 magic damage on target',100,2,2),
(301000,45672,'Cannot be modified except by direct means',100,2,3),
(301001,10045672,'Applies Guardsmanship of the Thicket  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(301002,10045672,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(301003,10045672,'Inflicts 8 magic damage on target',100,2,2),
(301004,10045672,'Cannot be modified except by direct means',100,2,3),
(301005,24342,'Adds Boss: Drusella Sathir (Assassin) to your Dungeon Maker toolbox',100,0,0),
(301006,10024342,'Adds Boss: Drusella Sathir (Assassin) to your Dungeon Maker toolbox',100,0,0),
(301007,45125,'Applies Abrasive Goo when Activated.  Lasts for 12 hours.',100,0,0),
(301008,45125,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(301009,45125,'Inflicts 8 poison damage on target instantly and every 6 seconds',100,2,2),
(301010,45125,'Inflicts 14 poison damage on target',100,2,3),
(301011,45125,'Cannot be modified except by direct means',100,2,4),
(301012,45125,'Grants a total of 100 triggers of the spell.',100,2,5),
(301013,10045125,'Applies Abrasive Goo when Activated.  Lasts for 12 hours.',100,0,0),
(301014,10045125,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(301015,10045125,'Inflicts 8 poison damage on target instantly and every 6 seconds',100,2,2),
(301016,10045125,'Inflicts 13 poison damage on target',100,2,3),
(301017,10045125,'Cannot be modified except by direct means',100,2,4),
(301018,10045125,'Grants a total of 100 triggers of the spell.',100,2,5),
(301019,46855,'Applies Marble Defender when Activated.',100,0,0),
(301020,46855,'Shapechanges the user into a marble golem.',100,1,1),
(301021,10046855,'Applies Marble Defender when Activated.',100,0,0),
(301022,10046855,'Shapechanges the user into a marble golem.',100,1,1),
(301023,75795,'When Equipped:',100,0,0),
(301024,75795,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(301025,75795,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(301026,75795,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(301027,75795,'Heals target for 1777',100,3,4),
(301028,75795,'Must not be engaged in pvp combat',100,3,5),
(301029,75795,'Cannot be modified except by direct means',100,3,6),
(301030,75795,'Grants a total of 5 triggers of the spell.',100,3,7),
(301031,75795,'Must not be engaged in pvp combat',100,2,8),
(301032,75795,'Cannot be modified except by direct means',100,2,9),
(301033,75795,'Cannot be modified except by direct means',100,1,10),
(301034,10075795,'When Equipped:',100,0,0),
(301035,10075795,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(301036,10075795,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(301037,10075795,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,3),
(301038,10075795,'Heals target for 2080',100,3,4),
(301039,10075795,'Must not be engaged in pvp combat',100,3,5),
(301040,10075795,'Cannot be modified except by direct means',100,3,6),
(301041,10075795,'Grants a total of 5 triggers of the spell.',100,3,7),
(301042,10075795,'Must not be engaged in pvp combat',100,2,8),
(301043,10075795,'Cannot be modified except by direct means',100,2,9),
(301044,10075795,'Cannot be modified except by direct means',100,1,10),
(301045,36995,'Increases AGI of target by 4.3',100,0,0),
(301046,36995,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(301047,124026,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(301048,124026,'Heals target for 257 - 315',100,2,1),
(301049,124026,'Grants a total of 5 triggers of the spell.',100,2,2),
(301050,10124026,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(301051,10124026,'Heals target for 167 - 204',100,2,1),
(301052,10124026,'Grants a total of 5 triggers of the spell.',100,2,2),
(301053,114059,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(301054,114059,'Grants stealth to caster',100,2,1),
(301055,114059,'Suspends caster''s movement speed enhancements',100,2,2),
(301056,114059,'Inflicts 96 - 161 melee damage on target',100,1,3),
(301057,114059,'Must be flanking or behind',100,1,4),
(301058,10114059,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(301059,10114059,'Grants stealth to caster',100,2,1),
(301060,10114059,'Suspends caster''s movement speed enhancements',100,2,2),
(301061,10114059,'Inflicts 189 - 315 melee damage on target',100,1,3),
(301062,10114059,'Must be flanking or behind',100,1,4),
(301063,116539,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(301064,116539,'Inflicts 127 divine damage on target',100,2,1),
(301065,116539,'Increases Mitigation of raid and group members (AE) vs all damage by 1400',100,1,2),
(301066,10116539,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(301067,10116539,'Inflicts 165 divine damage on target',100,2,1),
(301068,10116539,'Increases Mitigation of raid and group members (AE) vs all damage by 1400',100,1,2),
(301069,124229,'Decreases Attack Speed of caster by 16.9',100,1,0),
(301070,124229,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(301071,124229,'Slows targets in Area of Effect by 52.6%',100,2,2),
(301072,124229,'5% chance to dispel when target receives hostile action',100,2,3),
(301073,124229,'5% chance to dispel when target takes damage',100,2,4),
(301074,124229,'Increases Mitigation of caster vs physical damage by 828',100,1,5),
(301075,10124229,'Decreases Attack Speed of caster by 16.9',100,1,0),
(301076,10124229,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(301077,10124229,'Slows targets in Area of Effect by 39.4%',100,2,2),
(301078,10124229,'5% chance to dispel when target receives hostile action',100,2,3),
(301079,10124229,'5% chance to dispel when target takes damage',100,2,4),
(301080,10124229,'Increases Mitigation of caster vs physical damage by 828',100,1,5),
(301081,103545,'Increases In-Combat Power Regeneration of group members (AE) by 19.8',100,1,0),
(301082,10103545,'Increases In-Combat Power Regeneration of group members (AE) by 19.8',100,1,0),
(301083,50851,'When Equipped:',100,0,0),
(301084,50851,'On a hostile spell cast this spell may cast Fury of the Void Walkers on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(301085,50851,'Inflicts 1060 mental damage on target',100,2,2),
(301086,50851,'Cannot be modified except by direct means',100,2,3),
(301087,10050851,'When Equipped:',100,0,0),
(301088,10050851,'On a hostile spell cast this spell may cast Fury of the Void Walkers on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(301089,10050851,'Inflicts 1378 mental damage on target',100,2,2),
(301090,10050851,'Cannot be modified except by direct means',100,2,3),
(301091,24227,'Adds Crushbone: Stone Bowl to your Dungeon Maker toolbox',100,0,0),
(301092,10024227,'Adds Crushbone: Stone Bowl to your Dungeon Maker toolbox',100,0,0),
(301093,46212,'Applies Petamorph: Steppes Cow when Activated.  Lasts for 2 hours.',100,0,0),
(301094,46212,'Turns the caster''s combat pet into a cow. Does not work on cosmetic pets.',100,1,1),
(301095,10046212,'Applies Petamorph: Steppes Cow when Activated.  Lasts for 2 hours.',100,0,0),
(301096,10046212,'Turns the caster''s combat pet into a cow. Does not work on cosmetic pets.',100,1,1),
(301097,74804,'When Equipped:',100,0,0),
(301098,74804,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301099,74804,'Inflicts 86 - 129 magic damage on target',100,2,2),
(301100,74804,'Cannot be modified except by direct means',100,2,3),
(301101,10074804,'When Equipped:',100,0,0),
(301102,10074804,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301103,10074804,'Inflicts 112 - 168 magic damage on target',100,2,2),
(301104,10074804,'Cannot be modified except by direct means',100,2,3),
(301105,48594,'Applies Totem of the Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(301106,48594,'Grants invisibility to caster',100,1,1),
(301107,48594,'Suspends caster''s movement speed enhancements',100,1,2),
(301108,48594,'Dispelled when target takes damage',100,1,3),
(301109,48594,'This effect cancels during combat',100,1,4),
(301110,48594,'Only affects targets level 30 and above',100,1,5),
(301111,10048594,'Applies Totem of the Chameleon when Activated.  Lasts for 15 minutes.',100,0,0),
(301112,10048594,'Grants invisibility to caster',100,1,1),
(301113,10048594,'Suspends caster''s movement speed enhancements',100,1,2),
(301114,10048594,'Dispelled when target takes damage',100,1,3),
(301115,10048594,'This effect cancels during combat',100,1,4),
(301116,10048594,'Only affects targets level 30 and above',100,1,5),
(301117,122608,'Inflicts 152 - 186 mental damage on target instantly and every 3 seconds',100,1,0),
(301118,122608,'Decreases Mitigation of target vs arcane damage by 1391',100,1,1),
(301119,10122608,'Inflicts 198 - 242 mental damage on target instantly and every 3 seconds',100,1,0),
(301120,10122608,'Decreases Mitigation of target vs arcane damage by 1391',100,1,1),
(301121,109046,'Increases Attack Speed of caster by 23.2',100,1,0),
(301122,109046,'Decreases Defense of caster by 14.7',100,1,1),
(301123,109046,'Increases Slashing, Piercing, Crushing and Ranged of caster by 22.0',100,1,2),
(301124,10109046,'Increases Attack Speed of caster by 23.2',100,1,0),
(301125,10109046,'Decreases Defense of caster by 14.7',100,1,1),
(301126,10109046,'Increases Slashing, Piercing, Crushing and Ranged of caster by 22.0',100,1,2),
(301127,171168,'When Equipped:',100,0,0),
(301128,171168,'On a ranged hit this spell may cast Nature''s Reprieve on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301129,171168,'Inflicts 127 - 155 divine damage on target',100,2,2),
(301130,171168,'Heals caster for 123 - 151',100,2,3),
(301131,171168,'Cannot be modified except by direct means',100,2,4),
(301132,10171168,'When Equipped:',100,0,0),
(301133,10171168,'On a ranged hit this spell may cast Nature''s Reprieve on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301134,10171168,'Inflicts 165 - 201 divine damage on target',100,2,2),
(301135,10171168,'Heals caster for 80 - 98',100,2,3),
(301136,10171168,'Cannot be modified except by direct means',100,2,4),
(301137,120154,'Decreases STR and INT of target by 109.1',100,1,0),
(301138,120154,'Increases STR and INT of caster by 109.1',100,1,1),
(301139,10120154,'Decreases STR and INT of target by 109.1',100,1,0),
(301140,10120154,'Increases STR and INT of caster by 109.1',100,1,1),
(301141,115422,'Inflicts 605 - 1009 melee damage on target',100,1,0),
(301142,115422,'Decreases INT of target by 99.8',100,1,1),
(301143,115422,'You must be sneaking to use this ability.',100,1,2),
(301144,10115422,'Inflicts 787 - 1311 melee damage on target',100,1,0),
(301145,10115422,'Decreases INT of target by 99.8',100,1,1),
(301146,10115422,'You must be sneaking to use this ability.',100,1,2),
(301147,100441,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(301148,100441,'Increases Threat to target by 722 ',100,2,1),
(301149,100441,'Inflicts 179 - 298 slashing damage on target',100,2,2),
(301150,100441,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(301151,100441,'Increases Threat to target by 722 ',100,2,4),
(301152,100441,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1871',100,1,5),
(301153,10100441,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(301154,10100441,'Inflicts 233 - 388 slashing damage on target',100,2,1),
(301155,10100441,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(301156,10100441,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1871',100,1,3),
(301157,48390,'Applies Operate T.C.P. when Activated.',100,0,0),
(301158,48390,'This effect cannot be cast during combat',100,1,1),
(301159,10048390,'Applies Operate T.C.P. when Activated.',100,0,0),
(301160,10048390,'This effect cannot be cast during combat',100,1,1),
(301161,117089,'Mesmerizes target encounter',100,1,0),
(301162,117089,'Prevents AOE (except when direct) ',100,1,1),
(301163,117089,'Dispelled when target takes damage',100,1,2),
(301164,117089,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(301165,117089,'Resistibility increases against targets higher than level 54.',100,1,4),
(301166,10117089,'Mesmerizes target encounter',100,1,0),
(301167,10117089,'Prevents AOE (except when direct) ',100,1,1),
(301168,10117089,'Dispelled when target takes damage',100,1,2),
(301169,10117089,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(301170,10117089,'Resistibility increases against targets higher than level 54.',100,1,4),
(301171,171751,'When Equipped:',100,0,0),
(301172,171751,'On a critical healing spell cast this spell may cast Shared Vigor IX on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301173,171751,'Increases Potency of target by 10.0%',100,2,2),
(301174,171751,'Increases Potency of caster by 10.0%',100,2,3),
(301175,171751,'Must not be engaged in pvp combat',100,2,4),
(301176,171751,'Cannot be modified except by direct means',100,2,5),
(301177,171751,'Must not be engaged in pvp combat',100,1,6),
(301178,10171751,'When Equipped:',100,0,0),
(301179,10171751,'On a critical healing spell cast this spell may cast Shared Vigor IX on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301180,10171751,'Increases Potency of target by 10.0%',100,2,2),
(301181,10171751,'Increases Potency of caster by 10.0%',100,2,3),
(301182,10171751,'Must not be engaged in pvp combat',100,2,4),
(301183,10171751,'Cannot be modified except by direct means',100,2,5),
(301184,10171751,'Must not be engaged in pvp combat',100,1,6),
(301185,40643,'When Equipped:',100,0,0),
(301186,40643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301187,40643,'Inflicts 64 - 96 magic damage on target',100,2,2),
(301188,40643,'Cannot be modified except by direct means',100,2,3),
(301189,10040643,'When Equipped:',100,0,0),
(301190,10040643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301191,10040643,'Inflicts 83 - 125 magic damage on target',100,2,2),
(301192,10040643,'Cannot be modified except by direct means',100,2,3),
(301193,111434,'Decreases Attack Speed of caster by 12.7',100,1,0),
(301194,111434,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(301195,111434,'Roots target',100,2,2),
(301196,111434,'5% chance to dispel when target takes damage',100,2,3),
(301197,111434,'5% chance to dispel when target receives hostile action',100,2,4),
(301198,111434,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(301199,111434,'Increases Mitigation of caster vs physical damage by 324',100,1,6),
(301200,10111434,'Decreases Attack Speed of caster by 12.7',100,1,0),
(301201,10111434,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(301202,10111434,'Roots target',100,2,2),
(301203,10111434,'5% chance to dispel when target takes damage',100,2,3),
(301204,10111434,'5% chance to dispel when target receives hostile action',100,2,4),
(301205,10111434,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(301206,10111434,'Increases Mitigation of caster vs physical damage by 324',100,1,6),
(301207,165548,'Applies Summoner''s Gift when Activated.  Lasts for 2 minutes.',100,0,0),
(301208,165548,'Wards target against 1500 points of all damage',100,1,1),
(301209,165548,'Increases Damage Per Second of target by 10.0',100,1,2),
(301210,165548,'Must have Netherworld Robe equipped.',100,1,3),
(301211,165548,'The casting time of Summoner''s Gift is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(301212,10165548,'Applies Summoner''s Gift when Activated.  Lasts for 2 minutes.',100,0,0),
(301213,10165548,'Wards target against 1500 points of all damage',100,1,1),
(301214,10165548,'Increases Damage Per Second of target by 10.0',100,1,2),
(301215,10165548,'Must have Netherworld Robe equipped.',100,1,3),
(301216,10165548,'The casting time of Summoner''s Gift is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(301217,111027,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(301218,111027,'Increases Threat to target by 200 ',100,2,1),
(301219,111027,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(301220,111027,'Increases Threat to target by 200 ',100,2,3),
(301221,10111027,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(301222,10111027,'Inflicts 32 - 35 crushing damage on target',100,2,1),
(301223,10111027,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(301224,10111027,'Inflicts 32 - 35 crushing damage on target',100,2,3),
(301225,73019,'When Equipped:',100,0,0),
(301226,73019,'On a melee hit this spell has a 9% chance to cast Gaping Wound on target of attack.  Lasts for 12.0 seconds.  ',100,1,1),
(301227,73019,'Inflicts 27 magic damage on target instantly and every 4 seconds',100,2,2),
(301228,73019,'Cannot be modified except by direct means',100,2,3),
(301229,10073019,'When Equipped:',100,0,0),
(301230,10073019,'On a melee hit this spell has a 9% chance to cast Gaping Wound on target of attack.  Lasts for 12.0 seconds.  ',100,1,1),
(301231,10073019,'Inflicts 35 magic damage on target instantly and every 4 seconds',100,2,2),
(301232,10073019,'Cannot be modified except by direct means',100,2,3),
(301233,53017,'When Equipped:',100,0,0),
(301234,53017,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(301235,53017,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(301236,53017,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(301237,53017,'Heals caster for 1185 - 1309',100,2,4),
(301238,53017,'Decreases Ranged, Slashing, Crushing and Piercing of target by 22.0',100,2,5),
(301239,53017,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(301240,53017,'Must not be engaged in pvp combat',100,2,7),
(301241,53017,'Cannot be modified except by direct means',100,2,8),
(301242,53017,'Cannot be modified except by direct means',100,1,9),
(301243,10053017,'When Equipped:',100,0,0),
(301244,10053017,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(301245,10053017,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(301246,10053017,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(301247,10053017,'Heals caster for 1386 - 1532',100,2,4),
(301248,10053017,'Decreases Ranged, Slashing, Crushing and Piercing of target by 22.0',100,2,5),
(301249,10053017,'Decreases Mitigation of target vs physical damage by 528',100,2,6),
(301250,10053017,'Must not be engaged in pvp combat',100,2,7),
(301251,10053017,'Cannot be modified except by direct means',100,2,8),
(301252,10053017,'Cannot be modified except by direct means',100,1,9),
(301253,113741,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(301254,113741,'Inflicts 122 piercing damage on target',100,2,1),
(301255,113741,'Grants a total of 60 triggers of the spell.',100,2,2),
(301256,10113741,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(301257,10113741,'Inflicts 159 piercing damage on target',100,2,1),
(301258,10113741,'Grants a total of 60 triggers of the spell.',100,2,2),
(301259,136435,'When Equipped:',100,0,0),
(301260,136435,'Increases caster''s chance to block by 5.0%',100,1,1),
(301261,10136435,'When Equipped:',100,0,0),
(301262,10136435,'Increases caster''s chance to block by 5.0%',100,1,1),
(301263,43224,'When Equipped:',100,0,0),
(301264,43224,'On a critical combat hit this spell may cast Vital Exposure II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301265,43224,'Decreases the target''s physical mitigation over time.',100,2,2),
(301266,43224,'Inflicts 25 - 27 disease damage on target instantly and every 2 seconds',100,2,3),
(301267,43224,'Inflicts an additional 2 - 2 disease damage on target every tick',100,2,4),
(301268,43224,'Must not be engaged in pvp combat',100,2,5),
(301269,43224,'Cannot be modified except by direct means',100,2,6),
(301270,43224,'On a critical spell hit this spell may cast Vital Exposure II on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(301271,43224,'Decreases the target''s physical mitigation over time.',100,2,8),
(301272,43224,'Inflicts 25 - 27 disease damage on target instantly and every 2 seconds',100,2,9),
(301273,43224,'Inflicts an additional 2 - 2 disease damage on target every tick',100,2,10),
(301274,43224,'Must not be engaged in pvp combat',100,2,11),
(301275,43224,'Cannot be modified except by direct means',100,2,12),
(301276,43224,'Must not be engaged in pvp combat',100,1,13),
(301277,10043224,'When Equipped:',100,0,0),
(301278,10043224,'On a critical combat hit this spell may cast Vital Exposure II on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301279,10043224,'Decreases the target''s physical mitigation over time.',100,2,2),
(301280,10043224,'Inflicts 32 - 35 disease damage on target instantly and every 2 seconds',100,2,3),
(301281,10043224,'Inflicts an additional 2 - 2 disease damage on target every tick',100,2,4),
(301282,10043224,'Must not be engaged in pvp combat',100,2,5),
(301283,10043224,'Cannot be modified except by direct means',100,2,6),
(301284,10043224,'On a critical spell hit this spell may cast Vital Exposure II on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(301285,10043224,'Decreases the target''s physical mitigation over time.',100,2,8),
(301286,10043224,'Inflicts 32 - 35 disease damage on target instantly and every 2 seconds',100,2,9),
(301287,10043224,'Inflicts an additional 2 - 2 disease damage on target every tick',100,2,10),
(301288,10043224,'Must not be engaged in pvp combat',100,2,11),
(301289,10043224,'Cannot be modified except by direct means',100,2,12),
(301290,10043224,'Must not be engaged in pvp combat',100,1,13),
(301291,124164,'Inflicts 5 - 8 melee damage on target',100,1,0),
(301292,10124164,'Inflicts 6 - 11 melee damage on target',100,1,0),
(301293,114775,'Feigns Death with 81% chance of success',100,1,0),
(301294,10114775,'Feigns Death with 81% chance of success',100,1,0),
(301295,120249,'Inflicts 255 - 425 crushing damage on target',100,1,0),
(301296,10120249,'Inflicts 331 - 553 crushing damage on target',100,1,0),
(301297,103012,'Inflicts 41 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(301298,103012,'Inflicts 15 - 25 melee damage on target',100,1,1),
(301299,10103012,'Inflicts 53 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(301300,10103012,'Inflicts 19 - 32 melee damage on target',100,1,1),
(301301,112383,'Increases Crushing, Piercing, Slashing and Ranged of target by 22.8',100,1,0),
(301302,112383,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(301303,112383,'Inflicts 155 - 190 piercing damage on target',100,2,2),
(301304,112383,'Inflicts 78 - 95 piercing damage on target every 3 seconds',100,2,3),
(301305,10112383,'Increases Crushing, Piercing, Slashing and Ranged of target by 22.8',100,1,0),
(301306,10112383,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(301307,10112383,'Inflicts 202 - 246 piercing damage on target',100,2,2),
(301308,10112383,'Inflicts 101 - 123 piercing damage on target every 3 seconds',100,2,3),
(301309,37042,'Increases STR of target by 8.4',100,0,0),
(301310,37042,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(301311,123715,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(301312,123715,'Inflicts 296 divine damage on target',100,2,1),
(301313,123715,'Grants a total of 5 triggers of the spell.',100,2,2),
(301314,10123715,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(301315,10123715,'Inflicts 385 divine damage on target',100,2,1),
(301316,10123715,'Grants a total of 5 triggers of the spell.',100,2,2),
(301317,103930,'Wards group members (AE) collectively against 2237 total points of all damage',100,1,0),
(301318,10103930,'Wards group members (AE) collectively against 3332 total points of all damage',100,1,0),
(301319,26955,'When Equipped:',100,0,0),
(301320,26955,'Increases all magic damage by up to 45.',100,1,1),
(301321,10026955,'When Equipped:',100,0,0),
(301322,10026955,'Increases all magic damage by up to 45.',100,1,1),
(301323,141747,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(301324,141747,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(301325,141747,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(301326,141747,'Cannot be modified except by direct means',100,2,3),
(301327,10141747,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(301328,10141747,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(301329,10141747,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(301330,10141747,'Cannot be modified except by direct means',100,2,3),
(301331,45852,'Applies cursecleaner claws when Activated.',100,0,0),
(301332,10045852,'Applies cursecleaner claws when Activated.',100,0,0),
(301333,103757,'Shapechanges caster into a fairy',100,1,0),
(301334,10103757,'Shapechanges caster into a fairy',100,1,0),
(301335,114337,'Dispels 37 levels of noxious hostile effects on target',100,1,0),
(301336,114337,'Heals target for 12.8 - 15.7% of max health',100,1,1),
(301337,114337,'This effect cannot be critically applied.',100,2,2),
(301338,114337,'The healing of this spell cannot be modified except by direct means',100,1,3),
(301339,10114337,'Dispels 37 levels of noxious hostile effects on target',100,1,0),
(301340,10114337,'Heals target for 5.1 - 6.3% of max health',100,1,1),
(301341,10114337,'This effect cannot be critically applied.',100,2,2),
(301342,10114337,'The healing of this spell cannot be modified except by direct means',100,1,3),
(301343,162518,'When Equipped:',100,0,0),
(301344,162518,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301345,162518,'Wards target against 1000 points of all damage',100,2,2),
(301346,162518,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(301347,162518,'Cannot be modified except by direct means',100,2,4),
(301348,10162518,'When Equipped:',100,0,0),
(301349,10162518,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301350,10162518,'Wards target against 1000 points of all damage',100,2,2),
(301351,10162518,'Replenishes 250 points of absorption every 2 seconds.',100,2,3),
(301352,10162518,'Cannot be modified except by direct means',100,2,4),
(301353,173390,'When Equipped:',100,0,0),
(301354,173390,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(301355,173390,'Inflicts 2648 heat damage on target',100,2,2),
(301356,173390,'Cannot be modified except by direct means',100,2,3),
(301357,173390,'When Equipped:',100,0,4),
(301358,173390,'This effect cannot empower creatures above level 90.',100,1,5),
(301359,173390,'Removal of this effect will greatly injure your pet.',100,1,6),
(301360,173390,'Applies Granite Avatar to qualifying pets.',100,1,7),
(301361,173390,'Wards caster against 4000 points of all damage',100,2,8),
(301362,173390,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2046',100,2,9),
(301363,173390,'Cannot be modified except by direct means',100,2,10),
(301364,10173390,'When Equipped:',100,0,0),
(301365,10173390,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(301366,10173390,'Inflicts 1721 heat damage on target',100,2,2),
(301367,10173390,'Cannot be modified except by direct means',100,2,3),
(301368,10173390,'When Equipped:',100,0,4),
(301369,10173390,'This effect cannot empower creatures above level 90.',100,1,5),
(301370,10173390,'Removal of this effect will greatly injure your pet.',100,1,6),
(301371,10173390,'Applies Granite Avatar to qualifying pets.',100,1,7),
(301372,10173390,'Wards caster against 4000 points of all damage',100,2,8),
(301373,10173390,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2046',100,2,9),
(301374,10173390,'Cannot be modified except by direct means',100,2,10),
(301375,74741,'When Equipped:',100,0,0),
(301376,74741,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301377,74741,'Inflicts 182 - 273 magic damage on target',100,2,2),
(301378,74741,'Cannot be modified except by direct means',100,2,3),
(301379,10074741,'When Equipped:',100,0,0),
(301380,10074741,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301381,10074741,'Inflicts 237 - 355 magic damage on target',100,2,2),
(301382,10074741,'Cannot be modified except by direct means',100,2,3),
(301383,71423,'When Equipped:',100,0,0),
(301384,71423,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301385,71423,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(301386,71423,'Cannot be modified except by direct means',100,2,3),
(301387,10071423,'When Equipped:',100,0,0),
(301388,10071423,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301389,10071423,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(301390,10071423,'Cannot be modified except by direct means',100,2,3),
(301391,116678,'Heals group members (AE) for 7.3 - 9.0% of max health',100,1,0),
(301392,116678,'This effect cannot be critically applied.',100,2,1),
(301393,116678,'Increases Max Health of group members (AE) by 279.3',100,1,2),
(301394,116678,'The healing of this spell cannot be modified except by direct means',100,1,3),
(301395,10116678,'Heals group members (AE) for 2.3 - 2.8% of max health',100,1,0),
(301396,10116678,'This effect cannot be critically applied.',100,2,1),
(301397,10116678,'Increases Max Health of group members (AE) by 279.3',100,1,2),
(301398,10116678,'The healing of this spell cannot be modified except by direct means',100,1,3),
(301399,111733,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(301400,111733,'Inflicts 258 - 316 cold damage on target',100,2,1),
(301401,111733,'Grants a total of 3 triggers of the spell.',100,2,2),
(301402,10111733,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(301403,10111733,'Inflicts 336 - 411 cold damage on target',100,2,1),
(301404,10111733,'Grants a total of 3 triggers of the spell.',100,2,2),
(301405,108230,'Inflicts 152 - 457 piercing damage on target',100,1,0),
(301406,108230,'Decreases Slashing, Crushing, Piercing and Ranged of target by 26.5',100,1,1),
(301407,10108230,'Inflicts 198 - 594 piercing damage on target',100,1,0),
(301408,10108230,'Decreases Slashing, Crushing, Piercing and Ranged of target by 26.5',100,1,1),
(301409,124544,'Dispels 92 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(301410,10124544,'Dispels 92 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(301411,143313,'When Equipped:',100,0,0),
(301412,143313,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301413,143313,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(301414,143313,'Dispelled when target casts a hostile spell',100,2,3),
(301415,143313,'Dispelled when target casts a combat art',100,2,4),
(301416,143313,'Cannot be modified except by direct means',100,2,5),
(301417,10143313,'When Equipped:',100,0,0),
(301418,10143313,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301419,10143313,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(301420,10143313,'Dispelled when target casts a hostile spell',100,2,3),
(301421,10143313,'Dispelled when target casts a combat art',100,2,4),
(301422,10143313,'Cannot be modified except by direct means',100,2,5),
(301423,101951,'Summons a limited pet to aid the caster',100,1,0),
(301424,10101951,'Summons a limited pet to aid the caster',100,1,0),
(301425,110637,'Inflicts 485 - 809 ranged damage on target',100,1,0),
(301426,110637,'If weapon equipped in Ranged',100,1,1),
(301427,110637,'Must be flanking or behind',100,1,2),
(301428,10110637,'Inflicts 266 - 444 ranged damage on target',100,1,0),
(301429,10110637,'If weapon equipped in Ranged',100,1,1),
(301430,10110637,'Must be flanking or behind',100,1,2),
(301431,25482,'When Equipped:',100,0,0),
(301432,25482,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(301433,25482,'Adds 10% potency to Enraging Demeanor III.',100,1,2),
(301434,10025482,'When Equipped:',100,0,0),
(301435,10025482,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(301436,10025482,'Adds 10% potency to Enraging Demeanor III.',100,1,2),
(301437,47442,'Applies Teleport to Ally when Activated.',100,0,0),
(301438,47442,'Teleports caster to target',100,1,1),
(301439,47442,'This effect cannot be cast during combat',100,1,2),
(301440,10047442,'Applies Teleport to Ally when Activated.',100,0,0),
(301441,10047442,'Teleports caster to target',100,1,1),
(301442,10047442,'This effect cannot be cast during combat',100,1,2),
(301443,74918,'When Equipped:',100,0,0),
(301444,74918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301445,74918,'Inflicts 26 - 40 magic damage on target',100,2,2),
(301446,74918,'Cannot be modified except by direct means',100,2,3),
(301447,10074918,'When Equipped:',100,0,0),
(301448,10074918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301449,10074918,'Inflicts 34 - 51 magic damage on target',100,2,2),
(301450,10074918,'Cannot be modified except by direct means',100,2,3),
(301451,27344,'When Equipped:',100,0,0),
(301452,27344,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(301453,27344,'Increases power of caster by 17',100,2,2),
(301454,27344,'Cannot be modified except by direct means',100,2,3),
(301455,10027344,'When Equipped:',100,0,0),
(301456,10027344,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(301457,10027344,'Increases power of caster by 17',100,2,2),
(301458,10027344,'Cannot be modified except by direct means',100,2,3),
(301459,46553,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(301460,46553,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(301461,46553,'Decreases Threat to target by 1,300 - 1,589 ',100,2,2),
(301462,46553,'Cannot be modified except by direct means',100,2,3),
(301463,46553,'Grants a total of 100 triggers of the spell.',100,2,4),
(301464,10046553,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(301465,10046553,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(301466,10046553,'5% chance to apply Distract.',100,2,2),
(301467,10046553,'Forces target to clear their selected target.',100,3,3),
(301468,10046553,'Cannot be modified except by direct means',100,2,4),
(301469,10046553,'Grants a total of 100 triggers of the spell.',100,2,5),
(301470,157329,'When Equipped:',100,0,0),
(301471,157329,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(301472,10157329,'When Equipped:',100,0,0),
(301473,10157329,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(301474,25978,'When Equipped:',100,0,0),
(301475,25978,'Increases all heat damage by up to 20.',100,1,1),
(301476,10025978,'When Equipped:',100,0,0),
(301477,10025978,'Increases all heat damage by up to 20.',100,1,1),
(301478,82752,'When Equipped:',100,0,0),
(301479,82752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301480,82752,'Inflicts 108 - 200 magic damage on target',100,2,2),
(301481,82752,'Cannot be modified except by direct means',100,2,3),
(301482,10082752,'When Equipped:',100,0,0),
(301483,10082752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301484,10082752,'Inflicts 140 - 260 magic damage on target',100,2,2),
(301485,10082752,'Cannot be modified except by direct means',100,2,3),
(301486,52023,'When Equipped:',100,0,0),
(301487,52023,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(301488,52023,'Inflicts 1986 disease damage on target encounter',100,2,2),
(301489,52023,'Must not be engaged in pvp combat',100,2,3),
(301490,52023,'Cannot be modified except by direct means',100,2,4),
(301491,10052023,'When Equipped:',100,0,0),
(301492,10052023,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(301493,10052023,'Inflicts 1291 disease damage on target encounter',100,2,2),
(301494,10052023,'Must not be engaged in pvp combat',100,2,3),
(301495,10052023,'Cannot be modified except by direct means',100,2,4),
(301496,71529,'When Equipped:',100,0,0),
(301497,71529,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301498,71529,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(301499,71529,'Cannot be modified except by direct means',100,2,3),
(301500,10071529,'When Equipped:',100,0,0),
(301501,10071529,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301502,10071529,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(301503,10071529,'Cannot be modified except by direct means',100,2,3),
(301504,119788,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(301505,119788,'Inflicts 142 - 173 poison damage on target encounter',100,2,1),
(301506,10119788,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(301507,10119788,'Inflicts 184 - 225 poison damage on target encounter',100,2,1),
(301508,111157,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(301509,111157,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1186',100,1,1),
(301510,111157,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,2),
(301511,10111157,'Increases Max Health of group members (AE) by 423.1',100,1,0),
(301512,10111157,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1186',100,1,1),
(301513,10111157,'Increases Mitigation of group members (AE) vs physical damage by 702',100,1,2),
(301514,110651,'Inflicts 1175 - 1959 ranged damage on target',100,1,0),
(301515,110651,'If weapon equipped in Ranged',100,1,1),
(301516,110651,'Must be flanking or behind',100,1,2),
(301517,10110651,'Inflicts 644 - 1074 ranged damage on target',100,1,0),
(301518,10110651,'If weapon equipped in Ranged',100,1,1),
(301519,10110651,'Must be flanking or behind',100,1,2),
(301520,120404,'Decreases Defense of caster by 18.9',100,1,0),
(301521,120404,'Increases Crushing and Ranged of caster by 31.2',100,1,1),
(301522,120404,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(301523,120404,'Inflicts 198 - 330 heat damage on target',100,2,3),
(301524,120404,'Increases Slashing and Piercing of caster by 31.2',100,1,4),
(301525,10120404,'Decreases Defense of caster by 18.9',100,1,0),
(301526,10120404,'Increases Crushing and Ranged of caster by 31.2',100,1,1),
(301527,10120404,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(301528,10120404,'Inflicts 257 - 429 heat damage on target',100,2,3),
(301529,10120404,'Increases Slashing and Piercing of caster by 31.2',100,1,4),
(301530,48236,'Applies Summon Calling Crystal when Activated.',100,0,0),
(301531,48236,'In the right environment, this spell can summon a calling crystal which can be used to reunite lost party members with your group.',100,1,1),
(301532,10048236,'Applies Summon Calling Crystal when Activated.',100,0,0),
(301533,10048236,'In the right environment, this spell can summon a calling crystal which can be used to reunite lost party members with your group.',100,1,1),
(301534,174084,'When Equipped:',100,0,0),
(301535,174084,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(301536,174084,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(301537,174084,'Inflicts 1139 - 1259 piercing damage on target instantly and every 3 seconds',100,2,3),
(301538,174084,'Heals caster for 1247 - 1378 instantly and every 3 seconds',100,2,4),
(301539,174084,'Increases Crit Bonus of caster by 7.0%',100,2,5),
(301540,174084,'Must not be engaged in pvp combat',100,2,6),
(301541,174084,'Cannot be modified except by direct means',100,2,7),
(301542,174084,'Must not be engaged in pvp combat',100,1,8),
(301543,10174084,'When Equipped:',100,0,0),
(301544,10174084,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(301545,10174084,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(301546,10174084,'Inflicts 1481 - 1636 piercing damage on target instantly and every 3 seconds',100,2,3),
(301547,10174084,'Heals caster for 1459 - 1612 instantly and every 3 seconds',100,2,4),
(301548,10174084,'Increases Crit Bonus of caster by 7.0%',100,2,5),
(301549,10174084,'Must not be engaged in pvp combat',100,2,6),
(301550,10174084,'Cannot be modified except by direct means',100,2,7),
(301551,10174084,'Must not be engaged in pvp combat',100,1,8),
(301552,101680,'Decreases Attack Speed of target by 16.6',100,1,0),
(301553,101680,'Decreases Damage Per Second of target by 12.0',100,1,1),
(301554,10101680,'Decreases Attack Speed of target by 16.6',100,1,0),
(301555,10101680,'Decreases Damage Per Second of target by 12.0',100,1,1),
(301556,40392,'When Equipped:',100,0,0),
(301557,40392,'On a critical combat hit this spell may cast Flying Fist V on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301558,40392,'Stifles target',100,2,2),
(301559,40392,'If Target is not Epic',100,3,3),
(301560,40392,'Increases Threat to target by 475 - 525 ',100,2,4),
(301561,40392,'Inflicts 379 - 419 heat damage on target',100,2,5),
(301562,40392,'Must not be engaged in pvp combat',100,2,6),
(301563,40392,'Cannot be modified except by direct means',100,2,7),
(301564,40392,'Must not be engaged in pvp combat',100,1,8),
(301565,10040392,'When Equipped:',100,0,0),
(301566,10040392,'On a critical combat hit this spell may cast Flying Fist V on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301567,10040392,'Stifles target',100,2,2),
(301568,10040392,'If Target is not Epic',100,3,3),
(301569,10040392,'Inflicts 493 - 545 heat damage on target',100,2,4),
(301570,10040392,'Must not be engaged in pvp combat',100,2,5),
(301571,10040392,'Cannot be modified except by direct means',100,2,6),
(301572,10040392,'Must not be engaged in pvp combat',100,1,7),
(301573,36288,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(301574,47507,'Applies Petamorph: Ice Crab when Activated.  Lasts for 2 hours.',100,0,0),
(301575,47507,'Turns the caster''s combat pet into an ice crab. Does not work on cosmetic pets.',100,1,1),
(301576,10047507,'Applies Petamorph: Ice Crab when Activated.  Lasts for 2 hours.',100,0,0),
(301577,10047507,'Turns the caster''s combat pet into an ice crab. Does not work on cosmetic pets.',100,1,1),
(301578,100150,'Inflicts 91 - 111 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(301579,100150,'Decreases Mitigation of target encounter vs noxious damage by 939',100,1,1),
(301580,10100150,'Inflicts 119 - 145 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(301581,10100150,'Decreases Mitigation of target encounter vs noxious damage by 939',100,1,1),
(301582,37465,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(301583,114062,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(301584,114062,'Grants stealth to caster',100,2,1),
(301585,114062,'Suspends caster''s movement speed enhancements',100,2,2),
(301586,114062,'Inflicts 110 - 184 melee damage on target',100,1,3),
(301587,114062,'Must be flanking or behind',100,1,4),
(301588,10114062,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(301589,10114062,'Grants stealth to caster',100,2,1),
(301590,10114062,'Suspends caster''s movement speed enhancements',100,2,2),
(301591,10114062,'Inflicts 215 - 359 melee damage on target',100,1,3),
(301592,10114062,'Must be flanking or behind',100,1,4),
(301593,37331,'Increases AGI and STA of target by 9.0',100,0,0),
(301594,37331,'Increases Damage Per Second of target by 10.0',100,0,1),
(301595,37331,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(301596,118677,'Inflicts 327 - 545 slashing damage on target',100,1,0),
(301597,10118677,'Inflicts 425 - 708 slashing damage on target',100,1,0),
(301598,114876,'Decreases AGI of target by 66.6',100,1,0),
(301599,114876,'Decreases Defense of target by 25.3',100,1,1),
(301600,10114876,'Decreases AGI of target by 66.6',100,1,0),
(301601,10114876,'Decreases Defense of target by 25.3',100,1,1),
(301602,48358,'Applies Marr''s Salvation when Activated.',100,0,0),
(301603,48358,'Blesses a tormented spirit with Marr''s Salvation.',100,1,1),
(301604,10048358,'Applies Marr''s Salvation when Activated.',100,0,0),
(301605,10048358,'Blesses a tormented spirit with Marr''s Salvation.',100,1,1),
(301606,120536,'Decreases Defense of target by 19.4',100,1,0),
(301607,10120536,'Decreases Defense of target by 19.4',100,1,0),
(301608,109335,'Increases STR of caster by 109.0',100,1,0),
(301609,109335,'Decreases Defense of caster by 17.4',100,1,1),
(301610,109335,'Increases Slashing, Piercing and Crushing of caster by 31.3',100,1,2),
(301611,10109335,'Increases STR of caster by 109.0',100,1,0),
(301612,10109335,'Decreases Defense of caster by 17.4',100,1,1),
(301613,10109335,'Increases Slashing, Piercing and Crushing of caster by 31.3',100,1,2),
(301614,136675,'When Equipped:',100,0,0),
(301615,136675,'Increases Hate Gain of caster by 7.0%',100,1,1),
(301616,136675,'When Equipped:',100,0,2),
(301617,136675,'On any combat or spell hit this spell may cast Bladeshield on caster.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,3),
(301618,136675,'Wards caster against 1200 points of physical damage',100,2,4),
(301619,136675,'Cannot be modified except by direct means',100,2,5),
(301620,10136675,'When Equipped:',100,0,0),
(301621,10136675,'When Equipped:',100,0,1),
(301622,10136675,'On any combat or spell hit this spell may cast Bladeshield on caster.  Lasts for 12.0 seconds.  Triggers about 1.2 times per minute. ',100,1,2),
(301623,10136675,'Wards caster against 1200 points of physical damage',100,2,3),
(301624,10136675,'Cannot be modified except by direct means',100,2,4),
(301625,172567,'When Equipped:',100,0,0),
(301626,172567,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301627,172567,'Increases Threat to target by 600 ',100,2,2),
(301628,172567,'Cannot be modified except by direct means',100,2,3),
(301629,10172567,'When Equipped:',100,0,0),
(301630,10172567,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301631,10172567,'Cannot be modified except by direct means',100,2,2),
(301632,124021,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(301633,124021,'Heals target for 287 - 350',100,2,1),
(301634,124021,'Grants a total of 5 triggers of the spell.',100,2,2),
(301635,10124021,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(301636,10124021,'Heals target for 186 - 228',100,2,1),
(301637,10124021,'Grants a total of 5 triggers of the spell.',100,2,2),
(301638,108374,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(301639,108374,'Increases Mitigation of group members (AE) vs arcane damage by 1304',100,1,1),
(301640,10108374,'Increases Max Health of group members (AE) by 364.2',100,1,0),
(301641,10108374,'Increases Mitigation of group members (AE) vs arcane damage by 1304',100,1,1),
(301642,164606,'Applies Unstable Magics when Equipped.',100,0,0),
(301643,164606,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(301644,10164606,'Applies Unstable Magics when Equipped.',100,0,0),
(301645,10164606,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(301646,121200,'Grants stealth to caster',100,1,0),
(301647,121200,'Suspends caster''s movement speed enhancements',100,1,1),
(301648,121200,'Decreases Threat to target by 876 - 1,460 ',100,1,2),
(301649,10121200,'Forces target to clear their selected target.',100,1,0),
(301650,10121200,'Grants stealth to caster',100,1,1),
(301651,10121200,'Suspends caster''s movement speed enhancements',100,1,2),
(301652,122920,'Increases STR and INT of group members (AE) by 90.9',100,1,0),
(301653,10122920,'Increases STR and INT of group members (AE) by 90.9',100,1,0),
(301654,119841,'Dazes target',100,1,0),
(301655,119841,'Does not affect Epic targets',100,1,1),
(301656,119841,'Resistibility increases against targets higher than level 78.',100,1,2),
(301657,10119841,'Dazes target',100,1,0),
(301658,10119841,'Does not affect Epic targets',100,1,1),
(301659,10119841,'Resistibility increases against targets higher than level 78.',100,1,2),
(301660,117592,'Decreases Parry of target by 71.1',100,1,0),
(301661,117592,'Inflicts 626 - 1043 melee damage on target',100,1,1),
(301662,117592,'Must be in front of or flanking',100,1,2),
(301663,10117592,'Decreases Parry of target by 71.1',100,1,0),
(301664,10117592,'Inflicts 813 - 1356 melee damage on target',100,1,1),
(301665,10117592,'Must be in front of or flanking',100,1,2),
(301666,105935,'Inflicts 49 - 59 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(301667,105935,'Inflicts 113 - 189 disease damage on targets in area',100,1,1),
(301668,10105935,'Inflicts 63 - 77 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(301669,10105935,'Inflicts 147 - 246 disease damage on targets in area',100,1,1),
(301670,104434,'Inflicts 30 - 36 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(301671,104434,'Interrupts target encounter',100,1,1),
(301672,104434,'Applies Stumble on termination.',100,1,2),
(301673,104434,'Interrupts target',100,2,3),
(301674,10104434,'Inflicts 39 - 47 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(301675,10104434,'Interrupts target encounter',100,1,1),
(301676,10104434,'Applies Stumble on termination.',100,1,2),
(301677,10104434,'Interrupts target',100,2,3),
(301678,109060,'Increases Attack Speed of caster by 47.3',100,1,0),
(301679,109060,'Decreases Defense of caster by 23.0',100,1,1),
(301680,109060,'Increases Slashing, Piercing, Crushing and Ranged of caster by 55.2',100,1,2),
(301681,10109060,'Increases Attack Speed of caster by 47.3',100,1,0),
(301682,10109060,'Decreases Defense of caster by 23.0',100,1,1),
(301683,10109060,'Increases Slashing, Piercing, Crushing and Ranged of caster by 55.2',100,1,2),
(301684,106246,'Wards target against 171 points of all damage',100,1,0),
(301685,10106246,'Wards target against 171 points of all damage',100,1,0),
(301686,35736,'Increases STR of target by 12.7',100,0,0),
(301687,35736,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(301688,122448,'Inflicts 413 - 689 magic damage on target',100,1,0),
(301689,10122448,'Inflicts 537 - 895 magic damage on target',100,1,0),
(301690,102808,'Summons 3 limited pets to aid the caster',100,1,0),
(301691,10102808,'Summons 3 limited pets to aid the caster',100,1,0),
(301692,159589,'When Equipped:',100,0,0),
(301693,159589,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301694,159589,'Increases INT of caster by 8.9',100,2,2),
(301695,159589,'Increases Focus, Subjugation and Disruption of caster by 5.7',100,2,3),
(301696,159589,'Cannot be modified except by direct means',100,2,4),
(301697,10159589,'When Equipped:',100,0,0),
(301698,10159589,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301699,10159589,'Increases INT of caster by 8.9',100,2,2),
(301700,10159589,'Increases Focus, Subjugation and Disruption of caster by 5.7',100,2,3),
(301701,10159589,'Cannot be modified except by direct means',100,2,4),
(301702,46250,'Applies Exothermic Lifestone when Activated.',100,0,0),
(301703,46250,'Tinkering up an intentional overload with catastrophically exothermic consequences to produce beneficial side effects: increases health of group members by 40%, killing the tinkerer instantly.',100,1,1),
(301704,10046250,'Applies Exothermic Lifestone when Activated.',100,0,0),
(301705,10046250,'Tinkering up an intentional overload with catastrophically exothermic consequences to produce beneficial side effects: increases health of group members by 40%, killing the tinkerer instantly.',100,1,1),
(301706,115662,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1445',100,1,0),
(301707,10115662,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1445',100,1,0),
(301708,112310,'Inflicts 120 - 147 disease damage on target',100,1,0),
(301709,112310,'Inflicts 60 - 73 disease damage on target every 3 seconds',100,1,1),
(301710,112310,'Increases Threat to target by 1,123 - 1,373  instantly and by 211 - 258  every 3 seconds thereafter',100,1,2),
(301711,10112310,'Inflicts 78 - 95 disease damage on target every 3 seconds',100,1,0),
(301712,10112310,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(301713,113408,'Reduces physical damage done to caster by 5%',100,1,0),
(301714,113408,'Increases STA of caster by 46.0',100,1,1),
(301715,113408,'Adds 3.1% to base avoidance.',100,1,2),
(301716,113408,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(301717,113408,'Increases Defense and Aggression of caster by 9.0',100,1,4),
(301718,113408,'Increases Mitigation of caster vs noxious damage by 600',100,1,5),
(301719,113408,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(301720,10113408,'Reduces physical damage done to caster by 5%',100,1,0),
(301721,10113408,'Increases STA of caster by 46.0',100,1,1),
(301722,10113408,'Adds 3.1% to base avoidance.',100,1,2),
(301723,10113408,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(301724,10113408,'Increases Defense and Aggression of caster by 9.0',100,1,4),
(301725,10113408,'Increases Mitigation of caster vs noxious damage by 600',100,1,5),
(301726,10113408,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(301727,25773,'When Equipped:',100,0,0),
(301728,25773,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(301729,25773,'Improves the base taunt and damage of Sentinel Strike by 15%.',100,1,2),
(301730,10025773,'When Equipped:',100,0,0),
(301731,10025773,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(301732,10025773,'Improves the base taunt and damage of Sentinel Strike by 15%.',100,1,2),
(301733,121633,'Inflicts 423 - 1271 melee damage on target',100,1,0),
(301734,121633,'Dazes target',100,1,1),
(301735,121633,'If Target is not Epic',100,2,2),
(301736,121633,'Must be flanking or behind',100,1,3),
(301737,121633,'Resistibility increases against targets higher than level 102.',100,1,4),
(301738,10121633,'Inflicts 550 - 1652 melee damage on target',100,1,0),
(301739,10121633,'Dazes target',100,1,1),
(301740,10121633,'If Target is not Epic',100,2,2),
(301741,10121633,'Must be flanking or behind',100,1,3),
(301742,10121633,'Resistibility increases against targets higher than level 102.',100,1,4),
(301743,108918,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(301744,108918,'Inflicts 10 heat damage on target',100,2,1),
(301745,10108918,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',100,1,0),
(301746,10108918,'Inflicts 13 heat damage on target',100,2,1),
(301747,51846,'When Equipped:',100,0,0),
(301748,51846,'On any combat or spell hit this spell may cast Unbridled Savagery on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301749,51846,'Increases Damage Per Second of caster by 45.0',100,2,2),
(301750,51846,'Cannot be modified except by direct means',100,2,3),
(301751,10051846,'When Equipped:',100,0,0),
(301752,10051846,'On any combat or spell hit this spell may cast Unbridled Savagery on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(301753,10051846,'Increases Damage Per Second of caster by 45.0',100,2,2),
(301754,10051846,'Cannot be modified except by direct means',100,2,3),
(301755,157809,'When Equipped:',100,0,0),
(301756,157809,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301757,157809,'Inflicts 516 divine damage on target',100,2,2),
(301758,157809,'Must not be classified as a vampire',100,3,3),
(301759,157809,'Inflicts 1031 divine damage on target',100,2,4),
(301760,157809,'Must be classified as a vampire',100,3,5),
(301761,157809,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(301762,157809,'Must be classified as a vampire',100,3,7),
(301763,157809,'Cannot be modified except by direct means',100,2,8),
(301764,157809,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(301765,10157809,'When Equipped:',100,0,0),
(301766,10157809,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301767,10157809,'Inflicts 670 divine damage on target',100,2,2),
(301768,10157809,'Must not be classified as a vampire',100,3,3),
(301769,10157809,'Inflicts 1341 divine damage on target',100,2,4),
(301770,10157809,'Must be classified as a vampire',100,3,5),
(301771,10157809,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(301772,10157809,'Must be classified as a vampire',100,3,7),
(301773,10157809,'Cannot be modified except by direct means',100,2,8),
(301774,10157809,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(301775,119815,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(301776,119815,'Adds 0.9% to base avoidance.',100,1,1),
(301777,10119815,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(301778,10119815,'Adds 0.9% to base avoidance.',100,1,1),
(301779,122629,'Makes target afraid',100,1,0),
(301780,122629,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(301781,122629,'Mesmerizes target',100,2,2),
(301782,122629,'Decreases Threat to target by 1,626  instantly and Decreases Threat by 1,626  every 2.2 seconds thereafter',100,2,3),
(301783,122629,'Dispelled when target takes damage',100,2,4),
(301784,122629,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(301785,122629,'Resistibility increases against targets higher than level 114.',100,2,6),
(301786,122629,'30% chance to dispel when target takes damage',100,1,7),
(301787,122629,'Does not affect Epic targets',100,1,8),
(301788,122629,'Resistibility increases against targets higher than level 114.',100,1,9),
(301789,10122629,'Makes target afraid',100,1,0),
(301790,10122629,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(301791,10122629,'Mesmerizes target',100,2,2),
(301792,10122629,'Applies Distract.',100,2,3),
(301793,10122629,'Forces target to clear their selected target.',100,3,4),
(301794,10122629,'Dispelled when target takes damage',100,2,5),
(301795,10122629,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(301796,10122629,'Resistibility increases against targets higher than level 114.',100,2,7),
(301797,10122629,'30% chance to dispel when target takes damage',100,1,8),
(301798,10122629,'Does not affect Epic targets',100,1,9),
(301799,10122629,'Resistibility increases against targets higher than level 114.',100,1,10),
(301800,103059,'Inflicts 66 magic damage on target instantly and every 4 seconds',100,1,0),
(301801,103059,'Increases power of caster by 25 instantly and every 4 seconds',100,1,1),
(301802,10103059,'Inflicts 86 magic damage on target instantly and every 4 seconds',100,1,0),
(301803,10103059,'Increases power of caster by 25 instantly and every 4 seconds',100,1,1),
(301804,153970,'When Equipped:',100,0,0),
(301805,153970,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(301806,10153970,'When Equipped:',100,0,0),
(301807,10153970,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(301808,85335,'Applies Poison Bolt when Activated.',100,0,0),
(301809,85335,'Inflicts 129 - 215 poison damage on target',100,1,1),
(301810,85335,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(301811,10085335,'Applies Poison Bolt when Activated.',100,0,0),
(301812,10085335,'Inflicts 168 - 279 poison damage on target',100,1,1),
(301813,10085335,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(301814,104207,'Increases Mitigation of group members (AE) vs physical damage by 146',100,1,0),
(301815,10104207,'Increases Mitigation of group members (AE) vs physical damage by 146',100,1,0),
(301816,74643,'When Equipped:',100,0,0),
(301817,74643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301818,74643,'Inflicts 64 - 96 magic damage on target',100,2,2),
(301819,74643,'Cannot be modified except by direct means',100,2,3),
(301820,10074643,'When Equipped:',100,0,0),
(301821,10074643,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301822,10074643,'Inflicts 83 - 125 magic damage on target',100,2,2),
(301823,10074643,'Cannot be modified except by direct means',100,2,3),
(301824,120900,'Stifles target',100,1,0),
(301825,120900,'Inflicts 444 - 542 mental damage on target',100,1,1),
(301826,120900,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,2),
(301827,120900,'Resistibility increases against targets higher than level 101.',100,1,3),
(301828,10120900,'Stifles target',100,1,0),
(301829,10120900,'Inflicts 577 - 705 mental damage on target',100,1,1),
(301830,10120900,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(301831,10120900,'Resistibility increases against targets higher than level 101.',100,1,3),
(301832,120208,'Decreases STR and INT of target by 75.0',100,1,0),
(301833,120208,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(301834,120208,'Grants a total of 1 trigger of the spell.',100,2,2),
(301835,10120208,'Decreases STR and INT of target by 75.0',100,1,0),
(301836,10120208,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(301837,10120208,'Grants a total of 1 trigger of the spell.',100,2,2),
(301838,103732,'Increases Max Health of raid and group members (AE) by 609.9',100,1,0),
(301839,103732,'Increases Defense of raid and group members (AE) by 20.8',100,1,1),
(301840,10103732,'Increases Max Health of raid and group members (AE) by 609.9',100,1,0),
(301841,10103732,'Increases Defense of raid and group members (AE) by 20.8',100,1,1),
(301842,118582,'Roots target',100,1,0),
(301843,118582,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(301844,118582,'Slows target by 31.4%',100,2,2),
(301845,118582,'5% chance to dispel when target receives hostile action',100,2,3),
(301846,118582,'5% chance to dispel when target takes damage',100,2,4),
(301847,118582,'5% chance to dispel when target takes damage',100,1,5),
(301848,118582,'Does not affect Epic targets',100,1,6),
(301849,118582,'Resistibility increases against targets higher than level 36.',100,1,7),
(301850,10118582,'Roots target',100,1,0),
(301851,10118582,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(301852,10118582,'Slows target by 31.4%',100,2,2),
(301853,10118582,'5% chance to dispel when target receives hostile action',100,2,3),
(301854,10118582,'5% chance to dispel when target takes damage',100,2,4),
(301855,10118582,'5% chance to dispel when target takes damage',100,1,5),
(301856,10118582,'Does not affect Epic targets',100,1,6),
(301857,10118582,'Resistibility increases against targets higher than level 36.',100,1,7),
(301858,40044,'When Equipped:',100,0,0),
(301859,40044,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301860,40044,'Increases Max Health of caster by 2,988.0',100,2,2),
(301861,40044,'Must not be engaged in pvp combat',100,2,3),
(301862,40044,'Cannot be modified except by direct means',100,2,4),
(301863,40044,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(301864,40044,'Increases Max Health of caster by 2,988.0',100,2,6),
(301865,40044,'Must not be engaged in pvp combat',100,2,7),
(301866,40044,'Cannot be modified except by direct means',100,2,8),
(301867,40044,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(301868,40044,'Cannot be modified except by direct means',100,1,10),
(301869,10040044,'When Equipped:',100,0,0),
(301870,10040044,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(301871,10040044,'Increases Max Health of caster by 2,988.0',100,2,2),
(301872,10040044,'Must not be engaged in pvp combat',100,2,3),
(301873,10040044,'Cannot be modified except by direct means',100,2,4),
(301874,10040044,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(301875,10040044,'Increases Max Health of caster by 2,988.0',100,2,6),
(301876,10040044,'Must not be engaged in pvp combat',100,2,7),
(301877,10040044,'Cannot be modified except by direct means',100,2,8),
(301878,10040044,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(301879,10040044,'Cannot be modified except by direct means',100,1,10),
(301880,52898,'Applies Sanguine Imbued when Equipped.',100,0,0),
(301881,52898,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(301882,52898,'Inflicts 99 heat damage on target',100,2,2),
(301883,52898,'Cannot be modified except by direct means',100,2,3),
(301884,10052898,'Applies Sanguine Imbued when Equipped.',100,0,0),
(301885,10052898,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(301886,10052898,'Inflicts 129 heat damage on target',100,2,2),
(301887,10052898,'Cannot be modified except by direct means',100,2,3),
(301888,117911,'Increases In-Combat Health Regeneration of group members (AE) by 82.5',100,1,0),
(301889,117911,'Increases Max Health of group members (AE) by 442.0',100,1,1),
(301890,10117911,'Increases In-Combat Health Regeneration of group members (AE) by 82.5',100,1,0),
(301891,10117911,'Increases Max Health of group members (AE) by 442.0',100,1,1),
(301892,141845,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(301893,141845,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(301894,141845,'Heals target for 34 instantly and every 4 seconds',100,2,2),
(301895,141845,'Cannot be modified except by direct means',100,2,3),
(301896,10141845,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(301897,10141845,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(301898,10141845,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(301899,10141845,'Cannot be modified except by direct means',100,2,3),
(301900,81166,'When Equipped:',100,0,0),
(301901,81166,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301902,81166,'Decreases Threat to target by 517 ',100,2,2),
(301903,81166,'Must be flanking or behind',100,3,3),
(301904,81166,'Increases Threat to target by 517 ',100,2,4),
(301905,81166,'Must be in front of',100,3,5),
(301906,81166,'Inflicts 148 - 275 magic damage on target',100,2,6),
(301907,81166,'Cannot be modified except by direct means',100,2,7),
(301908,10081166,'When Equipped:',100,0,0),
(301909,10081166,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301910,10081166,'Inflicts 192 - 357 magic damage on target',100,2,2),
(301911,10081166,'Cannot be modified except by direct means',100,2,3),
(301912,89836,'When Equipped:',100,0,0),
(301913,89836,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(301914,89836,'Inflicts 148 - 246 poison damage on target',100,2,2),
(301915,89836,'Cannot be modified except by direct means',100,2,3),
(301916,10089836,'When Equipped:',100,0,0),
(301917,10089836,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(301918,10089836,'Inflicts 192 - 320 poison damage on target',100,2,2),
(301919,10089836,'Cannot be modified except by direct means',100,2,3),
(301920,80810,'When Equipped:',100,0,0),
(301921,80810,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301922,80810,'Inflicts 175 - 324 magic damage on target',100,2,2),
(301923,80810,'Cannot be modified except by direct means',100,2,3),
(301924,10080810,'When Equipped:',100,0,0),
(301925,10080810,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(301926,10080810,'Inflicts 227 - 421 magic damage on target',100,2,2),
(301927,10080810,'Cannot be modified except by direct means',100,2,3),
(301928,116827,'Decreases Hate Gain of caster by 15.2%',100,1,0),
(301929,10116827,'When damaged this spell has a 5% chance to cast Twitch Reflexes on caster.  Lasts for 5.0 seconds.  ',100,1,0),
(301930,10116827,'Caster will Dodge 5.0% of incoming attacks',100,2,1),
(301931,10116827,'This effect can only trigger once every 5 seconds.',100,2,2),
(301932,124562,'Decreases Threat to targets in Area of Effect by 455 ',100,1,0),
(301933,124562,'Interrupts targets in Area of Effect',100,1,1),
(301934,124562,'Roots targets in Area of Effect',100,1,2),
(301935,124562,'If Target is not Epic',100,2,3),
(301936,10124562,'Applies Distract.',100,1,0),
(301937,10124562,'Forces target to clear their selected target.',100,2,1),
(301938,10124562,'Interrupts targets in Area of Effect',100,1,2),
(301939,10124562,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(301940,10124562,'Roots targets in Area of Effect',100,1,4),
(301941,10124562,'If Target is not Epic',100,2,5),
(301942,170589,'When Equipped:',100,0,0),
(301943,170589,'Increases Attack Speed of caster by 35.0',100,1,1),
(301944,10170589,'When Equipped:',100,0,0),
(301945,10170589,'Increases Attack Speed of caster by 35.0',100,1,1),
(301946,111011,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(301947,111011,'Increases Threat to target by 11 ',100,2,1),
(301948,111011,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(301949,111011,'Increases Threat to target by 11 ',100,2,3),
(301950,10111011,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(301951,10111011,'Inflicts 2 - 3 crushing damage on target',100,2,1),
(301952,10111011,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(301953,10111011,'Inflicts 2 - 3 crushing damage on target',100,2,3),
(301954,100788,'Wards target against 353 points of all damage',100,1,0),
(301955,10100788,'Wards target against 544 points of all damage',100,1,0),
(301956,81842,'When Equipped:',100,0,0),
(301957,81842,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301958,81842,'Decreases Threat to target by 487 ',100,2,2),
(301959,81842,'Must be flanking or behind',100,3,3),
(301960,81842,'Increases Threat to target by 487 ',100,2,4),
(301961,81842,'Must be in front of',100,3,5),
(301962,81842,'Inflicts 108 - 200 magic damage on target',100,2,6),
(301963,81842,'Cannot be modified except by direct means',100,2,7),
(301964,10081842,'When Equipped:',100,0,0),
(301965,10081842,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301966,10081842,'Inflicts 140 - 260 magic damage on target',100,2,2),
(301967,10081842,'Cannot be modified except by direct means',100,2,3),
(301968,81659,'When Equipped:',100,0,0),
(301969,81659,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301970,81659,'Decreases Threat to target by 376 ',100,2,2),
(301971,81659,'Must be flanking or behind',100,3,3),
(301972,81659,'Increases Threat to target by 376 ',100,2,4),
(301973,81659,'Must be in front of',100,3,5),
(301974,81659,'Inflicts 111 - 205 magic damage on target',100,2,6),
(301975,81659,'Cannot be modified except by direct means',100,2,7),
(301976,10081659,'When Equipped:',100,0,0),
(301977,10081659,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(301978,10081659,'Inflicts 144 - 267 magic damage on target',100,2,2),
(301979,10081659,'Cannot be modified except by direct means',100,2,3),
(301980,106308,'Decreases INT and STR of target by 23.4',100,1,0),
(301981,10106308,'Decreases INT and STR of target by 23.4',100,1,0),
(301982,118357,'Inflicts 147 - 245 melee damage on target',100,1,0),
(301983,118357,'Inflicts 148 - 246 heat damage on target every 4 seconds',100,1,1),
(301984,10118357,'Inflicts 191 - 319 melee damage on target',100,1,0),
(301985,10118357,'Inflicts 192 - 320 heat damage on target every 4 seconds',100,1,1),
(301986,106223,'Inflicts 209 - 628 melee damage on target',100,1,0),
(301987,106223,'Stifles target',100,1,1),
(301988,106223,'If Target is not Epic',100,2,2),
(301989,106223,'Resistibility increases against targets higher than level 83.',100,1,3),
(301990,10106223,'Inflicts 272 - 816 melee damage on target',100,1,0),
(301991,10106223,'Stifles target',100,1,1),
(301992,10106223,'If Target is not Epic',100,2,2),
(301993,10106223,'Resistibility increases against targets higher than level 83.',100,1,3),
(301994,36061,'Increases AGI of target by 10.5',100,0,0),
(301995,36061,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(301996,102093,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(301997,102093,'Stuns target',100,2,1),
(301998,102093,'Throws target back',100,2,2),
(301999,102093,'Blurs vision of target',100,2,3),
(302000,102093,'Does not affect Epic targets',100,2,4),
(302001,102093,'Inflicts 66 - 111 crushing damage on target',100,1,5),
(302002,10102093,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(302003,10102093,'Stuns target',100,2,1),
(302004,10102093,'Throws target back',100,2,2),
(302005,10102093,'Blurs vision of target',100,2,3),
(302006,10102093,'Does not affect Epic targets',100,2,4),
(302007,10102093,'Inflicts 86 - 144 crushing damage on target',100,1,5),
(302008,50483,'When Equipped:',100,0,0),
(302009,50483,'Reduces power cost of all spells by 3 percent.',100,1,1),
(302010,10050483,'When Equipped:',100,0,0),
(302011,10050483,'Reduces power cost of all spells by 3 percent.',100,1,1),
(302012,88054,'When Equipped:',100,0,0),
(302013,88054,'On a combat hit this spell may cast Fire Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302014,88054,'Inflicts 127 heat damage on target',100,2,2),
(302015,88054,'Cannot be modified except by direct means',100,2,3),
(302016,10088054,'When Equipped:',100,0,0),
(302017,10088054,'On a combat hit this spell may cast Fire Breath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302018,10088054,'Inflicts 165 heat damage on target',100,2,2),
(302019,10088054,'Cannot be modified except by direct means',100,2,3),
(302020,118708,'Inflicts 25 - 42 slashing damage on target',100,1,0),
(302021,118708,'Decreases Slashing, Crushing and Piercing of target by 2.6',100,1,1),
(302022,118708,'Inflicts 11 - 13 slashing damage on target every 5 seconds',100,1,2),
(302023,10118708,'Inflicts 33 - 55 slashing damage on target',100,1,0),
(302024,10118708,'Decreases Slashing, Crushing and Piercing of target by 2.6',100,1,1),
(302025,10118708,'Inflicts 14 - 17 slashing damage on target every 5 seconds',100,1,2),
(302026,111624,'Inflicts 54 - 100 cold damage on target',100,1,0),
(302027,10111624,'Inflicts 70 - 130 cold damage on target',100,1,0),
(302028,71421,'When Equipped:',100,0,0),
(302029,71421,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(302030,71421,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(302031,71421,'Cannot be modified except by direct means',100,2,3),
(302032,10071421,'When Equipped:',100,0,0),
(302033,10071421,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(302034,10071421,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(302035,10071421,'Cannot be modified except by direct means',100,2,3),
(302036,148861,'When Equipped:',100,0,0),
(302037,148861,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(302038,148861,'When Equipped:',100,0,2),
(302039,148861,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(302040,10148861,'When Equipped:',100,0,0),
(302041,10148861,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(302042,10148861,'When Equipped:',100,0,2),
(302043,10148861,'Reduces cast time of hostile spells by 1 percent.',100,1,3),
(302044,117863,'Heals target for 94 - 115 instantly and every 2 seconds',100,1,0),
(302045,10117863,'Heals target for 61 - 75 instantly and every 2 seconds',100,1,0),
(302046,110255,'Slows target by 68.5%',100,1,0),
(302047,110255,'Inflicts 227 - 379 melee damage on target',100,1,1),
(302048,110255,'5% chance to dispel when target receives hostile action',100,1,2),
(302049,110255,'5% chance to dispel when target takes damage',100,1,3),
(302050,10110255,'Slows target by 68.5%',100,1,0),
(302051,10110255,'Inflicts 296 - 493 melee damage on target',100,1,1),
(302052,10110255,'5% chance to dispel when target receives hostile action',100,1,2),
(302053,10110255,'5% chance to dispel when target takes damage',100,1,3),
(302054,82172,'When Equipped:',100,0,0),
(302055,82172,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302056,82172,'Inflicts 30 - 55 magic damage on target',100,2,2),
(302057,82172,'Cannot be modified except by direct means',100,2,3),
(302058,10082172,'When Equipped:',100,0,0),
(302059,10082172,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302060,10082172,'Inflicts 39 - 72 magic damage on target',100,2,2),
(302061,10082172,'Cannot be modified except by direct means',100,2,3),
(302062,100360,'Increases Max Health of target by 663.0',100,1,0),
(302063,100360,'Increases Crushing, Piercing, Slashing and Ranged of target by 9.6',100,1,1),
(302064,10100360,'Increases Max Health of target by 663.0',100,1,0),
(302065,10100360,'Increases Crushing, Piercing, Slashing and Ranged of target by 9.6',100,1,1),
(302066,110648,'Inflicts 1140 - 1900 ranged damage on target',100,1,0),
(302067,110648,'If weapon equipped in Ranged',100,1,1),
(302068,110648,'Must be flanking or behind',100,1,2),
(302069,10110648,'Inflicts 625 - 1041 ranged damage on target',100,1,0),
(302070,10110648,'If weapon equipped in Ranged',100,1,1),
(302071,10110648,'Must be flanking or behind',100,1,2),
(302072,78987,'When Equipped:',100,0,0),
(302073,78987,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(302074,10078987,'When Equipped:',100,0,0),
(302075,10078987,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(302076,159459,'Applies Sanguine Imbued when Equipped.',100,0,0),
(302077,159459,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(302078,159459,'Inflicts 79 heat damage on target',100,2,2),
(302079,159459,'Cannot be modified except by direct means',100,2,3),
(302080,10159459,'Applies Sanguine Imbued when Equipped.',100,0,0),
(302081,10159459,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(302082,10159459,'Inflicts 103 heat damage on target',100,2,2),
(302083,10159459,'Cannot be modified except by direct means',100,2,3),
(302084,112250,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(302085,112250,'Decreases power of target by 111',100,2,1),
(302086,112250,'Increases power of caster by 91',100,2,2),
(302087,10112250,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(302088,10112250,'Decreases power of target by 111',100,2,1),
(302089,10112250,'Increases power of caster by 73',100,2,2),
(302090,103611,'Inflicts 98 - 163 melee damage on target',100,1,0),
(302091,103611,'If facing target',100,1,1),
(302092,10103611,'Inflicts 127 - 212 melee damage on target',100,1,0),
(302093,10103611,'If facing target',100,1,1),
(302094,138428,'When Equipped:',100,0,0),
(302095,138428,'Reduces physical damage done to target by 3%',100,1,1),
(302096,10138428,'When Equipped:',100,0,0),
(302097,10138428,'Reduces physical damage done to target by 3%',100,1,1),
(302098,75566,'Applies Disease Blast when Activated.',100,0,0),
(302099,75566,'Inflicts 427 - 711 disease damage on target',100,1,1),
(302100,75566,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(302101,10075566,'Applies Disease Blast when Activated.',100,0,0),
(302102,10075566,'Inflicts 555 - 925 disease damage on target',100,1,1),
(302103,10075566,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(302104,74923,'When Equipped:',100,0,0),
(302105,74923,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302106,74923,'Inflicts 26 - 40 magic damage on target',100,2,2),
(302107,74923,'Cannot be modified except by direct means',100,2,3),
(302108,10074923,'When Equipped:',100,0,0),
(302109,10074923,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302110,10074923,'Inflicts 34 - 51 magic damage on target',100,2,2),
(302111,10074923,'Cannot be modified except by direct means',100,2,3),
(302112,176638,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(302113,176638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,1,1),
(302114,176638,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(302115,10176638,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(302116,10176638,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',100,1,1),
(302117,10176638,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(302118,176426,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(302119,176426,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(302120,176426,'Decreases Attack Speed of target by 12.0',100,2,2),
(302121,176426,'Cannot be modified except by direct means',100,2,3),
(302122,176426,'Slows target by 32.2%',100,1,4),
(302123,176426,'5% chance to dispel when target takes damage',100,1,5),
(302124,176426,'5% chance to dispel when target receives hostile action',100,1,6),
(302125,176426,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(302126,10176426,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(302127,10176426,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(302128,10176426,'Decreases Attack Speed of target by 12.0',100,2,2),
(302129,10176426,'Cannot be modified except by direct means',100,2,3),
(302130,10176426,'Slows target by 32.2%',100,1,4),
(302131,10176426,'5% chance to dispel when target takes damage',100,1,5),
(302132,10176426,'5% chance to dispel when target receives hostile action',100,1,6),
(302133,10176426,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(302134,183280,'When Equipped:',100,0,0),
(302135,183280,'On a healing spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(302136,183280,'Increases power of group members by 177 instantly and every 5 seconds',100,2,2),
(302137,183280,'Increases heal amount of all heals by 1%',100,2,3),
(302138,183280,'Increases Max Health of group members by 4,482.0',100,2,4),
(302139,183280,'Must not be engaged in pvp combat',100,2,5),
(302140,183280,'Cannot be modified except by direct means',100,2,6),
(302141,183280,'On a hostile spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(302142,183280,'Increases power of group members by 177 instantly and every 5 seconds',100,2,8),
(302143,183280,'Increases heal amount of all heals by 1%',100,2,9),
(302144,183280,'Increases Max Health of group members by 4,482.0',100,2,10),
(302145,183280,'Must not be engaged in pvp combat',100,2,11),
(302146,183280,'Cannot be modified except by direct means',100,2,12),
(302147,183280,'Cannot be modified except by direct means',100,1,13),
(302148,10183280,'When Equipped:',100,0,0),
(302149,10183280,'On a healing spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(302150,10183280,'Increases power of group members by 177 instantly and every 5 seconds',100,2,2),
(302151,10183280,'Increases heal amount of all heals by 1%',100,2,3),
(302152,10183280,'Increases Max Health of group members by 4,482.0',100,2,4),
(302153,10183280,'Must not be engaged in pvp combat',100,2,5),
(302154,10183280,'Cannot be modified except by direct means',100,2,6),
(302155,10183280,'On a hostile spell cast this spell may cast Resolution of Heated Battle on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(302156,10183280,'Increases power of group members by 177 instantly and every 5 seconds',100,2,8),
(302157,10183280,'Increases heal amount of all heals by 1%',100,2,9),
(302158,10183280,'Increases Max Health of group members by 4,482.0',100,2,10),
(302159,10183280,'Must not be engaged in pvp combat',100,2,11),
(302160,10183280,'Cannot be modified except by direct means',100,2,12),
(302161,10183280,'Cannot be modified except by direct means',100,1,13),
(302162,41454,'When Equipped:',100,0,0),
(302163,41454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302164,41454,'Inflicts 50 - 93 magic damage on target',100,2,2),
(302165,41454,'Cannot be modified except by direct means',100,2,3),
(302166,10041454,'When Equipped:',100,0,0),
(302167,10041454,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302168,10041454,'Inflicts 65 - 121 magic damage on target',100,2,2),
(302169,10041454,'Cannot be modified except by direct means',100,2,3),
(302170,165564,'When Equipped:',100,0,0),
(302171,165564,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(302172,165564,'Decreases Threat to target by 800 ',100,2,2),
(302173,165564,'Cannot be modified except by direct means',100,2,3),
(302174,10165564,'When Equipped:',100,0,0),
(302175,10165564,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(302176,10165564,'Cannot be modified except by direct means',100,2,2),
(302177,80382,'When Equipped:',100,0,0),
(302178,80382,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302179,80382,'Inflicts 48 - 90 magic damage on target',100,2,2),
(302180,80382,'Cannot be modified except by direct means',100,2,3),
(302181,10080382,'When Equipped:',100,0,0),
(302182,10080382,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302183,10080382,'Inflicts 63 - 116 magic damage on target',100,2,2),
(302184,10080382,'Cannot be modified except by direct means',100,2,3),
(302185,107300,'Decreases WIS of target by 9.5',100,1,0),
(302186,107300,'Decreases Defense of target by 3.1',100,1,1),
(302187,10107300,'Decreases WIS of target by 9.5',100,1,0),
(302188,10107300,'Decreases Defense of target by 3.1',100,1,1),
(302189,141894,'When Equipped:',100,0,0),
(302190,141894,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(302191,141894,'Increases WIS of caster by 16.3',100,2,2),
(302192,141894,'Increases Ministration, Ordination and Focus of caster by 9.2',100,2,3),
(302193,141894,'Cannot be modified except by direct means',100,2,4),
(302194,10141894,'When Equipped:',100,0,0),
(302195,10141894,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(302196,10141894,'Increases WIS of caster by 16.3',100,2,2),
(302197,10141894,'Increases Ministration, Ordination and Focus of caster by 9.2',100,2,3),
(302198,10141894,'Cannot be modified except by direct means',100,2,4),
(302199,74970,'When Equipped:',100,0,0),
(302200,74970,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302201,74970,'Inflicts 63 - 94 magic damage on target',100,2,2),
(302202,74970,'Cannot be modified except by direct means',100,2,3),
(302203,10074970,'When Equipped:',100,0,0),
(302204,10074970,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302205,10074970,'Inflicts 82 - 123 magic damage on target',100,2,2),
(302206,10074970,'Cannot be modified except by direct means',100,2,3),
(302207,121192,'Grants stealth to caster',100,1,0),
(302208,121192,'Suspends caster''s movement speed enhancements',100,1,1),
(302209,121192,'Decreases Threat to target by 589 - 982 ',100,1,2),
(302210,10121192,'Forces target to clear their selected target.',100,1,0),
(302211,10121192,'Grants stealth to caster',100,1,1),
(302212,10121192,'Suspends caster''s movement speed enhancements',100,1,2),
(302213,101700,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(302214,101700,'Inflicts 317 - 387 disease damage on target',100,2,1),
(302215,101700,'Grants a total of 3 triggers of the spell.',100,2,2),
(302216,10101700,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(302217,10101700,'Inflicts 412 - 504 disease damage on target',100,2,1),
(302218,10101700,'Grants a total of 3 triggers of the spell.',100,2,2),
(302219,144643,'When Equipped:',100,0,0),
(302220,144643,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(302221,144643,'Reduces healing received by 15.00%',100,2,2),
(302222,144643,'Cannot be modified except by direct means',100,2,3),
(302223,144643,'This effect can only trigger once every 1 second.',100,2,4),
(302224,144643,'Must be engaged in pvp combat',100,1,5),
(302225,10144643,'When Equipped:',100,0,0),
(302226,10144643,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(302227,10144643,'Reduces healing received by 15.00%',100,2,2),
(302228,10144643,'Cannot be modified except by direct means',100,2,3),
(302229,10144643,'This effect can only trigger once every 1 second.',100,2,4),
(302230,10144643,'Must be engaged in pvp combat',100,1,5),
(302231,105459,'Inflicts 264 - 323 poison damage on target instantly and every 4 seconds',100,1,0),
(302232,105459,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(302233,105459,'Summons 3 limited pets to aid the caster',100,2,2),
(302234,105459,'Grants a total of 1 trigger of the spell.',100,2,3),
(302235,10105459,'Inflicts 343 - 420 poison damage on target instantly and every 4 seconds',100,1,0),
(302236,10105459,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(302237,10105459,'Summons 3 limited pets to aid the caster',100,2,2),
(302238,10105459,'Grants a total of 1 trigger of the spell.',100,2,3),
(302239,100940,'Dazes target',100,1,0),
(302240,100940,'Inflicts 137 - 168 mental damage on target',100,1,1),
(302241,100940,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(302242,100940,'Resistibility increases against targets higher than level 54.',100,1,3),
(302243,10100940,'Dazes target',100,1,0),
(302244,10100940,'Inflicts 179 - 218 mental damage on target',100,1,1),
(302245,10100940,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(302246,10100940,'Resistibility increases against targets higher than level 54.',100,1,3),
(302247,107523,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(302248,107523,'Decreases Mitigation of target encounter vs elemental and noxious damage by 312',100,1,1),
(302249,10107523,'Decreases Max Health of target encounter by 1.8%',100,1,0),
(302250,10107523,'Decreases Mitigation of target encounter vs elemental and noxious damage by 312',100,1,1),
(302251,110039,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(302252,110039,'Inflicts 209 - 349 disease damage on target',100,2,1),
(302253,110039,'Heals caster for 1.9 - 3.1% of max health',100,2,2),
(302254,110039,'This effect cannot be critically applied.',100,3,3),
(302255,110039,'The healing of this spell cannot be modified except by direct means',100,2,4),
(302256,10110039,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(302257,10110039,'Inflicts 272 - 453 disease damage on target',100,2,1),
(302258,10110039,'Heals caster for 0.6 - 0.9% of max health',100,2,2),
(302259,10110039,'This effect cannot be critically applied.',100,3,3),
(302260,10110039,'The healing of this spell cannot be modified except by direct means',100,2,4),
(302261,41990,'When Equipped:',100,0,0),
(302262,41990,'On a critical spell hit this spell may cast Mana Deluge III on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(302263,41990,'Decreases Mitigation of target vs arcane damage by 350',100,2,2),
(302264,41990,'Inflicts 144 - 160 crushing damage on target',100,2,3),
(302265,41990,'Increases power of caster by 38',100,2,4),
(302266,41990,'Decreases Mitigation of target vs elemental and noxious damage by 350',100,2,5),
(302267,41990,'Must not be engaged in pvp combat',100,2,6),
(302268,41990,'Cannot be modified except by direct means',100,2,7),
(302269,41990,'On a critical combat hit this spell may cast Mana Deluge III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(302270,41990,'Decreases Mitigation of target vs arcane damage by 350',100,2,9),
(302271,41990,'Inflicts 144 - 160 crushing damage on target',100,2,10),
(302272,41990,'Increases power of caster by 38',100,2,11),
(302273,41990,'Decreases Mitigation of target vs elemental and noxious damage by 350',100,2,12),
(302274,41990,'Must not be engaged in pvp combat',100,2,13),
(302275,41990,'Cannot be modified except by direct means',100,2,14),
(302276,41990,'Must not be engaged in pvp combat',100,1,15),
(302277,10041990,'When Equipped:',100,0,0),
(302278,10041990,'On a critical spell hit this spell may cast Mana Deluge III on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(302279,10041990,'Decreases Mitigation of target vs arcane damage by 350',100,2,2),
(302280,10041990,'Inflicts 188 - 207 crushing damage on target',100,2,3),
(302281,10041990,'Increases power of caster by 38',100,2,4),
(302282,10041990,'Decreases Mitigation of target vs elemental and noxious damage by 350',100,2,5),
(302283,10041990,'Must not be engaged in pvp combat',100,2,6),
(302284,10041990,'Cannot be modified except by direct means',100,2,7),
(302285,10041990,'On a critical combat hit this spell may cast Mana Deluge III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(302286,10041990,'Decreases Mitigation of target vs arcane damage by 350',100,2,9),
(302287,10041990,'Inflicts 188 - 207 crushing damage on target',100,2,10),
(302288,10041990,'Increases power of caster by 38',100,2,11),
(302289,10041990,'Decreases Mitigation of target vs elemental and noxious damage by 350',100,2,12),
(302290,10041990,'Must not be engaged in pvp combat',100,2,13),
(302291,10041990,'Cannot be modified except by direct means',100,2,14),
(302292,10041990,'Must not be engaged in pvp combat',100,1,15),
(302293,25472,'When Equipped:',100,0,0),
(302294,25472,'Increases healing of Divine Favor, lowers the duration and decreases the reuse time by 30 seconds.',100,1,1),
(302295,10025472,'When Equipped:',100,0,0),
(302296,10025472,'Increases healing of Divine Favor, lowers the duration and decreases the reuse time by 30 seconds.',100,1,1),
(302297,36675,'Increases WIS and STA of target by 3.2',100,0,0),
(302298,36675,'Increases Out-of-Combat Power Regeneration of target by 39.0',100,0,1),
(302299,48951,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(302300,48951,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(302301,48951,'Inflicts 71 poison damage on target instantly and every 6 seconds',100,2,2),
(302302,48951,'Inflicts 81 poison damage on target',100,2,3),
(302303,48951,'Cannot be modified except by direct means',100,2,4),
(302304,48951,'Grants a total of 200 triggers of the spell.',100,2,5),
(302305,10048951,'Applies vindicitive strike when Activated.  Lasts for 12 hours.',100,0,0),
(302306,10048951,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(302307,10048951,'Inflicts 70 poison damage on target instantly and every 6 seconds',100,2,2),
(302308,10048951,'Inflicts 79 poison damage on target',100,2,3),
(302309,10048951,'Cannot be modified except by direct means',100,2,4),
(302310,10048951,'Grants a total of 200 triggers of the spell.',100,2,5),
(302311,45214,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(302312,45214,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(302313,45214,'Inflicts 118 poison damage on target',100,2,2),
(302314,45214,'Cannot be modified except by direct means',100,2,3),
(302315,45214,'Grants a total of 100 triggers of the spell.',100,2,4),
(302316,10045214,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(302317,10045214,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(302318,10045214,'Inflicts 115 poison damage on target',100,2,2),
(302319,10045214,'Cannot be modified except by direct means',100,2,3),
(302320,10045214,'Grants a total of 100 triggers of the spell.',100,2,4),
(302321,102204,'Increases Mitigation of group members (AE) vs physical damage by 730',100,1,0),
(302322,10102204,'Increases Mitigation of group members (AE) vs physical damage by 730',100,1,0),
(302323,117421,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(302324,117421,'Inflicts 148 - 275 melee damage on targets in area',100,2,1),
(302325,117421,'Grants a total of 10 triggers of the spell.',100,2,2),
(302326,10117421,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(302327,10117421,'Inflicts 192 - 357 melee damage on targets in area',100,2,1),
(302328,10117421,'Grants a total of 10 triggers of the spell.',100,2,2),
(302329,114350,'Increases Attack Speed of group members (AE) by 12.2',100,1,0),
(302330,10114350,'Increases Attack Speed of group members (AE) by 12.2',100,1,0),
(302331,108479,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(302332,108479,'Increases Aggression of caster by 10.5',100,1,1),
(302333,108479,'Increases Defense and Parry of caster by 21.1',100,1,2),
(302334,108479,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(302335,10108479,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(302336,10108479,'Increases Aggression of caster by 10.5',100,1,1),
(302337,10108479,'Increases Defense and Parry of caster by 21.1',100,1,2),
(302338,10108479,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(302339,161827,'When Equipped:',100,0,0),
(302340,161827,'Increases Attack Speed of caster by 40.0',100,1,1),
(302341,10161827,'When Equipped:',100,0,0),
(302342,10161827,'Increases Attack Speed of caster by 40.0',100,1,1),
(302343,47439,'Applies Orange Two Tone Warg with Red Armor when Activated.',100,0,0),
(302344,47439,'Summons a mount to ride',100,1,1),
(302345,47439,'Increases your ground speed by 130%',100,2,2),
(302346,47439,'Increases Disruption, Piercing, Slashing and Crushing of caster by 7.0',100,1,3),
(302347,47439,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(302348,47439,'Increases Ranged of caster by 7.0',100,1,5),
(302349,10047439,'Applies Orange Two Tone Warg with Red Armor when Activated.',100,0,0),
(302350,10047439,'Summons a mount to ride',100,1,1),
(302351,10047439,'Increases your ground speed by 130%',100,2,2),
(302352,10047439,'Increases Disruption, Piercing, Slashing and Crushing of caster by 7.0',100,1,3),
(302353,10047439,'Increases damage done by spells and combat arts by up to 50.',100,1,4),
(302354,10047439,'Increases Ranged of caster by 7.0',100,1,5),
(302355,46265,'Applies elixir of tactics when Activated.  Lasts for 15 minutes.',100,0,0),
(302356,46265,'Increases Crit Chance of caster by 4.0',100,1,1),
(302357,10046265,'Applies elixir of tactics when Activated.  Lasts for 15 minutes.',100,0,0),
(302358,10046265,'Increases Crit Chance of caster by 4.0',100,1,1),
(302359,26570,'When Equipped:',100,0,0),
(302360,26570,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(302361,26570,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(302362,10026570,'When Equipped:',100,0,0),
(302363,10026570,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(302364,10026570,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(302365,70273,'When Equipped:',100,0,0),
(302366,70273,'Aetoek is a weapon born of the purest destruction...',100,1,1),
(302367,70273,'On a combat hit this spell may cast Zealous Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(302368,70273,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(302369,70273,'Inflicts 3388 heat damage on target',100,2,4),
(302370,70273,'Heals caster for 2599',100,2,5),
(302371,70273,'Cannot be modified except by direct means',100,2,6),
(302372,10070273,'When Equipped:',100,0,0),
(302373,10070273,'Aetoek is a weapon born of the purest destruction...',100,1,1),
(302374,10070273,'On a combat hit this spell may cast Zealous Annihilation on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(302375,10070273,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,3),
(302376,10070273,'Inflicts 4405 heat damage on target',100,2,4),
(302377,10070273,'Heals caster for 3041',100,2,5),
(302378,10070273,'Cannot be modified except by direct means',100,2,6),
(302379,109891,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(302380,109891,'Inflicts 24 - 30 poison damage on target instantly and every 4 seconds',100,2,1),
(302381,10109891,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(302382,10109891,'Inflicts 32 - 39 poison damage on target instantly and every 4 seconds',100,2,1),
(302383,104559,'Inflicts 80 - 133 disease damage on target',100,1,0),
(302384,104559,'Decreases WIS of target by 31.8',100,1,1),
(302385,10104559,'Inflicts 104 - 173 disease damage on target',100,1,0),
(302386,10104559,'Decreases WIS of target by 31.8',100,1,1),
(302387,113914,'Inflicts 420 - 700 disease damage on target',100,1,0),
(302388,113914,'Inflicts 105 - 175 disease damage on target every 4 seconds',100,1,1),
(302389,113914,'Increases power of caster by 227 - 379',100,1,2),
(302390,113914,'Increases power of caster by 49 - 82 every 4 seconds',100,1,3),
(302391,10113914,'Inflicts 546 - 910 disease damage on target',100,1,0),
(302392,10113914,'Inflicts 137 - 228 disease damage on target every 4 seconds',100,1,1),
(302393,10113914,'Increases power of caster by 227 - 379',100,1,2),
(302394,10113914,'Increases power of caster by 49 - 82 every 4 seconds',100,1,3),
(302395,117739,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(302396,117739,'Heals target for 914',100,2,1),
(302397,117739,'Increases Max Health of target by 627.8',100,2,2),
(302398,117739,'Grants a total of 1 trigger of the spell.',100,2,3),
(302399,10117739,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(302400,10117739,'Heals target for 594',100,2,1),
(302401,10117739,'Increases Max Health of target by 627.8',100,2,2),
(302402,10117739,'Grants a total of 1 trigger of the spell.',100,2,3),
(302403,117370,'Increases Threat to target by 25 ',100,1,0),
(302404,117370,'Inflicts 4 - 12 melee damage on target',100,1,1),
(302405,10117370,'Forces target to change their selected target to caster.',100,1,0),
(302406,10117370,'Inflicts 3 - 11 melee damage on target',100,1,1),
(302407,52750,'Applies Imbued Smite when Equipped.',100,0,0),
(302408,52750,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(302409,52750,'Inflicts 407 divine damage on target instantly and every second',100,2,2),
(302410,52750,'Cannot be modified except by direct means',100,2,3),
(302411,52750,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(302412,52750,'Inflicts 407 divine damage on target instantly and every second',100,2,5),
(302413,52750,'Cannot be modified except by direct means',100,2,6),
(302414,10052750,'Applies Imbued Smite when Equipped.',100,0,0),
(302415,10052750,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(302416,10052750,'Inflicts 530 divine damage on target instantly and every second',100,2,2),
(302417,10052750,'Cannot be modified except by direct means',100,2,3),
(302418,10052750,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(302419,10052750,'Inflicts 530 divine damage on target instantly and every second',100,2,5),
(302420,10052750,'Cannot be modified except by direct means',100,2,6),
(302421,49109,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(302422,49109,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(302423,49109,'Inflicts 222 poison damage on target',100,2,2),
(302424,49109,'Inflicts 114 poison damage on target instantly and every 6 seconds',100,2,3),
(302425,49109,'Cannot be modified except by direct means',100,2,4),
(302426,49109,'Grants a total of 200 triggers of the spell.',100,2,5),
(302427,10049109,'Applies ward of darkness when Activated.  Lasts for 12 hours.',100,0,0),
(302428,10049109,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(302429,10049109,'Inflicts 216 poison damage on target',100,2,2),
(302430,10049109,'Inflicts 112 poison damage on target instantly and every 6 seconds',100,2,3),
(302431,10049109,'Cannot be modified except by direct means',100,2,4),
(302432,10049109,'Grants a total of 200 triggers of the spell.',100,2,5),
(302433,54447,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(302434,54447,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(302435,54447,'Inflicts 98 heat damage on target',100,2,2),
(302436,54447,'Cannot be modified except by direct means',100,2,3),
(302437,10054447,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(302438,10054447,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(302439,10054447,'Inflicts 127 heat damage on target',100,2,2),
(302440,10054447,'Cannot be modified except by direct means',100,2,3),
(302441,104922,'Inflicts 313 - 521 ranged damage on target',100,1,0),
(302442,104922,'Decreases Deflection and Parry of target by 28.8',100,1,1),
(302443,104922,'Requires bow',100,1,2),
(302444,10104922,'Inflicts 234 - 391 ranged damage on target',100,1,0),
(302445,10104922,'Decreases Deflection and Parry of target by 28.8',100,1,1),
(302446,10104922,'Requires bow',100,1,2),
(302447,115831,'Inflicts 52 disease damage on target every 3 seconds',100,1,0),
(302448,115831,'Inflicts 194 - 323 melee damage on target',100,1,1),
(302449,115831,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(302450,115831,'Heals caster for 1.9% of max health instantly and every 3 seconds',100,2,3),
(302451,115831,'This effect cannot be critically applied.',100,3,4),
(302452,115831,'The healing of this spell cannot be modified except by direct means',100,2,5),
(302453,115831,'The healing of this spell cannot be modified except by direct means',100,1,6),
(302454,10115831,'Inflicts 67 disease damage on target every 3 seconds',100,1,0),
(302455,10115831,'Inflicts 252 - 420 melee damage on target',100,1,1),
(302456,10115831,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(302457,10115831,'Heals caster for 0.6% of max health instantly and every 3 seconds',100,2,3),
(302458,10115831,'This effect cannot be critically applied.',100,3,4),
(302459,10115831,'The healing of this spell cannot be modified except by direct means',100,2,5),
(302460,10115831,'The healing of this spell cannot be modified except by direct means',100,1,6),
(302461,141838,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(302462,141838,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(302463,141838,'Inflicts 9 heat damage on target',100,2,2),
(302464,141838,'Cannot be modified except by direct means',100,2,3),
(302465,10141838,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(302466,10141838,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(302467,10141838,'Inflicts 12 heat damage on target',100,2,2),
(302468,10141838,'Cannot be modified except by direct means',100,2,3),
(302469,190001,'When Equipped:',100,0,0),
(302470,190001,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(302471,190001,'Inflicts 2664 disease damage on target encounter',100,2,2),
(302472,190001,'Must not be engaged in pvp combat',100,2,3),
(302473,190001,'Cannot be modified except by direct means',100,2,4),
(302474,10190001,'When Equipped:',100,0,0),
(302475,10190001,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(302476,10190001,'Inflicts 1732 disease damage on target encounter',100,2,2),
(302477,10190001,'Must not be engaged in pvp combat',100,2,3),
(302478,10190001,'Cannot be modified except by direct means',100,2,4),
(302479,190030,'When Equipped:',100,0,0),
(302480,190030,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(302481,190030,'Heals group members (AE) for 580',100,2,2),
(302482,190030,'Cannot be modified except by direct means',100,2,3),
(302483,10190030,'When Equipped:',100,0,0),
(302484,10190030,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(302485,10190030,'Heals group members (AE) for 679',100,2,2),
(302486,10190030,'Cannot be modified except by direct means',100,2,3),
(302487,35704,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(302488,35704,'Increases Max Power of target by 10.5',100,0,1),
(302489,119134,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(302490,119134,'Inflicts 176 - 216 slashing damage on target',100,2,1),
(302491,119134,'Increases Mitigation of caster vs physical damage by 531',100,1,2),
(302492,10119134,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(302493,10119134,'Inflicts 229 - 280 slashing damage on target',100,2,1),
(302494,10119134,'Increases Mitigation of caster vs physical damage by 531',100,1,2),
(302495,177650,'When Equipped:',100,0,0),
(302496,177650,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(302497,177650,'Increases WIS of caster by 14.8',100,2,2),
(302498,177650,'Increases Ministration, Ordination and Focus of caster by 8.3',100,2,3),
(302499,177650,'Cannot be modified except by direct means',100,2,4),
(302500,10177650,'When Equipped:',100,0,0),
(302501,10177650,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(302502,10177650,'Increases WIS of caster by 14.8',100,2,2),
(302503,10177650,'Increases Ministration, Ordination and Focus of caster by 8.3',100,2,3),
(302504,10177650,'Cannot be modified except by direct means',100,2,4),
(302505,37563,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(302506,80026,'Applies Fire Ball when Activated.',100,0,0),
(302507,80026,'Inflicts 78 - 129 heat damage on target',100,1,1),
(302508,80026,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(302509,10080026,'Applies Fire Ball when Activated.',100,0,0),
(302510,10080026,'Inflicts 101 - 168 heat damage on target',100,1,1),
(302511,10080026,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(302512,110408,'Inflicts 1601 - 2668 disease damage on target',100,1,0),
(302513,10110408,'Inflicts 1427 - 2379 disease damage on target',100,1,0),
(302514,103178,'Throws target back',100,1,0),
(302515,103178,'If Target is not Epic',100,2,1),
(302516,103178,'Inflicts 194 - 583 crushing damage on target',100,1,2),
(302517,103178,'Stuns target',100,1,3),
(302518,103178,'If Target is not Epic',100,2,4),
(302519,103178,'Resistibility increases against targets higher than level 118.',100,1,5),
(302520,10103178,'Throws target back',100,1,0),
(302521,10103178,'If Target is not Epic',100,2,1),
(302522,10103178,'Inflicts 252 - 757 crushing damage on target',100,1,2),
(302523,10103178,'Stuns target',100,1,3),
(302524,10103178,'If Target is not Epic',100,2,4),
(302525,10103178,'Resistibility increases against targets higher than level 118.',100,1,5),
(302526,106804,'Decreases STR and AGI of target encounter by 81.3',100,1,0),
(302527,10106804,'Decreases STR and AGI of target encounter by 81.3',100,1,0),
(302528,191581,'When Equipped:',100,0,0),
(302529,191581,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(302530,191581,'Inflicts 109 - 133 magic damage on target',100,2,2),
(302531,191581,'Cannot be modified except by direct means',100,2,3),
(302532,10191581,'When Equipped:',100,0,0),
(302533,10191581,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(302534,10191581,'Inflicts 141 - 172 magic damage on target',100,2,2),
(302535,10191581,'Cannot be modified except by direct means',100,2,3),
(302536,188272,'When Equipped:',100,0,0),
(302537,188272,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(302538,188272,'Inflicts 18 divine damage on target',100,2,2),
(302539,188272,'Cannot be modified except by direct means',100,2,3),
(302540,10188272,'When Equipped:',100,0,0),
(302541,10188272,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(302542,10188272,'Inflicts 24 divine damage on target',100,2,2),
(302543,10188272,'Cannot be modified except by direct means',100,2,3),
(302544,119817,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(302545,119817,'Adds 1.0% to base avoidance.',100,1,1),
(302546,10119817,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(302547,10119817,'Adds 1.0% to base avoidance.',100,1,1),
(302548,103393,'Decreases power of target by 44 instantly and every 6 seconds',100,1,0),
(302549,103393,'Inflicts 175 - 214 mental damage on target instantly and every 6 seconds',100,1,1),
(302550,103393,'Increases power of caster by 240',100,1,2),
(302551,10103393,'Decreases power of target by 44 instantly and every 6 seconds',100,1,0),
(302552,10103393,'Inflicts 228 - 278 mental damage on target instantly and every 6 seconds',100,1,1),
(302553,10103393,'Increases power of caster by 240',100,1,2),
(302554,121319,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(302555,10121319,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(302556,140705,'When Equipped:',100,0,0),
(302557,140705,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(302558,140705,'Inflicts 2648 poison damage on target',100,2,2),
(302559,140705,'If under 15% Health',100,2,3),
(302560,140705,'Cannot be modified except by direct means',100,2,4),
(302561,140705,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(302562,140705,'Inflicts 2648 poison damage on target',100,2,6),
(302563,140705,'If under 15% Health',100,2,7),
(302564,140705,'Cannot be modified except by direct means',100,2,8),
(302565,140705,'Cannot be modified except by direct means',100,1,9),
(302566,140705,'When Equipped:',100,0,10),
(302567,140705,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(302568,140705,'Increases Multi Attack Chance of caster by 15.0',100,2,12),
(302569,140705,'Cannot be modified except by direct means',100,2,13),
(302570,10140705,'When Equipped:',100,0,0),
(302571,10140705,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(302572,10140705,'Inflicts 3442 poison damage on target',100,2,2),
(302573,10140705,'If under 15% Health',100,2,3),
(302574,10140705,'Cannot be modified except by direct means',100,2,4),
(302575,10140705,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(302576,10140705,'Inflicts 3442 poison damage on target',100,2,6),
(302577,10140705,'If under 15% Health',100,2,7),
(302578,10140705,'Cannot be modified except by direct means',100,2,8),
(302579,10140705,'Cannot be modified except by direct means',100,1,9),
(302580,10140705,'When Equipped:',100,0,10),
(302581,10140705,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(302582,10140705,'Increases Multi Attack Chance of caster by 15.0',100,2,12),
(302583,10140705,'Cannot be modified except by direct means',100,2,13),
(302584,35438,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(302585,159283,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(302586,159283,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(302587,159283,'Inflicts 62 heat damage on target',100,2,2),
(302588,159283,'Cannot be modified except by direct means',100,2,3),
(302589,10159283,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(302590,10159283,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(302591,10159283,'Inflicts 80 heat damage on target',100,2,2),
(302592,10159283,'Cannot be modified except by direct means',100,2,3),
(302593,112313,'Inflicts 140 - 171 disease damage on target',100,1,0),
(302594,112313,'Inflicts 70 - 85 disease damage on target every 3 seconds',100,1,1),
(302595,112313,'Increases Threat to target by 1,311 - 1,602  instantly and by 246 - 301  every 3 seconds thereafter',100,1,2),
(302596,10112313,'Inflicts 91 - 111 disease damage on target every 3 seconds',100,1,0),
(302597,10112313,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(302598,119301,'Roots target',100,1,0),
(302599,119301,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(302600,119301,'Slows target by 47.3%',100,2,2),
(302601,119301,'5% chance to dispel when target receives hostile action',100,2,3),
(302602,119301,'5% chance to dispel when target takes damage',100,2,4),
(302603,119301,'15% chance to dispel when target takes damage',100,1,5),
(302604,119301,'Does not affect Epic targets',100,1,6),
(302605,119301,'Resistibility increases against targets higher than level 48.',100,1,7),
(302606,10119301,'Roots target',100,1,0),
(302607,10119301,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(302608,10119301,'Slows target by 47.3%',100,2,2),
(302609,10119301,'5% chance to dispel when target receives hostile action',100,2,3),
(302610,10119301,'5% chance to dispel when target takes damage',100,2,4),
(302611,10119301,'15% chance to dispel when target takes damage',100,1,5),
(302612,10119301,'Does not affect Epic targets',100,1,6),
(302613,10119301,'Resistibility increases against targets higher than level 48.',100,1,7),
(302614,122118,'Dispels 46 levels of arcane beneficial effects on target',100,1,0),
(302615,122118,'Interrupts target',100,1,1),
(302616,122118,'Increases Threat to target by 517 ',100,1,2),
(302617,10122118,'Interrupts target',100,1,0),
(302618,10122118,'Forces target to change their selected target to caster.',100,1,1),
(302619,10122118,'Dispels 46 levels of arcane beneficial effects on target',100,1,2),
(302620,159799,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(302621,159799,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(302622,159799,'Inflicts 45 heat damage on target',100,2,2),
(302623,159799,'Cannot be modified except by direct means',100,2,3),
(302624,10159799,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(302625,10159799,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(302626,10159799,'Inflicts 58 heat damage on target',100,2,2),
(302627,10159799,'Cannot be modified except by direct means',100,2,3),
(302628,123407,'When damaged with a melee weapon this spell has a 11% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(302629,123407,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(302630,10123407,'When damaged with a melee weapon this spell has a 11% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(302631,10123407,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(302632,123375,'Heals group members (AE) for 822 - 1004',100,1,0),
(302633,10123375,'Heals group members (AE) for 1000 - 1222',100,1,0),
(302634,45244,'Applies Aubrak''s Magical Shift when Activated.',100,0,0),
(302635,45244,'This spell can alter powerful archetype specific impairments used by Miragul during combat.',100,1,1),
(302636,10045244,'Applies Aubrak''s Magical Shift when Activated.',100,0,0),
(302637,10045244,'This spell can alter powerful archetype specific impairments used by Miragul during combat.',100,1,1),
(302638,104048,'Inflicts 18 - 22 mental damage on target instantly and every 6 seconds',100,1,0),
(302639,104048,'Applies Migraine on termination.',100,1,1),
(302640,104048,'Inflicts 51 - 69 mental damage on target',100,2,2),
(302641,10104048,'Inflicts 23 - 29 mental damage on target instantly and every 6 seconds',100,1,0),
(302642,10104048,'Applies Migraine on termination.',100,1,1),
(302643,10104048,'Inflicts 66 - 90 mental damage on target',100,2,2),
(302644,105906,'Inflicts 349 - 583 ranged damage on target',100,1,0),
(302645,105906,'Inflicts 349 - 583 ranged damage on target',100,1,1),
(302646,105906,'If weapon equipped in Ranged',100,1,2),
(302647,10105906,'Inflicts 262 - 437 ranged damage on target',100,1,0),
(302648,10105906,'Inflicts 262 - 437 ranged damage on target',100,1,1),
(302649,10105906,'If weapon equipped in Ranged',100,1,2),
(302650,123672,'Increases Damage Per Second of target by 41.2',100,1,0),
(302651,10123672,'Increases Damage Per Second of target by 41.2',100,1,0),
(302652,114368,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(302653,114368,'Stuns target',100,2,1),
(302654,114368,'Throws target back',100,2,2),
(302655,114368,'Blurs vision of target',100,2,3),
(302656,114368,'Does not affect Epic targets',100,2,4),
(302657,114368,'Inflicts 122 - 203 crushing damage on target',100,1,5),
(302658,10114368,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(302659,10114368,'Blurs vision of target',100,2,1),
(302660,10114368,'Stuns target',100,2,2),
(302661,10114368,'Throws target back',100,2,3),
(302662,10114368,'Does not affect Epic targets',100,2,4),
(302663,10114368,'Inflicts 159 - 265 crushing damage on target',100,1,5),
(302664,37234,'Increases STR and INT of target by 13.2',100,0,0),
(302665,37234,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(302666,159560,'Applies Sanguine Imbued when Equipped.',100,0,0),
(302667,159560,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(302668,159560,'Inflicts 99 heat damage on target',100,2,2),
(302669,159560,'Cannot be modified except by direct means',100,2,3),
(302670,10159560,'Applies Sanguine Imbued when Equipped.',100,0,0),
(302671,10159560,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(302672,10159560,'Inflicts 129 heat damage on target',100,2,2),
(302673,10159560,'Cannot be modified except by direct means',100,2,3),
(302674,74964,'When Equipped:',100,0,0),
(302675,74964,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302676,74964,'Inflicts 111 - 166 magic damage on target',100,2,2),
(302677,74964,'Cannot be modified except by direct means',100,2,3),
(302678,10074964,'When Equipped:',100,0,0),
(302679,10074964,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302680,10074964,'Inflicts 144 - 216 magic damage on target',100,2,2),
(302681,10074964,'Cannot be modified except by direct means',100,2,3),
(302682,151066,'When Equipped:',100,0,0),
(302683,151066,'Reduces maximum falling speed of caster',100,1,1),
(302684,10151066,'When Equipped:',100,0,0),
(302685,10151066,'Reduces maximum falling speed of caster',100,1,1),
(302686,47305,'Applies Slate''s Awakening  when Activated.',100,0,0),
(302687,47305,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(302688,10047305,'Applies Slate''s Awakening  when Activated.',100,0,0),
(302689,10047305,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(302690,122282,'Decreases Threat to targets in Area of Effect by 2,284 ',100,1,0),
(302691,122282,'Makes targets in Area of Effect afraid',100,1,1),
(302692,122282,'If Target is not Epic',100,2,2),
(302693,122282,'30% chance to dispel when target takes damage',100,1,3),
(302694,10122282,'Applies Distract.',100,1,0),
(302695,10122282,'Forces target to clear their selected target.',100,2,1),
(302696,10122282,'Makes targets in Area of Effect afraid',100,1,2),
(302697,10122282,'If Target is not Epic',100,2,3),
(302698,10122282,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(302699,10122282,'30% chance to dispel when target takes damage',100,1,5),
(302700,182568,'When Equipped:',100,0,0),
(302701,182568,'Increases Attack Speed of caster by 40.0',100,1,1),
(302702,10182568,'When Equipped:',100,0,0),
(302703,10182568,'Increases Attack Speed of caster by 40.0',100,1,1),
(302704,139606,'When Equipped:',100,0,0),
(302705,139606,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(302706,139606,'Inflicts 1377 - 2065 magic damage on target',100,2,2),
(302707,139606,'Heals group members (AE) for 1673 - 2045',100,2,3),
(302708,139606,'Must not be engaged in pvp combat',100,2,4),
(302709,139606,'Cannot be modified except by direct means',100,2,5),
(302710,10139606,'When Equipped:',100,0,0),
(302711,10139606,'On any combat or spell hit this spell may cast Siphoned Souls on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(302712,10139606,'Inflicts 1790 - 2685 magic damage on target',100,2,2),
(302713,10139606,'Heals group members (AE) for 1957 - 2392',100,2,3),
(302714,10139606,'Must not be engaged in pvp combat',100,2,4),
(302715,10139606,'Cannot be modified except by direct means',100,2,5),
(302716,109142,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(302717,109142,'Heals target for 983 - 1201',100,2,1),
(302718,109142,'Grants a total of 8 triggers of the spell.',100,2,2),
(302719,10109142,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(302720,10109142,'Heals target for 639 - 781',100,2,1),
(302721,10109142,'Grants a total of 8 triggers of the spell.',100,2,2),
(302722,80011,'When Equipped:',100,0,0),
(302723,80011,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(302724,80011,'Inflicts 2648 piercing damage on target',100,2,2),
(302725,80011,'Cannot be modified except by direct means',100,2,3),
(302726,10080011,'When Equipped:',100,0,0),
(302727,10080011,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(302728,10080011,'Inflicts 1721 piercing damage on target',100,2,2),
(302729,10080011,'Cannot be modified except by direct means',100,2,3),
(302730,110843,'Inflicts 270 - 366 mental damage on target',100,1,0),
(302731,110843,'Interrupts target',100,1,1),
(302732,10110843,'Inflicts 351 - 475 mental damage on target',100,1,0),
(302733,10110843,'Interrupts target',100,1,1),
(302734,48856,'Applies Protection of the Songweaver  when Activated.  Lasts for 30 minutes.',100,0,0),
(302735,10048856,'Applies Protection of the Songweaver  when Activated.  Lasts for 30 minutes.',100,0,0),
(302736,80433,'When Equipped:',100,0,0),
(302737,80433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302738,80433,'Inflicts 43 - 81 magic damage on target',100,2,2),
(302739,80433,'Cannot be modified except by direct means',100,2,3),
(302740,10080433,'When Equipped:',100,0,0),
(302741,10080433,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302742,10080433,'Inflicts 56 - 105 magic damage on target',100,2,2),
(302743,10080433,'Cannot be modified except by direct means',100,2,3),
(302744,100895,'Stuns targets in Area of Effect',20,1,0),
(302745,100895,'If Target is not Epic',100,2,1),
(302746,100895,'Inflicts 56 - 93 divine damage on targets in Area of Effect',100,1,2),
(302747,100895,'Resistibility increases against targets higher than level 43.',100,1,3),
(302748,10100895,'Stuns targets in Area of Effect',20,1,0),
(302749,10100895,'If Target is not Epic',100,2,1),
(302750,10100895,'Inflicts 73 - 121 divine damage on targets in Area of Effect',100,1,2),
(302751,10100895,'Resistibility increases against targets higher than level 43.',100,1,3),
(302752,108786,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(302753,108786,'Inflicts 59 - 72 heat damage on target instantly and every 4 seconds',100,2,1),
(302754,108786,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(302755,108786,'Inflicts 262 - 320 heat damage on target encounter',100,3,3),
(302756,108786,'Grants a total of 1 trigger of the spell.',100,3,4),
(302757,10108786,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(302758,10108786,'Inflicts 77 - 94 heat damage on target instantly and every 4 seconds',100,2,1),
(302759,10108786,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(302760,10108786,'Inflicts 340 - 416 heat damage on target encounter',100,3,3),
(302761,10108786,'Grants a total of 1 trigger of the spell.',100,3,4),
(302762,107176,'Inflicts 87 - 146 divine damage on target',100,1,0),
(302763,107176,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(302764,107176,'Stuns target',100,2,2),
(302765,107176,'If Target is not Epic',100,3,3),
(302766,107176,'Inflicts 205 - 341 divine damage on target',100,2,4),
(302767,107176,'Inflicts 175 - 292 divine damage on target',100,2,5),
(302768,107176,'If target is undead',100,3,6),
(302769,10107176,'Inflicts 76 - 126 divine damage on target',100,1,0),
(302770,10107176,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(302771,10107176,'Stuns target',100,2,2),
(302772,10107176,'Inflicts 399 - 665 divine damage on target',100,2,3),
(302773,10107176,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(302774,36085,'Increases AGI and STA of target by 47.0',100,0,0),
(302775,36085,'Increases Attack Speed of target by 10.0',100,0,1),
(302776,36085,'Increases Out-of-Combat Power Regeneration of target by 91.8',100,0,2),
(302777,80069,'When Equipped:',100,0,0),
(302778,80069,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(302779,80069,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(302780,80069,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,3),
(302781,80069,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,4),
(302782,80069,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,5),
(302783,80069,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,6),
(302784,80069,'Increases Multi Attack Chance of caster by 30.0',100,2,7),
(302785,80069,'Increases Damage Per Second of caster by 30.0',100,2,8),
(302786,80069,'Increases Attack Speed of caster by 30.0',100,2,9),
(302787,80069,'Must not be engaged in pvp combat',100,2,10),
(302788,80069,'Cannot be modified except by direct means',100,2,11),
(302789,80069,'Must not be engaged in pvp combat',100,1,12),
(302790,10080069,'When Equipped:',100,0,0),
(302791,10080069,'On any combat or spell hit this spell may cast Desolating Rampage on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(302792,10080069,'Caster has a 6.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(302793,10080069,'Caster has a 6.0% chance of having one of their spell weapons'' autoattack strike the target multiple times.',100,2,3),
(302794,10080069,'Increases Spell Weapon Attack Speed of caster by 30.0',100,2,4),
(302795,10080069,'Increases Spell Weapon Multi Attack Chance of caster by 30.0',100,2,5),
(302796,10080069,'Increases Spell Weapon Damage Per Second of caster by 30.0',100,2,6),
(302797,10080069,'Increases Multi Attack Chance of caster by 30.0',100,2,7),
(302798,10080069,'Increases Damage Per Second of caster by 30.0',100,2,8),
(302799,10080069,'Increases Attack Speed of caster by 30.0',100,2,9),
(302800,10080069,'Must not be engaged in pvp combat',100,2,10),
(302801,10080069,'Cannot be modified except by direct means',100,2,11),
(302802,10080069,'Must not be engaged in pvp combat',100,1,12),
(302803,82055,'When Equipped:',100,0,0),
(302804,82055,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302805,82055,'Inflicts 138 - 257 magic damage on target',100,2,2),
(302806,82055,'Cannot be modified except by direct means',100,2,3),
(302807,10082055,'When Equipped:',100,0,0),
(302808,10082055,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302809,10082055,'Inflicts 180 - 334 magic damage on target',100,2,2),
(302810,10082055,'Cannot be modified except by direct means',100,2,3),
(302811,70568,'When Equipped:',100,0,0),
(302812,70568,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302813,70568,'Inflicts 181 cold damage on target',100,2,2),
(302814,70568,'Cannot be modified except by direct means',100,2,3),
(302815,10070568,'When Equipped:',100,0,0),
(302816,10070568,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302817,10070568,'Inflicts 235 cold damage on target',100,2,2),
(302818,10070568,'Cannot be modified except by direct means',100,2,3),
(302819,113226,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(302820,113226,'Inflicts 123 magic damage on target',100,2,1),
(302821,113226,'Grants a total of 5 triggers of the spell.',100,2,2),
(302822,10113226,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(302823,10113226,'Inflicts 160 magic damage on target',100,2,1),
(302824,10113226,'Grants a total of 5 triggers of the spell.',100,2,2),
(302825,159700,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(302826,159700,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(302827,159700,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(302828,159700,'Cannot be modified except by direct means',100,2,3),
(302829,10159700,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(302830,10159700,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(302831,10159700,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(302832,10159700,'Cannot be modified except by direct means',100,2,3),
(302833,75515,'When Equipped:',100,0,0),
(302834,75515,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302835,75515,'Inflicts 166 - 277 magic damage on target',100,2,2),
(302836,75515,'Cannot be modified except by direct means',100,2,3),
(302837,10075515,'When Equipped:',100,0,0),
(302838,10075515,'On a combat hit this spell may cast Destructive Force on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302839,10075515,'Inflicts 216 - 360 magic damage on target',100,2,2),
(302840,10075515,'Cannot be modified except by direct means',100,2,3),
(302841,110990,'Heals target for 227 - 277 instantly and every 2 seconds',100,1,0),
(302842,110990,'Increases power of target by 18 - 22 instantly and every 2 seconds',100,1,1),
(302843,10110990,'Heals target for 148 - 180 instantly and every 2 seconds',100,1,0),
(302844,10110990,'Increases power of target by 18 - 22 instantly and every 2 seconds',100,1,1),
(302845,119757,'Wards group members (AE) against 248 points of elemental, noxious and arcane damage',100,1,0),
(302846,119757,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,1),
(302847,10119757,'Wards group members (AE) against 248 points of elemental, noxious and arcane damage',100,1,0),
(302848,10119757,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,1),
(302849,82598,'When Equipped:',100,0,0),
(302850,82598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302851,82598,'Inflicts 78 - 144 magic damage on target',100,2,2),
(302852,82598,'Cannot be modified except by direct means',100,2,3),
(302853,10082598,'When Equipped:',100,0,0),
(302854,10082598,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302855,10082598,'Inflicts 101 - 188 magic damage on target',100,2,2),
(302856,10082598,'Cannot be modified except by direct means',100,2,3),
(302857,52729,'Applies Sanguine Imbued when Equipped.',100,0,0),
(302858,52729,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(302859,52729,'Inflicts 33 heat damage on target',100,2,2),
(302860,52729,'Cannot be modified except by direct means',100,2,3),
(302861,10052729,'Applies Sanguine Imbued when Equipped.',100,0,0),
(302862,10052729,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(302863,10052729,'Inflicts 43 heat damage on target',100,2,2),
(302864,10052729,'Cannot be modified except by direct means',100,2,3),
(302865,46817,'Applies Antonican Glory when Activated.',100,0,0),
(302866,46817,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(302867,10046817,'Applies Antonican Glory when Activated.',100,0,0),
(302868,10046817,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(302869,164304,'When Equipped:',100,0,0),
(302870,164304,'Caster will have their chance to hit with a weapon increased by 0.3%',100,1,1),
(302871,164304,'Increases Ranged, Crushing, Piercing and Slashing of caster by 4.0',100,1,2),
(302872,164304,'Must not be engaged in pvp combat',100,1,3),
(302873,10164304,'When Equipped:',100,0,0),
(302874,10164304,'Caster will have their chance to hit with a weapon increased by 0.3%',100,1,1),
(302875,10164304,'Increases Ranged, Crushing, Piercing and Slashing of caster by 4.0',100,1,2),
(302876,10164304,'Must not be engaged in pvp combat',100,1,3),
(302877,117305,'Roots target',100,1,0),
(302878,117305,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(302879,117305,'Slows target by 34.1%',100,2,2),
(302880,117305,'5% chance to dispel when target receives hostile action',100,2,3),
(302881,117305,'5% chance to dispel when target takes damage',100,2,4),
(302882,117305,'15% chance to dispel when target takes damage',100,1,5),
(302883,117305,'Does not affect Epic targets',100,1,6),
(302884,117305,'Resistibility increases against targets higher than level 34.',100,1,7),
(302885,10117305,'Roots target',100,1,0),
(302886,10117305,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(302887,10117305,'Slows target by 34.1%',100,2,2),
(302888,10117305,'10% chance to dispel when target receives hostile action',100,2,3),
(302889,10117305,'10% chance to dispel when target takes damage',100,2,4),
(302890,10117305,'15% chance to dispel when target takes damage',100,1,5),
(302891,10117305,'Does not affect Epic targets',100,1,6),
(302892,10117305,'Resistibility increases against targets higher than level 34.',100,1,7),
(302893,116542,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(302894,116542,'Inflicts 163 divine damage on target',100,2,1),
(302895,116542,'Increases Mitigation of raid and group members (AE) vs all damage by 1680',100,1,2),
(302896,10116542,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(302897,10116542,'Inflicts 212 divine damage on target',100,2,1),
(302898,10116542,'Increases Mitigation of raid and group members (AE) vs all damage by 1680',100,1,2),
(302899,118880,'Inflicts 190 - 317 melee damage on target',100,1,0),
(302900,118880,'Inflicts 190 - 317 melee damage on target',100,1,1),
(302901,118880,'Inflicts 190 - 317 melee damage on target',100,1,2),
(302902,118880,'Inflicts 190 - 317 melee damage on target',100,1,3),
(302903,118880,'Inflicts 190 - 317 melee damage on target',100,1,4),
(302904,10118880,'Inflicts 247 - 413 melee damage on target',100,1,0),
(302905,10118880,'Inflicts 247 - 413 melee damage on target',100,1,1),
(302906,10118880,'Inflicts 247 - 413 melee damage on target',100,1,2),
(302907,10118880,'Inflicts 247 - 413 melee damage on target',100,1,3),
(302908,10118880,'Inflicts 247 - 413 melee damage on target',100,1,4),
(302909,108012,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(302910,108012,'Increases Mitigation of group members (AE) vs elemental damage by 1323',100,1,1),
(302911,10108012,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(302912,10108012,'Increases Mitigation of group members (AE) vs elemental damage by 1323',100,1,1),
(302913,51819,'When Equipped:',100,0,0),
(302914,51819,'When damaged with a melee weapon this spell has a 10% chance to cast Enduring Defense on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(302915,51819,'Wards caster against 525 points of all damage',100,2,2),
(302916,51819,'Cannot be modified except by direct means',100,2,3),
(302917,10051819,'When Equipped:',100,0,0),
(302918,10051819,'When damaged with a melee weapon this spell has a 10% chance to cast Enduring Defense on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(302919,10051819,'Wards caster against 525 points of all damage',100,2,2),
(302920,10051819,'Cannot be modified except by direct means',100,2,3),
(302921,100928,'Stuns targets in Area of Effect',20,1,0),
(302922,100928,'If Target is not Epic',100,2,1),
(302923,100928,'Inflicts 484 - 807 divine damage on targets in Area of Effect',100,1,2),
(302924,100928,'Resistibility increases against targets higher than level 119.',100,1,3),
(302925,10100928,'Stuns targets in Area of Effect',20,1,0),
(302926,10100928,'If Target is not Epic',100,2,1),
(302927,10100928,'Inflicts 630 - 1049 divine damage on targets in Area of Effect',100,1,2),
(302928,10100928,'Resistibility increases against targets higher than level 119.',100,1,3),
(302929,117725,'Decreases Hate Gain of caster by 14.4%',100,1,0),
(302930,40859,'When Equipped:',100,0,0),
(302931,40859,'On a critical spell hit this spell may cast Imposing Righteousness VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(302932,40859,'Decreases Potency of target by 2.0%',100,2,2),
(302933,40859,'Increases Potency of caster by 7.0%',100,2,3),
(302934,40859,'Must not be engaged in pvp combat',100,2,4),
(302935,40859,'Cannot be modified except by direct means',100,2,5),
(302936,40859,'On a critical combat hit this spell may cast Imposing Righteousness VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(302937,40859,'Decreases Potency of target by 2.0%',100,2,7),
(302938,40859,'Increases Potency of caster by 7.0%',100,2,8),
(302939,40859,'Must not be engaged in pvp combat',100,2,9),
(302940,40859,'Cannot be modified except by direct means',100,2,10),
(302941,40859,'Must not be engaged in pvp combat',100,1,11),
(302942,10040859,'When Equipped:',100,0,0),
(302943,10040859,'On a critical spell hit this spell may cast Imposing Righteousness VI on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(302944,10040859,'Decreases Potency of target by 2.0%',100,2,2),
(302945,10040859,'Increases Potency of caster by 7.0%',100,2,3),
(302946,10040859,'Must not be engaged in pvp combat',100,2,4),
(302947,10040859,'Cannot be modified except by direct means',100,2,5),
(302948,10040859,'On a critical combat hit this spell may cast Imposing Righteousness VI on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(302949,10040859,'Decreases Potency of target by 2.0%',100,2,7),
(302950,10040859,'Increases Potency of caster by 7.0%',100,2,8),
(302951,10040859,'Must not be engaged in pvp combat',100,2,9),
(302952,10040859,'Cannot be modified except by direct means',100,2,10),
(302953,10040859,'Must not be engaged in pvp combat',100,1,11),
(302954,45850,'Applies Weight of the Curse when Activated.',100,0,0),
(302955,45850,'A visible manifestation of the Curse of Scale manifests itself upon your shoulder.',100,1,1),
(302956,10045850,'Applies Weight of the Curse when Activated.',100,0,0),
(302957,10045850,'A visible manifestation of the Curse of Scale manifests itself upon your shoulder.',100,1,1),
(302958,119371,'Decreases threat priority of target by 1 position',100,1,0),
(302959,119371,'Decreases Threat to target by 285 ',100,1,1),
(302960,119371,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(302961,119371,'Grants stealth to caster',100,2,3),
(302962,119371,'Suspends caster''s movement speed enhancements',100,2,4),
(302963,10119371,'Applies Distract.',100,1,0),
(302964,10119371,'Forces target to clear their selected target.',100,2,1),
(302965,10119371,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(302966,10119371,'Grants stealth to caster',100,2,3),
(302967,10119371,'Suspends caster''s movement speed enhancements',100,2,4),
(302968,105596,'Decreases power of target encounter by 38 - 46 instantly and every 3 seconds',100,1,0),
(302969,105596,'Inflicts 89 - 165 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(302970,105596,'Heals group members (AE) for 44 - 81 instantly and every 3 seconds',100,1,2),
(302971,105596,'Increases power of group members (AE) by 17 instantly and every 3 seconds',100,1,3),
(302972,10105596,'Decreases power of target encounter by 38 - 46 instantly and every 3 seconds',100,1,0),
(302973,10105596,'Inflicts 115 - 214 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(302974,10105596,'Heals group members (AE) for 28 - 53 instantly and every 3 seconds',100,1,2),
(302975,10105596,'Increases power of group members (AE) by 17 instantly and every 3 seconds',100,1,3),
(302976,134001,'When Equipped:',100,0,0),
(302977,134001,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,1),
(302978,134001,'While active Renewing Bulwark is disabled.',100,2,2),
(302979,134001,'Cannot be modified except by direct means',100,2,3),
(302980,134001,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,4),
(302981,134001,'Wards caster against 2420 points of all damage',100,1,5),
(302982,134001,'Regenerates 242 points of shielding every 2 seconds',100,1,6),
(302983,134001,'Must not be engaged in pvp combat',100,1,7),
(302984,134001,'Cannot be modified except by direct means',100,1,8),
(302985,10134001,'When Equipped:',100,0,0),
(302986,10134001,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,1),
(302987,10134001,'While active Renewing Bulwark is disabled.',100,2,2),
(302988,10134001,'Cannot be modified except by direct means',100,2,3),
(302989,10134001,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,4),
(302990,10134001,'Wards caster against 2420 points of all damage',100,1,5),
(302991,10134001,'Regenerates 242 points of shielding every 2 seconds',100,1,6),
(302992,10134001,'Must not be engaged in pvp combat',100,1,7),
(302993,10134001,'Cannot be modified except by direct means',100,1,8),
(302994,35960,'Increases Max Power of target by 47.2',100,0,0),
(302995,35960,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(302996,87198,'When Equipped:',100,0,0),
(302997,87198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(302998,87198,'Inflicts 51 - 76 magic damage on target',100,2,2),
(302999,87198,'Cannot be modified except by direct means',100,2,3),
(303000,10087198,'When Equipped:',100,0,0),
(303001,10087198,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303002,10087198,'Inflicts 66 - 99 magic damage on target',100,2,2),
(303003,10087198,'Cannot be modified except by direct means',100,2,3),
(303004,82897,'When Equipped:',100,0,0),
(303005,82897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303006,82897,'Inflicts 205 - 381 magic damage on target',100,2,2),
(303007,82897,'Cannot be modified except by direct means',100,2,3),
(303008,10082897,'When Equipped:',100,0,0),
(303009,10082897,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303010,10082897,'Inflicts 267 - 495 magic damage on target',100,2,2),
(303011,10082897,'Cannot be modified except by direct means',100,2,3),
(303012,100632,'Transfers 41% of target''s current Threat to the caster',100,1,0),
(303013,10100632,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(303014,10100632,'10% of all damage received by the caster is prevented.',100,2,1),
(303015,10100632,'This effect can only trigger once every 5 seconds.',100,2,2),
(303016,25741,'When Equipped:',100,0,0),
(303017,25741,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(303018,25741,'Improves the ward amount of Prophetic Ward V by 30%.',100,1,2),
(303019,10025741,'When Equipped:',100,0,0),
(303020,10025741,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(303021,10025741,'Improves the ward amount of Prophetic Ward V by 30%.',100,1,2),
(303022,122441,'Inflicts 313 - 522 magic damage on target',100,1,0),
(303023,10122441,'Inflicts 407 - 678 magic damage on target',100,1,0),
(303024,75570,'Applies Disease Blast when Activated.',100,0,0),
(303025,75570,'Inflicts 53 - 89 disease damage on target',100,1,1),
(303026,75570,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(303027,10075570,'Applies Disease Blast when Activated.',100,0,0),
(303028,10075570,'Inflicts 69 - 115 disease damage on target',100,1,1),
(303029,10075570,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(303030,107879,'Decreases Mitigation of target vs elemental damage by 2270',100,1,0),
(303031,107879,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(303032,107879,'Slows target by 51.9%',100,2,2),
(303033,107879,'5% chance to dispel when target receives hostile action',100,2,3),
(303034,107879,'5% chance to dispel when target takes damage',100,2,4),
(303035,10107879,'Decreases Mitigation of target vs elemental damage by 2270',100,1,0),
(303036,10107879,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(303037,10107879,'Slows target by 51.9%',100,2,2),
(303038,10107879,'5% chance to dispel when target receives hostile action',100,2,3),
(303039,10107879,'5% chance to dispel when target takes damage',100,2,4),
(303040,101016,'Inflicts 216 - 401 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(303041,10101016,'Inflicts 220 - 409 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(303042,133475,'When Equipped:',100,0,0),
(303043,133475,'This effect will not stack with itself.',100,1,1),
(303044,133475,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(303045,133475,'Wards target against 4000 points of all damage',100,2,3),
(303046,133475,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(303047,133475,'Heals target for 277 - 306 instantly and every 2 seconds',100,2,5),
(303048,133475,'Must not be engaged in pvp combat',100,2,6),
(303049,133475,'Cannot be modified except by direct means',100,2,7),
(303050,133475,'Must not be engaged in pvp combat',100,1,8),
(303051,133475,'When Equipped:',100,0,9),
(303052,133475,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(303053,133475,'Heals group members (AE) for 2624',100,2,11),
(303054,133475,'Heals group members (AE) for 875 every 5 seconds',100,2,12),
(303055,133475,'Must not be engaged in pvp combat',100,2,13),
(303056,133475,'Cannot be modified except by direct means',100,2,14),
(303057,133475,'Must not be engaged in pvp combat',100,1,15),
(303058,10133475,'When Equipped:',100,0,0),
(303059,10133475,'This effect will not stack with itself.',100,1,1),
(303060,10133475,'On a critical healing spell cast this spell may cast Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(303061,10133475,'Wards target against 4000 points of all damage',100,2,3),
(303062,10133475,'Replenishes 300 points of absorption every 2 seconds.',100,2,4),
(303063,10133475,'Heals target for 324 - 358 instantly and every 2 seconds',100,2,5),
(303064,10133475,'Must not be engaged in pvp combat',100,2,6),
(303065,10133475,'Cannot be modified except by direct means',100,2,7),
(303066,10133475,'Must not be engaged in pvp combat',100,1,8),
(303067,10133475,'When Equipped:',100,0,9),
(303068,10133475,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,10),
(303069,10133475,'Heals group members (AE) for 3071',100,2,11),
(303070,10133475,'Heals group members (AE) for 1024 every 5 seconds',100,2,12),
(303071,10133475,'Must not be engaged in pvp combat',100,2,13),
(303072,10133475,'Cannot be modified except by direct means',100,2,14),
(303073,10133475,'Must not be engaged in pvp combat',100,1,15),
(303074,103191,'Increases Mitigation of caster vs physical damage by 280',100,1,0),
(303075,103191,'Roots caster',100,1,1),
(303076,10103191,'Increases Mitigation of caster vs physical damage by 280',100,1,0),
(303077,10103191,'Roots caster',100,1,1),
(303078,119541,'Wards group members (AE) against 438 points of arcane damage',100,1,0),
(303079,119541,'Increases Mitigation of group members (AE) vs arcane damage by 276',100,1,1),
(303080,10119541,'Wards group members (AE) against 438 points of arcane damage',100,1,0),
(303081,10119541,'Increases Mitigation of group members (AE) vs arcane damage by 276',100,1,1),
(303082,87425,'When Equipped:',100,0,0),
(303083,87425,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303084,87425,'Inflicts 30 - 45 magic damage on target',100,2,2),
(303085,87425,'Cannot be modified except by direct means',100,2,3),
(303086,10087425,'When Equipped:',100,0,0),
(303087,10087425,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303088,10087425,'Inflicts 39 - 59 magic damage on target',100,2,2),
(303089,10087425,'Cannot be modified except by direct means',100,2,3),
(303090,105973,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(303091,105973,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(303092,105973,'Inflicts 170 - 284 piercing damage on target',100,3,2),
(303093,105973,'Grants a total of 5 triggers of the spell.',100,3,3),
(303094,105973,'Grants a total of 1 trigger of the spell.',100,2,4),
(303095,10105973,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(303096,10105973,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(303097,10105973,'Inflicts 221 - 369 piercing damage on target',100,3,2),
(303098,10105973,'Grants a total of 5 triggers of the spell.',100,3,3),
(303099,10105973,'Grants a total of 1 trigger of the spell.',100,2,4),
(303100,35175,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(303101,35175,'Increases Max Health of target by 14.0',100,0,1),
(303102,121655,'Summons a pet lizardman',100,1,0),
(303103,121655,'Increases AGI, WIS, INT, STR and STA of caster by 39.6',100,1,1),
(303104,121655,'If follows Cazic-Thule',100,1,2),
(303105,10121655,'Summons a pet lizardman',100,1,0),
(303106,10121655,'Increases AGI, WIS, INT, STR and STA of caster by 39.6',100,1,1),
(303107,10121655,'If follows Cazic-Thule',100,1,2),
(303108,100518,'Increases Attack Speed of group members (AE) by 25.4',100,1,0),
(303109,10100518,'Increases Attack Speed of group members (AE) by 25.4',100,1,0),
(303110,108263,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(303111,108263,'Inflicts 74 heat damage on target',100,2,1),
(303112,108263,'Grants a total of 3 triggers of the spell.',100,2,2),
(303113,10108263,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(303114,10108263,'Inflicts 96 heat damage on target',100,2,1),
(303115,10108263,'Grants a total of 3 triggers of the spell.',100,2,2),
(303116,111098,'Heals target for 310 - 379',100,1,0),
(303117,111098,'This effect cannot be critically applied.',100,2,1),
(303118,111098,'Increases Mitigation of target vs physical damage by 135',100,1,2),
(303119,111098,'The healing of this spell cannot be modified except by direct means',100,1,3),
(303120,10111098,'Heals target for 113 - 138',100,1,0),
(303121,10111098,'This effect cannot be critically applied.',100,2,1),
(303122,10111098,'Increases Mitigation of target vs physical damage by 135',100,1,2),
(303123,10111098,'The healing of this spell cannot be modified except by direct means',100,1,3),
(303124,118987,'Heals target for 163 - 200',100,1,0),
(303125,10118987,'Heals target for 174 - 212',100,1,0),
(303126,47387,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(303127,47387,'This potion will grant you the illusion of being an ettin!',100,1,1),
(303128,10047387,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(303129,10047387,'This potion will grant you the illusion of being an ettin!',100,1,1),
(303130,117607,'Inflicts 107 - 179 ranged damage on target',100,1,0),
(303131,117607,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(303132,117607,'Slows target by 31.4%',100,2,2),
(303133,117607,'5% chance to dispel when target receives hostile action',100,2,3),
(303134,117607,'5% chance to dispel when target takes damage',100,2,4),
(303135,117607,'Must be flanking or behind',100,1,5),
(303136,117607,'Requires bow',100,1,6),
(303137,10117607,'Inflicts 80 - 134 ranged damage on target',100,1,0),
(303138,10117607,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(303139,10117607,'Slows target by 31.4%',100,2,2),
(303140,10117607,'5% chance to dispel when target receives hostile action',100,2,3),
(303141,10117607,'5% chance to dispel when target takes damage',100,2,4),
(303142,10117607,'Must be flanking or behind',100,1,5),
(303143,10117607,'Requires bow',100,1,6),
(303144,47006,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(303145,47006,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(303146,47006,'Stuns target',100,2,2),
(303147,47006,'If Target is not Epic',100,3,3),
(303148,47006,'Cannot be modified except by direct means',100,2,4),
(303149,47006,'Grants a total of 30 triggers of the spell.',100,2,5),
(303150,10047006,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(303151,10047006,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(303152,10047006,'Stuns target',100,2,2),
(303153,10047006,'If Target is not Epic',100,3,3),
(303154,10047006,'Cannot be modified except by direct means',100,2,4),
(303155,10047006,'Grants a total of 30 triggers of the spell.',100,2,5),
(303156,113962,'Decreases power of target encounter by 56 instantly and every 4 seconds',100,1,0),
(303157,113962,'Increases power of group members (AE) by 39 instantly and every 4 seconds',100,1,1),
(303158,10113962,'Decreases power of target encounter by 56 instantly and every 4 seconds',100,1,0),
(303159,10113962,'Increases power of group members (AE) by 39 instantly and every 4 seconds',100,1,1),
(303160,122707,'Increases Attack Speed of caster by 16.5',100,1,0),
(303161,122707,'Decreases Defense of caster by 4.8',100,1,1),
(303162,122707,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.9',100,1,2),
(303163,10122707,'Increases Attack Speed of caster by 16.5',100,1,0),
(303164,10122707,'Decreases Defense of caster by 4.8',100,1,1),
(303165,10122707,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.9',100,1,2),
(303166,48405,'Applies Use when Activated.',100,0,0),
(303167,48405,'Enables you to play the flute.',100,1,1),
(303168,10048405,'Applies Use when Activated.',100,0,0),
(303169,10048405,'Enables you to play the flute.',100,1,1),
(303170,114523,'Heals target for 142 - 173',100,1,0),
(303171,10114523,'Heals target for 184 - 225',100,1,0),
(303172,107228,'Inflicts 692 - 1153 melee damage on targets in area',100,1,0),
(303173,107228,'Dispels 197 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(303174,10107228,'Inflicts 899 - 1499 melee damage on targets in area',100,1,0),
(303175,10107228,'Reduces healing received of targets in area by 10%',100,1,1),
(303176,101555,'Inflicts 4754 - 7923 melee damage on target',100,1,0),
(303177,101555,'You must be stealthed to use this ability',100,1,1),
(303178,10101555,'Inflicts 2904 - 4841 melee damage on target',100,1,0),
(303179,10101555,'You must be stealthed to use this ability',100,1,1),
(303180,26664,'When Equipped:',100,0,0),
(303181,26664,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(303182,26664,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(303183,10026664,'When Equipped:',100,0,0),
(303184,10026664,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(303185,10026664,'Improves the accuracy of Bonechiller Venom by 50%.',100,1,2),
(303186,100005,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(303187,100005,'Inflicts 10 - 17 melee damage on targets in area',100,2,1),
(303188,100005,'Decreases Defense of caster by 1.8',100,1,2),
(303189,100005,'Increases Slashing, Piercing and Crushing of caster by 3.8',100,1,3),
(303190,10100005,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(303191,10100005,'Inflicts 13 - 23 melee damage on targets in area',100,2,1),
(303192,10100005,'Decreases Defense of caster by 1.8',100,1,2),
(303193,10100005,'Increases Slashing, Piercing and Crushing of caster by 3.8',100,1,3),
(303194,177582,'When Equipped:',100,0,0),
(303195,177582,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(303196,177582,'Increases AGI of caster by 3.6',100,2,2),
(303197,177582,'Increases Attack Speed of caster by 9.8',100,2,3),
(303198,177582,'Cannot be modified except by direct means',100,2,4),
(303199,10177582,'When Equipped:',100,0,0),
(303200,10177582,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(303201,10177582,'Increases AGI of caster by 3.6',100,2,2),
(303202,10177582,'Increases Attack Speed of caster by 9.8',100,2,3),
(303203,10177582,'Cannot be modified except by direct means',100,2,4),
(303204,108334,'Inflicts 240 - 401 divine damage on target',100,1,0),
(303205,108334,'Heals caster for 1.1% of max health',100,1,1),
(303206,108334,'This effect cannot be critically applied.',100,2,2),
(303207,108334,'The healing of this spell cannot be modified except by direct means',100,1,3),
(303208,10108334,'Inflicts 312 - 521 divine damage on target',100,1,0),
(303209,10108334,'Heals caster for 1.0% of max health',100,1,1),
(303210,10108334,'This effect cannot be critically applied.',100,2,2),
(303211,10108334,'The healing of this spell cannot be modified except by direct means',100,1,3),
(303212,104394,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(303213,104394,'Inflicts 221 - 270 cold damage on target',100,2,1),
(303214,10104394,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(303215,10104394,'Inflicts 287 - 351 cold damage on target',100,2,1),
(303216,188709,'When Equipped:',100,0,0),
(303217,188709,'Increases Attack Speed of caster by 25.0',100,1,1),
(303218,10188709,'When Equipped:',100,0,0),
(303219,10188709,'Increases Attack Speed of caster by 25.0',100,1,1),
(303220,109350,'Increases STR of caster by 190.1',100,1,0),
(303221,109350,'Decreases Defense of caster by 29.8',100,1,1),
(303222,109350,'Increases Slashing, Piercing and Crushing of caster by 55.8',100,1,2),
(303223,10109350,'Increases STR of caster by 190.1',100,1,0),
(303224,10109350,'Decreases Defense of caster by 29.8',100,1,1),
(303225,10109350,'Increases Slashing, Piercing and Crushing of caster by 55.8',100,1,2),
(303226,174689,'Applies Reverse Pauldron when Activated.',100,0,0),
(303227,174689,'Summon 1 Ruby-set Right Pauldron',100,1,1),
(303228,174689,'This effect cannot be cast during combat',100,1,2),
(303229,174689,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(303230,10174689,'Applies Reverse Pauldron when Activated.',100,0,0),
(303231,10174689,'Summon 1 Ruby-set Right Pauldron',100,1,1),
(303232,10174689,'This effect cannot be cast during combat',100,1,2),
(303233,10174689,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(303234,72006,'When Equipped:',100,0,0),
(303235,72006,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303236,72006,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(303237,72006,'Cannot be modified except by direct means',100,2,3),
(303238,10072006,'When Equipped:',100,0,0),
(303239,10072006,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303240,10072006,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(303241,10072006,'Cannot be modified except by direct means',100,2,3),
(303242,55456,'When Equipped:',100,0,0),
(303243,55456,'On a hostile spell cast this spell may cast Codexiconic Blast on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(303244,55456,'Inflicts 358 - 665 mental damage on target',100,2,2),
(303245,55456,'Cannot be modified except by direct means',100,2,3),
(303246,10055456,'When Equipped:',100,0,0),
(303247,10055456,'On a hostile spell cast this spell may cast Codexiconic Blast on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(303248,10055456,'Inflicts 466 - 865 mental damage on target',100,2,2),
(303249,10055456,'Cannot be modified except by direct means',100,2,3),
(303250,102536,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(303251,102536,'Increases Aggression of caster by 17.8',100,1,1),
(303252,102536,'Increases Defense and Parry of caster by 35.5',100,1,2),
(303253,102536,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(303254,10102536,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(303255,10102536,'Increases Aggression of caster by 17.8',100,1,1),
(303256,10102536,'Increases Defense and Parry of caster by 35.5',100,1,2),
(303257,10102536,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(303258,72187,'When Equipped:',100,0,0),
(303259,72187,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303260,72187,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(303261,72187,'Cannot be modified except by direct means',100,2,3),
(303262,10072187,'When Equipped:',100,0,0),
(303263,10072187,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303264,10072187,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(303265,10072187,'Cannot be modified except by direct means',100,2,3),
(303266,121261,'Inflicts 1305 - 1595 heat damage on target encounter',100,1,0),
(303267,10121261,'Inflicts 1696 - 2073 heat damage on target encounter',100,1,0),
(303268,81918,'When Equipped:',100,0,0),
(303269,81918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303270,81918,'Inflicts 265 - 492 magic damage on target',100,2,2),
(303271,81918,'Cannot be modified except by direct means',100,2,3),
(303272,10081918,'When Equipped:',100,0,0),
(303273,10081918,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303274,10081918,'Inflicts 345 - 640 magic damage on target',100,2,2),
(303275,10081918,'Cannot be modified except by direct means',100,2,3),
(303276,100412,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(303277,100412,'Inflicts 20 - 33 slashing damage on target',100,2,1),
(303278,100412,'Increases Threat to target by 66 ',100,2,2),
(303279,100412,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(303280,100412,'Increases Threat to target by 66 ',100,2,4),
(303281,100412,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 283',100,1,5),
(303282,10100412,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(303283,10100412,'Inflicts 26 - 43 slashing damage on target',100,2,1),
(303284,10100412,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(303285,10100412,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 283',100,1,3),
(303286,121377,'Inflicts 136 - 252 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(303287,10121377,'Inflicts 176 - 327 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(303288,104536,'Increases Threat to target by 633 - 774  instantly and by 126 - 154  every 2 seconds thereafter',100,1,0),
(303289,10104536,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(303290,116642,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(303291,116642,'Increases Mitigation of group members (AE) vs arcane damage by 1008',100,1,1),
(303292,10116642,'Increases Max Power of group members (AE) by 621.6',100,1,0),
(303293,10116642,'Increases Mitigation of group members (AE) vs arcane damage by 1008',100,1,1),
(303294,118098,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(303295,10118098,'Dispels 78 levels of any hostile effects on group members (AE)',100,1,0),
(303296,107836,'Causes 17% Threat to transfer to target when in combat',100,1,0),
(303297,107836,'Increases Hate Gain of target by 17.1%',100,1,1),
(303298,81267,'When Equipped:',100,0,0),
(303299,81267,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303300,81267,'Inflicts 196 - 364 magic damage on target',100,2,2),
(303301,81267,'Decreases Threat to target by 949 ',100,2,3),
(303302,81267,'Must be flanking or behind',100,3,4),
(303303,81267,'Increases Threat to target by 949 ',100,2,5),
(303304,81267,'Must be in front of',100,3,6),
(303305,81267,'Cannot be modified except by direct means',100,2,7),
(303306,10081267,'When Equipped:',100,0,0),
(303307,10081267,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303308,10081267,'Inflicts 255 - 474 magic damage on target',100,2,2),
(303309,10081267,'Cannot be modified except by direct means',100,2,3),
(303310,71817,'When Equipped:',100,0,0),
(303311,71817,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303312,71817,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(303313,71817,'Cannot be modified except by direct means',100,2,3),
(303314,10071817,'When Equipped:',100,0,0),
(303315,10071817,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303316,10071817,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(303317,10071817,'Cannot be modified except by direct means',100,2,3),
(303318,118650,'Inflicts 55 - 92 slashing damage on target',100,1,0),
(303319,10118650,'Inflicts 72 - 120 slashing damage on target',100,1,0),
(303320,103131,'Increases STR of caster by 61.7',100,1,0),
(303321,103131,'Adds 2.7% to base avoidance.',100,1,1),
(303322,103131,'Increases Mitigation of caster vs physical damage by 394',100,1,2),
(303323,103131,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,3),
(303324,10103131,'Increases STR of caster by 61.7',100,1,0),
(303325,10103131,'Adds 2.7% to base avoidance.',100,1,1),
(303326,10103131,'Increases Mitigation of caster vs physical damage by 394',100,1,2),
(303327,10103131,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,3),
(303328,118774,'Increases INT and WIS of group members (AE) by 90.9',100,1,0),
(303329,118774,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 267',100,1,1),
(303330,10118774,'Increases INT and WIS of group members (AE) by 90.9',100,1,0),
(303331,10118774,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 267',100,1,1),
(303332,101327,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(303333,101327,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 129',100,1,1),
(303334,101327,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,2),
(303335,10101327,'Increases Max Health of group members (AE) by 351.5',100,1,0),
(303336,10101327,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 129',100,1,1),
(303337,10101327,'Increases Mitigation of group members (AE) vs physical damage by 595',100,1,2),
(303338,45257,'Applies Simple Tools when Equipped.',100,0,0),
(303339,45257,'Increases success chance by 1.0%',100,1,1),
(303340,10045257,'Applies Simple Tools when Equipped.',100,0,0),
(303341,10045257,'Increases success chance by 1.0%',100,1,1),
(303342,116519,'Increases Mitigation of target vs physical damage by 223',100,1,0),
(303343,116519,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(303344,10116519,'Increases Mitigation of target vs physical damage by 223',100,1,0),
(303345,10116519,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(303346,83615,'When Equipped:',100,0,0),
(303347,83615,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(303348,83615,'Increases Hate Gain of caster by 5.0%',100,2,2),
(303349,83615,'Cannot be modified except by direct means',100,2,3),
(303350,83615,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,4),
(303351,83615,'Increases Hate Gain of caster by 5.0%',100,2,5),
(303352,83615,'Cannot be modified except by direct means',100,2,6),
(303353,10083615,'When Equipped:',100,0,0),
(303354,10083615,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(303355,10083615,'Cannot be modified except by direct means',100,2,2),
(303356,10083615,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,3),
(303357,10083615,'Cannot be modified except by direct means',100,2,4),
(303358,47510,'Applies Petamorph: Rose Wisp when Activated.  Lasts for 2 hours.',100,0,0),
(303359,47510,'Turns the caster''s combat pet into a rose wisp. Does not work on cosmetic pets.',100,1,1),
(303360,10047510,'Applies Petamorph: Rose Wisp when Activated.  Lasts for 2 hours.',100,0,0),
(303361,10047510,'Turns the caster''s combat pet into a rose wisp. Does not work on cosmetic pets.',100,1,1),
(303362,45417,'Applies Brokenskull Officer Disguise when Activated.',100,0,0),
(303363,45417,'Shapechanges caster',100,1,1),
(303364,45417,'Must be in zone Moors of Ykesha',100,2,2),
(303365,45417,'Sets the faction for Clan Brokenskull to 10,000',100,1,3),
(303366,45417,'Dispelled when target drops below 1% health',100,1,4),
(303367,45417,'Must be in zone Moors of Ykesha',100,1,5),
(303368,10045417,'Applies Brokenskull Officer Disguise when Activated.',100,0,0),
(303369,10045417,'Shapechanges caster',100,1,1),
(303370,10045417,'Must be in zone Moors of Ykesha',100,2,2),
(303371,10045417,'Sets the faction for Clan Brokenskull to 10,000',100,1,3),
(303372,10045417,'Dispelled when target drops below 1% health',100,1,4),
(303373,10045417,'Must be in zone Moors of Ykesha',100,1,5),
(303374,36813,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(303375,182183,'When Equipped:',100,0,0),
(303376,182183,'When any damage is received this spell has a 4% chance to cast Infuriate on target''s attacker.  ',100,1,1),
(303377,182183,'Increases Threat to target by 949 ',100,2,2),
(303378,182183,'Cannot be modified except by direct means',100,2,3),
(303379,182183,'When Equipped:',100,0,4),
(303380,182183,'When any magical damage is received this spell has a 10% chance to cast Stoneshield of Magic on caster.  Lasts for 20.0 seconds.  ',100,1,5),
(303381,182183,'Wards caster against 400 - 1200 points of damage from elemental, noxious and arcane damage',100,2,6),
(303382,182183,'Cannot be modified except by direct means',100,2,7),
(303383,10182183,'When Equipped:',100,0,0),
(303384,10182183,'When any damage is received this spell has a 4% chance to cast Infuriate on target''s attacker.  ',100,1,1),
(303385,10182183,'Cannot be modified except by direct means',100,2,2),
(303386,10182183,'When Equipped:',100,0,3),
(303387,10182183,'When any magical damage is received this spell has a 10% chance to cast Stoneshield of Magic on caster.  Lasts for 20.0 seconds.  ',100,1,4),
(303388,10182183,'Wards caster against 400 - 1200 points of damage from elemental, noxious and arcane damage',100,2,5),
(303389,10182183,'Cannot be modified except by direct means',100,2,6),
(303390,110159,'Applies Untreated Bleeding on termination.',100,1,0),
(303391,110159,'Inflicts 48 - 81 piercing damage on target',100,2,1),
(303392,110159,'Inflicts 10 - 17 piercing damage on target instantly and every 4 seconds',100,1,2),
(303393,110159,'Inflicts 6 - 11 melee damage on target',100,1,3),
(303394,10110159,'Applies Untreated Bleeding on termination.',100,1,0),
(303395,10110159,'Inflicts 63 - 105 piercing damage on target',100,2,1),
(303396,10110159,'Inflicts 13 - 22 piercing damage on target instantly and every 4 seconds',100,1,2),
(303397,10110159,'Inflicts 8 - 14 melee damage on target',100,1,3),
(303398,112633,'Inflicts 40 - 67 disease damage on target',100,1,0),
(303399,112633,'Inflicts 40 - 67 disease damage on target',100,1,1),
(303400,112633,'Roots target',100,1,2),
(303401,112633,'If Target is not Epic',100,2,3),
(303402,112633,'15% chance to dispel when target takes damage',100,1,4),
(303403,112633,'If weapon equipped in Ranged',100,1,5),
(303404,112633,'Resistibility increases against targets higher than level 45.',100,1,6),
(303405,10112633,'Inflicts 30 - 50 disease damage on target',100,1,0),
(303406,10112633,'Inflicts 30 - 50 disease damage on target',100,1,1),
(303407,10112633,'Roots target',100,1,2),
(303408,10112633,'If Target is not Epic',100,2,3),
(303409,10112633,'15% chance to dispel when target takes damage',100,1,4),
(303410,10112633,'If weapon equipped in Ranged',100,1,5),
(303411,10112633,'Resistibility increases against targets higher than level 45.',100,1,6),
(303412,134925,'When Equipped:',100,0,0),
(303413,134925,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(303414,10134925,'When Equipped:',100,0,0),
(303415,10134925,'Reduces reuse time of hostile spells by 1 percent.',100,1,1),
(303416,119161,'Inflicts 81 disease damage on target every 3 seconds',100,1,0),
(303417,119161,'Inflicts 405 - 675 melee damage on target',100,1,1),
(303418,119161,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(303419,119161,'Inflicts 162 disease damage on target every 3 seconds',100,2,3),
(303420,119161,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(303421,119161,'Inflicts 243 disease damage on target every 3 seconds',100,3,5),
(303422,119161,'You must be sneaking to use this ability.',100,1,6),
(303423,119161,'Must be behind',100,1,7),
(303424,10119161,'Inflicts 105 disease damage on target every 3 seconds',100,1,0),
(303425,10119161,'Inflicts 526 - 877 melee damage on target',100,1,1),
(303426,10119161,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(303427,10119161,'Inflicts 211 disease damage on target every 3 seconds',100,2,3),
(303428,10119161,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(303429,10119161,'Inflicts 316 disease damage on target every 3 seconds',100,3,5),
(303430,10119161,'You must be sneaking to use this ability.',100,1,6),
(303431,10119161,'Must be behind',100,1,7),
(303432,154394,'When Equipped:',100,0,0),
(303433,154394,'On a hostile spell cast this spell may cast Life Flow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(303434,154394,'Heals group members for 571',100,2,2),
(303435,154394,'Cannot be modified except by direct means',100,2,3),
(303436,10154394,'When Equipped:',100,0,0),
(303437,10154394,'On a hostile spell cast this spell may cast Life Flow on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(303438,10154394,'Heals group members for 371',100,2,2),
(303439,10154394,'Cannot be modified except by direct means',100,2,3),
(303440,106562,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,0),
(303441,106562,'Increases Hate Gain of target by 30.0%',100,2,1),
(303442,106562,'Grants a total of 1 trigger of the spell.',100,2,2),
(303443,106562,'Inflicts 814 - 996 melee damage on target',100,1,3),
(303444,10106562,'25% chance to apply Distract on termination.',100,1,0),
(303445,10106562,'Forces target to clear their selected target.',100,2,1),
(303446,10106562,'Inflicts 1059 - 1294 melee damage on target',100,1,2),
(303447,122553,'Heals caster for 135',100,1,0),
(303448,122553,'Inflicts 203 - 339 melee damage on target',100,1,1),
(303449,10122553,'Heals caster for 88',100,1,0),
(303450,10122553,'Inflicts 264 - 441 melee damage on target',100,1,1),
(303451,106569,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(303452,106569,'Increases Parry of caster by 3.5',100,1,1),
(303453,10106569,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(303454,10106569,'Increases Parry of caster by 3.5',100,1,1),
(303455,35803,'Increases STA and WIS of target by 6.2',100,0,0),
(303456,35803,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,1),
(303457,120826,'Inflicts 15 - 20 disease damage on target instantly and every second',100,1,0),
(303458,10120826,'Inflicts 28 - 37 disease damage on target',100,1,0),
(303459,10120826,'Inflicts 20 - 27 disease damage on target every second',100,1,1),
(303460,120096,'Shapechanges caster into a chaos essence',100,1,0),
(303461,120096,'Increases WIS of caster by 30.4',100,1,1),
(303462,120096,'Grants See Invisibility to caster',100,1,2),
(303463,120096,'Increases Max Health of caster by 81.7',100,1,3),
(303464,120096,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 451',100,1,4),
(303465,10120096,'Shapechanges caster into a chaos essence',100,1,0),
(303466,10120096,'Increases WIS of caster by 30.4',100,1,1),
(303467,10120096,'Grants See Invisibility to caster',100,1,2),
(303468,10120096,'Increases Max Health of caster by 81.7',100,1,3),
(303469,10120096,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 451',100,1,4),
(303470,74998,'When Equipped:',100,0,0),
(303471,74998,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303472,74998,'Inflicts 86 - 129 magic damage on target',100,2,2),
(303473,74998,'Cannot be modified except by direct means',100,2,3),
(303474,10074998,'When Equipped:',100,0,0),
(303475,10074998,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303476,10074998,'Inflicts 112 - 168 magic damage on target',100,2,2),
(303477,10074998,'Cannot be modified except by direct means',100,2,3),
(303478,159297,'Applies Lambent Imbued when Equipped.',100,0,0),
(303479,159297,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(303480,159297,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(303481,159297,'Cannot be modified except by direct means',100,2,3),
(303482,10159297,'Applies Lambent Imbued when Equipped.',100,0,0),
(303483,10159297,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(303484,10159297,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(303485,10159297,'Cannot be modified except by direct means',100,2,3),
(303486,24232,'Adds Crushbone: Torch-Holding Skull to your Dungeon Maker toolbox',100,0,0),
(303487,10024232,'Adds Crushbone: Torch-Holding Skull to your Dungeon Maker toolbox',100,0,0),
(303488,106324,'Decreases INT and STR of target by 50.2',100,1,0),
(303489,10106324,'Decreases INT and STR of target by 50.2',100,1,0),
(303490,120389,'Decreases Defense of caster by 10.5',100,1,0),
(303491,120389,'Increases Crushing and Ranged of caster by 15.8',100,1,1),
(303492,120389,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(303493,120389,'Inflicts 88 - 147 heat damage on target',100,2,3),
(303494,120389,'Increases Slashing and Piercing of caster by 15.8',100,1,4),
(303495,10120389,'Decreases Defense of caster by 10.5',100,1,0),
(303496,10120389,'Increases Crushing and Ranged of caster by 15.8',100,1,1),
(303497,10120389,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(303498,10120389,'Inflicts 115 - 192 heat damage on target',100,2,3),
(303499,10120389,'Increases Slashing and Piercing of caster by 15.8',100,1,4),
(303500,104624,'Inflicts 36 - 60 crushing damage on target',100,1,0),
(303501,104624,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 5.6',100,1,1),
(303502,10104624,'Inflicts 46 - 78 crushing damage on target',100,1,0),
(303503,10104624,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 5.6',100,1,1),
(303504,104571,'Inflicts 186 - 310 disease damage on target',100,1,0),
(303505,104571,'Decreases WIS of target by 66.9',100,1,1),
(303506,10104571,'Inflicts 242 - 403 disease damage on target',100,1,0),
(303507,10104571,'Decreases WIS of target by 66.9',100,1,1),
(303508,116655,'Heals group members (AE) for 108 - 132',100,1,0),
(303509,10116655,'Heals group members (AE) for 70 - 86',100,1,0),
(303510,103134,'Increases STR of caster by 103.8',100,1,0),
(303511,103134,'Adds 4.5% to base avoidance.',100,1,1),
(303512,103134,'Increases Mitigation of caster vs physical damage by 664',100,1,2),
(303513,103134,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,3),
(303514,10103134,'Increases STR of caster by 103.8',100,1,0),
(303515,10103134,'Adds 4.5% to base avoidance.',100,1,1),
(303516,10103134,'Increases Mitigation of caster vs physical damage by 664',100,1,2),
(303517,10103134,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,3),
(303518,135104,'When Equipped:',100,0,0),
(303519,135104,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(303520,10135104,'When Equipped:',100,0,0),
(303521,10135104,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(303522,105592,'Decreases power of target encounter by 40 - 49 instantly and every 3 seconds',100,1,0),
(303523,105592,'Inflicts 93 - 173 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(303524,105592,'Heals group members (AE) for 46 - 85 instantly and every 3 seconds',100,1,2),
(303525,105592,'Increases power of group members (AE) by 17 instantly and every 3 seconds',100,1,3),
(303526,10105592,'Decreases power of target encounter by 40 - 49 instantly and every 3 seconds',100,1,0),
(303527,10105592,'Inflicts 121 - 225 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(303528,10105592,'Heals group members (AE) for 30 - 55 instantly and every 3 seconds',100,1,2),
(303529,10105592,'Increases power of group members (AE) by 17 instantly and every 3 seconds',100,1,3),
(303530,87131,'When Equipped:',100,0,0),
(303531,87131,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303532,87131,'Inflicts 155 - 232 magic damage on target',100,2,2),
(303533,87131,'Cannot be modified except by direct means',100,2,3),
(303534,10087131,'When Equipped:',100,0,0),
(303535,10087131,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303536,10087131,'Inflicts 201 - 302 magic damage on target',100,2,2),
(303537,10087131,'Cannot be modified except by direct means',100,2,3),
(303538,82052,'When Equipped:',100,0,0),
(303539,82052,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303540,82052,'Inflicts 138 - 257 magic damage on target',100,2,2),
(303541,82052,'Cannot be modified except by direct means',100,2,3),
(303542,10082052,'When Equipped:',100,0,0),
(303543,10082052,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303544,10082052,'Inflicts 180 - 334 magic damage on target',100,2,2),
(303545,10082052,'Cannot be modified except by direct means',100,2,3),
(303546,46933,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(303547,46933,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(303548,46933,'Inflicts 166 poison damage on target',100,2,2),
(303549,46933,'Inflicts 86 poison damage on target instantly and every 6 seconds',100,2,3),
(303550,46933,'Cannot be modified except by direct means',100,2,4),
(303551,46933,'Grants a total of 200 triggers of the spell.',100,2,5),
(303552,10046933,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(303553,10046933,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(303554,10046933,'Inflicts 84 poison damage on target instantly and every 6 seconds',100,2,2),
(303555,10046933,'Inflicts 162 poison damage on target',100,2,3),
(303556,10046933,'Cannot be modified except by direct means',100,2,4),
(303557,10046933,'Grants a total of 200 triggers of the spell.',100,2,5),
(303558,141828,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(303559,141828,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(303560,141828,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(303561,141828,'Cannot be modified except by direct means',100,2,3),
(303562,10141828,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(303563,10141828,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(303564,10141828,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(303565,10141828,'Cannot be modified except by direct means',100,2,3),
(303566,41720,'When Equipped:',100,0,0),
(303567,41720,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303568,41720,'Inflicts 108 - 200 magic damage on target',100,2,2),
(303569,41720,'Decreases Threat to target by 487 ',100,2,3),
(303570,41720,'Must be flanking or behind',100,3,4),
(303571,41720,'Increases Threat to target by 487 ',100,2,5),
(303572,41720,'Must be in front of',100,3,6),
(303573,41720,'Cannot be modified except by direct means',100,2,7),
(303574,10041720,'When Equipped:',100,0,0),
(303575,10041720,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303576,10041720,'Inflicts 140 - 260 magic damage on target',100,2,2),
(303577,10041720,'Cannot be modified except by direct means',100,2,3),
(303578,87410,'When Equipped:',100,0,0),
(303579,87410,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303580,87410,'Inflicts 127 - 190 magic damage on target',100,2,2),
(303581,87410,'Cannot be modified except by direct means',100,2,3),
(303582,10087410,'When Equipped:',100,0,0),
(303583,10087410,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303584,10087410,'Inflicts 165 - 247 magic damage on target',100,2,2),
(303585,10087410,'Cannot be modified except by direct means',100,2,3),
(303586,107305,'Decreases WIS of target by 16.5',100,1,0),
(303587,107305,'Decreases Defense of target by 6.3',100,1,1),
(303588,10107305,'Decreases WIS of target by 16.5',100,1,0),
(303589,10107305,'Decreases Defense of target by 6.3',100,1,1),
(303590,107727,'Inflicts 577 - 962 heat damage on target',100,1,0),
(303591,107727,'You must be sneaking to use this ability.',100,1,1),
(303592,10107727,'Inflicts 750 - 1251 heat damage on target',100,1,0),
(303593,10107727,'You must be sneaking to use this ability.',100,1,1),
(303594,46952,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(303595,46952,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(303596,46952,'Inflicts 41 poison damage on target',100,2,2),
(303597,46952,'Inflicts 21 poison damage on target instantly and every 6 seconds',100,2,3),
(303598,46952,'Cannot be modified except by direct means',100,2,4),
(303599,46952,'Grants a total of 200 triggers of the spell.',100,2,5),
(303600,10046952,'Applies ethereal immunity when Activated.  Lasts for 12 hours.',100,0,0),
(303601,10046952,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(303602,10046952,'Inflicts 21 poison damage on target instantly and every 6 seconds',100,2,2),
(303603,10046952,'Inflicts 40 poison damage on target',100,2,3),
(303604,10046952,'Cannot be modified except by direct means',100,2,4),
(303605,10046952,'Grants a total of 200 triggers of the spell.',100,2,5),
(303606,123864,'Increases AGI of caster by 68.8',100,1,0),
(303607,123864,'Adds 25.0% to base avoidance.',100,1,1),
(303608,123864,'Increases Damage Per Second of caster by 60.8',100,1,2),
(303609,123864,'Increases Mitigation of caster vs physical damage by 616',100,1,3),
(303610,123864,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,4),
(303611,10123864,'Increases AGI of caster by 68.8',100,1,0),
(303612,10123864,'Adds 25.0% to base avoidance.',100,1,1),
(303613,10123864,'Increases Damage Per Second of caster by 60.8',100,1,2),
(303614,10123864,'Increases Mitigation of caster vs physical damage by 616',100,1,3),
(303615,10123864,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,4),
(303616,110930,'Inflicts 83 - 139 divine damage on target',100,1,0),
(303617,110930,'Increases Threat to target by 962 ',100,1,1),
(303618,110930,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(303619,110930,'Stuns target',100,2,3),
(303620,110930,'Throws target back',100,2,4),
(303621,110930,'Blurs vision of target',100,2,5),
(303622,110930,'Does not affect Epic targets',100,2,6),
(303623,10110930,'Inflicts 108 - 180 divine damage on target',100,1,0),
(303624,10110930,'Prevents target from changing targets',100,1,1),
(303625,10110930,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(303626,10110930,'Stuns target',100,2,3),
(303627,10110930,'Throws target back',100,2,4),
(303628,10110930,'Blurs vision of target',100,2,5),
(303629,10110930,'Does not affect Epic targets',100,2,6),
(303630,10110930,'Forces target to change their selected target to caster.',100,1,7),
(303631,102656,'Inflicts 193 - 322 melee damage on target',100,1,0),
(303632,102656,'Inflicts 83 heat damage on target every 6 seconds',100,1,1),
(303633,10102656,'Inflicts 251 - 419 melee damage on target',100,1,0),
(303634,10102656,'Inflicts 109 heat damage on target every 6 seconds',100,1,1),
(303635,115943,'Inflicts 498 - 830 melee damage on target',100,1,0),
(303636,115943,'Roots target',100,1,1),
(303637,115943,'If Target is not Epic',100,2,2),
(303638,115943,'5% chance to dispel when target takes damage',100,1,3),
(303639,115943,'Resistibility increases against targets higher than level 89.',100,1,4),
(303640,10115943,'Inflicts 647 - 1079 melee damage on target',100,1,0),
(303641,10115943,'Roots target',100,1,1),
(303642,10115943,'If Target is not Epic',100,2,2),
(303643,10115943,'5% chance to dispel when target takes damage',100,1,3),
(303644,10115943,'Resistibility increases against targets higher than level 89.',100,1,4),
(303645,105570,'Inflicts 229 - 426 disease damage on target',100,1,0),
(303646,105570,'Inflicts 138 - 255 disease damage on target every 2 seconds',100,1,1),
(303647,10105570,'Inflicts 298 - 553 disease damage on target',100,1,0),
(303648,10105570,'Inflicts 179 - 332 disease damage on target every 2 seconds',100,1,1),
(303649,114549,'Heals target for 469 - 573',100,1,0),
(303650,10114549,'Heals target for 610 - 745',100,1,0),
(303651,36203,'Increases Out-of-Combat Power Regeneration of target by 39.9',100,0,0),
(303652,36203,'This effect suspends during combat',100,0,1),
(303653,75132,'When Equipped:',100,0,0),
(303654,75132,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(303655,10075132,'When Equipped:',100,0,0),
(303656,10075132,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(303657,159360,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(303658,159360,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(303659,159360,'Inflicts 85 heat damage on target',100,2,2),
(303660,159360,'Cannot be modified except by direct means',100,2,3),
(303661,10159360,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(303662,10159360,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(303663,10159360,'Inflicts 110 heat damage on target',100,2,2),
(303664,10159360,'Cannot be modified except by direct means',100,2,3),
(303665,100140,'Inflicts 40 - 49 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(303666,100140,'Decreases Mitigation of target encounter vs noxious damage by 437',100,1,1),
(303667,10100140,'Inflicts 52 - 64 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(303668,10100140,'Decreases Mitigation of target encounter vs noxious damage by 437',100,1,1),
(303669,81648,'When Equipped:',100,0,0),
(303670,81648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303671,81648,'Inflicts 112 - 208 magic damage on target',100,2,2),
(303672,81648,'Cannot be modified except by direct means',100,2,3),
(303673,10081648,'When Equipped:',100,0,0),
(303674,10081648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303675,10081648,'Inflicts 146 - 271 magic damage on target',100,2,2),
(303676,10081648,'Cannot be modified except by direct means',100,2,3),
(303677,161705,'When Equipped:',100,0,0),
(303678,161705,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303679,161705,'This effect can be stacked by multiple casters.',100,2,2),
(303680,161705,'Increases target''s chance to block by 7.0%',100,2,3),
(303681,161705,'Cannot be modified except by direct means',100,2,4),
(303682,10161705,'When Equipped:',100,0,0),
(303683,10161705,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303684,10161705,'This effect can be stacked by multiple casters.',100,2,2),
(303685,10161705,'Increases target''s chance to block by 7.0%',100,2,3),
(303686,10161705,'Cannot be modified except by direct means',100,2,4),
(303687,37609,'Increases Out-of-Combat Health Regeneration of target by 41.0',100,0,0),
(303688,37609,'This effect suspends during combat',100,0,1),
(303689,168972,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(303690,168972,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(303691,168972,'Cannot be modified except by direct means',100,1,2),
(303692,10168972,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(303693,10168972,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(303694,10168972,'Cannot be modified except by direct means',100,1,2),
(303695,120506,'Inflicts 258 - 430 melee damage on target',100,1,0),
(303696,120506,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(303697,120506,'Grants stealth to caster',100,2,2),
(303698,120506,'Suspends caster''s movement speed enhancements',100,2,3),
(303699,120506,'Must be flanking or behind',100,1,4),
(303700,10120506,'Inflicts 335 - 559 melee damage on target',100,1,0),
(303701,10120506,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(303702,10120506,'Grants stealth to caster',100,2,2),
(303703,10120506,'Suspends caster''s movement speed enhancements',100,2,3),
(303704,10120506,'Must be flanking or behind',100,1,4),
(303705,88071,'When Equipped:',100,0,0),
(303706,88071,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(303707,88071,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,2),
(303708,88071,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(303709,88071,'Must not be engaged in pvp combat',100,2,4),
(303710,88071,'Cannot be modified except by direct means',100,2,5),
(303711,88071,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(303712,88071,'Cannot be modified except by direct means',100,1,7),
(303713,10088071,'When Equipped:',100,0,0),
(303714,10088071,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(303715,10088071,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,2),
(303716,10088071,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(303717,10088071,'Must not be engaged in pvp combat',100,2,4),
(303718,10088071,'Cannot be modified except by direct means',100,2,5),
(303719,10088071,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(303720,10088071,'Cannot be modified except by direct means',100,1,7),
(303721,52877,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(303722,52877,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(303723,52877,'Inflicts 63 heat damage on target',100,2,2),
(303724,52877,'Cannot be modified except by direct means',100,2,3),
(303725,10052877,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(303726,10052877,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(303727,10052877,'Inflicts 82 heat damage on target',100,2,2),
(303728,10052877,'Cannot be modified except by direct means',100,2,3),
(303729,110972,'Inflicts 877 - 1462 ranged damage on target',100,1,0),
(303730,110972,'I need to be stealthed!',100,1,1),
(303731,110972,'Requires bow',100,1,2),
(303732,10110972,'Inflicts 493 - 822 ranged damage on target',100,1,0),
(303733,10110972,'I need to be stealthed!',100,1,1),
(303734,10110972,'Requires bow',100,1,2),
(303735,80867,'When Equipped:',100,0,0),
(303736,80867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303737,80867,'Inflicts 188 - 349 magic damage on target',100,2,2),
(303738,80867,'Cannot be modified except by direct means',100,2,3),
(303739,10080867,'When Equipped:',100,0,0),
(303740,10080867,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303741,10080867,'Inflicts 244 - 454 magic damage on target',100,2,2),
(303742,10080867,'Cannot be modified except by direct means',100,2,3),
(303743,106946,'Inflicts 209 - 388 poison damage on target',100,1,0),
(303744,10106946,'Inflicts 272 - 504 poison damage on target',100,1,0),
(303745,112340,'Applies Insolent Gibe.',100,1,0),
(303746,112340,'Increases Threat to targets in Area of Effect by 2,937 - 4,406 ',100,2,1),
(303747,112340,'Applies Insolent Assault.',100,1,2),
(303748,112340,'Inflicts 1536 - 2304 melee damage on targets in area',100,2,3),
(303749,112340,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(303750,112340,'Increases Threat to target encounter by 1,101 - 1,346 ',100,2,5),
(303751,10112340,'Applies Insolent Gibe.',100,1,0),
(303752,10112340,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(303753,10112340,'Applies Insolent Assault.',100,1,2),
(303754,10112340,'Inflicts 1997 - 2995 melee damage on targets in area',100,2,3),
(303755,10112340,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(303756,10112340,'Forces target encounter to change their selected target to caster.',100,2,5),
(303757,135985,'When Equipped:',100,0,0),
(303758,135985,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(303759,135985,'Inflicts 18 disease damage on target',100,2,2),
(303760,135985,'Cannot be modified except by direct means',100,2,3),
(303761,10135985,'When Equipped:',100,0,0),
(303762,10135985,'When any damage is received this spell has a 5% chance to cast Diseased Feedback on target''s attacker.  ',100,1,1),
(303763,10135985,'Inflicts 24 disease damage on target',100,2,2),
(303764,10135985,'Cannot be modified except by direct means',100,2,3),
(303765,45007,'Applies Create Badge when Activated.',100,0,0),
(303766,45007,'Summon 1 Medal of Merit',100,1,1),
(303767,10045007,'Applies Create Badge when Activated.',100,0,0),
(303768,10045007,'Summon 1 Medal of Merit',100,1,1),
(303769,122374,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(303770,122374,'Inflicts 37 - 45 piercing damage on target',100,2,1),
(303771,10122374,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(303772,10122374,'Inflicts 48 - 59 piercing damage on target',100,2,1),
(303773,111232,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(303774,111232,'Heals target for 257 - 314',100,2,1),
(303775,10111232,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(303776,10111232,'Heals target for 167 - 204',100,2,1),
(303777,105214,'Decreases STR and INT of target by 30.2',100,1,0),
(303778,105214,'Only affects targets level 20 and above',100,1,1),
(303779,10105214,'Decreases STR and INT of target by 30.2',100,1,0),
(303780,10105214,'Only affects targets level 20 and above',100,1,1),
(303781,111320,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(303782,111320,'Inflicts 121 - 148 mental damage on target',100,2,1),
(303783,111320,'Grants a total of 3 triggers of the spell.',100,2,2),
(303784,10111320,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(303785,10111320,'Inflicts 157 - 192 mental damage on target',100,2,1),
(303786,10111320,'Grants a total of 3 triggers of the spell.',100,2,2),
(303787,79709,'When Equipped:',100,0,0),
(303788,79709,'On a combat hit this spell may cast Planar Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303789,79709,'Inflicts 215 - 446 divine damage on target',100,2,2),
(303790,79709,'Cannot be modified except by direct means',100,2,3),
(303791,10079709,'When Equipped:',100,0,0),
(303792,10079709,'On a combat hit this spell may cast Planar Wrath on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303793,10079709,'Inflicts 279 - 580 divine damage on target',100,2,2),
(303794,10079709,'Cannot be modified except by direct means',100,2,3),
(303795,35467,'Increases Max Power of target by 108.8',100,0,0),
(303796,35467,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(303797,40938,'When Equipped:',100,0,0),
(303798,40938,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(303799,40938,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,2),
(303800,40938,'Increases Potency of caster by 3.0%',100,2,3),
(303801,40938,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(303802,40938,'Must not be engaged in pvp combat',100,2,5),
(303803,40938,'Cannot be modified except by direct means',100,2,6),
(303804,40938,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(303805,40938,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(303806,40938,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,9),
(303807,40938,'Increases Potency of caster by 3.0%',100,2,10),
(303808,40938,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(303809,40938,'Must not be engaged in pvp combat',100,2,12),
(303810,40938,'Cannot be modified except by direct means',100,2,13),
(303811,40938,'Cannot be modified except by direct means',100,1,14),
(303812,10040938,'When Equipped:',100,0,0),
(303813,10040938,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(303814,10040938,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,2),
(303815,10040938,'Increases Potency of caster by 3.0%',100,2,3),
(303816,10040938,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(303817,10040938,'Must not be engaged in pvp combat',100,2,5),
(303818,10040938,'Cannot be modified except by direct means',100,2,6),
(303819,10040938,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(303820,10040938,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(303821,10040938,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,9),
(303822,10040938,'Increases Potency of caster by 3.0%',100,2,10),
(303823,10040938,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(303824,10040938,'Must not be engaged in pvp combat',100,2,12),
(303825,10040938,'Cannot be modified except by direct means',100,2,13),
(303826,10040938,'Cannot be modified except by direct means',100,1,14),
(303827,138391,'When Equipped:',100,0,0),
(303828,138391,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(303829,138391,'Inflicts 959 - 1439 poison damage on target',100,2,2),
(303830,138391,'Heals caster for 639 - 958',100,2,3),
(303831,138391,'Cannot be modified except by direct means',100,2,4),
(303832,138391,'Cannot be modified except by direct means',100,1,5),
(303833,138391,'Applies Heroic Resistance X when Equipped.',100,0,6),
(303834,138391,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,7),
(303835,138391,'Cannot be modified except by direct means',100,1,8),
(303836,10138391,'When Equipped:',100,0,0),
(303837,10138391,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(303838,10138391,'Inflicts 1247 - 1870 poison damage on target',100,2,2),
(303839,10138391,'Heals caster for 747 - 1121',100,2,3),
(303840,10138391,'Cannot be modified except by direct means',100,2,4),
(303841,10138391,'Cannot be modified except by direct means',100,1,5),
(303842,10138391,'Applies Heroic Resistance X when Equipped.',100,0,6),
(303843,10138391,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,7),
(303844,10138391,'Cannot be modified except by direct means',100,1,8),
(303845,110003,'Inflicts 79 - 96 divine damage on target',100,1,0),
(303846,110003,'Dazes target',100,1,1),
(303847,110003,'If Target is not Epic',100,2,2),
(303848,110003,'Dispelled when target receives hostile action',100,1,3),
(303849,110003,'Dispelled when target takes damage',100,1,4),
(303850,110003,'Resistibility increases against targets higher than level 46.',100,1,5),
(303851,10110003,'Inflicts 102 - 125 divine damage on target',100,1,0),
(303852,10110003,'Dazes target',100,1,1),
(303853,10110003,'If Target is not Epic',100,2,2),
(303854,10110003,'Dispelled when target receives hostile action',100,1,3),
(303855,10110003,'Dispelled when target takes damage',100,1,4),
(303856,10110003,'Resistibility increases against targets higher than level 46.',100,1,5),
(303857,117909,'Increases In-Combat Health Regeneration of group members (AE) by 71.2',100,1,0),
(303858,117909,'Increases Max Health of group members (AE) by 381.7',100,1,1),
(303859,10117909,'Increases In-Combat Health Regeneration of group members (AE) by 71.2',100,1,0),
(303860,10117909,'Increases Max Health of group members (AE) by 381.7',100,1,1),
(303861,102181,'Increases Mitigation of group members (AE) vs physical damage by 229',100,1,0),
(303862,10102181,'Increases Mitigation of group members (AE) vs physical damage by 229',100,1,0),
(303863,120436,'Inflicts 204 - 340 melee damage on target',100,1,0),
(303864,120436,'Inflicts 204 - 340 melee damage on target',100,1,1),
(303865,10120436,'Inflicts 265 - 443 melee damage on target',100,1,0),
(303866,10120436,'Inflicts 265 - 443 melee damage on target',100,1,1),
(303867,105077,'Inflicts 72 - 98 magic damage on target',100,1,0),
(303868,10105077,'Inflicts 94 - 127 magic damage on target',100,1,0),
(303869,100798,'Wards target against 1014 points of all damage',100,1,0),
(303870,10100798,'Wards target against 1560 points of all damage',100,1,0),
(303871,85135,'When Equipped:',100,0,0),
(303872,85135,'On any combat or spell hit this spell may cast Penitent Smite on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303873,85135,'Makes group members (AE) immune to Stifle effects',100,2,2),
(303874,85135,'Inflicts 435 - 653 divine damage on target',100,2,3),
(303875,85135,'Cannot be modified except by direct means',100,2,4),
(303876,85135,'Cannot be modified except by direct means',100,1,5),
(303877,10085135,'When Equipped:',100,0,0),
(303878,10085135,'On any combat or spell hit this spell may cast Penitent Smite on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(303879,10085135,'Makes group members (AE) immune to Stifle effects',100,2,2),
(303880,10085135,'Inflicts 566 - 849 divine damage on target',100,2,3),
(303881,10085135,'Cannot be modified except by direct means',100,2,4),
(303882,10085135,'Cannot be modified except by direct means',100,1,5),
(303883,82361,'When Equipped:',100,0,0),
(303884,82361,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303885,82361,'Inflicts 33 - 61 magic damage on target',100,2,2),
(303886,82361,'Decreases Threat to target by 135 ',100,2,3),
(303887,82361,'Must be flanking or behind',100,3,4),
(303888,82361,'Increases Threat to target by 135 ',100,2,5),
(303889,82361,'Must be in front of',100,3,6),
(303890,82361,'Cannot be modified except by direct means',100,2,7),
(303891,10082361,'When Equipped:',100,0,0),
(303892,10082361,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303893,10082361,'Inflicts 43 - 80 magic damage on target',100,2,2),
(303894,10082361,'Cannot be modified except by direct means',100,2,3),
(303895,108984,'Decreases Damage Per Second of target by 14.9',100,1,0),
(303896,108984,'Inflicts 26 - 32 melee damage on target',100,1,1),
(303897,10108984,'Decreases Damage Per Second of target by 14.9',100,1,0),
(303898,10108984,'Inflicts 34 - 41 melee damage on target',100,1,1),
(303899,41515,'When Equipped:',100,0,0),
(303900,41515,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303901,41515,'Inflicts 48 - 90 magic damage on target',100,2,2),
(303902,41515,'Decreases Threat to target by 153 ',100,2,3),
(303903,41515,'Must be flanking or behind',100,3,4),
(303904,41515,'Increases Threat to target by 153 ',100,2,5),
(303905,41515,'Must be in front of',100,3,6),
(303906,41515,'Cannot be modified except by direct means',100,2,7),
(303907,10041515,'When Equipped:',100,0,0),
(303908,10041515,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(303909,10041515,'Inflicts 63 - 116 magic damage on target',100,2,2),
(303910,10041515,'Cannot be modified except by direct means',100,2,3),
(303911,105471,'Stuns target encounter',100,1,0),
(303912,105471,'If Target is not Epic',100,2,1),
(303913,105471,'Inflicts 108 - 201 poison damage on target encounter',100,1,2),
(303914,105471,'Resistibility increases against targets higher than level 51.',100,1,3),
(303915,10105471,'Stuns target encounter',100,1,0),
(303916,10105471,'If Target is not Epic',100,2,1),
(303917,10105471,'Inflicts 141 - 261 poison damage on target encounter',100,1,2),
(303918,10105471,'Resistibility increases against targets higher than level 51.',100,1,3),
(303919,106248,'Wards target against 252 points of all damage',100,1,0),
(303920,10106248,'Wards target against 252 points of all damage',100,1,0),
(303921,36436,'Increases STA and WIS of target by 13.2',100,0,0),
(303922,36436,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(303923,113530,'Inflicts 34 - 57 disease damage on target',100,1,0),
(303924,10113530,'Inflicts 45 - 75 disease damage on target',100,1,0),
(303925,102097,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(303926,102097,'Stuns target',100,2,1),
(303927,102097,'Throws target back',100,2,2),
(303928,102097,'Blurs vision of target',100,2,3),
(303929,102097,'Does not affect Epic targets',100,2,4),
(303930,102097,'Inflicts 61 - 102 crushing damage on target',100,1,5),
(303931,10102097,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(303932,10102097,'Stuns target',100,2,1),
(303933,10102097,'Blurs vision of target',100,2,2),
(303934,10102097,'Throws target back',100,2,3),
(303935,10102097,'Does not affect Epic targets',100,2,4),
(303936,10102097,'Inflicts 79 - 132 crushing damage on target',100,1,5),
(303937,105887,'Inflicts 135 - 226 ranged damage on target',100,1,0),
(303938,105887,'Inflicts 135 - 226 ranged damage on target',100,1,1),
(303939,105887,'If weapon equipped in Ranged',100,1,2),
(303940,10105887,'Inflicts 101 - 169 ranged damage on target',100,1,0),
(303941,10105887,'Inflicts 101 - 169 ranged damage on target',100,1,1),
(303942,10105887,'If weapon equipped in Ranged',100,1,2),
(303943,37284,'Increases STA and STR of target by 55.0',100,0,0),
(303944,37284,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(303945,37284,'Increases Out-of-Combat Health Regeneration of target by 177.8',100,0,2),
(303946,110711,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(303947,110711,'Heals group members (AE) for 272',100,2,1),
(303948,10110711,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(303949,10110711,'Heals group members (AE) for 177',100,2,1),
(303950,80391,'When Equipped:',100,0,0),
(303951,80391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303952,80391,'Inflicts 43 - 81 magic damage on target',100,2,2),
(303953,80391,'Cannot be modified except by direct means',100,2,3),
(303954,10080391,'When Equipped:',100,0,0),
(303955,10080391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303956,10080391,'Inflicts 56 - 105 magic damage on target',100,2,2),
(303957,10080391,'Cannot be modified except by direct means',100,2,3),
(303958,123802,'Inflicts 33 - 55 magic damage on target',100,1,0),
(303959,123802,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(303960,123802,'Decreases Defense of target by 13.0',100,1,2),
(303961,123802,'Target will lose 19% more power when power is consumed',100,1,3),
(303962,123802,'19% of target''s power consumed will also be drained from target''s health',100,1,4),
(303963,10123802,'Inflicts 43 - 71 magic damage on target',100,1,0),
(303964,10123802,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(303965,10123802,'Decreases Defense of target by 13.0',100,1,2),
(303966,10123802,'Target will lose 19% more power when power is consumed',100,1,3),
(303967,10123802,'19% of target''s power consumed will also be drained from target''s health',100,1,4),
(303968,111198,'Inflicts 180 - 300 divine damage on targets in area',100,1,0),
(303969,111198,'Heals group members (AE) for 1.8% of max health',100,1,1),
(303970,111198,'This effect cannot be critically applied.',100,2,2),
(303971,111198,'The healing of this spell cannot be modified except by direct means',100,1,3),
(303972,10111198,'Inflicts 234 - 390 divine damage on targets in area',100,1,0),
(303973,10111198,'Heals group members (AE) for 1.1% of max health',100,1,1),
(303974,10111198,'This effect cannot be critically applied.',100,2,2),
(303975,10111198,'The healing of this spell cannot be modified except by direct means',100,1,3),
(303976,74845,'When Equipped:',100,0,0),
(303977,74845,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303978,74845,'Inflicts 111 - 166 magic damage on target',100,2,2),
(303979,74845,'Cannot be modified except by direct means',100,2,3),
(303980,10074845,'When Equipped:',100,0,0),
(303981,10074845,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(303982,10074845,'Inflicts 144 - 216 magic damage on target',100,2,2),
(303983,10074845,'Cannot be modified except by direct means',100,2,3),
(303984,117077,'Inflicts 358 - 597 melee damage on target',100,1,0),
(303985,117077,'Decreases Attack Speed of target by 29.0',100,1,1),
(303986,10117077,'Inflicts 465 - 776 melee damage on target',100,1,0),
(303987,10117077,'Decreases Attack Speed of target by 29.0',100,1,1),
(303988,123905,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(303989,123905,'Slows target by 57.7%',100,2,1),
(303990,123905,'5% chance to dispel when target receives hostile action',100,2,2),
(303991,123905,'5% chance to dispel when target takes damage',100,2,3),
(303992,123905,'Decreases Mitigation of target vs elemental and noxious damage by 784',100,1,4),
(303993,10123905,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(303994,10123905,'Slows target by 57.7%',100,2,1),
(303995,10123905,'5% chance to dispel when target receives hostile action',100,2,2),
(303996,10123905,'5% chance to dispel when target takes damage',100,2,3),
(303997,10123905,'Decreases Mitigation of target vs elemental and noxious damage by 784',100,1,4),
(303998,81996,'When Equipped:',100,0,0),
(303999,81996,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304000,81996,'Inflicts 125 - 232 magic damage on target',100,2,2),
(304001,81996,'Cannot be modified except by direct means',100,2,3),
(304002,10081996,'When Equipped:',100,0,0),
(304003,10081996,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304004,10081996,'Inflicts 162 - 301 magic damage on target',100,2,2),
(304005,10081996,'Cannot be modified except by direct means',100,2,3),
(304006,177591,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(304007,177591,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304008,177591,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(304009,177591,'Cannot be modified except by direct means',100,2,3),
(304010,10177591,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(304011,10177591,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304012,10177591,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(304013,10177591,'Cannot be modified except by direct means',100,2,3),
(304014,138371,'Applies Heroic Resistance X when Equipped.',100,0,0),
(304015,138371,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(304016,138371,'Cannot be modified except by direct means',100,1,2),
(304017,10138371,'Applies Heroic Resistance X when Equipped.',100,0,0),
(304018,10138371,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(304019,10138371,'Cannot be modified except by direct means',100,1,2),
(304020,144723,'When Equipped:',100,0,0),
(304021,144723,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(304022,144723,'Inflicts 25 cold damage on target',100,2,2),
(304023,144723,'Cannot be modified except by direct means',100,2,3),
(304024,10144723,'When Equipped:',100,0,0),
(304025,10144723,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(304026,10144723,'Inflicts 32 cold damage on target',100,2,2),
(304027,10144723,'Cannot be modified except by direct means',100,2,3),
(304028,124125,'Increases power of caster by 351',100,1,0),
(304029,10124125,'Increases power of caster by 351',100,1,0),
(304030,122346,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(304031,122346,'Inflicts 10 - 12 piercing damage on target',100,2,1),
(304032,10122346,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(304033,10122346,'Inflicts 13 - 16 piercing damage on target',100,2,1),
(304034,46854,'Applies Dig for Treasure when Activated.',100,0,0),
(304035,10046854,'Applies Dig for Treasure when Activated.',100,0,0),
(304036,113414,'Reduces physical damage done to caster by 5%',100,1,0),
(304037,113414,'Increases STA of caster by 65.0',100,1,1),
(304038,113414,'Adds 2.9% to base avoidance.',100,1,2),
(304039,113414,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(304040,113414,'Increases Defense and Aggression of caster by 12.5',100,1,4),
(304041,113414,'Increases Mitigation of caster vs noxious damage by 836',100,1,5),
(304042,113414,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(304043,10113414,'Reduces physical damage done to caster by 5%',100,1,0),
(304044,10113414,'Increases STA of caster by 65.0',100,1,1),
(304045,10113414,'Adds 2.9% to base avoidance.',100,1,2),
(304046,10113414,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(304047,10113414,'Increases Defense and Aggression of caster by 12.5',100,1,4),
(304048,10113414,'Increases Mitigation of caster vs noxious damage by 836',100,1,5),
(304049,10113414,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(304050,163215,'When Equipped:',100,0,0),
(304051,163215,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(304052,163215,'Inflicts 1199 disease damage on target encounter',100,2,2),
(304053,163215,'Must not be engaged in pvp combat',100,2,3),
(304054,163215,'Cannot be modified except by direct means',100,2,4),
(304055,10163215,'When Equipped:',100,0,0),
(304056,10163215,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(304057,10163215,'Inflicts 779 disease damage on target encounter',100,2,2),
(304058,10163215,'Must not be engaged in pvp combat',100,2,3),
(304059,10163215,'Cannot be modified except by direct means',100,2,4),
(304060,111789,'Shapechanges caster into an earth elemental',100,1,0),
(304061,10111789,'Shapechanges caster into an earth elemental',100,1,0),
(304062,124372,'Inflicts 268 - 327 divine damage on target',100,1,0),
(304063,124372,'Inflicts 112 - 136 divine damage on target every 4 seconds',100,1,1),
(304064,10124372,'Inflicts 348 - 425 divine damage on target',100,1,0),
(304065,10124372,'Inflicts 145 - 177 divine damage on target every 4 seconds',100,1,1),
(304066,115963,'Stuns target',100,1,0),
(304067,115963,'Inflicts 64 - 95 mental damage on target',100,1,1),
(304068,115963,'Epic targets gain an immunity to Stun effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(304069,115963,'Resistibility increases against targets higher than level 42.',100,1,3),
(304070,10115963,'Stuns target',100,1,0),
(304071,10115963,'Inflicts 83 - 124 mental damage on target',100,1,1),
(304072,10115963,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(304073,10115963,'Resistibility increases against targets higher than level 42.',100,1,3),
(304074,112830,'Roots target',100,1,0),
(304075,112830,'5% chance to dispel when target takes damage',100,1,1),
(304076,112830,'Does not affect Epic targets',100,1,2),
(304077,112830,'Resistibility increases against targets higher than level 50.',100,1,3),
(304078,10112830,'Roots target',100,1,0),
(304079,10112830,'5% chance to dispel when target takes damage',100,1,1),
(304080,10112830,'Does not affect Epic targets',100,1,2),
(304081,10112830,'Resistibility increases against targets higher than level 50.',100,1,3),
(304082,107907,'Mesmerizes target',100,1,0),
(304083,107907,'Prevents AOE (except when direct) ',100,1,1),
(304084,107907,'Dispelled when target takes damage',100,1,2),
(304085,107907,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(304086,107907,'Resistibility increases against targets higher than level 30.',100,1,4),
(304087,10107907,'Mesmerizes target',100,1,0),
(304088,10107907,'Prevents AOE (except when direct) ',100,1,1),
(304089,10107907,'Dispelled when target takes damage',100,1,2),
(304090,10107907,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(304091,10107907,'Resistibility increases against targets higher than level 30.',100,1,4),
(304092,111317,'Increases Attack Speed of caster by 36.9',100,1,0),
(304093,10111317,'Increases Attack Speed of caster by 36.9',100,1,0),
(304094,54755,'When Equipped:',100,0,0),
(304095,54755,'On a healing spell cast this spell may cast Furious Spirit on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304096,54755,'Increases STR and AGI of target by 138.6',100,2,2),
(304097,54755,'Increases Max Health of target by 10.0%',100,2,3),
(304098,54755,'Increases Max Power of target by 10.0%',100,2,4),
(304099,54755,'Cannot be modified except by direct means',100,2,5),
(304100,54755,'Increases Max Power of caster by 5.0%',100,1,6),
(304101,10054755,'When Equipped:',100,0,0),
(304102,10054755,'On a healing spell cast this spell may cast Furious Spirit on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304103,10054755,'Increases STR and AGI of target by 138.6',100,2,2),
(304104,10054755,'Increases Max Health of target by 10.0%',100,2,3),
(304105,10054755,'Increases Max Power of target by 10.0%',100,2,4),
(304106,10054755,'Cannot be modified except by direct means',100,2,5),
(304107,10054755,'Increases Max Power of caster by 5.0%',100,1,6),
(304108,104806,'Increases caster''s chance to block by 10.0%',100,1,0),
(304109,104806,'Decreases Attack Speed of caster by 16.8',100,1,1),
(304110,104806,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(304111,104806,'Increases Parry of caster by 24.5',100,1,3),
(304112,104806,'Increases Defense of caster by 24.5',100,1,4),
(304113,10104806,'Increases caster''s chance to block by 10.0%',100,1,0),
(304114,10104806,'Decreases Attack Speed of caster by 16.8',100,1,1),
(304115,10104806,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(304116,10104806,'Increases Parry of caster by 24.5',100,1,3),
(304117,10104806,'Increases Defense of caster by 24.5',100,1,4),
(304118,177788,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(304119,177788,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(304120,177788,'Decreases Attack Speed of target by 15.6',100,2,2),
(304121,177788,'Cannot be modified except by direct means',100,2,3),
(304122,177788,'Slows target by 39.0%',100,1,4),
(304123,177788,'5% chance to dispel when target takes damage',100,1,5),
(304124,177788,'5% chance to dispel when target receives hostile action',100,1,6),
(304125,177788,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(304126,10177788,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(304127,10177788,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(304128,10177788,'Decreases Attack Speed of target by 15.6',100,2,2),
(304129,10177788,'Cannot be modified except by direct means',100,2,3),
(304130,10177788,'Slows target by 39.0%',100,1,4),
(304131,10177788,'5% chance to dispel when target takes damage',100,1,5),
(304132,10177788,'5% chance to dispel when target receives hostile action',100,1,6),
(304133,10177788,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(304134,136598,'When Equipped:',100,0,0),
(304135,136598,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(304136,136598,'Stuns target',100,2,2),
(304137,136598,'Only affects targets level 125 and below',100,2,3),
(304138,136598,'Does not affect Epic targets',100,2,4),
(304139,136598,'Resistibility increases against targets higher than level 109.',100,2,5),
(304140,136598,'Cannot be modified except by direct means',100,2,6),
(304141,10136598,'When Equipped:',100,0,0),
(304142,10136598,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(304143,10136598,'Stuns target',100,2,2),
(304144,10136598,'Only affects targets level 125 and below',100,2,3),
(304145,10136598,'Does not affect Epic targets',100,2,4),
(304146,10136598,'Resistibility increases against targets higher than level 109.',100,2,5),
(304147,10136598,'Cannot be modified except by direct means',100,2,6),
(304148,188629,'When Equipped:',100,0,0),
(304149,188629,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304150,188629,'Summons a limited pet to aid the caster',100,2,2),
(304151,188629,'Cannot be modified except by direct means',100,2,3),
(304152,188629,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(304153,188629,'Summons a limited pet to aid the caster',100,2,5),
(304154,188629,'Cannot be modified except by direct means',100,2,6),
(304155,10188629,'When Equipped:',100,0,0),
(304156,10188629,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304157,10188629,'Summons a limited pet to aid the caster',100,2,2),
(304158,10188629,'Cannot be modified except by direct means',100,2,3),
(304159,10188629,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(304160,10188629,'Summons a limited pet to aid the caster',100,2,5),
(304161,10188629,'Cannot be modified except by direct means',100,2,6),
(304162,108204,'Increases power of caster by 37 instantly and every 4 seconds',100,1,0),
(304163,10108204,'Increases power of caster by 37 instantly and every 4 seconds',100,1,0),
(304164,118842,'Inflicts 76 - 230 melee damage on target',100,1,0),
(304165,10118842,'Inflicts 99 - 299 melee damage on target',100,1,0),
(304166,48309,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(304167,48309,'Heals caster for 77',100,1,1),
(304168,48309,'Heals caster for 38 every 5 seconds',100,1,2),
(304169,10048309,'Applies essence of regeneration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(304170,10048309,'Heals caster for 50',100,1,1),
(304171,10048309,'Heals caster for 25 every 5 seconds',100,1,2),
(304172,105968,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(304173,105968,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(304174,105968,'Inflicts 89 - 149 piercing damage on target',100,3,2),
(304175,105968,'Grants a total of 5 triggers of the spell.',100,3,3),
(304176,105968,'Grants a total of 1 trigger of the spell.',100,2,4),
(304177,10105968,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(304178,10105968,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(304179,10105968,'Inflicts 116 - 194 piercing damage on target',100,3,2),
(304180,10105968,'Grants a total of 5 triggers of the spell.',100,3,3),
(304181,10105968,'Grants a total of 1 trigger of the spell.',100,2,4),
(304182,114517,'Heals target for 66 - 81',100,1,0),
(304183,10114517,'Heals target for 86 - 105',100,1,0),
(304184,80270,'When Equipped:',100,0,0),
(304185,80270,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304186,80270,'Inflicts 169 - 314 magic damage on target',100,2,2),
(304187,80270,'Cannot be modified except by direct means',100,2,3),
(304188,10080270,'When Equipped:',100,0,0),
(304189,10080270,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304190,10080270,'Inflicts 220 - 408 magic damage on target',100,2,2),
(304191,10080270,'Cannot be modified except by direct means',100,2,3),
(304192,41704,'When Equipped:',100,0,0),
(304193,41704,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304194,41704,'Inflicts 30 - 55 magic damage on target',100,2,2),
(304195,41704,'Cannot be modified except by direct means',100,2,3),
(304196,10041704,'When Equipped:',100,0,0),
(304197,10041704,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304198,10041704,'Inflicts 39 - 72 magic damage on target',100,2,2),
(304199,10041704,'Cannot be modified except by direct means',100,2,3),
(304200,119782,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(304201,119782,'Inflicts 103 - 126 poison damage on target encounter',100,2,1),
(304202,10119782,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(304203,10119782,'Inflicts 134 - 163 poison damage on target encounter',100,2,1),
(304204,141939,'When Equipped:',100,0,0),
(304205,141939,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(304206,141939,'Increases AGI of caster by 21.4',100,2,2),
(304207,141939,'Increases Attack Speed of caster by 23.5',100,2,3),
(304208,141939,'Cannot be modified except by direct means',100,2,4),
(304209,10141939,'When Equipped:',100,0,0),
(304210,10141939,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(304211,10141939,'Increases AGI of caster by 21.4',100,2,2),
(304212,10141939,'Increases Attack Speed of caster by 23.5',100,2,3),
(304213,10141939,'Cannot be modified except by direct means',100,2,4),
(304214,109551,'Inflicts 5001 - 8335 cold damage on targets in Area of Effect',100,1,0),
(304215,109551,'Throws target back',100,1,1),
(304216,109551,'If Target is not Epic',100,2,2),
(304217,109551,'Stuns targets in Area of Effect',100,1,3),
(304218,109551,'If Target is not Epic',100,2,4),
(304219,109551,'Resistibility increases against targets higher than level 107.',100,1,5),
(304220,10109551,'Inflicts 6501 - 10835 cold damage on targets in Area of Effect',100,1,0),
(304221,10109551,'Throws target back',100,1,1),
(304222,10109551,'If Target is not Epic',100,2,2),
(304223,10109551,'Stuns targets in Area of Effect',100,1,3),
(304224,10109551,'If Target is not Epic',100,2,4),
(304225,10109551,'Resistibility increases against targets higher than level 107.',100,1,5),
(304226,109356,'Stuns target',100,1,0),
(304227,109356,'If Target is not Epic',100,2,1),
(304228,109356,'Inflicts 147 - 180 cold damage on target',100,1,2),
(304229,109356,'Resistibility increases against targets higher than level 45.',100,1,3),
(304230,10109356,'Stuns target',100,1,0),
(304231,10109356,'If Target is not Epic',100,2,1),
(304232,10109356,'Inflicts 191 - 234 cold damage on target',100,1,2),
(304233,10109356,'Resistibility increases against targets higher than level 45.',100,1,3),
(304234,103328,'Inflicts 87 - 106 mental damage on target instantly and every 6 seconds',100,1,0),
(304235,103328,'Applies Migraine on termination.',100,1,1),
(304236,103328,'Inflicts 189 - 255 mental damage on target',100,2,2),
(304237,10103328,'Inflicts 113 - 138 mental damage on target instantly and every 6 seconds',100,1,0),
(304238,10103328,'Applies Migraine on termination.',100,1,1),
(304239,10103328,'Inflicts 246 - 332 mental damage on target',100,2,2),
(304240,114481,'Inflicts 40 - 54 mental damage on target',100,1,0),
(304241,10114481,'Inflicts 52 - 70 mental damage on target',100,1,0),
(304242,186892,'When Equipped:',100,0,0),
(304243,186892,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(304244,186892,'Inflicts 1986 piercing damage on target',100,2,2),
(304245,186892,'Cannot be modified except by direct means',100,2,3),
(304246,10186892,'When Equipped:',100,0,0),
(304247,10186892,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(304248,10186892,'Inflicts 1291 piercing damage on target',100,2,2),
(304249,10186892,'Cannot be modified except by direct means',100,2,3),
(304250,27451,'When Equipped:',100,0,0),
(304251,27451,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,1),
(304252,27451,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(304253,10027451,'When Equipped:',100,0,0),
(304254,10027451,'Improves the trigger chance of Grim Harbinger VII by 8%.',100,1,1),
(304255,10027451,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(304256,159234,'Applies Lambent Imbued when Equipped.',100,0,0),
(304257,159234,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304258,159234,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(304259,159234,'Cannot be modified except by direct means',100,2,3),
(304260,10159234,'Applies Lambent Imbued when Equipped.',100,0,0),
(304261,10159234,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304262,10159234,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(304263,10159234,'Cannot be modified except by direct means',100,2,3),
(304264,45893,'Applies Decomposing Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(304265,45893,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(304266,45893,'Inflicts 3 poison damage on target',100,2,2),
(304267,45893,'Inflicts 13 poison damage on target instantly and every 6 seconds',100,2,3),
(304268,45893,'Cannot be modified except by direct means',100,2,4),
(304269,45893,'Grants a total of 100 triggers of the spell.',100,2,5),
(304270,10045893,'Applies Decomposing Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(304271,10045893,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(304272,10045893,'Inflicts 3 poison damage on target',100,2,2),
(304273,10045893,'Inflicts 13 poison damage on target instantly and every 6 seconds',100,2,3),
(304274,10045893,'Cannot be modified except by direct means',100,2,4),
(304275,10045893,'Grants a total of 100 triggers of the spell.',100,2,5),
(304276,159291,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304277,159291,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304278,159291,'Inflicts 56 heat damage on target',100,2,2),
(304279,159291,'Cannot be modified except by direct means',100,2,3),
(304280,10159291,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304281,10159291,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304282,10159291,'Inflicts 72 heat damage on target',100,2,2),
(304283,10159291,'Cannot be modified except by direct means',100,2,3),
(304284,106665,'Heals caster for 38.6 - 47.2% of max health',100,1,0),
(304285,106665,'This effect cannot be critically applied.',100,2,1),
(304286,106665,'Increases Max Health of caster by 152.0',100,1,2),
(304287,106665,'The healing of this spell cannot be modified except by direct means',100,1,3),
(304288,10106665,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(304289,10106665,'This effect cannot be critically applied.',100,2,1),
(304290,10106665,'Increases Max Health of caster by 152.0',100,1,2),
(304291,10106665,'The healing of this spell cannot be modified except by direct means',100,1,3),
(304292,100105,'Decreases STR, AGI, WIS and INT of target by 19.4',100,1,0),
(304293,100105,'Decreases Max Health of target by 0.7%',100,1,1),
(304294,10100105,'Decreases STR, AGI, WIS and INT of target by 19.4',100,1,0),
(304295,10100105,'Decreases Max Health of target by 0.7%',100,1,1),
(304296,82206,'When Equipped:',100,0,0),
(304297,82206,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304298,82206,'Inflicts 33 - 61 magic damage on target',100,2,2),
(304299,82206,'Cannot be modified except by direct means',100,2,3),
(304300,10082206,'When Equipped:',100,0,0),
(304301,10082206,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304302,10082206,'Inflicts 43 - 80 magic damage on target',100,2,2),
(304303,10082206,'Cannot be modified except by direct means',100,2,3),
(304304,82273,'When Equipped:',100,0,0),
(304305,82273,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304306,82273,'Inflicts 30 - 55 magic damage on target',100,2,2),
(304307,82273,'Cannot be modified except by direct means',100,2,3),
(304308,10082273,'When Equipped:',100,0,0),
(304309,10082273,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304310,10082273,'Inflicts 39 - 72 magic damage on target',100,2,2),
(304311,10082273,'Cannot be modified except by direct means',100,2,3),
(304312,45328,'Applies Black Spotted Warg with Purple Saddle when Activated.',100,0,0),
(304313,45328,'Summons a mount to ride',100,1,1),
(304314,45328,'Increases your ground speed by 130%',100,2,2),
(304315,45328,'Increases Slashing, Disruption, Piercing and Ranged of caster by 7.0',100,1,3),
(304316,45328,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(304317,45328,'Increases Crushing of caster by 7.0',100,1,5),
(304318,10045328,'Applies Black Spotted Warg with Purple Saddle when Activated.',100,0,0),
(304319,10045328,'Summons a mount to ride',100,1,1),
(304320,10045328,'Increases your ground speed by 130%',100,2,2),
(304321,10045328,'Increases Slashing, Disruption, Piercing and Ranged of caster by 7.0',100,1,3),
(304322,10045328,'Increases damage done by spells and combat arts by up to 30.',100,1,4),
(304323,10045328,'Increases Crushing of caster by 7.0',100,1,5),
(304324,36319,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(304325,36319,'This effect suspends during combat',100,0,1),
(304326,52757,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(304327,52757,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(304328,52757,'Inflicts 32 heat damage on target',100,2,2),
(304329,52757,'Cannot be modified except by direct means',100,2,3),
(304330,10052757,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(304331,10052757,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(304332,10052757,'Inflicts 41 heat damage on target',100,2,2),
(304333,10052757,'Cannot be modified except by direct means',100,2,3),
(304334,119138,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(304335,119138,'Inflicts 213 - 261 slashing damage on target',100,2,1),
(304336,119138,'Increases Mitigation of caster vs physical damage by 608',100,1,2),
(304337,10119138,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(304338,10119138,'Inflicts 277 - 339 slashing damage on target',100,2,1),
(304339,10119138,'Increases Mitigation of caster vs physical damage by 608',100,1,2),
(304340,37101,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(304341,37101,'Increases Max Health of target by 60.5',100,0,1),
(304342,36791,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(304343,117647,'Decreases Mitigation of target vs physical damage by 77',100,1,0),
(304344,10117647,'Decreases Mitigation of target vs physical damage by 38',100,1,0),
(304345,117486,'Increases Attack Speed of target by 35.8',100,1,0),
(304346,10117486,'Increases Attack Speed of target by 35.8',100,1,0),
(304347,110922,'Inflicts 70 - 117 divine damage on target',100,1,0),
(304348,110922,'Increases Threat to target by 759 ',100,1,1),
(304349,110922,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(304350,110922,'Stuns target',100,2,3),
(304351,110922,'Throws target back',100,2,4),
(304352,110922,'Blurs vision of target',100,2,5),
(304353,110922,'Does not affect Epic targets',100,2,6),
(304354,10110922,'Inflicts 91 - 152 divine damage on target',100,1,0),
(304355,10110922,'Prevents target from changing targets',100,1,1),
(304356,10110922,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(304357,10110922,'Stuns target',100,2,3),
(304358,10110922,'Throws target back',100,2,4),
(304359,10110922,'Blurs vision of target',100,2,5),
(304360,10110922,'Does not affect Epic targets',100,2,6),
(304361,10110922,'Forces target to change their selected target to caster.',100,1,7),
(304362,103439,'Heals group members (AE) for 173 - 211',100,1,0),
(304363,103439,'Increases Max Health of group members (AE) by 28.0',100,1,1),
(304364,10103439,'Heals group members (AE) for 112 - 137',100,1,0),
(304365,10103439,'Increases Max Health of group members (AE) by 28.0',100,1,1),
(304366,107011,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',100,1,0),
(304367,107011,'Increases Threat to target encounter by 885 - 1,328 ',100,1,1),
(304368,107011,'Increases threat priority of target encounter by 2 positions',100,1,2),
(304369,10107011,'Forces target encounter to change their selected target to caster instantly and every 1 second.',100,1,0),
(304370,164717,'When Equipped:',100,0,0),
(304371,164717,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(304372,10164717,'When Equipped:',100,0,0),
(304373,10164717,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(304374,102878,'Heals caster for 105',100,1,0),
(304375,102878,'Inflicts 169 disease damage on targets in Area of Effect',100,1,1),
(304376,10102878,'Heals caster for 68',100,1,0),
(304377,10102878,'Inflicts 219 disease damage on targets in Area of Effect',100,1,1),
(304378,46013,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(304379,46013,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(304380,46013,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(304381,46013,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(304382,46013,'You can only have one experience potion active at a time.',100,1,4),
(304383,10046013,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(304384,10046013,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(304385,10046013,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,2),
(304386,10046013,'Increases AA XP Gain of caster by 100.0%',100,1,3),
(304387,10046013,'You can only have one experience potion active at a time.',100,1,4),
(304388,118314,'Roots target encounter',100,1,0),
(304389,118314,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(304390,118314,'Slows target by 48.0%',100,2,2),
(304391,118314,'5% chance to dispel when target receives hostile action',100,2,3),
(304392,118314,'5% chance to dispel when target takes damage',100,2,4),
(304393,118314,'20% chance to dispel when target takes damage',100,1,5),
(304394,118314,'Does not affect Epic targets',100,1,6),
(304395,118314,'Resistibility increases against targets higher than level 97.',100,1,7),
(304396,10118314,'Roots target encounter',100,1,0),
(304397,10118314,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(304398,10118314,'Slows target by 48.0%',100,2,2),
(304399,10118314,'5% chance to dispel when target receives hostile action',100,2,3),
(304400,10118314,'5% chance to dispel when target takes damage',100,2,4),
(304401,10118314,'20% chance to dispel when target takes damage',100,1,5),
(304402,10118314,'Does not affect Epic targets',100,1,6),
(304403,10118314,'Resistibility increases against targets higher than level 97.',100,1,7),
(304404,159890,'Applies Lambent Imbued when Equipped.',100,0,0),
(304405,159890,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304406,159890,'Heals target for 61 instantly and every 4 seconds',100,2,2),
(304407,159890,'Cannot be modified except by direct means',100,2,3),
(304408,10159890,'Applies Lambent Imbued when Equipped.',100,0,0),
(304409,10159890,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304410,10159890,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(304411,10159890,'Cannot be modified except by direct means',100,2,3),
(304412,112155,'Increases Threat to target by 142 - 214  instantly and by 28 - 42  every 3 seconds thereafter',100,1,0),
(304413,37233,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,0),
(304414,121815,'Heals group members (AE) for 74 - 90',100,1,0),
(304415,121815,'Heals group members (AE) for 12 - 15 every second',100,1,1),
(304416,10121815,'Heals group members (AE) for 48 - 59',100,1,0),
(304417,10121815,'Heals group members (AE) for 8 - 10 every second',100,1,1),
(304418,107470,'Inflicts 60 - 181 magic damage on targets in Area of Effect',100,1,0),
(304419,107470,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(304420,107470,'Stuns target',100,2,2),
(304421,107470,'Throws target back',100,2,3),
(304422,107470,'Blurs vision of target',100,2,4),
(304423,107470,'Does not affect Epic targets',100,2,5),
(304424,10107470,'Inflicts 78 - 235 magic damage on targets in Area of Effect',100,1,0),
(304425,10107470,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(304426,10107470,'Stuns target',100,2,2),
(304427,10107470,'Throws target back',100,2,3),
(304428,10107470,'Blurs vision of target',100,2,4),
(304429,10107470,'Does not affect Epic targets',100,2,5),
(304430,118041,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(304431,118041,'Stuns target',100,2,1),
(304432,118041,'If Target is not Epic',100,3,2),
(304433,118041,'Inflicts 362 - 604 divine damage on target',100,2,3),
(304434,118041,'Grants a total of 3 triggers of the spell.',100,2,4),
(304435,10118041,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(304436,10118041,'Stuns target',100,2,1),
(304437,10118041,'If Target is not Epic',100,3,2),
(304438,10118041,'Inflicts 471 - 785 divine damage on target',100,2,3),
(304439,10118041,'Grants a total of 3 triggers of the spell.',100,2,4),
(304440,48216,'Applies Draw upon Essence when Activated.',100,0,0),
(304441,48216,'Increases power of caster by 477',100,1,1),
(304442,48216,'Requires 715 Health to cast.',100,1,2),
(304443,10048216,'Applies Draw upon Essence when Activated.',100,0,0),
(304444,10048216,'Increases power of caster by 477',100,1,1),
(304445,10048216,'Requires 715 Health to cast.',100,1,2),
(304446,121371,'Inflicts 101 - 187 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(304447,10121371,'Inflicts 131 - 243 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(304448,48571,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(304449,48571,'Shrinks caster by 35.0%',100,1,1),
(304450,48571,'Enlarges caster by 50.0%',100,1,2),
(304451,10048571,'Applies Toadstool when Activated.  Lasts for 10 minutes.',100,0,0),
(304452,10048571,'Shrinks caster by 35.0%',100,1,1),
(304453,10048571,'Enlarges caster by 50.0%',100,1,2),
(304454,170631,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(304455,170631,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 315',100,1,1),
(304456,170631,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(304457,10170631,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(304458,10170631,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 315',100,1,1),
(304459,10170631,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(304460,41507,'When Equipped:',100,0,0),
(304461,41507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304462,41507,'Inflicts 48 - 90 magic damage on target',100,2,2),
(304463,41507,'Cannot be modified except by direct means',100,2,3),
(304464,10041507,'When Equipped:',100,0,0),
(304465,10041507,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304466,10041507,'Inflicts 63 - 116 magic damage on target',100,2,2),
(304467,10041507,'Cannot be modified except by direct means',100,2,3),
(304468,159991,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304469,159991,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304470,159991,'Inflicts 169 heat damage on target',100,2,2),
(304471,159991,'Cannot be modified except by direct means',100,2,3),
(304472,10159991,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304473,10159991,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304474,10159991,'Inflicts 220 heat damage on target',100,2,2),
(304475,10159991,'Cannot be modified except by direct means',100,2,3),
(304476,159822,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304477,159822,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304478,159822,'Inflicts 77 heat damage on target',100,2,2),
(304479,159822,'Cannot be modified except by direct means',100,2,3),
(304480,10159822,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304481,10159822,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304482,10159822,'Inflicts 100 heat damage on target',100,2,2),
(304483,10159822,'Cannot be modified except by direct means',100,2,3),
(304484,119698,'Increases Threat to target encounter by 506 - 618 ',100,1,0),
(304485,10119698,'Prevents target encounter from changing targets',100,1,0),
(304486,10119698,'Forces target encounter to change their selected target to caster.',100,1,1),
(304487,122825,'Inflicts 331 - 552 ranged damage on target',100,1,0),
(304488,122825,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(304489,122825,'Increases Hate Gain of target by 30.0%',100,2,2),
(304490,122825,'Grants a total of 1 trigger of the spell.',100,2,3),
(304491,122825,'Requires bow',100,1,4),
(304492,10122825,'Inflicts 248 - 414 ranged damage on target',100,1,0),
(304493,10122825,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(304494,10122825,'Grants a total of 1 trigger of the spell.',100,2,2),
(304495,10122825,'Requires bow',100,1,3),
(304496,122104,'Increases STA and INT of group members (AE) by 61.7',100,1,0),
(304497,10122104,'Increases STA and INT of group members (AE) by 61.7',100,1,0),
(304498,24199,'Adds Crushbone: Meat Scraper to your Dungeon Maker toolbox',100,0,0),
(304499,10024199,'Adds Crushbone: Meat Scraper to your Dungeon Maker toolbox',100,0,0),
(304500,124623,'Heals group members (AE) for 327 - 399',100,1,0),
(304501,124623,'Heals group members (AE) for 55 - 67 every second',100,1,1),
(304502,10124623,'Heals group members (AE) for 477 - 583',100,1,0),
(304503,10124623,'Heals group members (AE) for 60 - 73 every second',100,1,1),
(304504,47228,'Applies Elixir of Vitality  when Activated.',100,0,0),
(304505,47228,'Heals caster for 68',100,1,1),
(304506,10047228,'Applies Elixir of Vitality  when Activated.',100,0,0),
(304507,10047228,'Heals caster for 44',100,1,1),
(304508,37471,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(304509,124406,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(304510,124406,'Inflicts 123 - 205 melee damage on target',100,2,1),
(304511,124406,'Grants a total of 3 triggers of the spell.',100,2,2),
(304512,10124406,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(304513,10124406,'Inflicts 160 - 267 melee damage on target',100,2,1),
(304514,10124406,'Grants a total of 3 triggers of the spell.',100,2,2),
(304515,119936,'Stifles target',100,1,0),
(304516,119936,'Inflicts 339 - 414 mental damage on target',100,1,1),
(304517,119936,'Inflicts 113 - 138 mental damage on target every 3 seconds',100,1,2),
(304518,119936,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(304519,119936,'Resistibility increases against targets higher than level 111.',100,1,4),
(304520,10119936,'Stifles target',100,1,0),
(304521,10119936,'Inflicts 440 - 538 mental damage on target',100,1,1),
(304522,10119936,'Inflicts 147 - 179 mental damage on target every second',100,1,2),
(304523,10119936,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(304524,10119936,'Resistibility increases against targets higher than level 111.',100,1,4),
(304525,159398,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(304526,159398,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304527,159398,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(304528,159398,'Cannot be modified except by direct means',100,2,3),
(304529,10159398,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(304530,10159398,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304531,10159398,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(304532,10159398,'Cannot be modified except by direct means',100,2,3),
(304533,112842,'Roots target',100,1,0),
(304534,112842,'5% chance to dispel when target takes damage',100,1,1),
(304535,112842,'Does not affect Epic targets',100,1,2),
(304536,112842,'Resistibility increases against targets higher than level 78.',100,1,3),
(304537,10112842,'Roots target',100,1,0),
(304538,10112842,'5% chance to dispel when target takes damage',100,1,1),
(304539,10112842,'Does not affect Epic targets',100,1,2),
(304540,10112842,'Resistibility increases against targets higher than level 78.',100,1,3),
(304541,41612,'When Equipped:',100,0,0),
(304542,41612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304543,41612,'Inflicts 30 - 55 magic damage on target',100,2,2),
(304544,41612,'Cannot be modified except by direct means',100,2,3),
(304545,10041612,'When Equipped:',100,0,0),
(304546,10041612,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304547,10041612,'Inflicts 39 - 72 magic damage on target',100,2,2),
(304548,10041612,'Cannot be modified except by direct means',100,2,3),
(304549,48967,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(304550,48967,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(304551,48967,'Decreases STR of target by 4.6',100,2,2),
(304552,48967,'Cannot be modified except by direct means',100,2,3),
(304553,48967,'Grants a total of 30 triggers of the spell.',100,2,4),
(304554,10048967,'Applies wave of pestilence when Activated.  Lasts for 12 hours.',100,0,0),
(304555,10048967,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(304556,10048967,'Decreases STR of target by 4.6',100,2,2),
(304557,10048967,'Cannot be modified except by direct means',100,2,3),
(304558,10048967,'Grants a total of 30 triggers of the spell.',100,2,4),
(304559,110135,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(304560,110135,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(304561,110135,'Only affects the caster of Guardian''s Sphere',100,2,2),
(304562,110135,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(304563,110135,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(304564,110135,'If not fighter',100,2,5),
(304565,10110135,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(304566,10110135,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(304567,10110135,'Only affects the caster of Guardian''s Sphere',100,2,2),
(304568,10110135,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(304569,10110135,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(304570,10110135,'If not fighter',100,2,5),
(304571,117522,'Increases AGI, INT and WIS of group members (AE) by 26.3',100,1,0),
(304572,117522,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,1),
(304573,10117522,'Increases AGI, INT and WIS of group members (AE) by 26.3',100,1,0),
(304574,10117522,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,1),
(304575,134805,'When Equipped:',100,0,0),
(304576,134805,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(304577,134805,'Increases power of caster by 117',100,2,2),
(304578,134805,'Cannot be modified except by direct means',100,2,3),
(304579,10134805,'When Equipped:',100,0,0),
(304580,10134805,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(304581,10134805,'Increases power of caster by 117',100,2,2),
(304582,10134805,'Cannot be modified except by direct means',100,2,3),
(304583,111649,'Inflicts 191 - 234 cold damage on target encounter',100,1,0),
(304584,111649,'Slows target encounter by 37.2%',100,1,1),
(304585,111649,'5% chance to dispel when target takes damage',100,1,2),
(304586,111649,'5% chance to dispel when target receives hostile action',100,1,3),
(304587,10111649,'Inflicts 332 - 406 cold damage on target encounter',100,1,0),
(304588,10111649,'Slows target encounter by 37.2%',100,1,1),
(304589,10111649,'5% chance to dispel when target takes damage',100,1,2),
(304590,10111649,'5% chance to dispel when target receives hostile action',100,1,3),
(304591,36948,'Increases outgoing heal and ward amount by 2%',100,0,0),
(304592,36948,'Increases STA and WIS of target by 16.0',100,0,1),
(304593,36948,'Increases Out-of-Combat Health Regeneration of target by 30.8',100,0,2),
(304594,173442,'When Equipped:',100,0,0),
(304595,173442,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(304596,173442,'Wards target against 2450 points of all damage',100,2,2),
(304597,173442,'Must not be engaged in pvp combat',100,2,3),
(304598,173442,'Cannot be modified except by direct means',100,2,4),
(304599,173442,'Cannot be modified except by direct means',100,1,5),
(304600,10173442,'When Equipped:',100,0,0),
(304601,10173442,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(304602,10173442,'Wards target against 2450 points of all damage',100,2,2),
(304603,10173442,'Must not be engaged in pvp combat',100,2,3),
(304604,10173442,'Cannot be modified except by direct means',100,2,4),
(304605,10173442,'Cannot be modified except by direct means',100,1,5),
(304606,121378,'Inflicts 127 - 236 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(304607,10121378,'Inflicts 165 - 307 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(304608,105103,'Inflicts 377 - 510 magic damage on target',100,1,0),
(304609,10105103,'Inflicts 490 - 664 magic damage on target',100,1,0),
(304610,102601,'Increases Threat to target encounter by 612 - 748 ',100,1,0),
(304611,102601,'Interrupts target encounter',100,1,1),
(304612,102601,'Decreases Mitigation of target encounter vs noxious damage by 504',100,1,2),
(304613,10102601,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(304614,10102601,'Prevents target from changing targets',100,2,1),
(304615,10102601,'Forces target to change their selected target to caster.',100,2,2),
(304616,10102601,'Interrupts target encounter',100,1,3),
(304617,10102601,'Decreases Mitigation of target encounter vs noxious damage by 504',100,1,4),
(304618,108157,'Inflicts 605 - 1008 melee damage on target',100,1,0),
(304619,108157,'You must be sneaking to use this ability.',100,1,1),
(304620,108157,'Must be flanking or behind',100,1,2),
(304621,10108157,'Inflicts 519 - 865 melee damage on target',100,1,0),
(304622,10108157,'You must be sneaking to use this ability.',100,1,1),
(304623,10108157,'Must be flanking or behind',100,1,2),
(304624,177657,'When Equipped:',100,0,0),
(304625,177657,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304626,177657,'Increases STR of caster by 8.8',100,2,2),
(304627,177657,'Increases Damage Per Second of caster by 15.1',100,2,3),
(304628,177657,'Cannot be modified except by direct means',100,2,4),
(304629,10177657,'When Equipped:',100,0,0),
(304630,10177657,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304631,10177657,'Increases STR of caster by 8.8',100,2,2),
(304632,10177657,'Increases Damage Per Second of caster by 15.1',100,2,3),
(304633,10177657,'Cannot be modified except by direct means',100,2,4),
(304634,25596,'When Equipped:',100,0,0),
(304635,25596,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(304636,25596,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(304637,10025596,'When Equipped:',100,0,0),
(304638,10025596,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(304639,10025596,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,2),
(304640,35949,'Increases INT of target by 8.4',100,0,0),
(304641,35949,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(304642,103548,'Increases In-Combat Power Regeneration of group members (AE) by 23.1',100,1,0),
(304643,10103548,'Increases In-Combat Power Regeneration of group members (AE) by 23.1',100,1,0),
(304644,102469,'Roots target',100,1,0),
(304645,102469,'Applies Blind.  Lasts for 5.0 seconds.',100,1,1),
(304646,102469,'Dazes target',100,2,2),
(304647,102469,'Blurs vision of target',100,2,3),
(304648,102469,'Dispelled when target takes damage',100,2,4),
(304649,102469,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(304650,102469,'5% chance to dispel when target takes damage',100,1,6),
(304651,102469,'Does not affect Epic targets',100,1,7),
(304652,102469,'Resistibility increases against targets higher than level 48.',100,1,8),
(304653,10102469,'Roots target',100,1,0),
(304654,10102469,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(304655,10102469,'Dazes target',100,2,2),
(304656,10102469,'Blurs vision of target',100,2,3),
(304657,10102469,'Dispelled when target takes damage',100,2,4),
(304658,10102469,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(304659,10102469,'5% chance to dispel when target takes damage',100,1,6),
(304660,10102469,'Does not affect Epic targets',100,1,7),
(304661,10102469,'Resistibility increases against targets higher than level 48.',100,1,8),
(304662,74912,'When Equipped:',100,0,0),
(304663,74912,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304664,74912,'Inflicts 26 - 40 magic damage on target',100,2,2),
(304665,74912,'Cannot be modified except by direct means',100,2,3),
(304666,10074912,'When Equipped:',100,0,0),
(304667,10074912,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304668,10074912,'Inflicts 34 - 51 magic damage on target',100,2,2),
(304669,10074912,'Cannot be modified except by direct means',100,2,3),
(304670,102955,'Inflicts 112 - 137 disease damage on target instantly and every 4 seconds',100,1,0),
(304671,10102955,'Inflicts 189 - 232 disease damage on target',100,1,0),
(304672,10102955,'Inflicts 146 - 178 disease damage on target every 4 seconds',100,1,1),
(304673,141905,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(304674,141905,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304675,141905,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(304676,141905,'Cannot be modified except by direct means',100,2,3),
(304677,10141905,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(304678,10141905,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(304679,10141905,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(304680,10141905,'Cannot be modified except by direct means',100,2,3),
(304681,123010,'Wards group members (AE) collectively against 1757 total points of all damage',100,1,0),
(304682,10123010,'Wards group members (AE) collectively against 2618 total points of all damage',100,1,0),
(304683,102219,'Increases Max Health of group members (AE) by 334.5',100,1,0),
(304684,10102219,'Increases Max Health of group members (AE) by 334.5',100,1,0),
(304685,52278,'Applies Fitzpitzle''s Protection when Equipped.',100,0,0),
(304686,52278,'On a hostile spell cast this spell may cast Fitzpitzle''s Necromantic Restoration on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(304687,52278,'Inflicts 103 - 309 magic damage on target',100,2,2),
(304688,52278,'Heals caster for 105 - 315',100,2,3),
(304689,52278,'Cannot be modified except by direct means',100,2,4),
(304690,10052278,'Applies Fitzpitzle''s Protection when Equipped.',100,0,0),
(304691,10052278,'On a hostile spell cast this spell may cast Fitzpitzle''s Necromantic Restoration on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(304692,10052278,'Inflicts 134 - 402 magic damage on target',100,2,2),
(304693,10052278,'Heals caster for 68 - 205',100,2,3),
(304694,10052278,'Cannot be modified except by direct means',100,2,4),
(304695,122797,'Heals target for 755',100,1,0),
(304696,10122797,'Heals target for 589',100,1,0),
(304697,87412,'When Equipped:',100,0,0),
(304698,87412,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304699,87412,'Inflicts 127 - 190 magic damage on target',100,2,2),
(304700,87412,'Cannot be modified except by direct means',100,2,3),
(304701,10087412,'When Equipped:',100,0,0),
(304702,10087412,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304703,10087412,'Inflicts 165 - 247 magic damage on target',100,2,2),
(304704,10087412,'Cannot be modified except by direct means',100,2,3),
(304705,113574,'Mesmerizes target',100,1,0),
(304706,113574,'Prevents AOE (except when direct) ',100,1,1),
(304707,113574,'Dispelled when target takes damage',100,1,2),
(304708,113574,'Does not affect Epic targets',100,1,3),
(304709,113574,'Resistibility increases against targets higher than level 79.',100,1,4),
(304710,10113574,'Mesmerizes target',100,1,0),
(304711,10113574,'Prevents AOE (except when direct) ',100,1,1),
(304712,10113574,'Dispelled when target takes damage',100,1,2),
(304713,10113574,'Does not affect Epic targets',100,1,3),
(304714,10113574,'Resistibility increases against targets higher than level 79.',100,1,4),
(304715,104108,'Roots target',100,1,0),
(304716,104108,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(304717,104108,'Makes target afraid',100,2,2),
(304718,104108,'Slows target by 22.0%',100,2,3),
(304719,104108,'30% chance to dispel when target takes damage',100,2,4),
(304720,104108,'Resistibility increases against targets higher than level 62.',100,2,5),
(304721,104108,'15% chance to dispel when target takes damage',100,1,6),
(304722,104108,'Does not affect Epic targets',100,1,7),
(304723,104108,'Resistibility increases against targets higher than level 62.',100,1,8),
(304724,10104108,'Roots target',100,1,0),
(304725,10104108,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(304726,10104108,'Makes target afraid',100,2,2),
(304727,10104108,'Slows target by 22.0%',100,2,3),
(304728,10104108,'30% chance to dispel when target takes damage',100,2,4),
(304729,10104108,'Resistibility increases against targets higher than level 62.',100,2,5),
(304730,10104108,'15% chance to dispel when target takes damage',100,1,6),
(304731,10104108,'Does not affect Epic targets',100,1,7),
(304732,10104108,'Resistibility increases against targets higher than level 62.',100,1,8),
(304733,49011,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(304734,49011,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(304735,49011,'Decreases WIS and INT of target by 7.7',100,2,2),
(304736,49011,'Cannot be modified except by direct means',100,2,3),
(304737,49011,'Grants a total of 30 triggers of the spell.',100,2,4),
(304738,10049011,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(304739,10049011,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(304740,10049011,'Decreases WIS and INT of target by 7.7',100,2,2),
(304741,10049011,'Cannot be modified except by direct means',100,2,3),
(304742,10049011,'Grants a total of 30 triggers of the spell.',100,2,4),
(304743,177560,'When Equipped:',100,0,0),
(304744,177560,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304745,177560,'Increases INT of caster by 5.1',100,2,2),
(304746,177560,'Increases Focus, Subjugation and Disruption of caster by 3.3',100,2,3),
(304747,177560,'Cannot be modified except by direct means',100,2,4),
(304748,10177560,'When Equipped:',100,0,0),
(304749,10177560,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(304750,10177560,'Increases INT of caster by 5.1',100,2,2),
(304751,10177560,'Increases Focus, Subjugation and Disruption of caster by 3.3',100,2,3),
(304752,10177560,'Cannot be modified except by direct means',100,2,4),
(304753,121338,'Inflicts 1778 - 2964 ranged damage on targets in area',100,1,0),
(304754,121338,'Requires bow',100,1,1),
(304755,10121338,'Inflicts 1200 - 2001 ranged damage on targets in area',100,1,0),
(304756,10121338,'Requires bow',100,1,1),
(304757,110136,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(304758,110136,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(304759,110136,'Only affects the caster of Guardian''s Sphere',100,2,2),
(304760,110136,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(304761,110136,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(304762,110136,'If not fighter',100,2,5),
(304763,10110136,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(304764,10110136,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(304765,10110136,'Only affects the caster of Guardian''s Sphere',100,2,2),
(304766,10110136,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(304767,10110136,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(304768,10110136,'If not fighter',100,2,5),
(304769,103878,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(304770,103878,'Slows target by 49.7%',100,2,1),
(304771,103878,'5% chance to dispel when target receives hostile action',100,2,2),
(304772,103878,'5% chance to dispel when target takes damage',100,2,3),
(304773,103878,'Decreases Mitigation of target vs noxious damage by 1815',100,1,4),
(304774,10103878,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(304775,10103878,'Slows target by 49.7%',100,2,1),
(304776,10103878,'5% chance to dispel when target receives hostile action',100,2,2),
(304777,10103878,'5% chance to dispel when target takes damage',100,2,3),
(304778,10103878,'Decreases Mitigation of target vs noxious damage by 1815',100,1,4),
(304779,141807,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(304780,141807,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(304781,141807,'Inflicts 32 heat damage on target',100,2,2),
(304782,141807,'Cannot be modified except by direct means',100,2,3),
(304783,10141807,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(304784,10141807,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(304785,10141807,'Inflicts 41 heat damage on target',100,2,2),
(304786,10141807,'Cannot be modified except by direct means',100,2,3),
(304787,110857,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(304788,110857,'Inflicts 333 - 555 divine damage on target',100,2,1),
(304789,110857,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(304790,110857,'Stuns target',100,3,3),
(304791,110857,'Throws target back',100,3,4),
(304792,110857,'Blurs vision of target',100,3,5),
(304793,110857,'Does not affect Epic targets',100,3,6),
(304794,110857,'Grants a total of 3 triggers of the spell.',100,2,7),
(304795,10110857,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(304796,10110857,'Inflicts 433 - 722 divine damage on target',100,2,1),
(304797,10110857,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(304798,10110857,'Stuns target',100,3,3),
(304799,10110857,'Throws target back',100,3,4),
(304800,10110857,'Blurs vision of target',100,3,5),
(304801,10110857,'Does not affect Epic targets',100,3,6),
(304802,10110857,'Grants a total of 3 triggers of the spell.',100,2,7),
(304803,52885,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304804,52885,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304805,52885,'Inflicts 121 heat damage on target',100,2,2),
(304806,52885,'Cannot be modified except by direct means',100,2,3),
(304807,10052885,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304808,10052885,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304809,10052885,'Inflicts 157 heat damage on target',100,2,2),
(304810,10052885,'Cannot be modified except by direct means',100,2,3),
(304811,115328,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(304812,115328,'Makes target afraid',100,2,1),
(304813,115328,'Slows target by 34.8%',100,2,2),
(304814,115328,'30% chance to dispel when target takes damage',100,2,3),
(304815,115328,'Does not affect Epic targets',100,2,4),
(304816,115328,'Resistibility increases against targets higher than level 62.',100,2,5),
(304817,115328,'Roots target',100,1,6),
(304818,115328,'15% chance to dispel when target takes damage',100,1,7),
(304819,115328,'Does not affect Epic targets',100,1,8),
(304820,115328,'Resistibility increases against targets higher than level 62.',100,1,9),
(304821,10115328,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(304822,10115328,'Makes target afraid',100,2,1),
(304823,10115328,'Slows target by 34.8%',100,2,2),
(304824,10115328,'30% chance to dispel when target takes damage',100,2,3),
(304825,10115328,'Does not affect Epic targets',100,2,4),
(304826,10115328,'Resistibility increases against targets higher than level 62.',100,2,5),
(304827,10115328,'Roots target',100,1,6),
(304828,10115328,'15% chance to dispel when target takes damage',100,1,7),
(304829,10115328,'Does not affect Epic targets',100,1,8),
(304830,10115328,'Resistibility increases against targets higher than level 62.',100,1,9),
(304831,26441,'When Equipped:',100,0,0),
(304832,26441,'Increases all magic damage by up to 30.',100,1,1),
(304833,10026441,'When Equipped:',100,0,0),
(304834,10026441,'Increases all magic damage by up to 30.',100,1,1),
(304835,104598,'Heals target for 122 - 149',100,1,0),
(304836,10104598,'Heals target for 79 - 97',100,1,0),
(304837,116045,'Shapechanges caster into a lion',100,1,0),
(304838,116045,'Increases STA of caster by 43.2',100,1,1),
(304839,116045,'Adds 2.5% to base avoidance.',100,1,2),
(304840,116045,'Grants See Stealth to caster',100,1,3),
(304841,116045,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 711',100,1,4),
(304842,10116045,'Shapechanges caster into a lion',100,1,0),
(304843,10116045,'Increases STA of caster by 43.2',100,1,1),
(304844,10116045,'Adds 2.5% to base avoidance.',100,1,2),
(304845,10116045,'Grants See Stealth to caster',100,1,3),
(304846,10116045,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 711',100,1,4),
(304847,82279,'When Equipped:',100,0,0),
(304848,82279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304849,82279,'Inflicts 30 - 55 magic damage on target',100,2,2),
(304850,82279,'Cannot be modified except by direct means',100,2,3),
(304851,10082279,'When Equipped:',100,0,0),
(304852,10082279,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304853,10082279,'Inflicts 39 - 72 magic damage on target',100,2,2),
(304854,10082279,'Cannot be modified except by direct means',100,2,3),
(304855,103477,'Increases In-Combat Power Regeneration of group members (AE) by 13.8',100,1,0),
(304856,10103477,'Increases In-Combat Power Regeneration of group members (AE) by 13.8',100,1,0),
(304857,140568,'Applies Overclocked Tools when Equipped.',100,0,0),
(304858,140568,'Increases success chance by 5.0%',100,1,1),
(304859,10140568,'Applies Overclocked Tools when Equipped.',100,0,0),
(304860,10140568,'Increases success chance by 5.0%',100,1,1),
(304861,111524,'Blurs vision of targets in Area of Effect',100,1,0),
(304862,111524,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(304863,111524,'Stuns target',100,2,2),
(304864,111524,'Throws target back',100,2,3),
(304865,111524,'Blurs vision of target',100,2,4),
(304866,111524,'Does not affect Epic targets',100,2,5),
(304867,111524,'Interrupts targets in Area of Effect',100,1,6),
(304868,10111524,'Blurs vision of targets in Area of Effect',100,1,0),
(304869,10111524,'Interrupts targets in Area of Effect',100,1,1),
(304870,10111524,'12% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(304871,10111524,'Stuns target',100,2,3),
(304872,10111524,'Throws target back',100,2,4),
(304873,10111524,'Blurs vision of target',100,2,5),
(304874,10111524,'Does not affect Epic targets',100,2,6),
(304875,165541,'When Equipped:',100,0,0),
(304876,165541,'On a damage spell hit this spell may cast Fiery Destruction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(304877,165541,'Inflicts 344 heat damage on target encounter',100,2,2),
(304878,165541,'Cannot be modified except by direct means',100,2,3),
(304879,165541,'Cannot be modified except by direct means',100,1,4),
(304880,10165541,'When Equipped:',100,0,0),
(304881,10165541,'On a damage spell hit this spell may cast Fiery Destruction on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(304882,10165541,'Inflicts 447 heat damage on target encounter',100,2,2),
(304883,10165541,'Cannot be modified except by direct means',100,2,3),
(304884,10165541,'Cannot be modified except by direct means',100,1,4),
(304885,116389,'Heals target for 132 - 161 instantly and every 2 seconds',100,1,0),
(304886,10116389,'Heals target for 86 - 105 instantly and every 2 seconds',100,1,0),
(304887,47646,'Applies Nullify Benefits when Activated.',100,0,0),
(304888,47646,'Dispels 140 levels of any beneficial effects on target',100,1,1),
(304889,10047646,'Applies Nullify Benefits when Activated.',100,0,0),
(304890,10047646,'Dispels 140 levels of any beneficial effects on target',100,1,1),
(304891,47838,'Applies Romance when Activated.',100,0,0),
(304892,47838,'Summons a pet Romance',100,1,1),
(304893,10047838,'Applies Romance when Activated.',100,0,0),
(304894,10047838,'Summons a pet Romance',100,1,1),
(304895,41478,'When Equipped:',100,0,0),
(304896,41478,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(304897,41478,'Inflicts 196 - 364 magic damage on target',100,2,2),
(304898,41478,'Decreases Threat to target by 949 ',100,2,3),
(304899,41478,'Must be flanking or behind',100,3,4),
(304900,41478,'Increases Threat to target by 949 ',100,2,5),
(304901,41478,'Must be in front of',100,3,6),
(304902,41478,'Cannot be modified except by direct means',100,2,7),
(304903,10041478,'When Equipped:',100,0,0),
(304904,10041478,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(304905,10041478,'Inflicts 255 - 474 magic damage on target',100,2,2),
(304906,10041478,'Cannot be modified except by direct means',100,2,3),
(304907,82902,'When Equipped:',100,0,0),
(304908,82902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304909,82902,'Inflicts 205 - 381 magic damage on target',100,2,2),
(304910,82902,'Cannot be modified except by direct means',100,2,3),
(304911,10082902,'When Equipped:',100,0,0),
(304912,10082902,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304913,10082902,'Inflicts 267 - 495 magic damage on target',100,2,2),
(304914,10082902,'Cannot be modified except by direct means',100,2,3),
(304915,80208,'When Equipped:',100,0,0),
(304916,80208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304917,80208,'Inflicts 169 - 314 magic damage on target',100,2,2),
(304918,80208,'Cannot be modified except by direct means',100,2,3),
(304919,10080208,'When Equipped:',100,0,0),
(304920,10080208,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304921,10080208,'Inflicts 220 - 408 magic damage on target',100,2,2),
(304922,10080208,'Cannot be modified except by direct means',100,2,3),
(304923,26326,'When Equipped:',100,0,0),
(304924,26326,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(304925,26326,'Inflicts 209 disease damage on target',100,2,2),
(304926,26326,'Cancels up to 14.1% of target''s speed buffs',100,2,3),
(304927,26326,'Cannot be modified except by direct means',100,2,4),
(304928,10026326,'When Equipped:',100,0,0),
(304929,10026326,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(304930,10026326,'Inflicts 271 disease damage on target',100,2,2),
(304931,10026326,'Cancels up to 14.1% of target''s speed buffs',100,2,3),
(304932,10026326,'Cannot be modified except by direct means',100,2,4),
(304933,159720,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304934,159720,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304935,159720,'Inflicts 33 heat damage on target',100,2,2),
(304936,159720,'Cannot be modified except by direct means',100,2,3),
(304937,10159720,'Applies Sanguine Imbued when Equipped.',100,0,0),
(304938,10159720,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(304939,10159720,'Inflicts 43 heat damage on target',100,2,2),
(304940,10159720,'Cannot be modified except by direct means',100,2,3),
(304941,120530,'Decreases Defense of target by 11.9',100,1,0),
(304942,10120530,'Decreases Defense of target by 11.9',100,1,0),
(304943,80331,'When Equipped:',100,0,0),
(304944,80331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304945,80331,'Inflicts 151 - 280 magic damage on target',100,2,2),
(304946,80331,'Cannot be modified except by direct means',100,2,3),
(304947,10080331,'When Equipped:',100,0,0),
(304948,10080331,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(304949,10080331,'Inflicts 196 - 364 magic damage on target',100,2,2),
(304950,10080331,'Cannot be modified except by direct means',100,2,3),
(304951,106190,'Wards target against 124 points of all damage',100,1,0),
(304952,106190,'Decreases INT of target by 137.5',100,1,1),
(304953,106190,'Decreases Attack Speed of target by 25.0',100,1,2),
(304954,106190,'Increases Max Health of target by 14.0%',100,1,3),
(304955,106190,'Increases Hate Gain of target by 40.3%',100,1,4),
(304956,106190,'Increases Aggression of target by 14.7',100,1,5),
(304957,106190,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(304958,106190,'Increases Threat to target encounter by 148 - 181 ',100,2,7),
(304959,106190,'Increases Mitigation of target vs elemental, noxious and arcane damage by 980',100,1,8),
(304960,10106190,'Wards target against 124 points of all damage',100,1,0),
(304961,10106190,'Decreases INT of target by 137.5',100,1,1),
(304962,10106190,'Decreases Attack Speed of target by 25.0',100,1,2),
(304963,10106190,'Increases Max Health of target by 14.0%',100,1,3),
(304964,10106190,'Increases Aggression of target by 14.7',100,1,4),
(304965,10106190,'Increases Mitigation of target vs elemental, noxious and arcane damage by 980',100,1,5),
(304966,25554,'When Equipped:',100,0,0),
(304967,25554,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(304968,25554,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(304969,10025554,'When Equipped:',100,0,0),
(304970,10025554,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(304971,10025554,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(304972,48874,'Applies Rollian''s Reclamation  when Activated.',100,0,0),
(304973,48874,'Heals caster for 151',100,1,1),
(304974,10048874,'Applies Rollian''s Reclamation  when Activated.',100,0,0),
(304975,10048874,'Heals caster for 98',100,1,1),
(304976,103609,'Inflicts 85 - 143 melee damage on target',100,1,0),
(304977,103609,'If facing target',100,1,1),
(304978,10103609,'Inflicts 111 - 186 melee damage on target',100,1,0),
(304979,10103609,'If facing target',100,1,1),
(304980,111606,'Inflicts 34 - 63 cold damage on target instantly and every 4 seconds',100,1,0),
(304981,111606,'Decreases Mitigation of target vs elemental damage by 605',100,1,1),
(304982,10111606,'Inflicts 44 - 82 cold damage on target instantly and every 4 seconds',100,1,0),
(304983,10111606,'Decreases Mitigation of target vs elemental damage by 605',100,1,1),
(304984,79357,'When Equipped:',100,0,0),
(304985,79357,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(304986,10079357,'When Equipped:',100,0,0),
(304987,10079357,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(304988,151889,'When Equipped:',100,0,0),
(304989,151889,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(304990,10151889,'When Equipped:',100,0,0),
(304991,10151889,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(304992,85330,'Applies Poison Bolt when Activated.',100,0,0),
(304993,85330,'Inflicts 78 - 129 poison damage on target',100,1,1),
(304994,85330,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(304995,10085330,'Applies Poison Bolt when Activated.',100,0,0),
(304996,10085330,'Inflicts 101 - 168 poison damage on target',100,1,1),
(304997,10085330,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(304998,70573,'When Equipped:',100,0,0),
(304999,70573,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305000,70573,'Inflicts 181 cold damage on target',100,2,2),
(305001,70573,'Cannot be modified except by direct means',100,2,3),
(305002,10070573,'When Equipped:',100,0,0),
(305003,10070573,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305004,10070573,'Inflicts 235 cold damage on target',100,2,2),
(305005,10070573,'Cannot be modified except by direct means',100,2,3),
(305006,159684,'When Equipped:',100,0,0),
(305007,159684,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305008,159684,'Increases INT of caster by 21.4',100,2,2),
(305009,159684,'Increases Focus, Disruption and Subjugation of caster by 12.0',100,2,3),
(305010,159684,'Cannot be modified except by direct means',100,2,4),
(305011,10159684,'When Equipped:',100,0,0),
(305012,10159684,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305013,10159684,'Increases INT of caster by 21.4',100,2,2),
(305014,10159684,'Increases Focus, Disruption and Subjugation of caster by 12.0',100,2,3),
(305015,10159684,'Cannot be modified except by direct means',100,2,4),
(305016,105949,'Inflicts 135 - 165 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(305017,105949,'Inflicts 315 - 525 disease damage on targets in area',100,1,1),
(305018,10105949,'Inflicts 176 - 215 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(305019,10105949,'Inflicts 409 - 683 disease damage on targets in area',100,1,1),
(305020,71372,'When Equipped:',100,0,0),
(305021,71372,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305022,71372,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(305023,71372,'Cannot be modified except by direct means',100,2,3),
(305024,10071372,'When Equipped:',100,0,0),
(305025,10071372,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305026,10071372,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(305027,10071372,'Cannot be modified except by direct means',100,2,3),
(305028,181720,'When Equipped:',100,0,0),
(305029,181720,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305030,181720,'Inflicts 2648 poison damage on target',100,2,2),
(305031,181720,'Cannot be modified except by direct means',100,2,3),
(305032,10181720,'When Equipped:',100,0,0),
(305033,10181720,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305034,10181720,'Inflicts 1721 poison damage on target',100,2,2),
(305035,10181720,'Cannot be modified except by direct means',100,2,3),
(305036,123679,'Increases Damage Per Second of target by 39.5',100,1,0),
(305037,10123679,'Increases Damage Per Second of target by 39.5',100,1,0),
(305038,122345,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(305039,122345,'Inflicts 7 - 9 piercing damage on target',100,2,1),
(305040,10122345,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(305041,10122345,'Inflicts 9 - 11 piercing damage on target',100,2,1),
(305042,112186,'Increases STR of caster by 85.4',100,1,0),
(305043,112186,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2122',100,1,1),
(305044,112186,'Increases Mitigation of caster vs physical damage by 544',100,1,2),
(305045,10112186,'Increases STR of caster by 85.4',100,1,0),
(305046,10112186,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2122',100,1,1),
(305047,10112186,'Increases Mitigation of caster vs physical damage by 544',100,1,2),
(305048,35488,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(305049,35488,'Increases Max Health of target by 91.0',100,0,1),
(305050,113370,'Roots target',100,1,0),
(305051,113370,'Applies Stifle.  Lasts for 6.0 seconds.',100,1,1),
(305052,113370,'Stifles target',100,2,2),
(305053,113370,'Blurs vision of target',100,2,3),
(305054,113370,'Dispelled when target takes damage',100,2,4),
(305055,113370,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(305056,113370,'Resistibility increases against targets higher than level 62.',100,2,6),
(305057,113370,'5% chance to dispel when target takes damage',100,1,7),
(305058,113370,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,8),
(305059,113370,'Resistibility increases against targets higher than level 62.',100,1,9),
(305060,10113370,'Roots target',100,1,0),
(305061,10113370,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(305062,10113370,'Stifles target',100,2,2),
(305063,10113370,'Blurs vision of target',100,2,3),
(305064,10113370,'Dispelled when target takes damage',100,2,4),
(305065,10113370,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(305066,10113370,'Resistibility increases against targets higher than level 62.',100,2,6),
(305067,10113370,'5% chance to dispel when target takes damage',100,1,7),
(305068,10113370,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(305069,10113370,'Resistibility increases against targets higher than level 62.',100,1,9),
(305070,49048,'Applies Liquid Frost when Activated.  Lasts for 10.0 seconds.',100,0,0),
(305071,10049048,'Applies Liquid Frost when Activated.  Lasts for 10.0 seconds.',100,0,0),
(305072,113410,'Reduces physical damage done to caster by 5%',100,1,0),
(305073,113410,'Increases STA of caster by 50.6',100,1,1),
(305074,113410,'Adds 3.4% to base avoidance.',100,1,2),
(305075,113410,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(305076,113410,'Increases Defense and Aggression of caster by 9.9',100,1,4),
(305077,113410,'Increases Mitigation of caster vs noxious damage by 660',100,1,5),
(305078,113410,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(305079,10113410,'Reduces physical damage done to caster by 5%',100,1,0),
(305080,10113410,'Increases STA of caster by 50.6',100,1,1),
(305081,10113410,'Adds 3.4% to base avoidance.',100,1,2),
(305082,10113410,'Decreases Slashing, Piercing and Crushing of caster by 6.7',100,1,3),
(305083,10113410,'Increases Defense and Aggression of caster by 9.9',100,1,4),
(305084,10113410,'Increases Mitigation of caster vs noxious damage by 660',100,1,5),
(305085,10113410,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(305086,104301,'Inflicts 142 - 237 melee damage on target',100,1,0),
(305087,104301,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(305088,104301,'Stuns target',100,2,2),
(305089,104301,'Throws target back',100,2,3),
(305090,104301,'Blurs vision of target',100,2,4),
(305091,104301,'Does not affect Epic targets',100,2,5),
(305092,10104301,'Inflicts 185 - 309 melee damage on target',100,1,0),
(305093,10104301,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(305094,10104301,'Stuns target',100,2,2),
(305095,10104301,'Throws target back',100,2,3),
(305096,10104301,'Blurs vision of target',100,2,4),
(305097,10104301,'Does not affect Epic targets',100,2,5),
(305098,117436,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(305099,117436,'Inflicts 322 - 599 melee damage on targets in area',100,2,1),
(305100,117436,'Grants a total of 10 triggers of the spell.',100,2,2),
(305101,10117436,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(305102,10117436,'Inflicts 419 - 779 melee damage on targets in area',100,2,1),
(305103,10117436,'Grants a total of 10 triggers of the spell.',100,2,2),
(305104,46135,'Applies Elemental Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(305105,46135,'Makes caster immune to Stifle effects',100,1,1),
(305106,46135,'Temporarily increases the damage of your hostile spells by 10%',100,1,2),
(305107,46135,'Must have Empowered Fetish equipped.',100,1,3),
(305108,46135,'Must be engaged in pvp combat',100,1,4),
(305109,10046135,'Applies Elemental Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(305110,10046135,'Makes caster immune to Stifle effects',100,1,1),
(305111,10046135,'Temporarily increases the damage of your hostile spells by 10%',100,1,2),
(305112,10046135,'Must have Empowered Fetish equipped.',100,1,3),
(305113,10046135,'Must be engaged in pvp combat',100,1,4),
(305114,112041,'Roots target',100,1,0),
(305115,112041,'Stifles target',100,1,1),
(305116,112041,'If Target is not Epic',100,2,2),
(305117,112041,'20% chance to dispel when target takes damage',100,1,3),
(305118,112041,'Does not affect Epic targets',100,1,4),
(305119,112041,'Resistibility increases against targets higher than level 96.',100,1,5),
(305120,10112041,'Roots target',100,1,0),
(305121,10112041,'Stifles target',100,1,1),
(305122,10112041,'If Target is not Epic',100,2,2),
(305123,10112041,'20% chance to dispel when target takes damage',100,1,3),
(305124,10112041,'Does not affect Epic targets',100,1,4),
(305125,10112041,'Resistibility increases against targets higher than level 96.',100,1,5),
(305126,164520,'When Equipped:',100,0,0),
(305127,164520,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(305128,164520,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 385',100,2,2),
(305129,164520,'Cannot be modified except by direct means',100,2,3),
(305130,10164520,'When Equipped:',100,0,0),
(305131,10164520,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(305132,10164520,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 385',100,2,2),
(305133,10164520,'Cannot be modified except by direct means',100,2,3),
(305134,117807,'Mesmerizes target',100,1,0),
(305135,117807,'Prevents AOE (except when direct) ',100,1,1),
(305136,117807,'Dispelled when target takes damage',100,1,2),
(305137,117807,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(305138,117807,'Resistibility increases against targets higher than level 97.',100,1,4),
(305139,10117807,'Mesmerizes target',100,1,0),
(305140,10117807,'Prevents AOE (except when direct) ',100,1,1),
(305141,10117807,'Dispelled when target takes damage',100,1,2),
(305142,10117807,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(305143,10117807,'Resistibility increases against targets higher than level 97.',100,1,4),
(305144,108571,'Makes target afraid',100,1,0),
(305145,108571,'30% chance to dispel when target takes damage',100,1,1),
(305146,108571,'Does not affect Epic targets',100,1,2),
(305147,108571,'Resistibility increases against targets higher than level 116.',100,1,3),
(305148,10108571,'Makes target afraid',100,1,0),
(305149,10108571,'30% chance to dispel when target takes damage',100,1,1),
(305150,10108571,'Does not affect Epic targets',100,1,2),
(305151,10108571,'Resistibility increases against targets higher than level 116.',100,1,3),
(305152,152497,'When Equipped:',100,0,0),
(305153,152497,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305154,152497,'Decreases Threat to target by 500 ',100,2,2),
(305155,152497,'Cannot be modified except by direct means',100,2,3),
(305156,10152497,'When Equipped:',100,0,0),
(305157,10152497,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305158,10152497,'Cannot be modified except by direct means',100,2,2),
(305159,74819,'When Equipped:',100,0,0),
(305160,74819,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305161,74819,'Inflicts 86 - 129 magic damage on target',100,2,2),
(305162,74819,'Cannot be modified except by direct means',100,2,3),
(305163,10074819,'When Equipped:',100,0,0),
(305164,10074819,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305165,10074819,'Inflicts 112 - 168 magic damage on target',100,2,2),
(305166,10074819,'Cannot be modified except by direct means',100,2,3),
(305167,189985,'When Equipped:',100,0,0),
(305168,189985,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305169,189985,'Inflicts 1998 disease damage on target encounter',100,2,2),
(305170,189985,'Must not be engaged in pvp combat',100,2,3),
(305171,189985,'Cannot be modified except by direct means',100,2,4),
(305172,10189985,'When Equipped:',100,0,0),
(305173,10189985,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305174,10189985,'Inflicts 1299 disease damage on target encounter',100,2,2),
(305175,10189985,'Must not be engaged in pvp combat',100,2,3),
(305176,10189985,'Cannot be modified except by direct means',100,2,4),
(305177,110988,'Heals target for 287 - 350 instantly and every 2 seconds',100,1,0),
(305178,110988,'Increases power of target by 22 - 27 instantly and every 2 seconds',100,1,1),
(305179,10110988,'Heals target for 186 - 228 instantly and every 2 seconds',100,1,0),
(305180,10110988,'Increases power of target by 22 - 27 instantly and every 2 seconds',100,1,1),
(305181,113731,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(305182,113731,'Inflicts 40 piercing damage on target',100,2,1),
(305183,113731,'Grants a total of 60 triggers of the spell.',100,2,2),
(305184,10113731,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(305185,10113731,'Inflicts 52 piercing damage on target',100,2,1),
(305186,10113731,'Grants a total of 60 triggers of the spell.',100,2,2),
(305187,123664,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(305188,123664,'Slows target by 44.4%',100,2,1),
(305189,123664,'5% chance to dispel when target receives hostile action',100,2,2),
(305190,123664,'5% chance to dispel when target takes damage',100,2,3),
(305191,123664,'Inflicts 476 - 581 cold damage on target',100,1,4),
(305192,10123664,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(305193,10123664,'Slows target by 44.4%',100,2,1),
(305194,10123664,'5% chance to dispel when target receives hostile action',100,2,2),
(305195,10123664,'5% chance to dispel when target takes damage',100,2,3),
(305196,10123664,'Inflicts 530 - 648 cold damage on target',100,1,4),
(305197,109471,'Inflicts 67 - 112 cold damage on target',100,1,0),
(305198,10109471,'Inflicts 87 - 146 cold damage on target',100,1,0),
(305199,80737,'When Equipped:',100,0,0),
(305200,80737,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305201,80737,'Inflicts 56 - 103 magic damage on target',100,2,2),
(305202,80737,'Cannot be modified except by direct means',100,2,3),
(305203,10080737,'When Equipped:',100,0,0),
(305204,10080737,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305205,10080737,'Inflicts 72 - 134 magic damage on target',100,2,2),
(305206,10080737,'Cannot be modified except by direct means',100,2,3),
(305207,173438,'When Equipped:',100,0,0),
(305208,173438,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(305209,173438,'Heals target for 5664 - 6260',100,2,2),
(305210,173438,'Dispels 221 levels of any hostile effects on target',100,2,3),
(305211,173438,'Must not be engaged in pvp combat',100,2,4),
(305212,173438,'Cannot be modified except by direct means',100,2,5),
(305213,173438,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(305214,173438,'Cannot be modified except by direct means',100,1,7),
(305215,10173438,'When Equipped:',100,0,0),
(305216,10173438,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(305217,10173438,'Heals target for 6626 - 7324',100,2,2),
(305218,10173438,'Dispels 221 levels of any hostile effects on target',100,2,3),
(305219,10173438,'Must not be engaged in pvp combat',100,2,4),
(305220,10173438,'Cannot be modified except by direct means',100,2,5),
(305221,10173438,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(305222,10173438,'Cannot be modified except by direct means',100,1,7),
(305223,172760,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(305224,172760,'Increases speed of caster by 25.0%',100,1,1),
(305225,172760,'This effect suspends during combat',100,1,2),
(305226,10172760,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(305227,10172760,'Increases speed of caster by 25.0%',100,1,1),
(305228,10172760,'This effect suspends during combat',100,1,2),
(305229,116759,'Increases Max Health of target by 482.2',100,1,0),
(305230,116759,'Increases Max Power of target by 540.8',100,1,1),
(305231,10116759,'Increases Max Health of target by 482.2',100,1,0),
(305232,10116759,'Increases Max Power of target by 540.8',100,1,1),
(305233,113505,'Inflicts 229 - 382 melee damage on targets in area',100,1,0),
(305234,10113505,'Inflicts 298 - 496 melee damage on targets in area',100,1,0),
(305235,111170,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(305236,111170,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,1),
(305237,111170,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,2),
(305238,10111170,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(305239,10111170,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,1),
(305240,10111170,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,2),
(305241,114464,'Inflicts 290 - 483 heat damage on target',100,1,0),
(305242,10114464,'Inflicts 377 - 628 heat damage on target',100,1,0),
(305243,124784,'Increases STR of caster by 29.0',100,1,0),
(305244,124784,'Decreases Defense of caster by 4.8',100,1,1),
(305245,124784,'Increases Crushing, Piercing, Slashing and Disruption of caster by 7.9',100,1,2),
(305246,10124784,'Increases STR of caster by 29.0',100,1,0),
(305247,10124784,'Decreases Defense of caster by 4.8',100,1,1),
(305248,10124784,'Increases Crushing, Piercing, Slashing and Disruption of caster by 7.9',100,1,2),
(305249,101360,'Reduces physical damage done to caster by 5%',100,1,0),
(305250,101360,'Adds 1.7% to base avoidance.',100,1,1),
(305251,101360,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(305252,101360,'Increases Aggression of caster by 7.4',100,1,3),
(305253,101360,'Increases Defense and Parry of caster by 11.9',100,1,4),
(305254,101360,'Increases Mitigation of caster vs noxious and arcane damage by 73',100,1,5),
(305255,101360,'Increases Mitigation of caster vs elemental damage by 726',100,1,6),
(305256,101360,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(305257,10101360,'Reduces physical damage done to caster by 5%',100,1,0),
(305258,10101360,'Adds 1.7% to base avoidance.',100,1,1),
(305259,10101360,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,2),
(305260,10101360,'Increases Aggression of caster by 7.4',100,1,3),
(305261,10101360,'Increases Defense and Parry of caster by 11.9',100,1,4),
(305262,10101360,'Increases Mitigation of caster vs noxious and arcane damage by 73',100,1,5),
(305263,10101360,'Increases Mitigation of caster vs elemental damage by 726',100,1,6),
(305264,10101360,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(305265,45871,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(305266,45871,'Increases power of caster by 87 instantly and every 4 seconds',100,1,1),
(305267,45871,'Requires 715 Health to cast.',100,1,2),
(305268,10045871,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(305269,10045871,'Increases power of caster by 87 instantly and every 4 seconds',100,1,1),
(305270,10045871,'Requires 715 Health to cast.',100,1,2),
(305271,118380,'Inflicts 214 - 357 melee damage on target',100,1,0),
(305272,118380,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(305273,118380,'Stuns target',100,2,2),
(305274,118380,'Throws target back',100,2,3),
(305275,118380,'Blurs vision of target',100,2,4),
(305276,118380,'Does not affect Epic targets',100,2,5),
(305277,10118380,'Inflicts 278 - 464 melee damage on target',100,1,0),
(305278,10118380,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(305279,10118380,'Stuns target',100,2,2),
(305280,10118380,'Throws target back',100,2,3),
(305281,10118380,'Blurs vision of target',100,2,4),
(305282,10118380,'Does not affect Epic targets',100,2,5),
(305283,116813,'Decreases Hate Gain of caster by 8.2%',100,1,0),
(305284,105249,'Increases Threat to target by 400 ',100,1,0),
(305285,105249,'Interrupts target',100,1,1),
(305286,105249,'Dispels 68 levels of arcane beneficial effects on target',100,1,2),
(305287,10105249,'Forces target to change their selected target to caster.',100,1,0),
(305288,10105249,'Interrupts target',100,1,1),
(305289,10105249,'Dispels 68 levels of arcane beneficial effects on target',100,1,2),
(305290,177687,'When Equipped:',100,0,0),
(305291,177687,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305292,177687,'Increases STR of caster by 12.2',100,2,2),
(305293,177687,'Increases Damage Per Second of caster by 20.2',100,2,3),
(305294,177687,'Cannot be modified except by direct means',100,2,4),
(305295,10177687,'When Equipped:',100,0,0),
(305296,10177687,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305297,10177687,'Increases STR of caster by 12.2',100,2,2),
(305298,10177687,'Increases Damage Per Second of caster by 20.2',100,2,3),
(305299,10177687,'Cannot be modified except by direct means',100,2,4),
(305300,117732,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(305301,117732,'Increases Max Health of target by 563.8',100,2,1),
(305302,117732,'Heals target for 796',100,2,2),
(305303,117732,'Grants a total of 1 trigger of the spell.',100,2,3),
(305304,10117732,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(305305,10117732,'Increases Max Health of target by 563.8',100,2,1),
(305306,10117732,'Heals target for 518',100,2,2),
(305307,10117732,'Grants a total of 1 trigger of the spell.',100,2,3),
(305308,115436,'Inflicts 26 - 32 mental damage on target instantly and every 6 seconds',100,1,0),
(305309,115436,'Decreases Mitigation of target vs arcane damage by 266',100,1,1),
(305310,10115436,'Inflicts 34 - 42 mental damage on target instantly and every 6 seconds',100,1,0),
(305311,10115436,'Decreases Mitigation of target vs arcane damage by 266',100,1,1),
(305312,82617,'When Equipped:',100,0,0),
(305313,82617,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305314,82617,'Inflicts 79 - 146 magic damage on target',100,2,2),
(305315,82617,'Decreases Threat to target by 259 ',100,2,3),
(305316,82617,'Must be flanking or behind',100,3,4),
(305317,82617,'Increases Threat to target by 259 ',100,2,5),
(305318,82617,'Must be in front of',100,3,6),
(305319,82617,'Cannot be modified except by direct means',100,2,7),
(305320,10082617,'When Equipped:',100,0,0),
(305321,10082617,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305322,10082617,'Inflicts 102 - 190 magic damage on target',100,2,2),
(305323,10082617,'Cannot be modified except by direct means',100,2,3),
(305324,157318,'When Equipped:',100,0,0),
(305325,157318,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(305326,157318,'Increases power of caster by 180',100,2,2),
(305327,157318,'Cannot be modified except by direct means',100,2,3),
(305328,10157318,'When Equipped:',100,0,0),
(305329,10157318,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(305330,10157318,'Increases power of caster by 180',100,2,2),
(305331,10157318,'Cannot be modified except by direct means',100,2,3),
(305332,36370,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(305333,100729,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(305334,100729,'Increases Mitigation of group members (AE) vs noxious damage by 1134',100,1,1),
(305335,10100729,'Increases Max Health of group members (AE) by 304.2',100,1,0),
(305336,10100729,'Increases Mitigation of group members (AE) vs noxious damage by 1134',100,1,1),
(305337,101810,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(305338,101810,'Decreases Threat to target by 1,252 ',100,2,1),
(305339,10101810,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(305340,10101810,'Inflicts 73 - 81 crushing damage on target',100,2,1),
(305341,40246,'When Equipped:',100,0,0),
(305342,40246,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(305343,40246,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(305344,40246,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,3),
(305345,40246,'Increases Potency of caster by 3.0%',100,2,4),
(305346,40246,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(305347,40246,'Must not be engaged in pvp combat',100,2,6),
(305348,40246,'Cannot be modified except by direct means',100,2,7),
(305349,40246,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(305350,40246,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,9),
(305351,40246,'Increases Potency of caster by 3.0%',100,2,10),
(305352,40246,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(305353,40246,'Must not be engaged in pvp combat',100,2,12),
(305354,40246,'Cannot be modified except by direct means',100,2,13),
(305355,40246,'Cannot be modified except by direct means',100,1,14),
(305356,10040246,'When Equipped:',100,0,0),
(305357,10040246,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(305358,10040246,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(305359,10040246,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,3),
(305360,10040246,'Increases Potency of caster by 3.0%',100,2,4),
(305361,10040246,'Increases Crit Bonus of caster by 4.5%',100,2,5),
(305362,10040246,'Must not be engaged in pvp combat',100,2,6),
(305363,10040246,'Cannot be modified except by direct means',100,2,7),
(305364,10040246,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(305365,10040246,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,9),
(305366,10040246,'Increases Potency of caster by 3.0%',100,2,10),
(305367,10040246,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(305368,10040246,'Must not be engaged in pvp combat',100,2,12),
(305369,10040246,'Cannot be modified except by direct means',100,2,13),
(305370,10040246,'Cannot be modified except by direct means',100,1,14),
(305371,47850,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(305372,47850,'Increases power of caster by 78 instantly and every 4 seconds',100,1,1),
(305373,47850,'Requires 715 Health to cast.',100,1,2),
(305374,10047850,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(305375,10047850,'Increases power of caster by 78 instantly and every 4 seconds',100,1,1),
(305376,10047850,'Requires 715 Health to cast.',100,1,2),
(305377,100663,'Increases AGI, STR and STA of target by 100.1',100,1,0),
(305378,100663,'Adds 2.1% to base avoidance.',100,1,1),
(305379,10100663,'Increases AGI, STR and STA of target by 100.1',100,1,0),
(305380,10100663,'Adds 2.1% to base avoidance.',100,1,1),
(305381,36625,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(305382,107318,'Decreases WIS of target by 54.6',100,1,0),
(305383,107318,'Decreases Defense of target by 21.0',100,1,1),
(305384,10107318,'Decreases WIS of target by 54.6',100,1,0),
(305385,10107318,'Decreases Defense of target by 21.0',100,1,1),
(305386,132165,'When Equipped:',100,0,0),
(305387,132165,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(305388,132165,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(305389,132165,'Cannot be modified except by direct means',100,2,3),
(305390,10132165,'When Equipped:',100,0,0),
(305391,10132165,'On a critical healing spell cast this spell may cast Cynosure on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(305392,10132165,'Increases Ability Reuse Speed of target by 7.5%',100,2,2),
(305393,10132165,'Cannot be modified except by direct means',100,2,3),
(305394,100697,'Dispels 72 levels of any hostile effects on target',100,1,0),
(305395,100697,'Dispels 72 levels of hostile Fear effects on target',100,1,1),
(305396,100697,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(305397,100697,'Makes target immune to Fear effects',100,3,3),
(305398,100697,'Dispels 72 levels of hostile Daze effects on target',100,1,4),
(305399,100697,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(305400,100697,'Makes target immune to Daze effects',100,3,6),
(305401,100697,'Dispels 72 levels of hostile Root effects on target',100,1,7),
(305402,100697,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(305403,100697,'Makes target immune to Root effects',100,3,9),
(305404,100697,'Dispels 72 levels of hostile Stifle effects on target',100,1,10),
(305405,100697,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(305406,100697,'Makes target immune to Stifle effects',100,3,12),
(305407,100697,'Dispels 72 levels of hostile Stun effects on target',100,1,13),
(305408,100697,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(305409,100697,'Makes target immune to Stun effects',100,3,15),
(305410,10100697,'Dispels 72 levels of any hostile effects on target',100,1,0),
(305411,10100697,'Dispels 72 levels of hostile Fear effects on target',100,1,1),
(305412,10100697,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(305413,10100697,'Makes target immune to Fear effects',100,3,3),
(305414,10100697,'Dispels 72 levels of hostile Daze effects on target',100,1,4),
(305415,10100697,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(305416,10100697,'Makes target immune to Daze effects',100,3,6),
(305417,10100697,'Dispels 72 levels of hostile Root effects on target',100,1,7),
(305418,10100697,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(305419,10100697,'Makes target immune to Root effects',100,3,9),
(305420,10100697,'Dispels 72 levels of hostile Stifle effects on target',100,1,10),
(305421,10100697,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(305422,10100697,'Makes target immune to Stifle effects',100,3,12),
(305423,10100697,'Dispels 72 levels of hostile Stun effects on target',100,1,13),
(305424,10100697,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(305425,10100697,'Makes target immune to Stun effects',100,3,15),
(305426,110978,'Inflicts 1680 - 2801 ranged damage on target',100,1,0),
(305427,110978,'I need to be stealthed!',100,1,1),
(305428,110978,'Requires bow',100,1,2),
(305429,10110978,'Inflicts 945 - 1575 ranged damage on target',100,1,0),
(305430,10110978,'I need to be stealthed!',100,1,1),
(305431,10110978,'Requires bow',100,1,2),
(305432,119160,'Inflicts 103 disease damage on target every 3 seconds',100,1,0),
(305433,119160,'Inflicts 515 - 859 melee damage on target',100,1,1),
(305434,119160,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(305435,119160,'Inflicts 206 disease damage on target every 3 seconds',100,2,3),
(305436,119160,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(305437,119160,'Inflicts 309 disease damage on target every 3 seconds',100,3,5),
(305438,119160,'You must be sneaking to use this ability.',100,1,6),
(305439,119160,'Must be behind',100,1,7),
(305440,10119160,'Inflicts 134 disease damage on target every 3 seconds',100,1,0),
(305441,10119160,'Inflicts 670 - 1117 melee damage on target',100,1,1),
(305442,10119160,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(305443,10119160,'Inflicts 268 disease damage on target every 3 seconds',100,2,3),
(305444,10119160,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(305445,10119160,'Inflicts 402 disease damage on target every 3 seconds',100,3,5),
(305446,10119160,'You must be sneaking to use this ability.',100,1,6),
(305447,10119160,'Must be behind',100,1,7),
(305448,82673,'When Equipped:',100,0,0),
(305449,82673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305450,82673,'Inflicts 79 - 146 magic damage on target',100,2,2),
(305451,82673,'Cannot be modified except by direct means',100,2,3),
(305452,10082673,'When Equipped:',100,0,0),
(305453,10082673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305454,10082673,'Inflicts 102 - 190 magic damage on target',100,2,2),
(305455,10082673,'Cannot be modified except by direct means',100,2,3),
(305456,47557,'Applies Portable Desk when Activated.  Lasts for 5 minutes.',100,0,0),
(305457,47557,'Summons Engraved Desk',100,1,1),
(305458,47557,'This effect cancels during combat',100,1,2),
(305459,10047557,'Applies Portable Desk when Activated.  Lasts for 5 minutes.',100,0,0),
(305460,10047557,'Summons Engraved Desk',100,1,1),
(305461,10047557,'This effect cancels during combat',100,1,2),
(305462,81278,'When Equipped:',100,0,0),
(305463,81278,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305464,81278,'Inflicts 196 - 364 magic damage on target',100,2,2),
(305465,81278,'Decreases Threat to target by 949 ',100,2,3),
(305466,81278,'Must be flanking or behind',100,3,4),
(305467,81278,'Increases Threat to target by 949 ',100,2,5),
(305468,81278,'Must be in front of',100,3,6),
(305469,81278,'Cannot be modified except by direct means',100,2,7),
(305470,10081278,'When Equipped:',100,0,0),
(305471,10081278,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305472,10081278,'Inflicts 255 - 474 magic damage on target',100,2,2),
(305473,10081278,'Cannot be modified except by direct means',100,2,3),
(305474,36702,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(305475,164607,'Applies Unstable Magics when Equipped.',100,0,0),
(305476,164607,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(305477,10164607,'Applies Unstable Magics when Equipped.',100,0,0),
(305478,10164607,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(305479,122895,'Increases STR and INT of group members (AE) by 24.2',100,1,0),
(305480,10122895,'Increases STR and INT of group members (AE) by 24.2',100,1,0),
(305481,113258,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(305482,113258,'Inflicts 68 - 113 magic damage on target',100,2,1),
(305483,113258,'Grants a total of 8 triggers of the spell.',100,2,2),
(305484,10113258,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(305485,10113258,'Inflicts 88 - 147 magic damage on target',100,2,1),
(305486,10113258,'Grants a total of 8 triggers of the spell.',100,2,2),
(305487,74893,'When Equipped:',100,0,0),
(305488,74893,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305489,74893,'Inflicts 111 - 166 magic damage on target',100,2,2),
(305490,74893,'Cannot be modified except by direct means',100,2,3),
(305491,10074893,'When Equipped:',100,0,0),
(305492,10074893,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305493,10074893,'Inflicts 144 - 216 magic damage on target',100,2,2),
(305494,10074893,'Cannot be modified except by direct means',100,2,3),
(305495,159336,'When Equipped:',100,0,0),
(305496,159336,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(305497,159336,'Increases AGI of caster by 11.9',100,2,2),
(305498,159336,'Increases Attack Speed of caster by 14.8',100,2,3),
(305499,159336,'Cannot be modified except by direct means',100,2,4),
(305500,10159336,'When Equipped:',100,0,0),
(305501,10159336,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(305502,10159336,'Increases AGI of caster by 11.9',100,2,2),
(305503,10159336,'Increases Attack Speed of caster by 14.8',100,2,3),
(305504,10159336,'Cannot be modified except by direct means',100,2,4),
(305505,115609,'Shapechanges group members (AE) into a skeleton',100,1,0),
(305506,10115609,'Shapechanges group members (AE) into a skeleton',100,1,0),
(305507,40295,'When Equipped:',100,0,0),
(305508,40295,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(305509,40295,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(305510,40295,'Inflicts 1076 - 1189 disease damage on target instantly and every 2 seconds',100,2,3),
(305511,40295,'Must not be engaged in pvp combat',100,2,4),
(305512,40295,'Cannot be modified except by direct means',100,2,5),
(305513,40295,'Cannot be modified except by direct means',100,1,6),
(305514,10040295,'When Equipped:',100,0,0),
(305515,10040295,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(305516,10040295,'On any combat or spell hit this spell may cast Corrosive Fog II on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(305517,10040295,'Inflicts 1398 - 1546 disease damage on target instantly and every 2 seconds',100,2,3),
(305518,10040295,'Must not be engaged in pvp combat',100,2,4),
(305519,10040295,'Cannot be modified except by direct means',100,2,5),
(305520,10040295,'Cannot be modified except by direct means',100,1,6),
(305521,144046,'When Equipped:',100,0,0),
(305522,144046,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305523,144046,'Inflicts 281 mental damage on target',100,2,2),
(305524,144046,'Must not be classified as an undead',100,3,3),
(305525,144046,'Inflicts 562 mental damage on target',100,2,4),
(305526,144046,'Must be classified as an undead',100,3,5),
(305527,144046,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(305528,144046,'Must be classified as an undead',100,3,7),
(305529,144046,'Cannot be modified except by direct means',100,2,8),
(305530,144046,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(305531,10144046,'When Equipped:',100,0,0),
(305532,10144046,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305533,10144046,'Inflicts 365 mental damage on target',100,2,2),
(305534,10144046,'Must not be classified as an undead',100,3,3),
(305535,10144046,'Inflicts 731 mental damage on target',100,2,4),
(305536,10144046,'Must be classified as an undead',100,3,5),
(305537,10144046,'Decreases Mitigation of target vs arcane damage by 410',100,2,6),
(305538,10144046,'Must be classified as an undead',100,3,7),
(305539,10144046,'Cannot be modified except by direct means',100,2,8),
(305540,10144046,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(305541,102982,'Increases STR and AGI of group members (AE) by 68.6',100,1,0),
(305542,10102982,'Increases STR and AGI of group members (AE) by 68.6',100,1,0),
(305543,122200,'Increases Damage Per Second of target by 10.2',100,1,0),
(305544,122200,'Increases Max Health of target by 34.3',100,1,1),
(305545,10122200,'Increases Damage Per Second of target by 10.2',100,1,0),
(305546,10122200,'Increases Max Health of target by 34.3',100,1,1),
(305547,115834,'Inflicts 43 disease damage on target every 3 seconds',100,1,0),
(305548,115834,'Inflicts 161 - 269 melee damage on target',100,1,1),
(305549,115834,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(305550,115834,'Heals caster for 1.3% of max health instantly and every 3 seconds',100,2,3),
(305551,115834,'This effect cannot be critically applied.',100,3,4),
(305552,115834,'The healing of this spell cannot be modified except by direct means',100,2,5),
(305553,115834,'The healing of this spell cannot be modified except by direct means',100,1,6),
(305554,10115834,'Inflicts 56 disease damage on target every 3 seconds',100,1,0),
(305555,10115834,'Inflicts 209 - 349 melee damage on target',100,1,1),
(305556,10115834,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(305557,10115834,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(305558,10115834,'This effect cannot be critically applied.',100,3,4),
(305559,10115834,'The healing of this spell cannot be modified except by direct means',100,2,5),
(305560,10115834,'The healing of this spell cannot be modified except by direct means',100,1,6),
(305561,42836,'When Equipped:',100,0,0),
(305562,42836,'On a ranged hit this spell may cast Permeating Darkness on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305563,42836,'Casters next ranged attack will inflict critical damage',100,2,2),
(305564,10042836,'When Equipped:',100,0,0),
(305565,10042836,'On a ranged hit this spell may cast Permeating Darkness on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305566,10042836,'Casters next ranged attack will inflict critical damage',100,2,2),
(305567,122863,'Inflicts 133 - 222 ranged damage on target',100,1,0),
(305568,122863,'Inflicts 266 - 444 ranged damage on target',100,1,1),
(305569,122863,'Inflicts 400 - 667 ranged damage on target',100,1,2),
(305570,122863,'Requires bow',100,1,3),
(305571,10122863,'Inflicts 125 - 208 ranged damage on target',100,1,0),
(305572,10122863,'Inflicts 250 - 416 ranged damage on target',100,1,1),
(305573,10122863,'Inflicts 375 - 625 ranged damage on target',100,1,2),
(305574,10122863,'Requires bow',100,1,3),
(305575,109789,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(305576,109789,'Heals group members (AE) for 300',100,2,1),
(305577,10109789,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(305578,10109789,'Heals group members (AE) for 195',100,2,1),
(305579,24574,'Adds Mummy (Troubador) to your Dungeon Maker toolbox',100,0,0),
(305580,10024574,'Adds Mummy (Troubador) to your Dungeon Maker toolbox',100,0,0),
(305581,25534,'When Equipped:',100,0,0),
(305582,25534,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(305583,25534,'Adds a regenerating ward to Harbinger VII.',100,1,2),
(305584,10025534,'When Equipped:',100,0,0),
(305585,10025534,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(305586,10025534,'Adds a regenerating ward to Harbinger VII.',100,1,2),
(305587,111318,'Increases Attack Speed of caster by 29.0',100,1,0),
(305588,10111318,'Increases Attack Speed of caster by 29.0',100,1,0),
(305589,112269,'Applies Inquisition.',100,1,0),
(305590,112269,'Heals targets in Area of Effect for 180 - 220',100,2,1),
(305591,112269,'If Target is between 10 and 20 meters away',100,3,2),
(305592,112269,'Heals targets in Area of Effect for 360 - 440',100,2,3),
(305593,112269,'If Target is between 5 and 10 meters away',100,3,4),
(305594,112269,'Heals targets in Area of Effect for 721 - 881',100,2,5),
(305595,112269,'If Target is closer than 5 meters',100,3,6),
(305596,74808,'When Equipped:',100,0,0),
(305597,74808,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305598,74808,'Inflicts 86 - 129 magic damage on target',100,2,2),
(305599,74808,'Cannot be modified except by direct means',100,2,3),
(305600,10074808,'When Equipped:',100,0,0),
(305601,10074808,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305602,10074808,'Inflicts 112 - 168 magic damage on target',100,2,2),
(305603,10074808,'Cannot be modified except by direct means',100,2,3),
(305604,71528,'When Equipped:',100,0,0),
(305605,71528,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305606,71528,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(305607,71528,'Cannot be modified except by direct means',100,2,3),
(305608,10071528,'When Equipped:',100,0,0),
(305609,10071528,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(305610,10071528,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(305611,10071528,'Cannot be modified except by direct means',100,2,3),
(305612,76178,'When Equipped:',100,0,0),
(305613,76178,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305614,76178,'Inflicts 53 - 89 divine damage on target',100,2,2),
(305615,76178,'Inflicts 53 - 89 piercing damage on target',100,2,3),
(305616,76178,'Inflicts 53 - 89 magic damage on target',100,2,4),
(305617,76178,'Must not be engaged in pvp combat',100,2,5),
(305618,76178,'Cannot be modified except by direct means',100,2,6),
(305619,76178,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(305620,76178,'Inflicts 53 - 89 divine damage on target',100,2,8),
(305621,76178,'Inflicts 53 - 89 piercing damage on target',100,2,9),
(305622,76178,'Inflicts 53 - 89 magic damage on target',100,2,10),
(305623,76178,'Must not be engaged in pvp combat',100,2,11),
(305624,76178,'Cannot be modified except by direct means',100,2,12),
(305625,76178,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(305626,76178,'Inflicts 53 - 89 divine damage on target',100,2,14),
(305627,76178,'Inflicts 53 - 89 piercing damage on target',100,2,15),
(305628,76178,'Inflicts 53 - 89 magic damage on target',100,2,16),
(305629,76178,'Must not be engaged in pvp combat',100,2,17),
(305630,76178,'Cannot be modified except by direct means',100,2,18),
(305631,76178,'Must not be engaged in pvp combat',100,1,19),
(305632,10076178,'When Equipped:',100,0,0),
(305633,10076178,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305634,10076178,'Inflicts 69 - 115 divine damage on target',100,2,2),
(305635,10076178,'Inflicts 69 - 115 piercing damage on target',100,2,3),
(305636,10076178,'Inflicts 69 - 115 magic damage on target',100,2,4),
(305637,10076178,'Must not be engaged in pvp combat',100,2,5),
(305638,10076178,'Cannot be modified except by direct means',100,2,6),
(305639,10076178,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(305640,10076178,'Inflicts 69 - 115 divine damage on target',100,2,8),
(305641,10076178,'Inflicts 69 - 115 piercing damage on target',100,2,9),
(305642,10076178,'Inflicts 69 - 115 magic damage on target',100,2,10),
(305643,10076178,'Must not be engaged in pvp combat',100,2,11),
(305644,10076178,'Cannot be modified except by direct means',100,2,12),
(305645,10076178,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(305646,10076178,'Inflicts 69 - 115 divine damage on target',100,2,14),
(305647,10076178,'Inflicts 69 - 115 piercing damage on target',100,2,15),
(305648,10076178,'Inflicts 69 - 115 magic damage on target',100,2,16),
(305649,10076178,'Must not be engaged in pvp combat',100,2,17),
(305650,10076178,'Cannot be modified except by direct means',100,2,18),
(305651,10076178,'Must not be engaged in pvp combat',100,1,19),
(305652,87136,'When Equipped:',100,0,0),
(305653,87136,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305654,87136,'Inflicts 155 - 232 magic damage on target',100,2,2),
(305655,87136,'Cannot be modified except by direct means',100,2,3),
(305656,10087136,'When Equipped:',100,0,0),
(305657,10087136,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305658,10087136,'Inflicts 201 - 302 magic damage on target',100,2,2),
(305659,10087136,'Cannot be modified except by direct means',100,2,3),
(305660,177715,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(305661,177715,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(305662,177715,'Inflicts 34 heat damage on target',100,2,2),
(305663,177715,'Cannot be modified except by direct means',100,2,3),
(305664,10177715,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(305665,10177715,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(305666,10177715,'Inflicts 45 heat damage on target',100,2,2),
(305667,10177715,'Cannot be modified except by direct means',100,2,3),
(305668,119130,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(305669,119130,'Inflicts 147 - 179 slashing damage on target',100,2,1),
(305670,119130,'Increases Mitigation of caster vs physical damage by 454',100,1,2),
(305671,10119130,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(305672,10119130,'Inflicts 190 - 233 slashing damage on target',100,2,1),
(305673,10119130,'Increases Mitigation of caster vs physical damage by 454',100,1,2),
(305674,36694,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(305675,110385,'Increases STR and AGI of group members (AE) by 72.5',100,1,0),
(305676,110385,'Adds 2.2% to base avoidance.',100,1,1),
(305677,10110385,'Increases STR and AGI of group members (AE) by 72.5',100,1,0),
(305678,10110385,'Adds 2.2% to base avoidance.',100,1,1),
(305679,122503,'Inflicts 500 - 833 mental damage on targets in Area of Effect',100,1,0),
(305680,10122503,'Inflicts 650 - 1084 mental damage on targets in Area of Effect',100,1,0),
(305681,159746,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(305682,159746,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(305683,159746,'Inflicts 44 heat damage on target',100,2,2),
(305684,159746,'Cannot be modified except by direct means',100,2,3),
(305685,10159746,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(305686,10159746,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(305687,10159746,'Inflicts 58 heat damage on target',100,2,2),
(305688,10159746,'Cannot be modified except by direct means',100,2,3),
(305689,45132,'Applies elixir of piety when Activated.  Lasts for 4 hours.',100,0,0),
(305690,45132,'Increases WIS and STA of caster by 181.5',100,1,1),
(305691,45132,'Increases Potency of caster by 4.0%',100,1,2),
(305692,10045132,'Applies elixir of piety when Activated.  Lasts for 4 hours.',100,0,0),
(305693,10045132,'Increases WIS and STA of caster by 181.5',100,1,1),
(305694,10045132,'Increases Potency of caster by 4.0%',100,1,2),
(305695,114990,'Inflicts 210 - 350 ranged damage on targets in area',100,1,0),
(305696,114990,'You must be in stealth to use this!',100,1,1),
(305697,114990,'Requires bow',100,1,2),
(305698,10114990,'Inflicts 157 - 263 ranged damage on targets in area',100,1,0),
(305699,10114990,'You must be in stealth to use this!',100,1,1),
(305700,10114990,'Requires bow',100,1,2),
(305701,88702,'When Equipped:',100,0,0),
(305702,88702,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(305703,10088702,'When Equipped:',100,0,0),
(305704,10088702,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(305705,133814,'When Equipped:',100,0,0),
(305706,133814,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305707,133814,'Inflicts 2664 cold damage on target encounter',100,2,2),
(305708,133814,'Must not be engaged in pvp combat',100,2,3),
(305709,133814,'Cannot be modified except by direct means',100,2,4),
(305710,133814,'Must not be engaged in pvp combat',100,1,5),
(305711,10133814,'When Equipped:',100,0,0),
(305712,10133814,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(305713,10133814,'Inflicts 1732 cold damage on target encounter',100,2,2),
(305714,10133814,'Must not be engaged in pvp combat',100,2,3),
(305715,10133814,'Cannot be modified except by direct means',100,2,4),
(305716,10133814,'Must not be engaged in pvp combat',100,1,5),
(305717,120233,'Roots target encounter',100,1,0),
(305718,120233,'15% chance to dispel when target takes damage',100,1,1),
(305719,120233,'Does not affect Epic targets',100,1,2),
(305720,120233,'Resistibility increases against targets higher than level 107.',100,1,3),
(305721,10120233,'Roots target encounter',100,1,0),
(305722,10120233,'15% chance to dispel when target takes damage',100,1,1),
(305723,10120233,'Does not affect Epic targets',100,1,2),
(305724,10120233,'Resistibility increases against targets higher than level 107.',100,1,3),
(305725,154048,'When Equipped:',100,0,0),
(305726,154048,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(305727,154048,'Heals group members (AE) for 174',100,2,2),
(305728,154048,'Cannot be modified except by direct means',100,2,3),
(305729,154048,'Cannot be modified except by direct means',100,1,4),
(305730,10154048,'When Equipped:',100,0,0),
(305731,10154048,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 2.8 times per minute. ',100,1,1),
(305732,10154048,'Heals group members (AE) for 113',100,2,2),
(305733,10154048,'Cannot be modified except by direct means',100,2,3),
(305734,10154048,'Cannot be modified except by direct means',100,1,4),
(305735,122512,'Heals caster for 3',100,1,0),
(305736,122512,'Inflicts 6 - 11 melee damage on target',100,1,1),
(305737,10122512,'Heals caster for 2',100,1,0),
(305738,10122512,'Inflicts 8 - 14 melee damage on target',100,1,1),
(305739,171386,'When Equipped:',100,0,0),
(305740,171386,'On a critical healing spell cast this spell may cast Rehabilitate II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(305741,171386,'Heals target for 71 - 78',100,2,2),
(305742,171386,'Applies Rehabilitate II on termination.  Lasts for 15.0 seconds.',100,2,3),
(305743,171386,'Wards target against 200 points of all damage',100,3,4),
(305744,171386,'Must not be engaged in pvp combat',100,3,5),
(305745,171386,'Cannot be modified except by direct means',100,3,6),
(305746,171386,'If under 50% Health',100,3,7),
(305747,171386,'Must not be engaged in pvp combat',100,2,8),
(305748,171386,'Cannot be modified except by direct means',100,2,9),
(305749,171386,'Must not be engaged in pvp combat',100,1,10),
(305750,10171386,'When Equipped:',100,0,0),
(305751,10171386,'On a critical healing spell cast this spell may cast Rehabilitate II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(305752,10171386,'Heals target for 46 - 51',100,2,2),
(305753,10171386,'Applies Rehabilitate II on termination.  Lasts for 15.0 seconds.',100,2,3),
(305754,10171386,'Wards target against 200 points of all damage',100,3,4),
(305755,10171386,'Must not be engaged in pvp combat',100,3,5),
(305756,10171386,'Cannot be modified except by direct means',100,3,6),
(305757,10171386,'If under 50% Health',100,3,7),
(305758,10171386,'Must not be engaged in pvp combat',100,2,8),
(305759,10171386,'Cannot be modified except by direct means',100,2,9),
(305760,10171386,'Must not be engaged in pvp combat',100,1,10),
(305761,41626,'When Equipped:',100,0,0),
(305762,41626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305763,41626,'Inflicts 99 - 185 magic damage on target',100,2,2),
(305764,41626,'Cannot be modified except by direct means',100,2,3),
(305765,10041626,'When Equipped:',100,0,0),
(305766,10041626,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305767,10041626,'Inflicts 129 - 240 magic damage on target',100,2,2),
(305768,10041626,'Cannot be modified except by direct means',100,2,3),
(305769,82355,'When Equipped:',100,0,0),
(305770,82355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305771,82355,'Inflicts 33 - 61 magic damage on target',100,2,2),
(305772,82355,'Cannot be modified except by direct means',100,2,3),
(305773,10082355,'When Equipped:',100,0,0),
(305774,10082355,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(305775,10082355,'Inflicts 43 - 80 magic damage on target',100,2,2),
(305776,10082355,'Cannot be modified except by direct means',100,2,3),
(305777,82333,'When Equipped:',100,0,0),
(305778,82333,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305779,82333,'Inflicts 265 - 492 magic damage on target',100,2,2),
(305780,82333,'Decreases Threat to target by 994 ',100,2,3),
(305781,82333,'Must be flanking or behind',100,3,4),
(305782,82333,'Increases Threat to target by 994 ',100,2,5),
(305783,82333,'Must be in front of',100,3,6),
(305784,82333,'Cannot be modified except by direct means',100,2,7),
(305785,10082333,'When Equipped:',100,0,0),
(305786,10082333,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305787,10082333,'Inflicts 345 - 640 magic damage on target',100,2,2),
(305788,10082333,'Cannot be modified except by direct means',100,2,3),
(305789,122331,'Both Accomplice and Partners in Crime can be active at once.',100,1,0),
(305790,122331,'Applies Accomplice: Increases potency of the partner by 9%.',100,1,1),
(305791,122331,'If three combat arts are used within five seconds.',100,2,2),
(305792,122331,'Applies Partners in Crime: Increases potency of the partner by 13.5%.',100,1,3),
(305793,122331,'If five combat arts are used within five seconds.',100,2,4),
(305794,122331,'If not brigand',100,1,5),
(305795,122331,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(305796,10122331,'Both Accomplice and Partners in Crime can be active at once.',100,1,0),
(305797,10122331,'Applies Accomplice: Increases potency of the partner by 9%.',100,1,1),
(305798,10122331,'If three combat arts are used within five seconds.',100,2,2),
(305799,10122331,'Applies Partners in Crime: Increases potency of the partner by 13.5%.',100,1,3),
(305800,10122331,'If five combat arts are used within five seconds.',100,2,4),
(305801,10122331,'If not brigand',100,1,5),
(305802,10122331,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',100,1,6),
(305803,105865,'Inflicts 6 - 11 ranged damage on target',100,1,0),
(305804,105865,'Inflicts 6 - 11 ranged damage on target',100,1,1),
(305805,105865,'If weapon equipped in Ranged',100,1,2),
(305806,10105865,'Inflicts 4 - 8 ranged damage on target',100,1,0),
(305807,10105865,'Inflicts 4 - 8 ranged damage on target',100,1,1),
(305808,10105865,'If weapon equipped in Ranged',100,1,2),
(305809,154694,'When Equipped:',100,0,0),
(305810,154694,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(305811,10154694,'When Equipped:',100,0,0),
(305812,10154694,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(305813,82941,'When Equipped:',100,0,0),
(305814,82941,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305815,82941,'Inflicts 228 - 423 magic damage on target',100,2,2),
(305816,82941,'Decreases Threat to target by 833 ',100,2,3),
(305817,82941,'Must be flanking or behind',100,3,4),
(305818,82941,'Increases Threat to target by 833 ',100,2,5),
(305819,82941,'Must be in front of',100,3,6),
(305820,82941,'Cannot be modified except by direct means',100,2,7),
(305821,10082941,'When Equipped:',100,0,0),
(305822,10082941,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305823,10082941,'Inflicts 296 - 550 magic damage on target',100,2,2),
(305824,10082941,'Cannot be modified except by direct means',100,2,3),
(305825,175140,'When Equipped:',100,0,0),
(305826,175140,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(305827,175140,'When Equipped:',100,0,2),
(305828,175140,'Increases Attack Speed of caster by 35.0',100,1,3),
(305829,10175140,'When Equipped:',100,0,0),
(305830,10175140,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(305831,10175140,'When Equipped:',100,0,2),
(305832,10175140,'Increases Attack Speed of caster by 35.0',100,1,3),
(305833,120941,'Has a 91% chance to reflect a level 92 effect. Applies to Profession and NPC racial spells only.',100,1,0),
(305834,10120941,'Has a 91% chance to reflect a level 92 effect at 60% of its cast strength. Applies to Profession and NPC racial spells only.',100,1,0),
(305835,75437,'When Equipped:',100,0,0),
(305836,75437,'On any combat or spell hit this spell may cast Ruinous Slash on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(305837,75437,'Inflicts 71 - 79 heat damage on targets in Area of Effect',100,2,2),
(305838,75437,'Inflicts 29 - 32 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(305839,75437,'Must not be engaged in pvp combat',100,2,4),
(305840,75437,'Cannot be modified except by direct means',100,2,5),
(305841,75437,'Must not be engaged in pvp combat',100,1,6),
(305842,10075437,'When Equipped:',100,0,0),
(305843,10075437,'On any combat or spell hit this spell may cast Ruinous Slash on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(305844,10075437,'Inflicts 93 - 102 heat damage on targets in Area of Effect',100,2,2),
(305845,10075437,'Inflicts 37 - 41 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(305846,10075437,'Must not be engaged in pvp combat',100,2,4),
(305847,10075437,'Cannot be modified except by direct means',100,2,5),
(305848,10075437,'Must not be engaged in pvp combat',100,1,6),
(305849,108222,'Inflicts 69 - 208 piercing damage on target',100,1,0),
(305850,108222,'Decreases Slashing, Crushing, Piercing and Ranged of target by 12.6',100,1,1),
(305851,10108222,'Inflicts 90 - 271 piercing damage on target',100,1,0),
(305852,10108222,'Decreases Slashing, Crushing, Piercing and Ranged of target by 12.6',100,1,1),
(305853,120976,'Inflicts 1123 - 1871 ranged damage on target',100,1,0),
(305854,120976,'If weapon equipped in Ranged',100,1,1),
(305855,120976,'Must be behind',100,1,2),
(305856,10120976,'Inflicts 842 - 1403 ranged damage on target',100,1,0),
(305857,10120976,'If weapon equipped in Ranged',100,1,1),
(305858,10120976,'Must be behind',100,1,2),
(305859,105378,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(305860,105378,'Inflicts 46 melee damage on target',100,2,1),
(305861,105378,'Interrupts target',100,2,2),
(305862,105378,'Decreases Defense of caster by 12.3',100,1,3),
(305863,105378,'Increases Piercing, Slashing, Ranged and Crushing of caster by 20.3',100,1,4),
(305864,10105378,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(305865,10105378,'Inflicts 60 melee damage on target',100,2,1),
(305866,10105378,'Interrupts target',100,2,2),
(305867,10105378,'Decreases Defense of caster by 12.3',100,1,3),
(305868,10105378,'Increases Piercing, Slashing, Ranged and Crushing of caster by 20.3',100,1,4),
(305869,104951,'Inflicts 608 - 1014 melee damage on target',100,1,0),
(305870,104951,'Decreases Defense of target by 36.5',100,1,1),
(305871,104951,'Must be behind',100,1,2),
(305872,10104951,'Inflicts 791 - 1319 melee damage on target',100,1,0),
(305873,10104951,'Decreases Defense of target by 36.5',100,1,1),
(305874,10104951,'Must be behind',100,1,2),
(305875,25068,'When Equipped:',100,0,0),
(305876,25068,'On a hostile spell cast this spell may cast Superior Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(305877,25068,'Inflicts 1430 magic damage on target',100,2,2),
(305878,25068,'Cannot be modified except by direct means',100,2,3),
(305879,25068,'On a combat hit this spell may cast Superior Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(305880,25068,'Inflicts 1430 magic damage on target',100,2,5),
(305881,25068,'Cannot be modified except by direct means',100,2,6),
(305882,10025068,'When Equipped:',100,0,0),
(305883,10025068,'On a hostile spell cast this spell may cast Superior Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(305884,10025068,'Inflicts 1572 magic damage on target',100,2,2),
(305885,10025068,'Cannot be modified except by direct means',100,2,3),
(305886,10025068,'On a combat hit this spell may cast Superior Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(305887,10025068,'Inflicts 1572 magic damage on target',100,2,5),
(305888,10025068,'Cannot be modified except by direct means',100,2,6),
(305889,109701,'Inflicts 237 - 289 cold damage on target instantly and every 3 seconds',100,1,0),
(305890,10109701,'Inflicts 307 - 376 cold damage on target instantly and every 3 seconds',100,1,0),
(305891,112212,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(305892,112212,'Inflicts 9 disease damage on target',100,2,1),
(305893,112212,'Increases Threat to target by 18 ',100,2,2),
(305894,112212,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,3),
(305895,10112212,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(305896,10112212,'Inflicts 11 disease damage on target',100,2,1),
(305897,10112212,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',100,1,2),
(305898,106982,'Inflicts 680 - 1262 poison damage on target',100,1,0),
(305899,106982,'Increases power of caster by 67',100,1,1),
(305900,10106982,'Inflicts 884 - 1641 poison damage on target',100,1,0),
(305901,10106982,'Increases power of caster by 67',100,1,1),
(305902,46548,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(305903,46548,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 23.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(305904,46548,'Slows target by 42.3%',100,2,2),
(305905,46548,'Cannot be modified except by direct means',100,2,3),
(305906,46548,'Grants a total of 60 triggers of the spell.',100,2,4),
(305907,10046548,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(305908,10046548,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(305909,10046548,'Slows target by 42.3%',100,2,2),
(305910,10046548,'Cannot be modified except by direct means',100,2,3),
(305911,10046548,'Grants a total of 60 triggers of the spell.',100,2,4),
(305912,104279,'Inflicts 33 - 55 melee damage on target',100,1,0),
(305913,104279,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(305914,104279,'Stuns target',100,2,2),
(305915,104279,'Throws target back',100,2,3),
(305916,104279,'Blurs vision of target',100,2,4),
(305917,104279,'Does not affect Epic targets',100,2,5),
(305918,10104279,'Inflicts 43 - 72 melee damage on target',100,1,0),
(305919,10104279,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(305920,10104279,'Stuns target',100,2,2),
(305921,10104279,'Blurs vision of target',100,2,3),
(305922,10104279,'Throws target back',100,2,4),
(305923,10104279,'Does not affect Epic targets',100,2,5),
(305924,111444,'Decreases Attack Speed of caster by 14.1',100,1,0),
(305925,111444,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(305926,111444,'Roots target',100,2,2),
(305927,111444,'5% chance to dispel when target takes damage',100,2,3),
(305928,111444,'5% chance to dispel when target receives hostile action',100,2,4),
(305929,111444,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(305930,111444,'Increases Mitigation of caster vs physical damage by 451',100,1,6),
(305931,10111444,'Decreases Attack Speed of caster by 14.1',100,1,0),
(305932,10111444,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(305933,10111444,'Roots target',100,2,2),
(305934,10111444,'5% chance to dispel when target takes damage',100,2,3),
(305935,10111444,'5% chance to dispel when target receives hostile action',100,2,4),
(305936,10111444,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(305937,10111444,'Increases Mitigation of caster vs physical damage by 451',100,1,6),
(305938,123148,'Reduces physical damage done to caster by 5%',100,1,0),
(305939,123148,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(305940,123148,'Increases Aggression of caster by 2.3',100,1,2),
(305941,123148,'Increases Defense and Parry of caster by 4.6',100,1,3),
(305942,123148,'Increases Mitigation of caster vs elemental damage by 328',100,1,4),
(305943,123148,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(305944,10123148,'Reduces physical damage done to caster by 5%',100,1,0),
(305945,10123148,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(305946,10123148,'Increases Aggression of caster by 2.3',100,1,2),
(305947,10123148,'Increases Defense and Parry of caster by 4.6',100,1,3),
(305948,10123148,'Increases Mitigation of caster vs elemental damage by 328',100,1,4),
(305949,10123148,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(305950,100095,'Decreases STR, AGI, WIS and INT of target by 4.3',100,1,0),
(305951,100095,'Decreases Max Health of target by 0.6%',100,1,1),
(305952,10100095,'Decreases STR, AGI, WIS and INT of target by 4.3',100,1,0),
(305953,10100095,'Decreases Max Health of target by 0.6%',100,1,1),
(305954,81743,'When Equipped:',100,0,0),
(305955,81743,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305956,81743,'Inflicts 108 - 200 magic damage on target',100,2,2),
(305957,81743,'Decreases Threat to target by 487 ',100,2,3),
(305958,81743,'Must be flanking or behind',100,3,4),
(305959,81743,'Increases Threat to target by 487 ',100,2,5),
(305960,81743,'Must be in front of',100,3,6),
(305961,81743,'Cannot be modified except by direct means',100,2,7),
(305962,10081743,'When Equipped:',100,0,0),
(305963,10081743,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(305964,10081743,'Inflicts 140 - 260 magic damage on target',100,2,2),
(305965,10081743,'Cannot be modified except by direct means',100,2,3),
(305966,118803,'Wards group members (AE) against 76 points of physical damage',100,1,0),
(305967,118803,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,1),
(305968,10118803,'Wards group members (AE) against 76 points of physical damage',100,1,0),
(305969,10118803,'Increases Mitigation of group members (AE) vs physical damage by 757',100,1,1),
(305970,47617,'Applies Power Potion when Activated.',100,0,0),
(305971,47617,'Increases power of caster by 100.0%',100,1,1),
(305972,47617,'This effect cannot be critically applied.',100,2,2),
(305973,47617,'Cannot be modified except by direct means',100,1,3),
(305974,10047617,'Applies Power Potion when Activated.',100,0,0),
(305975,10047617,'Increases power of caster by 100.0%',100,1,1),
(305976,10047617,'This effect cannot be critically applied.',100,2,2),
(305977,10047617,'Cannot be modified except by direct means',100,1,3),
(305978,111763,'Heals caster for 71 - 87',100,1,0),
(305979,111763,'This effect cannot be critically applied.',100,2,1),
(305980,111763,'The healing of this spell cannot be modified except by direct means',100,1,2),
(305981,10111763,'Heals caster for 36 - 44',100,1,0),
(305982,10111763,'This effect cannot be critically applied.',100,2,1),
(305983,10111763,'The healing of this spell cannot be modified except by direct means',100,1,2),
(305984,181006,'When Equipped:',100,0,0),
(305985,181006,'Increases Attack Speed of caster by 35.0',100,1,1),
(305986,10181006,'When Equipped:',100,0,0),
(305987,10181006,'Increases Attack Speed of caster by 35.0',100,1,1),
(305988,123149,'Reduces physical damage done to caster by 5%',100,1,0),
(305989,123149,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(305990,123149,'Increases Aggression of caster by 2.4',100,1,2),
(305991,123149,'Increases Defense and Parry of caster by 4.8',100,1,3),
(305992,123149,'Increases Mitigation of caster vs elemental damage by 346',100,1,4),
(305993,123149,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(305994,10123149,'Reduces physical damage done to caster by 5%',100,1,0),
(305995,10123149,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(305996,10123149,'Increases Aggression of caster by 2.4',100,1,2),
(305997,10123149,'Increases Defense and Parry of caster by 4.8',100,1,3),
(305998,10123149,'Increases Mitigation of caster vs elemental damage by 346',100,1,4),
(305999,10123149,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(306000,158623,'When Equipped:',100,0,0),
(306001,158623,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(306002,158623,'Increases STR, AGI, WIS and INT of caster by 110.0',100,2,2),
(306003,158623,'Increases Potency of caster by 3.0%',100,2,3),
(306004,158623,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(306005,158623,'Must not be engaged in pvp combat',100,2,5),
(306006,158623,'Cannot be modified except by direct means',100,2,6),
(306007,158623,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(306008,158623,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(306009,158623,'Increases STR, AGI, WIS and INT of caster by 110.0',100,2,9),
(306010,158623,'Increases Potency of caster by 3.0%',100,2,10),
(306011,158623,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(306012,158623,'Must not be engaged in pvp combat',100,2,12),
(306013,158623,'Cannot be modified except by direct means',100,2,13),
(306014,158623,'Cannot be modified except by direct means',100,1,14),
(306015,10158623,'When Equipped:',100,0,0),
(306016,10158623,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(306017,10158623,'Increases STR, AGI, WIS and INT of caster by 110.0',100,2,2),
(306018,10158623,'Increases Potency of caster by 3.0%',100,2,3),
(306019,10158623,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(306020,10158623,'Must not be engaged in pvp combat',100,2,5),
(306021,10158623,'Cannot be modified except by direct means',100,2,6),
(306022,10158623,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(306023,10158623,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(306024,10158623,'Increases STR, AGI, WIS and INT of caster by 110.0',100,2,9),
(306025,10158623,'Increases Potency of caster by 3.0%',100,2,10),
(306026,10158623,'Increases Crit Bonus of caster by 4.5%',100,2,11),
(306027,10158623,'Must not be engaged in pvp combat',100,2,12),
(306028,10158623,'Cannot be modified except by direct means',100,2,13),
(306029,10158623,'Cannot be modified except by direct means',100,1,14),
(306030,48852,'Applies Translucent Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(306031,48852,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(306032,48852,'Inflicts 34 magic damage on target',100,2,2),
(306033,48852,'Cannot be modified except by direct means',100,2,3),
(306034,48852,'Only affects targets level 50 and above',100,1,4),
(306035,10048852,'Applies Translucent Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(306036,10048852,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(306037,10048852,'Inflicts 45 magic damage on target',100,2,2),
(306038,10048852,'Cannot be modified except by direct means',100,2,3),
(306039,10048852,'Only affects targets level 50 and above',100,1,4),
(306040,24406,'Adds Goahmari Templar to your Dungeon Maker toolbox',100,0,0),
(306041,10024406,'Adds Goahmari Templar to your Dungeon Maker toolbox',100,0,0),
(306042,107154,'Inflicts 688 - 841 divine damage on target',100,1,0),
(306043,107154,'Inflicts 688 - 841 divine damage on target',100,1,1),
(306044,107154,'If target is undead',100,2,2),
(306045,10107154,'Inflicts 894 - 1093 divine damage on target',100,1,0),
(306046,10107154,'Inflicts 894 - 1093 divine damage on target',100,1,1),
(306047,122572,'Inflicts 3 - 4 mental damage on target instantly and every 3 seconds',100,1,0),
(306048,122572,'Decreases Mitigation of target vs arcane damage by 48',100,1,1),
(306049,10122572,'Inflicts 4 - 5 mental damage on target instantly and every 3 seconds',100,1,0),
(306050,10122572,'Decreases Mitigation of target vs arcane damage by 48',100,1,1),
(306051,159865,'Applies Lambent Imbued when Equipped.',100,0,0),
(306052,159865,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(306053,159865,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(306054,159865,'Cannot be modified except by direct means',100,2,3),
(306055,10159865,'Applies Lambent Imbued when Equipped.',100,0,0),
(306056,10159865,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(306057,10159865,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(306058,10159865,'Cannot be modified except by direct means',100,2,3),
(306059,111199,'Inflicts 252 - 420 divine damage on targets in area',100,1,0),
(306060,111199,'Heals group members (AE) for 2.5% of max health',100,1,1),
(306061,111199,'This effect cannot be critically applied.',100,2,2),
(306062,111199,'The healing of this spell cannot be modified except by direct means',100,1,3),
(306063,10111199,'Inflicts 327 - 546 divine damage on targets in area',100,1,0),
(306064,10111199,'Heals group members (AE) for 1.6% of max health',100,1,1),
(306065,10111199,'This effect cannot be critically applied.',100,2,2),
(306066,10111199,'The healing of this spell cannot be modified except by direct means',100,1,3),
(306067,123203,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(306068,123203,'Inflicts 49 - 60 disease damage on target',100,2,1),
(306069,123203,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(306070,123203,'This effect cannot be critically applied.',100,3,3),
(306071,123203,'The healing of this spell cannot be modified except by direct means',100,2,4),
(306072,123203,'Grants a total of 5 triggers of the spell.',100,2,5),
(306073,10123203,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(306074,10123203,'Inflicts 64 - 78 disease damage on target',100,2,1),
(306075,10123203,'Heals caster for 1.0 - 1.2% of max health',100,2,2),
(306076,10123203,'This effect cannot be critically applied.',100,3,3),
(306077,10123203,'The healing of this spell cannot be modified except by direct means',100,2,4),
(306078,10123203,'Grants a total of 5 triggers of the spell.',100,2,5),
(306079,71861,'When Equipped:',100,0,0),
(306080,71861,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306081,71861,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(306082,71861,'Cannot be modified except by direct means',100,2,3),
(306083,10071861,'When Equipped:',100,0,0),
(306084,10071861,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306085,10071861,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(306086,10071861,'Cannot be modified except by direct means',100,2,3),
(306087,146662,'When Equipped:',100,0,0),
(306088,146662,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(306089,146662,'Heals caster for 172',100,2,2),
(306090,146662,'Cannot be modified except by direct means',100,2,3),
(306091,10146662,'When Equipped:',100,0,0),
(306092,10146662,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(306093,10146662,'Heals caster for 112',100,2,2),
(306094,10146662,'Cannot be modified except by direct means',100,2,3),
(306095,159064,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(306096,159064,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(306097,159064,'Inflicts 63 heat damage on target',100,2,2),
(306098,159064,'Cannot be modified except by direct means',100,2,3),
(306099,10159064,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(306100,10159064,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(306101,10159064,'Inflicts 82 heat damage on target',100,2,2),
(306102,10159064,'Cannot be modified except by direct means',100,2,3),
(306103,41289,'When Equipped:',100,0,0),
(306104,41289,'Reduces power cost of all spells by 5 percent.',100,1,1),
(306105,10041289,'When Equipped:',100,0,0),
(306106,10041289,'Reduces power cost of all spells by 5 percent.',100,1,1),
(306107,101303,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(306108,101303,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,1),
(306109,10101303,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(306110,10101303,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,1),
(306111,110256,'Slows target by 54.0%',100,1,0),
(306112,110256,'Inflicts 209 - 349 melee damage on target',100,1,1),
(306113,110256,'5% chance to dispel when target receives hostile action',100,1,2),
(306114,110256,'5% chance to dispel when target takes damage',100,1,3),
(306115,10110256,'Slows target by 54.0%',100,1,0),
(306116,10110256,'Inflicts 272 - 454 melee damage on target',100,1,1),
(306117,10110256,'5% chance to dispel when target receives hostile action',100,1,2),
(306118,10110256,'5% chance to dispel when target takes damage',100,1,3),
(306119,175497,'When Equipped:',100,0,0),
(306120,175497,'On a hostile spell cast this spell may cast Art Mastery on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(306121,175497,'Decreases Threat to target by 1,200 ',100,2,2),
(306122,175497,'Cannot be modified except by direct means',100,2,3),
(306123,10175497,'When Equipped:',100,0,0),
(306124,10175497,'On a hostile spell cast this spell may cast Art Mastery on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(306125,10175497,'Cannot be modified except by direct means',100,2,2),
(306126,141985,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(306127,141985,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(306128,141985,'Decreases Attack Speed of target by 12.0',100,2,2),
(306129,141985,'Cannot be modified except by direct means',100,2,3),
(306130,141985,'Slows target by 30.0%',100,1,4),
(306131,141985,'5% chance to dispel when target takes damage',100,1,5),
(306132,141985,'5% chance to dispel when target receives hostile action',100,1,6),
(306133,141985,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(306134,10141985,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(306135,10141985,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(306136,10141985,'Decreases Attack Speed of target by 12.0',100,2,2),
(306137,10141985,'Cannot be modified except by direct means',100,2,3),
(306138,10141985,'Slows target by 30.0%',100,1,4),
(306139,10141985,'5% chance to dispel when target takes damage',100,1,5),
(306140,10141985,'5% chance to dispel when target receives hostile action',100,1,6),
(306141,10141985,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(306142,25894,'When Equipped:',100,0,0),
(306143,25894,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(306144,25894,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(306145,10025894,'When Equipped:',100,0,0),
(306146,10025894,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(306147,10025894,'Increases the base damage of the damage over time component of Wail of the Banshee IV.',100,1,2),
(306148,192097,'When Equipped:',100,0,0),
(306149,192097,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(306150,192097,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(306151,192097,'Heals caster for 1277 - 1916',100,2,3),
(306152,192097,'Cannot be modified except by direct means',100,2,4),
(306153,192097,'Cannot be modified except by direct means',100,1,5),
(306154,10192097,'When Equipped:',100,0,0),
(306155,10192097,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(306156,10192097,'Inflicts 2494 - 3740 magic damage on target',100,2,2),
(306157,10192097,'Heals caster for 1495 - 2242',100,2,3),
(306158,10192097,'Cannot be modified except by direct means',100,2,4),
(306159,10192097,'Cannot be modified except by direct means',100,1,5),
(306160,81370,'When Equipped:',100,0,0),
(306161,81370,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306162,81370,'Inflicts 80 - 149 magic damage on target',100,2,2),
(306163,81370,'Cannot be modified except by direct means',100,2,3),
(306164,10081370,'When Equipped:',100,0,0),
(306165,10081370,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306166,10081370,'Inflicts 104 - 193 magic damage on target',100,2,2),
(306167,10081370,'Cannot be modified except by direct means',100,2,3),
(306168,115959,'Stuns target',100,1,0),
(306169,115959,'Inflicts 15 - 23 mental damage on target',100,1,1),
(306170,115959,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(306171,115959,'Resistibility increases against targets higher than level 31.',100,1,3),
(306172,10115959,'Stuns target',100,1,0),
(306173,10115959,'Applies Bewilderment on termination.',100,1,1),
(306174,10115959,'Inflicts 20 - 29 mental damage on target',100,2,2),
(306175,10115959,'Requires not being affected by Mesmerize effects.',100,3,3),
(306176,10115959,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,4),
(306177,10115959,'Resistibility increases against targets higher than level 31.',100,1,5),
(306178,145932,'When Equipped:',100,0,0),
(306179,145932,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(306180,145932,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(306181,145932,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(306182,145932,'Must not be engaged in pvp combat',100,2,4),
(306183,145932,'Cannot be modified except by direct means',100,2,5),
(306184,10145932,'When Equipped:',100,0,0),
(306185,10145932,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(306186,10145932,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(306187,10145932,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(306188,10145932,'Must not be engaged in pvp combat',100,2,4),
(306189,10145932,'Cannot be modified except by direct means',100,2,5),
(306190,108160,'Inflicts 531 - 885 melee damage on target',100,1,0),
(306191,108160,'You must be sneaking to use this ability.',100,1,1),
(306192,108160,'Must be flanking or behind',100,1,2),
(306193,10108160,'Inflicts 455 - 759 melee damage on target',100,1,0),
(306194,10108160,'You must be sneaking to use this ability.',100,1,1),
(306195,10108160,'Must be flanking or behind',100,1,2),
(306196,100119,'Decreases STR, AGI, WIS and INT of target by 30.1',100,1,0),
(306197,100119,'Decreases Max Health of target by 0.6%',100,1,1),
(306198,10100119,'Decreases STR, AGI, WIS and INT of target by 30.1',100,1,0),
(306199,10100119,'Decreases Max Health of target by 0.6%',100,1,1),
(306200,113518,'Inflicts 506 - 844 melee damage on targets in area',100,1,0),
(306201,10113518,'Inflicts 658 - 1097 melee damage on targets in area',100,1,0),
(306202,107208,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(306203,107208,'Heals target for 294',100,2,1),
(306204,10107208,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(306205,10107208,'Heals target for 191',100,2,1),
(306206,116063,'Shapechanges caster into a lion',100,1,0),
(306207,116063,'Increases STA of caster by 147.8',100,1,1),
(306208,116063,'Adds 3.7% to base avoidance.',100,1,2),
(306209,116063,'Grants See Stealth to caster',100,1,3),
(306210,116063,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2310',100,1,4),
(306211,10116063,'Shapechanges caster into a lion',100,1,0),
(306212,10116063,'Increases STA of caster by 147.8',100,1,1),
(306213,10116063,'Adds 3.7% to base avoidance.',100,1,2),
(306214,10116063,'Grants See Stealth to caster',100,1,3),
(306215,10116063,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2310',100,1,4),
(306216,112721,'Inflicts 328 - 547 disease damage on target encounter',100,1,0),
(306217,10112721,'Inflicts 426 - 711 disease damage on target encounter',100,1,0),
(306218,139885,'When Equipped:',100,0,0),
(306219,139885,'On a combat hit this spell may cast Reet Blade Flurry on caster.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(306220,139885,'Increases damage done by combat arts by up to 150.',100,2,2),
(306221,139885,'Cannot be modified except by direct means',100,2,3),
(306222,10139885,'When Equipped:',100,0,0),
(306223,10139885,'On a combat hit this spell may cast Reet Blade Flurry on caster.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(306224,10139885,'Increases damage done by combat arts by up to 150.',100,2,2),
(306225,10139885,'Cannot be modified except by direct means',100,2,3),
(306226,159578,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(306227,159578,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(306228,159578,'Inflicts 19 heat damage on target',100,2,2),
(306229,159578,'Cannot be modified except by direct means',100,2,3),
(306230,10159578,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(306231,10159578,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(306232,10159578,'Inflicts 25 heat damage on target',100,2,2),
(306233,10159578,'Cannot be modified except by direct means',100,2,3),
(306234,70618,'When Equipped:',100,0,0),
(306235,70618,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306236,70618,'Inflicts 125 - 209 poison damage on target every 4.8 seconds',100,2,2),
(306237,70618,'Cannot be modified except by direct means',100,2,3),
(306238,10070618,'When Equipped:',100,0,0),
(306239,10070618,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306240,10070618,'Inflicts 163 - 271 poison damage on target every 4.8 seconds',100,2,2),
(306241,10070618,'Cannot be modified except by direct means',100,2,3),
(306242,36855,'Increases STA and INT of target by 13.2',100,0,0),
(306243,36855,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(306244,42531,'When Equipped:',100,0,0),
(306245,42531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306246,42531,'Inflicts 73 - 110 magic damage on target',100,2,2),
(306247,42531,'Cannot be modified except by direct means',100,2,3),
(306248,10042531,'When Equipped:',100,0,0),
(306249,10042531,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306250,10042531,'Inflicts 95 - 143 magic damage on target',100,2,2),
(306251,10042531,'Cannot be modified except by direct means',100,2,3),
(306252,101335,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(306253,101335,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 233',100,1,1),
(306254,101335,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,2),
(306255,10101335,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(306256,10101335,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 233',100,1,1),
(306257,10101335,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,2),
(306258,109918,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(306259,109918,'Inflicts 144 - 177 poison damage on target instantly and every 4 seconds',100,2,1),
(306260,10109918,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(306261,10109918,'Inflicts 188 - 229 poison damage on target instantly and every 4 seconds',100,2,1),
(306262,111256,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(306263,111256,'Heals target for 626',100,2,1),
(306264,111256,'Increases Mitigation of target vs physical damage by 451',100,2,2),
(306265,111256,'Grants a total of 1 trigger of the spell.',100,2,3),
(306266,10111256,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(306267,10111256,'Heals target for 407',100,2,1),
(306268,10111256,'Increases Mitigation of target vs physical damage by 451',100,2,2),
(306269,10111256,'Grants a total of 1 trigger of the spell.',100,2,3),
(306270,81060,'When Equipped:',100,0,0),
(306271,81060,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(306272,81060,'Inflicts 148 - 275 magic damage on target',100,2,2),
(306273,81060,'Decreases Threat to target by 517 ',100,2,3),
(306274,81060,'Must be flanking or behind',100,3,4),
(306275,81060,'Increases Threat to target by 517 ',100,2,5),
(306276,81060,'Must be in front of',100,3,6),
(306277,81060,'Cannot be modified except by direct means',100,2,7),
(306278,10081060,'When Equipped:',100,0,0),
(306279,10081060,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(306280,10081060,'Inflicts 192 - 357 magic damage on target',100,2,2),
(306281,10081060,'Cannot be modified except by direct means',100,2,3),
(306282,176173,'When Equipped:',100,0,0),
(306283,176173,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(306284,176173,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(306285,176173,'Increases Ability Modifier of caster by 660.0',100,2,3),
(306286,176173,'Must not be engaged in pvp combat',100,2,4),
(306287,176173,'Cannot be modified except by direct means',100,2,5),
(306288,176173,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(306289,176173,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(306290,176173,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(306291,176173,'Increases Ability Modifier of caster by 660.0',100,2,9),
(306292,176173,'Must not be engaged in pvp combat',100,2,10),
(306293,176173,'Cannot be modified except by direct means',100,2,11),
(306294,176173,'Cannot be modified except by direct means',100,1,12),
(306295,10176173,'When Equipped:',100,0,0),
(306296,10176173,'On any combat or spell hit this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(306297,10176173,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(306298,10176173,'Increases Ability Modifier of caster by 660.0',100,2,3),
(306299,10176173,'Must not be engaged in pvp combat',100,2,4),
(306300,10176173,'Cannot be modified except by direct means',100,2,5),
(306301,10176173,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(306302,10176173,'On a healing spell cast this spell may cast Focused Destruction III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(306303,10176173,'Increases Crit Bonus of caster by 4.5%',100,2,8),
(306304,10176173,'Increases Ability Modifier of caster by 660.0',100,2,9),
(306305,10176173,'Must not be engaged in pvp combat',100,2,10),
(306306,10176173,'Cannot be modified except by direct means',100,2,11),
(306307,10176173,'Cannot be modified except by direct means',100,1,12),
(306308,130165,'Applies Acumen Occultation when Equipped.',100,0,0),
(306309,130165,'Grants Acumen Ocultation to caster',100,1,1),
(306310,10130165,'Applies Acumen Occultation when Equipped.',100,0,0),
(306311,10130165,'Grants Acumen Ocultation to caster',100,1,1),
(306312,103021,'Inflicts 109 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(306313,103021,'Inflicts 40 - 68 melee damage on target',100,1,1),
(306314,10103021,'Inflicts 141 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(306315,10103021,'Inflicts 53 - 88 melee damage on target',100,1,1),
(306316,82362,'When Equipped:',100,0,0),
(306317,82362,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306318,82362,'Inflicts 30 - 55 magic damage on target',100,2,2),
(306319,82362,'Cannot be modified except by direct means',100,2,3),
(306320,10082362,'When Equipped:',100,0,0),
(306321,10082362,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306322,10082362,'Inflicts 39 - 72 magic damage on target',100,2,2),
(306323,10082362,'Cannot be modified except by direct means',100,2,3),
(306324,37288,'Increases INT and STR of target by 13.2',100,0,0),
(306325,37288,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(306326,47201,'Applies Elixir of Refinement  when Activated.  Lasts for 15 minutes.',100,0,0),
(306327,47201,'Increases Max Health of caster by 130.0',100,1,1),
(306328,10047201,'Applies Elixir of Refinement  when Activated.  Lasts for 15 minutes.',100,0,0),
(306329,10047201,'Increases Max Health of caster by 130.0',100,1,1),
(306330,47296,'Applies Scintillation Potion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(306331,47296,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(306332,47296,'Inflicts 20 magic damage on target',100,2,2),
(306333,47296,'Cannot be modified except by direct means',100,2,3),
(306334,10047296,'Applies Scintillation Potion  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(306335,10047296,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(306336,10047296,'Inflicts 26 magic damage on target',100,2,2),
(306337,10047296,'Cannot be modified except by direct means',100,2,3),
(306338,47466,'Applies Pet Owlbear Hatchling when Activated.',100,0,0),
(306339,47466,'Summons a pet baby owlbear',100,1,1),
(306340,10047466,'Applies Pet Owlbear Hatchling when Activated.',100,0,0),
(306341,10047466,'Summons a pet baby owlbear',100,1,1),
(306342,184999,'Applies Dev AE Slay when Activated.',100,0,0),
(306343,184999,'Inflicts 90.0% of max health in cold damage on target encounter',100,1,1),
(306344,10184999,'Applies Dev AE Slay when Activated.',100,0,0),
(306345,10184999,'Inflicts 117.0% of max health in cold damage on target encounter',100,1,1),
(306346,48495,'Applies Thinning Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(306347,48495,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(306348,48495,'Inflicts 198 poison damage on target',100,2,2),
(306349,48495,'Inflicts 102 poison damage on target instantly and every 6 seconds',100,2,3),
(306350,48495,'Cannot be modified except by direct means',100,2,4),
(306351,48495,'Grants a total of 200 triggers of the spell.',100,2,5),
(306352,48495,'Only affects targets level 50 and above',100,1,6),
(306353,10048495,'Applies Thinning Tenebrous Thorn when Activated.  Lasts for 12 hours.',100,0,0),
(306354,10048495,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(306355,10048495,'Inflicts 193 poison damage on target',100,2,2),
(306356,10048495,'Inflicts 100 poison damage on target instantly and every 6 seconds',100,2,3),
(306357,10048495,'Cannot be modified except by direct means',100,2,4),
(306358,10048495,'Grants a total of 200 triggers of the spell.',100,2,5),
(306359,10048495,'Only affects targets level 50 and above',100,1,6),
(306360,35010,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(306361,35010,'This effect suspends during combat',100,0,1),
(306362,47598,'Applies Medium Replenishment when Activated.',100,0,0),
(306363,47598,'Heals caster for 149',100,1,1),
(306364,10047598,'Applies Medium Replenishment when Activated.',100,0,0),
(306365,10047598,'Heals caster for 97',100,1,1),
(306366,107485,'Inflicts 288 - 863 magic damage on targets in Area of Effect',100,1,0),
(306367,107485,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(306368,107485,'Stuns target',100,2,2),
(306369,107485,'Blurs vision of target',100,2,3),
(306370,107485,'Throws target back',100,2,4),
(306371,107485,'Does not affect Epic targets',100,2,5),
(306372,10107485,'Inflicts 374 - 1122 magic damage on targets in Area of Effect',100,1,0),
(306373,10107485,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(306374,10107485,'Stuns target',100,2,2),
(306375,10107485,'Throws target back',100,2,3),
(306376,10107485,'Blurs vision of target',100,2,4),
(306377,10107485,'Does not affect Epic targets',100,2,5),
(306378,81734,'When Equipped:',100,0,0),
(306379,81734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306380,81734,'Inflicts 108 - 200 magic damage on target',100,2,2),
(306381,81734,'Cannot be modified except by direct means',100,2,3),
(306382,10081734,'When Equipped:',100,0,0),
(306383,10081734,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306384,10081734,'Inflicts 140 - 260 magic damage on target',100,2,2),
(306385,10081734,'Cannot be modified except by direct means',100,2,3),
(306386,120736,'Interrupts target',100,1,0),
(306387,120736,'Inflicts 486 - 810 melee damage on target',100,1,1),
(306388,10120736,'Interrupts target',100,1,0),
(306389,10120736,'Inflicts 631 - 1053 melee damage on target',100,1,1),
(306390,110577,'Decreases Attack Speed of target by 22.1',100,1,0),
(306391,110577,'Decreases Crushing, Slashing and Piercing of target by 9.1',100,1,1),
(306392,10110577,'Decreases Attack Speed of target by 22.1',100,1,0),
(306393,10110577,'Decreases Crushing, Slashing and Piercing of target by 9.1',100,1,1),
(306394,27438,'When Equipped:',100,0,0),
(306395,27438,'On a healing spell cast this spell may cast Split-Second Redemption on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(306396,27438,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(306397,27438,'Must not be engaged in pvp combat',100,2,3),
(306398,27438,'Cannot be modified except by direct means',100,2,4),
(306399,27438,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(306400,10027438,'When Equipped:',100,0,0),
(306401,10027438,'On a healing spell cast this spell may cast Split-Second Redemption on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(306402,10027438,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,2),
(306403,10027438,'Must not be engaged in pvp combat',100,2,3),
(306404,10027438,'Cannot be modified except by direct means',100,2,4),
(306405,10027438,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(306406,87429,'When Equipped:',100,0,0),
(306407,87429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306408,87429,'Inflicts 30 - 45 magic damage on target',100,2,2),
(306409,87429,'Cannot be modified except by direct means',100,2,3),
(306410,10087429,'When Equipped:',100,0,0),
(306411,10087429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306412,10087429,'Inflicts 39 - 59 magic damage on target',100,2,2),
(306413,10087429,'Cannot be modified except by direct means',100,2,3),
(306414,52726,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(306415,52726,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(306416,52726,'Inflicts 26 heat damage on target',100,2,2),
(306417,52726,'Cannot be modified except by direct means',100,2,3),
(306418,10052726,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(306419,10052726,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(306420,10052726,'Inflicts 34 heat damage on target',100,2,2),
(306421,10052726,'Cannot be modified except by direct means',100,2,3),
(306422,157766,'When Equipped:',100,0,0),
(306423,157766,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(306424,10157766,'When Equipped:',100,0,0),
(306425,10157766,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(306426,118657,'Inflicts 115 - 192 slashing damage on target',100,1,0),
(306427,10118657,'Inflicts 150 - 250 slashing damage on target',100,1,0),
(306428,119127,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(306429,119127,'Inflicts 117 - 143 slashing damage on target',100,2,1),
(306430,119127,'Increases Mitigation of caster vs physical damage by 377',100,1,2),
(306431,10119127,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(306432,10119127,'Inflicts 152 - 185 slashing damage on target',100,2,1),
(306433,10119127,'Increases Mitigation of caster vs physical damage by 377',100,1,2),
(306434,100953,'Dazes target',100,1,0),
(306435,100953,'Inflicts 257 - 314 mental damage on target',100,1,1),
(306436,100953,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(306437,100953,'Resistibility increases against targets higher than level 82.',100,1,3),
(306438,10100953,'Dazes target',100,1,0),
(306439,10100953,'Inflicts 334 - 409 mental damage on target',100,1,1),
(306440,10100953,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(306441,10100953,'Resistibility increases against targets higher than level 82.',100,1,3),
(306442,109236,'Increases INT and WIS of group members (AE) by 20.4',100,1,0),
(306443,109236,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,1),
(306444,10109236,'Increases INT and WIS of group members (AE) by 20.4',100,1,0),
(306445,10109236,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 58',100,1,1),
(306446,123754,'Decreases Mitigation of target vs noxious damage by 306',100,1,0),
(306447,123754,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(306448,123754,'Slows target by 44.0%',100,2,2),
(306449,123754,'5% chance to dispel when target receives hostile action',100,2,3),
(306450,123754,'5% chance to dispel when target takes damage',100,2,4),
(306451,10123754,'Decreases Mitigation of target vs noxious damage by 306',100,1,0),
(306452,10123754,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(306453,10123754,'Slows target by 44.0%',100,2,2),
(306454,10123754,'5% chance to dispel when target receives hostile action',100,2,3),
(306455,10123754,'5% chance to dispel when target takes damage',100,2,4),
(306456,185071,'When Equipped:',100,0,0),
(306457,185071,'On a damage spell hit this spell may cast Fiery Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(306458,185071,'Inflicts 630 heat damage on target',100,2,2),
(306459,185071,'Cannot be modified except by direct means',100,2,3),
(306460,185071,'Cannot be modified except by direct means',100,1,4),
(306461,10185071,'When Equipped:',100,0,0),
(306462,10185071,'On a damage spell hit this spell may cast Fiery Flux on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(306463,10185071,'Inflicts 819 heat damage on target',100,2,2),
(306464,10185071,'Cannot be modified except by direct means',100,2,3),
(306465,10185071,'Cannot be modified except by direct means',100,1,4),
(306466,35419,'Increases WIS and STA of target by 15.8',100,0,0),
(306467,35419,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,1),
(306468,112513,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(306469,112513,'Inflicts 101 disease damage on target instantly and every 4 seconds',100,2,1),
(306470,112513,'70% of target''s power consumed will also be drained from target''s health',100,2,2),
(306471,10112513,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(306472,10112513,'Inflicts 131 disease damage on target instantly and every 4 seconds',100,2,1),
(306473,10112513,'70% of target''s power consumed will also be drained from target''s health',100,2,2),
(306474,105418,'Increases STR of caster by 128.9',100,1,0),
(306475,105418,'Decreases Defense of caster by 13.8',100,1,1),
(306476,105418,'Increases Slashing, Piercing, Crushing and Disruption of caster by 24.8',100,1,2),
(306477,10105418,'Increases STR of caster by 128.9',100,1,0),
(306478,10105418,'Decreases Defense of caster by 13.8',100,1,1),
(306479,10105418,'Increases Slashing, Piercing, Crushing and Disruption of caster by 24.8',100,1,2),
(306480,26781,'When Equipped:',100,0,0),
(306481,26781,'On a critical spell hit this spell may cast Phantasmal Siphon I on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(306482,26781,'Inflicts 2075 - 2293 poison damage on target',100,2,2),
(306483,26781,'Heals caster for 1037 - 1147',100,2,3),
(306484,26781,'Must not be engaged in pvp combat',100,2,4),
(306485,26781,'Cannot be modified except by direct means',100,2,5),
(306486,26781,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(306487,26781,'On a critical combat hit this spell may cast Phantasmal Siphon I on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(306488,26781,'Inflicts 2075 - 2293 poison damage on target',100,2,8),
(306489,26781,'Heals caster for 1037 - 1147',100,2,9),
(306490,26781,'Must not be engaged in pvp combat',100,2,10),
(306491,26781,'Cannot be modified except by direct means',100,2,11),
(306492,26781,'Must not be engaged in pvp combat',100,1,12),
(306493,10026781,'When Equipped:',100,0,0),
(306494,10026781,'On a critical spell hit this spell may cast Phantasmal Siphon I on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(306495,10026781,'Inflicts 2697 - 2981 poison damage on target',100,2,2),
(306496,10026781,'Heals caster for 1214 - 1342',100,2,3),
(306497,10026781,'Must not be engaged in pvp combat',100,2,4),
(306498,10026781,'Cannot be modified except by direct means',100,2,5),
(306499,10026781,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(306500,10026781,'On a critical combat hit this spell may cast Phantasmal Siphon I on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(306501,10026781,'Inflicts 2697 - 2981 poison damage on target',100,2,8),
(306502,10026781,'Heals caster for 1214 - 1342',100,2,9),
(306503,10026781,'Must not be engaged in pvp combat',100,2,10),
(306504,10026781,'Cannot be modified except by direct means',100,2,11),
(306505,10026781,'Must not be engaged in pvp combat',100,1,12),
(306506,120834,'Inflicts 128 - 173 disease damage on target instantly and every second',100,1,0),
(306507,10120834,'Inflicts 233 - 315 disease damage on target',100,1,0),
(306508,10120834,'Inflicts 166 - 225 disease damage on target every second',100,1,1),
(306509,103959,'Applies Castigate.',100,1,0),
(306510,103959,'Inflicts 764 - 1274 divine damage on targets in Area of Effect',100,2,1),
(306511,103959,'Dispels 155 levels of any hostile effects on caster',100,1,2),
(306512,103959,'Casts Castigate for each successful Dispel.',100,1,3),
(306513,103959,'Inflicts 764 - 1274 divine damage on targets in Area of Effect',100,3,4),
(306514,10103959,'Applies Castigate.',100,1,0),
(306515,10103959,'Inflicts 993 - 1656 divine damage on targets in Area of Effect',100,2,1),
(306516,10103959,'Dispels 155 levels of any hostile effects on caster',100,1,2),
(306517,10103959,'Casts Castigate for each successful Dispel.',100,1,3),
(306518,10103959,'Inflicts 993 - 1656 divine damage on targets in Area of Effect',100,3,4),
(306519,82065,'When Equipped:',100,0,0),
(306520,82065,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306521,82065,'Inflicts 138 - 257 magic damage on target',100,2,2),
(306522,82065,'Cannot be modified except by direct means',100,2,3),
(306523,10082065,'When Equipped:',100,0,0),
(306524,10082065,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306525,10082065,'Inflicts 180 - 334 magic damage on target',100,2,2),
(306526,10082065,'Cannot be modified except by direct means',100,2,3),
(306527,118083,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(306528,118083,'Increases Defense of caster by 14.4',100,1,1),
(306529,10118083,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(306530,10118083,'Increases Defense of caster by 14.4',100,1,1),
(306531,72024,'When Equipped:',100,0,0),
(306532,72024,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306533,72024,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(306534,72024,'Cannot be modified except by direct means',100,2,3),
(306535,10072024,'When Equipped:',100,0,0),
(306536,10072024,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306537,10072024,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(306538,10072024,'Cannot be modified except by direct means',100,2,3),
(306539,113944,'Decreases power of target encounter by 27 instantly and every 4 seconds',100,1,0),
(306540,113944,'Increases power of group members (AE) by 18 instantly and every 4 seconds',100,1,1),
(306541,10113944,'Decreases power of target encounter by 27 instantly and every 4 seconds',100,1,0),
(306542,10113944,'Increases power of group members (AE) by 18 instantly and every 4 seconds',100,1,1),
(306543,41489,'When Equipped:',100,0,0),
(306544,41489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306545,41489,'Inflicts 133 - 248 magic damage on target',100,2,2),
(306546,41489,'Cannot be modified except by direct means',100,2,3),
(306547,10041489,'When Equipped:',100,0,0),
(306548,10041489,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306549,10041489,'Inflicts 173 - 322 magic damage on target',100,2,2),
(306550,10041489,'Cannot be modified except by direct means',100,2,3),
(306551,115838,'Inflicts 51 disease damage on target every 3 seconds',100,1,0),
(306552,115838,'Inflicts 191 - 318 melee damage on target',100,1,1),
(306553,115838,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(306554,115838,'Heals caster for 1.3% of max health instantly and every 3 seconds',100,2,3),
(306555,115838,'This effect cannot be critically applied.',100,3,4),
(306556,115838,'The healing of this spell cannot be modified except by direct means',100,2,5),
(306557,115838,'The healing of this spell cannot be modified except by direct means',100,1,6),
(306558,10115838,'Inflicts 248 - 414 melee damage on target',100,1,0),
(306559,10115838,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,1),
(306560,10115838,'Heals caster for 0.7% of max health instantly and every 3 seconds',100,2,2),
(306561,10115838,'This effect cannot be critically applied.',100,3,3),
(306562,10115838,'The healing of this spell cannot be modified except by direct means',100,2,4),
(306563,10115838,'Inflicts 66 disease damage on target every 3 seconds',100,1,5),
(306564,10115838,'The healing of this spell cannot be modified except by direct means',100,1,6),
(306565,112117,'Dispels 18 levels of physical and arcane hostile effects on caster',100,1,0),
(306566,10112117,'Dispels 18 levels of physical and arcane hostile effects on caster',100,1,0),
(306567,24648,'Adds Poet''s Palace: Small Orange Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(306568,10024648,'Adds Poet''s Palace: Small Orange Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(306569,119548,'Wards group members (AE) against 1018 points of arcane damage',100,1,0),
(306570,119548,'Increases Mitigation of group members (AE) vs arcane damage by 602',100,1,1),
(306571,10119548,'Wards group members (AE) against 1018 points of arcane damage',100,1,0),
(306572,10119548,'Increases Mitigation of group members (AE) vs arcane damage by 602',100,1,1),
(306573,70833,'When Equipped:',100,0,0),
(306574,70833,'Decreases Max Power of caster by 150.0',100,1,1),
(306575,70833,'Increases Max Health of caster by 300.0',100,1,2),
(306576,10070833,'When Equipped:',100,0,0),
(306577,10070833,'Decreases Max Power of caster by 150.0',100,1,1),
(306578,10070833,'Increases Max Health of caster by 300.0',100,1,2),
(306579,119230,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(306580,119230,'If profession other than Fighter',100,1,1),
(306581,119230,'If profession other than Scout',100,1,2),
(306582,10119230,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 39% of attack damage.',100,1,0),
(306583,10119230,'If profession other than Fighter',100,1,1),
(306584,10119230,'If profession other than Scout',100,1,2),
(306585,141766,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(306586,141766,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(306587,141766,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(306588,141766,'Cannot be modified except by direct means',100,2,3),
(306589,10141766,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(306590,10141766,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(306591,10141766,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(306592,10141766,'Cannot be modified except by direct means',100,2,3),
(306593,171035,'When Equipped:',100,0,0),
(306594,171035,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(306595,171035,'Increases caster''s chance to block by 8.0%',100,2,2),
(306596,171035,'Cannot be modified except by direct means',100,2,3),
(306597,171035,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(306598,171035,'Increases caster''s chance to block by 8.0%',100,2,5),
(306599,171035,'Cannot be modified except by direct means',100,2,6),
(306600,10171035,'When Equipped:',100,0,0),
(306601,10171035,'When damaged in combat this spell has a 7% chance to cast Defiant Stand on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(306602,10171035,'Increases caster''s chance to block by 8.0%',100,2,2),
(306603,10171035,'Cannot be modified except by direct means',100,2,3),
(306604,10171035,'On any combat or spell hit this spell may cast Defiant Stand on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(306605,10171035,'Increases caster''s chance to block by 8.0%',100,2,5),
(306606,10171035,'Cannot be modified except by direct means',100,2,6),
(306607,113065,'Dazes target',100,1,0),
(306608,113065,'If Target is not Epic',100,2,1),
(306609,113065,'Applies Scream on termination.',100,1,2),
(306610,113065,'Inflicts 143 - 239 disease damage on target',100,2,3),
(306611,113065,'Resistibility increases against targets higher than level 77.',100,1,4),
(306612,10113065,'Dazes target',100,1,0),
(306613,10113065,'If Target is not Epic',100,2,1),
(306614,10113065,'Applies Scream on termination.',100,1,2),
(306615,10113065,'Inflicts 186 - 310 disease damage on target',100,2,3),
(306616,10113065,'Resistibility increases against targets higher than level 77.',100,1,4),
(306617,82558,'When Equipped:',100,0,0),
(306618,82558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306619,82558,'Inflicts 70 - 130 magic damage on target',100,2,2),
(306620,82558,'Cannot be modified except by direct means',100,2,3),
(306621,10082558,'When Equipped:',100,0,0),
(306622,10082558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306623,10082558,'Inflicts 91 - 169 magic damage on target',100,2,2),
(306624,10082558,'Cannot be modified except by direct means',100,2,3),
(306625,114721,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(306626,114721,'Decreases Hate Gain of target by 22.6%',100,1,1);
INSERT INTO `item_effects` VALUES
(306627,10114721,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(306628,159307,'Applies Sanguine Imbued when Equipped.',100,0,0),
(306629,159307,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(306630,159307,'Inflicts 40 heat damage on target',100,2,2),
(306631,159307,'Cannot be modified except by direct means',100,2,3),
(306632,10159307,'Applies Sanguine Imbued when Equipped.',100,0,0),
(306633,10159307,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(306634,10159307,'Inflicts 52 heat damage on target',100,2,2),
(306635,10159307,'Cannot be modified except by direct means',100,2,3),
(306636,115861,'Inflicts 447 - 745 mental damage on target encounter',100,1,0),
(306637,115861,'Interrupts target encounter',100,1,1),
(306638,10115861,'Inflicts 581 - 969 mental damage on target encounter',100,1,0),
(306639,10115861,'Interrupts target encounter',100,1,1),
(306640,116011,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(306641,116011,'Decreases threat priority of target by 1 position',100,2,1),
(306642,116011,'Decreases Hate Gain of target by 16.3%',100,1,2),
(306643,10116011,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(306644,10116011,'Forces target to clear their selected target.',100,2,1),
(306645,101138,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(306646,101138,'Inflicts 144 ranged damage on target',100,2,1),
(306647,101138,'Decreases Defense of caster by 9.3',100,1,2),
(306648,101138,'Increases Crushing, Piercing, Ranged and Slashing of caster by 19.5',100,1,3),
(306649,10101138,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(306650,10101138,'Inflicts 108 ranged damage on target',100,2,1),
(306651,10101138,'Decreases Defense of caster by 9.3',100,1,2),
(306652,10101138,'Increases Crushing, Piercing, Ranged and Slashing of caster by 19.5',100,1,3),
(306653,124701,'Inflicts 74 - 101 magic damage on target',100,1,0),
(306654,124701,'10% chance to apply Flawless Pronunciation on termination.',100,1,1),
(306655,124701,'Inflicts 74 - 101 magic damage on target',100,2,2),
(306656,10124701,'Inflicts 97 - 131 magic damage on target',100,1,0),
(306657,10124701,'10% chance to apply Flawless Pronunciation on termination.',100,1,1),
(306658,10124701,'Inflicts 97 - 131 magic damage on target',100,2,2),
(306659,173487,'When Equipped:',100,0,0),
(306660,173487,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(306661,173487,'Must not be engaged in pvp combat',100,1,2),
(306662,10173487,'When Equipped:',100,0,0),
(306663,10173487,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(306664,10173487,'Must not be engaged in pvp combat',100,1,2),
(306665,74745,'When Equipped:',100,0,0),
(306666,74745,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306667,74745,'Inflicts 64 - 96 magic damage on target',100,2,2),
(306668,74745,'Cannot be modified except by direct means',100,2,3),
(306669,10074745,'When Equipped:',100,0,0),
(306670,10074745,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306671,10074745,'Inflicts 83 - 125 magic damage on target',100,2,2),
(306672,10074745,'Cannot be modified except by direct means',100,2,3),
(306673,101955,'Summons a limited pet to aid the caster',100,1,0),
(306674,10101955,'Summons a limited pet to aid the caster',100,1,0),
(306675,114600,'Inflicts 695 - 1159 ranged damage on target',100,1,0),
(306676,114600,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(306677,114600,'Requires bow',100,1,2),
(306678,10114600,'Inflicts 647 - 1079 ranged damage on target',100,1,0),
(306679,10114600,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(306680,10114600,'Requires bow',100,1,2),
(306681,118831,'Inflicts 8 - 25 melee damage on target',100,1,0),
(306682,10118831,'Inflicts 11 - 33 melee damage on target',100,1,0),
(306683,35724,'Increases Max Power of target by 108.8',100,0,0),
(306684,35724,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(306685,101040,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(306686,101040,'Inflicts 202 poison damage on target instantly and every 4 seconds',100,2,1),
(306687,101040,'If profession other than Predator',100,1,2),
(306688,101040,'If profession other than Rogue',100,1,3),
(306689,10101040,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(306690,10101040,'Inflicts 262 poison damage on target instantly and every 4 seconds',100,2,1),
(306691,10101040,'If profession other than Predator',100,1,2),
(306692,10101040,'If profession other than Rogue',100,1,3),
(306693,45436,'Applies Brown Warg with Green Saddle when Activated.',100,0,0),
(306694,45436,'Summons a mount to ride',100,1,1),
(306695,45436,'Increases your ground speed by 130%',100,2,2),
(306696,10045436,'Applies Brown Warg with Green Saddle when Activated.',100,0,0),
(306697,10045436,'Summons a mount to ride',100,1,1),
(306698,10045436,'Increases your ground speed by 130%',100,2,2),
(306699,123603,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(306700,123603,'Increases Defense of target by 17.8',100,1,1),
(306701,10123603,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(306702,10123603,'Increases Defense of target by 17.8',100,1,1),
(306703,113620,'Inflicts 442 - 737 melee damage on target',100,1,0),
(306704,113620,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 65.8',100,1,1),
(306705,113620,'Must be flanking or behind',100,1,2),
(306706,10113620,'Inflicts 575 - 958 melee damage on target',100,1,0),
(306707,10113620,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 65.8',100,1,1),
(306708,10113620,'Must be flanking or behind',100,1,2),
(306709,118565,'Dazes caster',100,1,0),
(306710,118565,'Roots caster',100,1,1),
(306711,118565,'Increases Mitigation of caster vs physical damage by 1632',100,1,2),
(306712,10118565,'Dazes caster',100,1,0),
(306713,10118565,'Roots caster',100,1,1),
(306714,10118565,'Increases Mitigation of caster vs physical damage by 1632',100,1,2),
(306715,104297,'Inflicts 160 - 267 melee damage on target',100,1,0),
(306716,104297,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(306717,104297,'Stuns target',100,2,2),
(306718,104297,'Throws target back',100,2,3),
(306719,104297,'Blurs vision of target',100,2,4),
(306720,104297,'Does not affect Epic targets',100,2,5),
(306721,10104297,'Inflicts 208 - 347 melee damage on target',100,1,0),
(306722,10104297,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(306723,10104297,'Stuns target',100,2,2),
(306724,10104297,'Throws target back',100,2,3),
(306725,10104297,'Blurs vision of target',100,2,4),
(306726,10104297,'Does not affect Epic targets',100,2,5),
(306727,112839,'Roots target',100,1,0),
(306728,112839,'5% chance to dispel when target takes damage',100,1,1),
(306729,112839,'Does not affect Epic targets',100,1,2),
(306730,112839,'Resistibility increases against targets higher than level 64.',100,1,3),
(306731,10112839,'Roots target',100,1,0),
(306732,10112839,'5% chance to dispel when target takes damage',100,1,1),
(306733,10112839,'Does not affect Epic targets',100,1,2),
(306734,10112839,'Resistibility increases against targets higher than level 64.',100,1,3),
(306735,131071,'When Equipped:',100,0,0),
(306736,131071,'Increases Attack Speed of caster by 40.0',100,1,1),
(306737,10131071,'When Equipped:',100,0,0),
(306738,10131071,'Increases Attack Speed of caster by 40.0',100,1,1),
(306739,103087,'Heals target for 97 - 119',100,1,0),
(306740,103087,'Heals target for 16 - 20 every second',100,1,1),
(306741,10103087,'Heals target for 63 - 77',100,1,0),
(306742,10103087,'Heals target for 11 - 13 every second',100,1,1),
(306743,110392,'Increases STR and AGI of group members (AE) by 100.3',100,1,0),
(306744,110392,'Adds 2.5% to base avoidance.',100,1,1),
(306745,10110392,'Increases STR and AGI of group members (AE) by 100.3',100,1,0),
(306746,10110392,'Adds 2.5% to base avoidance.',100,1,1),
(306747,36153,'Increases INT of target by 1.6',100,0,0),
(306748,36153,'Increases Out-of-Combat Health Regeneration of target by 21.0',100,0,1),
(306749,82290,'When Equipped:',100,0,0),
(306750,82290,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(306751,82290,'Decreases Threat to target by 135 ',100,2,2),
(306752,82290,'Must be flanking or behind',100,3,3),
(306753,82290,'Increases Threat to target by 135 ',100,2,4),
(306754,82290,'Must be in front of',100,3,5),
(306755,82290,'Inflicts 33 - 61 magic damage on target',100,2,6),
(306756,82290,'Cannot be modified except by direct means',100,2,7),
(306757,10082290,'When Equipped:',100,0,0),
(306758,10082290,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(306759,10082290,'Inflicts 43 - 80 magic damage on target',100,2,2),
(306760,10082290,'Cannot be modified except by direct means',100,2,3),
(306761,164290,'When Equipped:',100,0,0),
(306762,164290,'Increases in-combat movement speed of caster by 9.0%',100,1,1),
(306763,164290,'Increases Attack Speed of caster by 9.0',100,1,2),
(306764,164290,'Increases Damage Per Second of caster by 9.0',100,1,3),
(306765,164290,'Must not be engaged in pvp combat',100,1,4),
(306766,10164290,'When Equipped:',100,0,0),
(306767,10164290,'Increases in-combat movement speed of caster by 9.0%',100,1,1),
(306768,10164290,'Increases Attack Speed of caster by 9.0',100,1,2),
(306769,10164290,'Increases Damage Per Second of caster by 9.0',100,1,3),
(306770,10164290,'Must not be engaged in pvp combat',100,1,4),
(306771,111276,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(306772,111276,'Heals target for 2503',100,2,1),
(306773,111276,'Increases Mitigation of target vs physical damage by 1386',100,2,2),
(306774,111276,'Grants a total of 1 trigger of the spell.',100,2,3),
(306775,10111276,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(306776,10111276,'Heals target for 2928',100,2,1),
(306777,10111276,'Increases Mitigation of target vs physical damage by 1386',100,2,2),
(306778,10111276,'Grants a total of 1 trigger of the spell.',100,2,3),
(306779,71607,'When Equipped:',100,0,0),
(306780,71607,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306781,71607,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(306782,71607,'Cannot be modified except by direct means',100,2,3),
(306783,10071607,'When Equipped:',100,0,0),
(306784,10071607,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(306785,10071607,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(306786,10071607,'Cannot be modified except by direct means',100,2,3),
(306787,36648,'Increases STA of target by 6.2',100,0,0),
(306788,36648,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(306789,101531,'Increases WIS of target by 137.3',100,1,0),
(306790,101531,'Increases Max Health of target by 1,216.8',100,1,1),
(306791,101531,'Increases Mitigation of target vs elemental, noxious and arcane damage by 387',100,1,2),
(306792,10101531,'Increases WIS of target by 137.3',100,1,0),
(306793,10101531,'Increases Max Health of target by 1,216.8',100,1,1),
(306794,10101531,'Increases Mitigation of target vs elemental, noxious and arcane damage by 387',100,1,2),
(306795,82565,'When Equipped:',100,0,0),
(306796,82565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306797,82565,'Inflicts 71 - 131 magic damage on target',100,2,2),
(306798,82565,'Cannot be modified except by direct means',100,2,3),
(306799,10082565,'When Equipped:',100,0,0),
(306800,10082565,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306801,10082565,'Inflicts 92 - 171 magic damage on target',100,2,2),
(306802,10082565,'Cannot be modified except by direct means',100,2,3),
(306803,112581,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(306804,112581,'Dispels 84 levels of physical hostile effects on target',100,2,1),
(306805,112581,'Heals targets in Area of Effect for 170 - 207',100,2,2),
(306806,10112581,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(306807,10112581,'Dispels 84 levels of physical hostile effects on target',100,2,1),
(306808,10112581,'Heals targets in Area of Effect for 110 - 135',100,2,2),
(306809,113931,'Increases power of target by 33 instantly and every 4 seconds',100,1,0),
(306810,10113931,'Increases power of target by 33 instantly and every 4 seconds',100,1,0),
(306811,75713,'When Equipped:',100,0,0),
(306812,75713,'On a combat hit this spell may cast Draconic Siphon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306813,75713,'Inflicts 155 divine damage on target',100,2,2),
(306814,75713,'Heals caster for 152',100,2,3),
(306815,75713,'Cannot be modified except by direct means',100,2,4),
(306816,10075713,'When Equipped:',100,0,0),
(306817,10075713,'On a combat hit this spell may cast Draconic Siphon on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306818,10075713,'Inflicts 201 divine damage on target',100,2,2),
(306819,10075713,'Heals caster for 99',100,2,3),
(306820,10075713,'Cannot be modified except by direct means',100,2,4),
(306821,80744,'When Equipped:',100,0,0),
(306822,80744,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306823,80744,'Inflicts 56 - 103 magic damage on target',100,2,2),
(306824,80744,'Cannot be modified except by direct means',100,2,3),
(306825,10080744,'When Equipped:',100,0,0),
(306826,10080744,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306827,10080744,'Inflicts 72 - 134 magic damage on target',100,2,2),
(306828,10080744,'Cannot be modified except by direct means',100,2,3),
(306829,48082,'Applies Petamorph: Constructed Defender when Activated.  Lasts for 2 hours.',100,0,0),
(306830,48082,'Deconstructs the caster''s combat pet and reconstructs it into a defender of Skyshrine. Does not work on cosmetic pets.',100,1,1),
(306831,10048082,'Applies Petamorph: Constructed Defender when Activated.  Lasts for 2 hours.',100,0,0),
(306832,10048082,'Deconstructs the caster''s combat pet and reconstructs it into a defender of Skyshrine. Does not work on cosmetic pets.',100,1,1),
(306833,115715,'Heals target for 95 instantly and every 0.3 seconds',100,1,0),
(306834,115715,'Stifles caster',100,1,1),
(306835,10115715,'Heals target for 62 instantly and every 0.3 seconds',100,1,0),
(306836,10115715,'Stifles caster',100,1,1),
(306837,107468,'Inflicts 72 - 217 magic damage on targets in Area of Effect',100,1,0),
(306838,107468,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(306839,107468,'Throws target back',100,2,2),
(306840,107468,'Stuns target',100,2,3),
(306841,107468,'Blurs vision of target',100,2,4),
(306842,107468,'Does not affect Epic targets',100,2,5),
(306843,10107468,'Inflicts 94 - 282 magic damage on targets in Area of Effect',100,1,0),
(306844,10107468,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(306845,10107468,'Throws target back',100,2,2),
(306846,10107468,'Stuns target',100,2,3),
(306847,10107468,'Blurs vision of target',100,2,4),
(306848,10107468,'Does not affect Epic targets',100,2,5),
(306849,114688,'Increases Threat to target by 1,126 - 1,377 ',100,1,0),
(306850,114688,'Interrupts target',100,1,1),
(306851,10114688,'Interrupts target',100,1,0),
(306852,10114688,'Forces target to change their selected target to caster.',100,1,1),
(306853,10114688,'Prevents target from changing targets',100,1,2),
(306854,111981,'Inflicts 327 - 400 disease damage on target',100,1,0),
(306855,111981,'Decreases Mitigation of target vs noxious damage by 815',100,1,1),
(306856,10111981,'Inflicts 547 - 668 disease damage on target',100,1,0),
(306857,10111981,'Decreases Mitigation of target vs noxious damage by 815',100,1,1),
(306858,113779,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(306859,113779,'Heals target for 148 - 181',100,2,1),
(306860,10113779,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(306861,10113779,'Heals target for 96 - 118',100,2,1),
(306862,109381,'Inflicts 101 - 305 melee damage on target',100,1,0),
(306863,109381,'Inflicts 127 - 381 melee damage on target',100,1,1),
(306864,109381,'Inflicts 152 - 457 melee damage on target',100,1,2),
(306865,10109381,'Inflicts 132 - 396 melee damage on target',100,1,0),
(306866,10109381,'Inflicts 165 - 495 melee damage on target',100,1,1),
(306867,10109381,'Inflicts 198 - 595 melee damage on target',100,1,2),
(306868,45195,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(306869,45195,'Increases Max Health of caster by 255.6',100,1,1),
(306870,10045195,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(306871,10045195,'Increases Max Health of caster by 255.6',100,1,1),
(306872,81601,'When Equipped:',100,0,0),
(306873,81601,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306874,81601,'Inflicts 99 - 185 magic damage on target',100,2,2),
(306875,81601,'Cannot be modified except by direct means',100,2,3),
(306876,10081601,'When Equipped:',100,0,0),
(306877,10081601,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306878,10081601,'Inflicts 129 - 240 magic damage on target',100,2,2),
(306879,10081601,'Cannot be modified except by direct means',100,2,3),
(306880,180447,'When Equipped:',100,0,0),
(306881,180447,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(306882,180447,'Decreases Threat to target by 400 ',100,2,2),
(306883,180447,'Cannot be modified except by direct means',100,2,3),
(306884,10180447,'When Equipped:',100,0,0),
(306885,10180447,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(306886,10180447,'Cannot be modified except by direct means',100,2,2),
(306887,109007,'Decreases Damage Per Second of target by 17.7',100,1,0),
(306888,109007,'Inflicts 113 - 139 melee damage on target',100,1,1),
(306889,10109007,'Decreases Damage Per Second of target by 17.7',100,1,0),
(306890,10109007,'Inflicts 148 - 180 melee damage on target',100,1,1),
(306891,45186,'Applies Lucanic Might when Activated.',100,0,0),
(306892,45186,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(306893,10045186,'Applies Lucanic Might when Activated.',100,0,0),
(306894,10045186,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(306895,181047,'When Equipped:',100,0,0),
(306896,181047,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306897,181047,'Decreases power of target by 114',100,2,2),
(306898,181047,'Increases power of caster by 76',100,2,3),
(306899,181047,'Cannot be modified except by direct means',100,2,4),
(306900,10181047,'When Equipped:',100,0,0),
(306901,10181047,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(306902,10181047,'Decreases power of target by 114',100,2,2),
(306903,10181047,'Increases power of caster by 76',100,2,3),
(306904,10181047,'Cannot be modified except by direct means',100,2,4),
(306905,113005,'Reduces physical damage done to caster by 5%',100,1,0),
(306906,113005,'Increases STA of caster by 191.0',100,1,1),
(306907,113005,'Adds 4.3% to base avoidance.',100,1,2),
(306908,113005,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(306909,113005,'Increases Defense and Aggression of caster by 36.4',100,1,4),
(306910,113005,'Increases Mitigation of caster vs arcane damage by 2434',100,1,5),
(306911,113005,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(306912,10113005,'Reduces physical damage done to caster by 5%',100,1,0),
(306913,10113005,'Increases STA of caster by 191.0',100,1,1),
(306914,10113005,'Adds 4.3% to base avoidance.',100,1,2),
(306915,10113005,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(306916,10113005,'Increases Defense and Aggression of caster by 36.4',100,1,4),
(306917,10113005,'Increases Mitigation of caster vs arcane damage by 2434',100,1,5),
(306918,10113005,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(306919,118457,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(306920,118457,'Inflicts 19 - 23 heat damage on target instantly and every second',100,2,1),
(306921,10118457,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(306922,10118457,'Inflicts 25 - 30 heat damage on target instantly and every second',100,2,1),
(306923,47724,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(306924,47724,'Increases WIS of caster by 43.0',100,1,1),
(306925,10047724,'Applies elixir of piety when Activated.  Lasts for 30 minutes.',100,0,0),
(306926,10047724,'Increases WIS of caster by 43.0',100,1,1),
(306927,48485,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(306928,48485,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(306929,48485,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(306930,48485,'Cannot be modified except by direct means',100,2,3),
(306931,48485,'Grants a total of 80 triggers of the spell.',100,2,4),
(306932,10048485,'Applies spinechill when Activated.  Lasts for 12 hours.',100,0,0),
(306933,10048485,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(306934,10048485,'Decreases Mitigation of target vs elemental damage by 44',100,2,2),
(306935,10048485,'Cannot be modified except by direct means',100,2,3),
(306936,10048485,'Grants a total of 80 triggers of the spell.',100,2,4),
(306937,105534,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 37.9',100,1,0),
(306938,10105534,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 37.9',100,1,0),
(306939,89769,'When Equipped:',100,0,0),
(306940,89769,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(306941,89769,'Increases INT, STR, AGI and WIS of caster by 50.0',100,1,2),
(306942,89769,'Increases Potency of caster by 3.5%',100,1,3),
(306943,89769,'Cannot be modified except by direct means',100,1,4),
(306944,89769,'When Equipped:',100,0,5),
(306945,89769,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(306946,89769,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(306947,89769,'Increases Attack Speed of caster by 6.0',100,2,8),
(306948,89769,'Increases Damage Per Second of caster by 9.0',100,2,9),
(306949,89769,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(306950,89769,'Must not be engaged in pvp combat',100,2,11),
(306951,89769,'Cannot be modified except by direct means',100,2,12),
(306952,89769,'Cannot be modified except by direct means',100,1,13),
(306953,10089769,'When Equipped:',100,0,0),
(306954,10089769,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(306955,10089769,'Increases INT, STR, AGI and WIS of caster by 50.0',100,1,2),
(306956,10089769,'Increases Potency of caster by 3.5%',100,1,3),
(306957,10089769,'Cannot be modified except by direct means',100,1,4),
(306958,10089769,'When Equipped:',100,0,5),
(306959,10089769,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(306960,10089769,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(306961,10089769,'Increases Attack Speed of caster by 6.0',100,2,8),
(306962,10089769,'Increases Damage Per Second of caster by 9.0',100,2,9),
(306963,10089769,'Increases Multi Attack Chance of caster by 22.0',100,2,10),
(306964,10089769,'Must not be engaged in pvp combat',100,2,11),
(306965,10089769,'Cannot be modified except by direct means',100,2,12),
(306966,10089769,'Cannot be modified except by direct means',100,1,13),
(306967,47096,'Applies Most Wanted Poster when Activated.',100,0,0),
(306968,47096,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(306969,47096,'If between levels 50 - 59',100,1,2),
(306970,47096,'Cannot be modified except by direct means',100,1,3),
(306971,10047096,'Applies Most Wanted Poster when Activated.',100,0,0),
(306972,10047096,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(306973,10047096,'If between levels 50 - 59',100,1,2),
(306974,10047096,'Cannot be modified except by direct means',100,1,3),
(306975,114343,'Dispels 54 levels of noxious hostile effects on target',100,1,0),
(306976,114343,'Heals target for 18.0 - 22.0% of max health',100,1,1),
(306977,114343,'This effect cannot be critically applied.',100,2,2),
(306978,114343,'The healing of this spell cannot be modified except by direct means',100,1,3),
(306979,10114343,'Dispels 54 levels of noxious hostile effects on target',100,1,0),
(306980,10114343,'Heals target for 7.2 - 8.8% of max health',100,1,1),
(306981,10114343,'This effect cannot be critically applied.',100,2,2),
(306982,10114343,'The healing of this spell cannot be modified except by direct means',100,1,3),
(306983,45977,'Applies Djinn Master''s Consort when Activated.',100,0,0),
(306984,45977,'Shapechanges the user into a genie.',100,1,1),
(306985,10045977,'Applies Djinn Master''s Consort when Activated.',100,0,0),
(306986,10045977,'Shapechanges the user into a genie.',100,1,1),
(306987,117761,'Increases Max Health of target by 162.2',100,1,0),
(306988,117761,'Increases Slashing and Crushing of target by 3.8',100,1,1),
(306989,117761,'Increases Piercing of target by 7.7',100,1,2),
(306990,10117761,'Increases Max Health of target by 162.2',100,1,0),
(306991,10117761,'Increases Slashing and Crushing of target by 3.8',100,1,1),
(306992,10117761,'Increases Piercing of target by 7.7',100,1,2),
(306993,37570,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(306994,106994,'Inflicts 1659 - 3081 poison damage on target',100,1,0),
(306995,106994,'Increases power of caster by 177',100,1,1),
(306996,10106994,'Inflicts 2156 - 4005 poison damage on target',100,1,0),
(306997,10106994,'Increases power of caster by 177',100,1,1),
(306998,122393,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(306999,122393,'Inflicts 8 - 9 piercing damage on target encounter',100,2,1),
(307000,10122393,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(307001,10122393,'Inflicts 10 - 12 piercing damage on target encounter',100,2,1),
(307002,116393,'Heals target for 222 - 271 instantly and every 2 seconds',100,1,0),
(307003,10116393,'Heals target for 144 - 176 instantly and every 2 seconds',100,1,0),
(307004,120177,'Applies Life Draw on termination.',100,1,0),
(307005,120177,'Inflicts 351 - 585 disease damage on target',100,2,1),
(307006,120177,'Heals caster for 11.9 - 14.5% of max health',100,2,2),
(307007,120177,'This effect cannot be critically applied.',100,3,3),
(307008,120177,'The healing of this spell cannot be modified except by direct means',100,2,4),
(307009,120177,'Inflicts 102 - 170 disease damage on target',100,1,5),
(307010,10120177,'Applies Life Draw on termination.',100,1,0),
(307011,10120177,'Inflicts 456 - 760 disease damage on target',100,2,1),
(307012,10120177,'Heals caster for 3.2 - 4.0% of max health',100,2,2),
(307013,10120177,'This effect cannot be critically applied.',100,3,3),
(307014,10120177,'The healing of this spell cannot be modified except by direct means',100,2,4),
(307015,10120177,'Inflicts 133 - 221 disease damage on target',100,1,5),
(307016,116884,'Wards group members (AE) against 1146 points of noxious damage',100,1,0),
(307017,116884,'Increases Mitigation of group members (AE) vs noxious damage by 627',100,1,1),
(307018,10116884,'Wards group members (AE) against 1146 points of noxious damage',100,1,0),
(307019,10116884,'Increases Mitigation of group members (AE) vs noxious damage by 627',100,1,1),
(307020,114118,'Inflicts 1228 - 2046 melee damage on targets in area',100,1,0),
(307021,114118,'You must be in stealth to use this!',100,1,1),
(307022,10114118,'Inflicts 1596 - 2660 melee damage on targets in area',100,1,0),
(307023,10114118,'You must be in stealth to use this!',100,1,1),
(307024,52738,'Applies Sanguine Imbued when Equipped.',100,0,0),
(307025,52738,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(307026,52738,'Inflicts 57 heat damage on target',100,2,2),
(307027,52738,'Cannot be modified except by direct means',100,2,3),
(307028,10052738,'Applies Sanguine Imbued when Equipped.',100,0,0),
(307029,10052738,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(307030,10052738,'Inflicts 74 heat damage on target',100,2,2),
(307031,10052738,'Cannot be modified except by direct means',100,2,3),
(307032,159748,'Applies Lambent Imbued when Equipped.',100,0,0),
(307033,159748,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(307034,159748,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(307035,159748,'Cannot be modified except by direct means',100,2,3),
(307036,10159748,'Applies Lambent Imbued when Equipped.',100,0,0),
(307037,10159748,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(307038,10159748,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(307039,10159748,'Cannot be modified except by direct means',100,2,3),
(307040,110169,'Applies Untreated Bleeding on termination.',100,1,0),
(307041,110169,'Inflicts 113 - 188 piercing damage on target',100,2,1),
(307042,110169,'Inflicts 24 - 40 piercing damage on target instantly and every 4 seconds',100,1,2),
(307043,110169,'Inflicts 16 - 26 melee damage on target',100,1,3),
(307044,10110169,'Applies Untreated Bleeding on termination.',100,1,0),
(307045,10110169,'Inflicts 147 - 245 piercing damage on target',100,2,1),
(307046,10110169,'Inflicts 31 - 52 piercing damage on target instantly and every 4 seconds',100,1,2),
(307047,10110169,'Inflicts 20 - 34 melee damage on target',100,1,3),
(307048,37069,'Increases STR of target by 10.5',100,0,0),
(307049,37069,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(307050,122186,'Inflicts 186 - 227 cold damage on target instantly and every 2 seconds',100,1,0),
(307051,122186,'Inflicts 186 - 227 cold damage on target instantly and every 2 seconds',100,1,1),
(307052,122186,'If target is elemental',100,2,2),
(307053,10122186,'Inflicts 242 - 295 cold damage on target instantly and every 2 seconds',100,1,0),
(307054,112501,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(307055,112501,'47% of target''s power consumed will also be drained from target''s health',100,2,1),
(307056,112501,'Inflicts 38 disease damage on target instantly and every 4 seconds',100,2,2),
(307057,10112501,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(307058,10112501,'47% of target''s power consumed will also be drained from target''s health',100,2,1),
(307059,10112501,'Inflicts 49 disease damage on target instantly and every 4 seconds',100,2,2),
(307060,158356,'Applies Hooluk in a Hat when Activated.',100,0,0),
(307061,158356,'Summons a pet Hooluk',100,1,1),
(307062,158356,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(307063,10158356,'Applies Hooluk in a Hat when Activated.',100,0,0),
(307064,10158356,'Summons a pet Hooluk',100,1,1),
(307065,10158356,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(307066,150100,'When Equipped:',100,0,0),
(307067,150100,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(307068,150100,'Heals group members (AE) for 2624',100,2,2),
(307069,150100,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(307070,150100,'Must not be engaged in pvp combat',100,2,4),
(307071,150100,'Cannot be modified except by direct means',100,2,5),
(307072,150100,'Must not be engaged in pvp combat',100,1,6),
(307073,10150100,'When Equipped:',100,0,0),
(307074,10150100,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(307075,10150100,'Heals group members (AE) for 3071',100,2,2),
(307076,10150100,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(307077,10150100,'Must not be engaged in pvp combat',100,2,4),
(307078,10150100,'Cannot be modified except by direct means',100,2,5),
(307079,10150100,'Must not be engaged in pvp combat',100,1,6),
(307080,142998,'When Equipped:',100,0,0),
(307081,142998,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(307082,142998,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(307083,142998,'Cannot be modified except by direct means',100,2,3),
(307084,10142998,'When Equipped:',100,0,0),
(307085,10142998,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(307086,10142998,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(307087,10142998,'Cannot be modified except by direct means',100,2,3),
(307088,134767,'When Equipped:',100,0,0),
(307089,134767,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(307090,134767,'Increases power of caster by 180',100,2,2),
(307091,134767,'Cannot be modified except by direct means',100,2,3),
(307092,10134767,'When Equipped:',100,0,0),
(307093,10134767,'On a healing spell cast this spell may cast Manawell on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(307094,10134767,'Increases power of caster by 180',100,2,2),
(307095,10134767,'Cannot be modified except by direct means',100,2,3),
(307096,108602,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(307097,108602,'Increases AGI of group members (AE) by 43.0',100,2,1),
(307098,108602,'Heals group members (AE) for 142 - 174 instantly and every 3 seconds',100,2,2),
(307099,108602,'Increases WIS, STR and INT of group members (AE) by 43.0',100,2,3),
(307100,108602,'Increases STA of group members (AE) by 85.9',100,2,4),
(307101,108602,'Adds 0.7% to base avoidance.',100,2,5),
(307102,108602,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 110',100,2,6),
(307103,10108602,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(307104,10108602,'Increases AGI of group members (AE) by 43.0',100,2,1),
(307105,10108602,'Heals group members (AE) for 166 - 203 instantly and every 3 seconds',100,2,2),
(307106,10108602,'Increases WIS, STR and INT of group members (AE) by 43.0',100,2,3),
(307107,10108602,'Increases STA of group members (AE) by 85.9',100,2,4),
(307108,10108602,'Adds 0.7% to base avoidance.',100,2,5),
(307109,10108602,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 110',100,2,6),
(307110,89872,'When Equipped:',100,0,0),
(307111,89872,'On a hostile spell cast this spell may cast Wrath of the Brood Watcher on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(307112,89872,'Inflicts 291 - 356 magic damage on target',100,2,2),
(307113,89872,'Cannot be modified except by direct means',100,2,3),
(307114,10089872,'When Equipped:',100,0,0),
(307115,10089872,'On a hostile spell cast this spell may cast Wrath of the Brood Watcher on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(307116,10089872,'Inflicts 379 - 463 magic damage on target',100,2,2),
(307117,10089872,'Cannot be modified except by direct means',100,2,3),
(307118,123772,'Decreases Mitigation of target vs noxious damage by 1428',100,1,0),
(307119,123772,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(307120,123772,'Slows target by 56.3%',100,2,2),
(307121,123772,'5% chance to dispel when target receives hostile action',100,2,3),
(307122,123772,'5% chance to dispel when target takes damage',100,2,4),
(307123,10123772,'Decreases Mitigation of target vs noxious damage by 1428',100,1,0),
(307124,10123772,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(307125,10123772,'Slows target by 56.3%',100,2,2),
(307126,10123772,'5% chance to dispel when target receives hostile action',100,2,3),
(307127,10123772,'5% chance to dispel when target takes damage',100,2,4),
(307128,49095,'Applies Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(307129,49095,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(307130,49095,'Inflicts 162 poison damage on target instantly and every 6 seconds',100,2,2),
(307131,49095,'Inflicts 185 poison damage on target',100,2,3),
(307132,49095,'Cannot be modified except by direct means',100,2,4),
(307133,49095,'Grants a total of 200 triggers of the spell.',100,2,5),
(307134,49095,'Only affects targets level 50 and above',100,1,6),
(307135,10049095,'Applies Wail of the Banshee when Activated.  Lasts for 12 hours.',100,0,0),
(307136,10049095,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(307137,10049095,'Inflicts 158 poison damage on target instantly and every 6 seconds',100,2,2),
(307138,10049095,'Inflicts 180 poison damage on target',100,2,3),
(307139,10049095,'Cannot be modified except by direct means',100,2,4),
(307140,10049095,'Grants a total of 200 triggers of the spell.',100,2,5),
(307141,10049095,'Only affects targets level 50 and above',100,1,6),
(307142,120673,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 29.5',100,1,0),
(307143,120673,'Increases Focus of group members (AE) by 62.4',100,1,1),
(307144,10120673,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 29.5',100,1,0),
(307145,10120673,'Increases Focus of group members (AE) by 62.4',100,1,1),
(307146,36411,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(307147,131100,'When Equipped:',100,0,0),
(307148,131100,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(307149,131100,'Heals group members for 1132',100,2,2),
(307150,131100,'Cannot be modified except by direct means',100,2,3),
(307151,131100,'When Equipped:',100,0,4),
(307152,131100,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(307153,131100,'This effect stacks with the Runic Deflection line.',100,2,6),
(307154,131100,'Wards caster against 1300 points of all damage',100,2,7),
(307155,131100,'Cannot be modified except by direct means',100,2,8),
(307156,10131100,'When Equipped:',100,0,0),
(307157,10131100,'On any combat or spell hit this spell may cast Tranquil Backlash on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(307158,10131100,'Heals group members for 1324',100,2,2),
(307159,10131100,'Cannot be modified except by direct means',100,2,3),
(307160,10131100,'When Equipped:',100,0,4),
(307161,10131100,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(307162,10131100,'This effect stacks with the Runic Deflection line.',100,2,6),
(307163,10131100,'Wards caster against 1300 points of all damage',100,2,7),
(307164,10131100,'Cannot be modified except by direct means',100,2,8),
(307165,120623,'Inflicts 571 - 1060 heat damage on target',100,1,0),
(307166,10120623,'Inflicts 742 - 1378 heat damage on target',100,1,0),
(307167,124166,'Inflicts 6 - 10 melee damage on target',100,1,0),
(307168,10124166,'Inflicts 7 - 13 melee damage on target',100,1,0),
(307169,121406,'Inflicts 808 - 988 magic damage on target instantly and every 8 seconds',100,1,0),
(307170,121406,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(307171,121406,'Throws target back',100,2,2),
(307172,121406,'Stuns target',100,2,3),
(307173,121406,'Blurs vision of target',100,2,4),
(307174,121406,'Does not affect Epic targets',100,2,5),
(307175,10121406,'Inflicts 1050 - 1284 magic damage on target instantly and every 8 seconds',100,1,0),
(307176,10121406,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(307177,10121406,'Throws target back',100,2,2),
(307178,10121406,'Stuns target',100,2,3),
(307179,10121406,'Blurs vision of target',100,2,4),
(307180,10121406,'Does not affect Epic targets',100,2,5),
(307181,132200,'When Equipped:',100,0,0),
(307182,132200,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307183,132200,'Inflicts 1199 disease damage on target encounter',100,2,2),
(307184,132200,'Must not be engaged in pvp combat',100,2,3),
(307185,132200,'Cannot be modified except by direct means',100,2,4),
(307186,10132200,'When Equipped:',100,0,0),
(307187,10132200,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307188,10132200,'Inflicts 779 disease damage on target encounter',100,2,2),
(307189,10132200,'Must not be engaged in pvp combat',100,2,3),
(307190,10132200,'Cannot be modified except by direct means',100,2,4),
(307191,101953,'Summons a limited pet to aid the caster',100,1,0),
(307192,10101953,'Summons a limited pet to aid the caster',100,1,0),
(307193,124525,'Dispels 26 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(307194,10124525,'Dispels 26 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(307195,75397,'When Equipped:',100,0,0),
(307196,75397,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(307197,10075397,'When Equipped:',100,0,0),
(307198,10075397,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(307199,187345,'When Equipped:',100,0,0),
(307200,187345,'On a healing spell cast this spell may cast Greater Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(307201,187345,'Wards target against 750 points of all damage',100,2,2),
(307202,187345,'Replenishes 150 points of absorption every 5 seconds.',100,2,3),
(307203,187345,'Cannot be modified except by direct means',100,2,4),
(307204,187345,'Cannot be modified except by direct means',100,1,5),
(307205,10187345,'When Equipped:',100,0,0),
(307206,10187345,'On a healing spell cast this spell may cast Greater Ancestral Barrier on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(307207,10187345,'Wards target against 750 points of all damage',100,2,2),
(307208,10187345,'Replenishes 150 points of absorption every 5 seconds.',100,2,3),
(307209,10187345,'Cannot be modified except by direct means',100,2,4),
(307210,10187345,'Cannot be modified except by direct means',100,1,5),
(307211,144619,'When Equipped:',100,0,0),
(307212,144619,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307213,144619,'Inflicts 1986 piercing damage on target',100,2,2),
(307214,144619,'Cannot be modified except by direct means',100,2,3),
(307215,10144619,'When Equipped:',100,0,0),
(307216,10144619,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307217,10144619,'Inflicts 1291 piercing damage on target',100,2,2),
(307218,10144619,'Cannot be modified except by direct means',100,2,3),
(307219,159029,'Applies Lambent Imbued when Equipped.',100,0,0),
(307220,159029,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(307221,159029,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(307222,159029,'Cannot be modified except by direct means',100,2,3),
(307223,10159029,'Applies Lambent Imbued when Equipped.',100,0,0),
(307224,10159029,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(307225,10159029,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(307226,10159029,'Cannot be modified except by direct means',100,2,3),
(307227,26299,'When Equipped:',100,0,0),
(307228,26299,'Increases all poison damage by up to 40.',100,1,1),
(307229,10026299,'When Equipped:',100,0,0),
(307230,10026299,'Increases all poison damage by up to 40.',100,1,1),
(307231,47499,'Applies Personal Theme Music: Lavastorm when Activated.',100,0,0),
(307232,47499,'Play your own personal theme music!',100,1,1),
(307233,10047499,'Applies Personal Theme Music: Lavastorm when Activated.',100,0,0),
(307234,10047499,'Play your own personal theme music!',100,1,1),
(307235,105967,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(307236,105967,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(307237,105967,'Inflicts 113 - 188 piercing damage on target',100,3,2),
(307238,105967,'Grants a total of 5 triggers of the spell.',100,3,3),
(307239,105967,'Grants a total of 1 trigger of the spell.',100,2,4),
(307240,10105967,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(307241,10105967,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(307242,10105967,'Inflicts 147 - 245 piercing damage on target',100,3,2),
(307243,10105967,'Grants a total of 5 triggers of the spell.',100,3,3),
(307244,10105967,'Grants a total of 1 trigger of the spell.',100,2,4),
(307245,45999,'Applies Catch Dragon when Activated.',100,0,0),
(307246,45999,'Catch a dragon!',100,1,1),
(307247,10045999,'Applies Catch Dragon when Activated.',100,0,0),
(307248,10045999,'Catch a dragon!',100,1,1),
(307249,81212,'When Equipped:',100,0,0),
(307250,81212,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(307251,81212,'Inflicts 228 - 423 magic damage on target',100,2,2),
(307252,81212,'Cannot be modified except by direct means',100,2,3),
(307253,10081212,'When Equipped:',100,0,0),
(307254,10081212,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(307255,10081212,'Inflicts 296 - 550 magic damage on target',100,2,2),
(307256,10081212,'Cannot be modified except by direct means',100,2,3),
(307257,120176,'Applies Life Draw on termination.',100,1,0),
(307258,120176,'Inflicts 318 - 530 disease damage on target',100,2,1),
(307259,120176,'Heals caster for 15.8 - 19.4% of max health',100,2,2),
(307260,120176,'This effect cannot be critically applied.',100,3,3),
(307261,120176,'The healing of this spell cannot be modified except by direct means',100,2,4),
(307262,120176,'Inflicts 92 - 154 disease damage on target',100,1,5),
(307263,10120176,'Applies Life Draw on termination.',100,1,0),
(307264,10120176,'Inflicts 413 - 689 disease damage on target',100,2,1),
(307265,10120176,'Heals caster for 4.3 - 5.3% of max health',100,2,2),
(307266,10120176,'This effect cannot be critically applied.',100,3,3),
(307267,10120176,'The healing of this spell cannot be modified except by direct means',100,2,4),
(307268,10120176,'Inflicts 120 - 200 disease damage on target',100,1,5),
(307269,36546,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(307270,26943,'When Equipped:',100,0,0),
(307271,26943,'On a riposte this spell has a 45% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(307272,26943,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(307273,26943,'Heals caster for 88 - 107',100,3,3),
(307274,26943,'Grants a total of 3 triggers of the spell.',100,3,4),
(307275,26943,'Cannot be modified except by direct means',100,2,5),
(307276,10026943,'When Equipped:',100,0,0),
(307277,10026943,'On a riposte this spell has a 45% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(307278,10026943,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(307279,10026943,'Heals caster for 57 - 70',100,3,3),
(307280,10026943,'Grants a total of 3 triggers of the spell.',100,3,4),
(307281,10026943,'Cannot be modified except by direct means',100,2,5),
(307282,105782,'Inflicts 154 - 188 heat damage on target',100,1,0),
(307283,10105782,'Inflicts 266 - 326 heat damage on target',100,1,0),
(307284,82435,'Applies Imbued Smite when Equipped.',100,0,0),
(307285,82435,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(307286,82435,'Inflicts 410 divine damage on target instantly and every second',100,2,2),
(307287,82435,'Cannot be modified except by direct means',100,2,3),
(307288,82435,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(307289,82435,'Inflicts 410 divine damage on target instantly and every second',100,2,5),
(307290,82435,'Cannot be modified except by direct means',100,2,6),
(307291,10082435,'Applies Imbued Smite when Equipped.',100,0,0),
(307292,10082435,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(307293,10082435,'Inflicts 533 divine damage on target instantly and every second',100,2,2),
(307294,10082435,'Cannot be modified except by direct means',100,2,3),
(307295,10082435,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(307296,10082435,'Inflicts 533 divine damage on target instantly and every second',100,2,5),
(307297,10082435,'Cannot be modified except by direct means',100,2,6),
(307298,116946,'Increases Threat to target by 214 - 261 ',100,1,0),
(307299,116946,'Interrupts target',100,1,1),
(307300,10116946,'Forces target to change their selected target to caster.',100,1,0),
(307301,10116946,'Interrupts target',100,1,1),
(307302,10116946,'Prevents target from changing targets',100,1,2),
(307303,104714,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(307304,104714,'Decreases Mitigation of target vs elemental and arcane damage by 392',100,2,1),
(307305,104714,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(307306,104714,'Decreases Mitigation of target vs elemental and arcane damage by 392',100,2,3),
(307307,10104714,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(307308,10104714,'Decreases Mitigation of target vs elemental and arcane damage by 392',100,2,1),
(307309,10104714,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(307310,10104714,'Decreases Mitigation of target vs elemental and arcane damage by 392',100,2,3),
(307311,37447,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(307312,107414,'Inflicts 55 - 82 magic damage on target',100,1,0),
(307313,10107414,'Inflicts 71 - 106 magic damage on target',100,1,0),
(307314,117172,'Inflicts 51 poison damage on target instantly and every 4 seconds',100,1,0),
(307315,117172,'Decreases WIS of target by 45.3',100,1,1),
(307316,10117172,'Inflicts 66 poison damage on target instantly and every 4 seconds',100,1,0),
(307317,10117172,'Decreases WIS of target by 45.3',100,1,1),
(307318,118016,'Wards target against 2772 points of all damage',100,1,0),
(307319,10118016,'Wards target against 2772 points of all damage',100,1,0),
(307320,36511,'Increases STA of target by 15.4',100,0,0),
(307321,36511,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(307322,114531,'Heals target for 242 - 296',100,1,0),
(307323,10114531,'Heals target for 314 - 384',100,1,0),
(307324,104395,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(307325,104395,'Inflicts 173 - 212 cold damage on target',100,2,1),
(307326,10104395,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(307327,10104395,'Inflicts 225 - 275 cold damage on target',100,2,1),
(307328,48842,'Applies Melvil''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(307329,10048842,'Applies Melvil''s Warding  when Activated.  Lasts for 30 minutes.',100,0,0),
(307330,51327,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(307331,51327,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(307332,51327,'Inflicts 54 heat damage on target',100,2,2),
(307333,51327,'Cannot be modified except by direct means',100,2,3),
(307334,10051327,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(307335,10051327,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(307336,10051327,'Inflicts 70 heat damage on target',100,2,2),
(307337,10051327,'Cannot be modified except by direct means',100,2,3),
(307338,121358,'Inflicts 27 - 50 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(307339,10121358,'Inflicts 35 - 65 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(307340,25029,'When Equipped:',100,0,0),
(307341,25029,'Increases Multi Attack Chance of caster by 5.0',100,1,1),
(307342,10025029,'When Equipped:',100,0,0),
(307343,10025029,'Increases Multi Attack Chance of caster by 5.0',100,1,1),
(307344,100750,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(307345,100750,'Heals target for 411',100,2,1),
(307346,100750,'Increases power of target by 95 every 6 seconds',100,2,2),
(307347,100750,'Wards target against 505 points of all damage',100,2,3),
(307348,100750,'Grants a total of 1 trigger of the spell.',100,2,4),
(307349,10100750,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(307350,10100750,'Heals target for 267',100,2,1),
(307351,10100750,'Increases power of target by 95 every 6 seconds',100,2,2),
(307352,10100750,'Wards target against 505 points of all damage',100,2,3),
(307353,10100750,'Grants a total of 1 trigger of the spell.',100,2,4),
(307354,102449,'Stuns target encounter',100,1,0),
(307355,102449,'Epic targets gain an immunity to Stun effects of 11.3 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(307356,102449,'Resistibility increases against targets higher than level 73.',100,1,2),
(307357,10102449,'Stuns target encounter',100,1,0),
(307358,10102449,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(307359,10102449,'Resistibility increases against targets higher than level 73.',100,1,2),
(307360,113205,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(307361,113205,'Inflicts 35 magic damage on target',100,2,1),
(307362,113205,'Grants a total of 5 triggers of the spell.',100,2,2),
(307363,10113205,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(307364,10113205,'Inflicts 46 magic damage on target',100,2,1),
(307365,10113205,'Grants a total of 5 triggers of the spell.',100,2,2),
(307366,117540,'Increases AGI, INT and WIS of group members (AE) by 72.5',100,1,0),
(307367,117540,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 277',100,1,1),
(307368,10117540,'Increases AGI, INT and WIS of group members (AE) by 72.5',100,1,0),
(307369,10117540,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 277',100,1,1),
(307370,114791,'Decreases WIS of target by 30.2',100,1,0),
(307371,114791,'Increases WIS and STA of caster by 30.2',100,1,1),
(307372,114791,'Decreases Max Health of target by 1.0%',100,1,2),
(307373,114791,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 98',100,1,3),
(307374,114791,'Only affects targets level 17 and above',100,1,4),
(307375,10114791,'Decreases WIS of target by 30.2',100,1,0),
(307376,10114791,'Increases WIS and STA of caster by 30.2',100,1,1),
(307377,10114791,'Decreases Max Health of target by 1.0%',100,1,2),
(307378,10114791,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 98',100,1,3),
(307379,10114791,'Only affects targets level 17 and above',100,1,4),
(307380,118073,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(307381,118073,'Increases Defense of caster by 6.6',100,1,1),
(307382,10118073,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(307383,10118073,'Increases Defense of caster by 6.6',100,1,1),
(307384,115365,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(307385,115365,'Increases Parry of caster by 5.8',100,1,1),
(307386,10115365,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(307387,10115365,'Increases Parry of caster by 5.8',100,1,1),
(307388,114356,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(307389,114356,'Throws target back',100,2,1),
(307390,114356,'Stuns target',100,2,2),
(307391,114356,'Blurs vision of target',100,2,3),
(307392,114356,'Does not affect Epic targets',100,2,4),
(307393,114356,'Inflicts 31 - 53 crushing damage on target',100,1,5),
(307394,10114356,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(307395,10114356,'Throws target back',100,2,1),
(307396,10114356,'Stuns target',100,2,2),
(307397,10114356,'Blurs vision of target',100,2,3),
(307398,10114356,'Does not affect Epic targets',100,2,4),
(307399,10114356,'Inflicts 41 - 69 crushing damage on target',100,1,5),
(307400,25519,'When Equipped:',100,0,0),
(307401,25519,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(307402,25519,'Improves the base damage of Flurry of Blades VI by 15%.',100,1,2),
(307403,10025519,'When Equipped:',100,0,0),
(307404,10025519,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(307405,10025519,'Improves the base damage of Flurry of Blades VI by 15%.',100,1,2),
(307406,123915,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(307407,123915,'Slows target by 72.3%',100,2,1),
(307408,123915,'5% chance to dispel when target receives hostile action',100,2,2),
(307409,123915,'5% chance to dispel when target takes damage',100,2,3),
(307410,123915,'Decreases Mitigation of target vs elemental and noxious damage by 1320',100,1,4),
(307411,10123915,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(307412,10123915,'Slows target by 72.3%',100,2,1),
(307413,10123915,'5% chance to dispel when target receives hostile action',100,2,2),
(307414,10123915,'5% chance to dispel when target takes damage',100,2,3),
(307415,10123915,'Decreases Mitigation of target vs elemental and noxious damage by 1320',100,1,4),
(307416,53214,'When Equipped:',100,0,0),
(307417,53214,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(307418,53214,'When Equipped:',100,0,2),
(307419,53214,'Applies Deathly Aura to qualifying pets.',100,1,3),
(307420,53214,'On any combat or spell hit this spell may cast Death Grip on target of attack.  Triggers about 2.0 times per minute. ',100,2,4),
(307421,53214,'Inflicts 573 disease damage on target',100,3,5),
(307422,53214,'Heals caster for 573',100,3,6),
(307423,53214,'Increases Disruption, Crushing, Slashing and Piercing of caster by 10.0',100,2,7),
(307424,53214,'Increases Ability Modifier of caster by 125.0',100,2,8),
(307425,10053214,'When Equipped:',100,0,0),
(307426,10053214,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(307427,10053214,'When Equipped:',100,0,2),
(307428,10053214,'Applies Deathly Aura to qualifying pets.',100,1,3),
(307429,10053214,'On any combat or spell hit this spell may cast Death Grip on target of attack.  Triggers about 2.0 times per minute. ',100,2,4),
(307430,10053214,'Inflicts 745 disease damage on target',100,3,5),
(307431,10053214,'Heals caster for 372',100,3,6),
(307432,10053214,'Increases Disruption, Crushing, Slashing and Piercing of caster by 10.0',100,2,7),
(307433,10053214,'Increases Ability Modifier of caster by 125.0',100,2,8),
(307434,54044,'When Equipped:',100,0,0),
(307435,54044,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(307436,54044,'This effect suspends during combat',100,1,2),
(307437,10054044,'When Equipped:',100,0,0),
(307438,10054044,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(307439,10054044,'This effect suspends during combat',100,1,2),
(307440,113876,'Increases power of target by 68',100,1,0),
(307441,10113876,'Increases power of target by 68',100,1,0),
(307442,103073,'Inflicts 154 magic damage on target instantly and every 4 seconds',100,1,0),
(307443,103073,'Increases power of caster by 70 instantly and every 4 seconds',100,1,1),
(307444,10103073,'Inflicts 200 magic damage on target instantly and every 4 seconds',100,1,0),
(307445,10103073,'Increases power of caster by 70 instantly and every 4 seconds',100,1,1),
(307446,108219,'Increases power of caster by 77 instantly and every 4 seconds',100,1,0),
(307447,10108219,'Increases power of caster by 77 instantly and every 4 seconds',100,1,0),
(307448,104900,'Inflicts 330 - 551 magic damage on targets in area',100,1,0),
(307449,10104900,'Inflicts 429 - 716 magic damage on targets in area',100,1,0),
(307450,186065,'When Equipped:',100,0,0),
(307451,186065,'Increases Focus and Subjugation of caster by 8.0',100,1,1),
(307452,186065,'Reduces resistibility of all spells by 0.6%.',100,1,2),
(307453,186065,'Increases Disruption of caster by 8.0',100,1,3),
(307454,186065,'Must not be engaged in pvp combat',100,1,4),
(307455,10186065,'When Equipped:',100,0,0),
(307456,10186065,'Increases Focus and Subjugation of caster by 8.0',100,1,1),
(307457,10186065,'Reduces resistibility of all spells by 0.6%.',100,1,2),
(307458,10186065,'Increases Disruption of caster by 8.0',100,1,3),
(307459,10186065,'Must not be engaged in pvp combat',100,1,4),
(307460,177486,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(307461,177486,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(307462,177486,'Inflicts 81 heat damage on target',100,2,2),
(307463,177486,'Cannot be modified except by direct means',100,2,3),
(307464,10177486,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(307465,10177486,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(307466,10177486,'Inflicts 105 heat damage on target',100,2,2),
(307467,10177486,'Cannot be modified except by direct means',100,2,3),
(307468,51826,'When Equipped:',100,0,0),
(307469,51826,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(307470,51826,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(307471,51826,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(307472,51826,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(307473,51826,'Must not be engaged in pvp combat',100,2,5),
(307474,51826,'Cannot be modified except by direct means',100,2,6),
(307475,51826,'Cannot be modified except by direct means',100,1,7),
(307476,51826,'When Equipped:',100,0,8),
(307477,51826,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(307478,51826,'Increases STR, AGI, INT and WIS of caster by 50.0',100,1,10),
(307479,51826,'Increases Potency of caster by 3.5%',100,1,11),
(307480,51826,'Cannot be modified except by direct means',100,1,12),
(307481,10051826,'When Equipped:',100,0,0),
(307482,10051826,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(307483,10051826,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(307484,10051826,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(307485,10051826,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,4),
(307486,10051826,'Must not be engaged in pvp combat',100,2,5),
(307487,10051826,'Cannot be modified except by direct means',100,2,6),
(307488,10051826,'Cannot be modified except by direct means',100,1,7),
(307489,10051826,'When Equipped:',100,0,8),
(307490,10051826,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(307491,10051826,'Increases STR, AGI, INT and WIS of caster by 50.0',100,1,10),
(307492,10051826,'Increases Potency of caster by 3.5%',100,1,11),
(307493,10051826,'Cannot be modified except by direct means',100,1,12),
(307494,120386,'Decreases Defense of caster by 4.8',100,1,0),
(307495,120386,'Increases Crushing and Ranged of caster by 7.9',100,1,1),
(307496,120386,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(307497,120386,'Inflicts 43 - 71 heat damage on target',100,2,3),
(307498,120386,'Increases Slashing and Piercing of caster by 7.9',100,1,4),
(307499,10120386,'Decreases Defense of caster by 4.8',100,1,0),
(307500,10120386,'Increases Crushing and Ranged of caster by 7.9',100,1,1),
(307501,10120386,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(307502,10120386,'Inflicts 55 - 92 heat damage on target',100,2,3),
(307503,10120386,'Increases Slashing and Piercing of caster by 7.9',100,1,4),
(307504,120064,'Inflicts 53 - 88 mental damage on target',100,1,0),
(307505,120064,'Inflicts 53 - 88 mental damage on target',100,1,1),
(307506,120064,'Stifles target',100,1,2),
(307507,120064,'If Target is not Epic',100,2,3),
(307508,120064,'If weapon equipped in Ranged',100,1,4),
(307509,120064,'Resistibility increases against targets higher than level 59.',100,1,5),
(307510,10120064,'Inflicts 53 - 88 mental damage on target',100,1,0),
(307511,10120064,'Inflicts 53 - 88 mental damage on target',100,1,1),
(307512,10120064,'Stifles target',100,1,2),
(307513,10120064,'If Target is not Epic',100,2,3),
(307514,10120064,'If weapon equipped in Ranged',100,1,4),
(307515,10120064,'Resistibility increases against targets higher than level 59.',100,1,5),
(307516,124630,'Heals group members (AE) for 599 - 732',100,1,0),
(307517,124630,'Heals group members (AE) for 101 - 123 every second',100,1,1),
(307518,10124630,'Heals group members (AE) for 875 - 1069',100,1,0),
(307519,10124630,'Heals group members (AE) for 109 - 134 every second',100,1,1),
(307520,119154,'Summons a pet Scourge of Kaladim',100,1,0),
(307521,10119154,'Summons a pet Scourge of Kaladim',100,1,0),
(307522,143676,'When Equipped:',100,0,0),
(307523,143676,'Wards caster against 506 points of noxious damage',100,1,1),
(307524,143676,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(307525,143676,'Inflicts 253 poison damage on target',100,2,3),
(307526,143676,'Inflicts 253 disease damage on target',100,2,4),
(307527,143676,'Cannot be modified except by direct means',100,2,5),
(307528,143676,'When Equipped:',100,0,6),
(307529,143676,'Reduces reuse time of Subjugation-based spells by 1 percent.',100,1,7),
(307530,10143676,'When Equipped:',100,0,0),
(307531,10143676,'Wards caster against 506 points of noxious damage',100,1,1),
(307532,10143676,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(307533,10143676,'Inflicts 329 poison damage on target',100,2,3),
(307534,10143676,'Inflicts 329 disease damage on target',100,2,4),
(307535,10143676,'Cannot be modified except by direct means',100,2,5),
(307536,10143676,'When Equipped:',100,0,6),
(307537,10143676,'Reduces reuse time of Subjugation-based spells by 1 percent.',100,1,7),
(307538,106161,'Inflicts 546 - 909 divine damage on target encounter',100,1,0),
(307539,106161,'Interrupts target encounter',100,1,1),
(307540,10106161,'Inflicts 709 - 1182 divine damage on target encounter',100,1,0),
(307541,10106161,'Interrupts target encounter',100,1,1),
(307542,104097,'Roots target',100,1,0),
(307543,104097,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(307544,104097,'Makes target afraid',100,2,2),
(307545,104097,'Slows target by 14.7%',100,2,3),
(307546,104097,'30% chance to dispel when target takes damage',100,2,4),
(307547,104097,'Resistibility increases against targets higher than level 34.',100,2,5),
(307548,104097,'15% chance to dispel when target takes damage',100,1,6),
(307549,104097,'Does not affect Epic targets',100,1,7),
(307550,104097,'Resistibility increases against targets higher than level 34.',100,1,8),
(307551,10104097,'Roots target',100,1,0),
(307552,10104097,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(307553,10104097,'Makes target afraid',100,2,2),
(307554,10104097,'Slows target by 14.7%',100,2,3),
(307555,10104097,'30% chance to dispel when target takes damage',100,2,4),
(307556,10104097,'Resistibility increases against targets higher than level 34.',100,2,5),
(307557,10104097,'15% chance to dispel when target takes damage',100,1,6),
(307558,10104097,'Does not affect Epic targets',100,1,7),
(307559,10104097,'Resistibility increases against targets higher than level 34.',100,1,8),
(307560,75605,'Applies Celestial Glow when Equipped.',100,0,0),
(307561,10075605,'Applies Celestial Glow when Equipped.',100,0,0),
(307562,157018,'When Equipped:',100,0,0),
(307563,157018,'Reduces maximum falling speed of caster',100,1,1),
(307564,10157018,'When Equipped:',100,0,0),
(307565,10157018,'Reduces maximum falling speed of caster',100,1,1),
(307566,123578,'Increases STR of group members (AE) by 56.4',100,1,0),
(307567,123578,'Increases Max Health of group members (AE) by 499.2',100,1,1),
(307568,10123578,'Increases STR of group members (AE) by 56.4',100,1,0),
(307569,10123578,'Increases Max Health of group members (AE) by 499.2',100,1,1),
(307570,119454,'Inflicts 169 - 283 melee damage on target',100,1,0),
(307571,119454,'Inflicts 123 piercing damage on target instantly and every 4 seconds',100,1,1),
(307572,119454,'Must be flanking or behind',100,1,2),
(307573,10119454,'Inflicts 220 - 368 melee damage on target',100,1,0),
(307574,10119454,'Inflicts 160 piercing damage on target instantly and every 4 seconds',100,1,1),
(307575,10119454,'Must be flanking or behind',100,1,2),
(307576,101774,'Heals group members (AE) for 280 - 343 instantly and every 2 seconds',100,1,0),
(307577,10101774,'Heals group members (AE) for 182 - 223 instantly and every 2 seconds',100,1,0),
(307578,123122,'Inflicts 145 disease damage on targets in Area of Effect',100,1,0),
(307579,123122,'Inflicts 99 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(307580,10123122,'Inflicts 189 disease damage on targets in Area of Effect',100,1,0),
(307581,10123122,'Inflicts 129 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(307582,140514,'When Equipped:',100,0,0),
(307583,140514,'On a ranged hit this spell may cast Arrow Flurry on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(307584,140514,'Increases Attack Speed of caster by 2.8',100,2,2),
(307585,140514,'Increases Crit Chance of caster by 2.8',100,2,3),
(307586,140514,'Cannot be modified except by direct means',100,2,4),
(307587,10140514,'When Equipped:',100,0,0),
(307588,10140514,'On a ranged hit this spell may cast Arrow Flurry on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(307589,10140514,'Increases Attack Speed of caster by 2.8',100,2,2),
(307590,10140514,'Increases Crit Chance of caster by 2.8',100,2,3),
(307591,10140514,'Cannot be modified except by direct means',100,2,4),
(307592,104515,'Increases Threat to target by 109 - 133  instantly and by 21 - 26  every 2 seconds thereafter',100,1,0),
(307593,10104515,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(307594,48548,'Applies Tinkerfest firework when Activated.  Lasts for 1.0 second.',100,0,0),
(307595,48548,'[DEVL] Designer must provide a description for Random Spell Spell effects.',100,1,1),
(307596,10048548,'Applies Tinkerfest firework when Activated.  Lasts for 1.0 second.',100,0,0),
(307597,10048548,'[DEVL] Designer must provide a description for Random Spell Spell effects.',100,1,1),
(307598,83766,'Applies Artisan''s Escape when Activated.',100,0,0),
(307599,83766,'Teleports caster within the zone',100,1,1),
(307600,83766,'Must not be engaged in combat',100,2,2),
(307601,83766,'Must not be engaged in pvp combat',100,2,3),
(307602,83766,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(307603,10083766,'Applies Artisan''s Escape when Activated.',100,0,0),
(307604,10083766,'Teleports caster within the zone',100,1,1),
(307605,10083766,'Must not be engaged in combat',100,2,2),
(307606,10083766,'Must not be engaged in pvp combat',100,2,3),
(307607,10083766,'The casting time of Artisan''s Escape is 5.0 seconds and the reuse time of the spell is 20 minutes',100,1,4),
(307608,26098,'When Equipped:',100,0,0),
(307609,26098,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(307610,26098,'Improves the damage of Glacial Lance by 15%.',100,1,2),
(307611,10026098,'When Equipped:',100,0,0),
(307612,10026098,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(307613,10026098,'Improves the damage of Glacial Lance by 15%.',100,1,2),
(307614,115009,'Inflicts 635 - 1059 ranged damage on targets in area',100,1,0),
(307615,115009,'You must be in stealth to use this!',100,1,1),
(307616,115009,'Requires bow',100,1,2),
(307617,10115009,'Inflicts 476 - 794 ranged damage on targets in area',100,1,0),
(307618,10115009,'You must be in stealth to use this!',100,1,1),
(307619,10115009,'Requires bow',100,1,2),
(307620,111984,'Inflicts 503 - 615 disease damage on target',100,1,0),
(307621,111984,'Decreases Mitigation of target vs noxious damage by 1345',100,1,1),
(307622,10111984,'Inflicts 841 - 1028 disease damage on target',100,1,0),
(307623,10111984,'Decreases Mitigation of target vs noxious damage by 1345',100,1,1),
(307624,50444,'When Equipped:',100,0,0),
(307625,50444,'On a block this spell has a 50% chance to cast Sparkling Aura on target''s victim.  Lasts for 2.0 seconds.  ',100,1,1),
(307626,50444,'Dazes target encounter',100,2,2),
(307627,50444,'Increases Threat to target encounter by 750 ',100,2,3),
(307628,50444,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(307629,50444,'Resistibility increases against targets higher than level 102.',100,2,5),
(307630,50444,'Cannot be modified except by direct means',100,2,6),
(307631,10050444,'When Equipped:',100,0,0),
(307632,10050444,'On a block this spell has a 50% chance to cast Sparkling Aura on target''s victim.  Lasts for 2.0 seconds.  ',100,1,1),
(307633,10050444,'Dazes target encounter',100,2,2),
(307634,10050444,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(307635,10050444,'Resistibility increases against targets higher than level 102.',100,2,4),
(307636,10050444,'Cannot be modified except by direct means',100,2,5),
(307637,112692,'Increases Parry of group members (AE) by 31.6',100,1,0),
(307638,10112692,'Increases Parry of group members (AE) by 31.6',100,1,0),
(307639,109666,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(307640,109666,'Increases Mitigation of group members (AE) vs arcane damage by 130',100,1,1),
(307641,10109666,'Increases Max Power of group members (AE) by 21.9',100,1,0),
(307642,10109666,'Increases Mitigation of group members (AE) vs arcane damage by 130',100,1,1),
(307643,105332,'Inflicts 121 - 203 melee damage on target',100,1,0),
(307644,105332,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 236',100,1,1),
(307645,105332,'Must be flanking or behind',100,1,2),
(307646,10105332,'Inflicts 158 - 263 melee damage on target',100,1,0),
(307647,10105332,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 236',100,1,1),
(307648,10105332,'Must be flanking or behind',100,1,2),
(307649,88053,'When Equipped:',100,0,0),
(307650,88053,'On any combat or spell hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307651,88053,'Inflicts 511 - 1062 magic damage on target',100,2,2),
(307652,88053,'Heals caster for 341 - 707',100,2,3),
(307653,88053,'Cannot be modified except by direct means',100,2,4),
(307654,88053,'Cannot be modified except by direct means',100,1,5),
(307655,10088053,'When Equipped:',100,0,0),
(307656,10088053,'On any combat or spell hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307657,10088053,'Inflicts 665 - 1381 magic damage on target',100,2,2),
(307658,10088053,'Heals caster for 221 - 460',100,2,3),
(307659,10088053,'Cannot be modified except by direct means',100,2,4),
(307660,10088053,'Cannot be modified except by direct means',100,1,5),
(307661,116839,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(307662,116839,'Inflicts 130 - 159 mental damage on target',100,2,1),
(307663,116839,'Grants a total of 3 triggers of the spell.',100,2,2),
(307664,10116839,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(307665,10116839,'Inflicts 169 - 206 mental damage on target',100,2,1),
(307666,10116839,'Grants a total of 3 triggers of the spell.',100,2,2),
(307667,146499,'When Equipped:',100,0,0),
(307668,146499,'On a healing spell cast this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(307669,146499,'Increases Ability Casting Speed of caster by 12.0%',100,2,2),
(307670,146499,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(307671,146499,'Increases Ability Modifier of caster by 900.0',100,2,4),
(307672,146499,'Must not be engaged in pvp combat',100,2,5),
(307673,146499,'Cannot be modified except by direct means',100,2,6),
(307674,146499,'On any combat or spell hit this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(307675,146499,'Increases Ability Casting Speed of caster by 12.0%',100,2,8),
(307676,146499,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(307677,146499,'Increases Ability Modifier of caster by 900.0',100,2,10),
(307678,146499,'Must not be engaged in pvp combat',100,2,11),
(307679,146499,'Cannot be modified except by direct means',100,2,12),
(307680,146499,'Must not be engaged in pvp combat',100,1,13),
(307681,10146499,'When Equipped:',100,0,0),
(307682,10146499,'On a healing spell cast this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(307683,10146499,'Increases Ability Casting Speed of caster by 12.0%',100,2,2),
(307684,10146499,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(307685,10146499,'Increases Ability Modifier of caster by 900.0',100,2,4),
(307686,10146499,'Must not be engaged in pvp combat',100,2,5),
(307687,10146499,'Cannot be modified except by direct means',100,2,6),
(307688,10146499,'On any combat or spell hit this spell may cast Quest for Immortality on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(307689,10146499,'Increases Ability Casting Speed of caster by 12.0%',100,2,8),
(307690,10146499,'Increases Ability Recovery Speed of caster by 12.0%',100,2,9),
(307691,10146499,'Increases Ability Modifier of caster by 900.0',100,2,10),
(307692,10146499,'Must not be engaged in pvp combat',100,2,11),
(307693,10146499,'Cannot be modified except by direct means',100,2,12),
(307694,10146499,'Must not be engaged in pvp combat',100,1,13),
(307695,36291,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,0),
(307696,36291,'This effect suspends during combat',100,0,1),
(307697,159638,'When Equipped:',100,0,0),
(307698,159638,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(307699,159638,'Increases STA of caster by 14.8',100,2,2),
(307700,159638,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(307701,159638,'Cannot be modified except by direct means',100,2,4),
(307702,10159638,'When Equipped:',100,0,0),
(307703,10159638,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(307704,10159638,'Increases STA of caster by 14.8',100,2,2),
(307705,10159638,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(307706,10159638,'Cannot be modified except by direct means',100,2,4),
(307707,106843,'Decreases Crushing, Piercing, Slashing and Ranged of target by 24.8',100,1,0),
(307708,10106843,'Decreases Crushing, Piercing, Slashing and Ranged of target by 24.8',100,1,0),
(307709,35849,'Increases STR of target by 8.4',100,0,0),
(307710,35849,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(307711,47166,'Applies Elixir of Comprehension  when Activated.  Lasts for 30 minutes.',100,0,0),
(307712,10047166,'Applies Elixir of Comprehension  when Activated.  Lasts for 30 minutes.',100,0,0),
(307713,71595,'When Equipped:',100,0,0),
(307714,71595,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(307715,71595,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(307716,71595,'Cannot be modified except by direct means',100,2,3),
(307717,10071595,'When Equipped:',100,0,0),
(307718,10071595,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(307719,10071595,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(307720,10071595,'Cannot be modified except by direct means',100,2,3),
(307721,112457,'Mesmerizes target',100,1,0),
(307722,112457,'Prevents AOE (except when direct) ',100,1,1),
(307723,112457,'Dispelled when target takes damage',100,1,2),
(307724,112457,'Does not affect Epic targets',100,1,3),
(307725,112457,'Resistibility increases against targets higher than level 116.',100,1,4),
(307726,10112457,'Mesmerizes target',100,1,0),
(307727,10112457,'Prevents AOE (except when direct) ',100,1,1),
(307728,10112457,'Dispelled when target takes damage',100,1,2),
(307729,10112457,'Does not affect Epic targets',100,1,3),
(307730,10112457,'Resistibility increases against targets higher than level 116.',100,1,4),
(307731,70598,'When Equipped:',100,0,0),
(307732,70598,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(307733,70598,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(307734,70598,'Heals target for 5384 - 5951',100,2,3),
(307735,70598,'Dispels 175 levels of any hostile effects on target',100,2,4),
(307736,70598,'Must not be engaged in pvp combat',100,2,5),
(307737,70598,'Cannot be modified except by direct means',100,2,6),
(307738,70598,'Cannot be modified except by direct means',100,1,7),
(307739,10070598,'When Equipped:',100,0,0),
(307740,10070598,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(307741,10070598,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(307742,10070598,'Heals target for 6299 - 6962',100,2,3),
(307743,10070598,'Dispels 175 levels of any hostile effects on target',100,2,4),
(307744,10070598,'Must not be engaged in pvp combat',100,2,5),
(307745,10070598,'Cannot be modified except by direct means',100,2,6),
(307746,10070598,'Cannot be modified except by direct means',100,1,7),
(307747,82177,'When Equipped:',100,0,0),
(307748,82177,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(307749,82177,'Inflicts 30 - 55 magic damage on target',100,2,2),
(307750,82177,'Cannot be modified except by direct means',100,2,3),
(307751,10082177,'When Equipped:',100,0,0),
(307752,10082177,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(307753,10082177,'Inflicts 39 - 72 magic damage on target',100,2,2),
(307754,10082177,'Cannot be modified except by direct means',100,2,3),
(307755,71677,'When Equipped:',100,0,0),
(307756,71677,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(307757,71677,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(307758,71677,'Cannot be modified except by direct means',100,2,3),
(307759,10071677,'When Equipped:',100,0,0),
(307760,10071677,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(307761,10071677,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(307762,10071677,'Cannot be modified except by direct means',100,2,3),
(307763,109800,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(307764,109800,'Heals group members (AE) for 575',100,2,1),
(307765,10109800,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(307766,10109800,'Heals group members (AE) for 374',100,2,1),
(307767,119483,'Dazes target encounter',100,1,0),
(307768,119483,'If Target is not Epic',100,2,1),
(307769,119483,'Inflicts 83 - 101 magic damage on target encounter instantly and every second',100,1,2),
(307770,119483,'Resistibility increases against targets higher than level 68.',100,1,3),
(307771,10119483,'Dazes target encounter',100,1,0),
(307772,10119483,'If Target is not Epic',100,2,1),
(307773,10119483,'Inflicts 142 - 174 magic damage on target encounter',100,1,2),
(307774,10119483,'Inflicts 108 - 132 magic damage on target encounter every second',100,1,3),
(307775,10119483,'Resistibility increases against targets higher than level 68.',100,1,4),
(307776,115848,'Inflicts 144 - 241 mental damage on target encounter',100,1,0),
(307777,115848,'Interrupts target encounter',100,1,1),
(307778,10115848,'Inflicts 188 - 313 mental damage on target encounter',100,1,0),
(307779,10115848,'Interrupts target encounter',100,1,1),
(307780,101757,'Heals group members (AE) for 131 - 160 instantly and every 2 seconds',100,1,0),
(307781,10101757,'Heals group members (AE) for 85 - 104 instantly and every 2 seconds',100,1,0),
(307782,103787,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 11.5',100,1,0),
(307783,10103787,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 11.5',100,1,0),
(307784,118213,'Increases Damage Per Second of group members (AE) by 31.7',100,1,0),
(307785,10118213,'Increases Damage Per Second of group members (AE) by 31.7',100,1,0),
(307786,45644,'Applies Elixir of the Devout  when Activated.  Lasts for 30 minutes.',100,0,0),
(307787,45644,'Increases STA and STR of caster by 23.3',100,1,1),
(307788,10045644,'Applies Elixir of the Devout  when Activated.  Lasts for 30 minutes.',100,0,0),
(307789,10045644,'Increases STA and STR of caster by 23.3',100,1,1),
(307790,122170,'Inflicts 60 - 73 cold damage on target instantly and every 2 seconds',100,1,0),
(307791,122170,'Inflicts 60 - 73 cold damage on target instantly and every 2 seconds',100,1,1),
(307792,122170,'If target is elemental',100,2,2),
(307793,10122170,'Inflicts 77 - 95 cold damage on target instantly and every 2 seconds',100,1,0),
(307794,24604,'Adds Orc-Snow (Mystic) to your Dungeon Maker toolbox',100,0,0),
(307795,10024604,'Adds Orc-Snow (Mystic) to your Dungeon Maker toolbox',100,0,0),
(307796,118050,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(307797,118050,'Inflicts 558 - 930 divine damage on target',100,2,1),
(307798,118050,'Stuns target',100,2,2),
(307799,118050,'If Target is not Epic',100,3,3),
(307800,118050,'Grants a total of 3 triggers of the spell.',100,2,4),
(307801,10118050,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(307802,10118050,'Inflicts 726 - 1209 divine damage on target',100,2,1),
(307803,10118050,'Stuns target',100,2,2),
(307804,10118050,'If Target is not Epic',100,3,3),
(307805,10118050,'Grants a total of 3 triggers of the spell.',100,2,4),
(307806,153780,'When Equipped:',100,0,0),
(307807,153780,'When damaged this spell has a 10% chance to cast Arcane Resolution VII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(307808,153780,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 986',100,2,2),
(307809,153780,'Must not be engaged in pvp combat',100,2,3),
(307810,153780,'Cannot be modified except by direct means',100,2,4),
(307811,153780,'Must not be engaged in pvp combat',100,1,5),
(307812,10153780,'When Equipped:',100,0,0),
(307813,10153780,'When damaged this spell has a 10% chance to cast Arcane Resolution VII on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(307814,10153780,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 986',100,2,2),
(307815,10153780,'Must not be engaged in pvp combat',100,2,3),
(307816,10153780,'Cannot be modified except by direct means',100,2,4),
(307817,10153780,'Must not be engaged in pvp combat',100,1,5),
(307818,120078,'Inflicts 134 - 224 mental damage on target',100,1,0),
(307819,120078,'Inflicts 134 - 224 mental damage on target',100,1,1),
(307820,120078,'Stifles target',100,1,2),
(307821,120078,'If Target is not Epic',100,2,3),
(307822,120078,'If weapon equipped in Ranged',100,1,4),
(307823,120078,'Resistibility increases against targets higher than level 87.',100,1,5),
(307824,10120078,'Inflicts 134 - 224 mental damage on target',100,1,0),
(307825,10120078,'Inflicts 134 - 224 mental damage on target',100,1,1),
(307826,10120078,'Stifles target',100,1,2),
(307827,10120078,'If Target is not Epic',100,2,3),
(307828,10120078,'If weapon equipped in Ranged',100,1,4),
(307829,10120078,'Resistibility increases against targets higher than level 87.',100,1,5),
(307830,159331,'Applies Sanguine Imbued when Equipped.',100,0,0),
(307831,159331,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(307832,159331,'Inflicts 77 heat damage on target',100,2,2),
(307833,159331,'Cannot be modified except by direct means',100,2,3),
(307834,10159331,'Applies Sanguine Imbued when Equipped.',100,0,0),
(307835,10159331,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(307836,10159331,'Inflicts 100 heat damage on target',100,2,2),
(307837,10159331,'Cannot be modified except by direct means',100,2,3),
(307838,177776,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(307839,177776,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(307840,177776,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(307841,10177776,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(307842,10177776,'Decreases Mitigation of target vs physical damage by 585',100,1,1),
(307843,10177776,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(307844,40206,'Applies Broken Cogs when Activated.',100,0,0),
(307845,40206,'Summons 99 broken cogs',100,1,1),
(307846,40206,'The casting time of Broken Cogs is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(307847,10040206,'Applies Broken Cogs when Activated.',100,0,0),
(307848,10040206,'Summons 99 broken cogs',100,1,1),
(307849,10040206,'The casting time of Broken Cogs is 1.0 second and the reuse time of the spell is 15 minutes',100,1,2),
(307850,121279,'Inflicts 37 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(307851,121279,'Inflicts 122 - 203 melee damage on targets in area',100,1,1),
(307852,121279,'You must be in stealth or have Bloody Assault.',100,1,2),
(307853,10121279,'Inflicts 48 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(307854,10121279,'Inflicts 158 - 264 melee damage on targets in area',100,1,1),
(307855,10121279,'You must be in stealth or have Bloody Assault.',100,1,2),
(307856,101786,'Heals group members (AE) for 709 - 867 instantly and every 2 seconds',100,1,0),
(307857,10101786,'Heals group members (AE) for 461 - 563 instantly and every 2 seconds',100,1,0),
(307858,41684,'When Equipped:',100,0,0),
(307859,41684,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(307860,41684,'Inflicts 138 - 257 magic damage on target',100,2,2),
(307861,41684,'Decreases Threat to target by 641 ',100,2,3),
(307862,41684,'Must be flanking or behind',100,3,4),
(307863,41684,'Increases Threat to target by 641 ',100,2,5),
(307864,41684,'Must be in front of',100,3,6),
(307865,41684,'Cannot be modified except by direct means',100,2,7),
(307866,10041684,'When Equipped:',100,0,0),
(307867,10041684,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(307868,10041684,'Inflicts 180 - 334 magic damage on target',100,2,2),
(307869,10041684,'Cannot be modified except by direct means',100,2,3),
(307870,146132,'When Equipped:',100,0,0),
(307871,146132,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307872,146132,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(307873,146132,'Heals caster for 811 - 1217',100,2,3),
(307874,146132,'Cannot be modified except by direct means',100,2,4),
(307875,146132,'Cannot be modified except by direct means',100,1,5),
(307876,10146132,'When Equipped:',100,0,0),
(307877,10146132,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(307878,10146132,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(307879,10146132,'Heals caster for 949 - 1424',100,2,3),
(307880,10146132,'Cannot be modified except by direct means',100,2,4),
(307881,10146132,'Cannot be modified except by direct means',100,1,5),
(307882,119608,'Inflicts 544 - 907 mental damage on targets in Area of Effect',100,1,0),
(307883,119608,'Stuns targets in Area of Effect',100,1,1),
(307884,119608,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(307885,119608,'Resistibility increases against targets higher than level 79.',100,1,3),
(307886,10119608,'Inflicts 707 - 1179 mental damage on targets in Area of Effect',100,1,0),
(307887,10119608,'Stuns targets in Area of Effect',100,1,1),
(307888,10119608,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(307889,10119608,'Resistibility increases against targets higher than level 79.',100,1,3),
(307890,119239,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(307891,119239,'If profession other than Fighter',100,1,1),
(307892,119239,'If profession other than Scout',100,1,2),
(307893,10119239,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 42% of attack damage.',100,1,0),
(307894,10119239,'If profession other than Fighter',100,1,1),
(307895,10119239,'If profession other than Scout',100,1,2),
(307896,121403,'Inflicts 480 - 586 magic damage on target instantly and every 8 seconds',100,1,0),
(307897,121403,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(307898,121403,'Stuns target',100,2,2),
(307899,121403,'Blurs vision of target',100,2,3),
(307900,121403,'Throws target back',100,2,4),
(307901,121403,'Does not affect Epic targets',100,2,5),
(307902,10121403,'Inflicts 624 - 762 magic damage on target instantly and every 8 seconds',100,1,0),
(307903,10121403,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(307904,10121403,'Stuns target',100,2,2),
(307905,10121403,'Throws target back',100,2,3),
(307906,10121403,'Blurs vision of target',100,2,4),
(307907,10121403,'Does not affect Epic targets',100,2,5),
(307908,36239,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(307909,74706,'When Equipped:',100,0,0),
(307910,74706,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(307911,74706,'Inflicts 150 - 226 magic damage on target',100,2,2),
(307912,74706,'Cannot be modified except by direct means',100,2,3),
(307913,10074706,'When Equipped:',100,0,0),
(307914,10074706,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(307915,10074706,'Inflicts 196 - 293 magic damage on target',100,2,2),
(307916,10074706,'Cannot be modified except by direct means',100,2,3),
(307917,47212,'Applies Elixir of the Breezewing  when Activated.',100,0,0),
(307918,47212,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(307919,10047212,'Applies Elixir of the Breezewing  when Activated.',100,0,0),
(307920,10047212,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(307921,159975,'Applies Sanguine Imbued when Equipped.',100,0,0),
(307922,159975,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(307923,159975,'Inflicts 106 heat damage on target',100,2,2),
(307924,159975,'Cannot be modified except by direct means',100,2,3),
(307925,10159975,'Applies Sanguine Imbued when Equipped.',100,0,0),
(307926,10159975,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(307927,10159975,'Inflicts 137 heat damage on target',100,2,2),
(307928,10159975,'Cannot be modified except by direct means',100,2,3),
(307929,24520,'Adds Mistmoore: Book of Spells to your Dungeon Maker toolbox',100,0,0),
(307930,10024520,'Adds Mistmoore: Book of Spells to your Dungeon Maker toolbox',100,0,0),
(307931,105011,'Reduces physical damage done to caster by 5%',100,1,0),
(307932,105011,'Adds 2.4% to base avoidance.',100,1,1),
(307933,105011,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(307934,105011,'Increases Parry of caster by 49.6',100,1,3),
(307935,105011,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(307936,105011,'Increases Aggression of caster by 29.8',100,1,5),
(307937,105011,'Increases Defense and Deflection of caster by 49.6',100,1,6),
(307938,105011,'Increases Mitigation of caster vs arcane damage by 3238',100,1,7),
(307939,105011,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(307940,10105011,'Reduces physical damage done to caster by 5%',100,1,0),
(307941,10105011,'Adds 2.4% to base avoidance.',100,1,1),
(307942,10105011,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(307943,10105011,'Increases Parry of caster by 49.6',100,1,3),
(307944,10105011,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,4),
(307945,10105011,'Increases Aggression of caster by 29.8',100,1,5),
(307946,10105011,'Increases Defense and Deflection of caster by 49.6',100,1,6),
(307947,10105011,'Increases Mitigation of caster vs arcane damage by 3238',100,1,7),
(307948,10105011,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(307949,47826,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(307950,47826,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(307951,47826,'Decreases Threat to target by 11,556 - 14,124 ',100,2,2),
(307952,47826,'Cannot be modified except by direct means',100,2,3),
(307953,47826,'Grants a total of 100 triggers of the spell.',100,2,4),
(307954,10047826,'Applies ignorant bliss when Activated.  Lasts for 12 hours.',100,0,0),
(307955,10047826,'On a combat hit this spell may cast Ignorant Bliss on target of attack.  Triggers about 3.0 times per minute. ',100,1,1),
(307956,10047826,'5% chance to apply Distract.',100,2,2),
(307957,10047826,'Forces target to clear their selected target.',100,3,3),
(307958,10047826,'Cannot be modified except by direct means',100,2,4),
(307959,10047826,'Grants a total of 100 triggers of the spell.',100,2,5),
(307960,101087,'Roots target',100,1,0),
(307961,101087,'10% chance to dispel when target receives hostile action',100,1,1),
(307962,101087,'10% chance to dispel when target takes damage',100,1,2),
(307963,101087,'Does not affect Epic targets',100,1,3),
(307964,101087,'Resistibility increases against targets higher than level 34.',100,1,4),
(307965,10101087,'Roots target',100,1,0),
(307966,10101087,'10% chance to dispel when target receives hostile action',100,1,1),
(307967,10101087,'10% chance to dispel when target takes damage',100,1,2),
(307968,10101087,'Does not affect Epic targets',100,1,3),
(307969,10101087,'Resistibility increases against targets higher than level 34.',100,1,4),
(307970,157860,'When Equipped:',100,0,0),
(307971,157860,'When any physical damage is received this spell has a 5% chance to cast Blessing of the Devout on caster.  ',100,1,1),
(307972,157860,'Heals caster for 217',100,2,2),
(307973,157860,'Cannot be modified except by direct means',100,2,3),
(307974,10157860,'When Equipped:',100,0,0),
(307975,10157860,'When any physical damage is received this spell has a 5% chance to cast Blessing of the Devout on caster.  ',100,1,1),
(307976,10157860,'Heals caster for 141',100,2,2),
(307977,10157860,'Cannot be modified except by direct means',100,2,3),
(307978,103377,'Decreases power of target by 26 instantly and every 6 seconds',100,1,0),
(307979,103377,'Inflicts 103 - 126 mental damage on target instantly and every 6 seconds',100,1,1),
(307980,103377,'Increases power of caster by 126',100,1,2),
(307981,10103377,'Decreases power of target by 26 instantly and every 6 seconds',100,1,0),
(307982,10103377,'Inflicts 134 - 164 mental damage on target instantly and every 6 seconds',100,1,1),
(307983,10103377,'Increases power of caster by 126',100,1,2),
(307984,118554,'Dazes caster',100,1,0),
(307985,118554,'Roots caster',100,1,1),
(307986,118554,'Increases Mitigation of caster vs physical damage by 800',100,1,2),
(307987,10118554,'Dazes caster',100,1,0),
(307988,10118554,'Roots caster',100,1,1),
(307989,10118554,'Increases Mitigation of caster vs physical damage by 800',100,1,2),
(307990,121402,'Inflicts 606 - 741 magic damage on target instantly and every 8 seconds',100,1,0),
(307991,121402,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(307992,121402,'Stuns target',100,2,2),
(307993,121402,'Blurs vision of target',100,2,3),
(307994,121402,'Throws target back',100,2,4),
(307995,121402,'Does not affect Epic targets',100,2,5),
(307996,10121402,'Inflicts 788 - 963 magic damage on target instantly and every 8 seconds',100,1,0),
(307997,10121402,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(307998,10121402,'Stuns target',100,2,2),
(307999,10121402,'Throws target back',100,2,3),
(308000,10121402,'Blurs vision of target',100,2,4),
(308001,10121402,'Does not affect Epic targets',100,2,5),
(308002,120033,'Inflicts 60 - 73 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(308003,120033,'Decreases power of target encounter by 20 instantly and every 4 seconds',100,1,1),
(308004,10120033,'Inflicts 78 - 95 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(308005,10120033,'Decreases power of target encounter by 20 instantly and every 4 seconds',100,1,1),
(308006,109039,'Increases Attack Speed of caster by 18.8',100,1,0),
(308007,109039,'Decreases Defense of caster by 10.5',100,1,1),
(308008,109039,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.0',100,1,2),
(308009,10109039,'Increases Attack Speed of caster by 18.8',100,1,0),
(308010,10109039,'Decreases Defense of caster by 10.5',100,1,1),
(308011,10109039,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.0',100,1,2),
(308012,104923,'Inflicts 297 - 495 ranged damage on target',100,1,0),
(308013,104923,'Decreases Deflection and Parry of target by 27.4',100,1,1),
(308014,104923,'Requires bow',100,1,2),
(308015,10104923,'Inflicts 223 - 371 ranged damage on target',100,1,0),
(308016,10104923,'Decreases Deflection and Parry of target by 27.4',100,1,1),
(308017,10104923,'Requires bow',100,1,2),
(308018,109875,'Increases Defense of group members (AE) by 26.6',100,1,0),
(308019,10109875,'Increases Defense of group members (AE) by 26.6',100,1,0),
(308020,116415,'Summons a pet hawk companion',100,1,0),
(308021,10116415,'Summons a pet hawk companion',100,1,0),
(308022,114258,'Inflicts 630 - 770 mental damage on target',100,1,0),
(308023,114258,'Stuns target',100,1,1),
(308024,114258,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(308025,114258,'Resistibility increases against targets higher than level 118.',100,1,3),
(308026,10114258,'Inflicts 819 - 1000 mental damage on target',100,1,0),
(308027,10114258,'Requires not being affected by Mesmerize effects.',100,2,1),
(308028,10114258,'Stuns target',100,1,2),
(308029,10114258,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(308030,10114258,'Resistibility increases against targets higher than level 118.',100,1,4),
(308031,112394,'Increases Crushing, Piercing, Slashing and Ranged of target by 49.0',100,1,0),
(308032,112394,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(308033,112394,'Inflicts 378 - 462 piercing damage on target',100,2,2),
(308034,112394,'Inflicts 189 - 231 piercing damage on target every 3 seconds',100,2,3),
(308035,10112394,'Increases Crushing, Piercing, Slashing and Ranged of target by 49.0',100,1,0),
(308036,10112394,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(308037,10112394,'Inflicts 492 - 601 piercing damage on target',100,2,2),
(308038,10112394,'Inflicts 246 - 300 piercing damage on target every 3 seconds',100,2,3),
(308039,141748,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(308040,141748,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308041,141748,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(308042,141748,'Cannot be modified except by direct means',100,2,3),
(308043,10141748,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(308044,10141748,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308045,10141748,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(308046,10141748,'Cannot be modified except by direct means',100,2,3),
(308047,164004,'When Equipped:',100,0,0),
(308048,164004,'Increases Attack Speed of caster by 25.0',100,1,1),
(308049,10164004,'When Equipped:',100,0,0),
(308050,10164004,'Increases Attack Speed of caster by 25.0',100,1,1),
(308051,101455,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(308052,101455,'Increases Mitigation of group members (AE) vs noxious damage by 1023',100,1,1),
(308053,10101455,'Increases Max Power of group members (AE) by 616.4',100,1,0),
(308054,10101455,'Increases Mitigation of group members (AE) vs noxious damage by 1023',100,1,1),
(308055,51283,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(308056,51283,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(308057,51283,'Inflicts 48 heat damage on target',100,2,2),
(308058,51283,'Cannot be modified except by direct means',100,2,3),
(308059,10051283,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(308060,10051283,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(308061,10051283,'Inflicts 63 heat damage on target',100,2,2),
(308062,10051283,'Cannot be modified except by direct means',100,2,3),
(308063,27143,'When Equipped:',100,0,0),
(308064,27143,'On any combat or spell hit this spell may cast Superior Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(308065,27143,'Heals caster for 960',100,2,2),
(308066,27143,'Cannot be modified except by direct means',100,2,3),
(308067,10027143,'When Equipped:',100,0,0),
(308068,10027143,'On any combat or spell hit this spell may cast Superior Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(308069,10027143,'Heals caster for 624',100,2,2),
(308070,10027143,'Cannot be modified except by direct means',100,2,3),
(308071,118878,'Inflicts 45 - 75 melee damage on target',100,1,0),
(308072,118878,'Inflicts 45 - 75 melee damage on target',100,1,1),
(308073,118878,'Inflicts 45 - 75 melee damage on target',100,1,2),
(308074,118878,'Inflicts 45 - 75 melee damage on target',100,1,3),
(308075,118878,'Inflicts 45 - 75 melee damage on target',100,1,4),
(308076,10118878,'Inflicts 58 - 97 melee damage on target',100,1,0),
(308077,10118878,'Inflicts 58 - 97 melee damage on target',100,1,1),
(308078,10118878,'Inflicts 58 - 97 melee damage on target',100,1,2),
(308079,10118878,'Inflicts 58 - 97 melee damage on target',100,1,3),
(308080,10118878,'Inflicts 58 - 97 melee damage on target',100,1,4),
(308081,82077,'When Equipped:',100,0,0),
(308082,82077,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308083,82077,'Inflicts 138 - 257 magic damage on target',100,2,2),
(308084,82077,'Cannot be modified except by direct means',100,2,3),
(308085,10082077,'When Equipped:',100,0,0),
(308086,10082077,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308087,10082077,'Inflicts 180 - 334 magic damage on target',100,2,2),
(308088,10082077,'Cannot be modified except by direct means',100,2,3),
(308089,141833,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(308090,141833,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308091,141833,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(308092,141833,'Cannot be modified except by direct means',100,2,3),
(308093,10141833,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(308094,10141833,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308095,10141833,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(308096,10141833,'Cannot be modified except by direct means',100,2,3),
(308097,118155,'Inflicts 236 - 394 melee damage on target',100,1,0),
(308098,118155,'Dazes target',100,1,1),
(308099,118155,'If Target is not Epic',100,2,2),
(308100,118155,'Resistibility increases against targets higher than level 83.',100,1,3),
(308101,10118155,'Inflicts 307 - 513 melee damage on target',100,1,0),
(308102,10118155,'Dazes target',100,1,1),
(308103,10118155,'If Target is not Epic',100,2,2),
(308104,10118155,'Resistibility increases against targets higher than level 83.',100,1,3),
(308105,71734,'When Equipped:',100,0,0),
(308106,71734,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308107,71734,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(308108,71734,'Cannot be modified except by direct means',100,2,3),
(308109,10071734,'When Equipped:',100,0,0),
(308110,10071734,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308111,10071734,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(308112,10071734,'Cannot be modified except by direct means',100,2,3),
(308113,111626,'Inflicts 75 - 140 cold damage on target',100,1,0),
(308114,10111626,'Inflicts 98 - 182 cold damage on target',100,1,0),
(308115,191424,'When Equipped:',100,0,0),
(308116,191424,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(308117,191424,'This effect suspends during combat',100,1,2),
(308118,10191424,'When Equipped:',100,0,0),
(308119,10191424,'Increases Out-of-Combat Health Regeneration of caster by 27.8',100,1,1),
(308120,10191424,'This effect suspends during combat',100,1,2),
(308121,101613,'Applies Forceful Headache on termination.',100,1,0),
(308122,101613,'Inflicts 32 - 54 mental damage on target',100,2,1),
(308123,101613,'If over 50% power',100,3,2),
(308124,101613,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',100,1,3),
(308125,101613,'Decreases Mitigation of target vs arcane damage by 149',100,1,4),
(308126,10101613,'Applies Forceful Headache on termination.',100,1,0),
(308127,10101613,'Inflicts 42 - 70 mental damage on target',100,2,1),
(308128,10101613,'If over 50% power',100,3,2),
(308129,10101613,'Inflicts 17 - 21 mental damage on target instantly and every 6 seconds',100,1,3),
(308130,10101613,'Decreases Mitigation of target vs arcane damage by 149',100,1,4),
(308131,116752,'Increases Max Health of target by 276.8',100,1,0),
(308132,116752,'Increases Max Power of target by 324.0',100,1,1),
(308133,10116752,'Increases Max Health of target by 276.8',100,1,0),
(308134,10116752,'Increases Max Power of target by 324.0',100,1,1),
(308135,102390,'Inflicts 216 - 401 melee damage on targets in area',100,1,0),
(308136,10102390,'Inflicts 281 - 522 melee damage on targets in area',100,1,0),
(308137,24463,'Adds Kobold (Paladin) to your Dungeon Maker toolbox',100,0,0),
(308138,10024463,'Adds Kobold (Paladin) to your Dungeon Maker toolbox',100,0,0),
(308139,104768,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(308140,104768,'Inflicts 224 disease damage on target',100,2,1),
(308141,104768,'Heals caster for 118',100,2,2),
(308142,104768,'Heals group members'' pets for 118',100,2,3),
(308143,10104768,'On any combat or spell hit this spell will cast Consume on target of attack.  ',100,1,0),
(308144,10104768,'Inflicts 292 disease damage on target',100,2,1),
(308145,10104768,'Heals caster for 77',100,2,2),
(308146,10104768,'Heals group members'' pets for 77',100,2,3),
(308147,115129,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(308148,115129,'Heals target for 656',100,2,1),
(308149,115129,'Heals target for 164 every 2 seconds',100,2,2),
(308150,115129,'Increases WIS of target by 65.0',100,2,3),
(308151,115129,'Grants a total of 1 trigger of the spell.',100,2,4),
(308152,10115129,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(308153,10115129,'Heals target for 427',100,2,1),
(308154,10115129,'Heals target for 106 every 2 seconds',100,2,2),
(308155,10115129,'Increases WIS of target by 65.0',100,2,3),
(308156,10115129,'Grants a total of 1 trigger of the spell.',100,2,4),
(308157,117934,'Heals target for 54 - 65',100,1,0),
(308158,117934,'Increases Max Health of target by 6.1',100,1,1),
(308159,10117934,'Heals target for 61 - 75',100,1,0),
(308160,10117934,'Increases Max Health of target by 6.1',100,1,1),
(308161,108261,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(308162,108261,'Inflicts 88 heat damage on target',100,2,1),
(308163,108261,'Grants a total of 3 triggers of the spell.',100,2,2),
(308164,10108261,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(308165,10108261,'Inflicts 115 heat damage on target',100,2,1),
(308166,10108261,'Grants a total of 3 triggers of the spell.',100,2,2),
(308167,46775,'Applies Lenya''s Blessing when Activated.  Lasts for 15 minutes.',100,0,0),
(308168,46775,'Increases Max Power of caster by 108.0',100,1,1),
(308169,10046775,'Applies Lenya''s Blessing when Activated.  Lasts for 15 minutes.',100,0,0),
(308170,10046775,'Increases Max Power of caster by 108.0',100,1,1),
(308171,118459,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(308172,118459,'Inflicts 22 - 26 heat damage on target instantly and every second',100,2,1),
(308173,10118459,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(308174,10118459,'Inflicts 28 - 34 heat damage on target instantly and every second',100,2,1),
(308175,124708,'Heals group members (AE) for 360 - 440',100,1,0),
(308176,10124708,'Heals group members (AE) for 436 - 533',100,1,0),
(308177,121708,'Increases AGI of caster by 34.4',100,1,0),
(308178,121708,'Adds 2.2% to base avoidance.',100,1,1),
(308179,121708,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(308180,121708,'Increases Parry of caster by 20.2',100,1,3),
(308181,121708,'Increases Defense of caster by 26.9',100,1,4),
(308182,10121708,'Increases AGI of caster by 34.4',100,1,0),
(308183,10121708,'Adds 2.2% to base avoidance.',100,1,1),
(308184,10121708,'Decreases Slashing and Piercing of caster by 16.3',100,1,2),
(308185,10121708,'Increases Parry of caster by 20.2',100,1,3),
(308186,10121708,'Increases Defense of caster by 26.9',100,1,4),
(308187,87303,'When Equipped:',100,0,0),
(308188,87303,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308189,87303,'Inflicts 73 - 110 magic damage on target',100,2,2),
(308190,87303,'Cannot be modified except by direct means',100,2,3),
(308191,10087303,'When Equipped:',100,0,0),
(308192,10087303,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308193,10087303,'Inflicts 95 - 143 magic damage on target',100,2,2),
(308194,10087303,'Cannot be modified except by direct means',100,2,3),
(308195,109012,'Decreases Damage Per Second of target by 26.3',100,1,0),
(308196,109012,'Inflicts 204 - 250 melee damage on target',100,1,1),
(308197,10109012,'Decreases Damage Per Second of target by 26.3',100,1,0),
(308198,10109012,'Inflicts 266 - 325 melee damage on target',100,1,1),
(308199,146322,'When Equipped:',100,0,0),
(308200,146322,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(308201,10146322,'When Equipped:',100,0,0),
(308202,10146322,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(308203,47540,'Applies Pink Two Tone Warg with Pink Armor when Activated.',100,0,0),
(308204,47540,'Summons a mount to ride',100,1,1),
(308205,47540,'Increases your ground speed by 130%',100,2,2),
(308206,47540,'Increases damage done by spells and combat arts by up to 50.',100,1,3),
(308207,47540,'Increases Disruption, Crushing, Piercing, Slashing and Ranged of caster by 7.0',100,1,4),
(308208,10047540,'Applies Pink Two Tone Warg with Pink Armor when Activated.',100,0,0),
(308209,10047540,'Summons a mount to ride',100,1,1),
(308210,10047540,'Increases your ground speed by 130%',100,2,2),
(308211,10047540,'Increases damage done by spells and combat arts by up to 50.',100,1,3),
(308212,10047540,'Increases Disruption, Crushing, Piercing, Slashing and Ranged of caster by 7.0',100,1,4),
(308213,114589,'Inflicts 410 - 684 ranged damage on target',100,1,0),
(308214,114589,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(308215,114589,'Requires bow',100,1,2),
(308216,10114589,'Inflicts 382 - 637 ranged damage on target',100,1,0),
(308217,10114589,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(308218,10114589,'Requires bow',100,1,2),
(308219,143601,'When Equipped:',100,0,0),
(308220,143601,'On a hostile spell cast this spell may cast Poisonous Fire on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(308221,143601,'Inflicts 458 heat damage on target',100,2,2),
(308222,143601,'Inflicts 458 poison damage on target',100,2,3),
(308223,143601,'Reduces the reuse timers of all caster''s spells by 5%.',100,2,4),
(308224,143601,'Reduces cast time of all caster''s spells by 5%.',100,2,5),
(308225,143601,'Cannot be modified except by direct means',100,2,6),
(308226,143601,'Cannot be modified except by direct means',100,1,7),
(308227,10143601,'When Equipped:',100,0,0),
(308228,10143601,'On a hostile spell cast this spell may cast Poisonous Fire on target of spell.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(308229,10143601,'Inflicts 596 heat damage on target',100,2,2),
(308230,10143601,'Inflicts 596 poison damage on target',100,2,3),
(308231,10143601,'Reduces the reuse timers of all caster''s spells by 5%.',100,2,4),
(308232,10143601,'Reduces cast time of all caster''s spells by 5%.',100,2,5),
(308233,10143601,'Cannot be modified except by direct means',100,2,6),
(308234,10143601,'Cannot be modified except by direct means',100,1,7),
(308235,107592,'Dazes target encounter',100,1,0),
(308236,107592,'Inflicts 374 - 457 mental damage on target encounter',100,1,1),
(308237,107592,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(308238,107592,'Resistibility increases against targets higher than level 82.',100,1,3),
(308239,10107592,'Dazes target encounter',100,1,0),
(308240,10107592,'Inflicts 486 - 595 mental damage on target encounter',100,1,1),
(308241,10107592,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(308242,10107592,'Resistibility increases against targets higher than level 82.',100,1,3),
(308243,45149,'Applies Channel Spirit when Activated.',100,0,0),
(308244,45149,'Allows user to contact Akina through the spirit plane.',100,1,1),
(308245,10045149,'Applies Channel Spirit when Activated.',100,0,0),
(308246,10045149,'Allows user to contact Akina through the spirit plane.',100,1,1),
(308247,27401,'When Equipped:',100,0,0),
(308248,27401,'Increases all magic damage by up to 10.',100,1,1),
(308249,10027401,'When Equipped:',100,0,0),
(308250,10027401,'Increases all magic damage by up to 10.',100,1,1),
(308251,35790,'Increases INT and WIS of target by 13.2',100,0,0),
(308252,35790,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(308253,109268,'Shapechanges caster into a stag',100,1,0),
(308254,10109268,'Shapechanges caster into a stag',100,1,0),
(308255,81028,'When Equipped:',100,0,0),
(308256,81028,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(308257,81028,'Decreases Threat to target by 517 ',100,2,2),
(308258,81028,'Must be flanking or behind',100,3,3),
(308259,81028,'Increases Threat to target by 517 ',100,2,4),
(308260,81028,'Must be in front of',100,3,5),
(308261,81028,'Inflicts 148 - 275 magic damage on target',100,2,6),
(308262,81028,'Cannot be modified except by direct means',100,2,7),
(308263,10081028,'When Equipped:',100,0,0),
(308264,10081028,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(308265,10081028,'Inflicts 192 - 357 magic damage on target',100,2,2),
(308266,10081028,'Cannot be modified except by direct means',100,2,3),
(308267,138516,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(308268,138516,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 886',100,1,1),
(308269,138516,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(308270,10138516,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(308271,10138516,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 886',100,1,1),
(308272,10138516,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(308273,121757,'Heals target for 10 - 12',100,1,0),
(308274,121757,'Heals target for 2 every second',100,1,1),
(308275,10121757,'Heals target for 17 - 21',100,1,0),
(308276,10121757,'Heals target for 1 - 2 every second',100,1,1),
(308277,114454,'Inflicts 156 - 260 heat damage on target',100,1,0),
(308278,10114454,'Inflicts 203 - 339 heat damage on target',100,1,0),
(308279,110090,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(308280,110090,'Inflicts 9 disease damage on target',100,2,1),
(308281,110090,'Heals caster for 6',100,2,2),
(308282,110090,'Decreases INT of target by 54.0',100,1,3),
(308283,110090,'Decreases Attack Speed of target by 25.0',100,1,4),
(308284,110090,'Increases Max Health of target by 9.5%',100,1,5),
(308285,110090,'Increases Hate Gain of target by 17.1%',100,1,6),
(308286,110090,'Increases Aggression of target by 4.0',100,1,7),
(308287,110090,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(308288,110090,'Increases Threat to target encounter by 30 - 37 ',100,2,9),
(308289,110090,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',100,1,10),
(308290,10110090,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(308291,10110090,'Inflicts 11 disease damage on target',100,2,1),
(308292,10110090,'Heals caster for 4',100,2,2),
(308293,10110090,'Decreases INT of target by 54.0',100,1,3),
(308294,10110090,'Decreases Attack Speed of target by 25.0',100,1,4),
(308295,10110090,'Increases Max Health of target by 9.5%',100,1,5),
(308296,10110090,'Increases Aggression of target by 4.0',100,1,6),
(308297,10110090,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',100,1,7),
(308298,108218,'Increases power of caster by 98 instantly and every 4 seconds',100,1,0),
(308299,10108218,'Increases power of caster by 98 instantly and every 4 seconds',100,1,0),
(308300,116425,'Inflicts 81 - 135 mental damage on target',100,1,0),
(308301,10116425,'Inflicts 106 - 176 mental damage on target',100,1,0),
(308302,47660,'Applies Quadror the Stout when Activated.',100,0,0),
(308303,47660,'Summons a mount to ride',100,1,1),
(308304,47660,'Increases your ground speed by 130%',100,2,2),
(308305,47660,'Increases Crit Bonus of caster by 4.0%',100,1,3),
(308306,47660,'Increases Potency of caster by 4.0%',100,1,4),
(308307,47660,'Increases Crit Chance of caster by 15.0',100,1,5),
(308308,47660,'Increases Max Health of caster by 600.0',100,1,6),
(308309,47660,'Increases Max Power of caster by 600.0',100,1,7),
(308310,10047660,'Applies Quadror the Stout when Activated.',100,0,0),
(308311,10047660,'Summons a mount to ride',100,1,1),
(308312,10047660,'Increases your ground speed by 130%',100,2,2),
(308313,10047660,'Increases Crit Bonus of caster by 4.0%',100,1,3),
(308314,10047660,'Increases Potency of caster by 4.0%',100,1,4),
(308315,10047660,'Increases Crit Chance of caster by 15.0',100,1,5),
(308316,10047660,'Increases Max Health of caster by 600.0',100,1,6),
(308317,10047660,'Increases Max Power of caster by 600.0',100,1,7),
(308318,75619,'Applies Holy Strike when Activated.',100,0,0),
(308319,75619,'Inflicts 127 - 211 divine damage on target',100,1,1),
(308320,75619,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(308321,10075619,'Applies Holy Strike when Activated.',100,0,0),
(308322,10075619,'Inflicts 164 - 274 divine damage on target',100,1,1),
(308323,10075619,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(308324,119392,'Decreases threat priority of target by 1 position',100,1,0),
(308325,119392,'Decreases Threat to target by 1,349 ',100,1,1),
(308326,119392,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(308327,119392,'Grants stealth to caster',100,2,3),
(308328,119392,'Suspends caster''s movement speed enhancements',100,2,4),
(308329,10119392,'Applies Distract.',100,1,0),
(308330,10119392,'Forces target to clear their selected target.',100,2,1),
(308331,10119392,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(308332,10119392,'Grants stealth to caster',100,2,3),
(308333,10119392,'Suspends caster''s movement speed enhancements',100,2,4),
(308334,110908,'Inflicts 18 - 31 divine damage on target',100,1,0),
(308335,110908,'Increases Threat to target by 182 ',100,1,1),
(308336,110908,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(308337,110908,'Stuns target',100,2,3),
(308338,110908,'Throws target back',100,2,4),
(308339,110908,'Blurs vision of target',100,2,5),
(308340,110908,'Does not affect Epic targets',100,2,6),
(308341,10110908,'Inflicts 24 - 40 divine damage on target',100,1,0),
(308342,10110908,'Prevents target from changing targets',100,1,1),
(308343,10110908,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(308344,10110908,'Stuns target',100,2,3),
(308345,10110908,'Throws target back',100,2,4),
(308346,10110908,'Blurs vision of target',100,2,5),
(308347,10110908,'Does not affect Epic targets',100,2,6),
(308348,10110908,'Forces target to change their selected target to caster.',100,1,7),
(308349,116249,'Summons a pet Illusion Ally',100,1,0),
(308350,10116249,'Summons a pet Illusion Ally',100,1,0),
(308351,45983,'Applies Spirit of the dragon when Activated.  Lasts for 12 hours.',100,0,0),
(308352,45983,'Shapechanges caster into a dragon',100,1,1),
(308353,10045983,'Applies Spirit of the dragon when Activated.  Lasts for 12 hours.',100,0,0),
(308354,10045983,'Shapechanges caster into a dragon',100,1,1),
(308355,139417,'When Equipped:',100,0,0),
(308356,139417,'Reduces maximum falling speed of caster',100,1,1),
(308357,10139417,'When Equipped:',100,0,0),
(308358,10139417,'Reduces maximum falling speed of caster',100,1,1),
(308359,107101,'Inflicts 221 - 271 divine damage on target',100,1,0),
(308360,10107101,'Inflicts 288 - 352 divine damage on target',100,1,0),
(308361,114843,'Decreases AGI of target by 8.2',100,1,0),
(308362,114843,'Decreases Defense of target by 2.6',100,1,1),
(308363,10114843,'Decreases AGI of target by 8.2',100,1,0),
(308364,10114843,'Decreases Defense of target by 2.6',100,1,1),
(308365,105878,'Inflicts 54 - 91 ranged damage on target',100,1,0),
(308366,105878,'Inflicts 54 - 91 ranged damage on target',100,1,1),
(308367,105878,'If weapon equipped in Ranged',100,1,2),
(308368,10105878,'Inflicts 41 - 68 ranged damage on target',100,1,0),
(308369,10105878,'Inflicts 41 - 68 ranged damage on target',100,1,1),
(308370,10105878,'If weapon equipped in Ranged',100,1,2),
(308371,122850,'Inflicts 40 - 67 ranged damage on target',100,1,0),
(308372,122850,'Inflicts 81 - 135 ranged damage on target',100,1,1),
(308373,122850,'Inflicts 122 - 203 ranged damage on target',100,1,2),
(308374,122850,'Requires bow',100,1,3),
(308375,10122850,'Inflicts 38 - 63 ranged damage on target',100,1,0),
(308376,10122850,'Inflicts 76 - 127 ranged damage on target',100,1,1),
(308377,10122850,'Inflicts 114 - 191 ranged damage on target',100,1,2),
(308378,10122850,'Requires bow',100,1,3),
(308379,81928,'When Equipped:',100,0,0),
(308380,81928,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(308381,81928,'Decreases Threat to target by 994 ',100,2,2),
(308382,81928,'Must be flanking or behind',100,3,3),
(308383,81928,'Increases Threat to target by 994 ',100,2,4),
(308384,81928,'Must be in front of',100,3,5),
(308385,81928,'Inflicts 265 - 492 magic damage on target',100,2,6),
(308386,81928,'Cannot be modified except by direct means',100,2,7),
(308387,10081928,'When Equipped:',100,0,0),
(308388,10081928,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(308389,10081928,'Inflicts 345 - 640 magic damage on target',100,2,2),
(308390,10081928,'Cannot be modified except by direct means',100,2,3),
(308391,120077,'Inflicts 171 - 285 mental damage on target',100,1,0),
(308392,120077,'Inflicts 171 - 285 mental damage on target',100,1,1),
(308393,120077,'Stifles target',100,1,2),
(308394,120077,'If Target is not Epic',100,2,3),
(308395,120077,'If weapon equipped in Ranged',100,1,4),
(308396,120077,'Resistibility increases against targets higher than level 87.',100,1,5),
(308397,10120077,'Inflicts 171 - 285 mental damage on target',100,1,0),
(308398,10120077,'Inflicts 171 - 285 mental damage on target',100,1,1),
(308399,10120077,'Stifles target',100,1,2),
(308400,10120077,'If Target is not Epic',100,2,3),
(308401,10120077,'If weapon equipped in Ranged',100,1,4),
(308402,10120077,'Resistibility increases against targets higher than level 87.',100,1,5),
(308403,48457,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(308404,48457,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(308405,48457,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(308406,48457,'Cannot be modified except by direct means',100,2,3),
(308407,48457,'Grants a total of 80 triggers of the spell.',100,2,4),
(308408,10048457,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(308409,10048457,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(308410,10048457,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(308411,10048457,'Cannot be modified except by direct means',100,2,3),
(308412,10048457,'Grants a total of 80 triggers of the spell.',100,2,4),
(308413,79776,'Applies Mark of Pestilence when Equipped.',100,0,0),
(308414,10079776,'Applies Mark of Pestilence when Equipped.',100,0,0),
(308415,36100,'Increases AGI and STA of target by 84.7',100,0,0),
(308416,36100,'Increases Attack Speed of target by 15.0',100,0,1),
(308417,36100,'Increases Damage Per Second of target by 15.0',100,0,2),
(308418,36100,'Increases Out-of-Combat Power Regeneration of target by 159.3',100,0,3),
(308419,109386,'Inflicts 178 - 536 melee damage on target',100,1,0),
(308420,109386,'Inflicts 223 - 671 melee damage on target',100,1,1),
(308421,109386,'Inflicts 268 - 805 melee damage on target',100,1,2),
(308422,10109386,'Inflicts 232 - 698 melee damage on target',100,1,0),
(308423,10109386,'Inflicts 290 - 872 melee damage on target',100,1,1),
(308424,10109386,'Inflicts 349 - 1047 melee damage on target',100,1,2),
(308425,104823,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(308426,104823,'If Fighter',100,2,1),
(308427,104823,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(308428,104823,'Increases power of target by 14',100,2,3),
(308429,104823,'Increases power of caster by 14',100,2,4),
(308430,10104823,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(308431,10104823,'Increases power of target by 14',100,2,1),
(308432,10104823,'Increases power of caster by 14',100,2,2),
(308433,105432,'Increases STR of caster by 244.9',100,1,0),
(308434,105432,'Decreases Defense of caster by 22.2',100,1,1),
(308435,105432,'Increases Slashing, Piercing, Crushing and Disruption of caster by 46.6',100,1,2),
(308436,10105432,'Increases STR of caster by 244.9',100,1,0),
(308437,10105432,'Decreases Defense of caster by 22.2',100,1,1),
(308438,10105432,'Increases Slashing, Piercing, Crushing and Disruption of caster by 46.6',100,1,2),
(308439,37034,'Increases Max Power of target by 47.2',100,0,0),
(308440,37034,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(308441,112752,'Interrupts target',100,1,0),
(308442,112752,'Inflicts 60 - 99 divine damage on target',100,1,1),
(308443,10112752,'Interrupts target',100,1,0),
(308444,10112752,'Inflicts 77 - 129 divine damage on target',100,1,1),
(308445,119943,'Inflicts 163 - 271 melee damage on target',100,1,0),
(308446,119943,'Stifles target',100,1,1),
(308447,119943,'If Target is not Epic',100,2,2),
(308448,119943,'Resistibility increases against targets higher than level 79.',100,1,3),
(308449,10119943,'Inflicts 212 - 353 melee damage on target',100,1,0),
(308450,10119943,'Stifles target',100,1,1),
(308451,10119943,'If Target is not Epic',100,2,2),
(308452,10119943,'Resistibility increases against targets higher than level 79.',100,1,3),
(308453,119728,'Wards group members (AE) against 38 points of elemental, noxious and arcane damage',100,1,0),
(308454,119728,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,1),
(308455,10119728,'Wards group members (AE) against 38 points of elemental, noxious and arcane damage',100,1,0),
(308456,10119728,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,1),
(308457,109824,'Inflicts 141 - 235 melee damage on target',100,1,0),
(308458,109824,'Decreases Parry of target by 19.1',100,1,1),
(308459,109824,'Must be in front of or flanking',100,1,2),
(308460,10109824,'Inflicts 183 - 305 melee damage on target',100,1,0),
(308461,10109824,'Decreases Parry of target by 19.1',100,1,1),
(308462,10109824,'Must be in front of or flanking',100,1,2),
(308463,188253,'When Equipped:',100,0,0),
(308464,188253,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(308465,188253,'Increases Riposte Damage of caster by 9.0',100,1,2),
(308466,188253,'Increases Additional chance to Riposte of caster by 9.0',100,1,3),
(308467,188253,'Must not be engaged in pvp combat',100,1,4),
(308468,10188253,'When Equipped:',100,0,0),
(308469,10188253,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(308470,10188253,'Increases Riposte Damage of caster by 9.0',100,1,2),
(308471,10188253,'Increases Additional chance to Riposte of caster by 9.0',100,1,3),
(308472,10188253,'Must not be engaged in pvp combat',100,1,4),
(308473,122715,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(308474,122715,'Increases Deflection of caster by 5.8',100,1,1),
(308475,10122715,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(308476,10122715,'Increases Deflection of caster by 5.8',100,1,1),
(308477,115134,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(308478,115134,'Heals target for 875',100,2,1),
(308479,115134,'Heals target for 218 every 2 seconds',100,2,2),
(308480,115134,'Increases WIS of target by 86.7',100,2,3),
(308481,115134,'Grants a total of 1 trigger of the spell.',100,2,4),
(308482,10115134,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(308483,10115134,'Heals target for 569',100,2,1),
(308484,10115134,'Heals target for 142 every 2 seconds',100,2,2),
(308485,10115134,'Increases WIS of target by 86.7',100,2,3),
(308486,10115134,'Grants a total of 1 trigger of the spell.',100,2,4),
(308487,48181,'Applies Spirit of the Bat when Activated.  Lasts for 30 minutes.',100,0,0),
(308488,48181,'Increases Out-of-Combat Power Regeneration of caster by 48.0',100,1,1),
(308489,48181,'Shapechanges caster into a bat',100,1,2),
(308490,48181,'This effect suspends during combat',100,1,3),
(308491,48181,'Only affects targets level 30 and above',100,1,4),
(308492,10048181,'Applies Spirit of the Bat when Activated.  Lasts for 30 minutes.',100,0,0),
(308493,10048181,'Increases Out-of-Combat Power Regeneration of caster by 48.0',100,1,1),
(308494,10048181,'Shapechanges caster into a bat',100,1,2),
(308495,10048181,'This effect suspends during combat',100,1,3),
(308496,10048181,'Only affects targets level 30 and above',100,1,4),
(308497,82608,'When Equipped:',100,0,0),
(308498,82608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308499,82608,'Inflicts 78 - 144 magic damage on target',100,2,2),
(308500,82608,'Cannot be modified except by direct means',100,2,3),
(308501,10082608,'When Equipped:',100,0,0),
(308502,10082608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308503,10082608,'Inflicts 101 - 188 magic damage on target',100,2,2),
(308504,10082608,'Cannot be modified except by direct means',100,2,3),
(308505,35156,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(308506,35156,'Increases Max Health of target by 91.0',100,0,1),
(308507,88205,'Applies Flow of Fyr''Un when Equipped.',100,0,0),
(308508,88205,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,1),
(308509,88205,'When Equipped:',100,0,2),
(308510,88205,'On a hostile spell cast this spell may cast Strike of the Godking on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(308511,88205,'Inflicts 99 - 165 magic damage on target',100,2,4),
(308512,88205,'Heals caster for 97 - 162',100,2,5),
(308513,88205,'Decreases STR of target by 70.5',100,2,6),
(308514,88205,'Increases INT of caster by 70.5',100,2,7),
(308515,88205,'Cannot be modified except by direct means',100,2,8),
(308516,10088205,'Applies Flow of Fyr''Un when Equipped.',100,0,0),
(308517,10088205,'Increases In-Combat Power Regeneration of caster by 14.0',100,1,1),
(308518,10088205,'When Equipped:',100,0,2),
(308519,10088205,'On a hostile spell cast this spell may cast Strike of the Godking on target of spell.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,3),
(308520,10088205,'Inflicts 129 - 215 magic damage on target',100,2,4),
(308521,10088205,'Heals caster for 63 - 105',100,2,5),
(308522,10088205,'Decreases STR of target by 70.5',100,2,6),
(308523,10088205,'Increases INT of caster by 70.5',100,2,7),
(308524,10088205,'Cannot be modified except by direct means',100,2,8),
(308525,105859,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(308526,105859,'Increases Damage Per Second of caster by 68.5',100,1,1),
(308527,105859,'Increases Piercing, Slashing and Crushing of caster by 32.2',100,1,2),
(308528,10105859,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(308529,10105859,'Increases Damage Per Second of caster by 68.5',100,1,1),
(308530,10105859,'Increases Piercing, Slashing and Crushing of caster by 32.2',100,1,2),
(308531,123405,'When damaged with a melee weapon this spell has a 10% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(308532,123405,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(308533,10123405,'When damaged with a melee weapon this spell has a 10% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',100,1,0),
(308534,10123405,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,1),
(308535,140452,'When Equipped:',100,0,0),
(308536,140452,'Increases Attack Speed of caster by 35.0',100,1,1),
(308537,10140452,'When Equipped:',100,0,0),
(308538,10140452,'Increases Attack Speed of caster by 35.0',100,1,1),
(308539,117564,'Decreases Parry of target by 9.0',100,1,0),
(308540,117564,'Inflicts 64 - 107 melee damage on target',100,1,1),
(308541,117564,'Must be in front of or flanking',100,1,2),
(308542,10117564,'Decreases Parry of target by 9.0',100,1,0),
(308543,10117564,'Inflicts 84 - 140 melee damage on target',100,1,1),
(308544,10117564,'Must be in front of or flanking',100,1,2),
(308545,112010,'Inflicts 391 - 652 piercing damage on target',100,1,0),
(308546,10112010,'Inflicts 508 - 848 piercing damage on target',100,1,0),
(308547,36929,'Increases Max Power of target by 22.8',100,0,0),
(308548,36929,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(308549,45400,'Applies Place Bowl when Activated.',100,0,0),
(308550,45400,'This effect cannot be cast during combat',100,1,1),
(308551,10045400,'Applies Place Bowl when Activated.',100,0,0),
(308552,10045400,'This effect cannot be cast during combat',100,1,1),
(308553,48848,'Applies Natures Wonder  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(308554,48848,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(308555,48848,'Inflicts 9 magic damage on target',100,2,2),
(308556,48848,'Cannot be modified except by direct means',100,2,3),
(308557,10048848,'Applies Natures Wonder  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(308558,10048848,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(308559,10048848,'Inflicts 12 magic damage on target',100,2,2),
(308560,10048848,'Cannot be modified except by direct means',100,2,3),
(308561,159323,'Applies Lambent Imbued when Equipped.',100,0,0),
(308562,159323,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308563,159323,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(308564,159323,'Cannot be modified except by direct means',100,2,3),
(308565,10159323,'Applies Lambent Imbued when Equipped.',100,0,0),
(308566,10159323,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308567,10159323,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(308568,10159323,'Cannot be modified except by direct means',100,2,3),
(308569,88638,'When Equipped:',100,0,0),
(308570,88638,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(308571,88638,'Wards target against 2400 points of all damage',100,2,2),
(308572,88638,'Cannot be modified except by direct means',100,2,3),
(308573,10088638,'When Equipped:',100,0,0),
(308574,10088638,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(308575,10088638,'Wards target against 2400 points of all damage',100,2,2),
(308576,10088638,'Cannot be modified except by direct means',100,2,3),
(308577,159260,'Applies Lambent Imbued when Equipped.',100,0,0),
(308578,159260,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308579,159260,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(308580,159260,'Cannot be modified except by direct means',100,2,3),
(308581,10159260,'Applies Lambent Imbued when Equipped.',100,0,0),
(308582,10159260,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308583,10159260,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(308584,10159260,'Cannot be modified except by direct means',100,2,3),
(308585,121578,'Stuns target encounter',100,1,0),
(308586,121578,'Epic targets gain an immunity to Stun effects of 14.6 seconds and duration is reduced to 1.6 seconds.',100,1,1),
(308587,121578,'Resistibility increases against targets higher than level 45.',100,1,2),
(308588,10121578,'Stuns target encounter',100,1,0),
(308589,10121578,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(308590,10121578,'Resistibility increases against targets higher than level 45.',100,1,2),
(308591,47854,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(308592,47854,'Increases power of caster by 139 instantly and every 4 seconds',100,1,1),
(308593,47854,'Requires 715 Health to cast.',100,1,2),
(308594,10047854,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(308595,10047854,'Increases power of caster by 139 instantly and every 4 seconds',100,1,1),
(308596,10047854,'Requires 715 Health to cast.',100,1,2),
(308597,123894,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(308598,123894,'Slows target by 40.9%',100,2,1),
(308599,123894,'5% chance to dispel when target receives hostile action',100,2,2),
(308600,123894,'5% chance to dispel when target takes damage',100,2,3),
(308601,123894,'Decreases Mitigation of target vs elemental and noxious damage by 396',100,1,4),
(308602,10123894,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(308603,10123894,'Slows target by 40.9%',100,2,1),
(308604,10123894,'5% chance to dispel when target receives hostile action',100,2,2),
(308605,10123894,'5% chance to dispel when target takes damage',100,2,3),
(308606,10123894,'Decreases Mitigation of target vs elemental and noxious damage by 396',100,1,4),
(308607,117674,'Decreases Mitigation of target vs physical damage by 494',100,1,0),
(308608,10117674,'Decreases Mitigation of target vs physical damage by 247',100,1,0),
(308609,111493,'Increases AGI of caster by 51.5',100,1,0),
(308610,111493,'Increases Attack Speed of caster by 26.7',100,1,1),
(308611,111493,'Increases in-combat movement speed of caster by 4.7%',100,1,2),
(308612,111493,'Adds 14.8% to base avoidance.',100,1,3),
(308613,111493,'Increases Mitigation of caster vs physical damage by 459',100,1,4),
(308614,111493,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,5),
(308615,10111493,'Increases AGI of caster by 51.5',100,1,0),
(308616,10111493,'Increases Attack Speed of caster by 26.7',100,1,1),
(308617,10111493,'Increases speed of caster by 4.7%',100,1,2),
(308618,10111493,'Adds 14.8% to base avoidance.',100,1,3),
(308619,10111493,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,4),
(308620,24327,'Adds Droag (Assassin) to your Dungeon Maker toolbox',100,0,0),
(308621,10024327,'Adds Droag (Assassin) to your Dungeon Maker toolbox',100,0,0),
(308622,164291,'When Equipped:',100,0,0),
(308623,164291,'Increases in-combat movement speed of caster by 5.0%',100,1,1),
(308624,164291,'Increases Damage Per Second of caster by 5.0',100,1,2),
(308625,164291,'Increases Attack Speed of caster by 5.0',100,1,3),
(308626,164291,'Must not be engaged in pvp combat',100,1,4),
(308627,10164291,'When Equipped:',100,0,0),
(308628,10164291,'Increases in-combat movement speed of caster by 5.0%',100,1,1),
(308629,10164291,'Increases Damage Per Second of caster by 5.0',100,1,2),
(308630,10164291,'Increases Attack Speed of caster by 5.0',100,1,3),
(308631,10164291,'Must not be engaged in pvp combat',100,1,4),
(308632,104058,'Inflicts 21 - 35 mental damage on target',100,1,0),
(308633,104058,'Inflicts 21 - 35 mental damage on target',100,1,1),
(308634,10104058,'Inflicts 27 - 45 mental damage on target',100,1,0),
(308635,10104058,'Inflicts 27 - 45 mental damage on target',100,1,1),
(308636,35519,'Increases STA and INT of target by 15.8',100,0,0),
(308637,35519,'Increases Out-of-Combat Power Regeneration of target by 138.0',100,0,1),
(308638,86247,'When Equipped:',100,0,0),
(308639,86247,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308640,86247,'Increases Attack Speed of caster by 11.9',100,2,2),
(308641,86247,'Cannot be modified except by direct means',100,2,3),
(308642,10086247,'When Equipped:',100,0,0),
(308643,10086247,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308644,10086247,'Increases Attack Speed of caster by 11.9',100,2,2),
(308645,10086247,'Cannot be modified except by direct means',100,2,3),
(308646,106919,'Inflicts 31 - 58 poison damage on target',100,1,0),
(308647,10106919,'Inflicts 41 - 76 poison damage on target',100,1,0),
(308648,153799,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(308649,153799,'Increases Hate Gain of caster by 15.0%',100,1,1),
(308650,153799,'Must not be engaged in pvp combat',100,1,2),
(308651,153799,'Cannot be modified except by direct means',100,1,3),
(308652,153799,'The reuse time of Monstrous Roar is 5 minutes',100,1,4),
(308653,153799,'When Equipped:',100,0,5),
(308654,153799,'On a critical spell hit this spell may cast Intimidating Rush II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(308655,153799,'Increases Threat to target by 190 - 210 ',100,2,7),
(308656,153799,'If over 80% Health',100,3,8),
(308657,153799,'Must not be engaged in pvp combat',100,2,9),
(308658,153799,'Cannot be modified except by direct means',100,2,10),
(308659,153799,'On a critical combat hit this spell may cast Intimidating Rush II on target of attack.  Triggers about 2.0 times per minute. ',100,1,11),
(308660,153799,'Increases Threat to target by 190 - 210 ',100,2,12),
(308661,153799,'If over 80% Health',100,3,13),
(308662,153799,'Must not be engaged in pvp combat',100,2,14),
(308663,153799,'Cannot be modified except by direct means',100,2,15),
(308664,153799,'Must not be engaged in pvp combat',100,1,16),
(308665,10153799,'Applies Monstrous Roar when Activated.  Lasts for 15.0 seconds.',100,0,0),
(308666,10153799,'Must not be engaged in pvp combat',100,1,1),
(308667,10153799,'Cannot be modified except by direct means',100,1,2),
(308668,10153799,'The reuse time of Monstrous Roar is 5 minutes',100,1,3),
(308669,10153799,'When Equipped:',100,0,4),
(308670,10153799,'On a critical spell hit this spell may cast Intimidating Rush II on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(308671,10153799,'Must not be engaged in pvp combat',100,2,6),
(308672,10153799,'Cannot be modified except by direct means',100,2,7),
(308673,10153799,'On a critical combat hit this spell may cast Intimidating Rush II on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(308674,10153799,'Must not be engaged in pvp combat',100,2,9),
(308675,10153799,'Cannot be modified except by direct means',100,2,10),
(308676,10153799,'Must not be engaged in pvp combat',100,1,11),
(308677,114445,'Inflicts 71 - 118 heat damage on target',100,1,0),
(308678,10114445,'Inflicts 92 - 154 heat damage on target',100,1,0),
(308679,48827,'Applies Kiston''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(308680,10048827,'Applies Kiston''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(308681,100137,'Inflicts 44 - 54 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(308682,100137,'Decreases Mitigation of target encounter vs noxious damage by 512',100,1,1),
(308683,10100137,'Inflicts 57 - 70 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(308684,10100137,'Decreases Mitigation of target encounter vs noxious damage by 512',100,1,1),
(308685,107230,'Inflicts 894 - 1491 melee damage on targets in area',100,1,0),
(308686,107230,'Dispels 241 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(308687,10107230,'Inflicts 1163 - 1938 melee damage on targets in area',100,1,0),
(308688,10107230,'Reduces healing received of targets in area by 10%',100,1,1),
(308689,163280,'When Equipped:',100,0,0),
(308690,163280,'On a critical combat hit this spell may cast Call of Solusek on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(308691,163280,'Inflicts 27 - 29 heat damage on target instantly and every 2 seconds',100,2,2),
(308692,163280,'Decreases Mitigation of target vs elemental damage by 157',100,2,3),
(308693,163280,'Summons a limited pet to aid the caster',100,2,4),
(308694,163280,'Must not be engaged in pvp combat',100,2,5),
(308695,163280,'Cannot be modified except by direct means',100,2,6),
(308696,163280,'On a critical spell hit this spell may cast Call of Solusek on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(308697,163280,'Inflicts 27 - 29 heat damage on target instantly and every 2 seconds',100,2,8),
(308698,163280,'Decreases Mitigation of target vs elemental damage by 157',100,2,9),
(308699,163280,'Summons a limited pet to aid the caster',100,2,10),
(308700,163280,'Must not be engaged in pvp combat',100,2,11),
(308701,163280,'Cannot be modified except by direct means',100,2,12),
(308702,163280,'Must not be engaged in pvp combat',100,1,13),
(308703,10163280,'When Equipped:',100,0,0),
(308704,10163280,'On a critical combat hit this spell may cast Call of Solusek on target of attack.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(308705,10163280,'Inflicts 35 - 38 heat damage on target instantly and every 2 seconds',100,2,2),
(308706,10163280,'Decreases Mitigation of target vs elemental damage by 157',100,2,3),
(308707,10163280,'Summons a limited pet to aid the caster',100,2,4),
(308708,10163280,'Must not be engaged in pvp combat',100,2,5),
(308709,10163280,'Cannot be modified except by direct means',100,2,6),
(308710,10163280,'On a critical spell hit this spell may cast Call of Solusek on target of spell.  Lasts for 14.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(308711,10163280,'Inflicts 35 - 38 heat damage on target instantly and every 2 seconds',100,2,8),
(308712,10163280,'Decreases Mitigation of target vs elemental damage by 157',100,2,9),
(308713,10163280,'Summons a limited pet to aid the caster',100,2,10),
(308714,10163280,'Must not be engaged in pvp combat',100,2,11),
(308715,10163280,'Cannot be modified except by direct means',100,2,12),
(308716,10163280,'Must not be engaged in pvp combat',100,1,13),
(308717,101900,'Inflicts 67 - 111 melee damage on target',100,1,0),
(308718,101900,'Decreases AGI of target by 9.6',100,1,1),
(308719,101900,'Must be behind',100,1,2),
(308720,10101900,'Inflicts 87 - 145 melee damage on target',100,1,0),
(308721,10101900,'Decreases AGI of target by 9.6',100,1,1),
(308722,10101900,'Must be behind',100,1,2),
(308723,124681,'Inflicts 142 - 174 cold damage on target instantly and every 4 seconds',100,1,0),
(308724,124681,'Slows target by 75.0%',100,1,1),
(308725,10124681,'Inflicts 185 - 226 cold damage on target',100,1,0),
(308726,10124681,'Inflicts 161 - 197 cold damage on target every 4 seconds',100,1,1),
(308727,10124681,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(308728,10124681,'Slows target by 75.0%',100,2,3),
(308729,113086,'Heals target for 44.5 - 54.3% of max health',100,1,0),
(308730,113086,'This effect cannot be critically applied.',100,2,1),
(308731,113086,'Increases Max Health of target by 102.1',100,1,2),
(308732,113086,'Increases Mitigation of target vs physical damage by 190',100,1,3),
(308733,113086,'The healing of this spell cannot be modified except by direct means',100,1,4),
(308734,10113086,'Heals target for 17.8 - 21.7% of max health',100,1,0),
(308735,10113086,'This effect cannot be critically applied.',100,2,1),
(308736,10113086,'Increases Max Health of target by 102.1',100,1,2),
(308737,10113086,'Increases Mitigation of target vs physical damage by 190',100,1,3),
(308738,10113086,'The healing of this spell cannot be modified except by direct means',100,1,4),
(308739,175420,'When Equipped:',100,0,0),
(308740,175420,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(308741,10175420,'When Equipped:',100,0,0),
(308742,10175420,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(308743,159954,'When Equipped:',100,0,0),
(308744,159954,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308745,159954,'Increases STR of caster by 19.8',100,2,2),
(308746,159954,'Increases Damage Per Second of caster by 25.2',100,2,3),
(308747,159954,'Cannot be modified except by direct means',100,2,4),
(308748,10159954,'When Equipped:',100,0,0),
(308749,10159954,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308750,10159954,'Increases STR of caster by 19.8',100,2,2),
(308751,10159954,'Increases Damage Per Second of caster by 25.2',100,2,3),
(308752,10159954,'Cannot be modified except by direct means',100,2,4),
(308753,114293,'Heals target for 365 - 446',100,1,0),
(308754,10114293,'Heals target for 429 - 524',100,1,0),
(308755,159561,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(308756,159561,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(308757,159561,'Inflicts 79 heat damage on target',100,2,2),
(308758,159561,'Cannot be modified except by direct means',100,2,3),
(308759,10159561,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(308760,10159561,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(308761,10159561,'Inflicts 103 heat damage on target',100,2,2),
(308762,10159561,'Cannot be modified except by direct means',100,2,3),
(308763,103847,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(308764,103847,'Slows target by 29.8%',100,2,1),
(308765,103847,'5% chance to dispel when target receives hostile action',100,2,2),
(308766,103847,'5% chance to dispel when target takes damage',100,2,3),
(308767,103847,'Decreases Mitigation of target vs noxious damage by 207',100,1,4),
(308768,10103847,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(308769,10103847,'Slows target by 29.8%',100,2,1),
(308770,10103847,'5% chance to dispel when target receives hostile action',100,2,2),
(308771,10103847,'5% chance to dispel when target takes damage',100,2,3),
(308772,10103847,'Decreases Mitigation of target vs noxious damage by 207',100,1,4),
(308773,47952,'Applies Healing when Activated.',100,0,0),
(308774,47952,'Heals group members (AE) for 316 - 527',100,1,1),
(308775,10047952,'Applies Healing when Activated.',100,0,0),
(308776,10047952,'Heals group members (AE) for 205 - 342',100,1,1),
(308777,72843,'When Equipped:',100,0,0),
(308778,72843,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308779,72843,'Slows target by 20.0%',100,2,2),
(308780,72843,'Cannot be modified except by direct means',100,2,3),
(308781,10072843,'When Equipped:',100,0,0),
(308782,10072843,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308783,10072843,'Slows target by 20.0%',100,2,2),
(308784,10072843,'Cannot be modified except by direct means',100,2,3),
(308785,121940,'Inflicts 6 - 11 disease damage on target',100,1,0),
(308786,121940,'Decreases Defense of target by 2.6',100,1,1),
(308787,121940,'Interrupts target',100,1,2),
(308788,10121940,'Inflicts 8 - 14 disease damage on target',100,1,0),
(308789,10121940,'Decreases Defense of target by 2.6',100,1,1),
(308790,10121940,'Interrupts target',100,1,2),
(308791,123444,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(308792,123444,'Stuns target',100,2,1),
(308793,123444,'Throws target back',100,2,2),
(308794,123444,'Blurs vision of target',100,2,3),
(308795,123444,'Does not affect Epic targets',100,2,4),
(308796,123444,'Inflicts 366 - 1100 melee damage on target',100,1,5),
(308797,10123444,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(308798,10123444,'Stuns target',100,2,1),
(308799,10123444,'Throws target back',100,2,2),
(308800,10123444,'Blurs vision of target',100,2,3),
(308801,10123444,'Does not affect Epic targets',100,2,4),
(308802,10123444,'Inflicts 476 - 1430 melee damage on target',100,1,5),
(308803,115805,'Inflicts 2 disease damage on target every 3 seconds',100,1,0),
(308804,115805,'Inflicts 9 - 15 melee damage on target',100,1,1),
(308805,115805,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(308806,115805,'Heals caster for 7 instantly and every 3 seconds',100,2,3),
(308807,115805,'This effect cannot be critically applied.',100,3,4),
(308808,115805,'The healing of this spell cannot be modified except by direct means',100,2,5),
(308809,115805,'The healing of this spell cannot be modified except by direct means',100,1,6),
(308810,10115805,'Inflicts 3 disease damage on target every 3 seconds',100,1,0),
(308811,10115805,'Inflicts 12 - 20 melee damage on target',100,1,1),
(308812,10115805,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(308813,10115805,'Heals caster for 2 instantly and every 3 seconds',100,2,3),
(308814,10115805,'This effect cannot be critically applied.',100,3,4),
(308815,10115805,'The healing of this spell cannot be modified except by direct means',100,2,5),
(308816,10115805,'The healing of this spell cannot be modified except by direct means',100,1,6),
(308817,122205,'Increases Damage Per Second of target by 16.1',100,1,0),
(308818,122205,'Increases Max Health of target by 142.0',100,1,1),
(308819,10122205,'Increases Damage Per Second of target by 16.1',100,1,0),
(308820,10122205,'Increases Max Health of target by 142.0',100,1,1),
(308821,41504,'When Equipped:',100,0,0),
(308822,41504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308823,41504,'Inflicts 71 - 131 magic damage on target',100,2,2),
(308824,41504,'Cannot be modified except by direct means',100,2,3),
(308825,10041504,'When Equipped:',100,0,0),
(308826,10041504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308827,10041504,'Inflicts 92 - 171 magic damage on target',100,2,2),
(308828,10041504,'Cannot be modified except by direct means',100,2,3),
(308829,118369,'Inflicts 130 - 218 melee damage on target',100,1,0),
(308830,118369,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(308831,118369,'Stuns target',100,2,2),
(308832,118369,'Throws target back',100,2,3),
(308833,118369,'Blurs vision of target',100,2,4),
(308834,118369,'Does not affect Epic targets',100,2,5),
(308835,10118369,'Inflicts 170 - 283 melee damage on target',100,1,0),
(308836,10118369,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(308837,10118369,'Blurs vision of target',100,2,2),
(308838,10118369,'Stuns target',100,2,3),
(308839,10118369,'Throws target back',100,2,4),
(308840,10118369,'Does not affect Epic targets',100,2,5),
(308841,48201,'Applies Spirit of the Goblin when Activated.  Lasts for 30 minutes.',100,0,0),
(308842,48201,'Shapechanges caster into a goblin',100,1,1),
(308843,48201,'Increases Out-of-Combat Power Regeneration of caster by 96.0',100,1,2),
(308844,48201,'This effect suspends during combat',100,1,3),
(308845,48201,'Only affects targets level 70 and above',100,1,4),
(308846,10048201,'Applies Spirit of the Goblin when Activated.  Lasts for 30 minutes.',100,0,0),
(308847,10048201,'Shapechanges caster into a goblin',100,1,1),
(308848,10048201,'Increases Out-of-Combat Power Regeneration of caster by 96.0',100,1,2),
(308849,10048201,'This effect suspends during combat',100,1,3),
(308850,10048201,'Only affects targets level 70 and above',100,1,4),
(308851,124307,'Wards group members (AE) against 2230 points of elemental damage',100,1,0),
(308852,124307,'Increases Mitigation of group members (AE) vs elemental damage by 1196',100,1,1),
(308853,10124307,'Wards group members (AE) against 2230 points of elemental damage',100,1,0),
(308854,10124307,'Increases Mitigation of group members (AE) vs elemental damage by 1196',100,1,1),
(308855,168850,'When Equipped:',100,0,0),
(308856,168850,'Increases Attack Speed of caster by 35.0',100,1,1),
(308857,10168850,'When Equipped:',100,0,0),
(308858,10168850,'Increases Attack Speed of caster by 35.0',100,1,1),
(308859,49039,'Applies Play Unstable Recording: ''Jindrack''s Tune'' when Activated.',100,0,0),
(308860,49039,'Play the recording of ''Jindrack''s Tune''.',100,1,1),
(308861,10049039,'Applies Play Unstable Recording: ''Jindrack''s Tune'' when Activated.',100,0,0),
(308862,10049039,'Play the recording of ''Jindrack''s Tune''.',100,1,1),
(308863,109679,'Inflicts 62 - 76 cold damage on target instantly and every 3 seconds',100,1,0),
(308864,10109679,'Inflicts 81 - 99 cold damage on target instantly and every 3 seconds',100,1,0),
(308865,35412,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(308866,141920,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(308867,141920,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308868,141920,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(308869,141920,'Cannot be modified except by direct means',100,2,3),
(308870,10141920,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(308871,10141920,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(308872,10141920,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(308873,10141920,'Cannot be modified except by direct means',100,2,3),
(308874,71366,'When Equipped:',100,0,0),
(308875,71366,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308876,71366,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(308877,71366,'Cannot be modified except by direct means',100,2,3),
(308878,10071366,'When Equipped:',100,0,0),
(308879,10071366,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308880,10071366,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(308881,10071366,'Cannot be modified except by direct means',100,2,3),
(308882,37544,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(308883,106447,'Increases Multi Attack Chance of raid and group members (AE) by 7.1',100,1,0),
(308884,10106447,'Increases Multi Attack Chance of raid and group members (AE) by 7.1',100,1,0),
(308885,75129,'When Equipped:',100,0,0),
(308886,75129,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(308887,10075129,'When Equipped:',100,0,0),
(308888,10075129,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(308889,120076,'Inflicts 122 - 203 mental damage on target',100,1,0),
(308890,120076,'Inflicts 122 - 203 mental damage on target',100,1,1),
(308891,120076,'Stifles target',100,1,2),
(308892,120076,'If Target is not Epic',100,2,3),
(308893,120076,'If weapon equipped in Ranged',100,1,4),
(308894,120076,'Resistibility increases against targets higher than level 87.',100,1,5),
(308895,10120076,'Inflicts 122 - 203 mental damage on target',100,1,0),
(308896,10120076,'Inflicts 122 - 203 mental damage on target',100,1,1),
(308897,10120076,'Stifles target',100,1,2),
(308898,10120076,'If Target is not Epic',100,2,3),
(308899,10120076,'If weapon equipped in Ranged',100,1,4),
(308900,10120076,'Resistibility increases against targets higher than level 87.',100,1,5),
(308901,74687,'When Equipped:',100,0,0),
(308902,74687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308903,74687,'Inflicts 118 - 178 magic damage on target',100,2,2),
(308904,74687,'Cannot be modified except by direct means',100,2,3),
(308905,10074687,'When Equipped:',100,0,0),
(308906,10074687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308907,10074687,'Inflicts 154 - 231 magic damage on target',100,2,2),
(308908,10074687,'Cannot be modified except by direct means',100,2,3),
(308909,119763,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(308910,119763,'Inflicts 17 - 21 poison damage on target encounter',100,2,1),
(308911,10119763,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(308912,10119763,'Inflicts 22 - 27 poison damage on target encounter',100,2,1),
(308913,108116,'Decreases Threat to target by 1,566 - 2,610 ',100,1,0),
(308914,10108116,'Forces target to clear their selected target.',100,1,0),
(308915,10108116,'Target cannot target caster for the duration of this effect.',100,1,1),
(308916,102577,'Increases AGI of caster by 116.8',100,1,0),
(308917,102577,'Increases Max Health of caster by 408.2',100,1,1),
(308918,102577,'Adds 18.7% to base avoidance.',100,1,2),
(308919,102577,'Increases Mitigation of caster vs physical damage by 664',100,1,3),
(308920,102577,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,4),
(308921,10102577,'Increases AGI of caster by 116.8',100,1,0),
(308922,10102577,'Increases Max Health of caster by 408.2',100,1,1),
(308923,10102577,'Adds 18.7% to base avoidance.',100,1,2),
(308924,10102577,'Increases Mitigation of caster vs physical damage by 664',100,1,3),
(308925,10102577,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',100,1,4),
(308926,162317,'When Equipped:',100,0,0),
(308927,162317,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(308928,10162317,'When Equipped:',100,0,0),
(308929,10162317,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(308930,48143,'Applies essence of health when Activated.',100,0,0),
(308931,48143,'Heals caster for 955',100,1,1),
(308932,10048143,'Applies essence of health when Activated.',100,0,0),
(308933,10048143,'Heals caster for 621',100,1,1),
(308934,46404,'Applies noxious remedy when Activated.',100,0,0),
(308935,46404,'Dispels 98 levels of noxious hostile effects on caster',100,1,1),
(308936,10046404,'Applies noxious remedy when Activated.',100,0,0),
(308937,10046404,'Dispels 98 levels of noxious hostile effects on caster',100,1,1),
(308938,87419,'When Equipped:',100,0,0),
(308939,87419,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308940,87419,'Inflicts 30 - 45 magic damage on target',100,2,2),
(308941,87419,'Cannot be modified except by direct means',100,2,3),
(308942,10087419,'When Equipped:',100,0,0),
(308943,10087419,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308944,10087419,'Inflicts 39 - 59 magic damage on target',100,2,2),
(308945,10087419,'Cannot be modified except by direct means',100,2,3),
(308946,109098,'Inflicts 41 - 69 crushing damage on target',100,1,0),
(308947,10109098,'Inflicts 54 - 90 crushing damage on target',100,1,0),
(308948,115957,'Stuns target',100,1,0),
(308949,115957,'Inflicts 13 - 20 mental damage on target',100,1,1),
(308950,115957,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',100,1,2),
(308951,115957,'Resistibility increases against targets higher than level 31.',100,1,3),
(308952,10115957,'Stuns target',100,1,0),
(308953,10115957,'Applies Bewilderment on termination.',100,1,1),
(308954,10115957,'Inflicts 17 - 26 mental damage on target',100,2,2),
(308955,10115957,'Requires not being affected by Mesmerize effects.',100,3,3),
(308956,10115957,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,4),
(308957,10115957,'Resistibility increases against targets higher than level 31.',100,1,5),
(308958,122062,'Increases Threat to target by 1,247 - 1,524 ',100,1,0),
(308959,122062,'Inflicts 124 - 207 melee damage on target',100,1,1),
(308960,10122062,'Forces target to change their selected target to caster.',100,1,0),
(308961,10122062,'Inflicts 162 - 270 melee damage on target',100,1,1),
(308962,42562,'When Equipped:',100,0,0),
(308963,42562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308964,42562,'Inflicts 155 - 232 magic damage on target',100,2,2),
(308965,42562,'Cannot be modified except by direct means',100,2,3),
(308966,10042562,'When Equipped:',100,0,0),
(308967,10042562,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(308968,10042562,'Inflicts 201 - 302 magic damage on target',100,2,2),
(308969,10042562,'Cannot be modified except by direct means',100,2,3),
(308970,157684,'When Equipped:',100,0,0),
(308971,157684,'Adds an additional trigger chance increase to Cacophony of Blades II and Perfection of the Maestro II.',100,1,1),
(308972,10157684,'When Equipped:',100,0,0),
(308973,10157684,'Adds an additional trigger chance increase to Cacophony of Blades II and Perfection of the Maestro II.',100,1,1),
(308974,146514,'When Equipped:',100,0,0),
(308975,146514,'On a hostile spell cast this spell has a 4% chance to cast Resonating Geode on caster.  ',100,1,1),
(308976,146514,'Summon 1 Resonating Geode',100,2,2),
(308977,146514,'Cannot be modified except by direct means',100,2,3),
(308978,146514,'When Equipped:',100,0,4),
(308979,146514,'On a hostile spell cast this spell may cast Master''s Call on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(308980,146514,'Increases the damage of group members'' next spell or combat art by 15%',100,2,6),
(308981,146514,'Dispelled when target casts a hostile spell',100,2,7),
(308982,146514,'Dispelled when target casts a combat art',100,2,8),
(308983,146514,'Cannot be modified except by direct means',100,2,9),
(308984,10146514,'When Equipped:',100,0,0),
(308985,10146514,'On a hostile spell cast this spell has a 4% chance to cast Resonating Geode on caster.  ',100,1,1),
(308986,10146514,'Summon 1 Resonating Geode',100,2,2),
(308987,10146514,'Cannot be modified except by direct means',100,2,3),
(308988,10146514,'When Equipped:',100,0,4),
(308989,10146514,'On a hostile spell cast this spell may cast Master''s Call on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(308990,10146514,'Increases the damage of group members'' next spell or combat art by 15%',100,2,6),
(308991,10146514,'Dispelled when target casts a hostile spell',100,2,7),
(308992,10146514,'Dispelled when target casts a combat art',100,2,8),
(308993,10146514,'Cannot be modified except by direct means',100,2,9),
(308994,138398,'When Equipped:',100,0,0),
(308995,138398,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(308996,138398,'Wards target against 1000 points of all damage',100,2,2),
(308997,138398,'Cannot be modified except by direct means',100,2,3),
(308998,138398,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(308999,10138398,'When Equipped:',100,0,0),
(309000,10138398,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309001,10138398,'Wards target against 1000 points of all damage',100,2,2),
(309002,10138398,'Cannot be modified except by direct means',100,2,3),
(309003,10138398,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(309004,116871,'Wards group members (AE) against 646 points of noxious damage',100,1,0),
(309005,116871,'Increases Mitigation of group members (AE) vs noxious damage by 406',100,1,1),
(309006,10116871,'Wards group members (AE) against 646 points of noxious damage',100,1,0),
(309007,10116871,'Increases Mitigation of group members (AE) vs noxious damage by 406',100,1,1),
(309008,139035,'When Equipped:',100,0,0),
(309009,139035,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(309010,139035,'Increases Ability Recovery Speed of caster by 10.0%',100,2,2),
(309011,139035,'Heals group members (AE) for 1385 - 1531',100,2,3),
(309012,139035,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,4),
(309013,139035,'This ward regenerates slowly over time.',100,2,5),
(309014,139035,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(309015,139035,'Must not be engaged in pvp combat',100,2,7),
(309016,139035,'Cannot be modified except by direct means',100,2,8),
(309017,139035,'Must not be engaged in pvp combat',100,1,9),
(309018,10139035,'When Equipped:',100,0,0),
(309019,10139035,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(309020,10139035,'Increases Ability Recovery Speed of caster by 10.0%',100,2,2),
(309021,10139035,'Heals group members (AE) for 1621 - 1791',100,2,3),
(309022,10139035,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,4),
(309023,10139035,'This ward regenerates slowly over time.',100,2,5),
(309024,10139035,'Wards group members (AE) against 4000 points of all damage',100,2,6),
(309025,10139035,'Must not be engaged in pvp combat',100,2,7),
(309026,10139035,'Cannot be modified except by direct means',100,2,8),
(309027,10139035,'Must not be engaged in pvp combat',100,1,9),
(309028,104512,'Increases Threat to target by 66 - 81  instantly and by 13 - 16  every 2 seconds thereafter',100,1,0),
(309029,10104512,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(309030,108342,'Feigns Death with 82% chance of success',100,1,0),
(309031,10108342,'Feigns Death with 82% chance of success',100,1,0),
(309032,112956,'Inflicts 77 - 231 crushing damage on target',100,1,0),
(309033,10112956,'Inflicts 100 - 300 crushing damage on target',100,1,0),
(309034,114076,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(309035,114076,'Grants stealth to caster',100,2,1),
(309036,114076,'Suspends caster''s movement speed enhancements',100,2,2),
(309037,114076,'Inflicts 254 - 423 melee damage on target',100,1,3),
(309038,114076,'Must be flanking or behind',100,1,4),
(309039,10114076,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(309040,10114076,'Grants stealth to caster',100,2,1),
(309041,10114076,'Suspends caster''s movement speed enhancements',100,2,2),
(309042,10114076,'Inflicts 495 - 826 melee damage on target',100,1,3),
(309043,10114076,'Must be flanking or behind',100,1,4),
(309044,75310,'When Equipped:',100,0,0),
(309045,75310,'On a combat hit this spell may cast Shadow Sap on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309046,75310,'Inflicts 337 - 411 disease damage on target',100,2,2),
(309047,75310,'Heals caster for 331 - 404',100,2,3),
(309048,75310,'Cannot be modified except by direct means',100,2,4),
(309049,10075310,'When Equipped:',100,0,0),
(309050,10075310,'On a combat hit this spell may cast Shadow Sap on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309051,10075310,'Inflicts 438 - 535 disease damage on target',100,2,2),
(309052,10075310,'Heals caster for 215 - 263',100,2,3),
(309053,10075310,'Cannot be modified except by direct means',100,2,4),
(309054,71928,'When Equipped:',100,0,0),
(309055,71928,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309056,71928,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(309057,71928,'Cannot be modified except by direct means',100,2,3),
(309058,10071928,'When Equipped:',100,0,0),
(309059,10071928,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309060,10071928,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(309061,10071928,'Cannot be modified except by direct means',100,2,3),
(309062,105984,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(309063,105984,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(309064,105984,'Inflicts 291 - 486 piercing damage on target',100,3,2),
(309065,105984,'Grants a total of 5 triggers of the spell.',100,3,3),
(309066,105984,'Grants a total of 1 trigger of the spell.',100,2,4),
(309067,10105984,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(309068,10105984,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(309069,10105984,'Inflicts 379 - 631 piercing damage on target',100,3,2),
(309070,10105984,'Grants a total of 5 triggers of the spell.',100,3,3),
(309071,10105984,'Grants a total of 1 trigger of the spell.',100,2,4),
(309072,116114,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(309073,116114,'Heals target for 480 - 586',100,2,1),
(309074,116114,'Grants a total of 5 triggers of the spell.',100,2,2),
(309075,10116114,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(309076,10116114,'Heals target for 312 - 381',100,2,1),
(309077,10116114,'Grants a total of 5 triggers of the spell.',100,2,2),
(309078,114434,'Mesmerizes target',100,1,0),
(309079,114434,'Prevents AOE (except when direct) ',100,1,1),
(309080,114434,'Dispelled when target takes damage',100,1,2),
(309081,114434,'Epic targets gain an immunity to Mesmerize effects of 2 minutes 15 seconds and duration is reduced to 15.0 seconds.',100,1,3),
(309082,114434,'Resistibility increases against targets higher than level 116.',100,1,4),
(309083,10114434,'Mesmerizes target',100,1,0),
(309084,10114434,'Prevents AOE (except when direct) ',100,1,1),
(309085,10114434,'Dispelled when target takes damage',100,1,2),
(309086,10114434,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(309087,10114434,'Resistibility increases against targets higher than level 116.',100,1,4),
(309088,47102,'Applies Boon of the Veil when Activated.  Lasts for 20 minutes.',100,0,0),
(309089,47102,'Summons a Veil Hunter minion.',100,1,1),
(309090,10047102,'Applies Boon of the Veil when Activated.  Lasts for 20 minutes.',100,0,0),
(309091,10047102,'Summons a Veil Hunter minion.',100,1,1),
(309092,117692,'Decreases Mitigation of target vs physical damage by 1175',100,1,0),
(309093,10117692,'Decreases Mitigation of target vs physical damage by 587',100,1,0),
(309094,124759,'Inflicts 375 - 459 disease damage on target encounter',100,1,0),
(309095,10124759,'Inflicts 488 - 596 disease damage on target encounter',100,1,0),
(309096,119068,'Inflicts 203 - 339 mental damage on target',100,1,0),
(309097,119068,'Decreases power of target by 191 - 318',100,1,1),
(309098,119068,'Increases power of caster by 114 - 190',100,1,2),
(309099,10119068,'Inflicts 264 - 441 mental damage on target',100,1,0),
(309100,10119068,'Decreases power of target by 191 - 318',100,1,1),
(309101,10119068,'Increases power of caster by 114 - 190',100,1,2),
(309102,113390,'Roots target',100,1,0),
(309103,113390,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,1),
(309104,113390,'Stifles target',100,2,2),
(309105,113390,'Blurs vision of target',100,2,3),
(309106,113390,'Dispelled when target takes damage',100,2,4),
(309107,113390,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(309108,113390,'Resistibility increases against targets higher than level 112.',100,2,6),
(309109,113390,'5% chance to dispel when target takes damage',100,1,7),
(309110,113390,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(309111,113390,'Resistibility increases against targets higher than level 112.',100,1,9),
(309112,10113390,'Roots target',100,1,0),
(309113,10113390,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(309114,10113390,'Stifles target',100,2,2),
(309115,10113390,'Blurs vision of target',100,2,3),
(309116,10113390,'Dispelled when target takes damage',100,2,4),
(309117,10113390,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(309118,10113390,'Resistibility increases against targets higher than level 112.',100,2,6),
(309119,10113390,'5% chance to dispel when target takes damage',100,1,7),
(309120,10113390,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(309121,10113390,'Resistibility increases against targets higher than level 112.',100,1,9),
(309122,114416,'Mesmerizes target',100,1,0),
(309123,114416,'Prevents AOE (except when direct) ',100,1,1),
(309124,114416,'Dispelled when target takes damage',100,1,2),
(309125,114416,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(309126,114416,'Resistibility increases against targets higher than level 67.',100,1,4),
(309127,10114416,'Mesmerizes target',100,1,0),
(309128,10114416,'Prevents AOE (except when direct) ',100,1,1),
(309129,10114416,'Dispelled when target takes damage',100,1,2),
(309130,10114416,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(309131,10114416,'Resistibility increases against targets higher than level 67.',100,1,4),
(309132,106696,'Heals target for 16 - 20',100,1,0),
(309133,10106696,'Heals target for 19 - 23',100,1,0),
(309134,42568,'When Equipped:',100,0,0),
(309135,42568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309136,42568,'Inflicts 101 - 152 magic damage on target',100,2,2),
(309137,42568,'Cannot be modified except by direct means',100,2,3),
(309138,10042568,'When Equipped:',100,0,0),
(309139,10042568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309140,10042568,'Inflicts 131 - 197 magic damage on target',100,2,2),
(309141,10042568,'Cannot be modified except by direct means',100,2,3),
(309142,120986,'Inflicts 32 - 54 poison damage on target',100,1,0),
(309143,120986,'Inflicts 8 - 14 poison damage on target instantly and every 4 seconds',100,1,1),
(309144,10120986,'Inflicts 42 - 70 poison damage on target',100,1,0),
(309145,10120986,'Inflicts 11 - 18 poison damage on target instantly and every 4 seconds',100,1,1),
(309146,183203,'When Equipped:',100,0,0),
(309147,183203,'Increases Attack Speed of caster by 40.0',100,1,1),
(309148,10183203,'When Equipped:',100,0,0),
(309149,10183203,'Increases Attack Speed of caster by 40.0',100,1,1),
(309150,113795,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(309151,113795,'Heals target for 442 - 540',100,2,1),
(309152,10113795,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(309153,10113795,'Heals target for 287 - 351',100,2,1),
(309154,155340,'When Equipped:',100,0,0),
(309155,155340,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(309156,155340,'Makes target afraid',100,2,2),
(309157,155340,'25% chance to dispel when target takes damage',100,2,3),
(309158,155340,'25% chance to dispel when target receives hostile action',100,2,4),
(309159,155340,'Does not affect Epic targets',100,2,5),
(309160,155340,'Resistibility increases against targets higher than level 74.',100,2,6),
(309161,155340,'Cannot be modified except by direct means',100,2,7),
(309162,10155340,'When Equipped:',100,0,0),
(309163,10155340,'When any damage is received this spell has a 5% chance to cast Fright on target''s attacker.  Lasts for 3.5 seconds.  ',100,1,1),
(309164,10155340,'Makes target afraid',100,2,2),
(309165,10155340,'25% chance to dispel when target takes damage',100,2,3),
(309166,10155340,'25% chance to dispel when target receives hostile action',100,2,4),
(309167,10155340,'Does not affect Epic targets',100,2,5),
(309168,10155340,'Resistibility increases against targets higher than level 74.',100,2,6),
(309169,10155340,'Cannot be modified except by direct means',100,2,7),
(309170,45741,'Applies Spirit of the Warrior  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(309171,45741,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(309172,45741,'Inflicts 5 magic damage on target',100,2,2),
(309173,45741,'Cannot be modified except by direct means',100,2,3),
(309174,10045741,'Applies Spirit of the Warrior  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(309175,10045741,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(309176,10045741,'Inflicts 6 magic damage on target',100,2,2),
(309177,10045741,'Cannot be modified except by direct means',100,2,3),
(309178,47837,'Applies Rollian''s Reclamation when Activated.',100,0,0),
(309179,47837,'Heals caster for 151',100,1,1),
(309180,10047837,'Applies Rollian''s Reclamation when Activated.',100,0,0),
(309181,10047837,'Heals caster for 98',100,1,1),
(309182,173454,'When Equipped:',100,0,0),
(309183,173454,'On a healing spell cast this spell may cast Overflowing Consciousness on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(309184,173454,'Heals group members (AE) for 594 - 726',100,2,2),
(309185,173454,'Heals group members (AE) for 137 - 168 every 2 seconds',100,2,3),
(309186,173454,'Must not be engaged in pvp combat',100,2,4),
(309187,173454,'Cannot be modified except by direct means',100,2,5),
(309188,173454,'Cannot be modified except by direct means',100,1,6),
(309189,10173454,'When Equipped:',100,0,0),
(309190,10173454,'On a healing spell cast this spell may cast Overflowing Consciousness on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(309191,10173454,'Heals group members (AE) for 386 - 472',100,2,2),
(309192,10173454,'Heals group members (AE) for 89 - 109 every 2 seconds',100,2,3),
(309193,10173454,'Must not be engaged in pvp combat',100,2,4),
(309194,10173454,'Cannot be modified except by direct means',100,2,5),
(309195,10173454,'Cannot be modified except by direct means',100,1,6),
(309196,111010,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(309197,111010,'Increases Threat to target by 14 ',100,2,1),
(309198,111010,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(309199,111010,'Increases Threat to target by 14 ',100,2,3),
(309200,10111010,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(309201,10111010,'Inflicts 3 crushing damage on target',100,2,1),
(309202,10111010,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(309203,10111010,'Inflicts 3 crushing damage on target',100,2,3),
(309204,107108,'Inflicts 327 - 400 divine damage on target',100,1,0),
(309205,10107108,'Inflicts 425 - 520 divine damage on target',100,1,0),
(309206,148788,'When Equipped:',100,0,0),
(309207,148788,'When any damage is received this spell has a 5% chance to cast Frost Gale on target''s attacker.  Lasts for 0.2 seconds.  ',100,1,1),
(309208,148788,'Throws target back',100,2,2),
(309209,148788,'Inflicts 148 - 247 cold damage on targets in Area of Effect',100,2,3),
(309210,148788,'Cannot be modified except by direct means',100,2,4),
(309211,10148788,'When Equipped:',100,0,0),
(309212,10148788,'When any damage is received this spell has a 5% chance to cast Frost Gale on target''s attacker.  Lasts for 0.2 seconds.  ',100,1,1),
(309213,10148788,'Throws target back',100,2,2),
(309214,10148788,'Inflicts 192 - 321 cold damage on targets in Area of Effect',100,2,3),
(309215,10148788,'Cannot be modified except by direct means',100,2,4),
(309216,173983,'When Equipped:',100,0,0),
(309217,173983,'On any combat or spell hit this spell may cast Skin Like Stone on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(309218,173983,'Wards caster against 1216 points of all damage',100,2,2),
(309219,173983,'Cannot be modified except by direct means',100,2,3),
(309220,173983,'Cannot be modified except by direct means',100,1,4),
(309221,10173983,'When Equipped:',100,0,0),
(309222,10173983,'On any combat or spell hit this spell may cast Skin Like Stone on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(309223,10173983,'Wards caster against 1216 points of all damage',100,2,2),
(309224,10173983,'Cannot be modified except by direct means',100,2,3),
(309225,10173983,'Cannot be modified except by direct means',100,1,4),
(309226,48681,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(309227,48681,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(309228,48681,'Inflicts 37 poison damage on target',100,2,2),
(309229,48681,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,3),
(309230,48681,'Cannot be modified except by direct means',100,2,4),
(309231,48681,'Grants a total of 200 triggers of the spell.',100,2,5),
(309232,10048681,'Applies caustic assault when Activated.  Lasts for 12 hours.',100,0,0),
(309233,10048681,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(309234,10048681,'Inflicts 32 poison damage on target instantly and every 6 seconds',100,2,2),
(309235,10048681,'Inflicts 36 poison damage on target',100,2,3),
(309236,10048681,'Cannot be modified except by direct means',100,2,4),
(309237,10048681,'Grants a total of 200 triggers of the spell.',100,2,5),
(309238,36768,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(309239,48765,'Applies Elixir of the Fleetfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(309240,10048765,'Applies Elixir of the Fleetfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(309241,124247,'Inflicts 45 - 75 mental damage on target',100,1,0),
(309242,124247,'Decreases power of target by 17 - 28',100,1,1),
(309243,10124247,'Inflicts 59 - 98 mental damage on target',100,1,0),
(309244,10124247,'Decreases power of target by 17 - 28',100,1,1),
(309245,41622,'When Equipped:',100,0,0),
(309246,41622,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(309247,41622,'Decreases Threat to target by 1,174 ',100,2,2),
(309248,41622,'Must be flanking or behind',100,3,3),
(309249,41622,'Increases Threat to target by 1,174 ',100,2,4),
(309250,41622,'Must be in front of',100,3,5),
(309251,41622,'Inflicts 237 - 440 magic damage on target',100,2,6),
(309252,41622,'Cannot be modified except by direct means',100,2,7),
(309253,10041622,'When Equipped:',100,0,0),
(309254,10041622,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(309255,10041622,'Inflicts 308 - 572 magic damage on target',100,2,2),
(309256,10041622,'Cannot be modified except by direct means',100,2,3),
(309257,117566,'Decreases Parry of target by 9.9',100,1,0),
(309258,117566,'Inflicts 71 - 118 melee damage on target',100,1,1),
(309259,117566,'Must be in front of or flanking',100,1,2),
(309260,10117566,'Decreases Parry of target by 9.9',100,1,0),
(309261,10117566,'Inflicts 92 - 154 melee damage on target',100,1,1),
(309262,10117566,'Must be in front of or flanking',100,1,2),
(309263,85481,'When Equipped:',100,0,0),
(309264,85481,'On a combat hit this spell may cast Power of Marr on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309265,85481,'Inflicts 396 - 661 divine damage on target',100,2,2),
(309266,85481,'Cannot be modified except by direct means',100,2,3),
(309267,85481,'When a combat art is used this spell has a 10% chance to cast Punishment of Marr on target of combat art.  Lasts for 36.0 seconds.  ',100,1,4),
(309268,85481,'Reduces target''s spell damage by 10%.',100,2,5),
(309269,85481,'Only affects targets level 83 and below',100,2,6),
(309270,85481,'Cannot be modified except by direct means',100,2,7),
(309271,10085481,'When Equipped:',100,0,0),
(309272,10085481,'On a combat hit this spell may cast Power of Marr on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309273,10085481,'Inflicts 515 - 859 divine damage on target',100,2,2),
(309274,10085481,'Cannot be modified except by direct means',100,2,3),
(309275,10085481,'When a combat art is used this spell has a 10% chance to cast Punishment of Marr on target of combat art.  Lasts for 36.0 seconds.  ',100,1,4),
(309276,10085481,'Reduces target''s spell damage by 10%.',100,2,5),
(309277,10085481,'Only affects targets level 83 and below',100,2,6),
(309278,10085481,'Cannot be modified except by direct means',100,2,7),
(309279,103966,'Interrupts targets in Area of Effect',100,1,0),
(309280,103966,'Inflicts 23 - 43 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(309281,10103966,'Interrupts targets in Area of Effect',100,1,0),
(309282,10103966,'Inflicts 30 - 55 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(309283,37392,'Increases STR of target by 4.3',100,0,0),
(309284,37392,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(309285,122275,'Decreases Threat to targets in Area of Effect by 2,137 ',100,1,0),
(309286,122275,'Makes targets in Area of Effect afraid',100,1,1),
(309287,122275,'If Target is not Epic',100,2,2),
(309288,122275,'30% chance to dispel when target takes damage',100,1,3),
(309289,10122275,'Applies Distract.',100,1,0),
(309290,10122275,'Forces target to clear their selected target.',100,2,1),
(309291,10122275,'Makes targets in Area of Effect afraid',100,1,2),
(309292,10122275,'If Target is not Epic',100,2,3),
(309293,10122275,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(309294,10122275,'30% chance to dispel when target takes damage',100,1,5),
(309295,110834,'Inflicts 163 - 220 mental damage on target',100,1,0),
(309296,110834,'Interrupts target',100,1,1),
(309297,10110834,'Inflicts 212 - 286 mental damage on target',100,1,0),
(309298,10110834,'Interrupts target',100,1,1),
(309299,82419,'When Equipped:',100,0,0),
(309300,82419,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309301,82419,'Inflicts 204 - 379 magic damage on target',100,2,2),
(309302,82419,'Cannot be modified except by direct means',100,2,3),
(309303,10082419,'When Equipped:',100,0,0),
(309304,10082419,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309305,10082419,'Inflicts 265 - 492 magic damage on target',100,2,2),
(309306,10082419,'Cannot be modified except by direct means',100,2,3),
(309307,71340,'When Equipped:',100,0,0),
(309308,71340,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309309,71340,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(309310,71340,'Cannot be modified except by direct means',100,2,3),
(309311,10071340,'When Equipped:',100,0,0),
(309312,10071340,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309313,10071340,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(309314,10071340,'Cannot be modified except by direct means',100,2,3),
(309315,74554,'When Equipped:',100,0,0),
(309316,74554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309317,74554,'Inflicts 135 - 203 magic damage on target',100,2,2),
(309318,74554,'Cannot be modified except by direct means',100,2,3),
(309319,10074554,'When Equipped:',100,0,0),
(309320,10074554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309321,10074554,'Inflicts 176 - 264 magic damage on target',100,2,2),
(309322,10074554,'Cannot be modified except by direct means',100,2,3),
(309323,84254,'Applies Mental Blast when Activated.',100,0,0),
(309324,84254,'Inflicts 53 - 89 mental damage on target',100,1,1),
(309325,84254,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(309326,10084254,'Applies Mental Blast when Activated.',100,0,0),
(309327,10084254,'Inflicts 69 - 115 mental damage on target',100,1,1),
(309328,10084254,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(309329,106917,'Inflicts 38 - 70 poison damage on target',100,1,0),
(309330,10106917,'Inflicts 49 - 91 poison damage on target',100,1,0),
(309331,121495,'Inflicts 266 - 444 melee damage on target',100,1,0),
(309332,121495,'Decreases Defense of target by 10.9',100,1,1),
(309333,10121495,'Inflicts 346 - 577 melee damage on target',100,1,0),
(309334,10121495,'Decreases Defense of target by 10.9',100,1,1),
(309335,40958,'When Equipped:',100,0,0),
(309336,40958,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(309337,40958,'Wards caster against 2420 points of all damage',100,1,2),
(309338,40958,'Regenerates 242 points of shielding every 2 seconds',100,1,3),
(309339,40958,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(309340,40958,'While active Renewing Bulwark is disabled.',100,2,5),
(309341,40958,'Cannot be modified except by direct means',100,2,6),
(309342,40958,'Must not be engaged in pvp combat',100,1,7),
(309343,40958,'Cannot be modified except by direct means',100,1,8),
(309344,10040958,'When Equipped:',100,0,0),
(309345,10040958,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(309346,10040958,'Wards caster against 2420 points of all damage',100,1,2),
(309347,10040958,'Regenerates 242 points of shielding every 2 seconds',100,1,3),
(309348,10040958,'Applies Renewing Bulwark: Immunity on termination.  Lasts for 30.0 seconds.',100,1,4),
(309349,10040958,'While active Renewing Bulwark is disabled.',100,2,5),
(309350,10040958,'Cannot be modified except by direct means',100,2,6),
(309351,10040958,'Must not be engaged in pvp combat',100,1,7),
(309352,10040958,'Cannot be modified except by direct means',100,1,8),
(309353,24052,'Adds Bonepile (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(309354,10024052,'Adds Bonepile (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(309355,173790,'When Equipped:',100,0,0),
(309356,173790,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(309357,173790,'Inflicts 1986 cold damage on target encounter',100,2,2),
(309358,173790,'Must not be engaged in pvp combat',100,2,3),
(309359,173790,'Cannot be modified except by direct means',100,2,4),
(309360,173790,'Must not be engaged in pvp combat',100,1,5),
(309361,10173790,'When Equipped:',100,0,0),
(309362,10173790,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(309363,10173790,'Inflicts 1291 cold damage on target encounter',100,2,2),
(309364,10173790,'Must not be engaged in pvp combat',100,2,3),
(309365,10173790,'Cannot be modified except by direct means',100,2,4),
(309366,10173790,'Must not be engaged in pvp combat',100,1,5),
(309367,158735,'When Equipped:',100,0,0),
(309368,158735,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309369,158735,'Increases power of group members by 65 instantly and every 4 seconds',100,2,2),
(309370,158735,'Cannot be modified except by direct means',100,2,3),
(309371,10158735,'When Equipped:',100,0,0),
(309372,10158735,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309373,10158735,'Increases power of group members by 65 instantly and every 4 seconds',100,2,2),
(309374,10158735,'Cannot be modified except by direct means',100,2,3),
(309375,162367,'Applies Spectral Infusion when Activated.  Lasts for 20.0 seconds.',100,0,0),
(309376,162367,'Shapechanges caster into a Spectre',100,1,1),
(309377,162367,'On a critical spell hit this spell will cast Spectral Infusion on target of spell.  ',100,1,2),
(309378,162367,'Inflicts 1350 magic damage on target',100,2,3),
(309379,162367,'Heals caster for 583',100,2,4),
(309380,162367,'Cannot be modified except by direct means',100,2,5),
(309381,162367,'On a critical combat hit this spell will cast Spectral Infusion on target of attack.  ',100,1,6),
(309382,162367,'Inflicts 1350 magic damage on target',100,2,7),
(309383,162367,'Heals caster for 583',100,2,8),
(309384,162367,'Cannot be modified except by direct means',100,2,9),
(309385,162367,'The reuse time of Spectral Infusion is 20 minutes',100,1,10),
(309386,10162367,'Applies Spectral Infusion when Activated.  Lasts for 20.0 seconds.',100,0,0),
(309387,10162367,'Shapechanges caster into a Spectre',100,1,1),
(309388,10162367,'On a critical spell hit this spell will cast Spectral Infusion on target of spell.  ',100,1,2),
(309389,10162367,'Inflicts 439 magic damage on target',100,2,3),
(309390,10162367,'Heals caster for 213',100,2,4),
(309391,10162367,'Cannot be modified except by direct means',100,2,5),
(309392,10162367,'On a critical combat hit this spell will cast Spectral Infusion on target of attack.  ',100,1,6),
(309393,10162367,'Inflicts 439 magic damage on target',100,2,7),
(309394,10162367,'Heals caster for 213',100,2,8),
(309395,10162367,'Cannot be modified except by direct means',100,2,9),
(309396,10162367,'The reuse time of Spectral Infusion is 20 minutes',100,1,10),
(309397,52872,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(309398,52872,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(309399,52872,'Inflicts 64 heat damage on target',100,2,2),
(309400,52872,'Cannot be modified except by direct means',100,2,3),
(309401,10052872,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(309402,10052872,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(309403,10052872,'Inflicts 83 heat damage on target',100,2,2),
(309404,10052872,'Cannot be modified except by direct means',100,2,3),
(309405,104607,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(309406,10104607,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(309407,164630,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(309408,164630,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(309409,164630,'Cannot be modified except by direct means',100,1,2),
(309410,10164630,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(309411,10164630,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(309412,10164630,'Cannot be modified except by direct means',100,1,2),
(309413,35322,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(309414,35322,'Increases Max Power of target by 10.5',100,0,1),
(309415,48740,'Applies Elixir of Luminosity  when Activated.  Lasts for 30 minutes.',100,0,0),
(309416,48740,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(309417,10048740,'Applies Elixir of Luminosity  when Activated.  Lasts for 30 minutes.',100,0,0),
(309418,10048740,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(309419,35807,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(309420,112658,'Inflicts 249 - 416 disease damage on target',100,1,0),
(309421,112658,'Inflicts 249 - 416 disease damage on target',100,1,1),
(309422,112658,'Roots target',100,1,2),
(309423,112658,'If Target is not Epic',100,2,3),
(309424,112658,'15% chance to dispel when target takes damage',100,1,4),
(309425,112658,'If weapon equipped in Ranged',100,1,5),
(309426,112658,'Resistibility increases against targets higher than level 100.',100,1,6),
(309427,10112658,'Inflicts 187 - 312 disease damage on target',100,1,0),
(309428,10112658,'Inflicts 187 - 312 disease damage on target',100,1,1),
(309429,10112658,'Roots target',100,1,2),
(309430,10112658,'If Target is not Epic',100,2,3),
(309431,10112658,'15% chance to dispel when target takes damage',100,1,4),
(309432,10112658,'If weapon equipped in Ranged',100,1,5),
(309433,10112658,'Resistibility increases against targets higher than level 100.',100,1,6),
(309434,24108,'Adds Chimaera Spell-lord to your Dungeon Maker toolbox',100,0,0),
(309435,10024108,'Adds Chimaera Spell-lord to your Dungeon Maker toolbox',100,0,0),
(309436,109913,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(309437,109913,'Inflicts 120 - 147 poison damage on target instantly and every 4 seconds',100,2,1),
(309438,10109913,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(309439,10109913,'Inflicts 156 - 191 poison damage on target instantly and every 4 seconds',100,2,1),
(309440,104519,'Increases Threat to target by 183 - 224  instantly and by 36 - 44  every 2 seconds thereafter',100,1,0),
(309441,10104519,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(309442,116274,'Summons a pet Illusion Ally',100,1,0),
(309443,10116274,'Summons a pet Illusion Ally',100,1,0),
(309444,83907,'Applies Mark of Pestilence when Equipped.',100,0,0),
(309445,10083907,'Applies Mark of Pestilence when Equipped.',100,0,0),
(309446,112271,'Applies Inquisition.',100,1,0),
(309447,112271,'Heals targets in Area of Effect for 206 - 252',100,2,1),
(309448,112271,'If Target is between 10 and 20 meters away',100,3,2),
(309449,112271,'Heals targets in Area of Effect for 412 - 503',100,2,3),
(309450,112271,'If Target is between 5 and 10 meters away',100,3,4),
(309451,112271,'Heals targets in Area of Effect for 824 - 1007',100,2,5),
(309452,112271,'If Target is closer than 5 meters',100,3,6),
(309453,113257,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(309454,113257,'Inflicts 46 - 77 magic damage on target',100,2,1),
(309455,113257,'Grants a total of 8 triggers of the spell.',100,2,2),
(309456,10113257,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(309457,10113257,'Inflicts 60 - 100 magic damage on target',100,2,1),
(309458,10113257,'Grants a total of 8 triggers of the spell.',100,2,2),
(309459,47733,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(309460,47733,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(309461,47733,'Decreases AGI of target by 43.0',100,2,2),
(309462,47733,'Decreases Parry, Defense and Deflection of target by 16.5',100,2,3),
(309463,47733,'Cannot be modified except by direct means',100,2,4),
(309464,47733,'Grants a total of 60 triggers of the spell.',100,2,5),
(309465,10047733,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(309466,10047733,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(309467,10047733,'Decreases AGI of target by 43.0',100,2,2),
(309468,10047733,'Decreases Parry, Defense and Deflection of target by 16.5',100,2,3),
(309469,10047733,'Cannot be modified except by direct means',100,2,4),
(309470,10047733,'Grants a total of 60 triggers of the spell.',100,2,5),
(309471,138127,'When Equipped:',100,0,0),
(309472,138127,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(309473,138127,'Heals caster for 329',100,2,2),
(309474,138127,'Cannot be modified except by direct means',100,2,3),
(309475,10138127,'When Equipped:',100,0,0),
(309476,10138127,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(309477,10138127,'Heals caster for 214',100,2,2),
(309478,10138127,'Cannot be modified except by direct means',100,2,3),
(309479,47525,'Applies Petrified Human Eye when Activated.  Lasts for 6 hours.',100,0,0),
(309480,47525,'Shapechanges caster into a human',100,1,1),
(309481,10047525,'Applies Petrified Human Eye when Activated.  Lasts for 6 hours.',100,0,0),
(309482,10047525,'Shapechanges caster into a human',100,1,1),
(309483,175542,'When Equipped:',100,0,0),
(309484,175542,'On a combat hit this spell may cast Infuriating Shout I on target of attack.  Triggers about 0.8 times per minute. ',100,1,1),
(309485,175542,'Increases Threat to target by 400 ',100,2,2),
(309486,175542,'Cannot be modified except by direct means',100,2,3),
(309487,10175542,'When Equipped:',100,0,0),
(309488,10175542,'On a combat hit this spell may cast Infuriating Shout I on target of attack.  Triggers about 0.8 times per minute. ',100,1,1),
(309489,10175542,'Cannot be modified except by direct means',100,2,2),
(309490,115897,'Inflicts 30 - 36 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(309491,10115897,'Inflicts 50 - 62 disease damage on target encounter',100,1,0),
(309492,10115897,'Inflicts 39 - 47 disease damage on target encounter every 3 seconds',100,1,1),
(309493,45179,'Applies Seal when Activated.',100,0,0),
(309494,10045179,'Applies Seal when Activated.',100,0,0),
(309495,111067,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(309496,111067,'Slows target by 37.4%',100,2,1),
(309497,111067,'5% chance to dispel when target receives hostile action',100,2,2),
(309498,111067,'5% chance to dispel when target takes damage',100,2,3),
(309499,111067,'Decreases Mitigation of target vs elemental damage by 740',100,1,4),
(309500,10111067,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(309501,10111067,'Slows target by 37.4%',100,2,1),
(309502,10111067,'5% chance to dispel when target receives hostile action',100,2,2),
(309503,10111067,'5% chance to dispel when target takes damage',100,2,3),
(309504,10111067,'Decreases Mitigation of target vs elemental damage by 740',100,1,4),
(309505,123748,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(309506,123748,'Increases Mitigation of group members (AE) vs elemental damage by 242',100,1,1),
(309507,10123748,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(309508,10123748,'Increases Mitigation of group members (AE) vs elemental damage by 242',100,1,1),
(309509,110023,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(309510,110023,'Inflicts 116 - 193 disease damage on target',100,2,1),
(309511,110023,'Heals caster for 2.0 - 3.4% of max health',100,2,2),
(309512,110023,'This effect cannot be critically applied.',100,3,3),
(309513,110023,'The healing of this spell cannot be modified except by direct means',100,2,4),
(309514,10110023,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(309515,10110023,'Inflicts 151 - 251 disease damage on target',100,2,1),
(309516,10110023,'Heals caster for 0.6 - 1.0% of max health',100,2,2),
(309517,10110023,'This effect cannot be critically applied.',100,3,3),
(309518,10110023,'The healing of this spell cannot be modified except by direct means',100,2,4),
(309519,120939,'Has a 79% chance to reflect a level 92 effect. Applies to Profession and NPC racial spells only.',100,1,0),
(309520,10120939,'Has a 79% chance to reflect a level 92 effect at 60% of its cast strength. Applies to Profession and NPC racial spells only.',100,1,0),
(309521,75337,'When Equipped:',100,0,0),
(309522,75337,'On a combat hit this spell may cast Dawnbreak on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309523,75337,'Inflicts 177 - 296 divine damage on target',100,2,2),
(309524,75337,'Inflicts 31 - 51 divine damage on target every 6 seconds',100,2,3),
(309525,75337,'Cannot be modified except by direct means',100,2,4),
(309526,75337,'If target is undead',100,1,5),
(309527,10075337,'When Equipped:',100,0,0),
(309528,10075337,'On a combat hit this spell may cast Dawnbreak on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309529,10075337,'Inflicts 231 - 384 divine damage on target',100,2,2),
(309530,10075337,'Inflicts 40 - 66 divine damage on target every 6 seconds',100,2,3),
(309531,10075337,'Cannot be modified except by direct means',100,2,4),
(309532,10075337,'If target is undead',100,1,5),
(309533,105113,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(309534,105113,'Summon 1 Distilled Soul (Apprentice)',100,2,1),
(309535,10105113,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(309536,10105113,'Summon 1 Distilled Soul (Apprentice)',100,2,1),
(309537,118290,'Summons a limited pet to aid the caster',100,1,0),
(309538,10118290,'Summons a limited pet to aid the caster',100,1,0),
(309539,144941,'When Equipped:',100,0,0),
(309540,144941,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(309541,144941,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(309542,144941,'Increases Ability Recovery Speed of caster by 10.0%',100,2,3),
(309543,144941,'Increases in-combat movement speed of caster by 10.0%',100,2,4),
(309544,144941,'Must not be engaged in pvp combat',100,2,5),
(309545,144941,'Cannot be modified except by direct means',100,2,6),
(309546,144941,'This effect will not stack with itself.',100,1,7),
(309547,144941,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(309548,144941,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(309549,144941,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(309550,144941,'Increases in-combat movement speed of caster by 10.0%',100,2,11),
(309551,144941,'Must not be engaged in pvp combat',100,2,12),
(309552,144941,'Cannot be modified except by direct means',100,2,13),
(309553,144941,'Must not be engaged in pvp combat',100,1,14),
(309554,10144941,'When Equipped:',100,0,0),
(309555,10144941,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(309556,10144941,'Increases Ability Casting Speed of caster by 10.0%',100,2,2),
(309557,10144941,'Increases Ability Recovery Speed of caster by 10.0%',100,2,3),
(309558,10144941,'Increases in-combat movement speed of caster by 10.0%',100,2,4),
(309559,10144941,'Must not be engaged in pvp combat',100,2,5),
(309560,10144941,'Cannot be modified except by direct means',100,2,6),
(309561,10144941,'This effect will not stack with itself.',100,1,7),
(309562,10144941,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(309563,10144941,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(309564,10144941,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(309565,10144941,'Increases in-combat movement speed of caster by 10.0%',100,2,11),
(309566,10144941,'Must not be engaged in pvp combat',100,2,12),
(309567,10144941,'Cannot be modified except by direct means',100,2,13),
(309568,10144941,'Must not be engaged in pvp combat',100,1,14),
(309569,116815,'Decreases Hate Gain of caster by 9.0%',100,1,0),
(309570,46921,'Applies Siphon when Activated.',100,0,0),
(309571,46921,'Inflicts 500 mental damage on target',100,1,1),
(309572,10046921,'Applies Siphon when Activated.',100,0,0),
(309573,10046921,'Inflicts 650 mental damage on target',100,1,1),
(309574,80666,'When Equipped:',100,0,0),
(309575,80666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309576,80666,'Inflicts 50 - 93 magic damage on target',100,2,2),
(309577,80666,'Cannot be modified except by direct means',100,2,3),
(309578,10080666,'When Equipped:',100,0,0),
(309579,10080666,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309580,10080666,'Inflicts 65 - 121 magic damage on target',100,2,2),
(309581,10080666,'Cannot be modified except by direct means',100,2,3),
(309582,110830,'Inflicts 87 - 118 mental damage on target',100,1,0),
(309583,110830,'Interrupts target',100,1,1),
(309584,10110830,'Inflicts 113 - 154 mental damage on target',100,1,0),
(309585,10110830,'Interrupts target',100,1,1),
(309586,111068,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(309587,111068,'Slows target by 52.4%',100,2,1),
(309588,111068,'5% chance to dispel when target receives hostile action',100,2,2),
(309589,111068,'5% chance to dispel when target takes damage',100,2,3),
(309590,111068,'Decreases Mitigation of target vs elemental damage by 1036',100,1,4),
(309591,10111068,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(309592,10111068,'Slows target by 52.4%',100,2,1),
(309593,10111068,'5% chance to dispel when target receives hostile action',100,2,2),
(309594,10111068,'5% chance to dispel when target takes damage',100,2,3),
(309595,10111068,'Decreases Mitigation of target vs elemental damage by 1036',100,1,4),
(309596,81379,'When Equipped:',100,0,0),
(309597,81379,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(309598,81379,'Inflicts 80 - 149 magic damage on target',100,2,2),
(309599,81379,'Decreases Threat to target by 352 ',100,2,3),
(309600,81379,'Must be flanking or behind',100,3,4),
(309601,81379,'Increases Threat to target by 352 ',100,2,5),
(309602,81379,'Must be in front of',100,3,6),
(309603,81379,'Cannot be modified except by direct means',100,2,7),
(309604,10081379,'When Equipped:',100,0,0),
(309605,10081379,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(309606,10081379,'Inflicts 104 - 193 magic damage on target',100,2,2),
(309607,10081379,'Cannot be modified except by direct means',100,2,3),
(309608,114819,'Dazes caster',100,1,0),
(309609,114819,'Roots caster',100,1,1),
(309610,114819,'Increases Mitigation of caster vs physical damage by 1120',100,1,2),
(309611,10114819,'Dazes caster',100,1,0),
(309612,10114819,'Roots caster',100,1,1),
(309613,10114819,'Increases Mitigation of caster vs physical damage by 1120',100,1,2),
(309614,110161,'Applies Untreated Bleeding on termination.',100,1,0),
(309615,110161,'Inflicts 55 - 92 piercing damage on target',100,2,1),
(309616,110161,'Inflicts 12 - 20 piercing damage on target instantly and every 4 seconds',100,1,2),
(309617,110161,'Inflicts 7 - 13 melee damage on target',100,1,3),
(309618,10110161,'Applies Untreated Bleeding on termination.',100,1,0),
(309619,10110161,'Inflicts 72 - 120 piercing damage on target',100,2,1),
(309620,10110161,'Inflicts 15 - 26 piercing damage on target instantly and every 4 seconds',100,1,2),
(309621,10110161,'Inflicts 10 - 17 melee damage on target',100,1,3),
(309622,117699,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(309623,117699,'Adds 1.1% to base avoidance.',100,1,1),
(309624,10117699,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(309625,10117699,'Adds 1.1% to base avoidance.',100,1,1),
(309626,144675,'When Equipped:',100,0,0),
(309627,144675,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(309628,144675,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(309629,144675,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(309630,144675,'This effect cannot occur more than once a second',100,2,4),
(309631,144675,'Must be engaged in pvp combat',100,2,5),
(309632,144675,'Cannot be modified except by direct means',100,2,6),
(309633,144675,'Cannot be modified except by direct means',100,1,7),
(309634,144675,'When Equipped:',100,0,8),
(309635,144675,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(309636,144675,'Must be engaged in pvp combat',100,1,10),
(309637,144675,'When Equipped:',100,0,11),
(309638,144675,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(309639,144675,'Must be engaged in pvp combat',100,1,13),
(309640,10144675,'When Equipped:',100,0,0),
(309641,10144675,'When damaged with a spell this spell has a 10% chance to cast Elemental Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(309642,10144675,'Reduces elemental, noxious and arcane damage done to target by 2.5%',100,2,2),
(309643,10144675,'Elemental Barrier cannot proc more than once per second.',100,2,3),
(309644,10144675,'This effect cannot occur more than once a second',100,2,4),
(309645,10144675,'Must be engaged in pvp combat',100,2,5),
(309646,10144675,'Cannot be modified except by direct means',100,2,6),
(309647,10144675,'Cannot be modified except by direct means',100,1,7),
(309648,10144675,'When Equipped:',100,0,8),
(309649,10144675,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1228',100,1,9),
(309650,10144675,'Must be engaged in pvp combat',100,1,10),
(309651,10144675,'When Equipped:',100,0,11),
(309652,10144675,'Increases Mitigation of caster vs physical damage by 163',100,1,12),
(309653,10144675,'Must be engaged in pvp combat',100,1,13),
(309654,36269,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(309655,175134,'Applies Sacrilege when Equipped.',100,0,0),
(309656,175134,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(309657,10175134,'Applies Sacrilege when Equipped.',100,0,0),
(309658,10175134,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(309659,124457,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(309660,124457,'Inflicts 201 - 336 melee damage on target',100,2,1),
(309661,124457,'Decreases Defense of caster by 21.8',100,1,2),
(309662,124457,'Increases Slashing, Piercing, Ranged and Crushing of caster by 31.1',100,1,3),
(309663,10124457,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(309664,10124457,'Inflicts 262 - 437 melee damage on target',100,2,1),
(309665,10124457,'Decreases Defense of caster by 21.8',100,1,2),
(309666,10124457,'Increases Slashing, Piercing, Ranged and Crushing of caster by 31.1',100,1,3),
(309667,81251,'When Equipped:',100,0,0),
(309668,81251,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(309669,81251,'Inflicts 196 - 364 magic damage on target',100,2,2),
(309670,81251,'Decreases Threat to target by 949 ',100,2,3),
(309671,81251,'Must be flanking or behind',100,3,4),
(309672,81251,'Increases Threat to target by 949 ',100,2,5),
(309673,81251,'Must be in front of',100,3,6),
(309674,81251,'Cannot be modified except by direct means',100,2,7),
(309675,10081251,'When Equipped:',100,0,0),
(309676,10081251,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(309677,10081251,'Inflicts 255 - 474 magic damage on target',100,2,2),
(309678,10081251,'Cannot be modified except by direct means',100,2,3),
(309679,108542,'Makes target afraid',100,1,0),
(309680,108542,'30% chance to dispel when target takes damage',100,1,1),
(309681,108542,'Does not affect Epic targets',100,1,2),
(309682,108542,'Resistibility increases against targets higher than level 53.',100,1,3),
(309683,10108542,'Makes target afraid',100,1,0),
(309684,10108542,'30% chance to dispel when target takes damage',100,1,1),
(309685,10108542,'Does not affect Epic targets',100,1,2),
(309686,10108542,'Resistibility increases against targets higher than level 53.',100,1,3),
(309687,40948,'When Equipped:',100,0,0),
(309688,40948,'On a ranged hit this spell may cast Diminish Thoughts on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309689,40948,'Decreases Threat to target by 900 ',100,2,2),
(309690,40948,'Cannot be modified except by direct means',100,2,3),
(309691,10040948,'When Equipped:',100,0,0),
(309692,10040948,'On a ranged hit this spell may cast Diminish Thoughts on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309693,10040948,'Cannot be modified except by direct means',100,2,2),
(309694,87734,'When Equipped:',100,0,0),
(309695,87734,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(309696,87734,'Wards caster against 720 points of all damage',100,2,2),
(309697,87734,'Cannot be modified except by direct means',100,2,3),
(309698,87734,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(309699,87734,'Wards caster against 720 points of all damage',100,2,5),
(309700,87734,'Cannot be modified except by direct means',100,2,6),
(309701,10087734,'When Equipped:',100,0,0),
(309702,10087734,'When damaged in combat this spell has a 7% chance to cast Stonewill on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(309703,10087734,'Wards caster against 360 points of all damage',100,2,2),
(309704,10087734,'Cannot be modified except by direct means',100,2,3),
(309705,10087734,'On any combat or spell hit this spell may cast Stonewill on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,4),
(309706,10087734,'Wards caster against 360 points of all damage',100,2,5),
(309707,10087734,'Cannot be modified except by direct means',100,2,6),
(309708,117221,'Inflicts 8 slashing damage on target every 4 seconds',100,1,0),
(309709,117221,'Inflicts 38 - 64 melee damage on target',100,1,1),
(309710,10117221,'Inflicts 10 slashing damage on target every 4 seconds',100,1,0),
(309711,10117221,'Inflicts 50 - 84 melee damage on target',100,1,1),
(309712,75044,'Applies Poison Bolt when Activated.',100,0,0),
(309713,75044,'Inflicts 238 - 397 poison damage on target',100,1,1),
(309714,75044,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(309715,10075044,'Applies Poison Bolt when Activated.',100,0,0),
(309716,10075044,'Inflicts 310 - 517 poison damage on target',100,1,1),
(309717,10075044,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(309718,74856,'When Equipped:',100,0,0),
(309719,74856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309720,74856,'Inflicts 111 - 166 magic damage on target',100,2,2),
(309721,74856,'Cannot be modified except by direct means',100,2,3),
(309722,10074856,'When Equipped:',100,0,0),
(309723,10074856,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309724,10074856,'Inflicts 144 - 216 magic damage on target',100,2,2),
(309725,10074856,'Cannot be modified except by direct means',100,2,3),
(309726,117381,'Increases Threat to target by 142 ',100,1,0),
(309727,117381,'Inflicts 18 - 55 melee damage on target',100,1,1),
(309728,10117381,'Forces target to change their selected target to caster.',100,1,0),
(309729,10117381,'Inflicts 16 - 48 melee damage on target',100,1,1),
(309730,108619,'Feigns Death with 84% chance of success',100,1,0),
(309731,10108619,'Feigns Death with 84% chance of success',100,1,0),
(309732,48509,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(309733,48509,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(309734,48509,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(309735,48509,'Cannot be modified except by direct means',100,2,3),
(309736,48509,'Grants a total of 80 triggers of the spell.',100,2,4),
(309737,10048509,'Applies uncontrollable indignation when Activated.  Lasts for 12 hours.',100,0,0),
(309738,10048509,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(309739,10048509,'Decreases Mitigation of target vs arcane damage by 264',100,2,2),
(309740,10048509,'Cannot be modified except by direct means',100,2,3),
(309741,10048509,'Grants a total of 80 triggers of the spell.',100,2,4),
(309742,123110,'Inflicts 68 disease damage on targets in Area of Effect',100,1,0),
(309743,123110,'Inflicts 46 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(309744,10123110,'Inflicts 88 disease damage on targets in Area of Effect',100,1,0),
(309745,10123110,'Inflicts 60 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(309746,104399,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(309747,104399,'Inflicts 210 - 256 cold damage on target',100,2,1),
(309748,10104399,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(309749,10104399,'Inflicts 272 - 333 cold damage on target',100,2,1),
(309750,81735,'When Equipped:',100,0,0),
(309751,81735,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309752,81735,'Inflicts 97 - 180 magic damage on target',100,2,2),
(309753,81735,'Cannot be modified except by direct means',100,2,3),
(309754,10081735,'When Equipped:',100,0,0),
(309755,10081735,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309756,10081735,'Inflicts 126 - 234 magic damage on target',100,2,2),
(309757,10081735,'Cannot be modified except by direct means',100,2,3),
(309758,113023,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(309759,113023,'Stuns target',40,2,1),
(309760,113023,'If Target is not Epic',100,3,2),
(309761,113023,'Inflicts 148 - 444 melee damage on target',100,2,3),
(309762,113023,'Resistibility increases against targets higher than level 107.',100,2,4),
(309763,10113023,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(309764,10113023,'Inflicts 192 - 577 melee damage on target',100,2,1),
(309765,87332,'When Equipped:',100,0,0),
(309766,87332,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309767,87332,'Inflicts 72 - 108 magic damage on target',100,2,2),
(309768,87332,'Cannot be modified except by direct means',100,2,3),
(309769,10087332,'When Equipped:',100,0,0),
(309770,10087332,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309771,10087332,'Inflicts 93 - 140 magic damage on target',100,2,2),
(309772,10087332,'Cannot be modified except by direct means',100,2,3),
(309773,122336,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(309774,122336,'Inflicts 2 piercing damage on target',100,2,1),
(309775,10122336,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(309776,10122336,'Inflicts 2 piercing damage on target',100,2,1),
(309777,103180,'Throws target back',100,1,0),
(309778,103180,'If Target is not Epic',100,2,1),
(309779,103180,'Inflicts 178 - 534 crushing damage on target',100,1,2),
(309780,103180,'Stuns target',100,1,3),
(309781,103180,'If Target is not Epic',100,2,4),
(309782,103180,'Resistibility increases against targets higher than level 118.',100,1,5),
(309783,10103180,'Throws target back',100,1,0),
(309784,10103180,'If Target is not Epic',100,2,1),
(309785,10103180,'Inflicts 231 - 694 crushing damage on target',100,1,2),
(309786,10103180,'Stuns target',100,1,3),
(309787,10103180,'If Target is not Epic',100,2,4),
(309788,10103180,'Resistibility increases against targets higher than level 118.',100,1,5),
(309789,25487,'When Equipped:',100,0,0),
(309790,25487,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(309791,25487,'Improves the base damage of Fatal Followup II by 10%.',100,1,2),
(309792,10025487,'When Equipped:',100,0,0),
(309793,10025487,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(309794,10025487,'Improves the base damage of Fatal Followup II by 10%.',100,1,2),
(309795,24174,'Adds Crushbone: Empty Gilded Wall Mount to your Dungeon Maker toolbox',100,0,0),
(309796,10024174,'Adds Crushbone: Empty Gilded Wall Mount to your Dungeon Maker toolbox',100,0,0),
(309797,108527,'Increases AGI and WIS of group members (AE) by 44.6',100,1,0),
(309798,108527,'Adds 1.4% to base avoidance.',100,1,1),
(309799,108527,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 125',100,1,2),
(309800,10108527,'Increases AGI and WIS of group members (AE) by 44.6',100,1,0),
(309801,10108527,'Adds 1.4% to base avoidance.',100,1,1),
(309802,10108527,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 125',100,1,2),
(309803,117859,'Heals target for 103 - 126 instantly and every 2 seconds',100,1,0),
(309804,10117859,'Heals target for 67 - 82 instantly and every 2 seconds',100,1,0),
(309805,111568,'Inflicts 3296 - 6122 cold damage on target',100,1,0),
(309806,111568,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(309807,111568,'Stuns target',100,2,2),
(309808,111568,'Throws target back',100,2,3),
(309809,111568,'Blurs vision of target',100,2,4),
(309810,111568,'Does not affect Epic targets',100,2,5),
(309811,10111568,'Inflicts 3099 - 5755 cold damage on target',100,1,0),
(309812,10111568,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(309813,10111568,'Stuns target',100,2,2),
(309814,10111568,'Throws target back',100,2,3),
(309815,10111568,'Blurs vision of target',100,2,4),
(309816,10111568,'Does not affect Epic targets',100,2,5),
(309817,113016,'Increases WIS of caster by 29.0',100,1,0),
(309818,113016,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(309819,113016,'Increases Defense of caster by 5.3',100,1,2),
(309820,113016,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(309821,10113016,'Increases WIS of caster by 29.0',100,1,0),
(309822,10113016,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(309823,10113016,'Increases Defense of caster by 5.3',100,1,2),
(309824,10113016,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(309825,118447,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(309826,118447,'Inflicts 6 - 8 heat damage on target instantly and every second',100,2,1),
(309827,10118447,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(309828,10118447,'Inflicts 8 - 10 heat damage on target instantly and every second',100,2,1),
(309829,159265,'When Equipped:',100,0,0),
(309830,159265,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309831,159265,'Increases INT of caster by 5.1',100,2,2),
(309832,159265,'Increases Focus, Subjugation and Disruption of caster by 3.3',100,2,3),
(309833,159265,'Cannot be modified except by direct means',100,2,4),
(309834,10159265,'When Equipped:',100,0,0),
(309835,10159265,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309836,10159265,'Increases INT of caster by 5.1',100,2,2),
(309837,10159265,'Increases Focus, Subjugation and Disruption of caster by 3.3',100,2,3),
(309838,10159265,'Cannot be modified except by direct means',100,2,4),
(309839,116241,'Summons a pet Illusion Ally',100,1,0),
(309840,10116241,'Summons a pet Illusion Ally',100,1,0),
(309841,105608,'Decreases power of target encounter by 90 - 110 instantly and every 3 seconds',100,1,0),
(309842,105608,'Inflicts 210 - 390 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(309843,105608,'Heals group members (AE) for 114 - 212 instantly and every 3 seconds',100,1,2),
(309844,105608,'Increases power of group members (AE) by 44 instantly and every 3 seconds',100,1,3),
(309845,10105608,'Decreases power of target encounter by 90 - 110 instantly and every 3 seconds',100,1,0),
(309846,10105608,'Inflicts 273 - 508 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(309847,10105608,'Heals group members (AE) for 74 - 138 instantly and every 3 seconds',100,1,2),
(309848,10105608,'Increases power of group members (AE) by 44 instantly and every 3 seconds',100,1,3),
(309849,104621,'Inflicts 25 - 43 crushing damage on target',100,1,0),
(309850,104621,'Decreases power of target by 26 - 43',100,1,1),
(309851,10104621,'Inflicts 33 - 56 crushing damage on target',100,1,0),
(309852,10104621,'Decreases power of target by 26 - 43',100,1,1),
(309853,47922,'Applies Call Saryrn Deathcharger when Activated.',100,0,0),
(309854,47922,'Applies Friendly Experience.',100,1,1),
(309855,47922,'Increases Combat XP Gain of target by 10.0%',100,2,2),
(309856,47922,'Summons a mount to ride',100,1,3),
(309857,47922,'Increases your ground speed by 130%',100,2,4),
(309858,10047922,'Applies Call Saryrn Deathcharger when Activated.',100,0,0),
(309859,10047922,'Applies Friendly Experience.',100,1,1),
(309860,10047922,'Increases Combat XP Gain of target by 10.0%',100,2,2),
(309861,10047922,'Summons a mount to ride',100,1,3),
(309862,10047922,'Increases your ground speed by 130%',100,2,4),
(309863,109841,'Inflicts 406 - 677 melee damage on target',100,1,0),
(309864,109841,'Decreases Parry of target by 47.1',100,1,1),
(309865,109841,'Must be in front of or flanking',100,1,2),
(309866,10109841,'Inflicts 528 - 881 melee damage on target',100,1,0),
(309867,10109841,'Decreases Parry of target by 47.1',100,1,1),
(309868,10109841,'Must be in front of or flanking',100,1,2),
(309869,40649,'When Equipped:',100,0,0),
(309870,40649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309871,40649,'Inflicts 135 - 203 magic damage on target',100,2,2),
(309872,40649,'Cannot be modified except by direct means',100,2,3),
(309873,10040649,'When Equipped:',100,0,0),
(309874,10040649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309875,10040649,'Inflicts 176 - 264 magic damage on target',100,2,2),
(309876,10040649,'Cannot be modified except by direct means',100,2,3),
(309877,46295,'Applies Unbreakable when Activated.  Lasts for 12.0 seconds.',100,0,0),
(309878,46295,'Gives caster an extra 10.0% mitigation to their worn armor',100,1,1),
(309879,46295,'Makes caster immune to Stun effects',100,1,2),
(309880,46295,'Must have Fallen Foe Token of Perseverance equipped.',100,1,3),
(309881,46295,'Must be engaged in pvp combat',100,1,4),
(309882,10046295,'Applies Unbreakable when Activated.  Lasts for 12.0 seconds.',100,0,0),
(309883,10046295,'Gives caster an extra 10.0% mitigation to their worn armor',100,1,1),
(309884,10046295,'Makes caster immune to Stun effects',100,1,2),
(309885,10046295,'Must have Fallen Foe Token of Perseverance equipped.',100,1,3),
(309886,10046295,'Must be engaged in pvp combat',100,1,4),
(309887,119455,'Inflicts 237 - 396 melee damage on target',100,1,0),
(309888,119455,'Inflicts 172 piercing damage on target instantly and every 4 seconds',100,1,1),
(309889,119455,'Must be flanking or behind',100,1,2),
(309890,10119455,'Inflicts 309 - 515 melee damage on target',100,1,0),
(309891,10119455,'Inflicts 223 piercing damage on target instantly and every 4 seconds',100,1,1),
(309892,10119455,'Must be flanking or behind',100,1,2),
(309893,114836,'Dazes caster',100,1,0),
(309894,114836,'Roots caster',100,1,1),
(309895,114836,'Increases Mitigation of caster vs physical damage by 2293',100,1,2),
(309896,10114836,'Dazes caster',100,1,0),
(309897,10114836,'Roots caster',100,1,1),
(309898,10114836,'Increases Mitigation of caster vs physical damage by 2293',100,1,2),
(309899,71961,'When Equipped:',100,0,0),
(309900,71961,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309901,71961,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(309902,71961,'Cannot be modified except by direct means',100,2,3),
(309903,10071961,'When Equipped:',100,0,0),
(309904,10071961,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(309905,10071961,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(309906,10071961,'Cannot be modified except by direct means',100,2,3),
(309907,115552,'Increases Mitigation of raid and group members (AE) vs noxious damage by 955',100,1,0),
(309908,10115552,'Increases Mitigation of raid and group members (AE) vs noxious damage by 955',100,1,0),
(309909,48996,'Applies Typhoonamatic Generator when Activated.  Lasts for 45.0 seconds.',100,0,0),
(309910,48996,'Summons a limited pet to aid the caster',100,1,1),
(309911,10048996,'Applies Typhoonamatic Generator when Activated.  Lasts for 45.0 seconds.',100,0,0),
(309912,10048996,'Summons a limited pet to aid the caster',100,1,1),
(309913,101957,'Summons a limited pet to aid the caster',100,1,0),
(309914,10101957,'Summons a limited pet to aid the caster',100,1,0),
(309915,110035,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(309916,110035,'Inflicts 228 - 380 disease damage on target',100,2,1),
(309917,110035,'Heals caster for 2.0 - 3.4% of max health',100,2,2),
(309918,110035,'This effect cannot be critically applied.',100,3,3),
(309919,110035,'The healing of this spell cannot be modified except by direct means',100,2,4),
(309920,10110035,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(309921,10110035,'Inflicts 297 - 495 disease damage on target',100,2,1),
(309922,10110035,'Heals caster for 0.6 - 1.0% of max health',100,2,2),
(309923,10110035,'This effect cannot be critically applied.',100,3,3),
(309924,10110035,'The healing of this spell cannot be modified except by direct means',100,2,4),
(309925,109389,'Inflicts 145 - 437 melee damage on target',100,1,0),
(309926,109389,'Inflicts 182 - 546 melee damage on target',100,1,1),
(309927,109389,'Inflicts 218 - 656 melee damage on target',100,1,2),
(309928,10109389,'Inflicts 189 - 568 melee damage on target',100,1,0),
(309929,10109389,'Inflicts 236 - 710 melee damage on target',100,1,1),
(309930,10109389,'Inflicts 284 - 853 melee damage on target',100,1,2),
(309931,86235,'When Equipped:',100,0,0),
(309932,86235,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(309933,86235,'Inflicts 696 - 851 disease damage on target',100,2,2),
(309934,86235,'300% of health regained from lifetaps will be applied as hate to engaged targets.',100,2,3),
(309935,86235,'Cannot be modified except by direct means',100,2,4),
(309936,86235,'Cannot be modified except by direct means',100,1,5),
(309937,86235,'Applies Touch of Death when Activated.  Lasts for 8.0 seconds.',100,0,6),
(309938,86235,'Will absorb physical damage when the amount is greater than 60% of the target''s maximum health.',100,1,7),
(309939,86235,'Forces target to change their selected target to caster instantly.  Hate gain is increased by 10% for the duration.',100,1,8),
(309940,86235,'The reuse time of Touch of Death is 6 minutes',100,1,9),
(309941,86235,'When Equipped:',100,0,10),
(309942,86235,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',100,1,11),
(309943,10086235,'When Equipped:',100,0,0),
(309944,10086235,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(309945,10086235,'Inflicts 905 - 1106 disease damage on target',100,2,2),
(309946,10086235,'300% of health regained from lifetaps will be applied as hate to engaged targets.',100,2,3),
(309947,10086235,'Cannot be modified except by direct means',100,2,4),
(309948,10086235,'Cannot be modified except by direct means',100,1,5),
(309949,10086235,'Applies Touch of Death when Activated.  Lasts for 8.0 seconds.',100,0,6),
(309950,10086235,'Will absorb physical damage when the amount is greater than 60% of the target''s maximum health.',100,1,7),
(309951,10086235,'Forces target to change their selected target to caster instantly.  Hate gain is increased by 10% for the duration.',100,1,8),
(309952,10086235,'The reuse time of Touch of Death is 6 minutes',100,1,9),
(309953,10086235,'When Equipped:',100,0,10),
(309954,10086235,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',100,1,11),
(309955,118065,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(309956,118065,'Increases Defense of caster by 5.0',100,1,1),
(309957,10118065,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(309958,10118065,'Increases Defense of caster by 5.0',100,1,1),
(309959,156895,'Applies Unstable Magics when Equipped.',100,0,0),
(309960,156895,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(309961,10156895,'Applies Unstable Magics when Equipped.',100,0,0),
(309962,10156895,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(309963,144620,'When Equipped:',100,0,0),
(309964,144620,'Increases Attack Speed of caster by 40.0',100,1,1),
(309965,10144620,'When Equipped:',100,0,0),
(309966,10144620,'Increases Attack Speed of caster by 40.0',100,1,1),
(309967,123153,'Reduces physical damage done to caster by 5%',100,1,0),
(309968,123153,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(309969,123153,'Increases Aggression of caster by 5.4',100,1,2),
(309970,123153,'Increases Defense and Parry of caster by 10.8',100,1,3),
(309971,123153,'Increases Mitigation of caster vs elemental damage by 720',100,1,4),
(309972,123153,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(309973,10123153,'Reduces physical damage done to caster by 5%',100,1,0),
(309974,10123153,'Decreases Slashing, Piercing and Crushing of caster by 9.0',100,1,1),
(309975,10123153,'Increases Aggression of caster by 5.4',100,1,2),
(309976,10123153,'Increases Defense and Parry of caster by 10.8',100,1,3),
(309977,10123153,'Increases Mitigation of caster vs elemental damage by 720',100,1,4),
(309978,10123153,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(309979,119768,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(309980,119768,'Inflicts 31 - 38 poison damage on target encounter',100,2,1),
(309981,10119768,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(309982,10119768,'Inflicts 40 - 49 poison damage on target encounter',100,2,1),
(309983,107488,'Inflicts 254 - 761 magic damage on targets in Area of Effect',100,1,0),
(309984,107488,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(309985,107488,'Stuns target',100,2,2),
(309986,107488,'Throws target back',100,2,3),
(309987,107488,'Blurs vision of target',100,2,4),
(309988,107488,'Does not affect Epic targets',100,2,5),
(309989,10107488,'Inflicts 330 - 990 magic damage on targets in Area of Effect',100,1,0),
(309990,10107488,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(309991,10107488,'Stuns target',100,2,2),
(309992,10107488,'Throws target back',100,2,3),
(309993,10107488,'Blurs vision of target',100,2,4),
(309994,10107488,'Does not affect Epic targets',100,2,5),
(309995,82183,'When Equipped:',100,0,0),
(309996,82183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(309997,82183,'Inflicts 33 - 61 magic damage on target',100,2,2),
(309998,82183,'Cannot be modified except by direct means',100,2,3),
(309999,10082183,'When Equipped:',100,0,0),
(310000,10082183,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310001,10082183,'Inflicts 43 - 80 magic damage on target',100,2,2),
(310002,10082183,'Cannot be modified except by direct means',100,2,3),
(310003,155592,'When Equipped:',100,0,0),
(310004,155592,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310005,155592,'Heals caster for 5 instantly and every 3 seconds',100,2,2),
(310006,155592,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(310007,155592,'Cannot be modified except by direct means',100,2,4),
(310008,155592,'Cannot be modified except by direct means',100,1,5),
(310009,10155592,'When Equipped:',100,0,0),
(310010,10155592,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310011,10155592,'Heals caster for 3 instantly and every 3 seconds',100,2,2),
(310012,10155592,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(310013,10155592,'Cannot be modified except by direct means',100,2,4),
(310014,10155592,'Cannot be modified except by direct means',100,1,5),
(310015,49088,'Applies Flaming Vial when Activated.',100,0,0),
(310016,49088,'Must be in The Chamber of Destiny.',100,1,1),
(310017,49088,'You must be in the Leviathan''s stomach.',100,1,2),
(310018,10049088,'Applies Flaming Vial when Activated.',100,0,0),
(310019,10049088,'Must be in The Chamber of Destiny.',100,1,1),
(310020,10049088,'You must be in the Leviathan''s stomach.',100,1,2),
(310021,163677,'When Equipped:',100,0,0),
(310022,163677,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(310023,163677,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(310024,163677,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(310025,163677,'Must be classified as an undead',100,3,4),
(310026,163677,'Inflicts 281 mental damage on target',100,2,5),
(310027,163677,'Must not be classified as an undead',100,3,6),
(310028,163677,'Inflicts 562 mental damage on target',100,2,7),
(310029,163677,'Must be classified as an undead',100,3,8),
(310030,163677,'Cannot be modified except by direct means',100,2,9),
(310031,10163677,'When Equipped:',100,0,0),
(310032,10163677,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(310033,10163677,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(310034,10163677,'Decreases Mitigation of target vs arcane damage by 410',100,2,3),
(310035,10163677,'Must be classified as an undead',100,3,4),
(310036,10163677,'Inflicts 365 mental damage on target',100,2,5),
(310037,10163677,'Must not be classified as an undead',100,3,6),
(310038,10163677,'Inflicts 731 mental damage on target',100,2,7),
(310039,10163677,'Must be classified as an undead',100,3,8),
(310040,10163677,'Cannot be modified except by direct means',100,2,9),
(310041,113672,'Stuns target',100,1,0),
(310042,113672,'If Target is not Epic',100,2,1),
(310043,113672,'Inflicts 37 - 62 heat damage on target',100,1,2),
(310044,113672,'Resistibility increases against targets higher than level 31.',100,1,3),
(310045,10113672,'Stuns target',100,1,0),
(310046,10113672,'If Target is not Epic',100,2,1),
(310047,10113672,'Inflicts 48 - 80 heat damage on target',100,1,2),
(310048,10113672,'Resistibility increases against targets higher than level 31.',100,1,3),
(310049,48276,'Applies Stormreapers Blessing when Activated.  Lasts for 15 minutes.',100,0,0),
(310050,48276,'Increases Max Power of caster by 24.0',100,1,1),
(310051,10048276,'Applies Stormreapers Blessing when Activated.  Lasts for 15 minutes.',100,0,0),
(310052,10048276,'Increases Max Power of caster by 24.0',100,1,1),
(310053,46668,'Applies Throw Snowball when Activated.  Lasts for 1.0 second.',100,0,0),
(310054,10046668,'Applies Throw Snowball when Activated.  Lasts for 1.0 second.',100,0,0),
(310055,110807,'Inflicts 18 - 25 mental damage on target',100,1,0),
(310056,110807,'Interrupts target',100,1,1),
(310057,10110807,'Inflicts 24 - 32 mental damage on target',100,1,0),
(310058,10110807,'Interrupts target',100,1,1),
(310059,121092,'Decreases Threat to targets in Area of Effect by 864 ',100,1,0),
(310060,121092,'Mesmerizes targets in Area of Effect',100,1,1),
(310061,121092,'If Target is not Epic',100,2,2),
(310062,121092,'Dispelled when target takes damage',100,1,3),
(310063,10121092,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(310064,10121092,'Applies Distract.',100,1,1),
(310065,10121092,'Forces target to clear their selected target.',100,2,2),
(310066,10121092,'Mesmerizes targets in Area of Effect',100,1,3),
(310067,10121092,'If Target is not Epic',100,2,4),
(310068,10121092,'Dispelled when target takes damage',100,1,5),
(310069,75492,'When Equipped:',100,0,0),
(310070,75492,'On a critical healing spell cast this spell may cast Shielding Ripple II on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(310071,75492,'Heals target for 74 - 82 instantly and every 2 seconds',100,2,2),
(310072,75492,'Wards target against 150 points of all damage',100,2,3),
(310073,75492,'Must not be engaged in pvp combat',100,2,4),
(310074,75492,'Cannot be modified except by direct means',100,2,5),
(310075,75492,'Must not be engaged in pvp combat',100,1,6),
(310076,10075492,'When Equipped:',100,0,0),
(310077,10075492,'On a critical healing spell cast this spell may cast Shielding Ripple II on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(310078,10075492,'Heals target for 48 - 53 instantly and every 2 seconds',100,2,2),
(310079,10075492,'Wards target against 150 points of all damage',100,2,3),
(310080,10075492,'Must not be engaged in pvp combat',100,2,4),
(310081,10075492,'Cannot be modified except by direct means',100,2,5),
(310082,10075492,'Must not be engaged in pvp combat',100,1,6),
(310083,35444,'Increases AGI of target by 13.2',100,0,0),
(310084,35444,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(310085,109890,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(310086,109890,'Inflicts 31 - 38 poison damage on target instantly and every 4 seconds',100,2,1),
(310087,10109890,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(310088,10109890,'Inflicts 40 - 49 poison damage on target instantly and every 4 seconds',100,2,1),
(310089,106401,'Inflicts 853 - 1422 melee damage on target',100,1,0),
(310090,106401,'Decreases Defense of target by 47.7',100,1,1),
(310091,106401,'Decreases Defense of caster by 29.8',100,1,2),
(310092,10106401,'Inflicts 1109 - 1849 melee damage on target',100,1,0),
(310093,10106401,'Decreases Defense of target by 47.7',100,1,1),
(310094,10106401,'Decreases Defense of caster by 29.8',100,1,2),
(310095,162517,'When Equipped:',100,0,0),
(310096,162517,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(310097,10162517,'When Equipped:',100,0,0),
(310098,10162517,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(310099,113651,'Inflicts 180 - 219 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(310100,113651,'Decreases power of target encounter by 30 - 37 instantly and every 5 seconds',100,1,1),
(310101,113651,'Heals group members (AE) for 175 - 214 instantly and every 5 seconds',100,1,2),
(310102,113651,'Increases power of group members (AE) by 29 - 36 instantly and every 5 seconds',100,1,3),
(310103,10113651,'Inflicts 233 - 285 disease damage on target encounter instantly and every 5 seconds',100,1,0),
(310104,10113651,'Decreases power of target encounter by 30 - 37 instantly and every 5 seconds',100,1,1),
(310105,10113651,'Heals group members (AE) for 114 - 139 instantly and every 5 seconds',100,1,2),
(310106,10113651,'Increases power of group members (AE) by 29 - 36 instantly and every 5 seconds',100,1,3),
(310107,51463,'When Equipped:',100,0,0),
(310108,51463,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310109,51463,'Inflicts 464 poison damage on target',100,2,2),
(310110,51463,'Cannot be modified except by direct means',100,2,3),
(310111,10051463,'When Equipped:',100,0,0),
(310112,10051463,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310113,10051463,'Inflicts 301 poison damage on target',100,2,2),
(310114,10051463,'Cannot be modified except by direct means',100,2,3),
(310115,87243,'When Equipped:',100,0,0),
(310116,87243,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310117,87243,'Inflicts 172 - 258 magic damage on target',100,2,2),
(310118,87243,'Cannot be modified except by direct means',100,2,3),
(310119,10087243,'When Equipped:',100,0,0),
(310120,10087243,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310121,10087243,'Inflicts 223 - 335 magic damage on target',100,2,2),
(310122,10087243,'Cannot be modified except by direct means',100,2,3),
(310123,82753,'When Equipped:',100,0,0),
(310124,82753,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310125,82753,'Inflicts 97 - 180 magic damage on target',100,2,2),
(310126,82753,'Cannot be modified except by direct means',100,2,3),
(310127,10082753,'When Equipped:',100,0,0),
(310128,10082753,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310129,10082753,'Inflicts 126 - 234 magic damage on target',100,2,2),
(310130,10082753,'Cannot be modified except by direct means',100,2,3),
(310131,109069,'Decreases Mitigation of target vs physical damage by 231',100,1,0),
(310132,109069,'Inflicts 50 - 84 melee damage on target',100,1,1),
(310133,109069,'Inflicts 50 - 84 melee damage on target',100,1,2),
(310134,109069,'Inflicts 50 - 84 melee damage on target',100,1,3),
(310135,10109069,'Decreases Mitigation of target vs physical damage by 231',100,1,0),
(310136,10109069,'Inflicts 66 - 110 melee damage on target',100,1,1),
(310137,10109069,'Inflicts 66 - 110 melee damage on target',100,1,2),
(310138,10109069,'Inflicts 66 - 110 melee damage on target',100,1,3),
(310139,24506,'Adds Elite: Lich (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(310140,10024506,'Adds Elite: Lich (Conjuror) to your Dungeon Maker toolbox',100,0,0),
(310141,110884,'Inflicts 367 - 449 heat damage on target encounter',100,1,0),
(310142,10110884,'Inflicts 477 - 583 heat damage on target encounter',100,1,0),
(310143,151074,'When Equipped:',100,0,0),
(310144,151074,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(310145,151074,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(310146,151074,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(310147,151074,'Must not be engaged in pvp combat',100,2,4),
(310148,151074,'Cannot be modified except by direct means',100,2,5),
(310149,151074,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(310150,151074,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(310151,151074,'Must not be engaged in pvp combat',100,2,8),
(310152,151074,'Cannot be modified except by direct means',100,2,9),
(310153,151074,'Cannot be modified except by direct means',100,1,10),
(310154,10151074,'When Equipped:',100,0,0),
(310155,10151074,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(310156,10151074,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(310157,10151074,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(310158,10151074,'Must not be engaged in pvp combat',100,2,4),
(310159,10151074,'Cannot be modified except by direct means',100,2,5),
(310160,10151074,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(310161,10151074,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(310162,10151074,'Must not be engaged in pvp combat',100,2,8),
(310163,10151074,'Cannot be modified except by direct means',100,2,9),
(310164,10151074,'Cannot be modified except by direct means',100,1,10),
(310165,107756,'Stuns target',100,1,0),
(310166,107756,'If Target is not Epic',100,2,1),
(310167,107756,'Inflicts 366 - 610 cold damage on target',100,1,2),
(310168,107756,'Resistibility increases against targets higher than level 73.',100,1,3),
(310169,10107756,'Stuns target',100,1,0),
(310170,10107756,'If Target is not Epic',100,2,1),
(310171,10107756,'Inflicts 476 - 793 cold damage on target',100,1,2),
(310172,10107756,'Resistibility increases against targets higher than level 73.',100,1,3),
(310173,85359,'Applies Poison Bolt when Activated.',100,0,0),
(310174,85359,'Inflicts 178 - 297 poison damage on target',100,1,1),
(310175,85359,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310176,10085359,'Applies Poison Bolt when Activated.',100,0,0),
(310177,10085359,'Inflicts 231 - 386 poison damage on target',100,1,1),
(310178,10085359,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310179,75143,'When Equipped:',100,0,0),
(310180,75143,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(310181,10075143,'When Equipped:',100,0,0),
(310182,10075143,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(310183,124127,'Increases power of caster by 409',100,1,0),
(310184,10124127,'Increases power of caster by 409',100,1,0),
(310185,159825,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(310186,159825,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(310187,159825,'Inflicts 62 heat damage on target',100,2,2),
(310188,159825,'Cannot be modified except by direct means',100,2,3),
(310189,10159825,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(310190,10159825,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(310191,10159825,'Inflicts 80 heat damage on target',100,2,2),
(310192,10159825,'Cannot be modified except by direct means',100,2,3),
(310193,121166,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(310194,121166,'Increases Hate Gain of caster by 5.0%',100,2,1),
(310195,121166,'Increases Attack Speed of caster by 69.1',100,2,2),
(310196,121166,'Dispelled when target takes damage',100,2,3),
(310197,10121166,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(310198,10121166,'Increases Attack Speed of caster by 69.1',100,2,1),
(310199,10121166,'Dispelled when target takes damage',100,2,2),
(310200,87270,'When Equipped:',100,0,0),
(310201,87270,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310202,87270,'Inflicts 208 - 312 magic damage on target',100,2,2),
(310203,87270,'Cannot be modified except by direct means',100,2,3),
(310204,10087270,'When Equipped:',100,0,0),
(310205,10087270,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310206,10087270,'Inflicts 271 - 406 magic damage on target',100,2,2),
(310207,10087270,'Cannot be modified except by direct means',100,2,3),
(310208,35708,'Increases WIS of target by 1.6',100,0,0),
(310209,35708,'Increases Out-of-Combat Health Regeneration of target by 21.0',100,0,1),
(310210,105007,'Reduces physical damage done to caster by 5%',100,1,0),
(310211,105007,'Adds 2.4% to base avoidance.',100,1,1),
(310212,105007,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(310213,105007,'Increases Parry of caster by 41.6',100,1,3),
(310214,105007,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(310215,105007,'Increases Aggression of caster by 25.0',100,1,5),
(310216,105007,'Increases Defense and Deflection of caster by 41.6',100,1,6),
(310217,105007,'Increases Mitigation of caster vs arcane damage by 2781',100,1,7),
(310218,105007,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(310219,10105007,'Reduces physical damage done to caster by 5%',100,1,0),
(310220,10105007,'Adds 2.4% to base avoidance.',100,1,1),
(310221,10105007,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(310222,10105007,'Increases Parry of caster by 41.6',100,1,3),
(310223,10105007,'Decreases Slashing, Piercing and Crushing of caster by 25.8',100,1,4),
(310224,10105007,'Increases Aggression of caster by 25.0',100,1,5),
(310225,10105007,'Increases Defense and Deflection of caster by 41.6',100,1,6),
(310226,10105007,'Increases Mitigation of caster vs arcane damage by 2781',100,1,7),
(310227,10105007,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(310228,106530,'Inflicts 2093 - 3488 melee damage on target',100,1,0),
(310229,106530,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(310230,106530,'If Target is Standard or weaker',100,2,2),
(310231,10106530,'Inflicts 1360 - 2267 melee damage on target',100,1,0),
(310232,88543,'When Equipped:',100,0,0),
(310233,88543,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(310234,88543,'Increases Threat to target by 600 ',100,2,2),
(310235,88543,'Cannot be modified except by direct means',100,2,3),
(310236,10088543,'When Equipped:',100,0,0),
(310237,10088543,'On a combat hit this spell may cast Taunting Blow on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(310238,10088543,'Cannot be modified except by direct means',100,2,2),
(310239,101578,'Inflicts 39 - 65 melee damage on targets in area',100,1,0),
(310240,10101578,'Inflicts 50 - 84 melee damage on targets in area',100,1,0),
(310241,101604,'Inflicts 420 - 700 melee damage on targets in area',100,1,0),
(310242,10101604,'Inflicts 546 - 911 melee damage on targets in area',100,1,0),
(310243,71458,'When Equipped:',100,0,0),
(310244,71458,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310245,71458,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(310246,71458,'Cannot be modified except by direct means',100,2,3),
(310247,10071458,'When Equipped:',100,0,0),
(310248,10071458,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310249,10071458,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(310250,10071458,'Cannot be modified except by direct means',100,2,3),
(310251,74578,'When Equipped:',100,0,0),
(310252,74578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310253,74578,'Inflicts 135 - 203 magic damage on target',100,2,2),
(310254,74578,'Cannot be modified except by direct means',100,2,3),
(310255,10074578,'When Equipped:',100,0,0),
(310256,10074578,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310257,10074578,'Inflicts 176 - 264 magic damage on target',100,2,2),
(310258,10074578,'Cannot be modified except by direct means',100,2,3),
(310259,173840,'When Equipped:',100,0,0),
(310260,173840,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(310261,10173840,'When Equipped:',100,0,0),
(310262,10173840,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(310263,80794,'When Equipped:',100,0,0),
(310264,80794,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310265,80794,'Inflicts 169 - 314 magic damage on target',100,2,2),
(310266,80794,'Cannot be modified except by direct means',100,2,3),
(310267,10080794,'When Equipped:',100,0,0),
(310268,10080794,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310269,10080794,'Inflicts 220 - 409 magic damage on target',100,2,2),
(310270,10080794,'Cannot be modified except by direct means',100,2,3),
(310271,116782,'Increases STR, AGI, WIS and INT of target by 22.2',100,1,0),
(310272,116782,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(310273,116782,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(310274,116782,'Increases Damage Per Second of target by 25.6',100,2,3),
(310275,116782,'Increases Attack Speed of target by 25.6',100,2,4),
(310276,116782,'Adds 1.8% to base avoidance.',100,1,5),
(310277,116782,'Increases Mitigation of target vs elemental, noxious and arcane damage by 66',100,1,6),
(310278,10116782,'Increases STR, AGI, WIS and INT of target by 22.2',100,1,0),
(310279,10116782,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(310280,10116782,'Increases Ability Casting Speed of target by 8.8%',100,2,2),
(310281,10116782,'Increases Damage Per Second of target by 25.6',100,2,3),
(310282,10116782,'Increases Attack Speed of target by 25.6',100,2,4),
(310283,10116782,'Adds 1.8% to base avoidance.',100,1,5),
(310284,10116782,'Increases Mitigation of target vs elemental, noxious and arcane damage by 66',100,1,6),
(310285,71727,'When Equipped:',100,0,0),
(310286,71727,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310287,71727,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(310288,71727,'Cannot be modified except by direct means',100,2,3),
(310289,10071727,'When Equipped:',100,0,0),
(310290,10071727,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310291,10071727,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(310292,10071727,'Cannot be modified except by direct means',100,2,3),
(310293,82830,'When Equipped:',100,0,0),
(310294,82830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310295,82830,'Inflicts 205 - 381 magic damage on target',100,2,2),
(310296,82830,'Cannot be modified except by direct means',100,2,3),
(310297,10082830,'When Equipped:',100,0,0),
(310298,10082830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310299,10082830,'Inflicts 267 - 495 magic damage on target',100,2,2),
(310300,10082830,'Cannot be modified except by direct means',100,2,3),
(310301,104744,'Applies Consecration.',100,1,0),
(310302,104744,'Inflicts 110 - 135 divine damage on targets in Area of Effect',100,2,1),
(310303,10104744,'Applies Consecration.',100,1,0),
(310304,10104744,'Inflicts 143 - 175 divine damage on targets in Area of Effect',100,2,1),
(310305,36908,'Increases AGI of target by 2.4',100,0,0),
(310306,36908,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(310307,192131,'When Equipped:',100,0,0),
(310308,192131,'Increases Attack Speed of caster by 23.0',100,1,1),
(310309,10192131,'When Equipped:',100,0,0),
(310310,10192131,'Increases Attack Speed of caster by 23.0',100,1,1),
(310311,109637,'Wards target against 395 points of all damage',100,1,0),
(310312,10109637,'Wards target against 395 points of all damage',100,1,0),
(310313,111877,'Inflicts 256 - 475 heat damage on target',100,1,0),
(310314,111877,'Inflicts 96 - 178 heat damage on target every 2 seconds',100,1,1),
(310315,10111877,'Inflicts 333 - 618 heat damage on target',100,1,0),
(310316,10111877,'Inflicts 125 - 232 heat damage on target every 2 seconds',100,1,1),
(310317,116189,'Inflicts 342 - 569 mental damage on target',100,1,0),
(310318,10116189,'Inflicts 444 - 740 mental damage on target',100,1,0),
(310319,120284,'Swaps your current hate position with your target''s hate position.',100,1,0),
(310320,120284,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(310321,120284,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(310322,120284,'Cannot be modified except by direct means',100,2,3),
(310323,120284,'Decreases Threat to target by 3,388 ',100,1,4),
(310324,120284,'If profession other than Fighter',100,2,5),
(310325,120284,'Increases Threat to target by 3,388 ',100,1,6),
(310326,120284,'If Fighter',100,2,7),
(310327,120284,'Must be engaged in combat',100,1,8),
(310328,120284,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(310329,10120284,'Forces target to clear their selected target.',100,1,0),
(310330,10120284,'Must be engaged in combat',100,1,1),
(310331,10120284,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(310332,115760,'Inflicts 98 - 164 melee damage on target',100,1,0),
(310333,10115760,'Inflicts 128 - 213 melee damage on target',100,1,0),
(310334,36561,'Increases STR and INT of target by 15.4',100,0,0),
(310335,36561,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(310336,105998,'Inflicts 7 - 9 divine damage on target instantly and every 3 seconds',100,1,0),
(310337,105998,'Decreases Defense of target by 1.9',100,1,1),
(310338,10105998,'Inflicts 6 - 8 divine damage on target instantly and every 3 seconds',100,1,0),
(310339,10105998,'Decreases Defense of target by 1.9',100,1,1),
(310340,159774,'When Equipped:',100,0,0),
(310341,159774,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(310342,159774,'Increases AGI of caster by 5.1',100,2,2),
(310343,159774,'Increases Attack Speed of caster by 13.2',100,2,3),
(310344,159774,'Cannot be modified except by direct means',100,2,4),
(310345,10159774,'When Equipped:',100,0,0),
(310346,10159774,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(310347,10159774,'Increases AGI of caster by 5.1',100,2,2),
(310348,10159774,'Increases Attack Speed of caster by 13.2',100,2,3),
(310349,10159774,'Cannot be modified except by direct means',100,2,4),
(310350,117960,'Heals target for 371 - 453',100,1,0),
(310351,117960,'Increases Max Health of target by 57.1',100,1,1),
(310352,10117960,'Heals target for 426 - 520',100,1,0),
(310353,10117960,'Increases Max Health of target by 57.1',100,1,1),
(310354,112552,'Interrupts target',50,1,0),
(310355,112552,'Inflicts 183 - 224 divine damage on target',100,1,1),
(310356,10112552,'Interrupts target',50,1,0),
(310357,10112552,'Inflicts 306 - 374 divine damage on target',100,1,1),
(310358,25551,'When Equipped:',100,0,0),
(310359,25551,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(310360,25551,'Improves the base damage of Ice Storm by 15%.',100,1,2),
(310361,10025551,'When Equipped:',100,0,0),
(310362,10025551,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(310363,10025551,'Improves the base damage of Ice Storm by 15%.',100,1,2),
(310364,172198,'When Equipped:',100,0,0),
(310365,172198,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310366,172198,'Inflicts 2664 disease damage on target encounter',100,2,2),
(310367,172198,'Must not be engaged in pvp combat',100,2,3),
(310368,172198,'Cannot be modified except by direct means',100,2,4),
(310369,10172198,'When Equipped:',100,0,0),
(310370,10172198,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310371,10172198,'Inflicts 1732 disease damage on target encounter',100,2,2),
(310372,10172198,'Must not be engaged in pvp combat',100,2,3),
(310373,10172198,'Cannot be modified except by direct means',100,2,4),
(310374,104563,'Inflicts 157 - 261 disease damage on target',100,1,0),
(310375,104563,'Decreases WIS of target by 60.1',100,1,1),
(310376,10104563,'Inflicts 204 - 340 disease damage on target',100,1,0),
(310377,10104563,'Decreases WIS of target by 60.1',100,1,1),
(310378,71333,'When Equipped:',100,0,0),
(310379,71333,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310380,71333,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(310381,71333,'Cannot be modified except by direct means',100,2,3),
(310382,10071333,'When Equipped:',100,0,0),
(310383,10071333,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310384,10071333,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(310385,10071333,'Cannot be modified except by direct means',100,2,3),
(310386,110471,'Stifles caster',100,1,0),
(310387,110471,'Increases power of caster by 7 instantly and every second',100,1,1),
(310388,10110471,'Stifles caster',100,1,0),
(310389,10110471,'Increases power of caster by 7 instantly and every second',100,1,1),
(310390,111693,'Inflicts 334 - 408 cold damage on target',100,1,0),
(310391,111693,'Inflicts 334 - 408 cold damage on target',100,1,1),
(310392,111693,'If target is elemental',100,2,2),
(310393,10111693,'Inflicts 372 - 454 cold damage on target',100,1,0),
(310394,48237,'Applies Invoke Ritual when Activated.',100,0,0),
(310395,10048237,'Applies Invoke Ritual when Activated.',100,0,0),
(310396,113800,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(310397,113800,'Heals target for 532 - 650',100,2,1),
(310398,10113800,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(310399,10113800,'Heals target for 346 - 423',100,2,1),
(310400,111502,'Increases AGI of caster by 91.1',100,1,0),
(310401,111502,'Increases Attack Speed of caster by 41.8',100,1,1),
(310402,111502,'Increases in-combat movement speed of caster by 6.0%',100,1,2),
(310403,111502,'Adds 18.7% to base avoidance.',100,1,3),
(310404,111502,'Increases Mitigation of caster vs physical damage by 748',100,1,4),
(310405,111502,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,5),
(310406,10111502,'Increases AGI of caster by 91.1',100,1,0),
(310407,10111502,'Increases Attack Speed of caster by 41.8',100,1,1),
(310408,10111502,'Increases speed of caster by 6.0%',100,1,2),
(310409,10111502,'Adds 18.7% to base avoidance.',100,1,3),
(310410,10111502,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,4),
(310411,159255,'Applies Sanguine Imbued when Equipped.',100,0,0),
(310412,159255,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(310413,159255,'Inflicts 108 heat damage on target',100,2,2),
(310414,159255,'Cannot be modified except by direct means',100,2,3),
(310415,10159255,'Applies Sanguine Imbued when Equipped.',100,0,0),
(310416,10159255,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(310417,10159255,'Inflicts 140 heat damage on target',100,2,2),
(310418,10159255,'Cannot be modified except by direct means',100,2,3),
(310419,104073,'Inflicts 128 - 213 mental damage on target',100,1,0),
(310420,104073,'Inflicts 128 - 213 mental damage on target',100,1,1),
(310421,10104073,'Inflicts 166 - 277 mental damage on target',100,1,0),
(310422,10104073,'Inflicts 166 - 277 mental damage on target',100,1,1),
(310423,106010,'Inflicts 39 - 48 divine damage on target instantly and every 3 seconds',100,1,0),
(310424,106010,'Decreases Defense of target by 8.2',100,1,1),
(310425,10106010,'Inflicts 34 - 42 divine damage on target instantly and every 3 seconds',100,1,0),
(310426,10106010,'Decreases Defense of target by 8.2',100,1,1),
(310427,177482,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(310428,177482,'Decreases Attack Speed of target by 13.2',100,1,1),
(310429,177482,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(310430,10177482,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(310431,10177482,'Decreases Attack Speed of target by 13.2',100,1,1),
(310432,10177482,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(310433,113932,'Increases power of target by 47 instantly and every 4 seconds',100,1,0),
(310434,10113932,'Increases power of target by 47 instantly and every 4 seconds',100,1,0),
(310435,48971,'Applies Xaliran''s Renewal  when Activated.',100,0,0),
(310436,48971,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(310437,10048971,'Applies Xaliran''s Renewal  when Activated.',100,0,0),
(310438,10048971,'Dispels 48 levels of arcane hostile effects on caster',100,1,1),
(310439,103817,'Increases Ability Casting Speed of raid and group members (AE) by 5.4%',100,1,0),
(310440,103817,'Increases Attack Speed of raid and group members (AE) by 13.4',100,1,1),
(310441,10103817,'Increases Ability Casting Speed of raid and group members (AE) by 5.4%',100,1,0),
(310442,10103817,'Increases Attack Speed of raid and group members (AE) by 13.4',100,1,1),
(310443,36823,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(310444,105445,'Inflicts 137 - 168 poison damage on target instantly and every 4 seconds',100,1,0),
(310445,105445,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(310446,105445,'Summons a limited pet to aid the caster',100,2,2),
(310447,105445,'Summons 2 limited pets to aid the caster',100,2,3),
(310448,105445,'Grants a total of 1 trigger of the spell.',100,2,4),
(310449,10105445,'Inflicts 178 - 218 poison damage on target instantly and every 4 seconds',100,1,0),
(310450,10105445,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(310451,10105445,'Summons a limited pet to aid the caster',100,2,2),
(310452,10105445,'Summons 2 limited pets to aid the caster',100,2,3),
(310453,10105445,'Grants a total of 1 trigger of the spell.',100,2,4),
(310454,123017,'Wards group members (AE) collectively against 3346 total points of all damage',100,1,0),
(310455,10123017,'Wards group members (AE) collectively against 4984 total points of all damage',100,1,0),
(310456,113388,'Roots target',100,1,0),
(310457,113388,'Applies Stifle.  Lasts for 9.0 seconds.',100,1,1),
(310458,113388,'Stifles target',100,2,2),
(310459,113388,'Blurs vision of target',100,2,3),
(310460,113388,'Dispelled when target takes damage',100,2,4),
(310461,113388,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(310462,113388,'Resistibility increases against targets higher than level 112.',100,2,6),
(310463,113388,'5% chance to dispel when target takes damage',100,1,7),
(310464,113388,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,8),
(310465,113388,'Resistibility increases against targets higher than level 112.',100,1,9),
(310466,10113388,'Roots target',100,1,0),
(310467,10113388,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(310468,10113388,'Blurs vision of target',100,2,2),
(310469,10113388,'Stifles target',100,2,3),
(310470,10113388,'Dispelled when target takes damage',100,2,4),
(310471,10113388,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(310472,10113388,'Resistibility increases against targets higher than level 112.',100,2,6),
(310473,10113388,'5% chance to dispel when target takes damage',100,1,7),
(310474,10113388,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(310475,10113388,'Resistibility increases against targets higher than level 112.',100,1,9),
(310476,73910,'Applies Disease Blast when Activated.',100,0,0),
(310477,73910,'Inflicts 53 - 89 disease damage on target',100,1,1),
(310478,73910,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310479,10073910,'Applies Disease Blast when Activated.',100,0,0),
(310480,10073910,'Inflicts 69 - 115 disease damage on target',100,1,1),
(310481,10073910,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310482,106208,'Applies Defile.',100,1,0),
(310483,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,1),
(310484,106208,'If under 70% Health',100,3,2),
(310485,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,3),
(310486,106208,'If under 50% Health',100,3,4),
(310487,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,5),
(310488,106208,'If under 90% Health',100,3,6),
(310489,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,7),
(310490,106208,'If under 20% Health',100,3,8),
(310491,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,9),
(310492,106208,'If under 60% Health',100,3,10),
(310493,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,11),
(310494,106208,'If under 40% Health',100,3,12),
(310495,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,13),
(310496,106208,'If under 10% Health',100,3,14),
(310497,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,15),
(310498,106208,'If under 80% Health',100,3,16),
(310499,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,17),
(310500,106208,'If under 30% Health',100,3,18),
(310501,106208,'Inflicts 52 disease damage on targets in Area of Effect',100,2,19),
(310502,106208,'If under 100% Health',100,3,20),
(310503,10106208,'Applies Defile.',100,1,0),
(310504,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,1),
(310505,10106208,'If at 20% Health or less',100,3,2),
(310506,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,3),
(310507,10106208,'If at 80% Health or less',100,3,4),
(310508,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,5),
(310509,10106208,'If at 10% Health or less',100,3,6),
(310510,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,7),
(310511,10106208,'If at 40% Health or less',100,3,8),
(310512,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,9),
(310513,10106208,'If at 100% Health or greater',100,3,10),
(310514,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,11),
(310515,10106208,'If at 70% Health or less',100,3,12),
(310516,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,13),
(310517,10106208,'If at 50% Health or less',100,3,14),
(310518,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,15),
(310519,10106208,'If over 100% Health',100,3,16),
(310520,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,17),
(310521,10106208,'If at 30% Health or less',100,3,18),
(310522,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,19),
(310523,10106208,'If at 90% Health or less',100,3,20),
(310524,10106208,'Inflicts 68 disease damage on targets in Area of Effect',100,2,21),
(310525,10106208,'If at 60% Health or less',100,3,22),
(310526,113311,'Inflicts 210 - 351 heat damage on target',100,1,0),
(310527,10113311,'Inflicts 415 - 692 heat damage on target',100,1,0),
(310528,71233,'When Equipped:',100,0,0),
(310529,71233,'On a combat hit this spell may cast Mark of the Flamelord on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310530,71233,'Inflicts 151 - 166 heat damage on target',100,2,2),
(310531,71233,'Cannot be modified except by direct means',100,2,3),
(310532,10071233,'When Equipped:',100,0,0),
(310533,10071233,'On a combat hit this spell may cast Mark of the Flamelord on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310534,10071233,'Inflicts 196 - 216 heat damage on target',100,2,2),
(310535,10071233,'Cannot be modified except by direct means',100,2,3),
(310536,107842,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(310537,107842,'Slows target by 30.2%',100,2,1),
(310538,107842,'5% chance to dispel when target receives hostile action',100,2,2),
(310539,107842,'5% chance to dispel when target takes damage',100,2,3),
(310540,107842,'Decreases Mitigation of target vs arcane damage by 226',100,1,4),
(310541,10107842,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(310542,10107842,'Slows target by 30.2%',100,2,1),
(310543,10107842,'5% chance to dispel when target receives hostile action',100,2,2),
(310544,10107842,'5% chance to dispel when target takes damage',100,2,3),
(310545,10107842,'Decreases Mitigation of target vs arcane damage by 226',100,1,4),
(310546,121061,'Increases STR and STA of group members (AE) by 23.4',100,1,0),
(310547,10121061,'Increases STR and STA of group members (AE) by 23.4',100,1,0),
(310548,114537,'Heals target for 208 - 254',100,1,0),
(310549,10114537,'Heals target for 270 - 330',100,1,0),
(310550,52707,'Applies Sanguine Imbued when Equipped.',100,0,0),
(310551,52707,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(310552,52707,'Inflicts 40 heat damage on target',100,2,2),
(310553,52707,'Cannot be modified except by direct means',100,2,3),
(310554,10052707,'Applies Sanguine Imbued when Equipped.',100,0,0),
(310555,10052707,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(310556,10052707,'Inflicts 52 heat damage on target',100,2,2),
(310557,10052707,'Cannot be modified except by direct means',100,2,3),
(310558,27444,'When Equipped:',100,0,0),
(310559,27444,'On a critical combat hit this spell may cast Tactical Advantage on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(310560,27444,'Decreases Potency of target by 10.0%',100,2,2),
(310561,27444,'Cannot be modified except by direct means',100,2,3),
(310562,27444,'This effect will not stack with itself if adorned on multiple items.',100,1,4),
(310563,27444,'On a critical spell hit this spell may cast Tactical Advantage on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(310564,27444,'Decreases Potency of target by 10.0%',100,2,6),
(310565,27444,'Cannot be modified except by direct means',100,2,7),
(310566,27444,'Must not be engaged in pvp combat',100,1,8),
(310567,27444,'Cannot be modified except by direct means',100,1,9),
(310568,10027444,'When Equipped:',100,0,0),
(310569,10027444,'On a critical combat hit this spell may cast Tactical Advantage on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(310570,10027444,'Decreases Potency of target by 10.0%',100,2,2),
(310571,10027444,'Cannot be modified except by direct means',100,2,3),
(310572,10027444,'This effect will not stack with itself if adorned on multiple items.',100,1,4),
(310573,10027444,'On a critical spell hit this spell may cast Tactical Advantage on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,5),
(310574,10027444,'Decreases Potency of target by 10.0%',100,2,6),
(310575,10027444,'Cannot be modified except by direct means',100,2,7),
(310576,10027444,'Must not be engaged in pvp combat',100,1,8),
(310577,10027444,'Cannot be modified except by direct means',100,1,9),
(310578,82764,'When Equipped:',100,0,0),
(310579,82764,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(310580,82764,'Inflicts 237 - 440 magic damage on target',100,2,2),
(310581,82764,'Decreases Threat to target by 1,174 ',100,2,3),
(310582,82764,'Must be flanking or behind',100,3,4),
(310583,82764,'Increases Threat to target by 1,174 ',100,2,5),
(310584,82764,'Must be in front of',100,3,6),
(310585,82764,'Cannot be modified except by direct means',100,2,7),
(310586,10082764,'When Equipped:',100,0,0),
(310587,10082764,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(310588,10082764,'Inflicts 308 - 572 magic damage on target',100,2,2),
(310589,10082764,'Cannot be modified except by direct means',100,2,3),
(310590,79889,'When Equipped:',100,0,0),
(310591,79889,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310592,79889,'Inflicts 2648 poison damage on target',100,2,2),
(310593,79889,'Cannot be modified except by direct means',100,2,3),
(310594,10079889,'When Equipped:',100,0,0),
(310595,10079889,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310596,10079889,'Inflicts 1721 poison damage on target',100,2,2),
(310597,10079889,'Cannot be modified except by direct means',100,2,3),
(310598,116321,'Stuns target',100,1,0),
(310599,116321,'If Target is not Epic',100,2,1),
(310600,116321,'Inflicts 595 - 727 magic damage on target',100,1,2),
(310601,116321,'Resistibility increases against targets higher than level 101.',100,1,3),
(310602,10116321,'Stuns target',100,1,0),
(310603,10116321,'If Target is not Epic',100,2,1),
(310604,10116321,'Inflicts 773 - 945 magic damage on target',100,1,2),
(310605,10116321,'Resistibility increases against targets higher than level 101.',100,1,3),
(310606,84016,'Applies Lightning Shock when Activated.',100,0,0),
(310607,84016,'Inflicts 53 - 89 magic damage on target',100,1,1),
(310608,84016,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310609,10084016,'Applies Lightning Shock when Activated.',100,0,0),
(310610,10084016,'Inflicts 69 - 115 magic damage on target',100,1,1),
(310611,10084016,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310612,113824,'Inflicts 132 - 220 disease damage on target',100,1,0),
(310613,10113824,'Inflicts 171 - 286 disease damage on target',100,1,0),
(310614,112440,'Mesmerizes target',100,1,0),
(310615,112440,'Prevents AOE (except when direct) ',100,1,1),
(310616,112440,'Dispelled when target takes damage',100,1,2),
(310617,112440,'Does not affect Epic targets',100,1,3),
(310618,112440,'Resistibility increases against targets higher than level 81.',100,1,4),
(310619,10112440,'Mesmerizes target',100,1,0),
(310620,10112440,'Prevents AOE (except when direct) ',100,1,1),
(310621,10112440,'Dispelled when target takes damage',100,1,2),
(310622,10112440,'Does not affect Epic targets',100,1,3),
(310623,10112440,'Resistibility increases against targets higher than level 81.',100,1,4),
(310624,107443,'Summons a pet earthen avatar',100,1,0),
(310625,10107443,'Summons a pet earthen avatar',100,1,0),
(310626,109863,'Increases Defense of group members (AE) by 16.6',100,1,0),
(310627,10109863,'Increases Defense of group members (AE) by 16.6',100,1,0),
(310628,46816,'Applies Antonican Glory when Activated.',100,0,0),
(310629,46816,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(310630,10046816,'Applies Antonican Glory when Activated.',100,0,0),
(310631,10046816,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(310632,118663,'Inflicts 159 - 265 slashing damage on target',100,1,0),
(310633,10118663,'Inflicts 207 - 345 slashing damage on target',100,1,0),
(310634,140091,'When Equipped:',100,0,0),
(310635,140091,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(310636,140091,'Heals caster for 400',100,2,2),
(310637,140091,'Cannot be modified except by direct means',100,2,3),
(310638,10140091,'When Equipped:',100,0,0),
(310639,10140091,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(310640,10140091,'Heals caster for 260',100,2,2),
(310641,10140091,'Cannot be modified except by direct means',100,2,3),
(310642,26734,'When Equipped:',100,0,0),
(310643,26734,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(310644,26734,'On a critical spell hit this spell may cast Greater Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(310645,26734,'Increases Max Health of caster by 3,022.1',100,2,3),
(310646,26734,'Must not be engaged in pvp combat',100,2,4),
(310647,26734,'Cannot be modified except by direct means',100,2,5),
(310648,26734,'On a critical healing spell cast this spell may cast Greater Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(310649,26734,'Increases Max Health of caster by 3,022.1',100,2,7),
(310650,26734,'Must not be engaged in pvp combat',100,2,8),
(310651,26734,'Cannot be modified except by direct means',100,2,9),
(310652,26734,'On a critical combat hit this spell may cast Greater Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(310653,26734,'Increases Max Health of caster by 3,022.1',100,2,11),
(310654,26734,'Must not be engaged in pvp combat',100,2,12),
(310655,26734,'Cannot be modified except by direct means',100,2,13),
(310656,26734,'Must not be engaged in pvp combat',100,1,14),
(310657,10026734,'When Equipped:',100,0,0),
(310658,10026734,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(310659,10026734,'On a critical spell hit this spell may cast Greater Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(310660,10026734,'Increases Max Health of caster by 3,022.1',100,2,3),
(310661,10026734,'Must not be engaged in pvp combat',100,2,4),
(310662,10026734,'Cannot be modified except by direct means',100,2,5),
(310663,10026734,'On a critical healing spell cast this spell may cast Greater Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(310664,10026734,'Increases Max Health of caster by 3,022.1',100,2,7),
(310665,10026734,'Must not be engaged in pvp combat',100,2,8),
(310666,10026734,'Cannot be modified except by direct means',100,2,9),
(310667,10026734,'On a critical combat hit this spell may cast Greater Resolute Defense I on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(310668,10026734,'Increases Max Health of caster by 3,022.1',100,2,11),
(310669,10026734,'Must not be engaged in pvp combat',100,2,12),
(310670,10026734,'Cannot be modified except by direct means',100,2,13),
(310671,10026734,'Must not be engaged in pvp combat',100,1,14),
(310672,24724,'Adds Boss: Tallonite (Defiler) to your Dungeon Maker toolbox',100,0,0),
(310673,10024724,'Adds Boss: Tallonite (Defiler) to your Dungeon Maker toolbox',100,0,0),
(310674,178678,'When Equipped:',100,0,0),
(310675,178678,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(310676,178678,'Heals group members for 250',100,2,2),
(310677,178678,'Cannot be modified except by direct means',100,2,3),
(310678,178678,'Cannot be modified except by direct means',100,1,4),
(310679,10178678,'When Equipped:',100,0,0),
(310680,10178678,'On a hostile spell cast this spell may cast Overflow on the group.  Triggers about 3.6 times per minute. ',100,1,1),
(310681,10178678,'Heals group members for 162',100,2,2),
(310682,10178678,'Cannot be modified except by direct means',100,2,3),
(310683,10178678,'Cannot be modified except by direct means',100,1,4),
(310684,102864,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(310685,102864,'Stuns target',100,2,1),
(310686,102864,'Throws target back',100,2,2),
(310687,102864,'Blurs vision of target',100,2,3),
(310688,102864,'Does not affect Epic targets',100,2,4),
(310689,102864,'Inflicts 228 - 686 melee damage on targets in area',100,1,5),
(310690,10102864,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(310691,10102864,'Blurs vision of target',100,2,1),
(310692,10102864,'Stuns target',100,2,2),
(310693,10102864,'Throws target back',100,2,3),
(310694,10102864,'Does not affect Epic targets',100,2,4),
(310695,10102864,'Inflicts 297 - 892 melee damage on targets in area',100,1,5),
(310696,158348,'Applies Hooluk in a Hat when Activated.',100,0,0),
(310697,158348,'Summons a pet Hooluk',100,1,1),
(310698,158348,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310699,10158348,'Applies Hooluk in a Hat when Activated.',100,0,0),
(310700,10158348,'Summons a pet Hooluk',100,1,1),
(310701,10158348,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(310702,46089,'Applies Elixir of Magic Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(310703,10046089,'Applies Elixir of Magic Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(310704,47315,'Applies Sten''s Invigoration  when Activated.',100,0,0),
(310705,47315,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(310706,10047315,'Applies Sten''s Invigoration  when Activated.',100,0,0),
(310707,10047315,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(310708,24036,'Adds Bixie (Templar) to your Dungeon Maker toolbox',100,0,0),
(310709,10024036,'Adds Bixie (Templar) to your Dungeon Maker toolbox',100,0,0),
(310710,75135,'When Equipped:',100,0,0),
(310711,75135,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(310712,10075135,'When Equipped:',100,0,0),
(310713,10075135,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(310714,154979,'When Equipped:',100,0,0),
(310715,154979,'On a spell cast this spell may cast Vitae of the Elder on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(310716,154979,'Increases power of group members (AE) by 457',100,2,2),
(310717,154979,'Cannot be modified except by direct means',100,2,3),
(310718,154979,'Cannot be modified except by direct means',100,1,4),
(310719,10154979,'When Equipped:',100,0,0),
(310720,10154979,'On a spell cast this spell may cast Vitae of the Elder on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(310721,10154979,'Increases power of group members (AE) by 457',100,2,2),
(310722,10154979,'Cannot be modified except by direct means',100,2,3),
(310723,10154979,'Cannot be modified except by direct means',100,1,4),
(310724,113027,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(310725,113027,'Stuns target',40,2,1),
(310726,113027,'If Target is not Epic',100,3,2),
(310727,113027,'Inflicts 178 - 534 melee damage on target',100,2,3),
(310728,113027,'Resistibility increases against targets higher than level 117.',100,2,4),
(310729,10113027,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',100,1,0),
(310730,10113027,'Inflicts 231 - 695 melee damage on target',100,2,1),
(310731,104527,'Increases Threat to target by 1,445 - 1,767  instantly and by 289 - 353  every 2 seconds thereafter',100,1,0),
(310732,10104527,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(310733,75596,'When Equipped:',100,0,0),
(310734,75596,'On a combat hit this spell may cast Soul Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310735,75596,'Decreases power of target by 204',100,2,2),
(310736,75596,'Increases power of caster by 200',100,2,3),
(310737,75596,'Cannot be modified except by direct means',100,2,4),
(310738,10075596,'When Equipped:',100,0,0),
(310739,10075596,'On a combat hit this spell may cast Soul Rend on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310740,10075596,'Decreases power of target by 204',100,2,2),
(310741,10075596,'Increases power of caster by 200',100,2,3),
(310742,10075596,'Cannot be modified except by direct means',100,2,4),
(310743,81952,'When Equipped:',100,0,0),
(310744,81952,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310745,81952,'Inflicts 265 - 492 magic damage on target',100,2,2),
(310746,81952,'Cannot be modified except by direct means',100,2,3),
(310747,10081952,'When Equipped:',100,0,0),
(310748,10081952,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310749,10081952,'Inflicts 345 - 640 magic damage on target',100,2,2),
(310750,10081952,'Cannot be modified except by direct means',100,2,3),
(310751,106420,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(310752,106420,'Inflicts 440 - 538 mental damage on target',100,2,1),
(310753,106420,'Grants a total of 3 triggers of the spell.',100,2,2),
(310754,10106420,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(310755,10106420,'Inflicts 572 - 699 mental damage on target',100,2,1),
(310756,10106420,'Grants a total of 3 triggers of the spell.',100,2,2),
(310757,35378,'Increases STA and AGI of target by 15.4',100,0,0),
(310758,35378,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(310759,80439,'When Equipped:',100,0,0),
(310760,80439,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310761,80439,'Inflicts 43 - 81 magic damage on target',100,2,2),
(310762,80439,'Cannot be modified except by direct means',100,2,3),
(310763,10080439,'When Equipped:',100,0,0),
(310764,10080439,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310765,10080439,'Inflicts 56 - 105 magic damage on target',100,2,2),
(310766,10080439,'Cannot be modified except by direct means',100,2,3),
(310767,80602,'When Equipped:',100,0,0),
(310768,80602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310769,80602,'Inflicts 56 - 103 magic damage on target',100,2,2),
(310770,80602,'Cannot be modified except by direct means',100,2,3),
(310771,10080602,'When Equipped:',100,0,0),
(310772,10080602,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(310773,10080602,'Inflicts 72 - 134 magic damage on target',100,2,2),
(310774,10080602,'Cannot be modified except by direct means',100,2,3),
(310775,101674,'Decreases Attack Speed of target by 14.4',100,1,0),
(310776,101674,'Decreases Damage Per Second of target by 9.8',100,1,1),
(310777,10101674,'Decreases Attack Speed of target by 14.4',100,1,0),
(310778,10101674,'Decreases Damage Per Second of target by 9.8',100,1,1),
(310779,133808,'When Equipped:',100,0,0),
(310780,133808,'This effect will not stack with itself.',100,1,1),
(310781,133808,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(310782,133808,'Increases Ability Recovery Speed of caster by 10.0%',100,2,3),
(310783,133808,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(310784,133808,'Increases in-combat movement speed of caster by 10.0%',100,2,5),
(310785,133808,'Must not be engaged in pvp combat',100,2,6),
(310786,133808,'Cannot be modified except by direct means',100,2,7),
(310787,133808,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(310788,133808,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(310789,133808,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(310790,133808,'Increases in-combat movement speed of caster by 10.0%',100,2,11),
(310791,133808,'Must not be engaged in pvp combat',100,2,12),
(310792,133808,'Cannot be modified except by direct means',100,2,13),
(310793,133808,'Must not be engaged in pvp combat',100,1,14),
(310794,10133808,'When Equipped:',100,0,0),
(310795,10133808,'This effect will not stack with itself.',100,1,1),
(310796,10133808,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(310797,10133808,'Increases Ability Recovery Speed of caster by 10.0%',100,2,3),
(310798,10133808,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(310799,10133808,'Increases in-combat movement speed of caster by 10.0%',100,2,5),
(310800,10133808,'Must not be engaged in pvp combat',100,2,6),
(310801,10133808,'Cannot be modified except by direct means',100,2,7),
(310802,10133808,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(310803,10133808,'Increases Ability Recovery Speed of caster by 10.0%',100,2,9),
(310804,10133808,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(310805,10133808,'Increases in-combat movement speed of caster by 10.0%',100,2,11),
(310806,10133808,'Must not be engaged in pvp combat',100,2,12),
(310807,10133808,'Cannot be modified except by direct means',100,2,13),
(310808,10133808,'Must not be engaged in pvp combat',100,1,14),
(310809,116739,'Increases Max Health of target by 22.9',100,1,0),
(310810,116739,'Increases Max Power of target by 26.7',100,1,1),
(310811,10116739,'Increases Max Health of target by 22.9',100,1,0),
(310812,10116739,'Increases Max Power of target by 26.7',100,1,1),
(310813,109971,'Inflicts 439 - 658 disease damage on targets in Area of Effect',100,1,0),
(310814,109971,'Inflicts 219 - 329 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(310815,109971,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(310816,109971,'Increases Threat to targets in Area of Effect by 1,720 - 2,102  instantly and every 4 seconds thereafter',100,1,3),
(310817,10109971,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(310818,10109971,'Prevents target from changing targets',100,2,1),
(310819,10109971,'Forces target to change their selected target to caster.',100,2,2),
(310820,10109971,'Inflicts 570 - 856 disease damage on targets in Area of Effect',100,1,3),
(310821,10109971,'Inflicts 285 - 428 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(310822,152692,'Applies String of Insults when Activated.  Lasts for 24.0 seconds.',100,0,0),
(310823,152692,'Increases Hate Gain of caster by 5.0%',100,1,1),
(310824,152692,'The casting time of String of Insults is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(310825,10152692,'Applies String of Insults when Activated.  Lasts for 24.0 seconds.',100,0,0),
(310826,105337,'Inflicts 234 - 391 melee damage on target',100,1,0),
(310827,105337,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 428',100,1,1),
(310828,105337,'Must be flanking or behind',100,1,2),
(310829,10105337,'Inflicts 305 - 508 melee damage on target',100,1,0),
(310830,10105337,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 428',100,1,1),
(310831,10105337,'Must be flanking or behind',100,1,2),
(310832,101169,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(310833,101169,'Slows target by 31.5%',100,2,1),
(310834,101169,'5% chance to dispel when target receives hostile action',100,2,2),
(310835,101169,'5% chance to dispel when target takes damage',100,2,3),
(310836,101169,'Inflicts 35 - 59 cold damage on target',100,1,4),
(310837,101169,'Inflicts 35 - 59 cold damage on target',100,1,5),
(310838,101169,'If weapon equipped in Ranged',100,1,6),
(310839,10101169,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(310840,10101169,'Slows target by 31.5%',100,2,1),
(310841,10101169,'5% chance to dispel when target receives hostile action',100,2,2),
(310842,10101169,'5% chance to dispel when target takes damage',100,2,3),
(310843,10101169,'Inflicts 26 - 44 cold damage on target',100,1,4),
(310844,10101169,'Inflicts 26 - 44 cold damage on target',100,1,5),
(310845,10101169,'If weapon equipped in Ranged',100,1,6),
(310846,104908,'Inflicts 531 - 886 magic damage on targets in area',100,1,0),
(310847,10104908,'Inflicts 691 - 1151 magic damage on targets in area',100,1,0),
(310848,52907,'Applies Sanguine Imbued when Equipped.',100,0,0),
(310849,52907,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(310850,52907,'Inflicts 56 heat damage on target',100,2,2),
(310851,52907,'Cannot be modified except by direct means',100,2,3),
(310852,10052907,'Applies Sanguine Imbued when Equipped.',100,0,0),
(310853,10052907,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(310854,10052907,'Inflicts 73 heat damage on target',100,2,2),
(310855,10052907,'Cannot be modified except by direct means',100,2,3),
(310856,120532,'Decreases Defense of target by 9.9',100,1,0),
(310857,10120532,'Decreases Defense of target by 9.9',100,1,0),
(310858,134201,'When Equipped:',100,0,0),
(310859,134201,'On a healing spell cast this spell may cast Dark Resolve on target of spell cast.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310860,134201,'Makes target immune to Mesmerize effects',100,2,2),
(310861,134201,'Makes target immune to Stun effects',100,2,3),
(310862,134201,'Makes target immune to Charm effects',100,2,4),
(310863,134201,'Must not be engaged in pvp combat',100,2,5),
(310864,134201,'Cannot be modified except by direct means',100,2,6),
(310865,134201,'Must not be engaged in pvp combat',100,1,7),
(310866,10134201,'When Equipped:',100,0,0),
(310867,10134201,'On a healing spell cast this spell may cast Dark Resolve on target of spell cast.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(310868,10134201,'Makes target immune to Mesmerize effects',100,2,2),
(310869,10134201,'Makes target immune to Stun effects',100,2,3),
(310870,10134201,'Makes target immune to Charm effects',100,2,4),
(310871,10134201,'Must not be engaged in pvp combat',100,2,5),
(310872,10134201,'Cannot be modified except by direct means',100,2,6),
(310873,10134201,'Must not be engaged in pvp combat',100,1,7),
(310874,106112,'Increases Attack Speed of caster by 19.7',100,1,0),
(310875,106112,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(310876,106112,'Stuns target',100,2,2),
(310877,106112,'Throws target back',100,2,3),
(310878,106112,'Blurs vision of target',100,2,4),
(310879,106112,'Does not affect Epic targets',100,2,5),
(310880,10106112,'Increases Attack Speed of caster by 19.7',100,1,0),
(310881,10106112,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(310882,10106112,'Stuns target',100,2,2),
(310883,10106112,'Blurs vision of target',100,2,3),
(310884,10106112,'Throws target back',100,2,4),
(310885,10106112,'Does not affect Epic targets',100,2,5),
(310886,70301,'When Equipped:',100,0,0),
(310887,70301,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(310888,70301,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(310889,70301,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(310890,70301,'Heals caster for 1185 - 1309',100,2,4),
(310891,70301,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(310892,70301,'Must not be engaged in pvp combat',100,2,6),
(310893,70301,'Cannot be modified except by direct means',100,2,7),
(310894,70301,'Cannot be modified except by direct means',100,1,8),
(310895,10070301,'When Equipped:',100,0,0),
(310896,10070301,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(310897,10070301,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(310898,10070301,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(310899,10070301,'Heals caster for 1386 - 1532',100,2,4),
(310900,10070301,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(310901,10070301,'Must not be engaged in pvp combat',100,2,6),
(310902,10070301,'Cannot be modified except by direct means',100,2,7),
(310903,10070301,'Cannot be modified except by direct means',100,1,8),
(310904,115823,'Inflicts 25 disease damage on target every 3 seconds',100,1,0),
(310905,115823,'Inflicts 93 - 155 melee damage on target',100,1,1),
(310906,115823,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(310907,115823,'Heals caster for 1.2% of max health instantly and every 3 seconds',100,2,3),
(310908,115823,'This effect cannot be critically applied.',100,3,4),
(310909,115823,'The healing of this spell cannot be modified except by direct means',100,2,5),
(310910,115823,'The healing of this spell cannot be modified except by direct means',100,1,6),
(310911,10115823,'Inflicts 32 disease damage on target every 3 seconds',100,1,0),
(310912,10115823,'Inflicts 121 - 201 melee damage on target',100,1,1),
(310913,10115823,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(310914,10115823,'Heals caster for 0.4% of max health instantly and every 3 seconds',100,2,3),
(310915,10115823,'This effect cannot be critically applied.',100,3,4),
(310916,10115823,'The healing of this spell cannot be modified except by direct means',100,2,5),
(310917,10115823,'The healing of this spell cannot be modified except by direct means',100,1,6),
(310918,114680,'Increases Threat to target by 682 - 833 ',100,1,0),
(310919,114680,'Interrupts target',100,1,1),
(310920,10114680,'Interrupts target',100,1,0),
(310921,10114680,'Forces target to change their selected target to caster.',100,1,1),
(310922,10114680,'Prevents target from changing targets',100,1,2),
(310923,121463,'Increases AGI of caster by 89.4',100,1,0),
(310924,121463,'Adds 17.2% to base avoidance.',100,1,1),
(310925,121463,'Increases Mitigation of caster vs physical damage by 865',100,1,2),
(310926,121463,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,3),
(310927,10121463,'Increases AGI of caster by 89.4',100,1,0),
(310928,10121463,'Adds 17.2% to base avoidance.',100,1,1),
(310929,10121463,'Increases Mitigation of caster vs physical damage by 865',100,1,2),
(310930,10121463,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',100,1,3),
(310931,36586,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(310932,124066,'Increases power of caster by 306',100,1,0),
(310933,10124066,'Increases power of caster by 306',100,1,0),
(310934,24124,'Adds Clockwork Eye (Defiler) to your Dungeon Maker toolbox',100,0,0),
(310935,10024124,'Adds Clockwork Eye (Defiler) to your Dungeon Maker toolbox',100,0,0),
(310936,111419,'Increases Attack Speed of target by 64.1',100,1,0),
(310937,111419,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310938,111419,'Inflicts 481 disease damage on target',100,2,2),
(310939,111419,'Heals caster for 174',100,2,3),
(310940,111419,'Decreases Defense and Parry of target by 42.3',100,1,4),
(310941,111419,'Increases Disruption and Subjugation of target by 55.4',100,1,5),
(310942,111419,'Increases Focus of target by 60.9',100,1,6),
(310943,10111419,'Increases Attack Speed of target by 64.1',100,1,0),
(310944,10111419,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(310945,10111419,'Inflicts 626 disease damage on target',100,2,2),
(310946,10111419,'Heals caster for 113',100,2,3),
(310947,10111419,'Decreases Defense and Parry of target by 42.3',100,1,4),
(310948,10111419,'Increases Disruption and Subjugation of target by 55.4',100,1,5),
(310949,10111419,'Increases Focus of target by 60.9',100,1,6),
(310950,115606,'Slows targets in Area of Effect by 75.0%',100,1,0),
(310951,115606,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',100,1,1),
(310952,115606,'Roots target',100,2,2),
(310953,115606,'If Target is not Epic',100,3,3),
(310954,115606,'5% chance to dispel when target takes damage',100,2,4),
(310955,115606,'Resistibility increases against targets higher than level 81.',100,2,5),
(310956,115606,'Does not affect Epic targets',100,1,6),
(310957,10115606,'Slows targets in Area of Effect by 75.0%',100,1,0),
(310958,10115606,'On a melee hit this spell will cast Dire Frost on target.  Lasts for 4.0 seconds.  ',100,1,1),
(310959,10115606,'Roots target',100,2,2),
(310960,10115606,'If Target is not Epic',100,3,3),
(310961,10115606,'5% chance to dispel when target takes damage',100,2,4),
(310962,10115606,'Resistibility increases against targets higher than level 81.',100,2,5),
(310963,10115606,'Does not affect Epic targets',100,1,6),
(310964,104820,'Increases caster''s chance to block by 10.0%',100,1,0),
(310965,104820,'Decreases Attack Speed of caster by 18.8',100,1,1),
(310966,104820,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(310967,104820,'Increases Parry of caster by 46.4',100,1,3),
(310968,104820,'Increases Defense of caster by 46.4',100,1,4),
(310969,10104820,'Increases caster''s chance to block by 10.0%',100,1,0),
(310970,10104820,'Decreases Attack Speed of caster by 18.8',100,1,1),
(310971,10104820,'Decreases Damage Per Second of caster by 18.8',100,1,2),
(310972,10104820,'Increases Parry of caster by 46.4',100,1,3),
(310973,10104820,'Increases Defense of caster by 46.4',100,1,4),
(310974,101425,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(310975,101425,'Increases Mitigation of group members (AE) vs noxious damage by 202',100,1,1),
(310976,10101425,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(310977,10101425,'Increases Mitigation of group members (AE) vs noxious damage by 202',100,1,1),
(310978,102268,'Inflicts 189 - 316 melee damage on targets in area',100,1,0),
(310979,10102268,'Inflicts 246 - 411 melee damage on targets in area',100,1,0),
(310980,105895,'Inflicts 144 - 241 ranged damage on target',100,1,0),
(310981,105895,'Inflicts 144 - 241 ranged damage on target',100,1,1),
(310982,105895,'If weapon equipped in Ranged',100,1,2),
(310983,10105895,'Inflicts 108 - 181 ranged damage on target',100,1,0),
(310984,10105895,'Inflicts 108 - 181 ranged damage on target',100,1,1),
(310985,10105895,'If weapon equipped in Ranged',100,1,2),
(310986,107403,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(310987,107403,'Slows target by 63.8%',100,2,1),
(310988,107403,'5% chance to dispel when target receives hostile action',100,2,2),
(310989,107403,'5% chance to dispel when target takes damage',100,2,3),
(310990,107403,'Inflicts 806 - 1343 disease damage on target',100,1,4),
(310991,10107403,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(310992,10107403,'Slows target by 63.8%',100,2,1),
(310993,10107403,'5% chance to dispel when target receives hostile action',100,2,2),
(310994,10107403,'5% chance to dispel when target takes damage',100,2,3),
(310995,10107403,'Inflicts 1047 - 1746 disease damage on target',100,1,4),
(310996,24575,'Adds Mummy (Wizard) to your Dungeon Maker toolbox',100,0,0),
(310997,10024575,'Adds Mummy (Wizard) to your Dungeon Maker toolbox',100,0,0),
(310998,108101,'Decreases Threat to target by 669 - 1,116 ',100,1,0),
(310999,10108101,'Forces target to clear their selected target.',100,1,0),
(311000,10108101,'Target cannot target caster for the duration of this effect.',100,1,1),
(311001,115469,'Summons a pet nightshade',100,1,0),
(311002,10115469,'Summons a pet nightshade',100,1,0),
(311003,36643,'Increases WIS and STR of target by 15.4',100,0,0),
(311004,36643,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(311005,122310,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(311006,122310,'Inflicts 277 - 339 mental damage on target',100,2,1),
(311007,122310,'Grants a total of 3 triggers of the spell.',100,2,2),
(311008,10122310,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(311009,10122310,'Inflicts 361 - 441 mental damage on target',100,2,1),
(311010,10122310,'Grants a total of 3 triggers of the spell.',100,2,2),
(311011,117502,'Increases Attack Speed of target by 42.2',100,1,0),
(311012,10117502,'Increases Attack Speed of target by 42.2',100,1,0),
(311013,101869,'Stuns target',100,1,0),
(311014,101869,'Does not affect Epic targets',100,1,1),
(311015,101869,'Resistibility increases against targets higher than level 106.',100,1,2),
(311016,10101869,'Stuns target',100,1,0),
(311017,10101869,'Does not affect Epic targets',100,1,1),
(311018,10101869,'Resistibility increases against targets higher than level 106.',100,1,2),
(311019,107232,'Inflicts 820 - 1367 melee damage on targets in area',100,1,0),
(311020,107232,'Dispels 221 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(311021,10107232,'Inflicts 1066 - 1777 melee damage on targets in area',100,1,0),
(311022,10107232,'Reduces healing received of targets in area by 10%',100,1,1),
(311023,106407,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(311024,106407,'Inflicts 200 - 245 mental damage on target',100,2,1),
(311025,106407,'Grants a total of 3 triggers of the spell.',100,2,2),
(311026,10106407,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(311027,10106407,'Inflicts 260 - 318 mental damage on target',100,2,1),
(311028,10106407,'Grants a total of 3 triggers of the spell.',100,2,2),
(311029,151022,'When Equipped:',100,0,0),
(311030,151022,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(311031,151022,'Inflicts 928 - 1135 heat damage on target',100,2,2),
(311032,151022,'Inflicts 928 - 1135 heat damage on target',100,2,3),
(311033,151022,'Inflicts 928 - 1135 heat damage on target',100,2,4),
(311034,151022,'Must not be engaged in pvp combat',100,2,5),
(311035,151022,'Cannot be modified except by direct means',100,2,6),
(311036,10151022,'When Equipped:',100,0,0),
(311037,10151022,'On any combat or spell hit this spell may cast Defiant Effort on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(311038,10151022,'Inflicts 1207 - 1475 heat damage on target',100,2,2),
(311039,10151022,'Inflicts 1207 - 1475 heat damage on target',100,2,3),
(311040,10151022,'Inflicts 1207 - 1475 heat damage on target',100,2,4),
(311041,10151022,'Must not be engaged in pvp combat',100,2,5),
(311042,10151022,'Cannot be modified except by direct means',100,2,6),
(311043,108194,'Increases power of caster by 27 instantly and every 4 seconds',100,1,0),
(311044,10108194,'Increases power of caster by 27 instantly and every 4 seconds',100,1,0),
(311045,107656,'Increases Mitigation of raid and group members (AE) vs elemental damage by 771',100,1,0),
(311046,10107656,'Increases Mitigation of raid and group members (AE) vs elemental damage by 771',100,1,0),
(311047,80461,'When Equipped:',100,0,0),
(311048,80461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311049,80461,'Inflicts 50 - 93 magic damage on target',100,2,2),
(311050,80461,'Cannot be modified except by direct means',100,2,3),
(311051,10080461,'When Equipped:',100,0,0),
(311052,10080461,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311053,10080461,'Inflicts 65 - 121 magic damage on target',100,2,2),
(311054,10080461,'Cannot be modified except by direct means',100,2,3),
(311055,139328,'Applies Feet of Furious Fastness when Equipped.',100,0,0),
(311056,139328,'Increases speed of caster by 70.0%',100,1,1),
(311057,139328,'When Equipped:',100,0,2),
(311058,139328,'Increases Attack Speed of caster by 25.0',100,1,3),
(311059,10139328,'Applies Feet of Furious Fastness when Equipped.',100,0,0),
(311060,10139328,'Increases speed of caster by 70.0%',100,1,1),
(311061,10139328,'When Equipped:',100,0,2),
(311062,10139328,'Increases Attack Speed of caster by 25.0',100,1,3),
(311063,116554,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(311064,116554,'Inflicts 277 divine damage on target',100,2,1),
(311065,116554,'Increases Mitigation of raid and group members (AE) vs all damage by 2772',100,1,2),
(311066,10116554,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(311067,10116554,'Inflicts 360 divine damage on target',100,2,1),
(311068,10116554,'Increases Mitigation of raid and group members (AE) vs all damage by 2772',100,1,2),
(311069,117804,'Mesmerizes target',100,1,0),
(311070,117804,'Prevents AOE (except when direct) ',100,1,1),
(311071,117804,'Dispelled when target takes damage',100,1,2),
(311072,117804,'Epic targets gain an immunity to Mesmerize effects of 1 minute and duration is reduced to 6.7 seconds.',100,1,3),
(311073,117804,'Resistibility increases against targets higher than level 97.',100,1,4),
(311074,10117804,'Mesmerizes target',100,1,0),
(311075,10117804,'Prevents AOE (except when direct) ',100,1,1),
(311076,10117804,'Dispelled when target takes damage',100,1,2),
(311077,10117804,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(311078,10117804,'Resistibility increases against targets higher than level 97.',100,1,4),
(311079,123167,'Reduces physical damage done to caster by 5%',100,1,0),
(311080,123167,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(311081,123167,'Increases Aggression of caster by 8.7',100,1,2),
(311082,123167,'Increases Defense and Parry of caster by 17.4',100,1,3),
(311083,123167,'Increases Mitigation of caster vs elemental damage by 1160',100,1,4),
(311084,123167,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(311085,10123167,'Reduces physical damage done to caster by 5%',100,1,0),
(311086,10123167,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,1),
(311087,10123167,'Increases Aggression of caster by 8.7',100,1,2),
(311088,10123167,'Increases Defense and Parry of caster by 17.4',100,1,3),
(311089,10123167,'Increases Mitigation of caster vs elemental damage by 1160',100,1,4),
(311090,10123167,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(311091,104056,'Inflicts 26 - 44 mental damage on target',100,1,0),
(311092,104056,'Inflicts 26 - 44 mental damage on target',100,1,1),
(311093,10104056,'Inflicts 34 - 57 mental damage on target',100,1,0),
(311094,10104056,'Inflicts 34 - 57 mental damage on target',100,1,1),
(311095,54405,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(311096,54405,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(311097,54405,'Inflicts 65 heat damage on target',100,2,2),
(311098,54405,'Cannot be modified except by direct means',100,2,3),
(311099,10054405,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(311100,10054405,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(311101,10054405,'Inflicts 84 heat damage on target',100,2,2),
(311102,10054405,'Cannot be modified except by direct means',100,2,3),
(311103,123762,'Decreases Mitigation of target vs noxious damage by 736',100,1,0),
(311104,123762,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(311105,123762,'Slows target by 55.4%',100,2,2),
(311106,123762,'5% chance to dispel when target receives hostile action',100,2,3),
(311107,123762,'5% chance to dispel when target takes damage',100,2,4),
(311108,10123762,'Decreases Mitigation of target vs noxious damage by 736',100,1,0),
(311109,10123762,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(311110,10123762,'Slows target by 55.4%',100,2,2),
(311111,10123762,'5% chance to dispel when target receives hostile action',100,2,3),
(311112,10123762,'5% chance to dispel when target takes damage',100,2,4),
(311113,85842,'When Equipped:',100,0,0),
(311114,85842,'On a combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(311115,85842,'Inflicts 511 - 1062 magic damage on target',100,2,2),
(311116,85842,'Heals caster for 341 - 707',100,2,3),
(311117,85842,'Cannot be modified except by direct means',100,2,4),
(311118,10085842,'When Equipped:',100,0,0),
(311119,10085842,'On a combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(311120,10085842,'Inflicts 665 - 1381 magic damage on target',100,2,2),
(311121,10085842,'Heals caster for 221 - 460',100,2,3),
(311122,10085842,'Cannot be modified except by direct means',100,2,4),
(311123,24614,'Adds Pandaman (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(311124,10024614,'Adds Pandaman (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(311125,159910,'Applies Sanguine Imbued when Equipped.',100,0,0),
(311126,159910,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(311127,159910,'Inflicts 34 heat damage on target',100,2,2),
(311128,159910,'Cannot be modified except by direct means',100,2,3),
(311129,10159910,'Applies Sanguine Imbued when Equipped.',100,0,0),
(311130,10159910,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(311131,10159910,'Inflicts 45 heat damage on target',100,2,2),
(311132,10159910,'Cannot be modified except by direct means',100,2,3),
(311133,119140,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(311134,119140,'Inflicts 280 - 342 slashing damage on target',100,2,1),
(311135,119140,'Increases Mitigation of caster vs physical damage by 748',100,1,2),
(311136,10119140,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(311137,10119140,'Inflicts 364 - 445 slashing damage on target',100,2,1),
(311138,10119140,'Increases Mitigation of caster vs physical damage by 748',100,1,2),
(311139,90359,'When Equipped:',100,0,0),
(311140,90359,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(311141,90359,'Inflicts 16 - 20 magic damage on target',100,2,2),
(311142,90359,'If target is Darathar',100,3,3),
(311143,90359,'Cannot be modified except by direct means',100,2,4),
(311144,10090359,'When Equipped:',100,0,0),
(311145,10090359,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(311146,10090359,'Inflicts 21 - 26 magic damage on target',100,2,2),
(311147,10090359,'If target is Darathar',100,3,3),
(311148,10090359,'Cannot be modified except by direct means',100,2,4),
(311149,138940,'When Equipped:',100,0,0),
(311150,138940,'On a hostile spell cast this spell may cast Strike of Living Flames on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(311151,138940,'Inflicts 86 - 143 heat damage on target',100,2,2),
(311152,138940,'Cannot be modified except by direct means',100,2,3),
(311153,10138940,'When Equipped:',100,0,0),
(311154,10138940,'On a hostile spell cast this spell may cast Strike of Living Flames on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(311155,10138940,'Inflicts 112 - 186 heat damage on target',100,2,2),
(311156,10138940,'Cannot be modified except by direct means',100,2,3),
(311157,48263,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(311158,48263,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(311159,48263,'Inflicts 148 poison damage on target',100,2,2),
(311160,48263,'Inflicts 129 poison damage on target instantly and every 6 seconds',100,2,3),
(311161,48263,'Cannot be modified except by direct means',100,2,4),
(311162,48263,'Grants a total of 200 triggers of the spell.',100,2,5),
(311163,10048263,'Applies sting of the soulreaver when Activated.  Lasts for 12 hours.',100,0,0),
(311164,10048263,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(311165,10048263,'Inflicts 144 poison damage on target',100,2,2),
(311166,10048263,'Inflicts 126 poison damage on target instantly and every 6 seconds',100,2,3),
(311167,10048263,'Cannot be modified except by direct means',100,2,4),
(311168,10048263,'Grants a total of 200 triggers of the spell.',100,2,5),
(311169,117170,'Inflicts 61 poison damage on target instantly and every 4 seconds',100,1,0),
(311170,117170,'Decreases WIS of target by 54.4',100,1,1),
(311171,10117170,'Inflicts 79 poison damage on target instantly and every 4 seconds',100,1,0),
(311172,10117170,'Decreases WIS of target by 54.4',100,1,1),
(311173,48512,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(311174,48512,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(311175,48512,'Decreases STR of target by 17.7',100,2,2),
(311176,48512,'Cannot be modified except by direct means',100,2,3),
(311177,48512,'Grants a total of 30 triggers of the spell.',100,2,4),
(311178,10048512,'Applies unnatural deteriation when Activated.  Lasts for 12 hours.',100,0,0),
(311179,10048512,'On a combat hit this spell may cast Weakening Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(311180,10048512,'Decreases STR of target by 17.7',100,2,2),
(311181,10048512,'Cannot be modified except by direct means',100,2,3),
(311182,10048512,'Grants a total of 30 triggers of the spell.',100,2,4),
(311183,37341,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(311184,108729,'Summons a pet fiery magician',100,1,0),
(311185,10108729,'Summons a pet fiery magician',100,1,0),
(311186,54936,'When Equipped:',100,0,0),
(311187,54936,'Increases Attack Speed of caster by 7.0',100,1,1),
(311188,10054936,'When Equipped:',100,0,0),
(311189,10054936,'Increases Attack Speed of caster by 7.0',100,1,1),
(311190,52870,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(311191,52870,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(311192,52870,'Inflicts 64 heat damage on target',100,2,2),
(311193,52870,'Cannot be modified except by direct means',100,2,3),
(311194,10052870,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(311195,10052870,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(311196,10052870,'Inflicts 83 heat damage on target',100,2,2),
(311197,10052870,'Cannot be modified except by direct means',100,2,3),
(311198,105669,'Decreases Damage Per Second of target by 27.4',100,1,0),
(311199,105669,'Inflicts 234 - 391 melee damage on target',100,1,1),
(311200,105669,'Must be flanking or behind',100,1,2),
(311201,10105669,'Decreases Damage Per Second of target by 27.4',100,1,0),
(311202,10105669,'Inflicts 305 - 508 melee damage on target',100,1,1),
(311203,10105669,'Must be flanking or behind',100,1,2),
(311204,106336,'Decreases INT and STR of target by 79.9',100,1,0),
(311205,10106336,'Decreases INT and STR of target by 79.9',100,1,0),
(311206,100902,'Stuns targets in Area of Effect',20,1,0),
(311207,100902,'If Target is not Epic',100,2,1),
(311208,100902,'Inflicts 89 - 149 divine damage on targets in Area of Effect',100,1,2),
(311209,100902,'Resistibility increases against targets higher than level 57.',100,1,3),
(311210,10100902,'Stuns targets in Area of Effect',20,1,0),
(311211,10100902,'If Target is not Epic',100,2,1),
(311212,10100902,'Inflicts 116 - 193 divine damage on targets in Area of Effect',100,1,2),
(311213,10100902,'Resistibility increases against targets higher than level 57.',100,1,3),
(311214,82574,'When Equipped:',100,0,0),
(311215,82574,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311216,82574,'Inflicts 79 - 146 magic damage on target',100,2,2),
(311217,82574,'Decreases Threat to target by 259 ',100,2,3),
(311218,82574,'Must be flanking or behind',100,3,4),
(311219,82574,'Increases Threat to target by 259 ',100,2,5),
(311220,82574,'Must be in front of',100,3,6),
(311221,82574,'Cannot be modified except by direct means',100,2,7),
(311222,10082574,'When Equipped:',100,0,0),
(311223,10082574,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311224,10082574,'Inflicts 102 - 190 magic damage on target',100,2,2),
(311225,10082574,'Cannot be modified except by direct means',100,2,3),
(311226,107629,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(311227,107629,'Increases Mitigation of group members (AE) vs elemental damage by 372',100,1,1),
(311228,10107629,'Increases Max Power of group members (AE) by 240.0',100,1,0),
(311229,10107629,'Increases Mitigation of group members (AE) vs elemental damage by 372',100,1,1),
(311230,118501,'Summons a limited pet to aid the caster',100,1,0),
(311231,10118501,'Summons a limited pet to aid the caster',100,1,0),
(311232,101363,'Reduces physical damage done to caster by 5%',100,1,0),
(311233,101363,'Adds 1.5% to base avoidance.',100,1,1),
(311234,101363,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(311235,101363,'Increases Aggression of caster by 9.9',100,1,3),
(311236,101363,'Increases Defense and Parry of caster by 15.8',100,1,4),
(311237,101363,'Increases Mitigation of caster vs noxious and arcane damage by 97',100,1,5),
(311238,101363,'Increases Mitigation of caster vs elemental damage by 968',100,1,6),
(311239,101363,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(311240,10101363,'Reduces physical damage done to caster by 5%',100,1,0),
(311241,10101363,'Adds 1.5% to base avoidance.',100,1,1),
(311242,10101363,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(311243,10101363,'Increases Aggression of caster by 9.9',100,1,3),
(311244,10101363,'Increases Defense and Parry of caster by 15.8',100,1,4),
(311245,10101363,'Increases Mitigation of caster vs noxious and arcane damage by 97',100,1,5),
(311246,10101363,'Increases Mitigation of caster vs elemental damage by 968',100,1,6),
(311247,10101363,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(311248,71721,'When Equipped:',100,0,0),
(311249,71721,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311250,71721,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(311251,71721,'Cannot be modified except by direct means',100,2,3),
(311252,10071721,'When Equipped:',100,0,0),
(311253,10071721,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311254,10071721,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(311255,10071721,'Cannot be modified except by direct means',100,2,3),
(311256,135418,'When Equipped:',100,0,0),
(311257,135418,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(311258,135418,'Inflicts 270 mental damage on target',100,2,2),
(311259,135418,'Must not be classified as a goblin',100,3,3),
(311260,135418,'Inflicts 540 mental damage on target',100,2,4),
(311261,135418,'Must be classified as a goblin',100,3,5),
(311262,135418,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(311263,135418,'Must be classified as a goblin',100,3,7),
(311264,135418,'Cannot be modified except by direct means',100,2,8),
(311265,135418,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(311266,10135418,'When Equipped:',100,0,0),
(311267,10135418,'On any combat or spell hit this spell may cast Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(311268,10135418,'Inflicts 351 mental damage on target',100,2,2),
(311269,10135418,'Must not be classified as a goblin',100,3,3),
(311270,10135418,'Inflicts 702 mental damage on target',100,2,4),
(311271,10135418,'Must be classified as a goblin',100,3,5),
(311272,10135418,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(311273,10135418,'Must be classified as a goblin',100,3,7),
(311274,10135418,'Cannot be modified except by direct means',100,2,8),
(311275,10135418,'Additional equipment with Goblin Bane improves this effect by 20% per piece.',100,1,9),
(311276,46222,'Applies elemental remedy when Activated.',100,0,0),
(311277,46222,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(311278,10046222,'Applies elemental remedy when Activated.',100,0,0),
(311279,10046222,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(311280,122030,'Increases Threat to target by 64 - 78 ',100,1,0),
(311281,122030,'Inflicts 7 - 13 melee damage on target',100,1,1),
(311282,10122030,'Forces target to change their selected target to caster.',100,1,0),
(311283,10122030,'Inflicts 10 - 17 melee damage on target',100,1,1),
(311284,118953,'Applies Sacrifice.',100,1,0),
(311285,118953,'Heals group members (AE) for 349',100,2,1),
(311286,118953,'Increases power of group members (AE) by 100',100,2,2),
(311287,118953,'Stuns target',100,1,3),
(311288,10118953,'Applies Sacrifice.',100,1,0),
(311289,10118953,'Increases power of group members (AE) by 100',100,2,1),
(311290,10118953,'Heals group members (AE) for 486',100,2,2),
(311291,10118953,'Stuns target',100,1,3),
(311292,190713,'When Equipped:',100,0,0),
(311293,190713,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311294,190713,'Heals caster for 375',100,2,2),
(311295,190713,'Increases Defense of caster by 25.0',100,2,3),
(311296,190713,'Must not be engaged in pvp combat',100,2,4),
(311297,190713,'Cannot be modified except by direct means',100,2,5),
(311298,190713,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(311299,190713,'Heals caster for 375',100,2,7),
(311300,190713,'Increases Defense of caster by 25.0',100,2,8),
(311301,190713,'Must not be engaged in pvp combat',100,2,9),
(311302,190713,'Cannot be modified except by direct means',100,2,10),
(311303,10190713,'When Equipped:',100,0,0),
(311304,10190713,'On a healing spell cast this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311305,10190713,'Heals caster for 244',100,2,2),
(311306,10190713,'Increases Defense of caster by 25.0',100,2,3),
(311307,10190713,'Must not be engaged in pvp combat',100,2,4),
(311308,10190713,'Cannot be modified except by direct means',100,2,5),
(311309,10190713,'On any combat or spell hit this spell may cast Structural Anguish on caster.  Lasts for 15.0 seconds.  Triggers about 10.0 times per minute. ',100,1,6),
(311310,10190713,'Heals caster for 244',100,2,7),
(311311,10190713,'Increases Defense of caster by 25.0',100,2,8),
(311312,10190713,'Must not be engaged in pvp combat',100,2,9),
(311313,10190713,'Cannot be modified except by direct means',100,2,10),
(311314,24562,'Adds Mummy (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(311315,10024562,'Adds Mummy (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(311316,112419,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 41% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(311317,112419,'If over 50% Health',100,2,1),
(311318,112419,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 41% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(311319,112419,'If at 50% Health or less',100,2,3),
(311320,10112419,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 41% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(311321,10112419,'If over 50% Health',100,2,1),
(311322,10112419,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 75% of attack damage, target takes 41% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(311323,10112419,'If at 50% Health or less',100,2,3),
(311324,52739,'Applies Sanguine Imbued when Equipped.',100,0,0),
(311325,52739,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(311326,52739,'Inflicts 57 heat damage on target',100,2,2),
(311327,52739,'Cannot be modified except by direct means',100,2,3),
(311328,10052739,'Applies Sanguine Imbued when Equipped.',100,0,0),
(311329,10052739,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(311330,10052739,'Inflicts 74 heat damage on target',100,2,2),
(311331,10052739,'Cannot be modified except by direct means',100,2,3),
(311332,81377,'When Equipped:',100,0,0),
(311333,81377,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311334,81377,'Inflicts 80 - 149 magic damage on target',100,2,2),
(311335,81377,'Decreases Threat to target by 352 ',100,2,3),
(311336,81377,'Must be flanking or behind',100,3,4),
(311337,81377,'Increases Threat to target by 352 ',100,2,5),
(311338,81377,'Must be in front of',100,3,6),
(311339,81377,'Cannot be modified except by direct means',100,2,7),
(311340,10081377,'When Equipped:',100,0,0),
(311341,10081377,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311342,10081377,'Inflicts 104 - 193 magic damage on target',100,2,2),
(311343,10081377,'Cannot be modified except by direct means',100,2,3),
(311344,82371,'When Equipped:',100,0,0),
(311345,82371,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311346,82371,'Inflicts 33 - 61 magic damage on target',100,2,2),
(311347,82371,'Decreases Threat to target by 135 ',100,2,3),
(311348,82371,'Must be flanking or behind',100,3,4),
(311349,82371,'Increases Threat to target by 135 ',100,2,5),
(311350,82371,'Must be in front of',100,3,6),
(311351,82371,'Cannot be modified except by direct means',100,2,7),
(311352,10082371,'When Equipped:',100,0,0),
(311353,10082371,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311354,10082371,'Inflicts 43 - 80 magic damage on target',100,2,2),
(311355,10082371,'Cannot be modified except by direct means',100,2,3),
(311356,118423,'Heals target for 673 - 822',100,1,0),
(311357,118423,'Increases Max Health of target by 118.2',100,1,1),
(311358,10118423,'Heals target for 781 - 954',100,1,0),
(311359,10118423,'Increases Max Health of target by 118.2',100,1,1),
(311360,108951,'Increases INT of group members (AE) by 72.5',100,1,0),
(311361,108951,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 28.1',100,1,1),
(311362,10108951,'Increases INT of group members (AE) by 72.5',100,1,0),
(311363,10108951,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 28.1',100,1,1),
(311364,123329,'Increases STA of raid and group members (AE) by 53.5',100,1,0),
(311365,123329,'Increase spell damage of group and raid members by 5%.',100,1,1),
(311366,10123329,'Increases STA of raid and group members (AE) by 53.5',100,1,0),
(311367,10123329,'Increase spell damage of group and raid members by 5%.',100,1,1),
(311368,80513,'When Equipped:',100,0,0),
(311369,80513,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311370,80513,'Inflicts 320 - 594 magic damage on target',100,2,2),
(311371,80513,'Decreases Threat to target by 1,219 ',100,2,3),
(311372,80513,'Must be flanking or behind',100,3,4),
(311373,80513,'Increases Threat to target by 1,219 ',100,2,5),
(311374,80513,'Must be in front of',100,3,6),
(311375,80513,'Cannot be modified except by direct means',100,2,7),
(311376,10080513,'When Equipped:',100,0,0),
(311377,10080513,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311378,10080513,'Inflicts 416 - 772 magic damage on target',100,2,2),
(311379,10080513,'Cannot be modified except by direct means',100,2,3),
(311380,45058,'Applies Immortalize Wuoshi when Activated.',100,0,0),
(311381,45058,'Summon 1 Trophy: Wuoshi''s Head',100,1,1),
(311382,45058,'This effect cannot be cast during combat',100,1,2),
(311383,10045058,'Applies Immortalize Wuoshi when Activated.',100,0,0),
(311384,10045058,'Summon 1 Trophy: Wuoshi''s Head',100,1,1),
(311385,10045058,'This effect cannot be cast during combat',100,1,2),
(311386,74895,'When Equipped:',100,0,0),
(311387,74895,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311388,74895,'Inflicts 111 - 166 magic damage on target',100,2,2),
(311389,74895,'Cannot be modified except by direct means',100,2,3),
(311390,10074895,'When Equipped:',100,0,0),
(311391,10074895,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311392,10074895,'Inflicts 144 - 216 magic damage on target',100,2,2),
(311393,10074895,'Cannot be modified except by direct means',100,2,3),
(311394,164586,'Applies Unstable Magics when Equipped.',100,0,0),
(311395,164586,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(311396,10164586,'Applies Unstable Magics when Equipped.',100,0,0),
(311397,10164586,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(311398,157187,'When Equipped:',100,0,0),
(311399,157187,'Increases Burst effect damage by 33%.',100,1,1),
(311400,157187,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,2),
(311401,157187,'Inflicts 410 disease damage on targets in Area of Effect',100,2,3),
(311402,157187,'Cannot be modified except by direct means',100,2,4),
(311403,10157187,'When Equipped:',100,0,0),
(311404,10157187,'Increases Burst effect damage by 33%.',100,1,1),
(311405,10157187,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,2),
(311406,10157187,'Inflicts 534 disease damage on targets in Area of Effect',100,2,3),
(311407,10157187,'Cannot be modified except by direct means',100,2,4),
(311408,178944,'When Equipped:',100,0,0),
(311409,178944,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(311410,178944,'Inflicts 1390 mental damage on target',100,2,2),
(311411,178944,'Increases Threat to target by 4,000 ',100,2,3),
(311412,178944,'Cannot be modified except by direct means',100,2,4),
(311413,178944,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(311414,178944,'Inflicts 1390 mental damage on target',100,2,6),
(311415,178944,'Increases Threat to target by 4,000 ',100,2,7),
(311416,178944,'Cannot be modified except by direct means',100,2,8),
(311417,10178944,'When Equipped:',100,0,0),
(311418,10178944,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(311419,10178944,'Inflicts 1807 mental damage on target',100,2,2),
(311420,10178944,'Cannot be modified except by direct means',100,2,3),
(311421,10178944,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(311422,10178944,'Inflicts 1807 mental damage on target',100,2,5),
(311423,10178944,'Cannot be modified except by direct means',100,2,6),
(311424,36002,'Increases STR of target by 4.3',100,0,0),
(311425,36002,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(311426,115676,'Inflicts 15 - 45 melee damage on target',100,1,0),
(311427,115676,'Inflicts 15 - 45 melee damage on target',100,1,1),
(311428,115676,'Inflicts 15 - 45 melee damage on target',100,1,2),
(311429,115676,'Inflicts 15 - 45 melee damage on target',100,1,3),
(311430,115676,'Inflicts 15 - 45 melee damage on target',100,1,4),
(311431,115676,'Inflicts 15 - 45 melee damage on target',100,1,5),
(311432,115676,'Inflicts 15 - 45 melee damage on target',100,1,6),
(311433,115676,'Inflicts 15 - 45 melee damage on target',100,1,7),
(311434,10115676,'Inflicts 19 - 59 melee damage on target',100,1,0),
(311435,10115676,'Inflicts 19 - 59 melee damage on target',100,1,1),
(311436,10115676,'Inflicts 19 - 59 melee damage on target',100,1,2),
(311437,10115676,'Inflicts 19 - 59 melee damage on target',100,1,3),
(311438,10115676,'Inflicts 19 - 59 melee damage on target',100,1,4),
(311439,10115676,'Inflicts 19 - 59 melee damage on target',100,1,5),
(311440,10115676,'Inflicts 19 - 59 melee damage on target',100,1,6),
(311441,10115676,'Inflicts 19 - 59 melee damage on target',100,1,7),
(311442,118815,'Wards group members (AE) against 104 points of physical damage',100,1,0),
(311443,118815,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,1),
(311444,10118815,'Wards group members (AE) against 104 points of physical damage',100,1,0),
(311445,10118815,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,1),
(311446,36880,'Increases STA and STR of target by 9.4',100,0,0),
(311447,36880,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(311448,107754,'Stuns target',100,1,0),
(311449,107754,'If Target is not Epic',100,2,1),
(311450,107754,'Inflicts 462 - 771 cold damage on target',100,1,2),
(311451,107754,'Resistibility increases against targets higher than level 73.',100,1,3),
(311452,10107754,'Stuns target',100,1,0),
(311453,10107754,'If Target is not Epic',100,2,1),
(311454,10107754,'Inflicts 601 - 1002 cold damage on target',100,1,2),
(311455,10107754,'Resistibility increases against targets higher than level 73.',100,1,3),
(311456,187409,'When Equipped:',100,0,0),
(311457,187409,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311458,187409,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(311459,187409,'Heals caster for 1185 - 1309',100,2,3),
(311460,187409,'Decreases Slashing, Ranged, Crushing and Piercing of target by 22.0',100,2,4),
(311461,187409,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(311462,187409,'Must not be engaged in pvp combat',100,2,6),
(311463,187409,'Cannot be modified except by direct means',100,2,7),
(311464,187409,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(311465,187409,'Cannot be modified except by direct means',100,1,9),
(311466,10187409,'When Equipped:',100,0,0),
(311467,10187409,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311468,10187409,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(311469,10187409,'Heals caster for 1386 - 1532',100,2,3),
(311470,10187409,'Decreases Slashing, Ranged, Crushing and Piercing of target by 22.0',100,2,4),
(311471,10187409,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(311472,10187409,'Must not be engaged in pvp combat',100,2,6),
(311473,10187409,'Cannot be modified except by direct means',100,2,7),
(311474,10187409,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(311475,10187409,'Cannot be modified except by direct means',100,1,9),
(311476,121887,'Summons a pet cat familiar',100,1,0),
(311477,10121887,'Summons a pet cat familiar',100,1,0),
(311478,27471,'When Equipped:',100,0,0),
(311479,27471,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(311480,27471,'Adds 10% hate gain reduction to Befuddle VI.',100,1,2),
(311481,10027471,'When Equipped:',100,0,0),
(311482,10027471,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(311483,10027471,'Adds 10% hate gain reduction to Befuddle VI.',100,1,2),
(311484,101088,'Roots target',100,1,0),
(311485,101088,'10% chance to dispel when target receives hostile action',100,1,1),
(311486,101088,'10% chance to dispel when target takes damage',100,1,2),
(311487,101088,'Does not affect Epic targets',100,1,3),
(311488,101088,'Resistibility increases against targets higher than level 34.',100,1,4),
(311489,10101088,'Roots target',100,1,0),
(311490,10101088,'10% chance to dispel when target receives hostile action',100,1,1),
(311491,10101088,'10% chance to dispel when target takes damage',100,1,2),
(311492,10101088,'Does not affect Epic targets',100,1,3),
(311493,10101088,'Resistibility increases against targets higher than level 34.',100,1,4),
(311494,105466,'Stuns target encounter',100,1,0),
(311495,105466,'If Target is not Epic',100,2,1),
(311496,105466,'Inflicts 61 - 113 poison damage on target encounter',100,1,2),
(311497,105466,'Resistibility increases against targets higher than level 37.',100,1,3),
(311498,10105466,'Stuns target encounter',100,1,0),
(311499,10105466,'If Target is not Epic',100,2,1),
(311500,10105466,'Inflicts 79 - 147 poison damage on target encounter',100,1,2),
(311501,10105466,'Resistibility increases against targets higher than level 37.',100,1,3),
(311502,26604,'When Equipped:',100,0,0),
(311503,26604,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(311504,26604,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(311505,10026604,'When Equipped:',100,0,0),
(311506,10026604,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(311507,10026604,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(311508,101258,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(311509,101258,'Inflicts 180 - 300 mental damage on target',100,2,1),
(311510,10101258,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',100,1,0),
(311511,10101258,'Inflicts 234 - 390 mental damage on target',100,2,1),
(311512,107679,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(311513,10107679,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',100,1,0),
(311514,111541,'Increases Hate Gain of target by 19.4%',100,1,0),
(311515,111541,'Increases Aggression of target by 13.8',100,1,1),
(311516,10111541,'Increases STR of target by 35.8',100,1,0),
(311517,10111541,'Increases Aggression of target by 13.8',100,1,1),
(311518,37212,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,0),
(311519,37212,'This effect suspends during combat',100,0,1),
(311520,81169,'When Equipped:',100,0,0),
(311521,81169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311522,81169,'Inflicts 148 - 275 magic damage on target',100,2,2),
(311523,81169,'Cannot be modified except by direct means',100,2,3),
(311524,10081169,'When Equipped:',100,0,0),
(311525,10081169,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311526,10081169,'Inflicts 192 - 357 magic damage on target',100,2,2),
(311527,10081169,'Cannot be modified except by direct means',100,2,3),
(311528,114544,'Heals target for 311 - 380',100,1,0),
(311529,10114544,'Heals target for 404 - 494',100,1,0),
(311530,120995,'Inflicts 218 - 363 poison damage on target',100,1,0),
(311531,120995,'Inflicts 55 - 91 poison damage on target instantly and every 4 seconds',100,1,1),
(311532,10120995,'Inflicts 283 - 472 poison damage on target',100,1,0),
(311533,10120995,'Inflicts 71 - 118 poison damage on target instantly and every 4 seconds',100,1,1),
(311534,139283,'Applies Tunare''s Spirit when Activated.',100,0,0),
(311535,139283,'Changes the wearer into an avenging spirit.',100,1,1),
(311536,139283,'The casting time of Tunare''s Spirit is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(311537,139283,'When Equipped:',100,0,3),
(311538,139283,'Reduces maximum falling speed of caster',100,1,4),
(311539,10139283,'Applies Tunare''s Spirit when Activated.',100,0,0),
(311540,10139283,'Changes the wearer into an avenging spirit.',100,1,1),
(311541,10139283,'The casting time of Tunare''s Spirit is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(311542,10139283,'When Equipped:',100,0,3),
(311543,10139283,'Reduces maximum falling speed of caster',100,1,4),
(311544,45447,'Applies Drop the Iofer when Activated.',100,0,0),
(311545,45447,'Drop the iofer stalk.',100,1,1),
(311546,10045447,'Applies Drop the Iofer when Activated.',100,0,0),
(311547,10045447,'Drop the iofer stalk.',100,1,1),
(311548,121103,'Decreases Threat to targets in Area of Effect by 1,898 ',100,1,0),
(311549,121103,'Mesmerizes targets in Area of Effect',100,1,1),
(311550,121103,'If Target is not Epic',100,2,2),
(311551,121103,'Dispelled when target takes damage',100,1,3),
(311552,10121103,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(311553,10121103,'Applies Distract.',100,1,1),
(311554,10121103,'Forces target to clear their selected target.',100,2,2),
(311555,10121103,'Mesmerizes targets in Area of Effect',100,1,3),
(311556,10121103,'If Target is not Epic',100,2,4),
(311557,10121103,'Dispelled when target takes damage',100,1,5),
(311558,24404,'Adds Gnoll (Warlock) to your Dungeon Maker toolbox',100,0,0),
(311559,10024404,'Adds Gnoll (Warlock) to your Dungeon Maker toolbox',100,0,0),
(311560,82568,'When Equipped:',100,0,0),
(311561,82568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311562,82568,'Inflicts 79 - 146 magic damage on target',100,2,2),
(311563,82568,'Cannot be modified except by direct means',100,2,3),
(311564,10082568,'When Equipped:',100,0,0),
(311565,10082568,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311566,10082568,'Inflicts 102 - 190 magic damage on target',100,2,2),
(311567,10082568,'Cannot be modified except by direct means',100,2,3),
(311568,112700,'Inflicts 64 - 107 disease damage on target encounter',100,1,0),
(311569,10112700,'Inflicts 83 - 139 disease damage on target encounter',100,1,0),
(311570,124664,'Inflicts 1131 - 1383 cold damage on target encounter',100,1,0),
(311571,124664,'Decreases Piercing, Slashing and Crushing of target encounter by 36.2',100,1,1),
(311572,10124664,'Inflicts 1471 - 1797 cold damage on target encounter',100,1,0),
(311573,10124664,'Decreases Piercing, Slashing and Crushing of target encounter by 36.2',100,1,1),
(311574,45472,'Applies Caress of the Wraith when Activated.  Lasts for 12 hours.',100,0,0),
(311575,45472,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(311576,45472,'Inflicts 29 poison damage on target instantly and every 6 seconds',100,2,2),
(311577,45472,'Inflicts 163 poison damage on target',100,2,3),
(311578,45472,'Cannot be modified except by direct means',100,2,4),
(311579,45472,'Grants a total of 100 triggers of the spell.',100,2,5),
(311580,10045472,'Applies Caress of the Wraith when Activated.  Lasts for 12 hours.',100,0,0),
(311581,10045472,'On a combat hit this spell may cast Waning Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(311582,10045472,'Inflicts 159 poison damage on target',100,2,2),
(311583,10045472,'Inflicts 28 poison damage on target instantly and every 6 seconds',100,2,3),
(311584,10045472,'Cannot be modified except by direct means',100,2,4),
(311585,10045472,'Grants a total of 100 triggers of the spell.',100,2,5),
(311586,110177,'Applies Untreated Bleeding on termination.',100,1,0),
(311587,110177,'Inflicts 192 - 320 piercing damage on target',100,2,1),
(311588,110177,'Inflicts 41 - 69 piercing damage on target instantly and every 4 seconds',100,1,2),
(311589,110177,'Inflicts 27 - 45 melee damage on target',100,1,3),
(311590,10110177,'Applies Untreated Bleeding on termination.',100,1,0),
(311591,10110177,'Inflicts 250 - 416 piercing damage on target',100,2,1),
(311592,10110177,'Inflicts 53 - 89 piercing damage on target instantly and every 4 seconds',100,1,2),
(311593,10110177,'Inflicts 35 - 59 melee damage on target',100,1,3),
(311594,124194,'Inflicts 215 - 359 melee damage on target',100,1,0),
(311595,10124194,'Inflicts 280 - 467 melee damage on target',100,1,0),
(311596,74986,'When Equipped:',100,0,0),
(311597,74986,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311598,74986,'Inflicts 63 - 94 magic damage on target',100,2,2),
(311599,74986,'Cannot be modified except by direct means',100,2,3),
(311600,10074986,'When Equipped:',100,0,0),
(311601,10074986,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311602,10074986,'Inflicts 82 - 123 magic damage on target',100,2,2),
(311603,10074986,'Cannot be modified except by direct means',100,2,3),
(311604,52846,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(311605,52846,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(311606,52846,'Inflicts 123 heat damage on target',100,2,2),
(311607,52846,'Cannot be modified except by direct means',100,2,3),
(311608,10052846,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(311609,10052846,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(311610,10052846,'Inflicts 160 heat damage on target',100,2,2),
(311611,10052846,'Cannot be modified except by direct means',100,2,3),
(311612,140035,'When Equipped:',100,0,0),
(311613,140035,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,1),
(311614,140035,'Inflicts 4049 - 4476 piercing damage on target encounter',100,2,2),
(311615,140035,'Heals group members (AE) for 4432 - 4899',100,2,3),
(311616,140035,'Must not be engaged in pvp combat',100,2,4),
(311617,140035,'Cannot be modified except by direct means',100,2,5),
(311618,140035,'This effect will not stack with itself.',100,1,6),
(311619,140035,'Must not be engaged in pvp combat',100,1,7),
(311620,10140035,'When Equipped:',100,0,0),
(311621,10140035,'On any combat or spell hit this spell may cast Greater Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,1),
(311622,10140035,'Inflicts 5264 - 5818 piercing damage on target encounter',100,2,2),
(311623,10140035,'Heals group members (AE) for 5186 - 5732',100,2,3),
(311624,10140035,'Must not be engaged in pvp combat',100,2,4),
(311625,10140035,'Cannot be modified except by direct means',100,2,5),
(311626,10140035,'This effect will not stack with itself.',100,1,6),
(311627,10140035,'Must not be engaged in pvp combat',100,1,7),
(311628,45189,'Applies Lucanic Might when Activated.',100,0,0),
(311629,45189,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(311630,10045189,'Applies Lucanic Might when Activated.',100,0,0),
(311631,10045189,'Use of this Insiginia grants the bearer an increase in Lucanic Knights faction.',100,1,1),
(311632,109218,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 25.3',100,1,0),
(311633,10109218,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 25.3',100,1,0),
(311634,50621,'When Equipped:',100,0,0),
(311635,50621,'Reduces power cost of all spells by 5 percent.',100,1,1),
(311636,10050621,'When Equipped:',100,0,0),
(311637,10050621,'Reduces power cost of all spells by 5 percent.',100,1,1),
(311638,114886,'Causes 6% Threat to transfer to target when in combat',100,1,0),
(311639,47862,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(311640,47862,'Summons a mount to ride',100,1,1),
(311641,47862,'Increases your ground speed by 130%',100,2,2),
(311642,47862,'Increases Crushing, Focus, Piercing and Slashing of caster by 4.7',100,1,3),
(311643,10047862,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(311644,10047862,'Summons a mount to ride',100,1,1),
(311645,10047862,'Increases your ground speed by 130%',100,2,2),
(311646,10047862,'Increases Crushing, Focus, Piercing and Slashing of caster by 4.7',100,1,3),
(311647,116948,'Increases Threat to target by 244 - 299 ',100,1,0),
(311648,116948,'Interrupts target',100,1,1),
(311649,10116948,'Forces target to change their selected target to caster.',100,1,0),
(311650,10116948,'Interrupts target',100,1,1),
(311651,10116948,'Prevents target from changing targets',100,1,2),
(311652,171388,'When Equipped:',100,0,0),
(311653,171388,'On a critical healing spell cast this spell may cast Rehabilitate III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(311654,171388,'Heals target for 140 - 155',100,2,2),
(311655,171388,'Applies Rehabilitate III on termination.  Lasts for 15.0 seconds.',100,2,3),
(311656,171388,'Wards target against 300 points of all damage',100,3,4),
(311657,171388,'Must not be engaged in pvp combat',100,3,5),
(311658,171388,'Cannot be modified except by direct means',100,3,6),
(311659,171388,'If under 50% Health',100,3,7),
(311660,171388,'Must not be engaged in pvp combat',100,2,8),
(311661,171388,'Cannot be modified except by direct means',100,2,9),
(311662,171388,'Must not be engaged in pvp combat',100,1,10),
(311663,10171388,'When Equipped:',100,0,0),
(311664,10171388,'On a critical healing spell cast this spell may cast Rehabilitate III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(311665,10171388,'Heals target for 91 - 100',100,2,2),
(311666,10171388,'Applies Rehabilitate III on termination.  Lasts for 15.0 seconds.',100,2,3),
(311667,10171388,'Wards target against 300 points of all damage',100,3,4),
(311668,10171388,'Must not be engaged in pvp combat',100,3,5),
(311669,10171388,'Cannot be modified except by direct means',100,3,6),
(311670,10171388,'If under 50% Health',100,3,7),
(311671,10171388,'Must not be engaged in pvp combat',100,2,8),
(311672,10171388,'Cannot be modified except by direct means',100,2,9),
(311673,10171388,'Must not be engaged in pvp combat',100,1,10),
(311674,173418,'When Equipped:',100,0,0),
(311675,173418,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311676,173418,'Increases Potency of caster by 5.0%',100,2,2),
(311677,173418,'Cannot be modified except by direct means',100,2,3),
(311678,10173418,'When Equipped:',100,0,0),
(311679,10173418,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311680,10173418,'Increases Potency of caster by 5.0%',100,2,2),
(311681,10173418,'Cannot be modified except by direct means',100,2,3),
(311682,111620,'Inflicts 83 - 153 cold damage on target instantly and every 4 seconds',100,1,0),
(311683,111620,'Decreases Mitigation of target vs elemental damage by 1495',100,1,1),
(311684,10111620,'Inflicts 107 - 199 cold damage on target instantly and every 4 seconds',100,1,0),
(311685,10111620,'Decreases Mitigation of target vs elemental damage by 1495',100,1,1),
(311686,72014,'When Equipped:',100,0,0),
(311687,72014,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311688,72014,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(311689,72014,'Cannot be modified except by direct means',100,2,3),
(311690,10072014,'When Equipped:',100,0,0),
(311691,10072014,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311692,10072014,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(311693,10072014,'Cannot be modified except by direct means',100,2,3),
(311694,120042,'Inflicts 87 - 107 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(311695,120042,'Decreases power of target encounter by 29 instantly and every 4 seconds',100,1,1),
(311696,10120042,'Inflicts 113 - 139 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(311697,10120042,'Decreases power of target encounter by 29 instantly and every 4 seconds',100,1,1),
(311698,116590,'Inflicts 153 - 255 divine damage on target',100,1,0),
(311699,10116590,'Inflicts 199 - 332 divine damage on target',100,1,0),
(311700,108960,'Increases INT of group members (AE) by 115.9',100,1,0),
(311701,108960,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.5',100,1,1),
(311702,10108960,'Increases INT of group members (AE) by 115.9',100,1,0),
(311703,10108960,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.5',100,1,1),
(311704,106758,'Mesmerizes target',100,1,0),
(311705,106758,'Prevents AOE (except when direct) ',100,1,1),
(311706,106758,'Dispelled when target takes damage',100,1,2),
(311707,106758,'Does not affect Epic targets',100,1,3),
(311708,106758,'Resistibility increases against targets higher than level 55.',100,1,4),
(311709,10106758,'Mesmerizes target',100,1,0),
(311710,10106758,'Prevents AOE (except when direct) ',100,1,1),
(311711,10106758,'Dispelled when target takes damage',100,1,2),
(311712,10106758,'Does not affect Epic targets',100,1,3),
(311713,10106758,'Resistibility increases against targets higher than level 55.',100,1,4),
(311714,159966,'When Equipped:',100,0,0),
(311715,159966,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(311716,159966,'Increases AGI of caster by 8.8',100,2,2),
(311717,159966,'Increases Attack Speed of caster by 13.2',100,2,3),
(311718,159966,'Cannot be modified except by direct means',100,2,4),
(311719,10159966,'When Equipped:',100,0,0),
(311720,10159966,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(311721,10159966,'Increases AGI of caster by 8.8',100,2,2),
(311722,10159966,'Increases Attack Speed of caster by 13.2',100,2,3),
(311723,10159966,'Cannot be modified except by direct means',100,2,4),
(311724,103771,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.9',100,1,0),
(311725,10103771,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.9',100,1,0),
(311726,134151,'When Equipped:',100,0,0),
(311727,134151,'Increases speed of caster by 10.0%',100,1,1),
(311728,134151,'Even the bravest of souls may find themselves in a state of panic while under the influence of the ring.',100,1,2),
(311729,134151,'10% chance to apply Panic! on termination.  Lasts for 20.0 seconds.',100,1,3),
(311730,134151,'Breaks stealth.',100,2,4),
(311731,134151,'Makes caster weave when they run',100,2,5),
(311732,134151,'Increases speed of caster by 40.0%',100,2,6),
(311733,134151,'Increases in-combat movement speed of caster by 40.0%',100,2,7),
(311734,10134151,'When Equipped:',100,0,0),
(311735,10134151,'Increases speed of caster by 10.0%',100,1,1),
(311736,10134151,'Even the bravest of souls may find themselves in a state of panic while under the influence of the ring.',100,1,2),
(311737,10134151,'10% chance to apply Panic! on termination.  Lasts for 20.0 seconds.',100,1,3),
(311738,10134151,'Breaks stealth.',100,2,4),
(311739,10134151,'Makes caster weave when they run',100,2,5),
(311740,10134151,'Increases speed of caster by 40.0%',100,2,6),
(311741,10134151,'Increases in-combat movement speed of caster by 40.0%',100,2,7),
(311742,124101,'Increases power of caster by 52',100,1,0),
(311743,10124101,'Increases power of caster by 52',100,1,0),
(311744,137557,'When Equipped:',100,0,0),
(311745,137557,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(311746,137557,'Inflicts 92 heat damage on target',100,2,2),
(311747,137557,'Cannot be modified except by direct means',100,2,3),
(311748,10137557,'When Equipped:',100,0,0),
(311749,10137557,'When any damage is received this spell has a 1% chance to cast Fiery Feedback on target''s attacker.  ',100,1,1),
(311750,10137557,'Inflicts 119 heat damage on target',100,2,2),
(311751,10137557,'Cannot be modified except by direct means',100,2,3),
(311752,72226,'When Equipped:',100,0,0),
(311753,72226,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311754,72226,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(311755,72226,'Cannot be modified except by direct means',100,2,3),
(311756,10072226,'When Equipped:',100,0,0),
(311757,10072226,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311758,10072226,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(311759,10072226,'Cannot be modified except by direct means',100,2,3),
(311760,103340,'Inflicts 121 - 148 mental damage on target instantly and every 6 seconds',100,1,0),
(311761,103340,'Applies Migraine on termination.',100,1,1),
(311762,103340,'Inflicts 265 - 358 mental damage on target',100,2,2),
(311763,10103340,'Inflicts 158 - 193 mental damage on target instantly and every 6 seconds',100,1,0),
(311764,10103340,'Applies Migraine on termination.',100,1,1),
(311765,10103340,'Inflicts 344 - 466 mental damage on target',100,2,2),
(311766,80656,'When Equipped:',100,0,0),
(311767,80656,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311768,80656,'Decreases Threat to target by 236 ',100,2,2),
(311769,80656,'Must be flanking or behind',100,3,3),
(311770,80656,'Increases Threat to target by 237 ',100,2,4),
(311771,80656,'Must be in front of',100,3,5),
(311772,80656,'Inflicts 56 - 103 magic damage on target',100,2,6),
(311773,80656,'Cannot be modified except by direct means',100,2,7),
(311774,10080656,'When Equipped:',100,0,0),
(311775,10080656,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311776,10080656,'Inflicts 72 - 134 magic damage on target',100,2,2),
(311777,10080656,'Cannot be modified except by direct means',100,2,3),
(311778,25486,'When Equipped:',100,0,0),
(311779,25486,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(311780,25486,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(311781,10025486,'When Equipped:',100,0,0),
(311782,10025486,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(311783,10025486,'Adds additional armor mitigation to Fancy Footwork VI.',100,1,2),
(311784,152466,'When Equipped:',100,0,0),
(311785,152466,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311786,152466,'Increases Damage Per Second of caster by 10.0',100,2,2),
(311787,152466,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(311788,152466,'Cannot be modified except by direct means',100,2,4),
(311789,10152466,'When Equipped:',100,0,0),
(311790,10152466,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311791,10152466,'Increases Damage Per Second of caster by 10.0',100,2,2),
(311792,10152466,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(311793,10152466,'Cannot be modified except by direct means',100,2,4),
(311794,158998,'When Equipped:',100,0,0),
(311795,158998,'Reduces resistibility of all spells by 10%.',100,1,1),
(311796,10158998,'When Equipped:',100,0,0),
(311797,10158998,'Reduces resistibility of all spells by 10%.',100,1,1),
(311798,116516,'Increases Mitigation of target vs physical damage by 203',100,1,0),
(311799,116516,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(311800,10116516,'Increases Mitigation of target vs physical damage by 203',100,1,0),
(311801,10116516,'Decreases Mitigation of caster vs physical damage by 405',100,1,1),
(311802,84409,'When Equipped:',100,0,0),
(311803,84409,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311804,84409,'Increases Attack Speed of caster by 11.9',100,2,2),
(311805,84409,'Cannot be modified except by direct means',100,2,3),
(311806,10084409,'When Equipped:',100,0,0),
(311807,10084409,'On a combat hit this spell may cast Swiftness on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311808,10084409,'Increases Attack Speed of caster by 11.9',100,2,2),
(311809,10084409,'Cannot be modified except by direct means',100,2,3),
(311810,110178,'Applies Untreated Bleeding on termination.',100,1,0),
(311811,110178,'Inflicts 279 - 465 piercing damage on target',100,2,1),
(311812,110178,'Inflicts 60 - 100 piercing damage on target instantly and every 4 seconds',100,1,2),
(311813,110178,'Inflicts 39 - 66 melee damage on target',100,1,3),
(311814,10110178,'Applies Untreated Bleeding on termination.',100,1,0),
(311815,10110178,'Inflicts 363 - 605 piercing damage on target',100,2,1),
(311816,10110178,'Inflicts 78 - 130 piercing damage on target instantly and every 4 seconds',100,1,2),
(311817,10110178,'Inflicts 51 - 86 melee damage on target',100,1,3),
(311818,36969,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(311819,36969,'Increases Max Health of target by 30.1',100,0,1),
(311820,117840,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(311821,117840,'Heals target for 142 - 174 instantly and every 2 seconds',100,2,1),
(311822,117840,'If over 50% Health',100,3,2),
(311823,117840,'Heals target for 284 - 347 instantly and every 2 seconds',100,2,3),
(311824,117840,'If at 50% Health or less',100,3,4),
(311825,10117840,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(311826,10117840,'Heals target for 42 - 51 instantly and every 2 seconds',100,2,1),
(311827,10117840,'If over 50% Health',100,3,2),
(311828,10117840,'Heals target for 69 - 85 instantly and every 2 seconds',100,2,3),
(311829,10117840,'If at 50% Health or less',100,3,4),
(311830,124196,'Inflicts 246 - 410 melee damage on target',100,1,0),
(311831,10124196,'Inflicts 320 - 533 melee damage on target',100,1,0),
(311832,46254,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(311833,46254,'Wards caster against 1293 points of arcane damage',100,1,1),
(311834,10046254,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(311835,10046254,'Wards caster against 1293 points of arcane damage',100,1,1),
(311836,72397,'When Equipped:',100,0,0),
(311837,72397,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311838,72397,'Increases Attack Speed of caster by 20.0',100,2,2),
(311839,72397,'Cannot be modified except by direct means',100,2,3),
(311840,10072397,'When Equipped:',100,0,0),
(311841,10072397,'On a combat hit this spell may cast Ruinous Glyph on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311842,10072397,'Increases Attack Speed of caster by 20.0',100,2,2),
(311843,10072397,'Cannot be modified except by direct means',100,2,3),
(311844,80890,'When Equipped:',100,0,0),
(311845,80890,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311846,80890,'Inflicts 194 - 360 magic damage on target',100,2,2),
(311847,80890,'Cannot be modified except by direct means',100,2,3),
(311848,10080890,'When Equipped:',100,0,0),
(311849,10080890,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(311850,10080890,'Inflicts 252 - 468 magic damage on target',100,2,2),
(311851,10080890,'Cannot be modified except by direct means',100,2,3),
(311852,177726,'When Equipped:',100,0,0),
(311853,177726,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(311854,177726,'Increases AGI of caster by 19.8',100,2,2),
(311855,177726,'Increases Attack Speed of caster by 21.8',100,2,3),
(311856,177726,'Cannot be modified except by direct means',100,2,4),
(311857,10177726,'When Equipped:',100,0,0),
(311858,10177726,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(311859,10177726,'Increases AGI of caster by 19.8',100,2,2),
(311860,10177726,'Increases Attack Speed of caster by 21.8',100,2,3),
(311861,10177726,'Cannot be modified except by direct means',100,2,4),
(311862,45281,'Applies Baelin''s Refreshment when Activated.',100,0,0),
(311863,45281,'Heals caster for 24',100,1,1),
(311864,10045281,'Applies Baelin''s Refreshment when Activated.',100,0,0),
(311865,10045281,'Heals caster for 15',100,1,1),
(311866,26073,'When Equipped:',100,0,0),
(311867,26073,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(311868,26073,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(311869,10026073,'When Equipped:',100,0,0),
(311870,10026073,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(311871,10026073,'Reduces the casting time of Ancestral Sentry II by 1 second and improves the reuse time by 30 seconds.',100,1,2),
(311872,80998,'When Equipped:',100,0,0),
(311873,80998,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311874,80998,'Decreases Threat to target by 259 ',100,2,2),
(311875,80998,'Must be flanking or behind',100,3,3),
(311876,80998,'Increases Threat to target by 260 ',100,2,4),
(311877,80998,'Must be in front of',100,3,5),
(311878,80998,'Inflicts 79 - 146 magic damage on target',100,2,6),
(311879,80998,'Cannot be modified except by direct means',100,2,7),
(311880,10080998,'When Equipped:',100,0,0),
(311881,10080998,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(311882,10080998,'Inflicts 102 - 190 magic damage on target',100,2,2),
(311883,10080998,'Cannot be modified except by direct means',100,2,3),
(311884,114797,'Decreases WIS of target by 39.3',100,1,0),
(311885,114797,'Increases WIS and STA of caster by 39.3',100,1,1),
(311886,114797,'Decreases Max Health of target by 0.9%',100,1,2),
(311887,114797,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 126',100,1,3),
(311888,114797,'Only affects targets level 17 and above',100,1,4),
(311889,10114797,'Decreases WIS of target by 39.3',100,1,0),
(311890,10114797,'Increases WIS and STA of caster by 39.3',100,1,1),
(311891,10114797,'Decreases Max Health of target by 0.9%',100,1,2),
(311892,10114797,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 126',100,1,3),
(311893,10114797,'Only affects targets level 17 and above',100,1,4),
(311894,103326,'Inflicts 59 - 72 mental damage on target instantly and every 6 seconds',100,1,0),
(311895,103326,'Applies Migraine on termination.',100,1,1),
(311896,103326,'Inflicts 128 - 173 mental damage on target',100,2,2),
(311897,10103326,'Inflicts 76 - 93 mental damage on target instantly and every 6 seconds',100,1,0),
(311898,10103326,'Applies Migraine on termination.',100,1,1),
(311899,10103326,'Inflicts 167 - 225 mental damage on target',100,2,2),
(311900,48603,'Applies Totem of the Iceclad manta when Activated.  Lasts for 5 minutes.',100,0,0),
(311901,48603,'Allows caster to breathe under water',100,1,1),
(311902,48603,'Grants Fish Vision to caster',100,1,2),
(311903,48603,'Shapechanges caster into an Iceclad manta',100,1,3),
(311904,48603,'Must be in Frostfang Sea.',100,1,4),
(311905,10048603,'Applies Totem of the Iceclad manta when Activated.  Lasts for 5 minutes.',100,0,0),
(311906,10048603,'Allows caster to breathe under water',100,1,1),
(311907,10048603,'Grants Fish Vision to caster',100,1,2),
(311908,10048603,'Shapechanges caster into an Iceclad manta',100,1,3),
(311909,10048603,'Must be in Frostfang Sea.',100,1,4),
(311910,161874,'When Equipped:',100,0,0),
(311911,161874,'Increases Attack Speed of caster by 40.0',100,1,1),
(311912,10161874,'When Equipped:',100,0,0),
(311913,10161874,'Increases Attack Speed of caster by 40.0',100,1,1),
(311914,52616,'When Equipped:',100,0,0),
(311915,52616,'Increases casting speed of all spells by 5 percent.',100,1,1),
(311916,52616,'Reduces reuse time of all songs by 5 percent.',100,1,2),
(311917,10052616,'When Equipped:',100,0,0),
(311918,10052616,'Increases casting speed of all spells by 5 percent.',100,1,1),
(311919,10052616,'Reduces reuse time of all songs by 5 percent.',100,1,2),
(311920,48367,'Applies Tailor''s Trainer when Activated.',100,0,0),
(311921,48367,'Shapechanges the user into a mannequin.',100,1,1),
(311922,10048367,'Applies Tailor''s Trainer when Activated.',100,0,0),
(311923,10048367,'Shapechanges the user into a mannequin.',100,1,1),
(311924,72167,'When Equipped:',100,0,0),
(311925,72167,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311926,72167,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(311927,72167,'Cannot be modified except by direct means',100,2,3),
(311928,10072167,'When Equipped:',100,0,0),
(311929,10072167,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311930,10072167,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(311931,10072167,'Cannot be modified except by direct means',100,2,3),
(311932,72326,'When Equipped:',100,0,0),
(311933,72326,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311934,72326,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(311935,72326,'Cannot be modified except by direct means',100,2,3),
(311936,10072326,'When Equipped:',100,0,0),
(311937,10072326,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(311938,10072326,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(311939,10072326,'Cannot be modified except by direct means',100,2,3),
(311940,103791,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 17.6',100,1,0),
(311941,10103791,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 17.6',100,1,0),
(311942,112309,'Inflicts 114 - 140 disease damage on target',100,1,0),
(311943,112309,'Inflicts 57 - 70 disease damage on target every 3 seconds',100,1,1),
(311944,112309,'Increases Threat to target by 1,037 - 1,267  instantly and by 194 - 238  every 3 seconds thereafter',100,1,2),
(311945,10112309,'Inflicts 74 - 91 disease damage on target every 3 seconds',100,1,0),
(311946,10112309,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(311947,170021,'When Equipped:',100,0,0),
(311948,170021,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311949,170021,'Summons 2 limited pets to aid the caster',100,2,2),
(311950,170021,'Cannot be modified except by direct means',100,2,3),
(311951,10170021,'When Equipped:',100,0,0),
(311952,10170021,'On any combat or spell hit this spell may cast Power of Knowledge on target of attack.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(311953,10170021,'Summons 2 limited pets to aid the caster',100,2,2),
(311954,10170021,'Cannot be modified except by direct means',100,2,3),
(311955,107308,'Decreases WIS of target by 27.8',100,1,0),
(311956,107308,'Decreases Defense of target by 10.6',100,1,1),
(311957,10107308,'Decreases WIS of target by 27.8',100,1,0),
(311958,10107308,'Decreases Defense of target by 10.6',100,1,1),
(311959,138388,'When Equipped:',100,0,0),
(311960,138388,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(311961,138388,'Must be engaged in pvp combat',100,1,2),
(311962,138388,'When Equipped:',100,0,3),
(311963,138388,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(311964,138388,'Must be engaged in pvp combat',100,1,5),
(311965,138388,'When Equipped:',100,0,6),
(311966,138388,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(311967,138388,'Reduces physical damage done to target by 2.5%',100,2,8),
(311968,138388,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(311969,138388,'Must be engaged in pvp combat',100,2,10),
(311970,138388,'Cannot be modified except by direct means',100,2,11),
(311971,138388,'Cannot be modified except by direct means',100,1,12),
(311972,10138388,'When Equipped:',100,0,0),
(311973,10138388,'Increases Mitigation of caster vs physical damage by 259',100,1,1),
(311974,10138388,'Must be engaged in pvp combat',100,1,2),
(311975,10138388,'When Equipped:',100,0,3),
(311976,10138388,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 620',100,1,4),
(311977,10138388,'Must be engaged in pvp combat',100,1,5),
(311978,10138388,'When Equipped:',100,0,6),
(311979,10138388,'When any physical damage is received this spell has a 10% chance to cast Kinetic Barrier on caster.  Lasts for 8.0 seconds.  ',100,1,7),
(311980,10138388,'Reduces physical damage done to target by 2.5%',100,2,8),
(311981,10138388,'Kinetic Barrier cannot proc more than once per second.',100,2,9),
(311982,10138388,'Must be engaged in pvp combat',100,2,10),
(311983,10138388,'Cannot be modified except by direct means',100,2,11),
(311984,10138388,'Cannot be modified except by direct means',100,1,12),
(311985,100657,'Increases AGI, STR and STA of target by 72.6',100,1,0),
(311986,100657,'Adds 1.8% to base avoidance.',100,1,1),
(311987,10100657,'Increases AGI, STR and STA of target by 72.6',100,1,0),
(311988,10100657,'Adds 1.8% to base avoidance.',100,1,1),
(311989,114237,'Inflicts 180 - 220 mental damage on target',100,1,0),
(311990,114237,'Stuns target',100,1,1),
(311991,114237,'Epic targets gain an immunity to Stun effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,1,2),
(311992,114237,'Resistibility increases against targets higher than level 70.',100,1,3),
(311993,10114237,'Inflicts 234 - 286 mental damage on target',100,1,0),
(311994,10114237,'Requires not being affected by Mesmerize effects.',100,2,1),
(311995,10114237,'Stuns target',100,1,2),
(311996,10114237,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(311997,10114237,'Resistibility increases against targets higher than level 70.',100,1,4),
(311998,82924,'When Equipped:',100,0,0),
(311999,82924,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312000,82924,'Inflicts 228 - 423 magic damage on target',100,2,2),
(312001,82924,'Cannot be modified except by direct means',100,2,3),
(312002,10082924,'When Equipped:',100,0,0),
(312003,10082924,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312004,10082924,'Inflicts 296 - 550 magic damage on target',100,2,2),
(312005,10082924,'Cannot be modified except by direct means',100,2,3),
(312006,117085,'Summons 4 limited pets to aid the caster',100,1,0),
(312007,10117085,'Summons 4 limited pets to aid the caster',100,1,0),
(312008,141710,'When Equipped:',100,0,0),
(312009,141710,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(312010,141710,'Increases STA of caster by 14.8',100,2,2),
(312011,141710,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(312012,141710,'Cannot be modified except by direct means',100,2,4),
(312013,10141710,'When Equipped:',100,0,0),
(312014,10141710,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(312015,10141710,'Increases STA of caster by 14.8',100,2,2),
(312016,10141710,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(312017,10141710,'Cannot be modified except by direct means',100,2,4),
(312018,110350,'Increases Max Power of target by 524.2',100,1,0),
(312019,110350,'Increases Max Health of target by 1,166.6',100,1,1),
(312020,10110350,'Increases Max Power of target by 524.2',100,1,0),
(312021,10110350,'Increases Max Health of target by 1,166.6',100,1,1),
(312022,111001,'Heals target for 462 - 564 instantly and every 2 seconds',100,1,0),
(312023,111001,'Increases power of target by 36 - 44 instantly and every 2 seconds',100,1,1),
(312024,10111001,'Heals target for 300 - 367 instantly and every 2 seconds',100,1,0),
(312025,10111001,'Increases power of target by 36 - 44 instantly and every 2 seconds',100,1,1),
(312026,104106,'Roots target',100,1,0),
(312027,104106,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(312028,104106,'Makes target afraid',100,2,2),
(312029,104106,'Slows target by 27.0%',100,2,3),
(312030,104106,'30% chance to dispel when target takes damage',100,2,4),
(312031,104106,'Resistibility increases against targets higher than level 48.',100,2,5),
(312032,104106,'15% chance to dispel when target takes damage',100,1,6),
(312033,104106,'Does not affect Epic targets',100,1,7),
(312034,104106,'Resistibility increases against targets higher than level 48.',100,1,8),
(312035,10104106,'Roots target',100,1,0),
(312036,10104106,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(312037,10104106,'Makes target afraid',100,2,2),
(312038,10104106,'Slows target by 27.0%',100,2,3),
(312039,10104106,'30% chance to dispel when target takes damage',100,2,4),
(312040,10104106,'Resistibility increases against targets higher than level 48.',100,2,5),
(312041,10104106,'15% chance to dispel when target takes damage',100,1,6),
(312042,10104106,'Does not affect Epic targets',100,1,7),
(312043,10104106,'Resistibility increases against targets higher than level 48.',100,1,8),
(312044,117156,'Inflicts 4 poison damage on target instantly and every 4 seconds',100,1,0),
(312045,117156,'Decreases WIS of target by 9.2',100,1,1),
(312046,10117156,'Inflicts 5 poison damage on target instantly and every 4 seconds',100,1,0),
(312047,10117156,'Decreases WIS of target by 9.2',100,1,1),
(312048,71615,'When Equipped:',100,0,0),
(312049,71615,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312050,71615,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(312051,71615,'Cannot be modified except by direct means',100,2,3),
(312052,10071615,'When Equipped:',100,0,0),
(312053,10071615,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312054,10071615,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(312055,10071615,'Cannot be modified except by direct means',100,2,3),
(312056,111456,'Decreases Attack Speed of caster by 16.9',100,1,0),
(312057,111456,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(312058,111456,'Roots target',100,2,2),
(312059,111456,'5% chance to dispel when target takes damage',100,2,3),
(312060,111456,'5% chance to dispel when target receives hostile action',100,2,4),
(312061,111456,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(312062,111456,'Increases Mitigation of caster vs physical damage by 759',100,1,6),
(312063,10111456,'Decreases Attack Speed of caster by 16.9',100,1,0),
(312064,10111456,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(312065,10111456,'Roots target',100,2,2),
(312066,10111456,'5% chance to dispel when target takes damage',100,2,3),
(312067,10111456,'5% chance to dispel when target receives hostile action',100,2,4),
(312068,10111456,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(312069,10111456,'Increases Mitigation of caster vs physical damage by 759',100,1,6),
(312070,189150,'When Equipped:',100,0,0),
(312071,189150,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(312072,10189150,'When Equipped:',100,0,0),
(312073,10189150,'Reduces reuse time of all spells by 2 percent.',100,1,1),
(312074,187440,'When Equipped:',100,0,0),
(312075,187440,'Increases disease damage done by spells by up to 15.',100,1,1),
(312076,10187440,'When Equipped:',100,0,0),
(312077,10187440,'Increases disease damage done by spells by up to 15.',100,1,1),
(312078,35914,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(312079,35914,'Increases Max Power of target by 10.5',100,0,1),
(312080,80045,'Applies Fire Ball when Activated.',100,0,0),
(312081,80045,'Inflicts 272 - 454 heat damage on target',100,1,1),
(312082,80045,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(312083,10080045,'Applies Fire Ball when Activated.',100,0,0),
(312084,10080045,'Inflicts 354 - 590 heat damage on target',100,1,1),
(312085,10080045,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(312086,104977,'Reduces physical damage done to caster by 5%',100,1,0),
(312087,104977,'Adds 1.4% to base avoidance.',100,1,1),
(312088,104977,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(312089,104977,'Increases Parry of caster by 4.6',100,1,3),
(312090,104977,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(312091,104977,'Increases Aggression of caster by 2.7',100,1,5),
(312092,104977,'Increases Defense and Deflection of caster by 4.6',100,1,6),
(312093,104977,'Increases Mitigation of caster vs arcane damage by 328',100,1,7),
(312094,104977,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(312095,10104977,'Reduces physical damage done to caster by 5%',100,1,0),
(312096,10104977,'Adds 1.4% to base avoidance.',100,1,1),
(312097,10104977,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(312098,10104977,'Increases Parry of caster by 4.6',100,1,3),
(312099,10104977,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(312100,10104977,'Increases Aggression of caster by 2.7',100,1,5),
(312101,10104977,'Increases Defense and Deflection of caster by 4.6',100,1,6),
(312102,10104977,'Increases Mitigation of caster vs arcane damage by 328',100,1,7),
(312103,10104977,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(312104,26818,'When Equipped:',100,0,0),
(312105,26818,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(312106,26818,'Inflicts 623 magic damage on target',100,2,2),
(312107,26818,'Cannot be modified except by direct means',100,2,3),
(312108,26818,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(312109,26818,'Inflicts 623 magic damage on target',100,2,5),
(312110,26818,'Cannot be modified except by direct means',100,2,6),
(312111,10026818,'When Equipped:',100,0,0),
(312112,10026818,'On a hostile spell cast this spell may cast Greater Rune of Blasting on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(312113,10026818,'Inflicts 683 magic damage on target',100,2,2),
(312114,10026818,'Cannot be modified except by direct means',100,2,3),
(312115,10026818,'On a combat hit this spell may cast Greater Rune of Blasting on target of attack.  Triggers about 2.0 times per minute. ',100,1,4),
(312116,10026818,'Inflicts 683 magic damage on target',100,2,5),
(312117,10026818,'Cannot be modified except by direct means',100,2,6),
(312118,119649,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(312119,119649,'Stuns target',100,2,1),
(312120,119649,'Throws target back',100,2,2),
(312121,119649,'Blurs vision of target',100,2,3),
(312122,119649,'Does not affect Epic targets',100,2,4),
(312123,119649,'Inflicts 55 - 166 melee damage on target',100,1,5),
(312124,10119649,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(312125,10119649,'Stuns target',100,2,1),
(312126,10119649,'Throws target back',100,2,2),
(312127,10119649,'Blurs vision of target',100,2,3),
(312128,10119649,'Does not affect Epic targets',100,2,4),
(312129,10119649,'Inflicts 72 - 216 melee damage on target',100,1,5),
(312130,112980,'Reduces physical damage done to caster by 5%',100,1,0),
(312131,112980,'Increases STA of caster by 37.0',100,1,1),
(312132,112980,'Adds 4.3% to base avoidance.',100,1,2),
(312133,112980,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(312134,112980,'Increases Defense and Aggression of caster by 6.7',100,1,4),
(312135,112980,'Increases Mitigation of caster vs arcane damage by 484',100,1,5),
(312136,112980,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(312137,10112980,'Reduces physical damage done to caster by 5%',100,1,0),
(312138,10112980,'Increases STA of caster by 37.0',100,1,1),
(312139,10112980,'Adds 4.3% to base avoidance.',100,1,2),
(312140,10112980,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(312141,10112980,'Increases Defense and Aggression of caster by 6.7',100,1,4),
(312142,10112980,'Increases Mitigation of caster vs arcane damage by 484',100,1,5),
(312143,10112980,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(312144,106889,'Decreases Threat to targets in Area of Effect by 3,848 ',100,1,0),
(312145,106889,'Stuns targets in Area of Effect',100,1,1),
(312146,106889,'If Target is not Epic',100,2,2),
(312147,10106889,'Applies Distract.',100,1,0),
(312148,10106889,'Forces target to clear their selected target.',100,2,1),
(312149,10106889,'Stuns targets in Area of Effect',100,1,2),
(312150,10106889,'If Target is not Epic',100,2,3),
(312151,10106889,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(312152,109170,'Roots target',100,1,0),
(312153,109170,'Applies Blind.  Lasts for 6.0 seconds.',100,1,1),
(312154,109170,'Dazes target',100,2,2),
(312155,109170,'Blurs vision of target',100,2,3),
(312156,109170,'Dispelled when target takes damage',100,2,4),
(312157,109170,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(312158,109170,'5% chance to dispel when target takes damage',100,1,6),
(312159,109170,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,7),
(312160,109170,'Resistibility increases against targets higher than level 62.',100,1,8),
(312161,10109170,'Roots target',100,1,0),
(312162,10109170,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(312163,10109170,'Dazes target',100,2,2),
(312164,10109170,'Blurs vision of target',100,2,3),
(312165,10109170,'Dispelled when target takes damage',100,2,4),
(312166,10109170,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(312167,10109170,'5% chance to dispel when target takes damage',100,1,6),
(312168,10109170,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(312169,10109170,'Resistibility increases against targets higher than level 62.',100,1,8),
(312170,87476,'When Equipped:',100,0,0),
(312171,87476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312172,87476,'Inflicts 155 - 232 magic damage on target',100,2,2),
(312173,87476,'Cannot be modified except by direct means',100,2,3),
(312174,10087476,'When Equipped:',100,0,0),
(312175,10087476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312176,10087476,'Inflicts 201 - 302 magic damage on target',100,2,2),
(312177,10087476,'Cannot be modified except by direct means',100,2,3),
(312178,141798,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(312179,141798,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312180,141798,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(312181,141798,'Cannot be modified except by direct means',100,2,3),
(312182,10141798,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(312183,10141798,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312184,10141798,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(312185,10141798,'Cannot be modified except by direct means',100,2,3),
(312186,115804,'Inflicts 2 disease damage on target every 3 seconds',100,1,0),
(312187,115804,'Inflicts 8 - 14 melee damage on target',100,1,1),
(312188,115804,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(312189,115804,'Heals caster for 7 instantly and every 3 seconds',100,2,3),
(312190,115804,'This effect cannot be critically applied.',100,3,4),
(312191,115804,'The healing of this spell cannot be modified except by direct means',100,2,5),
(312192,115804,'The healing of this spell cannot be modified except by direct means',100,1,6),
(312193,10115804,'Inflicts 3 disease damage on target every 3 seconds',100,1,0),
(312194,10115804,'Inflicts 11 - 19 melee damage on target',100,1,1),
(312195,10115804,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(312196,10115804,'Heals caster for 2 instantly and every 3 seconds',100,2,3),
(312197,10115804,'This effect cannot be critically applied.',100,3,4),
(312198,10115804,'The healing of this spell cannot be modified except by direct means',100,2,5),
(312199,10115804,'The healing of this spell cannot be modified except by direct means',100,1,6),
(312200,124810,'Increases STR of caster by 194.0',100,1,0),
(312201,124810,'Decreases Defense of caster by 26.2',100,1,1),
(312202,124810,'Increases Crushing, Piercing, Slashing and Disruption of caster by 55.6',100,1,2),
(312203,10124810,'Increases STR of caster by 194.0',100,1,0),
(312204,10124810,'Decreases Defense of caster by 26.2',100,1,1),
(312205,10124810,'Increases Crushing, Piercing, Slashing and Disruption of caster by 55.6',100,1,2),
(312206,177616,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(312207,177616,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312208,177616,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(312209,177616,'Cannot be modified except by direct means',100,2,3),
(312210,10177616,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(312211,10177616,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312212,10177616,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(312213,10177616,'Cannot be modified except by direct means',100,2,3),
(312214,119218,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(312215,119218,'Stuns target',100,2,1),
(312216,119218,'Throws target back',100,2,2),
(312217,119218,'Blurs vision of target',100,2,3),
(312218,119218,'Does not affect Epic targets',100,2,4),
(312219,119218,'Inflicts 96 - 289 magic damage on targets in Area of Effect',100,1,5),
(312220,10119218,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(312221,10119218,'Stuns target',100,2,1),
(312222,10119218,'Throws target back',100,2,2),
(312223,10119218,'Blurs vision of target',100,2,3),
(312224,10119218,'Does not affect Epic targets',100,2,4),
(312225,10119218,'Inflicts 125 - 376 magic damage on targets in Area of Effect',100,1,5),
(312226,123455,'Shapechanges caster into a bear',100,1,0),
(312227,123455,'Increases WIS of caster by 73.4',100,1,1),
(312228,123455,'Grants See Stealth to caster',100,1,2),
(312229,123455,'Increases Max Health of caster by 290.9',100,1,3),
(312230,123455,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1131',100,1,4),
(312231,10123455,'Shapechanges caster into a bear',100,1,0),
(312232,10123455,'Increases WIS of caster by 73.4',100,1,1),
(312233,10123455,'Grants See Stealth to caster',100,1,2),
(312234,10123455,'Increases Max Health of caster by 290.9',100,1,3),
(312235,10123455,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1131',100,1,4),
(312236,118038,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(312237,118038,'Stuns target',100,2,1),
(312238,118038,'If Target is not Epic',100,3,2),
(312239,118038,'Inflicts 227 - 378 divine damage on target',100,2,3),
(312240,118038,'Grants a total of 3 triggers of the spell.',100,2,4),
(312241,10118038,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(312242,10118038,'Stuns target',100,2,1),
(312243,10118038,'If Target is not Epic',100,3,2),
(312244,10118038,'Inflicts 294 - 491 divine damage on target',100,2,3),
(312245,10118038,'Grants a total of 3 triggers of the spell.',100,2,4),
(312246,74783,'When Equipped:',100,0,0),
(312247,74783,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312248,74783,'Inflicts 88 - 133 magic damage on target',100,2,2),
(312249,74783,'Cannot be modified except by direct means',100,2,3),
(312250,10074783,'When Equipped:',100,0,0),
(312251,10074783,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312252,10074783,'Inflicts 115 - 172 magic damage on target',100,2,2),
(312253,10074783,'Cannot be modified except by direct means',100,2,3),
(312254,71470,'When Equipped:',100,0,0),
(312255,71470,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312256,71470,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(312257,71470,'Cannot be modified except by direct means',100,2,3),
(312258,10071470,'When Equipped:',100,0,0),
(312259,10071470,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312260,10071470,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(312261,10071470,'Cannot be modified except by direct means',100,2,3),
(312262,111230,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(312263,111230,'Heals target for 163 - 199',100,2,1),
(312264,10111230,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(312265,10111230,'Heals target for 106 - 129',100,2,1),
(312266,81853,'When Equipped:',100,0,0),
(312267,81853,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312268,81853,'Inflicts 97 - 180 magic damage on target',100,2,2),
(312269,81853,'Cannot be modified except by direct means',100,2,3),
(312270,10081853,'When Equipped:',100,0,0),
(312271,10081853,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312272,10081853,'Inflicts 126 - 234 magic damage on target',100,2,2),
(312273,10081853,'Cannot be modified except by direct means',100,2,3),
(312274,109925,'Stuns target',100,1,0),
(312275,109925,'Does not affect Epic targets',100,1,1),
(312276,109925,'Resistibility increases against targets higher than level 45.',100,1,2),
(312277,10109925,'Stuns target',100,1,0),
(312278,10109925,'Does not affect Epic targets',100,1,1),
(312279,10109925,'Resistibility increases against targets higher than level 45.',100,1,2),
(312280,79757,'When Equipped:',100,0,0),
(312281,79757,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312282,79757,'Inflicts 208 - 387 heat damage on target',100,2,2),
(312283,79757,'Cannot be modified except by direct means',100,2,3),
(312284,10079757,'When Equipped:',100,0,0),
(312285,10079757,'On a combat hit this spell may cast Grizzfazzle''s Rage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312286,10079757,'Inflicts 271 - 503 heat damage on target',100,2,2),
(312287,10079757,'Cannot be modified except by direct means',100,2,3),
(312288,103432,'Decreases Threat to targets in Area of Effect by 4,001 ',100,1,0),
(312289,103432,'Slows targets in Area of Effect by 38.5%',100,1,1),
(312290,103432,'Stifles targets in Area of Effect',100,1,2),
(312291,103432,'If Target is not Epic',100,2,3),
(312292,103432,'10% chance to dispel when target receives hostile action',100,1,4),
(312293,103432,'10% chance to dispel when target takes damage',100,1,5),
(312294,10103432,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(312295,10103432,'Slows targets in Area of Effect by 38.5%',100,1,1),
(312296,10103432,'Stifles targets in Area of Effect',100,1,2),
(312297,10103432,'If Target is not Epic',100,2,3),
(312298,114514,'Heals target for 57 - 69',100,1,0),
(312299,10114514,'Heals target for 74 - 90',100,1,0),
(312300,122976,'Inflicts 385 - 521 mental damage on target',100,1,0),
(312301,10122976,'Inflicts 501 - 677 mental damage on target',100,1,0),
(312302,182114,'When Equipped:',100,0,0),
(312303,182114,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(312304,10182114,'When Equipped:',100,0,0),
(312305,10182114,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(312306,102035,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(312307,102035,'Wards target against 990 points of all damage',100,2,1),
(312308,10102035,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(312309,10102035,'Wards target against 990 points of all damage',100,2,1),
(312310,112321,'Inflicts 185 - 226 disease damage on target',100,1,0),
(312311,112321,'Inflicts 92 - 113 disease damage on target every 3 seconds',100,1,1),
(312312,112321,'Increases Threat to target by 1,838 - 2,247  instantly and by 345 - 422  every 3 seconds thereafter',100,1,2),
(312313,10112321,'Inflicts 120 - 147 disease damage on target every 3 seconds',100,1,0),
(312314,10112321,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(312315,154441,'When Equipped:',100,0,0),
(312316,154441,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(312317,154441,'Increases Threat to target by 1,000 ',100,2,2),
(312318,154441,'Cannot be modified except by direct means',100,2,3),
(312319,10154441,'When Equipped:',100,0,0),
(312320,10154441,'On any combat or spell hit this spell may cast Hatespike II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(312321,10154441,'Cannot be modified except by direct means',100,2,2),
(312322,130295,'When Equipped:',100,0,0),
(312323,130295,'On a hit this spell may cast Combat Expertise on target of attack.  Lasts for 25.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(312324,130295,'Increases Crit Chance of caster by 25.0',100,2,2),
(312325,130295,'Interrupts target',100,2,3),
(312326,130295,'This effect will not stack with Greater Combat Expertise.',100,2,4),
(312327,130295,'Increases your Combat Art Damage by 100',100,2,5),
(312328,130295,'Must be engaged in pvp combat',100,2,6),
(312329,130295,'Cannot be modified except by direct means',100,2,7),
(312330,130295,'This effect can only trigger once every 60 seconds.',100,2,8),
(312331,130295,'Must be engaged in pvp combat',100,1,9),
(312332,130295,'Cannot be modified except by direct means',100,1,10),
(312333,130295,'When Equipped:',100,0,11),
(312334,130295,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,12),
(312335,130295,'Wards caster against 400 points of all damage',100,2,13),
(312336,130295,'Cannot be modified except by direct means',100,2,14),
(312337,130295,'This effect can only trigger once every 15 seconds.',100,2,15),
(312338,130295,'Cannot be modified except by direct means',100,1,16),
(312339,10130295,'When Equipped:',100,0,0),
(312340,10130295,'On a hit this spell may cast Combat Expertise on target of attack.  Lasts for 25.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(312341,10130295,'Increases Crit Chance of caster by 25.0',100,2,2),
(312342,10130295,'Interrupts target',100,2,3),
(312343,10130295,'This effect will not stack with Greater Combat Expertise.',100,2,4),
(312344,10130295,'Increases your Combat Art Damage by 100',100,2,5),
(312345,10130295,'Must be engaged in pvp combat',100,2,6),
(312346,10130295,'Cannot be modified except by direct means',100,2,7),
(312347,10130295,'This effect can only trigger once every 60 seconds.',100,2,8),
(312348,10130295,'Must be engaged in pvp combat',100,1,9),
(312349,10130295,'Cannot be modified except by direct means',100,1,10),
(312350,10130295,'When Equipped:',100,0,11),
(312351,10130295,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,12),
(312352,10130295,'Wards caster against 400 points of all damage',100,2,13),
(312353,10130295,'Cannot be modified except by direct means',100,2,14),
(312354,10130295,'This effect can only trigger once every 15 seconds.',100,2,15),
(312355,10130295,'Cannot be modified except by direct means',100,1,16),
(312356,123199,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(312357,123199,'Inflicts 54 - 66 disease damage on target',100,2,1),
(312358,123199,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(312359,123199,'This effect cannot be critically applied.',100,3,3),
(312360,123199,'The healing of this spell cannot be modified except by direct means',100,2,4),
(312361,123199,'Grants a total of 5 triggers of the spell.',100,2,5),
(312362,10123199,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(312363,10123199,'Inflicts 70 - 86 disease damage on target',100,2,1),
(312364,10123199,'Heals caster for 1.0 - 1.3% of max health',100,2,2),
(312365,10123199,'This effect cannot be critically applied.',100,3,3),
(312366,10123199,'The healing of this spell cannot be modified except by direct means',100,2,4),
(312367,10123199,'Grants a total of 5 triggers of the spell.',100,2,5),
(312368,46523,'Applies Golem Switch when Activated.',100,0,0),
(312369,10046523,'Applies Golem Switch when Activated.',100,0,0),
(312370,115510,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(312371,115510,'Increases Mitigation of group members (AE) vs noxious damage by 880',100,1,1),
(312372,10115510,'Increases Max Health of group members (AE) by 235.2',100,1,0),
(312373,10115510,'Increases Mitigation of group members (AE) vs noxious damage by 880',100,1,1),
(312374,120649,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 5.6',100,1,0),
(312375,120649,'Increases Focus of group members (AE) by 11.2',100,1,1),
(312376,10120649,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 5.6',100,1,0),
(312377,10120649,'Increases Focus of group members (AE) by 11.2',100,1,1),
(312378,75642,'Applies Holy Strike when Activated.',100,0,0),
(312379,75642,'Inflicts 243 - 405 divine damage on target',100,1,1),
(312380,75642,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(312381,10075642,'Applies Holy Strike when Activated.',100,0,0),
(312382,10075642,'Inflicts 316 - 526 divine damage on target',100,1,1),
(312383,10075642,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(312384,102892,'Heals caster for 375',100,1,0),
(312385,102892,'Inflicts 576 disease damage on targets in Area of Effect',100,1,1),
(312386,10102892,'Heals caster for 244',100,1,0),
(312387,10102892,'Inflicts 748 disease damage on targets in Area of Effect',100,1,1),
(312388,136196,'When Equipped:',100,0,0),
(312389,136196,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(312390,136196,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(312391,136196,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(312392,136196,'Must not be engaged in pvp combat',100,2,4),
(312393,136196,'Cannot be modified except by direct means',100,2,5),
(312394,136196,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(312395,136196,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(312396,136196,'Must not be engaged in pvp combat',100,2,8),
(312397,136196,'Cannot be modified except by direct means',100,2,9),
(312398,136196,'Cannot be modified except by direct means',100,1,10),
(312399,10136196,'When Equipped:',100,0,0),
(312400,10136196,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(312401,10136196,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(312402,10136196,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(312403,10136196,'Must not be engaged in pvp combat',100,2,4),
(312404,10136196,'Cannot be modified except by direct means',100,2,5),
(312405,10136196,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(312406,10136196,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(312407,10136196,'Must not be engaged in pvp combat',100,2,8),
(312408,10136196,'Cannot be modified except by direct means',100,2,9),
(312409,10136196,'Cannot be modified except by direct means',100,1,10),
(312410,82576,'When Equipped:',100,0,0),
(312411,82576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312412,82576,'Inflicts 79 - 146 magic damage on target',100,2,2),
(312413,82576,'Cannot be modified except by direct means',100,2,3),
(312414,10082576,'When Equipped:',100,0,0),
(312415,10082576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312416,10082576,'Inflicts 102 - 190 magic damage on target',100,2,2),
(312417,10082576,'Cannot be modified except by direct means',100,2,3),
(312418,48057,'Applies Ethereal Form when Activated.  Lasts for 36.0 seconds.',100,0,0),
(312419,48057,'Prevents AOE (except when direct) ',100,1,1),
(312420,48057,'Increases Hate Gain of caster by 10.0%',100,1,2),
(312421,48057,'Dispelled when target takes damage',100,1,3),
(312422,48057,'Requires 285 Power to cast and 285 Power every 6.0 seconds.',100,1,4),
(312423,10048057,'Applies Ethereal Form when Activated.  Lasts for 36.0 seconds.',100,0,0),
(312424,10048057,'Prevents AOE (except when direct) ',100,1,1),
(312425,10048057,'Dispelled when target takes damage',100,1,2),
(312426,10048057,'Requires 285 Power to cast and 285 Power every 6.0 seconds.',100,1,3),
(312427,106193,'Wards target against 124 points of all damage',100,1,0),
(312428,106193,'Decreases INT of target by 165.0',100,1,1),
(312429,106193,'Decreases Attack Speed of target by 25.0',100,1,2),
(312430,106193,'Increases Max Health of target by 12.0%',100,1,3),
(312431,106193,'Increases Hate Gain of target by 46.0%',100,1,4),
(312432,106193,'Increases Aggression of target by 15.0',100,1,5),
(312433,106193,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(312434,106193,'Increases Threat to target encounter by 159 - 194 ',100,2,7),
(312435,106193,'Increases Mitigation of target vs elemental, noxious and arcane damage by 960',100,1,8),
(312436,10106193,'Wards target against 124 points of all damage',100,1,0),
(312437,10106193,'Decreases INT of target by 165.0',100,1,1),
(312438,10106193,'Decreases Attack Speed of target by 25.0',100,1,2),
(312439,10106193,'Increases Max Health of target by 12.0%',100,1,3),
(312440,10106193,'Increases Aggression of target by 15.0',100,1,4),
(312441,10106193,'Increases Mitigation of target vs elemental, noxious and arcane damage by 960',100,1,5),
(312442,102024,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(312443,102024,'Wards target against 430 points of all damage',100,2,1),
(312444,10102024,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(312445,10102024,'Wards target against 430 points of all damage',100,2,1),
(312446,82517,'When Equipped:',100,0,0),
(312447,82517,'This effect will not stack with itself.',100,1,1),
(312448,82517,'On a critical healing spell cast this spell may cast Greater Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(312449,82517,'Wards target against 4500 points of all damage',100,2,3),
(312450,82517,'Replenishes 600 points of absorption every 2 seconds.',100,2,4),
(312451,82517,'Heals target for 416 - 459 instantly and every 2 seconds',100,2,5),
(312452,82517,'Must not be engaged in pvp combat',100,2,6),
(312453,82517,'Cannot be modified except by direct means',100,2,7),
(312454,82517,'Must not be engaged in pvp combat',100,1,8),
(312455,10082517,'When Equipped:',100,0,0),
(312456,10082517,'This effect will not stack with itself.',100,1,1),
(312457,10082517,'On a critical healing spell cast this spell may cast Greater Gallant Intervention on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(312458,10082517,'Wards target against 4500 points of all damage',100,2,3),
(312459,10082517,'Replenishes 600 points of absorption every 2 seconds.',100,2,4),
(312460,10082517,'Heals target for 486 - 537 instantly and every 2 seconds',100,2,5),
(312461,10082517,'Must not be engaged in pvp combat',100,2,6),
(312462,10082517,'Cannot be modified except by direct means',100,2,7),
(312463,10082517,'Must not be engaged in pvp combat',100,1,8),
(312464,124440,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(312465,124440,'Inflicts 77 - 129 melee damage on target',100,2,1),
(312466,124440,'Decreases Defense of caster by 9.3',100,1,2),
(312467,124440,'Increases Slashing, Piercing, Ranged and Crushing of caster by 13.9',100,1,3),
(312468,10124440,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(312469,10124440,'Inflicts 100 - 168 melee damage on target',100,2,1),
(312470,10124440,'Decreases Defense of caster by 9.3',100,1,2),
(312471,10124440,'Increases Slashing, Piercing, Ranged and Crushing of caster by 13.9',100,1,3),
(312472,105255,'Increases Threat to target by 690 ',100,1,0),
(312473,105255,'Interrupts target',100,1,1),
(312474,105255,'Dispels 103 levels of arcane beneficial effects on target',100,1,2),
(312475,10105255,'Forces target to change their selected target to caster.',100,1,0),
(312476,10105255,'Interrupts target',100,1,1),
(312477,10105255,'Dispels 103 levels of arcane beneficial effects on target',100,1,2),
(312478,81579,'When Equipped:',100,0,0),
(312479,81579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312480,81579,'Inflicts 99 - 185 magic damage on target',100,2,2),
(312481,81579,'Cannot be modified except by direct means',100,2,3),
(312482,10081579,'When Equipped:',100,0,0),
(312483,10081579,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312484,10081579,'Inflicts 129 - 240 magic damage on target',100,2,2),
(312485,10081579,'Cannot be modified except by direct means',100,2,3),
(312486,118908,'Increases Damage Per Second of caster by 42.4',100,1,0),
(312487,10118908,'Increases Damage Per Second of caster by 42.4',100,1,0),
(312488,71437,'When Equipped:',100,0,0),
(312489,71437,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312490,71437,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(312491,71437,'Cannot be modified except by direct means',100,2,3),
(312492,10071437,'When Equipped:',100,0,0),
(312493,10071437,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312494,10071437,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(312495,10071437,'Cannot be modified except by direct means',100,2,3),
(312496,103217,'Reduces physical damage done to caster by 5%',100,1,0),
(312497,103217,'Adds 1.4% to base avoidance.',100,1,1),
(312498,103217,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(312499,103217,'Increases Parry of caster by 1.7',100,1,3),
(312500,103217,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(312501,103217,'Increases Aggression of caster by 1.3',100,1,5),
(312502,103217,'Increases Defense and Deflection of caster by 1.7',100,1,6),
(312503,103217,'Increases Mitigation of caster vs noxious damage by 146',100,1,7),
(312504,103217,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(312505,10103217,'Reduces physical damage done to caster by 5%',100,1,0),
(312506,10103217,'Adds 1.4% to base avoidance.',100,1,1),
(312507,10103217,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(312508,10103217,'Increases Parry of caster by 1.7',100,1,3),
(312509,10103217,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(312510,10103217,'Increases Aggression of caster by 1.3',100,1,5),
(312511,10103217,'Increases Defense and Deflection of caster by 1.7',100,1,6),
(312512,10103217,'Increases Mitigation of caster vs noxious damage by 146',100,1,7),
(312513,10103217,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(312514,121725,'Increases AGI of caster by 81.6',100,1,0),
(312515,121725,'Adds 2.2% to base avoidance.',100,1,1),
(312516,121725,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(312517,121725,'Increases Parry of caster by 46.6',100,1,3),
(312518,121725,'Increases Defense of caster by 62.2',100,1,4),
(312519,10121725,'Increases AGI of caster by 81.6',100,1,0),
(312520,10121725,'Adds 2.2% to base avoidance.',100,1,1),
(312521,10121725,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(312522,10121725,'Increases Parry of caster by 46.6',100,1,3),
(312523,10121725,'Increases Defense of caster by 62.2',100,1,4),
(312524,110590,'Decreases Focus of target by 9.2',100,1,0),
(312525,110590,'Interrupts target',100,1,1),
(312526,110590,'Inflicts 32 - 98 crushing damage on target',100,1,2),
(312527,10110590,'Decreases Focus of target by 9.2',100,1,0),
(312528,10110590,'Interrupts target',100,1,1),
(312529,10110590,'Inflicts 42 - 127 crushing damage on target',100,1,2),
(312530,103295,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(312531,103295,'If Fighter',100,2,1),
(312532,103295,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(312533,103295,'Increases power of target by 41 instantly and every 4 seconds',100,2,3),
(312534,103295,'Increases power of caster by 41 instantly and every 4 seconds',100,2,4),
(312535,10103295,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(312536,10103295,'Increases power of target by 41 instantly and every 4 seconds',100,2,1),
(312537,10103295,'Increases power of caster by 41 instantly and every 4 seconds',100,2,2),
(312538,71887,'When Equipped:',100,0,0),
(312539,71887,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312540,71887,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(312541,71887,'Cannot be modified except by direct means',100,2,3),
(312542,10071887,'When Equipped:',100,0,0),
(312543,10071887,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312544,10071887,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(312545,10071887,'Cannot be modified except by direct means',100,2,3),
(312546,175490,'When Equipped:',100,0,0),
(312547,175490,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312548,175490,'Summons a limited pet to aid the caster',100,2,2),
(312549,175490,'Cannot be modified except by direct means',100,2,3),
(312550,175490,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(312551,175490,'Summons a limited pet to aid the caster',100,2,5),
(312552,175490,'Cannot be modified except by direct means',100,2,6),
(312553,10175490,'When Equipped:',100,0,0),
(312554,10175490,'On a critical spell hit this spell may cast Son of Blades on target of spell.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312555,10175490,'Summons a limited pet to aid the caster',100,2,2),
(312556,10175490,'Cannot be modified except by direct means',100,2,3),
(312557,10175490,'On a critical combat hit this spell will cast Son of Blades on target of attack.  Lasts for 10.0 seconds.  ',100,1,4),
(312558,10175490,'Summons a limited pet to aid the caster',100,2,5),
(312559,10175490,'Cannot be modified except by direct means',100,2,6),
(312560,83989,'Applies Lightning Shock when Activated.',100,0,0),
(312561,83989,'Inflicts 129 - 215 magic damage on target',100,1,1),
(312562,83989,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(312563,10083989,'Applies Lightning Shock when Activated.',100,0,0),
(312564,10083989,'Inflicts 168 - 279 magic damage on target',100,1,1),
(312565,10083989,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(312566,48834,'Applies Lusun''s Replenishment  when Activated.',100,0,0),
(312567,48834,'Heals caster for 47',100,1,1),
(312568,10048834,'Applies Lusun''s Replenishment  when Activated.',100,0,0),
(312569,10048834,'Heals caster for 31',100,1,1),
(312570,123340,'Summons a pet hammer',100,1,0),
(312571,10123340,'Summons a pet hammer',100,1,0),
(312572,107755,'Stuns target',100,1,0),
(312573,107755,'If Target is not Epic',100,2,1),
(312574,107755,'Inflicts 385 - 642 cold damage on target',100,1,2),
(312575,107755,'Resistibility increases against targets higher than level 73.',100,1,3),
(312576,10107755,'Stuns target',100,1,0),
(312577,10107755,'If Target is not Epic',100,2,1),
(312578,10107755,'Inflicts 501 - 835 cold damage on target',100,1,2),
(312579,10107755,'Resistibility increases against targets higher than level 73.',100,1,3),
(312580,119828,'Dazes target',100,1,0),
(312581,119828,'Does not affect Epic targets',100,1,1),
(312582,119828,'Resistibility increases against targets higher than level 50.',100,1,2),
(312583,10119828,'Dazes target',100,1,0),
(312584,10119828,'Does not affect Epic targets',100,1,1),
(312585,10119828,'Resistibility increases against targets higher than level 50.',100,1,2),
(312586,159104,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(312587,159104,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312588,159104,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(312589,159104,'Cannot be modified except by direct means',100,2,3),
(312590,10159104,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(312591,10159104,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312592,10159104,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(312593,10159104,'Cannot be modified except by direct means',100,2,3),
(312594,163147,'When Equipped:',100,0,0),
(312595,163147,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(312596,163147,'Heals caster for 181 instantly and every 5 seconds',100,2,2),
(312597,163147,'Cannot be modified except by direct means',100,2,3),
(312598,10163147,'When Equipped:',100,0,0),
(312599,10163147,'When damaged with a melee weapon this spell has a 8% chance to cast Reflexive Regeneration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(312600,10163147,'Heals caster for 117 instantly and every 5 seconds',100,2,2),
(312601,10163147,'Cannot be modified except by direct means',100,2,3),
(312602,113736,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(312603,113736,'Inflicts 91 piercing damage on target',100,2,1),
(312604,113736,'Grants a total of 60 triggers of the spell.',100,2,2),
(312605,10113736,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(312606,10113736,'Inflicts 119 piercing damage on target',100,2,1),
(312607,10113736,'Grants a total of 60 triggers of the spell.',100,2,2),
(312608,36067,'Increases Max Power of target by 22.8',100,0,0),
(312609,36067,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(312610,103842,'Increases Ability Casting Speed of raid and group members (AE) by 9.4%',100,1,0),
(312611,103842,'Increases Attack Speed of raid and group members (AE) by 23.4',100,1,1),
(312612,10103842,'Increases Ability Casting Speed of raid and group members (AE) by 9.4%',100,1,0),
(312613,10103842,'Increases Attack Speed of raid and group members (AE) by 23.4',100,1,1),
(312614,116616,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(312615,116616,'Increases Mitigation of group members (AE) vs arcane damage by 160',100,1,1),
(312616,10116616,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(312617,10116616,'Increases Mitigation of group members (AE) vs arcane damage by 160',100,1,1),
(312618,112926,'Summons a pet Kitty',100,1,0),
(312619,10112926,'Summons a pet Kitty',100,1,0),
(312620,48802,'Applies Guardsmanship of the Vale  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(312621,48802,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(312622,48802,'Inflicts 6 magic damage on target',100,2,2),
(312623,48802,'Cannot be modified except by direct means',100,2,3),
(312624,10048802,'Applies Guardsmanship of the Vale  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(312625,10048802,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(312626,10048802,'Inflicts 8 magic damage on target',100,2,2),
(312627,10048802,'Cannot be modified except by direct means',100,2,3),
(312628,112583,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(312629,112583,'Dispels 67 levels of physical hostile effects on target',100,2,1),
(312630,112583,'Heals targets in Area of Effect for 134 - 164',100,2,2),
(312631,10112583,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(312632,10112583,'Dispels 67 levels of physical hostile effects on target',100,2,1),
(312633,10112583,'Heals targets in Area of Effect for 87 - 107',100,2,2),
(312634,141731,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(312635,141731,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312636,141731,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(312637,141731,'Cannot be modified except by direct means',100,2,3),
(312638,10141731,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(312639,10141731,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312640,10141731,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(312641,10141731,'Cannot be modified except by direct means',100,2,3),
(312642,48847,'Applies Narron''s Restoration  when Activated.',100,0,0),
(312643,48847,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(312644,10048847,'Applies Narron''s Restoration  when Activated.',100,0,0),
(312645,10048847,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(312646,76177,'When Equipped:',100,0,0),
(312647,76177,'Increases Attack Speed of caster by 20.0',100,1,1),
(312648,10076177,'When Equipped:',100,0,0),
(312649,10076177,'Increases Attack Speed of caster by 20.0',100,1,1),
(312650,113098,'Heals target for 46.8 - 57.2% of max health',100,1,0),
(312651,113098,'This effect cannot be critically applied.',100,2,1),
(312652,113098,'Increases Max Health of target by 410.0',100,1,2),
(312653,113098,'Increases Mitigation of target vs physical damage by 480',100,1,3),
(312654,113098,'The healing of this spell cannot be modified except by direct means',100,1,4),
(312655,10113098,'Heals target for 18.7 - 22.9% of max health',100,1,0),
(312656,10113098,'This effect cannot be critically applied.',100,2,1),
(312657,10113098,'Increases Max Health of target by 410.0',100,1,2),
(312658,10113098,'Increases Mitigation of target vs physical damage by 480',100,1,3),
(312659,10113098,'The healing of this spell cannot be modified except by direct means',100,1,4),
(312660,112122,'Dispels 30 levels of physical and arcane hostile effects on caster',100,1,0),
(312661,10112122,'Dispels 30 levels of physical and arcane hostile effects on caster',100,1,0),
(312662,87347,'When Equipped:',100,0,0),
(312663,87347,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312664,87347,'Inflicts 99 - 148 magic damage on target',100,2,2),
(312665,87347,'Cannot be modified except by direct means',100,2,3),
(312666,10087347,'When Equipped:',100,0,0),
(312667,10087347,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312668,10087347,'Inflicts 128 - 192 magic damage on target',100,2,2),
(312669,10087347,'Cannot be modified except by direct means',100,2,3),
(312670,177669,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(312671,177669,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312672,177669,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(312673,177669,'Cannot be modified except by direct means',100,2,3),
(312674,10177669,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(312675,10177669,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(312676,10177669,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(312677,10177669,'Cannot be modified except by direct means',100,2,3),
(312678,107175,'Inflicts 79 - 132 divine damage on target',100,1,0),
(312679,107175,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(312680,107175,'Stuns target',100,2,2),
(312681,107175,'If Target is not Epic',100,3,3),
(312682,107175,'Inflicts 185 - 309 divine damage on target',100,2,4),
(312683,107175,'Inflicts 159 - 265 divine damage on target',100,2,5),
(312684,107175,'If target is undead',100,3,6),
(312685,10107175,'Inflicts 68 - 114 divine damage on target',100,1,0),
(312686,10107175,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(312687,10107175,'Stuns target',100,2,2),
(312688,10107175,'Inflicts 361 - 602 divine damage on target',100,2,3),
(312689,10107175,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(312690,117569,'Decreases Parry of target by 16.5',100,1,0),
(312691,117569,'Inflicts 121 - 203 melee damage on target',100,1,1),
(312692,117569,'Must be in front of or flanking',100,1,2),
(312693,10117569,'Decreases Parry of target by 16.5',100,1,0),
(312694,10117569,'Inflicts 158 - 264 melee damage on target',100,1,1),
(312695,10117569,'Must be in front of or flanking',100,1,2),
(312696,111711,'Inflicts 800 - 978 cold damage on target',100,1,0),
(312697,111711,'Inflicts 800 - 978 cold damage on target',100,1,1),
(312698,111711,'If target is elemental',100,2,2),
(312699,10111711,'Inflicts 892 - 1090 cold damage on target',100,1,0),
(312700,191685,'When Equipped:',100,0,0),
(312701,191685,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312702,191685,'Wards target against 1000 points of all damage',100,2,2),
(312703,191685,'Cannot be modified except by direct means',100,2,3),
(312704,191685,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(312705,10191685,'When Equipped:',100,0,0),
(312706,10191685,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312707,10191685,'Wards target against 1000 points of all damage',100,2,2),
(312708,10191685,'Cannot be modified except by direct means',100,2,3),
(312709,10191685,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(312710,115541,'Increases Mitigation of raid and group members (AE) vs noxious damage by 762',100,1,0),
(312711,10115541,'Increases Mitigation of raid and group members (AE) vs noxious damage by 762',100,1,0),
(312712,102873,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(312713,102873,'Stuns target',100,2,1),
(312714,102873,'Throws target back',100,2,2),
(312715,102873,'Blurs vision of target',100,2,3),
(312716,102873,'Does not affect Epic targets',100,2,4),
(312717,102873,'Inflicts 345 - 1035 melee damage on targets in area',100,1,5),
(312718,10102873,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(312719,10102873,'Stuns target',100,2,1),
(312720,10102873,'Throws target back',100,2,2),
(312721,10102873,'Blurs vision of target',100,2,3),
(312722,10102873,'Does not affect Epic targets',100,2,4),
(312723,10102873,'Inflicts 448 - 1346 melee damage on targets in area',100,1,5),
(312724,135913,'When Equipped:',100,0,0),
(312725,135913,'When damaged with a melee weapon this spell has a 6% chance to cast Will of the Warlord on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(312726,135913,'Wards caster against 500 points of physical damage',100,2,2),
(312727,135913,'Cannot be modified except by direct means',100,2,3),
(312728,10135913,'When Equipped:',100,0,0),
(312729,10135913,'When damaged with a melee weapon this spell has a 6% chance to cast Will of the Warlord on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(312730,10135913,'Wards caster against 500 points of physical damage',100,2,2),
(312731,10135913,'Cannot be modified except by direct means',100,2,3),
(312732,164585,'Applies Unstable Magics when Equipped.',100,0,0),
(312733,164585,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(312734,10164585,'Applies Unstable Magics when Equipped.',100,0,0),
(312735,10164585,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(312736,114840,'Dazes caster',100,1,0),
(312737,114840,'Roots caster',100,1,1),
(312738,114840,'Increases Mitigation of caster vs physical damage by 2686',100,1,2),
(312739,10114840,'Dazes caster',100,1,0),
(312740,10114840,'Roots caster',100,1,1),
(312741,10114840,'Increases Mitigation of caster vs physical damage by 2686',100,1,2),
(312742,102778,'Increases STR of caster by 28.9',100,1,0),
(312743,102778,'Increases Max Health of caster by 170.6',100,1,1),
(312744,102778,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 788',100,1,2),
(312745,10102778,'Increases STR of caster by 28.9',100,1,0),
(312746,10102778,'Increases Max Health of caster by 170.6',100,1,1),
(312747,10102778,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 788',100,1,2),
(312748,109513,'Inflicts 90 - 110 disease damage on target instantly and every 4 seconds',100,1,0),
(312749,109513,'Decreases Attack Speed of target by 7.2',100,1,1),
(312750,10109513,'Inflicts 117 - 143 disease damage on target instantly and every 4 seconds',100,1,0),
(312751,10109513,'Decreases Attack Speed of target by 7.2',100,1,1),
(312752,139293,'Applies Aqua Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(312753,139293,'Grants Fish Vision to caster',100,1,1),
(312754,139293,'The reuse time of Aqua Vision is 2.0 seconds',100,1,2),
(312755,139293,'When Equipped:',100,0,3),
(312756,139293,'Reduces maximum falling speed of caster',100,1,4),
(312757,10139293,'Applies Aqua Vision when Activated.  Lasts for 15 minutes.',100,0,0),
(312758,10139293,'Grants Fish Vision to caster',100,1,1),
(312759,10139293,'The reuse time of Aqua Vision is 2.0 seconds',100,1,2),
(312760,10139293,'When Equipped:',100,0,3),
(312761,10139293,'Reduces maximum falling speed of caster',100,1,4),
(312762,138039,'When Equipped:',100,0,0),
(312763,138039,'On any combat or spell hit this spell may cast Fearful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(312764,138039,'Inflicts 1146 disease damage on target',100,2,2),
(312765,138039,'Inflicts 1146 crushing damage on target',100,2,3),
(312766,138039,'Must not be engaged in pvp combat',100,2,4),
(312767,138039,'Cannot be modified except by direct means',100,2,5),
(312768,10138039,'When Equipped:',100,0,0),
(312769,10138039,'On any combat or spell hit this spell may cast Fearful Ruin on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(312770,10138039,'Inflicts 1490 disease damage on target',100,2,2),
(312771,10138039,'Inflicts 1490 crushing damage on target',100,2,3),
(312772,10138039,'Must not be engaged in pvp combat',100,2,4),
(312773,10138039,'Cannot be modified except by direct means',100,2,5),
(312774,110755,'Heals target for 223 - 272',100,1,0),
(312775,110755,'Increases Max Health of target by 33.8',100,1,1),
(312776,10110755,'Heals target for 145 - 177',100,1,0),
(312777,10110755,'Increases Max Health of target by 33.8',100,1,1),
(312778,124264,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(312779,124264,'Increases Damage Per Second of target by 15.2',100,2,1),
(312780,124264,'Increases Attack Speed of target by 15.2',100,2,2),
(312781,124264,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(312782,124264,'Increases Damage Per Second of target by 15.2',100,2,4),
(312783,124264,'Increases Attack Speed of target by 15.2',100,2,5),
(312784,124264,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(312785,124264,'Increases Damage Per Second of target by 15.2',100,2,7),
(312786,124264,'Increases Attack Speed of target by 15.2',100,2,8),
(312787,10124264,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(312788,10124264,'Increases Damage Per Second of target by 15.2',100,2,1),
(312789,10124264,'Increases Attack Speed of target by 15.2',100,2,2),
(312790,10124264,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(312791,10124264,'Increases Damage Per Second of target by 15.2',100,2,4),
(312792,10124264,'Increases Attack Speed of target by 15.2',100,2,5),
(312793,10124264,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(312794,10124264,'Increases Damage Per Second of target by 15.2',100,2,7),
(312795,10124264,'Increases Attack Speed of target by 15.2',100,2,8),
(312796,102395,'Inflicts 242 - 449 melee damage on targets in area',100,1,0),
(312797,10102395,'Inflicts 314 - 584 melee damage on targets in area',100,1,0),
(312798,124035,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(312799,124035,'Heals target for 523 - 639',100,2,1),
(312800,124035,'Grants a total of 5 triggers of the spell.',100,2,2),
(312801,10124035,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(312802,10124035,'Heals target for 340 - 416',100,2,1),
(312803,10124035,'Grants a total of 5 triggers of the spell.',100,2,2),
(312804,36252,'Increases Max Health of target by 90.0',100,0,0),
(312805,36252,'Increases Max Power of target by 90.0',100,0,1),
(312806,36252,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,2),
(312807,112525,'Interrupts target',50,1,0),
(312808,112525,'Inflicts 17 - 20 divine damage on target',100,1,1),
(312809,10112525,'Interrupts target',50,1,0),
(312810,10112525,'Inflicts 28 - 34 divine damage on target',100,1,1),
(312811,102054,'Inflicts 250 - 416 melee damage on targets in area',100,1,0),
(312812,102054,'Interrupts targets in Area of Effect',100,1,1),
(312813,10102054,'Inflicts 325 - 541 melee damage on targets in area',100,1,0),
(312814,10102054,'Interrupts targets in Area of Effect',100,1,1),
(312815,116847,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(312816,116847,'Inflicts 319 - 390 mental damage on target',100,2,1),
(312817,116847,'Grants a total of 3 triggers of the spell.',100,2,2),
(312818,10116847,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(312819,10116847,'Inflicts 415 - 507 mental damage on target',100,2,1),
(312820,10116847,'Grants a total of 3 triggers of the spell.',100,2,2),
(312821,118180,'Resurrects target with 21% health and power',100,1,0),
(312822,118180,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(312823,118180,'Decreases Attack Speed of target by 20.0',100,2,2),
(312824,118180,'If not between levels 1 - 6',100,3,3),
(312825,118180,'Decreases All Attributes of target by 20.0%',100,2,4),
(312826,118180,'If not between levels 1 - 6',100,3,5),
(312827,118180,'Decreases All Attributes of target by 5.0%',100,2,6),
(312828,118180,'If between levels 1 - 6',100,3,7),
(312829,118180,'Decreases Attack Speed of target by 5.0',100,2,8),
(312830,118180,'If between levels 1 - 6',100,3,9),
(312831,118180,'If outside an arena',100,1,10),
(312832,10118180,'Resurrects target with 21% health and power',100,1,0),
(312833,10118180,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(312834,10118180,'Decreases Attack Speed of target by 20.0',100,2,2),
(312835,10118180,'If not between levels 1 - 6',100,3,3),
(312836,10118180,'Decreases All Attributes of target by 20.0%',100,2,4),
(312837,10118180,'If not between levels 1 - 6',100,3,5),
(312838,10118180,'Decreases All Attributes of target by 5.0%',100,2,6),
(312839,10118180,'If between levels 1 - 6',100,3,7),
(312840,10118180,'Decreases Attack Speed of target by 5.0',100,2,8),
(312841,10118180,'If between levels 1 - 6',100,3,9),
(312842,10118180,'If outside an arena',100,1,10),
(312843,109534,'Summons a limited pet to aid the caster',100,1,0),
(312844,10109534,'Summons a limited pet to aid the caster',100,1,0),
(312845,121676,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(312846,121676,'Inflicts 19 - 23 heat damage on target instantly and every second',100,2,1),
(312847,10121676,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(312848,10121676,'Inflicts 25 - 30 heat damage on target instantly and every second',100,2,1),
(312849,120272,'Inflicts 774 - 1290 crushing damage on target',100,1,0),
(312850,10120272,'Inflicts 1006 - 1678 crushing damage on target',100,1,0),
(312851,25769,'When Equipped:',100,0,0),
(312852,25769,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(312853,25769,'Reduces the duration of Savage Blaze by 10 seconds and increases the amount of updates by 1.',100,1,2),
(312854,10025769,'When Equipped:',100,0,0),
(312855,10025769,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(312856,10025769,'Reduces the duration of Savage Blaze by 10 seconds and increases the amount of updates by 1.',100,1,2),
(312857,121145,'Summon 1 Splinter of Essence (Apprentice II)',100,1,0),
(312858,10121145,'Summon 1 Splinter of Essence (Apprentice II)',100,1,0),
(312859,120136,'Decreases STR and INT of target by 32.5',100,1,0),
(312860,120136,'Increases STR and INT of caster by 32.5',100,1,1),
(312861,10120136,'Decreases STR and INT of target by 32.5',100,1,0),
(312862,10120136,'Increases STR and INT of caster by 32.5',100,1,1),
(312863,119537,'Increases threat priority of target by 2 positions',100,1,0),
(312864,119537,'Stuns caster',100,1,1),
(312865,119537,'Decreases Defense and Parry of caster by 399.0',100,1,2),
(312866,119537,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(312867,119537,'Inflicts 1707 - 2845 piercing damage on target',100,2,4),
(312868,119537,'Grants a total of 1 trigger of the spell.',100,2,5),
(312869,10119537,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(312870,10119537,'Prevents target from changing targets',100,2,1),
(312871,10119537,'Forces target to change their selected target to caster.',100,2,2),
(312872,10119537,'Stuns caster',100,1,3),
(312873,10119537,'Decreases Defense and Parry of caster by 399.0',100,1,4),
(312874,10119537,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(312875,10119537,'Inflicts 1584 - 2639 piercing damage on target',100,2,6),
(312876,10119537,'Grants a total of 1 trigger of the spell.',100,2,7),
(312877,114250,'Inflicts 505 - 617 mental damage on target',100,1,0),
(312878,114250,'Stuns target',100,1,1),
(312879,114250,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(312880,114250,'Resistibility increases against targets higher than level 98.',100,1,3),
(312881,10114250,'Inflicts 656 - 802 mental damage on target',100,1,0),
(312882,10114250,'Requires not being affected by Mesmerize effects.',100,2,1),
(312883,10114250,'Stuns target',100,1,2),
(312884,10114250,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(312885,10114250,'Resistibility increases against targets higher than level 98.',100,1,4),
(312886,110287,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(312887,110287,'Slows target by 59.8%',100,2,1),
(312888,110287,'5% chance to dispel when target receives hostile action',100,2,2),
(312889,110287,'5% chance to dispel when target takes damage',100,2,3),
(312890,110287,'Decreases Mitigation of target vs arcane damage by 1184',100,1,4),
(312891,10110287,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(312892,10110287,'Slows target by 59.8%',100,2,1),
(312893,10110287,'5% chance to dispel when target receives hostile action',100,2,2),
(312894,10110287,'5% chance to dispel when target takes damage',100,2,3),
(312895,10110287,'Decreases Mitigation of target vs arcane damage by 1184',100,1,4),
(312896,123598,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(312897,123598,'Increases Defense of target by 19.2',100,1,1),
(312898,10123598,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',100,1,0),
(312899,10123598,'Increases Defense of target by 19.2',100,1,1),
(312900,117843,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(312901,117843,'Heals target for 189 - 231 instantly and every 2 seconds',100,2,1),
(312902,117843,'If over 50% Health',100,3,2),
(312903,117843,'Heals target for 379 - 463 instantly and every 2 seconds',100,2,3),
(312904,117843,'If at 50% Health or less',100,3,4),
(312905,10117843,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(312906,10117843,'Heals target for 92 - 113 instantly and every 2 seconds',100,2,1),
(312907,10117843,'If at 50% Health or less',100,3,2),
(312908,10117843,'Heals target for 55 - 68 instantly and every 2 seconds',100,2,3),
(312909,10117843,'If over 50% Health',100,3,4),
(312910,89803,'When Equipped:',100,0,0),
(312911,89803,'On a combat hit this spell may cast Flank on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312912,89803,'Inflicts 7 - 12 (based on equipped weapon) melee damage on target',100,2,2),
(312913,89803,'Must be flanking',100,2,3),
(312914,89803,'Cannot be modified except by direct means',100,2,4),
(312915,10089803,'When Equipped:',100,0,0),
(312916,10089803,'On a combat hit this spell may cast Flank on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(312917,10089803,'Inflicts 9 - 16 (based on equipped weapon) melee damage on target',100,2,2),
(312918,10089803,'Must be flanking',100,2,3),
(312919,10089803,'Cannot be modified except by direct means',100,2,4),
(312920,112003,'Inflicts 190 - 317 piercing damage on target',100,1,0),
(312921,10112003,'Inflicts 248 - 413 piercing damage on target',100,1,0),
(312922,49120,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(312923,49120,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(312924,49120,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(312925,49120,'Inflicts 55 poison damage on target',100,2,3),
(312926,49120,'Cannot be modified except by direct means',100,2,4),
(312927,49120,'Grants a total of 200 triggers of the spell.',100,2,5),
(312928,10049120,'Applies wave of protection when Activated.  Lasts for 12 hours.',100,0,0),
(312929,10049120,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(312930,10049120,'Inflicts 16 poison damage on target instantly and every 6 seconds',100,2,2),
(312931,10049120,'Inflicts 53 poison damage on target',100,2,3),
(312932,10049120,'Cannot be modified except by direct means',100,2,4),
(312933,10049120,'Grants a total of 200 triggers of the spell.',100,2,5),
(312934,71479,'When Equipped:',100,0,0),
(312935,71479,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312936,71479,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(312937,71479,'Cannot be modified except by direct means',100,2,3),
(312938,10071479,'When Equipped:',100,0,0),
(312939,10071479,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(312940,10071479,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(312941,10071479,'Cannot be modified except by direct means',100,2,3),
(312942,148680,'When Equipped:',100,0,0),
(312943,148680,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(312944,148680,'Wards target against 2800 points of all damage',100,2,2),
(312945,148680,'Cannot be modified except by direct means',100,2,3),
(312946,10148680,'When Equipped:',100,0,0),
(312947,10148680,'On a healing spell cast this spell may cast Runic Deflection on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(312948,10148680,'Wards target against 2800 points of all damage',100,2,2),
(312949,10148680,'Cannot be modified except by direct means',100,2,3),
(312950,36796,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(312951,108294,'Inflicts 5 - 9 divine damage on target',100,1,0),
(312952,108294,'Heals caster for 2',100,1,1),
(312953,108294,'This effect cannot be critically applied.',100,2,2),
(312954,108294,'The healing of this spell cannot be modified except by direct means',100,1,3),
(312955,10108294,'Inflicts 7 - 11 divine damage on target',100,1,0),
(312956,10108294,'Heals target for 1',100,1,1),
(312957,10108294,'This effect cannot be critically applied.',100,2,2),
(312958,10108294,'The healing of this spell cannot be modified except by direct means',100,1,3),
(312959,55142,'When Equipped:',100,0,0),
(312960,55142,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(312961,55142,'This effect suspends during combat',100,1,2),
(312962,10055142,'When Equipped:',100,0,0),
(312963,10055142,'Increases Out-of-Combat Power Regeneration of caster by 13.9',100,1,1),
(312964,10055142,'This effect suspends during combat',100,1,2),
(312965,124104,'Increases power of caster by 71',100,1,0),
(312966,10124104,'Increases power of caster by 71',100,1,0),
(312967,121016,'Inflicts 206 - 344 poison damage on target',100,1,0),
(312968,121016,'Inflicts 52 - 86 poison damage on target instantly and every 4 seconds',100,1,1),
(312969,10121016,'Inflicts 268 - 447 poison damage on target',100,1,0),
(312970,10121016,'Inflicts 67 - 112 poison damage on target instantly and every 4 seconds',100,1,1),
(312971,52719,'Applies Sanguine Imbued when Equipped.',100,0,0),
(312972,52719,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(312973,52719,'Inflicts 34 heat damage on target',100,2,2),
(312974,52719,'Cannot be modified except by direct means',100,2,3),
(312975,10052719,'Applies Sanguine Imbued when Equipped.',100,0,0),
(312976,10052719,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(312977,10052719,'Inflicts 45 heat damage on target',100,2,2),
(312978,10052719,'Cannot be modified except by direct means',100,2,3),
(312979,119907,'Stifles target',100,1,0),
(312980,119907,'Inflicts 44 - 54 mental damage on target',100,1,1),
(312981,119907,'Inflicts 15 - 18 mental damage on target every 1.3 seconds',100,1,2),
(312982,119907,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,3),
(312983,119907,'Resistibility increases against targets higher than level 45.',100,1,4),
(312984,10119907,'Stifles target',100,1,0),
(312985,10119907,'Inflicts 57 - 70 mental damage on target',100,1,1),
(312986,10119907,'Inflicts 19 - 23 mental damage on target every second',100,1,2),
(312987,10119907,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(312988,10119907,'Resistibility increases against targets higher than level 45.',100,1,4),
(312989,115592,'Interrupts target encounter',100,1,0),
(312990,115592,'Decreases Threat to target encounter by 858 - 1,048 ',100,1,1),
(312991,115592,'Dazes target encounter',100,1,2),
(312992,115592,'If Target is not Epic',100,2,3),
(312993,115592,'Resistibility increases against targets higher than level 95.',100,1,4),
(312994,10115592,'Interrupts target encounter',100,1,0),
(312995,10115592,'Dazes target encounter',100,1,1),
(312996,10115592,'If Target is not Epic',100,2,2),
(312997,10115592,'Resistibility increases against targets higher than level 95.',100,1,3),
(312998,115318,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(312999,115318,'Makes target afraid',100,2,1),
(313000,115318,'Slows target by 34.1%',100,2,2),
(313001,115318,'30% chance to dispel when target takes damage',100,2,3),
(313002,115318,'Does not affect Epic targets',100,2,4),
(313003,115318,'Resistibility increases against targets higher than level 34.',100,2,5),
(313004,115318,'Roots target',100,1,6),
(313005,115318,'15% chance to dispel when target takes damage',100,1,7),
(313006,115318,'Does not affect Epic targets',100,1,8),
(313007,115318,'Resistibility increases against targets higher than level 34.',100,1,9),
(313008,10115318,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(313009,10115318,'Makes target afraid',100,2,1),
(313010,10115318,'Slows target by 34.1%',100,2,2),
(313011,10115318,'30% chance to dispel when target takes damage',100,2,3),
(313012,10115318,'Does not affect Epic targets',100,2,4),
(313013,10115318,'Resistibility increases against targets higher than level 34.',100,2,5),
(313014,10115318,'Roots target',100,1,6),
(313015,10115318,'15% chance to dispel when target takes damage',100,1,7),
(313016,10115318,'Does not affect Epic targets',100,1,8),
(313017,10115318,'Resistibility increases against targets higher than level 34.',100,1,9),
(313018,132060,'When Equipped:',100,0,0),
(313019,132060,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(313020,132060,'Increases AGI, INT, WIS and STR of caster by 50.0',100,1,2),
(313021,132060,'Increases Potency of caster by 3.5%',100,1,3),
(313022,132060,'Cannot be modified except by direct means',100,1,4),
(313023,132060,'When Equipped:',100,0,5),
(313024,132060,'Increases Attack Speed of caster by 45.0',100,1,6),
(313025,10132060,'When Equipped:',100,0,0),
(313026,10132060,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(313027,10132060,'Increases AGI, INT, WIS and STR of caster by 50.0',100,1,2),
(313028,10132060,'Increases Potency of caster by 3.5%',100,1,3),
(313029,10132060,'Cannot be modified except by direct means',100,1,4),
(313030,10132060,'When Equipped:',100,0,5),
(313031,10132060,'Increases Attack Speed of caster by 45.0',100,1,6),
(313032,48003,'Applies Draw upon Essence when Activated.',100,0,0),
(313033,48003,'Increases power of caster by 357',100,1,1),
(313034,48003,'Requires 715 Health to cast.',100,1,2),
(313035,10048003,'Applies Draw upon Essence when Activated.',100,0,0),
(313036,10048003,'Increases power of caster by 357',100,1,1),
(313037,10048003,'Requires 715 Health to cast.',100,1,2),
(313038,112573,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(313039,112573,'Heals targets in Area of Effect for 75 - 92',100,2,1),
(313040,112573,'Dispels 44 levels of physical hostile effects on target',100,2,2),
(313041,10112573,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(313042,10112573,'Heals targets in Area of Effect for 49 - 60',100,2,1),
(313043,10112573,'Dispels 44 levels of physical hostile effects on target',100,2,2),
(313044,150871,'When Equipped:',100,0,0),
(313045,150871,'This effect will not stack with any rank or tier of itself.',100,1,1),
(313046,150871,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(313047,150871,'Cannot be modified except by direct means',100,1,3),
(313048,10150871,'When Equipped:',100,0,0),
(313049,10150871,'This effect will not stack with any rank or tier of itself.',100,1,1),
(313050,10150871,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(313051,10150871,'Cannot be modified except by direct means',100,1,3),
(313052,121698,'Increases AGI of caster by 14.6',100,1,0),
(313053,121698,'Adds 1.5% to base avoidance.',100,1,1),
(313054,121698,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(313055,121698,'Increases Parry of caster by 8.1',100,1,3),
(313056,121698,'Increases Defense of caster by 10.8',100,1,4),
(313057,10121698,'Increases AGI of caster by 14.6',100,1,0),
(313058,10121698,'Adds 1.5% to base avoidance.',100,1,1),
(313059,10121698,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(313060,10121698,'Increases Parry of caster by 8.1',100,1,3),
(313061,10121698,'Increases Defense of caster by 10.8',100,1,4),
(313062,181773,'When Equipped:',100,0,0),
(313063,181773,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(313064,181773,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(313065,181773,'Inflicts 4555 - 5035 heat damage on target',100,2,3),
(313066,181773,'Must not be engaged in pvp combat',100,2,4),
(313067,181773,'Cannot be modified except by direct means',100,2,5),
(313068,181773,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(313069,181773,'Inflicts 4555 - 5035 heat damage on target',100,2,7),
(313070,181773,'Must not be engaged in pvp combat',100,2,8),
(313071,181773,'Cannot be modified except by direct means',100,2,9),
(313072,10181773,'When Equipped:',100,0,0),
(313073,10181773,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(313074,10181773,'On a critical combat hit this spell may cast Velium Flames II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(313075,10181773,'Inflicts 5922 - 6545 heat damage on target',100,2,3),
(313076,10181773,'Must not be engaged in pvp combat',100,2,4),
(313077,10181773,'Cannot be modified except by direct means',100,2,5),
(313078,10181773,'On a critical spell hit this spell may cast Velium Flames II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(313079,10181773,'Inflicts 5922 - 6545 heat damage on target',100,2,7),
(313080,10181773,'Must not be engaged in pvp combat',100,2,8),
(313081,10181773,'Cannot be modified except by direct means',100,2,9),
(313082,120768,'Inflicts 50 - 62 divine damage on target instantly and every 3 seconds',100,1,0),
(313083,120768,'Increases power of caster by 61 instantly and every 3 seconds',100,1,1),
(313084,10120768,'Inflicts 66 - 80 divine damage on target instantly and every 3 seconds',100,1,0),
(313085,10120768,'Increases power of caster by 61 instantly and every 3 seconds',100,1,1),
(313086,113885,'Increases power of target by 174',100,1,0),
(313087,10113885,'Increases power of target by 174',100,1,0),
(313088,137406,'When Equipped:',100,0,0),
(313089,137406,'Increases Attack Speed of caster by 40.0',100,1,1),
(313090,10137406,'When Equipped:',100,0,0),
(313091,10137406,'Increases Attack Speed of caster by 40.0',100,1,1),
(313092,110893,'Inflicts 552 - 674 heat damage on target encounter',100,1,0),
(313093,10110893,'Inflicts 717 - 876 heat damage on target encounter',100,1,0),
(313094,72184,'When Equipped:',100,0,0),
(313095,72184,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313096,72184,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(313097,72184,'Cannot be modified except by direct means',100,2,3),
(313098,10072184,'When Equipped:',100,0,0),
(313099,10072184,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313100,10072184,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(313101,10072184,'Cannot be modified except by direct means',100,2,3),
(313102,120842,'Inflicts 34 - 46 disease damage on target instantly and every second',100,1,0),
(313103,10120842,'Inflicts 62 - 83 disease damage on target',100,1,0),
(313104,10120842,'Inflicts 44 - 60 disease damage on target every second',100,1,1),
(313105,71808,'When Equipped:',100,0,0),
(313106,71808,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313107,71808,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(313108,71808,'Cannot be modified except by direct means',100,2,3),
(313109,10071808,'When Equipped:',100,0,0),
(313110,10071808,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313111,10071808,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(313112,10071808,'Cannot be modified except by direct means',100,2,3),
(313113,80819,'When Equipped:',100,0,0),
(313114,80819,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313115,80819,'Inflicts 194 - 360 magic damage on target',100,2,2),
(313116,80819,'Cannot be modified except by direct means',100,2,3),
(313117,10080819,'When Equipped:',100,0,0),
(313118,10080819,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313119,10080819,'Inflicts 252 - 468 magic damage on target',100,2,2),
(313120,10080819,'Cannot be modified except by direct means',100,2,3),
(313121,81660,'When Equipped:',100,0,0),
(313122,81660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313123,81660,'Inflicts 99 - 185 magic damage on target',100,2,2),
(313124,81660,'Cannot be modified except by direct means',100,2,3),
(313125,10081660,'When Equipped:',100,0,0),
(313126,10081660,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313127,10081660,'Inflicts 129 - 240 magic damage on target',100,2,2),
(313128,10081660,'Cannot be modified except by direct means',100,2,3),
(313129,103299,'Inflicts 4 - 5 mental damage on target instantly and every 6 seconds',100,1,0),
(313130,103299,'Applies Migraine on termination.',100,1,1),
(313131,103299,'Inflicts 10 - 13 mental damage on target',100,2,2),
(313132,10103299,'Inflicts 6 - 7 mental damage on target instantly and every 6 seconds',100,1,0),
(313133,10103299,'Applies Migraine on termination.',100,1,1),
(313134,10103299,'Inflicts 13 - 17 mental damage on target',100,2,2),
(313135,45205,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(313136,45205,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(313137,45205,'Decreases Attack Speed of target by 21.0',100,2,2),
(313138,45205,'Cannot be modified except by direct means',100,2,3),
(313139,45205,'Grants a total of 60 triggers of the spell.',100,2,4),
(313140,10045205,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(313141,10045205,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(313142,10045205,'Decreases Attack Speed of target by 21.0',100,2,2),
(313143,10045205,'Cannot be modified except by direct means',100,2,3),
(313144,10045205,'Grants a total of 60 triggers of the spell.',100,2,4),
(313145,132223,'When Equipped:',100,0,0),
(313146,132223,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(313147,10132223,'When Equipped:',100,0,0),
(313148,10132223,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(313149,120175,'Applies Life Draw on termination.',100,1,0),
(313150,120175,'Inflicts 218 - 364 disease damage on target',100,2,1),
(313151,120175,'Heals caster for 10.9 - 13.3% of max health',100,2,2),
(313152,120175,'This effect cannot be critically applied.',100,3,3),
(313153,120175,'The healing of this spell cannot be modified except by direct means',100,2,4),
(313154,120175,'Inflicts 63 - 106 disease damage on target',100,1,5),
(313155,10120175,'Applies Life Draw on termination.',100,1,0),
(313156,10120175,'Inflicts 284 - 473 disease damage on target',100,2,1),
(313157,10120175,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(313158,10120175,'This effect cannot be critically applied.',100,3,3),
(313159,10120175,'The healing of this spell cannot be modified except by direct means',100,2,4),
(313160,10120175,'Inflicts 82 - 138 disease damage on target',100,1,5),
(313161,72310,'When Equipped:',100,0,0),
(313162,72310,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313163,72310,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(313164,72310,'Cannot be modified except by direct means',100,2,3),
(313165,10072310,'When Equipped:',100,0,0),
(313166,10072310,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313167,10072310,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(313168,10072310,'Cannot be modified except by direct means',100,2,3),
(313169,106830,'Decreases Crushing, Piercing, Slashing and Ranged of target by 12.6',100,1,0),
(313170,10106830,'Decreases Crushing, Piercing, Slashing and Ranged of target by 12.6',100,1,0),
(313171,71634,'When Equipped:',100,0,0),
(313172,71634,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313173,71634,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(313174,71634,'Cannot be modified except by direct means',100,2,3),
(313175,10071634,'When Equipped:',100,0,0),
(313176,10071634,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313177,10071634,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(313178,10071634,'Cannot be modified except by direct means',100,2,3),
(313179,26096,'When Equipped:',100,0,0),
(313180,26096,'Adds two additional triggers to Focused Intervention IV.',100,1,1),
(313181,26096,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(313182,10026096,'When Equipped:',100,0,0),
(313183,10026096,'Adds two additional triggers to Focused Intervention IV.',100,1,1),
(313184,10026096,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(313185,121270,'Inflicts 2048 - 2503 heat damage on target encounter',100,1,0),
(313186,10121270,'Inflicts 2662 - 3254 heat damage on target encounter',100,1,0),
(313187,112506,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(313188,112506,'Inflicts 53 disease damage on target instantly and every 4 seconds',100,2,1),
(313189,112506,'47% of target''s power consumed will also be drained from target''s health',100,2,2),
(313190,10112506,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(313191,10112506,'Inflicts 69 disease damage on target instantly and every 4 seconds',100,2,1),
(313192,10112506,'47% of target''s power consumed will also be drained from target''s health',100,2,2),
(313193,116734,'Inflicts 611 - 1018 melee damage on target',100,1,0),
(313194,10116734,'Inflicts 794 - 1324 melee damage on target',100,1,0),
(313195,112160,'Increases STR of caster by 9.9',100,1,0),
(313196,112160,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 222',100,1,1),
(313197,112160,'Increases Mitigation of caster vs physical damage by 66',100,1,2),
(313198,10112160,'Increases STR of caster by 9.9',100,1,0),
(313199,10112160,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 222',100,1,1),
(313200,10112160,'Increases Mitigation of caster vs physical damage by 66',100,1,2),
(313201,144721,'When Equipped:',100,0,0),
(313202,144721,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313203,144721,'This effect can be stacked by multiple casters.',100,2,2),
(313204,144721,'Increases target''s chance to block by 10.0%',100,2,3),
(313205,144721,'Cannot be modified except by direct means',100,2,4),
(313206,10144721,'When Equipped:',100,0,0),
(313207,10144721,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313208,10144721,'This effect can be stacked by multiple casters.',100,2,2),
(313209,10144721,'Increases target''s chance to block by 10.0%',100,2,3),
(313210,10144721,'Cannot be modified except by direct means',100,2,4),
(313211,81402,'When Equipped:',100,0,0),
(313212,81402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313213,81402,'Inflicts 80 - 149 magic damage on target',100,2,2),
(313214,81402,'Cannot be modified except by direct means',100,2,3),
(313215,10081402,'When Equipped:',100,0,0),
(313216,10081402,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313217,10081402,'Inflicts 104 - 193 magic damage on target',100,2,2),
(313218,10081402,'Cannot be modified except by direct means',100,2,3),
(313219,175133,'Applies Sacrilege when Equipped.',100,0,0),
(313220,175133,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(313221,10175133,'Applies Sacrilege when Equipped.',100,0,0),
(313222,10175133,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(313223,117988,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(313224,117988,'Increases Damage Per Second of target by 16.3',100,2,1),
(313225,117988,'Increases Attack Speed of target by 16.3',100,2,2),
(313226,117988,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(313227,117988,'Increases Damage Per Second of target by 16.3',100,2,4),
(313228,117988,'Increases Attack Speed of target by 16.3',100,2,5),
(313229,117988,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(313230,117988,'Increases Damage Per Second of target by 16.3',100,2,7),
(313231,117988,'Increases Attack Speed of target by 16.3',100,2,8),
(313232,10117988,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(313233,10117988,'Increases Damage Per Second of target by 16.3',100,2,1),
(313234,10117988,'Increases Attack Speed of target by 16.3',100,2,2),
(313235,10117988,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(313236,10117988,'Increases Damage Per Second of target by 16.3',100,2,4),
(313237,10117988,'Increases Attack Speed of target by 16.3',100,2,5),
(313238,10117988,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(313239,10117988,'Increases Damage Per Second of target by 16.3',100,2,7),
(313240,10117988,'Increases Attack Speed of target by 16.3',100,2,8),
(313241,100945,'Inflicts 159 - 194 mental damage on target',100,1,0),
(313242,100945,'Dazes target',100,1,1),
(313243,100945,'Epic targets gain an immunity to Daze effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(313244,100945,'Resistibility increases against targets higher than level 68.',100,1,3),
(313245,10100945,'Inflicts 207 - 252 mental damage on target',100,1,0),
(313246,10100945,'Dazes target',100,1,1),
(313247,10100945,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(313248,10100945,'Resistibility increases against targets higher than level 68.',100,1,3),
(313249,35627,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(313250,107225,'Inflicts 832 - 1387 melee damage on targets in area',100,1,0),
(313251,107225,'Dispels 252 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(313252,10107225,'Inflicts 1081 - 1803 melee damage on targets in area',100,1,0),
(313253,10107225,'Reduces healing received of targets in area by 10%',100,1,1),
(313254,117333,'Roots target',100,1,0),
(313255,117333,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(313256,117333,'Slows target by 43.3%',100,2,2),
(313257,117333,'5% chance to dispel when target receives hostile action',100,2,3),
(313258,117333,'5% chance to dispel when target takes damage',100,2,4),
(313259,117333,'15% chance to dispel when target takes damage',100,1,5),
(313260,117333,'Does not affect Epic targets',100,1,6),
(313261,117333,'Resistibility increases against targets higher than level 76.',100,1,7),
(313262,10117333,'Roots target',100,1,0),
(313263,10117333,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(313264,10117333,'Slows target by 43.3%',100,2,2),
(313265,10117333,'10% chance to dispel when target receives hostile action',100,2,3),
(313266,10117333,'10% chance to dispel when target takes damage',100,2,4),
(313267,10117333,'15% chance to dispel when target takes damage',100,1,5),
(313268,10117333,'Does not affect Epic targets',100,1,6),
(313269,10117333,'Resistibility increases against targets higher than level 76.',100,1,7),
(313270,106404,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(313271,106404,'Inflicts 119 - 145 mental damage on target',100,2,1),
(313272,106404,'Grants a total of 3 triggers of the spell.',100,2,2),
(313273,10106404,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(313274,10106404,'Inflicts 154 - 189 mental damage on target',100,2,1),
(313275,10106404,'Grants a total of 3 triggers of the spell.',100,2,2),
(313276,122033,'Increases Threat to target by 108 - 132 ',100,1,0),
(313277,122033,'Inflicts 13 - 22 melee damage on target',100,1,1),
(313278,10122033,'Forces target to change their selected target to caster.',100,1,0),
(313279,10122033,'Inflicts 17 - 29 melee damage on target',100,1,1),
(313280,80344,'When Equipped:',100,0,0),
(313281,80344,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313282,80344,'Inflicts 43 - 81 magic damage on target',100,2,2),
(313283,80344,'Cannot be modified except by direct means',100,2,3),
(313284,10080344,'When Equipped:',100,0,0),
(313285,10080344,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313286,10080344,'Inflicts 56 - 105 magic damage on target',100,2,2),
(313287,10080344,'Cannot be modified except by direct means',100,2,3),
(313288,119321,'Roots target',100,1,0),
(313289,119321,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(313290,119321,'Slows target by 67.5%',100,2,2),
(313291,119321,'5% chance to dispel when target receives hostile action',100,2,3),
(313292,119321,'5% chance to dispel when target takes damage',100,2,4),
(313293,119321,'15% chance to dispel when target takes damage',100,1,5),
(313294,119321,'Does not affect Epic targets',100,1,6),
(313295,119321,'Resistibility increases against targets higher than level 90.',100,1,7),
(313296,10119321,'Roots target',100,1,0),
(313297,10119321,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(313298,10119321,'Slows target by 67.5%',100,2,2),
(313299,10119321,'5% chance to dispel when target receives hostile action',100,2,3),
(313300,10119321,'5% chance to dispel when target takes damage',100,2,4),
(313301,10119321,'15% chance to dispel when target takes damage',100,1,5),
(313302,10119321,'Does not affect Epic targets',100,1,6),
(313303,10119321,'Resistibility increases against targets higher than level 90.',100,1,7),
(313304,188708,'When Equipped:',100,0,0),
(313305,188708,'Increases Attack Speed of caster by 25.0',100,1,1),
(313306,10188708,'When Equipped:',100,0,0),
(313307,10188708,'Increases Attack Speed of caster by 25.0',100,1,1),
(313308,26382,'When Equipped:',100,0,0),
(313309,26382,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(313310,26382,'Increases power of caster by 44',100,2,2),
(313311,26382,'Cannot be modified except by direct means',100,2,3),
(313312,10026382,'When Equipped:',100,0,0),
(313313,10026382,'On a healing spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(313314,10026382,'Increases power of caster by 44',100,2,2),
(313315,10026382,'Cannot be modified except by direct means',100,2,3),
(313316,102382,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(313317,102382,'Increases Damage Per Second of target by 31.3',100,2,1),
(313318,102382,'Increases Attack Speed of target by 31.3',100,2,2),
(313319,102382,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(313320,102382,'Increases Damage Per Second of target by 31.3',100,2,4),
(313321,102382,'Increases Attack Speed of target by 31.3',100,2,5),
(313322,102382,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(313323,102382,'Increases Damage Per Second of target by 31.3',100,2,7),
(313324,102382,'Increases Attack Speed of target by 31.3',100,2,8),
(313325,10102382,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(313326,10102382,'Increases Damage Per Second of target by 31.3',100,2,1),
(313327,10102382,'Increases Attack Speed of target by 31.3',100,2,2),
(313328,10102382,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(313329,10102382,'Increases Damage Per Second of target by 31.3',100,2,4),
(313330,10102382,'Increases Attack Speed of target by 31.3',100,2,5),
(313331,10102382,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(313332,10102382,'Increases Damage Per Second of target by 31.3',100,2,7),
(313333,10102382,'Increases Attack Speed of target by 31.3',100,2,8),
(313334,107821,'Causes 7% Threat to transfer to target when in combat',100,1,0),
(313335,107821,'Increases Hate Gain of target by 6.9%',100,1,1),
(313336,118376,'Inflicts 233 - 389 melee damage on target',100,1,0),
(313337,118376,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(313338,118376,'Stuns target',100,2,2),
(313339,118376,'Throws target back',100,2,3),
(313340,118376,'Blurs vision of target',100,2,4),
(313341,118376,'Does not affect Epic targets',100,2,5),
(313342,10118376,'Inflicts 304 - 506 melee damage on target',100,1,0),
(313343,10118376,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(313344,10118376,'Stuns target',100,2,2),
(313345,10118376,'Throws target back',100,2,3),
(313346,10118376,'Blurs vision of target',100,2,4),
(313347,10118376,'Does not affect Epic targets',100,2,5),
(313348,182091,'When Equipped:',100,0,0),
(313349,182091,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(313350,182091,'Decreases Threat to target by 800 ',100,2,2),
(313351,182091,'Cannot be modified except by direct means',100,2,3),
(313352,10182091,'When Equipped:',100,0,0),
(313353,10182091,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(313354,10182091,'Cannot be modified except by direct means',100,2,2),
(313355,121820,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(313356,121820,'Increases Mitigation of group members (AE) vs arcane damage by 302',100,1,1),
(313357,10121820,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(313358,10121820,'Increases Mitigation of group members (AE) vs arcane damage by 302',100,1,1),
(313359,171392,'When Equipped:',100,0,0),
(313360,171392,'On a critical healing spell cast this spell may cast Rehabilitate VIII on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(313361,171392,'Heals target for 1105 - 1221',100,2,2),
(313362,171392,'Applies Rehabilitate VIII on termination.  Lasts for 15.0 seconds.',100,2,3),
(313363,171392,'Wards target against 1250 points of all damage',100,3,4),
(313364,171392,'Must not be engaged in pvp combat',100,3,5),
(313365,171392,'Cannot be modified except by direct means',100,3,6),
(313366,171392,'If under 50% Health',100,3,7),
(313367,171392,'Must not be engaged in pvp combat',100,2,8),
(313368,171392,'Cannot be modified except by direct means',100,2,9),
(313369,171392,'Must not be engaged in pvp combat',100,1,10),
(313370,10171392,'When Equipped:',100,0,0),
(313371,10171392,'On a critical healing spell cast this spell may cast Rehabilitate VIII on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(313372,10171392,'Heals target for 718 - 794',100,2,2),
(313373,10171392,'Applies Rehabilitate VIII on termination.  Lasts for 15.0 seconds.',100,2,3),
(313374,10171392,'Wards target against 1250 points of all damage',100,3,4),
(313375,10171392,'Must not be engaged in pvp combat',100,3,5),
(313376,10171392,'Cannot be modified except by direct means',100,3,6),
(313377,10171392,'If under 50% Health',100,3,7),
(313378,10171392,'Must not be engaged in pvp combat',100,2,8),
(313379,10171392,'Cannot be modified except by direct means',100,2,9),
(313380,10171392,'Must not be engaged in pvp combat',100,1,10),
(313381,114825,'Dazes caster',100,1,0),
(313382,114825,'Roots caster',100,1,1),
(313383,114825,'Increases Mitigation of caster vs physical damage by 1512',100,1,2),
(313384,10114825,'Dazes caster',100,1,0),
(313385,10114825,'Roots caster',100,1,1),
(313386,10114825,'Increases Mitigation of caster vs physical damage by 1512',100,1,2),
(313387,165393,'When Equipped:',100,0,0),
(313388,165393,'On a hostile spell cast this spell may cast Essence Shift on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(313389,165393,'Inflicts 185 - 227 magic damage on target',100,2,2),
(313390,165393,'Increases power of caster by 189 - 231',100,2,3),
(313391,165393,'Cannot be modified except by direct means',100,2,4),
(313392,10165393,'When Equipped:',100,0,0),
(313393,10165393,'On a hostile spell cast this spell may cast Essence Shift on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(313394,10165393,'Inflicts 241 - 295 magic damage on target',100,2,2),
(313395,10165393,'Increases power of caster by 189 - 231',100,2,3),
(313396,10165393,'Cannot be modified except by direct means',100,2,4),
(313397,101627,'Applies Forceful Headache on termination.',100,1,0),
(313398,101627,'Inflicts 120 - 200 mental damage on target',100,2,1),
(313399,101627,'If over 50% power',100,3,2),
(313400,101627,'Inflicts 48 - 59 mental damage on target instantly and every 6 seconds',100,1,3),
(313401,101627,'Decreases Mitigation of target vs arcane damage by 462',100,1,4),
(313402,10101627,'Applies Forceful Headache on termination.',100,1,0),
(313403,10101627,'Inflicts 156 - 259 mental damage on target',100,2,1),
(313404,10101627,'If over 50% power',100,3,2),
(313405,10101627,'Inflicts 62 - 76 mental damage on target instantly and every 6 seconds',100,1,3),
(313406,10101627,'Decreases Mitigation of target vs arcane damage by 462',100,1,4),
(313407,111498,'Increases AGI of caster by 61.7',100,1,0),
(313408,111498,'Increases Attack Speed of caster by 29.0',100,1,1),
(313409,111498,'Increases in-combat movement speed of caster by 4.7%',100,1,2),
(313410,111498,'Adds 14.8% to base avoidance.',100,1,3),
(313411,111498,'Increases Mitigation of caster vs physical damage by 525',100,1,4),
(313412,111498,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,5),
(313413,10111498,'Increases AGI of caster by 61.7',100,1,0),
(313414,10111498,'Increases Attack Speed of caster by 29.0',100,1,1),
(313415,10111498,'Increases speed of caster by 4.7%',100,1,2),
(313416,10111498,'Adds 14.8% to base avoidance.',100,1,3),
(313417,10111498,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,4),
(313418,108402,'Heals target for 368 - 449',100,1,0),
(313419,10108402,'Heals target for 440 - 537',100,1,0),
(313420,138712,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(313421,138712,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(313422,138712,'Decreases Threat to target encounter by 388 - 646 ',100,2,2),
(313423,138712,'Cannot be modified except by direct means',100,2,3),
(313424,138712,'The reuse time of Distracting Aura is 30 minutes',100,1,4),
(313425,10138712,'Applies Distracting Aura when Activated.  Lasts for 30.0 seconds.',100,0,0),
(313426,10138712,'When damaged this spell will cast Distract on target''s attacker.  ',100,1,1),
(313427,10138712,'Applies Distract.',100,2,2),
(313428,10138712,'Forces target to clear their selected target.',100,3,3),
(313429,10138712,'Cannot be modified except by direct means',100,2,4),
(313430,10138712,'The reuse time of Distracting Aura is 30 minutes',100,1,5),
(313431,121572,'Stuns target encounter',100,1,0),
(313432,121572,'Epic targets gain an immunity to Stun effects of 14.6 seconds and duration is reduced to 1.6 seconds.',100,1,1),
(313433,121572,'Resistibility increases against targets higher than level 45.',100,1,2),
(313434,10121572,'Stuns target encounter',100,1,0),
(313435,10121572,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(313436,10121572,'Resistibility increases against targets higher than level 45.',100,1,2),
(313437,36322,'Increases Out-of-Combat Health Regeneration of target by 51.0',100,0,0),
(313438,36322,'This effect suspends during combat',100,0,1),
(313439,115060,'Heals target for 23 - 28',100,1,0),
(313440,115060,'Heals target for 3 - 4 every second',100,1,1),
(313441,10115060,'Heals target for 42 - 51',100,1,0),
(313442,10115060,'Heals target for 3 - 4 every second',100,1,1),
(313443,103567,'Increases In-Combat Power Regeneration of group members (AE) by 59.7',100,1,0),
(313444,10103567,'Increases In-Combat Power Regeneration of group members (AE) by 59.7',100,1,0),
(313445,180435,'When Equipped:',100,0,0),
(313446,180435,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(313447,180435,'Heals caster for 28',100,2,2),
(313448,180435,'Cannot be modified except by direct means',100,2,3),
(313449,10180435,'When Equipped:',100,0,0),
(313450,10180435,'When any damage is received this spell has a 5% chance to cast Renewing Breeze on caster.  ',100,1,1),
(313451,10180435,'Heals caster for 18',100,2,2),
(313452,10180435,'Cannot be modified except by direct means',100,2,3),
(313453,109767,'Inflicts 218 - 404 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(313454,10109767,'Inflicts 283 - 526 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(313455,80670,'When Equipped:',100,0,0),
(313456,80670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313457,80670,'Inflicts 50 - 93 magic damage on target',100,2,2),
(313458,80670,'Cannot be modified except by direct means',100,2,3),
(313459,10080670,'When Equipped:',100,0,0),
(313460,10080670,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313461,10080670,'Inflicts 65 - 121 magic damage on target',100,2,2),
(313462,10080670,'Cannot be modified except by direct means',100,2,3),
(313463,55635,'When Equipped:',100,0,0),
(313464,55635,'Increases caster''s chance to block by 5.0%',100,1,1),
(313465,10055635,'When Equipped:',100,0,0),
(313466,10055635,'Increases caster''s chance to block by 5.0%',100,1,1),
(313467,101415,'Inflicts 616 - 1026 melee damage on target',100,1,0),
(313468,101415,'Returns the last arrow used to the ranger.',100,1,1),
(313469,10101415,'Inflicts 800 - 1334 melee damage on target',100,1,0),
(313470,10101415,'Returns the last arrow used to the ranger.',100,1,1),
(313471,37256,'Increases STA and STR of target by 61.6',100,0,0),
(313472,37256,'Target will Dodge 2.5% of incoming attacks',100,0,1),
(313473,37256,'Increases Out-of-Combat Power Regeneration of target by 141.6',100,0,2),
(313474,192123,'When Equipped:',100,0,0),
(313475,192123,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(313476,192123,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(313477,192123,'Increases Potency of caster by 11.0%',100,2,3),
(313478,192123,'Must not be engaged in pvp combat',100,2,4),
(313479,192123,'Cannot be modified except by direct means',100,2,5),
(313480,192123,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(313481,192123,'Increases Potency of caster by 11.0%',100,2,7),
(313482,192123,'Must not be engaged in pvp combat',100,2,8),
(313483,192123,'Cannot be modified except by direct means',100,2,9),
(313484,192123,'Cannot be modified except by direct means',100,1,10),
(313485,10192123,'When Equipped:',100,0,0),
(313486,10192123,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(313487,10192123,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(313488,10192123,'Increases Potency of caster by 11.0%',100,2,3),
(313489,10192123,'Must not be engaged in pvp combat',100,2,4),
(313490,10192123,'Cannot be modified except by direct means',100,2,5),
(313491,10192123,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(313492,10192123,'Increases Potency of caster by 11.0%',100,2,7),
(313493,10192123,'Must not be engaged in pvp combat',100,2,8),
(313494,10192123,'Cannot be modified except by direct means',100,2,9),
(313495,10192123,'Cannot be modified except by direct means',100,1,10),
(313496,115742,'Inflicts 6 - 10 melee damage on target',100,1,0),
(313497,10115742,'Inflicts 8 - 14 melee damage on target',100,1,0),
(313498,124753,'Inflicts 270 - 330 disease damage on target encounter',100,1,0),
(313499,10124753,'Inflicts 351 - 429 disease damage on target encounter',100,1,0),
(313500,134237,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(313501,134237,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(313502,134237,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(313503,10134237,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(313504,10134237,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(313505,10134237,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(313506,152796,'When Equipped:',100,0,0),
(313507,152796,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(313508,152796,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(313509,152796,'Inflicts 2341 - 2587 poison damage on target',100,2,3),
(313510,152796,'Heals caster for 1170 - 1294',100,2,4),
(313511,152796,'Decreases Mitigation of target vs physical damage by 1295',100,2,5),
(313512,152796,'Must not be engaged in pvp combat',100,2,6),
(313513,152796,'Cannot be modified except by direct means',100,2,7),
(313514,152796,'Cannot be modified except by direct means',100,1,8),
(313515,10152796,'When Equipped:',100,0,0),
(313516,10152796,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(313517,10152796,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(313518,10152796,'Inflicts 3043 - 3364 poison damage on target',100,2,3),
(313519,10152796,'Heals caster for 1369 - 1514',100,2,4),
(313520,10152796,'Decreases Mitigation of target vs physical damage by 1295',100,2,5),
(313521,10152796,'Must not be engaged in pvp combat',100,2,6),
(313522,10152796,'Cannot be modified except by direct means',100,2,7),
(313523,10152796,'Cannot be modified except by direct means',100,1,8),
(313524,104024,'Stifles target',100,1,0),
(313525,104024,'If Target is not Epic',100,2,1),
(313526,104024,'Interrupts target',100,1,2),
(313527,104024,'Decreases Threat to target by 564 - 689 ',100,1,3),
(313528,104024,'Resistibility increases against targets higher than level 81.',100,1,4),
(313529,10104024,'Stifles target',100,1,0),
(313530,10104024,'If Target is not Epic',100,2,1),
(313531,10104024,'Interrupts target',100,1,2),
(313532,10104024,'Resistibility increases against targets higher than level 81.',100,1,3),
(313533,81961,'When Equipped:',100,0,0),
(313534,81961,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313535,81961,'Inflicts 265 - 492 magic damage on target',100,2,2),
(313536,81961,'Decreases Threat to target by 994 ',100,2,3),
(313537,81961,'Must be flanking or behind',100,3,4),
(313538,81961,'Increases Threat to target by 994 ',100,2,5),
(313539,81961,'Must be in front of',100,3,6),
(313540,81961,'Cannot be modified except by direct means',100,2,7),
(313541,10081961,'When Equipped:',100,0,0),
(313542,10081961,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313543,10081961,'Inflicts 345 - 640 magic damage on target',100,2,2),
(313544,10081961,'Cannot be modified except by direct means',100,2,3),
(313545,101395,'Inflicts 154 - 256 melee damage on target',100,1,0),
(313546,101395,'Returns the last arrow used to the ranger.',100,1,1),
(313547,10101395,'Inflicts 200 - 334 melee damage on target',100,1,0),
(313548,10101395,'Returns the last arrow used to the ranger.',100,1,1),
(313549,122044,'Increases Threat to target by 320 - 391 ',100,1,0),
(313550,122044,'Inflicts 35 - 59 melee damage on target',100,1,1),
(313551,10122044,'Forces target to change their selected target to caster.',100,1,0),
(313552,10122044,'Inflicts 46 - 76 melee damage on target',100,1,1),
(313553,46371,'Applies Extract Poison when Activated.',100,0,0),
(313554,10046371,'Applies Extract Poison when Activated.',100,0,0),
(313555,87547,'Applies Mental Blast when Activated.',100,0,0),
(313556,87547,'Inflicts 129 - 215 mental damage on target',100,1,1),
(313557,87547,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(313558,10087547,'Applies Mental Blast when Activated.',100,0,0),
(313559,10087547,'Inflicts 168 - 279 mental damage on target',100,1,1),
(313560,10087547,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(313561,113612,'Inflicts 260 - 434 melee damage on target',100,1,0),
(313562,113612,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 41.8',100,1,1),
(313563,113612,'Must be flanking or behind',100,1,2),
(313564,10113612,'Inflicts 339 - 565 melee damage on target',100,1,0),
(313565,10113612,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 41.8',100,1,1),
(313566,10113612,'Must be flanking or behind',100,1,2),
(313567,103081,'Inflicts 185 magic damage on target instantly and every 4 seconds',100,1,0),
(313568,103081,'Increases power of caster by 113 instantly and every 4 seconds',100,1,1),
(313569,10103081,'Inflicts 241 magic damage on target instantly and every 4 seconds',100,1,0),
(313570,10103081,'Increases power of caster by 113 instantly and every 4 seconds',100,1,1),
(313571,174030,'When Equipped:',100,0,0),
(313572,174030,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(313573,174030,'Heals group members for 842',100,2,2),
(313574,174030,'Cannot be modified except by direct means',100,2,3),
(313575,10174030,'When Equipped:',100,0,0),
(313576,10174030,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(313577,10174030,'Heals group members for 985',100,2,2),
(313578,10174030,'Cannot be modified except by direct means',100,2,3),
(313579,100099,'Decreases STR, AGI, WIS and INT of target by 12.0',100,1,0),
(313580,100099,'Decreases Max Health of target by 0.7%',100,1,1),
(313581,10100099,'Decreases STR, AGI, WIS and INT of target by 12.0',100,1,0),
(313582,10100099,'Decreases Max Health of target by 0.7%',100,1,1),
(313583,109936,'Stuns target',100,1,0),
(313584,109936,'Does not affect Epic targets',100,1,1),
(313585,109936,'Resistibility increases against targets higher than level 73.',100,1,2),
(313586,10109936,'Stuns target',100,1,0),
(313587,10109936,'Does not affect Epic targets',100,1,1),
(313588,10109936,'Resistibility increases against targets higher than level 73.',100,1,2),
(313589,154121,'When Equipped:',100,0,0),
(313590,154121,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(313591,154121,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(313592,154121,'Dispelled when target casts a hostile spell',100,2,3),
(313593,154121,'Dispelled when target casts a combat art',100,2,4),
(313594,154121,'Cannot be modified except by direct means',100,2,5),
(313595,10154121,'When Equipped:',100,0,0),
(313596,10154121,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(313597,10154121,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(313598,10154121,'Dispelled when target casts a hostile spell',100,2,3),
(313599,10154121,'Dispelled when target casts a combat art',100,2,4),
(313600,10154121,'Cannot be modified except by direct means',100,2,5),
(313601,110659,'Heals target for 19',100,1,0),
(313602,110659,'Dispels 7 levels of any hostile effects on target',100,1,1),
(313603,10110659,'Heals target for 12',100,1,0),
(313604,10110659,'Dispels 7 levels of any hostile effects on target',100,1,1),
(313605,110821,'Inflicts 81 - 109 mental damage on target',100,1,0),
(313606,110821,'Interrupts target',100,1,1),
(313607,10110821,'Inflicts 105 - 142 mental damage on target',100,1,0),
(313608,10110821,'Interrupts target',100,1,1),
(313609,49056,'Applies Pegasus when Activated.',100,0,0),
(313610,49056,'Increases Disruption and Ordination of caster by 5.0',100,1,1),
(313611,49056,'Summons a mount to ride',100,1,2),
(313612,49056,'Increases your ground speed by 75%',100,2,3),
(313613,49056,'Increases your air speed by 150%',100,2,4),
(313614,49056,'Increases Ministration, Subjugation, Aggression, Slashing, Crushing, Piercing, Ranged and Focus of caster by 5.0',100,1,5),
(313615,10049056,'Applies Pegasus when Activated.',100,0,0),
(313616,10049056,'Increases Disruption and Ordination of caster by 5.0',100,1,1),
(313617,10049056,'Summons a mount to ride',100,1,2),
(313618,10049056,'Increases your ground speed by 75%',100,2,3),
(313619,10049056,'Increases your air speed by 150%',100,2,4),
(313620,10049056,'Increases Ministration, Subjugation, Aggression, Slashing, Crushing, Piercing, Ranged and Focus of caster by 5.0',100,1,5),
(313621,48168,'Applies Spirit of the Brute when Activated.  Lasts for 30 minutes.',100,0,0),
(313622,48168,'Increases STR and STA of caster by 6.7',100,1,1),
(313623,10048168,'Applies Spirit of the Brute when Activated.  Lasts for 30 minutes.',100,0,0),
(313624,10048168,'Increases STR and STA of caster by 6.7',100,1,1),
(313625,117020,'Inflicts 180 - 541 melee damage on target',100,1,0),
(313626,10117020,'Inflicts 234 - 703 melee damage on target',100,1,0),
(313627,111366,'Inflicts 156 - 261 disease damage on target',100,1,0),
(313628,111366,'Heals caster for 102 - 170',100,1,1),
(313629,10111366,'Inflicts 203 - 339 disease damage on target',100,1,0),
(313630,10111366,'Heals caster for 66 - 110',100,1,1),
(313631,159254,'Applies Sanguine Imbued when Equipped.',100,0,0),
(313632,159254,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(313633,159254,'Inflicts 106 heat damage on target',100,2,2),
(313634,159254,'Cannot be modified except by direct means',100,2,3),
(313635,10159254,'Applies Sanguine Imbued when Equipped.',100,0,0),
(313636,10159254,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(313637,10159254,'Inflicts 137 heat damage on target',100,2,2),
(313638,10159254,'Cannot be modified except by direct means',100,2,3),
(313639,122534,'Heals caster for 229',100,1,0),
(313640,122534,'Inflicts 318 - 530 melee damage on target',100,1,1),
(313641,10122534,'Heals caster for 268',100,1,0),
(313642,10122534,'Inflicts 414 - 690 melee damage on target',100,1,1),
(313643,47574,'Applies Potion of Bountiful Harvests when Activated.  Lasts for 6 hours.',100,0,0),
(313644,47574,'Increases rare harvest chance by 2.0%',100,1,1),
(313645,10047574,'Applies Potion of Bountiful Harvests when Activated.  Lasts for 6 hours.',100,0,0),
(313646,10047574,'Increases rare harvest chance by 2.0%',100,1,1),
(313647,124814,'Shapechanges caster into a kholrat',100,1,0),
(313648,10124814,'Shapechanges caster into a kholrat',100,1,0),
(313649,141698,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(313650,141698,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(313651,141698,'Heals target for 33 instantly and every 4 seconds',100,2,2),
(313652,141698,'Cannot be modified except by direct means',100,2,3),
(313653,10141698,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(313654,10141698,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(313655,10141698,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(313656,10141698,'Cannot be modified except by direct means',100,2,3),
(313657,112894,'Inflicts 388 - 474 melee damage on target',100,1,0),
(313658,112894,'Decreases Mitigation of target vs physical damage by 427',100,1,1),
(313659,112894,'Must be flanking or behind',100,1,2),
(313660,10112894,'Inflicts 504 - 616 melee damage on target',100,1,0),
(313661,10112894,'Decreases Mitigation of target vs physical damage by 427',100,1,1),
(313662,10112894,'Must be flanking or behind',100,1,2),
(313663,81291,'When Equipped:',100,0,0),
(313664,81291,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313665,81291,'Inflicts 196 - 364 magic damage on target',100,2,2),
(313666,81291,'Decreases Threat to target by 949 ',100,2,3),
(313667,81291,'Must be flanking or behind',100,3,4),
(313668,81291,'Increases Threat to target by 949 ',100,2,5),
(313669,81291,'Must be in front of',100,3,6),
(313670,81291,'Cannot be modified except by direct means',100,2,7),
(313671,10081291,'When Equipped:',100,0,0),
(313672,10081291,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313673,10081291,'Inflicts 255 - 474 magic damage on target',100,2,2),
(313674,10081291,'Cannot be modified except by direct means',100,2,3),
(313675,47409,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(313676,47409,'This potion will grant you the illusion of being a vampiric mage!',100,1,1),
(313677,10047409,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(313678,10047409,'This potion will grant you the illusion of being a vampiric mage!',100,1,1),
(313679,36391,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(313680,103327,'Inflicts 62 - 76 mental damage on target instantly and every 6 seconds',100,1,0),
(313681,103327,'Applies Migraine on termination.',100,1,1),
(313682,103327,'Inflicts 135 - 182 mental damage on target',100,2,2),
(313683,10103327,'Inflicts 80 - 98 mental damage on target instantly and every 6 seconds',100,1,0),
(313684,10103327,'Applies Migraine on termination.',100,1,1),
(313685,10103327,'Inflicts 175 - 237 mental damage on target',100,2,2),
(313686,123630,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(313687,123630,'Slows target by 31.8%',100,2,1),
(313688,123630,'5% chance to dispel when target receives hostile action',100,2,2),
(313689,123630,'5% chance to dispel when target takes damage',100,2,3),
(313690,123630,'Inflicts 35 - 43 cold damage on target',100,1,4),
(313691,10123630,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(313692,10123630,'Slows target by 31.8%',100,2,1),
(313693,10123630,'5% chance to dispel when target receives hostile action',100,2,2),
(313694,10123630,'5% chance to dispel when target takes damage',100,2,3),
(313695,10123630,'Inflicts 39 - 48 cold damage on target',100,1,4),
(313696,106354,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(313697,106354,'Slows target by 41.1%',100,2,1),
(313698,106354,'5% chance to dispel when target receives hostile action',100,2,2),
(313699,106354,'5% chance to dispel when target takes damage',100,2,3),
(313700,106354,'Decreases Mitigation of target vs arcane damage by 814',100,1,4),
(313701,10106354,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(313702,10106354,'Slows target by 41.1%',100,2,1),
(313703,10106354,'5% chance to dispel when target receives hostile action',100,2,2),
(313704,10106354,'5% chance to dispel when target takes damage',100,2,3),
(313705,10106354,'Decreases Mitigation of target vs arcane damage by 814',100,1,4),
(313706,170317,'When Equipped:',100,0,0),
(313707,170317,'Increases Attack Speed of caster by 35.0',100,1,1),
(313708,10170317,'When Equipped:',100,0,0),
(313709,10170317,'Increases Attack Speed of caster by 35.0',100,1,1),
(313710,109745,'Inflicts 64 - 119 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(313711,10109745,'Inflicts 83 - 155 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(313712,118651,'Inflicts 76 - 127 slashing damage on target',100,1,0),
(313713,10118651,'Inflicts 99 - 165 slashing damage on target',100,1,0),
(313714,86028,'When Equipped:',100,0,0),
(313715,86028,'On a combat hit this spell may cast Stun II on target of attack.  Lasts for 1.0 second.  Triggers about 1.0 times per minute. ',100,1,1),
(313716,86028,'Stuns target',100,2,2),
(313717,86028,'Does not affect Epic targets',100,2,3),
(313718,86028,'Resistibility increases against targets higher than level 88.',100,2,4),
(313719,86028,'Cannot be modified except by direct means',100,2,5),
(313720,10086028,'When Equipped:',100,0,0),
(313721,10086028,'On a combat hit this spell may cast Stun II on target of attack.  Lasts for 1.0 second.  Triggers about 1.0 times per minute. ',100,1,1),
(313722,10086028,'Stuns target',100,2,2),
(313723,10086028,'Does not affect Epic targets',100,2,3),
(313724,10086028,'Resistibility increases against targets higher than level 88.',100,2,4),
(313725,10086028,'Cannot be modified except by direct means',100,2,5),
(313726,45915,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(313727,45915,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 26.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(313728,45915,'Slows target by 33.7%',100,2,2),
(313729,45915,'Cannot be modified except by direct means',100,2,3),
(313730,45915,'Grants a total of 60 triggers of the spell.',100,2,4),
(313731,10045915,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(313732,10045915,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(313733,10045915,'Slows target by 33.7%',100,2,2),
(313734,10045915,'Cannot be modified except by direct means',100,2,3),
(313735,10045915,'Grants a total of 60 triggers of the spell.',100,2,4),
(313736,120290,'Target will lose 60% more power when power is consumed',100,1,0),
(313737,120290,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(313738,120290,'Inflicts 318 - 389 divine damage on target',100,2,2),
(313739,120290,'Grants a total of 3 triggers of the spell.',100,2,3),
(313740,10120290,'Target will lose 60% more power when power is consumed',100,1,0),
(313741,10120290,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(313742,10120290,'Inflicts 414 - 506 divine damage on target',100,2,2),
(313743,10120290,'Grants a total of 3 triggers of the spell.',100,2,3),
(313744,82391,'When Equipped:',100,0,0),
(313745,82391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313746,82391,'Inflicts 99 - 185 magic damage on target',100,2,2),
(313747,82391,'Cannot be modified except by direct means',100,2,3),
(313748,10082391,'When Equipped:',100,0,0),
(313749,10082391,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313750,10082391,'Inflicts 129 - 240 magic damage on target',100,2,2),
(313751,10082391,'Cannot be modified except by direct means',100,2,3),
(313752,112850,'Roots target',100,1,0),
(313753,112850,'5% chance to dispel when target takes damage',100,1,1),
(313754,112850,'Does not affect Epic targets',100,1,2),
(313755,112850,'Resistibility increases against targets higher than level 93.',100,1,3),
(313756,10112850,'Roots target',100,1,0),
(313757,10112850,'5% chance to dispel when target takes damage',100,1,1),
(313758,10112850,'Does not affect Epic targets',100,1,2),
(313759,10112850,'Resistibility increases against targets higher than level 93.',100,1,3),
(313760,122670,'Decreases Defense of target by 21.0',100,1,0),
(313761,122670,'Decreases Mitigation of target vs physical damage by 350',100,1,1),
(313762,10122670,'Decreases Defense of target by 21.0',100,1,0),
(313763,10122670,'Decreases Mitigation of target vs physical damage by 350',100,1,1),
(313764,177630,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(313765,177630,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(313766,177630,'Inflicts 14 heat damage on target',100,2,2),
(313767,177630,'Cannot be modified except by direct means',100,2,3),
(313768,10177630,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(313769,10177630,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(313770,10177630,'Inflicts 18 heat damage on target',100,2,2),
(313771,10177630,'Cannot be modified except by direct means',100,2,3),
(313772,109868,'Increases Defense of group members (AE) by 22.1',100,1,0),
(313773,10109868,'Increases Defense of group members (AE) by 22.1',100,1,0),
(313774,102971,'Increases STR and AGI of group members (AE) by 20.6',100,1,0),
(313775,10102971,'Increases STR and AGI of group members (AE) by 20.6',100,1,0),
(313776,120678,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 38.6',100,1,0),
(313777,120678,'Increases Focus of group members (AE) by 86.8',100,1,1),
(313778,10120678,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 38.6',100,1,0),
(313779,10120678,'Increases Focus of group members (AE) by 86.8',100,1,1),
(313780,35245,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(313781,35245,'Increases Max Health of target by 91.0',100,0,1),
(313782,80319,'When Equipped:',100,0,0),
(313783,80319,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313784,80319,'Inflicts 56 - 103 magic damage on target',100,2,2),
(313785,80319,'Decreases Threat to target by 236 ',100,2,3),
(313786,80319,'Must be flanking or behind',100,3,4),
(313787,80319,'Increases Threat to target by 236 ',100,2,5),
(313788,80319,'Must be in front of',100,3,6),
(313789,80319,'Cannot be modified except by direct means',100,2,7),
(313790,10080319,'When Equipped:',100,0,0),
(313791,10080319,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313792,10080319,'Inflicts 72 - 134 magic damage on target',100,2,2),
(313793,10080319,'Cannot be modified except by direct means',100,2,3),
(313794,81685,'When Equipped:',100,0,0),
(313795,81685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313796,81685,'Inflicts 79 - 146 magic damage on target',100,2,2),
(313797,81685,'Cannot be modified except by direct means',100,2,3),
(313798,10081685,'When Equipped:',100,0,0),
(313799,10081685,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313800,10081685,'Inflicts 102 - 190 magic damage on target',100,2,2),
(313801,10081685,'Cannot be modified except by direct means',100,2,3),
(313802,27418,'When Equipped:',100,0,0),
(313803,27418,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(313804,27418,'Inflicts 15 piercing damage on target',100,2,2),
(313805,27418,'Cannot be modified except by direct means',100,2,3),
(313806,10027418,'When Equipped:',100,0,0),
(313807,10027418,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(313808,10027418,'Inflicts 19 piercing damage on target',100,2,2),
(313809,10027418,'Cannot be modified except by direct means',100,2,3),
(313810,24048,'Adds Boarfiend (Monk) to your Dungeon Maker toolbox',100,0,0),
(313811,10024048,'Adds Boarfiend (Monk) to your Dungeon Maker toolbox',100,0,0),
(313812,121236,'Reduces physical damage done to caster by 5%',100,1,0),
(313813,121236,'Increases STA of caster by 42.2',100,1,1),
(313814,121236,'Adds 5.0% to base avoidance.',100,1,2),
(313815,121236,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(313816,121236,'Increases Defense and Aggression of caster by 7.7',100,1,4),
(313817,121236,'Increases Mitigation of caster vs arcane damage by 553',100,1,5),
(313818,121236,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(313819,10121236,'Reduces physical damage done to caster by 5%',100,1,0),
(313820,10121236,'Increases STA of caster by 42.2',100,1,1),
(313821,10121236,'Adds 5.0% to base avoidance.',100,1,2),
(313822,10121236,'Decreases Slashing, Piercing and Crushing of caster by 3.6',100,1,3),
(313823,10121236,'Increases Defense and Aggression of caster by 7.7',100,1,4),
(313824,10121236,'Increases Mitigation of caster vs arcane damage by 553',100,1,5),
(313825,10121236,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(313826,164616,'Applies Unstable Magics when Equipped.',100,0,0),
(313827,164616,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(313828,10164616,'Applies Unstable Magics when Equipped.',100,0,0),
(313829,10164616,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(313830,104585,'Inflicts 487 - 811 disease damage on target',100,1,0),
(313831,104585,'Decreases WIS of target by 164.0',100,1,1),
(313832,10104585,'Inflicts 633 - 1055 disease damage on target',100,1,0),
(313833,10104585,'Decreases WIS of target by 164.0',100,1,1),
(313834,37213,'Increases AGI of target by 2.6',100,0,0),
(313835,37213,'Increases Out-of-Combat Health Regeneration of target by 41.0',100,0,1),
(313836,85462,'When Equipped:',100,0,0),
(313837,85462,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313838,85462,'Inflicts 55 - 67 poison damage on target instantly and every 4.8 seconds',100,2,2),
(313839,85462,'Cannot be modified except by direct means',100,2,3),
(313840,10085462,'When Equipped:',100,0,0),
(313841,10085462,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313842,10085462,'Inflicts 71 - 87 poison damage on target instantly and every 4.8 seconds',100,2,2),
(313843,10085462,'Cannot be modified except by direct means',100,2,3),
(313844,120805,'Inflicts 248 - 414 piercing damage on target',100,1,0),
(313845,120805,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(313846,120805,'Stuns target',100,2,2),
(313847,120805,'Throws target back',100,2,3),
(313848,120805,'Blurs vision of target',100,2,4),
(313849,120805,'Does not affect Epic targets',100,2,5),
(313850,10120805,'Inflicts 323 - 539 piercing damage on target',100,1,0),
(313851,10120805,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(313852,10120805,'Stuns target',100,2,2),
(313853,10120805,'Blurs vision of target',100,2,3),
(313854,10120805,'Throws target back',100,2,4),
(313855,10120805,'Does not affect Epic targets',100,2,5),
(313856,87423,'When Equipped:',100,0,0),
(313857,87423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313858,87423,'Inflicts 30 - 45 magic damage on target',100,2,2),
(313859,87423,'Cannot be modified except by direct means',100,2,3),
(313860,10087423,'When Equipped:',100,0,0),
(313861,10087423,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(313862,10087423,'Inflicts 39 - 59 magic damage on target',100,2,2),
(313863,10087423,'Cannot be modified except by direct means',100,2,3),
(313864,81515,'When Equipped:',100,0,0),
(313865,81515,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313866,81515,'Inflicts 111 - 205 magic damage on target',100,2,2),
(313867,81515,'Decreases Threat to target by 376 ',100,2,3),
(313868,81515,'Must be flanking or behind',100,3,4),
(313869,81515,'Increases Threat to target by 376 ',100,2,5),
(313870,81515,'Must be in front of',100,3,6),
(313871,81515,'Cannot be modified except by direct means',100,2,7),
(313872,10081515,'When Equipped:',100,0,0),
(313873,10081515,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313874,10081515,'Inflicts 144 - 267 magic damage on target',100,2,2),
(313875,10081515,'Cannot be modified except by direct means',100,2,3),
(313876,100577,'Inflicts 42 - 70 melee damage on target',100,1,0),
(313877,100577,'You must be sneaking to use this ability.',100,1,1),
(313878,10100577,'Inflicts 65 - 109 melee damage on target',100,1,0),
(313879,10100577,'You must be sneaking to use this ability.',100,1,1),
(313880,72252,'When Equipped:',100,0,0),
(313881,72252,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313882,72252,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(313883,72252,'Cannot be modified except by direct means',100,2,3),
(313884,10072252,'When Equipped:',100,0,0),
(313885,10072252,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(313886,10072252,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(313887,10072252,'Cannot be modified except by direct means',100,2,3),
(313888,35456,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(313889,46226,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(313890,46226,'Increases STR of caster by 51.0',100,1,1),
(313891,10046226,'Applies elixir of fortitude when Activated.  Lasts for 30 minutes.',100,0,0),
(313892,10046226,'Increases STR of caster by 51.0',100,1,1),
(313893,158729,'When Equipped:',100,0,0),
(313894,158729,'On a critical healing spell cast this spell may cast Ambition on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(313895,158729,'Increases Ability Modifier of target by 480.0',100,2,2),
(313896,158729,'Cannot be modified except by direct means',100,2,3),
(313897,10158729,'When Equipped:',100,0,0),
(313898,10158729,'On a critical healing spell cast this spell may cast Ambition on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(313899,10158729,'Increases Ability Modifier of target by 480.0',100,2,2),
(313900,10158729,'Cannot be modified except by direct means',100,2,3),
(313901,117303,'Roots target',100,1,0),
(313902,117303,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(313903,117303,'Slows target by 29.4%',100,2,2),
(313904,117303,'5% chance to dispel when target receives hostile action',100,2,3),
(313905,117303,'5% chance to dispel when target takes damage',100,2,4),
(313906,117303,'15% chance to dispel when target takes damage',100,1,5),
(313907,117303,'Does not affect Epic targets',100,1,6),
(313908,117303,'Resistibility increases against targets higher than level 34.',100,1,7),
(313909,10117303,'Roots target',100,1,0),
(313910,10117303,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(313911,10117303,'Slows target by 29.4%',100,2,2),
(313912,10117303,'10% chance to dispel when target receives hostile action',100,2,3),
(313913,10117303,'10% chance to dispel when target takes damage',100,2,4),
(313914,10117303,'15% chance to dispel when target takes damage',100,1,5),
(313915,10117303,'Does not affect Epic targets',100,1,6),
(313916,10117303,'Resistibility increases against targets higher than level 34.',100,1,7),
(313917,119104,'Inflicts 111 - 335 melee damage on targets in area',100,1,0),
(313918,119104,'Inflicts 111 - 335 melee damage on targets in area',100,1,1),
(313919,119104,'Inflicts 111 - 335 melee damage on targets in area',100,1,2),
(313920,119104,'Inflicts 111 - 335 melee damage on targets in area',100,1,3),
(313921,10119104,'Inflicts 145 - 436 melee damage on targets in area',100,1,0),
(313922,10119104,'Inflicts 145 - 436 melee damage on targets in area',100,1,1),
(313923,10119104,'Inflicts 145 - 436 melee damage on targets in area',100,1,2),
(313924,10119104,'Inflicts 145 - 436 melee damage on targets in area',100,1,3),
(313925,136487,'When Equipped:',100,0,0),
(313926,136487,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(313927,136487,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(313928,136487,'Increases Potency of caster by 11.0%',100,2,3),
(313929,136487,'Increases Subjugation, Ministration, Ordination and Disruption of caster by 11.5',100,2,4),
(313930,136487,'Must not be engaged in pvp combat',100,2,5),
(313931,136487,'Cannot be modified except by direct means',100,2,6),
(313932,136487,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(313933,136487,'Increases Potency of caster by 11.0%',100,2,8),
(313934,136487,'Increases Subjugation, Ministration, Ordination and Disruption of caster by 11.5',100,2,9),
(313935,136487,'Must not be engaged in pvp combat',100,2,10),
(313936,136487,'Cannot be modified except by direct means',100,2,11),
(313937,136487,'Cannot be modified except by direct means',100,1,12),
(313938,136487,'When Equipped:',100,0,13),
(313939,136487,'Increases Attack Speed of caster by 40.0',100,1,14),
(313940,10136487,'When Equipped:',100,0,0),
(313941,10136487,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(313942,10136487,'On any combat or spell hit this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(313943,10136487,'Increases Potency of caster by 11.0%',100,2,3),
(313944,10136487,'Increases Subjugation, Ministration, Ordination and Disruption of caster by 11.5',100,2,4),
(313945,10136487,'Must not be engaged in pvp combat',100,2,5),
(313946,10136487,'Cannot be modified except by direct means',100,2,6),
(313947,10136487,'On a healing spell cast this spell may cast Overbearing Storms III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(313948,10136487,'Increases Potency of caster by 11.0%',100,2,8),
(313949,10136487,'Increases Subjugation, Ministration, Ordination and Disruption of caster by 11.5',100,2,9),
(313950,10136487,'Must not be engaged in pvp combat',100,2,10),
(313951,10136487,'Cannot be modified except by direct means',100,2,11),
(313952,10136487,'Cannot be modified except by direct means',100,1,12),
(313953,10136487,'When Equipped:',100,0,13),
(313954,10136487,'Increases Attack Speed of caster by 40.0',100,1,14),
(313955,81184,'When Equipped:',100,0,0),
(313956,81184,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313957,81184,'Inflicts 140 - 260 magic damage on target',100,2,2),
(313958,81184,'Decreases Threat to target by 487 ',100,2,3),
(313959,81184,'Must be flanking or behind',100,3,4),
(313960,81184,'Increases Threat to target by 487 ',100,2,5),
(313961,81184,'Must be in front of',100,3,6),
(313962,81184,'Cannot be modified except by direct means',100,2,7),
(313963,10081184,'When Equipped:',100,0,0),
(313964,10081184,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(313965,10081184,'Inflicts 182 - 338 magic damage on target',100,2,2),
(313966,10081184,'Cannot be modified except by direct means',100,2,3),
(313967,103839,'Increases Ability Casting Speed of raid and group members (AE) by 6.6%',100,1,0),
(313968,103839,'Increases Attack Speed of raid and group members (AE) by 16.4',100,1,1),
(313969,10103839,'Increases Ability Casting Speed of raid and group members (AE) by 6.6%',100,1,0),
(313970,10103839,'Increases Attack Speed of raid and group members (AE) by 16.4',100,1,1),
(313971,88891,'When Equipped:',100,0,0),
(313972,88891,'On any combat or spell hit this spell may cast Earth Drink on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(313973,88891,'Inflicts 2648 magic damage on target',100,2,2),
(313974,88891,'Heals caster for 2118',100,2,3),
(313975,88891,'When any damage is received this spell has a 10% chance to cast Earth Drink on target''s attacker.  ',100,2,4),
(313976,88891,'Heals target for 2177',100,3,5),
(313977,88891,'This effect cannot be critically applied.',100,4,6),
(313978,88891,'Cannot be modified except by direct means',100,3,7),
(313979,88891,'Cannot be modified except by direct means',100,2,8),
(313980,88891,'Cannot be modified except by direct means',100,1,9),
(313981,10088891,'When Equipped:',100,0,0),
(313982,10088891,'On any combat or spell hit this spell may cast Earth Drink on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(313983,10088891,'Inflicts 3442 magic damage on target',100,2,2),
(313984,10088891,'Heals caster for 2479',100,2,3),
(313985,10088891,'When any damage is received this spell has a 10% chance to cast Earth Drink on target''s attacker.  ',100,2,4),
(313986,10088891,'Heals target for 2547',100,3,5),
(313987,10088891,'This effect cannot be critically applied.',100,4,6),
(313988,10088891,'Cannot be modified except by direct means',100,3,7),
(313989,10088891,'Cannot be modified except by direct means',100,2,8),
(313990,10088891,'Cannot be modified except by direct means',100,1,9),
(313991,72393,'When Equipped:',100,0,0),
(313992,72393,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(313993,72393,'Inflicts 137 - 167 magic damage on target',100,2,2),
(313994,72393,'Cannot be modified except by direct means',100,2,3),
(313995,10072393,'When Equipped:',100,0,0),
(313996,10072393,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(313997,10072393,'Inflicts 178 - 217 magic damage on target',100,2,2),
(313998,10072393,'Cannot be modified except by direct means',100,2,3),
(313999,112469,'Decreases AGI and WIS of target by 23.4',100,1,0),
(314000,10112469,'Decreases AGI and WIS of target by 23.4',100,1,0),
(314001,81725,'When Equipped:',100,0,0),
(314002,81725,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314003,81725,'Inflicts 97 - 180 magic damage on target',100,2,2),
(314004,81725,'Cannot be modified except by direct means',100,2,3),
(314005,10081725,'When Equipped:',100,0,0),
(314006,10081725,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314007,10081725,'Inflicts 126 - 234 magic damage on target',100,2,2),
(314008,10081725,'Cannot be modified except by direct means',100,2,3),
(314009,80515,'When Equipped:',100,0,0),
(314010,80515,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314011,80515,'Inflicts 320 - 594 magic damage on target',100,2,2),
(314012,80515,'Decreases Threat to target by 1,219 ',100,2,3),
(314013,80515,'Must be flanking or behind',100,3,4),
(314014,80515,'Increases Threat to target by 1,219 ',100,2,5),
(314015,80515,'Must be in front of',100,3,6),
(314016,80515,'Cannot be modified except by direct means',100,2,7),
(314017,10080515,'When Equipped:',100,0,0),
(314018,10080515,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314019,10080515,'Inflicts 416 - 772 magic damage on target',100,2,2),
(314020,10080515,'Cannot be modified except by direct means',100,2,3),
(314021,101297,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(314022,101297,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,1),
(314023,10101297,'Increases Max Health of group members (AE) by 632.4',100,1,0),
(314024,10101297,'Increases Mitigation of group members (AE) vs physical damage by 1072',100,1,1),
(314025,74692,'When Equipped:',100,0,0),
(314026,74692,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314027,74692,'Inflicts 118 - 178 magic damage on target',100,2,2),
(314028,74692,'Cannot be modified except by direct means',100,2,3),
(314029,10074692,'When Equipped:',100,0,0),
(314030,10074692,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314031,10074692,'Inflicts 154 - 231 magic damage on target',100,2,2),
(314032,10074692,'Cannot be modified except by direct means',100,2,3),
(314033,82392,'When Equipped:',100,0,0),
(314034,82392,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314035,82392,'Inflicts 112 - 208 magic damage on target',100,2,2),
(314036,82392,'Cannot be modified except by direct means',100,2,3),
(314037,10082392,'When Equipped:',100,0,0),
(314038,10082392,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314039,10082392,'Inflicts 146 - 271 magic damage on target',100,2,2),
(314040,10082392,'Cannot be modified except by direct means',100,2,3),
(314041,105778,'Inflicts 168 - 205 heat damage on target',100,1,0),
(314042,10105778,'Inflicts 291 - 355 heat damage on target',100,1,0),
(314043,106475,'Decreases STR and AGI of target by 14.2',100,1,0),
(314044,10106475,'Decreases STR and AGI of target by 14.2',100,1,0),
(314045,116741,'Increases Max Health of target by 81.1',100,1,0),
(314046,116741,'Increases Max Power of target by 91.8',100,1,1),
(314047,10116741,'Increases Max Health of target by 81.1',100,1,0),
(314048,10116741,'Increases Max Power of target by 91.8',100,1,1),
(314049,113240,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(314050,113240,'Inflicts 17 - 28 magic damage on target',100,2,1),
(314051,113240,'Grants a total of 8 triggers of the spell.',100,2,2),
(314052,10113240,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(314053,10113240,'Inflicts 22 - 37 magic damage on target',100,2,1),
(314054,10113240,'Grants a total of 8 triggers of the spell.',100,2,2),
(314055,111471,'Increases AGI of caster by 10.7',100,1,0),
(314056,111471,'Increases Attack Speed of caster by 15.1',100,1,1),
(314057,111471,'Increases in-combat movement speed of caster by 5.5%',100,1,2),
(314058,111471,'Adds 17.2% to base avoidance.',100,1,3),
(314059,111471,'Increases Mitigation of caster vs physical damage by 85',100,1,4),
(314060,111471,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 189',100,1,5),
(314061,10111471,'Increases AGI of caster by 10.7',100,1,0),
(314062,10111471,'Increases Attack Speed of caster by 15.1',100,1,1),
(314063,10111471,'Increases speed of caster by 5.5%',100,1,2),
(314064,10111471,'Adds 17.2% to base avoidance.',100,1,3),
(314065,10111471,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 189',100,1,4),
(314066,114535,'Heals target for 1321 - 1614',100,1,0),
(314067,10114535,'Heals target for 1717 - 2099',100,1,0),
(314068,111695,'Inflicts 278 - 340 cold damage on target',100,1,0),
(314069,111695,'Inflicts 278 - 340 cold damage on target',100,1,1),
(314070,111695,'If target is elemental',100,2,2),
(314071,10111695,'Inflicts 310 - 379 cold damage on target',100,1,0),
(314072,114588,'Inflicts 390 - 650 ranged damage on target',100,1,0),
(314073,114588,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(314074,114588,'Requires bow',100,1,2),
(314075,10114588,'Inflicts 363 - 605 ranged damage on target',100,1,0),
(314076,10114588,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(314077,10114588,'Requires bow',100,1,2),
(314078,47842,'Applies Rosewood Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(314079,47842,'Repairs target''s equipment',100,1,1),
(314080,47842,'Must have an item that is at lower than 40 condition',100,1,2),
(314081,10047842,'Applies Rosewood Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(314082,10047842,'Repairs target''s equipment',100,1,1),
(314083,10047842,'Must have an item that is at lower than 40 condition',100,1,2),
(314084,103558,'Increases In-Combat Power Regeneration of group members (AE) by 30.5',100,1,0),
(314085,10103558,'Increases In-Combat Power Regeneration of group members (AE) by 30.5',100,1,0),
(314086,115928,'Inflicts 214 - 357 melee damage on target',100,1,0),
(314087,115928,'Roots target',100,1,1),
(314088,115928,'If Target is not Epic',100,2,2),
(314089,115928,'5% chance to dispel when target takes damage',100,1,3),
(314090,115928,'Resistibility increases against targets higher than level 61.',100,1,4),
(314091,10115928,'Inflicts 278 - 464 melee damage on target',100,1,0),
(314092,10115928,'Roots target',100,1,1),
(314093,10115928,'If Target is not Epic',100,2,2),
(314094,10115928,'5% chance to dispel when target takes damage',100,1,3),
(314095,10115928,'Resistibility increases against targets higher than level 61.',100,1,4),
(314096,35061,'Increases STR of target by 3.7',100,0,0),
(314097,35061,'Increases Out-of-Combat Health Regeneration of target by 63.5',100,0,1),
(314098,37139,'Increases Max Power of target by 22.8',100,0,0),
(314099,37139,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(314100,176430,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(314101,176430,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(314102,176430,'Decreases Attack Speed of target by 13.2',100,2,2),
(314103,176430,'Cannot be modified except by direct means',100,2,3),
(314104,176430,'Slows target by 32.2%',100,1,4),
(314105,176430,'5% chance to dispel when target takes damage',100,1,5),
(314106,176430,'5% chance to dispel when target receives hostile action',100,1,6),
(314107,176430,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(314108,10176430,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(314109,10176430,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(314110,10176430,'Decreases Attack Speed of target by 13.2',100,2,2),
(314111,10176430,'Cannot be modified except by direct means',100,2,3),
(314112,10176430,'Slows target by 32.2%',100,1,4),
(314113,10176430,'5% chance to dispel when target takes damage',100,1,5),
(314114,10176430,'5% chance to dispel when target receives hostile action',100,1,6),
(314115,10176430,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(314116,86191,'When Equipped:',100,0,0),
(314117,86191,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314118,86191,'Inflicts 27 - 33 mental damage on target',100,2,2),
(314119,86191,'Cannot be modified except by direct means',100,2,3),
(314120,10086191,'When Equipped:',100,0,0),
(314121,10086191,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314122,10086191,'Inflicts 35 - 43 mental damage on target',100,2,2),
(314123,10086191,'Cannot be modified except by direct means',100,2,3),
(314124,107133,'Inflicts 184 - 224 divine damage on target',100,1,0),
(314125,107133,'Inflicts 184 - 224 divine damage on target',100,1,1),
(314126,107133,'If target is undead',100,2,2),
(314127,10107133,'Inflicts 239 - 292 divine damage on target',100,1,0),
(314128,10107133,'Inflicts 239 - 292 divine damage on target',100,1,1),
(314129,118130,'Heals target for 866 - 1058',100,1,0),
(314130,10118130,'Heals target for 1023 - 1251',100,1,0),
(314131,45239,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(314132,45239,'Caster will harvest a second time on 2.0% of harvests.',100,1,1),
(314133,45239,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,2),
(314134,10045239,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(314135,10045239,'Caster will harvest a second time on 2.0% of harvests.',100,1,1),
(314136,10045239,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .1 second.',100,1,2),
(314137,102791,'Increases STR of caster by 65.8',100,1,0),
(314138,102791,'Increases Max Health of caster by 389.9',100,1,1),
(314139,102791,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1720',100,1,2),
(314140,10102791,'Increases STR of caster by 65.8',100,1,0),
(314141,10102791,'Increases Max Health of caster by 389.9',100,1,1),
(314142,10102791,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1720',100,1,2),
(314143,41678,'When Equipped:',100,0,0),
(314144,41678,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314145,41678,'Inflicts 138 - 257 magic damage on target',100,2,2),
(314146,41678,'Decreases Threat to target by 641 ',100,2,3),
(314147,41678,'Must be flanking or behind',100,3,4),
(314148,41678,'Increases Threat to target by 641 ',100,2,5),
(314149,41678,'Must be in front of',100,3,6),
(314150,41678,'Cannot be modified except by direct means',100,2,7),
(314151,10041678,'When Equipped:',100,0,0),
(314152,10041678,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314153,10041678,'Inflicts 180 - 334 magic damage on target',100,2,2),
(314154,10041678,'Cannot be modified except by direct means',100,2,3),
(314155,36178,'Increases Max Health of target by 90.0',100,0,0),
(314156,36178,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(314157,47902,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(314158,47902,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(314159,47902,'Inflicts 252 poison damage on target instantly and every 4 seconds',100,2,2),
(314160,47902,'Cannot be modified except by direct means',100,2,3),
(314161,47902,'Grants a total of 100 triggers of the spell.',100,2,4),
(314162,10047902,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(314163,10047902,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(314164,10047902,'Inflicts 245 poison damage on target instantly and every 4 seconds',100,2,2),
(314165,10047902,'Cannot be modified except by direct means',100,2,3),
(314166,10047902,'Grants a total of 100 triggers of the spell.',100,2,4),
(314167,115357,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(314168,115357,'Inflicts 5 piercing damage on target',100,2,1),
(314169,10115357,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(314170,10115357,'Inflicts 7 piercing damage on target',100,2,1),
(314171,117563,'Decreases Parry of target by 8.6',100,1,0),
(314172,117563,'Inflicts 61 - 102 melee damage on target',100,1,1),
(314173,117563,'Must be in front of or flanking',100,1,2),
(314174,10117563,'Decreases Parry of target by 8.6',100,1,0),
(314175,10117563,'Inflicts 79 - 133 melee damage on target',100,1,1),
(314176,10117563,'Must be in front of or flanking',100,1,2),
(314177,113717,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(314178,10113717,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(314179,48679,'Applies Calebgrothiel''s Hope  when Activated.  Lasts for 15 minutes.',100,0,0),
(314180,48679,'Increases Max Health of caster by 138.4',100,1,1),
(314181,10048679,'Applies Calebgrothiel''s Hope  when Activated.  Lasts for 15 minutes.',100,0,0),
(314182,10048679,'Increases Max Health of caster by 138.4',100,1,1),
(314183,109969,'Inflicts 379 - 568 disease damage on targets in Area of Effect',100,1,0),
(314184,109969,'Inflicts 189 - 284 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(314185,109969,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(314186,109969,'Increases Threat to targets in Area of Effect by 1,485 - 1,815  instantly and every 4 seconds thereafter',100,1,3),
(314187,10109969,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(314188,10109969,'Prevents target from changing targets',100,2,1),
(314189,10109969,'Forces target to change their selected target to caster.',100,2,2),
(314190,10109969,'Inflicts 493 - 739 disease damage on targets in Area of Effect',100,1,3),
(314191,10109969,'Inflicts 246 - 369 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(314192,103136,'Increases STR of caster by 106.3',100,1,0),
(314193,103136,'Adds 3.9% to base avoidance.',100,1,1),
(314194,103136,'Increases Mitigation of caster vs physical damage by 682',100,1,2),
(314195,103136,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,3),
(314196,10103136,'Increases STR of caster by 106.3',100,1,0),
(314197,10103136,'Adds 3.9% to base avoidance.',100,1,1),
(314198,10103136,'Increases Mitigation of caster vs physical damage by 682',100,1,2),
(314199,10103136,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,3),
(314200,51304,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(314201,51304,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(314202,51304,'Inflicts 16 heat damage on target',100,2,2),
(314203,51304,'Cannot be modified except by direct means',100,2,3),
(314204,10051304,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(314205,10051304,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(314206,10051304,'Inflicts 21 heat damage on target',100,2,2),
(314207,10051304,'Cannot be modified except by direct means',100,2,3),
(314208,110175,'Applies Untreated Bleeding on termination.',100,1,0),
(314209,110175,'Inflicts 174 - 291 piercing damage on target',100,2,1),
(314210,110175,'Inflicts 37 - 62 piercing damage on target instantly and every 4 seconds',100,1,2),
(314211,110175,'Inflicts 24 - 41 melee damage on target',100,1,3),
(314212,10110175,'Applies Untreated Bleeding on termination.',100,1,0),
(314213,10110175,'Inflicts 227 - 378 piercing damage on target',100,2,1),
(314214,10110175,'Inflicts 49 - 81 piercing damage on target instantly and every 4 seconds',100,1,2),
(314215,10110175,'Inflicts 32 - 54 melee damage on target',100,1,3),
(314216,43415,'When Equipped:',100,0,0),
(314217,43415,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(314218,43415,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(314219,43415,'Increases Ability Modifier of caster by 660.0',100,2,3),
(314220,43415,'Must not be engaged in pvp combat',100,2,4),
(314221,43415,'Cannot be modified except by direct means',100,2,5),
(314222,43415,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(314223,43415,'Increases Ability Modifier of caster by 660.0',100,2,7),
(314224,43415,'Must not be engaged in pvp combat',100,2,8),
(314225,43415,'Cannot be modified except by direct means',100,2,9),
(314226,43415,'Cannot be modified except by direct means',100,1,10),
(314227,10043415,'When Equipped:',100,0,0),
(314228,10043415,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(314229,10043415,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(314230,10043415,'Increases Ability Modifier of caster by 660.0',100,2,3),
(314231,10043415,'Must not be engaged in pvp combat',100,2,4),
(314232,10043415,'Cannot be modified except by direct means',100,2,5),
(314233,10043415,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(314234,10043415,'Increases Ability Modifier of caster by 660.0',100,2,7),
(314235,10043415,'Must not be engaged in pvp combat',100,2,8),
(314236,10043415,'Cannot be modified except by direct means',100,2,9),
(314237,10043415,'Cannot be modified except by direct means',100,1,10),
(314238,48798,'Applies Goriba''s Reclamation  when Activated.',100,0,0),
(314239,48798,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(314240,10048798,'Applies Goriba''s Reclamation  when Activated.',100,0,0),
(314241,10048798,'Dispels 38 levels of physical hostile effects on caster',100,1,1),
(314242,27088,'When Equipped:',100,0,0),
(314243,27088,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(314244,27088,'Inflicts 43 divine damage on target',100,2,2),
(314245,27088,'Heals caster for 40',100,2,3),
(314246,27088,'Cannot be modified except by direct means',100,2,4),
(314247,10027088,'When Equipped:',100,0,0),
(314248,10027088,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(314249,10027088,'Inflicts 56 divine damage on target',100,2,2),
(314250,10027088,'Heals caster for 26',100,2,3),
(314251,10027088,'Cannot be modified except by direct means',100,2,4),
(314252,124454,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(314253,124454,'Inflicts 183 - 305 melee damage on target',100,2,1),
(314254,124454,'Decreases Defense of caster by 17.7',100,1,2),
(314255,124454,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.2',100,1,3),
(314256,10124454,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(314257,10124454,'Inflicts 238 - 396 melee damage on target',100,2,1),
(314258,10124454,'Decreases Defense of caster by 17.7',100,1,2),
(314259,10124454,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.2',100,1,3),
(314260,45888,'Applies Summon Crypt Guardian when Activated.',100,0,0),
(314261,45888,'Summons a mount to ride',100,1,1),
(314262,45888,'Increases your ground speed by 130%',100,2,2),
(314263,45888,'Increases Potency of caster by 3.0%',100,1,3),
(314264,45888,'Increases Max Health of caster by 300.0',100,1,4),
(314265,45888,'Increases Max Power of caster by 300.0',100,1,5),
(314266,10045888,'Applies Summon Crypt Guardian when Activated.',100,0,0),
(314267,10045888,'Summons a mount to ride',100,1,1),
(314268,10045888,'Increases your ground speed by 130%',100,2,2),
(314269,10045888,'Increases Potency of caster by 3.0%',100,1,3),
(314270,10045888,'Increases Max Health of caster by 300.0',100,1,4),
(314271,10045888,'Increases Max Power of caster by 300.0',100,1,5),
(314272,41650,'When Equipped:',100,0,0),
(314273,41650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314274,41650,'Inflicts 125 - 232 magic damage on target',100,2,2),
(314275,41650,'Cannot be modified except by direct means',100,2,3),
(314276,10041650,'When Equipped:',100,0,0),
(314277,10041650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314278,10041650,'Inflicts 162 - 301 magic damage on target',100,2,2),
(314279,10041650,'Cannot be modified except by direct means',100,2,3),
(314280,170662,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(314281,170662,'Decreases Attack Speed of target by 10.0',100,1,1),
(314282,170662,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(314283,10170662,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(314284,10170662,'Decreases Attack Speed of target by 10.0',100,1,1),
(314285,10170662,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(314286,114331,'Dispels 24 levels of noxious hostile effects on target',100,1,0),
(314287,114331,'Heals target for 9.0 - 11.0% of max health',100,1,1),
(314288,114331,'This effect cannot be critically applied.',100,2,2),
(314289,114331,'The healing of this spell cannot be modified except by direct means',100,1,3),
(314290,10114331,'Dispels 24 levels of noxious hostile effects on target',100,1,0),
(314291,10114331,'Heals target for 3.6 - 4.4% of max health',100,1,1),
(314292,10114331,'This effect cannot be critically applied.',100,2,2),
(314293,10114331,'The healing of this spell cannot be modified except by direct means',100,1,3),
(314294,120981,'Inflicts 14 - 24 poison damage on target',100,1,0),
(314295,120981,'Inflicts 4 - 6 poison damage on target instantly and every 4 seconds',100,1,1),
(314296,10120981,'Inflicts 19 - 31 poison damage on target',100,1,0),
(314297,10120981,'Inflicts 5 - 8 poison damage on target instantly and every 4 seconds',100,1,1),
(314298,117064,'Inflicts 135 - 225 melee damage on target',100,1,0),
(314299,117064,'Decreases Attack Speed of target by 14.9',100,1,1),
(314300,10117064,'Inflicts 175 - 292 melee damage on target',100,1,0),
(314301,10117064,'Decreases Attack Speed of target by 14.9',100,1,1),
(314302,120293,'Target will lose 55% more power when power is consumed',100,1,0),
(314303,120293,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(314304,120293,'Inflicts 292 - 356 divine damage on target',100,2,2),
(314305,120293,'Grants a total of 3 triggers of the spell.',100,2,3),
(314306,10120293,'Target will lose 55% more power when power is consumed',100,1,0),
(314307,10120293,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(314308,10120293,'Inflicts 379 - 463 divine damage on target',100,2,2),
(314309,10120293,'Grants a total of 3 triggers of the spell.',100,2,3),
(314310,105617,'Inflicts 16 disease damage on target instantly and every 6 seconds',100,1,0),
(314311,105617,'Inflicts 35 - 59 disease damage on target',100,1,1),
(314312,105617,'Inflicts 35 - 59 disease damage on target',100,1,2),
(314313,10105617,'Inflicts 20 disease damage on target instantly and every 6 seconds',100,1,0),
(314314,10105617,'Inflicts 46 - 77 disease damage on target',100,1,1),
(314315,10105617,'Inflicts 46 - 77 disease damage on target',100,1,2),
(314316,121576,'Stuns target',100,1,0),
(314317,121576,'If Target is not Epic',100,2,1),
(314318,121576,'Decreases Threat to target by 152 ',100,1,2),
(314319,121576,'Resistibility increases against targets higher than level 45.',100,1,3),
(314320,10121576,'Stuns target',100,1,0),
(314321,10121576,'If Target is not Epic',100,2,1),
(314322,10121576,'Resistibility increases against targets higher than level 45.',100,1,2),
(314323,111587,'Inflicts 9 - 17 cold damage on target instantly and every 4 seconds',100,1,0),
(314324,111587,'Decreases Mitigation of target vs elemental damage by 207',100,1,1),
(314325,10111587,'Inflicts 12 - 22 cold damage on target instantly and every 4 seconds',100,1,0),
(314326,10111587,'Decreases Mitigation of target vs elemental damage by 207',100,1,1),
(314327,120301,'Increases Threat to target by 19 - 24 ',100,1,0),
(314328,10120301,'Forces target to change their selected target to caster.',100,1,0),
(314329,10120301,'Prevents target from changing targets',100,1,1),
(314330,101915,'Inflicts 36 - 61 melee damage on target',100,1,0),
(314331,101915,'Inflicts 12 piercing damage on target instantly and every 4 seconds',100,1,1),
(314332,101915,'Must be behind',100,1,2),
(314333,10101915,'Inflicts 47 - 79 melee damage on target',100,1,0),
(314334,10101915,'Inflicts 16 piercing damage on target instantly and every 4 seconds',100,1,1),
(314335,10101915,'Must be behind',100,1,2),
(314336,25023,'When Equipped:',100,0,0),
(314337,25023,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(314338,25023,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(314339,10025023,'When Equipped:',100,0,0),
(314340,10025023,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(314341,10025023,'Improves the mitigation of Wall of Rage VII by 15%.',100,1,2),
(314342,177739,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(314343,177739,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(314344,177739,'Inflicts 98 heat damage on target',100,2,2),
(314345,177739,'Cannot be modified except by direct means',100,2,3),
(314346,10177739,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(314347,10177739,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(314348,10177739,'Inflicts 127 heat damage on target',100,2,2),
(314349,10177739,'Cannot be modified except by direct means',100,2,3),
(314350,119827,'Dazes target',100,1,0),
(314351,119827,'Does not affect Epic targets',100,1,1),
(314352,119827,'Resistibility increases against targets higher than level 36.',100,1,2),
(314353,10119827,'Dazes target',100,1,0),
(314354,10119827,'Does not affect Epic targets',100,1,1),
(314355,10119827,'Resistibility increases against targets higher than level 36.',100,1,2),
(314356,109912,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(314357,109912,'Inflicts 130 - 159 poison damage on target instantly and every 4 seconds',100,2,1),
(314358,10109912,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(314359,10109912,'Inflicts 169 - 207 poison damage on target instantly and every 4 seconds',100,2,1),
(314360,120019,'Inflicts 21 - 26 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(314361,120019,'Decreases power of target encounter by 7 instantly and every 4 seconds',100,1,1),
(314362,10120019,'Inflicts 28 - 34 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(314363,10120019,'Decreases power of target encounter by 7 instantly and every 4 seconds',100,1,1),
(314364,49044,'Applies Play Unstable Recording: ''Sathir''s Span'' when Activated.',100,0,0),
(314365,49044,'Play the recording of ''Sathir''s Span''.',100,1,1),
(314366,10049044,'Applies Play Unstable Recording: ''Sathir''s Span'' when Activated.',100,0,0),
(314367,10049044,'Play the recording of ''Sathir''s Span''.',100,1,1),
(314368,40661,'When Equipped:',100,0,0),
(314369,40661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314370,40661,'Inflicts 111 - 166 magic damage on target',100,2,2),
(314371,40661,'Cannot be modified except by direct means',100,2,3),
(314372,10040661,'When Equipped:',100,0,0),
(314373,10040661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314374,10040661,'Inflicts 144 - 216 magic damage on target',100,2,2),
(314375,10040661,'Cannot be modified except by direct means',100,2,3),
(314376,105330,'Inflicts 105 - 175 melee damage on target',100,1,0),
(314377,105330,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 204',100,1,1),
(314378,105330,'Must be flanking or behind',100,1,2),
(314379,10105330,'Inflicts 136 - 227 melee damage on target',100,1,0),
(314380,10105330,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 204',100,1,1),
(314381,10105330,'Must be flanking or behind',100,1,2),
(314382,121052,'Increases STR and STA of group members (AE) by 23.4',100,1,0),
(314383,10121052,'Increases STR and STA of group members (AE) by 23.4',100,1,0),
(314384,113485,'Inflicts 21 - 35 melee damage on targets in area',100,1,0),
(314385,10113485,'Inflicts 27 - 46 melee damage on targets in area',100,1,0),
(314386,114793,'Decreases WIS of target by 33.2',100,1,0),
(314387,114793,'Increases WIS and STA of caster by 33.2',100,1,1),
(314388,114793,'Decreases Max Health of target by 1.1%',100,1,2),
(314389,114793,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 107',100,1,3),
(314390,114793,'Only affects targets level 17 and above',100,1,4),
(314391,10114793,'Decreases WIS of target by 33.2',100,1,0),
(314392,10114793,'Increases WIS and STA of caster by 33.2',100,1,1),
(314393,10114793,'Decreases Max Health of target by 1.1%',100,1,2),
(314394,10114793,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 107',100,1,3),
(314395,10114793,'Only affects targets level 17 and above',100,1,4),
(314396,110327,'Increases Max Power of target by 264.7',100,1,0),
(314397,110327,'Increases Max Health of target by 529.2',100,1,1),
(314398,10110327,'Increases Max Power of target by 264.7',100,1,0),
(314399,10110327,'Increases Max Health of target by 529.2',100,1,1),
(314400,120640,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 1.5',100,1,0),
(314401,120640,'Increases Focus of group members (AE) by 3.0',100,1,1),
(314402,10120640,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 1.5',100,1,0),
(314403,10120640,'Increases Focus of group members (AE) by 3.0',100,1,1),
(314404,113466,'Increases INT of target by 109.0',100,1,0),
(314405,113466,'Increases Max Health of target by 900.0',100,1,1),
(314406,10113466,'Increases INT of target by 109.0',100,1,0),
(314407,10113466,'Increases Max Health of target by 900.0',100,1,1),
(314408,71774,'When Equipped:',100,0,0),
(314409,71774,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314410,71774,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(314411,71774,'Cannot be modified except by direct means',100,2,3),
(314412,10071774,'When Equipped:',100,0,0),
(314413,10071774,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314414,10071774,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(314415,10071774,'Cannot be modified except by direct means',100,2,3),
(314416,81222,'When Equipped:',100,0,0),
(314417,81222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314418,81222,'Inflicts 101 - 188 magic damage on target',100,2,2),
(314419,81222,'Cannot be modified except by direct means',100,2,3),
(314420,10081222,'When Equipped:',100,0,0),
(314421,10081222,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314422,10081222,'Inflicts 131 - 244 magic damage on target',100,2,2),
(314423,10081222,'Cannot be modified except by direct means',100,2,3),
(314424,138347,'When Equipped:',100,0,0),
(314425,138347,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(314426,138347,'Inflicts 1598 - 2398 poison damage on target',100,2,2),
(314427,138347,'Heals caster for 1065 - 1597',100,2,3),
(314428,138347,'Cannot be modified except by direct means',100,2,4),
(314429,138347,'Cannot be modified except by direct means',100,1,5),
(314430,10138347,'When Equipped:',100,0,0),
(314431,10138347,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(314432,10138347,'Inflicts 2078 - 3117 poison damage on target',100,2,2),
(314433,10138347,'Heals caster for 1246 - 1868',100,2,3),
(314434,10138347,'Cannot be modified except by direct means',100,2,4),
(314435,10138347,'Cannot be modified except by direct means',100,1,5),
(314436,37542,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(314437,123292,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(314438,123292,'Inflicts 109 - 182 disease damage on target',100,2,1),
(314439,123292,'Heals caster for 0.8 - 1.3% of max health',100,2,2),
(314440,123292,'This effect cannot be critically applied.',100,3,3),
(314441,123292,'The healing of this spell cannot be modified except by direct means',100,2,4),
(314442,10123292,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(314443,10123292,'Inflicts 142 - 236 disease damage on target',100,2,1),
(314444,10123292,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(314445,10123292,'This effect cannot be critically applied.',100,3,3),
(314446,10123292,'The healing of this spell cannot be modified except by direct means',100,2,4),
(314447,36662,'Increases Out-of-Combat Power Regeneration of target by 138.0',100,0,0),
(314448,72276,'When Equipped:',100,0,0),
(314449,72276,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314450,72276,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(314451,72276,'Cannot be modified except by direct means',100,2,3),
(314452,10072276,'When Equipped:',100,0,0),
(314453,10072276,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314454,10072276,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(314455,10072276,'Cannot be modified except by direct means',100,2,3),
(314456,100893,'Stuns targets in Area of Effect',20,1,0),
(314457,100893,'If Target is not Epic',100,2,1),
(314458,100893,'Inflicts 38 - 63 divine damage on targets in Area of Effect',100,1,2),
(314459,100893,'Resistibility increases against targets higher than level 43.',100,1,3),
(314460,10100893,'Stuns targets in Area of Effect',20,1,0),
(314461,10100893,'If Target is not Epic',100,2,1),
(314462,10100893,'Inflicts 49 - 82 divine damage on targets in Area of Effect',100,1,2),
(314463,10100893,'Resistibility increases against targets higher than level 43.',100,1,3),
(314464,37161,'Increases STA and STR of target by 39.0',100,0,0),
(314465,37161,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(314466,37161,'Increases Out-of-Combat Health Regeneration of target by 114.8',100,0,2),
(314467,72802,'When Equipped:',100,0,0),
(314468,72802,'On a critical combat hit this spell may cast Paralyzing Puncture V on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(314469,72802,'Stuns target',100,2,2),
(314470,72802,'If Target is not Epic',100,3,3),
(314471,72802,'Inflicts 442 - 489 heat damage on target',100,2,4),
(314472,72802,'Must not be engaged in pvp combat',100,2,5),
(314473,72802,'Cannot be modified except by direct means',100,2,6),
(314474,72802,'Must not be engaged in pvp combat',100,1,7),
(314475,10072802,'When Equipped:',100,0,0),
(314476,10072802,'On a critical combat hit this spell may cast Paralyzing Puncture V on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(314477,10072802,'Stuns target',100,2,2),
(314478,10072802,'If Target is not Epic',100,3,3),
(314479,10072802,'Inflicts 575 - 635 heat damage on target',100,2,4),
(314480,10072802,'Must not be engaged in pvp combat',100,2,5),
(314481,10072802,'Cannot be modified except by direct means',100,2,6),
(314482,10072802,'Must not be engaged in pvp combat',100,1,7),
(314483,100879,'Makes target afraid',100,1,0),
(314484,100879,'30% chance to dispel when target takes damage',100,1,1),
(314485,100879,'Does not affect Epic targets',100,1,2),
(314486,100879,'Resistibility increases against targets higher than level 96.',100,1,3),
(314487,10100879,'Makes target afraid',100,1,0),
(314488,10100879,'30% chance to dispel when target takes damage',100,1,1),
(314489,10100879,'Does not affect Epic targets',100,1,2),
(314490,10100879,'Resistibility increases against targets higher than level 96.',100,1,3),
(314491,159760,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(314492,159760,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(314493,159760,'Inflicts 79 heat damage on target',100,2,2),
(314494,159760,'Cannot be modified except by direct means',100,2,3),
(314495,10159760,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(314496,10159760,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(314497,10159760,'Inflicts 103 heat damage on target',100,2,2),
(314498,10159760,'Cannot be modified except by direct means',100,2,3),
(314499,24258,'Adds Decrease Level I (Single) to your Dungeon Maker toolbox',100,0,0),
(314500,10024258,'Adds Decrease Level I (Single) to your Dungeon Maker toolbox',100,0,0),
(314501,100190,'Inflicts 1255 - 2330 disease damage on target encounter',100,1,0),
(314502,10100190,'Inflicts 1631 - 3030 disease damage on target encounter',100,1,0),
(314503,74933,'When Equipped:',100,0,0),
(314504,74933,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314505,74933,'Inflicts 150 - 226 magic damage on target',100,2,2),
(314506,74933,'Cannot be modified except by direct means',100,2,3),
(314507,10074933,'When Equipped:',100,0,0),
(314508,10074933,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314509,10074933,'Inflicts 196 - 293 magic damage on target',100,2,2),
(314510,10074933,'Cannot be modified except by direct means',100,2,3),
(314511,26313,'When Equipped:',100,0,0),
(314512,26313,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(314513,26313,'Inflicts 122 divine damage on target',100,2,2),
(314514,26313,'Heals caster for 120',100,2,3),
(314515,26313,'Cannot be modified except by direct means',100,2,4),
(314516,10026313,'When Equipped:',100,0,0),
(314517,10026313,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(314518,10026313,'Inflicts 159 divine damage on target',100,2,2),
(314519,10026313,'Heals caster for 78',100,2,3),
(314520,10026313,'Cannot be modified except by direct means',100,2,4),
(314521,101726,'Mesmerizes target',100,1,0),
(314522,101726,'Prevents AOE (except when direct) ',100,1,1),
(314523,101726,'Mesmerizes caster',100,1,2),
(314524,101726,'Dispelled when target takes damage',100,1,3),
(314525,101726,'Does not affect Epic targets',100,1,4),
(314526,101726,'Resistibility increases against targets higher than level 82.',100,1,5),
(314527,10101726,'Mesmerizes target',100,1,0),
(314528,10101726,'Prevents AOE (except when direct) ',100,1,1),
(314529,10101726,'Mesmerizes caster',100,1,2),
(314530,10101726,'Dispelled when target takes damage',100,1,3),
(314531,10101726,'Does not affect Epic targets',100,1,4),
(314532,10101726,'Resistibility increases against targets higher than level 82.',100,1,5),
(314533,46078,'Applies Elixir of Incandescent Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(314534,46078,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(314535,10046078,'Applies Elixir of Incandescent Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(314536,10046078,'Increases Mitigation of caster vs elemental damage by 60',100,1,1),
(314537,76863,'When Equipped:',100,0,0),
(314538,76863,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314539,76863,'Inflicts 89 - 108 poison damage on target',100,2,2),
(314540,76863,'Cannot be modified except by direct means',100,2,3),
(314541,10076863,'When Equipped:',100,0,0),
(314542,10076863,'On a combat hit this spell may cast Poison Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314543,10076863,'Inflicts 115 - 141 poison damage on target',100,2,2),
(314544,10076863,'Cannot be modified except by direct means',100,2,3),
(314545,71524,'When Equipped:',100,0,0),
(314546,71524,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314547,71524,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(314548,71524,'Cannot be modified except by direct means',100,2,3),
(314549,10071524,'When Equipped:',100,0,0),
(314550,10071524,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314551,10071524,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(314552,10071524,'Cannot be modified except by direct means',100,2,3),
(314553,35192,'Increases INT of target by 10.5',100,0,0),
(314554,35192,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(314555,120108,'Shapechanges caster into a chaos essence',100,1,0),
(314556,120108,'Increases WIS of caster by 74.8',100,1,1),
(314557,120108,'Grants See Invisibility to caster',100,1,2),
(314558,120108,'Increases Max Health of caster by 328.0',100,1,3),
(314559,120108,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1140',100,1,4),
(314560,10120108,'Shapechanges caster into a chaos essence',100,1,0),
(314561,10120108,'Increases WIS of caster by 74.8',100,1,1),
(314562,10120108,'Grants See Invisibility to caster',100,1,2),
(314563,10120108,'Increases Max Health of caster by 328.0',100,1,3),
(314564,10120108,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1140',100,1,4),
(314565,77407,'Applies Fire Ball when Activated.',100,0,0),
(314566,77407,'Inflicts 89 - 149 heat damage on target',100,1,1),
(314567,77407,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(314568,10077407,'Applies Fire Ball when Activated.',100,0,0),
(314569,10077407,'Inflicts 116 - 194 heat damage on target',100,1,1),
(314570,10077407,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(314571,188324,'When Equipped:',100,0,0),
(314572,188324,'Increases Attack Speed of caster by 35.0',100,1,1),
(314573,10188324,'When Equipped:',100,0,0),
(314574,10188324,'Increases Attack Speed of caster by 35.0',100,1,1),
(314575,121716,'Increases AGI of caster by 57.3',100,1,0),
(314576,121716,'Adds 2.5% to base avoidance.',100,1,1),
(314577,121716,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(314578,121716,'Increases Parry of caster by 33.1',100,1,3),
(314579,121716,'Increases Defense of caster by 44.2',100,1,4),
(314580,10121716,'Increases AGI of caster by 57.3',100,1,0),
(314581,10121716,'Adds 2.5% to base avoidance.',100,1,1),
(314582,10121716,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(314583,10121716,'Increases Parry of caster by 33.1',100,1,3),
(314584,10121716,'Increases Defense of caster by 44.2',100,1,4),
(314585,159167,'Applies Lambent Imbued when Equipped.',100,0,0),
(314586,159167,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(314587,159167,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(314588,159167,'Cannot be modified except by direct means',100,2,3),
(314589,10159167,'Applies Lambent Imbued when Equipped.',100,0,0),
(314590,10159167,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(314591,10159167,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(314592,10159167,'Cannot be modified except by direct means',100,2,3),
(314593,104202,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(314594,10104202,'Distributes the group members'' total combined power evenly among all the members',100,1,0),
(314595,100673,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(314596,100673,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(314597,100673,'Wards caster against 505 points of all damage',100,3,2),
(314598,100673,'Heals caster for 395',100,3,3),
(314599,100673,'Summons a limited pet to aid the caster',100,2,4),
(314600,100673,'Grants a total of 1 trigger of the spell.',100,2,5),
(314601,10100673,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(314602,10100673,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,1),
(314603,10100673,'Wards caster against 505 points of all damage',100,3,2),
(314604,10100673,'Heals caster for 257',100,3,3),
(314605,10100673,'Summons a limited pet to aid the caster',100,2,4),
(314606,10100673,'Grants a total of 1 trigger of the spell.',100,2,5),
(314607,48816,'Applies Irontoe''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(314608,48816,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(314609,10048816,'Applies Irontoe''s Safeguard  when Activated.  Lasts for 30 minutes.',100,0,0),
(314610,10048816,'Increases Mitigation of caster vs arcane damage by 375',100,1,1),
(314611,114184,'Inflicts 103 - 171 melee damage on target',100,1,0),
(314612,114184,'Decreases Slashing, Crushing and Piercing of target by 4.5',100,1,1),
(314613,10114184,'Inflicts 133 - 223 melee damage on target',100,1,0),
(314614,10114184,'Decreases Slashing, Crushing and Piercing of target by 4.5',100,1,1),
(314615,47165,'Applies Elixir of Clarity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(314616,47165,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(314617,10047165,'Applies Elixir of Clarity  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(314618,10047165,'Increases power of caster by 30 instantly and every 5 seconds',100,1,1),
(314619,81268,'When Equipped:',100,0,0),
(314620,81268,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314621,81268,'Decreases Threat to target by 949 ',100,2,2),
(314622,81268,'Must be flanking or behind',100,3,3),
(314623,81268,'Increases Threat to target by 949 ',100,2,4),
(314624,81268,'Must be in front of',100,3,5),
(314625,81268,'Inflicts 196 - 364 magic damage on target',100,2,6),
(314626,81268,'Cannot be modified except by direct means',100,2,7),
(314627,10081268,'When Equipped:',100,0,0),
(314628,10081268,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314629,10081268,'Inflicts 255 - 474 magic damage on target',100,2,2),
(314630,10081268,'Cannot be modified except by direct means',100,2,3),
(314631,122274,'Decreases Threat to targets in Area of Effect by 1,898 ',100,1,0),
(314632,122274,'Makes targets in Area of Effect afraid',100,1,1),
(314633,122274,'If Target is not Epic',100,2,2),
(314634,122274,'30% chance to dispel when target takes damage',100,1,3),
(314635,10122274,'Makes targets in Area of Effect afraid',100,1,0),
(314636,10122274,'If Target is not Epic',100,2,1),
(314637,10122274,'Applies Distract.',100,1,2),
(314638,10122274,'Forces target to clear their selected target.',100,2,3),
(314639,10122274,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(314640,10122274,'30% chance to dispel when target takes damage',100,1,5),
(314641,100747,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(314642,100747,'Wards target against 582 points of all damage',100,2,1),
(314643,100747,'Increases power of target by 109 every 6 seconds',100,2,2),
(314644,100747,'Heals target for 473',100,2,3),
(314645,100747,'Grants a total of 1 trigger of the spell.',100,2,4),
(314646,10100747,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(314647,10100747,'Wards target against 582 points of all damage',100,2,1),
(314648,10100747,'Increases power of target by 109 every 6 seconds',100,2,2),
(314649,10100747,'Heals target for 308',100,2,3),
(314650,10100747,'Grants a total of 1 trigger of the spell.',100,2,4),
(314651,118758,'Increases INT and WIS of group members (AE) by 34.1',100,1,0),
(314652,118758,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,1),
(314653,10118758,'Increases INT and WIS of group members (AE) by 34.1',100,1,0),
(314654,10118758,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 101',100,1,1),
(314655,74765,'When Equipped:',100,0,0),
(314656,74765,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314657,74765,'Inflicts 64 - 96 magic damage on target',100,2,2),
(314658,74765,'Cannot be modified except by direct means',100,2,3),
(314659,10074765,'When Equipped:',100,0,0),
(314660,10074765,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314661,10074765,'Inflicts 83 - 125 magic damage on target',100,2,2),
(314662,10074765,'Cannot be modified except by direct means',100,2,3),
(314663,122006,'Inflicts 152 - 254 melee damage on targets in area',100,1,0),
(314664,122006,'Increases Threat to target encounter by 829 ',100,1,1),
(314665,10122006,'Inflicts 198 - 330 melee damage on targets in area',100,1,0),
(314666,10122006,'Prevents target encounter from changing targets',100,1,1),
(314667,10122006,'Forces target encounter to change their selected target to caster.',100,1,2),
(314668,72188,'When Equipped:',100,0,0),
(314669,72188,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314670,72188,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(314671,72188,'Cannot be modified except by direct means',100,2,3),
(314672,10072188,'When Equipped:',100,0,0),
(314673,10072188,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314674,10072188,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(314675,10072188,'Cannot be modified except by direct means',100,2,3),
(314676,74540,'Applies Fire Ball when Activated.',100,0,0),
(314677,74540,'Inflicts 127 - 211 heat damage on target',100,1,1),
(314678,74540,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(314679,10074540,'Applies Fire Ball when Activated.',100,0,0),
(314680,10074540,'Inflicts 164 - 274 heat damage on target',100,1,1),
(314681,10074540,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(314682,118802,'Wards group members (AE) against 51 points of physical damage',100,1,0),
(314683,118802,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,1),
(314684,10118802,'Wards group members (AE) against 51 points of physical damage',100,1,0),
(314685,10118802,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,1),
(314686,154551,'When Equipped:',100,0,0),
(314687,154551,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(314688,10154551,'When Equipped:',100,0,0),
(314689,10154551,'Reduces cast time of Subjugation-based spells by 2 percent.',100,1,1),
(314690,111267,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(314691,111267,'Heals target for 1531',100,2,1),
(314692,111267,'Increases Mitigation of target vs physical damage by 966',100,2,2),
(314693,111267,'Grants a total of 1 trigger of the spell.',100,2,3),
(314694,10111267,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(314695,10111267,'Heals target for 995',100,2,1),
(314696,10111267,'Increases Mitigation of target vs physical damage by 966',100,2,2),
(314697,10111267,'Grants a total of 1 trigger of the spell.',100,2,3),
(314698,112011,'Inflicts 382 - 637 piercing damage on target',100,1,0),
(314699,10112011,'Inflicts 496 - 828 piercing damage on target',100,1,0),
(314700,121874,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(314701,121874,'Decreases Threat to target by 365 - 446 ',100,2,1),
(314702,121874,'If profession other than Fighter',100,3,2),
(314703,121874,'Inflicts 154 - 188 mental damage on target',100,2,3),
(314704,10121874,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(314705,10121874,'Inflicts 200 - 245 mental damage on target',100,2,1),
(314706,102455,'Stuns target encounter',100,1,0),
(314707,102455,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,1),
(314708,102455,'Resistibility increases against targets higher than level 87.',100,1,2),
(314709,10102455,'Stuns target encounter',100,1,0),
(314710,10102455,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(314711,10102455,'Resistibility increases against targets higher than level 87.',100,1,2),
(314712,116340,'Mesmerizes target encounter',100,1,0),
(314713,116340,'Prevents AOE (except when direct) ',100,1,1),
(314714,116340,'Dispelled when target takes damage',100,1,2),
(314715,116340,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(314716,116340,'Resistibility increases against targets higher than level 52.',100,1,4),
(314717,10116340,'Mesmerizes target encounter',100,1,0),
(314718,10116340,'Prevents AOE (except when direct) ',100,1,1),
(314719,10116340,'Dispelled when target takes damage',100,1,2),
(314720,10116340,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(314721,10116340,'Resistibility increases against targets higher than level 52.',100,1,4),
(314722,36279,'Increases STA and INT of target by 9.4',100,0,0),
(314723,36279,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(314724,35326,'Increases STR of target by 6.2',100,0,0),
(314725,35326,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(314726,115733,'Wards caster against 7360 points of elemental, noxious and arcane damage',100,1,0),
(314727,10115733,'Wards caster against 7360 points of elemental, noxious and arcane damage',100,1,0),
(314728,121408,'Inflicts 852 - 1041 magic damage on target instantly and every 8 seconds',100,1,0),
(314729,121408,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(314730,121408,'Stuns target',100,2,2),
(314731,121408,'Throws target back',100,2,3),
(314732,121408,'Blurs vision of target',100,2,4),
(314733,121408,'Does not affect Epic targets',100,2,5),
(314734,10121408,'Inflicts 1107 - 1354 magic damage on target instantly and every 8 seconds',100,1,0),
(314735,10121408,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(314736,10121408,'Stuns target',100,2,2),
(314737,10121408,'Throws target back',100,2,3),
(314738,10121408,'Blurs vision of target',100,2,4),
(314739,10121408,'Does not affect Epic targets',100,2,5),
(314740,124179,'Inflicts 85 - 142 melee damage on target',100,1,0),
(314741,10124179,'Inflicts 111 - 185 melee damage on target',100,1,0),
(314742,137181,'Applies Bristlebane''s Party Cap when Activated.  Lasts for 1 minute 2 seconds.',100,0,0),
(314743,137181,'Start a party anywhere, any time!',100,1,1),
(314744,137181,'The casting time of Bristlebane''s Party Cap is 1.0 second and the reuse time of the spell is 1 minute',100,1,2),
(314745,10137181,'Applies Bristlebane''s Party Cap when Activated.  Lasts for 1 minute 2 seconds.',100,0,0),
(314746,10137181,'Start a party anywhere, any time!',100,1,1),
(314747,10137181,'The casting time of Bristlebane''s Party Cap is 1.0 second and the reuse time of the spell is 1 minute',100,1,2),
(314748,102669,'Inflicts 450 - 750 melee damage on target',100,1,0),
(314749,102669,'Inflicts 194 heat damage on target every 6 seconds',100,1,1),
(314750,10102669,'Inflicts 585 - 976 melee damage on target',100,1,0),
(314751,10102669,'Inflicts 252 heat damage on target every 6 seconds',100,1,1),
(314752,110143,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(314753,110143,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(314754,110143,'Only affects the caster of Guardian''s Sphere',100,2,2),
(314755,110143,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(314756,110143,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(314757,110143,'If not fighter',100,2,5),
(314758,10110143,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(314759,10110143,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(314760,10110143,'Only affects the caster of Guardian''s Sphere',100,2,2),
(314761,10110143,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(314762,10110143,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(314763,10110143,'If not fighter',100,2,5),
(314764,111868,'Inflicts 108 - 201 heat damage on target',100,1,0),
(314765,111868,'Inflicts 41 - 75 heat damage on target every 2 seconds',100,1,1),
(314766,10111868,'Inflicts 141 - 261 heat damage on target',100,1,0),
(314767,10111868,'Inflicts 53 - 98 heat damage on target every 2 seconds',100,1,1),
(314768,101429,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(314769,101429,'Increases Mitigation of group members (AE) vs noxious damage by 185',100,1,1),
(314770,10101429,'Increases Max Power of group members (AE) by 79.2',100,1,0),
(314771,10101429,'Increases Mitigation of group members (AE) vs noxious damage by 185',100,1,1),
(314772,113854,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(314773,113854,'Increases power of caster by 125',100,2,1),
(314774,113854,'Grants a total of 3 triggers of the spell.',100,2,2),
(314775,10113854,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(314776,10113854,'Increases power of caster by 125',100,2,1),
(314777,10113854,'Grants a total of 3 triggers of the spell.',100,2,2),
(314778,108574,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(314779,108574,'Increases INT, AGI, STR and WIS of group members (AE) by 10.6',100,2,1),
(314780,108574,'Increases STA of group members (AE) by 21.2',100,2,2),
(314781,108574,'Adds 0.6% to base avoidance.',100,2,3),
(314782,108574,'Increases Mitigation of group members (AE) vs noxious damage by 28',100,2,4),
(314783,108574,'Heals group members (AE) for 26 - 32 instantly and every 3 seconds',100,2,5),
(314784,108574,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 28',100,2,6),
(314785,10108574,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(314786,10108574,'Increases INT, AGI, STR and WIS of group members (AE) by 10.6',100,2,1),
(314787,10108574,'Increases STA of group members (AE) by 21.2',100,2,2),
(314788,10108574,'Adds 0.6% to base avoidance.',100,2,3),
(314789,10108574,'Increases Mitigation of group members (AE) vs noxious damage by 28',100,2,4),
(314790,10108574,'Heals group members (AE) for 17 - 21 instantly and every 3 seconds',100,2,5),
(314791,10108574,'Increases Mitigation of group members (AE) vs elemental and arcane damage by 28',100,2,6),
(314792,74761,'When Equipped:',100,0,0),
(314793,74761,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314794,74761,'Inflicts 64 - 96 magic damage on target',100,2,2),
(314795,74761,'Cannot be modified except by direct means',100,2,3),
(314796,10074761,'When Equipped:',100,0,0),
(314797,10074761,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314798,10074761,'Inflicts 83 - 125 magic damage on target',100,2,2),
(314799,10074761,'Cannot be modified except by direct means',100,2,3),
(314800,106221,'Inflicts 149 - 448 melee damage on target',100,1,0),
(314801,106221,'Stifles target',100,1,1),
(314802,106221,'If Target is not Epic',100,2,2),
(314803,106221,'Resistibility increases against targets higher than level 83.',100,1,3),
(314804,10106221,'Inflicts 194 - 583 melee damage on target',100,1,0),
(314805,10106221,'Stifles target',100,1,1),
(314806,10106221,'If Target is not Epic',100,2,2),
(314807,10106221,'Resistibility increases against targets higher than level 83.',100,1,3),
(314808,27164,'When Equipped:',100,0,0),
(314809,27164,'Increases all arcane damage by up to 30.',100,1,1),
(314810,10027164,'When Equipped:',100,0,0),
(314811,10027164,'Increases all arcane damage by up to 30.',100,1,1),
(314812,103603,'Increases Mitigation of caster vs physical damage by 940',100,1,0),
(314813,10103603,'Increases Mitigation of caster vs physical damage by 940',100,1,0),
(314814,110724,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(314815,110724,'Heals group members (AE) for 785',100,2,1),
(314816,10110724,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(314817,10110724,'Heals group members (AE) for 511',100,2,1),
(314818,116195,'Inflicts 544 - 907 mental damage on target',100,1,0),
(314819,10116195,'Inflicts 707 - 1179 mental damage on target',100,1,0),
(314820,36439,'Increases Max Power of target by 90.7',100,0,0),
(314821,36439,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(314822,81975,'When Equipped:',100,0,0),
(314823,81975,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314824,81975,'Decreases Threat to target by 994 ',100,2,2),
(314825,81975,'Must be flanking or behind',100,3,3),
(314826,81975,'Increases Threat to target by 994 ',100,2,4),
(314827,81975,'Must be in front of',100,3,5),
(314828,81975,'Inflicts 265 - 492 magic damage on target',100,2,6),
(314829,81975,'Cannot be modified except by direct means',100,2,7),
(314830,10081975,'When Equipped:',100,0,0),
(314831,10081975,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(314832,10081975,'Inflicts 345 - 640 magic damage on target',100,2,2),
(314833,10081975,'Cannot be modified except by direct means',100,2,3),
(314834,100869,'Makes target afraid',100,1,0),
(314835,100869,'30% chance to dispel when target takes damage',100,1,1),
(314836,100869,'Does not affect Epic targets',100,1,2),
(314837,100869,'Resistibility increases against targets higher than level 68.',100,1,3),
(314838,10100869,'Makes target afraid',100,1,0),
(314839,10100869,'30% chance to dispel when target takes damage',100,1,1),
(314840,10100869,'Does not affect Epic targets',100,1,2),
(314841,10100869,'Resistibility increases against targets higher than level 68.',100,1,3),
(314842,177677,'When Equipped:',100,0,0),
(314843,177677,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314844,177677,'Increases INT of caster by 17.6',100,2,2),
(314845,177677,'Increases Subjugation, Focus and Disruption of caster by 9.9',100,2,3),
(314846,177677,'Cannot be modified except by direct means',100,2,4),
(314847,10177677,'When Equipped:',100,0,0),
(314848,10177677,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314849,10177677,'Increases INT of caster by 17.6',100,2,2),
(314850,10177677,'Increases Subjugation, Focus and Disruption of caster by 9.9',100,2,3),
(314851,10177677,'Cannot be modified except by direct means',100,2,4),
(314852,35870,'Increases STA of target by 12.7',100,0,0),
(314853,35870,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(314854,141761,'When Equipped:',100,0,0),
(314855,141761,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314856,141761,'Increases INT of caster by 5.1',100,2,2),
(314857,141761,'Increases Subjugation, Focus and Disruption of caster by 3.3',100,2,3),
(314858,141761,'Cannot be modified except by direct means',100,2,4),
(314859,10141761,'When Equipped:',100,0,0),
(314860,10141761,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314861,10141761,'Increases INT of caster by 5.1',100,2,2),
(314862,10141761,'Increases Subjugation, Focus and Disruption of caster by 3.3',100,2,3),
(314863,10141761,'Cannot be modified except by direct means',100,2,4),
(314864,159401,'Applies Sanguine Imbued when Equipped.',100,0,0),
(314865,159401,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(314866,159401,'Inflicts 56 heat damage on target',100,2,2),
(314867,159401,'Cannot be modified except by direct means',100,2,3),
(314868,10159401,'Applies Sanguine Imbued when Equipped.',100,0,0),
(314869,10159401,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(314870,10159401,'Inflicts 72 heat damage on target',100,2,2),
(314871,10159401,'Cannot be modified except by direct means',100,2,3),
(314872,41486,'When Equipped:',100,0,0),
(314873,41486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314874,41486,'Inflicts 136 - 252 magic damage on target',100,2,2),
(314875,41486,'Cannot be modified except by direct means',100,2,3),
(314876,10041486,'When Equipped:',100,0,0),
(314877,10041486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314878,10041486,'Inflicts 177 - 328 magic damage on target',100,2,2),
(314879,10041486,'Cannot be modified except by direct means',100,2,3),
(314880,75456,'When Equipped:',100,0,0),
(314881,75456,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(314882,75456,'Reduces healing received by 15.00%',100,2,2),
(314883,75456,'Cannot be modified except by direct means',100,2,3),
(314884,75456,'This effect can only trigger once every 1 second.',100,2,4),
(314885,75456,'Must be engaged in pvp combat',100,1,5),
(314886,10075456,'When Equipped:',100,0,0),
(314887,10075456,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(314888,10075456,'Reduces healing received by 15.00%',100,2,2),
(314889,10075456,'Cannot be modified except by direct means',100,2,3),
(314890,10075456,'This effect can only trigger once every 1 second.',100,2,4),
(314891,10075456,'Must be engaged in pvp combat',100,1,5),
(314892,108812,'Inflicts 333 - 618 heat damage on targets in Area of Effect',100,1,0),
(314893,10108812,'Inflicts 433 - 803 heat damage on targets in Area of Effect',100,1,0),
(314894,101027,'Inflicts 470 - 872 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(314895,10101027,'Inflicts 479 - 890 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(314896,107987,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(314897,107987,'Increases Mitigation of group members (AE) vs elemental damage by 216',100,1,1),
(314898,10107987,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(314899,10107987,'Increases Mitigation of group members (AE) vs elemental damage by 216',100,1,1),
(314900,110869,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(314901,110869,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,1),
(314902,110869,'Stuns target',100,3,2),
(314903,110869,'Throws target back',100,3,3),
(314904,110869,'Blurs vision of target',100,3,4),
(314905,110869,'Does not affect Epic targets',100,3,5),
(314906,110869,'Inflicts 700 - 1167 divine damage on target',100,2,6),
(314907,110869,'Grants a total of 3 triggers of the spell.',100,2,7),
(314908,10110869,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(314909,10110869,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,1),
(314910,10110869,'Stuns target',100,3,2),
(314911,10110869,'Throws target back',100,3,3),
(314912,10110869,'Blurs vision of target',100,3,4),
(314913,10110869,'Does not affect Epic targets',100,3,5),
(314914,10110869,'Inflicts 910 - 1517 divine damage on target',100,2,6),
(314915,10110869,'Grants a total of 3 triggers of the spell.',100,2,7),
(314916,110842,'Inflicts 193 - 261 mental damage on target',100,1,0),
(314917,110842,'Interrupts target',100,1,1),
(314918,10110842,'Inflicts 251 - 340 mental damage on target',100,1,0),
(314919,10110842,'Interrupts target',100,1,1),
(314920,37223,'Increases INT and WIS of target by 13.2',100,0,0),
(314921,37223,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(314922,103946,'Wards group members (AE) collectively against 3200 total points of all damage',100,1,0),
(314923,10103946,'Wards group members (AE) collectively against 4766 total points of all damage',100,1,0),
(314924,120378,'Decreases Defense of caster by 1.8',100,1,0),
(314925,120378,'Increases Crushing and Ranged of caster by 2.6',100,1,1),
(314926,120378,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(314927,120378,'Inflicts 11 - 18 heat damage on target',100,2,3),
(314928,120378,'Increases Slashing and Piercing of caster by 2.6',100,1,4),
(314929,10120378,'Decreases Defense of caster by 1.8',100,1,0),
(314930,10120378,'Increases Crushing and Ranged of caster by 2.6',100,1,1),
(314931,10120378,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(314932,10120378,'Inflicts 14 - 24 heat damage on target',100,2,3),
(314933,10120378,'Increases Slashing and Piercing of caster by 2.6',100,1,4),
(314934,147133,'When Equipped:',100,0,0),
(314935,147133,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(314936,10147133,'When Equipped:',100,0,0),
(314937,10147133,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(314938,159018,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(314939,159018,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(314940,159018,'Inflicts 107 heat damage on target',100,2,2),
(314941,159018,'Cannot be modified except by direct means',100,2,3),
(314942,10159018,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(314943,10159018,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(314944,10159018,'Inflicts 140 heat damage on target',100,2,2),
(314945,10159018,'Cannot be modified except by direct means',100,2,3),
(314946,42544,'When Equipped:',100,0,0),
(314947,42544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314948,42544,'Inflicts 208 - 312 magic damage on target',100,2,2),
(314949,42544,'Cannot be modified except by direct means',100,2,3),
(314950,10042544,'When Equipped:',100,0,0),
(314951,10042544,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(314952,10042544,'Inflicts 271 - 406 magic damage on target',100,2,2),
(314953,10042544,'Cannot be modified except by direct means',100,2,3),
(314954,47547,'Applies Call of the Eastern Wastes Spires when Activated.',100,0,0),
(314955,47547,'Teleports the user to the Eastern Wastes Wizard Spires',100,1,1),
(314956,10047547,'Applies Call of the Eastern Wastes Spires when Activated.',100,0,0),
(314957,10047547,'Teleports the user to the Eastern Wastes Wizard Spires',100,1,1),
(314958,144435,'When Equipped:',100,0,0),
(314959,144435,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314960,144435,'Wards caster against 333 points of all damage',100,2,2),
(314961,144435,'Cannot be modified except by direct means',100,2,3),
(314962,10144435,'When Equipped:',100,0,0),
(314963,10144435,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(314964,10144435,'Wards caster against 333 points of all damage',100,2,2),
(314965,10144435,'Cannot be modified except by direct means',100,2,3),
(314966,106934,'Inflicts 150 - 278 poison damage on target',100,1,0),
(314967,10106934,'Inflicts 195 - 361 poison damage on target',100,1,0),
(314968,159702,'When Equipped:',100,0,0),
(314969,159702,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(314970,159702,'Increases AGI of caster by 16.3',100,2,2),
(314971,159702,'Increases Attack Speed of caster by 19.7',100,2,3),
(314972,159702,'Cannot be modified except by direct means',100,2,4),
(314973,10159702,'When Equipped:',100,0,0),
(314974,10159702,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(314975,10159702,'Increases AGI of caster by 16.3',100,2,2),
(314976,10159702,'Increases Attack Speed of caster by 19.7',100,2,3),
(314977,10159702,'Cannot be modified except by direct means',100,2,4),
(314978,152811,'When Equipped:',100,0,0),
(314979,152811,'Increases Attack Speed of caster by 45.0',100,1,1),
(314980,10152811,'When Equipped:',100,0,0),
(314981,10152811,'Increases Attack Speed of caster by 45.0',100,1,1),
(314982,123062,'Summons a pet undead knight',100,1,0),
(314983,10123062,'Summons a pet undead knight',100,1,0),
(314984,113282,'Inflicts 13 - 21 heat damage on target',100,1,0),
(314985,10113282,'Inflicts 25 - 42 heat damage on target',100,1,0),
(314986,72120,'Applies Astral Blessing when Equipped.',100,0,0),
(314987,72120,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(314988,72120,'Heals target for 440 instantly and every second',100,2,2),
(314989,72120,'Cannot be modified except by direct means',100,2,3),
(314990,72120,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(314991,72120,'Heals caster for 440 instantly and every second',100,2,5),
(314992,72120,'Cannot be modified except by direct means',100,2,6),
(314993,72120,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(314994,72120,'Heals caster for 440 instantly and every second',100,2,8),
(314995,72120,'Cannot be modified except by direct means',100,2,9),
(314996,10072120,'Applies Astral Blessing when Equipped.',100,0,0),
(314997,10072120,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(314998,10072120,'Heals target for 514 instantly and every second',100,2,2),
(314999,10072120,'Cannot be modified except by direct means',100,2,3),
(315000,10072120,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(315001,10072120,'Heals caster for 514 instantly and every second',100,2,5),
(315002,10072120,'Cannot be modified except by direct means',100,2,6),
(315003,10072120,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(315004,10072120,'Heals caster for 514 instantly and every second',100,2,8),
(315005,10072120,'Cannot be modified except by direct means',100,2,9),
(315006,37298,'Increases AGI of target by 2.4',100,0,0),
(315007,37298,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(315008,82211,'When Equipped:',100,0,0),
(315009,82211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315010,82211,'Inflicts 33 - 61 magic damage on target',100,2,2),
(315011,82211,'Cannot be modified except by direct means',100,2,3),
(315012,10082211,'When Equipped:',100,0,0),
(315013,10082211,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315014,10082211,'Inflicts 43 - 80 magic damage on target',100,2,2),
(315015,10082211,'Cannot be modified except by direct means',100,2,3),
(315016,37112,'Increases STR of target by 8.4',100,0,0),
(315017,37112,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(315018,81460,'When Equipped:',100,0,0),
(315019,81460,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315020,81460,'Decreases Threat to target by 352 ',100,2,2),
(315021,81460,'Must be flanking or behind',100,3,3),
(315022,81460,'Increases Threat to target by 352 ',100,2,4),
(315023,81460,'Must be in front of',100,3,5),
(315024,81460,'Inflicts 80 - 149 magic damage on target',100,2,6),
(315025,81460,'Cannot be modified except by direct means',100,2,7),
(315026,10081460,'When Equipped:',100,0,0),
(315027,10081460,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315028,10081460,'Inflicts 104 - 193 magic damage on target',100,2,2),
(315029,10081460,'Cannot be modified except by direct means',100,2,3),
(315030,120595,'Inflicts 94 - 174 heat damage on target',100,1,0),
(315031,10120595,'Inflicts 122 - 226 heat damage on target',100,1,0),
(315032,103276,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(315033,103276,'If Fighter',100,2,1),
(315034,103276,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(315035,103276,'Increases power of target by 10 instantly and every 4 seconds',100,2,3),
(315036,103276,'Increases power of caster by 10 instantly and every 4 seconds',100,2,4),
(315037,10103276,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(315038,10103276,'Increases power of target by 10 instantly and every 4 seconds',100,2,1),
(315039,10103276,'Increases power of caster by 10 instantly and every 4 seconds',100,2,2),
(315040,183208,'When Equipped:',100,0,0),
(315041,183208,'Increases Attack Speed of caster by 40.0',100,1,1),
(315042,10183208,'When Equipped:',100,0,0),
(315043,10183208,'Increases Attack Speed of caster by 40.0',100,1,1),
(315044,71422,'When Equipped:',100,0,0),
(315045,71422,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315046,71422,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(315047,71422,'Cannot be modified except by direct means',100,2,3),
(315048,10071422,'When Equipped:',100,0,0),
(315049,10071422,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315050,10071422,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(315051,10071422,'Cannot be modified except by direct means',100,2,3),
(315052,120247,'Inflicts 136 - 227 crushing damage on target',100,1,0),
(315053,10120247,'Inflicts 177 - 295 crushing damage on target',100,1,0),
(315054,103427,'Decreases Threat to targets in Area of Effect by 4,217 ',100,1,0),
(315055,103427,'Slows targets in Area of Effect by 49.0%',100,1,1),
(315056,103427,'Stifles targets in Area of Effect',100,1,2),
(315057,103427,'If Target is not Epic',100,2,3),
(315058,103427,'10% chance to dispel when target receives hostile action',100,1,4),
(315059,103427,'10% chance to dispel when target takes damage',100,1,5),
(315060,10103427,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(315061,10103427,'Slows targets in Area of Effect by 49.0%',100,1,1),
(315062,10103427,'Stifles targets in Area of Effect',100,1,2),
(315063,10103427,'If Target is not Epic',100,2,3),
(315064,35058,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(315065,35063,'Increases STA of target by 14.9',100,0,0),
(315066,35063,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(315067,42534,'When Equipped:',100,0,0),
(315068,42534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315069,42534,'Inflicts 135 - 203 magic damage on target',100,2,2),
(315070,42534,'Cannot be modified except by direct means',100,2,3),
(315071,10042534,'When Equipped:',100,0,0),
(315072,10042534,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315073,10042534,'Inflicts 176 - 264 magic damage on target',100,2,2),
(315074,10042534,'Cannot be modified except by direct means',100,2,3),
(315075,185004,'When Equipped:',100,0,0),
(315076,185004,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(315077,185004,'Inflicts 2664 cold damage on target encounter',100,2,2),
(315078,185004,'Must not be engaged in pvp combat',100,2,3),
(315079,185004,'Cannot be modified except by direct means',100,2,4),
(315080,185004,'Must not be engaged in pvp combat',100,1,5),
(315081,10185004,'When Equipped:',100,0,0),
(315082,10185004,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(315083,10185004,'Inflicts 1732 cold damage on target encounter',100,2,2),
(315084,10185004,'Must not be engaged in pvp combat',100,2,3),
(315085,10185004,'Cannot be modified except by direct means',100,2,4),
(315086,10185004,'Must not be engaged in pvp combat',100,1,5),
(315087,110073,'Summons a pet grim sorcerer',100,1,0),
(315088,10110073,'Summons a pet grim sorcerer',100,1,0),
(315089,106314,'Decreases INT and STR of target by 37.8',100,1,0),
(315090,10106314,'Decreases INT and STR of target by 37.8',100,1,0),
(315091,115554,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1305',100,1,0),
(315092,10115554,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1305',100,1,0),
(315093,24467,'Adds Kobold (Wizard) to your Dungeon Maker toolbox',100,0,0),
(315094,10024467,'Adds Kobold (Wizard) to your Dungeon Maker toolbox',100,0,0),
(315095,118659,'Inflicts 91 - 152 slashing damage on target',100,1,0),
(315096,10118659,'Inflicts 119 - 198 slashing damage on target',100,1,0),
(315097,122188,'Inflicts 136 - 166 cold damage on target instantly and every 2 seconds',100,1,0),
(315098,122188,'Inflicts 136 - 166 cold damage on target instantly and every 2 seconds',100,1,1),
(315099,122188,'If target is elemental',100,2,2),
(315100,10122188,'Inflicts 176 - 216 cold damage on target instantly and every 2 seconds',100,1,0),
(315101,37615,'Increases STA and INT of target by 11.0',100,0,0),
(315102,37615,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(315103,178839,'When Equipped:',100,0,0),
(315104,178839,'Reduces the reuse timers of all combat arts by 5%.',100,1,1),
(315105,10178839,'When Equipped:',100,0,0),
(315106,10178839,'Reduces the reuse timers of all combat arts by 5%.',100,1,1),
(315107,46461,'Applies Release Geobot when Activated.',100,0,0),
(315108,46461,'Updates a specific part of the Quest \"Taking a Risk for Dwombo\"',100,1,1),
(315109,46461,'This effect cannot be cast during combat',100,1,2),
(315110,46461,'Must be in zone Fens of Nathsar',100,1,3),
(315111,10046461,'Applies Release Geobot when Activated.',100,0,0),
(315112,10046461,'Updates a specific part of the Quest \"Taking a Risk for Dwombo\"',100,1,1),
(315113,10046461,'This effect cannot be cast during combat',100,1,2),
(315114,10046461,'Must be in zone Fens of Nathsar',100,1,3),
(315115,119388,'Decreases threat priority of target by 1 position',100,1,0),
(315116,119388,'Decreases Threat to target by 1,472 ',100,1,1),
(315117,119388,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(315118,119388,'Grants stealth to caster',100,2,3),
(315119,119388,'Suspends caster''s movement speed enhancements',100,2,4),
(315120,10119388,'Applies Distract.',100,1,0),
(315121,10119388,'Forces target to clear their selected target.',100,2,1),
(315122,10119388,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(315123,10119388,'Grants stealth to caster',100,2,3),
(315124,10119388,'Suspends caster''s movement speed enhancements',100,2,4),
(315125,107145,'Inflicts 387 - 473 divine damage on target',100,1,0),
(315126,107145,'Inflicts 387 - 473 divine damage on target',100,1,1),
(315127,107145,'If target is undead',100,2,2),
(315128,10107145,'Inflicts 503 - 615 divine damage on target',100,1,0),
(315129,10107145,'Inflicts 503 - 615 divine damage on target',100,1,1),
(315130,121189,'Decreases Threat to target by 350 - 583 ',100,1,0),
(315131,121189,'Grants stealth to caster',100,1,1),
(315132,121189,'Suspends caster''s movement speed enhancements',100,1,2),
(315133,10121189,'Grants stealth to caster',100,1,0),
(315134,10121189,'Suspends caster''s movement speed enhancements',100,1,1),
(315135,10121189,'Forces target to clear their selected target.',100,1,2),
(315136,112911,'Increases Damage Per Second of caster by 77.3',100,1,0),
(315137,112911,'Increases Ranged of caster by 28.8',100,1,1),
(315138,10112911,'Increases Damage Per Second of caster by 77.3',100,1,0),
(315139,10112911,'Increases Ranged of caster by 28.8',100,1,1),
(315140,139521,'When Equipped:',100,0,0),
(315141,139521,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(315142,139521,'Heals group members (AE) for 384',100,2,2),
(315143,139521,'Cannot be modified except by direct means',100,2,3),
(315144,139521,'Cannot be modified except by direct means',100,1,4),
(315145,10139521,'When Equipped:',100,0,0),
(315146,10139521,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(315147,10139521,'Heals group members (AE) for 250',100,2,2),
(315148,10139521,'Cannot be modified except by direct means',100,2,3),
(315149,10139521,'Cannot be modified except by direct means',100,1,4),
(315150,104328,'Charms target',100,1,0),
(315151,104328,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(315152,104328,'Mesmerizes target',100,2,2),
(315153,104328,'Dispelled when target takes damage',100,2,3),
(315154,104328,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(315155,104328,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(315156,104328,'Grants Sonic Vision to caster',100,2,6),
(315157,104328,'Increases Out-of-Combat Power Regeneration of target by 3.5',100,1,7),
(315158,104328,'Increases Out-of-Combat Health Regeneration of target by 7.0',100,1,8),
(315159,104328,'Certain enemies cannot be charmed',100,1,9),
(315160,104328,'Only affects targets level 16 and below',100,1,10),
(315161,104328,'Does not affect Epic targets',100,1,11),
(315162,10104328,'Mesmerizes target',100,1,0),
(315163,10104328,'Prevents AOE (except when direct) ',100,1,1),
(315164,10104328,'Dispelled when target takes damage',100,1,2),
(315165,10104328,'Certain enemies cannot be charmed',100,1,3),
(315166,10104328,'Only affects targets level 16 and below',100,1,4),
(315167,10104328,'Does not affect Epic targets',100,1,5),
(315168,10104328,'Resistibility increases against targets higher than level 31.',100,1,6),
(315169,137730,'When Equipped:',100,0,0),
(315170,137730,'Increases Attack Speed of caster by 33.0',100,1,1),
(315171,10137730,'When Equipped:',100,0,0),
(315172,10137730,'Increases Attack Speed of caster by 33.0',100,1,1),
(315173,118211,'Increases Damage Per Second of group members (AE) by 27.7',100,1,0),
(315174,10118211,'Increases Damage Per Second of group members (AE) by 27.7',100,1,0),
(315175,50531,'When Equipped:',100,0,0),
(315176,50531,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315177,50531,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(315178,50531,'Cannot be modified except by direct means',100,2,3),
(315179,10050531,'When Equipped:',100,0,0),
(315180,10050531,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315181,10050531,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(315182,10050531,'Cannot be modified except by direct means',100,2,3),
(315183,122509,'Inflicts 688 - 1146 mental damage on targets in Area of Effect',100,1,0),
(315184,10122509,'Inflicts 894 - 1490 mental damage on targets in Area of Effect',100,1,0),
(315185,112302,'Inflicts 198 - 242 disease damage on target',100,1,0),
(315186,112302,'Inflicts 99 - 121 disease damage on target every 3 seconds',100,1,1),
(315187,112302,'Increases Threat to target by 2,014 - 2,462  instantly and by 378 - 462  every 3 seconds thereafter',100,1,2),
(315188,10112302,'Inflicts 129 - 157 disease damage on target every 3 seconds',100,1,0),
(315189,10112302,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(315190,103330,'Inflicts 99 - 121 mental damage on target instantly and every 6 seconds',100,1,0),
(315191,103330,'Applies Migraine on termination.',100,1,1),
(315192,103330,'Inflicts 216 - 292 mental damage on target',100,2,2),
(315193,10103330,'Inflicts 129 - 157 mental damage on target instantly and every 6 seconds',100,1,0),
(315194,10103330,'Applies Migraine on termination.',100,1,1),
(315195,10103330,'Inflicts 281 - 380 mental damage on target',100,2,2),
(315196,110805,'Inflicts 14 - 19 mental damage on target',100,1,0),
(315197,110805,'Interrupts target',100,1,1),
(315198,10110805,'Inflicts 19 - 25 mental damage on target',100,1,0),
(315199,10110805,'Interrupts target',100,1,1),
(315200,110252,'Slows target by 42.8%',100,1,0),
(315201,110252,'Inflicts 142 - 237 melee damage on target',100,1,1),
(315202,110252,'5% chance to dispel when target receives hostile action',100,1,2),
(315203,110252,'5% chance to dispel when target takes damage',100,1,3),
(315204,10110252,'Slows target by 42.8%',100,1,0),
(315205,10110252,'Inflicts 185 - 308 melee damage on target',100,1,1),
(315206,10110252,'5% chance to dispel when target receives hostile action',100,1,2),
(315207,10110252,'5% chance to dispel when target takes damage',100,1,3),
(315208,111219,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(315209,111219,'Heals target for 71 - 86',100,2,1),
(315210,10111219,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(315211,10111219,'Heals target for 46 - 56',100,2,1),
(315212,47498,'Applies Personal Theme Music: Hymn of Creation when Activated.',100,0,0),
(315213,47498,'Play your own personal theme music!',100,1,1),
(315214,10047498,'Applies Personal Theme Music: Hymn of Creation when Activated.',100,0,0),
(315215,10047498,'Play your own personal theme music!',100,1,1),
(315216,118722,'Inflicts 81 - 135 slashing damage on target',100,1,0),
(315217,118722,'Decreases Slashing, Crushing and Piercing of target by 7.6',100,1,1),
(315218,118722,'Inflicts 33 - 41 slashing damage on target every 5 seconds',100,1,2),
(315219,10118722,'Inflicts 105 - 175 slashing damage on target',100,1,0),
(315220,10118722,'Decreases Slashing, Crushing and Piercing of target by 7.6',100,1,1),
(315221,10118722,'Inflicts 43 - 53 slashing damage on target every 5 seconds',100,1,2),
(315222,114854,'Decreases AGI of target by 27.8',100,1,0),
(315223,114854,'Decreases Defense of target by 10.6',100,1,1),
(315224,10114854,'Decreases AGI of target by 27.8',100,1,0),
(315225,10114854,'Decreases Defense of target by 10.6',100,1,1),
(315226,144278,'When Equipped:',100,0,0),
(315227,144278,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(315228,144278,'Must not be engaged in pvp combat',100,1,2),
(315229,10144278,'When Equipped:',100,0,0),
(315230,10144278,'Reduces the power cost of beneficial spells by 5%.',100,1,1),
(315231,10144278,'Must not be engaged in pvp combat',100,1,2),
(315232,113986,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(315233,113986,'Inflicts 26 - 44 melee damage on target',100,2,1),
(315234,113986,'Increases Threat to target by 133 ',100,2,2),
(315235,10113986,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(315236,10113986,'Inflicts 34 - 57 melee damage on target',100,2,1),
(315237,147148,'Applies Atheneal Disease when Activated.  Lasts for 30.0 seconds.',100,0,0),
(315238,147148,'All offensive spells deal disease damage.',100,1,1),
(315239,147148,'Must be in Ward of Elements.',100,1,2),
(315240,147148,'The casting time of Atheneal Disease is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(315241,10147148,'Applies Atheneal Disease when Activated.  Lasts for 30.0 seconds.',100,0,0),
(315242,10147148,'All offensive spells deal disease damage.',100,1,1),
(315243,10147148,'Must be in Ward of Elements.',100,1,2),
(315244,10147148,'The casting time of Atheneal Disease is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,3),
(315245,121828,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(315246,121828,'Increases Mitigation of group members (AE) vs arcane damage by 600',100,1,1),
(315247,10121828,'Increases Max Health of group members (AE) by 138.4',100,1,0),
(315248,10121828,'Increases Mitigation of group members (AE) vs arcane damage by 600',100,1,1),
(315249,106546,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,0),
(315250,106546,'Increases Hate Gain of target by 30.0%',100,2,1),
(315251,106546,'Grants a total of 1 trigger of the spell.',100,2,2),
(315252,106546,'Inflicts 379 - 464 melee damage on target',100,1,3),
(315253,10106546,'25% chance to apply Distract on termination.',100,1,0),
(315254,10106546,'Forces target to clear their selected target.',100,2,1),
(315255,10106546,'Inflicts 493 - 603 melee damage on target',100,1,2),
(315256,25948,'When Equipped:',100,0,0),
(315257,25948,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(315258,25948,'Decreases Threat to target encounter by 334 ',100,2,2),
(315259,25948,'Cannot be modified except by direct means',100,2,3),
(315260,10025948,'When Equipped:',100,0,0),
(315261,10025948,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(315262,10025948,'Cannot be modified except by direct means',100,2,2),
(315263,174103,'When Equipped:',100,0,0),
(315264,174103,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315265,174103,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(315266,174103,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(315267,174103,'Increases Crit Chance of caster by 25.0',100,2,4),
(315268,174103,'Cannot be modified except by direct means',100,2,5),
(315269,10174103,'When Equipped:',100,0,0),
(315270,10174103,'On a critical combat hit this spell may cast Spreading Shadows on target.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315271,10174103,'Caster has a 5.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,2),
(315272,10174103,'Increases Multi Attack Chance of caster by 20.0',100,2,3),
(315273,10174103,'Increases Crit Chance of caster by 25.0',100,2,4),
(315274,10174103,'Cannot be modified except by direct means',100,2,5),
(315275,122657,'Decreases Defense of target by 6.3',100,1,0),
(315276,122657,'Decreases Mitigation of target vs physical damage by 105',100,1,1),
(315277,10122657,'Decreases Defense of target by 6.3',100,1,0),
(315278,10122657,'Decreases Mitigation of target vs physical damage by 105',100,1,1),
(315279,45873,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(315280,45873,'Increases power of caster by 121 instantly and every 4 seconds',100,1,1),
(315281,45873,'Requires 715 Health to cast.',100,1,2),
(315282,10045873,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(315283,10045873,'Increases power of caster by 121 instantly and every 4 seconds',100,1,1),
(315284,10045873,'Requires 715 Health to cast.',100,1,2),
(315285,35089,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(315286,115629,'Wards target against 3528 points of all damage',100,1,0),
(315287,10115629,'Wards target against 5292 points of all damage',100,1,0),
(315288,48857,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(315289,48857,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(315290,48857,'Stifles target',100,2,2),
(315291,48857,'If Target is not Epic',100,3,3),
(315292,48857,'Cannot be modified except by direct means',100,2,4),
(315293,48857,'Grants a total of 4 triggers of the spell.',100,2,5),
(315294,10048857,'Applies psychotic resistance when Activated.  Lasts for 12 hours.',100,0,0),
(315295,10048857,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 7.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(315296,10048857,'Stifles target',100,2,2),
(315297,10048857,'If Target is not Epic',100,3,3),
(315298,10048857,'Cannot be modified except by direct means',100,2,4),
(315299,10048857,'Grants a total of 4 triggers of the spell.',100,2,5),
(315300,82737,'When Equipped:',100,0,0),
(315301,82737,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315302,82737,'Decreases Threat to target by 487 ',100,2,2),
(315303,82737,'Must be flanking or behind',100,3,3),
(315304,82737,'Increases Threat to target by 487 ',100,2,4),
(315305,82737,'Must be in front of',100,3,5),
(315306,82737,'Inflicts 108 - 200 magic damage on target',100,2,6),
(315307,82737,'Cannot be modified except by direct means',100,2,7),
(315308,10082737,'When Equipped:',100,0,0),
(315309,10082737,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315310,10082737,'Inflicts 140 - 260 magic damage on target',100,2,2),
(315311,10082737,'Cannot be modified except by direct means',100,2,3),
(315312,106648,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(315313,106648,'Increases Mitigation of caster vs physical damage by 199',100,2,1),
(315314,106648,'Decreases Mitigation of target encounter vs physical damage by 998',100,1,2),
(315315,10106648,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(315316,10106648,'Increases Mitigation of caster vs physical damage by 199',100,2,1),
(315317,10106648,'Decreases Mitigation of target encounter vs physical damage by 998',100,1,2),
(315318,108627,'Feigns Death with 96% chance of success',100,1,0),
(315319,10108627,'Feigns Death with 96% chance of success',100,1,0),
(315320,47848,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(315321,47848,'Increases power of caster by 104 instantly and every 4 seconds',100,1,1),
(315322,47848,'Requires 715 Health to cast.',100,1,2),
(315323,10047848,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(315324,10047848,'Increases power of caster by 104 instantly and every 4 seconds',100,1,1),
(315325,10047848,'Requires 715 Health to cast.',100,1,2),
(315326,46717,'Applies Use Jorlak''s Chrono Periapt when Activated.',100,0,0),
(315327,46717,'This effect cannot be cast during combat',100,1,1),
(315328,46717,'If any of the following are true:',100,1,2),
(315329,46717,'Must be in zone Skyshrine: The City of Dracur',100,2,3),
(315330,46717,'Must be in zone Skyshrine: The Forbidden City of Dracur',100,2,4),
(315331,10046717,'Applies Use Jorlak''s Chrono Periapt when Activated.',100,0,0),
(315332,10046717,'This effect cannot be cast during combat',100,1,1),
(315333,10046717,'If any of the following are true:',100,1,2),
(315334,10046717,'Must be in zone Skyshrine: The City of Dracur',100,2,3),
(315335,10046717,'Must be in zone Skyshrine: The Forbidden City of Dracur',100,2,4),
(315336,102549,'Increases AGI of caster by 16.6',100,1,0),
(315337,102549,'Increases Max Health of caster by 32.6',100,1,1),
(315338,102549,'Adds 15.6% to base avoidance.',100,1,2),
(315339,102549,'Increases Mitigation of caster vs physical damage by 91',100,1,3),
(315340,102549,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',100,1,4),
(315341,10102549,'Increases AGI of caster by 16.6',100,1,0),
(315342,10102549,'Increases Max Health of caster by 32.6',100,1,1),
(315343,10102549,'Adds 15.6% to base avoidance.',100,1,2),
(315344,10102549,'Increases Mitigation of caster vs physical damage by 91',100,1,3),
(315345,10102549,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',100,1,4),
(315346,110901,'Inflicts 700 - 855 heat damage on target encounter',100,1,0),
(315347,10110901,'Inflicts 910 - 1112 heat damage on target encounter',100,1,0),
(315348,108229,'Inflicts 103 - 310 piercing damage on target',100,1,0),
(315349,108229,'Decreases Slashing, Crushing, Piercing and Ranged of target by 18.0',100,1,1),
(315350,10108229,'Inflicts 134 - 403 piercing damage on target',100,1,0),
(315351,10108229,'Decreases Slashing, Crushing, Piercing and Ranged of target by 18.0',100,1,1),
(315352,140794,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(315353,140794,'Decreases INT, STR, WIS and AGI of target by 40.3',100,1,1),
(315354,140794,'Decreases Max Health of target by 1.0%',100,1,2),
(315355,140794,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(315356,10140794,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(315357,10140794,'Decreases INT, STR, WIS and AGI of target by 40.3',100,1,1),
(315358,10140794,'Decreases Max Health of target by 1.0%',100,1,2),
(315359,10140794,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(315360,103811,'Increases Ability Casting Speed of raid and group members (AE) by 4.2%',100,1,0),
(315361,103811,'Increases Attack Speed of raid and group members (AE) by 10.6',100,1,1),
(315362,10103811,'Increases Ability Casting Speed of raid and group members (AE) by 4.2%',100,1,0),
(315363,10103811,'Increases Attack Speed of raid and group members (AE) by 10.6',100,1,1),
(315364,123326,'Increases STA of raid and group members (AE) by 31.8',100,1,0),
(315365,123326,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(315366,10123326,'Increases STA of raid and group members (AE) by 31.8',100,1,0),
(315367,10123326,'Increase spell damage of group and raid members by 2.97%.',100,1,1),
(315368,46796,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(315369,46796,'Increases Attack Speed of caster by 3.6',100,1,1),
(315370,10046796,'Applies Lightning Root when Activated.  Lasts for 1 minute.',100,0,0),
(315371,10046796,'Increases Attack Speed of caster by 3.6',100,1,1),
(315372,82655,'When Equipped:',100,0,0),
(315373,82655,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315374,82655,'Decreases Threat to target by 259 ',100,2,2),
(315375,82655,'Must be flanking or behind',100,3,3),
(315376,82655,'Increases Threat to target by 259 ',100,2,4),
(315377,82655,'Must be in front of',100,3,5),
(315378,82655,'Inflicts 79 - 146 magic damage on target',100,2,6),
(315379,82655,'Cannot be modified except by direct means',100,2,7),
(315380,10082655,'When Equipped:',100,0,0),
(315381,10082655,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315382,10082655,'Inflicts 102 - 190 magic damage on target',100,2,2),
(315383,10082655,'Cannot be modified except by direct means',100,2,3),
(315384,124631,'Heals group members (AE) for 471 - 575',100,1,0),
(315385,124631,'Heals group members (AE) for 79 - 97 every second',100,1,1),
(315386,10124631,'Heals group members (AE) for 687 - 840',100,1,0),
(315387,10124631,'Heals group members (AE) for 86 - 105 every second',100,1,1),
(315388,45311,'Applies Behavioral Modificatinator Stereopticon when Activated.',100,0,0),
(315389,45311,'Sometimes a good knock in the head can make ''em forget you''re even there!',100,1,1),
(315390,10045311,'Applies Behavioral Modificatinator Stereopticon when Activated.',100,0,0),
(315391,10045311,'Sometimes a good knock in the head can make ''em forget you''re even there!',100,1,1),
(315392,109478,'Inflicts 186 - 310 cold damage on target',100,1,0),
(315393,10109478,'Inflicts 242 - 403 cold damage on target',100,1,0),
(315394,118889,'Inflicts 115 - 192 melee damage on target',100,1,0),
(315395,118889,'Inflicts 115 - 192 melee damage on target',100,1,1),
(315396,118889,'Inflicts 115 - 192 melee damage on target',100,1,2),
(315397,118889,'Inflicts 115 - 192 melee damage on target',100,1,3),
(315398,118889,'Inflicts 115 - 192 melee damage on target',100,1,4),
(315399,10118889,'Inflicts 149 - 249 melee damage on target',100,1,0),
(315400,10118889,'Inflicts 149 - 249 melee damage on target',100,1,1),
(315401,10118889,'Inflicts 149 - 249 melee damage on target',100,1,2),
(315402,10118889,'Inflicts 149 - 249 melee damage on target',100,1,3),
(315403,10118889,'Inflicts 149 - 249 melee damage on target',100,1,4),
(315404,124390,'Decreases STR of target by 10.1',100,1,0),
(315405,10124390,'Decreases STR of target by 10.1',100,1,0),
(315406,100109,'Decreases STR, AGI, WIS and INT of target by 17.8',100,1,0),
(315407,100109,'Decreases Max Health of target by 0.7%',100,1,1),
(315408,10100109,'Decreases STR, AGI, WIS and INT of target by 17.8',100,1,0),
(315409,10100109,'Decreases Max Health of target by 0.7%',100,1,1),
(315410,107459,'Summons a pet earthen avatar',100,1,0),
(315411,10107459,'Summons a pet earthen avatar',100,1,0),
(315412,82837,'When Equipped:',100,0,0),
(315413,82837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315414,82837,'Inflicts 205 - 381 magic damage on target',100,2,2),
(315415,82837,'Cannot be modified except by direct means',100,2,3),
(315416,10082837,'When Equipped:',100,0,0),
(315417,10082837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315418,10082837,'Inflicts 267 - 495 magic damage on target',100,2,2),
(315419,10082837,'Cannot be modified except by direct means',100,2,3),
(315420,36593,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(315421,74925,'When Equipped:',100,0,0),
(315422,74925,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315423,74925,'Inflicts 26 - 40 magic damage on target',100,2,2),
(315424,74925,'Cannot be modified except by direct means',100,2,3),
(315425,10074925,'When Equipped:',100,0,0),
(315426,10074925,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315427,10074925,'Inflicts 34 - 51 magic damage on target',100,2,2),
(315428,10074925,'Cannot be modified except by direct means',100,2,3),
(315429,74841,'When Equipped:',100,0,0),
(315430,74841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315431,74841,'Inflicts 111 - 166 magic damage on target',100,2,2),
(315432,74841,'Cannot be modified except by direct means',100,2,3),
(315433,10074841,'When Equipped:',100,0,0),
(315434,10074841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315435,10074841,'Inflicts 144 - 216 magic damage on target',100,2,2),
(315436,10074841,'Cannot be modified except by direct means',100,2,3),
(315437,101946,'Inflicts 450 - 750 melee damage on target',100,1,0),
(315438,101946,'Inflicts 150 piercing damage on target instantly and every 4 seconds',100,1,1),
(315439,101946,'Must be behind',100,1,2),
(315440,10101946,'Inflicts 585 - 976 melee damage on target',100,1,0),
(315441,10101946,'Inflicts 195 piercing damage on target instantly and every 4 seconds',100,1,1),
(315442,10101946,'Must be behind',100,1,2),
(315443,45426,'Applies Brown Nightmare Warg with Blue Armor when Activated.',100,0,0),
(315444,45426,'Increases Crushing of caster by 7.0',100,1,1),
(315445,45426,'Summons a mount to ride',100,1,2),
(315446,45426,'Increases your ground speed by 130%',100,2,3),
(315447,45426,'Increases damage done by spells and combat arts by up to 75.',100,1,4),
(315448,45426,'Increases Disruption, Piercing, Slashing and Ranged of caster by 7.0',100,1,5),
(315449,45426,'Requires evil alignment',100,1,6),
(315450,10045426,'Applies Brown Nightmare Warg with Blue Armor when Activated.',100,0,0),
(315451,10045426,'Increases Crushing of caster by 7.0',100,1,1),
(315452,10045426,'Summons a mount to ride',100,1,2),
(315453,10045426,'Increases your ground speed by 130%',100,2,3),
(315454,10045426,'Increases damage done by spells and combat arts by up to 75.',100,1,4),
(315455,10045426,'Increases Disruption, Piercing, Slashing and Ranged of caster by 7.0',100,1,5),
(315456,10045426,'Requires evil alignment',100,1,6),
(315457,72222,'When Equipped:',100,0,0),
(315458,72222,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315459,72222,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(315460,72222,'Cannot be modified except by direct means',100,2,3),
(315461,10072222,'When Equipped:',100,0,0),
(315462,10072222,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315463,10072222,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(315464,10072222,'Cannot be modified except by direct means',100,2,3),
(315465,110046,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(315466,110046,'Inflicts 338 - 563 disease damage on target',100,2,1),
(315467,110046,'Heals caster for 2.0 - 3.4% of max health',100,2,2),
(315468,110046,'This effect cannot be critically applied.',100,3,3),
(315469,110046,'The healing of this spell cannot be modified except by direct means',100,2,4),
(315470,10110046,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(315471,10110046,'Inflicts 439 - 732 disease damage on target',100,2,1),
(315472,10110046,'Heals caster for 0.6 - 1.0% of max health',100,2,2),
(315473,10110046,'This effect cannot be critically applied.',100,3,3),
(315474,10110046,'The healing of this spell cannot be modified except by direct means',100,2,4),
(315475,41988,'When Equipped:',100,0,0),
(315476,41988,'On a critical combat hit this spell may cast Mana Deluge VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(315477,41988,'Inflicts 1125 - 1243 crushing damage on target',100,2,2),
(315478,41988,'Increases power of caster by 98',100,2,3),
(315479,41988,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,4),
(315480,41988,'Must not be engaged in pvp combat',100,2,5),
(315481,41988,'Cannot be modified except by direct means',100,2,6),
(315482,41988,'On a critical spell hit this spell may cast Mana Deluge VII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(315483,41988,'Inflicts 1125 - 1243 crushing damage on target',100,2,8),
(315484,41988,'Increases power of caster by 98',100,2,9),
(315485,41988,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,10),
(315486,41988,'Must not be engaged in pvp combat',100,2,11),
(315487,41988,'Cannot be modified except by direct means',100,2,12),
(315488,41988,'Must not be engaged in pvp combat',100,1,13),
(315489,10041988,'When Equipped:',100,0,0),
(315490,10041988,'On a critical combat hit this spell may cast Mana Deluge VII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(315491,10041988,'Inflicts 1462 - 1616 crushing damage on target',100,2,2),
(315492,10041988,'Increases power of caster by 98',100,2,3),
(315493,10041988,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,4),
(315494,10041988,'Must not be engaged in pvp combat',100,2,5),
(315495,10041988,'Cannot be modified except by direct means',100,2,6),
(315496,10041988,'On a critical spell hit this spell may cast Mana Deluge VII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(315497,10041988,'Inflicts 1462 - 1616 crushing damage on target',100,2,8),
(315498,10041988,'Increases power of caster by 98',100,2,9),
(315499,10041988,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,10),
(315500,10041988,'Must not be engaged in pvp combat',100,2,11),
(315501,10041988,'Cannot be modified except by direct means',100,2,12),
(315502,10041988,'Must not be engaged in pvp combat',100,1,13),
(315503,82597,'When Equipped:',100,0,0),
(315504,82597,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315505,82597,'Inflicts 79 - 146 magic damage on target',100,2,2),
(315506,82597,'Decreases Threat to target by 259 ',100,2,3),
(315507,82597,'Must be flanking or behind',100,3,4),
(315508,82597,'Increases Threat to target by 259 ',100,2,5),
(315509,82597,'Must be in front of',100,3,6),
(315510,82597,'Cannot be modified except by direct means',100,2,7),
(315511,10082597,'When Equipped:',100,0,0),
(315512,10082597,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315513,10082597,'Inflicts 102 - 190 magic damage on target',100,2,2),
(315514,10082597,'Cannot be modified except by direct means',100,2,3),
(315515,110263,'Slows target by 51.7%',100,1,0),
(315516,110263,'Inflicts 232 - 386 melee damage on target',100,1,1),
(315517,110263,'5% chance to dispel when target receives hostile action',100,1,2),
(315518,110263,'5% chance to dispel when target takes damage',100,1,3),
(315519,10110263,'Slows target by 51.7%',100,1,0),
(315520,10110263,'Inflicts 301 - 502 melee damage on target',100,1,1),
(315521,10110263,'5% chance to dispel when target receives hostile action',100,1,2),
(315522,10110263,'5% chance to dispel when target takes damage',100,1,3),
(315523,80686,'When Equipped:',100,0,0),
(315524,80686,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315525,80686,'Inflicts 56 - 103 magic damage on target',100,2,2),
(315526,80686,'Cannot be modified except by direct means',100,2,3),
(315527,10080686,'When Equipped:',100,0,0),
(315528,10080686,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315529,10080686,'Inflicts 72 - 134 magic damage on target',100,2,2),
(315530,10080686,'Cannot be modified except by direct means',100,2,3),
(315531,87192,'When Equipped:',100,0,0),
(315532,87192,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315533,87192,'Inflicts 73 - 110 magic damage on target',100,2,2),
(315534,87192,'Cannot be modified except by direct means',100,2,3),
(315535,10087192,'When Equipped:',100,0,0),
(315536,10087192,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315537,10087192,'Inflicts 95 - 143 magic damage on target',100,2,2),
(315538,10087192,'Cannot be modified except by direct means',100,2,3),
(315539,49170,'Applies Wyrmsteel - Barrier Breach when Activated.',100,0,0),
(315540,49170,'Decreases Mitigation of target vs physical damage by 600',100,1,1),
(315541,49170,'If target is darathar',100,1,2),
(315542,10049170,'Applies Wyrmsteel - Barrier Breach when Activated.',100,0,0),
(315543,10049170,'Decreases Mitigation of target vs physical damage by 600',100,1,1),
(315544,10049170,'If target is darathar',100,1,2),
(315545,114089,'Inflicts 133 - 222 melee damage on targets in area',100,1,0),
(315546,114089,'You must be in stealth to use this!',100,1,1),
(315547,10114089,'Inflicts 173 - 288 melee damage on targets in area',100,1,0),
(315548,10114089,'You must be in stealth to use this!',100,1,1),
(315549,35102,'Increases STA and AGI of target by 6.2',100,0,0),
(315550,35102,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(315551,35728,'Increases Max Power of target by 80.0',100,0,0),
(315552,35728,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(315553,36446,'Target will Parry 2.5% of incoming attacks',100,0,0),
(315554,36446,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(315555,141723,'When Equipped:',100,0,0),
(315556,141723,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(315557,141723,'Increases STA of caster by 11.9',100,2,2),
(315558,141723,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(315559,141723,'Cannot be modified except by direct means',100,2,4),
(315560,10141723,'When Equipped:',100,0,0),
(315561,10141723,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(315562,10141723,'Increases STA of caster by 11.9',100,2,2),
(315563,10141723,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(315564,10141723,'Cannot be modified except by direct means',100,2,4),
(315565,114097,'Inflicts 389 - 649 melee damage on targets in area',100,1,0),
(315566,114097,'You must be in stealth to use this!',100,1,1),
(315567,10114097,'Inflicts 506 - 844 melee damage on targets in area',100,1,0),
(315568,10114097,'You must be in stealth to use this!',100,1,1),
(315569,24217,'Adds Crushbone: Sack to your Dungeon Maker toolbox',100,0,0),
(315570,10024217,'Adds Crushbone: Sack to your Dungeon Maker toolbox',100,0,0),
(315571,107770,'Stuns target',100,1,0),
(315572,107770,'If Target is not Epic',100,2,1),
(315573,107770,'Inflicts 1133 - 1888 cold damage on target',100,1,2),
(315574,107770,'Resistibility increases against targets higher than level 101.',100,1,3),
(315575,10107770,'Stuns target',100,1,0),
(315576,10107770,'If Target is not Epic',100,2,1),
(315577,10107770,'Inflicts 1472 - 2454 cold damage on target',100,1,2),
(315578,10107770,'Resistibility increases against targets higher than level 101.',100,1,3),
(315579,173103,'When Equipped:',100,0,0),
(315580,173103,'When damaged with a melee weapon this spell has a 8% chance to cast Stone Stance on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(315581,173103,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,2),
(315582,173103,'Cannot be modified except by direct means',100,2,3),
(315583,173103,'This effect can only trigger once every 20 seconds.',100,2,4),
(315584,10173103,'When Equipped:',100,0,0),
(315585,10173103,'When damaged with a melee weapon this spell has a 8% chance to cast Stone Stance on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(315586,10173103,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',100,2,2),
(315587,10173103,'Cannot be modified except by direct means',100,2,3),
(315588,10173103,'This effect can only trigger once every 20 seconds.',100,2,4),
(315589,101044,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(315590,101044,'Inflicts 308 poison damage on target instantly and every 4 seconds',100,2,1),
(315591,101044,'If profession other than Predator',100,1,2),
(315592,101044,'If profession other than Rogue',100,1,3),
(315593,10101044,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(315594,10101044,'Inflicts 400 poison damage on target instantly and every 4 seconds',100,2,1),
(315595,10101044,'If profession other than Predator',100,1,2),
(315596,10101044,'If profession other than Rogue',100,1,3),
(315597,120181,'Applies Life Draw on termination.',100,1,0),
(315598,120181,'Inflicts 322 - 536 disease damage on target',100,2,1),
(315599,120181,'Heals caster for 10.9 - 13.3% of max health',100,2,2),
(315600,120181,'This effect cannot be critically applied.',100,3,3),
(315601,120181,'The healing of this spell cannot be modified except by direct means',100,2,4),
(315602,120181,'Inflicts 93 - 156 disease damage on target',100,1,5),
(315603,10120181,'Applies Life Draw on termination.',100,1,0),
(315604,10120181,'Inflicts 418 - 697 disease damage on target',100,2,1),
(315605,10120181,'Heals caster for 3.0 - 3.6% of max health',100,2,2),
(315606,10120181,'This effect cannot be critically applied.',100,3,3),
(315607,10120181,'The healing of this spell cannot be modified except by direct means',100,2,4),
(315608,10120181,'Inflicts 121 - 203 disease damage on target',100,1,5),
(315609,105157,'Increases AGI of caster by 34.0',100,1,0),
(315610,105157,'Adds 1.5% to base avoidance.',100,1,1),
(315611,105157,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(315612,105157,'Increases Parry of caster by 19.7',100,1,3),
(315613,105157,'Increases Defense of caster by 26.2',100,1,4),
(315614,10105157,'Increases AGI of caster by 34.0',100,1,0),
(315615,10105157,'Adds 1.5% to base avoidance.',100,1,1),
(315616,10105157,'Decreases Slashing and Piercing of caster by 19.3',100,1,2),
(315617,10105157,'Increases Parry of caster by 19.7',100,1,3),
(315618,10105157,'Increases Defense of caster by 26.2',100,1,4),
(315619,117098,'Mesmerizes target encounter',100,1,0),
(315620,117098,'Prevents AOE (except when direct) ',100,1,1),
(315621,117098,'Dispelled when target takes damage',100,1,2),
(315622,117098,'Epic targets gain an immunity to Mesmerize effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(315623,117098,'Resistibility increases against targets higher than level 68.',100,1,4),
(315624,10117098,'Mesmerizes target encounter',100,1,0),
(315625,10117098,'Prevents AOE (except when direct) ',100,1,1),
(315626,10117098,'Dispelled when target takes damage',100,1,2),
(315627,10117098,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(315628,10117098,'Resistibility increases against targets higher than level 68.',100,1,4),
(315629,107848,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(315630,107848,'Slows target by 50.9%',100,2,1),
(315631,107848,'5% chance to dispel when target receives hostile action',100,2,2),
(315632,107848,'5% chance to dispel when target takes damage',100,2,3),
(315633,107848,'Decreases Mitigation of target vs arcane damage by 380',100,1,4),
(315634,10107848,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(315635,10107848,'Slows target by 50.9%',100,2,1),
(315636,10107848,'5% chance to dispel when target receives hostile action',100,2,2),
(315637,10107848,'5% chance to dispel when target takes damage',100,2,3),
(315638,10107848,'Decreases Mitigation of target vs arcane damage by 380',100,1,4),
(315639,112727,'Inflicts 336 - 559 disease damage on target encounter',100,1,0),
(315640,10112727,'Inflicts 436 - 727 disease damage on target encounter',100,1,0),
(315641,103388,'Decreases power of target by 46 instantly and every 6 seconds',100,1,0),
(315642,103388,'Inflicts 184 - 225 mental damage on target instantly and every 6 seconds',100,1,1),
(315643,103388,'Increases power of caster by 233',100,1,2),
(315644,10103388,'Decreases power of target by 46 instantly and every 6 seconds',100,1,0),
(315645,10103388,'Inflicts 240 - 293 mental damage on target instantly and every 6 seconds',100,1,1),
(315646,10103388,'Increases power of caster by 233',100,1,2),
(315647,71942,'When Equipped:',100,0,0),
(315648,71942,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315649,71942,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(315650,71942,'Cannot be modified except by direct means',100,2,3),
(315651,10071942,'When Equipped:',100,0,0),
(315652,10071942,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(315653,10071942,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(315654,10071942,'Cannot be modified except by direct means',100,2,3),
(315655,81396,'When Equipped:',100,0,0),
(315656,81396,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315657,81396,'Inflicts 80 - 149 magic damage on target',100,2,2),
(315658,81396,'Decreases Threat to target by 352 ',100,2,3),
(315659,81396,'Must be flanking or behind',100,3,4),
(315660,81396,'Increases Threat to target by 352 ',100,2,5),
(315661,81396,'Must be in front of',100,3,6),
(315662,81396,'Cannot be modified except by direct means',100,2,7),
(315663,10081396,'When Equipped:',100,0,0),
(315664,10081396,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315665,10081396,'Inflicts 104 - 193 magic damage on target',100,2,2),
(315666,10081396,'Cannot be modified except by direct means',100,2,3),
(315667,45351,'Applies fill when Activated.',100,0,0),
(315668,45351,'This effect cannot be cast during combat',100,1,1),
(315669,45351,'must be in a particular area',100,1,2),
(315670,10045351,'Applies fill when Activated.',100,0,0),
(315671,10045351,'This effect cannot be cast during combat',100,1,1),
(315672,10045351,'must be in a particular area',100,1,2),
(315673,159188,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(315674,159188,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(315675,159188,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(315676,159188,'Cannot be modified except by direct means',100,2,3),
(315677,10159188,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(315678,10159188,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(315679,10159188,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(315680,10159188,'Cannot be modified except by direct means',100,2,3),
(315681,105101,'Inflicts 266 - 359 magic damage on target',100,1,0),
(315682,10105101,'Inflicts 345 - 467 magic damage on target',100,1,0),
(315683,36865,'Increases WIS of target by 4.3',100,0,0),
(315684,36865,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(315685,114626,'Decreases WIS of target by 25.6',100,1,0),
(315686,114626,'Inflicts 205 - 342 melee damage on target',100,1,1),
(315687,114626,'You must be sneaking to use this ability.',100,1,2),
(315688,10114626,'Decreases WIS of target by 25.6',100,1,0),
(315689,10114626,'Inflicts 266 - 444 melee damage on target',100,1,1),
(315690,10114626,'You must be sneaking to use this ability.',100,1,2),
(315691,103840,'Increases Ability Casting Speed of raid and group members (AE) by 9.5%',100,1,0),
(315692,103840,'Increases Attack Speed of raid and group members (AE) by 23.8',100,1,1),
(315693,10103840,'Increases Ability Casting Speed of raid and group members (AE) by 9.5%',100,1,0),
(315694,10103840,'Increases Attack Speed of raid and group members (AE) by 23.8',100,1,1),
(315695,107617,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(315696,107617,'Increases Mitigation of group members (AE) vs elemental damage by 160',100,1,1),
(315697,10107617,'Increases Max Power of group members (AE) by 68.4',100,1,0),
(315698,10107617,'Increases Mitigation of group members (AE) vs elemental damage by 160',100,1,1),
(315699,185358,'Applies Vengeance of the Dead when Activated.  Lasts for 30.0 seconds.',100,0,0),
(315700,185358,'Increases power of caster by 42',100,1,1),
(315701,185358,'Decreases power of caster by 166 every 3 seconds',100,1,2),
(315702,185358,'Shapechanges caster into a zombie',100,1,3),
(315703,185358,'Increases Damage Per Second of caster by 40.0',100,1,4),
(315704,185358,'The casting time of Vengeance of the Dead is 2.0 seconds and the reuse time of the spell is 20 minutes',100,1,5),
(315705,10185358,'Applies Vengeance of the Dead when Activated.  Lasts for 30.0 seconds.',100,0,0),
(315706,10185358,'Increases power of caster by 42',100,1,1),
(315707,10185358,'Decreases power of caster by 166 every 3 seconds',100,1,2),
(315708,10185358,'Shapechanges caster into a zombie',100,1,3),
(315709,10185358,'Increases Damage Per Second of caster by 40.0',100,1,4),
(315710,10185358,'The casting time of Vengeance of the Dead is 2.0 seconds and the reuse time of the spell is 20 minutes',100,1,5),
(315711,110296,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(315712,110296,'Slows target by 40.8%',100,2,1),
(315713,110296,'5% chance to dispel when target receives hostile action',100,2,2),
(315714,110296,'5% chance to dispel when target takes damage',100,2,3),
(315715,110296,'Decreases Mitigation of target vs arcane damage by 1235',100,1,4),
(315716,10110296,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(315717,10110296,'Slows target by 40.8%',100,2,1),
(315718,10110296,'5% chance to dispel when target receives hostile action',100,2,2),
(315719,10110296,'5% chance to dispel when target takes damage',100,2,3),
(315720,10110296,'Decreases Mitigation of target vs arcane damage by 1235',100,1,4),
(315721,47950,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(315722,47950,'Increases speed of caster by 18.0%',100,1,1),
(315723,10047950,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(315724,10047950,'Increases speed of caster by 18.0%',100,1,1),
(315725,48588,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(315726,48588,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(315727,48588,'Inflicts 345 poison damage on target',100,2,2),
(315728,48588,'Inflicts 56 poison damage on target instantly and every 6 seconds',100,2,3),
(315729,48588,'Cannot be modified except by direct means',100,2,4),
(315730,48588,'Grants a total of 200 triggers of the spell.',100,2,5),
(315731,10048588,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(315732,10048588,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(315733,10048588,'Inflicts 55 poison damage on target instantly and every 6 seconds',100,2,2),
(315734,10048588,'Inflicts 336 poison damage on target',100,2,3),
(315735,10048588,'Cannot be modified except by direct means',100,2,4),
(315736,10048588,'Grants a total of 200 triggers of the spell.',100,2,5),
(315737,47768,'Applies Rhino Form when Activated.',100,0,0),
(315738,47768,'Shapechanges caster into a rhino',100,1,1),
(315739,47768,'Must be in zone Jarsath Wastes',100,2,2),
(315740,47768,'Sets the faction for Thelia''s Pride to 50,000',100,1,3),
(315741,47768,'Must be in zone Jarsath Wastes',100,2,4),
(315742,47768,'Dispelled when target drops below 1% health',100,1,5),
(315743,47768,'Must be in zone Jarsath Wastes',100,1,6),
(315744,10047768,'Applies Rhino Form when Activated.',100,0,0),
(315745,10047768,'Shapechanges caster into a rhino',100,1,1),
(315746,10047768,'Must be in zone Jarsath Wastes',100,2,2),
(315747,10047768,'Sets the faction for Thelia''s Pride to 50,000',100,1,3),
(315748,10047768,'Must be in zone Jarsath Wastes',100,2,4),
(315749,10047768,'Dispelled when target drops below 1% health',100,1,5),
(315750,10047768,'Must be in zone Jarsath Wastes',100,1,6),
(315751,87501,'When Equipped:',100,0,0),
(315752,87501,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315753,87501,'Inflicts 72 - 108 magic damage on target',100,2,2),
(315754,87501,'Cannot be modified except by direct means',100,2,3),
(315755,10087501,'When Equipped:',100,0,0),
(315756,10087501,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315757,10087501,'Inflicts 93 - 140 magic damage on target',100,2,2),
(315758,10087501,'Cannot be modified except by direct means',100,2,3),
(315759,81098,'When Equipped:',100,0,0),
(315760,81098,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315761,81098,'Inflicts 148 - 275 magic damage on target',100,2,2),
(315762,81098,'Cannot be modified except by direct means',100,2,3),
(315763,10081098,'When Equipped:',100,0,0),
(315764,10081098,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315765,10081098,'Inflicts 192 - 357 magic damage on target',100,2,2),
(315766,10081098,'Cannot be modified except by direct means',100,2,3),
(315767,107880,'Decreases Mitigation of target vs elemental damage by 3302',100,1,0),
(315768,107880,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(315769,107880,'Slows target by 75.5%',100,2,2),
(315770,107880,'5% chance to dispel when target receives hostile action',100,2,3),
(315771,107880,'5% chance to dispel when target takes damage',100,2,4),
(315772,10107880,'Decreases Mitigation of target vs elemental damage by 3302',100,1,0),
(315773,10107880,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(315774,10107880,'Slows target by 75.5%',100,2,2),
(315775,10107880,'5% chance to dispel when target receives hostile action',100,2,3),
(315776,10107880,'5% chance to dispel when target takes damage',100,2,4),
(315777,110977,'Inflicts 1155 - 1926 ranged damage on target',100,1,0),
(315778,110977,'I need to be stealthed!',100,1,1),
(315779,110977,'Requires bow',100,1,2),
(315780,10110977,'Inflicts 650 - 1083 ranged damage on target',100,1,0),
(315781,10110977,'I need to be stealthed!',100,1,1),
(315782,10110977,'Requires bow',100,1,2),
(315783,100554,'Heals group members (AE) for 1296 - 1584',100,1,0),
(315784,10100554,'Heals group members (AE) for 1572 - 1922',100,1,0),
(315785,111165,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(315786,111165,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1583',100,1,1),
(315787,111165,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,2),
(315788,10111165,'Increases Max Health of group members (AE) by 579.7',100,1,0),
(315789,10111165,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1583',100,1,1),
(315790,10111165,'Increases Mitigation of group members (AE) vs physical damage by 983',100,1,2),
(315791,164596,'Applies Unstable Magics when Equipped.',100,0,0),
(315792,164596,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(315793,10164596,'Applies Unstable Magics when Equipped.',100,0,0),
(315794,10164596,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(315795,114633,'Decreases WIS of target by 53.5',100,1,0),
(315796,114633,'Inflicts 453 - 755 melee damage on target',100,1,1),
(315797,114633,'You must be sneaking to use this ability.',100,1,2),
(315798,10114633,'Decreases WIS of target by 53.5',100,1,0),
(315799,10114633,'Inflicts 589 - 982 melee damage on target',100,1,1),
(315800,10114633,'You must be sneaking to use this ability.',100,1,2),
(315801,36907,'Increases AGI of target by 2.4',100,0,0),
(315802,36907,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(315803,112949,'Inflicts 67 - 201 crushing damage on target',100,1,0),
(315804,10112949,'Inflicts 87 - 261 crushing damage on target',100,1,0),
(315805,113156,'Inflicts 191 disease damage on target',100,1,0),
(315806,113156,'Heals caster for 120',100,1,1),
(315807,10113156,'Inflicts 248 disease damage on target',100,1,0),
(315808,10113156,'Heals caster for 101',100,1,1),
(315809,106941,'Inflicts 142 - 263 poison damage on target',100,1,0),
(315810,10106941,'Inflicts 184 - 342 poison damage on target',100,1,0),
(315811,134923,'When Equipped:',100,0,0),
(315812,134923,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(315813,134923,'Decreases Threat to target by 800 ',100,2,2),
(315814,134923,'Cannot be modified except by direct means',100,2,3),
(315815,10134923,'When Equipped:',100,0,0),
(315816,10134923,'On a hostile spell cast this spell may cast Befuddle on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(315817,10134923,'Cannot be modified except by direct means',100,2,2),
(315818,102015,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(315819,102015,'Wards target against 352 points of all damage',100,2,1),
(315820,10102015,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(315821,10102015,'Wards target against 352 points of all damage',100,2,1),
(315822,80974,'When Equipped:',100,0,0),
(315823,80974,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315824,80974,'Inflicts 194 - 360 magic damage on target',100,2,2),
(315825,80974,'Cannot be modified except by direct means',100,2,3),
(315826,10080974,'When Equipped:',100,0,0),
(315827,10080974,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315828,10080974,'Inflicts 252 - 468 magic damage on target',100,2,2),
(315829,10080974,'Cannot be modified except by direct means',100,2,3),
(315830,157810,'When Equipped:',100,0,0),
(315831,157810,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(315832,157810,'Inflicts 516 divine damage on target',100,2,2),
(315833,157810,'Must not be classified as a vampire',100,3,3),
(315834,157810,'Inflicts 1031 divine damage on target',100,2,4),
(315835,157810,'Must be classified as a vampire',100,3,5),
(315836,157810,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(315837,157810,'Must be classified as a vampire',100,3,7),
(315838,157810,'Cannot be modified except by direct means',100,2,8),
(315839,157810,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(315840,10157810,'When Equipped:',100,0,0),
(315841,10157810,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(315842,10157810,'Inflicts 670 divine damage on target',100,2,2),
(315843,10157810,'Must not be classified as a vampire',100,3,3),
(315844,10157810,'Inflicts 1341 divine damage on target',100,2,4),
(315845,10157810,'Must be classified as a vampire',100,3,5),
(315846,10157810,'Decreases Mitigation of target vs arcane damage by 747',100,2,6),
(315847,10157810,'Must be classified as a vampire',100,3,7),
(315848,10157810,'Cannot be modified except by direct means',100,2,8),
(315849,10157810,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(315850,159490,'Applies Lambent Imbued when Equipped.',100,0,0),
(315851,159490,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(315852,159490,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(315853,159490,'Cannot be modified except by direct means',100,2,3),
(315854,10159490,'Applies Lambent Imbued when Equipped.',100,0,0),
(315855,10159490,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(315856,10159490,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(315857,10159490,'Cannot be modified except by direct means',100,2,3),
(315858,106472,'Decreases STR and AGI of target by 8.9',100,1,0),
(315859,10106472,'Decreases STR and AGI of target by 8.9',100,1,0),
(315860,52725,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(315861,52725,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(315862,52725,'Inflicts 28 heat damage on target',100,2,2),
(315863,52725,'Cannot be modified except by direct means',100,2,3),
(315864,10052725,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(315865,10052725,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(315866,10052725,'Inflicts 36 heat damage on target',100,2,2),
(315867,10052725,'Cannot be modified except by direct means',100,2,3),
(315868,112851,'Roots target',100,1,0),
(315869,112851,'5% chance to dispel when target takes damage',100,1,1),
(315870,112851,'Does not affect Epic targets',100,1,2),
(315871,112851,'Resistibility increases against targets higher than level 93.',100,1,3),
(315872,10112851,'Roots target',100,1,0),
(315873,10112851,'5% chance to dispel when target takes damage',100,1,1),
(315874,10112851,'Does not affect Epic targets',100,1,2),
(315875,10112851,'Resistibility increases against targets higher than level 93.',100,1,3),
(315876,177786,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(315877,177786,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(315878,177786,'Decreases Attack Speed of target by 14.6',100,2,2),
(315879,177786,'Cannot be modified except by direct means',100,2,3),
(315880,177786,'Slows target by 37.0%',100,1,4),
(315881,177786,'5% chance to dispel when target takes damage',100,1,5),
(315882,177786,'5% chance to dispel when target receives hostile action',100,1,6),
(315883,177786,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(315884,10177786,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(315885,10177786,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(315886,10177786,'Decreases Attack Speed of target by 14.6',100,2,2),
(315887,10177786,'Cannot be modified except by direct means',100,2,3),
(315888,10177786,'Slows target by 37.0%',100,1,4),
(315889,10177786,'5% chance to dispel when target takes damage',100,1,5),
(315890,10177786,'5% chance to dispel when target receives hostile action',100,1,6),
(315891,10177786,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(315892,114146,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(315893,114146,'Increases Mitigation of group members (AE) vs elemental damage by 1040',100,1,1),
(315894,10114146,'Increases Max Health of group members (AE) by 278.9',100,1,0),
(315895,10114146,'Increases Mitigation of group members (AE) vs elemental damage by 1040',100,1,1),
(315896,47150,'Applies Doradek''s Restoration  when Activated.',100,0,0),
(315897,47150,'Heals caster for 279',100,1,1),
(315898,10047150,'Applies Doradek''s Restoration  when Activated.',100,0,0),
(315899,10047150,'Heals caster for 181',100,1,1),
(315900,118779,'Increases INT and WIS of group members (AE) by 83.5',100,1,0),
(315901,118779,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 247',100,1,1),
(315902,10118779,'Increases INT and WIS of group members (AE) by 83.5',100,1,0),
(315903,10118779,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 247',100,1,1),
(315904,188438,'When Equipped:',100,0,0),
(315905,188438,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(315906,188438,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(315907,188438,'Must not be engaged in pvp combat',100,2,3),
(315908,188438,'Cannot be modified except by direct means',100,2,4),
(315909,188438,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(315910,188438,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(315911,188438,'Must not be engaged in pvp combat',100,2,7),
(315912,188438,'Cannot be modified except by direct means',100,2,8),
(315913,188438,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(315914,188438,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(315915,188438,'Must not be engaged in pvp combat',100,2,11),
(315916,188438,'Cannot be modified except by direct means',100,2,12),
(315917,188438,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(315918,188438,'Inflicts 60 piercing damage on target',100,2,14),
(315919,188438,'Must not be engaged in pvp combat',100,2,15),
(315920,188438,'Cannot be modified except by direct means',100,2,16),
(315921,10188438,'When Equipped:',100,0,0),
(315922,10188438,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(315923,10188438,'Increases Crit Bonus of caster by 4.5%',100,2,2),
(315924,10188438,'Must not be engaged in pvp combat',100,2,3),
(315925,10188438,'Cannot be modified except by direct means',100,2,4),
(315926,10188438,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(315927,10188438,'Increases Crit Bonus of caster by 4.5%',100,2,6),
(315928,10188438,'Must not be engaged in pvp combat',100,2,7),
(315929,10188438,'Cannot be modified except by direct means',100,2,8),
(315930,10188438,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VIII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(315931,10188438,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(315932,10188438,'Must not be engaged in pvp combat',100,2,11),
(315933,10188438,'Cannot be modified except by direct means',100,2,12),
(315934,10188438,'When damaged with a melee weapon this spell will cast Brell''s Retribution VIII on target''s attacker.  ',100,1,13),
(315935,10188438,'Inflicts 78 piercing damage on target',100,2,14),
(315936,10188438,'Must not be engaged in pvp combat',100,2,15),
(315937,10188438,'Cannot be modified except by direct means',100,2,16),
(315938,164577,'Applies Unstable Magics when Equipped.',100,0,0),
(315939,164577,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(315940,10164577,'Applies Unstable Magics when Equipped.',100,0,0),
(315941,10164577,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(315942,117879,'Heals target for 271 - 331 instantly and every 2 seconds',100,1,0),
(315943,10117879,'Heals target for 176 - 215 instantly and every 2 seconds',100,1,0),
(315944,82179,'When Equipped:',100,0,0),
(315945,82179,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315946,82179,'Decreases Threat to target by 135 ',100,2,2),
(315947,82179,'Must be flanking or behind',100,3,3),
(315948,82179,'Increases Threat to target by 135 ',100,2,4),
(315949,82179,'Must be in front of',100,3,5),
(315950,82179,'Inflicts 33 - 61 magic damage on target',100,2,6),
(315951,82179,'Cannot be modified except by direct means',100,2,7),
(315952,10082179,'When Equipped:',100,0,0),
(315953,10082179,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(315954,10082179,'Inflicts 43 - 80 magic damage on target',100,2,2),
(315955,10082179,'Cannot be modified except by direct means',100,2,3),
(315956,100306,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(315957,100306,'Inflicts 230 divine damage on target',100,2,1),
(315958,10100306,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(315959,10100306,'Inflicts 300 divine damage on target',100,2,1),
(315960,113646,'Interrupts target encounter',100,1,0),
(315961,113646,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 49.0',100,1,1),
(315962,10113646,'Interrupts target encounter',100,1,0),
(315963,10113646,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 49.0',100,1,1),
(315964,172171,'When Equipped:',100,0,0),
(315965,172171,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(315966,172171,'Heals group members (AE) for 2624',100,2,2),
(315967,172171,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(315968,172171,'Must not be engaged in pvp combat',100,2,4),
(315969,172171,'Cannot be modified except by direct means',100,2,5),
(315970,172171,'Must not be engaged in pvp combat',100,1,6),
(315971,10172171,'When Equipped:',100,0,0),
(315972,10172171,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(315973,10172171,'Heals group members (AE) for 3071',100,2,2),
(315974,10172171,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(315975,10172171,'Must not be engaged in pvp combat',100,2,4),
(315976,10172171,'Cannot be modified except by direct means',100,2,5),
(315977,10172171,'Must not be engaged in pvp combat',100,1,6),
(315978,47275,'Applies Murky Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(315979,47275,'Only affects targets level 50 and above',100,1,1),
(315980,10047275,'Applies Murky Pharaoh''s Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(315981,10047275,'Only affects targets level 50 and above',100,1,1),
(315982,174379,'When Equipped:',100,0,0),
(315983,174379,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(315984,10174379,'When Equipped:',100,0,0),
(315985,10174379,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(315986,146544,'When Equipped:',100,0,0),
(315987,146544,'Increases Attack Speed of caster by 5.0',100,1,1),
(315988,10146544,'When Equipped:',100,0,0),
(315989,10146544,'Increases Attack Speed of caster by 5.0',100,1,1),
(315990,81012,'When Equipped:',100,0,0),
(315991,81012,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315992,81012,'Inflicts 133 - 248 magic damage on target',100,2,2),
(315993,81012,'Cannot be modified except by direct means',100,2,3),
(315994,10081012,'When Equipped:',100,0,0),
(315995,10081012,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(315996,10081012,'Inflicts 173 - 322 magic damage on target',100,2,2),
(315997,10081012,'Cannot be modified except by direct means',100,2,3),
(315998,159552,'Applies Sanguine Imbued when Equipped.',100,0,0),
(315999,159552,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316000,159552,'Inflicts 99 heat damage on target',100,2,2),
(316001,159552,'Cannot be modified except by direct means',100,2,3),
(316002,10159552,'Applies Sanguine Imbued when Equipped.',100,0,0),
(316003,10159552,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316004,10159552,'Inflicts 129 heat damage on target',100,2,2),
(316005,10159552,'Cannot be modified except by direct means',100,2,3),
(316006,122934,'Inflicts 25 - 34 mental damage on target',100,1,0),
(316007,10122934,'Inflicts 33 - 45 mental damage on target',100,1,0),
(316008,35459,'Increases Out-of-Combat Power Regeneration of target by 11.4',100,0,0),
(316009,35459,'This effect suspends during combat',100,0,1),
(316010,114264,'Heals target for 17 - 21',100,1,0),
(316011,10114264,'Heals target for 20 - 24',100,1,0),
(316012,166503,'When Equipped:',100,0,0),
(316013,166503,'On a critical combat hit this spell may cast Final Stab IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316014,166503,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(316015,166503,'Must not be engaged in pvp combat',100,2,3),
(316016,166503,'Cannot be modified except by direct means',100,2,4),
(316017,166503,'On a critical spell hit this spell may cast Final Stab IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(316018,166503,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(316019,166503,'Must not be engaged in pvp combat',100,2,7),
(316020,166503,'Cannot be modified except by direct means',100,2,8),
(316021,166503,'Must not be engaged in pvp combat',100,1,9),
(316022,10166503,'When Equipped:',100,0,0),
(316023,10166503,'On a critical combat hit this spell may cast Final Stab IX on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316024,10166503,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(316025,10166503,'Must not be engaged in pvp combat',100,2,3),
(316026,10166503,'Cannot be modified except by direct means',100,2,4),
(316027,10166503,'On a critical spell hit this spell may cast Final Stab IX on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(316028,10166503,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(316029,10166503,'Must not be engaged in pvp combat',100,2,7),
(316030,10166503,'Cannot be modified except by direct means',100,2,8),
(316031,10166503,'Must not be engaged in pvp combat',100,1,9),
(316032,108409,'Heals target for 835 - 1020',100,1,0),
(316033,10108409,'Heals target for 998 - 1220',100,1,0),
(316034,123980,'Inflicts 507 - 845 melee damage on target',100,1,0),
(316035,123980,'Decreases AGI of target by 62.2',100,1,1),
(316036,123980,'Must be behind',100,1,2),
(316037,10123980,'Inflicts 659 - 1099 melee damage on target',100,1,0),
(316038,10123980,'Decreases AGI of target by 62.2',100,1,1),
(316039,10123980,'Must be behind',100,1,2),
(316040,119349,'Inflicts 145 - 218 disease damage on target',100,1,0),
(316041,119349,'Inflicts 58 - 87 disease damage on target every 4 seconds',100,1,1),
(316042,10119349,'Inflicts 189 - 283 disease damage on target',100,1,0),
(316043,10119349,'Inflicts 75 - 113 disease damage on target every 4 seconds',100,1,1),
(316044,143821,'When Equipped:',100,0,0),
(316045,143821,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316046,143821,'Decreases power of target by 134',100,2,2),
(316047,143821,'Increases power of caster by 89',100,2,3),
(316048,143821,'Cannot be modified except by direct means',100,2,4),
(316049,10143821,'When Equipped:',100,0,0),
(316050,10143821,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316051,10143821,'Decreases power of target by 134',100,2,2),
(316052,10143821,'Increases power of caster by 89',100,2,3),
(316053,10143821,'Cannot be modified except by direct means',100,2,4),
(316054,120484,'Inflicts 18 - 30 melee damage on target',100,1,0),
(316055,120484,'Must be flanking or behind',100,1,1),
(316056,10120484,'Inflicts 23 - 39 melee damage on target',100,1,0),
(316057,10120484,'Must be flanking or behind',100,1,1),
(316058,111780,'Heals caster for 23.8 - 29.0% of max health',100,1,0),
(316059,111780,'This effect cannot be critically applied.',100,2,1),
(316060,111780,'The healing of this spell cannot be modified except by direct means',100,1,2),
(316061,10111780,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(316062,10111780,'This effect cannot be critically applied.',100,2,1),
(316063,10111780,'The healing of this spell cannot be modified except by direct means',100,1,2),
(316064,170694,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(316065,170694,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(316066,170694,'Decreases Attack Speed of target by 10.0',100,2,2),
(316067,170694,'Cannot be modified except by direct means',100,2,3),
(316068,170694,'Slows target by 26.3%',100,1,4),
(316069,170694,'5% chance to dispel when target takes damage',100,1,5),
(316070,170694,'5% chance to dispel when target receives hostile action',100,1,6),
(316071,170694,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(316072,10170694,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(316073,10170694,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(316074,10170694,'Decreases Attack Speed of target by 10.0',100,2,2),
(316075,10170694,'Cannot be modified except by direct means',100,2,3),
(316076,10170694,'Slows target by 26.3%',100,1,4),
(316077,10170694,'5% chance to dispel when target takes damage',100,1,5),
(316078,10170694,'5% chance to dispel when target receives hostile action',100,1,6),
(316079,10170694,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(316080,82614,'When Equipped:',100,0,0),
(316081,82614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316082,82614,'Inflicts 79 - 146 magic damage on target',100,2,2),
(316083,82614,'Cannot be modified except by direct means',100,2,3),
(316084,10082614,'When Equipped:',100,0,0),
(316085,10082614,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316086,10082614,'Inflicts 102 - 190 magic damage on target',100,2,2),
(316087,10082614,'Cannot be modified except by direct means',100,2,3),
(316088,111717,'Inflicts 1123 - 1373 cold damage on target',100,1,0),
(316089,111717,'Inflicts 1123 - 1373 cold damage on target',100,1,1),
(316090,111717,'If target is elemental',100,2,2),
(316091,10111717,'Inflicts 1252 - 1530 cold damage on target',100,1,0),
(316092,103589,'Increases Mitigation of caster vs physical damage by 416',100,1,0),
(316093,10103589,'Increases Mitigation of caster vs physical damage by 416',100,1,0),
(316094,148592,'When Equipped:',100,0,0),
(316095,148592,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(316096,148592,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(316097,148592,'Cannot be modified except by direct means',100,2,3),
(316098,10148592,'When Equipped:',100,0,0),
(316099,10148592,'On any combat or spell hit this spell may cast Lesser Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(316100,10148592,'Increases Crit Bonus of caster by 2.0%',100,2,2),
(316101,10148592,'Cannot be modified except by direct means',100,2,3),
(316102,101743,'Mesmerizes target',100,1,0),
(316103,101743,'Prevents AOE (except when direct) ',100,1,1),
(316104,101743,'Mesmerizes caster',100,1,2),
(316105,101743,'Dispelled when target takes damage',100,1,3),
(316106,101743,'Does not affect Epic targets',100,1,4),
(316107,101743,'Resistibility increases against targets higher than level 117.',100,1,5),
(316108,10101743,'Mesmerizes target',100,1,0),
(316109,10101743,'Prevents AOE (except when direct) ',100,1,1),
(316110,10101743,'Mesmerizes caster',100,1,2),
(316111,10101743,'Dispelled when target takes damage',100,1,3),
(316112,10101743,'Does not affect Epic targets',100,1,4),
(316113,10101743,'Resistibility increases against targets higher than level 117.',100,1,5),
(316114,100638,'Wipes target''s memory of any aggression',100,1,0),
(316115,100638,'Stuns target',100,1,1),
(316116,100638,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(316117,100638,'Resistibility increases against targets higher than level 103.',100,1,3),
(316118,10100638,'Forces target to clear their selected target.',100,1,0),
(316119,10100638,'Prevents target from changing targets',100,1,1),
(316120,10100638,'Stuns target',100,1,2),
(316121,10100638,'If Target is not Epic',100,2,3),
(316122,10100638,'Resistibility increases against targets higher than level 103.',100,1,4),
(316123,166525,'Applies Rising Brutality V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(316124,166525,'Increases the Damage Per Second of the caster over time.',100,1,1),
(316125,166525,'Applies Invigorated Haste V on termination.  Lasts for 30.0 seconds.',100,1,2),
(316126,166525,'Increases Attack Speed of caster by 60.0',100,2,3),
(316127,166525,'Must not be engaged in pvp combat',100,2,4),
(316128,166525,'Cannot be modified except by direct means',100,2,5),
(316129,166525,'Must not be engaged in pvp combat',100,1,6),
(316130,166525,'Cannot be modified except by direct means',100,1,7),
(316131,166525,'The reuse time of Rising Brutality V is 10 minutes',100,1,8),
(316132,10166525,'Applies Rising Brutality V when Activated.  Lasts for 12.0 seconds.',100,0,0),
(316133,10166525,'Increases the Damage Per Second of the caster over time.',100,1,1),
(316134,10166525,'Applies Invigorated Haste V on termination.  Lasts for 30.0 seconds.',100,1,2),
(316135,10166525,'Increases Attack Speed of caster by 60.0',100,2,3),
(316136,10166525,'Must not be engaged in pvp combat',100,2,4),
(316137,10166525,'Cannot be modified except by direct means',100,2,5),
(316138,10166525,'Must not be engaged in pvp combat',100,1,6),
(316139,10166525,'Cannot be modified except by direct means',100,1,7),
(316140,10166525,'The reuse time of Rising Brutality V is 10 minutes',100,1,8),
(316141,109277,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(316142,109277,'Increases Mitigation of group members (AE) vs elemental damage by 140',100,1,1),
(316143,10109277,'Increases Max Power of group members (AE) by 37.0',100,1,0),
(316144,10109277,'Increases Mitigation of group members (AE) vs elemental damage by 140',100,1,1),
(316145,124501,'Heals group members (AE) for 1512 - 1848',100,1,0),
(316146,10124501,'Heals group members (AE) for 1769 - 2162',100,1,0),
(316147,104240,'Increases Mitigation of group members (AE) vs physical damage by 273',100,1,0),
(316148,10104240,'Increases Mitigation of group members (AE) vs physical damage by 273',100,1,0),
(316149,144886,'When Equipped:',100,0,0),
(316150,144886,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(316151,144886,'Heals group members for 245',100,2,2),
(316152,144886,'Cannot be modified except by direct means',100,2,3),
(316153,10144886,'When Equipped:',100,0,0),
(316154,10144886,'On a combat hit this spell may cast Healing Wave on the group.  Triggers about 1.6 times per minute. ',100,1,1),
(316155,10144886,'Heals group members for 160',100,2,2),
(316156,10144886,'Cannot be modified except by direct means',100,2,3),
(316157,113193,'Inflicts 13 - 18 magic damage on target',100,1,0),
(316158,10113193,'Inflicts 17 - 23 magic damage on target',100,1,0),
(316159,101799,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(316160,101799,'Decreases Threat to target by 649 ',100,2,1),
(316161,10101799,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(316162,10101799,'Inflicts 39 - 43 crushing damage on target',100,2,1),
(316163,75363,'When Equipped:',100,0,0),
(316164,75363,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(316165,75363,'Reduces healing received by 15.00%',100,2,2),
(316166,75363,'Cannot be modified except by direct means',100,2,3),
(316167,75363,'This effect can only trigger once every 1 second.',100,2,4),
(316168,75363,'Must be engaged in pvp combat',100,1,5),
(316169,10075363,'When Equipped:',100,0,0),
(316170,10075363,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(316171,10075363,'Reduces healing received by 15.00%',100,2,2),
(316172,10075363,'Cannot be modified except by direct means',100,2,3),
(316173,10075363,'This effect can only trigger once every 1 second.',100,2,4),
(316174,10075363,'Must be engaged in pvp combat',100,1,5),
(316175,119777,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(316176,119777,'Inflicts 59 - 72 poison damage on target encounter',100,2,1),
(316177,10119777,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(316178,10119777,'Inflicts 76 - 93 poison damage on target encounter',100,2,1),
(316179,117892,'On a melee hit this spell will cast Reinforcement on target of attack.  ',100,1,0),
(316180,117892,'Increases threat priority of target by 1 position',100,2,1),
(316181,117892,'Increases Threat to target by 198 ',100,2,2),
(316182,10117892,'On a melee hit this spell will cast Reinforcement on target of attack.  Lasts for 3.0 seconds.  ',100,1,0),
(316183,10117892,'Prevents target from changing targets',100,2,1),
(316184,10117892,'Forces target to change their selected target to caster.',100,2,2),
(316185,123509,'Decreases Mitigation of target encounter vs noxious damage by 828',100,1,0),
(316186,10123509,'Decreases Mitigation of target encounter vs noxious damage by 828',100,1,0),
(316187,106077,'Increases AGI of caster by 159.4',100,1,0),
(316188,106077,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(316189,106077,'Inflicts 233 - 389 disease damage on target',100,2,2),
(316190,106077,'Adds 18.7% to base avoidance.',100,1,3),
(316191,106077,'Increases Mitigation of caster vs physical damage by 748',100,1,4),
(316192,106077,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,5),
(316193,10106077,'Increases AGI of caster by 159.4',100,1,0),
(316194,10106077,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(316195,10106077,'Inflicts 303 - 505 disease damage on target',100,2,2),
(316196,10106077,'Adds 18.7% to base avoidance.',100,1,3),
(316197,10106077,'Increases Mitigation of caster vs physical damage by 748',100,1,4),
(316198,10106077,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',100,1,5),
(316199,116874,'Wards group members (AE) against 873 points of noxious damage',100,1,0),
(316200,116874,'Increases Mitigation of group members (AE) vs noxious damage by 516',100,1,1),
(316201,10116874,'Wards group members (AE) against 873 points of noxious damage',100,1,0),
(316202,10116874,'Increases Mitigation of group members (AE) vs noxious damage by 516',100,1,1),
(316203,108524,'Increases AGI and WIS of group members (AE) by 39.4',100,1,0),
(316204,108524,'Adds 1.7% to base avoidance.',100,1,1),
(316205,108524,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 111',100,1,2),
(316206,10108524,'Increases AGI and WIS of group members (AE) by 39.4',100,1,0),
(316207,10108524,'Adds 1.7% to base avoidance.',100,1,1),
(316208,10108524,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 111',100,1,2),
(316209,102814,'Summons 3 limited pets to aid the caster',100,1,0),
(316210,10102814,'Summons 3 limited pets to aid the caster',100,1,0),
(316211,47673,'Applies Release Battleclock when Activated.',100,0,0),
(316212,47673,'This effect cannot be cast during combat',100,1,1),
(316213,10047673,'Applies Release Battleclock when Activated.',100,0,0),
(316214,10047673,'This effect cannot be cast during combat',100,1,1),
(316215,36359,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(316216,104644,'Inflicts 146 - 244 crushing damage on target',100,1,0),
(316217,104644,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 19.5',100,1,1),
(316218,10104644,'Inflicts 190 - 317 crushing damage on target',100,1,0),
(316219,10104644,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 19.5',100,1,1),
(316220,81791,'When Equipped:',100,0,0),
(316221,81791,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316222,81791,'Decreases Threat to target by 487 ',100,2,2),
(316223,81791,'Must be flanking or behind',100,3,3),
(316224,81791,'Increases Threat to target by 487 ',100,2,4),
(316225,81791,'Must be in front of',100,3,5),
(316226,81791,'Inflicts 108 - 200 magic damage on target',100,2,6),
(316227,81791,'Cannot be modified except by direct means',100,2,7),
(316228,10081791,'When Equipped:',100,0,0),
(316229,10081791,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316230,10081791,'Inflicts 140 - 260 magic damage on target',100,2,2),
(316231,10081791,'Cannot be modified except by direct means',100,2,3),
(316232,119712,'Increases Threat to target encounter by 1,067 - 1,305 ',100,1,0),
(316233,10119712,'Prevents target encounter from changing targets',100,1,0),
(316234,10119712,'Forces target encounter to change their selected target to caster.',100,1,1),
(316235,107256,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(316236,107256,'Summons a limited pet to aid the caster',100,2,1),
(316237,107256,'If profession other than Illusionist',100,1,2),
(316238,107256,'Must be engaged in combat',100,1,3),
(316239,10107256,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(316240,10107256,'Summons a limited pet to aid the caster',100,2,1),
(316241,10107256,'If profession other than Illusionist',100,1,2),
(316242,10107256,'Must be engaged in combat',100,1,3),
(316243,113362,'Roots target',100,1,0),
(316244,113362,'Applies Stifle.  Lasts for 5.0 seconds.',100,1,1),
(316245,113362,'Stifles target',100,2,2),
(316246,113362,'Blurs vision of target',100,2,3),
(316247,113362,'Dispelled when target takes damage',100,2,4),
(316248,113362,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,5),
(316249,113362,'Resistibility increases against targets higher than level 48.',100,2,6),
(316250,113362,'5% chance to dispel when target takes damage',100,1,7),
(316251,113362,'Epic targets gain an immunity to Root effects of 1 minute 15 seconds and duration is reduced to 8.3 seconds.',100,1,8),
(316252,113362,'Resistibility increases against targets higher than level 48.',100,1,9),
(316253,10113362,'Roots target',100,1,0),
(316254,10113362,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(316255,10113362,'Stifles target',100,2,2),
(316256,10113362,'Blurs vision of target',100,2,3),
(316257,10113362,'Dispelled when target takes damage',100,2,4),
(316258,10113362,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(316259,10113362,'Resistibility increases against targets higher than level 48.',100,2,6),
(316260,10113362,'5% chance to dispel when target takes damage',100,1,7),
(316261,10113362,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(316262,10113362,'Resistibility increases against targets higher than level 48.',100,1,9),
(316263,122437,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(316264,122437,'Stuns target',100,2,1),
(316265,122437,'Throws target back',100,2,2),
(316266,122437,'Blurs vision of target',100,2,3),
(316267,122437,'Does not affect Epic targets',100,2,4),
(316268,122437,'Inflicts 58 - 97 crushing damage on target',100,1,5),
(316269,122437,'If facing target',100,1,6),
(316270,10122437,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(316271,10122437,'Stuns target',100,2,1),
(316272,10122437,'Throws target back',100,2,2),
(316273,10122437,'Blurs vision of target',100,2,3),
(316274,10122437,'Does not affect Epic targets',100,2,4),
(316275,10122437,'Inflicts 76 - 126 crushing damage on target',100,1,5),
(316276,10122437,'If facing target',100,1,6),
(316277,121646,'Summon 1 Unholy Symbol',100,1,0),
(316278,121646,'This effect cannot be cast during combat',100,1,1),
(316279,10121646,'Summon 1 Unholy Symbol',100,1,0),
(316280,10121646,'This effect cannot be cast during combat',100,1,1),
(316281,155382,'When Equipped:',100,0,0),
(316282,155382,'Increases caster''s chance to block by 25.0%',100,1,1),
(316283,10155382,'When Equipped:',100,0,0),
(316284,10155382,'Increases caster''s chance to block by 25.0%',100,1,1),
(316285,79846,'When Equipped:',100,0,0),
(316286,79846,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(316287,79846,'Reduces healing received by 15.00%',100,2,2),
(316288,79846,'Cannot be modified except by direct means',100,2,3),
(316289,79846,'This effect can only trigger once every 1 second.',100,2,4),
(316290,79846,'Must be engaged in pvp combat',100,1,5),
(316291,10079846,'When Equipped:',100,0,0),
(316292,10079846,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(316293,10079846,'Reduces healing received by 15.00%',100,2,2),
(316294,10079846,'Cannot be modified except by direct means',100,2,3),
(316295,10079846,'This effect can only trigger once every 1 second.',100,2,4),
(316296,10079846,'Must be engaged in pvp combat',100,1,5),
(316297,134041,'When Equipped:',100,0,0),
(316298,134041,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(316299,134041,'Increases Potency of caster by 7.0%',100,2,2),
(316300,134041,'Cannot be modified except by direct means',100,2,3),
(316301,10134041,'When Equipped:',100,0,0),
(316302,10134041,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(316303,10134041,'Increases Potency of caster by 7.0%',100,2,2),
(316304,10134041,'Cannot be modified except by direct means',100,2,3),
(316305,27362,'When Equipped:',100,0,0),
(316306,27362,'On a block this spell has a 3% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(316307,27362,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(316308,27362,'Heals caster for 30 - 36',100,3,3),
(316309,27362,'Grants a total of 3 triggers of the spell.',100,3,4),
(316310,27362,'Cannot be modified except by direct means',100,2,5),
(316311,10027362,'When Equipped:',100,0,0),
(316312,10027362,'On a block this spell has a 3% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(316313,10027362,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(316314,10027362,'Heals caster for 19 - 23',100,3,3),
(316315,10027362,'Grants a total of 3 triggers of the spell.',100,3,4),
(316316,10027362,'Cannot be modified except by direct means',100,2,5),
(316317,113008,'Reduces physical damage done to caster by 5%',100,1,0),
(316318,113008,'Increases STA of caster by 190.1',100,1,1),
(316319,113008,'Adds 3.7% to base avoidance.',100,1,2),
(316320,113008,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(316321,113008,'Increases Defense and Aggression of caster by 37.2',100,1,4),
(316322,113008,'Increases Mitigation of caster vs arcane damage by 2429',100,1,5),
(316323,113008,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(316324,10113008,'Reduces physical damage done to caster by 5%',100,1,0),
(316325,10113008,'Increases STA of caster by 190.1',100,1,1),
(316326,10113008,'Adds 3.7% to base avoidance.',100,1,2),
(316327,10113008,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(316328,10113008,'Increases Defense and Aggression of caster by 37.2',100,1,4),
(316329,10113008,'Increases Mitigation of caster vs arcane damage by 2429',100,1,5),
(316330,10113008,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(316331,159315,'Applies Sanguine Imbued when Equipped.',100,0,0),
(316332,159315,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316333,159315,'Inflicts 79 heat damage on target',100,2,2),
(316334,159315,'Cannot be modified except by direct means',100,2,3),
(316335,10159315,'Applies Sanguine Imbued when Equipped.',100,0,0),
(316336,10159315,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316337,10159315,'Inflicts 103 heat damage on target',100,2,2),
(316338,10159315,'Cannot be modified except by direct means',100,2,3),
(316339,121620,'Inflicts 217 - 652 melee damage on target',100,1,0),
(316340,121620,'Dazes target',100,1,1),
(316341,121620,'If Target is not Epic',100,2,2),
(316342,121620,'Must be flanking or behind',100,1,3),
(316343,121620,'Resistibility increases against targets higher than level 75.',100,1,4),
(316344,10121620,'Inflicts 282 - 848 melee damage on target',100,1,0),
(316345,10121620,'Dazes target',100,1,1),
(316346,10121620,'If Target is not Epic',100,2,2),
(316347,10121620,'Must be flanking or behind',100,1,3),
(316348,10121620,'Resistibility increases against targets higher than level 75.',100,1,4),
(316349,86482,'Applies Disease Blast when Activated.',100,0,0),
(316350,86482,'Inflicts 78 - 129 disease damage on target',100,1,1),
(316351,86482,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(316352,10086482,'Applies Disease Blast when Activated.',100,0,0),
(316353,10086482,'Inflicts 101 - 168 disease damage on target',100,1,1),
(316354,10086482,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(316355,80429,'When Equipped:',100,0,0),
(316356,80429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316357,80429,'Inflicts 43 - 81 magic damage on target',100,2,2),
(316358,80429,'Cannot be modified except by direct means',100,2,3),
(316359,10080429,'When Equipped:',100,0,0),
(316360,10080429,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316361,10080429,'Inflicts 56 - 105 magic damage on target',100,2,2),
(316362,10080429,'Cannot be modified except by direct means',100,2,3),
(316363,163926,'When Equipped:',100,0,0),
(316364,163926,'When healed this spell has a 5% chance to cast Auxiliary Protection on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(316365,163926,'Wards caster against 200 points of all damage',100,2,2),
(316366,163926,'Cannot be modified except by direct means',100,2,3),
(316367,10163926,'When Equipped:',100,0,0),
(316368,10163926,'When healed this spell has a 5% chance to cast Auxiliary Protection on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(316369,10163926,'Wards caster against 200 points of all damage',100,2,2),
(316370,10163926,'Cannot be modified except by direct means',100,2,3),
(316371,48924,'Applies Tonic of Animation  when Activated.  Lasts for 30 minutes.',100,0,0),
(316372,10048924,'Applies Tonic of Animation  when Activated.  Lasts for 30 minutes.',100,0,0),
(316373,100331,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(316374,100331,'Drains power instantly and every 3 seconds.',100,2,1),
(316375,100331,'Cannot be modified except by direct means',100,2,2),
(316376,100331,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(316377,100331,'Adrenaline can only be used while berserk!',100,1,4),
(316378,10100331,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',100,1,0),
(316379,10100331,'Drains power instantly and every 3 seconds.',100,2,1),
(316380,10100331,'Cannot be modified except by direct means',100,2,2),
(316381,10100331,'50% of all damage received by the caster is instantly regenerated.',100,1,3),
(316382,10100331,'Adrenaline can only be used while berserk!',100,1,4),
(316383,107994,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(316384,107994,'Increases Mitigation of group members (AE) vs elemental damage by 356',100,1,1),
(316385,10107994,'Increases Max Health of group members (AE) by 82.2',100,1,0),
(316386,10107994,'Increases Mitigation of group members (AE) vs elemental damage by 356',100,1,1),
(316387,120930,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(316388,120930,'Inflicts 400 - 489 mental damage on target',100,2,1),
(316389,120930,'Grants a total of 3 triggers of the spell.',100,2,2),
(316390,10120930,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(316391,10120930,'Inflicts 520 - 636 mental damage on target',100,2,1),
(316392,10120930,'Grants a total of 3 triggers of the spell.',100,2,2),
(316393,118200,'Increases Damage Per Second of group members (AE) by 16.3',100,1,0),
(316394,10118200,'Increases Damage Per Second of group members (AE) by 16.3',100,1,0),
(316395,119780,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(316396,119780,'Inflicts 94 - 115 poison damage on target encounter',100,2,1),
(316397,10119780,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(316398,10119780,'Inflicts 122 - 149 poison damage on target encounter',100,2,1),
(316399,103247,'Reduces physical damage done to caster by 5%',100,1,0),
(316400,103247,'Adds 1.4% to base avoidance.',100,1,1),
(316401,103247,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(316402,103247,'Increases Parry of caster by 20.7',100,1,3),
(316403,103247,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(316404,103247,'Increases Aggression of caster by 15.5',100,1,5),
(316405,103247,'Increases Defense and Deflection of caster by 20.7',100,1,6),
(316406,103247,'Increases Mitigation of caster vs noxious damage by 1436',100,1,7),
(316407,103247,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(316408,10103247,'Reduces physical damage done to caster by 5%',100,1,0),
(316409,10103247,'Adds 1.4% to base avoidance.',100,1,1),
(316410,10103247,'Caster will deflect 9.5% of incoming attacks.',100,1,2),
(316411,10103247,'Increases Parry of caster by 20.7',100,1,3),
(316412,10103247,'Decreases Slashing, Piercing and Crushing of caster by 21.8',100,1,4),
(316413,10103247,'Increases Aggression of caster by 15.5',100,1,5),
(316414,10103247,'Increases Defense and Deflection of caster by 20.7',100,1,6),
(316415,10103247,'Increases Mitigation of caster vs noxious damage by 1436',100,1,7),
(316416,10103247,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(316417,101992,'Summons 3 limited pets to aid the caster',100,1,0),
(316418,10101992,'Summons 3 limited pets to aid the caster',100,1,0),
(316419,110625,'Inflicts 208 - 346 ranged damage on target',100,1,0),
(316420,110625,'If weapon equipped in Ranged',100,1,1),
(316421,110625,'Must be flanking or behind',100,1,2),
(316422,10110625,'Inflicts 114 - 190 ranged damage on target',100,1,0),
(316423,10110625,'If weapon equipped in Ranged',100,1,1),
(316424,10110625,'Must be flanking or behind',100,1,2),
(316425,184876,'When Equipped:',100,0,0),
(316426,184876,'On a healing spell cast this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(316427,184876,'Increases power of caster by 574',100,2,2),
(316428,184876,'Must not be engaged in pvp combat',100,2,3),
(316429,184876,'Cannot be modified except by direct means',100,2,4),
(316430,184876,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(316431,184876,'On any combat or spell hit this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(316432,184876,'Increases power of caster by 574',100,2,7),
(316433,184876,'Must not be engaged in pvp combat',100,2,8),
(316434,184876,'Cannot be modified except by direct means',100,2,9),
(316435,184876,'Cannot be modified except by direct means',100,1,10),
(316436,10184876,'When Equipped:',100,0,0),
(316437,10184876,'On a healing spell cast this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(316438,10184876,'Increases power of caster by 574',100,2,2),
(316439,10184876,'Must not be engaged in pvp combat',100,2,3),
(316440,10184876,'Cannot be modified except by direct means',100,2,4),
(316441,10184876,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(316442,10184876,'On any combat or spell hit this spell may cast Mana Sprinkles IV on caster.  Triggers about 2.0 times per minute. ',100,1,6),
(316443,10184876,'Increases power of caster by 574',100,2,7),
(316444,10184876,'Must not be engaged in pvp combat',100,2,8),
(316445,10184876,'Cannot be modified except by direct means',100,2,9),
(316446,10184876,'Cannot be modified except by direct means',100,1,10),
(316447,159236,'Applies Sanguine Imbued when Equipped.',100,0,0),
(316448,159236,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316449,159236,'Inflicts 154 heat damage on target',100,2,2),
(316450,159236,'Cannot be modified except by direct means',100,2,3),
(316451,10159236,'Applies Sanguine Imbued when Equipped.',100,0,0),
(316452,10159236,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316453,10159236,'Inflicts 200 heat damage on target',100,2,2),
(316454,10159236,'Cannot be modified except by direct means',100,2,3),
(316455,71812,'When Equipped:',100,0,0),
(316456,71812,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(316457,71812,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(316458,71812,'Cannot be modified except by direct means',100,2,3),
(316459,10071812,'When Equipped:',100,0,0),
(316460,10071812,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(316461,10071812,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(316462,10071812,'Cannot be modified except by direct means',100,2,3),
(316463,80175,'When Equipped:',100,0,0),
(316464,80175,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316465,80175,'Decreases Threat to target by 801 ',100,2,2),
(316466,80175,'Must be flanking or behind',100,3,3),
(316467,80175,'Increases Threat to target by 801 ',100,2,4),
(316468,80175,'Must be in front of',100,3,5),
(316469,80175,'Inflicts 169 - 314 magic damage on target',100,2,6),
(316470,80175,'Cannot be modified except by direct means',100,2,7),
(316471,10080175,'When Equipped:',100,0,0),
(316472,10080175,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316473,10080175,'Inflicts 220 - 408 magic damage on target',100,2,2),
(316474,10080175,'Cannot be modified except by direct means',100,2,3),
(316475,106434,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(316476,106434,'Inflicts 854 - 1044 mental damage on target',100,2,1),
(316477,106434,'Grants a total of 3 triggers of the spell.',100,2,2),
(316478,10106434,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(316479,10106434,'Inflicts 1110 - 1357 mental damage on target',100,2,1),
(316480,10106434,'Grants a total of 3 triggers of the spell.',100,2,2),
(316481,120561,'Decreases Defense of target by 44.5',100,1,0),
(316482,10120561,'Decreases Defense of target by 44.5',100,1,0),
(316483,105099,'Inflicts 229 - 310 magic damage on target',100,1,0),
(316484,10105099,'Inflicts 298 - 403 magic damage on target',100,1,0),
(316485,187505,'When Equipped:',100,0,0),
(316486,187505,'On a damage spell hit this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(316487,187505,'This effect may trigger off each target of an AE heal.',100,2,2),
(316488,187505,'Heals group members for 226',100,2,3),
(316489,187505,'Cannot be modified except by direct means',100,2,4),
(316490,187505,'On a healing spell cast this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(316491,187505,'This effect may trigger off each target of an AE heal.',100,2,6),
(316492,187505,'Heals group members for 226',100,2,7),
(316493,187505,'Cannot be modified except by direct means',100,2,8),
(316494,10187505,'When Equipped:',100,0,0),
(316495,10187505,'On a damage spell hit this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(316496,10187505,'This effect may trigger off each target of an AE heal.',100,2,2),
(316497,10187505,'Heals group members for 147',100,2,3),
(316498,10187505,'Cannot be modified except by direct means',100,2,4),
(316499,10187505,'On a healing spell cast this spell may cast Uncontrolled Healing on the group.  Triggers about 2.0 times per minute. ',100,1,5),
(316500,10187505,'This effect may trigger off each target of an AE heal.',100,2,6),
(316501,10187505,'Heals group members for 147',100,2,7),
(316502,10187505,'Cannot be modified except by direct means',100,2,8),
(316503,41791,'When Equipped:',100,0,0),
(316504,41791,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(316505,41791,'Inflicts 2648 poison damage on target',100,2,2),
(316506,41791,'If under 15% Health',100,2,3),
(316507,41791,'Cannot be modified except by direct means',100,2,4),
(316508,41791,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(316509,41791,'Inflicts 2648 poison damage on target',100,2,6),
(316510,41791,'If under 15% Health',100,2,7),
(316511,41791,'Cannot be modified except by direct means',100,2,8),
(316512,41791,'Cannot be modified except by direct means',100,1,9),
(316513,10041791,'When Equipped:',100,0,0),
(316514,10041791,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,1),
(316515,10041791,'Inflicts 3442 poison damage on target',100,2,2),
(316516,10041791,'If under 15% Health',100,2,3),
(316517,10041791,'Cannot be modified except by direct means',100,2,4),
(316518,10041791,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,5),
(316519,10041791,'Inflicts 3442 poison damage on target',100,2,6),
(316520,10041791,'If under 15% Health',100,2,7),
(316521,10041791,'Cannot be modified except by direct means',100,2,8),
(316522,10041791,'Cannot be modified except by direct means',100,1,9),
(316523,101703,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(316524,101703,'Inflicts 342 - 418 disease damage on target',100,2,1),
(316525,101703,'Grants a total of 3 triggers of the spell.',100,2,2),
(316526,10101703,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(316527,10101703,'Inflicts 445 - 544 disease damage on target',100,2,1),
(316528,10101703,'Grants a total of 3 triggers of the spell.',100,2,2),
(316529,166514,'When Equipped:',100,0,0),
(316530,166514,'On a critical combat hit this spell may cast Martial Vulnerability VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(316531,166514,'Decreases Mitigation of target vs physical damage by 730',100,2,2),
(316532,166514,'Must not be engaged in pvp combat',100,2,3),
(316533,166514,'Cannot be modified except by direct means',100,2,4),
(316534,166514,'On a critical spell hit this spell may cast Martial Vulnerability VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(316535,166514,'Decreases Mitigation of target vs physical damage by 730',100,2,6),
(316536,166514,'Must not be engaged in pvp combat',100,2,7),
(316537,166514,'Cannot be modified except by direct means',100,2,8),
(316538,166514,'Must not be engaged in pvp combat',100,1,9),
(316539,10166514,'When Equipped:',100,0,0),
(316540,10166514,'On a critical combat hit this spell may cast Martial Vulnerability VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(316541,10166514,'Decreases Mitigation of target vs physical damage by 730',100,2,2),
(316542,10166514,'Must not be engaged in pvp combat',100,2,3),
(316543,10166514,'Cannot be modified except by direct means',100,2,4),
(316544,10166514,'On a critical spell hit this spell may cast Martial Vulnerability VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(316545,10166514,'Decreases Mitigation of target vs physical damage by 730',100,2,6),
(316546,10166514,'Must not be engaged in pvp combat',100,2,7),
(316547,10166514,'Cannot be modified except by direct means',100,2,8),
(316548,10166514,'Must not be engaged in pvp combat',100,1,9),
(316549,109782,'Decreases Mitigation of target vs arcane damage by 220',100,1,0),
(316550,109782,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',100,1,1),
(316551,10109782,'Decreases Mitigation of target vs arcane damage by 220',100,1,0),
(316552,10109782,'Inflicts 25 - 30 mental damage on target instantly and every 6 seconds',100,1,1),
(316553,101904,'Inflicts 8 - 14 melee damage on target',100,1,0),
(316554,101904,'Inflicts 3 piercing damage on target instantly and every 4 seconds',100,1,1),
(316555,101904,'Must be behind',100,1,2),
(316556,10101904,'Inflicts 11 - 19 melee damage on target',100,1,0),
(316557,10101904,'Inflicts 4 piercing damage on target instantly and every 4 seconds',100,1,1),
(316558,10101904,'Must be behind',100,1,2),
(316559,119947,'Inflicts 149 - 249 melee damage on target',100,1,0),
(316560,119947,'Stifles target',100,1,1),
(316561,119947,'If Target is not Epic',100,2,2),
(316562,119947,'Resistibility increases against targets higher than level 79.',100,1,3),
(316563,10119947,'Inflicts 194 - 324 melee damage on target',100,1,0),
(316564,10119947,'Stifles target',100,1,1),
(316565,10119947,'If Target is not Epic',100,2,2),
(316566,10119947,'Resistibility increases against targets higher than level 79.',100,1,3),
(316567,157251,'When Equipped:',100,0,0),
(316568,157251,'Increases poison trigger chance by 2.0%',100,1,1),
(316569,10157251,'When Equipped:',100,0,0),
(316570,10157251,'Increases poison trigger chance by 2.0%',100,1,1),
(316571,140796,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(316572,140796,'Decreases STR, WIS, AGI and INT of target by 50.7',100,1,1),
(316573,140796,'Decreases Max Health of target by 1.0%',100,1,2),
(316574,140796,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(316575,10140796,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(316576,10140796,'Decreases STR, WIS, AGI and INT of target by 50.7',100,1,1),
(316577,10140796,'Decreases Max Health of target by 1.0%',100,1,2),
(316578,10140796,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(316579,87261,'When Equipped:',100,0,0),
(316580,87261,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316581,87261,'Inflicts 71 - 107 magic damage on target',100,2,2),
(316582,87261,'Cannot be modified except by direct means',100,2,3),
(316583,10087261,'When Equipped:',100,0,0),
(316584,10087261,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316585,10087261,'Inflicts 92 - 139 magic damage on target',100,2,2),
(316586,10087261,'Cannot be modified except by direct means',100,2,3),
(316587,54399,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(316588,54399,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(316589,54399,'Inflicts 34 heat damage on target',100,2,2),
(316590,54399,'Cannot be modified except by direct means',100,2,3),
(316591,10054399,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(316592,10054399,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(316593,10054399,'Inflicts 45 heat damage on target',100,2,2),
(316594,10054399,'Cannot be modified except by direct means',100,2,3),
(316595,189179,'When Equipped:',100,0,0),
(316596,189179,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(316597,10189179,'When Equipped:',100,0,0),
(316598,10189179,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(316599,120703,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 10.2',100,1,0),
(316600,10120703,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 10.2',100,1,0),
(316601,117845,'Heals target for 45 - 55 instantly and every 2 seconds',100,1,0),
(316602,10117845,'Heals target for 29 - 36 instantly and every 2 seconds',100,1,0),
(316603,74806,'When Equipped:',100,0,0),
(316604,74806,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316605,74806,'Inflicts 86 - 129 magic damage on target',100,2,2),
(316606,74806,'Cannot be modified except by direct means',100,2,3),
(316607,10074806,'When Equipped:',100,0,0),
(316608,10074806,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316609,10074806,'Inflicts 112 - 168 magic damage on target',100,2,2),
(316610,10074806,'Cannot be modified except by direct means',100,2,3),
(316611,113271,'Inflicts 23 - 31 magic damage on target',100,1,0),
(316612,10113271,'Inflicts 30 - 41 magic damage on target',100,1,0),
(316613,119339,'Inflicts 47 - 71 disease damage on target',100,1,0),
(316614,119339,'Inflicts 19 - 28 disease damage on target every 4 seconds',100,1,1),
(316615,10119339,'Inflicts 61 - 92 disease damage on target',100,1,0),
(316616,10119339,'Inflicts 25 - 37 disease damage on target every 4 seconds',100,1,1),
(316617,115936,'Inflicts 457 - 761 melee damage on target',100,1,0),
(316618,115936,'Roots target',100,1,1),
(316619,115936,'If Target is not Epic',100,2,2),
(316620,115936,'5% chance to dispel when target takes damage',100,1,3),
(316621,115936,'Resistibility increases against targets higher than level 75.',100,1,4),
(316622,10115936,'Inflicts 594 - 990 melee damage on target',100,1,0),
(316623,10115936,'Roots target',100,1,1),
(316624,10115936,'If Target is not Epic',100,2,2),
(316625,10115936,'5% chance to dispel when target takes damage',100,1,3),
(316626,10115936,'Resistibility increases against targets higher than level 75.',100,1,4),
(316627,162504,'When Equipped:',100,0,0),
(316628,162504,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(316629,162504,'Inflicts 8 cold damage on target',100,2,2),
(316630,162504,'Cannot be modified except by direct means',100,2,3),
(316631,10162504,'When Equipped:',100,0,0),
(316632,10162504,'When any damage is received this spell has a 5% chance to cast Icy Feedback on target''s attacker.  ',100,1,1),
(316633,10162504,'Inflicts 10 cold damage on target',100,2,2),
(316634,10162504,'Cannot be modified except by direct means',100,2,3),
(316635,48638,'Applies Allmayn''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(316636,48638,'Increases AGI of caster by 28.8',100,1,1),
(316637,10048638,'Applies Allmayn''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(316638,10048638,'Increases AGI of caster by 28.8',100,1,1),
(316639,80594,'When Equipped:',100,0,0),
(316640,80594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316641,80594,'Inflicts 50 - 93 magic damage on target',100,2,2),
(316642,80594,'Cannot be modified except by direct means',100,2,3),
(316643,10080594,'When Equipped:',100,0,0),
(316644,10080594,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316645,10080594,'Inflicts 65 - 121 magic damage on target',100,2,2),
(316646,10080594,'Cannot be modified except by direct means',100,2,3),
(316647,159204,'Applies Sanguine Imbued when Equipped.',100,0,0),
(316648,159204,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316649,159204,'Inflicts 40 heat damage on target',100,2,2),
(316650,159204,'Cannot be modified except by direct means',100,2,3),
(316651,10159204,'Applies Sanguine Imbued when Equipped.',100,0,0),
(316652,10159204,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(316653,10159204,'Inflicts 52 heat damage on target',100,2,2),
(316654,10159204,'Cannot be modified except by direct means',100,2,3),
(316655,109374,'Inflicts 68 - 206 melee damage on target',100,1,0),
(316656,109374,'Inflicts 86 - 258 melee damage on target',100,1,1),
(316657,109374,'Inflicts 103 - 309 melee damage on target',100,1,2),
(316658,10109374,'Inflicts 89 - 268 melee damage on target',100,1,0),
(316659,10109374,'Inflicts 111 - 335 melee damage on target',100,1,1),
(316660,10109374,'Inflicts 134 - 402 melee damage on target',100,1,2),
(316661,100292,'Inflicts 78 - 145 poison damage on target instantly and every 3 seconds',100,1,0),
(316662,10100292,'Inflicts 228 - 424 poison damage on target instantly and every 3 seconds',100,1,0),
(316663,104800,'Increases caster''s chance to block by 10.0%',100,1,0),
(316664,104800,'Decreases Attack Speed of caster by 15.4',100,1,1),
(316665,104800,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(316666,104800,'Increases Parry of caster by 19.4',100,1,3),
(316667,104800,'Increases Defense of caster by 19.4',100,1,4),
(316668,10104800,'Increases caster''s chance to block by 10.0%',100,1,0),
(316669,10104800,'Decreases Attack Speed of caster by 15.4',100,1,1),
(316670,10104800,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(316671,10104800,'Increases Parry of caster by 19.4',100,1,3),
(316672,10104800,'Increases Defense of caster by 19.4',100,1,4),
(316673,171453,'Applies Call of the Prime VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(316674,171453,'Applies Prime Focus VIII on termination.  Lasts for 15.0 seconds.',100,1,1),
(316675,171453,'Increases Potency of group members (AE) by 8.0%',100,2,2),
(316676,171453,'Must not be engaged in pvp combat',100,2,3),
(316677,171453,'Cannot be modified except by direct means',100,2,4),
(316678,171453,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(316679,171453,'Must not be engaged in pvp combat',100,1,6),
(316680,171453,'Cannot be modified except by direct means',100,1,7),
(316681,171453,'The reuse time of Call of the Prime VIII is 10 minutes',100,1,8),
(316682,10171453,'Applies Call of the Prime VIII when Activated.  Lasts for 12.0 seconds.',100,0,0),
(316683,10171453,'Applies Prime Focus VIII on termination.  Lasts for 15.0 seconds.',100,1,1),
(316684,10171453,'Increases Potency of group members (AE) by 8.0%',100,2,2),
(316685,10171453,'Must not be engaged in pvp combat',100,2,3),
(316686,10171453,'Cannot be modified except by direct means',100,2,4),
(316687,10171453,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(316688,10171453,'Must not be engaged in pvp combat',100,1,6),
(316689,10171453,'Cannot be modified except by direct means',100,1,7),
(316690,10171453,'The reuse time of Call of the Prime VIII is 10 minutes',100,1,8),
(316691,122729,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(316692,122729,'Increases Deflection of caster by 8.6',100,1,1),
(316693,10122729,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(316694,10122729,'Increases Deflection of caster by 8.6',100,1,1),
(316695,45221,'Applies Purification when Activated.',100,0,0),
(316696,45221,'Inflicts 1239 - 1514 divine damage on target',100,1,1),
(316697,45221,'If target is aquatic',100,1,2),
(316698,10045221,'Applies Purification when Activated.',100,0,0),
(316699,10045221,'Inflicts 1611 - 1968 divine damage on target',100,1,1),
(316700,10045221,'If target is aquatic',100,1,2),
(316701,55444,'When Equipped:',100,0,0),
(316702,55444,'Increases caster''s chance to block by 5.0%',100,1,1),
(316703,10055444,'When Equipped:',100,0,0),
(316704,10055444,'Increases caster''s chance to block by 5.0%',100,1,1),
(316705,81054,'When Equipped:',100,0,0),
(316706,81054,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316707,81054,'Decreases Threat to target by 517 ',100,2,2),
(316708,81054,'Must be flanking or behind',100,3,3),
(316709,81054,'Increases Threat to target by 517 ',100,2,4),
(316710,81054,'Must be in front of',100,3,5),
(316711,81054,'Inflicts 148 - 275 magic damage on target',100,2,6),
(316712,81054,'Cannot be modified except by direct means',100,2,7),
(316713,10081054,'When Equipped:',100,0,0),
(316714,10081054,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316715,10081054,'Inflicts 192 - 357 magic damage on target',100,2,2),
(316716,10081054,'Cannot be modified except by direct means',100,2,3),
(316717,103943,'Wards group members (AE) collectively against 3854 total points of all damage',100,1,0),
(316718,10103943,'Wards group members (AE) collectively against 5740 total points of all damage',100,1,0),
(316719,40879,'When Equipped:',100,0,0),
(316720,40879,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316721,40879,'Decreases Threat to target by 4,441 - 4,908 ',100,2,2),
(316722,40879,'Inflicts 2278 - 2517 mental damage on target',100,2,3),
(316723,40879,'Must not be engaged in pvp combat',100,2,4),
(316724,40879,'Cannot be modified except by direct means',100,2,5),
(316725,40879,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(316726,40879,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(316727,40879,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(316728,40879,'Inflicts 2278 - 2517 mental damage on target',100,2,9),
(316729,40879,'Must not be engaged in pvp combat',100,2,10),
(316730,40879,'Cannot be modified except by direct means',100,2,11),
(316731,40879,'Cannot be modified except by direct means',100,1,12),
(316732,10040879,'When Equipped:',100,0,0),
(316733,10040879,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316734,10040879,'Inflicts 2961 - 3273 mental damage on target',100,2,2),
(316735,10040879,'Must not be engaged in pvp combat',100,2,3),
(316736,10040879,'Cannot be modified except by direct means',100,2,4),
(316737,10040879,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(316738,10040879,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,6),
(316739,10040879,'Inflicts 2961 - 3273 mental damage on target',100,2,7),
(316740,10040879,'Must not be engaged in pvp combat',100,2,8),
(316741,10040879,'Cannot be modified except by direct means',100,2,9),
(316742,10040879,'Cannot be modified except by direct means',100,1,10),
(316743,177557,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(316744,177557,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(316745,177557,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(316746,177557,'Cannot be modified except by direct means',100,2,3),
(316747,10177557,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(316748,10177557,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(316749,10177557,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(316750,10177557,'Cannot be modified except by direct means',100,2,3),
(316751,40650,'When Equipped:',100,0,0),
(316752,40650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316753,40650,'Inflicts 135 - 203 magic damage on target',100,2,2),
(316754,40650,'Cannot be modified except by direct means',100,2,3),
(316755,10040650,'When Equipped:',100,0,0),
(316756,10040650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316757,10040650,'Inflicts 176 - 264 magic damage on target',100,2,2),
(316758,10040650,'Cannot be modified except by direct means',100,2,3),
(316759,124285,'Wards group members (AE) against 438 points of elemental damage',100,1,0),
(316760,124285,'Increases Mitigation of group members (AE) vs elemental damage by 276',100,1,1),
(316761,10124285,'Wards group members (AE) against 438 points of elemental damage',100,1,0),
(316762,10124285,'Increases Mitigation of group members (AE) vs elemental damage by 276',100,1,1),
(316763,37350,'Increases INT and STA of target by 15.4',100,0,0),
(316764,37350,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(316765,108617,'Feigns Death with 79% chance of success',100,1,0),
(316766,10108617,'Feigns Death with 79% chance of success',100,1,0),
(316767,123232,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(316768,123232,'Increases Mitigation of group members (AE) vs noxious damage by 202',100,1,1),
(316769,10123232,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(316770,10123232,'Increases Mitigation of group members (AE) vs noxious damage by 202',100,1,1),
(316771,48041,'Applies Gold Lust when Activated.',100,0,0),
(316772,48041,'Inflicts 987 heat damage on target',100,1,1),
(316773,10048041,'Applies Gold Lust when Activated.',100,0,0),
(316774,10048041,'Inflicts 1283 heat damage on target',100,1,1),
(316775,117428,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(316776,117428,'Inflicts 174 - 323 melee damage on targets in area',100,2,1),
(316777,117428,'Grants a total of 10 triggers of the spell.',100,2,2),
(316778,10117428,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',100,1,0),
(316779,10117428,'Inflicts 226 - 420 melee damage on targets in area',100,2,1),
(316780,10117428,'Grants a total of 10 triggers of the spell.',100,2,2),
(316781,124161,'Decreases Attack Speed of target by 17.6',100,1,0),
(316782,10124161,'Decreases Attack Speed of target by 17.6',100,1,0),
(316783,120158,'Decreases STR and INT of target by 126.7',100,1,0),
(316784,120158,'Increases STR and INT of caster by 126.7',100,1,1),
(316785,10120158,'Decreases STR and INT of target by 126.7',100,1,0),
(316786,10120158,'Increases STR and INT of caster by 126.7',100,1,1),
(316787,137434,'When Equipped:',100,0,0),
(316788,137434,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316789,137434,'Inflicts 2664 disease damage on target encounter',100,2,2),
(316790,137434,'Must not be engaged in pvp combat',100,2,3),
(316791,137434,'Cannot be modified except by direct means',100,2,4),
(316792,10137434,'When Equipped:',100,0,0),
(316793,10137434,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316794,10137434,'Inflicts 1732 disease damage on target encounter',100,2,2),
(316795,10137434,'Must not be engaged in pvp combat',100,2,3),
(316796,10137434,'Cannot be modified except by direct means',100,2,4),
(316797,115192,'Heals target for 836 - 1021',100,1,0),
(316798,10115192,'Heals target for 1131 - 1383',100,1,0),
(316799,35918,'Increases Max Power of target by 90.7',100,0,0),
(316800,35918,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(316801,24355,'Adds Erudite (Templar) to your Dungeon Maker toolbox',100,0,0),
(316802,10024355,'Adds Erudite (Templar) to your Dungeon Maker toolbox',100,0,0),
(316803,82106,'When Equipped:',100,0,0),
(316804,82106,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316805,82106,'Inflicts 138 - 257 magic damage on target',100,2,2),
(316806,82106,'Cannot be modified except by direct means',100,2,3),
(316807,10082106,'When Equipped:',100,0,0),
(316808,10082106,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316809,10082106,'Inflicts 180 - 334 magic damage on target',100,2,2),
(316810,10082106,'Cannot be modified except by direct means',100,2,3),
(316811,109686,'Inflicts 93 - 113 cold damage on target instantly and every 3 seconds',100,1,0),
(316812,10109686,'Inflicts 121 - 147 cold damage on target instantly and every 3 seconds',100,1,0),
(316813,82145,'When Equipped:',100,0,0),
(316814,82145,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316815,82145,'Inflicts 125 - 232 magic damage on target',100,2,2),
(316816,82145,'Cannot be modified except by direct means',100,2,3),
(316817,10082145,'When Equipped:',100,0,0),
(316818,10082145,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316819,10082145,'Inflicts 162 - 301 magic damage on target',100,2,2),
(316820,10082145,'Cannot be modified except by direct means',100,2,3),
(316821,158999,'When Equipped:',100,0,0),
(316822,158999,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(316823,158999,'When Equipped:',100,0,2),
(316824,158999,'Reduces resistibility of all spells by 5%.',100,1,3),
(316825,10158999,'When Equipped:',100,0,0),
(316826,10158999,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(316827,10158999,'When Equipped:',100,0,2),
(316828,10158999,'Reduces resistibility of all spells by 5%.',100,1,3),
(316829,117530,'Increases AGI, WIS and INT of group members (AE) by 47.0',100,1,0),
(316830,117530,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 182',100,1,1),
(316831,10117530,'Increases AGI, WIS and INT of group members (AE) by 47.0',100,1,0),
(316832,10117530,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 182',100,1,1),
(316833,174450,'When Equipped:',100,0,0),
(316834,174450,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316835,174450,'Inflicts 1986 heat damage on target',100,2,2),
(316836,174450,'Cannot be modified except by direct means',100,2,3),
(316837,10174450,'When Equipped:',100,0,0),
(316838,10174450,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316839,10174450,'Inflicts 1291 heat damage on target',100,2,2),
(316840,10174450,'Cannot be modified except by direct means',100,2,3),
(316841,84030,'Applies Lightning Shock when Activated.',100,0,0),
(316842,84030,'Inflicts 223 - 372 magic damage on target',100,1,1),
(316843,84030,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(316844,10084030,'Applies Lightning Shock when Activated.',100,0,0),
(316845,10084030,'Inflicts 290 - 483 magic damage on target',100,1,1),
(316846,10084030,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(316847,71377,'When Equipped:',100,0,0),
(316848,71377,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(316849,71377,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(316850,71377,'Cannot be modified except by direct means',100,2,3),
(316851,10071377,'When Equipped:',100,0,0),
(316852,10071377,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(316853,10071377,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(316854,10071377,'Cannot be modified except by direct means',100,2,3),
(316855,191580,'When Equipped:',100,0,0),
(316856,191580,'When any damage is received this spell has a 4% chance to cast Madden on target''s attacker.  ',100,1,1),
(316857,191580,'Increases threat priority of target by 1 position',100,2,2),
(316858,191580,'Cannot be modified except by direct means',100,2,3),
(316859,10191580,'When Equipped:',100,0,0),
(316860,10191580,'When any damage is received this spell has a 4% chance to cast Madden on target''s attacker.  ',100,1,1),
(316861,10191580,'Cannot be modified except by direct means',100,2,2),
(316862,121225,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(316863,121225,'Increases Defense and Deflection of caster by 5.8',100,1,1),
(316865,10121225,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,0),
(316866,10121225,'Increases Defense and Deflection of caster by 5.8',100,1,1),
(316867,10121225,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(316868,86116,'When Equipped:',100,0,0),
(316869,86116,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316870,86116,'Inflicts 89 - 108 heat damage on target encounter',100,2,2),
(316871,86116,'Cannot be modified except by direct means',100,2,3),
(316872,10086116,'When Equipped:',100,0,0),
(316873,10086116,'On a combat hit this spell may cast Flame Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316874,10086116,'Inflicts 115 - 141 heat damage on target encounter',100,2,2),
(316875,10086116,'Cannot be modified except by direct means',100,2,3),
(316876,132212,'When Equipped:',100,0,0),
(316877,132212,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316878,132212,'Inflicts 2664 disease damage on target encounter',100,2,2),
(316879,132212,'Must not be engaged in pvp combat',100,2,3),
(316880,132212,'Cannot be modified except by direct means',100,2,4),
(316881,10132212,'When Equipped:',100,0,0),
(316882,10132212,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(316883,10132212,'Inflicts 1732 disease damage on target encounter',100,2,2),
(316884,10132212,'Must not be engaged in pvp combat',100,2,3),
(316885,10132212,'Cannot be modified except by direct means',100,2,4),
(316886,104998,'Reduces physical damage done to caster by 5%',100,1,0),
(316887,104998,'Adds 2.4% to base avoidance.',100,1,1),
(316888,104998,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(316889,104998,'Increases Parry of caster by 27.8',100,1,3),
(316890,104998,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(316891,104998,'Increases Aggression of caster by 16.7',100,1,5),
(316892,104998,'Increases Defense and Deflection of caster by 27.8',100,1,6),
(316893,104998,'Increases Mitigation of caster vs arcane damage by 1856',100,1,7),
(316894,104998,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(316895,10104998,'Reduces physical damage done to caster by 5%',100,1,0),
(316896,10104998,'Adds 2.4% to base avoidance.',100,1,1),
(316897,10104998,'Caster will deflect 16.0% of incoming attacks.',100,1,2),
(316898,10104998,'Increases Parry of caster by 27.8',100,1,3),
(316899,10104998,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(316900,10104998,'Increases Aggression of caster by 16.7',100,1,5),
(316901,10104998,'Increases Defense and Deflection of caster by 27.8',100,1,6),
(316902,10104998,'Increases Mitigation of caster vs arcane damage by 1856',100,1,7),
(316903,10104998,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(316904,120443,'Inflicts 211 - 352 melee damage on target',100,1,0),
(316905,120443,'Inflicts 211 - 352 melee damage on target',100,1,1),
(316906,10120443,'Inflicts 275 - 458 melee damage on target',100,1,0),
(316907,10120443,'Inflicts 275 - 458 melee damage on target',100,1,1),
(316908,47191,'Applies Elixir of Luminosity  when Activated.  Lasts for 30 minutes.',100,0,0),
(316909,47191,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(316910,10047191,'Applies Elixir of Luminosity  when Activated.  Lasts for 30 minutes.',100,0,0),
(316911,10047191,'Increases Mitigation of caster vs noxious damage by 150',100,1,1),
(316912,81376,'When Equipped:',100,0,0),
(316913,81376,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316914,81376,'Decreases Threat to target by 352 ',100,2,2),
(316915,81376,'Must be flanking or behind',100,3,3),
(316916,81376,'Increases Threat to target by 352 ',100,2,4),
(316917,81376,'Must be in front of',100,3,5),
(316918,81376,'Inflicts 80 - 149 magic damage on target',100,2,6),
(316919,81376,'Cannot be modified except by direct means',100,2,7),
(316920,10081376,'When Equipped:',100,0,0),
(316921,10081376,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(316922,10081376,'Inflicts 104 - 193 magic damage on target',100,2,2),
(316923,10081376,'Cannot be modified except by direct means',100,2,3),
(316924,116271,'Summons a pet Illusion Ally',100,1,0),
(316925,10116271,'Summons a pet Illusion Ally',100,1,0),
(316926,182267,'When Equipped:',100,0,0),
(316927,182267,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(316928,182267,'Heals group members (AE) for 2624',100,2,2),
(316929,182267,'Heals group members (AE) for 875 every 5 seconds',100,2,3),
(316930,182267,'Must not be engaged in pvp combat',100,2,4),
(316931,182267,'Cannot be modified except by direct means',100,2,5),
(316932,182267,'Must not be engaged in pvp combat',100,1,6),
(316933,10182267,'When Equipped:',100,0,0),
(316934,10182267,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(316935,10182267,'Heals group members (AE) for 3071',100,2,2),
(316936,10182267,'Heals group members (AE) for 1024 every 5 seconds',100,2,3),
(316937,10182267,'Must not be engaged in pvp combat',100,2,4),
(316938,10182267,'Cannot be modified except by direct means',100,2,5),
(316939,10182267,'Must not be engaged in pvp combat',100,1,6),
(316940,36357,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(316941,36357,'This effect suspends during combat',100,0,1),
(316942,139551,'When Equipped:',100,0,0),
(316943,139551,'On a combat hit this spell may cast Countenance of Marr on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(316944,139551,'Increases STR of caster by 50.0',100,2,2),
(316945,139551,'Increases Damage Per Second of caster by 15.0',100,2,3),
(316946,139551,'Enlarges caster by 40.0%',100,2,4),
(316947,139551,'Cannot be modified except by direct means',100,2,5),
(316948,10139551,'When Equipped:',100,0,0),
(316949,10139551,'On a combat hit this spell may cast Countenance of Marr on caster.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(316950,10139551,'Increases STR of caster by 50.0',100,2,2),
(316951,10139551,'Increases Damage Per Second of caster by 15.0',100,2,3),
(316952,10139551,'Enlarges caster by 40.0%',100,2,4),
(316953,10139551,'Cannot be modified except by direct means',100,2,5),
(316954,154487,'When Equipped:',100,0,0),
(316955,154487,'Increases Attack Speed of caster by 35.0',100,1,1),
(316956,10154487,'When Equipped:',100,0,0),
(316957,10154487,'Increases Attack Speed of caster by 35.0',100,1,1),
(316958,37346,'Increases AGI of target by 4.5',100,0,0),
(316959,37346,'Increases Out-of-Combat Health Regeneration of target by 76.0',100,0,1),
(316960,104088,'Inflicts 259 - 432 mental damage on target',100,1,0),
(316961,104088,'Inflicts 259 - 432 mental damage on target',100,1,1),
(316962,10104088,'Inflicts 337 - 561 mental damage on target',100,1,0),
(316963,10104088,'Inflicts 337 - 561 mental damage on target',100,1,1),
(316964,116442,'Inflicts 31 disease damage on target instantly and every 4 seconds',100,1,0),
(316965,116442,'Inflicts 31 disease damage on target instantly and every 4 seconds',100,1,1),
(316966,116442,'If target is nightblood',100,2,2),
(316967,116442,'Inflicts 31 disease damage on target instantly and every 4 seconds',100,1,3),
(316968,116442,'If target is shadowed folk',100,2,4),
(316969,10116442,'Inflicts 40 disease damage on target instantly and every 4 seconds',100,1,0),
(316970,117284,'Inflicts 188 - 314 melee damage on target',100,1,0),
(316971,117284,'Decreases Damage Per Second of target by 11.8',100,1,1),
(316972,117284,'Decreases Attack Speed of target by 9.1',100,1,2),
(316973,10117284,'Inflicts 245 - 408 melee damage on target',100,1,0),
(316974,10117284,'Decreases Damage Per Second of target by 11.8',100,1,1),
(316975,10117284,'Decreases Attack Speed of target by 9.1',100,1,2),
(316976,113429,'Reduces physical damage done to caster by 5%',100,1,0),
(316977,113429,'Increases STA of caster by 163.7',100,1,1),
(316978,113429,'Adds 3.7% to base avoidance.',100,1,2),
(316979,113429,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(316980,113429,'Increases Defense and Aggression of caster by 31.2',100,1,4),
(316981,113429,'Increases Mitigation of caster vs noxious damage by 2086',100,1,5),
(316982,113429,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(316983,10113429,'Reduces physical damage done to caster by 5%',100,1,0),
(316984,10113429,'Increases STA of caster by 163.7',100,1,1),
(316985,10113429,'Adds 3.7% to base avoidance.',100,1,2),
(316986,10113429,'Decreases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(316987,10113429,'Increases Defense and Aggression of caster by 31.2',100,1,4),
(316988,10113429,'Increases Mitigation of caster vs noxious damage by 2086',100,1,5),
(316989,10113429,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(316990,86032,'When Equipped:',100,0,0),
(316991,86032,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316992,86032,'Inflicts 89 - 108 divine damage on target',100,2,2),
(316993,86032,'Cannot be modified except by direct means',100,2,3),
(316994,10086032,'When Equipped:',100,0,0),
(316995,10086032,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(316996,10086032,'Inflicts 115 - 141 divine damage on target',100,2,2),
(316997,10086032,'Cannot be modified except by direct means',100,2,3),
(316998,112128,'Dispels 46 levels of physical and arcane hostile effects on caster',100,1,0),
(316999,10112128,'Dispels 46 levels of physical and arcane hostile effects on caster',100,1,0),
(317000,115616,'Wards target against 1888 points of all damage',100,1,0),
(317001,10115616,'Wards target against 2832 points of all damage',100,1,0),
(317002,120222,'Roots target encounter',100,1,0),
(317003,120222,'15% chance to dispel when target takes damage',100,1,1),
(317004,120222,'Does not affect Epic targets',100,1,2),
(317005,120222,'Resistibility increases against targets higher than level 83.',100,1,3),
(317006,10120222,'Roots target encounter',100,1,0),
(317007,10120222,'15% chance to dispel when target takes damage',100,1,1),
(317008,10120222,'Does not affect Epic targets',100,1,2),
(317009,10120222,'Resistibility increases against targets higher than level 83.',100,1,3),
(317010,35922,'Increases AGI of target by 4.3',100,0,0),
(317011,35922,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(317012,75940,'When Equipped:',100,0,0),
(317013,75940,'Decreases Max Health of caster by 150.0',100,1,1),
(317014,75940,'Increases Max Power of caster by 300.0',100,1,2),
(317015,10075940,'When Equipped:',100,0,0),
(317016,10075940,'Decreases Max Health of caster by 150.0',100,1,1),
(317017,10075940,'Increases Max Power of caster by 300.0',100,1,2),
(317018,121995,'Inflicts 84 - 141 melee damage on targets in area',100,1,0),
(317019,121995,'Increases Threat to target encounter by 432 ',100,1,1),
(317020,10121995,'Inflicts 110 - 183 melee damage on targets in area',100,1,0),
(317021,10121995,'Prevents target encounter from changing targets',100,1,1),
(317022,10121995,'Forces target encounter to change their selected target to caster.',100,1,2),
(317023,183472,'When Equipped:',100,0,0),
(317024,183472,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(317025,183472,'When Equipped:',100,0,2),
(317026,183472,'Reduces reuse time of hostile spells by 3 percent.',100,1,3),
(317027,10183472,'When Equipped:',100,0,0),
(317028,10183472,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(317029,10183472,'When Equipped:',100,0,2),
(317030,10183472,'Reduces reuse time of hostile spells by 3 percent.',100,1,3),
(317031,139311,'When Equipped:',100,0,0),
(317032,139311,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(317033,139311,'Inflicts 1986 piercing damage on target',100,2,2),
(317034,139311,'Cannot be modified except by direct means',100,2,3),
(317035,10139311,'When Equipped:',100,0,0),
(317036,10139311,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(317037,10139311,'Inflicts 1291 piercing damage on target',100,2,2),
(317038,10139311,'Cannot be modified except by direct means',100,2,3),
(317039,75407,'When Equipped:',100,0,0),
(317040,75407,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317041,75407,'Slows target by 20.0%',100,2,2),
(317042,75407,'Cannot be modified except by direct means',100,2,3),
(317043,10075407,'When Equipped:',100,0,0),
(317044,10075407,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317045,10075407,'Slows target by 20.0%',100,2,2),
(317046,10075407,'Cannot be modified except by direct means',100,2,3),
(317047,120242,'Summons a pet Skeletal Valet',100,1,0),
(317048,10120242,'Summons a pet Skeletal Valet',100,1,0),
(317049,114705,'Grants target a 27% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(317050,114705,'Decreases Hate Gain of target by 19.2%',100,1,1),
(317051,10114705,'Grants target a 27% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(317052,74715,'When Equipped:',100,0,0),
(317053,74715,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317054,74715,'Inflicts 155 - 233 magic damage on target',100,2,2),
(317055,74715,'Cannot be modified except by direct means',100,2,3),
(317056,10074715,'When Equipped:',100,0,0),
(317057,10074715,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317058,10074715,'Inflicts 202 - 302 magic damage on target',100,2,2),
(317059,10074715,'Cannot be modified except by direct means',100,2,3),
(317060,112599,'Increases STA of caster by 15.4',100,1,0),
(317061,112599,'Reduces slow effects on caster by 7.1%',100,1,1),
(317062,112599,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 410',100,1,2),
(317063,10112599,'Increases STA of caster by 15.4',100,1,0),
(317064,10112599,'Reduces slow effects on caster by 7.1%',100,1,1),
(317065,10112599,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 410',100,1,2),
(317066,115157,'Heals target for 97 - 119',100,1,0),
(317067,10115157,'Heals target for 132 - 161',100,1,0),
(317068,81027,'When Equipped:',100,0,0),
(317069,81027,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317070,81027,'Inflicts 136 - 252 magic damage on target',100,2,2),
(317071,81027,'Cannot be modified except by direct means',100,2,3),
(317072,10081027,'When Equipped:',100,0,0),
(317073,10081027,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317074,10081027,'Inflicts 177 - 328 magic damage on target',100,2,2),
(317075,10081027,'Cannot be modified except by direct means',100,2,3),
(317076,164583,'Applies Unstable Magics when Equipped.',100,0,0),
(317077,164583,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(317078,10164583,'Applies Unstable Magics when Equipped.',100,0,0),
(317079,10164583,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(317080,25524,'When Equipped:',100,0,0),
(317081,25524,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(317082,25524,'Reduces the reuse time of Fusion III by 60 seconds.',100,1,2),
(317083,10025524,'When Equipped:',100,0,0),
(317084,10025524,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(317085,10025524,'Reduces the reuse time of Fusion III by 60 seconds.',100,1,2),
(317086,46513,'Applies Gnomish Safety Recaller when Activated.',100,0,0),
(317087,46513,'Teleports caster within the zone',100,1,1),
(317088,10046513,'Applies Gnomish Safety Recaller when Activated.',100,0,0),
(317089,10046513,'Teleports caster within the zone',100,1,1),
(317090,80360,'When Equipped:',100,0,0),
(317091,80360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317092,80360,'Inflicts 48 - 90 magic damage on target',100,2,2),
(317093,80360,'Cannot be modified except by direct means',100,2,3),
(317094,10080360,'When Equipped:',100,0,0),
(317095,10080360,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317096,10080360,'Inflicts 63 - 116 magic damage on target',100,2,2),
(317097,10080360,'Cannot be modified except by direct means',100,2,3),
(317098,159546,'Applies Sanguine Imbued when Equipped.',100,0,0),
(317099,159546,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(317100,159546,'Inflicts 99 heat damage on target',100,2,2),
(317101,159546,'Cannot be modified except by direct means',100,2,3),
(317102,10159546,'Applies Sanguine Imbued when Equipped.',100,0,0),
(317103,10159546,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(317104,10159546,'Inflicts 129 heat damage on target',100,2,2),
(317105,10159546,'Cannot be modified except by direct means',100,2,3),
(317106,50528,'When Equipped:',100,0,0),
(317107,50528,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317108,50528,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(317109,50528,'Wards target against 4840 points of all damage',100,2,3),
(317110,50528,'Must not be engaged in pvp combat',100,2,4),
(317111,50528,'Cannot be modified except by direct means',100,2,5),
(317112,50528,'Cannot be modified except by direct means',100,1,6),
(317113,10050528,'When Equipped:',100,0,0),
(317114,10050528,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317115,10050528,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(317116,10050528,'Wards target against 4840 points of all damage',100,2,3),
(317117,10050528,'Must not be engaged in pvp combat',100,2,4),
(317118,10050528,'Cannot be modified except by direct means',100,2,5),
(317119,10050528,'Cannot be modified except by direct means',100,1,6),
(317120,36478,'Increases Out-of-Combat Power Regeneration of target by 18.0',100,0,0),
(317121,123253,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(317122,123253,'Increases Mitigation of group members (AE) vs noxious damage by 706',100,1,1),
(317123,10123253,'Increases Max Power of group members (AE) by 456.9',100,1,0),
(317124,10123253,'Increases Mitigation of group members (AE) vs noxious damage by 706',100,1,1),
(317125,101811,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(317126,101811,'Decreases Threat to target by 1,236 ',100,2,1),
(317127,10101811,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(317128,10101811,'Inflicts 70 - 77 crushing damage on target',100,2,1),
(317129,159098,'When Equipped:',100,0,0),
(317130,159098,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(317131,159098,'Increases STA of caster by 14.8',100,2,2),
(317132,159098,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(317133,159098,'Cannot be modified except by direct means',100,2,4),
(317134,10159098,'When Equipped:',100,0,0),
(317135,10159098,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(317136,10159098,'Increases STA of caster by 14.8',100,2,2),
(317137,10159098,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(317138,10159098,'Cannot be modified except by direct means',100,2,4),
(317139,75678,'When Equipped:',100,0,0),
(317140,75678,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(317141,75678,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(317142,75678,'Heals caster for 1185 - 1309',100,2,3),
(317143,75678,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(317144,75678,'Must not be engaged in pvp combat',100,2,5),
(317145,75678,'Cannot be modified except by direct means',100,2,6),
(317146,75678,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(317147,75678,'Cannot be modified except by direct means',100,1,8),
(317148,10075678,'When Equipped:',100,0,0),
(317149,10075678,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(317150,10075678,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(317151,10075678,'Heals caster for 1386 - 1532',100,2,3),
(317152,10075678,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(317153,10075678,'Must not be engaged in pvp combat',100,2,5),
(317154,10075678,'Cannot be modified except by direct means',100,2,6),
(317155,10075678,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(317156,10075678,'Cannot be modified except by direct means',100,1,8),
(317157,111451,'Decreases Attack Speed of caster by 15.5',100,1,0),
(317158,111451,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(317159,111451,'Roots target',100,2,2),
(317160,111451,'5% chance to dispel when target takes damage',100,2,3),
(317161,111451,'5% chance to dispel when target receives hostile action',100,2,4),
(317162,111451,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',100,2,5),
(317163,111451,'Increases Mitigation of caster vs physical damage by 880',100,1,6),
(317164,10111451,'Decreases Attack Speed of caster by 15.5',100,1,0),
(317165,10111451,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 4.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(317166,10111451,'Roots target',100,2,2),
(317167,10111451,'5% chance to dispel when target takes damage',100,2,3),
(317168,10111451,'5% chance to dispel when target receives hostile action',100,2,4),
(317169,10111451,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,5),
(317170,10111451,'Increases Mitigation of caster vs physical damage by 880',100,1,6),
(317171,119194,'Inflicts 169 - 282 heat damage on target',100,1,0),
(317172,119194,'Inflicts 169 - 282 heat damage on target',100,1,1),
(317173,119194,'Requires bow',100,1,2),
(317174,10119194,'Inflicts 171 - 285 heat damage on target',100,1,0),
(317175,10119194,'Inflicts 171 - 285 heat damage on target',100,1,1),
(317176,10119194,'Requires bow',100,1,2),
(317177,123856,'Increases AGI of caster by 44.5',100,1,0),
(317178,123856,'Adds 21.8% to base avoidance.',100,1,1),
(317179,123856,'Increases Damage Per Second of caster by 45.6',100,1,2),
(317180,123856,'Increases Mitigation of caster vs physical damage by 402',100,1,3),
(317181,123856,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,4),
(317182,10123856,'Increases AGI of caster by 44.5',100,1,0),
(317183,10123856,'Adds 21.8% to base avoidance.',100,1,1),
(317184,10123856,'Increases Damage Per Second of caster by 45.6',100,1,2),
(317185,10123856,'Increases Mitigation of caster vs physical damage by 402',100,1,3),
(317186,10123856,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 895',100,1,4),
(317187,72213,'When Equipped:',100,0,0),
(317188,72213,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317189,72213,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(317190,72213,'Cannot be modified except by direct means',100,2,3),
(317191,10072213,'When Equipped:',100,0,0),
(317192,10072213,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317193,10072213,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(317194,10072213,'Cannot be modified except by direct means',100,2,3),
(317195,159882,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(317196,159882,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(317197,159882,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(317198,159882,'Cannot be modified except by direct means',100,2,3),
(317199,10159882,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(317200,10159882,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(317201,10159882,'Heals target for 15 instantly and every 4 seconds',100,2,2),
(317202,10159882,'Cannot be modified except by direct means',100,2,3),
(317203,41563,'When Equipped:',100,0,0),
(317204,41563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317205,41563,'Inflicts 78 - 144 magic damage on target',100,2,2),
(317206,41563,'Cannot be modified except by direct means',100,2,3),
(317207,10041563,'When Equipped:',100,0,0),
(317208,10041563,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317209,10041563,'Inflicts 101 - 188 magic damage on target',100,2,2),
(317210,10041563,'Cannot be modified except by direct means',100,2,3),
(317211,47526,'Applies Petrified Iksar Eye when Activated.  Lasts for 6 hours.',100,0,0),
(317212,47526,'Shapechanges caster into an iksar',100,1,1),
(317213,10047526,'Applies Petrified Iksar Eye when Activated.  Lasts for 6 hours.',100,0,0),
(317214,10047526,'Shapechanges caster into an iksar',100,1,1),
(317215,80962,'When Equipped:',100,0,0),
(317216,80962,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317217,80962,'Inflicts 175 - 324 magic damage on target',100,2,2),
(317218,80962,'Cannot be modified except by direct means',100,2,3),
(317219,10080962,'When Equipped:',100,0,0),
(317220,10080962,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317221,10080962,'Inflicts 227 - 421 magic damage on target',100,2,2),
(317222,10080962,'Cannot be modified except by direct means',100,2,3),
(317223,36654,'Increases STR of target by 6.2',100,0,0),
(317224,36654,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(317225,72257,'When Equipped:',100,0,0),
(317226,72257,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317227,72257,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(317228,72257,'Cannot be modified except by direct means',100,2,3),
(317229,10072257,'When Equipped:',100,0,0),
(317230,10072257,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317231,10072257,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(317232,10072257,'Cannot be modified except by direct means',100,2,3),
(317233,47060,'Applies Mis-calibrated Manastone when Activated.',100,0,0),
(317234,47060,'Decreases power of caster by 12.0%',50,1,1),
(317235,47060,'Increases power of caster by 15.0%',50,1,2),
(317236,10047060,'Applies Mis-calibrated Manastone when Activated.',100,0,0),
(317237,10047060,'Decreases power of caster by 6.0%',50,1,1),
(317238,10047060,'Increases power of caster by 7.5%',50,1,2),
(317239,109872,'Increases Defense of group members (AE) by 25.2',100,1,0),
(317240,10109872,'Increases Defense of group members (AE) by 25.2',100,1,0),
(317241,89645,'When Equipped:',100,0,0),
(317242,89645,'On a combat hit this spell may cast Despoiling Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317243,89645,'Inflicts 120 - 147 poison damage on target instantly and every 2 seconds',100,2,2),
(317244,89645,'Cannot be modified except by direct means',100,2,3),
(317245,10089645,'When Equipped:',100,0,0),
(317246,10089645,'On a combat hit this spell may cast Despoiling Mist on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317247,10089645,'Inflicts 156 - 191 poison damage on target instantly and every 2 seconds',100,2,2),
(317248,10089645,'Cannot be modified except by direct means',100,2,3),
(317249,87119,'When Equipped:',100,0,0),
(317250,87119,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317251,87119,'Inflicts 155 - 232 magic damage on target',100,2,2),
(317252,87119,'Cannot be modified except by direct means',100,2,3),
(317253,10087119,'When Equipped:',100,0,0),
(317254,10087119,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317255,10087119,'Inflicts 201 - 302 magic damage on target',100,2,2),
(317256,10087119,'Cannot be modified except by direct means',100,2,3),
(317257,74606,'When Equipped:',100,0,0),
(317258,74606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317259,74606,'Inflicts 37 - 55 magic damage on target',100,2,2),
(317260,74606,'Cannot be modified except by direct means',100,2,3),
(317261,10074606,'When Equipped:',100,0,0),
(317262,10074606,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317263,10074606,'Inflicts 48 - 72 magic damage on target',100,2,2),
(317264,10074606,'Cannot be modified except by direct means',100,2,3),
(317265,72179,'When Equipped:',100,0,0),
(317266,72179,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317267,72179,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(317268,72179,'Cannot be modified except by direct means',100,2,3),
(317269,10072179,'When Equipped:',100,0,0),
(317270,10072179,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(317271,10072179,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(317272,10072179,'Cannot be modified except by direct means',100,2,3),
(317273,46899,'Applies Mechanized Platinum Repository of Reconstruction when Activated.  Lasts for 5 minutes.',100,0,0),
(317274,46899,'Summons a Mender',100,1,1),
(317275,10046899,'Applies Mechanized Platinum Repository of Reconstruction when Activated.  Lasts for 5 minutes.',100,0,0),
(317276,10046899,'Summons a Mender',100,1,1),
(317277,109183,'Roots target',100,1,0),
(317278,109183,'Applies Blind.  Lasts for 8.0 seconds.',100,1,1),
(317279,109183,'Dazes target',100,2,2),
(317280,109183,'Blurs vision of target',100,2,3),
(317281,109183,'Dispelled when target takes damage',100,2,4),
(317282,109183,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(317283,109183,'5% chance to dispel when target takes damage',100,1,6),
(317284,109183,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,7),
(317285,109183,'Resistibility increases against targets higher than level 90.',100,1,8),
(317286,10109183,'Roots target',100,1,0),
(317287,10109183,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(317288,10109183,'Dazes target',100,2,2),
(317289,10109183,'Blurs vision of target',100,2,3),
(317290,10109183,'Dispelled when target takes damage',100,2,4),
(317291,10109183,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(317292,10109183,'5% chance to dispel when target takes damage',100,1,6),
(317293,10109183,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(317294,10109183,'Resistibility increases against targets higher than level 90.',100,1,8),
(317295,101229,'Inflicts 376 - 627 cold damage on target',100,1,0),
(317296,101229,'Dazes target',100,1,1),
(317297,101229,'If Target is not Epic',100,2,2),
(317298,101229,'Resistibility increases against targets higher than level 111.',100,1,3),
(317299,10101229,'Inflicts 489 - 815 cold damage on target',100,1,0),
(317300,10101229,'Dazes target',100,1,1),
(317301,10101229,'If Target is not Epic',100,2,2),
(317302,10101229,'Resistibility increases against targets higher than level 111.',100,1,3),
(317303,51294,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(317304,51294,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(317305,51294,'Inflicts 14 heat damage on target',100,2,2),
(317306,51294,'Cannot be modified except by direct means',100,2,3),
(317307,10051294,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(317308,10051294,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(317309,10051294,'Inflicts 18 heat damage on target',100,2,2),
(317310,10051294,'Cannot be modified except by direct means',100,2,3),
(317311,169111,'When Equipped:',100,0,0),
(317312,169111,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(317313,10169111,'When Equipped:',100,0,0),
(317314,10169111,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(317315,119931,'Stifles target',100,1,0),
(317316,119931,'Inflicts 357 - 436 mental damage on target',100,1,1),
(317317,119931,'Inflicts 119 - 145 mental damage on target every 2.7 seconds',100,1,2),
(317318,119931,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,3),
(317319,119931,'Resistibility increases against targets higher than level 101.',100,1,4),
(317320,10119931,'Stifles target',100,1,0),
(317321,10119931,'Inflicts 464 - 567 mental damage on target',100,1,1),
(317322,10119931,'Inflicts 155 - 189 mental damage on target every second',100,1,2),
(317323,10119931,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(317324,10119931,'Resistibility increases against targets higher than level 101.',100,1,4),
(317325,70894,'When Equipped:',100,0,0),
(317326,70894,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(317327,70894,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(317328,70894,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,3),
(317329,70894,'Must not be engaged in pvp combat',100,2,4),
(317330,70894,'Cannot be modified except by direct means',100,2,5),
(317331,10070894,'When Equipped:',100,0,0),
(317332,10070894,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(317333,10070894,'On any combat or spell hit this spell may cast Velium Tempest II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(317334,10070894,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,3),
(317335,10070894,'Must not be engaged in pvp combat',100,2,4),
(317336,10070894,'Cannot be modified except by direct means',100,2,5),
(317337,53246,'When Equipped:',100,0,0),
(317338,53246,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317339,53246,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(317340,53246,'Increases Attack Speed of caster by 6.0',100,2,3),
(317341,53246,'Increases Damage Per Second of caster by 9.0',100,2,4),
(317342,53246,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(317343,53246,'Must not be engaged in pvp combat',100,2,6),
(317344,53246,'Cannot be modified except by direct means',100,2,7),
(317345,53246,'Cannot be modified except by direct means',100,1,8),
(317346,10053246,'When Equipped:',100,0,0),
(317347,10053246,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317348,10053246,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(317349,10053246,'Increases Attack Speed of caster by 6.0',100,2,3),
(317350,10053246,'Increases Damage Per Second of caster by 9.0',100,2,4),
(317351,10053246,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(317352,10053246,'Must not be engaged in pvp combat',100,2,6),
(317353,10053246,'Cannot be modified except by direct means',100,2,7),
(317354,10053246,'Cannot be modified except by direct means',100,1,8),
(317355,112788,'All combat arts have their damage increased by 17%',100,1,0),
(317356,112788,'Increases Crit Bonus of caster by 27.2%',100,1,1),
(317357,112788,'Decreases Defense and Parry of caster by 24.4',100,1,2),
(317358,112788,'Decreases Mitigation of caster vs all damage by 813',100,1,3),
(317359,112788,'This ability can only be used while berserk!',100,1,4),
(317360,10112788,'All combat arts have their damage increased by 17%',100,1,0),
(317361,10112788,'Increases Crit Bonus of caster by 27.2%',100,1,1),
(317362,10112788,'Decreases Defense and Parry of caster by 24.4',100,1,2),
(317363,10112788,'Decreases Mitigation of caster vs all damage by 813',100,1,3),
(317364,10112788,'This ability can only be used while berserk!',100,1,4),
(317365,100246,'Inflicts 8 - 14 poison damage on target instantly and every 3 seconds',100,1,0),
(317366,10100246,'Inflicts 22 - 42 poison damage on target instantly and every 3 seconds',100,1,0),
(317367,45657,'Applies Elixir of Vitality  when Activated.',100,0,0),
(317368,45657,'Heals caster for 68',100,1,1),
(317369,10045657,'Applies Elixir of Vitality  when Activated.',100,0,0),
(317370,10045657,'Heals caster for 44',100,1,1),
(317371,89770,'When Equipped:',100,0,0),
(317372,89770,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317373,89770,'Increases INT, AGI, WIS and STR of caster by 50.0',100,1,2),
(317374,89770,'Increases Potency of caster by 3.5%',100,1,3),
(317375,89770,'Cannot be modified except by direct means',100,1,4),
(317376,89770,'When Equipped:',100,0,5),
(317377,89770,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,6),
(317378,89770,'Heals target for 5610 - 6200',100,2,7),
(317379,89770,'Dispels 221 levels of any hostile effects on target',100,2,8),
(317380,89770,'Must not be engaged in pvp combat',100,2,9),
(317381,89770,'Cannot be modified except by direct means',100,2,10),
(317382,89770,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(317383,89770,'Cannot be modified except by direct means',100,1,12),
(317384,10089770,'When Equipped:',100,0,0),
(317385,10089770,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317386,10089770,'Increases INT, AGI, WIS and STR of caster by 50.0',100,1,2),
(317387,10089770,'Increases Potency of caster by 3.5%',100,1,3),
(317388,10089770,'Cannot be modified except by direct means',100,1,4),
(317389,10089770,'When Equipped:',100,0,5),
(317390,10089770,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,6),
(317391,10089770,'Heals target for 6563 - 7254',100,2,7),
(317392,10089770,'Dispels 221 levels of any hostile effects on target',100,2,8),
(317393,10089770,'Must not be engaged in pvp combat',100,2,9),
(317394,10089770,'Cannot be modified except by direct means',100,2,10),
(317395,10089770,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(317396,10089770,'Cannot be modified except by direct means',100,1,12),
(317397,47518,'Applies Petrified Erudite Eye when Activated.  Lasts for 6 hours.',100,0,0),
(317398,47518,'Shapechanges caster into an erudite',100,1,1),
(317399,10047518,'Applies Petrified Erudite Eye when Activated.  Lasts for 6 hours.',100,0,0),
(317400,10047518,'Shapechanges caster into an erudite',100,1,1),
(317401,158331,'Applies Hooluk in a Hat when Activated.',100,0,0),
(317402,158331,'Summons a pet Hooluk',100,1,1),
(317403,158331,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(317404,10158331,'Applies Hooluk in a Hat when Activated.',100,0,0),
(317405,10158331,'Summons a pet Hooluk',100,1,1),
(317406,10158331,'The casting time of Hooluk in a Hat is 4.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(317407,81392,'When Equipped:',100,0,0),
(317408,81392,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317409,81392,'Inflicts 80 - 149 magic damage on target',100,2,2),
(317410,81392,'Cannot be modified except by direct means',100,2,3),
(317411,10081392,'When Equipped:',100,0,0),
(317412,10081392,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317413,10081392,'Inflicts 104 - 193 magic damage on target',100,2,2),
(317414,10081392,'Cannot be modified except by direct means',100,2,3),
(317415,124809,'Increases STR of caster by 166.3',100,1,0),
(317416,124809,'Decreases Defense of caster by 26.2',100,1,1),
(317417,124809,'Increases Crushing, Piercing, Slashing and Disruption of caster by 47.7',100,1,2),
(317418,10124809,'Increases STR of caster by 166.3',100,1,0),
(317419,10124809,'Decreases Defense of caster by 26.2',100,1,1),
(317420,10124809,'Increases Crushing, Piercing, Slashing and Disruption of caster by 47.7',100,1,2),
(317421,130057,'Applies Ward of the Abbatoirs when Activated.  Lasts for 36.0 seconds.',100,0,0),
(317422,130057,'Wards caster against 72 points of all damage',100,1,1),
(317423,130057,'The casting time of Ward of the Abbatoirs is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(317424,10130057,'Applies Ward of the Abbatoirs when Activated.  Lasts for 36.0 seconds.',100,0,0),
(317425,10130057,'Wards caster against 72 points of all damage',100,1,1),
(317426,10130057,'The casting time of Ward of the Abbatoirs is 1.0 second and the reuse time of the spell is 10 minutes',100,1,2),
(317427,119436,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(317428,119436,'Stuns target',100,2,1),
(317429,119436,'Throws target back',100,2,2),
(317430,119436,'Blurs vision of target',100,2,3),
(317431,119436,'Does not affect Epic targets',100,2,4),
(317432,119436,'Inflicts 579 - 965 melee damage on target',100,1,5),
(317433,119436,'You must be sneaking to use this ability.',100,1,6),
(317434,10119436,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(317435,10119436,'Stuns target',100,2,1),
(317436,10119436,'Throws target back',100,2,2),
(317437,10119436,'Blurs vision of target',100,2,3),
(317438,10119436,'Does not affect Epic targets',100,2,4),
(317439,10119436,'Inflicts 752 - 1254 melee damage on target',100,1,5),
(317440,10119436,'You must be sneaking to use this ability.',100,1,6),
(317441,158679,'When Equipped:',100,0,0),
(317442,158679,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(317443,158679,'Increases Potency of caster by 7.0%',100,2,2),
(317444,158679,'Cannot be modified except by direct means',100,2,3),
(317445,10158679,'When Equipped:',100,0,0),
(317446,10158679,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(317447,10158679,'Increases Potency of caster by 7.0%',100,2,2),
(317448,10158679,'Cannot be modified except by direct means',100,2,3),
(317449,46600,'Applies Throw when Activated.',100,0,0),
(317450,10046600,'Applies Throw when Activated.',100,0,0),
(317451,118249,'Increases Threat to target encounter by 54 - 66 ',100,1,0),
(317452,118249,'Decreases Mitigation of target encounter vs arcane damage by 115',100,1,1),
(317453,10118249,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(317454,10118249,'Prevents target from changing targets',100,2,1),
(317455,10118249,'Forces target to change their selected target to caster.',100,2,2),
(317456,10118249,'Decreases Mitigation of target encounter vs arcane damage by 115',100,1,3),
(317457,113279,'Inflicts 8 - 13 heat damage on target',100,1,0),
(317458,10113279,'Inflicts 16 - 26 heat damage on target',100,1,0),
(317459,46645,'Applies Holy Sight when Activated.  Lasts for 15 minutes.',100,0,0),
(317460,46645,'On any combat or spell hit this spell may cast Holy Sight on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(317461,46645,'Inflicts 216 divine damage on target',100,2,2),
(317462,46645,'Heals caster for 120',100,2,3),
(317463,46645,'Cannot be modified except by direct means',100,2,4),
(317464,10046645,'Applies Holy Sight when Activated.  Lasts for 15 minutes.',100,0,0),
(317465,10046645,'On any combat or spell hit this spell may cast Holy Sight on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(317466,10046645,'Inflicts 281 divine damage on target',100,2,2),
(317467,10046645,'Heals caster for 78',100,2,3),
(317468,10046645,'Cannot be modified except by direct means',100,2,4),
(317469,123246,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(317470,123246,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(317471,10123246,'Increases Max Power of group members (AE) by 252.6',100,1,0),
(317472,10123246,'Increases Mitigation of group members (AE) vs noxious damage by 392',100,1,1),
(317473,46289,'Applies Overclocked Tools when Equipped.',100,0,0),
(317474,46289,'Increases success chance by 5.0%',100,1,1),
(317475,10046289,'Applies Overclocked Tools when Equipped.',100,0,0),
(317476,10046289,'Increases success chance by 5.0%',100,1,1),
(317477,124191,'Inflicts 189 - 315 melee damage on target',100,1,0),
(317478,10124191,'Inflicts 245 - 409 melee damage on target',100,1,0),
(317479,81035,'When Equipped:',100,0,0),
(317480,81035,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317481,81035,'Inflicts 151 - 280 magic damage on target',100,2,2),
(317482,81035,'Cannot be modified except by direct means',100,2,3),
(317483,10081035,'When Equipped:',100,0,0),
(317484,10081035,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317485,10081035,'Inflicts 196 - 364 magic damage on target',100,2,2),
(317486,10081035,'Cannot be modified except by direct means',100,2,3),
(317487,118437,'Heals target for 2102 - 2569',100,1,0),
(317488,118437,'Increases Max Health of target by 330.9',100,1,1),
(317489,10118437,'Heals target for 2438 - 2980',100,1,0),
(317490,10118437,'Increases Max Health of target by 330.9',100,1,1),
(317491,105651,'Decreases Damage Per Second of target by 16.9',100,1,0),
(317492,105651,'Inflicts 25 - 42 melee damage on target',100,1,1),
(317493,105651,'Must be flanking or behind',100,1,2),
(317494,10105651,'Decreases Damage Per Second of target by 16.9',100,1,0),
(317495,10105651,'Inflicts 33 - 55 melee damage on target',100,1,1),
(317496,10105651,'Must be flanking or behind',100,1,2),
(317497,87428,'When Equipped:',100,0,0),
(317498,87428,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317499,87428,'Inflicts 30 - 45 magic damage on target',100,2,2),
(317500,87428,'Cannot be modified except by direct means',100,2,3),
(317501,10087428,'When Equipped:',100,0,0),
(317502,10087428,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317503,10087428,'Inflicts 39 - 59 magic damage on target',100,2,2),
(317504,10087428,'Cannot be modified except by direct means',100,2,3),
(317505,113606,'Summons a limited pet to aid the caster',100,1,0),
(317506,10113606,'Summons a limited pet to aid the caster',100,1,0),
(317507,103912,'Wards group members (AE) collectively against 460 total points of all damage',100,1,0),
(317508,10103912,'Wards group members (AE) collectively against 686 total points of all damage',100,1,0),
(317509,153950,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(317510,153950,'Decreases Attack Speed of target by 19.0',100,1,1),
(317511,153950,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(317512,10153950,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(317513,10153950,'Decreases Attack Speed of target by 19.0',100,1,1),
(317514,10153950,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(317515,77474,'When Equipped:',100,0,0),
(317516,77474,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317517,77474,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(317518,77474,'Decreases Parry and Defense of target encounter by 10.0',100,2,3),
(317519,77474,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,4),
(317520,77474,'Inflicts 748 - 827 disease damage on target encounter instantly and every 2 seconds',100,2,5),
(317521,77474,'Must not be engaged in pvp combat',100,2,6),
(317522,77474,'Cannot be modified except by direct means',100,2,7),
(317523,77474,'Cannot be modified except by direct means',100,1,8),
(317524,10077474,'When Equipped:',100,0,0),
(317525,10077474,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(317526,10077474,'On any combat or spell hit this spell may cast Corrosive Fog III on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(317527,10077474,'Decreases Parry and Defense of target encounter by 10.0',100,2,3),
(317528,10077474,'Decreases Mitigation of target encounter vs physical damage by 470',100,2,4),
(317529,10077474,'Inflicts 973 - 1075 disease damage on target encounter instantly and every 2 seconds',100,2,5),
(317530,10077474,'Must not be engaged in pvp combat',100,2,6),
(317531,10077474,'Cannot be modified except by direct means',100,2,7),
(317532,10077474,'Cannot be modified except by direct means',100,1,8),
(317533,75339,'Applies Bos Bovis Carillon when Equipped.',100,0,0),
(317534,75339,'You''ve gotta have more...',100,1,1),
(317535,10075339,'Applies Bos Bovis Carillon when Equipped.',100,0,0),
(317536,10075339,'You''ve gotta have more...',100,1,1),
(317537,42952,'When Equipped:',100,0,0),
(317538,42952,'Increases INT and AGI of caster by 5.0',100,1,1),
(317539,42952,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(317540,42952,'Increases STR and WIS of caster by 5.0',100,1,3),
(317541,42952,'Increases Potency of caster by 3.5%',100,1,4),
(317542,42952,'Cannot be modified except by direct means',100,1,5),
(317543,10042952,'When Equipped:',100,0,0),
(317544,10042952,'Increases INT and AGI of caster by 5.0',100,1,1),
(317545,10042952,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(317546,10042952,'Increases STR and WIS of caster by 5.0',100,1,3),
(317547,10042952,'Increases Potency of caster by 3.5%',100,1,4),
(317548,10042952,'Cannot be modified except by direct means',100,1,5),
(317549,24619,'Adds Pandaman (Templar) to your Dungeon Maker toolbox',100,0,0),
(317550,10024619,'Adds Pandaman (Templar) to your Dungeon Maker toolbox',100,0,0),
(317551,114058,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(317552,114058,'Grants stealth to caster',100,2,1),
(317553,114058,'Suspends caster''s movement speed enhancements',100,2,2),
(317554,114058,'Inflicts 66 - 111 melee damage on target',100,1,3),
(317555,114058,'Must be flanking or behind',100,1,4),
(317556,10114058,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(317557,10114058,'Grants stealth to caster',100,2,1),
(317558,10114058,'Suspends caster''s movement speed enhancements',100,2,2),
(317559,10114058,'Inflicts 130 - 216 melee damage on target',100,1,3),
(317560,10114058,'Must be flanking or behind',100,1,4),
(317561,111776,'Heals caster for 25.9 - 31.7% of max health',100,1,0),
(317562,111776,'This effect cannot be critically applied.',100,2,1),
(317563,111776,'The healing of this spell cannot be modified except by direct means',100,1,2),
(317564,10111776,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(317565,10111776,'This effect cannot be critically applied.',100,2,1),
(317566,10111776,'The healing of this spell cannot be modified except by direct means',100,1,2),
(317567,124409,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(317568,124409,'Inflicts 103 - 172 melee damage on target',100,2,1),
(317569,124409,'Grants a total of 3 triggers of the spell.',100,2,2),
(317570,10124409,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(317571,10124409,'Inflicts 134 - 223 melee damage on target',100,2,1),
(317572,10124409,'Grants a total of 3 triggers of the spell.',100,2,2),
(317573,119318,'Roots target',100,1,0),
(317574,119318,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(317575,119318,'Slows target by 42.2%',100,2,2),
(317576,119318,'5% chance to dispel when target receives hostile action',100,2,3),
(317577,119318,'5% chance to dispel when target takes damage',100,2,4),
(317578,119318,'15% chance to dispel when target takes damage',100,1,5),
(317579,119318,'Does not affect Epic targets',100,1,6),
(317580,119318,'Resistibility increases against targets higher than level 90.',100,1,7),
(317581,10119318,'Roots target',100,1,0),
(317582,10119318,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(317583,10119318,'Slows target by 42.2%',100,2,2),
(317584,10119318,'5% chance to dispel when target receives hostile action',100,2,3),
(317585,10119318,'5% chance to dispel when target takes damage',100,2,4),
(317586,10119318,'15% chance to dispel when target takes damage',100,1,5),
(317587,10119318,'Does not affect Epic targets',100,1,6),
(317588,10119318,'Resistibility increases against targets higher than level 90.',100,1,7),
(317589,48811,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(317590,48811,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(317591,48811,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(317592,48811,'Cannot be modified except by direct means',100,2,3),
(317593,48811,'Grants a total of 80 triggers of the spell.',100,2,4),
(317594,10048811,'Applies indomitable eruption when Activated.  Lasts for 12 hours.',100,0,0),
(317595,10048811,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(317596,10048811,'Decreases Mitigation of target vs elemental damage by 440',100,2,2),
(317597,10048811,'Cannot be modified except by direct means',100,2,3),
(317598,10048811,'Grants a total of 80 triggers of the spell.',100,2,4),
(317599,115953,'Inflicts 1116 - 1860 melee damage on target',100,1,0),
(317600,115953,'Roots target',100,1,1),
(317601,115953,'If Target is not Epic',100,2,2),
(317602,115953,'5% chance to dispel when target takes damage',100,1,3),
(317603,115953,'Resistibility increases against targets higher than level 112.',100,1,4),
(317604,10115953,'Inflicts 1451 - 2418 melee damage on target',100,1,0),
(317605,10115953,'Roots target',100,1,1),
(317606,10115953,'If Target is not Epic',100,2,2),
(317607,10115953,'5% chance to dispel when target takes damage',100,1,3),
(317608,10115953,'Resistibility increases against targets higher than level 112.',100,1,4),
(317609,82802,'When Equipped:',100,0,0),
(317610,82802,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(317611,82802,'Decreases Threat to target by 1,174 ',100,2,2),
(317612,82802,'Must be flanking or behind',100,3,3),
(317613,82802,'Increases Threat to target by 1,174 ',100,2,4),
(317614,82802,'Must be in front of',100,3,5),
(317615,82802,'Inflicts 237 - 440 magic damage on target',100,2,6),
(317616,82802,'Cannot be modified except by direct means',100,2,7),
(317617,10082802,'When Equipped:',100,0,0),
(317618,10082802,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(317619,10082802,'Inflicts 308 - 572 magic damage on target',100,2,2),
(317620,10082802,'Cannot be modified except by direct means',100,2,3),
(317621,109101,'Inflicts 48 - 81 crushing damage on target',100,1,0),
(317622,10109101,'Inflicts 63 - 105 crushing damage on target',100,1,0),
(317623,117713,'Adds 0.9% to base avoidance.',100,1,0),
(317624,117713,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(317625,10117713,'Adds 0.9% to base avoidance.',100,1,0),
(317626,10117713,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(317627,36287,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(317628,113550,'Inflicts 336 - 560 disease damage on target',100,1,0),
(317629,10113550,'Inflicts 437 - 729 disease damage on target',100,1,0),
(317630,176654,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(317631,176654,'Decreases STR, INT, AGI and WIS of target by 40.3',100,1,1),
(317632,176654,'Decreases Max Health of target by 1.0%',100,1,2),
(317633,176654,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(317634,10176654,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(317635,10176654,'Decreases STR, INT, AGI and WIS of target by 40.3',100,1,1),
(317636,10176654,'Decreases Max Health of target by 1.0%',100,1,2),
(317637,10176654,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(317638,41222,'When Equipped:',100,0,0),
(317639,41222,'On a ranged hit this spell may cast Consumption on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317640,41222,'Inflicts 552 - 920 heat damage on target',100,2,2),
(317641,41222,'Cannot be modified except by direct means',100,2,3),
(317642,10041222,'When Equipped:',100,0,0),
(317643,10041222,'On a ranged hit this spell may cast Consumption on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317644,10041222,'Inflicts 718 - 1196 heat damage on target',100,2,2),
(317645,10041222,'Cannot be modified except by direct means',100,2,3),
(317646,105756,'Stuns target',100,1,0),
(317647,105756,'If Target is not Epic',100,2,1),
(317648,105756,'Decreases power of target by 96 - 117',100,1,2),
(317649,105756,'Resistibility increases against targets higher than level 42.',100,1,3),
(317650,10105756,'Stuns target',100,1,0),
(317651,10105756,'If Target is not Epic',100,2,1),
(317652,10105756,'Decreases power of target by 96 - 117',100,1,2),
(317653,10105756,'Resistibility increases against targets higher than level 42.',100,1,3),
(317654,135273,'When Equipped:',100,0,0),
(317655,135273,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(317656,135273,'Heals group members (AE) for 391',100,2,2),
(317657,135273,'Cannot be modified except by direct means',100,2,3),
(317658,135273,'Cannot be modified except by direct means',100,1,4),
(317659,10135273,'When Equipped:',100,0,0),
(317660,10135273,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.6 times per minute. ',100,1,1),
(317661,10135273,'Heals group members (AE) for 254',100,2,2),
(317662,10135273,'Cannot be modified except by direct means',100,2,3),
(317663,10135273,'Cannot be modified except by direct means',100,1,4),
(317664,102540,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(317665,102540,'Increases Aggression of caster by 21.2',100,1,1),
(317666,102540,'Increases Defense and Parry of caster by 42.4',100,1,2),
(317667,102540,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(317668,10102540,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(317669,10102540,'Increases Aggression of caster by 21.2',100,1,1),
(317670,10102540,'Increases Defense and Parry of caster by 42.4',100,1,2),
(317671,10102540,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(317672,40004,'When Equipped:',100,0,0),
(317673,40004,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(317674,40004,'Decreases Mitigation of target vs arcane damage by 3532',100,2,2),
(317675,40004,'Inflicts 1567 - 2612 piercing damage on target',100,2,3),
(317676,40004,'Inflicts 1567 - 2612 magic damage on target',100,2,4),
(317677,40004,'Inflicts 1567 - 2612 divine damage on target',100,2,5),
(317678,40004,'Must not be engaged in pvp combat',100,2,6),
(317679,40004,'Cannot be modified except by direct means',100,2,7),
(317680,40004,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(317681,40004,'Decreases Mitigation of target vs arcane damage by 3532',100,2,9),
(317682,40004,'Inflicts 1567 - 2612 piercing damage on target',100,2,10),
(317683,40004,'Inflicts 1567 - 2612 magic damage on target',100,2,11),
(317684,40004,'Inflicts 1567 - 2612 divine damage on target',100,2,12),
(317685,40004,'Must not be engaged in pvp combat',100,2,13),
(317686,40004,'Cannot be modified except by direct means',100,2,14),
(317687,40004,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,15),
(317688,40004,'Must not be engaged in pvp combat',100,1,16),
(317689,10040004,'When Equipped:',100,0,0),
(317690,10040004,'On a hostile spell cast this spell may cast Ethereal Shards on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(317691,10040004,'Decreases Mitigation of target vs arcane damage by 3532',100,2,2),
(317692,10040004,'Inflicts 2037 - 3395 piercing damage on target',100,2,3),
(317693,10040004,'Inflicts 2037 - 3395 magic damage on target',100,2,4),
(317694,10040004,'Inflicts 2037 - 3395 divine damage on target',100,2,5),
(317695,10040004,'Must not be engaged in pvp combat',100,2,6),
(317696,10040004,'Cannot be modified except by direct means',100,2,7),
(317697,10040004,'On any combat or spell hit this spell may cast Ethereal Shards on target of attack.  Triggers about 2.0 times per minute. ',100,1,8),
(317698,10040004,'Decreases Mitigation of target vs arcane damage by 3532',100,2,9),
(317699,10040004,'Inflicts 2037 - 3395 piercing damage on target',100,2,10),
(317700,10040004,'Inflicts 2037 - 3395 magic damage on target',100,2,11),
(317701,10040004,'Inflicts 2037 - 3395 divine damage on target',100,2,12),
(317702,10040004,'Must not be engaged in pvp combat',100,2,13),
(317703,10040004,'Cannot be modified except by direct means',100,2,14),
(317704,10040004,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,15),
(317705,10040004,'Must not be engaged in pvp combat',100,1,16),
(317706,36869,'Target will Dodge 2.5% of incoming attacks',100,0,0),
(317707,36869,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(317708,101519,'Increases WIS of target by 56.4',100,1,0),
(317709,101519,'Increases Max Health of target by 485.1',100,1,1),
(317710,101519,'Increases Mitigation of target vs elemental, noxious and arcane damage by 155',100,1,2),
(317711,10101519,'Increases WIS of target by 56.4',100,1,0),
(317712,10101519,'Increases Max Health of target by 485.1',100,1,1),
(317713,10101519,'Increases Mitigation of target vs elemental, noxious and arcane damage by 155',100,1,2),
(317714,100077,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(317715,10100077,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(317716,35707,'Increases Max Power of target by 108.8',100,0,0),
(317717,35707,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(317718,35227,'Increases AGI of target by 4.3',100,0,0),
(317719,35227,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(317720,47855,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(317721,47855,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(317722,47855,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(317723,47855,'Cannot be modified except by direct means',100,2,3),
(317724,47855,'Grants a total of 80 triggers of the spell.',100,2,4),
(317725,10047855,'Applies ruinous vehemence when Activated.  Lasts for 12 hours.',100,0,0),
(317726,10047855,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(317727,10047855,'Decreases Mitigation of target vs elemental damage by 264',100,2,2),
(317728,10047855,'Cannot be modified except by direct means',100,2,3),
(317729,10047855,'Grants a total of 80 triggers of the spell.',100,2,4),
(317730,104854,'Decreases the damage done by the next spell cast by 50 percent',100,1,0),
(317731,104854,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 75.0%',100,1,1),
(317732,10104854,'Decreases the damage done by the next spell cast by 50 percent',100,1,0),
(317733,10104854,'Target will reduce the chance for one of their weapons'' autoattack to affect multiple targets by 75.0%',100,1,1),
(317734,100763,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(317735,100763,'Wards target against 915 points of all damage',100,2,1),
(317736,100763,'Increases power of target by 198 every 6 seconds',100,2,2),
(317737,100763,'Heals target for 858',100,2,3),
(317738,100763,'Grants a total of 1 trigger of the spell.',100,2,4),
(317739,10100763,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(317740,10100763,'Wards target against 915 points of all damage',100,2,1),
(317741,10100763,'Increases power of target by 198 every 6 seconds',100,2,2),
(317742,10100763,'Heals target for 558',100,2,3),
(317743,10100763,'Grants a total of 1 trigger of the spell.',100,2,4),
(317744,122735,'Applies Tranquil Healing.',100,1,0),
(317745,122735,'Heals target for 685',100,2,1),
(317746,122735,'Dispels 116 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(317747,122735,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(317748,122735,'Heals target for 685',100,3,4),
(317749,10122735,'Applies Tranquil Healing.',100,1,0),
(317750,10122735,'Heals target for 275',100,2,1),
(317751,10122735,'Dispels 116 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(317752,10122735,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(317753,10122735,'Heals target for 275',100,3,4),
(317754,109484,'Inflicts 285 - 476 cold damage on target',100,1,0),
(317755,10109484,'Inflicts 371 - 618 cold damage on target',100,1,0),
(317756,48927,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(317757,48927,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(317758,48927,'Decreases power of target by 54',100,2,2),
(317759,48927,'Cannot be modified except by direct means',100,2,3),
(317760,48927,'Grants a total of 4 triggers of the spell.',100,2,4),
(317761,10048927,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(317762,10048927,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(317763,10048927,'Decreases power of target by 54',100,2,2),
(317764,10048927,'Cannot be modified except by direct means',100,2,3),
(317765,10048927,'Grants a total of 4 triggers of the spell.',100,2,4),
(317766,80990,'When Equipped:',100,0,0),
(317767,80990,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317768,80990,'Inflicts 78 - 144 magic damage on target',100,2,2),
(317769,80990,'Cannot be modified except by direct means',100,2,3),
(317770,10080990,'When Equipped:',100,0,0),
(317771,10080990,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(317772,10080990,'Inflicts 101 - 188 magic damage on target',100,2,2),
(317773,10080990,'Cannot be modified except by direct means',100,2,3),
(317774,24690,'Adds Skeleton (Paladin) to your Dungeon Maker toolbox',100,0,0),
(317775,10024690,'Adds Skeleton (Paladin) to your Dungeon Maker toolbox',100,0,0),
(317776,81259,'When Equipped:',100,0,0),
(317777,81259,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(317778,81259,'Decreases Threat to target by 949 ',100,2,2),
(317779,81259,'Must be flanking or behind',100,3,3),
(317780,81259,'Increases Threat to target by 949 ',100,2,4),
(317781,81259,'Must be in front of',100,3,5),
(317782,81259,'Inflicts 196 - 364 magic damage on target',100,2,6),
(317783,81259,'Cannot be modified except by direct means',100,2,7),
(317784,10081259,'When Equipped:',100,0,0),
(317785,10081259,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(317786,10081259,'Inflicts 255 - 474 magic damage on target',100,2,2),
(317787,10081259,'Cannot be modified except by direct means',100,2,3),
(317788,116396,'Heals target for 205 - 250 instantly and every 2 seconds',100,1,0),
(317789,10116396,'Heals target for 133 - 163 instantly and every 2 seconds',100,1,0),
(317790,41460,'When Equipped:',100,0,0),
(317791,41460,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(317792,41460,'Decreases Threat to target by 153 ',100,2,2),
(317793,41460,'Must be flanking or behind',100,3,3),
(317794,41460,'Increases Threat to target by 153 ',100,2,4),
(317795,41460,'Must be in front of',100,3,5),
(317796,41460,'Inflicts 48 - 90 magic damage on target',100,2,6),
(317797,41460,'Cannot be modified except by direct means',100,2,7),
(317798,10041460,'When Equipped:',100,0,0),
(317799,10041460,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(317800,10041460,'Inflicts 63 - 116 magic damage on target',100,2,2),
(317801,10041460,'Cannot be modified except by direct means',100,2,3),
(317802,115465,'Inflicts 130 - 159 mental damage on target instantly and every 6 seconds',100,1,0),
(317803,115465,'Decreases Mitigation of target vs arcane damage by 1188',100,1,1),
(317804,10115465,'Inflicts 170 - 207 mental damage on target instantly and every 6 seconds',100,1,0),
(317805,10115465,'Decreases Mitigation of target vs arcane damage by 1188',100,1,1),
(317806,124765,'Inflicts 488 - 596 disease damage on target encounter',100,1,0),
(317807,10124765,'Inflicts 634 - 775 disease damage on target encounter',100,1,0),
(317808,121386,'Inflicts 204 - 380 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(317809,10121386,'Inflicts 266 - 494 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(317810,45769,'Applies Collar of Acquisition when Activated.',100,0,0),
(317811,45769,'Must be used on a Tizmak Champion under 50% health',100,1,1),
(317812,10045769,'Applies Collar of Acquisition when Activated.',100,0,0),
(317813,10045769,'Must be used on a Tizmak Champion under 50% health',100,1,1),
(317814,112183,'Increases STR of caster by 53.4',100,1,0),
(317815,112183,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1326',100,1,1),
(317816,112183,'Increases Mitigation of caster vs physical damage by 340',100,1,2),
(317817,10112183,'Increases STR of caster by 53.4',100,1,0),
(317818,10112183,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1326',100,1,1),
(317819,10112183,'Increases Mitigation of caster vs physical damage by 340',100,1,2),
(317820,123803,'Inflicts 26 - 43 magic damage on target',100,1,0),
(317821,123803,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(317822,123803,'Decreases Defense of target by 10.3',100,1,2),
(317823,123803,'Target will lose 15% more power when power is consumed',100,1,3),
(317824,123803,'15% of target''s power consumed will also be drained from target''s health',100,1,4),
(317825,10123803,'Inflicts 34 - 56 magic damage on target',100,1,0),
(317826,10123803,'Decreases Ability Casting Speed of target by 19.0%',100,1,1),
(317827,10123803,'Decreases Defense of target by 10.3',100,1,2),
(317828,10123803,'Target will lose 15% more power when power is consumed',100,1,3),
(317829,10123803,'15% of target''s power consumed will also be drained from target''s health',100,1,4),
(317830,121139,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(317831,121139,'Increases Mitigation of group members (AE) vs noxious damage by 173',100,1,1),
(317832,10121139,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(317833,10121139,'Increases Mitigation of group members (AE) vs noxious damage by 173',100,1,1),
(317834,75625,'Applies Holy Strike when Activated.',100,0,0),
(317835,75625,'Inflicts 178 - 297 divine damage on target',100,1,1),
(317836,75625,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(317837,10075625,'Applies Holy Strike when Activated.',100,0,0),
(317838,10075625,'Inflicts 231 - 386 divine damage on target',100,1,1),
(317839,10075625,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(317840,46384,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(317841,46384,'Increases Max Health of caster by 318.5',100,1,1),
(317842,10046384,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(317843,10046384,'Increases Max Health of caster by 318.5',100,1,1),
(317844,37265,'Increases AGI and STA of target by 13.2',100,0,0),
(317845,37265,'Increases Out-of-Combat Health Regeneration of target by 190.0',100,0,1),
(317846,108545,'Makes target afraid',100,1,0),
(317847,108545,'30% chance to dispel when target takes damage',100,1,1),
(317848,108545,'Does not affect Epic targets',100,1,2),
(317849,108545,'Resistibility increases against targets higher than level 53.',100,1,3),
(317850,10108545,'Makes target afraid',100,1,0),
(317851,10108545,'30% chance to dispel when target takes damage',100,1,1),
(317852,10108545,'Does not affect Epic targets',100,1,2),
(317853,10108545,'Resistibility increases against targets higher than level 53.',100,1,3),
(317854,109585,'Makes target afraid',100,1,0),
(317855,109585,'30% chance to dispel when target takes damage',100,1,1),
(317856,109585,'Does not affect Epic targets',100,1,2),
(317857,109585,'Resistibility increases against targets higher than level 107.',100,1,3),
(317858,10109585,'Makes target afraid',100,1,0),
(317859,10109585,'30% chance to dispel when target takes damage',100,1,1),
(317860,10109585,'Does not affect Epic targets',100,1,2),
(317861,10109585,'Resistibility increases against targets higher than level 107.',100,1,3),
(317862,113870,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(317863,113870,'Increases power of caster by 604',100,2,1),
(317864,113870,'Grants a total of 3 triggers of the spell.',100,2,2),
(317865,10113870,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(317866,10113870,'Increases power of caster by 604',100,2,1),
(317867,10113870,'Grants a total of 3 triggers of the spell.',100,2,2),
(317868,117416,'Increases Mitigation of group members (AE) vs physical damage by 92',100,1,0),
(317869,10117416,'Increases Mitigation of group members (AE) vs physical damage by 92',100,1,0),
(317870,47533,'Applies Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(317871,47533,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(317872,47533,'Inflicts 34 magic damage on target',100,2,2),
(317873,47533,'Cannot be modified except by direct means',100,2,3),
(317874,47533,'Only affects targets level 50 and above',100,1,4),
(317875,10047533,'Applies Phantasmal Spears when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(317876,10047533,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(317877,10047533,'Inflicts 45 magic damage on target',100,2,2),
(317878,10047533,'Cannot be modified except by direct means',100,2,3),
(317879,10047533,'Only affects targets level 50 and above',100,1,4),
(317880,139557,'When Equipped:',100,0,0),
(317881,139557,'Reduces maximum falling speed of caster',100,1,1),
(317882,139557,'Applies Nature''s Weave when Activated.',100,0,2),
(317883,139557,'Symbols of nature surround you.',100,1,3),
(317884,139557,'The casting time of Nature''s Weave is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,4),
(317885,10139557,'When Equipped:',100,0,0),
(317886,10139557,'Reduces maximum falling speed of caster',100,1,1),
(317887,10139557,'Applies Nature''s Weave when Activated.',100,0,2),
(317888,10139557,'Symbols of nature surround you.',100,1,3),
(317889,10139557,'The casting time of Nature''s Weave is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,4),
(317890,120209,'Decreases STR and INT of target by 109.1',100,1,0),
(317891,120209,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(317892,120209,'Grants a total of 1 trigger of the spell.',100,2,2),
(317893,10120209,'Decreases STR and INT of target by 109.1',100,1,0),
(317894,10120209,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(317895,10120209,'Grants a total of 1 trigger of the spell.',100,2,2),
(317896,116844,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(317897,116844,'Inflicts 259 - 317 mental damage on target',100,2,1),
(317898,116844,'Grants a total of 3 triggers of the spell.',100,2,2),
(317899,10116844,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(317900,10116844,'Inflicts 337 - 412 mental damage on target',100,2,1),
(317901,10116844,'Grants a total of 3 triggers of the spell.',100,2,2),
(317902,173710,'When Equipped:',100,0,0),
(317903,173710,'When damaged this spell has a 5% chance to cast Transposition on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,1),
(317904,173710,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(317905,173710,'Applies Transposition on termination.',100,2,3),
(317906,173710,'Increases power of group members by 508',100,3,4),
(317907,173710,'Cannot be modified except by direct means',100,2,5),
(317908,173710,'Cannot be modified except by direct means',100,1,6),
(317909,173710,'When Equipped:',100,0,7),
(317910,173710,'Reduces cast time of hostile spells by 5 percent.',100,1,8),
(317911,10173710,'When Equipped:',100,0,0),
(317912,10173710,'When damaged this spell has a 5% chance to cast Transposition on caster.  Lasts for 6 minutes 40 seconds.  ',100,1,1),
(317913,10173710,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',100,2,2),
(317914,10173710,'Applies Transposition on termination.',100,2,3),
(317915,10173710,'Increases power of group members by 508',100,3,4),
(317916,10173710,'Cannot be modified except by direct means',100,2,5),
(317917,10173710,'Cannot be modified except by direct means',100,1,6),
(317918,10173710,'When Equipped:',100,0,7),
(317919,10173710,'Reduces cast time of hostile spells by 5 percent.',100,1,8),
(317920,106636,'Inflicts 569 - 696 disease damage on target',100,1,0),
(317921,106636,'Heals caster for 6.5 - 7.9% of max health',100,1,1),
(317922,106636,'This effect cannot be critically applied.',100,2,2),
(317923,106636,'The healing of this spell cannot be modified except by direct means',100,1,3),
(317924,10106636,'Inflicts 740 - 905 disease damage on target',100,1,0),
(317925,10106636,'Heals caster for 3.9 - 4.8% of max health',100,1,1),
(317926,10106636,'This effect cannot be critically applied.',100,2,2),
(317927,10106636,'The healing of this spell cannot be modified except by direct means',100,1,3),
(317928,100699,'Dispels 83 levels of any hostile effects on target',100,1,0),
(317929,100699,'Dispels 83 levels of hostile Fear effects on target',100,1,1),
(317930,100699,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(317931,100699,'Makes target immune to Fear effects',100,3,3),
(317932,100699,'Dispels 83 levels of hostile Daze effects on target',100,1,4),
(317933,100699,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(317934,100699,'Makes target immune to Daze effects',100,3,6),
(317935,100699,'Dispels 83 levels of hostile Root effects on target',100,1,7),
(317936,100699,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(317937,100699,'Makes target immune to Root effects',100,3,9),
(317938,100699,'Dispels 83 levels of hostile Stifle effects on target',100,1,10),
(317939,100699,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(317940,100699,'Makes target immune to Stifle effects',100,3,12),
(317941,100699,'Dispels 83 levels of hostile Stun effects on target',100,1,13),
(317942,100699,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(317943,100699,'Makes target immune to Stun effects',100,3,15),
(317944,10100699,'Dispels 83 levels of any hostile effects on target',100,1,0),
(317945,10100699,'Dispels 83 levels of hostile Fear effects on target',100,1,1),
(317946,10100699,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(317947,10100699,'Makes target immune to Fear effects',100,3,3),
(317948,10100699,'Dispels 83 levels of hostile Daze effects on target',100,1,4),
(317949,10100699,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(317950,10100699,'Makes target immune to Daze effects',100,3,6),
(317951,10100699,'Dispels 83 levels of hostile Root effects on target',100,1,7),
(317952,10100699,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(317953,10100699,'Makes target immune to Root effects',100,3,9),
(317954,10100699,'Dispels 83 levels of hostile Stifle effects on target',100,1,10),
(317955,10100699,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(317956,10100699,'Makes target immune to Stifle effects',100,3,12),
(317957,10100699,'Dispels 83 levels of hostile Stun effects on target',100,1,13),
(317958,10100699,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(317959,10100699,'Makes target immune to Stun effects',100,3,15),
(317960,102558,'Increases AGI of caster by 50.2',100,1,0),
(317961,102558,'Increases Max Health of caster by 123.6',100,1,1),
(317962,102558,'Adds 25.0% to base avoidance.',100,1,2),
(317963,102558,'Increases Mitigation of caster vs physical damage by 302',100,1,3),
(317964,102558,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,4),
(317965,10102558,'Increases AGI of caster by 50.2',100,1,0),
(317966,10102558,'Increases Max Health of caster by 123.6',100,1,1),
(317967,10102558,'Adds 25.0% to base avoidance.',100,1,2),
(317968,10102558,'Increases Mitigation of caster vs physical damage by 302',100,1,3),
(317969,10102558,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',100,1,4),
(317970,114977,'Summon 1 Shard of Essence (Adept)',100,1,0),
(317971,114977,'Must not be engaged in combat',100,1,1),
(317972,10114977,'Summon 1 Shard of Essence (Adept)',100,1,0),
(317973,10114977,'Must not be engaged in combat',100,1,1),
(317974,189074,'When Equipped:',100,0,0),
(317975,189074,'Increases Attack Speed of caster by 40.0',100,1,1),
(317976,10189074,'When Equipped:',100,0,0),
(317977,10189074,'Increases Attack Speed of caster by 40.0',100,1,1),
(317978,24407,'Adds Goatman (Coercer) to your Dungeon Maker toolbox',100,0,0),
(317979,10024407,'Adds Goatman (Coercer) to your Dungeon Maker toolbox',100,0,0),
(317980,170551,'When Equipped:',100,0,0),
(317981,170551,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(317982,170551,'Inflicts 1998 disease damage on target encounter',100,2,2),
(317983,170551,'Must not be engaged in pvp combat',100,2,3),
(317984,170551,'Cannot be modified except by direct means',100,2,4),
(317985,10170551,'When Equipped:',100,0,0),
(317986,10170551,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(317987,10170551,'Inflicts 1299 disease damage on target encounter',100,2,2),
(317988,10170551,'Must not be engaged in pvp combat',100,2,3),
(317989,10170551,'Cannot be modified except by direct means',100,2,4),
(317990,181767,'When Equipped:',100,0,0),
(317991,181767,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(317992,181767,'Increases Max Health of caster by 1,220.0',100,1,2),
(317993,181767,'Cannot be modified except by direct means',100,1,3),
(317994,10181767,'When Equipped:',100,0,0),
(317995,10181767,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,1),
(317996,10181767,'Increases Max Health of caster by 1,220.0',100,1,2),
(317997,10181767,'Cannot be modified except by direct means',100,1,3),
(317998,118033,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(317999,118033,'Stuns target',100,2,1),
(318000,118033,'If Target is not Epic',100,3,2),
(318001,118033,'Inflicts 229 - 381 divine damage on target',100,2,3),
(318002,118033,'Grants a total of 3 triggers of the spell.',100,2,4),
(318003,10118033,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(318004,10118033,'Stuns target',100,2,1),
(318005,10118033,'If Target is not Epic',100,3,2),
(318006,10118033,'Inflicts 297 - 495 divine damage on target',100,2,3),
(318007,10118033,'Grants a total of 3 triggers of the spell.',100,2,4),
(318008,105449,'Inflicts 161 - 197 poison damage on target instantly and every 4 seconds',100,1,0),
(318009,105449,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(318010,105449,'Summons a limited pet to aid the caster',100,2,2),
(318011,105449,'Summons 2 limited pets to aid the caster',100,2,3),
(318012,105449,'Grants a total of 1 trigger of the spell.',100,2,4),
(318013,10105449,'Inflicts 210 - 256 poison damage on target instantly and every 4 seconds',100,1,0),
(318014,10105449,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(318015,10105449,'Summons a limited pet to aid the caster',100,2,2),
(318016,10105449,'Summons 2 limited pets to aid the caster',100,2,3),
(318017,10105449,'Grants a total of 1 trigger of the spell.',100,2,4),
(318018,124277,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(318019,124277,'Increases Attack Speed of target by 22.0',100,2,1),
(318020,124277,'Increases Damage Per Second of target by 22.0',100,2,2),
(318021,124277,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(318022,124277,'Increases Attack Speed of target by 22.0',100,2,4),
(318023,124277,'Increases Damage Per Second of target by 22.0',100,2,5),
(318024,124277,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(318025,124277,'Increases Attack Speed of target by 22.0',100,2,7),
(318026,124277,'Increases Damage Per Second of target by 22.0',100,2,8),
(318027,10124277,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(318028,10124277,'Increases Attack Speed of target by 22.0',100,2,1),
(318029,10124277,'Increases Damage Per Second of target by 22.0',100,2,2),
(318030,10124277,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(318031,10124277,'Increases Attack Speed of target by 22.0',100,2,4),
(318032,10124277,'Increases Damage Per Second of target by 22.0',100,2,5),
(318033,10124277,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(318034,10124277,'Increases Attack Speed of target by 22.0',100,2,7),
(318035,10124277,'Increases Damage Per Second of target by 22.0',100,2,8),
(318036,47652,'Applies Purple C.R.A.S.H. Disk when Activated.',100,0,0),
(318037,47652,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,1),
(318038,47652,'This can be used as a flying mount appearance.',100,1,2),
(318039,47652,'Summons a mount to ride',100,1,3),
(318040,47652,'Increases your ground speed by 130%',100,2,4),
(318041,10047652,'Applies Purple C.R.A.S.H. Disk when Activated.',100,0,0),
(318042,10047652,'The Aetheric Sprocket drive has been removed completely. This unit won''t break down, but cannot fly under its own power.',100,1,1),
(318043,10047652,'This can be used as a flying mount appearance.',100,1,2),
(318044,10047652,'Summons a mount to ride',100,1,3),
(318045,10047652,'Increases your ground speed by 130%',100,2,4),
(318046,72282,'Applies Astral Blessing when Equipped.',100,0,0),
(318047,72282,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318048,72282,'Heals target for 440 instantly and every second',100,2,2),
(318049,72282,'Cannot be modified except by direct means',100,2,3),
(318050,72282,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(318051,72282,'Heals caster for 440 instantly and every second',100,2,5),
(318052,72282,'Cannot be modified except by direct means',100,2,6),
(318053,72282,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(318054,72282,'Heals caster for 440 instantly and every second',100,2,8),
(318055,72282,'Cannot be modified except by direct means',100,2,9),
(318056,10072282,'Applies Astral Blessing when Equipped.',100,0,0),
(318057,10072282,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318058,10072282,'Heals target for 514 instantly and every second',100,2,2),
(318059,10072282,'Cannot be modified except by direct means',100,2,3),
(318060,10072282,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(318061,10072282,'Heals caster for 514 instantly and every second',100,2,5),
(318062,10072282,'Cannot be modified except by direct means',100,2,6),
(318063,10072282,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(318064,10072282,'Heals caster for 514 instantly and every second',100,2,8),
(318065,10072282,'Cannot be modified except by direct means',100,2,9),
(318066,75233,'When Equipped:',100,0,0),
(318067,75233,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(318068,75233,'When Equipped:',100,0,2),
(318069,75233,'Reduces resistibility of all Subjugation and Ordination spells by 15%.',100,1,3),
(318070,10075233,'When Equipped:',100,0,0),
(318071,10075233,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(318072,10075233,'When Equipped:',100,0,2),
(318073,10075233,'Reduces resistibility of all Subjugation and Ordination spells by 15%.',100,1,3),
(318074,103812,'Increases Ability Casting Speed of raid and group members (AE) by 4.0%',100,1,0),
(318075,103812,'Increases Attack Speed of raid and group members (AE) by 10.0',100,1,1),
(318076,10103812,'Increases Ability Casting Speed of raid and group members (AE) by 4.0%',100,1,0),
(318077,10103812,'Increases Attack Speed of raid and group members (AE) by 10.0',100,1,1),
(318078,80555,'When Equipped:',100,0,0),
(318079,80555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318080,80555,'Inflicts 72 - 134 magic damage on target',100,2,2),
(318081,80555,'Cannot be modified except by direct means',100,2,3),
(318082,10080555,'When Equipped:',100,0,0),
(318083,10080555,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318084,10080555,'Inflicts 94 - 174 magic damage on target',100,2,2),
(318085,10080555,'Cannot be modified except by direct means',100,2,3),
(318086,122197,'Increases Damage Per Second of target by 8.8',100,1,0),
(318087,122197,'Increases Max Health of target by 29.6',100,1,1),
(318088,10122197,'Increases Damage Per Second of target by 8.8',100,1,0),
(318089,10122197,'Increases Max Health of target by 29.6',100,1,1),
(318090,107659,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1299',100,1,0),
(318091,10107659,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1299',100,1,0),
(318092,106763,'Mesmerizes target',100,1,0),
(318093,106763,'Prevents AOE (except when direct) ',100,1,1),
(318094,106763,'Dispelled when target takes damage',100,1,2),
(318095,106763,'Does not affect Epic targets',100,1,3),
(318096,106763,'Resistibility increases against targets higher than level 69.',100,1,4),
(318097,10106763,'Mesmerizes target',100,1,0),
(318098,10106763,'Prevents AOE (except when direct) ',100,1,1),
(318099,10106763,'Dispelled when target takes damage',100,1,2),
(318100,10106763,'Does not affect Epic targets',100,1,3),
(318101,10106763,'Resistibility increases against targets higher than level 69.',100,1,4),
(318102,120139,'Decreases STR and INT of target by 54.7',100,1,0),
(318103,120139,'Increases STR and INT of caster by 54.7',100,1,1),
(318104,10120139,'Decreases STR and INT of target by 54.7',100,1,0),
(318105,10120139,'Increases STR and INT of caster by 54.7',100,1,1),
(318106,46300,'Applies Repel Fearstalker when Activated.',100,0,0),
(318107,46300,'Repels test subject.',100,1,1),
(318108,10046300,'Applies Repel Fearstalker when Activated.',100,0,0),
(318109,10046300,'Repels test subject.',100,1,1),
(318110,101989,'Inflicts 1748 - 3246 heat damage on target',100,1,0),
(318111,10101989,'Inflicts 2272 - 4219 heat damage on target',100,1,0),
(318112,164335,'When Equipped:',100,0,0),
(318113,164335,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318114,164335,'Stuns target',100,2,2),
(318115,164335,'Only affects targets level 125 and below',100,2,3),
(318116,164335,'Does not affect Epic targets',100,2,4),
(318117,164335,'Resistibility increases against targets higher than level 112.',100,2,5),
(318118,164335,'Cannot be modified except by direct means',100,2,6),
(318119,10164335,'When Equipped:',100,0,0),
(318120,10164335,'On a damage spell hit this spell may cast Concussive Blast on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318121,10164335,'Stuns target',100,2,2),
(318122,10164335,'Only affects targets level 125 and below',100,2,3),
(318123,10164335,'Does not affect Epic targets',100,2,4),
(318124,10164335,'Resistibility increases against targets higher than level 112.',100,2,5),
(318125,10164335,'Cannot be modified except by direct means',100,2,6),
(318126,46757,'Applies Discord''s Approval when Activated.',100,0,0),
(318127,46757,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(318128,46757,'Requires 414 Health to cast.',100,1,2),
(318129,10046757,'Applies Discord''s Approval when Activated.',100,0,0),
(318130,10046757,'Use of this token grants the bearer an increase in their city faction.',100,1,1),
(318131,10046757,'Requires 414 Health to cast.',100,1,2),
(318132,36008,'Increases Max Power of target by 22.8',100,0,0),
(318133,36008,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(318134,144925,'When Equipped:',100,0,0),
(318135,144925,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(318136,144925,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(318137,144925,'Dispels 200 levels of any hostile effects on target',100,2,3),
(318138,144925,'Heals target for 5333 - 5894',100,2,4),
(318139,144925,'Must not be engaged in pvp combat',100,2,5),
(318140,144925,'Cannot be modified except by direct means',100,2,6),
(318141,144925,'Cannot be modified except by direct means',100,1,7),
(318142,10144925,'When Equipped:',100,0,0),
(318143,10144925,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(318144,10144925,'On a critical healing spell cast this spell may cast Soothing Sigil II on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(318145,10144925,'Dispels 200 levels of any hostile effects on target',100,2,3),
(318146,10144925,'Heals target for 6239 - 6896',100,2,4),
(318147,10144925,'Must not be engaged in pvp combat',100,2,5),
(318148,10144925,'Cannot be modified except by direct means',100,2,6),
(318149,10144925,'Cannot be modified except by direct means',100,1,7),
(318150,139441,'When Equipped:',100,0,0),
(318151,139441,'On any combat or spell hit this spell may cast Envoy of Death on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318152,139441,'Increases Crit Chance of caster by 5.0',100,2,2),
(318153,139441,'Inflicts 362 poison damage on target',100,2,3),
(318154,139441,'Cannot be modified except by direct means',100,2,4),
(318155,10139441,'When Equipped:',100,0,0),
(318156,10139441,'On any combat or spell hit this spell may cast Envoy of Death on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318157,10139441,'Increases Crit Chance of caster by 5.0',100,2,2),
(318158,10139441,'Inflicts 471 poison damage on target',100,2,3),
(318159,10139441,'Cannot be modified except by direct means',100,2,4),
(318160,107550,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(318161,107550,'Decreases Mitigation of target encounter vs elemental and noxious damage by 981',100,1,1),
(318162,10107550,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(318163,10107550,'Decreases Mitigation of target encounter vs elemental and noxious damage by 981',100,1,1),
(318164,117825,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(318165,117825,'Heals target for 49 - 60 instantly and every 2 seconds',100,2,1),
(318166,117825,'If over 50% Health',100,3,2),
(318167,117825,'Heals target for 98 - 120 instantly and every 2 seconds',100,2,3),
(318168,117825,'If at 50% Health or less',100,3,4),
(318169,10117825,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(318170,10117825,'Heals target for 14 - 18 instantly and every 2 seconds',100,2,1),
(318171,10117825,'If over 50% Health',100,3,2),
(318172,10117825,'Heals target for 24 - 29 instantly and every 2 seconds',100,2,3),
(318173,10117825,'If at 50% Health or less',100,3,4),
(318174,100503,'Increases Attack Speed of group members (AE) by 14.2',100,1,0),
(318175,10100503,'Increases Attack Speed of group members (AE) by 14.2',100,1,0),
(318176,133409,'Applies Heroic Resistance X when Equipped.',100,0,0),
(318177,133409,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(318178,133409,'Cannot be modified except by direct means',100,1,2),
(318179,10133409,'Applies Heroic Resistance X when Equipped.',100,0,0),
(318180,10133409,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(318181,10133409,'Cannot be modified except by direct means',100,1,2),
(318182,101509,'Increases WIS of target by 41.4',100,1,0),
(318183,101509,'Increases Max Health of target by 311.4',100,1,1),
(318184,101509,'Increases Mitigation of target vs elemental, noxious and arcane damage by 115',100,1,2),
(318185,10101509,'Increases WIS of target by 41.4',100,1,0),
(318186,10101509,'Increases Max Health of target by 311.4',100,1,1),
(318187,10101509,'Increases Mitigation of target vs elemental, noxious and arcane damage by 115',100,1,2),
(318188,104716,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(318189,104716,'Decreases Mitigation of target vs elemental and arcane damage by 448',100,2,1),
(318190,104716,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(318191,104716,'Decreases Mitigation of target vs elemental and arcane damage by 448',100,2,3),
(318192,10104716,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(318193,10104716,'Decreases Mitigation of target vs elemental and arcane damage by 448',100,2,1),
(318194,10104716,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(318195,10104716,'Decreases Mitigation of target vs elemental and arcane damage by 448',100,2,3),
(318196,102668,'Inflicts 309 - 516 melee damage on target',100,1,0),
(318197,102668,'Inflicts 134 heat damage on target every 6 seconds',100,1,1),
(318198,10102668,'Inflicts 402 - 671 melee damage on target',100,1,0),
(318199,10102668,'Inflicts 174 heat damage on target every 6 seconds',100,1,1),
(318200,35614,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(318201,118704,'Inflicts 15 - 26 slashing damage on target',100,1,0),
(318202,118704,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(318203,118704,'Inflicts 7 - 8 slashing damage on target every 5 seconds',100,1,2),
(318204,10118704,'Inflicts 20 - 34 slashing damage on target',100,1,0),
(318205,10118704,'Decreases Slashing, Crushing and Piercing of target by 1.6',100,1,1),
(318206,10118704,'Inflicts 9 - 10 slashing damage on target every 5 seconds',100,1,2),
(318207,118013,'Wards target against 3328 points of all damage',100,1,0),
(318208,10118013,'Wards target against 3328 points of all damage',100,1,0),
(318209,142956,'When Equipped:',100,0,0),
(318210,142956,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318211,142956,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 615',100,2,2),
(318212,142956,'Cannot be modified except by direct means',100,2,3),
(318213,10142956,'When Equipped:',100,0,0),
(318214,10142956,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318215,10142956,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 615',100,2,2),
(318216,10142956,'Cannot be modified except by direct means',100,2,3),
(318217,123392,'Inflicts 13 - 22 crushing damage on target',100,1,0),
(318218,123392,'Increases Threat to target by 130 ',100,1,1),
(318219,123392,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(318220,123392,'Stuns target',100,2,3),
(318221,123392,'Throws target back',100,2,4),
(318222,123392,'Blurs vision of target',100,2,5),
(318223,123392,'Does not affect Epic targets',100,2,6),
(318224,123392,'If Shield equipped in Secondary',100,1,7),
(318225,10123392,'Inflicts 17 - 28 crushing damage on target',100,1,0),
(318226,10123392,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(318227,10123392,'Stuns target',100,2,2),
(318228,10123392,'Throws target back',100,2,3),
(318229,10123392,'Blurs vision of target',100,2,4),
(318230,10123392,'Does not affect Epic targets',100,2,5),
(318231,10123392,'If Shield equipped in Secondary',100,1,6),
(318232,24283,'Adds Elite: Diaku (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(318233,10024283,'Adds Elite: Diaku (Inquisitor) to your Dungeon Maker toolbox',100,0,0),
(318234,118441,'Heals target for 2714 - 3317',100,1,0),
(318235,118441,'Increases Max Health of target by 394.9',100,1,1),
(318236,10118441,'Heals target for 3148 - 3847',100,1,0),
(318237,10118441,'Increases Max Health of target by 394.9',100,1,1),
(318238,82556,'When Equipped:',100,0,0),
(318239,82556,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318240,82556,'Inflicts 79 - 146 magic damage on target',100,2,2),
(318241,82556,'Decreases Threat to target by 259 ',100,2,3),
(318242,82556,'Must be flanking or behind',100,3,4),
(318243,82556,'Increases Threat to target by 259 ',100,2,5),
(318244,82556,'Must be in front of',100,3,6),
(318245,82556,'Cannot be modified except by direct means',100,2,7),
(318246,10082556,'When Equipped:',100,0,0),
(318247,10082556,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318248,10082556,'Inflicts 102 - 190 magic damage on target',100,2,2),
(318249,10082556,'Cannot be modified except by direct means',100,2,3),
(318250,36494,'Increases STR of target by 10.5',100,0,0),
(318251,36494,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(318252,101067,'Summons 3 limited pets to aid the caster',100,1,0),
(318253,10101067,'Summons 3 limited pets to aid the caster',100,1,0),
(318254,107503,'Inflicts 510 - 1531 magic damage on targets in Area of Effect',100,1,0),
(318255,107503,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(318256,107503,'Stuns target',100,2,2),
(318257,107503,'Throws target back',100,2,3),
(318258,107503,'Blurs vision of target',100,2,4),
(318259,107503,'Does not affect Epic targets',100,2,5),
(318260,10107503,'Inflicts 663 - 1990 magic damage on targets in Area of Effect',100,1,0),
(318261,10107503,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(318262,10107503,'Stuns target',100,2,2),
(318263,10107503,'Throws target back',100,2,3),
(318264,10107503,'Blurs vision of target',100,2,4),
(318265,10107503,'Does not affect Epic targets',100,2,5),
(318266,101149,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(318267,101149,'Inflicts 210 ranged damage on target',100,2,1),
(318268,101149,'Decreases Defense of caster by 17.7',100,1,2),
(318269,101149,'Increases Crushing, Piercing, Ranged and Slashing of caster by 25.2',100,1,3),
(318270,10101149,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(318271,10101149,'Inflicts 158 ranged damage on target',100,2,1),
(318272,10101149,'Decreases Defense of caster by 17.7',100,1,2),
(318273,10101149,'Increases Crushing, Piercing, Ranged and Slashing of caster by 25.2',100,1,3),
(318274,71917,'When Equipped:',100,0,0),
(318275,71917,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318276,71917,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(318277,71917,'Cannot be modified except by direct means',100,2,3),
(318278,10071917,'When Equipped:',100,0,0),
(318279,10071917,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318280,10071917,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(318281,10071917,'Cannot be modified except by direct means',100,2,3),
(318282,45804,'Applies Crucorn''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(318283,10045804,'Applies Crucorn''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(318284,104135,'Roots target',100,1,0),
(318285,104135,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(318286,104135,'Makes target afraid',100,2,2),
(318287,104135,'Slows target by 21.1%',100,2,3),
(318288,104135,'30% chance to dispel when target takes damage',100,2,4),
(318289,104135,'Resistibility increases against targets higher than level 90.',100,2,5),
(318290,104135,'15% chance to dispel when target takes damage',100,1,6),
(318291,104135,'Does not affect Epic targets',100,1,7),
(318292,104135,'Resistibility increases against targets higher than level 90.',100,1,8),
(318293,10104135,'Roots target',100,1,0),
(318294,10104135,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(318295,10104135,'Makes target afraid',100,2,2),
(318296,10104135,'Slows target by 21.1%',100,2,3),
(318297,10104135,'30% chance to dispel when target takes damage',100,2,4),
(318298,10104135,'Resistibility increases against targets higher than level 90.',100,2,5),
(318299,10104135,'15% chance to dispel when target takes damage',100,1,6),
(318300,10104135,'Does not affect Epic targets',100,1,7),
(318301,10104135,'Resistibility increases against targets higher than level 90.',100,1,8),
(318302,157343,'When Equipped:',100,0,0),
(318303,157343,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(318304,157343,'Inflicts 1390 mental damage on target',100,2,2),
(318305,157343,'Increases Threat to target by 4,000 ',100,2,3),
(318306,157343,'Cannot be modified except by direct means',100,2,4),
(318307,157343,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(318308,157343,'Inflicts 1390 mental damage on target',100,2,6),
(318309,157343,'Increases Threat to target by 4,000 ',100,2,7),
(318310,157343,'Cannot be modified except by direct means',100,2,8),
(318311,10157343,'When Equipped:',100,0,0),
(318312,10157343,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(318313,10157343,'Inflicts 1807 mental damage on target',100,2,2),
(318314,10157343,'Cannot be modified except by direct means',100,2,3),
(318315,10157343,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(318316,10157343,'Inflicts 1807 mental damage on target',100,2,5),
(318317,10157343,'Cannot be modified except by direct means',100,2,6),
(318318,46554,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(318319,46554,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(318320,46554,'Decreases power of target by 559',100,2,2),
(318321,46554,'Increases power of caster by 275',100,2,3),
(318322,46554,'Cannot be modified except by direct means',100,2,4),
(318323,46554,'Grants a total of 100 triggers of the spell.',100,2,5),
(318324,10046554,'Applies mental breach when Activated.  Lasts for 12 hours.',100,0,0),
(318325,10046554,'On a combat hit this spell may cast Mental Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(318326,10046554,'Decreases power of target by 308',100,2,2),
(318327,10046554,'Increases power of caster by 247',100,2,3),
(318328,10046554,'Cannot be modified except by direct means',100,2,4),
(318329,10046554,'Grants a total of 100 triggers of the spell.',100,2,5),
(318330,115341,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',100,1,0),
(318331,115341,'Makes target afraid',100,2,1),
(318332,115341,'Slows target by 59.1%',100,2,2),
(318333,115341,'30% chance to dispel when target takes damage',100,2,3),
(318334,115341,'Does not affect Epic targets',100,2,4),
(318335,115341,'Resistibility increases against targets higher than level 90.',100,2,5),
(318336,115341,'Roots target',100,1,6),
(318337,115341,'15% chance to dispel when target takes damage',100,1,7),
(318338,115341,'Does not affect Epic targets',100,1,8),
(318339,115341,'Resistibility increases against targets higher than level 90.',100,1,9),
(318340,10115341,'Applies Element of Fear on termination.  Lasts for 3.0 seconds.',100,1,0),
(318341,10115341,'Makes target afraid',100,2,1),
(318342,10115341,'Slows target by 59.1%',100,2,2),
(318343,10115341,'30% chance to dispel when target takes damage',100,2,3),
(318344,10115341,'Does not affect Epic targets',100,2,4),
(318345,10115341,'Resistibility increases against targets higher than level 90.',100,2,5),
(318346,10115341,'Roots target',100,1,6),
(318347,10115341,'15% chance to dispel when target takes damage',100,1,7),
(318348,10115341,'Does not affect Epic targets',100,1,8),
(318349,10115341,'Resistibility increases against targets higher than level 90.',100,1,9),
(318350,51314,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(318351,51314,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(318352,51314,'Inflicts 23 heat damage on target',100,2,2),
(318353,51314,'Cannot be modified except by direct means',100,2,3),
(318354,10051314,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(318355,10051314,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(318356,10051314,'Inflicts 30 heat damage on target',100,2,2),
(318357,10051314,'Cannot be modified except by direct means',100,2,3),
(318358,113134,'Decreases Attack Speed of target encounter by 26.1',100,1,0),
(318359,10113134,'Decreases Attack Speed of target encounter by 26.1',100,1,0),
(318360,118916,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(318361,118916,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 156',100,1,1),
(318362,118916,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,2),
(318363,10118916,'Increases Max Health of group members (AE) by 38.4',100,1,0),
(318364,10118916,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 156',100,1,1),
(318365,10118916,'Increases Mitigation of group members (AE) vs physical damage by 166',100,1,2),
(318366,159082,'When Equipped:',100,0,0),
(318367,159082,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318368,159082,'Increases STR of caster by 17.3',100,2,2),
(318369,159082,'Increases Damage Per Second of caster by 21.0',100,2,3),
(318370,159082,'Cannot be modified except by direct means',100,2,4),
(318371,10159082,'When Equipped:',100,0,0),
(318372,10159082,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318373,10159082,'Increases STR of caster by 17.3',100,2,2),
(318374,10159082,'Increases Damage Per Second of caster by 21.0',100,2,3),
(318375,10159082,'Cannot be modified except by direct means',100,2,4),
(318376,113978,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(318377,113978,'Inflicts 13 - 22 melee damage on target',100,2,1),
(318378,113978,'Increases Threat to target by 64 ',100,2,2),
(318379,10113978,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(318380,10113978,'Inflicts 17 - 29 melee damage on target',100,2,1),
(318381,40117,'Applies Vindication of Conflict when Activated.  Lasts for 10.0 seconds.',100,0,0),
(318382,40117,'Dispels 518 levels of hostile Root effects on caster',100,1,1),
(318383,40117,'Makes caster immune to Root effects',100,1,2),
(318384,40117,'Makes caster immune to Stun effects',100,1,3),
(318385,40117,'Makes caster immune to Fear effects',100,1,4),
(318386,40117,'Makes caster immune to Stifle effects',100,1,5),
(318387,40117,'Makes caster immune to Mesmerize effects',100,1,6),
(318388,40117,'Makes caster immune to Daze effects',100,1,7),
(318389,40117,'Dispels 518 levels of hostile Mesmerize, hostile Stifle, hostile Daze, hostile Stun and hostile Fear effects on caster',100,1,8),
(318390,40117,'Must not be engaged in pvp combat',100,1,9),
(318391,40117,'The casting time of Vindication of Conflict is 1.0 second and the reuse time of the spell is 8 minutes 20 seconds',100,1,10),
(318392,10040117,'Applies Vindication of Conflict when Activated.  Lasts for 10.0 seconds.',100,0,0),
(318393,10040117,'Dispels 518 levels of hostile Root effects on caster',100,1,1),
(318394,10040117,'Makes caster immune to Root effects',100,1,2),
(318395,10040117,'Makes caster immune to Stun effects',100,1,3),
(318396,10040117,'Makes caster immune to Fear effects',100,1,4),
(318397,10040117,'Makes caster immune to Stifle effects',100,1,5),
(318398,10040117,'Makes caster immune to Mesmerize effects',100,1,6),
(318399,10040117,'Makes caster immune to Daze effects',100,1,7),
(318400,10040117,'Dispels 518 levels of hostile Mesmerize, hostile Stifle, hostile Daze, hostile Stun and hostile Fear effects on caster',100,1,8),
(318401,10040117,'Must not be engaged in pvp combat',100,1,9),
(318402,10040117,'The casting time of Vindication of Conflict is 1.0 second and the reuse time of the spell is 8 minutes 20 seconds',100,1,10),
(318403,116924,'Summons a limited pet to aid the caster',100,1,0),
(318404,10116924,'Summons a limited pet to aid the caster',100,1,0),
(318405,116587,'Inflicts 125 - 209 divine damage on target',100,1,0),
(318406,10116587,'Inflicts 163 - 272 divine damage on target',100,1,0),
(318407,117995,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(318408,117995,'Increases Attack Speed of target by 26.0',100,2,1),
(318409,117995,'Increases Damage Per Second of target by 26.0',100,2,2),
(318410,117995,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(318411,117995,'Increases Attack Speed of target by 26.0',100,2,4),
(318412,117995,'Increases Damage Per Second of target by 26.0',100,2,5),
(318413,117995,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(318414,117995,'Increases Attack Speed of target by 26.0',100,2,7),
(318415,117995,'Increases Damage Per Second of target by 26.0',100,2,8),
(318416,10117995,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(318417,10117995,'Increases Attack Speed of target by 26.0',100,2,1),
(318418,10117995,'Increases Damage Per Second of target by 26.0',100,2,2),
(318419,10117995,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(318420,10117995,'Increases Attack Speed of target by 26.0',100,2,4),
(318421,10117995,'Increases Damage Per Second of target by 26.0',100,2,5),
(318422,10117995,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(318423,10117995,'Increases Attack Speed of target by 26.0',100,2,7),
(318424,10117995,'Increases Damage Per Second of target by 26.0',100,2,8),
(318425,185696,'When Equipped:',100,0,0),
(318426,185696,'When damaged with a melee weapon this spell has a 4% chance to cast Majesty on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(318427,185696,'Stuns target',100,2,2),
(318428,185696,'Only affects targets level 88 and below',100,2,3),
(318429,185696,'Does not affect Epic targets',100,2,4),
(318430,185696,'Resistibility increases against targets higher than level 104.',100,2,5),
(318431,185696,'Cannot be modified except by direct means',100,2,6),
(318432,10185696,'When Equipped:',100,0,0),
(318433,10185696,'When damaged with a melee weapon this spell has a 4% chance to cast Majesty on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,1),
(318434,10185696,'Stuns target',100,2,2),
(318435,10185696,'Only affects targets level 88 and below',100,2,3),
(318436,10185696,'Does not affect Epic targets',100,2,4),
(318437,10185696,'Resistibility increases against targets higher than level 104.',100,2,5),
(318438,10185696,'Cannot be modified except by direct means',100,2,6),
(318439,74608,'When Equipped:',100,0,0),
(318440,74608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318441,74608,'Inflicts 37 - 55 magic damage on target',100,2,2),
(318442,74608,'Cannot be modified except by direct means',100,2,3),
(318443,10074608,'When Equipped:',100,0,0),
(318444,10074608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318445,10074608,'Inflicts 48 - 72 magic damage on target',100,2,2),
(318446,10074608,'Cannot be modified except by direct means',100,2,3),
(318447,110196,'Interrupts target',100,1,0),
(318448,110196,'Inflicts 11 - 18 crushing damage on target',100,1,1),
(318449,10110196,'Interrupts target',100,1,0),
(318450,10110196,'Inflicts 14 - 24 crushing damage on target',100,1,1),
(318451,51337,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(318452,51337,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(318453,51337,'Inflicts 32 heat damage on target',100,2,2),
(318454,51337,'Cannot be modified except by direct means',100,2,3),
(318455,10051337,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(318456,10051337,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(318457,10051337,'Inflicts 41 heat damage on target',100,2,2),
(318458,10051337,'Cannot be modified except by direct means',100,2,3),
(318459,36614,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(318460,112234,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(318461,112234,'Inflicts 30 disease damage on target',100,2,1),
(318462,112234,'Increases Threat to target by 73 ',100,2,2),
(318463,112234,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',100,1,3),
(318464,10112234,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(318465,10112234,'Inflicts 39 disease damage on target',100,2,1),
(318466,10112234,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',100,1,2),
(318467,101003,'Increases INT of target by 128.9',100,1,0),
(318468,101003,'Increases Attack Speed of target by 51.5',100,1,1),
(318469,101003,'Decreases Defense and Parry of target by 30.1',100,1,2),
(318470,101003,'Increases Slashing, Piercing and Crushing of target by 28.1',100,1,3),
(318471,10101003,'Increases INT of target by 128.9',100,1,0),
(318472,10101003,'Increases Attack Speed of target by 51.5',100,1,1),
(318473,10101003,'Decreases Defense and Parry of target by 30.1',100,1,2),
(318474,10101003,'Increases Slashing, Piercing and Crushing of target by 28.1',100,1,3),
(318475,108196,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(318476,10108196,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(318477,100824,'Wards target against 187 points of all damage',100,1,0),
(318478,10100824,'Wards target against 288 points of all damage',100,1,0),
(318479,109068,'Decreases Mitigation of target vs physical damage by 294',100,1,0),
(318480,109068,'Inflicts 64 - 108 melee damage on target',100,1,1),
(318481,109068,'Inflicts 64 - 108 melee damage on target',100,1,2),
(318482,109068,'Inflicts 64 - 108 melee damage on target',100,1,3),
(318483,10109068,'Decreases Mitigation of target vs physical damage by 294',100,1,0),
(318484,10109068,'Inflicts 84 - 140 melee damage on target',100,1,1),
(318485,10109068,'Inflicts 84 - 140 melee damage on target',100,1,2),
(318486,10109068,'Inflicts 84 - 140 melee damage on target',100,1,3),
(318487,119123,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(318488,119123,'Inflicts 87 - 107 slashing damage on target',100,2,1),
(318489,119123,'Increases Mitigation of caster vs physical damage by 300',100,1,2),
(318490,10119123,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(318491,10119123,'Inflicts 114 - 139 slashing damage on target',100,2,1),
(318492,10119123,'Increases Mitigation of caster vs physical damage by 300',100,1,2),
(318493,73904,'Applies Disease Blast when Activated.',100,0,0),
(318494,73904,'Inflicts 129 - 215 disease damage on target',100,1,1),
(318495,73904,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(318496,10073904,'Applies Disease Blast when Activated.',100,0,0),
(318497,10073904,'Inflicts 168 - 279 disease damage on target',100,1,1),
(318498,10073904,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(318499,48099,'Applies Sludge Collector when Activated.',100,0,0),
(318500,10048099,'Applies Sludge Collector when Activated.',100,0,0),
(318501,35764,'Increases WIS and INT of target by 13.2',100,0,0),
(318502,35764,'Increases Out-of-Combat Power Regeneration of target by 120.0',100,0,1),
(318503,154711,'When Equipped:',100,0,0),
(318504,154711,'On a damage spell hit this spell may cast Arcane Languid Pace V on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(318505,154711,'Decreases Attack Speed of target by 14.0',100,2,2),
(318506,154711,'Cannot be modified except by direct means',100,2,3),
(318507,10154711,'When Equipped:',100,0,0),
(318508,10154711,'On a damage spell hit this spell may cast Arcane Languid Pace V on target of spell.  Lasts for 24.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(318509,10154711,'Decreases Attack Speed of target by 14.0',100,2,2),
(318510,10154711,'Cannot be modified except by direct means',100,2,3),
(318511,45106,'Applies sound the horn when Activated.',100,0,0),
(318512,45106,'Updates a specific part of the Quest \"Of Things to Come\"',100,1,1),
(318513,45106,'This effect cannot be cast during combat',100,1,2),
(318514,45106,'must be in a particular area',100,1,3),
(318515,10045106,'Applies sound the horn when Activated.',100,0,0),
(318516,10045106,'Updates a specific part of the Quest \"Of Things to Come\"',100,1,1),
(318517,10045106,'This effect cannot be cast during combat',100,1,2),
(318518,10045106,'must be in a particular area',100,1,3),
(318519,42576,'When Equipped:',100,0,0),
(318520,42576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318521,42576,'Inflicts 127 - 190 magic damage on target',100,2,2),
(318522,42576,'Cannot be modified except by direct means',100,2,3),
(318523,10042576,'When Equipped:',100,0,0),
(318524,10042576,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318525,10042576,'Inflicts 165 - 247 magic damage on target',100,2,2),
(318526,10042576,'Cannot be modified except by direct means',100,2,3),
(318527,119656,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(318528,119656,'Stuns target',100,2,1),
(318529,119656,'Throws target back',100,2,2),
(318530,119656,'Blurs vision of target',100,2,3),
(318531,119656,'Does not affect Epic targets',100,2,4),
(318532,119656,'Inflicts 118 - 356 melee damage on target',100,1,5),
(318533,10119656,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(318534,10119656,'Stuns target',100,2,1),
(318535,10119656,'Throws target back',100,2,2),
(318536,10119656,'Blurs vision of target',100,2,3),
(318537,10119656,'Does not affect Epic targets',100,2,4),
(318538,10119656,'Inflicts 154 - 463 melee damage on target',100,1,5),
(318539,119229,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(318540,119229,'If profession other than Fighter',100,1,1),
(318541,119229,'If profession other than Scout',100,1,2),
(318542,10119229,'34% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 30% of attack damage.',100,1,0),
(318543,10119229,'If profession other than Fighter',100,1,1),
(318544,10119229,'If profession other than Scout',100,1,2),
(318545,80789,'When Equipped:',100,0,0),
(318546,80789,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318547,80789,'Decreases Threat to target by 517 ',100,2,2),
(318548,80789,'Must be flanking or behind',100,3,3),
(318549,80789,'Increases Threat to target by 518 ',100,2,4),
(318550,80789,'Must be in front of',100,3,5),
(318551,80789,'Inflicts 148 - 275 magic damage on target',100,2,6),
(318552,80789,'Cannot be modified except by direct means',100,2,7),
(318553,10080789,'When Equipped:',100,0,0),
(318554,10080789,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318555,10080789,'Inflicts 192 - 357 magic damage on target',100,2,2),
(318556,10080789,'Cannot be modified except by direct means',100,2,3),
(318557,136048,'When Equipped:',100,0,0),
(318558,136048,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(318559,136048,'Inflicts 8 divine damage on target',100,2,2),
(318560,136048,'Cannot be modified except by direct means',100,2,3),
(318561,10136048,'When Equipped:',100,0,0),
(318562,10136048,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(318563,10136048,'Inflicts 10 divine damage on target',100,2,2),
(318564,10136048,'Cannot be modified except by direct means',100,2,3),
(318565,108912,'Inflicts 802 heat damage on target',100,1,0),
(318566,108912,'Inflicts 802 cold damage on target',100,1,1),
(318567,108912,'Slows target by 53.0%',100,1,2),
(318568,10108912,'Inflicts 1043 heat damage on target',100,1,0),
(318569,10108912,'Inflicts 1043 cold damage on target',100,1,1),
(318570,10108912,'Slows target by 53.0%',100,1,2),
(318571,118350,'Inflicts 72 - 121 melee damage on target',100,1,0),
(318572,118350,'Inflicts 73 - 121 heat damage on target every 4 seconds',100,1,1),
(318573,10118350,'Inflicts 94 - 157 melee damage on target',100,1,0),
(318574,10118350,'Inflicts 94 - 157 heat damage on target every 4 seconds',100,1,1),
(318575,74790,'When Equipped:',100,0,0),
(318576,74790,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318577,74790,'Inflicts 63 - 94 magic damage on target',100,2,2),
(318578,74790,'Cannot be modified except by direct means',100,2,3),
(318579,10074790,'When Equipped:',100,0,0),
(318580,10074790,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318581,10074790,'Inflicts 82 - 123 magic damage on target',100,2,2),
(318582,10074790,'Cannot be modified except by direct means',100,2,3),
(318583,102073,'Interrupts targets in Area of Effect',100,1,0),
(318584,102073,'Inflicts 434 - 724 melee damage on targets in area',100,1,1),
(318585,10102073,'Interrupts targets in Area of Effect',100,1,0),
(318586,10102073,'Inflicts 565 - 942 melee damage on targets in area',100,1,1),
(318587,188151,'When Equipped:',100,0,0),
(318588,188151,'On any combat or spell hit this spell may cast Bellowing Onslaught on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(318589,188151,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,2),
(318590,188151,'Must not be engaged in pvp combat',100,2,3),
(318591,188151,'Cannot be modified except by direct means',100,2,4),
(318592,188151,'Must not be engaged in pvp combat',100,1,5),
(318593,10188151,'When Equipped:',100,0,0),
(318594,10188151,'On any combat or spell hit this spell may cast Bellowing Onslaught on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(318595,10188151,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,2),
(318596,10188151,'Must not be engaged in pvp combat',100,2,3),
(318597,10188151,'Cannot be modified except by direct means',100,2,4),
(318598,10188151,'Must not be engaged in pvp combat',100,1,5),
(318599,37623,'Increases WIS of target by 11.0',100,0,0),
(318600,37623,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(318601,101911,'Inflicts 40 - 67 melee damage on target',100,1,0),
(318602,101911,'Inflicts 13 piercing damage on target instantly and every 4 seconds',100,1,1),
(318603,101911,'Must be behind',100,1,2),
(318604,10101911,'Inflicts 52 - 87 melee damage on target',100,1,0),
(318605,10101911,'Inflicts 17 piercing damage on target instantly and every 4 seconds',100,1,1),
(318606,10101911,'Must be behind',100,1,2),
(318607,134888,'When Equipped:',100,0,0),
(318608,134888,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(318609,134888,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(318610,134888,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(318611,134888,'Must not be engaged in pvp combat',100,2,4),
(318612,134888,'Cannot be modified except by direct means',100,2,5),
(318613,134888,'Must not be engaged in pvp combat',100,1,6),
(318614,10134888,'When Equipped:',100,0,0),
(318615,10134888,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(318616,10134888,'Inflicts 5758 - 6364 slashing damage on target encounter',100,2,2),
(318617,10134888,'Inflicts 823 - 909 slashing damage on target encounter every 2 seconds',100,2,3),
(318618,10134888,'Must not be engaged in pvp combat',100,2,4),
(318619,10134888,'Cannot be modified except by direct means',100,2,5),
(318620,10134888,'Must not be engaged in pvp combat',100,1,6),
(318621,139332,'When Equipped:',100,0,0),
(318622,139332,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318623,139332,'Increases Ability Reuse Speed of caster by 7.0%',100,2,2),
(318624,139332,'Cannot be modified except by direct means',100,2,3),
(318625,10139332,'When Equipped:',100,0,0),
(318626,10139332,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318627,10139332,'Increases Ability Reuse Speed of caster by 7.0%',100,2,2),
(318628,10139332,'Cannot be modified except by direct means',100,2,3),
(318629,146134,'When Equipped:',100,0,0),
(318630,146134,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318631,146134,'Decreases power of target by 134',100,2,2),
(318632,146134,'Increases power of caster by 89',100,2,3),
(318633,146134,'Cannot be modified except by direct means',100,2,4),
(318634,10146134,'When Equipped:',100,0,0),
(318635,10146134,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318636,10146134,'Decreases power of target by 134',100,2,2),
(318637,10146134,'Increases power of caster by 89',100,2,3),
(318638,10146134,'Cannot be modified except by direct means',100,2,4),
(318639,36580,'Increases Max Power of target by 22.8',100,0,0),
(318640,36580,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(318641,118943,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(318642,118943,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2015',100,1,1),
(318643,118943,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,2),
(318644,10118943,'Increases Max Health of group members (AE) by 737.8',100,1,0),
(318645,10118943,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2015',100,1,1),
(318646,10118943,'Increases Mitigation of group members (AE) vs physical damage by 1251',100,1,2),
(318647,24360,'Adds Ettin (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(318648,10024360,'Adds Ettin (Illusionist) to your Dungeon Maker toolbox',100,0,0),
(318649,48103,'Applies Smoky Retreat when Activated.',100,0,0),
(318650,48103,'Teleports caster and caster''s group within the zone',100,1,1),
(318651,10048103,'Applies Smoky Retreat when Activated.',100,0,0),
(318652,10048103,'Teleports caster and caster''s group within the zone',100,1,1),
(318653,80724,'When Equipped:',100,0,0),
(318654,80724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318655,80724,'Inflicts 56 - 103 magic damage on target',100,2,2),
(318656,80724,'Cannot be modified except by direct means',100,2,3),
(318657,10080724,'When Equipped:',100,0,0),
(318658,10080724,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318659,10080724,'Inflicts 72 - 134 magic damage on target',100,2,2),
(318660,10080724,'Cannot be modified except by direct means',100,2,3),
(318661,121384,'Inflicts 179 - 332 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(318662,10121384,'Inflicts 233 - 432 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(318663,141670,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(318664,141670,'Decreases Attack Speed of target by 15.6',100,1,1),
(318665,141670,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(318666,10141670,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(318667,10141670,'Decreases Attack Speed of target by 15.6',100,1,1),
(318668,10141670,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(318669,108309,'Inflicts 58 - 97 divine damage on target',100,1,0),
(318670,108309,'Heals caster for 1.1% of max health',100,1,1),
(318671,108309,'This effect cannot be critically applied.',100,2,2),
(318672,108309,'The healing of this spell cannot be modified except by direct means',100,1,3),
(318673,10108309,'Inflicts 75 - 126 divine damage on target',100,1,0),
(318674,10108309,'Heals caster for 0.6% of max health',100,1,1),
(318675,10108309,'This effect cannot be critically applied.',100,2,2),
(318676,10108309,'The healing of this spell cannot be modified except by direct means',100,1,3),
(318677,117258,'Inflicts 11 - 18 melee damage on target',100,1,0),
(318678,117258,'Decreases Damage Per Second of target by 6.5',100,1,1),
(318679,117258,'Decreases Attack Speed of target by 5.7',100,1,2),
(318680,10117258,'Inflicts 14 - 24 melee damage on target',100,1,0),
(318681,10117258,'Decreases Damage Per Second of target by 6.5',100,1,1),
(318682,10117258,'Decreases Attack Speed of target by 5.7',100,1,2),
(318683,121321,'Inflicts 815 - 1359 ranged damage on targets in area',100,1,0),
(318684,121321,'Requires bow',100,1,1),
(318685,10121321,'Inflicts 550 - 917 ranged damage on targets in area',100,1,0),
(318686,10121321,'Requires bow',100,1,1),
(318687,105503,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.0',100,1,0),
(318688,10105503,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.0',100,1,0),
(318689,112336,'Applies Insolent Gibe.',100,1,0),
(318690,112336,'Increases Threat to targets in Area of Effect by 2,457 - 3,686 ',100,2,1),
(318691,112336,'Applies Insolent Assault.',100,1,2),
(318692,112336,'Inflicts 1314 - 1971 melee damage on targets in area',100,2,3),
(318693,112336,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(318694,112336,'Increases Threat to target encounter by 921 - 1,126 ',100,2,5),
(318695,10112336,'Applies Insolent Gibe.',100,1,0),
(318696,10112336,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(318697,10112336,'Applies Insolent Assault.',100,1,2),
(318698,10112336,'Inflicts 1708 - 2562 melee damage on targets in area',100,2,3),
(318699,10112336,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(318700,10112336,'Forces target encounter to change their selected target to caster.',100,2,5),
(318701,166439,'When Equipped:',100,0,0),
(318702,166439,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(318703,166439,'Inflicts 1998 cold damage on target encounter',100,2,2),
(318704,166439,'Must not be engaged in pvp combat',100,2,3),
(318705,166439,'Cannot be modified except by direct means',100,2,4),
(318706,166439,'Must not be engaged in pvp combat',100,1,5),
(318707,10166439,'When Equipped:',100,0,0),
(318708,10166439,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(318709,10166439,'Inflicts 1299 cold damage on target encounter',100,2,2),
(318710,10166439,'Must not be engaged in pvp combat',100,2,3),
(318711,10166439,'Cannot be modified except by direct means',100,2,4),
(318712,10166439,'Must not be engaged in pvp combat',100,1,5),
(318713,144804,'When Equipped:',100,0,0),
(318714,144804,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318715,144804,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(318716,144804,'Dispelled when target casts a hostile spell',100,2,3),
(318717,144804,'Dispelled when target casts a combat art',100,2,4),
(318718,144804,'Cannot be modified except by direct means',100,2,5),
(318719,144804,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(318720,144804,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(318721,144804,'Dispelled when target casts a hostile spell',100,2,8),
(318722,144804,'Dispelled when target casts a combat art',100,2,9),
(318723,144804,'Cannot be modified except by direct means',100,2,10),
(318724,10144804,'When Equipped:',100,0,0),
(318725,10144804,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318726,10144804,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(318727,10144804,'Dispelled when target casts a hostile spell',100,2,3),
(318728,10144804,'Dispelled when target casts a combat art',100,2,4),
(318729,10144804,'Cannot be modified except by direct means',100,2,5),
(318730,10144804,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(318731,10144804,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(318732,10144804,'Dispelled when target casts a hostile spell',100,2,8),
(318733,10144804,'Dispelled when target casts a combat art',100,2,9),
(318734,10144804,'Cannot be modified except by direct means',100,2,10),
(318735,108067,'Inflicts 1086 magic damage on target',100,1,0),
(318736,108067,'Increases power of caster by 563',100,1,1),
(318737,10108067,'Inflicts 1412 magic damage on target',100,1,0),
(318738,10108067,'Increases power of caster by 563',100,1,1),
(318739,124606,'Heals group members (AE) for 94 - 115',100,1,0),
(318740,124606,'Heals group members (AE) for 16 - 19 every second',100,1,1),
(318741,10124606,'Heals group members (AE) for 138 - 168',100,1,0),
(318742,10124606,'Heals group members (AE) for 17 - 21 every second',100,1,1),
(318743,71791,'When Equipped:',100,0,0),
(318744,71791,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318745,71791,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(318746,71791,'Cannot be modified except by direct means',100,2,3),
(318747,10071791,'When Equipped:',100,0,0),
(318748,10071791,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318749,10071791,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(318750,10071791,'Cannot be modified except by direct means',100,2,3),
(318751,120207,'Decreases STR and INT of target by 95.5',100,1,0),
(318752,120207,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(318753,120207,'Grants a total of 1 trigger of the spell.',100,2,2),
(318754,10120207,'Decreases STR and INT of target by 95.5',100,1,0),
(318755,10120207,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(318756,10120207,'Grants a total of 1 trigger of the spell.',100,2,2),
(318757,101669,'Decreases Attack Speed of target by 19.3',100,1,0),
(318758,101669,'Decreases Damage Per Second of target by 12.2',100,1,1),
(318759,10101669,'Decreases Attack Speed of target by 19.3',100,1,0),
(318760,10101669,'Decreases Damage Per Second of target by 12.2',100,1,1),
(318761,174088,'When Equipped:',100,0,0),
(318762,174088,'On a hit this spell may cast Adrenaline Boost on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318763,174088,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(318764,174088,'Cannot be modified except by direct means',100,2,3),
(318765,10174088,'When Equipped:',100,0,0),
(318766,10174088,'On a hit this spell may cast Adrenaline Boost on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318767,10174088,'Increases Multi Attack Chance of caster by 10.0',100,2,2),
(318768,10174088,'Cannot be modified except by direct means',100,2,3),
(318769,112218,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(318770,112218,'Increases Threat to target by 40 ',100,2,1),
(318771,112218,'Inflicts 18 disease damage on target',100,2,2),
(318772,112218,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 849',100,1,3),
(318773,10112218,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(318774,10112218,'Inflicts 23 disease damage on target',100,2,1),
(318775,10112218,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 849',100,1,2),
(318776,75040,'Applies Poison Bolt when Activated.',100,0,0),
(318777,75040,'Inflicts 89 - 149 poison damage on target',100,1,1),
(318778,75040,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(318779,10075040,'Applies Poison Bolt when Activated.',100,0,0),
(318780,10075040,'Inflicts 116 - 194 poison damage on target',100,1,1),
(318781,10075040,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(318782,124077,'Increases power of caster by 563',100,1,0),
(318783,10124077,'Increases power of caster by 563',100,1,0),
(318784,166531,'Applies Rising Brutality II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(318785,166531,'Applies Invigorated Haste II on termination.  Lasts for 30.0 seconds.',100,1,1),
(318786,166531,'Increases Attack Speed of caster by 30.0',100,2,2),
(318787,166531,'Must not be engaged in pvp combat',100,2,3),
(318788,166531,'Cannot be modified except by direct means',100,2,4),
(318789,166531,'Increases the Damage Per Second of the caster over time.',100,1,5),
(318790,166531,'Must not be engaged in pvp combat',100,1,6),
(318791,166531,'Cannot be modified except by direct means',100,1,7),
(318792,166531,'The reuse time of Rising Brutality II is 10 minutes',100,1,8),
(318793,10166531,'Applies Rising Brutality II when Activated.  Lasts for 12.0 seconds.',100,0,0),
(318794,10166531,'Applies Invigorated Haste II on termination.  Lasts for 30.0 seconds.',100,1,1),
(318795,10166531,'Increases Attack Speed of caster by 30.0',100,2,2),
(318796,10166531,'Must not be engaged in pvp combat',100,2,3),
(318797,10166531,'Cannot be modified except by direct means',100,2,4),
(318798,10166531,'Increases the Damage Per Second of the caster over time.',100,1,5),
(318799,10166531,'Must not be engaged in pvp combat',100,1,6),
(318800,10166531,'Cannot be modified except by direct means',100,1,7),
(318801,10166531,'The reuse time of Rising Brutality II is 10 minutes',100,1,8),
(318802,109100,'Inflicts 33 - 55 crushing damage on target',100,1,0),
(318803,10109100,'Inflicts 43 - 71 crushing damage on target',100,1,0),
(318804,124577,'Decreases Threat to targets in Area of Effect by 2,137 ',100,1,0),
(318805,124577,'Interrupts targets in Area of Effect',100,1,1),
(318806,124577,'Roots targets in Area of Effect',100,1,2),
(318807,124577,'If Target is not Epic',100,2,3),
(318808,10124577,'Applies Distract.',100,1,0),
(318809,10124577,'Forces target to clear their selected target.',100,2,1),
(318810,10124577,'Interrupts targets in Area of Effect',100,1,2),
(318811,10124577,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(318812,10124577,'Roots targets in Area of Effect',100,1,4),
(318813,10124577,'If Target is not Epic',100,2,5),
(318814,107799,'Increases Threat to target encounter by 506 - 618 ',100,1,0),
(318815,10107799,'Prevents target encounter from changing targets',100,1,0),
(318816,10107799,'Forces target encounter to change their selected target to caster.',100,1,1),
(318817,71435,'When Equipped:',100,0,0),
(318818,71435,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318819,71435,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(318820,71435,'Cannot be modified except by direct means',100,2,3),
(318821,10071435,'When Equipped:',100,0,0),
(318822,10071435,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318823,10071435,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(318824,10071435,'Cannot be modified except by direct means',100,2,3),
(318825,102371,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(318826,102371,'Increases Attack Speed of target by 24.5',100,2,1),
(318827,102371,'Increases Damage Per Second of target by 24.5',100,2,2),
(318828,102371,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(318829,102371,'Increases Attack Speed of target by 24.5',100,2,4),
(318830,102371,'Increases Damage Per Second of target by 24.5',100,2,5),
(318831,102371,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(318832,102371,'Increases Attack Speed of target by 24.5',100,2,7),
(318833,102371,'Increases Damage Per Second of target by 24.5',100,2,8),
(318834,10102371,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(318835,10102371,'Increases Attack Speed of target by 24.5',100,2,1),
(318836,10102371,'Increases Damage Per Second of target by 24.5',100,2,2),
(318837,10102371,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(318838,10102371,'Increases Attack Speed of target by 24.5',100,2,4),
(318839,10102371,'Increases Damage Per Second of target by 24.5',100,2,5),
(318840,10102371,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(318841,10102371,'Increases Attack Speed of target by 24.5',100,2,7),
(318842,10102371,'Increases Damage Per Second of target by 24.5',100,2,8),
(318843,71975,'When Equipped:',100,0,0),
(318844,71975,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318845,71975,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(318846,71975,'Cannot be modified except by direct means',100,2,3),
(318847,10071975,'When Equipped:',100,0,0),
(318848,10071975,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318849,10071975,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(318850,10071975,'Cannot be modified except by direct means',100,2,3),
(318851,111753,'Heals caster for 31 - 38',100,1,0),
(318852,111753,'This effect cannot be critically applied.',100,2,1),
(318853,111753,'The healing of this spell cannot be modified except by direct means',100,1,2),
(318854,10111753,'Heals caster for 16 - 19',100,1,0),
(318855,10111753,'This effect cannot be critically applied.',100,2,1),
(318856,10111753,'The healing of this spell cannot be modified except by direct means',100,1,2),
(318857,71788,'When Equipped:',100,0,0),
(318858,71788,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318859,71788,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(318860,71788,'Cannot be modified except by direct means',100,2,3),
(318861,10071788,'When Equipped:',100,0,0),
(318862,10071788,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318863,10071788,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(318864,10071788,'Cannot be modified except by direct means',100,2,3),
(318865,102815,'Summons 3 limited pets to aid the caster',100,1,0),
(318866,10102815,'Summons 3 limited pets to aid the caster',100,1,0),
(318867,109345,'Increases STR of caster by 183.0',100,1,0),
(318868,109345,'Decreases Defense of caster by 21.8',100,1,1),
(318869,109345,'Increases Slashing, Piercing and Crushing of caster by 52.3',100,1,2),
(318870,10109345,'Increases STR of caster by 183.0',100,1,0),
(318871,10109345,'Decreases Defense of caster by 21.8',100,1,1),
(318872,10109345,'Increases Slashing, Piercing and Crushing of caster by 52.3',100,1,2),
(318873,105549,'Inflicts 45 - 84 disease damage on target',100,1,0),
(318874,105549,'Inflicts 27 - 50 disease damage on target every 2 seconds',100,1,1),
(318875,10105549,'Inflicts 59 - 109 disease damage on target',100,1,0),
(318876,10105549,'Inflicts 35 - 65 disease damage on target every 2 seconds',100,1,1),
(318877,139502,'When Equipped:',100,0,0),
(318878,139502,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318879,139502,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(318880,139502,'Cannot be modified except by direct means',100,2,3),
(318881,10139502,'When Equipped:',100,0,0),
(318882,10139502,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(318883,10139502,'Increases Multi Attack Chance of caster by 15.0',100,2,2),
(318884,10139502,'Cannot be modified except by direct means',100,2,3),
(318885,81868,'When Equipped:',100,0,0),
(318886,81868,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318887,81868,'Inflicts 97 - 180 magic damage on target',100,2,2),
(318888,81868,'Cannot be modified except by direct means',100,2,3),
(318889,10081868,'When Equipped:',100,0,0),
(318890,10081868,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(318891,10081868,'Inflicts 126 - 234 magic damage on target',100,2,2),
(318892,10081868,'Cannot be modified except by direct means',100,2,3),
(318893,119284,'Inflicts 58 - 97 slashing damage on target',100,1,0),
(318894,119284,'Decreases Damage Per Second of target by 13.4',100,1,1),
(318895,119284,'Inflicts 78 slashing damage on target instantly and every 4 seconds',100,1,2),
(318896,10119284,'Inflicts 76 - 126 slashing damage on target',100,1,0),
(318897,10119284,'Decreases Damage Per Second of target by 13.4',100,1,1),
(318898,10119284,'Inflicts 102 slashing damage on target instantly and every 4 seconds',100,1,2),
(318899,37360,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(318900,37360,'Increases Max Health of target by 120.7',100,0,1),
(318901,162265,'When Equipped:',100,0,0),
(318902,162265,'Reduces maximum falling speed of caster',100,1,1),
(318903,162265,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(318904,162265,'Allows caster to jump farther',100,1,3),
(318905,162265,'Cannot be modified except by direct means',100,1,4),
(318906,162265,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(318907,10162265,'When Equipped:',100,0,0),
(318908,10162265,'Reduces maximum falling speed of caster',100,1,1),
(318909,10162265,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(318910,10162265,'Allows caster to jump farther',100,1,3),
(318911,10162265,'Cannot be modified except by direct means',100,1,4),
(318912,10162265,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(318913,108431,'Increases INT, AGI, STR and WIS of group members (AE) by 42.9',100,1,0),
(318914,108431,'Adds 1.9% to base avoidance.',100,1,1),
(318915,108431,'Increases Attack Speed of group members (AE) by 34.4',100,1,2),
(318916,108431,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 127',100,1,3),
(318917,10108431,'Increases INT, AGI, STR and WIS of group members (AE) by 42.9',100,1,0),
(318918,10108431,'Adds 1.9% to base avoidance.',100,1,1),
(318919,10108431,'Increases Attack Speed of group members (AE) by 34.4',100,1,2),
(318920,10108431,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 127',100,1,3),
(318921,48592,'Applies Totem of Quickness when Activated.  Lasts for 30 minutes.',100,0,0),
(318922,48592,'Increases Ground Mount Speed of caster by 30.0%',100,1,1),
(318923,48592,'Increases speed of caster by 30.0%',100,1,2),
(318924,48592,'This effect suspends during combat',100,1,3),
(318925,48592,'Only affects targets level 15 and above',100,1,4),
(318926,10048592,'Applies Totem of Quickness when Activated.  Lasts for 30 minutes.',100,0,0),
(318927,10048592,'Increases Ground Mount Speed of caster by 30.0%',100,1,1),
(318928,10048592,'Increases speed of caster by 30.0%',100,1,2),
(318929,10048592,'This effect suspends during combat',100,1,3),
(318930,10048592,'Only affects targets level 15 and above',100,1,4),
(318931,82900,'When Equipped:',100,0,0),
(318932,82900,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318933,82900,'Inflicts 228 - 423 magic damage on target',100,2,2),
(318934,82900,'Decreases Threat to target by 833 ',100,2,3),
(318935,82900,'Must be flanking or behind',100,3,4),
(318936,82900,'Increases Threat to target by 833 ',100,2,5),
(318937,82900,'Must be in front of',100,3,6),
(318938,82900,'Cannot be modified except by direct means',100,2,7),
(318939,10082900,'When Equipped:',100,0,0),
(318940,10082900,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318941,10082900,'Inflicts 296 - 550 magic damage on target',100,2,2),
(318942,10082900,'Cannot be modified except by direct means',100,2,3),
(318943,106548,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,0),
(318944,106548,'Increases Hate Gain of target by 30.0%',100,2,1),
(318945,106548,'Grants a total of 1 trigger of the spell.',100,2,2),
(318946,106548,'Inflicts 300 - 367 melee damage on target',100,1,3),
(318947,10106548,'25% chance to apply Distract on termination.',100,1,0),
(318948,10106548,'Forces target to clear their selected target.',100,2,1),
(318949,10106548,'Inflicts 390 - 477 melee damage on target',100,1,2),
(318950,107884,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(318951,107884,'Slows target by 49.8%',100,2,1),
(318952,107884,'5% chance to dispel when target receives hostile action',100,2,2),
(318953,107884,'5% chance to dispel when target takes damage',100,2,3),
(318954,107884,'Slows target encounter by 59.8%',100,1,4),
(318955,107884,'5% chance to dispel when target takes damage',100,1,5),
(318956,10107884,'Slows target encounter by 59.8%',100,1,0),
(318957,10107884,'5% chance to dispel when target takes damage',100,1,1),
(318958,141817,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(318959,141817,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(318960,141817,'Inflicts 31 heat damage on target',100,2,2),
(318961,141817,'Cannot be modified except by direct means',100,2,3),
(318962,10141817,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(318963,10141817,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(318964,10141817,'Inflicts 40 heat damage on target',100,2,2),
(318965,10141817,'Cannot be modified except by direct means',100,2,3),
(318966,24240,'Adds Cyclops (Assassin)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(318967,10024240,'Adds Cyclops (Assassin)-alt 1 to your Dungeon Maker toolbox',100,0,0),
(318968,115114,'Summons 4 limited pets to aid the caster',100,1,0),
(318969,10115114,'Summons 4 limited pets to aid the caster',100,1,0),
(318970,80967,'When Equipped:',100,0,0),
(318971,80967,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318972,80967,'Inflicts 188 - 349 magic damage on target',100,2,2),
(318973,80967,'Decreases Threat to target by 672 ',100,2,3),
(318974,80967,'Must be flanking or behind',100,3,4),
(318975,80967,'Increases Threat to target by 672 ',100,2,5),
(318976,80967,'Must be in front of',100,3,6),
(318977,80967,'Cannot be modified except by direct means',100,2,7),
(318978,10080967,'When Equipped:',100,0,0),
(318979,10080967,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(318980,10080967,'Inflicts 244 - 454 magic damage on target',100,2,2),
(318981,10080967,'Cannot be modified except by direct means',100,2,3),
(318982,45752,'Applies Tonic of Animation  when Activated.  Lasts for 30 minutes.',100,0,0),
(318983,10045752,'Applies Tonic of Animation  when Activated.  Lasts for 30 minutes.',100,0,0),
(318984,48587,'Applies Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(318985,48587,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(318986,48587,'Inflicts 317 poison damage on target instantly and every 6 seconds',100,2,2),
(318987,48587,'Cannot be modified except by direct means',100,2,3),
(318988,48587,'Grants a total of 4 triggers of the spell.',100,2,4),
(318989,48587,'Only affects targets level 50 and above',100,1,5),
(318990,10048587,'Applies Torment of Rijacki when Activated.  Lasts for 12 hours.',100,0,0),
(318991,10048587,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(318992,10048587,'Inflicts 309 poison damage on target instantly and every 6 seconds',100,2,2),
(318993,10048587,'Cannot be modified except by direct means',100,2,3),
(318994,10048587,'Grants a total of 4 triggers of the spell.',100,2,4),
(318995,10048587,'Only affects targets level 50 and above',100,1,5),
(318996,72175,'When Equipped:',100,0,0),
(318997,72175,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(318998,72175,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(318999,72175,'Cannot be modified except by direct means',100,2,3),
(319000,10072175,'When Equipped:',100,0,0),
(319001,10072175,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319002,10072175,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(319003,10072175,'Cannot be modified except by direct means',100,2,3),
(319004,120903,'Stifles target',100,1,0),
(319005,120903,'Inflicts 747 - 914 mental damage on target',100,1,1),
(319006,120903,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,2),
(319007,120903,'Resistibility increases against targets higher than level 101.',100,1,3),
(319008,10120903,'Stifles target',100,1,0),
(319009,10120903,'Inflicts 972 - 1188 mental damage on target',100,1,1),
(319010,10120903,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(319011,10120903,'Resistibility increases against targets higher than level 101.',100,1,3),
(319012,105129,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(319013,105129,'Summon 1 Crystallized Spirit (Master)',100,2,1),
(319014,10105129,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',100,1,0),
(319015,10105129,'Summon 1 Crystallized Spirit (Master)',100,2,1),
(319016,105640,'Inflicts 58 disease damage on target instantly and every 6 seconds',100,1,0),
(319017,105640,'Inflicts 134 - 224 disease damage on target',100,1,1),
(319018,105640,'Inflicts 134 - 224 disease damage on target',100,1,2),
(319019,10105640,'Inflicts 76 disease damage on target instantly and every 6 seconds',100,1,0),
(319020,10105640,'Inflicts 174 - 291 disease damage on target',100,1,1),
(319021,10105640,'Inflicts 174 - 291 disease damage on target',100,1,2),
(319022,24528,'Adds Mistmoore: Elegant Wooden Coffee Table to your Dungeon Maker toolbox',100,0,0),
(319023,10024528,'Adds Mistmoore: Elegant Wooden Coffee Table to your Dungeon Maker toolbox',100,0,0),
(319024,109853,'Increases Defense of group members (AE) by 5.1',100,1,0),
(319025,10109853,'Increases Defense of group members (AE) by 5.1',100,1,0),
(319026,37099,'Increases STR of target by 6.2',100,0,0),
(319027,37099,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(319028,109960,'Inflicts 273 - 410 disease damage on targets in Area of Effect',100,1,0),
(319029,109960,'Inflicts 137 - 205 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(319030,109960,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(319031,109960,'Increases Threat to targets in Area of Effect by 992 - 1,212  instantly and every 4 seconds thereafter',100,1,3),
(319032,10109960,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(319033,10109960,'Prevents target from changing targets',100,2,1),
(319034,10109960,'Forces target to change their selected target to caster.',100,2,2),
(319035,10109960,'Inflicts 355 - 533 disease damage on targets in Area of Effect',100,1,3),
(319036,10109960,'Inflicts 178 - 266 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(319037,104682,'Decreases Mitigation of target vs all damage by 343',100,1,0),
(319038,10104682,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 343',100,1,0),
(319039,10104682,'Decreases Mitigation of target vs physical damage by 286',100,1,1),
(319040,111570,'Inflicts 2370 - 4401 cold damage on target',100,1,0),
(319041,111570,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(319042,111570,'Stuns target',100,2,2),
(319043,111570,'Blurs vision of target',100,2,3),
(319044,111570,'Throws target back',100,2,4),
(319045,111570,'Does not affect Epic targets',100,2,5),
(319046,10111570,'Inflicts 2228 - 4137 cold damage on target',100,1,0),
(319047,10111570,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(319048,10111570,'Stuns target',100,2,2),
(319049,10111570,'Throws target back',100,2,3),
(319050,10111570,'Blurs vision of target',100,2,4),
(319051,10111570,'Does not affect Epic targets',100,2,5),
(319052,114925,'Inflicts 335 - 559 melee damage on target',100,1,0),
(319053,114925,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1178',100,1,1),
(319054,114925,'Must be behind',100,1,2),
(319055,10114925,'Inflicts 436 - 727 melee damage on target',100,1,0),
(319056,10114925,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 589',100,1,1),
(319057,10114925,'Must be behind',100,1,2),
(319058,138354,'When Equipped:',100,0,0),
(319059,138354,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319060,138354,'This effect can be stacked by multiple casters.',100,2,2),
(319061,138354,'Increases Mitigation of target vs all damage by 940',100,2,3),
(319062,138354,'Cannot be modified except by direct means',100,2,4),
(319063,10138354,'When Equipped:',100,0,0),
(319064,10138354,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319065,10138354,'This effect can be stacked by multiple casters.',100,2,2),
(319066,10138354,'Increases Mitigation of target vs all damage by 940',100,2,3),
(319067,10138354,'Cannot be modified except by direct means',100,2,4),
(319068,46834,'Applies Summon Flying Maj''Dul when Activated.',100,0,0),
(319069,46834,'Reduces maximum falling speed of caster',100,1,1),
(319070,46834,'Summons a mount to ride',100,1,2),
(319071,46834,'Increases your ground speed by 130%',100,2,3),
(319072,10046834,'Applies Summon Flying Maj''Dul when Activated.',100,0,0),
(319073,10046834,'Reduces maximum falling speed of caster',100,1,1),
(319074,10046834,'Summons a mount to ride',100,1,2),
(319075,10046834,'Increases your ground speed by 130%',100,2,3),
(319076,115391,'Inflicts 53 - 88 melee damage on target',100,1,0),
(319077,115391,'Decreases INT of target by 11.0',100,1,1),
(319078,115391,'You must be sneaking to use this ability.',100,1,2),
(319079,10115391,'Inflicts 69 - 115 melee damage on target',100,1,0),
(319080,10115391,'Decreases INT of target by 11.0',100,1,1),
(319081,10115391,'You must be sneaking to use this ability.',100,1,2),
(319082,45074,'Applies Place Rod when Activated.  Lasts for 36.0 seconds.',100,0,0),
(319083,45074,'Summons a limited pet to aid the caster',100,1,1),
(319084,45074,'This effect cannot be cast during combat',100,1,2),
(319085,10045074,'Applies Place Rod when Activated.  Lasts for 36.0 seconds.',100,0,0),
(319086,10045074,'Summons a limited pet to aid the caster',100,1,1),
(319087,10045074,'This effect cannot be cast during combat',100,1,2),
(319088,120280,'Swaps your current hate position with your target''s hate position.',100,1,0),
(319089,120280,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',100,1,1),
(319090,120280,'Target of this spell cannot have Sleight of Hand used on them',100,2,2),
(319091,120280,'Cannot be modified except by direct means',100,2,3),
(319092,120280,'Decreases Threat to target by 2,937 ',100,1,4),
(319093,120280,'If profession other than Fighter',100,2,5),
(319094,120280,'Increases Threat to target by 2,937 ',100,1,6),
(319095,120280,'If Fighter',100,2,7),
(319096,120280,'Must be engaged in combat',100,1,8),
(319097,120280,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,9),
(319098,10120280,'Forces target to clear their selected target.',100,1,0),
(319099,10120280,'Must be engaged in combat',100,1,1),
(319100,10120280,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',100,1,2),
(319101,47521,'Applies Petrified Gnome Eye when Activated.  Lasts for 6 hours.',100,0,0),
(319102,47521,'Shapechanges caster into a gnome',100,1,1),
(319103,10047521,'Applies Petrified Gnome Eye when Activated.  Lasts for 6 hours.',100,0,0),
(319104,10047521,'Shapechanges caster into a gnome',100,1,1),
(319105,102724,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 2 times per minute. ',100,1,0),
(319109,102724,'Inflicts 42- 53 divine damage on target',100,2,1),
(319111,10102724,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(319112,10102724,'Stuns target',100,2,1),
(319113,10102724,'Inflicts 69 - 114 divine damage on target',100,2,2),
(319114,10102724,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(319115,101364,'Reduces physical damage done to caster by 5%',100,1,0),
(319116,101364,'Adds 1.4% to base avoidance.',100,1,1),
(319117,101364,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(319118,101364,'Increases Aggression of caster by 9.4',100,1,3),
(319119,101364,'Increases Defense and Parry of caster by 15.0',100,1,4),
(319120,101364,'Increases Mitigation of caster vs noxious and arcane damage by 92',100,1,5),
(319121,101364,'Increases Mitigation of caster vs elemental damage by 920',100,1,6),
(319122,101364,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(319123,10101364,'Reduces physical damage done to caster by 5%',100,1,0),
(319124,10101364,'Adds 1.4% to base avoidance.',100,1,1),
(319125,10101364,'Decreases Slashing, Piercing and Crushing of caster by 13.2',100,1,2),
(319126,10101364,'Increases Aggression of caster by 9.4',100,1,3),
(319127,10101364,'Increases Defense and Parry of caster by 15.0',100,1,4),
(319128,10101364,'Increases Mitigation of caster vs noxious and arcane damage by 92',100,1,5),
(319129,10101364,'Increases Mitigation of caster vs elemental damage by 920',100,1,6),
(319130,10101364,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(319131,102318,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(319132,102318,'When damaged this spell will cast Beg on target''s attacker.  ',100,1,1),
(319133,102318,'Decreases threat priority of target encounter by 1 position',100,2,2),
(319134,102318,'Decreases Threat to target encounter by 330 ',100,2,3),
(319135,102318,'Grants a total of 3 triggers of the spell.',100,2,4),
(319136,102318,'If profession other than Fighter',100,1,5),
(319137,10102318,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',100,1,0),
(319138,10102318,'When damaged this spell will cast Beg on target''s attacker.  Lasts for 0.8 seconds.  ',100,1,1),
(319139,10102318,'Target cannot target caster for the duration of this effect.',100,2,2),
(319140,10102318,'Forces target to clear their selected target.',100,2,3),
(319141,10102318,'Grants a total of 3 triggers of the spell.',100,2,4),
(319142,10102318,'If profession other than Fighter',100,1,5),
(319143,116870,'Wards group members (AE) against 462 points of noxious damage',100,1,0),
(319144,116870,'Increases Mitigation of group members (AE) vs noxious damage by 290',100,1,1),
(319145,10116870,'Wards group members (AE) against 462 points of noxious damage',100,1,0),
(319146,10116870,'Increases Mitigation of group members (AE) vs noxious damage by 290',100,1,1),
(319147,146569,'When Equipped:',100,0,0),
(319148,146569,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(319149,146569,'Inflicts 1192 poison damage on target',100,2,2),
(319150,146569,'Cannot be modified except by direct means',100,2,3),
(319151,10146569,'When Equipped:',100,0,0),
(319152,10146569,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(319153,10146569,'Inflicts 775 poison damage on target',100,2,2),
(319154,10146569,'Cannot be modified except by direct means',100,2,3),
(319155,114374,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(319156,114374,'Stuns target',100,2,1),
(319157,114374,'Blurs vision of target',100,2,2),
(319158,114374,'Throws target back',100,2,3),
(319159,114374,'Does not affect Epic targets',100,2,4),
(319160,114374,'Inflicts 190 - 317 crushing damage on target',100,1,5),
(319161,10114374,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(319162,10114374,'Stuns target',100,2,1),
(319163,10114374,'Throws target back',100,2,2),
(319164,10114374,'Blurs vision of target',100,2,3),
(319165,10114374,'Does not affect Epic targets',100,2,4),
(319166,10114374,'Inflicts 247 - 412 crushing damage on target',100,1,5),
(319167,124361,'Inflicts 135 - 165 divine damage on target',100,1,0),
(319168,124361,'Inflicts 56 - 69 divine damage on target every 4 seconds',100,1,1),
(319169,10124361,'Inflicts 176 - 215 divine damage on target',100,1,0),
(319170,10124361,'Inflicts 73 - 90 divine damage on target every 4 seconds',100,1,1),
(319171,103867,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(319172,103867,'Slows target by 44.2%',100,2,1),
(319173,103867,'5% chance to dispel when target receives hostile action',100,2,2),
(319174,103867,'5% chance to dispel when target takes damage',100,2,3),
(319175,103867,'Decreases Mitigation of target vs noxious damage by 1122',100,1,4),
(319176,10103867,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(319177,10103867,'Slows target by 44.2%',100,2,1),
(319178,10103867,'5% chance to dispel when target receives hostile action',100,2,2),
(319179,10103867,'5% chance to dispel when target takes damage',100,2,3),
(319180,10103867,'Decreases Mitigation of target vs noxious damage by 1122',100,1,4),
(319181,124756,'Inflicts 315 - 385 disease damage on target encounter',100,1,0),
(319182,10124756,'Inflicts 410 - 501 disease damage on target encounter',100,1,0),
(319183,116973,'Increases Threat to target by 1,297 - 1,586 ',100,1,0),
(319184,116973,'Interrupts target',100,1,1),
(319185,10116973,'Forces target to change their selected target to caster.',100,1,0),
(319186,10116973,'Interrupts target',100,1,1),
(319187,10116973,'Prevents target from changing targets',100,1,2),
(319188,82193,'When Equipped:',100,0,0),
(319189,82193,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319190,82193,'Inflicts 33 - 61 magic damage on target',100,2,2),
(319191,82193,'Cannot be modified except by direct means',100,2,3),
(319192,10082193,'When Equipped:',100,0,0),
(319193,10082193,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319194,10082193,'Inflicts 43 - 80 magic damage on target',100,2,2),
(319195,10082193,'Cannot be modified except by direct means',100,2,3),
(319196,117100,'Mesmerizes target encounter',100,1,0),
(319197,117100,'Prevents AOE (except when direct) ',100,1,1),
(319198,117100,'Dispelled when target takes damage',100,1,2),
(319199,117100,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(319200,117100,'Resistibility increases against targets higher than level 82.',100,1,4),
(319201,10117100,'Mesmerizes target encounter',100,1,0),
(319202,10117100,'Prevents AOE (except when direct) ',100,1,1),
(319203,10117100,'Dispelled when target takes damage',100,1,2),
(319204,10117100,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(319205,10117100,'Resistibility increases against targets higher than level 82.',100,1,4),
(319206,80040,'Applies Fire Ball when Activated.',100,0,0),
(319207,80040,'Inflicts 53 - 89 heat damage on target',100,1,1),
(319208,80040,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319209,10080040,'Applies Fire Ball when Activated.',100,0,0),
(319210,10080040,'Inflicts 69 - 115 heat damage on target',100,1,1),
(319211,10080040,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319212,124427,'Inflicts 21 - 36 melee damage on targets in area',100,1,0),
(319213,10124427,'Inflicts 28 - 47 melee damage on targets in area',100,1,0),
(319214,119756,'Wards group members (AE) against 315 points of elemental, noxious and arcane damage',100,1,0),
(319215,119756,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,1),
(319216,10119756,'Wards group members (AE) against 315 points of elemental, noxious and arcane damage',100,1,0),
(319217,10119756,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,1),
(319218,112426,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(319219,112426,'If over 50% Health',100,2,1),
(319220,112426,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(319221,112426,'If at 50% Health or less',100,2,3),
(319222,10112426,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(319223,10112426,'If over 50% Health',100,2,1),
(319224,10112426,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(319225,10112426,'If at 50% Health or less',100,2,3),
(319226,80387,'When Equipped:',100,0,0),
(319227,80387,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319228,80387,'Inflicts 48 - 90 magic damage on target',100,2,2),
(319229,80387,'Decreases Threat to target by 153 ',100,2,3),
(319230,80387,'Must be flanking or behind',100,3,4),
(319231,80387,'Increases Threat to target by 153 ',100,2,5),
(319232,80387,'Must be in front of',100,3,6),
(319233,80387,'Cannot be modified except by direct means',100,2,7),
(319234,10080387,'When Equipped:',100,0,0),
(319235,10080387,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319236,10080387,'Inflicts 63 - 116 magic damage on target',100,2,2),
(319237,10080387,'Cannot be modified except by direct means',100,2,3),
(319238,119743,'Wards group members (AE) against 174 points of elemental, noxious and arcane damage',100,1,0),
(319239,119743,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,1),
(319240,10119743,'Wards group members (AE) against 174 points of elemental, noxious and arcane damage',100,1,0),
(319241,10119743,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,1),
(319242,80459,'When Equipped:',100,0,0),
(319243,80459,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319244,80459,'Inflicts 48 - 90 magic damage on target',100,2,2),
(319245,80459,'Decreases Threat to target by 153 ',100,2,3),
(319246,80459,'Must be flanking or behind',100,3,4),
(319247,80459,'Increases Threat to target by 153 ',100,2,5),
(319248,80459,'Must be in front of',100,3,6),
(319249,80459,'Cannot be modified except by direct means',100,2,7),
(319250,10080459,'When Equipped:',100,0,0),
(319251,10080459,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319252,10080459,'Inflicts 63 - 116 magic damage on target',100,2,2),
(319253,10080459,'Cannot be modified except by direct means',100,2,3),
(319254,104286,'Inflicts 55 - 91 melee damage on target',100,1,0),
(319255,104286,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(319256,104286,'Stuns target',100,2,2),
(319257,104286,'Blurs vision of target',100,2,3),
(319258,104286,'Throws target back',100,2,4),
(319259,104286,'Does not affect Epic targets',100,2,5),
(319260,10104286,'Inflicts 71 - 119 melee damage on target',100,1,0),
(319261,10104286,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(319262,10104286,'Stuns target',100,2,2),
(319263,10104286,'Blurs vision of target',100,2,3),
(319264,10104286,'Throws target back',100,2,4),
(319265,10104286,'Does not affect Epic targets',100,2,5),
(319266,124808,'Increases STR of caster by 186.6',100,1,0),
(319267,124808,'Decreases Defense of caster by 22.2',100,1,1),
(319268,124808,'Increases Crushing, Piercing, Slashing and Disruption of caster by 53.3',100,1,2),
(319269,10124808,'Increases STR of caster by 186.6',100,1,0),
(319270,10124808,'Decreases Defense of caster by 22.2',100,1,1),
(319271,10124808,'Increases Crushing, Piercing, Slashing and Disruption of caster by 53.3',100,1,2),
(319272,113841,'Inflicts 288 - 480 disease damage on target',100,1,0),
(319273,10113841,'Inflicts 374 - 624 disease damage on target',100,1,0),
(319274,103208,'Increases Mitigation of caster vs physical damage by 573',100,1,0),
(319275,103208,'Roots caster',100,1,1),
(319276,10103208,'Increases Mitigation of caster vs physical damage by 573',100,1,0),
(319277,10103208,'Roots caster',100,1,1),
(319278,115451,'Inflicts 100 - 122 mental damage on target instantly and every 6 seconds',100,1,0),
(319279,115451,'Decreases Mitigation of target vs arcane damage by 896',100,1,1),
(319280,10115451,'Inflicts 130 - 159 mental damage on target instantly and every 6 seconds',100,1,0),
(319281,10115451,'Decreases Mitigation of target vs arcane damage by 896',100,1,1),
(319282,105922,'Inflicts 13 - 16 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(319283,105922,'Inflicts 29 - 49 disease damage on targets in area',100,1,1),
(319284,10105922,'Inflicts 17 - 20 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(319285,10105922,'Inflicts 38 - 64 disease damage on targets in area',100,1,1),
(319286,118429,'Heals target for 940 - 1148',100,1,0),
(319287,118429,'Increases Max Health of target by 158.1',100,1,1),
(319288,10118429,'Heals target for 1090 - 1332',100,1,0),
(319289,10118429,'Increases Max Health of target by 158.1',100,1,1),
(319290,82086,'When Equipped:',100,0,0),
(319291,82086,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319292,82086,'Inflicts 138 - 257 magic damage on target',100,2,2),
(319293,82086,'Decreases Threat to target by 641 ',100,2,3),
(319294,82086,'Must be flanking or behind',100,3,4),
(319295,82086,'Increases Threat to target by 641 ',100,2,5),
(319296,82086,'Must be in front of',100,3,6),
(319297,82086,'Cannot be modified except by direct means',100,2,7),
(319298,10082086,'When Equipped:',100,0,0),
(319299,10082086,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319300,10082086,'Inflicts 180 - 334 magic damage on target',100,2,2),
(319301,10082086,'Cannot be modified except by direct means',100,2,3),
(319302,137386,'When Equipped:',100,0,0),
(319303,137386,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319304,137386,'Decreases power of target by 114',100,2,2),
(319305,137386,'Increases power of caster by 76',100,2,3),
(319306,137386,'Cannot be modified except by direct means',100,2,4),
(319307,10137386,'When Equipped:',100,0,0),
(319308,10137386,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319309,10137386,'Decreases power of target by 114',100,2,2),
(319310,10137386,'Increases power of caster by 76',100,2,3),
(319311,10137386,'Cannot be modified except by direct means',100,2,4),
(319312,118328,'Inflicts 24 - 41 melee damage on target',100,1,0),
(319313,118328,'Inflicts 25 - 41 heat damage on target every 4 seconds',100,1,1),
(319314,10118328,'Inflicts 32 - 53 melee damage on target',100,1,0),
(319315,10118328,'Inflicts 32 - 54 heat damage on target every 4 seconds',100,1,1),
(319316,36693,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(319317,116188,'Inflicts 235 - 391 mental damage on target',100,1,0),
(319318,10116188,'Inflicts 305 - 509 mental damage on target',100,1,0),
(319319,106737,'Heals target for 647 - 790',100,1,0),
(319320,10106737,'Heals target for 760 - 929',100,1,0),
(319321,109953,'Stuns target',100,1,0),
(319322,109953,'Does not affect Epic targets',100,1,1),
(319323,109953,'Resistibility increases against targets higher than level 111.',100,1,2),
(319324,10109953,'Stuns target',100,1,0),
(319325,10109953,'Does not affect Epic targets',100,1,1),
(319326,10109953,'Resistibility increases against targets higher than level 111.',100,1,2),
(319327,107502,'Inflicts 650 - 1949 magic damage on targets in Area of Effect',100,1,0),
(319328,107502,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(319329,107502,'Stuns target',100,2,2),
(319330,107502,'Blurs vision of target',100,2,3),
(319331,107502,'Throws target back',100,2,4),
(319332,107502,'Does not affect Epic targets',100,2,5),
(319333,10107502,'Inflicts 844 - 2533 magic damage on targets in Area of Effect',100,1,0),
(319334,10107502,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(319335,10107502,'Stuns target',100,2,2),
(319336,10107502,'Throws target back',100,2,3),
(319337,10107502,'Blurs vision of target',100,2,4),
(319338,10107502,'Does not affect Epic targets',100,2,5),
(319339,43217,'When Equipped:',100,0,0),
(319340,43217,'On a critical spell hit this spell may cast Vital Exposure IX on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(319341,43217,'Inflicts 645 - 713 disease damage on target',100,2,2),
(319342,43217,'Inflicts 759 - 839 disease damage on target every 2 seconds',100,2,3),
(319343,43217,'Inflicts an additional 63 - 69 disease damage on target every tick',100,2,4),
(319344,43217,'Decreases the target''s physical mitigation over time.',100,2,5),
(319345,43217,'Must not be engaged in pvp combat',100,2,6),
(319346,43217,'Cannot be modified except by direct means',100,2,7),
(319347,43217,'On a critical combat hit this spell may cast Vital Exposure IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(319348,43217,'Inflicts 645 - 713 disease damage on target',100,2,9),
(319349,43217,'Inflicts 759 - 839 disease damage on target every 2 seconds',100,2,10),
(319350,43217,'Inflicts an additional 63 - 69 disease damage on target every tick',100,2,11),
(319351,43217,'Decreases the target''s physical mitigation over time.',100,2,12),
(319352,43217,'Must not be engaged in pvp combat',100,2,13),
(319353,43217,'Cannot be modified except by direct means',100,2,14),
(319354,43217,'Must not be engaged in pvp combat',100,1,15),
(319355,10043217,'When Equipped:',100,0,0),
(319356,10043217,'On a critical spell hit this spell may cast Vital Exposure IX on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(319357,10043217,'Inflicts 839 - 927 disease damage on target',100,2,2),
(319358,10043217,'Inflicts 987 - 1091 disease damage on target every 2 seconds',100,2,3),
(319359,10043217,'Inflicts an additional 63 - 69 disease damage on target every tick',100,2,4),
(319360,10043217,'Decreases the target''s physical mitigation over time.',100,2,5),
(319361,10043217,'Must not be engaged in pvp combat',100,2,6),
(319362,10043217,'Cannot be modified except by direct means',100,2,7),
(319363,10043217,'On a critical combat hit this spell may cast Vital Exposure IX on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(319364,10043217,'Inflicts 839 - 927 disease damage on target',100,2,9),
(319365,10043217,'Inflicts 987 - 1091 disease damage on target every 2 seconds',100,2,10),
(319366,10043217,'Inflicts an additional 63 - 69 disease damage on target every tick',100,2,11),
(319367,10043217,'Decreases the target''s physical mitigation over time.',100,2,12),
(319368,10043217,'Must not be engaged in pvp combat',100,2,13),
(319369,10043217,'Cannot be modified except by direct means',100,2,14),
(319370,10043217,'Must not be engaged in pvp combat',100,1,15),
(319371,105886,'Inflicts 93 - 155 ranged damage on target',100,1,0),
(319372,105886,'Inflicts 93 - 155 ranged damage on target',100,1,1),
(319373,105886,'If weapon equipped in Ranged',100,1,2),
(319374,10105886,'Inflicts 69 - 116 ranged damage on target',100,1,0),
(319375,10105886,'Inflicts 69 - 116 ranged damage on target',100,1,1),
(319376,10105886,'If weapon equipped in Ranged',100,1,2),
(319377,102844,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(319378,102844,'Stuns target',100,2,1),
(319379,102844,'Blurs vision of target',100,2,2),
(319380,102844,'Throws target back',100,2,3),
(319381,102844,'Does not affect Epic targets',100,2,4),
(319382,102844,'Inflicts 58 - 174 melee damage on targets in area',100,1,5),
(319383,10102844,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(319384,10102844,'Stuns target',100,2,1),
(319385,10102844,'Throws target back',100,2,2),
(319386,10102844,'Blurs vision of target',100,2,3),
(319387,10102844,'Does not affect Epic targets',100,2,4),
(319388,10102844,'Inflicts 75 - 227 melee damage on targets in area',100,1,5),
(319389,122925,'Increases STR and INT of group members (AE) by 83.5',100,1,0),
(319390,10122925,'Increases STR and INT of group members (AE) by 83.5',100,1,0),
(319391,48849,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(319392,48849,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(319393,48849,'Inflicts 46 poison damage on target instantly and every 6 seconds',100,2,2),
(319394,48849,'Inflicts 158 poison damage on target',100,2,3),
(319395,48849,'Cannot be modified except by direct means',100,2,4),
(319396,48849,'Grants a total of 200 triggers of the spell.',100,2,5),
(319397,10048849,'Applies noxious regression when Activated.  Lasts for 12 hours.',100,0,0),
(319398,10048849,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(319399,10048849,'Inflicts 154 poison damage on target',100,2,2),
(319400,10048849,'Inflicts 45 poison damage on target instantly and every 6 seconds',100,2,3),
(319401,10048849,'Cannot be modified except by direct means',100,2,4),
(319402,10048849,'Grants a total of 200 triggers of the spell.',100,2,5),
(319403,107707,'Inflicts 188 - 313 heat damage on target',100,1,0),
(319404,107707,'You must be sneaking to use this ability.',100,1,1),
(319405,10107707,'Inflicts 244 - 407 heat damage on target',100,1,0),
(319406,10107707,'You must be sneaking to use this ability.',100,1,1),
(319407,100730,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(319408,100730,'Increases Mitigation of group members (AE) vs noxious damage by 898',100,1,1),
(319409,10100730,'Increases Max Health of group members (AE) by 240.8',100,1,0),
(319410,10100730,'Increases Mitigation of group members (AE) vs noxious damage by 898',100,1,1),
(319411,115010,'Inflicts 924 - 1540 ranged damage on targets in area',100,1,0),
(319412,115010,'You must be in stealth to use this!',100,1,1),
(319413,115010,'Requires bow',100,1,2),
(319414,10115010,'Inflicts 693 - 1155 ranged damage on targets in area',100,1,0),
(319415,10115010,'You must be in stealth to use this!',100,1,1),
(319416,10115010,'Requires bow',100,1,2),
(319417,71493,'When Equipped:',100,0,0),
(319418,71493,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319419,71493,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(319420,71493,'Cannot be modified except by direct means',100,2,3),
(319421,10071493,'When Equipped:',100,0,0),
(319422,10071493,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319423,10071493,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(319424,10071493,'Cannot be modified except by direct means',100,2,3),
(319425,100504,'Increases Attack Speed of group members (AE) by 20.9',100,1,0),
(319426,10100504,'Increases Attack Speed of group members (AE) by 20.9',100,1,0),
(319427,89044,'Applies Mental Blast when Activated.',100,0,0),
(319428,89044,'Inflicts 312 - 520 mental damage on target',100,1,1),
(319429,89044,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319430,10089044,'Applies Mental Blast when Activated.',100,0,0),
(319431,10089044,'Inflicts 406 - 676 mental damage on target',100,1,1),
(319432,10089044,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319433,105333,'Inflicts 177 - 295 melee damage on target',100,1,0),
(319434,105333,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 343',100,1,1),
(319435,105333,'Must be flanking or behind',100,1,2),
(319436,10105333,'Inflicts 230 - 383 melee damage on target',100,1,0),
(319437,10105333,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 343',100,1,1),
(319438,10105333,'Must be flanking or behind',100,1,2),
(319439,122165,'Inflicts 37 - 45 cold damage on target instantly and every 2 seconds',100,1,0),
(319440,122165,'Inflicts 37 - 45 cold damage on target instantly and every 2 seconds',100,1,1),
(319441,122165,'If target is elemental',100,2,2),
(319442,10122165,'Inflicts 48 - 58 cold damage on target instantly and every 2 seconds',100,1,0),
(319443,118052,'When receiving a hostile spell this spell has a 11% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',100,1,0),
(319444,118052,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,1),
(319445,118052,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,2,2),
(319446,10118052,'When receiving a hostile spell this spell has a 11% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',100,1,0),
(319447,10118052,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',100,2,1),
(319448,10118052,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,2,2),
(319449,115059,'Heals target for 2120 - 2591',100,1,0),
(319450,10115059,'Heals target for 2969 - 3629',100,1,0),
(319451,107551,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(319452,107551,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1427',100,1,1),
(319453,10107551,'Decreases Max Health of target encounter by 2.4%',100,1,0),
(319454,10107551,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1427',100,1,1),
(319455,45597,'Applies Clouded Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(319456,10045597,'Applies Clouded Elixir of Contamination Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(319457,169309,'When Equipped:',100,0,0),
(319458,169309,'On a critical healing spell cast this spell may cast Lesson of Protection on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(319459,169309,'Increases the target''s effectiveness of worn armor vs physical damage by 13%',100,2,2),
(319460,169309,'Cannot be modified except by direct means',100,2,3),
(319461,169309,'Cannot be modified except by direct means',100,1,4),
(319462,10169309,'When Equipped:',100,0,0),
(319463,10169309,'On a critical healing spell cast this spell may cast Lesson of Protection on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(319464,10169309,'Increases the target''s effectiveness of worn armor vs physical damage by 13%',100,2,2),
(319465,10169309,'Cannot be modified except by direct means',100,2,3),
(319466,10169309,'Cannot be modified except by direct means',100,1,4),
(319467,104829,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(319468,104829,'If Fighter',100,2,1),
(319469,104829,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(319470,104829,'Increases power of target by 25',100,2,3),
(319471,104829,'Increases power of caster by 25',100,2,4),
(319472,10104829,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(319473,10104829,'Increases power of target by 25',100,2,1),
(319474,10104829,'Increases power of caster by 25',100,2,2),
(319475,158930,'When Equipped:',100,0,0),
(319476,158930,'Increases Attack Speed of caster by 40.0',100,1,1),
(319477,10158930,'When Equipped:',100,0,0),
(319478,10158930,'Increases Attack Speed of caster by 40.0',100,1,1),
(319479,26614,'When Equipped:',100,0,0),
(319480,26614,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,1),
(319481,26614,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(319482,10026614,'When Equipped:',100,0,0),
(319483,10026614,'Reduces the duration and reuse time of Hibernation III by 2 seconds.',100,1,1),
(319484,10026614,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(319485,115268,'Heals target for 380',100,1,0),
(319486,115268,'Heals target for 63 every second',100,1,1),
(319487,115268,'Dispels 61 levels of any hostile effects on target',100,1,2),
(319488,10115268,'Heals target for 247',100,1,0),
(319489,10115268,'Heals target for 41 every second',100,1,1),
(319490,10115268,'Dispels 61 levels of any hostile effects on target',100,1,2),
(319491,106437,'Increases Multi Attack Chance of raid and group members (AE) by 3.4',100,1,0),
(319492,10106437,'Increases Multi Attack Chance of raid and group members (AE) by 3.4',100,1,0),
(319493,113809,'Inflicts 13 - 22 disease damage on target',100,1,0),
(319494,10113809,'Inflicts 17 - 29 disease damage on target',100,1,0),
(319495,112373,'Makes target afraid',100,1,0),
(319496,112373,'30% chance to dispel when target takes damage',100,1,1),
(319497,112373,'Does not affect Epic targets',100,1,2),
(319498,112373,'Resistibility increases against targets higher than level 79.',100,1,3),
(319499,10112373,'Makes target afraid',100,1,0),
(319500,10112373,'30% chance to dispel when target takes damage',100,1,1),
(319501,10112373,'Does not affect Epic targets',100,1,2),
(319502,10112373,'Resistibility increases against targets higher than level 79.',100,1,3),
(319503,115219,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(319504,115219,'Decreases Mitigation of target vs noxious damage by 616',100,2,1),
(319505,115219,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(319506,115219,'Decreases Mitigation of target vs noxious damage by 616',100,2,3),
(319507,10115219,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(319508,10115219,'Decreases Mitigation of target vs noxious damage by 616',100,2,1),
(319509,10115219,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(319510,10115219,'Decreases Mitigation of target vs noxious damage by 616',100,2,3),
(319511,48862,'Applies Translucent Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(319512,48862,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(319513,48862,'Inflicts 50 poison damage on target instantly and every 6 seconds',100,2,2),
(319514,48862,'Inflicts 308 poison damage on target',100,2,3),
(319515,48862,'Cannot be modified except by direct means',100,2,4),
(319516,48862,'Grants a total of 200 triggers of the spell.',100,2,5),
(319517,48862,'Only affects targets level 50 and above',100,1,6),
(319518,10048862,'Applies Translucent Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(319519,10048862,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(319520,10048862,'Inflicts 49 poison damage on target instantly and every 6 seconds',100,2,2),
(319521,10048862,'Inflicts 300 poison damage on target',100,2,3),
(319522,10048862,'Cannot be modified except by direct means',100,2,4),
(319523,10048862,'Grants a total of 200 triggers of the spell.',100,2,5),
(319524,10048862,'Only affects targets level 50 and above',100,1,6),
(319525,107320,'Decreases WIS of target by 62.4',100,1,0),
(319526,107320,'Decreases Defense of target by 24.0',100,1,1),
(319527,10107320,'Decreases WIS of target by 62.4',100,1,0),
(319528,10107320,'Decreases Defense of target by 24.0',100,1,1),
(319529,171390,'When Equipped:',100,0,0),
(319530,171390,'On a critical healing spell cast this spell may cast Rehabilitate on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(319531,171390,'Heals target for 27 - 29',100,2,2),
(319532,171390,'Applies Rehabilitate on termination.  Lasts for 15.0 seconds.',100,2,3),
(319533,171390,'Wards target against 100 points of all damage',100,3,4),
(319534,171390,'Must not be engaged in pvp combat',100,3,5),
(319535,171390,'Cannot be modified except by direct means',100,3,6),
(319536,171390,'If under 50% Health',100,3,7),
(319537,171390,'Must not be engaged in pvp combat',100,2,8),
(319538,171390,'Cannot be modified except by direct means',100,2,9),
(319539,171390,'Must not be engaged in pvp combat',100,1,10),
(319540,10171390,'When Equipped:',100,0,0),
(319541,10171390,'On a critical healing spell cast this spell may cast Rehabilitate on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(319542,10171390,'Heals target for 17 - 19',100,2,2),
(319543,10171390,'Applies Rehabilitate on termination.  Lasts for 15.0 seconds.',100,2,3),
(319544,10171390,'Wards target against 100 points of all damage',100,3,4),
(319545,10171390,'Must not be engaged in pvp combat',100,3,5),
(319546,10171390,'Cannot be modified except by direct means',100,3,6),
(319547,10171390,'If under 50% Health',100,3,7),
(319548,10171390,'Must not be engaged in pvp combat',100,2,8),
(319549,10171390,'Cannot be modified except by direct means',100,2,9),
(319550,10171390,'Must not be engaged in pvp combat',100,1,10),
(319551,106250,'Wards target against 198 points of all damage',100,1,0),
(319552,10106250,'Wards target against 198 points of all damage',100,1,0),
(319553,51296,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(319554,51296,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(319555,51296,'Inflicts 13 heat damage on target',100,2,2),
(319556,51296,'Cannot be modified except by direct means',100,2,3),
(319557,10051296,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(319558,10051296,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(319559,10051296,'Inflicts 17 heat damage on target',100,2,2),
(319560,10051296,'Cannot be modified except by direct means',100,2,3),
(319561,101780,'Heals group members (AE) for 516 - 630 instantly and every 2 seconds',100,1,0),
(319562,10101780,'Heals group members (AE) for 335 - 410 instantly and every 2 seconds',100,1,0),
(319563,102595,'Increases Threat to target encounter by 340 - 416 ',100,1,0),
(319564,102595,'Interrupts target encounter',100,1,1),
(319565,102595,'Decreases Mitigation of target encounter vs noxious damage by 308',100,1,2),
(319566,10102595,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(319567,10102595,'Prevents target from changing targets',100,2,1),
(319568,10102595,'Forces target to change their selected target to caster.',100,2,2),
(319569,10102595,'Interrupts target encounter',100,1,3),
(319570,10102595,'Decreases Mitigation of target encounter vs noxious damage by 308',100,1,4),
(319571,42535,'When Equipped:',100,0,0),
(319572,42535,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319573,42535,'Inflicts 135 - 203 magic damage on target',100,2,2),
(319574,42535,'Cannot be modified except by direct means',100,2,3),
(319575,10042535,'When Equipped:',100,0,0),
(319576,10042535,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319577,10042535,'Inflicts 176 - 264 magic damage on target',100,2,2),
(319578,10042535,'Cannot be modified except by direct means',100,2,3),
(319579,47220,'Applies Elixir of the Quickfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(319580,47220,'Increases AGI of caster by 9.0',100,1,1),
(319581,10047220,'Applies Elixir of the Quickfoot  when Activated.  Lasts for 30 minutes.',100,0,0),
(319582,10047220,'Increases AGI of caster by 9.0',100,1,1),
(319583,100979,'Increases INT of target by 23.8',100,1,0),
(319584,100979,'Increases Attack Speed of target by 25.7',100,1,1),
(319585,100979,'Decreases Defense and Parry of target by 4.9',100,1,2),
(319586,100979,'Increases Slashing, Piercing and Crushing of target by 4.6',100,1,3),
(319587,10100979,'Increases INT of target by 23.8',100,1,0),
(319588,10100979,'Increases Attack Speed of target by 25.7',100,1,1),
(319589,10100979,'Decreases Defense and Parry of target by 4.9',100,1,2),
(319590,10100979,'Increases Slashing, Piercing and Crushing of target by 4.6',100,1,3),
(319591,80471,'When Equipped:',100,0,0),
(319592,80471,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319593,80471,'Decreases Threat to target by 153 ',100,2,2),
(319594,80471,'Must be flanking or behind',100,3,3),
(319595,80471,'Increases Threat to target by 153 ',100,2,4),
(319596,80471,'Must be in front of',100,3,5),
(319597,80471,'Inflicts 48 - 90 magic damage on target',100,2,6),
(319598,80471,'Cannot be modified except by direct means',100,2,7),
(319599,10080471,'When Equipped:',100,0,0),
(319600,10080471,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319601,10080471,'Inflicts 63 - 116 magic damage on target',100,2,2),
(319602,10080471,'Cannot be modified except by direct means',100,2,3),
(319603,108601,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(319604,108601,'Increases INT of group members (AE) by 54.7',100,2,1),
(319605,108601,'Heals group members (AE) for 181 - 221 instantly and every 3 seconds',100,2,2),
(319606,108601,'Increases AGI, WIS and STR of group members (AE) by 54.7',100,2,3),
(319607,108601,'Increases STA of group members (AE) by 109.3',100,2,4),
(319608,108601,'Adds 0.8% to base avoidance.',100,2,5),
(319609,108601,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 140',100,2,6),
(319610,10108601,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(319611,10108601,'Increases INT of group members (AE) by 54.7',100,2,1),
(319612,10108601,'Heals group members (AE) for 212 - 259 instantly and every 3 seconds',100,2,2),
(319613,10108601,'Increases AGI, WIS and STR of group members (AE) by 54.7',100,2,3),
(319614,10108601,'Increases STA of group members (AE) by 109.3',100,2,4),
(319615,10108601,'Adds 0.8% to base avoidance.',100,2,5),
(319616,10108601,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 140',100,2,6),
(319617,112235,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(319618,112235,'Increases Threat to target by 108 ',100,2,1),
(319619,112235,'Inflicts 44 disease damage on target',100,2,2),
(319620,112235,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1720',100,1,3),
(319621,10112235,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(319622,10112235,'Inflicts 57 disease damage on target',100,2,1),
(319623,10112235,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1720',100,1,2),
(319624,86498,'Applies Holy Strike when Activated.',100,0,0),
(319625,86498,'Inflicts 303 - 504 divine damage on target',100,1,1),
(319626,86498,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319627,10086498,'Applies Holy Strike when Activated.',100,0,0),
(319628,10086498,'Inflicts 394 - 656 divine damage on target',100,1,1),
(319629,10086498,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319630,124672,'Heals group members (AE) for 62 - 75 instantly and every 2 seconds',100,1,0),
(319631,10124672,'Heals group members (AE) for 40 - 49 instantly and every 2 seconds',100,1,0),
(319632,106591,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(319633,10106591,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(319634,75365,'When Equipped:',100,0,0),
(319635,75365,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(319636,75365,'Reduces healing received by 15.00%',100,2,2),
(319637,75365,'Cannot be modified except by direct means',100,2,3),
(319638,75365,'This effect can only trigger once every 1 second.',100,2,4),
(319639,75365,'Must be engaged in pvp combat',100,1,5),
(319640,75365,'When Equipped:',100,0,6),
(319641,75365,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(319642,75365,'Inflicts 2648 poison damage on target',100,2,8),
(319643,75365,'Cannot be modified except by direct means',100,2,9),
(319644,10075365,'When Equipped:',100,0,0),
(319645,10075365,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(319646,10075365,'Reduces healing received by 15.00%',100,2,2),
(319647,10075365,'Cannot be modified except by direct means',100,2,3),
(319648,10075365,'This effect can only trigger once every 1 second.',100,2,4),
(319649,10075365,'Must be engaged in pvp combat',100,1,5),
(319650,10075365,'When Equipped:',100,0,6),
(319651,10075365,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(319652,10075365,'Inflicts 1721 poison damage on target',100,2,8),
(319653,10075365,'Cannot be modified except by direct means',100,2,9),
(319654,25865,'When Equipped:',100,0,0),
(319655,25865,'Improves the damage of Synergism by 10% and adds 5 Crit Bonus.',100,1,1),
(319656,10025865,'When Equipped:',100,0,0),
(319657,10025865,'Improves the damage of Synergism by 10% and adds 5 Crit Bonus.',100,1,1),
(319658,72324,'When Equipped:',100,0,0),
(319659,72324,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319660,72324,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(319661,72324,'Cannot be modified except by direct means',100,2,3),
(319662,10072324,'When Equipped:',100,0,0),
(319663,10072324,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319664,10072324,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(319665,10072324,'Cannot be modified except by direct means',100,2,3),
(319666,104210,'Decreases WIS of target encounter by 29.5',100,1,0),
(319667,104210,'Inflicts 43 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(319668,10104210,'Decreases WIS of target encounter by 29.5',100,1,0),
(319669,10104210,'Inflicts 56 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(319670,47018,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(319671,47018,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(319672,47018,'Decreases INT and WIS of target by 7.7',100,2,2),
(319673,47018,'Cannot be modified except by direct means',100,2,3),
(319674,47018,'Grants a total of 30 triggers of the spell.',100,2,4),
(319675,10047018,'Applies unnerving breakdown when Activated.  Lasts for 12 hours.',100,0,0),
(319676,10047018,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(319677,10047018,'Decreases INT and WIS of target by 7.7',100,2,2),
(319678,10047018,'Cannot be modified except by direct means',100,2,3),
(319679,10047018,'Grants a total of 30 triggers of the spell.',100,2,4),
(319680,24680,'Adds Nayad Seducer to your Dungeon Maker toolbox',100,0,0),
(319681,10024680,'Adds Nayad Seducer to your Dungeon Maker toolbox',100,0,0),
(319682,75055,'Applies Poison Bolt when Activated.',100,0,0),
(319683,75055,'Inflicts 173 - 289 poison damage on target',100,1,1),
(319684,75055,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319685,10075055,'Applies Poison Bolt when Activated.',100,0,0),
(319686,10075055,'Inflicts 226 - 376 poison damage on target',100,1,1),
(319687,10075055,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319688,119380,'Decreases threat priority of target by 1 position',100,1,0),
(319689,119380,'Decreases Threat to target by 603 ',100,1,1),
(319690,119380,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(319691,119380,'Grants stealth to caster',100,2,3),
(319692,119380,'Suspends caster''s movement speed enhancements',100,2,4),
(319693,10119380,'Applies Distract.',100,1,0),
(319694,10119380,'Forces target to clear their selected target.',100,2,1),
(319695,10119380,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(319696,10119380,'Grants stealth to caster',100,2,3),
(319697,10119380,'Suspends caster''s movement speed enhancements',100,2,4),
(319698,120255,'Inflicts 380 - 634 crushing damage on target',100,1,0),
(319699,10120255,'Inflicts 495 - 825 crushing damage on target',100,1,0),
(319700,164077,'Applies Awakened Intellect when Equipped.',100,0,0),
(319701,164077,'Increases Crit Chance of caster by 2.0',100,1,1),
(319702,164077,'Increases In-Combat Power Regeneration of caster by 5.0',100,1,2),
(319703,10164077,'Applies Awakened Intellect when Equipped.',100,0,0),
(319704,10164077,'Increases Crit Chance of caster by 2.0',100,1,1),
(319705,10164077,'Increases In-Combat Power Regeneration of caster by 5.0',100,1,2),
(319706,140354,'When Equipped:',100,0,0),
(319707,140354,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(319708,140354,'Heals group members (AE) for 372 - 454',100,2,2),
(319709,140354,'Heals group members (AE) for 80 - 97 every 2 seconds',100,2,3),
(319710,140354,'Must not be engaged in pvp combat',100,2,4),
(319711,140354,'Cannot be modified except by direct means',100,2,5),
(319712,140354,'Cannot be modified except by direct means',100,1,6),
(319713,10140354,'When Equipped:',100,0,0),
(319714,10140354,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(319715,10140354,'Heals group members (AE) for 242 - 295',100,2,2),
(319716,10140354,'Heals group members (AE) for 52 - 63 every 2 seconds',100,2,3),
(319717,10140354,'Must not be engaged in pvp combat',100,2,4),
(319718,10140354,'Cannot be modified except by direct means',100,2,5),
(319719,10140354,'Cannot be modified except by direct means',100,1,6),
(319720,107082,'Inflicts 92 - 112 divine damage on target',100,1,0),
(319721,10107082,'Inflicts 119 - 146 divine damage on target',100,1,0),
(319722,88298,'When Equipped:',100,0,0),
(319723,88298,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(319724,88298,'On any combat or spell hit this spell may cast Wild Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(319725,88298,'Increases Damage Per Second of caster by 9.0',100,2,3),
(319726,88298,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(319727,88298,'Increases Crushing, Piercing, Slashing and Ranged of caster by 7.5',100,2,5),
(319728,88298,'Must not be engaged in pvp combat',100,2,6),
(319729,88298,'Cannot be modified except by direct means',100,2,7),
(319730,88298,'Cannot be modified except by direct means',100,1,8),
(319731,10088298,'When Equipped:',100,0,0),
(319732,10088298,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(319733,10088298,'On any combat or spell hit this spell may cast Wild Swings IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(319734,10088298,'Increases Damage Per Second of caster by 9.0',100,2,3),
(319735,10088298,'Caster has a 33.0% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',100,2,4),
(319736,10088298,'Increases Crushing, Piercing, Slashing and Ranged of caster by 7.5',100,2,5),
(319737,10088298,'Must not be engaged in pvp combat',100,2,6),
(319738,10088298,'Cannot be modified except by direct means',100,2,7),
(319739,10088298,'Cannot be modified except by direct means',100,1,8),
(319740,118479,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(319741,118479,'Inflicts 44 - 54 heat damage on target instantly and every second',100,2,1),
(319742,10118479,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(319743,10118479,'Inflicts 57 - 70 heat damage on target instantly and every second',100,2,1),
(319744,35919,'Increases Max Power of target by 108.8',100,0,0),
(319745,35919,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(319746,162469,'When Equipped:',100,0,0),
(319747,162469,'On a combat hit this spell may cast Fear II on target of attack.  Lasts for 1.0 second.  Triggers about 1.0 times per minute. ',100,1,1),
(319748,162469,'Makes target afraid',100,2,2),
(319749,162469,'Does not affect Epic targets',100,2,3),
(319750,162469,'Resistibility increases against targets higher than level 103.',100,2,4),
(319751,162469,'Cannot be modified except by direct means',100,2,5),
(319752,10162469,'When Equipped:',100,0,0),
(319753,10162469,'On a combat hit this spell may cast Fear II on target of attack.  Lasts for 1.0 second.  Triggers about 1.0 times per minute. ',100,1,1),
(319754,10162469,'Makes target afraid',100,2,2),
(319755,10162469,'Does not affect Epic targets',100,2,3),
(319756,10162469,'Resistibility increases against targets higher than level 103.',100,2,4),
(319757,10162469,'Cannot be modified except by direct means',100,2,5),
(319758,115424,'Inflicts 796 - 1327 melee damage on target',100,1,0),
(319759,115424,'Decreases INT of target by 128.7',100,1,1),
(319760,115424,'You must be sneaking to use this ability.',100,1,2),
(319761,10115424,'Inflicts 1035 - 1725 melee damage on target',100,1,0),
(319762,10115424,'Decreases INT of target by 128.7',100,1,1),
(319763,10115424,'You must be sneaking to use this ability.',100,1,2),
(319764,25479,'When Equipped:',100,0,0),
(319765,25479,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(319766,25479,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,2),
(319767,25479,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(319768,10025479,'When Equipped:',100,0,0),
(319769,10025479,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(319770,10025479,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',100,1,2),
(319771,10025479,'Removes the Revived Sickness from Elixir of Resuscitation.',100,1,3),
(319772,123023,'Wards group members (AE) collectively against 4073 total points of all damage',100,1,0),
(319773,10123023,'Wards group members (AE) collectively against 6066 total points of all damage',100,1,0),
(319774,113393,'Summons a pet a stormwing whelp',100,1,0),
(319775,10113393,'Summons a pet a stormwing whelp',100,1,0),
(319776,80241,'When Equipped:',100,0,0),
(319777,80241,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319778,80241,'Inflicts 169 - 314 magic damage on target',100,2,2),
(319779,80241,'Decreases Threat to target by 801 ',100,2,3),
(319780,80241,'Must be flanking or behind',100,3,4),
(319781,80241,'Increases Threat to target by 801 ',100,2,5),
(319782,80241,'Must be in front of',100,3,6),
(319783,80241,'Cannot be modified except by direct means',100,2,7),
(319784,10080241,'When Equipped:',100,0,0),
(319785,10080241,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(319786,10080241,'Inflicts 220 - 408 magic damage on target',100,2,2),
(319787,10080241,'Cannot be modified except by direct means',100,2,3),
(319788,111286,'Inflicts 152 - 253 divine damage on target',100,1,0),
(319789,111286,'Inflicts 61 - 102 divine damage on target every 4 seconds',100,1,1),
(319790,10111286,'Inflicts 198 - 330 divine damage on target',100,1,0),
(319791,10111286,'Inflicts 79 - 132 divine damage on target every 4 seconds',100,1,1),
(319792,75429,'When Equipped:',100,0,0),
(319793,75429,'On a combat hit this spell may cast Terrorantula''s Bite on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319794,75429,'Inflicts 129 - 193 poison damage on target every 4.8 seconds',100,2,2),
(319795,75429,'Cannot be modified except by direct means',100,2,3),
(319796,10075429,'When Equipped:',100,0,0),
(319797,10075429,'On a combat hit this spell may cast Terrorantula''s Bite on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319798,10075429,'Inflicts 167 - 251 poison damage on target every 4.8 seconds',100,2,2),
(319799,10075429,'Cannot be modified except by direct means',100,2,3),
(319800,101493,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(319801,101493,'Increases Mitigation of group members (AE) vs arcane damage by 877',100,1,1),
(319802,10101493,'Increases Max Power of group members (AE) by 528.4',100,1,0),
(319803,10101493,'Increases Mitigation of group members (AE) vs arcane damage by 877',100,1,1),
(319804,80170,'When Equipped:',100,0,0),
(319805,80170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319806,80170,'Inflicts 169 - 314 magic damage on target',100,2,2),
(319807,80170,'Cannot be modified except by direct means',100,2,3),
(319808,10080170,'When Equipped:',100,0,0),
(319809,10080170,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319810,10080170,'Inflicts 220 - 408 magic damage on target',100,2,2),
(319811,10080170,'Cannot be modified except by direct means',100,2,3),
(319812,41632,'When Equipped:',100,0,0),
(319813,41632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319814,41632,'Inflicts 101 - 188 magic damage on target',100,2,2),
(319815,41632,'Cannot be modified except by direct means',100,2,3),
(319816,10041632,'When Equipped:',100,0,0),
(319817,10041632,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319818,10041632,'Inflicts 131 - 244 magic damage on target',100,2,2),
(319819,10041632,'Cannot be modified except by direct means',100,2,3),
(319820,113089,'Heals target for 74.9 - 91.5% of max health',100,1,0),
(319821,113089,'This effect cannot be critically applied.',100,2,1),
(319822,113089,'Increases Max Health of target by 172.0',100,1,2),
(319823,113089,'Increases Mitigation of target vs physical damage by 320',100,1,3),
(319824,113089,'The healing of this spell cannot be modified except by direct means',100,1,4),
(319825,10113089,'Heals target for 30.0 - 36.6% of max health',100,1,0),
(319826,10113089,'This effect cannot be critically applied.',100,2,1),
(319827,10113089,'Increases Max Health of target by 172.0',100,1,2),
(319828,10113089,'Increases Mitigation of target vs physical damage by 320',100,1,3),
(319829,10113089,'The healing of this spell cannot be modified except by direct means',100,1,4),
(319830,111172,'Inflicts 22 - 36 divine damage on targets in area',100,1,0),
(319831,111172,'Heals group members (AE) for 17',100,1,1),
(319832,111172,'This effect cannot be critically applied.',100,2,2),
(319833,111172,'The healing of this spell cannot be modified except by direct means',100,1,3),
(319834,10111172,'Inflicts 28 - 47 divine damage on targets in area',100,1,0),
(319835,10111172,'Heals group members (AE) for 11',100,1,1),
(319836,10111172,'This effect cannot be critically applied.',100,2,2),
(319837,10111172,'The healing of this spell cannot be modified except by direct means',100,1,3),
(319838,170639,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(319839,170639,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 405',100,1,1),
(319840,170639,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(319841,10170639,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(319842,10170639,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 405',100,1,1),
(319843,10170639,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(319844,75105,'When Equipped:',100,0,0),
(319845,75105,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319846,75105,'Inflicts 55 - 67 poison damage on target instantly and every 4.8 seconds',100,2,2),
(319847,75105,'Cannot be modified except by direct means',100,2,3),
(319848,10075105,'When Equipped:',100,0,0),
(319849,10075105,'On a combat hit this spell may cast Ancient Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(319850,10075105,'Inflicts 71 - 87 poison damage on target instantly and every 4.8 seconds',100,2,2),
(319851,10075105,'Cannot be modified except by direct means',100,2,3),
(319852,115881,'Increases power of caster by 36',100,1,0),
(319853,10115881,'Increases power of caster by 36',100,1,0),
(319854,48501,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(319855,48501,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(319856,48501,'Stuns target',100,2,2);
INSERT INTO `item_effects` VALUES
(319857,48501,'If Target is not Epic',100,3,3),
(319858,48501,'Cannot be modified except by direct means',100,2,4),
(319859,48501,'Grants a total of 30 triggers of the spell.',100,2,5),
(319860,10048501,'Applies touch of the beholder when Activated.  Lasts for 12 hours.',100,0,0),
(319861,10048501,'On a combat hit this spell may cast Paralytic Poison on target of attack.  Lasts for 2.5 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(319862,10048501,'Stuns target',100,2,2),
(319863,10048501,'If Target is not Epic',100,3,3),
(319864,10048501,'Cannot be modified except by direct means',100,2,4),
(319865,10048501,'Grants a total of 30 triggers of the spell.',100,2,5),
(319866,100436,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(319867,100436,'Inflicts 166 - 277 slashing damage on target',100,2,1),
(319868,100436,'Increases Threat to target by 643 ',100,2,2),
(319869,100436,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(319870,100436,'Increases Threat to target by 643 ',100,2,4),
(319871,100436,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1947',100,1,5),
(319872,10100436,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(319873,10100436,'Inflicts 216 - 361 slashing damage on target',100,2,1),
(319874,10100436,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(319875,10100436,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1947',100,1,3),
(319876,119740,'Wards group members (AE) against 103 points of elemental, noxious and arcane damage',100,1,0),
(319877,119740,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,1),
(319878,10119740,'Wards group members (AE) against 103 points of elemental, noxious and arcane damage',100,1,0),
(319879,10119740,'Increases Mitigation of group members (AE) vs physical damage by 513',100,1,1),
(319880,186895,'When Equipped:',100,0,0),
(319881,186895,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(319882,186895,'Inflicts 537 mental damage on target',100,2,2),
(319883,186895,'Increases threat priority of target by 1 position',100,2,3),
(319884,186895,'Cannot be modified except by direct means',100,2,4),
(319885,186895,'Cannot be modified except by direct means',100,1,5),
(319886,10186895,'When Equipped:',100,0,0),
(319887,10186895,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(319888,10186895,'Inflicts 698 mental damage on target',100,2,2),
(319889,10186895,'Cannot be modified except by direct means',100,2,3),
(319890,10186895,'Cannot be modified except by direct means',100,1,4),
(319891,102301,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(319892,102301,'Decreases Threat to target by 743 ',100,2,1),
(319893,10102301,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(319894,10102301,'Inflicts 43 - 48 crushing damage on target',100,2,1),
(319895,104233,'Decreases WIS of target encounter by 83.2',100,1,0),
(319896,104233,'Inflicts 140 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(319897,10104233,'Decreases WIS of target encounter by 83.2',100,1,0),
(319898,10104233,'Inflicts 181 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(319899,144639,'When Equipped:',100,0,0),
(319900,144639,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(319901,144639,'Inflicts 2648 heat damage on target',100,2,2),
(319902,144639,'Cannot be modified except by direct means',100,2,3),
(319903,10144639,'When Equipped:',100,0,0),
(319904,10144639,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(319905,10144639,'Inflicts 1721 heat damage on target',100,2,2),
(319906,10144639,'Cannot be modified except by direct means',100,2,3),
(319907,102779,'Increases STR of caster by 30.5',100,1,0),
(319908,102779,'Increases Max Health of caster by 179.6',100,1,1),
(319909,102779,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 830',100,1,2),
(319910,10102779,'Increases STR of caster by 30.5',100,1,0),
(319911,10102779,'Increases Max Health of caster by 179.6',100,1,1),
(319912,10102779,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 830',100,1,2),
(319913,102124,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(319914,102124,'Stuns target',100,2,1),
(319915,102124,'Blurs vision of target',100,2,2),
(319916,102124,'Throws target back',100,2,3),
(319917,102124,'Does not affect Epic targets',100,2,4),
(319918,102124,'Inflicts 267 - 445 crushing damage on target',100,1,5),
(319919,10102124,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(319920,10102124,'Stuns target',100,2,1),
(319921,10102124,'Throws target back',100,2,2),
(319922,10102124,'Blurs vision of target',100,2,3),
(319923,10102124,'Does not affect Epic targets',100,2,4),
(319924,10102124,'Inflicts 347 - 578 crushing damage on target',100,1,5),
(319925,117202,'Inflicts 46 - 77 melee damage on target',100,1,0),
(319926,117202,'Inflicts 46 - 77 melee damage on target',100,1,1),
(319927,10117202,'Inflicts 60 - 100 melee damage on target',100,1,0),
(319928,10117202,'Inflicts 60 - 100 melee damage on target',100,1,1),
(319929,104524,'Increases Threat to target by 251 - 307  instantly and by 50 - 61  every 2 seconds thereafter',100,1,0),
(319930,10104524,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(319931,114292,'Heals target for 261 - 318',100,1,0),
(319932,10114292,'Heals target for 306 - 374',100,1,0),
(319933,107874,'Decreases Mitigation of target vs elemental damage by 1568',100,1,0),
(319934,107874,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(319935,107874,'Slows target by 42.9%',100,2,2),
(319936,107874,'5% chance to dispel when target receives hostile action',100,2,3),
(319937,107874,'5% chance to dispel when target takes damage',100,2,4),
(319938,10107874,'Decreases Mitigation of target vs elemental damage by 1568',100,1,0),
(319939,10107874,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(319940,10107874,'Slows target by 42.9%',100,2,2),
(319941,10107874,'5% chance to dispel when target receives hostile action',100,2,3),
(319942,10107874,'5% chance to dispel when target takes damage',100,2,4),
(319943,109041,'Increases Attack Speed of caster by 27.6',100,1,0),
(319944,109041,'Decreases Defense of caster by 10.5',100,1,1),
(319945,109041,'Increases Slashing, Piercing, Crushing and Ranged of caster by 22.0',100,1,2),
(319946,10109041,'Increases Attack Speed of caster by 27.6',100,1,0),
(319947,10109041,'Decreases Defense of caster by 10.5',100,1,1),
(319948,10109041,'Increases Slashing, Piercing, Crushing and Ranged of caster by 22.0',100,1,2),
(319949,101017,'Inflicts 205 - 381 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(319950,10101017,'Inflicts 209 - 388 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(319951,48596,'Applies Diamond Hide when Activated.  Lasts for 12.0 seconds.',100,0,0),
(319952,48596,'20% of all damage received by the caster is prevented.',100,1,1),
(319953,48596,'Must not be engaged in pvp combat',100,1,2),
(319954,48596,'Cannot be modified except by direct means',100,1,3),
(319955,10048596,'Applies Diamond Hide when Activated.  Lasts for 12.0 seconds.',100,0,0),
(319956,10048596,'20% of all damage received by the caster is prevented.',100,1,1),
(319957,10048596,'Must not be engaged in pvp combat',100,1,2),
(319958,10048596,'Cannot be modified except by direct means',100,1,3),
(319959,73274,'Applies Frost Blast when Activated.',100,0,0),
(319960,73274,'Inflicts 178 - 297 cold damage on target',100,1,1),
(319961,73274,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319962,10073274,'Applies Frost Blast when Activated.',100,0,0),
(319963,10073274,'Inflicts 231 - 386 cold damage on target',100,1,1),
(319964,10073274,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(319965,106745,'Heals target for 1702 - 2080',100,1,0),
(319966,10106745,'Heals target for 3601 - 4402',100,1,0),
(319967,175272,'When Equipped:',100,0,0),
(319968,175272,'Increases Attack Speed of caster by 35.0',100,1,1),
(319969,10175272,'When Equipped:',100,0,0),
(319970,10175272,'Increases Attack Speed of caster by 35.0',100,1,1),
(319971,102407,'Inflicts 453 - 841 melee damage on targets in area',100,1,0),
(319972,10102407,'Inflicts 589 - 1094 melee damage on targets in area',100,1,0),
(319973,123304,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(319974,123304,'Inflicts 258 - 430 disease damage on target',100,2,1),
(319975,123304,'Heals caster for 1.2 - 2.0% of max health',100,2,2),
(319976,123304,'This effect cannot be critically applied.',100,3,3),
(319977,123304,'The healing of this spell cannot be modified except by direct means',100,2,4),
(319978,10123304,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(319979,10123304,'Inflicts 336 - 559 disease damage on target',100,2,1),
(319980,10123304,'Heals caster for 0.4 - 0.7% of max health',100,2,2),
(319981,10123304,'This effect cannot be critically applied.',100,3,3),
(319982,10123304,'The healing of this spell cannot be modified except by direct means',100,2,4),
(319983,81649,'When Equipped:',100,0,0),
(319984,81649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319985,81649,'Inflicts 99 - 185 magic damage on target',100,2,2),
(319986,81649,'Cannot be modified except by direct means',100,2,3),
(319987,10081649,'When Equipped:',100,0,0),
(319988,10081649,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(319989,10081649,'Inflicts 129 - 240 magic damage on target',100,2,2),
(319990,10081649,'Cannot be modified except by direct means',100,2,3),
(319991,113756,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(319992,113756,'Inflicts 275 piercing damage on target',100,2,1),
(319993,113756,'Grants a total of 60 triggers of the spell.',100,2,2),
(319994,10113756,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(319995,10113756,'Inflicts 357 piercing damage on target',100,2,1),
(319996,10113756,'Grants a total of 60 triggers of the spell.',100,2,2),
(319997,113308,'Inflicts 172 - 288 heat damage on target',100,1,0),
(319998,10113308,'Inflicts 340 - 567 heat damage on target',100,1,0),
(319999,27460,'When Equipped:',100,0,0),
(320000,27460,'Grants additional mitigation while Sigil of Heroism is active.',100,1,1),
(320001,27460,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(320002,10027460,'When Equipped:',100,0,0),
(320003,10027460,'Grants additional mitigation while Sigil of Heroism is active.',100,1,1),
(320004,10027460,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(320005,121124,'Decreases Threat to targets in Area of Effect by 5,820 ',100,1,0),
(320006,121124,'Mesmerizes targets in Area of Effect',100,1,1),
(320007,121124,'If Target is not Epic',100,2,2),
(320008,121124,'Dispelled when target takes damage',100,1,3),
(320009,10121124,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(320010,10121124,'Applies Distract.',100,1,1),
(320011,10121124,'Forces target to clear their selected target.',100,2,2),
(320012,10121124,'Mesmerizes targets in Area of Effect',100,1,3),
(320013,10121124,'If Target is not Epic',100,2,4),
(320014,10121124,'Dispelled when target takes damage',100,1,5),
(320015,112523,'Interrupts target',50,1,0),
(320016,112523,'Inflicts 15 - 18 divine damage on target',100,1,1),
(320017,10112523,'Interrupts target',50,1,0),
(320018,10112523,'Inflicts 24 - 30 divine damage on target',100,1,1),
(320019,35574,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(320020,46821,'Applies Luminous Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(320021,46821,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(320022,46821,'Inflicts 7 magic damage on target',100,2,2),
(320023,46821,'Cannot be modified except by direct means',100,2,3),
(320024,10046821,'Applies Luminous Elixir when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(320025,10046821,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(320026,10046821,'Inflicts 9 magic damage on target',100,2,2),
(320027,10046821,'Cannot be modified except by direct means',100,2,3),
(320028,35325,'Increases STR of target by 6.2',100,0,0),
(320029,35325,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(320030,82042,'When Equipped:',100,0,0),
(320031,82042,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320032,82042,'Decreases Threat to target by 641 ',100,2,2),
(320033,82042,'Must be flanking or behind',100,3,3),
(320034,82042,'Increases Threat to target by 641 ',100,2,4),
(320035,82042,'Must be in front of',100,3,5),
(320036,82042,'Inflicts 138 - 257 magic damage on target',100,2,6),
(320037,82042,'Cannot be modified except by direct means',100,2,7),
(320038,10082042,'When Equipped:',100,0,0),
(320039,10082042,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320040,10082042,'Inflicts 180 - 334 magic damage on target',100,2,2),
(320041,10082042,'Cannot be modified except by direct means',100,2,3),
(320042,46993,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(320043,46993,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(320044,46993,'Inflicts 61 poison damage on target instantly and every 6 seconds',100,2,2),
(320045,46993,'Inflicts 119 poison damage on target',100,2,3),
(320046,46993,'Cannot be modified except by direct means',100,2,4),
(320047,46993,'Grants a total of 200 triggers of the spell.',100,2,5),
(320048,10046993,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(320049,10046993,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(320050,10046993,'Inflicts 60 poison damage on target instantly and every 6 seconds',100,2,2),
(320051,10046993,'Inflicts 116 poison damage on target',100,2,3),
(320052,10046993,'Cannot be modified except by direct means',100,2,4),
(320053,10046993,'Grants a total of 200 triggers of the spell.',100,2,5),
(320054,114913,'Inflicts 162 - 271 melee damage on target',100,1,0),
(320055,114913,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 646',100,1,1),
(320056,114913,'Must be behind',100,1,2),
(320057,10114913,'Inflicts 211 - 353 melee damage on target',100,1,0),
(320058,10114913,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 323',100,1,1),
(320059,10114913,'Must be behind',100,1,2),
(320060,159820,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(320061,159820,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(320062,159820,'Heals target for 40 instantly and every 4 seconds',100,2,2),
(320063,159820,'Cannot be modified except by direct means',100,2,3),
(320064,10159820,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(320065,10159820,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(320066,10159820,'Heals target for 26 instantly and every 4 seconds',100,2,2),
(320067,10159820,'Cannot be modified except by direct means',100,2,3),
(320068,121343,'Inflicts 11 - 21 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(320069,10121343,'Inflicts 15 - 28 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(320070,81753,'When Equipped:',100,0,0),
(320071,81753,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320072,81753,'Decreases Threat to target by 487 ',100,2,2),
(320073,81753,'Must be flanking or behind',100,3,3),
(320074,81753,'Increases Threat to target by 487 ',100,2,4),
(320075,81753,'Must be in front of',100,3,5),
(320076,81753,'Inflicts 108 - 200 magic damage on target',100,2,6),
(320077,81753,'Cannot be modified except by direct means',100,2,7),
(320078,10081753,'When Equipped:',100,0,0),
(320079,10081753,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320080,10081753,'Inflicts 140 - 260 magic damage on target',100,2,2),
(320081,10081753,'Cannot be modified except by direct means',100,2,3),
(320082,112400,'Increases Crushing, Piercing, Slashing and Ranged of target by 59.0',100,1,0),
(320083,112400,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(320084,112400,'Inflicts 465 - 569 piercing damage on target',100,2,2),
(320085,112400,'Inflicts 233 - 284 piercing damage on target every 3 seconds',100,2,3),
(320086,10112400,'Increases Crushing, Piercing, Slashing and Ranged of target by 59.0',100,1,0),
(320087,10112400,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(320088,10112400,'Inflicts 605 - 740 piercing damage on target',100,2,2),
(320089,10112400,'Inflicts 303 - 370 piercing damage on target every 3 seconds',100,2,3),
(320090,116892,'Wards group members (AE) against 2230 points of noxious damage',100,1,0),
(320091,116892,'Increases Mitigation of group members (AE) vs noxious damage by 1196',100,1,1),
(320092,10116892,'Wards group members (AE) against 2230 points of noxious damage',100,1,0),
(320093,10116892,'Increases Mitigation of group members (AE) vs noxious damage by 1196',100,1,1),
(320094,35128,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(320095,106723,'Heals target for 261 - 318',100,1,0),
(320096,10106723,'Heals target for 306 - 374',100,1,0),
(320097,122210,'Increases Damage Per Second of target by 13.5',100,1,0),
(320098,122210,'Increases Max Health of target by 246.5',100,1,1),
(320099,10122210,'Increases Damage Per Second of target by 13.5',100,1,0),
(320100,10122210,'Increases Max Health of target by 246.5',100,1,1),
(320101,36159,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(320102,35204,'Increases Max Power of target by 68.2',100,0,0),
(320103,35204,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(320104,75001,'When Equipped:',100,0,0),
(320105,75001,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320106,75001,'Inflicts 86 - 129 magic damage on target',100,2,2),
(320107,75001,'Cannot be modified except by direct means',100,2,3),
(320108,10075001,'When Equipped:',100,0,0),
(320109,10075001,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320110,10075001,'Inflicts 112 - 168 magic damage on target',100,2,2),
(320111,10075001,'Cannot be modified except by direct means',100,2,3),
(320112,143514,'When Equipped:',100,0,0),
(320113,143514,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(320114,143514,'Increases Mitigation of target vs elemental and arcane damage by 930',100,2,2),
(320115,143514,'This effect can be stacked by multiple casters.',100,2,3),
(320116,143514,'Increases Mitigation of target vs physical and noxious damage by 930',100,2,4),
(320117,143514,'Cannot be modified except by direct means',100,2,5),
(320118,10143514,'When Equipped:',100,0,0),
(320119,10143514,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(320120,10143514,'Increases Mitigation of target vs elemental and arcane damage by 930',100,2,2),
(320121,10143514,'This effect can be stacked by multiple casters.',100,2,3),
(320122,10143514,'Increases Mitigation of target vs physical and noxious damage by 930',100,2,4),
(320123,10143514,'Cannot be modified except by direct means',100,2,5),
(320124,115652,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 608',100,1,0),
(320125,10115652,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 608',100,1,0),
(320126,120185,'Applies Life Draw on termination.',100,1,0),
(320127,120185,'Inflicts 368 - 613 disease damage on target',100,2,1),
(320128,120185,'Heals caster for 9.4 - 11.5% of max health',100,2,2),
(320129,120185,'This effect cannot be critically applied.',100,3,3),
(320130,120185,'The healing of this spell cannot be modified except by direct means',100,2,4),
(320131,120185,'Inflicts 107 - 178 disease damage on target',100,1,5),
(320132,10120185,'Applies Life Draw on termination.',100,1,0),
(320133,10120185,'Inflicts 478 - 797 disease damage on target',100,2,1),
(320134,10120185,'Heals caster for 2.6 - 3.1% of max health',100,2,2),
(320135,10120185,'This effect cannot be critically applied.',100,3,3),
(320136,10120185,'The healing of this spell cannot be modified except by direct means',100,2,4),
(320137,10120185,'Inflicts 139 - 232 disease damage on target',100,1,5),
(320138,121346,'Inflicts 26 - 32 magic damage on target encounter',100,1,0),
(320139,10121346,'Inflicts 34 - 42 magic damage on target encounter',100,1,0),
(320140,119612,'Inflicts 499 - 831 mental damage on targets in Area of Effect',100,1,0),
(320141,119612,'Stuns targets in Area of Effect',100,1,1),
(320142,119612,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(320143,119612,'Resistibility increases against targets higher than level 79.',100,1,3),
(320144,10119612,'Inflicts 648 - 1080 mental damage on targets in Area of Effect',100,1,0),
(320145,10119612,'Stuns targets in Area of Effect',100,1,1),
(320146,10119612,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(320147,10119612,'Resistibility increases against targets higher than level 79.',100,1,3),
(320148,36600,'Increases AGI and STA of target by 7.8',100,0,0),
(320149,36600,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(320150,121647,'Summons a war boar warder',100,1,0),
(320151,10121647,'Summons a war boar warder',100,1,0),
(320152,109565,'Makes target afraid',100,1,0),
(320153,109565,'30% chance to dispel when target takes damage',100,1,1),
(320154,109565,'Does not affect Epic targets',100,1,2),
(320155,109565,'Resistibility increases against targets higher than level 69.',100,1,3),
(320156,10109565,'Makes target afraid',100,1,0),
(320157,10109565,'30% chance to dispel when target takes damage',100,1,1),
(320158,10109565,'Does not affect Epic targets',100,1,2),
(320159,10109565,'Resistibility increases against targets higher than level 69.',100,1,3),
(320160,48540,'Applies Spray Blood when Activated.',100,0,0),
(320161,48540,'Increases AGI and STA of target by 46.2',100,1,1),
(320162,48540,'Increases STR of target by 46.2',100,1,2),
(320163,48540,'Increases Crushing of target by 20.6',100,1,3),
(320164,10048540,'Applies Spray Blood when Activated.',100,0,0),
(320165,10048540,'Increases AGI and STA of target by 46.2',100,1,1),
(320166,10048540,'Increases STR of target by 46.2',100,1,2),
(320167,10048540,'Increases Crushing of target by 20.6',100,1,3),
(320168,141678,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(320169,141678,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(320170,141678,'Inflicts 54 heat damage on target',100,2,2),
(320171,141678,'Cannot be modified except by direct means',100,2,3),
(320172,10141678,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(320173,10141678,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(320174,10141678,'Inflicts 70 heat damage on target',100,2,2),
(320175,10141678,'Cannot be modified except by direct means',100,2,3),
(320176,100204,'Increases Threat to target encounter by 328 - 401 ',100,1,0),
(320177,100204,'Interrupts target encounter',100,1,1),
(320178,10100204,'Interrupts target encounter',100,1,0),
(320179,10100204,'Forces target encounter to change their selected target to caster.',100,1,1),
(320180,10100204,'Prevents target encounter from changing targets',100,1,2),
(320181,117792,'Mesmerizes target',100,1,0),
(320182,117792,'Prevents AOE (except when direct) ',100,1,1),
(320183,117792,'Dispelled when target takes damage',100,1,2),
(320184,117792,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(320185,117792,'Resistibility increases against targets higher than level 69.',100,1,4),
(320186,10117792,'Mesmerizes target',100,1,0),
(320187,10117792,'Prevents AOE (except when direct) ',100,1,1),
(320188,10117792,'Dispelled when target takes damage',100,1,2),
(320189,10117792,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(320190,10117792,'Resistibility increases against targets higher than level 69.',100,1,4),
(320191,48859,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(320192,48859,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(320193,48859,'Inflicts 40 poison damage on target',100,2,2),
(320194,48859,'Inflicts 104 poison damage on target instantly and every 6 seconds',100,2,3),
(320195,48859,'Cannot be modified except by direct means',100,2,4),
(320196,48859,'Grants a total of 200 triggers of the spell.',100,2,5),
(320197,10048859,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(320198,10048859,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(320199,10048859,'Inflicts 102 poison damage on target instantly and every 6 seconds',100,2,2),
(320200,10048859,'Inflicts 39 poison damage on target',100,2,3),
(320201,10048859,'Cannot be modified except by direct means',100,2,4),
(320202,10048859,'Grants a total of 200 triggers of the spell.',100,2,5),
(320203,113712,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(320204,10113712,'Dispels 57 levels of any hostile effects on group members (AE)',100,1,0),
(320205,36866,'Increases WIS of target by 8.4',100,0,0),
(320206,36866,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(320207,122521,'Heals caster for 17',100,1,0),
(320208,122521,'Inflicts 29 - 48 melee damage on target',100,1,1),
(320209,10122521,'Heals caster for 11',100,1,0),
(320210,10122521,'Inflicts 38 - 63 melee damage on target',100,1,1),
(320211,85339,'Applies Poison Bolt when Activated.',100,0,0),
(320212,85339,'Inflicts 238 - 397 poison damage on target',100,1,1),
(320213,85339,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(320214,10085339,'Applies Poison Bolt when Activated.',100,0,0),
(320215,10085339,'Inflicts 310 - 517 poison damage on target',100,1,1),
(320216,10085339,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(320217,74828,'When Equipped:',100,0,0),
(320218,74828,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320219,74828,'Inflicts 86 - 129 magic damage on target',100,2,2),
(320220,74828,'Cannot be modified except by direct means',100,2,3),
(320221,10074828,'When Equipped:',100,0,0),
(320222,10074828,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320223,10074828,'Inflicts 112 - 168 magic damage on target',100,2,2),
(320224,10074828,'Cannot be modified except by direct means',100,2,3),
(320225,120574,'Inflicts 7892 - 13153 ranged damage on target',100,1,0),
(320226,120574,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(320227,120574,'Blurs vision of target',100,2,2),
(320228,120574,'Stuns target',100,2,3),
(320229,120574,'Throws target back',100,2,4),
(320230,120574,'Does not affect Epic targets',100,2,5),
(320231,120574,'I need to be stealthed!',100,1,6),
(320232,120574,'Requires bow',100,1,7),
(320233,10120574,'Inflicts 4506 - 7511 melee damage on target',100,1,0),
(320234,10120574,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(320235,10120574,'Blurs vision of target',100,2,2),
(320236,10120574,'Stuns target',100,2,3),
(320237,10120574,'Throws target back',100,2,4),
(320238,10120574,'Does not affect Epic targets',100,2,5),
(320239,10120574,'I need to be stealthed!',100,1,6),
(320240,87982,'When Equipped:',100,0,0),
(320241,87982,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(320242,87982,'Increases STR and AGI of caster by 44.0',100,2,2),
(320243,87982,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,3),
(320244,87982,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(320245,87982,'Must not be engaged in pvp combat',100,2,5),
(320246,87982,'Cannot be modified except by direct means',100,2,6),
(320247,87982,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(320248,87982,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(320249,87982,'Increases STR and AGI of caster by 44.0',100,2,9),
(320250,87982,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(320251,87982,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(320252,87982,'Must not be engaged in pvp combat',100,2,12),
(320253,87982,'Cannot be modified except by direct means',100,2,13),
(320254,87982,'Cannot be modified except by direct means',100,1,14),
(320255,10087982,'When Equipped:',100,0,0),
(320256,10087982,'On a healing spell cast this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(320257,10087982,'Increases STR and AGI of caster by 44.0',100,2,2),
(320258,10087982,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,3),
(320259,10087982,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(320260,10087982,'Must not be engaged in pvp combat',100,2,5),
(320261,10087982,'Cannot be modified except by direct means',100,2,6),
(320262,10087982,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(320263,10087982,'On any combat or spell hit this spell may cast Focused Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(320264,10087982,'Increases STR and AGI of caster by 44.0',100,2,9),
(320265,10087982,'Caster will have their chance to hit with a weapon increased by 1.5%',100,2,10),
(320266,10087982,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(320267,10087982,'Must not be engaged in pvp combat',100,2,12),
(320268,10087982,'Cannot be modified except by direct means',100,2,13),
(320269,10087982,'Cannot be modified except by direct means',100,1,14),
(320270,25953,'When Equipped:',100,0,0),
(320271,25953,'Increases all cold damage by up to 20.',100,1,1),
(320272,10025953,'When Equipped:',100,0,0),
(320273,10025953,'Increases all cold damage by up to 20.',100,1,1),
(320274,116398,'Heals target for 225 - 275 instantly and every 2 seconds',100,1,0),
(320275,10116398,'Heals target for 146 - 179 instantly and every 2 seconds',100,1,0),
(320276,102032,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(320277,102032,'Wards target against 742 points of all damage',100,2,1),
(320278,10102032,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(320279,10102032,'Wards target against 742 points of all damage',100,2,1),
(320280,81700,'When Equipped:',100,0,0),
(320281,81700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320282,81700,'Inflicts 70 - 130 magic damage on target',100,2,2),
(320283,81700,'Cannot be modified except by direct means',100,2,3),
(320284,10081700,'When Equipped:',100,0,0),
(320285,10081700,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320286,10081700,'Inflicts 91 - 169 magic damage on target',100,2,2),
(320287,10081700,'Cannot be modified except by direct means',100,2,3),
(320288,119845,'Dazes target',100,1,0),
(320289,119845,'Does not affect Epic targets',100,1,1),
(320290,119845,'Resistibility increases against targets higher than level 78.',100,1,2),
(320291,10119845,'Dazes target',100,1,0),
(320292,10119845,'Does not affect Epic targets',100,1,1),
(320293,10119845,'Resistibility increases against targets higher than level 78.',100,1,2),
(320294,42229,'When Equipped:',100,0,0),
(320295,42229,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(320296,42229,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(320297,42229,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(320298,42229,'Must not be engaged in pvp combat',100,2,4),
(320299,42229,'Cannot be modified except by direct means',100,2,5),
(320300,42229,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(320301,42229,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(320302,42229,'Must not be engaged in pvp combat',100,2,8),
(320303,42229,'Cannot be modified except by direct means',100,2,9),
(320304,42229,'Cannot be modified except by direct means',100,1,10),
(320305,10042229,'When Equipped:',100,0,0),
(320306,10042229,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(320307,10042229,'On a healing spell cast this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(320308,10042229,'Increases Crit Bonus of caster by 11.0%',100,2,3),
(320309,10042229,'Must not be engaged in pvp combat',100,2,4),
(320310,10042229,'Cannot be modified except by direct means',100,2,5),
(320311,10042229,'On any combat or spell hit this spell may cast Magnitude II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(320312,10042229,'Increases Crit Bonus of caster by 11.0%',100,2,7),
(320313,10042229,'Must not be engaged in pvp combat',100,2,8),
(320314,10042229,'Cannot be modified except by direct means',100,2,9),
(320315,10042229,'Cannot be modified except by direct means',100,1,10),
(320316,42833,'When Equipped:',100,0,0),
(320317,42833,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(320318,42833,'Inflicts 2341 - 2587 poison damage on target',100,2,2),
(320319,42833,'Heals caster for 1170 - 1294',100,2,3),
(320320,42833,'Decreases Crushing, Slashing, Piercing and Ranged of target by 22.0',100,2,4),
(320321,42833,'Decreases Mitigation of target vs physical damage by 517',100,2,5),
(320322,42833,'Must not be engaged in pvp combat',100,2,6),
(320323,42833,'Cannot be modified except by direct means',100,2,7),
(320324,42833,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(320325,42833,'Cannot be modified except by direct means',100,1,9),
(320326,10042833,'When Equipped:',100,0,0),
(320327,10042833,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(320328,10042833,'Inflicts 3043 - 3364 poison damage on target',100,2,2),
(320329,10042833,'Heals caster for 1369 - 1514',100,2,3),
(320330,10042833,'Decreases Crushing, Slashing, Piercing and Ranged of target by 22.0',100,2,4),
(320331,10042833,'Decreases Mitigation of target vs physical damage by 517',100,2,5),
(320332,10042833,'Must not be engaged in pvp combat',100,2,6),
(320333,10042833,'Cannot be modified except by direct means',100,2,7),
(320334,10042833,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(320335,10042833,'Cannot be modified except by direct means',100,1,9),
(320336,139414,'Applies Ancestral Fury when Activated.',100,0,0),
(320337,139414,'Changes the wearer into an avenging ghost.',100,1,1),
(320338,139414,'The casting time of Ancestral Fury is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(320339,139414,'When Equipped:',100,0,3),
(320340,139414,'Reduces maximum falling speed of caster',100,1,4),
(320341,10139414,'Applies Ancestral Fury when Activated.',100,0,0),
(320342,10139414,'Changes the wearer into an avenging ghost.',100,1,1),
(320343,10139414,'The casting time of Ancestral Fury is 1.0 second and the reuse time of the spell is 10.0 seconds',100,1,2),
(320344,10139414,'When Equipped:',100,0,3),
(320345,10139414,'Reduces maximum falling speed of caster',100,1,4),
(320346,82316,'When Equipped:',100,0,0),
(320347,82316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320348,82316,'Inflicts 169 - 314 magic damage on target',100,2,2),
(320349,82316,'Cannot be modified except by direct means',100,2,3),
(320350,10082316,'When Equipped:',100,0,0),
(320351,10082316,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320352,10082316,'Inflicts 220 - 409 magic damage on target',100,2,2),
(320353,10082316,'Cannot be modified except by direct means',100,2,3),
(320354,52852,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(320355,52852,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(320356,52852,'Inflicts 123 heat damage on target',100,2,2),
(320357,52852,'Cannot be modified except by direct means',100,2,3),
(320358,10052852,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(320359,10052852,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(320360,10052852,'Inflicts 160 heat damage on target',100,2,2),
(320361,10052852,'Cannot be modified except by direct means',100,2,3),
(320362,159224,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(320363,159224,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(320364,159224,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(320365,159224,'Cannot be modified except by direct means',100,2,3),
(320366,10159224,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(320367,10159224,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(320368,10159224,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(320369,10159224,'Cannot be modified except by direct means',100,2,3),
(320370,100849,'Wards target against 1352 points of all damage',100,1,0),
(320371,10100849,'Wards target against 2080 points of all damage',100,1,0),
(320372,50169,'When Equipped:',100,0,0),
(320373,50169,'On any combat or spell hit this spell may cast Shissar Anguish on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320374,50169,'Inflicts 630 disease damage on target',100,2,2),
(320375,50169,'Cannot be modified except by direct means',100,2,3),
(320376,10050169,'When Equipped:',100,0,0),
(320377,10050169,'On any combat or spell hit this spell may cast Shissar Anguish on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320378,10050169,'Inflicts 819 disease damage on target',100,2,2),
(320379,10050169,'Cannot be modified except by direct means',100,2,3),
(320380,159805,'Applies Sanguine Imbued when Equipped.',100,0,0),
(320381,159805,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(320382,159805,'Inflicts 56 heat damage on target',100,2,2),
(320383,159805,'Cannot be modified except by direct means',100,2,3),
(320384,10159805,'Applies Sanguine Imbued when Equipped.',100,0,0),
(320385,10159805,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(320386,10159805,'Inflicts 73 heat damage on target',100,2,2),
(320387,10159805,'Cannot be modified except by direct means',100,2,3),
(320388,106238,'Inflicts 401 - 1203 melee damage on target',100,1,0),
(320389,106238,'Stifles target',100,1,1),
(320390,106238,'If Target is not Epic',100,2,2),
(320391,106238,'Resistibility increases against targets higher than level 117.',100,1,3),
(320392,10106238,'Inflicts 521 - 1564 melee damage on target',100,1,0),
(320393,10106238,'Stifles target',100,1,1),
(320394,10106238,'If Target is not Epic',100,2,2),
(320395,10106238,'Resistibility increases against targets higher than level 117.',100,1,3),
(320396,70622,'Applies Arbiter''s Exacting when Activated.  Lasts for 15.0 seconds.',100,0,0),
(320397,70622,'Decreases Hate Gain of caster by 11.3 - 13.8%',100,1,1),
(320398,70622,'Prevents AOE (except when direct) ',100,1,2),
(320399,70622,'Increases Potency of caster by 15.0%',100,1,3),
(320400,70622,'The reuse time of Arbiter''s Exacting is 5 minutes',100,1,4),
(320401,10070622,'Applies Arbiter''s Exacting when Activated.  Lasts for 15.0 seconds.',100,0,0),
(320402,10070622,'Prevents AOE (except when direct) ',100,1,1),
(320403,10070622,'Increases Potency of caster by 15.0%',100,1,2),
(320404,10070622,'The reuse time of Arbiter''s Exacting is 5 minutes',100,1,3),
(320405,35987,'Increases STR of target by 6.2',100,0,0),
(320406,35987,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(320407,175476,'When Equipped:',100,0,0),
(320408,175476,'On a combat hit this spell may cast Bane of Slain Pain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320409,175476,'Inflicts 1146 mental damage on target',100,2,2),
(320410,175476,'Cannot be modified except by direct means',100,2,3),
(320411,10175476,'When Equipped:',100,0,0),
(320412,10175476,'On a combat hit this spell may cast Bane of Slain Pain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320413,10175476,'Inflicts 1266 mental damage on target',100,2,2),
(320414,10175476,'Cannot be modified except by direct means',100,2,3),
(320415,116040,'Shapechanges caster into a lion',100,1,0),
(320416,116040,'Increases STA of caster by 38.4',100,1,1),
(320417,116040,'Adds 3.7% to base avoidance.',100,1,2),
(320418,116040,'Grants See Stealth to caster',100,1,3),
(320419,116040,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(320420,10116040,'Shapechanges caster into a lion',100,1,0),
(320421,10116040,'Increases STA of caster by 38.4',100,1,1),
(320422,10116040,'Adds 3.7% to base avoidance.',100,1,2),
(320423,10116040,'Grants See Stealth to caster',100,1,3),
(320424,10116040,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(320425,151013,'When Equipped:',100,0,0),
(320426,151013,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(320427,151013,'Wards target against 2450 points of all damage',100,2,2),
(320428,151013,'Must not be engaged in pvp combat',100,2,3),
(320429,151013,'Cannot be modified except by direct means',100,2,4),
(320430,151013,'Cannot be modified except by direct means',100,1,5),
(320431,10151013,'When Equipped:',100,0,0),
(320432,10151013,'On a healing spell cast this spell may cast Abounding Ward on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(320433,10151013,'Wards target against 2450 points of all damage',100,2,2),
(320434,10151013,'Must not be engaged in pvp combat',100,2,3),
(320435,10151013,'Cannot be modified except by direct means',100,2,4),
(320436,10151013,'Cannot be modified except by direct means',100,1,5),
(320437,120238,'Roots target encounter',100,1,0),
(320438,120238,'15% chance to dispel when target takes damage',100,1,1),
(320439,120238,'Does not affect Epic targets',100,1,2),
(320440,120238,'Resistibility increases against targets higher than level 117.',100,1,3),
(320441,10120238,'Roots target encounter',100,1,0),
(320442,10120238,'15% chance to dispel when target takes damage',100,1,1),
(320443,10120238,'Does not affect Epic targets',100,1,2),
(320444,10120238,'Resistibility increases against targets higher than level 117.',100,1,3),
(320445,112808,'Inflicts 530 - 883 slashing damage on target',100,1,0),
(320446,112808,'Stifles target',100,1,1),
(320447,112808,'If Target is not Epic',100,2,2),
(320448,112808,'You must be in stealth.',100,1,3),
(320449,112808,'Resistibility increases against targets higher than level 91.',100,1,4),
(320450,10112808,'Inflicts 689 - 1148 slashing damage on target',100,1,0),
(320451,10112808,'Stifles target',100,1,1),
(320452,10112808,'If Target is not Epic',100,2,2),
(320453,10112808,'You must be in stealth.',100,1,3),
(320454,10112808,'Resistibility increases against targets higher than level 91.',100,1,4),
(320455,117759,'Increases Max Health of target by 142.0',100,1,0),
(320456,117759,'Increases Slashing and Crushing of target by 3.4',100,1,1),
(320457,117759,'Increases Piercing of target by 6.7',100,1,2),
(320458,10117759,'Increases Max Health of target by 142.0',100,1,0),
(320459,10117759,'Increases Slashing and Crushing of target by 3.4',100,1,1),
(320460,10117759,'Increases Piercing of target by 6.7',100,1,2),
(320461,123373,'Heals group members (AE) for 576 - 703',100,1,0),
(320462,10123373,'Heals group members (AE) for 700 - 856',100,1,0),
(320463,158402,'When Equipped:',100,0,0),
(320464,158402,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(320465,10158402,'When Equipped:',100,0,0),
(320466,10158402,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(320467,116284,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(320468,116284,'Inflicts 400 - 489 disease damage on caster',100,2,1),
(320469,116284,'Inflicts 133 - 163 disease damage on caster every 2 seconds',100,2,2),
(320470,116284,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(320471,116284,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(320472,116284,'Grants a total of 1 trigger of the spell.',100,3,5),
(320473,10116284,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(320474,10116284,'Inflicts 520 - 636 disease damage on caster',100,2,1),
(320475,10116284,'Inflicts 173 - 212 disease damage on caster every 2 seconds',100,2,2),
(320476,10116284,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(320477,10116284,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(320478,10116284,'Grants a total of 1 trigger of the spell.',100,3,5),
(320479,120206,'Decreases STR and INT of target by 81.8',100,1,0),
(320480,120206,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(320481,120206,'Grants a total of 1 trigger of the spell.',100,2,2),
(320482,10120206,'Decreases STR and INT of target by 81.8',100,1,0),
(320483,10120206,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(320484,10120206,'Grants a total of 1 trigger of the spell.',100,2,2),
(320485,118630,'Inflicts 44 - 132 crushing damage on target',100,1,0),
(320486,10118630,'Inflicts 57 - 172 crushing damage on target',100,1,0),
(320487,36850,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(320488,124541,'Dispels 86 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(320489,10124541,'Dispels 86 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(320490,119582,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(320491,10119582,'Increases power of caster by 23 instantly and every 4 seconds',100,1,0),
(320492,87314,'When Equipped:',100,0,0),
(320493,87314,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320494,87314,'Inflicts 73 - 110 magic damage on target',100,2,2),
(320495,87314,'Cannot be modified except by direct means',100,2,3),
(320496,10087314,'When Equipped:',100,0,0),
(320497,10087314,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320498,10087314,'Inflicts 95 - 143 magic damage on target',100,2,2),
(320499,10087314,'Cannot be modified except by direct means',100,2,3),
(320500,104551,'Inflicts 51 - 85 disease damage on target',100,1,0),
(320501,104551,'Decreases WIS of target by 21.6',100,1,1),
(320502,10104551,'Inflicts 66 - 110 disease damage on target',100,1,0),
(320503,10104551,'Decreases WIS of target by 21.6',100,1,1),
(320504,177623,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(320505,177623,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(320506,177623,'Inflicts 59 heat damage on target',100,2,2),
(320507,177623,'Cannot be modified except by direct means',100,2,3),
(320508,10177623,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(320509,10177623,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(320510,10177623,'Inflicts 77 heat damage on target',100,2,2),
(320511,10177623,'Cannot be modified except by direct means',100,2,3),
(320512,102120,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(320513,102120,'Stuns target',100,2,1),
(320514,102120,'Throws target back',100,2,2),
(320515,102120,'Blurs vision of target',100,2,3),
(320516,102120,'Does not affect Epic targets',100,2,4),
(320517,102120,'Inflicts 222 - 370 crushing damage on target',100,1,5),
(320518,10102120,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(320519,10102120,'Stuns target',100,2,1),
(320520,10102120,'Throws target back',100,2,2),
(320521,10102120,'Blurs vision of target',100,2,3),
(320522,10102120,'Does not affect Epic targets',100,2,4),
(320523,10102120,'Inflicts 288 - 481 crushing damage on target',100,1,5),
(320524,162604,'When Equipped:',100,0,0),
(320525,162604,'On a combat hit this spell may cast Strike of the Teir''Dal on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(320526,162604,'Inflicts 464 - 567 poison damage on target',100,2,2),
(320527,162604,'Inflicts 206 - 252 poison damage on target every 3 seconds',100,2,3),
(320528,162604,'Cannot be modified except by direct means',100,2,4),
(320529,162604,'Cannot be modified except by direct means',100,1,5),
(320530,10162604,'When Equipped:',100,0,0),
(320531,10162604,'On a combat hit this spell may cast Strike of the Teir''Dal on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(320532,10162604,'Inflicts 603 - 737 poison damage on target',100,2,2),
(320533,10162604,'Inflicts 268 - 328 poison damage on target every 3 seconds',100,2,3),
(320534,10162604,'Cannot be modified except by direct means',100,2,4),
(320535,10162604,'Cannot be modified except by direct means',100,1,5),
(320536,24024,'Adds Aviak (Templar) to your Dungeon Maker toolbox',100,0,0),
(320537,10024024,'Adds Aviak (Templar) to your Dungeon Maker toolbox',100,0,0),
(320538,110661,'Heals target for 145',100,1,0),
(320539,110661,'Dispels 17 levels of any hostile effects on target',100,1,1),
(320540,10110661,'Heals target for 94',100,1,0),
(320541,10110661,'Dispels 17 levels of any hostile effects on target',100,1,1),
(320542,111755,'Heals caster for 25 - 30',100,1,0),
(320543,111755,'This effect cannot be critically applied.',100,2,1),
(320544,111755,'The healing of this spell cannot be modified except by direct means',100,1,2),
(320545,10111755,'Heals caster for 12 - 15',100,1,0),
(320546,10111755,'This effect cannot be critically applied.',100,2,1),
(320547,10111755,'The healing of this spell cannot be modified except by direct means',100,1,2),
(320548,137387,'When Equipped:',100,0,0),
(320549,137387,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320550,137387,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(320551,137387,'Heals caster for 811 - 1217',100,2,3),
(320552,137387,'Cannot be modified except by direct means',100,2,4),
(320553,137387,'Cannot be modified except by direct means',100,1,5),
(320554,10137387,'When Equipped:',100,0,0),
(320555,10137387,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320556,10137387,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(320557,10137387,'Heals caster for 949 - 1424',100,2,3),
(320558,10137387,'Cannot be modified except by direct means',100,2,4),
(320559,10137387,'Cannot be modified except by direct means',100,1,5),
(320560,110546,'Summons a pet attack hawk',100,1,0),
(320561,10110546,'Summons a pet attack hawk',100,1,0),
(320562,47760,'Applies Siphon when Activated.',100,0,0),
(320563,10047760,'Applies Siphon when Activated.',100,0,0),
(320564,35830,'Increases Max Power of target by 68.2',100,0,0),
(320565,35830,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(320566,45930,'Applies Call Dervish Destrier when Activated.',100,0,0),
(320567,45930,'Increases Slashing of caster by 4.7',100,1,1),
(320568,45930,'Summons a mount to ride',100,1,2),
(320569,45930,'Increases your ground speed by 130%',100,2,3),
(320570,45930,'Increases Piercing, Focus and Crushing of caster by 4.7',100,1,4),
(320571,10045930,'Applies Call Dervish Destrier when Activated.',100,0,0),
(320572,10045930,'Increases Slashing of caster by 4.7',100,1,1),
(320573,10045930,'Summons a mount to ride',100,1,2),
(320574,10045930,'Increases your ground speed by 130%',100,2,3),
(320575,10045930,'Increases Piercing, Focus and Crushing of caster by 4.7',100,1,4),
(320576,124346,'Shapechanges caster into a wolf',100,1,0),
(320577,124346,'Grants See Invisibility to caster',100,1,1),
(320578,124346,'Increases Focus of caster by 67.2',100,1,2),
(320579,124346,'Increases Mitigation of caster vs physical damage by 743',100,1,3),
(320580,124346,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,4),
(320581,10124346,'Shapechanges caster into a wolf',100,1,0),
(320582,10124346,'Grants See Invisibility to caster',100,1,1),
(320583,10124346,'Increases Focus of caster by 67.2',100,1,2),
(320584,10124346,'Increases Mitigation of caster vs physical damage by 743',100,1,3),
(320585,10124346,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',100,1,4),
(320586,48893,'Applies Slate''s Awakening  when Activated.',100,0,0),
(320587,48893,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(320588,10048893,'Applies Slate''s Awakening  when Activated.',100,0,0),
(320589,10048893,'Dispels 28 levels of elemental hostile effects on caster',100,1,1),
(320590,116167,'Increases Attack Speed of caster by 33.1',100,1,0),
(320591,116167,'Increases Damage Per Second of caster by 38.5',100,1,1),
(320592,10116167,'Increases Attack Speed of caster by 33.1',100,1,0),
(320593,10116167,'Increases Damage Per Second of caster by 38.5',100,1,1),
(320594,84031,'Applies Lightning Shock when Activated.',100,0,0),
(320595,84031,'Inflicts 223 - 372 magic damage on target',100,1,1),
(320596,84031,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(320597,10084031,'Applies Lightning Shock when Activated.',100,0,0),
(320598,10084031,'Inflicts 290 - 483 magic damage on target',100,1,1),
(320599,10084031,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(320600,73925,'Applies Holy Strike when Activated.',100,0,0),
(320601,73925,'Inflicts 272 - 454 divine damage on target',100,1,1),
(320602,73925,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(320603,10073925,'Applies Holy Strike when Activated.',100,0,0),
(320604,10073925,'Inflicts 354 - 590 divine damage on target',100,1,1),
(320605,10073925,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(320606,49178,'Applies Xegony''s Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(320607,49178,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(320608,10049178,'Applies Xegony''s Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(320609,10049178,'Increases power of caster by 7 instantly and every 5 seconds',100,1,1),
(320610,82461,'When Equipped:',100,0,0),
(320611,82461,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320612,82461,'Decreases Threat to target by 801 ',100,2,2),
(320613,82461,'Must be flanking or behind',100,3,3),
(320614,82461,'Increases Threat to target by 801 ',100,2,4),
(320615,82461,'Must be in front of',100,3,5),
(320616,82461,'Inflicts 169 - 314 magic damage on target',100,2,6),
(320617,82461,'Cannot be modified except by direct means',100,2,7),
(320618,10082461,'When Equipped:',100,0,0),
(320619,10082461,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320620,10082461,'Inflicts 220 - 408 magic damage on target',100,2,2),
(320621,10082461,'Cannot be modified except by direct means',100,2,3),
(320622,71919,'When Equipped:',100,0,0),
(320623,71919,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(320624,71919,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(320625,71919,'Cannot be modified except by direct means',100,2,3),
(320626,10071919,'When Equipped:',100,0,0),
(320627,10071919,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(320628,10071919,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(320629,10071919,'Cannot be modified except by direct means',100,2,3),
(320630,47210,'Applies Elixir of Subconscious Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(320631,10047210,'Applies Elixir of Subconscious Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(320632,106085,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(320633,10106085,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(320634,40647,'When Equipped:',100,0,0),
(320635,40647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320636,40647,'Inflicts 135 - 203 magic damage on target',100,2,2),
(320637,40647,'Cannot be modified except by direct means',100,2,3),
(320638,10040647,'When Equipped:',100,0,0),
(320639,10040647,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320640,10040647,'Inflicts 176 - 264 magic damage on target',100,2,2),
(320641,10040647,'Cannot be modified except by direct means',100,2,3),
(320642,100802,'Wards target against 929 points of all damage',100,1,0),
(320643,10100802,'Wards target against 1430 points of all damage',100,1,0),
(320644,82134,'When Equipped:',100,0,0),
(320645,82134,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320646,82134,'Decreases Threat to target by 641 ',100,2,2),
(320647,82134,'Must be flanking or behind',100,3,3),
(320648,82134,'Increases Threat to target by 641 ',100,2,4),
(320649,82134,'Must be in front of',100,3,5),
(320650,82134,'Inflicts 138 - 257 magic damage on target',100,2,6),
(320651,82134,'Cannot be modified except by direct means',100,2,7),
(320652,10082134,'When Equipped:',100,0,0),
(320653,10082134,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(320654,10082134,'Inflicts 180 - 334 magic damage on target',100,2,2),
(320655,10082134,'Cannot be modified except by direct means',100,2,3),
(320656,81661,'When Equipped:',100,0,0),
(320657,81661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320658,81661,'Inflicts 111 - 205 magic damage on target',100,2,2),
(320659,81661,'Cannot be modified except by direct means',100,2,3),
(320660,10081661,'When Equipped:',100,0,0),
(320661,10081661,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320662,10081661,'Inflicts 144 - 267 magic damage on target',100,2,2),
(320663,10081661,'Cannot be modified except by direct means',100,2,3),
(320664,109544,'Summons a limited pet to aid the caster',100,1,0),
(320665,10109544,'Summons a limited pet to aid the caster',100,1,0),
(320666,114340,'Dispels 62 levels of noxious hostile effects on target',100,1,0),
(320667,114340,'Heals target for 21.6 - 26.4% of max health',100,1,1),
(320668,114340,'This effect cannot be critically applied.',100,2,2),
(320669,114340,'The healing of this spell cannot be modified except by direct means',100,1,3),
(320670,10114340,'Dispels 62 levels of noxious hostile effects on target',100,1,0),
(320671,10114340,'Heals target for 8.6 - 10.6% of max health',100,1,1),
(320672,10114340,'This effect cannot be critically applied.',100,2,2),
(320673,10114340,'The healing of this spell cannot be modified except by direct means',100,1,3),
(320674,111134,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(320675,111134,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 97',100,1,1),
(320676,111134,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,2),
(320677,10111134,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(320678,10111134,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 97',100,1,1),
(320679,10111134,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,2),
(320680,72242,'When Equipped:',100,0,0),
(320681,72242,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(320682,72242,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(320683,72242,'Cannot be modified except by direct means',100,2,3),
(320684,10072242,'When Equipped:',100,0,0),
(320685,10072242,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(320686,10072242,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(320687,10072242,'Cannot be modified except by direct means',100,2,3),
(320688,115636,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 220',100,1,0),
(320689,10115636,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 220',100,1,0),
(320690,48926,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(320691,48926,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(320692,48926,'Inflicts 56 poison damage on target instantly and every 6 seconds',100,2,2),
(320693,48926,'Inflicts 345 poison damage on target',100,2,3),
(320694,48926,'Cannot be modified except by direct means',100,2,4),
(320695,48926,'Grants a total of 200 triggers of the spell.',100,2,5),
(320696,10048926,'Applies Torrent of the Ages when Activated.  Lasts for 12 hours.',100,0,0),
(320697,10048926,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(320698,10048926,'Inflicts 336 poison damage on target',100,2,2),
(320699,10048926,'Inflicts 55 poison damage on target instantly and every 6 seconds',100,2,3),
(320700,10048926,'Cannot be modified except by direct means',100,2,4),
(320701,10048926,'Grants a total of 200 triggers of the spell.',100,2,5),
(320702,114612,'Decreases WIS of target by 9.2',100,1,0),
(320703,114612,'Inflicts 67 - 111 melee damage on target',100,1,1),
(320704,114612,'You must be sneaking to use this ability.',100,1,2),
(320705,10114612,'Decreases WIS of target by 9.2',100,1,0),
(320706,10114612,'Inflicts 87 - 145 melee damage on target',100,1,1),
(320707,10114612,'You must be sneaking to use this ability.',100,1,2),
(320708,103345,'Inflicts 214 - 261 mental damage on target instantly and every 6 seconds',100,1,0),
(320709,103345,'Applies Migraine on termination.',100,1,1),
(320710,103345,'Inflicts 465 - 630 mental damage on target',100,2,2),
(320711,10103345,'Inflicts 278 - 339 mental damage on target instantly and every 6 seconds',100,1,0),
(320712,10103345,'Applies Migraine on termination.',100,1,1),
(320713,10103345,'Inflicts 605 - 819 mental damage on target',100,2,2),
(320714,45075,'Applies Capture Firefly when Activated.',100,0,0),
(320715,10045075,'Applies Capture Firefly when Activated.',100,0,0),
(320716,118220,'Increases Damage Per Second of group members (AE) by 35.3',100,1,0),
(320717,10118220,'Increases Damage Per Second of group members (AE) by 35.3',100,1,0),
(320718,41854,'When Equipped:',100,0,0),
(320719,41854,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320720,41854,'Inflicts 66 - 81 mental damage on target',100,2,2),
(320721,41854,'Cannot be modified except by direct means',100,2,3),
(320722,10041854,'When Equipped:',100,0,0),
(320723,10041854,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(320724,10041854,'Inflicts 86 - 105 mental damage on target',100,2,2),
(320725,10041854,'Cannot be modified except by direct means',100,2,3),
(320726,119684,'Increases Threat to target encounter by 86 - 105 ',100,1,0),
(320727,104736,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(320728,104736,'Decreases Mitigation of target vs elemental and arcane damage by 869',100,2,1),
(320729,104736,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(320730,104736,'Decreases Mitigation of target vs elemental and arcane damage by 869',100,2,3),
(320731,10104736,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(320732,10104736,'Decreases Mitigation of target vs elemental and arcane damage by 869',100,2,1),
(320733,10104736,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(320734,10104736,'Decreases Mitigation of target vs elemental and arcane damage by 869',100,2,3),
(320735,47473,'Applies Call Palomino when Activated.',100,0,0),
(320736,47473,'Increases Foresting and Fishing of caster by 23.8',100,1,1),
(320737,47473,'Summons a mount to ride',100,1,2),
(320738,47473,'Increases your ground speed by 130%',100,2,3),
(320739,47473,'Increases Gathering, Mining, Transmuting and Trapping of caster by 23.8',100,1,4),
(320740,10047473,'Applies Call Palomino when Activated.',100,0,0),
(320741,10047473,'Increases Foresting and Fishing of caster by 23.8',100,1,1),
(320742,10047473,'Summons a mount to ride',100,1,2),
(320743,10047473,'Increases your ground speed by 130%',100,2,3),
(320744,10047473,'Increases Gathering, Mining, Transmuting and Trapping of caster by 23.8',100,1,4),
(320745,133812,'When Equipped:',100,0,0),
(320746,133812,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320747,133812,'Inflicts 2664 cold damage on target encounter',100,2,2),
(320748,133812,'Must not be engaged in pvp combat',100,2,3),
(320749,133812,'Cannot be modified except by direct means',100,2,4),
(320750,133812,'Must not be engaged in pvp combat',100,1,5),
(320751,10133812,'When Equipped:',100,0,0),
(320752,10133812,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320753,10133812,'Inflicts 1732 cold damage on target encounter',100,2,2),
(320754,10133812,'Must not be engaged in pvp combat',100,2,3),
(320755,10133812,'Cannot be modified except by direct means',100,2,4),
(320756,10133812,'Must not be engaged in pvp combat',100,1,5),
(320757,100804,'Wards target against 1341 points of all damage',100,1,0),
(320758,10100804,'Wards target against 2064 points of all damage',100,1,0),
(320759,120823,'Inflicts 13 - 18 disease damage on target instantly and every second',100,1,0),
(320760,10120823,'Inflicts 24 - 32 disease damage on target',100,1,0),
(320761,10120823,'Inflicts 17 - 23 disease damage on target every second',100,1,1),
(320762,158323,'When Equipped:',100,0,0),
(320763,158323,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(320764,158323,'This effect suspends during combat',100,1,2),
(320765,10158323,'When Equipped:',100,0,0),
(320766,10158323,'Increases Out-of-Combat Power Regeneration of caster by 5.0',100,1,1),
(320767,10158323,'This effect suspends during combat',100,1,2),
(320768,88637,'When Equipped:',100,0,0),
(320769,88637,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320770,88637,'Inflicts 1192 disease damage on target encounter',100,2,2),
(320771,88637,'Must not be engaged in pvp combat',100,2,3),
(320772,88637,'Cannot be modified except by direct means',100,2,4),
(320773,10088637,'When Equipped:',100,0,0),
(320774,10088637,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320775,10088637,'Inflicts 775 disease damage on target encounter',100,2,2),
(320776,10088637,'Must not be engaged in pvp combat',100,2,3),
(320777,10088637,'Cannot be modified except by direct means',100,2,4),
(320778,117873,'Heals target for 205 - 250 instantly and every 2 seconds',100,1,0),
(320779,10117873,'Heals target for 133 - 163 instantly and every 2 seconds',100,1,0),
(320780,188525,'When Equipped:',100,0,0),
(320781,188525,'Adds 5% Spell and Combat Art reuse speed bonus to Aria of Magic VI and Riana''s Relentless Tune VII.',100,1,1),
(320782,188525,'When Equipped:',100,0,2),
(320783,188525,'Increases poison trigger chance by 5.0%',100,1,3),
(320784,10188525,'When Equipped:',100,0,0),
(320785,10188525,'Adds 5% Spell and Combat Art reuse speed bonus to Aria of Magic VI and Riana''s Relentless Tune VII.',100,1,1),
(320786,10188525,'When Equipped:',100,0,2),
(320787,10188525,'Increases poison trigger chance by 5.0%',100,1,3),
(320788,124837,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1529',100,1,0),
(320789,10124837,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1529',100,1,0),
(320790,103588,'Increases Mitigation of caster vs physical damage by 529',100,1,0),
(320791,10103588,'Increases Mitigation of caster vs physical damage by 529',100,1,0),
(320792,24409,'Adds Goatman (Guardian) to your Dungeon Maker toolbox',100,0,0),
(320793,10024409,'Adds Goatman (Guardian) to your Dungeon Maker toolbox',100,0,0),
(320794,122658,'Decreases Defense of target by 9.2',100,1,0),
(320795,122658,'Decreases Mitigation of target vs physical damage by 154',100,1,1),
(320796,10122658,'Decreases Defense of target by 9.2',100,1,0),
(320797,10122658,'Decreases Mitigation of target vs physical damage by 154',100,1,1),
(320798,118179,'Resurrects target with 14% health and power',100,1,0),
(320799,118179,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(320800,118179,'Decreases Attack Speed of target by 20.0',100,2,2),
(320801,118179,'If not between levels 1 - 6',100,3,3),
(320802,118179,'Decreases All Attributes of target by 20.0%',100,2,4),
(320803,118179,'If not between levels 1 - 6',100,3,5),
(320804,118179,'Decreases All Attributes of target by 5.0%',100,2,6),
(320805,118179,'If between levels 1 - 6',100,3,7),
(320806,118179,'Decreases Attack Speed of target by 5.0',100,2,8),
(320807,118179,'If between levels 1 - 6',100,3,9),
(320808,118179,'If outside an arena',100,1,10),
(320809,10118179,'Resurrects target with 14% health and power',100,1,0),
(320810,10118179,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',100,1,1),
(320811,10118179,'Decreases Attack Speed of target by 20.0',100,2,2),
(320812,10118179,'If not between levels 1 - 6',100,3,3),
(320813,10118179,'Decreases All Attributes of target by 20.0%',100,2,4),
(320814,10118179,'If not between levels 1 - 6',100,3,5),
(320815,10118179,'Decreases All Attributes of target by 5.0%',100,2,6),
(320816,10118179,'If between levels 1 - 6',100,3,7),
(320817,10118179,'Decreases Attack Speed of target by 5.0',100,2,8),
(320818,10118179,'If between levels 1 - 6',100,3,9),
(320819,10118179,'If outside an arena',100,1,10),
(320820,163564,'When Equipped:',100,0,0),
(320821,163564,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(320822,163564,'When Equipped:',100,0,2),
(320823,163564,'Reduces reuse time of beneficial spells by 1 percent.',100,1,3),
(320824,10163564,'When Equipped:',100,0,0),
(320825,10163564,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(320826,10163564,'When Equipped:',100,0,2),
(320827,10163564,'Reduces reuse time of beneficial spells by 1 percent.',100,1,3),
(320828,46457,'Applies Fill when Activated.',100,0,0),
(320829,46457,'This effect cannot be cast during combat',100,1,1),
(320830,10046457,'Applies Fill when Activated.',100,0,0),
(320831,10046457,'This effect cannot be cast during combat',100,1,1),
(320832,110441,'Dazes targets in Area of Effect',100,1,0),
(320833,110441,'If Target is not Epic',100,2,1),
(320834,110441,'Decreases Threat to targets in Area of Effect by 1,152 ',100,1,2),
(320835,110441,'Dispelled when target receives hostile action',100,1,3),
(320836,110441,'Dispelled when target takes damage',100,1,4),
(320837,10110441,'Dazes targets in Area of Effect',100,1,0),
(320838,10110441,'If Target is not Epic',100,2,1),
(320839,10110441,'Applies Distract.',100,1,2),
(320840,10110441,'Forces target to clear their selected target.',100,2,3),
(320841,10110441,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(320842,10110441,'Dispelled when target receives hostile action',100,1,5),
(320843,10110441,'Dispelled when target takes damage',100,1,6),
(320844,141826,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(320845,141826,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(320846,141826,'Inflicts 40 heat damage on target',100,2,2),
(320847,141826,'Cannot be modified except by direct means',100,2,3),
(320848,10141826,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(320849,10141826,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(320850,10141826,'Inflicts 51 heat damage on target',100,2,2),
(320851,10141826,'Cannot be modified except by direct means',100,2,3),
(320852,144175,'When Equipped:',100,0,0),
(320853,144175,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(320854,10144175,'When Equipped:',100,0,0),
(320855,10144175,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(320856,122576,'Inflicts 10 - 13 mental damage on target instantly and every 3 seconds',100,1,0),
(320857,122576,'Decreases Mitigation of target vs arcane damage by 123',100,1,1),
(320858,10122576,'Inflicts 14 - 17 mental damage on target instantly and every 3 seconds',100,1,0),
(320859,10122576,'Decreases Mitigation of target vs arcane damage by 123',100,1,1),
(320860,117136,'Inflicts 104 - 127 heat damage on target instantly and every 4 seconds',100,1,0),
(320861,117136,'Decreases Mitigation of target vs arcane damage by 561',100,1,1),
(320862,10117136,'Inflicts 136 - 166 heat damage on target instantly and every 4 seconds',100,1,0),
(320863,10117136,'Decreases Mitigation of target vs arcane damage by 561',100,1,1),
(320864,106148,'Inflicts 234 - 391 divine damage on target encounter',100,1,0),
(320865,106148,'Interrupts target encounter',100,1,1),
(320866,10106148,'Inflicts 305 - 508 divine damage on target encounter',100,1,0),
(320867,10106148,'Interrupts target encounter',100,1,1),
(320868,157437,'When Equipped:',100,0,0),
(320869,157437,'Increases caster''s chance to block by 5.0%',100,1,1),
(320870,10157437,'When Equipped:',100,0,0),
(320871,10157437,'Increases caster''s chance to block by 5.0%',100,1,1),
(320872,108569,'Makes target afraid',100,1,0),
(320873,108569,'30% chance to dispel when target takes damage',100,1,1),
(320874,108569,'Does not affect Epic targets',100,1,2),
(320875,108569,'Resistibility increases against targets higher than level 116.',100,1,3),
(320876,10108569,'Makes target afraid',100,1,0),
(320877,10108569,'30% chance to dispel when target takes damage',100,1,1),
(320878,10108569,'Does not affect Epic targets',100,1,2),
(320879,10108569,'Resistibility increases against targets higher than level 116.',100,1,3),
(320880,24122,'Adds Clockwork Copter (Monk) to your Dungeon Maker toolbox',100,0,0),
(320881,10024122,'Adds Clockwork Copter (Monk) to your Dungeon Maker toolbox',100,0,0),
(320882,111350,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(320883,111350,'Inflicts 710 - 867 mental damage on target',100,2,1),
(320884,111350,'Grants a total of 3 triggers of the spell.',100,2,2),
(320885,10111350,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(320886,10111350,'Inflicts 922 - 1127 mental damage on target',100,2,1),
(320887,10111350,'Grants a total of 3 triggers of the spell.',100,2,2),
(320888,108703,'Inflicts 560 heat damage on target',100,1,0),
(320889,108703,'Inflicts 125 heat damage on target every 4 seconds',100,1,1),
(320890,10108703,'Inflicts 1019 heat damage on target',100,1,0),
(320891,10108703,'Inflicts 163 heat damage on target every 4 seconds',100,1,1),
(320892,110683,'Heals target for 647',100,1,0),
(320893,110683,'Dispels 57 levels of any hostile effects on target',100,1,1),
(320894,10110683,'Heals target for 421',100,1,0),
(320895,10110683,'Dispels 57 levels of any hostile effects on target',100,1,1),
(320896,47623,'Applies Power Root when Activated.',100,0,0),
(320897,47623,'Increases power of caster by 18.0%',100,1,1),
(320898,10047623,'Applies Power Root when Activated.',100,0,0),
(320899,10047623,'Increases power of caster by 18.0%',100,1,1),
(320900,105374,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(320901,105374,'Inflicts 50 melee damage on target',100,2,1),
(320902,105374,'Interrupts target',100,2,2),
(320903,105374,'Decreases Defense of caster by 12.3',100,1,3),
(320904,105374,'Increases Piercing, Slashing, Ranged and Crushing of caster by 22.1',100,1,4),
(320905,10105374,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(320906,10105374,'Inflicts 65 melee damage on target',100,2,1),
(320907,10105374,'Interrupts target',100,2,2),
(320908,10105374,'Decreases Defense of caster by 12.3',100,1,3),
(320909,10105374,'Increases Piercing, Slashing, Ranged and Crushing of caster by 22.1',100,1,4),
(320910,119794,'Inflicts 96 - 161 melee damage on target',100,1,0),
(320911,119794,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(320912,119794,'Grants stealth to caster',100,2,2),
(320913,119794,'Suspends caster''s movement speed enhancements',100,2,3),
(320914,119794,'Must be flanking or behind',100,1,4),
(320915,10119794,'Inflicts 126 - 210 melee damage on target',100,1,0),
(320916,10119794,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(320917,10119794,'Grants stealth to caster',100,2,2),
(320918,10119794,'Suspends caster''s movement speed enhancements',100,2,3),
(320919,10119794,'Must be flanking or behind',100,1,4),
(320920,184686,'When Equipped:',100,0,0),
(320921,184686,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(320922,184686,'Increases Damage Per Second of caster by 10.0',100,2,2),
(320923,184686,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(320924,184686,'Cannot be modified except by direct means',100,2,4),
(320925,10184686,'When Equipped:',100,0,0),
(320926,10184686,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(320927,10184686,'Increases Damage Per Second of caster by 10.0',100,2,2),
(320928,10184686,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(320929,10184686,'Cannot be modified except by direct means',100,2,4),
(320930,120920,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(320931,120920,'Inflicts 209 - 256 mental damage on target',100,2,1),
(320932,120920,'Grants a total of 3 triggers of the spell.',100,2,2),
(320933,10120920,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(320934,10120920,'Inflicts 272 - 333 mental damage on target',100,2,1),
(320935,10120920,'Grants a total of 3 triggers of the spell.',100,2,2),
(320936,109239,'Increases INT and WIS of group members (AE) by 29.5',100,1,0),
(320937,109239,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 84',100,1,1),
(320938,10109239,'Increases INT and WIS of group members (AE) by 29.5',100,1,0),
(320939,10109239,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 84',100,1,1),
(320940,36334,'Increases STA of target by 14.9',100,0,0),
(320941,36334,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(320942,143352,'Applies Knowledge of the Dar Brood when Activated.  Lasts for 10 minutes.',100,0,0),
(320943,143352,'On any combat or spell hit this spell will cast Memory of the Dar Brood on target of attack.  ',100,1,1),
(320944,143352,'Inflicts 227 mental damage on target',100,2,2),
(320945,143352,'If target is of the Dar Brood',100,3,3),
(320946,143352,'Cannot be modified except by direct means',100,2,4),
(320947,143352,'Grants a total of 1 trigger of the spell.',100,2,5),
(320948,143352,'The casting time of Knowledge of the Dar Brood is 5.0 seconds and the reuse time of the spell is 2 hours',100,1,6),
(320949,10143352,'Applies Knowledge of the Dar Brood when Activated.  Lasts for 10 minutes.',100,0,0),
(320950,10143352,'On any combat or spell hit this spell will cast Memory of the Dar Brood on target of attack.  ',100,1,1),
(320951,10143352,'Inflicts 294 mental damage on target',100,2,2),
(320952,10143352,'If target is of the Dar Brood',100,3,3),
(320953,10143352,'Cannot be modified except by direct means',100,2,4),
(320954,10143352,'Grants a total of 1 trigger of the spell.',100,2,5),
(320955,10143352,'The casting time of Knowledge of the Dar Brood is 5.0 seconds and the reuse time of the spell is 2 hours',100,1,6),
(320956,118641,'Inflicts 12 - 21 slashing damage on target',100,1,0),
(320957,10118641,'Inflicts 16 - 27 slashing damage on target',100,1,0),
(320958,110454,'Dazes targets in Area of Effect',100,1,0),
(320959,110454,'If Target is not Epic',100,2,1),
(320960,110454,'Decreases Threat to targets in Area of Effect by 2,886 ',100,1,2),
(320961,110454,'Dispelled when target receives hostile action',100,1,3),
(320962,110454,'Dispelled when target takes damage',100,1,4),
(320963,10110454,'Dazes targets in Area of Effect',100,1,0),
(320964,10110454,'If Target is not Epic',100,2,1),
(320965,10110454,'Applies Distract.',100,1,2),
(320966,10110454,'Forces target to clear their selected target.',100,2,3),
(320967,10110454,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(320968,10110454,'Dispelled when target receives hostile action',100,1,5),
(320969,10110454,'Dispelled when target takes damage',100,1,6),
(320970,79793,'When Equipped:',100,0,0),
(320971,79793,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320972,79793,'Inflicts 1986 piercing damage on target',100,2,2),
(320973,79793,'Cannot be modified except by direct means',100,2,3),
(320974,10079793,'When Equipped:',100,0,0),
(320975,10079793,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(320976,10079793,'Inflicts 1291 piercing damage on target',100,2,2),
(320977,10079793,'Cannot be modified except by direct means',100,2,3),
(320978,120619,'Inflicts 344 - 640 heat damage on target',100,1,0),
(320979,10120619,'Inflicts 448 - 831 heat damage on target',100,1,0),
(320980,122740,'Applies Tranquil Healing.',100,1,0),
(320981,122740,'Heals target for 956',100,2,1),
(320982,122740,'Dispels 138 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(320983,122740,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(320984,122740,'Heals target for 956',100,3,4),
(320985,10122740,'Applies Tranquil Healing.',100,1,0),
(320986,10122740,'Heals target for 385',100,2,1),
(320987,10122740,'Dispels 138 levels of any hostile effects on target instantly and every 15 seconds',100,1,2),
(320988,10122740,'Casts Tranquil Healing for each successful Dispel.',100,1,3),
(320989,10122740,'Heals target for 385',100,3,4),
(320990,118244,'Applies Blessed Strike on termination.',100,1,0),
(320991,118244,'Inflicts 38 - 64 divine damage on target',100,2,1),
(320992,118244,'Inflicts 15 - 26 divine damage on target',100,1,2),
(320993,10118244,'Applies Blessed Strike on termination.',100,1,0),
(320994,10118244,'Inflicts 50 - 83 divine damage on target',100,2,1),
(320995,10118244,'Inflicts 20 - 34 divine damage on target',100,1,2),
(320996,162728,'Applies Unstable Magics when Equipped.',100,0,0),
(320997,162728,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(320998,10162728,'Applies Unstable Magics when Equipped.',100,0,0),
(320999,10162728,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(321000,26978,'When Equipped:',100,0,0),
(321001,26978,'Increases all mental damage by up to 45.',100,1,1),
(321002,10026978,'When Equipped:',100,0,0),
(321003,10026978,'Increases all mental damage by up to 45.',100,1,1),
(321004,86233,'When Equipped:',100,0,0),
(321005,86233,'Increases damage of all crafted poisons by 10 percent.',100,1,1),
(321006,10086233,'When Equipped:',100,0,0),
(321007,10086233,'Increases damage of all crafted poisons by 10 percent.',100,1,1),
(321008,113828,'Inflicts 229 - 382 disease damage on target',100,1,0),
(321009,10113828,'Inflicts 298 - 497 disease damage on target',100,1,0),
(321010,105364,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(321011,105364,'Inflicts 12 melee damage on target',100,2,1),
(321012,105364,'Interrupts target',100,2,2),
(321013,105364,'Decreases Defense of caster by 3.9',100,1,3),
(321014,105364,'Increases Piercing, Slashing, Ranged and Crushing of caster by 5.6',100,1,4),
(321015,10105364,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(321016,10105364,'Inflicts 15 melee damage on target',100,2,1),
(321017,10105364,'Interrupts target',100,2,2),
(321018,10105364,'Decreases Defense of caster by 3.9',100,1,3),
(321019,10105364,'Increases Piercing, Slashing, Ranged and Crushing of caster by 5.6',100,1,4),
(321020,114606,'Decreases WIS of target by 6.7',100,1,0),
(321021,114606,'Inflicts 19 - 32 melee damage on target',100,1,1),
(321022,114606,'You must be sneaking to use this ability.',100,1,2),
(321023,10114606,'Decreases WIS of target by 6.7',100,1,0),
(321024,10114606,'Inflicts 25 - 42 melee damage on target',100,1,1),
(321025,10114606,'You must be sneaking to use this ability.',100,1,2),
(321026,81524,'When Equipped:',100,0,0),
(321027,81524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321028,81524,'Inflicts 112 - 208 magic damage on target',100,2,2),
(321029,81524,'Cannot be modified except by direct means',100,2,3),
(321030,10081524,'When Equipped:',100,0,0),
(321031,10081524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321032,10081524,'Inflicts 146 - 271 magic damage on target',100,2,2),
(321033,10081524,'Cannot be modified except by direct means',100,2,3),
(321034,159140,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(321035,159140,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(321036,159140,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(321037,159140,'Cannot be modified except by direct means',100,2,3),
(321038,10159140,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(321039,10159140,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(321040,10159140,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(321041,10159140,'Cannot be modified except by direct means',100,2,3),
(321042,45624,'Applies Elixir of Mythical Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(321043,45624,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(321044,10045624,'Applies Elixir of Mythical Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(321045,10045624,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(321046,72042,'When Equipped:',100,0,0),
(321047,72042,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321048,72042,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(321049,72042,'Cannot be modified except by direct means',100,2,3),
(321050,10072042,'When Equipped:',100,0,0),
(321051,10072042,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321052,10072042,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(321053,10072042,'Cannot be modified except by direct means',100,2,3),
(321054,47475,'Applies Call Elddarian Charger when Activated.',100,0,0),
(321055,47475,'Summons a mount to ride',100,1,1),
(321056,47475,'Increases your ground speed by 130%',100,2,2),
(321057,10047475,'Applies Call Elddarian Charger when Activated.',100,0,0),
(321058,10047475,'Summons a mount to ride',100,1,1),
(321059,10047475,'Increases your ground speed by 130%',100,2,2),
(321060,47927,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(321061,47927,'Increases AGI of caster by 165.0',100,1,1),
(321062,47927,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(321063,10047927,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(321064,10047927,'Increases AGI of caster by 165.0',100,1,1),
(321065,10047927,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(321066,164766,'When Equipped:',100,0,0),
(321067,164766,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(321068,164766,'Stuns target',100,2,2),
(321069,164766,'Throws target back',100,2,3),
(321070,164766,'Does not affect Epic targets',100,2,4),
(321071,164766,'Resistibility increases against targets higher than level 92.',100,2,5),
(321072,164766,'Cannot be modified except by direct means',100,2,6),
(321073,10164766,'When Equipped:',100,0,0),
(321074,10164766,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(321075,10164766,'Stuns target',100,2,2),
(321076,10164766,'Throws target back',100,2,3),
(321077,10164766,'Does not affect Epic targets',100,2,4),
(321078,10164766,'Resistibility increases against targets higher than level 92.',100,2,5),
(321079,10164766,'Cannot be modified except by direct means',100,2,6),
(321080,108391,'Heals target for 158 - 193',100,1,0),
(321081,10108391,'Heals target for 188 - 230',100,1,0),
(321082,117184,'Inflicts 94 poison damage on target instantly and every 4 seconds',100,1,0),
(321083,117184,'Decreases WIS of target by 75.0',100,1,1),
(321084,10117184,'Inflicts 122 poison damage on target instantly and every 4 seconds',100,1,0),
(321085,10117184,'Decreases WIS of target by 75.0',100,1,1),
(321086,106092,'Inflicts 258 - 430 melee damage on target',100,1,0),
(321087,106092,'Decreases Mitigation of target vs physical damage by 950',100,1,1),
(321088,106092,'Must be behind',100,1,2),
(321089,10106092,'Inflicts 335 - 559 melee damage on target',100,1,0),
(321090,10106092,'Decreases Mitigation of target vs physical damage by 238',100,1,1),
(321091,10106092,'Must be behind',100,1,2),
(321092,110702,'Heals target for 103 - 125',100,1,0),
(321093,10110702,'Heals target for 67 - 82',100,1,0),
(321094,148412,'When Equipped:',100,0,0),
(321095,148412,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(321096,148412,'Increases Ability Recovery Speed of caster by 10.0%',100,2,2),
(321097,148412,'This ward regenerates slowly over time.',100,2,3),
(321098,148412,'Wards caster against 1800 points of all damage',100,2,4),
(321099,148412,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,5),
(321100,148412,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,6),
(321101,148412,'Must not be engaged in pvp combat',100,2,7),
(321102,148412,'Cannot be modified except by direct means',100,2,8),
(321103,148412,'Must not be engaged in pvp combat',100,1,9),
(321104,10148412,'When Equipped:',100,0,0),
(321105,10148412,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(321106,10148412,'Increases Ability Recovery Speed of caster by 10.0%',100,2,2),
(321107,10148412,'This ward regenerates slowly over time.',100,2,3),
(321108,10148412,'Wards caster against 1800 points of all damage',100,2,4),
(321109,10148412,'Inflicts 7403 - 8182 piercing damage on target encounter',100,2,5),
(321110,10148412,'Inflicts 823 - 909 piercing damage on target encounter every 3 seconds',100,2,6),
(321111,10148412,'Must not be engaged in pvp combat',100,2,7),
(321112,10148412,'Cannot be modified except by direct means',100,2,8),
(321113,10148412,'Must not be engaged in pvp combat',100,1,9),
(321114,105185,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(321115,105185,'Inflicts 51 - 62 poison damage on target encounter',100,2,1),
(321116,10105185,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(321117,10105185,'Inflicts 66 - 81 poison damage on target encounter',100,2,1),
(321118,168901,'Applies Sacred Knight when Activated.  Lasts for 16.0 seconds.',100,0,0),
(321119,168901,'When the paladin takes damage, they will heal themselves for 110% of the damage amount.',100,1,1),
(321120,168901,'Must not be engaged in pvp combat',100,1,2),
(321121,168901,'Cannot be modified except by direct means',100,1,3),
(321122,168901,'The casting time of Sacred Knight is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(321123,10168901,'Applies Sacred Knight when Activated.  Lasts for 16.0 seconds.',100,0,0),
(321124,10168901,'When the paladin takes damage, they will heal themselves for 110% of the damage amount.',100,1,1),
(321125,10168901,'Must not be engaged in pvp combat',100,1,2),
(321126,10168901,'Cannot be modified except by direct means',100,1,3),
(321127,10168901,'The casting time of Sacred Knight is 0.5 seconds and the reuse time of the spell is 5 minutes',100,1,4),
(321128,103931,'Wards group members (AE) collectively against 1757 total points of all damage',100,1,0),
(321129,10103931,'Wards group members (AE) collectively against 2618 total points of all damage',100,1,0),
(321130,114538,'Heals target for 198 - 241',100,1,0),
(321131,10114538,'Heals target for 257 - 314',100,1,0),
(321132,74636,'When Equipped:',100,0,0),
(321133,74636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321134,74636,'Inflicts 37 - 55 magic damage on target',100,2,2),
(321135,74636,'Cannot be modified except by direct means',100,2,3),
(321136,10074636,'When Equipped:',100,0,0),
(321137,10074636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321138,10074636,'Inflicts 48 - 72 magic damage on target',100,2,2),
(321139,10074636,'Cannot be modified except by direct means',100,2,3),
(321140,105820,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(321141,105820,'Inflicts 97 - 162 disease damage on target',100,2,1),
(321142,10105820,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',100,1,0),
(321143,10105820,'Inflicts 126 - 210 disease damage on target',100,2,1),
(321144,123998,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(321145,123998,'Heals target for 45 - 55',100,2,1),
(321146,123998,'Grants a total of 5 triggers of the spell.',100,2,2),
(321147,10123998,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(321148,10123998,'Heals target for 29 - 36',100,2,1),
(321149,10123998,'Grants a total of 5 triggers of the spell.',100,2,2),
(321150,105975,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(321151,105975,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(321152,105975,'Inflicts 135 - 225 piercing damage on target',100,3,2),
(321153,105975,'Grants a total of 5 triggers of the spell.',100,3,3),
(321154,105975,'Grants a total of 1 trigger of the spell.',100,2,4),
(321155,10105975,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(321156,10105975,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(321157,10105975,'Inflicts 175 - 292 piercing damage on target',100,3,2),
(321158,10105975,'Grants a total of 5 triggers of the spell.',100,3,3),
(321159,10105975,'Grants a total of 1 trigger of the spell.',100,2,4),
(321160,82804,'When Equipped:',100,0,0),
(321161,82804,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321162,82804,'Decreases Threat to target by 1,174 ',100,2,2),
(321163,82804,'Must be flanking or behind',100,3,3),
(321164,82804,'Increases Threat to target by 1,174 ',100,2,4),
(321165,82804,'Must be in front of',100,3,5),
(321166,82804,'Inflicts 237 - 440 magic damage on target',100,2,6),
(321167,82804,'Cannot be modified except by direct means',100,2,7),
(321168,10082804,'When Equipped:',100,0,0),
(321169,10082804,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321170,10082804,'Inflicts 308 - 572 magic damage on target',100,2,2),
(321171,10082804,'Cannot be modified except by direct means',100,2,3),
(321172,113199,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(321173,113199,'Inflicts 18 magic damage on target',100,2,1),
(321174,113199,'Grants a total of 5 triggers of the spell.',100,2,2),
(321175,10113199,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(321176,10113199,'Inflicts 23 magic damage on target',100,2,1),
(321177,10113199,'Grants a total of 5 triggers of the spell.',100,2,2),
(321178,70946,'When Equipped:',100,0,0),
(321179,70946,'On any combat or spell hit this spell may cast Ayonic Hymn on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(321180,70946,'Inflicts 619 - 928 mental damage on target',100,2,2),
(321181,70946,'Increases Crit Chance of caster by 15.0',100,2,3),
(321182,70946,'Cannot be modified except by direct means',100,2,4),
(321183,70946,'Cannot be modified except by direct means',100,1,5),
(321184,70946,'When Equipped:',100,0,6),
(321185,70946,'Applies the effects of Perfection of the Maestro II to all raid members.',100,1,7),
(321186,70946,'When Equipped:',100,0,8),
(321187,70946,'Aria of Magic V will improve hostile spell damage by 10%',100,1,9),
(321188,10070946,'When Equipped:',100,0,0),
(321189,10070946,'On any combat or spell hit this spell may cast Ayonic Hymn on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(321190,10070946,'Inflicts 804 - 1207 mental damage on target',100,2,2),
(321191,10070946,'Increases Crit Chance of caster by 15.0',100,2,3),
(321192,10070946,'Cannot be modified except by direct means',100,2,4),
(321193,10070946,'Cannot be modified except by direct means',100,1,5),
(321194,10070946,'When Equipped:',100,0,6),
(321195,10070946,'Applies the effects of Perfection of the Maestro II to all raid members.',100,1,7),
(321196,10070946,'When Equipped:',100,0,8),
(321197,10070946,'Aria of Magic V will improve hostile spell damage by 10%',100,1,9),
(321198,101371,'Reduces physical damage done to caster by 5%',100,1,0),
(321199,101371,'Adds 2.1% to base avoidance.',100,1,1),
(321200,101371,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(321201,101371,'Increases Aggression of caster by 18.3',100,1,3),
(321202,101371,'Increases Defense and Parry of caster by 29.2',100,1,4),
(321203,101371,'Increases Mitigation of caster vs noxious and arcane damage by 179',100,1,5),
(321204,101371,'Increases Mitigation of caster vs elemental damage by 1786',100,1,6),
(321205,101371,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(321206,10101371,'Reduces physical damage done to caster by 5%',100,1,0),
(321207,10101371,'Adds 2.1% to base avoidance.',100,1,1),
(321208,10101371,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(321209,10101371,'Increases Aggression of caster by 18.3',100,1,3),
(321210,10101371,'Increases Defense and Parry of caster by 29.2',100,1,4),
(321211,10101371,'Increases Mitigation of caster vs noxious and arcane damage by 179',100,1,5),
(321212,10101371,'Increases Mitigation of caster vs elemental damage by 1786',100,1,6),
(321213,10101371,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(321214,111351,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(321215,111351,'Inflicts 558 - 681 mental damage on target',100,2,1),
(321216,111351,'Grants a total of 3 triggers of the spell.',100,2,2),
(321217,10111351,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(321218,10111351,'Inflicts 725 - 886 mental damage on target',100,2,1),
(321219,10111351,'Grants a total of 3 triggers of the spell.',100,2,2),
(321220,110069,'Summons a pet grim sorcerer',100,1,0),
(321221,10110069,'Summons a pet grim sorcerer',100,1,0),
(321222,40636,'When Equipped:',100,0,0),
(321223,40636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321224,40636,'Inflicts 182 - 273 magic damage on target',100,2,2),
(321225,40636,'Cannot be modified except by direct means',100,2,3),
(321226,10040636,'When Equipped:',100,0,0),
(321227,10040636,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321228,10040636,'Inflicts 237 - 355 magic damage on target',100,2,2),
(321229,10040636,'Cannot be modified except by direct means',100,2,3),
(321230,104368,'Summons a pet bouncing baby bear cub',100,1,0),
(321231,10104368,'Summons a pet bouncing baby bear cub',100,1,0),
(321232,120148,'Decreases STR and INT of target by 80.1',100,1,0),
(321233,120148,'Increases STR and INT of caster by 80.1',100,1,1),
(321234,10120148,'Decreases STR and INT of target by 80.1',100,1,0),
(321235,10120148,'Increases STR and INT of caster by 80.1',100,1,1),
(321236,81490,'When Equipped:',100,0,0),
(321237,81490,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321238,81490,'Inflicts 72 - 134 magic damage on target',100,2,2),
(321239,81490,'Cannot be modified except by direct means',100,2,3),
(321240,10081490,'When Equipped:',100,0,0),
(321241,10081490,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321242,10081490,'Inflicts 94 - 174 magic damage on target',100,2,2),
(321243,10081490,'Cannot be modified except by direct means',100,2,3),
(321244,136446,'When Equipped:',100,0,0),
(321245,136446,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(321246,136446,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(321247,136446,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(321248,136446,'Must be classified as a vampire',100,3,4),
(321249,136446,'Inflicts 1031 divine damage on target',100,2,5),
(321250,136446,'Must be classified as a vampire',100,3,6),
(321251,136446,'Inflicts 516 divine damage on target',100,2,7),
(321252,136446,'Must not be classified as a vampire',100,3,8),
(321253,136446,'Cannot be modified except by direct means',100,2,9),
(321254,10136446,'When Equipped:',100,0,0),
(321255,10136446,'Additional equipment with Vampire Bane improves this effect.',100,1,1),
(321256,10136446,'On any combat or spell hit this spell may cast Greater Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(321257,10136446,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(321258,10136446,'Must be classified as a vampire',100,3,4),
(321259,10136446,'Inflicts 1341 divine damage on target',100,2,5),
(321260,10136446,'Must be classified as a vampire',100,3,6),
(321261,10136446,'Inflicts 670 divine damage on target',100,2,7),
(321262,10136446,'Must not be classified as a vampire',100,3,8),
(321263,10136446,'Cannot be modified except by direct means',100,2,9),
(321264,48511,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(321265,48511,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(321266,48511,'Inflicts 17 poison damage on target instantly and every 6 seconds',100,2,2),
(321267,48511,'Inflicts 20 poison damage on target',100,2,3),
(321268,48511,'Cannot be modified except by direct means',100,2,4),
(321269,48511,'Grants a total of 200 triggers of the spell.',100,2,5),
(321270,10048511,'Applies unimaginable agony when Activated.  Lasts for 12 hours.',100,0,0),
(321271,10048511,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(321272,10048511,'Inflicts 17 poison damage on target instantly and every 6 seconds',100,2,2),
(321273,10048511,'Inflicts 19 poison damage on target',100,2,3),
(321274,10048511,'Cannot be modified except by direct means',100,2,4),
(321275,10048511,'Grants a total of 200 triggers of the spell.',100,2,5),
(321276,109225,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 27.1',100,1,0),
(321277,10109225,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 27.1',100,1,0),
(321278,72794,'When Equipped:',100,0,0),
(321279,72794,'On any combat or spell hit this spell may cast Sundering Smash VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(321280,72794,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,2),
(321281,72794,'Stuns target',100,3,3),
(321282,72794,'Throws target back',100,3,4),
(321283,72794,'Blurs vision of target',100,3,5),
(321284,72794,'Does not affect Epic targets',100,3,6),
(321285,72794,'Inflicts 1361 - 1504 heat damage on targets in Area of Effect',100,2,7),
(321286,72794,'Must not be engaged in pvp combat',100,2,8),
(321287,72794,'Cannot be modified except by direct means',100,2,9),
(321288,72794,'Must not be engaged in pvp combat',100,1,10),
(321289,10072794,'When Equipped:',100,0,0),
(321290,10072794,'On any combat or spell hit this spell may cast Sundering Smash VIII on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(321291,10072794,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,2),
(321292,10072794,'Stuns target',100,3,3),
(321293,10072794,'Throws target back',100,3,4),
(321294,10072794,'Blurs vision of target',100,3,5),
(321295,10072794,'Does not affect Epic targets',100,3,6),
(321296,10072794,'Inflicts 1769 - 1955 heat damage on targets in Area of Effect',100,2,7),
(321297,10072794,'Must not be engaged in pvp combat',100,2,8),
(321298,10072794,'Cannot be modified except by direct means',100,2,9),
(321299,10072794,'Must not be engaged in pvp combat',100,1,10),
(321300,120773,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(321301,120773,'Stuns target',100,2,1),
(321302,120773,'Throws target back',100,2,2),
(321303,120773,'Blurs vision of target',100,2,3),
(321304,120773,'Does not affect Epic targets',100,2,4),
(321305,120773,'Inflicts 10 - 16 piercing damage on target',100,1,5),
(321306,10120773,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(321307,10120773,'Stuns target',100,2,1),
(321308,10120773,'Throws target back',100,2,2),
(321309,10120773,'Blurs vision of target',100,2,3),
(321310,10120773,'Does not affect Epic targets',100,2,4),
(321311,10120773,'Inflicts 13 - 21 piercing damage on target',100,1,5),
(321312,106136,'Inflicts 762 - 1270 melee damage on target',100,1,0),
(321313,106136,'Decreases Defense, Parry and Deflection of target by 77.4',100,1,1),
(321314,10106136,'Inflicts 990 - 1651 melee damage on target',100,1,0),
(321315,10106136,'Decreases Defense, Parry and Deflection of target by 77.4',100,1,1),
(321316,181823,'When Equipped:',100,0,0),
(321317,181823,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(321318,181823,'Inflicts 25 divine damage on target',100,2,2),
(321319,181823,'Cannot be modified except by direct means',100,2,3),
(321320,10181823,'When Equipped:',100,0,0),
(321321,10181823,'When any damage is received this spell has a 5% chance to cast Divine Feedback on target''s attacker.  ',100,1,1),
(321322,10181823,'Inflicts 32 divine damage on target',100,2,2),
(321323,10181823,'Cannot be modified except by direct means',100,2,3),
(321324,169109,'When Equipped:',100,0,0),
(321325,169109,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(321326,10169109,'When Equipped:',100,0,0),
(321327,10169109,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(321328,107973,'Increases In-Combat Power Regeneration of group members (AE) by 42.4',100,1,0),
(321329,10107973,'Increases In-Combat Power Regeneration of group members (AE) by 42.4',100,1,0),
(321330,180974,'When Equipped:',100,0,0),
(321331,180974,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(321332,10180974,'When Equipped:',100,0,0),
(321333,10180974,'Increases base Spell and Combat Art damage by 8%.',100,1,1),
(321334,120929,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(321335,120929,'Inflicts 441 - 539 mental damage on target',100,2,1),
(321336,120929,'Grants a total of 3 triggers of the spell.',100,2,2),
(321337,10120929,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(321338,10120929,'Inflicts 574 - 701 mental damage on target',100,2,1),
(321339,10120929,'Grants a total of 3 triggers of the spell.',100,2,2),
(321340,24103,'Adds Chardok: Torture Throne to your Dungeon Maker toolbox',100,0,0),
(321341,10024103,'Adds Chardok: Torture Throne to your Dungeon Maker toolbox',100,0,0),
(321342,74603,'When Equipped:',100,0,0),
(321343,74603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321344,74603,'Inflicts 37 - 55 magic damage on target',100,2,2),
(321345,74603,'Cannot be modified except by direct means',100,2,3),
(321346,10074603,'When Equipped:',100,0,0),
(321347,10074603,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321348,10074603,'Inflicts 48 - 72 magic damage on target',100,2,2),
(321349,10074603,'Cannot be modified except by direct means',100,2,3),
(321350,159340,'When Equipped:',100,0,0),
(321351,159340,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321352,159340,'Increases STR of caster by 11.9',100,2,2),
(321353,159340,'Increases Damage Per Second of caster by 17.0',100,2,3),
(321354,159340,'Cannot be modified except by direct means',100,2,4),
(321355,10159340,'When Equipped:',100,0,0),
(321356,10159340,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321357,10159340,'Increases STR of caster by 11.9',100,2,2),
(321358,10159340,'Increases Damage Per Second of caster by 17.0',100,2,3),
(321359,10159340,'Cannot be modified except by direct means',100,2,4),
(321360,24381,'Adds Froglok-Undead (Guardian) to your Dungeon Maker toolbox',100,0,0),
(321361,10024381,'Adds Froglok-Undead (Guardian) to your Dungeon Maker toolbox',100,0,0),
(321362,80296,'When Equipped:',100,0,0),
(321363,80296,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321364,80296,'Inflicts 56 - 103 magic damage on target',100,2,2),
(321365,80296,'Cannot be modified except by direct means',100,2,3),
(321366,10080296,'When Equipped:',100,0,0),
(321367,10080296,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321368,10080296,'Inflicts 72 - 134 magic damage on target',100,2,2),
(321369,10080296,'Cannot be modified except by direct means',100,2,3),
(321370,106140,'Inflicts 916 - 1528 melee damage on target',100,1,0),
(321371,106140,'Decreases Defense, Parry and Deflection of target by 90.2',100,1,1),
(321372,10106140,'Inflicts 1192 - 1986 melee damage on target',100,1,0),
(321373,10106140,'Decreases Defense, Parry and Deflection of target by 90.2',100,1,1),
(321374,159044,'When Equipped:',100,0,0),
(321375,159044,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(321376,159044,'Increases AGI of caster by 5.8',100,2,2),
(321377,159044,'Increases Attack Speed of caster by 11.5',100,2,3),
(321378,159044,'Cannot be modified except by direct means',100,2,4),
(321379,10159044,'When Equipped:',100,0,0),
(321380,10159044,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(321381,10159044,'Increases AGI of caster by 5.8',100,2,2),
(321382,10159044,'Increases Attack Speed of caster by 11.5',100,2,3),
(321383,10159044,'Cannot be modified except by direct means',100,2,4),
(321384,121603,'Stuns target encounter',100,1,0),
(321385,121603,'Epic targets gain an immunity to Stun effects of 19.1 seconds and duration is reduced to 2.1 seconds.',100,1,1),
(321386,121603,'Resistibility increases against targets higher than level 100.',100,1,2),
(321387,10121603,'Stuns target encounter',100,1,0),
(321388,10121603,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,1),
(321389,10121603,'Resistibility increases against targets higher than level 100.',100,1,2),
(321390,46093,'Applies Elixir of Mythical Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(321391,46093,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(321392,10046093,'Applies Elixir of Mythical Awareness when Activated.  Lasts for 30 minutes.',100,0,0),
(321393,10046093,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(321394,120406,'Decreases Defense of caster by 23.0',100,1,0),
(321395,120406,'Increases Crushing and Ranged of caster by 41.4',100,1,1),
(321396,120406,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(321397,120406,'Inflicts 270 - 451 heat damage on target',100,2,3),
(321398,120406,'Increases Slashing and Piercing of caster by 41.4',100,1,4),
(321399,10120406,'Decreases Defense of caster by 23.0',100,1,0),
(321400,10120406,'Increases Crushing and Ranged of caster by 41.4',100,1,1),
(321401,10120406,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(321402,10120406,'Inflicts 351 - 586 heat damage on target',100,2,3),
(321403,10120406,'Increases Slashing and Piercing of caster by 41.4',100,1,4),
(321404,136743,'When Equipped:',100,0,0),
(321405,136743,'Increases duration of all songs by 10 percent.',100,1,1),
(321406,10136743,'When Equipped:',100,0,0),
(321407,10136743,'Increases duration of all songs by 10 percent.',100,1,1),
(321408,24117,'Adds Clockwork Assembler (Templar) to your Dungeon Maker toolbox',100,0,0),
(321409,10024117,'Adds Clockwork Assembler (Templar) to your Dungeon Maker toolbox',100,0,0),
(321410,25593,'When Equipped:',100,0,0),
(321411,25593,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(321412,25593,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(321413,10025593,'When Equipped:',100,0,0),
(321414,10025593,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(321415,10025593,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(321416,40401,'When Equipped:',100,0,0),
(321417,40401,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321418,40401,'Slows target by 20.0%',100,2,2),
(321419,40401,'Cannot be modified except by direct means',100,2,3),
(321420,10040401,'When Equipped:',100,0,0),
(321421,10040401,'On a melee hit this spell may cast Sticky Residue on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321422,10040401,'Slows target by 20.0%',100,2,2),
(321423,10040401,'Cannot be modified except by direct means',100,2,3),
(321424,109561,'Makes target afraid',100,1,0),
(321425,109561,'30% chance to dispel when target takes damage',100,1,1),
(321426,109561,'Does not affect Epic targets',100,1,2),
(321427,109561,'Resistibility increases against targets higher than level 55.',100,1,3),
(321428,10109561,'Makes target afraid',100,1,0),
(321429,10109561,'30% chance to dispel when target takes damage',100,1,1),
(321430,10109561,'Does not affect Epic targets',100,1,2),
(321431,10109561,'Resistibility increases against targets higher than level 55.',100,1,3),
(321432,108863,'Inflicts 146 - 244 melee damage on target',100,1,0),
(321433,108863,'Inflicts 146 - 244 melee damage on target',100,1,1),
(321434,108863,'Inflicts 146 - 244 melee damage on target',100,1,2),
(321435,108863,'Inflicts 146 - 244 melee damage on target',100,1,3),
(321436,108863,'Inflicts 146 - 244 melee damage on target',100,1,4),
(321437,10108863,'Inflicts 190 - 317 melee damage on target',100,1,0),
(321438,10108863,'Inflicts 190 - 317 melee damage on target',100,1,1),
(321439,10108863,'Inflicts 190 - 317 melee damage on target',100,1,2),
(321440,10108863,'Inflicts 190 - 317 melee damage on target',100,1,3),
(321441,10108863,'Inflicts 190 - 317 melee damage on target',100,1,4),
(321442,80329,'When Equipped:',100,0,0),
(321443,80329,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321444,80329,'Inflicts 151 - 280 magic damage on target',100,2,2),
(321445,80329,'Cannot be modified except by direct means',100,2,3),
(321446,10080329,'When Equipped:',100,0,0),
(321447,10080329,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321448,10080329,'Inflicts 196 - 364 magic damage on target',100,2,2),
(321449,10080329,'Cannot be modified except by direct means',100,2,3),
(321450,117130,'Inflicts 70 - 86 heat damage on target instantly and every 4 seconds',100,1,0),
(321451,117130,'Decreases Mitigation of target vs arcane damage by 407',100,1,1),
(321452,10117130,'Inflicts 91 - 112 heat damage on target instantly and every 4 seconds',100,1,0),
(321453,10117130,'Decreases Mitigation of target vs arcane damage by 407',100,1,1),
(321454,116733,'Inflicts 420 - 700 melee damage on target',100,1,0),
(321455,10116733,'Inflicts 546 - 910 melee damage on target',100,1,0),
(321456,114413,'Mesmerizes target',100,1,0),
(321457,114413,'Prevents AOE (except when direct) ',100,1,1),
(321458,114413,'Dispelled when target takes damage',100,1,2),
(321459,114413,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(321460,114413,'Resistibility increases against targets higher than level 67.',100,1,4),
(321461,10114413,'Mesmerizes target',100,1,0),
(321462,10114413,'Prevents AOE (except when direct) ',100,1,1),
(321463,10114413,'Dispelled when target takes damage',100,1,2),
(321464,10114413,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(321465,10114413,'Resistibility increases against targets higher than level 67.',100,1,4),
(321466,102231,'Increases Max Health of group members (AE) by 710.8',100,1,0),
(321467,10102231,'Increases Max Health of group members (AE) by 710.8',100,1,0),
(321468,119992,'Increases Threat to target by 462 - 565 ',100,1,0),
(321469,10119992,'Prevents target from changing targets',100,1,0),
(321470,10119992,'Forces target to change their selected target to caster.',100,1,1),
(321471,102976,'Increases STR and AGI of group members (AE) by 29.9',100,1,0),
(321472,10102976,'Increases STR and AGI of group members (AE) by 29.9',100,1,0),
(321473,114578,'Inflicts 271 - 453 ranged damage on target',100,1,0),
(321474,114578,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(321475,114578,'Requires bow',100,1,2),
(321476,10114578,'Inflicts 253 - 421 ranged damage on target',100,1,0),
(321477,10114578,'Requires you to currently have line of sight or to have acquired the target with line of sight',100,1,1),
(321478,10114578,'Requires bow',100,1,2),
(321479,118789,'Wards group members (AE) against 19 points of physical damage',100,1,0),
(321480,118789,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,1),
(321481,10118789,'Wards group members (AE) against 19 points of physical damage',100,1,0),
(321482,10118789,'Increases Mitigation of group members (AE) vs physical damage by 223',100,1,1),
(321483,88465,'When Equipped:',100,0,0),
(321484,88465,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(321485,88465,'Inflicts 185 - 308 poison damage on target',100,2,2),
(321486,88465,'Cannot be modified except by direct means',100,2,3),
(321487,10088465,'When Equipped:',100,0,0),
(321488,10088465,'On a combat hit this spell may cast Ancient Venom on target of attack.  Triggers about 2.4 times per minute. ',100,1,1),
(321489,10088465,'Inflicts 240 - 400 poison damage on target',100,2,2),
(321490,10088465,'Cannot be modified except by direct means',100,2,3),
(321491,102639,'Inflicts 61 - 102 melee damage on target',100,1,0),
(321492,102639,'Inflicts 26 heat damage on target every 6 seconds',100,1,1),
(321493,10102639,'Inflicts 79 - 132 melee damage on target',100,1,0),
(321494,10102639,'Inflicts 34 heat damage on target every 6 seconds',100,1,1),
(321495,136511,'When Equipped:',100,0,0),
(321496,136511,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(321497,136511,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(321498,136511,'Dispelled when target casts a hostile spell',100,2,3),
(321499,136511,'Dispelled when target casts a combat art',100,2,4),
(321500,136511,'Cannot be modified except by direct means',100,2,5),
(321501,136511,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(321502,136511,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(321503,136511,'Dispelled when target casts a hostile spell',100,2,8),
(321504,136511,'Dispelled when target casts a combat art',100,2,9),
(321505,136511,'Cannot be modified except by direct means',100,2,10),
(321506,10136511,'When Equipped:',100,0,0),
(321507,10136511,'On a critical spell hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(321508,10136511,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,2),
(321509,10136511,'Dispelled when target casts a hostile spell',100,2,3),
(321510,10136511,'Dispelled when target casts a combat art',100,2,4),
(321511,10136511,'Cannot be modified except by direct means',100,2,5),
(321512,10136511,'On a critical combat hit this spell may cast Perfectly Executed Combination on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(321513,10136511,'Increases the damage of group members'' next spell or combat art by up to 1000.',100,2,7),
(321514,10136511,'Dispelled when target casts a hostile spell',100,2,8),
(321515,10136511,'Dispelled when target casts a combat art',100,2,9),
(321516,10136511,'Cannot be modified except by direct means',100,2,10),
(321517,121948,'Inflicts 17 - 28 disease damage on target',100,1,0),
(321518,121948,'Decreases Defense of target by 6.3',100,1,1),
(321519,121948,'Interrupts target',100,1,2),
(321520,10121948,'Inflicts 22 - 36 disease damage on target',100,1,0),
(321521,10121948,'Decreases Defense of target by 6.3',100,1,1),
(321522,10121948,'Interrupts target',100,1,2),
(321523,109712,'Inflicts 51 - 85 cold damage on target',100,1,0),
(321524,109712,'If weapon equipped in Ranged',100,1,1),
(321525,10109712,'Inflicts 38 - 64 cold damage on target',100,1,0),
(321526,10109712,'If weapon equipped in Ranged',100,1,1),
(321527,82942,'When Equipped:',100,0,0),
(321528,82942,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321529,82942,'Decreases Threat to target by 801 ',100,2,2),
(321530,82942,'Must be flanking or behind',100,3,3),
(321531,82942,'Increases Threat to target by 801 ',100,2,4),
(321532,82942,'Must be in front of',100,3,5),
(321533,82942,'Inflicts 220 - 408 magic damage on target',100,2,6),
(321534,82942,'Cannot be modified except by direct means',100,2,7),
(321535,10082942,'When Equipped:',100,0,0),
(321536,10082942,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321537,10082942,'Inflicts 286 - 531 magic damage on target',100,2,2),
(321538,10082942,'Cannot be modified except by direct means',100,2,3),
(321539,108743,'Summons a pet fiery magician',100,1,0),
(321540,10108743,'Summons a pet fiery magician',100,1,0),
(321541,116594,'Inflicts 140 - 234 divine damage on target',100,1,0),
(321542,10116594,'Inflicts 182 - 304 divine damage on target',100,1,0),
(321543,112919,'Increases Damage Per Second of caster by 61.0',100,1,0),
(321544,112919,'Increases Ranged of caster by 28.6',100,1,1),
(321545,10112919,'Increases Damage Per Second of caster by 61.0',100,1,0),
(321546,10112919,'Increases Ranged of caster by 28.6',100,1,1),
(321547,118241,'Applies Blessed Strike on termination.',100,1,0),
(321548,118241,'Inflicts 33 - 55 divine damage on target',100,2,1),
(321549,118241,'Inflicts 13 - 22 divine damage on target',100,1,2),
(321550,10118241,'Applies Blessed Strike on termination.',100,1,0),
(321551,10118241,'Inflicts 43 - 71 divine damage on target',100,2,1),
(321552,10118241,'Inflicts 17 - 29 divine damage on target',100,1,2),
(321553,87264,'When Equipped:',100,0,0),
(321554,87264,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321555,87264,'Inflicts 44 - 66 magic damage on target',100,2,2),
(321556,87264,'Cannot be modified except by direct means',100,2,3),
(321557,10087264,'When Equipped:',100,0,0),
(321558,10087264,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321559,10087264,'Inflicts 57 - 86 magic damage on target',100,2,2),
(321560,10087264,'Cannot be modified except by direct means',100,2,3),
(321561,74570,'When Equipped:',100,0,0),
(321562,74570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321563,74570,'Inflicts 135 - 203 magic damage on target',100,2,2),
(321564,74570,'Cannot be modified except by direct means',100,2,3),
(321565,10074570,'When Equipped:',100,0,0),
(321566,10074570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321567,10074570,'Inflicts 176 - 264 magic damage on target',100,2,2),
(321568,10074570,'Cannot be modified except by direct means',100,2,3),
(321569,26458,'When Equipped:',100,0,0),
(321570,26458,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(321571,26458,'Inflicts 28 piercing damage on target',100,2,2),
(321572,26458,'Cannot be modified except by direct means',100,2,3),
(321573,10026458,'When Equipped:',100,0,0),
(321574,10026458,'When damaged with a melee weapon this spell will cast Barbed Guard on target''s attacker.  ',100,1,1),
(321575,10026458,'Inflicts 36 piercing damage on target',100,2,2),
(321576,10026458,'Cannot be modified except by direct means',100,2,3),
(321577,100656,'Increases AGI, STR and STA of target by 76.5',100,1,0),
(321578,100656,'Adds 2.4% to base avoidance.',100,1,1),
(321579,10100656,'Increases AGI, STR and STA of target by 76.5',100,1,0),
(321580,10100656,'Adds 2.4% to base avoidance.',100,1,1),
(321581,80192,'When Equipped:',100,0,0),
(321582,80192,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321583,80192,'Decreases Threat to target by 801 ',100,2,2),
(321584,80192,'Must be flanking or behind',100,3,3),
(321585,80192,'Increases Threat to target by 801 ',100,2,4),
(321586,80192,'Must be in front of',100,3,5),
(321587,80192,'Inflicts 169 - 314 magic damage on target',100,2,6),
(321588,80192,'Cannot be modified except by direct means',100,2,7),
(321589,10080192,'When Equipped:',100,0,0),
(321590,10080192,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321591,10080192,'Inflicts 220 - 408 magic damage on target',100,2,2),
(321592,10080192,'Cannot be modified except by direct means',100,2,3),
(321593,54431,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(321594,54431,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(321595,54431,'Inflicts 14 heat damage on target',100,2,2),
(321596,54431,'Cannot be modified except by direct means',100,2,3),
(321597,10054431,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(321598,10054431,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(321599,10054431,'Inflicts 18 heat damage on target',100,2,2),
(321600,10054431,'Cannot be modified except by direct means',100,2,3),
(321601,36512,'Increases STA and INT of target by 15.4',100,0,0),
(321602,36512,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(321603,82449,'When Equipped:',100,0,0),
(321604,82449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321605,82449,'Inflicts 169 - 314 magic damage on target',100,2,2),
(321606,82449,'Cannot be modified except by direct means',100,2,3),
(321607,10082449,'When Equipped:',100,0,0),
(321608,10082449,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321609,10082449,'Inflicts 220 - 408 magic damage on target',100,2,2),
(321610,10082449,'Cannot be modified except by direct means',100,2,3),
(321611,107548,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(321612,107548,'Decreases Mitigation of target encounter vs elemental and noxious damage by 847',100,1,1),
(321613,10107548,'Decreases Max Health of target encounter by 1.4%',100,1,0),
(321614,10107548,'Decreases Mitigation of target encounter vs elemental and noxious damage by 847',100,1,1),
(321615,35466,'Increases WIS of target by 10.5',100,0,0),
(321616,35466,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(321617,102568,'Increases AGI of caster by 90.3',100,1,0),
(321618,102568,'Increases Max Health of caster by 312.4',100,1,1),
(321619,102568,'Adds 21.8% to base avoidance.',100,1,2),
(321620,102568,'Increases Mitigation of caster vs physical damage by 539',100,1,3),
(321621,102568,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,4),
(321622,10102568,'Increases AGI of caster by 90.3',100,1,0),
(321623,10102568,'Increases Max Health of caster by 312.4',100,1,1),
(321624,10102568,'Adds 21.8% to base avoidance.',100,1,2),
(321625,10102568,'Increases Mitigation of caster vs physical damage by 539',100,1,3),
(321626,10102568,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,4),
(321627,113122,'Decreases Attack Speed of target encounter by 21.6',100,1,0),
(321628,10113122,'Decreases Attack Speed of target encounter by 21.6',100,1,0),
(321629,137704,'Applies Curse of the Living Dead when Activated.  Lasts for 1 minute.',100,0,0),
(321630,137704,'Inflicts 191 - 234 disease damage on target',100,1,1),
(321631,137704,'Inflicts 106 - 130 disease damage on target every 6 seconds',100,1,2),
(321632,137704,'The casting time of Curse of the Living Dead is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(321633,10137704,'Applies Curse of the Living Dead when Activated.  Lasts for 1 minute.',100,0,0),
(321634,10137704,'Inflicts 248 - 304 disease damage on target',100,1,1),
(321635,10137704,'Inflicts 138 - 169 disease damage on target every 6 seconds',100,1,2),
(321636,10137704,'The casting time of Curse of the Living Dead is 0.5 seconds and the reuse time of the spell is 10 minutes',100,1,3),
(321637,120271,'Inflicts 856 - 1428 crushing damage on target',100,1,0),
(321638,10120271,'Inflicts 1114 - 1856 crushing damage on target',100,1,0),
(321639,115982,'Stuns target',100,1,0),
(321640,115982,'Inflicts 239 - 359 mental damage on target',100,1,1),
(321641,115982,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',100,1,2),
(321642,115982,'Resistibility increases against targets higher than level 84.',100,1,3),
(321643,10115982,'Stuns target',100,1,0),
(321644,10115982,'Inflicts 311 - 467 mental damage on target',100,1,1),
(321645,10115982,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(321646,10115982,'Resistibility increases against targets higher than level 84.',100,1,3),
(321647,104214,'Decreases WIS of target encounter by 27.1',100,1,0),
(321648,104214,'Inflicts 39 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(321649,10104214,'Decreases WIS of target encounter by 27.1',100,1,0),
(321650,10104214,'Inflicts 51 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(321651,80755,'When Equipped:',100,0,0),
(321652,80755,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321653,80755,'Decreases Threat to target by 517 ',100,2,2),
(321654,80755,'Must be flanking or behind',100,3,3),
(321655,80755,'Increases Threat to target by 517 ',100,2,4),
(321656,80755,'Must be in front of',100,3,5),
(321657,80755,'Inflicts 148 - 275 magic damage on target',100,2,6),
(321658,80755,'Cannot be modified except by direct means',100,2,7),
(321659,10080755,'When Equipped:',100,0,0),
(321660,10080755,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321661,10080755,'Inflicts 192 - 357 magic damage on target',100,2,2),
(321662,10080755,'Cannot be modified except by direct means',100,2,3),
(321663,109847,'Inflicts 635 - 1059 melee damage on target',100,1,0),
(321664,109847,'Decreases Parry of target by 70.6',100,1,1),
(321665,109847,'Must be in front of or flanking',100,1,2),
(321666,10109847,'Inflicts 826 - 1377 melee damage on target',100,1,0),
(321667,10109847,'Decreases Parry of target by 70.6',100,1,1),
(321668,10109847,'Must be in front of or flanking',100,1,2),
(321669,49012,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(321670,49012,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(321671,49012,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(321672,49012,'Cannot be modified except by direct means',100,2,3),
(321673,49012,'Grants a total of 80 triggers of the spell.',100,2,4),
(321674,10049012,'Applies unpleasant savagery when Activated.  Lasts for 12 hours.',100,0,0),
(321675,10049012,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(321676,10049012,'Decreases Mitigation of target vs noxious damage by 264',100,2,2),
(321677,10049012,'Cannot be modified except by direct means',100,2,3),
(321678,10049012,'Grants a total of 80 triggers of the spell.',100,2,4),
(321679,119849,'Dazes target',100,1,0),
(321680,119849,'Does not affect Epic targets',100,1,1),
(321681,119849,'Resistibility increases against targets higher than level 93.',100,1,2),
(321682,10119849,'Dazes target',100,1,0),
(321683,10119849,'Does not affect Epic targets',100,1,1),
(321684,10119849,'Resistibility increases against targets higher than level 93.',100,1,2),
(321685,165126,'When Equipped:',100,0,0),
(321686,165126,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(321687,10165126,'When Equipped:',100,0,0),
(321688,10165126,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(321689,79819,'When Equipped:',100,0,0),
(321690,79819,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(321691,79819,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(321692,79819,'Heals caster for 1185 - 1309',100,2,3),
(321693,79819,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(321694,79819,'Must not be engaged in pvp combat',100,2,5),
(321695,79819,'Cannot be modified except by direct means',100,2,6),
(321696,79819,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(321697,79819,'Cannot be modified except by direct means',100,1,8),
(321698,10079819,'When Equipped:',100,0,0),
(321699,10079819,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(321700,10079819,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(321701,10079819,'Heals caster for 1386 - 1532',100,2,3),
(321702,10079819,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(321703,10079819,'Must not be engaged in pvp combat',100,2,5),
(321704,10079819,'Cannot be modified except by direct means',100,2,6),
(321705,10079819,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(321706,10079819,'Cannot be modified except by direct means',100,1,8),
(321707,36018,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(321708,36018,'Increases Max Power of target by 10.5',100,0,1),
(321709,113859,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(321710,113859,'Increases power of caster by 305',100,2,1),
(321711,113859,'Grants a total of 3 triggers of the spell.',100,2,2),
(321712,10113859,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(321713,10113859,'Increases power of caster by 305',100,2,1),
(321714,10113859,'Grants a total of 3 triggers of the spell.',100,2,2),
(321715,104026,'Stifles target',100,1,0),
(321716,104026,'If Target is not Epic',100,2,1),
(321717,104026,'Interrupts target',100,1,2),
(321718,104026,'Decreases Threat to target by 831 - 1,016 ',100,1,3),
(321719,104026,'Resistibility increases against targets higher than level 81.',100,1,4),
(321720,10104026,'Stifles target',100,1,0),
(321721,10104026,'If Target is not Epic',100,2,1),
(321722,10104026,'Interrupts target',100,1,2),
(321723,10104026,'Resistibility increases against targets higher than level 81.',100,1,3),
(321724,111369,'Inflicts 172 - 287 disease damage on target',100,1,0),
(321725,111369,'Heals caster for 112 - 187',100,1,1),
(321726,10111369,'Inflicts 224 - 373 disease damage on target',100,1,0),
(321727,10111369,'Heals caster for 73 - 122',100,1,1),
(321728,74657,'When Equipped:',100,0,0),
(321729,74657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321730,74657,'Inflicts 44 - 67 magic damage on target',100,2,2),
(321731,74657,'Cannot be modified except by direct means',100,2,3),
(321732,10074657,'When Equipped:',100,0,0),
(321733,10074657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321734,10074657,'Inflicts 58 - 87 magic damage on target',100,2,2),
(321735,10074657,'Cannot be modified except by direct means',100,2,3),
(321736,118407,'Heals target for 147 - 180',100,1,0),
(321737,118407,'Increases Max Health of target by 17.6',100,1,1),
(321738,10118407,'Heals target for 171 - 208',100,1,0),
(321739,10118407,'Increases Max Health of target by 17.6',100,1,1),
(321740,119398,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(321741,119398,'Stuns target',100,2,1),
(321742,119398,'Throws target back',100,2,2),
(321743,119398,'Blurs vision of target',100,2,3),
(321744,119398,'Does not affect Epic targets',100,2,4),
(321745,119398,'Inflicts 16 - 27 melee damage on target',100,1,5),
(321746,119398,'You must be sneaking to use this ability.',100,1,6),
(321747,10119398,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(321748,10119398,'Stuns target',100,2,1),
(321749,10119398,'Blurs vision of target',100,2,2),
(321750,10119398,'Throws target back',100,2,3),
(321751,10119398,'Does not affect Epic targets',100,2,4),
(321752,10119398,'Inflicts 21 - 35 melee damage on target',100,1,5),
(321753,10119398,'You must be sneaking to use this ability.',100,1,6),
(321754,114252,'Inflicts 577 - 705 mental damage on target',100,1,0),
(321755,114252,'Stuns target',100,1,1),
(321756,114252,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(321757,114252,'Resistibility increases against targets higher than level 98.',100,1,3),
(321758,10114252,'Inflicts 750 - 917 mental damage on target',100,1,0),
(321759,10114252,'Requires not being affected by Mesmerize effects.',100,2,1),
(321760,10114252,'Stuns target',100,1,2),
(321761,10114252,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(321762,10114252,'Resistibility increases against targets higher than level 98.',100,1,4),
(321763,45169,'Applies Immortalize the Headless Horseman when Activated.',100,0,0),
(321764,45169,'Summon 1 Trophy: The Headless Horseman',100,1,1),
(321765,45169,'This effect cannot be cast during combat',100,1,2),
(321766,10045169,'Applies Immortalize the Headless Horseman when Activated.',100,0,0),
(321767,10045169,'Summon 1 Trophy: The Headless Horseman',100,1,1),
(321768,10045169,'This effect cannot be cast during combat',100,1,2),
(321769,116288,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(321770,116288,'Inflicts 481 - 588 disease damage on caster',100,2,1),
(321771,116288,'Inflicts 160 - 196 disease damage on caster every 2 seconds',100,2,2),
(321772,116288,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(321773,116288,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(321774,116288,'Grants a total of 1 trigger of the spell.',100,3,5),
(321775,10116288,'Applies Pestilence.  Lasts for 16.0 seconds.',100,1,0),
(321776,10116288,'Inflicts 626 - 765 disease damage on caster',100,2,1),
(321777,10116288,'Inflicts 209 - 255 disease damage on caster every 2 seconds',100,2,2),
(321778,10116288,'On death this spell will cast Pestilence Mark on target.  ',100,2,3),
(321779,10116288,'Applies Pestilence.  Lasts for 16.0 seconds.',100,3,4),
(321780,10116288,'Grants a total of 1 trigger of the spell.',100,3,5),
(321781,113801,'When any damage is received this spell will cast Atoning Faith on target.  ',100,1,0),
(321782,113801,'Heals target for 620 - 758',100,2,1),
(321783,10113801,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(321784,10113801,'Heals target for 403 - 493',100,2,1),
(321785,109630,'Increases Defense of group members'' pets (AE) by 20.3',100,1,0),
(321786,109630,'Increases Mitigation of group members (AE) vs all damage by 322',100,1,1),
(321787,10109630,'Increases Defense of group members'' pets (AE) by 20.3',100,1,0),
(321788,10109630,'Increases Mitigation of group members (AE) vs all damage by 322',100,1,1),
(321789,35140,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(321790,35140,'Increases Max Health of target by 145.6',100,0,1),
(321791,72066,'When Equipped:',100,0,0),
(321792,72066,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321793,72066,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(321794,72066,'Cannot be modified except by direct means',100,2,3),
(321795,10072066,'When Equipped:',100,0,0),
(321796,10072066,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321797,10072066,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(321798,10072066,'Cannot be modified except by direct means',100,2,3),
(321799,134157,'When Equipped:',100,0,0),
(321800,134157,'When damaged this spell has a 6% chance to cast Ward of Resistance on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(321801,134157,'Wards caster against 200 points of all damage',100,2,2),
(321802,134157,'Cannot be modified except by direct means',100,2,3),
(321803,10134157,'When Equipped:',100,0,0),
(321804,10134157,'When damaged this spell has a 6% chance to cast Ward of Resistance on caster.  Lasts for 8.0 seconds.  ',100,1,1),
(321805,10134157,'Wards caster against 200 points of all damage',100,2,2),
(321806,10134157,'Cannot be modified except by direct means',100,2,3),
(321807,117715,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(321808,117715,'Adds 1.0% to base avoidance.',100,1,1),
(321809,10117715,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(321810,10117715,'Adds 1.0% to base avoidance.',100,1,1),
(321811,80510,'When Equipped:',100,0,0),
(321812,80510,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321813,80510,'Decreases Threat to target by 1,219 ',100,2,2),
(321814,80510,'Must be flanking or behind',100,3,3),
(321815,80510,'Increases Threat to target by 1,219 ',100,2,4),
(321816,80510,'Must be in front of',100,3,5),
(321817,80510,'Inflicts 320 - 594 magic damage on target',100,2,6),
(321818,80510,'Cannot be modified except by direct means',100,2,7),
(321819,10080510,'When Equipped:',100,0,0),
(321820,10080510,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(321821,10080510,'Inflicts 416 - 772 magic damage on target',100,2,2),
(321822,10080510,'Cannot be modified except by direct means',100,2,3),
(321823,114450,'Inflicts 170 - 284 heat damage on target',100,1,0),
(321824,10114450,'Inflicts 222 - 370 heat damage on target',100,1,0),
(321825,45681,'Applies Jentry''s Absolution  when Activated.',100,0,0),
(321826,45681,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(321827,10045681,'Applies Jentry''s Absolution  when Activated.',100,0,0),
(321828,10045681,'Dispels 38 levels of noxious hostile effects on caster',100,1,1),
(321829,48089,'Applies Toss Pie when Activated.',100,0,0),
(321830,10048089,'Applies Toss Pie when Activated.',100,0,0),
(321831,108735,'Summons a pet fiery magician',100,1,0),
(321832,10108735,'Summons a pet fiery magician',100,1,0),
(321833,131604,'When Equipped:',100,0,0),
(321834,131604,'When a combat art is used this spell has a 10% chance to cast Listless Sorrow on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(321835,131604,'Decreases Attack Speed of target by 5.0',100,2,2),
(321836,131604,'Cannot be modified except by direct means',100,2,3),
(321837,10131604,'When Equipped:',100,0,0),
(321838,10131604,'When a combat art is used this spell has a 10% chance to cast Listless Sorrow on target of combat art.  Lasts for 1 minute 12 seconds.  ',100,1,1),
(321839,10131604,'Decreases Attack Speed of target by 5.0',100,2,2),
(321840,10131604,'Cannot be modified except by direct means',100,2,3),
(321841,46275,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(321842,46275,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(321843,46275,'Decreases AGI of target by 81.5',100,2,2),
(321844,46275,'Decreases Parry, Defense and Deflection of target by 30.9',100,2,3),
(321845,46275,'Cannot be modified except by direct means',100,2,4),
(321846,46275,'Grants a total of 60 triggers of the spell.',100,2,5),
(321847,10046275,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(321848,10046275,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(321849,10046275,'Decreases AGI of target by 81.5',100,2,2),
(321850,10046275,'Decreases Parry, Defense and Deflection of target by 30.9',100,2,3),
(321851,10046275,'Cannot be modified except by direct means',100,2,4),
(321852,10046275,'Grants a total of 60 triggers of the spell.',100,2,5),
(321853,114353,'Increases Attack Speed of group members (AE) by 13.9',100,1,0),
(321854,10114353,'Increases Attack Speed of group members (AE) by 13.9',100,1,0),
(321855,119203,'Inflicts 198 - 330 heat damage on target',100,1,0),
(321856,119203,'Inflicts 198 - 330 heat damage on target',100,1,1),
(321857,119203,'Requires bow',100,1,2),
(321858,10119203,'Inflicts 200 - 333 heat damage on target',100,1,0),
(321859,10119203,'Inflicts 200 - 333 heat damage on target',100,1,1),
(321860,10119203,'Requires bow',100,1,2),
(321861,114558,'Heals target for 995 - 1216',100,1,0),
(321862,10114558,'Heals target for 1293 - 1580',100,1,0),
(321863,102525,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(321864,102525,'Increases Aggression of caster by 11.0',100,1,1),
(321865,102525,'Increases Defense and Parry of caster by 22.1',100,1,2),
(321866,102525,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(321867,10102525,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(321868,10102525,'Increases Aggression of caster by 11.0',100,1,1),
(321869,10102525,'Increases Defense and Parry of caster by 22.1',100,1,2),
(321870,10102525,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(321871,48026,'Applies Improved Defense when Activated.  Lasts for 5 minutes.',100,0,0),
(321872,48026,'Increases Defense of caster by 3.0',100,1,1),
(321873,10048026,'Applies Improved Defense when Activated.  Lasts for 5 minutes.',100,0,0),
(321874,10048026,'Increases Defense of caster by 3.0',100,1,1),
(321875,108711,'Inflicts 254 heat damage on target',100,1,0),
(321876,108711,'Inflicts 57 heat damage on target every 4 seconds',100,1,1),
(321877,10108711,'Inflicts 462 heat damage on target',100,1,0),
(321878,10108711,'Inflicts 74 heat damage on target every 4 seconds',100,1,1),
(321879,111633,'Inflicts 16 - 19 cold damage on target encounter',100,1,0),
(321880,111633,'Slows target encounter by 30.4%',100,1,1),
(321881,111633,'5% chance to dispel when target takes damage',100,1,2),
(321882,111633,'5% chance to dispel when target receives hostile action',100,1,3),
(321883,10111633,'Inflicts 28 - 34 cold damage on target encounter',100,1,0),
(321884,10111633,'Slows target encounter by 30.4%',100,1,1),
(321885,10111633,'5% chance to dispel when target takes damage',100,1,2),
(321886,10111633,'5% chance to dispel when target receives hostile action',100,1,3),
(321887,159432,'Applies Sanguine Imbued when Equipped.',100,0,0),
(321888,159432,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(321889,159432,'Inflicts 57 heat damage on target',100,2,2),
(321890,159432,'Cannot be modified except by direct means',100,2,3),
(321891,10159432,'Applies Sanguine Imbued when Equipped.',100,0,0),
(321892,10159432,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(321893,10159432,'Inflicts 74 heat damage on target',100,2,2),
(321894,10159432,'Cannot be modified except by direct means',100,2,3),
(321895,107147,'Inflicts 426 - 521 divine damage on target',100,1,0),
(321896,107147,'Inflicts 426 - 521 divine damage on target',100,1,1),
(321897,107147,'If target is undead',100,2,2),
(321898,10107147,'Inflicts 554 - 677 divine damage on target',100,1,0),
(321899,10107147,'Inflicts 554 - 677 divine damage on target',100,1,1),
(321900,71945,'When Equipped:',100,0,0),
(321901,71945,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321902,71945,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(321903,71945,'Cannot be modified except by direct means',100,2,3),
(321904,10071945,'When Equipped:',100,0,0),
(321905,10071945,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(321906,10071945,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(321907,10071945,'Cannot be modified except by direct means',100,2,3),
(321908,103487,'Increases In-Combat Power Regeneration of group members (AE) by 26.5',100,1,0),
(321909,10103487,'Increases In-Combat Power Regeneration of group members (AE) by 26.5',100,1,0),
(321910,111968,'Inflicts 158 - 193 disease damage on target',100,1,0),
(321911,111968,'Decreases Mitigation of target vs noxious damage by 428',100,1,1),
(321912,10111968,'Inflicts 265 - 323 disease damage on target',100,1,0),
(321913,10111968,'Decreases Mitigation of target vs noxious damage by 428',100,1,1),
(321914,41473,'When Equipped:',100,0,0),
(321915,41473,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321916,41473,'Inflicts 72 - 134 magic damage on target',100,2,2),
(321917,41473,'Cannot be modified except by direct means',100,2,3),
(321918,10041473,'When Equipped:',100,0,0),
(321919,10041473,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321920,10041473,'Inflicts 94 - 174 magic damage on target',100,2,2),
(321921,10041473,'Cannot be modified except by direct means',100,2,3),
(321922,72434,'When Equipped:',100,0,0),
(321923,72434,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(321924,72434,'Reduces healing received by 15.00%',100,2,2),
(321925,72434,'Cannot be modified except by direct means',100,2,3),
(321926,72434,'This effect can only trigger once every 1 second.',100,2,4),
(321927,72434,'Must be engaged in pvp combat',100,1,5),
(321928,10072434,'When Equipped:',100,0,0),
(321929,10072434,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(321930,10072434,'Reduces healing received by 15.00%',100,2,2),
(321931,10072434,'Cannot be modified except by direct means',100,2,3),
(321932,10072434,'This effect can only trigger once every 1 second.',100,2,4),
(321933,10072434,'Must be engaged in pvp combat',100,1,5),
(321934,119094,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(321935,119094,'Increases Parry and Deflection of group members (AE) by 21.2',100,1,1),
(321936,119094,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(321937,119094,'Decreases Threat to target encounter by 939 - 1,148 ',100,2,3),
(321938,119094,'If not fighter',100,3,4),
(321939,119094,'Increases Threat to target encounter by 939 - 1,148 ',100,2,5),
(321940,119094,'If fighter',100,3,6),
(321941,119094,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(321942,119094,'Decreases Threat to target encounter by 939 - 1,148 ',100,2,8),
(321943,119094,'If not fighter',100,3,9),
(321944,119094,'Increases Threat to target encounter by 939 - 1,148 ',100,2,10),
(321945,119094,'If fighter',100,3,11),
(321946,10119094,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(321947,10119094,'Increases Parry and Deflection of group members (AE) by 21.2',100,1,1),
(321948,10119094,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(321949,10119094,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(321950,78967,'When Equipped:',100,0,0),
(321951,78967,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321952,78967,'Decreases Threat to target by 500 ',100,2,2),
(321953,78967,'Cannot be modified except by direct means',100,2,3),
(321954,10078967,'When Equipped:',100,0,0),
(321955,10078967,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(321956,10078967,'Cannot be modified except by direct means',100,2,2),
(321957,109089,'Decreases Mitigation of target vs physical damage by 823',100,1,0),
(321958,109089,'Inflicts 197 - 328 melee damage on target',100,1,1),
(321959,109089,'Inflicts 197 - 328 melee damage on target',100,1,2),
(321960,109089,'Inflicts 197 - 328 melee damage on target',100,1,3),
(321961,10109089,'Decreases Mitigation of target vs physical damage by 823',100,1,0),
(321962,10109089,'Inflicts 256 - 427 melee damage on target',100,1,1),
(321963,10109089,'Inflicts 256 - 427 melee damage on target',100,1,2),
(321964,10109089,'Inflicts 256 - 427 melee damage on target',100,1,3),
(321965,105331,'Inflicts 155 - 258 melee damage on target',100,1,0),
(321966,105331,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 300',100,1,1),
(321967,105331,'Must be flanking or behind',100,1,2),
(321968,10105331,'Inflicts 201 - 335 melee damage on target',100,1,0),
(321969,10105331,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 300',100,1,1),
(321970,10105331,'Must be flanking or behind',100,1,2),
(321971,148720,'When Equipped:',100,0,0),
(321972,148720,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(321973,148720,'Inflicts 1986 piercing damage on target',100,2,2),
(321974,148720,'Cannot be modified except by direct means',100,2,3),
(321975,10148720,'When Equipped:',100,0,0),
(321976,10148720,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(321977,10148720,'Inflicts 1291 piercing damage on target',100,2,2),
(321978,10148720,'Cannot be modified except by direct means',100,2,3),
(321979,115397,'Inflicts 117 - 195 melee damage on target',100,1,0),
(321980,115397,'Decreases INT of target by 23.8',100,1,1),
(321981,115397,'You must be sneaking to use this ability.',100,1,2),
(321982,10115397,'Inflicts 152 - 253 melee damage on target',100,1,0),
(321983,10115397,'Decreases INT of target by 23.8',100,1,1),
(321984,10115397,'You must be sneaking to use this ability.',100,1,2),
(321985,120285,'Summons a pet Slimy Slug',100,1,0),
(321986,10120285,'Summons a pet Slimy Slug',100,1,0),
(321987,136295,'When Equipped:',100,0,0),
(321988,136295,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(321989,136295,'Increases power of caster by 140',100,2,2),
(321990,136295,'Cannot be modified except by direct means',100,2,3),
(321991,10136295,'When Equipped:',100,0,0),
(321992,10136295,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(321993,10136295,'Increases power of caster by 140',100,2,2),
(321994,10136295,'Cannot be modified except by direct means',100,2,3),
(321995,107407,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(321996,107407,'Slows target by 66.6%',100,2,1),
(321997,107407,'5% chance to dispel when target receives hostile action',100,2,2),
(321998,107407,'5% chance to dispel when target takes damage',100,2,3),
(321999,107407,'Inflicts 969 - 1616 disease damage on target',100,1,4),
(322000,10107407,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(322001,10107407,'Slows target by 66.6%',100,2,1),
(322002,10107407,'5% chance to dispel when target receives hostile action',100,2,2),
(322003,10107407,'5% chance to dispel when target takes damage',100,2,3),
(322004,10107407,'Inflicts 1260 - 2101 disease damage on target',100,1,4),
(322005,81492,'When Equipped:',100,0,0),
(322006,81492,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322007,81492,'Inflicts 72 - 134 magic damage on target',100,2,2),
(322008,81492,'Cannot be modified except by direct means',100,2,3),
(322009,10081492,'When Equipped:',100,0,0),
(322010,10081492,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322011,10081492,'Inflicts 94 - 174 magic damage on target',100,2,2),
(322012,10081492,'Cannot be modified except by direct means',100,2,3),
(322013,45724,'Applies Clouded Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(322014,45724,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(322015,45724,'Only affects targets level 50 and above',100,1,2),
(322016,10045724,'Applies Clouded Sassee''s Renewal when Activated.  Lasts for 30.0 seconds.',100,0,0),
(322017,10045724,'Increases power of caster by 52 instantly and every 5 seconds',100,1,1),
(322018,10045724,'Only affects targets level 50 and above',100,1,2),
(322019,114074,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(322020,114074,'Grants stealth to caster',100,2,1),
(322021,114074,'Suspends caster''s movement speed enhancements',100,2,2),
(322022,114074,'Inflicts 219 - 365 melee damage on target',100,1,3),
(322023,114074,'Must be flanking or behind',100,1,4),
(322024,10114074,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(322025,10114074,'Grants stealth to caster',100,2,1),
(322026,10114074,'Suspends caster''s movement speed enhancements',100,2,2),
(322027,10114074,'Inflicts 428 - 713 melee damage on target',100,1,3),
(322028,10114074,'Must be flanking or behind',100,1,4),
(322029,116029,'Prevents target from changing targets',100,1,0),
(322030,116029,'Applies Wane on termination.  Lasts for 20.0 seconds.',100,1,1),
(322031,116029,'Increases Threat to target by 1,339 - 1,637  instantly and by 852 - 1,041  every 4 seconds thereafter',100,2,2),
(322032,116029,'Increases Threat to target by 2,435 - 2,976  instantly and by 1,522 - 1,860  every 2 seconds thereafter',100,1,3),
(322033,116029,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,4),
(322034,116029,'Increases threat priority of target by 4 positions',100,1,5),
(322035,116029,'Must be not at the top of the hate list of your current target.',100,1,6),
(322036,10116029,'Prevents target from changing targets',100,1,0),
(322037,10116029,'Forces target to change their selected target to caster.',100,1,1),
(322038,10116029,'Must be not at the top of the hate list of your current target.',100,1,2),
(322039,108544,'Makes target afraid',100,1,0),
(322040,108544,'30% chance to dispel when target takes damage',100,1,1),
(322041,108544,'Does not affect Epic targets',100,1,2),
(322042,108544,'Resistibility increases against targets higher than level 53.',100,1,3),
(322043,10108544,'Makes target afraid',100,1,0),
(322044,10108544,'30% chance to dispel when target takes damage',100,1,1),
(322045,10108544,'Does not affect Epic targets',100,1,2),
(322046,10108544,'Resistibility increases against targets higher than level 53.',100,1,3),
(322047,104391,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(322048,104391,'Inflicts 144 - 175 cold damage on target',100,2,1),
(322049,10104391,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(322050,10104391,'Inflicts 187 - 228 cold damage on target',100,2,1),
(322051,36285,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(322052,36285,'This effect suspends during combat',100,0,1),
(322053,102637,'Inflicts 73 - 122 melee damage on target',100,1,0),
(322054,102637,'Inflicts 32 heat damage on target every 6 seconds',100,1,1),
(322055,10102637,'Inflicts 95 - 159 melee damage on target',100,1,0),
(322056,10102637,'Inflicts 41 heat damage on target every 6 seconds',100,1,1),
(322057,37366,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(322058,82668,'When Equipped:',100,0,0),
(322059,82668,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322060,82668,'Decreases Threat to target by 259 ',100,2,2),
(322061,82668,'Must be flanking or behind',100,3,3),
(322062,82668,'Increases Threat to target by 259 ',100,2,4),
(322063,82668,'Must be in front of',100,3,5),
(322064,82668,'Inflicts 79 - 146 magic damage on target',100,2,6),
(322065,82668,'Cannot be modified except by direct means',100,2,7),
(322066,10082668,'When Equipped:',100,0,0),
(322067,10082668,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322068,10082668,'Inflicts 102 - 190 magic damage on target',100,2,2),
(322069,10082668,'Cannot be modified except by direct means',100,2,3),
(322070,71223,'When Equipped:',100,0,0),
(322071,71223,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322072,71223,'Inflicts 1986 disease damage on target encounter',100,2,2),
(322073,71223,'Must not be engaged in pvp combat',100,2,3),
(322074,71223,'Cannot be modified except by direct means',100,2,4),
(322075,10071223,'When Equipped:',100,0,0),
(322076,10071223,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322077,10071223,'Inflicts 1291 disease damage on target encounter',100,2,2),
(322078,10071223,'Must not be engaged in pvp combat',100,2,3),
(322079,10071223,'Cannot be modified except by direct means',100,2,4),
(322080,121494,'Inflicts 190 - 317 melee damage on target',100,1,0),
(322081,121494,'Decreases Defense of target by 7.8',100,1,1),
(322082,10121494,'Inflicts 247 - 412 melee damage on target',100,1,0),
(322083,10121494,'Decreases Defense of target by 7.8',100,1,1),
(322084,173721,'When Equipped:',100,0,0),
(322085,173721,'On any combat or spell hit this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(322086,173721,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(322087,173721,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(322088,173721,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(322089,173721,'Increases in-combat movement speed of caster by 15.0%',100,2,5),
(322090,173721,'Must not be engaged in pvp combat',100,2,6),
(322091,173721,'Cannot be modified except by direct means',100,2,7),
(322092,173721,'On a healing spell cast this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(322093,173721,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(322094,173721,'Increases Ability Recovery Speed of caster by 12.0%',100,2,10),
(322095,173721,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(322096,173721,'Increases in-combat movement speed of caster by 15.0%',100,2,12),
(322097,173721,'Must not be engaged in pvp combat',100,2,13),
(322098,173721,'Cannot be modified except by direct means',100,2,14),
(322099,173721,'Must not be engaged in pvp combat',100,1,15),
(322100,10173721,'When Equipped:',100,0,0),
(322101,10173721,'On any combat or spell hit this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(322102,10173721,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,2),
(322103,10173721,'Increases Ability Recovery Speed of caster by 12.0%',100,2,3),
(322104,10173721,'Increases Ability Casting Speed of caster by 12.0%',100,2,4),
(322105,10173721,'Increases in-combat movement speed of caster by 15.0%',100,2,5),
(322106,10173721,'Must not be engaged in pvp combat',100,2,6),
(322107,10173721,'Cannot be modified except by direct means',100,2,7),
(322108,10173721,'On a healing spell cast this spell may cast Staggering Rush on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(322109,10173721,'Caster has a 3.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,9),
(322110,10173721,'Increases Ability Recovery Speed of caster by 12.0%',100,2,10),
(322111,10173721,'Increases Ability Casting Speed of caster by 12.0%',100,2,11),
(322112,10173721,'Increases in-combat movement speed of caster by 15.0%',100,2,12),
(322113,10173721,'Must not be engaged in pvp combat',100,2,13),
(322114,10173721,'Cannot be modified except by direct means',100,2,14),
(322115,10173721,'Must not be engaged in pvp combat',100,1,15),
(322116,110360,'Increases STR and AGI of group members (AE) by 8.6',100,1,0),
(322117,110360,'Adds 1.5% to base avoidance.',100,1,1),
(322118,10110360,'Increases STR and AGI of group members (AE) by 8.6',100,1,0),
(322119,10110360,'Adds 1.5% to base avoidance.',100,1,1),
(322120,36824,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(322121,55610,'When Equipped:',100,0,0),
(322122,55610,'On a combat hit this spell may cast Divine Intervention on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(322123,55610,'Heals caster for 463',100,2,2),
(322124,55610,'Cannot be modified except by direct means',100,2,3),
(322125,10055610,'When Equipped:',100,0,0),
(322126,10055610,'On a combat hit this spell may cast Divine Intervention on caster.  Triggers about 1.8 times per minute. ',100,1,1),
(322127,10055610,'Heals caster for 301',100,2,2),
(322128,10055610,'Cannot be modified except by direct means',100,2,3),
(322129,48994,'Applies Nightshade Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(322130,48994,'On a combat hit this spell may cast Nightshade Toxin on target of attack.  Lasts for 1 minute.  Triggers about 1.6 times per minute. ',100,1,1),
(322131,48994,'Inflicts 291 poison damage on target',100,2,2),
(322132,48994,'Inflicts 21 poison damage on target every 4 seconds',100,2,3),
(322133,48994,'Cannot be modified except by direct means',100,2,4),
(322134,48994,'Grants a total of 50 triggers of the spell.',100,2,5),
(322135,10048994,'Applies Nightshade Toxin when Activated.  Lasts for 12 hours.',100,0,0),
(322136,10048994,'On a combat hit this spell may cast Nightshade Toxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(322137,10048994,'Inflicts 182 poison damage on target instantly and every 4 seconds',100,2,2),
(322138,10048994,'Cannot be modified except by direct means',100,2,3),
(322139,10048994,'Grants a total of 50 triggers of the spell.',100,2,4),
(322140,47565,'Applies Portable Woodworking Kit when Activated.  Lasts for 5 minutes.',100,0,0),
(322141,47565,'Summons Woodworking Table',100,1,1),
(322142,47565,'This effect cancels during combat',100,1,2),
(322143,10047565,'Applies Portable Woodworking Kit when Activated.  Lasts for 5 minutes.',100,0,0),
(322144,10047565,'Summons Woodworking Table',100,1,1),
(322145,10047565,'This effect cancels during combat',100,1,2),
(322146,47512,'Applies Petamorph: Steppes Cow when Activated.  Lasts for 2 hours.',100,0,0),
(322147,47512,'Turns the caster''s combat pet into a cow. Does not work on cosmetic pets.',100,1,1),
(322148,10047512,'Applies Petamorph: Steppes Cow when Activated.  Lasts for 2 hours.',100,0,0),
(322149,10047512,'Turns the caster''s combat pet into a cow. Does not work on cosmetic pets.',100,1,1),
(322150,109448,'Inflicts 262 - 320 cold damage on target instantly and every 4 seconds',100,1,0),
(322151,109448,'Decreases Mitigation of target vs elemental damage by 1355',100,1,1),
(322152,10109448,'Inflicts 340 - 416 cold damage on target instantly and every 4 seconds',100,1,0),
(322153,10109448,'Decreases Mitigation of target vs elemental damage by 1355',100,1,1),
(322154,53166,'When Equipped:',100,0,0),
(322155,53166,'Allows caster to breathe under water',100,1,1),
(322156,10053166,'When Equipped:',100,0,0),
(322157,10053166,'Allows caster to breathe under water',100,1,1),
(322158,118215,'Increases Damage Per Second of group members (AE) by 20.9',100,1,0),
(322159,10118215,'Increases Damage Per Second of group members (AE) by 20.9',100,1,0),
(322160,81864,'When Equipped:',100,0,0),
(322161,81864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322162,81864,'Inflicts 108 - 200 magic damage on target',100,2,2),
(322163,81864,'Cannot be modified except by direct means',100,2,3),
(322164,10081864,'When Equipped:',100,0,0),
(322165,10081864,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322166,10081864,'Inflicts 140 - 260 magic damage on target',100,2,2),
(322167,10081864,'Cannot be modified except by direct means',100,2,3),
(322168,115664,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1651',100,1,0),
(322169,10115664,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1651',100,1,0),
(322170,71742,'When Equipped:',100,0,0),
(322171,71742,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322172,71742,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(322173,71742,'Cannot be modified except by direct means',100,2,3),
(322174,10071742,'When Equipped:',100,0,0),
(322175,10071742,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322176,10071742,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(322177,10071742,'Cannot be modified except by direct means',100,2,3),
(322178,140786,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(322179,140786,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 234',100,1,1),
(322180,140786,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(322181,10140786,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(322182,10140786,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 234',100,1,1),
(322183,10140786,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(322184,110414,'Inflicts 2412 - 4020 disease damage on target',100,1,0),
(322185,10110414,'Inflicts 2150 - 3583 disease damage on target',100,1,0),
(322186,81680,'When Equipped:',100,0,0),
(322187,81680,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322188,81680,'Inflicts 78 - 144 magic damage on target',100,2,2),
(322189,81680,'Cannot be modified except by direct means',100,2,3),
(322190,10081680,'When Equipped:',100,0,0),
(322191,10081680,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322192,10081680,'Inflicts 101 - 188 magic damage on target',100,2,2),
(322193,10081680,'Cannot be modified except by direct means',100,2,3),
(322194,107771,'Stuns target',100,1,0),
(322195,107771,'If Target is not Epic',100,2,1),
(322196,107771,'Inflicts 1027 - 1711 cold damage on target',100,1,2),
(322197,107771,'Resistibility increases against targets higher than level 111.',100,1,3),
(322198,10107771,'Stuns target',100,1,0),
(322199,10107771,'If Target is not Epic',100,2,1),
(322200,10107771,'Inflicts 1335 - 2225 cold damage on target',100,1,2),
(322201,10107771,'Resistibility increases against targets higher than level 111.',100,1,3),
(322202,116113,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(322203,116113,'Heals target for 610 - 746',100,2,1),
(322204,116113,'Grants a total of 5 triggers of the spell.',100,2,2),
(322205,10116113,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(322206,10116113,'Heals target for 397 - 485',100,2,1),
(322207,10116113,'Grants a total of 5 triggers of the spell.',100,2,2),
(322208,112531,'Interrupts target',50,1,0),
(322209,112531,'Inflicts 51 - 63 divine damage on target',100,1,1),
(322210,10112531,'Interrupts target',50,1,0),
(322211,10112531,'Inflicts 86 - 105 divine damage on target',100,1,1),
(322212,119064,'Inflicts 227 - 379 mental damage on target',100,1,0),
(322213,119064,'Decreases power of target by 213 - 355',100,1,1),
(322214,119064,'Increases power of caster by 125 - 209',100,1,2),
(322215,10119064,'Inflicts 295 - 492 mental damage on target',100,1,0),
(322216,10119064,'Decreases power of target by 213 - 355',100,1,1),
(322217,10119064,'Increases power of caster by 125 - 209',100,1,2),
(322218,24692,'Adds Skeleton (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(322219,10024692,'Adds Skeleton (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(322220,159522,'Applies Lambent Imbued when Equipped.',100,0,0),
(322221,159522,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(322222,159522,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(322223,159522,'Cannot be modified except by direct means',100,2,3),
(322224,10159522,'Applies Lambent Imbued when Equipped.',100,0,0),
(322225,10159522,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(322226,10159522,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(322227,10159522,'Cannot be modified except by direct means',100,2,3),
(322228,45557,'Applies Clouded Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(322229,45557,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(322230,45557,'Inflicts 25 magic damage on target',100,2,2),
(322231,45557,'Cannot be modified except by direct means',100,2,3),
(322232,45557,'Only affects targets level 50 and above',100,1,4),
(322233,10045557,'Applies Clouded Blessing of Blades when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(322234,10045557,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(322235,10045557,'Inflicts 32 magic damage on target',100,2,2),
(322236,10045557,'Cannot be modified except by direct means',100,2,3),
(322237,10045557,'Only affects targets level 50 and above',100,1,4),
(322238,109002,'Decreases Damage Per Second of target by 38.2',100,1,0),
(322239,109002,'Inflicts 382 - 467 melee damage on target',100,1,1),
(322240,10109002,'Decreases Damage Per Second of target by 38.2',100,1,0),
(322241,10109002,'Inflicts 496 - 607 melee damage on target',100,1,1),
(322242,83675,'When Equipped:',100,0,0),
(322243,83675,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322244,83675,'Inflicts 125 - 209 poison damage on target every 4.8 seconds',100,2,2),
(322245,83675,'Cannot be modified except by direct means',100,2,3),
(322246,10083675,'When Equipped:',100,0,0),
(322247,10083675,'On a combat hit this spell may cast Poisoning on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322248,10083675,'Inflicts 163 - 271 poison damage on target every 4.8 seconds',100,2,2),
(322249,10083675,'Cannot be modified except by direct means',100,2,3),
(322250,155204,'When Equipped:',100,0,0),
(322251,155204,'Increases the caster''s heals and wards by 5%.',100,1,1),
(322252,155204,'Must not be engaged in pvp combat',100,1,2),
(322253,10155204,'When Equipped:',100,0,0),
(322254,10155204,'Increases the caster''s heals and wards by 5%.',100,1,1),
(322255,10155204,'Must not be engaged in pvp combat',100,1,2),
(322256,47501,'Applies Pestilent Serum 92C when Activated.  Lasts for 1 hour.',100,0,0),
(322257,47501,'If target is a challenge.',100,1,1),
(322258,10047501,'Applies Pestilent Serum 92C when Activated.  Lasts for 1 hour.',100,0,0),
(322259,10047501,'If target is a challenge.',100,1,1),
(322260,117149,'Inflicts 230 - 281 heat damage on target instantly and every 4 seconds',100,1,0),
(322261,117149,'Decreases Mitigation of target vs arcane damage by 1253',100,1,1),
(322262,10117149,'Inflicts 299 - 365 heat damage on target instantly and every 4 seconds',100,1,0),
(322263,10117149,'Decreases Mitigation of target vs arcane damage by 1253',100,1,1),
(322264,110529,'Increases Threat to target by 577  instantly and by 240  every 3 seconds thereafter',100,1,0),
(322265,110529,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(322266,110529,'Stuns target',100,2,2),
(322267,110529,'Throws target back',100,2,3),
(322268,110529,'Blurs vision of target',100,2,4),
(322269,110529,'Does not affect Epic targets',100,2,5),
(322270,110529,'Inflicts 100 - 166 disease damage on target',100,1,6),
(322271,10110529,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(322272,10110529,'Stuns target',100,2,1),
(322273,10110529,'Blurs vision of target',100,2,2),
(322274,10110529,'Throws target back',100,2,3),
(322275,10110529,'Does not affect Epic targets',100,2,4),
(322276,10110529,'Forces target to change their selected target to caster.',100,1,5),
(322277,10110529,'Inflicts 108 - 180 disease damage on target',100,1,6),
(322278,10110529,'Prevents target from changing targets',100,1,7),
(322279,100286,'Inflicts 56 - 103 poison damage on target instantly and every 3 seconds',100,1,0),
(322280,10100286,'Inflicts 163 - 303 poison damage on target instantly and every 3 seconds',100,1,0),
(322281,141768,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(322282,141768,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(322283,141768,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(322284,141768,'Cannot be modified except by direct means',100,2,3),
(322285,10141768,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(322286,10141768,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(322287,10141768,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(322288,10141768,'Cannot be modified except by direct means',100,2,3),
(322289,115055,'Heals target for 1642 - 2007',100,1,0),
(322290,10115055,'Heals target for 2300 - 2811',100,1,0),
(322291,103676,'Interrupts target',100,1,0),
(322292,103676,'Inflicts 268 - 447 melee damage on target',100,1,1),
(322293,103676,'Must be flanking or behind',100,1,2),
(322294,10103676,'Interrupts target',100,1,0),
(322295,10103676,'Inflicts 348 - 581 melee damage on target',100,1,1),
(322296,10103676,'Must be flanking or behind',100,1,2),
(322297,122614,'Makes target afraid',100,1,0),
(322298,122614,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',100,1,1),
(322299,122614,'Mesmerizes target',100,2,2),
(322300,122614,'Decreases Threat to target by 574  instantly and Decreases Threat by 574  every 1.8 seconds thereafter',100,2,3),
(322301,122614,'Dispelled when target takes damage',100,2,4),
(322302,122614,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',100,2,5),
(322303,122614,'Resistibility increases against targets higher than level 76.',100,2,6),
(322304,122614,'30% chance to dispel when target takes damage',100,1,7),
(322305,122614,'Does not affect Epic targets',100,1,8),
(322306,122614,'Resistibility increases against targets higher than level 76.',100,1,9),
(322307,10122614,'Makes target afraid',100,1,0),
(322308,10122614,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(322309,10122614,'Mesmerizes target',100,2,2),
(322310,10122614,'Applies Distract.',100,2,3),
(322311,10122614,'Forces target to clear their selected target.',100,3,4),
(322312,10122614,'Dispelled when target takes damage',100,2,5),
(322313,10122614,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(322314,10122614,'Resistibility increases against targets higher than level 76.',100,2,7),
(322315,10122614,'30% chance to dispel when target takes damage',100,1,8),
(322316,10122614,'Does not affect Epic targets',100,1,9),
(322317,10122614,'Resistibility increases against targets higher than level 76.',100,1,10),
(322318,82799,'When Equipped:',100,0,0),
(322319,82799,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322320,82799,'Decreases Threat to target by 1,174 ',100,2,2),
(322321,82799,'Must be flanking or behind',100,3,3),
(322322,82799,'Increases Threat to target by 1,174 ',100,2,4),
(322323,82799,'Must be in front of',100,3,5),
(322324,82799,'Inflicts 237 - 440 magic damage on target',100,2,6),
(322325,82799,'Cannot be modified except by direct means',100,2,7),
(322326,10082799,'When Equipped:',100,0,0),
(322327,10082799,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322328,10082799,'Inflicts 308 - 572 magic damage on target',100,2,2),
(322329,10082799,'Cannot be modified except by direct means',100,2,3),
(322330,102530,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(322331,102530,'Increases Aggression of caster by 9.9',100,1,1),
(322332,102530,'Increases Defense and Parry of caster by 19.8',100,1,2),
(322333,102530,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(322334,10102530,'Decreases Slashing, Piercing and Crushing of caster by 22.6',100,1,0),
(322335,10102530,'Increases Aggression of caster by 9.9',100,1,1),
(322336,10102530,'Increases Defense and Parry of caster by 19.8',100,1,2),
(322337,10102530,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(322338,120777,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(322339,120777,'Blurs vision of target',100,2,1),
(322340,120777,'Stuns target',100,2,2),
(322341,120777,'Throws target back',100,2,3),
(322342,120777,'Does not affect Epic targets',100,2,4),
(322343,120777,'Inflicts 30 - 50 piercing damage on target',100,1,5),
(322344,10120777,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(322345,10120777,'Stuns target',100,2,1),
(322346,10120777,'Blurs vision of target',100,2,2),
(322347,10120777,'Throws target back',100,2,3),
(322348,10120777,'Does not affect Epic targets',100,2,4),
(322349,10120777,'Inflicts 39 - 65 piercing damage on target',100,1,5),
(322350,81740,'When Equipped:',100,0,0),
(322351,81740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322352,81740,'Inflicts 97 - 180 magic damage on target',100,2,2),
(322353,81740,'Cannot be modified except by direct means',100,2,3),
(322354,10081740,'When Equipped:',100,0,0),
(322355,10081740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322356,10081740,'Inflicts 126 - 234 magic damage on target',100,2,2),
(322357,10081740,'Cannot be modified except by direct means',100,2,3),
(322358,71719,'When Equipped:',100,0,0),
(322359,71719,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322360,71719,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(322361,71719,'Cannot be modified except by direct means',100,2,3),
(322362,10071719,'When Equipped:',100,0,0),
(322363,10071719,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322364,10071719,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(322365,10071719,'Cannot be modified except by direct means',100,2,3),
(322366,81143,'When Equipped:',100,0,0),
(322367,81143,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322368,81143,'Inflicts 136 - 252 magic damage on target',100,2,2),
(322369,81143,'Cannot be modified except by direct means',100,2,3),
(322370,10081143,'When Equipped:',100,0,0),
(322371,10081143,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322372,10081143,'Inflicts 177 - 328 magic damage on target',100,2,2),
(322373,10081143,'Cannot be modified except by direct means',100,2,3),
(322374,27062,'When Equipped:',100,0,0),
(322375,27062,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(322376,27062,'Inflicts 73 divine damage on target',100,2,2),
(322377,27062,'Heals caster for 12',100,2,3),
(322378,27062,'Cannot be modified except by direct means',100,2,4),
(322379,10027062,'When Equipped:',100,0,0),
(322380,10027062,'On a combat hit this spell may cast Holy Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(322381,10027062,'Inflicts 95 divine damage on target',100,2,2),
(322382,10027062,'Heals caster for 8',100,2,3),
(322383,10027062,'Cannot be modified except by direct means',100,2,4),
(322384,41524,'When Equipped:',100,0,0),
(322385,41524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322386,41524,'Inflicts 205 - 381 magic damage on target',100,2,2),
(322387,41524,'Cannot be modified except by direct means',100,2,3),
(322388,10041524,'When Equipped:',100,0,0),
(322389,10041524,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322390,10041524,'Inflicts 267 - 495 magic damage on target',100,2,2),
(322391,10041524,'Cannot be modified except by direct means',100,2,3),
(322392,143829,'When Equipped:',100,0,0),
(322393,143829,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322394,143829,'Inflicts 1192 poison damage on target',100,2,2),
(322395,143829,'Cannot be modified except by direct means',100,2,3),
(322396,10143829,'When Equipped:',100,0,0),
(322397,10143829,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322398,10143829,'Inflicts 775 poison damage on target',100,2,2),
(322399,10143829,'Cannot be modified except by direct means',100,2,3),
(322400,35049,'Increases Out-of-Combat Health Regeneration of target by 51.0',100,0,0),
(322401,35049,'This effect suspends during combat',100,0,1),
(322402,100103,'Decreases STR, AGI, WIS and INT of target by 11.0',100,1,0),
(322403,100103,'Decreases Max Health of target by 0.7%',100,1,1),
(322404,10100103,'Decreases STR, AGI, WIS and INT of target by 11.0',100,1,0),
(322405,10100103,'Decreases Max Health of target by 0.7%',100,1,1),
(322406,35616,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(322407,104677,'Decreases Mitigation of target vs all damage by 251',100,1,0),
(322408,10104677,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 251',100,1,0),
(322409,10104677,'Decreases Mitigation of target vs physical damage by 209',100,1,1),
(322410,106379,'Inflicts 205 - 342 melee damage on target',100,1,0),
(322411,106379,'Decreases Defense of target by 13.2',100,1,1),
(322412,106379,'Decreases Defense of caster by 13.2',100,1,2),
(322413,10106379,'Inflicts 267 - 445 melee damage on target',100,1,0),
(322414,10106379,'Decreases Defense of target by 13.2',100,1,1),
(322415,10106379,'Decreases Defense of caster by 13.2',100,1,2),
(322416,104790,'Increases caster''s chance to block by 10.0%',100,1,0),
(322417,104790,'Decreases Attack Speed of caster by 12.6',100,1,1),
(322418,104790,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(322419,104790,'Increases Parry of caster by 7.4',100,1,3),
(322420,104790,'Increases Defense of caster by 7.4',100,1,4),
(322421,10104790,'Increases caster''s chance to block by 10.0%',100,1,0),
(322422,10104790,'Decreases Attack Speed of caster by 12.6',100,1,1),
(322423,10104790,'Decreases Damage Per Second of caster by 12.6',100,1,2),
(322424,10104790,'Increases Parry of caster by 7.4',100,1,3),
(322425,10104790,'Increases Defense of caster by 7.4',100,1,4),
(322426,46642,'Applies Holy Elemental Ointment when Activated.',100,0,0),
(322427,46642,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(322428,10046642,'Applies Holy Elemental Ointment when Activated.',100,0,0),
(322429,10046642,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(322430,120073,'Inflicts 138 - 231 mental damage on target',100,1,0),
(322431,120073,'Inflicts 138 - 231 mental damage on target',100,1,1),
(322432,120073,'Stifles target',100,1,2),
(322433,120073,'If Target is not Epic',100,2,3),
(322434,120073,'If weapon equipped in Ranged',100,1,4),
(322435,120073,'Resistibility increases against targets higher than level 73.',100,1,5),
(322436,10120073,'Inflicts 138 - 231 mental damage on target',100,1,0),
(322437,10120073,'Inflicts 138 - 231 mental damage on target',100,1,1),
(322438,10120073,'Stifles target',100,1,2),
(322439,10120073,'If Target is not Epic',100,2,3),
(322440,10120073,'If weapon equipped in Ranged',100,1,4),
(322441,10120073,'Resistibility increases against targets higher than level 73.',100,1,5),
(322442,80844,'When Equipped:',100,0,0),
(322443,80844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322444,80844,'Inflicts 169 - 314 magic damage on target',100,2,2),
(322445,80844,'Cannot be modified except by direct means',100,2,3),
(322446,10080844,'When Equipped:',100,0,0),
(322447,10080844,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322448,10080844,'Inflicts 220 - 409 magic damage on target',100,2,2),
(322449,10080844,'Cannot be modified except by direct means',100,2,3),
(322450,143518,'When Equipped:',100,0,0),
(322451,143518,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322452,143518,'Wards target against 1000 points of all damage',100,2,2),
(322453,143518,'Cannot be modified except by direct means',100,2,3),
(322454,143518,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(322455,10143518,'When Equipped:',100,0,0),
(322456,10143518,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322457,10143518,'Wards target against 1000 points of all damage',100,2,2),
(322458,10143518,'Cannot be modified except by direct means',100,2,3),
(322459,10143518,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(322460,45571,'Applies Clendin''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(322461,45571,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(322462,10045571,'Applies Clendin''s Revitalization  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(322463,10045571,'Increases power of caster by 31 instantly and every 5 seconds',100,1,1),
(322464,163219,'When Equipped:',100,0,0),
(322465,163219,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322466,163219,'Inflicts 1998 poison damage on target',100,2,2),
(322467,163219,'Cannot be modified except by direct means',100,2,3),
(322468,10163219,'When Equipped:',100,0,0),
(322469,10163219,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322470,10163219,'Inflicts 1299 poison damage on target',100,2,2),
(322471,10163219,'Cannot be modified except by direct means',100,2,3),
(322472,144250,'When Equipped:',100,0,0),
(322473,144250,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322474,144250,'Inflicts 1192 heat damage on target',100,2,2),
(322475,144250,'Cannot be modified except by direct means',100,2,3),
(322476,10144250,'When Equipped:',100,0,0),
(322477,10144250,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322478,10144250,'Inflicts 775 heat damage on target',100,2,2),
(322479,10144250,'Cannot be modified except by direct means',100,2,3),
(322480,111838,'Inflicts 298 - 497 melee damage on target',100,1,0),
(322481,111838,'Roots target',100,1,1),
(322482,111838,'If Target is not Epic',100,2,2),
(322483,111838,'Resistibility increases against targets higher than level 84.',100,1,3),
(322484,10111838,'Inflicts 349 - 583 melee damage on target',100,1,0),
(322485,10111838,'Roots target',100,1,1),
(322486,10111838,'If Target is not Epic',100,2,2),
(322487,10111838,'Resistibility increases against targets higher than level 84.',100,1,3),
(322488,118526,'Inflicts 188 - 314 melee damage on target',100,1,0),
(322489,118526,'Decreases STR of target by 32.4',100,1,1),
(322490,118526,'You must be sneaking to use this ability.',100,1,2),
(322491,10118526,'Inflicts 245 - 408 melee damage on target',100,1,0),
(322492,10118526,'Decreases STR of target by 32.4',100,1,1),
(322493,10118526,'You must be sneaking to use this ability.',100,1,2),
(322494,80527,'When Equipped:',100,0,0),
(322495,80527,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322496,80527,'Decreases Threat to target by 1,219 ',100,2,2),
(322497,80527,'Must be flanking or behind',100,3,3),
(322498,80527,'Increases Threat to target by 1,219 ',100,2,4),
(322499,80527,'Must be in front of',100,3,5),
(322500,80527,'Inflicts 320 - 594 magic damage on target',100,2,6),
(322501,80527,'Cannot be modified except by direct means',100,2,7),
(322502,10080527,'When Equipped:',100,0,0),
(322503,10080527,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322504,10080527,'Inflicts 416 - 772 magic damage on target',100,2,2),
(322505,10080527,'Cannot be modified except by direct means',100,2,3),
(322506,100746,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(322507,100746,'Wards target against 400 points of all damage',100,2,1),
(322508,100746,'Heals target for 325',100,2,2),
(322509,100746,'Increases power of target by 75 every 6 seconds',100,2,3),
(322510,100746,'Grants a total of 1 trigger of the spell.',100,2,4),
(322511,10100746,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(322512,10100746,'Wards target against 400 points of all damage',100,2,1),
(322513,10100746,'Heals target for 211',100,2,2),
(322514,10100746,'Increases power of target by 75 every 6 seconds',100,2,3),
(322515,10100746,'Grants a total of 1 trigger of the spell.',100,2,4),
(322516,101200,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(322517,101200,'Slows target by 57.8%',100,2,1),
(322518,101200,'5% chance to dispel when target receives hostile action',100,2,2),
(322519,101200,'5% chance to dispel when target takes damage',100,2,3),
(322520,101200,'Inflicts 345 - 576 cold damage on target',100,1,4),
(322521,101200,'Inflicts 345 - 576 cold damage on target',100,1,5),
(322522,101200,'If weapon equipped in Ranged',100,1,6),
(322523,10101200,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(322524,10101200,'Slows target by 57.8%',100,2,1),
(322525,10101200,'5% chance to dispel when target receives hostile action',100,2,2),
(322526,10101200,'5% chance to dispel when target takes damage',100,2,3),
(322527,10101200,'Inflicts 259 - 432 cold damage on target',100,1,4),
(322528,10101200,'Inflicts 259 - 432 cold damage on target',100,1,5),
(322529,10101200,'If weapon equipped in Ranged',100,1,6),
(322530,108371,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(322531,108371,'Increases Mitigation of group members (AE) vs arcane damage by 1323',100,1,1),
(322532,10108371,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(322533,10108371,'Increases Mitigation of group members (AE) vs arcane damage by 1323',100,1,1),
(322534,123740,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(322535,10123740,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(322536,48535,'Applies withering spirit when Activated.  Lasts for 12 hours.',100,0,0),
(322537,48535,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(322538,48535,'Inflicts 139 poison damage on target instantly and every 6 seconds',100,2,2),
(322539,48535,'Inflicts 53 poison damage on target',100,2,3),
(322540,48535,'Cannot be modified except by direct means',100,2,4),
(322541,48535,'Grants a total of 200 triggers of the spell.',100,2,5),
(322542,10048535,'Applies withering spirit when Activated.  Lasts for 12 hours.',100,0,0),
(322543,10048535,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(322544,10048535,'Inflicts 136 poison damage on target instantly and every 6 seconds',100,2,2),
(322545,10048535,'Inflicts 51 poison damage on target',100,2,3),
(322546,10048535,'Cannot be modified except by direct means',100,2,4),
(322547,10048535,'Grants a total of 200 triggers of the spell.',100,2,5),
(322548,80070,'When Equipped:',100,0,0),
(322549,80070,'On any combat or spell hit this spell may cast Aftermath on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(322550,80070,'Decreases Potency of target by 10.0%',100,2,2),
(322551,80070,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,3),
(322552,80070,'Inflicts an additional 2664 heat damage on target every tick',100,2,4),
(322553,80070,'Must not be engaged in pvp combat',100,2,5),
(322554,80070,'Cannot be modified except by direct means',100,2,6),
(322555,80070,'Must not be engaged in pvp combat',100,1,7),
(322556,10080070,'When Equipped:',100,0,0),
(322557,10080070,'On any combat or spell hit this spell may cast Aftermath on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(322558,10080070,'Decreases Potency of target by 10.0%',100,2,2),
(322559,10080070,'Inflicts 6926 heat damage on target instantly and every 4 seconds',100,2,3),
(322560,10080070,'Inflicts an additional 2664 heat damage on target every tick',100,2,4),
(322561,10080070,'Must not be engaged in pvp combat',100,2,5),
(322562,10080070,'Cannot be modified except by direct means',100,2,6),
(322563,10080070,'Must not be engaged in pvp combat',100,1,7),
(322564,122302,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(322565,122302,'Inflicts 157 - 192 mental damage on target',100,2,1),
(322566,122302,'Grants a total of 3 triggers of the spell.',100,2,2),
(322567,10122302,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(322568,10122302,'Inflicts 204 - 250 mental damage on target',100,2,1),
(322569,10122302,'Grants a total of 3 triggers of the spell.',100,2,2),
(322570,146312,'When Equipped:',100,0,0),
(322571,146312,'When damaged this spell has a 5% chance to cast Skin like Stone on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(322572,146312,'Wards caster against 150 points of all damage',100,2,2),
(322573,146312,'Increases Hate Gain of caster by 10.0%',100,2,3),
(322574,146312,'Cannot be modified except by direct means',100,2,4),
(322575,10146312,'When Equipped:',100,0,0),
(322576,10146312,'When damaged this spell has a 5% chance to cast Skin like Stone on caster.  Lasts for 24.0 seconds.  ',100,1,1),
(322577,10146312,'Wards caster against 150 points of all damage',100,2,2),
(322578,10146312,'Cannot be modified except by direct means',100,2,3),
(322579,117578,'Decreases Parry of target by 28.4',100,1,0),
(322580,117578,'Inflicts 219 - 365 melee damage on target',100,1,1),
(322581,117578,'Must be in front of or flanking',100,1,2),
(322582,10117578,'Decreases Parry of target by 28.4',100,1,0),
(322583,10117578,'Inflicts 285 - 475 melee damage on target',100,1,1),
(322584,10117578,'Must be in front of or flanking',100,1,2),
(322585,123874,'Increases AGI of caster by 71.4',100,1,0),
(322586,123874,'Adds 17.2% to base avoidance.',100,1,1),
(322587,123874,'Increases Damage Per Second of caster by 53.4',100,1,2),
(322588,123874,'Increases Mitigation of caster vs physical damage by 608',100,1,3),
(322589,123874,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,4),
(322590,10123874,'Increases AGI of caster by 71.4',100,1,0),
(322591,10123874,'Adds 17.2% to base avoidance.',100,1,1),
(322592,10123874,'Increases Damage Per Second of caster by 53.4',100,1,2),
(322593,10123874,'Increases Mitigation of caster vs physical damage by 608',100,1,3),
(322594,10123874,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,4),
(322595,159346,'Applies Lambent Imbued when Equipped.',100,0,0),
(322596,159346,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(322597,159346,'Heals target for 74 instantly and every 4 seconds',100,2,2),
(322598,159346,'Cannot be modified except by direct means',100,2,3),
(322599,10159346,'Applies Lambent Imbued when Equipped.',100,0,0),
(322600,10159346,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(322601,10159346,'Heals target for 48 instantly and every 4 seconds',100,2,2),
(322602,10159346,'Cannot be modified except by direct means',100,2,3),
(322603,173462,'When Equipped:',100,0,0),
(322604,173462,'Increases the caster''s heals and wards by 5%.',100,1,1),
(322605,173462,'Must not be engaged in pvp combat',100,1,2),
(322606,10173462,'When Equipped:',100,0,0),
(322607,10173462,'Increases the caster''s heals and wards by 5%.',100,1,1),
(322608,10173462,'Must not be engaged in pvp combat',100,1,2),
(322609,85936,'When Equipped:',100,0,0),
(322610,85936,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(322611,85936,'Increases power of caster by 71',100,2,2),
(322612,85936,'Cannot be modified except by direct means',100,2,3),
(322613,10085936,'When Equipped:',100,0,0),
(322614,10085936,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(322615,10085936,'Increases power of caster by 71',100,2,2),
(322616,10085936,'Cannot be modified except by direct means',100,2,3),
(322617,36649,'Increases AGI and STA of target by 4.6',100,0,0),
(322618,36649,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(322619,48699,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(322620,48699,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(322621,48699,'Inflicts 58 poison damage on target',100,2,2),
(322622,48699,'Inflicts 51 poison damage on target instantly and every 6 seconds',100,2,3),
(322623,48699,'Cannot be modified except by direct means',100,2,4),
(322624,48699,'Grants a total of 200 triggers of the spell.',100,2,5),
(322625,10048699,'Applies draconian backlash when Activated.  Lasts for 12 hours.',100,0,0),
(322626,10048699,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(322627,10048699,'Inflicts 57 poison damage on target',100,2,2),
(322628,10048699,'Inflicts 50 poison damage on target instantly and every 6 seconds',100,2,3),
(322629,10048699,'Cannot be modified except by direct means',100,2,4),
(322630,10048699,'Grants a total of 200 triggers of the spell.',100,2,5),
(322631,80548,'When Equipped:',100,0,0),
(322632,80548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322633,80548,'Inflicts 80 - 149 magic damage on target',100,2,2),
(322634,80548,'Cannot be modified except by direct means',100,2,3),
(322635,10080548,'When Equipped:',100,0,0),
(322636,10080548,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322637,10080548,'Inflicts 104 - 193 magic damage on target',100,2,2),
(322638,10080548,'Cannot be modified except by direct means',100,2,3),
(322639,116588,'Inflicts 98 - 164 divine damage on target',100,1,0),
(322640,10116588,'Inflicts 128 - 213 divine damage on target',100,1,0),
(322641,108861,'Inflicts 159 - 266 melee damage on target',100,1,0),
(322642,108861,'Inflicts 159 - 266 melee damage on target',100,1,1),
(322643,108861,'Inflicts 159 - 266 melee damage on target',100,1,2),
(322644,108861,'Inflicts 159 - 266 melee damage on target',100,1,3),
(322645,108861,'Inflicts 159 - 266 melee damage on target',100,1,4),
(322646,10108861,'Inflicts 207 - 346 melee damage on target',100,1,0),
(322647,10108861,'Inflicts 207 - 346 melee damage on target',100,1,1),
(322648,10108861,'Inflicts 207 - 346 melee damage on target',100,1,2),
(322649,10108861,'Inflicts 207 - 346 melee damage on target',100,1,3),
(322650,10108861,'Inflicts 207 - 346 melee damage on target',100,1,4),
(322651,114135,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(322652,114135,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(322653,10114135,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(322654,10114135,'Increases Mitigation of group members (AE) vs elemental damage by 605',100,1,1),
(322655,81426,'When Equipped:',100,0,0),
(322656,81426,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322657,81426,'Decreases Threat to target by 352 ',100,2,2),
(322658,81426,'Must be flanking or behind',100,3,3),
(322659,81426,'Increases Threat to target by 352 ',100,2,4),
(322660,81426,'Must be in front of',100,3,5),
(322661,81426,'Inflicts 80 - 149 magic damage on target',100,2,6),
(322662,81426,'Cannot be modified except by direct means',100,2,7),
(322663,10081426,'When Equipped:',100,0,0),
(322664,10081426,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322665,10081426,'Inflicts 104 - 193 magic damage on target',100,2,2),
(322666,10081426,'Cannot be modified except by direct means',100,2,3),
(322667,103140,'Throws target back',100,1,0),
(322668,103140,'If Target is not Epic',100,2,1),
(322669,103140,'Inflicts 5 - 15 crushing damage on target',100,1,2),
(322670,103140,'Stuns target',100,1,3),
(322671,103140,'If Target is not Epic',100,2,4),
(322672,103140,'Resistibility increases against targets higher than level 31.',100,1,5),
(322673,10103140,'Throws target back',100,1,0),
(322674,10103140,'If Target is not Epic',100,2,1),
(322675,10103140,'Inflicts 6 - 20 crushing damage on target',100,1,2),
(322676,10103140,'Stuns target',100,1,3),
(322677,10103140,'If Target is not Epic',100,2,4),
(322678,10103140,'Resistibility increases against targets higher than level 31.',100,1,5),
(322679,24731,'Adds Tundric Outrider to your Dungeon Maker toolbox',100,0,0),
(322680,10024731,'Adds Tundric Outrider to your Dungeon Maker toolbox',100,0,0),
(322681,115574,'Interrupts target encounter',100,1,0),
(322682,115574,'Decreases Threat to target encounter by 169 - 206 ',100,1,1),
(322683,115574,'Dazes target encounter',100,1,2),
(322684,115574,'If Target is not Epic',100,2,3),
(322685,115574,'Resistibility increases against targets higher than level 53.',100,1,4),
(322686,10115574,'Interrupts target encounter',100,1,0),
(322687,10115574,'Dazes target encounter',100,1,1),
(322688,10115574,'If Target is not Epic',100,2,2),
(322689,10115574,'Resistibility increases against targets higher than level 53.',100,1,3),
(322690,48604,'Applies Totem of the Jaguar when Activated.  Lasts for 15 minutes.',100,0,0),
(322691,48604,'Grants stealth to caster',100,1,1),
(322692,48604,'Suspends caster''s movement speed enhancements',100,1,2),
(322693,48604,'Dispelled when target takes damage',100,1,3),
(322694,48604,'This effect cancels during combat',100,1,4),
(322695,48604,'Only affects targets level 30 and above',100,1,5),
(322696,10048604,'Applies Totem of the Jaguar when Activated.  Lasts for 15 minutes.',100,0,0),
(322697,10048604,'Grants stealth to caster',100,1,1),
(322698,10048604,'Suspends caster''s movement speed enhancements',100,1,2),
(322699,10048604,'Dispelled when target takes damage',100,1,3),
(322700,10048604,'This effect cancels during combat',100,1,4),
(322701,10048604,'Only affects targets level 30 and above',100,1,5),
(322702,73261,'Applies Frost Blast when Activated.',100,0,0),
(322703,73261,'Inflicts 78 - 129 cold damage on target',100,1,1),
(322704,73261,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(322705,10073261,'Applies Frost Blast when Activated.',100,0,0),
(322706,10073261,'Inflicts 101 - 168 cold damage on target',100,1,1),
(322707,10073261,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(322708,123651,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(322709,123651,'Slows target by 39.0%',100,2,1),
(322710,123651,'5% chance to dispel when target receives hostile action',100,2,2),
(322711,123651,'5% chance to dispel when target takes damage',100,2,3),
(322712,123651,'Inflicts 233 - 285 cold damage on target',100,1,4),
(322713,10123651,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(322714,10123651,'Slows target by 39.0%',100,2,1),
(322715,10123651,'5% chance to dispel when target receives hostile action',100,2,2),
(322716,10123651,'5% chance to dispel when target takes damage',100,2,3),
(322717,10123651,'Inflicts 260 - 318 cold damage on target',100,1,4),
(322718,45883,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(322719,45883,'Increases power of caster by 82 instantly and every 4 seconds',100,1,1),
(322720,45883,'Requires 715 Health to cast.',100,1,2),
(322721,10045883,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(322722,10045883,'Increases power of caster by 82 instantly and every 4 seconds',100,1,1),
(322723,10045883,'Requires 715 Health to cast.',100,1,2),
(322724,144098,'When Equipped:',100,0,0),
(322725,144098,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(322726,144098,'Increases power of caster by 272',100,2,2),
(322727,144098,'Cannot be modified except by direct means',100,2,3),
(322728,10144098,'When Equipped:',100,0,0),
(322729,10144098,'On a spell cast this spell may cast Manawell on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(322730,10144098,'Increases power of caster by 272',100,2,2),
(322731,10144098,'Cannot be modified except by direct means',100,2,3),
(322732,122470,'Inflicts 1802 - 3003 magic damage on target',100,1,0),
(322733,10122470,'Inflicts 2343 - 3904 magic damage on target',100,1,0),
(322734,124230,'Decreases Attack Speed of caster by 16.9',100,1,0),
(322735,124230,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(322736,124230,'Slows targets in Area of Effect by 41.6%',100,2,2),
(322737,124230,'5% chance to dispel when target receives hostile action',100,2,3),
(322738,124230,'5% chance to dispel when target takes damage',100,2,4),
(322739,124230,'Increases Mitigation of caster vs physical damage by 656',100,1,5),
(322740,10124230,'Decreases Attack Speed of caster by 16.9',100,1,0),
(322741,10124230,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(322742,10124230,'Slows targets in Area of Effect by 31.2%',100,2,2),
(322743,10124230,'5% chance to dispel when target receives hostile action',100,2,3),
(322744,10124230,'5% chance to dispel when target takes damage',100,2,4),
(322745,10124230,'Increases Mitigation of caster vs physical damage by 656',100,1,5),
(322746,110197,'Interrupts target',100,1,0),
(322747,110197,'Inflicts 16 - 26 crushing damage on target',100,1,1),
(322748,10110197,'Interrupts target',100,1,0),
(322749,10110197,'Inflicts 20 - 34 crushing damage on target',100,1,1),
(322750,72339,'When Equipped:',100,0,0),
(322751,72339,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322752,72339,'Inflicts 53 - 89 piercing damage on target',100,2,2),
(322753,72339,'Inflicts 53 - 89 magic damage on target',100,2,3),
(322754,72339,'Inflicts 53 - 89 divine damage on target',100,2,4),
(322755,72339,'Must not be engaged in pvp combat',100,2,5),
(322756,72339,'Cannot be modified except by direct means',100,2,6),
(322757,72339,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(322758,72339,'Inflicts 53 - 89 piercing damage on target',100,2,8),
(322759,72339,'Inflicts 53 - 89 magic damage on target',100,2,9),
(322760,72339,'Inflicts 53 - 89 divine damage on target',100,2,10),
(322761,72339,'Must not be engaged in pvp combat',100,2,11),
(322762,72339,'Cannot be modified except by direct means',100,2,12),
(322763,72339,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(322764,72339,'Inflicts 53 - 89 piercing damage on target',100,2,14),
(322765,72339,'Inflicts 53 - 89 magic damage on target',100,2,15),
(322766,72339,'Inflicts 53 - 89 divine damage on target',100,2,16),
(322767,72339,'Must not be engaged in pvp combat',100,2,17),
(322768,72339,'Cannot be modified except by direct means',100,2,18),
(322769,72339,'Must not be engaged in pvp combat',100,1,19),
(322770,10072339,'When Equipped:',100,0,0),
(322771,10072339,'On a ranged hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(322772,10072339,'Inflicts 69 - 115 piercing damage on target',100,2,2),
(322773,10072339,'Inflicts 69 - 115 magic damage on target',100,2,3),
(322774,10072339,'Inflicts 69 - 115 divine damage on target',100,2,4),
(322775,10072339,'Must not be engaged in pvp combat',100,2,5),
(322776,10072339,'Cannot be modified except by direct means',100,2,6),
(322777,10072339,'On a hit this spell may cast Ethereal Needles on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(322778,10072339,'Inflicts 69 - 115 piercing damage on target',100,2,8),
(322779,10072339,'Inflicts 69 - 115 magic damage on target',100,2,9),
(322780,10072339,'Inflicts 69 - 115 divine damage on target',100,2,10),
(322781,10072339,'Must not be engaged in pvp combat',100,2,11),
(322782,10072339,'Cannot be modified except by direct means',100,2,12),
(322783,10072339,'On a hostile spell cast this spell may cast Ethereal Needles on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(322784,10072339,'Inflicts 69 - 115 piercing damage on target',100,2,14),
(322785,10072339,'Inflicts 69 - 115 magic damage on target',100,2,15),
(322786,10072339,'Inflicts 69 - 115 divine damage on target',100,2,16),
(322787,10072339,'Must not be engaged in pvp combat',100,2,17),
(322788,10072339,'Cannot be modified except by direct means',100,2,18),
(322789,10072339,'Must not be engaged in pvp combat',100,1,19),
(322790,89875,'When Equipped:',100,0,0),
(322791,89875,'On any combat or spell hit this spell has a 15% chance to cast Flux Fusion on target of attack.  Lasts for 6.0 seconds.  ',100,1,1),
(322792,89875,'On death this spell will cast Flux Fusion on caster.  ',100,2,2),
(322793,89875,'Inflicts 1787 - 2185 heat damage on targets in Area of Effect',100,3,3),
(322794,89875,'Cannot be modified except by direct means',100,2,4),
(322795,10089875,'When Equipped:',100,0,0),
(322796,10089875,'On any combat or spell hit this spell has a 15% chance to cast Flux Fusion on target of attack.  Lasts for 6.0 seconds.  ',100,1,1),
(322797,10089875,'On death this spell will cast Icicle Explosion on caster.  ',100,2,2),
(322798,10089875,'Inflicts 1721 cold damage on targets in Area of Effect',100,3,3),
(322799,10089875,'Cannot be modified except by direct means',100,2,4),
(322800,24546,'Adds Mistmoore: Red, Gold-trimmed Master Bed to your Dungeon Maker toolbox',100,0,0),
(322801,10024546,'Adds Mistmoore: Red, Gold-trimmed Master Bed to your Dungeon Maker toolbox',100,0,0),
(322802,121609,'Roots targets in Area of Effect',100,1,0),
(322803,121609,'Decreases Threat to targets in Area of Effect by 455 ',100,1,1),
(322804,121609,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(322805,10121609,'Roots targets in Area of Effect',100,1,0),
(322806,10121609,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,1),
(322807,80318,'When Equipped:',100,0,0),
(322808,80318,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322809,80318,'Decreases Threat to target by 236 ',100,2,2),
(322810,80318,'Must be flanking or behind',100,3,3),
(322811,80318,'Increases Threat to target by 236 ',100,2,4),
(322812,80318,'Must be in front of',100,3,5),
(322813,80318,'Inflicts 56 - 103 magic damage on target',100,2,6),
(322814,80318,'Cannot be modified except by direct means',100,2,7),
(322815,10080318,'When Equipped:',100,0,0),
(322816,10080318,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322817,10080318,'Inflicts 72 - 134 magic damage on target',100,2,2),
(322818,10080318,'Cannot be modified except by direct means',100,2,3),
(322819,46711,'Applies Jar of Spiders when Activated.  Lasts for 45.0 seconds.',100,0,0),
(322820,46711,'Summons a limited pet to aid the caster',100,1,1),
(322821,46711,'Summons 2 limited pets to aid the caster',100,1,2),
(322822,10046711,'Applies Jar of Spiders when Activated.  Lasts for 45.0 seconds.',100,0,0),
(322823,10046711,'Summons a limited pet to aid the caster',100,1,1),
(322824,10046711,'Summons 2 limited pets to aid the caster',100,1,2),
(322825,103182,'Increases Mitigation of caster vs physical damage by 156',100,1,0),
(322826,103182,'Roots caster',100,1,1),
(322827,10103182,'Increases Mitigation of caster vs physical damage by 156',100,1,0),
(322828,10103182,'Roots caster',100,1,1),
(322829,177476,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(322830,177476,'Decreases Attack Speed of target by 17.4',100,1,1),
(322831,177476,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(322832,10177476,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(322833,10177476,'Decreases Attack Speed of target by 17.4',100,1,1),
(322834,10177476,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(322835,161052,'When Equipped:',100,0,0),
(322836,161052,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(322837,161052,'Makes target immune to Stifle effects',100,2,2),
(322838,161052,'Cannot be modified except by direct means',100,2,3),
(322839,10161052,'When Equipped:',100,0,0),
(322840,10161052,'When any damage is received this spell has a 5% chance to cast Stifling Feedback on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(322841,10161052,'Makes target immune to Stifle effects',100,2,2),
(322842,10161052,'Cannot be modified except by direct means',100,2,3),
(322843,117480,'Inflicts 22 - 37 melee damage on target',100,1,0),
(322844,117480,'Inflicts 22 - 37 melee damage on target',100,1,1),
(322845,117480,'Inflicts 22 - 37 melee damage on target',100,1,2),
(322846,117480,'Inflicts 22 - 37 melee damage on target',100,1,3),
(322847,117480,'If facing target',100,1,4),
(322848,10117480,'Inflicts 29 - 49 melee damage on target',100,1,0),
(322849,10117480,'Inflicts 29 - 49 melee damage on target',100,1,1),
(322850,10117480,'Inflicts 29 - 49 melee damage on target',100,1,2),
(322851,10117480,'Inflicts 29 - 49 melee damage on target',100,1,3),
(322852,10117480,'If facing target',100,1,4),
(322853,119080,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(322854,119080,'Increases Parry and Deflection of group members (AE) by 10.6',100,1,1),
(322855,119080,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(322856,119080,'Decreases Threat to target encounter by 422 - 516 ',100,2,3),
(322857,119080,'If not fighter',100,3,4),
(322858,119080,'Increases Threat to target encounter by 422 - 516 ',100,2,5),
(322859,119080,'If fighter',100,3,6),
(322860,119080,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(322861,119080,'Decreases Threat to target encounter by 422 - 516 ',100,2,8),
(322862,119080,'If not fighter',100,3,9),
(322863,119080,'Increases Threat to target encounter by 422 - 516 ',100,2,10),
(322864,119080,'If fighter',100,3,11),
(322865,10119080,'Increases group members (AE)''s chance to block by 12.0%',100,1,0),
(322866,10119080,'Increases Parry and Deflection of group members (AE) by 10.6',100,1,1),
(322867,10119080,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(322868,10119080,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(322869,41458,'When Equipped:',100,0,0),
(322870,41458,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322871,41458,'Inflicts 42 - 77 magic damage on target',100,2,2),
(322872,41458,'Cannot be modified except by direct means',100,2,3),
(322873,10041458,'When Equipped:',100,0,0),
(322874,10041458,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(322875,10041458,'Inflicts 54 - 100 magic damage on target',100,2,2),
(322876,10041458,'Cannot be modified except by direct means',100,2,3),
(322877,110422,'Inflicts 2449 - 4082 disease damage on target',100,1,0),
(322878,10110422,'Inflicts 2183 - 3638 disease damage on target',100,1,0),
(322879,37009,'Increases AGI of target by 6.2',100,0,0),
(322880,37009,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(322881,121862,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(322882,121862,'Decreases Threat to target by 167 - 204 ',100,2,1),
(322883,121862,'If profession other than Fighter',100,3,2),
(322884,121862,'Inflicts 76 - 92 mental damage on target',100,2,3),
(322885,10121862,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(322886,10121862,'Inflicts 98 - 120 mental damage on target',100,2,1),
(322887,115109,'Summons 4 limited pets to aid the caster',100,1,0),
(322888,10115109,'Summons 4 limited pets to aid the caster',100,1,0),
(322889,112014,'Inflicts 350 - 583 piercing damage on target',100,1,0),
(322890,10112014,'Inflicts 455 - 759 piercing damage on target',100,1,0),
(322891,100221,'Increases Threat to target encounter by 941 - 1,151 ',100,1,0),
(322892,100221,'Interrupts target encounter',100,1,1),
(322893,10100221,'Interrupts target encounter',100,1,0),
(322894,10100221,'Forces target encounter to change their selected target to caster.',100,1,1),
(322895,10100221,'Prevents target encounter from changing targets',100,1,2),
(322896,178517,'Applies Enshrouding Darkness when Activated.  Lasts for 1 minute.',100,0,0),
(322897,178517,'Grants invisibility to caster',100,1,1),
(322898,178517,'Suspends caster''s movement speed enhancements',100,1,2),
(322899,178517,'Dispelled when target takes damage',100,1,3),
(322900,178517,'This effect cancels during combat',100,1,4),
(322901,178517,'The casting time of Enshrouding Darkness is 5.0 seconds and the reuse time of the spell is 30 minutes',100,1,5),
(322902,10178517,'Applies Enshrouding Darkness when Activated.  Lasts for 1 minute.',100,0,0),
(322903,10178517,'Grants invisibility to caster',100,1,1),
(322904,10178517,'Suspends caster''s movement speed enhancements',100,1,2),
(322905,10178517,'Dispelled when target takes damage',100,1,3),
(322906,10178517,'This effect cancels during combat',100,1,4),
(322907,10178517,'The casting time of Enshrouding Darkness is 5.0 seconds and the reuse time of the spell is 30 minutes',100,1,5),
(322908,52240,'When Equipped:',100,0,0),
(322909,52240,'On a critical healing spell cast this spell may cast Flour Power on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322910,52240,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(322911,52240,'Dispelled when target casts a heal spell',100,2,3),
(322912,52240,'Cannot be modified except by direct means',100,2,4),
(322913,10052240,'When Equipped:',100,0,0),
(322914,10052240,'On a critical healing spell cast this spell may cast Flour Power on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322915,10052240,'Increases the amount of your next healing spell or rune by 20%',100,2,2),
(322916,10052240,'Dispelled when target casts a heal spell',100,2,3),
(322917,10052240,'Cannot be modified except by direct means',100,2,4),
(322918,159103,'When Equipped:',100,0,0),
(322919,159103,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322920,159103,'Increases STR of caster by 14.8',100,2,2),
(322921,159103,'Increases Damage Per Second of caster by 19.0',100,2,3),
(322922,159103,'Cannot be modified except by direct means',100,2,4),
(322923,10159103,'When Equipped:',100,0,0),
(322924,10159103,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(322925,10159103,'Increases STR of caster by 14.8',100,2,2),
(322926,10159103,'Increases Damage Per Second of caster by 19.0',100,2,3),
(322927,10159103,'Cannot be modified except by direct means',100,2,4),
(322928,37396,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(322929,37396,'Increases Max Health of target by 30.1',100,0,1),
(322930,104737,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(322931,104737,'Decreases Mitigation of target vs elemental and arcane damage by 1280',100,2,1),
(322932,104737,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(322933,104737,'Decreases Mitigation of target vs elemental and arcane damage by 1280',100,2,3),
(322934,10104737,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(322935,10104737,'Decreases Mitigation of target vs elemental and arcane damage by 1280',100,2,1),
(322936,10104737,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(322937,10104737,'Decreases Mitigation of target vs elemental and arcane damage by 1280',100,2,3),
(322938,82680,'When Equipped:',100,0,0),
(322939,82680,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322940,82680,'Decreases Threat to target by 259 ',100,2,2),
(322941,82680,'Must be flanking or behind',100,3,3),
(322942,82680,'Increases Threat to target by 259 ',100,2,4),
(322943,82680,'Must be in front of',100,3,5),
(322944,82680,'Inflicts 79 - 146 magic damage on target',100,2,6),
(322945,82680,'Cannot be modified except by direct means',100,2,7),
(322946,10082680,'When Equipped:',100,0,0),
(322947,10082680,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(322948,10082680,'Inflicts 102 - 190 magic damage on target',100,2,2),
(322949,10082680,'Cannot be modified except by direct means',100,2,3),
(322950,120029,'Inflicts 65 - 80 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(322951,120029,'Decreases power of target encounter by 22 instantly and every 4 seconds',100,1,1),
(322952,10120029,'Inflicts 85 - 104 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(322953,10120029,'Decreases power of target encounter by 22 instantly and every 4 seconds',100,1,1),
(322954,176631,'When Equipped:',100,0,0),
(322955,176631,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,1),
(322956,176631,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(322957,176631,'Inflicts 802 mental damage on target',100,2,3),
(322958,176631,'Must be classified as a goblin',100,3,4),
(322959,176631,'Inflicts 401 mental damage on target',100,2,5),
(322960,176631,'Must not be classified as a goblin',100,3,6),
(322961,176631,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(322962,176631,'Must be classified as a goblin',100,3,8),
(322963,176631,'Cannot be modified except by direct means',100,2,9),
(322964,10176631,'When Equipped:',100,0,0),
(322965,10176631,'Additional equipment with Goblin Bane improves this effect by 25% per piece.',100,1,1),
(322966,10176631,'On any combat or spell hit this spell may cast Greater Goblin Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,2),
(322967,10176631,'Inflicts 1043 mental damage on target',100,2,3),
(322968,10176631,'Must be classified as a goblin',100,3,4),
(322969,10176631,'Inflicts 521 mental damage on target',100,2,5),
(322970,10176631,'Must not be classified as a goblin',100,3,6),
(322971,10176631,'Decreases Mitigation of target vs arcane damage by 664',100,2,7),
(322972,10176631,'Must be classified as a goblin',100,3,8),
(322973,10176631,'Cannot be modified except by direct means',100,2,9),
(322974,111665,'Inflicts 327 - 400 cold damage on target encounter',100,1,0),
(322975,111665,'Slows target encounter by 45.2%',100,1,1),
(322976,111665,'5% chance to dispel when target takes damage',100,1,2),
(322977,111665,'5% chance to dispel when target receives hostile action',100,1,3),
(322978,10111665,'Inflicts 567 - 693 cold damage on target encounter',100,1,0),
(322979,10111665,'Slows target encounter by 45.2%',100,1,1),
(322980,10111665,'5% chance to dispel when target takes damage',100,1,2),
(322981,10111665,'5% chance to dispel when target receives hostile action',100,1,3),
(322982,24577,'Adds Myconoid (Assassin) to your Dungeon Maker toolbox',100,0,0),
(322983,10024577,'Adds Myconoid (Assassin) to your Dungeon Maker toolbox',100,0,0),
(322984,134688,'When Equipped:',100,0,0),
(322985,134688,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(322986,10134688,'When Equipped:',100,0,0),
(322987,10134688,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(322988,46562,'Applies Summon Graol when Activated.',100,0,0),
(322989,46562,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(322990,46562,'Increases Crit Chance of caster by 3.0',100,1,2),
(322991,46562,'Increases Max Health of caster by 200.0',100,1,3),
(322992,46562,'Summons a mount to ride',100,1,4),
(322993,46562,'Increases your ground speed by 130%',100,2,5),
(322994,10046562,'Applies Summon Graol when Activated.',100,0,0),
(322995,10046562,'Increases Crit Bonus of caster by 1.0%',100,1,1),
(322996,10046562,'Increases Crit Chance of caster by 3.0',100,1,2),
(322997,10046562,'Increases Max Health of caster by 200.0',100,1,3),
(322998,10046562,'Summons a mount to ride',100,1,4),
(322999,10046562,'Increases your ground speed by 130%',100,2,5),
(323000,103517,'Charms target',100,1,0),
(323001,103517,'If outside an arena',100,1,1),
(323002,103517,'Certain enemies cannot be charmed',100,1,2),
(323003,103517,'Does not affect Epic targets',100,1,3),
(323004,10103517,'Mesmerizes target',100,1,0),
(323005,10103517,'Prevents AOE (except when direct) ',100,1,1),
(323006,10103517,'Dispelled when target takes damage',100,1,2),
(323007,10103517,'If outside an arena',100,1,3),
(323008,10103517,'Certain enemies cannot be charmed',100,1,4),
(323009,10103517,'Does not affect Epic targets',100,1,5),
(323010,10103517,'Resistibility increases against targets higher than level 77.',100,1,6),
(323011,80283,'When Equipped:',100,0,0),
(323012,80283,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323013,80283,'Inflicts 152 - 283 magic damage on target',100,2,2),
(323014,80283,'Cannot be modified except by direct means',100,2,3),
(323015,10080283,'When Equipped:',100,0,0),
(323016,10080283,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323017,10080283,'Inflicts 198 - 368 magic damage on target',100,2,2),
(323018,10080283,'Cannot be modified except by direct means',100,2,3),
(323019,109509,'Inflicts 89 - 109 disease damage on target instantly and every 4 seconds',100,1,0),
(323020,109509,'Decreases Attack Speed of target by 9.6',100,1,1),
(323021,10109509,'Inflicts 116 - 142 disease damage on target instantly and every 4 seconds',100,1,0),
(323022,10109509,'Decreases Attack Speed of target by 9.6',100,1,1),
(323023,72327,'When Equipped:',100,0,0),
(323024,72327,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323025,72327,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(323026,72327,'Cannot be modified except by direct means',100,2,3),
(323027,10072327,'When Equipped:',100,0,0),
(323028,10072327,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323029,10072327,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(323030,10072327,'Cannot be modified except by direct means',100,2,3),
(323031,146208,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(323032,146208,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(323033,146208,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(323034,10146208,'Applies Rebuke of the Summoner when Activated.  Lasts for 20.0 seconds.',100,0,0),
(323035,10146208,'Exerts the summoner''s will upon the target, limiting their true power and making them extremely vulnerable to punishment.',100,1,1),
(323036,10146208,'The reuse time of Rebuke of the Summoner is 3 minutes',100,1,2),
(323037,109230,'Inflicts 37 - 62 melee damage on target',100,1,0),
(323038,10109230,'Inflicts 48 - 81 melee damage on target',100,1,0),
(323039,79365,'When Equipped:',100,0,0),
(323040,79365,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(323041,10079365,'When Equipped:',100,0,0),
(323042,10079365,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(323043,104916,'Inflicts 197 - 329 ranged damage on target',100,1,0),
(323044,104916,'Decreases Deflection and Parry of target by 19.4',100,1,1),
(323045,104916,'Requires bow',100,1,2),
(323046,10104916,'Inflicts 148 - 246 ranged damage on target',100,1,0),
(323047,10104916,'Decreases Deflection and Parry of target by 19.4',100,1,1),
(323048,10104916,'Requires bow',100,1,2),
(323049,112517,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(323050,112517,'Inflicts 122 disease damage on target instantly and every 4 seconds',100,2,1),
(323051,112517,'70% of target''s power consumed will also be drained from target''s health',100,2,2),
(323052,10112517,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(323053,10112517,'Inflicts 159 disease damage on target instantly and every 4 seconds',100,2,1),
(323054,10112517,'70% of target''s power consumed will also be drained from target''s health',100,2,2),
(323055,106055,'Increases AGI of caster by 52.9',100,1,0),
(323056,106055,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(323057,106055,'Inflicts 67 - 111 disease damage on target',100,2,2),
(323058,106055,'Adds 14.8% to base avoidance.',100,1,3),
(323059,106055,'Increases Mitigation of caster vs physical damage by 273',100,1,4),
(323060,106055,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,5),
(323061,10106055,'Increases AGI of caster by 52.9',100,1,0),
(323062,10106055,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(323063,10106055,'Inflicts 87 - 145 disease damage on target',100,2,2),
(323064,10106055,'Adds 14.8% to base avoidance.',100,1,3),
(323065,10106055,'Increases Mitigation of caster vs physical damage by 273',100,1,4),
(323066,10106055,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,5),
(323067,35103,'Increases STR of target by 8.4',100,0,0),
(323068,35103,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(323069,113187,'Inflicts 1014 disease damage on target',100,1,0),
(323070,113187,'Heals caster for 736',100,1,1),
(323071,10113187,'Inflicts 1318 disease damage on target',100,1,0),
(323072,10113187,'Heals caster for 622',100,1,1),
(323073,121480,'Inflicts 93 - 156 melee damage on target',100,1,0),
(323074,121480,'Decreases Defense of target by 4.3',100,1,1),
(323075,10121480,'Inflicts 121 - 203 melee damage on target',100,1,0),
(323076,10121480,'Decreases Defense of target by 4.3',100,1,1),
(323077,110564,'Decreases Attack Speed of target by 12.1',100,1,0),
(323078,110564,'Decreases Crushing, Slashing and Piercing of target by 1.7',100,1,1),
(323079,10110564,'Decreases Attack Speed of target by 12.1',100,1,0),
(323080,10110564,'Decreases Crushing, Slashing and Piercing of target by 1.7',100,1,1),
(323081,104247,'Increases Mitigation of group members (AE) vs physical damage by 330',100,1,0),
(323082,10104247,'Increases Mitigation of group members (AE) vs physical damage by 330',100,1,0),
(323083,46072,'Applies Elixir of Endurance when Activated.  Lasts for 30 minutes.',100,0,0),
(323084,46072,'Increases STA and STR of caster by 17.3',100,1,1),
(323085,10046072,'Applies Elixir of Endurance when Activated.  Lasts for 30 minutes.',100,0,0),
(323086,10046072,'Increases STA and STR of caster by 17.3',100,1,1),
(323087,159786,'Applies Sanguine Imbued when Equipped.',100,0,0),
(323088,159786,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(323089,159786,'Inflicts 228 heat damage on target',100,2,2),
(323090,159786,'Cannot be modified except by direct means',100,2,3),
(323091,10159786,'Applies Sanguine Imbued when Equipped.',100,0,0),
(323092,10159786,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(323093,10159786,'Inflicts 297 heat damage on target',100,2,2),
(323094,10159786,'Cannot be modified except by direct means',100,2,3),
(323095,115004,'Inflicts 508 - 847 ranged damage on targets in area',100,1,0),
(323096,115004,'You must be in stealth to use this!',100,1,1),
(323097,115004,'Requires bow',100,1,2),
(323098,10115004,'Inflicts 381 - 635 ranged damage on targets in area',100,1,0),
(323099,10115004,'You must be in stealth to use this!',100,1,1),
(323100,10115004,'Requires bow',100,1,2),
(323101,35377,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(323102,119822,'Dazes target',100,1,0),
(323103,119822,'Does not affect Epic targets',100,1,1),
(323104,119822,'Resistibility increases against targets higher than level 36.',100,1,2),
(323105,10119822,'Dazes target',100,1,0),
(323106,10119822,'Does not affect Epic targets',100,1,1),
(323107,10119822,'Resistibility increases against targets higher than level 36.',100,1,2),
(323108,107562,'Heals target for 181 - 222',100,1,0),
(323109,107562,'Heals target for 23 - 29 every second',100,1,1),
(323110,10107562,'Heals target for 118 - 144',100,1,0),
(323111,10107562,'Heals target for 15 - 19 every second',100,1,1),
(323112,51082,'When Equipped:',100,0,0),
(323113,51082,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323114,51082,'Inflicts 1192 disease damage on target encounter',100,2,2),
(323115,51082,'Must not be engaged in pvp combat',100,2,3),
(323116,51082,'Cannot be modified except by direct means',100,2,4),
(323117,10051082,'When Equipped:',100,0,0),
(323118,10051082,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323119,10051082,'Inflicts 775 disease damage on target encounter',100,2,2),
(323120,10051082,'Must not be engaged in pvp combat',100,2,3),
(323121,10051082,'Cannot be modified except by direct means',100,2,4),
(323122,120427,'Inflicts 119 - 199 melee damage on target',100,1,0),
(323123,120427,'Inflicts 119 - 199 melee damage on target',100,1,1),
(323124,10120427,'Inflicts 155 - 259 melee damage on target',100,1,0),
(323125,10120427,'Inflicts 155 - 259 melee damage on target',100,1,1),
(323126,115590,'Interrupts target encounter',100,1,0),
(323127,115590,'Decreases Threat to target encounter by 582 - 711 ',100,1,1),
(323128,115590,'Dazes target encounter',100,1,2),
(323129,115590,'If Target is not Epic',100,2,3),
(323130,115590,'Resistibility increases against targets higher than level 95.',100,1,4),
(323131,10115590,'Interrupts target encounter',100,1,0),
(323132,10115590,'Dazes target encounter',100,1,1),
(323133,10115590,'If Target is not Epic',100,2,2),
(323134,10115590,'Resistibility increases against targets higher than level 95.',100,1,3),
(323135,170416,'When Equipped:',100,0,0),
(323136,170416,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(323137,170416,'Increases Ability Modifier of caster by 660.0',100,2,2),
(323138,170416,'Must not be engaged in pvp combat',100,2,3),
(323139,170416,'Cannot be modified except by direct means',100,2,4),
(323140,170416,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(323141,170416,'Increases Ability Modifier of caster by 660.0',100,2,6),
(323142,170416,'Must not be engaged in pvp combat',100,2,7),
(323143,170416,'Cannot be modified except by direct means',100,2,8),
(323144,170416,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(323145,170416,'Cannot be modified except by direct means',100,1,10),
(323146,10170416,'When Equipped:',100,0,0),
(323147,10170416,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(323148,10170416,'Increases Ability Modifier of caster by 660.0',100,2,2),
(323149,10170416,'Must not be engaged in pvp combat',100,2,3),
(323150,10170416,'Cannot be modified except by direct means',100,2,4),
(323151,10170416,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(323152,10170416,'Increases Ability Modifier of caster by 660.0',100,2,6),
(323153,10170416,'Must not be engaged in pvp combat',100,2,7),
(323154,10170416,'Cannot be modified except by direct means',100,2,8),
(323155,10170416,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(323156,10170416,'Cannot be modified except by direct means',100,1,10),
(323157,114247,'Inflicts 433 - 529 mental damage on target',100,1,0),
(323158,114247,'Stuns target',100,1,1),
(323159,114247,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(323160,114247,'Resistibility increases against targets higher than level 98.',100,1,3),
(323161,10114247,'Inflicts 563 - 688 mental damage on target',100,1,0),
(323162,10114247,'Requires not being affected by Mesmerize effects.',100,2,1),
(323163,10114247,'Stuns target',100,1,2),
(323164,10114247,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(323165,10114247,'Resistibility increases against targets higher than level 98.',100,1,4),
(323166,81486,'When Equipped:',100,0,0),
(323167,81486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323168,81486,'Inflicts 72 - 134 magic damage on target',100,2,2),
(323169,81486,'Cannot be modified except by direct means',100,2,3),
(323170,10081486,'When Equipped:',100,0,0),
(323171,10081486,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323172,10081486,'Inflicts 94 - 174 magic damage on target',100,2,2),
(323173,10081486,'Cannot be modified except by direct means',100,2,3),
(323174,85360,'Applies Poison Bolt when Activated.',100,0,0),
(323175,85360,'Inflicts 328 - 547 poison damage on target',100,1,1),
(323176,85360,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(323177,10085360,'Applies Poison Bolt when Activated.',100,0,0),
(323178,10085360,'Inflicts 427 - 711 poison damage on target',100,1,1),
(323179,10085360,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(323180,46183,'Applies Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(323181,46183,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(323182,46183,'Inflicts 15 magic damage on target',100,2,2),
(323183,46183,'Cannot be modified except by direct means',100,2,3),
(323184,46183,'Only affects targets level 50 and above',100,1,4),
(323185,10046183,'Applies Essence of Quills when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(323186,10046183,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(323187,10046183,'Inflicts 20 magic damage on target',100,2,2),
(323188,10046183,'Cannot be modified except by direct means',100,2,3),
(323189,10046183,'Only affects targets level 50 and above',100,1,4),
(323190,41687,'When Equipped:',100,0,0),
(323191,41687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323192,41687,'Inflicts 108 - 200 magic damage on target',100,2,2),
(323193,41687,'Cannot be modified except by direct means',100,2,3),
(323194,10041687,'When Equipped:',100,0,0),
(323195,10041687,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323196,10041687,'Inflicts 140 - 260 magic damage on target',100,2,2),
(323197,10041687,'Cannot be modified except by direct means',100,2,3),
(323198,47963,'Applies Draw upon Essence when Activated.',100,0,0),
(323199,47963,'Increases power of caster by 635',100,1,1),
(323200,47963,'Requires 715 Health to cast.',100,1,2),
(323201,10047963,'Applies Draw upon Essence when Activated.',100,0,0),
(323202,10047963,'Increases power of caster by 635',100,1,1),
(323203,10047963,'Requires 715 Health to cast.',100,1,2),
(323204,115137,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(323205,115137,'Heals target for 1050',100,2,1),
(323206,115137,'Heals target for 262 every 2 seconds',100,2,2),
(323207,115137,'Increases WIS of target by 92.4',100,2,3),
(323208,115137,'Grants a total of 1 trigger of the spell.',100,2,4),
(323209,10115137,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',100,1,0),
(323210,10115137,'Heals target for 683',100,2,1),
(323211,10115137,'Heals target for 170 every 2 seconds',100,2,2),
(323212,10115137,'Increases WIS of target by 92.4',100,2,3),
(323213,10115137,'Grants a total of 1 trigger of the spell.',100,2,4),
(323214,120827,'Inflicts 14 - 19 disease damage on target instantly and every second',100,1,0),
(323215,10120827,'Inflicts 26 - 35 disease damage on target',100,1,0),
(323216,10120827,'Inflicts 19 - 25 disease damage on target every second',100,1,1),
(323217,114968,'Decreases Attack Speed of target by 10.8',100,1,0),
(323218,114968,'Inflicts 49 - 148 slashing damage on target',100,1,1),
(323219,114968,'Inflicts 99 slashing damage on target instantly and every 4 seconds',100,1,2),
(323220,10114968,'Decreases Attack Speed of target by 10.8',100,1,0),
(323221,10114968,'Inflicts 64 - 192 slashing damage on target',100,1,1),
(323222,10114968,'Inflicts 128 slashing damage on target instantly and every 4 seconds',100,1,2),
(323223,106988,'Inflicts 911 - 1692 poison damage on target',100,1,0),
(323224,106988,'Increases power of caster by 90',100,1,1),
(323225,10106988,'Inflicts 1184 - 2200 poison damage on target',100,1,0),
(323226,10106988,'Increases power of caster by 90',100,1,1),
(323227,37081,'Increases Max Power of target by 22.8',100,0,0),
(323228,37081,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(323229,42541,'When Equipped:',100,0,0),
(323230,42541,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323231,42541,'Inflicts 44 - 66 magic damage on target',100,2,2),
(323232,42541,'Cannot be modified except by direct means',100,2,3),
(323233,10042541,'When Equipped:',100,0,0),
(323234,10042541,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323235,10042541,'Inflicts 57 - 86 magic damage on target',100,2,2),
(323236,10042541,'Cannot be modified except by direct means',100,2,3),
(323237,120149,'Decreases STR and INT of target by 62.9',100,1,0),
(323238,120149,'Increases STR and INT of caster by 62.9',100,1,1),
(323239,10120149,'Decreases STR and INT of target by 62.9',100,1,0),
(323240,10120149,'Increases STR and INT of caster by 62.9',100,1,1),
(323241,80226,'When Equipped:',100,0,0),
(323242,80226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323243,80226,'Inflicts 169 - 314 magic damage on target',100,2,2),
(323244,80226,'Cannot be modified except by direct means',100,2,3),
(323245,10080226,'When Equipped:',100,0,0),
(323246,10080226,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323247,10080226,'Inflicts 220 - 408 magic damage on target',100,2,2),
(323248,10080226,'Cannot be modified except by direct means',100,2,3),
(323249,118259,'Increases Threat to target encounter by 328 - 401 ',100,1,0),
(323250,118259,'Decreases Mitigation of target encounter vs arcane damage by 432',100,1,1),
(323251,10118259,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(323252,10118259,'Prevents target from changing targets',100,2,1),
(323253,10118259,'Forces target to change their selected target to caster.',100,2,2),
(323254,10118259,'Decreases Mitigation of target encounter vs arcane damage by 432',100,1,3),
(323255,113117,'Decreases Attack Speed of target encounter by 16.2',100,1,0),
(323256,10113117,'Decreases Attack Speed of target encounter by 16.2',100,1,0),
(323257,123895,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(323258,123895,'Slows target by 59.5%',100,2,1),
(323259,123895,'5% chance to dispel when target receives hostile action',100,2,2),
(323260,123895,'5% chance to dispel when target takes damage',100,2,3),
(323261,123895,'Decreases Mitigation of target vs elemental and noxious damage by 576',100,1,4),
(323262,10123895,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(323263,10123895,'Slows target by 59.5%',100,2,1),
(323264,10123895,'5% chance to dispel when target receives hostile action',100,2,2),
(323265,10123895,'5% chance to dispel when target takes damage',100,2,3),
(323266,10123895,'Decreases Mitigation of target vs elemental and noxious damage by 576',100,1,4),
(323267,103244,'Reduces physical damage done to caster by 5%',100,1,0),
(323268,103244,'Adds 1.7% to base avoidance.',100,1,1),
(323269,103244,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(323270,103244,'Increases Parry of caster by 19.1',100,1,3),
(323271,103244,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(323272,103244,'Increases Aggression of caster by 14.4',100,1,5),
(323273,103244,'Increases Defense and Deflection of caster by 19.1',100,1,6),
(323274,103244,'Increases Mitigation of caster vs noxious damage by 1276',100,1,7),
(323275,103244,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(323276,10103244,'Reduces physical damage done to caster by 5%',100,1,0),
(323277,10103244,'Adds 1.7% to base avoidance.',100,1,1),
(323278,10103244,'Caster will deflect 11.0% of incoming attacks.',100,1,2),
(323279,10103244,'Increases Parry of caster by 19.1',100,1,3),
(323280,10103244,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,4),
(323281,10103244,'Increases Aggression of caster by 14.4',100,1,5),
(323282,10103244,'Increases Defense and Deflection of caster by 19.1',100,1,6),
(323283,10103244,'Increases Mitigation of caster vs noxious damage by 1276',100,1,7),
(323284,10103244,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(323285,165390,'When Equipped:',100,0,0),
(323286,165390,'On a hostile spell cast this spell may cast Natural Spark on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(323287,165390,'Inflicts 109 heat damage on target',100,2,2),
(323288,165390,'Cannot be modified except by direct means',100,2,3),
(323289,10165390,'When Equipped:',100,0,0),
(323290,10165390,'On a hostile spell cast this spell may cast Natural Spark on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(323291,10165390,'Inflicts 142 heat damage on target',100,2,2),
(323292,10165390,'Cannot be modified except by direct means',100,2,3),
(323293,118809,'Wards group members (AE) against 105 points of physical damage',100,1,0),
(323294,118809,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,1),
(323295,10118809,'Wards group members (AE) against 105 points of physical damage',100,1,0),
(323296,10118809,'Increases Mitigation of group members (AE) vs physical damage by 982',100,1,1),
(323297,109206,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.6',100,1,0),
(323298,10109206,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.6',100,1,0),
(323299,118375,'Inflicts 211 - 353 melee damage on target',100,1,0),
(323300,118375,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(323301,118375,'Blurs vision of target',100,2,2),
(323302,118375,'Stuns target',100,2,3),
(323303,118375,'Throws target back',100,2,4),
(323304,118375,'Does not affect Epic targets',100,2,5),
(323305,10118375,'Inflicts 275 - 459 melee damage on target',100,1,0),
(323306,10118375,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(323307,10118375,'Stuns target',100,2,2),
(323308,10118375,'Blurs vision of target',100,2,3),
(323309,10118375,'Throws target back',100,2,4),
(323310,10118375,'Does not affect Epic targets',100,2,5),
(323311,87114,'When Equipped:',100,0,0),
(323312,87114,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323313,87114,'Inflicts 155 - 232 magic damage on target',100,2,2),
(323314,87114,'Cannot be modified except by direct means',100,2,3),
(323315,10087114,'When Equipped:',100,0,0),
(323316,10087114,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323317,10087114,'Inflicts 201 - 302 magic damage on target',100,2,2),
(323318,10087114,'Cannot be modified except by direct means',100,2,3),
(323319,109392,'Summons a pet Tribal Goblin',100,1,0),
(323320,10109392,'Summons a pet Tribal Goblin',100,1,0),
(323321,49122,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(323322,49122,'Inflicts 5 - 6 melee damage on target',100,1,1),
(323323,49122,'Inflicts 1 - 2 slashing damage on target every 4 seconds',100,1,2),
(323324,10049122,'Applies Barracuda Bite when Activated.  Lasts for 16.0 seconds.',100,0,0),
(323325,10049122,'Inflicts 6 - 8 melee damage on target',100,1,1),
(323326,10049122,'Inflicts 2 - 3 slashing damage on target every 4 seconds',100,1,2),
(323327,35166,'Increases STA of target by 10.5',100,0,0),
(323328,35166,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(323329,102894,'Heals caster for 333',100,1,0),
(323330,102894,'Inflicts 507 disease damage on targets in Area of Effect',100,1,1),
(323331,10102894,'Heals caster for 216',100,1,0),
(323332,10102894,'Inflicts 660 disease damage on targets in Area of Effect',100,1,1),
(323333,122232,'Increases Damage Per Second of target by 35.3',100,1,0),
(323334,122232,'Increases Max Health of target by 1,274.7',100,1,1),
(323335,10122232,'Increases Damage Per Second of target by 35.3',100,1,0),
(323336,10122232,'Increases Max Health of target by 1,274.7',100,1,1),
(323337,175291,'When Equipped:',100,0,0),
(323338,175291,'Increases Attack Speed of caster by 40.0',100,1,1),
(323339,10175291,'When Equipped:',100,0,0),
(323340,10175291,'Increases Attack Speed of caster by 40.0',100,1,1),
(323341,100721,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(323342,100721,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(323343,10100721,'Increases Max Health of group members (AE) by 161.7',100,1,0),
(323344,10100721,'Increases Mitigation of group members (AE) vs noxious damage by 605',100,1,1),
(323345,116854,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(323346,116854,'Inflicts 346 - 423 mental damage on target',100,2,1),
(323347,116854,'Grants a total of 3 triggers of the spell.',100,2,2),
(323348,10116854,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(323349,10116854,'Inflicts 450 - 550 mental damage on target',100,2,1),
(323350,10116854,'Grants a total of 3 triggers of the spell.',100,2,2),
(323351,150227,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(323352,150227,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(323353,150227,'Cannot be modified except by direct means',100,1,2),
(323354,10150227,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(323355,10150227,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(323356,10150227,'Cannot be modified except by direct means',100,1,2),
(323357,166392,'When Equipped:',100,0,0),
(323358,166392,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(323359,10166392,'When Equipped:',100,0,0),
(323360,10166392,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(323361,102499,'Inflicts 540 - 901 crushing damage on target',100,1,0),
(323362,102499,'Prevents target from changing direction while active.',100,1,1),
(323363,102499,'If Target is not Epic',100,2,2),
(323364,102499,'Roots target',100,1,3),
(323365,102499,'If Target is not Epic',100,2,4),
(323366,102499,'Resistibility increases against targets higher than level 104.',100,1,5),
(323367,10102499,'Inflicts 702 - 1171 crushing damage on target',100,1,0),
(323368,10102499,'Prevents target from changing direction while active.',100,1,1),
(323369,10102499,'If Target is not Epic',100,2,2),
(323370,10102499,'Roots target',100,1,3),
(323371,10102499,'If Target is not Epic',100,2,4),
(323372,10102499,'Resistibility increases against targets higher than level 104.',100,1,5),
(323373,26603,'When Equipped:',100,0,0),
(323374,26603,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,1),
(323375,26603,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(323376,10026603,'When Equipped:',100,0,0),
(323377,10026603,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,1),
(323378,10026603,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(323379,50421,'When Equipped:',100,0,0),
(323380,50421,'On a hostile spell cast this spell may cast Twisted Thoughts on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(323381,50421,'Decreases Threat to target by 1,250 ',100,2,2),
(323382,50421,'Cannot be modified except by direct means',100,2,3),
(323383,10050421,'When Equipped:',100,0,0),
(323384,10050421,'On a hostile spell cast this spell may cast Twisted Thoughts on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(323385,10050421,'Cannot be modified except by direct means',100,2,2),
(323386,111228,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(323387,111228,'Heals target for 148 - 181',100,2,1),
(323388,10111228,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',100,1,0),
(323389,10111228,'Heals target for 96 - 118',100,2,1),
(323390,108270,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(323391,108270,'Inflicts 140 heat damage on target',100,2,1),
(323392,108270,'Grants a total of 3 triggers of the spell.',100,2,2),
(323393,10108270,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(323394,10108270,'Inflicts 182 heat damage on target',100,2,1),
(323395,10108270,'Grants a total of 3 triggers of the spell.',100,2,2),
(323396,159566,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(323397,159566,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(323398,159566,'Inflicts 19 heat damage on target',100,2,2),
(323399,159566,'Cannot be modified except by direct means',100,2,3),
(323400,10159566,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(323401,10159566,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(323402,10159566,'Inflicts 25 heat damage on target',100,2,2),
(323403,10159566,'Cannot be modified except by direct means',100,2,3),
(323404,110224,'Interrupts target',100,1,0),
(323405,110224,'Inflicts 226 - 378 crushing damage on target',100,1,1),
(323406,10110224,'Interrupts target',100,1,0),
(323407,10110224,'Inflicts 294 - 491 crushing damage on target',100,1,1),
(323408,45640,'Applies Elixir of Swiftness  when Activated.  Lasts for 30 minutes.',100,0,0),
(323409,10045640,'Applies Elixir of Swiftness  when Activated.  Lasts for 30 minutes.',100,0,0),
(323410,47440,'Applies Orange Two Tone Warg with Red Saddle when Activated.',100,0,0),
(323411,47440,'Increases Slashing and Crushing of caster by 7.0',100,1,1),
(323412,47440,'Summons a mount to ride',100,1,2),
(323413,47440,'Increases your ground speed by 130%',100,2,3),
(323414,47440,'Increases Piercing of caster by 7.0',100,1,4),
(323415,47440,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(323416,47440,'Increases Disruption and Ranged of caster by 7.0',100,1,6),
(323417,10047440,'Applies Orange Two Tone Warg with Red Saddle when Activated.',100,0,0),
(323418,10047440,'Increases Slashing and Crushing of caster by 7.0',100,1,1),
(323419,10047440,'Summons a mount to ride',100,1,2),
(323420,10047440,'Increases your ground speed by 130%',100,2,3),
(323421,10047440,'Increases Piercing of caster by 7.0',100,1,4),
(323422,10047440,'Increases damage done by spells and combat arts by up to 30.',100,1,5),
(323423,10047440,'Increases Disruption and Ranged of caster by 7.0',100,1,6),
(323424,123747,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(323425,123747,'Increases Mitigation of group members (AE) vs elemental damage by 164',100,1,1),
(323426,10123747,'Increases Max Health of group members (AE) by 32.1',100,1,0),
(323427,10123747,'Increases Mitigation of group members (AE) vs elemental damage by 164',100,1,1),
(323428,122134,'Dispels 73 levels of arcane beneficial effects on target',100,1,0),
(323429,122134,'Interrupts target',100,1,1),
(323430,122134,'Increases Threat to target by 998 ',100,1,2),
(323431,10122134,'Interrupts target',100,1,0),
(323432,10122134,'Forces target to change their selected target to caster.',100,1,1),
(323433,10122134,'Dispels 73 levels of arcane beneficial effects on target',100,1,2),
(323434,107430,'Summons a pet earthen avatar',100,1,0),
(323435,10107430,'Summons a pet earthen avatar',100,1,0),
(323436,148623,'When Equipped:',100,0,0),
(323437,148623,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(323438,148623,'Decreases Threat to target by 4,441 - 4,908 ',100,2,2),
(323439,148623,'Inflicts 2291 - 2533 mental damage on target',100,2,3),
(323440,148623,'Must not be engaged in pvp combat',100,2,4),
(323441,148623,'Cannot be modified except by direct means',100,2,5),
(323442,148623,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(323443,148623,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(323444,148623,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(323445,148623,'Inflicts 2291 - 2533 mental damage on target',100,2,9),
(323446,148623,'Must not be engaged in pvp combat',100,2,10),
(323447,148623,'Cannot be modified except by direct means',100,2,11),
(323448,148623,'Cannot be modified except by direct means',100,1,12),
(323449,10148623,'When Equipped:',100,0,0),
(323450,10148623,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(323451,10148623,'Inflicts 2979 - 3292 mental damage on target',100,2,2),
(323452,10148623,'Must not be engaged in pvp combat',100,2,3),
(323453,10148623,'Cannot be modified except by direct means',100,2,4),
(323454,10148623,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,5),
(323455,10148623,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(323456,10148623,'Inflicts 2979 - 3292 mental damage on target',100,2,7),
(323457,10148623,'Must not be engaged in pvp combat',100,2,8),
(323458,10148623,'Cannot be modified except by direct means',100,2,9),
(323459,10148623,'Cannot be modified except by direct means',100,1,10),
(323460,41361,'Applies Poise in Battle when Activated.  Lasts for 25.0 seconds.',100,0,0),
(323461,41361,'Increases Potency of caster by 25.0%',100,1,1),
(323462,41361,'On a healing spell cast this spell will cast Poise in Battle on target of spell cast.  ',100,1,2),
(323463,41361,'Dispels 120 levels of any hostile effects on target',100,2,3),
(323464,41361,'Cannot be modified except by direct means',100,2,4),
(323465,41361,'Must not be engaged in pvp combat',100,1,5),
(323466,41361,'The reuse time of Poise in Battle is 6 minutes',100,1,6),
(323467,10041361,'Applies Poise in Battle when Activated.  Lasts for 25.0 seconds.',100,0,0),
(323468,10041361,'Increases Potency of caster by 25.0%',100,1,1),
(323469,10041361,'On a healing spell cast this spell will cast Poise in Battle on target of spell cast.  ',100,1,2),
(323470,10041361,'Dispels 120 levels of any hostile effects on target',100,2,3),
(323471,10041361,'Cannot be modified except by direct means',100,2,4),
(323472,10041361,'Must not be engaged in pvp combat',100,1,5),
(323473,10041361,'The reuse time of Poise in Battle is 6 minutes',100,1,6),
(323474,35513,'Increases speed of target by 40.0%',100,0,0),
(323475,35513,'Increases Out-of-Combat Health Regeneration of target by 144.0',100,0,1),
(323476,120038,'Inflicts 103 - 126 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(323477,120038,'Decreases power of target encounter by 34 instantly and every 4 seconds',100,1,1),
(323478,10120038,'Inflicts 134 - 163 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(323479,10120038,'Decreases power of target encounter by 34 instantly and every 4 seconds',100,1,1),
(323480,173576,'When Equipped:',100,0,0),
(323481,173576,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(323482,173576,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,2),
(323483,173576,'Grants a 15.0% chance to resist Stifle effects',100,2,3),
(323484,173576,'Cannot be modified except by direct means',100,2,4),
(323485,10173576,'When Equipped:',100,0,0),
(323486,10173576,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(323487,10173576,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,2),
(323488,10173576,'Grants a 15.0% chance to resist Stifle effects',100,2,3),
(323489,10173576,'Cannot be modified except by direct means',100,2,4),
(323490,74861,'When Equipped:',100,0,0),
(323491,74861,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323492,74861,'Inflicts 111 - 166 magic damage on target',100,2,2),
(323493,74861,'Cannot be modified except by direct means',100,2,3),
(323494,10074861,'When Equipped:',100,0,0),
(323495,10074861,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323496,10074861,'Inflicts 144 - 216 magic damage on target',100,2,2),
(323497,10074861,'Cannot be modified except by direct means',100,2,3),
(323498,50577,'When Equipped:',100,0,0),
(323499,50577,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323500,50577,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(323501,50577,'Dispelled when target casts a heal spell',100,2,3),
(323502,50577,'Cannot be modified except by direct means',100,2,4),
(323503,10050577,'When Equipped:',100,0,0),
(323504,10050577,'On a healing spell cast this spell may cast Flash of Intuition on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323505,10050577,'Increases the amount of your next healing spell or rune by 10%.',100,2,2),
(323506,10050577,'Dispelled when target casts a heal spell',100,2,3),
(323507,10050577,'Cannot be modified except by direct means',100,2,4),
(323508,35145,'Increases STR of target by 10.5',100,0,0),
(323509,35145,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(323510,113764,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(323511,113764,'Inflicts 371 piercing damage on target',100,2,1),
(323512,113764,'Grants a total of 60 triggers of the spell.',100,2,2),
(323513,10113764,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(323514,10113764,'Inflicts 483 piercing damage on target',100,2,1),
(323515,10113764,'Grants a total of 60 triggers of the spell.',100,2,2),
(323516,108778,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(323517,108778,'Inflicts 40 - 49 heat damage on target instantly and every 4 seconds',100,2,1),
(323518,108778,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(323519,108778,'Inflicts 179 - 219 heat damage on target encounter',100,3,3),
(323520,108778,'Grants a total of 1 trigger of the spell.',100,3,4),
(323521,10108778,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(323522,10108778,'Inflicts 52 - 64 heat damage on target instantly and every 4 seconds',100,2,1),
(323523,10108778,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(323524,10108778,'Inflicts 233 - 285 heat damage on target encounter',100,3,3),
(323525,10108778,'Grants a total of 1 trigger of the spell.',100,3,4),
(323526,36496,'Increases AGI of target by 6.2',100,0,0),
(323527,36496,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(323528,137448,'When Equipped:',100,0,0),
(323529,137448,'On a healing spell cast this spell may cast Superheated Vapor on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323530,137448,'Increases the amount of your next healing spell by 35%',100,2,2),
(323531,137448,'Dispelled when target casts a heal spell',100,2,3),
(323532,137448,'Cannot be modified except by direct means',100,2,4),
(323533,10137448,'When Equipped:',100,0,0),
(323534,10137448,'On a healing spell cast this spell may cast Superheated Vapor on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323535,10137448,'Increases the amount of your next healing spell by 35%',100,2,2),
(323536,10137448,'Dispelled when target casts a heal spell',100,2,3),
(323537,10137448,'Cannot be modified except by direct means',100,2,4),
(323538,113551,'Inflicts 354 - 590 disease damage on target',100,1,0),
(323539,10113551,'Inflicts 460 - 767 disease damage on target',100,1,0),
(323540,24487,'Adds Lair of Scale: Long Chemistry Table to your Dungeon Maker toolbox',100,0,0),
(323541,10024487,'Adds Lair of Scale: Long Chemistry Table to your Dungeon Maker toolbox',100,0,0),
(323542,50321,'Applies Arcane Environmental Suit when Equipped.',100,0,0),
(323543,50321,'Converts 3% of all arcane damage received into power gain.',100,1,1),
(323544,10050321,'Applies Arcane Environmental Suit when Equipped.',100,0,0),
(323545,10050321,'Converts 3% of all arcane damage received into power gain.',100,1,1),
(323546,143317,'When Equipped:',100,0,0),
(323547,143317,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(323548,10143317,'When Equipped:',100,0,0),
(323549,10143317,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',100,1,1),
(323550,124690,'Inflicts 181 - 221 cold damage on target',100,1,0),
(323551,10124690,'Inflicts 235 - 287 cold damage on target',100,1,0),
(323552,120831,'Inflicts 96 - 130 disease damage on target instantly and every second',100,1,0),
(323553,10120831,'Inflicts 174 - 236 disease damage on target',100,1,0),
(323554,10120831,'Inflicts 125 - 169 disease damage on target every second',100,1,1),
(323555,89852,'When Equipped:',100,0,0),
(323556,89852,'Additional equipment with Void Bane improves this effect.',100,1,1),
(323557,89852,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(323558,89852,'Decreases Mitigation of target vs arcane damage by 581',100,2,3),
(323559,89852,'If any of the following are true:',100,3,4),
(323560,89852,'Must be classified as a void beast',100,4,5),
(323561,89852,'Must be classified as a shadowed folk',100,4,6),
(323562,89852,'Inflicts 401 mental damage on target',100,2,7),
(323563,89852,'Must not be classified as a void beast',100,3,8),
(323564,89852,'Must not be classified as a shadowed folk',100,3,9),
(323565,89852,'Inflicts 802 mental damage on target',100,2,10),
(323566,89852,'If any of the following are true:',100,3,11),
(323567,89852,'Must be classified as a void beast',100,4,12),
(323568,89852,'Must be classified as a shadowed folk',100,4,13),
(323569,89852,'Cannot be modified except by direct means',100,2,14),
(323570,10089852,'When Equipped:',100,0,0),
(323571,10089852,'Additional equipment with Void Bane improves this effect.',100,1,1),
(323572,10089852,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(323573,10089852,'Decreases Mitigation of target vs arcane damage by 581',100,2,3),
(323574,10089852,'If any of the following are true:',100,3,4),
(323575,10089852,'Must be classified as a void beast',100,4,5),
(323576,10089852,'Must be classified as a shadowed folk',100,4,6),
(323577,10089852,'Inflicts 521 mental damage on target',100,2,7),
(323578,10089852,'Must not be classified as a void beast',100,3,8),
(323579,10089852,'Must not be classified as a shadowed folk',100,3,9),
(323580,10089852,'Inflicts 1043 mental damage on target',100,2,10),
(323581,10089852,'If any of the following are true:',100,3,11),
(323582,10089852,'Must be classified as a void beast',100,4,12),
(323583,10089852,'Must be classified as a shadowed folk',100,4,13),
(323584,10089852,'Cannot be modified except by direct means',100,2,14),
(323585,48011,'Applies Draw upon Essence when Activated.',100,0,0),
(323586,48011,'Increases power of caster by 635',100,1,1),
(323587,48011,'Requires 715 Health to cast.',100,1,2),
(323588,10048011,'Applies Draw upon Essence when Activated.',100,0,0),
(323589,10048011,'Increases power of caster by 635',100,1,1),
(323590,10048011,'Requires 715 Health to cast.',100,1,2),
(323591,101139,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(323592,101139,'Inflicts 113 ranged damage on target',100,2,1),
(323593,101139,'Decreases Defense of caster by 9.3',100,1,2),
(323594,101139,'Increases Crushing, Piercing, Ranged and Slashing of caster by 15.3',100,1,3),
(323595,10101139,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(323596,10101139,'Inflicts 85 ranged damage on target',100,2,1),
(323597,10101139,'Decreases Defense of caster by 9.3',100,1,2),
(323598,10101139,'Increases Crushing, Piercing, Ranged and Slashing of caster by 15.3',100,1,3),
(323599,103116,'Increases STR of caster by 34.1',100,1,0),
(323600,103116,'Adds 3.1% to base avoidance.',100,1,1),
(323601,103116,'Increases Mitigation of caster vs physical damage by 220',100,1,2),
(323602,103116,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 686',100,1,3),
(323603,10103116,'Increases STR of caster by 34.1',100,1,0),
(323604,10103116,'Adds 3.1% to base avoidance.',100,1,1),
(323605,10103116,'Increases Mitigation of caster vs physical damage by 220',100,1,2),
(323606,10103116,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 686',100,1,3),
(323607,26540,'When Equipped:',100,0,0),
(323608,26540,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,1),
(323609,26540,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(323610,10026540,'When Equipped:',100,0,0),
(323611,10026540,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,1),
(323612,10026540,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(323613,158509,'When Equipped:',100,0,0),
(323614,158509,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323615,158509,'Increases threat priority of target by 1 position',100,2,2),
(323616,158509,'Inflicts 537 mental damage on target',100,2,3),
(323617,158509,'Cannot be modified except by direct means',100,2,4),
(323618,158509,'Cannot be modified except by direct means',100,1,5),
(323619,10158509,'When Equipped:',100,0,0),
(323620,10158509,'On any combat or spell hit this spell may cast Rancorous Ire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323621,10158509,'Inflicts 698 mental damage on target',100,2,2),
(323622,10158509,'Cannot be modified except by direct means',100,2,3),
(323623,10158509,'Cannot be modified except by direct means',100,1,4),
(323624,111417,'Increases Attack Speed of target by 64.6',100,1,0),
(323625,111417,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323626,111417,'Inflicts 457 disease damage on target',100,2,2),
(323627,111417,'Heals caster for 164',100,2,3),
(323628,111417,'Decreases Defense and Parry of target by 36.3',100,1,4),
(323629,111417,'Increases Disruption and Subjugation of target by 56.2',100,1,5),
(323630,111417,'Increases Focus of target by 58.1',100,1,6),
(323631,10111417,'Increases Attack Speed of target by 64.6',100,1,0),
(323632,10111417,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323633,10111417,'Inflicts 594 disease damage on target',100,2,2),
(323634,10111417,'Heals caster for 107',100,2,3),
(323635,10111417,'Decreases Defense and Parry of target by 36.3',100,1,4),
(323636,10111417,'Increases Disruption and Subjugation of target by 56.2',100,1,5),
(323637,10111417,'Increases Focus of target by 58.1',100,1,6),
(323638,45517,'Applies Elemental Infusion when Activated.',100,0,0),
(323639,10045517,'Applies Elemental Infusion when Activated.',100,0,0),
(323640,159951,'When Equipped:',100,0,0),
(323641,159951,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(323642,159951,'Increases STA of caster by 19.8',100,2,2),
(323643,159951,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(323644,159951,'Cannot be modified except by direct means',100,2,4),
(323645,10159951,'When Equipped:',100,0,0),
(323646,10159951,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(323647,10159951,'Increases STA of caster by 19.8',100,2,2),
(323648,10159951,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(323649,10159951,'Cannot be modified except by direct means',100,2,4),
(323650,107420,'Summons a pet earthen avatar',100,1,0),
(323651,10107420,'Summons a pet earthen avatar',100,1,0),
(323652,111874,'Inflicts 152 - 282 heat damage on target',100,1,0),
(323653,111874,'Inflicts 57 - 106 heat damage on target every 2 seconds',100,1,1),
(323654,10111874,'Inflicts 197 - 367 heat damage on target',100,1,0),
(323655,10111874,'Inflicts 74 - 138 heat damage on target every 2 seconds',100,1,1),
(323656,75362,'When Equipped:',100,0,0),
(323657,75362,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323658,75362,'Inflicts 1192 piercing damage on target',100,2,2),
(323659,75362,'Cannot be modified except by direct means',100,2,3),
(323660,10075362,'When Equipped:',100,0,0),
(323661,10075362,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(323662,10075362,'Inflicts 775 piercing damage on target',100,2,2),
(323663,10075362,'Cannot be modified except by direct means',100,2,3),
(323664,101803,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(323665,101803,'Decreases Threat to target by 595 ',100,2,1),
(323666,10101803,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(323667,10101803,'Inflicts 36 - 40 crushing damage on target',100,2,1),
(323668,111610,'Inflicts 41 - 75 cold damage on target instantly and every 4 seconds',100,1,0),
(323669,111610,'Decreases Mitigation of target vs elemental damage by 690',100,1,1),
(323670,10111610,'Inflicts 53 - 98 cold damage on target instantly and every 4 seconds',100,1,0),
(323671,10111610,'Decreases Mitigation of target vs elemental damage by 690',100,1,1),
(323672,81361,'When Equipped:',100,0,0),
(323673,81361,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(323674,81361,'Decreases Threat to target by 352 ',100,2,2),
(323675,81361,'Must be flanking or behind',100,3,3),
(323676,81361,'Inflicts 80 - 149 magic damage on target',100,2,4),
(323677,81361,'Increases Threat to target by 352 ',100,2,5),
(323678,81361,'Must be in front of',100,3,6),
(323679,81361,'Cannot be modified except by direct means',100,2,7),
(323680,10081361,'When Equipped:',100,0,0),
(323681,10081361,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(323682,10081361,'Inflicts 104 - 193 magic damage on target',100,2,2),
(323683,10081361,'Cannot be modified except by direct means',100,2,3),
(323684,103794,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 20.5',100,1,0),
(323685,10103794,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 20.5',100,1,0),
(323686,24476,'Adds Lair of Scale: Bowl of Meditation to your Dungeon Maker toolbox',100,0,0),
(323687,10024476,'Adds Lair of Scale: Bowl of Meditation to your Dungeon Maker toolbox',100,0,0),
(323688,133830,'When Equipped:',100,0,0),
(323689,133830,'Increases Attack Speed of caster by 40.0',100,1,1),
(323690,10133830,'When Equipped:',100,0,0),
(323691,10133830,'Increases Attack Speed of caster by 40.0',100,1,1),
(323692,72159,'When Equipped:',100,0,0),
(323693,72159,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323694,72159,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(323695,72159,'Cannot be modified except by direct means',100,2,3),
(323696,10072159,'When Equipped:',100,0,0),
(323697,10072159,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323698,10072159,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(323699,10072159,'Cannot be modified except by direct means',100,2,3),
(323700,103170,'Throws target back',100,1,0),
(323701,103170,'If Target is not Epic',100,2,1),
(323702,103170,'Inflicts 155 - 467 crushing damage on target',100,1,2),
(323703,103170,'Stuns target',100,1,3),
(323704,103170,'If Target is not Epic',100,2,4),
(323705,103170,'Resistibility increases against targets higher than level 98.',100,1,5),
(323706,10103170,'Throws target back',100,1,0),
(323707,10103170,'If Target is not Epic',100,2,1),
(323708,10103170,'Inflicts 202 - 607 crushing damage on target',100,1,2),
(323709,10103170,'Stuns target',100,1,3),
(323710,10103170,'If Target is not Epic',100,2,4),
(323711,10103170,'Resistibility increases against targets higher than level 98.',100,1,5),
(323712,123084,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',100,1,0),
(323713,123084,'Roots target',100,2,1),
(323714,123084,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,2,2),
(323715,123084,'Slows target by 37.4%',100,3,3),
(323716,123084,'5% chance to dispel when target receives hostile action',100,3,4),
(323717,123084,'5% chance to dispel when target takes damage',100,3,5),
(323718,123084,'5% chance to dispel when target takes damage',100,2,6),
(323719,123084,'Does not affect Epic targets',100,2,7),
(323720,123084,'Resistibility increases against targets higher than level 76.',100,2,8),
(323721,123084,'Decreases AGI of target encounter by 34.8',100,1,9),
(323722,10123084,'Applies Natural Undergrowth.  Lasts for 4.0 seconds.',100,1,0),
(323723,10123084,'Roots target',100,2,1),
(323724,10123084,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,2,2),
(323725,10123084,'Slows target by 37.4%',100,3,3),
(323726,10123084,'5% chance to dispel when target receives hostile action',100,3,4),
(323727,10123084,'5% chance to dispel when target takes damage',100,3,5),
(323728,10123084,'5% chance to dispel when target takes damage',100,2,6),
(323729,10123084,'Does not affect Epic targets',100,2,7),
(323730,10123084,'Resistibility increases against targets higher than level 76.',100,2,8),
(323731,10123084,'Decreases AGI of target encounter by 34.8',100,1,9),
(323732,107378,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',100,1,0),
(323733,107378,'Inflicts 100 - 122 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(323734,10107378,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',100,1,0),
(323735,10107378,'Inflicts 129 - 158 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(323736,74537,'Applies Fire Ball when Activated.',100,0,0),
(323737,74537,'Inflicts 129 - 215 heat damage on target',100,1,1),
(323738,74537,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(323739,10074537,'Applies Fire Ball when Activated.',100,0,0),
(323740,10074537,'Inflicts 168 - 279 heat damage on target',100,1,1),
(323741,10074537,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(323742,24176,'Adds Crushbone: Flesh Chopper to your Dungeon Maker toolbox',100,0,0),
(323743,10024176,'Adds Crushbone: Flesh Chopper to your Dungeon Maker toolbox',100,0,0),
(323744,124671,'Heals group members (AE) for 42 - 51 instantly and every 2 seconds',100,1,0),
(323745,10124671,'Heals group members (AE) for 27 - 33 instantly and every 2 seconds',100,1,0),
(323746,104221,'Decreases WIS of target encounter by 57.3',100,1,0),
(323747,104221,'Inflicts 87 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(323748,10104221,'Decreases WIS of target encounter by 57.3',100,1,0),
(323749,10104221,'Inflicts 113 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(323750,100891,'Makes target afraid',100,1,0),
(323751,100891,'30% chance to dispel when target takes damage',100,1,1),
(323752,100891,'Does not affect Epic targets',100,1,2),
(323753,100891,'Resistibility increases against targets higher than level 116.',100,1,3),
(323754,10100891,'Makes target afraid',100,1,0),
(323755,10100891,'30% chance to dispel when target takes damage',100,1,1),
(323756,10100891,'Does not affect Epic targets',100,1,2),
(323757,10100891,'Resistibility increases against targets higher than level 116.',100,1,3),
(323758,46067,'Applies Elixir of Disease Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(323759,46067,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(323760,10046067,'Applies Elixir of Disease Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(323761,10046067,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(323762,121359,'Inflicts 39 - 73 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(323763,10121359,'Inflicts 51 - 95 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(323764,101031,'Inflicts 626 - 1163 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(323765,10101031,'Inflicts 639 - 1186 poison damage on target encounter instantly and every 1.5 seconds',100,1,0),
(323766,123372,'Heals group members (AE) for 733 - 895',100,1,0),
(323767,10123372,'Heals group members (AE) for 891 - 1089',100,1,0),
(323768,121693,'Increases AGI of caster by 17.5',100,1,0),
(323769,121693,'Adds 1.9% to base avoidance.',100,1,1),
(323770,121693,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(323771,121693,'Increases Parry of caster by 9.7',100,1,3),
(323772,121693,'Increases Defense of caster by 13.0',100,1,4),
(323773,10121693,'Increases AGI of caster by 17.5',100,1,0),
(323774,10121693,'Adds 1.9% to base avoidance.',100,1,1),
(323775,10121693,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(323776,10121693,'Increases Parry of caster by 9.7',100,1,3),
(323777,10121693,'Increases Defense of caster by 13.0',100,1,4),
(323778,116737,'Increases Max Health of target by 19.8',100,1,0),
(323779,116737,'Increases Max Power of target by 23.1',100,1,1),
(323780,10116737,'Increases Max Health of target by 19.8',100,1,0),
(323781,10116737,'Increases Max Power of target by 23.1',100,1,1),
(323782,138430,'When Equipped:',100,0,0),
(323783,138430,'Increases Attack Speed of caster by 38.0',100,1,1),
(323784,10138430,'When Equipped:',100,0,0),
(323785,10138430,'Increases Attack Speed of caster by 38.0',100,1,1),
(323786,37449,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(323787,105588,'Decreases power of target encounter by 31 - 38 instantly and every 3 seconds',100,1,0),
(323788,105588,'Inflicts 72 - 134 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(323789,105588,'Heals group members (AE) for 35 - 65 instantly and every 3 seconds',100,1,2),
(323790,105588,'Increases power of group members (AE) by 13 instantly and every 3 seconds',100,1,3),
(323791,10105588,'Decreases power of target encounter by 31 - 38 instantly and every 3 seconds',100,1,0),
(323792,10105588,'Inflicts 94 - 174 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(323793,10105588,'Heals group members (AE) for 23 - 42 instantly and every 3 seconds',100,1,2),
(323794,10105588,'Increases power of group members (AE) by 13 instantly and every 3 seconds',100,1,3),
(323795,123243,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(323796,123243,'Increases Mitigation of group members (AE) vs noxious damage by 448',100,1,1),
(323797,10123243,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(323798,10123243,'Increases Mitigation of group members (AE) vs noxious damage by 448',100,1,1),
(323799,181520,'When Equipped:',100,0,0),
(323800,181520,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(323801,181520,'Heals group members for 571',100,2,2),
(323802,181520,'Cannot be modified except by direct means',100,2,3),
(323803,10181520,'When Equipped:',100,0,0),
(323804,10181520,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(323805,10181520,'Heals group members for 371',100,2,2),
(323806,10181520,'Cannot be modified except by direct means',100,2,3),
(323807,48731,'Applies Translucent Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(323808,48731,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(323809,48731,'Only affects targets level 50 and above',100,1,2),
(323810,10048731,'Applies Translucent Elixir of Ingenuity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(323811,10048731,'Increases power of caster by 37 instantly and every 5 seconds',100,1,1),
(323812,10048731,'Only affects targets level 50 and above',100,1,2),
(323813,49047,'Applies Cleansed Prayers when Activated.',100,0,0),
(323814,49047,'This shin knight''s soul is cleansed. Feel free to slay him.',100,1,1),
(323815,10049047,'Applies Cleansed Prayers when Activated.',100,0,0),
(323816,10049047,'This shin knight''s soul is cleansed. Feel free to slay him.',100,1,1),
(323817,111913,'Inflicts 20 - 33 piercing damage on target instantly and every 4 seconds',100,1,0),
(323818,111913,'Inflicts 73 - 122 piercing damage on target',100,1,1),
(323819,10111913,'Inflicts 43 - 72 piercing damage on target instantly and every 4 seconds',100,1,0),
(323820,10111913,'Inflicts 130 - 216 piercing damage on target',100,1,1),
(323821,83668,'When Equipped:',100,0,0),
(323822,83668,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323823,83668,'Increases INT of target by 55.0',100,2,2),
(323824,83668,'Cannot be modified except by direct means',100,2,3),
(323825,10083668,'When Equipped:',100,0,0),
(323826,10083668,'On a hostile spell cast this spell may cast Dark Secrets on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323827,10083668,'Increases INT of target by 55.0',100,2,2),
(323828,10083668,'Cannot be modified except by direct means',100,2,3),
(323829,46653,'Applies Summon a Horse of a Different Color when Activated.',100,0,0),
(323830,46653,'Summons a mount to ride',100,1,1),
(323831,46653,'Increases your ground speed by 130%',100,2,2),
(323832,10046653,'Applies Summon a Horse of a Different Color when Activated.',100,0,0),
(323833,10046653,'Summons a mount to ride',100,1,1),
(323834,10046653,'Increases your ground speed by 130%',100,2,2),
(323835,108596,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(323836,108596,'Increases AGI, INT, WIS and STR of group members (AE) by 40.3',100,2,1),
(323837,108596,'Increases STA of group members (AE) by 80.5',100,2,2),
(323838,108596,'Adds 0.7% to base avoidance.',100,2,3),
(323839,108596,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 103',100,2,4),
(323840,108596,'Heals group members (AE) for 132 - 161 instantly and every 3 seconds',100,2,5),
(323841,10108596,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(323842,10108596,'Increases AGI, INT, WIS and STR of group members (AE) by 40.3',100,2,1),
(323843,10108596,'Increases STA of group members (AE) by 80.5',100,2,2),
(323844,10108596,'Adds 0.7% to base avoidance.',100,2,3),
(323845,10108596,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 103',100,2,4),
(323846,10108596,'Heals group members (AE) for 86 - 105 instantly and every 3 seconds',100,2,5),
(323847,104510,'Increases Threat to target by 60 - 74  instantly and by 12 - 14  every 2 seconds thereafter',100,1,0),
(323848,10104510,'Forces target to change their selected target to caster instantly and every 2 seconds.',100,1,0),
(323849,119413,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(323850,119413,'Blurs vision of target',100,2,1),
(323851,119413,'Stuns target',100,2,2),
(323852,119413,'Throws target back',100,2,3),
(323853,119413,'Does not affect Epic targets',100,2,4),
(323854,119413,'Inflicts 188 - 314 melee damage on target',100,1,5),
(323855,119413,'You must be sneaking to use this ability.',100,1,6),
(323856,10119413,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(323857,10119413,'Stuns target',100,2,1),
(323858,10119413,'Blurs vision of target',100,2,2),
(323859,10119413,'Throws target back',100,2,3),
(323860,10119413,'Does not affect Epic targets',100,2,4),
(323861,10119413,'Inflicts 245 - 408 melee damage on target',100,1,5),
(323862,10119413,'You must be sneaking to use this ability.',100,1,6),
(323863,74664,'When Equipped:',100,0,0),
(323864,74664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323865,74664,'Inflicts 44 - 67 magic damage on target',100,2,2),
(323866,74664,'Cannot be modified except by direct means',100,2,3),
(323867,10074664,'When Equipped:',100,0,0),
(323868,10074664,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323869,10074664,'Inflicts 58 - 87 magic damage on target',100,2,2),
(323870,10074664,'Cannot be modified except by direct means',100,2,3),
(323871,117549,'Increases AGI, INT and WIS of group members (AE) by 103.2',100,1,0),
(323872,117549,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 396',100,1,1),
(323873,10117549,'Increases AGI, INT and WIS of group members (AE) by 103.2',100,1,0),
(323874,10117549,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 396',100,1,1),
(323875,80268,'When Equipped:',100,0,0),
(323876,80268,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(323877,80268,'Decreases Threat to target by 801 ',100,2,2),
(323878,80268,'Must be flanking or behind',100,3,3),
(323879,80268,'Inflicts 169 - 314 magic damage on target',100,2,4),
(323880,80268,'Increases Threat to target by 801 ',100,2,5),
(323881,80268,'Must be in front of',100,3,6),
(323882,80268,'Cannot be modified except by direct means',100,2,7),
(323883,10080268,'When Equipped:',100,0,0),
(323884,10080268,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(323885,10080268,'Inflicts 220 - 408 magic damage on target',100,2,2),
(323886,10080268,'Cannot be modified except by direct means',100,2,3),
(323887,138356,'When Equipped:',100,0,0),
(323888,138356,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323889,138356,'Wards target against 1000 points of all damage',100,2,2),
(323890,138356,'Cannot be modified except by direct means',100,2,3),
(323891,138356,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(323892,10138356,'When Equipped:',100,0,0),
(323893,10138356,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(323894,10138356,'Wards target against 1000 points of all damage',100,2,2),
(323895,10138356,'Cannot be modified except by direct means',100,2,3),
(323896,10138356,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(323900,10122694,'Decreases Slashing, Crushing and Piercing of caster by 1.8',100,1,0),
(323901,10122694,'Increases Defense and Parry of caster by 2.2',100,1,1),
(323902,10122694,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(323903,115187,'Heals target for 631 - 771',100,1,0),
(323904,10115187,'Heals target for 854 - 1044',100,1,0),
(323905,83809,'When Equipped:',100,0,0),
(323906,83809,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(323907,83809,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(323908,83809,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(323909,83809,'Heals caster for 1185 - 1309',100,2,4),
(323910,83809,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(323911,83809,'Must not be engaged in pvp combat',100,2,6),
(323912,83809,'Cannot be modified except by direct means',100,2,7),
(323913,83809,'Cannot be modified except by direct means',100,1,8),
(323914,10083809,'When Equipped:',100,0,0),
(323915,10083809,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(323916,10083809,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(323917,10083809,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(323918,10083809,'Heals caster for 1386 - 1532',100,2,4),
(323919,10083809,'Decreases Mitigation of target vs physical damage by 1339',100,2,5),
(323920,10083809,'Must not be engaged in pvp combat',100,2,6),
(323921,10083809,'Cannot be modified except by direct means',100,2,7),
(323922,10083809,'Cannot be modified except by direct means',100,1,8),
(323923,36671,'Increases WIS and STA of target by 9.4',100,0,0),
(323924,36671,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(323925,80648,'When Equipped:',100,0,0),
(323926,80648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323927,80648,'Inflicts 50 - 93 magic damage on target',100,2,2),
(323928,80648,'Cannot be modified except by direct means',100,2,3),
(323929,10080648,'When Equipped:',100,0,0),
(323930,10080648,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(323931,10080648,'Inflicts 65 - 121 magic damage on target',100,2,2),
(323932,10080648,'Cannot be modified except by direct means',100,2,3),
(323933,24137,'Adds Clockwork Warrior (Paladin) to your Dungeon Maker toolbox',100,0,0),
(323934,10024137,'Adds Clockwork Warrior (Paladin) to your Dungeon Maker toolbox',100,0,0),
(323935,104941,'Inflicts 1033 - 1723 ranged damage on target',100,1,0),
(323936,104941,'Decreases Deflection and Parry of target by 85.1',100,1,1),
(323937,104941,'Requires bow',100,1,2),
(323938,10104941,'Inflicts 775 - 1292 ranged damage on target',100,1,0),
(323939,10104941,'Decreases Deflection and Parry of target by 85.1',100,1,1),
(323940,10104941,'Requires bow',100,1,2),
(323941,119096,'Inflicts 94 - 282 melee damage on targets in area',100,1,0),
(323942,119096,'Inflicts 94 - 282 melee damage on targets in area',100,1,1),
(323943,119096,'Inflicts 94 - 282 melee damage on targets in area',100,1,2),
(323944,119096,'Inflicts 94 - 282 melee damage on targets in area',100,1,3),
(323945,10119096,'Inflicts 122 - 367 melee damage on targets in area',100,1,0),
(323946,10119096,'Inflicts 122 - 367 melee damage on targets in area',100,1,1),
(323947,10119096,'Inflicts 122 - 367 melee damage on targets in area',100,1,2),
(323948,10119096,'Inflicts 122 - 367 melee damage on targets in area',100,1,3),
(323949,118365,'Inflicts 81 - 136 melee damage on target',100,1,0),
(323950,118365,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(323951,118365,'Stuns target',100,2,2),
(323952,118365,'Throws target back',100,2,3),
(323953,118365,'Blurs vision of target',100,2,4),
(323954,118365,'Does not affect Epic targets',100,2,5),
(323955,10118365,'Inflicts 106 - 177 melee damage on target',100,1,0),
(323956,10118365,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(323957,10118365,'Blurs vision of target',100,2,2),
(323958,10118365,'Stuns target',100,2,3),
(323959,10118365,'Throws target back',100,2,4),
(323960,10118365,'Does not affect Epic targets',100,2,5),
(323961,111283,'Inflicts 113 - 189 divine damage on target',100,1,0),
(323962,111283,'Inflicts 45 - 76 divine damage on target every 4 seconds',100,1,1),
(323963,10111283,'Inflicts 147 - 245 divine damage on target',100,1,0),
(323964,10111283,'Inflicts 59 - 98 divine damage on target every 4 seconds',100,1,1),
(323965,46273,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(323966,46273,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(323967,46273,'Decreases Attack Speed of target by 25.3',100,2,2),
(323968,46273,'Cannot be modified except by direct means',100,2,3),
(323969,46273,'Grants a total of 60 triggers of the spell.',100,2,4),
(323970,10046273,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(323971,10046273,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(323972,10046273,'Decreases Attack Speed of target by 25.3',100,2,2),
(323973,10046273,'Cannot be modified except by direct means',100,2,3),
(323974,10046273,'Grants a total of 60 triggers of the spell.',100,2,4),
(323975,75438,'When Equipped:',100,0,0),
(323976,75438,'On any combat or spell hit this spell may cast Ruinous Slash V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(323977,75438,'Inflicts 316 - 349 heat damage on targets in Area of Effect',100,2,2),
(323978,75438,'Inflicts 126 - 140 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(323979,75438,'Must not be engaged in pvp combat',100,2,4),
(323980,75438,'Cannot be modified except by direct means',100,2,5),
(323981,75438,'Must not be engaged in pvp combat',100,1,6),
(323982,10075438,'When Equipped:',100,0,0),
(323983,10075438,'On any combat or spell hit this spell may cast Ruinous Slash V on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(323984,10075438,'Inflicts 411 - 454 heat damage on targets in Area of Effect',100,2,2),
(323985,10075438,'Inflicts 164 - 182 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(323986,10075438,'Must not be engaged in pvp combat',100,2,4),
(323987,10075438,'Cannot be modified except by direct means',100,2,5),
(323988,10075438,'Must not be engaged in pvp combat',100,1,6),
(323989,108212,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(323990,10108212,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(323991,35974,'Increases AGI of target by 8.4',100,0,0),
(323992,35974,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(323993,36990,'Increases Max Power of target by 22.8',100,0,0),
(323994,36990,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(323995,121171,'Increases Agility of caster by 11.',100,1,0),
(323996,121171,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(323997,10121171,'Increases Deflection of caster by 2.7',100,1,0),
(323998,10121171,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,1),
(323999,136069,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(324000,136069,'Increases speed of caster by 25.0%',100,1,1),
(324001,136069,'This effect suspends during combat',100,1,2),
(324002,10136069,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(324003,10136069,'Increases speed of caster by 25.0%',100,1,1),
(324004,10136069,'This effect suspends during combat',100,1,2),
(324005,107247,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(324006,107247,'Slows target by 44.2%',100,2,1),
(324007,107247,'5% chance to dispel when target receives hostile action',100,2,2),
(324008,107247,'5% chance to dispel when target takes damage',100,2,3),
(324009,107247,'Inflicts 31 - 37 disease damage on target every 4 seconds',100,1,4),
(324010,107247,'Slows target by 44.2%',100,1,5),
(324011,107247,'5% chance to dispel when target receives hostile action',100,1,6),
(324012,107247,'5% chance to dispel when target takes damage',100,1,7),
(324013,10107247,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(324014,10107247,'Slows target by 44.2%',100,2,1),
(324015,10107247,'5% chance to dispel when target receives hostile action',100,2,2),
(324016,10107247,'5% chance to dispel when target takes damage',100,2,3),
(324017,10107247,'Inflicts 40 - 49 disease damage on target every 2.5 seconds',100,1,4),
(324018,10107247,'Slows target by 44.2%',100,1,5),
(324019,10107247,'5% chance to dispel when target receives hostile action',100,1,6),
(324020,10107247,'5% chance to dispel when target takes damage',100,1,7),
(324021,112016,'Inflicts 462 - 770 piercing damage on target',100,1,0),
(324022,10112016,'Inflicts 600 - 1001 piercing damage on target',100,1,0),
(324023,48488,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(324024,48488,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(324025,48488,'Inflicts 61 poison damage on target instantly and every 6 seconds',100,2,2),
(324026,48488,'Inflicts 119 poison damage on target',100,2,3),
(324027,48488,'Cannot be modified except by direct means',100,2,4),
(324028,48488,'Grants a total of 200 triggers of the spell.',100,2,5),
(324029,10048488,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(324030,10048488,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(324031,10048488,'Inflicts 116 poison damage on target',100,2,2),
(324032,10048488,'Inflicts 60 poison damage on target instantly and every 6 seconds',100,2,3),
(324033,10048488,'Cannot be modified except by direct means',100,2,4),
(324034,10048488,'Grants a total of 200 triggers of the spell.',100,2,5),
(324035,80262,'When Equipped:',100,0,0),
(324036,80262,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324037,80262,'Inflicts 169 - 314 magic damage on target',100,2,2),
(324038,80262,'Cannot be modified except by direct means',100,2,3),
(324039,10080262,'When Equipped:',100,0,0),
(324040,10080262,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324041,10080262,'Inflicts 220 - 408 magic damage on target',100,2,2),
(324042,10080262,'Cannot be modified except by direct means',100,2,3),
(324043,27304,'When Equipped:',100,0,0),
(324044,27304,'On a critical combat hit this spell may cast Smothering Affliction on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(324045,27304,'Decreases Mitigation of target vs noxious damage by 816',100,2,2),
(324046,27304,'Inflicts 2629 - 2906 poison damage on target',100,2,3),
(324047,27304,'Must not be engaged in pvp combat',100,2,4),
(324048,27304,'Cannot be modified except by direct means',100,2,5),
(324049,27304,'On a critical spell hit this spell may cast Smothering Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(324050,27304,'Decreases Mitigation of target vs noxious damage by 816',100,2,7),
(324051,27304,'Inflicts 2629 - 2906 poison damage on target',100,2,8),
(324052,27304,'Must not be engaged in pvp combat',100,2,9),
(324053,27304,'Cannot be modified except by direct means',100,2,10),
(324054,27304,'Must not be engaged in pvp combat',100,1,11),
(324055,10027304,'When Equipped:',100,0,0),
(324056,10027304,'On a critical combat hit this spell may cast Smothering Affliction on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(324057,10027304,'Decreases Mitigation of target vs noxious damage by 816',100,2,2),
(324058,10027304,'Inflicts 3418 - 3777 poison damage on target',100,2,3),
(324059,10027304,'Must not be engaged in pvp combat',100,2,4),
(324060,10027304,'Cannot be modified except by direct means',100,2,5),
(324061,10027304,'On a critical spell hit this spell may cast Smothering Affliction on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,6),
(324062,10027304,'Decreases Mitigation of target vs noxious damage by 816',100,2,7),
(324063,10027304,'Inflicts 3418 - 3777 poison damage on target',100,2,8),
(324064,10027304,'Must not be engaged in pvp combat',100,2,9),
(324065,10027304,'Cannot be modified except by direct means',100,2,10),
(324066,10027304,'Must not be engaged in pvp combat',100,1,11),
(324067,106869,'Decreases Threat to targets in Area of Effect by 1,008 ',100,1,0),
(324068,106869,'Stuns targets in Area of Effect',100,1,1),
(324069,106869,'If Target is not Epic',100,2,2),
(324070,10106869,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(324071,10106869,'Applies Distract.',100,1,1),
(324072,10106869,'Forces target to clear their selected target.',100,2,2),
(324073,10106869,'Stuns targets in Area of Effect',100,1,3),
(324074,10106869,'If Target is not Epic',100,2,4),
(324075,177497,'When Equipped:',100,0,0),
(324076,177497,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(324077,177497,'Increases INT of caster by 5.8',100,2,2),
(324078,177497,'Increases Disruption, Subjugation and Focus of caster by 3.7',100,2,3),
(324079,177497,'Cannot be modified except by direct means',100,2,4),
(324080,10177497,'When Equipped:',100,0,0),
(324081,10177497,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(324082,10177497,'Increases INT of caster by 5.8',100,2,2),
(324083,10177497,'Increases Disruption, Subjugation and Focus of caster by 3.7',100,2,3),
(324084,10177497,'Cannot be modified except by direct means',100,2,4),
(324085,123769,'Decreases Mitigation of target vs noxious damage by 1224',100,1,0),
(324086,123769,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(324087,123769,'Slows target by 48.2%',100,2,2),
(324088,123769,'5% chance to dispel when target receives hostile action',100,2,3),
(324089,123769,'5% chance to dispel when target takes damage',100,2,4),
(324090,10123769,'Decreases Mitigation of target vs noxious damage by 1224',100,1,0),
(324091,10123769,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(324092,10123769,'Slows target by 48.2%',100,2,2),
(324093,10123769,'5% chance to dispel when target receives hostile action',100,2,3),
(324094,10123769,'5% chance to dispel when target takes damage',100,2,4),
(324095,118848,'Inflicts 109 - 327 melee damage on target',100,1,0),
(324096,10118848,'Inflicts 142 - 426 melee damage on target',100,1,0),
(324097,178671,'When Equipped:',100,0,0),
(324098,178671,'On a hostile spell cast this spell may cast Fires of the Underfoot on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(324099,178671,'Roots target',100,2,2),
(324100,178671,'Inflicts 1137 - 1389 heat damage on target',100,2,3),
(324101,178671,'15% chance to dispel when target takes damage',100,2,4),
(324102,178671,'Epic targets gain an immunity to Root effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(324103,178671,'Resistibility increases against targets higher than level 122.',100,2,6),
(324104,178671,'Cannot be modified except by direct means',100,2,7),
(324105,178671,'Cannot be modified except by direct means',100,1,8),
(324106,10178671,'When Equipped:',100,0,0),
(324107,10178671,'On a hostile spell cast this spell may cast Fires of the Underfoot on target of spell.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(324108,10178671,'Roots target',100,2,2),
(324109,10178671,'Inflicts 1478 - 1806 heat damage on target',100,2,3),
(324110,10178671,'15% chance to dispel when target takes damage',100,2,4),
(324111,10178671,'Epic targets gain an immunity to Root effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(324112,10178671,'Resistibility increases against targets higher than level 122.',100,2,6),
(324113,10178671,'Cannot be modified except by direct means',100,2,7),
(324114,10178671,'Cannot be modified except by direct means',100,1,8),
(324115,122458,'Inflicts 747 - 1246 magic damage on target',100,1,0),
(324116,10122458,'Inflicts 972 - 1619 magic damage on target',100,1,0),
(324117,24177,'Adds Crushbone: Flour to your Dungeon Maker toolbox',100,0,0),
(324118,10024177,'Adds Crushbone: Flour to your Dungeon Maker toolbox',100,0,0),
(324119,117579,'Decreases Parry of target by 41.3',100,1,0),
(324120,117579,'Inflicts 319 - 531 melee damage on target',100,1,1),
(324121,117579,'Must be in front of or flanking',100,1,2),
(324122,10117579,'Decreases Parry of target by 41.3',100,1,0),
(324123,10117579,'Inflicts 414 - 691 melee damage on target',100,1,1),
(324124,10117579,'Must be in front of or flanking',100,1,2),
(324125,115846,'Inflicts 173 - 289 mental damage on target encounter',100,1,0),
(324126,115846,'Interrupts target encounter',100,1,1),
(324127,10115846,'Inflicts 225 - 375 mental damage on target encounter',100,1,0),
(324128,10115846,'Interrupts target encounter',100,1,1),
(324129,81826,'When Equipped:',100,0,0),
(324130,81826,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324131,81826,'Inflicts 108 - 200 magic damage on target',100,2,2),
(324132,81826,'Cannot be modified except by direct means',100,2,3),
(324133,10081826,'When Equipped:',100,0,0),
(324134,10081826,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324135,10081826,'Inflicts 140 - 260 magic damage on target',100,2,2),
(324136,10081826,'Cannot be modified except by direct means',100,2,3),
(324137,104454,'Inflicts 117 - 143 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(324138,104454,'Interrupts target encounter',100,1,1),
(324139,104454,'Applies Stumble on termination.',100,1,2),
(324140,104454,'Interrupts target',100,2,3),
(324141,10104454,'Inflicts 153 - 187 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(324142,10104454,'Interrupts target encounter',100,1,1),
(324143,10104454,'Applies Stumble on termination.',100,1,2),
(324144,10104454,'Interrupts target',100,2,3),
(324145,115198,'Heals target for 1490 - 1821',100,1,0),
(324146,10115198,'Heals target for 3632 - 4439',100,1,0),
(324147,27228,'When Equipped:',100,0,0),
(324148,27228,'Increases all noxious damage by up to 30.',100,1,1),
(324149,10027228,'When Equipped:',100,0,0),
(324150,10027228,'Increases all noxious damage by up to 30.',100,1,1),
(324151,74909,'When Equipped:',100,0,0),
(324152,74909,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324153,74909,'Inflicts 26 - 40 magic damage on target',100,2,2),
(324154,74909,'Cannot be modified except by direct means',100,2,3),
(324155,10074909,'When Equipped:',100,0,0),
(324156,10074909,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324157,10074909,'Inflicts 34 - 51 magic damage on target',100,2,2),
(324158,10074909,'Cannot be modified except by direct means',100,2,3),
(324159,26548,'When Equipped:',100,0,0),
(324160,26548,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(324161,26548,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(324162,10026548,'When Equipped:',100,0,0),
(324163,10026548,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(324164,10026548,'Reduces the reuse time of Voice of the Ancestors III by 15 seconds.',100,1,2),
(324165,111175,'Inflicts 25 - 42 divine damage on targets in area',100,1,0),
(324166,111175,'Heals group members (AE) for 20',100,1,1),
(324167,111175,'This effect cannot be critically applied.',100,2,2),
(324168,111175,'The healing of this spell cannot be modified except by direct means',100,1,3),
(324169,10111175,'Inflicts 33 - 55 divine damage on targets in area',100,1,0),
(324170,10111175,'Heals group members (AE) for 13',100,1,1),
(324171,10111175,'This effect cannot be critically applied.',100,2,2),
(324172,10111175,'The healing of this spell cannot be modified except by direct means',100,1,3),
(324173,159877,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(324174,159877,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(324175,159877,'Inflicts 46 heat damage on target',100,2,2),
(324176,159877,'Cannot be modified except by direct means',100,2,3),
(324177,10159877,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(324178,10159877,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(324179,10159877,'Inflicts 60 heat damage on target',100,2,2),
(324180,10159877,'Cannot be modified except by direct means',100,2,3),
(324181,82282,'When Equipped:',100,0,0),
(324182,82282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324183,82282,'Inflicts 33 - 61 magic damage on target',100,2,2),
(324184,82282,'Cannot be modified except by direct means',100,2,3),
(324185,10082282,'When Equipped:',100,0,0),
(324186,10082282,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324187,10082282,'Inflicts 43 - 80 magic damage on target',100,2,2),
(324188,10082282,'Cannot be modified except by direct means',100,2,3),
(324189,107610,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(324190,107610,'Increases Mitigation of group members (AE) vs elemental damage by 87',100,1,1),
(324191,10107610,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(324192,10107610,'Increases Mitigation of group members (AE) vs elemental damage by 87',100,1,1),
(324193,120682,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.9',100,1,0),
(324194,10120682,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.9',100,1,0),
(324195,101472,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(324196,101472,'Increases Mitigation of group members (AE) vs arcane damage by 266',100,1,1),
(324197,10101472,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(324198,10101472,'Increases Mitigation of group members (AE) vs arcane damage by 266',100,1,1),
(324199,24354,'Adds Erudite (Paladin) to your Dungeon Maker toolbox',100,0,0),
(324200,10024354,'Adds Erudite (Paladin) to your Dungeon Maker toolbox',100,0,0),
(324201,115062,'Heals target for 18 - 22',100,1,0),
(324202,115062,'Heals target for 2 - 3 every second',100,1,1),
(324203,10115062,'Heals target for 33 - 41',100,1,0),
(324204,10115062,'Heals target for 3 every second',100,1,1),
(324205,117196,'Inflicts 234 poison damage on target instantly and every 4 seconds',100,1,0),
(324206,117196,'Decreases WIS of target by 179.5',100,1,1),
(324207,10117196,'Inflicts 305 poison damage on target instantly and every 4 seconds',100,1,0),
(324208,10117196,'Decreases WIS of target by 179.5',100,1,1),
(324209,26779,'When Equipped:',100,0,0),
(324210,26779,'On a critical healing spell cast this spell may cast Panacea I on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(324211,26779,'Heals target for 4755 - 5255',100,2,2),
(324212,26779,'Dispels 113 levels of any hostile effects on target',100,2,3),
(324213,26779,'Must not be engaged in pvp combat',100,2,4),
(324214,26779,'Cannot be modified except by direct means',100,2,5),
(324215,26779,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(324216,26779,'Must not be engaged in pvp combat',100,1,7),
(324217,10026779,'When Equipped:',100,0,0),
(324218,10026779,'On a critical healing spell cast this spell may cast Panacea I on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(324219,10026779,'Heals target for 5563 - 6149',100,2,2),
(324220,10026779,'Dispels 113 levels of any hostile effects on target',100,2,3),
(324221,10026779,'Must not be engaged in pvp combat',100,2,4),
(324222,10026779,'Cannot be modified except by direct means',100,2,5),
(324223,10026779,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,6),
(324224,10026779,'Must not be engaged in pvp combat',100,1,7),
(324225,74586,'When Equipped:',100,0,0),
(324226,74586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324227,74586,'Inflicts 135 - 203 magic damage on target',100,2,2),
(324228,74586,'Cannot be modified except by direct means',100,2,3),
(324229,10074586,'When Equipped:',100,0,0),
(324230,10074586,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324231,10074586,'Inflicts 176 - 264 magic damage on target',100,2,2),
(324232,10074586,'Cannot be modified except by direct means',100,2,3),
(324233,36365,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(324234,108954,'Increases INT of group members (AE) by 84.6',100,1,0),
(324235,108954,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 32.8',100,1,1),
(324236,10108954,'Increases INT of group members (AE) by 84.6',100,1,0),
(324237,10108954,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 32.8',100,1,1),
(324238,116151,'Inflicts 284 - 474 divine damage on target',100,1,0),
(324239,116151,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(324240,116151,'Stuns target',100,2,2),
(324241,116151,'Blurs vision of target',100,2,3),
(324242,116151,'Throws target back',100,2,4),
(324243,116151,'Does not affect Epic targets',100,2,5),
(324244,10116151,'Inflicts 369 - 616 divine damage on target',100,1,0),
(324245,10116151,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(324246,10116151,'Stuns target',100,2,2),
(324247,10116151,'Blurs vision of target',100,2,3),
(324248,10116151,'Throws target back',100,2,4),
(324249,10116151,'Does not affect Epic targets',100,2,5),
(324250,37050,'Increases AGI of target by 12.7',100,0,0),
(324251,37050,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(324252,45114,'Applies Vermin Illusion when Activated.  Lasts for 1 hour.',100,0,0),
(324253,45114,'Shapechanges caster',100,1,1),
(324254,45114,'Allows the wearer access to mingle with the vermin in the Sundered Frontier',100,1,2),
(324255,45114,'Dispelled when target receives hostile action',100,1,3),
(324256,45114,'Dispelled when target attempts to harvest an object',100,1,4),
(324257,45114,'Dispelled when target casts a hostile spell',100,1,5),
(324258,45114,'If not on a mount',100,1,6),
(324259,10045114,'Applies Vermin Illusion when Activated.  Lasts for 1 hour.',100,0,0),
(324260,10045114,'Shapechanges caster',100,1,1),
(324261,10045114,'Allows the wearer access to mingle with the vermin in the Sundered Frontier',100,1,2),
(324262,10045114,'Dispelled when target receives hostile action',100,1,3),
(324263,10045114,'Dispelled when target attempts to harvest an object',100,1,4),
(324264,10045114,'Dispelled when target casts a hostile spell',100,1,5),
(324265,10045114,'If not on a mount',100,1,6),
(324266,122481,'Inflicts 106 - 176 mental damage on targets in Area of Effect',100,1,0),
(324267,10122481,'Inflicts 137 - 229 mental damage on targets in Area of Effect',100,1,0),
(324268,82784,'When Equipped:',100,0,0),
(324269,82784,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(324270,82784,'Decreases Threat to target by 1,174 ',100,2,2),
(324271,82784,'Must be flanking or behind',100,3,3),
(324272,82784,'Increases Threat to target by 1,174 ',100,2,4),
(324273,82784,'Must be in front of',100,3,5),
(324274,82784,'Inflicts 237 - 440 magic damage on target',100,2,6),
(324275,82784,'Cannot be modified except by direct means',100,2,7),
(324276,10082784,'When Equipped:',100,0,0),
(324277,10082784,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(324278,10082784,'Inflicts 308 - 572 magic damage on target',100,2,2),
(324279,10082784,'Cannot be modified except by direct means',100,2,3),
(324280,109479,'Inflicts 214 - 357 cold damage on target',100,1,0),
(324281,10109479,'Inflicts 278 - 464 cold damage on target',100,1,0),
(324282,35690,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,0),
(324283,35126,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(324284,116316,'Stuns target',100,1,0),
(324285,116316,'If Target is not Epic',100,2,1),
(324286,116316,'Inflicts 457 - 558 magic damage on target',100,1,2),
(324287,116316,'Resistibility increases against targets higher than level 87.',100,1,3),
(324288,10116316,'Stuns target',100,1,0),
(324289,10116316,'If Target is not Epic',100,2,1),
(324290,10116316,'Inflicts 594 - 726 magic damage on target',100,1,2),
(324291,10116316,'Resistibility increases against targets higher than level 87.',100,1,3),
(324292,80936,'When Equipped:',100,0,0),
(324293,80936,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324294,80936,'Inflicts 188 - 349 magic damage on target',100,2,2),
(324295,80936,'Cannot be modified except by direct means',100,2,3),
(324296,10080936,'When Equipped:',100,0,0),
(324297,10080936,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324298,10080936,'Inflicts 244 - 454 magic damage on target',100,2,2),
(324299,10080936,'Cannot be modified except by direct means',100,2,3),
(324300,87220,'When Equipped:',100,0,0),
(324301,87220,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324302,87220,'Inflicts 51 - 76 magic damage on target',100,2,2),
(324303,87220,'Cannot be modified except by direct means',100,2,3),
(324304,10087220,'When Equipped:',100,0,0),
(324305,10087220,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324306,10087220,'Inflicts 66 - 99 magic damage on target',100,2,2),
(324307,10087220,'Cannot be modified except by direct means',100,2,3),
(324308,45539,'Applies Allmayn''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(324309,45539,'Increases AGI of caster by 28.8',100,1,1),
(324310,10045539,'Applies Allmayn''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(324311,10045539,'Increases AGI of caster by 28.8',100,1,1),
(324312,103424,'Decreases Threat to targets in Area of Effect by 3,848 ',100,1,0),
(324313,103424,'Slows targets in Area of Effect by 56.0%',100,1,1),
(324314,103424,'Stifles targets in Area of Effect',100,1,2),
(324315,103424,'If Target is not Epic',100,2,3),
(324316,103424,'10% chance to dispel when target receives hostile action',100,1,4),
(324317,103424,'10% chance to dispel when target takes damage',100,1,5),
(324318,10103424,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(324319,10103424,'Slows targets in Area of Effect by 56.0%',100,1,1),
(324320,10103424,'Stifles targets in Area of Effect',100,1,2),
(324321,10103424,'If Target is not Epic',100,2,3),
(324322,25285,'When Equipped:',100,0,0),
(324323,25285,'Adds a wounding effect to Quick Shot that decreases in damage each tick.',100,1,1),
(324324,10025285,'When Equipped:',100,0,0),
(324325,10025285,'Adds a wounding effect to Quick Shot that decreases in damage each tick.',100,1,1),
(324326,100764,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(324327,100764,'Wards target against 1331 points of all damage',100,2,1),
(324328,100764,'Heals target for 1248',100,2,2),
(324329,100764,'Increases power of target by 288 every 6 seconds',100,2,3),
(324330,100764,'Grants a total of 1 trigger of the spell.',100,2,4),
(324331,10100764,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(324332,10100764,'Wards target against 1331 points of all damage',100,2,1),
(324333,10100764,'Heals target for 811',100,2,2),
(324334,10100764,'Increases power of target by 288 every 6 seconds',100,2,3),
(324335,10100764,'Grants a total of 1 trigger of the spell.',100,2,4),
(324336,122156,'Inflicts 6 - 8 cold damage on target instantly and every 2 seconds',100,1,0),
(324337,122156,'Inflicts 6 - 8 cold damage on target instantly and every 2 seconds',100,1,1),
(324338,122156,'If target is elemental',100,2,2),
(324339,10122156,'Inflicts 8 - 10 cold damage on target instantly and every 2 seconds',100,1,0),
(324340,102511,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(324341,102511,'Increases Aggression of caster by 2.6',100,1,1),
(324342,102511,'Increases Defense and Parry of caster by 5.1',100,1,2),
(324343,102511,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(324344,10102511,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(324345,10102511,'Increases Aggression of caster by 2.6',100,1,1),
(324346,10102511,'Increases Defense and Parry of caster by 5.1',100,1,2),
(324347,10102511,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(324348,114033,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(324349,114033,'Heals target for 47 instantly and every 2 seconds',100,2,1),
(324350,114033,'Decreases Mitigation of target vs arcane damage by 914',100,1,2),
(324351,10114033,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(324352,10114033,'Heals target for 153 instantly and every 2 seconds',100,2,1),
(324353,10114033,'Decreases Mitigation of target vs arcane damage by 914',100,1,2),
(324354,112590,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(324355,112590,'Dispels 91 levels of physical hostile effects on target',100,2,1),
(324356,112590,'Heals targets in Area of Effect for 207 - 253',100,2,2),
(324357,10112590,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(324358,10112590,'Dispels 91 levels of physical hostile effects on target',100,2,1),
(324359,10112590,'Heals targets in Area of Effect for 134 - 164',100,2,2),
(324360,119598,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(324361,10119598,'Increases power of caster by 70 instantly and every 4 seconds',100,1,0),
(324362,45390,'Applies Summon Crypt Guardian when Activated.',100,0,0),
(324363,45390,'Increases Potency of caster by 1.0%',100,1,1),
(324364,45390,'Increases Max Health of caster by 200.0',100,1,2),
(324365,45390,'Summons a mount to ride',100,1,3),
(324366,45390,'Increases your ground speed by 130%',100,2,4),
(324367,45390,'Increases Crit Bonus of caster by 1.0%',100,1,5),
(324368,45390,'Increases Max Power of caster by 200.0',100,1,6),
(324369,10045390,'Applies Summon Crypt Guardian when Activated.',100,0,0),
(324370,10045390,'Increases Potency of caster by 1.0%',100,1,1),
(324371,10045390,'Increases Max Health of caster by 200.0',100,1,2),
(324372,10045390,'Summons a mount to ride',100,1,3),
(324373,10045390,'Increases your ground speed by 130%',100,2,4),
(324374,10045390,'Increases Crit Bonus of caster by 1.0%',100,1,5),
(324375,10045390,'Increases Max Power of caster by 200.0',100,1,6),
(324376,177787,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(324377,177787,'Slows target by 42.3%',100,1,1),
(324378,177787,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(324379,177787,'Decreases Attack Speed of target by 17.4',100,2,3),
(324380,177787,'Cannot be modified except by direct means',100,2,4),
(324381,177787,'5% chance to dispel when target takes damage',100,1,5),
(324382,177787,'5% chance to dispel when target receives hostile action',100,1,6),
(324383,177787,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(324384,10177787,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(324385,10177787,'Slows target by 42.3%',100,1,1),
(324386,10177787,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,2),
(324387,10177787,'Decreases Attack Speed of target by 17.4',100,2,3),
(324388,10177787,'Cannot be modified except by direct means',100,2,4),
(324389,10177787,'5% chance to dispel when target takes damage',100,1,5),
(324390,10177787,'5% chance to dispel when target receives hostile action',100,1,6),
(324391,10177787,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(324392,124520,'Dispels 20 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(324393,10124520,'Dispels 20 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(324394,101340,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(324395,101340,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,1),
(324396,101340,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,2),
(324397,10101340,'Increases Max Health of group members (AE) by 752.4',100,1,0),
(324398,10101340,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',100,1,1),
(324399,10101340,'Increases Mitigation of group members (AE) vs physical damage by 1240',100,1,2),
(324400,187312,'When Equipped:',100,0,0),
(324401,187312,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(324402,187312,'Stuns target',100,2,2),
(324403,187312,'Only affects targets level 95 and below',100,2,3),
(324404,187312,'Does not affect Epic targets',100,2,4),
(324405,187312,'Resistibility increases against targets higher than level 111.',100,2,5),
(324406,187312,'Cannot be modified except by direct means',100,2,6),
(324407,10187312,'When Equipped:',100,0,0),
(324408,10187312,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(324409,10187312,'Stuns target',100,2,2),
(324410,10187312,'Only affects targets level 95 and below',100,2,3),
(324411,10187312,'Does not affect Epic targets',100,2,4),
(324412,10187312,'Resistibility increases against targets higher than level 111.',100,2,5),
(324413,10187312,'Cannot be modified except by direct means',100,2,6),
(324414,55093,'Applies Sanction of Protection when Activated.  Lasts for 1 minute.',100,0,0),
(324415,55093,'Wards caster against 103 points of physical damage',100,1,1),
(324416,55093,'If Gnomish Spring Boots equipped in Feet',100,1,2),
(324417,55093,'The reuse time of Sanction of Protection is 30 minutes',100,1,3),
(324418,10055093,'Applies Sanction of Protection when Activated.  Lasts for 1 minute.',100,0,0),
(324419,10055093,'Wards caster against 103 points of physical damage',100,1,1),
(324420,10055093,'If Gnomish Spring Boots equipped in Feet',100,1,2),
(324421,10055093,'The reuse time of Sanction of Protection is 30 minutes',100,1,3),
(324422,108347,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(324423,108347,'Increases Mitigation of group members (AE) vs arcane damage by 216',100,1,1),
(324424,10108347,'Increases Max Health of group members (AE) by 33.8',100,1,0),
(324425,10108347,'Increases Mitigation of group members (AE) vs arcane damage by 216',100,1,1),
(324426,101121,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1762',100,1,0),
(324427,10101121,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1762',100,1,0),
(324428,36682,'Increases STA and INT of target by 9.4',100,0,0),
(324429,36682,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,1),
(324430,111294,'Inflicts 182 - 304 divine damage on target',100,1,0),
(324431,111294,'Inflicts 73 - 122 divine damage on target every 4 seconds',100,1,1),
(324432,10111294,'Inflicts 237 - 395 divine damage on target',100,1,0),
(324433,10111294,'Inflicts 95 - 158 divine damage on target every 4 seconds',100,1,1),
(324434,106692,'Heals caster for 38.6 - 47.2% of max health',100,1,0),
(324435,106692,'This effect cannot be critically applied.',100,2,1),
(324436,106692,'Increases Max Health of caster by 733.7',100,1,2),
(324437,106692,'The healing of this spell cannot be modified except by direct means',100,1,3),
(324438,10106692,'Heals caster for 11.9 - 14.5% of max health',100,1,0),
(324439,10106692,'This effect cannot be critically applied.',100,2,1),
(324440,10106692,'Increases Max Health of caster by 733.7',100,1,2),
(324441,10106692,'The healing of this spell cannot be modified except by direct means',100,1,3),
(324442,73716,'Applies Fragile as Glass when Activated.  Lasts for 1 minute.',100,0,0),
(324443,73716,'Decreases Mitigation of target vs physical damage by 476',100,1,1),
(324444,73716,'The casting time of Fragile as Glass is 2.0 seconds and the reuse time of the spell is 20 minutes',100,1,2),
(324445,10073716,'Applies Fragile as Glass when Activated.  Lasts for 1 minute.',100,0,0),
(324446,10073716,'Decreases Mitigation of target vs physical damage by 476',100,1,1),
(324447,10073716,'The casting time of Fragile as Glass is 2.0 seconds and the reuse time of the spell is 20 minutes',100,1,2),
(324448,80942,'When Equipped:',100,0,0),
(324449,80942,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324450,80942,'Inflicts 169 - 314 magic damage on target',100,2,2),
(324451,80942,'Cannot be modified except by direct means',100,2,3),
(324452,10080942,'When Equipped:',100,0,0),
(324453,10080942,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324454,10080942,'Inflicts 220 - 409 magic damage on target',100,2,2),
(324455,10080942,'Cannot be modified except by direct means',100,2,3),
(324456,166478,'When Equipped:',100,0,0),
(324457,166478,'On any combat or spell hit this spell may cast Primal Guile on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(324458,166478,'Inflicts 7267 - 8032 mental damage on target',100,2,2),
(324459,166478,'Increases threat priority of target by 1 position',100,2,3),
(324460,166478,'Must not be engaged in pvp combat',100,2,4),
(324461,166478,'Cannot be modified except by direct means',100,2,5),
(324462,166478,'This effect will not stack with itself if adorned on multiple items.',100,1,6),
(324463,166478,'Must not be engaged in pvp combat',100,1,7),
(324464,166478,'Cannot be modified except by direct means',100,1,8),
(324465,10166478,'When Equipped:',100,0,0),
(324466,10166478,'On any combat or spell hit this spell may cast Primal Guile on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(324467,10166478,'Inflicts 9447 - 10442 mental damage on target',100,2,2),
(324468,10166478,'Must not be engaged in pvp combat',100,2,3),
(324469,10166478,'Cannot be modified except by direct means',100,2,4),
(324470,10166478,'This effect will not stack with itself if adorned on multiple items.',100,1,5),
(324471,10166478,'Must not be engaged in pvp combat',100,1,6),
(324472,10166478,'Cannot be modified except by direct means',100,1,7),
(324473,120567,'Inflicts 3888 - 6481 ranged damage on target',100,1,0),
(324474,120567,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(324475,120567,'Stuns target',100,2,2),
(324476,120567,'Blurs vision of target',100,2,3),
(324477,120567,'Throws target back',100,2,4),
(324478,120567,'Does not affect Epic targets',100,2,5),
(324479,120567,'I need to be stealthed!',100,1,6),
(324480,120567,'Requires bow',100,1,7),
(324481,10120567,'Inflicts 2220 - 3701 melee damage on target',100,1,0),
(324482,10120567,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(324483,10120567,'Stuns target',100,2,2),
(324484,10120567,'Blurs vision of target',100,2,3),
(324485,10120567,'Throws target back',100,2,4),
(324486,10120567,'Does not affect Epic targets',100,2,5),
(324487,10120567,'I need to be stealthed!',100,1,6),
(324488,100674,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(324489,100674,'Summons a limited pet to aid the caster',100,2,1),
(324490,100674,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(324491,100674,'Heals caster for 416',100,3,3),
(324492,100674,'Wards caster against 532 points of all damage',100,3,4),
(324493,100674,'Grants a total of 1 trigger of the spell.',100,2,5),
(324494,10100674,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(324495,10100674,'Summons a limited pet to aid the caster',100,2,1),
(324496,10100674,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(324497,10100674,'Heals caster for 270',100,3,3),
(324498,10100674,'Wards caster against 532 points of all damage',100,3,4),
(324499,10100674,'Grants a total of 1 trigger of the spell.',100,2,5),
(324500,48845,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(324501,48845,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(324502,48845,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(324503,48845,'Cannot be modified except by direct means',100,2,3),
(324504,48845,'Grants a total of 80 triggers of the spell.',100,2,4),
(324505,10048845,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(324506,10048845,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(324507,10048845,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(324508,10048845,'Cannot be modified except by direct means',100,2,3),
(324509,10048845,'Grants a total of 80 triggers of the spell.',100,2,4),
(324510,177594,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(324511,177594,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(324512,177594,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(324513,177594,'Cannot be modified except by direct means',100,2,3),
(324514,10177594,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(324515,10177594,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(324516,10177594,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(324517,10177594,'Cannot be modified except by direct means',100,2,3),
(324518,122032,'Increases Threat to target by 74 - 90 ',100,1,0),
(324519,122032,'Inflicts 9 - 15 melee damage on target',100,1,1),
(324520,10122032,'Forces target to change their selected target to caster.',100,1,0),
(324521,10122032,'Inflicts 11 - 19 melee damage on target',100,1,1),
(324522,105882,'Inflicts 101 - 169 ranged damage on target',100,1,0),
(324523,105882,'Inflicts 101 - 169 ranged damage on target',100,1,1),
(324524,105882,'If weapon equipped in Ranged',100,1,2),
(324525,10105882,'Inflicts 76 - 127 ranged damage on target',100,1,0),
(324526,10105882,'Inflicts 76 - 127 ranged damage on target',100,1,1),
(324527,10105882,'If weapon equipped in Ranged',100,1,2),
(324528,137639,'When Equipped:',100,0,0),
(324529,137639,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(324530,10137639,'When Equipped:',100,0,0),
(324531,10137639,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(324532,48410,'Applies The Pauper Card when Activated.  Lasts for 10 minutes.',100,0,0),
(324533,48410,'Gives coin to the caster each time a green con or higher creature above level 65 is slain.',100,1,1),
(324534,10048410,'Applies The Pauper Card when Activated.  Lasts for 10 minutes.',100,0,0),
(324535,10048410,'Gives coin to the caster each time a green con or higher creature above level 65 is slain.',100,1,1),
(324536,101699,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(324537,101699,'Inflicts 403 - 493 disease damage on target',100,2,1),
(324538,101699,'Grants a total of 3 triggers of the spell.',100,2,2),
(324539,10101699,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(324540,10101699,'Inflicts 524 - 641 disease damage on target',100,2,1),
(324541,10101699,'Grants a total of 3 triggers of the spell.',100,2,2),
(324542,105469,'Stuns target encounter',100,1,0),
(324543,105469,'If Target is not Epic',100,2,1),
(324544,105469,'Inflicts 98 - 182 poison damage on target encounter',100,1,2),
(324545,105469,'Resistibility increases against targets higher than level 51.',100,1,3),
(324546,10105469,'Stuns target encounter',100,1,0),
(324547,10105469,'If Target is not Epic',100,2,1),
(324548,10105469,'Inflicts 128 - 237 poison damage on target encounter',100,1,2),
(324549,10105469,'Resistibility increases against targets higher than level 51.',100,1,3),
(324550,141855,'When Equipped:',100,0,0),
(324551,141855,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(324552,141855,'Increases INT of caster by 14.8',100,2,2),
(324553,141855,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(324554,141855,'Cannot be modified except by direct means',100,2,4),
(324555,10141855,'When Equipped:',100,0,0),
(324556,10141855,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(324557,10141855,'Increases INT of caster by 14.8',100,2,2),
(324558,10141855,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(324559,10141855,'Cannot be modified except by direct means',100,2,4),
(324560,123549,'Inflicts 128 - 192 piercing damage on target instantly and every 4 seconds',100,1,0),
(324561,123549,'Decreases Defense of target by 32.3',100,1,1),
(324562,10123549,'Inflicts 234 - 350 piercing damage on target',100,1,0),
(324563,10123549,'Inflicts 167 - 250 piercing damage on target every 4 seconds',100,1,1),
(324564,10123549,'Decreases Defense of target by 32.3',100,1,2),
(324565,48908,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(324566,48908,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(324567,48908,'Inflicts 119 poison damage on target',100,2,2),
(324568,48908,'Inflicts 61 poison damage on target instantly and every 6 seconds',100,2,3),
(324569,48908,'Cannot be modified except by direct means',100,2,4),
(324570,48908,'Grants a total of 200 triggers of the spell.',100,2,5),
(324571,10048908,'Applies sting of night when Activated.  Lasts for 12 hours.',100,0,0),
(324572,10048908,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(324573,10048908,'Inflicts 116 poison damage on target',100,2,2),
(324574,10048908,'Inflicts 60 poison damage on target instantly and every 6 seconds',100,2,3),
(324575,10048908,'Cannot be modified except by direct means',100,2,4),
(324576,10048908,'Grants a total of 200 triggers of the spell.',100,2,5),
(324577,120662,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 21.2',100,1,0),
(324578,120662,'Increases Focus of group members (AE) by 42.5',100,1,1),
(324579,10120662,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 21.2',100,1,0),
(324580,10120662,'Increases Focus of group members (AE) by 42.5',100,1,1),
(324581,114554,'Heals target for 746 - 912',100,1,0),
(324582,10114554,'Heals target for 970 - 1185',100,1,0),
(324583,122464,'Inflicts 1310 - 2183 magic damage on target',100,1,0),
(324584,10122464,'Inflicts 1702 - 2837 magic damage on target',100,1,0),
(324585,105615,'Inflicts 20 disease damage on target instantly and every 6 seconds',100,1,0),
(324586,105615,'Inflicts 45 - 75 disease damage on target',100,1,1),
(324587,105615,'Inflicts 45 - 75 disease damage on target',100,1,2),
(324588,10105615,'Inflicts 26 disease damage on target instantly and every 6 seconds',100,1,0),
(324589,10105615,'Inflicts 59 - 98 disease damage on target',100,1,1),
(324590,10105615,'Inflicts 59 - 98 disease damage on target',100,1,2),
(324591,191741,'When Equipped:',100,0,0),
(324592,191741,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(324593,191741,'Increases Damage Per Second of caster by 30.0',100,2,2),
(324594,191741,'Increases Attack Speed of caster by 30.0',100,2,3),
(324595,191741,'Cannot be modified except by direct means',100,2,4),
(324596,10191741,'When Equipped:',100,0,0),
(324597,10191741,'On any combat or spell hit this spell may cast Slayer''s Conviction on caster.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(324598,10191741,'Increases Damage Per Second of caster by 30.0',100,2,2),
(324599,10191741,'Increases Attack Speed of caster by 30.0',100,2,3),
(324600,10191741,'Cannot be modified except by direct means',100,2,4),
(324601,101968,'Inflicts 583 - 1082 heat damage on target',100,1,0),
(324602,10101968,'Inflicts 758 - 1407 heat damage on target',100,1,0),
(324603,156890,'Applies Unstable Magics when Equipped.',100,0,0),
(324604,156890,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(324605,10156890,'Applies Unstable Magics when Equipped.',100,0,0),
(324606,10156890,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(324607,171742,'When Equipped:',100,0,0),
(324608,171742,'On a critical spell hit this spell may cast Repugnant Cloud IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(324609,171742,'Decreases Parry of target by 15.0',100,2,2),
(324610,171742,'Decreases Mitigation of target vs physical damage by 480',100,2,3),
(324611,171742,'Inflicts 960 - 1062 disease damage on target instantly and every 2 seconds',100,2,4),
(324612,171742,'Decreases Defense of target by 5.0',100,2,5),
(324613,171742,'Must not be engaged in pvp combat',100,2,6),
(324614,171742,'Cannot be modified except by direct means',100,2,7),
(324615,171742,'On a critical combat hit this spell may cast Repugnant Cloud IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(324616,171742,'Decreases Parry of target by 15.0',100,2,9),
(324617,171742,'Decreases Mitigation of target vs physical damage by 480',100,2,10),
(324618,171742,'Inflicts 960 - 1062 disease damage on target instantly and every 2 seconds',100,2,11),
(324619,171742,'Decreases Defense of target by 5.0',100,2,12),
(324620,171742,'Must not be engaged in pvp combat',100,2,13),
(324621,171742,'Cannot be modified except by direct means',100,2,14),
(324622,171742,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,15),
(324623,171742,'Cannot be modified except by direct means',100,1,16),
(324624,10171742,'When Equipped:',100,0,0),
(324625,10171742,'On a critical spell hit this spell may cast Repugnant Cloud IV on target of spell.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(324626,10171742,'Decreases Parry of target by 15.0',100,2,2),
(324627,10171742,'Decreases Mitigation of target vs physical damage by 480',100,2,3),
(324628,10171742,'Inflicts 1249 - 1380 disease damage on target instantly and every 2 seconds',100,2,4),
(324629,10171742,'Decreases Defense of target by 5.0',100,2,5),
(324630,10171742,'Must not be engaged in pvp combat',100,2,6),
(324631,10171742,'Cannot be modified except by direct means',100,2,7),
(324632,10171742,'On a critical combat hit this spell may cast Repugnant Cloud IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(324633,10171742,'Decreases Parry of target by 15.0',100,2,9),
(324634,10171742,'Decreases Mitigation of target vs physical damage by 480',100,2,10),
(324635,10171742,'Inflicts 1249 - 1380 disease damage on target instantly and every 2 seconds',100,2,11),
(324636,10171742,'Decreases Defense of target by 5.0',100,2,12),
(324637,10171742,'Must not be engaged in pvp combat',100,2,13),
(324638,10171742,'Cannot be modified except by direct means',100,2,14),
(324639,10171742,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,15),
(324640,10171742,'Cannot be modified except by direct means',100,1,16),
(324641,107115,'Inflicts 13 - 15 divine damage on target',100,1,0),
(324642,107115,'Inflicts 13 - 15 divine damage on target',100,1,1),
(324643,107115,'If target is undead',100,2,2),
(324644,10107115,'Inflicts 16 - 20 divine damage on target',100,1,0),
(324645,10107115,'Inflicts 16 - 20 divine damage on target',100,1,1),
(324646,48185,'Applies Spirit of the Beetles when Activated.  Lasts for 30 minutes.',100,0,0),
(324647,48185,'Increases Out-of-Combat Power Regeneration of caster by 12.0',100,1,1),
(324648,48185,'This effect suspends during combat',100,1,2),
(324649,48185,'Only affects targets level 1 and above',100,1,3),
(324650,10048185,'Applies Spirit of the Beetles when Activated.  Lasts for 30 minutes.',100,0,0),
(324651,10048185,'Increases Out-of-Combat Power Regeneration of caster by 12.0',100,1,1),
(324652,10048185,'This effect suspends during combat',100,1,2),
(324653,10048185,'Only affects targets level 1 and above',100,1,3),
(324654,103627,'Increases STR of raid and group members (AE) by 20.0',100,1,0),
(324655,103627,'Improves the base amount of taunts by 10%.',100,1,1),
(324656,103627,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(324657,103627,'Increases AGI of raid and group members (AE) by 20.0',100,1,3),
(324658,103627,'Adds 1.0% to base avoidance.',100,1,4),
(324659,10103627,'Increases STR of raid and group members (AE) by 20.0',100,1,0),
(324660,10103627,'Improves the base amount of taunts by 10%.',100,1,1),
(324661,10103627,'Improves the base amount of combat arts by 3.12%.',100,1,2),
(324662,10103627,'Increases AGI of raid and group members (AE) by 20.0',100,1,3),
(324663,10103627,'Adds 1.0% to base avoidance.',100,1,4),
(324664,48537,'Applies Use Beacon when Activated.',100,0,0),
(324665,10048537,'Applies Use Beacon when Activated.',100,0,0),
(324666,109125,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(324667,109125,'Increases Attack Speed of caster by 75.3',100,1,1),
(324668,109125,'Increases Damage Per Second of caster by 87.4',100,1,2),
(324669,109125,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(324670,109125,'Increases Ranged of caster by 107.5',100,1,4),
(324671,109125,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(324672,109125,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(324673,109125,'Increases Crushing of group members (AE) by 107.5',100,2,7),
(324674,109125,'Increases Piercing of group members (AE) by 107.5',100,2,8),
(324675,109125,'If profession other than Ranger',100,3,9),
(324676,109125,'Increases Slashing of group members (AE) by 107.5',100,2,10),
(324677,109125,'If profession other than Ranger',100,3,11),
(324678,10109125,'Caster will have their chance to hit with a weapon increased by 7.0%',100,1,0),
(324679,10109125,'Increases Attack Speed of caster by 75.3',100,1,1),
(324680,10109125,'Increases Damage Per Second of caster by 87.4',100,1,2),
(324681,10109125,'Decreases Slashing and Piercing of caster by 192.0',100,1,3),
(324682,10109125,'Increases Ranged of caster by 107.5',100,1,4),
(324683,10109125,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(324684,10109125,'Group members (AE) will have their chance to hit with a weapon increased by 21.0%',100,2,6),
(324685,10109125,'Increases Crushing of group members (AE) by 107.5',100,2,7),
(324686,10109125,'Increases Piercing of group members (AE) by 107.5',100,2,8),
(324687,10109125,'If profession other than Ranger',100,3,9),
(324688,10109125,'Increases Slashing of group members (AE) by 107.5',100,2,10),
(324689,10109125,'If profession other than Ranger',100,3,11),
(324690,110946,'Applies Awakening on termination.',100,1,0),
(324691,110946,'Heals target for 1278 - 1562',100,2,1),
(324692,10110946,'Applies Awakening on termination.',100,1,0),
(324693,10110946,'Heals target for 1994 - 2437',100,2,1),
(324694,45544,'Applies Ashlan''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(324695,45544,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(324696,10045544,'Applies Ashlan''s Favor  when Activated.  Lasts for 30 minutes.',100,0,0),
(324697,10045544,'Increases Mitigation of caster vs physical damage by 80',100,1,1),
(324698,178502,'When Equipped:',100,0,0),
(324699,178502,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(324700,178502,'Inflicts 2648 piercing damage on target',100,2,2),
(324701,178502,'Cannot be modified except by direct means',100,2,3),
(324702,10178502,'When Equipped:',100,0,0),
(324703,10178502,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(324704,10178502,'Inflicts 1721 piercing damage on target',100,2,2),
(324705,10178502,'Cannot be modified except by direct means',100,2,3),
(324706,104778,'Inflicts 16 disease damage on target instantly and every 4 seconds',100,1,0),
(324707,104778,'Inflicts 16 disease damage on target instantly and every 4 seconds',100,1,1),
(324708,104778,'If target is nightblood',100,2,2),
(324709,104778,'Inflicts 16 disease damage on target instantly and every 4 seconds',100,1,3),
(324710,104778,'If target is shadowed folk',100,2,4),
(324711,10104778,'Inflicts 21 disease damage on target instantly and every 4 seconds',100,1,0),
(324712,10104778,'Inflicts 21 disease damage on target instantly and every 4 seconds',100,1,1),
(324713,10104778,'If target is nightblood',100,2,2),
(324714,10104778,'Inflicts 21 disease damage on target instantly and every 4 seconds',100,1,3),
(324715,10104778,'If target is shadowed folk',100,2,4),
(324716,107728,'Inflicts 840 - 1400 heat damage on target',100,1,0),
(324717,107728,'You must be sneaking to use this ability.',100,1,1),
(324718,10107728,'Inflicts 1092 - 1820 heat damage on target',100,1,0),
(324719,10107728,'You must be sneaking to use this ability.',100,1,1),
(324720,111039,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(324721,111039,'Increases Threat to target by 478 ',100,2,1),
(324722,111039,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(324723,111039,'Increases Threat to target by 478 ',100,2,3),
(324724,10111039,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(324725,10111039,'Inflicts 70 - 78 crushing damage on target',100,2,1),
(324726,10111039,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(324727,10111039,'Inflicts 70 - 78 crushing damage on target',100,2,3),
(324728,46998,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(324729,46998,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(324730,46998,'Decreases AGI of target by 7.7',100,2,2),
(324731,46998,'Cannot be modified except by direct means',100,2,3),
(324732,46998,'Grants a total of 30 triggers of the spell.',100,2,4),
(324733,10046998,'Applies superior protection when Activated.  Lasts for 12 hours.',100,0,0),
(324734,10046998,'On a combat hit this spell may cast Clumsiness Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(324735,10046998,'Decreases AGI of target by 7.7',100,2,2),
(324736,10046998,'Cannot be modified except by direct means',100,2,3),
(324737,10046998,'Grants a total of 30 triggers of the spell.',100,2,4),
(324738,103286,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(324739,103286,'If Fighter',100,2,1),
(324740,103286,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,2),
(324741,103286,'Increases power of target by 24 instantly and every 4 seconds',100,2,3),
(324742,103286,'Increases power of caster by 24 instantly and every 4 seconds',100,2,4),
(324743,10103286,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',100,1,0),
(324744,10103286,'Increases power of target by 24 instantly and every 4 seconds',100,2,1),
(324745,10103286,'Increases power of caster by 24 instantly and every 4 seconds',100,2,2),
(324746,117619,'Inflicts 331 - 552 ranged damage on target',100,1,0),
(324747,117619,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(324748,117619,'Slows target by 36.7%',100,2,2),
(324749,117619,'5% chance to dispel when target receives hostile action',100,2,3),
(324750,117619,'5% chance to dispel when target takes damage',100,2,4),
(324751,117619,'Must be flanking or behind',100,1,5),
(324752,117619,'Requires bow',100,1,6),
(324753,10117619,'Inflicts 248 - 414 ranged damage on target',100,1,0),
(324754,10117619,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(324755,10117619,'Slows target by 36.7%',100,2,2),
(324756,10117619,'5% chance to dispel when target receives hostile action',100,2,3),
(324757,10117619,'5% chance to dispel when target takes damage',100,2,4),
(324758,10117619,'Must be flanking or behind',100,1,5),
(324759,10117619,'Requires bow',100,1,6),
(324760,189971,'Applies Acidic Deathcloud when Activated.  Lasts for 8.0 seconds.',100,0,0),
(324761,189971,'Increases Doublecast Chance of caster by 10.0%',100,1,1),
(324762,189971,'Applies Acidic Deathcloud on termination.',100,1,2),
(324763,189971,'This applies every 4 seconds and applies for each target hit by Acidic Deathcloud',100,2,3),
(324764,189971,'Inflicts 364 - 445 disease damage on targets in Area of Effect',100,2,4),
(324765,189971,'Cannot be modified except by direct means',100,2,5),
(324766,189971,'Inflicts 3644 - 4454 disease damage on targets in Area of Effect',100,1,6),
(324767,189971,'Must not be engaged in pvp combat',100,1,7),
(324768,189971,'Cannot be modified except by direct means',100,1,8),
(324769,189971,'The reuse time of Acidic Deathcloud is 1 minute 30 seconds',100,1,9),
(324770,10189971,'Applies Acidic Deathcloud when Activated.  Lasts for 8.0 seconds.',100,0,0),
(324771,10189971,'Increases Doublecast Chance of caster by 10.0%',100,1,1),
(324772,10189971,'Applies Acidic Deathcloud on termination.',100,1,2),
(324773,10189971,'This applies every 4 seconds and applies for each target hit by Acidic Deathcloud',100,2,3),
(324774,10189971,'Inflicts 474 - 579 disease damage on targets in Area of Effect',100,2,4),
(324775,10189971,'Cannot be modified except by direct means',100,2,5),
(324776,10189971,'Inflicts 4738 - 5791 disease damage on targets in Area of Effect',100,1,6),
(324777,10189971,'Must not be engaged in pvp combat',100,1,7),
(324778,10189971,'Cannot be modified except by direct means',100,1,8),
(324779,10189971,'The reuse time of Acidic Deathcloud is 1 minute 30 seconds',100,1,9),
(324780,117745,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(324781,117745,'Heals target for 1203',100,2,1),
(324782,117745,'Increases Max Health of target by 791.8',100,2,2),
(324783,117745,'Grants a total of 1 trigger of the spell.',100,2,3),
(324784,10117745,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(324785,10117745,'Heals target for 782',100,2,1),
(324786,10117745,'Increases Max Health of target by 791.8',100,2,2),
(324787,10117745,'Grants a total of 1 trigger of the spell.',100,2,3),
(324788,100304,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(324789,100304,'Inflicts 156 divine damage on target',100,2,1),
(324790,10100304,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(324791,10100304,'Inflicts 202 divine damage on target',100,2,1),
(324792,45793,'Applies Net when Activated.',100,0,0),
(324793,45793,'This effect cannot be cast during combat',100,1,1),
(324794,10045793,'Applies Net when Activated.',100,0,0),
(324795,10045793,'This effect cannot be cast during combat',100,1,1),
(324796,87928,'When Equipped:',100,0,0),
(324797,87928,'On any combat or spell hit this spell may cast Thought Recoil on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(324798,87928,'Decreases Threat to targets in Area of Effect by 1,600 ',100,2,2),
(324799,87928,'Cannot be modified except by direct means',100,2,3),
(324800,10087928,'When Equipped:',100,0,0),
(324801,10087928,'On any combat or spell hit this spell may cast Thought Recoil on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(324802,10087928,'Cannot be modified except by direct means',100,2,2),
(324803,41983,'When Equipped:',100,0,0),
(324804,41983,'On a ranged hit this spell may cast Tallon''s Honor on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(324805,41983,'Increases Potency of caster by 15.0%',100,2,2),
(324806,41983,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(324807,41983,'Increases Ranged of caster by 15.0',100,2,4),
(324808,41983,'Must not be engaged in pvp combat',100,2,5),
(324809,41983,'Cannot be modified except by direct means',100,2,6),
(324810,41983,'On a ranged hit this spell may cast Tallon''s Obsidian Barb on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(324811,41983,'Inflicts 19296 - 28944 piercing damage on target',100,2,8),
(324812,41983,'Decreases Multi Attack Chance of target by 5.0',100,2,9),
(324813,41983,'Cannot be modified except by direct means',100,2,10),
(324814,10041983,'When Equipped:',100,0,0),
(324815,10041983,'On a ranged hit this spell may cast Tallon''s Honor on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(324816,10041983,'Increases Potency of caster by 15.0%',100,2,2),
(324817,10041983,'Increases Multi Attack Chance of caster by 15.0',100,2,3),
(324818,10041983,'Increases Ranged of caster by 15.0',100,2,4),
(324819,10041983,'Must not be engaged in pvp combat',100,2,5),
(324820,10041983,'Cannot be modified except by direct means',100,2,6),
(324821,10041983,'On a ranged hit this spell may cast Tallon''s Obsidian Barb on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(324822,10041983,'Decreases Multi Attack Chance of target by 5.0',100,2,8),
(324823,10041983,'Inflicts 3484 crushing damage on target',100,2,9),
(324824,10041983,'Cannot be modified except by direct means',100,2,10),
(324825,114137,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(324826,114137,'Increases Mitigation of group members (AE) vs elemental damage by 870',100,1,1),
(324827,10114137,'Increases Max Health of group members (AE) by 241.1',100,1,0),
(324828,10114137,'Increases Mitigation of group members (AE) vs elemental damage by 870',100,1,1),
(324829,109112,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(324830,109112,'Increases Attack Speed of caster by 40.0',100,1,1),
(324831,109112,'Increases Damage Per Second of caster by 46.0',100,1,2),
(324832,109112,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(324833,109112,'Increases Ranged of caster by 43.2',100,1,4),
(324834,109112,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(324835,109112,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(324836,109112,'Increases Crushing of group members (AE) by 43.2',100,2,7),
(324837,109112,'Increases Slashing of group members (AE) by 43.2',100,2,8),
(324838,109112,'If profession other than Ranger',100,3,9),
(324839,109112,'Increases Piercing of group members (AE) by 43.2',100,2,10),
(324840,109112,'If profession other than Ranger',100,3,11),
(324841,10109112,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(324842,10109112,'Increases Attack Speed of caster by 40.0',100,1,1),
(324843,10109112,'Increases Damage Per Second of caster by 46.0',100,1,2),
(324844,10109112,'Decreases Slashing and Piercing of caster by 108.0',100,1,3),
(324845,10109112,'Increases Ranged of caster by 43.2',100,1,4),
(324846,10109112,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(324847,10109112,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(324848,10109112,'Increases Crushing of group members (AE) by 43.2',100,2,7),
(324849,10109112,'Increases Slashing of group members (AE) by 43.2',100,2,8),
(324850,10109112,'If profession other than Ranger',100,3,9),
(324851,10109112,'Increases Piercing of group members (AE) by 43.2',100,2,10),
(324852,10109112,'If profession other than Ranger',100,3,11),
(324853,119073,'Inflicts 358 - 597 mental damage on target',100,1,0),
(324854,119073,'Decreases power of target by 336 - 559',100,1,1),
(324855,119073,'Increases power of caster by 220 - 367',100,1,2),
(324856,10119073,'Inflicts 465 - 776 mental damage on target',100,1,0),
(324857,10119073,'Decreases power of target by 336 - 559',100,1,1),
(324858,10119073,'Increases power of caster by 220 - 367',100,1,2),
(324859,82039,'When Equipped:',100,0,0),
(324860,82039,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(324861,82039,'Decreases Threat to target by 641 ',100,2,2),
(324862,82039,'Must be flanking or behind',100,3,3),
(324863,82039,'Increases Threat to target by 641 ',100,2,4),
(324864,82039,'Must be in front of',100,3,5),
(324865,82039,'Inflicts 138 - 257 magic damage on target',100,2,6),
(324866,82039,'Cannot be modified except by direct means',100,2,7),
(324867,10082039,'When Equipped:',100,0,0),
(324868,10082039,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(324869,10082039,'Inflicts 180 - 334 magic damage on target',100,2,2),
(324870,10082039,'Cannot be modified except by direct means',100,2,3),
(324871,26122,'When Equipped:',100,0,0),
(324872,26122,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(324873,26122,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,2),
(324874,10026122,'When Equipped:',100,0,0),
(324875,10026122,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(324876,10026122,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,2),
(324877,109001,'Decreases Damage Per Second of target by 25.1',100,1,0),
(324878,109001,'Inflicts 123 - 150 melee damage on target',100,1,1),
(324879,10109001,'Decreases Damage Per Second of target by 25.1',100,1,0),
(324880,10109001,'Inflicts 160 - 196 melee damage on target',100,1,1),
(324881,146814,'When Equipped:',100,0,0),
(324882,146814,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(324883,146814,'Inflicts 1192 piercing damage on target',100,2,2),
(324884,146814,'Cannot be modified except by direct means',100,2,3),
(324885,10146814,'When Equipped:',100,0,0),
(324886,10146814,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(324887,10146814,'Inflicts 775 piercing damage on target',100,2,2),
(324888,10146814,'Cannot be modified except by direct means',100,2,3),
(324889,119547,'Wards group members (AE) against 727 points of arcane damage',100,1,0),
(324890,119547,'Increases Mitigation of group members (AE) vs arcane damage by 430',100,1,1),
(324891,10119547,'Wards group members (AE) against 727 points of arcane damage',100,1,0),
(324892,10119547,'Increases Mitigation of group members (AE) vs arcane damage by 430',100,1,1),
(324893,165107,'When Equipped:',100,0,0),
(324894,165107,'Increases Attack Speed of caster by 45.0',100,1,1),
(324895,10165107,'When Equipped:',100,0,0),
(324896,10165107,'Increases Attack Speed of caster by 45.0',100,1,1),
(324897,176645,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(324898,176645,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,1,1),
(324899,176645,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(324900,10176645,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(324901,10176645,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',100,1,1),
(324902,10176645,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(324903,111308,'Inflicts 460 - 767 divine damage on target',100,1,0),
(324904,111308,'Inflicts 184 - 307 divine damage on target every 4 seconds',100,1,1),
(324905,10111308,'Inflicts 598 - 997 divine damage on target',100,1,0),
(324906,10111308,'Inflicts 239 - 399 divine damage on target every 4 seconds',100,1,1),
(324907,148581,'When Equipped:',100,0,0),
(324908,148581,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(324909,148581,'Increases STA of target by 15.6',100,2,2),
(324910,148581,'Cannot be modified except by direct means',100,2,3),
(324911,10148581,'When Equipped:',100,0,0),
(324912,10148581,'When any damage is received this spell has a 5% chance to cast Stamina on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(324913,10148581,'Increases STA of target by 15.6',100,2,2),
(324914,10148581,'Cannot be modified except by direct means',100,2,3),
(324915,48642,'Applies Translucent Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(324916,48642,'Increases Max Power of caster by 248.6',100,1,1),
(324917,48642,'Only affects targets level 50 and above',100,1,2),
(324918,10048642,'Applies Translucent Anuk''s Elixir of Capacity when Activated.  Lasts for 15 minutes.',100,0,0),
(324919,10048642,'Increases Max Power of caster by 248.6',100,1,1),
(324920,10048642,'Only affects targets level 50 and above',100,1,2),
(324921,48118,'Applies Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(324922,48118,'Increases Max Health of caster by 276.0',100,1,1),
(324923,10048118,'Applies Solvent of Life when Activated.  Lasts for 15 minutes.',100,0,0),
(324924,10048118,'Increases Max Health of caster by 276.0',100,1,1),
(324925,108394,'Heals target for 243 - 297',100,1,0),
(324926,10108394,'Heals target for 291 - 355',100,1,0),
(324927,110291,'Decreases Mitigation of target vs arcane damage by 1428',100,1,0),
(324928,110291,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(324929,110291,'Slows target by 56.3%',100,2,2),
(324930,110291,'5% chance to dispel when target receives hostile action',100,2,3),
(324931,110291,'5% chance to dispel when target takes damage',100,2,4),
(324932,10110291,'Decreases Mitigation of target vs arcane damage by 1428',100,1,0),
(324933,10110291,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(324934,10110291,'Slows target by 56.3%',100,2,2),
(324935,10110291,'5% chance to dispel when target receives hostile action',100,2,3),
(324936,10110291,'5% chance to dispel when target takes damage',100,2,4),
(324937,54551,'When Equipped:',100,0,0),
(324938,54551,'When damaged this spell has a 10% chance to cast Averted Eyes on target''s attacker.  ',100,1,1),
(324939,54551,'Forces target to clear their selected target.',100,2,2),
(324940,54551,'Inflicts 381 - 466 divine damage on target',100,2,3),
(324941,54551,'This effect will not stack with Greater Averted Eyes.',100,2,4),
(324942,54551,'Only affects targets level 90 and below',100,2,5),
(324943,54551,'Does not affect Epic targets',100,2,6),
(324944,54551,'Cannot be modified except by direct means',100,2,7),
(324945,54551,'This effect can only trigger once every 15 seconds.',100,2,8),
(324946,54551,'Cannot be modified except by direct means',100,1,9),
(324947,54551,'When Equipped:',100,0,10),
(324948,54551,'When damaged in combat this spell has a 5% chance to cast Purge Pain on caster.  ',100,1,11),
(324949,54551,'Heals caster for 658',100,2,12),
(324950,54551,'Cannot be modified except by direct means',100,2,13),
(324951,54551,'Cannot be modified except by direct means',100,1,14),
(324952,10054551,'When Equipped:',100,0,0),
(324953,10054551,'When damaged this spell has a 10% chance to cast Averted Eyes on target''s attacker.  ',100,1,1),
(324954,10054551,'Forces target to clear their selected target.',100,2,2),
(324955,10054551,'Inflicts 496 - 606 divine damage on target',100,2,3),
(324956,10054551,'This effect will not stack with Greater Averted Eyes.',100,2,4),
(324957,10054551,'Only affects targets level 90 and below',100,2,5),
(324958,10054551,'Does not affect Epic targets',100,2,6),
(324959,10054551,'Cannot be modified except by direct means',100,2,7),
(324960,10054551,'This effect can only trigger once every 15 seconds.',100,2,8),
(324961,10054551,'Cannot be modified except by direct means',100,1,9),
(324962,10054551,'When Equipped:',100,0,10),
(324963,10054551,'When damaged in combat this spell has a 5% chance to cast Purge Pain on caster.  ',100,1,11),
(324964,10054551,'Heals caster for 427',100,2,12),
(324965,10054551,'Cannot be modified except by direct means',100,2,13),
(324966,10054551,'Cannot be modified except by direct means',100,1,14),
(324967,80983,'When Equipped:',100,0,0),
(324968,80983,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(324969,80983,'Decreases Threat to target by 641 ',100,2,2),
(324970,80983,'Must be flanking or behind',100,3,3),
(324971,80983,'Increases Threat to target by 641 ',100,2,4),
(324972,80983,'Must be in front of',100,3,5),
(324973,80983,'Inflicts 180 - 334 magic damage on target',100,2,6),
(324974,80983,'Cannot be modified except by direct means',100,2,7),
(324975,10080983,'When Equipped:',100,0,0),
(324976,10080983,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(324977,10080983,'Inflicts 234 - 435 magic damage on target',100,2,2),
(324978,10080983,'Cannot be modified except by direct means',100,2,3),
(324979,112499,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(324980,112499,'Inflicts 48 disease damage on target instantly and every 4 seconds',100,2,1),
(324981,112499,'60% of target''s power consumed will also be drained from target''s health',100,2,2),
(324982,10112499,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(324983,10112499,'Inflicts 62 disease damage on target instantly and every 4 seconds',100,2,1),
(324984,10112499,'60% of target''s power consumed will also be drained from target''s health',100,2,2),
(324985,115438,'Inflicts 31 - 37 mental damage on target instantly and every 6 seconds',100,1,0),
(324986,115438,'Decreases Mitigation of target vs arcane damage by 308',100,1,1),
(324987,10115438,'Inflicts 40 - 49 mental damage on target instantly and every 6 seconds',100,1,0),
(324988,10115438,'Decreases Mitigation of target vs arcane damage by 308',100,1,1),
(324989,117504,'Increases Attack Speed of target by 59.1',100,1,0),
(324990,10117504,'Increases Attack Speed of target by 59.1',100,1,0),
(324991,74927,'When Equipped:',100,0,0),
(324992,74927,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324993,74927,'Inflicts 26 - 40 magic damage on target',100,2,2),
(324994,74927,'Cannot be modified except by direct means',100,2,3),
(324995,10074927,'When Equipped:',100,0,0),
(324996,10074927,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(324997,10074927,'Inflicts 34 - 51 magic damage on target',100,2,2),
(324998,10074927,'Cannot be modified except by direct means',100,2,3),
(324999,84037,'Applies Lightning Shock when Activated.',100,0,0),
(325000,84037,'Inflicts 173 - 289 magic damage on target',100,1,1),
(325001,84037,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(325002,10084037,'Applies Lightning Shock when Activated.',100,0,0),
(325003,10084037,'Inflicts 226 - 376 magic damage on target',100,1,1),
(325004,10084037,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(325005,109052,'Increases Attack Speed of caster by 26.6',100,1,0),
(325006,109052,'Decreases Defense of caster by 18.9',100,1,1),
(325007,109052,'Increases Slashing, Piercing, Crushing and Ranged of caster by 28.4',100,1,2),
(325008,10109052,'Increases Attack Speed of caster by 26.6',100,1,0),
(325009,10109052,'Decreases Defense of caster by 18.9',100,1,1),
(325010,10109052,'Increases Slashing, Piercing, Crushing and Ranged of caster by 28.4',100,1,2),
(325011,113115,'Heals target for 51.5 - 62.9% of max health',100,1,0),
(325012,113115,'This effect cannot be critically applied.',100,2,1),
(325013,113115,'Increases Max Health of target by 862.1',100,1,2),
(325014,113115,'Increases Mitigation of target vs physical damage by 989',100,1,3),
(325015,113115,'The healing of this spell cannot be modified except by direct means',100,1,4),
(325016,10113115,'Heals target for 20.6 - 25.2% of max health',100,1,0),
(325017,10113115,'This effect cannot be critically applied.',100,2,1),
(325018,10113115,'Increases Max Health of target by 862.1',100,1,2),
(325019,10113115,'Increases Mitigation of target vs physical damage by 989',100,1,3),
(325020,10113115,'The healing of this spell cannot be modified except by direct means',100,1,4),
(325021,120094,'Shapechanges caster into a chaos essence',100,1,0),
(325022,120094,'Increases WIS of caster by 38.4',100,1,1),
(325023,120094,'Grants See Invisibility to caster',100,1,2),
(325024,120094,'Increases Max Health of caster by 103.2',100,1,3),
(325025,120094,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 570',100,1,4),
(325026,10120094,'Shapechanges caster into a chaos essence',100,1,0),
(325027,10120094,'Increases WIS of caster by 38.4',100,1,1),
(325028,10120094,'Grants See Invisibility to caster',100,1,2),
(325029,10120094,'Increases Max Health of caster by 103.2',100,1,3),
(325030,10120094,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 570',100,1,4),
(325031,118392,'Inflicts 498 - 831 melee damage on target',100,1,0),
(325032,118392,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(325033,118392,'Blurs vision of target',100,2,2),
(325034,118392,'Stuns target',100,2,3),
(325035,118392,'Throws target back',100,2,4),
(325036,118392,'Does not affect Epic targets',100,2,5),
(325037,10118392,'Inflicts 648 - 1080 melee damage on target',100,1,0),
(325038,10118392,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(325039,10118392,'Stuns target',100,2,2),
(325040,10118392,'Blurs vision of target',100,2,3),
(325041,10118392,'Throws target back',100,2,4),
(325042,10118392,'Does not affect Epic targets',100,2,5),
(325043,141867,'When Equipped:',100,0,0),
(325044,141867,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325045,141867,'Increases INT of caster by 8.8',100,2,2),
(325046,141867,'Increases Disruption, Subjugation and Focus of caster by 5.2',100,2,3),
(325047,141867,'Cannot be modified except by direct means',100,2,4),
(325048,10141867,'When Equipped:',100,0,0),
(325049,10141867,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325050,10141867,'Increases INT of caster by 8.8',100,2,2),
(325051,10141867,'Increases Disruption, Subjugation and Focus of caster by 5.2',100,2,3),
(325052,10141867,'Cannot be modified except by direct means',100,2,4),
(325053,115047,'Heals target for 773 - 944',100,1,0),
(325054,10115047,'Heals target for 1082 - 1323',100,1,0),
(325055,119381,'Decreases threat priority of target by 1 position',100,1,0),
(325056,119381,'Decreases Threat to target by 877 ',100,1,1),
(325057,119381,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(325058,119381,'Grants stealth to caster',100,2,3),
(325059,119381,'Suspends caster''s movement speed enhancements',100,2,4),
(325060,10119381,'Applies Distract.',100,1,0),
(325061,10119381,'Forces target to clear their selected target.',100,2,1),
(325062,10119381,'Applies Lie Low on termination.  Lasts for 12 hours.',100,1,2),
(325063,10119381,'Grants stealth to caster',100,2,3),
(325064,10119381,'Suspends caster''s movement speed enhancements',100,2,4),
(325065,122368,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(325066,122368,'Inflicts 27 - 33 piercing damage on target',100,2,1),
(325067,10122368,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(325068,10122368,'Inflicts 35 - 42 piercing damage on target',100,2,1),
(325069,122192,'Inflicts 206 - 252 cold damage on target instantly and every 2 seconds',100,1,0),
(325070,122192,'Inflicts 206 - 252 cold damage on target instantly and every 2 seconds',100,1,1),
(325071,122192,'If target is elemental',100,2,2),
(325072,10122192,'Inflicts 268 - 328 cold damage on target instantly and every 2 seconds',100,1,0),
(325073,47285,'Applies Murky Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(325074,47285,'Heals caster for 150',100,1,1),
(325075,47285,'Heals caster for 75 every 5 seconds',100,1,2),
(325076,47285,'Only affects targets level 50 and above',100,1,3),
(325077,10047285,'Applies Murky Restorative Tonic when Activated.  Lasts for 30.0 seconds.',100,0,0),
(325078,10047285,'Heals caster for 97',100,1,1),
(325079,10047285,'Heals caster for 49 every 5 seconds',100,1,2),
(325080,10047285,'Only affects targets level 50 and above',100,1,3),
(325081,111992,'Heals target for 162 - 198',100,1,0),
(325082,10111992,'Heals target for 105 - 129',100,1,0),
(325083,116855,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(325084,116855,'Inflicts 329 - 402 mental damage on target',100,2,1),
(325085,116855,'Grants a total of 3 triggers of the spell.',100,2,2),
(325086,10116855,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(325087,10116855,'Inflicts 428 - 523 mental damage on target',100,2,1),
(325088,10116855,'Grants a total of 3 triggers of the spell.',100,2,2),
(325089,121467,'Increases AGI of caster by 136.3',100,1,0),
(325090,121467,'Adds 21.8% to base avoidance.',100,1,1),
(325091,121467,'Increases Mitigation of caster vs physical damage by 1324',100,1,2),
(325092,121467,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,3),
(325093,10121467,'Increases AGI of caster by 136.3',100,1,0),
(325094,10121467,'Adds 21.8% to base avoidance.',100,1,1),
(325095,10121467,'Increases Mitigation of caster vs physical damage by 1324',100,1,2),
(325096,10121467,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,3),
(325097,24629,'Adds Poet''s Palace: Brass Desk to your Dungeon Maker toolbox',100,0,0),
(325098,10024629,'Adds Poet''s Palace: Brass Desk to your Dungeon Maker toolbox',100,0,0),
(325099,159316,'Applies Lambent Imbued when Equipped.',100,0,0),
(325100,159316,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325101,159316,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(325102,159316,'Cannot be modified except by direct means',100,2,3),
(325103,10159316,'Applies Lambent Imbued when Equipped.',100,0,0),
(325104,10159316,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325105,10159316,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(325106,10159316,'Cannot be modified except by direct means',100,2,3),
(325107,82722,'When Equipped:',100,0,0),
(325108,82722,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325109,82722,'Inflicts 108 - 200 magic damage on target',100,2,2),
(325110,82722,'Cannot be modified except by direct means',100,2,3),
(325111,10082722,'When Equipped:',100,0,0),
(325112,10082722,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325113,10082722,'Inflicts 140 - 260 magic damage on target',100,2,2),
(325114,10082722,'Cannot be modified except by direct means',100,2,3),
(325115,116374,'Heals target for 45 - 55 instantly and every 2 seconds',100,1,0),
(325116,10116374,'Heals target for 29 - 36 instantly and every 2 seconds',100,1,0),
(325117,102251,'Inflicts 53 - 88 melee damage on targets in area',100,1,0),
(325118,10102251,'Inflicts 69 - 115 melee damage on targets in area',100,1,0),
(325119,35028,'Increases STR of target by 15.0',100,0,0),
(325120,35028,'Increases Max Health of target by 150.0',100,0,1),
(325121,35028,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,2),
(325122,83612,'When Equipped:',100,0,0),
(325123,83612,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(325124,83612,'Inflicts 405 - 675 piercing damage on target',100,2,2),
(325125,83612,'Inflicts 405 - 675 magic damage on target',100,2,3),
(325126,83612,'Inflicts 405 - 675 divine damage on target',100,2,4),
(325127,83612,'Must not be engaged in pvp combat',100,2,5),
(325128,83612,'Cannot be modified except by direct means',100,2,6),
(325129,83612,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(325130,83612,'Inflicts 405 - 675 piercing damage on target',100,2,8),
(325131,83612,'Inflicts 405 - 675 magic damage on target',100,2,9),
(325132,83612,'Inflicts 405 - 675 divine damage on target',100,2,10),
(325133,83612,'Must not be engaged in pvp combat',100,2,11),
(325134,83612,'Cannot be modified except by direct means',100,2,12),
(325135,83612,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(325136,83612,'Inflicts 405 - 675 piercing damage on target',100,2,14),
(325137,83612,'Inflicts 405 - 675 magic damage on target',100,2,15),
(325138,83612,'Inflicts 405 - 675 divine damage on target',100,2,16),
(325139,83612,'Must not be engaged in pvp combat',100,2,17),
(325140,83612,'Cannot be modified except by direct means',100,2,18),
(325141,83612,'Must not be engaged in pvp combat',100,1,19),
(325142,10083612,'When Equipped:',100,0,0),
(325143,10083612,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(325144,10083612,'Inflicts 526 - 877 piercing damage on target',100,2,2),
(325145,10083612,'Inflicts 526 - 877 magic damage on target',100,2,3),
(325146,10083612,'Inflicts 526 - 877 divine damage on target',100,2,4),
(325147,10083612,'Must not be engaged in pvp combat',100,2,5),
(325148,10083612,'Cannot be modified except by direct means',100,2,6),
(325149,10083612,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,7),
(325150,10083612,'Inflicts 526 - 877 piercing damage on target',100,2,8),
(325151,10083612,'Inflicts 526 - 877 magic damage on target',100,2,9),
(325152,10083612,'Inflicts 526 - 877 divine damage on target',100,2,10),
(325153,10083612,'Must not be engaged in pvp combat',100,2,11),
(325154,10083612,'Cannot be modified except by direct means',100,2,12),
(325155,10083612,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,13),
(325156,10083612,'Inflicts 526 - 877 piercing damage on target',100,2,14),
(325157,10083612,'Inflicts 526 - 877 magic damage on target',100,2,15),
(325158,10083612,'Inflicts 526 - 877 divine damage on target',100,2,16),
(325159,10083612,'Must not be engaged in pvp combat',100,2,17),
(325160,10083612,'Cannot be modified except by direct means',100,2,18),
(325161,10083612,'Must not be engaged in pvp combat',100,1,19),
(325162,116156,'Increases Attack Speed of caster by 20.7',100,1,0),
(325163,116156,'Increases Damage Per Second of caster by 23.9',100,1,1),
(325164,10116156,'Increases Attack Speed of caster by 20.7',100,1,0),
(325165,10116156,'Increases Damage Per Second of caster by 23.9',100,1,1),
(325166,121303,'Inflicts 104 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(325167,121303,'Inflicts 343 - 572 melee damage on targets in area',100,1,1),
(325168,121303,'You must be in stealth or have Bloody Assault.',100,1,2),
(325169,10121303,'Inflicts 135 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(325170,10121303,'Inflicts 446 - 744 melee damage on targets in area',100,1,1),
(325171,10121303,'You must be in stealth or have Bloody Assault.',100,1,2),
(325172,107572,'Dazes target encounter',100,1,0),
(325173,107572,'Inflicts 48 - 59 mental damage on target encounter',100,1,1),
(325174,107572,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,2),
(325175,107572,'Resistibility increases against targets higher than level 40.',100,1,3),
(325176,10107572,'Dazes target encounter',100,1,0),
(325177,10107572,'Inflicts 63 - 77 mental damage on target encounter',100,1,1),
(325178,10107572,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(325179,10107572,'Resistibility increases against targets higher than level 40.',100,1,3),
(325180,112655,'Inflicts 148 - 247 disease damage on target',100,1,0),
(325181,112655,'Inflicts 148 - 247 disease damage on target',100,1,1),
(325182,112655,'Roots target',100,1,2),
(325183,112655,'If Target is not Epic',100,2,3),
(325184,112655,'15% chance to dispel when target takes damage',100,1,4),
(325185,112655,'If weapon equipped in Ranged',100,1,5),
(325186,112655,'Resistibility increases against targets higher than level 100.',100,1,6),
(325187,10112655,'Inflicts 111 - 185 disease damage on target',100,1,0),
(325188,10112655,'Inflicts 111 - 185 disease damage on target',100,1,1),
(325189,10112655,'Roots target',100,1,2),
(325190,10112655,'If Target is not Epic',100,2,3),
(325191,10112655,'15% chance to dispel when target takes damage',100,1,4),
(325192,10112655,'If weapon equipped in Ranged',100,1,5),
(325193,10112655,'Resistibility increases against targets higher than level 100.',100,1,6),
(325194,47988,'Applies Serpent of Decay when Activated.',100,0,0),
(325195,47988,'Shapechanges the user into an undead flying serpent, and provides a shield which damages any melee attacker.',100,1,1),
(325196,10047988,'Applies Serpent of Decay when Activated.',100,0,0),
(325197,10047988,'Shapechanges the user into an undead flying serpent, and provides a shield which damages any melee attacker.',100,1,1),
(325198,111022,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(325199,111022,'Increases Threat to target by 150 ',100,2,1),
(325200,111022,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(325201,111022,'Increases Threat to target by 150 ',100,2,3),
(325202,10111022,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(325203,10111022,'Inflicts 24 - 26 crushing damage on target',100,2,1),
(325204,10111022,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(325205,10111022,'Inflicts 24 - 26 crushing damage on target',100,2,3),
(325206,110447,'Dazes targets in Area of Effect',100,1,0),
(325207,110447,'If Target is not Epic',100,2,1),
(325208,110447,'Decreases Threat to targets in Area of Effect by 1,898 ',100,1,2),
(325209,110447,'Dispelled when target receives hostile action',100,1,3),
(325210,110447,'Dispelled when target takes damage',100,1,4),
(325211,10110447,'Dazes targets in Area of Effect',100,1,0),
(325212,10110447,'If Target is not Epic',100,2,1),
(325213,10110447,'Applies Distract.',100,1,2),
(325214,10110447,'Forces target to clear their selected target.',100,2,3),
(325215,10110447,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(325216,10110447,'Dispelled when target receives hostile action',100,1,5),
(325217,10110447,'Dispelled when target takes damage',100,1,6),
(325218,160822,'When Equipped:',100,0,0),
(325219,160822,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(325220,160822,'Inflicts 1998 cold damage on target encounter',100,2,2),
(325221,160822,'Must not be engaged in pvp combat',100,2,3),
(325222,160822,'Cannot be modified except by direct means',100,2,4),
(325223,160822,'Must not be engaged in pvp combat',100,1,5),
(325224,10160822,'When Equipped:',100,0,0),
(325225,10160822,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(325226,10160822,'Inflicts 1299 cold damage on target encounter',100,2,2),
(325227,10160822,'Must not be engaged in pvp combat',100,2,3),
(325228,10160822,'Cannot be modified except by direct means',100,2,4),
(325229,10160822,'Must not be engaged in pvp combat',100,1,5),
(325230,114386,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(325231,114386,'Blurs vision of target',100,2,1),
(325232,114386,'Stuns target',100,2,2),
(325233,114386,'Throws target back',100,2,3),
(325234,114386,'Does not affect Epic targets',100,2,4),
(325235,114386,'Inflicts 436 - 727 crushing damage on target',100,1,5),
(325236,10114386,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(325237,10114386,'Stuns target',100,2,1),
(325238,10114386,'Blurs vision of target',100,2,2),
(325239,10114386,'Throws target back',100,2,3),
(325240,10114386,'Does not affect Epic targets',100,2,4),
(325241,10114386,'Inflicts 567 - 945 crushing damage on target',100,1,5),
(325242,103472,'Increases In-Combat Power Regeneration of group members (AE) by 9.9',100,1,0),
(325243,10103472,'Increases In-Combat Power Regeneration of group members (AE) by 9.9',100,1,0),
(325244,25638,'When Equipped:',100,0,0),
(325245,25638,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,1),
(325246,25638,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(325247,10025638,'When Equipped:',100,0,0),
(325248,10025638,'Improves the base damage of Perfect Shrill VIII by 10%.',100,1,1),
(325249,10025638,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(325250,110129,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(325251,110129,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(325252,110129,'Only affects the caster of Guardian''s Sphere',100,2,2),
(325253,110129,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(325254,110129,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(325255,110129,'If not fighter',100,2,5),
(325256,10110129,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(325257,10110129,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(325258,10110129,'Only affects the caster of Guardian''s Sphere',100,2,2),
(325259,10110129,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(325260,10110129,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(325261,10110129,'If not fighter',100,2,5),
(325262,101676,'Decreases Attack Speed of target by 16.7',100,1,0),
(325263,101676,'Decreases Damage Per Second of target by 11.4',100,1,1),
(325264,10101676,'Decreases Attack Speed of target by 16.7',100,1,0),
(325265,10101676,'Decreases Damage Per Second of target by 11.4',100,1,1),
(325266,159038,'Applies Lambent Imbued when Equipped.',100,0,0),
(325267,159038,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325268,159038,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(325269,159038,'Cannot be modified except by direct means',100,2,3),
(325270,10159038,'Applies Lambent Imbued when Equipped.',100,0,0),
(325271,10159038,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325272,10159038,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(325273,10159038,'Cannot be modified except by direct means',100,2,3),
(325274,102090,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(325275,102090,'Stuns target',100,2,1),
(325276,102090,'Throws target back',100,2,2),
(325277,102090,'Blurs vision of target',100,2,3),
(325278,102090,'Does not affect Epic targets',100,2,4),
(325279,102090,'Inflicts 24 - 40 crushing damage on target',100,1,5),
(325280,10102090,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(325281,10102090,'Stuns target',100,2,1),
(325282,10102090,'Throws target back',100,2,2),
(325283,10102090,'Blurs vision of target',100,2,3),
(325284,10102090,'Does not affect Epic targets',100,2,4),
(325285,10102090,'Inflicts 31 - 52 crushing damage on target',100,1,5),
(325286,121720,'Increases AGI of caster by 65.8',100,1,0),
(325287,121720,'Adds 2.2% to base avoidance.',100,1,1),
(325288,121720,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(325289,121720,'Increases Parry of caster by 37.8',100,1,3),
(325290,121720,'Increases Defense of caster by 50.4',100,1,4),
(325291,10121720,'Increases AGI of caster by 65.8',100,1,0),
(325292,10121720,'Adds 2.2% to base avoidance.',100,1,1),
(325293,10121720,'Decreases Slashing and Piercing of caster by 22.6',100,1,2),
(325294,10121720,'Increases Parry of caster by 37.8',100,1,3),
(325295,10121720,'Increases Defense of caster by 50.4',100,1,4),
(325296,107866,'Decreases Mitigation of target vs elemental damage by 1632',100,1,0),
(325297,107866,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(325298,107866,'Slows target by 64.3%',100,2,2),
(325299,107866,'5% chance to dispel when target receives hostile action',100,2,3),
(325300,107866,'5% chance to dispel when target takes damage',100,2,4),
(325301,10107866,'Decreases Mitigation of target vs elemental damage by 1632',100,1,0),
(325302,10107866,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(325303,10107866,'Slows target by 64.3%',100,2,2),
(325304,10107866,'5% chance to dispel when target receives hostile action',100,2,3),
(325305,10107866,'5% chance to dispel when target takes damage',100,2,4),
(325306,119616,'Inflicts 645 - 1075 mental damage on targets in Area of Effect',100,1,0),
(325307,119616,'Stuns targets in Area of Effect',100,1,1),
(325308,119616,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(325309,119616,'Resistibility increases against targets higher than level 99.',100,1,3),
(325310,10119616,'Inflicts 839 - 1398 mental damage on targets in Area of Effect',100,1,0),
(325311,10119616,'Stuns targets in Area of Effect',100,1,1),
(325312,10119616,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(325313,10119616,'Resistibility increases against targets higher than level 99.',100,1,3),
(325314,26534,'When Equipped:',100,0,0),
(325315,26534,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,1),
(325316,26534,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(325317,10026534,'When Equipped:',100,0,0),
(325318,10026534,'Mark of Nobility will increase the target''s accuracy by 3%.',100,1,1),
(325319,10026534,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(325320,109073,'Decreases Mitigation of target vs physical damage by 299',100,1,0),
(325321,109073,'Inflicts 68 - 114 melee damage on target',100,1,1),
(325322,109073,'Inflicts 68 - 114 melee damage on target',100,1,2),
(325323,109073,'Inflicts 68 - 114 melee damage on target',100,1,3),
(325324,10109073,'Decreases Mitigation of target vs physical damage by 299',100,1,0),
(325325,10109073,'Inflicts 89 - 149 melee damage on target',100,1,1),
(325326,10109073,'Inflicts 89 - 149 melee damage on target',100,1,2),
(325327,10109073,'Inflicts 89 - 149 melee damage on target',100,1,3),
(325328,144244,'When Equipped:',100,0,0),
(325329,144244,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(325330,144244,'Inflicts 1192 magic damage on target',100,2,2),
(325331,144244,'Cannot be modified except by direct means',100,2,3),
(325332,10144244,'When Equipped:',100,0,0),
(325333,10144244,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(325334,10144244,'Inflicts 775 magic damage on target',100,2,2),
(325335,10144244,'Cannot be modified except by direct means',100,2,3),
(325336,123214,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(325337,123214,'Inflicts 121 - 148 disease damage on target',100,2,1),
(325338,123214,'Heals caster for 3.5 - 4.2% of max health',100,2,2),
(325339,123214,'This effect cannot be critically applied.',100,3,3),
(325340,123214,'The healing of this spell cannot be modified except by direct means',100,2,4),
(325341,123214,'Grants a total of 5 triggers of the spell.',100,2,5),
(325342,10123214,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(325343,10123214,'Inflicts 158 - 193 disease damage on target',100,2,1),
(325344,10123214,'Heals caster for 1.2 - 1.5% of max health',100,2,2),
(325345,10123214,'This effect cannot be critically applied.',100,3,3),
(325346,10123214,'The healing of this spell cannot be modified except by direct means',100,2,4),
(325347,10123214,'Grants a total of 5 triggers of the spell.',100,2,5),
(325348,168920,'When Equipped:',100,0,0),
(325349,168920,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(325350,10168920,'When Equipped:',100,0,0),
(325351,10168920,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(325352,117220,'Inflicts 6 slashing damage on target every 4 seconds',100,1,0),
(325353,117220,'Inflicts 29 - 48 melee damage on target',100,1,1),
(325354,10117220,'Inflicts 8 slashing damage on target every 4 seconds',100,1,0),
(325355,10117220,'Inflicts 38 - 63 melee damage on target',100,1,1),
(325356,117698,'Reduces the hate position of all non-fighter group members on target encounter.',100,1,0),
(325357,117698,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',100,1,1),
(325358,10117698,'Forces target encounter to change their selected target to caster.',100,1,0),
(325359,10117698,'Prevents target encounter from changing targets',100,1,1),
(325360,108265,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(325361,108265,'Inflicts 81 heat damage on target',100,2,1),
(325362,108265,'Grants a total of 3 triggers of the spell.',100,2,2),
(325363,10108265,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(325364,10108265,'Inflicts 105 heat damage on target',100,2,1),
(325365,10108265,'Grants a total of 3 triggers of the spell.',100,2,2),
(325366,117063,'Inflicts 170 - 284 melee damage on target',100,1,0),
(325367,117063,'Decreases Attack Speed of target by 18.8',100,1,1),
(325368,10117063,'Inflicts 221 - 369 melee damage on target',100,1,0),
(325369,10117063,'Decreases Attack Speed of target by 18.8',100,1,1),
(325370,35423,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(325371,87205,'When Equipped:',100,0,0),
(325372,87205,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325373,87205,'Inflicts 51 - 76 magic damage on target',100,2,2),
(325374,87205,'Cannot be modified except by direct means',100,2,3),
(325375,10087205,'When Equipped:',100,0,0),
(325376,10087205,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325377,10087205,'Inflicts 66 - 99 magic damage on target',100,2,2),
(325378,10087205,'Cannot be modified except by direct means',100,2,3),
(325379,112634,'Inflicts 31 - 53 disease damage on target',100,1,0),
(325380,112634,'Inflicts 31 - 53 disease damage on target',100,1,1),
(325381,112634,'Roots target',100,1,2),
(325382,112634,'If Target is not Epic',100,2,3),
(325383,112634,'15% chance to dispel when target takes damage',100,1,4),
(325384,112634,'If weapon equipped in Ranged',100,1,5),
(325385,112634,'Resistibility increases against targets higher than level 45.',100,1,6),
(325386,10112634,'Inflicts 23 - 39 disease damage on target',100,1,0),
(325387,10112634,'Inflicts 23 - 39 disease damage on target',100,1,1),
(325388,10112634,'Roots target',100,1,2),
(325389,10112634,'If Target is not Epic',100,2,3),
(325390,10112634,'15% chance to dispel when target takes damage',100,1,4),
(325391,10112634,'If weapon equipped in Ranged',100,1,5),
(325392,10112634,'Resistibility increases against targets higher than level 45.',100,1,6),
(325393,42529,'When Equipped:',100,0,0),
(325394,42529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325395,42529,'Inflicts 44 - 66 magic damage on target',100,2,2),
(325396,42529,'Cannot be modified except by direct means',100,2,3),
(325397,10042529,'When Equipped:',100,0,0),
(325398,10042529,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325399,10042529,'Inflicts 57 - 86 magic damage on target',100,2,2),
(325400,10042529,'Cannot be modified except by direct means',100,2,3),
(325401,113578,'Mesmerizes target',100,1,0),
(325402,113578,'Prevents AOE (except when direct) ',100,1,1),
(325403,113578,'Dispelled when target takes damage',100,1,2),
(325404,113578,'Does not affect Epic x2 targets',100,1,3),
(325405,113578,'Resistibility increases against targets higher than level 99.',100,1,4),
(325406,10113578,'Mesmerizes target',100,1,0),
(325407,10113578,'Prevents AOE (except when direct) ',100,1,1),
(325408,10113578,'Dispelled when target takes damage',100,1,2),
(325409,10113578,'Does not affect Epic x2 targets',100,1,3),
(325410,10113578,'Resistibility increases against targets higher than level 99.',100,1,4),
(325411,116645,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(325412,116645,'Increases Mitigation of group members (AE) vs arcane damage by 804',100,1,1),
(325413,10116645,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(325414,10116645,'Increases Mitigation of group members (AE) vs arcane damage by 804',100,1,1),
(325415,74953,'When Equipped:',100,0,0),
(325416,74953,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325417,74953,'Inflicts 135 - 203 magic damage on target',100,2,2),
(325418,74953,'Cannot be modified except by direct means',100,2,3),
(325419,10074953,'When Equipped:',100,0,0),
(325420,10074953,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325421,10074953,'Inflicts 176 - 264 magic damage on target',100,2,2),
(325422,10074953,'Cannot be modified except by direct means',100,2,3),
(325423,71831,'When Equipped:',100,0,0),
(325424,71831,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325425,71831,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(325426,71831,'Cannot be modified except by direct means',100,2,3),
(325427,10071831,'When Equipped:',100,0,0),
(325428,10071831,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325429,10071831,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(325430,10071831,'Cannot be modified except by direct means',100,2,3),
(325431,24651,'Adds Poet''s Palace: Squat Gold Vase to your Dungeon Maker toolbox',100,0,0),
(325432,10024651,'Adds Poet''s Palace: Squat Gold Vase to your Dungeon Maker toolbox',100,0,0),
(325433,108345,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(325434,108345,'Increases Mitigation of group members (AE) vs arcane damage by 259',100,1,1),
(325435,10108345,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(325436,10108345,'Increases Mitigation of group members (AE) vs arcane damage by 259',100,1,1),
(325437,47429,'Applies Call Onyx Armored Rhino with Blue Saddle when Activated.',100,0,0),
(325438,47429,'Increases Max Health of caster by 150.0',100,1,1),
(325439,47429,'Increases Defense of caster by 5.0',100,1,2),
(325440,47429,'Increases Ranged, Piercing, Crushing, Slashing and Focus of caster by 7.0',100,1,3),
(325441,47429,'Summons a mount to ride',100,1,4),
(325442,47429,'Increases your ground speed by 130%',100,2,5),
(325443,10047429,'Applies Call Onyx Armored Rhino with Blue Saddle when Activated.',100,0,0),
(325444,10047429,'Increases Max Health of caster by 150.0',100,1,1),
(325445,10047429,'Increases Defense of caster by 5.0',100,1,2),
(325446,10047429,'Increases Ranged, Piercing, Crushing, Slashing and Focus of caster by 7.0',100,1,3),
(325447,10047429,'Summons a mount to ride',100,1,4),
(325448,10047429,'Increases your ground speed by 130%',100,2,5),
(325449,103157,'Throws target back',100,1,0),
(325450,103157,'If Target is not Epic',100,2,1),
(325451,103157,'Inflicts 55 - 166 crushing damage on target',100,1,2),
(325452,103157,'Stuns target',100,1,3),
(325453,103157,'If Target is not Epic',100,2,4),
(325454,103157,'Resistibility increases against targets higher than level 70.',100,1,5),
(325455,10103157,'Throws target back',100,1,0),
(325456,10103157,'If Target is not Epic',100,2,1),
(325457,10103157,'Inflicts 72 - 216 crushing damage on target',100,1,2),
(325458,10103157,'Stuns target',100,1,3),
(325459,10103157,'If Target is not Epic',100,2,4),
(325460,10103157,'Resistibility increases against targets higher than level 70.',100,1,5),
(325461,103578,'Increases Mitigation of caster vs physical damage by 291',100,1,0),
(325462,10103578,'Increases Mitigation of caster vs physical damage by 291',100,1,0),
(325463,71505,'When Equipped:',100,0,0),
(325464,71505,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325465,71505,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(325466,71505,'Cannot be modified except by direct means',100,2,3),
(325467,10071505,'When Equipped:',100,0,0),
(325468,10071505,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325469,10071505,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(325470,10071505,'Cannot be modified except by direct means',100,2,3),
(325471,82740,'When Equipped:',100,0,0),
(325472,82740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325473,82740,'Inflicts 97 - 180 magic damage on target',100,2,2),
(325474,82740,'Cannot be modified except by direct means',100,2,3),
(325475,10082740,'When Equipped:',100,0,0),
(325476,10082740,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325477,10082740,'Inflicts 126 - 234 magic damage on target',100,2,2),
(325478,10082740,'Cannot be modified except by direct means',100,2,3),
(325479,118907,'Increases Damage Per Second of caster by 28.8',100,1,0),
(325480,10118907,'Increases Damage Per Second of caster by 28.8',100,1,0),
(325481,106925,'Inflicts 58 - 108 poison damage on target',100,1,0),
(325482,10106925,'Inflicts 76 - 140 poison damage on target',100,1,0),
(325483,132237,'When Equipped:',100,0,0),
(325484,132237,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(325485,132237,'Wards target against 4840 points of all damage',100,2,2),
(325486,132237,'Must not be engaged in pvp combat',100,2,3),
(325487,132237,'Cannot be modified except by direct means',100,2,4),
(325488,132237,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(325489,132237,'Cannot be modified except by direct means',100,1,6),
(325490,132237,'When Equipped:',100,0,7),
(325491,132237,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(325492,132237,'Increases INT and WIS of caster by 44.0',100,2,9),
(325493,132237,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(325494,132237,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(325495,132237,'Must not be engaged in pvp combat',100,2,12),
(325496,132237,'Cannot be modified except by direct means',100,2,13),
(325497,132237,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(325498,132237,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(325499,132237,'Increases INT and WIS of caster by 44.0',100,2,16),
(325500,132237,'Increases Ability Casting Speed of caster by 1.5%',100,2,17),
(325501,132237,'Increases Crit Bonus of caster by 11.5%',100,2,18),
(325502,132237,'Must not be engaged in pvp combat',100,2,19),
(325503,132237,'Cannot be modified except by direct means',100,2,20),
(325504,132237,'Cannot be modified except by direct means',100,1,21),
(325505,10132237,'When Equipped:',100,0,0),
(325506,10132237,'On a critical healing spell cast this spell may cast Aegis IV on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(325507,10132237,'Wards target against 4840 points of all damage',100,2,2),
(325508,10132237,'Must not be engaged in pvp combat',100,2,3),
(325509,10132237,'Cannot be modified except by direct means',100,2,4),
(325510,10132237,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(325511,10132237,'Cannot be modified except by direct means',100,1,6),
(325512,10132237,'When Equipped:',100,0,7),
(325513,10132237,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(325514,10132237,'Increases INT and WIS of caster by 44.0',100,2,9),
(325515,10132237,'Increases Ability Casting Speed of caster by 1.5%',100,2,10),
(325516,10132237,'Increases Crit Bonus of caster by 11.5%',100,2,11),
(325517,10132237,'Must not be engaged in pvp combat',100,2,12),
(325518,10132237,'Cannot be modified except by direct means',100,2,13),
(325519,10132237,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,14),
(325520,10132237,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,15),
(325521,10132237,'Increases INT and WIS of caster by 44.0',100,2,16),
(325522,10132237,'Increases Ability Casting Speed of caster by 1.5%',100,2,17),
(325523,10132237,'Increases Crit Bonus of caster by 11.5%',100,2,18),
(325524,10132237,'Must not be engaged in pvp combat',100,2,19),
(325525,10132237,'Cannot be modified except by direct means',100,2,20),
(325526,10132237,'Cannot be modified except by direct means',100,1,21),
(325527,146722,'Applies Tempest Call when Activated.',100,0,0),
(325528,146722,'Shapechanges the user into an elemental warrior!',100,1,1),
(325529,146722,'The casting time of Tempest Call is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(325530,146722,'When Equipped:',100,0,3),
(325531,146722,'Increases Effective Level of caster to 83.',100,1,4),
(325532,146722,'Must be in Munzok''s Material Bastion.',100,1,5),
(325533,146722,'Requires not having an apprentice',100,1,6),
(325534,10146722,'Applies Tempest Call when Activated.',100,0,0),
(325535,10146722,'Shapechanges the user into an elemental warrior!',100,1,1),
(325536,10146722,'The casting time of Tempest Call is 3.0 seconds and the reuse time of the spell is 10.0 seconds',100,1,2),
(325537,10146722,'When Equipped:',100,0,3),
(325538,10146722,'Increases Effective Level of caster to 83.',100,1,4),
(325539,10146722,'Must be in Munzok''s Material Bastion.',100,1,5),
(325540,10146722,'Requires not having an apprentice',100,1,6),
(325541,143297,'When Equipped:',100,0,0),
(325542,143297,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(325543,143297,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(325544,143297,'Inflicts 2369 - 2618 poison damage on target',100,2,3),
(325545,143297,'Heals caster for 1185 - 1309',100,2,4),
(325546,143297,'Must not be engaged in pvp combat',100,2,5),
(325547,143297,'Cannot be modified except by direct means',100,2,6),
(325548,143297,'Cannot be modified except by direct means',100,1,7),
(325549,10143297,'When Equipped:',100,0,0),
(325550,10143297,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(325551,10143297,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,2),
(325552,10143297,'Inflicts 3080 - 3404 poison damage on target',100,2,3),
(325553,10143297,'Heals caster for 1386 - 1532',100,2,4),
(325554,10143297,'Must not be engaged in pvp combat',100,2,5),
(325555,10143297,'Cannot be modified except by direct means',100,2,6),
(325556,10143297,'Cannot be modified except by direct means',100,1,7),
(325557,135196,'Applies Gather Mana when Activated.',100,0,0),
(325558,135196,'Applies Strands of Mana on termination.',100,1,1),
(325559,135196,'Decreases power of target by 399',100,2,2),
(325560,135196,'Increases power of caster by 163',100,2,3),
(325561,135196,'Must be engaged in pvp combat',100,1,4),
(325562,135196,'The reuse time of Gather Mana is 30 minutes',100,1,5),
(325563,10135196,'Applies Gather Mana when Activated.',100,0,0),
(325564,10135196,'Applies Strands of Mana on termination.',100,1,1),
(325565,10135196,'Decreases power of target by 399',100,2,2),
(325566,10135196,'Increases power of caster by 163',100,2,3),
(325567,10135196,'Must be engaged in pvp combat',100,1,4),
(325568,10135196,'The reuse time of Gather Mana is 30 minutes',100,1,5),
(325569,159176,'Applies Lambent Imbued when Equipped.',100,0,0),
(325570,159176,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325571,159176,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(325572,159176,'Cannot be modified except by direct means',100,2,3),
(325573,10159176,'Applies Lambent Imbued when Equipped.',100,0,0),
(325574,10159176,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325575,10159176,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(325576,10159176,'Cannot be modified except by direct means',100,2,3),
(325577,121991,'Inflicts 92 - 154 melee damage on targets in area',100,1,0),
(325578,121991,'Increases Threat to target encounter by 472 ',100,1,1),
(325579,10121991,'Inflicts 120 - 200 melee damage on targets in area',100,1,0),
(325580,10121991,'Prevents target encounter from changing targets',100,1,1),
(325581,10121991,'Forces target encounter to change their selected target to caster.',100,1,2),
(325582,36456,'Increases STR of target by 15.4',100,0,0),
(325583,36456,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(325584,114504,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',100,1,0),
(325585,114504,'Stuns target',100,2,1),
(325586,114504,'If Target is not Epic',100,3,2),
(325587,114504,'Grants a total of 3 triggers of the spell.',100,2,3),
(325588,10114504,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 2.0 seconds.  ',100,1,0),
(325589,10114504,'Stuns target',100,2,1),
(325590,10114504,'If Target is not Epic',100,3,2),
(325591,10114504,'Grants a total of 3 triggers of the spell.',100,2,3),
(325592,26519,'When Equipped:',100,0,0),
(325593,26519,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,1),
(325594,26519,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(325595,10026519,'When Equipped:',100,0,0),
(325596,10026519,'Improves the base ward amount of Curse of Shielding by 20%.',100,1,1),
(325597,10026519,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(325598,47160,'Applies Elixir of Arctic Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(325599,47160,'Increases Mitigation of caster vs elemental damage by 200',100,1,1),
(325600,10047160,'Applies Elixir of Arctic Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(325601,10047160,'Increases Mitigation of caster vs elemental damage by 200',100,1,1),
(325602,82427,'When Equipped:',100,0,0),
(325603,82427,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(325604,82427,'Decreases Threat to target by 949 ',100,2,2),
(325605,82427,'Must be flanking or behind',100,3,3),
(325606,82427,'Increases Threat to target by 949 ',100,2,4),
(325607,82427,'Must be in front of',100,3,5),
(325608,82427,'Inflicts 196 - 364 magic damage on target',100,2,6),
(325609,82427,'Cannot be modified except by direct means',100,2,7),
(325610,10082427,'When Equipped:',100,0,0),
(325611,10082427,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(325612,10082427,'Inflicts 255 - 474 magic damage on target',100,2,2),
(325613,10082427,'Cannot be modified except by direct means',100,2,3),
(325614,81793,'When Equipped:',100,0,0),
(325615,81793,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325616,81793,'Inflicts 108 - 200 magic damage on target',100,2,2),
(325617,81793,'Cannot be modified except by direct means',100,2,3),
(325618,10081793,'When Equipped:',100,0,0),
(325619,10081793,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325620,10081793,'Inflicts 140 - 260 magic damage on target',100,2,2),
(325621,10081793,'Cannot be modified except by direct means',100,2,3),
(325622,115393,'Inflicts 61 - 102 melee damage on target',100,1,0),
(325623,115393,'Decreases INT of target by 12.7',100,1,1),
(325624,115393,'You must be sneaking to use this ability.',100,1,2),
(325625,10115393,'Inflicts 79 - 133 melee damage on target',100,1,0),
(325626,10115393,'Decreases INT of target by 12.7',100,1,1),
(325627,10115393,'You must be sneaking to use this ability.',100,1,2),
(325628,72274,'When Equipped:',100,0,0),
(325629,72274,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325630,72274,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(325631,72274,'Cannot be modified except by direct means',100,2,3),
(325632,10072274,'When Equipped:',100,0,0),
(325633,10072274,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325634,10072274,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(325635,10072274,'Cannot be modified except by direct means',100,2,3),
(325636,108138,'Increases Attack Speed of caster by 32.0',100,1,0),
(325637,10108138,'Increases Attack Speed of caster by 32.0',100,1,0),
(325638,80463,'When Equipped:',100,0,0),
(325639,80463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325640,80463,'Inflicts 56 - 103 magic damage on target',100,2,2),
(325641,80463,'Cannot be modified except by direct means',100,2,3),
(325642,10080463,'When Equipped:',100,0,0),
(325643,10080463,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325644,10080463,'Inflicts 72 - 134 magic damage on target',100,2,2),
(325645,10080463,'Cannot be modified except by direct means',100,2,3),
(325646,159256,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(325647,159256,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(325648,159256,'Inflicts 85 heat damage on target',100,2,2),
(325649,159256,'Cannot be modified except by direct means',100,2,3),
(325650,10159256,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(325651,10159256,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(325652,10159256,'Inflicts 110 heat damage on target',100,2,2),
(325653,10159256,'Cannot be modified except by direct means',100,2,3),
(325654,141896,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(325655,141896,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325656,141896,'Heals target for 17 instantly and every 4 seconds',100,2,2),
(325657,141896,'Cannot be modified except by direct means',100,2,3),
(325658,10141896,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(325659,10141896,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325660,10141896,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(325661,10141896,'Cannot be modified except by direct means',100,2,3),
(325662,49040,'Applies Play Unstable Recording: ''Kander''s Theme'' when Activated.',100,0,0),
(325663,49040,'Play the recording of ''Kander''s Theme''.',100,1,1),
(325664,10049040,'Applies Play Unstable Recording: ''Kander''s Theme'' when Activated.',100,0,0),
(325665,10049040,'Play the recording of ''Kander''s Theme''.',100,1,1),
(325666,102404,'Inflicts 556 - 1033 melee damage on targets in area',100,1,0),
(325667,10102404,'Inflicts 723 - 1343 melee damage on targets in area',100,1,0),
(325668,124444,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(325669,124444,'Inflicts 142 - 238 melee damage on target',100,2,1),
(325670,124444,'Decreases Defense of caster by 13.5',100,1,2),
(325671,124444,'Increases Slashing, Piercing, Ranged and Crushing of caster by 24.3',100,1,3),
(325672,10124444,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(325673,10124444,'Inflicts 185 - 309 melee damage on target',100,2,1),
(325674,10124444,'Decreases Defense of caster by 13.5',100,1,2),
(325675,10124444,'Increases Slashing, Piercing, Ranged and Crushing of caster by 24.3',100,1,3),
(325676,36858,'Target will Dodge 2.7% of incoming attacks',100,0,0),
(325677,36858,'Increases Out-of-Combat Power Regeneration of target by 144.0',100,0,1),
(325678,41494,'When Equipped:',100,0,0),
(325679,41494,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325680,41494,'Inflicts 71 - 131 magic damage on target',100,2,2),
(325681,41494,'Cannot be modified except by direct means',100,2,3),
(325682,10041494,'When Equipped:',100,0,0),
(325683,10041494,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325684,10041494,'Inflicts 92 - 171 magic damage on target',100,2,2),
(325685,10041494,'Cannot be modified except by direct means',100,2,3),
(325686,107452,'Summons a pet earthen avatar',100,1,0),
(325687,10107452,'Summons a pet earthen avatar',100,1,0),
(325688,105781,'Inflicts 196 - 239 heat damage on target',100,1,0),
(325689,10105781,'Inflicts 339 - 414 heat damage on target',100,1,0),
(325690,25895,'When Equipped:',100,0,0),
(325691,25895,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(325692,25895,'Reduces the reuse time of Wall of Force by 20 seconds.',100,1,2),
(325693,10025895,'When Equipped:',100,0,0),
(325694,10025895,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(325695,10025895,'Reduces the reuse time of Wall of Force by 20 seconds.',100,1,2),
(325696,82436,'Applies Imbued Smite when Equipped.',100,0,0),
(325697,82436,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(325698,82436,'Inflicts 410 divine damage on target instantly and every second',100,2,2),
(325699,82436,'Cannot be modified except by direct means',100,2,3),
(325700,82436,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(325701,82436,'Inflicts 410 divine damage on target instantly and every second',100,2,5),
(325702,82436,'Cannot be modified except by direct means',100,2,6),
(325703,10082436,'Applies Imbued Smite when Equipped.',100,0,0),
(325704,10082436,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,1),
(325705,10082436,'Inflicts 533 divine damage on target instantly and every second',100,2,2),
(325706,10082436,'Cannot be modified except by direct means',100,2,3),
(325707,10082436,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(325708,10082436,'Inflicts 533 divine damage on target instantly and every second',100,2,5),
(325709,10082436,'Cannot be modified except by direct means',100,2,6),
(325710,102207,'Increases Mitigation of group members (AE) vs physical damage by 1091',100,1,0),
(325711,10102207,'Increases Mitigation of group members (AE) vs physical damage by 1091',100,1,0),
(325712,122048,'Increases Threat to target by 423 - 517 ',100,1,0),
(325713,122048,'Inflicts 45 - 75 melee damage on target',100,1,1),
(325714,10122048,'Forces target to change their selected target to caster.',100,1,0),
(325715,10122048,'Inflicts 58 - 97 melee damage on target',100,1,1),
(325716,106999,'Decreases Threat to targets in Area of Effect by 390 ',100,1,0),
(325717,106999,'Dazes targets in Area of Effect',100,1,1),
(325718,106999,'If Target is not Epic',100,2,2),
(325719,106999,'Dispelled when target receives hostile action',100,1,3),
(325720,106999,'Dispelled when target takes damage',100,1,4),
(325721,10106999,'Dazes targets in Area of Effect',100,1,0),
(325722,10106999,'If Target is not Epic',100,2,1),
(325723,10106999,'Dispelled when target receives hostile action',100,1,2),
(325724,10106999,'Dispelled when target takes damage',100,1,3),
(325725,87195,'When Equipped:',100,0,0),
(325726,87195,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325727,87195,'Inflicts 51 - 76 magic damage on target',100,2,2),
(325728,87195,'Cannot be modified except by direct means',100,2,3),
(325729,10087195,'When Equipped:',100,0,0),
(325730,10087195,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325731,10087195,'Inflicts 66 - 99 magic damage on target',100,2,2),
(325732,10087195,'Cannot be modified except by direct means',100,2,3),
(325733,124537,'Dispels 74 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(325734,10124537,'Dispels 74 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(325735,113142,'Increases power of caster by 1.0% instantly and every 6 seconds',100,1,0),
(325736,113142,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(325737,113142,'Inflicts 122 disease damage on target',100,2,2),
(325738,113142,'Heals caster for 80',100,2,3),
(325739,113142,'Shapechanges caster into an archlich',100,1,4),
(325740,10113142,'Increases power of caster by 1.0% instantly and every 6 seconds',100,1,0),
(325741,10113142,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(325742,10113142,'Inflicts 159 disease damage on target',100,2,2),
(325743,10113142,'Heals caster for 52',100,2,3),
(325744,10113142,'Shapechanges caster into an archlich',100,1,4),
(325745,143179,'When Equipped:',100,0,0),
(325746,143179,'On a combat hit this spell may cast Cursed Verse on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325747,143179,'Caster is immune to riposte damage.',100,2,2),
(325748,143179,'Cannot be modified except by direct means',100,2,3),
(325749,10143179,'When Equipped:',100,0,0),
(325750,10143179,'On a combat hit this spell may cast Cursed Verse on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325751,10143179,'Caster is immune to riposte damage.',100,2,2),
(325752,10143179,'Cannot be modified except by direct means',100,2,3),
(325753,107725,'Inflicts 630 - 1050 heat damage on target',100,1,0),
(325754,107725,'You must be sneaking to use this ability.',100,1,1),
(325755,10107725,'Inflicts 819 - 1365 heat damage on target',100,1,0),
(325756,10107725,'You must be sneaking to use this ability.',100,1,1),
(325757,113937,'Increases power of target by 62 instantly and every 4 seconds',100,1,0),
(325758,10113937,'Increases power of target by 62 instantly and every 4 seconds',100,1,0),
(325759,116019,'Decreases Hate Gain of target by 19.0%',100,1,0),
(325760,116019,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(325761,116019,'Decreases threat priority of target by 1 position',100,2,2),
(325762,10116019,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(325763,10116019,'Forces target to clear their selected target.',100,2,1),
(325764,72243,'When Equipped:',100,0,0),
(325765,72243,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325766,72243,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(325767,72243,'Cannot be modified except by direct means',100,2,3),
(325768,10072243,'When Equipped:',100,0,0),
(325769,10072243,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(325770,10072243,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(325771,10072243,'Cannot be modified except by direct means',100,2,3),
(325772,48807,'Applies Translucent Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(325773,48807,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(325774,48807,'Decreases Attack Speed of target by 24.6',100,2,2),
(325775,48807,'Cannot be modified except by direct means',100,2,3),
(325776,48807,'Grants a total of 30 triggers of the spell.',100,2,4),
(325777,48807,'Only affects targets level 50 and above',100,1,5),
(325778,10048807,'Applies Translucent Horrendous Atrophy when Activated.  Lasts for 12 hours.',100,0,0),
(325779,10048807,'On a combat hit this spell may cast Sluggish Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(325780,10048807,'Decreases Attack Speed of target by 24.6',100,2,2),
(325781,10048807,'Cannot be modified except by direct means',100,2,3),
(325782,10048807,'Grants a total of 30 triggers of the spell.',100,2,4),
(325783,10048807,'Only affects targets level 50 and above',100,1,5),
(325784,46898,'Applies Simple Tools when Equipped.',100,0,0),
(325785,46898,'Increases success chance by 1.0%',100,1,1),
(325786,10046898,'Applies Simple Tools when Equipped.',100,0,0),
(325787,10046898,'Increases success chance by 1.0%',100,1,1),
(325788,101281,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(325789,101281,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,1),
(325790,10101281,'Increases Max Health of group members (AE) by 199.1',100,1,0),
(325791,10101281,'Increases Mitigation of group members (AE) vs physical damage by 380',100,1,1),
(325792,160856,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(325793,160856,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(325794,160856,'Cannot be modified except by direct means',100,1,2),
(325795,160856,'When Equipped:',100,0,3),
(325796,160856,'Reduces resistibility of all spells by 5%.',100,1,4),
(325797,10160856,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(325798,10160856,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(325799,10160856,'Cannot be modified except by direct means',100,1,2),
(325800,10160856,'When Equipped:',100,0,3),
(325801,10160856,'Reduces resistibility of all spells by 5%.',100,1,4),
(325802,123841,'Increases AGI of caster by 11.6',100,1,0),
(325803,123841,'Adds 18.7% to base avoidance.',100,1,1),
(325804,123841,'Increases Damage Per Second of caster by 25.3',100,1,2),
(325805,123841,'Increases Mitigation of caster vs physical damage by 92',100,1,3),
(325806,123841,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',100,1,4),
(325807,10123841,'Increases AGI of caster by 11.6',100,1,0),
(325808,10123841,'Adds 18.7% to base avoidance.',100,1,1),
(325809,10123841,'Increases Damage Per Second of caster by 25.3',100,1,2),
(325810,10123841,'Increases Mitigation of caster vs physical damage by 92',100,1,3),
(325811,10123841,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',100,1,4),
(325812,35235,'Increases STR of target by 12.7',100,0,0),
(325813,35235,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(325814,122347,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(325815,122347,'Inflicts 8 - 9 piercing damage on target',100,2,1),
(325816,10122347,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(325817,10122347,'Inflicts 10 - 12 piercing damage on target',100,2,1),
(325818,159199,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(325819,159199,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325820,159199,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(325821,159199,'Cannot be modified except by direct means',100,2,3),
(325822,10159199,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(325823,10159199,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(325824,10159199,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(325825,10159199,'Cannot be modified except by direct means',100,2,3),
(325826,103599,'Increases Mitigation of caster vs physical damage by 803',100,1,0),
(325827,10103599,'Increases Mitigation of caster vs physical damage by 803',100,1,0),
(325828,40221,'When Equipped:',100,0,0),
(325829,40221,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(325830,40221,'Reduces healing received by 15.00%',100,2,2),
(325831,40221,'Cannot be modified except by direct means',100,2,3),
(325832,40221,'This effect can only trigger once every 1 second.',100,2,4),
(325833,40221,'Must be engaged in pvp combat',100,1,5),
(325834,10040221,'When Equipped:',100,0,0),
(325835,10040221,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(325836,10040221,'Reduces healing received by 15.00%',100,2,2),
(325837,10040221,'Cannot be modified except by direct means',100,2,3),
(325838,10040221,'This effect can only trigger once every 1 second.',100,2,4),
(325839,10040221,'Must be engaged in pvp combat',100,1,5),
(325840,122128,'Dispels 58 levels of arcane beneficial effects on target',100,1,0),
(325841,122128,'Interrupts target',100,1,1),
(325842,122128,'Increases Threat to target by 726 ',100,1,2),
(325843,10122128,'Interrupts target',100,1,0),
(325844,10122128,'Forces target to change their selected target to caster.',100,1,1),
(325845,10122128,'Dispels 58 levels of arcane beneficial effects on target',100,1,2),
(325846,114510,'Heals target for 13 - 16',100,1,0),
(325847,10114510,'Heals target for 17 - 20',100,1,0),
(325848,86507,'Applies Holy Strike when Activated.',100,0,0),
(325849,86507,'Inflicts 173 - 289 divine damage on target',100,1,1),
(325850,86507,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(325851,10086507,'Applies Holy Strike when Activated.',100,0,0),
(325852,10086507,'Inflicts 226 - 376 divine damage on target',100,1,1),
(325853,10086507,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(325854,79334,'When Equipped:',100,0,0),
(325855,79334,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(325856,79334,'Inflicts 270 mental damage on target',100,2,2),
(325857,79334,'Must not be classified as a yha-lei',100,3,3),
(325858,79334,'Inflicts 540 mental damage on target',100,2,4),
(325859,79334,'Must be classified as a yha-lei',100,3,5),
(325860,79334,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(325861,79334,'Must be classified as a yha-lei',100,3,7),
(325862,79334,'Cannot be modified except by direct means',100,2,8),
(325863,79334,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(325864,10079334,'When Equipped:',100,0,0),
(325865,10079334,'On any combat or spell hit this spell may cast Yha-Lei Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(325866,10079334,'Inflicts 351 mental damage on target',100,2,2),
(325867,10079334,'Must not be classified as a yha-lei',100,3,3),
(325868,10079334,'Inflicts 702 mental damage on target',100,2,4),
(325869,10079334,'Must be classified as a yha-lei',100,3,5),
(325870,10079334,'Decreases Mitigation of target vs arcane damage by 400',100,2,6),
(325871,10079334,'Must be classified as a yha-lei',100,3,7),
(325872,10079334,'Cannot be modified except by direct means',100,2,8),
(325873,10079334,'Additional equipment with Yhalei Bane improves this effect by 20% per piece.',100,1,9),
(325874,102932,'Inflicts 35 - 43 disease damage on target instantly and every 4 seconds',100,1,0),
(325875,10102932,'Inflicts 60 - 73 disease damage on target',100,1,0),
(325876,10102932,'Inflicts 46 - 56 disease damage on target every 4 seconds',100,1,1),
(325877,36363,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(325878,119834,'Dazes target',100,1,0),
(325879,119834,'Does not affect Epic targets',100,1,1),
(325880,119834,'Resistibility increases against targets higher than level 64.',100,1,2),
(325881,10119834,'Dazes target',100,1,0),
(325882,10119834,'Does not affect Epic targets',100,1,1),
(325883,10119834,'Resistibility increases against targets higher than level 64.',100,1,2),
(325884,35814,'Increases Out-of-Combat Power Regeneration of target by 6.0',100,0,0),
(325885,107246,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(325886,107246,'Slows target by 56.3%',100,2,1),
(325887,107246,'5% chance to dispel when target receives hostile action',100,2,2),
(325888,107246,'5% chance to dispel when target takes damage',100,2,3),
(325889,107246,'Inflicts 39 - 48 disease damage on target every 4 seconds',100,1,4),
(325890,107246,'Slows target by 56.3%',100,1,5),
(325891,107246,'5% chance to dispel when target receives hostile action',100,1,6),
(325892,107246,'5% chance to dispel when target takes damage',100,1,7),
(325893,10107246,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(325894,10107246,'Slows target by 56.3%',100,2,1),
(325895,10107246,'5% chance to dispel when target receives hostile action',100,2,2),
(325896,10107246,'5% chance to dispel when target takes damage',100,2,3),
(325897,10107246,'Inflicts 51 - 62 disease damage on target every 2.5 seconds',100,1,4),
(325898,10107246,'Slows target by 56.3%',100,1,5),
(325899,10107246,'5% chance to dispel when target receives hostile action',100,1,6),
(325900,10107246,'5% chance to dispel when target takes damage',100,1,7),
(325901,102203,'Increases Mitigation of group members (AE) vs physical damage by 929',100,1,0),
(325902,10102203,'Increases Mitigation of group members (AE) vs physical damage by 929',100,1,0),
(325903,113420,'Reduces physical damage done to caster by 5%',100,1,0),
(325904,113420,'Increases STA of caster by 86.3',100,1,1),
(325905,113420,'Adds 2.9% to base avoidance.',100,1,2),
(325906,113420,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(325907,113420,'Increases Defense and Aggression of caster by 16.5',100,1,4),
(325908,113420,'Increases Mitigation of caster vs noxious damage by 1102',100,1,5),
(325909,113420,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(325910,10113420,'Reduces physical damage done to caster by 5%',100,1,0),
(325911,10113420,'Increases STA of caster by 86.3',100,1,1),
(325912,10113420,'Adds 2.9% to base avoidance.',100,1,2),
(325913,10113420,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(325914,10113420,'Increases Defense and Aggression of caster by 16.5',100,1,4),
(325915,10113420,'Increases Mitigation of caster vs noxious damage by 1102',100,1,5),
(325916,10113420,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(325917,122765,'Heals group members (AE) for 857 - 1047',100,1,0),
(325918,122765,'Increases Max Health of group members (AE) by 162.8',100,1,1),
(325919,10122765,'Heals group members (AE) for 1002 - 1225',100,1,0),
(325920,10122765,'Increases Max Health of group members (AE) by 162.8',100,1,1),
(325921,82421,'When Equipped:',100,0,0),
(325922,82421,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325923,82421,'Inflicts 204 - 379 magic damage on target',100,2,2),
(325924,82421,'Cannot be modified except by direct means',100,2,3),
(325925,10082421,'When Equipped:',100,0,0),
(325926,10082421,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325927,10082421,'Inflicts 265 - 492 magic damage on target',100,2,2),
(325928,10082421,'Cannot be modified except by direct means',100,2,3),
(325929,46835,'Applies Summon Flying Maj''Dul when Activated.',100,0,0),
(325930,46835,'Reduces maximum falling speed of caster',100,1,1),
(325931,46835,'Summons a mount to ride',100,1,2),
(325932,46835,'Increases your ground speed by 130%',100,2,3),
(325933,10046835,'Applies Summon Flying Maj''Dul when Activated.',100,0,0),
(325934,10046835,'Reduces maximum falling speed of caster',100,1,1),
(325935,10046835,'Summons a mount to ride',100,1,2),
(325936,10046835,'Increases your ground speed by 130%',100,2,3),
(325937,153813,'Applies Indomitable VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(325938,153813,'Increases the caster''s physical mitigation over time.',100,1,1),
(325939,153813,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(325940,153813,'Wards caster against 625 points of all damage',100,2,3),
(325941,153813,'Must not be engaged in pvp combat',100,2,4),
(325942,153813,'Cannot be modified except by direct means',100,2,5),
(325943,153813,'Must not be engaged in pvp combat',100,1,6),
(325944,153813,'Cannot be modified except by direct means',100,1,7),
(325945,153813,'The reuse time of Indomitable VI is 10 minutes',100,1,8),
(325946,10153813,'Applies Indomitable VI when Activated.  Lasts for 12.0 seconds.',100,0,0),
(325947,10153813,'Increases the caster''s physical mitigation over time.',100,1,1),
(325948,10153813,'Applies Peerless Defense on termination.  Lasts for 30.0 seconds.',100,1,2),
(325949,10153813,'Wards caster against 625 points of all damage',100,2,3),
(325950,10153813,'Must not be engaged in pvp combat',100,2,4),
(325951,10153813,'Cannot be modified except by direct means',100,2,5),
(325952,10153813,'Must not be engaged in pvp combat',100,1,6),
(325953,10153813,'Cannot be modified except by direct means',100,1,7),
(325954,10153813,'The reuse time of Indomitable VI is 10 minutes',100,1,8),
(325955,118046,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',100,1,0),
(325956,118046,'Stuns target',100,2,1),
(325957,118046,'If Target is not Epic',100,3,2),
(325958,118046,'Inflicts 462 - 770 divine damage on target',100,2,3),
(325959,118046,'Grants a total of 3 triggers of the spell.',100,2,4),
(325960,10118046,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.0 seconds.  ',100,1,0),
(325961,10118046,'Stuns target',100,2,1),
(325962,10118046,'If Target is not Epic',100,3,2),
(325963,10118046,'Inflicts 601 - 1001 divine damage on target',100,2,3),
(325964,10118046,'Grants a total of 3 triggers of the spell.',100,2,4),
(325965,109137,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(325966,109137,'Heals target for 729 - 891',100,2,1),
(325967,109137,'Grants a total of 8 triggers of the spell.',100,2,2),
(325968,10109137,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(325969,10109137,'Heals target for 474 - 579',100,2,1),
(325970,10109137,'Grants a total of 8 triggers of the spell.',100,2,2),
(325971,74727,'When Equipped:',100,0,0),
(325972,74727,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325973,74727,'Inflicts 118 - 178 magic damage on target',100,2,2),
(325974,74727,'Cannot be modified except by direct means',100,2,3),
(325975,10074727,'When Equipped:',100,0,0),
(325976,10074727,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(325977,10074727,'Inflicts 154 - 231 magic damage on target',100,2,2),
(325978,10074727,'Cannot be modified except by direct means',100,2,3),
(325979,102208,'Increases Mitigation of group members (AE) vs physical damage by 858',100,1,0),
(325980,10102208,'Increases Mitigation of group members (AE) vs physical damage by 858',100,1,0),
(325981,37582,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(325982,105762,'Inflicts 13 - 16 heat damage on target',100,1,0),
(325983,10105762,'Inflicts 23 - 28 heat damage on target',100,1,0),
(325984,26653,'When Equipped:',100,0,0),
(325985,26653,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(325986,26653,'Adds an additional two ticks to Tranquility III.',100,1,2),
(325987,10026653,'When Equipped:',100,0,0),
(325988,10026653,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(325989,10026653,'Adds an additional two ticks to Tranquility III.',100,1,2),
(325990,107527,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(325991,107527,'Decreases Mitigation of target encounter vs elemental and noxious damage by 286',100,1,1),
(325992,10107527,'Decreases Max Health of target encounter by 1.7%',100,1,0),
(325993,10107527,'Decreases Mitigation of target encounter vs elemental and noxious damage by 286',100,1,1),
(325994,25778,'When Equipped:',100,0,0),
(325995,25778,'Increases the base damage of Nihilistics by 25%.',100,1,1),
(325996,25778,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(325997,10025778,'When Equipped:',100,0,0),
(325998,10025778,'Increases the base damage of Nihilistics by 25%.',100,1,1),
(325999,10025778,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(326000,102887,'Heals caster for 281',100,1,0),
(326001,102887,'Inflicts 432 disease damage on targets in Area of Effect',100,1,1),
(326002,10102887,'Heals caster for 183',100,1,0),
(326003,10102887,'Inflicts 561 disease damage on targets in Area of Effect',100,1,1),
(326004,46753,'Applies Klakanon''s Watch when Activated.',100,0,0),
(326005,46753,'Shapechanges the user into a clockwork gnome, and provides a shield which damages any melee attacker.',100,1,1),
(326006,10046753,'Applies Klakanon''s Watch when Activated.',100,0,0),
(326007,10046753,'Shapechanges the user into a clockwork gnome, and provides a shield which damages any melee attacker.',100,1,1),
(326008,24686,'Adds Skeleton (Assassin) to your Dungeon Maker toolbox',100,0,0),
(326009,10024686,'Adds Skeleton (Assassin) to your Dungeon Maker toolbox',100,0,0),
(326010,122387,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(326011,122387,'Inflicts 3 - 4 piercing damage on target encounter',100,2,1),
(326012,10122387,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(326013,10122387,'Inflicts 4 - 5 piercing damage on target encounter',100,2,1),
(326014,102008,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(326015,102008,'Wards target against 149 points of all damage',100,2,1),
(326016,10102008,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(326017,10102008,'Wards target against 149 points of all damage',100,2,1),
(326018,134400,'When Equipped:',100,0,0),
(326019,134400,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326020,134400,'This effect stacks with the Runic Deflection line.',100,2,2),
(326021,134400,'Wards target against 700 points of all damage',100,2,3),
(326022,134400,'Cannot be modified except by direct means',100,2,4),
(326023,10134400,'When Equipped:',100,0,0),
(326024,10134400,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326025,10134400,'This effect stacks with the Runic Deflection line.',100,2,2),
(326026,10134400,'Wards target against 700 points of all damage',100,2,3),
(326027,10134400,'Cannot be modified except by direct means',100,2,4),
(326028,102484,'Inflicts 255 - 425 crushing damage on target',100,1,0),
(326029,102484,'Prevents target from changing direction while active.',100,1,1),
(326030,102484,'If Target is not Epic',100,2,2),
(326031,102484,'Roots target',100,1,3),
(326032,102484,'If Target is not Epic',100,2,4),
(326033,102484,'Resistibility increases against targets higher than level 65.',100,1,5),
(326034,10102484,'Inflicts 331 - 553 crushing damage on target',100,1,0),
(326035,10102484,'Prevents target from changing direction while active.',100,1,1),
(326036,10102484,'If Target is not Epic',100,2,2),
(326037,10102484,'Roots target',100,1,3),
(326038,10102484,'If Target is not Epic',100,2,4),
(326039,10102484,'Resistibility increases against targets higher than level 65.',100,1,5),
(326040,112315,'Inflicts 160 - 195 disease damage on target',100,1,0),
(326041,112315,'Inflicts 80 - 98 disease damage on target every 3 seconds',100,1,1),
(326042,112315,'Increases Threat to target by 1,498 - 1,831  instantly and by 281 - 344  every 3 seconds thereafter',100,1,2),
(326043,10112315,'Inflicts 104 - 127 disease damage on target every 3 seconds',100,1,0),
(326044,10112315,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(326045,108875,'Decreases INT of target by 99.9',100,1,0),
(326046,108875,'Inflicts 179 - 299 melee damage on target',100,1,1),
(326047,10108875,'Decreases INT of target by 99.9',100,1,0),
(326048,10108875,'Inflicts 233 - 388 melee damage on target',100,1,1),
(326049,107095,'Inflicts 158 - 193 divine damage on target',100,1,0),
(326050,10107095,'Inflicts 206 - 252 divine damage on target',100,1,0),
(326051,138374,'When Equipped:',100,0,0),
(326052,138374,'Increases Attack Speed of caster by 40.0',100,1,1),
(326053,10138374,'When Equipped:',100,0,0),
(326054,10138374,'Increases Attack Speed of caster by 40.0',100,1,1),
(326055,121728,'Increases AGI of caster by 83.2',100,1,0),
(326056,121728,'Adds 1.9% to base avoidance.',100,1,1),
(326057,121728,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(326058,121728,'Increases Parry of caster by 47.7',100,1,3),
(326059,121728,'Increases Defense of caster by 63.6',100,1,4),
(326060,10121728,'Increases AGI of caster by 83.2',100,1,0),
(326061,10121728,'Adds 1.9% to base avoidance.',100,1,1),
(326062,10121728,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(326063,10121728,'Increases Parry of caster by 47.7',100,1,3),
(326064,10121728,'Increases Defense of caster by 63.6',100,1,4),
(326065,35617,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(326066,182812,'When Equipped:',100,0,0),
(326067,182812,'Increases Attack Speed of caster by 25.0',100,1,1),
(326068,10182812,'When Equipped:',100,0,0),
(326069,10182812,'Increases Attack Speed of caster by 25.0',100,1,1),
(326070,24633,'Adds Poet''s Palace: Embroidered Square Blue Pillow to your Dungeon Maker toolbox',100,0,0),
(326071,10024633,'Adds Poet''s Palace: Embroidered Square Blue Pillow to your Dungeon Maker toolbox',100,0,0),
(326072,118857,'Inflicts 172 - 516 melee damage on target',100,1,0),
(326073,10118857,'Inflicts 223 - 671 melee damage on target',100,1,0),
(326074,45531,'Applies Clockwork Zapper when Activated.',100,0,0),
(326075,45531,'Must be in Steamfont Mountains.',100,1,1),
(326076,45531,'Must not be engaged in combat',100,1,2),
(326077,45531,'If target is haywire clockwork spider',100,1,3),
(326078,10045531,'Applies Clockwork Zapper when Activated.',100,0,0),
(326079,10045531,'Must be in Steamfont Mountains.',100,1,1),
(326080,10045531,'Must not be engaged in combat',100,1,2),
(326081,10045531,'If target is haywire clockwork spider',100,1,3),
(326082,107578,'Dazes target encounter',100,1,0),
(326083,107578,'Inflicts 137 - 168 mental damage on target encounter',100,1,1),
(326084,107578,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(326085,107578,'Resistibility increases against targets higher than level 54.',100,1,3),
(326086,10107578,'Dazes target encounter',100,1,0),
(326087,10107578,'Inflicts 179 - 218 mental damage on target encounter',100,1,1),
(326088,10107578,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(326089,10107578,'Resistibility increases against targets higher than level 54.',100,1,3),
(326090,37091,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(326091,37091,'Increases Max Power of target by 10.5',100,0,1),
(326092,136913,'When Equipped:',100,0,0),
(326093,136913,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(326094,136913,'Increases Mitigation of target vs physical, elemental and noxious damage by 930',100,2,2),
(326095,136913,'This effect can be stacked by multiple casters.',100,2,3),
(326096,136913,'Increases Mitigation of target vs arcane damage by 930',100,2,4),
(326097,136913,'Cannot be modified except by direct means',100,2,5),
(326098,10136913,'When Equipped:',100,0,0),
(326099,10136913,'On a healing spell cast this spell may cast Immaterial Barrier on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(326100,10136913,'Increases Mitigation of target vs physical, elemental and noxious damage by 930',100,2,2),
(326101,10136913,'This effect can be stacked by multiple casters.',100,2,3),
(326102,10136913,'Increases Mitigation of target vs arcane damage by 930',100,2,4),
(326103,10136913,'Cannot be modified except by direct means',100,2,5),
(326104,114735,'Inflicts 1059 - 1765 melee damage on target',100,1,0),
(326105,114735,'You must be in stealth.',100,1,1),
(326106,10114735,'Inflicts 820 - 1367 melee damage on target',100,1,0),
(326107,10114735,'You must be in stealth.',100,1,1),
(326108,25013,'When Equipped:',100,0,0),
(326109,25013,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(326110,25013,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(326111,10025013,'When Equipped:',100,0,0),
(326112,10025013,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(326113,10025013,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,2),
(326114,114733,'Inflicts 718 - 1198 melee damage on target',100,1,0),
(326115,114733,'You must be in stealth.',100,1,1),
(326116,10114733,'Inflicts 556 - 927 melee damage on target',100,1,0),
(326117,10114733,'You must be in stealth.',100,1,1),
(326118,108505,'Inflicts 954 - 1166 melee damage on target',100,1,0),
(326119,108505,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(326120,10108505,'Inflicts 863 - 1055 melee damage on target',100,1,0),
(326121,10108505,'You must execute certain stealthed combat arts before you can use this ability.',100,1,1),
(326122,113070,'Dazes target',100,1,0),
(326123,113070,'If Target is not Epic',100,2,1),
(326124,113070,'Applies Scream on termination.',100,1,2),
(326125,113070,'Inflicts 206 - 344 disease damage on target',100,2,3),
(326126,113070,'Resistibility increases against targets higher than level 91.',100,1,4),
(326127,10113070,'Dazes target',100,1,0),
(326128,10113070,'If Target is not Epic',100,2,1),
(326129,10113070,'Applies Scream on termination.',100,1,2),
(326130,10113070,'Inflicts 268 - 447 disease damage on target',100,2,3),
(326131,10113070,'Resistibility increases against targets higher than level 91.',100,1,4),
(326132,71411,'When Equipped:',100,0,0),
(326133,71411,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(326134,71411,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(326135,71411,'Cannot be modified except by direct means',100,2,3),
(326136,10071411,'When Equipped:',100,0,0),
(326137,10071411,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(326138,10071411,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(326139,10071411,'Cannot be modified except by direct means',100,2,3),
(326140,139450,'When Equipped:',100,0,0),
(326141,139450,'Reduces maximum falling speed of caster',100,1,1),
(326142,139450,'Applies Spirit of Oggok when Activated.  Lasts for 1 hour.',100,0,2),
(326143,139450,'Shapechanges caster into an ogre',100,1,3),
(326144,139450,'The casting time of Spirit of Oggok is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(326145,10139450,'When Equipped:',100,0,0),
(326146,10139450,'Reduces maximum falling speed of caster',100,1,1),
(326147,10139450,'Applies Spirit of Oggok when Activated.  Lasts for 1 hour.',100,0,2),
(326148,10139450,'Shapechanges caster into an ogre',100,1,3),
(326149,10139450,'The casting time of Spirit of Oggok is 1.0 second and the reuse time of the spell is 5.0 seconds',100,1,4),
(326150,109954,'Stuns target',100,1,0),
(326151,109954,'Does not affect Epic targets',100,1,1),
(326152,109954,'Resistibility increases against targets higher than level 111.',100,1,2),
(326153,10109954,'Stuns target',100,1,0),
(326154,10109954,'Does not affect Epic targets',100,1,1),
(326155,10109954,'Resistibility increases against targets higher than level 111.',100,1,2),
(326156,106008,'Inflicts 34 - 42 divine damage on target instantly and every 3 seconds',100,1,0),
(326157,106008,'Decreases Defense of target by 7.1',100,1,1),
(326158,10106008,'Inflicts 30 - 36 divine damage on target instantly and every 3 seconds',100,1,0),
(326159,10106008,'Decreases Defense of target by 7.1',100,1,1),
(326160,152830,'When Equipped:',100,0,0),
(326161,152830,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326162,152830,'Heals target for 1029 - 1137 instantly and every 2 seconds',100,2,2),
(326163,152830,'Must not be engaged in pvp combat',100,2,3),
(326164,152830,'Cannot be modified except by direct means',100,2,4),
(326165,152830,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(326166,152830,'Cannot be modified except by direct means',100,1,6),
(326167,10152830,'When Equipped:',100,0,0),
(326168,10152830,'On a healing spell cast this spell may cast Steady Pulse II on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326169,10152830,'Heals target for 1204 - 1330 instantly and every 2 seconds',100,2,2),
(326170,10152830,'Must not be engaged in pvp combat',100,2,3),
(326171,10152830,'Cannot be modified except by direct means',100,2,4),
(326172,10152830,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(326173,10152830,'Cannot be modified except by direct means',100,1,6),
(326174,187225,'When Equipped:',100,0,0),
(326175,187225,'Grants a temporary casting speed and combat art range increase after using Misfortune''s Kiss VII or Night Strike VII.',100,1,1),
(326176,10187225,'When Equipped:',100,0,0),
(326177,10187225,'Grants a temporary casting speed and combat art range increase after using Misfortune''s Kiss VII or Night Strike VII.',100,1,1),
(326178,122262,'Decreases Threat to targets in Area of Effect by 520 ',100,1,0),
(326179,122262,'Makes targets in Area of Effect afraid',100,1,1),
(326180,122262,'If Target is not Epic',100,2,2),
(326181,122262,'30% chance to dispel when target takes damage',100,1,3),
(326182,10122262,'Applies Distract.',100,1,0),
(326183,10122262,'Forces target to clear their selected target.',100,2,1),
(326184,10122262,'Makes targets in Area of Effect afraid',100,1,2),
(326185,10122262,'If Target is not Epic',100,2,3),
(326186,10122262,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(326187,10122262,'30% chance to dispel when target takes damage',100,1,5),
(326188,82087,'When Equipped:',100,0,0),
(326189,82087,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326190,82087,'Inflicts 138 - 257 magic damage on target',100,2,2),
(326191,82087,'Cannot be modified except by direct means',100,2,3),
(326192,10082087,'When Equipped:',100,0,0),
(326193,10082087,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326194,10082087,'Inflicts 180 - 334 magic damage on target',100,2,2),
(326195,10082087,'Cannot be modified except by direct means',100,2,3),
(326196,159407,'Applies Lambent Imbued when Equipped.',100,0,0),
(326197,159407,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(326198,159407,'Heals target for 66 instantly and every 4 seconds',100,2,2),
(326199,159407,'Cannot be modified except by direct means',100,2,3),
(326200,10159407,'Applies Lambent Imbued when Equipped.',100,0,0),
(326201,10159407,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(326202,10159407,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(326203,10159407,'Cannot be modified except by direct means',100,2,3),
(326204,109573,'Makes target afraid',100,1,0),
(326205,109573,'30% chance to dispel when target takes damage',100,1,1),
(326206,109573,'Does not affect Epic targets',100,1,2),
(326207,109573,'Resistibility increases against targets higher than level 83.',100,1,3),
(326208,10109573,'Makes target afraid',100,1,0),
(326209,10109573,'30% chance to dispel when target takes damage',100,1,1),
(326210,10109573,'Does not affect Epic targets',100,1,2),
(326211,10109573,'Resistibility increases against targets higher than level 83.',100,1,3),
(326212,81960,'When Equipped:',100,0,0),
(326213,81960,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(326214,81960,'Decreases Threat to target by 994 ',100,2,2),
(326215,81960,'Must be flanking or behind',100,3,3),
(326216,81960,'Increases Threat to target by 994 ',100,2,4),
(326217,81960,'Must be in front of',100,3,5),
(326218,81960,'Inflicts 265 - 492 magic damage on target',100,2,6),
(326219,81960,'Cannot be modified except by direct means',100,2,7),
(326220,10081960,'When Equipped:',100,0,0),
(326221,10081960,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(326222,10081960,'Inflicts 345 - 640 magic damage on target',100,2,2),
(326223,10081960,'Cannot be modified except by direct means',100,2,3),
(326224,41201,'When Equipped:',100,0,0),
(326225,41201,'On a ranged hit this spell may cast Flames of Rending on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326226,41201,'Inflicts 2648 heat damage on target',100,2,2),
(326227,41201,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(326228,41201,'Increases Potency of caster by 10.0%',100,2,4),
(326229,41201,'Cannot be modified except by direct means',100,2,5),
(326230,41201,'Cannot be modified except by direct means',100,1,6),
(326231,10041201,'When Equipped:',100,0,0),
(326232,10041201,'On a ranged hit this spell may cast Flames of Rending on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326233,10041201,'Inflicts 3442 heat damage on target',100,2,2),
(326234,10041201,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',100,2,3),
(326235,10041201,'Increases Potency of caster by 10.0%',100,2,4),
(326236,10041201,'Cannot be modified except by direct means',100,2,5),
(326237,10041201,'Cannot be modified except by direct means',100,1,6),
(326238,111757,'Heals caster for 29 - 35',100,1,0),
(326239,111757,'This effect cannot be critically applied.',100,2,1),
(326240,111757,'The healing of this spell cannot be modified except by direct means',100,1,2),
(326241,10111757,'Heals caster for 14 - 17',100,1,0),
(326242,10111757,'This effect cannot be critically applied.',100,2,1),
(326243,10111757,'The healing of this spell cannot be modified except by direct means',100,1,2),
(326244,24662,'Adds Popup Text (White) to your Dungeon Maker toolbox',100,0,0),
(326245,10024662,'Adds Popup Text (White) to your Dungeon Maker toolbox',100,0,0),
(326246,110132,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(326247,110132,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(326248,110132,'Only affects the caster of Guardian''s Sphere',100,2,2),
(326249,110132,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(326250,110132,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(326251,110132,'If not fighter',100,2,5),
(326252,10110132,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,0),
(326253,10110132,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,1),
(326254,10110132,'Only affects the caster of Guardian''s Sphere',100,2,2),
(326255,10110132,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',100,1,3),
(326256,10110132,'Will absorb all damage.  This spell will absorb a total of 1 attack.',100,2,4),
(326257,10110132,'If not fighter',100,2,5),
(326258,105294,'Increases AGI of caster by 127.2',100,1,0),
(326259,105294,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(326260,105294,'Inflicts 112 - 187 mental damage on target',100,2,2),
(326261,105294,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(326262,105294,'Inflicts 112 - 187 mental damage on target',100,2,4),
(326263,105294,'Adds 25.0% to base avoidance.',100,1,5),
(326264,105294,'Increases Mitigation of caster vs physical damage by 459',100,1,6),
(326265,105294,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,7),
(326266,10105294,'Increases AGI of caster by 127.2',100,1,0),
(326267,10105294,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(326268,10105294,'Inflicts 146 - 244 mental damage on target',100,2,2),
(326269,10105294,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(326270,10105294,'Inflicts 146 - 244 mental damage on target',100,2,4),
(326271,10105294,'Adds 25.0% to base avoidance.',100,1,5),
(326272,10105294,'Increases Mitigation of caster vs physical damage by 459',100,1,6),
(326273,10105294,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',100,1,7),
(326274,121702,'Increases AGI of caster by 16.1',100,1,0),
(326275,121702,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(326276,121702,'Increases Parry of caster by 8.9',100,1,2),
(326277,121702,'Increases Defense of caster by 11.9',100,1,3),
(326278,10121702,'Increases AGI of caster by 16.1',100,1,0),
(326279,10121702,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,1),
(326280,10121702,'Increases Parry of caster by 8.9',100,1,2),
(326281,10121702,'Increases Defense of caster by 11.9',100,1,3),
(326282,114139,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(326283,114139,'Increases Mitigation of group members (AE) vs elemental damage by 725',100,1,1),
(326284,10114139,'Increases Max Health of group members (AE) by 200.9',100,1,0),
(326285,10114139,'Increases Mitigation of group members (AE) vs elemental damage by 725',100,1,1),
(326286,107626,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(326287,107626,'Increases Mitigation of group members (AE) vs elemental damage by 448',100,1,1),
(326288,10107626,'Increases Max Power of group members (AE) by 264.0',100,1,0),
(326289,10107626,'Increases Mitigation of group members (AE) vs elemental damage by 448',100,1,1),
(326290,113519,'Inflicts 398 - 663 melee damage on targets in area',100,1,0),
(326291,10113519,'Inflicts 517 - 862 melee damage on targets in area',100,1,0),
(326292,87186,'When Equipped:',100,0,0),
(326293,87186,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326294,87186,'Inflicts 73 - 110 magic damage on target',100,2,2),
(326295,87186,'Cannot be modified except by direct means',100,2,3),
(326296,10087186,'When Equipped:',100,0,0),
(326297,10087186,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326298,10087186,'Inflicts 95 - 143 magic damage on target',100,2,2),
(326299,10087186,'Cannot be modified except by direct means',100,2,3),
(326300,80719,'When Equipped:',100,0,0),
(326301,80719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326302,80719,'Inflicts 56 - 103 magic damage on target',100,2,2),
(326303,80719,'Cannot be modified except by direct means',100,2,3),
(326304,10080719,'When Equipped:',100,0,0),
(326305,10080719,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326306,10080719,'Inflicts 72 - 134 magic damage on target',100,2,2),
(326307,10080719,'Cannot be modified except by direct means',100,2,3),
(326308,100794,'Wards target against 543 points of all damage',100,1,0),
(326309,10100794,'Wards target against 836 points of all damage',100,1,0),
(326310,173589,'Applies Reverse Pauldron when Activated.',100,0,0),
(326311,173589,'Summon 1 Left Pauldron of the Odyssey',100,1,1),
(326312,173589,'This effect cannot be cast during combat',100,1,2),
(326313,173589,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(326314,10173589,'Applies Reverse Pauldron when Activated.',100,0,0),
(326315,10173589,'Summon 1 Left Pauldron of the Odyssey',100,1,1),
(326316,10173589,'This effect cannot be cast during combat',100,1,2),
(326317,10173589,'The casting time of Reverse Pauldron is 1.0 second and the reuse time of the spell is 2.0 seconds',100,1,3),
(326318,24369,'Adds Fleshgoyle (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(326319,10024369,'Adds Fleshgoyle (Bruiser) to your Dungeon Maker toolbox',100,0,0),
(326320,102039,'Interrupts targets in Area of Effect',100,1,0),
(326321,102039,'Inflicts 63 - 106 melee damage on targets in area',100,1,1),
(326322,10102039,'Interrupts targets in Area of Effect',100,1,0),
(326323,10102039,'Inflicts 82 - 138 melee damage on targets in area',100,1,1),
(326324,46708,'Applies Simple Tools when Equipped.',100,0,0),
(326325,46708,'Increases success chance by 1.0%',100,1,1),
(326326,10046708,'Applies Simple Tools when Equipped.',100,0,0),
(326327,10046708,'Increases success chance by 1.0%',100,1,1),
(326328,45518,'Applies Solusek''s Reprisal when Activated.',100,0,0),
(326329,45518,'Summons a pet Solusek''s Reprisal',100,1,1),
(326330,10045518,'Applies Solusek''s Reprisal when Activated.',100,0,0),
(326331,10045518,'Summons a pet Solusek''s Reprisal',100,1,1),
(326332,45916,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(326333,45916,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(326334,45916,'Decreases AGI of target by 60.5',100,2,2),
(326335,45916,'Decreases Deflection, Defense and Parry of target by 23.0',100,2,3),
(326336,45916,'Cannot be modified except by direct means',100,2,4),
(326337,45916,'Grants a total of 60 triggers of the spell.',100,2,5),
(326338,10045916,'Applies gracelessness when Activated.  Lasts for 12 hours.',100,0,0),
(326339,10045916,'On a combat hit this spell may cast Gracelessness on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(326340,10045916,'Decreases AGI of target by 60.5',100,2,2),
(326341,10045916,'Decreases Deflection, Defense and Parry of target by 23.0',100,2,3),
(326342,10045916,'Cannot be modified except by direct means',100,2,4),
(326343,10045916,'Grants a total of 60 triggers of the spell.',100,2,5),
(326344,109080,'Decreases Mitigation of target vs physical damage by 588',100,1,0),
(326345,109080,'Inflicts 145 - 243 melee damage on target',100,1,1),
(326346,109080,'Inflicts 145 - 243 melee damage on target',100,1,2),
(326347,109080,'Inflicts 145 - 243 melee damage on target',100,1,3),
(326348,10109080,'Decreases Mitigation of target vs physical damage by 588',100,1,0),
(326349,10109080,'Inflicts 189 - 316 melee damage on target',100,1,1),
(326350,10109080,'Inflicts 189 - 316 melee damage on target',100,1,2),
(326351,10109080,'Inflicts 189 - 316 melee damage on target',100,1,3),
(326352,115939,'Inflicts 543 - 906 melee damage on target',100,1,0),
(326353,115939,'Roots target',100,1,1),
(326354,115939,'If Target is not Epic',100,2,2),
(326355,115939,'5% chance to dispel when target takes damage',100,1,3),
(326356,115939,'Resistibility increases against targets higher than level 89.',100,1,4),
(326357,10115939,'Inflicts 706 - 1177 melee damage on target',100,1,0),
(326358,10115939,'Roots target',100,1,1),
(326359,10115939,'If Target is not Epic',100,2,2),
(326360,10115939,'5% chance to dispel when target takes damage',100,1,3),
(326361,10115939,'Resistibility increases against targets higher than level 89.',100,1,4),
(326362,116242,'Summons a pet Illusion Ally',100,1,0),
(326363,10116242,'Summons a pet Illusion Ally',100,1,0),
(326364,182274,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(326365,182274,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(326366,182274,'Cannot be modified except by direct means',100,1,2),
(326367,10182274,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(326368,10182274,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(326369,10182274,'Cannot be modified except by direct means',100,1,2),
(326370,40665,'When Equipped:',100,0,0),
(326371,40665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326372,40665,'Inflicts 111 - 166 magic damage on target',100,2,2),
(326373,40665,'Cannot be modified except by direct means',100,2,3),
(326374,10040665,'When Equipped:',100,0,0),
(326375,10040665,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326376,10040665,'Inflicts 144 - 216 magic damage on target',100,2,2),
(326377,10040665,'Cannot be modified except by direct means',100,2,3),
(326378,37457,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(326379,48744,'Applies Elixir of Mythical Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(326380,48744,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(326381,10048744,'Applies Elixir of Mythical Awareness  when Activated.  Lasts for 30 minutes.',100,0,0),
(326382,10048744,'Increases Mitigation of caster vs elemental damage by 100',100,1,1),
(326383,81005,'When Equipped:',100,0,0),
(326384,81005,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326385,81005,'Inflicts 228 - 423 magic damage on target',100,2,2),
(326386,81005,'Cannot be modified except by direct means',100,2,3),
(326387,10081005,'When Equipped:',100,0,0),
(326388,10081005,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326389,10081005,'Inflicts 296 - 550 magic damage on target',100,2,2),
(326390,10081005,'Cannot be modified except by direct means',100,2,3),
(326391,124047,'Increases power of caster by 67',100,1,0),
(326392,10124047,'Increases power of caster by 67',100,1,0),
(326393,137446,'When Equipped:',100,0,0),
(326394,137446,'On a melee hit this spell may cast Infuriate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326395,137446,'Increases Threat to target by 855 - 1,425 ',100,2,2),
(326396,137446,'Cannot be modified except by direct means',100,2,3),
(326397,10137446,'When Equipped:',100,0,0),
(326398,10137446,'On a melee hit this spell may cast Infuriate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326399,10137446,'Applies Annoy.  Lasts for 3.0 seconds.',100,2,2),
(326400,10137446,'Forces target to change their selected target to caster.',100,3,3),
(326401,10137446,'Prevents target from changing targets',100,3,4),
(326402,10137446,'Cannot be modified except by direct means',100,2,5),
(326403,45209,'Applies noxious remedy when Activated.',100,0,0),
(326404,45209,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(326405,10045209,'Applies noxious remedy when Activated.',100,0,0),
(326406,10045209,'Dispels 58 levels of noxious hostile effects on caster',100,1,1),
(326407,122280,'Decreases Threat to targets in Area of Effect by 2,850 ',100,1,0),
(326408,122280,'Makes targets in Area of Effect afraid',100,1,1),
(326409,122280,'If Target is not Epic',100,2,2),
(326410,122280,'30% chance to dispel when target takes damage',100,1,3),
(326411,10122280,'Applies Distract.',100,1,0),
(326412,10122280,'Forces target to clear their selected target.',100,2,1),
(326413,10122280,'Makes targets in Area of Effect afraid',100,1,2),
(326414,10122280,'If Target is not Epic',100,2,3),
(326415,10122280,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(326416,10122280,'30% chance to dispel when target takes damage',100,1,5),
(326417,79758,'When Equipped:',100,0,0),
(326418,79758,'On a hostile spell cast this spell may cast Grizzfazzle''s Rage on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(326419,79758,'Inflicts 208 - 387 heat damage on target',100,2,2),
(326420,79758,'Cannot be modified except by direct means',100,2,3),
(326421,10079758,'When Equipped:',100,0,0),
(326422,10079758,'On a hostile spell cast this spell may cast Grizzfazzle''s Rage on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(326423,10079758,'Inflicts 271 - 503 heat damage on target',100,2,2),
(326424,10079758,'Cannot be modified except by direct means',100,2,3),
(326425,48414,'When Equipped:',100,0,0),
(326426,48414,'Improves the duration of food by 10%',100,1,1),
(326427,10048414,'When Equipped:',100,0,0),
(326428,10048414,'Improves the duration of food by 10%',100,1,1),
(326429,110788,'Heals group members (AE) for 405 - 495 instantly and every 2 seconds',100,1,0),
(326430,10110788,'Heals group members (AE) for 263 - 322 instantly and every 2 seconds',100,1,0),
(326431,116561,'Inflicts 126 - 211 melee damage on targets in area',100,1,0),
(326432,116561,'You must be in stealth to use this!',100,1,1),
(326433,10116561,'Inflicts 164 - 274 melee damage on targets in area',100,1,0),
(326434,10116561,'You must be in stealth to use this!',100,1,1),
(326435,86161,'When Equipped:',100,0,0),
(326436,86161,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(326437,86161,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(326438,86161,'Heals target for 1097 - 1213 instantly and every 2 seconds',100,2,3),
(326439,86161,'Must not be engaged in pvp combat',100,2,4),
(326440,86161,'Cannot be modified except by direct means',100,2,5),
(326441,86161,'Cannot be modified except by direct means',100,1,6),
(326442,10086161,'When Equipped:',100,0,0),
(326443,10086161,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(326444,10086161,'On a healing spell cast this spell may cast Steady Pulse III on target of spell cast.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(326445,10086161,'Heals target for 1284 - 1419 instantly and every 2 seconds',100,2,3),
(326446,10086161,'Must not be engaged in pvp combat',100,2,4),
(326447,10086161,'Cannot be modified except by direct means',100,2,5),
(326448,10086161,'Cannot be modified except by direct means',100,1,6),
(326449,26303,'When Equipped:',100,0,0),
(326450,26303,'Decreases falling damage taken by caster by 30.0%',100,1,1),
(326451,10026303,'When Equipped:',100,0,0),
(326452,10026303,'Decreases falling damage taken by caster by 30.0%',100,1,1),
(326453,123885,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(326454,123885,'Slows target by 46.5%',100,2,1),
(326455,123885,'5% chance to dispel when target receives hostile action',100,2,2),
(326456,123885,'5% chance to dispel when target takes damage',100,2,3),
(326457,123885,'Decreases Mitigation of target vs elemental and noxious damage by 242',100,1,4),
(326458,10123885,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(326459,10123885,'Slows target by 46.5%',100,2,1),
(326460,10123885,'5% chance to dispel when target receives hostile action',100,2,2),
(326461,10123885,'5% chance to dispel when target takes damage',100,2,3),
(326462,10123885,'Decreases Mitigation of target vs elemental and noxious damage by 242',100,1,4),
(326463,108336,'Heals caster for 18',100,1,0),
(326464,108336,'Inflicts 29 - 48 melee damage on target',100,1,1),
(326465,10108336,'Heals caster for 12',100,1,0),
(326466,10108336,'Inflicts 37 - 63 melee damage on target',100,1,1),
(326467,36167,'Increases Max Power of target by 47.2',100,0,0),
(326468,36167,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(326469,100279,'Inflicts 55 - 102 poison damage on target instantly and every 3 seconds',100,1,0),
(326470,10100279,'Inflicts 162 - 300 poison damage on target instantly and every 3 seconds',100,1,0),
(326471,189230,'When Equipped:',100,0,0),
(326472,189230,'Increases In-Combat Health Regeneration of caster by 35.4',100,1,1),
(326473,189230,'When Equipped:',100,0,2),
(326474,189230,'Additional equipment with Void Bane improves this effect.',100,1,3),
(326475,189230,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(326476,189230,'Inflicts 401 mental damage on target',100,2,5),
(326477,189230,'Must not be classified as a void beast',100,3,6),
(326478,189230,'Must not be classified as a shadowed folk',100,3,7),
(326479,189230,'Inflicts 802 mental damage on target',100,2,8),
(326480,189230,'If any of the following are true:',100,3,9),
(326481,189230,'Must be classified as a void beast',100,4,10),
(326482,189230,'Must be classified as a shadowed folk',100,4,11),
(326483,189230,'Decreases Mitigation of target vs arcane damage by 581',100,2,12),
(326484,189230,'If any of the following are true:',100,3,13),
(326485,189230,'Must be classified as a void beast',100,4,14),
(326486,189230,'Must be classified as a shadowed folk',100,4,15),
(326487,189230,'Cannot be modified except by direct means',100,2,16),
(326488,10189230,'When Equipped:',100,0,0),
(326489,10189230,'Increases In-Combat Health Regeneration of caster by 35.4',100,1,1),
(326490,10189230,'When Equipped:',100,0,2),
(326491,10189230,'Additional equipment with Void Bane improves this effect.',100,1,3),
(326492,10189230,'On any combat or spell hit this spell may cast Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(326493,10189230,'Inflicts 521 mental damage on target',100,2,5),
(326494,10189230,'Must not be classified as a void beast',100,3,6),
(326495,10189230,'Must not be classified as a shadowed folk',100,3,7),
(326496,10189230,'Inflicts 1043 mental damage on target',100,2,8),
(326497,10189230,'If any of the following are true:',100,3,9),
(326498,10189230,'Must be classified as a void beast',100,4,10),
(326499,10189230,'Must be classified as a shadowed folk',100,4,11),
(326500,10189230,'Decreases Mitigation of target vs arcane damage by 581',100,2,12),
(326501,10189230,'If any of the following are true:',100,3,13),
(326502,10189230,'Must be classified as a void beast',100,4,14),
(326503,10189230,'Must be classified as a shadowed folk',100,4,15),
(326504,10189230,'Cannot be modified except by direct means',100,2,16),
(326505,124634,'Heals group members (AE) for 548 - 670',100,1,0),
(326506,124634,'Heals group members (AE) for 92 - 113 every second',100,1,1),
(326507,10124634,'Heals group members (AE) for 800 - 978',100,1,0),
(326508,10124634,'Heals group members (AE) for 100 - 122 every second',100,1,1),
(326509,118616,'Roots target',100,1,0),
(326510,118616,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(326511,118616,'Slows target by 66.1%',100,2,2),
(326512,118616,'5% chance to dispel when target receives hostile action',100,2,3),
(326513,118616,'5% chance to dispel when target takes damage',100,2,4),
(326514,118616,'5% chance to dispel when target takes damage',100,1,5),
(326515,118616,'Does not affect Epic targets',100,1,6),
(326516,118616,'Resistibility increases against targets higher than level 115.',100,1,7),
(326517,10118616,'Roots target',100,1,0),
(326518,10118616,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(326519,10118616,'Slows target by 66.1%',100,2,2),
(326520,10118616,'5% chance to dispel when target receives hostile action',100,2,3),
(326521,10118616,'5% chance to dispel when target takes damage',100,2,4),
(326522,10118616,'5% chance to dispel when target takes damage',100,1,5),
(326523,10118616,'Does not affect Epic targets',100,1,6),
(326524,10118616,'Resistibility increases against targets higher than level 115.',100,1,7),
(326525,106258,'Wards target against 448 points of all damage',100,1,0),
(326526,10106258,'Wards target against 448 points of all damage',100,1,0),
(326527,121652,'Summons a pet ',100,1,0),
(326528,121652,'Increases STR, INT, WIS, AGI and STA of caster by 39.6',100,1,1),
(326529,121652,'If follows Bertoxxulous',100,1,2),
(326530,10121652,'Summons a pet ',100,1,0),
(326531,10121652,'Increases STR, INT, WIS, AGI and STA of caster by 39.6',100,1,1),
(326532,10121652,'If follows Bertoxxulous',100,1,2),
(326533,122225,'Increases Damage Per Second of target by 31.4',100,1,0),
(326534,122225,'Increases Max Health of target by 964.3',100,1,1),
(326535,10122225,'Increases Damage Per Second of target by 31.4',100,1,0),
(326536,10122225,'Increases Max Health of target by 964.3',100,1,1),
(326537,123982,'Decreases AGI of target by 51.8',100,1,0),
(326538,123982,'Inflicts 422 - 704 melee damage on target',100,1,1),
(326539,123982,'Must be behind',100,1,2),
(326540,10123982,'Decreases AGI of target by 51.8',100,1,0),
(326541,10123982,'Inflicts 549 - 916 melee damage on target',100,1,1),
(326542,10123982,'Must be behind',100,1,2),
(326543,27478,'When Equipped:',100,0,0),
(326544,27478,'Improves the damage of Glacial Lance by 15%.',100,1,1),
(326545,27478,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(326546,10027478,'When Equipped:',100,0,0),
(326547,10027478,'Improves the damage of Glacial Lance by 15%.',100,1,1),
(326548,10027478,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(326549,102252,'Inflicts 78 - 130 melee damage on targets in area',100,1,0),
(326550,10102252,'Inflicts 101 - 169 melee damage on targets in area',100,1,0),
(326551,37594,'Increases STA and STR of target by 6.2',100,0,0),
(326552,37594,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(326553,117663,'Decreases Mitigation of target vs physical damage by 228',100,1,0),
(326554,10117663,'Decreases Mitigation of target vs physical damage by 114',100,1,0),
(326555,36822,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(326556,138390,'When Equipped:',100,0,0),
(326557,138390,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326558,138390,'Decreases power of target by 135',100,2,2),
(326559,138390,'Increases power of caster by 90',100,2,3),
(326560,138390,'Cannot be modified except by direct means',100,2,4),
(326561,10138390,'When Equipped:',100,0,0),
(326562,10138390,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326563,10138390,'Decreases power of target by 135',100,2,2),
(326564,10138390,'Increases power of caster by 90',100,2,3),
(326565,10138390,'Cannot be modified except by direct means',100,2,4),
(326566,159375,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(326567,159375,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(326568,159375,'Inflicts 85 heat damage on target',100,2,2),
(326569,159375,'Cannot be modified except by direct means',100,2,3),
(326570,10159375,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(326571,10159375,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(326572,10159375,'Inflicts 110 heat damage on target',100,2,2),
(326573,10159375,'Cannot be modified except by direct means',100,2,3),
(326574,177520,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(326575,177520,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(326576,177520,'Inflicts 20 heat damage on target',100,2,2),
(326577,177520,'Cannot be modified except by direct means',100,2,3),
(326578,10177520,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(326579,10177520,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(326580,10177520,'Inflicts 26 heat damage on target',100,2,2),
(326581,10177520,'Cannot be modified except by direct means',100,2,3),
(326582,113076,'Dazes target',100,1,0),
(326583,113076,'If Target is not Epic',100,2,1),
(326584,113076,'Applies Scream on termination.',100,1,2),
(326585,113076,'Inflicts 245 - 408 disease damage on target',100,2,3),
(326586,113076,'Resistibility increases against targets higher than level 103.',100,1,4),
(326587,10113076,'Dazes target',100,1,0),
(326588,10113076,'If Target is not Epic',100,2,1),
(326589,10113076,'Applies Scream on termination.',100,1,2),
(326590,10113076,'Inflicts 318 - 531 disease damage on target',100,2,3),
(326591,10113076,'Resistibility increases against targets higher than level 103.',100,1,4),
(326592,117650,'Decreases Mitigation of target vs physical damage by 132',100,1,0),
(326593,10117650,'Decreases Mitigation of target vs physical damage by 132',100,1,0),
(326594,105221,'Decreases STR and INT of target by 35.9',100,1,0),
(326595,105221,'Only affects targets level 20 and above',100,1,1),
(326596,10105221,'Decreases STR and INT of target by 35.9',100,1,0),
(326597,10105221,'Only affects targets level 20 and above',100,1,1),
(326598,35813,'Increases Max Power of target by 90.0',100,0,0),
(326599,35813,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(326600,40394,'When Equipped:',100,0,0),
(326601,40394,'On a critical combat hit this spell may cast Flying Fist VI on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326602,40394,'Stifles target',100,2,2),
(326603,40394,'If Target is not Epic',100,3,3),
(326604,40394,'Inflicts 542 - 599 heat damage on target',100,2,4),
(326605,40394,'Increases Threat to target by 593 - 656 ',100,2,5),
(326606,40394,'Must not be engaged in pvp combat',100,2,6),
(326607,40394,'Cannot be modified except by direct means',100,2,7),
(326608,40394,'Must not be engaged in pvp combat',100,1,8),
(326609,10040394,'When Equipped:',100,0,0),
(326610,10040394,'On a critical combat hit this spell may cast Flying Fist VI on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326611,10040394,'Stifles target',100,2,2),
(326612,10040394,'If Target is not Epic',100,3,3),
(326613,10040394,'Inflicts 705 - 779 heat damage on target',100,2,4),
(326614,10040394,'Must not be engaged in pvp combat',100,2,5),
(326615,10040394,'Cannot be modified except by direct means',100,2,6),
(326616,10040394,'Must not be engaged in pvp combat',100,1,7),
(326617,100825,'Wards target against 218 points of all damage',100,1,0),
(326618,10100825,'Wards target against 336 points of all damage',100,1,0),
(326619,36704,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(326620,159293,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(326621,159293,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(326622,159293,'Heals target for 22 instantly and every 4 seconds',100,2,2),
(326623,159293,'Cannot be modified except by direct means',100,2,3),
(326624,10159293,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(326625,10159293,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(326626,10159293,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(326627,10159293,'Cannot be modified except by direct means',100,2,3),
(326628,40613,'When Equipped:',100,0,0),
(326629,40613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326630,40613,'Inflicts 44 - 67 magic damage on target',100,2,2),
(326631,40613,'Cannot be modified except by direct means',100,2,3),
(326632,10040613,'When Equipped:',100,0,0),
(326633,10040613,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326634,10040613,'Inflicts 58 - 87 magic damage on target',100,2,2),
(326635,10040613,'Cannot be modified except by direct means',100,2,3),
(326636,159941,'When Equipped:',100,0,0),
(326637,159941,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(326638,159941,'Increases AGI of caster by 25.7',100,2,2),
(326639,159941,'Increases Attack Speed of caster by 25.6',100,2,3),
(326640,159941,'Cannot be modified except by direct means',100,2,4),
(326641,10159941,'When Equipped:',100,0,0),
(326642,10159941,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(326643,10159941,'Increases AGI of caster by 25.7',100,2,2),
(326644,10159941,'Increases Attack Speed of caster by 25.6',100,2,3),
(326645,10159941,'Cannot be modified except by direct means',100,2,4),
(326646,90347,'Applies Wrath''s Blessing when Activated.',100,0,0),
(326647,90347,'Grants a healer ally bonus healing based on your last direct damage spell amount. This bonus changes every time you cast a damage spell.',100,1,1),
(326648,90347,'The casting time of Wrath''s Blessing is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(326649,90347,'When Equipped:',100,0,3),
(326650,90347,'Improves the damage of hostile spells by 10% of the fury''s wisdom.',100,1,4),
(326651,90347,'Improves the fury''s heals by 10% of their wisdom.',100,1,5),
(326652,90347,'When Equipped:',100,0,6),
(326653,90347,'On a hostile spell cast this spell has a 12% chance to cast Nature''s Wrath on target of spell.  Lasts for 10.0 seconds.  ',100,1,7),
(326654,90347,'On a hit this spell will cast Nature''s Soothing on target of attack.  ',100,2,8),
(326655,90347,'Heals target for 302 - 561',100,3,9),
(326656,90347,'Inflicts 619 - 928 heat damage on target',100,2,10),
(326657,90347,'Cannot be modified except by direct means',100,2,11),
(326658,90347,'Cannot be modified except by direct means',100,1,12),
(326659,10090347,'Applies Wrath''s Blessing when Activated.',100,0,0),
(326660,10090347,'Grants a healer ally bonus healing based on your last direct damage spell amount. This bonus changes every time you cast a damage spell.',100,1,1),
(326661,10090347,'The casting time of Wrath''s Blessing is 2.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(326662,10090347,'When Equipped:',100,0,3),
(326663,10090347,'Improves the damage of hostile spells by 10% of the fury''s wisdom.',100,1,4),
(326664,10090347,'Improves the fury''s heals by 10% of their wisdom.',100,1,5),
(326665,10090347,'When Equipped:',100,0,6),
(326666,10090347,'On a hostile spell cast this spell has a 12% chance to cast Nature''s Wrath on target of spell.  Lasts for 10.0 seconds.  ',100,1,7),
(326667,10090347,'On a hit this spell will cast Nature''s Soothing on target of attack.  ',100,2,8),
(326668,10090347,'Heals target for 196 - 365',100,3,9),
(326669,10090347,'Inflicts 804 - 1207 heat damage on target',100,2,10),
(326670,10090347,'Cannot be modified except by direct means',100,2,11),
(326671,10090347,'Cannot be modified except by direct means',100,1,12),
(326672,55369,'When Equipped:',100,0,0),
(326673,55369,'This effect will not stack with any rank or tier of itself.',100,1,1),
(326674,55369,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(326675,55369,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,3),
(326676,55369,'Inflicts 201 - 222 piercing damage on target',100,3,4),
(326677,55369,'Must not be engaged in pvp combat',100,3,5),
(326678,55369,'Cannot be modified except by direct means',100,3,6),
(326679,55369,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,7),
(326680,55369,'Must not be engaged in pvp combat',100,2,8),
(326681,55369,'Cannot be modified except by direct means',100,2,9),
(326682,55369,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(326683,55369,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,11),
(326684,55369,'Inflicts 201 - 222 piercing damage on target',100,3,12),
(326685,55369,'Must not be engaged in pvp combat',100,3,13),
(326686,55369,'Cannot be modified except by direct means',100,3,14),
(326687,55369,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,15),
(326688,55369,'Must not be engaged in pvp combat',100,2,16),
(326689,55369,'Cannot be modified except by direct means',100,2,17),
(326690,55369,'Cannot be modified except by direct means',100,1,18),
(326691,10055369,'When Equipped:',100,0,0),
(326692,10055369,'This effect will not stack with any rank or tier of itself.',100,1,1),
(326693,10055369,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(326694,10055369,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,3),
(326695,10055369,'Inflicts 261 - 289 piercing damage on target',100,3,4),
(326696,10055369,'Must not be engaged in pvp combat',100,3,5),
(326697,10055369,'Cannot be modified except by direct means',100,3,6),
(326698,10055369,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,7),
(326699,10055369,'Must not be engaged in pvp combat',100,2,8),
(326700,10055369,'Cannot be modified except by direct means',100,2,9),
(326701,10055369,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(326702,10055369,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,11),
(326703,10055369,'Inflicts 261 - 289 piercing damage on target',100,3,12),
(326704,10055369,'Must not be engaged in pvp combat',100,3,13),
(326705,10055369,'Cannot be modified except by direct means',100,3,14),
(326706,10055369,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,15),
(326707,10055369,'Must not be engaged in pvp combat',100,2,16),
(326708,10055369,'Cannot be modified except by direct means',100,2,17),
(326709,10055369,'Cannot be modified except by direct means',100,1,18),
(326710,112435,'Mesmerizes target',100,1,0),
(326711,112435,'Prevents AOE (except when direct) ',100,1,1),
(326712,112435,'Dispelled when target takes damage',100,1,2),
(326713,112435,'Does not affect Epic targets',100,1,3),
(326714,112435,'Resistibility increases against targets higher than level 67.',100,1,4),
(326715,10112435,'Mesmerizes target',100,1,0),
(326716,10112435,'Prevents AOE (except when direct) ',100,1,1),
(326717,10112435,'Dispelled when target takes damage',100,1,2),
(326718,10112435,'Does not affect Epic targets',100,1,3),
(326719,10112435,'Resistibility increases against targets higher than level 67.',100,1,4),
(326720,124489,'Heals group members (AE) for 581 - 711',100,1,0),
(326721,10124489,'Heals group members (AE) for 680 - 831',100,1,0),
(326722,36129,'Increases STR of target by 4.3',100,0,0),
(326723,36129,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(326724,88172,'When Equipped:',100,0,0),
(326725,88172,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(326726,10088172,'When Equipped:',100,0,0),
(326727,10088172,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(326728,177522,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(326729,177522,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(326730,177522,'Inflicts 21 heat damage on target',100,2,2),
(326731,177522,'Cannot be modified except by direct means',100,2,3),
(326732,10177522,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(326733,10177522,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(326734,10177522,'Inflicts 27 heat damage on target',100,2,2),
(326735,10177522,'Cannot be modified except by direct means',100,2,3),
(326736,113993,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(326737,113993,'Inflicts 58 - 96 melee damage on target',100,2,1),
(326738,113993,'Increases Threat to target by 300 ',100,2,2),
(326739,10113993,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(326740,10113993,'Inflicts 75 - 125 melee damage on target',100,2,1),
(326741,72115,'Applies Astral Blessing when Equipped.',100,0,0),
(326742,72115,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326743,72115,'Heals target for 440 instantly and every second',100,2,2),
(326744,72115,'Cannot be modified except by direct means',100,2,3),
(326745,72115,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(326746,72115,'Heals caster for 440 instantly and every second',100,2,5),
(326747,72115,'Cannot be modified except by direct means',100,2,6),
(326748,72115,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(326749,72115,'Heals caster for 440 instantly and every second',100,2,8),
(326750,72115,'Cannot be modified except by direct means',100,2,9),
(326751,10072115,'Applies Astral Blessing when Equipped.',100,0,0),
(326752,10072115,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326753,10072115,'Heals target for 514 instantly and every second',100,2,2),
(326754,10072115,'Cannot be modified except by direct means',100,2,3),
(326755,10072115,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,4),
(326756,10072115,'Heals caster for 514 instantly and every second',100,2,5),
(326757,10072115,'Cannot be modified except by direct means',100,2,6),
(326758,10072115,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(326759,10072115,'Heals caster for 514 instantly and every second',100,2,8),
(326760,10072115,'Cannot be modified except by direct means',100,2,9),
(326761,75499,'When Equipped:',100,0,0),
(326762,75499,'On a critical healing spell cast this spell may cast Shielding Ripple VII on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326763,75499,'Heals target for 504 - 557 instantly and every 2 seconds',100,2,2),
(326764,75499,'Wards target against 625 points of all damage',100,2,3),
(326765,75499,'Must not be engaged in pvp combat',100,2,4),
(326766,75499,'Cannot be modified except by direct means',100,2,5),
(326767,75499,'Must not be engaged in pvp combat',100,1,6),
(326768,10075499,'When Equipped:',100,0,0),
(326769,10075499,'On a critical healing spell cast this spell may cast Shielding Ripple VII on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326770,10075499,'Heals target for 328 - 362 instantly and every 2 seconds',100,2,2),
(326771,10075499,'Wards target against 625 points of all damage',100,2,3),
(326772,10075499,'Must not be engaged in pvp combat',100,2,4),
(326773,10075499,'Cannot be modified except by direct means',100,2,5),
(326774,10075499,'Must not be engaged in pvp combat',100,1,6),
(326775,110067,'Summons a pet grim sorcerer',100,1,0),
(326776,10110067,'Summons a pet grim sorcerer',100,1,0),
(326777,104126,'Roots target',100,1,0),
(326778,104126,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(326779,104126,'Slows target by 27.6%',100,2,2),
(326780,104126,'Makes target afraid',100,2,3),
(326781,104126,'30% chance to dispel when target takes damage',100,2,4),
(326782,104126,'Resistibility increases against targets higher than level 76.',100,2,5),
(326783,104126,'15% chance to dispel when target takes damage',100,1,6),
(326784,104126,'Does not affect Epic targets',100,1,7),
(326785,104126,'Resistibility increases against targets higher than level 76.',100,1,8),
(326786,10104126,'Roots target',100,1,0),
(326787,10104126,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(326788,10104126,'Slows target by 27.6%',100,2,2),
(326789,10104126,'Makes target afraid',100,2,3),
(326790,10104126,'30% chance to dispel when target takes damage',100,2,4),
(326791,10104126,'Resistibility increases against targets higher than level 76.',100,2,5),
(326792,10104126,'15% chance to dispel when target takes damage',100,1,6),
(326793,10104126,'Does not affect Epic targets',100,1,7),
(326794,10104126,'Resistibility increases against targets higher than level 76.',100,1,8),
(326795,112520,'Interrupts target',50,1,0),
(326796,112520,'Inflicts 12 - 15 divine damage on target',100,1,1),
(326797,10112520,'Interrupts target',50,1,0),
(326798,10112520,'Inflicts 21 - 25 divine damage on target',100,1,1),
(326799,48080,'Applies Sky Lure when Activated.',100,0,0),
(326800,48080,'Listen for the sound of leathery wings flapping.',100,1,1),
(326801,10048080,'Applies Sky Lure when Activated.',100,0,0),
(326802,10048080,'Listen for the sound of leathery wings flapping.',100,1,1),
(326803,45016,'Applies Create Medal when Activated.',100,0,0),
(326804,45016,'Summon 1 Award of Commendation',100,1,1),
(326805,10045016,'Applies Create Medal when Activated.',100,0,0),
(326806,10045016,'Summon 1 Award of Commendation',100,1,1),
(326807,105039,'Increases WIS of raid and group members (AE) by 44.9',100,1,0),
(326808,105039,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(326809,105039,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 169',100,1,2),
(326810,10105039,'Increases WIS of raid and group members (AE) by 44.9',100,1,0),
(326811,10105039,'Increases heal amounts of raid members by 3.44%.',100,1,1),
(326812,10105039,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 169',100,1,2),
(326813,175642,'When Equipped:',100,0,0),
(326814,175642,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326815,175642,'Increases Potency of group members by 9.0%',100,2,2),
(326816,175642,'Cannot be modified except by direct means',100,2,3),
(326817,175642,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(326818,175642,'Increases Potency of group members by 9.0%',100,2,5),
(326819,175642,'Cannot be modified except by direct means',100,2,6),
(326820,175642,'Cannot be modified except by direct means',100,1,7),
(326821,10175642,'When Equipped:',100,0,0),
(326822,10175642,'On a hostile spell cast this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(326823,10175642,'Increases Potency of group members by 9.0%',100,2,2),
(326824,10175642,'Cannot be modified except by direct means',100,2,3),
(326825,10175642,'On a combat hit this spell may cast King''s Legacy on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(326826,10175642,'Increases Potency of group members by 9.0%',100,2,5),
(326827,10175642,'Cannot be modified except by direct means',100,2,6),
(326828,10175642,'Cannot be modified except by direct means',100,1,7),
(326829,74583,'When Equipped:',100,0,0),
(326830,74583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326831,74583,'Inflicts 135 - 203 magic damage on target',100,2,2),
(326832,74583,'Cannot be modified except by direct means',100,2,3),
(326833,10074583,'When Equipped:',100,0,0),
(326834,10074583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326835,10074583,'Inflicts 176 - 264 magic damage on target',100,2,2),
(326836,10074583,'Cannot be modified except by direct means',100,2,3),
(326837,104952,'Inflicts 478 - 797 melee damage on target',100,1,0),
(326838,104952,'Decreases Defense of target by 28.7',100,1,1),
(326839,104952,'Must be behind',100,1,2),
(326840,10104952,'Inflicts 622 - 1036 melee damage on target',100,1,0),
(326841,10104952,'Decreases Defense of target by 28.7',100,1,1),
(326842,10104952,'Must be behind',100,1,2),
(326843,112198,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(326844,112198,'Inflicts 1 disease damage on target',100,2,1),
(326845,112198,'Increases Threat to target by 2 ',100,2,2),
(326846,112198,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 48',100,1,3),
(326847,10112198,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(326848,10112198,'Inflicts 2 disease damage on target',100,2,1),
(326849,10112198,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 48',100,1,2),
(326850,119010,'Heals target for 1538 - 1880',100,1,0),
(326851,10119010,'Heals target for 1636 - 2000',100,1,0),
(326852,182616,'When Equipped:',100,0,0),
(326853,182616,'On a healing spell cast this spell may cast Compressed Anima on target of spell cast.  Triggers about 1.0 times per minute. ',100,1,1),
(326854,182616,'Summon 1 Compressed Anima',100,2,2),
(326855,182616,'Cannot be modified except by direct means',100,2,3),
(326856,10182616,'When Equipped:',100,0,0),
(326857,10182616,'On a healing spell cast this spell may cast Compressed Anima on target of spell cast.  Triggers about 1.0 times per minute. ',100,1,1),
(326858,10182616,'Summon 1 Compressed Anima',100,2,2),
(326859,10182616,'Cannot be modified except by direct means',100,2,3),
(326860,117982,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(326861,117982,'Increases Attack Speed of target by 14.0',100,2,1),
(326862,117982,'Increases Damage Per Second of target by 14.0',100,2,2),
(326863,117982,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(326864,117982,'Increases Attack Speed of target by 14.0',100,2,4),
(326865,117982,'Increases Damage Per Second of target by 14.0',100,2,5),
(326866,117982,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(326867,117982,'Increases Attack Speed of target by 14.0',100,2,7),
(326868,117982,'Increases Damage Per Second of target by 14.0',100,2,8),
(326869,10117982,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(326870,10117982,'Increases Attack Speed of target by 14.0',100,2,1),
(326871,10117982,'Increases Damage Per Second of target by 14.0',100,2,2),
(326872,10117982,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(326873,10117982,'Increases Attack Speed of target by 14.0',100,2,4),
(326874,10117982,'Increases Damage Per Second of target by 14.0',100,2,5),
(326875,10117982,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(326876,10117982,'Increases Attack Speed of target by 14.0',100,2,7),
(326877,10117982,'Increases Damage Per Second of target by 14.0',100,2,8),
(326878,115201,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(326879,115201,'Decreases Mitigation of target vs noxious damage by 149',100,2,1),
(326880,115201,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(326881,115201,'Decreases Mitigation of target vs noxious damage by 149',100,2,3),
(326882,10115201,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(326883,10115201,'Decreases Mitigation of target vs noxious damage by 149',100,2,1),
(326884,10115201,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(326885,10115201,'Decreases Mitigation of target vs noxious damage by 149',100,2,3),
(326886,36617,'Increases STA of target by 1.1',100,0,0),
(326887,36617,'Increases Out-of-Combat Health Regeneration of target by 11.0',100,0,1),
(326888,144699,'When Equipped:',100,0,0),
(326889,144699,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(326890,144699,'Heals group members (AE) for 580',100,2,2),
(326891,144699,'Cannot be modified except by direct means',100,2,3),
(326892,10144699,'When Equipped:',100,0,0),
(326893,10144699,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(326894,10144699,'Heals group members (AE) for 679',100,2,2),
(326895,10144699,'Cannot be modified except by direct means',100,2,3),
(326896,111268,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(326897,111268,'Heals target for 1203',100,2,1),
(326898,111268,'Increases Mitigation of target vs physical damage by 759',100,2,2),
(326899,111268,'Grants a total of 1 trigger of the spell.',100,2,3),
(326900,10111268,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(326901,10111268,'Heals target for 782',100,2,1),
(326902,10111268,'Increases Mitigation of target vs physical damage by 759',100,2,2),
(326903,10111268,'Grants a total of 1 trigger of the spell.',100,2,3),
(326904,123365,'Heals group members (AE) for 344 - 420',100,1,0),
(326905,10123365,'Heals group members (AE) for 418 - 511',100,1,0),
(326906,113347,'Inflicts 340 - 416 divine damage on target encounter',100,1,0),
(326907,113347,'Interrupts target encounter',100,1,1),
(326908,10113347,'Inflicts 442 - 541 divine damage on target encounter',100,1,0),
(326909,10113347,'Interrupts target encounter',100,1,1),
(326910,74997,'When Equipped:',100,0,0),
(326911,74997,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326912,74997,'Inflicts 86 - 129 magic damage on target',100,2,2),
(326913,74997,'Cannot be modified except by direct means',100,2,3),
(326914,10074997,'When Equipped:',100,0,0),
(326915,10074997,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326916,10074997,'Inflicts 112 - 168 magic damage on target',100,2,2),
(326917,10074997,'Cannot be modified except by direct means',100,2,3),
(326918,103114,'Increases STR of caster by 31.0',100,1,0),
(326919,103114,'Adds 2.8% to base avoidance.',100,1,1),
(326920,103114,'Increases Mitigation of caster vs physical damage by 200',100,1,2),
(326921,103114,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 624',100,1,3),
(326922,10103114,'Increases STR of caster by 31.0',100,1,0),
(326923,10103114,'Adds 2.8% to base avoidance.',100,1,1),
(326924,10103114,'Increases Mitigation of caster vs physical damage by 200',100,1,2),
(326925,10103114,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 624',100,1,3),
(326926,108223,'Inflicts 66 - 198 piercing damage on target',100,1,0),
(326927,108223,'Decreases Slashing, Crushing, Piercing and Ranged of target by 12.0',100,1,1),
(326928,10108223,'Inflicts 85 - 257 piercing damage on target',100,1,0),
(326929,10108223,'Decreases Slashing, Crushing, Piercing and Ranged of target by 12.0',100,1,1),
(326930,133824,'When Equipped:',100,0,0),
(326931,133824,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(326932,133824,'When Equipped:',100,0,2),
(326933,133824,'Reduces cast time of all spells by 2 percent.',100,1,3),
(326934,10133824,'When Equipped:',100,0,0),
(326935,10133824,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(326936,10133824,'When Equipped:',100,0,2),
(326937,10133824,'Reduces cast time of all spells by 2 percent.',100,1,3),
(326938,72178,'When Equipped:',100,0,0),
(326939,72178,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(326940,72178,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(326941,72178,'Cannot be modified except by direct means',100,2,3),
(326942,10072178,'When Equipped:',100,0,0),
(326943,10072178,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(326944,10072178,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(326945,10072178,'Cannot be modified except by direct means',100,2,3),
(326946,48963,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(326947,48963,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(326948,48963,'Inflicts 190 poison damage on target instantly and every 6 seconds',100,2,2),
(326949,48963,'Cannot be modified except by direct means',100,2,3),
(326950,48963,'Grants a total of 4 triggers of the spell.',100,2,4),
(326951,10048963,'Applies wave of decomposition when Activated.  Lasts for 12 hours.',100,0,0),
(326952,10048963,'On a combat hit this spell may cast Intense Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(326953,10048963,'Inflicts 186 poison damage on target instantly and every 6 seconds',100,2,2),
(326954,10048963,'Cannot be modified except by direct means',100,2,3),
(326955,10048963,'Grants a total of 4 triggers of the spell.',100,2,4),
(326956,122426,'Sets a trap',100,1,0),
(326957,10122426,'Sets a trap',100,1,0),
(326958,47117,'Applies Aura of Light  when Activated.  Lasts for 15 minutes.',100,0,0),
(326959,47117,'Increases Max Health of caster by 68.8',100,1,1),
(326960,10047117,'Applies Aura of Light  when Activated.  Lasts for 15 minutes.',100,0,0),
(326961,10047117,'Increases Max Health of caster by 68.8',100,1,1),
(326962,35656,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(326963,121796,'Heals target for 338 - 413',100,1,0),
(326964,121796,'Heals target for 56 - 69 every second',100,1,1),
(326965,10121796,'Heals target for 585 - 716',100,1,0),
(326966,10121796,'Heals target for 49 - 60 every second',100,1,1),
(326967,116619,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(326968,116619,'Increases Mitigation of group members (AE) vs arcane damage by 269',100,1,1),
(326969,10116619,'Increases Max Power of group members (AE) by 115.2',100,1,0),
(326970,10116619,'Increases Mitigation of group members (AE) vs arcane damage by 269',100,1,1),
(326971,74942,'When Equipped:',100,0,0),
(326972,74942,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326973,74942,'Inflicts 26 - 40 magic damage on target',100,2,2),
(326974,74942,'Cannot be modified except by direct means',100,2,3),
(326975,10074942,'When Equipped:',100,0,0),
(326976,10074942,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(326977,10074942,'Inflicts 34 - 51 magic damage on target',100,2,2),
(326978,10074942,'Cannot be modified except by direct means',100,2,3),
(326979,114497,'Increases In-Combat Power Regeneration of group members (AE) by 16.6',100,1,0),
(326980,10114497,'Increases In-Combat Power Regeneration of group members (AE) by 16.6',100,1,0),
(326981,123912,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(326982,123912,'Slows target by 54.2%',100,2,1),
(326983,123912,'5% chance to dispel when target receives hostile action',100,2,2),
(326984,123912,'5% chance to dispel when target takes damage',100,2,3),
(326985,123912,'Decreases Mitigation of target vs elemental and noxious damage by 990',100,1,4),
(326986,10123912,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(326987,10123912,'Slows target by 54.2%',100,2,1),
(326988,10123912,'5% chance to dispel when target receives hostile action',100,2,2),
(326989,10123912,'5% chance to dispel when target takes damage',100,2,3),
(326990,10123912,'Decreases Mitigation of target vs elemental and noxious damage by 990',100,1,4),
(326991,106342,'Decreases Mitigation of target vs arcane damage by 240',100,1,0),
(326992,106342,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(326993,106342,'Slows target by 34.5%',100,2,2),
(326994,106342,'5% chance to dispel when target receives hostile action',100,2,3),
(326995,106342,'5% chance to dispel when target takes damage',100,2,4),
(326996,10106342,'Decreases Mitigation of target vs arcane damage by 240',100,1,0),
(326997,10106342,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(326998,10106342,'Slows target by 34.5%',100,2,2),
(326999,10106342,'5% chance to dispel when target receives hostile action',100,2,3),
(327000,10106342,'5% chance to dispel when target takes damage',100,2,4),
(327001,161940,'When Equipped:',100,0,0),
(327002,161940,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(327003,10161940,'When Equipped:',100,0,0),
(327004,10161940,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(327005,112739,'Increases Ability Reuse Speed of target by 40.0%',100,1,0),
(327006,10112739,'Increases Ability Reuse Speed of target by 40.0%',100,1,0),
(327007,175465,'When Equipped:',100,0,0),
(327008,175465,'This effect will not stack with itself.',100,1,1),
(327009,175465,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(327010,175465,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(327011,175465,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(327012,175465,'Increases Ability Recovery Speed of caster by 15.0%',100,2,5),
(327013,175465,'Must not be engaged in pvp combat',100,2,6),
(327014,175465,'Cannot be modified except by direct means',100,2,7),
(327015,175465,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(327016,175465,'Increases Ability Casting Speed of caster by 15.0%',100,2,9),
(327017,175465,'Increases in-combat movement speed of caster by 15.0%',100,2,10),
(327018,175465,'Increases Ability Recovery Speed of caster by 15.0%',100,2,11),
(327019,175465,'Must not be engaged in pvp combat',100,2,12),
(327020,175465,'Cannot be modified except by direct means',100,2,13),
(327021,175465,'Must not be engaged in pvp combat',100,1,14),
(327022,10175465,'When Equipped:',100,0,0),
(327023,10175465,'This effect will not stack with itself.',100,1,1),
(327024,10175465,'On any combat or spell hit this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(327025,10175465,'Increases Ability Casting Speed of caster by 15.0%',100,2,3),
(327026,10175465,'Increases in-combat movement speed of caster by 15.0%',100,2,4),
(327027,10175465,'Increases Ability Recovery Speed of caster by 15.0%',100,2,5),
(327028,10175465,'Must not be engaged in pvp combat',100,2,6),
(327029,10175465,'Cannot be modified except by direct means',100,2,7),
(327030,10175465,'On a healing spell cast this spell may cast Major Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(327031,10175465,'Increases Ability Casting Speed of caster by 15.0%',100,2,9),
(327032,10175465,'Increases in-combat movement speed of caster by 15.0%',100,2,10),
(327033,10175465,'Increases Ability Recovery Speed of caster by 15.0%',100,2,11),
(327034,10175465,'Must not be engaged in pvp combat',100,2,12),
(327035,10175465,'Cannot be modified except by direct means',100,2,13),
(327036,10175465,'Must not be engaged in pvp combat',100,1,14),
(327037,118092,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(327038,10118092,'Dispels 59 levels of any hostile effects on group members (AE)',100,1,0),
(327039,87142,'When Equipped:',100,0,0),
(327040,87142,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327041,87142,'Inflicts 51 - 76 magic damage on target',100,2,2),
(327042,87142,'Cannot be modified except by direct means',100,2,3),
(327043,10087142,'When Equipped:',100,0,0),
(327044,10087142,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327045,10087142,'Inflicts 66 - 99 magic damage on target',100,2,2),
(327046,10087142,'Cannot be modified except by direct means',100,2,3),
(327047,71763,'When Equipped:',100,0,0),
(327048,71763,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327049,71763,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(327050,71763,'Cannot be modified except by direct means',100,2,3),
(327051,10071763,'When Equipped:',100,0,0),
(327052,10071763,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327053,10071763,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(327054,10071763,'Cannot be modified except by direct means',100,2,3),
(327055,159909,'Applies Lambent Imbued when Equipped.',100,0,0),
(327056,159909,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(327057,159909,'Heals target for 35 instantly and every 4 seconds',100,2,2),
(327058,159909,'Cannot be modified except by direct means',100,2,3),
(327059,10159909,'Applies Lambent Imbued when Equipped.',100,0,0),
(327060,10159909,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(327061,10159909,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(327062,10159909,'Cannot be modified except by direct means',100,2,3),
(327063,144682,'When Equipped:',100,0,0),
(327064,144682,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327065,144682,'Decreases power of target by 134',100,2,2),
(327066,144682,'Increases power of caster by 89',100,2,3),
(327067,144682,'Cannot be modified except by direct means',100,2,4),
(327068,10144682,'When Equipped:',100,0,0),
(327069,10144682,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327070,10144682,'Decreases power of target by 134',100,2,2),
(327071,10144682,'Increases power of caster by 89',100,2,3),
(327072,10144682,'Cannot be modified except by direct means',100,2,4),
(327073,50761,'When Equipped:',100,0,0),
(327074,50761,'Additional equipment with Void Bane improves this effect.',100,1,1),
(327075,50761,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(327076,50761,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(327077,50761,'If any of the following are true:',100,3,4),
(327078,50761,'Must be classified as a void beast',100,4,5),
(327079,50761,'Must be classified as a shadowed folk',100,4,6),
(327080,50761,'Inflicts 516 mental damage on target',100,2,7),
(327081,50761,'Must not be classified as a void beast',100,3,8),
(327082,50761,'Must not be classified as a shadowed folk',100,3,9),
(327083,50761,'Inflicts 1031 mental damage on target',100,2,10),
(327084,50761,'If any of the following are true:',100,3,11),
(327085,50761,'Must be classified as a void beast',100,4,12),
(327086,50761,'Must be classified as a shadowed folk',100,4,13),
(327087,50761,'Cannot be modified except by direct means',100,2,14),
(327088,10050761,'When Equipped:',100,0,0),
(327089,10050761,'Additional equipment with Void Bane improves this effect.',100,1,1),
(327090,10050761,'On any combat or spell hit this spell may cast Greater Void Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(327091,10050761,'Decreases Mitigation of target vs arcane damage by 747',100,2,3),
(327092,10050761,'If any of the following are true:',100,3,4),
(327093,10050761,'Must be classified as a void beast',100,4,5),
(327094,10050761,'Must be classified as a shadowed folk',100,4,6),
(327095,10050761,'Inflicts 670 mental damage on target',100,2,7),
(327096,10050761,'Must not be classified as a void beast',100,3,8),
(327097,10050761,'Must not be classified as a shadowed folk',100,3,9),
(327098,10050761,'Inflicts 1341 mental damage on target',100,2,10),
(327099,10050761,'If any of the following are true:',100,3,11),
(327100,10050761,'Must be classified as a void beast',100,4,12),
(327101,10050761,'Must be classified as a shadowed folk',100,4,13),
(327102,10050761,'Cannot be modified except by direct means',100,2,14),
(327103,112304,'Inflicts 86 - 105 disease damage on target',100,1,0),
(327104,112304,'Inflicts 43 - 52 disease damage on target every 3 seconds',100,1,1),
(327105,112304,'Increases Threat to target by 777 - 950  instantly and by 146 - 178  every 3 seconds thereafter',100,1,2),
(327106,10112304,'Inflicts 56 - 68 disease damage on target every 3 seconds',100,1,0),
(327107,10112304,'Forces target to change their selected target to caster instantly and every 3 seconds.',100,1,1),
(327108,82533,'When Equipped:',100,0,0),
(327109,82533,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327110,82533,'Inflicts 70 - 130 magic damage on target',100,2,2),
(327111,82533,'Cannot be modified except by direct means',100,2,3),
(327112,10082533,'When Equipped:',100,0,0),
(327113,10082533,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327114,10082533,'Inflicts 91 - 169 magic damage on target',100,2,2),
(327115,10082533,'Cannot be modified except by direct means',100,2,3),
(327116,103035,'Inflicts 151 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(327117,103035,'Inflicts 56 - 94 melee damage on target',100,1,1),
(327118,10103035,'Inflicts 196 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(327119,10103035,'Inflicts 73 - 122 melee damage on target',100,1,1),
(327120,110042,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(327121,110042,'Inflicts 222 - 370 disease damage on target',100,2,1),
(327122,110042,'Heals caster for 1.6 - 2.7% of max health',100,2,2),
(327123,110042,'This effect cannot be critically applied.',100,3,3),
(327124,110042,'The healing of this spell cannot be modified except by direct means',100,2,4),
(327125,10110042,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(327126,10110042,'Inflicts 289 - 481 disease damage on target',100,2,1),
(327127,10110042,'Heals caster for 0.5 - 0.8% of max health',100,2,2),
(327128,10110042,'This effect cannot be critically applied.',100,3,3),
(327129,10110042,'The healing of this spell cannot be modified except by direct means',100,2,4),
(327130,45110,'Applies Leash when Activated.',100,0,0),
(327131,10045110,'Applies Leash when Activated.',100,0,0),
(327132,114620,'Decreases WIS of target by 15.9',100,1,0),
(327133,114620,'Inflicts 117 - 195 melee damage on target',100,1,1),
(327134,114620,'You must be sneaking to use this ability.',100,1,2),
(327135,10114620,'Decreases WIS of target by 15.9',100,1,0),
(327136,10114620,'Inflicts 152 - 253 melee damage on target',100,1,1),
(327137,10114620,'You must be sneaking to use this ability.',100,1,2),
(327138,41491,'When Equipped:',100,0,0),
(327139,41491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327140,41491,'Inflicts 136 - 252 magic damage on target',100,2,2),
(327141,41491,'Cannot be modified except by direct means',100,2,3),
(327142,10041491,'When Equipped:',100,0,0),
(327143,10041491,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327144,10041491,'Inflicts 177 - 328 magic damage on target',100,2,2),
(327145,10041491,'Cannot be modified except by direct means',100,2,3),
(327146,123336,'Increases STA of raid and group members (AE) by 69.0',100,1,0),
(327147,123336,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(327148,10123336,'Increases STA of raid and group members (AE) by 69.0',100,1,0),
(327149,10123336,'Increase spell damage of group and raid members by 4.38%.',100,1,1),
(327150,107371,'Decreases Ability Casting Speed of targets in Area of Effect by 30.0%',100,1,0),
(327151,107371,'Inflicts 71 - 87 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(327152,10107371,'Decreases Ability Casting Speed of targets in Area of Effect by 30.0%',100,1,0),
(327153,10107371,'Inflicts 92 - 113 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(327154,101586,'Inflicts 112 - 186 melee damage on targets in area',100,1,0),
(327155,10101586,'Inflicts 145 - 242 melee damage on targets in area',100,1,0),
(327156,120667,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 28.3',100,1,0),
(327157,120667,'Increases Focus of group members (AE) by 56.6',100,1,1),
(327158,10120667,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 28.3',100,1,0),
(327159,10120667,'Increases Focus of group members (AE) by 56.6',100,1,1),
(327160,115087,'Heals target for 367 - 449',100,1,0),
(327161,115087,'Heals target for 47 - 58 every second',100,1,1),
(327162,10115087,'Heals target for 682 - 834',100,1,0),
(327163,10115087,'Heals target for 51 - 63 every second',100,1,1),
(327164,169349,'When Equipped:',100,0,0),
(327165,169349,'Increases Attack Speed of caster by 35.0',100,1,1),
(327166,10169349,'When Equipped:',100,0,0),
(327167,10169349,'Increases Attack Speed of caster by 35.0',100,1,1),
(327168,88989,'When Equipped:',100,0,0),
(327169,88989,'On a combat hit this spell may cast Thunderquake on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327170,88989,'Stuns target',100,2,2),
(327171,88989,'Inflicts 304 magic damage on target',100,2,3),
(327172,88989,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(327173,88989,'Cannot be modified except by direct means',100,2,5),
(327174,10088989,'When Equipped:',100,0,0),
(327175,10088989,'On a combat hit this spell may cast Thunderquake on target of attack.  Lasts for 5.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327176,10088989,'Stuns target',100,2,2),
(327177,10088989,'Inflicts 396 magic damage on target',100,2,3),
(327178,10088989,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,2,4),
(327179,10088989,'Cannot be modified except by direct means',100,2,5),
(327180,24205,'Adds Crushbone: Orcish Grog to your Dungeon Maker toolbox',100,0,0),
(327181,10024205,'Adds Crushbone: Orcish Grog to your Dungeon Maker toolbox',100,0,0),
(327182,105222,'Decreases STR and INT of target by 52.2',100,1,0),
(327183,105222,'Only affects targets level 20 and above',100,1,1),
(327184,10105222,'Decreases STR and INT of target by 52.2',100,1,0),
(327185,10105222,'Only affects targets level 20 and above',100,1,1),
(327186,120877,'Stifles target',100,1,0),
(327187,120877,'Inflicts 81 - 99 mental damage on target',100,1,1),
(327188,120877,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(327189,120877,'Resistibility increases against targets higher than level 45.',100,1,3),
(327190,10120877,'Stifles target',100,1,0),
(327191,10120877,'Inflicts 105 - 129 mental damage on target',100,1,1),
(327192,10120877,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(327193,10120877,'Resistibility increases against targets higher than level 45.',100,1,3),
(327194,40301,'When Equipped:',100,0,0),
(327195,40301,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327196,40301,'Decreases power of target by 95',100,2,2),
(327197,40301,'Increases power of caster by 147',100,2,3),
(327198,40301,'Cannot be modified except by direct means',100,2,4),
(327199,10040301,'When Equipped:',100,0,0),
(327200,10040301,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327201,10040301,'Decreases power of target by 95',100,2,2),
(327202,10040301,'Increases power of caster by 147',100,2,3),
(327203,10040301,'Cannot be modified except by direct means',100,2,4),
(327204,110204,'Interrupts target',100,1,0),
(327205,110204,'Inflicts 73 - 121 crushing damage on target',100,1,1),
(327206,10110204,'Interrupts target',100,1,0),
(327207,10110204,'Inflicts 95 - 158 crushing damage on target',100,1,1),
(327208,121289,'Inflicts 77 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(327209,121289,'Inflicts 255 - 425 melee damage on targets in area',100,1,1),
(327210,121289,'You must be in stealth or have Bloody Assault.',100,1,2),
(327211,10121289,'Inflicts 101 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(327212,10121289,'Inflicts 331 - 553 melee damage on targets in area',100,1,1),
(327213,10121289,'You must be in stealth or have Bloody Assault.',100,1,2),
(327214,101850,'Summons a limited pet to aid the caster',100,1,0),
(327215,10101850,'Summons a limited pet to aid the caster',100,1,0),
(327216,122021,'Inflicts 7 - 13 melee damage on target',100,1,0),
(327217,122021,'Increases Threat to target by 64 - 78 ',100,1,1),
(327218,10122021,'Inflicts 10 - 17 melee damage on target',100,1,0),
(327219,172790,'When Equipped:',100,0,0),
(327220,172790,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(327221,172790,'When Equipped:',100,0,2),
(327222,172790,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,3),
(327223,172790,'Decreases power of target by 201',100,2,4),
(327224,172790,'Increases power of caster by 108',100,2,5),
(327225,172790,'Cannot be modified except by direct means',100,2,6),
(327226,10172790,'When Equipped:',100,0,0),
(327227,10172790,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(327228,10172790,'When Equipped:',100,0,2),
(327229,10172790,'On a hostile spell hit this spell may cast Soulsiphon on target of spell.  Triggers about 1.6 times per minute. ',100,1,3),
(327230,10172790,'Decreases power of target by 201',100,2,4),
(327231,10172790,'Increases power of caster by 108',100,2,5),
(327232,10172790,'Cannot be modified except by direct means',100,2,6),
(327233,121469,'Increases AGI of caster by 155.8',100,1,0),
(327234,121469,'Adds 25.0% to base avoidance.',100,1,1),
(327235,121469,'Increases Mitigation of caster vs physical damage by 1513',100,1,2),
(327236,121469,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,3),
(327237,10121469,'Increases AGI of caster by 155.8',100,1,0),
(327238,10121469,'Adds 25.0% to base avoidance.',100,1,1),
(327239,10121469,'Increases Mitigation of caster vs physical damage by 1513',100,1,2),
(327240,10121469,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',100,1,3),
(327241,185761,'When Equipped:',100,0,0),
(327242,185761,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327243,185761,'Increases INT of caster by 22.7',100,2,2),
(327244,185761,'Increases Focus, Disruption and Subjugation of caster by 12.4',100,2,3),
(327245,185761,'Cannot be modified except by direct means',100,2,4),
(327246,10185761,'When Equipped:',100,0,0),
(327247,10185761,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327248,10185761,'Increases INT of caster by 22.7',100,2,2),
(327249,10185761,'Increases Focus, Disruption and Subjugation of caster by 12.4',100,2,3),
(327250,10185761,'Cannot be modified except by direct means',100,2,4),
(327251,109333,'Increases STR of caster by 75.2',100,1,0),
(327252,109333,'Decreases Defense of caster by 13.2',100,1,1),
(327253,109333,'Increases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(327254,10109333,'Increases STR of caster by 75.2',100,1,0),
(327255,10109333,'Decreases Defense of caster by 13.2',100,1,1),
(327256,10109333,'Increases Slashing, Piercing and Crushing of caster by 21.8',100,1,2),
(327257,111696,'Inflicts 389 - 476 cold damage on target',100,1,0),
(327258,111696,'Inflicts 389 - 476 cold damage on target',100,1,1),
(327259,111696,'If target is elemental',100,2,2),
(327260,10111696,'Inflicts 434 - 530 cold damage on target',100,1,0),
(327261,36660,'Increases AGI of target by 0.6',100,0,0),
(327262,36660,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,1),
(327263,106350,'Decreases Mitigation of target vs arcane damage by 888',100,1,0),
(327264,106350,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(327265,106350,'Slows target by 44.9%',100,2,2),
(327266,106350,'5% chance to dispel when target receives hostile action',100,2,3),
(327267,106350,'5% chance to dispel when target takes damage',100,2,4),
(327268,10106350,'Decreases Mitigation of target vs arcane damage by 888',100,1,0),
(327269,10106350,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(327270,10106350,'Slows target by 44.9%',100,2,2),
(327271,10106350,'5% chance to dispel when target receives hostile action',100,2,3),
(327272,10106350,'5% chance to dispel when target takes damage',100,2,4),
(327273,72139,'When Equipped:',100,0,0),
(327274,72139,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327275,72139,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(327276,72139,'Cannot be modified except by direct means',100,2,3),
(327277,10072139,'When Equipped:',100,0,0),
(327278,10072139,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327279,10072139,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(327280,10072139,'Cannot be modified except by direct means',100,2,3),
(327281,35143,'Increases AGI of target by 2.4',100,0,0),
(327282,35143,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(327283,46224,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(327284,46224,'Increases Max Health of caster by 225.8',100,1,1),
(327285,10046224,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(327286,10046224,'Increases Max Health of caster by 225.8',100,1,1),
(327287,105484,'Stuns target encounter',100,1,0),
(327288,105484,'If Target is not Epic',100,2,1),
(327289,105484,'Inflicts 402 - 747 poison damage on target encounter',100,1,2),
(327290,105484,'Resistibility increases against targets higher than level 79.',100,1,3),
(327291,10105484,'Stuns target encounter',100,1,0),
(327292,10105484,'If Target is not Epic',100,2,1),
(327293,10105484,'Inflicts 523 - 971 poison damage on target encounter',100,1,2),
(327294,10105484,'Resistibility increases against targets higher than level 79.',100,1,3),
(327295,80293,'When Equipped:',100,0,0),
(327296,80293,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(327297,80293,'Inflicts 56 - 103 magic damage on target',100,2,2),
(327298,80293,'Decreases Threat to target by 236 ',100,2,3),
(327299,80293,'Must be flanking or behind',100,3,4),
(327300,80293,'Increases Threat to target by 236 ',100,2,5),
(327301,80293,'Must be in front of',100,3,6),
(327302,80293,'Cannot be modified except by direct means',100,2,7),
(327303,10080293,'When Equipped:',100,0,0),
(327304,10080293,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(327305,10080293,'Inflicts 72 - 134 magic damage on target',100,2,2),
(327306,10080293,'Cannot be modified except by direct means',100,2,3),
(327307,117659,'Decreases Mitigation of target vs physical damage by 132',100,1,0),
(327308,10117659,'Decreases Mitigation of target vs physical damage by 66',100,1,0),
(327309,51679,'When Equipped:',100,0,0),
(327310,51679,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(327311,51679,'Increases power of target by 16',100,2,2),
(327312,51679,'Cannot be modified except by direct means',100,2,3),
(327313,10051679,'When Equipped:',100,0,0),
(327314,10051679,'When any damage is received this spell has a 5% chance to cast Tranquil Breeze on caster.  ',100,1,1),
(327315,10051679,'Increases power of target by 16',100,2,2),
(327316,10051679,'Cannot be modified except by direct means',100,2,3),
(327317,118333,'Inflicts 30 - 50 melee damage on target',100,1,0),
(327318,118333,'Inflicts 30 - 51 heat damage on target every 4 seconds',100,1,1),
(327319,10118333,'Inflicts 39 - 65 melee damage on target',100,1,0),
(327320,10118333,'Inflicts 40 - 66 heat damage on target every 4 seconds',100,1,1),
(327321,45080,'Applies Return to Splitpaw when Activated.',100,0,0),
(327322,45080,'Teleports caster to a random zone location',100,1,1),
(327323,45080,'This effect cannot be cast during combat',100,1,2),
(327324,10045080,'Applies Return to Splitpaw when Activated.',100,0,0),
(327325,10045080,'Teleports caster to a random zone location',100,1,1),
(327326,10045080,'This effect cannot be cast during combat',100,1,2),
(327327,117625,'Inflicts 472 - 786 ranged damage on target',100,1,0),
(327328,117625,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(327329,117625,'Slows target by 39.3%',100,2,2),
(327330,117625,'5% chance to dispel when target receives hostile action',100,2,3),
(327331,117625,'5% chance to dispel when target takes damage',100,2,4),
(327332,117625,'Must be flanking or behind',100,1,5),
(327333,117625,'Requires bow',100,1,6),
(327334,10117625,'Inflicts 354 - 590 ranged damage on target',100,1,0),
(327335,10117625,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(327336,10117625,'Slows target by 39.3%',100,2,2),
(327337,10117625,'5% chance to dispel when target receives hostile action',100,2,3),
(327338,10117625,'5% chance to dispel when target takes damage',100,2,4),
(327339,10117625,'Must be flanking or behind',100,1,5),
(327340,10117625,'Requires bow',100,1,6),
(327341,109483,'Inflicts 196 - 327 cold damage on target',100,1,0),
(327342,10109483,'Inflicts 255 - 425 cold damage on target',100,1,0),
(327343,36029,'Increases WIS of target by 12.7',100,0,0),
(327344,36029,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(327345,108953,'Increases INT of group members (AE) by 57.4',100,1,0),
(327346,108953,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 22.2',100,1,1),
(327347,10108953,'Increases INT of group members (AE) by 57.4',100,1,0),
(327348,10108953,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 22.2',100,1,1),
(327349,123729,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(327350,10123729,'Dispels 76 levels of any hostile effects on group members (AE)',100,1,0),
(327351,123002,'Wards group members (AE) collectively against 1049 total points of all damage',100,1,0),
(327352,10123002,'Wards group members (AE) collectively against 1562 total points of all damage',100,1,0),
(327353,27439,'When Equipped:',100,0,0),
(327354,27439,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(327355,27439,'On a spell cast this spell may cast Steadfast Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(327356,27439,'Makes caster immune to Stun effects',100,2,3),
(327357,27439,'Must not be engaged in pvp combat',100,2,4),
(327358,27439,'Cannot be modified except by direct means',100,2,5),
(327359,27439,'Must not be engaged in pvp combat',100,1,6),
(327360,10027439,'When Equipped:',100,0,0),
(327361,10027439,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(327362,10027439,'On a spell cast this spell may cast Steadfast Defiance on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(327363,10027439,'Makes caster immune to Stun effects',100,2,3),
(327364,10027439,'Must not be engaged in pvp combat',100,2,4),
(327365,10027439,'Cannot be modified except by direct means',100,2,5),
(327366,10027439,'Must not be engaged in pvp combat',100,1,6),
(327367,122268,'Decreases Threat to targets in Area of Effect by 1,152 ',100,1,0),
(327368,122268,'Makes targets in Area of Effect afraid',100,1,1),
(327369,122268,'If Target is not Epic',100,2,2),
(327370,122268,'30% chance to dispel when target takes damage',100,1,3),
(327371,10122268,'Applies Distract.',100,1,0),
(327372,10122268,'Forces target to clear their selected target.',100,2,1),
(327373,10122268,'Makes targets in Area of Effect afraid',100,1,2),
(327374,10122268,'If Target is not Epic',100,2,3),
(327375,10122268,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(327376,10122268,'30% chance to dispel when target takes damage',100,1,5),
(327377,106659,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(327378,106659,'Increases Mitigation of caster vs physical damage by 297',100,2,1),
(327379,106659,'Decreases Mitigation of target encounter vs physical damage by 1782',100,1,2),
(327380,10106659,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(327381,10106659,'Increases Mitigation of caster vs physical damage by 297',100,2,1),
(327382,10106659,'Decreases Mitigation of target encounter vs physical damage by 1782',100,1,2),
(327383,123924,'Increases STR and WIS of target by 44.2',100,1,0),
(327384,123924,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,1),
(327385,10123924,'Increases STR and WIS of target by 44.2',100,1,0),
(327386,10123924,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',100,1,1),
(327387,118922,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(327388,118922,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 591',100,1,1),
(327389,118922,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,2),
(327390,10118922,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(327391,10118922,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 591',100,1,1),
(327392,10118922,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,2),
(327393,47153,'Applies Murky Elemental Remedy when Activated.',100,0,0),
(327394,47153,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(327395,47153,'Only affects targets level 50 and above',100,1,2),
(327396,10047153,'Applies Murky Elemental Remedy when Activated.',100,0,0),
(327397,10047153,'Dispels 78 levels of elemental hostile effects on caster',100,1,1),
(327398,10047153,'Only affects targets level 50 and above',100,1,2),
(327399,111356,'Inflicts 97 - 162 disease damage on target',100,1,0),
(327400,111356,'Heals caster for 62 - 104',100,1,1),
(327401,10111356,'Inflicts 126 - 211 disease damage on target',100,1,0),
(327402,10111356,'Heals caster for 40 - 67',100,1,1),
(327403,36975,'Increases Max Power of target by 47.2',100,0,0),
(327404,36975,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(327405,159524,'Applies Lambent Imbued when Equipped.',100,0,0),
(327406,159524,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(327407,159524,'Heals target for 92 instantly and every 4 seconds',100,2,2),
(327408,159524,'Cannot be modified except by direct means',100,2,3),
(327409,10159524,'Applies Lambent Imbued when Equipped.',100,0,0),
(327410,10159524,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(327411,10159524,'Heals target for 60 instantly and every 4 seconds',100,2,2),
(327412,10159524,'Cannot be modified except by direct means',100,2,3),
(327413,100413,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(327414,100413,'Inflicts 29 - 49 slashing damage on target',100,2,1),
(327415,100413,'Increases Threat to target by 96 ',100,2,2),
(327416,100413,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(327417,100413,'Increases Threat to target by 96 ',100,2,4),
(327418,100413,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 411',100,1,5),
(327419,10100413,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(327420,10100413,'Inflicts 38 - 63 slashing damage on target',100,2,1),
(327421,10100413,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(327422,10100413,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 411',100,1,3),
(327423,121754,'Causes 13% Threat to transfer to target when in combat',100,1,0),
(327424,10121754,'Applies Swarthy Distraction.',100,1,0),
(327425,10121754,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(327426,10121754,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(327427,81997,'When Equipped:',100,0,0),
(327428,81997,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327429,81997,'Inflicts 138 - 257 magic damage on target',100,2,2),
(327430,81997,'Cannot be modified except by direct means',100,2,3),
(327431,10081997,'When Equipped:',100,0,0),
(327432,10081997,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327433,10081997,'Inflicts 180 - 334 magic damage on target',100,2,2),
(327434,10081997,'Cannot be modified except by direct means',100,2,3),
(327435,103802,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 25.2',100,1,0),
(327436,10103802,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 25.2',100,1,0),
(327437,122305,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(327438,122305,'Inflicts 265 - 324 mental damage on target',100,2,1),
(327439,122305,'Grants a total of 3 triggers of the spell.',100,2,2),
(327440,10122305,'When damaged with a spell this spell will cast Theorems on target.  ',100,1,0),
(327441,10122305,'Inflicts 344 - 421 mental damage on target',100,2,1),
(327442,10122305,'Grants a total of 3 triggers of the spell.',100,2,2),
(327443,81982,'When Equipped:',100,0,0),
(327444,81982,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327445,81982,'Inflicts 265 - 492 magic damage on target',100,2,2),
(327446,81982,'Cannot be modified except by direct means',100,2,3),
(327447,10081982,'When Equipped:',100,0,0),
(327448,10081982,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327449,10081982,'Inflicts 345 - 640 magic damage on target',100,2,2),
(327450,10081982,'Cannot be modified except by direct means',100,2,3),
(327451,145944,'When Equipped:',100,0,0),
(327452,145944,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(327453,145944,'Inflicts 2355 - 2603 poison damage on target',100,2,2),
(327454,145944,'Heals caster for 1178 - 1301',100,2,3),
(327455,145944,'Must not be engaged in pvp combat',100,2,4),
(327456,145944,'Cannot be modified except by direct means',100,2,5),
(327457,145944,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(327458,145944,'Cannot be modified except by direct means',100,1,7),
(327459,10145944,'When Equipped:',100,0,0),
(327460,10145944,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(327461,10145944,'Inflicts 3062 - 3384 poison damage on target',100,2,2),
(327462,10145944,'Heals caster for 1378 - 1523',100,2,3),
(327463,10145944,'Must not be engaged in pvp combat',100,2,4),
(327464,10145944,'Cannot be modified except by direct means',100,2,5),
(327465,10145944,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(327466,10145944,'Cannot be modified except by direct means',100,1,7),
(327467,187342,'When Equipped:',100,0,0),
(327468,187342,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(327469,10187342,'When Equipped:',100,0,0),
(327470,10187342,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(327471,104027,'Stifles target',100,1,0),
(327472,104027,'If Target is not Epic',100,2,1),
(327473,104027,'Interrupts target',100,1,2),
(327474,104027,'Decreases Threat to target by 653 - 798 ',100,1,3),
(327475,104027,'Resistibility increases against targets higher than level 81.',100,1,4),
(327476,10104027,'Stifles target',100,1,0),
(327477,10104027,'If Target is not Epic',100,2,1),
(327478,10104027,'Interrupts target',100,1,2),
(327479,10104027,'Resistibility increases against targets higher than level 81.',100,1,3),
(327480,118086,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(327481,10118086,'Dispels 47 levels of any hostile effects on group members (AE)',100,1,0),
(327482,109149,'Inflicts 35 - 59 melee damage on target',100,1,0),
(327483,10109149,'Inflicts 46 - 77 melee damage on target',100,1,0),
(327484,112255,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(327485,112255,'Decreases power of target by 137',100,2,1),
(327486,112255,'Increases power of caster by 117',100,2,2),
(327487,10112255,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(327488,10112255,'Decreases power of target by 137',100,2,1),
(327489,10112255,'Increases power of caster by 93',100,2,2),
(327490,122491,'Inflicts 224 - 374 mental damage on targets in Area of Effect',100,1,0),
(327491,10122491,'Inflicts 292 - 486 mental damage on targets in Area of Effect',100,1,0),
(327492,108226,'Inflicts 111 - 333 piercing damage on target',100,1,0),
(327493,108226,'Decreases Slashing, Crushing, Piercing and Ranged of target by 20.2',100,1,1),
(327494,10108226,'Inflicts 144 - 433 piercing damage on target',100,1,0),
(327495,10108226,'Decreases Slashing, Crushing, Piercing and Ranged of target by 20.2',100,1,1),
(327496,85362,'Applies Poison Bolt when Activated.',100,0,0),
(327497,85362,'Inflicts 272 - 454 poison damage on target',100,1,1),
(327498,85362,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(327499,10085362,'Applies Poison Bolt when Activated.',100,0,0),
(327500,10085362,'Inflicts 354 - 590 poison damage on target',100,1,1),
(327501,10085362,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(327502,121843,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(327503,121843,'Increases Mitigation of group members (AE) vs arcane damage by 1323',100,1,1),
(327504,10121843,'Increases Max Health of group members (AE) by 354.9',100,1,0),
(327505,10121843,'Increases Mitigation of group members (AE) vs arcane damage by 1323',100,1,1),
(327506,159547,'Applies Sanguine Imbued when Equipped.',100,0,0),
(327507,159547,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(327508,159547,'Inflicts 99 heat damage on target',100,2,2),
(327509,159547,'Cannot be modified except by direct means',100,2,3),
(327510,10159547,'Applies Sanguine Imbued when Equipped.',100,0,0),
(327511,10159547,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(327512,10159547,'Inflicts 129 heat damage on target',100,2,2),
(327513,10159547,'Cannot be modified except by direct means',100,2,3),
(327514,87166,'When Equipped:',100,0,0),
(327515,87166,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327516,87166,'Inflicts 42 - 63 magic damage on target',100,2,2),
(327517,87166,'Cannot be modified except by direct means',100,2,3),
(327518,10087166,'When Equipped:',100,0,0),
(327519,10087166,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327520,10087166,'Inflicts 55 - 82 magic damage on target',100,2,2),
(327521,10087166,'Cannot be modified except by direct means',100,2,3),
(327522,116180,'Inflicts 99 - 165 mental damage on target',100,1,0),
(327523,10116180,'Inflicts 129 - 214 mental damage on target',100,1,0),
(327524,134538,'When Equipped:',100,0,0),
(327525,134538,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(327526,134538,'Inflicts 2648 piercing damage on target',100,2,2),
(327527,134538,'Cannot be modified except by direct means',100,2,3),
(327528,10134538,'When Equipped:',100,0,0),
(327529,10134538,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(327530,10134538,'Inflicts 1721 piercing damage on target',100,2,2),
(327531,10134538,'Cannot be modified except by direct means',100,2,3),
(327532,47451,'Applies Order of Rime Shardhammer Illusion when Activated.',100,0,0),
(327533,47451,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,1),
(327534,47451,'Shapechanges caster into an Order of Rime',100,1,2),
(327535,47451,'If any of the following are true:',100,1,3),
(327536,47451,'Must be in zone Emperor''s Athenaeum',100,2,4),
(327537,47451,'Must be in zone Kurn''s Tower',100,2,5),
(327538,47451,'Must be in zone Kurn''s Tower: Breaching the Void',100,2,6),
(327539,47451,'Must be in zone Kylong Plains',100,2,7),
(327540,47451,'Must be in zone Kunzar Jungle',100,2,8),
(327541,47451,'Must be in zone Jarsath Wastes',100,2,9),
(327542,47451,'Must be in zone Fens of Nathsar',100,2,10),
(327543,47451,'Must be in zone Great Divide',100,2,11),
(327544,47451,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(327545,47451,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(327546,10047451,'Applies Order of Rime Shardhammer Illusion when Activated.',100,0,0),
(327547,10047451,'Adjusts the faction for The Order of Rime by 40,000 until your natural faction is -8800.',100,1,1),
(327548,10047451,'Shapechanges caster into an Order of Rime',100,1,2),
(327549,10047451,'If any of the following are true:',100,1,3),
(327550,10047451,'Must be in zone Emperor''s Athenaeum',100,2,4),
(327551,10047451,'Must be in zone Kurn''s Tower',100,2,5),
(327552,10047451,'Must be in zone Kurn''s Tower: Breaching the Void',100,2,6),
(327553,10047451,'Must be in zone Kylong Plains',100,2,7),
(327554,10047451,'Must be in zone Kunzar Jungle',100,2,8),
(327555,10047451,'Must be in zone Jarsath Wastes',100,2,9),
(327556,10047451,'Must be in zone Fens of Nathsar',100,2,10),
(327557,10047451,'Must be in zone Great Divide',100,2,11),
(327558,10047451,'Must be in zone Thurgadin, City of the Coldain',100,2,12),
(327559,10047451,'Must be in zone Hold of Rime: The Fortress Spire',100,2,13),
(327560,119681,'Increases Threat to target encounter by 75 - 92 ',100,1,0),
(327561,123936,'Increases STR and WIS of target by 76.1',100,1,0),
(327562,123936,'Increases Mitigation of target vs elemental, noxious and arcane damage by 226',100,1,1),
(327563,10123936,'Increases STR and WIS of target by 76.1',100,1,0),
(327564,10123936,'Increases Mitigation of target vs elemental, noxious and arcane damage by 226',100,1,1),
(327565,25101,'When Equipped:',100,0,0),
(327566,25101,'On any combat or spell hit this spell may cast Superior Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(327567,25101,'Heals caster for 1287',100,2,2),
(327568,25101,'Cannot be modified except by direct means',100,2,3),
(327569,10025101,'When Equipped:',100,0,0),
(327570,10025101,'On any combat or spell hit this spell may cast Superior Rune of Mending on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(327571,10025101,'Heals caster for 1506',100,2,2),
(327572,10025101,'Cannot be modified except by direct means',100,2,3),
(327573,150887,'When Equipped:',100,0,0),
(327574,150887,'On a melee hit this spell may cast Deep Cogency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327575,150887,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(327576,150887,'Must not be engaged in pvp combat',100,1,3),
(327577,150887,'Cannot be modified except by direct means',100,1,4),
(327578,10150887,'When Equipped:',100,0,0),
(327579,10150887,'On a melee hit this spell may cast Deep Cogency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327580,10150887,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(327581,10150887,'Must not be engaged in pvp combat',100,1,3),
(327582,10150887,'Cannot be modified except by direct means',100,1,4),
(327583,113599,'Summons a limited pet to aid the caster',100,1,0),
(327584,10113599,'Summons a limited pet to aid the caster',100,1,0),
(327585,105173,'Increases AGI of caster by 97.0',100,1,0),
(327586,105173,'Adds 2.2% to base avoidance.',100,1,1),
(327587,105173,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(327588,105173,'Increases Parry of caster by 55.6',100,1,3),
(327589,105173,'Increases Defense of caster by 74.2',100,1,4),
(327590,10105173,'Increases AGI of caster by 97.0',100,1,0),
(327591,10105173,'Adds 2.2% to base avoidance.',100,1,1),
(327592,10105173,'Decreases Slashing and Piercing of caster by 29.2',100,1,2),
(327593,10105173,'Increases Parry of caster by 55.6',100,1,3),
(327594,10105173,'Increases Defense of caster by 74.2',100,1,4),
(327595,83780,'When Equipped:',100,0,0),
(327596,83780,'Applies the effects of Cacophony of Blades II to all raid members.',100,1,1),
(327597,83780,'When Equipped:',100,0,2),
(327598,83780,'On a melee hit this spell may cast Intrepid Strike on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,3),
(327599,83780,'Caster has a 25.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(327600,83780,'Increases Potency of caster by 25.0%',100,2,5),
(327601,83780,'Cannot be modified except by direct means',100,2,6),
(327602,83780,'Cannot be modified except by direct means',100,1,7),
(327603,83780,'When Equipped:',100,0,8),
(327604,83780,'Riana''s Relentless Tune VI will improve combat art damage by 10%',100,1,9),
(327605,10083780,'When Equipped:',100,0,0),
(327606,10083780,'Applies the effects of Cacophony of Blades II to all raid members.',100,1,1),
(327607,10083780,'When Equipped:',100,0,2),
(327608,10083780,'On a melee hit this spell may cast Intrepid Strike on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',100,1,3),
(327609,10083780,'Caster has a 25.0% chance of having one of their weapons'' autoattack strike the target multiple times.',100,2,4),
(327610,10083780,'Increases Potency of caster by 25.0%',100,2,5),
(327611,10083780,'Cannot be modified except by direct means',100,2,6),
(327612,10083780,'Cannot be modified except by direct means',100,1,7),
(327613,10083780,'When Equipped:',100,0,8),
(327614,10083780,'Riana''s Relentless Tune VI will improve combat art damage by 10%',100,1,9),
(327615,109973,'Inflicts 630 - 946 disease damage on targets in Area of Effect',100,1,0),
(327616,109973,'Inflicts 315 - 473 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(327617,109973,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(327618,109973,'Increases Threat to targets in Area of Effect by 2,548 - 3,115  instantly and every 4 seconds thereafter',100,1,3),
(327619,10109973,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(327620,10109973,'Prevents target from changing targets',100,2,1),
(327621,10109973,'Forces target to change their selected target to caster.',100,2,2),
(327622,10109973,'Inflicts 819 - 1229 disease damage on targets in Area of Effect',100,1,3),
(327623,10109973,'Inflicts 410 - 615 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(327624,45951,'Applies Dire Wolf Muzzle when Activated.  Lasts for 10 minutes.',100,0,0),
(327625,45951,'Use: Muzzles a Dire Wolf that will then follow you back to Wolfmaster Heinrich',100,1,1),
(327626,10045951,'Applies Dire Wolf Muzzle when Activated.  Lasts for 10 minutes.',100,0,0),
(327627,10045951,'Use: Muzzles a Dire Wolf that will then follow you back to Wolfmaster Heinrich',100,1,1),
(327628,102285,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(327629,102285,'Decreases Threat to target by 238 ',100,2,1),
(327630,10102285,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(327631,10102285,'Inflicts 16 - 17 crushing damage on target',100,2,1),
(327632,124002,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(327633,124002,'Heals target for 72 - 88',100,2,1),
(327634,124002,'Grants a total of 5 triggers of the spell.',100,2,2),
(327635,10124002,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',100,1,0),
(327636,10124002,'Heals target for 47 - 57',100,2,1),
(327637,10124002,'Grants a total of 5 triggers of the spell.',100,2,2),
(327638,136471,'When Equipped:',100,0,0),
(327639,136471,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327640,136471,'Increases target''s chance to block by 5.0%',100,2,2),
(327641,136471,'This effect can be stacked by multiple casters.',100,2,3),
(327642,136471,'Cannot be modified except by direct means',100,2,4),
(327643,10136471,'When Equipped:',100,0,0),
(327644,10136471,'On a healing spell cast this spell may cast Shielding Presence on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327645,10136471,'Increases target''s chance to block by 5.0%',100,2,2),
(327646,10136471,'This effect can be stacked by multiple casters.',100,2,3),
(327647,10136471,'Cannot be modified except by direct means',100,2,4),
(327648,124136,'Inflicts 73 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(327649,124136,'Applies Banshee''s Scream on termination.',100,1,1),
(327650,124136,'Inflicts 218 - 363 disease damage on target',100,2,2),
(327651,10124136,'Inflicts 94 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(327652,10124136,'Applies Banshee''s Scream on termination.',100,1,1),
(327653,10124136,'Inflicts 283 - 471 disease damage on target',100,2,2),
(327654,100419,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(327655,100419,'Inflicts 58 - 96 slashing damage on target',100,2,1),
(327656,100419,'Increases Threat to target by 200 ',100,2,2),
(327657,100419,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(327658,100419,'Increases Threat to target by 200 ',100,2,4),
(327659,100419,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 795',100,1,5),
(327660,10100419,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(327661,10100419,'Inflicts 75 - 125 slashing damage on target',100,2,1),
(327662,10100419,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(327663,10100419,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 795',100,1,3),
(327664,72860,'When Equipped:',100,0,0),
(327665,72860,'On a combat hit this spell will cast Gnollbane on target of attack.  ',100,1,1),
(327666,72860,'Inflicts 8 - 14 magic damage on target',100,2,2),
(327667,72860,'If target is gnoll',100,2,3),
(327668,72860,'Cannot be modified except by direct means',100,2,4),
(327669,10072860,'When Equipped:',100,0,0),
(327670,10072860,'On a combat hit this spell will cast Gnollbane on target of attack.  ',100,1,1),
(327671,10072860,'Inflicts 10 - 18 magic damage on target',100,2,2),
(327672,10072860,'If target is gnoll',100,2,3),
(327673,10072860,'Cannot be modified except by direct means',100,2,4),
(327674,116411,'Heals target for 523 - 639 instantly and every 2 seconds',100,1,0),
(327675,10116411,'Heals target for 340 - 416 instantly and every 2 seconds',100,1,0),
(327676,159914,'Applies Lambent Imbued when Equipped.',100,0,0),
(327677,159914,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(327678,159914,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(327679,159914,'Cannot be modified except by direct means',100,2,3),
(327680,10159914,'Applies Lambent Imbued when Equipped.',100,0,0),
(327681,10159914,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(327682,10159914,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(327683,10159914,'Cannot be modified except by direct means',100,2,3),
(327684,105966,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(327685,105966,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(327686,105966,'Inflicts 83 - 139 piercing damage on target',100,3,2),
(327687,105966,'Grants a total of 5 triggers of the spell.',100,3,3),
(327688,105966,'Grants a total of 1 trigger of the spell.',100,2,4),
(327689,10105966,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',100,1,0),
(327690,10105966,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',100,2,1),
(327691,10105966,'Inflicts 109 - 181 piercing damage on target',100,3,2),
(327692,10105966,'Grants a total of 5 triggers of the spell.',100,3,3),
(327693,10105966,'Grants a total of 1 trigger of the spell.',100,2,4),
(327694,36679,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(327695,74671,'When Equipped:',100,0,0),
(327696,74671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327697,74671,'Inflicts 44 - 67 magic damage on target',100,2,2),
(327698,74671,'Cannot be modified except by direct means',100,2,3),
(327699,10074671,'When Equipped:',100,0,0),
(327700,10074671,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327701,10074671,'Inflicts 58 - 87 magic damage on target',100,2,2),
(327702,10074671,'Cannot be modified except by direct means',100,2,3),
(327703,47884,'Applies Release the Falcon! when Activated.',100,0,0),
(327704,47884,'Calls forth Sabre the falcon to survey the surroundings',100,1,1),
(327705,10047884,'Applies Release the Falcon! when Activated.',100,0,0),
(327706,10047884,'Calls forth Sabre the falcon to survey the surroundings',100,1,1),
(327707,81091,'When Equipped:',100,0,0),
(327708,81091,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327709,81091,'Inflicts 151 - 280 magic damage on target',100,2,2),
(327710,81091,'Cannot be modified except by direct means',100,2,3),
(327711,10081091,'When Equipped:',100,0,0),
(327712,10081091,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327713,10081091,'Inflicts 196 - 364 magic damage on target',100,2,2),
(327714,10081091,'Cannot be modified except by direct means',100,2,3),
(327715,24040,'Adds Boar (Berserker) to your Dungeon Maker toolbox',100,0,0),
(327716,10024040,'Adds Boar (Berserker) to your Dungeon Maker toolbox',100,0,0),
(327717,47641,'Applies Prowess of the Karig''Dal when Activated.',100,0,0),
(327718,47641,'Shapechanges the user into Kerig'' Dal form. This form wears the uniform of the Vallonites!',100,1,1),
(327719,10047641,'Applies Prowess of the Karig''Dal when Activated.',100,0,0),
(327720,10047641,'Shapechanges the user into Kerig'' Dal form. This form wears the uniform of the Vallonites!',100,1,1),
(327721,117533,'Increases AGI, INT and WIS of group members (AE) by 40.6',100,1,0),
(327722,117533,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 156',100,1,1),
(327723,10117533,'Increases AGI, INT and WIS of group members (AE) by 40.6',100,1,0),
(327724,10117533,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 156',100,1,1),
(327725,106093,'Inflicts 380 - 634 melee damage on target',100,1,0),
(327726,106093,'Decreases Mitigation of target vs physical damage by 1400',100,1,1),
(327727,106093,'Must be behind',100,1,2),
(327728,10106093,'Inflicts 495 - 825 melee damage on target',100,1,0),
(327729,10106093,'Decreases Mitigation of target vs physical damage by 350',100,1,1),
(327730,10106093,'Must be behind',100,1,2),
(327731,101990,'Inflicts 1373 - 2550 heat damage on target',100,1,0),
(327732,10101990,'Inflicts 1785 - 3315 heat damage on target',100,1,0),
(327733,48037,'Applies Shifting Root when Activated.  Lasts for 2 minutes 42 seconds.',100,0,0),
(327734,48037,'Grants invisibility to caster',100,1,1),
(327735,48037,'Suspends caster''s movement speed enhancements',100,1,2),
(327736,48037,'Dispelled when target receives hostile action',100,1,3),
(327737,48037,'Dispelled when target takes damage',100,1,4),
(327738,10048037,'Applies Shifting Root when Activated.  Lasts for 2 minutes 42 seconds.',100,0,0),
(327739,10048037,'Grants invisibility to caster',100,1,1),
(327740,10048037,'Suspends caster''s movement speed enhancements',100,1,2),
(327741,10048037,'Dispelled when target receives hostile action',100,1,3),
(327742,10048037,'Dispelled when target takes damage',100,1,4),
(327743,121704,'Increases AGI of caster by 23.4',100,1,0),
(327744,121704,'Adds 2.5% to base avoidance.',100,1,1),
(327745,121704,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(327746,121704,'Increases Parry of caster by 13.0',100,1,3),
(327747,121704,'Increases Defense of caster by 17.3',100,1,4),
(327748,10121704,'Increases AGI of caster by 23.4',100,1,0),
(327749,10121704,'Adds 2.5% to base avoidance.',100,1,1),
(327750,10121704,'Decreases Slashing and Piercing of caster by 13.8',100,1,2),
(327751,10121704,'Increases Parry of caster by 13.0',100,1,3),
(327752,10121704,'Increases Defense of caster by 17.3',100,1,4),
(327753,52931,'When Equipped:',100,0,0),
(327754,52931,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(327755,52931,'Increases Threat to target by 275 ',100,2,2),
(327756,52931,'Cannot be modified except by direct means',100,2,3),
(327757,52931,'When Equipped:',100,0,4),
(327758,52931,'Increases caster''s chance to block by 10.0%',100,1,5),
(327759,52931,'When Equipped:',100,0,6),
(327760,52931,'When damaged in combat this spell has a 15% chance to cast Commanding Presence on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,7),
(327761,52931,'Prevents target from changing targets',100,2,8),
(327762,52931,'Dazes target',100,2,9),
(327763,52931,'Only affects targets level 90 and below',100,2,10),
(327764,52931,'Does not affect Epic targets',100,2,11),
(327765,52931,'Resistibility increases against targets higher than level 114.',100,2,12),
(327766,52931,'Cannot be modified except by direct means',100,2,13),
(327767,10052931,'When Equipped:',100,0,0),
(327768,10052931,'When a combat art is used this spell has a 5% chance to cast Lesser Infuriation on target of combat art.  ',100,1,1),
(327769,10052931,'Forces target to change their selected target to caster.',100,2,2),
(327770,10052931,'Cannot be modified except by direct means',100,2,3),
(327771,10052931,'When Equipped:',100,0,4),
(327772,10052931,'Increases caster''s chance to block by 10.0%',100,1,5),
(327773,10052931,'When Equipped:',100,0,6),
(327774,10052931,'When damaged in combat this spell has a 15% chance to cast Commanding Presence on target''s attacker.  Lasts for 3.0 seconds.  ',100,1,7),
(327775,10052931,'Prevents target from changing targets',100,2,8),
(327776,10052931,'Dazes target',100,2,9),
(327777,10052931,'Only affects targets level 90 and below',100,2,10),
(327778,10052931,'Does not affect Epic targets',100,2,11),
(327779,10052931,'Resistibility increases against targets higher than level 114.',100,2,12),
(327780,10052931,'Cannot be modified except by direct means',100,2,13),
(327781,112544,'Interrupts target',50,1,0),
(327782,112544,'Inflicts 504 - 616 divine damage on target',100,1,1),
(327783,10112544,'Interrupts target',50,1,0),
(327784,10112544,'Inflicts 843 - 1030 divine damage on target',100,1,1),
(327785,159238,'Applies Sanguine Imbued when Equipped.',100,0,0),
(327786,159238,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(327787,159238,'Inflicts 134 heat damage on target',100,2,2),
(327788,159238,'Cannot be modified except by direct means',100,2,3),
(327789,10159238,'Applies Sanguine Imbued when Equipped.',100,0,0),
(327790,10159238,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(327791,10159238,'Inflicts 175 heat damage on target',100,2,2),
(327792,10159238,'Cannot be modified except by direct means',100,2,3),
(327793,46722,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(327794,46722,'Increases Max Health of caster by 117.5',100,1,1),
(327795,10046722,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(327796,10046722,'Increases Max Health of caster by 117.5',100,1,1),
(327797,110274,'Decreases Mitigation of target vs arcane damage by 240',100,1,0),
(327798,110274,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(327799,110274,'Slows target by 34.5%',100,2,2),
(327800,110274,'5% chance to dispel when target receives hostile action',100,2,3),
(327801,110274,'5% chance to dispel when target takes damage',100,2,4),
(327802,10110274,'Decreases Mitigation of target vs arcane damage by 240',100,1,0),
(327803,10110274,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(327804,10110274,'Slows target by 34.5%',100,2,2),
(327805,10110274,'5% chance to dispel when target receives hostile action',100,2,3),
(327806,10110274,'5% chance to dispel when target takes damage',100,2,4),
(327807,45019,'Applies Create Medal when Activated.',100,0,0),
(327808,45019,'Summon 1 Mark of Merit',100,1,1),
(327809,10045019,'Applies Create Medal when Activated.',100,0,0),
(327810,10045019,'Summon 1 Mark of Merit',100,1,1),
(327811,80784,'When Equipped:',100,0,0),
(327812,80784,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327813,80784,'Inflicts 133 - 248 magic damage on target',100,2,2),
(327814,80784,'Cannot be modified except by direct means',100,2,3),
(327815,10080784,'When Equipped:',100,0,0),
(327816,10080784,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327817,10080784,'Inflicts 173 - 322 magic damage on target',100,2,2),
(327818,10080784,'Cannot be modified except by direct means',100,2,3),
(327819,108793,'Inflicts 92 - 171 heat damage on targets in Area of Effect',100,1,0),
(327820,10108793,'Inflicts 119 - 222 heat damage on targets in Area of Effect',100,1,0),
(327821,159165,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(327822,159165,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(327823,159165,'Inflicts 46 heat damage on target',100,2,2),
(327824,159165,'Cannot be modified except by direct means',100,2,3),
(327825,10159165,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(327826,10159165,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(327827,10159165,'Inflicts 60 heat damage on target',100,2,2),
(327828,10159165,'Cannot be modified except by direct means',100,2,3),
(327829,136233,'When Equipped:',100,0,0),
(327830,136233,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(327831,136233,'Inflicts 100 - 122 magic damage on target',100,2,2),
(327832,136233,'Cannot be modified except by direct means',100,2,3),
(327833,10136233,'When Equipped:',100,0,0),
(327834,10136233,'When any damage is received this spell has a 5% chance to cast Lightning Bolt on target''s attacker.  ',100,1,1),
(327835,10136233,'Inflicts 130 - 159 magic damage on target',100,2,2),
(327836,10136233,'Cannot be modified except by direct means',100,2,3),
(327837,106262,'Wards target against 660 points of all damage',100,1,0),
(327838,10106262,'Wards target against 660 points of all damage',100,1,0),
(327839,100159,'Inflicts 240 - 447 disease damage on target encounter',100,1,0),
(327840,10100159,'Inflicts 313 - 581 disease damage on target encounter',100,1,0),
(327841,41675,'When Equipped:',100,0,0),
(327842,41675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327843,41675,'Inflicts 125 - 232 magic damage on target',100,2,2),
(327844,41675,'Cannot be modified except by direct means',100,2,3),
(327845,10041675,'When Equipped:',100,0,0),
(327846,10041675,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327847,10041675,'Inflicts 162 - 301 magic damage on target',100,2,2),
(327848,10041675,'Cannot be modified except by direct means',100,2,3),
(327849,82244,'When Equipped:',100,0,0),
(327850,82244,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(327851,82244,'Inflicts 33 - 61 magic damage on target',100,2,2),
(327852,82244,'Decreases Threat to target by 135 ',100,2,3),
(327853,82244,'Must be flanking or behind',100,3,4),
(327854,82244,'Increases Threat to target by 135 ',100,2,5),
(327855,82244,'Must be in front of',100,3,6),
(327856,82244,'Cannot be modified except by direct means',100,2,7),
(327857,10082244,'When Equipped:',100,0,0),
(327858,10082244,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(327859,10082244,'Inflicts 43 - 80 magic damage on target',100,2,2),
(327860,10082244,'Cannot be modified except by direct means',100,2,3),
(327861,114955,'Decreases Attack Speed of target by 11.4',100,1,0),
(327862,114955,'Inflicts 29 - 87 slashing damage on target',100,1,1),
(327863,114955,'Inflicts 58 slashing damage on target instantly and every 4 seconds',100,1,2),
(327864,10114955,'Decreases Attack Speed of target by 11.4',100,1,0),
(327865,10114955,'Inflicts 37 - 113 slashing damage on target',100,1,1),
(327866,10114955,'Inflicts 75 slashing damage on target instantly and every 4 seconds',100,1,2),
(327867,52603,'When Equipped:',100,0,0),
(327868,52603,'On a damage spell hit this spell may cast Tenebrous Guidance on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(327869,52603,'Decreases Threat to target by 400 ',100,2,2),
(327870,52603,'Cannot be modified except by direct means',100,2,3),
(327871,10052603,'When Equipped:',100,0,0),
(327872,10052603,'On a damage spell hit this spell may cast Tenebrous Guidance on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(327873,10052603,'Cannot be modified except by direct means',100,2,2),
(327874,133811,'When Equipped:',100,0,0),
(327875,133811,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(327876,133811,'Inflicts 2664 cold damage on target encounter',100,2,2),
(327877,133811,'Must not be engaged in pvp combat',100,2,3),
(327878,133811,'Cannot be modified except by direct means',100,2,4),
(327879,133811,'Must not be engaged in pvp combat',100,1,5),
(327880,10133811,'When Equipped:',100,0,0),
(327881,10133811,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(327882,10133811,'Inflicts 1732 cold damage on target encounter',100,2,2),
(327883,10133811,'Must not be engaged in pvp combat',100,2,3),
(327884,10133811,'Cannot be modified except by direct means',100,2,4),
(327885,10133811,'Must not be engaged in pvp combat',100,1,5),
(327886,104694,'Decreases Mitigation of target vs all damage by 813',100,1,0),
(327887,10104694,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 813',100,1,0),
(327888,10104694,'Decreases Mitigation of target vs physical damage by 678',100,1,1),
(327889,111014,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(327890,111014,'Increases Threat to target by 13 ',100,2,1),
(327891,111014,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(327892,111014,'Increases Threat to target by 13 ',100,2,3),
(327893,10111014,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(327894,10111014,'Inflicts 3 crushing damage on target',100,2,1),
(327895,10111014,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(327896,10111014,'Inflicts 3 crushing damage on target',100,2,3),
(327897,182449,'When Equipped:',100,0,0),
(327898,182449,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(327899,182449,'Heals group members (AE) for 580',100,2,2),
(327900,182449,'Cannot be modified except by direct means',100,2,3),
(327901,10182449,'When Equipped:',100,0,0),
(327902,10182449,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(327903,10182449,'Heals group members (AE) for 679',100,2,2),
(327904,10182449,'Cannot be modified except by direct means',100,2,3),
(327905,37490,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(327906,84299,'When Equipped:',100,0,0),
(327907,84299,'On a combat hit this spell may cast Stun V on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(327908,84299,'Stuns target',100,2,2),
(327909,84299,'Does not affect Epic targets',100,2,3),
(327910,84299,'Resistibility increases against targets higher than level 102.',100,2,4),
(327911,84299,'Cannot be modified except by direct means',100,2,5),
(327912,10084299,'When Equipped:',100,0,0),
(327913,10084299,'On a combat hit this spell may cast Stun V on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(327914,10084299,'Stuns target',100,2,2),
(327915,10084299,'Does not affect Epic targets',100,2,3),
(327916,10084299,'Resistibility increases against targets higher than level 102.',100,2,4),
(327917,10084299,'Cannot be modified except by direct means',100,2,5),
(327918,124789,'Increases STR of caster by 68.9',100,1,0),
(327919,124789,'Decreases Defense of caster by 9.6',100,1,1),
(327920,124789,'Increases Crushing, Piercing, Slashing and Disruption of caster by 20.2',100,1,2),
(327921,10124789,'Increases STR of caster by 68.9',100,1,0),
(327922,10124789,'Decreases Defense of caster by 9.6',100,1,1),
(327923,10124789,'Increases Crushing, Piercing, Slashing and Disruption of caster by 20.2',100,1,2),
(327924,35545,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(327925,87171,'When Equipped:',100,0,0),
(327926,87171,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327927,87171,'Inflicts 44 - 66 magic damage on target',100,2,2),
(327928,87171,'Cannot be modified except by direct means',100,2,3),
(327929,10087171,'When Equipped:',100,0,0),
(327930,10087171,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327931,10087171,'Inflicts 57 - 86 magic damage on target',100,2,2),
(327932,10087171,'Cannot be modified except by direct means',100,2,3),
(327933,36409,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(327934,35831,'Increases AGI of target by 12.7',100,0,0),
(327935,35831,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(327936,82363,'When Equipped:',100,0,0),
(327937,82363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327938,82363,'Inflicts 33 - 61 magic damage on target',100,2,2),
(327939,82363,'Cannot be modified except by direct means',100,2,3),
(327940,10082363,'When Equipped:',100,0,0),
(327941,10082363,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(327942,10082363,'Inflicts 43 - 80 magic damage on target',100,2,2),
(327943,10082363,'Cannot be modified except by direct means',100,2,3),
(327944,176333,'When Equipped:',100,0,0),
(327945,176333,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(327946,176333,'Inflicts 1139 - 1259 piercing damage on target instantly and every 3 seconds',100,2,2),
(327947,176333,'Heals caster for 1247 - 1378 instantly and every 3 seconds',100,2,3),
(327948,176333,'Increases Crit Bonus of caster by 7.0%',100,2,4),
(327949,176333,'Must not be engaged in pvp combat',100,2,5),
(327950,176333,'Cannot be modified except by direct means',100,2,6),
(327951,176333,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(327952,176333,'Must not be engaged in pvp combat',100,1,8),
(327953,10176333,'When Equipped:',100,0,0),
(327954,10176333,'On any combat or spell hit this spell may cast Major Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(327955,10176333,'Inflicts 1481 - 1636 piercing damage on target instantly and every 3 seconds',100,2,2),
(327956,10176333,'Heals caster for 1459 - 1612 instantly and every 3 seconds',100,2,3),
(327957,10176333,'Increases Crit Bonus of caster by 7.0%',100,2,4),
(327958,10176333,'Must not be engaged in pvp combat',100,2,5),
(327959,10176333,'Cannot be modified except by direct means',100,2,6),
(327960,10176333,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(327961,10176333,'Must not be engaged in pvp combat',100,1,8),
(327962,112037,'Roots target',100,1,0),
(327963,112037,'Stifles target',100,1,1),
(327964,112037,'If Target is not Epic',100,2,2),
(327965,112037,'20% chance to dispel when target takes damage',100,1,3),
(327966,112037,'Does not affect Epic targets',100,1,4),
(327967,112037,'Resistibility increases against targets higher than level 82.',100,1,5),
(327968,10112037,'Roots target',100,1,0),
(327969,10112037,'Stifles target',100,1,1),
(327970,10112037,'If Target is not Epic',100,2,2),
(327971,10112037,'20% chance to dispel when target takes damage',100,1,3),
(327972,10112037,'Does not affect Epic targets',100,1,4),
(327973,10112037,'Resistibility increases against targets higher than level 82.',100,1,5),
(327974,190012,'When Equipped:',100,0,0),
(327975,190012,'Increases Attack Speed of caster by 45.0',100,1,1),
(327976,10190012,'When Equipped:',100,0,0),
(327977,10190012,'Increases Attack Speed of caster by 45.0',100,1,1),
(327978,71496,'When Equipped:',100,0,0),
(327979,71496,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327980,71496,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(327981,71496,'Cannot be modified except by direct means',100,2,3),
(327982,10071496,'When Equipped:',100,0,0),
(327983,10071496,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(327984,10071496,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(327985,10071496,'Cannot be modified except by direct means',100,2,3),
(327986,115352,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(327987,115352,'Inflicts 4 piercing damage on target',100,2,1),
(327988,10115352,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',100,1,0),
(327989,10115352,'Inflicts 5 piercing damage on target',100,2,1),
(327990,123834,'Increases WIS of target by 31.7',100,1,0),
(327991,123834,'Increases Max Power of target by 122.4',100,1,1),
(327992,10123834,'Increases WIS of target by 31.7',100,1,0),
(327993,10123834,'Increases Max Power of target by 122.4',100,1,1),
(327994,170543,'When Equipped:',100,0,0),
(327995,170543,'Increases Attack Speed of caster by 35.0',100,1,1),
(327996,10170543,'When Equipped:',100,0,0),
(327997,10170543,'Increases Attack Speed of caster by 35.0',100,1,1),
(327998,107753,'Stuns target',100,1,0),
(327999,107753,'If Target is not Epic',100,2,1),
(328000,107753,'Inflicts 400 - 666 cold damage on target',100,1,2),
(328001,107753,'Resistibility increases against targets higher than level 59.',100,1,3),
(328002,10107753,'Stuns target',100,1,0),
(328003,10107753,'If Target is not Epic',100,2,1),
(328004,10107753,'Inflicts 519 - 866 cold damage on target',100,1,2),
(328005,10107753,'Resistibility increases against targets higher than level 59.',100,1,3),
(328006,113556,'Inflicts 443 - 738 disease damage on target',100,1,0),
(328007,10113556,'Inflicts 576 - 960 disease damage on target',100,1,0),
(328008,119079,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(328009,119079,'Increases Parry and Deflection of group members (AE) by 10.8',100,1,1),
(328010,119079,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(328011,119079,'Decreases Threat to target encounter by 389 - 476 ',100,2,3),
(328012,119079,'If not fighter',100,3,4),
(328013,119079,'Increases Threat to target encounter by 389 - 476 ',100,2,5),
(328014,119079,'If fighter',100,3,6),
(328015,119079,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(328016,119079,'Decreases Threat to target encounter by 389 - 476 ',100,2,8),
(328017,119079,'If not fighter',100,3,9),
(328018,119079,'Increases Threat to target encounter by 389 - 476 ',100,2,10),
(328019,119079,'If fighter',100,3,11),
(328020,10119079,'Increases group members (AE)''s chance to block by 16.0%',100,1,0),
(328021,10119079,'Increases Parry and Deflection of group members (AE) by 10.8',100,1,1),
(328022,10119079,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(328023,10119079,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(328024,74601,'When Equipped:',100,0,0),
(328025,74601,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328026,74601,'Inflicts 37 - 55 magic damage on target',100,2,2),
(328027,74601,'Cannot be modified except by direct means',100,2,3),
(328028,10074601,'When Equipped:',100,0,0),
(328029,10074601,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328030,10074601,'Inflicts 48 - 72 magic damage on target',100,2,2),
(328031,10074601,'Cannot be modified except by direct means',100,2,3),
(328032,106768,'Mesmerizes target',100,1,0),
(328033,106768,'Prevents AOE (except when direct) ',100,1,1),
(328034,106768,'Dispelled when target takes damage',100,1,2),
(328035,106768,'Does not affect Epic targets',100,1,3),
(328036,106768,'Resistibility increases against targets higher than level 83.',100,1,4),
(328037,10106768,'Mesmerizes target',100,1,0),
(328038,10106768,'Prevents AOE (except when direct) ',100,1,1),
(328039,10106768,'Dispelled when target takes damage',100,1,2),
(328040,10106768,'Does not affect Epic targets',100,1,3),
(328041,10106768,'Resistibility increases against targets higher than level 83.',100,1,4),
(328042,107194,'Inflicts 197 - 328 divine damage on target',100,1,0),
(328043,107194,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(328044,107194,'Stuns target',100,2,2),
(328045,107194,'If Target is not Epic',100,3,3),
(328046,107194,'Inflicts 460 - 766 divine damage on target',100,2,4),
(328047,107194,'Inflicts 394 - 657 divine damage on target',100,2,5),
(328048,107194,'If target is undead',100,3,6),
(328049,10107194,'Inflicts 170 - 284 divine damage on target',100,1,0),
(328050,10107194,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(328051,10107194,'Stuns target',100,2,2),
(328052,10107194,'Inflicts 897 - 1495 divine damage on target',100,2,3),
(328053,10107194,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(328054,111261,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(328055,111261,'Increases Mitigation of target vs physical damage by 770',100,2,1),
(328056,111261,'Heals target for 1164',100,2,2),
(328057,111261,'Grants a total of 1 trigger of the spell.',100,2,3),
(328058,10111261,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(328059,10111261,'Increases Mitigation of target vs physical damage by 770',100,2,1),
(328060,10111261,'Heals target for 756',100,2,2),
(328061,10111261,'Grants a total of 1 trigger of the spell.',100,2,3),
(328062,109482,'Inflicts 249 - 416 cold damage on target',100,1,0),
(328063,10109482,'Inflicts 324 - 541 cold damage on target',100,1,0),
(328064,105505,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.8',100,1,0),
(328065,10105505,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.8',100,1,0),
(328066,25009,'When Equipped:',100,0,0),
(328067,25009,'Adds a small heal to Caress Feedback.',100,1,1),
(328068,25009,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(328069,10025009,'When Equipped:',100,0,0),
(328070,10025009,'Adds a small heal to Caress Feedback.',100,1,1),
(328071,10025009,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(328072,101706,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(328073,101706,'Inflicts 577 - 705 disease damage on target',100,2,1),
(328074,101706,'Grants a total of 3 triggers of the spell.',100,2,2),
(328075,10101706,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(328076,10101706,'Inflicts 750 - 916 disease damage on target',100,2,1),
(328077,10101706,'Grants a total of 3 triggers of the spell.',100,2,2),
(328078,159376,'Applies Sanguine Imbued when Equipped.',100,0,0),
(328079,159376,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(328080,159376,'Inflicts 108 heat damage on target',100,2,2),
(328081,159376,'Cannot be modified except by direct means',100,2,3),
(328082,10159376,'Applies Sanguine Imbued when Equipped.',100,0,0),
(328083,10159376,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(328084,10159376,'Inflicts 140 heat damage on target',100,2,2),
(328085,10159376,'Cannot be modified except by direct means',100,2,3),
(328086,82571,'When Equipped:',100,0,0),
(328087,82571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328088,82571,'Inflicts 70 - 130 magic damage on target',100,2,2),
(328089,82571,'Cannot be modified except by direct means',100,2,3),
(328090,10082571,'When Equipped:',100,0,0),
(328091,10082571,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328092,10082571,'Inflicts 91 - 169 magic damage on target',100,2,2),
(328093,10082571,'Cannot be modified except by direct means',100,2,3),
(328094,114115,'Inflicts 921 - 1535 melee damage on targets in area',100,1,0),
(328095,114115,'You must be in stealth to use this!',100,1,1),
(328096,10114115,'Inflicts 1197 - 1995 melee damage on targets in area',100,1,0),
(328097,10114115,'You must be in stealth to use this!',100,1,1),
(328098,192056,'When Equipped:',100,0,0),
(328099,192056,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(328100,192056,'Wards target against 80 points of all damage',100,2,2),
(328101,192056,'Cannot be modified except by direct means',100,2,3),
(328102,10192056,'When Equipped:',100,0,0),
(328103,10192056,'When any damage is received this spell has a 5% chance to cast Stoneskin on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(328104,10192056,'Wards target against 80 points of all damage',100,2,2),
(328105,10192056,'Cannot be modified except by direct means',100,2,3),
(328106,112408,'Increases Crushing, Piercing, Slashing and Ranged of target by 94.4',100,1,0),
(328107,112408,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(328108,112408,'Inflicts 746 - 912 piercing damage on target',100,2,2),
(328109,112408,'Inflicts 373 - 456 piercing damage on target every 3 seconds',100,2,3),
(328110,10112408,'Increases Crushing, Piercing, Slashing and Ranged of target by 94.4',100,1,0),
(328111,10112408,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(328112,10112408,'Inflicts 970 - 1186 piercing damage on target',100,2,2),
(328113,10112408,'Inflicts 485 - 593 piercing damage on target every 3 seconds',100,2,3),
(328114,104367,'Charms target',100,1,0),
(328115,104367,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(328116,104367,'Mesmerizes target',100,2,2),
(328117,104367,'Dispelled when target takes damage',100,2,3),
(328118,104367,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(328119,104367,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(328120,104367,'Grants Sonic Vision to caster',100,2,6),
(328121,104367,'Increases Out-of-Combat Power Regeneration of target by 64.0',100,1,7),
(328122,104367,'Increases Out-of-Combat Health Regeneration of target by 130.6',100,1,8),
(328123,104367,'Certain enemies cannot be charmed',100,1,9),
(328124,104367,'Does not affect Epic targets',100,1,10),
(328125,10104367,'Mesmerizes target',100,1,0),
(328126,10104367,'Prevents AOE (except when direct) ',100,1,1),
(328127,10104367,'Dispelled when target takes damage',100,1,2),
(328128,10104367,'Certain enemies cannot be charmed',100,1,3),
(328129,10104367,'Does not affect Epic targets',100,1,4),
(328130,10104367,'Resistibility increases against targets higher than level 113.',100,1,5),
(328131,104184,'Increases Threat to target encounter by 824 - 1,007 ',100,1,0),
(328132,104184,'Interrupts target encounter',100,1,1),
(328133,10104184,'Forces target encounter to change their selected target to caster.',100,1,0),
(328134,10104184,'Interrupts target encounter',100,1,1),
(328135,10104184,'Prevents target encounter from changing targets',100,1,2),
(328136,71730,'When Equipped:',100,0,0),
(328137,71730,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(328138,71730,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(328139,71730,'Cannot be modified except by direct means',100,2,3),
(328140,10071730,'When Equipped:',100,0,0),
(328141,10071730,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(328142,10071730,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(328143,10071730,'Cannot be modified except by direct means',100,2,3),
(328144,159739,'When Equipped:',100,0,0),
(328145,159739,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(328146,159739,'Increases WIS of caster by 16.3',100,2,2),
(328147,159739,'Increases Ordination, Focus and Ministration of caster by 9.2',100,2,3),
(328148,159739,'Cannot be modified except by direct means',100,2,4),
(328149,10159739,'When Equipped:',100,0,0),
(328150,10159739,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(328151,10159739,'Increases WIS of caster by 16.3',100,2,2),
(328152,10159739,'Increases Ordination, Focus and Ministration of caster by 9.2',100,2,3),
(328153,10159739,'Cannot be modified except by direct means',100,2,4),
(328154,118134,'Heals target for 1044 - 1276',100,1,0),
(328155,10118134,'Heals target for 1234 - 1508',100,1,0),
(328156,102243,'Inflicts 24 - 40 melee damage on targets in area',100,1,0),
(328157,10102243,'Inflicts 31 - 52 melee damage on targets in area',100,1,0),
(328158,158364,'When Equipped:',100,0,0),
(328159,158364,'On any combat or spell hit this spell may cast The Hound''s Blade on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(328160,158364,'Inflicts 3276 - 7643 slashing damage on target',100,2,2),
(328161,158364,'Heals caster for 1638 - 3822',100,2,3),
(328162,158364,'Decreases AGI, INT and STR of target by 500.0',100,2,4),
(328163,158364,'Increases INT, STR and AGI of caster by 100.0',100,2,5),
(328164,158364,'Must not be engaged in pvp combat',100,2,6),
(328165,158364,'Cannot be modified except by direct means',100,2,7),
(328166,158364,'Cannot be modified except by direct means',100,1,8),
(328167,10158364,'When Equipped:',100,0,0),
(328168,10158364,'On any combat or spell hit this spell may cast The Hound''s Blade on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(328169,10158364,'Inflicts 4258 - 9936 slashing damage on target',100,2,2),
(328170,10158364,'Heals caster for 1916 - 4471',100,2,3),
(328171,10158364,'Decreases AGI, INT and STR of target by 500.0',100,2,4),
(328172,10158364,'Increases INT, STR and AGI of caster by 100.0',100,2,5),
(328173,10158364,'Must not be engaged in pvp combat',100,2,6),
(328174,10158364,'Cannot be modified except by direct means',100,2,7),
(328175,10158364,'Cannot be modified except by direct means',100,1,8),
(328176,47107,'Applies Aegis of the Silverback  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(328177,47107,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(328178,47107,'Inflicts 3 magic damage on target',100,2,2),
(328179,47107,'Cannot be modified except by direct means',100,2,3),
(328180,10047107,'Applies Aegis of the Silverback  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(328181,10047107,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(328182,10047107,'Inflicts 4 magic damage on target',100,2,2),
(328183,10047107,'Cannot be modified except by direct means',100,2,3),
(328184,162739,'When Equipped:',100,0,0),
(328185,162739,'This effect will not stack with any rank or tier of itself.',100,1,1),
(328186,162739,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(328187,162739,'Cannot be modified except by direct means',100,1,3),
(328188,10162739,'When Equipped:',100,0,0),
(328189,10162739,'This effect will not stack with any rank or tier of itself.',100,1,1),
(328190,10162739,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(328191,10162739,'Cannot be modified except by direct means',100,1,3),
(328192,109369,'Inflicts 71 - 215 melee damage on target',100,1,0),
(328193,109369,'Inflicts 89 - 269 melee damage on target',100,1,1),
(328194,109369,'Inflicts 107 - 323 melee damage on target',100,1,2),
(328195,10109369,'Inflicts 93 - 280 melee damage on target',100,1,0),
(328196,10109369,'Inflicts 116 - 350 melee damage on target',100,1,1),
(328197,10109369,'Inflicts 140 - 420 melee damage on target',100,1,2),
(328198,103366,'Decreases power of target by 11 instantly and every 6 seconds',100,1,0),
(328199,103366,'Inflicts 46 - 56 mental damage on target instantly and every 6 seconds',100,1,1),
(328200,103366,'Increases power of caster by 55',100,1,2),
(328201,10103366,'Decreases power of target by 11 instantly and every 6 seconds',100,1,0),
(328202,10103366,'Inflicts 59 - 73 mental damage on target instantly and every 6 seconds',100,1,1),
(328203,10103366,'Increases power of caster by 55',100,1,2),
(328204,107744,'Stuns target',100,1,0),
(328205,107744,'If Target is not Epic',100,2,1),
(328206,107744,'Inflicts 129 - 215 cold damage on target',100,1,2),
(328207,107744,'Resistibility increases against targets higher than level 45.',100,1,3),
(328208,10107744,'Stuns target',100,1,0),
(328209,10107744,'If Target is not Epic',100,2,1),
(328210,10107744,'Inflicts 168 - 279 cold damage on target',100,1,2),
(328211,10107744,'Resistibility increases against targets higher than level 45.',100,1,3),
(328212,106618,'Inflicts 279 - 340 disease damage on target',100,1,0),
(328213,106618,'Heals caster for 8.6 - 10.6% of max health',100,1,1),
(328214,106618,'This effect cannot be critically applied.',100,2,2),
(328215,106618,'The healing of this spell cannot be modified except by direct means',100,1,3),
(328216,10106618,'Inflicts 362 - 443 disease damage on target',100,1,0),
(328217,10106618,'Heals caster for 2.9 - 3.5% of max health',100,1,1),
(328218,10106618,'This effect cannot be critically applied.',100,2,2),
(328219,10106618,'The healing of this spell cannot be modified except by direct means',100,1,3),
(328220,106181,'Wards target against 81 points of all damage',100,1,0),
(328221,106181,'Decreases INT of target by 109.5',100,1,1),
(328222,106181,'Decreases Attack Speed of target by 25.0',100,1,2),
(328223,106181,'Increases Max Health of target by 12.0%',100,1,3),
(328224,106181,'Increases Hate Gain of target by 32.4%',100,1,4),
(328225,106181,'Increases Aggression of target by 10.1',100,1,5),
(328226,106181,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(328227,106181,'Increases Threat to target encounter by 94 - 115 ',100,2,7),
(328228,106181,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,8),
(328229,10106181,'Wards target against 81 points of all damage',100,1,0),
(328230,10106181,'Decreases INT of target by 109.5',100,1,1),
(328231,10106181,'Decreases Attack Speed of target by 25.0',100,1,2),
(328232,10106181,'Increases Max Health of target by 12.0%',100,1,3),
(328233,10106181,'Increases Aggression of target by 10.1',100,1,4),
(328234,10106181,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',100,1,5),
(328235,113833,'Inflicts 306 - 510 disease damage on target',100,1,0),
(328236,10113833,'Inflicts 398 - 663 disease damage on target',100,1,0),
(328237,111651,'Inflicts 219 - 267 cold damage on target encounter',100,1,0),
(328238,111651,'Slows target encounter by 37.2%',100,1,1),
(328239,111651,'5% chance to dispel when target takes damage',100,1,2),
(328240,111651,'5% chance to dispel when target receives hostile action',100,1,3),
(328241,10111651,'Inflicts 379 - 464 cold damage on target encounter',100,1,0),
(328242,10111651,'Slows target encounter by 37.2%',100,1,1),
(328243,10111651,'5% chance to dispel when target takes damage',100,1,2),
(328244,10111651,'5% chance to dispel when target receives hostile action',100,1,3),
(328245,46445,'Applies Liquid Courage when Activated.',100,0,0),
(328246,46445,'Powers up an Icemaul''s Siege coldain.',100,1,1),
(328247,46445,'Cannot be modified except by direct means',100,1,2),
(328248,10046445,'Applies Liquid Courage when Activated.',100,0,0),
(328249,10046445,'Powers up an Icemaul''s Siege coldain.',100,1,1),
(328250,10046445,'Cannot be modified except by direct means',100,1,2),
(328251,117117,'Mesmerizes target encounter',100,1,0),
(328252,117117,'Prevents AOE (except when direct) ',100,1,1),
(328253,117117,'Dispelled when target takes damage',100,1,2),
(328254,117117,'Epic targets gain an immunity to Mesmerize effects of 1 minute 22 seconds and duration is reduced to 9.0 seconds.',100,1,3),
(328255,117117,'Resistibility increases against targets higher than level 117.',100,1,4),
(328256,10117117,'Mesmerizes target encounter',100,1,0),
(328257,10117117,'Prevents AOE (except when direct) ',100,1,1),
(328258,10117117,'Dispelled when target takes damage',100,1,2),
(328259,10117117,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(328260,10117117,'Resistibility increases against targets higher than level 117.',100,1,4),
(328261,116562,'Inflicts 133 - 222 melee damage on targets in area',100,1,0),
(328262,116562,'You must be in stealth to use this!',100,1,1),
(328263,10116562,'Inflicts 173 - 288 melee damage on targets in area',100,1,0),
(328264,10116562,'You must be in stealth to use this!',100,1,1),
(328265,101370,'Reduces physical damage done to caster by 5%',100,1,0),
(328266,101370,'Adds 1.5% to base avoidance.',100,1,1),
(328267,101370,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(328268,101370,'Increases Aggression of caster by 13.1',100,1,3),
(328269,101370,'Increases Defense and Parry of caster by 20.9',100,1,4),
(328270,101370,'Increases Mitigation of caster vs noxious and arcane damage by 128',100,1,5),
(328271,101370,'Increases Mitigation of caster vs elemental damage by 1276',100,1,6),
(328272,101370,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(328273,10101370,'Reduces physical damage done to caster by 5%',100,1,0),
(328274,10101370,'Adds 1.5% to base avoidance.',100,1,1),
(328275,10101370,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(328276,10101370,'Increases Aggression of caster by 13.1',100,1,3),
(328277,10101370,'Increases Defense and Parry of caster by 20.9',100,1,4),
(328278,10101370,'Increases Mitigation of caster vs noxious and arcane damage by 128',100,1,5),
(328279,10101370,'Increases Mitigation of caster vs elemental damage by 1276',100,1,6),
(328280,10101370,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(328281,36888,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(328282,36888,'Increases Max Health of target by 120.7',100,0,1),
(328283,104578,'Inflicts 267 - 445 disease damage on target',100,1,0),
(328284,104578,'Decreases WIS of target by 92.6',100,1,1),
(328285,10104578,'Inflicts 347 - 578 disease damage on target',100,1,0),
(328286,10104578,'Decreases WIS of target by 92.6',100,1,1),
(328287,102010,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(328288,102010,'Wards target against 264 points of all damage',100,2,1),
(328289,10102010,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(328290,10102010,'Wards target against 264 points of all damage',100,2,1),
(328291,87139,'When Equipped:',100,0,0),
(328292,87139,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328293,87139,'Inflicts 155 - 232 magic damage on target',100,2,2),
(328294,87139,'Cannot be modified except by direct means',100,2,3),
(328295,10087139,'When Equipped:',100,0,0),
(328296,10087139,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328297,10087139,'Inflicts 201 - 302 magic damage on target',100,2,2),
(328298,10087139,'Cannot be modified except by direct means',100,2,3),
(328299,117415,'Increases Mitigation of group members (AE) vs physical damage by 117',100,1,0),
(328300,10117415,'Increases Mitigation of group members (AE) vs physical damage by 117',100,1,0),
(328301,123796,'Inflicts 19 - 32 magic damage on target',100,1,0),
(328302,123796,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(328303,123796,'Decreases Defense of target by 7.9',100,1,2),
(328304,123796,'Target will lose 15% more power when power is consumed',100,1,3),
(328305,123796,'15% of target''s power consumed will also be drained from target''s health',100,1,4),
(328306,10123796,'Inflicts 25 - 41 magic damage on target',100,1,0),
(328307,10123796,'Decreases Ability Casting Speed of target by 24.0%',100,1,1),
(328308,10123796,'Decreases Defense of target by 7.9',100,1,2),
(328309,10123796,'Target will lose 15% more power when power is consumed',100,1,3),
(328310,10123796,'15% of target''s power consumed will also be drained from target''s health',100,1,4),
(328311,74701,'When Equipped:',100,0,0),
(328312,74701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328313,74701,'Inflicts 150 - 226 magic damage on target',100,2,2),
(328314,74701,'Cannot be modified except by direct means',100,2,3),
(328315,10074701,'When Equipped:',100,0,0),
(328316,10074701,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328317,10074701,'Inflicts 196 - 293 magic damage on target',100,2,2),
(328318,10074701,'Cannot be modified except by direct means',100,2,3),
(328319,103106,'Increases STR of caster by 24.2',100,1,0),
(328320,103106,'Adds 3.4% to base avoidance.',100,1,1),
(328321,103106,'Increases Mitigation of caster vs physical damage by 156',100,1,2),
(328322,103106,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 487',100,1,3),
(328323,10103106,'Increases STR of caster by 24.2',100,1,0),
(328324,10103106,'Adds 3.4% to base avoidance.',100,1,1),
(328325,10103106,'Increases Mitigation of caster vs physical damage by 156',100,1,2),
(328326,10103106,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 487',100,1,3),
(328327,120540,'Decreases Defense of target by 17.8',100,1,0),
(328328,10120540,'Decreases Defense of target by 17.8',100,1,0),
(328329,104671,'Decreases Mitigation of target vs all damage by 158',100,1,0),
(328330,10104671,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 158',100,1,0),
(328331,10104671,'Decreases Mitigation of target vs physical damage by 132',100,1,1),
(328332,37487,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(328333,42583,'When Equipped:',100,0,0),
(328334,42583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328335,42583,'Inflicts 30 - 45 magic damage on target',100,2,2),
(328336,42583,'Cannot be modified except by direct means',100,2,3),
(328337,10042583,'When Equipped:',100,0,0),
(328338,10042583,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328339,10042583,'Inflicts 39 - 59 magic damage on target',100,2,2),
(328340,10042583,'Cannot be modified except by direct means',100,2,3),
(328341,100206,'Increases Threat to target encounter by 273 - 334 ',100,1,0),
(328342,100206,'Interrupts target encounter',100,1,1),
(328343,10100206,'Interrupts target encounter',100,1,0),
(328344,10100206,'Forces target encounter to change their selected target to caster.',100,1,1),
(328345,10100206,'Prevents target encounter from changing targets',100,1,2),
(328346,100817,'Wards target against 2529 points of all damage',100,1,0),
(328347,10100817,'Wards target against 3891 points of all damage',100,1,0),
(328348,118172,'Inflicts 525 - 875 melee damage on target',100,1,0),
(328349,118172,'Dazes target',100,1,1),
(328350,118172,'If Target is not Epic',100,2,2),
(328351,118172,'Resistibility increases against targets higher than level 117.',100,1,3),
(328352,10118172,'Inflicts 682 - 1138 melee damage on target',100,1,0),
(328353,10118172,'Dazes target',100,1,1),
(328354,10118172,'If Target is not Epic',100,2,2),
(328355,10118172,'Resistibility increases against targets higher than level 117.',100,1,3),
(328356,102717,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(328357,102717,'Inflicts 569 - 949 heat damage on target',100,2,1),
(328358,102717,'Grants a total of 5 triggers of the spell.',100,2,2),
(328359,102717,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(328360,102717,'Inflicts 569 - 949 heat damage on target',100,2,4),
(328361,102717,'Grants a total of 5 triggers of the spell.',100,2,5),
(328362,10102717,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(328363,10102717,'Inflicts 740 - 1233 heat damage on target',100,2,1),
(328364,10102717,'Grants a total of 5 triggers of the spell.',100,2,2),
(328365,10102717,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(328366,10102717,'Inflicts 740 - 1233 heat damage on target',100,2,4),
(328367,10102717,'Grants a total of 5 triggers of the spell.',100,2,5),
(328368,35821,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(328369,35821,'Increases Max Health of target by 14.0',100,0,1),
(328370,188250,'When Equipped:',100,0,0),
(328371,188250,'Gives caster a 1.3% chance to strikethrough a successful avoidance check',100,1,1),
(328372,188250,'Increases Riposte Damage of caster by 12.0',100,1,2),
(328373,188250,'Increases Additional chance to Riposte of caster by 12.0',100,1,3),
(328374,188250,'Must not be engaged in pvp combat',100,1,4),
(328375,10188250,'When Equipped:',100,0,0),
(328376,10188250,'Gives caster a 1.3% chance to strikethrough a successful avoidance check',100,1,1),
(328377,10188250,'Increases Riposte Damage of caster by 12.0',100,1,2),
(328378,10188250,'Increases Additional chance to Riposte of caster by 12.0',100,1,3),
(328379,10188250,'Must not be engaged in pvp combat',100,1,4),
(328380,100514,'Increases Attack Speed of group members (AE) by 17.5',100,1,0),
(328381,10100514,'Increases Attack Speed of group members (AE) by 17.5',100,1,0),
(328382,116999,'Inflicts 37 - 111 melee damage on target',100,1,0),
(328383,10116999,'Inflicts 48 - 145 melee damage on target',100,1,0),
(328384,74973,'When Equipped:',100,0,0),
(328385,74973,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328386,74973,'Inflicts 63 - 94 magic damage on target',100,2,2),
(328387,74973,'Cannot be modified except by direct means',100,2,3),
(328388,10074973,'When Equipped:',100,0,0),
(328389,10074973,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328390,10074973,'Inflicts 82 - 123 magic damage on target',100,2,2),
(328391,10074973,'Cannot be modified except by direct means',100,2,3),
(328392,115162,'Heals target for 174 - 213',100,1,0),
(328393,10115162,'Heals target for 236 - 288',100,1,0),
(328394,159043,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(328395,159043,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(328396,159043,'Inflicts 97 heat damage on target',100,2,2),
(328397,159043,'Cannot be modified except by direct means',100,2,3),
(328398,10159043,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(328399,10159043,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(328400,10159043,'Inflicts 126 heat damage on target',100,2,2),
(328401,10159043,'Cannot be modified except by direct means',100,2,3),
(328402,53797,'When Equipped:',100,0,0),
(328403,53797,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(328404,53797,'Stuns target',100,2,2),
(328405,53797,'Throws target back',100,2,3),
(328406,53797,'Does not affect Epic targets',100,2,4),
(328407,53797,'Resistibility increases against targets higher than level 74.',100,2,5),
(328408,53797,'Cannot be modified except by direct means',100,2,6),
(328409,10053797,'When Equipped:',100,0,0),
(328410,10053797,'When any damage is received this spell has a 5% chance to cast Impact on target''s attacker.  Lasts for 2.5 seconds.  ',100,1,1),
(328411,10053797,'Stuns target',100,2,2),
(328412,10053797,'Throws target back',100,2,3),
(328413,10053797,'Does not affect Epic targets',100,2,4),
(328414,10053797,'Resistibility increases against targets higher than level 74.',100,2,5),
(328415,10053797,'Cannot be modified except by direct means',100,2,6),
(328416,52447,'When Equipped:',100,0,0),
(328417,52447,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328418,52447,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(328419,52447,'Cannot be modified except by direct means',100,2,3),
(328420,10052447,'When Equipped:',100,0,0),
(328421,10052447,'On a hostile spell hit this spell may cast Bitter Miasma on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328422,10052447,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 623',100,2,2),
(328423,10052447,'Cannot be modified except by direct means',100,2,3),
(328424,48867,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(328425,48867,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(328426,48867,'Inflicts 29 poison damage on target',100,2,2),
(328427,48867,'Inflicts 77 poison damage on target instantly and every 6 seconds',100,2,3),
(328428,48867,'Cannot be modified except by direct means',100,2,4),
(328429,48867,'Grants a total of 200 triggers of the spell.',100,2,5),
(328430,10048867,'Applies relentless vertigo when Activated.  Lasts for 12 hours.',100,0,0),
(328431,10048867,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(328432,10048867,'Inflicts 28 poison damage on target',100,2,2),
(328433,10048867,'Inflicts 75 poison damage on target instantly and every 6 seconds',100,2,3),
(328434,10048867,'Cannot be modified except by direct means',100,2,4),
(328435,10048867,'Grants a total of 200 triggers of the spell.',100,2,5),
(328436,40673,'When Equipped:',100,0,0),
(328437,40673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328438,40673,'Inflicts 26 - 40 magic damage on target',100,2,2),
(328439,40673,'Cannot be modified except by direct means',100,2,3),
(328440,10040673,'When Equipped:',100,0,0),
(328441,10040673,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328442,10040673,'Inflicts 34 - 51 magic damage on target',100,2,2),
(328443,10040673,'Cannot be modified except by direct means',100,2,3),
(328444,85691,'Applies Mark of Pestilence when Equipped.',100,0,0),
(328445,10085691,'Applies Mark of Pestilence when Equipped.',100,0,0),
(328446,36235,'Increases AGI of target by 15.4',100,0,0),
(328447,36235,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(328448,174866,'When Equipped:',100,0,0),
(328449,174866,'On a combat hit this spell may cast Strength of Pingyuan Diqu on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(328450,174866,'Increases STR of caster by 75.0',100,2,2),
(328451,174866,'Increases Attack Speed of caster by 40.0',100,2,3),
(328452,174866,'Increases Damage Per Second of caster by 55.0',100,2,4),
(328453,174866,'Cannot be modified except by direct means',100,2,5),
(328454,10174866,'When Equipped:',100,0,0),
(328455,10174866,'On a combat hit this spell may cast Strength of Pingyuan Diqu on caster.  Lasts for 20.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(328456,10174866,'Increases STR of caster by 75.0',100,2,2),
(328457,10174866,'Increases Attack Speed of caster by 40.0',100,2,3),
(328458,10174866,'Increases Damage Per Second of caster by 55.0',100,2,4),
(328459,10174866,'Cannot be modified except by direct means',100,2,5),
(328460,116778,'Increases STR, AGI, WIS and INT of target by 24.2',100,1,0),
(328461,116778,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328462,116778,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(328463,116778,'Increases Damage Per Second of target by 28.0',100,2,3),
(328464,116778,'Increases Attack Speed of target by 28.0',100,2,4),
(328465,116778,'Adds 1.9% to base avoidance.',100,1,5),
(328466,116778,'Increases Mitigation of target vs elemental, noxious and arcane damage by 72',100,1,6),
(328467,10116778,'Increases STR, AGI, WIS and INT of target by 24.2',100,1,0),
(328468,10116778,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328469,10116778,'Increases Ability Casting Speed of target by 9.6%',100,2,2),
(328470,10116778,'Increases Damage Per Second of target by 28.0',100,2,3),
(328471,10116778,'Increases Attack Speed of target by 28.0',100,2,4),
(328472,10116778,'Adds 1.9% to base avoidance.',100,1,5),
(328473,10116778,'Increases Mitigation of target vs elemental, noxious and arcane damage by 72',100,1,6),
(328474,48142,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(328475,48142,'Increases power of caster by 89 instantly and every 5 seconds',100,1,1),
(328476,10048142,'Applies essence of clarity when Activated.  Lasts for 30.0 seconds.',100,0,0),
(328477,10048142,'Increases power of caster by 71 instantly and every 5 seconds',100,1,1),
(328478,116985,'Decreases Defense of target by 8.2',100,1,0),
(328479,116985,'Inflicts 26 - 32 divine damage on target instantly and every 3 seconds',100,1,1),
(328480,10116985,'Decreases Defense of target by 8.2',100,1,0),
(328481,10116985,'Inflicts 34 - 42 divine damage on target instantly and every 3 seconds',100,1,1),
(328482,123947,'Increases STR and WIS of target by 125.2',100,1,0),
(328483,123947,'Increases Mitigation of target vs elemental, noxious and arcane damage by 375',100,1,1),
(328484,10123947,'Increases STR and WIS of target by 125.2',100,1,0),
(328485,10123947,'Increases Mitigation of target vs elemental, noxious and arcane damage by 375',100,1,1),
(328486,114808,'Decreases WIS of target by 60.6',100,1,0),
(328487,114808,'Increases WIS and STA of caster by 60.6',100,1,1),
(328488,114808,'Decreases Max Health of target by 0.9%',100,1,2),
(328489,114808,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 195',100,1,3),
(328490,114808,'Only affects targets level 17 and above',100,1,4),
(328491,10114808,'Decreases WIS of target by 60.6',100,1,0),
(328492,10114808,'Increases WIS and STA of caster by 60.6',100,1,1),
(328493,10114808,'Decreases Max Health of target by 0.9%',100,1,2),
(328494,10114808,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 195',100,1,3),
(328495,10114808,'Only affects targets level 17 and above',100,1,4),
(328496,45235,'Applies Rested Mind when Activated.',100,0,0),
(328497,45235,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(328498,10045235,'Applies Rested Mind when Activated.',100,0,0),
(328499,10045235,'When used this potion will cause your combat and tradeskill vitality to return to 100%',100,1,1),
(328500,185493,'When Equipped:',100,0,0),
(328501,185493,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(328502,185493,'Inflicts 2664 disease damage on target encounter',100,2,2),
(328503,185493,'Must not be engaged in pvp combat',100,2,3),
(328504,185493,'Cannot be modified except by direct means',100,2,4),
(328505,10185493,'When Equipped:',100,0,0),
(328506,10185493,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(328507,10185493,'Inflicts 1732 disease damage on target encounter',100,2,2),
(328508,10185493,'Must not be engaged in pvp combat',100,2,3),
(328509,10185493,'Cannot be modified except by direct means',100,2,4),
(328510,45525,'Applies Activate Chirurgeon when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(328511,45525,'Summons a pet Clockwork Chirurgeon',100,1,1),
(328512,10045525,'Applies Activate Chirurgeon when Activated.  Lasts for 1 minute 30 seconds.',100,0,0),
(328513,10045525,'Summons a pet Clockwork Chirurgeon',100,1,1),
(328514,100089,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(328515,10100089,'Dispels 74 levels of any hostile effects on group members (AE)',100,1,0),
(328516,165721,'When Equipped:',100,0,0),
(328517,165721,'When a combat art is used this spell has a 3% chance to cast Rage of the Anguished on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(328518,165721,'Increases Damage Per Second of caster by 10.0',100,2,2),
(328519,165721,'Cannot be modified except by direct means',100,2,3),
(328520,10165721,'When Equipped:',100,0,0),
(328521,10165721,'When a combat art is used this spell has a 3% chance to cast Rage of the Anguished on caster.  Lasts for 6.0 seconds.  ',100,1,1),
(328522,10165721,'Increases Damage Per Second of caster by 10.0',100,2,2),
(328523,10165721,'Cannot be modified except by direct means',100,2,3),
(328524,110026,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(328525,110026,'Inflicts 135 - 225 disease damage on target',100,2,1),
(328526,110026,'Heals caster for 2.4 - 3.9% of max health',100,2,2),
(328527,110026,'This effect cannot be critically applied.',100,3,3),
(328528,110026,'The healing of this spell cannot be modified except by direct means',100,2,4),
(328529,10110026,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(328530,10110026,'Inflicts 176 - 293 disease damage on target',100,2,1),
(328531,10110026,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(328532,10110026,'This effect cannot be critically applied.',100,3,3),
(328533,10110026,'The healing of this spell cannot be modified except by direct means',100,2,4),
(328534,107460,'Summons a pet earthen avatar',100,1,0),
(328535,10107460,'Summons a pet earthen avatar',100,1,0),
(328536,40657,'When Equipped:',100,0,0),
(328537,40657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328538,40657,'Inflicts 88 - 133 magic damage on target',100,2,2),
(328539,40657,'Cannot be modified except by direct means',100,2,3),
(328540,10040657,'When Equipped:',100,0,0),
(328541,10040657,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328542,10040657,'Inflicts 115 - 172 magic damage on target',100,2,2),
(328543,10040657,'Cannot be modified except by direct means',100,2,3),
(328544,112553,'Interrupts target',50,1,0),
(328545,112553,'Inflicts 267 - 326 divine damage on target',100,1,1),
(328546,10112553,'Interrupts target',50,1,0),
(328547,10112553,'Inflicts 446 - 545 divine damage on target',100,1,1),
(328548,116131,'Inflicts 88 - 147 divine damage on target',100,1,0),
(328549,116131,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(328550,116131,'Stuns target',100,2,2),
(328551,116131,'Throws target back',100,2,3),
(328552,116131,'Blurs vision of target',100,2,4),
(328553,116131,'Does not affect Epic targets',100,2,5),
(328554,10116131,'Inflicts 115 - 191 divine damage on target',100,1,0),
(328555,10116131,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(328556,10116131,'Blurs vision of target',100,2,2),
(328557,10116131,'Stuns target',100,2,3),
(328558,10116131,'Throws target back',100,2,4),
(328559,10116131,'Does not affect Epic targets',100,2,5),
(328560,122380,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(328561,122380,'Inflicts 1 piercing damage on target encounter',100,2,1),
(328562,10122380,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(328563,10122380,'Inflicts 1 - 2 piercing damage on target encounter',100,2,1),
(328564,109523,'Inflicts 203 - 248 disease damage on target instantly and every 4 seconds',100,1,0),
(328565,109523,'Decreases Attack Speed of target by 13.2',100,1,1),
(328566,10109523,'Inflicts 264 - 323 disease damage on target instantly and every 4 seconds',100,1,0),
(328567,10109523,'Decreases Attack Speed of target by 13.2',100,1,1),
(328568,117913,'Increases In-Combat Health Regeneration of group members (AE) by 116.6',100,1,0),
(328569,117913,'Increases Max Health of group members (AE) by 608.4',100,1,1),
(328570,10117913,'Increases In-Combat Health Regeneration of group members (AE) by 116.6',100,1,0),
(328571,10117913,'Increases Max Health of group members (AE) by 608.4',100,1,1),
(328572,121043,'Increases AGI of target by 46.9',100,1,0),
(328573,121043,'Adds 0.7% to base avoidance.',100,1,1),
(328574,121043,'Increases In-Combat Power Regeneration of target by 26.1',100,1,2),
(328575,121043,'Increases Max Power of target by 282.8',100,1,3),
(328576,10121043,'Increases AGI of target by 46.9',100,1,0),
(328577,10121043,'Adds 0.7% to base avoidance.',100,1,1),
(328578,10121043,'Increases In-Combat Power Regeneration of target by 26.1',100,1,2),
(328579,10121043,'Increases Max Power of target by 282.8',100,1,3),
(328580,82510,'When Equipped:',100,0,0),
(328581,82510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328582,82510,'Inflicts 175 - 324 magic damage on target',100,2,2),
(328583,82510,'Cannot be modified except by direct means',100,2,3),
(328584,10082510,'When Equipped:',100,0,0),
(328585,10082510,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328586,10082510,'Inflicts 227 - 421 magic damage on target',100,2,2),
(328587,10082510,'Cannot be modified except by direct means',100,2,3),
(328588,109638,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(328589,109638,'Inflicts 16 - 30 poison damage on target encounter',100,2,1),
(328590,10109638,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(328591,10109638,'Inflicts 21 - 39 poison damage on target encounter',100,2,1),
(328592,120120,'Shapechanges caster into a chaos essence',100,1,0),
(328593,120120,'Increases WIS of caster by 172.5',100,1,1),
(328594,120120,'Grants See Invisibility to caster',100,1,2),
(328595,120120,'Increases Max Health of caster by 765.8',100,1,3),
(328596,120120,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2527',100,1,4),
(328597,10120120,'Shapechanges caster into a chaos essence',100,1,0),
(328598,10120120,'Increases WIS of caster by 172.5',100,1,1),
(328599,10120120,'Grants See Invisibility to caster',100,1,2),
(328600,10120120,'Increases Max Health of caster by 765.8',100,1,3),
(328601,10120120,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2527',100,1,4),
(328602,101119,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1740',100,1,0),
(328603,10101119,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1740',100,1,0),
(328604,104844,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(328605,104844,'If Fighter',100,2,1),
(328606,104844,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(328607,104844,'Increases power of target by 91',100,2,3),
(328608,104844,'Increases power of caster by 91',100,2,4),
(328609,10104844,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(328610,10104844,'Increases power of target by 91',100,2,1),
(328611,10104844,'Increases power of caster by 91',100,2,2),
(328612,102344,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(328613,102344,'Increases Attack Speed of target by 7.8',100,2,1),
(328614,102344,'Increases Damage Per Second of target by 7.8',100,2,2),
(328615,102344,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(328616,102344,'Increases Attack Speed of target by 7.8',100,2,4),
(328617,102344,'Increases Damage Per Second of target by 7.8',100,2,5),
(328618,102344,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(328619,102344,'Increases Attack Speed of target by 7.8',100,2,7),
(328620,102344,'Increases Damage Per Second of target by 7.8',100,2,8),
(328621,10102344,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(328622,10102344,'Increases Attack Speed of target by 7.8',100,2,1),
(328623,10102344,'Increases Damage Per Second of target by 7.8',100,2,2),
(328624,10102344,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(328625,10102344,'Increases Attack Speed of target by 7.8',100,2,4),
(328626,10102344,'Increases Damage Per Second of target by 7.8',100,2,5),
(328627,10102344,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(328628,10102344,'Increases Attack Speed of target by 7.8',100,2,7),
(328629,10102344,'Increases Damage Per Second of target by 7.8',100,2,8),
(328630,117023,'Inflicts 150 - 450 melee damage on target',100,1,0),
(328631,10117023,'Inflicts 195 - 585 melee damage on target',100,1,0),
(328632,101457,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(328633,101457,'Increases Mitigation of group members (AE) vs noxious damage by 1170',100,1,1),
(328634,10101457,'Increases Max Power of group members (AE) by 704.5',100,1,0),
(328635,10101457,'Increases Mitigation of group members (AE) vs noxious damage by 1170',100,1,1),
(328636,159135,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(328637,159135,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(328638,159135,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(328639,159135,'Cannot be modified except by direct means',100,2,3),
(328640,10159135,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(328641,10159135,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(328642,10159135,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(328643,10159135,'Cannot be modified except by direct means',100,2,3),
(328644,123000,'Wards group members (AE) collectively against 1325 total points of all damage',100,1,0),
(328645,10123000,'Wards group members (AE) collectively against 1974 total points of all damage',100,1,0),
(328646,25153,'When Equipped:',100,0,0),
(328647,25153,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(328648,25153,'Increases power of caster by 1',100,2,2),
(328649,25153,'Cannot be modified except by direct means',100,2,3),
(328650,10025153,'When Equipped:',100,0,0),
(328651,10025153,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(328652,10025153,'Increases power of caster by 1',100,2,2),
(328653,10025153,'Cannot be modified except by direct means',100,2,3),
(328654,36392,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,0),
(328655,104611,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(328656,10104611,'Summons the other controllable pets you have knowledge of for a short duration',100,1,0),
(328657,106101,'Inflicts 652 - 1086 melee damage on target',100,1,0),
(328658,106101,'Decreases Mitigation of target vs physical damage by 2240',100,1,1),
(328659,106101,'Must be behind',100,1,2),
(328660,10106101,'Inflicts 847 - 1412 melee damage on target',100,1,0),
(328661,10106101,'Decreases Mitigation of target vs physical damage by 560',100,1,1),
(328662,10106101,'Must be behind',100,1,2),
(328663,159629,'Applies Lambent Imbued when Equipped.',100,0,0),
(328664,159629,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(328665,159629,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(328666,159629,'Cannot be modified except by direct means',100,2,3),
(328667,10159629,'Applies Lambent Imbued when Equipped.',100,0,0),
(328668,10159629,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(328669,10159629,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(328670,10159629,'Cannot be modified except by direct means',100,2,3),
(328671,48685,'Applies Concoction of Adventure  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(328672,48685,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(328673,48685,'Inflicts 7 magic damage on target',100,2,2),
(328674,48685,'Cannot be modified except by direct means',100,2,3),
(328675,10048685,'Applies Concoction of Adventure  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(328676,10048685,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(328677,10048685,'Inflicts 9 magic damage on target',100,2,2),
(328678,10048685,'Cannot be modified except by direct means',100,2,3),
(328679,80683,'When Equipped:',100,0,0),
(328680,80683,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328681,80683,'Inflicts 50 - 93 magic damage on target',100,2,2),
(328682,80683,'Cannot be modified except by direct means',100,2,3),
(328683,10080683,'When Equipped:',100,0,0),
(328684,10080683,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328685,10080683,'Inflicts 65 - 121 magic damage on target',100,2,2),
(328686,10080683,'Cannot be modified except by direct means',100,2,3),
(328687,40202,'When Equipped:',100,0,0),
(328688,40202,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328689,40202,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(328690,40202,'Heals caster for 1185 - 1309',100,2,3),
(328691,40202,'Decreases Piercing, Ranged, Crushing and Slashing of target by 22.0',100,2,4),
(328692,40202,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(328693,40202,'Must not be engaged in pvp combat',100,2,6),
(328694,40202,'Cannot be modified except by direct means',100,2,7),
(328695,40202,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(328696,40202,'Cannot be modified except by direct means',100,1,9),
(328697,40202,'When Equipped:',100,0,10),
(328698,40202,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(328699,40202,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,12),
(328700,40202,'Inflicts 201 - 222 piercing damage on target',100,3,13),
(328701,40202,'Must not be engaged in pvp combat',100,3,14),
(328702,40202,'Cannot be modified except by direct means',100,3,15),
(328703,40202,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,16),
(328704,40202,'Must not be engaged in pvp combat',100,2,17),
(328705,40202,'Cannot be modified except by direct means',100,2,18),
(328706,40202,'This effect will not stack with any rank or tier of itself.',100,1,19),
(328707,40202,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,20),
(328708,40202,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,21),
(328709,40202,'Inflicts 201 - 222 piercing damage on target',100,3,22),
(328710,40202,'Must not be engaged in pvp combat',100,3,23),
(328711,40202,'Cannot be modified except by direct means',100,3,24),
(328712,40202,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,25),
(328713,40202,'Must not be engaged in pvp combat',100,2,26),
(328714,40202,'Cannot be modified except by direct means',100,2,27),
(328715,40202,'Cannot be modified except by direct means',100,1,28),
(328716,10040202,'When Equipped:',100,0,0),
(328717,10040202,'On any combat or spell hit this spell may cast Phantasmal Siphon IV on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328718,10040202,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(328719,10040202,'Heals caster for 1386 - 1532',100,2,3),
(328720,10040202,'Decreases Piercing, Ranged, Crushing and Slashing of target by 22.0',100,2,4),
(328721,10040202,'Decreases Mitigation of target vs physical damage by 528',100,2,5),
(328722,10040202,'Must not be engaged in pvp combat',100,2,6),
(328723,10040202,'Cannot be modified except by direct means',100,2,7),
(328724,10040202,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,8),
(328725,10040202,'Cannot be modified except by direct means',100,1,9),
(328726,10040202,'When Equipped:',100,0,10),
(328727,10040202,'On any combat or spell hit this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(328728,10040202,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,12),
(328729,10040202,'Inflicts 261 - 289 piercing damage on target',100,3,13),
(328730,10040202,'Must not be engaged in pvp combat',100,3,14),
(328731,10040202,'Cannot be modified except by direct means',100,3,15),
(328732,10040202,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,16),
(328733,10040202,'Must not be engaged in pvp combat',100,2,17),
(328734,10040202,'Cannot be modified except by direct means',100,2,18),
(328735,10040202,'This effect will not stack with any rank or tier of itself.',100,1,19),
(328736,10040202,'On a healing spell cast this spell may cast Serrated Skin IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,20),
(328737,10040202,'When any damage is received this spell will cast Serrated Skin IV on target''s attacker.  ',100,2,21),
(328738,10040202,'Inflicts 261 - 289 piercing damage on target',100,3,22),
(328739,10040202,'Must not be engaged in pvp combat',100,3,23),
(328740,10040202,'Cannot be modified except by direct means',100,3,24),
(328741,10040202,'Gives caster an extra 2.0% mitigation to their worn armor',100,2,25),
(328742,10040202,'Must not be engaged in pvp combat',100,2,26),
(328743,10040202,'Cannot be modified except by direct means',100,2,27),
(328744,10040202,'Cannot be modified except by direct means',100,1,28),
(328745,122624,'Makes target afraid',100,1,0),
(328746,122624,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',100,1,1),
(328747,122624,'Mesmerizes target',100,2,2),
(328748,122624,'Decreases Threat to target by 1,326  instantly and Decreases Threat by 1,326  every 2.2 seconds thereafter',100,2,3),
(328749,122624,'Dispelled when target takes damage',100,2,4),
(328750,122624,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',100,2,5),
(328751,122624,'Resistibility increases against targets higher than level 104.',100,2,6),
(328752,122624,'30% chance to dispel when target takes damage',100,1,7),
(328753,122624,'Does not affect Epic targets',100,1,8),
(328754,122624,'Resistibility increases against targets higher than level 104.',100,1,9),
(328755,10122624,'Makes target afraid',100,1,0),
(328756,10122624,'Applies Traumatization on termination.  Lasts for 2.0 seconds.',100,1,1),
(328757,10122624,'Mesmerizes target',100,2,2),
(328758,10122624,'Applies Distract.',100,2,3),
(328759,10122624,'Forces target to clear their selected target.',100,3,4),
(328760,10122624,'Dispelled when target takes damage',100,2,5),
(328761,10122624,'Epic targets gain an immunity to Mesmerize effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,6),
(328762,10122624,'Resistibility increases against targets higher than level 104.',100,2,7),
(328763,10122624,'30% chance to dispel when target takes damage',100,1,8),
(328764,10122624,'Does not affect Epic targets',100,1,9),
(328765,10122624,'Resistibility increases against targets higher than level 104.',100,1,10),
(328766,116170,'Increases Attack Speed of caster by 38.6',100,1,0),
(328767,116170,'Increases Damage Per Second of caster by 44.9',100,1,1),
(328768,10116170,'Increases Attack Speed of caster by 38.6',100,1,0),
(328769,10116170,'Increases Damage Per Second of caster by 44.9',100,1,1),
(328770,166521,'When Equipped:',100,0,0),
(328771,166521,'On a critical spell hit this spell may cast Martial Vulnerability III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328772,166521,'Decreases Mitigation of target vs physical damage by 350',100,2,2),
(328773,166521,'Must not be engaged in pvp combat',100,2,3),
(328774,166521,'Cannot be modified except by direct means',100,2,4),
(328775,166521,'On a critical combat hit this spell may cast Martial Vulnerability III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(328776,166521,'Decreases Mitigation of target vs physical damage by 350',100,2,6),
(328777,166521,'Must not be engaged in pvp combat',100,2,7),
(328778,166521,'Cannot be modified except by direct means',100,2,8),
(328779,166521,'Must not be engaged in pvp combat',100,1,9),
(328780,10166521,'When Equipped:',100,0,0),
(328781,10166521,'On a critical spell hit this spell may cast Martial Vulnerability III on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328782,10166521,'Decreases Mitigation of target vs physical damage by 350',100,2,2),
(328783,10166521,'Must not be engaged in pvp combat',100,2,3),
(328784,10166521,'Cannot be modified except by direct means',100,2,4),
(328785,10166521,'On a critical combat hit this spell may cast Martial Vulnerability III on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(328786,10166521,'Decreases Mitigation of target vs physical damage by 350',100,2,6),
(328787,10166521,'Must not be engaged in pvp combat',100,2,7),
(328788,10166521,'Cannot be modified except by direct means',100,2,8),
(328789,10166521,'Must not be engaged in pvp combat',100,1,9),
(328790,80525,'When Equipped:',100,0,0),
(328791,80525,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(328792,80525,'Inflicts 320 - 594 magic damage on target',100,2,2),
(328793,80525,'Decreases Threat to target by 1,219 ',100,2,3),
(328794,80525,'Must be flanking or behind',100,3,4),
(328795,80525,'Increases Threat to target by 1,219 ',100,2,5),
(328796,80525,'Must be in front of',100,3,6),
(328797,80525,'Cannot be modified except by direct means',100,2,7),
(328798,10080525,'When Equipped:',100,0,0),
(328799,10080525,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(328800,10080525,'Inflicts 416 - 772 magic damage on target',100,2,2),
(328801,10080525,'Cannot be modified except by direct means',100,2,3),
(328802,74668,'When Equipped:',100,0,0),
(328803,74668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328804,74668,'Inflicts 44 - 67 magic damage on target',100,2,2),
(328805,74668,'Cannot be modified except by direct means',100,2,3),
(328806,10074668,'When Equipped:',100,0,0),
(328807,10074668,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328808,10074668,'Inflicts 58 - 87 magic damage on target',100,2,2),
(328809,10074668,'Cannot be modified except by direct means',100,2,3),
(328810,112730,'Inflicts 517 - 861 disease damage on target encounter',100,1,0),
(328811,10112730,'Inflicts 672 - 1120 disease damage on target encounter',100,1,0),
(328812,138827,'When Equipped:',100,0,0),
(328813,138827,'On any combat or spell hit this spell may cast Gore and Conquest on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(328814,138827,'Inflicts 949 - 1049 slashing damage on target encounter instantly and every 2 seconds',100,2,2),
(328815,138827,'Heals group members (AE) for 1039 - 1148 instantly and every 2 seconds',100,2,3),
(328816,138827,'Decreases Potency of target encounter by 8%.',100,2,4),
(328817,138827,'Increases Potency of group members (AE) by 8%.',100,2,5),
(328818,138827,'Must not be engaged in pvp combat',100,2,6),
(328819,138827,'Cannot be modified except by direct means',100,2,7),
(328820,138827,'Must not be engaged in pvp combat',100,1,8),
(328821,10138827,'When Equipped:',100,0,0),
(328822,10138827,'On any combat or spell hit this spell may cast Gore and Conquest on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(328823,10138827,'Inflicts 1234 - 1364 slashing damage on target encounter instantly and every 2 seconds',100,2,2),
(328824,10138827,'Heals group members (AE) for 1215 - 1343 instantly and every 2 seconds',100,2,3),
(328825,10138827,'Decreases Potency of target encounter by 8%.',100,2,4),
(328826,10138827,'Increases Potency of group members (AE) by 8%.',100,2,5),
(328827,10138827,'Must not be engaged in pvp combat',100,2,6),
(328828,10138827,'Cannot be modified except by direct means',100,2,7),
(328829,10138827,'Must not be engaged in pvp combat',100,1,8),
(328830,163289,'Applies Burrowing Swarm when Activated.  Lasts for 12.0 seconds.',100,0,0),
(328831,163289,'Inflicts 14 - 17 poison damage on target',100,1,1),
(328832,163289,'Inflicts 17 - 21 poison damage on target every second',100,1,2),
(328833,163289,'Inflicts an additional 6 - 8 poison damage on target every tick',100,1,3),
(328834,163289,'Applies Boneshatter on termination.',100,1,4),
(328835,163289,'Inflicts 542 - 599 crushing damage on targets in Area of Effect',100,2,5),
(328836,163289,'Must not be engaged in pvp combat',100,2,6),
(328837,163289,'Cannot be modified except by direct means',100,2,7),
(328838,163289,'Must not be engaged in pvp combat',100,1,8),
(328839,163289,'Cannot be modified except by direct means',100,1,9),
(328840,163289,'The reuse time of Burrowing Swarm is 10 minutes',100,1,10),
(328841,10163289,'Applies Burrowing Swarm when Activated.  Lasts for 12.0 seconds.',100,0,0),
(328842,10163289,'Inflicts 18 - 21 poison damage on target',100,1,1),
(328843,10163289,'Inflicts 22 - 27 poison damage on target every second',100,1,2),
(328844,10163289,'Inflicts an additional 6 - 8 poison damage on target every tick',100,1,3),
(328845,10163289,'Applies Boneshatter on termination.',100,1,4),
(328846,10163289,'Inflicts 704 - 778 crushing damage on targets in Area of Effect',100,2,5),
(328847,10163289,'Must not be engaged in pvp combat',100,2,6),
(328848,10163289,'Cannot be modified except by direct means',100,2,7),
(328849,10163289,'Must not be engaged in pvp combat',100,1,8),
(328850,10163289,'Cannot be modified except by direct means',100,1,9),
(328851,10163289,'The reuse time of Burrowing Swarm is 10 minutes',100,1,10),
(328852,122353,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(328853,122353,'Inflicts 13 - 16 piercing damage on target',100,2,1),
(328854,10122353,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(328855,10122353,'Inflicts 17 - 20 piercing damage on target',100,2,1),
(328856,100180,'Inflicts 1039 - 1929 disease damage on target encounter',100,1,0),
(328857,10100180,'Inflicts 1351 - 2508 disease damage on target encounter',100,1,0),
(328858,118330,'Inflicts 28 - 47 melee damage on target',100,1,0),
(328859,118330,'Inflicts 28 - 47 heat damage on target every 4 seconds',100,1,1),
(328860,10118330,'Inflicts 36 - 61 melee damage on target',100,1,0),
(328861,10118330,'Inflicts 37 - 61 heat damage on target every 4 seconds',100,1,1),
(328862,100340,'Increases Max Health of target by 96.3',100,1,0),
(328863,100340,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.3',100,1,1),
(328864,10100340,'Increases Max Health of target by 96.3',100,1,0),
(328865,10100340,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.3',100,1,1),
(328866,135244,'When Equipped:',100,0,0),
(328867,135244,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328868,135244,'This effect stacks with the Runic Deflection line.',100,2,2),
(328869,135244,'Wards caster against 1300 points of all damage',100,2,3),
(328870,135244,'Cannot be modified except by direct means',100,2,4),
(328871,10135244,'When Equipped:',100,0,0),
(328872,10135244,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(328873,10135244,'This effect stacks with the Runic Deflection line.',100,2,2),
(328874,10135244,'Wards caster against 1300 points of all damage',100,2,3),
(328875,10135244,'Cannot be modified except by direct means',100,2,4),
(328876,80442,'When Equipped:',100,0,0),
(328877,80442,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(328878,80442,'Inflicts 48 - 90 magic damage on target',100,2,2),
(328879,80442,'Decreases Threat to target by 153 ',100,2,3),
(328880,80442,'Must be flanking or behind',100,3,4),
(328881,80442,'Increases Threat to target by 153 ',100,2,5),
(328882,80442,'Must be in front of',100,3,6),
(328883,80442,'Cannot be modified except by direct means',100,2,7),
(328884,10080442,'When Equipped:',100,0,0),
(328885,10080442,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(328886,10080442,'Inflicts 63 - 116 magic damage on target',100,2,2),
(328887,10080442,'Cannot be modified except by direct means',100,2,3),
(328888,26606,'When Equipped:',100,0,0),
(328889,26606,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(328890,26606,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(328891,10026606,'When Equipped:',100,0,0),
(328892,10026606,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(328893,10026606,'Adds 10% Double Attack to Fanaticism IV.',100,1,2),
(328894,106338,'Decreases Mitigation of target vs arcane damage by 262',100,1,0),
(328895,106338,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(328896,106338,'Slows target by 37.7%',100,2,2),
(328897,106338,'5% chance to dispel when target receives hostile action',100,2,3),
(328898,106338,'5% chance to dispel when target takes damage',100,2,4),
(328899,10106338,'Decreases Mitigation of target vs arcane damage by 262',100,1,0),
(328900,10106338,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(328901,10106338,'Slows target by 37.7%',100,2,2),
(328902,10106338,'5% chance to dispel when target receives hostile action',100,2,3),
(328903,10106338,'5% chance to dispel when target takes damage',100,2,4),
(328904,74852,'When Equipped:',100,0,0),
(328905,74852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328906,74852,'Inflicts 111 - 166 magic damage on target',100,2,2),
(328907,74852,'Cannot be modified except by direct means',100,2,3),
(328908,10074852,'When Equipped:',100,0,0),
(328909,10074852,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328910,10074852,'Inflicts 144 - 216 magic damage on target',100,2,2),
(328911,10074852,'Cannot be modified except by direct means',100,2,3),
(328912,117396,'Increases Threat to target by 633 ',100,1,0),
(328913,117396,'Inflicts 76 - 228 melee damage on target',100,1,1),
(328914,10117396,'Forces target to change their selected target to caster.',100,1,0),
(328915,10117396,'Inflicts 65 - 197 melee damage on target',100,1,1),
(328916,82251,'When Equipped:',100,0,0),
(328917,82251,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(328918,82251,'Inflicts 33 - 61 magic damage on target',100,2,2),
(328919,82251,'Decreases Threat to target by 135 ',100,2,3),
(328920,82251,'Must be flanking or behind',100,3,4),
(328921,82251,'Increases Threat to target by 135 ',100,2,5),
(328922,82251,'Must be in front of',100,3,6),
(328923,82251,'Cannot be modified except by direct means',100,2,7),
(328924,10082251,'When Equipped:',100,0,0),
(328925,10082251,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(328926,10082251,'Inflicts 43 - 80 magic damage on target',100,2,2),
(328927,10082251,'Cannot be modified except by direct means',100,2,3),
(328928,118229,'Throws target back',100,1,0),
(328929,118229,'If Target is not Epic',100,2,1),
(328930,118229,'Stuns targets in Area of Effect',100,1,2),
(328931,118229,'If Target is not Epic',100,2,3),
(328932,118229,'Inflicts 1746 - 2911 magic damage on targets in Area of Effect',100,1,4),
(328933,118229,'Resistibility increases against targets higher than level 107.',100,1,5),
(328934,10118229,'Throws target back',100,1,0),
(328935,10118229,'If Target is not Epic',100,2,1),
(328936,10118229,'Stuns targets in Area of Effect',100,1,2),
(328937,10118229,'If Target is not Epic',100,2,3),
(328938,10118229,'Inflicts 2270 - 3784 magic damage on targets in Area of Effect',100,1,4),
(328939,10118229,'Resistibility increases against targets higher than level 107.',100,1,5),
(328940,81711,'When Equipped:',100,0,0),
(328941,81711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328942,81711,'Inflicts 108 - 200 magic damage on target',100,2,2),
(328943,81711,'Cannot be modified except by direct means',100,2,3),
(328944,10081711,'When Equipped:',100,0,0),
(328945,10081711,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(328946,10081711,'Inflicts 140 - 260 magic damage on target',100,2,2),
(328947,10081711,'Cannot be modified except by direct means',100,2,3),
(328948,109184,'Roots target',100,1,0),
(328949,109184,'Applies Blind.  Lasts for 8.0 seconds.',100,1,1),
(328950,109184,'Blurs vision of target',100,2,2),
(328951,109184,'Dazes target',100,2,3),
(328952,109184,'Dispelled when target takes damage',100,2,4),
(328953,109184,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,2,5),
(328954,109184,'5% chance to dispel when target takes damage',100,1,6),
(328955,109184,'Epic targets gain an immunity to Root effects of 2 minutes 18 seconds and duration is reduced to 15.3 seconds.',100,1,7),
(328956,109184,'Resistibility increases against targets higher than level 90.',100,1,8),
(328957,10109184,'Roots target',100,1,0),
(328958,10109184,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(328959,10109184,'Dazes target',100,2,2),
(328960,10109184,'Blurs vision of target',100,2,3),
(328961,10109184,'Dispelled when target takes damage',100,2,4),
(328962,10109184,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(328963,10109184,'5% chance to dispel when target takes damage',100,1,6),
(328964,10109184,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(328965,10109184,'Resistibility increases against targets higher than level 90.',100,1,8),
(328966,138842,'When Equipped:',100,0,0),
(328967,138842,'On a healing spell cast this spell may cast Manawell on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(328968,138842,'Increases power of caster by 114',100,2,2),
(328969,138842,'Cannot be modified except by direct means',100,2,3),
(328970,10138842,'When Equipped:',100,0,0),
(328971,10138842,'On a healing spell cast this spell may cast Manawell on target of spell.  Triggers about 1.6 times per minute. ',100,1,1),
(328972,10138842,'Increases power of caster by 114',100,2,2),
(328973,10138842,'Cannot be modified except by direct means',100,2,3),
(328974,47489,'Applies Pegasus when Activated.',100,0,0),
(328975,47489,'Increases Crushing, Aggression, Piercing, Focus, Ranged, Subjugation, Ministration, Disruption and Slashing of caster by 5.0',100,1,1),
(328976,47489,'Summons a mount to ride',100,1,2),
(328977,47489,'Increases your ground speed by 75%',100,2,3),
(328978,47489,'Increases your air speed by 150%',100,2,4),
(328979,47489,'Increases Ordination of caster by 5.0',100,1,5),
(328980,10047489,'Applies Pegasus when Activated.',100,0,0),
(328981,10047489,'Increases Crushing, Aggression, Piercing, Focus, Ranged, Subjugation, Ministration, Disruption and Slashing of caster by 5.0',100,1,1),
(328982,10047489,'Summons a mount to ride',100,1,2),
(328983,10047489,'Increases your ground speed by 75%',100,2,3),
(328984,10047489,'Increases your air speed by 150%',100,2,4),
(328985,10047489,'Increases Ordination of caster by 5.0',100,1,5),
(328986,109342,'Increases STR of caster by 108.7',100,1,0),
(328987,109342,'Decreases Defense of caster by 21.8',100,1,1),
(328988,109342,'Increases Slashing, Piercing and Crushing of caster by 31.1',100,1,2),
(328989,10109342,'Increases STR of caster by 108.7',100,1,0),
(328990,10109342,'Decreases Defense of caster by 21.8',100,1,1),
(328991,10109342,'Increases Slashing, Piercing and Crushing of caster by 31.1',100,1,2),
(328992,26547,'When Equipped:',100,0,0),
(328993,26547,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,1),
(328994,26547,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(328995,10026547,'When Equipped:',100,0,0),
(328996,10026547,'Adds 5% magical damage reduction to Unholy Covenant VII.',100,1,1),
(328997,10026547,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(328998,144876,'When Equipped:',100,0,0),
(328999,144876,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(329000,10144876,'When Equipped:',100,0,0),
(329001,10144876,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(329002,81570,'When Equipped:',100,0,0),
(329003,81570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329004,81570,'Inflicts 111 - 205 magic damage on target',100,2,2),
(329005,81570,'Cannot be modified except by direct means',100,2,3),
(329006,10081570,'When Equipped:',100,0,0),
(329007,10081570,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329008,10081570,'Inflicts 144 - 267 magic damage on target',100,2,2),
(329009,10081570,'Cannot be modified except by direct means',100,2,3),
(329010,175293,'When Equipped:',100,0,0),
(329011,175293,'Increases Attack Speed of caster by 40.0',100,1,1),
(329012,10175293,'When Equipped:',100,0,0),
(329013,10175293,'Increases Attack Speed of caster by 40.0',100,1,1),
(329014,104427,'Inflicts 8 - 10 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(329015,104427,'Interrupts target encounter',100,1,1),
(329016,104427,'Applies Stumble on termination.',100,1,2),
(329017,104427,'Interrupts target',100,2,3),
(329018,10104427,'Inflicts 11 - 13 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(329019,10104427,'Interrupts target encounter',100,1,1),
(329020,10104427,'Applies Stumble on termination.',100,1,2),
(329021,10104427,'Interrupts target',100,2,3),
(329022,177545,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(329023,177545,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(329024,177545,'Inflicts 24 heat damage on target',100,2,2),
(329025,177545,'Cannot be modified except by direct means',100,2,3),
(329026,10177545,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(329027,10177545,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(329028,10177545,'Inflicts 31 heat damage on target',100,2,2),
(329029,10177545,'Cannot be modified except by direct means',100,2,3),
(329030,36039,'Increases STR of target by 8.4',100,0,0),
(329031,36039,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(329032,48342,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(329033,48342,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(329034,48342,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(329035,48342,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(329036,48342,'You can only have one experience potion active at a time.',100,1,4),
(329037,10048342,'Applies Superior Potion of the Advanced when Activated.  Lasts for 2 hours.',100,0,0),
(329038,10048342,'Increases AA XP Gain of caster by 100.0%',100,1,1),
(329039,10048342,'Increases Combat XP Gain of caster by 100.0%',100,1,2),
(329040,10048342,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(329041,10048342,'You can only have one experience potion active at a time.',100,1,4),
(329042,74604,'When Equipped:',100,0,0),
(329043,74604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329044,74604,'Inflicts 37 - 55 magic damage on target',100,2,2),
(329045,74604,'Cannot be modified except by direct means',100,2,3),
(329046,10074604,'When Equipped:',100,0,0),
(329047,10074604,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329048,10074604,'Inflicts 48 - 72 magic damage on target',100,2,2),
(329049,10074604,'Cannot be modified except by direct means',100,2,3),
(329050,100515,'Increases Attack Speed of group members (AE) by 25.8',100,1,0),
(329051,10100515,'Increases Attack Speed of group members (AE) by 25.8',100,1,0),
(329052,81194,'When Equipped:',100,0,0),
(329053,81194,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(329054,81194,'Inflicts 228 - 423 magic damage on target',100,2,2),
(329055,81194,'Decreases Threat to target by 833 ',100,2,3),
(329056,81194,'Must be flanking or behind',100,3,4),
(329057,81194,'Increases Threat to target by 833 ',100,2,5),
(329058,81194,'Must be in front of',100,3,6),
(329059,81194,'Cannot be modified except by direct means',100,2,7),
(329060,10081194,'When Equipped:',100,0,0),
(329061,10081194,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(329062,10081194,'Inflicts 296 - 550 magic damage on target',100,2,2),
(329063,10081194,'Cannot be modified except by direct means',100,2,3),
(329064,46994,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(329065,46994,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(329066,46994,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(329067,46994,'Inflicts 88 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(329068,46994,'Grants a total of 2 triggers of the spell.',100,3,4),
(329069,46994,'Cannot be modified except by direct means',100,2,5),
(329070,46994,'Grants a total of 4 triggers of the spell.',100,2,6),
(329071,10046994,'Applies sting of the beast when Activated.  Lasts for 12 hours.',100,0,0),
(329072,10046994,'On a combat hit this spell may cast Cadaverous Explosion Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(329073,10046994,'On death this spell will cast Corpsic Explosion on caster.  Lasts for 18.0 seconds.  ',100,2,2),
(329074,10046994,'Inflicts 114 poison damage on target encounter instantly and every 6 seconds',100,3,3),
(329075,10046994,'Grants a total of 2 triggers of the spell.',100,3,4),
(329076,10046994,'Cannot be modified except by direct means',100,2,5),
(329077,10046994,'Grants a total of 4 triggers of the spell.',100,2,6),
(329078,118196,'Increases Damage Per Second of group members (AE) by 17.8',100,1,0),
(329079,10118196,'Increases Damage Per Second of group members (AE) by 17.8',100,1,0),
(329080,112483,'Decreases AGI and WIS of target by 61.1',100,1,0),
(329081,10112483,'Decreases AGI and WIS of target by 61.1',100,1,0),
(329082,36697,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(329083,71854,'When Equipped:',100,0,0),
(329084,71854,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(329085,71854,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(329086,71854,'Cannot be modified except by direct means',100,2,3),
(329087,10071854,'When Equipped:',100,0,0),
(329088,10071854,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(329089,10071854,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(329090,10071854,'Cannot be modified except by direct means',100,2,3),
(329091,119088,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(329092,119088,'Increases Parry and Deflection of group members (AE) by 15.5',100,1,1),
(329093,119088,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(329094,119088,'Decreases Threat to target encounter by 664 - 812 ',100,2,3),
(329095,119088,'If not fighter',100,3,4),
(329096,119088,'Increases Threat to target encounter by 664 - 812 ',100,2,5),
(329097,119088,'If fighter',100,3,6),
(329098,119088,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(329099,119088,'Decreases Threat to target encounter by 664 - 812 ',100,2,8),
(329100,119088,'If not fighter',100,3,9),
(329101,119088,'Increases Threat to target encounter by 664 - 812 ',100,2,10),
(329102,119088,'If fighter',100,3,11),
(329103,10119088,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(329104,10119088,'Increases Parry and Deflection of group members (AE) by 15.5',100,1,1),
(329105,10119088,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(329106,10119088,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(329107,74694,'When Equipped:',100,0,0),
(329108,74694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329109,74694,'Inflicts 150 - 226 magic damage on target',100,2,2),
(329110,74694,'Cannot be modified except by direct means',100,2,3),
(329111,10074694,'When Equipped:',100,0,0),
(329112,10074694,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329113,10074694,'Inflicts 196 - 293 magic damage on target',100,2,2),
(329114,10074694,'Cannot be modified except by direct means',100,2,3),
(329115,104329,'Charms target',100,1,0),
(329116,104329,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(329117,104329,'Mesmerizes target',100,2,2),
(329118,104329,'Dispelled when target takes damage',100,2,3),
(329119,104329,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(329120,104329,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(329121,104329,'Grants Sonic Vision to caster',100,2,6),
(329122,104329,'Increases Out-of-Combat Power Regeneration of target by 3.6',100,1,7),
(329123,104329,'Increases Out-of-Combat Health Regeneration of target by 7.2',100,1,8),
(329124,104329,'Certain enemies cannot be charmed',100,1,9),
(329125,104329,'Only affects targets level 24 and below',100,1,10),
(329126,104329,'Does not affect Epic targets',100,1,11),
(329127,10104329,'Mesmerizes target',100,1,0),
(329128,10104329,'Prevents AOE (except when direct) ',100,1,1),
(329129,10104329,'Dispelled when target takes damage',100,1,2),
(329130,10104329,'Certain enemies cannot be charmed',100,1,3),
(329131,10104329,'Only affects targets level 24 and below',100,1,4),
(329132,10104329,'Does not affect Epic targets',100,1,5),
(329133,10104329,'Resistibility increases against targets higher than level 39.',100,1,6),
(329134,106507,'Decreases STR and AGI of target by 99.8',100,1,0),
(329135,10106507,'Decreases STR and AGI of target by 99.8',100,1,0),
(329136,47255,'Applies Kane''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(329137,47255,'Increases Max Health of caster by 208.0',100,1,1),
(329138,10047255,'Applies Kane''s Salvation  when Activated.  Lasts for 15 minutes.',100,0,0),
(329139,10047255,'Increases Max Health of caster by 208.0',100,1,1),
(329140,121115,'Decreases Threat to targets in Area of Effect by 3,848 ',100,1,0),
(329141,121115,'Mesmerizes targets in Area of Effect',100,1,1),
(329142,121115,'If Target is not Epic',100,2,2),
(329143,121115,'Dispelled when target takes damage',100,1,3),
(329144,10121115,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(329145,10121115,'Applies Distract.',100,1,1),
(329146,10121115,'Forces target to clear their selected target.',100,2,2),
(329147,10121115,'Mesmerizes targets in Area of Effect',100,1,3),
(329148,10121115,'If Target is not Epic',100,2,4),
(329149,10121115,'Dispelled when target takes damage',100,1,5),
(329150,101045,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(329151,101045,'Inflicts 359 poison damage on target instantly and every 4 seconds',100,2,1),
(329152,101045,'If profession other than Predator',100,1,2),
(329153,101045,'If profession other than Rogue',100,1,3),
(329154,10101045,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',100,1,0),
(329155,10101045,'Inflicts 467 poison damage on target instantly and every 4 seconds',100,2,1),
(329156,10101045,'If profession other than Predator',100,1,2),
(329157,10101045,'If profession other than Rogue',100,1,3),
(329158,110569,'Decreases Attack Speed of target by 17.4',100,1,0),
(329159,110569,'Decreases Crushing, Slashing and Piercing of target by 5.0',100,1,1),
(329160,10110569,'Decreases Attack Speed of target by 17.4',100,1,0),
(329161,10110569,'Decreases Crushing, Slashing and Piercing of target by 5.0',100,1,1),
(329162,117329,'Roots target',100,1,0),
(329163,117329,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(329164,117329,'Slows target by 37.4%',100,2,2),
(329165,117329,'5% chance to dispel when target receives hostile action',100,2,3),
(329166,117329,'5% chance to dispel when target takes damage',100,2,4),
(329167,117329,'15% chance to dispel when target takes damage',100,1,5),
(329168,117329,'Does not affect Epic targets',100,1,6),
(329169,117329,'Resistibility increases against targets higher than level 76.',100,1,7),
(329170,10117329,'Roots target',100,1,0),
(329171,10117329,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(329172,10117329,'Slows target by 37.4%',100,2,2),
(329173,10117329,'10% chance to dispel when target receives hostile action',100,2,3),
(329174,10117329,'10% chance to dispel when target takes damage',100,2,4),
(329175,10117329,'15% chance to dispel when target takes damage',100,1,5),
(329176,10117329,'Does not affect Epic targets',100,1,6),
(329177,10117329,'Resistibility increases against targets higher than level 76.',100,1,7),
(329178,46956,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(329179,46956,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(329180,46956,'Inflicts 41 poison damage on target',100,2,2),
(329181,46956,'Inflicts 107 poison damage on target instantly and every 6 seconds',100,2,3),
(329182,46956,'Cannot be modified except by direct means',100,2,4),
(329183,46956,'Grants a total of 200 triggers of the spell.',100,2,5),
(329184,10046956,'Applies fluxbladed visions when Activated.  Lasts for 12 hours.',100,0,0),
(329185,10046956,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(329186,10046956,'Inflicts 105 poison damage on target instantly and every 6 seconds',100,2,2),
(329187,10046956,'Inflicts 40 poison damage on target',100,2,3),
(329188,10046956,'Cannot be modified except by direct means',100,2,4),
(329189,10046956,'Grants a total of 200 triggers of the spell.',100,2,5),
(329190,81944,'When Equipped:',100,0,0),
(329191,81944,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(329192,81944,'Inflicts 265 - 492 magic damage on target',100,2,2),
(329193,81944,'Decreases Threat to target by 994 ',100,2,3),
(329194,81944,'Must be flanking or behind',100,3,4),
(329195,81944,'Increases Threat to target by 994 ',100,2,5),
(329196,81944,'Must be in front of',100,3,6),
(329197,81944,'Cannot be modified except by direct means',100,2,7),
(329198,10081944,'When Equipped:',100,0,0),
(329199,10081944,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(329200,10081944,'Inflicts 345 - 640 magic damage on target',100,2,2),
(329201,10081944,'Cannot be modified except by direct means',100,2,3),
(329202,108846,'Inflicts 59 - 99 melee damage on target',100,1,0),
(329203,108846,'Inflicts 59 - 99 melee damage on target',100,1,1),
(329204,108846,'Inflicts 59 - 99 melee damage on target',100,1,2),
(329205,108846,'Inflicts 59 - 99 melee damage on target',100,1,3),
(329206,108846,'Inflicts 59 - 99 melee damage on target',100,1,4),
(329207,10108846,'Inflicts 77 - 129 melee damage on target',100,1,0),
(329208,10108846,'Inflicts 77 - 129 melee damage on target',100,1,1),
(329209,10108846,'Inflicts 77 - 129 melee damage on target',100,1,2),
(329210,10108846,'Inflicts 77 - 129 melee damage on target',100,1,3),
(329211,10108846,'Inflicts 77 - 129 melee damage on target',100,1,4),
(329212,80253,'When Equipped:',100,0,0),
(329213,80253,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329214,80253,'Inflicts 169 - 314 magic damage on target',100,2,2),
(329215,80253,'Cannot be modified except by direct means',100,2,3),
(329216,10080253,'When Equipped:',100,0,0),
(329217,10080253,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329218,10080253,'Inflicts 220 - 408 magic damage on target',100,2,2),
(329219,10080253,'Cannot be modified except by direct means',100,2,3),
(329220,173427,'When Equipped:',100,0,0),
(329221,173427,'On a hostile spell cast this spell may cast Concussive Shock on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329222,173427,'Stuns target encounter',100,2,2),
(329223,173427,'Must not be engaged in pvp combat',100,2,3),
(329224,173427,'Epic targets gain an immunity to Stun effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,2,4),
(329225,173427,'Resistibility increases against targets higher than level 111.',100,2,5),
(329226,173427,'Cannot be modified except by direct means',100,2,6),
(329227,173427,'Must not be engaged in pvp combat',100,1,7),
(329228,10173427,'When Equipped:',100,0,0),
(329229,10173427,'On a hostile spell cast this spell may cast Concussive Shock on target of spell.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329230,10173427,'Stuns target encounter',100,2,2),
(329231,10173427,'Must not be engaged in pvp combat',100,2,3),
(329232,10173427,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(329233,10173427,'Resistibility increases against targets higher than level 111.',100,2,5),
(329234,10173427,'Cannot be modified except by direct means',100,2,6),
(329235,10173427,'Must not be engaged in pvp combat',100,1,7),
(329236,47975,'Applies Knowledge of Tracking when Activated.  Lasts for 5 hours.',100,0,0),
(329237,47975,'Temporarily grants the Tracking ability.',100,1,1),
(329238,10047975,'Applies Knowledge of Tracking when Activated.  Lasts for 5 hours.',100,0,0),
(329239,10047975,'Temporarily grants the Tracking ability.',100,1,1),
(329240,75564,'Applies Disease Blast when Activated.',100,0,0),
(329241,75564,'Inflicts 303 - 504 disease damage on target',100,1,1),
(329242,75564,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(329243,10075564,'Applies Disease Blast when Activated.',100,0,0),
(329244,10075564,'Inflicts 394 - 656 disease damage on target',100,1,1),
(329245,10075564,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(329246,75033,'Applies Mental Blast when Activated.',100,0,0),
(329247,75033,'Inflicts 127 - 211 mental damage on target',100,1,1),
(329248,75033,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(329249,10075033,'Applies Mental Blast when Activated.',100,0,0),
(329250,10075033,'Inflicts 164 - 274 mental damage on target',100,1,1),
(329251,10075033,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(329252,147266,'When Equipped:',100,0,0),
(329253,147266,'Increases Attack Speed of caster by 45.0',100,1,1),
(329254,10147266,'When Equipped:',100,0,0),
(329255,10147266,'Increases Attack Speed of caster by 45.0',100,1,1),
(329256,121680,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(329257,121680,'Inflicts 23 - 28 heat damage on target instantly and every second',100,2,1),
(329258,10121680,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',100,1,0),
(329259,10121680,'Inflicts 29 - 36 heat damage on target instantly and every second',100,2,1),
(329260,119165,'Inflicts 98 disease damage on target every 3 seconds',100,1,0),
(329261,119165,'Inflicts 488 - 814 melee damage on target',100,1,1),
(329262,119165,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(329263,119165,'Inflicts 196 disease damage on target every 3 seconds',100,2,3),
(329264,119165,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(329265,119165,'Inflicts 293 disease damage on target every 3 seconds',100,3,5),
(329266,119165,'You must be sneaking to use this ability.',100,1,6),
(329267,119165,'Must be behind',100,1,7),
(329268,10119165,'Inflicts 127 disease damage on target every 3 seconds',100,1,0),
(329269,10119165,'Inflicts 635 - 1059 melee damage on target',100,1,1),
(329270,10119165,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,1,2),
(329271,10119165,'Inflicts 254 disease damage on target every 3 seconds',100,2,3),
(329272,10119165,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',100,2,4),
(329273,10119165,'Inflicts 381 disease damage on target every 3 seconds',100,3,5),
(329274,10119165,'You must be sneaking to use this ability.',100,1,6),
(329275,10119165,'Must be behind',100,1,7),
(329276,159923,'Applies Sanguine Imbued when Equipped.',100,0,0),
(329277,159923,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(329278,159923,'Inflicts 121 heat damage on target',100,2,2),
(329279,159923,'Cannot be modified except by direct means',100,2,3),
(329280,10159923,'Applies Sanguine Imbued when Equipped.',100,0,0),
(329281,10159923,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(329282,10159923,'Inflicts 157 heat damage on target',100,2,2),
(329283,10159923,'Cannot be modified except by direct means',100,2,3),
(329284,45034,'Applies Calm when Activated.',100,0,0),
(329285,10045034,'Applies Calm when Activated.',100,0,0),
(329286,123441,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(329287,123441,'Stuns target',100,2,1),
(329288,123441,'Blurs vision of target',100,2,2),
(329289,123441,'Throws target back',100,2,3),
(329290,123441,'Does not affect Epic targets',100,2,4),
(329291,123441,'Inflicts 456 - 1368 melee damage on target',100,1,5),
(329292,10123441,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(329293,10123441,'Stuns target',100,2,1),
(329294,10123441,'Blurs vision of target',100,2,2),
(329295,10123441,'Throws target back',100,2,3),
(329296,10123441,'Does not affect Epic targets',100,2,4),
(329297,10123441,'Inflicts 593 - 1779 melee damage on target',100,1,5),
(329298,108325,'Inflicts 213 - 356 divine damage on target',100,1,0),
(329299,108325,'Heals caster for 1.4% of max health',100,1,1),
(329300,108325,'This effect cannot be critically applied.',100,2,2),
(329301,108325,'The healing of this spell cannot be modified except by direct means',100,1,3),
(329302,10108325,'Inflicts 277 - 462 divine damage on target',100,1,0),
(329303,10108325,'Heals caster for 0.7% of max health',100,1,1),
(329304,10108325,'This effect cannot be critically applied.',100,2,2),
(329305,10108325,'The healing of this spell cannot be modified except by direct means',100,1,3),
(329306,87134,'When Equipped:',100,0,0),
(329307,87134,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329308,87134,'Inflicts 155 - 232 magic damage on target',100,2,2),
(329309,87134,'Cannot be modified except by direct means',100,2,3),
(329310,10087134,'When Equipped:',100,0,0),
(329311,10087134,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329312,10087134,'Inflicts 201 - 302 magic damage on target',100,2,2),
(329313,10087134,'Cannot be modified except by direct means',100,2,3),
(329314,45261,'Applies Simple Tools when Equipped.',100,0,0),
(329315,45261,'Increases success chance by 1.0%',100,1,1),
(329316,10045261,'Applies Simple Tools when Equipped.',100,0,0),
(329317,10045261,'Increases success chance by 1.0%',100,1,1),
(329318,100996,'Increases INT of target by 68.8',100,1,0),
(329319,100996,'Increases Attack Speed of target by 30.7',100,1,1),
(329320,100996,'Decreases Defense and Parry of target by 23.9',100,1,2),
(329321,100996,'Increases Slashing, Piercing and Crushing of target by 15.1',100,1,3),
(329322,10100996,'Increases INT of target by 68.8',100,1,0),
(329323,10100996,'Increases Attack Speed of target by 30.7',100,1,1),
(329324,10100996,'Decreases Defense and Parry of target by 23.9',100,1,2),
(329325,10100996,'Increases Slashing, Piercing and Crushing of target by 15.1',100,1,3),
(329326,37176,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(329327,123280,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(329328,123280,'Inflicts 52 - 87 disease damage on target',100,2,1),
(329329,123280,'Heals caster for 0.7 - 1.2% of max health',100,2,2),
(329330,123280,'This effect cannot be critically applied.',100,3,3),
(329331,123280,'The healing of this spell cannot be modified except by direct means',100,2,4),
(329332,10123280,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(329333,10123280,'Inflicts 68 - 113 disease damage on target',100,2,1),
(329334,10123280,'Heals caster for 0.3 - 0.4% of max health',100,2,2),
(329335,10123280,'This effect cannot be critically applied.',100,3,3),
(329336,10123280,'The healing of this spell cannot be modified except by direct means',100,2,4),
(329337,27453,'When Equipped:',100,0,0),
(329338,27453,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,1),
(329339,27453,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(329340,10027453,'When Equipped:',100,0,0),
(329341,10027453,'Reduces the reuse time of Inner Focus by 15 seconds.',100,1,1),
(329342,10027453,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(329343,54713,'When Equipped:',100,0,0),
(329344,54713,'Increases Max Health of caster by 1,220.0',100,1,1),
(329345,54713,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(329346,54713,'Cannot be modified except by direct means',100,1,3),
(329347,10054713,'When Equipped:',100,0,0),
(329348,10054713,'Increases Max Health of caster by 1,220.0',100,1,1),
(329349,10054713,'\\#FF0000This effect will not stack with any other Stout effect.\\/c',100,1,2),
(329350,10054713,'Cannot be modified except by direct means',100,1,3),
(329351,35691,'Increases Max Power of target by 47.2',100,0,0),
(329352,35691,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(329353,110111,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(329354,110111,'Inflicts 30 disease damage on target',100,2,1),
(329355,110111,'Heals caster for 22',100,2,2),
(329356,110111,'Decreases INT of target by 137.5',100,1,3),
(329357,110111,'Decreases Attack Speed of target by 25.0',100,1,4),
(329358,110111,'Increases Max Health of target by 11.0%',100,1,5),
(329359,110111,'Increases Hate Gain of target by 31.7%',100,1,6),
(329360,110111,'Increases Aggression of target by 11.6',100,1,7),
(329361,110111,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(329362,110111,'Increases Threat to target encounter by 116 - 142 ',100,2,9),
(329363,110111,'Increases Mitigation of target vs elemental, noxious and arcane damage by 770',100,1,10),
(329364,10110111,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(329365,10110111,'Inflicts 39 disease damage on target',100,2,1),
(329366,10110111,'Heals caster for 14',100,2,2),
(329367,10110111,'Decreases INT of target by 137.5',100,1,3),
(329368,10110111,'Decreases Attack Speed of target by 25.0',100,1,4),
(329369,10110111,'Increases Max Health of target by 11.0%',100,1,5),
(329370,10110111,'Increases Aggression of target by 11.6',100,1,6),
(329371,10110111,'Increases Mitigation of target vs elemental, noxious and arcane damage by 770',100,1,7),
(329372,114047,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(329373,114047,'Heals target for 12 instantly and every 2 seconds',100,2,1),
(329374,114047,'Decreases Mitigation of target vs arcane damage by 300',100,1,2),
(329375,10114047,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',100,1,0),
(329376,10114047,'Heals target for 7 instantly and every 2 seconds',100,2,1),
(329377,10114047,'Decreases Mitigation of target vs arcane damage by 300',100,1,2),
(329378,47771,'Applies Ridren''s Blessing II when Activated.  Lasts for 6 hours.',100,0,0),
(329379,47771,'Increases STR of caster by 0.0',100,1,1),
(329380,47771,'Dispels 200 levels of noxious hostile effects on caster',100,1,2),
(329381,10047771,'Applies Ridren''s Blessing II when Activated.  Lasts for 6 hours.',100,0,0),
(329382,10047771,'Increases STR of caster by 0.0',100,1,1),
(329383,10047771,'Dispels 200 levels of noxious hostile effects on caster',100,1,2),
(329384,87214,'When Equipped:',100,0,0),
(329385,87214,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329386,87214,'Inflicts 51 - 76 magic damage on target',100,2,2),
(329387,87214,'Cannot be modified except by direct means',100,2,3),
(329388,10087214,'When Equipped:',100,0,0),
(329389,10087214,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329390,10087214,'Inflicts 66 - 99 magic damage on target',100,2,2),
(329391,10087214,'Cannot be modified except by direct means',100,2,3),
(329392,121563,'Inflicts 274 - 457 melee damage on targets in area',100,1,0),
(329393,121563,'Stuns target encounter',100,1,1),
(329394,121563,'If Target is not Epic',100,2,2),
(329395,121563,'Resistibility increases against targets higher than level 102.',100,1,3),
(329396,10121563,'Inflicts 356 - 594 melee damage on targets in area',100,1,0),
(329397,10121563,'Stuns target encounter',100,1,1),
(329398,10121563,'If Target is not Epic',100,2,2),
(329399,10121563,'Resistibility increases against targets higher than level 102.',100,1,3),
(329400,46755,'Applies Kordian''s Replenishment when Activated.',100,0,0),
(329401,46755,'Heals caster for 149',100,1,1),
(329402,10046755,'Applies Kordian''s Replenishment when Activated.',100,0,0),
(329403,10046755,'Heals caster for 97',100,1,1),
(329404,137112,'When Equipped:',100,0,0),
(329405,137112,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(329406,137112,'Increases INT of caster by 30.4',100,2,2),
(329407,137112,'Increases Disruption, Subjugation and Focus of caster by 16.6',100,2,3),
(329408,137112,'Cannot be modified except by direct means',100,2,4),
(329409,10137112,'When Equipped:',100,0,0),
(329410,10137112,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(329411,10137112,'Increases INT of caster by 30.4',100,2,2),
(329412,10137112,'Increases Disruption, Subjugation and Focus of caster by 16.6',100,2,3),
(329413,10137112,'Cannot be modified except by direct means',100,2,4),
(329414,123112,'Inflicts 75 disease damage on targets in Area of Effect',100,1,0),
(329415,123112,'Inflicts 51 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(329416,10123112,'Inflicts 97 disease damage on targets in Area of Effect',100,1,0),
(329417,10123112,'Inflicts 66 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(329418,101620,'Applies Forceful Headache on termination.',100,1,0),
(329419,101620,'Inflicts 97 - 162 mental damage on target',100,2,1),
(329420,101620,'If over 50% power',100,3,2),
(329421,101620,'Inflicts 39 - 48 mental damage on target instantly and every 6 seconds',100,1,3),
(329422,101620,'Decreases Mitigation of target vs arcane damage by 392',100,1,4),
(329423,10101620,'Applies Forceful Headache on termination.',100,1,0),
(329424,10101620,'Inflicts 126 - 211 mental damage on target',100,2,1),
(329425,10101620,'If over 50% power',100,3,2),
(329426,10101620,'Inflicts 51 - 62 mental damage on target instantly and every 6 seconds',100,1,3),
(329427,10101620,'Decreases Mitigation of target vs arcane damage by 392',100,1,4),
(329428,159841,'Applies Sanguine Imbued when Equipped.',100,0,0),
(329429,159841,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(329430,159841,'Inflicts 140 heat damage on target',100,2,2),
(329431,159841,'Cannot be modified except by direct means',100,2,3),
(329432,10159841,'Applies Sanguine Imbued when Equipped.',100,0,0),
(329433,10159841,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(329434,10159841,'Inflicts 182 heat damage on target',100,2,2),
(329435,10159841,'Cannot be modified except by direct means',100,2,3),
(329436,106694,'Heals target for 20 - 25',100,1,0),
(329437,10106694,'Heals target for 24 - 29',100,1,0),
(329438,120523,'Inflicts 625 - 1042 melee damage on target',100,1,0),
(329439,120523,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(329440,120523,'Grants stealth to caster',100,2,2),
(329441,120523,'Suspends caster''s movement speed enhancements',100,2,3),
(329442,120523,'Must be flanking or behind',100,1,4),
(329443,10120523,'Inflicts 813 - 1355 melee damage on target',100,1,0),
(329444,10120523,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(329445,10120523,'Grants stealth to caster',100,2,2),
(329446,10120523,'Suspends caster''s movement speed enhancements',100,2,3),
(329447,10120523,'Must be flanking or behind',100,1,4),
(329448,140757,'When Equipped:',100,0,0),
(329449,140757,'When damaged in combat this spell has a 7% chance to cast Enlightened Stun on target''s attacker.  Lasts for 7.0 seconds.  ',100,1,1),
(329450,140757,'Stuns target',100,2,2),
(329451,140757,'Does not affect Epic targets',100,2,3),
(329452,140757,'Cannot be modified except by direct means',100,2,4),
(329453,10140757,'When Equipped:',100,0,0),
(329454,10140757,'When damaged in combat this spell has a 7% chance to cast Enlightened Stun on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(329455,10140757,'Stuns target',100,2,2),
(329456,10140757,'Does not affect Epic targets',100,2,3),
(329457,10140757,'Cannot be modified except by direct means',100,2,4),
(329458,36123,'Increases Out-of-Combat Power Regeneration of target by 33.0',100,0,0),
(329459,36123,'This effect suspends during combat',100,0,1),
(329460,121336,'Inflicts 1357 - 2261 ranged damage on targets in area',100,1,0),
(329461,121336,'Requires bow',100,1,1),
(329462,10121336,'Inflicts 915 - 1526 ranged damage on targets in area',100,1,0),
(329463,10121336,'Requires bow',100,1,1),
(329464,138285,'When Equipped:',100,0,0),
(329465,138285,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(329466,138285,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(329467,138285,'Inflicts 562 mental damage on target',100,2,3),
(329468,138285,'Must be classified as an undead',100,3,4),
(329469,138285,'Inflicts 281 mental damage on target',100,2,5),
(329470,138285,'Must not be classified as an undead',100,3,6),
(329471,138285,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(329472,138285,'Must be classified as an undead',100,3,8),
(329473,138285,'Cannot be modified except by direct means',100,2,9),
(329474,10138285,'When Equipped:',100,0,0),
(329475,10138285,'Additional equipment with Undead Bane improves this effect.',100,1,1),
(329476,10138285,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,2),
(329477,10138285,'Inflicts 731 mental damage on target',100,2,3),
(329478,10138285,'Must be classified as an undead',100,3,4),
(329479,10138285,'Inflicts 365 mental damage on target',100,2,5),
(329480,10138285,'Must not be classified as an undead',100,3,6),
(329481,10138285,'Decreases Mitigation of target vs arcane damage by 410',100,2,7),
(329482,10138285,'Must be classified as an undead',100,3,8),
(329483,10138285,'Cannot be modified except by direct means',100,2,9),
(329484,119181,'Inflicts 53 - 89 heat damage on target',100,1,0),
(329485,119181,'Inflicts 53 - 89 heat damage on target',100,1,1),
(329486,119181,'Requires bow',100,1,2),
(329487,10119181,'Inflicts 54 - 90 heat damage on target',100,1,0),
(329488,10119181,'Inflicts 54 - 90 heat damage on target',100,1,1),
(329489,10119181,'Requires bow',100,1,2),
(329490,81752,'When Equipped:',100,0,0),
(329491,81752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329492,81752,'Inflicts 97 - 180 magic damage on target',100,2,2),
(329493,81752,'Cannot be modified except by direct means',100,2,3),
(329494,10081752,'When Equipped:',100,0,0),
(329495,10081752,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329496,10081752,'Inflicts 126 - 234 magic damage on target',100,2,2),
(329497,10081752,'Cannot be modified except by direct means',100,2,3),
(329498,46007,'Applies a brilliant experience when Activated.  Lasts for 1 hour.',100,0,0),
(329499,46007,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(329500,46007,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(329501,46007,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(329502,46007,'You can only have one experience potion active at a time.',100,1,4),
(329503,10046007,'Applies a brilliant experience when Activated.  Lasts for 1 hour.',100,0,0),
(329504,10046007,'Increases Combat XP Gain of caster by 100.0%',100,1,1),
(329505,10046007,'Increases AA XP Gain of caster by 100.0%',100,1,2),
(329506,10046007,'Increases Tradeskill XP Gain of caster by 100.0%',100,1,3),
(329507,10046007,'You can only have one experience potion active at a time.',100,1,4),
(329508,80476,'When Equipped:',100,0,0),
(329509,80476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329510,80476,'Inflicts 46 - 86 magic damage on target',100,2,2),
(329511,80476,'Cannot be modified except by direct means',100,2,3),
(329512,10080476,'When Equipped:',100,0,0),
(329513,10080476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329514,10080476,'Inflicts 60 - 112 magic damage on target',100,2,2),
(329515,10080476,'Cannot be modified except by direct means',100,2,3),
(329516,80907,'When Equipped:',100,0,0),
(329517,80907,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329518,80907,'Inflicts 169 - 314 magic damage on target',100,2,2),
(329519,80907,'Cannot be modified except by direct means',100,2,3),
(329520,10080907,'When Equipped:',100,0,0),
(329521,10080907,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329522,10080907,'Inflicts 220 - 409 magic damage on target',100,2,2),
(329523,10080907,'Cannot be modified except by direct means',100,2,3),
(329524,49130,'Applies Whirlwind of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(329525,49130,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(329526,10049130,'Applies Whirlwind of Insight when Activated.  Lasts for 30.0 seconds.',100,0,0),
(329527,10049130,'Increases power of caster by 4 instantly and every 5 seconds',100,1,1),
(329528,104896,'Inflicts 220 - 367 magic damage on targets in area',100,1,0),
(329529,10104896,'Inflicts 286 - 477 magic damage on targets in area',100,1,0),
(329530,45383,'Applies Call Nightmare when Activated.',100,0,0),
(329531,45383,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',100,1,1),
(329532,45383,'Summons a mount to ride',100,1,2),
(329533,45383,'Increases your ground speed by 130%',100,2,3),
(329534,10045383,'Applies Call Nightmare when Activated.',100,0,0),
(329535,10045383,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',100,1,1),
(329536,10045383,'Summons a mount to ride',100,1,2),
(329537,10045383,'Increases your ground speed by 130%',100,2,3),
(329538,42232,'When Equipped:',100,0,0),
(329539,42232,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329540,42232,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(329541,42232,'Heals caster for 1185 - 1309',100,2,3),
(329542,42232,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(329543,42232,'Must not be engaged in pvp combat',100,2,5),
(329544,42232,'Cannot be modified except by direct means',100,2,6),
(329545,42232,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(329546,42232,'Cannot be modified except by direct means',100,1,8),
(329547,10042232,'When Equipped:',100,0,0),
(329548,10042232,'On any combat or spell hit this spell may cast Phantasmal Siphon III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329549,10042232,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(329550,10042232,'Heals caster for 1386 - 1532',100,2,3),
(329551,10042232,'Decreases Mitigation of target vs physical damage by 1339',100,2,4),
(329552,10042232,'Must not be engaged in pvp combat',100,2,5),
(329553,10042232,'Cannot be modified except by direct means',100,2,6),
(329554,10042232,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,7),
(329555,10042232,'Cannot be modified except by direct means',100,1,8),
(329556,48475,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(329557,48475,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(329558,48475,'Inflicts 40 poison damage on target',100,2,2),
(329559,48475,'Inflicts 104 poison damage on target instantly and every 6 seconds',100,2,3),
(329560,48475,'Cannot be modified except by direct means',100,2,4),
(329561,48475,'Grants a total of 200 triggers of the spell.',100,2,5),
(329562,10048475,'Applies rancorous affliction when Activated.  Lasts for 12 hours.',100,0,0),
(329563,10048475,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(329564,10048475,'Inflicts 39 poison damage on target',100,2,2),
(329565,10048475,'Inflicts 102 poison damage on target instantly and every 6 seconds',100,2,3),
(329566,10048475,'Cannot be modified except by direct means',100,2,4),
(329567,10048475,'Grants a total of 200 triggers of the spell.',100,2,5),
(329568,103629,'Increases STR of raid and group members (AE) by 22.0',100,1,0),
(329569,103629,'Improves the base amount of taunts by 11%.',100,1,1),
(329570,103629,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(329571,103629,'Increases AGI of raid and group members (AE) by 22.0',100,1,3),
(329572,103629,'Adds 1.1% to base avoidance.',100,1,4),
(329573,10103629,'Increases STR of raid and group members (AE) by 22.0',100,1,0),
(329574,10103629,'Improves the base amount of taunts by 11%.',100,1,1),
(329575,10103629,'Improves the base amount of combat arts by 3.44%.',100,1,2),
(329576,10103629,'Increases AGI of raid and group members (AE) by 22.0',100,1,3),
(329577,10103629,'Adds 1.1% to base avoidance.',100,1,4),
(329578,46606,'Applies Guardsmanship of the Vale when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(329579,46606,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(329580,46606,'Inflicts 6 magic damage on target',100,2,2),
(329581,46606,'Cannot be modified except by direct means',100,2,3),
(329582,10046606,'Applies Guardsmanship of the Vale when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(329583,10046606,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(329584,10046606,'Inflicts 8 magic damage on target',100,2,2),
(329585,10046606,'Cannot be modified except by direct means',100,2,3),
(329586,101544,'Inflicts 44 - 74 melee damage on target',100,1,0),
(329587,101544,'You must be sneaking to use this ability.',100,1,1),
(329588,10101544,'Inflicts 58 - 96 melee damage on target',100,1,0),
(329589,10101544,'You must be sneaking to use this ability.',100,1,1),
(329590,119277,'Inflicts 61 - 101 slashing damage on target',100,1,0),
(329591,119277,'Decreases Damage Per Second of target by 15.0',100,1,1),
(329592,119277,'Inflicts 82 slashing damage on target instantly and every 4 seconds',100,1,2),
(329593,10119277,'Inflicts 79 - 132 slashing damage on target',100,1,0),
(329594,10119277,'Decreases Damage Per Second of target by 15.0',100,1,1),
(329595,10119277,'Inflicts 106 slashing damage on target instantly and every 4 seconds',100,1,2),
(329596,166448,'When Equipped:',100,0,0),
(329597,166448,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(329598,166448,'Inflicts 2664 cold damage on target encounter',100,2,2),
(329599,166448,'Must not be engaged in pvp combat',100,2,3),
(329600,166448,'Cannot be modified except by direct means',100,2,4),
(329601,166448,'Must not be engaged in pvp combat',100,1,5),
(329602,10166448,'When Equipped:',100,0,0),
(329603,10166448,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(329604,10166448,'Inflicts 1732 cold damage on target encounter',100,2,2),
(329605,10166448,'Must not be engaged in pvp combat',100,2,3),
(329606,10166448,'Cannot be modified except by direct means',100,2,4),
(329607,10166448,'Must not be engaged in pvp combat',100,1,5),
(329608,104105,'Roots target',100,1,0),
(329609,104105,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(329610,104105,'Makes target afraid',100,2,2),
(329611,104105,'Slows target by 18.6%',100,2,3),
(329612,104105,'30% chance to dispel when target takes damage',100,2,4),
(329613,104105,'Resistibility increases against targets higher than level 48.',100,2,5),
(329614,104105,'15% chance to dispel when target takes damage',100,1,6),
(329615,104105,'Does not affect Epic targets',100,1,7),
(329616,104105,'Resistibility increases against targets higher than level 48.',100,1,8),
(329617,10104105,'Roots target',100,1,0),
(329618,10104105,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(329619,10104105,'Makes target afraid',100,2,2),
(329620,10104105,'Slows target by 18.6%',100,2,3),
(329621,10104105,'30% chance to dispel when target takes damage',100,2,4),
(329622,10104105,'Resistibility increases against targets higher than level 48.',100,2,5),
(329623,10104105,'15% chance to dispel when target takes damage',100,1,6),
(329624,10104105,'Does not affect Epic targets',100,1,7),
(329625,10104105,'Resistibility increases against targets higher than level 48.',100,1,8),
(329626,119842,'Dazes target',100,1,0),
(329627,119842,'Does not affect Epic targets',100,1,1),
(329628,119842,'Resistibility increases against targets higher than level 78.',100,1,2),
(329629,10119842,'Dazes target',100,1,0),
(329630,10119842,'Does not affect Epic targets',100,1,1),
(329631,10119842,'Resistibility increases against targets higher than level 78.',100,1,2),
(329632,159846,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(329633,159846,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(329634,159846,'Inflicts 19 heat damage on target',100,2,2),
(329635,159846,'Cannot be modified except by direct means',100,2,3),
(329636,10159846,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(329637,10159846,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(329638,10159846,'Inflicts 25 heat damage on target',100,2,2),
(329639,10159846,'Cannot be modified except by direct means',100,2,3),
(329640,100651,'Increases AGI, STR and STA of target by 57.4',100,1,0),
(329641,100651,'Adds 1.8% to base avoidance.',100,1,1),
(329642,10100651,'Increases AGI, STR and STA of target by 57.4',100,1,0),
(329643,10100651,'Adds 1.8% to base avoidance.',100,1,1),
(329644,48630,'Applies Aegis of Ortallis  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(329645,48630,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(329646,48630,'Inflicts 2 magic damage on target',100,2,2),
(329647,48630,'Cannot be modified except by direct means',100,2,3),
(329648,10048630,'Applies Aegis of Ortallis  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(329649,10048630,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(329650,10048630,'Inflicts 2 magic damage on target',100,2,2),
(329651,10048630,'Cannot be modified except by direct means',100,2,3),
(329652,121325,'Inflicts 747 - 1246 ranged damage on targets in area',100,1,0),
(329653,121325,'Requires bow',100,1,1),
(329654,10121325,'Inflicts 504 - 841 ranged damage on targets in area',100,1,0),
(329655,10121325,'Requires bow',100,1,1),
(329656,111070,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(329657,111070,'Slows target by 59.8%',100,2,1),
(329658,111070,'5% chance to dispel when target receives hostile action',100,2,2),
(329659,111070,'5% chance to dispel when target takes damage',100,2,3),
(329660,111070,'Decreases Mitigation of target vs elemental damage by 1184',100,1,4),
(329661,10111070,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(329662,10111070,'Slows target by 59.8%',100,2,1),
(329663,10111070,'5% chance to dispel when target receives hostile action',100,2,2),
(329664,10111070,'5% chance to dispel when target takes damage',100,2,3),
(329665,10111070,'Decreases Mitigation of target vs elemental damage by 1184',100,1,4),
(329666,24120,'Adds Clockwork Copter (Assassin) to your Dungeon Maker toolbox',100,0,0),
(329667,10024120,'Adds Clockwork Copter (Assassin) to your Dungeon Maker toolbox',100,0,0),
(329668,116272,'Summons a pet Illusion Ally',100,1,0),
(329669,10116272,'Summons a pet Illusion Ally',100,1,0),
(329670,120958,'Inflicts 614 - 1024 ranged damage on target',100,1,0),
(329671,120958,'If weapon equipped in Ranged',100,1,1),
(329672,120958,'Must be behind',100,1,2),
(329673,10120958,'Inflicts 461 - 768 ranged damage on target',100,1,0),
(329674,10120958,'If weapon equipped in Ranged',100,1,1),
(329675,10120958,'Must be behind',100,1,2),
(329676,109439,'Inflicts 131 - 160 cold damage on target instantly and every 4 seconds',100,1,0),
(329677,109439,'Decreases Mitigation of target vs elemental damage by 650',100,1,1),
(329678,10109439,'Inflicts 170 - 208 cold damage on target instantly and every 4 seconds',100,1,0),
(329679,10109439,'Decreases Mitigation of target vs elemental damage by 650',100,1,1),
(329680,109908,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(329681,109908,'Inflicts 81 - 99 poison damage on target instantly and every 4 seconds',100,2,1),
(329682,10109908,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(329683,10109908,'Inflicts 106 - 129 poison damage on target instantly and every 4 seconds',100,2,1),
(329684,164618,'Applies Unstable Magics when Equipped.',100,0,0),
(329685,164618,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(329686,10164618,'Applies Unstable Magics when Equipped.',100,0,0),
(329687,10164618,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(329688,82705,'When Equipped:',100,0,0),
(329689,82705,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(329690,82705,'Inflicts 237 - 440 magic damage on target',100,2,2),
(329691,82705,'Decreases Threat to target by 1,174 ',100,2,3),
(329692,82705,'Must be flanking or behind',100,3,4),
(329693,82705,'Increases Threat to target by 1,174 ',100,2,5),
(329694,82705,'Must be in front of',100,3,6),
(329695,82705,'Cannot be modified except by direct means',100,2,7),
(329696,10082705,'When Equipped:',100,0,0),
(329697,10082705,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(329698,10082705,'Inflicts 308 - 572 magic damage on target',100,2,2),
(329699,10082705,'Cannot be modified except by direct means',100,2,3),
(329700,113112,'Heals target for 74.9 - 91.5% of max health',100,1,0),
(329701,113112,'This effect cannot be critically applied.',100,2,1),
(329702,113112,'Increases Max Health of target by 1,054.0',100,1,2),
(329703,113112,'Increases Mitigation of target vs physical damage by 1243',100,1,3),
(329704,113112,'The healing of this spell cannot be modified except by direct means',100,1,4),
(329705,10113112,'Heals target for 30.0 - 36.6% of max health',100,1,0),
(329706,10113112,'This effect cannot be critically applied.',100,2,1),
(329707,10113112,'Increases Max Health of target by 1,054.0',100,1,2),
(329708,10113112,'Increases Mitigation of target vs physical damage by 1243',100,1,3),
(329709,10113112,'The healing of this spell cannot be modified except by direct means',100,1,4),
(329710,119610,'Inflicts 453 - 756 mental damage on targets in Area of Effect',100,1,0),
(329711,119610,'Stuns targets in Area of Effect',100,1,1),
(329712,119610,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(329713,119610,'Resistibility increases against targets higher than level 79.',100,1,3),
(329714,10119610,'Inflicts 589 - 982 mental damage on targets in Area of Effect',100,1,0),
(329715,10119610,'Stuns targets in Area of Effect',100,1,1),
(329716,10119610,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(329717,10119610,'Resistibility increases against targets higher than level 79.',100,1,3),
(329718,109946,'Stuns target',100,1,0),
(329719,109946,'Does not affect Epic targets',100,1,1),
(329720,109946,'Resistibility increases against targets higher than level 101.',100,1,2),
(329721,10109946,'Stuns target',100,1,0),
(329722,10109946,'Does not affect Epic targets',100,1,1),
(329723,10109946,'Resistibility increases against targets higher than level 101.',100,1,2),
(329724,124684,'Inflicts 147 - 180 cold damage on target instantly and every 4 seconds',100,1,0),
(329725,124684,'Slows target by 75.0%',100,1,1),
(329726,10124684,'Inflicts 191 - 234 cold damage on target',100,1,0),
(329727,10124684,'Inflicts 166 - 203 cold damage on target every 4 seconds',100,1,1),
(329728,10124684,'Applies Frigid Winds on termination.  Lasts for 5.0 seconds.',100,1,2),
(329729,10124684,'Slows target by 75.0%',100,2,3),
(329730,114548,'Heals target for 563 - 688',100,1,0),
(329731,10114548,'Heals target for 732 - 894',100,1,0),
(329732,183221,'When Equipped:',100,0,0),
(329733,183221,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(329734,183221,'Inflicts 2664 disease damage on target encounter',100,2,2),
(329735,183221,'Must not be engaged in pvp combat',100,2,3),
(329736,183221,'Cannot be modified except by direct means',100,2,4),
(329737,10183221,'When Equipped:',100,0,0),
(329738,10183221,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(329739,10183221,'Inflicts 1732 disease damage on target encounter',100,2,2),
(329740,10183221,'Must not be engaged in pvp combat',100,2,3),
(329741,10183221,'Cannot be modified except by direct means',100,2,4),
(329742,102701,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(329743,102701,'Inflicts 180 - 299 heat damage on target',100,2,1),
(329744,102701,'Grants a total of 5 triggers of the spell.',100,2,2),
(329745,102701,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(329746,102701,'Inflicts 180 - 299 heat damage on target',100,2,4),
(329747,102701,'Grants a total of 5 triggers of the spell.',100,2,5),
(329748,10102701,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',100,1,0),
(329749,10102701,'Inflicts 233 - 389 heat damage on target',100,2,1),
(329750,10102701,'Grants a total of 5 triggers of the spell.',100,2,2),
(329751,10102701,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',100,1,3),
(329752,10102701,'Inflicts 233 - 389 heat damage on target',100,2,4),
(329753,10102701,'Grants a total of 5 triggers of the spell.',100,2,5),
(329754,154398,'When Equipped:',100,0,0),
(329755,154398,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329756,154398,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,2),
(329757,154398,'Grants a 15.0% chance to resist Stifle effects',100,2,3),
(329758,154398,'Cannot be modified except by direct means',100,2,4),
(329759,10154398,'When Equipped:',100,0,0),
(329760,10154398,'On a healing spell cast this spell may cast Reflexive Skin on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329761,10154398,'Reduces elemental, noxious and arcane damage done to target by 15%',100,2,2),
(329762,10154398,'Grants a 15.0% chance to resist Stifle effects',100,2,3),
(329763,10154398,'Cannot be modified except by direct means',100,2,4),
(329764,36248,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(329765,173293,'When Equipped:',100,0,0),
(329766,173293,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(329767,10173293,'When Equipped:',100,0,0),
(329768,10173293,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(329769,147225,'When Equipped:',100,0,0),
(329770,147225,'Increases Potency of caster by 5.0%',100,1,1),
(329771,147225,'Increases Crit Bonus of caster by 5.0%',100,1,2),
(329772,147225,'Increases Max Health of caster by 1,550.0',100,1,3),
(329773,147225,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(329774,147225,'Cannot be modified except by direct means',100,1,5),
(329775,10147225,'When Equipped:',100,0,0),
(329776,10147225,'Increases Potency of caster by 5.0%',100,1,1),
(329777,10147225,'Increases Crit Bonus of caster by 5.0%',100,1,2),
(329778,10147225,'Increases Max Health of caster by 1,550.0',100,1,3),
(329779,10147225,'Increases Ability Modifier of caster by 1,100.0',100,1,4),
(329780,10147225,'Cannot be modified except by direct means',100,1,5),
(329781,119578,'Increases power of caster by 20 instantly and every 4 seconds',100,1,0),
(329782,10119578,'Increases power of caster by 20 instantly and every 4 seconds',100,1,0),
(329783,37027,'Increases INT of target by 10.5',100,0,0),
(329784,37027,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(329785,114648,'Decreases WIS of target by 100.1',100,1,0),
(329786,114648,'Inflicts 929 - 1548 melee damage on target',100,1,1),
(329787,114648,'You must be sneaking to use this ability.',100,1,2),
(329788,10114648,'Decreases WIS of target by 100.1',100,1,0),
(329789,10114648,'Inflicts 1207 - 2013 melee damage on target',100,1,1),
(329790,10114648,'You must be sneaking to use this ability.',100,1,2),
(329791,40947,'When Equipped:',100,0,0),
(329792,40947,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329793,40947,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,2),
(329794,40947,'Must not be engaged in pvp combat',100,2,3),
(329795,40947,'Cannot be modified except by direct means',100,2,4),
(329796,40947,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(329797,40947,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,6),
(329798,40947,'Must not be engaged in pvp combat',100,2,7),
(329799,40947,'Cannot be modified except by direct means',100,2,8),
(329800,40947,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(329801,40947,'Cannot be modified except by direct means',100,1,10),
(329802,10040947,'When Equipped:',100,0,0),
(329803,10040947,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(329804,10040947,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,2),
(329805,10040947,'Must not be engaged in pvp combat',100,2,3),
(329806,10040947,'Cannot be modified except by direct means',100,2,4),
(329807,10040947,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(329808,10040947,'Increases STR, INT, AGI and WIS of caster by 110.0',100,2,6),
(329809,10040947,'Must not be engaged in pvp combat',100,2,7),
(329810,10040947,'Cannot be modified except by direct means',100,2,8),
(329811,10040947,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(329812,10040947,'Cannot be modified except by direct means',100,1,10),
(329813,102684,'Inflicts 302 divine damage on target encounter',100,1,0),
(329814,10102684,'Inflicts 393 divine damage on target encounter',100,1,0),
(329815,105745,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(329816,105745,'Stuns target',100,2,1),
(329817,105745,'Blurs vision of target',100,2,2),
(329818,105745,'Throws target back',100,2,3),
(329819,105745,'Does not affect Epic targets',100,2,4),
(329820,105745,'Inflicts 461 - 769 melee damage on targets in area',100,1,5),
(329821,10105745,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(329822,10105745,'Blurs vision of target',100,2,1),
(329823,10105745,'Stuns target',100,2,2),
(329824,10105745,'Throws target back',100,2,3),
(329825,10105745,'Does not affect Epic targets',100,2,4),
(329826,10105745,'Inflicts 600 - 1000 melee damage on targets in area',100,1,5),
(329827,46552,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(329828,46552,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(329829,46552,'Inflicts 252 poison damage on target instantly and every 4 seconds',100,2,2),
(329830,46552,'Cannot be modified except by direct means',100,2,3),
(329831,46552,'Grants a total of 100 triggers of the spell.',100,2,4),
(329832,10046552,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(329833,10046552,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(329834,10046552,'Inflicts 245 poison damage on target instantly and every 4 seconds',100,2,2),
(329835,10046552,'Cannot be modified except by direct means',100,2,3),
(329836,10046552,'Grants a total of 100 triggers of the spell.',100,2,4),
(329837,107852,'Decreases Mitigation of target vs elemental damage by 644',100,1,0),
(329838,107852,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(329839,107852,'Slows target by 48.4%',100,2,2),
(329840,107852,'5% chance to dispel when target receives hostile action',100,2,3),
(329841,107852,'5% chance to dispel when target takes damage',100,2,4),
(329842,10107852,'Decreases Mitigation of target vs elemental damage by 644',100,1,0),
(329843,10107852,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(329844,10107852,'Slows target by 48.4%',100,2,2),
(329845,10107852,'5% chance to dispel when target receives hostile action',100,2,3),
(329846,10107852,'5% chance to dispel when target takes damage',100,2,4),
(329847,159021,'When Equipped:',100,0,0),
(329848,159021,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(329849,159021,'Increases AGI of caster by 23.1',100,2,2),
(329850,159021,'Increases Attack Speed of caster by 23.9',100,2,3),
(329851,159021,'Cannot be modified except by direct means',100,2,4),
(329852,10159021,'When Equipped:',100,0,0),
(329853,10159021,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(329854,10159021,'Increases AGI of caster by 23.1',100,2,2),
(329855,10159021,'Increases Attack Speed of caster by 23.9',100,2,3),
(329856,10159021,'Cannot be modified except by direct means',100,2,4),
(329857,114805,'Decreases WIS of target by 57.9',100,1,0),
(329858,114805,'Increases WIS and STA of caster by 57.9',100,1,1),
(329859,114805,'Decreases Max Health of target by 1.1%',100,1,2),
(329860,114805,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 184',100,1,3),
(329861,114805,'Only affects targets level 17 and above',100,1,4),
(329862,10114805,'Decreases WIS of target by 57.9',100,1,0),
(329863,10114805,'Increases WIS and STA of caster by 57.9',100,1,1),
(329864,10114805,'Decreases Max Health of target by 1.1%',100,1,2),
(329865,10114805,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 184',100,1,3),
(329866,10114805,'Only affects targets level 17 and above',100,1,4),
(329867,48623,'Applies Release Hawk when Activated.',100,0,0),
(329868,48623,'This effect cannot be cast during combat',100,1,1),
(329869,10048623,'Applies Release Hawk when Activated.',100,0,0),
(329870,10048623,'This effect cannot be cast during combat',100,1,1),
(329871,26881,'When Equipped:',100,0,0),
(329872,26881,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(329873,26881,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(329874,26881,'Heals caster for 88 - 107',100,3,3),
(329875,26881,'Grants a total of 3 triggers of the spell.',100,3,4),
(329876,26881,'Cannot be modified except by direct means',100,2,5),
(329877,10026881,'When Equipped:',100,0,0),
(329878,10026881,'On a block this spell has a 10% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(329879,10026881,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(329880,10026881,'Heals caster for 57 - 70',100,3,3),
(329881,10026881,'Grants a total of 3 triggers of the spell.',100,3,4),
(329882,10026881,'Cannot be modified except by direct means',100,2,5),
(329883,101499,'Increases WIS of target by 9.4',100,1,0),
(329884,101499,'Increases Max Health of target by 29.6',100,1,1),
(329885,101499,'Increases Mitigation of target vs elemental, noxious and arcane damage by 23',100,1,2),
(329886,10101499,'Increases WIS of target by 9.4',100,1,0),
(329887,10101499,'Increases Max Health of target by 29.6',100,1,1),
(329888,10101499,'Increases Mitigation of target vs elemental, noxious and arcane damage by 23',100,1,2),
(329889,191684,'When Equipped:',100,0,0),
(329890,191684,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(329891,191684,'Wards target against 1000 points of all damage',100,2,2),
(329892,191684,'Cannot be modified except by direct means',100,2,3),
(329893,191684,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(329894,10191684,'When Equipped:',100,0,0),
(329895,10191684,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(329896,10191684,'Wards target against 1000 points of all damage',100,2,2),
(329897,10191684,'Cannot be modified except by direct means',100,2,3),
(329898,10191684,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(329899,121822,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(329900,121822,'Increases Mitigation of group members (AE) vs arcane damage by 346',100,1,1),
(329901,10121822,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(329902,10121822,'Increases Mitigation of group members (AE) vs arcane damage by 346',100,1,1),
(329903,113846,'Inflicts 510 - 850 disease damage on target',100,1,0),
(329904,10113846,'Inflicts 663 - 1105 disease damage on target',100,1,0),
(329905,74753,'When Equipped:',100,0,0),
(329906,74753,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329907,74753,'Inflicts 64 - 96 magic damage on target',100,2,2),
(329908,74753,'Cannot be modified except by direct means',100,2,3),
(329909,10074753,'When Equipped:',100,0,0),
(329910,10074753,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329911,10074753,'Inflicts 83 - 125 magic damage on target',100,2,2),
(329912,10074753,'Cannot be modified except by direct means',100,2,3),
(329913,124086,'Dispels 98 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(329914,10124086,'Dispels 98 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(329915,35124,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(329916,107606,'Dazes target encounter',100,1,0),
(329917,107606,'Inflicts 504 - 616 mental damage on target encounter',100,1,1),
(329918,107606,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(329919,107606,'Resistibility increases against targets higher than level 117.',100,1,3),
(329920,10107606,'Dazes target encounter',100,1,0),
(329921,10107606,'Inflicts 656 - 801 mental damage on target encounter',100,1,1),
(329922,10107606,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(329923,10107606,'Resistibility increases against targets higher than level 117.',100,1,3),
(329924,103459,'Increases In-Combat Power Regeneration of group members (AE) by 7.4',100,1,0),
(329925,10103459,'Increases In-Combat Power Regeneration of group members (AE) by 7.4',100,1,0),
(329926,100219,'Increases Threat to target encounter by 824 - 1,007 ',100,1,0),
(329927,100219,'Interrupts target encounter',100,1,1),
(329928,10100219,'Interrupts target encounter',100,1,0),
(329929,10100219,'Forces target encounter to change their selected target to caster.',100,1,1),
(329930,10100219,'Prevents target encounter from changing targets',100,1,2),
(329931,45171,'Applies Dig when Activated.',100,0,0),
(329932,45171,'This effect cannot be cast during combat',100,1,1),
(329933,10045171,'Applies Dig when Activated.',100,0,0),
(329934,10045171,'This effect cannot be cast during combat',100,1,1),
(329935,48191,'Applies Spirit Totem of the Chokidai when Activated.  Lasts for 30 minutes.',100,0,0),
(329936,48191,'Shapechanges caster into a chokidai',100,1,1),
(329937,48191,'Increases speed of caster by 45.0%',100,1,2),
(329938,48191,'This effect suspends during combat',100,1,3),
(329939,48191,'Only affects targets level 65 and above',100,1,4),
(329940,10048191,'Applies Spirit Totem of the Chokidai when Activated.  Lasts for 30 minutes.',100,0,0),
(329941,10048191,'Shapechanges caster into a chokidai',100,1,1),
(329942,10048191,'Increases speed of caster by 45.0%',100,1,2),
(329943,10048191,'This effect suspends during combat',100,1,3),
(329944,10048191,'Only affects targets level 65 and above',100,1,4),
(329945,118687,'Inflicts 129 - 388 crushing damage on target',100,1,0),
(329946,10118687,'Inflicts 168 - 505 crushing damage on target',100,1,0),
(329947,104601,'Heals target for 142 - 173',100,1,0),
(329948,10104601,'Heals target for 92 - 113',100,1,0),
(329949,104692,'Decreases Mitigation of target vs all damage by 711',100,1,0),
(329950,10104692,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 711',100,1,0),
(329951,10104692,'Decreases Mitigation of target vs physical damage by 593',100,1,1),
(329952,113543,'Inflicts 290 - 483 disease damage on target',100,1,0),
(329953,10113543,'Inflicts 377 - 628 disease damage on target',100,1,0),
(329954,111625,'Inflicts 51 - 95 cold damage on target',100,1,0),
(329955,10111625,'Inflicts 66 - 123 cold damage on target',100,1,0),
(329956,87148,'When Equipped:',100,0,0),
(329957,87148,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329958,87148,'Inflicts 51 - 76 magic damage on target',100,2,2),
(329959,87148,'Cannot be modified except by direct means',100,2,3),
(329960,10087148,'When Equipped:',100,0,0),
(329961,10087148,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(329962,10087148,'Inflicts 66 - 99 magic damage on target',100,2,2),
(329963,10087148,'Cannot be modified except by direct means',100,2,3),
(329964,117312,'Roots target',100,1,0),
(329965,117312,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',100,1,1),
(329966,117312,'Slows target by 54.1%',100,2,2),
(329967,117312,'5% chance to dispel when target receives hostile action',100,2,3),
(329968,117312,'5% chance to dispel when target takes damage',100,2,4),
(329969,117312,'15% chance to dispel when target takes damage',100,1,5),
(329970,117312,'Does not affect Epic targets',100,1,6),
(329971,117312,'Resistibility increases against targets higher than level 48.',100,1,7),
(329972,10117312,'Roots target',100,1,0),
(329973,10117312,'Applies Quicksand on termination.  Lasts for 5.0 seconds.',100,1,1),
(329974,10117312,'Slows target by 54.1%',100,2,2),
(329975,10117312,'10% chance to dispel when target receives hostile action',100,2,3),
(329976,10117312,'10% chance to dispel when target takes damage',100,2,4),
(329977,10117312,'15% chance to dispel when target takes damage',100,1,5),
(329978,10117312,'Does not affect Epic targets',100,1,6),
(329979,10117312,'Resistibility increases against targets higher than level 48.',100,1,7),
(329980,47134,'Applies Bulwark of Jaggedpine  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(329981,47134,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(329982,47134,'Inflicts 28 magic damage on target',100,2,2),
(329983,47134,'Cannot be modified except by direct means',100,2,3),
(329984,10047134,'Applies Bulwark of Jaggedpine  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(329985,10047134,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(329986,10047134,'Inflicts 36 magic damage on target',100,2,2),
(329987,10047134,'Cannot be modified except by direct means',100,2,3),
(329988,106819,'Decreases STR and AGI of target encounter by 110.8',100,1,0),
(329989,10106819,'Decreases STR and AGI of target encounter by 110.8',100,1,0),
(329990,147170,'When Equipped:',100,0,0),
(329991,147170,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(329992,147170,'Inflicts 2664 cold damage on target encounter',100,2,2),
(329993,147170,'Must not be engaged in pvp combat',100,2,3),
(329994,147170,'Cannot be modified except by direct means',100,2,4),
(329995,147170,'Must not be engaged in pvp combat',100,1,5),
(329996,10147170,'When Equipped:',100,0,0),
(329997,10147170,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(329998,10147170,'Inflicts 1732 cold damage on target encounter',100,2,2),
(329999,10147170,'Must not be engaged in pvp combat',100,2,3),
(330000,10147170,'Cannot be modified except by direct means',100,2,4),
(330001,10147170,'Must not be engaged in pvp combat',100,1,5),
(330002,24501,'Adds Lair of Scale: Twisting Tall Azurite Sculpture to your Dungeon Maker toolbox',100,0,0),
(330003,10024501,'Adds Lair of Scale: Twisting Tall Azurite Sculpture to your Dungeon Maker toolbox',100,0,0),
(330004,121726,'Increases AGI of caster by 64.1',100,1,0),
(330005,121726,'Adds 1.7% to base avoidance.',100,1,1),
(330006,121726,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(330007,121726,'Increases Parry of caster by 36.6',100,1,3),
(330008,121726,'Increases Defense of caster by 48.8',100,1,4),
(330009,10121726,'Increases AGI of caster by 64.1',100,1,0),
(330010,10121726,'Adds 1.7% to base avoidance.',100,1,1),
(330011,10121726,'Decreases Slashing and Piercing of caster by 25.9',100,1,2),
(330012,10121726,'Increases Parry of caster by 36.6',100,1,3),
(330013,10121726,'Increases Defense of caster by 48.8',100,1,4),
(330014,37000,'Increases Max Power of target by 108.8',100,0,0),
(330015,37000,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(330016,151078,'When Equipped:',100,0,0),
(330017,151078,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(330018,151078,'Decreases Mitigation of target vs arcane damage by 656',100,2,2),
(330019,151078,'Must be classified as an undead',100,3,3),
(330020,151078,'Inflicts 787 mental damage on target',100,2,4),
(330021,151078,'Must be classified as an undead',100,3,5),
(330022,151078,'Inflicts 393 mental damage on target',100,2,6),
(330023,151078,'Must not be classified as an undead',100,3,7),
(330024,151078,'Cannot be modified except by direct means',100,2,8),
(330025,151078,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(330026,10151078,'When Equipped:',100,0,0),
(330027,10151078,'On any combat or spell hit this spell may cast Greater Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(330028,10151078,'Decreases Mitigation of target vs arcane damage by 656',100,2,2),
(330029,10151078,'Must be classified as an undead',100,3,3),
(330030,10151078,'Inflicts 1023 mental damage on target',100,2,4),
(330031,10151078,'Must be classified as an undead',100,3,5),
(330032,10151078,'Inflicts 511 mental damage on target',100,2,6),
(330033,10151078,'Must not be classified as an undead',100,3,7),
(330034,10151078,'Cannot be modified except by direct means',100,2,8),
(330035,10151078,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(330036,109278,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(330037,109278,'Increases Mitigation of group members (AE) vs elemental damage by 202',100,1,1),
(330038,10109278,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(330039,10109278,'Increases Mitigation of group members (AE) vs elemental damage by 202',100,1,1),
(330040,104968,'Inflicts 1280 - 2133 melee damage on target',100,1,0),
(330041,104968,'Decreases Defense of target by 71.5',100,1,1),
(330042,104968,'Must be behind',100,1,2),
(330043,10104968,'Inflicts 1664 - 2773 melee damage on target',100,1,0),
(330044,10104968,'Decreases Defense of target by 71.5',100,1,1),
(330045,10104968,'Must be behind',100,1,2),
(330046,102179,'Increases Mitigation of group members (AE) vs physical damage by 208',100,1,0),
(330047,10102179,'Increases Mitigation of group members (AE) vs physical damage by 208',100,1,0),
(330048,113266,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(330049,113266,'Inflicts 97 - 162 magic damage on target',100,2,1),
(330050,113266,'Grants a total of 8 triggers of the spell.',100,2,2),
(330051,10113266,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',100,1,0),
(330052,10113266,'Inflicts 127 - 211 magic damage on target',100,2,1),
(330053,10113266,'Grants a total of 8 triggers of the spell.',100,2,2),
(330054,26636,'When Equipped:',100,0,0),
(330055,26636,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,1),
(330056,26636,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(330057,10026636,'When Equipped:',100,0,0),
(330058,10026636,'Improves the duration and reuse time of Rock Skin by 10 seconds.',100,1,1),
(330059,10026636,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(330060,115313,'Summons a limited pet to aid the caster',100,1,0),
(330061,10115313,'Summons a limited pet to aid the caster',100,1,0),
(330062,117933,'Heals target for 51 - 62',100,1,0),
(330063,117933,'Increases Max Health of target by 5.8',100,1,1),
(330064,10117933,'Heals target for 58 - 71',100,1,0),
(330065,10117933,'Increases Max Health of target by 5.8',100,1,1),
(330066,82760,'When Equipped:',100,0,0),
(330067,82760,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330068,82760,'Inflicts 237 - 440 magic damage on target',100,2,2),
(330069,82760,'Decreases Threat to target by 1,174 ',100,2,3),
(330070,82760,'Must be flanking or behind',100,3,4),
(330071,82760,'Increases Threat to target by 1,175 ',100,2,5),
(330072,82760,'Must be in front of',100,3,6),
(330073,82760,'Cannot be modified except by direct means',100,2,7),
(330074,10082760,'When Equipped:',100,0,0),
(330075,10082760,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330076,10082760,'Inflicts 308 - 572 magic damage on target',100,2,2),
(330077,10082760,'Cannot be modified except by direct means',100,2,3),
(330078,71348,'When Equipped:',100,0,0),
(330079,71348,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(330080,71348,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(330081,71348,'Cannot be modified except by direct means',100,2,3),
(330082,10071348,'When Equipped:',100,0,0),
(330083,10071348,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(330084,10071348,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(330085,10071348,'Cannot be modified except by direct means',100,2,3),
(330086,116967,'Increases Threat to target by 669 - 817 ',100,1,0),
(330087,116967,'Interrupts target',100,1,1),
(330088,10116967,'Forces target to change their selected target to caster.',100,1,0),
(330089,10116967,'Interrupts target',100,1,1),
(330090,10116967,'Prevents target from changing targets',100,1,2),
(330091,188493,'When Equipped:',100,0,0),
(330092,188493,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(330093,188493,'Heals group members (AE) for 2304',100,2,2),
(330094,188493,'Heals group members (AE) for 773 every 5 seconds',100,2,3),
(330095,188493,'Must not be engaged in pvp combat',100,2,4),
(330096,188493,'Cannot be modified except by direct means',100,2,5),
(330097,188493,'Must not be engaged in pvp combat',100,1,6),
(330098,10188493,'When Equipped:',100,0,0),
(330099,10188493,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(330100,10188493,'Heals group members (AE) for 2695',100,2,2),
(330101,10188493,'Heals group members (AE) for 904 every 5 seconds',100,2,3),
(330102,10188493,'Must not be engaged in pvp combat',100,2,4),
(330103,10188493,'Cannot be modified except by direct means',100,2,5),
(330104,10188493,'Must not be engaged in pvp combat',100,1,6),
(330105,117410,'Increases Threat to target by 927 ',100,1,0),
(330106,117410,'Inflicts 103 - 309 melee damage on target',100,1,1),
(330107,10117410,'Forces target to change their selected target to caster.',100,1,0),
(330108,10117410,'Inflicts 89 - 268 melee damage on target',100,1,1),
(330109,108482,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(330110,108482,'Increases Aggression of caster by 17.8',100,1,1),
(330111,108482,'Increases Defense and Parry of caster by 35.5',100,1,2),
(330112,108482,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(330113,10108482,'Decreases Slashing, Piercing and Crushing of caster by 25.9',100,1,0),
(330114,10108482,'Increases Aggression of caster by 17.8',100,1,1),
(330115,10108482,'Increases Defense and Parry of caster by 35.5',100,1,2),
(330116,10108482,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(330117,104311,'Inflicts 262 - 437 melee damage on target',100,1,0),
(330118,104311,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(330119,104311,'Throws target back',100,2,2),
(330120,104311,'Stuns target',100,2,3),
(330121,104311,'Blurs vision of target',100,2,4),
(330122,104311,'Does not affect Epic targets',100,2,5),
(330123,10104311,'Inflicts 341 - 568 melee damage on target',100,1,0),
(330124,10104311,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(330125,10104311,'Throws target back',100,2,2),
(330126,10104311,'Stuns target',100,2,3),
(330127,10104311,'Blurs vision of target',100,2,4),
(330128,10104311,'Does not affect Epic targets',100,2,5),
(330129,81237,'When Equipped:',100,0,0),
(330130,81237,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330131,81237,'Inflicts 320 - 594 magic damage on target',100,2,2),
(330132,81237,'Decreases Threat to target by 1,219 ',100,2,3),
(330133,81237,'Must be flanking or behind',100,3,4),
(330134,81237,'Increases Threat to target by 1,219 ',100,2,5),
(330135,81237,'Must be in front of',100,3,6),
(330136,81237,'Cannot be modified except by direct means',100,2,7),
(330137,10081237,'When Equipped:',100,0,0),
(330138,10081237,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330139,10081237,'Inflicts 416 - 772 magic damage on target',100,2,2),
(330140,10081237,'Cannot be modified except by direct means',100,2,3),
(330141,45102,'Applies burn when Activated.',100,0,0),
(330142,45102,'Updates a specific part of the Quest \"A Gnomish Master Plan\"',100,1,1),
(330143,45102,'This effect cannot be cast during combat',100,1,2),
(330144,45102,'If any of the following are true:',100,1,3),
(330145,45102,'must be in a particular area',100,2,4),
(330146,45102,'must be in a particular area',100,2,5),
(330147,45102,'must be in a particular area',100,2,6),
(330148,45102,'must be in a particular area',100,2,7),
(330149,10045102,'Applies burn when Activated.',100,0,0),
(330150,10045102,'Updates a specific part of the Quest \"A Gnomish Master Plan\"',100,1,1),
(330151,10045102,'This effect cannot be cast during combat',100,1,2),
(330152,10045102,'If any of the following are true:',100,1,3),
(330153,10045102,'must be in a particular area',100,2,4),
(330154,10045102,'must be in a particular area',100,2,5),
(330155,10045102,'must be in a particular area',100,2,6),
(330156,10045102,'must be in a particular area',100,2,7),
(330157,90358,'When Equipped:',100,0,0),
(330158,90358,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(330159,90358,'Inflicts 16 - 20 magic damage on target',100,2,2),
(330160,90358,'If target is Darathar',100,3,3),
(330161,90358,'Cannot be modified except by direct means',100,2,4),
(330162,10090358,'When Equipped:',100,0,0),
(330163,10090358,'On a combat hit this spell will cast Wyrmsteel on target of attack.  ',100,1,1),
(330164,10090358,'Inflicts 21 - 26 magic damage on target',100,2,2),
(330165,10090358,'If target is Darathar',100,3,3),
(330166,10090358,'Cannot be modified except by direct means',100,2,4),
(330167,122592,'Inflicts 70 - 86 mental damage on target instantly and every 3 seconds',100,1,0),
(330168,122592,'Decreases Mitigation of target vs arcane damage by 636',100,1,1),
(330169,10122592,'Inflicts 91 - 111 mental damage on target instantly and every 3 seconds',100,1,0),
(330170,10122592,'Decreases Mitigation of target vs arcane damage by 636',100,1,1),
(330171,112413,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 66% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(330172,112413,'If over 50% Health',100,2,1),
(330173,112413,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 66% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(330174,112413,'If at 50% Health or less',100,2,3),
(330175,10112413,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 66% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(330176,10112413,'If over 50% Health',100,2,1),
(330177,10112413,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 50% of attack damage, target takes 66% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(330178,10112413,'If at 50% Health or less',100,2,3),
(330179,103084,'Heals target for 58 - 71',100,1,0),
(330180,103084,'Heals target for 10 - 12 every second',100,1,1),
(330181,10103084,'Heals target for 38 - 46',100,1,0),
(330182,10103084,'Heals target for 6 - 8 every second',100,1,1),
(330183,123263,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(330184,123263,'Increases Mitigation of group members (AE) vs noxious damage by 804',100,1,1),
(330185,10123263,'Increases Max Power of group members (AE) by 484.3',100,1,0),
(330186,10123263,'Increases Mitigation of group members (AE) vs noxious damage by 804',100,1,1),
(330187,123572,'Increases STR of group members (AE) by 43.0',100,1,0),
(330188,123572,'Increases Max Health of group members (AE) by 373.2',100,1,1),
(330189,10123572,'Increases STR of group members (AE) by 43.0',100,1,0),
(330190,10123572,'Increases Max Health of group members (AE) by 373.2',100,1,1),
(330191,100067,'Decreases success chance by 7.0%',100,1,0),
(330192,100067,'Increases progress by 20.0',100,1,1),
(330193,10100067,'Decreases success chance by 7.0%',100,1,0),
(330194,10100067,'Increases progress by 20.0',100,1,1),
(330195,121028,'Increases AGI of target by 18.9',100,1,0),
(330196,121028,'Adds 0.8% to base avoidance.',100,1,1),
(330197,121028,'Increases In-Combat Power Regeneration of target by 9.4',100,1,2),
(330198,121028,'Increases Max Power of target by 115.5',100,1,3),
(330199,10121028,'Increases AGI of target by 18.9',100,1,0),
(330200,10121028,'Adds 0.8% to base avoidance.',100,1,1),
(330201,10121028,'Increases In-Combat Power Regeneration of target by 9.4',100,1,2),
(330202,10121028,'Increases Max Power of target by 115.5',100,1,3),
(330203,88024,'When Equipped:',100,0,0),
(330204,88024,'Soulleech will increase its wielders'' crit chance by an additional 5% while attacking living humanoid creatures.',100,1,1),
(330205,10088024,'When Equipped:',100,0,0),
(330206,10088024,'Soulleech will increase its wielders'' crit chance by an additional 5% while attacking living humanoid creatures.',100,1,1),
(330207,77421,'Applies Fire Ball when Activated.',100,0,0),
(330208,77421,'Inflicts 181 - 301 heat damage on target',100,1,1),
(330209,77421,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330210,10077421,'Applies Fire Ball when Activated.',100,0,0),
(330211,10077421,'Inflicts 235 - 391 heat damage on target',100,1,1),
(330212,10077421,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330213,46144,'Applies Spiritual Lucidity when Activated.',100,0,0),
(330214,46144,'Grants Ultravision to caster',100,1,1),
(330215,46144,'Must have completed the Quest \"The Footsteps of Dartain: Awakening\"',100,1,2),
(330216,10046144,'Applies Spiritual Lucidity when Activated.',100,0,0),
(330217,10046144,'Grants Ultravision to caster',100,1,1),
(330218,10046144,'Must have completed the Quest \"The Footsteps of Dartain: Awakening\"',100,1,2),
(330219,35873,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,0),
(330220,35873,'Increases Max Health of target by 145.6',100,0,1),
(330221,115215,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(330222,115215,'Decreases Mitigation of target vs noxious damage by 672',100,2,1),
(330223,115215,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(330224,115215,'Decreases Mitigation of target vs noxious damage by 672',100,2,3),
(330225,10115215,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(330226,10115215,'Decreases Mitigation of target vs noxious damage by 672',100,2,1),
(330227,10115215,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(330228,10115215,'Decreases Mitigation of target vs noxious damage by 672',100,2,3),
(330229,50523,'When Equipped:',100,0,0),
(330230,50523,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(330231,50523,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(330232,50523,'Cannot be modified except by direct means',100,2,3),
(330233,10050523,'When Equipped:',100,0,0),
(330234,10050523,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(330235,10050523,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(330236,10050523,'Cannot be modified except by direct means',100,2,3),
(330237,113073,'Dazes target',100,1,0),
(330238,113073,'If Target is not Epic',100,2,1),
(330239,113073,'Applies Scream on termination.',100,1,2),
(330240,113073,'Inflicts 227 - 378 disease damage on target',100,2,3),
(330241,113073,'Resistibility increases against targets higher than level 91.',100,1,4),
(330242,10113073,'Dazes target',100,1,0),
(330243,10113073,'If Target is not Epic',100,2,1),
(330244,10113073,'Applies Scream on termination.',100,1,2),
(330245,10113073,'Inflicts 295 - 491 disease damage on target',100,2,3),
(330246,10113073,'Resistibility increases against targets higher than level 91.',100,1,4),
(330247,112910,'Increases Damage Per Second of caster by 53.1',100,1,0),
(330248,112910,'Increases Ranged of caster by 19.8',100,1,1),
(330249,10112910,'Increases Damage Per Second of caster by 53.1',100,1,0),
(330250,10112910,'Increases Ranged of caster by 19.8',100,1,1),
(330251,37339,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(330252,187105,'When Equipped:',100,0,0),
(330253,187105,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(330254,187105,'Mesmerizes target',100,2,2),
(330255,187105,'Dispelled when target takes damage',100,2,3),
(330256,187105,'Only affects targets level 98 and below',100,2,4),
(330257,187105,'Does not affect Epic targets',100,2,5),
(330258,187105,'Resistibility increases against targets higher than level 111.',100,2,6),
(330259,187105,'Cannot be modified except by direct means',100,2,7),
(330260,10187105,'When Equipped:',100,0,0),
(330261,10187105,'When damaged with a melee weapon this spell has a 5% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 10.0 seconds.  ',100,1,1),
(330262,10187105,'Mesmerizes target',100,2,2),
(330263,10187105,'Dispelled when target takes damage',100,2,3),
(330264,10187105,'Only affects targets level 98 and below',100,2,4),
(330265,10187105,'Does not affect Epic targets',100,2,5),
(330266,10187105,'Resistibility increases against targets higher than level 111.',100,2,6),
(330267,10187105,'Cannot be modified except by direct means',100,2,7),
(330268,105081,'Inflicts 456 - 618 magic damage on target',100,1,0),
(330269,10105081,'Inflicts 593 - 803 magic damage on target',100,1,0),
(330270,116755,'Increases Max Health of target by 294.0',100,1,0),
(330271,116755,'Increases Max Power of target by 330.9',100,1,1),
(330272,10116755,'Increases Max Health of target by 294.0',100,1,0),
(330273,10116755,'Increases Max Power of target by 330.9',100,1,1),
(330274,49112,'Applies Summon Warwolf Pup when Activated.  Lasts for 1 minute.',100,0,0),
(330275,49112,'Calls forth a Warwolf Pup',100,1,1),
(330276,10049112,'Applies Summon Warwolf Pup when Activated.  Lasts for 1 minute.',100,0,0),
(330277,10049112,'Calls forth a Warwolf Pup',100,1,1),
(330278,117279,'Inflicts 95 - 159 melee damage on target',100,1,0),
(330279,117279,'Decreases Damage Per Second of target by 7.2',100,1,1),
(330280,117279,'Decreases Attack Speed of target by 5.8',100,1,2),
(330281,10117279,'Inflicts 124 - 207 melee damage on target',100,1,0),
(330282,10117279,'Decreases Damage Per Second of target by 7.2',100,1,1),
(330283,10117279,'Decreases Attack Speed of target by 5.8',100,1,2),
(330284,141887,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(330285,141887,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(330286,141887,'Heals target for 10 instantly and every 4 seconds',100,2,2),
(330287,141887,'Cannot be modified except by direct means',100,2,3),
(330288,10141887,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(330289,10141887,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(330290,10141887,'Heals target for 6 instantly and every 4 seconds',100,2,2),
(330291,10141887,'Cannot be modified except by direct means',100,2,3),
(330292,103412,'Decreases Threat to targets in Area of Effect by 1,898 ',100,1,0),
(330293,103412,'Slows targets in Area of Effect by 56.0%',100,1,1),
(330294,103412,'Stifles targets in Area of Effect',100,1,2),
(330295,103412,'If Target is not Epic',100,2,3),
(330296,103412,'10% chance to dispel when target receives hostile action',100,1,4),
(330297,103412,'10% chance to dispel when target takes damage',100,1,5),
(330298,10103412,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(330299,10103412,'Slows targets in Area of Effect by 56.0%',100,1,1),
(330300,10103412,'Stifles targets in Area of Effect',100,1,2),
(330301,10103412,'If Target is not Epic',100,2,3),
(330302,26610,'When Equipped:',100,0,0),
(330303,26610,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(330304,26610,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(330305,10026610,'When Equipped:',100,0,0),
(330306,10026610,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(330307,10026610,'Improves the mitigation amounts of Geotic Rune VII by 75%.',100,1,2),
(330308,159300,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(330309,159300,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(330310,159300,'Inflicts 26 heat damage on target',100,2,2),
(330311,159300,'Cannot be modified except by direct means',100,2,3),
(330312,10159300,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(330313,10159300,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(330314,10159300,'Inflicts 34 heat damage on target',100,2,2),
(330315,10159300,'Cannot be modified except by direct means',100,2,3),
(330316,100984,'Increases INT of target by 32.4',100,1,0),
(330317,100984,'Increases Attack Speed of target by 21.8',100,1,1),
(330318,100984,'Decreases Defense and Parry of target by 11.3',100,1,2),
(330319,100984,'Increases Slashing, Piercing and Crushing of target by 7.1',100,1,3),
(330320,10100984,'Increases INT of target by 32.4',100,1,0),
(330321,10100984,'Increases Attack Speed of target by 21.8',100,1,1),
(330322,10100984,'Decreases Defense and Parry of target by 11.3',100,1,2),
(330323,10100984,'Increases Slashing, Piercing and Crushing of target by 7.1',100,1,3),
(330324,167943,'Applies Draught of the Undying when Activated.  Lasts for 1 minute 5 seconds.',100,0,0),
(330325,167943,'Increases power of caster by 591',100,1,1),
(330326,167943,'Inflicts 243 - 730 heat damage on caster',100,1,2),
(330327,167943,'Inflicts 24 - 73 heat damage on caster every 6.4 seconds',100,1,3),
(330328,167943,'Shapechanges caster into a spectre',100,1,4),
(330329,167943,'The casting time of Draught of the Undying is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,5),
(330330,10167943,'Applies Draught of the Undying when Activated.  Lasts for 1 minute 5 seconds.',100,0,0),
(330331,10167943,'Increases power of caster by 591',100,1,1),
(330332,10167943,'Inflicts 316 - 949 heat damage on caster',100,1,2),
(330333,10167943,'Inflicts 32 - 95 heat damage on caster every 6.4 seconds',100,1,3),
(330334,10167943,'Shapechanges caster into a spectre',100,1,4),
(330335,10167943,'The casting time of Draught of the Undying is 3.0 seconds and the reuse time of the spell is 30 minutes',100,1,5),
(330336,115732,'Wards caster against 5060 points of elemental, noxious and arcane damage',100,1,0),
(330337,10115732,'Wards caster against 5060 points of elemental, noxious and arcane damage',100,1,0),
(330338,41658,'When Equipped:',100,0,0),
(330339,41658,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330340,41658,'Inflicts 188 - 349 magic damage on target',100,2,2),
(330341,41658,'Decreases Threat to target by 672 ',100,2,3),
(330342,41658,'Must be flanking or behind',100,3,4),
(330343,41658,'Increases Threat to target by 672 ',100,2,5),
(330344,41658,'Must be in front of',100,3,6),
(330345,41658,'Cannot be modified except by direct means',100,2,7),
(330346,10041658,'When Equipped:',100,0,0),
(330347,10041658,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330348,10041658,'Inflicts 244 - 454 magic damage on target',100,2,2),
(330349,10041658,'Cannot be modified except by direct means',100,2,3),
(330350,113177,'Inflicts 856 disease damage on target',100,1,0),
(330351,113177,'Heals caster for 560',100,1,1),
(330352,10113177,'Inflicts 1113 disease damage on target',100,1,0),
(330353,10113177,'Heals caster for 473',100,1,1),
(330354,83985,'Applies Lightning Shock when Activated.',100,0,0),
(330355,83985,'Inflicts 74 - 124 magic damage on target',100,1,1),
(330356,83985,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330357,10083985,'Applies Lightning Shock when Activated.',100,0,0),
(330358,10083985,'Inflicts 97 - 161 magic damage on target',100,1,1),
(330359,10083985,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330360,100637,'Wipes target''s memory of any aggression',100,1,0),
(330361,100637,'Stuns target',100,1,1),
(330362,100637,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(330363,100637,'Resistibility increases against targets higher than level 103.',100,1,3),
(330364,10100637,'Forces target to clear their selected target.',100,1,0),
(330365,10100637,'Prevents target from changing targets',100,1,1),
(330366,10100637,'Stuns target',100,1,2),
(330367,10100637,'If Target is not Epic',100,2,3),
(330368,10100637,'Resistibility increases against targets higher than level 103.',100,1,4),
(330369,35255,'Increases INT of target by 6.2',100,0,0),
(330370,35255,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(330371,26380,'When Equipped:',100,0,0),
(330372,26380,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(330373,26380,'Decreases Threat to target encounter by 574 ',100,2,2),
(330374,26380,'Cannot be modified except by direct means',100,2,3),
(330375,10026380,'When Equipped:',100,0,0),
(330376,10026380,'On a healing spell cast this spell may cast Blessing of Finesse on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(330377,10026380,'Cannot be modified except by direct means',100,2,2),
(330378,46593,'Applies Grey Warg with Brown Saddle when Activated.',100,0,0),
(330379,46593,'Summons a mount to ride',100,1,1),
(330380,46593,'Increases your ground speed by 130%',100,2,2),
(330381,10046593,'Applies Grey Warg with Brown Saddle when Activated.',100,0,0),
(330382,10046593,'Summons a mount to ride',100,1,1),
(330383,10046593,'Increases your ground speed by 130%',100,2,2),
(330384,118522,'Inflicts 85 - 141 melee damage on target',100,1,0),
(330385,118522,'Decreases STR of target by 15.9',100,1,1),
(330386,118522,'You must be sneaking to use this ability.',100,1,2),
(330387,10118522,'Inflicts 110 - 184 melee damage on target',100,1,0),
(330388,10118522,'Decreases STR of target by 15.9',100,1,1),
(330389,10118522,'You must be sneaking to use this ability.',100,1,2),
(330390,105271,'Increases Threat to target by 1,270 ',100,1,0),
(330391,105271,'Interrupts target',100,1,1),
(330392,105271,'Dispels 141 levels of arcane beneficial effects on target',100,1,2),
(330393,10105271,'Forces target to change their selected target to caster.',100,1,0),
(330394,10105271,'Interrupts target',100,1,1),
(330395,10105271,'Dispels 141 levels of arcane beneficial effects on target',100,1,2),
(330396,70859,'When Equipped:',100,0,0),
(330397,70859,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330398,70859,'Inflicts 66 - 81 cold damage on target',100,2,2),
(330399,70859,'Cannot be modified except by direct means',100,2,3),
(330400,10070859,'When Equipped:',100,0,0),
(330401,10070859,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330402,10070859,'Inflicts 86 - 105 cold damage on target',100,2,2),
(330403,10070859,'Cannot be modified except by direct means',100,2,3),
(330404,104230,'Decreases WIS of target encounter by 81.6',100,1,0),
(330405,104230,'Inflicts 135 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(330406,10104230,'Decreases WIS of target encounter by 81.6',100,1,0),
(330407,10104230,'Inflicts 175 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(330408,47303,'Applies Silandria''s Warding  when Activated.  Lasts for 15 minutes.',100,0,0),
(330409,47303,'Increases Max Power of caster by 52.0',100,1,1),
(330410,10047303,'Applies Silandria''s Warding  when Activated.  Lasts for 15 minutes.',100,0,0),
(330411,10047303,'Increases Max Power of caster by 52.0',100,1,1),
(330412,37509,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(330413,80465,'When Equipped:',100,0,0),
(330414,80465,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330415,80465,'Inflicts 56 - 103 magic damage on target',100,2,2),
(330416,80465,'Cannot be modified except by direct means',100,2,3),
(330417,10080465,'When Equipped:',100,0,0),
(330418,10080465,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330419,10080465,'Inflicts 72 - 134 magic damage on target',100,2,2),
(330420,10080465,'Cannot be modified except by direct means',100,2,3),
(330421,112422,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 22% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(330422,112422,'If over 50% Health',100,2,1),
(330423,112422,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 22% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(330424,112422,'If at 50% Health or less',100,2,3),
(330425,10112422,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 22% of attack damage.\nSpell ends after 1 successful intercept.',100,1,0),
(330426,10112422,'If over 50% Health',100,2,1),
(330427,10112422,'100% chance to intercept all damage on target.\nOn a successful intercept caster takes 100% of attack damage, target takes 22% of attack damage.\nSpell ends after 2 successful intercepts.',100,1,2),
(330428,10112422,'If at 50% Health or less',100,2,3),
(330429,81707,'When Equipped:',100,0,0),
(330430,81707,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330431,81707,'Inflicts 108 - 200 magic damage on target',100,2,2),
(330432,81707,'Decreases Threat to target by 487 ',100,2,3),
(330433,81707,'Must be flanking or behind',100,3,4),
(330434,81707,'Increases Threat to target by 487 ',100,2,5),
(330435,81707,'Must be in front of',100,3,6),
(330436,81707,'Cannot be modified except by direct means',100,2,7),
(330437,10081707,'When Equipped:',100,0,0),
(330438,10081707,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330439,10081707,'Inflicts 140 - 260 magic damage on target',100,2,2),
(330440,10081707,'Cannot be modified except by direct means',100,2,3),
(330441,105728,'Applies Knockdown.  Lasts for 1.5 seconds.',100,1,0),
(330442,105728,'Stuns target',100,2,1),
(330443,105728,'Throws target back',100,2,2),
(330444,105728,'Blurs vision of target',100,2,3),
(330445,105728,'Does not affect Epic targets',100,2,4),
(330446,105728,'Inflicts 179 - 298 melee damage on targets in area',100,1,5),
(330447,10105728,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(330448,10105728,'Stuns target',100,2,1),
(330449,10105728,'Throws target back',100,2,2),
(330450,10105728,'Blurs vision of target',100,2,3),
(330451,10105728,'Does not affect Epic targets',100,2,4),
(330452,10105728,'Inflicts 233 - 388 melee damage on targets in area',100,1,5),
(330453,113151,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,0),
(330454,113151,'Shapechanges caster into a demilich',100,1,1),
(330455,113151,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(330456,113151,'Inflicts 237 disease damage on target',100,2,3),
(330457,113151,'Heals caster for 173',100,2,4),
(330458,10113151,'Increases power of caster by 1.6% instantly and every 6 seconds',100,1,0),
(330459,10113151,'Shapechanges caster into a demilich',100,1,1),
(330460,10113151,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,2),
(330461,10113151,'Inflicts 308 disease damage on target',100,2,3),
(330462,10113151,'Heals caster for 112',100,2,4),
(330463,147464,'When Equipped:',100,0,0),
(330464,147464,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(330465,147464,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(330466,147464,'Dispelled when target casts a hostile spell',100,2,3),
(330467,147464,'Dispelled when target casts a combat art',100,2,4),
(330468,147464,'Cannot be modified except by direct means',100,2,5),
(330469,10147464,'When Equipped:',100,0,0),
(330470,10147464,'On a beneficial spell cast this spell may cast Benevolent Infusion on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(330471,10147464,'Increases the damage of group members'' next spell or combat art by up to 150.',100,2,2),
(330472,10147464,'Dispelled when target casts a hostile spell',100,2,3),
(330473,10147464,'Dispelled when target casts a combat art',100,2,4),
(330474,10147464,'Cannot be modified except by direct means',100,2,5),
(330475,116693,'Heals group members (AE) for 12.3 - 15.1% of max health',100,1,0),
(330476,116693,'This effect cannot be critically applied.',100,2,1),
(330477,116693,'Increases Max Health of group members (AE) by 811.2',100,1,2),
(330478,116693,'The healing of this spell cannot be modified except by direct means',100,1,3),
(330479,10116693,'Heals group members (AE) for 3.9 - 4.7% of max health',100,1,0),
(330480,10116693,'This effect cannot be critically applied.',100,2,1),
(330481,10116693,'Increases Max Health of group members (AE) by 811.2',100,1,2),
(330482,10116693,'The healing of this spell cannot be modified except by direct means',100,1,3),
(330483,24645,'Adds Poet''s Palace: Silvered Pedestal to your Dungeon Maker toolbox',100,0,0),
(330484,10024645,'Adds Poet''s Palace: Silvered Pedestal to your Dungeon Maker toolbox',100,0,0),
(330485,35710,'Increases WIS of target by 2.6',100,0,0),
(330486,35710,'Increases Out-of-Combat Health Regeneration of target by 41.0',100,0,1),
(330487,108253,'Inflicts 474 - 1423 piercing damage on target',100,1,0),
(330488,108253,'Decreases Slashing, Crushing, Piercing and Ranged of target by 69.6',100,1,1),
(330489,10108253,'Inflicts 616 - 1850 piercing damage on target',100,1,0),
(330490,10108253,'Decreases Slashing, Crushing, Piercing and Ranged of target by 69.6',100,1,1),
(330491,112193,'Increases STR of caster by 106.3',100,1,0),
(330492,112193,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2430',100,1,1),
(330493,112193,'Increases Mitigation of caster vs physical damage by 682',100,1,2),
(330494,10112193,'Increases STR of caster by 106.3',100,1,0),
(330495,10112193,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2430',100,1,1),
(330496,10112193,'Increases Mitigation of caster vs physical damage by 682',100,1,2),
(330497,123181,'Reduces physical damage done to caster by 5%',100,1,0),
(330498,123181,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,1),
(330499,123181,'Increases Aggression of caster by 21.7',100,1,2),
(330500,123181,'Increases Defense and Parry of caster by 43.4',100,1,3),
(330501,123181,'Increases Mitigation of caster vs elemental damage by 2834',100,1,4),
(330502,123181,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(330503,10123181,'Reduces physical damage done to caster by 5%',100,1,0),
(330504,10123181,'Decreases Slashing, Piercing and Crushing of caster by 29.8',100,1,1),
(330505,10123181,'Increases Aggression of caster by 21.7',100,1,2),
(330506,10123181,'Increases Defense and Parry of caster by 43.4',100,1,3),
(330507,10123181,'Increases Mitigation of caster vs elemental damage by 2834',100,1,4),
(330508,10123181,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(330509,115280,'Heals target for 1030',100,1,0),
(330510,115280,'Heals target for 172 every second',100,1,1),
(330511,115280,'Dispels 132 levels of any hostile effects on target',100,1,2),
(330512,10115280,'Heals target for 1205',100,1,0),
(330513,10115280,'Heals target for 201 every second',100,1,1),
(330514,10115280,'Dispels 132 levels of any hostile effects on target',100,1,2),
(330515,109467,'Inflicts 73 - 122 cold damage on target',100,1,0),
(330516,10109467,'Inflicts 95 - 159 cold damage on target',100,1,0),
(330517,26090,'When Equipped:',100,0,0),
(330518,26090,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(330519,26090,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,2),
(330520,10026090,'When Equipped:',100,0,0),
(330521,10026090,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(330522,10026090,'Improves the trigger chance of Dead Calm VI by 5%.',100,1,2),
(330523,111423,'Decreases Attack Speed of caster by 11.3',100,1,0),
(330524,111423,'Slows caster by 32.6%',100,1,1),
(330525,111423,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(330526,111423,'Slows targets in Area of Effect by 39.1%',100,2,3),
(330527,111423,'5% chance to dispel when target receives hostile action',100,2,4),
(330528,111423,'5% chance to dispel when target takes damage',100,2,5),
(330529,111423,'Increases Mitigation of caster vs physical damage by 178',100,1,6),
(330530,10111423,'Decreases Attack Speed of caster by 11.3',100,1,0),
(330531,10111423,'Slows caster by 32.6%',100,1,1),
(330532,10111423,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,2),
(330533,10111423,'Slows targets in Area of Effect by 29.3%',100,2,3),
(330534,10111423,'5% chance to dispel when target receives hostile action',100,2,4),
(330535,10111423,'5% chance to dispel when target takes damage',100,2,5),
(330536,10111423,'Increases Mitigation of caster vs physical damage by 178',100,1,6),
(330537,83996,'Applies Lightning Shock when Activated.',100,0,0),
(330538,83996,'Inflicts 243 - 405 magic damage on target',100,1,1),
(330539,83996,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330540,10083996,'Applies Lightning Shock when Activated.',100,0,0),
(330541,10083996,'Inflicts 316 - 526 magic damage on target',100,1,1),
(330542,10083996,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330543,140518,'When Equipped:',100,0,0),
(330544,140518,'When any damage is received this spell has a 5% chance to cast Distraction on target''s attacker.  ',100,1,1),
(330545,140518,'Decreases Threat to target by 700 ',100,2,2),
(330546,140518,'Cannot be modified except by direct means',100,2,3),
(330547,10140518,'When Equipped:',100,0,0),
(330548,10140518,'When any damage is received this spell has a 5% chance to cast Distraction on target''s attacker.  ',100,1,1),
(330549,10140518,'Forces target to clear their selected target.',100,2,2),
(330550,10140518,'Cannot be modified except by direct means',100,2,3),
(330551,120755,'Inflicts 21 - 25 divine damage on target instantly and every 3 seconds',100,1,0),
(330552,120755,'Increases power of caster by 22 instantly and every 3 seconds',100,1,1),
(330553,10120755,'Inflicts 27 - 33 divine damage on target instantly and every 3 seconds',100,1,0),
(330554,10120755,'Increases power of caster by 22 instantly and every 3 seconds',100,1,1),
(330555,106653,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(330556,106653,'Increases Mitigation of caster vs physical damage by 228',100,2,1),
(330557,106653,'Decreases Mitigation of target encounter vs physical damage by 1303',100,1,2),
(330558,10106653,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(330559,10106653,'Increases Mitigation of caster vs physical damage by 228',100,2,1),
(330560,10106653,'Decreases Mitigation of target encounter vs physical damage by 1303',100,1,2),
(330561,120468,'Inflicts 287 - 478 ranged damage on target',100,1,0),
(330562,120468,'Slows target by 62.2%',100,1,1),
(330563,120468,'10% chance to dispel when target receives hostile action',100,1,2),
(330564,120468,'Requires bow',100,1,3),
(330565,10120468,'Inflicts 197 - 329 ranged damage on target',100,1,0),
(330566,10120468,'Slows target by 62.2%',100,1,1),
(330567,10120468,'10% chance to dispel when target receives hostile action',100,1,2),
(330568,10120468,'Requires bow',100,1,3),
(330569,106265,'Wards target against 1056 points of all damage',100,1,0),
(330570,10106265,'Wards target against 1056 points of all damage',100,1,0),
(330571,45333,'Applies Black Two Tone Warg with Black Armor when Activated.',100,0,0),
(330572,45333,'Increases Disruption of caster by 7.0',100,1,1),
(330573,45333,'Summons a mount to ride',100,1,2),
(330574,45333,'Increases your ground speed by 130%',100,2,3),
(330575,45333,'Increases Ranged, Piercing and Slashing of caster by 7.0',100,1,4),
(330576,45333,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(330577,45333,'Increases Crushing of caster by 7.0',100,1,6),
(330578,10045333,'Applies Black Two Tone Warg with Black Armor when Activated.',100,0,0),
(330579,10045333,'Increases Disruption of caster by 7.0',100,1,1),
(330580,10045333,'Summons a mount to ride',100,1,2),
(330581,10045333,'Increases your ground speed by 130%',100,2,3),
(330582,10045333,'Increases Ranged, Piercing and Slashing of caster by 7.0',100,1,4),
(330583,10045333,'Increases damage done by spells and combat arts by up to 50.',100,1,5),
(330584,10045333,'Increases Crushing of caster by 7.0',100,1,6),
(330585,116592,'Inflicts 127 - 212 divine damage on target',100,1,0),
(330586,10116592,'Inflicts 166 - 276 divine damage on target',100,1,0),
(330587,47608,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(330588,47608,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(330589,47608,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(330590,47608,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(330591,47608,'You can only have one experience potion active at a time.',100,1,4),
(330592,10047608,'Applies a blessed experience when Activated.  Lasts for 1 hour.',100,0,0),
(330593,10047608,'Increases Combat XP Gain of caster by 110.0%',100,1,1),
(330594,10047608,'Increases AA XP Gain of caster by 110.0%',100,1,2),
(330595,10047608,'Increases Tradeskill XP Gain of caster by 110.0%',100,1,3),
(330596,10047608,'You can only have one experience potion active at a time.',100,1,4),
(330597,36971,'Increases Max Power of target by 68.2',100,0,0),
(330598,36971,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(330599,124517,'Inflicts 9 - 15 melee damage on target',100,1,0),
(330600,124517,'If facing target',100,1,1),
(330601,10124517,'Inflicts 12 - 20 melee damage on target',100,1,0),
(330602,10124517,'If facing target',100,1,1),
(330603,47358,'Applies Necropolis Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(330604,47358,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(330605,47358,'Inflicts 132 poison damage on target instantly and every 6 seconds',100,2,2),
(330606,47358,'Inflicts 33 poison damage on target',100,2,3),
(330607,47358,'Cannot be modified except by direct means',100,2,4),
(330608,47358,'Grants a total of 100 triggers of the spell.',100,2,5),
(330609,10047358,'Applies Necropolis Sludge when Activated.  Lasts for 12 hours.',100,0,0),
(330610,10047358,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(330611,10047358,'Inflicts 33 poison damage on target',100,2,2),
(330612,10047358,'Inflicts 129 poison damage on target instantly and every 6 seconds',100,2,3),
(330613,10047358,'Cannot be modified except by direct means',100,2,4),
(330614,10047358,'Grants a total of 100 triggers of the spell.',100,2,5),
(330615,80830,'When Equipped:',100,0,0),
(330616,80830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330617,80830,'Inflicts 194 - 360 magic damage on target',100,2,2),
(330618,80830,'Cannot be modified except by direct means',100,2,3),
(330619,10080830,'When Equipped:',100,0,0),
(330620,10080830,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330621,10080830,'Inflicts 252 - 468 magic damage on target',100,2,2),
(330622,10080830,'Cannot be modified except by direct means',100,2,3),
(330623,136375,'When Equipped:',100,0,0),
(330624,136375,'Increases in-combat movement speed of caster by 10.0%',100,1,1),
(330625,136375,'Increases Damage Per Second of caster by 20.0',100,1,2),
(330626,136375,'Must not be engaged in pvp combat',100,1,3),
(330627,10136375,'When Equipped:',100,0,0),
(330628,10136375,'Increases in-combat movement speed of caster by 10.0%',100,1,1),
(330629,10136375,'Increases Damage Per Second of caster by 20.0',100,1,2),
(330630,10136375,'Must not be engaged in pvp combat',100,1,3),
(330631,54417,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(330632,54417,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(330633,54417,'Inflicts 34 heat damage on target',100,2,2),
(330634,54417,'Cannot be modified except by direct means',100,2,3),
(330635,10054417,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(330636,10054417,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(330637,10054417,'Inflicts 44 heat damage on target',100,2,2),
(330638,10054417,'Cannot be modified except by direct means',100,2,3),
(330639,117443,'Inflicts 115 - 192 melee damage on target',100,1,0),
(330640,117443,'You must be sneaking to use this ability.',100,1,1),
(330641,117443,'Must be flanking or behind',100,1,2),
(330642,10117443,'Inflicts 92 - 154 melee damage on target',100,1,0),
(330643,10117443,'You must be sneaking to use this ability.',100,1,1),
(330644,10117443,'Must be flanking or behind',100,1,2),
(330645,115806,'Inflicts 3 disease damage on target every 3 seconds',100,1,0),
(330646,115806,'Inflicts 13 - 21 melee damage on target',100,1,1),
(330647,115806,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(330648,115806,'Heals caster for 10 instantly and every 3 seconds',100,2,3),
(330649,115806,'This effect cannot be critically applied.',100,3,4),
(330650,115806,'The healing of this spell cannot be modified except by direct means',100,2,5),
(330651,115806,'The healing of this spell cannot be modified except by direct means',100,1,6),
(330652,10115806,'Inflicts 5 disease damage on target every 3 seconds',100,1,0),
(330653,10115806,'Inflicts 17 - 28 melee damage on target',100,1,1),
(330654,10115806,'Applies Painbringer.  Lasts for 9.0 seconds.',100,1,2),
(330655,10115806,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(330656,10115806,'This effect cannot be critically applied.',100,3,4),
(330657,10115806,'The healing of this spell cannot be modified except by direct means',100,2,5),
(330658,10115806,'The healing of this spell cannot be modified except by direct means',100,1,6),
(330659,74705,'When Equipped:',100,0,0),
(330660,74705,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330661,74705,'Inflicts 150 - 226 magic damage on target',100,2,2),
(330662,74705,'Cannot be modified except by direct means',100,2,3),
(330663,10074705,'When Equipped:',100,0,0),
(330664,10074705,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330665,10074705,'Inflicts 196 - 293 magic damage on target',100,2,2),
(330666,10074705,'Cannot be modified except by direct means',100,2,3),
(330667,81588,'When Equipped:',100,0,0),
(330668,81588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330669,81588,'Inflicts 101 - 188 magic damage on target',100,2,2),
(330670,81588,'Cannot be modified except by direct means',100,2,3),
(330671,10081588,'When Equipped:',100,0,0),
(330672,10081588,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330673,10081588,'Inflicts 131 - 244 magic damage on target',100,2,2),
(330674,10081588,'Cannot be modified except by direct means',100,2,3),
(330675,173297,'When Equipped:',100,0,0),
(330676,173297,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(330677,10173297,'When Equipped:',100,0,0),
(330678,10173297,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(330679,172922,'When Equipped:',100,0,0),
(330680,172922,'Gives caster a 1.3% chance to strikethrough a successful avoidance check',100,1,1),
(330681,172922,'Increases Riposte Damage of caster by 12.0',100,1,2),
(330682,172922,'Increases Additional chance to Riposte of caster by 12.0',100,1,3),
(330683,172922,'Must not be engaged in pvp combat',100,1,4),
(330684,10172922,'When Equipped:',100,0,0),
(330685,10172922,'Gives caster a 1.3% chance to strikethrough a successful avoidance check',100,1,1),
(330686,10172922,'Increases Riposte Damage of caster by 12.0',100,1,2),
(330687,10172922,'Increases Additional chance to Riposte of caster by 12.0',100,1,3),
(330688,10172922,'Must not be engaged in pvp combat',100,1,4),
(330689,164293,'When Equipped:',100,0,0),
(330690,164293,'Increases Damage Per Second of caster by 6.0',100,1,1),
(330691,164293,'Increases Attack Speed of caster by 6.0',100,1,2),
(330692,164293,'Increases in-combat movement speed of caster by 6.0%',100,1,3),
(330693,164293,'Must not be engaged in pvp combat',100,1,4),
(330694,10164293,'When Equipped:',100,0,0),
(330695,10164293,'Increases Damage Per Second of caster by 6.0',100,1,1),
(330696,10164293,'Increases Attack Speed of caster by 6.0',100,1,2),
(330697,10164293,'Increases in-combat movement speed of caster by 6.0%',100,1,3),
(330698,10164293,'Must not be engaged in pvp combat',100,1,4),
(330699,107642,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(330700,107642,'Increases Mitigation of group members (AE) vs elemental damage by 693',100,1,1),
(330701,10107642,'Increases Max Power of group members (AE) by 427.4',100,1,0),
(330702,10107642,'Increases Mitigation of group members (AE) vs elemental damage by 693',100,1,1),
(330703,46684,'Applies Empower Resin when Activated.',100,0,0),
(330704,46684,'Summon 1 Empowered Kejek Resin',100,1,1),
(330705,46684,'This effect cannot be cast during combat',100,1,2),
(330706,46684,'You must be near the Grand Farisian Nexus for this to function.',100,1,3),
(330707,10046684,'Applies Empower Resin when Activated.',100,0,0),
(330708,10046684,'Summon 1 Empowered Kejek Resin',100,1,1),
(330709,10046684,'This effect cannot be cast during combat',100,1,2),
(330710,10046684,'You must be near the Grand Farisian Nexus for this to function.',100,1,3),
(330711,103523,'Charms target',100,1,0),
(330712,103523,'If outside an arena',100,1,1),
(330713,103523,'Certain enemies cannot be charmed',100,1,2),
(330714,103523,'Does not affect Epic targets',100,1,3),
(330715,10103523,'Mesmerizes target',100,1,0),
(330716,10103523,'Prevents AOE (except when direct) ',100,1,1),
(330717,10103523,'Dispelled when target takes damage',100,1,2),
(330718,10103523,'If outside an arena',100,1,3),
(330719,10103523,'Certain enemies cannot be charmed',100,1,4),
(330720,10103523,'Does not affect Epic targets',100,1,5),
(330721,10103523,'Resistibility increases against targets higher than level 91.',100,1,6),
(330722,46375,'Applies Phrotis'' Cunning when Activated.  Lasts for 30 minutes.',100,0,0),
(330723,46375,'Spirit fused with that of the cunning of the will of Phrotis.',100,1,1),
(330724,10046375,'Applies Phrotis'' Cunning when Activated.  Lasts for 30 minutes.',100,0,0),
(330725,10046375,'Spirit fused with that of the cunning of the will of Phrotis.',100,1,1),
(330726,26217,'When Equipped:',100,0,0),
(330727,26217,'On a block this spell has a 8% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(330728,26217,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(330729,26217,'Heals caster for 72 - 88',100,3,3),
(330730,26217,'Grants a total of 3 triggers of the spell.',100,3,4),
(330731,26217,'Cannot be modified except by direct means',100,2,5),
(330732,10026217,'When Equipped:',100,0,0),
(330733,10026217,'On a block this spell has a 8% chance to cast Combative Restoration on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(330734,10026217,'When any damage is received this spell will cast Combative Restoration on target.  ',100,2,2),
(330735,10026217,'Heals caster for 47 - 57',100,3,3),
(330736,10026217,'Grants a total of 3 triggers of the spell.',100,3,4),
(330737,10026217,'Cannot be modified except by direct means',100,2,5),
(330738,36636,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(330739,118231,'Throws target back',100,1,0),
(330740,118231,'If Target is not Epic',100,2,1),
(330741,118231,'Stuns targets in Area of Effect',100,1,2),
(330742,118231,'If Target is not Epic',100,2,3),
(330743,118231,'Inflicts 2292 - 3821 magic damage on targets in Area of Effect',100,1,4),
(330744,118231,'Resistibility increases against targets higher than level 117.',100,1,5),
(330745,10118231,'Stuns targets in Area of Effect',100,1,0),
(330746,10118231,'If Target is not Epic',100,2,1),
(330747,10118231,'Inflicts 2980 - 4967 magic damage on targets in Area of Effect',100,1,2),
(330748,10118231,'Throws target back',100,1,3),
(330749,10118231,'If Target is not Epic',100,2,4),
(330750,10118231,'Resistibility increases against targets higher than level 117.',100,1,5),
(330751,80680,'When Equipped:',100,0,0),
(330752,80680,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330753,80680,'Inflicts 50 - 93 magic damage on target',100,2,2),
(330754,80680,'Cannot be modified except by direct means',100,2,3),
(330755,10080680,'When Equipped:',100,0,0),
(330756,10080680,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330757,10080680,'Inflicts 65 - 121 magic damage on target',100,2,2),
(330758,10080680,'Cannot be modified except by direct means',100,2,3),
(330759,86495,'Applies Holy Strike when Activated.',100,0,0),
(330760,86495,'Inflicts 129 - 215 divine damage on target',100,1,1),
(330761,86495,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330762,10086495,'Applies Holy Strike when Activated.',100,0,0),
(330763,10086495,'Inflicts 168 - 279 divine damage on target',100,1,1),
(330764,10086495,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(330765,81123,'When Equipped:',100,0,0),
(330766,81123,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330767,81123,'Inflicts 148 - 275 magic damage on target',100,2,2),
(330768,81123,'Decreases Threat to target by 517 ',100,2,3),
(330769,81123,'Must be flanking or behind',100,3,4),
(330770,81123,'Increases Threat to target by 517 ',100,2,5),
(330771,81123,'Must be in front of',100,3,6),
(330772,81123,'Cannot be modified except by direct means',100,2,7),
(330773,10081123,'When Equipped:',100,0,0),
(330774,10081123,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330775,10081123,'Inflicts 192 - 357 magic damage on target',100,2,2),
(330776,10081123,'Cannot be modified except by direct means',100,2,3),
(330777,103041,'Inflicts 210 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(330778,103041,'Inflicts 78 - 131 melee damage on target',100,1,1),
(330779,10103041,'Inflicts 273 piercing damage on target instantly and every 2.6 seconds',100,1,0),
(330780,10103041,'Inflicts 102 - 170 melee damage on target',100,1,1),
(330781,24461,'Adds Kobold (Fury) to your Dungeon Maker toolbox',100,0,0),
(330782,10024461,'Adds Kobold (Fury) to your Dungeon Maker toolbox',100,0,0),
(330783,80730,'When Equipped:',100,0,0),
(330784,80730,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330785,80730,'Inflicts 56 - 103 magic damage on target',100,2,2),
(330786,80730,'Decreases Threat to target by 236 ',100,2,3),
(330787,80730,'Must be flanking or behind',100,3,4),
(330788,80730,'Increases Threat to target by 236 ',100,2,5),
(330789,80730,'Must be in front of',100,3,6),
(330790,80730,'Cannot be modified except by direct means',100,2,7),
(330791,10080730,'When Equipped:',100,0,0),
(330792,10080730,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330793,10080730,'Inflicts 72 - 134 magic damage on target',100,2,2),
(330794,10080730,'Cannot be modified except by direct means',100,2,3),
(330795,102903,'Heals caster for 691',100,1,0),
(330796,102903,'Inflicts 1036 disease damage on targets in Area of Effect',100,1,1),
(330797,10102903,'Heals caster for 449',100,1,0),
(330798,10102903,'Inflicts 1346 disease damage on targets in Area of Effect',100,1,1),
(330799,159102,'When Equipped:',100,0,0),
(330800,159102,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(330801,159102,'Increases STR of caster by 14.8',100,2,2),
(330802,159102,'Increases Damage Per Second of caster by 19.0',100,2,3),
(330803,159102,'Cannot be modified except by direct means',100,2,4),
(330804,10159102,'When Equipped:',100,0,0),
(330805,10159102,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(330806,10159102,'Increases STR of caster by 14.8',100,2,2),
(330807,10159102,'Increases Damage Per Second of caster by 19.0',100,2,3),
(330808,10159102,'Cannot be modified except by direct means',100,2,4),
(330809,118762,'Increases INT and WIS of group members (AE) by 42.2',100,1,0),
(330810,118762,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 124',100,1,1),
(330811,10118762,'Increases INT and WIS of group members (AE) by 42.2',100,1,0),
(330812,10118762,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 124',100,1,1),
(330813,161073,'When Equipped:',100,0,0),
(330814,161073,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(330815,10161073,'When Equipped:',100,0,0),
(330816,10161073,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(330817,136492,'When Equipped:',100,0,0),
(330818,136492,'On a melee hit this spell may cast Infuriate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330819,136492,'Increases Threat to target by 855 - 1,425 ',100,2,2),
(330820,136492,'Cannot be modified except by direct means',100,2,3),
(330821,10136492,'When Equipped:',100,0,0),
(330822,10136492,'On a melee hit this spell may cast Infuriate on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330823,10136492,'Applies Annoy.  Lasts for 3.0 seconds.',100,2,2),
(330824,10136492,'Forces target to change their selected target to caster.',100,3,3),
(330825,10136492,'Prevents target from changing targets',100,3,4),
(330826,10136492,'Cannot be modified except by direct means',100,2,5),
(330827,107156,'Inflicts 630 - 770 divine damage on target',100,1,0),
(330828,107156,'Inflicts 630 - 770 divine damage on target',100,1,1),
(330829,107156,'If target is undead',100,2,2),
(330830,10107156,'Inflicts 820 - 1002 divine damage on target',100,1,0),
(330831,10107156,'Inflicts 820 - 1002 divine damage on target',100,1,1),
(330832,45941,'Applies Destructive Goo when Activated.  Lasts for 12 hours.',100,0,0),
(330833,45941,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(330834,45941,'Inflicts 99 poison damage on target instantly and every 6 seconds',100,2,2),
(330835,45941,'Inflicts 167 poison damage on target',100,2,3),
(330836,45941,'Cannot be modified except by direct means',100,2,4),
(330837,45941,'Grants a total of 100 triggers of the spell.',100,2,5),
(330838,10045941,'Applies Destructive Goo when Activated.  Lasts for 12 hours.',100,0,0),
(330839,10045941,'On a combat hit this spell may cast Poisoned on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(330840,10045941,'Inflicts 163 poison damage on target',100,2,2),
(330841,10045941,'Inflicts 97 poison damage on target instantly and every 6 seconds',100,2,3),
(330842,10045941,'Cannot be modified except by direct means',100,2,4),
(330843,10045941,'Grants a total of 100 triggers of the spell.',100,2,5),
(330844,114295,'Heals target for 417 - 510',100,1,0),
(330845,10114295,'Heals target for 490 - 599',100,1,0),
(330846,116896,'Wards group members (AE) against 2662 points of noxious damage',100,1,0),
(330847,116896,'Increases Mitigation of group members (AE) vs noxious damage by 1401',100,1,1),
(330848,10116896,'Wards group members (AE) against 2662 points of noxious damage',100,1,0),
(330849,10116896,'Increases Mitigation of group members (AE) vs noxious damage by 1401',100,1,1),
(330850,115873,'Inflicts 716 - 1193 mental damage on target encounter',100,1,0),
(330851,115873,'Interrupts target encounter',100,1,1),
(330852,10115873,'Inflicts 931 - 1551 mental damage on target encounter',100,1,0),
(330853,10115873,'Interrupts target encounter',100,1,1),
(330854,112872,'Inflicts 35 - 43 melee damage on target',100,1,0),
(330855,112872,'Decreases Mitigation of target vs physical damage by 72',100,1,1),
(330856,112872,'Must be flanking or behind',100,1,2),
(330857,10112872,'Inflicts 45 - 55 melee damage on target',100,1,0),
(330858,10112872,'Decreases Mitigation of target vs physical damage by 72',100,1,1),
(330859,10112872,'Must be flanking or behind',100,1,2),
(330860,24390,'Adds Genie (Coercer) to your Dungeon Maker toolbox',100,0,0),
(330861,10024390,'Adds Genie (Coercer) to your Dungeon Maker toolbox',100,0,0),
(330862,81643,'When Equipped:',100,0,0),
(330863,81643,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330864,81643,'Inflicts 111 - 205 magic damage on target',100,2,2),
(330865,81643,'Decreases Threat to target by 376 ',100,2,3),
(330866,81643,'Must be flanking or behind',100,3,4),
(330867,81643,'Increases Threat to target by 376 ',100,2,5),
(330868,81643,'Must be in front of',100,3,6),
(330869,81643,'Cannot be modified except by direct means',100,2,7),
(330870,10081643,'When Equipped:',100,0,0),
(330871,10081643,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(330872,10081643,'Inflicts 144 - 267 magic damage on target',100,2,2),
(330873,10081643,'Cannot be modified except by direct means',100,2,3),
(330874,103207,'Increases Mitigation of caster vs physical damage by 389',100,1,0),
(330875,103207,'Roots caster',100,1,1),
(330876,10103207,'Increases Mitigation of caster vs physical damage by 389',100,1,0),
(330877,10103207,'Roots caster',100,1,1),
(330878,41696,'When Equipped:',100,0,0),
(330879,41696,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330880,41696,'Inflicts 97 - 180 magic damage on target',100,2,2),
(330881,41696,'Cannot be modified except by direct means',100,2,3),
(330882,10041696,'When Equipped:',100,0,0),
(330883,10041696,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330884,10041696,'Inflicts 126 - 234 magic damage on target',100,2,2),
(330885,10041696,'Cannot be modified except by direct means',100,2,3),
(330886,27190,'When Equipped:',100,0,0),
(330887,27190,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(330888,27190,'Decreases Threat to target encounter by 1,617 ',100,2,2),
(330889,27190,'Cannot be modified except by direct means',100,2,3),
(330890,10027190,'When Equipped:',100,0,0),
(330891,10027190,'On a hostile spell cast this spell may cast Blessing of Finesse on target of spell.  Triggers about 1.0 times per minute. ',100,1,1),
(330892,10027190,'Cannot be modified except by direct means',100,2,2),
(330893,121813,'Heals group members (AE) for 67 - 82',100,1,0),
(330894,121813,'Heals group members (AE) for 11 - 14 every second',100,1,1),
(330895,10121813,'Heals group members (AE) for 44 - 53',100,1,0),
(330896,10121813,'Heals group members (AE) for 7 - 9 every second',100,1,1),
(330897,105871,'Inflicts 26 - 44 ranged damage on target',100,1,0),
(330898,105871,'Inflicts 26 - 44 ranged damage on target',100,1,1),
(330899,105871,'If weapon equipped in Ranged',100,1,2),
(330900,10105871,'Inflicts 20 - 33 ranged damage on target',100,1,0),
(330901,10105871,'Inflicts 20 - 33 ranged damage on target',100,1,1),
(330902,10105871,'If weapon equipped in Ranged',100,1,2),
(330903,154798,'When Equipped:',100,0,0),
(330904,154798,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(330905,154798,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(330906,154798,'Increases Max Health of caster by 2,908.0',100,2,3),
(330907,154798,'Must not be engaged in pvp combat',100,2,4),
(330908,154798,'Cannot be modified except by direct means',100,2,5),
(330909,154798,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(330910,154798,'Increases Max Health of caster by 2,908.0',100,2,7),
(330911,154798,'Must not be engaged in pvp combat',100,2,8),
(330912,154798,'Cannot be modified except by direct means',100,2,9),
(330913,154798,'Cannot be modified except by direct means',100,1,10),
(330914,10154798,'When Equipped:',100,0,0),
(330915,10154798,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(330916,10154798,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(330917,10154798,'Increases Max Health of caster by 2,908.0',100,2,3),
(330918,10154798,'Must not be engaged in pvp combat',100,2,4),
(330919,10154798,'Cannot be modified except by direct means',100,2,5),
(330920,10154798,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(330921,10154798,'Increases Max Health of caster by 2,908.0',100,2,7),
(330922,10154798,'Must not be engaged in pvp combat',100,2,8),
(330923,10154798,'Cannot be modified except by direct means',100,2,9),
(330924,10154798,'Cannot be modified except by direct means',100,1,10),
(330925,121075,'Increases STR and STA of group members (AE) by 51.7',100,1,0),
(330926,10121075,'Increases STR and STA of group members (AE) by 51.7',100,1,0),
(330927,112639,'Inflicts 78 - 131 disease damage on target',100,1,0),
(330928,112639,'Inflicts 78 - 131 disease damage on target',100,1,1),
(330929,112639,'Roots target',100,1,2),
(330930,112639,'If Target is not Epic',100,2,3),
(330931,112639,'15% chance to dispel when target takes damage',100,1,4),
(330932,112639,'If weapon equipped in Ranged',100,1,5),
(330933,112639,'Resistibility increases against targets higher than level 59.',100,1,6),
(330934,10112639,'Inflicts 58 - 98 disease damage on target',100,1,0),
(330935,10112639,'Inflicts 58 - 98 disease damage on target',100,1,1),
(330936,10112639,'Roots target',100,1,2),
(330937,10112639,'If Target is not Epic',100,2,3),
(330938,10112639,'15% chance to dispel when target takes damage',100,1,4),
(330939,10112639,'If weapon equipped in Ranged',100,1,5),
(330940,10112639,'Resistibility increases against targets higher than level 59.',100,1,6),
(330941,42514,'When Equipped:',100,0,0),
(330942,42514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330943,42514,'Inflicts 51 - 76 magic damage on target',100,2,2),
(330944,42514,'Cannot be modified except by direct means',100,2,3),
(330945,10042514,'When Equipped:',100,0,0),
(330946,10042514,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(330947,10042514,'Inflicts 66 - 99 magic damage on target',100,2,2),
(330948,10042514,'Cannot be modified except by direct means',100,2,3),
(330949,120228,'Roots target encounter',100,1,0),
(330950,120228,'15% chance to dispel when target takes damage',100,1,1),
(330951,120228,'Does not affect Epic targets',100,1,2),
(330952,120228,'Resistibility increases against targets higher than level 97.',100,1,3),
(330953,10120228,'Roots target encounter',100,1,0),
(330954,10120228,'15% chance to dispel when target takes damage',100,1,1),
(330955,10120228,'Does not affect Epic targets',100,1,2),
(330956,10120228,'Resistibility increases against targets higher than level 97.',100,1,3),
(330957,124349,'Wards group members (AE) collectively against 329 total points of ',100,1,0),
(330958,10124349,'Wards group members (AE) collectively against 329 total points of ',100,1,0),
(330959,120945,'Inflicts 174 - 291 ranged damage on target',100,1,0),
(330960,120945,'If weapon equipped in Ranged',100,1,1),
(330961,120945,'Must be behind',100,1,2),
(330962,10120945,'Inflicts 130 - 218 ranged damage on target',100,1,0),
(330963,10120945,'If weapon equipped in Ranged',100,1,1),
(330964,10120945,'Must be behind',100,1,2),
(330965,46436,'Applies Escape to Kugup when Activated.',100,0,0),
(330966,46436,'Teleports target within the zone',100,1,1),
(330967,46436,'This effect cannot be cast during combat',100,1,2),
(330968,10046436,'Applies Escape to Kugup when Activated.',100,0,0),
(330969,10046436,'Teleports target within the zone',100,1,1),
(330970,10046436,'This effect cannot be cast during combat',100,1,2),
(330971,122971,'Inflicts 296 - 400 mental damage on target',100,1,0),
(330972,10122971,'Inflicts 384 - 520 mental damage on target',100,1,0),
(330973,46421,'Applies Gravity Well when Activated.',100,0,0),
(330974,46421,'Inflicts 30.0% of max health in crushing damage on target',100,1,1),
(330975,46421,'This effect cannot be critically applied.',100,2,2),
(330976,46421,'If any of the following are true:',100,1,3),
(330977,46421,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(330978,46421,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(330979,46421,'Must be in Covenant District [Solo].',100,2,6),
(330980,10046421,'Applies Gravity Well when Activated.',100,0,0),
(330981,10046421,'Inflicts 39.0% of max health in crushing damage on target',100,1,1),
(330982,10046421,'This effect cannot be critically applied.',100,2,2),
(330983,10046421,'If any of the following are true:',100,1,3),
(330984,10046421,'Must be in Lyceum of the Recondite [Solo].',100,2,4),
(330985,10046421,'Must be in Dracur Prime [Advanced Solo].',100,2,5),
(330986,10046421,'Must be in Covenant District [Solo].',100,2,6),
(330987,166517,'When Equipped:',100,0,0),
(330988,166517,'On a critical combat hit this spell may cast Martial Vulnerability IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(330989,166517,'Decreases Mitigation of target vs physical damage by 450',100,2,2),
(330990,166517,'Must not be engaged in pvp combat',100,2,3),
(330991,166517,'Cannot be modified except by direct means',100,2,4),
(330992,166517,'On a critical spell hit this spell may cast Martial Vulnerability IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(330993,166517,'Decreases Mitigation of target vs physical damage by 450',100,2,6),
(330994,166517,'Must not be engaged in pvp combat',100,2,7),
(330995,166517,'Cannot be modified except by direct means',100,2,8),
(330996,166517,'Must not be engaged in pvp combat',100,1,9),
(330997,10166517,'When Equipped:',100,0,0),
(330998,10166517,'On a critical combat hit this spell may cast Martial Vulnerability IV on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(330999,10166517,'Decreases Mitigation of target vs physical damage by 450',100,2,2),
(331000,10166517,'Must not be engaged in pvp combat',100,2,3),
(331001,10166517,'Cannot be modified except by direct means',100,2,4),
(331002,10166517,'On a critical spell hit this spell may cast Martial Vulnerability IV on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(331003,10166517,'Decreases Mitigation of target vs physical damage by 450',100,2,6),
(331004,10166517,'Must not be engaged in pvp combat',100,2,7),
(331005,10166517,'Cannot be modified except by direct means',100,2,8),
(331006,10166517,'Must not be engaged in pvp combat',100,1,9),
(331007,112240,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(331008,112240,'Inflicts 41 disease damage on target',100,2,1),
(331009,112240,'Increases Threat to target by 103 ',100,2,2),
(331010,112240,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,3),
(331011,10112240,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(331012,10112240,'Inflicts 54 disease damage on target',100,2,1),
(331013,10112240,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,2),
(331014,114912,'Inflicts 171 - 285 melee damage on target',100,1,0),
(331015,114912,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 680',100,1,1),
(331016,114912,'Must be behind',100,1,2),
(331017,10114912,'Inflicts 222 - 371 melee damage on target',100,1,0),
(331018,10114912,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 340',100,1,1),
(331019,10114912,'Must be behind',100,1,2),
(331020,108715,'Inflicts 311 heat damage on target',100,1,0),
(331021,108715,'Inflicts 69 heat damage on target every 4 seconds',100,1,1),
(331022,10108715,'Inflicts 566 heat damage on target',100,1,0),
(331023,10108715,'Inflicts 90 heat damage on target every 4 seconds',100,1,1),
(331024,46385,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(331025,46385,'Increases AGI of caster by 71.5',100,1,1),
(331026,10046385,'Applies elixir of deftness when Activated.  Lasts for 30 minutes.',100,0,0),
(331027,10046385,'Increases AGI of caster by 71.5',100,1,1),
(331028,108354,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(331029,108354,'Increases Mitigation of group members (AE) vs arcane damage by 525',100,1,1),
(331030,10108354,'Increases Max Health of group members (AE) by 121.1',100,1,0),
(331031,10108354,'Increases Mitigation of group members (AE) vs arcane damage by 525',100,1,1),
(331032,100474,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(331033,100474,'Decreases Threat to target by 92 ',100,2,1),
(331034,100474,'If not fighter',100,2,2),
(331035,100474,'Decreases Hate Gain of group members (AE) by 26.0%',100,1,3),
(331036,100474,'If not fighter',100,2,4),
(331037,10100474,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(331038,10100474,'If not fighter',100,2,1),
(331039,10100474,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(331040,10100474,'Inflicts 55 - 61 crushing damage on target',100,2,3),
(331041,10100474,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(331042,10100474,'If not fighter',100,2,5),
(331043,10100474,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(331044,10100474,'If not fighter',100,2,7),
(331045,10100474,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(331046,10100474,'If not fighter',100,2,9),
(331047,114915,'Inflicts 188 - 314 melee damage on target',100,1,0),
(331048,114915,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 748',100,1,1),
(331049,114915,'Must be behind',100,1,2),
(331050,10114915,'Inflicts 245 - 408 melee damage on target',100,1,0),
(331051,10114915,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 374',100,1,1),
(331052,10114915,'Must be behind',100,1,2),
(331053,159919,'Applies Lambent Imbued when Equipped.',100,0,0),
(331054,159919,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(331055,159919,'Heals target for 86 instantly and every 4 seconds',100,2,2),
(331056,159919,'Cannot be modified except by direct means',100,2,3),
(331057,10159919,'Applies Lambent Imbued when Equipped.',100,0,0),
(331058,10159919,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(331059,10159919,'Heals target for 56 instantly and every 4 seconds',100,2,2),
(331060,10159919,'Cannot be modified except by direct means',100,2,3),
(331061,81921,'When Equipped:',100,0,0),
(331062,81921,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(331063,81921,'Inflicts 265 - 492 magic damage on target',100,2,2),
(331064,81921,'Decreases Threat to target by 994 ',100,2,3),
(331065,81921,'Must be flanking or behind',100,3,4),
(331066,81921,'Increases Threat to target by 994 ',100,2,5),
(331067,81921,'Must be in front of',100,3,6),
(331068,81921,'Cannot be modified except by direct means',100,2,7),
(331069,10081921,'When Equipped:',100,0,0),
(331070,10081921,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(331071,10081921,'Inflicts 345 - 640 magic damage on target',100,2,2),
(331072,10081921,'Cannot be modified except by direct means',100,2,3),
(331073,169265,'When Equipped:',100,0,0),
(331074,169265,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331075,169265,'Inflicts 2648 disease damage on target encounter',100,2,2),
(331076,169265,'Must not be engaged in pvp combat',100,2,3),
(331077,169265,'Cannot be modified except by direct means',100,2,4),
(331078,10169265,'When Equipped:',100,0,0),
(331079,10169265,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331080,10169265,'Inflicts 1721 disease damage on target encounter',100,2,2),
(331081,10169265,'Must not be engaged in pvp combat',100,2,3),
(331082,10169265,'Cannot be modified except by direct means',100,2,4),
(331083,105204,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(331084,105204,'Inflicts 141 - 173 poison damage on target encounter',100,2,1),
(331085,10105204,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(331086,10105204,'Inflicts 184 - 225 poison damage on target encounter',100,2,1),
(331087,174384,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(331088,174384,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(331089,174384,'Cannot be modified except by direct means',100,1,2),
(331090,10174384,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(331091,10174384,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(331092,10174384,'Cannot be modified except by direct means',100,1,2),
(331093,110859,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(331094,110859,'Inflicts 425 - 708 divine damage on target',100,2,1),
(331095,110859,'Applies Knockdown.  Lasts for 2.5 seconds.',100,2,2),
(331096,110859,'Throws target back',100,3,3),
(331097,110859,'Stuns target',100,3,4),
(331098,110859,'Blurs vision of target',100,3,5),
(331099,110859,'Does not affect Epic targets',100,3,6),
(331100,110859,'Grants a total of 3 triggers of the spell.',100,2,7),
(331101,10110859,'On a spell cast this spell will cast Heretical Strike on target.  ',100,1,0),
(331102,10110859,'Inflicts 552 - 920 divine damage on target',100,2,1),
(331103,10110859,'Applies Knockdown.  Lasts for 2.0 seconds.',100,2,2),
(331104,10110859,'Throws target back',100,3,3),
(331105,10110859,'Stuns target',100,3,4),
(331106,10110859,'Blurs vision of target',100,3,5),
(331107,10110859,'Does not affect Epic targets',100,3,6),
(331108,10110859,'Grants a total of 3 triggers of the spell.',100,2,7),
(331109,190742,'When Equipped:',100,0,0),
(331110,190742,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331111,190742,'Inflicts 513 - 628 heat damage on target',100,2,2),
(331112,190742,'Inflicts 513 - 628 heat damage on target',100,2,3),
(331113,190742,'Inflicts 513 - 628 heat damage on target',100,2,4),
(331114,190742,'Must not be engaged in pvp combat',100,2,5),
(331115,190742,'Cannot be modified except by direct means',100,2,6),
(331116,10190742,'When Equipped:',100,0,0),
(331117,10190742,'On any combat or spell hit this spell may cast Defiant Splash on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331118,10190742,'Inflicts 667 - 816 heat damage on target',100,2,2),
(331119,10190742,'Inflicts 667 - 816 heat damage on target',100,2,3),
(331120,10190742,'Inflicts 667 - 816 heat damage on target',100,2,4),
(331121,10190742,'Must not be engaged in pvp combat',100,2,5),
(331122,10190742,'Cannot be modified except by direct means',100,2,6),
(331123,122917,'Increases STR and INT of group members (AE) by 85.4',100,1,0),
(331124,10122917,'Increases STR and INT of group members (AE) by 85.4',100,1,0),
(331125,46339,'Applies Take Core Sample when Activated.',100,0,0),
(331126,46339,'This effect cannot be cast during combat',100,1,1),
(331127,10046339,'Applies Take Core Sample when Activated.',100,0,0),
(331128,10046339,'This effect cannot be cast during combat',100,1,1),
(331129,120099,'Shapechanges caster into a chaos essence',100,1,0),
(331130,120099,'Increases WIS of caster by 51.2',100,1,1),
(331131,120099,'Grants See Invisibility to caster',100,1,2),
(331132,120099,'Increases Max Health of caster by 137.6',100,1,3),
(331133,120099,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 760',100,1,4),
(331134,10120099,'Shapechanges caster into a chaos essence',100,1,0),
(331135,10120099,'Increases WIS of caster by 51.2',100,1,1),
(331136,10120099,'Grants See Invisibility to caster',100,1,2),
(331137,10120099,'Increases Max Health of caster by 137.6',100,1,3),
(331138,10120099,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 760',100,1,4),
(331139,113108,'Heals target for 56.2 - 68.6% of max health',100,1,0),
(331140,113108,'This effect cannot be critically applied.',100,2,1),
(331141,113108,'Increases Max Health of target by 790.5',100,1,2),
(331142,113108,'Increases Mitigation of target vs physical damage by 932',100,1,3),
(331143,113108,'The healing of this spell cannot be modified except by direct means',100,1,4),
(331144,10113108,'Heals target for 22.5 - 27.5% of max health',100,1,0),
(331145,10113108,'This effect cannot be critically applied.',100,2,1),
(331146,10113108,'Increases Max Health of target by 790.5',100,1,2),
(331147,10113108,'Increases Mitigation of target vs physical damage by 932',100,1,3),
(331148,10113108,'The healing of this spell cannot be modified except by direct means',100,1,4),
(331149,116295,'Stuns target',100,1,0),
(331150,116295,'Does not affect Epic targets',100,1,1),
(331151,116295,'Resistibility increases against targets higher than level 45.',100,1,2),
(331152,10116295,'Stuns target',100,1,0),
(331153,10116295,'Does not affect Epic targets',100,1,1),
(331154,10116295,'Resistibility increases against targets higher than level 45.',100,1,2),
(331155,113545,'Inflicts 229 - 382 disease damage on target',100,1,0),
(331156,10113545,'Inflicts 298 - 497 disease damage on target',100,1,0),
(331157,88646,'When Equipped:',100,0,0),
(331158,88646,'On a melee hit this spell may cast Rage on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(331159,88646,'Increases Potency of caster by 15.0%',100,2,2),
(331160,88646,'Cannot be modified except by direct means',100,2,3),
(331161,10088646,'When Equipped:',100,0,0),
(331162,10088646,'On a melee hit this spell may cast Rage on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(331163,10088646,'Increases Potency of caster by 15.0%',100,2,2),
(331164,10088646,'Cannot be modified except by direct means',100,2,3),
(331165,75631,'Applies Holy Strike when Activated.',100,0,0),
(331166,75631,'Inflicts 223 - 372 divine damage on target',100,1,1),
(331167,75631,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(331168,10075631,'Applies Holy Strike when Activated.',100,0,0),
(331169,10075631,'Inflicts 290 - 483 divine damage on target',100,1,1),
(331170,10075631,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(331171,105624,'Inflicts 37 disease damage on target instantly and every 6 seconds',100,1,0),
(331172,105624,'Inflicts 85 - 142 disease damage on target',100,1,1),
(331173,105624,'Inflicts 85 - 142 disease damage on target',100,1,2),
(331174,10105624,'Inflicts 48 disease damage on target instantly and every 6 seconds',100,1,0),
(331175,10105624,'Inflicts 111 - 185 disease damage on target',100,1,1),
(331176,10105624,'Inflicts 111 - 185 disease damage on target',100,1,2),
(331177,109540,'Summons a limited pet to aid the caster',100,1,0),
(331178,10109540,'Summons a limited pet to aid the caster',100,1,0),
(331179,109323,'Increases STR of caster by 55.2',100,1,0),
(331180,109323,'Decreases Defense of caster by 9.0',100,1,1),
(331181,109323,'Increases Slashing, Piercing and Crushing of caster by 16.2',100,1,2),
(331182,10109323,'Increases STR of caster by 55.2',100,1,0),
(331183,10109323,'Decreases Defense of caster by 9.0',100,1,1),
(331184,10109323,'Increases Slashing, Piercing and Crushing of caster by 16.2',100,1,2),
(331185,35820,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(331186,120429,'Inflicts 99 - 166 melee damage on target',100,1,0),
(331187,120429,'Inflicts 99 - 166 melee damage on target',100,1,1),
(331188,10120429,'Inflicts 129 - 215 melee damage on target',100,1,0),
(331189,10120429,'Inflicts 129 - 215 melee damage on target',100,1,1),
(331190,35029,'Increases AGI of target by 6.2',100,0,0),
(331191,35029,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(331192,85457,'When Equipped:',100,0,0),
(331193,85457,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(331194,85457,'Inflicts 45 - 55 disease damage on target',100,2,2),
(331195,85457,'Inflicts 42 - 52 disease damage on target every 6 seconds',100,2,3),
(331196,85457,'Cannot be modified except by direct means',100,2,4),
(331197,10085457,'When Equipped:',100,0,0),
(331198,10085457,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(331199,10085457,'Inflicts 59 - 72 disease damage on target',100,2,2),
(331200,10085457,'Inflicts 55 - 67 disease damage on target every 6 seconds',100,2,3),
(331201,10085457,'Cannot be modified except by direct means',100,2,4),
(331202,82010,'When Equipped:',100,0,0),
(331203,82010,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331204,82010,'Inflicts 138 - 257 magic damage on target',100,2,2),
(331205,82010,'Cannot be modified except by direct means',100,2,3),
(331206,10082010,'When Equipped:',100,0,0),
(331207,10082010,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331208,10082010,'Inflicts 180 - 334 magic damage on target',100,2,2),
(331209,10082010,'Cannot be modified except by direct means',100,2,3),
(331210,47108,'Applies Aegis of the Windrider  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(331211,47108,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(331212,47108,'Inflicts 5 magic damage on target',100,2,2),
(331213,47108,'Cannot be modified except by direct means',100,2,3),
(331214,10047108,'Applies Aegis of the Windrider  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(331215,10047108,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(331216,10047108,'Inflicts 7 magic damage on target',100,2,2),
(331217,10047108,'Cannot be modified except by direct means',100,2,3),
(331218,111322,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(331219,111322,'Inflicts 96 - 117 mental damage on target',100,2,1),
(331220,111322,'Grants a total of 3 triggers of the spell.',100,2,2),
(331221,10111322,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(331222,10111322,'Inflicts 124 - 152 mental damage on target',100,2,1),
(331223,10111322,'Grants a total of 3 triggers of the spell.',100,2,2),
(331224,133513,'When Equipped:',100,0,0),
(331225,133513,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(331226,133513,'Heals group members (AE) for 875',100,2,2),
(331227,133513,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(331228,133513,'Must not be engaged in pvp combat',100,2,4),
(331229,133513,'Cannot be modified except by direct means',100,2,5),
(331230,133513,'Must not be engaged in pvp combat',100,1,6),
(331231,10133513,'When Equipped:',100,0,0),
(331232,10133513,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(331233,10133513,'Heals group members (AE) for 1024',100,2,2),
(331234,10133513,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(331235,10133513,'Must not be engaged in pvp combat',100,2,4),
(331236,10133513,'Cannot be modified except by direct means',100,2,5),
(331237,10133513,'Must not be engaged in pvp combat',100,1,6),
(331238,101124,'Heals target for 243 - 297',100,1,0),
(331239,10101124,'Heals target for 158 - 193',100,1,0),
(331240,119573,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(331241,10119573,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(331242,103421,'Decreases Threat to targets in Area of Effect by 2,284 ',100,1,0),
(331243,103421,'Slows targets in Area of Effect by 33.2%',100,1,1),
(331244,103421,'Stifles targets in Area of Effect',100,1,2),
(331245,103421,'If Target is not Epic',100,2,3),
(331246,103421,'10% chance to dispel when target receives hostile action',100,1,4),
(331247,103421,'10% chance to dispel when target takes damage',100,1,5),
(331248,10103421,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(331249,10103421,'Slows targets in Area of Effect by 33.2%',100,1,1),
(331250,10103421,'Stifles targets in Area of Effect',100,1,2),
(331251,10103421,'If Target is not Epic',100,2,3),
(331252,104445,'Inflicts 54 - 66 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(331253,104445,'Interrupts target encounter',100,1,1),
(331254,104445,'Applies Stumble on termination.',100,1,2),
(331255,104445,'Interrupts target',100,2,3),
(331256,10104445,'Inflicts 71 - 86 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(331257,10104445,'Interrupts target encounter',100,1,1),
(331258,10104445,'Applies Stumble on termination.',100,1,2),
(331259,10104445,'Interrupts target',100,2,3),
(331260,52760,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331261,52760,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331262,52760,'Inflicts 106 heat damage on target',100,2,2),
(331263,52760,'Cannot be modified except by direct means',100,2,3),
(331264,10052760,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331265,10052760,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331266,10052760,'Inflicts 137 heat damage on target',100,2,2),
(331267,10052760,'Cannot be modified except by direct means',100,2,3),
(331268,45319,'Applies Call Blue-saddled Black Nightmare when Activated.',100,0,0),
(331269,45319,'Increases Max Health of caster by 150.0',100,1,1),
(331270,45319,'Increases Max Power of caster by 150.0',100,1,2),
(331271,45319,'Increases Ranged and Slashing of caster by 7.0',100,1,3),
(331272,45319,'Summons a mount to ride',100,1,4),
(331273,45319,'Increases your ground speed by 130%',100,2,5),
(331274,45319,'Increases Piercing, Disruption and Crushing of caster by 7.0',100,1,6),
(331275,45319,'Requires evil alignment',100,1,7),
(331276,10045319,'Applies Call Blue-saddled Black Nightmare when Activated.',100,0,0),
(331277,10045319,'Increases Max Health of caster by 150.0',100,1,1),
(331278,10045319,'Increases Max Power of caster by 150.0',100,1,2),
(331279,10045319,'Increases Ranged and Slashing of caster by 7.0',100,1,3),
(331280,10045319,'Summons a mount to ride',100,1,4),
(331281,10045319,'Increases your ground speed by 130%',100,2,5),
(331282,10045319,'Increases Piercing, Disruption and Crushing of caster by 7.0',100,1,6),
(331283,10045319,'Requires evil alignment',100,1,7),
(331284,81394,'When Equipped:',100,0,0),
(331285,81394,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(331286,81394,'Inflicts 80 - 149 magic damage on target',100,2,2),
(331287,81394,'Decreases Threat to target by 352 ',100,2,3),
(331288,81394,'Must be flanking or behind',100,3,4),
(331289,81394,'Increases Threat to target by 352 ',100,2,5),
(331290,81394,'Must be in front of',100,3,6),
(331291,81394,'Cannot be modified except by direct means',100,2,7),
(331292,10081394,'When Equipped:',100,0,0),
(331293,10081394,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(331294,10081394,'Inflicts 104 - 193 magic damage on target',100,2,2),
(331295,10081394,'Cannot be modified except by direct means',100,2,3),
(331296,103896,'Increases power of group members (AE) by 31 instantly and every 6 seconds',100,1,0),
(331297,103896,'Decreases INT of target by 112.8',100,1,1),
(331298,10103896,'Increases power of group members (AE) by 31 instantly and every 6 seconds',100,1,0),
(331299,10103896,'Decreases INT of target by 112.8',100,1,1),
(331300,24437,'Adds Harpy (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(331301,10024437,'Adds Harpy (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(331302,40641,'When Equipped:',100,0,0),
(331303,40641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331304,40641,'Inflicts 64 - 96 magic damage on target',100,2,2),
(331305,40641,'Cannot be modified except by direct means',100,2,3),
(331306,10040641,'When Equipped:',100,0,0),
(331307,10040641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331308,10040641,'Inflicts 83 - 125 magic damage on target',100,2,2),
(331309,10040641,'Cannot be modified except by direct means',100,2,3),
(331310,26533,'When Equipped:',100,0,0),
(331311,26533,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(331312,26533,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(331313,10026533,'When Equipped:',100,0,0),
(331314,10026533,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(331315,10026533,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',100,1,2),
(331316,35402,'Increases WIS and STA of target by 11.0',100,0,0),
(331317,35402,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(331318,106687,'Heals caster for 49.1 - 60.1% of max health',100,1,0),
(331319,106687,'This effect cannot be critically applied.',100,2,1),
(331320,106687,'Increases Max Health of caster by 793.8',100,1,2),
(331321,106687,'The healing of this spell cannot be modified except by direct means',100,1,3),
(331322,10106687,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(331323,10106687,'This effect cannot be critically applied.',100,2,1),
(331324,10106687,'Increases Max Health of caster by 793.8',100,1,2),
(331325,10106687,'The healing of this spell cannot be modified except by direct means',100,1,3),
(331326,171736,'When Equipped:',100,0,0),
(331327,171736,'On a critical healing spell cast this spell may cast Shared Vigor VI on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(331328,171736,'Increases Potency of target by 5.0%',100,2,2),
(331329,171736,'Increases Potency of caster by 5.0%',100,2,3),
(331330,171736,'Must not be engaged in pvp combat',100,2,4),
(331331,171736,'Cannot be modified except by direct means',100,2,5),
(331332,171736,'Must not be engaged in pvp combat',100,1,6),
(331333,10171736,'When Equipped:',100,0,0),
(331334,10171736,'On a critical healing spell cast this spell may cast Shared Vigor VI on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(331335,10171736,'Increases Potency of target by 5.0%',100,2,2),
(331336,10171736,'Increases Potency of caster by 5.0%',100,2,3),
(331337,10171736,'Must not be engaged in pvp combat',100,2,4),
(331338,10171736,'Cannot be modified except by direct means',100,2,5),
(331339,10171736,'Must not be engaged in pvp combat',100,1,6),
(331340,122610,'Inflicts 160 - 196 mental damage on target instantly and every 3 seconds',100,1,0),
(331341,122610,'Decreases Mitigation of target vs arcane damage by 1478',100,1,1),
(331342,10122610,'Inflicts 209 - 255 mental damage on target instantly and every 3 seconds',100,1,0),
(331343,10122610,'Decreases Mitigation of target vs arcane damage by 1478',100,1,1),
(331344,122959,'Inflicts 134 - 181 mental damage on target',100,1,0),
(331345,10122959,'Inflicts 174 - 235 mental damage on target',100,1,0),
(331346,105483,'Stuns target encounter',100,1,0),
(331347,105483,'If Target is not Epic',100,2,1),
(331348,105483,'Inflicts 276 - 513 poison damage on target encounter',100,1,2),
(331349,105483,'Resistibility increases against targets higher than level 79.',100,1,3),
(331350,10105483,'Stuns target encounter',100,1,0),
(331351,10105483,'If Target is not Epic',100,2,1),
(331352,10105483,'Inflicts 359 - 667 poison damage on target encounter',100,1,2),
(331353,10105483,'Resistibility increases against targets higher than level 79.',100,1,3),
(331354,72405,'When Equipped:',100,0,0),
(331355,72405,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331356,72405,'Inflicts 137 - 167 magic damage on target',100,2,2),
(331357,72405,'Cannot be modified except by direct means',100,2,3),
(331358,10072405,'When Equipped:',100,0,0),
(331359,10072405,'On any combat or spell hit this spell may cast Magic Bolt on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331360,10072405,'Inflicts 178 - 217 magic damage on target',100,2,2),
(331361,10072405,'Cannot be modified except by direct means',100,2,3),
(331362,113346,'Inflicts 433 - 529 divine damage on target encounter',100,1,0),
(331363,113346,'Interrupts target encounter',100,1,1),
(331364,10113346,'Inflicts 563 - 688 divine damage on target encounter',100,1,0),
(331365,10113346,'Interrupts target encounter',100,1,1),
(331366,159745,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(331367,159745,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(331368,159745,'Inflicts 45 heat damage on target',100,2,2),
(331369,159745,'Cannot be modified except by direct means',100,2,3),
(331370,10159745,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(331371,10159745,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(331372,10159745,'Inflicts 58 heat damage on target',100,2,2),
(331373,10159745,'Cannot be modified except by direct means',100,2,3),
(331374,52810,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(331375,52810,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(331376,52810,'Inflicts 44 heat damage on target',100,2,2),
(331377,52810,'Cannot be modified except by direct means',100,2,3),
(331378,10052810,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(331379,10052810,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(331380,10052810,'Inflicts 58 heat damage on target',100,2,2),
(331381,10052810,'Cannot be modified except by direct means',100,2,3),
(331382,48420,'Applies Thinning Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(331383,48420,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(331384,48420,'Inflicts 70 poison damage on target instantly and every 6 seconds',100,2,2),
(331385,48420,'Inflicts 431 poison damage on target',100,2,3),
(331386,48420,'Cannot be modified except by direct means',100,2,4),
(331387,48420,'Grants a total of 200 triggers of the spell.',100,2,5),
(331388,48420,'Only affects targets level 50 and above',100,1,6),
(331389,10048420,'Applies Thinning Adeste''s Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(331390,10048420,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(331391,10048420,'Inflicts 69 poison damage on target instantly and every 6 seconds',100,2,2),
(331392,10048420,'Inflicts 420 poison damage on target',100,2,3),
(331393,10048420,'Cannot be modified except by direct means',100,2,4),
(331394,10048420,'Grants a total of 200 triggers of the spell.',100,2,5),
(331395,10048420,'Only affects targets level 50 and above',100,1,6),
(331396,104921,'Inflicts 375 - 626 ranged damage on target',100,1,0),
(331397,104921,'Decreases Deflection and Parry of target by 34.6',100,1,1),
(331398,104921,'Requires bow',100,1,2),
(331399,10104921,'Inflicts 281 - 469 ranged damage on target',100,1,0),
(331400,10104921,'Decreases Deflection and Parry of target by 34.6',100,1,1),
(331401,10104921,'Requires bow',100,1,2),
(331402,45167,'Applies Essence of Giblets when Activated.  Lasts for 5 minutes.',100,0,0),
(331403,45167,'Shapechanges caster into a turkey',100,1,1),
(331404,45167,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,2),
(331405,45167,'Increases STA of caster by 2.2',100,1,3),
(331406,10045167,'Applies Essence of Giblets when Activated.  Lasts for 5 minutes.',100,0,0),
(331407,10045167,'Shapechanges caster into a turkey',100,1,1),
(331408,10045167,'Dispels 24 - 29 levels of noxious hostile effects on caster',100,1,2),
(331409,10045167,'Increases STA of caster by 2.2',100,1,3),
(331410,120538,'Decreases Defense of target by 15.4',100,1,0),
(331411,10120538,'Decreases Defense of target by 15.4',100,1,0),
(331412,104669,'Decreases Mitigation of target vs all damage by 137',100,1,0),
(331413,10104669,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 137',100,1,0),
(331414,10104669,'Decreases Mitigation of target vs physical damage by 114',100,1,1),
(331415,102833,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(331416,102833,'Heals caster for 2.0 - 2.9% of max health',100,2,1),
(331417,102833,'This effect cannot be critically applied.',100,3,2),
(331418,102833,'The healing of this spell cannot be modified except by direct means',100,2,3),
(331419,10102833,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',100,1,0),
(331420,10102833,'Heals caster for 0.5 - 0.7% of max health',100,2,1),
(331421,10102833,'This effect cannot be critically applied.',100,3,2),
(331422,10102833,'The healing of this spell cannot be modified except by direct means',100,2,3),
(331423,111355,'Inflicts 66 - 110 disease damage on target',100,1,0),
(331424,111355,'Heals caster for 42 - 70',100,1,1),
(331425,10111355,'Inflicts 86 - 143 disease damage on target',100,1,0),
(331426,10111355,'Heals caster for 27 - 46',100,1,1),
(331427,154813,'When Equipped:',100,0,0),
(331428,154813,'When damaged with a melee weapon this spell has a 4% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(331429,154813,'Mesmerizes target',100,2,2),
(331430,154813,'Dispelled when target takes damage',100,2,3),
(331431,154813,'Only affects targets level 98 and below',100,2,4),
(331432,154813,'Does not affect Epic targets',100,2,5),
(331433,154813,'Resistibility increases against targets higher than level 106.',100,2,6),
(331434,154813,'Cannot be modified except by direct means',100,2,7),
(331435,10154813,'When Equipped:',100,0,0),
(331436,10154813,'When damaged with a melee weapon this spell has a 4% chance to cast Hypnotic Defense on target''s attacker.  Lasts for 6.0 seconds.  ',100,1,1),
(331437,10154813,'Mesmerizes target',100,2,2),
(331438,10154813,'Dispelled when target takes damage',100,2,3),
(331439,10154813,'Only affects targets level 98 and below',100,2,4),
(331440,10154813,'Does not affect Epic targets',100,2,5),
(331441,10154813,'Resistibility increases against targets higher than level 106.',100,2,6),
(331442,10154813,'Cannot be modified except by direct means',100,2,7),
(331443,144604,'When Equipped:',100,0,0),
(331444,144604,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(331445,144604,'Must be engaged in pvp combat',100,1,2),
(331446,10144604,'When Equipped:',100,0,0),
(331447,10144604,'Increases Mitigation of caster vs physical damage by 326',100,1,1),
(331448,10144604,'Must be engaged in pvp combat',100,1,2),
(331449,102288,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(331450,102288,'Decreases Threat to target by 407 ',100,2,1),
(331451,10102288,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(331452,10102288,'Inflicts 26 - 28 crushing damage on target',100,2,1),
(331453,157673,'When Equipped:',100,0,0),
(331454,157673,'On a kill this spell has a 10% chance to cast Sap of Veracity on caster.  ',100,1,1),
(331455,157673,'Heals caster for 216',100,2,2),
(331456,157673,'Cannot be modified except by direct means',100,2,3),
(331457,10157673,'When Equipped:',100,0,0),
(331458,10157673,'On a kill this spell has a 10% chance to cast Sap of Veracity on caster.  ',100,1,1),
(331459,10157673,'Heals caster for 141',100,2,2),
(331460,10157673,'Cannot be modified except by direct means',100,2,3),
(331461,114928,'Inflicts 565 - 942 melee damage on target',100,1,0),
(331462,114928,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1984',100,1,1),
(331463,114928,'Must be behind',100,1,2),
(331464,10114928,'Inflicts 734 - 1224 melee damage on target',100,1,0),
(331465,10114928,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 992',100,1,1),
(331466,10114928,'Must be behind',100,1,2),
(331467,45309,'Applies Relocation Orders when Activated.  Lasts for 1.0 second.',100,0,0),
(331468,45309,'Must be in Beggar''s Court: Sweat-Stained Cobbles.',100,1,1),
(331469,45309,'If target is captive worker',100,1,2),
(331470,45309,'Must not be engaged in combat',100,1,3),
(331471,10045309,'Applies Relocation Orders when Activated.  Lasts for 1.0 second.',100,0,0),
(331472,10045309,'Must be in Beggar''s Court: Sweat-Stained Cobbles.',100,1,1),
(331473,10045309,'If target is captive worker',100,1,2),
(331474,10045309,'Must not be engaged in combat',100,1,3),
(331475,107253,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(331476,107253,'Summons a limited pet to aid the caster',100,2,1),
(331477,107253,'If profession other than Illusionist',100,1,2),
(331478,107253,'Must be engaged in combat',100,1,3),
(331479,10107253,'Applies Doppelganger.  Lasts for 30.0 seconds.',100,1,0),
(331480,10107253,'Summons a limited pet to aid the caster',100,2,1),
(331481,10107253,'If profession other than Illusionist',100,1,2),
(331482,10107253,'Must be engaged in combat',100,1,3),
(331483,159450,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331484,159450,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331485,159450,'Inflicts 79 heat damage on target',100,2,2),
(331486,159450,'Cannot be modified except by direct means',100,2,3),
(331487,10159450,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331488,10159450,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331489,10159450,'Inflicts 103 heat damage on target',100,2,2),
(331490,10159450,'Cannot be modified except by direct means',100,2,3),
(331491,80558,'When Equipped:',100,0,0),
(331492,80558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331493,80558,'Inflicts 72 - 134 magic damage on target',100,2,2),
(331494,80558,'Cannot be modified except by direct means',100,2,3),
(331495,10080558,'When Equipped:',100,0,0),
(331496,10080558,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331497,10080558,'Inflicts 94 - 174 magic damage on target',100,2,2),
(331498,10080558,'Cannot be modified except by direct means',100,2,3),
(331499,166510,'When Equipped:',100,0,0),
(331500,166510,'On a critical spell hit this spell may cast Final Stab II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(331501,166510,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(331502,166510,'Must not be engaged in pvp combat',100,2,3),
(331503,166510,'Cannot be modified except by direct means',100,2,4),
(331504,166510,'On a critical combat hit this spell may cast Final Stab II on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(331505,166510,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(331506,166510,'Must not be engaged in pvp combat',100,2,7),
(331507,166510,'Cannot be modified except by direct means',100,2,8),
(331508,166510,'Must not be engaged in pvp combat',100,1,9),
(331509,10166510,'When Equipped:',100,0,0),
(331510,10166510,'On a critical spell hit this spell may cast Final Stab II on target of spell.  Triggers about 2.0 times per minute. ',100,1,1),
(331511,10166510,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(331512,10166510,'Must not be engaged in pvp combat',100,2,3),
(331513,10166510,'Cannot be modified except by direct means',100,2,4),
(331514,10166510,'On a critical combat hit this spell may cast Final Stab II on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(331515,10166510,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(331516,10166510,'Must not be engaged in pvp combat',100,2,7),
(331517,10166510,'Cannot be modified except by direct means',100,2,8),
(331518,10166510,'Must not be engaged in pvp combat',100,1,9),
(331519,120597,'Inflicts 103 - 191 heat damage on target',100,1,0),
(331520,10120597,'Inflicts 134 - 248 heat damage on target',100,1,0),
(331521,124573,'Decreases Threat to targets in Area of Effect by 1,127 ',100,1,0),
(331522,124573,'Interrupts targets in Area of Effect',100,1,1),
(331523,124573,'Roots targets in Area of Effect',100,1,2),
(331524,124573,'If Target is not Epic',100,2,3),
(331525,10124573,'Applies Distract.',100,1,0),
(331526,10124573,'Forces target to clear their selected target.',100,2,1),
(331527,10124573,'Interrupts targets in Area of Effect',100,1,2),
(331528,10124573,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(331529,10124573,'Roots targets in Area of Effect',100,1,4),
(331530,10124573,'If Target is not Epic',100,2,5),
(331531,105927,'Inflicts 24 - 29 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(331532,105927,'Inflicts 55 - 93 disease damage on targets in area',100,1,1),
(331533,10105927,'Inflicts 31 - 38 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(331534,10105927,'Inflicts 72 - 121 disease damage on targets in area',100,1,1),
(331535,101561,'Inflicts 4523 - 7538 melee damage on target',100,1,0),
(331536,101561,'You must be stealthed to use this ability',100,1,1),
(331537,10101561,'Inflicts 2763 - 4606 melee damage on target',100,1,0),
(331538,10101561,'You must be stealthed to use this ability',100,1,1),
(331539,52775,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331540,52775,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331541,52775,'Inflicts 134 heat damage on target',100,2,2),
(331542,52775,'Cannot be modified except by direct means',100,2,3),
(331543,10052775,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331544,10052775,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331545,10052775,'Inflicts 175 heat damage on target',100,2,2),
(331546,10052775,'Cannot be modified except by direct means',100,2,3),
(331547,121206,'Decreases Threat to target by 735 - 1,225 ',100,1,0),
(331548,121206,'Grants stealth to caster',100,1,1),
(331549,121206,'Suspends caster''s movement speed enhancements',100,1,2),
(331550,10121206,'Grants stealth to caster',100,1,0),
(331551,10121206,'Suspends caster''s movement speed enhancements',100,1,1),
(331552,10121206,'Forces target to clear their selected target.',100,1,2),
(331553,85470,'Applies Mark of Pestilence when Equipped.',100,0,0),
(331554,10085470,'Applies Mark of Pestilence when Equipped.',100,0,0),
(331555,118720,'Inflicts 92 - 154 slashing damage on target',100,1,0),
(331556,118720,'Decreases Slashing, Crushing and Piercing of target by 9.4',100,1,1),
(331557,118720,'Inflicts 38 - 47 slashing damage on target every 5 seconds',100,1,2),
(331558,10118720,'Inflicts 120 - 200 slashing damage on target',100,1,0),
(331559,10118720,'Decreases Slashing, Crushing and Piercing of target by 9.4',100,1,1),
(331560,10118720,'Inflicts 50 - 61 slashing damage on target every 5 seconds',100,1,2),
(331561,190733,'When Equipped:',100,0,0),
(331562,190733,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(331563,190733,'Heals group members (AE) for 308 - 377',100,2,2),
(331564,190733,'Heals group members (AE) for 66 - 81 every 2 seconds',100,2,3),
(331565,190733,'Must not be engaged in pvp combat',100,2,4),
(331566,190733,'Cannot be modified except by direct means',100,2,5),
(331567,190733,'Cannot be modified except by direct means',100,1,6),
(331568,10190733,'When Equipped:',100,0,0),
(331569,10190733,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(331570,10190733,'Heals group members (AE) for 200 - 245',100,2,2),
(331571,10190733,'Heals group members (AE) for 43 - 52 every 2 seconds',100,2,3),
(331572,10190733,'Must not be engaged in pvp combat',100,2,4),
(331573,10190733,'Cannot be modified except by direct means',100,2,5),
(331574,10190733,'Cannot be modified except by direct means',100,1,6),
(331575,106505,'Decreases STR and AGI of target by 108.9',100,1,0),
(331576,10106505,'Decreases STR and AGI of target by 108.9',100,1,0),
(331577,117021,'Inflicts 163 - 491 melee damage on target',100,1,0),
(331578,10117021,'Inflicts 212 - 638 melee damage on target',100,1,0),
(331579,105415,'Increases STR of caster by 103.3',100,1,0),
(331580,105415,'Decreases Defense of caster by 9.6',100,1,1),
(331581,105415,'Increases Slashing, Piercing, Crushing and Disruption of caster by 20.2',100,1,2),
(331582,10105415,'Increases STR of caster by 103.3',100,1,0),
(331583,10105415,'Decreases Defense of caster by 9.6',100,1,1),
(331584,10105415,'Increases Slashing, Piercing, Crushing and Disruption of caster by 20.2',100,1,2),
(331585,106927,'Inflicts 64 - 119 poison damage on target',100,1,0),
(331586,10106927,'Inflicts 83 - 154 poison damage on target',100,1,0),
(331587,45002,'Applies Reliable Gnomish Pacemaker when Activated.  Lasts for 2 hours.',100,0,0),
(331588,45002,'On death this spell has a 25% chance to cast Reliable Gnomish Pacemaker on caster.  ',100,1,1),
(331589,45002,'Increases power of target by 40.0%',100,2,2),
(331590,45002,'Heals target for 40.0% of max health',100,2,3),
(331591,45002,'Cannot be modified except by direct means',100,2,4),
(331592,45002,'Grants a total of 1 trigger of the spell.',100,2,5),
(331593,10045002,'Applies Reliable Gnomish Pacemaker when Activated.  Lasts for 2 hours.',100,0,0),
(331594,10045002,'On death this spell has a 25% chance to cast Reliable Gnomish Pacemaker on caster.  ',100,1,1),
(331595,10045002,'Increases power of target by 40.0%',100,2,2),
(331596,10045002,'Heals target for 26.0% of max health',100,2,3),
(331597,10045002,'Cannot be modified except by direct means',100,2,4),
(331598,10045002,'Grants a total of 1 trigger of the spell.',100,2,5),
(331599,82783,'When Equipped:',100,0,0),
(331600,82783,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(331601,82783,'Decreases Threat to target by 1,174 ',100,2,2),
(331602,82783,'Must be flanking or behind',100,3,3),
(331603,82783,'Increases Threat to target by 1,174 ',100,2,4),
(331604,82783,'Must be in front of',100,3,5),
(331605,82783,'Inflicts 237 - 440 magic damage on target',100,2,6),
(331606,82783,'Cannot be modified except by direct means',100,2,7),
(331607,10082783,'When Equipped:',100,0,0),
(331608,10082783,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(331609,10082783,'Inflicts 308 - 572 magic damage on target',100,2,2),
(331610,10082783,'Cannot be modified except by direct means',100,2,3),
(331611,105761,'Inflicts 13 - 16 heat damage on target',100,1,0),
(331612,10105761,'Inflicts 22 - 27 heat damage on target',100,1,0),
(331613,121466,'Increases AGI of caster by 92.5',100,1,0),
(331614,121466,'Adds 14.8% to base avoidance.',100,1,1),
(331615,121466,'Increases Mitigation of caster vs physical damage by 898',100,1,2),
(331616,121466,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,3),
(331617,10121466,'Increases AGI of caster by 92.5',100,1,0),
(331618,10121466,'Adds 14.8% to base avoidance.',100,1,1),
(331619,10121466,'Increases Mitigation of caster vs physical damage by 898',100,1,2),
(331620,10121466,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',100,1,3),
(331621,100602,'Inflicts 334 - 556 melee damage on target',100,1,0),
(331622,100602,'You must be sneaking to use this ability.',100,1,1),
(331623,10100602,'Inflicts 518 - 864 melee damage on target',100,1,0),
(331624,10100602,'You must be sneaking to use this ability.',100,1,1),
(331625,108255,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(331626,108255,'Inflicts 59 heat damage on target',100,2,1),
(331627,108255,'Grants a total of 3 triggers of the spell.',100,2,2),
(331628,10108255,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(331629,10108255,'Inflicts 77 heat damage on target',100,2,1),
(331630,10108255,'Grants a total of 3 triggers of the spell.',100,2,2),
(331631,48187,'Applies Spirit of the Beholder when Activated.  Lasts for 30 minutes.',100,0,0),
(331632,48187,'Shapechanges caster into a gazer',100,1,1),
(331633,48187,'Increases Out-of-Combat Power Regeneration of caster by 84.0',100,1,2),
(331634,48187,'This effect suspends during combat',100,1,3),
(331635,48187,'Only affects targets level 60 and above',100,1,4),
(331636,10048187,'Applies Spirit of the Beholder when Activated.  Lasts for 30 minutes.',100,0,0),
(331637,10048187,'Shapechanges caster into a gazer',100,1,1),
(331638,10048187,'Increases Out-of-Combat Power Regeneration of caster by 84.0',100,1,2),
(331639,10048187,'This effect suspends during combat',100,1,3),
(331640,10048187,'Only affects targets level 60 and above',100,1,4),
(331641,27423,'When Equipped:',100,0,0),
(331642,27423,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331643,27423,'Inflicts 63 divine damage on target',100,2,2),
(331644,27423,'Heals caster for 60',100,2,3),
(331645,27423,'Cannot be modified except by direct means',100,2,4),
(331646,10027423,'When Equipped:',100,0,0),
(331647,10027423,'On a combat hit this spell may cast Vampiric Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331648,10027423,'Inflicts 81 divine damage on target',100,2,2),
(331649,10027423,'Heals caster for 39',100,2,3),
(331650,10027423,'Cannot be modified except by direct means',100,2,4),
(331651,117774,'Inflicts 678 - 1130 divine damage on target',100,1,0),
(331652,10117774,'Inflicts 881 - 1469 divine damage on target',100,1,0),
(331653,82823,'When Equipped:',100,0,0),
(331654,82823,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331655,82823,'Inflicts 205 - 381 magic damage on target',100,2,2),
(331656,82823,'Cannot be modified except by direct means',100,2,3),
(331657,10082823,'When Equipped:',100,0,0),
(331658,10082823,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331659,10082823,'Inflicts 267 - 495 magic damage on target',100,2,2),
(331660,10082823,'Cannot be modified except by direct means',100,2,3),
(331661,106866,'Decreases Threat to targets in Area of Effect by 864 ',100,1,0),
(331662,106866,'Stuns targets in Area of Effect',100,1,1),
(331663,106866,'If Target is not Epic',100,2,2),
(331664,10106866,'Applies Distract.',100,1,0),
(331665,10106866,'Forces target to clear their selected target.',100,2,1),
(331666,10106866,'Stuns targets in Area of Effect',100,1,2),
(331667,10106866,'If Target is not Epic',100,2,3),
(331668,10106866,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(331669,121944,'Inflicts 6 - 10 disease damage on target',100,1,0),
(331670,121944,'Decreases Defense of target by 2.4',100,1,1),
(331671,121944,'Interrupts target',100,1,2),
(331672,10121944,'Inflicts 8 - 13 disease damage on target',100,1,0),
(331673,10121944,'Decreases Defense of target by 2.4',100,1,1),
(331674,10121944,'Interrupts target',100,1,2),
(331675,156892,'Applies Unstable Magics when Equipped.',100,0,0),
(331676,156892,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(331677,10156892,'Applies Unstable Magics when Equipped.',100,0,0),
(331678,10156892,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(331679,45719,'Applies Romiak''s Renewal  when Activated.',100,0,0),
(331680,45719,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(331681,10045719,'Applies Romiak''s Renewal  when Activated.',100,0,0),
(331682,10045719,'Dispels 58 levels of arcane hostile effects on caster',100,1,1),
(331683,123681,'Increases Damage Per Second of target by 50.7',100,1,0),
(331684,10123681,'Increases Damage Per Second of target by 50.7',100,1,0),
(331685,71890,'When Equipped:',100,0,0),
(331686,71890,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(331687,71890,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(331688,71890,'Cannot be modified except by direct means',100,2,3),
(331689,10071890,'When Equipped:',100,0,0),
(331690,10071890,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(331691,10071890,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(331692,10071890,'Cannot be modified except by direct means',100,2,3),
(331693,175136,'Applies Sacrilege when Equipped.',100,0,0),
(331694,175136,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(331695,10175136,'Applies Sacrilege when Equipped.',100,0,0),
(331696,10175136,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(331697,105197,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(331698,105197,'Inflicts 99 - 121 poison damage on target encounter',100,2,1),
(331699,10105197,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(331700,10105197,'Inflicts 129 - 158 poison damage on target encounter',100,2,1),
(331701,46726,'Applies essence of power when Activated.',100,0,0),
(331702,46726,'Increases power of caster by 71',100,1,1),
(331703,10046726,'Applies essence of power when Activated.',100,0,0),
(331704,10046726,'Increases power of caster by 55',100,1,1),
(331705,50411,'When Equipped:',100,0,0),
(331706,50411,'Increases caster''s chance to block by 15.0%',100,1,1),
(331707,50411,'When Equipped:',100,0,2),
(331708,50411,'Increases Burst effect damage by 33%.',100,1,3),
(331709,50411,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,4),
(331710,50411,'Inflicts 435 disease damage on targets in Area of Effect',100,2,5),
(331711,50411,'Cannot be modified except by direct means',100,2,6),
(331712,10050411,'When Equipped:',100,0,0),
(331713,10050411,'Increases caster''s chance to block by 15.0%',100,1,1),
(331714,10050411,'When Equipped:',100,0,2),
(331715,10050411,'Increases Burst effect damage by 33%.',100,1,3),
(331716,10050411,'When any damage is received this spell has a 10% chance to cast Mutagenic Burst on target''s attacker.  ',100,1,4),
(331717,10050411,'Inflicts 566 disease damage on targets in Area of Effect',100,2,5),
(331718,10050411,'Cannot be modified except by direct means',100,2,6),
(331719,124398,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(331720,124398,'Inflicts 69 - 116 melee damage on target',100,2,1),
(331721,124398,'Grants a total of 3 triggers of the spell.',100,2,2),
(331722,10124398,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(331723,10124398,'Inflicts 90 - 151 melee damage on target',100,2,1),
(331724,10124398,'Grants a total of 3 triggers of the spell.',100,2,2),
(331725,109445,'Inflicts 156 - 190 cold damage on target instantly and every 4 seconds',100,1,0),
(331726,109445,'Decreases Mitigation of target vs elemental damage by 805',100,1,1),
(331727,10109445,'Inflicts 202 - 247 cold damage on target instantly and every 4 seconds',100,1,0),
(331728,10109445,'Decreases Mitigation of target vs elemental damage by 805',100,1,1),
(331729,105399,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(331730,105399,'Interrupts target',100,2,1),
(331731,105399,'Inflicts 128 melee damage on target',100,2,2),
(331732,105399,'Decreases Defense of caster by 28.6',100,1,3),
(331733,105399,'Increases Piercing, Slashing, Ranged and Crushing of caster by 48.7',100,1,4),
(331734,10105399,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',100,1,0),
(331735,10105399,'Interrupts target',100,2,1),
(331736,10105399,'Inflicts 166 melee damage on target',100,2,2),
(331737,10105399,'Decreases Defense of caster by 28.6',100,1,3),
(331738,10105399,'Increases Piercing, Slashing, Ranged and Crushing of caster by 48.7',100,1,4),
(331739,47602,'Applies Flask of Speedy Footwork when Activated.  Lasts for 30 minutes.',100,0,0),
(331740,47602,'Increases speed of caster by 40.0%',100,1,1),
(331741,10047602,'Applies Flask of Speedy Footwork when Activated.  Lasts for 30 minutes.',100,0,0),
(331742,10047602,'Increases speed of caster by 40.0%',100,1,1),
(331743,45656,'Applies Elixir of Vision  when Activated.  Lasts for 15 minutes.',100,0,0),
(331744,45656,'Increases Max Power of caster by 67.5',100,1,1),
(331745,10045656,'Applies Elixir of Vision  when Activated.  Lasts for 15 minutes.',100,0,0),
(331746,10045656,'Increases Max Power of caster by 67.5',100,1,1),
(331747,114198,'Inflicts 204 - 341 melee damage on target',100,1,0),
(331748,114198,'Decreases Slashing, Crushing and Piercing of target by 7.9',100,1,1),
(331749,10114198,'Inflicts 266 - 443 melee damage on target',100,1,0),
(331750,10114198,'Decreases Slashing, Crushing and Piercing of target by 7.9',100,1,1),
(331751,119955,'Inflicts 296 - 493 melee damage on target',100,1,0),
(331752,119955,'Stifles target',100,1,1),
(331753,119955,'If Target is not Epic',100,2,2),
(331754,119955,'Resistibility increases against targets higher than level 109.',100,1,3),
(331755,10119955,'Inflicts 384 - 641 melee damage on target',100,1,0),
(331756,10119955,'Stifles target',100,1,1),
(331757,10119955,'If Target is not Epic',100,2,2),
(331758,10119955,'Resistibility increases against targets higher than level 109.',100,1,3),
(331759,81469,'When Equipped:',100,0,0),
(331760,81469,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331761,81469,'Inflicts 80 - 149 magic damage on target',100,2,2),
(331762,81469,'Cannot be modified except by direct means',100,2,3),
(331763,10081469,'When Equipped:',100,0,0),
(331764,10081469,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331765,10081469,'Inflicts 104 - 193 magic damage on target',100,2,2),
(331766,10081469,'Cannot be modified except by direct means',100,2,3),
(331767,118142,'Heals target for 2336 - 2855',100,1,0),
(331768,10118142,'Heals target for 2760 - 3374',100,1,0),
(331769,112325,'Applies Insolent Gibe.',100,1,0),
(331770,112325,'Increases Threat to targets in Area of Effect by 950 - 1,425 ',100,2,1),
(331771,112325,'Applies Insolent Assault.',100,1,2),
(331772,112325,'Inflicts 548 - 822 melee damage on targets in area',100,2,3),
(331773,112325,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(331774,112325,'Increases Threat to target encounter by 356 - 435 ',100,2,5),
(331775,10112325,'Applies Insolent Gibe.',100,1,0),
(331776,10112325,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(331777,10112325,'Applies Insolent Assault.',100,1,2),
(331778,10112325,'Inflicts 712 - 1069 melee damage on targets in area',100,2,3),
(331779,10112325,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(331780,10112325,'Forces target encounter to change their selected target to caster.',100,2,5),
(331781,123723,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(331782,123723,'Inflicts 424 divine damage on target',100,2,1),
(331783,123723,'Grants a total of 5 triggers of the spell.',100,2,2),
(331784,10123723,'On a melee hit this spell will cast Vengeance on caster.  ',100,1,0),
(331785,10123723,'Inflicts 551 divine damage on target',100,2,1),
(331786,10123723,'Grants a total of 5 triggers of the spell.',100,2,2),
(331787,108184,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(331788,10108184,'Increases power of caster by 7 instantly and every 4 seconds',100,1,0),
(331789,124120,'Increases power of caster by 263',100,1,0),
(331790,10124120,'Increases power of caster by 263',100,1,0),
(331791,173516,'When Equipped:',100,0,0),
(331792,173516,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(331793,173516,'Heals group members (AE) for 871',100,2,2),
(331794,173516,'Heals group members (AE) for 290 every 5 seconds',100,2,3),
(331795,173516,'Must not be engaged in pvp combat',100,2,4),
(331796,173516,'Cannot be modified except by direct means',100,2,5),
(331797,173516,'Must not be engaged in pvp combat',100,1,6),
(331798,10173516,'When Equipped:',100,0,0),
(331799,10173516,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(331800,10173516,'Heals group members (AE) for 1019',100,2,2),
(331801,10173516,'Heals group members (AE) for 340 every 5 seconds',100,2,3),
(331802,10173516,'Must not be engaged in pvp combat',100,2,4),
(331803,10173516,'Cannot be modified except by direct means',100,2,5),
(331804,10173516,'Must not be engaged in pvp combat',100,1,6),
(331805,110669,'Heals target for 256',100,1,0),
(331806,110669,'Dispels 27 levels of any hostile effects on target',100,1,1),
(331807,10110669,'Heals target for 166',100,1,0),
(331808,10110669,'Dispels 27 levels of any hostile effects on target',100,1,1),
(331809,35573,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(331810,117555,'Inflicts 3377 - 5066 heat damage on target',100,1,0),
(331811,10117555,'Inflicts 2714 - 4071 heat damage on target',100,1,0),
(331812,81052,'When Equipped:',100,0,0),
(331813,81052,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331814,81052,'Inflicts 136 - 252 magic damage on target',100,2,2),
(331815,81052,'Cannot be modified except by direct means',100,2,3),
(331816,10081052,'When Equipped:',100,0,0),
(331817,10081052,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331818,10081052,'Inflicts 177 - 328 magic damage on target',100,2,2),
(331819,10081052,'Cannot be modified except by direct means',100,2,3),
(331820,115195,'Heals target for 1117 - 1366',100,1,0),
(331821,10115195,'Heals target for 2724 - 3329',100,1,0),
(331822,117267,'Inflicts 35 - 58 melee damage on target',100,1,0),
(331823,117267,'Decreases Damage Per Second of target by 5.7',100,1,1),
(331824,117267,'Decreases Attack Speed of target by 4.9',100,1,2),
(331825,10117267,'Inflicts 45 - 76 melee damage on target',100,1,0),
(331826,10117267,'Decreases Damage Per Second of target by 5.7',100,1,1),
(331827,10117267,'Decreases Attack Speed of target by 4.9',100,1,2),
(331828,103978,'Interrupts targets in Area of Effect',100,1,0),
(331829,103978,'Inflicts 73 - 136 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(331830,10103978,'Interrupts targets in Area of Effect',100,1,0),
(331831,10103978,'Inflicts 95 - 177 poison damage on targets in Area of Effect instantly and every second',100,1,1),
(331832,48938,'Applies Tynkale''s Reclamation  when Activated.',100,0,0),
(331833,48938,'Heals caster for 208',100,1,1),
(331834,10048938,'Applies Tynkale''s Reclamation  when Activated.',100,0,0),
(331835,10048938,'Heals caster for 135',100,1,1),
(331836,100134,'Inflicts 28 - 34 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(331837,100134,'Decreases Mitigation of target encounter vs noxious damage by 320',100,1,1),
(331838,10100134,'Inflicts 36 - 44 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(331839,10100134,'Decreases Mitigation of target encounter vs noxious damage by 320',100,1,1),
(331840,107054,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(331841,107054,'Inflicts 103 - 171 divine damage on target',100,2,1),
(331842,107054,'Inflicts 103 - 171 divine damage on target',100,2,2),
(331843,107054,'If target is undead',100,3,3),
(331844,10107054,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(331845,10107054,'Inflicts 223 - 371 divine damage on target',100,2,1),
(331846,139371,'When Equipped:',100,0,0),
(331847,139371,'Increases spell damage and damage dealt by combat arts by up to 50.',100,1,1),
(331848,10139371,'When Equipped:',100,0,0),
(331849,10139371,'Increases spell damage and damage dealt by combat arts by up to 50.',100,1,1),
(331850,109138,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(331851,109138,'Heals target for 573 - 700',100,2,1),
(331852,109138,'Grants a total of 8 triggers of the spell.',100,2,2),
(331853,10109138,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(331854,10109138,'Heals target for 372 - 455',100,2,1),
(331855,10109138,'Grants a total of 8 triggers of the spell.',100,2,2),
(331856,47593,'Applies Lesser Replenishment when Activated.',100,0,0),
(331857,47593,'Heals caster for 74',100,1,1),
(331858,10047593,'Applies Lesser Replenishment when Activated.',100,0,0),
(331859,10047593,'Heals caster for 48',100,1,1),
(331860,41387,'When Equipped:',100,0,0),
(331861,41387,'On any combat or spell hit this spell may cast Aftermath on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(331862,41387,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,2),
(331863,41387,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(331864,41387,'Decreases Potency of target by 10.0%',100,2,4),
(331865,41387,'Must not be engaged in pvp combat',100,2,5),
(331866,41387,'Cannot be modified except by direct means',100,2,6),
(331867,41387,'Must not be engaged in pvp combat',100,1,7),
(331868,10041387,'When Equipped:',100,0,0),
(331869,10041387,'On any combat or spell hit this spell may cast Aftermath on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(331870,10041387,'Inflicts 6926 heat damage on target instantly and every 4 seconds',100,2,2),
(331871,10041387,'Inflicts an additional 2664 heat damage on target every tick',100,2,3),
(331872,10041387,'Decreases Potency of target by 10.0%',100,2,4),
(331873,10041387,'Must not be engaged in pvp combat',100,2,5),
(331874,10041387,'Cannot be modified except by direct means',100,2,6),
(331875,10041387,'Must not be engaged in pvp combat',100,1,7),
(331876,163743,'When Equipped:',100,0,0),
(331877,163743,'On any combat or spell hit this spell may cast Bellowing Onslaught on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(331878,163743,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,2),
(331879,163743,'Must not be engaged in pvp combat',100,2,3),
(331880,163743,'Cannot be modified except by direct means',100,2,4),
(331881,163743,'Must not be engaged in pvp combat',100,1,5),
(331882,10163743,'When Equipped:',100,0,0),
(331883,10163743,'On any combat or spell hit this spell may cast Bellowing Onslaught on the group.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(331884,10163743,'Increases Crit Bonus of group members (AE) by 10.0%',100,2,2),
(331885,10163743,'Must not be engaged in pvp combat',100,2,3),
(331886,10163743,'Cannot be modified except by direct means',100,2,4),
(331887,10163743,'Must not be engaged in pvp combat',100,1,5),
(331888,110317,'Increases Max Power of target by 51.0',100,1,0),
(331889,110317,'Increases Max Health of target by 101.4',100,1,1),
(331890,10110317,'Increases Max Power of target by 51.0',100,1,0),
(331891,10110317,'Increases Max Health of target by 101.4',100,1,1),
(331892,103520,'Charms target',100,1,0),
(331893,103520,'If outside an arena',100,1,1),
(331894,103520,'Certain enemies cannot be charmed',100,1,2),
(331895,103520,'Does not affect Epic targets',100,1,3),
(331896,10103520,'Mesmerizes target',100,1,0),
(331897,10103520,'Prevents AOE (except when direct) ',100,1,1),
(331898,10103520,'Dispelled when target takes damage',100,1,2),
(331899,10103520,'If outside an arena',100,1,3),
(331900,10103520,'Certain enemies cannot be charmed',100,1,4),
(331901,10103520,'Does not affect Epic targets',100,1,5),
(331902,10103520,'Resistibility increases against targets higher than level 91.',100,1,6),
(331903,55639,'When Equipped:',100,0,0),
(331904,55639,'Increases caster''s chance to block by 25.0%',100,1,1),
(331905,10055639,'When Equipped:',100,0,0),
(331906,10055639,'Increases caster''s chance to block by 25.0%',100,1,1),
(331907,122818,'Inflicts 181 - 302 ranged damage on target',100,1,0),
(331908,122818,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(331909,122818,'Increases Hate Gain of target by 30.0%',100,2,2),
(331910,122818,'Grants a total of 1 trigger of the spell.',100,2,3),
(331911,122818,'Requires bow',100,1,4),
(331912,10122818,'Inflicts 135 - 226 ranged damage on target',100,1,0),
(331913,10122818,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(331914,10122818,'Grants a total of 1 trigger of the spell.',100,2,2),
(331915,10122818,'Requires bow',100,1,3),
(331916,52801,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331917,52801,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331918,52801,'Inflicts 79 heat damage on target',100,2,2),
(331919,52801,'Cannot be modified except by direct means',100,2,3),
(331920,10052801,'Applies Sanguine Imbued when Equipped.',100,0,0),
(331921,10052801,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(331922,10052801,'Inflicts 103 heat damage on target',100,2,2),
(331923,10052801,'Cannot be modified except by direct means',100,2,3),
(331924,123348,'Summons a pet hammer',100,1,0),
(331925,10123348,'Summons a pet hammer',100,1,0),
(331926,75544,'Applies Disease Blast when Activated.',100,0,0),
(331927,75544,'Inflicts 89 - 149 disease damage on target',100,1,1),
(331928,75544,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(331929,10075544,'Applies Disease Blast when Activated.',100,0,0),
(331930,10075544,'Inflicts 116 - 194 disease damage on target',100,1,1),
(331931,10075544,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(331932,134472,'When Equipped:',100,0,0),
(331933,134472,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331934,134472,'Inflicts 1192 poison damage on target',100,2,2),
(331935,134472,'Cannot be modified except by direct means',100,2,3),
(331936,10134472,'When Equipped:',100,0,0),
(331937,10134472,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(331938,10134472,'Inflicts 775 poison damage on target',100,2,2),
(331939,10134472,'Cannot be modified except by direct means',100,2,3),
(331940,171448,'Applies Call of the Prime III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(331941,171448,'Applies Prime Focus III on termination.  Lasts for 15.0 seconds.',100,1,1),
(331942,171448,'Increases Potency of group members (AE) by 3.0%',100,2,2),
(331943,171448,'Must not be engaged in pvp combat',100,2,3),
(331944,171448,'Cannot be modified except by direct means',100,2,4),
(331945,171448,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(331946,171448,'Must not be engaged in pvp combat',100,1,6),
(331947,171448,'Cannot be modified except by direct means',100,1,7),
(331948,171448,'The reuse time of Call of the Prime III is 10 minutes',100,1,8),
(331949,10171448,'Applies Call of the Prime III when Activated.  Lasts for 12.0 seconds.',100,0,0),
(331950,10171448,'Applies Prime Focus III on termination.  Lasts for 15.0 seconds.',100,1,1),
(331951,10171448,'Increases Potency of group members (AE) by 3.0%',100,2,2),
(331952,10171448,'Must not be engaged in pvp combat',100,2,3),
(331953,10171448,'Cannot be modified except by direct means',100,2,4),
(331954,10171448,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(331955,10171448,'Must not be engaged in pvp combat',100,1,6),
(331956,10171448,'Cannot be modified except by direct means',100,1,7),
(331957,10171448,'The reuse time of Call of the Prime III is 10 minutes',100,1,8),
(331958,24475,'Adds Lair of Scale: Bowl of Gems to your Dungeon Maker toolbox',100,0,0),
(331959,10024475,'Adds Lair of Scale: Bowl of Gems to your Dungeon Maker toolbox',100,0,0),
(331960,71555,'When Equipped:',100,0,0),
(331961,71555,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(331962,71555,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(331963,71555,'Cannot be modified except by direct means',100,2,3),
(331964,10071555,'When Equipped:',100,0,0),
(331965,10071555,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(331966,10071555,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(331967,10071555,'Cannot be modified except by direct means',100,2,3),
(331968,135876,'When Equipped:',100,0,0),
(331969,135876,'On a beneficial spell cast this spell has a 5% chance to cast Baleful Countenance on caster.  ',100,1,1),
(331970,135876,'Increases power of caster by 110',100,2,2),
(331971,135876,'Cannot be modified except by direct means',100,2,3),
(331972,10135876,'When Equipped:',100,0,0),
(331973,10135876,'On a beneficial spell cast this spell has a 5% chance to cast Baleful Countenance on caster.  ',100,1,1),
(331974,10135876,'Increases power of caster by 110',100,2,2),
(331975,10135876,'Cannot be modified except by direct means',100,2,3),
(331976,122659,'Decreases Defense of target by 7.3',100,1,0),
(331977,122659,'Decreases Mitigation of target vs physical damage by 121',100,1,1),
(331978,10122659,'Decreases Defense of target by 7.3',100,1,0),
(331979,10122659,'Decreases Mitigation of target vs physical damage by 121',100,1,1),
(331980,54410,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(331981,54410,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(331982,54410,'Inflicts 98 heat damage on target',100,2,2),
(331983,54410,'Cannot be modified except by direct means',100,2,3),
(331984,10054410,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(331985,10054410,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(331986,10054410,'Inflicts 127 heat damage on target',100,2,2),
(331987,10054410,'Cannot be modified except by direct means',100,2,3),
(331988,112096,'Inflicts 43 - 72 heat damage on target instantly and every 2 seconds',100,1,0),
(331989,10112096,'Inflicts 137 - 228 heat damage on target instantly and every 2 seconds',100,1,0),
(331990,101971,'Inflicts 742 - 1377 heat damage on target',100,1,0),
(331991,10101971,'Inflicts 964 - 1790 heat damage on target',100,1,0),
(331992,81351,'When Equipped:',100,0,0),
(331993,81351,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331994,81351,'Inflicts 72 - 134 magic damage on target',100,2,2),
(331995,81351,'Cannot be modified except by direct means',100,2,3),
(331996,10081351,'When Equipped:',100,0,0),
(331997,10081351,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(331998,10081351,'Inflicts 94 - 174 magic damage on target',100,2,2),
(331999,10081351,'Cannot be modified except by direct means',100,2,3),
(332000,47288,'Applies Roglio''s Awakening  when Activated.',100,0,0),
(332001,47288,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(332002,10047288,'Applies Roglio''s Awakening  when Activated.',100,0,0),
(332003,10047288,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(332004,159626,'When Equipped:',100,0,0),
(332005,159626,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332006,159626,'Increases WIS of caster by 23.1',100,2,2),
(332007,159626,'Increases Ordination, Focus and Ministration of caster by 13.1',100,2,3),
(332008,159626,'Cannot be modified except by direct means',100,2,4),
(332009,10159626,'When Equipped:',100,0,0),
(332010,10159626,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332011,10159626,'Increases WIS of caster by 23.1',100,2,2),
(332012,10159626,'Increases Ordination, Focus and Ministration of caster by 13.1',100,2,3),
(332013,10159626,'Cannot be modified except by direct means',100,2,4),
(332014,116304,'Stuns target',100,1,0),
(332015,116304,'If Target is not Epic',100,2,1),
(332016,116304,'Inflicts 142 - 174 magic damage on target',100,1,2),
(332017,116304,'Resistibility increases against targets higher than level 59.',100,1,3),
(332018,10116304,'Stuns target',100,1,0),
(332019,10116304,'If Target is not Epic',100,2,1),
(332020,10116304,'Inflicts 185 - 226 magic damage on target',100,1,2),
(332021,10116304,'Resistibility increases against targets higher than level 59.',100,1,3),
(332022,89622,'When Equipped:',100,0,0),
(332023,89622,'On a combat hit this spell may cast Ancient Freeze on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332024,89622,'Inflicts 110 - 183 cold damage on target',100,2,2),
(332025,89622,'Cannot be modified except by direct means',100,2,3),
(332026,10089622,'When Equipped:',100,0,0),
(332027,10089622,'On a combat hit this spell may cast Ancient Freeze on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332028,10089622,'Inflicts 143 - 238 cold damage on target',100,2,2),
(332029,10089622,'Cannot be modified except by direct means',100,2,3),
(332030,101159,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(332031,101159,'Inflicts 479 ranged damage on target',100,2,1),
(332032,101159,'Decreases Defense of caster by 25.8',100,1,2),
(332033,101159,'Increases Crushing, Piercing, Ranged and Slashing of caster by 54.6',100,1,3),
(332034,10101159,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(332035,10101159,'Inflicts 359 ranged damage on target',100,2,1),
(332036,10101159,'Decreases Defense of caster by 25.8',100,1,2),
(332037,10101159,'Increases Crushing, Piercing, Ranged and Slashing of caster by 54.6',100,1,3),
(332038,111135,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(332039,111135,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 136',100,1,1),
(332040,111135,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,2),
(332041,10111135,'Increases Max Health of group members (AE) by 33.6',100,1,0),
(332042,10111135,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 136',100,1,1),
(332043,10111135,'Increases Mitigation of group members (AE) vs physical damage by 145',100,1,2),
(332044,87219,'When Equipped:',100,0,0),
(332045,87219,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332046,87219,'Inflicts 51 - 76 magic damage on target',100,2,2),
(332047,87219,'Cannot be modified except by direct means',100,2,3),
(332048,10087219,'When Equipped:',100,0,0),
(332049,10087219,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332050,10087219,'Inflicts 66 - 99 magic damage on target',100,2,2),
(332051,10087219,'Cannot be modified except by direct means',100,2,3),
(332052,113317,'Inflicts 274 - 457 heat damage on target',100,1,0),
(332053,10113317,'Inflicts 540 - 901 heat damage on target',100,1,0),
(332054,119056,'Inflicts 139 - 233 mental damage on target',100,1,0),
(332055,119056,'Decreases power of target by 131 - 218',100,1,1),
(332056,119056,'Increases power of caster by 76 - 127',100,1,2),
(332057,10119056,'Inflicts 181 - 302 mental damage on target',100,1,0),
(332058,10119056,'Decreases power of target by 131 - 218',100,1,1),
(332059,10119056,'Increases power of caster by 76 - 127',100,1,2),
(332060,119076,'Increases group members (AE)''s chance to block by 9.5%',100,1,0),
(332061,119076,'Increases Parry and Deflection of group members (AE) by 6.4',100,1,1),
(332062,119076,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(332063,119076,'Decreases Threat to target encounter by 231 - 282 ',100,2,3),
(332064,119076,'If not fighter',100,3,4),
(332065,119076,'Increases Threat to target encounter by 231 - 282 ',100,2,5),
(332066,119076,'If fighter',100,3,6),
(332067,119076,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(332068,119076,'Decreases Threat to target encounter by 231 - 282 ',100,2,8),
(332069,119076,'If not fighter',100,3,9),
(332070,119076,'Increases Threat to target encounter by 231 - 282 ',100,2,10),
(332071,119076,'If fighter',100,3,11),
(332072,10119076,'Increases group members (AE)''s chance to block by 9.5%',100,1,0),
(332073,10119076,'Increases Parry and Deflection of group members (AE) by 6.4',100,1,1),
(332074,10119076,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(332075,10119076,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(332076,40855,'When Equipped:',100,0,0),
(332077,40855,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332078,40855,'Inflicts 464 piercing damage on target',100,2,2),
(332079,40855,'Cannot be modified except by direct means',100,2,3),
(332080,10040855,'When Equipped:',100,0,0),
(332081,10040855,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332082,10040855,'Inflicts 301 piercing damage on target',100,2,2),
(332083,10040855,'Cannot be modified except by direct means',100,2,3),
(332084,24507,'Adds Boss: Lich (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(332085,10024507,'Adds Boss: Lich (Necromancer) to your Dungeon Maker toolbox',100,0,0),
(332086,37333,'Increases STA and WIS of target by 9.0',100,0,0),
(332087,37333,'Increases Out-of-Combat Power Regeneration of target by 7.2',100,0,1),
(332088,37333,'Increases outgoing heal and ward amount by 2%',100,0,2),
(332089,50525,'When Equipped:',100,0,0),
(332090,50525,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332091,50525,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(332092,50525,'Cannot be modified except by direct means',100,2,3),
(332093,10050525,'When Equipped:',100,0,0),
(332094,10050525,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332095,10050525,'Increases the damage and healing amount of the caster''s spells by 25',100,2,2),
(332096,10050525,'Cannot be modified except by direct means',100,2,3),
(332097,123556,'Summons a limited pet to aid the caster',100,1,0),
(332098,10123556,'Summons a limited pet to aid the caster',100,1,0),
(332099,71667,'When Equipped:',100,0,0),
(332100,71667,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332101,71667,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(332102,71667,'Cannot be modified except by direct means',100,2,3),
(332103,10071667,'When Equipped:',100,0,0),
(332104,10071667,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332105,10071667,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(332106,10071667,'Cannot be modified except by direct means',100,2,3),
(332107,109601,'Increases Defense of group members'' pets (AE) by 4.9',100,1,0),
(332108,109601,'Increases Mitigation of group members (AE) vs all damage by 78',100,1,1),
(332109,10109601,'Increases Defense of group members'' pets (AE) by 4.9',100,1,0),
(332110,10109601,'Increases Mitigation of group members (AE) vs all damage by 78',100,1,1),
(332111,102411,'Inflicts 658 - 1223 melee damage on targets in area',100,1,0),
(332112,10102411,'Inflicts 856 - 1590 melee damage on targets in area',100,1,0),
(332113,113936,'Increases power of target by 42 instantly and every 4 seconds',100,1,0),
(332114,10113936,'Increases power of target by 42 instantly and every 4 seconds',100,1,0),
(332115,147305,'When Equipped:',100,0,0),
(332116,147305,'On a combat hit this spell may cast Vampiric Blows on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332117,147305,'Inflicts 274 divine damage on target',100,2,2),
(332118,147305,'Heals caster for 274',100,2,3),
(332119,147305,'Cannot be modified except by direct means',100,2,4),
(332120,147305,'Cannot be modified except by direct means',100,1,5),
(332121,147305,'When Equipped:',100,0,6),
(332122,147305,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,7),
(332123,147305,'Wards caster against 400 points of all damage',100,2,8),
(332124,147305,'Cannot be modified except by direct means',100,2,9),
(332125,147305,'This effect can only trigger once every 15 seconds.',100,2,10),
(332126,147305,'Cannot be modified except by direct means',100,1,11),
(332127,10147305,'When Equipped:',100,0,0),
(332128,10147305,'On a combat hit this spell may cast Vampiric Blows on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332129,10147305,'Inflicts 356 divine damage on target',100,2,2),
(332130,10147305,'Heals caster for 178',100,2,3),
(332131,10147305,'Cannot be modified except by direct means',100,2,4),
(332132,10147305,'Cannot be modified except by direct means',100,1,5),
(332133,10147305,'When Equipped:',100,0,6),
(332134,10147305,'When any damage is received this spell has a 20% chance to cast Barrier on caster.  Lasts for 30.0 seconds.  ',100,1,7),
(332135,10147305,'Wards caster against 400 points of all damage',100,2,8),
(332136,10147305,'Cannot be modified except by direct means',100,2,9),
(332137,10147305,'This effect can only trigger once every 15 seconds.',100,2,10),
(332138,10147305,'Cannot be modified except by direct means',100,1,11),
(332139,81837,'When Equipped:',100,0,0),
(332140,81837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332141,81837,'Inflicts 108 - 200 magic damage on target',100,2,2),
(332142,81837,'Cannot be modified except by direct means',100,2,3),
(332143,10081837,'When Equipped:',100,0,0),
(332144,10081837,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332145,10081837,'Inflicts 140 - 260 magic damage on target',100,2,2),
(332146,10081837,'Cannot be modified except by direct means',100,2,3),
(332147,48639,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(332148,48639,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(332149,48639,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(332150,48639,'Cannot be modified except by direct means',100,2,3),
(332151,48639,'Grants a total of 80 triggers of the spell.',100,2,4),
(332152,10048639,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(332153,10048639,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(332154,10048639,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(332155,10048639,'Cannot be modified except by direct means',100,2,3),
(332156,10048639,'Grants a total of 80 triggers of the spell.',100,2,4),
(332157,48413,'Applies thekela''s Rejuvenation when Activated.',100,0,0),
(332158,48413,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(332159,10048413,'Applies thekela''s Rejuvenation when Activated.',100,0,0),
(332160,10048413,'Dispels 48 levels of physical hostile effects on caster',100,1,1),
(332161,186153,'When Equipped:',100,0,0),
(332162,186153,'Increases Spell Reuse Speed of caster by 5.0%',100,1,1),
(332163,186153,'Increases Potency of caster by 5.0%',100,1,2),
(332164,186153,'Must not be engaged in pvp combat',100,1,3),
(332165,10186153,'When Equipped:',100,0,0),
(332166,10186153,'Increases Spell Reuse Speed of caster by 5.0%',100,1,1),
(332167,10186153,'Increases Potency of caster by 5.0%',100,1,2),
(332168,10186153,'Must not be engaged in pvp combat',100,1,3),
(332169,104978,'Reduces physical damage done to caster by 5%',100,1,0),
(332170,104978,'Adds 2.1% to base avoidance.',100,1,1),
(332171,104978,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(332172,104978,'Increases Parry of caster by 6.7',100,1,3),
(332173,104978,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(332174,104978,'Increases Aggression of caster by 4.0',100,1,5),
(332175,104978,'Increases Defense and Deflection of caster by 6.7',100,1,6),
(332176,104978,'Increases Mitigation of caster vs arcane damage by 484',100,1,7),
(332177,104978,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(332178,10104978,'Reduces physical damage done to caster by 5%',100,1,0),
(332179,10104978,'Adds 2.1% to base avoidance.',100,1,1),
(332180,10104978,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(332181,10104978,'Increases Parry of caster by 6.7',100,1,3),
(332182,10104978,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(332183,10104978,'Increases Aggression of caster by 4.0',100,1,5),
(332184,10104978,'Increases Defense and Deflection of caster by 6.7',100,1,6),
(332185,10104978,'Increases Mitigation of caster vs arcane damage by 484',100,1,7),
(332186,10104978,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(332187,82110,'When Equipped:',100,0,0),
(332188,82110,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332189,82110,'Decreases Threat to target by 641 ',100,2,2),
(332190,82110,'Must be flanking or behind',100,3,3),
(332191,82110,'Increases Threat to target by 641 ',100,2,4),
(332192,82110,'Must be in front of',100,3,5),
(332193,82110,'Inflicts 138 - 257 magic damage on target',100,2,6),
(332194,82110,'Cannot be modified except by direct means',100,2,7),
(332195,10082110,'When Equipped:',100,0,0),
(332196,10082110,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332197,10082110,'Inflicts 180 - 334 magic damage on target',100,2,2),
(332198,10082110,'Cannot be modified except by direct means',100,2,3),
(332199,116850,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(332200,116850,'Inflicts 372 - 455 mental damage on target',100,2,1),
(332201,116850,'Grants a total of 3 triggers of the spell.',100,2,2),
(332202,10116850,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(332203,10116850,'Inflicts 484 - 591 mental damage on target',100,2,1),
(332204,10116850,'Grants a total of 3 triggers of the spell.',100,2,2),
(332205,123909,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(332206,123909,'Slows target by 60.5%',100,2,1),
(332207,123909,'5% chance to dispel when target receives hostile action',100,2,2),
(332208,123909,'5% chance to dispel when target takes damage',100,2,3),
(332209,123909,'Decreases Mitigation of target vs elemental and noxious damage by 924',100,1,4),
(332210,10123909,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(332211,10123909,'Slows target by 60.5%',100,2,1),
(332212,10123909,'5% chance to dispel when target receives hostile action',100,2,2),
(332213,10123909,'5% chance to dispel when target takes damage',100,2,3),
(332214,10123909,'Decreases Mitigation of target vs elemental and noxious damage by 924',100,1,4),
(332215,24188,'Adds Crushbone: Gold-lined Chest to your Dungeon Maker toolbox',100,0,0),
(332216,10024188,'Adds Crushbone: Gold-lined Chest to your Dungeon Maker toolbox',100,0,0),
(332217,107708,'Inflicts 273 - 456 heat damage on target',100,1,0),
(332218,107708,'You must be sneaking to use this ability.',100,1,1),
(332219,10107708,'Inflicts 355 - 592 heat damage on target',100,1,0),
(332220,10107708,'You must be sneaking to use this ability.',100,1,1),
(332221,26124,'When Equipped:',100,0,0),
(332222,26124,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(332223,26124,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,2),
(332224,10026124,'When Equipped:',100,0,0),
(332225,10026124,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(332226,10026124,'Reduces the reuse time of Sanctuary by 20 seconds.',100,1,2),
(332227,47170,'Applies Elixir of Disease Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(332228,47170,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(332229,10047170,'Applies Elixir of Disease Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(332230,10047170,'Increases Mitigation of caster vs noxious damage by 200',100,1,1),
(332231,124522,'Dispels 16 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(332232,10124522,'Dispels 16 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(332233,107909,'Mesmerizes target',100,1,0),
(332234,107909,'Prevents AOE (except when direct) ',100,1,1),
(332235,107909,'Dispelled when target takes damage',100,1,2),
(332236,107909,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(332237,107909,'Resistibility increases against targets higher than level 30.',100,1,4),
(332238,10107909,'Mesmerizes target',100,1,0),
(332239,10107909,'Prevents AOE (except when direct) ',100,1,1),
(332240,10107909,'Dispelled when target takes damage',100,1,2),
(332241,10107909,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(332242,10107909,'Resistibility increases against targets higher than level 30.',100,1,4),
(332243,109464,'Inflicts 19 - 31 cold damage on target',100,1,0),
(332244,10109464,'Inflicts 24 - 41 cold damage on target',100,1,0),
(332245,36803,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(332246,24580,'Adds Myconoid (Paladin) to your Dungeon Maker toolbox',100,0,0),
(332247,10024580,'Adds Myconoid (Paladin) to your Dungeon Maker toolbox',100,0,0),
(332248,118876,'Inflicts 49 - 81 melee damage on target',100,1,0),
(332249,118876,'Inflicts 49 - 81 melee damage on target',100,1,1),
(332250,118876,'Inflicts 49 - 81 melee damage on target',100,1,2),
(332251,118876,'Inflicts 49 - 81 melee damage on target',100,1,3),
(332252,118876,'Inflicts 49 - 81 melee damage on target',100,1,4),
(332253,10118876,'Inflicts 63 - 106 melee damage on target',100,1,0),
(332254,10118876,'Inflicts 63 - 106 melee damage on target',100,1,1),
(332255,10118876,'Inflicts 63 - 106 melee damage on target',100,1,2),
(332256,10118876,'Inflicts 63 - 106 melee damage on target',100,1,3),
(332257,10118876,'Inflicts 63 - 106 melee damage on target',100,1,4),
(332258,101885,'Heals target for 1077 - 1316',100,1,0),
(332259,101885,'If over 50% Health',100,2,1),
(332260,101885,'Heals target for 2153 - 2632',100,1,2),
(332261,101885,'If at 50% Health or less',100,2,3),
(332262,10101885,'Heals target for 700 - 855',100,1,0),
(332263,10101885,'If over 50% Health',100,2,1),
(332264,10101885,'Heals target for 2449 - 2993',100,1,2),
(332265,10101885,'If at 50% Health or less',100,2,3),
(332266,101566,'Inflicts 7906 - 13177 melee damage on target',100,1,0),
(332267,101566,'You must be stealthed to use this ability',100,1,1),
(332268,10101566,'Inflicts 4830 - 8051 melee damage on target',100,1,0),
(332269,10101566,'You must be stealthed to use this ability',100,1,1),
(332270,120298,'Target will lose 80% more power when power is consumed',100,1,0),
(332271,120298,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(332272,120298,'Inflicts 512 - 626 divine damage on target',100,2,2),
(332273,120298,'Grants a total of 3 triggers of the spell.',100,2,3),
(332274,10120298,'Target will lose 80% more power when power is consumed',100,1,0),
(332275,10120298,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',100,1,1),
(332276,10120298,'Inflicts 666 - 813 divine damage on target',100,2,2),
(332277,10120298,'Grants a total of 3 triggers of the spell.',100,2,3),
(332278,175124,'Applies Sacrilege when Equipped.',100,0,0),
(332279,175124,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(332280,10175124,'Applies Sacrilege when Equipped.',100,0,0),
(332281,10175124,'It''s sacrilegious to wear this item. Offer it up at a deity altar!',100,1,1),
(332282,108420,'Heals target for 1548 - 1892',100,1,0),
(332283,10108420,'Heals target for 1852 - 2263',100,1,0),
(332284,80554,'When Equipped:',100,0,0),
(332285,80554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332286,80554,'Inflicts 80 - 149 magic damage on target',100,2,2),
(332287,80554,'Cannot be modified except by direct means',100,2,3),
(332288,10080554,'When Equipped:',100,0,0),
(332289,10080554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332290,10080554,'Inflicts 104 - 193 magic damage on target',100,2,2),
(332291,10080554,'Cannot be modified except by direct means',100,2,3),
(332292,72107,'When Equipped:',100,0,0),
(332293,72107,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332294,72107,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(332295,72107,'Cannot be modified except by direct means',100,2,3),
(332296,10072107,'When Equipped:',100,0,0),
(332297,10072107,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332298,10072107,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(332299,10072107,'Cannot be modified except by direct means',100,2,3),
(332300,118509,'Inflicts 11 - 19 melee damage on target',100,1,0),
(332301,118509,'Decreases STR of target by 5.6',100,1,1),
(332302,118509,'You must be sneaking to use this ability.',100,1,2),
(332303,10118509,'Inflicts 15 - 25 melee damage on target',100,1,0),
(332304,10118509,'Decreases STR of target by 5.6',100,1,1),
(332305,10118509,'You must be sneaking to use this ability.',100,1,2),
(332306,51303,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(332307,51303,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(332308,51303,'Inflicts 16 heat damage on target',100,2,2),
(332309,51303,'Cannot be modified except by direct means',100,2,3),
(332310,10051303,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(332311,10051303,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(332312,10051303,'Inflicts 21 heat damage on target',100,2,2),
(332313,10051303,'Cannot be modified except by direct means',100,2,3),
(332314,139347,'When Equipped:',100,0,0),
(332315,139347,'Reduces maximum falling speed of caster',100,1,1),
(332316,10139347,'When Equipped:',100,0,0),
(332317,10139347,'Reduces maximum falling speed of caster',100,1,1),
(332318,87356,'When Equipped:',100,0,0),
(332319,87356,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332320,87356,'Inflicts 99 - 148 magic damage on target',100,2,2),
(332321,87356,'Cannot be modified except by direct means',100,2,3),
(332322,10087356,'When Equipped:',100,0,0),
(332323,10087356,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332324,10087356,'Inflicts 128 - 192 magic damage on target',100,2,2),
(332325,10087356,'Cannot be modified except by direct means',100,2,3),
(332326,158739,'When Equipped:',100,0,0),
(332327,158739,'On a critical healing spell cast this spell may cast Ambition on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(332328,158739,'Increases Ability Modifier of target by 480.0',100,2,2),
(332329,158739,'Cannot be modified except by direct means',100,2,3),
(332330,10158739,'When Equipped:',100,0,0),
(332331,10158739,'On a critical healing spell cast this spell may cast Ambition on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(332332,10158739,'Increases Ability Modifier of target by 480.0',100,2,2),
(332333,10158739,'Cannot be modified except by direct means',100,2,3),
(332334,115906,'Inflicts 65 - 80 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(332335,10115906,'Inflicts 110 - 135 disease damage on target encounter',100,1,0),
(332336,10115906,'Inflicts 85 - 104 disease damage on target encounter every 3 seconds',100,1,1),
(332337,175285,'When Equipped:',100,0,0),
(332338,175285,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332339,175285,'Inflicts 2664 disease damage on target encounter',100,2,2),
(332340,175285,'Must not be engaged in pvp combat',100,2,3),
(332341,175285,'Cannot be modified except by direct means',100,2,4),
(332342,10175285,'When Equipped:',100,0,0),
(332343,10175285,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332344,10175285,'Inflicts 1732 disease damage on target encounter',100,2,2),
(332345,10175285,'Must not be engaged in pvp combat',100,2,3),
(332346,10175285,'Cannot be modified except by direct means',100,2,4),
(332347,26138,'When Equipped:',100,0,0),
(332348,26138,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,1),
(332349,26138,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(332350,10026138,'When Equipped:',100,0,0),
(332351,10026138,'Improves the base damage of Thunderous Overture VI by 10%.',100,1,1),
(332352,10026138,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(332353,26989,'When Equipped:',100,0,0),
(332354,26989,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(332355,26989,'Cancels up to 16.7% of target''s speed buffs',100,2,2),
(332356,26989,'Inflicts 243 disease damage on target',100,2,3),
(332357,26989,'Cannot be modified except by direct means',100,2,4),
(332358,10026989,'When Equipped:',100,0,0),
(332359,10026989,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(332360,10026989,'Cancels up to 16.7% of target''s speed buffs',100,2,2),
(332361,10026989,'Inflicts 315 disease damage on target',100,2,3),
(332362,10026989,'Cannot be modified except by direct means',100,2,4),
(332363,75905,'When Equipped:',100,0,0),
(332364,75905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(332365,75905,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(332366,75905,'Heals target for 5594 - 6182',100,2,3),
(332367,75905,'Must not be engaged in pvp combat',100,2,4),
(332368,75905,'Cannot be modified except by direct means',100,2,5),
(332369,75905,'Cannot be modified except by direct means',100,1,6),
(332370,75905,'When Equipped:',100,0,7),
(332371,75905,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,8),
(332372,75905,'Heals group members (AE) for 5384 - 5951',100,2,9),
(332373,75905,'Must not be engaged in pvp combat',100,2,10),
(332374,75905,'Cannot be modified except by direct means',100,2,11),
(332375,75905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(332376,75905,'Cannot be modified except by direct means',100,1,13),
(332377,10075905,'When Equipped:',100,0,0),
(332378,10075905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(332379,10075905,'On a critical healing spell cast this spell may cast Soothing Sigil III on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,2),
(332380,10075905,'Heals target for 6545 - 7233',100,2,3),
(332381,10075905,'Must not be engaged in pvp combat',100,2,4),
(332382,10075905,'Cannot be modified except by direct means',100,2,5),
(332383,10075905,'Cannot be modified except by direct means',100,1,6),
(332384,10075905,'When Equipped:',100,0,7),
(332385,10075905,'On a healing spell cast this spell may cast Soothing Breeze IV on target of spell.  Triggers about 2.0 times per minute. ',100,1,8),
(332386,10075905,'Heals group members (AE) for 6299 - 6962',100,2,9),
(332387,10075905,'Must not be engaged in pvp combat',100,2,10),
(332388,10075905,'Cannot be modified except by direct means',100,2,11),
(332389,10075905,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,12),
(332390,10075905,'Cannot be modified except by direct means',100,1,13),
(332391,106880,'Decreases Threat to targets in Area of Effect by 1,781 ',100,1,0),
(332392,106880,'Stuns targets in Area of Effect',100,1,1),
(332393,106880,'If Target is not Epic',100,2,2),
(332394,10106880,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(332395,10106880,'Applies Distract.',100,1,1),
(332396,10106880,'Forces target to clear their selected target.',100,2,2),
(332397,10106880,'Stuns targets in Area of Effect',100,1,3),
(332398,10106880,'If Target is not Epic',100,2,4),
(332399,24051,'Adds Bone Golem (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(332400,10024051,'Adds Bone Golem (Shadowknight) to your Dungeon Maker toolbox',100,0,0),
(332401,113856,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(332402,113856,'Increases power of caster by 229',100,2,1),
(332403,113856,'Grants a total of 3 triggers of the spell.',100,2,2),
(332404,10113856,'When any damage is received this spell will cast Breeze on target.  ',100,1,0),
(332405,10113856,'Increases power of caster by 229',100,2,1),
(332406,10113856,'Grants a total of 3 triggers of the spell.',100,2,2),
(332407,122776,'Heals group members (AE) for 1512 - 1848',100,1,0),
(332408,122776,'Increases Max Health of group members (AE) by 246.5',100,1,1),
(332409,10122776,'Heals group members (AE) for 1769 - 2162',100,1,0),
(332410,10122776,'Increases Max Health of group members (AE) by 246.5',100,1,1),
(332411,82132,'When Equipped:',100,0,0),
(332412,82132,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332413,82132,'Inflicts 138 - 257 magic damage on target',100,2,2),
(332414,82132,'Cannot be modified except by direct means',100,2,3),
(332415,10082132,'When Equipped:',100,0,0),
(332416,10082132,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332417,10082132,'Inflicts 180 - 334 magic damage on target',100,2,2),
(332418,10082132,'Cannot be modified except by direct means',100,2,3),
(332419,103569,'Increases In-Combat Power Regeneration of group members (AE) by 59.5',100,1,0),
(332420,10103569,'Increases In-Combat Power Regeneration of group members (AE) by 59.5',100,1,0),
(332421,159363,'Applies Sanguine Imbued when Equipped.',100,0,0),
(332422,159363,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(332423,159363,'Inflicts 106 heat damage on target',100,2,2),
(332424,159363,'Cannot be modified except by direct means',100,2,3),
(332425,10159363,'Applies Sanguine Imbued when Equipped.',100,0,0),
(332426,10159363,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(332427,10159363,'Inflicts 137 heat damage on target',100,2,2),
(332428,10159363,'Cannot be modified except by direct means',100,2,3),
(332429,48092,'Applies Draw upon Essence when Activated.',100,0,0),
(332430,48092,'Increases power of caster by 556',100,1,1),
(332431,48092,'Requires 715 Health to cast.',100,1,2),
(332432,10048092,'Applies Draw upon Essence when Activated.',100,0,0),
(332433,10048092,'Increases power of caster by 556',100,1,1),
(332434,10048092,'Requires 715 Health to cast.',100,1,2),
(332435,105182,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(332436,105182,'Inflicts 53 - 65 poison damage on target encounter',100,2,1),
(332437,10105182,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(332438,10105182,'Inflicts 69 - 84 poison damage on target encounter',100,2,1),
(332439,106109,'Inflicts 652 - 1087 melee damage on target',100,1,0),
(332440,106109,'Decreases Mitigation of target vs physical damage by 2376',100,1,1),
(332441,106109,'Must be behind',100,1,2),
(332442,10106109,'Inflicts 847 - 1413 melee damage on target',100,1,0),
(332443,10106109,'Decreases Mitigation of target vs physical damage by 594',100,1,1),
(332444,10106109,'Must be behind',100,1,2),
(332445,122860,'Inflicts 79 - 132 ranged damage on target',100,1,0),
(332446,122860,'Inflicts 158 - 264 ranged damage on target',100,1,1),
(332447,122860,'Inflicts 237 - 396 ranged damage on target',100,1,2),
(332448,122860,'Requires bow',100,1,3),
(332449,10122860,'Inflicts 74 - 123 ranged damage on target',100,1,0),
(332450,10122860,'Inflicts 148 - 247 ranged damage on target',100,1,1),
(332451,10122860,'Inflicts 222 - 371 ranged damage on target',100,1,2),
(332452,10122860,'Requires bow',100,1,3),
(332453,104332,'Charms target',100,1,0),
(332454,104332,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(332455,104332,'Mesmerizes target',100,2,2),
(332456,104332,'Dispelled when target takes damage',100,2,3),
(332457,104332,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(332458,104332,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(332459,104332,'Grants Sonic Vision to caster',100,2,6),
(332460,104332,'Increases Out-of-Combat Power Regeneration of target by 4.2',100,1,7),
(332461,104332,'Increases Out-of-Combat Health Regeneration of target by 8.4',100,1,8),
(332462,104332,'Certain enemies cannot be charmed',100,1,9),
(332463,104332,'Only affects targets level 24 and below',100,1,10),
(332464,104332,'Does not affect Epic targets',100,1,11),
(332465,10104332,'Mesmerizes target',100,1,0),
(332466,10104332,'Prevents AOE (except when direct) ',100,1,1),
(332467,10104332,'Dispelled when target takes damage',100,1,2),
(332468,10104332,'Certain enemies cannot be charmed',100,1,3),
(332469,10104332,'Only affects targets level 24 and below',100,1,4),
(332470,10104332,'Does not affect Epic targets',100,1,5),
(332471,10104332,'Resistibility increases against targets higher than level 39.',100,1,6),
(332472,116417,'Inflicts 6 piercing damage on target every 4 seconds',100,1,0),
(332473,116417,'Inflicts 30 - 51 melee damage on target',100,1,1),
(332474,10116417,'Inflicts 8 piercing damage on target every 4 seconds',100,1,0),
(332475,10116417,'Inflicts 40 - 66 melee damage on target',100,1,1),
(332476,107294,'Reapplies Coule',100,1,0),
(332477,107294,'Reapplies Thieving Essence',100,1,1),
(332478,107294,'Reapplies Evasive Maneuvers',100,1,2),
(332479,107294,'Reapplies Will to Survive',100,1,3),
(332480,107294,'Reapplies Deft Disarm',100,1,4),
(332481,107294,'Reapplies Desperate Thrust II',100,1,5),
(332482,107294,'Reapplies Stunning Blow VI',100,1,6),
(332483,107294,'Reapplies Puncture VI',100,1,7),
(332484,107294,'Reapplies Gouge IV',100,1,8),
(332485,107294,'Reapplies Barroom Negotiation IV',100,1,9),
(332486,107294,'Reapplies Battery and Assault V',100,1,10),
(332487,107294,'Reapplies Backstab V',100,1,11),
(332488,107294,'Reapplies Shank II',100,1,12),
(332489,107294,'Reapplies Bum Rush IV',100,1,13),
(332490,107294,'Reapplies Murderous Rake III',100,1,14),
(332491,107294,'Reapplies Rob V',100,1,15),
(332492,107294,'Reapplies Debilitate',100,1,16),
(332493,107294,'Reapplies Black Jack III',100,1,17),
(332494,107294,'Reapplies Dispatch',100,1,18),
(332495,107294,'Reapplies Cuss III',100,1,19),
(332496,107294,'Reapplies Shadow Slip III',100,1,20),
(332497,107294,'Reapplies Cheap Shot',100,1,21),
(332498,107294,'Reapplies Evade IV',100,1,22),
(332499,107294,'Reapplies Sinister Strike',100,1,23),
(332500,107294,'Reapplies Torporous Strike',100,1,24),
(332501,107294,'Reapplies Walk the Plank',100,1,25),
(332502,107294,'Reapplies Swear',100,1,26),
(332503,107294,'Reapplies Boot Dagger',100,1,27),
(332504,107294,'Reapplies Traumatic Swipe',100,1,28),
(332505,107294,'You must execute certain combat arts before you can use this ability.',100,1,29),
(332506,10107294,'Reapplies Coule',100,1,0),
(332507,10107294,'Reapplies Thieving Essence',100,1,1),
(332508,10107294,'Reapplies Evasive Maneuvers',100,1,2),
(332509,10107294,'Reapplies Will to Survive',100,1,3),
(332510,10107294,'Reapplies Deft Disarm',100,1,4),
(332511,10107294,'Reapplies Desperate Thrust II',100,1,5),
(332512,10107294,'Reapplies Stunning Blow VI',100,1,6),
(332513,10107294,'Reapplies Puncture VI',100,1,7),
(332514,10107294,'Reapplies Gouge IV',100,1,8),
(332515,10107294,'Reapplies Barroom Negotiation IV',100,1,9),
(332516,10107294,'Reapplies Battery and Assault V',100,1,10),
(332517,10107294,'Reapplies Backstab V',100,1,11),
(332518,10107294,'Reapplies Shank II',100,1,12),
(332519,10107294,'Reapplies Bum Rush IV',100,1,13),
(332520,10107294,'Reapplies Murderous Rake III',100,1,14),
(332521,10107294,'Reapplies Rob V',100,1,15),
(332522,10107294,'Reapplies Debilitate',100,1,16),
(332523,10107294,'Reapplies Black Jack III',100,1,17),
(332524,10107294,'Reapplies Dispatch',100,1,18),
(332525,10107294,'Reapplies Cuss III',100,1,19),
(332526,10107294,'Reapplies Shadow Slip III',100,1,20),
(332527,10107294,'Reapplies Cheap Shot',100,1,21),
(332528,10107294,'Reapplies Evade IV',100,1,22),
(332529,10107294,'Reapplies Sinister Strike',100,1,23),
(332530,10107294,'Reapplies Torporous Strike',100,1,24),
(332531,10107294,'Reapplies Walk the Plank',100,1,25),
(332532,10107294,'Reapplies Swear',100,1,26),
(332533,10107294,'Reapplies Boot Dagger',100,1,27),
(332534,10107294,'Reapplies Traumatic Swipe',100,1,28),
(332535,10107294,'You must execute certain combat arts before you can use this ability.',100,1,29),
(332536,113561,'Inflicts 676 - 1127 disease damage on target',100,1,0),
(332537,10113561,'Inflicts 879 - 1465 disease damage on target',100,1,0),
(332538,81621,'When Equipped:',100,0,0),
(332539,81621,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332540,81621,'Inflicts 112 - 208 magic damage on target',100,2,2),
(332541,81621,'Cannot be modified except by direct means',100,2,3),
(332542,10081621,'When Equipped:',100,0,0),
(332543,10081621,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332544,10081621,'Inflicts 146 - 271 magic damage on target',100,2,2),
(332545,10081621,'Cannot be modified except by direct means',100,2,3),
(332546,24035,'Adds Elite: Bixie (Guardian) to your Dungeon Maker toolbox',100,0,0),
(332547,10024035,'Adds Elite: Bixie (Guardian) to your Dungeon Maker toolbox',100,0,0),
(332548,137266,'When Equipped:',100,0,0),
(332549,137266,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(332550,137266,'Increases power of target by 293',100,2,2),
(332551,137266,'Decreases power of caster by 279',100,2,3),
(332552,137266,'Cannot be modified except by direct means',100,2,4),
(332553,10137266,'When Equipped:',100,0,0),
(332554,10137266,'On a healing spell cast this spell may cast Mana Leak on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,1),
(332555,10137266,'Increases power of target by 293',100,2,2),
(332556,10137266,'Decreases power of caster by 279',100,2,3),
(332557,10137266,'Cannot be modified except by direct means',100,2,4),
(332558,151081,'When Equipped:',100,0,0),
(332559,151081,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(332560,151081,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,2),
(332561,151081,'Must not be engaged in pvp combat',100,2,3),
(332562,151081,'Cannot be modified except by direct means',100,2,4),
(332563,151081,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(332564,151081,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(332565,151081,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,7),
(332566,151081,'Must not be engaged in pvp combat',100,2,8),
(332567,151081,'Cannot be modified except by direct means',100,2,9),
(332568,151081,'Cannot be modified except by direct means',100,1,10),
(332569,10151081,'When Equipped:',100,0,0),
(332570,10151081,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(332571,10151081,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,2),
(332572,10151081,'Must not be engaged in pvp combat',100,2,3),
(332573,10151081,'Cannot be modified except by direct means',100,2,4),
(332574,10151081,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(332575,10151081,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(332576,10151081,'Increases WIS, STR, AGI and INT of caster by 110.0',100,2,7),
(332577,10151081,'Must not be engaged in pvp combat',100,2,8),
(332578,10151081,'Cannot be modified except by direct means',100,2,9),
(332579,10151081,'Cannot be modified except by direct means',100,1,10),
(332580,46362,'Applies Flask of Tradecrafting I when Activated.  Lasts for 4 hours.',100,0,0),
(332581,46362,'Increases Combat XP Gain of caster by 20.0%',100,1,1),
(332582,46362,'Increases AA XP Gain of caster by 20.0%',100,1,2),
(332583,46362,'Increases Tradeskill XP Gain of caster by 20.0%',100,1,3),
(332584,46362,'You can only have one experience potion active at a time.',100,1,4),
(332585,10046362,'Applies Flask of Tradecrafting I when Activated.  Lasts for 4 hours.',100,0,0),
(332586,10046362,'Increases Combat XP Gain of caster by 20.0%',100,1,1),
(332587,10046362,'Increases AA XP Gain of caster by 20.0%',100,1,2),
(332588,10046362,'Increases Tradeskill XP Gain of caster by 20.0%',100,1,3),
(332589,10046362,'You can only have one experience potion active at a time.',100,1,4),
(332590,135715,'When Equipped:',100,0,0),
(332591,135715,'When any physical damage is received this spell has a 8% chance to cast Divine Relief on caster.  ',100,1,1),
(332592,135715,'Heals caster for 206',100,2,2),
(332593,135715,'Cannot be modified except by direct means',100,2,3),
(332594,10135715,'When Equipped:',100,0,0),
(332595,10135715,'When any physical damage is received this spell has a 8% chance to cast Divine Relief on caster.  ',100,1,1),
(332596,10135715,'Heals caster for 134',100,2,2),
(332597,10135715,'Cannot be modified except by direct means',100,2,3),
(332598,113181,'Inflicts 727 disease damage on target',100,1,0),
(332599,113181,'Heals caster for 511',100,1,1),
(332600,10113181,'Inflicts 945 disease damage on target',100,1,0),
(332601,10113181,'Heals caster for 432',100,1,1),
(332602,130942,'When Equipped:',100,0,0),
(332603,130942,'On a critical combat hit this spell may cast Lesson of Stealth on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332604,130942,'Inflicts 207 cold damage on target',100,2,2),
(332605,130942,'Inflicts 207 mental damage on target',100,2,3),
(332606,130942,'Inflicts 207 poison damage on target',100,2,4),
(332607,130942,'Cannot be modified except by direct means',100,2,5),
(332608,130942,'Cannot be modified except by direct means',100,1,6),
(332609,10130942,'When Equipped:',100,0,0),
(332610,10130942,'On a critical combat hit this spell may cast Lesson of Stealth on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332611,10130942,'Inflicts 269 cold damage on target',100,2,2),
(332612,10130942,'Inflicts 269 mental damage on target',100,2,3),
(332613,10130942,'Inflicts 269 poison damage on target',100,2,4),
(332614,10130942,'Cannot be modified except by direct means',100,2,5),
(332615,10130942,'Cannot be modified except by direct means',100,1,6),
(332616,112441,'Mesmerizes target',100,1,0),
(332617,112441,'Prevents AOE (except when direct) ',100,1,1),
(332618,112441,'Dispelled when target takes damage',100,1,2),
(332619,112441,'Does not affect Epic targets',100,1,3),
(332620,112441,'Resistibility increases against targets higher than level 81.',100,1,4),
(332621,10112441,'Mesmerizes target',100,1,0),
(332622,10112441,'Prevents AOE (except when direct) ',100,1,1),
(332623,10112441,'Dispelled when target takes damage',100,1,2),
(332624,10112441,'Does not affect Epic targets',100,1,3),
(332625,10112441,'Resistibility increases against targets higher than level 81.',100,1,4),
(332626,107595,'Dazes target encounter',100,1,0),
(332627,107595,'Inflicts 310 - 379 mental damage on target encounter',100,1,1),
(332628,107595,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(332629,107595,'Resistibility increases against targets higher than level 96.',100,1,3),
(332630,10107595,'Dazes target encounter',100,1,0),
(332631,10107595,'Inflicts 403 - 492 mental damage on target encounter',100,1,1),
(332632,10107595,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(332633,10107595,'Resistibility increases against targets higher than level 96.',100,1,3),
(332634,104076,'Inflicts 117 - 196 mental damage on target',100,1,0),
(332635,104076,'Inflicts 117 - 196 mental damage on target',100,1,1),
(332636,10104076,'Inflicts 153 - 255 mental damage on target',100,1,0),
(332637,10104076,'Inflicts 153 - 255 mental damage on target',100,1,1),
(332638,119974,'Increases Threat to target by 183 - 224 ',100,1,0),
(332639,10119974,'Prevents target from changing targets',100,1,0),
(332640,10119974,'Forces target to change their selected target to caster.',100,1,1),
(332641,177617,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(332642,177617,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(332643,177617,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(332644,177617,'Cannot be modified except by direct means',100,2,3),
(332645,10177617,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(332646,10177617,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(332647,10177617,'Heals target for 23 instantly and every 4 seconds',100,2,2),
(332648,10177617,'Cannot be modified except by direct means',100,2,3),
(332649,37446,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(332650,146146,'When Equipped:',100,0,0),
(332651,146146,'Increases Attack Speed of caster by 40.0',100,1,1),
(332652,10146146,'When Equipped:',100,0,0),
(332653,10146146,'Increases Attack Speed of caster by 40.0',100,1,1),
(332654,107851,'Decreases Mitigation of target vs elemental damage by 460',100,1,0),
(332655,107851,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(332656,107851,'Slows target by 34.6%',100,2,2),
(332657,107851,'5% chance to dispel when target receives hostile action',100,2,3),
(332658,107851,'5% chance to dispel when target takes damage',100,2,4),
(332659,10107851,'Decreases Mitigation of target vs elemental damage by 460',100,1,0),
(332660,10107851,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(332661,10107851,'Slows target by 34.6%',100,2,2),
(332662,10107851,'5% chance to dispel when target receives hostile action',100,2,3),
(332663,10107851,'5% chance to dispel when target takes damage',100,2,4),
(332664,119125,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(332665,119125,'Inflicts 127 - 156 slashing damage on target',100,2,1),
(332666,119125,'Increases Mitigation of caster vs physical damage by 412',100,1,2),
(332667,10119125,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(332668,10119125,'Inflicts 165 - 202 slashing damage on target',100,2,1),
(332669,10119125,'Increases Mitigation of caster vs physical damage by 412',100,1,2),
(332670,100967,'Dazes target',100,1,0),
(332671,100967,'Inflicts 642 - 784 mental damage on target',100,1,1),
(332672,100967,'Epic targets gain an immunity to Daze effects of 40.5 seconds and duration is reduced to 4.5 seconds.',100,1,2),
(332673,100967,'Resistibility increases against targets higher than level 117.',100,1,3),
(332674,10100967,'Dazes target',100,1,0),
(332675,10100967,'Inflicts 834 - 1020 mental damage on target',100,1,1),
(332676,10100967,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(332677,10100967,'Resistibility increases against targets higher than level 117.',100,1,3),
(332678,118847,'Inflicts 78 - 234 melee damage on target',100,1,0),
(332679,10118847,'Inflicts 101 - 304 melee damage on target',100,1,0),
(332680,71912,'When Equipped:',100,0,0),
(332681,71912,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332682,71912,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(332683,71912,'Cannot be modified except by direct means',100,2,3),
(332684,10071912,'When Equipped:',100,0,0),
(332685,10071912,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332686,10071912,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(332687,10071912,'Cannot be modified except by direct means',100,2,3),
(332688,159406,'Applies Lambent Imbued when Equipped.',100,0,0),
(332689,159406,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(332690,159406,'Heals target for 25 instantly and every 4 seconds',100,2,2),
(332691,159406,'Cannot be modified except by direct means',100,2,3),
(332692,10159406,'Applies Lambent Imbued when Equipped.',100,0,0),
(332693,10159406,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(332694,10159406,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(332695,10159406,'Cannot be modified except by direct means',100,2,3),
(332696,141796,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(332697,141796,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(332698,141796,'Inflicts 22 heat damage on target',100,2,2),
(332699,141796,'Cannot be modified except by direct means',100,2,3),
(332700,10141796,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(332701,10141796,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(332702,10141796,'Inflicts 29 heat damage on target',100,2,2),
(332703,10141796,'Cannot be modified except by direct means',100,2,3),
(332704,116551,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(332705,116551,'Inflicts 181 divine damage on target',100,2,1),
(332706,116551,'Increases Mitigation of raid and group members (AE) vs all damage by 1848',100,1,2),
(332707,10116551,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(332708,10116551,'Inflicts 235 divine damage on target',100,2,1),
(332709,10116551,'Increases Mitigation of raid and group members (AE) vs all damage by 1848',100,1,2),
(332710,102883,'Heals caster for 150',100,1,0),
(332711,102883,'Inflicts 233 disease damage on targets in Area of Effect',100,1,1),
(332712,10102883,'Heals caster for 98',100,1,0),
(332713,10102883,'Inflicts 303 disease damage on targets in Area of Effect',100,1,1),
(332714,103559,'Increases In-Combat Power Regeneration of group members (AE) by 29.0',100,1,0),
(332715,10103559,'Increases In-Combat Power Regeneration of group members (AE) by 29.0',100,1,0),
(332716,47563,'Applies Portable Sewing Table when Activated.  Lasts for 5 minutes.',100,0,0),
(332717,47563,'Summons Sewing Table & Mannequin',100,1,1),
(332718,47563,'This effect cancels during combat',100,1,2),
(332719,10047563,'Applies Portable Sewing Table when Activated.  Lasts for 5 minutes.',100,0,0),
(332720,10047563,'Summons Sewing Table & Mannequin',100,1,1),
(332721,10047563,'This effect cancels during combat',100,1,2),
(332722,116840,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(332723,116840,'Inflicts 189 - 231 mental damage on target',100,2,1),
(332724,116840,'Grants a total of 3 triggers of the spell.',100,2,2),
(332725,10116840,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(332726,10116840,'Inflicts 246 - 300 mental damage on target',100,2,1),
(332727,10116840,'Grants a total of 3 triggers of the spell.',100,2,2),
(332728,82898,'When Equipped:',100,0,0),
(332729,82898,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332730,82898,'Decreases Threat to target by 801 ',100,2,2),
(332731,82898,'Must be flanking or behind',100,3,3),
(332732,82898,'Increases Threat to target by 801 ',100,2,4),
(332733,82898,'Must be in front of',100,3,5),
(332734,82898,'Inflicts 220 - 408 magic damage on target',100,2,6),
(332735,82898,'Cannot be modified except by direct means',100,2,7),
(332736,10082898,'When Equipped:',100,0,0),
(332737,10082898,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332738,10082898,'Inflicts 286 - 531 magic damage on target',100,2,2),
(332739,10082898,'Cannot be modified except by direct means',100,2,3),
(332740,47696,'Applies Reebo''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(332741,47696,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(332742,10047696,'Applies Reebo''s Restoration when Activated.  Lasts for 30.0 seconds.',100,0,0),
(332743,10047696,'Increases power of caster by 9 instantly and every 5 seconds',100,1,1),
(332744,117545,'Increases AGI, INT and WIS of group members (AE) by 87.8',100,1,0),
(332745,117545,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 340',100,1,1),
(332746,10117545,'Increases AGI, INT and WIS of group members (AE) by 87.8',100,1,0),
(332747,10117545,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 340',100,1,1),
(332748,154354,'When Equipped:',100,0,0),
(332749,154354,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(332750,154354,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(332751,154354,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(332752,154354,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,4),
(332753,154354,'Must not be engaged in pvp combat',100,2,5),
(332754,154354,'Cannot be modified except by direct means',100,2,6),
(332755,154354,'Cannot be modified except by direct means',100,1,7),
(332756,10154354,'When Equipped:',100,0,0),
(332757,10154354,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(332758,10154354,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(332759,10154354,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(332760,10154354,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,4),
(332761,10154354,'Must not be engaged in pvp combat',100,2,5),
(332762,10154354,'Cannot be modified except by direct means',100,2,6),
(332763,10154354,'Cannot be modified except by direct means',100,1,7),
(332764,119514,'Increases threat priority of target by 2 positions',100,1,0),
(332765,119514,'Stuns caster',100,1,1),
(332766,119514,'Decreases Defense and Parry of caster by 153.0',100,1,2),
(332767,119514,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,3),
(332768,119514,'Inflicts 499 - 832 piercing damage on target',100,2,4),
(332769,119514,'Grants a total of 1 trigger of the spell.',100,2,5),
(332770,10119514,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(332771,10119514,'Forces target to change their selected target to caster.',100,2,1),
(332772,10119514,'Prevents target from changing targets',100,2,2),
(332773,10119514,'Stuns caster',100,1,3),
(332774,10119514,'Decreases Defense and Parry of caster by 153.0',100,1,4),
(332775,10119514,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',100,1,5),
(332776,10119514,'Inflicts 463 - 772 piercing damage on target',100,2,6),
(332777,10119514,'Grants a total of 1 trigger of the spell.',100,2,7),
(332778,171044,'When Equipped:',100,0,0),
(332779,171044,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332780,171044,'Inflicts 1199 disease damage on target encounter',100,2,2),
(332781,171044,'Must not be engaged in pvp combat',100,2,3),
(332782,171044,'Cannot be modified except by direct means',100,2,4),
(332783,10171044,'When Equipped:',100,0,0),
(332784,10171044,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332785,10171044,'Inflicts 779 disease damage on target encounter',100,2,2),
(332786,10171044,'Must not be engaged in pvp combat',100,2,3),
(332787,10171044,'Cannot be modified except by direct means',100,2,4),
(332788,116142,'Inflicts 184 - 308 divine damage on target',100,1,0),
(332789,116142,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(332790,116142,'Blurs vision of target',100,2,2),
(332791,116142,'Throws target back',100,2,3),
(332792,116142,'Stuns target',100,2,4),
(332793,116142,'Does not affect Epic targets',100,2,5),
(332794,10116142,'Inflicts 240 - 400 divine damage on target',100,1,0),
(332795,10116142,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(332796,10116142,'Blurs vision of target',100,2,2),
(332797,10116142,'Throws target back',100,2,3),
(332798,10116142,'Stuns target',100,2,4),
(332799,10116142,'Does not affect Epic targets',100,2,5),
(332800,100102,'Decreases STR, AGI, WIS and INT of target by 14.0',100,1,0),
(332801,100102,'Decreases Max Health of target by 0.8%',100,1,1),
(332802,10100102,'Decreases STR, AGI, WIS and INT of target by 14.0',100,1,0),
(332803,10100102,'Decreases Max Health of target by 0.8%',100,1,1),
(332804,74650,'When Equipped:',100,0,0),
(332805,74650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332806,74650,'Inflicts 44 - 67 magic damage on target',100,2,2),
(332807,74650,'Cannot be modified except by direct means',100,2,3),
(332808,10074650,'When Equipped:',100,0,0),
(332809,10074650,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(332810,10074650,'Inflicts 58 - 87 magic damage on target',100,2,2),
(332811,10074650,'Cannot be modified except by direct means',100,2,3),
(332812,35165,'Increases Max Power of target by 22.8',100,0,0),
(332813,35165,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(332814,107026,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(332815,107026,'Inflicts 14 - 23 divine damage on target',100,2,1),
(332816,107026,'Inflicts 14 - 23 divine damage on target',100,2,2),
(332817,107026,'If target is undead',100,3,3),
(332818,10107026,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(332819,10107026,'Inflicts 30 - 50 divine damage on target',100,2,1),
(332820,186897,'When Equipped:',100,0,0),
(332821,186897,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(332822,186897,'Heals group members for 987',100,2,2),
(332823,186897,'Cannot be modified except by direct means',100,2,3),
(332824,10186897,'When Equipped:',100,0,0),
(332825,10186897,'On a combat hit this spell may cast Savage Healing on the group.  Triggers about 2.0 times per minute. ',100,1,1),
(332826,10186897,'Heals group members for 1154',100,2,2),
(332827,10186897,'Cannot be modified except by direct means',100,2,3),
(332828,47665,'Applies Divine Wrath when Activated.  Lasts for 15 minutes.',100,0,0),
(332829,47665,'On any combat or spell hit this spell may cast Divine Wrath on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332830,47665,'Inflicts 520 divine damage on target',100,2,2),
(332831,47665,'Heals caster for 286',100,2,3),
(332832,47665,'Cannot be modified except by direct means',100,2,4),
(332833,10047665,'Applies Divine Wrath when Activated.  Lasts for 15 minutes.',100,0,0),
(332834,10047665,'On any combat or spell hit this spell may cast Divine Wrath on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332835,10047665,'Inflicts 676 divine damage on target',100,2,2),
(332836,10047665,'Heals caster for 335',100,2,3),
(332837,10047665,'Cannot be modified except by direct means',100,2,4),
(332838,103725,'Increases Max Health of raid and group members (AE) by 324.2',100,1,0),
(332839,103725,'Increases Defense of raid and group members (AE) by 11.1',100,1,1),
(332840,10103725,'Increases Max Health of raid and group members (AE) by 324.2',100,1,0),
(332841,10103725,'Increases Defense of raid and group members (AE) by 11.1',100,1,1),
(332842,102777,'Increases STR of caster by 36.5',100,1,0),
(332843,102777,'Increases Max Health of caster by 215.5',100,1,1),
(332844,102777,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 996',100,1,2),
(332845,10102777,'Increases STR of caster by 36.5',100,1,0),
(332846,10102777,'Increases Max Health of caster by 215.5',100,1,1),
(332847,10102777,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 996',100,1,2),
(332848,141755,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(332849,141755,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(332850,141755,'Inflicts 62 heat damage on target',100,2,2),
(332851,141755,'Cannot be modified except by direct means',100,2,3),
(332852,10141755,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(332853,10141755,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(332854,10141755,'Inflicts 80 heat damage on target',100,2,2),
(332855,10141755,'Cannot be modified except by direct means',100,2,3),
(332856,36135,'Increases Out-of-Combat Health Regeneration of target by 4.0',100,0,0),
(332857,36481,'Increases AGI and STA of target by 4.6',100,0,0),
(332858,36481,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(332859,135842,'When Equipped:',100,0,0),
(332860,135842,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332861,135842,'Inflicts 2664 disease damage on target encounter',100,2,2),
(332862,135842,'Must not be engaged in pvp combat',100,2,3),
(332863,135842,'Cannot be modified except by direct means',100,2,4),
(332864,10135842,'When Equipped:',100,0,0),
(332865,10135842,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(332866,10135842,'Inflicts 1732 disease damage on target encounter',100,2,2),
(332867,10135842,'Must not be engaged in pvp combat',100,2,3),
(332868,10135842,'Cannot be modified except by direct means',100,2,4),
(332869,71356,'When Equipped:',100,0,0),
(332870,71356,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332871,71356,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(332872,71356,'Cannot be modified except by direct means',100,2,3),
(332873,10071356,'When Equipped:',100,0,0),
(332874,10071356,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332875,10071356,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(332876,10071356,'Cannot be modified except by direct means',100,2,3),
(332877,112765,'Interrupts target',100,1,0),
(332878,112765,'Inflicts 214 - 357 divine damage on target',100,1,1),
(332879,10112765,'Interrupts target',100,1,0),
(332880,10112765,'Inflicts 278 - 464 divine damage on target',100,1,1),
(332881,152926,'When Equipped:',100,0,0),
(332882,152926,'Increases Attack Speed of caster by 40.0',100,1,1),
(332883,10152926,'When Equipped:',100,0,0),
(332884,10152926,'Increases Attack Speed of caster by 40.0',100,1,1),
(332885,116465,'Inflicts 121 disease damage on target instantly and every 4 seconds',100,1,0),
(332886,116465,'Inflicts 121 disease damage on target instantly and every 4 seconds',100,1,1),
(332887,116465,'If target is nightblood',100,2,2),
(332888,116465,'Inflicts 121 disease damage on target instantly and every 4 seconds',100,1,3),
(332889,116465,'If target is shadowed folk',100,2,4),
(332890,10116465,'Inflicts 157 disease damage on target instantly and every 4 seconds',100,1,0),
(332891,82889,'When Equipped:',100,0,0),
(332892,82889,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332893,82889,'Decreases Threat to target by 833 ',100,2,2),
(332894,82889,'Must be flanking or behind',100,3,3),
(332895,82889,'Increases Threat to target by 833 ',100,2,4),
(332896,82889,'Must be in front of',100,3,5),
(332897,82889,'Inflicts 228 - 423 magic damage on target',100,2,6),
(332898,82889,'Cannot be modified except by direct means',100,2,7),
(332899,10082889,'When Equipped:',100,0,0),
(332900,10082889,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332901,10082889,'Inflicts 296 - 550 magic damage on target',100,2,2),
(332902,10082889,'Cannot be modified except by direct means',100,2,3),
(332903,47361,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(332904,47361,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(332905,47361,'Inflicts 53 poison damage on target',100,2,2),
(332906,47361,'Cannot be modified except by direct means',100,2,3),
(332907,47361,'Grants a total of 100 triggers of the spell.',100,2,4),
(332908,10047361,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(332909,10047361,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(332910,10047361,'Inflicts 52 poison damage on target',100,2,2),
(332911,10047361,'Cannot be modified except by direct means',100,2,3),
(332912,10047361,'Grants a total of 100 triggers of the spell.',100,2,4),
(332913,27466,'When Equipped:',100,0,0),
(332914,27466,'On any combat or spell hit this spell may cast Torrent of Toxins on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(332915,27466,'Inflicts 4323 - 4778 poison damage on target encounter',100,2,2),
(332916,27466,'Must not be engaged in pvp combat',100,2,3),
(332917,27466,'Cannot be modified except by direct means',100,2,4),
(332918,27466,'Must not be engaged in pvp combat',100,1,5),
(332919,10027466,'When Equipped:',100,0,0),
(332920,10027466,'On any combat or spell hit this spell may cast Torrent of Toxins on target of attack.  Triggers about 2.2 times per minute. ',100,1,1),
(332921,10027466,'Inflicts 5619 - 6211 poison damage on target encounter',100,2,2),
(332922,10027466,'Must not be engaged in pvp combat',100,2,3),
(332923,10027466,'Cannot be modified except by direct means',100,2,4),
(332924,10027466,'Must not be engaged in pvp combat',100,1,5),
(332925,107613,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(332926,107613,'Increases Mitigation of group members (AE) vs elemental damage by 96',100,1,1),
(332927,10107613,'Increases Max Power of group members (AE) by 25.4',100,1,0),
(332928,10107613,'Increases Mitigation of group members (AE) vs elemental damage by 96',100,1,1),
(332929,54558,'When Equipped:',100,0,0),
(332930,54558,'When any damage is received this spell has a 2.5% chance to cast Brass Flash on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(332931,54558,'Stuns target',100,2,2),
(332932,54558,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(332933,54558,'Resistibility increases against targets higher than level 74.',100,2,4),
(332934,54558,'Cannot be modified except by direct means',100,2,5),
(332935,10054558,'When Equipped:',100,0,0),
(332936,10054558,'When any damage is received this spell has a 2.5% chance to cast Brass Flash on target''s attacker.  Lasts for 1.0 second.  ',100,1,1),
(332937,10054558,'Stuns target',100,2,2),
(332938,10054558,'Epic targets gain an immunity to Stun effects of 3.0 seconds and duration is reduced to 0.3 seconds.',100,2,3),
(332939,10054558,'Resistibility increases against targets higher than level 74.',100,2,4),
(332940,10054558,'Cannot be modified except by direct means',100,2,5),
(332941,82824,'When Equipped:',100,0,0),
(332942,82824,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332943,82824,'Decreases Threat to target by 833 ',100,2,2),
(332944,82824,'Must be flanking or behind',100,3,3),
(332945,82824,'Increases Threat to target by 833 ',100,2,4),
(332946,82824,'Must be in front of',100,3,5),
(332947,82824,'Inflicts 228 - 423 magic damage on target',100,2,6),
(332948,82824,'Cannot be modified except by direct means',100,2,7),
(332949,10082824,'When Equipped:',100,0,0),
(332950,10082824,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(332951,10082824,'Inflicts 296 - 550 magic damage on target',100,2,2),
(332952,10082824,'Cannot be modified except by direct means',100,2,3),
(332953,104849,'Causes 4% Threat to transfer to target when in combat',100,1,0),
(332954,104849,'If Fighter',100,2,1),
(332955,104849,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(332956,104849,'Increases power of target by 118',100,2,3),
(332957,104849,'Increases power of caster by 118',100,2,4),
(332958,10104849,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(332959,10104849,'Increases power of target by 118',100,2,1),
(332960,10104849,'Increases power of caster by 118',100,2,2),
(332961,119312,'Roots target',100,1,0),
(332962,119312,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(332963,119312,'Slows target by 37.4%',100,2,2),
(332964,119312,'5% chance to dispel when target receives hostile action',100,2,3),
(332965,119312,'5% chance to dispel when target takes damage',100,2,4),
(332966,119312,'15% chance to dispel when target takes damage',100,1,5),
(332967,119312,'Does not affect Epic targets',100,1,6),
(332968,119312,'Resistibility increases against targets higher than level 76.',100,1,7),
(332969,10119312,'Roots target',100,1,0),
(332970,10119312,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(332971,10119312,'Slows target by 37.4%',100,2,2),
(332972,10119312,'5% chance to dispel when target receives hostile action',100,2,3),
(332973,10119312,'5% chance to dispel when target takes damage',100,2,4),
(332974,10119312,'15% chance to dispel when target takes damage',100,1,5),
(332975,10119312,'Does not affect Epic targets',100,1,6),
(332976,10119312,'Resistibility increases against targets higher than level 76.',100,1,7),
(332977,47171,'Applies Elixir of Divine Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(332978,10047171,'Applies Elixir of Divine Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(332979,114729,'Inflicts 642 - 1071 melee damage on target',100,1,0),
(332980,114729,'You must be in stealth.',100,1,1),
(332981,10114729,'Inflicts 497 - 829 melee damage on target',100,1,0),
(332982,10114729,'You must be in stealth.',100,1,1),
(332983,72019,'When Equipped:',100,0,0),
(332984,72019,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332985,72019,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(332986,72019,'Cannot be modified except by direct means',100,2,3),
(332987,10072019,'When Equipped:',100,0,0),
(332988,10072019,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(332989,10072019,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(332990,10072019,'Cannot be modified except by direct means',100,2,3),
(332991,106974,'Inflicts 416 - 773 poison damage on target',100,1,0),
(332992,106974,'Increases power of caster by 40',100,1,1),
(332993,10106974,'Inflicts 541 - 1005 poison damage on target',100,1,0),
(332994,10106974,'Increases power of caster by 40',100,1,1),
(332995,120200,'Decreases STR and INT of target by 65.0',100,1,0),
(332996,120200,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(332997,120200,'Grants a total of 1 trigger of the spell.',100,2,2),
(332998,10120200,'Decreases STR and INT of target by 65.0',100,1,0),
(332999,10120200,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(333000,10120200,'Grants a total of 1 trigger of the spell.',100,2,2),
(333001,37353,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(333002,37353,'This effect suspends during combat',100,0,1),
(333003,103823,'Increases Ability Casting Speed of raid and group members (AE) by 6.5%',100,1,0),
(333004,103823,'Increases Attack Speed of raid and group members (AE) by 16.2',100,1,1),
(333005,10103823,'Increases Ability Casting Speed of raid and group members (AE) by 6.5%',100,1,0),
(333006,10103823,'Increases Attack Speed of raid and group members (AE) by 16.2',100,1,1),
(333007,37479,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(333008,114508,'Heals target for 16 - 20',100,1,0),
(333009,10114508,'Heals target for 21 - 26',100,1,0),
(333010,171109,'When Equipped:',100,0,0),
(333011,171109,'Increases caster''s chance to block by 8.0%',100,1,1),
(333012,10171109,'When Equipped:',100,0,0),
(333013,10171109,'Increases caster''s chance to block by 8.0%',100,1,1),
(333014,81919,'When Equipped:',100,0,0),
(333015,81919,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(333016,81919,'Decreases Threat to target by 994 ',100,2,2),
(333017,81919,'Must be flanking or behind',100,3,3),
(333018,81919,'Increases Threat to target by 994 ',100,2,4),
(333019,81919,'Must be in front of',100,3,5),
(333020,81919,'Inflicts 265 - 492 magic damage on target',100,2,6),
(333021,81919,'Cannot be modified except by direct means',100,2,7),
(333022,10081919,'When Equipped:',100,0,0),
(333023,10081919,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(333024,10081919,'Inflicts 345 - 640 magic damage on target',100,2,2),
(333025,10081919,'Cannot be modified except by direct means',100,2,3),
(333026,106878,'Decreases Threat to targets in Area of Effect by 2,137 ',100,1,0),
(333027,106878,'Stuns targets in Area of Effect',100,1,1),
(333028,106878,'If Target is not Epic',100,2,2),
(333029,10106878,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(333030,10106878,'Applies Distract.',100,1,1),
(333031,10106878,'Forces target to clear their selected target.',100,2,2),
(333032,10106878,'Stuns targets in Area of Effect',100,1,3),
(333033,10106878,'If Target is not Epic',100,2,4),
(333034,109433,'Inflicts 98 - 119 cold damage on target instantly and every 4 seconds',100,1,0),
(333035,109433,'Decreases Mitigation of target vs elemental damage by 510',100,1,1),
(333036,10109433,'Inflicts 127 - 155 cold damage on target instantly and every 4 seconds',100,1,0),
(333037,10109433,'Decreases Mitigation of target vs elemental damage by 510',100,1,1),
(333038,81239,'When Equipped:',100,0,0),
(333039,81239,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(333040,81239,'Decreases Threat to target by 1,219 ',100,2,2),
(333041,81239,'Must be flanking or behind',100,3,3),
(333042,81239,'Increases Threat to target by 1,219 ',100,2,4),
(333043,81239,'Must be in front of',100,3,5),
(333044,81239,'Inflicts 320 - 594 magic damage on target',100,2,6),
(333045,81239,'Cannot be modified except by direct means',100,2,7),
(333046,10081239,'When Equipped:',100,0,0),
(333047,10081239,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(333048,10081239,'Inflicts 416 - 772 magic damage on target',100,2,2),
(333049,10081239,'Cannot be modified except by direct means',100,2,3),
(333050,105904,'Inflicts 306 - 510 ranged damage on target',100,1,0),
(333051,105904,'Inflicts 306 - 510 ranged damage on target',100,1,1),
(333052,105904,'If weapon equipped in Ranged',100,1,2),
(333053,10105904,'Inflicts 229 - 382 ranged damage on target',100,1,0),
(333054,10105904,'Inflicts 229 - 382 ranged damage on target',100,1,1),
(333055,10105904,'If weapon equipped in Ranged',100,1,2),
(333056,117503,'Increases Attack Speed of target by 40.1',100,1,0),
(333057,10117503,'Increases Attack Speed of target by 40.1',100,1,0),
(333058,107124,'Inflicts 88 - 107 divine damage on target',100,1,0),
(333059,107124,'Inflicts 88 - 107 divine damage on target',100,1,1),
(333060,107124,'If target is undead',100,2,2),
(333061,10107124,'Inflicts 114 - 139 divine damage on target',100,1,0),
(333062,10107124,'Inflicts 114 - 139 divine damage on target',100,1,1),
(333063,115003,'Inflicts 646 - 1078 ranged damage on targets in area',100,1,0),
(333064,115003,'You must be in stealth to use this!',100,1,1),
(333065,115003,'Requires bow',100,1,2),
(333066,10115003,'Inflicts 485 - 808 ranged damage on targets in area',100,1,0),
(333067,10115003,'You must be in stealth to use this!',100,1,1),
(333068,10115003,'Requires bow',100,1,2),
(333069,72033,'When Equipped:',100,0,0),
(333070,72033,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333071,72033,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(333072,72033,'Cannot be modified except by direct means',100,2,3),
(333073,10072033,'When Equipped:',100,0,0),
(333074,10072033,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333075,10072033,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(333076,10072033,'Cannot be modified except by direct means',100,2,3),
(333077,114280,'Heals target for 203 - 248',100,1,0),
(333078,10114280,'Heals target for 239 - 292',100,1,0),
(333079,114936,'Inflicts 586 - 977 melee damage on target',100,1,0),
(333080,114936,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2218',100,1,1),
(333081,114936,'Must be behind',100,1,2),
(333082,10114936,'Inflicts 762 - 1270 melee damage on target',100,1,0),
(333083,10114936,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1109',100,1,1),
(333084,10114936,'Must be behind',100,1,2),
(333085,101369,'Reduces physical damage done to caster by 5%',100,1,0),
(333086,101369,'Adds 1.4% to base avoidance.',100,1,1),
(333087,101369,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(333088,101369,'Increases Aggression of caster by 12.4',100,1,3),
(333089,101369,'Increases Defense and Parry of caster by 19.8',100,1,4),
(333090,101369,'Increases Mitigation of caster vs noxious and arcane damage by 121',100,1,5),
(333091,101369,'Increases Mitigation of caster vs elemental damage by 1212',100,1,6),
(333092,101369,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(333093,10101369,'Reduces physical damage done to caster by 5%',100,1,0),
(333094,10101369,'Adds 1.4% to base avoidance.',100,1,1),
(333095,10101369,'Decreases Slashing, Piercing and Crushing of caster by 17.4',100,1,2),
(333096,10101369,'Increases Aggression of caster by 12.4',100,1,3),
(333097,10101369,'Increases Defense and Parry of caster by 19.8',100,1,4),
(333098,10101369,'Increases Mitigation of caster vs noxious and arcane damage by 121',100,1,5),
(333099,10101369,'Increases Mitigation of caster vs elemental damage by 1212',100,1,6),
(333100,10101369,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(333101,123328,'Increases STA of raid and group members (AE) by 36.8',100,1,0),
(333102,123328,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(333103,10123328,'Increases STA of raid and group members (AE) by 36.8',100,1,0),
(333104,10123328,'Increase spell damage of group and raid members by 3.44%.',100,1,1),
(333105,27470,'When Equipped:',100,0,0),
(333106,27470,'On a critical spell hit this spell may cast Velium Dominion on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(333107,27470,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(333108,27470,'This effect will not stack with itself if adorned on multiple items.',100,1,3),
(333109,27470,'On a critical combat hit this spell may cast Velium Dominion on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,4),
(333110,27470,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,5),
(333111,27470,'Must not be engaged in pvp combat',100,1,6),
(333112,27470,'Cannot be modified except by direct means',100,1,7),
(333113,10027470,'When Equipped:',100,0,0),
(333114,10027470,'On a critical spell hit this spell may cast Velium Dominion on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(333115,10027470,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(333116,10027470,'This effect will not stack with itself if adorned on multiple items.',100,1,3),
(333117,10027470,'On a critical combat hit this spell may cast Velium Dominion on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,4),
(333118,10027470,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,5),
(333119,10027470,'Must not be engaged in pvp combat',100,1,6),
(333120,10027470,'Cannot be modified except by direct means',100,1,7),
(333121,74866,'When Equipped:',100,0,0),
(333122,74866,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333123,74866,'Inflicts 111 - 166 magic damage on target',100,2,2),
(333124,74866,'Cannot be modified except by direct means',100,2,3),
(333125,10074866,'When Equipped:',100,0,0),
(333126,10074866,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333127,10074866,'Inflicts 144 - 216 magic damage on target',100,2,2),
(333128,10074866,'Cannot be modified except by direct means',100,2,3),
(333129,107204,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(333130,107204,'Heals target for 237',100,2,1),
(333131,10107204,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(333132,10107204,'Heals target for 154',100,2,1),
(333133,108471,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(333134,108471,'Increases Aggression of caster by 11.0',100,1,1),
(333135,108471,'Increases Defense and Parry of caster by 22.1',100,1,2),
(333136,108471,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(333137,10108471,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(333138,10108471,'Increases Aggression of caster by 11.0',100,1,1),
(333139,10108471,'Increases Defense and Parry of caster by 22.1',100,1,2),
(333140,10108471,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(333141,113884,'Increases power of target by 120',100,1,0),
(333142,10113884,'Increases power of target by 120',100,1,0),
(333143,104124,'Roots target',100,1,0),
(333144,104124,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(333145,104124,'Slows target by 18.7%',100,2,2),
(333146,104124,'Makes target afraid',100,2,3),
(333147,104124,'30% chance to dispel when target takes damage',100,2,4),
(333148,104124,'Resistibility increases against targets higher than level 76.',100,2,5),
(333149,104124,'15% chance to dispel when target takes damage',100,1,6),
(333150,104124,'Does not affect Epic targets',100,1,7),
(333151,104124,'Resistibility increases against targets higher than level 76.',100,1,8),
(333152,10104124,'Roots target',100,1,0),
(333153,10104124,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(333154,10104124,'Makes target afraid',100,2,2),
(333155,10104124,'Slows target by 18.7%',100,2,3),
(333156,10104124,'30% chance to dispel when target takes damage',100,2,4),
(333157,10104124,'Resistibility increases against targets higher than level 76.',100,2,5),
(333158,10104124,'15% chance to dispel when target takes damage',100,1,6),
(333159,10104124,'Does not affect Epic targets',100,1,7),
(333160,10104124,'Resistibility increases against targets higher than level 76.',100,1,8),
(333161,24236,'Adds Crushbone: Wood-fire Oven to your Dungeon Maker toolbox',100,0,0),
(333162,10024236,'Adds Crushbone: Wood-fire Oven to your Dungeon Maker toolbox',100,0,0),
(333163,106963,'Inflicts 818 - 1520 poison damage on target',100,1,0),
(333164,10106963,'Inflicts 1064 - 1976 poison damage on target',100,1,0),
(333165,80599,'When Equipped:',100,0,0),
(333166,80599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333167,80599,'Inflicts 56 - 103 magic damage on target',100,2,2),
(333168,80599,'Cannot be modified except by direct means',100,2,3),
(333169,10080599,'When Equipped:',100,0,0),
(333170,10080599,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333171,10080599,'Inflicts 72 - 134 magic damage on target',100,2,2),
(333172,10080599,'Cannot be modified except by direct means',100,2,3),
(333173,81010,'When Equipped:',100,0,0),
(333174,81010,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333175,81010,'Inflicts 151 - 280 magic damage on target',100,2,2),
(333176,81010,'Cannot be modified except by direct means',100,2,3),
(333177,10081010,'When Equipped:',100,0,0),
(333178,10081010,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333179,10081010,'Inflicts 196 - 364 magic damage on target',100,2,2),
(333180,10081010,'Cannot be modified except by direct means',100,2,3),
(333181,166507,'When Equipped:',100,0,0),
(333182,166507,'On a critical combat hit this spell may cast Final Stab on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(333183,166507,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(333184,166507,'Must not be engaged in pvp combat',100,2,3),
(333185,166507,'Cannot be modified except by direct means',100,2,4),
(333186,166507,'On a critical spell hit this spell may cast Final Stab on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(333187,166507,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(333188,166507,'Must not be engaged in pvp combat',100,2,7),
(333189,166507,'Cannot be modified except by direct means',100,2,8),
(333190,166507,'Must not be engaged in pvp combat',100,1,9),
(333191,10166507,'When Equipped:',100,0,0),
(333192,10166507,'On a critical combat hit this spell may cast Final Stab on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(333193,10166507,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(333194,10166507,'Must not be engaged in pvp combat',100,2,3),
(333195,10166507,'Cannot be modified except by direct means',100,2,4),
(333196,10166507,'On a critical spell hit this spell may cast Final Stab on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(333197,10166507,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(333198,10166507,'Must not be engaged in pvp combat',100,2,7);
INSERT INTO `item_effects` VALUES
(333199,10166507,'Cannot be modified except by direct means',100,2,8),
(333200,10166507,'Must not be engaged in pvp combat',100,1,9),
(333201,100726,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(333202,100726,'Increases Mitigation of group members (AE) vs noxious damage by 1015',100,1,1),
(333203,10100726,'Increases Max Health of group members (AE) by 281.3',100,1,0),
(333204,10100726,'Increases Mitigation of group members (AE) vs noxious damage by 1015',100,1,1),
(333205,71983,'When Equipped:',100,0,0),
(333206,71983,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333207,71983,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(333208,71983,'Cannot be modified except by direct means',100,2,3),
(333209,10071983,'When Equipped:',100,0,0),
(333210,10071983,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333211,10071983,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(333212,10071983,'Cannot be modified except by direct means',100,2,3),
(333213,111311,'Inflicts 380 - 634 divine damage on target',100,1,0),
(333214,111311,'Inflicts 152 - 254 divine damage on target every 4 seconds',100,1,1),
(333215,10111311,'Inflicts 494 - 824 divine damage on target',100,1,0),
(333216,10111311,'Inflicts 198 - 330 divine damage on target every 4 seconds',100,1,1),
(333217,104382,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(333218,104382,'Inflicts 108 - 132 cold damage on target',100,2,1),
(333219,10104382,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(333220,10104382,'Inflicts 141 - 172 cold damage on target',100,2,1),
(333221,111773,'Heals caster for 16.2 - 19.8% of max health',100,1,0),
(333222,111773,'This effect cannot be critically applied.',100,2,1),
(333223,111773,'The healing of this spell cannot be modified except by direct means',100,1,2),
(333224,10111773,'Heals caster for 8.1 - 9.9% of max health',100,1,0),
(333225,10111773,'This effect cannot be critically applied.',100,2,1),
(333226,10111773,'The healing of this spell cannot be modified except by direct means',100,1,2),
(333227,122239,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(333228,122239,'Decreases Damage Per Second of target by 20.3',100,2,1),
(333229,122239,'Decreases Attack Speed of target by 16.2',100,2,2),
(333230,10122239,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(333231,10122239,'Decreases Damage Per Second of target by 20.3',100,2,1),
(333232,10122239,'Decreases Attack Speed of target by 16.2',100,2,2),
(333233,52783,'Applies Sanguine Imbued when Equipped.',100,0,0),
(333234,52783,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(333235,52783,'Inflicts 106 heat damage on target',100,2,2),
(333236,52783,'Cannot be modified except by direct means',100,2,3),
(333237,10052783,'Applies Sanguine Imbued when Equipped.',100,0,0),
(333238,10052783,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(333239,10052783,'Inflicts 137 heat damage on target',100,2,2),
(333240,10052783,'Cannot be modified except by direct means',100,2,3),
(333241,123877,'Increases AGI of caster by 106.3',100,1,0),
(333242,123877,'Adds 21.8% to base avoidance.',100,1,1),
(333243,123877,'Increases Damage Per Second of caster by 77.4',100,1,2),
(333244,123877,'Increases Mitigation of caster vs physical damage by 872',100,1,3),
(333245,123877,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,4),
(333246,10123877,'Increases AGI of caster by 106.3',100,1,0),
(333247,10123877,'Adds 21.8% to base avoidance.',100,1,1),
(333248,10123877,'Increases Damage Per Second of caster by 77.4',100,1,2),
(333249,10123877,'Increases Mitigation of caster vs physical damage by 872',100,1,3),
(333250,10123877,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1944',100,1,4),
(333251,109656,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(333252,109656,'Inflicts 44 - 81 poison damage on target encounter',100,2,1),
(333253,10109656,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',100,1,0),
(333254,10109656,'Inflicts 57 - 105 poison damage on target encounter',100,2,1),
(333255,109040,'Increases Attack Speed of caster by 19.7',100,1,0),
(333256,109040,'Decreases Defense of caster by 10.5',100,1,1),
(333257,109040,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.8',100,1,2),
(333258,10109040,'Increases Attack Speed of caster by 19.7',100,1,0),
(333259,10109040,'Decreases Defense of caster by 10.5',100,1,1),
(333260,10109040,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.8',100,1,2),
(333261,113365,'Roots target',100,1,0),
(333262,113365,'Applies Stifle.  Lasts for 6.0 seconds.',100,1,1),
(333263,113365,'Blurs vision of target',100,2,2),
(333264,113365,'Stifles target',100,2,3),
(333265,113365,'Dispelled when target takes damage',100,2,4),
(333266,113365,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,2,5),
(333267,113365,'Resistibility increases against targets higher than level 62.',100,2,6),
(333268,113365,'5% chance to dispel when target takes damage',100,1,7),
(333269,113365,'Epic targets gain an immunity to Root effects of 1 minute 36 seconds and duration is reduced to 10.7 seconds.',100,1,8),
(333270,113365,'Resistibility increases against targets higher than level 62.',100,1,9),
(333271,10113365,'Roots target',100,1,0),
(333272,10113365,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(333273,10113365,'Stifles target',100,2,2),
(333274,10113365,'Blurs vision of target',100,2,3),
(333275,10113365,'Dispelled when target takes damage',100,2,4),
(333276,10113365,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(333277,10113365,'Resistibility increases against targets higher than level 62.',100,2,6),
(333278,10113365,'5% chance to dispel when target takes damage',100,1,7),
(333279,10113365,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(333280,10113365,'Resistibility increases against targets higher than level 62.',100,1,9),
(333281,106344,'Decreases Mitigation of target vs arcane damage by 552',100,1,0),
(333282,106344,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(333283,106344,'Slows target by 41.5%',100,2,2),
(333284,106344,'5% chance to dispel when target receives hostile action',100,2,3),
(333285,106344,'5% chance to dispel when target takes damage',100,2,4),
(333286,10106344,'Decreases Mitigation of target vs arcane damage by 552',100,1,0),
(333287,10106344,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(333288,10106344,'Slows target by 41.5%',100,2,2),
(333289,10106344,'5% chance to dispel when target receives hostile action',100,2,3),
(333290,10106344,'5% chance to dispel when target takes damage',100,2,4),
(333291,116244,'Summons a pet Illusion Ally',100,1,0),
(333292,10116244,'Summons a pet Illusion Ally',100,1,0),
(333293,35594,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(333294,46246,'Applies Exceptional Self Repair Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(333295,46246,'Repairs target''s equipment',100,1,1),
(333296,46246,'Must have an item that is at lower than 50 condition',100,1,2),
(333297,10046246,'Applies Exceptional Self Repair Patch Kit when Activated.  Lasts for 0.5 seconds.',100,0,0),
(333298,10046246,'Repairs target''s equipment',100,1,1),
(333299,10046246,'Must have an item that is at lower than 50 condition',100,1,2),
(333300,105783,'Inflicts 224 - 273 heat damage on target',100,1,0),
(333301,10105783,'Inflicts 388 - 474 heat damage on target',100,1,0),
(333302,47907,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(333303,47907,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(333304,47907,'Decreases WIS of target by 68.4',100,2,2),
(333305,47907,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 871',100,2,3),
(333306,47907,'Cannot be modified except by direct means',100,2,4),
(333307,47907,'Grants a total of 60 triggers of the spell.',100,2,5),
(333308,10047907,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(333309,10047907,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(333310,10047907,'Decreases WIS of target by 68.4',100,2,2),
(333311,10047907,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 871',100,2,3),
(333312,10047907,'Cannot be modified except by direct means',100,2,4),
(333313,10047907,'Grants a total of 60 triggers of the spell.',100,2,5),
(333314,117371,'Increases Threat to target by 19 ',100,1,0),
(333315,117371,'Inflicts 3 - 9 melee damage on target',100,1,1),
(333316,10117371,'Forces target to change their selected target to caster.',100,1,0),
(333317,10117371,'Inflicts 2 - 8 melee damage on target',100,1,1),
(333318,50459,'When Equipped:',100,0,0),
(333319,50459,'Increases caster''s chance to block by 15.0%',100,1,1),
(333320,10050459,'When Equipped:',100,0,0),
(333321,10050459,'Increases caster''s chance to block by 15.0%',100,1,1),
(333322,114741,'Inflicts 1565 - 2609 melee damage on target',100,1,0),
(333323,114741,'You must be in stealth.',100,1,1),
(333324,10114741,'Inflicts 1212 - 2021 melee damage on target',100,1,0),
(333325,10114741,'You must be in stealth.',100,1,1),
(333326,123970,'Decreases AGI of target by 27.9',100,1,0),
(333327,123970,'Inflicts 204 - 340 melee damage on target',100,1,1),
(333328,123970,'Must be behind',100,1,2),
(333329,10123970,'Decreases AGI of target by 27.9',100,1,0),
(333330,10123970,'Inflicts 265 - 442 melee damage on target',100,1,1),
(333331,10123970,'Must be behind',100,1,2),
(333332,191789,'When Equipped:',100,0,0),
(333333,191789,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(333334,191789,'Stifles target',100,2,2),
(333335,191789,'Only affects targets level 102 and below',100,2,3),
(333336,191789,'Does not affect Epic targets',100,2,4),
(333337,191789,'Resistibility increases against targets higher than level 113.',100,2,5),
(333338,191789,'Cannot be modified except by direct means',100,2,6),
(333339,10191789,'When Equipped:',100,0,0),
(333340,10191789,'On a combat hit this spell may cast Silencing Blow on target of attack.  Lasts for 4.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(333341,10191789,'Stifles target',100,2,2),
(333342,10191789,'Only affects targets level 102 and below',100,2,3),
(333343,10191789,'Does not affect Epic targets',100,2,4),
(333344,10191789,'Resistibility increases against targets higher than level 113.',100,2,5),
(333345,10191789,'Cannot be modified except by direct means',100,2,6),
(333346,178763,'When Equipped:',100,0,0),
(333347,178763,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(333348,178763,'Increases STR of caster by 15.6',100,2,2),
(333349,178763,'Cannot be modified except by direct means',100,2,3),
(333350,10178763,'When Equipped:',100,0,0),
(333351,10178763,'When any damage is received this spell has a 5% chance to cast Strengthen on caster.  Lasts for 30.0 seconds.  ',100,1,1),
(333352,10178763,'Increases STR of caster by 15.6',100,2,2),
(333353,10178763,'Cannot be modified except by direct means',100,2,3),
(333354,132372,'When Equipped:',100,0,0),
(333355,132372,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(333356,10132372,'When Equipped:',100,0,0),
(333357,10132372,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(333358,112728,'Inflicts 488 - 814 disease damage on target encounter',100,1,0),
(333359,10112728,'Inflicts 635 - 1058 disease damage on target encounter',100,1,0),
(333360,36133,'Increases Out-of-Combat Health Regeneration of target by 11.0',100,0,0),
(333361,36133,'This effect suspends during combat',100,0,1),
(333362,24021,'Adds Aviak (Paladin) to your Dungeon Maker toolbox',100,0,0),
(333363,10024021,'Adds Aviak (Paladin) to your Dungeon Maker toolbox',100,0,0),
(333364,122751,'Heals group members (AE) for 320 - 391',100,1,0),
(333365,122751,'Increases Max Health of group members (AE) by 56.0',100,1,1),
(333366,10122751,'Heals group members (AE) for 374 - 457',100,1,0),
(333367,10122751,'Increases Max Health of group members (AE) by 56.0',100,1,1),
(333368,48224,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(333369,48224,'Increases power of caster by 121 instantly and every 4 seconds',100,1,1),
(333370,48224,'Requires 715 Health to cast.',100,1,2),
(333371,10048224,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(333372,10048224,'Increases power of caster by 121 instantly and every 4 seconds',100,1,1),
(333373,10048224,'Requires 715 Health to cast.',100,1,2),
(333374,108965,'Increases INT of group members (AE) by 105.2',100,1,0),
(333375,108965,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 40.2',100,1,1),
(333376,10108965,'Increases INT of group members (AE) by 105.2',100,1,0),
(333377,10108965,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 40.2',100,1,1),
(333378,101205,'Inflicts 99 - 166 cold damage on target',100,1,0),
(333379,101205,'Dazes target',100,1,1),
(333380,101205,'If Target is not Epic',100,2,2),
(333381,101205,'Resistibility increases against targets higher than level 59.',100,1,3),
(333382,10101205,'Inflicts 129 - 216 cold damage on target',100,1,0),
(333383,10101205,'Dazes target',100,1,1),
(333384,10101205,'If Target is not Epic',100,2,2),
(333385,10101205,'Resistibility increases against targets higher than level 59.',100,1,3),
(333386,118599,'Roots target',100,1,0),
(333387,118599,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(333388,118599,'Slows target by 39.8%',100,2,2),
(333389,118599,'5% chance to dispel when target receives hostile action',100,2,3),
(333390,118599,'5% chance to dispel when target takes damage',100,2,4),
(333391,118599,'5% chance to dispel when target takes damage',100,1,5),
(333392,118599,'Does not affect Epic targets',100,1,6),
(333393,118599,'Resistibility increases against targets higher than level 78.',100,1,7),
(333394,10118599,'Roots target',100,1,0),
(333395,10118599,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(333396,10118599,'Slows target by 39.8%',100,2,2),
(333397,10118599,'5% chance to dispel when target receives hostile action',100,2,3),
(333398,10118599,'5% chance to dispel when target takes damage',100,2,4),
(333399,10118599,'5% chance to dispel when target takes damage',100,1,5),
(333400,10118599,'Does not affect Epic targets',100,1,6),
(333401,10118599,'Resistibility increases against targets higher than level 78.',100,1,7),
(333402,103958,'Applies Castigate.',100,1,0),
(333403,103958,'Inflicts 525 - 876 divine damage on targets in Area of Effect',100,2,1),
(333404,103958,'Dispels 107 levels of any hostile effects on caster',100,1,2),
(333405,103958,'Casts Castigate for each successful Dispel.',100,1,3),
(333406,103958,'Inflicts 525 - 876 divine damage on targets in Area of Effect',100,3,4),
(333407,10103958,'Applies Castigate.',100,1,0),
(333408,10103958,'Inflicts 683 - 1138 divine damage on targets in Area of Effect',100,2,1),
(333409,10103958,'Dispels 107 levels of any hostile effects on caster',100,1,2),
(333410,10103958,'Casts Castigate for each successful Dispel.',100,1,3),
(333411,10103958,'Inflicts 683 - 1138 divine damage on targets in Area of Effect',100,3,4),
(333412,187426,'Applies Heroic Resistance X when Equipped.',100,0,0),
(333413,187426,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(333414,187426,'Cannot be modified except by direct means',100,1,2),
(333415,187426,'When Equipped:',100,0,3),
(333416,187426,'Reduces physical damage done to target by 5%',100,1,4),
(333417,10187426,'Applies Heroic Resistance X when Equipped.',100,0,0),
(333418,10187426,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,1),
(333419,10187426,'Cannot be modified except by direct means',100,1,2),
(333420,10187426,'When Equipped:',100,0,3),
(333421,10187426,'Reduces physical damage done to target by 5%',100,1,4),
(333422,144407,'When Equipped:',100,0,0),
(333423,144407,'On a spell cast this spell may cast Mind Wash on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(333424,144407,'Increases power of caster by 108',100,2,2),
(333425,144407,'Cannot be modified except by direct means',100,2,3),
(333426,10144407,'When Equipped:',100,0,0),
(333427,10144407,'On a spell cast this spell may cast Mind Wash on caster.  Triggers about 2.0 times per minute. ',100,1,1),
(333428,10144407,'Increases power of caster by 108',100,2,2),
(333429,10144407,'Cannot be modified except by direct means',100,2,3),
(333430,107615,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(333431,107615,'Increases Mitigation of group members (AE) vs elemental damage by 202',100,1,1),
(333432,10107615,'Increases Max Power of group members (AE) by 86.4',100,1,0),
(333433,10107615,'Increases Mitigation of group members (AE) vs elemental damage by 202',100,1,1),
(333434,46132,'Applies Illusion: Dwarf when Activated.  Lasts for 6 hours.',100,0,0),
(333435,46132,'Shapechanges caster into a dwarf',100,1,1),
(333436,10046132,'Applies Illusion: Dwarf when Activated.  Lasts for 6 hours.',100,0,0),
(333437,10046132,'Shapechanges caster into a dwarf',100,1,1),
(333438,140706,'When Equipped:',100,0,0),
(333439,140706,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(333440,140706,'Inflicts 2648 poison damage on target',100,2,2),
(333441,140706,'If under 15% Health',100,2,3),
(333442,140706,'Cannot be modified except by direct means',100,2,4),
(333443,140706,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(333444,140706,'Inflicts 2648 poison damage on target',100,2,6),
(333445,140706,'If under 15% Health',100,2,7),
(333446,140706,'Cannot be modified except by direct means',100,2,8),
(333447,140706,'Cannot be modified except by direct means',100,1,9),
(333448,140706,'When Equipped:',100,0,10),
(333449,140706,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(333450,140706,'Increases Multi Attack Chance of caster by 15.0',100,2,12),
(333451,140706,'Cannot be modified except by direct means',100,2,13),
(333452,10140706,'When Equipped:',100,0,0),
(333453,10140706,'When a combat art is used this spell has a 33% chance to cast Bloodfrenzy on target of combat art.  ',100,1,1),
(333454,10140706,'Inflicts 3442 poison damage on target',100,2,2),
(333455,10140706,'If under 15% Health',100,2,3),
(333456,10140706,'Cannot be modified except by direct means',100,2,4),
(333457,10140706,'On a hostile spell hit this spell has a 33% chance to cast Bloodfrenzy on target of spell.  ',100,1,5),
(333458,10140706,'Inflicts 3442 poison damage on target',100,2,6),
(333459,10140706,'If under 15% Health',100,2,7),
(333460,10140706,'Cannot be modified except by direct means',100,2,8),
(333461,10140706,'Cannot be modified except by direct means',100,1,9),
(333462,10140706,'When Equipped:',100,0,10),
(333463,10140706,'On any combat or spell hit this spell may cast Furious Blows on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,11),
(333464,10140706,'Increases Multi Attack Chance of caster by 15.0',100,2,12),
(333465,10140706,'Cannot be modified except by direct means',100,2,13),
(333466,122178,'Inflicts 123 - 150 cold damage on target instantly and every 2 seconds',100,1,0),
(333467,122178,'Inflicts 123 - 150 cold damage on target instantly and every 2 seconds',100,1,1),
(333468,122178,'If target is elemental',100,2,2),
(333469,10122178,'Inflicts 160 - 195 cold damage on target instantly and every 2 seconds',100,1,0),
(333470,110568,'Decreases Attack Speed of target by 11.8',100,1,0),
(333471,110568,'Decreases Crushing, Slashing and Piercing of target by 3.4',100,1,1),
(333472,10110568,'Decreases Attack Speed of target by 11.8',100,1,0),
(333473,10110568,'Decreases Crushing, Slashing and Piercing of target by 3.4',100,1,1),
(333474,103352,'Decreases power of target by 5 instantly and every 6 seconds',100,1,0),
(333475,103352,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',100,1,1),
(333476,103352,'Increases power of caster by 21',100,1,2),
(333477,10103352,'Decreases power of target by 5 instantly and every 6 seconds',100,1,0),
(333478,10103352,'Inflicts 24 - 30 mental damage on target instantly and every 6 seconds',100,1,1),
(333479,10103352,'Increases power of caster by 21',100,1,2),
(333480,48711,'Applies Translucent Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(333481,48711,'Increases STA and STR of caster by 35.2',100,1,1),
(333482,48711,'Only affects targets level 50 and above',100,1,2),
(333483,10048711,'Applies Translucent Elixir of Brawn when Activated.  Lasts for 30 minutes.',100,0,0),
(333484,10048711,'Increases STA and STR of caster by 35.2',100,1,1),
(333485,10048711,'Only affects targets level 50 and above',100,1,2),
(333486,118934,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(333487,118934,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1463',100,1,1),
(333488,118934,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,2),
(333489,10118934,'Increases Max Health of group members (AE) by 511.2',100,1,0),
(333490,10118934,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1463',100,1,1),
(333491,10118934,'Increases Mitigation of group members (AE) vs physical damage by 865',100,1,2),
(333492,159635,'When Equipped:',100,0,0),
(333493,159635,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333494,159635,'Increases INT of caster by 14.8',100,2,2),
(333495,159635,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(333496,159635,'Cannot be modified except by direct means',100,2,4),
(333497,10159635,'When Equipped:',100,0,0),
(333498,10159635,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333499,10159635,'Increases INT of caster by 14.8',100,2,2),
(333500,10159635,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(333501,10159635,'Cannot be modified except by direct means',100,2,4),
(333502,177646,'When Equipped:',100,0,0),
(333503,177646,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333504,177646,'Increases INT of caster by 14.8',100,2,2),
(333505,177646,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(333506,177646,'Cannot be modified except by direct means',100,2,4),
(333507,10177646,'When Equipped:',100,0,0),
(333508,10177646,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333509,10177646,'Increases INT of caster by 14.8',100,2,2),
(333510,10177646,'Increases Disruption, Focus and Subjugation of caster by 8.3',100,2,3),
(333511,10177646,'Cannot be modified except by direct means',100,2,4),
(333512,107883,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(333513,107883,'Slows target by 35.6%',100,2,1),
(333514,107883,'5% chance to dispel when target receives hostile action',100,2,2),
(333515,107883,'5% chance to dispel when target takes damage',100,2,3),
(333516,107883,'Slows target encounter by 42.7%',100,1,4),
(333517,107883,'5% chance to dispel when target takes damage',100,1,5),
(333518,10107883,'Slows target encounter by 42.7%',100,1,0),
(333519,10107883,'5% chance to dispel when target takes damage',100,1,1),
(333520,160744,'When Equipped:',100,0,0),
(333521,160744,'On a combat hit this spell may cast Languid Pace V on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(333522,160744,'Decreases Attack Speed of target by 14.0',100,2,2),
(333523,160744,'Cannot be modified except by direct means',100,2,3),
(333524,10160744,'When Equipped:',100,0,0),
(333525,10160744,'On a combat hit this spell may cast Languid Pace V on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(333526,10160744,'Decreases Attack Speed of target by 14.0',100,2,2),
(333527,10160744,'Cannot be modified except by direct means',100,2,3),
(333528,102131,'Inflicts 15 - 26 melee damage on target',100,1,0),
(333529,102131,'Inflicts 15 - 26 melee damage on target',100,1,1),
(333530,10102131,'Inflicts 20 - 33 melee damage on target',100,1,0),
(333531,10102131,'Inflicts 20 - 33 melee damage on target',100,1,1),
(333532,47184,'Applies Elixir of Invigoration  when Activated.  Lasts for 15 minutes.',100,0,0),
(333533,47184,'Increases Max Health of caster by 20.0',100,1,1),
(333534,10047184,'Applies Elixir of Invigoration  when Activated.  Lasts for 15 minutes.',100,0,0),
(333535,10047184,'Increases Max Health of caster by 20.0',100,1,1),
(333536,104159,'Increases Threat to target encounter by 51 - 62 ',100,1,0),
(333537,104159,'Interrupts target encounter',100,1,1),
(333538,10104159,'Forces target encounter to change their selected target to caster.',100,1,0),
(333539,10104159,'Interrupts target encounter',100,1,1),
(333540,10104159,'Prevents target encounter from changing targets',100,1,2),
(333541,136747,'When Equipped:',100,0,0),
(333542,136747,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(333543,136747,'Reduces resistibility by 10%.',100,2,2),
(333544,136747,'Cannot be modified except by direct means',100,2,3),
(333545,10136747,'When Equipped:',100,0,0),
(333546,10136747,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(333547,10136747,'Reduces resistibility by 10%.',100,2,2),
(333548,10136747,'Cannot be modified except by direct means',100,2,3),
(333549,120252,'Inflicts 297 - 496 crushing damage on target',100,1,0),
(333550,10120252,'Inflicts 387 - 645 crushing damage on target',100,1,0),
(333551,141924,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(333552,141924,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(333553,141924,'Heals target for 7 instantly and every 4 seconds',100,2,2),
(333554,141924,'Cannot be modified except by direct means',100,2,3),
(333555,10141924,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(333556,10141924,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(333557,10141924,'Heals target for 5 instantly and every 4 seconds',100,2,2),
(333558,10141924,'Cannot be modified except by direct means',100,2,3),
(333559,52234,'When Equipped:',100,0,0),
(333560,52234,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(333561,52234,'Inflicts 1986 disease damage on target encounter',100,2,2),
(333562,52234,'Must not be engaged in pvp combat',100,2,3),
(333563,52234,'Cannot be modified except by direct means',100,2,4),
(333564,10052234,'When Equipped:',100,0,0),
(333565,10052234,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(333566,10052234,'Inflicts 1291 disease damage on target encounter',100,2,2),
(333567,10052234,'Must not be engaged in pvp combat',100,2,3),
(333568,10052234,'Cannot be modified except by direct means',100,2,4),
(333569,118370,'Inflicts 158 - 264 melee damage on target',100,1,0),
(333570,118370,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(333571,118370,'Blurs vision of target',100,2,2),
(333572,118370,'Throws target back',100,2,3),
(333573,118370,'Stuns target',100,2,4),
(333574,118370,'Does not affect Epic targets',100,2,5),
(333575,10118370,'Inflicts 206 - 344 melee damage on target',100,1,0),
(333576,10118370,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(333577,10118370,'Throws target back',100,2,2),
(333578,10118370,'Stuns target',100,2,3),
(333579,10118370,'Blurs vision of target',100,2,4),
(333580,10118370,'Does not affect Epic targets',100,2,5),
(333581,118327,'Inflicts 17 - 29 melee damage on target',100,1,0),
(333582,118327,'Inflicts 18 - 30 heat damage on target every 4 seconds',100,1,1),
(333583,10118327,'Inflicts 23 - 38 melee damage on target',100,1,0),
(333584,10118327,'Inflicts 23 - 38 heat damage on target every 4 seconds',100,1,1),
(333585,46286,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(333586,46286,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(333587,46286,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(333588,46286,'Cannot be modified except by direct means',100,2,3),
(333589,46286,'Grants a total of 80 triggers of the spell.',100,2,4),
(333590,10046286,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(333591,10046286,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(333592,10046286,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(333593,10046286,'Cannot be modified except by direct means',100,2,3),
(333594,10046286,'Grants a total of 80 triggers of the spell.',100,2,4),
(333595,121878,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(333596,121878,'Decreases Threat to target by 596 - 729 ',100,2,1),
(333597,121878,'If profession other than Fighter',100,3,2),
(333598,121878,'Inflicts 243 - 297 mental damage on target',100,2,3),
(333599,10121878,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',100,1,0),
(333600,10121878,'Inflicts 316 - 387 mental damage on target',100,2,1),
(333601,142966,'When Equipped:',100,0,0),
(333602,142966,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(333603,142966,'Increases Threat to target by 50 ',100,2,2),
(333604,142966,'Cannot be modified except by direct means',100,2,3),
(333605,10142966,'When Equipped:',100,0,0),
(333606,10142966,'When damaged with a melee weapon this spell will cast Enraging Presence on target''s attacker.  ',100,1,1),
(333607,10142966,'Cannot be modified except by direct means',100,2,2),
(333608,107215,'Inflicts 243 - 405 melee damage on targets in area',100,1,0),
(333609,107215,'Dispels 88 levels of noxious and arcane beneficial effects on targets in Area of Effect',100,1,1),
(333610,10107215,'Inflicts 316 - 527 melee damage on targets in area',100,1,0),
(333611,10107215,'Reduces healing received of targets in area by 10%',100,1,1),
(333612,81898,'When Equipped:',100,0,0),
(333613,81898,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333614,81898,'Inflicts 265 - 492 magic damage on target',100,2,2),
(333615,81898,'Cannot be modified except by direct means',100,2,3),
(333616,10081898,'When Equipped:',100,0,0),
(333617,10081898,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333618,10081898,'Inflicts 345 - 640 magic damage on target',100,2,2),
(333619,10081898,'Cannot be modified except by direct means',100,2,3),
(333620,88647,'When Equipped:',100,0,0),
(333621,88647,'On a melee hit this spell may cast Rage on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(333622,88647,'Increases Potency of caster by 15.0%',100,2,2),
(333623,88647,'Cannot be modified except by direct means',100,2,3),
(333624,10088647,'When Equipped:',100,0,0),
(333625,10088647,'On a melee hit this spell may cast Rage on caster.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(333626,10088647,'Increases Potency of caster by 15.0%',100,2,2),
(333627,10088647,'Cannot be modified except by direct means',100,2,3),
(333628,110107,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(333629,110107,'Inflicts 33 disease damage on target',100,2,1),
(333630,110107,'Heals caster for 24',100,2,2),
(333631,110107,'Decreases INT of target by 137.5',100,1,3),
(333632,110107,'Decreases Attack Speed of target by 25.0',100,1,4),
(333633,110107,'Increases Max Health of target by 12.0%',100,1,5),
(333634,110107,'Increases Hate Gain of target by 34.6%',100,1,6),
(333635,110107,'Increases Aggression of target by 12.6',100,1,7),
(333636,110107,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,8),
(333637,110107,'Increases Threat to target encounter by 127 - 155 ',100,2,9),
(333638,110107,'Increases Mitigation of target vs elemental, noxious and arcane damage by 840',100,1,10),
(333639,10110107,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',100,1,0),
(333640,10110107,'Inflicts 42 disease damage on target',100,2,1),
(333641,10110107,'Heals caster for 16',100,2,2),
(333642,10110107,'Decreases INT of target by 137.5',100,1,3),
(333643,10110107,'Decreases Attack Speed of target by 25.0',100,1,4),
(333644,10110107,'Increases Max Health of target by 12.0%',100,1,5),
(333645,10110107,'Increases Aggression of target by 12.6',100,1,6),
(333646,10110107,'Increases Mitigation of target vs elemental, noxious and arcane damage by 840',100,1,7),
(333647,74637,'When Equipped:',100,0,0),
(333648,74637,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333649,74637,'Inflicts 64 - 96 magic damage on target',100,2,2),
(333650,74637,'Cannot be modified except by direct means',100,2,3),
(333651,10074637,'When Equipped:',100,0,0),
(333652,10074637,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333653,10074637,'Inflicts 83 - 125 magic damage on target',100,2,2),
(333654,10074637,'Cannot be modified except by direct means',100,2,3),
(333655,71674,'When Equipped:',100,0,0),
(333656,71674,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333657,71674,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(333658,71674,'Cannot be modified except by direct means',100,2,3),
(333659,10071674,'When Equipped:',100,0,0),
(333660,10071674,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333661,10071674,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(333662,10071674,'Cannot be modified except by direct means',100,2,3),
(333663,154584,'When Equipped:',100,0,0),
(333664,154584,'Increases Attack Speed of caster by 40.0',100,1,1),
(333665,10154584,'When Equipped:',100,0,0),
(333666,10154584,'Increases Attack Speed of caster by 40.0',100,1,1),
(333667,112384,'Increases Crushing, Piercing, Slashing and Ranged of target by 24.0',100,1,0),
(333668,112384,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(333669,112384,'Inflicts 163 - 200 piercing damage on target',100,2,2),
(333670,112384,'Inflicts 82 - 100 piercing damage on target every 3 seconds',100,2,3),
(333671,10112384,'Increases Crushing, Piercing, Slashing and Ranged of target by 24.0',100,1,0),
(333672,10112384,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(333673,10112384,'Inflicts 212 - 259 piercing damage on target',100,2,2),
(333674,10112384,'Inflicts 106 - 130 piercing damage on target every 3 seconds',100,2,3),
(333675,71743,'When Equipped:',100,0,0),
(333676,71743,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333677,71743,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(333678,71743,'Cannot be modified except by direct means',100,2,3),
(333679,10071743,'When Equipped:',100,0,0),
(333680,10071743,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333681,10071743,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(333682,10071743,'Cannot be modified except by direct means',100,2,3),
(333683,119690,'Increases Threat to target encounter by 167 - 204 ',100,1,0),
(333684,10119690,'Prevents target encounter from changing targets',100,1,0),
(333685,10119690,'Forces target encounter to change their selected target to caster.',100,1,1),
(333686,119116,'Inflicts 274 - 822 melee damage on targets in area',100,1,0),
(333687,119116,'Inflicts 274 - 822 melee damage on targets in area',100,1,1),
(333688,119116,'Inflicts 274 - 822 melee damage on targets in area',100,1,2),
(333689,119116,'Inflicts 274 - 822 melee damage on targets in area',100,1,3),
(333690,10119116,'Inflicts 356 - 1068 melee damage on targets in area',100,1,0),
(333691,10119116,'Inflicts 356 - 1068 melee damage on targets in area',100,1,1),
(333692,10119116,'Inflicts 356 - 1068 melee damage on targets in area',100,1,2),
(333693,10119116,'Inflicts 356 - 1068 melee damage on targets in area',100,1,3),
(333694,102157,'Inflicts 212 - 353 melee damage on target',100,1,0),
(333695,102157,'Inflicts 212 - 353 melee damage on target',100,1,1),
(333696,10102157,'Inflicts 275 - 459 melee damage on target',100,1,0),
(333697,10102157,'Inflicts 275 - 459 melee damage on target',100,1,1),
(333698,48417,'Applies fill when Activated.  Lasts for 1.0 second.',100,0,0),
(333699,48417,'This effect cannot be cast during combat',100,1,1),
(333700,48417,'must be in a particular area',100,1,2),
(333701,10048417,'Applies fill when Activated.  Lasts for 1.0 second.',100,0,0),
(333702,10048417,'This effect cannot be cast during combat',100,1,1),
(333703,10048417,'must be in a particular area',100,1,2),
(333704,26100,'When Equipped:',100,0,0),
(333705,26100,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(333706,26100,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,2),
(333707,10026100,'When Equipped:',100,0,0),
(333708,10026100,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(333709,10026100,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',100,1,2),
(333710,105078,'Inflicts 101 - 137 magic damage on target',100,1,0),
(333711,10105078,'Inflicts 131 - 178 magic damage on target',100,1,0),
(333712,24293,'Adds Dire Bear (Monk) to your Dungeon Maker toolbox',100,0,0),
(333713,10024293,'Adds Dire Bear (Monk) to your Dungeon Maker toolbox',100,0,0),
(333714,122835,'Inflicts 404 - 674 ranged damage on target',100,1,0),
(333715,122835,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(333716,122835,'Increases Hate Gain of target by 30.0%',100,2,2),
(333717,122835,'Grants a total of 1 trigger of the spell.',100,2,3),
(333718,122835,'Requires bow',100,1,4),
(333719,10122835,'Inflicts 303 - 505 ranged damage on target',100,1,0),
(333720,10122835,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(333721,10122835,'Grants a total of 1 trigger of the spell.',100,2,2),
(333722,10122835,'Requires bow',100,1,3),
(333723,45422,'Applies Brown Mistrunner Warg with Blue Armor when Activated.',100,0,0),
(333724,45422,'Increases Disruption of caster by 7.0',100,1,1),
(333725,45422,'Increases damage done by spells and combat arts by up to 75.',100,1,2),
(333726,45422,'Increases Slashing and Ranged of caster by 7.0',100,1,3),
(333727,45422,'Summons a mount to ride',100,1,4),
(333728,45422,'Increases your ground speed by 130%',100,2,5),
(333729,45422,'Increases Piercing and Crushing of caster by 7.0',100,1,6),
(333730,45422,'Requires good alignment',100,1,7),
(333731,10045422,'Applies Brown Mistrunner Warg with Blue Armor when Activated.',100,0,0),
(333732,10045422,'Increases Disruption of caster by 7.0',100,1,1),
(333733,10045422,'Increases damage done by spells and combat arts by up to 75.',100,1,2),
(333734,10045422,'Increases Slashing and Ranged of caster by 7.0',100,1,3),
(333735,10045422,'Summons a mount to ride',100,1,4),
(333736,10045422,'Increases your ground speed by 130%',100,2,5),
(333737,10045422,'Increases Piercing and Crushing of caster by 7.0',100,1,6),
(333738,10045422,'Requires good alignment',100,1,7),
(333739,71202,'When Equipped:',100,0,0),
(333740,71202,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(333741,71202,'Inflicts 1192 piercing damage on target',100,2,2),
(333742,71202,'Cannot be modified except by direct means',100,2,3),
(333743,10071202,'When Equipped:',100,0,0),
(333744,10071202,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(333745,10071202,'Inflicts 775 piercing damage on target',100,2,2),
(333746,10071202,'Cannot be modified except by direct means',100,2,3),
(333747,113697,'Stuns target',100,1,0),
(333748,113697,'If Target is not Epic',100,2,1),
(333749,113697,'Inflicts 718 - 1196 heat damage on target',100,1,2),
(333750,113697,'Resistibility increases against targets higher than level 87.',100,1,3),
(333751,10113697,'Stuns target',100,1,0),
(333752,10113697,'If Target is not Epic',100,2,1),
(333753,10113697,'Inflicts 933 - 1555 heat damage on target',100,1,2),
(333754,10113697,'Resistibility increases against targets higher than level 87.',100,1,3),
(333755,45781,'Applies Condensed Lethality when Activated.  Lasts for 30 minutes.',100,0,0),
(333756,45781,'Increases Lethality of caster by 250.0',100,1,1),
(333757,10045781,'Applies Condensed Lethality when Activated.  Lasts for 30 minutes.',100,0,0),
(333758,10045781,'Increases Lethality of caster by 250.0',100,1,1),
(333759,47402,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(333760,47402,'This potion will grant you the illusion of being a skeletal orc!',100,1,1),
(333761,10047402,'Applies Cast Nights of the Dead Illusion Potion when Activated.',100,0,0),
(333762,10047402,'This potion will grant you the illusion of being a skeletal orc!',100,1,1),
(333763,159095,'When Equipped:',100,0,0),
(333764,159095,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(333765,159095,'Increases AGI of caster by 14.8',100,2,2),
(333766,159095,'Increases Attack Speed of caster by 16.5',100,2,3),
(333767,159095,'Cannot be modified except by direct means',100,2,4),
(333768,10159095,'When Equipped:',100,0,0),
(333769,10159095,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(333770,10159095,'Increases AGI of caster by 14.8',100,2,2),
(333771,10159095,'Increases Attack Speed of caster by 16.5',100,2,3),
(333772,10159095,'Cannot be modified except by direct means',100,2,4),
(333773,75624,'Applies Holy Strike when Activated.',100,0,0),
(333774,75624,'Inflicts 53 - 89 divine damage on target',100,1,1),
(333775,75624,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(333776,10075624,'Applies Holy Strike when Activated.',100,0,0),
(333777,10075624,'Inflicts 69 - 115 divine damage on target',100,1,1),
(333778,10075624,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(333779,110781,'Heals group members (AE) for 280 - 343 instantly and every 2 seconds',100,1,0),
(333780,10110781,'Heals group members (AE) for 182 - 223 instantly and every 2 seconds',100,1,0),
(333781,101277,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(333782,101277,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,1),
(333783,10101277,'Increases Max Health of group members (AE) by 89.5',100,1,0),
(333784,10101277,'Increases Mitigation of group members (AE) vs physical damage by 245',100,1,1),
(333785,100431,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(333786,100431,'Increases Threat to target by 478 ',100,2,1),
(333787,100431,'Inflicts 128 - 213 slashing damage on target',100,2,2),
(333788,100431,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(333789,100431,'Increases Threat to target by 478 ',100,2,4),
(333790,100431,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1563',100,1,5),
(333791,10100431,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(333792,10100431,'Inflicts 166 - 277 slashing damage on target',100,2,1),
(333793,10100431,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(333794,10100431,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1563',100,1,3),
(333795,189190,'When Equipped:',100,0,0),
(333796,189190,'On a combat hit this spell may cast Shadow''s Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333797,189190,'Increases power of target by 115 - 141',100,2,2),
(333798,189190,'Cannot be modified except by direct means',100,2,3),
(333799,10189190,'When Equipped:',100,0,0),
(333800,10189190,'On a combat hit this spell may cast Shadow''s Touch on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333801,10189190,'Increases power of target by 115 - 141',100,2,2),
(333802,10189190,'Cannot be modified except by direct means',100,2,3),
(333803,87233,'When Equipped:',100,0,0),
(333804,87233,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333805,87233,'Inflicts 51 - 76 magic damage on target',100,2,2),
(333806,87233,'Cannot be modified except by direct means',100,2,3),
(333807,10087233,'When Equipped:',100,0,0),
(333808,10087233,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333809,10087233,'Inflicts 66 - 99 magic damage on target',100,2,2),
(333810,10087233,'Cannot be modified except by direct means',100,2,3),
(333811,35570,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(333812,116299,'Stuns target',100,1,0),
(333813,116299,'If Target is not Epic',100,2,1),
(333814,116299,'Inflicts 85 - 104 magic damage on target',100,1,2),
(333815,116299,'Resistibility increases against targets higher than level 45.',100,1,3),
(333816,10116299,'Stuns target',100,1,0),
(333817,10116299,'If Target is not Epic',100,2,1),
(333818,10116299,'Inflicts 111 - 135 magic damage on target',100,1,2),
(333819,10116299,'Resistibility increases against targets higher than level 45.',100,1,3),
(333820,100268,'Summons a limited pet to aid the caster',100,1,0),
(333821,10100268,'Summons a limited pet to aid the caster',100,1,0),
(333822,102594,'Increases Threat to target encounter by 243 - 297 ',100,1,0),
(333823,102594,'Interrupts target encounter',100,1,1),
(333824,102594,'Decreases Mitigation of target encounter vs noxious damage by 220',100,1,2),
(333825,10102594,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(333826,10102594,'Forces target to change their selected target to caster.',100,2,1),
(333827,10102594,'Prevents target from changing targets',100,2,2),
(333828,10102594,'Interrupts target encounter',100,1,3),
(333829,10102594,'Decreases Mitigation of target encounter vs noxious damage by 220',100,1,4),
(333830,103146,'Throws target back',100,1,0),
(333831,103146,'If Target is not Epic',100,2,1),
(333832,103146,'Inflicts 16 - 48 crushing damage on target',100,1,2),
(333833,103146,'Stuns target',100,1,3),
(333834,103146,'If Target is not Epic',100,2,4),
(333835,103146,'Resistibility increases against targets higher than level 37.',100,1,5),
(333836,10103146,'Throws target back',100,1,0),
(333837,10103146,'If Target is not Epic',100,2,1),
(333838,10103146,'Inflicts 20 - 62 crushing damage on target',100,1,2),
(333839,10103146,'Stuns target',100,1,3),
(333840,10103146,'If Target is not Epic',100,2,4),
(333841,10103146,'Resistibility increases against targets higher than level 37.',100,1,5),
(333842,87614,'When Equipped:',100,0,0),
(333843,87614,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(333844,87614,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(333845,87614,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(333846,87614,'Heals target for 1840',100,3,4),
(333847,87614,'Must not be engaged in pvp combat',100,3,5),
(333848,87614,'Cannot be modified except by direct means',100,3,6),
(333849,87614,'Grants a total of 5 triggers of the spell.',100,3,7),
(333850,87614,'Must not be engaged in pvp combat',100,2,8),
(333851,87614,'Cannot be modified except by direct means',100,2,9),
(333852,87614,'Cannot be modified except by direct means',100,1,10),
(333853,10087614,'When Equipped:',100,0,0),
(333854,10087614,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(333855,10087614,'On a critical healing spell cast this spell may cast Restorative Counter IV on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(333856,10087614,'When any damage is received this spell will cast Restorative Counter IV on target.  ',100,2,3),
(333857,10087614,'Heals target for 2153',100,3,4),
(333858,10087614,'Must not be engaged in pvp combat',100,3,5),
(333859,10087614,'Cannot be modified except by direct means',100,3,6),
(333860,10087614,'Grants a total of 5 triggers of the spell.',100,3,7),
(333861,10087614,'Must not be engaged in pvp combat',100,2,8),
(333862,10087614,'Cannot be modified except by direct means',100,2,9),
(333863,10087614,'Cannot be modified except by direct means',100,1,10),
(333864,144224,'Applies Second Chance when Activated.  Lasts for 10.0 seconds.',100,0,0),
(333865,144224,'Caster will Parry 100.0% of incoming attacks',100,1,1),
(333866,144224,'Must be engaged in pvp combat',100,1,2),
(333867,144224,'Only affects targets level 79 and below',100,1,3),
(333868,144224,'The casting time of Second Chance is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(333869,10144224,'Applies Second Chance when Activated.  Lasts for 10.0 seconds.',100,0,0),
(333870,10144224,'Caster will Parry 100.0% of incoming attacks',100,1,1),
(333871,10144224,'Must be engaged in pvp combat',100,1,2),
(333872,10144224,'Only affects targets level 79 and below',100,1,3),
(333873,10144224,'The casting time of Second Chance is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(333874,74681,'When Equipped:',100,0,0),
(333875,74681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333876,74681,'Inflicts 44 - 67 magic damage on target',100,2,2),
(333877,74681,'Cannot be modified except by direct means',100,2,3),
(333878,10074681,'When Equipped:',100,0,0),
(333879,10074681,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333880,10074681,'Inflicts 58 - 87 magic damage on target',100,2,2),
(333881,10074681,'Cannot be modified except by direct means',100,2,3),
(333882,115066,'Heals target for 60 - 73',100,1,0),
(333883,115066,'Heals target for 8 - 9 every second',100,1,1),
(333884,10115066,'Heals target for 111 - 136',100,1,0),
(333885,10115066,'Heals target for 8 - 10 every second',100,1,1),
(333886,106931,'Inflicts 89 - 165 poison damage on target',100,1,0),
(333887,10106931,'Inflicts 115 - 214 poison damage on target',100,1,0),
(333888,81023,'When Equipped:',100,0,0),
(333889,81023,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(333890,81023,'Decreases Threat to target by 517 ',100,2,2),
(333891,81023,'Must be flanking or behind',100,3,3),
(333892,81023,'Increases Threat to target by 517 ',100,2,4),
(333893,81023,'Must be in front of',100,3,5),
(333894,81023,'Inflicts 148 - 275 magic damage on target',100,2,6),
(333895,81023,'Cannot be modified except by direct means',100,2,7),
(333896,10081023,'When Equipped:',100,0,0),
(333897,10081023,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(333898,10081023,'Inflicts 192 - 357 magic damage on target',100,2,2),
(333899,10081023,'Cannot be modified except by direct means',100,2,3),
(333900,80966,'When Equipped:',100,0,0),
(333901,80966,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333902,80966,'Inflicts 175 - 324 magic damage on target',100,2,2),
(333903,80966,'Cannot be modified except by direct means',100,2,3),
(333904,10080966,'When Equipped:',100,0,0),
(333905,10080966,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333906,10080966,'Inflicts 227 - 421 magic damage on target',100,2,2),
(333907,10080966,'Cannot be modified except by direct means',100,2,3),
(333908,106431,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(333909,106431,'Inflicts 640 - 783 mental damage on target',100,2,1),
(333910,106431,'Grants a total of 3 triggers of the spell.',100,2,2),
(333911,10106431,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(333912,10106431,'Inflicts 833 - 1018 mental damage on target',100,2,1),
(333913,10106431,'Grants a total of 3 triggers of the spell.',100,2,2),
(333914,159565,'Applies Sanguine Imbued when Equipped.',100,0,0),
(333915,159565,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(333916,159565,'Inflicts 24 heat damage on target',100,2,2),
(333917,159565,'Cannot be modified except by direct means',100,2,3),
(333918,10159565,'Applies Sanguine Imbued when Equipped.',100,0,0),
(333919,10159565,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(333920,10159565,'Inflicts 31 heat damage on target',100,2,2),
(333921,10159565,'Cannot be modified except by direct means',100,2,3),
(333922,24536,'Adds Mistmoore: Iron Shackles to your Dungeon Maker toolbox',100,0,0),
(333923,10024536,'Adds Mistmoore: Iron Shackles to your Dungeon Maker toolbox',100,0,0),
(333924,148417,'When Equipped:',100,0,0),
(333925,148417,'Increases Attack Speed of caster by 45.0',100,1,1),
(333926,10148417,'When Equipped:',100,0,0),
(333927,10148417,'Increases Attack Speed of caster by 45.0',100,1,1),
(333928,158730,'When Equipped:',100,0,0),
(333929,158730,'On a healing spell cast this spell may cast Cryptic Channeling on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333930,158730,'Decrease the caster''s ability reuse time by 8%.',100,2,2),
(333931,158730,'Cannot be modified except by direct means',100,2,3),
(333932,10158730,'When Equipped:',100,0,0),
(333933,10158730,'On a healing spell cast this spell may cast Cryptic Channeling on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(333934,10158730,'Decrease the caster''s ability reuse time by 8%.',100,2,2),
(333935,10158730,'Cannot be modified except by direct means',100,2,3),
(333936,111799,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',100,1,0),
(333937,111799,'Wipes most of the target''s memory of aggression',100,2,1),
(333938,111799,'Summons 6 limited pets to aid the caster',100,1,2),
(333939,10111799,'Applies Distract on termination.',100,1,0),
(333940,10111799,'Forces target to clear their selected target.',100,2,1),
(333941,10111799,'Summons 6 limited pets to aid the caster',100,1,2),
(333942,176566,'When Equipped:',100,0,0),
(333943,176566,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(333944,176566,'Heals group members (AE) for 875',100,2,2),
(333945,176566,'Heals group members (AE) for 292 every 5 seconds',100,2,3),
(333946,176566,'Must not be engaged in pvp combat',100,2,4),
(333947,176566,'Cannot be modified except by direct means',100,2,5),
(333948,176566,'Must not be engaged in pvp combat',100,1,6),
(333949,10176566,'When Equipped:',100,0,0),
(333950,10176566,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(333951,10176566,'Heals group members (AE) for 1024',100,2,2),
(333952,10176566,'Heals group members (AE) for 341 every 5 seconds',100,2,3),
(333953,10176566,'Must not be engaged in pvp combat',100,2,4),
(333954,10176566,'Cannot be modified except by direct means',100,2,5),
(333955,10176566,'Must not be engaged in pvp combat',100,1,6),
(333956,155878,'When Equipped:',100,0,0),
(333957,155878,'On a healing spell cast this spell may cast Righteous Anger on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(333958,155878,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,2),
(333959,155878,'Cannot be modified except by direct means',100,2,3),
(333960,155878,'Cannot be modified except by direct means',100,1,4),
(333961,10155878,'When Equipped:',100,0,0),
(333962,10155878,'On a healing spell cast this spell may cast Righteous Anger on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(333963,10155878,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,2),
(333964,10155878,'Cannot be modified except by direct means',100,2,3),
(333965,10155878,'Cannot be modified except by direct means',100,1,4),
(333966,37013,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(333967,37013,'Increases Max Health of target by 91.0',100,0,1),
(333968,76871,'Applies Celestial Glow when Equipped.',100,0,0),
(333969,10076871,'Applies Celestial Glow when Equipped.',100,0,0),
(333970,113492,'Inflicts 122 - 203 melee damage on targets in area',100,1,0),
(333971,10113492,'Inflicts 158 - 264 melee damage on targets in area',100,1,0),
(333972,75667,'When Equipped:',100,0,0),
(333973,75667,'On a combat hit this spell may cast Rancid Decay on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333974,75667,'Inflicts 319 - 531 poison damage on target',100,2,2),
(333975,75667,'Cannot be modified except by direct means',100,2,3),
(333976,10075667,'When Equipped:',100,0,0),
(333977,10075667,'On a combat hit this spell may cast Rancid Decay on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(333978,10075667,'Inflicts 414 - 691 poison damage on target',100,2,2),
(333979,10075667,'Cannot be modified except by direct means',100,2,3),
(333980,118250,'Increases Threat to target encounter by 75 - 92 ',100,1,0),
(333981,118250,'Decreases Mitigation of target encounter vs arcane damage by 161',100,1,1),
(333982,10118250,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(333983,10118250,'Forces target to change their selected target to caster.',100,2,1),
(333984,10118250,'Prevents target from changing targets',100,2,2),
(333985,10118250,'Decreases Mitigation of target encounter vs arcane damage by 161',100,1,3),
(333986,47287,'Applies Rinturion''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(333987,47287,'Increases STR and STA of caster by 16.0',100,1,1),
(333988,10047287,'Applies Rinturion''s Salvation  when Activated.  Lasts for 30 minutes.',100,0,0),
(333989,10047287,'Increases STR and STA of caster by 16.0',100,1,1),
(333990,118887,'Inflicts 97 - 162 melee damage on target',100,1,0),
(333991,118887,'Inflicts 97 - 162 melee damage on target',100,1,1),
(333992,118887,'Inflicts 97 - 162 melee damage on target',100,1,2),
(333993,118887,'Inflicts 97 - 162 melee damage on target',100,1,3),
(333994,118887,'Inflicts 97 - 162 melee damage on target',100,1,4),
(333995,10118887,'Inflicts 126 - 211 melee damage on target',100,1,0),
(333996,10118887,'Inflicts 126 - 211 melee damage on target',100,1,1),
(333997,10118887,'Inflicts 126 - 211 melee damage on target',100,1,2),
(333998,10118887,'Inflicts 126 - 211 melee damage on target',100,1,3),
(333999,10118887,'Inflicts 126 - 211 melee damage on target',100,1,4),
(334000,26227,'When Equipped:',100,0,0),
(334001,26227,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(334002,26227,'Increases power of caster by 63',100,2,2),
(334003,26227,'Cannot be modified except by direct means',100,2,3),
(334004,10026227,'When Equipped:',100,0,0),
(334005,10026227,'On a hostile spell cast this spell may cast Blessing of Focus on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(334006,10026227,'Increases power of caster by 63',100,2,2),
(334007,10026227,'Cannot be modified except by direct means',100,2,3),
(334008,45308,'Applies Sweep when Activated.  Lasts for 1.0 second.',100,0,0),
(334009,10045308,'Applies Sweep when Activated.  Lasts for 1.0 second.',100,0,0),
(334010,35075,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,0),
(334011,109907,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(334012,109907,'Inflicts 98 - 119 poison damage on target instantly and every 4 seconds',100,2,1),
(334013,10109907,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(334014,10109907,'Inflicts 127 - 155 poison damage on target instantly and every 4 seconds',100,2,1),
(334015,24625,'Adds Poet''s Palace: Brass Bed to your Dungeon Maker toolbox',100,0,0),
(334016,10024625,'Adds Poet''s Palace: Brass Bed to your Dungeon Maker toolbox',100,0,0),
(334017,175517,'When Equipped:',100,0,0),
(334018,175517,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(334019,10175517,'When Equipped:',100,0,0),
(334020,10175517,'Reduces cast time of hostile spells by 1 percent.',100,1,1),
(334021,47649,'Applies Purification when Activated.',100,0,0),
(334022,47649,'Inflicts 1239 - 1514 divine damage on target',100,1,1),
(334023,47649,'If target is coldblooded',100,1,2),
(334024,10047649,'Applies Purification when Activated.',100,0,0),
(334025,10047649,'Inflicts 1611 - 1968 divine damage on target',100,1,1),
(334026,10047649,'If target is coldblooded',100,1,2),
(334027,177506,'When Equipped:',100,0,0),
(334028,177506,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(334029,177506,'Increases AGI of caster by 17.3',100,2,2),
(334030,177506,'Increases Attack Speed of caster by 18.1',100,2,3),
(334031,177506,'Cannot be modified except by direct means',100,2,4),
(334032,10177506,'When Equipped:',100,0,0),
(334033,10177506,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(334034,10177506,'Increases AGI of caster by 17.3',100,2,2),
(334035,10177506,'Increases Attack Speed of caster by 18.1',100,2,3),
(334036,10177506,'Cannot be modified except by direct means',100,2,4),
(334037,102368,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(334038,102368,'Increases Damage Per Second of target by 15.3',100,2,1),
(334039,102368,'Increases Attack Speed of target by 15.3',100,2,2),
(334040,102368,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(334041,102368,'Increases Damage Per Second of target by 15.3',100,2,4),
(334042,102368,'Increases Attack Speed of target by 15.3',100,2,5),
(334043,102368,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(334044,102368,'Increases Damage Per Second of target by 15.3',100,2,7),
(334045,102368,'Increases Attack Speed of target by 15.3',100,2,8),
(334046,10102368,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(334047,10102368,'Increases Damage Per Second of target by 15.3',100,2,1),
(334048,10102368,'Increases Attack Speed of target by 15.3',100,2,2),
(334049,10102368,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(334050,10102368,'Increases Damage Per Second of target by 15.3',100,2,4),
(334051,10102368,'Increases Attack Speed of target by 15.3',100,2,5),
(334052,10102368,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(334053,10102368,'Increases Damage Per Second of target by 15.3',100,2,7),
(334054,10102368,'Increases Attack Speed of target by 15.3',100,2,8),
(334055,163263,'When Equipped:',100,0,0),
(334056,163263,'On any combat or spell hit this spell may cast Fatal Pestilience IX on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(334057,163263,'Inflicts 380 - 420 disease damage on targets in Area of Effect',100,2,2),
(334058,163263,'Inflicts 506 - 559 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(334059,163263,'Inflicts an additional 18 - 20 disease damage on targets in Area of Effect every tick',100,2,4),
(334060,163263,'Must not be engaged in pvp combat',100,2,5),
(334061,163263,'Cannot be modified except by direct means',100,2,6),
(334062,163263,'Must not be engaged in pvp combat',100,1,7),
(334063,10163263,'When Equipped:',100,0,0),
(334064,10163263,'On any combat or spell hit this spell may cast Fatal Pestilience IX on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(334065,10163263,'Inflicts 494 - 545 disease damage on targets in Area of Effect',100,2,2),
(334066,10163263,'Inflicts 658 - 727 disease damage on targets in Area of Effect every 2 seconds',100,2,3),
(334067,10163263,'Inflicts an additional 18 - 20 disease damage on targets in Area of Effect every tick',100,2,4),
(334068,10163263,'Must not be engaged in pvp combat',100,2,5),
(334069,10163263,'Cannot be modified except by direct means',100,2,6),
(334070,10163263,'Must not be engaged in pvp combat',100,1,7),
(334071,106645,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(334072,106645,'Increases Mitigation of caster vs physical damage by 240',100,2,1),
(334073,106645,'Decreases Mitigation of target encounter vs physical damage by 1200',100,1,2),
(334074,10106645,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(334075,10106645,'Increases Mitigation of caster vs physical damage by 240',100,2,1),
(334076,10106645,'Decreases Mitigation of target encounter vs physical damage by 1200',100,1,2),
(334077,139512,'When Equipped:',100,0,0),
(334078,139512,'Reduces maximum falling speed of caster',100,1,1),
(334079,10139512,'When Equipped:',100,0,0),
(334080,10139512,'Reduces maximum falling speed of caster',100,1,1),
(334081,106301,'Decreases INT and STR of target by 7.1',100,1,0),
(334082,10106301,'Decreases INT and STR of target by 7.1',100,1,0),
(334083,110241,'Slows target by 52.1%',100,1,0),
(334084,110241,'Inflicts 99 - 165 melee damage on target',100,1,1),
(334085,110241,'5% chance to dispel when target receives hostile action',100,1,2),
(334086,110241,'5% chance to dispel when target takes damage',100,1,3),
(334087,10110241,'Slows target by 52.1%',100,1,0),
(334088,10110241,'Inflicts 128 - 214 melee damage on target',100,1,1),
(334089,10110241,'5% chance to dispel when target receives hostile action',100,1,2),
(334090,10110241,'5% chance to dispel when target takes damage',100,1,3),
(334091,122248,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(334092,122248,'Decreases Damage Per Second of target by 28.0',100,2,1),
(334093,122248,'Decreases Attack Speed of target by 20.9',100,2,2),
(334094,10122248,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',100,1,0),
(334095,10122248,'Decreases Damage Per Second of target by 28.0',100,2,1),
(334096,10122248,'Decreases Attack Speed of target by 20.9',100,2,2),
(334097,124207,'Decreases Attack Speed of caster by 11.3',100,1,0),
(334098,124207,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(334099,124207,'Slows targets in Area of Effect by 31.0%',100,2,2),
(334100,124207,'5% chance to dispel when target receives hostile action',100,2,3),
(334101,124207,'5% chance to dispel when target takes damage',100,2,4),
(334102,124207,'Increases Mitigation of caster vs physical damage by 141',100,1,5),
(334103,10124207,'Decreases Attack Speed of caster by 11.3',100,1,0),
(334104,10124207,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(334105,10124207,'Slows targets in Area of Effect by 23.2%',100,2,2),
(334106,10124207,'5% chance to dispel when target receives hostile action',100,2,3),
(334107,10124207,'5% chance to dispel when target takes damage',100,2,4),
(334108,10124207,'Increases Mitigation of caster vs physical damage by 141',100,1,5),
(334109,120491,'Inflicts 80 - 133 melee damage on target',100,1,0),
(334110,120491,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(334111,120491,'Grants stealth to caster',100,2,2),
(334112,120491,'Suspends caster''s movement speed enhancements',100,2,3),
(334113,120491,'Must be flanking or behind',100,1,4),
(334114,10120491,'Inflicts 104 - 173 melee damage on target',100,1,0),
(334115,10120491,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(334116,10120491,'Grants stealth to caster',100,2,2),
(334117,10120491,'Suspends caster''s movement speed enhancements',100,2,3),
(334118,10120491,'Must be flanking or behind',100,1,4),
(334119,100926,'Stuns targets in Area of Effect',20,1,0),
(334120,100926,'If Target is not Epic',100,2,1),
(334121,100926,'Inflicts 461 - 768 divine damage on targets in Area of Effect',100,1,2),
(334122,100926,'Resistibility increases against targets higher than level 109.',100,1,3),
(334123,10100926,'Stuns targets in Area of Effect',20,1,0),
(334124,10100926,'If Target is not Epic',100,2,1),
(334125,10100926,'Inflicts 599 - 998 divine damage on targets in Area of Effect',100,1,2),
(334126,10100926,'Resistibility increases against targets higher than level 109.',100,1,3),
(334127,37467,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(334128,70952,'When Equipped:',100,0,0),
(334129,70952,'On a combat hit this spell may cast Curse of the Vile on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334130,70952,'Inflicts 198 - 330 poison damage on target',100,2,2),
(334131,70952,'Cannot be modified except by direct means',100,2,3),
(334132,10070952,'When Equipped:',100,0,0),
(334133,10070952,'On a combat hit this spell may cast Curse of the Vile on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334134,10070952,'Inflicts 257 - 428 poison damage on target',100,2,2),
(334135,10070952,'Cannot be modified except by direct means',100,2,3),
(334136,87217,'When Equipped:',100,0,0),
(334137,87217,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334138,87217,'Inflicts 51 - 76 magic damage on target',100,2,2),
(334139,87217,'Cannot be modified except by direct means',100,2,3),
(334140,10087217,'When Equipped:',100,0,0),
(334141,10087217,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334142,10087217,'Inflicts 66 - 99 magic damage on target',100,2,2),
(334143,10087217,'Cannot be modified except by direct means',100,2,3),
(334144,119022,'Makes group members (AE) immune to Root effects',100,1,0),
(334145,119022,'Makes group members (AE) immune to Stifle effects',100,1,1),
(334146,119022,'Makes group members (AE) immune to Stun effects',100,1,2),
(334147,119022,'Makes group members (AE) immune to Fear effects',100,1,3),
(334148,119022,'Makes group members (AE) immune to Daze effects',100,1,4),
(334149,119022,'Makes group members (AE) immune to Mesmerize effects',100,1,5),
(334150,119022,'1% chance to dispel when target takes damage',100,1,6),
(334151,119022,'1% chance to dispel when target receives hostile action',100,1,7),
(334152,10119022,'Makes group members (AE) immune to Root effects',100,1,0),
(334153,10119022,'Makes group members (AE) immune to Stifle effects',100,1,1),
(334154,10119022,'Makes group members (AE) immune to Stun effects',100,1,2),
(334155,10119022,'Makes group members (AE) immune to Fear effects',100,1,3),
(334156,10119022,'Makes group members (AE) immune to Daze effects',100,1,4),
(334157,10119022,'Makes group members (AE) immune to Mesmerize effects',100,1,5),
(334158,10119022,'Applies Commanding Roar.  Lasts for 10.0 seconds.',100,1,6),
(334159,10119022,'Makes Group members (AE) immune to taunt effects.',100,2,7),
(334160,10119022,'Applies Immunity Flag.  Lasts for 10.0 seconds.',100,2,8),
(334161,10119022,'You cannot be affected by Commanding Roar.',100,3,9),
(334162,10119022,'Applies Lost Focus.  Lasts for 1 minute.',100,2,10),
(334163,10119022,'You cannot be affected by Commanding Roar.',100,3,11),
(334164,10119022,'1% chance to dispel when target takes damage',100,1,12),
(334165,10119022,'1% chance to dispel when target receives hostile action',100,1,13),
(334166,80194,'When Equipped:',100,0,0),
(334167,80194,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334168,80194,'Inflicts 152 - 283 magic damage on target',100,2,2),
(334169,80194,'Cannot be modified except by direct means',100,2,3),
(334170,10080194,'When Equipped:',100,0,0),
(334171,10080194,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334172,10080194,'Inflicts 198 - 368 magic damage on target',100,2,2),
(334173,10080194,'Cannot be modified except by direct means',100,2,3),
(334174,164644,'When Equipped:',100,0,0),
(334175,164644,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(334176,164644,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(334177,164644,'Heals caster for 1185 - 1309',100,2,3),
(334178,164644,'Must not be engaged in pvp combat',100,2,4),
(334179,164644,'Cannot be modified except by direct means',100,2,5),
(334180,164644,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(334181,164644,'Cannot be modified except by direct means',100,1,7),
(334182,10164644,'When Equipped:',100,0,0),
(334183,10164644,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(334184,10164644,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(334185,10164644,'Heals caster for 1386 - 1532',100,2,3),
(334186,10164644,'Must not be engaged in pvp combat',100,2,4),
(334187,10164644,'Cannot be modified except by direct means',100,2,5),
(334188,10164644,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(334189,10164644,'Cannot be modified except by direct means',100,1,7),
(334190,25539,'When Equipped:',100,0,0),
(334191,25539,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(334192,25539,'Improves the base heal amount of Healstorm VII by 15%.',100,1,2),
(334193,10025539,'When Equipped:',100,0,0),
(334194,10025539,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(334195,10025539,'Improves the base heal amount of Healstorm VII by 15%.',100,1,2),
(334196,114744,'Inflicts 1788 - 2980 melee damage on target',100,1,0),
(334197,114744,'You must be in stealth.',100,1,1),
(334198,10114744,'Inflicts 1384 - 2307 melee damage on target',100,1,0),
(334199,10114744,'You must be in stealth.',100,1,1),
(334200,113078,'Dazes target',100,1,0),
(334201,113078,'If Target is not Epic',100,2,1),
(334202,113078,'Applies Scream on termination.',100,1,2),
(334203,113078,'Inflicts 284 - 473 disease damage on target',100,2,3),
(334204,113078,'Resistibility increases against targets higher than level 103.',100,1,4),
(334205,10113078,'Dazes target',100,1,0),
(334206,10113078,'If Target is not Epic',100,2,1),
(334207,10113078,'Applies Scream on termination.',100,1,2),
(334208,10113078,'Inflicts 369 - 614 disease damage on target',100,2,3),
(334209,10113078,'Resistibility increases against targets higher than level 103.',100,1,4),
(334210,35487,'Increases AGI of target by 8.4',100,0,0),
(334211,35487,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(334212,41490,'When Equipped:',100,0,0),
(334213,41490,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334214,41490,'Inflicts 148 - 275 magic damage on target',100,2,2),
(334215,41490,'Cannot be modified except by direct means',100,2,3),
(334216,10041490,'When Equipped:',100,0,0),
(334217,10041490,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334218,10041490,'Inflicts 192 - 357 magic damage on target',100,2,2),
(334219,10041490,'Cannot be modified except by direct means',100,2,3),
(334220,115915,'Inflicts 103 - 126 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(334221,10115915,'Inflicts 174 - 212 disease damage on target encounter',100,1,0),
(334222,10115915,'Inflicts 134 - 163 disease damage on target encounter every 3 seconds',100,1,1),
(334223,82866,'When Equipped:',100,0,0),
(334224,82866,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(334225,82866,'Decreases Threat to target by 833 ',100,2,2),
(334226,82866,'Must be flanking or behind',100,3,3),
(334227,82866,'Increases Threat to target by 833 ',100,2,4),
(334228,82866,'Must be in front of',100,3,5),
(334229,82866,'Inflicts 228 - 423 magic damage on target',100,2,6),
(334230,82866,'Cannot be modified except by direct means',100,2,7),
(334231,10082866,'When Equipped:',100,0,0),
(334232,10082866,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(334233,10082866,'Inflicts 296 - 550 magic damage on target',100,2,2),
(334234,10082866,'Cannot be modified except by direct means',100,2,3),
(334235,117841,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(334236,117841,'Heals target for 331 - 405 instantly and every 2 seconds',100,2,1),
(334237,117841,'If at 50% Health or less',100,3,2),
(334238,117841,'Heals target for 166 - 203 instantly and every 2 seconds',100,2,3),
(334239,117841,'If over 50% Health',100,3,4),
(334240,10117841,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',100,1,0),
(334241,10117841,'Heals target for 48 - 59 instantly and every 2 seconds',100,2,1),
(334242,10117841,'If over 50% Health',100,3,2),
(334243,10117841,'Heals target for 81 - 99 instantly and every 2 seconds',100,2,3),
(334244,10117841,'If at 50% Health or less',100,3,4),
(334245,110898,'Inflicts 679 - 830 heat damage on target encounter',100,1,0),
(334246,10110898,'Inflicts 882 - 1079 heat damage on target encounter',100,1,0),
(334247,122921,'Increases STR and INT of group members (AE) by 71.4',100,1,0),
(334248,10122921,'Increases STR and INT of group members (AE) by 71.4',100,1,0),
(334249,105923,'Inflicts 10 - 12 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(334250,105923,'Inflicts 23 - 39 disease damage on targets in area',100,1,1),
(334251,10105923,'Inflicts 13 - 16 disease damage on targets in Area of Effect every 6 seconds',100,1,0),
(334252,10105923,'Inflicts 30 - 50 disease damage on targets in area',100,1,1),
(334253,174767,'When Equipped:',100,0,0),
(334254,174767,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(334255,174767,'Decreases Damage Per Second of target by 20.0',100,2,2),
(334256,174767,'Inflicts 2398 magic damage on target',100,2,3),
(334257,174767,'Cannot be modified except by direct means',100,2,4),
(334258,174767,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(334259,174767,'Decreases Damage Per Second of target by 20.0',100,2,6),
(334260,174767,'Inflicts 2398 magic damage on target',100,2,7),
(334261,174767,'Cannot be modified except by direct means',100,2,8),
(334262,10174767,'When Equipped:',100,0,0),
(334263,10174767,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(334264,10174767,'Decreases Damage Per Second of target by 20.0',100,2,2),
(334265,10174767,'Inflicts 3117 magic damage on target',100,2,3),
(334266,10174767,'Cannot be modified except by direct means',100,2,4),
(334267,10174767,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(334268,10174767,'Decreases Damage Per Second of target by 20.0',100,2,6),
(334269,10174767,'Inflicts 3117 magic damage on target',100,2,7),
(334270,10174767,'Cannot be modified except by direct means',100,2,8),
(334271,47831,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(334272,47831,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(334273,47831,'Inflicts 1222 poison damage on target',100,2,2),
(334274,47831,'Heals caster for 1319',100,2,3),
(334275,47831,'Cannot be modified except by direct means',100,2,4),
(334276,47831,'Grants a total of 100 triggers of the spell.',100,2,5),
(334277,10047831,'Applies vitality breach when Activated.  Lasts for 12 hours.',100,0,0),
(334278,10047831,'On a combat hit this spell may cast Vitality Breach on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(334279,10047831,'Inflicts 441 poison damage on target',100,2,2),
(334280,10047831,'Heals caster for 321',100,2,3),
(334281,10047831,'Cannot be modified except by direct means',100,2,4),
(334282,10047831,'Grants a total of 100 triggers of the spell.',100,2,5),
(334283,102896,'Heals caster for 466',100,1,0),
(334284,102896,'Inflicts 710 disease damage on targets in Area of Effect',100,1,1),
(334285,10102896,'Heals caster for 303',100,1,0),
(334286,10102896,'Inflicts 924 disease damage on targets in Area of Effect',100,1,1),
(334287,106313,'Decreases INT and STR of target by 27.0',100,1,0),
(334288,10106313,'Decreases INT and STR of target by 27.0',100,1,0),
(334289,120048,'Inflicts 122 - 149 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(334290,120048,'Decreases power of target encounter by 41 instantly and every 4 seconds',100,1,1),
(334291,10120048,'Inflicts 158 - 193 mental damage on target encounter instantly and every 4 seconds',100,1,0),
(334292,10120048,'Decreases power of target encounter by 41 instantly and every 4 seconds',100,1,1),
(334293,172418,'When Equipped:',100,0,0),
(334294,172418,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(334295,172418,'Decreases Mitigation of target vs arcane damage by 574',100,2,2),
(334296,172418,'Must be classified as a vampire',100,3,3),
(334297,172418,'Inflicts 787 divine damage on target',100,2,4),
(334298,172418,'Must be classified as a vampire',100,3,5),
(334299,172418,'Inflicts 393 divine damage on target',100,2,6),
(334300,172418,'Must not be classified as a vampire',100,3,7),
(334301,172418,'Cannot be modified except by direct means',100,2,8),
(334302,172418,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(334303,10172418,'When Equipped:',100,0,0),
(334304,10172418,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(334305,10172418,'Decreases Mitigation of target vs arcane damage by 574',100,2,2),
(334306,10172418,'Must be classified as a vampire',100,3,3),
(334307,10172418,'Inflicts 1023 divine damage on target',100,2,4),
(334308,10172418,'Must be classified as a vampire',100,3,5),
(334309,10172418,'Inflicts 511 divine damage on target',100,2,6),
(334310,10172418,'Must not be classified as a vampire',100,3,7),
(334311,10172418,'Cannot be modified except by direct means',100,2,8),
(334312,10172418,'Additional equipment with Vampire Bane improves this effect.',100,1,9),
(334313,102851,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(334314,102851,'Blurs vision of target',100,2,1),
(334315,102851,'Throws target back',100,2,2),
(334316,102851,'Stuns target',100,2,3),
(334317,102851,'Does not affect Epic targets',100,2,4),
(334318,102851,'Inflicts 143 - 429 melee damage on targets in area',100,1,5),
(334319,10102851,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(334320,10102851,'Blurs vision of target',100,2,1),
(334321,10102851,'Throws target back',100,2,2),
(334322,10102851,'Stuns target',100,2,3),
(334323,10102851,'Does not affect Epic targets',100,2,4),
(334324,10102851,'Inflicts 186 - 558 melee damage on targets in area',100,1,5),
(334325,82288,'When Equipped:',100,0,0),
(334326,82288,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(334327,82288,'Decreases Threat to target by 135 ',100,2,2),
(334328,82288,'Must be flanking or behind',100,3,3),
(334329,82288,'Increases Threat to target by 135 ',100,2,4),
(334330,82288,'Must be in front of',100,3,5),
(334331,82288,'Inflicts 33 - 61 magic damage on target',100,2,6),
(334332,82288,'Cannot be modified except by direct means',100,2,7),
(334333,10082288,'When Equipped:',100,0,0),
(334334,10082288,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(334335,10082288,'Inflicts 43 - 80 magic damage on target',100,2,2),
(334336,10082288,'Cannot be modified except by direct means',100,2,3),
(334337,120516,'Inflicts 307 - 513 melee damage on target',100,1,0),
(334338,120516,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(334339,120516,'Grants stealth to caster',100,2,2),
(334340,120516,'Suspends caster''s movement speed enhancements',100,2,3),
(334341,120516,'Must be flanking or behind',100,1,4),
(334342,10120516,'Inflicts 400 - 667 melee damage on target',100,1,0),
(334343,10120516,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,1),
(334344,10120516,'Grants stealth to caster',100,2,2),
(334345,10120516,'Suspends caster''s movement speed enhancements',100,2,3),
(334346,10120516,'Must be flanking or behind',100,1,4),
(334347,100564,'Inflicts 19 - 32 melee damage on target',100,1,0),
(334348,100564,'You must be sneaking to use this ability.',100,1,1),
(334349,10100564,'Inflicts 25 - 41 melee damage on target',100,1,0),
(334350,10100564,'You must be sneaking to use this ability.',100,1,1),
(334351,37332,'Increases STA and STR of target by 9.0',100,0,0),
(334352,37332,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(334353,37332,'Increases Out-of-Combat Health Regeneration of target by 11.2',100,0,2),
(334354,110775,'Heals group members (AE) for 203 - 249 instantly and every 2 seconds',100,1,0),
(334355,10110775,'Heals group members (AE) for 132 - 162 instantly and every 2 seconds',100,1,0),
(334356,82656,'When Equipped:',100,0,0),
(334357,82656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334358,82656,'Inflicts 78 - 144 magic damage on target',100,2,2),
(334359,82656,'Cannot be modified except by direct means',100,2,3),
(334360,10082656,'When Equipped:',100,0,0),
(334361,10082656,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334362,10082656,'Inflicts 101 - 188 magic damage on target',100,2,2),
(334363,10082656,'Cannot be modified except by direct means',100,2,3),
(334364,115525,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(334365,115525,'Increases Mitigation of group members (AE) vs noxious damage by 1738',100,1,1),
(334366,10115525,'Increases Max Health of group members (AE) by 485.6',100,1,0),
(334367,10115525,'Increases Mitigation of group members (AE) vs noxious damage by 1738',100,1,1),
(334368,110384,'Increases STR and AGI of group members (AE) by 51.8',100,1,0),
(334369,110384,'Adds 1.5% to base avoidance.',100,1,1),
(334370,10110384,'Increases STR and AGI of group members (AE) by 51.8',100,1,0),
(334371,10110384,'Adds 1.5% to base avoidance.',100,1,1),
(334372,123032,'Summons 12 limited pets to aid the caster',100,1,0),
(334373,10123032,'Summons 12 limited pets to aid the caster',100,1,0),
(334374,112217,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(334375,112217,'Increases Threat to target by 28 ',100,2,1),
(334376,112217,'Inflicts 13 disease damage on target',100,2,2),
(334377,112217,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 606',100,1,3),
(334378,10112217,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(334379,10112217,'Inflicts 17 disease damage on target',100,2,1),
(334380,10112217,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 606',100,1,2),
(334381,118726,'Inflicts 136 - 227 slashing damage on target',100,1,0),
(334382,118726,'Decreases Slashing, Crushing and Piercing of target by 12.7',100,1,1),
(334383,118726,'Inflicts 56 - 69 slashing damage on target every 5 seconds',100,1,2),
(334384,10118726,'Inflicts 177 - 295 slashing damage on target',100,1,0),
(334385,10118726,'Decreases Slashing, Crushing and Piercing of target by 12.7',100,1,1),
(334386,10118726,'Inflicts 73 - 89 slashing damage on target every 5 seconds',100,1,2),
(334387,109915,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(334388,109915,'Inflicts 140 - 171 poison damage on target instantly and every 4 seconds',100,2,1),
(334389,10109915,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(334390,10109915,'Inflicts 182 - 222 poison damage on target instantly and every 4 seconds',100,2,1),
(334391,117741,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(334392,117741,'Heals target for 1313',100,2,1),
(334393,117741,'Increases Max Health of target by 863.8',100,2,2),
(334394,117741,'Grants a total of 1 trigger of the spell.',100,2,3),
(334395,10117741,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(334396,10117741,'Heals target for 853',100,2,1),
(334397,10117741,'Increases Max Health of target by 863.8',100,2,2),
(334398,10117741,'Grants a total of 1 trigger of the spell.',100,2,3),
(334399,116201,'Inflicts 798 - 1329 mental damage on target',100,1,0),
(334400,10116201,'Inflicts 1037 - 1728 mental damage on target',100,1,0),
(334401,51457,'When Equipped:',100,0,0),
(334402,51457,'Increases Potency of caster by 5.0%',100,1,1),
(334403,51457,'Must be engaged in pvp combat',100,1,2),
(334404,10051457,'When Equipped:',100,0,0),
(334405,10051457,'Increases Potency of caster by 5.0%',100,1,1),
(334406,10051457,'Must be engaged in pvp combat',100,1,2),
(334407,139446,'When Equipped:',100,0,0),
(334408,139446,'Increases Attack Speed of caster by 35.0',100,1,1),
(334409,10139446,'When Equipped:',100,0,0),
(334410,10139446,'Increases Attack Speed of caster by 35.0',100,1,1),
(334411,108696,'Inflicts 124 heat damage on target',100,1,0),
(334412,108696,'Inflicts 28 heat damage on target every 4 seconds',100,1,1),
(334413,10108696,'Inflicts 226 heat damage on target',100,1,0),
(334414,10108696,'Inflicts 36 heat damage on target every 4 seconds',100,1,1),
(334415,119481,'Dazes target encounter',100,1,0),
(334416,119481,'If Target is not Epic',100,2,1),
(334417,119481,'Inflicts 75 - 92 magic damage on target encounter instantly and every second',100,1,2),
(334418,119481,'Resistibility increases against targets higher than level 68.',100,1,3),
(334419,10119481,'Dazes target encounter',100,1,0),
(334420,10119481,'If Target is not Epic',100,2,1),
(334421,10119481,'Inflicts 129 - 158 magic damage on target encounter',100,1,2),
(334422,10119481,'Inflicts 98 - 120 magic damage on target encounter every second',100,1,3),
(334423,10119481,'Resistibility increases against targets higher than level 68.',100,1,4),
(334424,113577,'Mesmerizes target',100,1,0),
(334425,113577,'Prevents AOE (except when direct) ',100,1,1),
(334426,113577,'Dispelled when target takes damage',100,1,2),
(334427,113577,'Does not affect Epic x2 targets',100,1,3),
(334428,113577,'Resistibility increases against targets higher than level 99.',100,1,4),
(334429,10113577,'Mesmerizes target',100,1,0),
(334430,10113577,'Prevents AOE (except when direct) ',100,1,1),
(334431,10113577,'Dispelled when target takes damage',100,1,2),
(334432,10113577,'Does not affect Epic x2 targets',100,1,3),
(334433,10113577,'Resistibility increases against targets higher than level 99.',100,1,4),
(334434,141916,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(334435,141916,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(334436,141916,'Heals target for 31 instantly and every 4 seconds',100,2,2),
(334437,141916,'Cannot be modified except by direct means',100,2,3),
(334438,10141916,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(334439,10141916,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(334440,10141916,'Heals target for 20 instantly and every 4 seconds',100,2,2),
(334441,10141916,'Cannot be modified except by direct means',100,2,3),
(334442,114307,'Heals target for 941 - 1150',100,1,0),
(334443,10114307,'Heals target for 1106 - 1352',100,1,0),
(334444,118221,'Increases Damage Per Second of group members (AE) by 27.7',100,1,0),
(334445,10118221,'Increases Damage Per Second of group members (AE) by 27.7',100,1,0),
(334446,24607,'Adds Orc-Snow (Templar) to your Dungeon Maker toolbox',100,0,0),
(334447,10024607,'Adds Orc-Snow (Templar) to your Dungeon Maker toolbox',100,0,0),
(334448,118723,'Inflicts 85 - 142 slashing damage on target',100,1,0),
(334449,118723,'Decreases Slashing, Crushing and Piercing of target by 7.9',100,1,1),
(334450,118723,'Inflicts 35 - 43 slashing damage on target every 5 seconds',100,1,2),
(334451,10118723,'Inflicts 110 - 184 slashing damage on target',100,1,0),
(334452,10118723,'Decreases Slashing, Crushing and Piercing of target by 7.9',100,1,1),
(334453,10118723,'Inflicts 46 - 56 slashing damage on target every 5 seconds',100,1,2),
(334454,36404,'Increases AGI and STA of target by 1.8',100,0,0),
(334455,36404,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(334456,104575,'Inflicts 291 - 485 disease damage on target',100,1,0),
(334457,104575,'Decreases WIS of target by 101.0',100,1,1),
(334458,10104575,'Inflicts 378 - 631 disease damage on target',100,1,0),
(334459,10104575,'Decreases WIS of target by 101.0',100,1,1),
(334460,113627,'Interrupts target encounter',100,1,0),
(334461,113627,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 16.1',100,1,1),
(334462,10113627,'Interrupts target encounter',100,1,0),
(334463,10113627,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 16.1',100,1,1),
(334464,107433,'Summons a pet earthen avatar',100,1,0),
(334465,10107433,'Summons a pet earthen avatar',100,1,0),
(334466,110218,'Interrupts target',100,1,0),
(334467,110218,'Inflicts 127 - 211 crushing damage on target',100,1,1),
(334468,10110218,'Interrupts target',100,1,0),
(334469,10110218,'Inflicts 165 - 275 crushing damage on target',100,1,1),
(334470,117977,'Heals target for 1539 - 1881',100,1,0),
(334471,117977,'Increases Max Health of target by 195.2',100,1,1),
(334472,10117977,'Heals target for 3178 - 3884',100,1,0),
(334473,10117977,'Increases Max Health of target by 195.2',100,1,1),
(334474,120213,'Decreases STR and INT of target by 126.7',100,1,0),
(334475,120213,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(334476,120213,'Grants a total of 1 trigger of the spell.',100,2,2),
(334477,10120213,'Decreases STR and INT of target by 126.7',100,1,0),
(334478,10120213,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(334479,10120213,'Grants a total of 1 trigger of the spell.',100,2,2),
(334480,116322,'Stuns target',100,1,0),
(334481,116322,'If Target is not Epic',100,2,1),
(334482,116322,'Inflicts 467 - 571 magic damage on target',100,1,2),
(334483,116322,'Resistibility increases against targets higher than level 101.',100,1,3),
(334484,10116322,'Stuns target',100,1,0),
(334485,10116322,'If Target is not Epic',100,2,1),
(334486,10116322,'Inflicts 607 - 742 magic damage on target',100,1,2),
(334487,10116322,'Resistibility increases against targets higher than level 101.',100,1,3),
(334488,147144,'When Equipped:',100,0,0),
(334489,147144,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(334490,10147144,'When Equipped:',100,0,0),
(334491,10147144,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(334492,45515,'Applies Leash when Activated.',100,0,0),
(334493,10045515,'Applies Leash when Activated.',100,0,0),
(334494,74890,'When Equipped:',100,0,0),
(334495,74890,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334496,74890,'Inflicts 111 - 166 magic damage on target',100,2,2),
(334497,74890,'Cannot be modified except by direct means',100,2,3),
(334498,10074890,'When Equipped:',100,0,0),
(334499,10074890,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334500,10074890,'Inflicts 144 - 216 magic damage on target',100,2,2),
(334501,10074890,'Cannot be modified except by direct means',100,2,3),
(334502,35215,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(334503,35215,'Increases Max Power of target by 10.5',100,0,1),
(334504,124532,'Dispels 55 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(334505,10124532,'Dispels 55 levels of elemental, noxious and arcane hostile effects on caster',100,1,0),
(334506,70565,'When Equipped:',100,0,0),
(334507,70565,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334508,70565,'Inflicts 181 cold damage on target',100,2,2),
(334509,70565,'Cannot be modified except by direct means',100,2,3),
(334510,10070565,'When Equipped:',100,0,0),
(334511,10070565,'On a combat hit this spell may cast Velium Shards on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334512,10070565,'Inflicts 235 cold damage on target',100,2,2),
(334513,10070565,'Cannot be modified except by direct means',100,2,3),
(334514,122494,'Inflicts 359 - 598 mental damage on targets in Area of Effect',100,1,0),
(334515,10122494,'Inflicts 467 - 778 mental damage on targets in Area of Effect',100,1,0),
(334516,37165,'Increases INT and STA of target by 7.8',100,0,0),
(334517,37165,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,1),
(334518,110078,'Summons a pet grim sorcerer',100,1,0),
(334519,10110078,'Summons a pet grim sorcerer',100,1,0),
(334520,123390,'Inflicts 15 - 26 crushing damage on target',100,1,0),
(334521,123390,'Increases Threat to target by 156 ',100,1,1),
(334522,123390,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(334523,123390,'Blurs vision of target',100,2,3),
(334524,123390,'Stuns target',100,2,4),
(334525,123390,'Throws target back',100,2,5),
(334526,123390,'Does not affect Epic targets',100,2,6),
(334527,123390,'If Shield equipped in Secondary',100,1,7),
(334528,10123390,'Inflicts 20 - 34 crushing damage on target',100,1,0),
(334529,10123390,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(334530,10123390,'Blurs vision of target',100,2,2),
(334531,10123390,'Stuns target',100,2,3),
(334532,10123390,'Throws target back',100,2,4),
(334533,10123390,'Does not affect Epic targets',100,2,5),
(334534,10123390,'If Shield equipped in Secondary',100,1,6),
(334535,117394,'Increases Threat to target by 554 ',100,1,0),
(334536,117394,'Inflicts 66 - 199 melee damage on target',100,1,1),
(334537,10117394,'Forces target to change their selected target to caster.',100,1,0),
(334538,10117394,'Inflicts 57 - 173 melee damage on target',100,1,1),
(334539,111826,'Inflicts 130 - 217 melee damage on target',100,1,0),
(334540,111826,'Roots target',100,1,1),
(334541,111826,'If Target is not Epic',100,2,2),
(334542,111826,'Resistibility increases against targets higher than level 56.',100,1,3),
(334543,10111826,'Inflicts 152 - 254 melee damage on target',100,1,0),
(334544,10111826,'Roots target',100,1,1),
(334545,10111826,'If Target is not Epic',100,2,2),
(334546,10111826,'Resistibility increases against targets higher than level 56.',100,1,3),
(334547,106449,'Increases Multi Attack Chance of raid and group members (AE) by 5.6',100,1,0),
(334548,10106449,'Increases Multi Attack Chance of raid and group members (AE) by 5.6',100,1,0),
(334549,47545,'Applies Call of the Great Divide Dragon Ring when Activated.',100,0,0),
(334550,47545,'Teleports the user to the Great Divide Dragon Ring',100,1,1),
(334551,10047545,'Applies Call of the Great Divide Dragon Ring when Activated.',100,0,0),
(334552,10047545,'Teleports the user to the Great Divide Dragon Ring',100,1,1),
(334553,108584,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(334554,108584,'Increases INT of group members (AE) by 26.7',100,2,1),
(334555,108584,'Heals group members (AE) for 70 - 85 instantly and every 3 seconds',100,2,2),
(334556,108584,'Increases AGI, WIS and STR of group members (AE) by 26.7',100,2,3),
(334557,108584,'Increases STA of group members (AE) by 53.4',100,2,4),
(334558,108584,'Adds 1.0% to base avoidance.',100,2,5),
(334559,108584,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 69',100,2,6),
(334560,10108584,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(334561,10108584,'Increases INT of group members (AE) by 26.7',100,2,1),
(334562,10108584,'Heals group members (AE) for 45 - 55 instantly and every 3 seconds',100,2,2),
(334563,10108584,'Increases AGI, WIS and STR of group members (AE) by 26.7',100,2,3),
(334564,10108584,'Increases STA of group members (AE) by 53.4',100,2,4),
(334565,10108584,'Adds 1.0% to base avoidance.',100,2,5),
(334566,10108584,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 69',100,2,6),
(334567,101215,'Inflicts 246 - 411 cold damage on target',100,1,0),
(334568,101215,'Dazes target',100,1,1),
(334569,101215,'If Target is not Epic',100,2,2),
(334570,101215,'Resistibility increases against targets higher than level 73.',100,1,3),
(334571,10101215,'Inflicts 320 - 534 cold damage on target',100,1,0),
(334572,10101215,'Dazes target',100,1,1),
(334573,10101215,'If Target is not Epic',100,2,2),
(334574,10101215,'Resistibility increases against targets higher than level 73.',100,1,3),
(334575,75264,'When Equipped:',100,0,0),
(334576,75264,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(334577,75264,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(334578,75264,'Increases Attack Speed of caster by 6.0',100,2,3),
(334579,75264,'Increases Damage Per Second of caster by 9.0',100,2,4),
(334580,75264,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(334581,75264,'Must not be engaged in pvp combat',100,2,6),
(334582,75264,'Cannot be modified except by direct means',100,2,7),
(334583,75264,'Cannot be modified except by direct means',100,1,8),
(334584,10075264,'When Equipped:',100,0,0),
(334585,10075264,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(334586,10075264,'On any combat or spell hit this spell may cast Cyclical Battering IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(334587,10075264,'Increases Attack Speed of caster by 6.0',100,2,3),
(334588,10075264,'Increases Damage Per Second of caster by 9.0',100,2,4),
(334589,10075264,'Increases Multi Attack Chance of caster by 22.0',100,2,5),
(334590,10075264,'Must not be engaged in pvp combat',100,2,6),
(334591,10075264,'Cannot be modified except by direct means',100,2,7),
(334592,10075264,'Cannot be modified except by direct means',100,1,8),
(334593,87397,'When Equipped:',100,0,0),
(334594,87397,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334595,87397,'Inflicts 127 - 190 magic damage on target',100,2,2),
(334596,87397,'Cannot be modified except by direct means',100,2,3),
(334597,10087397,'When Equipped:',100,0,0),
(334598,10087397,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334599,10087397,'Inflicts 165 - 247 magic damage on target',100,2,2),
(334600,10087397,'Cannot be modified except by direct means',100,2,3),
(334601,80652,'When Equipped:',100,0,0),
(334602,80652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334603,80652,'Inflicts 56 - 103 magic damage on target',100,2,2),
(334604,80652,'Cannot be modified except by direct means',100,2,3),
(334605,10080652,'When Equipped:',100,0,0),
(334606,10080652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334607,10080652,'Inflicts 72 - 134 magic damage on target',100,2,2),
(334608,10080652,'Cannot be modified except by direct means',100,2,3),
(334609,116003,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(334610,116003,'Decreases threat priority of target by 1 position',100,2,1),
(334611,116003,'Decreases Hate Gain of target by 10.6%',100,1,2),
(334612,10116003,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(334613,10116003,'Forces target to clear their selected target.',100,2,1),
(334614,122767,'Heals group members (AE) for 979 - 1197',100,1,0),
(334615,122767,'Increases Max Health of group members (AE) by 186.0',100,1,1),
(334616,10122767,'Heals group members (AE) for 1146 - 1400',100,1,0),
(334617,10122767,'Increases Max Health of group members (AE) by 186.0',100,1,1),
(334618,113474,'Increases INT of target by 112.5',100,1,0),
(334619,113474,'Increases Max Health of target by 934.8',100,1,1),
(334620,10113474,'Increases INT of target by 112.5',100,1,0),
(334621,10113474,'Increases Max Health of target by 934.8',100,1,1),
(334622,109615,'Increases Defense of group members'' pets (AE) by 11.1',100,1,0),
(334623,109615,'Increases Mitigation of group members (AE) vs all damage by 178',100,1,1),
(334624,10109615,'Increases Defense of group members'' pets (AE) by 11.1',100,1,0),
(334625,10109615,'Increases Mitigation of group members (AE) vs all damage by 178',100,1,1),
(334626,139465,'When Equipped:',100,0,0),
(334627,139465,'Increases success chance by 1.4%',100,1,1),
(334628,10139465,'When Equipped:',100,0,0),
(334629,10139465,'Increases success chance by 1.4%',100,1,1),
(334630,114057,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(334631,114057,'Grants stealth to caster',100,2,1),
(334632,114057,'Suspends caster''s movement speed enhancements',100,2,2),
(334633,114057,'Inflicts 84 - 141 melee damage on target',100,1,3),
(334634,114057,'Must be flanking or behind',100,1,4),
(334635,10114057,'Applies Shroud on termination.  Lasts for 36.0 seconds.',100,1,0),
(334636,10114057,'Grants stealth to caster',100,2,1),
(334637,10114057,'Suspends caster''s movement speed enhancements',100,2,2),
(334638,10114057,'Inflicts 165 - 275 melee damage on target',100,1,3),
(334639,10114057,'Must be flanking or behind',100,1,4),
(334640,118491,'Summons a limited pet to aid the caster',100,1,0),
(334641,10118491,'Summons a limited pet to aid the caster',100,1,0),
(334642,48227,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(334643,48227,'Increases power of caster by 87 instantly and every 4 seconds',100,1,1),
(334644,48227,'Requires 715 Health to cast.',100,1,2),
(334645,10048227,'Applies Draw upon Heart when Activated.  Lasts for 20.0 seconds.',100,0,0),
(334646,10048227,'Increases power of caster by 87 instantly and every 4 seconds',100,1,1),
(334647,10048227,'Requires 715 Health to cast.',100,1,2),
(334648,83999,'Applies Lightning Shock when Activated.',100,0,0),
(334649,83999,'Inflicts 367 - 611 magic damage on target',100,1,1),
(334650,83999,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(334651,10083999,'Applies Lightning Shock when Activated.',100,0,0),
(334652,10083999,'Inflicts 477 - 795 magic damage on target',100,1,1),
(334653,10083999,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(334654,183532,'When Equipped:',100,0,0),
(334655,183532,'On a damage spell hit this spell may cast Arcane Stun V on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(334656,183532,'Stuns target',100,2,2),
(334657,183532,'Does not affect Epic targets',100,2,3),
(334658,183532,'Resistibility increases against targets higher than level 103.',100,2,4),
(334659,183532,'Cannot be modified except by direct means',100,2,5),
(334660,10183532,'When Equipped:',100,0,0),
(334661,10183532,'On a damage spell hit this spell may cast Arcane Stun V on target of spell.  Lasts for 3.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(334662,10183532,'Stuns target',100,2,2),
(334663,10183532,'Does not affect Epic targets',100,2,3),
(334664,10183532,'Resistibility increases against targets higher than level 103.',100,2,4),
(334665,10183532,'Cannot be modified except by direct means',100,2,5),
(334666,119717,'Increases Threat to target encounter by 1,024 - 1,252 ',100,1,0),
(334667,10119717,'Prevents target encounter from changing targets',100,1,0),
(334668,10119717,'Forces target encounter to change their selected target to caster.',100,1,1),
(334669,113423,'Reduces physical damage done to caster by 5%',100,1,0),
(334670,113423,'Increases STA of caster by 145.3',100,1,1),
(334671,113423,'Adds 5.0% to base avoidance.',100,1,2),
(334672,113423,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(334673,113423,'Increases Defense and Aggression of caster by 27.8',100,1,4),
(334674,113423,'Increases Mitigation of caster vs noxious damage by 1856',100,1,5),
(334675,113423,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(334676,10113423,'Reduces physical damage done to caster by 5%',100,1,0),
(334677,10113423,'Increases STA of caster by 145.3',100,1,1),
(334678,10113423,'Adds 5.0% to base avoidance.',100,1,2),
(334679,10113423,'Decreases Slashing, Piercing and Crushing of caster by 13.1',100,1,3),
(334680,10113423,'Increases Defense and Aggression of caster by 27.8',100,1,4),
(334681,10113423,'Increases Mitigation of caster vs noxious damage by 1856',100,1,5),
(334682,10113423,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(334683,115914,'Inflicts 70 - 85 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(334684,10115914,'Inflicts 118 - 144 disease damage on target encounter',100,1,0),
(334685,10115914,'Inflicts 91 - 111 disease damage on target encounter every 3 seconds',100,1,1),
(334686,87482,'When Equipped:',100,0,0),
(334687,87482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334688,87482,'Inflicts 127 - 190 magic damage on target',100,2,2),
(334689,87482,'Cannot be modified except by direct means',100,2,3),
(334690,10087482,'When Equipped:',100,0,0),
(334691,10087482,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334692,10087482,'Inflicts 165 - 247 magic damage on target',100,2,2),
(334693,10087482,'Cannot be modified except by direct means',100,2,3),
(334694,26625,'When Equipped:',100,0,0),
(334695,26625,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,1),
(334696,26625,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(334697,10026625,'When Equipped:',100,0,0),
(334698,10026625,'Decreases the recast time of Mend V by 45 seconds and adds an additional deflection chance and shield effectiveness to the recipient.',100,1,1),
(334699,10026625,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(334700,124043,'Increases power of caster by 36',100,1,0),
(334701,10124043,'Increases power of caster by 36',100,1,0),
(334702,46858,'Applies Illusion: Ratonga when Activated.  Lasts for 6 hours.',100,0,0),
(334703,46858,'Shapechanges caster into a ratonga',100,1,1),
(334704,10046858,'Applies Illusion: Ratonga when Activated.  Lasts for 6 hours.',100,0,0),
(334705,10046858,'Shapechanges caster into a ratonga',100,1,1),
(334706,111889,'Inflicts 378 - 703 heat damage on target',100,1,0),
(334707,111889,'Inflicts 142 - 264 heat damage on target every 2 seconds',100,1,1),
(334708,10111889,'Inflicts 492 - 914 heat damage on target',100,1,0),
(334709,10111889,'Inflicts 184 - 343 heat damage on target every 2 seconds',100,1,1),
(334710,48914,'Applies Stormreapers Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(334711,48914,'Increases Max Power of caster by 24.0',100,1,1),
(334712,10048914,'Applies Stormreapers Blessing  when Activated.  Lasts for 15 minutes.',100,0,0),
(334713,10048914,'Increases Max Power of caster by 24.0',100,1,1),
(334714,55117,'When Equipped:',100,0,0),
(334715,55117,'On a hostile spell cast this spell may cast Natural Spark on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(334716,55117,'Inflicts 77 heat damage on target',100,2,2),
(334717,55117,'Cannot be modified except by direct means',100,2,3),
(334718,10055117,'When Equipped:',100,0,0),
(334719,10055117,'On a hostile spell cast this spell may cast Natural Spark on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(334720,10055117,'Inflicts 100 heat damage on target',100,2,2),
(334721,10055117,'Cannot be modified except by direct means',100,2,3),
(334722,83926,'When Equipped:',100,0,0),
(334723,83926,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(334724,83926,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,2),
(334725,83926,'Heals target for 1777',100,3,3),
(334726,83926,'Must not be engaged in pvp combat',100,3,4),
(334727,83926,'Cannot be modified except by direct means',100,3,5),
(334728,83926,'Grants a total of 5 triggers of the spell.',100,3,6),
(334729,83926,'Must not be engaged in pvp combat',100,2,7),
(334730,83926,'Cannot be modified except by direct means',100,2,8),
(334731,83926,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(334732,83926,'Cannot be modified except by direct means',100,1,10),
(334733,10083926,'When Equipped:',100,0,0),
(334734,10083926,'On a critical healing spell cast this spell may cast Restorative Counter III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(334735,10083926,'When any damage is received this spell will cast Restorative Counter III on target.  ',100,2,2),
(334736,10083926,'Heals target for 2080',100,3,3),
(334737,10083926,'Must not be engaged in pvp combat',100,3,4),
(334738,10083926,'Cannot be modified except by direct means',100,3,5),
(334739,10083926,'Grants a total of 5 triggers of the spell.',100,3,6),
(334740,10083926,'Must not be engaged in pvp combat',100,2,7),
(334741,10083926,'Cannot be modified except by direct means',100,2,8),
(334742,10083926,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(334743,10083926,'Cannot be modified except by direct means',100,1,10),
(334744,112039,'Roots target',100,1,0),
(334745,112039,'Stifles target',100,1,1),
(334746,112039,'If Target is not Epic',100,2,2),
(334747,112039,'20% chance to dispel when target takes damage',100,1,3),
(334748,112039,'Does not affect Epic targets',100,1,4),
(334749,112039,'Resistibility increases against targets higher than level 96.',100,1,5),
(334750,10112039,'Roots target',100,1,0),
(334751,10112039,'Stifles target',100,1,1),
(334752,10112039,'If Target is not Epic',100,2,2),
(334753,10112039,'20% chance to dispel when target takes damage',100,1,3),
(334754,10112039,'Does not affect Epic targets',100,1,4),
(334755,10112039,'Resistibility increases against targets higher than level 96.',100,1,5),
(334756,101871,'Stuns target',100,1,0),
(334757,101871,'Does not affect Epic targets',100,1,1),
(334758,101871,'Resistibility increases against targets higher than level 106.',100,1,2),
(334759,10101871,'Stuns target',100,1,0),
(334760,10101871,'Does not affect Epic targets',100,1,1),
(334761,10101871,'Resistibility increases against targets higher than level 106.',100,1,2),
(334762,81382,'When Equipped:',100,0,0),
(334763,81382,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(334764,81382,'Inflicts 80 - 149 magic damage on target',100,2,2),
(334765,81382,'Decreases Threat to target by 352 ',100,2,3),
(334766,81382,'Must be flanking or behind',100,3,4),
(334767,81382,'Increases Threat to target by 352 ',100,2,5),
(334768,81382,'Must be in front of',100,3,6),
(334769,81382,'Cannot be modified except by direct means',100,2,7),
(334770,10081382,'When Equipped:',100,0,0),
(334771,10081382,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(334772,10081382,'Inflicts 104 - 193 magic damage on target',100,2,2),
(334773,10081382,'Cannot be modified except by direct means',100,2,3),
(334774,124053,'Increases power of caster by 108',100,1,0),
(334775,10124053,'Increases power of caster by 108',100,1,0),
(334776,123801,'Inflicts 26 - 43 magic damage on target',100,1,0),
(334777,123801,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(334778,123801,'Decreases Defense of target by 10.6',100,1,2),
(334779,123801,'Target will lose 20% more power when power is consumed',100,1,3),
(334780,123801,'20% of target''s power consumed will also be drained from target''s health',100,1,4),
(334781,10123801,'Inflicts 33 - 55 magic damage on target',100,1,0),
(334782,10123801,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(334783,10123801,'Decreases Defense of target by 10.6',100,1,2),
(334784,10123801,'Target will lose 20% more power when power is consumed',100,1,3),
(334785,10123801,'20% of target''s power consumed will also be drained from target''s health',100,1,4),
(334786,103442,'Blurs vision of target encounter',100,1,0),
(334787,103442,'2% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,1),
(334788,103442,'Throws target back',100,2,2),
(334789,103442,'Stuns target',100,2,3),
(334790,103442,'Blurs vision of target',100,2,4),
(334791,103442,'Does not affect Epic targets',100,2,5),
(334792,103442,'Interrupts target encounter',100,1,6),
(334793,10103442,'Interrupts target encounter',100,1,0),
(334794,10103442,'2% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(334795,10103442,'Throws target back',100,2,2),
(334796,10103442,'Stuns target',100,2,3),
(334797,10103442,'Blurs vision of target',100,2,4),
(334798,10103442,'Does not affect Epic targets',100,2,5),
(334799,10103442,'Blurs vision of target encounter',100,1,6),
(334800,118947,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(334801,118947,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2287',100,1,1),
(334802,118947,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,2),
(334803,10118947,'Increases Max Health of group members (AE) by 877.8',100,1,0),
(334804,10118947,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2287',100,1,1),
(334805,10118947,'Increases Mitigation of group members (AE) vs physical damage by 1447',100,1,2),
(334806,105306,'Increases AGI of caster by 216.8',100,1,0),
(334807,105306,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(334808,105306,'Inflicts 214 - 356 mental damage on target',100,2,2),
(334809,105306,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(334810,105306,'Inflicts 214 - 356 mental damage on target',100,2,4),
(334811,105306,'Adds 25.0% to base avoidance.',100,1,5),
(334812,105306,'Increases Mitigation of caster vs physical damage by 773',100,1,6),
(334813,105306,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,7),
(334814,10105306,'Increases AGI of caster by 216.8',100,1,0),
(334815,10105306,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,1),
(334816,10105306,'Inflicts 278 - 463 mental damage on target',100,2,2),
(334817,10105306,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',100,1,3),
(334818,10105306,'Inflicts 278 - 463 mental damage on target',100,2,4),
(334819,10105306,'Adds 25.0% to base avoidance.',100,1,5),
(334820,10105306,'Increases Mitigation of caster vs physical damage by 773',100,1,6),
(334821,10105306,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',100,1,7),
(334822,111340,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(334823,111340,'Inflicts 336 - 411 mental damage on target',100,2,1),
(334824,111340,'Grants a total of 3 triggers of the spell.',100,2,2),
(334825,10111340,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',100,1,0),
(334826,10111340,'Inflicts 437 - 534 mental damage on target',100,2,1),
(334827,10111340,'Grants a total of 3 triggers of the spell.',100,2,2),
(334828,116139,'Inflicts 115 - 192 divine damage on target',100,1,0),
(334829,116139,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(334830,116139,'Throws target back',100,2,2),
(334831,116139,'Stuns target',100,2,3),
(334832,116139,'Blurs vision of target',100,2,4),
(334833,116139,'Does not affect Epic targets',100,2,5),
(334834,10116139,'Inflicts 150 - 250 divine damage on target',100,1,0),
(334835,10116139,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(334836,10116139,'Throws target back',100,2,2),
(334837,10116139,'Stuns target',100,2,3),
(334838,10116139,'Blurs vision of target',100,2,4),
(334839,10116139,'Does not affect Epic targets',100,2,5),
(334840,35297,'Increases STR of target by 10.5',100,0,0),
(334841,35297,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(334842,108660,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(334843,108660,'Heals target for 1200',100,2,1),
(334844,108660,'Heals target for 300 every 2 seconds',100,2,2),
(334845,108660,'Increases AGI of target by 105.6',100,2,3),
(334846,108660,'Grants a total of 1 trigger of the spell.',100,2,4),
(334847,10108660,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(334848,10108660,'Heals target for 780',100,2,1),
(334849,10108660,'Heals target for 195 every 2 seconds',100,2,2),
(334850,10108660,'Increases AGI of target by 105.6',100,2,3),
(334851,10108660,'Grants a total of 1 trigger of the spell.',100,2,4),
(334852,123361,'Heals group members (AE) for 251 - 306',100,1,0),
(334853,10123361,'Heals group members (AE) for 305 - 372',100,1,0),
(334854,189052,'When Equipped:',100,0,0),
(334855,189052,'Increases Attack Speed of caster by 35.0',100,1,1),
(334856,10189052,'When Equipped:',100,0,0),
(334857,10189052,'Increases Attack Speed of caster by 35.0',100,1,1),
(334858,111927,'Inflicts 44 - 73 piercing damage on target instantly and every 4 seconds',100,1,0),
(334859,111927,'Inflicts 161 - 269 piercing damage on target',100,1,1),
(334860,10111927,'Inflicts 96 - 159 piercing damage on target instantly and every 4 seconds',100,1,0),
(334861,10111927,'Inflicts 286 - 477 piercing damage on target',100,1,1),
(334862,36459,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(334863,120475,'Inflicts 348 - 580 ranged damage on target',100,1,0),
(334864,120475,'Slows target by 58.1%',100,1,1),
(334865,120475,'10% chance to dispel when target receives hostile action',100,1,2),
(334866,120475,'Requires bow',100,1,3),
(334867,10120475,'Inflicts 239 - 399 ranged damage on target',100,1,0),
(334868,10120475,'Slows target by 58.1%',100,1,1),
(334869,10120475,'10% chance to dispel when target receives hostile action',100,1,2),
(334870,10120475,'Requires bow',100,1,3),
(334871,123792,'Inflicts 5 - 8 magic damage on target',100,1,0),
(334872,123792,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(334873,123792,'Decreases Defense of target by 2.2',100,1,2),
(334874,123792,'Target will lose 9% more power when power is consumed',100,1,3),
(334875,123792,'9% of target''s power consumed will also be drained from target''s health',100,1,4),
(334876,10123792,'Inflicts 6 - 10 magic damage on target',100,1,0),
(334877,10123792,'Decreases Ability Casting Speed of target by 20.0%',100,1,1),
(334878,10123792,'Decreases Defense of target by 2.2',100,1,2),
(334879,10123792,'Target will lose 9% more power when power is consumed',100,1,3),
(334880,10123792,'9% of target''s power consumed will also be drained from target''s health',100,1,4),
(334881,54441,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(334882,54441,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(334883,54441,'Inflicts 46 heat damage on target',100,2,2),
(334884,54441,'Cannot be modified except by direct means',100,2,3),
(334885,10054441,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(334886,10054441,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(334887,10054441,'Inflicts 60 heat damage on target',100,2,2),
(334888,10054441,'Cannot be modified except by direct means',100,2,3),
(334889,159549,'Applies Lambent Imbued when Equipped.',100,0,0),
(334890,159549,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(334891,159549,'Heals target for 45 instantly and every 4 seconds',100,2,2),
(334892,159549,'Cannot be modified except by direct means',100,2,3),
(334893,10159549,'Applies Lambent Imbued when Equipped.',100,0,0),
(334894,10159549,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(334895,10159549,'Heals target for 29 instantly and every 4 seconds',100,2,2),
(334896,10159549,'Cannot be modified except by direct means',100,2,3),
(334897,116968,'Increases Threat to target by 985 - 1,205 ',100,1,0),
(334898,116968,'Interrupts target',100,1,1),
(334899,10116968,'Forces target to change their selected target to caster.',100,1,0),
(334900,10116968,'Interrupts target',100,1,1),
(334901,10116968,'Prevents target from changing targets',100,1,2),
(334902,101970,'Inflicts 666 - 1237 heat damage on target',100,1,0),
(334903,10101970,'Inflicts 866 - 1608 heat damage on target',100,1,0),
(334904,47544,'Applies Call Plague Cloud when Activated.',100,0,0),
(334905,47544,'Summons a mount to ride',100,1,1),
(334906,47544,'Increases your ground speed by 130%',100,2,2),
(334907,47544,'Increases Subjugation, Ministration, Ordination, Focus and Disruption of caster by 5.0',100,1,3),
(334908,10047544,'Applies Call Plague Cloud when Activated.',100,0,0),
(334909,10047544,'Summons a mount to ride',100,1,1),
(334910,10047544,'Increases your ground speed by 130%',100,2,2),
(334911,10047544,'Increases Subjugation, Ministration, Ordination, Focus and Disruption of caster by 5.0',100,1,3),
(334912,166538,'When Equipped:',100,0,0),
(334913,166538,'On a critical combat hit this spell may cast Umbral Lightning VIII on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334914,166538,'Inflicts 1600 - 1955 magic damage on target',100,2,2),
(334915,166538,'Must not be engaged in pvp combat',100,2,3),
(334916,166538,'Cannot be modified except by direct means',100,2,4),
(334917,166538,'On a critical spell hit this spell may cast Umbral Lightning VIII on target of spell.  Triggers about 1.8 times per minute. ',100,1,5),
(334918,166538,'Inflicts 1600 - 1955 magic damage on target',100,2,6),
(334919,166538,'Must not be engaged in pvp combat',100,2,7),
(334920,166538,'Cannot be modified except by direct means',100,2,8),
(334921,166538,'Must not be engaged in pvp combat',100,1,9),
(334922,166538,'Cannot be modified except by direct means',100,1,10),
(334923,166538,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,11),
(334924,166538,'Increases Attack Speed of caster by 100.0',100,1,12),
(334925,166538,'Must not be engaged in pvp combat',100,1,13),
(334926,166538,'Cannot be modified except by direct means',100,1,14),
(334927,166538,'The reuse time of Blurred Strikes is 5 minutes',100,1,15),
(334928,10166538,'When Equipped:',100,0,0),
(334929,10166538,'On a critical combat hit this spell may cast Umbral Lightning VIII on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334930,10166538,'Inflicts 2080 - 2542 magic damage on target',100,2,2),
(334931,10166538,'Must not be engaged in pvp combat',100,2,3),
(334932,10166538,'Cannot be modified except by direct means',100,2,4),
(334933,10166538,'On a critical spell hit this spell may cast Umbral Lightning VIII on target of spell.  Triggers about 1.8 times per minute. ',100,1,5),
(334934,10166538,'Inflicts 2080 - 2542 magic damage on target',100,2,6),
(334935,10166538,'Must not be engaged in pvp combat',100,2,7),
(334936,10166538,'Cannot be modified except by direct means',100,2,8),
(334937,10166538,'Must not be engaged in pvp combat',100,1,9),
(334938,10166538,'Cannot be modified except by direct means',100,1,10),
(334939,10166538,'Applies Blurred Strikes when Activated.  Lasts for 15.0 seconds.',100,0,11),
(334940,10166538,'Increases Attack Speed of caster by 100.0',100,1,12),
(334941,10166538,'Must not be engaged in pvp combat',100,1,13),
(334942,10166538,'Cannot be modified except by direct means',100,1,14),
(334943,10166538,'The reuse time of Blurred Strikes is 5 minutes',100,1,15),
(334944,106176,'Wards target against 44 points of all damage',100,1,0),
(334945,106176,'Decreases INT of target by 81.5',100,1,1),
(334946,106176,'Decreases Attack Speed of target by 25.0',100,1,2),
(334947,106176,'Increases Max Health of target by 9.5%',100,1,3),
(334948,106176,'Increases Hate Gain of target by 21.6%',100,1,4),
(334949,106176,'Increases Aggression of target by 6.0',100,1,5),
(334950,106176,'On any combat or spell hit this spell will cast Shout on target of attack.  ',100,1,6),
(334951,106176,'Increases Threat to target encounter by 50 - 61 ',100,2,7),
(334952,106176,'Increases Mitigation of target vs elemental, noxious and arcane damage by 399',100,1,8),
(334953,10106176,'Wards target against 44 points of all damage',100,1,0),
(334954,10106176,'Decreases INT of target by 81.5',100,1,1),
(334955,10106176,'Decreases Attack Speed of target by 25.0',100,1,2),
(334956,10106176,'Increases Max Health of target by 9.5%',100,1,3),
(334957,10106176,'Increases Aggression of target by 6.0',100,1,4),
(334958,10106176,'Increases Mitigation of target vs elemental, noxious and arcane damage by 399',100,1,5),
(334959,146483,'When Equipped:',100,0,0),
(334960,146483,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(334961,146483,'Inflicts 1918 - 2877 magic damage on target',100,2,2),
(334962,146483,'Heals caster for 1277 - 1916',100,2,3),
(334963,146483,'Cannot be modified except by direct means',100,2,4),
(334964,146483,'Cannot be modified except by direct means',100,1,5),
(334965,10146483,'When Equipped:',100,0,0),
(334966,10146483,'On a critical combat hit this spell may cast Deathly Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(334967,10146483,'Inflicts 2494 - 3740 magic damage on target',100,2,2),
(334968,10146483,'Heals caster for 1495 - 2242',100,2,3),
(334969,10146483,'Cannot be modified except by direct means',100,2,4),
(334970,10146483,'Cannot be modified except by direct means',100,1,5),
(334971,117676,'Decreases Mitigation of target vs physical damage by 728',100,1,0),
(334972,10117676,'Decreases Mitigation of target vs physical damage by 364',100,1,0),
(334973,81610,'When Equipped:',100,0,0),
(334974,81610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334975,81610,'Inflicts 112 - 208 magic damage on target',100,2,2),
(334976,81610,'Cannot be modified except by direct means',100,2,3),
(334977,10081610,'When Equipped:',100,0,0),
(334978,10081610,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(334979,10081610,'Inflicts 146 - 271 magic damage on target',100,2,2),
(334980,10081610,'Cannot be modified except by direct means',100,2,3),
(334981,48199,'Applies Spirit of the Frog when Activated.  Lasts for 30 minutes.',100,0,0),
(334982,48199,'Increases Out-of-Combat Health Regeneration of caster by 8.0',100,1,1),
(334983,48199,'This effect suspends during combat',100,1,2),
(334984,48199,'Only affects targets level 1 and above',100,1,3),
(334985,10048199,'Applies Spirit of the Frog when Activated.  Lasts for 30 minutes.',100,0,0),
(334986,10048199,'Increases Out-of-Combat Health Regeneration of caster by 8.0',100,1,1),
(334987,10048199,'This effect suspends during combat',100,1,2),
(334988,10048199,'Only affects targets level 1 and above',100,1,3),
(334989,104269,'Increases Mitigation of group members (AE) vs physical damage by 1169',100,1,0),
(334990,10104269,'Increases Mitigation of group members (AE) vs physical damage by 1169',100,1,0),
(334991,158454,'When Equipped:',100,0,0),
(334992,158454,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(334993,158454,'Increases power of group members by 80 instantly and every 4 seconds',100,2,2),
(334994,158454,'Cannot be modified except by direct means',100,2,3),
(334995,10158454,'When Equipped:',100,0,0),
(334996,10158454,'On a spell cast this spell may cast Power Stream on the group.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(334997,10158454,'Increases power of group members by 80 instantly and every 4 seconds',100,2,2),
(334998,10158454,'Cannot be modified except by direct means',100,2,3),
(334999,123299,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(335000,123299,'Inflicts 147 - 245 disease damage on target',100,2,1),
(335001,123299,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(335002,123299,'This effect cannot be critically applied.',100,3,3),
(335003,123299,'The healing of this spell cannot be modified except by direct means',100,2,4),
(335004,10123299,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(335005,10123299,'Inflicts 191 - 319 disease damage on target',100,2,1),
(335006,10123299,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(335007,10123299,'This effect cannot be critically applied.',100,3,3),
(335008,10123299,'The healing of this spell cannot be modified except by direct means',100,2,4),
(335009,116430,'Inflicts 4 disease damage on target instantly and every 4 seconds',100,1,0),
(335010,116430,'Inflicts 4 disease damage on target instantly and every 4 seconds',100,1,1),
(335011,116430,'If target is nightblood',100,2,2),
(335012,116430,'Inflicts 4 disease damage on target instantly and every 4 seconds',100,1,3),
(335013,116430,'If target is shadowed folk',100,2,4),
(335014,10116430,'Inflicts 5 disease damage on target instantly and every 4 seconds',100,1,0),
(335015,119142,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(335016,119142,'Inflicts 257 - 314 slashing damage on target',100,2,1),
(335017,119142,'Increases Mitigation of caster vs physical damage by 685',100,1,2),
(335018,10119142,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(335019,10119142,'Inflicts 333 - 408 slashing damage on target',100,2,1),
(335020,10119142,'Increases Mitigation of caster vs physical damage by 685',100,1,2),
(335021,80027,'Applies Fire Ball when Activated.',100,0,0),
(335022,80027,'Inflicts 78 - 129 heat damage on target',100,1,1),
(335023,80027,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335024,10080027,'Applies Fire Ball when Activated.',100,0,0),
(335025,10080027,'Inflicts 101 - 168 heat damage on target',100,1,1),
(335026,10080027,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335027,108275,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(335028,108275,'Inflicts 175 heat damage on target',100,2,1),
(335029,108275,'Grants a total of 3 triggers of the spell.',100,2,2),
(335030,10108275,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(335031,10108275,'Inflicts 228 heat damage on target',100,2,1),
(335032,10108275,'Grants a total of 3 triggers of the spell.',100,2,2),
(335033,107500,'Inflicts 626 - 1879 magic damage on targets in Area of Effect',100,1,0),
(335034,107500,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(335035,107500,'Throws target back',100,2,2),
(335036,107500,'Stuns target',100,2,3),
(335037,107500,'Blurs vision of target',100,2,4),
(335038,107500,'Does not affect Epic targets',100,2,5),
(335039,10107500,'Inflicts 814 - 2443 magic damage on targets in Area of Effect',100,1,0),
(335040,10107500,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(335041,10107500,'Throws target back',100,2,2),
(335042,10107500,'Stuns target',100,2,3),
(335043,10107500,'Blurs vision of target',100,2,4),
(335044,10107500,'Does not affect Epic targets',100,2,5),
(335045,118756,'Increases INT and WIS of group members (AE) by 31.0',100,1,0),
(335046,118756,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 92',100,1,1),
(335047,10118756,'Increases INT and WIS of group members (AE) by 31.0',100,1,0),
(335048,10118756,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 92',100,1,1),
(335049,86315,'Applies Frost Blast when Activated.',100,0,0),
(335050,86315,'Inflicts 367 - 611 cold damage on target',100,1,1),
(335051,86315,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335052,10086315,'Applies Frost Blast when Activated.',100,0,0),
(335053,10086315,'Inflicts 477 - 795 cold damage on target',100,1,1),
(335054,10086315,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335055,161146,'When Equipped:',100,0,0),
(335056,161146,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(335057,10161146,'When Equipped:',100,0,0),
(335058,10161146,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(335059,106079,'Increases AGI of caster by 146.1',100,1,0),
(335060,106079,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(335061,106079,'Inflicts 214 - 356 disease damage on target',100,2,2),
(335062,106079,'Adds 17.2% to base avoidance.',100,1,3),
(335063,106079,'Increases Mitigation of caster vs physical damage by 685',100,1,4),
(335064,106079,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,5),
(335065,10106079,'Increases AGI of caster by 146.1',100,1,0),
(335066,10106079,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(335067,10106079,'Inflicts 278 - 463 disease damage on target',100,2,2),
(335068,10106079,'Adds 17.2% to base avoidance.',100,1,3),
(335069,10106079,'Increases Mitigation of caster vs physical damage by 685',100,1,4),
(335070,10106079,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,5),
(335071,100720,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(335072,100720,'Increases Mitigation of group members (AE) vs noxious damage by 770',100,1,1),
(335073,10100720,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(335074,10100720,'Increases Mitigation of group members (AE) vs noxious damage by 770',100,1,1),
(335075,188371,'When Equipped:',100,0,0),
(335076,188371,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(335077,10188371,'When Equipped:',100,0,0),
(335078,10188371,'Reduces cast time of beneficial spells by 3 percent.',100,1,1),
(335079,108790,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(335080,108790,'Inflicts 71 - 87 heat damage on target instantly and every 4 seconds',100,2,1),
(335081,108790,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(335082,108790,'Inflicts 315 - 385 heat damage on target encounter',100,3,3),
(335083,108790,'Grants a total of 1 trigger of the spell.',100,3,4),
(335084,10108790,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(335085,10108790,'Inflicts 92 - 113 heat damage on target instantly and every 4 seconds',100,2,1),
(335086,10108790,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(335087,10108790,'Inflicts 410 - 501 heat damage on target encounter',100,3,3),
(335088,10108790,'Grants a total of 1 trigger of the spell.',100,3,4),
(335089,123687,'Increases Damage Per Second of target by 58.8',100,1,0),
(335090,10123687,'Increases Damage Per Second of target by 58.8',100,1,0),
(335091,182307,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(335092,182307,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(335093,182307,'Cannot be modified except by direct means',100,1,2),
(335094,10182307,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(335095,10182307,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(335096,10182307,'Cannot be modified except by direct means',100,1,2),
(335097,24319,'Adds Drake (Coercer) to your Dungeon Maker toolbox',100,0,0),
(335098,10024319,'Adds Drake (Coercer) to your Dungeon Maker toolbox',100,0,0),
(335099,143618,'When Equipped:',100,0,0),
(335100,143618,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335101,143618,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(335102,143618,'Dispelled when target casts a hostile spell',100,2,3),
(335103,143618,'Dispelled when target casts a combat art',100,2,4),
(335104,143618,'Cannot be modified except by direct means',100,2,5),
(335105,10143618,'When Equipped:',100,0,0),
(335106,10143618,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335107,10143618,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(335108,10143618,'Dispelled when target casts a hostile spell',100,2,3),
(335109,10143618,'Dispelled when target casts a combat art',100,2,4),
(335110,10143618,'Cannot be modified except by direct means',100,2,5),
(335111,142796,'When Equipped:',100,0,0),
(335112,142796,'On a hostile spell hit this spell may cast Slip on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(335113,142796,'Decreases threat priority of target by 1 position',100,2,2),
(335114,142796,'Cannot be modified except by direct means',100,2,3),
(335115,142796,'When Equipped:',100,0,4),
(335116,142796,'On a combat hit this spell may cast Baffle on target of attack.  Triggers about 1.8 times per minute. ',100,1,5),
(335117,142796,'Decreases Threat to target by 389 - 649 ',100,2,6),
(335118,142796,'Cannot be modified except by direct means',100,2,7),
(335119,10142796,'When Equipped:',100,0,0),
(335120,10142796,'On a hostile spell hit this spell may cast Slip on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(335121,10142796,'Cannot be modified except by direct means',100,2,2),
(335122,10142796,'When Equipped:',100,0,3),
(335123,10142796,'On a combat hit this spell may cast Baffle on target of attack.  Triggers about 1.8 times per minute. ',100,1,4),
(335124,10142796,'Cannot be modified except by direct means',100,2,5),
(335125,115569,'Interrupts target encounter',100,1,0),
(335126,115569,'Decreases Threat to target encounter by 94 - 115 ',100,1,1),
(335127,115569,'Dazes target encounter',100,1,2),
(335128,115569,'If Target is not Epic',100,2,3),
(335129,115569,'Resistibility increases against targets higher than level 39.',100,1,4),
(335130,10115569,'Interrupts target encounter',100,1,0),
(335131,10115569,'Dazes target encounter',100,1,1),
(335132,10115569,'If Target is not Epic',100,2,2),
(335133,10115569,'Resistibility increases against targets higher than level 39.',100,1,3),
(335134,105673,'Decreases Damage Per Second of target by 22.8',100,1,0),
(335135,105673,'Inflicts 231 - 385 melee damage on target',100,1,1),
(335136,105673,'Must be flanking or behind',100,1,2),
(335137,10105673,'Decreases Damage Per Second of target by 22.8',100,1,0),
(335138,10105673,'Inflicts 300 - 500 melee damage on target',100,1,1),
(335139,10105673,'Must be flanking or behind',100,1,2),
(335140,87568,'Applies Poison Bolt when Activated.',100,0,0),
(335141,87568,'Inflicts 223 - 372 poison damage on target',100,1,1),
(335142,87568,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335143,10087568,'Applies Poison Bolt when Activated.',100,0,0),
(335144,10087568,'Inflicts 290 - 483 poison damage on target',100,1,1),
(335145,10087568,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335146,25461,'When Equipped:',100,0,0),
(335147,25461,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(335148,25461,'Adds a small damage reduction effect to On the March.',100,1,2),
(335149,10025461,'When Equipped:',100,0,0),
(335150,10025461,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(335151,10025461,'Adds a small damage reduction effect to On the March.',100,1,2),
(335152,47522,'Applies Petrified Half Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(335153,47522,'Shapechanges caster into a half elf',100,1,1),
(335154,10047522,'Applies Petrified Half Elf Eye when Activated.  Lasts for 6 hours.',100,0,0),
(335155,10047522,'Shapechanges caster into a half elf',100,1,1),
(335156,113882,'Increases power of target by 104',100,1,0),
(335157,10113882,'Increases power of target by 104',100,1,0),
(335158,116727,'Inflicts 301 - 502 melee damage on target',100,1,0),
(335159,10116727,'Inflicts 392 - 653 melee damage on target',100,1,0),
(335160,87140,'When Equipped:',100,0,0),
(335161,87140,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335162,87140,'Inflicts 155 - 232 magic damage on target',100,2,2),
(335163,87140,'Cannot be modified except by direct means',100,2,3),
(335164,10087140,'When Equipped:',100,0,0),
(335165,10087140,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335166,10087140,'Inflicts 201 - 302 magic damage on target',100,2,2),
(335167,10087140,'Cannot be modified except by direct means',100,2,3),
(335168,108777,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(335169,108777,'Inflicts 40 - 49 heat damage on target instantly and every 4 seconds',100,2,1),
(335170,108777,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(335171,108777,'Inflicts 178 - 218 heat damage on target encounter',100,3,3),
(335172,108777,'Grants a total of 1 trigger of the spell.',100,3,4),
(335173,10108777,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',100,1,0),
(335174,10108777,'Inflicts 52 - 64 heat damage on target instantly and every 4 seconds',100,2,1),
(335175,10108777,'On death this spell will cast Blooming Flames on caster.  ',100,2,2),
(335176,10108777,'Inflicts 232 - 283 heat damage on target encounter',100,3,3),
(335177,10108777,'Grants a total of 1 trigger of the spell.',100,3,4),
(335178,72068,'When Equipped:',100,0,0),
(335179,72068,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335180,72068,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(335181,72068,'Cannot be modified except by direct means',100,2,3),
(335182,10072068,'When Equipped:',100,0,0),
(335183,10072068,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335184,10072068,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(335185,10072068,'Cannot be modified except by direct means',100,2,3),
(335186,148409,'When Equipped:',100,0,0),
(335187,148409,'Increases Attack Speed of caster by 45.0',100,1,1),
(335188,10148409,'When Equipped:',100,0,0),
(335189,10148409,'Increases Attack Speed of caster by 45.0',100,1,1),
(335190,72030,'When Equipped:',100,0,0),
(335191,72030,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335192,72030,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(335193,72030,'Cannot be modified except by direct means',100,2,3),
(335194,10072030,'When Equipped:',100,0,0),
(335195,10072030,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335196,10072030,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(335197,10072030,'Cannot be modified except by direct means',100,2,3),
(335198,109072,'Decreases Mitigation of target vs physical damage by 315',100,1,0),
(335199,109072,'Inflicts 72 - 120 melee damage on target',100,1,1),
(335200,109072,'Inflicts 72 - 120 melee damage on target',100,1,2),
(335201,109072,'Inflicts 72 - 120 melee damage on target',100,1,3),
(335202,10109072,'Decreases Mitigation of target vs physical damage by 315',100,1,0),
(335203,10109072,'Inflicts 94 - 157 melee damage on target',100,1,1),
(335204,10109072,'Inflicts 94 - 157 melee damage on target',100,1,2),
(335205,10109072,'Inflicts 94 - 157 melee damage on target',100,1,3),
(335206,112955,'Inflicts 92 - 277 crushing damage on target',100,1,0),
(335207,10112955,'Inflicts 120 - 360 crushing damage on target',100,1,0),
(335208,36604,'Increases STR and AGI of target by 15.4',100,0,0),
(335209,36604,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(335210,79310,'Applies Mark of Pestilence when Equipped.',100,0,0),
(335211,10079310,'Applies Mark of Pestilence when Equipped.',100,0,0),
(335212,104163,'Increases Threat to target encounter by 182 - 222 ',100,1,0),
(335213,104163,'Interrupts target encounter',100,1,1),
(335214,10104163,'Forces target encounter to change their selected target to caster.',100,1,0),
(335215,10104163,'Interrupts target encounter',100,1,1),
(335216,10104163,'Prevents target encounter from changing targets',100,1,2),
(335217,192057,'When Equipped:',100,0,0),
(335218,192057,'On a healing spell cast this spell may cast Strength From Anger on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335219,192057,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,2),
(335220,192057,'Cannot be modified except by direct means',100,2,3),
(335221,192057,'Cannot be modified except by direct means',100,1,4),
(335222,10192057,'When Equipped:',100,0,0),
(335223,10192057,'On a healing spell cast this spell may cast Strength From Anger on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335224,10192057,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,2),
(335225,10192057,'Cannot be modified except by direct means',100,2,3),
(335226,10192057,'Cannot be modified except by direct means',100,1,4),
(335227,114555,'Heals target for 591 - 722',100,1,0),
(335228,10114555,'Heals target for 768 - 938',100,1,0),
(335229,120001,'Increases Threat to target by 1,126 - 1,377 ',100,1,0),
(335230,10120001,'Prevents target from changing targets',100,1,0),
(335231,10120001,'Forces target to change their selected target to caster.',100,1,1),
(335232,101115,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1305',100,1,0),
(335233,10101115,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1305',100,1,0),
(335234,100569,'Inflicts 15 - 25 melee damage on target',100,1,0),
(335235,100569,'You must be sneaking to use this ability.',100,1,1),
(335236,10100569,'Inflicts 19 - 33 melee damage on target',100,1,0),
(335237,10100569,'You must be sneaking to use this ability.',100,1,1),
(335238,106619,'Inflicts 300 - 367 disease damage on target',100,1,0),
(335239,106619,'Heals caster for 6.5 - 7.9% of max health',100,1,1),
(335240,106619,'This effect cannot be critically applied.',100,2,2),
(335241,106619,'The healing of this spell cannot be modified except by direct means',100,1,3),
(335242,10106619,'Inflicts 390 - 477 disease damage on target',100,1,0),
(335243,10106619,'Heals caster for 2.2 - 2.6% of max health',100,1,1),
(335244,10106619,'This effect cannot be critically applied.',100,2,2),
(335245,10106619,'The healing of this spell cannot be modified except by direct means',100,1,3),
(335246,114761,'Feigns Death with 58% chance of success',100,1,0),
(335247,10114761,'Feigns Death with 58% chance of success',100,1,0),
(335248,75621,'Applies Holy Strike when Activated.',100,0,0),
(335249,75621,'Inflicts 303 - 504 divine damage on target',100,1,1),
(335250,75621,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335251,10075621,'Applies Holy Strike when Activated.',100,0,0),
(335252,10075621,'Inflicts 394 - 656 divine damage on target',100,1,1),
(335253,10075621,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335254,115994,'Stuns target',100,1,0),
(335255,115994,'Inflicts 552 - 828 mental damage on target',100,1,1),
(335256,115994,'Epic targets gain an immunity to Stun effects of 25.5 seconds and duration is reduced to 2.8 seconds.',100,1,2),
(335257,115994,'Resistibility increases against targets higher than level 108.',100,1,3),
(335258,10115994,'Stuns target',100,1,0),
(335259,10115994,'Inflicts 717 - 1076 mental damage on target',100,1,1),
(335260,10115994,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(335261,10115994,'Resistibility increases against targets higher than level 108.',100,1,3),
(335262,122719,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(335263,122719,'Increases Deflection of caster by 5.3',100,1,1),
(335264,10122719,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(335265,10122719,'Increases Deflection of caster by 5.3',100,1,1),
(335266,115373,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(335267,115373,'Increases Parry of caster by 6.9',100,1,1),
(335268,10115373,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(335269,10115373,'Increases Parry of caster by 6.9',100,1,1),
(335270,24097,'Adds Chardok: Small Runed Artifact to your Dungeon Maker toolbox',100,0,0),
(335271,10024097,'Adds Chardok: Small Runed Artifact to your Dungeon Maker toolbox',100,0,0),
(335272,104481,'Decreases Mitigation of target encounter vs physical damage by 418',100,1,0),
(335273,10104481,'Decreases Mitigation of target encounter vs physical damage by 418',100,1,0),
(335274,71314,'When Equipped:',100,0,0),
(335275,71314,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335276,71314,'Increases Max Health of group members by 8.0%',100,2,2),
(335277,71314,'Increases Crit Bonus of group members by 10.0%',100,2,3),
(335278,71314,'Increases Potency of group members by 10.0%',100,2,4),
(335279,71314,'Inflicts 6660 heat damage on target instantly and every 4 seconds',100,2,5),
(335280,71314,'Inflicts an additional 3996 heat damage on target every tick',100,2,6),
(335281,71314,'Must not be engaged in pvp combat',100,2,7),
(335282,71314,'Cannot be modified except by direct means',100,2,8),
(335283,71314,'Must not be engaged in pvp combat',100,1,9),
(335284,71314,'Cannot be modified except by direct means',100,1,10),
(335285,10071314,'When Equipped:',100,0,0),
(335286,10071314,'On any combat or spell hit this spell may cast Tyranny of the Devout on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335287,10071314,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(335288,10071314,'Increases Potency of caster by 4.0%',100,2,3),
(335289,10071314,'Inflicts 866 heat damage on target',100,2,4),
(335290,10071314,'Inflicts 866 poison damage on target',100,2,5),
(335291,10071314,'Must not be engaged in pvp combat',100,2,6),
(335292,10071314,'Cannot be modified except by direct means',100,2,7),
(335293,10071314,'Must not be engaged in pvp combat',100,1,8),
(335294,10071314,'Cannot be modified except by direct means',100,1,9),
(335295,106329,'Decreases INT and STR of target by 73.9',100,1,0),
(335296,10106329,'Decreases INT and STR of target by 73.9',100,1,0),
(335297,106130,'Inflicts 523 - 871 melee damage on target',100,1,0),
(335298,106130,'Decreases Defense, Parry and Deflection of target by 54.6',100,1,1),
(335299,10106130,'Inflicts 680 - 1133 melee damage on target',100,1,0),
(335300,10106130,'Decreases Defense, Parry and Deflection of target by 54.6',100,1,1),
(335301,118553,'Dazes caster',100,1,0),
(335302,118553,'Roots caster',100,1,1),
(335303,118553,'Increases Mitigation of caster vs physical damage by 960',100,1,2),
(335304,10118553,'Dazes caster',100,1,0),
(335305,10118553,'Roots caster',100,1,1),
(335306,10118553,'Increases Mitigation of caster vs physical damage by 960',100,1,2),
(335307,101923,'Inflicts 154 - 257 melee damage on target',100,1,0),
(335308,101923,'Inflicts 52 piercing damage on target instantly and every 4 seconds',100,1,1),
(335309,101923,'Must be behind',100,1,2),
(335310,10101923,'Inflicts 200 - 334 melee damage on target',100,1,0),
(335311,10101923,'Inflicts 67 piercing damage on target instantly and every 4 seconds',100,1,1),
(335312,10101923,'Must be behind',100,1,2),
(335313,47286,'Applies Murky Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(335314,47286,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(335315,47286,'Only affects targets level 50 and above',100,1,2),
(335316,10047286,'Applies Murky Resurgence of Power when Activated.  Lasts for 30.0 seconds.',100,0,0),
(335317,10047286,'Increases power of caster by 16 instantly and every 5 seconds',100,1,1),
(335318,10047286,'Only affects targets level 50 and above',100,1,2),
(335319,123300,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(335320,123300,'Inflicts 214 - 357 disease damage on target',100,2,1),
(335321,123300,'Heals caster for 1.2 - 2.0% of max health',100,2,2),
(335322,123300,'This effect cannot be critically applied.',100,3,3),
(335323,123300,'The healing of this spell cannot be modified except by direct means',100,2,4),
(335324,10123300,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(335325,10123300,'Inflicts 279 - 464 disease damage on target',100,2,1),
(335326,10123300,'Heals caster for 0.4 - 0.7% of max health',100,2,2),
(335327,10123300,'This effect cannot be critically applied.',100,3,3),
(335328,10123300,'The healing of this spell cannot be modified except by direct means',100,2,4),
(335329,124375,'Inflicts 224 - 274 divine damage on target',100,1,0),
(335330,124375,'Inflicts 93 - 114 divine damage on target every 4 seconds',100,1,1),
(335331,10124375,'Inflicts 291 - 356 divine damage on target',100,1,0),
(335332,10124375,'Inflicts 121 - 148 divine damage on target every 4 seconds',100,1,1),
(335333,176308,'When Equipped:',100,0,0),
(335334,176308,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(335335,176308,'When Equipped:',100,0,2),
(335336,176308,'Reduces reuse time of Subjugation-based spells by 5 percent.',100,1,3),
(335337,10176308,'When Equipped:',100,0,0),
(335338,10176308,'Reduces cast time of Subjugation-based spells by 5 percent.',100,1,1),
(335339,10176308,'When Equipped:',100,0,2),
(335340,10176308,'Reduces reuse time of Subjugation-based spells by 5 percent.',100,1,3),
(335341,107748,'Stuns target',100,1,0),
(335342,107748,'If Target is not Epic',100,2,1),
(335343,107748,'Inflicts 300 - 499 cold damage on target',100,1,2),
(335344,107748,'Resistibility increases against targets higher than level 59.',100,1,3),
(335345,10107748,'Stuns target',100,1,0),
(335346,10107748,'If Target is not Epic',100,2,1),
(335347,10107748,'Inflicts 390 - 649 cold damage on target',100,1,2),
(335348,10107748,'Resistibility increases against targets higher than level 59.',100,1,3),
(335349,175236,'Applies Amazing Presence when Activated.  Lasts for 15.0 seconds.',100,0,0),
(335350,175236,'On a healing spell cast this spell will cast Amazing Presence on target of spell cast.  ',100,1,1),
(335351,175236,'Dispels 93 levels of any hostile effects on target',100,2,2),
(335352,175236,'Cannot be modified except by direct means',100,2,3),
(335353,175236,'Must not be engaged in pvp combat',100,1,4),
(335354,175236,'The reuse time of Amazing Presence is 5 minutes',100,1,5),
(335355,10175236,'Applies Amazing Presence when Activated.  Lasts for 15.0 seconds.',100,0,0),
(335356,10175236,'On a healing spell cast this spell will cast Amazing Presence on target of spell cast.  ',100,1,1),
(335357,10175236,'Dispels 93 levels of any hostile effects on target',100,2,2),
(335358,10175236,'Cannot be modified except by direct means',100,2,3),
(335359,10175236,'Must not be engaged in pvp combat',100,1,4),
(335360,10175236,'The reuse time of Amazing Presence is 5 minutes',100,1,5),
(335361,87542,'Applies Lightning Shock when Activated.',100,0,0),
(335362,87542,'Inflicts 223 - 372 magic damage on target',100,1,1),
(335363,87542,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335364,10087542,'Applies Lightning Shock when Activated.',100,0,0),
(335365,10087542,'Inflicts 290 - 483 magic damage on target',100,1,1),
(335366,10087542,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335367,112682,'Increases Parry of group members (AE) by 29.0',100,1,0),
(335368,10112682,'Increases Parry of group members (AE) by 29.0',100,1,0),
(335369,107121,'Inflicts 55 - 67 divine damage on target',100,1,0),
(335370,107121,'Inflicts 55 - 67 divine damage on target',100,1,1),
(335371,107121,'If target is undead',100,2,2),
(335372,10107121,'Inflicts 71 - 87 divine damage on target',100,1,0),
(335373,10107121,'Inflicts 71 - 87 divine damage on target',100,1,1),
(335374,107038,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(335375,107038,'Inflicts 56 - 94 divine damage on target',100,2,1),
(335376,107038,'Inflicts 56 - 94 divine damage on target',100,2,2),
(335377,107038,'If target is undead',100,3,3),
(335378,10107038,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(335379,10107038,'Inflicts 122 - 203 divine damage on target',100,2,1),
(335380,122383,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(335381,122383,'Inflicts 2 piercing damage on target encounter',100,2,1),
(335382,10122383,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',100,1,0),
(335383,10122383,'Inflicts 2 - 3 piercing damage on target encounter',100,2,1),
(335384,24743,'Adds Vampire-Greater (Guardian) to your Dungeon Maker toolbox',100,0,0),
(335385,10024743,'Adds Vampire-Greater (Guardian) to your Dungeon Maker toolbox',100,0,0),
(335386,48906,'Applies Starpyre''s Invigoration  when Activated.',100,0,0),
(335387,48906,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(335388,10048906,'Applies Starpyre''s Invigoration  when Activated.',100,0,0),
(335389,10048906,'Dispels 48 levels of noxious hostile effects on caster',100,1,1),
(335390,81860,'When Equipped:',100,0,0),
(335391,81860,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335392,81860,'Decreases Threat to target by 487 ',100,2,2),
(335393,81860,'Must be flanking or behind',100,3,3),
(335394,81860,'Increases Threat to target by 487 ',100,2,4),
(335395,81860,'Must be in front of',100,3,5),
(335396,81860,'Inflicts 108 - 200 magic damage on target',100,2,6),
(335397,81860,'Cannot be modified except by direct means',100,2,7),
(335398,10081860,'When Equipped:',100,0,0),
(335399,10081860,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335400,10081860,'Inflicts 140 - 260 magic damage on target',100,2,2),
(335401,10081860,'Cannot be modified except by direct means',100,2,3),
(335402,111260,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(335403,111260,'Heals target for 790',100,2,1),
(335404,111260,'Increases Mitigation of target vs physical damage by 523',100,2,2),
(335405,111260,'Grants a total of 1 trigger of the spell.',100,2,3),
(335406,10111260,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(335407,10111260,'Heals target for 513',100,2,1),
(335408,10111260,'Increases Mitigation of target vs physical damage by 523',100,2,2),
(335409,10111260,'Grants a total of 1 trigger of the spell.',100,2,3),
(335410,103526,'Charms target',100,1,0),
(335411,103526,'If outside an arena',100,1,1),
(335412,103526,'Certain enemies cannot be charmed',100,1,2),
(335413,103526,'Does not affect Epic targets',100,1,3),
(335414,10103526,'Mesmerizes target',100,1,0),
(335415,10103526,'Prevents AOE (except when direct) ',100,1,1),
(335416,10103526,'Dispelled when target takes damage',100,1,2),
(335417,10103526,'If outside an arena',100,1,3),
(335418,10103526,'Certain enemies cannot be charmed',100,1,4),
(335419,10103526,'Does not affect Epic targets',100,1,5),
(335420,10103526,'Resistibility increases against targets higher than level 103.',100,1,6),
(335421,124403,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(335422,124403,'Inflicts 77 - 128 melee damage on target',100,2,1),
(335423,124403,'Grants a total of 3 triggers of the spell.',100,2,2),
(335424,10124403,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(335425,10124403,'Inflicts 100 - 167 melee damage on target',100,2,1),
(335426,10124403,'Grants a total of 3 triggers of the spell.',100,2,2),
(335427,104017,'Stifles target',100,1,0),
(335428,104017,'If Target is not Epic',100,2,1),
(335429,104017,'Interrupts target',100,1,2),
(335430,104017,'Decreases Threat to target by 466 - 569 ',100,1,3),
(335431,104017,'Resistibility increases against targets higher than level 67.',100,1,4),
(335432,10104017,'Stifles target',100,1,0),
(335433,10104017,'If Target is not Epic',100,2,1),
(335434,10104017,'Interrupts target',100,1,2),
(335435,10104017,'Resistibility increases against targets higher than level 67.',100,1,3),
(335436,71745,'When Equipped:',100,0,0),
(335437,71745,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335438,71745,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(335439,71745,'Cannot be modified except by direct means',100,2,3),
(335440,10071745,'When Equipped:',100,0,0),
(335441,10071745,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335442,10071745,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(335443,10071745,'Cannot be modified except by direct means',100,2,3),
(335444,48159,'Applies Throw the Spheres when Activated.',100,0,0),
(335445,48159,'This effect cannot be cast during combat',100,1,1),
(335446,10048159,'Applies Throw the Spheres when Activated.',100,0,0),
(335447,10048159,'This effect cannot be cast during combat',100,1,1),
(335448,50567,'When Equipped:',100,0,0),
(335449,50567,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335450,50567,'Decreases Mitigation of target vs arcane damage by 410',100,2,2),
(335451,50567,'Must be classified as an undead',100,3,3),
(335452,50567,'Inflicts 562 mental damage on target',100,2,4),
(335453,50567,'Must be classified as an undead',100,3,5),
(335454,50567,'Inflicts 281 mental damage on target',100,2,6),
(335455,50567,'Must not be classified as an undead',100,3,7),
(335456,50567,'Cannot be modified except by direct means',100,2,8),
(335457,50567,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(335458,10050567,'When Equipped:',100,0,0),
(335459,10050567,'On any combat or spell hit this spell may cast Undead Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335460,10050567,'Decreases Mitigation of target vs arcane damage by 410',100,2,2),
(335461,10050567,'Must be classified as an undead',100,3,3),
(335462,10050567,'Inflicts 731 mental damage on target',100,2,4),
(335463,10050567,'Must be classified as an undead',100,3,5),
(335464,10050567,'Inflicts 365 mental damage on target',100,2,6),
(335465,10050567,'Must not be classified as an undead',100,3,7),
(335466,10050567,'Cannot be modified except by direct means',100,2,8),
(335467,10050567,'Additional equipment with Undead Bane improves this effect.',100,1,9),
(335468,114106,'Inflicts 508 - 847 melee damage on targets in area',100,1,0),
(335469,114106,'You must be in stealth to use this!',100,1,1),
(335470,10114106,'Inflicts 660 - 1101 melee damage on targets in area',100,1,0),
(335471,10114106,'You must be in stealth to use this!',100,1,1),
(335472,103590,'Increases Mitigation of caster vs physical damage by 605',100,1,0),
(335473,10103590,'Increases Mitigation of caster vs physical damage by 605',100,1,0),
(335474,147201,'When Equipped:',100,0,0),
(335475,147201,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(335476,147201,'Inflicts 2648 heat damage on target',100,2,2),
(335477,147201,'Cannot be modified except by direct means',100,2,3),
(335478,10147201,'When Equipped:',100,0,0),
(335479,10147201,'On any combat or spell hit this spell may cast Wildfire on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(335480,10147201,'Inflicts 1721 heat damage on target',100,2,2),
(335481,10147201,'Cannot be modified except by direct means',100,2,3),
(335482,138087,'When Equipped:',100,0,0),
(335483,138087,'Increases Attack Speed of caster by 35.0',100,1,1),
(335484,10138087,'When Equipped:',100,0,0),
(335485,10138087,'Increases Attack Speed of caster by 35.0',100,1,1),
(335486,104308,'Inflicts 254 - 424 melee damage on target',100,1,0),
(335487,104308,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(335488,104308,'Throws target back',100,2,2),
(335489,104308,'Stuns target',100,2,3),
(335490,104308,'Blurs vision of target',100,2,4),
(335491,104308,'Does not affect Epic targets',100,2,5),
(335492,10104308,'Inflicts 330 - 551 melee damage on target',100,1,0),
(335493,10104308,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(335494,10104308,'Throws target back',100,2,2),
(335495,10104308,'Stuns target',100,2,3),
(335496,10104308,'Blurs vision of target',100,2,4),
(335497,10104308,'Does not affect Epic targets',100,2,5),
(335498,122994,'Wards group members (AE) collectively against 834 total points of all damage',100,1,0),
(335499,10122994,'Wards group members (AE) collectively against 1243 total points of all damage',100,1,0),
(335500,74759,'When Equipped:',100,0,0),
(335501,74759,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335502,74759,'Inflicts 64 - 96 magic damage on target',100,2,2),
(335503,74759,'Cannot be modified except by direct means',100,2,3),
(335504,10074759,'When Equipped:',100,0,0),
(335505,10074759,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335506,10074759,'Inflicts 83 - 125 magic damage on target',100,2,2),
(335507,10074759,'Cannot be modified except by direct means',100,2,3),
(335508,27474,'When Equipped:',100,0,0),
(335509,27474,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,1),
(335510,27474,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(335511,10027474,'When Equipped:',100,0,0),
(335512,10027474,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,1),
(335513,10027474,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(335514,54174,'When Equipped:',100,0,0),
(335515,54174,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(335516,54174,'Increases power of caster by 87',100,2,2),
(335517,54174,'Cannot be modified except by direct means',100,2,3),
(335518,10054174,'When Equipped:',100,0,0),
(335519,10054174,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 0.8 times per minute. ',100,1,1),
(335520,10054174,'Increases power of caster by 87',100,2,2),
(335521,10054174,'Cannot be modified except by direct means',100,2,3),
(335522,100165,'Inflicts 432 - 803 disease damage on target encounter',100,1,0),
(335523,10100165,'Inflicts 562 - 1044 disease damage on target encounter',100,1,0),
(335524,110640,'Inflicts 818 - 1364 ranged damage on target',100,1,0),
(335525,110640,'If weapon equipped in Ranged',100,1,1),
(335526,110640,'Must be flanking or behind',100,1,2),
(335527,10110640,'Inflicts 448 - 747 ranged damage on target',100,1,0),
(335528,10110640,'If weapon equipped in Ranged',100,1,1),
(335529,10110640,'Must be flanking or behind',100,1,2),
(335530,110607,'Decreases Focus of target by 32.4',100,1,0),
(335531,110607,'Interrupts target',100,1,1),
(335532,110607,'Inflicts 126 - 380 crushing damage on target',100,1,2),
(335533,10110607,'Decreases Focus of target by 32.4',100,1,0),
(335534,10110607,'Interrupts target',100,1,1),
(335535,10110607,'Inflicts 165 - 495 crushing damage on target',100,1,2),
(335536,75651,'Applies Holy Strike when Activated.',100,0,0),
(335537,75651,'Inflicts 223 - 372 divine damage on target',100,1,1),
(335538,75651,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335539,10075651,'Applies Holy Strike when Activated.',100,0,0),
(335540,10075651,'Inflicts 290 - 483 divine damage on target',100,1,1),
(335541,10075651,'The casting time of Holy Strike is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(335542,120336,'Increases Threat to target by 1,126 - 1,377 ',100,1,0),
(335543,10120336,'Forces target to change their selected target to caster.',100,1,0),
(335544,10120336,'Prevents target from changing targets',100,1,1),
(335545,112577,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(335546,112577,'Dispels 52 levels of physical hostile effects on target',100,2,1),
(335547,112577,'Heals targets in Area of Effect for 98 - 120',100,2,2),
(335548,10112577,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(335549,10112577,'Dispels 52 levels of physical hostile effects on target',100,2,1),
(335550,10112577,'Heals targets in Area of Effect for 64 - 78',100,2,2),
(335551,137000,'When Equipped:',100,0,0),
(335552,137000,'Wards caster against 506 points of noxious damage',100,1,1),
(335553,137000,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(335554,137000,'Inflicts 253 disease damage on target',100,2,3),
(335555,137000,'Inflicts 253 poison damage on target',100,2,4),
(335556,137000,'Cannot be modified except by direct means',100,2,5),
(335557,10137000,'When Equipped:',100,0,0),
(335558,10137000,'Wards caster against 506 points of noxious damage',100,1,1),
(335559,10137000,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(335560,10137000,'Inflicts 329 disease damage on target',100,2,3),
(335561,10137000,'Inflicts 329 poison damage on target',100,2,4),
(335562,10137000,'Cannot be modified except by direct means',100,2,5),
(335563,111566,'Inflicts 2884 - 5357 cold damage on target',100,1,0),
(335564,111566,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(335565,111566,'Blurs vision of target',100,2,2),
(335566,111566,'Throws target back',100,2,3),
(335567,111566,'Stuns target',100,2,4),
(335568,111566,'Does not affect Epic targets',100,2,5),
(335569,10111566,'Inflicts 2711 - 5035 cold damage on target',100,1,0),
(335570,10111566,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(335571,10111566,'Throws target back',100,2,2),
(335572,10111566,'Stuns target',100,2,3),
(335573,10111566,'Blurs vision of target',100,2,4),
(335574,10111566,'Does not affect Epic targets',100,2,5),
(335575,36088,'Increases INT and WIS of target by 9.4',100,0,0),
(335576,36088,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(335577,119568,'Wards group members (AE) against 3043 points of arcane damage',100,1,0),
(335578,119568,'Increases Mitigation of group members (AE) vs arcane damage by 1602',100,1,1),
(335579,10119568,'Wards group members (AE) against 3043 points of arcane damage',100,1,0),
(335580,10119568,'Increases Mitigation of group members (AE) vs arcane damage by 1602',100,1,1),
(335581,107855,'Decreases Mitigation of target vs elemental damage by 888',100,1,0),
(335582,107855,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(335583,107855,'Slows target by 44.9%',100,2,2),
(335584,107855,'5% chance to dispel when target receives hostile action',100,2,3),
(335585,107855,'5% chance to dispel when target takes damage',100,2,4),
(335586,10107855,'Decreases Mitigation of target vs elemental damage by 888',100,1,0),
(335587,10107855,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(335588,10107855,'Slows target by 44.9%',100,2,2),
(335589,10107855,'5% chance to dispel when target receives hostile action',100,2,3),
(335590,10107855,'5% chance to dispel when target takes damage',100,2,4),
(335591,107556,'Summons a pet an Eerie Essence',100,1,0),
(335592,10107556,'Summons a pet an Eerie Essence',100,1,0),
(335593,120161,'Applies Life Draw on termination.',100,1,0),
(335594,120161,'Inflicts 52 - 87 disease damage on target',100,2,1),
(335595,120161,'Heals caster for 39 - 65',100,2,2),
(335596,120161,'This effect cannot be critically applied.',100,3,3),
(335597,120161,'The healing of this spell cannot be modified except by direct means',100,2,4),
(335598,120161,'Inflicts 15 - 25 disease damage on target',100,1,5),
(335599,10120161,'Applies Life Draw on termination.',100,1,0),
(335600,10120161,'Inflicts 68 - 113 disease damage on target',100,2,1),
(335601,10120161,'Heals caster for 12 - 20',100,2,2),
(335602,10120161,'This effect cannot be critically applied.',100,3,3),
(335603,10120161,'The healing of this spell cannot be modified except by direct means',100,2,4),
(335604,10120161,'Inflicts 19 - 32 disease damage on target',100,1,5),
(335605,105320,'Inflicts 20 - 33 melee damage on target',100,1,0),
(335606,105320,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 64',100,1,1),
(335607,105320,'Must be flanking or behind',100,1,2),
(335608,10105320,'Inflicts 26 - 43 melee damage on target',100,1,0),
(335609,10105320,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 64',100,1,1),
(335610,10105320,'Must be flanking or behind',100,1,2),
(335611,42790,'When Equipped:',100,0,0),
(335612,42790,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335613,42790,'Decreases Threat to target by 500 ',100,2,2),
(335614,42790,'Cannot be modified except by direct means',100,2,3),
(335615,10042790,'When Equipped:',100,0,0),
(335616,10042790,'On a ranged hit this spell may cast Mirage on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335617,10042790,'Cannot be modified except by direct means',100,2,2),
(335618,81458,'When Equipped:',100,0,0),
(335619,81458,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335620,81458,'Decreases Threat to target by 352 ',100,2,2),
(335621,81458,'Must be flanking or behind',100,3,3),
(335622,81458,'Increases Threat to target by 352 ',100,2,4),
(335623,81458,'Must be in front of',100,3,5),
(335624,81458,'Inflicts 80 - 149 magic damage on target',100,2,6),
(335625,81458,'Cannot be modified except by direct means',100,2,7),
(335626,10081458,'When Equipped:',100,0,0),
(335627,10081458,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335628,10081458,'Inflicts 104 - 193 magic damage on target',100,2,2),
(335629,10081458,'Cannot be modified except by direct means',100,2,3),
(335630,117013,'Inflicts 121 - 363 melee damage on target',100,1,0),
(335631,10117013,'Inflicts 157 - 472 melee damage on target',100,1,0),
(335632,80201,'When Equipped:',100,0,0),
(335633,80201,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335634,80201,'Inflicts 169 - 314 magic damage on target',100,2,2),
(335635,80201,'Cannot be modified except by direct means',100,2,3),
(335636,10080201,'When Equipped:',100,0,0),
(335637,10080201,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335638,10080201,'Inflicts 220 - 408 magic damage on target',100,2,2),
(335639,10080201,'Cannot be modified except by direct means',100,2,3),
(335640,101808,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(335641,101808,'Decreases Threat to target by 1,095 ',100,2,1),
(335642,10101808,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(335643,10101808,'Inflicts 64 - 71 crushing damage on target',100,2,1),
(335644,143563,'When Equipped:',100,0,0),
(335645,143563,'Increases Attack Speed of caster by 40.0',100,1,1),
(335646,10143563,'When Equipped:',100,0,0),
(335647,10143563,'Increases Attack Speed of caster by 40.0',100,1,1),
(335648,110525,'Increases Threat to target by 470  instantly and by 195  every 3 seconds thereafter',100,1,0),
(335649,110525,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(335650,110525,'Throws target back',100,2,2),
(335651,110525,'Stuns target',100,2,3),
(335652,110525,'Blurs vision of target',100,2,4),
(335653,110525,'Does not affect Epic targets',100,2,5),
(335654,110525,'Inflicts 84 - 140 disease damage on target',100,1,6),
(335655,10110525,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(335656,10110525,'Throws target back',100,2,1),
(335657,10110525,'Stuns target',100,2,2),
(335658,10110525,'Blurs vision of target',100,2,3),
(335659,10110525,'Does not affect Epic targets',100,2,4),
(335660,10110525,'Forces target to change their selected target to caster.',100,1,5),
(335661,10110525,'Inflicts 91 - 151 disease damage on target',100,1,6),
(335662,10110525,'Prevents target from changing targets',100,1,7),
(335663,162564,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(335664,162564,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(335665,162564,'Cannot be modified except by direct means',100,1,2),
(335666,10162564,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(335667,10162564,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(335668,10162564,'Cannot be modified except by direct means',100,1,2),
(335669,36107,'Increases INT of target by 6.2',100,0,0),
(335670,36107,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(335671,80822,'When Equipped:',100,0,0),
(335672,80822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335673,80822,'Inflicts 188 - 349 magic damage on target',100,2,2),
(335674,80822,'Cannot be modified except by direct means',100,2,3),
(335675,10080822,'When Equipped:',100,0,0),
(335676,10080822,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335677,10080822,'Inflicts 244 - 454 magic damage on target',100,2,2),
(335678,10080822,'Cannot be modified except by direct means',100,2,3),
(335679,187311,'When Equipped:',100,0,0),
(335680,187311,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(335681,187311,'Stuns target',100,2,2),
(335682,187311,'Only affects targets level 95 and below',100,2,3),
(335683,187311,'Does not affect Epic targets',100,2,4),
(335684,187311,'Resistibility increases against targets higher than level 111.',100,2,5),
(335685,187311,'Cannot be modified except by direct means',100,2,6),
(335686,10187311,'When Equipped:',100,0,0),
(335687,10187311,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(335688,10187311,'Stuns target',100,2,2),
(335689,10187311,'Only affects targets level 95 and below',100,2,3),
(335690,10187311,'Does not affect Epic targets',100,2,4),
(335691,10187311,'Resistibility increases against targets higher than level 111.',100,2,5),
(335692,10187311,'Cannot be modified except by direct means',100,2,6),
(335693,70019,'When Equipped:',100,0,0),
(335694,70019,'On a hit this spell may cast Indestructible Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(335695,70019,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(335696,70019,'Must not be engaged in pvp combat',100,1,3),
(335697,70019,'Cannot be modified except by direct means',100,1,4),
(335698,10070019,'When Equipped:',100,0,0),
(335699,10070019,'On a hit this spell may cast Indestructible Being on caster.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(335700,10070019,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.  Increases crit bonus by 15%.',100,2,2),
(335701,10070019,'Must not be engaged in pvp combat',100,1,3),
(335702,10070019,'Cannot be modified except by direct means',100,1,4),
(335703,121014,'Inflicts 225 - 375 poison damage on target',100,1,0),
(335704,121014,'Inflicts 56 - 94 poison damage on target instantly and every 4 seconds',100,1,1),
(335705,10121014,'Inflicts 292 - 488 poison damage on target',100,1,0),
(335706,10121014,'Inflicts 73 - 122 poison damage on target instantly and every 4 seconds',100,1,1),
(335707,117463,'Inflicts 951 - 1585 melee damage on target',100,1,0),
(335708,117463,'You must be sneaking to use this ability.',100,1,1),
(335709,117463,'Must be flanking or behind',100,1,2),
(335710,10117463,'Inflicts 766 - 1277 melee damage on target',100,1,0),
(335711,10117463,'You must be sneaking to use this ability.',100,1,1),
(335712,10117463,'Must be flanking or behind',100,1,2),
(335713,123960,'Decreases AGI of target by 8.8',100,1,0),
(335714,123960,'Inflicts 61 - 102 melee damage on target',100,1,1),
(335715,123960,'Must be behind',100,1,2),
(335716,10123960,'Decreases AGI of target by 8.8',100,1,0),
(335717,10123960,'Inflicts 79 - 133 melee damage on target',100,1,1),
(335718,10123960,'Must be behind',100,1,2),
(335719,47490,'Applies Wings of Flight when Activated.',100,0,0),
(335720,47490,'Increases Disruption of caster by 5.0',100,1,1),
(335721,47490,'Summons a mount to ride',100,1,2),
(335722,47490,'Increases your ground speed by 75%',100,2,3),
(335723,47490,'Increases your air speed by 150%',100,2,4),
(335724,47490,'Increases Ranged, Slashing, Ordination, Piercing, Ministration, Aggression, Subjugation, Crushing and Focus of caster by 5.0',100,1,5),
(335725,10047490,'Applies Wings of Flight when Activated.',100,0,0),
(335726,10047490,'Increases Disruption of caster by 5.0',100,1,1),
(335727,10047490,'Summons a mount to ride',100,1,2),
(335728,10047490,'Increases your ground speed by 75%',100,2,3),
(335729,10047490,'Increases your air speed by 150%',100,2,4),
(335730,10047490,'Increases Ranged, Slashing, Ordination, Piercing, Ministration, Aggression, Subjugation, Crushing and Focus of caster by 5.0',100,1,5),
(335731,82180,'When Equipped:',100,0,0),
(335732,82180,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335733,82180,'Decreases Threat to target by 135 ',100,2,2),
(335734,82180,'Must be flanking or behind',100,3,3),
(335735,82180,'Increases Threat to target by 135 ',100,2,4),
(335736,82180,'Must be in front of',100,3,5),
(335737,82180,'Inflicts 33 - 61 magic damage on target',100,2,6),
(335738,82180,'Cannot be modified except by direct means',100,2,7),
(335739,10082180,'When Equipped:',100,0,0),
(335740,10082180,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335741,10082180,'Inflicts 43 - 80 magic damage on target',100,2,2),
(335742,10082180,'Cannot be modified except by direct means',100,2,3),
(335743,124453,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(335744,124453,'Inflicts 233 - 388 melee damage on target',100,2,1),
(335745,124453,'Decreases Defense of caster by 17.7',100,1,2),
(335746,124453,'Increases Slashing, Piercing, Ranged and Crushing of caster by 37.2',100,1,3),
(335747,10124453,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(335748,10124453,'Inflicts 303 - 505 melee damage on target',100,2,1),
(335749,10124453,'Decreases Defense of caster by 17.7',100,1,2),
(335750,10124453,'Increases Slashing, Piercing, Ranged and Crushing of caster by 37.2',100,1,3),
(335751,166602,'When Equipped:',100,0,0),
(335752,166602,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335753,166602,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,2),
(335754,166602,'Increases Potency of caster by 3.0%',100,2,3),
(335755,166602,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(335756,166602,'Must not be engaged in pvp combat',100,2,5),
(335757,166602,'Cannot be modified except by direct means',100,2,6),
(335758,166602,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(335759,166602,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,8),
(335760,166602,'Increases Potency of caster by 3.0%',100,2,9),
(335761,166602,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(335762,166602,'Must not be engaged in pvp combat',100,2,11),
(335763,166602,'Cannot be modified except by direct means',100,2,12),
(335764,166602,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(335765,166602,'Cannot be modified except by direct means',100,1,14),
(335766,166602,'When Equipped:',100,0,15),
(335767,166602,'This effect will not stack with any rank or tier of itself.',100,1,16),
(335768,166602,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(335769,166602,'Cannot be modified except by direct means',100,1,18),
(335770,10166602,'When Equipped:',100,0,0),
(335771,10166602,'On any combat or spell hit this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(335772,10166602,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,2),
(335773,10166602,'Increases Potency of caster by 3.0%',100,2,3),
(335774,10166602,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(335775,10166602,'Must not be engaged in pvp combat',100,2,5),
(335776,10166602,'Cannot be modified except by direct means',100,2,6),
(335777,10166602,'On a healing spell cast this spell may cast Tactical Will IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(335778,10166602,'Increases STR, WIS, AGI and INT of caster by 110.0',100,2,8),
(335779,10166602,'Increases Potency of caster by 3.0%',100,2,9),
(335780,10166602,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(335781,10166602,'Must not be engaged in pvp combat',100,2,11),
(335782,10166602,'Cannot be modified except by direct means',100,2,12),
(335783,10166602,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,13),
(335784,10166602,'Cannot be modified except by direct means',100,1,14),
(335785,10166602,'When Equipped:',100,0,15),
(335786,10166602,'This effect will not stack with any rank or tier of itself.',100,1,16),
(335787,10166602,'Increases Crit Bonus of caster by 4.0%',100,1,17),
(335788,10166602,'Cannot be modified except by direct means',100,1,18),
(335789,36843,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(335790,122520,'Heals caster for 12',100,1,0),
(335791,122520,'Inflicts 20 - 33 melee damage on target',100,1,1),
(335792,10122520,'Heals caster for 8',100,1,0),
(335793,10122520,'Inflicts 26 - 43 melee damage on target',100,1,1),
(335794,101602,'Inflicts 360 - 600 melee damage on targets in area',100,1,0),
(335795,10101602,'Inflicts 468 - 780 melee damage on targets in area',100,1,0),
(335796,25300,'When Equipped:',100,0,0),
(335797,25300,'Improves the health amount of Battle Tactics VI by 33%.',100,1,1),
(335798,25300,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(335799,10025300,'When Equipped:',100,0,0),
(335800,10025300,'Improves the health amount of Battle Tactics VI by 33%.',100,1,1),
(335801,10025300,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(335802,122802,'Heals target for 963',100,1,0),
(335803,10122802,'Heals target for 751',100,1,0),
(335804,82165,'When Equipped:',100,0,0),
(335805,82165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335806,82165,'Inflicts 125 - 232 magic damage on target',100,2,2),
(335807,82165,'Cannot be modified except by direct means',100,2,3),
(335808,10082165,'When Equipped:',100,0,0),
(335809,10082165,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335810,10082165,'Inflicts 162 - 301 magic damage on target',100,2,2),
(335811,10082165,'Cannot be modified except by direct means',100,2,3),
(335812,48633,'Applies Aegis of the Silverback  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(335813,48633,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(335814,48633,'Inflicts 3 magic damage on target',100,2,2),
(335815,48633,'Cannot be modified except by direct means',100,2,3),
(335816,10048633,'Applies Aegis of the Silverback  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(335817,10048633,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(335818,10048633,'Inflicts 4 magic damage on target',100,2,2),
(335819,10048633,'Cannot be modified except by direct means',100,2,3),
(335820,121916,'Inflicts 143 - 238 mental damage on target encounter',100,1,0),
(335821,121916,'Increases power of group members (AE) by 117 - 195',100,1,1),
(335822,10121916,'Inflicts 185 - 309 mental damage on target encounter',100,1,0),
(335823,10121916,'Increases power of group members (AE) by 117 - 195',100,1,1),
(335824,48494,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(335825,48494,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(335826,48494,'Inflicts 104 poison damage on target',100,2,2),
(335827,48494,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,3),
(335828,48494,'Cannot be modified except by direct means',100,2,4),
(335829,48494,'Grants a total of 200 triggers of the spell.',100,2,5),
(335830,10048494,'Applies supernal wave when Activated.  Lasts for 12 hours.',100,0,0),
(335831,10048494,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(335832,10048494,'Inflicts 30 poison damage on target instantly and every 6 seconds',100,2,2),
(335833,10048494,'Inflicts 101 poison damage on target',100,2,3),
(335834,10048494,'Cannot be modified except by direct means',100,2,4),
(335835,10048494,'Grants a total of 200 triggers of the spell.',100,2,5),
(335836,124154,'Inflicts 253 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(335837,124154,'Applies Banshee''s Scream on termination.',100,1,1),
(335838,124154,'Inflicts 759 - 1265 disease damage on target',100,2,2),
(335839,10124154,'Inflicts 329 disease damage on target encounter instantly and every 4 seconds',100,1,0),
(335840,10124154,'Applies Banshee''s Scream on termination.',100,1,1),
(335841,10124154,'Inflicts 987 - 1645 disease damage on target',100,2,2),
(335842,112600,'Increases STA of caster by 22.7',100,1,0),
(335843,112600,'Reduces slow effects on caster by 10.5%',100,1,1),
(335844,112600,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 605',100,1,2),
(335845,10112600,'Increases STA of caster by 22.7',100,1,0),
(335846,10112600,'Reduces slow effects on caster by 10.5%',100,1,1),
(335847,10112600,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 605',100,1,2),
(335848,115290,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(335849,115290,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(335850,115290,'Inflicts 465 - 568 poison damage on target',100,3,2),
(335851,115290,'Grants a total of 1 trigger of the spell.',100,3,3),
(335852,10115290,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',100,1,0),
(335853,10115290,'When damaged with a spell this spell will cast Nether Void on target.  ',100,2,1),
(335854,10115290,'Inflicts 604 - 738 poison damage on target',100,3,2),
(335855,10115290,'Grants a total of 1 trigger of the spell.',100,3,3),
(335856,149141,'When Equipped:',100,0,0),
(335857,149141,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(335858,10149141,'When Equipped:',100,0,0),
(335859,10149141,'Reduces reuse time of hostile spells by 4 percent.',100,1,1),
(335860,108125,'Increases Attack Speed of caster by 21.4',100,1,0),
(335861,10108125,'Increases Attack Speed of caster by 21.4',100,1,0),
(335862,36162,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(335863,35588,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(335864,25020,'When Equipped:',100,0,0),
(335865,25020,'Grants additional mitigation while Sigil of Heroism is active.',100,1,1),
(335866,25020,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(335867,10025020,'When Equipped:',100,0,0),
(335868,10025020,'Grants additional mitigation while Sigil of Heroism is active.',100,1,1),
(335869,10025020,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(335870,104623,'Inflicts 38 - 63 crushing damage on target',100,1,0),
(335871,104623,'Decreases power of target by 38 - 64',100,1,1),
(335872,10104623,'Inflicts 49 - 82 crushing damage on target',100,1,0),
(335873,10104623,'Decreases power of target by 38 - 64',100,1,1),
(335874,106855,'Decreases Crushing, Piercing, Slashing and Ranged of target by 56.2',100,1,0),
(335875,10106855,'Decreases Crushing, Piercing, Slashing and Ranged of target by 56.2',100,1,0),
(335876,117799,'Mesmerizes target',100,1,0),
(335877,117799,'Prevents AOE (except when direct) ',100,1,1),
(335878,117799,'Dispelled when target takes damage',100,1,2),
(335879,117799,'Epic targets gain an immunity to Mesmerize effects of 52.5 seconds and duration is reduced to 5.8 seconds.',100,1,3),
(335880,117799,'Resistibility increases against targets higher than level 83.',100,1,4),
(335881,10117799,'Mesmerizes target',100,1,0),
(335882,10117799,'Prevents AOE (except when direct) ',100,1,1),
(335883,10117799,'Dispelled when target takes damage',100,1,2),
(335884,10117799,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(335885,10117799,'Resistibility increases against targets higher than level 83.',100,1,4),
(335886,152954,'When Equipped:',100,0,0),
(335887,152954,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(335888,152954,'Inflicts 1998 disease damage on target encounter',100,2,2),
(335889,152954,'Must not be engaged in pvp combat',100,2,3),
(335890,152954,'Cannot be modified except by direct means',100,2,4),
(335891,10152954,'When Equipped:',100,0,0),
(335892,10152954,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(335893,10152954,'Inflicts 1299 disease damage on target encounter',100,2,2),
(335894,10152954,'Must not be engaged in pvp combat',100,2,3),
(335895,10152954,'Cannot be modified except by direct means',100,2,4),
(335896,71663,'When Equipped:',100,0,0),
(335897,71663,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335898,71663,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(335899,71663,'Cannot be modified except by direct means',100,2,3),
(335900,10071663,'When Equipped:',100,0,0),
(335901,10071663,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(335902,10071663,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(335903,10071663,'Cannot be modified except by direct means',100,2,3),
(335904,104420,'Stifles target encounter',100,1,0),
(335905,104420,'Inflicts 339 - 415 mental damage on target encounter instantly and every second',100,1,1),
(335906,104420,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,2),
(335907,104420,'Resistibility increases against targets higher than level 109.',100,1,3),
(335908,10104420,'Stifles target encounter',100,1,0),
(335909,10104420,'Inflicts 411 - 502 mental damage on target encounter instantly and every 0.4 seconds',100,1,1),
(335910,10104420,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(335911,10104420,'Resistibility increases against targets higher than level 109.',100,1,3),
(335912,41550,'When Equipped:',100,0,0),
(335913,41550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335914,41550,'Inflicts 72 - 134 magic damage on target',100,2,2),
(335915,41550,'Cannot be modified except by direct means',100,2,3),
(335916,10041550,'When Equipped:',100,0,0),
(335917,10041550,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(335918,10041550,'Inflicts 94 - 174 magic damage on target',100,2,2),
(335919,10041550,'Cannot be modified except by direct means',100,2,3),
(335920,118331,'Inflicts 36 - 60 melee damage on target',100,1,0),
(335921,118331,'Inflicts 36 - 61 heat damage on target every 4 seconds',100,1,1),
(335922,10118331,'Inflicts 47 - 79 melee damage on target',100,1,0),
(335923,10118331,'Inflicts 47 - 79 heat damage on target every 4 seconds',100,1,1),
(335924,116268,'Summons a pet Illusion Ally',100,1,0),
(335925,10116268,'Summons a pet Illusion Ally',100,1,0),
(335926,134276,'When Equipped:',100,0,0),
(335927,134276,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(335928,134276,'Inflicts 2648 magic damage on target',100,2,2),
(335929,134276,'Cannot be modified except by direct means',100,2,3),
(335930,10134276,'When Equipped:',100,0,0),
(335931,10134276,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(335932,10134276,'Inflicts 1721 magic damage on target',100,2,2),
(335933,10134276,'Cannot be modified except by direct means',100,2,3),
(335934,123855,'Increases AGI of caster by 30.2',100,1,0),
(335935,123855,'Adds 14.8% to base avoidance.',100,1,1),
(335936,123855,'Increases Damage Per Second of caster by 30.9',100,1,2),
(335937,123855,'Increases Mitigation of caster vs physical damage by 273',100,1,3),
(335938,123855,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(335939,10123855,'Increases AGI of caster by 30.2',100,1,0),
(335940,10123855,'Adds 14.8% to base avoidance.',100,1,1),
(335941,10123855,'Increases Damage Per Second of caster by 30.9',100,1,2),
(335942,10123855,'Increases Mitigation of caster vs physical damage by 273',100,1,3),
(335943,10123855,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',100,1,4),
(335944,46539,'Applies elixir of tactics when Activated.  Lasts for 10 minutes.',100,0,0),
(335945,46539,'Increases Crit Chance of caster by 4.0',100,1,1),
(335946,10046539,'Applies elixir of tactics when Activated.  Lasts for 10 minutes.',100,0,0),
(335947,10046539,'Increases Crit Chance of caster by 4.0',100,1,1),
(335948,117373,'Increases Threat to target by 72 ',100,1,0),
(335949,117373,'Inflicts 10 - 30 melee damage on target',100,1,1),
(335950,10117373,'Forces target to change their selected target to caster.',100,1,0),
(335951,10117373,'Inflicts 8 - 26 melee damage on target',100,1,1),
(335952,117145,'Inflicts 151 - 185 heat damage on target instantly and every 4 seconds',100,1,0),
(335953,117145,'Decreases Mitigation of target vs arcane damage by 805',100,1,1),
(335954,10117145,'Inflicts 196 - 240 heat damage on target instantly and every 4 seconds',100,1,0),
(335955,10117145,'Decreases Mitigation of target vs arcane damage by 805',100,1,1),
(335956,110373,'Increases STR and AGI of group members (AE) by 41.2',100,1,0),
(335957,110373,'Adds 2.2% to base avoidance.',100,1,1),
(335958,10110373,'Increases STR and AGI of group members (AE) by 41.2',100,1,0),
(335959,10110373,'Adds 2.2% to base avoidance.',100,1,1),
(335960,121153,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(335961,121153,'Increases Hate Gain of caster by 5.0%',100,2,1),
(335962,121153,'Increases Attack Speed of caster by 34.8',100,2,2),
(335963,121153,'Dispelled when target takes damage',100,2,3),
(335964,10121153,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(335965,10121153,'Increases Attack Speed of caster by 34.8',100,2,1),
(335966,10121153,'Dispelled when target takes damage',100,2,2),
(335967,112029,'Roots target',100,1,0),
(335968,112029,'Stifles target',100,1,1),
(335969,112029,'If Target is not Epic',100,2,2),
(335970,112029,'20% chance to dispel when target takes damage',100,1,3),
(335971,112029,'Does not affect Epic targets',100,1,4),
(335972,112029,'Resistibility increases against targets higher than level 68.',100,1,5),
(335973,10112029,'Roots target',100,1,0),
(335974,10112029,'Stifles target',100,1,1),
(335975,10112029,'If Target is not Epic',100,2,2),
(335976,10112029,'20% chance to dispel when target takes damage',100,1,3),
(335977,10112029,'Does not affect Epic targets',100,1,4),
(335978,10112029,'Resistibility increases against targets higher than level 68.',100,1,5),
(335979,81412,'When Equipped:',100,0,0),
(335980,81412,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335981,81412,'Decreases Threat to target by 352 ',100,2,2),
(335982,81412,'Must be flanking or behind',100,3,3),
(335983,81412,'Increases Threat to target by 352 ',100,2,4),
(335984,81412,'Must be in front of',100,3,5),
(335985,81412,'Inflicts 80 - 149 magic damage on target',100,2,6),
(335986,81412,'Cannot be modified except by direct means',100,2,7),
(335987,10081412,'When Equipped:',100,0,0),
(335988,10081412,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(335989,10081412,'Inflicts 104 - 193 magic damage on target',100,2,2),
(335990,10081412,'Cannot be modified except by direct means',100,2,3),
(335991,46376,'Applies Phrotis'' Physical Will when Activated.  Lasts for 30 minutes.',100,0,0),
(335992,46376,'Spirit fused with that of the physical will of Phrotis.',100,1,1),
(335993,10046376,'Applies Phrotis'' Physical Will when Activated.  Lasts for 30 minutes.',100,0,0),
(335994,10046376,'Spirit fused with that of the physical will of Phrotis.',100,1,1),
(335995,119804,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(335996,119804,'Adds 1.3% to base avoidance.',100,1,1),
(335997,10119804,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(335998,10119804,'Adds 1.3% to base avoidance.',100,1,1),
(335999,71446,'When Equipped:',100,0,0),
(336000,71446,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336001,71446,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(336002,71446,'Cannot be modified except by direct means',100,2,3),
(336003,10071446,'When Equipped:',100,0,0),
(336004,10071446,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336005,10071446,'Increases the damage and healing amount of the caster''s spells by 10',100,2,2),
(336006,10071446,'Cannot be modified except by direct means',100,2,3),
(336007,120611,'Inflicts 209 - 388 heat damage on target',100,1,0),
(336008,10120611,'Inflicts 272 - 504 heat damage on target',100,1,0),
(336009,24702,'Adds Snake (Brigand) to your Dungeon Maker toolbox',100,0,0),
(336010,10024702,'Adds Snake (Brigand) to your Dungeon Maker toolbox',100,0,0),
(336011,176659,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(336012,176659,'Decreases INT, STR, WIS and AGI of target by 29.9',100,1,1),
(336013,176659,'Decreases Max Health of target by 1.0%',100,1,2),
(336014,176659,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(336015,10176659,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(336016,10176659,'Decreases INT, STR, WIS and AGI of target by 29.9',100,1,1),
(336017,10176659,'Decreases Max Health of target by 1.0%',100,1,2),
(336018,10176659,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(336019,108745,'Summons a pet fiery magician',100,1,0),
(336020,10108745,'Summons a pet fiery magician',100,1,0),
(336021,120743,'Heals target for 90',100,1,0),
(336022,10120743,'Heals target for 58',100,1,0),
(336023,75448,'When Equipped:',100,0,0),
(336024,75448,'On a critical combat hit this spell may cast Endless Wounds VIII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336025,75448,'Inflicts 218 - 241 cold damage on target',100,2,2),
(336026,75448,'Inflicts 272 - 301 cold damage on target every 2 seconds',100,2,3),
(336027,75448,'Inflicts an additional 54 - 60 cold damage on target every tick',100,2,4),
(336028,75448,'Must not be engaged in pvp combat',100,2,5),
(336029,75448,'Cannot be modified except by direct means',100,2,6),
(336030,75448,'On a critical spell hit this spell may cast Endless Wounds VIII on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(336031,75448,'Inflicts 218 - 241 cold damage on target',100,2,8),
(336032,75448,'Inflicts 272 - 301 cold damage on target every 2 seconds',100,2,9),
(336033,75448,'Inflicts an additional 54 - 60 cold damage on target every tick',100,2,10),
(336034,75448,'Must not be engaged in pvp combat',100,2,11),
(336035,75448,'Cannot be modified except by direct means',100,2,12),
(336036,75448,'Must not be engaged in pvp combat',100,1,13),
(336037,10075448,'When Equipped:',100,0,0),
(336038,10075448,'On a critical combat hit this spell may cast Endless Wounds VIII on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336039,10075448,'Inflicts 283 - 313 cold damage on target',100,2,2),
(336040,10075448,'Inflicts 354 - 391 cold damage on target every 2 seconds',100,2,3),
(336041,10075448,'Inflicts an additional 54 - 60 cold damage on target every tick',100,2,4),
(336042,10075448,'Must not be engaged in pvp combat',100,2,5),
(336043,10075448,'Cannot be modified except by direct means',100,2,6),
(336044,10075448,'On a critical spell hit this spell may cast Endless Wounds VIII on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(336045,10075448,'Inflicts 283 - 313 cold damage on target',100,2,8),
(336046,10075448,'Inflicts 354 - 391 cold damage on target every 2 seconds',100,2,9),
(336047,10075448,'Inflicts an additional 54 - 60 cold damage on target every tick',100,2,10),
(336048,10075448,'Must not be engaged in pvp combat',100,2,11),
(336049,10075448,'Cannot be modified except by direct means',100,2,12),
(336050,10075448,'Must not be engaged in pvp combat',100,1,13),
(336051,106914,'Inflicts 20 - 38 poison damage on target',100,1,0),
(336052,10106914,'Inflicts 26 - 49 poison damage on target',100,1,0),
(336053,104594,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(336054,104594,'Slows target by 32.0%',100,2,1),
(336055,104594,'5% chance to dispel when target receives hostile action',100,2,2),
(336056,104594,'5% chance to dispel when target takes damage',100,2,3),
(336057,104594,'Inflicts 30 - 37 cold damage on target',100,1,4),
(336058,10104594,'Applies Grey Winds.  Lasts for 10.0 seconds.',100,1,0),
(336059,10104594,'Slows target by 32.0%',100,2,1),
(336060,10104594,'5% chance to dispel when target receives hostile action',100,2,2),
(336061,10104594,'5% chance to dispel when target takes damage',100,2,3),
(336062,10104594,'Inflicts 39 - 48 cold damage on target',100,1,4),
(336063,103049,'Inflicts 41 magic damage on target instantly and every 4 seconds',100,1,0),
(336064,103049,'Increases power of caster by 17 instantly and every 4 seconds',100,1,1),
(336065,10103049,'Inflicts 54 magic damage on target instantly and every 4 seconds',100,1,0),
(336066,10103049,'Increases power of caster by 17 instantly and every 4 seconds',100,1,1),
(336067,123779,'Decreases Mitigation of target vs noxious damage by 1430',100,1,0),
(336068,123779,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(336069,123779,'Slows target by 47.3%',100,2,2),
(336070,123779,'5% chance to dispel when target receives hostile action',100,2,3),
(336071,123779,'5% chance to dispel when target takes damage',100,2,4),
(336072,10123779,'Decreases Mitigation of target vs noxious damage by 1430',100,1,0),
(336073,10123779,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(336074,10123779,'Slows target by 47.3%',100,2,2),
(336075,10123779,'5% chance to dispel when target receives hostile action',100,2,3),
(336076,10123779,'5% chance to dispel when target takes damage',100,2,4),
(336077,111033,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(336078,111033,'Increases Threat to target by 325 ',100,2,1),
(336079,111033,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(336080,111033,'Increases Threat to target by 325 ',100,2,3),
(336081,10111033,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(336082,10111033,'Inflicts 49 - 54 crushing damage on target',100,2,1),
(336083,10111033,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(336084,10111033,'Inflicts 49 - 54 crushing damage on target',100,2,3),
(336085,48465,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(336086,48465,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(336087,48465,'Inflicts 116 poison damage on target',100,2,2),
(336088,48465,'Inflicts 34 poison damage on target instantly and every 6 seconds',100,2,3),
(336089,48465,'Cannot be modified except by direct means',100,2,4),
(336090,48465,'Grants a total of 200 triggers of the spell.',100,2,5),
(336091,10048465,'Applies malevolent displacement when Activated.  Lasts for 12 hours.',100,0,0),
(336092,10048465,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(336093,10048465,'Inflicts 33 poison damage on target instantly and every 6 seconds',100,2,2),
(336094,10048465,'Inflicts 113 poison damage on target',100,2,3),
(336095,10048465,'Cannot be modified except by direct means',100,2,4),
(336096,10048465,'Grants a total of 200 triggers of the spell.',100,2,5),
(336097,106352,'Decreases Mitigation of target vs arcane damage by 703',100,1,0),
(336098,106352,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(336099,106352,'Slows target by 35.5%',100,2,2),
(336100,106352,'5% chance to dispel when target receives hostile action',100,2,3),
(336101,106352,'5% chance to dispel when target takes damage',100,2,4),
(336102,10106352,'Decreases Mitigation of target vs arcane damage by 703',100,1,0),
(336103,10106352,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(336104,10106352,'Slows target by 35.5%',100,2,2),
(336105,10106352,'5% chance to dispel when target receives hostile action',100,2,3),
(336106,10106352,'5% chance to dispel when target takes damage',100,2,4),
(336107,24647,'Adds Poet''s Palace: Small Blue Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(336108,10024647,'Adds Poet''s Palace: Small Blue Balloon Lantern to your Dungeon Maker toolbox',100,0,0),
(336109,46571,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(336110,46571,'Increases speed of caster by 27.0%',100,1,1),
(336111,46571,'This effect suspends during combat',100,1,2),
(336112,10046571,'Applies Blood of the Wolf when Activated.  Lasts for 15 minutes.',100,0,0),
(336113,10046571,'Increases speed of caster by 27.0%',100,1,1),
(336114,10046571,'This effect suspends during combat',100,1,2),
(336115,122090,'Increases STA and INT of group members (AE) by 49.6',100,1,0),
(336116,10122090,'Increases STA and INT of group members (AE) by 49.6',100,1,0),
(336117,155045,'When Equipped:',100,0,0),
(336118,155045,'On a critical spell hit this spell may cast Molten Coins on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(336119,155045,'Inflicts 321 - 596 heat damage on target',100,2,2),
(336120,155045,'Inflicts 321 - 596 heat damage on target',100,2,3),
(336121,155045,'Inflicts 321 - 596 heat damage on target',100,2,4),
(336122,155045,'Inflicts 321 - 596 heat damage on target',100,2,5),
(336123,155045,'Cannot be modified except by direct means',100,2,6),
(336124,155045,'When Equipped:',100,0,7),
(336125,155045,'Reduces cast time of hostile spells by 5 percent.',100,1,8),
(336126,10155045,'When Equipped:',100,0,0),
(336127,10155045,'On a critical spell hit this spell may cast Molten Coins on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(336128,10155045,'Inflicts 104 - 194 heat damage on target',100,2,2),
(336129,10155045,'Inflicts 104 - 194 heat damage on target',100,2,3),
(336130,10155045,'Inflicts 104 - 194 heat damage on target',100,2,4),
(336131,10155045,'Inflicts 104 - 194 heat damage on target',100,2,5),
(336132,10155045,'Cannot be modified except by direct means',100,2,6),
(336133,10155045,'When Equipped:',100,0,7),
(336134,10155045,'Reduces cast time of hostile spells by 5 percent.',100,1,8),
(336135,25625,'When Equipped:',100,0,0),
(336136,25625,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(336137,25625,'Reduces the reuse time of Mortal Blade VI by 30 seconds.',100,1,2),
(336138,10025625,'When Equipped:',100,0,0),
(336139,10025625,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(336140,10025625,'Reduces the reuse time of Mortal Blade VI by 30 seconds.',100,1,2),
(336141,80745,'When Equipped:',100,0,0),
(336142,80745,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(336143,80745,'Decreases Threat to target by 236 ',100,2,2),
(336144,80745,'Must be flanking or behind',100,3,3),
(336145,80745,'Increases Threat to target by 236 ',100,2,4),
(336146,80745,'Must be in front of',100,3,5),
(336147,80745,'Inflicts 56 - 103 magic damage on target',100,2,6),
(336148,80745,'Cannot be modified except by direct means',100,2,7),
(336149,10080745,'When Equipped:',100,0,0),
(336150,10080745,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(336151,10080745,'Inflicts 72 - 134 magic damage on target',100,2,2),
(336152,10080745,'Cannot be modified except by direct means',100,2,3),
(336153,121755,'Causes 18% Threat to transfer to target when in combat',100,1,0),
(336154,10121755,'Applies Swarthy Distraction.',100,1,0),
(336155,10121755,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(336156,10121755,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(336157,25640,'When Equipped:',100,0,0),
(336158,25640,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(336159,25640,'Adds an additional tick to Photosynthesis VIII.',100,1,2),
(336160,10025640,'When Equipped:',100,0,0),
(336161,10025640,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(336162,10025640,'Adds an additional tick to Photosynthesis VIII.',100,1,2),
(336163,106422,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(336164,106422,'Inflicts 348 - 426 mental damage on target',100,2,1),
(336165,106422,'Grants a total of 3 triggers of the spell.',100,2,2),
(336166,10106422,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(336167,10106422,'Inflicts 453 - 554 mental damage on target',100,2,1),
(336168,10106422,'Grants a total of 3 triggers of the spell.',100,2,2),
(336169,117078,'Summons 4 limited pets to aid the caster',100,1,0),
(336170,10117078,'Summons 4 limited pets to aid the caster',100,1,0),
(336171,109106,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(336172,109106,'Increases Attack Speed of caster by 31.3',100,1,1),
(336173,109106,'Increases Damage Per Second of caster by 36.0',100,1,2),
(336174,109106,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(336175,109106,'Increases Ranged of caster by 25.1',100,1,4),
(336176,109106,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(336177,109106,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(336178,109106,'Increases Crushing of group members (AE) by 25.1',100,2,7),
(336179,109106,'Increases Slashing of group members (AE) by 25.1',100,2,8),
(336180,109106,'If profession other than Ranger',100,3,9),
(336181,109106,'Increases Piercing of group members (AE) by 25.1',100,2,10),
(336182,109106,'If profession other than Ranger',100,3,11),
(336183,10109106,'Caster will have their chance to hit with a weapon increased by 4.7%',100,1,0),
(336184,10109106,'Increases Attack Speed of caster by 31.3',100,1,1),
(336185,10109106,'Increases Damage Per Second of caster by 36.0',100,1,2),
(336186,10109106,'Decreases Slashing and Piercing of caster by 66.0',100,1,3),
(336187,10109106,'Increases Ranged of caster by 25.1',100,1,4),
(336188,10109106,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(336189,10109106,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',100,2,6),
(336190,10109106,'Increases Crushing of group members (AE) by 25.1',100,2,7),
(336191,10109106,'Increases Slashing of group members (AE) by 25.1',100,2,8),
(336192,10109106,'If profession other than Ranger',100,3,9),
(336193,10109106,'Increases Piercing of group members (AE) by 25.1',100,2,10),
(336194,10109106,'If profession other than Ranger',100,3,11),
(336195,121080,'Increases STR and STA of group members (AE) by 64.1',100,1,0),
(336196,10121080,'Increases STR and STA of group members (AE) by 64.1',100,1,0),
(336197,46815,'Applies Antonican Glory when Activated.',100,0,0),
(336198,46815,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(336199,10046815,'Applies Antonican Glory when Activated.',100,0,0),
(336200,10046815,'Use of this Insiginia grants the bearer an increase in Royal Antonican Guard faction.',100,1,1),
(336201,87545,'Applies Mental Blast when Activated.',100,0,0),
(336202,87545,'Inflicts 89 - 149 mental damage on target',100,1,1),
(336203,87545,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(336204,10087545,'Applies Mental Blast when Activated.',100,0,0),
(336205,10087545,'Inflicts 116 - 194 mental damage on target',100,1,1),
(336206,10087545,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(336207,106254,'Wards target against 489 points of all damage',100,1,0),
(336208,10106254,'Wards target against 489 points of all damage',100,1,0),
(336209,47585,'Applies Greater Replenishment when Activated.',100,0,0),
(336210,47585,'Heals caster for 238',100,1,1),
(336211,10047585,'Applies Greater Replenishment when Activated.',100,0,0),
(336212,10047585,'Heals caster for 154',100,1,1),
(336213,106805,'Decreases STR and AGI of target encounter by 87.8',100,1,0),
(336214,10106805,'Decreases STR and AGI of target encounter by 87.8',100,1,0),
(336215,24414,'Adds Goatman (Wizard) to your Dungeon Maker toolbox',100,0,0),
(336216,10024414,'Adds Goatman (Wizard) to your Dungeon Maker toolbox',100,0,0),
(336217,102867,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(336218,102867,'Stuns target',100,2,1),
(336219,102867,'Blurs vision of target',100,2,2),
(336220,102867,'Throws target back',100,2,3),
(336221,102867,'Does not affect Epic targets',100,2,4),
(336222,102867,'Inflicts 247 - 741 melee damage on targets in area',100,1,5),
(336223,10102867,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(336224,10102867,'Stuns target',100,2,1),
(336225,10102867,'Blurs vision of target',100,2,2),
(336226,10102867,'Throws target back',100,2,3),
(336227,10102867,'Does not affect Epic targets',100,2,4),
(336228,10102867,'Inflicts 321 - 964 melee damage on targets in area',100,1,5),
(336229,36522,'Increases Out-of-Combat Power Regeneration of target by 138.0',100,0,0),
(336230,46231,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(336231,46231,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(336232,46231,'Decreases STR of target by 51.0',100,2,2),
(336233,46231,'Decreases Ranged, Piercing, Slashing and Crushing of target by 19.5',100,2,3),
(336234,46231,'Cannot be modified except by direct means',100,2,4),
(336235,46231,'Grants a total of 60 triggers of the spell.',100,2,5),
(336236,10046231,'Applies enfeebling poison when Activated.  Lasts for 12 hours.',100,0,0),
(336237,10046231,'On a combat hit this spell may cast Enfeebling Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(336238,10046231,'Decreases STR of target by 51.0',100,2,2),
(336239,10046231,'Decreases Ranged, Piercing, Slashing and Crushing of target by 19.5',100,2,3),
(336240,10046231,'Cannot be modified except by direct means',100,2,4),
(336241,10046231,'Grants a total of 60 triggers of the spell.',100,2,5),
(336242,119722,'Wards group members (AE) against 9 points of elemental, noxious and arcane damage',100,1,0),
(336243,119722,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,1),
(336244,10119722,'Wards group members (AE) against 9 points of elemental, noxious and arcane damage',100,1,0),
(336245,10119722,'Increases Mitigation of group members (AE) vs physical damage by 98',100,1,1),
(336246,116021,'Decreases Hate Gain of target by 22.0%',100,1,0),
(336247,116021,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,1),
(336248,116021,'Decreases threat priority of target by 1 position',100,2,2),
(336249,10116021,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(336250,10116021,'Forces target to clear their selected target.',100,2,1),
(336251,160655,'When Equipped:',100,0,0),
(336252,160655,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(336253,160655,'Inflicts 25 divine damage on target',100,2,2),
(336254,160655,'Cannot be modified except by direct means',100,2,3),
(336255,10160655,'When Equipped:',100,0,0),
(336256,10160655,'When any damage is received this spell has a 5% chance to cast Arcane Feedback on target''s attacker.  ',100,1,1),
(336257,10160655,'Inflicts 32 divine damage on target',100,2,2),
(336258,10160655,'Cannot be modified except by direct means',100,2,3),
(336259,83701,'When Equipped:',100,0,0),
(336260,83701,'On any combat or spell hit this spell may cast Sledgefist on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(336261,83701,'Inflicts 481 crushing damage on target',100,2,2),
(336262,83701,'Cannot be modified except by direct means',100,2,3),
(336263,10083701,'When Equipped:',100,0,0),
(336264,10083701,'On any combat or spell hit this spell may cast Sledgefist on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(336265,10083701,'Inflicts 626 crushing damage on target',100,2,2),
(336266,10083701,'Cannot be modified except by direct means',100,2,3),
(336267,82022,'When Equipped:',100,0,0),
(336268,82022,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336269,82022,'Inflicts 125 - 232 magic damage on target',100,2,2),
(336270,82022,'Cannot be modified except by direct means',100,2,3),
(336271,10082022,'When Equipped:',100,0,0),
(336272,10082022,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336273,10082022,'Inflicts 162 - 301 magic damage on target',100,2,2),
(336274,10082022,'Cannot be modified except by direct means',100,2,3),
(336275,47618,'Applies Power Potion when Activated.',100,0,0),
(336276,47618,'Increases power of caster by 100.0%',100,1,1),
(336277,47618,'This effect cannot be critically applied.',100,2,2),
(336278,47618,'Cannot be modified except by direct means',100,1,3),
(336279,10047618,'Applies Power Potion when Activated.',100,0,0),
(336280,10047618,'Increases power of caster by 100.0%',100,1,1),
(336281,10047618,'This effect cannot be critically applied.',100,2,2),
(336282,10047618,'Cannot be modified except by direct means',100,1,3),
(336283,37115,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,0),
(336284,37115,'Increases Max Health of target by 91.0',100,0,1),
(336285,161121,'When Equipped:',100,0,0),
(336286,161121,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(336287,10161121,'When Equipped:',100,0,0),
(336288,10161121,'Reduces cast time of beneficial spells by 5 percent.',100,1,1),
(336289,81236,'When Equipped:',100,0,0),
(336290,81236,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(336291,81236,'Decreases Threat to target by 1,219 ',100,2,2),
(336292,81236,'Must be flanking or behind',100,3,3),
(336293,81236,'Increases Threat to target by 1,219 ',100,2,4),
(336294,81236,'Must be in front of',100,3,5),
(336295,81236,'Inflicts 320 - 594 magic damage on target',100,2,6),
(336296,81236,'Cannot be modified except by direct means',100,2,7),
(336297,10081236,'When Equipped:',100,0,0),
(336298,10081236,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(336299,10081236,'Inflicts 416 - 772 magic damage on target',100,2,2),
(336300,10081236,'Cannot be modified except by direct means',100,2,3),
(336301,86488,'Applies Disease Blast when Activated.',100,0,0),
(336302,86488,'Inflicts 53 - 89 disease damage on target',100,1,1),
(336303,86488,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(336304,10086488,'Applies Disease Blast when Activated.',100,0,0),
(336305,10086488,'Inflicts 69 - 115 disease damage on target',100,1,1),
(336306,10086488,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(336307,100317,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(336308,100317,'Inflicts 348 divine damage on target',100,2,1),
(336309,10100317,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',100,1,0),
(336310,10100317,'Inflicts 452 divine damage on target',100,2,1),
(336311,118915,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(336312,118915,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 107',100,1,1),
(336313,118915,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,2),
(336314,10118915,'Increases Max Health of group members (AE) by 26.4',100,1,0),
(336315,10118915,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 107',100,1,1),
(336316,10118915,'Increases Mitigation of group members (AE) vs physical damage by 114',100,1,2),
(336317,36845,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(336318,117531,'Increases AGI, INT and WIS of group members (AE) by 48.7',100,1,0),
(336319,117531,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 187',100,1,1),
(336320,10117531,'Increases AGI, INT and WIS of group members (AE) by 48.7',100,1,0),
(336321,10117531,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 187',100,1,1),
(336322,24601,'Adds Orc-Snow (Fury) to your Dungeon Maker toolbox',100,0,0),
(336323,10024601,'Adds Orc-Snow (Fury) to your Dungeon Maker toolbox',100,0,0),
(336324,123223,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(336325,123223,'Inflicts 180 - 219 disease damage on target',100,2,1),
(336326,123223,'Heals caster for 3.5 - 4.2% of max health',100,2,2),
(336327,123223,'This effect cannot be critically applied.',100,3,3),
(336328,123223,'The healing of this spell cannot be modified except by direct means',100,2,4),
(336329,123223,'Grants a total of 5 triggers of the spell.',100,2,5),
(336330,10123223,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(336331,10123223,'Inflicts 233 - 285 disease damage on target',100,2,1),
(336332,10123223,'Heals caster for 1.2 - 1.5% of max health',100,2,2),
(336333,10123223,'This effect cannot be critically applied.',100,3,3),
(336334,10123223,'The healing of this spell cannot be modified except by direct means',100,2,4),
(336335,10123223,'Grants a total of 5 triggers of the spell.',100,2,5),
(336336,87296,'When Equipped:',100,0,0),
(336337,87296,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336338,87296,'Inflicts 73 - 110 magic damage on target',100,2,2),
(336339,87296,'Cannot be modified except by direct means',100,2,3),
(336340,10087296,'When Equipped:',100,0,0),
(336341,10087296,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336342,10087296,'Inflicts 95 - 143 magic damage on target',100,2,2),
(336343,10087296,'Cannot be modified except by direct means',100,2,3),
(336344,157610,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(336345,157610,'Increases Damage Per Second of caster by 20.0',100,1,1),
(336346,157610,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(336347,157610,'When Equipped:',100,0,3),
(336348,157610,'Additional equipment with Vampire Bane improves this effect.',100,1,4),
(336349,157610,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(336350,157610,'Inflicts 401 divine damage on target',100,2,6),
(336351,157610,'Must not be classified as a vampire',100,3,7),
(336352,157610,'Inflicts 802 divine damage on target',100,2,8),
(336353,157610,'Must be classified as a vampire',100,3,9),
(336354,157610,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(336355,157610,'Must be classified as a vampire',100,3,11),
(336356,157610,'Cannot be modified except by direct means',100,2,12),
(336357,10157610,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(336358,10157610,'Increases Damage Per Second of caster by 20.0',100,1,1),
(336359,10157610,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(336360,10157610,'When Equipped:',100,0,3),
(336361,10157610,'Additional equipment with Vampire Bane improves this effect.',100,1,4),
(336362,10157610,'On any combat or spell hit this spell may cast Vampire Bane on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(336363,10157610,'Inflicts 521 divine damage on target',100,2,6),
(336364,10157610,'Must not be classified as a vampire',100,3,7),
(336365,10157610,'Inflicts 1043 divine damage on target',100,2,8),
(336366,10157610,'Must be classified as a vampire',100,3,9),
(336367,10157610,'Decreases Mitigation of target vs arcane damage by 581',100,2,10),
(336368,10157610,'Must be classified as a vampire',100,3,11),
(336369,10157610,'Cannot be modified except by direct means',100,2,12),
(336370,100861,'Wards target against 1896 points of all damage',100,1,0),
(336371,10100861,'Wards target against 2918 points of all damage',100,1,0),
(336372,185210,'When Equipped:',100,0,0),
(336373,185210,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336374,185210,'Increases Potency of caster by 11.0%',100,2,2),
(336375,185210,'Must not be engaged in pvp combat',100,2,3),
(336376,185210,'Cannot be modified except by direct means',100,2,4),
(336377,185210,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(336378,185210,'Increases Potency of caster by 11.0%',100,2,6),
(336379,185210,'Must not be engaged in pvp combat',100,2,7),
(336380,185210,'Cannot be modified except by direct means',100,2,8),
(336381,185210,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(336382,185210,'Cannot be modified except by direct means',100,1,10),
(336383,10185210,'When Equipped:',100,0,0),
(336384,10185210,'On any combat or spell hit this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336385,10185210,'Increases Potency of caster by 11.0%',100,2,2),
(336386,10185210,'Must not be engaged in pvp combat',100,2,3),
(336387,10185210,'Cannot be modified except by direct means',100,2,4),
(336388,10185210,'On a healing spell cast this spell may cast Overbearing Onslaught II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(336389,10185210,'Increases Potency of caster by 11.0%',100,2,6),
(336390,10185210,'Must not be engaged in pvp combat',100,2,7),
(336391,10185210,'Cannot be modified except by direct means',100,2,8),
(336392,10185210,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(336393,10185210,'Cannot be modified except by direct means',100,1,10),
(336394,117631,'Inflicts 906 - 1510 ranged damage on target',100,1,0),
(336395,117631,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(336396,117631,'Slows target by 61.9%',100,2,2),
(336397,117631,'5% chance to dispel when target receives hostile action',100,2,3),
(336398,117631,'5% chance to dispel when target takes damage',100,2,4),
(336399,117631,'Must be flanking or behind',100,1,5),
(336400,117631,'Requires bow',100,1,6),
(336401,10117631,'Inflicts 679 - 1132 ranged damage on target',100,1,0),
(336402,10117631,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(336403,10117631,'Slows target by 61.9%',100,2,2),
(336404,10117631,'5% chance to dispel when target receives hostile action',100,2,3),
(336405,10117631,'5% chance to dispel when target takes damage',100,2,4),
(336406,10117631,'Must be flanking or behind',100,1,5),
(336407,10117631,'Requires bow',100,1,6),
(336408,178568,'When Equipped:',100,0,0),
(336409,178568,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(336410,10178568,'When Equipped:',100,0,0),
(336411,10178568,'Reduces cast time of beneficial spells by 1 percent.',100,1,1),
(336412,136026,'Applies Vampiric Requiem when Equipped.',100,0,0),
(336413,136026,'Increases base damage of spells and combat arts by 10%.',100,1,1),
(336414,136026,'When a combat art is used this spell will cast Vampiric Requiem on caster.  ',100,1,2),
(336415,136026,'Inflicts 5% of max health in focus damage on caster.',100,2,3),
(336416,136026,'On a damage spell hit this spell will cast Vampiric Requiem on caster.  ',100,1,4),
(336417,136026,'Inflicts 5% of max health in focus damage on caster.',100,2,5),
(336418,10136026,'Applies Vampiric Requiem when Equipped.',100,0,0),
(336419,10136026,'Increases base damage of spells and combat arts by 10%.',100,1,1),
(336420,10136026,'When a combat art is used this spell will cast Vampiric Requiem on caster.  ',100,1,2),
(336421,10136026,'Inflicts 5% of max health in focus damage on caster.',100,2,3),
(336422,10136026,'On a damage spell hit this spell will cast Vampiric Requiem on caster.  ',100,1,4),
(336423,10136026,'Inflicts 5% of max health in focus damage on caster.',100,2,5),
(336424,102942,'Inflicts 54 - 66 disease damage on target instantly and every 4 seconds',100,1,0),
(336425,10102942,'Inflicts 92 - 112 disease damage on target',100,1,0),
(336426,10102942,'Inflicts 71 - 86 disease damage on target every 4 seconds',100,1,1),
(336427,135190,'When Equipped:',100,0,0),
(336428,135190,'On a combat hit this spell may cast Silence II on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(336429,135190,'Stifles target',100,2,2),
(336430,135190,'Does not affect Epic targets',100,2,3),
(336431,135190,'Resistibility increases against targets higher than level 102.',100,2,4),
(336432,135190,'Cannot be modified except by direct means',100,2,5),
(336433,10135190,'When Equipped:',100,0,0),
(336434,10135190,'On a combat hit this spell may cast Silence II on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(336435,10135190,'Stifles target',100,2,2),
(336436,10135190,'Does not affect Epic targets',100,2,3),
(336437,10135190,'Resistibility increases against targets higher than level 102.',100,2,4),
(336438,10135190,'Cannot be modified except by direct means',100,2,5),
(336439,133434,'When Equipped:',100,0,0),
(336440,133434,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336441,133434,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(336442,133434,'Cannot be modified except by direct means',100,2,3),
(336443,133434,'When Equipped:',100,0,4),
(336444,133434,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(336445,133434,'Inflicts 2648 cold damage on target encounter',100,2,6),
(336446,133434,'Must not be engaged in pvp combat',100,2,7),
(336447,133434,'Cannot be modified except by direct means',100,2,8),
(336448,133434,'Must not be engaged in pvp combat',100,1,9),
(336449,10133434,'When Equipped:',100,0,0),
(336450,10133434,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336451,10133434,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(336452,10133434,'Cannot be modified except by direct means',100,2,3),
(336453,10133434,'When Equipped:',100,0,4),
(336454,10133434,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,5),
(336455,10133434,'Inflicts 1721 cold damage on target encounter',100,2,6),
(336456,10133434,'Must not be engaged in pvp combat',100,2,7),
(336457,10133434,'Cannot be modified except by direct means',100,2,8),
(336458,10133434,'Must not be engaged in pvp combat',100,1,9),
(336459,110484,'Stifles caster',100,1,0),
(336460,110484,'Increases power of caster by 24 instantly and every second',100,1,1),
(336461,10110484,'Stifles caster',100,1,0),
(336462,10110484,'Increases power of caster by 24 instantly and every second',100,1,1),
(336463,124743,'Inflicts 8 - 14 slashing damage on target',100,1,0),
(336464,124743,'Decreases Damage Per Second of target by 6.6',100,1,1),
(336465,124743,'Inflicts 11 slashing damage on target instantly and every 4 seconds',100,1,2),
(336466,10124743,'Inflicts 11 - 18 slashing damage on target',100,1,0),
(336467,10124743,'Decreases Damage Per Second of target by 6.6',100,1,1),
(336468,10124743,'Inflicts 15 slashing damage on target instantly and every 4 seconds',100,1,2),
(336469,36652,'Increases STR of target by 6.2',100,0,0),
(336470,36652,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(336471,37437,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(336472,45291,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(336473,45291,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(336474,45291,'Inflicts 166 poison damage on target',100,2,2),
(336475,45291,'Inflicts 86 poison damage on target instantly and every 6 seconds',100,2,3),
(336476,45291,'Cannot be modified except by direct means',100,2,4),
(336477,45291,'Grants a total of 200 triggers of the spell.',100,2,5),
(336478,10045291,'Applies barrier of blades when Activated.  Lasts for 12 hours.',100,0,0),
(336479,10045291,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(336480,10045291,'Inflicts 162 poison damage on target',100,2,2),
(336481,10045291,'Inflicts 84 poison damage on target instantly and every 6 seconds',100,2,3),
(336482,10045291,'Cannot be modified except by direct means',100,2,4),
(336483,10045291,'Grants a total of 200 triggers of the spell.',100,2,5),
(336484,109911,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(336485,109911,'Inflicts 89 - 109 poison damage on target instantly and every 4 seconds',100,2,1),
(336486,10109911,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(336487,10109911,'Inflicts 116 - 142 poison damage on target instantly and every 4 seconds',100,2,1),
(336488,111266,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(336489,111266,'Heals target for 1094',100,2,1),
(336490,111266,'Increases Mitigation of target vs physical damage by 690',100,2,2),
(336491,111266,'Grants a total of 1 trigger of the spell.',100,2,3),
(336492,10111266,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',100,1,0),
(336493,10111266,'Heals target for 711',100,2,1),
(336494,10111266,'Increases Mitigation of target vs physical damage by 690',100,2,2),
(336495,10111266,'Grants a total of 1 trigger of the spell.',100,2,3),
(336496,106829,'Decreases Crushing, Piercing, Slashing and Ranged of target by 9.0',100,1,0),
(336497,10106829,'Decreases Crushing, Piercing, Slashing and Ranged of target by 9.0',100,1,0),
(336498,104357,'Charms target',100,1,0),
(336499,104357,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(336500,104357,'Mesmerizes target',100,2,2),
(336501,104357,'Dispelled when target takes damage',100,2,3),
(336502,104357,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(336503,104357,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(336504,104357,'Grants Sonic Vision to caster',100,2,6),
(336505,104357,'Increases Out-of-Combat Power Regeneration of target by 29.2',100,1,7),
(336506,104357,'Increases Out-of-Combat Health Regeneration of target by 58.3',100,1,8),
(336507,104357,'Certain enemies cannot be charmed',100,1,9),
(336508,104357,'Does not affect Epic targets',100,1,10),
(336509,10104357,'Mesmerizes target',100,1,0),
(336510,10104357,'Prevents AOE (except when direct) ',100,1,1),
(336511,10104357,'Dispelled when target takes damage',100,1,2),
(336512,10104357,'Certain enemies cannot be charmed',100,1,3),
(336513,10104357,'Does not affect Epic targets',100,1,4),
(336514,10104357,'Resistibility increases against targets higher than level 90.',100,1,5),
(336515,71915,'When Equipped:',100,0,0),
(336516,71915,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336517,71915,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(336518,71915,'Cannot be modified except by direct means',100,2,3),
(336519,10071915,'When Equipped:',100,0,0),
(336520,10071915,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336521,10071915,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(336522,10071915,'Cannot be modified except by direct means',100,2,3),
(336523,148681,'When Equipped:',100,0,0),
(336524,148681,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336525,148681,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(336526,148681,'Cannot be modified except by direct means',100,2,3),
(336527,148681,'When Equipped:',100,0,4),
(336528,148681,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(336529,148681,'Heals group members (AE) for 2612',100,2,6),
(336530,148681,'Heals group members (AE) for 871 every 5 seconds',100,2,7),
(336531,148681,'Must not be engaged in pvp combat',100,2,8),
(336532,148681,'Cannot be modified except by direct means',100,2,9),
(336533,148681,'Must not be engaged in pvp combat',100,1,10),
(336534,10148681,'When Equipped:',100,0,0),
(336535,10148681,'On a spell cast this spell may cast Stigmatic Frenzy on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336536,10148681,'Increases Potency of group members (AE) by 5.0%',100,2,2),
(336537,10148681,'Cannot be modified except by direct means',100,2,3),
(336538,10148681,'When Equipped:',100,0,4),
(336539,10148681,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,5),
(336540,10148681,'Heals group members (AE) for 3056',100,2,6),
(336541,10148681,'Heals group members (AE) for 1019 every 5 seconds',100,2,7),
(336542,10148681,'Must not be engaged in pvp combat',100,2,8),
(336543,10148681,'Cannot be modified except by direct means',100,2,9),
(336544,10148681,'Must not be engaged in pvp combat',100,1,10),
(336545,109984,'Inflicts 917 - 1375 disease damage on targets in Area of Effect',100,1,0),
(336546,109984,'Inflicts 458 - 688 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(336547,109984,'Increases threat priority of targets in Area of Effect by 2 positions',100,1,2),
(336548,109984,'Increases Threat to targets in Area of Effect by 3,861 - 4,719  instantly and every 4 seconds thereafter',100,1,3),
(336549,10109984,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(336550,10109984,'Prevents target from changing targets',100,2,1),
(336551,10109984,'Forces target to change their selected target to caster.',100,2,2),
(336552,10109984,'Inflicts 1192 - 1788 disease damage on targets in Area of Effect',100,1,3),
(336553,10109984,'Inflicts 596 - 894 disease damage on targets in Area of Effect every 4 seconds',100,1,4),
(336554,105536,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 37.4',100,1,0),
(336555,10105536,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 37.4',100,1,0),
(336556,54068,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,0),
(336557,54068,'Increases the chance of all procs by 25 percent.',100,1,1),
(336558,54068,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(336559,10054068,'Applies Asphyxiating Sorcery when Activated.  Lasts for 30.0 seconds.',100,0,0),
(336560,10054068,'Increases the chance of all procs by 25 percent.',100,1,1),
(336561,10054068,'The casting time of Asphyxiating Sorcery is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(336562,104631,'Inflicts 86 - 144 crushing damage on target',100,1,0),
(336563,104631,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 13.0',100,1,1),
(336564,10104631,'Inflicts 113 - 188 crushing damage on target',100,1,0),
(336565,10104631,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 13.0',100,1,1),
(336566,24635,'Adds Poet''s Palace: Golden Bed to your Dungeon Maker toolbox',100,0,0),
(336567,10024635,'Adds Poet''s Palace: Golden Bed to your Dungeon Maker toolbox',100,0,0),
(336568,108909,'Inflicts 984 heat damage on target',100,1,0),
(336569,108909,'Inflicts 984 cold damage on target',100,1,1),
(336570,108909,'Slows target by 73.9%',100,1,2),
(336571,10108909,'Inflicts 1280 heat damage on target',100,1,0),
(336572,10108909,'Inflicts 1280 cold damage on target',100,1,1),
(336573,10108909,'Slows target by 73.9%',100,1,2),
(336574,139206,'When Equipped:',100,0,0),
(336575,139206,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,1),
(336576,139206,'Inflicts 3442 - 3804 piercing damage on target encounter',100,2,2),
(336577,139206,'Heals group members (AE) for 3767 - 4164',100,2,3),
(336578,139206,'Must not be engaged in pvp combat',100,2,4),
(336579,139206,'Cannot be modified except by direct means',100,2,5),
(336580,139206,'This effect will not stack with itself.',100,1,6),
(336581,139206,'Must not be engaged in pvp combat',100,1,7),
(336582,10139206,'When Equipped:',100,0,0),
(336583,10139206,'On any combat or spell hit this spell may cast Vitality Shift on target of attack.  Lasts for 1.0 second.  Triggers about 2.2 times per minute. ',100,1,1),
(336584,10139206,'Inflicts 4474 - 4945 piercing damage on target encounter',100,2,2),
(336585,10139206,'Heals group members (AE) for 4408 - 4872',100,2,3),
(336586,10139206,'Must not be engaged in pvp combat',100,2,4),
(336587,10139206,'Cannot be modified except by direct means',100,2,5),
(336588,10139206,'This effect will not stack with itself.',100,1,6),
(336589,10139206,'Must not be engaged in pvp combat',100,1,7),
(336590,108992,'Decreases Damage Per Second of target by 12.7',100,1,0),
(336591,108992,'Inflicts 36 - 45 melee damage on target',100,1,1),
(336592,10108992,'Decreases Damage Per Second of target by 12.7',100,1,0),
(336593,10108992,'Inflicts 48 - 58 melee damage on target',100,1,1),
(336594,81580,'When Equipped:',100,0,0),
(336595,81580,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(336596,81580,'Decreases Threat to target by 376 ',100,2,2),
(336597,81580,'Must be flanking or behind',100,3,3),
(336598,81580,'Increases Threat to target by 376 ',100,2,4),
(336599,81580,'Must be in front of',100,3,5),
(336600,81580,'Inflicts 111 - 205 magic damage on target',100,2,6),
(336601,81580,'Cannot be modified except by direct means',100,2,7),
(336602,10081580,'When Equipped:',100,0,0),
(336603,10081580,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(336604,10081580,'Inflicts 144 - 267 magic damage on target',100,2,2),
(336605,10081580,'Cannot be modified except by direct means',100,2,3),
(336606,36927,'Increases STR of target by 6.2',100,0,0),
(336607,36927,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(336608,104843,'Causes 2% Threat to transfer to target when in combat',100,1,0),
(336609,104843,'If Fighter',100,2,1),
(336610,104843,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(336611,104843,'Increases power of target by 62',100,2,3),
(336612,104843,'Increases power of caster by 62',100,2,4),
(336613,10104843,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(336614,10104843,'Increases power of target by 62',100,2,1),
(336615,10104843,'Increases power of caster by 62',100,2,2),
(336616,119441,'Inflicts 80 - 133 melee damage on target',100,1,0),
(336617,119441,'Inflicts 58 piercing damage on target instantly and every 4 seconds',100,1,1),
(336618,119441,'Must be flanking or behind',100,1,2),
(336619,10119441,'Inflicts 104 - 174 melee damage on target',100,1,0),
(336620,10119441,'Inflicts 75 piercing damage on target instantly and every 4 seconds',100,1,1),
(336621,10119441,'Must be flanking or behind',100,1,2),
(336622,120088,'Inflicts 302 - 503 mental damage on target',100,1,0),
(336623,120088,'Inflicts 302 - 503 mental damage on target',100,1,1),
(336624,120088,'Stifles target',100,1,2),
(336625,120088,'If Target is not Epic',100,2,3),
(336626,120088,'If weapon equipped in Ranged',100,1,4),
(336627,120088,'Resistibility increases against targets higher than level 110.',100,1,5),
(336628,10120088,'Inflicts 302 - 503 mental damage on target',100,1,0),
(336629,10120088,'Inflicts 302 - 503 mental damage on target',100,1,1),
(336630,10120088,'Stifles target',100,1,2),
(336631,10120088,'If Target is not Epic',100,2,3),
(336632,10120088,'If weapon equipped in Ranged',100,1,4),
(336633,10120088,'Resistibility increases against targets higher than level 110.',100,1,5),
(336634,26442,'When Equipped:',100,0,0),
(336635,26442,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(336636,26442,'Inflicts 205 magic damage on target',100,2,2),
(336637,26442,'Cannot be modified except by direct means',100,2,3),
(336638,10026442,'When Equipped:',100,0,0),
(336639,10026442,'On a combat hit this spell may cast Mystic Feedback on target of attack.  Triggers about 1.0 times per minute. ',100,1,1),
(336640,10026442,'Inflicts 267 magic damage on target',100,2,2),
(336641,10026442,'Cannot be modified except by direct means',100,2,3),
(336642,119564,'Wards group members (AE) against 2548 points of arcane damage',100,1,0),
(336643,119564,'Increases Mitigation of group members (AE) vs arcane damage by 1367',100,1,1),
(336644,10119564,'Wards group members (AE) against 2548 points of arcane damage',100,1,0),
(336645,10119564,'Increases Mitigation of group members (AE) vs arcane damage by 1367',100,1,1),
(336646,136759,'When Equipped:',100,0,0),
(336647,136759,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336648,136759,'Decreases power of target by 95',100,2,2),
(336649,136759,'Increases power of caster by 147',100,2,3),
(336650,136759,'Cannot be modified except by direct means',100,2,4),
(336651,10136759,'When Equipped:',100,0,0),
(336652,10136759,'On a combat hit this spell may cast Energy Drain on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336653,10136759,'Decreases power of target by 95',100,2,2),
(336654,10136759,'Increases power of caster by 147',100,2,3),
(336655,10136759,'Cannot be modified except by direct means',100,2,4),
(336656,176106,'When Equipped:',100,0,0),
(336657,176106,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336658,176106,'Decreases Threat to target by 500 ',100,2,2),
(336659,176106,'Cannot be modified except by direct means',100,2,3),
(336660,10176106,'When Equipped:',100,0,0),
(336661,10176106,'On a combat hit this spell may cast Memory Lapse on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336662,10176106,'Cannot be modified except by direct means',100,2,2),
(336663,47552,'Applies Play the Lute when Activated.',100,0,0),
(336664,47552,'Enables you to play the lute.',100,1,1),
(336665,10047552,'Applies Play the Lute when Activated.',100,0,0),
(336666,10047552,'Enables you to play the lute.',100,1,1),
(336667,110433,'Dazes targets in Area of Effect',100,1,0),
(336668,110433,'If Target is not Epic',100,2,1),
(336669,110433,'Decreases Threat to targets in Area of Effect by 455 ',100,1,2),
(336670,110433,'Dispelled when target receives hostile action',100,1,3),
(336671,110433,'Dispelled when target takes damage',100,1,4),
(336672,10110433,'Dazes targets in Area of Effect',100,1,0),
(336673,10110433,'If Target is not Epic',100,2,1),
(336674,10110433,'Applies Distract.',100,1,2),
(336675,10110433,'Forces target to clear their selected target.',100,2,3),
(336676,10110433,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(336677,10110433,'Dispelled when target receives hostile action',100,1,5),
(336678,10110433,'Dispelled when target takes damage',100,1,6),
(336679,103322,'Inflicts 218 - 267 mental damage on target instantly and every 6 seconds',100,1,0),
(336680,103322,'Applies Migraine on termination.',100,1,1),
(336681,103322,'Inflicts 476 - 644 mental damage on target',100,2,2),
(336682,10103322,'Inflicts 284 - 347 mental damage on target instantly and every 6 seconds',100,1,0),
(336683,10103322,'Applies Migraine on termination.',100,1,1),
(336684,10103322,'Inflicts 619 - 837 mental damage on target',100,2,2),
(336685,192081,'When Equipped:',100,0,0),
(336686,192081,'Reduces physical damage done to target by 2%',100,1,1),
(336687,10192081,'When Equipped:',100,0,0),
(336688,10192081,'Reduces physical damage done to target by 2%',100,1,1),
(336689,71956,'When Equipped:',100,0,0),
(336690,71956,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336691,71956,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(336692,71956,'Cannot be modified except by direct means',100,2,3),
(336693,10071956,'When Equipped:',100,0,0),
(336694,10071956,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336695,10071956,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(336696,10071956,'Cannot be modified except by direct means',100,2,3),
(336697,106086,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(336698,10106086,'Wards target against all damage. The amount is increased the closer the ally is to death.',100,1,0),
(336699,112065,'Inflicts 18 - 34 heat damage on target instantly and every 3 seconds',100,1,0),
(336700,10112065,'Inflicts 24 - 44 heat damage on target instantly and every 3 seconds',100,1,0),
(336701,54439,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(336702,54439,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(336703,54439,'Inflicts 34 heat damage on target',100,2,2),
(336704,54439,'Cannot be modified except by direct means',100,2,3),
(336705,10054439,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(336706,10054439,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(336707,10054439,'Inflicts 44 heat damage on target',100,2,2),
(336708,10054439,'Cannot be modified except by direct means',100,2,3),
(336709,26091,'When Equipped:',100,0,0),
(336710,26091,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(336711,26091,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(336712,10026091,'When Equipped:',100,0,0),
(336713,10026091,'Reduces the reuse time of Doppelganger II by 120 seconds.',100,1,1),
(336714,10026091,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(336715,89010,'When Equipped:',100,0,0),
(336716,89010,'On a combat hit this spell may cast Mark of the Imprisoned on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336717,89010,'Increases Defense of caster by 8.0',100,2,2),
(336718,89010,'Inflicts 1043 divine damage on target',100,2,3),
(336719,89010,'Heals caster for 1138',100,2,4),
(336720,89010,'Cannot be modified except by direct means',100,2,5),
(336721,10089010,'When Equipped:',100,0,0),
(336722,10089010,'On a combat hit this spell may cast Mark of the Imprisoned on target of attack.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336723,10089010,'Increases Defense of caster by 8.0',100,2,2),
(336724,10089010,'Inflicts 1356 divine damage on target',100,2,3),
(336725,10089010,'Heals caster for 740',100,2,4),
(336726,10089010,'Cannot be modified except by direct means',100,2,5),
(336727,48470,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(336728,48470,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(336729,48470,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(336730,48470,'Cannot be modified except by direct means',100,2,3),
(336731,48470,'Grants a total of 80 triggers of the spell.',100,2,4),
(336732,10048470,'Applies mystical influence when Activated.  Lasts for 12 hours.',100,0,0),
(336733,10048470,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(336734,10048470,'Decreases Mitigation of target vs noxious damage by 44',100,2,2),
(336735,10048470,'Cannot be modified except by direct means',100,2,3),
(336736,10048470,'Grants a total of 80 triggers of the spell.',100,2,4),
(336737,84017,'Applies Lightning Shock when Activated.',100,0,0),
(336738,84017,'Inflicts 53 - 89 magic damage on target',100,1,1),
(336739,84017,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(336740,10084017,'Applies Lightning Shock when Activated.',100,0,0),
(336741,10084017,'Inflicts 69 - 115 magic damage on target',100,1,1),
(336742,10084017,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(336743,107111,'Inflicts 503 - 615 divine damage on target',100,1,0),
(336744,10107111,'Inflicts 654 - 799 divine damage on target',100,1,0),
(336745,82508,'When Equipped:',100,0,0),
(336746,82508,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336747,82508,'Inflicts 169 - 314 magic damage on target',100,2,2),
(336748,82508,'Cannot be modified except by direct means',100,2,3),
(336749,10082508,'When Equipped:',100,0,0),
(336750,10082508,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336751,10082508,'Inflicts 220 - 409 magic damage on target',100,2,2),
(336752,10082508,'Cannot be modified except by direct means',100,2,3),
(336753,49017,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(336754,49017,'Launches a firework when used.',100,1,1),
(336755,10049017,'Applies Tinkerfest firework when Activated.  Lasts for 3.0 seconds.',100,0,0),
(336756,10049017,'Launches a firework when used.',100,1,1),
(336757,36952,'Increases WIS of target by 8.4',100,0,0),
(336758,36952,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(336759,105246,'Increases Threat to target by 237 ',100,1,0),
(336760,105246,'Interrupts target',100,1,1),
(336761,105246,'Dispels 40 levels of arcane beneficial effects on target',100,1,2),
(336762,10105246,'Forces target to change their selected target to caster.',100,1,0),
(336763,10105246,'Interrupts target',100,1,1),
(336764,10105246,'Dispels 40 levels of arcane beneficial effects on target',100,1,2),
(336765,46958,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(336766,46958,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(336767,46958,'Inflicts 87 poison damage on target',100,2,2),
(336768,46958,'Inflicts 45 poison damage on target instantly and every 6 seconds',100,2,3),
(336769,46958,'Cannot be modified except by direct means',100,2,4),
(336770,46958,'Grants a total of 200 triggers of the spell.',100,2,5),
(336771,10046958,'Applies hateful indignance when Activated.  Lasts for 12 hours.',100,0,0),
(336772,10046958,'On a combat hit this spell may cast Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(336773,10046958,'Inflicts 85 poison damage on target',100,2,2),
(336774,10046958,'Inflicts 44 poison damage on target instantly and every 6 seconds',100,2,3),
(336775,10046958,'Cannot be modified except by direct means',100,2,4),
(336776,10046958,'Grants a total of 200 triggers of the spell.',100,2,5),
(336777,175531,'When Equipped:',100,0,0),
(336778,175531,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336779,175531,'Reduces resistibility by 10%.',100,2,2),
(336780,175531,'Cannot be modified except by direct means',100,2,3),
(336781,10175531,'When Equipped:',100,0,0),
(336782,10175531,'On a damage spell hit this spell may cast Enigmatic Wording on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(336783,10175531,'Reduces resistibility by 10%.',100,2,2),
(336784,10175531,'Cannot be modified except by direct means',100,2,3),
(336785,112328,'Applies Insolent Gibe.',100,1,0),
(336786,112328,'Increases Threat to targets in Area of Effect by 1,483 - 2,224 ',100,2,1),
(336787,112328,'Applies Insolent Assault.',100,1,2),
(336788,112328,'Inflicts 815 - 1223 melee damage on targets in area',100,2,3),
(336789,112328,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(336790,112328,'Increases Threat to target encounter by 556 - 679 ',100,2,5),
(336791,10112328,'Applies Insolent Gibe.',100,1,0),
(336792,10112328,'Forces targets in Area of Effect to change their selected target to caster.',100,2,1),
(336793,10112328,'Applies Insolent Assault.',100,1,2),
(336794,10112328,'Inflicts 1060 - 1590 melee damage on targets in area',100,2,3),
(336795,10112328,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',100,1,4),
(336796,10112328,'Forces target encounter to change their selected target to caster.',100,2,5),
(336797,42517,'When Equipped:',100,0,0),
(336798,42517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336799,42517,'Inflicts 51 - 76 magic damage on target',100,2,2),
(336800,42517,'Cannot be modified except by direct means',100,2,3),
(336801,10042517,'When Equipped:',100,0,0),
(336802,10042517,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336803,10042517,'Inflicts 66 - 99 magic damage on target',100,2,2),
(336804,10042517,'Cannot be modified except by direct means',100,2,3),
(336805,177564,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(336806,177564,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(336807,177564,'Inflicts 46 heat damage on target',100,2,2),
(336808,177564,'Cannot be modified except by direct means',100,2,3),
(336809,10177564,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(336810,10177564,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(336811,10177564,'Inflicts 60 heat damage on target',100,2,2),
(336812,10177564,'Cannot be modified except by direct means',100,2,3),
(336813,48053,'Applies Leash when Activated.',100,0,0),
(336814,10048053,'Applies Leash when Activated.',100,0,0),
(336815,104338,'Charms target',100,1,0),
(336816,104338,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',100,1,1),
(336817,104338,'Mesmerizes target',100,2,2),
(336818,104338,'Dispelled when target takes damage',100,2,3),
(336819,104338,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',100,2,4),
(336820,104338,'Applies Warning on termination.  Lasts for 0.5 seconds.',100,1,5),
(336821,104338,'Grants Sonic Vision to caster',100,2,6),
(336822,104338,'Increases Out-of-Combat Power Regeneration of target by 9.8',100,1,7),
(336823,104338,'Increases Out-of-Combat Health Regeneration of target by 19.6',100,1,8),
(336824,104338,'Certain enemies cannot be charmed',100,1,9),
(336825,104338,'Does not affect Epic targets',100,1,10),
(336826,10104338,'Mesmerizes target',100,1,0),
(336827,10104338,'Prevents AOE (except when direct) ',100,1,1),
(336828,10104338,'Dispelled when target takes damage',100,1,2),
(336829,10104338,'Certain enemies cannot be charmed',100,1,3),
(336830,10104338,'Does not affect Epic targets',100,1,4),
(336831,10104338,'Resistibility increases against targets higher than level 49.',100,1,5),
(336832,105763,'Inflicts 19 - 23 heat damage on target',100,1,0),
(336833,10105763,'Inflicts 32 - 40 heat damage on target',100,1,0),
(336834,80379,'When Equipped:',100,0,0),
(336835,80379,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336836,80379,'Inflicts 46 - 86 magic damage on target',100,2,2),
(336837,80379,'Cannot be modified except by direct means',100,2,3),
(336838,10080379,'When Equipped:',100,0,0),
(336839,10080379,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336840,10080379,'Inflicts 60 - 112 magic damage on target',100,2,2),
(336841,10080379,'Cannot be modified except by direct means',100,2,3),
(336842,111640,'Inflicts 96 - 117 cold damage on target encounter',100,1,0),
(336843,111640,'Slows target encounter by 34.4%',100,1,1),
(336844,111640,'5% chance to dispel when target takes damage',100,1,2),
(336845,111640,'5% chance to dispel when target receives hostile action',100,1,3),
(336846,10111640,'Inflicts 166 - 203 cold damage on target encounter',100,1,0),
(336847,10111640,'Slows target encounter by 34.4%',100,1,1),
(336848,10111640,'5% chance to dispel when target takes damage',100,1,2),
(336849,10111640,'5% chance to dispel when target receives hostile action',100,1,3),
(336850,163439,'When Equipped:',100,0,0),
(336851,163439,'Increases Attack Speed of caster by 45.0',100,1,1),
(336852,10163439,'When Equipped:',100,0,0),
(336853,10163439,'Increases Attack Speed of caster by 45.0',100,1,1),
(336854,108842,'Inflicts 45 - 76 melee damage on target',100,1,0),
(336855,108842,'Inflicts 45 - 76 melee damage on target',100,1,1),
(336856,108842,'Inflicts 45 - 76 melee damage on target',100,1,2),
(336857,108842,'Inflicts 45 - 76 melee damage on target',100,1,3),
(336858,108842,'Inflicts 45 - 76 melee damage on target',100,1,4),
(336859,10108842,'Inflicts 59 - 98 melee damage on target',100,1,0),
(336860,10108842,'Inflicts 59 - 98 melee damage on target',100,1,1),
(336861,10108842,'Inflicts 59 - 98 melee damage on target',100,1,2),
(336862,10108842,'Inflicts 59 - 98 melee damage on target',100,1,3),
(336863,10108842,'Inflicts 59 - 98 melee damage on target',100,1,4),
(336864,89873,'When Equipped:',100,0,0),
(336865,89873,'On a combat hit this spell may cast Flame Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336866,89873,'Inflicts 246 - 409 heat damage on target',100,2,2),
(336867,89873,'Cannot be modified except by direct means',100,2,3),
(336868,10089873,'When Equipped:',100,0,0),
(336869,10089873,'On a combat hit this spell may cast Flame Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336870,10089873,'Inflicts 319 - 532 heat damage on target',100,2,2),
(336871,10089873,'Cannot be modified except by direct means',100,2,3),
(336872,71927,'When Equipped:',100,0,0),
(336873,71927,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336874,71927,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(336875,71927,'Cannot be modified except by direct means',100,2,3),
(336876,10071927,'When Equipped:',100,0,0),
(336877,10071927,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(336878,10071927,'Increases the damage and healing amount of the caster''s spells by 120',100,2,2),
(336879,10071927,'Cannot be modified except by direct means',100,2,3),
(336880,105575,'Inflicts 217 - 403 disease damage on target',100,1,0),
(336881,105575,'Inflicts 130 - 242 disease damage on target every 2 seconds',100,1,1),
(336882,10105575,'Inflicts 282 - 523 disease damage on target',100,1,0),
(336883,10105575,'Inflicts 169 - 314 disease damage on target every 2 seconds',100,1,1),
(336884,103838,'Increases Ability Casting Speed of raid and group members (AE) by 8.3%',100,1,0),
(336885,103838,'Increases Attack Speed of raid and group members (AE) by 20.9',100,1,1),
(336886,10103838,'Increases Ability Casting Speed of raid and group members (AE) by 8.3%',100,1,0),
(336887,10103838,'Increases Attack Speed of raid and group members (AE) by 20.9',100,1,1),
(336888,82445,'When Equipped:',100,0,0),
(336889,82445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336890,82445,'Inflicts 169 - 314 magic damage on target',100,2,2),
(336891,82445,'Cannot be modified except by direct means',100,2,3),
(336892,10082445,'When Equipped:',100,0,0),
(336893,10082445,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336894,10082445,'Inflicts 220 - 408 magic damage on target',100,2,2),
(336895,10082445,'Cannot be modified except by direct means',100,2,3),
(336896,48110,'Applies First Aid Bandaging when Activated.  Lasts for 24.0 seconds.',100,0,0),
(336897,48110,'Heals caster for 222 instantly and every 6 seconds',100,1,1),
(336898,10048110,'Applies First Aid Bandaging when Activated.  Lasts for 24.0 seconds.',100,0,0),
(336899,10048110,'Heals caster for 144 instantly and every 6 seconds',100,1,1),
(336900,122031,'Increases Threat to target by 94 - 115 ',100,1,0),
(336901,122031,'Inflicts 11 - 19 melee damage on target',100,1,1),
(336902,10122031,'Forces target to change their selected target to caster.',100,1,0),
(336903,10122031,'Inflicts 15 - 25 melee damage on target',100,1,1),
(336904,119077,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(336905,119077,'Increases Parry and Deflection of group members (AE) by 9.4',100,1,1),
(336906,119077,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(336907,119077,'Decreases Threat to target encounter by 341 - 416 ',100,2,3),
(336908,119077,'If not fighter',100,3,4),
(336909,119077,'Increases Threat to target encounter by 341 - 416 ',100,2,5),
(336910,119077,'If fighter',100,3,6),
(336911,119077,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,7),
(336912,119077,'Decreases Threat to target encounter by 341 - 416 ',100,2,8),
(336913,119077,'If not fighter',100,3,9),
(336914,119077,'Increases Threat to target encounter by 341 - 416 ',100,2,10),
(336915,119077,'If fighter',100,3,11),
(336916,10119077,'Increases group members (AE)''s chance to block by 14.0%',100,1,0),
(336917,10119077,'Increases Parry and Deflection of group members (AE) by 9.4',100,1,1),
(336918,10119077,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',100,1,2),
(336919,10119077,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',100,1,3),
(336920,113150,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,0),
(336921,113150,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(336922,113150,'Inflicts 163 disease damage on target',100,2,2),
(336923,113150,'Heals caster for 119',100,2,3),
(336924,113150,'Shapechanges caster into a demilich',100,1,4),
(336925,10113150,'Increases power of caster by 1.1% instantly and every 6 seconds',100,1,0),
(336926,10113150,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',100,1,1),
(336927,10113150,'Inflicts 212 disease damage on target',100,2,2),
(336928,10113150,'Heals caster for 77',100,2,3),
(336929,10113150,'Shapechanges caster into a demilich',100,1,4),
(336930,108999,'Decreases Damage Per Second of target by 21.9',100,1,0),
(336931,108999,'Inflicts 107 - 131 melee damage on target',100,1,1),
(336932,10108999,'Decreases Damage Per Second of target by 21.9',100,1,0),
(336933,10108999,'Inflicts 140 - 171 melee damage on target',100,1,1),
(336934,81444,'When Equipped:',100,0,0),
(336935,81444,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336936,81444,'Inflicts 80 - 149 magic damage on target',100,2,2),
(336937,81444,'Cannot be modified except by direct means',100,2,3),
(336938,10081444,'When Equipped:',100,0,0),
(336939,10081444,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336940,10081444,'Inflicts 104 - 193 magic damage on target',100,2,2),
(336941,10081444,'Cannot be modified except by direct means',100,2,3),
(336942,114290,'Heals target for 313 - 382',100,1,0),
(336943,10114290,'Heals target for 368 - 449',100,1,0),
(336944,80926,'When Equipped:',100,0,0),
(336945,80926,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336946,80926,'Inflicts 175 - 324 magic damage on target',100,2,2),
(336947,80926,'Cannot be modified except by direct means',100,2,3),
(336948,10080926,'When Equipped:',100,0,0),
(336949,10080926,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(336950,10080926,'Inflicts 227 - 421 magic damage on target',100,2,2),
(336951,10080926,'Cannot be modified except by direct means',100,2,3),
(336952,159431,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(336953,159431,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(336954,159431,'Inflicts 46 heat damage on target',100,2,2),
(336955,159431,'Cannot be modified except by direct means',100,2,3),
(336956,10159431,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(336957,10159431,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(336958,10159431,'Inflicts 60 heat damage on target',100,2,2),
(336959,10159431,'Cannot be modified except by direct means',100,2,3),
(336960,159811,'Applies Sanguine Imbued when Equipped.',100,0,0),
(336961,159811,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(336962,159811,'Inflicts 56 heat damage on target',100,2,2),
(336963,159811,'Cannot be modified except by direct means',100,2,3),
(336964,10159811,'Applies Sanguine Imbued when Equipped.',100,0,0),
(336965,10159811,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(336966,10159811,'Inflicts 73 heat damage on target',100,2,2),
(336967,10159811,'Cannot be modified except by direct means',100,2,3),
(336968,109190,'Roots target',100,1,0),
(336969,109190,'Applies Blind.  Lasts for 9.0 seconds.',100,1,1),
(336970,109190,'Blurs vision of target',100,2,2),
(336971,109190,'Dazes target',100,2,3),
(336972,109190,'Dispelled when target takes damage',100,2,4),
(336973,109190,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,2,5),
(336974,109190,'5% chance to dispel when target takes damage',100,1,6),
(336975,109190,'Epic targets gain an immunity to Root effects of 2 minutes 39 seconds and duration is reduced to 17.7 seconds.',100,1,7),
(336976,109190,'Resistibility increases against targets higher than level 112.',100,1,8),
(336977,10109190,'Roots target',100,1,0),
(336978,10109190,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(336979,10109190,'Dazes target',100,2,2),
(336980,10109190,'Blurs vision of target',100,2,3),
(336981,10109190,'Dispelled when target takes damage',100,2,4),
(336982,10109190,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(336983,10109190,'5% chance to dispel when target takes damage',100,1,6),
(336984,10109190,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(336985,10109190,'Resistibility increases against targets higher than level 112.',100,1,8),
(336986,36005,'Increases STA of target by 6.2',100,0,0),
(336987,36005,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(336988,110532,'Increases Threat to target by 923  instantly and by 384  every 3 seconds thereafter',100,1,0),
(336989,110532,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(336990,110532,'Stuns target',100,2,2),
(336991,110532,'Blurs vision of target',100,2,3),
(336992,110532,'Throws target back',100,2,4),
(336993,110532,'Does not affect Epic targets',100,2,5),
(336994,110532,'Inflicts 160 - 267 disease damage on target',100,1,6),
(336995,10110532,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(336996,10110532,'Stuns target',100,2,1),
(336997,10110532,'Blurs vision of target',100,2,2),
(336998,10110532,'Throws target back',100,2,3),
(336999,10110532,'Does not affect Epic targets',100,2,4),
(337000,10110532,'Forces target to change their selected target to caster.',100,1,5),
(337001,10110532,'Inflicts 173 - 289 disease damage on target',100,1,6),
(337002,10110532,'Prevents target from changing targets',100,1,7),
(337003,108817,'Inflicts 548 - 1017 heat damage on targets in Area of Effect',100,1,0),
(337004,10108817,'Inflicts 712 - 1322 heat damage on targets in Area of Effect',100,1,0),
(337005,101343,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(337006,101343,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 360',100,1,1),
(337007,101343,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,2),
(337008,10101343,'Increases Max Health of group members (AE) by 1,003.2',100,1,0),
(337009,10101343,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 360',100,1,1),
(337010,10101343,'Increases Mitigation of group members (AE) vs physical damage by 1654',100,1,2),
(337011,106075,'Increases AGI of caster by 124.9',100,1,0),
(337012,106075,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(337013,106075,'Inflicts 178 - 296 disease damage on target',100,2,2),
(337014,106075,'Adds 17.2% to base avoidance.',100,1,3),
(337015,106075,'Increases Mitigation of caster vs physical damage by 608',100,1,4),
(337016,106075,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,5),
(337017,10106075,'Increases AGI of caster by 124.9',100,1,0),
(337018,10106075,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',100,1,1),
(337019,10106075,'Inflicts 231 - 385 disease damage on target',100,2,2),
(337020,10106075,'Adds 17.2% to base avoidance.',100,1,3),
(337021,10106075,'Increases Mitigation of caster vs physical damage by 608',100,1,4),
(337022,10106075,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',100,1,5),
(337023,112231,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(337024,112231,'Inflicts 28 disease damage on target',100,2,1),
(337025,112231,'Increases Threat to target by 66 ',100,2,2),
(337026,112231,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',100,1,3),
(337027,10112231,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',100,1,0),
(337028,10112231,'Inflicts 36 disease damage on target',100,2,1),
(337029,10112231,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',100,1,2),
(337030,159985,'Applies Sanguine Imbued when Equipped.',100,0,0),
(337031,159985,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(337032,159985,'Inflicts 79 heat damage on target',100,2,2),
(337033,159985,'Cannot be modified except by direct means',100,2,3),
(337034,10159985,'Applies Sanguine Imbued when Equipped.',100,0,0),
(337035,10159985,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(337036,10159985,'Inflicts 103 heat damage on target',100,2,2),
(337037,10159985,'Cannot be modified except by direct means',100,2,3),
(337038,117282,'Inflicts 165 - 275 melee damage on target',100,1,0),
(337039,117282,'Decreases Damage Per Second of target by 10.3',100,1,1),
(337040,117282,'Decreases Attack Speed of target by 8.0',100,1,2),
(337041,10117282,'Inflicts 214 - 357 melee damage on target',100,1,0),
(337042,10117282,'Decreases Damage Per Second of target by 10.3',100,1,1),
(337043,10117282,'Decreases Attack Speed of target by 8.0',100,1,2),
(337044,118300,'Roots target encounter',100,1,0),
(337045,118300,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',100,1,1),
(337046,118300,'Slows target by 38.0%',100,2,2),
(337047,118300,'5% chance to dispel when target receives hostile action',100,2,3),
(337048,118300,'5% chance to dispel when target takes damage',100,2,4),
(337049,118300,'20% chance to dispel when target takes damage',100,1,5),
(337050,118300,'Does not affect Epic targets',100,1,6),
(337051,118300,'Resistibility increases against targets higher than level 69.',100,1,7),
(337052,10118300,'Roots target encounter',100,1,0),
(337053,10118300,'Applies Icy Grasp on termination.  Lasts for 5.0 seconds.',100,1,1),
(337054,10118300,'Slows target by 38.0%',100,2,2),
(337055,10118300,'5% chance to dispel when target receives hostile action',100,2,3),
(337056,10118300,'5% chance to dispel when target takes damage',100,2,4),
(337057,10118300,'20% chance to dispel when target takes damage',100,1,5),
(337058,10118300,'Does not affect Epic targets',100,1,6),
(337059,10118300,'Resistibility increases against targets higher than level 69.',100,1,7),
(337060,110013,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(337061,110013,'Inflicts 25 - 42 disease damage on target',100,2,1),
(337062,110013,'Heals caster for 17 - 28',100,2,2),
(337063,110013,'This effect cannot be critically applied.',100,3,3),
(337064,110013,'The healing of this spell cannot be modified except by direct means',100,2,4),
(337065,10110013,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(337066,10110013,'Inflicts 33 - 54 disease damage on target',100,2,1),
(337067,10110013,'Heals caster for 5 - 8',100,2,2),
(337068,10110013,'This effect cannot be critically applied.',100,3,3),
(337069,10110013,'The healing of this spell cannot be modified except by direct means',100,2,4),
(337070,123224,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(337071,123224,'Inflicts 141 - 172 disease damage on target',100,2,1),
(337072,123224,'Heals caster for 2.7 - 3.3% of max health',100,2,2),
(337073,123224,'This effect cannot be critically applied.',100,3,3),
(337074,123224,'The healing of this spell cannot be modified except by direct means',100,2,4),
(337075,123224,'Grants a total of 5 triggers of the spell.',100,2,5),
(337076,10123224,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(337077,10123224,'Inflicts 183 - 224 disease damage on target',100,2,1),
(337078,10123224,'Heals caster for 1.0 - 1.2% of max health',100,2,2),
(337079,10123224,'This effect cannot be critically applied.',100,3,3),
(337080,10123224,'The healing of this spell cannot be modified except by direct means',100,2,4),
(337081,10123224,'Grants a total of 5 triggers of the spell.',100,2,5),
(337082,159624,'When Equipped:',100,0,0),
(337083,159624,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337084,159624,'Increases INT of caster by 23.1',100,2,2),
(337085,159624,'Increases Disruption, Subjugation and Focus of caster by 13.1',100,2,3),
(337086,159624,'Cannot be modified except by direct means',100,2,4),
(337087,10159624,'When Equipped:',100,0,0),
(337088,10159624,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337089,10159624,'Increases INT of caster by 23.1',100,2,2),
(337090,10159624,'Increases Disruption, Subjugation and Focus of caster by 13.1',100,2,3),
(337091,10159624,'Cannot be modified except by direct means',100,2,4),
(337092,114845,'Decreases AGI of target by 6.8',100,1,0),
(337093,114845,'Decreases Defense of target by 2.2',100,1,1),
(337094,10114845,'Decreases AGI of target by 6.8',100,1,0),
(337095,10114845,'Decreases Defense of target by 2.2',100,1,1),
(337096,111375,'Inflicts 224 - 374 disease damage on target',100,1,0),
(337097,111375,'Heals caster for 147 - 245',100,1,1),
(337098,10111375,'Inflicts 291 - 486 disease damage on target',100,1,0),
(337099,10111375,'Heals caster for 95 - 159',100,1,1),
(337100,104816,'Increases caster''s chance to block by 10.0%',100,1,0),
(337101,104816,'Decreases Attack Speed of caster by 17.8',100,1,1),
(337102,104816,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(337103,104816,'Increases Parry of caster by 38.7',100,1,3),
(337104,104816,'Increases Defense of caster by 38.7',100,1,4),
(337105,10104816,'Increases caster''s chance to block by 10.0%',100,1,0),
(337106,10104816,'Decreases Attack Speed of caster by 17.8',100,1,1),
(337107,10104816,'Decreases Damage Per Second of caster by 17.8',100,1,2),
(337108,10104816,'Increases Parry of caster by 38.7',100,1,3),
(337109,10104816,'Increases Defense of caster by 38.7',100,1,4),
(337110,37381,'Increases Combat XP Gain of target by 15.0%',100,0,0),
(337111,37381,'Increases Out-of-Combat Power Regeneration of target by 108.0',100,0,1),
(337112,102752,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(337113,102752,'Stuns target',100,2,1),
(337114,102752,'If Target is not Epic',100,3,2),
(337115,102752,'Inflicts 244 - 407 divine damage on target',100,2,3),
(337116,102752,'Inflicts 209 - 349 divine damage on target',100,2,4),
(337117,102752,'If target is undead',100,3,5),
(337118,10102752,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',100,1,0),
(337119,10102752,'Stuns target',100,2,1),
(337120,10102752,'Inflicts 476 - 793 divine damage on target',100,2,2),
(337121,10102752,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,3),
(337122,119429,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(337123,119429,'Stuns target',100,2,1),
(337124,119429,'Blurs vision of target',100,2,2),
(337125,119429,'Throws target back',100,2,3),
(337126,119429,'Does not affect Epic targets',100,2,4),
(337127,119429,'Inflicts 351 - 586 melee damage on target',100,1,5),
(337128,119429,'You must be sneaking to use this ability.',100,1,6),
(337129,10119429,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(337130,10119429,'Stuns target',100,2,1),
(337131,10119429,'Blurs vision of target',100,2,2),
(337132,10119429,'Throws target back',100,2,3),
(337133,10119429,'Does not affect Epic targets',100,2,4),
(337134,10119429,'Inflicts 457 - 762 melee damage on target',100,1,5),
(337135,10119429,'You must be sneaking to use this ability.',100,1,6),
(337136,51054,'Applies Heroic Resistance I when Equipped.',100,0,0),
(337137,51054,'Reduces the critical damage inflicted by players on caster by 1.0%',100,1,1),
(337138,51054,'Cannot be modified except by direct means',100,1,2),
(337139,10051054,'Applies Heroic Resistance I when Equipped.',100,0,0),
(337140,10051054,'Reduces the critical damage inflicted by players on caster by 1.0%',100,1,1),
(337141,10051054,'Cannot be modified except by direct means',100,1,2),
(337142,80508,'When Equipped:',100,0,0),
(337143,80508,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337144,80508,'Inflicts 320 - 594 magic damage on target',100,2,2),
(337145,80508,'Decreases Threat to target by 1,219 ',100,2,3),
(337146,80508,'Must be flanking or behind',100,3,4),
(337147,80508,'Increases Threat to target by 1,219 ',100,2,5),
(337148,80508,'Must be in front of',100,3,6),
(337149,80508,'Cannot be modified except by direct means',100,2,7),
(337150,10080508,'When Equipped:',100,0,0),
(337151,10080508,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337152,10080508,'Inflicts 416 - 772 magic damage on target',100,2,2),
(337153,10080508,'Cannot be modified except by direct means',100,2,3),
(337154,115144,'Heals target for 16 - 19',100,1,0),
(337155,10115144,'Heals target for 21 - 26',100,1,0),
(337156,102567,'Increases AGI of caster by 61.3',100,1,0),
(337157,102567,'Increases Max Health of caster by 212.0',100,1,1),
(337158,102567,'Adds 14.8% to base avoidance.',100,1,2),
(337159,102567,'Increases Mitigation of caster vs physical damage by 366',100,1,3),
(337160,102567,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,4),
(337161,10102567,'Increases AGI of caster by 61.3',100,1,0),
(337162,10102567,'Increases Max Health of caster by 212.0',100,1,1),
(337163,10102567,'Adds 14.8% to base avoidance.',100,1,2),
(337164,10102567,'Increases Mitigation of caster vs physical damage by 366',100,1,3),
(337165,10102567,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',100,1,4),
(337166,46259,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(337167,46259,'Increases Max Health of caster by 445.6',100,1,1),
(337168,10046259,'Applies elixir of constitution when Activated.  Lasts for 15 minutes.',100,0,0),
(337169,10046259,'Increases Max Health of caster by 445.6',100,1,1),
(337170,112569,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(337171,112569,'Dispels 48 levels of physical hostile effects on target',100,2,1),
(337172,112569,'Heals targets in Area of Effect for 82 - 100',100,2,2),
(337173,10112569,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(337174,10112569,'Dispels 48 levels of physical hostile effects on target',100,2,1),
(337175,10112569,'Heals targets in Area of Effect for 53 - 65',100,2,2),
(337176,118639,'Inflicts 73 - 221 crushing damage on target',100,1,0),
(337177,10118639,'Inflicts 95 - 287 crushing damage on target',100,1,0),
(337178,48978,'Applies trauma remedy when Activated.',100,0,0),
(337179,48978,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(337180,10048978,'Applies trauma remedy when Activated.',100,0,0),
(337181,10048978,'Dispels 28 levels of physical hostile effects on caster',100,1,1),
(337182,24374,'Adds Froglok (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(337183,10024374,'Adds Froglok (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(337184,101278,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(337185,101278,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,1),
(337186,10101278,'Increases Max Health of group members (AE) by 130.2',100,1,0),
(337187,10101278,'Increases Mitigation of group members (AE) vs physical damage by 357',100,1,1),
(337188,108726,'Inflicts 548 heat damage on target',100,1,0),
(337189,108726,'Inflicts 122 heat damage on target every 4 seconds',100,1,1),
(337190,10108726,'Inflicts 997 heat damage on target',100,1,0),
(337191,10108726,'Inflicts 159 heat damage on target every 4 seconds',100,1,1),
(337192,71367,'When Equipped:',100,0,0),
(337193,71367,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337194,71367,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(337195,71367,'Cannot be modified except by direct means',100,2,3),
(337196,10071367,'When Equipped:',100,0,0),
(337197,10071367,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337198,10071367,'Increases the damage and healing amount of the caster''s spells by 75',100,2,2),
(337199,10071367,'Cannot be modified except by direct means',100,2,3),
(337200,81764,'When Equipped:',100,0,0),
(337201,81764,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337202,81764,'Inflicts 108 - 200 magic damage on target',100,2,2),
(337203,81764,'Cannot be modified except by direct means',100,2,3),
(337204,10081764,'When Equipped:',100,0,0),
(337205,10081764,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337206,10081764,'Inflicts 140 - 260 magic damage on target',100,2,2),
(337207,10081764,'Cannot be modified except by direct means',100,2,3),
(337208,81611,'When Equipped:',100,0,0),
(337209,81611,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337210,81611,'Inflicts 111 - 205 magic damage on target',100,2,2),
(337211,81611,'Decreases Threat to target by 376 ',100,2,3),
(337212,81611,'Must be flanking or behind',100,3,4),
(337213,81611,'Increases Threat to target by 376 ',100,2,5),
(337214,81611,'Must be in front of',100,3,6),
(337215,81611,'Cannot be modified except by direct means',100,2,7),
(337216,10081611,'When Equipped:',100,0,0),
(337217,10081611,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337218,10081611,'Inflicts 144 - 267 magic damage on target',100,2,2),
(337219,10081611,'Cannot be modified except by direct means',100,2,3),
(337220,45659,'Applies Elixir of Vivication  when Activated.',100,0,0),
(337221,45659,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(337222,10045659,'Applies Elixir of Vivication  when Activated.',100,0,0),
(337223,10045659,'Dispels 48 levels of elemental hostile effects on caster',100,1,1),
(337224,111795,'Reduces maximum falling speed of caster',100,1,0),
(337225,111795,'Shapechanges caster',100,1,1),
(337226,111795,'This effect cannot be cast during combat',100,1,2),
(337227,10111795,'Reduces maximum falling speed of caster',100,1,0),
(337228,10111795,'Shapechanges caster',100,1,1),
(337229,10111795,'This effect cannot be cast during combat',100,1,2),
(337230,48096,'Applies Draw upon Essence when Activated.',100,0,0),
(337231,48096,'Increases power of caster by 397',100,1,1),
(337232,48096,'Requires 715 Health to cast.',100,1,2),
(337233,10048096,'Applies Draw upon Essence when Activated.',100,0,0),
(337234,10048096,'Increases power of caster by 397',100,1,1),
(337235,10048096,'Requires 715 Health to cast.',100,1,2),
(337236,24079,'Adds Chardok: Di''Zok Service Standard to your Dungeon Maker toolbox',100,0,0),
(337237,10024079,'Adds Chardok: Di''Zok Service Standard to your Dungeon Maker toolbox',100,0,0),
(337238,114346,'Dispels 86 levels of noxious hostile effects on target',100,1,0),
(337239,114346,'Heals target for 28.8 - 35.2% of max health',100,1,1),
(337240,114346,'This effect cannot be critically applied.',100,2,2),
(337241,114346,'The healing of this spell cannot be modified except by direct means',100,1,3),
(337242,10114346,'Dispels 86 levels of noxious hostile effects on target',100,1,0),
(337243,10114346,'Heals target for 11.5 - 14.1% of max health',100,1,1),
(337244,10114346,'This effect cannot be critically applied.',100,2,2),
(337245,10114346,'The healing of this spell cannot be modified except by direct means',100,1,3),
(337246,116390,'Heals target for 139 - 169 instantly and every 2 seconds',100,1,0),
(337247,10116390,'Heals target for 90 - 110 instantly and every 2 seconds',100,1,0),
(337248,122291,'Decreases Threat to targets in Area of Effect by 4,820 ',100,1,0),
(337249,122291,'Makes targets in Area of Effect afraid',100,1,1),
(337250,122291,'If Target is not Epic',100,2,2),
(337251,122291,'30% chance to dispel when target takes damage',100,1,3),
(337252,10122291,'Applies Distract.',100,1,0),
(337253,10122291,'Forces target to clear their selected target.',100,2,1),
(337254,10122291,'Makes targets in Area of Effect afraid',100,1,2),
(337255,10122291,'If Target is not Epic',100,2,3),
(337256,10122291,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(337257,10122291,'30% chance to dispel when target takes damage',100,1,5),
(337258,110329,'Increases Max Power of target by 209.6',100,1,0),
(337259,110329,'Increases Max Health of target by 418.9',100,1,1),
(337260,10110329,'Increases Max Power of target by 209.6',100,1,0),
(337261,10110329,'Increases Max Health of target by 418.9',100,1,1),
(337262,108317,'Inflicts 140 - 234 divine damage on target',100,1,0),
(337263,108317,'Heals caster for 1.2% of max health',100,1,1),
(337264,108317,'This effect cannot be critically applied.',100,2,2),
(337265,108317,'The healing of this spell cannot be modified except by direct means',100,1,3),
(337266,10108317,'Inflicts 182 - 304 divine damage on target',100,1,0),
(337267,10108317,'Heals caster for 0.6% of max health',100,1,1),
(337268,10108317,'This effect cannot be critically applied.',100,2,2),
(337269,10108317,'The healing of this spell cannot be modified except by direct means',100,1,3),
(337270,81421,'When Equipped:',100,0,0),
(337271,81421,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337272,81421,'Inflicts 80 - 149 magic damage on target',100,2,2),
(337273,81421,'Decreases Threat to target by 352 ',100,2,3),
(337274,81421,'Must be flanking or behind',100,3,4),
(337275,81421,'Increases Threat to target by 352 ',100,2,5),
(337276,81421,'Must be in front of',100,3,6),
(337277,81421,'Cannot be modified except by direct means',100,2,7),
(337278,10081421,'When Equipped:',100,0,0),
(337279,10081421,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337280,10081421,'Inflicts 104 - 193 magic damage on target',100,2,2),
(337281,10081421,'Cannot be modified except by direct means',100,2,3),
(337282,130257,'When Equipped:',100,0,0),
(337283,130257,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(337284,130257,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(337285,130257,'Must not be engaged in pvp combat',100,2,3),
(337286,130257,'Cannot be modified except by direct means',100,2,4),
(337287,130257,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(337288,130257,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(337289,130257,'Must not be engaged in pvp combat',100,2,7),
(337290,130257,'Cannot be modified except by direct means',100,2,8),
(337291,130257,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(337292,130257,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(337293,130257,'Must not be engaged in pvp combat',100,2,11),
(337294,130257,'Cannot be modified except by direct means',100,2,12),
(337295,130257,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(337296,130257,'Inflicts 53 piercing damage on target',100,2,14),
(337297,130257,'Must not be engaged in pvp combat',100,2,15),
(337298,130257,'Cannot be modified except by direct means',100,2,16),
(337299,10130257,'When Equipped:',100,0,0),
(337300,10130257,'On a critical combat hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,1),
(337301,10130257,'Increases Crit Bonus of caster by 4.0%',100,2,2),
(337302,10130257,'Must not be engaged in pvp combat',100,2,3),
(337303,10130257,'Cannot be modified except by direct means',100,2,4),
(337304,10130257,'On a critical spell hit this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,5),
(337305,10130257,'Increases Crit Bonus of caster by 4.0%',100,2,6),
(337306,10130257,'Must not be engaged in pvp combat',100,2,7),
(337307,10130257,'Cannot be modified except by direct means',100,2,8),
(337308,10130257,'On a critical healing spell cast this spell has a 8% chance to cast Brell''s Blessing VII on caster.  Lasts for 10.0 seconds.  ',100,1,9),
(337309,10130257,'Increases Crit Bonus of caster by 4.0%',100,2,10),
(337310,10130257,'Must not be engaged in pvp combat',100,2,11),
(337311,10130257,'Cannot be modified except by direct means',100,2,12),
(337312,10130257,'When damaged with a melee weapon this spell will cast Brell''s Retribution VII on target''s attacker.  ',100,1,13),
(337313,10130257,'Inflicts 69 piercing damage on target',100,2,14),
(337314,10130257,'Must not be engaged in pvp combat',100,2,15),
(337315,10130257,'Cannot be modified except by direct means',100,2,16),
(337316,81597,'When Equipped:',100,0,0),
(337317,81597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337318,81597,'Inflicts 112 - 208 magic damage on target',100,2,2),
(337319,81597,'Cannot be modified except by direct means',100,2,3),
(337320,10081597,'When Equipped:',100,0,0),
(337321,10081597,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337322,10081597,'Inflicts 146 - 271 magic damage on target',100,2,2),
(337323,10081597,'Cannot be modified except by direct means',100,2,3),
(337324,25349,'When Equipped:',100,0,0),
(337325,25349,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(337326,25349,'Improves the base damage of Chromatic Shower IV by 20%.',100,1,2),
(337327,10025349,'When Equipped:',100,0,0),
(337328,10025349,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(337329,10025349,'Improves the base damage of Chromatic Shower IV by 20%.',100,1,2),
(337330,109537,'Summons a limited pet to aid the caster',100,1,0),
(337331,10109537,'Summons a limited pet to aid the caster',100,1,0),
(337332,132390,'When Equipped:',100,0,0),
(337333,132390,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(337334,10132390,'When Equipped:',100,0,0),
(337335,10132390,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(337336,159132,'When Equipped:',100,0,0),
(337337,159132,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337338,159132,'Increases WIS of caster by 11.9',100,2,2),
(337339,159132,'Increases Focus, Ordination and Ministration of caster by 6.7',100,2,3),
(337340,159132,'Cannot be modified except by direct means',100,2,4),
(337341,10159132,'When Equipped:',100,0,0),
(337342,10159132,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337343,10159132,'Increases WIS of caster by 11.9',100,2,2),
(337344,10159132,'Increases Focus, Ordination and Ministration of caster by 6.7',100,2,3),
(337345,10159132,'Cannot be modified except by direct means',100,2,4),
(337346,47462,'Applies Overclocked Heat Spell Reflector when Activated.  Lasts for 10.0 seconds.',100,0,0),
(337347,47462,'Reflects the effect. Applies to Profession and NPC racial spells only.',100,1,1),
(337348,10047462,'Applies Overclocked Heat Spell Reflector when Activated.  Lasts for 10.0 seconds.',100,0,0),
(337349,10047462,'Reflects the effect at 60% of its cast level. Applies to Profession and NPC racial spells only.',100,1,1),
(337350,119894,'Increases INT and AGI of group members (AE) by 103.8',100,1,0),
(337351,119894,'Adds 2.6% to base avoidance.',100,1,1),
(337352,10119894,'Increases INT and AGI of group members (AE) by 103.8',100,1,0),
(337353,10119894,'Adds 2.6% to base avoidance.',100,1,1),
(337354,81624,'When Equipped:',100,0,0),
(337355,81624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337356,81624,'Inflicts 101 - 188 magic damage on target',100,2,2),
(337357,81624,'Cannot be modified except by direct means',100,2,3),
(337358,10081624,'When Equipped:',100,0,0),
(337359,10081624,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337360,10081624,'Inflicts 131 - 244 magic damage on target',100,2,2),
(337361,10081624,'Cannot be modified except by direct means',100,2,3),
(337362,36582,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(337363,117654,'Decreases Mitigation of target vs physical damage by 192',100,1,0),
(337364,10117654,'Decreases Mitigation of target vs physical damage by 192',100,1,0),
(337365,48981,'Applies Heal-O-Matic when Activated.',100,0,0),
(337366,48981,'Heals members of Icemaul''s Siege.',100,1,1),
(337367,48981,'Cannot be modified except by direct means',100,1,2),
(337368,10048981,'Applies Heal-O-Matic when Activated.',100,0,0),
(337369,10048981,'Heals members of Icemaul''s Siege.',100,1,1),
(337370,10048981,'Cannot be modified except by direct means',100,1,2),
(337371,121433,'Increases AGI of caster by 11.1',100,1,0),
(337372,121433,'Increases STR of caster by 16.6',100,1,1),
(337373,10121433,'Increases AGI of caster by 11.1',100,1,0),
(337374,10121433,'Increases STR of caster by 16.6',100,1,1),
(337375,106284,'Wards target against 2599 points of all damage',100,1,0),
(337376,10106284,'Wards target against 2599 points of all damage',100,1,0),
(337377,116147,'Inflicts 235 - 392 divine damage on target',100,1,0),
(337378,116147,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(337379,116147,'Blurs vision of target',100,2,2),
(337380,116147,'Stuns target',100,2,3),
(337381,116147,'Throws target back',100,2,4),
(337382,116147,'Does not affect Epic targets',100,2,5),
(337383,10116147,'Inflicts 306 - 510 divine damage on target',100,1,0),
(337384,10116147,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(337385,10116147,'Stuns target',100,2,2),
(337386,10116147,'Throws target back',100,2,3),
(337387,10116147,'Blurs vision of target',100,2,4),
(337388,10116147,'Does not affect Epic targets',100,2,5),
(337389,36112,'Increases STR of target by 20.8',100,0,0),
(337390,36112,'Increases Out-of-Combat Health Regeneration of target by 221.3',100,0,1),
(337391,47509,'Applies Petamorph: Pink Dragon when Activated.  Lasts for 2 hours.',100,0,0),
(337392,47509,'Turns the caster''s combat pet into a pink baby dragon. Does not work on cosmetic pets.',100,1,1),
(337393,10047509,'Applies Petamorph: Pink Dragon when Activated.  Lasts for 2 hours.',100,0,0),
(337394,10047509,'Turns the caster''s combat pet into a pink baby dragon. Does not work on cosmetic pets.',100,1,1),
(337395,109271,'Shapechanges target into an owlbear',100,1,0),
(337396,10109271,'Shapechanges target into an owlbear',100,1,0),
(337397,85431,'Applies Prismatic Glow when Equipped.',100,0,0),
(337398,85431,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(337399,85431,'When Equipped:',100,0,2),
(337400,85431,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(337401,85431,'Inflicts 146 - 270 magic damage on target',100,2,4),
(337402,85431,'Cannot be modified except by direct means',100,2,5),
(337403,10085431,'Applies Prismatic Glow when Equipped.',100,0,0),
(337404,10085431,'Increases In-Combat Power Regeneration of caster by 12.0',100,1,1),
(337405,10085431,'When Equipped:',100,0,2),
(337406,10085431,'On a combat hit this spell may cast Prismatic Shard on target of attack.  Triggers about 1.4 times per minute. ',100,1,3),
(337407,10085431,'Inflicts 189 - 351 magic damage on target',100,2,4),
(337408,10085431,'Cannot be modified except by direct means',100,2,5),
(337409,47925,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(337410,47925,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(337411,47925,'Inflicts 2648 poison damage on target',100,2,2),
(337412,47925,'Cannot be modified except by direct means',100,2,3),
(337413,47925,'Grants a total of 100 triggers of the spell.',100,2,4),
(337414,10047925,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(337415,10047925,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(337416,10047925,'Inflicts 861 poison damage on target',100,2,2),
(337417,10047925,'Cannot be modified except by direct means',100,2,3),
(337418,10047925,'Grants a total of 100 triggers of the spell.',100,2,4),
(337419,82442,'When Equipped:',100,0,0),
(337420,82442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337421,82442,'Inflicts 152 - 283 magic damage on target',100,2,2),
(337422,82442,'Cannot be modified except by direct means',100,2,3),
(337423,10082442,'When Equipped:',100,0,0),
(337424,10082442,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337425,10082442,'Inflicts 198 - 368 magic damage on target',100,2,2),
(337426,10082442,'Cannot be modified except by direct means',100,2,3),
(337427,100461,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(337428,100461,'Decreases Threat to target by 23 ',100,2,1),
(337429,100461,'If not fighter',100,2,2),
(337430,100461,'Decreases Hate Gain of group members (AE) by 11.3%',100,1,3),
(337431,100461,'If not fighter',100,2,4),
(337432,10100461,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(337433,10100461,'If not fighter',100,2,1),
(337434,10100461,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(337435,10100461,'Inflicts 15 - 17 crushing damage on target',100,2,3),
(337436,10100461,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(337437,10100461,'If not fighter',100,2,5),
(337438,10100461,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(337439,10100461,'If not fighter',100,2,7),
(337440,10100461,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(337441,10100461,'If not fighter',100,2,9),
(337442,164294,'When Equipped:',100,0,0),
(337443,164294,'Increases in-combat movement speed of caster by 1.0%',100,1,1),
(337444,164294,'Increases Damage Per Second of caster by 1.0',100,1,2),
(337445,164294,'Increases Attack Speed of caster by 1.0',100,1,3),
(337446,164294,'Must not be engaged in pvp combat',100,1,4),
(337447,10164294,'When Equipped:',100,0,0),
(337448,10164294,'Increases in-combat movement speed of caster by 1.0%',100,1,1),
(337449,10164294,'Increases Damage Per Second of caster by 1.0',100,1,2),
(337450,10164294,'Increases Attack Speed of caster by 1.0',100,1,3),
(337451,10164294,'Must not be engaged in pvp combat',100,1,4),
(337452,108906,'Inflicts 738 heat damage on target',100,1,0),
(337453,108906,'Inflicts 738 cold damage on target',100,1,1),
(337454,108906,'Slows target by 55.4%',100,1,2),
(337455,10108906,'Inflicts 960 heat damage on target',100,1,0),
(337456,10108906,'Inflicts 960 cold damage on target',100,1,1),
(337457,10108906,'Slows target by 55.4%',100,1,2),
(337458,185942,'When Equipped:',100,0,0),
(337459,185942,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(337460,185942,'Increases Potency of caster by 7.0%',100,2,2),
(337461,185942,'Cannot be modified except by direct means',100,2,3),
(337462,10185942,'When Equipped:',100,0,0),
(337463,10185942,'On any combat or spell hit this spell may cast Vicious Focus on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(337464,10185942,'Increases Potency of caster by 7.0%',100,2,2),
(337465,10185942,'Cannot be modified except by direct means',100,2,3),
(337466,177571,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(337467,177571,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(337468,177571,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(337469,177571,'Cannot be modified except by direct means',100,2,3),
(337470,10177571,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(337471,10177571,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(337472,10177571,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(337473,10177571,'Cannot be modified except by direct means',100,2,3),
(337474,159670,'When Equipped:',100,0,0),
(337475,159670,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337476,159670,'Increases STR of caster by 8.8',100,2,2),
(337477,159670,'Increases Damage Per Second of caster by 15.1',100,2,3),
(337478,159670,'Cannot be modified except by direct means',100,2,4),
(337479,10159670,'When Equipped:',100,0,0),
(337480,10159670,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337481,10159670,'Increases STR of caster by 8.8',100,2,2),
(337482,10159670,'Increases Damage Per Second of caster by 15.1',100,2,3),
(337483,10159670,'Cannot be modified except by direct means',100,2,4),
(337484,113755,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(337485,113755,'Inflicts 187 piercing damage on target',100,2,1),
(337486,113755,'Grants a total of 60 triggers of the spell.',100,2,2),
(337487,10113755,'On a ranged hit this spell will cast Makeshift Arrow on target of attack.  ',100,1,0),
(337488,10113755,'Inflicts 243 piercing damage on target',100,2,1),
(337489,10113755,'Grants a total of 60 triggers of the spell.',100,2,2),
(337490,109897,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(337491,109897,'Inflicts 40 - 48 poison damage on target instantly and every 4 seconds',100,2,1),
(337492,10109897,'On a melee hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(337493,10109897,'Inflicts 52 - 63 poison damage on target instantly and every 4 seconds',100,2,1),
(337494,81927,'When Equipped:',100,0,0),
(337495,81927,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337496,81927,'Inflicts 265 - 492 magic damage on target',100,2,2),
(337497,81927,'Decreases Threat to target by 994 ',100,2,3),
(337498,81927,'Must be flanking or behind',100,3,4),
(337499,81927,'Increases Threat to target by 994 ',100,2,5),
(337500,81927,'Must be in front of',100,3,6),
(337501,81927,'Cannot be modified except by direct means',100,2,7),
(337502,10081927,'When Equipped:',100,0,0),
(337503,10081927,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(337504,10081927,'Inflicts 345 - 640 magic damage on target',100,2,2),
(337505,10081927,'Cannot be modified except by direct means',100,2,3),
(337506,82504,'When Equipped:',100,0,0),
(337507,82504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337508,82504,'Inflicts 175 - 324 magic damage on target',100,2,2),
(337509,82504,'Cannot be modified except by direct means',100,2,3),
(337510,10082504,'When Equipped:',100,0,0),
(337511,10082504,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337512,10082504,'Inflicts 227 - 421 magic damage on target',100,2,2),
(337513,10082504,'Cannot be modified except by direct means',100,2,3),
(337514,121430,'Increases AGI of caster by 13.3',100,1,0),
(337515,121430,'Increases STR of caster by 20.0',100,1,1),
(337516,10121430,'Increases AGI of caster by 13.3',100,1,0),
(337517,10121430,'Increases STR of caster by 20.0',100,1,1),
(337518,143341,'When Equipped:',100,0,0),
(337519,143341,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(337520,10143341,'When Equipped:',100,0,0),
(337521,10143341,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(337522,106845,'Decreases Crushing, Piercing, Slashing and Ranged of target by 34.6',100,1,0),
(337523,10106845,'Decreases Crushing, Piercing, Slashing and Ranged of target by 34.6',100,1,0),
(337524,108057,'Inflicts 744 magic damage on target',100,1,0),
(337525,108057,'Increases power of caster by 241',100,1,1),
(337526,10108057,'Inflicts 967 magic damage on target',100,1,0),
(337527,10108057,'Increases power of caster by 241',100,1,1),
(337528,120225,'Roots target encounter',100,1,0),
(337529,120225,'15% chance to dispel when target takes damage',100,1,1),
(337530,120225,'Does not affect Epic targets',100,1,2),
(337531,120225,'Resistibility increases against targets higher than level 83.',100,1,3),
(337532,10120225,'Roots target encounter',100,1,0),
(337533,10120225,'15% chance to dispel when target takes damage',100,1,1),
(337534,10120225,'Does not affect Epic targets',100,1,2),
(337535,10120225,'Resistibility increases against targets higher than level 83.',100,1,3),
(337536,147429,'When Equipped:',100,0,0),
(337537,147429,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(337538,147429,'This effect stacks with the Runic Deflection line.',100,2,2),
(337539,147429,'Wards caster against 1300 points of all damage',100,2,3),
(337540,147429,'Cannot be modified except by direct means',100,2,4),
(337541,10147429,'When Equipped:',100,0,0),
(337542,10147429,'On a healing spell cast this spell may cast Runic Absorption on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(337543,10147429,'This effect stacks with the Runic Deflection line.',100,2,2),
(337544,10147429,'Wards caster against 1300 points of all damage',100,2,3),
(337545,10147429,'Cannot be modified except by direct means',100,2,4),
(337546,105587,'Decreases power of target encounter by 21 - 26 instantly and every 3 seconds',100,1,0),
(337547,105587,'Inflicts 50 - 92 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(337548,105587,'Heals group members (AE) for 24 - 45 instantly and every 3 seconds',100,1,2),
(337549,105587,'Increases power of group members (AE) by 9 instantly and every 3 seconds',100,1,3),
(337550,10105587,'Decreases power of target encounter by 21 - 26 instantly and every 3 seconds',100,1,0),
(337551,10105587,'Inflicts 64 - 120 poison damage on target encounter instantly and every 3 seconds',100,1,1),
(337552,10105587,'Heals group members (AE) for 16 - 29 instantly and every 3 seconds',100,1,2),
(337553,10105587,'Increases power of group members (AE) by 9 instantly and every 3 seconds',100,1,3),
(337554,103888,'Increases power of group members (AE) by 13 instantly and every 6 seconds',100,1,0),
(337555,103888,'Decreases INT of target by 54.1',100,1,1),
(337556,10103888,'Increases power of group members (AE) by 13 instantly and every 6 seconds',100,1,0),
(337557,10103888,'Decreases INT of target by 54.1',100,1,1),
(337558,134690,'When Equipped:',100,0,0),
(337559,134690,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(337560,10134690,'When Equipped:',100,0,0),
(337561,10134690,'Reduces cast time of beneficial spells by 6 percent.',100,1,1),
(337562,148402,'When Equipped:',100,0,0),
(337563,148402,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(337564,148402,'Inflicts 5694 - 6294 piercing damage on target encounter',100,2,2),
(337565,148402,'Inflicts 633 - 699 piercing damage on target encounter every 3 seconds',100,2,3),
(337566,148402,'Wards caster against 1800 points of all damage',100,2,4),
(337567,148402,'This ward regenerates slowly over time.',100,2,5),
(337568,148402,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(337569,148402,'Must not be engaged in pvp combat',100,2,7),
(337570,148402,'Cannot be modified except by direct means',100,2,8),
(337571,148402,'Must not be engaged in pvp combat',100,1,9),
(337572,10148402,'When Equipped:',100,0,0),
(337573,10148402,'On any combat or spell hit this spell may cast Incorruptible Determination on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(337574,10148402,'Inflicts 7403 - 8182 piercing damage on target encounter',100,2,2),
(337575,10148402,'Inflicts 823 - 909 piercing damage on target encounter every 3 seconds',100,2,3),
(337576,10148402,'Wards caster against 1800 points of all damage',100,2,4),
(337577,10148402,'This ward regenerates slowly over time.',100,2,5),
(337578,10148402,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(337579,10148402,'Must not be engaged in pvp combat',100,2,7),
(337580,10148402,'Cannot be modified except by direct means',100,2,8),
(337581,10148402,'Must not be engaged in pvp combat',100,1,9),
(337582,103854,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(337583,103854,'Slows target by 48.4%',100,2,1),
(337584,103854,'5% chance to dispel when target receives hostile action',100,2,2),
(337585,103854,'5% chance to dispel when target takes damage',100,2,3),
(337586,103854,'Decreases Mitigation of target vs noxious damage by 644',100,1,4),
(337587,10103854,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(337588,10103854,'Slows target by 48.4%',100,2,1),
(337589,10103854,'5% chance to dispel when target receives hostile action',100,2,2),
(337590,10103854,'5% chance to dispel when target takes damage',100,2,3),
(337591,10103854,'Decreases Mitigation of target vs noxious damage by 644',100,1,4),
(337592,123828,'Inflicts 130 - 217 magic damage on target',100,1,0),
(337593,123828,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(337594,123828,'Decreases Defense of target by 43.2',100,1,2),
(337595,123828,'Target will lose 46% more power when power is consumed',100,1,3),
(337596,123828,'46% of target''s power consumed will also be drained from target''s health',100,1,4),
(337597,10123828,'Inflicts 169 - 282 magic damage on target',100,1,0),
(337598,10123828,'Decreases Ability Casting Speed of target by 32.0%',100,1,1),
(337599,10123828,'Decreases Defense of target by 43.2',100,1,2),
(337600,10123828,'Target will lose 46% more power when power is consumed',100,1,3),
(337601,10123828,'46% of target''s power consumed will also be drained from target''s health',100,1,4),
(337602,117393,'Increases Threat to target by 396 ',100,1,0),
(337603,117393,'Inflicts 47 - 142 melee damage on target',100,1,1),
(337604,10117393,'Forces target to change their selected target to caster.',100,1,0),
(337605,10117393,'Inflicts 41 - 123 melee damage on target',100,1,1),
(337606,116540,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(337607,116540,'Inflicts 100 divine damage on target',100,2,1),
(337608,116540,'Increases Mitigation of raid and group members (AE) vs all damage by 1100',100,1,2),
(337609,10116540,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(337610,10116540,'Inflicts 130 divine damage on target',100,2,1),
(337611,10116540,'Increases Mitigation of raid and group members (AE) vs all damage by 1100',100,1,2),
(337612,112761,'Interrupts target',100,1,0),
(337613,112761,'Inflicts 123 - 205 divine damage on target',100,1,1),
(337614,10112761,'Interrupts target',100,1,0),
(337615,10112761,'Inflicts 160 - 266 divine damage on target',100,1,1),
(337616,36407,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(337617,36407,'Increases Max Power of target by 10.5',100,0,1),
(337618,112641,'Inflicts 89 - 149 disease damage on target',100,1,0),
(337619,112641,'Inflicts 89 - 149 disease damage on target',100,1,1),
(337620,112641,'Roots target',100,1,2),
(337621,112641,'If Target is not Epic',100,2,3),
(337622,112641,'15% chance to dispel when target takes damage',100,1,4),
(337623,112641,'If weapon equipped in Ranged',100,1,5),
(337624,112641,'Resistibility increases against targets higher than level 59.',100,1,6),
(337625,10112641,'Inflicts 67 - 112 disease damage on target',100,1,0),
(337626,10112641,'Inflicts 67 - 112 disease damage on target',100,1,1),
(337627,10112641,'Roots target',100,1,2),
(337628,10112641,'If Target is not Epic',100,2,3),
(337629,10112641,'15% chance to dispel when target takes damage',100,1,4),
(337630,10112641,'If weapon equipped in Ranged',100,1,5),
(337631,10112641,'Resistibility increases against targets higher than level 59.',100,1,6),
(337632,103504,'Charms target',100,1,0),
(337633,103504,'If outside an arena',100,1,1),
(337634,103504,'Certain enemies cannot be charmed',100,1,2),
(337635,103504,'Does not affect Epic targets',100,1,3),
(337636,10103504,'Mesmerizes target',100,1,0),
(337637,10103504,'Prevents AOE (except when direct) ',100,1,1),
(337638,10103504,'Dispelled when target takes damage',100,1,2),
(337639,10103504,'If outside an arena',100,1,3),
(337640,10103504,'Certain enemies cannot be charmed',100,1,4),
(337641,10103504,'Does not affect Epic targets',100,1,5),
(337642,10103504,'Resistibility increases against targets higher than level 49.',100,1,6),
(337643,164597,'Applies Unstable Magics when Equipped.',100,0,0),
(337644,164597,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(337645,10164597,'Applies Unstable Magics when Equipped.',100,0,0),
(337646,10164597,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(337647,171445,'Applies Call of the Prime IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(337648,171445,'Applies Prime Focus IV on termination.  Lasts for 15.0 seconds.',100,1,1),
(337649,171445,'Increases Potency of group members (AE) by 3.5%',100,2,2),
(337650,171445,'Must not be engaged in pvp combat',100,2,3),
(337651,171445,'Cannot be modified except by direct means',100,2,4),
(337652,171445,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(337653,171445,'Must not be engaged in pvp combat',100,1,6),
(337654,171445,'Cannot be modified except by direct means',100,1,7),
(337655,171445,'The reuse time of Call of the Prime IV is 10 minutes',100,1,8),
(337656,10171445,'Applies Call of the Prime IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(337657,10171445,'Applies Prime Focus IV on termination.  Lasts for 15.0 seconds.',100,1,1),
(337658,10171445,'Increases Potency of group members (AE) by 3.5%',100,2,2),
(337659,10171445,'Must not be engaged in pvp combat',100,2,3),
(337660,10171445,'Cannot be modified except by direct means',100,2,4),
(337661,10171445,'Increases the Effectiveness of heals and wards by 15%',100,1,5),
(337662,10171445,'Must not be engaged in pvp combat',100,1,6),
(337663,10171445,'Cannot be modified except by direct means',100,1,7),
(337664,10171445,'The reuse time of Call of the Prime IV is 10 minutes',100,1,8),
(337665,119238,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(337666,119238,'If profession other than Fighter',100,1,1),
(337667,119238,'If profession other than Scout',100,1,2),
(337668,10119238,'43% chance to intercept all physical damage on target.\nOn a successful intercept caster takes 80% of attack damage, target takes 36% of attack damage.',100,1,0),
(337669,10119238,'If profession other than Fighter',100,1,1),
(337670,10119238,'If profession other than Scout',100,1,2),
(337671,150148,'When Equipped:',100,0,0),
(337672,150148,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(337673,150148,'Inflicts 2648 disease damage on target encounter',100,2,2),
(337674,150148,'Must not be engaged in pvp combat',100,2,3),
(337675,150148,'Cannot be modified except by direct means',100,2,4),
(337676,150148,'When Equipped:',100,0,5),
(337677,150148,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(337678,150148,'Increases Crit Bonus of caster by 7.0%',100,2,7),
(337679,150148,'Cannot be modified except by direct means',100,2,8),
(337680,10150148,'When Equipped:',100,0,0),
(337681,10150148,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(337682,10150148,'Inflicts 1721 disease damage on target encounter',100,2,2),
(337683,10150148,'Must not be engaged in pvp combat',100,2,3),
(337684,10150148,'Cannot be modified except by direct means',100,2,4),
(337685,10150148,'When Equipped:',100,0,5),
(337686,10150148,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(337687,10150148,'Increases Crit Bonus of caster by 7.0%',100,2,7),
(337688,10150148,'Cannot be modified except by direct means',100,2,8),
(337689,114159,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(337690,114159,'Heals target for 560',100,2,1),
(337691,114159,'Grants a total of 1 trigger of the spell.',100,2,2),
(337692,10114159,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(337693,10114159,'Heals target for 364',100,2,1),
(337694,10114159,'Grants a total of 1 trigger of the spell.',100,2,2),
(337695,110552,'Summons a pet attack hawk',100,1,0),
(337696,10110552,'Summons a pet attack hawk',100,1,0),
(337697,37559,'Increases INT of target by 61.6',100,0,0),
(337698,37559,'Increases outgoing damaging spell amount by 1.5%',100,0,1),
(337699,37559,'Increases STA of target by 61.6',100,0,2),
(337700,37559,'Increases Out-of-Combat Power Regeneration of target by 141.6',100,0,3),
(337701,114530,'Heals target for 166 - 203',100,1,0),
(337702,10114530,'Heals target for 216 - 264',100,1,0),
(337703,116460,'Inflicts 103 disease damage on target instantly and every 4 seconds',100,1,0),
(337704,116460,'Inflicts 103 disease damage on target instantly and every 4 seconds',100,1,1),
(337705,116460,'If target is nightblood',100,2,2),
(337706,116460,'Inflicts 103 disease damage on target instantly and every 4 seconds',100,1,3),
(337707,116460,'If target is shadowed folk',100,2,4),
(337708,10116460,'Inflicts 134 disease damage on target instantly and every 4 seconds',100,1,0),
(337709,179277,'Applies Sorcerer''s Rapture when Activated.  Lasts for 10 minutes.',100,0,0),
(337710,179277,'Wards caster against 2500 points of elemental, noxious and arcane damage',100,1,1),
(337711,179277,'Increases In-Combat Power Regeneration of caster by 5.0',100,1,2),
(337712,179277,'Must have Silversilk Robe equipped.',100,1,3),
(337713,179277,'The casting time of Sorcerer''s Rapture is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(337714,10179277,'Applies Sorcerer''s Rapture when Activated.  Lasts for 10 minutes.',100,0,0),
(337715,10179277,'Wards caster against 2500 points of elemental, noxious and arcane damage',100,1,1),
(337716,10179277,'Increases In-Combat Power Regeneration of caster by 5.0',100,1,2),
(337717,10179277,'Must have Silversilk Robe equipped.',100,1,3),
(337718,10179277,'The casting time of Sorcerer''s Rapture is 1.0 second and the reuse time of the spell is 30 minutes',100,1,4),
(337719,105021,'Increases WIS of raid and group members (AE) by 24.9',100,1,0),
(337720,105021,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(337721,105021,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 92',100,1,2),
(337722,10105021,'Increases WIS of raid and group members (AE) by 24.9',100,1,0),
(337723,10105021,'Increases heal amounts of raid members by 4.38%.',100,1,1),
(337724,10105021,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 92',100,1,2),
(337725,109175,'Roots target',100,1,0),
(337726,109175,'Applies Blind.  Lasts for 7.0 seconds.',100,1,1),
(337727,109175,'Dazes target',100,2,2),
(337728,109175,'Blurs vision of target',100,2,3),
(337729,109175,'Dispelled when target takes damage',100,2,4),
(337730,109175,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(337731,109175,'5% chance to dispel when target takes damage',100,1,6),
(337732,109175,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,7),
(337733,109175,'Resistibility increases against targets higher than level 76.',100,1,8),
(337734,10109175,'Roots target',100,1,0),
(337735,10109175,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(337736,10109175,'Dazes target',100,2,2),
(337737,10109175,'Blurs vision of target',100,2,3),
(337738,10109175,'Dispelled when target takes damage',100,2,4),
(337739,10109175,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(337740,10109175,'5% chance to dispel when target takes damage',100,1,6),
(337741,10109175,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(337742,10109175,'Resistibility increases against targets higher than level 76.',100,1,8),
(337743,159484,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(337744,159484,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(337745,159484,'Inflicts 62 heat damage on target',100,2,2),
(337746,159484,'Cannot be modified except by direct means',100,2,3),
(337747,10159484,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(337748,10159484,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(337749,10159484,'Inflicts 80 heat damage on target',100,2,2),
(337750,10159484,'Cannot be modified except by direct means',100,2,3),
(337751,100875,'Makes target afraid',100,1,0),
(337752,100875,'30% chance to dispel when target takes damage',100,1,1),
(337753,100875,'Does not affect Epic targets',100,1,2),
(337754,100875,'Resistibility increases against targets higher than level 82.',100,1,3),
(337755,10100875,'Makes target afraid',100,1,0),
(337756,10100875,'30% chance to dispel when target takes damage',100,1,1),
(337757,10100875,'Does not affect Epic targets',100,1,2),
(337758,10100875,'Resistibility increases against targets higher than level 82.',100,1,3),
(337759,36046,'Increases STR and STA of target by 23.0',100,0,0),
(337760,36046,'Target will Dodge 3.0% of incoming attacks',100,0,1),
(337761,36046,'Increases Out-of-Combat Health Regeneration of target by 58.8',100,0,2),
(337762,112106,'Inflicts 93 - 155 heat damage on target instantly and every 2 seconds',100,1,0),
(337763,10112106,'Inflicts 296 - 493 heat damage on target instantly and every 2 seconds',100,1,0),
(337764,123128,'Inflicts 199 disease damage on targets in Area of Effect',100,1,0),
(337765,123128,'Inflicts 136 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(337766,10123128,'Inflicts 259 disease damage on targets in Area of Effect',100,1,0),
(337767,10123128,'Inflicts 177 disease damage on targets in Area of Effect every 4 seconds',100,1,1),
(337768,116926,'Summons a pet prototype sentient clockwork',100,1,0),
(337769,10116926,'Summons a pet prototype sentient clockwork',100,1,0),
(337770,106527,'Inflicts 2022 - 3370 melee damage on target',100,1,0),
(337771,106527,'Inflicts 100.0% of max health in crushing damage on target',100,1,1),
(337772,106527,'If Target is Standard or weaker',100,2,2),
(337773,10106527,'Inflicts 1314 - 2190 melee damage on target',100,1,0),
(337774,110715,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(337775,110715,'Heals group members (AE) for 438',100,2,1),
(337776,10110715,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(337777,10110715,'Heals group members (AE) for 285',100,2,1),
(337778,114166,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(337779,114166,'Heals target for 1078',100,2,1),
(337780,114166,'Grants a total of 1 trigger of the spell.',100,2,2),
(337781,10114166,'On death this spell will cast Protect Servant on target.  ',100,1,0),
(337782,10114166,'Heals target for 701',100,2,1),
(337783,10114166,'Grants a total of 1 trigger of the spell.',100,2,2),
(337784,47262,'Applies Kordian''s Replenishment  when Activated.',100,0,0),
(337785,47262,'Heals caster for 149',100,1,1),
(337786,10047262,'Applies Kordian''s Replenishment  when Activated.',100,0,0),
(337787,10047262,'Heals caster for 97',100,1,1),
(337788,122079,'Increases STA and INT of group members (AE) by 24.2',100,1,0),
(337789,10122079,'Increases STA and INT of group members (AE) by 24.2',100,1,0),
(337790,121295,'Inflicts 111 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(337791,121295,'Inflicts 366 - 611 melee damage on targets in area',100,1,1),
(337792,121295,'You must be in stealth or have Bloody Assault.',100,1,2),
(337793,10121295,'Inflicts 145 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(337794,10121295,'Inflicts 476 - 794 melee damage on targets in area',100,1,1),
(337795,10121295,'You must be in stealth or have Bloody Assault.',100,1,2),
(337796,36569,'Increases STR and STA of target by 15.4',100,0,0),
(337797,36569,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(337798,45959,'Applies Discord''s Prescient Disk when Activated.',100,0,0),
(337799,45959,'Reduces maximum falling speed of caster',100,1,1),
(337800,45959,'Summons a mount to ride',100,1,2),
(337801,45959,'Increases your ground speed by 130%',100,2,3),
(337802,45959,'Increases Toughness of caster by 20.0',100,1,4),
(337803,45959,'Increases Max Power of caster by 300.0',100,1,5),
(337804,10045959,'Applies Discord''s Prescient Disk when Activated.',100,0,0),
(337805,10045959,'Reduces maximum falling speed of caster',100,1,1),
(337806,10045959,'Summons a mount to ride',100,1,2),
(337807,10045959,'Increases your ground speed by 130%',100,2,3),
(337808,10045959,'Increases Toughness of caster by 20.0',100,1,4),
(337809,10045959,'Increases Max Power of caster by 300.0',100,1,5),
(337810,100626,'Transfers 38% of target''s current Threat to the caster',100,1,0),
(337811,10100626,'When damaged this spell has a 5% chance to cast Stalwart Resolve on target.  Lasts for 5.0 seconds.  ',100,1,0),
(337812,10100626,'10% of all damage received by the caster is prevented.',100,2,1),
(337813,10100626,'This effect can only trigger once every 5 seconds.',100,2,2),
(337814,106658,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(337815,106658,'Increases Mitigation of caster vs physical damage by 378',100,2,1),
(337816,106658,'Decreases Mitigation of target encounter vs physical damage by 2268',100,1,2),
(337817,10106658,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(337818,10106658,'Increases Mitigation of caster vs physical damage by 378',100,2,1),
(337819,10106658,'Decreases Mitigation of target encounter vs physical damage by 2268',100,1,2),
(337820,113031,'Summons a pet toad familiar',100,1,0),
(337821,10113031,'Summons a pet toad familiar',100,1,0),
(337822,80411,'When Equipped:',100,0,0),
(337823,80411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337824,80411,'Inflicts 43 - 81 magic damage on target',100,2,2),
(337825,80411,'Cannot be modified except by direct means',100,2,3),
(337826,10080411,'When Equipped:',100,0,0),
(337827,10080411,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337828,10080411,'Inflicts 56 - 105 magic damage on target',100,2,2),
(337829,10080411,'Cannot be modified except by direct means',100,2,3),
(337830,51822,'When Equipped:',100,0,0),
(337831,51822,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(337832,51822,'When Equipped:',100,0,2),
(337833,51822,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(337834,10051822,'When Equipped:',100,0,0),
(337835,10051822,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(337836,10051822,'When Equipped:',100,0,2),
(337837,10051822,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(337838,35882,'Increases WIS of target by 10.5',100,0,0),
(337839,35882,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(337840,75888,'When Equipped:',100,0,0),
(337841,75888,'On a damage spell hit this spell has a 9% chance to cast Fire of Intellect on target of spell.  Lasts for 15.0 seconds.  ',100,1,1),
(337842,75888,'Inflicts 367 - 550 heat damage on target',100,2,2),
(337843,75888,'Adds normalized spell damage based on 15% of the wizard''s intelligence',100,2,3),
(337844,75888,'Cannot be modified except by direct means',100,2,4),
(337845,75888,'Cannot be modified except by direct means',100,1,5),
(337846,10075888,'When Equipped:',100,0,0),
(337847,10075888,'On a damage spell hit this spell has a 9% chance to cast Fire of Intellect on target of spell.  Lasts for 15.0 seconds.  ',100,1,1),
(337848,10075888,'Inflicts 477 - 715 heat damage on target',100,2,2),
(337849,10075888,'Adds normalized spell damage based on 15% of the wizard''s intelligence',100,2,3),
(337850,10075888,'Cannot be modified except by direct means',100,2,4),
(337851,10075888,'Cannot be modified except by direct means',100,1,5),
(337852,80783,'When Equipped:',100,0,0),
(337853,80783,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337854,80783,'Inflicts 151 - 280 magic damage on target',100,2,2),
(337855,80783,'Cannot be modified except by direct means',100,2,3),
(337856,10080783,'When Equipped:',100,0,0),
(337857,10080783,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(337858,10080783,'Inflicts 196 - 364 magic damage on target',100,2,2),
(337859,10080783,'Cannot be modified except by direct means',100,2,3),
(337860,107563,'Dazes target encounter',100,1,0),
(337861,107563,'Inflicts 53 - 64 mental damage on target encounter',100,1,1),
(337862,107563,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,2),
(337863,107563,'Resistibility increases against targets higher than level 40.',100,1,3),
(337864,10107563,'Dazes target encounter',100,1,0),
(337865,10107563,'Inflicts 68 - 84 mental damage on target encounter',100,1,1),
(337866,10107563,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(337867,10107563,'Resistibility increases against targets higher than level 40.',100,1,3),
(337868,123287,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(337869,123287,'Inflicts 114 - 190 disease damage on target',100,2,1),
(337870,123287,'Heals caster for 1.0 - 1.8% of max health',100,2,2),
(337871,123287,'This effect cannot be critically applied.',100,3,3),
(337872,123287,'The healing of this spell cannot be modified except by direct means',100,2,4),
(337873,10123287,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(337874,10123287,'Inflicts 148 - 247 disease damage on target',100,2,1),
(337875,10123287,'Heals caster for 0.4 - 0.6% of max health',100,2,2),
(337876,10123287,'This effect cannot be critically applied.',100,3,3),
(337877,10123287,'The healing of this spell cannot be modified except by direct means',100,2,4),
(337878,113473,'Increases INT of target by 143.2',100,1,0),
(337879,113473,'Increases Max Health of target by 1,189.7',100,1,1),
(337880,10113473,'Increases INT of target by 143.2',100,1,0),
(337881,10113473,'Increases Max Health of target by 1,189.7',100,1,1),
(337882,108123,'Increases Attack Speed of caster by 27.0',100,1,0),
(337883,10108123,'Increases Attack Speed of caster by 27.0',100,1,0),
(337884,26283,'When Equipped:',100,0,0),
(337885,26283,'Increases all divine damage by up to 40.',100,1,1),
(337886,10026283,'When Equipped:',100,0,0),
(337887,10026283,'Increases all divine damage by up to 40.',100,1,1),
(337888,143632,'When Equipped:',100,0,0),
(337889,143632,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(337890,143632,'Inflicts 253 poison damage on target',100,2,2),
(337891,143632,'Inflicts 253 disease damage on target',100,2,3),
(337892,143632,'Cannot be modified except by direct means',100,2,4),
(337893,143632,'Wards caster against 506 points of noxious damage',100,1,5),
(337894,10143632,'When Equipped:',100,0,0),
(337895,10143632,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,1),
(337896,10143632,'Inflicts 329 poison damage on target',100,2,2),
(337897,10143632,'Inflicts 329 disease damage on target',100,2,3),
(337898,10143632,'Cannot be modified except by direct means',100,2,4),
(337899,10143632,'Wards caster against 506 points of noxious damage',100,1,5),
(337900,106887,'Decreases Threat to targets in Area of Effect by 3,367 ',100,1,0),
(337901,106887,'Stuns targets in Area of Effect',100,1,1),
(337902,106887,'If Target is not Epic',100,2,2),
(337903,10106887,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(337904,10106887,'Applies Distract.',100,1,1),
(337905,10106887,'Forces target to clear their selected target.',100,2,2),
(337906,10106887,'Stuns targets in Area of Effect',100,1,3),
(337907,10106887,'If Target is not Epic',100,2,4),
(337908,105531,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.5',100,1,0),
(337909,10105531,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.5',100,1,0),
(337910,107638,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(337911,107638,'Increases Mitigation of group members (AE) vs elemental damage by 806',100,1,1),
(337912,10107638,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(337913,10107638,'Increases Mitigation of group members (AE) vs elemental damage by 806',100,1,1),
(337914,106040,'Inflicts 169 - 207 divine damage on target instantly and every 3 seconds',100,1,0),
(337915,106040,'Decreases Defense of target by 28.4',100,1,1),
(337916,10106040,'Inflicts 147 - 179 divine damage on target instantly and every 3 seconds',100,1,0),
(337917,10106040,'Decreases Defense of target by 28.4',100,1,1),
(337918,118352,'Inflicts 84 - 140 melee damage on target',100,1,0),
(337919,118352,'Inflicts 84 - 140 heat damage on target every 4 seconds',100,1,1),
(337920,10118352,'Inflicts 109 - 182 melee damage on target',100,1,0),
(337921,10118352,'Inflicts 109 - 182 heat damage on target every 4 seconds',100,1,1),
(337922,72215,'Applies Astral Blessing when Equipped.',100,0,0),
(337923,72215,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(337924,72215,'Heals target for 440 instantly and every second',100,2,2),
(337925,72215,'Cannot be modified except by direct means',100,2,3),
(337926,72215,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(337927,72215,'Heals caster for 440 instantly and every second',100,2,5),
(337928,72215,'Cannot be modified except by direct means',100,2,6),
(337929,72215,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(337930,72215,'Heals caster for 440 instantly and every second',100,2,8),
(337931,72215,'Cannot be modified except by direct means',100,2,9),
(337932,10072215,'Applies Astral Blessing when Equipped.',100,0,0),
(337933,10072215,'On a healing spell cast this spell may cast Astral Blessing on target of spell.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(337934,10072215,'Heals target for 514 instantly and every second',100,2,2),
(337935,10072215,'Cannot be modified except by direct means',100,2,3),
(337936,10072215,'On any combat or spell hit this spell may cast Astral Blessing on caster.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,4),
(337937,10072215,'Heals caster for 514 instantly and every second',100,2,5),
(337938,10072215,'Cannot be modified except by direct means',100,2,6),
(337939,10072215,'When any damage is received this spell has a 10% chance to cast Astral Blessing on caster.  Lasts for 5.0 seconds.  ',100,1,7),
(337940,10072215,'Heals caster for 514 instantly and every second',100,2,8),
(337941,10072215,'Cannot be modified except by direct means',100,2,9),
(337942,113928,'Increases power of target by 38 instantly and every 4 seconds',100,1,0),
(337943,10113928,'Increases power of target by 38 instantly and every 4 seconds',100,1,0),
(337944,72209,'When Equipped:',100,0,0),
(337945,72209,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337946,72209,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(337947,72209,'Cannot be modified except by direct means',100,2,3),
(337948,10072209,'When Equipped:',100,0,0),
(337949,10072209,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337950,10072209,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(337951,10072209,'Cannot be modified except by direct means',100,2,3),
(337952,24064,'Adds Centaur (Wizard) to your Dungeon Maker toolbox',100,0,0),
(337953,10024064,'Adds Centaur (Wizard) to your Dungeon Maker toolbox',100,0,0),
(337954,140704,'When Equipped:',100,0,0),
(337955,140704,'Increases the reach of both melee and ranged weapons.',100,1,1),
(337956,140704,'When Equipped:',100,0,2),
(337957,140704,'Increases Attack Speed of caster by 40.0',100,1,3),
(337958,10140704,'When Equipped:',100,0,0),
(337959,10140704,'Increases the reach of both melee and ranged weapons.',100,1,1),
(337960,10140704,'When Equipped:',100,0,2),
(337961,10140704,'Increases Attack Speed of caster by 40.0',100,1,3),
(337962,116677,'Heals group members (AE) for 9.3 - 11.3% of max health',100,1,0),
(337963,116677,'This effect cannot be critically applied.',100,2,1),
(337964,116677,'Increases Max Health of group members (AE) by 352.8',100,1,2),
(337965,116677,'The healing of this spell cannot be modified except by direct means',100,1,3),
(337966,10116677,'Heals group members (AE) for 2.9 - 3.6% of max health',100,1,0),
(337967,10116677,'This effect cannot be critically applied.',100,2,1),
(337968,10116677,'Increases Max Health of group members (AE) by 352.8',100,1,2),
(337969,10116677,'The healing of this spell cannot be modified except by direct means',100,1,3),
(337970,79017,'Applies Frost Blast when Activated.',100,0,0),
(337971,79017,'Inflicts 89 - 149 cold damage on target',100,1,1),
(337972,79017,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(337973,10079017,'Applies Frost Blast when Activated.',100,0,0),
(337974,10079017,'Inflicts 116 - 194 cold damage on target',100,1,1),
(337975,10079017,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(337976,108418,'Heals target for 1327 - 1622',100,1,0),
(337977,10108418,'Heals target for 1587 - 1940',100,1,0),
(337978,124591,'Decreases Threat to targets in Area of Effect by 4,217 ',100,1,0),
(337979,124591,'Interrupts targets in Area of Effect',100,1,1),
(337980,124591,'Roots targets in Area of Effect',100,1,2),
(337981,124591,'If Target is not Epic',100,2,3),
(337982,10124591,'Applies Distract.',100,1,0),
(337983,10124591,'Forces target to clear their selected target.',100,2,1),
(337984,10124591,'Interrupts targets in Area of Effect',100,1,2),
(337985,10124591,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,3),
(337986,10124591,'Roots targets in Area of Effect',100,1,4),
(337987,10124591,'If Target is not Epic',100,2,5),
(337988,102264,'Inflicts 206 - 343 melee damage on targets in area',100,1,0),
(337989,10102264,'Inflicts 267 - 446 melee damage on targets in area',100,1,0),
(337990,72166,'When Equipped:',100,0,0),
(337991,72166,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337992,72166,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(337993,72166,'Cannot be modified except by direct means',100,2,3),
(337994,10072166,'When Equipped:',100,0,0),
(337995,10072166,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(337996,10072166,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(337997,10072166,'Cannot be modified except by direct means',100,2,3),
(337998,35824,'Increases AGI of target by 6.2',100,0,0),
(337999,35824,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(338000,119036,'Inflicts 29 - 48 mental damage on target',100,1,0),
(338001,119036,'Decreases power of target by 27 - 46',100,1,1),
(338002,119036,'Increases power of caster by 14 - 24',100,1,2),
(338003,10119036,'Inflicts 38 - 63 mental damage on target',100,1,0),
(338004,10119036,'Decreases power of target by 27 - 46',100,1,1),
(338005,10119036,'Increases power of caster by 14 - 24',100,1,2),
(338006,123862,'Increases AGI of caster by 60.2',100,1,0),
(338007,123862,'Adds 21.8% to base avoidance.',100,1,1),
(338008,123862,'Increases Damage Per Second of caster by 53.2',100,1,2),
(338009,123862,'Increases Mitigation of caster vs physical damage by 539',100,1,3),
(338010,123862,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,4),
(338011,10123862,'Increases AGI of caster by 60.2',100,1,0),
(338012,10123862,'Adds 21.8% to base avoidance.',100,1,1),
(338013,10123862,'Increases Damage Per Second of caster by 53.2',100,1,2),
(338014,10123862,'Increases Mitigation of caster vs physical damage by 539',100,1,3),
(338015,10123862,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',100,1,4),
(338016,109427,'Inflicts 66 - 80 cold damage on target instantly and every 4 seconds',100,1,0),
(338017,109427,'Decreases Mitigation of target vs elemental damage by 370',100,1,1),
(338018,10109427,'Inflicts 85 - 104 cold damage on target instantly and every 4 seconds',100,1,0),
(338019,10109427,'Decreases Mitigation of target vs elemental damage by 370',100,1,1),
(338020,101767,'Heals group members (AE) for 214 - 262 instantly and every 2 seconds',100,1,0),
(338021,10101767,'Heals group members (AE) for 139 - 170 instantly and every 2 seconds',100,1,0),
(338022,109599,'Increases Defense of group members'' pets (AE) by 5.9',100,1,0),
(338023,109599,'Increases Mitigation of group members (AE) vs all damage by 94',100,1,1),
(338024,10109599,'Increases Defense of group members'' pets (AE) by 5.9',100,1,0),
(338025,10109599,'Increases Mitigation of group members (AE) vs all damage by 94',100,1,1),
(338026,109865,'Increases Defense of group members (AE) by 13.1',100,1,0),
(338027,10109865,'Increases Defense of group members (AE) by 13.1',100,1,0),
(338028,106389,'Inflicts 453 - 755 melee damage on target',100,1,0),
(338029,106389,'Decreases Defense of target by 26.2',100,1,1),
(338030,106389,'Decreases Defense of caster by 21.8',100,1,2),
(338031,10106389,'Inflicts 588 - 981 melee damage on target',100,1,0),
(338032,10106389,'Decreases Defense of target by 26.2',100,1,1),
(338033,10106389,'Decreases Defense of caster by 21.8',100,1,2),
(338034,107152,'Inflicts 524 - 640 divine damage on target',100,1,0),
(338035,107152,'Inflicts 524 - 640 divine damage on target',100,1,1),
(338036,107152,'If target is undead',100,2,2),
(338037,10107152,'Inflicts 681 - 832 divine damage on target',100,1,0),
(338038,10107152,'Inflicts 681 - 832 divine damage on target',100,1,1),
(338039,47104,'Applies Aegis of Ortallis  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(338040,47104,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(338041,47104,'Inflicts 2 magic damage on target',100,2,2),
(338042,47104,'Cannot be modified except by direct means',100,2,3),
(338043,10047104,'Applies Aegis of Ortallis  when Activated.  Lasts for 2 minutes 6 seconds.',100,0,0),
(338044,10047104,'When any damage is received this spell will cast Spark on target''s attacker.  ',100,1,1),
(338045,10047104,'Inflicts 2 magic damage on target',100,2,2),
(338046,10047104,'Cannot be modified except by direct means',100,2,3),
(338047,80884,'When Equipped:',100,0,0),
(338048,80884,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338049,80884,'Inflicts 194 - 360 magic damage on target',100,2,2),
(338050,80884,'Cannot be modified except by direct means',100,2,3),
(338051,10080884,'When Equipped:',100,0,0),
(338052,10080884,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338053,10080884,'Inflicts 252 - 468 magic damage on target',100,2,2),
(338054,10080884,'Cannot be modified except by direct means',100,2,3),
(338055,118442,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(338056,118442,'Inflicts 5 - 6 heat damage on target instantly and every second',100,2,1),
(338057,10118442,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(338058,10118442,'Inflicts 6 - 7 heat damage on target instantly and every second',100,2,1),
(338059,101352,'Reduces physical damage done to caster by 5%',100,1,0),
(338060,101352,'Adds 1.5% to base avoidance.',100,1,1),
(338061,101352,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(338062,101352,'Increases Aggression of caster by 3.6',100,1,3),
(338063,101352,'Increases Defense and Parry of caster by 5.8',100,1,4),
(338064,101352,'Increases Mitigation of caster vs noxious and arcane damage by 38',100,1,5),
(338065,101352,'Increases Mitigation of caster vs elemental damage by 380',100,1,6),
(338066,101352,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(338067,10101352,'Reduces physical damage done to caster by 5%',100,1,0),
(338068,10101352,'Adds 1.5% to base avoidance.',100,1,1),
(338069,10101352,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,2),
(338070,10101352,'Increases Aggression of caster by 3.6',100,1,3),
(338071,10101352,'Increases Defense and Parry of caster by 5.8',100,1,4),
(338072,10101352,'Increases Mitigation of caster vs noxious and arcane damage by 38',100,1,5),
(338073,10101352,'Increases Mitigation of caster vs elemental damage by 380',100,1,6),
(338074,10101352,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,7),
(338075,122783,'Heals target for 427',100,1,0),
(338076,10122783,'Heals target for 333',100,1,0),
(338077,113176,'Inflicts 611 disease damage on target',100,1,0),
(338078,113176,'Heals caster for 400',100,1,1),
(338079,10113176,'Inflicts 795 disease damage on target',100,1,0),
(338080,10113176,'Heals caster for 338',100,1,1),
(338081,81210,'When Equipped:',100,0,0),
(338082,81210,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(338083,81210,'Inflicts 228 - 423 magic damage on target',100,2,2),
(338084,81210,'Decreases Threat to target by 833 ',100,2,3),
(338085,81210,'Must be flanking or behind',100,3,4),
(338086,81210,'Increases Threat to target by 833 ',100,2,5),
(338087,81210,'Must be in front of',100,3,6),
(338088,81210,'Cannot be modified except by direct means',100,2,7),
(338089,10081210,'When Equipped:',100,0,0),
(338090,10081210,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(338091,10081210,'Inflicts 296 - 550 magic damage on target',100,2,2),
(338092,10081210,'Cannot be modified except by direct means',100,2,3),
(338093,102522,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(338094,102522,'Increases Aggression of caster by 6.6',100,1,1),
(338095,102522,'Increases Defense and Parry of caster by 13.1',100,1,2),
(338096,102522,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(338097,10102522,'Decreases Slashing, Piercing and Crushing of caster by 19.3',100,1,0),
(338098,10102522,'Increases Aggression of caster by 6.6',100,1,1),
(338099,10102522,'Increases Defense and Parry of caster by 13.1',100,1,2),
(338100,10102522,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(338101,138755,'When Equipped:',100,0,0),
(338102,138755,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338103,138755,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(338104,138755,'Cannot be modified except by direct means',100,2,3),
(338105,10138755,'When Equipped:',100,0,0),
(338106,10138755,'On any combat or spell hit this spell may cast Critical Vigor on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338107,10138755,'Increases Crit Bonus of caster by 5.0%',100,2,2),
(338108,10138755,'Cannot be modified except by direct means',100,2,3),
(338109,117489,'Increases Attack Speed of target by 37.4',100,1,0),
(338110,10117489,'Increases Attack Speed of target by 37.4',100,1,0),
(338111,140756,'When Equipped:',100,0,0),
(338112,140756,'When a combat art is used this spell has a 25% chance to cast Counterbalance on target of combat art.  ',100,1,1),
(338113,140756,'Decreases Threat to target by 125 ',100,2,2),
(338114,140756,'Cannot be modified except by direct means',100,2,3),
(338115,10140756,'When Equipped:',100,0,0),
(338116,10140756,'When a combat art is used this spell has a 25% chance to cast Counterbalance on target of combat art.  ',100,1,1),
(338117,10140756,'Cannot be modified except by direct means',100,2,2),
(338118,161094,'When Equipped:',100,0,0),
(338119,161094,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(338120,161094,'Stuns target',100,2,2),
(338121,161094,'Only affects targets level 95 and below',100,2,3),
(338122,161094,'Does not affect Epic targets',100,2,4),
(338123,161094,'Resistibility increases against targets higher than level 111.',100,2,5),
(338124,161094,'Cannot be modified except by direct means',100,2,6),
(338125,10161094,'When Equipped:',100,0,0),
(338126,10161094,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 3.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(338127,10161094,'Stuns target',100,2,2),
(338128,10161094,'Only affects targets level 95 and below',100,2,3),
(338129,10161094,'Does not affect Epic targets',100,2,4),
(338130,10161094,'Resistibility increases against targets higher than level 111.',100,2,5),
(338131,10161094,'Cannot be modified except by direct means',100,2,6),
(338132,118262,'Increases Threat to target encounter by 382 - 468 ',100,1,0),
(338133,118262,'Decreases Mitigation of target encounter vs arcane damage by 504',100,1,1),
(338134,10118262,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(338135,10118262,'Prevents target from changing targets',100,2,1),
(338136,10118262,'Forces target to change their selected target to caster.',100,2,2),
(338137,10118262,'Decreases Mitigation of target encounter vs arcane damage by 504',100,1,3),
(338138,107597,'Dazes target encounter',100,1,0),
(338139,107597,'Inflicts 341 - 416 mental damage on target encounter',100,1,1),
(338140,107597,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(338141,107597,'Resistibility increases against targets higher than level 96.',100,1,3),
(338142,10107597,'Dazes target encounter',100,1,0),
(338143,10107597,'Inflicts 443 - 541 mental damage on target encounter',100,1,1),
(338144,10107597,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(338145,10107597,'Resistibility increases against targets higher than level 96.',100,1,3),
(338146,52909,'Applies Imbued Smite when Equipped.',100,0,0),
(338147,52909,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338148,52909,'Inflicts 407 divine damage on target instantly and every second',100,2,2),
(338149,52909,'Cannot be modified except by direct means',100,2,3),
(338150,52909,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(338151,52909,'Inflicts 407 divine damage on target instantly and every second',100,2,5),
(338152,52909,'Cannot be modified except by direct means',100,2,6),
(338153,10052909,'Applies Imbued Smite when Equipped.',100,0,0),
(338154,10052909,'On any combat or spell hit this spell may cast Imbued Smite on target of attack.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338155,10052909,'Inflicts 530 divine damage on target instantly and every second',100,2,2),
(338156,10052909,'Cannot be modified except by direct means',100,2,3),
(338157,10052909,'When any damage is received this spell has a 10% chance to cast Imbued Smite on target''s attacker.  Lasts for 5.0 seconds.  ',100,1,4),
(338158,10052909,'Inflicts 530 divine damage on target instantly and every second',100,2,5),
(338159,10052909,'Cannot be modified except by direct means',100,2,6),
(338160,71455,'When Equipped:',100,0,0),
(338161,71455,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338162,71455,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(338163,71455,'Cannot be modified except by direct means',100,2,3),
(338164,10071455,'When Equipped:',100,0,0),
(338165,10071455,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338166,10071455,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(338167,10071455,'Cannot be modified except by direct means',100,2,3),
(338168,47900,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(338169,47900,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 23.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(338170,47900,'Slows target by 42.3%',100,2,2),
(338171,47900,'Cannot be modified except by direct means',100,2,3),
(338172,47900,'Grants a total of 60 triggers of the spell.',100,2,4),
(338173,10047900,'Applies fettering poison when Activated.  Lasts for 12 hours.',100,0,0),
(338174,10047900,'On a combat hit this spell may cast Fettering Poison on target of attack.  Lasts for 5.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(338175,10047900,'Slows target by 42.3%',100,2,2),
(338176,10047900,'Cannot be modified except by direct means',100,2,3),
(338177,10047900,'Grants a total of 60 triggers of the spell.',100,2,4),
(338178,104440,'Inflicts 51 - 62 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(338179,104440,'Interrupts target encounter',100,1,1),
(338180,104440,'Applies Stumble on termination.',100,1,2),
(338181,104440,'Interrupts target',100,2,3),
(338182,10104440,'Inflicts 66 - 81 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(338183,10104440,'Interrupts target encounter',100,1,1),
(338184,10104440,'Applies Stumble on termination.',100,1,2),
(338185,10104440,'Interrupts target',100,2,3),
(338186,173760,'When Equipped:',100,0,0),
(338187,173760,'On a healing spell cast this spell may cast Empty Soul on target of spell cast.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338188,173760,'Makes target immune to Fear effects',100,2,2),
(338189,173760,'Makes target immune to Mesmerize effects',100,2,3),
(338190,173760,'Makes target immune to Stun effects',100,2,4),
(338191,173760,'Makes target immune to Daze effects',100,2,5),
(338192,173760,'Makes target immune to Stifle effects',100,2,6),
(338193,173760,'Applies Purity of Emptiness on termination.  Lasts for 10.0 seconds.',100,2,7),
(338194,173760,'Increases Multi Attack Chance of caster by 5.0',100,3,8),
(338195,173760,'Dispels 93 levels of physical, elemental, noxious, arcane hostile effects on caster',100,3,9),
(338196,173760,'Must not be engaged in pvp combat',100,2,10),
(338197,173760,'Cannot be modified except by direct means',100,2,11),
(338198,173760,'Must not be engaged in pvp combat',100,1,12),
(338199,173760,'When Equipped:',100,0,13),
(338200,173760,'Reduces cast time of beneficial spells by 5 percent.',100,1,14),
(338201,10173760,'When Equipped:',100,0,0),
(338202,10173760,'On a healing spell cast this spell may cast Empty Soul on target of spell cast.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338203,10173760,'Makes target immune to Fear effects',100,2,2),
(338204,10173760,'Makes target immune to Mesmerize effects',100,2,3),
(338205,10173760,'Makes target immune to Stun effects',100,2,4),
(338206,10173760,'Makes target immune to Daze effects',100,2,5),
(338207,10173760,'Makes target immune to Stifle effects',100,2,6),
(338208,10173760,'Applies Purity of Emptiness on termination.  Lasts for 10.0 seconds.',100,2,7),
(338209,10173760,'Increases Multi Attack Chance of caster by 5.0',100,3,8),
(338210,10173760,'Dispels 93 levels of physical, elemental, noxious, arcane hostile effects on caster',100,3,9),
(338211,10173760,'Must not be engaged in pvp combat',100,2,10),
(338212,10173760,'Cannot be modified except by direct means',100,2,11),
(338213,10173760,'Must not be engaged in pvp combat',100,1,12),
(338214,10173760,'When Equipped:',100,0,13),
(338215,10173760,'Reduces cast time of beneficial spells by 5 percent.',100,1,14),
(338216,26268,'When Equipped:',100,0,0),
(338217,26268,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(338218,26268,'Decreases power of target by 122',100,2,2),
(338219,26268,'Increases power of caster by 120',100,2,3),
(338220,26268,'Cannot be modified except by direct means',100,2,4),
(338221,10026268,'When Equipped:',100,0,0),
(338222,10026268,'On a combat hit this spell may cast Phantom Feedback on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(338223,10026268,'Decreases power of target by 122',100,2,2),
(338224,10026268,'Increases power of caster by 120',100,2,3),
(338225,10026268,'Cannot be modified except by direct means',100,2,4),
(338226,80195,'When Equipped:',100,0,0),
(338227,80195,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(338228,80195,'Inflicts 169 - 314 magic damage on target',100,2,2),
(338229,80195,'Decreases Threat to target by 801 ',100,2,3),
(338230,80195,'Must be flanking or behind',100,3,4),
(338231,80195,'Increases Threat to target by 801 ',100,2,5),
(338232,80195,'Must be in front of',100,3,6),
(338233,80195,'Cannot be modified except by direct means',100,2,7),
(338234,10080195,'When Equipped:',100,0,0),
(338235,10080195,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(338236,10080195,'Inflicts 220 - 408 magic damage on target',100,2,2),
(338237,10080195,'Cannot be modified except by direct means',100,2,3),
(338238,52926,'Applies Sanguine Imbued when Equipped.',100,0,0),
(338239,52926,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(338240,52926,'Inflicts 163 heat damage on target',100,2,2),
(338241,52926,'Cannot be modified except by direct means',100,2,3),
(338242,10052926,'Applies Sanguine Imbued when Equipped.',100,0,0),
(338243,10052926,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(338244,10052926,'Inflicts 212 heat damage on target',100,2,2),
(338245,10052926,'Cannot be modified except by direct means',100,2,3),
(338246,166504,'When Equipped:',100,0,0),
(338247,166504,'On a critical combat hit this spell may cast Final Stab V on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(338248,166504,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(338249,166504,'Must not be engaged in pvp combat',100,2,3),
(338250,166504,'Cannot be modified except by direct means',100,2,4),
(338251,166504,'On a critical spell hit this spell may cast Final Stab V on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(338252,166504,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(338253,166504,'Must not be engaged in pvp combat',100,2,7),
(338254,166504,'Cannot be modified except by direct means',100,2,8),
(338255,166504,'Must not be engaged in pvp combat',100,1,9),
(338256,10166504,'When Equipped:',100,0,0),
(338257,10166504,'On a critical combat hit this spell may cast Final Stab V on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(338258,10166504,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,2),
(338259,10166504,'Must not be engaged in pvp combat',100,2,3),
(338260,10166504,'Cannot be modified except by direct means',100,2,4),
(338261,10166504,'On a critical spell hit this spell may cast Final Stab V on target of spell.  Triggers about 2.0 times per minute. ',100,1,5),
(338262,10166504,'Deals damage to target.  Damage increases the closer the target is to death.',100,2,6),
(338263,10166504,'Must not be engaged in pvp combat',100,2,7),
(338264,10166504,'Cannot be modified except by direct means',100,2,8),
(338265,10166504,'Must not be engaged in pvp combat',100,1,9),
(338266,35264,'Increases Max Power of target by 47.2',100,0,0),
(338267,35264,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(338268,46967,'Applies Middling Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(338269,46967,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(338270,46967,'Stifles target',100,2,2),
(338271,46967,'If Target is not Epic',100,3,3),
(338272,46967,'Cannot be modified except by direct means',100,2,4),
(338273,46967,'Grants a total of 4 triggers of the spell.',100,2,5),
(338274,46967,'Only affects targets level 50 and above',100,1,6),
(338275,10046967,'Applies Middling Kendricke''s Stifling Solution when Activated.  Lasts for 12 hours.',100,0,0),
(338276,10046967,'On a combat hit this spell may cast Choking Poison on target of attack.  Lasts for 8.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(338277,10046967,'Stifles target',100,2,2),
(338278,10046967,'If Target is not Epic',100,3,3),
(338279,10046967,'Cannot be modified except by direct means',100,2,4),
(338280,10046967,'Grants a total of 4 triggers of the spell.',100,2,5),
(338281,10046967,'Only affects targets level 50 and above',100,1,6),
(338282,80434,'When Equipped:',100,0,0),
(338283,80434,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338284,80434,'Inflicts 46 - 86 magic damage on target',100,2,2),
(338285,80434,'Cannot be modified except by direct means',100,2,3),
(338286,10080434,'When Equipped:',100,0,0),
(338287,10080434,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338288,10080434,'Inflicts 60 - 112 magic damage on target',100,2,2),
(338289,10080434,'Cannot be modified except by direct means',100,2,3),
(338290,120676,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 39.4',100,1,0),
(338291,120676,'Increases Focus of group members (AE) by 83.2',100,1,1),
(338292,10120676,'Increases Ordination, Ministration, Aggression, Disruption and Subjugation of group members (AE) by 39.4',100,1,0),
(338293,10120676,'Increases Focus of group members (AE) by 83.2',100,1,1),
(338294,106632,'Inflicts 375 - 458 disease damage on target',100,1,0),
(338295,106632,'Heals caster for 5.1 - 6.3% of max health',100,1,1),
(338296,106632,'This effect cannot be critically applied.',100,2,2),
(338297,106632,'The healing of this spell cannot be modified except by direct means',100,1,3),
(338298,10106632,'Inflicts 488 - 596 disease damage on target',100,1,0),
(338299,10106632,'Heals caster for 1.7 - 2.1% of max health',100,1,1),
(338300,10106632,'This effect cannot be critically applied.',100,2,2),
(338301,10106632,'The healing of this spell cannot be modified except by direct means',100,1,3),
(338302,71619,'When Equipped:',100,0,0),
(338303,71619,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338304,71619,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(338305,71619,'Cannot be modified except by direct means',100,2,3),
(338306,10071619,'When Equipped:',100,0,0),
(338307,10071619,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338308,10071619,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(338309,10071619,'Cannot be modified except by direct means',100,2,3),
(338310,104651,'Inflicts 251 - 418 crushing damage on target',100,1,0),
(338311,104651,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 29.9',100,1,1),
(338312,10104651,'Inflicts 326 - 544 crushing damage on target',100,1,0),
(338313,10104651,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 29.9',100,1,1),
(338314,114119,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(338315,114119,'Increases Mitigation of group members (AE) vs elemental damage by 259',100,1,1),
(338316,10114119,'Increases Max Health of group members (AE) by 40.6',100,1,0),
(338317,10114119,'Increases Mitigation of group members (AE) vs elemental damage by 259',100,1,1),
(338318,35782,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(338319,101209,'Inflicts 159 - 266 cold damage on target',100,1,0),
(338320,101209,'Dazes target',100,1,1),
(338321,101209,'If Target is not Epic',100,2,2),
(338322,101209,'Resistibility increases against targets higher than level 59.',100,1,3),
(338323,10101209,'Inflicts 207 - 346 cold damage on target',100,1,0),
(338324,10101209,'Dazes target',100,1,1),
(338325,10101209,'If Target is not Epic',100,2,2),
(338326,10101209,'Resistibility increases against targets higher than level 59.',100,1,3),
(338327,110206,'Interrupts target',100,1,0),
(338328,110206,'Inflicts 57 - 96 crushing damage on target',100,1,1),
(338329,10110206,'Interrupts target',100,1,0),
(338330,10110206,'Inflicts 75 - 125 crushing damage on target',100,1,1),
(338331,107446,'Summons a pet earthen avatar',100,1,0),
(338332,10107446,'Summons a pet earthen avatar',100,1,0),
(338333,103899,'Increases power of group members (AE) by 36 instantly and every 6 seconds',100,1,0),
(338334,103899,'Decreases INT of target by 131.6',100,1,1),
(338335,10103899,'Increases power of group members (AE) by 36 instantly and every 6 seconds',100,1,0),
(338336,10103899,'Decreases INT of target by 131.6',100,1,1),
(338337,24207,'Adds Crushbone: Partial Blue Stone Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(338338,10024207,'Adds Crushbone: Partial Blue Stone Weapon Rack to your Dungeon Maker toolbox',100,0,0),
(338339,101814,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(338340,101814,'Decreases Threat to target by 1,133 ',100,2,1),
(338341,10101814,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(338342,10101814,'Inflicts 64 - 71 crushing damage on target',100,2,1),
(338343,81593,'When Equipped:',100,0,0),
(338344,81593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338345,81593,'Inflicts 111 - 205 magic damage on target',100,2,2),
(338346,81593,'Cannot be modified except by direct means',100,2,3),
(338347,10081593,'When Equipped:',100,0,0),
(338348,10081593,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338349,10081593,'Inflicts 144 - 267 magic damage on target',100,2,2),
(338350,10081593,'Cannot be modified except by direct means',100,2,3),
(338351,82652,'When Equipped:',100,0,0),
(338352,82652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338353,82652,'Inflicts 78 - 144 magic damage on target',100,2,2),
(338354,82652,'Cannot be modified except by direct means',100,2,3),
(338355,10082652,'When Equipped:',100,0,0),
(338356,10082652,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338357,10082652,'Inflicts 101 - 188 magic damage on target',100,2,2),
(338358,10082652,'Cannot be modified except by direct means',100,2,3),
(338359,36418,'Increases Out-of-Combat Health Regeneration of target by 76.0',100,0,0),
(338360,36418,'This effect suspends during combat',100,0,1),
(338361,108742,'Summons a pet fiery magician',100,1,0),
(338362,10108742,'Summons a pet fiery magician',100,1,0),
(338363,177699,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(338364,177699,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(338365,177699,'Inflicts 34 heat damage on target',100,2,2),
(338366,177699,'Cannot be modified except by direct means',100,2,3),
(338367,10177699,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(338368,10177699,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(338369,10177699,'Inflicts 44 heat damage on target',100,2,2),
(338370,10177699,'Cannot be modified except by direct means',100,2,3),
(338371,80906,'When Equipped:',100,0,0),
(338372,80906,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(338373,80906,'Inflicts 188 - 349 magic damage on target',100,2,2),
(338374,80906,'Decreases Threat to target by 672 ',100,2,3),
(338375,80906,'Must be flanking or behind',100,3,4),
(338376,80906,'Increases Threat to target by 672 ',100,2,5),
(338377,80906,'Must be in front of',100,3,6),
(338378,80906,'Cannot be modified except by direct means',100,2,7),
(338379,10080906,'When Equipped:',100,0,0),
(338380,10080906,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(338381,10080906,'Inflicts 244 - 454 magic damage on target',100,2,2),
(338382,10080906,'Cannot be modified except by direct means',100,2,3),
(338383,139166,'When Equipped:',100,0,0),
(338384,139166,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338385,139166,'Increases damage done by combat arts by up to 500.',100,2,2),
(338386,139166,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(338387,139166,'Cannot be modified except by direct means',100,2,4),
(338388,139166,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(338389,139166,'Increases damage done by combat arts by up to 500.',100,2,6),
(338390,139166,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(338391,139166,'Cannot be modified except by direct means',100,2,8),
(338392,139166,'Cannot be modified except by direct means',100,1,9),
(338393,10139166,'When Equipped:',100,0,0),
(338394,10139166,'On a critical combat hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338395,10139166,'Increases damage done by combat arts by up to 500.',100,2,2),
(338396,10139166,'Increases Crit Bonus of caster by 5.0%',100,2,3),
(338397,10139166,'Cannot be modified except by direct means',100,2,4),
(338398,10139166,'On a critical spell hit this spell may cast Ferocity of Kings on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(338399,10139166,'Increases damage done by combat arts by up to 500.',100,2,6),
(338400,10139166,'Increases Crit Bonus of caster by 5.0%',100,2,7),
(338401,10139166,'Cannot be modified except by direct means',100,2,8),
(338402,10139166,'Cannot be modified except by direct means',100,1,9),
(338403,110731,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(338404,110731,'Heals group members (AE) for 869',100,2,1),
(338405,10110731,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(338406,10110731,'Heals group members (AE) for 565',100,2,1),
(338407,108335,'Inflicts 349 - 583 divine damage on target',100,1,0),
(338408,108335,'Heals caster for 1.6% of max health',100,1,1),
(338409,108335,'This effect cannot be critically applied.',100,2,2),
(338410,108335,'The healing of this spell cannot be modified except by direct means',100,1,3),
(338411,10108335,'Inflicts 454 - 758 divine damage on target',100,1,0),
(338412,10108335,'Heals caster for 1.4% of max health',100,1,1),
(338413,10108335,'This effect cannot be critically applied.',100,2,2),
(338414,10108335,'The healing of this spell cannot be modified except by direct means',100,1,3),
(338415,135826,'When Equipped:',100,0,0),
(338416,135826,'Increases Attack Speed of caster by 35.0',100,1,1),
(338417,10135826,'When Equipped:',100,0,0),
(338418,10135826,'Increases Attack Speed of caster by 35.0',100,1,1),
(338419,117535,'Increases AGI, INT and WIS of group members (AE) by 44.7',100,1,0),
(338420,117535,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 172',100,1,1),
(338421,10117535,'Increases AGI, INT and WIS of group members (AE) by 44.7',100,1,0),
(338422,10117535,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 172',100,1,1),
(338423,111282,'Inflicts 77 - 128 divine damage on target',100,1,0),
(338424,111282,'Inflicts 31 - 51 divine damage on target every 4 seconds',100,1,1),
(338425,10111282,'Inflicts 100 - 166 divine damage on target',100,1,0),
(338426,10111282,'Inflicts 40 - 67 divine damage on target every 4 seconds',100,1,1),
(338427,116748,'Increases Max Health of target by 164.3',100,1,0),
(338428,116748,'Increases Max Power of target by 192.4',100,1,1),
(338429,10116748,'Increases Max Health of target by 164.3',100,1,0),
(338430,10116748,'Increases Max Power of target by 192.4',100,1,1),
(338431,117666,'Decreases Mitigation of target vs physical damage by 384',100,1,0),
(338432,10117666,'Decreases Mitigation of target vs physical damage by 192',100,1,0),
(338433,115296,'Summons a limited pet to aid the caster',100,1,0),
(338434,10115296,'Summons a limited pet to aid the caster',100,1,0),
(338435,26200,'When Equipped:',100,0,0),
(338436,26200,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(338437,26200,'Inflicts 13 heat damage on target instantly and every 5 seconds',100,2,2),
(338438,26200,'Cannot be modified except by direct means',100,2,3),
(338439,10026200,'When Equipped:',100,0,0),
(338440,10026200,'On a hostile spell cast this spell may cast Arcane Feedback on target of spell.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(338441,10026200,'Inflicts 17 heat damage on target instantly and every 5 seconds',100,2,2),
(338442,10026200,'Cannot be modified except by direct means',100,2,3),
(338443,104839,'Causes 3% Threat to transfer to target when in combat',100,1,0),
(338444,104839,'If Fighter',100,2,1),
(338445,104839,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,2),
(338446,104839,'Increases power of target by 68',100,2,3),
(338447,104839,'Increases power of caster by 68',100,2,4),
(338448,10104839,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',100,1,0),
(338449,10104839,'Increases power of target by 68',100,2,1),
(338450,10104839,'Increases power of caster by 68',100,2,2),
(338451,86486,'Applies Disease Blast when Activated.',100,0,0),
(338452,86486,'Inflicts 127 - 211 disease damage on target',100,1,1),
(338453,86486,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(338454,10086486,'Applies Disease Blast when Activated.',100,0,0),
(338455,10086486,'Inflicts 164 - 274 disease damage on target',100,1,1),
(338456,10086486,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(338457,123822,'Inflicts 95 - 158 magic damage on target',100,1,0),
(338458,123822,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(338459,123822,'Decreases Defense of target by 32.2',100,1,2),
(338460,123822,'Target will lose 36% more power when power is consumed',100,1,3),
(338461,123822,'36% of target''s power consumed will also be drained from target''s health',100,1,4),
(338462,10123822,'Inflicts 123 - 205 magic damage on target',100,1,0),
(338463,10123822,'Decreases Ability Casting Speed of target by 28.0%',100,1,1),
(338464,10123822,'Decreases Defense of target by 32.2',100,1,2),
(338465,10123822,'Target will lose 36% more power when power is consumed',100,1,3),
(338466,10123822,'36% of target''s power consumed will also be drained from target''s health',100,1,4),
(338467,109173,'Roots target',100,1,0),
(338468,109173,'Applies Blind.  Lasts for 7.0 seconds.',100,1,1),
(338469,109173,'Dazes target',100,2,2),
(338470,109173,'Blurs vision of target',100,2,3),
(338471,109173,'Dispelled when target takes damage',100,2,4),
(338472,109173,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(338473,109173,'5% chance to dispel when target takes damage',100,1,6),
(338474,109173,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,7),
(338475,109173,'Resistibility increases against targets higher than level 76.',100,1,8),
(338476,10109173,'Roots target',100,1,0),
(338477,10109173,'Applies Blind.  Lasts for 2.0 seconds.',100,1,1),
(338478,10109173,'Blurs vision of target',100,2,2),
(338479,10109173,'Dazes target',100,2,3),
(338480,10109173,'Dispelled when target takes damage',100,2,4),
(338481,10109173,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(338482,10109173,'5% chance to dispel when target takes damage',100,1,6),
(338483,10109173,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,7),
(338484,10109173,'Resistibility increases against targets higher than level 76.',100,1,8),
(338485,138024,'When Equipped:',100,0,0),
(338486,138024,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(338487,138024,'Increases in-combat movement speed of caster by 10.0%',100,2,2),
(338488,138024,'Increases Ability Casting Speed of caster by 10.0%',100,2,3),
(338489,138024,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(338490,138024,'Must not be engaged in pvp combat',100,2,5),
(338491,138024,'Cannot be modified except by direct means',100,2,6),
(338492,138024,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(338493,138024,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(338494,138024,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(338495,138024,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(338496,138024,'Must not be engaged in pvp combat',100,2,11),
(338497,138024,'Cannot be modified except by direct means',100,2,12),
(338498,138024,'This effect will not stack with itself.',100,1,13),
(338499,138024,'Must not be engaged in pvp combat',100,1,14),
(338500,10138024,'When Equipped:',100,0,0),
(338501,10138024,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(338502,10138024,'Increases in-combat movement speed of caster by 10.0%',100,2,2),
(338503,10138024,'Increases Ability Casting Speed of caster by 10.0%',100,2,3),
(338504,10138024,'Increases Ability Recovery Speed of caster by 10.0%',100,2,4),
(338505,10138024,'Must not be engaged in pvp combat',100,2,5),
(338506,10138024,'Cannot be modified except by direct means',100,2,6),
(338507,10138024,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(338508,10138024,'Increases in-combat movement speed of caster by 10.0%',100,2,8),
(338509,10138024,'Increases Ability Casting Speed of caster by 10.0%',100,2,9),
(338510,10138024,'Increases Ability Recovery Speed of caster by 10.0%',100,2,10),
(338511,10138024,'Must not be engaged in pvp combat',100,2,11),
(338512,10138024,'Cannot be modified except by direct means',100,2,12),
(338513,10138024,'This effect will not stack with itself.',100,1,13),
(338514,10138024,'Must not be engaged in pvp combat',100,1,14),
(338515,54389,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(338516,54389,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(338517,54389,'Inflicts 21 heat damage on target',100,2,2),
(338518,54389,'Cannot be modified except by direct means',100,2,3),
(338519,10054389,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(338520,10054389,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(338521,10054389,'Inflicts 27 heat damage on target',100,2,2),
(338522,10054389,'Cannot be modified except by direct means',100,2,3),
(338523,162438,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(338524,162438,'Increases speed of caster by 10.0%',100,1,1),
(338525,162438,'This effect suspends during combat',100,1,2),
(338526,10162438,'Applies Journeyman''s Boots when Equipped.',100,0,0),
(338527,10162438,'Increases speed of caster by 10.0%',100,1,1),
(338528,10162438,'This effect suspends during combat',100,1,2),
(338529,183411,'When Equipped:',100,0,0),
(338530,183411,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(338531,183411,'Inflicts 1192 magic damage on target',100,2,2),
(338532,183411,'Cannot be modified except by direct means',100,2,3),
(338533,10183411,'When Equipped:',100,0,0),
(338534,10183411,'On any combat or spell hit this spell may cast Mystic Havoc on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(338535,10183411,'Inflicts 775 magic damage on target',100,2,2),
(338536,10183411,'Cannot be modified except by direct means',100,2,3),
(338537,117689,'Decreases Mitigation of target vs physical damage by 1355',100,1,0),
(338538,10117689,'Decreases Mitigation of target vs physical damage by 678',100,1,0),
(338539,119294,'Roots target',100,1,0),
(338540,119294,'Applies Root on termination.  Lasts for 10.0 seconds.',100,1,1),
(338541,119294,'Slows target by 29.4%',100,2,2),
(338542,119294,'5% chance to dispel when target receives hostile action',100,2,3),
(338543,119294,'5% chance to dispel when target takes damage',100,2,4),
(338544,119294,'15% chance to dispel when target takes damage',100,1,5),
(338545,119294,'Does not affect Epic targets',100,1,6),
(338546,119294,'Resistibility increases against targets higher than level 34.',100,1,7),
(338547,10119294,'Roots target',100,1,0),
(338548,10119294,'Applies Root on termination.  Lasts for 5.0 seconds.',100,1,1),
(338549,10119294,'Slows target by 29.4%',100,2,2),
(338550,10119294,'5% chance to dispel when target receives hostile action',100,2,3),
(338551,10119294,'5% chance to dispel when target takes damage',100,2,4),
(338552,10119294,'15% chance to dispel when target takes damage',100,1,5),
(338553,10119294,'Does not affect Epic targets',100,1,6),
(338554,10119294,'Resistibility increases against targets higher than level 34.',100,1,7),
(338555,74644,'When Equipped:',100,0,0),
(338556,74644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338557,74644,'Inflicts 64 - 96 magic damage on target',100,2,2),
(338558,74644,'Cannot be modified except by direct means',100,2,3),
(338559,10074644,'When Equipped:',100,0,0),
(338560,10074644,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338561,10074644,'Inflicts 83 - 125 magic damage on target',100,2,2),
(338562,10074644,'Cannot be modified except by direct means',100,2,3),
(338563,101173,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(338564,101173,'Slows target by 43.2%',100,2,1),
(338565,101173,'5% chance to dispel when target receives hostile action',100,2,2),
(338566,101173,'5% chance to dispel when target takes damage',100,2,3),
(338567,101173,'Inflicts 86 - 144 cold damage on target',100,1,4),
(338568,101173,'Inflicts 86 - 144 cold damage on target',100,1,5),
(338569,101173,'If weapon equipped in Ranged',100,1,6),
(338570,10101173,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(338571,10101173,'Slows target by 43.2%',100,2,1),
(338572,10101173,'5% chance to dispel when target receives hostile action',100,2,2),
(338573,10101173,'5% chance to dispel when target takes damage',100,2,3),
(338574,10101173,'Inflicts 65 - 108 cold damage on target',100,1,4),
(338575,10101173,'Inflicts 65 - 108 cold damage on target',100,1,5),
(338576,10101173,'If weapon equipped in Ranged',100,1,6),
(338577,45771,'Applies Command of the Awakened when Activated.',100,0,0),
(338578,45771,'Shapechanges the user into a Maligonian in full chainmail worn by scouts of the Awakened Legion.',100,1,1),
(338579,10045771,'Applies Command of the Awakened when Activated.',100,0,0),
(338580,10045771,'Shapechanges the user into a Maligonian in full chainmail worn by scouts of the Awakened Legion.',100,1,1),
(338581,101421,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(338582,101421,'Increases Mitigation of group members (AE) vs noxious damage by 87',100,1,1),
(338583,10101421,'Increases Max Power of group members (AE) by 23.1',100,1,0),
(338584,10101421,'Increases Mitigation of group members (AE) vs noxious damage by 87',100,1,1),
(338585,103506,'Charms target',100,1,0),
(338586,103506,'If outside an arena',100,1,1),
(338587,103506,'Certain enemies cannot be charmed',100,1,2),
(338588,103506,'Does not affect Epic targets',100,1,3),
(338589,10103506,'Mesmerizes target',100,1,0),
(338590,10103506,'Prevents AOE (except when direct) ',100,1,1),
(338591,10103506,'Dispelled when target takes damage',100,1,2),
(338592,10103506,'If outside an arena',100,1,3),
(338593,10103506,'Certain enemies cannot be charmed',100,1,4),
(338594,10103506,'Does not affect Epic targets',100,1,5),
(338595,10103506,'Resistibility increases against targets higher than level 63.',100,1,6),
(338596,110583,'Decreases Attack Speed of target by 24.3',100,1,0),
(338597,110583,'Decreases Crushing, Slashing and Piercing of target by 12.5',100,1,1),
(338598,10110583,'Decreases Attack Speed of target by 24.3',100,1,0),
(338599,10110583,'Decreases Crushing, Slashing and Piercing of target by 12.5',100,1,1),
(338600,52840,'Applies Sanguine Imbued when Equipped.',100,0,0),
(338601,52840,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(338602,52840,'Inflicts 24 heat damage on target',100,2,2),
(338603,52840,'Cannot be modified except by direct means',100,2,3),
(338604,10052840,'Applies Sanguine Imbued when Equipped.',100,0,0),
(338605,10052840,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(338606,10052840,'Inflicts 31 heat damage on target',100,2,2),
(338607,10052840,'Cannot be modified except by direct means',100,2,3),
(338608,122475,'Grants the brawler a small chance to briefly stun their target with each melee hit.',100,1,0),
(338611,10122475,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(338612,10122475,'Inflicts 23 magic damage on target',100,2,1),
(338613,10122475,'Grants a total of 5 triggers of the spell.',100,2,2),
(338614,36631,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(338615,177652,'When Equipped:',100,0,0),
(338616,177652,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(338617,177652,'Increases STA of caster by 12.2',100,2,2),
(338618,177652,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(338619,177652,'Cannot be modified except by direct means',100,2,4),
(338620,10177652,'When Equipped:',100,0,0),
(338621,10177652,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(338622,10177652,'Increases STA of caster by 12.2',100,2,2),
(338623,10177652,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(338624,10177652,'Cannot be modified except by direct means',100,2,4),
(338625,115056,'Heals target for 1590 - 1943',100,1,0),
(338626,10115056,'Heals target for 2227 - 2722',100,1,0),
(338627,143502,'When Equipped:',100,0,0),
(338628,143502,'Reduces maximum falling speed of caster',100,1,1),
(338629,10143502,'When Equipped:',100,0,0),
(338630,10143502,'Reduces maximum falling speed of caster',100,1,1),
(338631,105896,'Inflicts 213 - 356 ranged damage on target',100,1,0),
(338632,105896,'Inflicts 213 - 356 ranged damage on target',100,1,1),
(338633,105896,'If weapon equipped in Ranged',100,1,2),
(338634,10105896,'Inflicts 160 - 267 ranged damage on target',100,1,0),
(338635,10105896,'Inflicts 160 - 267 ranged damage on target',100,1,1),
(338636,10105896,'If weapon equipped in Ranged',100,1,2),
(338637,45053,'Applies Immortalize Venekor when Activated.',100,0,0),
(338638,45053,'Summon 1 Trophy: Venekor''s Head',100,1,1),
(338639,45053,'This effect cannot be cast during combat',100,1,2),
(338640,10045053,'Applies Immortalize Venekor when Activated.',100,0,0),
(338641,10045053,'Summon 1 Trophy: Venekor''s Head',100,1,1),
(338642,10045053,'This effect cannot be cast during combat',100,1,2),
(338643,121784,'Heals target for 150 - 183',100,1,0),
(338644,121784,'Heals target for 25 - 30 every second',100,1,1),
(338645,10121784,'Heals target for 259 - 317',100,1,0),
(338646,10121784,'Heals target for 22 - 26 every second',100,1,1),
(338647,103498,'Increases In-Combat Power Regeneration of group members (AE) by 43.5',100,1,0),
(338648,10103498,'Increases In-Combat Power Regeneration of group members (AE) by 43.5',100,1,0),
(338649,48295,'Applies Sun Crystal when Activated.',100,0,0),
(338650,48295,'This crystal gives off the light of the daytime sun.',100,1,1),
(338651,10048295,'Applies Sun Crystal when Activated.',100,0,0),
(338652,10048295,'This crystal gives off the light of the daytime sun.',100,1,1),
(338653,173140,'When Equipped:',100,0,0),
(338654,173140,'Increases Attack Speed of caster by 35.0',100,1,1),
(338655,10173140,'When Equipped:',100,0,0),
(338656,10173140,'Increases Attack Speed of caster by 35.0',100,1,1),
(338657,138681,'When Equipped:',100,0,0),
(338658,138681,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338659,138681,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(338660,138681,'Cannot be modified except by direct means',100,2,3),
(338661,138681,'Applies Heroic Resistance X when Equipped.',100,0,4),
(338662,138681,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,5),
(338663,138681,'Cannot be modified except by direct means',100,1,6),
(338664,10138681,'When Equipped:',100,0,0),
(338665,10138681,'On a healing spell cast this spell may cast Runes of Power on target of spell cast.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338666,10138681,'Increases base damage of all Spells and Combat Arts by 5%.',100,2,2),
(338667,10138681,'Cannot be modified except by direct means',100,2,3),
(338668,10138681,'Applies Heroic Resistance X when Equipped.',100,0,4),
(338669,10138681,'Reduces the critical damage inflicted by players on caster by 10.0%',100,1,5),
(338670,10138681,'Cannot be modified except by direct means',100,1,6),
(338671,169038,'When Equipped:',100,0,0),
(338672,169038,'This effect will not stack with any rank or tier of itself.',100,1,1),
(338673,169038,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(338674,169038,'Cannot be modified except by direct means',100,1,3),
(338675,10169038,'When Equipped:',100,0,0),
(338676,10169038,'This effect will not stack with any rank or tier of itself.',100,1,1),
(338677,10169038,'Increases Crit Bonus of caster by 2.0%',100,1,2),
(338678,10169038,'Cannot be modified except by direct means',100,1,3),
(338679,116555,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(338680,116555,'Inflicts 217 divine damage on target',100,2,1),
(338681,116555,'Increases Mitigation of raid and group members (AE) vs all damage by 2178',100,1,2),
(338682,10116555,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(338683,10116555,'Inflicts 283 divine damage on target',100,2,1),
(338684,10116555,'Increases Mitigation of raid and group members (AE) vs all damage by 2178',100,1,2),
(338685,114308,'Heals target for 935 - 1143',100,1,0),
(338686,10114308,'Heals target for 1099 - 1343',100,1,0),
(338687,46341,'Applies Throw Fizzythorp Ale when Activated.  Lasts for 1.0 second.',100,0,0),
(338688,10046341,'Applies Throw Fizzythorp Ale when Activated.  Lasts for 1.0 second.',100,0,0),
(338689,100685,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(338690,100685,'Summons a limited pet to aid the caster',100,2,1),
(338691,100685,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(338692,100685,'Heals caster for 713',100,3,3),
(338693,100685,'Wards caster against 790 points of all damage',100,3,4),
(338694,100685,'Grants a total of 1 trigger of the spell.',100,2,5),
(338695,10100685,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(338696,10100685,'Summons a limited pet to aid the caster',100,2,1),
(338697,10100685,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(338698,10100685,'Heals caster for 463',100,3,3),
(338699,10100685,'Wards caster against 790 points of all damage',100,3,4),
(338700,10100685,'Grants a total of 1 trigger of the spell.',100,2,5),
(338701,71878,'When Equipped:',100,0,0),
(338702,71878,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338703,71878,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(338704,71878,'Cannot be modified except by direct means',100,2,3),
(338705,10071878,'When Equipped:',100,0,0),
(338706,10071878,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338707,10071878,'Increases the damage and healing amount of the caster''s spells by 40',100,2,2),
(338708,10071878,'Cannot be modified except by direct means',100,2,3),
(338709,136539,'When Equipped:',100,0,0),
(338710,136539,'On a beneficial spell cast this spell may cast Consuming Auras on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(338711,136539,'Dispels 120 levels of any hostile effects on target',100,2,2),
(338712,136539,'Cannot be modified except by direct means',100,2,3),
(338713,136539,'On a beneficial spell cast this spell may cast Consuming Auras on caster.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,4),
(338714,136539,'Increases the heal or ward amount of the caster''s next beneficial spell by 12%.',100,2,5),
(338715,136539,'Dispelled when target casts a beneficial spell',100,2,6),
(338716,136539,'Cannot be modified except by direct means',100,2,7),
(338717,10136539,'When Equipped:',100,0,0),
(338718,10136539,'On a beneficial spell cast this spell may cast Consuming Auras on target of spell cast.  Triggers about 1.8 times per minute. ',100,1,1),
(338719,10136539,'Dispels 120 levels of any hostile effects on target',100,2,2),
(338720,10136539,'Cannot be modified except by direct means',100,2,3),
(338721,10136539,'On a beneficial spell cast this spell may cast Consuming Auras on caster.  Lasts for 30.0 seconds.  Triggers about 1.6 times per minute. ',100,1,4),
(338722,10136539,'Increases the heal or ward amount of the caster''s next beneficial spell by 12%.',100,2,5),
(338723,10136539,'Dispelled when target casts a beneficial spell',100,2,6),
(338724,10136539,'Cannot be modified except by direct means',100,2,7),
(338725,36148,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,0),
(338726,36148,'This effect suspends during combat',100,0,1),
(338727,100473,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(338728,100473,'Decreases Threat to target by 62 ',100,2,1),
(338729,100473,'If not fighter',100,2,2),
(338730,100473,'Decreases Hate Gain of group members (AE) by 17.6%',100,1,3),
(338731,100473,'If not fighter',100,2,4),
(338732,10100473,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,0),
(338733,10100473,'If not fighter',100,2,1),
(338734,10100473,'On a combat hit this spell has a 5% chance to cast Jarring Melody on target of attack.  ',100,1,2),
(338735,10100473,'Inflicts 37 - 41 crushing damage on target',100,2,3),
(338736,10100473,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,4),
(338737,10100473,'If not fighter',100,2,5),
(338738,10100473,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,6),
(338739,10100473,'If not fighter',100,2,7),
(338740,10100473,'When damaged this spell will cast Serenade on target''s attacker.  ',100,1,8),
(338741,10100473,'If not fighter',100,2,9),
(338742,113313,'Inflicts 166 - 278 heat damage on target',100,1,0),
(338743,10113313,'Inflicts 328 - 547 heat damage on target',100,1,0),
(338744,84266,'When Equipped:',100,0,0),
(338745,84266,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(338746,84266,'When Equipped:',100,0,2),
(338747,84266,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(338748,10084266,'When Equipped:',100,0,0),
(338749,10084266,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(338750,10084266,'When Equipped:',100,0,2),
(338751,10084266,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(338752,71559,'When Equipped:',100,0,0),
(338753,71559,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338754,71559,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(338755,71559,'Cannot be modified except by direct means',100,2,3),
(338756,10071559,'When Equipped:',100,0,0),
(338757,10071559,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338758,10071559,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(338759,10071559,'Cannot be modified except by direct means',100,2,3),
(338760,136232,'When Equipped:',100,0,0),
(338761,136232,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(338762,10136232,'When Equipped:',100,0,0),
(338763,10136232,'Reduces reuse time of beneficial spells by 2 percent.',100,1,1),
(338764,117576,'Decreases Parry of target by 25.8',100,1,0),
(338765,117576,'Inflicts 199 - 332 melee damage on target',100,1,1),
(338766,117576,'Must be in front of or flanking',100,1,2),
(338767,10117576,'Decreases Parry of target by 25.8',100,1,0),
(338768,10117576,'Inflicts 259 - 432 melee damage on target',100,1,1),
(338769,10117576,'Must be in front of or flanking',100,1,2),
(338770,159022,'When Equipped:',100,0,0),
(338771,159022,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(338772,159022,'Increases STA of caster by 23.1',100,2,2),
(338773,159022,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(338774,159022,'Cannot be modified except by direct means',100,2,4),
(338775,10159022,'When Equipped:',100,0,0),
(338776,10159022,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(338777,10159022,'Increases STA of caster by 23.1',100,2,2),
(338778,10159022,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(338779,10159022,'Cannot be modified except by direct means',100,2,4),
(338780,109735,'Inflicts 230 - 383 cold damage on target',100,1,0),
(338781,109735,'If weapon equipped in Ranged',100,1,1),
(338782,10109735,'Inflicts 172 - 287 cold damage on target',100,1,0),
(338783,10109735,'If weapon equipped in Ranged',100,1,1),
(338784,177736,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(338785,177736,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(338786,177736,'Heals target for 59 instantly and every 4 seconds',100,2,2),
(338787,177736,'Cannot be modified except by direct means',100,2,3),
(338788,10177736,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(338789,10177736,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(338790,10177736,'Heals target for 39 instantly and every 4 seconds',100,2,2),
(338791,10177736,'Cannot be modified except by direct means',100,2,3),
(338792,80846,'When Equipped:',100,0,0),
(338793,80846,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338794,80846,'Inflicts 188 - 349 magic damage on target',100,2,2),
(338795,80846,'Cannot be modified except by direct means',100,2,3),
(338796,10080846,'When Equipped:',100,0,0),
(338797,10080846,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338798,10080846,'Inflicts 244 - 454 magic damage on target',100,2,2),
(338799,10080846,'Cannot be modified except by direct means',100,2,3),
(338800,101696,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(338801,101696,'Inflicts 346 - 423 disease damage on target',100,2,1),
(338802,101696,'Grants a total of 3 triggers of the spell.',100,2,2),
(338803,10101696,'When damaged with a spell this spell will cast Aura of Pain on target.  ',100,1,0),
(338804,10101696,'Inflicts 449 - 549 disease damage on target',100,2,1),
(338805,10101696,'Grants a total of 3 triggers of the spell.',100,2,2),
(338806,124692,'Inflicts 305 - 372 cold damage on target',100,1,0),
(338807,10124692,'Inflicts 396 - 484 cold damage on target',100,1,0),
(338808,54442,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(338809,54442,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(338810,54442,'Inflicts 46 heat damage on target',100,2,2),
(338811,54442,'Cannot be modified except by direct means',100,2,3),
(338812,10054442,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(338813,10054442,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(338814,10054442,'Inflicts 60 heat damage on target',100,2,2),
(338815,10054442,'Cannot be modified except by direct means',100,2,3),
(338816,101713,'Mesmerizes target',100,1,0),
(338817,101713,'Prevents AOE (except when direct) ',100,1,1),
(338818,101713,'Mesmerizes caster',100,1,2),
(338819,101713,'Dispelled when target takes damage',100,1,3),
(338820,101713,'Does not affect Epic targets',100,1,4),
(338821,101713,'Resistibility increases against targets higher than level 54.',100,1,5),
(338822,10101713,'Mesmerizes target',100,1,0),
(338823,10101713,'Prevents AOE (except when direct) ',100,1,1),
(338824,10101713,'Mesmerizes caster',100,1,2),
(338825,10101713,'Dispelled when target takes damage',100,1,3),
(338826,10101713,'Does not affect Epic targets',100,1,4),
(338827,10101713,'Resistibility increases against targets higher than level 54.',100,1,5),
(338828,47981,'Applies Seeker''s Disc of Darktruth when Activated.',100,0,0),
(338829,47981,'Reduces maximum falling speed of caster',100,1,1),
(338830,47981,'Summons a mount to ride',100,1,2),
(338831,47981,'Increases your ground speed by 130%',100,2,3),
(338832,47981,'Increases Crit Chance of caster by 2.0',100,1,4),
(338833,47981,'Increases Max Health of caster by 150.0',100,1,5),
(338834,47981,'Increases Max Power of caster by 150.0',100,1,6),
(338835,10047981,'Applies Seeker''s Disc of Darktruth when Activated.',100,0,0),
(338836,10047981,'Reduces maximum falling speed of caster',100,1,1),
(338837,10047981,'Summons a mount to ride',100,1,2),
(338838,10047981,'Increases your ground speed by 130%',100,2,3),
(338839,10047981,'Increases Crit Chance of caster by 2.0',100,1,4),
(338840,10047981,'Increases Max Health of caster by 150.0',100,1,5),
(338841,10047981,'Increases Max Power of caster by 150.0',100,1,6),
(338842,123918,'Increases STR and WIS of target by 30.3',100,1,0),
(338843,123918,'Increases Mitigation of target vs elemental, noxious and arcane damage by 91',100,1,1),
(338844,10123918,'Increases STR and WIS of target by 30.3',100,1,0),
(338845,10123918,'Increases Mitigation of target vs elemental, noxious and arcane damage by 91',100,1,1),
(338846,102052,'Interrupts targets in Area of Effect',100,1,0),
(338847,102052,'Inflicts 159 - 266 melee damage on targets in area',100,1,1),
(338848,10102052,'Interrupts targets in Area of Effect',100,1,0),
(338849,10102052,'Inflicts 207 - 345 melee damage on targets in area',100,1,1),
(338850,135658,'Applies Blessing of Brell when Equipped.',100,0,0),
(338851,135658,'Caster will harvest a second time on 27.0% of harvests.',100,1,1),
(338852,135658,'When completing a pristine crafted item. this spell has a 1% chance to cast Blessing of Brell on target.  Lasts for 4.1 seconds.  ',100,1,2),
(338853,135658,'No components are consumed to create this item.',100,2,3),
(338854,135658,'Cannot be modified except by direct means',100,2,4),
(338855,135658,'Increases critical success chance by 5.0%',100,1,5),
(338856,10135658,'Applies Blessing of Brell when Equipped.',100,0,0),
(338857,10135658,'Caster will harvest a second time on 27.0% of harvests.',100,1,1),
(338858,10135658,'When completing a pristine crafted item. this spell has a 1% chance to cast Blessing of Brell on target.  Lasts for 4.1 seconds.  ',100,1,2),
(338859,10135658,'No components are consumed to create this item.',100,2,3),
(338860,10135658,'Cannot be modified except by direct means',100,2,4),
(338861,10135658,'Increases critical success chance by 5.0%',100,1,5),
(338862,89772,'When Equipped:',100,0,0),
(338863,89772,'Increases WIS of caster by 50.0',100,1,1),
(338864,89772,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(338865,89772,'Increases STR, INT and AGI of caster by 50.0',100,1,3),
(338866,89772,'Increases Potency of caster by 3.5%',100,1,4),
(338867,89772,'Cannot be modified except by direct means',100,1,5),
(338868,89772,'When Equipped:',100,0,6),
(338869,89772,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(338870,89772,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,8),
(338871,89772,'Heals target for 5610 - 6200',100,2,9),
(338872,89772,'Dispels 221 levels of any hostile effects on target',100,2,10),
(338873,89772,'Must not be engaged in pvp combat',100,2,11),
(338874,89772,'Cannot be modified except by direct means',100,2,12),
(338875,89772,'Cannot be modified except by direct means',100,1,13),
(338876,10089772,'When Equipped:',100,0,0),
(338877,10089772,'Increases WIS of caster by 50.0',100,1,1),
(338878,10089772,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,2),
(338879,10089772,'Increases STR, INT and AGI of caster by 50.0',100,1,3),
(338880,10089772,'Increases Potency of caster by 3.5%',100,1,4),
(338881,10089772,'Cannot be modified except by direct means',100,1,5),
(338882,10089772,'When Equipped:',100,0,6),
(338883,10089772,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,7),
(338884,10089772,'On a critical healing spell cast this spell may cast Soothing Sigil IV on target of spell cast.  Triggers about 2.0 times per minute. ',100,1,8),
(338885,10089772,'Heals target for 6563 - 7254',100,2,9),
(338886,10089772,'Dispels 221 levels of any hostile effects on target',100,2,10),
(338887,10089772,'Must not be engaged in pvp combat',100,2,11),
(338888,10089772,'Cannot be modified except by direct means',100,2,12),
(338889,10089772,'Cannot be modified except by direct means',100,1,13),
(338890,107377,'Decreases Ability Casting Speed of targets in Area of Effect by 42.0%',100,1,0),
(338891,107377,'Inflicts 127 - 155 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(338892,10107377,'Decreases Ability Casting Speed of targets in Area of Effect by 42.0%',100,1,0),
(338893,10107377,'Inflicts 165 - 201 heat damage on targets in Area of Effect instantly and every second',100,1,1),
(338894,81231,'When Equipped:',100,0,0),
(338895,81231,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338896,81231,'Inflicts 72 - 134 magic damage on target',100,2,2),
(338897,81231,'Cannot be modified except by direct means',100,2,3),
(338898,10081231,'When Equipped:',100,0,0),
(338899,10081231,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338900,10081231,'Inflicts 94 - 174 magic damage on target',100,2,2),
(338901,10081231,'Cannot be modified except by direct means',100,2,3),
(338902,36553,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(338903,36553,'Increases Max Power of target by 10.5',100,0,1),
(338904,185888,'When Equipped:',100,0,0),
(338905,185888,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(338906,10185888,'When Equipped:',100,0,0),
(338907,10185888,'Reduces reuse time of beneficial spells by 5 percent.',100,1,1),
(338908,173522,'When Equipped:',100,0,0),
(338909,173522,'Increases Attack Speed of caster by 30.0',100,1,1),
(338910,173522,'When Equipped:',100,0,2),
(338911,173522,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(338912,173522,'Inflicts 1986 poison damage on target',100,2,4),
(338913,173522,'Cannot be modified except by direct means',100,2,5),
(338914,10173522,'When Equipped:',100,0,0),
(338915,10173522,'Increases Attack Speed of caster by 30.0',100,1,1),
(338916,10173522,'When Equipped:',100,0,2),
(338917,10173522,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,3),
(338918,10173522,'Inflicts 1291 poison damage on target',100,2,4),
(338919,10173522,'Cannot be modified except by direct means',100,2,5),
(338920,103667,'Interrupts target',100,1,0),
(338921,103667,'Inflicts 105 - 175 melee damage on target',100,1,1),
(338922,103667,'Must be flanking or behind',100,1,2),
(338923,10103667,'Interrupts target',100,1,0),
(338924,10103667,'Inflicts 136 - 227 melee damage on target',100,1,1),
(338925,10103667,'Must be flanking or behind',100,1,2),
(338926,87252,'When Equipped:',100,0,0),
(338927,87252,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338928,87252,'Inflicts 172 - 258 magic damage on target',100,2,2),
(338929,87252,'Cannot be modified except by direct means',100,2,3),
(338930,10087252,'When Equipped:',100,0,0),
(338931,10087252,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(338932,10087252,'Inflicts 223 - 335 magic damage on target',100,2,2),
(338933,10087252,'Cannot be modified except by direct means',100,2,3),
(338934,111790,'Shapechanges caster into a fire elemental',100,1,0),
(338935,10111790,'Shapechanges caster into a fire elemental',100,1,0),
(338936,50546,'When Equipped:',100,0,0),
(338937,50546,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338938,50546,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(338939,50546,'Cannot be modified except by direct means',100,2,3),
(338940,10050546,'When Equipped:',100,0,0),
(338941,10050546,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(338942,10050546,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(338943,10050546,'Cannot be modified except by direct means',100,2,3),
(338944,113200,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(338945,113200,'Inflicts 26 magic damage on target',100,2,1),
(338946,113200,'Grants a total of 5 triggers of the spell.',100,2,2),
(338947,10113200,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',100,1,0),
(338948,10113200,'Inflicts 34 magic damage on target',100,2,1),
(338949,10113200,'Grants a total of 5 triggers of the spell.',100,2,2),
(338950,46413,'Applies Form of the Bug when Activated.',100,0,0),
(338951,46413,'Shapechanges caster into an an infectious Kybur',100,1,1),
(338952,10046413,'Applies Form of the Bug when Activated.',100,0,0),
(338953,10046413,'Shapechanges caster into an an infectious Kybur',100,1,1),
(338954,75444,'When Equipped:',100,0,0),
(338955,75444,'On any combat or spell hit this spell may cast Ruinous Slash III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338956,75444,'Inflicts 181 - 200 heat damage on targets in Area of Effect',100,2,2),
(338957,75444,'Inflicts 72 - 80 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(338958,75444,'Must not be engaged in pvp combat',100,2,4),
(338959,75444,'Cannot be modified except by direct means',100,2,5),
(338960,75444,'Must not be engaged in pvp combat',100,1,6),
(338961,10075444,'When Equipped:',100,0,0),
(338962,10075444,'On any combat or spell hit this spell may cast Ruinous Slash III on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(338963,10075444,'Inflicts 235 - 259 heat damage on targets in Area of Effect',100,2,2),
(338964,10075444,'Inflicts 94 - 104 heat damage on targets in Area of Effect every 2 seconds',100,2,3),
(338965,10075444,'Must not be engaged in pvp combat',100,2,4),
(338966,10075444,'Cannot be modified except by direct means',100,2,5),
(338967,10075444,'Must not be engaged in pvp combat',100,1,6),
(338968,49031,'Applies Vengeful Essence when Activated.',100,0,0),
(338969,49031,'Shapechanges the user, and provides a shield which damages any melee attacker.',100,1,1),
(338970,10049031,'Applies Vengeful Essence when Activated.',100,0,0),
(338971,10049031,'Shapechanges the user, and provides a shield which damages any melee attacker.',100,1,1),
(338972,114879,'Decreases AGI of target by 100.1',100,1,0),
(338973,114879,'Decreases Defense of target by 37.8',100,1,1),
(338974,10114879,'Decreases AGI of target by 100.1',100,1,0),
(338975,10114879,'Decreases Defense of target by 37.8',100,1,1),
(338976,103436,'Heals group members (AE) for 108 - 132',100,1,0),
(338977,103436,'Increases Max Health of group members (AE) by 17.5',100,1,1),
(338978,10103436,'Heals group members (AE) for 70 - 86',100,1,0),
(338979,10103436,'Increases Max Health of group members (AE) by 17.5',100,1,1),
(338980,35231,'Increases Max Power of target by 47.2',100,0,0),
(338981,35231,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(338982,121564,'Inflicts 404 - 674 melee damage on targets in area',100,1,0),
(338983,121564,'Stuns target encounter',100,1,1),
(338984,121564,'If Target is not Epic',100,2,2),
(338985,121564,'Resistibility increases against targets higher than level 102.',100,1,3),
(338986,10121564,'Inflicts 525 - 876 melee damage on targets in area',100,1,0),
(338987,10121564,'Stuns target encounter',100,1,1),
(338988,10121564,'If Target is not Epic',100,2,2),
(338989,10121564,'Resistibility increases against targets higher than level 102.',100,1,3),
(338990,115691,'Inflicts 35 - 105 melee damage on target',100,1,0),
(338991,115691,'Inflicts 35 - 105 melee damage on target',100,1,1),
(338992,115691,'Inflicts 35 - 105 melee damage on target',100,1,2),
(338993,115691,'Inflicts 35 - 105 melee damage on target',100,1,3),
(338994,115691,'Inflicts 35 - 105 melee damage on target',100,1,4),
(338995,115691,'Inflicts 35 - 105 melee damage on target',100,1,5),
(338996,115691,'Inflicts 35 - 105 melee damage on target',100,1,6),
(338997,115691,'Inflicts 35 - 105 melee damage on target',100,1,7),
(338998,10115691,'Inflicts 45 - 136 melee damage on target',100,1,0),
(338999,10115691,'Inflicts 45 - 136 melee damage on target',100,1,1),
(339000,10115691,'Inflicts 45 - 136 melee damage on target',100,1,2),
(339001,10115691,'Inflicts 45 - 136 melee damage on target',100,1,3),
(339002,10115691,'Inflicts 45 - 136 melee damage on target',100,1,4),
(339003,10115691,'Inflicts 45 - 136 melee damage on target',100,1,5),
(339004,10115691,'Inflicts 45 - 136 melee damage on target',100,1,6),
(339005,10115691,'Inflicts 45 - 136 melee damage on target',100,1,7),
(339006,182399,'When Equipped:',100,0,0),
(339007,182399,'On a melee hit this spell may cast Will of the Dark One on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(339008,182399,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(339009,182399,'Must not be engaged in pvp combat',100,1,3),
(339010,182399,'Cannot be modified except by direct means',100,1,4),
(339011,10182399,'When Equipped:',100,0,0),
(339012,10182399,'On a melee hit this spell may cast Will of the Dark One on caster.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(339013,10182399,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(339014,10182399,'Must not be engaged in pvp combat',100,1,3),
(339015,10182399,'Cannot be modified except by direct means',100,1,4),
(339016,122754,'Heals group members (AE) for 373 - 456',100,1,0),
(339017,122754,'Increases Max Health of group members (AE) by 65.4',100,1,1),
(339018,10122754,'Heals group members (AE) for 436 - 533',100,1,0),
(339019,10122754,'Increases Max Health of group members (AE) by 65.4',100,1,1),
(339020,177686,'When Equipped:',100,0,0),
(339021,177686,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(339022,177686,'Increases STA of caster by 12.2',100,2,2),
(339023,177686,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(339024,177686,'Cannot be modified except by direct means',100,2,4),
(339025,10177686,'When Equipped:',100,0,0),
(339026,10177686,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(339027,10177686,'Increases STA of caster by 12.2',100,2,2),
(339028,10177686,'Increases In-Combat Health Regeneration of caster by 15.6',100,2,3),
(339029,10177686,'Cannot be modified except by direct means',100,2,4),
(339030,119484,'Dazes target encounter',100,1,0),
(339031,119484,'If Target is not Epic',100,2,1),
(339032,119484,'Inflicts 121 - 148 magic damage on target encounter instantly and every second',100,1,2),
(339033,119484,'Resistibility increases against targets higher than level 68.',100,1,3),
(339034,10119484,'Dazes target encounter',100,1,0),
(339035,10119484,'If Target is not Epic',100,2,1),
(339036,10119484,'Inflicts 207 - 252 magic damage on target encounter',100,1,2),
(339037,10119484,'Inflicts 157 - 192 magic damage on target encounter every second',100,1,3),
(339038,10119484,'Resistibility increases against targets higher than level 68.',100,1,4),
(339039,100054,'Decreases STR, AGI and WIS of target by 72.6',100,1,0),
(339040,10100054,'Decreases STR, AGI and WIS of target by 72.6',100,1,0),
(339041,112565,'Interrupts target',50,1,0),
(339042,112565,'Inflicts 431 - 527 divine damage on target',100,1,1),
(339043,10112565,'Interrupts target',50,1,0),
(339044,10112565,'Inflicts 721 - 881 divine damage on target',100,1,1),
(339045,113168,'Inflicts 544 disease damage on target',100,1,0),
(339046,113168,'Heals caster for 354',100,1,1),
(339047,10113168,'Inflicts 707 disease damage on target',100,1,0),
(339048,10113168,'Heals caster for 299',100,1,1),
(339049,121159,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(339050,121159,'Increases Hate Gain of caster by 5.0%',100,2,1),
(339051,121159,'Increases Attack Speed of caster by 41.2',100,2,2),
(339052,121159,'Dispelled when target takes damage',100,2,3),
(339053,10121159,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(339054,10121159,'Increases Attack Speed of caster by 41.2',100,2,1),
(339055,10121159,'Dispelled when target takes damage',100,2,2),
(339056,118004,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(339057,118004,'Increases Damage Per Second of target by 32.1',100,2,1),
(339058,118004,'Increases Attack Speed of target by 32.1',100,2,2),
(339059,118004,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(339060,118004,'Increases Damage Per Second of target by 32.1',100,2,4),
(339061,118004,'Increases Attack Speed of target by 32.1',100,2,5),
(339062,118004,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(339063,118004,'Increases Damage Per Second of target by 32.1',100,2,7),
(339064,118004,'Increases Attack Speed of target by 32.1',100,2,8),
(339065,10118004,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',100,1,0),
(339066,10118004,'Increases Damage Per Second of target by 32.1',100,2,1),
(339067,10118004,'Increases Attack Speed of target by 32.1',100,2,2),
(339068,10118004,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,3),
(339069,10118004,'Increases Damage Per Second of target by 32.1',100,2,4),
(339070,10118004,'Increases Attack Speed of target by 32.1',100,2,5),
(339071,10118004,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',100,1,6),
(339072,10118004,'Increases Damage Per Second of target by 32.1',100,2,7),
(339073,10118004,'Increases Attack Speed of target by 32.1',100,2,8),
(339074,35558,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(339075,100321,'Inflicts 36 - 44 divine damage on target',100,1,0),
(339076,100321,'Dazes target',100,1,1),
(339077,100321,'If Target is not Epic',100,2,2),
(339078,100321,'Dispelled when target receives hostile action',100,1,3),
(339079,100321,'Dispelled when target takes damage',100,1,4),
(339080,100321,'Resistibility increases against targets higher than level 39.',100,1,5),
(339081,10100321,'Inflicts 47 - 58 divine damage on target',100,1,0),
(339082,10100321,'Dazes target',100,1,1),
(339083,10100321,'If Target is not Epic',100,2,2),
(339084,10100321,'Dispelled when target receives hostile action',100,1,3),
(339085,10100321,'Dispelled when target takes damage',100,1,4),
(339086,10100321,'Resistibility increases against targets higher than level 39.',100,1,5),
(339087,108721,'Inflicts 311 heat damage on target',100,1,0),
(339088,108721,'Inflicts 70 heat damage on target every 4 seconds',100,1,1),
(339089,10108721,'Inflicts 567 heat damage on target',100,1,0),
(339090,10108721,'Inflicts 90 heat damage on target every 4 seconds',100,1,1),
(339091,109508,'Inflicts 64 - 78 disease damage on target instantly and every 4 seconds',100,1,0),
(339092,109508,'Decreases Attack Speed of target by 6.8',100,1,1),
(339093,10109508,'Inflicts 83 - 101 disease damage on target instantly and every 4 seconds',100,1,0),
(339094,10109508,'Decreases Attack Speed of target by 6.8',100,1,1),
(339095,160376,'When Equipped:',100,0,0),
(339096,160376,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339097,160376,'Wards caster against 333 points of all damage',100,2,2),
(339098,160376,'Cannot be modified except by direct means',100,2,3),
(339099,10160376,'When Equipped:',100,0,0),
(339100,10160376,'On a hostile spell cast this spell may cast Absorption Shield on caster.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339101,10160376,'Wards caster against 333 points of all damage',100,2,2),
(339102,10160376,'Cannot be modified except by direct means',100,2,3),
(339103,122011,'Inflicts 268 - 447 melee damage on targets in area',100,1,0),
(339104,122011,'Increases Threat to target encounter by 1,506 ',100,1,1),
(339105,10122011,'Inflicts 349 - 581 melee damage on targets in area',100,1,0),
(339106,10122011,'Prevents target encounter from changing targets',100,1,1),
(339107,10122011,'Forces target encounter to change their selected target to caster.',100,1,2),
(339108,120341,'Increases Threat to target by 1,483 - 1,812 ',100,1,0),
(339109,10120341,'Forces target to change their selected target to caster.',100,1,0),
(339110,10120341,'Prevents target from changing targets',100,1,1),
(339111,111980,'Inflicts 416 - 509 disease damage on target',100,1,0),
(339112,111980,'Decreases Mitigation of target vs noxious damage by 1037',100,1,1),
(339113,10111980,'Inflicts 696 - 850 disease damage on target',100,1,0),
(339114,10111980,'Decreases Mitigation of target vs noxious damage by 1037',100,1,1),
(339115,111174,'Inflicts 18 - 30 divine damage on targets in area',100,1,0),
(339116,111174,'Heals group members (AE) for 14',100,1,1),
(339117,111174,'This effect cannot be critically applied.',100,2,2),
(339118,111174,'The healing of this spell cannot be modified except by direct means',100,1,3),
(339119,10111174,'Inflicts 23 - 39 divine damage on targets in area',100,1,0),
(339120,10111174,'Heals group members (AE) for 9',100,1,1),
(339121,10111174,'This effect cannot be critically applied.',100,2,2),
(339122,10111174,'The healing of this spell cannot be modified except by direct means',100,1,3),
(339123,118226,'Throws target back',100,1,0),
(339124,118226,'If Target is not Epic',100,2,1),
(339125,118226,'Stuns targets in Area of Effect',100,1,2),
(339126,118226,'If Target is not Epic',100,2,3),
(339127,118226,'Inflicts 1905 - 3175 magic damage on targets in Area of Effect',100,1,4),
(339128,118226,'Resistibility increases against targets higher than level 107.',100,1,5),
(339129,10118226,'Throws target back',100,1,0),
(339130,10118226,'If Target is not Epic',100,2,1),
(339131,10118226,'Stuns targets in Area of Effect',100,1,2),
(339132,10118226,'If Target is not Epic',100,2,3),
(339133,10118226,'Inflicts 2477 - 4128 magic damage on targets in Area of Effect',100,1,4),
(339134,10118226,'Resistibility increases against targets higher than level 107.',100,1,5),
(339135,100253,'Inflicts 18 - 34 poison damage on target instantly and every 3 seconds',100,1,0),
(339136,10100253,'Inflicts 53 - 98 poison damage on target instantly and every 3 seconds',100,1,0),
(339137,51697,'When Equipped:',100,0,0),
(339138,51697,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(339139,51697,'Heals caster for 218',100,2,2),
(339140,51697,'Cannot be modified except by direct means',100,2,3),
(339141,10051697,'When Equipped:',100,0,0),
(339142,10051697,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(339143,10051697,'Heals caster for 142',100,2,2),
(339144,10051697,'Cannot be modified except by direct means',100,2,3),
(339145,105183,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(339146,105183,'Inflicts 64 - 79 poison damage on target encounter',100,2,1),
(339147,10105183,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(339148,10105183,'Inflicts 84 - 102 poison damage on target encounter',100,2,1),
(339149,115617,'Wards target against 2136 points of all damage',100,1,0),
(339150,10115617,'Wards target against 3204 points of all damage',100,1,0),
(339151,124271,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(339152,124271,'Increases Damage Per Second of target by 25.5',100,2,1),
(339153,124271,'Increases Attack Speed of target by 25.5',100,2,2),
(339154,124271,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(339155,124271,'Increases Damage Per Second of target by 25.5',100,2,4),
(339156,124271,'Increases Attack Speed of target by 25.5',100,2,5),
(339157,124271,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(339158,124271,'Increases Damage Per Second of target by 25.5',100,2,7),
(339159,124271,'Increases Attack Speed of target by 25.5',100,2,8),
(339160,10124271,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,0),
(339161,10124271,'Increases Damage Per Second of target by 25.5',100,2,1),
(339162,10124271,'Increases Attack Speed of target by 25.5',100,2,2),
(339163,10124271,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',100,1,3),
(339164,10124271,'Increases Damage Per Second of target by 25.5',100,2,4),
(339165,10124271,'Increases Attack Speed of target by 25.5',100,2,5),
(339166,10124271,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(339167,10124271,'Increases Damage Per Second of target by 25.5',100,2,7),
(339168,10124271,'Increases Attack Speed of target by 25.5',100,2,8),
(339169,117565,'Decreases Parry of target by 12.6',100,1,0),
(339170,117565,'Inflicts 90 - 151 melee damage on target',100,1,1),
(339171,117565,'Must be in front of or flanking',100,1,2),
(339172,10117565,'Decreases Parry of target by 12.6',100,1,0),
(339173,10117565,'Inflicts 117 - 196 melee damage on target',100,1,1),
(339174,10117565,'Must be in front of or flanking',100,1,2),
(339175,36276,'Increases In-Combat Power Regeneration of target by 9.9',100,0,0),
(339176,36276,'Increases In-Combat Health Regeneration of target by 9.9',100,0,1),
(339177,36276,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,2),
(339178,109131,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(339179,109131,'Heals target for 483 - 591',100,2,1),
(339180,109131,'Grants a total of 8 triggers of the spell.',100,2,2),
(339181,10109131,'When any damage is received this spell will cast Benefaction on target.  ',100,1,0),
(339182,10109131,'Heals target for 314 - 384',100,2,1),
(339183,10109131,'Grants a total of 8 triggers of the spell.',100,2,2),
(339184,110543,'Summons a pet attack hawk',100,1,0),
(339185,10110543,'Summons a pet attack hawk',100,1,0),
(339186,119485,'Dazes target encounter',100,1,0),
(339187,119485,'If Target is not Epic',100,2,1),
(339188,119485,'Inflicts 133 - 163 magic damage on target encounter instantly and every second',100,1,2),
(339189,119485,'Resistibility increases against targets higher than level 82.',100,1,3),
(339190,10119485,'Dazes target encounter',100,1,0),
(339191,10119485,'If Target is not Epic',100,2,1),
(339192,10119485,'Inflicts 228 - 279 magic damage on target encounter',100,1,2),
(339193,10119485,'Inflicts 173 - 212 magic damage on target encounter every second',100,1,3),
(339194,10119485,'Resistibility increases against targets higher than level 82.',100,1,4),
(339195,105489,'Stuns target encounter',100,1,0),
(339196,105489,'If Target is not Epic',100,2,1),
(339197,105489,'Inflicts 373 - 693 poison damage on target encounter',100,1,2),
(339198,105489,'Resistibility increases against targets higher than level 93.',100,1,3),
(339199,10105489,'Stuns target encounter',100,1,0),
(339200,10105489,'If Target is not Epic',100,2,1),
(339201,10105489,'Inflicts 485 - 900 poison damage on target encounter',100,1,2),
(339202,10105489,'Resistibility increases against targets higher than level 93.',100,1,3),
(339203,102584,'Increases AGI of caster by 125.2',100,1,0),
(339204,102584,'Increases Max Health of caster by 427.8',100,1,1),
(339205,102584,'Adds 17.2% to base avoidance.',100,1,2),
(339206,102584,'Increases Mitigation of caster vs physical damage by 685',100,1,3),
(339207,102584,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,4),
(339208,10102584,'Increases AGI of caster by 125.2',100,1,0),
(339209,10102584,'Increases Max Health of caster by 427.8',100,1,1),
(339210,10102584,'Adds 17.2% to base avoidance.',100,1,2),
(339211,10102584,'Increases Mitigation of caster vs physical damage by 685',100,1,3),
(339212,10102584,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',100,1,4),
(339213,161739,'When Equipped:',100,0,0),
(339214,161739,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339215,161739,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(339216,161739,'Cannot be modified except by direct means',100,2,3),
(339217,10161739,'When Equipped:',100,0,0),
(339218,10161739,'On any combat or spell hit this spell may cast Solid Reflexes on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339219,10161739,'Increases Ability Reuse Speed of caster by 5.0%',100,2,2),
(339220,10161739,'Cannot be modified except by direct means',100,2,3),
(339221,111467,'Increases AGI of caster by 11.6',100,1,0),
(339222,111467,'Increases Attack Speed of caster by 16.5',100,1,1),
(339223,111467,'Increases in-combat movement speed of caster by 6.0%',100,1,2),
(339224,111467,'Adds 18.7% to base avoidance.',100,1,3),
(339225,111467,'Increases Mitigation of caster vs physical damage by 92',100,1,4),
(339226,111467,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',100,1,5),
(339227,10111467,'Increases AGI of caster by 11.6',100,1,0),
(339228,10111467,'Increases Attack Speed of caster by 16.5',100,1,1),
(339229,10111467,'Increases speed of caster by 6.0%',100,1,2),
(339230,10111467,'Adds 18.7% to base avoidance.',100,1,3),
(339231,10111467,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',100,1,4),
(339232,82577,'When Equipped:',100,0,0),
(339233,82577,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(339234,82577,'Inflicts 79 - 146 magic damage on target',100,2,2),
(339235,82577,'Decreases Threat to target by 259 ',100,2,3),
(339236,82577,'Must be flanking or behind',100,3,4),
(339237,82577,'Increases Threat to target by 259 ',100,2,5),
(339238,82577,'Must be in front of',100,3,6),
(339239,82577,'Cannot be modified except by direct means',100,2,7),
(339240,10082577,'When Equipped:',100,0,0),
(339241,10082577,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(339242,10082577,'Inflicts 102 - 190 magic damage on target',100,2,2),
(339243,10082577,'Cannot be modified except by direct means',100,2,3),
(339244,109733,'Inflicts 251 - 418 cold damage on target',100,1,0),
(339245,109733,'If weapon equipped in Ranged',100,1,1),
(339246,10109733,'Inflicts 188 - 314 cold damage on target',100,1,0),
(339247,10109733,'If weapon equipped in Ranged',100,1,1),
(339248,103876,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(339249,103876,'Slows target by 42.9%',100,2,1),
(339250,103876,'5% chance to dispel when target receives hostile action',100,2,2),
(339251,103876,'5% chance to dispel when target takes damage',100,2,3),
(339252,103876,'Decreases Mitigation of target vs noxious damage by 1568',100,1,4),
(339253,10103876,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(339254,10103876,'Slows target by 42.9%',100,2,1),
(339255,10103876,'5% chance to dispel when target receives hostile action',100,2,2),
(339256,10103876,'5% chance to dispel when target takes damage',100,2,3),
(339257,10103876,'Decreases Mitigation of target vs noxious damage by 1568',100,1,4),
(339258,111181,'Inflicts 70 - 117 divine damage on targets in area',100,1,0),
(339259,111181,'Heals group members (AE) for 2.5% of max health',100,1,1),
(339260,111181,'This effect cannot be critically applied.',100,2,2),
(339261,111181,'The healing of this spell cannot be modified except by direct means',100,1,3),
(339262,10111181,'Inflicts 91 - 153 divine damage on targets in area',100,1,0),
(339263,10111181,'Heals group members (AE) for 1.6% of max health',100,1,1),
(339264,10111181,'This effect cannot be critically applied.',100,2,2),
(339265,10111181,'The healing of this spell cannot be modified except by direct means',100,1,3),
(339266,36806,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(339267,47322,'Applies Thubir''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(339268,47322,'Increases STR and STA of caster by 9.0',100,1,1),
(339269,10047322,'Applies Thubir''s Sanctification  when Activated.  Lasts for 30 minutes.',100,0,0),
(339270,10047322,'Increases STR and STA of caster by 9.0',100,1,1),
(339271,105911,'Inflicts 545 - 908 melee damage on target',100,1,0),
(339272,105911,'If over 33% Health',100,2,1),
(339273,105911,'Inflicts 1635 - 2725 melee damage on target',100,1,2),
(339274,105911,'If under 33% Health',100,2,3),
(339275,105911,'Must be flanking or behind',100,1,4),
(339276,10105911,'Inflicts 708 - 1181 melee damage on target',100,1,0),
(339277,10105911,'If over 20% Health',100,2,1),
(339278,10105911,'Inflicts 1889 - 3149 melee damage on target',100,1,2),
(339279,10105911,'If under 20% Health',100,2,3),
(339280,10105911,'Must be flanking or behind',100,1,4),
(339281,105422,'Increases STR of caster by 118.1',100,1,0),
(339282,105422,'Decreases Defense of caster by 13.8',100,1,1),
(339283,105422,'Increases Slashing, Piercing, Crushing and Disruption of caster by 22.8',100,1,2),
(339284,10105422,'Increases STR of caster by 118.1',100,1,0),
(339285,10105422,'Decreases Defense of caster by 13.8',100,1,1),
(339286,10105422,'Increases Slashing, Piercing, Crushing and Disruption of caster by 22.8',100,1,2),
(339287,110964,'Inflicts 516 - 861 ranged damage on target',100,1,0),
(339288,110964,'I need to be stealthed!',100,1,1),
(339289,110964,'Requires bow',100,1,2),
(339290,10110964,'Inflicts 290 - 484 ranged damage on target',100,1,0),
(339291,10110964,'I need to be stealthed!',100,1,1),
(339292,10110964,'Requires bow',100,1,2),
(339293,80788,'When Equipped:',100,0,0),
(339294,80788,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339295,80788,'Inflicts 151 - 280 magic damage on target',100,2,2),
(339296,80788,'Cannot be modified except by direct means',100,2,3),
(339297,10080788,'When Equipped:',100,0,0),
(339298,10080788,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339299,10080788,'Inflicts 196 - 364 magic damage on target',100,2,2),
(339300,10080788,'Cannot be modified except by direct means',100,2,3),
(339301,110442,'Dazes targets in Area of Effect',100,1,0),
(339302,110442,'If Target is not Epic',100,2,1),
(339303,110442,'Decreases Threat to targets in Area of Effect by 1,424 ',100,1,2),
(339304,110442,'Dispelled when target receives hostile action',100,1,3),
(339305,110442,'Dispelled when target takes damage',100,1,4),
(339306,10110442,'Dazes targets in Area of Effect',100,1,0),
(339307,10110442,'If Target is not Epic',100,2,1),
(339308,10110442,'Applies Distract.',100,1,2),
(339309,10110442,'Forces target to clear their selected target.',100,2,3),
(339310,10110442,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(339311,10110442,'Dispelled when target receives hostile action',100,1,5),
(339312,10110442,'Dispelled when target takes damage',100,1,6),
(339313,75494,'When Equipped:',100,0,0),
(339314,75494,'On a critical healing spell cast this spell may cast Shielding Ripple III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339315,75494,'Heals target for 144 - 160 instantly and every 2 seconds',100,2,2),
(339316,75494,'Wards target against 200 points of all damage',100,2,3),
(339317,75494,'Must not be engaged in pvp combat',100,2,4),
(339318,75494,'Cannot be modified except by direct means',100,2,5),
(339319,75494,'Must not be engaged in pvp combat',100,1,6),
(339320,10075494,'When Equipped:',100,0,0),
(339321,10075494,'On a critical healing spell cast this spell may cast Shielding Ripple III on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339322,10075494,'Heals target for 94 - 104 instantly and every 2 seconds',100,2,2),
(339323,10075494,'Wards target against 200 points of all damage',100,2,3),
(339324,10075494,'Must not be engaged in pvp combat',100,2,4),
(339325,10075494,'Cannot be modified except by direct means',100,2,5),
(339326,10075494,'Must not be engaged in pvp combat',100,1,6),
(339327,120966,'Inflicts 676 - 1127 ranged damage on target',100,1,0),
(339328,120966,'If weapon equipped in Ranged',100,1,1),
(339329,120966,'Must be behind',100,1,2),
(339330,10120966,'Inflicts 507 - 845 ranged damage on target',100,1,0),
(339331,10120966,'If weapon equipped in Ranged',100,1,1),
(339332,10120966,'Must be behind',100,1,2),
(339333,140412,'When Equipped:',100,0,0),
(339334,140412,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,1),
(339335,140412,'Inflicts 639 disease damage on targets in Area of Effect',100,2,2),
(339336,140412,'Cannot be modified except by direct means',100,2,3),
(339337,140412,'Increases damage effect damage by 40%.',100,1,4),
(339338,10140412,'When Equipped:',100,0,0),
(339339,10140412,'When any damage is received this spell has a 10% chance to cast Vedan''s Retribution on target''s attacker.  ',100,1,1),
(339340,10140412,'Inflicts 831 disease damage on targets in Area of Effect',100,2,2),
(339341,10140412,'Cannot be modified except by direct means',100,2,3),
(339342,10140412,'Increases damage effect damage by 40%.',100,1,4),
(339343,188394,'When Equipped:',100,0,0),
(339344,188394,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(339345,188394,'Increases power of caster by 142',100,2,2),
(339346,188394,'Cannot be modified except by direct means',100,2,3),
(339347,10188394,'When Equipped:',100,0,0),
(339348,10188394,'On a combat hit this spell may cast Swift Recovery on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(339349,10188394,'Increases power of caster by 142',100,2,2),
(339350,10188394,'Cannot be modified except by direct means',100,2,3),
(339351,124322,'Shapechanges caster into a wolf',100,1,0),
(339352,124322,'Grants See Invisibility to caster',100,1,1),
(339353,124322,'Increases Focus of caster by 14.5',100,1,2),
(339354,124322,'Increases Mitigation of caster vs physical damage by 162',100,1,3),
(339355,124322,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 614',100,1,4),
(339356,10124322,'Shapechanges caster into a wolf',100,1,0),
(339357,10124322,'Grants See Invisibility to caster',100,1,1),
(339358,10124322,'Increases Focus of caster by 14.5',100,1,2),
(339359,10124322,'Increases Mitigation of caster vs physical damage by 162',100,1,3),
(339360,10124322,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 614',100,1,4),
(339361,131101,'When Equipped:',100,0,0),
(339362,131101,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339363,131101,'Wards target against 2800 points of all damage',100,2,2),
(339364,131101,'Replenishes 600 points of absorption every 2 seconds.',100,2,3),
(339365,131101,'Cannot be modified except by direct means',100,2,4),
(339366,10131101,'When Equipped:',100,0,0),
(339367,10131101,'On a healing spell cast this spell may cast Ancient Invigoration on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339368,10131101,'Wards target against 2800 points of all damage',100,2,2),
(339369,10131101,'Replenishes 600 points of absorption every 2 seconds.',100,2,3),
(339370,10131101,'Cannot be modified except by direct means',100,2,4),
(339371,26648,'When Equipped:',100,0,0),
(339372,26648,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(339373,26648,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(339374,10026648,'When Equipped:',100,0,0),
(339375,10026648,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(339376,10026648,'Reduces the reuse time of Thieving Essence by 10 seconds.',100,1,2),
(339377,115654,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 704',100,1,0),
(339378,10115654,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 704',100,1,0),
(339379,105181,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(339380,105181,'Inflicts 36 - 45 poison damage on target encounter',100,2,1),
(339381,10105181,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',100,1,0),
(339382,10105181,'Inflicts 47 - 58 poison damage on target encounter',100,2,1),
(339383,24671,'Adds Ravasect (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(339384,10024671,'Adds Ravasect (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(339385,122842,'Inflicts 653 - 1088 ranged damage on target',100,1,0),
(339386,122842,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(339387,122842,'Increases Hate Gain of target by 30.0%',100,2,2),
(339388,122842,'Grants a total of 1 trigger of the spell.',100,2,3),
(339389,122842,'Requires bow',100,1,4),
(339390,10122842,'Inflicts 489 - 816 ranged damage on target',100,1,0),
(339391,10122842,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(339392,10122842,'Grants a total of 1 trigger of the spell.',100,2,2),
(339393,10122842,'Requires bow',100,1,3),
(339394,112883,'Decreases Mitigation of target vs physical damage by 182',100,1,0),
(339395,112883,'Inflicts 146 - 178 melee damage on target',100,1,1),
(339396,112883,'Must be flanking or behind',100,1,2),
(339397,10112883,'Decreases Mitigation of target vs physical damage by 182',100,1,0),
(339398,10112883,'Inflicts 190 - 232 melee damage on target',100,1,1),
(339399,10112883,'Must be flanking or behind',100,1,2),
(339400,82875,'When Equipped:',100,0,0),
(339401,82875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339402,82875,'Inflicts 205 - 381 magic damage on target',100,2,2),
(339403,82875,'Cannot be modified except by direct means',100,2,3),
(339404,10082875,'When Equipped:',100,0,0),
(339405,10082875,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339406,10082875,'Inflicts 267 - 495 magic damage on target',100,2,2),
(339407,10082875,'Cannot be modified except by direct means',100,2,3),
(339408,159303,'When Equipped:',100,0,0),
(339409,159303,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(339410,159303,'Increases STA of caster by 19.3',100,2,2),
(339411,159303,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(339412,159303,'Cannot be modified except by direct means',100,2,4),
(339413,10159303,'When Equipped:',100,0,0),
(339414,10159303,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(339415,10159303,'Increases STA of caster by 19.3',100,2,2),
(339416,10159303,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(339417,10159303,'Cannot be modified except by direct means',100,2,4),
(339418,110370,'Increases STR and AGI of group members (AE) by 35.3',100,1,0),
(339419,110370,'Adds 1.9% to base avoidance.',100,1,1),
(339420,10110370,'Increases STR and AGI of group members (AE) by 35.3',100,1,0),
(339421,10110370,'Adds 1.9% to base avoidance.',100,1,1),
(339422,26082,'When Equipped:',100,0,0),
(339423,26082,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(339424,26082,'Adds a small heal to Caress Feedback.',100,1,2),
(339425,10026082,'When Equipped:',100,0,0),
(339426,10026082,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(339427,10026082,'Adds a small heal to Caress Feedback.',100,1,2),
(339428,47860,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(339429,47860,'Summons a mount to ride',100,1,1),
(339430,47860,'Increases your ground speed by 130%',100,2,2),
(339431,47860,'Increases Piercing, Crushing, Focus and Slashing of caster by 4.7',100,1,3),
(339432,10047860,'Applies Call Rujarkian Destrier when Activated.',100,0,0),
(339433,10047860,'Summons a mount to ride',100,1,1),
(339434,10047860,'Increases your ground speed by 130%',100,2,2),
(339435,10047860,'Increases Piercing, Crushing, Focus and Slashing of caster by 4.7',100,1,3),
(339436,35549,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(339437,102060,'Interrupts targets in Area of Effect',100,1,0),
(339438,102060,'Inflicts 326 - 543 melee damage on targets in area',100,1,1),
(339439,10102060,'Interrupts targets in Area of Effect',100,1,0),
(339440,10102060,'Inflicts 423 - 706 melee damage on targets in area',100,1,1),
(339441,108813,'Inflicts 350 - 650 heat damage on targets in Area of Effect',100,1,0),
(339442,10108813,'Inflicts 455 - 846 heat damage on targets in Area of Effect',100,1,0),
(339443,124419,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(339444,124419,'Inflicts 239 - 399 melee damage on target',100,2,1),
(339445,124419,'Grants a total of 3 triggers of the spell.',100,2,2),
(339446,10124419,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(339447,10124419,'Inflicts 311 - 519 melee damage on target',100,2,1),
(339448,10124419,'Grants a total of 3 triggers of the spell.',100,2,2),
(339449,173312,'When Equipped:',100,0,0),
(339450,173312,'On a damage spell hit this spell may cast Tranquil Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(339451,173312,'Prevents caster and pet from taking damage from AoE spells. Spell will cancel in the event any direct damage is taken.',100,2,2),
(339452,10173312,'When Equipped:',100,0,0),
(339453,10173312,'On a damage spell hit this spell may cast Tranquil Mind on caster.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(339454,10173312,'Prevents caster and pet from taking damage from AoE spells. Spell will cancel in the event any direct damage is taken.',100,2,2),
(339455,79361,'When Equipped:',100,0,0),
(339456,79361,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(339457,10079361,'When Equipped:',100,0,0),
(339458,10079361,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(339459,113728,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(339460,10113728,'Dispels 85 levels of any hostile effects on group members (AE)',100,1,0),
(339461,116329,'Stuns target',100,1,0),
(339462,116329,'If Target is not Epic',100,2,1),
(339463,116329,'Inflicts 840 - 1027 magic damage on target',100,1,2),
(339464,116329,'Resistibility increases against targets higher than level 121.',100,1,3),
(339465,10116329,'Stuns target',100,1,0),
(339466,10116329,'If Target is not Epic',100,2,1),
(339467,10116329,'Inflicts 1092 - 1335 magic damage on target',100,1,2),
(339468,10116329,'Resistibility increases against targets higher than level 121.',100,1,3),
(339469,48770,'Applies Elixir of the Steadfast  when Activated.',100,0,0),
(339470,48770,'Heals caster for 199',100,1,1),
(339471,10048770,'Applies Elixir of the Steadfast  when Activated.',100,0,0),
(339472,10048770,'Heals caster for 129',100,1,1),
(339473,177593,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(339474,177593,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(339475,177593,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(339476,177593,'Cannot be modified except by direct means',100,2,3),
(339477,10177593,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(339478,10177593,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(339479,10177593,'Heals target for 13 instantly and every 4 seconds',100,2,2),
(339480,10177593,'Cannot be modified except by direct means',100,2,3),
(339481,24011,'Adds Aviak (Berserker) to your Dungeon Maker toolbox',100,0,0),
(339482,10024011,'Adds Aviak (Berserker) to your Dungeon Maker toolbox',100,0,0),
(339483,173658,'When Equipped:',100,0,0),
(339484,173658,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(339485,173658,'Stuns target',100,2,2),
(339486,173658,'Only affects targets level 88 and below',100,2,3),
(339487,173658,'Does not affect Epic targets',100,2,4),
(339488,173658,'Resistibility increases against targets higher than level 103.',100,2,5),
(339489,173658,'Cannot be modified except by direct means',100,2,6),
(339490,10173658,'When Equipped:',100,0,0),
(339491,10173658,'When damaged with a melee weapon this spell has a 5% chance to cast Majesty on target''s attacker.  Lasts for 4.0 seconds.  ',100,1,1),
(339492,10173658,'Stuns target',100,2,2),
(339493,10173658,'Only affects targets level 88 and below',100,2,3),
(339494,10173658,'Does not affect Epic targets',100,2,4),
(339495,10173658,'Resistibility increases against targets higher than level 103.',100,2,5),
(339496,10173658,'Cannot be modified except by direct means',100,2,6),
(339497,112696,'Increases Parry of group members (AE) by 47.7',100,1,0),
(339498,10112696,'Increases Parry of group members (AE) by 47.7',100,1,0),
(339499,144885,'When Equipped:',100,0,0),
(339500,144885,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(339501,10144885,'When Equipped:',100,0,0),
(339502,10144885,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(339503,105547,'Inflicts 39 - 72 disease damage on target',100,1,0),
(339504,105547,'Inflicts 23 - 43 disease damage on target every 2 seconds',100,1,1),
(339505,10105547,'Inflicts 51 - 94 disease damage on target',100,1,0),
(339506,10105547,'Inflicts 30 - 56 disease damage on target every 2 seconds',100,1,1),
(339507,41513,'When Equipped:',100,0,0),
(339508,41513,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339509,41513,'Inflicts 48 - 90 magic damage on target',100,2,2),
(339510,41513,'Cannot be modified except by direct means',100,2,3),
(339511,10041513,'When Equipped:',100,0,0),
(339512,10041513,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339513,10041513,'Inflicts 63 - 116 magic damage on target',100,2,2),
(339514,10041513,'Cannot be modified except by direct means',100,2,3),
(339515,45967,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(339516,45967,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(339517,45967,'Inflicts 246 poison damage on target',100,2,2),
(339518,45967,'Inflicts 40 poison damage on target instantly and every 6 seconds',100,2,3),
(339519,45967,'Cannot be modified except by direct means',100,2,4),
(339520,45967,'Grants a total of 200 triggers of the spell.',100,2,5),
(339521,10045967,'Applies disruptive torment when Activated.  Lasts for 12 hours.',100,0,0),
(339522,10045967,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(339523,10045967,'Inflicts 39 poison damage on target instantly and every 6 seconds',100,2,2),
(339524,10045967,'Inflicts 240 poison damage on target',100,2,3),
(339525,10045967,'Cannot be modified except by direct means',100,2,4),
(339526,10045967,'Grants a total of 200 triggers of the spell.',100,2,5),
(339527,71712,'When Equipped:',100,0,0),
(339528,71712,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339529,71712,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(339530,71712,'Cannot be modified except by direct means',100,2,3),
(339531,10071712,'When Equipped:',100,0,0),
(339532,10071712,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339533,10071712,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(339534,10071712,'Cannot be modified except by direct means',100,2,3),
(339535,107408,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(339536,107408,'Slows target by 52.4%',100,2,1),
(339537,107408,'5% chance to dispel when target receives hostile action',100,2,2),
(339538,107408,'5% chance to dispel when target takes damage',100,2,3),
(339539,107408,'Inflicts 762 - 1270 disease damage on target',100,1,4),
(339540,10107408,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(339541,10107408,'Slows target by 52.4%',100,2,1),
(339542,10107408,'5% chance to dispel when target receives hostile action',100,2,2),
(339543,10107408,'5% chance to dispel when target takes damage',100,2,3),
(339544,10107408,'Inflicts 990 - 1650 disease damage on target',100,1,4),
(339545,106884,'Decreases Threat to targets in Area of Effect by 2,886 ',100,1,0),
(339546,106884,'Stuns targets in Area of Effect',100,1,1),
(339547,106884,'If Target is not Epic',100,2,2),
(339548,10106884,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(339549,10106884,'Applies Distract.',100,1,1),
(339550,10106884,'Forces target to clear their selected target.',100,2,2),
(339551,10106884,'Stuns targets in Area of Effect',100,1,3),
(339552,10106884,'If Target is not Epic',100,2,4),
(339553,177663,'When Equipped:',100,0,0),
(339554,177663,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339555,177663,'Increases INT of caster by 19.8',100,2,2),
(339556,177663,'Increases Disruption, Focus and Subjugation of caster by 11.1',100,2,3),
(339557,177663,'Cannot be modified except by direct means',100,2,4),
(339558,10177663,'When Equipped:',100,0,0),
(339559,10177663,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339560,10177663,'Increases INT of caster by 19.8',100,2,2),
(339561,10177663,'Increases Disruption, Focus and Subjugation of caster by 11.1',100,2,3),
(339562,10177663,'Cannot be modified except by direct means',100,2,4),
(339563,123512,'Decreases Mitigation of target encounter vs noxious damage by 966',100,1,0),
(339564,10123512,'Decreases Mitigation of target encounter vs noxious damage by 966',100,1,0),
(339565,123666,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(339566,123666,'Slows target by 46.4%',100,2,1),
(339567,123666,'5% chance to dispel when target receives hostile action',100,2,2),
(339568,123666,'5% chance to dispel when target takes damage',100,2,3),
(339569,123666,'Inflicts 503 - 615 cold damage on target',100,1,4),
(339570,10123666,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(339571,10123666,'Slows target by 46.4%',100,2,1),
(339572,10123666,'5% chance to dispel when target receives hostile action',100,2,2),
(339573,10123666,'5% chance to dispel when target takes damage',100,2,3),
(339574,10123666,'Inflicts 561 - 685 cold damage on target',100,1,4),
(339575,101204,'Inflicts 119 - 199 cold damage on target',100,1,0),
(339576,101204,'Dazes target',100,1,1),
(339577,101204,'If Target is not Epic',100,2,2),
(339578,101204,'Resistibility increases against targets higher than level 59.',100,1,3),
(339579,10101204,'Inflicts 155 - 259 cold damage on target',100,1,0),
(339580,10101204,'Dazes target',100,1,1),
(339581,10101204,'If Target is not Epic',100,2,2),
(339582,10101204,'Resistibility increases against targets higher than level 59.',100,1,3),
(339583,24077,'Adds Chardok: Di''Zok Honor Rug to your Dungeon Maker toolbox',100,0,0),
(339584,10024077,'Adds Chardok: Di''Zok Honor Rug to your Dungeon Maker toolbox',100,0,0),
(339585,46595,'Applies Sedate Froglok when Activated.',100,0,0),
(339586,10046595,'Applies Sedate Froglok when Activated.',100,0,0),
(339587,100533,'Heals group members (AE) for 365 - 446',100,1,0),
(339588,10100533,'Heals group members (AE) for 443 - 542',100,1,0),
(339589,80798,'When Equipped:',100,0,0),
(339590,80798,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339591,80798,'Inflicts 188 - 349 magic damage on target',100,2,2),
(339592,80798,'Cannot be modified except by direct means',100,2,3),
(339593,10080798,'When Equipped:',100,0,0),
(339594,10080798,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339595,10080798,'Inflicts 244 - 454 magic damage on target',100,2,2),
(339596,10080798,'Cannot be modified except by direct means',100,2,3),
(339597,46697,'Applies Intellectus Extractor when Activated.',100,0,0),
(339598,46697,'The Intellectus Extractor can be used on Dracurion warders or firemancers that are under 20 percent of life.',100,1,1),
(339599,10046697,'Applies Intellectus Extractor when Activated.',100,0,0),
(339600,10046697,'The Intellectus Extractor can be used on Dracurion warders or firemancers that are under 20 percent of life.',100,1,1),
(339601,106892,'Decreases Threat to targets in Area of Effect by 4,217 ',100,1,0),
(339602,106892,'Stuns targets in Area of Effect',100,1,1),
(339603,106892,'If Target is not Epic',100,2,2),
(339604,10106892,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(339605,10106892,'Applies Distract.',100,1,1),
(339606,10106892,'Forces target to clear their selected target.',100,2,2),
(339607,10106892,'Stuns targets in Area of Effect',100,1,3),
(339608,10106892,'If Target is not Epic',100,2,4),
(339609,48244,'Applies Plant the Noxious Protection Standard when Activated.',100,0,0),
(339610,48244,'This guild standard grants the area a bonus to noxious resistances.',100,1,1),
(339611,10048244,'Applies Plant the Noxious Protection Standard when Activated.',100,0,0),
(339612,10048244,'This guild standard grants the area a bonus to noxious resistances.',100,1,1),
(339613,111738,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(339614,111738,'Inflicts 440 - 538 cold damage on target',100,2,1),
(339615,111738,'Grants a total of 3 triggers of the spell.',100,2,2),
(339616,10111738,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',100,1,0),
(339617,10111738,'Inflicts 572 - 700 cold damage on target',100,2,1),
(339618,10111738,'Grants a total of 3 triggers of the spell.',100,2,2),
(339619,115152,'Heals target for 43 - 53',100,1,0),
(339620,10115152,'Heals target for 58 - 71',100,1,0),
(339621,100066,'Decreases success chance by 7.0%',100,1,0),
(339622,100066,'Increases progress by 20.0',100,1,1),
(339623,10100066,'Decreases success chance by 7.0%',100,1,0),
(339624,10100066,'Increases progress by 20.0',100,1,1),
(339625,122066,'Increases Threat to target by 1,517 - 1,854 ',100,1,0),
(339626,122066,'Inflicts 150 - 250 melee damage on target',100,1,1),
(339627,10122066,'Forces target to change their selected target to caster.',100,1,0),
(339628,10122066,'Inflicts 195 - 325 melee damage on target',100,1,1),
(339629,162153,'When Equipped:',100,0,0),
(339630,162153,'Wards caster against 516 points of noxious damage',100,1,1),
(339631,162153,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(339632,162153,'Inflicts 258 disease damage on target',100,2,3),
(339633,162153,'Inflicts 258 poison damage on target',100,2,4),
(339634,162153,'Cannot be modified except by direct means',100,2,5),
(339635,10162153,'When Equipped:',100,0,0),
(339636,10162153,'Wards caster against 516 points of noxious damage',100,1,1),
(339637,10162153,'When any noxious damage is received this spell will cast Toxic Backlash on target''s attacker.  ',100,1,2),
(339638,10162153,'Inflicts 335 disease damage on target',100,2,3),
(339639,10162153,'Inflicts 335 poison damage on target',100,2,4),
(339640,10162153,'Cannot be modified except by direct means',100,2,5),
(339641,102217,'Increases Max Health of group members (AE) by 227.0',100,1,0),
(339642,10102217,'Increases Max Health of group members (AE) by 227.0',100,1,0),
(339643,123585,'Increases STR of group members (AE) by 55.4',100,1,0),
(339644,123585,'Increases Max Health of group members (AE) by 491.1',100,1,1),
(339645,10123585,'Increases STR of group members (AE) by 55.4',100,1,0),
(339646,10123585,'Increases Max Health of group members (AE) by 491.1',100,1,1),
(339647,35182,'Increases STR of target by 12.7',100,0,0),
(339648,35182,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(339649,25031,'When Equipped:',100,0,0),
(339650,25031,'Increases Potency of caster by 5.0%',100,1,1),
(339651,10025031,'When Equipped:',100,0,0),
(339652,10025031,'Increases Potency of caster by 5.0%',100,1,1),
(339653,113289,'Inflicts 48 - 80 heat damage on target',100,1,0),
(339654,10113289,'Inflicts 94 - 157 heat damage on target',100,1,0),
(339655,103956,'Applies Castigate.',100,1,0),
(339656,103956,'Inflicts 573 - 955 divine damage on targets in Area of Effect',100,2,1),
(339657,103956,'Dispels 116 levels of any hostile effects on caster',100,1,2),
(339658,103956,'Casts Castigate for each successful Dispel.',100,1,3),
(339659,103956,'Inflicts 573 - 955 divine damage on targets in Area of Effect',100,3,4),
(339660,10103956,'Applies Castigate.',100,1,0),
(339661,10103956,'Inflicts 745 - 1242 divine damage on targets in Area of Effect',100,2,1),
(339662,10103956,'Dispels 116 levels of any hostile effects on caster',100,1,2),
(339663,10103956,'Casts Castigate for each successful Dispel.',100,1,3),
(339664,10103956,'Inflicts 745 - 1242 divine damage on targets in Area of Effect',100,3,4),
(339665,123414,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(339666,123414,'Heals caster for 100.0% of max health',100,2,1),
(339667,123414,'This effect cannot be critically applied.',100,3,2),
(339668,123414,'Applies Exploding Heart on termination.',100,2,3),
(339669,123414,'The healing of this spell cannot be modified except by direct means',100,2,4),
(339670,123414,'Grants a total of 1 trigger of the spell.',100,2,5),
(339671,10123414,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(339672,10123414,'Heals caster for 50.0% of max health',100,2,1),
(339673,10123414,'This effect cannot be critically applied.',100,3,2),
(339674,10123414,'Applies Exploding Heart on termination.',100,2,3),
(339675,10123414,'The healing of this spell cannot be modified except by direct means',100,2,4),
(339676,10123414,'Grants a total of 1 trigger of the spell.',100,2,5),
(339677,82408,'When Equipped:',100,0,0),
(339678,82408,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339679,82408,'Inflicts 101 - 188 magic damage on target',100,2,2),
(339680,82408,'Cannot be modified except by direct means',100,2,3),
(339681,10082408,'When Equipped:',100,0,0),
(339682,10082408,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339683,10082408,'Inflicts 131 - 244 magic damage on target',100,2,2),
(339684,10082408,'Cannot be modified except by direct means',100,2,3),
(339685,121771,'Heals target for 61 - 74',100,1,0),
(339686,121771,'Heals target for 10 - 12 every second',100,1,1),
(339687,10121771,'Heals target for 105 - 129',100,1,0),
(339688,10121771,'Heals target for 9 - 11 every second',100,1,1),
(339689,170410,'When Equipped:',100,0,0),
(339690,170410,'Increases Attack Speed of caster by 40.0',100,1,1),
(339691,10170410,'When Equipped:',100,0,0),
(339692,10170410,'Increases Attack Speed of caster by 40.0',100,1,1),
(339693,40318,'When Equipped:',100,0,0),
(339694,40318,'On any combat or spell hit this spell may cast Destructive Command on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339695,40318,'Increases Ability Reuse Speed of group members (AE) by 5.0%',100,2,2),
(339696,40318,'Increases Attack Speed of group members (AE) by 25.0',100,2,3),
(339697,40318,'Increases Damage Per Second of group members (AE) by 25.0',100,2,4),
(339698,40318,'Must not be engaged in pvp combat',100,2,5),
(339699,40318,'Cannot be modified except by direct means',100,2,6),
(339700,40318,'Must not be engaged in pvp combat',100,1,7),
(339701,40318,'When Equipped:',100,0,8),
(339702,40318,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(339703,40318,'Increases Hate Gain of caster by 12.0%',100,2,10),
(339704,40318,'Inflicts 5328 heat damage on target instantly and every 4 seconds',100,2,11),
(339705,40318,'Inflicts an additional 2664 heat damage on target every tick',100,2,12),
(339706,40318,'Increases Threat to target by 4,345  instantly and every 4 seconds thereafter',100,2,13),
(339707,40318,'Must not be engaged in pvp combat',100,2,14),
(339708,40318,'Cannot be modified except by direct means',100,2,15),
(339709,40318,'Must not be engaged in pvp combat',100,1,16),
(339710,10040318,'When Equipped:',100,0,0),
(339711,10040318,'On any combat or spell hit this spell may cast Destructive Command on the group.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339712,10040318,'Increases Ability Reuse Speed of group members (AE) by 5.0%',100,2,2),
(339713,10040318,'Increases Attack Speed of group members (AE) by 25.0',100,2,3),
(339714,10040318,'Increases Damage Per Second of group members (AE) by 25.0',100,2,4),
(339715,10040318,'Must not be engaged in pvp combat',100,2,5),
(339716,10040318,'Cannot be modified except by direct means',100,2,6),
(339717,10040318,'Must not be engaged in pvp combat',100,1,7),
(339718,10040318,'When Equipped:',100,0,8),
(339719,10040318,'On any combat or spell hit this spell may cast Vindication on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,9),
(339720,10040318,'Inflicts 6926 heat damage on target instantly and every 4 seconds',100,2,10),
(339721,10040318,'Inflicts an additional 2664 heat damage on target every tick',100,2,11),
(339722,10040318,'Must not be engaged in pvp combat',100,2,12),
(339723,10040318,'Cannot be modified except by direct means',100,2,13),
(339724,10040318,'Must not be engaged in pvp combat',100,1,14),
(339725,107752,'Stuns target',100,1,0),
(339726,107752,'If Target is not Epic',100,2,1),
(339727,107752,'Inflicts 275 - 458 cold damage on target',100,1,2),
(339728,107752,'Resistibility increases against targets higher than level 59.',100,1,3),
(339729,10107752,'Stuns target',100,1,0),
(339730,10107752,'If Target is not Epic',100,2,1),
(339731,10107752,'Inflicts 357 - 595 cold damage on target',100,1,2),
(339732,10107752,'Resistibility increases against targets higher than level 59.',100,1,3),
(339733,88004,'When Equipped:',100,0,0),
(339734,88004,'On a combat hit this spell may cast Soul Leech on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(339735,88004,'Drains 150 health from the target.',100,2,2),
(339736,10088004,'When Equipped:',100,0,0),
(339737,10088004,'On a combat hit this spell may cast Soul Leech on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(339738,10088004,'Drains 150 health from the target.',100,2,2),
(339739,171756,'When Equipped:',100,0,0),
(339740,171756,'On a critical healing spell cast this spell may cast Shared Vigor VIII on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339741,171756,'Increases Potency of target by 8.0%',100,2,2),
(339742,171756,'Increases Potency of caster by 8.0%',100,2,3),
(339743,171756,'Must not be engaged in pvp combat',100,2,4),
(339744,171756,'Cannot be modified except by direct means',100,2,5),
(339745,171756,'Must not be engaged in pvp combat',100,1,6),
(339746,10171756,'When Equipped:',100,0,0),
(339747,10171756,'On a critical healing spell cast this spell may cast Shared Vigor VIII on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(339748,10171756,'Increases Potency of target by 8.0%',100,2,2),
(339749,10171756,'Increases Potency of caster by 8.0%',100,2,3),
(339750,10171756,'Must not be engaged in pvp combat',100,2,4),
(339751,10171756,'Cannot be modified except by direct means',100,2,5),
(339752,10171756,'Must not be engaged in pvp combat',100,1,6),
(339753,149047,'When Equipped:',100,0,0),
(339754,149047,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(339755,149047,'Heals group members (AE) for 1385 - 1531',100,2,2),
(339756,149047,'Heals group members (AE) for 416 - 459 every 2 seconds',100,2,3),
(339757,149047,'This ward regenerates slowly over time.',100,2,4),
(339758,149047,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(339759,149047,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(339760,149047,'Must not be engaged in pvp combat',100,2,7),
(339761,149047,'Cannot be modified except by direct means',100,2,8),
(339762,149047,'Must not be engaged in pvp combat',100,1,9),
(339763,10149047,'When Equipped:',100,0,0),
(339764,10149047,'On a healing spell cast this spell may cast Brace of Stone on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(339765,10149047,'Heals group members (AE) for 1621 - 1791',100,2,2),
(339766,10149047,'Heals group members (AE) for 486 - 537 every 2 seconds',100,2,3),
(339767,10149047,'This ward regenerates slowly over time.',100,2,4),
(339768,10149047,'Wards group members (AE) against 4000 points of all damage',100,2,5),
(339769,10149047,'Increases Ability Recovery Speed of caster by 10.0%',100,2,6),
(339770,10149047,'Must not be engaged in pvp combat',100,2,7),
(339771,10149047,'Cannot be modified except by direct means',100,2,8),
(339772,10149047,'Must not be engaged in pvp combat',100,1,9),
(339773,120684,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.6',100,1,0),
(339774,10120684,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.6',100,1,0),
(339775,116378,'Heals target for 72 - 88 instantly and every 2 seconds',100,1,0),
(339776,10116378,'Heals target for 47 - 57 instantly and every 2 seconds',100,1,0),
(339777,118968,'Applies Sacrifice.',100,1,0),
(339778,118968,'Heals group members (AE) for 852',100,2,1),
(339779,118968,'Increases power of group members (AE) by 243',100,2,2),
(339780,118968,'Stuns target',100,1,3),
(339781,10118968,'Applies Sacrifice.',100,1,0),
(339782,10118968,'Increases power of group members (AE) by 243',100,2,1),
(339783,10118968,'Heals group members (AE) for 1186',100,2,2),
(339784,10118968,'Stuns target',100,1,3),
(339785,116472,'Inflicts 245 disease damage on target instantly and every 4 seconds',100,1,0),
(339786,116472,'Inflicts 245 disease damage on target instantly and every 4 seconds',100,1,1),
(339787,116472,'If target is nightblood',100,2,2),
(339788,116472,'Inflicts 245 disease damage on target instantly and every 4 seconds',100,1,3),
(339789,116472,'If target is shadowed folk',100,2,4),
(339790,10116472,'Inflicts 318 disease damage on target instantly and every 4 seconds',100,1,0),
(339791,100701,'Dispels 102 levels of any hostile effects on target',100,1,0),
(339792,100701,'Dispels 102 levels of hostile Fear effects on target',100,1,1),
(339793,100701,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(339794,100701,'Makes target immune to Fear effects',100,3,3),
(339795,100701,'Dispels 102 levels of hostile Daze effects on target',100,1,4),
(339796,100701,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(339797,100701,'Makes target immune to Daze effects',100,3,6),
(339798,100701,'Dispels 102 levels of hostile Root effects on target',100,1,7),
(339799,100701,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(339800,100701,'Makes target immune to Root effects',100,3,9),
(339801,100701,'Dispels 102 levels of hostile Stifle effects on target',100,1,10),
(339802,100701,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(339803,100701,'Makes target immune to Stifle effects',100,3,12),
(339804,100701,'Dispels 102 levels of hostile Stun effects on target',100,1,13),
(339805,100701,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(339806,100701,'Makes target immune to Stun effects',100,3,15),
(339807,10100701,'Dispels 102 levels of any hostile effects on target',100,1,0),
(339808,10100701,'Dispels 102 levels of hostile Fear effects on target',100,1,1),
(339809,10100701,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,2),
(339810,10100701,'Makes target immune to Fear effects',100,3,3),
(339811,10100701,'Dispels 102 levels of hostile Daze effects on target',100,1,4),
(339812,10100701,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,5),
(339813,10100701,'Makes target immune to Daze effects',100,3,6),
(339814,10100701,'Dispels 102 levels of hostile Root effects on target',100,1,7),
(339815,10100701,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,8),
(339816,10100701,'Makes target immune to Root effects',100,3,9),
(339817,10100701,'Dispels 102 levels of hostile Stifle effects on target',100,1,10),
(339818,10100701,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,11),
(339819,10100701,'Makes target immune to Stifle effects',100,3,12),
(339820,10100701,'Dispels 102 levels of hostile Stun effects on target',100,1,13),
(339821,10100701,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',100,1,14),
(339822,10100701,'Makes target immune to Stun effects',100,3,15),
(339823,132027,'When Equipped:',100,0,0),
(339824,132027,'Increases Attack Speed of caster by 35.0',100,1,1),
(339825,10132027,'When Equipped:',100,0,0),
(339826,10132027,'Increases Attack Speed of caster by 35.0',100,1,1),
(339827,124094,'Dispels 102 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(339828,10124094,'Dispels 102 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',100,1,0),
(339829,124184,'Inflicts 91 - 152 melee damage on target',100,1,0),
(339830,10124184,'Inflicts 118 - 197 melee damage on target',100,1,0),
(339831,81874,'When Equipped:',100,0,0),
(339832,81874,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339833,81874,'Inflicts 97 - 180 magic damage on target',100,2,2),
(339834,81874,'Cannot be modified except by direct means',100,2,3),
(339835,10081874,'When Equipped:',100,0,0),
(339836,10081874,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339837,10081874,'Inflicts 126 - 234 magic damage on target',100,2,2),
(339838,10081874,'Cannot be modified except by direct means',100,2,3),
(339839,113949,'Decreases power of target encounter by 41 instantly and every 4 seconds',100,1,0),
(339840,113949,'Increases power of group members (AE) by 27 instantly and every 4 seconds',100,1,1),
(339841,10113949,'Decreases power of target encounter by 41 instantly and every 4 seconds',100,1,0),
(339842,10113949,'Increases power of group members (AE) by 27 instantly and every 4 seconds',100,1,1),
(339843,116002,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(339844,116002,'Decreases threat priority of target by 1 position',100,2,1),
(339845,116002,'Decreases Hate Gain of target by 13.4%',100,1,2),
(339846,10116002,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',100,1,0),
(339847,10116002,'Forces target to clear their selected target.',100,2,1),
(339848,118183,'Summons a pet tiger companion',100,1,0),
(339849,10118183,'Summons a pet tiger companion',100,1,0),
(339850,36775,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(339851,36775,'Increases Max Power of target by 300.0',100,0,1),
(339852,107172,'Inflicts 47 - 78 divine damage on target',100,1,0),
(339853,107172,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(339854,107172,'Stuns target',100,2,2),
(339855,107172,'If Target is not Epic',100,3,3),
(339856,107172,'Inflicts 110 - 183 divine damage on target',100,2,4),
(339857,107172,'Inflicts 94 - 157 divine damage on target',100,2,5),
(339858,107172,'If target is undead',100,3,6),
(339859,10107172,'Inflicts 40 - 68 divine damage on target',100,1,0),
(339860,10107172,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(339861,10107172,'Stuns target',100,2,2),
(339862,10107172,'Inflicts 215 - 358 divine damage on target',100,2,3),
(339863,10107172,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(339864,153370,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(339865,153370,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(339866,153370,'Heals target for 32 instantly and every 4 seconds',100,2,2),
(339867,153370,'Cannot be modified except by direct means',100,2,3),
(339868,10153370,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(339869,10153370,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(339870,10153370,'Heals target for 21 instantly and every 4 seconds',100,2,2),
(339871,10153370,'Cannot be modified except by direct means',100,2,3),
(339872,40629,'When Equipped:',100,0,0),
(339873,40629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339874,40629,'Inflicts 63 - 94 magic damage on target',100,2,2),
(339875,40629,'Cannot be modified except by direct means',100,2,3),
(339876,10040629,'When Equipped:',100,0,0),
(339877,10040629,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339878,10040629,'Inflicts 82 - 123 magic damage on target',100,2,2),
(339879,10040629,'Cannot be modified except by direct means',100,2,3),
(339880,165727,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(339881,165727,'Increases Damage Per Second of caster by 20.0',100,1,1),
(339882,165727,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(339883,10165727,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(339884,10165727,'Increases Damage Per Second of caster by 20.0',100,1,1),
(339885,10165727,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(339886,122432,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,0),
(339887,122432,'Stuns target',100,2,1),
(339888,122432,'Throws target back',100,2,2),
(339889,122432,'Blurs vision of target',100,2,3),
(339890,122432,'Does not affect Epic targets',100,2,4),
(339891,122432,'Inflicts 43 - 73 crushing damage on target',100,1,5),
(339892,122432,'If facing target',100,1,6),
(339893,10122432,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(339894,10122432,'Stuns target',100,2,1),
(339895,10122432,'Throws target back',100,2,2),
(339896,10122432,'Blurs vision of target',100,2,3),
(339897,10122432,'Does not affect Epic targets',100,2,4),
(339898,10122432,'Inflicts 57 - 95 crushing damage on target',100,1,5),
(339899,10122432,'If facing target',100,1,6),
(339900,79677,'When Equipped:',100,0,0),
(339901,79677,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339902,79677,'Inflicts 66 - 81 divine damage on target',100,2,2),
(339903,79677,'Cannot be modified except by direct means',100,2,3),
(339904,10079677,'When Equipped:',100,0,0),
(339905,10079677,'On a combat hit this spell may cast Divine Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339906,10079677,'Inflicts 86 - 105 divine damage on target',100,2,2),
(339907,10079677,'Cannot be modified except by direct means',100,2,3),
(339908,100562,'When a combat art is used this spell has a 25% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',100,1,0),
(339909,100562,'Prevents AOE (except when direct) ',100,2,1),
(339910,100562,'Cannot be modified except by direct means',100,1,2),
(339911,10100562,'When a combat art is used this spell has a 25% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',100,1,0),
(339912,10100562,'Prevents AOE (except when direct) ',100,2,1),
(339913,10100562,'Cannot be modified except by direct means',100,1,2),
(339914,109993,'Heals target for 72 - 88 instantly and every 2 seconds',100,1,0),
(339915,10109993,'Heals target for 47 - 57 instantly and every 2 seconds',100,1,0),
(339916,106767,'Mesmerizes target',100,1,0),
(339917,106767,'Prevents AOE (except when direct) ',100,1,1),
(339918,106767,'Dispelled when target takes damage',100,1,2),
(339919,106767,'Does not affect Epic targets',100,1,3),
(339920,106767,'Resistibility increases against targets higher than level 83.',100,1,4),
(339921,10106767,'Mesmerizes target',100,1,0),
(339922,10106767,'Prevents AOE (except when direct) ',100,1,1),
(339923,10106767,'Dispelled when target takes damage',100,1,2),
(339924,10106767,'Does not affect Epic targets',100,1,3),
(339925,10106767,'Resistibility increases against targets higher than level 83.',100,1,4),
(339926,120204,'Decreases STR and INT of target by 62.9',100,1,0),
(339927,120204,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(339928,120204,'Grants a total of 1 trigger of the spell.',100,2,2),
(339929,10120204,'Decreases STR and INT of target by 62.9',100,1,0),
(339930,10120204,'On death this spell will cast Drawn Soul on target''s attacker.  ',100,1,1),
(339931,10120204,'Grants a total of 1 trigger of the spell.',100,2,2),
(339932,52720,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(339933,52720,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(339934,52720,'Inflicts 28 heat damage on target',100,2,2),
(339935,52720,'Cannot be modified except by direct means',100,2,3),
(339936,10052720,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(339937,10052720,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(339938,10052720,'Inflicts 36 heat damage on target',100,2,2),
(339939,10052720,'Cannot be modified except by direct means',100,2,3),
(339940,112989,'Reduces physical damage done to caster by 5%',100,1,0),
(339941,112989,'Increases STA of caster by 82.1',100,1,1),
(339942,112989,'Adds 3.7% to base avoidance.',100,1,2),
(339943,112989,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(339944,112989,'Increases Defense and Aggression of caster by 15.8',100,1,4),
(339945,112989,'Increases Mitigation of caster vs arcane damage by 1056',100,1,5),
(339946,112989,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(339947,10112989,'Reduces physical damage done to caster by 5%',100,1,0),
(339948,10112989,'Increases STA of caster by 82.1',100,1,1),
(339949,10112989,'Adds 3.7% to base avoidance.',100,1,2),
(339950,10112989,'Decreases Slashing, Piercing and Crushing of caster by 9.9',100,1,3),
(339951,10112989,'Increases Defense and Aggression of caster by 15.8',100,1,4),
(339952,10112989,'Increases Mitigation of caster vs arcane damage by 1056',100,1,5),
(339953,10112989,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(339954,161123,'When Equipped:',100,0,0),
(339955,161123,'On a hit this spell may cast Darkened Hues on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339956,161123,'Increases power of caster by 228 instantly and every 4 seconds',100,2,2),
(339957,161123,'Cannot be modified except by direct means',100,2,3),
(339958,161123,'Cannot be modified except by direct means',100,1,4),
(339959,10161123,'When Equipped:',100,0,0),
(339960,10161123,'On a hit this spell may cast Darkened Hues on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(339961,10161123,'Increases power of caster by 228 instantly and every 4 seconds',100,2,2),
(339962,10161123,'Cannot be modified except by direct means',100,2,3),
(339963,10161123,'Cannot be modified except by direct means',100,1,4),
(339964,109014,'Decreases Damage Per Second of target by 21.9',100,1,0),
(339965,109014,'Inflicts 170 - 208 melee damage on target',100,1,1),
(339966,10109014,'Decreases Damage Per Second of target by 21.9',100,1,0),
(339967,10109014,'Inflicts 221 - 271 melee damage on target',100,1,1),
(339968,45396,'Applies Ether Cloud when Activated.  Lasts for 45.0 seconds.',100,0,0),
(339969,45396,'Mesmerizes target',100,1,1),
(339970,45396,'Prevents AOE (except when direct) ',100,1,2),
(339971,45396,'Dispelled when target takes damage',100,1,3),
(339972,45396,'Does not affect Epic targets',100,1,4),
(339973,45396,'Resistibility increases against targets higher than level 101.',100,1,5),
(339974,10045396,'Applies Ether Cloud when Activated.  Lasts for 7.0 seconds.',100,0,0),
(339975,10045396,'Prevents AOE (except when direct) ',100,1,1),
(339976,10045396,'Mesmerizes target',100,1,2),
(339977,10045396,'Dispelled when target takes damage',100,1,3),
(339978,10045396,'Does not affect Epic targets',100,1,4),
(339979,10045396,'Resistibility increases against targets higher than level 101.',100,1,5),
(339980,106980,'Inflicts 618 - 1148 poison damage on target',100,1,0),
(339981,106980,'Increases power of caster by 61',100,1,1),
(339982,10106980,'Inflicts 803 - 1492 poison damage on target',100,1,0),
(339983,10106980,'Increases power of caster by 61',100,1,1),
(339984,86030,'When Equipped:',100,0,0),
(339985,86030,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339986,86030,'Inflicts 66 - 81 mental damage on target',100,2,2),
(339987,86030,'Cannot be modified except by direct means',100,2,3),
(339988,10086030,'When Equipped:',100,0,0),
(339989,10086030,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(339990,10086030,'Inflicts 86 - 105 mental damage on target',100,2,2),
(339991,10086030,'Cannot be modified except by direct means',100,2,3),
(339992,121017,'Inflicts 300 - 500 poison damage on target',100,1,0),
(339993,121017,'Inflicts 75 - 125 poison damage on target instantly and every 4 seconds',100,1,1),
(339994,10121017,'Inflicts 390 - 650 poison damage on target',100,1,0),
(339995,10121017,'Inflicts 98 - 163 poison damage on target instantly and every 4 seconds',100,1,1),
(339996,37531,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(339997,177518,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(339998,177518,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(339999,177518,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(340000,177518,'Cannot be modified except by direct means',100,2,3),
(340001,10177518,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(340002,10177518,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(340003,10177518,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(340004,10177518,'Cannot be modified except by direct means',100,2,3),
(340005,101132,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(340006,101132,'Inflicts 76 ranged damage on target',100,2,1),
(340007,101132,'Decreases Defense of caster by 5.1',100,1,2),
(340008,101132,'Increases Crushing, Piercing, Ranged and Slashing of caster by 10.7',100,1,3),
(340009,10101132,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',100,1,0),
(340010,10101132,'Inflicts 57 ranged damage on target',100,2,1),
(340011,10101132,'Decreases Defense of caster by 5.1',100,1,2),
(340012,10101132,'Increases Crushing, Piercing, Ranged and Slashing of caster by 10.7',100,1,3),
(340013,45914,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(340014,45914,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(340015,45914,'Decreases Attack Speed of target by 19.3',100,2,2),
(340016,45914,'Cannot be modified except by direct means',100,2,3),
(340017,45914,'Grants a total of 60 triggers of the spell.',100,2,4),
(340018,10045914,'Applies essence of turgur when Activated.  Lasts for 12 hours.',100,0,0),
(340019,10045914,'On a combat hit this spell may cast Essence of Turgur on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(340020,10045914,'Decreases Attack Speed of target by 19.3',100,2,2),
(340021,10045914,'Cannot be modified except by direct means',100,2,3),
(340022,10045914,'Grants a total of 60 triggers of the spell.',100,2,4),
(340023,190727,'When Equipped:',100,0,0),
(340024,190727,'On any combat or spell hit this spell may cast Enticing Opus on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(340025,190727,'Increases Ability Reuse Speed of caster by 10.0%',100,2,2),
(340026,190727,'Must not be engaged in pvp combat',100,2,3),
(340027,190727,'Cannot be modified except by direct means',100,2,4),
(340028,190727,'Cannot be modified except by direct means',100,1,5),
(340029,10190727,'When Equipped:',100,0,0),
(340030,10190727,'On any combat or spell hit this spell may cast Enticing Opus on caster.  Lasts for 15.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(340031,10190727,'Increases Ability Reuse Speed of caster by 10.0%',100,2,2),
(340032,10190727,'Must not be engaged in pvp combat',100,2,3),
(340033,10190727,'Cannot be modified except by direct means',100,2,4),
(340034,10190727,'Cannot be modified except by direct means',100,1,5),
(340035,107198,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(340036,107198,'Heals target for 170',100,2,1),
(340037,10107198,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',100,1,0),
(340038,10107198,'Heals target for 111',100,2,1),
(340039,115454,'Inflicts 82 - 100 mental damage on target instantly and every 6 seconds',100,1,0),
(340040,115454,'Decreases Mitigation of target vs arcane damage by 700',100,1,1),
(340041,10115454,'Inflicts 106 - 130 mental damage on target instantly and every 6 seconds',100,1,0),
(340042,10115454,'Decreases Mitigation of target vs arcane damage by 700',100,1,1),
(340043,120464,'Inflicts 173 - 289 ranged damage on target',100,1,0),
(340044,120464,'Slows target by 45.8%',100,1,1),
(340045,120464,'10% chance to dispel when target receives hostile action',100,1,2),
(340046,120464,'Requires bow',100,1,3),
(340047,10120464,'Inflicts 119 - 198 ranged damage on target',100,1,0),
(340048,10120464,'Slows target by 45.8%',100,1,1),
(340049,10120464,'10% chance to dispel when target receives hostile action',100,1,2),
(340050,10120464,'Requires bow',100,1,3),
(340051,35484,'Increases STA of target by 8.4',100,0,0),
(340052,35484,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(340053,116458,'Inflicts 124 disease damage on target instantly and every 4 seconds',100,1,0),
(340054,116458,'Inflicts 124 disease damage on target instantly and every 4 seconds',100,1,1),
(340055,116458,'If target is nightblood',100,2,2),
(340056,116458,'Inflicts 124 disease damage on target instantly and every 4 seconds',100,1,3),
(340057,116458,'If target is shadowed folk',100,2,4),
(340058,10116458,'Inflicts 161 disease damage on target instantly and every 4 seconds',100,1,0),
(340059,102660,'Inflicts 309 - 516 melee damage on target',100,1,0),
(340060,102660,'Inflicts 134 heat damage on target every 6 seconds',100,1,1),
(340061,10102660,'Inflicts 402 - 671 melee damage on target',100,1,0),
(340062,10102660,'Inflicts 174 heat damage on target every 6 seconds',100,1,1),
(340063,170667,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(340064,170667,'Decreases Attack Speed of target by 11.6',100,1,1),
(340065,170667,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(340066,10170667,'Applies Hex of Fright when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(340067,10170667,'Decreases Attack Speed of target by 11.6',100,1,1),
(340068,10170667,'The casting time of Hex of Fright is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(340069,101013,'Increases INT of target by 144.0',100,1,0),
(340070,101013,'Increases Attack Speed of target by 50.4',100,1,1),
(340071,101013,'Decreases Defense and Parry of target by 42.3',100,1,2),
(340072,101013,'Increases Slashing, Piercing and Crushing of target by 31.9',100,1,3),
(340073,10101013,'Increases INT of target by 144.0',100,1,0),
(340074,10101013,'Increases Attack Speed of target by 50.4',100,1,1),
(340075,10101013,'Decreases Defense and Parry of target by 42.3',100,1,2),
(340076,10101013,'Increases Slashing, Piercing and Crushing of target by 31.9',100,1,3),
(340077,101816,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(340078,101816,'Decreases Threat to target by 1,536 ',100,2,1),
(340079,10101816,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(340080,10101816,'Inflicts 85 - 93 crushing damage on target',100,2,1),
(340081,108042,'Inflicts 387 magic damage on target',100,1,0),
(340082,108042,'Increases power of caster by 108',100,1,1),
(340083,10108042,'Inflicts 503 magic damage on target',100,1,0),
(340084,10108042,'Increases power of caster by 108',100,1,1),
(340085,107622,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(340086,107622,'Increases Mitigation of group members (AE) vs elemental damage by 266',100,1,1),
(340087,10107622,'Increases Max Power of group members (AE) by 156.8',100,1,0),
(340088,10107622,'Increases Mitigation of group members (AE) vs elemental damage by 266',100,1,1),
(340089,82127,'When Equipped:',100,0,0),
(340090,82127,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340091,82127,'Inflicts 138 - 257 magic damage on target',100,2,2),
(340092,82127,'Cannot be modified except by direct means',100,2,3),
(340093,10082127,'When Equipped:',100,0,0),
(340094,10082127,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340095,10082127,'Inflicts 180 - 334 magic damage on target',100,2,2),
(340096,10082127,'Cannot be modified except by direct means',100,2,3),
(340097,40395,'When Equipped:',100,0,0),
(340098,40395,'On a critical combat hit this spell may cast Flying Fist IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(340099,40395,'Stifles target',100,2,2),
(340100,40395,'If Target is not Epic',100,3,3),
(340101,40395,'Inflicts 245 - 270 heat damage on target',100,2,4),
(340102,40395,'Increases Threat to target by 380 - 420 ',100,2,5),
(340103,40395,'Must not be engaged in pvp combat',100,2,6),
(340104,40395,'Cannot be modified except by direct means',100,2,7),
(340105,40395,'Must not be engaged in pvp combat',100,1,8),
(340106,10040395,'When Equipped:',100,0,0),
(340107,10040395,'On a critical combat hit this spell may cast Flying Fist IV on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(340108,10040395,'Stifles target',100,2,2),
(340109,10040395,'If Target is not Epic',100,3,3),
(340110,10040395,'Inflicts 318 - 351 heat damage on target',100,2,4),
(340111,10040395,'Must not be engaged in pvp combat',100,2,5),
(340112,10040395,'Cannot be modified except by direct means',100,2,6),
(340113,10040395,'Must not be engaged in pvp combat',100,1,7),
(340114,159511,'When Equipped:',100,0,0),
(340115,159511,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(340116,159511,'Increases STR of caster by 5.8',100,2,2),
(340117,159511,'Increases Damage Per Second of caster by 13.2',100,2,3),
(340118,159511,'Cannot be modified except by direct means',100,2,4),
(340119,10159511,'When Equipped:',100,0,0),
(340120,10159511,'On a hit this spell may cast Blaze of Strength on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(340121,10159511,'Increases STR of caster by 5.8',100,2,2),
(340122,10159511,'Increases Damage Per Second of caster by 13.2',100,2,3),
(340123,10159511,'Cannot be modified except by direct means',100,2,4),
(340124,109696,'Inflicts 196 - 240 cold damage on target instantly and every 3 seconds',100,1,0),
(340125,10109696,'Inflicts 255 - 312 cold damage on target instantly and every 3 seconds',100,1,0),
(340126,52821,'Applies Sanguine Imbued when Equipped.',100,0,0),
(340127,52821,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(340128,52821,'Inflicts 77 heat damage on target',100,2,2),
(340129,52821,'Cannot be modified except by direct means',100,2,3),
(340130,10052821,'Applies Sanguine Imbued when Equipped.',100,0,0),
(340131,10052821,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(340132,10052821,'Inflicts 100 heat damage on target',100,2,2),
(340133,10052821,'Cannot be modified except by direct means',100,2,3),
(340134,103741,'Increases Max Health of raid and group members (AE) by 873.8',100,1,0),
(340135,103741,'Increases Defense of raid and group members (AE) by 29.9',100,1,1),
(340136,10103741,'Increases Max Health of raid and group members (AE) by 873.8',100,1,0),
(340137,10103741,'Increases Defense of raid and group members (AE) by 29.9',100,1,1),
(340138,110547,'Summons a pet attack hawk',100,1,0),
(340139,10110547,'Summons a pet attack hawk',100,1,0),
(340140,81117,'When Equipped:',100,0,0),
(340141,81117,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340142,81117,'Inflicts 148 - 275 magic damage on target',100,2,2),
(340143,81117,'Decreases Threat to target by 517 ',100,2,3),
(340144,81117,'Must be flanking or behind',100,3,4),
(340145,81117,'Increases Threat to target by 517 ',100,2,5),
(340146,81117,'Must be in front of',100,3,6),
(340147,81117,'Cannot be modified except by direct means',100,2,7),
(340148,10081117,'When Equipped:',100,0,0),
(340149,10081117,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340150,10081117,'Inflicts 192 - 357 magic damage on target',100,2,2),
(340151,10081117,'Cannot be modified except by direct means',100,2,3),
(340152,111192,'Inflicts 132 - 221 divine damage on targets in area',100,1,0),
(340153,111192,'Heals group members (AE) for 1.8% of max health',100,1,1),
(340154,111192,'This effect cannot be critically applied.',100,2,2),
(340155,111192,'The healing of this spell cannot be modified except by direct means',100,1,3),
(340156,10111192,'Inflicts 172 - 287 divine damage on targets in area',100,1,0),
(340157,10111192,'Heals group members (AE) for 1.1% of max health',100,1,1),
(340158,10111192,'This effect cannot be critically applied.',100,2,2),
(340159,10111192,'The healing of this spell cannot be modified except by direct means',100,1,3),
(340160,100725,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(340161,100725,'Increases Mitigation of group members (AE) vs noxious damage by 689',100,1,1),
(340162,10100725,'Increases Max Health of group members (AE) by 190.9',100,1,0),
(340163,10100725,'Increases Mitigation of group members (AE) vs noxious damage by 689',100,1,1),
(340164,171083,'When Equipped:',100,0,0),
(340165,171083,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(340166,171083,'Inflicts 1199 disease damage on target encounter',100,2,2),
(340167,171083,'Must not be engaged in pvp combat',100,2,3),
(340168,171083,'Cannot be modified except by direct means',100,2,4),
(340169,10171083,'When Equipped:',100,0,0),
(340170,10171083,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(340171,10171083,'Inflicts 779 disease damage on target encounter',100,2,2),
(340172,10171083,'Must not be engaged in pvp combat',100,2,3),
(340173,10171083,'Cannot be modified except by direct means',100,2,4),
(340174,81013,'When Equipped:',100,0,0),
(340175,81013,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340176,81013,'Inflicts 148 - 275 magic damage on target',100,2,2),
(340177,81013,'Cannot be modified except by direct means',100,2,3),
(340178,10081013,'When Equipped:',100,0,0),
(340179,10081013,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340180,10081013,'Inflicts 192 - 357 magic damage on target',100,2,2),
(340181,10081013,'Cannot be modified except by direct means',100,2,3),
(340182,111818,'Inflicts 54 - 90 melee damage on target',100,1,0),
(340183,111818,'Roots target',100,1,1),
(340184,111818,'If Target is not Epic',100,2,2),
(340185,111818,'Resistibility increases against targets higher than level 42.',100,1,3),
(340186,10111818,'Inflicts 63 - 106 melee damage on target',100,1,0),
(340187,10111818,'Roots target',100,1,1),
(340188,10111818,'If Target is not Epic',100,2,2),
(340189,10111818,'Resistibility increases against targets higher than level 42.',100,1,3),
(340190,24193,'Adds Crushbone: Intruder''s Skull to your Dungeon Maker toolbox',100,0,0),
(340191,10024193,'Adds Crushbone: Intruder''s Skull to your Dungeon Maker toolbox',100,0,0),
(340192,87520,'When Equipped:',100,0,0),
(340193,87520,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340194,87520,'Inflicts 208 - 312 magic damage on target',100,2,2),
(340195,87520,'Cannot be modified except by direct means',100,2,3),
(340196,10087520,'When Equipped:',100,0,0),
(340197,10087520,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340198,10087520,'Inflicts 271 - 406 magic damage on target',100,2,2),
(340199,10087520,'Cannot be modified except by direct means',100,2,3),
(340200,120871,'Wards target against 218 points of all damage',100,1,0),
(340201,10120871,'Wards target against 218 points of all damage',100,1,0),
(340202,37323,'Increases Max Power of target by 90.0',100,0,0),
(340203,37323,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(340204,120478,'Inflicts 464 - 773 ranged damage on target',100,1,0),
(340205,120478,'Slows target by 77.4%',100,1,1),
(340206,120478,'10% chance to dispel when target receives hostile action',100,1,2),
(340207,120478,'Requires bow',100,1,3),
(340208,10120478,'Inflicts 319 - 532 ranged damage on target',100,1,0),
(340209,10120478,'Slows target by 77.4%',100,1,1),
(340210,10120478,'10% chance to dispel when target receives hostile action',100,1,2),
(340211,10120478,'Requires bow',100,1,3),
(340212,121369,'Inflicts 88 - 163 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(340213,10121369,'Inflicts 114 - 212 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(340214,124049,'Increases power of caster by 78',100,1,0),
(340215,10124049,'Increases power of caster by 78',100,1,0),
(340216,104312,'Inflicts 306 - 510 melee damage on target',100,1,0),
(340217,104312,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(340218,104312,'Stuns target',100,2,2),
(340219,104312,'Blurs vision of target',100,2,3),
(340220,104312,'Throws target back',100,2,4),
(340221,104312,'Does not affect Epic targets',100,2,5),
(340222,10104312,'Inflicts 397 - 663 melee damage on target',100,1,0),
(340223,10104312,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(340224,10104312,'Stuns target',100,2,2),
(340225,10104312,'Throws target back',100,2,3),
(340226,10104312,'Blurs vision of target',100,2,4),
(340227,10104312,'Does not affect Epic targets',100,2,5),
(340228,112452,'Mesmerizes target',100,1,0),
(340229,112452,'Prevents AOE (except when direct) ',100,1,1),
(340230,112452,'Dispelled when target takes damage',100,1,2),
(340231,112452,'Does not affect Epic targets',100,1,3),
(340232,112452,'Resistibility increases against targets higher than level 106.',100,1,4),
(340233,10112452,'Mesmerizes target',100,1,0),
(340234,10112452,'Prevents AOE (except when direct) ',100,1,1),
(340235,10112452,'Dispelled when target takes damage',100,1,2),
(340236,10112452,'Does not affect Epic targets',100,1,3),
(340237,10112452,'Resistibility increases against targets higher than level 106.',100,1,4),
(340238,104388,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(340239,104388,'Inflicts 165 - 202 cold damage on target',100,2,1),
(340240,10104388,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',100,1,0),
(340241,10104388,'Inflicts 215 - 263 cold damage on target',100,2,1),
(340242,173898,'When Equipped:',100,0,0),
(340243,173898,'On a hostile spell hit this spell may cast Disparaging Affliction on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(340244,173898,'Inflicts 108 - 181 mental damage on target',100,2,2),
(340245,173898,'Cannot be modified except by direct means',100,2,3),
(340246,10173898,'When Equipped:',100,0,0),
(340247,10173898,'On a hostile spell hit this spell may cast Disparaging Affliction on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(340248,10173898,'Inflicts 141 - 235 mental damage on target',100,2,2),
(340249,10173898,'Cannot be modified except by direct means',100,2,3),
(340250,104975,'Reduces physical damage done to caster by 5%',100,1,0),
(340251,104975,'Adds 1.8% to base avoidance.',100,1,1),
(340252,104975,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(340253,104975,'Increases Parry of caster by 5.8',100,1,3),
(340254,104975,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(340255,104975,'Increases Aggression of caster by 3.5',100,1,5),
(340256,104975,'Increases Defense and Deflection of caster by 5.8',100,1,6),
(340257,104975,'Increases Mitigation of caster vs arcane damage by 415',100,1,7),
(340258,104975,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(340259,10104975,'Reduces physical damage done to caster by 5%',100,1,0),
(340260,10104975,'Adds 1.8% to base avoidance.',100,1,1),
(340261,10104975,'Caster will deflect 12.0% of incoming attacks.',100,1,2),
(340262,10104975,'Increases Parry of caster by 5.8',100,1,3),
(340263,10104975,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,4),
(340264,10104975,'Increases Aggression of caster by 3.5',100,1,5),
(340265,10104975,'Increases Defense and Deflection of caster by 5.8',100,1,6),
(340266,10104975,'Increases Mitigation of caster vs arcane damage by 415',100,1,7),
(340267,10104975,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(340268,117515,'Increases AGI, INT and WIS of group members (AE) by 8.6',100,1,0),
(340269,117515,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 34',100,1,1),
(340270,10117515,'Increases AGI, INT and WIS of group members (AE) by 8.6',100,1,0),
(340271,10117515,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 34',100,1,1),
(340272,102963,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(340273,102963,'Heals caster for 100.0% of max health',100,2,1),
(340274,102963,'This effect cannot be critically applied.',100,3,2),
(340275,102963,'Grants a total of 1 trigger of the spell.',100,2,3),
(340276,102963,'This effect cannot be cast during combat',100,1,4),
(340277,10102963,'On death this spell will cast Bloodletter on target.  ',100,1,0),
(340278,10102963,'Heals caster for 65.0% of max health',100,2,1),
(340279,10102963,'This effect cannot be critically applied.',100,3,2),
(340280,10102963,'Grants a total of 1 trigger of the spell.',100,2,3),
(340281,10102963,'This effect cannot be cast during combat',100,1,4),
(340282,75537,'When Equipped:',100,0,0),
(340283,75537,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(340284,75537,'Reduces healing received by 15.00%',100,2,2),
(340285,75537,'Cannot be modified except by direct means',100,2,3),
(340286,75537,'This effect can only trigger once every 1 second.',100,2,4),
(340287,75537,'Must be engaged in pvp combat',100,1,5),
(340288,10075537,'When Equipped:',100,0,0),
(340289,10075537,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(340290,10075537,'Reduces healing received by 15.00%',100,2,2),
(340291,10075537,'Cannot be modified except by direct means',100,2,3),
(340292,10075537,'This effect can only trigger once every 1 second.',100,2,4),
(340293,10075537,'Must be engaged in pvp combat',100,1,5),
(340294,102384,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(340295,102384,'Increases Damage Per Second of target by 30.4',100,2,1),
(340296,102384,'Increases Attack Speed of target by 30.4',100,2,2),
(340297,102384,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(340298,102384,'Increases Damage Per Second of target by 30.4',100,2,4),
(340299,102384,'Increases Attack Speed of target by 30.4',100,2,5),
(340300,102384,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(340301,102384,'Increases Damage Per Second of target by 30.4',100,2,7),
(340302,102384,'Increases Attack Speed of target by 30.4',100,2,8),
(340303,10102384,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(340304,10102384,'Increases Damage Per Second of target by 30.4',100,2,1),
(340305,10102384,'Increases Attack Speed of target by 30.4',100,2,2),
(340306,10102384,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(340307,10102384,'Increases Damage Per Second of target by 30.4',100,2,4),
(340308,10102384,'Increases Attack Speed of target by 30.4',100,2,5),
(340309,10102384,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(340310,10102384,'Increases Damage Per Second of target by 30.4',100,2,7),
(340311,10102384,'Increases Attack Speed of target by 30.4',100,2,8),
(340312,81792,'When Equipped:',100,0,0),
(340313,81792,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340314,81792,'Inflicts 97 - 180 magic damage on target',100,2,2),
(340315,81792,'Cannot be modified except by direct means',100,2,3),
(340316,10081792,'When Equipped:',100,0,0),
(340317,10081792,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340318,10081792,'Inflicts 126 - 234 magic damage on target',100,2,2),
(340319,10081792,'Cannot be modified except by direct means',100,2,3),
(340320,142748,'When Equipped:',100,0,0),
(340321,142748,'Increases Attack Speed of caster by 6.0',100,1,1),
(340322,10142748,'When Equipped:',100,0,0),
(340323,10142748,'Increases Attack Speed of caster by 6.0',100,1,1),
(340324,116546,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(340325,116546,'Inflicts 149 divine damage on target',100,2,1),
(340326,116546,'Increases Mitigation of raid and group members (AE) vs all damage by 1540',100,1,2),
(340327,10116546,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',100,1,0),
(340328,10116546,'Inflicts 194 divine damage on target',100,2,1),
(340329,10116546,'Increases Mitigation of raid and group members (AE) vs all damage by 1540',100,1,2),
(340330,47042,'Applies Call Blue-saddled Midnight Mistrunner when Activated.',100,0,0),
(340331,47042,'Increases Max Power of caster by 150.0',100,1,1),
(340332,47042,'Increases Max Health of caster by 150.0',100,1,2),
(340333,47042,'Increases Ranged, Slashing, Disruption, Crushing and Piercing of caster by 7.0',100,1,3),
(340334,47042,'Summons a mount to ride',100,1,4),
(340335,47042,'Increases your ground speed by 130%',100,2,5),
(340336,47042,'Requires good alignment',100,1,6),
(340337,10047042,'Applies Call Blue-saddled Midnight Mistrunner when Activated.',100,0,0),
(340338,10047042,'Increases Max Power of caster by 150.0',100,1,1),
(340339,10047042,'Increases Max Health of caster by 150.0',100,1,2),
(340340,10047042,'Increases Ranged, Slashing, Disruption, Crushing and Piercing of caster by 7.0',100,1,3),
(340341,10047042,'Summons a mount to ride',100,1,4),
(340342,10047042,'Increases your ground speed by 130%',100,2,5),
(340343,10047042,'Requires good alignment',100,1,6),
(340344,106019,'Inflicts 198 - 242 divine damage on target instantly and every 3 seconds',100,1,0),
(340345,106019,'Decreases Defense of target by 32.8',100,1,1),
(340346,10106019,'Inflicts 172 - 210 divine damage on target instantly and every 3 seconds',100,1,0),
(340347,10106019,'Decreases Defense of target by 32.8',100,1,1),
(340348,102227,'Increases Max Health of group members (AE) by 613.4',100,1,0),
(340349,10102227,'Increases Max Health of group members (AE) by 613.4',100,1,0),
(340350,24105,'Adds Chardok: War Chest to your Dungeon Maker toolbox',100,0,0),
(340351,10024105,'Adds Chardok: War Chest to your Dungeon Maker toolbox',100,0,0),
(340352,45632,'Applies Elixir of Rejuvenation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(340353,45632,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(340354,10045632,'Applies Elixir of Rejuvenation  when Activated.  Lasts for 30.0 seconds.',100,0,0),
(340355,10045632,'Increases power of caster by 2 instantly and every 5 seconds',100,1,1),
(340356,35450,'Increases STR of target by 12.7',100,0,0),
(340357,35450,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(340358,122050,'Increases Threat to target by 490 - 598 ',100,1,0),
(340359,122050,'Inflicts 52 - 87 melee damage on target',100,1,1),
(340360,10122050,'Forces target to change their selected target to caster.',100,1,0),
(340361,10122050,'Inflicts 68 - 113 melee damage on target',100,1,1),
(340362,37103,'Increases WIS of target by 10.5',100,0,0),
(340363,37103,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(340364,25489,'When Equipped:',100,0,0),
(340365,25489,'Improves the base damage of Fiery Annihilation VII by 15%.',100,1,1),
(340366,25489,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(340367,10025489,'When Equipped:',100,0,0),
(340368,10025489,'Improves the base damage of Fiery Annihilation VII by 15%.',100,1,1),
(340369,10025489,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(340370,45530,'Applies Clockwork Remote Control when Activated.  Lasts for 1 minute.',100,0,0),
(340371,45530,'Allows caster to take control of target',100,1,1),
(340372,45530,'If target is clockwork chirurgeon',100,1,2),
(340373,45530,'You can not use this on this target.',100,1,3),
(340374,10045530,'Applies Clockwork Remote Control when Activated.  Lasts for 1 minute.',100,0,0),
(340375,10045530,'Allows caster to take control of target',100,1,1),
(340376,10045530,'If target is clockwork chirurgeon',100,1,2),
(340377,10045530,'You can not use this on this target.',100,1,3),
(340378,152631,'When Equipped:',100,0,0),
(340379,152631,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(340380,10152631,'When Equipped:',100,0,0),
(340381,10152631,'Reduces reuse time of hostile spells by 2 percent.',100,1,1),
(340382,47097,'Applies Most Wanted Poster when Activated.',100,0,0),
(340383,47097,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(340384,47097,'If between levels 50 - 59',100,1,2),
(340385,47097,'Cannot be modified except by direct means',100,1,3),
(340386,10047097,'Applies Most Wanted Poster when Activated.',100,0,0),
(340387,10047097,'Opens a link to your writ giver, granting you a new writ in the field to earn Discord Tokens.',100,1,1),
(340388,10047097,'If between levels 50 - 59',100,1,2),
(340389,10047097,'Cannot be modified except by direct means',100,1,3),
(340390,102315,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(340391,102315,'Decreases Threat to target by 2,142 ',100,2,1),
(340392,10102315,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(340393,10102315,'Inflicts 115 - 127 crushing damage on target',100,2,1),
(340394,25270,'When Equipped:',100,0,0),
(340395,25270,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(340396,25270,'Improves the base damage of Absolution VI by 15%.',100,1,2),
(340397,10025270,'When Equipped:',100,0,0),
(340398,10025270,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(340399,10025270,'Improves the base damage of Absolution VI by 15%.',100,1,2),
(340400,82928,'When Equipped:',100,0,0),
(340401,82928,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340402,82928,'Decreases Threat to target by 833 ',100,2,2),
(340403,82928,'Must be flanking or behind',100,3,3),
(340404,82928,'Increases Threat to target by 833 ',100,2,4),
(340405,82928,'Must be in front of',100,3,5),
(340406,82928,'Inflicts 228 - 423 magic damage on target',100,2,6),
(340407,82928,'Cannot be modified except by direct means',100,2,7),
(340408,10082928,'When Equipped:',100,0,0),
(340409,10082928,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340410,10082928,'Inflicts 296 - 550 magic damage on target',100,2,2),
(340411,10082928,'Cannot be modified except by direct means',100,2,3),
(340412,116863,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(340413,116863,'Inflicts 671 - 820 mental damage on target',100,2,1),
(340414,116863,'Grants a total of 3 triggers of the spell.',100,2,2),
(340415,10116863,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(340416,10116863,'Inflicts 872 - 1066 mental damage on target',100,2,1),
(340417,10116863,'Grants a total of 3 triggers of the spell.',100,2,2),
(340418,115417,'Inflicts 483 - 806 melee damage on target',100,1,0),
(340419,115417,'Decreases INT of target by 81.5',100,1,1),
(340420,115417,'You must be sneaking to use this ability.',100,1,2),
(340421,10115417,'Inflicts 629 - 1048 melee damage on target',100,1,0),
(340422,10115417,'Decreases INT of target by 81.5',100,1,1),
(340423,10115417,'You must be sneaking to use this ability.',100,1,2),
(340424,86491,'Applies Disease Blast when Activated.',100,0,0),
(340425,86491,'Inflicts 223 - 372 disease damage on target',100,1,1),
(340426,86491,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(340427,10086491,'Applies Disease Blast when Activated.',100,0,0),
(340428,10086491,'Inflicts 290 - 483 disease damage on target',100,1,1),
(340429,10086491,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(340430,122167,'Inflicts 40 - 49 cold damage on target instantly and every 2 seconds',100,1,0),
(340431,122167,'Inflicts 40 - 49 cold damage on target instantly and every 2 seconds',100,1,1),
(340432,122167,'If target is elemental',100,2,2),
(340433,10122167,'Inflicts 53 - 64 cold damage on target instantly and every 2 seconds',100,1,0),
(340434,103490,'Increases In-Combat Power Regeneration of group members (AE) by 42.4',100,1,0),
(340435,10103490,'Increases In-Combat Power Regeneration of group members (AE) by 42.4',100,1,0),
(340436,117731,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(340437,117731,'Increases Max Health of target by 382.6',100,2,1),
(340438,117731,'Heals target for 540',100,2,2),
(340439,117731,'Grants a total of 1 trigger of the spell.',100,2,3),
(340440,10117731,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',100,1,0),
(340441,10117731,'Increases Max Health of target by 382.6',100,2,1),
(340442,10117731,'Heals target for 351',100,2,2),
(340443,10117731,'Grants a total of 1 trigger of the spell.',100,2,3),
(340444,123436,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(340445,123436,'Stuns target',100,2,1),
(340446,123436,'Throws target back',100,2,2),
(340447,123436,'Blurs vision of target',100,2,3),
(340448,123436,'Does not affect Epic targets',100,2,4),
(340449,123436,'Inflicts 259 - 778 melee damage on target',100,1,5),
(340450,10123436,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(340451,10123436,'Stuns target',100,2,1),
(340452,10123436,'Throws target back',100,2,2),
(340453,10123436,'Blurs vision of target',100,2,3),
(340454,10123436,'Does not affect Epic targets',100,2,4),
(340455,10123436,'Inflicts 337 - 1012 melee damage on target',100,1,5),
(340456,122204,'Increases Damage Per Second of target by 10.9',100,1,0),
(340457,122204,'Increases Max Health of target by 96.3',100,1,1),
(340458,10122204,'Increases Damage Per Second of target by 10.9',100,1,0),
(340459,10122204,'Increases Max Health of target by 96.3',100,1,1),
(340460,74860,'When Equipped:',100,0,0),
(340461,74860,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340462,74860,'Inflicts 111 - 166 magic damage on target',100,2,2),
(340463,74860,'Cannot be modified except by direct means',100,2,3),
(340464,10074860,'When Equipped:',100,0,0),
(340465,10074860,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340466,10074860,'Inflicts 144 - 216 magic damage on target',100,2,2),
(340467,10074860,'Cannot be modified except by direct means',100,2,3),
(340468,106110,'Inflicts 948 - 1581 melee damage on target',100,1,0),
(340469,106110,'Decreases Mitigation of target vs physical damage by 3456',100,1,1),
(340470,106110,'Must be behind',100,1,2),
(340471,10106110,'Inflicts 1233 - 2055 melee damage on target',100,1,0),
(340472,10106110,'Decreases Mitigation of target vs physical damage by 864',100,1,1),
(340473,10106110,'Must be behind',100,1,2),
(340474,100710,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(340475,100710,'Increases Mitigation of group members (AE) vs noxious damage by 346',100,1,1),
(340476,10100710,'Increases Max Health of group members (AE) by 54.1',100,1,0),
(340477,10100710,'Increases Mitigation of group members (AE) vs noxious damage by 346',100,1,1),
(340478,45512,'Applies Trap ChokÃ©mon when Activated.',100,0,0),
(340479,10045512,'Applies Trap ChokÃ©mon when Activated.',100,0,0),
(340480,188260,'When Equipped:',100,0,0),
(340481,188260,'1% of all damage received by the caster is prevented.',100,1,1),
(340482,188260,'Must not be engaged in pvp combat',100,1,2),
(340483,10188260,'When Equipped:',100,0,0),
(340484,10188260,'1% of all damage received by the caster is prevented.',100,1,1),
(340485,10188260,'Must not be engaged in pvp combat',100,1,2),
(340486,169973,'When Equipped:',100,0,0),
(340487,169973,'On a melee hit this spell may cast Furious Onslaught on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340488,169973,'Inflicts 62 - 93 melee damage on target',100,2,2),
(340489,169973,'Inflicts 62 - 93 melee damage on target',100,2,3),
(340490,169973,'Inflicts 62 - 93 melee damage on target',100,2,4),
(340491,169973,'Cannot be modified except by direct means',100,2,5),
(340492,10169973,'When Equipped:',100,0,0),
(340493,10169973,'On a melee hit this spell may cast Furious Onslaught on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340494,10169973,'Inflicts 81 - 122 melee damage on target',100,2,2),
(340495,10169973,'Inflicts 81 - 122 melee damage on target',100,2,3),
(340496,10169973,'Inflicts 81 - 122 melee damage on target',100,2,4),
(340497,10169973,'Cannot be modified except by direct means',100,2,5),
(340498,47996,'Applies Summon Steed when Activated.',100,0,0),
(340499,47996,'Increases Slashing of caster by 5.0',100,1,1),
(340500,47996,'Summons a mount to ride',100,1,2),
(340501,47996,'Increases your ground speed by 135%',100,2,3),
(340502,47996,'Increases Disruption, Ordination, Ranged, Crushing, Aggression, Ministration, Subjugation, Focus and Piercing of caster by 5.0',100,1,4),
(340503,10047996,'Applies Summon Steed when Activated.',100,0,0),
(340504,10047996,'Increases Slashing of caster by 5.0',100,1,1),
(340505,10047996,'Summons a mount to ride',100,1,2),
(340506,10047996,'Increases your ground speed by 135%',100,2,3),
(340507,10047996,'Increases Disruption, Ordination, Ranged, Crushing, Aggression, Ministration, Subjugation, Focus and Piercing of caster by 5.0',100,1,4),
(340508,46658,'Applies Charm of Escape when Activated.',100,0,0),
(340509,46658,'Teleports caster back to Martah''s Loft on Kerra Isle.',100,1,1),
(340510,10046658,'Applies Charm of Escape when Activated.',100,0,0),
(340511,10046658,'Teleports caster back to Martah''s Loft on Kerra Isle.',100,1,1),
(340512,108445,'Increases INT, AGI, STR and WIS of group members (AE) by 107.8',100,1,0),
(340513,108445,'Adds 2.4% to base avoidance.',100,1,1),
(340514,108445,'Increases Ability Reuse Speed of group members (AE) by 8.4%',100,1,2),
(340515,108445,'Increases Attack Speed of group members (AE) by 65.8',100,1,3),
(340516,108445,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 319',100,1,4),
(340517,10108445,'Increases INT, AGI, STR and WIS of group members (AE) by 107.8',100,1,0),
(340518,10108445,'Adds 2.4% to base avoidance.',100,1,1),
(340519,10108445,'Increases Ability Reuse Speed of group members (AE) by 8.4%',100,1,2),
(340520,10108445,'Increases Attack Speed of group members (AE) by 65.8',100,1,3),
(340521,10108445,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 319',100,1,4),
(340522,105401,'Increases STR of caster by 23.8',100,1,0),
(340523,105401,'Decreases Defense of caster by 1.8',100,1,1),
(340524,105401,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.2',100,1,2),
(340525,10105401,'Increases STR of caster by 23.8',100,1,0),
(340526,10105401,'Decreases Defense of caster by 1.8',100,1,1),
(340527,10105401,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.2',100,1,2),
(340528,115924,'Inflicts 155 - 189 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(340529,10115924,'Inflicts 262 - 320 disease damage on target encounter',100,1,0),
(340530,10115924,'Inflicts 201 - 246 disease damage on target encounter every 3 seconds',100,1,1),
(340531,101011,'Increases INT of target by 157.1',100,1,0),
(340532,101011,'Increases Attack Speed of target by 55.0',100,1,1),
(340533,101011,'Decreases Defense and Parry of target by 42.3',100,1,2),
(340534,101011,'Increases Slashing, Piercing and Crushing of target by 34.8',100,1,3),
(340535,10101011,'Increases INT of target by 157.1',100,1,0),
(340536,10101011,'Increases Attack Speed of target by 55.0',100,1,1),
(340537,10101011,'Decreases Defense and Parry of target by 42.3',100,1,2),
(340538,10101011,'Increases Slashing, Piercing and Crushing of target by 34.8',100,1,3),
(340539,122299,'Must not be targeted by an enemy',100,1,0),
(340540,10122299,'Must not be targeted by an enemy',100,1,0),
(340541,107432,'Summons a pet earthen avatar',100,1,0),
(340542,10107432,'Summons a pet earthen avatar',100,1,0),
(340543,114803,'Decreases WIS of target by 52.6',100,1,0),
(340544,114803,'Increases WIS and STA of caster by 52.6',100,1,1),
(340545,114803,'Decreases Max Health of target by 1.0%',100,1,2),
(340546,114803,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 168',100,1,3),
(340547,114803,'Only affects targets level 17 and above',100,1,4),
(340548,10114803,'Decreases WIS of target by 52.6',100,1,0),
(340549,10114803,'Increases WIS and STA of caster by 52.6',100,1,1),
(340550,10114803,'Decreases Max Health of target by 1.0%',100,1,2),
(340551,10114803,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 168',100,1,3),
(340552,10114803,'Only affects targets level 17 and above',100,1,4),
(340553,175607,'When Equipped:',100,0,0),
(340554,175607,'Reduces power cost of all spells by 2 percent.',100,1,1),
(340555,10175607,'When Equipped:',100,0,0),
(340556,10175607,'Reduces power cost of all spells by 2 percent.',100,1,1),
(340557,107495,'Inflicts 356 - 1068 magic damage on targets in Area of Effect',100,1,0),
(340558,107495,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(340559,107495,'Blurs vision of target',100,2,2),
(340560,107495,'Stuns target',100,2,3),
(340561,107495,'Throws target back',100,2,4),
(340562,107495,'Does not affect Epic targets',100,2,5),
(340563,10107495,'Inflicts 463 - 1388 magic damage on targets in Area of Effect',100,1,0),
(340564,10107495,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(340565,10107495,'Stuns target',100,2,2),
(340566,10107495,'Throws target back',100,2,3),
(340567,10107495,'Blurs vision of target',100,2,4),
(340568,10107495,'Does not affect Epic targets',100,2,5),
(340569,124155,'Decreases Attack Speed of target by 13.2',100,1,0),
(340570,10124155,'Decreases Attack Speed of target by 13.2',100,1,0),
(340571,88976,'When Equipped:',100,0,0),
(340572,88976,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340573,88976,'Inflicts 66 - 81 mental damage on target',100,2,2),
(340574,88976,'Cannot be modified except by direct means',100,2,3),
(340575,10088976,'When Equipped:',100,0,0),
(340576,10088976,'On a combat hit this spell may cast Mental Bolt on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340577,10088976,'Inflicts 86 - 105 mental damage on target',100,2,2),
(340578,10088976,'Cannot be modified except by direct means',100,2,3),
(340579,85384,'When Equipped:',100,0,0),
(340580,85384,'On a combat hit this spell may cast Might of the Land on caster.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(340581,85384,'Wards caster against 226 points of all damage',100,2,2),
(340582,85384,'Increases STR of caster by 28.6',100,2,3),
(340583,85384,'Increases power of caster by 121',100,2,4),
(340584,85384,'Cannot be modified except by direct means',100,2,5),
(340585,10085384,'When Equipped:',100,0,0),
(340586,10085384,'On a combat hit this spell may cast Might of the Land on caster.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(340587,10085384,'Wards caster against 226 points of all damage',100,2,2),
(340588,10085384,'Increases STR of caster by 28.6',100,2,3),
(340589,10085384,'Increases power of caster by 121',100,2,4),
(340590,10085384,'Cannot be modified except by direct means',100,2,5),
(340591,114780,'Feigns Death with 94% chance of success',100,1,0),
(340592,10114780,'Feigns Death with 94% chance of success',100,1,0),
(340593,111969,'Inflicts 233 - 285 disease damage on target',100,1,0),
(340594,111969,'Decreases Mitigation of target vs noxious damage by 630',100,1,1),
(340595,10111969,'Inflicts 390 - 477 disease damage on target',100,1,0),
(340596,10111969,'Decreases Mitigation of target vs noxious damage by 630',100,1,1),
(340597,46320,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(340598,46320,'Launches a firework when used.',100,1,1),
(340599,10046320,'Applies Rainbow Burst when Activated.  Lasts for 3.0 seconds.',100,0,0),
(340600,10046320,'Launches a firework when used.',100,1,1),
(340601,47594,'Applies Greater Restoration when Activated.',100,0,0),
(340602,47594,'Increases power of caster by 34',100,1,1),
(340603,10047594,'Applies Greater Restoration when Activated.',100,0,0),
(340604,10047594,'Increases power of caster by 34',100,1,1),
(340605,48046,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(340606,48046,'Increases speed of caster by 21.4%',100,1,1),
(340607,10048046,'Applies Short Root when Activated.  Lasts for 1 minute.',100,0,0),
(340608,10048046,'Increases speed of caster by 21.4%',100,1,1),
(340609,45602,'Applies Elixir of Endless Intellect  when Activated.  Lasts for 30 minutes.',100,0,0),
(340610,45602,'Increases WIS and INT of caster by 12.0',100,1,1),
(340611,10045602,'Applies Elixir of Endless Intellect  when Activated.  Lasts for 30 minutes.',100,0,0),
(340612,10045602,'Increases WIS and INT of caster by 12.0',100,1,1),
(340613,88109,'When Equipped:',100,0,0),
(340614,88109,'On a combat hit this spell may cast Vitalize on caster.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(340615,88109,'Wards caster against 652 points of all damage',100,2,2),
(340616,88109,'Increases STR of caster by 76.5',100,2,3),
(340617,88109,'Increases power of caster by 326',100,2,4),
(340618,88109,'Cannot be modified except by direct means',100,2,5),
(340619,10088109,'When Equipped:',100,0,0),
(340620,10088109,'On a combat hit this spell may cast Vitalize on caster.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(340621,10088109,'Wards caster against 652 points of all damage',100,2,2),
(340622,10088109,'Increases STR of caster by 76.5',100,2,3),
(340623,10088109,'Increases power of caster by 326',100,2,4),
(340624,10088109,'Cannot be modified except by direct means',100,2,5),
(340625,121436,'Increases AGI of caster by 15.5',100,1,0),
(340626,121436,'Increases STR of caster by 23.3',100,1,1),
(340627,10121436,'Increases AGI of caster by 15.5',100,1,0),
(340628,10121436,'Increases STR of caster by 23.3',100,1,1),
(340629,114479,'Inflicts 34 - 47 mental damage on target',100,1,0),
(340630,10114479,'Inflicts 45 - 61 mental damage on target',100,1,0),
(340631,104625,'Inflicts 30 - 50 crushing damage on target',100,1,0),
(340632,104625,'Decreases power of target by 30 - 50',100,1,1),
(340633,10104625,'Inflicts 39 - 65 crushing damage on target',100,1,0),
(340634,10104625,'Decreases power of target by 30 - 50',100,1,1),
(340635,123195,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(340636,123195,'Inflicts 27 - 33 disease damage on target',100,2,1),
(340637,123195,'Heals caster for 2.4 - 2.9% of max health',100,2,2),
(340638,123195,'This effect cannot be critically applied.',100,3,3),
(340639,123195,'The healing of this spell cannot be modified except by direct means',100,2,4),
(340640,123195,'Grants a total of 5 triggers of the spell.',100,2,5),
(340641,10123195,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',100,1,0),
(340642,10123195,'Inflicts 35 - 43 disease damage on target',100,2,1),
(340643,10123195,'Heals caster for 0.8 - 1.0% of max health',100,2,2),
(340644,10123195,'This effect cannot be critically applied.',100,3,3),
(340645,10123195,'The healing of this spell cannot be modified except by direct means',100,2,4),
(340646,10123195,'Grants a total of 5 triggers of the spell.',100,2,5),
(340647,109197,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 7.6',100,1,0),
(340648,10109197,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 7.6',100,1,0),
(340649,119785,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(340650,119785,'Inflicts 106 - 130 poison damage on target encounter',100,2,1),
(340651,10119785,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',100,1,0),
(340652,10119785,'Inflicts 138 - 169 poison damage on target encounter',100,2,1),
(340653,107910,'Mesmerizes target',100,1,0),
(340654,107910,'Prevents AOE (except when direct) ',100,1,1),
(340655,107910,'Dispelled when target takes damage',100,1,2),
(340656,107910,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(340657,107910,'Resistibility increases against targets higher than level 30.',100,1,4),
(340658,10107910,'Mesmerizes target',100,1,0),
(340659,10107910,'Prevents AOE (except when direct) ',100,1,1),
(340660,10107910,'Dispelled when target takes damage',100,1,2),
(340661,10107910,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(340662,10107910,'Resistibility increases against targets higher than level 30.',100,1,4),
(340663,48751,'Applies Elixir of Reflection  when Activated.  Lasts for 30 minutes.',100,0,0),
(340664,48751,'Increases STR and STA of caster by 29.3',100,1,1),
(340665,10048751,'Applies Elixir of Reflection  when Activated.  Lasts for 30 minutes.',100,0,0),
(340666,10048751,'Increases STR and STA of caster by 29.3',100,1,1),
(340667,141983,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(340668,141983,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(340669,141983,'Decreases Attack Speed of target by 17.4',100,2,2),
(340670,141983,'Cannot be modified except by direct means',100,2,3),
(340671,141983,'Slows target by 42.3%',100,1,4),
(340672,141983,'5% chance to dispel when target takes damage',100,1,5),
(340673,141983,'5% chance to dispel when target receives hostile action',100,1,6),
(340674,141983,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(340675,10141983,'Applies Hex of Shadows when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(340676,10141983,'Applies Hex of Fright.  Lasts for 1 minute 48 seconds.',100,1,1),
(340677,10141983,'Decreases Attack Speed of target by 17.4',100,2,2),
(340678,10141983,'Cannot be modified except by direct means',100,2,3),
(340679,10141983,'Slows target by 42.3%',100,1,4),
(340680,10141983,'5% chance to dispel when target takes damage',100,1,5),
(340681,10141983,'5% chance to dispel when target receives hostile action',100,1,6),
(340682,10141983,'The casting time of Hex of Shadows is 1.0 second and the reuse time of the spell is 5 minutes',100,1,7),
(340683,141705,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(340684,141705,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(340685,141705,'Inflicts 16 heat damage on target',100,2,2),
(340686,141705,'Cannot be modified except by direct means',100,2,3),
(340687,10141705,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(340688,10141705,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(340689,10141705,'Inflicts 21 heat damage on target',100,2,2),
(340690,10141705,'Cannot be modified except by direct means',100,2,3),
(340691,190839,'When Equipped:',100,0,0),
(340692,190839,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(340693,190839,'When Equipped:',100,0,2),
(340694,190839,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(340695,10190839,'When Equipped:',100,0,0),
(340696,10190839,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(340697,10190839,'When Equipped:',100,0,2),
(340698,10190839,'Reduces reuse time of hostile spells by 2 percent.',100,1,3),
(340699,187427,'When Equipped:',100,0,0),
(340700,187427,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(340701,187427,'Gives target an extra 5.0% mitigation to their worn armor',100,2,2),
(340702,187427,'Increases Max Health of target by 500.0',100,2,3),
(340703,187427,'Cannot be modified except by direct means',100,2,4),
(340704,187427,'Cannot be modified except by direct means',100,1,5),
(340705,10187427,'When Equipped:',100,0,0),
(340706,10187427,'On a healing spell cast this spell may cast Bulwark of Faith on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(340707,10187427,'Gives target an extra 5.0% mitigation to their worn armor',100,2,2),
(340708,10187427,'Increases Max Health of target by 500.0',100,2,3),
(340709,10187427,'Cannot be modified except by direct means',100,2,4),
(340710,10187427,'Cannot be modified except by direct means',100,1,5),
(340711,45040,'Applies Immortalize Enoxus when Activated.',100,0,0),
(340712,45040,'Summon 1 Trophy: Enoxus',100,1,1),
(340713,45040,'This effect cannot be cast during combat',100,1,2),
(340714,10045040,'Applies Immortalize Enoxus when Activated.',100,0,0),
(340715,10045040,'Summon 1 Trophy: Enoxus',100,1,1),
(340716,10045040,'This effect cannot be cast during combat',100,1,2),
(340717,105082,'Inflicts 533 - 720 magic damage on target',100,1,0),
(340718,10105082,'Inflicts 692 - 937 magic damage on target',100,1,0),
(340719,107096,'Inflicts 233 - 285 divine damage on target',100,1,0),
(340720,10107096,'Inflicts 303 - 371 divine damage on target',100,1,0),
(340721,102113,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(340722,102113,'Stuns target',100,2,1),
(340723,102113,'Throws target back',100,2,2),
(340724,102113,'Blurs vision of target',100,2,3),
(340725,102113,'Does not affect Epic targets',100,2,4),
(340726,102113,'Inflicts 166 - 278 crushing damage on target',100,1,5),
(340727,10102113,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(340728,10102113,'Stuns target',100,2,1),
(340729,10102113,'Throws target back',100,2,2),
(340730,10102113,'Blurs vision of target',100,2,3),
(340731,10102113,'Does not affect Epic targets',100,2,4),
(340732,10102113,'Inflicts 217 - 361 crushing damage on target',100,1,5),
(340733,113015,'Increases WIS of caster by 37.0',100,1,0),
(340734,113015,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(340735,113015,'Increases Defense of caster by 6.7',100,1,2),
(340736,113015,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(340737,10113015,'Increases WIS of caster by 37.0',100,1,0),
(340738,10113015,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(340739,10113015,'Increases Defense of caster by 6.7',100,1,2),
(340740,10113015,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,3),
(340741,74617,'When Equipped:',100,0,0),
(340742,74617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340743,74617,'Inflicts 39 - 58 magic damage on target',100,2,2),
(340744,74617,'Cannot be modified except by direct means',100,2,3),
(340745,10074617,'When Equipped:',100,0,0),
(340746,10074617,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340747,10074617,'Inflicts 50 - 75 magic damage on target',100,2,2),
(340748,10074617,'Cannot be modified except by direct means',100,2,3),
(340749,117161,'Inflicts 20 poison damage on target instantly and every 4 seconds',100,1,0),
(340750,117161,'Decreases WIS of target by 18.5',100,1,1),
(340751,10117161,'Inflicts 25 poison damage on target instantly and every 4 seconds',100,1,0),
(340752,10117161,'Decreases WIS of target by 18.5',100,1,1),
(340753,112401,'Increases Crushing, Piercing, Slashing and Ranged of target by 46.7',100,1,0),
(340754,112401,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(340755,112401,'Inflicts 369 - 450 piercing damage on target',100,2,2),
(340756,112401,'Inflicts 184 - 225 piercing damage on target every 3 seconds',100,2,3),
(340757,10112401,'Increases Crushing, Piercing, Slashing and Ranged of target by 46.7',100,1,0),
(340758,10112401,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(340759,10112401,'Inflicts 479 - 586 piercing damage on target',100,2,2),
(340760,10112401,'Inflicts 240 - 293 piercing damage on target every 3 seconds',100,2,3),
(340761,106222,'Inflicts 142 - 426 melee damage on target',100,1,0),
(340762,106222,'Stifles target',100,1,1),
(340763,106222,'If Target is not Epic',100,2,2),
(340764,106222,'Resistibility increases against targets higher than level 83.',100,1,3),
(340765,10106222,'Inflicts 184 - 554 melee damage on target',100,1,0),
(340766,10106222,'Stifles target',100,1,1),
(340767,10106222,'If Target is not Epic',100,2,2),
(340768,10106222,'Resistibility increases against targets higher than level 83.',100,1,3),
(340769,114468,'Inflicts 476 - 794 heat damage on target',100,1,0),
(340770,10114468,'Inflicts 619 - 1032 heat damage on target',100,1,0),
(340771,114855,'Decreases AGI of target by 33.4',100,1,0),
(340772,114855,'Decreases Defense of target by 13.0',100,1,1),
(340773,10114855,'Decreases AGI of target by 33.4',100,1,0),
(340774,10114855,'Decreases Defense of target by 13.0',100,1,1),
(340775,47924,'Applies Sathirian Curse when Activated.',100,0,0),
(340776,47924,'Shapechanges the user into an iksar skeleton, and provides a shield which damages any melee attacker.',100,1,1),
(340777,10047924,'Applies Sathirian Curse when Activated.',100,0,0),
(340778,10047924,'Shapechanges the user into an iksar skeleton, and provides a shield which damages any melee attacker.',100,1,1),
(340779,116492,'Prevents targets in Area of Effect from changing targets',100,1,0),
(340780,116492,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(340781,116492,'Increases Threat to targets in Area of Effect by 308 ',100,1,2),
(340782,10116492,'Prevents targets in Area of Effect from changing targets',100,1,0),
(340783,10116492,'Forces targets in Area of Effect to change their selected target to caster.',100,1,1),
(340784,35553,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(340785,46690,'Applies Innoruuk''s Rebirth when Activated.',100,0,0),
(340786,46690,'Heals caster for 2280',100,1,1),
(340787,10046690,'Applies Innoruuk''s Rebirth when Activated.',100,0,0),
(340788,10046690,'Heals caster for 1482',100,1,1),
(340789,36644,'Increases Out-of-Combat Health Regeneration of target by 11.0',100,0,0),
(340790,36644,'This effect suspends during combat',100,0,1),
(340791,100643,'Wipes target''s memory of any aggression',100,1,0),
(340792,100643,'Stuns target',100,1,1),
(340793,100643,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(340794,100643,'Resistibility increases against targets higher than level 113.',100,1,3),
(340795,10100643,'Forces target to clear their selected target.',100,1,0),
(340796,10100643,'Prevents target from changing targets',100,1,1),
(340797,10100643,'Stuns target',100,1,2),
(340798,10100643,'If Target is not Epic',100,2,3),
(340799,10100643,'Resistibility increases against targets higher than level 113.',100,1,4),
(340800,81841,'When Equipped:',100,0,0),
(340801,81841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340802,81841,'Inflicts 108 - 200 magic damage on target',100,2,2),
(340803,81841,'Cannot be modified except by direct means',100,2,3),
(340804,10081841,'When Equipped:',100,0,0),
(340805,10081841,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(340806,10081841,'Inflicts 140 - 260 magic damage on target',100,2,2),
(340807,10081841,'Cannot be modified except by direct means',100,2,3),
(340808,116353,'Mesmerizes target encounter',100,1,0),
(340809,116353,'Prevents AOE (except when direct) ',100,1,1),
(340810,116353,'Dispelled when target takes damage',100,1,2),
(340811,116353,'Epic targets gain an immunity to Mesmerize effects of 1 minute 3 seconds and duration is reduced to 7.0 seconds.',100,1,3),
(340812,116353,'Resistibility increases against targets higher than level 80.',100,1,4),
(340813,10116353,'Mesmerizes target encounter',100,1,0),
(340814,10116353,'Prevents AOE (except when direct) ',100,1,1),
(340815,10116353,'Dispelled when target takes damage',100,1,2),
(340816,10116353,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(340817,10116353,'Resistibility increases against targets higher than level 80.',100,1,4),
(340818,81315,'When Equipped:',100,0,0),
(340819,81315,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340820,81315,'Decreases Threat to target by 949 ',100,2,2),
(340821,81315,'Must be flanking or behind',100,3,3),
(340822,81315,'Increases Threat to target by 949 ',100,2,4),
(340823,81315,'Must be in front of',100,3,5),
(340824,81315,'Inflicts 196 - 364 magic damage on target',100,2,6),
(340825,81315,'Cannot be modified except by direct means',100,2,7),
(340826,10081315,'When Equipped:',100,0,0),
(340827,10081315,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340828,10081315,'Inflicts 255 - 474 magic damage on target',100,2,2),
(340829,10081315,'Cannot be modified except by direct means',100,2,3),
(340830,112601,'Increases STA of caster by 17.8',100,1,0),
(340831,112601,'Reduces slow effects on caster by 8.3%',100,1,1),
(340832,112601,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',100,1,2),
(340833,10112601,'Increases STA of caster by 17.8',100,1,0),
(340834,10112601,'Reduces slow effects on caster by 8.3%',100,1,1),
(340835,10112601,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',100,1,2),
(340836,117061,'Inflicts 109 - 183 melee damage on target',100,1,0),
(340837,117061,'Decreases Attack Speed of target by 15.7',100,1,1),
(340838,10117061,'Inflicts 142 - 238 melee damage on target',100,1,0),
(340839,10117061,'Decreases Attack Speed of target by 15.7',100,1,1),
(340840,115008,'Inflicts 808 - 1348 ranged damage on targets in area',100,1,0),
(340841,115008,'You must be in stealth to use this!',100,1,1),
(340842,115008,'Requires bow',100,1,2),
(340843,10115008,'Inflicts 606 - 1011 ranged damage on targets in area',100,1,0),
(340844,10115008,'You must be in stealth to use this!',100,1,1),
(340845,10115008,'Requires bow',100,1,2),
(340846,81295,'When Equipped:',100,0,0),
(340847,81295,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340848,81295,'Decreases Threat to target by 949 ',100,2,2),
(340849,81295,'Must be flanking or behind',100,3,3),
(340850,81295,'Increases Threat to target by 949 ',100,2,4),
(340851,81295,'Must be in front of',100,3,5),
(340852,81295,'Inflicts 196 - 364 magic damage on target',100,2,6),
(340853,81295,'Cannot be modified except by direct means',100,2,7),
(340854,10081295,'When Equipped:',100,0,0),
(340855,10081295,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(340856,10081295,'Inflicts 255 - 474 magic damage on target',100,2,2),
(340857,10081295,'Cannot be modified except by direct means',100,2,3),
(340858,121736,'Causes 7% Threat to transfer to target when in combat',100,1,0),
(340859,10121736,'Applies Swarthy Distraction.',100,1,0),
(340860,10121736,'When damaged this spell has a 5% chance to cast Twitch Reflexes on target.  Lasts for 5.0 seconds.  ',100,2,1),
(340861,10121736,'Caster will Dodge 5.0% of incoming attacks',100,3,2),
(340862,107028,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(340863,107028,'Inflicts 11 - 19 divine damage on target',100,2,1),
(340864,107028,'Inflicts 11 - 19 divine damage on target',100,2,2),
(340865,107028,'If target is undead',100,3,3),
(340866,10107028,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(340867,10107028,'Inflicts 25 - 41 divine damage on target',100,2,1),
(340868,105272,'Increases Threat to target by 1,848 ',100,1,0),
(340869,105272,'Interrupts target',100,1,1),
(340870,105272,'Dispels 204 levels of arcane beneficial effects on target',100,1,2),
(340871,10105272,'Forces target to change their selected target to caster.',100,1,0),
(340872,10105272,'Interrupts target',100,1,1),
(340873,10105272,'Dispels 204 levels of arcane beneficial effects on target',100,1,2),
(340874,109216,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 18.4',100,1,0),
(340875,10109216,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 18.4',100,1,0),
(340876,45479,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(340877,45479,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(340878,45479,'Inflicts 81 poison damage on target',100,2,2),
(340879,45479,'Cannot be modified except by direct means',100,2,3),
(340880,45479,'Grants a total of 100 triggers of the spell.',100,2,4),
(340881,10045479,'Applies caustic poison when Activated.  Lasts for 12 hours.',100,0,0),
(340882,10045479,'On a combat hit this spell may cast Caustic Poison on target of attack.  Triggers about 5.0 times per minute. ',100,1,1),
(340883,10045479,'Inflicts 79 poison damage on target',100,2,2),
(340884,10045479,'Cannot be modified except by direct means',100,2,3),
(340885,10045479,'Grants a total of 100 triggers of the spell.',100,2,4),
(340886,106036,'Inflicts 140 - 171 divine damage on target instantly and every 3 seconds',100,1,0),
(340887,106036,'Decreases Defense of target by 24.0',100,1,1),
(340888,10106036,'Inflicts 121 - 148 divine damage on target instantly and every 3 seconds',100,1,0),
(340889,10106036,'Decreases Defense of target by 24.0',100,1,1),
(340890,170223,'Applies Rift Portals when Activated.',100,0,0),
(340891,170223,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(340892,10170223,'Applies Rift Portals when Activated.',100,0,0),
(340893,10170223,'Shifts the caster partially into the void, producing small rifts around them.',100,1,1),
(340894,120709,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 14.9',100,1,0),
(340895,10120709,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 14.9',100,1,0),
(340896,119941,'Stifles target',100,1,0),
(340897,119941,'Inflicts 576 - 704 mental damage on target',100,1,1),
(340898,119941,'Inflicts 192 - 235 mental damage on target every 3 seconds',100,1,2),
(340899,119941,'Epic targets gain an immunity to Stifle effects of 54.0 seconds and duration is reduced to 6.0 seconds.',100,1,3),
(340900,119941,'Resistibility increases against targets higher than level 121.',100,1,4),
(340901,10119941,'Stifles target',100,1,0),
(340902,10119941,'Inflicts 749 - 915 mental damage on target',100,1,1),
(340903,10119941,'Inflicts 250 - 305 mental damage on target every second',100,1,2),
(340904,10119941,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,3),
(340905,10119941,'Resistibility increases against targets higher than level 121.',100,1,4),
(340906,116090,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(340907,116090,'Heals target for 132 - 161',100,2,1),
(340908,116090,'Grants a total of 5 triggers of the spell.',100,2,2),
(340909,10116090,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(340910,10116090,'Heals target for 86 - 105',100,2,1),
(340911,10116090,'Grants a total of 5 triggers of the spell.',100,2,2),
(340912,117682,'Decreases Mitigation of target vs physical damage by 924',100,1,0),
(340913,10117682,'Decreases Mitigation of target vs physical damage by 462',100,1,0),
(340914,84200,'When Equipped:',100,0,0),
(340915,84200,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(340916,84200,'Increases Max Health of caster by 2,908.0',100,2,2),
(340917,84200,'Must not be engaged in pvp combat',100,2,3),
(340918,84200,'Cannot be modified except by direct means',100,2,4),
(340919,84200,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(340920,84200,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(340921,84200,'Increases Max Health of caster by 2,908.0',100,2,7),
(340922,84200,'Must not be engaged in pvp combat',100,2,8),
(340923,84200,'Cannot be modified except by direct means',100,2,9),
(340924,84200,'Cannot be modified except by direct means',100,1,10),
(340925,10084200,'When Equipped:',100,0,0),
(340926,10084200,'On any combat or spell hit this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(340927,10084200,'Increases Max Health of caster by 2,908.0',100,2,2),
(340928,10084200,'Must not be engaged in pvp combat',100,2,3),
(340929,10084200,'Cannot be modified except by direct means',100,2,4),
(340930,10084200,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(340931,10084200,'On a healing spell cast this spell may cast Resolute Defense II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(340932,10084200,'Increases Max Health of caster by 2,908.0',100,2,7),
(340933,10084200,'Must not be engaged in pvp combat',100,2,8),
(340934,10084200,'Cannot be modified except by direct means',100,2,9),
(340935,10084200,'Cannot be modified except by direct means',100,1,10),
(340936,112102,'Inflicts 77 - 128 heat damage on target instantly and every 2 seconds',100,1,0),
(340937,10112102,'Inflicts 245 - 408 heat damage on target instantly and every 2 seconds',100,1,0),
(340938,47080,'Applies Baby Monkey when Activated.',100,0,0),
(340939,47080,'Summons a pet baby monkey',100,1,1),
(340940,10047080,'Applies Baby Monkey when Activated.',100,0,0),
(340941,10047080,'Summons a pet baby monkey',100,1,1),
(340942,157016,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(340943,157016,'Increases speed of caster by 25.0%',100,1,1),
(340944,157016,'This effect suspends during combat',100,1,2),
(340945,10157016,'Applies Journeyman''s Cloak when Equipped.',100,0,0),
(340946,10157016,'Increases speed of caster by 25.0%',100,1,1),
(340947,10157016,'This effect suspends during combat',100,1,2),
(340948,121376,'Inflicts 93 - 173 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(340949,10121376,'Inflicts 121 - 225 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(340950,47022,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(340951,47022,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(340952,47022,'Inflicts 26 poison damage on target instantly and every 6 seconds',100,2,2),
(340953,47022,'Inflicts 10 poison damage on target',100,2,3),
(340954,47022,'Cannot be modified except by direct means',100,2,4),
(340955,47022,'Grants a total of 200 triggers of the spell.',100,2,5),
(340956,10047022,'Applies vengeance of the fallen when Activated.  Lasts for 12 hours.',100,0,0),
(340957,10047022,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(340958,10047022,'Inflicts 25 poison damage on target instantly and every 6 seconds',100,2,2),
(340959,10047022,'Inflicts 10 poison damage on target',100,2,3),
(340960,10047022,'Cannot be modified except by direct means',100,2,4),
(340961,10047022,'Grants a total of 200 triggers of the spell.',100,2,5),
(340962,137482,'When Equipped:',100,0,0),
(340963,137482,'This effect will not stack with itself.',100,1,1),
(340964,137482,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(340965,137482,'Increases in-combat movement speed of caster by 10.0%',100,2,3),
(340966,137482,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(340967,137482,'Increases Ability Recovery Speed of caster by 10.0%',100,2,5),
(340968,137482,'Must not be engaged in pvp combat',100,2,6),
(340969,137482,'Cannot be modified except by direct means',100,2,7),
(340970,137482,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(340971,137482,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(340972,137482,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(340973,137482,'Increases Ability Recovery Speed of caster by 10.0%',100,2,11),
(340974,137482,'Must not be engaged in pvp combat',100,2,12),
(340975,137482,'Cannot be modified except by direct means',100,2,13),
(340976,137482,'Must not be engaged in pvp combat',100,1,14),
(340977,10137482,'When Equipped:',100,0,0),
(340978,10137482,'This effect will not stack with itself.',100,1,1),
(340979,10137482,'On a healing spell cast this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(340980,10137482,'Increases in-combat movement speed of caster by 10.0%',100,2,3),
(340981,10137482,'Increases Ability Casting Speed of caster by 10.0%',100,2,4),
(340982,10137482,'Increases Ability Recovery Speed of caster by 10.0%',100,2,5),
(340983,10137482,'Must not be engaged in pvp combat',100,2,6),
(340984,10137482,'Cannot be modified except by direct means',100,2,7),
(340985,10137482,'On any combat or spell hit this spell may cast Epitaph of Velocity on caster.  Lasts for 12.0 seconds.  Triggers about 2.2 times per minute. ',100,1,8),
(340986,10137482,'Increases in-combat movement speed of caster by 10.0%',100,2,9),
(340987,10137482,'Increases Ability Casting Speed of caster by 10.0%',100,2,10),
(340988,10137482,'Increases Ability Recovery Speed of caster by 10.0%',100,2,11),
(340989,10137482,'Must not be engaged in pvp combat',100,2,12),
(340990,10137482,'Cannot be modified except by direct means',100,2,13),
(340991,10137482,'Must not be engaged in pvp combat',100,1,14),
(340992,35462,'Increases WIS of target by 4.3',100,0,0),
(340993,35462,'Increases Out-of-Combat Health Regeneration of target by 27.5',100,0,1),
(340994,104972,'Reduces physical damage done to caster by 5%',100,1,0),
(340995,104972,'Adds 2.1% to base avoidance.',100,1,1),
(340996,104972,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(340997,104972,'Increases Parry of caster by 2.5',100,1,3),
(340998,104972,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(340999,104972,'Increases Aggression of caster by 1.5',100,1,5),
(341000,104972,'Increases Defense and Deflection of caster by 2.5',100,1,6),
(341001,104972,'Increases Mitigation of caster vs arcane damage by 215',100,1,7),
(341002,104972,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(341003,10104972,'Reduces physical damage done to caster by 5%',100,1,0),
(341004,10104972,'Adds 2.1% to base avoidance.',100,1,1),
(341005,10104972,'Caster will deflect 14.0% of incoming attacks.',100,1,2),
(341006,10104972,'Increases Parry of caster by 2.5',100,1,3),
(341007,10104972,'Decreases Slashing, Piercing and Crushing of caster by 1.8',100,1,4),
(341008,10104972,'Increases Aggression of caster by 1.5',100,1,5),
(341009,10104972,'Increases Defense and Deflection of caster by 2.5',100,1,6),
(341010,10104972,'Increases Mitigation of caster vs arcane damage by 215',100,1,7),
(341011,10104972,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',100,1,8),
(341012,112074,'Inflicts 11 - 18 heat damage on target instantly and every 2 seconds',100,1,0),
(341013,10112074,'Inflicts 34 - 56 heat damage on target instantly and every 2 seconds',100,1,0),
(341014,172566,'When Equipped:',100,0,0),
(341015,172566,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(341016,172566,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(341017,172566,'Dispelled when target casts a hostile spell',100,2,3),
(341018,172566,'Dispelled when target casts a combat art',100,2,4),
(341019,172566,'Cannot be modified except by direct means',100,2,5),
(341020,10172566,'When Equipped:',100,0,0),
(341021,10172566,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(341022,10172566,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(341023,10172566,'Dispelled when target casts a hostile spell',100,2,3),
(341024,10172566,'Dispelled when target casts a combat art',100,2,4),
(341025,10172566,'Cannot be modified except by direct means',100,2,5),
(341026,117174,'Inflicts 56 poison damage on target instantly and every 4 seconds',100,1,0),
(341027,117174,'Decreases WIS of target by 49.8',100,1,1),
(341028,10117174,'Inflicts 73 poison damage on target instantly and every 4 seconds',100,1,0),
(341029,10117174,'Decreases WIS of target by 49.8',100,1,1),
(341030,110421,'Inflicts 3093 - 5156 disease damage on target',100,1,0),
(341031,10110421,'Inflicts 2758 - 4596 disease damage on target',100,1,0),
(341032,159237,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(341033,159237,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(341034,159237,'Inflicts 107 heat damage on target',100,2,2),
(341035,159237,'Cannot be modified except by direct means',100,2,3),
(341036,10159237,'Applies Pale Sanguine Imbued when Equipped.',100,0,0),
(341037,10159237,'When any damage is received this spell has a 5% chance to cast Pale Sanguine Feedback on target''s attacker.  ',100,1,1),
(341038,10159237,'Inflicts 140 heat damage on target',100,2,2),
(341039,10159237,'Cannot be modified except by direct means',100,2,3),
(341040,119661,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(341041,119661,'Throws target back',100,2,1),
(341042,119661,'Stuns target',100,2,2),
(341043,119661,'Blurs vision of target',100,2,3),
(341044,119661,'Does not affect Epic targets',100,2,4),
(341045,119661,'Inflicts 111 - 333 melee damage on target',100,1,5),
(341046,10119661,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(341047,10119661,'Throws target back',100,2,1),
(341048,10119661,'Stuns target',100,2,2),
(341049,10119661,'Blurs vision of target',100,2,3),
(341050,10119661,'Does not affect Epic targets',100,2,4),
(341051,10119661,'Inflicts 144 - 434 melee damage on target',100,1,5),
(341052,109422,'Inflicts 39 - 48 cold damage on target instantly and every 4 seconds',100,1,0),
(341053,109422,'Decreases Mitigation of target vs elemental damage by 230',100,1,1),
(341054,10109422,'Inflicts 51 - 62 cold damage on target instantly and every 4 seconds',100,1,0),
(341055,10109422,'Decreases Mitigation of target vs elemental damage by 230',100,1,1),
(341056,105506,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 9.4',100,1,0),
(341057,10105506,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 9.4',100,1,0),
(341058,145975,'When Equipped:',100,0,0),
(341059,145975,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(341060,145975,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(341061,145975,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,3),
(341062,145975,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(341063,145975,'Must not be engaged in pvp combat',100,2,5),
(341064,145975,'Cannot be modified except by direct means',100,2,6),
(341065,145975,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(341066,145975,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,8),
(341067,145975,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(341068,145975,'Must not be engaged in pvp combat',100,2,10),
(341069,145975,'Cannot be modified except by direct means',100,2,11),
(341070,145975,'Cannot be modified except by direct means',100,1,12),
(341071,10145975,'When Equipped:',100,0,0),
(341072,10145975,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(341073,10145975,'On any combat or spell hit this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(341074,10145975,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,3),
(341075,10145975,'Increases Crit Bonus of caster by 11.5%',100,2,4),
(341076,10145975,'Must not be engaged in pvp combat',100,2,5),
(341077,10145975,'Cannot be modified except by direct means',100,2,6),
(341078,10145975,'On a healing spell cast this spell may cast Magnitude III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(341079,10145975,'Increases WIS, STR, INT and AGI of caster by 50.0',100,2,8),
(341080,10145975,'Increases Crit Bonus of caster by 11.5%',100,2,9),
(341081,10145975,'Must not be engaged in pvp combat',100,2,10),
(341082,10145975,'Cannot be modified except by direct means',100,2,11),
(341083,10145975,'Cannot be modified except by direct means',100,1,12),
(341084,185701,'When Equipped:',100,0,0),
(341085,185701,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(341086,185701,'Increases AGI of caster by 22.7',100,2,2),
(341087,185701,'Increases Attack Speed of caster by 21.4',100,2,3),
(341088,185701,'Cannot be modified except by direct means',100,2,4),
(341089,10185701,'When Equipped:',100,0,0),
(341090,10185701,'When a combat art is used this spell has a 3% chance to cast Flare of Agility on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(341091,10185701,'Increases AGI of caster by 22.7',100,2,2),
(341092,10185701,'Increases Attack Speed of caster by 21.4',100,2,3),
(341093,10185701,'Cannot be modified except by direct means',100,2,4),
(341094,71556,'When Equipped:',100,0,0),
(341095,71556,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341096,71556,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(341097,71556,'Cannot be modified except by direct means',100,2,3),
(341098,10071556,'When Equipped:',100,0,0),
(341099,10071556,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341100,10071556,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(341101,10071556,'Cannot be modified except by direct means',100,2,3),
(341102,35081,'Increases AGI of target by 14.9',100,0,0),
(341103,35081,'Increases Out-of-Combat Health Regeneration of target by 158.8',100,0,1),
(341104,36325,'Increases outgoing damaging spell amount by 2%',100,0,0),
(341105,36325,'Increases INT and STA of target by 66.0',100,0,1),
(341106,36325,'Increases Out-of-Combat Health Regeneration of target by 212.8',100,0,2),
(341107,80641,'When Equipped:',100,0,0),
(341108,80641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341109,80641,'Inflicts 50 - 93 magic damage on target',100,2,2),
(341110,80641,'Cannot be modified except by direct means',100,2,3),
(341111,10080641,'When Equipped:',100,0,0),
(341112,10080641,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341113,10080641,'Inflicts 65 - 121 magic damage on target',100,2,2),
(341114,10080641,'Cannot be modified except by direct means',100,2,3),
(341115,141794,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(341116,141794,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(341117,141794,'Inflicts 23 heat damage on target',100,2,2),
(341118,141794,'Cannot be modified except by direct means',100,2,3),
(341119,10141794,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(341120,10141794,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(341121,10141794,'Inflicts 30 heat damage on target',100,2,2),
(341122,10141794,'Cannot be modified except by direct means',100,2,3),
(341123,83449,'When Equipped:',100,0,0),
(341124,83449,'Reduces cast time of all spells by 5 percent.',100,1,1),
(341125,10083449,'When Equipped:',100,0,0),
(341126,10083449,'Reduces cast time of all spells by 5 percent.',100,1,1),
(341127,48617,'Applies Touch of the Rainmaker when Activated.  Lasts for 30 minutes.',100,0,0),
(341128,48617,'Increases AGI of caster by 48.7',100,1,1),
(341129,10048617,'Applies Touch of the Rainmaker when Activated.  Lasts for 30 minutes.',100,0,0),
(341130,10048617,'Increases AGI of caster by 48.7',100,1,1),
(341131,115887,'Inflicts 4 - 5 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(341132,10115887,'Inflicts 7 - 9 disease damage on target encounter',100,1,0),
(341133,10115887,'Inflicts 6 - 7 disease damage on target encounter every 3 seconds',100,1,1),
(341134,159845,'Applies Sanguine Imbued when Equipped.',100,0,0),
(341135,159845,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(341136,159845,'Inflicts 24 heat damage on target',100,2,2),
(341137,159845,'Cannot be modified except by direct means',100,2,3),
(341138,10159845,'Applies Sanguine Imbued when Equipped.',100,0,0),
(341139,10159845,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(341140,10159845,'Inflicts 31 heat damage on target',100,2,2),
(341141,10159845,'Cannot be modified except by direct means',100,2,3),
(341142,122518,'Heals caster for 10',100,1,0),
(341143,122518,'Inflicts 17 - 29 melee damage on target',100,1,1),
(341144,10122518,'Heals caster for 7',100,1,0),
(341145,10122518,'Inflicts 22 - 37 melee damage on target',100,1,1),
(341146,159510,'When Equipped:',100,0,0),
(341147,159510,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(341148,159510,'Increases STA of caster by 5.8',100,2,2),
(341149,159510,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(341150,159510,'Cannot be modified except by direct means',100,2,4),
(341151,10159510,'When Equipped:',100,0,0),
(341152,10159510,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(341153,10159510,'Increases STA of caster by 5.8',100,2,2),
(341154,10159510,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(341155,10159510,'Cannot be modified except by direct means',100,2,4),
(341156,46233,'Applies essence of health when Activated.',100,0,0),
(341157,46233,'Heals caster for 440',100,1,1),
(341158,10046233,'Applies essence of health when Activated.',100,0,0),
(341159,10046233,'Heals caster for 286',100,1,1),
(341160,36723,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(341161,100394,'Summons a pet aery hunter',100,1,0),
(341162,10100394,'Summons a pet aery hunter',100,1,0),
(341163,48056,'Applies Sound Signal Horn when Activated.',100,0,0),
(341164,48056,'This effect cannot be cast during combat',100,1,1),
(341165,10048056,'Applies Sound Signal Horn when Activated.',100,0,0),
(341166,10048056,'This effect cannot be cast during combat',100,1,1),
(341167,182495,'When Equipped:',100,0,0),
(341168,182495,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Reflection on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(341169,182495,'Wards caster against 425 points of all damage',100,2,2),
(341170,182495,'Cannot be modified except by direct means',100,2,3),
(341171,10182495,'When Equipped:',100,0,0),
(341172,10182495,'When damaged with a melee weapon this spell has a 6% chance to cast Runic Reflection on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(341173,10182495,'Wards caster against 425 points of all damage',100,2,2),
(341174,10182495,'Cannot be modified except by direct means',100,2,3),
(341175,100644,'Wipes target''s memory of any aggression',100,1,0),
(341176,100644,'Stuns target',100,1,1),
(341177,100644,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',100,1,2),
(341178,100644,'Resistibility increases against targets higher than level 113.',100,1,3),
(341179,10100644,'Forces target to clear their selected target.',100,1,0),
(341180,10100644,'Prevents target from changing targets',100,1,1),
(341181,10100644,'Stuns target',100,1,2),
(341182,10100644,'If Target is not Epic',100,2,3),
(341183,10100644,'Resistibility increases against targets higher than level 113.',100,1,4),
(341184,85772,'When Equipped:',100,0,0),
(341185,85772,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(341186,85772,'Heals caster for 400',100,2,2),
(341187,85772,'Cannot be modified except by direct means',100,2,3),
(341188,10085772,'When Equipped:',100,0,0),
(341189,10085772,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.2 times per minute. ',100,1,1),
(341190,10085772,'Heals caster for 260',100,2,2),
(341191,10085772,'Cannot be modified except by direct means',100,2,3),
(341192,74620,'When Equipped:',100,0,0),
(341193,74620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341194,74620,'Inflicts 37 - 55 magic damage on target',100,2,2),
(341195,74620,'Cannot be modified except by direct means',100,2,3),
(341196,10074620,'When Equipped:',100,0,0),
(341197,10074620,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341198,10074620,'Inflicts 48 - 72 magic damage on target',100,2,2),
(341199,10074620,'Cannot be modified except by direct means',100,2,3),
(341200,72156,'When Equipped:',100,0,0),
(341201,72156,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341202,72156,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(341203,72156,'Cannot be modified except by direct means',100,2,3),
(341204,10072156,'When Equipped:',100,0,0),
(341205,10072156,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341206,10072156,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(341207,10072156,'Cannot be modified except by direct means',100,2,3),
(341208,119590,'Increases power of caster by 47 instantly and every 4 seconds',100,1,0),
(341209,10119590,'Increases power of caster by 47 instantly and every 4 seconds',100,1,0),
(341210,108485,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(341211,108485,'Increases Aggression of caster by 14.6',100,1,1),
(341212,108485,'Increases Defense and Parry of caster by 29.2',100,1,2),
(341213,108485,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(341214,10108485,'Decreases Slashing, Piercing and Crushing of caster by 29.2',100,1,0),
(341215,10108485,'Increases Aggression of caster by 14.6',100,1,1),
(341216,10108485,'Increases Defense and Parry of caster by 29.2',100,1,2),
(341217,10108485,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(341218,72234,'When Equipped:',100,0,0),
(341219,72234,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341220,72234,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(341221,72234,'Cannot be modified except by direct means',100,2,3),
(341222,10072234,'When Equipped:',100,0,0),
(341223,10072234,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341224,10072234,'Increases the damage and healing amount of the caster''s spells by 125',100,2,2),
(341225,10072234,'Cannot be modified except by direct means',100,2,3),
(341226,74659,'When Equipped:',100,0,0),
(341227,74659,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341228,74659,'Inflicts 44 - 67 magic damage on target',100,2,2),
(341229,74659,'Cannot be modified except by direct means',100,2,3),
(341230,10074659,'When Equipped:',100,0,0),
(341231,10074659,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341232,10074659,'Inflicts 58 - 87 magic damage on target',100,2,2),
(341233,10074659,'Cannot be modified except by direct means',100,2,3),
(341234,88640,'When Equipped:',100,0,0),
(341235,88640,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341236,88640,'Inflicts 1192 cold damage on target encounter',100,2,2),
(341237,88640,'Cannot be modified except by direct means',100,2,3),
(341238,10088640,'When Equipped:',100,0,0),
(341239,10088640,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341240,10088640,'Inflicts 775 cold damage on target encounter',100,2,2),
(341241,10088640,'Cannot be modified except by direct means',100,2,3),
(341242,117390,'Increases Threat to target by 414 ',100,1,0),
(341243,117390,'Inflicts 51 - 154 melee damage on target',100,1,1),
(341244,10117390,'Forces target to change their selected target to caster.',100,1,0),
(341245,10117390,'Inflicts 44 - 133 melee damage on target',100,1,1),
(341246,45537,'Applies Alchtonion''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(341247,45537,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(341248,10045537,'Applies Alchtonion''s Protection  when Activated.  Lasts for 30 minutes.',100,0,0),
(341249,10045537,'Increases Mitigation of caster vs arcane damage by 90',100,1,1),
(341250,106641,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(341251,106641,'Increases Mitigation of caster vs physical damage by 142',100,2,1),
(341252,106641,'Decreases Mitigation of target encounter vs physical damage by 713',100,1,2),
(341253,10106641,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(341254,10106641,'Increases Mitigation of caster vs physical damage by 142',100,2,1),
(341255,10106641,'Decreases Mitigation of target encounter vs physical damage by 713',100,1,2),
(341256,119665,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,0),
(341257,119665,'Throws target back',100,2,1),
(341258,119665,'Stuns target',100,2,2),
(341259,119665,'Blurs vision of target',100,2,3),
(341260,119665,'Does not affect Epic targets',100,2,4),
(341261,119665,'Inflicts 161 - 484 melee damage on target',100,1,5),
(341262,10119665,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(341263,10119665,'Throws target back',100,2,1),
(341264,10119665,'Stuns target',100,2,2),
(341265,10119665,'Blurs vision of target',100,2,3),
(341266,10119665,'Does not affect Epic targets',100,2,4),
(341267,10119665,'Inflicts 210 - 630 melee damage on target',100,1,5),
(341268,118955,'Applies Sacrifice.',100,1,0),
(341269,118955,'Heals group members (AE) for 399',100,2,1),
(341270,118955,'Increases power of group members (AE) by 114',100,2,2),
(341271,118955,'Stuns target',100,1,3),
(341272,10118955,'Applies Sacrifice.',100,1,0),
(341273,10118955,'Increases power of group members (AE) by 114',100,2,1),
(341274,10118955,'Heals group members (AE) for 555',100,2,2),
(341275,10118955,'Stuns target',100,1,3),
(341276,122123,'Dispels 62 levels of arcane beneficial effects on target',100,1,0),
(341277,122123,'Interrupts target',100,1,1),
(341278,122123,'Increases Threat to target by 690 ',100,1,2),
(341279,10122123,'Interrupts target',100,1,0),
(341280,10122123,'Forces target to change their selected target to caster.',100,1,1),
(341281,10122123,'Dispels 62 levels of arcane beneficial effects on target',100,1,2),
(341282,123276,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(341283,123276,'Inflicts 36 - 60 disease damage on target',100,2,1),
(341284,123276,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(341285,123276,'This effect cannot be critically applied.',100,3,3),
(341286,123276,'The healing of this spell cannot be modified except by direct means',100,2,4),
(341287,10123276,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,0),
(341288,10123276,'Inflicts 47 - 78 disease damage on target',100,2,1),
(341289,10123276,'Heals caster for 0.3 - 0.5% of max health',100,2,2),
(341290,10123276,'This effect cannot be critically applied.',100,3,3),
(341291,10123276,'The healing of this spell cannot be modified except by direct means',100,2,4),
(341292,81879,'When Equipped:',100,0,0),
(341293,81879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341294,81879,'Inflicts 108 - 200 magic damage on target',100,2,2),
(341295,81879,'Cannot be modified except by direct means',100,2,3),
(341296,10081879,'When Equipped:',100,0,0),
(341297,10081879,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341298,10081879,'Inflicts 140 - 260 magic damage on target',100,2,2),
(341299,10081879,'Cannot be modified except by direct means',100,2,3),
(341300,72168,'When Equipped:',100,0,0),
(341301,72168,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341302,72168,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(341303,72168,'Cannot be modified except by direct means',100,2,3),
(341304,10072168,'When Equipped:',100,0,0),
(341305,10072168,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341306,10072168,'Increases the damage and healing amount of the caster''s spells by 20',100,2,2),
(341307,10072168,'Cannot be modified except by direct means',100,2,3),
(341308,26551,'When Equipped:',100,0,0),
(341309,26551,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(341310,26551,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,2),
(341311,10026551,'When Equipped:',100,0,0),
(341312,10026551,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(341313,10026551,'Improves the Arcane mitigation reduction of Asylum VII by 75%.',100,1,2),
(341314,141802,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(341315,141802,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341316,141802,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(341317,141802,'Cannot be modified except by direct means',100,2,3),
(341318,10141802,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(341319,10141802,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341320,10141802,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(341321,10141802,'Cannot be modified except by direct means',100,2,3),
(341322,148593,'When Equipped:',100,0,0),
(341323,148593,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341324,148593,'Inflicts 662 cold damage on target encounter',100,2,2),
(341325,148593,'Must not be engaged in pvp combat',100,2,3),
(341326,148593,'Cannot be modified except by direct means',100,2,4),
(341327,148593,'Must not be engaged in pvp combat',100,1,5),
(341328,10148593,'When Equipped:',100,0,0),
(341329,10148593,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341330,10148593,'Inflicts 775 cold damage on target encounter',100,2,2),
(341331,10148593,'Must not be engaged in pvp combat',100,2,3),
(341332,10148593,'Cannot be modified except by direct means',100,2,4),
(341333,10148593,'Must not be engaged in pvp combat',100,1,5),
(341334,152039,'When Equipped:',100,0,0),
(341335,152039,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(341336,152039,'When Equipped:',100,0,2),
(341337,152039,'On a hostile spell cast this spell may cast Festering Rage on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(341338,152039,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,4),
(341339,152039,'Cannot be modified except by direct means',100,2,5),
(341340,152039,'Cannot be modified except by direct means',100,1,6),
(341341,10152039,'When Equipped:',100,0,0),
(341342,10152039,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(341343,10152039,'When Equipped:',100,0,2),
(341344,10152039,'On a hostile spell cast this spell may cast Festering Rage on the group.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,3),
(341345,10152039,'Increases the damage of group members'' spells and combat arts by 10%.',100,2,4),
(341346,10152039,'Cannot be modified except by direct means',100,2,5),
(341347,10152039,'Cannot be modified except by direct means',100,1,6),
(341348,105240,'Decreases STR and INT of target by 92.4',100,1,0),
(341349,105240,'Only affects targets level 20 and above',100,1,1),
(341350,10105240,'Decreases STR and INT of target by 92.4',100,1,0),
(341351,10105240,'Only affects targets level 20 and above',100,1,1),
(341352,107368,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(341353,107368,'Increases Threat to target by 710 ',100,2,1),
(341354,10107368,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',100,1,0),
(341355,10107368,'Inflicts 130 - 144 crushing damage on target',100,2,1),
(341356,106762,'Mesmerizes target',100,1,0),
(341357,106762,'Prevents AOE (except when direct) ',100,1,1),
(341358,106762,'Dispelled when target takes damage',100,1,2),
(341359,106762,'Does not affect Epic targets',100,1,3),
(341360,106762,'Resistibility increases against targets higher than level 69.',100,1,4),
(341361,10106762,'Mesmerizes target',100,1,0),
(341362,10106762,'Prevents AOE (except when direct) ',100,1,1),
(341363,10106762,'Dispelled when target takes damage',100,1,2),
(341364,10106762,'Does not affect Epic targets',100,1,3),
(341365,10106762,'Resistibility increases against targets higher than level 69.',100,1,4),
(341366,110011,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(341367,110011,'Inflicts 30 - 50 disease damage on target',100,2,1),
(341368,110011,'Heals caster for 20 - 34',100,2,2),
(341369,110011,'This effect cannot be critically applied.',100,3,3),
(341370,110011,'The healing of this spell cannot be modified except by direct means',100,2,4),
(341371,10110011,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(341372,10110011,'Inflicts 39 - 65 disease damage on target',100,2,1),
(341373,10110011,'Heals caster for 6 - 10',100,2,2),
(341374,10110011,'This effect cannot be critically applied.',100,3,3),
(341375,10110011,'The healing of this spell cannot be modified except by direct means',100,2,4),
(341376,100509,'Increases Attack Speed of group members (AE) by 17.0',100,1,0),
(341377,10100509,'Increases Attack Speed of group members (AE) by 17.0',100,1,0),
(341378,173322,'When Equipped:',100,0,0),
(341379,173322,'Increases Attack Speed of caster by 35.0',100,1,1),
(341380,10173322,'When Equipped:',100,0,0),
(341381,10173322,'Increases Attack Speed of caster by 35.0',100,1,1),
(341382,124248,'Inflicts 35 - 59 mental damage on target',100,1,0),
(341383,124248,'Decreases power of target by 13 - 22',100,1,1),
(341384,10124248,'Inflicts 46 - 77 mental damage on target',100,1,0),
(341385,10124248,'Decreases power of target by 13 - 22',100,1,1),
(341386,117794,'Mesmerizes target',100,1,0),
(341387,117794,'Prevents AOE (except when direct) ',100,1,1),
(341388,117794,'Dispelled when target takes damage',100,1,2),
(341389,117794,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',100,1,3),
(341390,117794,'Resistibility increases against targets higher than level 69.',100,1,4),
(341391,10117794,'Mesmerizes target',100,1,0),
(341392,10117794,'Prevents AOE (except when direct) ',100,1,1),
(341393,10117794,'Dispelled when target takes damage',100,1,2),
(341394,10117794,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(341395,10117794,'Resistibility increases against targets higher than level 69.',100,1,4),
(341396,102764,'Increases STR of caster by 16.9',100,1,0),
(341397,102764,'Increases Max Health of caster by 72.5',100,1,1),
(341398,102764,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 460',100,1,2),
(341399,10102764,'Increases STR of caster by 16.9',100,1,0),
(341400,10102764,'Increases Max Health of caster by 72.5',100,1,1),
(341401,10102764,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 460',100,1,2),
(341402,81124,'When Equipped:',100,0,0),
(341403,81124,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341404,81124,'Inflicts 151 - 280 magic damage on target',100,2,2),
(341405,81124,'Cannot be modified except by direct means',100,2,3),
(341406,10081124,'When Equipped:',100,0,0),
(341407,10081124,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341408,10081124,'Inflicts 196 - 364 magic damage on target',100,2,2),
(341409,10081124,'Cannot be modified except by direct means',100,2,3),
(341410,108598,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(341411,108598,'Increases INT, WIS, STR and AGI of group members (AE) by 36.9',100,2,1),
(341412,108598,'Increases STA of group members (AE) by 73.8',100,2,2),
(341413,108598,'Adds 0.7% to base avoidance.',100,2,3),
(341414,108598,'Increases Mitigation of group members (AE) vs noxious and arcane damage by 94',100,2,4),
(341415,108598,'Heals group members (AE) for 121 - 148 instantly and every 3 seconds',100,2,5),
(341416,108598,'Increases Mitigation of group members (AE) vs elemental damage by 94',100,2,6),
(341417,10108598,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',100,1,0),
(341418,10108598,'Increases INT, WIS, STR and AGI of group members (AE) by 36.9',100,2,1),
(341419,10108598,'Increases STA of group members (AE) by 73.8',100,2,2),
(341420,10108598,'Adds 0.7% to base avoidance.',100,2,3),
(341421,10108598,'Increases Mitigation of group members (AE) vs noxious and arcane damage by 94',100,2,4),
(341422,10108598,'Heals group members (AE) for 79 - 96 instantly and every 3 seconds',100,2,5),
(341423,10108598,'Increases Mitigation of group members (AE) vs elemental damage by 94',100,2,6),
(341424,35184,'Increases INT of target by 8.4',100,0,0),
(341425,35184,'Increases Out-of-Combat Health Regeneration of target by 77.5',100,0,1),
(341426,104953,'Inflicts 695 - 1159 melee damage on target',100,1,0),
(341427,104953,'Decreases Defense of target by 41.8',100,1,1),
(341428,104953,'Must be behind',100,1,2),
(341429,10104953,'Inflicts 904 - 1507 melee damage on target',100,1,0),
(341430,10104953,'Decreases Defense of target by 41.8',100,1,1),
(341431,10104953,'Must be behind',100,1,2),
(341432,119196,'Inflicts 134 - 223 heat damage on target',100,1,0),
(341433,119196,'Inflicts 134 - 223 heat damage on target',100,1,1),
(341434,119196,'Requires bow',100,1,2),
(341435,10119196,'Inflicts 135 - 225 heat damage on target',100,1,0),
(341436,10119196,'Inflicts 135 - 225 heat damage on target',100,1,1),
(341437,10119196,'Requires bow',100,1,2),
(341438,109750,'Inflicts 86 - 159 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(341439,10109750,'Inflicts 111 - 206 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(341440,120541,'Decreases Defense of target by 25.9',100,1,0),
(341441,10120541,'Decreases Defense of target by 25.9',100,1,0),
(341442,148899,'When Equipped:',100,0,0),
(341443,148899,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(341444,10148899,'When Equipped:',100,0,0),
(341445,10148899,'Reduces cast time of Subjugation-based spells by 4 percent.',100,1,1),
(341446,156896,'Applies Unstable Magics when Equipped.',100,0,0),
(341447,156896,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(341448,10156896,'Applies Unstable Magics when Equipped.',100,0,0),
(341449,10156896,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(341450,164307,'When Equipped:',100,0,0),
(341451,164307,'Caster will have their chance to hit with a weapon increased by 0.6%',100,1,1),
(341452,164307,'Increases Ranged, Piercing, Slashing and Crushing of caster by 8.0',100,1,2),
(341453,164307,'Must not be engaged in pvp combat',100,1,3),
(341454,10164307,'When Equipped:',100,0,0),
(341455,10164307,'Caster will have their chance to hit with a weapon increased by 0.6%',100,1,1),
(341456,10164307,'Increases Ranged, Piercing, Slashing and Crushing of caster by 8.0',100,1,2),
(341457,10164307,'Must not be engaged in pvp combat',100,1,3),
(341458,36844,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(341459,115984,'Stuns target',100,1,0),
(341460,115984,'Inflicts 342 - 513 mental damage on target',100,1,1),
(341461,115984,'Epic targets gain an immunity to Stun effects of 24.0 seconds and duration is reduced to 2.7 seconds.',100,1,2),
(341462,115984,'Resistibility increases against targets higher than level 98.',100,1,3),
(341463,10115984,'Stuns target',100,1,0),
(341464,10115984,'Inflicts 445 - 667 mental damage on target',100,1,1),
(341465,10115984,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(341466,10115984,'Resistibility increases against targets higher than level 98.',100,1,3),
(341467,46249,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(341468,46249,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(341469,46249,'Decreases WIS of target by 51.0',100,2,2),
(341470,46249,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,3),
(341471,46249,'Cannot be modified except by direct means',100,2,4),
(341472,46249,'Grants a total of 60 triggers of the spell.',100,2,5),
(341473,10046249,'Applies warding ebb when Activated.  Lasts for 12 hours.',100,0,0),
(341474,10046249,'On a combat hit this spell may cast Warding Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(341475,10046249,'Decreases WIS of target by 51.0',100,2,2),
(341476,10046249,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 650',100,2,3),
(341477,10046249,'Cannot be modified except by direct means',100,2,4),
(341478,10046249,'Grants a total of 60 triggers of the spell.',100,2,5),
(341479,164578,'Applies Unstable Magics when Equipped.',100,0,0),
(341480,164578,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(341481,10164578,'Applies Unstable Magics when Equipped.',100,0,0),
(341482,10164578,'This item contains powerful, unstable magics. It would be best to break it down via transmutation.',100,1,1),
(341483,105542,'Inflicts 25 - 46 disease damage on target',100,1,0),
(341484,105542,'Inflicts 15 - 27 disease damage on target every 2 seconds',100,1,1),
(341485,10105542,'Inflicts 32 - 59 disease damage on target',100,1,0),
(341486,10105542,'Inflicts 19 - 36 disease damage on target every 2 seconds',100,1,1),
(341487,81029,'When Equipped:',100,0,0),
(341488,81029,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341489,81029,'Inflicts 148 - 275 magic damage on target',100,2,2),
(341490,81029,'Cannot be modified except by direct means',100,2,3),
(341491,10081029,'When Equipped:',100,0,0),
(341492,10081029,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341493,10081029,'Inflicts 192 - 357 magic damage on target',100,2,2),
(341494,10081029,'Cannot be modified except by direct means',100,2,3),
(341495,148952,'When Equipped:',100,0,0),
(341496,148952,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341497,148952,'Inflicts 1986 poison damage on target',100,2,2),
(341498,148952,'Cannot be modified except by direct means',100,2,3),
(341499,10148952,'When Equipped:',100,0,0),
(341500,10148952,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341501,10148952,'Inflicts 1291 poison damage on target',100,2,2),
(341502,10148952,'Cannot be modified except by direct means',100,2,3),
(341503,101206,'Inflicts 94 - 158 cold damage on target',100,1,0),
(341504,101206,'Dazes target',100,1,1),
(341505,101206,'If Target is not Epic',100,2,2),
(341506,101206,'Resistibility increases against targets higher than level 59.',100,1,3),
(341507,10101206,'Inflicts 123 - 205 cold damage on target',100,1,0),
(341508,10101206,'Dazes target',100,1,1),
(341509,10101206,'If Target is not Epic',100,2,2),
(341510,10101206,'Resistibility increases against targets higher than level 59.',100,1,3),
(341511,120979,'Inflicts 12 - 21 poison damage on target',100,1,0),
(341512,120979,'Inflicts 3 - 5 poison damage on target instantly and every 4 seconds',100,1,1),
(341513,10120979,'Inflicts 16 - 27 poison damage on target',100,1,0),
(341514,10120979,'Inflicts 4 - 7 poison damage on target instantly and every 4 seconds',100,1,1),
(341515,100040,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(341516,100040,'Inflicts 202 - 338 melee damage on targets in area',100,2,1),
(341517,100040,'Decreases Defense of caster by 27.4',100,1,2),
(341518,100040,'Increases Slashing, Piercing and Crushing of caster by 46.2',100,1,3),
(341519,10100040,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(341520,10100040,'Inflicts 263 - 439 melee damage on targets in area',100,2,1),
(341521,10100040,'Decreases Defense of caster by 27.4',100,1,2),
(341522,10100040,'Increases Slashing, Piercing and Crushing of caster by 46.2',100,1,3),
(341523,80646,'When Equipped:',100,0,0),
(341524,80646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341525,80646,'Inflicts 50 - 93 magic damage on target',100,2,2),
(341526,80646,'Cannot be modified except by direct means',100,2,3),
(341527,10080646,'When Equipped:',100,0,0),
(341528,10080646,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341529,10080646,'Inflicts 65 - 121 magic damage on target',100,2,2),
(341530,10080646,'Cannot be modified except by direct means',100,2,3),
(341531,102765,'Increases STR of caster by 14.1',100,1,0),
(341532,102765,'Increases Max Health of caster by 60.4',100,1,1),
(341533,102765,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 383',100,1,2),
(341534,10102765,'Increases STR of caster by 14.1',100,1,0),
(341535,10102765,'Increases Max Health of caster by 60.4',100,1,1),
(341536,10102765,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 383',100,1,2),
(341537,108014,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(341538,108014,'Increases Mitigation of group members (AE) vs elemental damage by 1512',100,1,1),
(341539,10108014,'Increases Max Health of group members (AE) by 405.6',100,1,0),
(341540,10108014,'Increases Mitigation of group members (AE) vs elemental damage by 1512',100,1,1),
(341541,133033,'When Equipped:',100,0,0),
(341542,133033,'Increases damage done by Ice Comet III by up to 2000.',100,1,1),
(341543,133033,'Increases damage done by Distortion V by up to 550.',100,1,2),
(341544,10133033,'When Equipped:',100,0,0),
(341545,10133033,'Increases damage done by Ice Comet III by up to 2000.',100,1,1),
(341546,10133033,'Increases damage done by Distortion V by up to 550.',100,1,2),
(341547,134675,'When Equipped:',100,0,0),
(341548,134675,'Increases Attack Speed of caster by 40.0',100,1,1),
(341549,10134675,'When Equipped:',100,0,0),
(341550,10134675,'Increases Attack Speed of caster by 40.0',100,1,1),
(341551,100894,'Stuns targets in Area of Effect',20,1,0),
(341552,100894,'If Target is not Epic',100,2,1),
(341553,100894,'Inflicts 40 - 66 divine damage on targets in Area of Effect',100,1,2),
(341554,100894,'Resistibility increases against targets higher than level 43.',100,1,3),
(341555,10100894,'Stuns targets in Area of Effect',20,1,0),
(341556,10100894,'If Target is not Epic',100,2,1),
(341557,10100894,'Inflicts 52 - 86 divine damage on targets in Area of Effect',100,1,2),
(341558,10100894,'Resistibility increases against targets higher than level 43.',100,1,3),
(341559,112611,'Increases STA of caster by 32.8',100,1,0),
(341560,112611,'Reduces slow effects on caster by 11.5%',100,1,1),
(341561,112611,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 864',100,1,2),
(341562,10112611,'Increases STA of caster by 32.8',100,1,0),
(341563,10112611,'Reduces slow effects on caster by 11.5%',100,1,1),
(341564,10112611,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 864',100,1,2),
(341565,111794,'Shapechanges caster into a human',100,1,0),
(341566,10111794,'Shapechanges caster into a human',100,1,0),
(341567,37240,'Increases INT of target by 11.0',100,0,0),
(341568,37240,'Increases Out-of-Combat Power Regeneration of target by 105.0',100,0,1),
(341569,122257,'Decreases Threat to targets in Area of Effect by 390 ',100,1,0),
(341570,122257,'Makes targets in Area of Effect afraid',100,1,1),
(341571,122257,'If Target is not Epic',100,2,2),
(341572,122257,'30% chance to dispel when target takes damage',100,1,3),
(341573,10122257,'Applies Distract.',100,1,0),
(341574,10122257,'Forces target to clear their selected target.',100,2,1),
(341575,10122257,'Makes targets in Area of Effect afraid',100,1,2),
(341576,10122257,'If Target is not Epic',100,2,3),
(341577,10122257,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(341578,10122257,'30% chance to dispel when target takes damage',100,1,5),
(341579,112179,'Increases STR of caster by 46.4',100,1,0),
(341580,112179,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',100,1,1),
(341581,112179,'Increases Mitigation of caster vs physical damage by 297',100,1,2),
(341582,10112179,'Increases STR of caster by 46.4',100,1,0),
(341583,10112179,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',100,1,1),
(341584,10112179,'Increases Mitigation of caster vs physical damage by 297',100,1,2),
(341585,124314,'Shapechanges caster into a wolf',100,1,0),
(341586,124314,'Grants See Invisibility to caster',100,1,1),
(341587,124314,'Increases Focus of caster by 10.8',100,1,2),
(341588,124314,'Increases Mitigation of caster vs physical damage by 120',100,1,3),
(341589,124314,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 456',100,1,4),
(341590,10124314,'Shapechanges caster into a wolf',100,1,0),
(341591,10124314,'Grants See Invisibility to caster',100,1,1),
(341592,10124314,'Increases Focus of caster by 10.8',100,1,2),
(341593,10124314,'Increases Mitigation of caster vs physical damage by 120',100,1,3),
(341594,10124314,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 456',100,1,4),
(341595,141764,'When Equipped:',100,0,0),
(341596,141764,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341597,141764,'Increases WIS of caster by 5.1',100,2,2),
(341598,141764,'Increases Ordination, Ministration and Focus of caster by 3.3',100,2,3),
(341599,141764,'Cannot be modified except by direct means',100,2,4),
(341600,10141764,'When Equipped:',100,0,0),
(341601,10141764,'On a beneficial spell cast this spell may cast Gleam of Wisdom on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341602,10141764,'Increases WIS of caster by 5.1',100,2,2),
(341603,10141764,'Increases Ordination, Ministration and Focus of caster by 3.3',100,2,3),
(341604,10141764,'Cannot be modified except by direct means',100,2,4),
(341605,105232,'Decreases STR and INT of target by 77.0',100,1,0),
(341606,105232,'Only affects targets level 20 and above',100,1,1),
(341607,10105232,'Decreases STR and INT of target by 77.0',100,1,0),
(341608,10105232,'Only affects targets level 20 and above',100,1,1),
(341609,181222,'When Equipped:',100,0,0),
(341610,181222,'Reduces reuse time of Subjugation-based spells by 3 percent.',100,1,1),
(341611,10181222,'When Equipped:',100,0,0),
(341612,10181222,'Reduces reuse time of Subjugation-based spells by 3 percent.',100,1,1),
(341613,71703,'When Equipped:',100,0,0),
(341614,71703,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341615,71703,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(341616,71703,'Cannot be modified except by direct means',100,2,3),
(341617,10071703,'When Equipped:',100,0,0),
(341618,10071703,'On a spell cast this spell may cast Ethereal Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341619,10071703,'Increases the damage and healing amount of the caster''s spells by 150',100,2,2),
(341620,10071703,'Cannot be modified except by direct means',100,2,3),
(341621,41476,'When Equipped:',100,0,0),
(341622,41476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341623,41476,'Inflicts 204 - 379 magic damage on target',100,2,2),
(341624,41476,'Cannot be modified except by direct means',100,2,3),
(341625,10041476,'When Equipped:',100,0,0),
(341626,10041476,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341627,10041476,'Inflicts 265 - 492 magic damage on target',100,2,2),
(341628,10041476,'Cannot be modified except by direct means',100,2,3),
(341629,115729,'Wards caster against 5520 points of elemental, noxious and arcane damage',100,1,0),
(341630,10115729,'Wards caster against 5520 points of elemental, noxious and arcane damage',100,1,0),
(341631,104441,'Inflicts 40 - 49 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(341632,104441,'Interrupts target encounter',100,1,1),
(341633,104441,'Applies Stumble on termination.',100,1,2),
(341634,104441,'Interrupts target',100,2,3),
(341635,10104441,'Inflicts 52 - 64 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(341636,10104441,'Interrupts target encounter',100,1,1),
(341637,10104441,'Applies Stumble on termination.',100,1,2),
(341638,10104441,'Interrupts target',100,2,3),
(341639,147468,'When Equipped:',100,0,0),
(341640,147468,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(341641,147468,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(341642,147468,'Cannot be modified except by direct means',100,2,3),
(341643,10147468,'When Equipped:',100,0,0),
(341644,10147468,'On a spell cast this spell may cast Fallout on caster.  Lasts for 12.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(341645,10147468,'Decreases Damage Per Second of targets in Area of Effect by 10.0',100,2,2),
(341646,10147468,'Cannot be modified except by direct means',100,2,3),
(341647,172919,'When Equipped:',100,0,0),
(341648,172919,'Gives caster a 2.6% chance to strikethrough a successful avoidance check',100,1,1),
(341649,172919,'Increases Additional chance to Riposte of caster by 24.0',100,1,2),
(341650,172919,'Increases Riposte Damage of caster by 24.0',100,1,3),
(341651,172919,'Must not be engaged in pvp combat',100,1,4),
(341652,10172919,'When Equipped:',100,0,0),
(341653,10172919,'Gives caster a 2.6% chance to strikethrough a successful avoidance check',100,1,1),
(341654,10172919,'Increases Additional chance to Riposte of caster by 24.0',100,1,2),
(341655,10172919,'Increases Riposte Damage of caster by 24.0',100,1,3),
(341656,10172919,'Must not be engaged in pvp combat',100,1,4),
(341657,167674,'When Equipped:',100,0,0),
(341658,167674,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(341659,167674,'Inflicts 4162 - 4600 heat damage on target encounter',100,2,2),
(341660,167674,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(341661,167674,'Must not be engaged in pvp combat',100,2,4),
(341662,167674,'Cannot be modified except by direct means',100,2,5),
(341663,167674,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(341664,167674,'Cannot be modified except by direct means',100,1,7),
(341665,167674,'When Equipped:',100,0,8),
(341666,167674,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(341667,167674,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(341668,167674,'Increases INT and WIS of caster by 44.0',100,2,11),
(341669,167674,'Increases Ability Casting Speed of caster by 1.5%',100,2,12),
(341670,167674,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(341671,167674,'Must not be engaged in pvp combat',100,2,14),
(341672,167674,'Cannot be modified except by direct means',100,2,15),
(341673,167674,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(341674,167674,'Increases INT and WIS of caster by 44.0',100,2,17),
(341675,167674,'Increases Ability Casting Speed of caster by 1.5%',100,2,18),
(341676,167674,'Increases Crit Bonus of caster by 11.5%',100,2,19),
(341677,167674,'Must not be engaged in pvp combat',100,2,20),
(341678,167674,'Cannot be modified except by direct means',100,2,21),
(341679,167674,'Cannot be modified except by direct means',100,1,22),
(341680,10167674,'When Equipped:',100,0,0),
(341681,10167674,'On any combat or spell hit this spell may cast Velium Tempest IV on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(341682,10167674,'Inflicts 5411 - 5980 heat damage on target encounter',100,2,2),
(341683,10167674,'Decreases Mitigation of target encounter vs elemental damage by 1850',100,2,3),
(341684,10167674,'Must not be engaged in pvp combat',100,2,4),
(341685,10167674,'Cannot be modified except by direct means',100,2,5),
(341686,10167674,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(341687,10167674,'Cannot be modified except by direct means',100,1,7),
(341688,10167674,'When Equipped:',100,0,8),
(341689,10167674,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,9),
(341690,10167674,'On a healing spell cast this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,10),
(341691,10167674,'Increases INT and WIS of caster by 44.0',100,2,11),
(341692,10167674,'Increases Ability Casting Speed of caster by 1.5%',100,2,12),
(341693,10167674,'Increases Crit Bonus of caster by 11.5%',100,2,13),
(341694,10167674,'Must not be engaged in pvp combat',100,2,14),
(341695,10167674,'Cannot be modified except by direct means',100,2,15),
(341696,10167674,'On any combat or spell hit this spell may cast Spellweaver''s Magnitude IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,16),
(341697,10167674,'Increases INT and WIS of caster by 44.0',100,2,17),
(341698,10167674,'Increases Ability Casting Speed of caster by 1.5%',100,2,18),
(341699,10167674,'Increases Crit Bonus of caster by 11.5%',100,2,19),
(341700,10167674,'Must not be engaged in pvp combat',100,2,20),
(341701,10167674,'Cannot be modified except by direct means',100,2,21),
(341702,10167674,'Cannot be modified except by direct means',100,1,22),
(341703,48140,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(341704,48140,'Increases Max Power of caster by 360.5',100,1,1),
(341705,10048140,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(341706,10048140,'Increases Max Power of caster by 360.5',100,1,1),
(341707,106802,'Decreases STR and AGI of target encounter by 55.9',100,1,0),
(341708,10106802,'Decreases STR and AGI of target encounter by 55.9',100,1,0),
(341709,120914,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(341710,120914,'Inflicts 143 - 175 mental damage on target',100,2,1),
(341711,120914,'Grants a total of 3 triggers of the spell.',100,2,2),
(341712,10120914,'When damaged with a spell this spell will cast Lash on target.  ',100,1,0),
(341713,10120914,'Inflicts 186 - 227 mental damage on target',100,2,1),
(341714,10120914,'Grants a total of 3 triggers of the spell.',100,2,2),
(341715,37063,'Increases STA of target by 10.5',100,0,0),
(341716,37063,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(341717,112087,'Inflicts 124 - 207 heat damage on target instantly and every 2 seconds',100,1,0),
(341718,10112087,'Inflicts 395 - 659 heat damage on target instantly and every 2 seconds',100,1,0),
(341719,169248,'When Equipped:',100,0,0),
(341720,169248,'Increases disease damage done by spells by up to 50.',100,1,1),
(341721,10169248,'When Equipped:',100,0,0),
(341722,10169248,'Increases disease damage done by spells by up to 50.',100,1,1),
(341723,101232,'Inflicts 560 - 933 cold damage on target',100,1,0),
(341724,101232,'Dazes target',100,1,1),
(341725,101232,'If Target is not Epic',100,2,2),
(341726,101232,'Resistibility increases against targets higher than level 121.',100,1,3),
(341727,10101232,'Inflicts 728 - 1213 cold damage on target',100,1,0),
(341728,10101232,'Dazes target',100,1,1),
(341729,10101232,'If Target is not Epic',100,2,2),
(341730,10101232,'Resistibility increases against targets higher than level 121.',100,1,3),
(341731,130303,'When Equipped:',100,0,0),
(341732,130303,'This effect will not stack with any rank or tier of itself.',100,1,1),
(341733,130303,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(341734,130303,'Cannot be modified except by direct means',100,1,3),
(341735,10130303,'When Equipped:',100,0,0),
(341736,10130303,'This effect will not stack with any rank or tier of itself.',100,1,1),
(341737,10130303,'Increases Crit Bonus of caster by 4.0%',100,1,2),
(341738,10130303,'Cannot be modified except by direct means',100,1,3),
(341739,116937,'Increases Threat to target by 97 - 118 ',100,1,0),
(341740,116937,'Interrupts target',100,1,1),
(341741,10116937,'Forces target to change their selected target to caster.',100,1,0),
(341742,10116937,'Interrupts target',100,1,1),
(341743,10116937,'Prevents target from changing targets',100,1,2),
(341744,25453,'When Equipped:',100,0,0),
(341745,25453,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,1),
(341746,25453,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(341747,10025453,'When Equipped:',100,0,0),
(341748,10025453,'Reduces the reuse time of Cry of the Warrior by 60 seconds.',100,1,1),
(341749,10025453,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(341750,54407,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(341751,54407,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(341752,54407,'Inflicts 65 heat damage on target',100,2,2),
(341753,54407,'Cannot be modified except by direct means',100,2,3),
(341754,10054407,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(341755,10054407,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(341756,10054407,'Inflicts 84 heat damage on target',100,2,2),
(341757,10054407,'Cannot be modified except by direct means',100,2,3),
(341758,104443,'Inflicts 65 - 80 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(341759,104443,'Interrupts target encounter',100,1,1),
(341760,104443,'Applies Stumble on termination.',100,1,2),
(341761,104443,'Interrupts target',100,2,3),
(341762,10104443,'Inflicts 85 - 104 mental damage on target encounter instantly and every 2 seconds',100,1,0),
(341763,10104443,'Interrupts target encounter',100,1,1),
(341764,10104443,'Applies Stumble on termination.',100,1,2),
(341765,10104443,'Interrupts target',100,2,3),
(341766,45230,'Applies Call Armored Highland Stalker when Activated.',100,0,0),
(341767,45230,'Summons a mount to ride',100,1,1),
(341768,45230,'Increases your ground speed by 130%',100,2,2),
(341769,10045230,'Applies Call Armored Highland Stalker when Activated.',100,0,0),
(341770,10045230,'Summons a mount to ride',100,1,1),
(341771,10045230,'Increases your ground speed by 130%',100,2,2),
(341772,114568,'Heals target for 50 - 61',100,1,0),
(341773,10114568,'Heals target for 32 - 39',100,1,0),
(341774,192162,'When Equipped:',100,0,0),
(341775,192162,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(341776,192162,'Increases Threat to target by 3,000 ',100,2,2),
(341777,192162,'Inflicts 1192 mental damage on target',100,2,3),
(341778,192162,'Cannot be modified except by direct means',100,2,4),
(341779,192162,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,5),
(341780,192162,'Increases Threat to target by 3,000 ',100,2,6),
(341781,192162,'Inflicts 1192 mental damage on target',100,2,7),
(341782,192162,'Cannot be modified except by direct means',100,2,8),
(341783,192162,'When Equipped:',100,0,9),
(341784,192162,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,10),
(341785,192162,'Increases Hate Gain of caster by 15.0%',100,2,11),
(341786,192162,'Cannot be modified except by direct means',100,2,12),
(341787,192162,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,13),
(341788,192162,'Increases Hate Gain of caster by 15.0%',100,2,14),
(341789,192162,'Cannot be modified except by direct means',100,2,15),
(341790,10192162,'When Equipped:',100,0,0),
(341791,10192162,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,1),
(341792,10192162,'Inflicts 1549 mental damage on target',100,2,2),
(341793,10192162,'Cannot be modified except by direct means',100,2,3),
(341794,10192162,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,4),
(341795,10192162,'Inflicts 1549 mental damage on target',100,2,5),
(341796,10192162,'Cannot be modified except by direct means',100,2,6),
(341797,10192162,'When Equipped:',100,0,7),
(341798,10192162,'When damaged in combat this spell has a 7% chance to cast Scornful Presence on caster.  Lasts for 12.0 seconds.  ',100,1,8),
(341799,10192162,'Cannot be modified except by direct means',100,2,9),
(341800,10192162,'On any combat or spell hit this spell may cast Scornful Presence on caster.  Lasts for 12.0 seconds.  Triggers about 1.4 times per minute. ',100,1,10),
(341801,10192162,'Cannot be modified except by direct means',100,2,11),
(341802,121607,'Roots targets in Area of Effect',100,1,0),
(341803,121607,'Decreases Threat to targets in Area of Effect by 325 ',100,1,1),
(341804,121607,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(341805,10121607,'Roots targets in Area of Effect',100,1,0),
(341806,10121607,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,1),
(341807,81838,'When Equipped:',100,0,0),
(341808,81838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341809,81838,'Inflicts 97 - 180 magic damage on target',100,2,2),
(341810,81838,'Cannot be modified except by direct means',100,2,3),
(341811,10081838,'When Equipped:',100,0,0),
(341812,10081838,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(341813,10081838,'Inflicts 126 - 234 magic damage on target',100,2,2),
(341814,10081838,'Cannot be modified except by direct means',100,2,3),
(341815,108823,'Inflicts 663 - 1232 heat damage on targets in Area of Effect',100,1,0),
(341816,10108823,'Inflicts 862 - 1601 heat damage on targets in Area of Effect',100,1,0),
(341817,111963,'Inflicts 588 - 719 disease damage on target',100,1,0),
(341818,111963,'Decreases Mitigation of target vs noxious damage by 1546',100,1,1),
(341819,10111963,'Inflicts 983 - 1201 disease damage on target',100,1,0),
(341820,10111963,'Decreases Mitigation of target vs noxious damage by 1546',100,1,1),
(341821,159032,'Applies Lambent Imbued when Equipped.',100,0,0),
(341822,159032,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341823,159032,'Heals target for 55 instantly and every 4 seconds',100,2,2),
(341824,159032,'Cannot be modified except by direct means',100,2,3),
(341825,10159032,'Applies Lambent Imbued when Equipped.',100,0,0),
(341826,10159032,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341827,10159032,'Heals target for 36 instantly and every 4 seconds',100,2,2),
(341828,10159032,'Cannot be modified except by direct means',100,2,3),
(341829,103186,'Increases Mitigation of caster vs physical damage by 143',100,1,0),
(341830,103186,'Roots caster',100,1,1),
(341831,10103186,'Increases Mitigation of caster vs physical damage by 143',100,1,0),
(341832,10103186,'Roots caster',100,1,1),
(341833,80034,'Applies Fire Ball when Activated.',100,0,0),
(341834,80034,'Inflicts 127 - 211 heat damage on target',100,1,1),
(341835,80034,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(341836,10080034,'Applies Fire Ball when Activated.',100,0,0),
(341837,10080034,'Inflicts 164 - 274 heat damage on target',100,1,1),
(341838,10080034,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(341839,121357,'Inflicts 34 - 64 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(341840,10121357,'Inflicts 45 - 83 magic damage on target encounter instantly and every 2 seconds',100,1,0),
(341841,116097,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(341842,116097,'Heals target for 205 - 250',100,2,1),
(341843,116097,'Grants a total of 5 triggers of the spell.',100,2,2),
(341844,10116097,'When any damage is received this spell will cast Vengeful Faith on target.  ',100,1,0),
(341845,10116097,'Heals target for 133 - 163',100,2,1),
(341846,10116097,'Grants a total of 5 triggers of the spell.',100,2,2),
(341847,123150,'Reduces physical damage done to caster by 5%',100,1,0),
(341848,123150,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(341849,123150,'Increases Aggression of caster by 3.4',100,1,2),
(341850,123150,'Increases Defense and Parry of caster by 6.7',100,1,3),
(341851,123150,'Increases Mitigation of caster vs elemental damage by 484',100,1,4),
(341852,123150,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(341853,10123150,'Reduces physical damage done to caster by 5%',100,1,0),
(341854,10123150,'Decreases Slashing, Piercing and Crushing of caster by 4.8',100,1,1),
(341855,10123150,'Increases Aggression of caster by 3.4',100,1,2),
(341856,10123150,'Increases Defense and Parry of caster by 6.7',100,1,3),
(341857,10123150,'Increases Mitigation of caster vs elemental damage by 484',100,1,4),
(341858,10123150,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,5),
(341859,177540,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(341860,177540,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341861,177540,'Heals target for 14 instantly and every 4 seconds',100,2,2),
(341862,177540,'Cannot be modified except by direct means',100,2,3),
(341863,10177540,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(341864,10177540,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341865,10177540,'Heals target for 9 instantly and every 4 seconds',100,2,2),
(341866,10177540,'Cannot be modified except by direct means',100,2,3),
(341867,115703,'Inflicts 89 - 267 melee damage on target',100,1,0),
(341868,115703,'Inflicts 89 - 267 melee damage on target',100,1,1),
(341869,115703,'Inflicts 89 - 267 melee damage on target',100,1,2),
(341870,115703,'Inflicts 89 - 267 melee damage on target',100,1,3),
(341871,115703,'Inflicts 89 - 267 melee damage on target',100,1,4),
(341872,115703,'Inflicts 89 - 267 melee damage on target',100,1,5),
(341873,115703,'Inflicts 89 - 267 melee damage on target',100,1,6),
(341874,115703,'Inflicts 89 - 267 melee damage on target',100,1,7),
(341875,10115703,'Inflicts 115 - 347 melee damage on target',100,1,0),
(341876,10115703,'Inflicts 115 - 347 melee damage on target',100,1,1),
(341877,10115703,'Inflicts 115 - 347 melee damage on target',100,1,2),
(341878,10115703,'Inflicts 115 - 347 melee damage on target',100,1,3),
(341879,10115703,'Inflicts 115 - 347 melee damage on target',100,1,4),
(341880,10115703,'Inflicts 115 - 347 melee damage on target',100,1,5),
(341881,10115703,'Inflicts 115 - 347 melee damage on target',100,1,6),
(341882,10115703,'Inflicts 115 - 347 melee damage on target',100,1,7),
(341883,24087,'Adds Chardok: Empty Stone Book Case to your Dungeon Maker toolbox',100,0,0),
(341884,10024087,'Adds Chardok: Empty Stone Book Case to your Dungeon Maker toolbox',100,0,0),
(341885,116203,'Inflicts 657 - 1094 mental damage on target',100,1,0),
(341886,10116203,'Inflicts 854 - 1423 mental damage on target',100,1,0),
(341887,46451,'Applies Fungoid Entrapment when Activated.',100,0,0),
(341888,46451,'Must be in Frostfang Sea.',100,1,1),
(341889,46451,'Must not be engaged in combat',100,1,2),
(341890,10046451,'Applies Fungoid Entrapment when Activated.',100,0,0),
(341891,10046451,'Must be in Frostfang Sea.',100,1,1),
(341892,10046451,'Must not be engaged in combat',100,1,2),
(341893,141811,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(341894,141811,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341895,141811,'Heals target for 24 instantly and every 4 seconds',100,2,2),
(341896,141811,'Cannot be modified except by direct means',100,2,3),
(341897,10141811,'Applies Faint Lambent Imbued when Equipped.',100,0,0),
(341898,10141811,'When any damage is received this spell has a 5% chance to cast Faint Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(341899,10141811,'Heals target for 16 instantly and every 4 seconds',100,2,2),
(341900,10141811,'Cannot be modified except by direct means',100,2,3),
(341901,85818,'When Equipped:',100,0,0),
(341902,85818,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341903,85818,'Inflicts 1986 cold damage on target encounter',100,2,2),
(341904,85818,'Must not be engaged in pvp combat',100,2,3),
(341905,85818,'Cannot be modified except by direct means',100,2,4),
(341906,85818,'Must not be engaged in pvp combat',100,1,5),
(341907,10085818,'When Equipped:',100,0,0),
(341908,10085818,'On any combat or spell hit this spell may cast Torrent on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(341909,10085818,'Inflicts 1291 cold damage on target encounter',100,2,2),
(341910,10085818,'Must not be engaged in pvp combat',100,2,3),
(341911,10085818,'Cannot be modified except by direct means',100,2,4),
(341912,10085818,'Must not be engaged in pvp combat',100,1,5),
(341913,102638,'Inflicts 58 - 97 melee damage on target',100,1,0),
(341914,102638,'Inflicts 25 heat damage on target every 6 seconds',100,1,1),
(341915,10102638,'Inflicts 75 - 126 melee damage on target',100,1,0),
(341916,10102638,'Inflicts 33 heat damage on target every 6 seconds',100,1,1),
(341917,37422,'Increases Out-of-Combat Power Regeneration of target by 75.0',100,0,0),
(341918,121606,'Roots targets in Area of Effect',100,1,0),
(341919,121606,'Decreases Threat to targets in Area of Effect by 390 ',100,1,1),
(341920,121606,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,2),
(341921,10121606,'Roots targets in Area of Effect',100,1,0),
(341922,10121606,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',100,1,1),
(341923,173463,'When Equipped:',100,0,0),
(341924,173463,'Increases the caster''s heals and wards by 5%.',100,1,1),
(341925,173463,'Must not be engaged in pvp combat',100,1,2),
(341926,10173463,'When Equipped:',100,0,0),
(341927,10173463,'Increases the caster''s heals and wards by 5%.',100,1,1),
(341928,10173463,'Must not be engaged in pvp combat',100,1,2),
(341929,140213,'When Equipped:',100,0,0),
(341930,140213,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(341931,140213,'Heals group members (AE) for 308 - 377',100,2,2),
(341932,140213,'Heals group members (AE) for 66 - 81 every 2 seconds',100,2,3),
(341933,140213,'Must not be engaged in pvp combat',100,2,4),
(341934,140213,'Cannot be modified except by direct means',100,2,5),
(341935,140213,'Cannot be modified except by direct means',100,1,6),
(341936,10140213,'When Equipped:',100,0,0),
(341937,10140213,'On a healing spell cast this spell may cast Overflowing Mind on the group.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(341938,10140213,'Heals group members (AE) for 200 - 245',100,2,2),
(341939,10140213,'Heals group members (AE) for 43 - 52 every 2 seconds',100,2,3),
(341940,10140213,'Must not be engaged in pvp combat',100,2,4),
(341941,10140213,'Cannot be modified except by direct means',100,2,5),
(341942,10140213,'Cannot be modified except by direct means',100,1,6),
(341943,102307,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(341944,102307,'Decreases Threat to target by 978 ',100,2,1),
(341945,10102307,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(341946,10102307,'Inflicts 55 - 61 crushing damage on target',100,2,1),
(341947,46901,'Applies Illusion: High Elf when Activated.  Lasts for 6 hours.',100,0,0),
(341948,46901,'Shapechanges caster into a high elf',100,1,1),
(341949,10046901,'Applies Illusion: High Elf when Activated.  Lasts for 6 hours.',100,0,0),
(341950,10046901,'Shapechanges caster into a high elf',100,1,1),
(341951,110270,'Decreases Mitigation of target vs arcane damage by 262',100,1,0),
(341952,110270,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(341953,110270,'Slows target by 37.7%',100,2,2),
(341954,110270,'5% chance to dispel when target receives hostile action',100,2,3),
(341955,110270,'5% chance to dispel when target takes damage',100,2,4),
(341956,10110270,'Decreases Mitigation of target vs arcane damage by 262',100,1,0),
(341957,10110270,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(341958,10110270,'Slows target by 37.7%',100,2,2),
(341959,10110270,'5% chance to dispel when target receives hostile action',100,2,3),
(341960,10110270,'5% chance to dispel when target takes damage',100,2,4),
(341961,164310,'When Equipped:',100,0,0),
(341962,164310,'On a critical combat hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341963,164310,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(341964,164310,'This effect will not stack with itself if adorned on multiple items.',100,1,3),
(341965,164310,'On a critical spell hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(341966,164310,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,5),
(341967,164310,'Must not be engaged in pvp combat',100,1,6),
(341968,164310,'Cannot be modified except by direct means',100,1,7),
(341969,10164310,'When Equipped:',100,0,0),
(341970,10164310,'On a critical combat hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(341971,10164310,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,2),
(341972,10164310,'This effect will not stack with itself if adorned on multiple items.',100,1,3),
(341973,10164310,'On a critical spell hit this spell may cast Phantasmal Fury on caster.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,4),
(341974,10164310,'Makes caster immune to Root, Stun, Stifle, Fear, Daze and Mesmerize effects.',100,2,5),
(341975,10164310,'Must not be engaged in pvp combat',100,1,6),
(341976,10164310,'Cannot be modified except by direct means',100,1,7),
(341977,119434,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(341978,119434,'Throws target back',100,2,1),
(341979,119434,'Stuns target',100,2,2),
(341980,119434,'Blurs vision of target',100,2,3),
(341981,119434,'Does not affect Epic targets',100,2,4),
(341982,119434,'Inflicts 440 - 733 melee damage on target',100,1,5),
(341983,119434,'You must be sneaking to use this ability.',100,1,6),
(341984,10119434,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(341985,10119434,'Throws target back',100,2,1),
(341986,10119434,'Stuns target',100,2,2),
(341987,10119434,'Blurs vision of target',100,2,3),
(341988,10119434,'Does not affect Epic targets',100,2,4),
(341989,10119434,'Inflicts 572 - 953 melee damage on target',100,1,5),
(341990,10119434,'You must be sneaking to use this ability.',100,1,6),
(341991,134624,'When Equipped:',100,0,0),
(341992,134624,'Increases Attack Speed of caster by 40.0',100,1,1),
(341993,10134624,'When Equipped:',100,0,0),
(341994,10134624,'Increases Attack Speed of caster by 40.0',100,1,1),
(341995,53843,'When Equipped:',100,0,0),
(341996,53843,'On a hostile spell hit this spell may cast Mindtap II on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(341997,53843,'Decreases power of target by 145',100,2,2),
(341998,53843,'Increases power of caster by 158',100,2,3),
(341999,53843,'Cannot be modified except by direct means',100,2,4),
(342000,53843,'Cannot be modified except by direct means',100,1,5),
(342001,53843,'When Equipped:',100,0,6),
(342002,53843,'On a beneficial spell cast this spell may cast Shielding Heals on target of spell cast.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(342003,53843,'Wards target against 750 points of all damage',100,2,8),
(342004,53843,'Cannot be modified except by direct means',100,2,9),
(342005,53843,'Cannot be modified except by direct means',100,1,10),
(342006,10053843,'When Equipped:',100,0,0),
(342007,10053843,'On a hostile spell hit this spell may cast Mindtap II on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(342008,10053843,'Decreases power of target by 145',100,2,2),
(342009,10053843,'Increases power of caster by 158',100,2,3),
(342010,10053843,'Cannot be modified except by direct means',100,2,4),
(342011,10053843,'Cannot be modified except by direct means',100,1,5),
(342012,10053843,'When Equipped:',100,0,6),
(342013,10053843,'On a beneficial spell cast this spell may cast Shielding Heals on target of spell cast.  Lasts for 5.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(342014,10053843,'Wards target against 750 points of all damage',100,2,8),
(342015,10053843,'Cannot be modified except by direct means',100,2,9),
(342016,10053843,'Cannot be modified except by direct means',100,1,10),
(342017,77806,'When Equipped:',100,0,0),
(342018,77806,'On any combat or spell hit this spell may cast Resolute Defense III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(342019,77806,'Increases Health Regeneration of caster by 55.0',100,2,2),
(342020,77806,'Increases Max Health of caster by 3,174.8',100,2,3),
(342021,77806,'Must not be engaged in pvp combat',100,2,4),
(342022,77806,'Cannot be modified except by direct means',100,2,5),
(342023,77806,'On a healing spell cast this spell may cast Resolute Defense III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(342024,77806,'Increases Health Regeneration of caster by 55.0',100,2,7),
(342025,77806,'Increases Max Health of caster by 3,174.8',100,2,8),
(342026,77806,'Must not be engaged in pvp combat',100,2,9),
(342027,77806,'Cannot be modified except by direct means',100,2,10),
(342028,77806,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(342029,77806,'Cannot be modified except by direct means',100,1,12),
(342030,10077806,'When Equipped:',100,0,0),
(342031,10077806,'On any combat or spell hit this spell may cast Resolute Defense III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(342032,10077806,'Increases Health Regeneration of caster by 55.0',100,2,2),
(342033,10077806,'Increases Max Health of caster by 3,174.8',100,2,3),
(342034,10077806,'Must not be engaged in pvp combat',100,2,4),
(342035,10077806,'Cannot be modified except by direct means',100,2,5),
(342036,10077806,'On a healing spell cast this spell may cast Resolute Defense III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(342037,10077806,'Increases Health Regeneration of caster by 55.0',100,2,7),
(342038,10077806,'Increases Max Health of caster by 3,174.8',100,2,8),
(342039,10077806,'Must not be engaged in pvp combat',100,2,9),
(342040,10077806,'Cannot be modified except by direct means',100,2,10),
(342041,10077806,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(342042,10077806,'Cannot be modified except by direct means',100,1,12),
(342043,75561,'Applies Disease Blast when Activated.',100,0,0),
(342044,75561,'Inflicts 125 - 209 disease damage on target',100,1,1),
(342045,75561,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342046,10075561,'Applies Disease Blast when Activated.',100,0,0),
(342047,10075561,'Inflicts 163 - 271 disease damage on target',100,1,1),
(342048,10075561,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342049,37290,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(342050,119395,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(342051,119395,'Throws target back',100,2,1),
(342052,119395,'Stuns target',100,2,2),
(342053,119395,'Blurs vision of target',100,2,3),
(342054,119395,'Does not affect Epic targets',100,2,4),
(342055,119395,'Inflicts 14 - 23 melee damage on target',100,1,5),
(342056,119395,'You must be sneaking to use this ability.',100,1,6),
(342057,10119395,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(342058,10119395,'Throws target back',100,2,1),
(342059,10119395,'Stuns target',100,2,2),
(342060,10119395,'Blurs vision of target',100,2,3),
(342061,10119395,'Does not affect Epic targets',100,2,4),
(342062,10119395,'Inflicts 18 - 30 melee damage on target',100,1,5),
(342063,10119395,'You must be sneaking to use this ability.',100,1,6),
(342064,71706,'When Equipped:',100,0,0),
(342065,71706,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342066,71706,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(342067,71706,'Cannot be modified except by direct means',100,2,3),
(342068,10071706,'When Equipped:',100,0,0),
(342069,10071706,'On a spell cast this spell may cast Smoldering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342070,10071706,'Increases the damage and healing amount of the caster''s spells by 100',100,2,2),
(342071,10071706,'Cannot be modified except by direct means',100,2,3),
(342072,88047,'When Equipped:',100,0,0),
(342073,88047,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342074,88047,'Inflicts 45 - 55 disease damage on target',100,2,2),
(342075,88047,'Inflicts 42 - 52 disease damage on target every 6 seconds',100,2,3),
(342076,88047,'Cannot be modified except by direct means',100,2,4),
(342077,10088047,'When Equipped:',100,0,0),
(342078,10088047,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342079,10088047,'Inflicts 59 - 72 disease damage on target',100,2,2),
(342080,10088047,'Inflicts 55 - 67 disease damage on target every 6 seconds',100,2,3),
(342081,10088047,'Cannot be modified except by direct means',100,2,4),
(342082,158731,'When Equipped:',100,0,0),
(342083,158731,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342084,158731,'Reduces the power cost of spells by 15%.',100,2,2),
(342085,158731,'Cannot be modified except by direct means',100,2,3),
(342086,10158731,'When Equipped:',100,0,0),
(342087,10158731,'On a spell cast this spell may cast Enlightened Efficiency on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342088,10158731,'Reduces the power cost of spells by 15%.',100,2,2),
(342089,10158731,'Cannot be modified except by direct means',100,2,3),
(342090,115577,'Interrupts target encounter',100,1,0),
(342091,115577,'Decreases Threat to target encounter by 349 - 427 ',100,1,1),
(342092,115577,'Dazes target encounter',100,1,2),
(342093,115577,'If Target is not Epic',100,2,3),
(342094,115577,'Resistibility increases against targets higher than level 67.',100,1,4),
(342095,10115577,'Interrupts target encounter',100,1,0),
(342096,10115577,'Dazes target encounter',100,1,1),
(342097,10115577,'If Target is not Epic',100,2,2),
(342098,10115577,'Resistibility increases against targets higher than level 67.',100,1,3),
(342099,113326,'Inflicts 135 - 165 divine damage on target encounter',100,1,0),
(342100,113326,'Interrupts target encounter',100,1,1),
(342101,10113326,'Inflicts 175 - 214 divine damage on target encounter',100,1,0),
(342102,10113326,'Interrupts target encounter',100,1,1),
(342103,122372,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(342104,122372,'Inflicts 41 - 50 piercing damage on target',100,2,1),
(342105,10122372,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',100,1,0),
(342106,10122372,'Inflicts 53 - 64 piercing damage on target',100,2,1),
(342107,48357,'Applies Marr''s Reprieval when Activated.  Lasts for 5.0 seconds.',100,0,0),
(342108,48357,'Blesses a tormented spirit with Marr''s Reprieval.',100,1,1),
(342109,10048357,'Applies Marr''s Reprieval when Activated.  Lasts for 5.0 seconds.',100,0,0),
(342110,10048357,'Blesses a tormented spirit with Marr''s Reprieval.',100,1,1),
(342111,122866,'Inflicts 108 - 181 ranged damage on target',100,1,0),
(342112,122866,'Inflicts 217 - 362 ranged damage on target',100,1,1),
(342113,122866,'Inflicts 326 - 543 ranged damage on target',100,1,2),
(342114,122866,'Requires bow',100,1,3),
(342115,10122866,'Inflicts 101 - 169 ranged damage on target',100,1,0),
(342116,10122866,'Inflicts 203 - 339 ranged damage on target',100,1,1),
(342117,10122866,'Inflicts 305 - 509 ranged damage on target',100,1,2),
(342118,10122866,'Requires bow',100,1,3),
(342119,115262,'Heals target for 306',100,1,0),
(342120,115262,'Heals target for 51 every second',100,1,1),
(342121,115262,'Dispels 52 levels of any hostile effects on target',100,1,2),
(342122,10115262,'Heals target for 199',100,1,0),
(342123,10115262,'Heals target for 33 every second',100,1,1),
(342124,10115262,'Dispels 52 levels of any hostile effects on target',100,1,2),
(342125,159121,'When Equipped:',100,0,0),
(342126,159121,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342127,159121,'Increases INT of caster by 11.9',100,2,2),
(342128,159121,'Increases Subjugation, Disruption and Focus of caster by 6.7',100,2,3),
(342129,159121,'Cannot be modified except by direct means',100,2,4),
(342130,10159121,'When Equipped:',100,0,0),
(342131,10159121,'On a hostile spell hit this spell may cast Flash of Intelligence on caster.  Lasts for 45.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342132,10159121,'Increases INT of caster by 11.9',100,2,2),
(342133,10159121,'Increases Subjugation, Disruption and Focus of caster by 6.7',100,2,3),
(342134,10159121,'Cannot be modified except by direct means',100,2,4),
(342135,106011,'Inflicts 56 - 68 divine damage on target instantly and every 3 seconds',100,1,0),
(342136,106011,'Decreases Defense of target by 11.2',100,1,1),
(342137,10106011,'Inflicts 48 - 59 divine damage on target instantly and every 3 seconds',100,1,0),
(342138,10106011,'Decreases Defense of target by 11.2',100,1,1),
(342139,52917,'Applies Sanguine Imbued when Equipped.',100,0,0),
(342140,52917,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(342141,52917,'Inflicts 77 heat damage on target',100,2,2),
(342142,52917,'Cannot be modified except by direct means',100,2,3),
(342143,10052917,'Applies Sanguine Imbued when Equipped.',100,0,0),
(342144,10052917,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(342145,10052917,'Inflicts 100 heat damage on target',100,2,2),
(342146,10052917,'Cannot be modified except by direct means',100,2,3),
(342147,26529,'When Equipped:',100,0,0),
(342148,26529,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(342149,26529,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,2),
(342150,10026529,'When Equipped:',100,0,0),
(342151,10026529,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(342152,10026529,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',100,1,2),
(342153,106090,'Inflicts 326 - 543 melee damage on target',100,1,0),
(342154,106090,'Decreases Mitigation of target vs physical damage by 1200',100,1,1),
(342155,106090,'Must be behind',100,1,2),
(342156,10106090,'Inflicts 424 - 707 melee damage on target',100,1,0),
(342157,10106090,'Decreases Mitigation of target vs physical damage by 300',100,1,1),
(342158,10106090,'Must be behind',100,1,2),
(342159,144718,'When Equipped:',100,0,0),
(342160,144718,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(342161,144718,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(342162,144718,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,3),
(342163,144718,'Must not be engaged in pvp combat',100,2,4),
(342164,144718,'Cannot be modified except by direct means',100,2,5),
(342165,144718,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(342166,144718,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,7),
(342167,144718,'Must not be engaged in pvp combat',100,2,8),
(342168,144718,'Cannot be modified except by direct means',100,2,9),
(342169,144718,'Cannot be modified except by direct means',100,1,10),
(342170,10144718,'When Equipped:',100,0,0),
(342171,10144718,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(342172,10144718,'On any combat or spell hit this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(342173,10144718,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,3),
(342174,10144718,'Must not be engaged in pvp combat',100,2,4),
(342175,10144718,'Cannot be modified except by direct means',100,2,5),
(342176,10144718,'On a healing spell cast this spell may cast Tactical Advance II on caster.  Lasts for 8.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(342177,10144718,'Increases STR, INT, WIS and AGI of caster by 110.0',100,2,7),
(342178,10144718,'Must not be engaged in pvp combat',100,2,8),
(342179,10144718,'Cannot be modified except by direct means',100,2,9),
(342180,10144718,'Cannot be modified except by direct means',100,1,10),
(342181,112079,'Inflicts 19 - 32 heat damage on target instantly and every 2 seconds',100,1,0),
(342182,10112079,'Inflicts 61 - 101 heat damage on target instantly and every 2 seconds',100,1,0),
(342183,115222,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(342184,115222,'Decreases Mitigation of target vs noxious damage by 700',100,2,1),
(342185,115222,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(342186,115222,'Decreases Mitigation of target vs noxious damage by 700',100,2,3),
(342187,10115222,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(342188,10115222,'Decreases Mitigation of target vs noxious damage by 700',100,2,1),
(342189,10115222,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(342190,10115222,'Decreases Mitigation of target vs noxious damage by 700',100,2,3),
(342191,112878,'Decreases Mitigation of target vs physical damage by 155',100,1,0),
(342192,112878,'Inflicts 116 - 142 melee damage on target',100,1,1),
(342193,112878,'Must be flanking or behind',100,1,2),
(342194,10112878,'Decreases Mitigation of target vs physical damage by 155',100,1,0),
(342195,10112878,'Inflicts 151 - 184 melee damage on target',100,1,1),
(342196,10112878,'Must be flanking or behind',100,1,2),
(342197,110707,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(342198,110707,'Heals group members (AE) for 162',100,2,1),
(342199,10110707,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(342200,10110707,'Heals group members (AE) for 105',100,2,1),
(342201,80271,'When Equipped:',100,0,0),
(342202,80271,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(342203,80271,'Decreases Threat to target by 801 ',100,2,2),
(342204,80271,'Must be flanking or behind',100,3,3),
(342205,80271,'Increases Threat to target by 801 ',100,2,4),
(342206,80271,'Must be in front of',100,3,5),
(342207,80271,'Inflicts 169 - 314 magic damage on target',100,2,6),
(342208,80271,'Cannot be modified except by direct means',100,2,7),
(342209,10080271,'When Equipped:',100,0,0),
(342210,10080271,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(342211,10080271,'Inflicts 220 - 408 magic damage on target',100,2,2),
(342212,10080271,'Cannot be modified except by direct means',100,2,3),
(342213,113375,'Roots target',100,1,0),
(342214,113375,'Applies Stifle.  Lasts for 7.0 seconds.',100,1,1),
(342215,113375,'Blurs vision of target',100,2,2),
(342216,113375,'Stifles target',100,2,3),
(342217,113375,'Dispelled when target takes damage',100,2,4),
(342218,113375,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',100,2,5),
(342219,113375,'Resistibility increases against targets higher than level 76.',100,2,6),
(342220,113375,'5% chance to dispel when target takes damage',100,1,7),
(342221,113375,'Epic targets gain an immunity to Root effects of 1 minute 57 seconds and duration is reduced to 13.0 seconds.',100,1,8),
(342222,113375,'Resistibility increases against targets higher than level 76.',100,1,9),
(342223,10113375,'Roots target',100,1,0),
(342224,10113375,'Applies Stifle.  Lasts for 2.0 seconds.',100,1,1),
(342225,10113375,'Stifles target',100,2,2),
(342226,10113375,'Blurs vision of target',100,2,3),
(342227,10113375,'Dispelled when target takes damage',100,2,4),
(342228,10113375,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,5),
(342229,10113375,'Resistibility increases against targets higher than level 76.',100,2,6),
(342230,10113375,'5% chance to dispel when target takes damage',100,1,7),
(342231,10113375,'Epic targets gain an immunity to Root effects of 12.0 seconds and duration is reduced to 1.3 seconds.',100,1,8),
(342232,10113375,'Resistibility increases against targets higher than level 76.',100,1,9),
(342233,118864,'Inflicts 5 - 9 melee damage on target',100,1,0),
(342234,118864,'Inflicts 5 - 9 melee damage on target',100,1,1),
(342235,118864,'Inflicts 5 - 9 melee damage on target',100,1,2),
(342236,118864,'Inflicts 5 - 9 melee damage on target',100,1,3),
(342237,118864,'Inflicts 5 - 9 melee damage on target',100,1,4),
(342238,10118864,'Inflicts 7 - 12 melee damage on target',100,1,0),
(342239,10118864,'Inflicts 7 - 12 melee damage on target',100,1,1),
(342240,10118864,'Inflicts 7 - 12 melee damage on target',100,1,2),
(342241,10118864,'Inflicts 7 - 12 melee damage on target',100,1,3),
(342242,10118864,'Inflicts 7 - 12 melee damage on target',100,1,4),
(342243,82219,'When Equipped:',100,0,0),
(342244,82219,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(342245,82219,'Decreases Threat to target by 135 ',100,2,2),
(342246,82219,'Must be flanking or behind',100,3,3),
(342247,82219,'Increases Threat to target by 135 ',100,2,4),
(342248,82219,'Must be in front of',100,3,5),
(342249,82219,'Inflicts 33 - 61 magic damage on target',100,2,6),
(342250,82219,'Cannot be modified except by direct means',100,2,7),
(342251,10082219,'When Equipped:',100,0,0),
(342252,10082219,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(342253,10082219,'Inflicts 43 - 80 magic damage on target',100,2,2),
(342254,10082219,'Cannot be modified except by direct means',100,2,3),
(342255,47825,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(342256,47825,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(342257,47825,'Inflicts 1222 poison damage on target instantly and every 4 seconds',100,2,2),
(342258,47825,'Cannot be modified except by direct means',100,2,3),
(342259,47825,'Grants a total of 100 triggers of the spell.',100,2,4),
(342260,10047825,'Applies hemotoxin when Activated.  Lasts for 12 hours.',100,0,0),
(342261,10047825,'On a combat hit this spell may cast Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(342262,10047825,'Inflicts 298 poison damage on target instantly and every 4 seconds',100,2,2),
(342263,10047825,'Cannot be modified except by direct means',100,2,3),
(342264,10047825,'Grants a total of 100 triggers of the spell.',100,2,4),
(342265,36246,'Increases AGI and STA of target by 7.8',100,0,0),
(342266,36246,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(342267,108432,'Increases INT, AGI, STR and WIS of group members (AE) by 62.4',100,1,0),
(342268,108432,'Adds 2.7% to base avoidance.',100,1,1),
(342269,108432,'Increases Attack Speed of group members (AE) by 50.1',100,1,2),
(342270,108432,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 184',100,1,3),
(342271,10108432,'Increases INT, AGI, STR and WIS of group members (AE) by 62.4',100,1,0),
(342272,10108432,'Adds 2.7% to base avoidance.',100,1,1),
(342273,10108432,'Increases Attack Speed of group members (AE) by 50.1',100,1,2),
(342274,10108432,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 184',100,1,3),
(342275,157755,'When Equipped:',100,0,0),
(342276,157755,'Increases Attack Speed of caster by 30.0',100,1,1),
(342277,10157755,'When Equipped:',100,0,0),
(342278,10157755,'Increases Attack Speed of caster by 30.0',100,1,1),
(342279,118583,'Roots target',100,1,0),
(342280,118583,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',100,1,1),
(342281,118583,'Slows target by 44.0%',100,2,2),
(342282,118583,'5% chance to dispel when target receives hostile action',100,2,3),
(342283,118583,'5% chance to dispel when target takes damage',100,2,4),
(342284,118583,'5% chance to dispel when target takes damage',100,1,5),
(342285,118583,'Does not affect Epic targets',100,1,6),
(342286,118583,'Resistibility increases against targets higher than level 36.',100,1,7),
(342287,10118583,'Roots target',100,1,0),
(342288,10118583,'Applies Ensnare on termination.  Lasts for 5.0 seconds.',100,1,1),
(342289,10118583,'Slows target by 44.0%',100,2,2),
(342290,10118583,'5% chance to dispel when target receives hostile action',100,2,3),
(342291,10118583,'5% chance to dispel when target takes damage',100,2,4),
(342292,10118583,'5% chance to dispel when target takes damage',100,1,5),
(342293,10118583,'Does not affect Epic targets',100,1,6),
(342294,10118583,'Resistibility increases against targets higher than level 36.',100,1,7),
(342295,106947,'Inflicts 220 - 408 poison damage on target',100,1,0),
(342296,10106947,'Inflicts 286 - 531 poison damage on target',100,1,0),
(342297,117007,'Inflicts 85 - 255 melee damage on target',100,1,0),
(342298,10117007,'Inflicts 110 - 332 melee damage on target',100,1,0),
(342299,123898,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(342300,123898,'Slows target by 51.9%',100,2,1),
(342301,123898,'5% chance to dispel when target receives hostile action',100,2,2),
(342302,123898,'5% chance to dispel when target takes damage',100,2,3),
(342303,123898,'Decreases Mitigation of target vs elemental and noxious damage by 1135',100,1,4),
(342304,10123898,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(342305,10123898,'Slows target by 51.9%',100,2,1),
(342306,10123898,'5% chance to dispel when target receives hostile action',100,2,2),
(342307,10123898,'5% chance to dispel when target takes damage',100,2,3),
(342308,10123898,'Decreases Mitigation of target vs elemental and noxious damage by 1135',100,1,4),
(342309,168851,'When Equipped:',100,0,0),
(342310,168851,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(342311,168851,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(342312,168851,'Decreases Threat to target by 4,441 - 4,908 ',100,2,3),
(342313,168851,'Inflicts 2305 - 2548 mental damage on target',100,2,4),
(342314,168851,'Must not be engaged in pvp combat',100,2,5),
(342315,168851,'Cannot be modified except by direct means',100,2,6),
(342316,168851,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(342317,168851,'Decreases Threat to target by 4,441 - 4,908 ',100,2,8),
(342318,168851,'Inflicts 2305 - 2548 mental damage on target',100,2,9),
(342319,168851,'Must not be engaged in pvp combat',100,2,10),
(342320,168851,'Cannot be modified except by direct means',100,2,11),
(342321,168851,'Cannot be modified except by direct means',100,1,12),
(342322,10168851,'When Equipped:',100,0,0),
(342323,10168851,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,1),
(342324,10168851,'On a critical spell hit this spell may cast Discombobulate II on target of spell.  Triggers about 2.0 times per minute. ',100,1,2),
(342325,10168851,'Inflicts 2997 - 3312 mental damage on target',100,2,3),
(342326,10168851,'Must not be engaged in pvp combat',100,2,4),
(342327,10168851,'Cannot be modified except by direct means',100,2,5),
(342328,10168851,'On a critical combat hit this spell may cast Discombobulate II on target of attack.  Triggers about 2.0 times per minute. ',100,1,6),
(342329,10168851,'Inflicts 2997 - 3312 mental damage on target',100,2,7),
(342330,10168851,'Must not be engaged in pvp combat',100,2,8),
(342331,10168851,'Cannot be modified except by direct means',100,2,9),
(342332,10168851,'Cannot be modified except by direct means',100,1,10),
(342333,110600,'Decreases Focus of target by 15.3',100,1,0),
(342334,110600,'Interrupts target',100,1,1),
(342335,110600,'Inflicts 56 - 170 crushing damage on target',100,1,2),
(342336,10110600,'Decreases Focus of target by 15.3',100,1,0),
(342337,10110600,'Interrupts target',100,1,1),
(342338,10110600,'Inflicts 74 - 222 crushing damage on target',100,1,2),
(342339,106571,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(342340,106571,'Increases Parry of caster by 5.8',100,1,1),
(342341,10106571,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(342342,10106571,'Increases Parry of caster by 5.8',100,1,1),
(342343,105049,'Inflicts 44 - 73 divine damage on targets in Area of Effect',100,1,0),
(342344,10105049,'Inflicts 57 - 95 divine damage on targets in Area of Effect',100,1,0),
(342345,110405,'Inflicts 951 - 1584 disease damage on target',100,1,0),
(342346,10110405,'Inflicts 847 - 1412 disease damage on target',100,1,0),
(342347,114682,'Increases Threat to target by 779 - 953 ',100,1,0),
(342348,114682,'Interrupts target',100,1,1),
(342349,10114682,'Interrupts target',100,1,0),
(342350,10114682,'Forces target to change their selected target to caster.',100,1,1),
(342351,10114682,'Prevents target from changing targets',100,1,2),
(342352,117969,'Heals target for 585 - 715',100,1,0),
(342353,117969,'Increases Max Health of target by 86.8',100,1,1),
(342354,10117969,'Heals target for 671 - 820',100,1,0),
(342355,10117969,'Increases Max Health of target by 86.8',100,1,1),
(342356,102609,'Increases Threat to target encounter by 1,080 - 1,320 ',100,1,0),
(342357,102609,'Interrupts target encounter',100,1,1),
(342358,102609,'Decreases Mitigation of target encounter vs noxious damage by 800',100,1,2),
(342359,10102609,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(342360,10102609,'Forces target to change their selected target to caster.',100,2,1),
(342361,10102609,'Prevents target from changing targets',100,2,2),
(342362,10102609,'Interrupts target encounter',100,1,3),
(342363,10102609,'Decreases Mitigation of target encounter vs noxious damage by 800',100,1,4),
(342364,73102,'When Equipped:',100,0,0),
(342365,73102,'On a combat hit this spell may cast Venomous Retribution on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342366,73102,'Inflicts 72 - 120 poison damage on target every 3 seconds',100,2,2),
(342367,73102,'Cannot be modified except by direct means',100,2,3),
(342368,10073102,'When Equipped:',100,0,0),
(342369,10073102,'On a combat hit this spell may cast Venomous Retribution on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342370,10073102,'Inflicts 94 - 156 poison damage on target every 3 seconds',100,2,2),
(342371,10073102,'Cannot be modified except by direct means',100,2,3),
(342372,118428,'Heals target for 989 - 1209',100,1,0),
(342373,118428,'Increases Max Health of target by 166.4',100,1,1),
(342374,10118428,'Heals target for 1147 - 1402',100,1,0),
(342375,10118428,'Increases Max Health of target by 166.4',100,1,1),
(342376,109391,'Summons a pet gazer',100,1,0),
(342377,10109391,'Summons a pet gazer',100,1,0),
(342378,124726,'Heals group members (AE) for 1081 - 1322',100,1,0),
(342379,10124726,'Heals group members (AE) for 1312 - 1604',100,1,0),
(342380,111064,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(342381,111064,'Slows target by 55.4%',100,2,1),
(342382,111064,'5% chance to dispel when target receives hostile action',100,2,2),
(342383,111064,'5% chance to dispel when target takes damage',100,2,3),
(342384,111064,'Decreases Mitigation of target vs elemental damage by 736',100,1,4),
(342385,10111064,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(342386,10111064,'Slows target by 55.4%',100,2,1),
(342387,10111064,'5% chance to dispel when target receives hostile action',100,2,2),
(342388,10111064,'5% chance to dispel when target takes damage',100,2,3),
(342389,10111064,'Decreases Mitigation of target vs elemental damage by 736',100,1,4),
(342390,157693,'When Equipped:',100,0,0),
(342391,157693,'Increases Attack Speed of caster by 45.0',100,1,1),
(342392,10157693,'When Equipped:',100,0,0),
(342393,10157693,'Increases Attack Speed of caster by 45.0',100,1,1),
(342394,119066,'Inflicts 175 - 293 mental damage on target',100,1,0),
(342395,119066,'Decreases power of target by 165 - 275',100,1,1),
(342396,119066,'Increases power of caster by 98 - 164',100,1,2),
(342397,10119066,'Inflicts 228 - 381 mental damage on target',100,1,0),
(342398,10119066,'Decreases power of target by 165 - 275',100,1,1),
(342399,10119066,'Increases power of caster by 98 - 164',100,1,2),
(342400,24422,'Adds Goblin-Sand (Templar) to your Dungeon Maker toolbox',100,0,0),
(342401,10024422,'Adds Goblin-Sand (Templar) to your Dungeon Maker toolbox',100,0,0),
(342402,53181,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(342403,53181,'Increases Damage Per Second of caster by 20.0',100,1,1),
(342404,53181,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(342405,10053181,'Applies Precise Strikes when Activated.  Lasts for 16.0 seconds.',100,0,0),
(342406,10053181,'Increases Damage Per Second of caster by 20.0',100,1,1),
(342407,10053181,'The casting time of Precise Strikes is 0.5 seconds and the reuse time of the spell is 3 minutes',100,1,2),
(342408,103400,'Decreases Threat to targets in Area of Effect by 520 ',100,1,0),
(342409,103400,'Slows targets in Area of Effect by 56.0%',100,1,1),
(342410,103400,'Stifles targets in Area of Effect',100,1,2),
(342411,103400,'If Target is not Epic',100,2,3),
(342412,103400,'10% chance to dispel when target receives hostile action',100,1,4),
(342413,103400,'10% chance to dispel when target takes damage',100,1,5),
(342414,10103400,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(342415,10103400,'Slows targets in Area of Effect by 56.0%',100,1,1),
(342416,10103400,'Stifles targets in Area of Effect',100,1,2),
(342417,10103400,'If Target is not Epic',100,2,3),
(342418,102645,'Inflicts 94 - 157 melee damage on target',100,1,0),
(342419,102645,'Inflicts 41 heat damage on target every 6 seconds',100,1,1),
(342420,10102645,'Inflicts 122 - 204 melee damage on target',100,1,0),
(342421,10102645,'Inflicts 53 heat damage on target every 6 seconds',100,1,1),
(342422,46356,'Applies Flask of Achievements II when Activated.  Lasts for 2 hours.',100,0,0),
(342423,46356,'Increases Combat XP Gain of caster by 50.0%',100,1,1),
(342424,46356,'Increases AA XP Gain of caster by 50.0%',100,1,2),
(342425,46356,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,3),
(342426,46356,'You can only have one experience potion active at a time.',100,1,4),
(342427,10046356,'Applies Flask of Achievements II when Activated.  Lasts for 2 hours.',100,0,0),
(342428,10046356,'Increases Combat XP Gain of caster by 50.0%',100,1,1),
(342429,10046356,'Increases AA XP Gain of caster by 50.0%',100,1,2),
(342430,10046356,'Increases Tradeskill XP Gain of caster by 50.0%',100,1,3),
(342431,10046356,'You can only have one experience potion active at a time.',100,1,4),
(342432,105461,'Stuns target encounter',100,1,0),
(342433,105461,'If Target is not Epic',100,2,1),
(342434,105461,'Inflicts 46 - 85 poison damage on target encounter',100,1,2),
(342435,105461,'Resistibility increases against targets higher than level 37.',100,1,3),
(342436,10105461,'Stuns target encounter',100,1,0),
(342437,10105461,'If Target is not Epic',100,2,1),
(342438,10105461,'Inflicts 59 - 110 poison damage on target encounter',100,1,2),
(342439,10105461,'Resistibility increases against targets higher than level 37.',100,1,3),
(342440,112708,'Inflicts 106 - 176 disease damage on target encounter',100,1,0),
(342441,10112708,'Inflicts 138 - 229 disease damage on target encounter',100,1,0),
(342442,46927,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(342443,46927,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(342444,46927,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(342445,46927,'Cannot be modified except by direct means',100,2,3),
(342446,46927,'Grants a total of 80 triggers of the spell.',100,2,4),
(342447,10046927,'Applies altered immunitity when Activated.  Lasts for 12 hours.',100,0,0),
(342448,10046927,'On a combat hit this spell may cast Noxious Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(342449,10046927,'Decreases Mitigation of target vs noxious damage by 132',100,2,2),
(342450,10046927,'Cannot be modified except by direct means',100,2,3),
(342451,10046927,'Grants a total of 80 triggers of the spell.',100,2,4),
(342452,154710,'When Equipped:',100,0,0),
(342453,154710,'Increases Attack Speed of caster by 35.0',100,1,1),
(342454,10154710,'When Equipped:',100,0,0),
(342455,10154710,'Increases Attack Speed of caster by 35.0',100,1,1),
(342456,155593,'When Equipped:',100,0,0),
(342457,155593,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342458,155593,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(342459,155593,'Heals caster for 5 instantly and every 3 seconds',100,2,3),
(342460,155593,'Cannot be modified except by direct means',100,2,4),
(342461,155593,'Cannot be modified except by direct means',100,1,5),
(342462,10155593,'When Equipped:',100,0,0),
(342463,10155593,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342464,10155593,'Increases power of caster by 5 instantly and every 3 seconds',100,2,2),
(342465,10155593,'Heals caster for 3 instantly and every 3 seconds',100,2,3),
(342466,10155593,'Cannot be modified except by direct means',100,2,4),
(342467,10155593,'Cannot be modified except by direct means',100,1,5),
(342468,49114,'Applies Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(342469,49114,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(342470,49114,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(342471,49114,'Cannot be modified except by direct means',100,2,3),
(342472,49114,'Grants a total of 80 triggers of the spell.',100,2,4),
(342473,49114,'Only affects targets level 50 and above',100,1,5),
(342474,10049114,'Applies Wave of Calamity when Activated.  Lasts for 12 hours.',100,0,0),
(342475,10049114,'On a combat hit this spell may cast Deranging Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(342476,10049114,'Decreases Mitigation of target vs arcane damage by 871',100,2,2),
(342477,10049114,'Cannot be modified except by direct means',100,2,3),
(342478,10049114,'Grants a total of 80 triggers of the spell.',100,2,4),
(342479,10049114,'Only affects targets level 50 and above',100,1,5),
(342480,140791,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(342481,140791,'Decreases AGI, STR, WIS and INT of target by 16.0',100,1,1),
(342482,140791,'Decreases Max Health of target by 1.0%',100,1,2),
(342483,140791,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(342484,10140791,'Applies Hex of Discord when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(342485,10140791,'Decreases AGI, STR, WIS and INT of target by 16.0',100,1,1),
(342486,10140791,'Decreases Max Health of target by 1.0%',100,1,2),
(342487,10140791,'The casting time of Hex of Discord is 1.0 second and the reuse time of the spell is 5 minutes',100,1,3),
(342488,124397,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(342489,124397,'Inflicts 49 - 83 melee damage on target',100,2,1),
(342490,124397,'Grants a total of 3 triggers of the spell.',100,2,2),
(342491,10124397,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(342492,10124397,'Inflicts 64 - 108 melee damage on target',100,2,1),
(342493,10124397,'Grants a total of 3 triggers of the spell.',100,2,2),
(342494,103200,'Increases Mitigation of caster vs physical damage by 408',100,1,0),
(342495,103200,'Roots caster',100,1,1),
(342496,10103200,'Increases Mitigation of caster vs physical damage by 408',100,1,0),
(342497,10103200,'Roots caster',100,1,1),
(342498,173861,'When Equipped:',100,0,0),
(342499,173861,'On a combat hit this spell may cast Chaotic Happenstance on caster.  Lasts for 15.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(342500,173861,'If scout.',100,2,2),
(342501,173861,'Improves all procs by a base 1% trigger chance.',100,2,3),
(342502,173861,'Cannot be modified except by direct means',100,2,4),
(342503,10173861,'When Equipped:',100,0,0),
(342504,10173861,'On a combat hit this spell may cast Chaotic Happenstance on caster.  Lasts for 15.0 seconds.  Triggers about 1.4 times per minute. ',100,1,1),
(342505,10173861,'If scout.',100,2,2),
(342506,10173861,'Improves all procs by a base 1% trigger chance.',100,2,3),
(342507,10173861,'Cannot be modified except by direct means',100,2,4),
(342508,117367,'Inflicts 48 - 59 divine damage on target',100,1,0),
(342509,117367,'Inflicts 48 - 59 divine damage on target',100,1,1),
(342510,117367,'If target is undead',100,2,2),
(342511,10117367,'Inflicts 63 - 77 divine damage on target',100,1,0),
(342512,10117367,'Inflicts 63 - 77 divine damage on target',100,1,1),
(342513,10117367,'If target is undead',100,2,2),
(342514,107791,'Increases Threat to target encounter by 167 - 204 ',100,1,0),
(342515,10107791,'Prevents target encounter from changing targets',100,1,0),
(342516,10107791,'Forces target encounter to change their selected target to caster.',100,1,1),
(342517,71679,'When Equipped:',100,0,0),
(342518,71679,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342519,71679,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(342520,71679,'Cannot be modified except by direct means',100,2,3),
(342521,10071679,'When Equipped:',100,0,0),
(342522,10071679,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342523,10071679,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(342524,10071679,'Cannot be modified except by direct means',100,2,3),
(342525,112683,'Increases Parry of group members (AE) by 22.8',100,1,0),
(342526,10112683,'Increases Parry of group members (AE) by 22.8',100,1,0),
(342527,108269,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(342528,108269,'Inflicts 95 heat damage on target',100,2,1),
(342529,108269,'Grants a total of 3 triggers of the spell.',100,2,2),
(342530,10108269,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',100,1,0),
(342531,10108269,'Inflicts 124 heat damage on target',100,2,1),
(342532,10108269,'Grants a total of 3 triggers of the spell.',100,2,2),
(342533,48102,'Applies Small Minds when Activated.',100,0,0),
(342534,48102,'Shapechanges the user into a gnome, and provides a shield which damages any melee attacker.',100,1,1),
(342535,10048102,'Applies Small Minds when Activated.',100,0,0),
(342536,10048102,'Shapechanges the user into a gnome, and provides a shield which damages any melee attacker.',100,1,1),
(342537,123919,'Increases STR and WIS of target by 42.4',100,1,0),
(342538,123919,'Increases Mitigation of target vs elemental, noxious and arcane damage by 127',100,1,1),
(342539,10123919,'Increases STR and WIS of target by 42.4',100,1,0),
(342540,10123919,'Increases Mitigation of target vs elemental, noxious and arcane damage by 127',100,1,1),
(342541,48851,'Applies Translucent Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(342542,48851,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(342543,48851,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(342544,48851,'Cannot be modified except by direct means',100,2,3),
(342545,48851,'Grants a total of 80 triggers of the spell.',100,2,4),
(342546,48851,'Only affects targets level 50 and above',100,1,5),
(342547,10048851,'Applies Translucent Numbing  Blizzard when Activated.  Lasts for 12 hours.',100,0,0),
(342548,10048851,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(342549,10048851,'Decreases Mitigation of target vs elemental damage by 871',100,2,2),
(342550,10048851,'Cannot be modified except by direct means',100,2,3),
(342551,10048851,'Grants a total of 80 triggers of the spell.',100,2,4),
(342552,10048851,'Only affects targets level 50 and above',100,1,5),
(342553,103808,'Increases Ability Casting Speed of raid and group members (AE) by 2.7%',100,1,0),
(342554,103808,'Increases Attack Speed of raid and group members (AE) by 6.6',100,1,1),
(342555,10103808,'Increases Ability Casting Speed of raid and group members (AE) by 2.7%',100,1,0),
(342556,10103808,'Increases Attack Speed of raid and group members (AE) by 6.6',100,1,1),
(342557,101125,'Heals target for 203 - 248',100,1,0),
(342558,10101125,'Heals target for 132 - 161',100,1,0),
(342559,124758,'Inflicts 360 - 440 disease damage on target encounter',100,1,0),
(342560,10124758,'Inflicts 469 - 573 disease damage on target encounter',100,1,0),
(342561,110432,'Dazes targets in Area of Effect',100,1,0),
(342562,110432,'If Target is not Epic',100,2,1),
(342563,110432,'Decreases Threat to targets in Area of Effect by 308 ',100,1,2),
(342564,110432,'Dispelled when target receives hostile action',100,1,3),
(342565,110432,'Dispelled when target takes damage',100,1,4),
(342566,10110432,'Dazes targets in Area of Effect',100,1,0),
(342567,10110432,'If Target is not Epic',100,2,1),
(342568,10110432,'Applies Distract.',100,1,2),
(342569,10110432,'Forces target to clear their selected target.',100,2,3),
(342570,10110432,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,4),
(342571,10110432,'Dispelled when target receives hostile action',100,1,5),
(342572,10110432,'Dispelled when target takes damage',100,1,6),
(342573,110272,'Decreases Mitigation of target vs arcane damage by 207',100,1,0),
(342574,110272,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(342575,110272,'Slows target by 29.8%',100,2,2),
(342576,110272,'5% chance to dispel when target receives hostile action',100,2,3),
(342577,110272,'5% chance to dispel when target takes damage',100,2,4),
(342578,10110272,'Decreases Mitigation of target vs arcane damage by 207',100,1,0),
(342579,10110272,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(342580,10110272,'Slows target by 29.8%',100,2,2),
(342581,10110272,'5% chance to dispel when target receives hostile action',100,2,3),
(342582,10110272,'5% chance to dispel when target takes damage',100,2,4),
(342583,108952,'Increases INT of group members (AE) by 60.4',100,1,0),
(342584,108952,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 23.4',100,1,1),
(342585,10108952,'Increases INT of group members (AE) by 60.4',100,1,0),
(342586,10108952,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 23.4',100,1,1),
(342587,110493,'Stifles caster',100,1,0),
(342588,110493,'Increases power of caster by 36 instantly and every second',100,1,1),
(342589,10110493,'Stifles caster',100,1,0),
(342590,10110493,'Increases power of caster by 36 instantly and every second',100,1,1),
(342591,116323,'Stuns target',100,1,0),
(342592,116323,'If Target is not Epic',100,2,1),
(342593,116323,'Inflicts 680 - 831 magic damage on target',100,1,2),
(342594,116323,'Resistibility increases against targets higher than level 101.',100,1,3),
(342595,10116323,'Stuns target',100,1,0),
(342596,10116323,'If Target is not Epic',100,2,1),
(342597,10116323,'Inflicts 883 - 1080 magic damage on target',100,1,2),
(342598,10116323,'Resistibility increases against targets higher than level 101.',100,1,3),
(342599,109380,'Inflicts 129 - 388 melee damage on target',100,1,0),
(342600,109380,'Inflicts 161 - 485 melee damage on target',100,1,1),
(342601,109380,'Inflicts 194 - 582 melee damage on target',100,1,2),
(342602,10109380,'Inflicts 168 - 504 melee damage on target',100,1,0),
(342603,10109380,'Inflicts 210 - 631 melee damage on target',100,1,1),
(342604,10109380,'Inflicts 252 - 757 melee damage on target',100,1,2),
(342605,84256,'Applies Mental Blast when Activated.',100,0,0),
(342606,84256,'Inflicts 178 - 297 mental damage on target',100,1,1),
(342607,84256,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342608,10084256,'Applies Mental Blast when Activated.',100,0,0),
(342609,10084256,'Inflicts 231 - 386 mental damage on target',100,1,1),
(342610,10084256,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342611,78982,'When Equipped:',100,0,0),
(342612,78982,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(342613,10078982,'When Equipped:',100,0,0),
(342614,10078982,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(342615,149061,'When Equipped:',100,0,0),
(342616,149061,'Reduces physical damage done to target by 5%',100,1,1),
(342617,10149061,'When Equipped:',100,0,0),
(342618,10149061,'Reduces physical damage done to target by 5%',100,1,1),
(342619,113119,'Decreases Attack Speed of target encounter by 13.5',100,1,0),
(342620,10113119,'Decreases Attack Speed of target encounter by 13.5',100,1,0),
(342621,82084,'When Equipped:',100,0,0),
(342622,82084,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342623,82084,'Inflicts 125 - 232 magic damage on target',100,2,2),
(342624,82084,'Cannot be modified except by direct means',100,2,3),
(342625,10082084,'When Equipped:',100,0,0),
(342626,10082084,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342627,10082084,'Inflicts 162 - 301 magic damage on target',100,2,2),
(342628,10082084,'Cannot be modified except by direct means',100,2,3),
(342629,46597,'Applies Grobb''s Anti-Leech Treatment when Activated.',100,0,0),
(342630,46597,'This confined gator has recently been cleansed of leeches.',100,1,1),
(342631,10046597,'Applies Grobb''s Anti-Leech Treatment when Activated.',100,0,0),
(342632,10046597,'This confined gator has recently been cleansed of leeches.',100,1,1),
(342633,46363,'Applies Flask of Tradecrafting I when Activated.  Lasts for 2 hours.',100,0,0),
(342634,46363,'Increases AA XP Gain of caster by 25.0%',100,1,1),
(342635,46363,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,2),
(342636,46363,'Increases Combat XP Gain of caster by 25.0%',100,1,3),
(342637,46363,'You can only have one experience potion active at a time.',100,1,4),
(342638,10046363,'Applies Flask of Tradecrafting I when Activated.  Lasts for 2 hours.',100,0,0),
(342639,10046363,'Increases AA XP Gain of caster by 25.0%',100,1,1),
(342640,10046363,'Increases Tradeskill XP Gain of caster by 25.0%',100,1,2),
(342641,10046363,'Increases Combat XP Gain of caster by 25.0%',100,1,3),
(342642,10046363,'You can only have one experience potion active at a time.',100,1,4),
(342643,124807,'Increases STR of caster by 128.3',100,1,0),
(342644,124807,'Decreases Defense of caster by 22.2',100,1,1),
(342645,124807,'Increases Crushing, Piercing, Slashing and Disruption of caster by 36.6',100,1,2),
(342646,10124807,'Increases STR of caster by 128.3',100,1,0),
(342647,10124807,'Decreases Defense of caster by 22.2',100,1,1),
(342648,10124807,'Increases Crushing, Piercing, Slashing and Disruption of caster by 36.6',100,1,2),
(342649,107401,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(342650,107401,'Slows target by 54.7%',100,2,1),
(342651,107401,'5% chance to dispel when target receives hostile action',100,2,2),
(342652,107401,'5% chance to dispel when target takes damage',100,2,3),
(342653,107401,'Inflicts 691 - 1151 disease damage on target',100,1,4),
(342654,10107401,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(342655,10107401,'Slows target by 54.7%',100,2,1),
(342656,10107401,'5% chance to dispel when target receives hostile action',100,2,2),
(342657,10107401,'5% chance to dispel when target takes damage',100,2,3),
(342658,10107401,'Inflicts 898 - 1496 disease damage on target',100,1,4),
(342659,48383,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(342660,48383,'Caster will harvest a second time on 6.0% of harvests.',100,1,1),
(342661,48383,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,2),
(342662,10048383,'Applies Exceptional Harvesting Technique when Activated.  Lasts for 10 days.',100,0,0),
(342663,10048383,'Caster will harvest a second time on 6.0% of harvests.',100,1,1),
(342664,10048383,'Reduces the harvest time for fishing, foresting, gathering, mining, and trapping by .3 seconds.',100,1,2),
(342665,101307,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(342666,101307,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 23',100,1,1),
(342667,101307,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,2),
(342668,10101307,'Increases Max Health of group members (AE) by 24.0',100,1,0),
(342669,10101307,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 23',100,1,1),
(342670,10101307,'Increases Mitigation of group members (AE) vs physical damage by 103',100,1,2),
(342671,107859,'Decreases Mitigation of target vs elemental damage by 814',100,1,0),
(342672,107859,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(342673,107859,'Slows target by 41.1%',100,2,2),
(342674,107859,'5% chance to dispel when target receives hostile action',100,2,3),
(342675,107859,'5% chance to dispel when target takes damage',100,2,4),
(342676,10107859,'Decreases Mitigation of target vs elemental damage by 814',100,1,0),
(342677,10107859,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(342678,10107859,'Slows target by 41.1%',100,2,2),
(342679,10107859,'5% chance to dispel when target receives hostile action',100,2,3),
(342680,10107859,'5% chance to dispel when target takes damage',100,2,4),
(342681,104805,'Increases caster''s chance to block by 10.0%',100,1,0),
(342682,104805,'Decreases Attack Speed of caster by 15.4',100,1,1),
(342683,104805,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(342684,104805,'Increases Parry of caster by 25.9',100,1,3),
(342685,104805,'Increases Defense of caster by 25.9',100,1,4),
(342686,10104805,'Increases caster''s chance to block by 10.0%',100,1,0),
(342687,10104805,'Decreases Attack Speed of caster by 15.4',100,1,1),
(342688,10104805,'Decreases Damage Per Second of caster by 15.4',100,1,2),
(342689,10104805,'Increases Parry of caster by 25.9',100,1,3),
(342690,10104805,'Increases Defense of caster by 25.9',100,1,4),
(342691,35247,'Increases STR of target by 2.4',100,0,0),
(342692,35247,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(342693,165235,'When Equipped:',100,0,0),
(342694,165235,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342695,165235,'Inflicts 2398 magic damage on target',100,2,2),
(342696,165235,'Decreases Damage Per Second of target by 20.0',100,2,3),
(342697,165235,'Cannot be modified except by direct means',100,2,4),
(342698,165235,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(342699,165235,'Inflicts 2398 magic damage on target',100,2,6),
(342700,165235,'Decreases Damage Per Second of target by 20.0',100,2,7),
(342701,165235,'Cannot be modified except by direct means',100,2,8),
(342702,10165235,'When Equipped:',100,0,0),
(342703,10165235,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(342704,10165235,'Inflicts 3117 magic damage on target',100,2,2),
(342705,10165235,'Decreases Damage Per Second of target by 20.0',100,2,3),
(342706,10165235,'Cannot be modified except by direct means',100,2,4),
(342707,10165235,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(342708,10165235,'Inflicts 3117 magic damage on target',100,2,6),
(342709,10165235,'Decreases Damage Per Second of target by 20.0',100,2,7),
(342710,10165235,'Cannot be modified except by direct means',100,2,8),
(342711,113821,'Inflicts 134 - 223 disease damage on target',100,1,0),
(342712,10113821,'Inflicts 174 - 289 disease damage on target',100,1,0),
(342713,101654,'Decreases Attack Speed of target by 13.2',100,1,0),
(342714,101654,'Decreases Damage Per Second of target by 7.6',100,1,1),
(342715,10101654,'Decreases Attack Speed of target by 13.2',100,1,0),
(342716,10101654,'Decreases Damage Per Second of target by 7.6',100,1,1),
(342717,105083,'Inflicts 418 - 566 magic damage on target',100,1,0),
(342718,10105083,'Inflicts 544 - 736 magic damage on target',100,1,0),
(342719,160741,'When Equipped:',100,0,0),
(342720,160741,'Increases Attack Speed of caster by 30.0',100,1,1),
(342721,10160741,'When Equipped:',100,0,0),
(342722,10160741,'Increases Attack Speed of caster by 30.0',100,1,1),
(342723,24238,'Adds Bellywhumber Cursecleaner to your Dungeon Maker toolbox',100,0,0),
(342724,10024238,'Adds Bellywhumber Cursecleaner to your Dungeon Maker toolbox',100,0,0),
(342725,35414,'Increases Out-of-Combat Health Regeneration of target by 227.5',100,0,0),
(342726,35414,'This effect suspends during combat',100,0,1),
(342727,139466,'When Equipped:',100,0,0),
(342728,139466,'Increases success chance by 1.4%',100,1,1),
(342729,10139466,'When Equipped:',100,0,0),
(342730,10139466,'Increases success chance by 1.4%',100,1,1),
(342731,113602,'Summons a limited pet to aid the caster',100,1,0),
(342732,10113602,'Summons a limited pet to aid the caster',100,1,0),
(342733,103696,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(342734,103696,'Inflicts 4 - 5 heat damage on target instantly and every second',100,2,1),
(342735,10103696,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(342736,10103696,'Inflicts 5 - 7 heat damage on target instantly and every second',100,2,1),
(342737,24738,'Adds Vampire (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(342738,10024738,'Adds Vampire (Swashbuckler) to your Dungeon Maker toolbox',100,0,0),
(342739,101881,'Heals target for 651 - 796',100,1,0),
(342740,101881,'If over 50% Health',100,2,1),
(342741,101881,'Heals target for 1302 - 1592',100,1,2),
(342742,101881,'If at 50% Health or less',100,2,3),
(342743,10101881,'Heals target for 423 - 517',100,1,0),
(342744,10101881,'If over 50% Health',100,2,1),
(342745,10101881,'Heals target for 1481 - 1811',100,1,2),
(342746,10101881,'If at 50% Health or less',100,2,3),
(342747,111685,'Inflicts 84 - 103 cold damage on target',100,1,0),
(342748,111685,'Inflicts 84 - 103 cold damage on target',100,1,1),
(342749,111685,'If target is elemental',100,2,2),
(342750,10111685,'Inflicts 94 - 115 cold damage on target',100,1,0),
(342751,120264,'Inflicts 599 - 998 crushing damage on target',100,1,0),
(342752,10120264,'Inflicts 779 - 1298 crushing damage on target',100,1,0),
(342753,106956,'Inflicts 501 - 930 poison damage on target',100,1,0),
(342754,10106956,'Inflicts 651 - 1209 poison damage on target',100,1,0),
(342755,74959,'When Equipped:',100,0,0),
(342756,74959,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342757,74959,'Inflicts 111 - 166 magic damage on target',100,2,2),
(342758,74959,'Cannot be modified except by direct means',100,2,3),
(342759,10074959,'When Equipped:',100,0,0),
(342760,10074959,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342761,10074959,'Inflicts 144 - 216 magic damage on target',100,2,2),
(342762,10074959,'Cannot be modified except by direct means',100,2,3),
(342763,80462,'When Equipped:',100,0,0),
(342764,80462,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342765,80462,'Inflicts 56 - 103 magic damage on target',100,2,2),
(342766,80462,'Cannot be modified except by direct means',100,2,3),
(342767,10080462,'When Equipped:',100,0,0),
(342768,10080462,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342769,10080462,'Inflicts 72 - 134 magic damage on target',100,2,2),
(342770,10080462,'Cannot be modified except by direct means',100,2,3),
(342771,107186,'Inflicts 106 - 177 divine damage on target',100,1,0),
(342772,107186,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',100,1,1),
(342773,107186,'Stuns target',100,2,2),
(342774,107186,'If Target is not Epic',100,3,3),
(342775,107186,'Inflicts 248 - 414 divine damage on target',100,2,4),
(342776,107186,'Inflicts 213 - 355 divine damage on target',100,2,5),
(342777,107186,'If target is undead',100,3,6),
(342778,10107186,'Inflicts 92 - 153 divine damage on target',100,1,0),
(342779,10107186,'Applies Divine Vengeance on termination.  Lasts for 2.0 seconds.',100,1,1),
(342780,10107186,'Stuns target',100,2,2),
(342781,10107186,'Inflicts 484 - 807 divine damage on target',100,2,3),
(342782,10107186,'Epic targets gain an immunity to Stun effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,2,4),
(342783,108055,'Inflicts 744 magic damage on target',100,1,0),
(342784,108055,'Increases power of caster by 208',100,1,1),
(342785,10108055,'Inflicts 967 magic damage on target',100,1,0),
(342786,10108055,'Increases power of caster by 208',100,1,1),
(342787,157130,'When Equipped:',100,0,0),
(342788,157130,'On a hit this spell may cast Terrestrial Rage on caster.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(342789,157130,'Increases Potency of caster by 5.0%',100,2,2),
(342790,157130,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(342791,157130,'Increases Damage Per Second of caster by 40.0',100,2,4),
(342792,157130,'Increases Attack Speed of caster by 40.0',100,2,5),
(342793,157130,'Cannot be modified except by direct means',100,2,6),
(342794,10157130,'When Equipped:',100,0,0),
(342795,10157130,'On a hit this spell may cast Terrestrial Rage on caster.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(342796,10157130,'Increases Potency of caster by 5.0%',100,2,2),
(342797,10157130,'Increases Ability Reuse Speed of caster by 5.0%',100,2,3),
(342798,10157130,'Increases Damage Per Second of caster by 40.0',100,2,4),
(342799,10157130,'Increases Attack Speed of caster by 40.0',100,2,5),
(342800,10157130,'Cannot be modified except by direct means',100,2,6),
(342801,104721,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(342802,104721,'Decreases Mitigation of target vs elemental and arcane damage by 462',100,2,1),
(342803,104721,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(342804,104721,'Decreases Mitigation of target vs elemental and arcane damage by 462',100,2,3),
(342805,10104721,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(342806,10104721,'Decreases Mitigation of target vs elemental and arcane damage by 462',100,2,1),
(342807,10104721,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(342808,10104721,'Decreases Mitigation of target vs elemental and arcane damage by 462',100,2,3),
(342809,45928,'Applies Unroll the Sewing Blanket when Activated.  Lasts for 15 minutes.',100,0,0),
(342810,45928,'Summons Defiler Sewing Blanket',100,1,1),
(342811,45928,'This effect cannot be cast during combat',100,1,2),
(342812,10045928,'Applies Unroll the Sewing Blanket when Activated.  Lasts for 15 minutes.',100,0,0),
(342813,10045928,'Summons Defiler Sewing Blanket',100,1,1),
(342814,10045928,'This effect cannot be cast during combat',100,1,2),
(342815,73278,'Applies Frost Blast when Activated.',100,0,0),
(342816,73278,'Inflicts 272 - 454 cold damage on target',100,1,1),
(342817,73278,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342818,10073278,'Applies Frost Blast when Activated.',100,0,0),
(342819,10073278,'Inflicts 354 - 590 cold damage on target',100,1,1),
(342820,10073278,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342821,75491,'When Equipped:',100,0,0),
(342822,75491,'On a critical healing spell cast this spell may cast Shielding Ripple VI on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(342823,75491,'Wards target against 350 points of all damage',100,2,2),
(342824,75491,'Heals target for 387 - 428 instantly and every 2 seconds',100,2,3),
(342825,75491,'Must not be engaged in pvp combat',100,2,4),
(342826,75491,'Cannot be modified except by direct means',100,2,5),
(342827,75491,'Must not be engaged in pvp combat',100,1,6),
(342828,10075491,'When Equipped:',100,0,0),
(342829,10075491,'On a critical healing spell cast this spell may cast Shielding Ripple VI on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(342830,10075491,'Wards target against 350 points of all damage',100,2,2),
(342831,10075491,'Heals target for 252 - 278 instantly and every 2 seconds',100,2,3),
(342832,10075491,'Must not be engaged in pvp combat',100,2,4),
(342833,10075491,'Cannot be modified except by direct means',100,2,5),
(342834,10075491,'Must not be engaged in pvp combat',100,1,6),
(342835,35193,'Increases Max Power of target by 108.8',100,0,0),
(342836,35193,'Increases Out-of-Combat Health Regeneration of target by 127.5',100,0,1),
(342837,26087,'When Equipped:',100,0,0),
(342838,26087,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(342839,26087,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(342840,10026087,'When Equipped:',100,0,0),
(342841,10026087,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(342842,10026087,'Cunning Defense VI will improve the assassin''s armor mitigation.',100,1,2),
(342843,115374,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(342844,115374,'Increases Parry of caster by 9.7',100,1,1),
(342845,10115374,'Grants target a 39% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',100,1,0),
(342846,10115374,'Increases Parry of caster by 9.7',100,1,1),
(342847,105044,'Increases WIS of raid and group members (AE) by 78.8',100,1,0),
(342848,105044,'Increases heal amounts of raid members by 5%.',100,1,1),
(342849,105044,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 288',100,1,2),
(342850,10105044,'Increases WIS of raid and group members (AE) by 78.8',100,1,0),
(342851,10105044,'Increases heal amounts of raid members by 5%.',100,1,1),
(342852,10105044,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 288',100,1,2),
(342853,110708,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(342854,110708,'Heals group members (AE) for 170',100,2,1),
(342855,10110708,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(342856,10110708,'Heals group members (AE) for 110',100,2,1),
(342857,73739,'Applies Frost Blast when Activated.',100,0,0),
(342858,73739,'Inflicts 53 - 89 cold damage on target',100,1,1),
(342859,73739,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342860,10073739,'Applies Frost Blast when Activated.',100,0,0),
(342861,10073739,'Inflicts 69 - 115 cold damage on target',100,1,1),
(342862,10073739,'The casting time of Frost Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(342863,104229,'Decreases WIS of target encounter by 55.4',100,1,0),
(342864,104229,'Inflicts 91 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(342865,10104229,'Decreases WIS of target encounter by 55.4',100,1,0),
(342866,10104229,'Inflicts 119 mental damage on target encounter instantly and every 6 seconds',100,1,1),
(342867,122084,'Increases STA and INT of group members (AE) by 32.3',100,1,0),
(342868,10122084,'Increases STA and INT of group members (AE) by 32.3',100,1,0),
(342869,108091,'Decreases Threat to target by 290 - 484 ',100,1,0),
(342870,10108091,'Forces target to clear their selected target.',100,1,0),
(342871,10108091,'Target cannot target caster for the duration of this effect.',100,1,1),
(342872,106278,'Wards target against 1845 points of all damage',100,1,0),
(342873,10106278,'Wards target against 1845 points of all damage',100,1,0),
(342874,81766,'When Equipped:',100,0,0),
(342875,81766,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342876,81766,'Inflicts 108 - 200 magic damage on target',100,2,2),
(342877,81766,'Cannot be modified except by direct means',100,2,3),
(342878,10081766,'When Equipped:',100,0,0),
(342879,10081766,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342880,10081766,'Inflicts 140 - 260 magic damage on target',100,2,2),
(342881,10081766,'Cannot be modified except by direct means',100,2,3),
(342882,117147,'Inflicts 175 - 214 heat damage on target instantly and every 4 seconds',100,1,0),
(342883,117147,'Decreases Mitigation of target vs arcane damage by 932',100,1,1),
(342884,10117147,'Inflicts 227 - 278 heat damage on target instantly and every 4 seconds',100,1,0),
(342885,10117147,'Decreases Mitigation of target vs arcane damage by 932',100,1,1),
(342886,113531,'Inflicts 84 - 140 disease damage on target',100,1,0),
(342887,10113531,'Inflicts 110 - 183 disease damage on target',100,1,0),
(342888,45987,'Applies Disguise when Activated.  Lasts for 1 hour.',100,0,0),
(342889,45987,'Shapechanges caster',100,1,1),
(342890,45987,'Allows the wearer unmitigated access within the Den of the Widow Mistress.',100,1,2),
(342891,45987,'Dispelled when target receives hostile action',100,1,3),
(342892,45987,'Dispelled when target attempts to harvest an object',100,1,4),
(342893,45987,'Dispelled when target casts a hostile spell',100,1,5),
(342894,45987,'If not on a mount',100,1,6),
(342895,10045987,'Applies Disguise when Activated.  Lasts for 1 hour.',100,0,0),
(342896,10045987,'Shapechanges caster',100,1,1),
(342897,10045987,'Allows the wearer unmitigated access within the Den of the Widow Mistress.',100,1,2),
(342898,10045987,'Dispelled when target receives hostile action',100,1,3),
(342899,10045987,'Dispelled when target attempts to harvest an object',100,1,4),
(342900,10045987,'Dispelled when target casts a hostile spell',100,1,5),
(342901,10045987,'If not on a mount',100,1,6),
(342902,35935,'Increases AGI of target by 6.2',100,0,0),
(342903,35935,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(342904,82451,'When Equipped:',100,0,0),
(342905,82451,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342906,82451,'Inflicts 152 - 283 magic damage on target',100,2,2),
(342907,82451,'Cannot be modified except by direct means',100,2,3),
(342908,10082451,'When Equipped:',100,0,0),
(342909,10082451,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(342910,10082451,'Inflicts 198 - 368 magic damage on target',100,2,2),
(342911,10082451,'Cannot be modified except by direct means',100,2,3),
(342912,157192,'When Equipped:',100,0,0),
(342913,157192,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(342914,10157192,'When Equipped:',100,0,0),
(342915,10157192,'Reduces cast time of hostile spells by 3 percent.',100,1,1),
(342916,41706,'When Equipped:',100,0,0),
(342917,41706,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(342918,41706,'Decreases Threat to target by 135 ',100,2,2),
(342919,41706,'Must be flanking or behind',100,3,3),
(342920,41706,'Increases Threat to target by 135 ',100,2,4),
(342921,41706,'Must be in front of',100,3,5),
(342922,41706,'Inflicts 33 - 61 magic damage on target',100,2,6),
(342923,41706,'Cannot be modified except by direct means',100,2,7),
(342924,10041706,'When Equipped:',100,0,0),
(342925,10041706,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(342926,10041706,'Inflicts 43 - 80 magic damage on target',100,2,2),
(342927,10041706,'Cannot be modified except by direct means',100,2,3),
(342928,120241,'Summons a pet Prowler Kitten',100,1,0),
(342929,10120241,'Summons a pet Prowler Kitten',100,1,0),
(342930,121119,'Decreases Threat to targets in Area of Effect by 3,313 ',100,1,0),
(342931,121119,'Mesmerizes targets in Area of Effect',100,1,1),
(342932,121119,'If Target is not Epic',100,2,2),
(342933,121119,'Dispelled when target takes damage',100,1,3),
(342934,10121119,'Targets in Area of Effect cannot target caster for the duration of this effect.',100,1,0),
(342935,10121119,'Applies Distract.',100,1,1),
(342936,10121119,'Forces target to clear their selected target.',100,2,2),
(342937,10121119,'Mesmerizes targets in Area of Effect',100,1,3),
(342938,10121119,'If Target is not Epic',100,2,4),
(342939,10121119,'Dispelled when target takes damage',100,1,5),
(342940,181485,'When Equipped:',100,0,0),
(342941,181485,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(342942,10181485,'When Equipped:',100,0,0),
(342943,10181485,'Reduces cast time of beneficial spells by 2 percent.',100,1,1),
(342944,110701,'Heals target for 108 - 132',100,1,0),
(342945,10110701,'Heals target for 70 - 86',100,1,0),
(342946,109539,'Summons a limited pet to aid the caster',100,1,0),
(342947,10109539,'Summons a limited pet to aid the caster',100,1,0),
(342948,47004,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(342949,47004,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(342950,47004,'Decreases power of target by 54',100,2,2),
(342951,47004,'Cannot be modified except by direct means',100,2,3),
(342952,47004,'Grants a total of 4 triggers of the spell.',100,2,4),
(342953,10047004,'Applies touch of hysteria when Activated.  Lasts for 12 hours.',100,0,0),
(342954,10047004,'On a combat hit this spell may cast Fatiguing Poison on target of attack.  Lasts for 20.0 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(342955,10047004,'Decreases power of target by 54',100,2,2),
(342956,10047004,'Cannot be modified except by direct means',100,2,3),
(342957,10047004,'Grants a total of 4 triggers of the spell.',100,2,4),
(342958,103804,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 23.1',100,1,0),
(342959,10103804,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 23.1',100,1,0),
(342960,122550,'Heals caster for 147',100,1,0),
(342961,122550,'Inflicts 222 - 370 melee damage on target',100,1,1),
(342962,10122550,'Heals caster for 96',100,1,0),
(342963,10122550,'Inflicts 288 - 481 melee damage on target',100,1,1),
(342964,160661,'When Equipped:',100,0,0),
(342965,160661,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(342966,160661,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(342967,160661,'Increases Potency of caster by 3.0%',100,2,3),
(342968,160661,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(342969,160661,'Increases Ability Modifier of caster by 780.0',100,2,5),
(342970,160661,'Must not be engaged in pvp combat',100,2,6),
(342971,160661,'Cannot be modified except by direct means',100,2,7),
(342972,160661,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(342973,160661,'Increases Potency of caster by 3.0%',100,2,9),
(342974,160661,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(342975,160661,'Increases Ability Modifier of caster by 780.0',100,2,11),
(342976,160661,'Must not be engaged in pvp combat',100,2,12),
(342977,160661,'Cannot be modified except by direct means',100,2,13),
(342978,160661,'Cannot be modified except by direct means',100,1,14),
(342979,10160661,'When Equipped:',100,0,0),
(342980,10160661,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(342981,10160661,'On any combat or spell hit this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(342982,10160661,'Increases Potency of caster by 3.0%',100,2,3),
(342983,10160661,'Increases Crit Bonus of caster by 4.5%',100,2,4),
(342984,10160661,'Increases Ability Modifier of caster by 780.0',100,2,5),
(342985,10160661,'Must not be engaged in pvp combat',100,2,6),
(342986,10160661,'Cannot be modified except by direct means',100,2,7),
(342987,10160661,'On a healing spell cast this spell may cast Focused Destruction IV on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,8),
(342988,10160661,'Increases Potency of caster by 3.0%',100,2,9),
(342989,10160661,'Increases Crit Bonus of caster by 4.5%',100,2,10),
(342990,10160661,'Increases Ability Modifier of caster by 780.0',100,2,11),
(342991,10160661,'Must not be engaged in pvp combat',100,2,12),
(342992,10160661,'Cannot be modified except by direct means',100,2,13),
(342993,10160661,'Cannot be modified except by direct means',100,1,14),
(342994,115507,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(342995,115507,'Increases Mitigation of group members (AE) vs noxious damage by 523',100,1,1),
(342996,10115507,'Increases Max Health of group members (AE) by 139.6',100,1,0),
(342997,10115507,'Increases Mitigation of group members (AE) vs noxious damage by 523',100,1,1),
(342998,83915,'When Equipped:',100,0,0),
(342999,83915,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(343000,83915,'Heals group members (AE) for 2293',100,2,2),
(343001,83915,'Heals group members (AE) for 769 every 5 seconds',100,2,3),
(343002,83915,'Must not be engaged in pvp combat',100,2,4),
(343003,83915,'Cannot be modified except by direct means',100,2,5),
(343004,83915,'Must not be engaged in pvp combat',100,1,6),
(343005,10083915,'When Equipped:',100,0,0),
(343006,10083915,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(343007,10083915,'Heals group members (AE) for 2682',100,2,2),
(343008,10083915,'Heals group members (AE) for 900 every 5 seconds',100,2,3),
(343009,10083915,'Must not be engaged in pvp combat',100,2,4),
(343010,10083915,'Cannot be modified except by direct means',100,2,5),
(343011,10083915,'Must not be engaged in pvp combat',100,1,6),
(343012,101572,'Inflicts 23 - 38 melee damage on targets in area',100,1,0),
(343013,10101572,'Inflicts 30 - 50 melee damage on targets in area',100,1,0),
(343014,139295,'When Equipped:',100,0,0),
(343015,139295,'On a melee hit this spell may cast Otherworldly Assistants on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343016,139295,'Summons 4 Otherworldly Assistants to heal and protect the caster''s party.',100,2,2),
(343017,10139295,'When Equipped:',100,0,0),
(343018,10139295,'On a melee hit this spell may cast Otherworldly Assistants on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343019,10139295,'Summons 4 Otherworldly Assistants to heal and protect the caster''s party.',100,2,2),
(343020,52604,'When Equipped:',100,0,0),
(343021,52604,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343022,52604,'Inflicts 1192 disease damage on target encounter',100,2,2),
(343023,52604,'Must not be engaged in pvp combat',100,2,3),
(343024,52604,'Cannot be modified except by direct means',100,2,4),
(343025,10052604,'When Equipped:',100,0,0),
(343026,10052604,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343027,10052604,'Inflicts 775 disease damage on target encounter',100,2,2),
(343028,10052604,'Must not be engaged in pvp combat',100,2,3),
(343029,10052604,'Cannot be modified except by direct means',100,2,4),
(343030,148953,'When Equipped:',100,0,0),
(343031,148953,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343032,148953,'Inflicts 1986 poison damage on target',100,2,2),
(343033,148953,'Cannot be modified except by direct means',100,2,3),
(343034,10148953,'When Equipped:',100,0,0),
(343035,10148953,'On any combat or spell hit this spell may cast Toxic Tempest on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343036,10148953,'Inflicts 1291 poison damage on target',100,2,2),
(343037,10148953,'Cannot be modified except by direct means',100,2,3),
(343038,54128,'When Equipped:',100,0,0),
(343039,54128,'When healed this spell has a 10% chance to cast Scale Mend on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(343040,54128,'Healing spells heal up to 100 points more.',100,2,2),
(343041,54128,'Cannot be modified except by direct means',100,2,3),
(343042,10054128,'When Equipped:',100,0,0),
(343043,10054128,'When healed this spell has a 10% chance to cast Scale Mend on caster.  Lasts for 12.0 seconds.  ',100,1,1),
(343044,10054128,'Healing spells heal up to 100 points more.',100,2,2),
(343045,10054128,'Cannot be modified except by direct means',100,2,3),
(343046,177777,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(343047,177777,'Decreases Mitigation of target vs physical damage by 450',100,1,1),
(343048,177777,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(343049,10177777,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(343050,10177777,'Decreases Mitigation of target vs physical damage by 450',100,1,1),
(343051,10177777,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(343052,152834,'When Equipped:',100,0,0),
(343053,152834,'Increases Attack Speed of caster by 45.0',100,1,1),
(343054,10152834,'When Equipped:',100,0,0),
(343055,10152834,'Increases Attack Speed of caster by 45.0',100,1,1),
(343056,74915,'When Equipped:',100,0,0),
(343057,74915,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343058,74915,'Inflicts 26 - 40 magic damage on target',100,2,2),
(343059,74915,'Cannot be modified except by direct means',100,2,3),
(343060,10074915,'When Equipped:',100,0,0),
(343061,10074915,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343062,10074915,'Inflicts 34 - 51 magic damage on target',100,2,2),
(343063,10074915,'Cannot be modified except by direct means',100,2,3),
(343064,112532,'Interrupts target',50,1,0),
(343065,112532,'Inflicts 69 - 84 divine damage on target',100,1,1),
(343066,10112532,'Interrupts target',50,1,0),
(343067,10112532,'Inflicts 115 - 141 divine damage on target',100,1,1),
(343068,103091,'Inflicts 45 - 75 crushing damage on target',100,1,0),
(343069,103091,'Decreases Attack Speed of target by 16.1',100,1,1),
(343070,10103091,'Inflicts 58 - 98 crushing damage on target',100,1,0),
(343071,10103091,'Decreases Attack Speed of target by 16.1',100,1,1),
(343072,124749,'Inflicts 140 - 172 disease damage on target encounter',100,1,0),
(343073,10124749,'Inflicts 183 - 223 disease damage on target encounter',100,1,0),
(343074,118339,'Inflicts 45 - 75 melee damage on target',100,1,0),
(343075,118339,'Inflicts 45 - 76 heat damage on target every 4 seconds',100,1,1),
(343076,10118339,'Inflicts 58 - 98 melee damage on target',100,1,0),
(343077,10118339,'Inflicts 59 - 98 heat damage on target every 4 seconds',100,1,1),
(343078,82340,'When Equipped:',100,0,0),
(343079,82340,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343080,82340,'Inflicts 265 - 492 magic damage on target',100,2,2),
(343081,82340,'Cannot be modified except by direct means',100,2,3),
(343082,10082340,'When Equipped:',100,0,0),
(343083,10082340,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343084,10082340,'Inflicts 345 - 640 magic damage on target',100,2,2),
(343085,10082340,'Cannot be modified except by direct means',100,2,3),
(343086,101500,'Increases WIS of target by 13.9',100,1,0),
(343087,101500,'Increases Max Health of target by 43.7',100,1,1),
(343088,101500,'Increases Mitigation of target vs elemental, noxious and arcane damage by 34',100,1,2),
(343089,10101500,'Increases WIS of target by 13.9',100,1,0),
(343090,10101500,'Increases Max Health of target by 43.7',100,1,1),
(343091,10101500,'Increases Mitigation of target vs elemental, noxious and arcane damage by 34',100,1,2),
(343092,160030,'When Equipped:',100,0,0),
(343093,160030,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(343094,160030,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(343095,160030,'Inflicts 886 - 979 piercing damage on target instantly and every 3 seconds',100,2,3),
(343096,160030,'Heals caster for 970 - 1072 instantly and every 3 seconds',100,2,4),
(343097,160030,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(343098,160030,'Must not be engaged in pvp combat',100,2,6),
(343099,160030,'Cannot be modified except by direct means',100,2,7),
(343100,160030,'Must not be engaged in pvp combat',100,1,8),
(343101,10160030,'When Equipped:',100,0,0),
(343102,10160030,'This effect will not stack with itself if adorned on multiple items.',100,1,1),
(343103,10160030,'On any combat or spell hit this spell may cast Greater Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,2),
(343104,10160030,'Inflicts 1152 - 1273 piercing damage on target instantly and every 3 seconds',100,2,3),
(343105,10160030,'Heals caster for 1134 - 1254 instantly and every 3 seconds',100,2,4),
(343106,10160030,'Increases Crit Bonus of caster by 5.0%',100,2,5),
(343107,10160030,'Must not be engaged in pvp combat',100,2,6),
(343108,10160030,'Cannot be modified except by direct means',100,2,7),
(343109,10160030,'Must not be engaged in pvp combat',100,1,8),
(343110,109794,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(343111,109794,'Heals group members (AE) for 529',100,2,1),
(343112,10109794,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',100,1,0),
(343113,10109794,'Heals group members (AE) for 344',100,2,1),
(343114,101941,'Inflicts 374 - 623 melee damage on target',100,1,0),
(343115,101941,'Inflicts 125 piercing damage on target instantly and every 4 seconds',100,1,1),
(343116,101941,'Must be behind',100,1,2),
(343117,10101941,'Inflicts 486 - 810 melee damage on target',100,1,0),
(343118,10101941,'Inflicts 162 piercing damage on target instantly and every 4 seconds',100,1,1),
(343119,10101941,'Must be behind',100,1,2),
(343120,108460,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(343121,108460,'Increases Aggression of caster by 5.8',100,1,1),
(343122,108460,'Increases Defense and Parry of caster by 11.5',100,1,2),
(343123,108460,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(343124,10108460,'Decreases Slashing, Piercing and Crushing of caster by 16.3',100,1,0),
(343125,10108460,'Increases Aggression of caster by 5.8',100,1,1),
(343126,10108460,'Increases Defense and Parry of caster by 11.5',100,1,2),
(343127,10108460,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',100,1,3),
(343128,104810,'Increases caster''s chance to block by 10.0%',100,1,0),
(343129,104810,'Decreases Attack Speed of caster by 16.8',100,1,1),
(343130,104810,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(343131,104810,'Increases Parry of caster by 22.4',100,1,3),
(343132,104810,'Increases Defense of caster by 22.4',100,1,4),
(343133,10104810,'Increases caster''s chance to block by 10.0%',100,1,0),
(343134,10104810,'Decreases Attack Speed of caster by 16.8',100,1,1),
(343135,10104810,'Decreases Damage Per Second of caster by 16.8',100,1,2),
(343136,10104810,'Increases Parry of caster by 22.4',100,1,3),
(343137,10104810,'Increases Defense of caster by 22.4',100,1,4),
(343138,84598,'When Equipped:',100,0,0),
(343139,84598,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343140,84598,'Inflicts 80 magic damage on target',100,2,2),
(343141,84598,'Stuns target',100,2,3),
(343142,84598,'Does not affect Epic targets',100,2,4),
(343143,84598,'Resistibility increases against targets higher than level 92.',100,2,5),
(343144,84598,'Cannot be modified except by direct means',100,2,6),
(343145,10084598,'When Equipped:',100,0,0),
(343146,10084598,'On a combat hit this spell may cast Impact on target of attack.  Lasts for 2.5 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343147,10084598,'Inflicts 104 magic damage on target',100,2,2),
(343148,10084598,'Stuns target',100,2,3),
(343149,10084598,'Does not affect Epic targets',100,2,4),
(343150,10084598,'Resistibility increases against targets higher than level 92.',100,2,5),
(343151,10084598,'Cannot be modified except by direct means',100,2,6),
(343152,113709,'Stuns target',100,1,0),
(343153,113709,'If Target is not Epic',100,2,1),
(343154,113709,'Inflicts 1680 - 2801 heat damage on target',100,1,2),
(343155,113709,'Resistibility increases against targets higher than level 121.',100,1,3),
(343156,10113709,'Stuns target',100,1,0),
(343157,10113709,'If Target is not Epic',100,2,1),
(343158,10113709,'Inflicts 2184 - 3641 heat damage on target',100,1,2),
(343159,10113709,'Resistibility increases against targets higher than level 121.',100,1,3),
(343160,45093,'Applies Summon the Portal when Activated.  Lasts for 10 minutes.',100,0,0),
(343161,45093,'This effect cannot be cast during combat',100,1,1),
(343162,10045093,'Applies Summon the Portal when Activated.  Lasts for 10 minutes.',100,0,0),
(343163,10045093,'This effect cannot be cast during combat',100,1,1),
(343164,118962,'Applies Sacrifice.',100,1,0),
(343165,118962,'Increases power of group members (AE) by 181',100,2,1),
(343166,118962,'Heals group members (AE) for 634',100,2,2),
(343167,118962,'Stuns target',100,1,3),
(343168,10118962,'Applies Sacrifice.',100,1,0),
(343169,10118962,'Increases power of group members (AE) by 181',100,2,1),
(343170,10118962,'Heals group members (AE) for 883',100,2,2),
(343171,10118962,'Stuns target',100,1,3),
(343172,82397,'When Equipped:',100,0,0),
(343173,82397,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343174,82397,'Decreases Threat to target by 376 ',100,2,2),
(343175,82397,'Must be flanking or behind',100,3,3),
(343176,82397,'Increases Threat to target by 376 ',100,2,4),
(343177,82397,'Must be in front of',100,3,5),
(343178,82397,'Inflicts 111 - 205 magic damage on target',100,2,6),
(343179,82397,'Cannot be modified except by direct means',100,2,7),
(343180,10082397,'When Equipped:',100,0,0),
(343181,10082397,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343182,10082397,'Inflicts 144 - 267 magic damage on target',100,2,2),
(343183,10082397,'Cannot be modified except by direct means',100,2,3),
(343184,81216,'When Equipped:',100,0,0),
(343185,81216,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343186,81216,'Inflicts 112 - 208 magic damage on target',100,2,2),
(343187,81216,'Cannot be modified except by direct means',100,2,3),
(343188,10081216,'When Equipped:',100,0,0),
(343189,10081216,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343190,10081216,'Inflicts 146 - 271 magic damage on target',100,2,2),
(343191,10081216,'Cannot be modified except by direct means',100,2,3),
(343192,159380,'When Equipped:',100,0,0),
(343193,159380,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(343194,159380,'Increases STA of caster by 3.6',100,2,2),
(343195,159380,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(343196,159380,'Cannot be modified except by direct means',100,2,4),
(343197,10159380,'When Equipped:',100,0,0),
(343198,10159380,'When any damage is received this spell has a 3% chance to cast Spark of Stamina on caster.  Lasts for 45.0 seconds.  ',100,1,1),
(343199,10159380,'Increases STA of caster by 3.6',100,2,2),
(343200,10159380,'Increases In-Combat Health Regeneration of caster by 12.0',100,2,3),
(343201,10159380,'Cannot be modified except by direct means',100,2,4),
(343202,105456,'Inflicts 329 - 402 poison damage on target instantly and every 4 seconds',100,1,0),
(343203,105456,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(343204,105456,'Summons 3 limited pets to aid the caster',100,2,2),
(343205,105456,'Grants a total of 1 trigger of the spell.',100,2,3),
(343206,10105456,'Inflicts 427 - 522 poison damage on target instantly and every 4 seconds',100,1,0),
(343207,10105456,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 24.0 seconds.  ',100,1,1),
(343208,10105456,'Summons 3 limited pets to aid the caster',100,2,2),
(343209,10105456,'Grants a total of 1 trigger of the spell.',100,2,3),
(343210,83475,'When Equipped:',100,0,0),
(343211,83475,'Increases magic damage done by spells by up to 100.',100,1,1),
(343212,83475,'Increases cold damage done by spells by up to 100.',100,1,2),
(343213,10083475,'When Equipped:',100,0,0),
(343214,10083475,'Increases magic damage done by spells by up to 100.',100,1,1),
(343215,10083475,'Increases cold damage done by spells by up to 100.',100,1,2),
(343216,35290,'Increases WIS and INT of target by 7.8',100,0,0),
(343217,35290,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(343218,100085,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(343219,10100085,'Dispels 69 levels of any hostile effects on group members (AE)',100,1,0),
(343220,112169,'Increases STR of caster by 32.3',100,1,0),
(343221,112169,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 811',100,1,1),
(343222,112169,'Increases Mitigation of caster vs physical damage by 208',100,1,2),
(343223,10112169,'Increases STR of caster by 32.3',100,1,0),
(343224,10112169,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 811',100,1,1),
(343225,10112169,'Increases Mitigation of caster vs physical damage by 208',100,1,2),
(343226,47792,'Applies Aura of the Iksar when Activated.',100,0,0),
(343227,47792,'Casts aura of the iksar on the user',100,1,1),
(343228,10047792,'Applies Aura of the Iksar when Activated.',100,0,0),
(343229,10047792,'Casts aura of the iksar on the user',100,1,1),
(343230,75005,'When Equipped:',100,0,0),
(343231,75005,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343232,75005,'Inflicts 182 - 273 magic damage on target',100,2,2),
(343233,75005,'Cannot be modified except by direct means',100,2,3),
(343234,10075005,'When Equipped:',100,0,0),
(343235,10075005,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343236,10075005,'Inflicts 237 - 355 magic damage on target',100,2,2),
(343237,10075005,'Cannot be modified except by direct means',100,2,3),
(343238,115920,'Inflicts 129 - 157 disease damage on target encounter instantly and every 3 seconds',100,1,0),
(343239,10115920,'Inflicts 217 - 266 disease damage on target encounter',100,1,0),
(343240,10115920,'Inflicts 167 - 204 disease damage on target encounter every 3 seconds',100,1,1),
(343241,120217,'Roots target encounter',100,1,0),
(343242,120217,'15% chance to dispel when target takes damage',100,1,1),
(343243,120217,'Does not affect Epic targets',100,1,2),
(343244,120217,'Resistibility increases against targets higher than level 69.',100,1,3),
(343245,10120217,'Roots target encounter',100,1,0),
(343246,10120217,'15% chance to dispel when target takes damage',100,1,1),
(343247,10120217,'Does not affect Epic targets',100,1,2),
(343248,10120217,'Resistibility increases against targets higher than level 69.',100,1,3),
(343249,116928,'Increases Threat to target by 21 - 26 ',100,1,0),
(343250,116928,'Interrupts target',100,1,1),
(343251,10116928,'Forces target to change their selected target to caster.',100,1,0),
(343252,10116928,'Interrupts target',100,1,1),
(343253,10116928,'Prevents target from changing targets',100,1,2),
(343254,101444,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(343255,101444,'Increases Mitigation of group members (AE) vs noxious damage by 479',100,1,1),
(343256,10101444,'Increases Max Power of group members (AE) by 310.0',100,1,0),
(343257,10101444,'Increases Mitigation of group members (AE) vs noxious damage by 479',100,1,1),
(343258,106667,'Heals caster for 42.1 - 51.5% of max health',100,1,0),
(343259,106667,'This effect cannot be critically applied.',100,2,1),
(343260,106667,'Increases Max Health of caster by 312.0',100,1,2),
(343261,106667,'The healing of this spell cannot be modified except by direct means',100,1,3),
(343262,10106667,'Heals caster for 13.0 - 15.8% of max health',100,1,0),
(343263,10106667,'This effect cannot be critically applied.',100,2,1),
(343264,10106667,'Increases Max Health of caster by 312.0',100,1,2),
(343265,10106667,'The healing of this spell cannot be modified except by direct means',100,1,3),
(343266,75156,'When Equipped:',100,0,0),
(343267,75156,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(343268,10075156,'When Equipped:',100,0,0),
(343269,10075156,'This item will become damaged as it gets used in combat and cannot be repaired!',100,1,1),
(343270,36639,'Increases WIS and INT of target by 1.8',100,0,0),
(343271,36639,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,1),
(343272,45799,'Applies Crimson Hand''s Disc of Voyage when Activated.',100,0,0),
(343273,45799,'Summons a mount to ride',100,1,1),
(343274,45799,'Increases your ground speed by 130%',100,2,2),
(343275,45799,'Reduces maximum falling speed of caster',100,1,3),
(343276,45799,'Increases Ability Reuse Speed of caster by 1.0%',100,1,4),
(343277,45799,'Increases Crit Chance of caster by 2.0',100,1,5),
(343278,45799,'Increases Max Health of caster by 200.0',100,1,6),
(343279,45799,'Increases Max Power of caster by 200.0',100,1,7),
(343280,10045799,'Applies Crimson Hand''s Disc of Voyage when Activated.',100,0,0),
(343281,10045799,'Summons a mount to ride',100,1,1),
(343282,10045799,'Increases your ground speed by 130%',100,2,2),
(343283,10045799,'Reduces maximum falling speed of caster',100,1,3),
(343284,10045799,'Increases Ability Reuse Speed of caster by 1.0%',100,1,4),
(343285,10045799,'Increases Crit Chance of caster by 2.0',100,1,5),
(343286,10045799,'Increases Max Health of caster by 200.0',100,1,6),
(343287,10045799,'Increases Max Power of caster by 200.0',100,1,7),
(343288,107150,'Inflicts 452 - 553 divine damage on target',100,1,0),
(343289,107150,'Inflicts 452 - 553 divine damage on target',100,1,1),
(343290,107150,'If target is undead',100,2,2),
(343291,10107150,'Inflicts 588 - 719 divine damage on target',100,1,0),
(343292,10107150,'Inflicts 588 - 719 divine damage on target',100,1,1),
(343293,121458,'Increases AGI of caster by 103.2',100,1,0),
(343294,121458,'Adds 25.0% to base avoidance.',100,1,1),
(343295,121458,'Increases Mitigation of caster vs physical damage by 1003',100,1,2),
(343296,121458,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,3),
(343297,10121458,'Increases AGI of caster by 103.2',100,1,0),
(343298,10121458,'Adds 25.0% to base avoidance.',100,1,1),
(343299,10121458,'Increases Mitigation of caster vs physical damage by 1003',100,1,2),
(343300,10121458,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',100,1,3),
(343301,116804,'Increases STR, AGI, WIS and INT of target by 90.9',100,1,0),
(343302,116804,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343303,116804,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(343304,116804,'Increases Attack Speed of target by 57.0',100,2,3),
(343305,116804,'Increases Damage Per Second of target by 57.0',100,2,4),
(343306,116804,'Adds 2.2% to base avoidance.',100,1,5),
(343307,116804,'Increases Mitigation of target vs elemental, noxious and arcane damage by 267',100,1,6),
(343308,10116804,'Increases STR, AGI, WIS and INT of target by 90.9',100,1,0),
(343309,10116804,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343310,10116804,'Increases Ability Casting Speed of target by 11.2%',100,2,2),
(343311,10116804,'Increases Attack Speed of target by 57.0',100,2,3),
(343312,10116804,'Increases Damage Per Second of target by 57.0',100,2,4),
(343313,10116804,'Adds 2.2% to base avoidance.',100,1,5),
(343314,10116804,'Increases Mitigation of target vs elemental, noxious and arcane damage by 267',100,1,6),
(343315,71825,'When Equipped:',100,0,0),
(343316,71825,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343317,71825,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(343318,71825,'Cannot be modified except by direct means',100,2,3),
(343319,10071825,'When Equipped:',100,0,0),
(343320,10071825,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343321,10071825,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(343322,10071825,'Cannot be modified except by direct means',100,2,3),
(343323,132346,'When Equipped:',100,0,0),
(343324,132346,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(343325,132346,'When Equipped:',100,0,2),
(343326,132346,'Applies Aphotic Animus to qualifying pets.',100,1,3),
(343327,132346,'Increases STR and INT of target by 100.0',100,2,4),
(343328,132346,'Increases Mitigation of target vs physical damage by 500',100,2,5),
(343329,132346,'On any combat or spell hit this spell may cast Aphotic Apoptosis on target of attack.  Triggers about 2.0 times per minute. ',100,2,6),
(343330,132346,'Decreases Threat to target by 3,000 ',100,3,7),
(343331,132346,'If not guardian',100,4,8),
(343332,132346,'If not berserker',100,4,9),
(343333,132346,'Increases Threat to target by 1,000 ',100,3,10),
(343334,132346,'If any of the following are true:',100,4,11),
(343335,132346,'If guardian',100,5,12),
(343336,132346,'If berserker',100,5,13),
(343337,132346,'Inflicts 930 heat damage on target',100,3,14),
(343338,10132346,'When Equipped:',100,0,0),
(343339,10132346,'Reduces reuse time of all spells by 3 percent.',100,1,1),
(343340,10132346,'When Equipped:',100,0,2),
(343341,10132346,'Applies Aphotic Animus to qualifying pets.',100,1,3),
(343342,10132346,'Increases STR and INT of target by 100.0',100,2,4),
(343343,10132346,'Increases Mitigation of target vs physical damage by 500',100,2,5),
(343344,10132346,'On any combat or spell hit this spell may cast Aphotic Apoptosis on target of attack.  Triggers about 2.0 times per minute. ',100,2,6),
(343345,10132346,'Inflicts 1209 heat damage on target',100,3,7),
(343346,115182,'Heals target for 346 - 423',100,1,0),
(343347,10115182,'Heals target for 468 - 572',100,1,0),
(343348,36878,'Increases Out-of-Combat Power Regeneration of target by 30.0',100,0,0),
(343349,110594,'Decreases Focus of target by 8.4',100,1,0),
(343350,110594,'Interrupts target',100,1,1),
(343351,110594,'Inflicts 30 - 90 crushing damage on target',100,1,2),
(343352,10110594,'Decreases Focus of target by 8.4',100,1,0),
(343353,10110594,'Interrupts target',100,1,1),
(343354,10110594,'Inflicts 39 - 117 crushing damage on target',100,1,2),
(343355,104285,'Inflicts 70 - 116 melee damage on target',100,1,0),
(343356,104285,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,1),
(343357,104285,'Throws target back',100,2,2),
(343358,104285,'Stuns target',100,2,3),
(343359,104285,'Blurs vision of target',100,2,4),
(343360,104285,'Does not affect Epic targets',100,2,5),
(343361,10104285,'Inflicts 91 - 151 melee damage on target',100,1,0),
(343362,10104285,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(343363,10104285,'Throws target back',100,2,2),
(343364,10104285,'Stuns target',100,2,3),
(343365,10104285,'Blurs vision of target',100,2,4),
(343366,10104285,'Does not affect Epic targets',100,2,5),
(343367,110910,'Inflicts 21 - 35 divine damage on target',100,1,0),
(343368,110910,'Increases Threat to target by 208 ',100,1,1),
(343369,110910,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,2),
(343370,110910,'Throws target back',100,2,3),
(343371,110910,'Stuns target',100,2,4),
(343372,110910,'Blurs vision of target',100,2,5),
(343373,110910,'Does not affect Epic targets',100,2,6),
(343374,10110910,'Inflicts 27 - 46 divine damage on target',100,1,0),
(343375,10110910,'Prevents target from changing targets',100,1,1),
(343376,10110910,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,2),
(343377,10110910,'Throws target back',100,2,3),
(343378,10110910,'Stuns target',100,2,4),
(343379,10110910,'Blurs vision of target',100,2,5),
(343380,10110910,'Does not affect Epic targets',100,2,6),
(343381,10110910,'Forces target to change their selected target to caster.',100,1,7),
(343382,145950,'When Equipped:',100,0,0),
(343383,145950,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(343384,145950,'Stuns target',100,2,2),
(343385,145950,'Only affects targets level 95 and below',100,2,3),
(343386,145950,'Does not affect Epic targets',100,2,4),
(343387,145950,'Resistibility increases against targets higher than level 102.',100,2,5),
(343388,145950,'Cannot be modified except by direct means',100,2,6),
(343389,10145950,'When Equipped:',100,0,0),
(343390,10145950,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(343391,10145950,'Stuns target',100,2,2),
(343392,10145950,'Only affects targets level 95 and below',100,2,3),
(343393,10145950,'Does not affect Epic targets',100,2,4),
(343394,10145950,'Resistibility increases against targets higher than level 102.',100,2,5),
(343395,10145950,'Cannot be modified except by direct means',100,2,6),
(343396,26737,'Applies Greater Stout I when Equipped.',100,0,0),
(343397,26737,'\\#FF0000 This effect will not stack with any other Stout effect. \\/c',100,1,1),
(343398,26737,'Increases Max Health of caster by 1,200.0',100,1,2),
(343399,10026737,'Applies Greater Stout I when Equipped.',100,0,0),
(343400,10026737,'\\#FF0000 This effect will not stack with any other Stout effect. \\/c',100,1,1),
(343401,10026737,'Increases Max Health of caster by 1,200.0',100,1,2),
(343402,71383,'When Equipped:',100,0,0),
(343403,71383,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343404,71383,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(343405,71383,'Cannot be modified except by direct means',100,2,3),
(343406,10071383,'When Equipped:',100,0,0),
(343407,10071383,'On a spell cast this spell may cast Sparkling Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343408,10071383,'Increases the damage and healing amount of the caster''s spells by 15',100,2,2),
(343409,10071383,'Cannot be modified except by direct means',100,2,3),
(343410,180968,'When Equipped:',100,0,0),
(343411,180968,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343412,180968,'Inflicts 2398 magic damage on target',100,2,2),
(343413,180968,'Decreases Damage Per Second of target by 20.0',100,2,3),
(343414,180968,'Cannot be modified except by direct means',100,2,4),
(343415,180968,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(343416,180968,'Inflicts 2398 magic damage on target',100,2,6),
(343417,180968,'Decreases Damage Per Second of target by 20.0',100,2,7),
(343418,180968,'Cannot be modified except by direct means',100,2,8),
(343419,10180968,'When Equipped:',100,0,0),
(343420,10180968,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343421,10180968,'Inflicts 3117 magic damage on target',100,2,2),
(343422,10180968,'Decreases Damage Per Second of target by 20.0',100,2,3),
(343423,10180968,'Cannot be modified except by direct means',100,2,4),
(343424,10180968,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(343425,10180968,'Inflicts 3117 magic damage on target',100,2,6),
(343426,10180968,'Decreases Damage Per Second of target by 20.0',100,2,7),
(343427,10180968,'Cannot be modified except by direct means',100,2,8),
(343428,103703,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(343429,103703,'Inflicts 54 - 90 disease damage on target',100,2,1),
(343430,103703,'Increases Attack Speed of group members (AE) by 37.7',100,1,2),
(343431,10103703,'On a hit this spell will cast Blade Chime on target of attack.  ',100,1,0),
(343432,10103703,'Inflicts 70 - 118 disease damage on target',100,2,1),
(343433,10103703,'Increases Attack Speed of group members (AE) by 37.7',100,1,2),
(343434,72053,'When Equipped:',100,0,0),
(343435,72053,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343436,72053,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(343437,72053,'Cannot be modified except by direct means',100,2,3),
(343438,10072053,'When Equipped:',100,0,0),
(343439,10072053,'On a spell cast this spell may cast Glowing Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343440,10072053,'Increases the damage and healing amount of the caster''s spells by 8',100,2,2),
(343441,10072053,'Cannot be modified except by direct means',100,2,3),
(343442,120902,'Inflicts 514 - 628 mental damage on target',100,1,0),
(343443,120902,'Stifles target',100,1,1),
(343444,120902,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,2),
(343445,120902,'Resistibility increases against targets higher than level 101.',100,1,3),
(343446,10120902,'Inflicts 668 - 817 mental damage on target',100,1,0),
(343447,10120902,'Stifles target',100,1,1),
(343448,10120902,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(343449,10120902,'Resistibility increases against targets higher than level 101.',100,1,3),
(343450,105431,'Increases STR of caster by 166.2',100,1,0),
(343451,105431,'Decreases Defense of caster by 22.2',100,1,1),
(343452,105431,'Increases Slashing, Piercing, Crushing and Disruption of caster by 31.6',100,1,2),
(343453,10105431,'Increases STR of caster by 166.2',100,1,0),
(343454,10105431,'Decreases Defense of caster by 22.2',100,1,1),
(343455,10105431,'Increases Slashing, Piercing, Crushing and Disruption of caster by 31.6',100,1,2),
(343456,41424,'When Equipped:',100,0,0),
(343457,41424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343458,41424,'Inflicts 50 - 93 magic damage on target',100,2,2),
(343459,41424,'Cannot be modified except by direct means',100,2,3),
(343460,10041424,'When Equipped:',100,0,0),
(343461,10041424,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343462,10041424,'Inflicts 65 - 121 magic damage on target',100,2,2),
(343463,10041424,'Cannot be modified except by direct means',100,2,3),
(343464,82787,'When Equipped:',100,0,0),
(343465,82787,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343466,82787,'Inflicts 237 - 440 magic damage on target',100,2,2),
(343467,82787,'Decreases Threat to target by 1,174 ',100,2,3),
(343468,82787,'Must be flanking or behind',100,3,4),
(343469,82787,'Increases Threat to target by 1,175 ',100,2,5),
(343470,82787,'Must be in front of',100,3,6),
(343471,82787,'Cannot be modified except by direct means',100,2,7),
(343472,10082787,'When Equipped:',100,0,0),
(343473,10082787,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343474,10082787,'Inflicts 308 - 572 magic damage on target',100,2,2),
(343475,10082787,'Cannot be modified except by direct means',100,2,3),
(343476,122177,'Inflicts 88 - 107 cold damage on target instantly and every 2 seconds',100,1,0),
(343477,122177,'Inflicts 88 - 107 cold damage on target instantly and every 2 seconds',100,1,1),
(343478,122177,'If target is elemental',100,2,2),
(343479,10122177,'Inflicts 114 - 139 cold damage on target instantly and every 2 seconds',100,1,0),
(343480,45744,'Applies Sten''s Invigoration  when Activated.',100,0,0),
(343481,45744,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(343482,10045744,'Applies Sten''s Invigoration  when Activated.',100,0,0),
(343483,10045744,'Dispels 38 levels of elemental hostile effects on caster',100,1,1),
(343484,72308,'When Equipped:',100,0,0),
(343485,72308,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343486,72308,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(343487,72308,'Cannot be modified except by direct means',100,2,3),
(343488,10072308,'When Equipped:',100,0,0),
(343489,10072308,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343490,10072308,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(343491,10072308,'Cannot be modified except by direct means',100,2,3),
(343492,117862,'Heals target for 120 - 147 instantly and every 2 seconds',100,1,0),
(343493,10117862,'Heals target for 78 - 95 instantly and every 2 seconds',100,1,0),
(343494,81470,'When Equipped:',100,0,0),
(343495,81470,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343496,81470,'Inflicts 80 - 149 magic damage on target',100,2,2),
(343497,81470,'Decreases Threat to target by 352 ',100,2,3),
(343498,81470,'Must be flanking or behind',100,3,4),
(343499,81470,'Increases Threat to target by 353 ',100,2,5),
(343500,81470,'Must be in front of',100,3,6),
(343501,81470,'Cannot be modified except by direct means',100,2,7),
(343502,10081470,'When Equipped:',100,0,0),
(343503,10081470,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343504,10081470,'Inflicts 104 - 193 magic damage on target',100,2,2),
(343505,10081470,'Cannot be modified except by direct means',100,2,3),
(343506,102685,'Inflicts 423 divine damage on target encounter',100,1,0),
(343507,10102685,'Inflicts 550 divine damage on target encounter',100,1,0),
(343508,81858,'When Equipped:',100,0,0),
(343509,81858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343510,81858,'Inflicts 97 - 180 magic damage on target',100,2,2),
(343511,81858,'Cannot be modified except by direct means',100,2,3),
(343512,10081858,'When Equipped:',100,0,0),
(343513,10081858,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343514,10081858,'Inflicts 126 - 234 magic damage on target',100,2,2),
(343515,10081858,'Cannot be modified except by direct means',100,2,3),
(343516,155386,'When Equipped:',100,0,0),
(343517,155386,'On a healing spell cast this spell may cast Touch of the Divine on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343518,155386,'Increases Max Health of target by 5.0%',100,2,2),
(343519,155386,'Increases healing received by 5.00%',100,2,3),
(343520,155386,'Must not be engaged in pvp combat',100,2,4),
(343521,155386,'Cannot be modified except by direct means',100,2,5),
(343522,155386,'Must not be engaged in pvp combat',100,1,6),
(343523,155386,'When Equipped:',100,0,7),
(343524,155386,'Increases Attack Speed of caster by 40.0',100,1,8),
(343525,10155386,'When Equipped:',100,0,0),
(343526,10155386,'On a healing spell cast this spell may cast Touch of the Divine on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343527,10155386,'Increases Max Health of target by 5.0%',100,2,2),
(343528,10155386,'Increases healing received by 5.00%',100,2,3),
(343529,10155386,'Must not be engaged in pvp combat',100,2,4),
(343530,10155386,'Cannot be modified except by direct means',100,2,5),
(343531,10155386,'Must not be engaged in pvp combat',100,1,6),
(343532,10155386,'When Equipped:',100,0,7),
(343533,10155386,'Increases Attack Speed of caster by 40.0',100,1,8),
(343534,47159,'Applies Murky Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(343535,47159,'Only affects targets level 50 and above',100,1,1),
(343536,10047159,'Applies Murky Elixir of Arcane Protection when Activated.  Lasts for 30 minutes.',100,0,0),
(343537,10047159,'Only affects targets level 50 and above',100,1,1),
(343538,40110,'When Equipped:',100,0,0),
(343539,40110,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343540,40110,'Inflicts 734 piercing damage on target',100,2,2),
(343541,40110,'Cannot be modified except by direct means',100,2,3),
(343542,10040110,'When Equipped:',100,0,0),
(343543,10040110,'On any combat or spell hit this spell may cast Followthrough on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343544,10040110,'Inflicts 477 piercing damage on target',100,2,2),
(343545,10040110,'Cannot be modified except by direct means',100,2,3),
(343546,160009,'Applies Sanguine Imbued when Equipped.',100,0,0),
(343547,160009,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(343548,160009,'Inflicts 163 heat damage on target',100,2,2),
(343549,160009,'Cannot be modified except by direct means',100,2,3),
(343550,10160009,'Applies Sanguine Imbued when Equipped.',100,0,0),
(343551,10160009,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(343552,10160009,'Inflicts 212 heat damage on target',100,2,2),
(343553,10160009,'Cannot be modified except by direct means',100,2,3),
(343554,123768,'Decreases Mitigation of target vs noxious damage by 1184',100,1,0),
(343555,123768,'Applies Snare.  Lasts for 24.0 seconds.',100,1,1),
(343556,123768,'Slows target by 59.8%',100,2,2),
(343557,123768,'5% chance to dispel when target receives hostile action',100,2,3),
(343558,123768,'5% chance to dispel when target takes damage',100,2,4),
(343559,10123768,'Decreases Mitigation of target vs noxious damage by 1184',100,1,0),
(343560,10123768,'Applies Snare.  Lasts for 5.0 seconds.',100,1,1),
(343561,10123768,'Slows target by 59.8%',100,2,2),
(343562,10123768,'5% chance to dispel when target receives hostile action',100,2,3),
(343563,10123768,'5% chance to dispel when target takes damage',100,2,4),
(343564,36055,'Increases STA of target by 23.0',100,0,0),
(343565,36055,'Increases Out-of-Combat Power Regeneration of target by 37.8',100,0,1),
(343566,36055,'Increases outgoing heal and ward amount by 2%',100,0,2),
(343567,36055,'Increases WIS of target by 23.0',100,0,3),
(343568,121552,'Inflicts 163 - 272 melee damage on targets in area',100,1,0),
(343569,121552,'Stuns target encounter',100,1,1),
(343570,121552,'If Target is not Epic',100,2,2),
(343571,121552,'Resistibility increases against targets higher than level 75.',100,1,3),
(343572,10121552,'Inflicts 212 - 353 melee damage on targets in area',100,1,0),
(343573,10121552,'Stuns target encounter',100,1,1),
(343574,10121552,'If Target is not Epic',100,2,2),
(343575,10121552,'Resistibility increases against targets higher than level 75.',100,1,3),
(343576,146693,'When Equipped:',100,0,0),
(343577,146693,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343578,146693,'Inflicts 1218 - 1827 poison damage on target',100,2,2),
(343579,146693,'Heals caster for 811 - 1217',100,2,3),
(343580,146693,'Cannot be modified except by direct means',100,2,4),
(343581,146693,'Cannot be modified except by direct means',100,1,5),
(343582,10146693,'When Equipped:',100,0,0),
(343583,10146693,'On any combat or spell hit this spell may cast Fatal Lifetap on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(343584,10146693,'Inflicts 1584 - 2375 poison damage on target',100,2,2),
(343585,10146693,'Heals caster for 949 - 1424',100,2,3),
(343586,10146693,'Cannot be modified except by direct means',100,2,4),
(343587,10146693,'Cannot be modified except by direct means',100,1,5),
(343588,112580,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(343589,112580,'Dispels 88 levels of physical hostile effects on target',100,2,1),
(343590,112580,'Heals targets in Area of Effect for 166 - 202',100,2,2),
(343591,10112580,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',100,1,0),
(343592,10112580,'Dispels 88 levels of physical hostile effects on target',100,2,1),
(343593,10112580,'Heals targets in Area of Effect for 108 - 132',100,2,2),
(343594,46825,'Applies Magic Infusion when Activated.',100,0,0),
(343595,46825,'Shapechanges the user into a dryad, and provides a shield which damages any melee attacker.',100,1,1),
(343596,10046825,'Applies Magic Infusion when Activated.',100,0,0),
(343597,10046825,'Shapechanges the user into a dryad, and provides a shield which damages any melee attacker.',100,1,1),
(343598,124405,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(343599,124405,'Inflicts 84 - 141 melee damage on target',100,2,1),
(343600,124405,'Grants a total of 3 triggers of the spell.',100,2,2),
(343601,10124405,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',100,1,0),
(343602,10124405,'Inflicts 110 - 183 melee damage on target',100,2,1),
(343603,10124405,'Grants a total of 3 triggers of the spell.',100,2,2),
(343604,175374,'When Equipped:',100,0,0),
(343605,175374,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343606,175374,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(343607,175374,'Dispelled when target casts a hostile spell',100,2,3),
(343608,175374,'Dispelled when target casts a combat art',100,2,4),
(343609,175374,'Cannot be modified except by direct means',100,2,5),
(343610,10175374,'When Equipped:',100,0,0),
(343611,10175374,'On a hostile spell cast this spell may cast Maniacal Infusion on the group.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343612,10175374,'Increases the damage of group members'' next spell or combat art by up to 200.',100,2,2),
(343613,10175374,'Dispelled when target casts a hostile spell',100,2,3),
(343614,10175374,'Dispelled when target casts a combat art',100,2,4),
(343615,10175374,'Cannot be modified except by direct means',100,2,5),
(343616,114852,'Decreases AGI of target by 24.4',100,1,0),
(343617,114852,'Decreases Defense of target by 9.2',100,1,1),
(343618,10114852,'Decreases AGI of target by 24.4',100,1,0),
(343619,10114852,'Decreases Defense of target by 9.2',100,1,1),
(343620,117854,'Heals target for 60 - 74 instantly and every 2 seconds',100,1,0),
(343621,10117854,'Heals target for 39 - 48 instantly and every 2 seconds',100,1,0),
(343622,185930,'When Equipped:',100,0,0),
(343623,185930,'On a healing spell cast this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343624,185930,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,2),
(343625,185930,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,3),
(343626,185930,'Must not be engaged in pvp combat',100,2,4),
(343627,185930,'Cannot be modified except by direct means',100,2,5),
(343628,185930,'On any combat or spell hit this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(343629,185930,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,7),
(343630,185930,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,8),
(343631,185930,'Must not be engaged in pvp combat',100,2,9),
(343632,185930,'Cannot be modified except by direct means',100,2,10),
(343633,185930,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(343634,185930,'Cannot be modified except by direct means',100,1,12),
(343635,10185930,'When Equipped:',100,0,0),
(343636,10185930,'On a healing spell cast this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343637,10185930,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,2),
(343638,10185930,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,3),
(343639,10185930,'Must not be engaged in pvp combat',100,2,4),
(343640,10185930,'Cannot be modified except by direct means',100,2,5),
(343641,10185930,'On any combat or spell hit this spell may cast Tactical Engagement III on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(343642,10185930,'Increases WIS, AGI, INT and STR of caster by 110.0',100,2,7),
(343643,10185930,'Gives caster a 2.5% chance to strikethrough a successful avoidance check',100,2,8),
(343644,10185930,'Must not be engaged in pvp combat',100,2,9),
(343645,10185930,'Cannot be modified except by direct means',100,2,10),
(343646,10185930,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,11),
(343647,10185930,'Cannot be modified except by direct means',100,1,12),
(343648,36817,'Increases Out-of-Combat Power Regeneration of target by 90.0',100,0,0),
(343649,47343,'Applies Naiad Elder Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(343650,47343,'Naiad Elder Potion',100,1,1),
(343651,10047343,'Applies Naiad Elder Illusion Potion when Activated.  Lasts for 6 hours.',100,0,0),
(343652,10047343,'Naiad Elder Potion',100,1,1),
(343653,121915,'Inflicts 102 - 170 mental damage on target encounter',100,1,0),
(343654,121915,'Increases power of group members (AE) by 83 - 139',100,1,1),
(343655,10121915,'Inflicts 132 - 221 mental damage on target encounter',100,1,0),
(343656,10121915,'Increases power of group members (AE) by 83 - 139',100,1,1),
(343657,100074,'Reduces the amount of durability gained by 8.0.',100,1,0),
(343658,100074,'Increases progress by 20.0',100,1,1),
(343659,10100074,'Reduces the amount of durability gained by 8.0.',100,1,0),
(343660,10100074,'Increases progress by 20.0',100,1,1),
(343661,80258,'When Equipped:',100,0,0),
(343662,80258,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343663,80258,'Inflicts 169 - 314 magic damage on target',100,2,2),
(343664,80258,'Cannot be modified except by direct means',100,2,3),
(343665,10080258,'When Equipped:',100,0,0),
(343666,10080258,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343667,10080258,'Inflicts 220 - 408 magic damage on target',100,2,2),
(343668,10080258,'Cannot be modified except by direct means',100,2,3),
(343669,191024,'When Equipped:',100,0,0),
(343670,191024,'Reduces maximum falling speed of caster',100,1,1),
(343671,191024,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(343672,191024,'Allows caster to jump farther',100,1,3),
(343673,191024,'Cannot be modified except by direct means',100,1,4),
(343674,191024,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(343675,10191024,'When Equipped:',100,0,0),
(343676,10191024,'Reduces maximum falling speed of caster',100,1,1),
(343677,10191024,'Applies Sky Glide when Activated.  Lasts for 30.0 seconds.',100,0,2),
(343678,10191024,'Allows caster to jump farther',100,1,3),
(343679,10191024,'Cannot be modified except by direct means',100,1,4),
(343680,10191024,'The casting time of Sky Glide is 1.0 second and the reuse time of the spell is 3 minutes',100,1,5),
(343681,100842,'Wards target against 629 points of all damage',100,1,0),
(343682,10100842,'Wards target against 968 points of all damage',100,1,0),
(343683,107497,'Inflicts 470 - 1410 magic damage on targets in Area of Effect',100,1,0),
(343684,107497,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,1,1),
(343685,107497,'Stuns target',100,2,2),
(343686,107497,'Blurs vision of target',100,2,3),
(343687,107497,'Throws target back',100,2,4),
(343688,107497,'Does not affect Epic targets',100,2,5),
(343689,10107497,'Inflicts 611 - 1832 magic damage on targets in Area of Effect',100,1,0),
(343690,10107497,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,1),
(343691,10107497,'Stuns target',100,2,2),
(343692,10107497,'Blurs vision of target',100,2,3),
(343693,10107497,'Throws target back',100,2,4),
(343694,10107497,'Does not affect Epic targets',100,2,5),
(343695,111595,'Inflicts 22 - 40 cold damage on target instantly and every 4 seconds',100,1,0),
(343696,111595,'Decreases Mitigation of target vs elemental damage by 432',100,1,1),
(343697,10111595,'Inflicts 28 - 52 cold damage on target instantly and every 4 seconds',100,1,0),
(343698,10111595,'Decreases Mitigation of target vs elemental damage by 432',100,1,1),
(343699,106316,'Decreases INT and STR of target by 43.2',100,1,0),
(343700,10106316,'Decreases INT and STR of target by 43.2',100,1,0),
(343701,118926,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(343702,118926,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 899',100,1,1),
(343703,118926,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,2),
(343704,10118926,'Increases Max Health of group members (AE) by 278.7',100,1,0),
(343705,10118926,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 899',100,1,1),
(343706,10118926,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,2),
(343707,84609,'When Equipped:',100,0,0),
(343708,84609,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343709,84609,'Inflicts 61 - 74 disease damage on target',100,2,2),
(343710,84609,'Inflicts 57 - 70 disease damage on target every 6 seconds',100,2,3),
(343711,84609,'Cannot be modified except by direct means',100,2,4),
(343712,10084609,'When Equipped:',100,0,0),
(343713,10084609,'On a combat hit this spell may cast Disease Bolt on target of attack.  Lasts for 24.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343714,10084609,'Inflicts 79 - 97 disease damage on target',100,2,2),
(343715,10084609,'Inflicts 74 - 91 disease damage on target every 6 seconds',100,2,3),
(343716,10084609,'Cannot be modified except by direct means',100,2,4),
(343717,117479,'Inflicts 21 - 35 melee damage on target',100,1,0),
(343718,117479,'Inflicts 21 - 35 melee damage on target',100,1,1),
(343719,117479,'Inflicts 21 - 35 melee damage on target',100,1,2),
(343720,117479,'Inflicts 21 - 35 melee damage on target',100,1,3),
(343721,117479,'If facing target',100,1,4),
(343722,10117479,'Inflicts 28 - 46 melee damage on target',100,1,0),
(343723,10117479,'Inflicts 28 - 46 melee damage on target',100,1,1),
(343724,10117479,'Inflicts 28 - 46 melee damage on target',100,1,2),
(343725,10117479,'Inflicts 28 - 46 melee damage on target',100,1,3),
(343726,10117479,'If facing target',100,1,4),
(343727,107926,'Mesmerizes target',100,1,0),
(343728,107926,'Prevents AOE (except when direct) ',100,1,1),
(343729,107926,'Dispelled when target takes damage',100,1,2),
(343730,107926,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(343731,107926,'Resistibility increases against targets higher than level 67.',100,1,4),
(343732,10107926,'Mesmerizes target',100,1,0),
(343733,10107926,'Prevents AOE (except when direct) ',100,1,1),
(343734,10107926,'Dispelled when target takes damage',100,1,2),
(343735,10107926,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(343736,10107926,'Resistibility increases against targets higher than level 67.',100,1,4),
(343737,110706,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(343738,110706,'Heals group members (AE) for 204',100,2,1),
(343739,10110706,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',100,1,0),
(343740,10110706,'Heals group members (AE) for 133',100,2,1),
(343741,121039,'Increases AGI of target by 40.3',100,1,0),
(343742,121039,'Adds 0.7% to base avoidance.',100,1,1),
(343743,121039,'Increases In-Combat Power Regeneration of target by 23.1',100,1,2),
(343744,121039,'Increases Max Power of target by 251.7',100,1,3),
(343745,10121039,'Increases AGI of target by 40.3',100,1,0),
(343746,10121039,'Adds 0.7% to base avoidance.',100,1,1),
(343747,10121039,'Increases In-Combat Power Regeneration of target by 23.1',100,1,2),
(343748,10121039,'Increases Max Power of target by 251.7',100,1,3),
(343749,142867,'When Equipped:',100,0,0),
(343750,142867,'On any combat or spell hit this spell may cast Strike of the Void Stalker on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343751,142867,'Increases Multi Attack Chance of caster by 3.0',100,2,2),
(343752,142867,'Increases Potency of caster by 3.0%',100,2,3),
(343753,142867,'Cannot be modified except by direct means',100,2,4),
(343754,142867,'Cannot be modified except by direct means',100,1,5),
(343755,10142867,'When Equipped:',100,0,0),
(343756,10142867,'On any combat or spell hit this spell may cast Strike of the Void Stalker on caster.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343757,10142867,'Increases Multi Attack Chance of caster by 3.0',100,2,2),
(343758,10142867,'Increases Potency of caster by 3.0%',100,2,3),
(343759,10142867,'Cannot be modified except by direct means',100,2,4),
(343760,10142867,'Cannot be modified except by direct means',100,1,5),
(343761,111792,'Shapechanges caster into a gnoll',100,1,0),
(343762,10111792,'Shapechanges caster into a gnoll',100,1,0),
(343763,104052,'Inflicts 10 - 12 mental damage on target instantly and every 6 seconds',100,1,0),
(343764,104052,'Applies Migraine on termination.',100,1,1),
(343765,104052,'Inflicts 29 - 39 mental damage on target',100,2,2),
(343766,10104052,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',100,1,0),
(343767,10104052,'Applies Migraine on termination.',100,1,1),
(343768,10104052,'Inflicts 37 - 50 mental damage on target',100,2,2),
(343769,107507,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(343770,10107507,'Dispels 45 levels of any hostile effects on group members (AE)',100,1,0),
(343771,103834,'Increases Ability Casting Speed of raid and group members (AE) by 6.0%',100,1,0),
(343772,103834,'Increases Attack Speed of raid and group members (AE) by 14.9',100,1,1),
(343773,10103834,'Increases Ability Casting Speed of raid and group members (AE) by 6.0%',100,1,0),
(343774,10103834,'Increases Attack Speed of raid and group members (AE) by 14.9',100,1,1),
(343775,45121,'Applies Aab''I Hayat when Activated.  Lasts for 1 hour.',100,0,0),
(343776,10045121,'Applies Aab''I Hayat when Activated.  Lasts for 1 hour.',100,0,0),
(343777,111882,'Inflicts 234 - 435 heat damage on target',100,1,0),
(343778,111882,'Inflicts 88 - 163 heat damage on target every 2 seconds',100,1,1),
(343779,10111882,'Inflicts 305 - 566 heat damage on target',100,1,0),
(343780,10111882,'Inflicts 114 - 212 heat damage on target every 2 seconds',100,1,1),
(343781,73169,'When Equipped:',100,0,0),
(343782,73169,'On a combat hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343783,73169,'Inflicts 1060 slashing damage on target',100,2,2),
(343784,73169,'Cannot be modified except by direct means',100,2,3),
(343785,10073169,'When Equipped:',100,0,0),
(343786,10073169,'On a combat hit this spell may cast Fury of the Void Walkers on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(343787,10073169,'Inflicts 1378 slashing damage on target',100,2,2),
(343788,10073169,'Cannot be modified except by direct means',100,2,3),
(343789,104013,'Stifles target',100,1,0),
(343790,104013,'If Target is not Epic',100,2,1),
(343791,104013,'Interrupts target',100,1,2),
(343792,104013,'Decreases Threat to target by 214 - 261 ',100,1,3),
(343793,104013,'Resistibility increases against targets higher than level 53.',100,1,4),
(343794,10104013,'Stifles target',100,1,0),
(343795,10104013,'If Target is not Epic',100,2,1),
(343796,10104013,'Interrupts target',100,1,2),
(343797,10104013,'Resistibility increases against targets higher than level 53.',100,1,3),
(343798,105248,'Increases Threat to target by 275 ',100,1,0),
(343799,105248,'Interrupts target',100,1,1),
(343800,105248,'Dispels 47 levels of arcane beneficial effects on target',100,1,2),
(343801,10105248,'Forces target to change their selected target to caster.',100,1,0),
(343802,10105248,'Interrupts target',100,1,1),
(343803,10105248,'Dispels 47 levels of arcane beneficial effects on target',100,1,2),
(343804,45200,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(343805,45200,'Increases Max Power of caster by 191.8',100,1,1),
(343806,10045200,'Applies elixir of transcendence when Activated.  Lasts for 15 minutes.',100,0,0),
(343807,10045200,'Increases Max Power of caster by 191.8',100,1,1),
(343808,185919,'When Equipped:',100,0,0),
(343809,185919,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(343810,185919,'Inflicts 4429 - 4895 slashing damage on target encounter',100,2,2),
(343811,185919,'Inflicts 633 - 699 slashing damage on target encounter every 2 seconds',100,2,3),
(343812,185919,'Must not be engaged in pvp combat',100,2,4),
(343813,185919,'Cannot be modified except by direct means',100,2,5),
(343814,185919,'Must not be engaged in pvp combat',100,1,6),
(343815,10185919,'When Equipped:',100,0,0),
(343816,10185919,'On any combat or spell hit this spell may cast Major Rain of Blades on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(343817,10185919,'Inflicts 5758 - 6364 slashing damage on target encounter',100,2,2),
(343818,10185919,'Inflicts 823 - 909 slashing damage on target encounter every 2 seconds',100,2,3),
(343819,10185919,'Must not be engaged in pvp combat',100,2,4),
(343820,10185919,'Cannot be modified except by direct means',100,2,5),
(343821,10185919,'Must not be engaged in pvp combat',100,1,6),
(343822,186067,'When Equipped:',100,0,0),
(343823,186067,'Reduces resistibility of all spells by 0.3%.',100,1,1),
(343824,186067,'Increases Focus, Subjugation and Disruption of caster by 4.0',100,1,2),
(343825,186067,'Must not be engaged in pvp combat',100,1,3),
(343826,10186067,'When Equipped:',100,0,0),
(343827,10186067,'Reduces resistibility of all spells by 0.3%.',100,1,1),
(343828,10186067,'Increases Focus, Subjugation and Disruption of caster by 4.0',100,1,2),
(343829,10186067,'Must not be engaged in pvp combat',100,1,3),
(343830,124056,'Increases power of caster by 182',100,1,0),
(343831,10124056,'Increases power of caster by 182',100,1,0),
(343832,46610,'Applies Guild Rename Potion when Activated.',100,0,0),
(343833,46610,'Allows the caster to rename their guild.  Only usable by the guild leader.',100,1,1),
(343834,10046610,'Applies Guild Rename Potion when Activated.',100,0,0),
(343835,10046610,'Allows the caster to rename their guild.  Only usable by the guild leader.',100,1,1),
(343836,80519,'When Equipped:',100,0,0),
(343837,80519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343838,80519,'Inflicts 320 - 594 magic damage on target',100,2,2),
(343839,80519,'Decreases Threat to target by 1,219 ',100,2,3),
(343840,80519,'Must be flanking or behind',100,3,4),
(343841,80519,'Increases Threat to target by 1,219 ',100,2,5),
(343842,80519,'Must be in front of',100,3,6),
(343843,80519,'Cannot be modified except by direct means',100,2,7),
(343844,10080519,'When Equipped:',100,0,0),
(343845,10080519,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343846,10080519,'Inflicts 416 - 772 magic damage on target',100,2,2),
(343847,10080519,'Cannot be modified except by direct means',100,2,3),
(343848,46867,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(343849,46867,'Wards caster against 903 points of arcane damage',100,1,1),
(343850,10046867,'Applies arcane reprieve when Activated.  Lasts for 1 hour.',100,0,0),
(343851,10046867,'Wards caster against 903 points of arcane damage',100,1,1),
(343852,109328,'Increases STR of caster by 73.6',100,1,0),
(343853,109328,'Decreases Defense of caster by 9.0',100,1,1),
(343854,109328,'Increases Slashing, Piercing and Crushing of caster by 21.6',100,1,2),
(343855,10109328,'Increases STR of caster by 73.6',100,1,0),
(343856,10109328,'Decreases Defense of caster by 9.0',100,1,1),
(343857,10109328,'Increases Slashing, Piercing and Crushing of caster by 21.6',100,1,2),
(343858,114655,'Increases Threat to target by 97 - 118 ',100,1,0),
(343859,114655,'Interrupts target',100,1,1),
(343860,10114655,'Interrupts target',100,1,0),
(343861,10114655,'Forces target to change their selected target to caster.',100,1,1),
(343862,10114655,'Prevents target from changing targets',100,1,2),
(343863,87092,'Applies Fire Ball when Activated.',100,0,0),
(343864,87092,'Inflicts 78 - 129 heat damage on target',100,1,1),
(343865,87092,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(343866,10087092,'Applies Fire Ball when Activated.',100,0,0),
(343867,10087092,'Inflicts 101 - 168 heat damage on target',100,1,1),
(343868,10087092,'The casting time of Fire Ball is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(343869,138838,'When Equipped:',100,0,0),
(343870,138838,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(343871,138838,'Heals caster for 167',100,2,2),
(343872,138838,'Cannot be modified except by direct means',100,2,3),
(343873,10138838,'When Equipped:',100,0,0),
(343874,10138838,'On a combat hit this spell may cast Divine Restoration on caster.  Triggers about 1.0 times per minute. ',100,1,1),
(343875,10138838,'Heals caster for 108',100,2,2),
(343876,10138838,'Cannot be modified except by direct means',100,2,3),
(343877,100014,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(343878,100014,'Inflicts 72 - 121 melee damage on targets in area',100,2,1),
(343879,100014,'Decreases Defense of caster by 10.8',100,1,2),
(343880,100014,'Increases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(343881,10100014,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(343882,10100014,'Inflicts 94 - 158 melee damage on targets in area',100,2,1),
(343883,10100014,'Decreases Defense of caster by 10.8',100,1,2),
(343884,10100014,'Increases Slashing, Piercing and Crushing of caster by 19.4',100,1,3),
(343885,115544,'Increases Mitigation of raid and group members (AE) vs noxious damage by 672',100,1,0),
(343886,10115544,'Increases Mitigation of raid and group members (AE) vs noxious damage by 672',100,1,0),
(343887,120546,'Decreases Defense of target by 24.8',100,1,0),
(343888,10120546,'Decreases Defense of target by 24.8',100,1,0),
(343889,140789,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(343890,140789,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(343891,140789,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(343892,10140789,'Applies Hex of Chaos when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(343893,10140789,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 585',100,1,1),
(343894,10140789,'The casting time of Hex of Chaos is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(343895,117275,'Inflicts 253 - 421 melee damage on target',100,1,0),
(343896,117275,'Decreases Damage Per Second of target by 11.3',100,1,1),
(343897,117275,'Decreases Attack Speed of target by 7.6',100,1,2),
(343898,10117275,'Inflicts 328 - 548 melee damage on target',100,1,0),
(343899,10117275,'Decreases Damage Per Second of target by 11.3',100,1,1),
(343900,10117275,'Decreases Attack Speed of target by 7.6',100,1,2),
(343901,36397,'Increases Out-of-Combat Power Regeneration of target by 45.0',100,0,0),
(343902,115542,'Increases Mitigation of raid and group members (AE) vs noxious damage by 806',100,1,0),
(343903,10115542,'Increases Mitigation of raid and group members (AE) vs noxious damage by 806',100,1,0),
(343904,84024,'Applies Lightning Shock when Activated.',100,0,0),
(343905,84024,'Inflicts 316 - 526 magic damage on target',100,1,1),
(343906,84024,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(343907,10084024,'Applies Lightning Shock when Activated.',100,0,0),
(343908,10084024,'Inflicts 411 - 684 magic damage on target',100,1,1),
(343909,10084024,'The casting time of Lightning Shock is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(343910,47493,'Applies Summon Page when Activated.  Lasts for 2 hours.',100,0,0),
(343911,47493,'Summons a pet ',100,1,1),
(343912,10047493,'Applies Summon Page when Activated.  Lasts for 2 hours.',100,0,0),
(343913,10047493,'Summons a pet ',100,1,1),
(343914,47750,'Applies Remote Detonation when Activated.',100,0,0),
(343915,47750,'Must be in Steamfont Mountains.',100,1,1),
(343916,10047750,'Applies Remote Detonation when Activated.',100,0,0),
(343917,10047750,'Must be in Steamfont Mountains.',100,1,1),
(343918,82332,'When Equipped:',100,0,0),
(343919,82332,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343920,82332,'Inflicts 265 - 492 magic damage on target',100,2,2),
(343921,82332,'Decreases Threat to target by 994 ',100,2,3),
(343922,82332,'Must be flanking or behind',100,3,4),
(343923,82332,'Increases Threat to target by 994 ',100,2,5),
(343924,82332,'Must be in front of',100,3,6),
(343925,82332,'Cannot be modified except by direct means',100,2,7),
(343926,10082332,'When Equipped:',100,0,0),
(343927,10082332,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(343928,10082332,'Inflicts 345 - 640 magic damage on target',100,2,2),
(343929,10082332,'Cannot be modified except by direct means',100,2,3),
(343930,120901,'Inflicts 654 - 799 mental damage on target',100,1,0),
(343931,120901,'Stifles target',100,1,1),
(343932,120901,'Epic targets gain an immunity to Stifle effects of 48.6 seconds and duration is reduced to 5.4 seconds.',100,1,2),
(343933,120901,'Resistibility increases against targets higher than level 101.',100,1,3),
(343934,10120901,'Inflicts 850 - 1039 mental damage on target',100,1,0),
(343935,10120901,'Stifles target',100,1,1),
(343936,10120901,'Epic targets gain an immunity to Stifle effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(343937,10120901,'Resistibility increases against targets higher than level 101.',100,1,3),
(343938,117635,'Inflicts 1096 - 1827 ranged damage on target',100,1,0),
(343939,117635,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,1),
(343940,117635,'Slows target by 64.7%',100,2,2),
(343941,117635,'5% chance to dispel when target receives hostile action',100,2,3),
(343942,117635,'5% chance to dispel when target takes damage',100,2,4),
(343943,117635,'Must be flanking or behind',100,1,5),
(343944,117635,'Requires bow',100,1,6),
(343945,10117635,'Inflicts 822 - 1370 ranged damage on target',100,1,0),
(343946,10117635,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,1),
(343947,10117635,'Slows target by 64.7%',100,2,2),
(343948,10117635,'5% chance to dispel when target receives hostile action',100,2,3),
(343949,10117635,'5% chance to dispel when target takes damage',100,2,4),
(343950,10117635,'Must be flanking or behind',100,1,5),
(343951,10117635,'Requires bow',100,1,6),
(343952,75575,'Applies Disease Blast when Activated.',100,0,0),
(343953,75575,'Inflicts 328 - 547 disease damage on target',100,1,1),
(343954,75575,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(343955,10075575,'Applies Disease Blast when Activated.',100,0,0),
(343956,10075575,'Inflicts 427 - 711 disease damage on target',100,1,1),
(343957,10075575,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(343958,41994,'When Equipped:',100,0,0),
(343959,41994,'On a critical spell hit this spell may cast Mana Deluge VIII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343960,41994,'Inflicts 2722 - 3008 crushing damage on target',100,2,2),
(343961,41994,'Increases power of caster by 127',100,2,3),
(343962,41994,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,4),
(343963,41994,'Must not be engaged in pvp combat',100,2,5),
(343964,41994,'Cannot be modified except by direct means',100,2,6),
(343965,41994,'On a critical combat hit this spell may cast Mana Deluge VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(343966,41994,'Inflicts 2722 - 3008 crushing damage on target',100,2,8),
(343967,41994,'Increases power of caster by 127',100,2,9),
(343968,41994,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,10),
(343969,41994,'Must not be engaged in pvp combat',100,2,11),
(343970,41994,'Cannot be modified except by direct means',100,2,12),
(343971,41994,'Must not be engaged in pvp combat',100,1,13),
(343972,10041994,'When Equipped:',100,0,0),
(343973,10041994,'On a critical spell hit this spell may cast Mana Deluge VIII on target of spell.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(343974,10041994,'Inflicts 3538 - 3911 crushing damage on target',100,2,2),
(343975,10041994,'Increases power of caster by 127',100,2,3),
(343976,10041994,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,4),
(343977,10041994,'Must not be engaged in pvp combat',100,2,5),
(343978,10041994,'Cannot be modified except by direct means',100,2,6),
(343979,10041994,'On a critical combat hit this spell may cast Mana Deluge VIII on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,7),
(343980,10041994,'Inflicts 3538 - 3911 crushing damage on target',100,2,8),
(343981,10041994,'Increases power of caster by 127',100,2,9),
(343982,10041994,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 830',100,2,10),
(343983,10041994,'Must not be engaged in pvp combat',100,2,11),
(343984,10041994,'Cannot be modified except by direct means',100,2,12),
(343985,10041994,'Must not be engaged in pvp combat',100,1,13),
(343986,119467,'Summon 1 Shard of Essence (Adept)',100,1,0),
(343987,10119467,'Summon 1 Shard of Essence (Adept)',100,1,0),
(343988,71668,'When Equipped:',100,0,0),
(343989,71668,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343990,71668,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(343991,71668,'Cannot be modified except by direct means',100,2,3),
(343992,10071668,'When Equipped:',100,0,0),
(343993,10071668,'On a spell cast this spell may cast Luminous Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(343994,10071668,'Increases the damage and healing amount of the caster''s spells by 50',100,2,2),
(343995,10071668,'Cannot be modified except by direct means',100,2,3),
(343996,113979,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(343997,113979,'Inflicts 19 - 33 melee damage on target',100,2,1),
(343998,113979,'Increases Threat to target by 94 ',100,2,2),
(343999,10113979,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(344000,10113979,'Inflicts 25 - 43 melee damage on target',100,2,1),
(344001,42554,'When Equipped:',100,0,0),
(344002,42554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344003,42554,'Inflicts 73 - 110 magic damage on target',100,2,2),
(344004,42554,'Cannot be modified except by direct means',100,2,3),
(344005,10042554,'When Equipped:',100,0,0),
(344006,10042554,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344007,10042554,'Inflicts 95 - 143 magic damage on target',100,2,2),
(344008,10042554,'Cannot be modified except by direct means',100,2,3),
(344009,124757,'Inflicts 248 - 303 disease damage on target encounter',100,1,0),
(344010,10124757,'Inflicts 322 - 394 disease damage on target encounter',100,1,0),
(344011,48722,'Applies Elixir of Endless Intellect  when Activated.  Lasts for 30 minutes.',100,0,0),
(344012,48722,'Increases WIS and INT of caster by 12.0',100,1,1),
(344013,10048722,'Applies Elixir of Endless Intellect  when Activated.  Lasts for 30 minutes.',100,0,0),
(344014,10048722,'Increases WIS and INT of caster by 12.0',100,1,1),
(344015,110183,'Applies Untreated Bleeding on termination.',100,1,0),
(344016,110183,'Inflicts 253 - 421 piercing damage on target',100,2,1),
(344017,110183,'Inflicts 54 - 90 piercing damage on target instantly and every 4 seconds',100,1,2),
(344018,110183,'Inflicts 36 - 60 melee damage on target',100,1,3),
(344019,10110183,'Applies Untreated Bleeding on termination.',100,1,0),
(344020,10110183,'Inflicts 329 - 548 piercing damage on target',100,2,1),
(344021,10110183,'Inflicts 70 - 117 piercing damage on target instantly and every 4 seconds',100,1,2),
(344022,10110183,'Inflicts 46 - 78 melee damage on target',100,1,3),
(344023,88963,'When Equipped:',100,0,0),
(344024,88963,'On a combat hit this spell may cast Armor Break on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344025,88963,'Inflicts 170 - 283 slashing damage on target',100,2,2),
(344026,88963,'Decreases Mitigation of target vs physical damage by 742',100,2,3),
(344027,88963,'Cannot be modified except by direct means',100,2,4),
(344028,10088963,'When Equipped:',100,0,0),
(344029,10088963,'On a combat hit this spell may cast Armor Break on target of attack.  Lasts for 36.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344030,10088963,'Inflicts 221 - 368 slashing damage on target',100,2,2),
(344031,10088963,'Decreases Mitigation of target vs physical damage by 742',100,2,3),
(344032,10088963,'Cannot be modified except by direct means',100,2,4),
(344033,47530,'Applies Petrified Ratonga Eye when Activated.  Lasts for 6 hours.',100,0,0),
(344034,47530,'Shapechanges caster into a ratonga',100,1,1),
(344035,10047530,'Applies Petrified Ratonga Eye when Activated.  Lasts for 6 hours.',100,0,0),
(344036,10047530,'Shapechanges caster into a ratonga',100,1,1),
(344037,165067,'When Equipped:',100,0,0),
(344038,165067,'Increases Attack Speed of caster by 35.0',100,1,1),
(344039,10165067,'When Equipped:',100,0,0),
(344040,10165067,'Increases Attack Speed of caster by 35.0',100,1,1),
(344041,26113,'When Equipped:',100,0,0),
(344042,26113,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(344043,26113,'Adds a positional threat reduction component to Miracle Shot V.',100,1,2),
(344044,10026113,'When Equipped:',100,0,0),
(344045,10026113,'This focus effect will not stack with itself if adorned on multiple items.',100,1,1),
(344046,10026113,'Adds a positional threat reduction component to Miracle Shot V.',100,1,2),
(344047,106646,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(344048,106646,'Increases Mitigation of caster vs physical damage by 252',100,2,1),
(344049,106646,'Decreases Mitigation of target encounter vs physical damage by 1260',100,1,2),
(344050,10106646,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',100,1,0),
(344051,10106646,'Increases Mitigation of caster vs physical damage by 252',100,2,1),
(344052,10106646,'Decreases Mitigation of target encounter vs physical damage by 1260',100,1,2),
(344053,112845,'Roots target',100,1,0),
(344054,112845,'5% chance to dispel when target takes damage',100,1,1),
(344055,112845,'Does not affect Epic targets',100,1,2),
(344056,112845,'Resistibility increases against targets higher than level 78.',100,1,3),
(344057,10112845,'Roots target',100,1,0),
(344058,10112845,'5% chance to dispel when target takes damage',100,1,1),
(344059,10112845,'Does not affect Epic targets',100,1,2),
(344060,10112845,'Resistibility increases against targets higher than level 78.',100,1,3),
(344061,75536,'When Equipped:',100,0,0),
(344062,75536,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(344063,75536,'Reduces healing received by 15.00%',100,2,2),
(344064,75536,'Cannot be modified except by direct means',100,2,3),
(344065,75536,'This effect can only trigger once every 1 second.',100,2,4),
(344066,75536,'Must be engaged in pvp combat',100,1,5),
(344067,10075536,'When Equipped:',100,0,0),
(344068,10075536,'On any combat or spell hit this spell may cast Mutilation on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',100,1,1),
(344069,10075536,'Reduces healing received by 15.00%',100,2,2),
(344070,10075536,'Cannot be modified except by direct means',100,2,3),
(344071,10075536,'This effect can only trigger once every 1 second.',100,2,4),
(344072,10075536,'Must be engaged in pvp combat',100,1,5),
(344073,116217,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(344074,116217,'Inflicts 176 - 215 mental damage on target',100,2,1),
(344075,116217,'Increases INT of group members (AE) by 54.5',100,1,2),
(344076,10116217,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',100,1,0),
(344077,10116217,'Inflicts 229 - 280 mental damage on target',100,2,1),
(344078,10116217,'Increases INT of group members (AE) by 54.5',100,1,2),
(344079,146599,'When Equipped:',100,0,0),
(344080,146599,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(344081,146599,'Heals group members (AE) for 871',100,2,2),
(344082,146599,'Cannot be modified except by direct means',100,2,3),
(344083,10146599,'When Equipped:',100,0,0),
(344084,10146599,'On a healing spell cast this spell may cast Overloaded Heal on caster.  Triggers about 3.0 times per minute. ',100,1,1),
(344085,10146599,'Heals group members (AE) for 1019',100,2,2),
(344086,10146599,'Cannot be modified except by direct means',100,2,3),
(344087,115229,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(344088,115229,'Decreases Mitigation of target vs noxious damage by 1280',100,2,1),
(344089,115229,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(344090,115229,'Decreases Mitigation of target vs noxious damage by 1280',100,2,3),
(344091,10115229,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',100,1,0),
(344092,10115229,'Decreases Mitigation of target vs noxious damage by 1280',100,2,1),
(344093,10115229,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',100,1,2),
(344094,10115229,'Decreases Mitigation of target vs noxious damage by 1280',100,2,3),
(344095,148577,'When Equipped:',100,0,0),
(344096,148577,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344097,148577,'Heals caster for 5 instantly and every 3 seconds',100,2,2),
(344098,148577,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(344099,148577,'Cannot be modified except by direct means',100,2,4),
(344100,148577,'Cannot be modified except by direct means',100,1,5),
(344101,10148577,'When Equipped:',100,0,0),
(344102,10148577,'On any combat or spell hit this spell may cast Empowerment of Bones on caster.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344103,10148577,'Heals caster for 3 instantly and every 3 seconds',100,2,2),
(344104,10148577,'Increases power of caster by 5 instantly and every 3 seconds',100,2,3),
(344105,10148577,'Cannot be modified except by direct means',100,2,4),
(344106,10148577,'Cannot be modified except by direct means',100,1,5),
(344107,71824,'When Equipped:',100,0,0),
(344108,71824,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344109,71824,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(344110,71824,'Cannot be modified except by direct means',100,2,3),
(344111,10071824,'When Equipped:',100,0,0),
(344112,10071824,'On a spell cast this spell may cast Glimmering Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344113,10071824,'Increases the damage and healing amount of the caster''s spells by 30',100,2,2),
(344114,10071824,'Cannot be modified except by direct means',100,2,3),
(344115,115448,'Inflicts 63 - 76 mental damage on target instantly and every 6 seconds',100,1,0),
(344116,115448,'Decreases Mitigation of target vs arcane damage by 560',100,1,1),
(344117,10115448,'Inflicts 81 - 99 mental damage on target instantly and every 6 seconds',100,1,0),
(344118,10115448,'Decreases Mitigation of target vs arcane damage by 560',100,1,1),
(344119,116866,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(344120,116866,'Inflicts 554 - 678 mental damage on target',100,2,1),
(344121,116866,'Grants a total of 3 triggers of the spell.',100,2,2),
(344122,10116866,'On a melee hit this spell will cast Prismatic Shock on target of attack.  ',100,1,0),
(344123,10116866,'Inflicts 721 - 881 mental damage on target',100,2,1),
(344124,10116866,'Grants a total of 3 triggers of the spell.',100,2,2),
(344125,106410,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(344126,106410,'Inflicts 196 - 239 mental damage on target',100,2,1),
(344127,106410,'Grants a total of 3 triggers of the spell.',100,2,2),
(344128,10106410,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',100,1,0),
(344129,10106410,'Inflicts 255 - 311 mental damage on target',100,2,1),
(344130,10106410,'Grants a total of 3 triggers of the spell.',100,2,2),
(344131,102992,'Increases STR and AGI of group members (AE) by 107.1',100,1,0),
(344132,10102992,'Increases STR and AGI of group members (AE) by 107.1',100,1,0),
(344133,52915,'Applies Sanguine Imbued when Equipped.',100,0,0),
(344134,52915,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(344135,52915,'Inflicts 77 heat damage on target',100,2,2),
(344136,52915,'Cannot be modified except by direct means',100,2,3),
(344137,10052915,'Applies Sanguine Imbued when Equipped.',100,0,0),
(344138,10052915,'When any damage is received this spell has a 5% chance to cast Sanguine Feedback on target''s attacker.  ',100,1,1),
(344139,10052915,'Inflicts 100 heat damage on target',100,2,2),
(344140,10052915,'Cannot be modified except by direct means',100,2,3),
(344141,109685,'Inflicts 98 - 119 cold damage on target instantly and every 3 seconds',100,1,0),
(344142,10109685,'Inflicts 127 - 155 cold damage on target instantly and every 3 seconds',100,1,0),
(344143,143720,'When Equipped:',100,0,0),
(344144,143720,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(344145,10143720,'When Equipped:',100,0,0),
(344146,10143720,'Reduces cast time of hostile spells by 5 percent.',100,1,1),
(344147,100517,'Increases Attack Speed of group members (AE) by 29.5',100,1,0),
(344148,10100517,'Increases Attack Speed of group members (AE) by 29.5',100,1,0),
(344149,138639,'When Equipped:',100,0,0),
(344150,138639,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(344151,138639,'Heals group members (AE) for 871',100,2,2),
(344152,138639,'Heals group members (AE) for 290 every 5 seconds',100,2,3),
(344153,138639,'Must not be engaged in pvp combat',100,2,4),
(344154,138639,'Cannot be modified except by direct means',100,2,5),
(344155,138639,'Must not be engaged in pvp combat',100,1,6),
(344156,10138639,'When Equipped:',100,0,0),
(344157,10138639,'On a healing spell cast this spell may cast Celestial Restoration on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.4 times per minute. ',100,1,1),
(344158,10138639,'Heals group members (AE) for 1019',100,2,2),
(344159,10138639,'Heals group members (AE) for 340 every 5 seconds',100,2,3),
(344160,10138639,'Must not be engaged in pvp combat',100,2,4),
(344161,10138639,'Cannot be modified except by direct means',100,2,5),
(344162,10138639,'Must not be engaged in pvp combat',100,1,6),
(344163,88471,'When Equipped:',100,0,0),
(344164,88471,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(344165,88471,'Inflicts 1265 - 1399 slashing damage on target',100,2,2),
(344166,88471,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,3),
(344167,88471,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,4),
(344168,88471,'Must not be engaged in pvp combat',100,2,5),
(344169,88471,'Cannot be modified except by direct means',100,2,6),
(344170,88471,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(344171,88471,'Inflicts 1265 - 1399 slashing damage on target',100,2,8),
(344172,88471,'Inflicts 696 - 769 slashing damage on target every 2 seconds',100,2,9),
(344173,88471,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,10),
(344174,88471,'Must not be engaged in pvp combat',100,2,11),
(344175,88471,'Cannot be modified except by direct means',100,2,12),
(344176,88471,'This effect will not stack with itself.',100,1,13),
(344177,88471,'Must not be engaged in pvp combat',100,1,14),
(344178,10088471,'When Equipped:',100,0,0),
(344179,10088471,'On a critical spell hit this spell may cast Greater Violence and Ruination on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(344180,10088471,'Inflicts 1645 - 1818 slashing damage on target',100,2,2),
(344181,10088471,'Inflicts 905 - 1000 slashing damage on target every 2 seconds',100,2,3),
(344182,10088471,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,4),
(344183,10088471,'Must not be engaged in pvp combat',100,2,5),
(344184,10088471,'Cannot be modified except by direct means',100,2,6),
(344185,10088471,'On a critical combat hit this spell may cast Greater Violence and Ruination on target of attack.  Lasts for 30.0 seconds.  Triggers about 2.2 times per minute. ',100,1,7),
(344186,10088471,'Inflicts 1645 - 1818 slashing damage on target',100,2,8),
(344187,10088471,'Inflicts 905 - 1000 slashing damage on target every 2 seconds',100,2,9),
(344188,10088471,'Inflicts an additional 94 - 104 slashing damage on target every tick',100,2,10),
(344189,10088471,'Must not be engaged in pvp combat',100,2,11),
(344190,10088471,'Cannot be modified except by direct means',100,2,12),
(344191,10088471,'This effect will not stack with itself.',100,1,13),
(344192,10088471,'Must not be engaged in pvp combat',100,1,14),
(344193,83950,'When Equipped:',100,0,0),
(344194,83950,'On a healing spell cast this spell may cast Rage on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344195,83950,'Increases the base damage of hostile spells cast by 12%.',100,2,2),
(344196,83950,'Cannot be modified except by direct means',100,2,3),
(344197,10083950,'When Equipped:',100,0,0),
(344198,10083950,'On a healing spell cast this spell may cast Rage on caster.  Lasts for 16.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344199,10083950,'Increases the base damage of hostile spells cast by 12%.',100,2,2),
(344200,10083950,'Cannot be modified except by direct means',100,2,3),
(344201,87388,'When Equipped:',100,0,0),
(344202,87388,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344203,87388,'Inflicts 127 - 190 magic damage on target',100,2,2),
(344204,87388,'Cannot be modified except by direct means',100,2,3),
(344205,10087388,'When Equipped:',100,0,0),
(344206,10087388,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344207,10087388,'Inflicts 165 - 247 magic damage on target',100,2,2),
(344208,10087388,'Cannot be modified except by direct means',100,2,3),
(344209,90082,'When Equipped:',100,0,0),
(344210,90082,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(344211,90082,'Inflicts 490 - 817 divine damage on target',100,2,2),
(344212,90082,'Inflicts 490 - 817 magic damage on target',100,2,3),
(344213,90082,'Inflicts 490 - 817 piercing damage on target',100,2,4),
(344214,90082,'Must not be engaged in pvp combat',100,2,5),
(344215,90082,'Cannot be modified except by direct means',100,2,6),
(344216,90082,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(344217,90082,'Inflicts 490 - 817 divine damage on target',100,2,8),
(344218,90082,'Inflicts 490 - 817 magic damage on target',100,2,9),
(344219,90082,'Inflicts 490 - 817 piercing damage on target',100,2,10),
(344220,90082,'Must not be engaged in pvp combat',100,2,11),
(344221,90082,'Cannot be modified except by direct means',100,2,12),
(344222,90082,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(344223,90082,'Inflicts 490 - 817 divine damage on target',100,2,14),
(344224,90082,'Inflicts 490 - 817 magic damage on target',100,2,15),
(344225,90082,'Inflicts 490 - 817 piercing damage on target',100,2,16),
(344226,90082,'Must not be engaged in pvp combat',100,2,17),
(344227,90082,'Cannot be modified except by direct means',100,2,18),
(344228,90082,'Must not be engaged in pvp combat',100,1,19),
(344229,10090082,'When Equipped:',100,0,0),
(344230,10090082,'On any combat or spell hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(344231,10090082,'Inflicts 637 - 1061 divine damage on target',100,2,2),
(344232,10090082,'Inflicts 637 - 1061 magic damage on target',100,2,3),
(344233,10090082,'Inflicts 637 - 1061 piercing damage on target',100,2,4),
(344234,10090082,'Must not be engaged in pvp combat',100,2,5),
(344235,10090082,'Cannot be modified except by direct means',100,2,6),
(344236,10090082,'On a ranged hit this spell may cast Ethereal Quills on target of attack.  Triggers about 2.0 times per minute. ',100,1,7),
(344237,10090082,'Inflicts 637 - 1061 divine damage on target',100,2,8),
(344238,10090082,'Inflicts 637 - 1061 magic damage on target',100,2,9),
(344239,10090082,'Inflicts 637 - 1061 piercing damage on target',100,2,10),
(344240,10090082,'Must not be engaged in pvp combat',100,2,11),
(344241,10090082,'Cannot be modified except by direct means',100,2,12),
(344242,10090082,'On a hostile spell cast this spell may cast Ethereal Quills on target of spell.  Triggers about 2.0 times per minute. ',100,1,13),
(344243,10090082,'Inflicts 637 - 1061 divine damage on target',100,2,14),
(344244,10090082,'Inflicts 637 - 1061 magic damage on target',100,2,15),
(344245,10090082,'Inflicts 637 - 1061 piercing damage on target',100,2,16),
(344246,10090082,'Must not be engaged in pvp combat',100,2,17),
(344247,10090082,'Cannot be modified except by direct means',100,2,18),
(344248,10090082,'Must not be engaged in pvp combat',100,1,19),
(344249,114496,'Increases In-Combat Power Regeneration of group members (AE) by 11.2',100,1,0),
(344250,10114496,'Increases In-Combat Power Regeneration of group members (AE) by 11.2',100,1,0),
(344251,120132,'Decreases STR and INT of target by 25.3',100,1,0),
(344252,120132,'Increases STR and INT of caster by 25.3',100,1,1),
(344253,10120132,'Decreases STR and INT of target by 25.3',100,1,0),
(344254,10120132,'Increases STR and INT of caster by 25.3',100,1,1),
(344255,48788,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(344256,48788,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(344257,48788,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(344258,48788,'Cannot be modified except by direct means',100,2,3),
(344259,48788,'Grants a total of 80 triggers of the spell.',100,2,4),
(344260,10048788,'Applies explosive resentment when Activated.  Lasts for 12 hours.',100,0,0),
(344261,10048788,'On a combat hit this spell may cast Elemental Exposure Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(344262,10048788,'Decreases Mitigation of target vs elemental damage by 660',100,2,2),
(344263,10048788,'Cannot be modified except by direct means',100,2,3),
(344264,10048788,'Grants a total of 80 triggers of the spell.',100,2,4),
(344265,100416,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(344266,100416,'Inflicts 36 - 60 slashing damage on target',100,2,1),
(344267,100416,'Increases Threat to target by 125 ',100,2,2),
(344268,100416,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,3),
(344269,100416,'Increases Threat to target by 125 ',100,2,4),
(344270,100416,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 497',100,1,5),
(344271,10100416,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',100,1,0),
(344272,10100416,'Inflicts 47 - 78 slashing damage on target',100,2,1),
(344273,10100416,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',100,1,2),
(344274,10100416,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 497',100,1,3),
(344275,115538,'Increases Mitigation of raid and group members (AE) vs noxious damage by 476',100,1,0),
(344276,10115538,'Increases Mitigation of raid and group members (AE) vs noxious damage by 476',100,1,0),
(344277,156969,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(344278,156969,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(344279,156969,'Cannot be modified except by direct means',100,1,2),
(344280,10156969,'Applies Heroic Resistance XX when Equipped.',100,0,0),
(344281,10156969,'Reduces the critical damage inflicted by players on caster by 20.0%',100,1,1),
(344282,10156969,'Cannot be modified except by direct means',100,1,2),
(344283,46182,'Applies essence of power when Activated.',100,0,0),
(344284,46182,'Increases power of caster by 29',100,1,1),
(344285,10046182,'Applies essence of power when Activated.',100,0,0),
(344286,10046182,'Increases power of caster by 23',100,1,1),
(344287,81432,'When Equipped:',100,0,0),
(344288,81432,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344289,81432,'Inflicts 72 - 134 magic damage on target',100,2,2),
(344290,81432,'Cannot be modified except by direct means',100,2,3),
(344291,10081432,'When Equipped:',100,0,0),
(344292,10081432,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344293,10081432,'Inflicts 94 - 174 magic damage on target',100,2,2),
(344294,10081432,'Cannot be modified except by direct means',100,2,3),
(344295,119136,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(344296,119136,'Inflicts 233 - 284 slashing damage on target',100,2,1),
(344297,119136,'Increases Mitigation of caster vs physical damage by 664',100,1,2),
(344298,10119136,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(344299,10119136,'Inflicts 303 - 370 slashing damage on target',100,2,1),
(344300,10119136,'Increases Mitigation of caster vs physical damage by 664',100,1,2),
(344301,117536,'Increases AGI, WIS and INT of group members (AE) by 65.0',100,1,0),
(344302,117536,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 250',100,1,1),
(344303,10117536,'Increases AGI, WIS and INT of group members (AE) by 65.0',100,1,0),
(344304,10117536,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 250',100,1,1),
(344305,45330,'Applies Black Warg with Red Saddle when Activated.',100,0,0),
(344306,45330,'Summons a mount to ride',100,1,1),
(344307,45330,'Increases your ground speed by 130%',100,2,2),
(344308,10045330,'Applies Black Warg with Red Saddle when Activated.',100,0,0),
(344309,10045330,'Summons a mount to ride',100,1,1),
(344310,10045330,'Increases your ground speed by 130%',100,2,2),
(344311,74686,'When Equipped:',100,0,0),
(344312,74686,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344313,74686,'Inflicts 121 - 181 magic damage on target',100,2,2),
(344314,74686,'Cannot be modified except by direct means',100,2,3),
(344315,10074686,'When Equipped:',100,0,0),
(344316,10074686,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344317,10074686,'Inflicts 157 - 235 magic damage on target',100,2,2),
(344318,10074686,'Cannot be modified except by direct means',100,2,3),
(344319,24549,'Adds Mistmoore: Short Iron Shackle to your Dungeon Maker toolbox',100,0,0),
(344320,10024549,'Adds Mistmoore: Short Iron Shackle to your Dungeon Maker toolbox',100,0,0),
(344321,139291,'When Equipped:',100,0,0),
(344322,139291,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(344323,10139291,'When Equipped:',100,0,0),
(344324,10139291,'Reduces reuse time of beneficial spells by 1 percent.',100,1,1),
(344325,120645,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 6.1',100,1,0),
(344326,120645,'Increases Focus of group members (AE) by 12.2',100,1,1),
(344327,10120645,'Increases Disruption, Ordination, Ministration, Aggression and Subjugation of group members (AE) by 6.1',100,1,0),
(344328,10120645,'Increases Focus of group members (AE) by 12.2',100,1,1),
(344329,105052,'Inflicts 13 - 18 magic damage on target',100,1,0),
(344330,10105052,'Inflicts 18 - 24 magic damage on target',100,1,0),
(344331,82011,'When Equipped:',100,0,0),
(344332,82011,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344333,82011,'Inflicts 138 - 257 magic damage on target',100,2,2),
(344334,82011,'Cannot be modified except by direct means',100,2,3),
(344335,10082011,'When Equipped:',100,0,0),
(344336,10082011,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344337,10082011,'Inflicts 180 - 334 magic damage on target',100,2,2),
(344338,10082011,'Cannot be modified except by direct means',100,2,3),
(344339,80965,'When Equipped:',100,0,0),
(344340,80965,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344341,80965,'Inflicts 194 - 360 magic damage on target',100,2,2),
(344342,80965,'Cannot be modified except by direct means',100,2,3),
(344343,10080965,'When Equipped:',100,0,0),
(344344,10080965,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344345,10080965,'Inflicts 252 - 468 magic damage on target',100,2,2),
(344346,10080965,'Cannot be modified except by direct means',100,2,3),
(344347,108457,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(344348,108457,'Increases Defense and Parry of caster by 5.9',100,1,1),
(344349,108457,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(344350,10108457,'Decreases Slashing, Piercing and Crushing of caster by 13.8',100,1,0),
(344351,10108457,'Increases Defense and Parry of caster by 5.9',100,1,1),
(344352,10108457,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',100,1,2),
(344353,112824,'Roots target',100,1,0),
(344354,112824,'5% chance to dispel when target takes damage',100,1,1),
(344355,112824,'Does not affect Epic targets',100,1,2),
(344356,112824,'Resistibility increases against targets higher than level 36.',100,1,3),
(344357,10112824,'Roots target',100,1,0),
(344358,10112824,'5% chance to dispel when target takes damage',100,1,1),
(344359,10112824,'Does not affect Epic targets',100,1,2),
(344360,10112824,'Resistibility increases against targets higher than level 36.',100,1,3),
(344361,102112,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(344362,102112,'Blurs vision of target',100,2,1),
(344363,102112,'Stuns target',100,2,2),
(344364,102112,'Throws target back',100,2,3),
(344365,102112,'Does not affect Epic targets',100,2,4),
(344366,102112,'Inflicts 158 - 264 crushing damage on target',100,1,5),
(344367,10102112,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(344368,10102112,'Blurs vision of target',100,2,1),
(344369,10102112,'Stuns target',100,2,2),
(344370,10102112,'Throws target back',100,2,3),
(344371,10102112,'Does not affect Epic targets',100,2,4),
(344372,10102112,'Inflicts 206 - 343 crushing damage on target',100,1,5),
(344373,85338,'Applies Poison Bolt when Activated.',100,0,0),
(344374,85338,'Inflicts 243 - 405 poison damage on target',100,1,1),
(344375,85338,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(344376,10085338,'Applies Poison Bolt when Activated.',100,0,0),
(344377,10085338,'Inflicts 316 - 526 poison damage on target',100,1,1),
(344378,10085338,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(344379,35106,'Increases STR of target by 2.1',100,0,0),
(344380,35106,'Increases Out-of-Combat Health Regeneration of target by 31.0',100,0,1),
(344381,85345,'Applies Poison Bolt when Activated.',100,0,0),
(344382,85345,'Inflicts 125 - 209 poison damage on target',100,1,1),
(344383,85345,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(344384,10085345,'Applies Poison Bolt when Activated.',100,0,0),
(344385,10085345,'Inflicts 163 - 271 poison damage on target',100,1,1),
(344386,10085345,'The casting time of Poison Bolt is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(344387,107782,'Increases Threat to target encounter by 54 - 66 ',100,1,0),
(344388,10107782,'Prevents target encounter from changing targets',100,1,0),
(344389,10107782,'Forces target encounter to change their selected target to caster.',100,1,1),
(344390,116783,'Increases STR, AGI, WIS and INT of target by 32.3',100,1,0),
(344391,116783,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(344392,116783,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(344393,116783,'Increases Damage Per Second of target by 37.3',100,2,3),
(344394,116783,'Increases Attack Speed of target by 37.3',100,2,4),
(344395,116783,'Adds 2.6% to base avoidance.',100,1,5),
(344396,116783,'Increases Mitigation of target vs elemental, noxious and arcane damage by 96',100,1,6),
(344397,10116783,'Increases STR, AGI, WIS and INT of target by 32.3',100,1,0),
(344398,10116783,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(344399,10116783,'Increases Ability Casting Speed of target by 12.8%',100,2,2),
(344400,10116783,'Increases Damage Per Second of target by 37.3',100,2,3),
(344401,10116783,'Increases Attack Speed of target by 37.3',100,2,4),
(344402,10116783,'Adds 2.6% to base avoidance.',100,1,5),
(344403,10116783,'Increases Mitigation of target vs elemental, noxious and arcane damage by 96',100,1,6),
(344404,103456,'Blurs vision of target encounter',100,1,0),
(344405,103456,'Interrupts target encounter',100,1,1),
(344406,103456,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',100,1,2),
(344407,103456,'Blurs vision of target',100,2,3),
(344408,103456,'Stuns target',100,2,4),
(344409,103456,'Throws target back',100,2,5),
(344410,103456,'Does not affect Epic targets',100,2,6),
(344411,10103456,'Interrupts target encounter',100,1,0),
(344412,10103456,'14% chance to apply Knockdown.  Lasts for 2.0 seconds.',100,1,1),
(344413,10103456,'Stuns target',100,2,2),
(344414,10103456,'Blurs vision of target',100,2,3),
(344415,10103456,'Throws target back',100,2,4),
(344416,10103456,'Does not affect Epic targets',100,2,5),
(344417,10103456,'Blurs vision of target encounter',100,1,6),
(344418,106117,'Increases Attack Speed of caster by 29.0',100,1,0),
(344419,106117,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(344420,106117,'Blurs vision of target',100,2,2),
(344421,106117,'Stuns target',100,2,3),
(344422,106117,'Throws target back',100,2,4),
(344423,106117,'Does not affect Epic targets',100,2,5),
(344424,10106117,'Increases Attack Speed of caster by 29.0',100,1,0),
(344425,10106117,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.0 seconds.  Triggers about 4.0 times per minute. ',100,1,1),
(344426,10106117,'Blurs vision of target',100,2,2),
(344427,10106117,'Stuns target',100,2,3),
(344428,10106117,'Throws target back',100,2,4),
(344429,10106117,'Does not affect Epic targets',100,2,5),
(344430,141718,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(344431,141718,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(344432,141718,'Inflicts 14 heat damage on target',100,2,2),
(344433,141718,'Cannot be modified except by direct means',100,2,3),
(344434,10141718,'Applies Faint Sanguine Imbued when Equipped.',100,0,0),
(344435,10141718,'When any damage is received this spell has a 5% chance to cast Faint Sanguine Feedback on target''s attacker.  ',100,1,1),
(344436,10141718,'Inflicts 18 heat damage on target',100,2,2),
(344437,10141718,'Cannot be modified except by direct means',100,2,3),
(344438,37154,'Increases Out-of-Combat Power Regeneration of target by 60.0',100,0,0),
(344439,108076,'Decreases Threat to target by 162 - 270 ',100,1,0),
(344440,10108076,'Forces target to clear their selected target.',100,1,0),
(344441,10108076,'Target cannot target caster for the duration of this effect.',100,1,1),
(344442,107729,'Summons a companion pet baby dragon',100,1,0),
(344443,10107729,'Summons a companion pet baby dragon',100,1,0),
(344444,80346,'When Equipped:',100,0,0),
(344445,80346,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(344446,80346,'Decreases Threat to target by 153 ',100,2,2),
(344447,80346,'Must be flanking or behind',100,3,3),
(344448,80346,'Increases Threat to target by 153 ',100,2,4),
(344449,80346,'Must be in front of',100,3,5),
(344450,80346,'Inflicts 48 - 90 magic damage on target',100,2,6),
(344451,80346,'Cannot be modified except by direct means',100,2,7),
(344452,10080346,'When Equipped:',100,0,0),
(344453,10080346,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(344454,10080346,'Inflicts 63 - 116 magic damage on target',100,2,2),
(344455,10080346,'Cannot be modified except by direct means',100,2,3),
(344456,36425,'Increases WIS and INT of target by 15.4',100,0,0),
(344457,36425,'Increases Out-of-Combat Power Regeneration of target by 135.0',100,0,1),
(344458,75385,'When Equipped:',100,0,0),
(344459,75385,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(344460,75385,'Increases Hate Gain of caster by 12.0%',100,2,2),
(344461,75385,'Increases Damage Per Second of group members (AE) by 30.0',100,2,3),
(344462,75385,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',100,2,4),
(344463,75385,'Blurs vision of target',100,3,5),
(344464,75385,'Stuns target',100,3,6),
(344465,75385,'Throws target back',100,3,7),
(344466,75385,'Does not affect Epic targets',100,3,8),
(344467,75385,'1% of all damage received by the caster is prevented.',100,2,9),
(344468,75385,'Inflicts 1411 - 1559 divine damage on targets in Area of Effect instantly and every second',100,2,10),
(344469,75385,'Must not be engaged in pvp combat',100,2,11),
(344470,75385,'Cannot be modified except by direct means',100,2,12),
(344471,75385,'Must not be engaged in pvp combat',100,1,13),
(344472,10075385,'When Equipped:',100,0,0),
(344473,10075385,'On any combat or spell hit this spell may cast Heavenly Fist on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(344474,10075385,'Increases Damage Per Second of group members (AE) by 30.0',100,2,2),
(344475,10075385,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,2,3),
(344476,10075385,'Stuns target',100,3,4),
(344477,10075385,'Blurs vision of target',100,3,5),
(344478,10075385,'Throws target back',100,3,6),
(344479,10075385,'Does not affect Epic targets',100,3,7),
(344480,10075385,'1% of all damage received by the caster is prevented.',100,2,8),
(344481,10075385,'Inflicts 1834 - 2027 divine damage on targets in Area of Effect instantly and every second',100,2,9),
(344482,10075385,'Must not be engaged in pvp combat',100,2,10),
(344483,10075385,'Cannot be modified except by direct means',100,2,11),
(344484,10075385,'Must not be engaged in pvp combat',100,1,12),
(344485,100263,'Inflicts 133 - 246 poison damage on target instantly and every 3 seconds',100,1,0),
(344486,10100263,'Inflicts 388 - 721 poison damage on target instantly and every 3 seconds',100,1,0),
(344487,190004,'When Equipped:',100,0,0),
(344488,190004,'Increases Attack Speed of caster by 35.0',100,1,1),
(344489,10190004,'When Equipped:',100,0,0),
(344490,10190004,'Increases Attack Speed of caster by 35.0',100,1,1),
(344491,46804,'Applies Loa''Sur snake venom when Activated.  Lasts for 12 hours.',100,0,0),
(344492,10046804,'Applies Loa''Sur snake venom when Activated.  Lasts for 12 hours.',100,0,0),
(344493,163291,'Applies Burrowing Swarm IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(344494,163291,'Applies Boneshatter IV on termination.',100,1,1),
(344495,163291,'Inflicts 1859 - 2055 crushing damage on targets in Area of Effect',100,2,2),
(344496,163291,'Must not be engaged in pvp combat',100,2,3),
(344497,163291,'Cannot be modified except by direct means',100,2,4),
(344498,163291,'Inflicts 46 - 57 poison damage on target',100,1,5),
(344499,163291,'Inflicts 58 - 71 poison damage on target every second',100,1,6),
(344500,163291,'Inflicts an additional 23 - 28 poison damage on target every tick',100,1,7),
(344501,163291,'Must not be engaged in pvp combat',100,1,8),
(344502,163291,'Cannot be modified except by direct means',100,1,9),
(344503,163291,'The reuse time of Burrowing Swarm IV is 10 minutes',100,1,10),
(344504,10163291,'Applies Burrowing Swarm IV when Activated.  Lasts for 12.0 seconds.',100,0,0),
(344505,10163291,'Applies Boneshatter IV on termination.',100,1,1),
(344506,10163291,'Inflicts 2417 - 2671 crushing damage on targets in Area of Effect',100,2,2),
(344507,10163291,'Must not be engaged in pvp combat',100,2,3),
(344508,10163291,'Cannot be modified except by direct means',100,2,4),
(344509,10163291,'Inflicts 60 - 74 poison damage on target',100,1,5),
(344510,10163291,'Inflicts 75 - 92 poison damage on target every second',100,1,6),
(344511,10163291,'Inflicts an additional 23 - 28 poison damage on target every tick',100,1,7),
(344512,10163291,'Must not be engaged in pvp combat',100,1,8),
(344513,10163291,'Cannot be modified except by direct means',100,1,9),
(344514,10163291,'The reuse time of Burrowing Swarm IV is 10 minutes',100,1,10),
(344515,100207,'Increases Threat to target encounter by 382 - 468 ',100,1,0),
(344516,100207,'Interrupts target encounter',100,1,1),
(344517,10100207,'Interrupts target encounter',100,1,0),
(344518,10100207,'Forces target encounter to change their selected target to caster.',100,1,1),
(344519,10100207,'Prevents target encounter from changing targets',100,1,2),
(344520,41539,'When Equipped:',100,0,0),
(344521,41539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344522,41539,'Inflicts 99 - 185 magic damage on target',100,2,2),
(344523,41539,'Cannot be modified except by direct means',100,2,3),
(344524,10041539,'When Equipped:',100,0,0),
(344525,10041539,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344526,10041539,'Inflicts 129 - 240 magic damage on target',100,2,2),
(344527,10041539,'Cannot be modified except by direct means',100,2,3),
(344528,105573,'Inflicts 237 - 439 disease damage on target',100,1,0),
(344529,105573,'Inflicts 142 - 264 disease damage on target every 2 seconds',100,1,1),
(344530,10105573,'Inflicts 307 - 571 disease damage on target',100,1,0),
(344531,10105573,'Inflicts 184 - 343 disease damage on target every 2 seconds',100,1,1),
(344532,87206,'When Equipped:',100,0,0),
(344533,87206,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344534,87206,'Inflicts 51 - 76 magic damage on target',100,2,2),
(344535,87206,'Cannot be modified except by direct means',100,2,3),
(344536,10087206,'When Equipped:',100,0,0),
(344537,10087206,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344538,10087206,'Inflicts 66 - 99 magic damage on target',100,2,2),
(344539,10087206,'Cannot be modified except by direct means',100,2,3),
(344540,159372,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(344541,159372,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(344542,159372,'Heals target for 43 instantly and every 4 seconds',100,2,2),
(344543,159372,'Cannot be modified except by direct means',100,2,3),
(344544,10159372,'Applies Pale Lambent Imbued when Equipped.',100,0,0),
(344545,10159372,'When any damage is received this spell has a 5% chance to cast Pale Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(344546,10159372,'Heals target for 28 instantly and every 4 seconds',100,2,2),
(344547,10159372,'Cannot be modified except by direct means',100,2,3),
(344548,124309,'Wards group members (AE) against 2548 points of elemental damage',100,1,0),
(344549,124309,'Increases Mitigation of group members (AE) vs elemental damage by 1367',100,1,1),
(344550,10124309,'Wards group members (AE) against 2548 points of elemental damage',100,1,0),
(344551,10124309,'Increases Mitigation of group members (AE) vs elemental damage by 1367',100,1,1),
(344552,112253,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(344553,112253,'Decreases power of target by 178',100,2,1),
(344554,112253,'Increases power of caster by 145',100,2,2),
(344555,10112253,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(344556,10112253,'Decreases power of target by 178',100,2,1),
(344557,10112253,'Increases power of caster by 116',100,2,2),
(344558,119121,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(344559,119121,'Inflicts 95 - 117 slashing damage on target',100,2,1),
(344560,119121,'Increases Mitigation of caster vs physical damage by 328',100,1,2),
(344561,10119121,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',100,1,0),
(344562,10119121,'Inflicts 124 - 151 slashing damage on target',100,2,1),
(344563,10119121,'Increases Mitigation of caster vs physical damage by 328',100,1,2),
(344564,101000,'Increases INT of target by 110.5',100,1,0),
(344565,101000,'Increases Attack Speed of target by 44.2',100,1,1),
(344566,101000,'Decreases Defense and Parry of target by 30.1',100,1,2),
(344567,101000,'Increases Slashing, Piercing and Crushing of target by 24.1',100,1,3),
(344568,10101000,'Increases INT of target by 110.5',100,1,0),
(344569,10101000,'Increases Attack Speed of target by 44.2',100,1,1),
(344570,10101000,'Decreases Defense and Parry of target by 30.1',100,1,2),
(344571,10101000,'Increases Slashing, Piercing and Crushing of target by 24.1',100,1,3),
(344572,111712,'Inflicts 633 - 774 cold damage on target',100,1,0),
(344573,111712,'Inflicts 633 - 774 cold damage on target',100,1,1),
(344574,111712,'If target is elemental',100,2,2),
(344575,10111712,'Inflicts 706 - 863 cold damage on target',100,1,0),
(344576,89040,'Applies Mental Blast when Activated.',100,0,0),
(344577,89040,'Inflicts 243 - 405 mental damage on target',100,1,1),
(344578,89040,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(344579,10089040,'Applies Mental Blast when Activated.',100,0,0),
(344580,10089040,'Inflicts 316 - 526 mental damage on target',100,1,1),
(344581,10089040,'The casting time of Mental Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(344582,54437,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(344583,54437,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(344584,54437,'Inflicts 59 heat damage on target',100,2,2),
(344585,54437,'Cannot be modified except by direct means',100,2,3),
(344586,10054437,'Applies Dim Sanguine Imbued when Equipped.',100,0,0),
(344587,10054437,'When any damage is received this spell has a 5% chance to cast Dim Sanguine Feedback on target''s attacker.  ',100,1,1),
(344588,10054437,'Inflicts 77 heat damage on target',100,2,2),
(344589,10054437,'Cannot be modified except by direct means',100,2,3),
(344590,25783,'When Equipped:',100,0,0),
(344591,25783,'Improves the base damage of Soulrot by 25%.',100,1,1),
(344592,25783,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(344593,10025783,'When Equipped:',100,0,0),
(344594,10025783,'Improves the base damage of Soulrot by 25%.',100,1,1),
(344595,10025783,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(344596,116245,'Summons a pet Illusion Ally',100,1,0),
(344597,10116245,'Summons a pet Illusion Ally',100,1,0),
(344598,35982,'Increases Out-of-Combat Health Regeneration of target by 10.0',100,0,0),
(344599,35982,'Increases Max Power of target by 10.5',100,0,1),
(344600,117049,'Inflicts 64 - 107 melee damage on target',100,1,0),
(344601,117049,'Decreases Attack Speed of target by 12.9',100,1,1),
(344602,10117049,'Inflicts 83 - 139 melee damage on target',100,1,0),
(344603,10117049,'Decreases Attack Speed of target by 12.9',100,1,1),
(344604,108647,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(344605,108647,'Heals target for 582',100,2,1),
(344606,108647,'Heals target for 145 every 2 seconds',100,2,2),
(344607,108647,'Increases AGI of target by 60.2',100,2,3),
(344608,108647,'Grants a total of 1 trigger of the spell.',100,2,4),
(344609,10108647,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(344610,10108647,'Heals target for 378',100,2,1),
(344611,10108647,'Heals target for 94 every 2 seconds',100,2,2),
(344612,10108647,'Increases AGI of target by 60.2',100,2,3),
(344613,10108647,'Grants a total of 1 trigger of the spell.',100,2,4),
(344614,103587,'Increases Mitigation of caster vs physical damage by 378',100,1,0),
(344615,10103587,'Increases Mitigation of caster vs physical damage by 378',100,1,0),
(344616,76506,'When Equipped:',100,0,0),
(344617,76506,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344618,76506,'Inflicts 2398 magic damage on target',100,2,2),
(344619,76506,'Decreases Damage Per Second of target by 20.0',100,2,3),
(344620,76506,'Cannot be modified except by direct means',100,2,4),
(344621,76506,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(344622,76506,'Inflicts 2398 magic damage on target',100,2,6),
(344623,76506,'Decreases Damage Per Second of target by 20.0',100,2,7),
(344624,76506,'Cannot be modified except by direct means',100,2,8),
(344625,10076506,'When Equipped:',100,0,0),
(344626,10076506,'On a critical spell hit this spell may cast Strategic Strikes on target of spell.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344627,10076506,'Inflicts 3117 magic damage on target',100,2,2),
(344628,10076506,'Decreases Damage Per Second of target by 20.0',100,2,3),
(344629,10076506,'Cannot be modified except by direct means',100,2,4),
(344630,10076506,'On a critical combat hit this spell may cast Strategic Strikes on target of attack.  Lasts for 8.0 seconds.  Triggers about 1.8 times per minute. ',100,1,5),
(344631,10076506,'Inflicts 3117 magic damage on target',100,2,6),
(344632,10076506,'Decreases Damage Per Second of target by 20.0',100,2,7),
(344633,10076506,'Cannot be modified except by direct means',100,2,8),
(344634,103769,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.1',100,1,0),
(344635,10103769,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.1',100,1,0),
(344636,177521,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(344637,177521,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(344638,177521,'Heals target for 12 instantly and every 4 seconds',100,2,2),
(344639,177521,'Cannot be modified except by direct means',100,2,3),
(344640,10177521,'Applies Dim Lambent Imbued when Equipped.',100,0,0),
(344641,10177521,'When any damage is received this spell has a 5% chance to cast Dim Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(344642,10177521,'Heals target for 8 instantly and every 4 seconds',100,2,2),
(344643,10177521,'Cannot be modified except by direct means',100,2,3),
(344644,100125,'Decreases STR, AGI, WIS and INT of target by 51.7',100,1,0),
(344645,100125,'Decreases Max Health of target by 0.8%',100,1,1),
(344646,10100125,'Decreases STR, AGI, WIS and INT of target by 51.7',100,1,0),
(344647,10100125,'Decreases Max Health of target by 0.8%',100,1,1),
(344648,123634,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',100,1,0),
(344649,123634,'Slows target by 33.4%',100,2,1),
(344650,123634,'5% chance to dispel when target receives hostile action',100,2,2),
(344651,123634,'5% chance to dispel when target takes damage',100,2,3),
(344652,123634,'Inflicts 54 - 67 cold damage on target',100,1,4),
(344653,10123634,'Applies Touch of the Grey.  Lasts for 5.0 seconds.',100,1,0),
(344654,10123634,'Slows target by 33.4%',100,2,1),
(344655,10123634,'5% chance to dispel when target receives hostile action',100,2,2),
(344656,10123634,'5% chance to dispel when target takes damage',100,2,3),
(344657,10123634,'Inflicts 61 - 74 cold damage on target',100,1,4),
(344658,41608,'When Equipped:',100,0,0),
(344659,41608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344660,41608,'Inflicts 265 - 492 magic damage on target',100,2,2),
(344661,41608,'Cannot be modified except by direct means',100,2,3),
(344662,10041608,'When Equipped:',100,0,0),
(344663,10041608,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344664,10041608,'Inflicts 345 - 640 magic damage on target',100,2,2),
(344665,10041608,'Cannot be modified except by direct means',100,2,3),
(344666,72311,'When Equipped:',100,0,0),
(344667,72311,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344668,72311,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(344669,72311,'Cannot be modified except by direct means',100,2,3),
(344670,10072311,'When Equipped:',100,0,0),
(344671,10072311,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344672,10072311,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(344673,10072311,'Cannot be modified except by direct means',100,2,3),
(344674,112244,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(344675,112244,'Decreases power of target by 79',100,2,1),
(344676,112244,'Increases power of caster by 64',100,2,2),
(344677,10112244,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',100,1,0),
(344678,10112244,'Decreases power of target by 79',100,2,1),
(344679,10112244,'Increases power of caster by 52',100,2,2),
(344680,111958,'Inflicts 103 - 126 disease damage on target',100,1,0),
(344681,111958,'Decreases Mitigation of target vs noxious damage by 295',100,1,1),
(344682,10111958,'Inflicts 173 - 211 disease damage on target',100,1,0),
(344683,10111958,'Decreases Mitigation of target vs noxious damage by 295',100,1,1),
(344684,106670,'Heals caster for 49.1 - 60.1% of max health',100,1,0),
(344685,106670,'This effect cannot be critically applied.',100,2,1),
(344686,106670,'Increases Max Health of caster by 364.0',100,1,2),
(344687,106670,'The healing of this spell cannot be modified except by direct means',100,1,3),
(344688,10106670,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(344689,10106670,'This effect cannot be critically applied.',100,2,1),
(344690,10106670,'Increases Max Health of caster by 364.0',100,1,2),
(344691,10106670,'The healing of this spell cannot be modified except by direct means',100,1,3),
(344692,100683,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(344693,100683,'Summons a limited pet to aid the caster',100,2,1),
(344694,100683,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(344695,100683,'Heals caster for 875',100,3,3),
(344696,100683,'Wards caster against 1120 points of all damage',100,3,4),
(344697,100683,'Grants a total of 1 trigger of the spell.',100,2,5),
(344698,10100683,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',100,1,0),
(344699,10100683,'Summons a limited pet to aid the caster',100,2,1),
(344700,10100683,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',100,2,2),
(344701,10100683,'Heals caster for 569',100,3,3),
(344702,10100683,'Wards caster against 1120 points of all damage',100,3,4),
(344703,10100683,'Grants a total of 1 trigger of the spell.',100,2,5),
(344704,100016,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(344705,100016,'Inflicts 60 - 101 melee damage on targets in area',100,2,1),
(344706,100016,'Decreases Defense of caster by 10.8',100,1,2),
(344707,100016,'Increases Slashing, Piercing and Crushing of caster by 16.2',100,1,3),
(344708,10100016,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(344709,10100016,'Inflicts 79 - 131 melee damage on targets in area',100,2,1),
(344710,10100016,'Decreases Defense of caster by 10.8',100,1,2),
(344711,10100016,'Increases Slashing, Piercing and Crushing of caster by 16.2',100,1,3),
(344712,108106,'Decreases Threat to target by 660 - 1,100 ',100,1,0),
(344713,10108106,'Forces target to clear their selected target.',100,1,0),
(344714,10108106,'Target cannot target caster for the duration of this effect.',100,1,1),
(344715,112684,'Increases Parry of group members (AE) by 33.1',100,1,0),
(344716,10112684,'Increases Parry of group members (AE) by 33.1',100,1,0),
(344717,117271,'Inflicts 63 - 105 melee damage on target',100,1,0),
(344718,117271,'Decreases Damage Per Second of target by 6.4',100,1,1),
(344719,117271,'Decreases Attack Speed of target by 5.4',100,1,2),
(344720,10117271,'Inflicts 82 - 137 melee damage on target',100,1,0),
(344721,10117271,'Decreases Damage Per Second of target by 6.4',100,1,1),
(344722,10117271,'Decreases Attack Speed of target by 5.4',100,1,2),
(344723,188379,'When Equipped:',100,0,0),
(344724,188379,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(344725,10188379,'When Equipped:',100,0,0),
(344726,10188379,'Reduces reuse time of beneficial spells by 3 percent.',100,1,1),
(344727,109301,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(344728,109301,'Increases Mitigation of group members (AE) vs elemental damage by 806',100,1,1),
(344729,10109301,'Increases Max Power of group members (AE) by 522.1',100,1,0),
(344730,10109301,'Increases Mitigation of group members (AE) vs elemental damage by 806',100,1,1),
(344731,121957,'Inflicts 49 - 81 disease damage on target',100,1,0),
(344732,121957,'Decreases Defense of target by 17.3',100,1,1),
(344733,121957,'Interrupts target',100,1,2),
(344734,10121957,'Inflicts 63 - 105 disease damage on target',100,1,0),
(344735,10121957,'Decreases Defense of target by 17.3',100,1,1),
(344736,10121957,'Interrupts target',100,1,2),
(344737,110540,'Increases Threat to target by 960  instantly and by 400  every 3 seconds thereafter',100,1,0),
(344738,110540,'Applies Knockdown.  Lasts for 2.5 seconds.',100,1,1),
(344739,110540,'Stuns target',100,2,2),
(344740,110540,'Blurs vision of target',100,2,3),
(344741,110540,'Throws target back',100,2,4),
(344742,110540,'Does not affect Epic targets',100,2,5),
(344743,110540,'Inflicts 160 - 267 disease damage on target',100,1,6),
(344744,10110540,'Applies Knockdown.  Lasts for 2.0 seconds.',100,1,0),
(344745,10110540,'Stuns target',100,2,1),
(344746,10110540,'Blurs vision of target',100,2,2),
(344747,10110540,'Throws target back',100,2,3),
(344748,10110540,'Does not affect Epic targets',100,2,4),
(344749,10110540,'Forces target to change their selected target to caster.',100,1,5),
(344750,10110540,'Inflicts 173 - 289 disease damage on target',100,1,6),
(344751,10110540,'Prevents target from changing targets',100,1,7),
(344752,81765,'When Equipped:',100,0,0),
(344753,81765,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344754,81765,'Inflicts 97 - 180 magic damage on target',100,2,2),
(344755,81765,'Cannot be modified except by direct means',100,2,3),
(344756,10081765,'When Equipped:',100,0,0),
(344757,10081765,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344758,10081765,'Inflicts 126 - 234 magic damage on target',100,2,2),
(344759,10081765,'Cannot be modified except by direct means',100,2,3),
(344760,72316,'When Equipped:',100,0,0),
(344761,72316,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344762,72316,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(344763,72316,'Cannot be modified except by direct means',100,2,3),
(344764,10072316,'When Equipped:',100,0,0),
(344765,10072316,'On a spell cast this spell may cast Scintillating Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344766,10072316,'Increases the damage and healing amount of the caster''s spells by 90',100,2,2),
(344767,10072316,'Cannot be modified except by direct means',100,2,3),
(344768,191666,'When Equipped:',100,0,0),
(344769,191666,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(344770,10191666,'When Equipped:',100,0,0),
(344771,10191666,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(344772,139159,'When Equipped:',100,0,0),
(344773,139159,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(344774,10139159,'When Equipped:',100,0,0),
(344775,10139159,'Reduces reuse time of hostile spells by 3 percent.',100,1,1),
(344776,108190,'Increases power of caster by 14 instantly and every 4 seconds',100,1,0),
(344777,10108190,'Increases power of caster by 14 instantly and every 4 seconds',100,1,0),
(344778,114192,'Inflicts 139 - 231 melee damage on target',100,1,0),
(344779,114192,'Decreases Slashing, Crushing and Piercing of target by 5.8',100,1,1),
(344780,10114192,'Inflicts 180 - 301 melee damage on target',100,1,0),
(344781,10114192,'Decreases Slashing, Crushing and Piercing of target by 5.8',100,1,1),
(344782,82058,'When Equipped:',100,0,0),
(344783,82058,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(344784,82058,'Inflicts 138 - 257 magic damage on target',100,2,2),
(344785,82058,'Decreases Threat to target by 641 ',100,2,3),
(344786,82058,'Must be flanking or behind',100,3,4),
(344787,82058,'Increases Threat to target by 641 ',100,2,5),
(344788,82058,'Must be in front of',100,3,6),
(344789,82058,'Cannot be modified except by direct means',100,2,7),
(344790,10082058,'When Equipped:',100,0,0),
(344791,10082058,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(344792,10082058,'Inflicts 180 - 334 magic damage on target',100,2,2),
(344793,10082058,'Cannot be modified except by direct means',100,2,3),
(344794,88695,'When Equipped:',100,0,0),
(344795,88695,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(344796,88695,'Stuns target',100,2,2),
(344797,88695,'Only affects targets level 95 and below',100,2,3),
(344798,88695,'Does not affect Epic targets',100,2,4),
(344799,88695,'Resistibility increases against targets higher than level 103.',100,2,5),
(344800,88695,'Cannot be modified except by direct means',100,2,6),
(344801,10088695,'When Equipped:',100,0,0),
(344802,10088695,'On a combat hit this spell may cast Smash on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(344803,10088695,'Stuns target',100,2,2),
(344804,10088695,'Only affects targets level 95 and below',100,2,3),
(344805,10088695,'Does not affect Epic targets',100,2,4),
(344806,10088695,'Resistibility increases against targets higher than level 103.',100,2,5),
(344807,10088695,'Cannot be modified except by direct means',100,2,6),
(344808,74868,'When Equipped:',100,0,0),
(344809,74868,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344810,74868,'Inflicts 111 - 166 magic damage on target',100,2,2),
(344811,74868,'Cannot be modified except by direct means',100,2,3),
(344812,10074868,'When Equipped:',100,0,0),
(344813,10074868,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344814,10074868,'Inflicts 144 - 216 magic damage on target',100,2,2),
(344815,10074868,'Cannot be modified except by direct means',100,2,3),
(344816,72002,'When Equipped:',100,0,0),
(344817,72002,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344818,72002,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(344819,72002,'Cannot be modified except by direct means',100,2,3),
(344820,10072002,'When Equipped:',100,0,0),
(344821,10072002,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344822,10072002,'Increases the damage and healing amount of the caster''s spells by 60',100,2,2),
(344823,10072002,'Cannot be modified except by direct means',100,2,3),
(344824,170684,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(344825,170684,'Decreases Mitigation of target vs physical damage by 527',100,1,1),
(344826,170684,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(344827,10170684,'Applies Hex of Ruin when Activated.  Lasts for 1 minute 48 seconds.',100,0,0),
(344828,10170684,'Decreases Mitigation of target vs physical damage by 527',100,1,1),
(344829,10170684,'The casting time of Hex of Ruin is 1.0 second and the reuse time of the spell is 5 minutes',100,1,2),
(344830,48351,'Applies Trap the Swamp Rat when Activated.',100,0,0),
(344831,10048351,'Applies Trap the Swamp Rat when Activated.',100,0,0),
(344832,107074,'Inflicts 45 - 55 divine damage on target',100,1,0),
(344833,10107074,'Inflicts 58 - 71 divine damage on target',100,1,0),
(344834,117135,'Inflicts 133 - 162 heat damage on target instantly and every 4 seconds',100,1,0),
(344835,117135,'Decreases Mitigation of target vs arcane damage by 714',100,1,1),
(344836,10117135,'Inflicts 173 - 211 heat damage on target instantly and every 4 seconds',100,1,0),
(344837,10117135,'Decreases Mitigation of target vs arcane damage by 714',100,1,1),
(344838,105863,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(344839,105863,'Increases Damage Per Second of caster by 86.2',100,1,1),
(344840,105863,'Increases Piercing, Slashing and Crushing of caster by 45.6',100,1,2),
(344841,10105863,'Caster will have their chance to hit with a weapon increased by 8.0%',100,1,0),
(344842,10105863,'Increases Damage Per Second of caster by 86.2',100,1,1),
(344843,10105863,'Increases Piercing, Slashing and Crushing of caster by 45.6',100,1,2),
(344844,36207,'Increases Out-of-Combat Power Regeneration of target by 5.7',100,0,0),
(344845,36207,'This effect suspends during combat',100,0,1),
(344846,119360,'Inflicts 261 - 391 disease damage on target',100,1,0),
(344847,119360,'Inflicts 104 - 157 disease damage on target every 4 seconds',100,1,1),
(344848,10119360,'Inflicts 339 - 509 disease damage on target',100,1,0),
(344849,10119360,'Inflicts 136 - 204 disease damage on target every 4 seconds',100,1,1),
(344850,123903,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(344851,123903,'Slows target by 62.7%',100,2,1),
(344852,123903,'5% chance to dispel when target receives hostile action',100,2,2),
(344853,123903,'5% chance to dispel when target takes damage',100,2,3),
(344854,123903,'Decreases Mitigation of target vs elemental and noxious damage by 736',100,1,4),
(344855,10123903,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(344856,10123903,'Slows target by 62.7%',100,2,1),
(344857,10123903,'5% chance to dispel when target receives hostile action',100,2,2),
(344858,10123903,'5% chance to dispel when target takes damage',100,2,3),
(344859,10123903,'Decreases Mitigation of target vs elemental and noxious damage by 736',100,1,4),
(344860,113080,'Dazes target',100,1,0),
(344861,113080,'If Target is not Epic',100,2,1),
(344862,113080,'Applies Scream on termination.',100,1,2),
(344863,113080,'Inflicts 373 - 622 disease damage on target',100,2,3),
(344864,113080,'Resistibility increases against targets higher than level 113.',100,1,4),
(344865,10113080,'Dazes target',100,1,0),
(344866,10113080,'If Target is not Epic',100,2,1),
(344867,10113080,'Applies Scream on termination.',100,1,2),
(344868,10113080,'Inflicts 485 - 809 disease damage on target',100,2,3),
(344869,10113080,'Resistibility increases against targets higher than level 113.',100,1,4),
(344870,113436,'Reduces physical damage done to caster by 5%',100,1,0),
(344871,113436,'Increases STA of caster by 253.4',100,1,1),
(344872,113436,'Adds 5.0% to base avoidance.',100,1,2),
(344873,113436,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(344874,113436,'Increases Defense and Aggression of caster by 49.6',100,1,4),
(344875,113436,'Increases Mitigation of caster vs noxious damage by 3238',100,1,5),
(344876,113436,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(344877,10113436,'Reduces physical damage done to caster by 5%',100,1,0),
(344878,10113436,'Increases STA of caster by 253.4',100,1,1),
(344879,10113436,'Adds 5.0% to base avoidance.',100,1,2),
(344880,10113436,'Decreases Slashing, Piercing and Crushing of caster by 22.4',100,1,3),
(344881,10113436,'Increases Defense and Aggression of caster by 49.6',100,1,4),
(344882,10113436,'Increases Mitigation of caster vs noxious damage by 3238',100,1,5),
(344883,10113436,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',100,1,6),
(344884,117054,'Inflicts 371 - 619 melee damage on target',100,1,0),
(344885,117054,'Decreases Attack Speed of target by 26.7',100,1,1),
(344886,10117054,'Inflicts 483 - 805 melee damage on target',100,1,0),
(344887,10117054,'Decreases Attack Speed of target by 26.7',100,1,1),
(344888,120714,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 24.8',100,1,0),
(344889,10120714,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 24.8',100,1,0),
(344890,114860,'Decreases AGI of target by 44.5',100,1,0),
(344891,114860,'Decreases Defense of target by 17.3',100,1,1),
(344892,10114860,'Decreases AGI of target by 44.5',100,1,0),
(344893,10114860,'Decreases Defense of target by 17.3',100,1,1),
(344894,130970,'When Equipped:',100,0,0),
(344895,130970,'On a hostile spell cast this spell may cast Shut Down on target of spell.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344896,130970,'Stuns target',100,2,2),
(344897,130970,'Only affects targets level 80 and below',100,2,3),
(344898,130970,'Does not affect Epic targets',100,2,4),
(344899,130970,'Resistibility increases against targets higher than level 99.',100,2,5),
(344900,130970,'Cannot be modified except by direct means',100,2,6),
(344901,10130970,'When Equipped:',100,0,0),
(344902,10130970,'On a hostile spell cast this spell may cast Shut Down on target of spell.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344903,10130970,'Stuns target',100,2,2),
(344904,10130970,'Only affects targets level 80 and below',100,2,3),
(344905,10130970,'Does not affect Epic targets',100,2,4),
(344906,10130970,'Resistibility increases against targets higher than level 99.',100,2,5),
(344907,10130970,'Cannot be modified except by direct means',100,2,6),
(344908,109497,'Inflicts 549 - 915 cold damage on target',100,1,0),
(344909,10109497,'Inflicts 714 - 1190 cold damage on target',100,1,0),
(344910,119545,'Wards group members (AE) against 873 points of arcane damage',100,1,0),
(344911,119545,'Increases Mitigation of group members (AE) vs arcane damage by 516',100,1,1),
(344912,10119545,'Wards group members (AE) against 873 points of arcane damage',100,1,0),
(344913,10119545,'Increases Mitigation of group members (AE) vs arcane damage by 516',100,1,1),
(344914,121832,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(344915,121832,'Increases Mitigation of group members (AE) vs arcane damage by 770',100,1,1),
(344916,10121832,'Increases Max Health of group members (AE) by 205.8',100,1,0),
(344917,10121832,'Increases Mitigation of group members (AE) vs arcane damage by 770',100,1,1),
(344918,122833,'Inflicts 349 - 582 ranged damage on target',100,1,0),
(344919,122833,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(344920,122833,'Increases Hate Gain of target by 30.0%',100,2,2),
(344921,122833,'Grants a total of 1 trigger of the spell.',100,2,3),
(344922,122833,'Requires bow',100,1,4),
(344923,10122833,'Inflicts 262 - 436 ranged damage on target',100,1,0),
(344924,10122833,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',100,1,1),
(344925,10122833,'Grants a total of 1 trigger of the spell.',100,2,2),
(344926,10122833,'Requires bow',100,1,3),
(344927,106485,'Decreases STR and AGI of target by 47.2',100,1,0),
(344928,10106485,'Decreases STR and AGI of target by 47.2',100,1,0),
(344929,116361,'Mesmerizes target encounter',100,1,0),
(344930,116361,'Prevents AOE (except when direct) ',100,1,1),
(344931,116361,'Dispelled when target takes damage',100,1,2),
(344932,116361,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',100,1,3),
(344933,116361,'Resistibility increases against targets higher than level 94.',100,1,4),
(344934,10116361,'Mesmerizes target encounter',100,1,0),
(344935,10116361,'Prevents AOE (except when direct) ',100,1,1),
(344936,10116361,'Dispelled when target takes damage',100,1,2),
(344937,10116361,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',100,1,3),
(344938,10116361,'Resistibility increases against targets higher than level 94.',100,1,4),
(344939,46869,'Applies elemental remedy when Activated.',100,0,0),
(344940,46869,'Dispels 68 levels of elemental hostile effects on caster',100,1,1),
(344941,10046869,'Applies elemental remedy when Activated.',100,0,0),
(344942,10046869,'Dispels 68 levels of elemental hostile effects on caster',100,1,1),
(344943,41509,'When Equipped:',100,0,0),
(344944,41509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344945,41509,'Inflicts 48 - 90 magic damage on target',100,2,2),
(344946,41509,'Cannot be modified except by direct means',100,2,3),
(344947,10041509,'When Equipped:',100,0,0),
(344948,10041509,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344949,10041509,'Inflicts 63 - 116 magic damage on target',100,2,2),
(344950,10041509,'Cannot be modified except by direct means',100,2,3),
(344951,121310,'Inflicts 211 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(344952,121310,'Inflicts 695 - 1159 melee damage on targets in area',100,1,1),
(344953,121310,'You must be in stealth or have Bloody Assault.',100,1,2),
(344954,10121310,'Inflicts 274 piercing damage on targets in Area of Effect instantly and every 2 seconds',100,1,0),
(344955,10121310,'Inflicts 904 - 1507 melee damage on targets in area',100,1,1),
(344956,10121310,'You must be in stealth or have Bloody Assault.',100,1,2),
(344957,144628,'When Equipped:',100,0,0),
(344958,144628,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344959,144628,'Wards target against 1000 points of all damage',100,2,2),
(344960,144628,'Cannot be modified except by direct means',100,2,3),
(344961,144628,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(344962,10144628,'When Equipped:',100,0,0),
(344963,10144628,'On a healing spell cast this spell may cast Ancient Invigoration of War on target of spell.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(344964,10144628,'Wards target against 1000 points of all damage',100,2,2),
(344965,10144628,'Cannot be modified except by direct means',100,2,3),
(344966,10144628,'Must not be in an Expansion: Destiny of Velious zone',100,1,4),
(344967,102107,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,0),
(344968,102107,'Stuns target',100,2,1),
(344969,102107,'Blurs vision of target',100,2,2),
(344970,102107,'Throws target back',100,2,3),
(344971,102107,'Does not affect Epic targets',100,2,4),
(344972,102107,'Inflicts 127 - 212 crushing damage on target',100,1,5),
(344973,10102107,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,0),
(344974,10102107,'Stuns target',100,2,1),
(344975,10102107,'Blurs vision of target',100,2,2),
(344976,10102107,'Throws target back',100,2,3),
(344977,10102107,'Does not affect Epic targets',100,2,4),
(344978,10102107,'Inflicts 165 - 276 crushing damage on target',100,1,5),
(344979,100036,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(344980,100036,'Inflicts 168 - 280 melee damage on targets in area',100,2,1),
(344981,100036,'Decreases Defense of caster by 23.4',100,1,2),
(344982,100036,'Increases Slashing, Piercing and Crushing of caster by 38.6',100,1,3),
(344983,10100036,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',100,1,0),
(344984,10100036,'Inflicts 218 - 364 melee damage on targets in area',100,2,1),
(344985,10100036,'Decreases Defense of caster by 23.4',100,1,2),
(344986,10100036,'Increases Slashing, Piercing and Crushing of caster by 38.6',100,1,3),
(344987,74924,'When Equipped:',100,0,0),
(344988,74924,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344989,74924,'Inflicts 26 - 40 magic damage on target',100,2,2),
(344990,74924,'Cannot be modified except by direct means',100,2,3),
(344991,10074924,'When Equipped:',100,0,0),
(344992,10074924,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(344993,10074924,'Inflicts 34 - 51 magic damage on target',100,2,2),
(344994,10074924,'Cannot be modified except by direct means',100,2,3),
(344995,41623,'When Equipped:',100,0,0),
(344996,41623,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(344997,41623,'Inflicts 237 - 440 magic damage on target',100,2,2),
(344998,41623,'Decreases Threat to target by 1,174 ',100,2,3),
(344999,41623,'Must be flanking or behind',100,3,4),
(345000,41623,'Increases Threat to target by 1,174 ',100,2,5),
(345001,41623,'Must be in front of',100,3,6),
(345002,41623,'Cannot be modified except by direct means',100,2,7),
(345003,10041623,'When Equipped:',100,0,0),
(345004,10041623,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(345005,10041623,'Inflicts 308 - 572 magic damage on target',100,2,2),
(345006,10041623,'Cannot be modified except by direct means',100,2,3),
(345007,46530,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(345008,46530,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(345009,46530,'Decreases INT of target by 68.4',100,2,2),
(345010,46530,'Decreases Disruption, Ordination, Subjugation and Ministration of target by 26.1',100,2,3),
(345011,46530,'Cannot be modified except by direct means',100,2,4),
(345012,46530,'Grants a total of 60 triggers of the spell.',100,2,5),
(345013,10046530,'Applies cerebral ebb when Activated.  Lasts for 12 hours.',100,0,0),
(345014,10046530,'On a combat hit this spell may cast Cerebral Ebb on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(345015,10046530,'Decreases INT of target by 68.4',100,2,2),
(345016,10046530,'Decreases Disruption, Ordination, Subjugation and Ministration of target by 26.1',100,2,3),
(345017,10046530,'Cannot be modified except by direct means',100,2,4),
(345018,10046530,'Grants a total of 60 triggers of the spell.',100,2,5),
(345019,121272,'Inflicts 3 - 4 magic damage on target instantly and every 4 seconds',100,1,0),
(345020,10121272,'Inflicts 4 - 5 magic damage on target instantly and every 4 seconds',100,1,0),
(345021,48476,'Applies Thinning Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(345022,48476,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(345023,48476,'Inflicts 308 poison damage on target',100,2,2),
(345024,48476,'Inflicts 50 poison damage on target instantly and every 6 seconds',100,2,3),
(345025,48476,'Cannot be modified except by direct means',100,2,4),
(345026,48476,'Grants a total of 200 triggers of the spell.',100,2,5),
(345027,48476,'Only affects targets level 50 and above',100,1,6),
(345028,10048476,'Applies Thinning Ravaging Disruption when Activated.  Lasts for 12 hours.',100,0,0),
(345029,10048476,'On a combat hit this spell may cast Declining Periodic Poison on target of attack.  Lasts for 24.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(345030,10048476,'Inflicts 49 poison damage on target instantly and every 6 seconds',100,2,2),
(345031,10048476,'Inflicts 300 poison damage on target',100,2,3),
(345032,10048476,'Cannot be modified except by direct means',100,2,4),
(345033,10048476,'Grants a total of 200 triggers of the spell.',100,2,5),
(345034,10048476,'Only affects targets level 50 and above',100,1,6),
(345035,109766,'Inflicts 277 - 514 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(345036,10109766,'Inflicts 360 - 669 cold damage on target encounter instantly and every 3 seconds',100,1,0),
(345037,108425,'Heals target for 1570 - 1919',100,1,0),
(345038,10108425,'Heals target for 1878 - 2296',100,1,0),
(345039,85849,'When Equipped:',100,0,0),
(345040,85849,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(345041,85849,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(345042,85849,'Increases Ability Modifier of caster by 660.0',100,2,3),
(345043,85849,'Must not be engaged in pvp combat',100,2,4),
(345044,85849,'Cannot be modified except by direct means',100,2,5),
(345045,85849,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(345046,85849,'Increases Ability Modifier of caster by 660.0',100,2,7),
(345047,85849,'Must not be engaged in pvp combat',100,2,8),
(345048,85849,'Cannot be modified except by direct means',100,2,9),
(345049,85849,'Cannot be modified except by direct means',100,1,10),
(345050,10085849,'When Equipped:',100,0,0),
(345051,10085849,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,1),
(345052,10085849,'On any combat or spell hit this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,2),
(345053,10085849,'Increases Ability Modifier of caster by 660.0',100,2,3),
(345054,10085849,'Must not be engaged in pvp combat',100,2,4),
(345055,10085849,'Cannot be modified except by direct means',100,2,5),
(345056,10085849,'On a healing spell cast this spell may cast Focused Destruction II on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,6),
(345057,10085849,'Increases Ability Modifier of caster by 660.0',100,2,7),
(345058,10085849,'Must not be engaged in pvp combat',100,2,8),
(345059,10085849,'Cannot be modified except by direct means',100,2,9),
(345060,10085849,'Cannot be modified except by direct means',100,1,10),
(345061,101304,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(345062,101304,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,1),
(345063,10101304,'Increases Max Health of group members (AE) by 689.7',100,1,0),
(345064,10101304,'Increases Mitigation of group members (AE) vs physical damage by 1137',100,1,1),
(345065,123562,'Increases STR of group members (AE) by 14.6',100,1,0),
(345066,123562,'Increases Max Health of group members (AE) by 76.8',100,1,1),
(345067,10123562,'Increases STR of group members (AE) by 14.6',100,1,0),
(345068,10123562,'Increases Max Health of group members (AE) by 76.8',100,1,1),
(345069,171178,'When Equipped:',100,0,0),
(345070,171178,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(345071,171178,'Inflicts 696 - 769 piercing damage on target instantly and every 3 seconds',100,2,2),
(345072,171178,'Heals caster for 762 - 842 instantly and every 3 seconds',100,2,3),
(345073,171178,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(345074,171178,'Must not be engaged in pvp combat',100,2,5),
(345075,171178,'Cannot be modified except by direct means',100,2,6),
(345076,171178,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(345077,171178,'Must not be engaged in pvp combat',100,1,8),
(345078,10171178,'When Equipped:',100,0,0),
(345079,10171178,'On any combat or spell hit this spell may cast Siphoning Eulogy on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.2 times per minute. ',100,1,1),
(345080,10171178,'Inflicts 905 - 1000 piercing damage on target instantly and every 3 seconds',100,2,2),
(345081,10171178,'Heals caster for 891 - 985 instantly and every 3 seconds',100,2,3),
(345082,10171178,'Increases Crit Bonus of caster by 3.0%',100,2,4),
(345083,10171178,'Must not be engaged in pvp combat',100,2,5),
(345084,10171178,'Cannot be modified except by direct means',100,2,6),
(345085,10171178,'This effect will not stack with itself if adorned on multiple items.',100,1,7),
(345086,10171178,'Must not be engaged in pvp combat',100,1,8),
(345087,121974,'Inflicts 120 - 200 disease damage on target',100,1,0),
(345088,121974,'Decreases Defense of target by 36.8',100,1,1),
(345089,121974,'Interrupts target',100,1,2),
(345090,10121974,'Inflicts 156 - 260 disease damage on target',100,1,0),
(345091,10121974,'Decreases Defense of target by 36.8',100,1,1),
(345092,10121974,'Interrupts target',100,1,2),
(345093,46483,'Applies Glacial Savage when Activated.',100,0,0),
(345094,46483,'Increases Max Health of caster by 300.0',100,1,1),
(345095,46483,'Increases Max Power of caster by 300.0',100,1,2),
(345096,46483,'Summons a mount to ride',100,1,3),
(345097,46483,'Increases your ground speed by 130%',100,2,4),
(345098,46483,'If above level 85',100,1,5),
(345099,10046483,'Applies Glacial Savage when Activated.',100,0,0),
(345100,10046483,'Increases Max Health of caster by 300.0',100,1,1),
(345101,10046483,'Increases Max Power of caster by 300.0',100,1,2),
(345102,10046483,'Summons a mount to ride',100,1,3),
(345103,10046483,'Increases your ground speed by 130%',100,2,4),
(345104,10046483,'If above level 85',100,1,5),
(345105,46738,'Applies Karrik''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(345106,46738,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(345107,10046738,'Applies Karrik''s Absolution when Activated.  Lasts for 30 minutes.',100,0,0),
(345108,10046738,'Increases Mitigation of caster vs physical damage by 120',100,1,1),
(345109,102385,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(345110,102385,'Increases Attack Speed of target by 23.9',100,2,1),
(345111,102385,'Increases Damage Per Second of target by 23.9',100,2,2),
(345112,102385,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(345113,102385,'Increases Attack Speed of target by 23.9',100,2,4),
(345114,102385,'Increases Damage Per Second of target by 23.9',100,2,5),
(345115,102385,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(345116,102385,'Increases Attack Speed of target by 23.9',100,2,7),
(345117,102385,'Increases Damage Per Second of target by 23.9',100,2,8),
(345118,10102385,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',100,1,0),
(345119,10102385,'Increases Attack Speed of target by 23.9',100,2,1),
(345120,10102385,'Increases Damage Per Second of target by 23.9',100,2,2),
(345121,10102385,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,3),
(345122,10102385,'Increases Attack Speed of target by 23.9',100,2,4),
(345123,10102385,'Increases Damage Per Second of target by 23.9',100,2,5),
(345124,10102385,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',100,1,6),
(345125,10102385,'Increases Attack Speed of target by 23.9',100,2,7),
(345126,10102385,'Increases Damage Per Second of target by 23.9',100,2,8),
(345127,106664,'Heals caster for 49.1 - 60.1% of max health',100,1,0),
(345128,106664,'This effect cannot be critically applied.',100,2,1),
(345129,106664,'Increases Max Health of caster by 193.5',100,1,2),
(345130,106664,'The healing of this spell cannot be modified except by direct means',100,1,3),
(345131,10106664,'Heals caster for 15.1 - 18.5% of max health',100,1,0),
(345132,10106664,'This effect cannot be critically applied.',100,2,1),
(345133,10106664,'Increases Max Health of caster by 193.5',100,1,2),
(345134,10106664,'The healing of this spell cannot be modified except by direct means',100,1,3),
(345135,25465,'When Equipped:',100,0,0),
(345136,25465,'Improves the duration of Defensive Minded by 10 seconds.',100,1,1),
(345137,25465,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(345138,10025465,'When Equipped:',100,0,0),
(345139,10025465,'Improves the duration of Defensive Minded by 10 seconds.',100,1,1),
(345140,10025465,'This focus effect will not stack with itself if adorned on multiple items.',100,1,2),
(345141,106966,'Inflicts 297 - 552 poison damage on target',100,1,0),
(345142,106966,'Increases power of caster by 28',100,1,1),
(345143,10106966,'Inflicts 387 - 718 poison damage on target',100,1,0),
(345144,10106966,'Increases power of caster by 28',100,1,1),
(345145,113130,'Decreases Attack Speed of target encounter by 15.5',100,1,0),
(345146,10113130,'Decreases Attack Speed of target encounter by 15.5',100,1,0),
(345147,46296,'Applies Summon Fang when Activated.',100,0,0),
(345148,46296,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(345149,46296,'Increases caster''s chance to block by 1.0%',100,1,2),
(345150,46296,'Increases Hate Gain of caster by 3.0%',100,1,3),
(345151,46296,'Increases Max Health of caster by 200.0',100,1,4),
(345152,46296,'Summons a mount to ride',100,1,5),
(345153,46296,'Increases your ground speed by 130%',100,2,6),
(345154,10046296,'Applies Summon Fang when Activated.',100,0,0),
(345155,10046296,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',100,1,1),
(345156,10046296,'Increases caster''s chance to block by 1.0%',100,1,2),
(345157,10046296,'Increases Max Health of caster by 200.0',100,1,3),
(345158,10046296,'Summons a mount to ride',100,1,4),
(345159,10046296,'Increases your ground speed by 130%',100,2,5),
(345160,139398,'When Equipped:',100,0,0),
(345161,139398,'Reduces the reuse timers of all combat arts by 5%.',100,1,1),
(345162,10139398,'When Equipped:',100,0,0),
(345163,10139398,'Reduces the reuse timers of all combat arts by 5%.',100,1,1),
(345164,48836,'Applies Translucent Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(345165,48836,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(345166,48836,'Decreases INT and WIS of target by 27.4',100,2,2),
(345167,48836,'Cannot be modified except by direct means',100,2,3),
(345168,48836,'Grants a total of 30 triggers of the spell.',100,2,4),
(345169,48836,'Only affects targets level 50 and above',100,1,5),
(345170,10048836,'Applies Translucent Mage''s Bane when Activated.  Lasts for 12 hours.',100,0,0),
(345171,10048836,'On a combat hit this spell may cast Poison on target of attack.  Lasts for 1 minute 12 seconds.  Triggers about 3.0 times per minute. ',100,1,1),
(345172,10048836,'Decreases INT and WIS of target by 27.4',100,2,2),
(345173,10048836,'Cannot be modified except by direct means',100,2,3),
(345174,10048836,'Grants a total of 30 triggers of the spell.',100,2,4),
(345175,10048836,'Only affects targets level 50 and above',100,1,5),
(345176,37109,'Increases STR of target by 10.5',100,0,0),
(345177,37109,'Increases Out-of-Combat Health Regeneration of target by 102.5',100,0,1),
(345178,181291,'When Equipped:',100,0,0),
(345179,181291,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(345180,10181291,'When Equipped:',100,0,0),
(345181,10181291,'Reduces reuse time of all spells by 1 percent.',100,1,1),
(345182,119735,'Wards group members (AE) against 99 points of elemental, noxious and arcane damage',100,1,0),
(345183,119735,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,1),
(345184,10119735,'Wards group members (AE) against 99 points of elemental, noxious and arcane damage',100,1,0),
(345185,10119735,'Increases Mitigation of group members (AE) vs physical damage by 531',100,1,1),
(345186,70844,'When Equipped:',100,0,0),
(345187,70844,'On a combat hit this spell may cast Provoking Assault on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345188,70844,'Increases Threat to target by 500 ',100,2,2),
(345189,70844,'Cannot be modified except by direct means',100,2,3),
(345190,10070844,'When Equipped:',100,0,0),
(345191,10070844,'On a combat hit this spell may cast Provoking Assault on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345192,10070844,'Forces target to change their selected target to caster.',100,2,2),
(345193,10070844,'Cannot be modified except by direct means',100,2,3),
(345194,111046,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(345195,111046,'Increases Threat to target by 702 ',100,2,1),
(345196,111046,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(345197,111046,'Increases Threat to target by 702 ',100,2,3),
(345198,10111046,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',100,1,0),
(345199,10111046,'Inflicts 97 - 107 crushing damage on target',100,2,1),
(345200,10111046,'On a block this spell will cast Holding the Line on target''s victim.  ',100,1,2),
(345201,10111046,'Inflicts 97 - 107 crushing damage on target',100,2,3),
(345202,186264,'When Equipped:',100,0,0),
(345203,186264,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(345204,10186264,'When Equipped:',100,0,0),
(345205,10186264,'Reduces cast time of hostile spells by 2 percent.',100,1,1),
(345206,24638,'Adds Poet''s Palace: Large Brass Pedestal to your Dungeon Maker toolbox',100,0,0),
(345207,10024638,'Adds Poet''s Palace: Large Brass Pedestal to your Dungeon Maker toolbox',100,0,0),
(345208,171268,'When Equipped:',100,0,0),
(345209,171268,'On a critical healing spell cast this spell may cast Ward of Duality VIII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345210,171268,'Wards target against 1500 points of all damage',100,2,2),
(345211,171268,'Wards caster against 750 points of all damage',100,2,3),
(345212,171268,'Must not be engaged in pvp combat',100,2,4),
(345213,171268,'Cannot be modified except by direct means',100,2,5),
(345214,171268,'Must not be engaged in pvp combat',100,1,6),
(345215,10171268,'When Equipped:',100,0,0),
(345216,10171268,'On a critical healing spell cast this spell may cast Ward of Duality VIII on target of spell cast.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345217,10171268,'Wards target against 1500 points of all damage',100,2,2),
(345218,10171268,'Wards caster against 750 points of all damage',100,2,3),
(345219,10171268,'Must not be engaged in pvp combat',100,2,4),
(345220,10171268,'Cannot be modified except by direct means',100,2,5),
(345221,10171268,'Must not be engaged in pvp combat',100,1,6),
(345222,80072,'When Equipped:',100,0,0),
(345223,80072,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345224,80072,'Wards group members (AE) against 4400 points of all damage',100,2,2),
(345225,80072,'Must not be engaged in pvp combat',100,2,3),
(345226,80072,'Cannot be modified except by direct means',100,2,4),
(345227,80072,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(345228,80072,'Cannot be modified except by direct means',100,1,6),
(345229,10080072,'When Equipped:',100,0,0),
(345230,10080072,'On a healing spell cast this spell may cast Engulfing Aegis IV on target of spell.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345231,10080072,'Wards group members (AE) against 4400 points of all damage',100,2,2),
(345232,10080072,'Must not be engaged in pvp combat',100,2,3),
(345233,10080072,'Cannot be modified except by direct means',100,2,4),
(345234,10080072,'\\#FF0000This effect will not stack with any rank or tier of itself.\\/c',100,1,5),
(345235,10080072,'Cannot be modified except by direct means',100,1,6),
(345236,48631,'Applies Aegis of Shimmering Light  when Activated.  Lasts for 30 minutes.',100,0,0),
(345237,10048631,'Applies Aegis of Shimmering Light  when Activated.  Lasts for 30 minutes.',100,0,0),
(345238,105550,'Inflicts 66 - 122 disease damage on target',100,1,0),
(345239,105550,'Inflicts 39 - 73 disease damage on target every 2 seconds',100,1,1),
(345240,10105550,'Inflicts 85 - 158 disease damage on target',100,1,0),
(345241,10105550,'Inflicts 51 - 95 disease damage on target every 2 seconds',100,1,1),
(345242,49091,'Applies Zap when Activated.',100,0,0),
(345243,10049091,'Applies Zap when Activated.',100,0,0),
(345244,109118,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(345245,109118,'Increases Attack Speed of caster by 46.9',100,1,1),
(345246,109118,'Increases Damage Per Second of caster by 54.0',100,1,2),
(345247,109118,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(345248,109118,'Increases Ranged of caster by 60.0',100,1,4),
(345249,109118,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(345250,109118,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(345251,109118,'Increases Crushing of group members (AE) by 60.0',100,2,7),
(345252,109118,'Increases Slashing of group members (AE) by 60.0',100,2,8),
(345253,109118,'If profession other than Ranger',100,3,9),
(345254,109118,'Increases Piercing of group members (AE) by 60.0',100,2,10),
(345255,109118,'If profession other than Ranger',100,3,11),
(345256,10109118,'Caster will have their chance to hit with a weapon increased by 5.0%',100,1,0),
(345257,10109118,'Increases Attack Speed of caster by 46.9',100,1,1),
(345258,10109118,'Increases Damage Per Second of caster by 54.0',100,1,2),
(345259,10109118,'Decreases Slashing and Piercing of caster by 150.0',100,1,3),
(345260,10109118,'Increases Ranged of caster by 60.0',100,1,4),
(345261,10109118,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',100,1,5),
(345262,10109118,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',100,2,6),
(345263,10109118,'Increases Crushing of group members (AE) by 60.0',100,2,7),
(345264,10109118,'Increases Slashing of group members (AE) by 60.0',100,2,8),
(345265,10109118,'If profession other than Ranger',100,3,9),
(345266,10109118,'Increases Piercing of group members (AE) by 60.0',100,2,10),
(345267,10109118,'If profession other than Ranger',100,3,11),
(345268,107978,'Increases In-Combat Power Regeneration of group members (AE) by 53.0',100,1,0),
(345269,10107978,'Increases In-Combat Power Regeneration of group members (AE) by 53.0',100,1,0),
(345270,103132,'Increases STR of caster by 90.9',100,1,0),
(345271,103132,'Adds 3.9% to base avoidance.',100,1,1),
(345272,103132,'Increases Mitigation of caster vs physical damage by 581',100,1,2),
(345273,103132,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,3),
(345274,10103132,'Increases STR of caster by 90.9',100,1,0),
(345275,10103132,'Adds 3.9% to base avoidance.',100,1,1),
(345276,10103132,'Increases Mitigation of caster vs physical damage by 581',100,1,2),
(345277,10103132,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1725',100,1,3),
(345278,103502,'Charms target',100,1,0),
(345279,103502,'If outside an arena',100,1,1),
(345280,103502,'Certain enemies cannot be charmed',100,1,2),
(345281,103502,'Does not affect Epic targets',100,1,3),
(345282,10103502,'Mesmerizes target',100,1,0),
(345283,10103502,'Prevents AOE (except when direct) ',100,1,1),
(345284,10103502,'Dispelled when target takes damage',100,1,2),
(345285,10103502,'If outside an arena',100,1,3),
(345286,10103502,'Certain enemies cannot be charmed',100,1,4),
(345287,10103502,'Does not affect Epic targets',100,1,5),
(345288,10103502,'Resistibility increases against targets higher than level 49.',100,1,6),
(345289,124205,'Decreases Attack Speed of caster by 11.3',100,1,0),
(345290,124205,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(345291,124205,'Slows targets in Area of Effect by 39.1%',100,2,2),
(345292,124205,'5% chance to dispel when target receives hostile action',100,2,3),
(345293,124205,'5% chance to dispel when target takes damage',100,2,4),
(345294,124205,'Increases Mitigation of caster vs physical damage by 178',100,1,5),
(345295,10124205,'Decreases Attack Speed of caster by 11.3',100,1,0),
(345296,10124205,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 5.0 seconds.  Triggers about 5.0 times per minute. ',100,1,1),
(345297,10124205,'Slows targets in Area of Effect by 29.3%',100,2,2),
(345298,10124205,'5% chance to dispel when target receives hostile action',100,2,3),
(345299,10124205,'5% chance to dispel when target takes damage',100,2,4),
(345300,10124205,'Increases Mitigation of caster vs physical damage by 178',100,1,5),
(345301,101170,'Applies Snare on termination.  Lasts for 24.0 seconds.',100,1,0),
(345302,101170,'Slows target by 46.5%',100,2,1),
(345303,101170,'5% chance to dispel when target receives hostile action',100,2,2),
(345304,101170,'5% chance to dispel when target takes damage',100,2,3),
(345305,101170,'Inflicts 52 - 87 cold damage on target',100,1,4),
(345306,101170,'Inflicts 52 - 87 cold damage on target',100,1,5),
(345307,101170,'If weapon equipped in Ranged',100,1,6),
(345308,10101170,'Applies Snare on termination.  Lasts for 5.0 seconds.',100,1,0),
(345309,10101170,'Slows target by 46.5%',100,2,1),
(345310,10101170,'5% chance to dispel when target receives hostile action',100,2,2),
(345311,10101170,'5% chance to dispel when target takes damage',100,2,3),
(345312,10101170,'Inflicts 39 - 65 cold damage on target',100,1,4),
(345313,10101170,'Inflicts 39 - 65 cold damage on target',100,1,5),
(345314,10101170,'If weapon equipped in Ranged',100,1,6),
(345315,116596,'Inflicts 199 - 332 divine damage on target',100,1,0),
(345316,10116596,'Inflicts 259 - 432 divine damage on target',100,1,0),
(345317,115052,'Heals target for 975 - 1192',100,1,0),
(345318,10115052,'Heals target for 1366 - 1669',100,1,0),
(345319,107278,'Inflicts 220 - 367 ranged damage on target',100,1,0),
(345320,107278,'Inflicts 220 - 367 ranged damage on target',100,1,1),
(345321,107278,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',100,1,2),
(345322,107278,'Stuns target',100,2,3),
(345323,107278,'Throws target back',100,2,4),
(345324,107278,'Blurs vision of target',100,2,5),
(345325,107278,'Does not affect Epic targets',100,2,6),
(345326,107278,'If weapon equipped in Ranged',100,1,7),
(345327,10107278,'Inflicts 165 - 275 ranged damage on target',100,1,0),
(345328,10107278,'Inflicts 165 - 275 ranged damage on target',100,1,1),
(345329,10107278,'Applies Knockdown on termination.  Lasts for 2.0 seconds.',100,1,2),
(345330,10107278,'Stuns target',100,2,3),
(345331,10107278,'Throws target back',100,2,4),
(345332,10107278,'Blurs vision of target',100,2,5),
(345333,10107278,'Does not affect Epic targets',100,2,6),
(345334,10107278,'If weapon equipped in Ranged',100,1,7),
(345335,121857,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(345336,121857,'Increases Mitigation of group members (AE) vs arcane damage by 242',100,1,1),
(345337,10121857,'Increases Max Health of group members (AE) by 47.3',100,1,0),
(345338,10121857,'Increases Mitigation of group members (AE) vs arcane damage by 242',100,1,1),
(345339,157002,'When Equipped:',100,0,0),
(345340,157002,'Applies Frosty Breath',100,1,1),
(345341,10157002,'When Equipped:',100,0,0),
(345342,10157002,'Applies Frosty Breath',100,1,1),
(345343,107585,'Dazes target encounter',100,1,0),
(345344,107585,'Inflicts 175 - 214 mental damage on target encounter',100,1,1),
(345345,107585,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(345346,107585,'Resistibility increases against targets higher than level 68.',100,1,3),
(345347,10107585,'Inflicts 227 - 278 mental damage on target encounter',100,1,0),
(345348,10107585,'Dazes target encounter',100,1,1),
(345349,10107585,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(345350,10107585,'Resistibility increases against targets higher than level 68.',100,1,3),
(345351,123079,'Summons a pet undead knight',100,1,0),
(345352,10123079,'Summons a pet undead knight',100,1,0),
(345353,45399,'Applies Shot to the Heart when Activated.  Lasts for 30.0 seconds.',100,0,0),
(345354,45399,'Mesmerizes target',100,1,1),
(345355,45399,'Dispelled when target takes damage',100,1,2),
(345356,45399,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(345357,45399,'Resistibility increases against targets higher than level 30.',100,1,4),
(345358,10045399,'Applies Shot to the Heart when Activated.  Lasts for 30.0 seconds.',100,0,0),
(345359,10045399,'Mesmerizes target',100,1,1),
(345360,10045399,'Dispelled when target takes damage',100,1,2),
(345361,10045399,'Epic targets gain an immunity to Mesmerize effects of 1 minute 30 seconds and duration is reduced to 10.0 seconds.',100,1,3),
(345362,10045399,'Resistibility increases against targets higher than level 30.',100,1,4),
(345363,115534,'Increases Mitigation of raid and group members (AE) vs noxious damage by 308',100,1,0),
(345364,10115534,'Increases Mitigation of raid and group members (AE) vs noxious damage by 308',100,1,0),
(345365,118261,'Increases Threat to target encounter by 273 - 334 ',100,1,0),
(345366,118261,'Decreases Mitigation of target encounter vs arcane damage by 360',100,1,1),
(345367,10118261,'Applies Annoy.  Lasts for 3.0 seconds.',100,1,0),
(345368,10118261,'Prevents target from changing targets',100,2,1),
(345369,10118261,'Forces target to change their selected target to caster.',100,2,2),
(345370,10118261,'Decreases Mitigation of target encounter vs arcane damage by 360',100,1,3),
(345371,171071,'When Equipped:',100,0,0),
(345372,171071,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(345373,171071,'Inflicts 1199 disease damage on target encounter',100,2,2),
(345374,171071,'Must not be engaged in pvp combat',100,2,3),
(345375,171071,'Cannot be modified except by direct means',100,2,4),
(345376,10171071,'When Equipped:',100,0,0),
(345377,10171071,'On any combat or spell hit this spell may cast Pestilential Rain on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(345378,10171071,'Inflicts 779 disease damage on target encounter',100,2,2),
(345379,10171071,'Must not be engaged in pvp combat',100,2,3),
(345380,10171071,'Cannot be modified except by direct means',100,2,4),
(345381,102956,'Inflicts 163 - 199 disease damage on target instantly and every 4 seconds',100,1,0),
(345382,10102956,'Inflicts 276 - 337 disease damage on target',100,1,0),
(345383,10102956,'Inflicts 212 - 259 disease damage on target every 4 seconds',100,1,1),
(345384,115793,'Increases in-combat movement speed of group members (AE) by 40.0%',100,1,0),
(345385,115793,'Dispels 81 levels of hostile Root effects on group members (AE)',100,1,1),
(345386,10115793,'Increases in-combat movement speed of group members (AE) by 25.0%',100,1,0),
(345387,10115793,'Dispels 81 levels of hostile Root effects on group members (AE)',100,1,1),
(345388,48088,'Applies Toss Pie when Activated.',100,0,0),
(345389,10048088,'Applies Toss Pie when Activated.',100,0,0),
(345390,47233,'Applies Essence of the Treefolk  when Activated.',100,0,0),
(345391,47233,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(345392,10047233,'Applies Essence of the Treefolk  when Activated.',100,0,0),
(345393,10047233,'Dispels 28 levels of noxious hostile effects on caster',100,1,1),
(345394,158608,'When Equipped:',100,0,0),
(345395,158608,'On a healing spell cast this spell may cast Unearthly Vigor on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345396,158608,'Wards target against 2200 points of all damage',100,2,2),
(345397,158608,'Cannot be modified except by direct means',100,2,3),
(345398,158608,'Cannot be modified except by direct means',100,1,4),
(345399,10158608,'When Equipped:',100,0,0),
(345400,10158608,'On a healing spell cast this spell may cast Unearthly Vigor on target of spell cast.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345401,10158608,'Wards target against 2200 points of all damage',100,2,2),
(345402,10158608,'Cannot be modified except by direct means',100,2,3),
(345403,10158608,'Cannot be modified except by direct means',100,1,4),
(345404,122143,'Interrupts target',100,1,0),
(345405,122143,'Dispels 95 levels of arcane beneficial effects on target',100,1,1),
(345406,122143,'Increases Threat to target by 1,545 ',100,1,2),
(345407,10122143,'Interrupts target',100,1,0),
(345408,10122143,'Forces target to change their selected target to caster.',100,1,1),
(345409,10122143,'Dispels 95 levels of arcane beneficial effects on target',100,1,2),
(345410,27431,'When Equipped:',100,0,0),
(345411,27431,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(345412,27431,'Inflicts 107 disease damage on target',100,2,2),
(345413,27431,'Cancels up to 7.6% of target''s speed buffs',100,2,3),
(345414,27431,'Cannot be modified except by direct means',100,2,4),
(345415,10027431,'When Equipped:',100,0,0),
(345416,10027431,'On a combat hit this spell may cast Septic Feedback on target of attack.  Lasts for 20.0 seconds.  Triggers about 1.0 times per minute. ',100,1,1),
(345417,10027431,'Inflicts 138 disease damage on target',100,2,2),
(345418,10027431,'Cancels up to 7.6% of target''s speed buffs',100,2,3),
(345419,10027431,'Cannot be modified except by direct means',100,2,4),
(345420,80979,'When Equipped:',100,0,0),
(345421,80979,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345422,80979,'Inflicts 169 - 314 magic damage on target',100,2,2),
(345423,80979,'Cannot be modified except by direct means',100,2,3),
(345424,10080979,'When Equipped:',100,0,0),
(345425,10080979,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345426,10080979,'Inflicts 220 - 409 magic damage on target',100,2,2),
(345427,10080979,'Cannot be modified except by direct means',100,2,3),
(345428,105517,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.2',100,1,0),
(345429,10105517,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.2',100,1,0),
(345430,103568,'Increases In-Combat Power Regeneration of group members (AE) by 51.0',100,1,0),
(345431,10103568,'Increases In-Combat Power Regeneration of group members (AE) by 51.0',100,1,0),
(345432,48329,'Applies Superior Enigmatic Formula when Activated.',100,0,0),
(345433,48329,'Dispels 68 levels of arcane hostile effects on caster',100,1,1),
(345434,10048329,'Applies Superior Enigmatic Formula when Activated.',100,0,0),
(345435,10048329,'Dispels 68 levels of arcane hostile effects on caster',100,1,1),
(345436,107584,'Dazes target encounter',100,1,0),
(345437,107584,'Inflicts 222 - 272 mental damage on target encounter',100,1,1),
(345438,107584,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',100,1,2),
(345439,107584,'Resistibility increases against targets higher than level 68.',100,1,3),
(345440,10107584,'Inflicts 289 - 353 mental damage on target encounter',100,1,0),
(345441,10107584,'Dazes target encounter',100,1,1),
(345442,10107584,'Epic targets gain an immunity to Daze effects of 6.0 seconds and duration is reduced to 0.7 seconds.',100,1,2),
(345443,10107584,'Resistibility increases against targets higher than level 68.',100,1,3),
(345444,105532,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 33.2',100,1,0),
(345445,10105532,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 33.2',100,1,0),
(345446,45550,'Applies Aura of the Starwatcher  when Activated.  Lasts for 30 minutes.',100,0,0),
(345447,10045550,'Applies Aura of the Starwatcher  when Activated.  Lasts for 30 minutes.',100,0,0),
(345448,120758,'Inflicts 31 - 37 divine damage on target instantly and every 3 seconds',100,1,0),
(345449,120758,'Increases power of caster by 34 instantly and every 3 seconds',100,1,1),
(345450,10120758,'Inflicts 40 - 49 divine damage on target instantly and every 3 seconds',100,1,0),
(345451,10120758,'Increases power of caster by 34 instantly and every 3 seconds',100,1,1),
(345452,110049,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(345453,110049,'Inflicts 451 - 751 disease damage on target',100,2,1),
(345454,110049,'Heals caster for 2.7 - 4.5% of max health',100,2,2),
(345455,110049,'This effect cannot be critically applied.',100,3,3),
(345456,110049,'The healing of this spell cannot be modified except by direct means',100,2,4),
(345457,10110049,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',100,1,0),
(345458,10110049,'Inflicts 586 - 976 disease damage on target',100,2,1),
(345459,10110049,'Heals caster for 0.8 - 1.4% of max health',100,2,2),
(345460,10110049,'This effect cannot be critically applied.',100,3,3),
(345461,10110049,'The healing of this spell cannot be modified except by direct means',100,2,4),
(345462,45029,'Applies Place bait when Activated.',100,0,0),
(345463,45029,'This effect cannot be cast during combat',100,1,1),
(345464,10045029,'Applies Place bait when Activated.',100,0,0),
(345465,10045029,'This effect cannot be cast during combat',100,1,1),
(345466,111772,'Heals caster for 15.4 - 18.8% of max health',100,1,0),
(345467,111772,'This effect cannot be critically applied.',100,2,1),
(345468,111772,'The healing of this spell cannot be modified except by direct means',100,1,2),
(345469,10111772,'Heals caster for 7.7 - 9.4% of max health',100,1,0),
(345470,10111772,'This effect cannot be critically applied.',100,2,1),
(345471,10111772,'The healing of this spell cannot be modified except by direct means',100,1,2),
(345472,80961,'When Equipped:',100,0,0),
(345473,80961,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345474,80961,'Inflicts 169 - 314 magic damage on target',100,2,2),
(345475,80961,'Cannot be modified except by direct means',100,2,3),
(345476,10080961,'When Equipped:',100,0,0),
(345477,10080961,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345478,10080961,'Inflicts 220 - 409 magic damage on target',100,2,2),
(345479,10080961,'Cannot be modified except by direct means',100,2,3),
(345480,80835,'When Equipped:',100,0,0),
(345481,80835,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345482,80835,'Inflicts 188 - 349 magic damage on target',100,2,2),
(345483,80835,'Cannot be modified except by direct means',100,2,3),
(345484,10080835,'When Equipped:',100,0,0),
(345485,10080835,'On a combat hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345486,10080835,'Inflicts 244 - 454 magic damage on target',100,2,2),
(345487,10080835,'Cannot be modified except by direct means',100,2,3),
(345488,163234,'When Equipped:',100,0,0),
(345489,163234,'On a critical combat hit this spell may cast Arcane Vulnerability VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345490,163234,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,2),
(345491,163234,'Must not be engaged in pvp combat',100,2,3),
(345492,163234,'Cannot be modified except by direct means',100,2,4),
(345493,163234,'On a critical spell hit this spell may cast Arcane Vulnerability VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(345494,163234,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,6),
(345495,163234,'Must not be engaged in pvp combat',100,2,7),
(345496,163234,'Cannot be modified except by direct means',100,2,8),
(345497,163234,'Must not be engaged in pvp combat',100,1,9),
(345498,10163234,'When Equipped:',100,0,0),
(345499,10163234,'On a critical combat hit this spell may cast Arcane Vulnerability VII on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345500,10163234,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,2),
(345501,10163234,'Must not be engaged in pvp combat',100,2,3),
(345502,10163234,'Cannot be modified except by direct means',100,2,4),
(345503,10163234,'On a critical spell hit this spell may cast Arcane Vulnerability VII on target of spell.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',100,1,5),
(345504,10163234,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 730',100,2,6),
(345505,10163234,'Must not be engaged in pvp combat',100,2,7),
(345506,10163234,'Cannot be modified except by direct means',100,2,8),
(345507,10163234,'Must not be engaged in pvp combat',100,1,9),
(345508,73915,'Applies Disease Blast when Activated.',100,0,0),
(345509,73915,'Inflicts 173 - 289 disease damage on target',100,1,1),
(345510,73915,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(345511,10073915,'Applies Disease Blast when Activated.',100,0,0),
(345512,10073915,'Inflicts 226 - 376 disease damage on target',100,1,1),
(345513,10073915,'The casting time of Disease Blast is 8.0 seconds and the reuse time of the spell is 2.0 seconds',100,1,2),
(345514,80772,'When Equipped:',100,0,0),
(345515,80772,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(345516,80772,'Inflicts 148 - 275 magic damage on target',100,2,2),
(345517,80772,'Decreases Threat to target by 517 ',100,2,3),
(345518,80772,'Must be flanking or behind',100,3,4),
(345519,80772,'Increases Threat to target by 517 ',100,2,5),
(345520,80772,'Must be in front of',100,3,6),
(345521,80772,'Cannot be modified except by direct means',100,2,7),
(345522,10080772,'When Equipped:',100,0,0),
(345523,10080772,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(345524,10080772,'Inflicts 192 - 357 magic damage on target',100,2,2),
(345525,10080772,'Cannot be modified except by direct means',100,2,3),
(345526,108659,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(345527,108659,'Heals target for 825',100,2,1),
(345528,108659,'Heals target for 206 every 2 seconds',100,2,2),
(345529,108659,'Increases AGI of target by 72.6',100,2,3),
(345530,108659,'Grants a total of 1 trigger of the spell.',100,2,4),
(345531,10108659,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',100,1,0),
(345532,10108659,'Heals target for 536',100,2,1),
(345533,10108659,'Heals target for 134 every 2 seconds',100,2,2),
(345534,10108659,'Increases AGI of target by 72.6',100,2,3),
(345535,10108659,'Grants a total of 1 trigger of the spell.',100,2,4),
(345536,119364,'Inflicts 224 - 337 disease damage on target',100,1,0),
(345537,119364,'Inflicts 90 - 135 disease damage on target every 4 seconds',100,1,1),
(345538,10119364,'Inflicts 292 - 438 disease damage on target',100,1,0),
(345539,10119364,'Inflicts 117 - 175 disease damage on target every 4 seconds',100,1,1),
(345540,47435,'Applies Disintegrate Undead Rift when Activated.',100,0,0),
(345541,47435,'Must be in Starcrest Commune: Shattered Sanctum.',100,1,1),
(345542,10047435,'Applies Disintegrate Undead Rift when Activated.',100,0,0),
(345543,10047435,'Must be in Starcrest Commune: Shattered Sanctum.',100,1,1),
(345544,114621,'Decreases WIS of target by 23.4',100,1,0),
(345545,114621,'Inflicts 172 - 287 melee damage on target',100,1,1),
(345546,114621,'You must be sneaking to use this ability.',100,1,2),
(345547,10114621,'Decreases WIS of target by 23.4',100,1,0),
(345548,10114621,'Inflicts 224 - 373 melee damage on target',100,1,1),
(345549,10114621,'You must be sneaking to use this ability.',100,1,2),
(345550,81758,'When Equipped:',100,0,0),
(345551,81758,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(345552,81758,'Inflicts 108 - 200 magic damage on target',100,2,2),
(345553,81758,'Decreases Threat to target by 487 ',100,2,3),
(345554,81758,'Must be flanking or behind',100,3,4),
(345555,81758,'Increases Threat to target by 487 ',100,2,5),
(345556,81758,'Must be in front of',100,3,6),
(345557,81758,'Cannot be modified except by direct means',100,2,7),
(345558,10081758,'When Equipped:',100,0,0),
(345559,10081758,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(345560,10081758,'Inflicts 140 - 260 magic damage on target',100,2,2),
(345561,10081758,'Cannot be modified except by direct means',100,2,3),
(345562,122452,'Inflicts 530 - 883 magic damage on target',100,1,0),
(345563,10122452,'Inflicts 689 - 1148 magic damage on target',100,1,0),
(345564,104099,'Roots target',100,1,0),
(345565,104099,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',100,1,1),
(345566,104099,'Makes target afraid',100,2,2),
(345567,104099,'Slows target by 17.1%',100,2,3),
(345568,104099,'30% chance to dispel when target takes damage',100,2,4),
(345569,104099,'Resistibility increases against targets higher than level 34.',100,2,5),
(345570,104099,'15% chance to dispel when target takes damage',100,1,6),
(345571,104099,'Does not affect Epic targets',100,1,7),
(345572,104099,'Resistibility increases against targets higher than level 34.',100,1,8),
(345573,10104099,'Roots target',100,1,0),
(345574,10104099,'Applies Chains of Torment on termination.  Lasts for 3.0 seconds.',100,1,1),
(345575,10104099,'Makes target afraid',100,2,2),
(345576,10104099,'Slows target by 17.1%',100,2,3),
(345577,10104099,'30% chance to dispel when target takes damage',100,2,4),
(345578,10104099,'Resistibility increases against targets higher than level 34.',100,2,5),
(345579,10104099,'15% chance to dispel when target takes damage',100,1,6),
(345580,10104099,'Does not affect Epic targets',100,1,7),
(345581,10104099,'Resistibility increases against targets higher than level 34.',100,1,8),
(345582,80378,'When Equipped:',100,0,0),
(345583,80378,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(345584,80378,'Inflicts 48 - 90 magic damage on target',100,2,2),
(345585,80378,'Decreases Threat to target by 153 ',100,2,3),
(345586,80378,'Must be flanking or behind',100,3,4),
(345587,80378,'Increases Threat to target by 153 ',100,2,5),
(345588,80378,'Must be in front of',100,3,6),
(345589,80378,'Cannot be modified except by direct means',100,2,7),
(345590,10080378,'When Equipped:',100,0,0),
(345591,10080378,'On any combat or spell hit this spell may cast Gleaming Strike on target of attack.  Triggers about 1.6 times per minute. ',100,1,1),
(345592,10080378,'Inflicts 63 - 116 magic damage on target',100,2,2),
(345593,10080378,'Cannot be modified except by direct means',100,2,3),
(345594,103662,'Interrupts target',100,1,0),
(345595,103662,'Inflicts 84 - 141 melee damage on target',100,1,1),
(345596,103662,'Must be flanking or behind',100,1,2),
(345597,10103662,'Interrupts target',100,1,0),
(345598,10103662,'Inflicts 110 - 183 melee damage on target',100,1,1),
(345599,10103662,'Must be flanking or behind',100,1,2),
(345600,114127,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(345601,114127,'Increases Mitigation of group members (AE) vs elemental damage by 375',100,1,1),
(345602,10114127,'Increases Max Health of group members (AE) by 86.5',100,1,0),
(345603,10114127,'Increases Mitigation of group members (AE) vs elemental damage by 375',100,1,1),
(345604,191620,'When Equipped:',100,0,0),
(345605,191620,'On a hostile spell hit this spell may cast Wraith Touch on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(345606,191620,'Inflicts 180 - 220 disease damage on target',100,2,2),
(345607,191620,'Heals caster for 55',100,2,3),
(345608,191620,'Cannot be modified except by direct means',100,2,4),
(345609,10191620,'When Equipped:',100,0,0),
(345610,10191620,'On a hostile spell hit this spell may cast Wraith Touch on target of spell.  Triggers about 1.8 times per minute. ',100,1,1),
(345611,10191620,'Inflicts 234 - 286 disease damage on target',100,2,2),
(345612,10191620,'Heals caster for 36',100,2,3),
(345613,10191620,'Cannot be modified except by direct means',100,2,4),
(345614,164646,'When Equipped:',100,0,0),
(345615,164646,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(345616,164646,'Inflicts 2369 - 2618 poison damage on target',100,2,2),
(345617,164646,'Heals caster for 1185 - 1309',100,2,3),
(345618,164646,'Must not be engaged in pvp combat',100,2,4),
(345619,164646,'Cannot be modified except by direct means',100,2,5),
(345620,164646,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(345621,164646,'Cannot be modified except by direct means',100,1,7),
(345622,10164646,'When Equipped:',100,0,0),
(345623,10164646,'On any combat or spell hit this spell may cast Phantasmal Siphon II on target of attack.  Triggers about 2.0 times per minute. ',100,1,1),
(345624,10164646,'Inflicts 3080 - 3404 poison damage on target',100,2,2),
(345625,10164646,'Heals caster for 1386 - 1532',100,2,3),
(345626,10164646,'Must not be engaged in pvp combat',100,2,4),
(345627,10164646,'Cannot be modified except by direct means',100,2,5),
(345628,10164646,'\\#FF0000If adorned on the same item, this effect will not stack with itself.\\/c',100,1,6),
(345629,10164646,'Cannot be modified except by direct means',100,1,7),
(345630,109741,'Inflicts 447 - 746 cold damage on target',100,1,0),
(345631,109741,'If weapon equipped in Ranged',100,1,1),
(345632,10109741,'Inflicts 335 - 559 cold damage on target',100,1,0),
(345633,10109741,'If weapon equipped in Ranged',100,1,1),
(345634,87612,'When Equipped:',100,0,0),
(345635,87612,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(345636,87612,'Inflicts 993 mental damage on target',100,2,2),
(345637,87612,'Increases Threat to target by 2,000 ',100,2,3),
(345638,87612,'Cannot be modified except by direct means',100,2,4),
(345639,87612,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,5),
(345640,87612,'Inflicts 993 mental damage on target',100,2,6),
(345641,87612,'Increases Threat to target by 2,000 ',100,2,7),
(345642,87612,'Cannot be modified except by direct means',100,2,8),
(345643,10087612,'When Equipped:',100,0,0),
(345644,10087612,'When damaged in combat this spell has a 7% chance to cast Undeniable Malice on target''s attacker.  ',100,1,1),
(345645,10087612,'Inflicts 1291 mental damage on target',100,2,2),
(345646,10087612,'Cannot be modified except by direct means',100,2,3),
(345647,10087612,'On any combat or spell hit this spell may cast Undeniable Malice on target of attack.  Triggers about 1.4 times per minute. ',100,1,4),
(345648,10087612,'Inflicts 1291 mental damage on target',100,2,5),
(345649,10087612,'Cannot be modified except by direct means',100,2,6),
(345650,35876,'Increases WIS of target by 6.2',100,0,0),
(345651,35876,'Increases Out-of-Combat Health Regeneration of target by 52.5',100,0,1),
(345652,36802,'Increases Out-of-Combat Power Regeneration of target by 15.0',100,0,0),
(345653,100393,'Summons a pet aery hunter',100,1,0),
(345654,10100393,'Summons a pet aery hunter',100,1,0),
(345655,134283,'When Equipped:',100,0,0),
(345656,134283,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345657,134283,'Decreases power of target by 154',100,2,2),
(345658,134283,'Increases power of caster by 103',100,2,3),
(345659,134283,'Cannot be modified except by direct means',100,2,4),
(345660,10134283,'When Equipped:',100,0,0),
(345661,10134283,'On any combat or spell hit this spell may cast Soulsteal on target of attack.  Triggers about 1.8 times per minute. ',100,1,1),
(345662,10134283,'Decreases power of target by 154',100,2,2),
(345663,10134283,'Increases power of caster by 103',100,2,3),
(345664,10134283,'Cannot be modified except by direct means',100,2,4),
(345665,124510,'Increases AGI and WIS of group members (AE) by 14.6',100,1,0),
(345666,10124510,'Increases AGI and WIS of group members (AE) by 14.6',100,1,0),
(345667,181216,'When Equipped:',100,0,0),
(345668,181216,'Reduces maximum falling speed of caster',100,1,1),
(345669,181216,'Applies League of Antonica Bard''s Speedy Cloak when Equipped.',100,0,2),
(345670,181216,'Increases speed of caster by 15.0%',100,1,3),
(345671,181216,'This effect suspends during combat',100,1,4),
(345672,10181216,'When Equipped:',100,0,0),
(345673,10181216,'Reduces maximum falling speed of caster',100,1,1),
(345674,10181216,'Applies League of Antonica Bard''s Speedy Cloak when Equipped.',100,0,2),
(345675,10181216,'Increases speed of caster by 15.0%',100,1,3),
(345676,10181216,'This effect suspends during combat',100,1,4),
(345677,47427,'Applies Bladed Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(345678,47427,'Makes caster immune to Daze effects',100,1,1),
(345679,47427,'Temporarily increases the damage of your combat arts by 10%',100,1,2),
(345680,47427,'Must have Oft-stabbed Fallen Foe Trinket equipped.',100,1,3),
(345681,47427,'Must be engaged in pvp combat',100,1,4),
(345682,10047427,'Applies Bladed Retribution when Activated.  Lasts for 12.0 seconds.',100,0,0),
(345683,10047427,'Makes caster immune to Daze effects',100,1,1),
(345684,10047427,'Temporarily increases the damage of your combat arts by 10%',100,1,2),
(345685,10047427,'Must have Oft-stabbed Fallen Foe Trinket equipped.',100,1,3),
(345686,10047427,'Must be engaged in pvp combat',100,1,4),
(345687,113583,'Mesmerizes target',100,1,0),
(345688,113583,'Prevents AOE (except when direct) ',100,1,1),
(345689,113583,'Dispelled when target takes damage',100,1,2),
(345690,113583,'Does not affect Epic targets',100,1,3),
(345691,113583,'Resistibility increases against targets higher than level 109.',100,1,4),
(345692,10113583,'Mesmerizes target',100,1,0),
(345693,10113583,'Prevents AOE (except when direct) ',100,1,1),
(345694,10113583,'Dispelled when target takes damage',100,1,2),
(345695,10113583,'Does not affect Epic targets',100,1,3),
(345696,10113583,'Resistibility increases against targets higher than level 109.',100,1,4),
(345697,159090,'Applies Lambent Imbued when Equipped.',100,0,0),
(345698,159090,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(345699,159090,'Heals target for 18 instantly and every 4 seconds',100,2,2),
(345700,159090,'Cannot be modified except by direct means',100,2,3),
(345701,10159090,'Applies Lambent Imbued when Equipped.',100,0,0),
(345702,10159090,'When any damage is received this spell has a 5% chance to cast Lambent Rejuvenation on caster.  Lasts for 20.0 seconds.  ',100,1,1),
(345703,10159090,'Heals target for 11 instantly and every 4 seconds',100,2,2),
(345704,10159090,'Cannot be modified except by direct means',100,2,3),
(345705,40388,'When Equipped:',100,0,0),
(345706,40388,'On a healing spell cast this spell may cast Granite Armor on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345707,40388,'Wards group members (AE) against 4000 points of all damage',100,2,2),
(345708,40388,'Applies Mending Shards on termination.  Lasts for 4.0 seconds.',100,2,3),
(345709,40388,'Heals caster for 1119 - 1236 instantly and every 2 seconds',100,3,4),
(345710,40388,'Must not be engaged in pvp combat',100,3,5),
(345711,40388,'Cannot be modified except by direct means',100,3,6),
(345712,40388,'Must not be engaged in pvp combat',100,2,7),
(345713,40388,'Cannot be modified except by direct means',100,2,8),
(345714,40388,'Must not be engaged in pvp combat',100,1,9),
(345715,10040388,'When Equipped:',100,0,0),
(345716,10040388,'On a healing spell cast this spell may cast Granite Armor on the group.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',100,1,1),
(345717,10040388,'Wards group members (AE) against 4000 points of all damage',100,2,2),
(345718,10040388,'Applies Mending Shards on termination.  Lasts for 4.0 seconds.',100,2,3),
(345719,10040388,'Heals caster for 1309 - 1447 instantly and every 2 seconds',100,3,4),
(345720,10040388,'Must not be engaged in pvp combat',100,3,5),
(345721,10040388,'Cannot be modified except by direct means',100,3,6),
(345722,10040388,'Must not be engaged in pvp combat',100,2,7),
(345723,10040388,'Cannot be modified except by direct means',100,2,8),
(345724,10040388,'Must not be engaged in pvp combat',100,1,9),
(345725,111058,'Applies Snare.  Lasts for 24.0 seconds.',100,1,0),
(345726,111058,'Slows target by 50.2%',100,2,1),
(345727,111058,'5% chance to dispel when target receives hostile action',100,2,2),
(345728,111058,'5% chance to dispel when target takes damage',100,2,3),
(345729,111058,'Decreases Mitigation of target vs elemental damage by 349',100,1,4),
(345730,10111058,'Applies Snare.  Lasts for 5.0 seconds.',100,1,0),
(345731,10111058,'Slows target by 50.2%',100,2,1),
(345732,10111058,'5% chance to dispel when target receives hostile action',100,2,2),
(345733,10111058,'5% chance to dispel when target takes damage',100,2,3),
(345734,10111058,'Decreases Mitigation of target vs elemental damage by 349',100,1,4),
(345735,71576,'When Equipped:',100,0,0),
(345736,71576,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(345737,71576,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(345738,71576,'Cannot be modified except by direct means',100,2,3),
(345739,10071576,'When Equipped:',100,0,0),
(345740,10071576,'On a spell cast this spell may cast Lambent Blessing on target of spell cast.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',100,1,1),
(345741,10071576,'Increases the damage and healing amount of the caster''s spells by 70',100,2,2),
(345742,10071576,'Cannot be modified except by direct means',100,2,3),
(345743,10193338,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345744,10193338,'Increases rare harvest chance by 5.1%.',100,1,1),
(345745,10202901,'Applies Mounting Experience when Equipped.',100,0,0),
(345746,10202901,'Increases Combat XP of caster by 17.5%.',100,1,1),
(345747,10194741,'Applies Mounting Experience when Equipped.',100,0,0),
(345748,10194741,'Increases Combat XP of caster by 13.5%.',100,1,1),
(345749,10199201,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345750,10199201,'Increases the durability gain by 2.0%.',100,1,1),
(345751,10194932,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(345752,10194932,'Increases Tradeskill XP of caster by 10.1%.',100,1,1),
(345753,10194935,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(345754,10194935,'Increases Tradeskill XP of caster by 6.2%.',100,1,1),
(345755,10194959,'Applies Mounting Expertise when Equipped.',100,0,0),
(345756,10194959,'Decreases experimental critical failure chance by 45.8%.',100,1,1),
(345757,10194973,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345758,10194973,'Increases experimental progress by 7.0.',100,1,1),
(345759,10194993,'Applies Mounting Progress when Equipped.',100,0,0),
(345760,10194993,'Increases progress by 13.0.',100,1,1),
(345761,10195017,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345762,10195017,'Increases experimental critical success chance by 16.9%.',100,1,1),
(345763,10195111,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345764,10195111,'Increases critical success chance by 4.4%.',100,1,1),
(345765,10195112,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(345766,10195112,'Increases experimental durability gain by 3.4%.',100,1,1),
(345767,10195121,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(345768,10195121,'Increases Tradeskill XP of caster by 13.0%.',100,1,1),
(345769,10195128,'Applies Mounting Experience when Equipped.',100,0,0),
(345770,10195128,'Increases Combat XP of caster by 11.0%.',100,1,1),
(345771,10195166,'Applies Mounting Expertise when Equipped.',100,0,0),
(345772,10195166,'Decreases experimental critical failure chance by 28.6%.',100,1,1),
(345773,10195168,'Applies Mounting Status when Equipped.',100,0,0),
(345774,10195168,'Increases Status Earned of caster by 37.2%.',100,1,1),
(345775,10195226,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345776,10195226,'Increases rare harvest chance by 5.1%.',100,1,1),
(345777,10195274,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345778,10195274,'Increases rare harvest chance by 4.7%.',100,1,1),
(345779,10200851,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345780,10200851,'Increases the amount of progress gained by 4.2%.',100,1,1),
(345781,10194690,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(345782,10194690,'Increases experimental durability gain by 4.0%.',100,1,1),
(345783,10201854,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345784,10201854,'Increases experimental critical success chance by 28.6%.',100,1,1),
(345785,10195370,'Applies Mounting Durability when Equipped.',100,0,0),
(345786,10195370,'Increases the amount of durability gained by 11.9.',100,1,1),
(345787,10195383,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345788,10195383,'Increases experimental progress by 5.4.',100,1,1),
(345789,10195412,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345790,10195412,'Increases rare harvest chance by 6.0%.',100,1,1),
(345791,10204111,'Applies Mounting Status when Equipped.',100,0,0),
(345792,10204111,'Increases Status Earned of caster by 34.1%.',100,1,1),
(345793,10201807,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345794,10201807,'Increases rare harvest chance by 6.1%.',100,1,1),
(345795,10202018,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345796,10202018,'Increases critical success chance by 7.4%.',100,1,1),
(345797,10195477,'Applies Mounting Progress when Equipped.',100,0,0),
(345798,10195477,'Increases progress by 10.0.',100,1,1),
(345799,10195495,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345800,10195495,'Increases the amount of progress gained by 4.2%.',100,1,1),
(345801,10195524,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345802,10195524,'Increases the amount of progress gained by 3.1%.',100,1,1),
(345803,10195564,'Applies Mounting Expertise when Equipped.',100,0,0),
(345804,10195564,'Decreases experimental critical failure chance by 16.9%.',100,1,1),
(345805,10195578,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(345806,10195578,'Increases the amount of experimental progress gained by 5.2%.',100,1,1),
(345807,10195604,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345808,10195604,'Increases success chance by 9.7%.',100,1,1),
(345809,10195605,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345810,10195605,'Increases experimental progress by 5.7.',100,1,1),
(345811,10195650,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345812,10195650,'Increases success chance by 2.6%.',100,1,1),
(345813,10201556,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345814,10201556,'Increases the durability gain by 5.4%.',100,1,1),
(345815,10195720,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345816,10195720,'Increases critical success chance by 11.9%.',100,1,1),
(345817,10202081,'Applies Mounting Status when Equipped.',100,0,0),
(345818,10202081,'Increases Status Earned of caster by 13.0%.',100,1,1),
(345819,10195775,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(345820,10195775,'Increases the amount of experimental progress gained by 3.1%.',100,1,1),
(345821,10195785,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345822,10195785,'Increases experimental critical success chance by 45.8%.',100,1,1),
(345823,10194196,'Applies Mounting Progress when Equipped.',100,0,0),
(345824,10194196,'Increases progress by 17.1.',100,1,1),
(345825,10195843,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345826,10195843,'Increases experimental progress by 4.4.',100,1,1),
(345827,10195905,'Applies Mounting Status when Equipped.',100,0,0),
(345828,10195905,'Increases Status Earned of caster by 59.5%.',100,1,1),
(345829,10193298,'Applies Mounting Progress when Equipped.',100,0,0),
(345830,10193298,'Increases progress by 11.0.',100,1,1),
(345831,10195945,'Applies Mounting Durability when Equipped.',100,0,0),
(345832,10195945,'Increases the amount of durability gained by 5.2.',100,1,1),
(345833,10195952,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345834,10195952,'Increases rare harvest chance by 4.8%.',100,1,1),
(345835,10195863,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345836,10195863,'Increases the durability gain by 5.2%.',100,1,1),
(345837,10201507,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345838,10201507,'Increases rare harvest chance by 6.6%.',100,1,1),
(345839,10199338,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345840,10199338,'Increases the durability gain by 3.4%.',100,1,1),
(345841,10204043,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(345842,10204043,'Increases the amount of experimental progress gained by 5.4%.',100,1,1),
(345843,10193517,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345844,10193517,'Increases success chance by 4.1%.',100,1,1),
(345845,10196157,'Applies Mounting Expertise when Equipped.',100,0,0),
(345846,10196157,'Decreases experimental critical failure chance by 26.9%.',100,1,1),
(345847,10196227,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345848,10196227,'Increases rare harvest chance by 4.8%.',100,1,1),
(345849,10196234,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(345850,10196234,'Increases Tradeskill XP of caster by 29.7%.',100,1,1),
(345851,10196236,'Applies Mounting Expertise when Equipped.',100,0,0),
(345852,10196236,'Decreases experimental critical failure chance by 21.8%.',100,1,1),
(345853,10196245,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345854,10196245,'Increases experimental progress by 4.2.',100,1,1),
(345855,10202559,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345856,10202559,'Increases the durability gain by 9.7%.',100,1,1),
(345857,10196271,'Applies Mounting Durability when Equipped.',100,0,0),
(345858,10196271,'Increases the amount of durability gained by 5.7.',100,1,1),
(345859,10196285,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345860,10196285,'Increases rare harvest chance by 6.1%.',100,1,1),
(345861,10196320,'Applies Mounting Expertise when Equipped.',100,0,0),
(345862,10196320,'Decreases experimental critical failure chance by 13.0%.',100,1,1),
(345863,10200996,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345864,10200996,'Increases experimental progress by 3.4.',100,1,1),
(345865,10196416,'Applies Mounting Expertise when Equipped.',100,0,0),
(345866,10196416,'Decreases experimental critical failure chance by 20.8%.',100,1,1),
(345867,10203864,'Applies Mounting Durability when Equipped.',100,0,0),
(345868,10203864,'Increases the amount of durability gained by 5.4.',100,1,1),
(345869,10196520,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(345870,10196520,'Increases Tradeskill XP of caster by 4.0%.',100,1,1),
(345871,10196622,'Applies Mounting Progress when Equipped.',100,0,0),
(345872,10196622,'Increases progress by 6.5.',100,1,1),
(345873,10196652,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(345874,10196652,'Increases the amount of experimental progress gained by 2.0%.',100,1,1),
(345875,10196549,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345876,10196549,'Increases success chance by 5.2%.',100,1,1),
(345877,10196662,'Applies Mounting Experience when Equipped.',100,0,0),
(345878,10196662,'Increases Combat XP of caster by 10.0%.',100,1,1),
(345879,10200392,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345880,10200392,'Increases the amount of progress gained by 5.7%.',100,1,1),
(345881,10196718,'Applies Mounting Progress when Equipped.',100,0,0),
(345882,10196718,'Increases progress by 18.6.',100,1,1),
(345883,10196727,'Applies Mounting Durability when Equipped.',100,0,0),
(345884,10196727,'Increases the amount of durability gained by 11.9.',100,1,1),
(345885,10204080,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345886,10204080,'Increases experimental progress by 9.7.',100,1,1),
(345887,10195721,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345888,10195721,'Increases success chance by 2.0%.',100,1,1),
(345889,10196786,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345890,10196786,'Increases experimental critical success chance by 13.0%.',100,1,1),
(345891,10203544,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345892,10203544,'Increases critical success chance by 4.2%.',100,1,1),
(345893,10196796,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345894,10196796,'Increases the amount of progress gained by 11.9%.',100,1,1),
(345895,10193495,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345896,10193495,'Increases critical success chance by 2.6%.',100,1,1),
(345897,10196827,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345898,10196827,'Increases experimental critical success chance by 20.8%.',100,1,1),
(345899,10195895,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(345900,10195895,'Increases the amount of experimental durability gained by 5.4.',100,1,1),
(345901,10196884,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345902,10196884,'Increases critical success chance by 5.7%.',100,1,1),
(345903,10196886,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(345904,10196886,'Increases experimental durability gain by 6.8%.',100,1,1),
(345905,10192608,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345906,10192608,'Increases rare harvest chance by 6.2%.',100,1,1),
(345907,10196979,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345908,10196979,'Increases critical success chance by 7.0%.',100,1,1),
(345909,10203270,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345910,10203270,'Increases experimental critical success chance by 21.8%.',100,1,1),
(345911,10202016,'Applies Mounting Progress when Equipped.',100,0,0),
(345912,10202016,'Increases progress by 13.0.',100,1,1),
(345913,10197043,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(345914,10197043,'Increases the amount of experimental progress gained by 11.9%.',100,1,1),
(345915,10197096,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(345916,10197096,'Increases the amount of experimental durability gained by 3.1.',100,1,1),
(345917,10197102,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345918,10197102,'Increases success chance by 7.4%.',100,1,1),
(345919,10197130,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(345920,10197130,'Increases Tradeskill XP of caster by 13.5%.',100,1,1),
(345921,10197229,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345922,10197229,'Increases the durability gain by 5.3%.',100,1,1),
(345923,10197269,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(345924,10197269,'Increases experimental durability gain by 11.9%.',100,1,1),
(345925,10197299,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345926,10197299,'Increases rare harvest chance by 6.0%.',100,1,1),
(345927,10197306,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345928,10197306,'Increases the amount of progress gained by 9.7%.',100,1,1),
(345929,10203408,'Applies Mounting Durability when Equipped.',100,0,0),
(345930,10203408,'Increases the amount of durability gained by 4.0.',100,1,1),
(345931,10202453,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345932,10202453,'Increases the amount of progress gained by 6.8%.',100,1,1),
(345933,10199882,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345934,10199882,'Increases the amount of progress gained by 4.0%.',100,1,1),
(345935,10197397,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345936,10197397,'Increases the amount of progress gained by 5.2%.',100,1,1),
(345937,10192939,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(345938,10192939,'Increases the amount of experimental durability gained by 4.0.',100,1,1),
(345939,10202986,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(345940,10202986,'Increases the amount of experimental durability gained by 9.7.',100,1,1),
(345941,10197483,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345942,10197483,'Increases the durability gain by 2.6%.',100,1,1),
(345943,10197485,'Applies Mounting Expertise when Equipped.',100,0,0),
(345944,10197485,'Decreases experimental critical failure chance by 20.0%.',100,1,1),
(345945,10196586,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345946,10196586,'Increases experimental progress by 4.2.',100,1,1),
(345947,10197502,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345948,10197502,'Increases experimental progress by 5.2.',100,1,1),
(345949,10197545,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(345950,10197545,'Increases experimental durability gain by 7.4%.',100,1,1),
(345951,10197625,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345952,10197625,'Increases rare harvest chance by 3.0%.',100,1,1),
(345953,10202662,'Applies Mounting Expertise when Equipped.',100,0,0),
(345954,10202662,'Decreases experimental critical failure chance by 13.0%.',100,1,1),
(345955,10203198,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345956,10203198,'Increases success chance by 3.4%.',100,1,1),
(345957,10197648,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345958,10197648,'Increases rare harvest chance by 16.5%.',100,1,1),
(345959,10201336,'Applies Mounting Status when Equipped.',100,0,0),
(345960,10201336,'Increases Status Earned of caster by 20.8%.',100,1,1),
(345961,10197730,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345962,10197730,'Increases experimental critical success chance by 13.0%.',100,1,1),
(345963,10201497,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345964,10201497,'Increases rare harvest chance by 4.7%.',100,1,1),
(345965,10197835,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345966,10197835,'Increases critical success chance by 3.4%.',100,1,1),
(345967,10197859,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345968,10197859,'Increases experimental critical success chance by 20.0%.',100,1,1),
(345969,10197945,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(345970,10197945,'Increases critical success chance by 4.0%.',100,1,1),
(345971,10200577,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345972,10200577,'Increases experimental progress by 4.4.',100,1,1),
(345973,10197980,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345974,10197980,'Increases the durability gain by 4.2%.',100,1,1),
(345975,10202704,'Applies Mounting Progress when Equipped.',100,0,0),
(345976,10202704,'Increases progress by 8.0.',100,1,1),
(345977,10198083,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345978,10198083,'Increases rare harvest chance by 6.2%.',100,1,1),
(345979,10197275,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(345980,10197275,'Increases the amount of progress gained by 2.0%.',100,1,1),
(345981,10201596,'Applies Mounting Status when Equipped.',100,0,0),
(345982,10201596,'Increases Status Earned of caster by 20.8%.',100,1,1),
(345983,10202694,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(345984,10202694,'Increases experimental durability gain by 5.7%.',100,1,1),
(345985,10204085,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(345986,10204085,'Increases experimental progress by 4.0.',100,1,1),
(345987,10198281,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345988,10198281,'Increases rare harvest chance by 8.1%.',100,1,1),
(345989,10197756,'Applies Mounting Harvesting when Equipped.',100,0,0),
(345990,10197756,'Increases rare harvest chance by 6.2%.',100,1,1),
(345991,10193886,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(345992,10193886,'Increases experimental critical success chance by 26.3%.',100,1,1),
(345993,10202309,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(345994,10202309,'Increases the durability gain by 4.2%.',100,1,1),
(345995,10195050,'Applies Mounting Experience when Equipped.',100,0,0),
(345996,10195050,'Increases Combat XP of caster by 10.4%.',100,1,1),
(345997,10204094,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(345998,10204094,'Increases success chance by 3.2%.',100,1,1),
(345999,10198369,'Applies Mounting Status when Equipped.',100,0,0),
(346000,10198369,'Increases Status Earned of caster by 16.9%.',100,1,1),
(346001,10198381,'Applies Mounting Durability when Equipped.',100,0,0),
(346002,10198381,'Increases the amount of durability gained by 4.0.',100,1,1),
(346003,10201253,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346004,10201253,'Increases experimental progress by 3.2.',100,1,1),
(346005,10200776,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346006,10200776,'Increases success chance by 3.1%.',100,1,1),
(346007,10198438,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346008,10198438,'Increases the amount of experimental durability gained by 3.2.',100,1,1),
(346009,10199802,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346010,10199802,'Increases rare harvest chance by 3.9%.',100,1,1),
(346011,10197016,'Applies Mounting Progress when Equipped.',100,0,0),
(346012,10197016,'Increases progress by 8.4.',100,1,1),
(346013,10197019,'Applies Mounting Experience when Equipped.',100,0,0),
(346014,10197019,'Increases Combat XP of caster by 7.8%.',100,1,1),
(346015,10192253,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346016,10192253,'Increases success chance by 11.9%.',100,1,1),
(346017,10194246,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346018,10194246,'Increases the amount of experimental durability gained by 2.0.',100,1,1),
(346019,10198565,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346020,10198565,'Increases experimental durability gain by 4.2%.',100,1,1),
(346021,10197256,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346022,10197256,'Increases the durability gain by 7.4%.',100,1,1),
(346023,10195139,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346024,10195139,'Increases experimental progress by 7.4.',100,1,1),
(346025,10198625,'Applies Mounting Durability when Equipped.',100,0,0),
(346026,10198625,'Increases the amount of durability gained by 3.1.',100,1,1),
(346027,10198644,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346028,10198644,'Increases experimental durability gain by 2.6%.',100,1,1),
(346029,10197367,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346030,10197367,'Increases the amount of experimental progress gained by 2.6%.',100,1,1),
(346031,10199514,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346032,10199514,'Increases the amount of experimental durability gained by 5.2.',100,1,1),
(346033,10198679,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346034,10198679,'Increases experimental progress by 9.7.',100,1,1),
(346035,10198681,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346036,10198681,'Increases Tradeskill XP of caster by 8.1%.',100,1,1),
(346037,10198715,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346038,10198715,'Increases the amount of experimental durability gained by 4.2.',100,1,1),
(346039,10197998,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346040,10197998,'Increases the amount of experimental progress gained by 4.0%.',100,1,1),
(346041,10198780,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346042,10198780,'Increases Tradeskill XP of caster by 5.2%.',100,1,1),
(346043,10192432,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346044,10192432,'Increases the durability gain by 7.0%.',100,1,1),
(346045,10200281,'Applies Mounting Status when Equipped.',100,0,0),
(346046,10200281,'Increases Status Earned of caster by 20.0%.',100,1,1),
(346047,10198939,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346048,10198939,'Increases rare harvest chance by 3.9%.',100,1,1),
(346049,10199009,'Applies Mounting Status when Equipped.',100,0,0),
(346050,10199009,'Increases Status Earned of caster by 27.0%.',100,1,1),
(346051,10199188,'Applies Mounting Status when Equipped.',100,0,0),
(346052,10199188,'Increases Status Earned of caster by 15.6%.',100,1,1),
(346053,10199035,'Applies Mounting Experience when Equipped.',100,0,0),
(346054,10199035,'Increases Combat XP of caster by 14.2%.',100,1,1),
(346055,10198854,'Applies Mounting Expertise when Equipped.',100,0,0),
(346056,10198854,'Decreases experimental critical failure chance by 26.3%.',100,1,1),
(346057,10199084,'Applies Mounting Durability when Equipped.',100,0,0),
(346058,10199084,'Increases the amount of durability gained by 3.2.',100,1,1),
(346059,10199141,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346060,10199141,'Increases rare harvest chance by 9.5%.',100,1,1),
(346061,10199320,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(346062,10199320,'Increases the amount of progress gained by 3.4%.',100,1,1),
(346063,10199437,'Applies Mounting Experience when Equipped.',100,0,0),
(346064,10199437,'Increases Combat XP of caster by 10.4%.',100,1,1),
(346065,10199459,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346066,10199459,'Increases critical success chance by 5.4%.',100,1,1),
(346067,10199461,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346068,10199461,'Increases experimental progress by 2.6.',100,1,1),
(346069,10199465,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346070,10199465,'Increases experimental durability gain by 5.2%.',100,1,1),
(346071,10199492,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346072,10199492,'Increases the amount of experimental durability gained by 2.6.',100,1,1),
(346073,10199499,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346074,10199499,'Increases rare harvest chance by 7.9%.',100,1,1),
(346075,10199515,'Applies Mounting Experience when Equipped.',100,0,0),
(346076,10199515,'Increases Combat XP of caster by 10.1%.',100,1,1),
(346077,10199641,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346078,10199641,'Increases the amount of experimental durability gained by 4.2.',100,1,1),
(346079,10199646,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346080,10199646,'Increases experimental durability gain by 2.0%.',100,1,1),
(346081,10199666,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346082,10199666,'Increases experimental critical success chance by 20.8%.',100,1,1),
(346083,10199696,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346084,10199696,'Increases the durability gain by 3.1%.',100,1,1),
(346085,10199737,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346086,10199737,'Increases the amount of experimental progress gained by 7.4%.',100,1,1),
(346087,10199746,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346088,10199746,'Increases experimental progress by 7.4.',100,1,1),
(346089,10199775,'Applies Mounting Durability when Equipped.',100,0,0),
(346090,10199775,'Increases the amount of durability gained by 7.4.',100,1,1),
(346091,10199783,'Applies Mounting Durability when Equipped.',100,0,0),
(346092,10199783,'Increases the amount of durability gained by 4.2.',100,1,1),
(346093,10200011,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346094,10200011,'Increases the amount of experimental progress gained by 4.0%.',100,1,1),
(346095,10199930,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346096,10199930,'Increases rare harvest chance by 7.2%.',100,1,1),
(346097,10200106,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346098,10200106,'Increases experimental progress by 11.9.',100,1,1),
(346099,10200112,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346100,10200112,'Increases the amount of experimental progress gained by 3.2%.',100,1,1),
(346101,10200162,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346102,10200162,'Increases experimental critical success chance by 15.6%.',100,1,1),
(346103,10200171,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346104,10200171,'Increases experimental durability gain by 3.2%.',100,1,1),
(346105,10199226,'Applies Mounting Durability when Equipped.',100,0,0),
(346106,10199226,'Increases the amount of durability gained by 7.4.',100,1,1),
(346107,10200334,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346108,10200334,'Increases the durability gain by 4.0%.',100,1,1),
(346109,10200350,'Applies Mounting Status when Equipped.',100,0,0),
(346110,10200350,'Increases Status Earned of caster by 22.0%.',100,1,1),
(346111,10200355,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346112,10200355,'Increases critical success chance by 3.1%.',100,1,1),
(346113,10200471,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346114,10200471,'Increases Tradeskill XP of caster by 6.4%.',100,1,1),
(346115,10199702,'Applies Mounting Expertise when Equipped.',100,0,0),
(346116,10199702,'Decreases experimental critical failure chance by 15.6%.',100,1,1),
(346117,10200514,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346118,10200514,'Increases rare harvest chance by 3.9%.',100,1,1),
(346119,10200525,'Applies Mounting Experience when Equipped.',100,0,0),
(346120,10200525,'Increases Combat XP of caster by 8.4%.',100,1,1),
(346121,10200682,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346122,10200682,'Increases the durability gain by 3.2%.',100,1,1),
(346123,10200741,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346124,10200741,'Increases rare harvest chance by 6.0%.',100,1,1),
(346125,10200852,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346126,10200852,'Increases Tradeskill XP of caster by 8.0%.',100,1,1),
(346127,10200866,'Applies Mounting Status when Equipped.',100,0,0),
(346128,10200866,'Increases Status Earned of caster by 26.0%.',100,1,1),
(346129,10200960,'Applies Mounting Progress when Equipped.',100,0,0),
(346130,10200960,'Increases progress by 11.0.',100,1,1),
(346131,10200983,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346132,10200983,'Increases experimental progress by 4.0.',100,1,1),
(346133,10201059,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346134,10201059,'Increases rare harvest chance by 8.6%.',100,1,1),
(346135,10201102,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346136,10201102,'Increases Tradeskill XP of caster by 18.6%.',100,1,1),
(346137,10201116,'Applies Mounting Expertise when Equipped.',100,0,0),
(346138,10201116,'Decreases experimental critical failure chance by 20.8%.',100,1,1),
(346139,10201121,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346140,10201121,'Increases experimental durability gain by 4.2%.',100,1,1),
(346141,10201163,'Applies Mounting Experience when Equipped.',100,0,0),
(346142,10201163,'Increases Combat XP of caster by 13.0%.',100,1,1),
(346143,10201353,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346144,10201353,'Increases critical success chance by 4.1%.',100,1,1),
(346145,10201400,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346146,10201400,'Increases success chance by 5.4%.',100,1,1),
(346147,10201416,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346148,10201416,'Increases experimental progress by 4.4.',100,1,1),
(346149,10201441,'Applies Mounting Durability when Equipped.',100,0,0),
(346150,10201441,'Increases the amount of durability gained by 7.0.',100,1,1),
(346151,10201489,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346152,10201489,'Increases the amount of experimental durability gained by 7.4.',100,1,1),
(346153,10201511,'Applies Mounting Status when Equipped.',100,0,0),
(346154,10201511,'Increases Status Earned of caster by 26.3%.',100,1,1),
(346155,10201616,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346156,10201616,'Increases the amount of experimental progress gained by 4.2%.',100,1,1),
(346157,10201621,'Applies Mounting Durability when Equipped.',100,0,0),
(346158,10201621,'Increases the amount of durability gained by 2.6.',100,1,1),
(346159,10201462,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346160,10201462,'Increases experimental durability gain by 9.7%.',100,1,1),
(346161,10201673,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346162,10201673,'Increases experimental durability gain by 4.0%.',100,1,1),
(346163,10201825,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346164,10201825,'Increases rare harvest chance by 7.5%.',100,1,1),
(346165,10202046,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346166,10202046,'Increases rare harvest chance by 3.9%.',100,1,1),
(346167,10202068,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346168,10202068,'Increases the durability gain by 4.0%.',100,1,1),
(346169,10202063,'Applies Mounting Progress when Equipped.',100,0,0),
(346170,10202063,'Increases progress by 24.2.',100,1,1),
(346171,10202101,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346172,10202101,'Increases rare harvest chance by 7.9%.',100,1,1),
(346173,10202158,'Applies Mounting Durability when Equipped.',100,0,0),
(346174,10202158,'Increases the amount of durability gained by 4.4.',100,1,1),
(346175,10201155,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346176,10201155,'Increases the amount of experimental durability gained by 11.9.',100,1,1),
(346177,10202179,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346178,10202179,'Increases rare harvest chance by 6.2%.',100,1,1),
(346179,10202221,'Applies Mounting Progress when Equipped.',100,0,0),
(346180,10202221,'Increases progress by 13.5.',100,1,1),
(346181,10202228,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346182,10202228,'Increases success chance by 4.0%.',100,1,1),
(346183,10202264,'Applies Mounting Progress when Equipped.',100,0,0),
(346184,10202264,'Increases progress by 13.0.',100,1,1),
(346185,10202291,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346186,10202291,'Increases experimental progress by 5.7.',100,1,1),
(346187,10202329,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346188,10202329,'Increases rare harvest chance by 11.2%.',100,1,1),
(346189,10202358,'Applies Mounting Progress when Equipped.',100,0,0),
(346190,10202358,'Increases progress by 10.1.',100,1,1),
(346191,10202380,'Applies Mounting Progress when Equipped.',100,0,0),
(346192,10202380,'Increases progress by 17.1.',100,1,1),
(346193,10200684,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(346194,10200684,'Increases the amount of progress gained by 3.2%.',100,1,1),
(346195,10202742,'Applies Mounting Progress when Equipped.',100,0,0),
(346196,10202742,'Increases progress by 5.0.',100,1,1),
(346197,10202774,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346198,10202774,'Increases rare harvest chance by 6.2%.',100,1,1),
(346199,10202836,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346200,10202836,'Increases success chance by 4.2%.',100,1,1),
(346201,10202968,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346202,10202968,'Increases success chance by 5.3%.',100,1,1),
(346203,10203126,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346204,10203126,'Increases rare harvest chance by 10.3%.',100,1,1),
(346205,10203129,'Applies Mounting Progress when Equipped.',100,0,0),
(346206,10203129,'Increases progress by 29.7.',100,1,1),
(346207,10203213,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346208,10203213,'Increases success chance by 5.7%.',100,1,1),
(346209,10203226,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346210,10203226,'Increases success chance by 2.6%.',100,1,1),
(346211,10199810,'Applies Mounting Durability when Equipped.',100,0,0),
(346212,10199810,'Increases the amount of durability gained by 4.2.',100,1,1),
(346213,10203322,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346214,10203322,'Increases rare harvest chance by 3.9%.',100,1,1),
(346215,10203426,'Applies Mounting Progress when Equipped.',100,0,0),
(346216,10203426,'Increases progress by 14.2.',100,1,1),
(346217,10203452,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346218,10203452,'Increases Tradeskill XP of caster by 8.3%.',100,1,1),
(346219,10202684,'Applies Mounting Expertise when Equipped.',100,0,0),
(346220,10202684,'Decreases experimental critical failure chance by 10.0%.',100,1,1),
(346221,10203503,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346222,10203503,'Increases experimental critical success chance by 20.8%.',100,1,1),
(346223,10203511,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346224,10203511,'Increases rare harvest chance by 13.4%.',100,1,1),
(346225,10203522,'Applies Mounting Durability when Equipped.',100,0,0),
(346226,10203522,'Increases the amount of durability gained by 6.8.',100,1,1),
(346227,10203584,'Applies Mounting Expertise when Equipped.',100,0,0),
(346228,10203584,'Decreases experimental critical failure chance by 20.0%.',100,1,1),
(346229,10203591,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346230,10203591,'Increases critical success chance by 4.2%.',100,1,1),
(346231,10203593,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346232,10203593,'Increases rare harvest chance by 6.1%.',100,1,1),
(346233,10203654,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346234,10203654,'Increases the amount of experimental progress gained by 3.4%.',100,1,1),
(346235,10203691,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346236,10203691,'Increases Tradeskill XP of caster by 24.2%.',100,1,1),
(346237,10203743,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346238,10203743,'Increases rare harvest chance by 4.7%.',100,1,1),
(346239,10203722,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(346240,10203722,'Increases the amount of progress gained by 2.6%.',100,1,1),
(346241,10199565,'Applies Mounting Status when Equipped.',100,0,0),
(346242,10199565,'Increases Status Earned of caster by 20.2%.',100,1,1),
(346243,10203841,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346244,10203841,'Increases experimental progress by 5.2.',100,1,1),
(346245,10203905,'Applies Mounting Progress when Equipped.',100,0,0),
(346246,10203905,'Increases progress by 18.6.',100,1,1),
(346247,10203963,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346248,10203963,'Increases Tradeskill XP of caster by 11.0%.',100,1,1),
(346249,10203995,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346250,10203995,'Increases success chance by 4.0%.',100,1,1),
(346251,10203999,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346252,10203999,'Increases experimental progress by 5.4.',100,1,1),
(346253,10204038,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346254,10204038,'Increases the amount of experimental progress gained by 6.8%.',100,1,1),
(346255,10204073,'Applies Mounting Durability when Equipped.',100,0,0),
(346256,10204073,'Increases the amount of durability gained by 5.2.',100,1,1),
(346257,10202335,'Applies Mounting Durability when Equipped.',100,0,0),
(346258,10202335,'Increases the amount of durability gained by 4.1.',100,1,1),
(346259,10200670,'Applies Mounting Expertise when Equipped.',100,0,0),
(346260,10200670,'Decreases experimental critical failure chance by 16.0%.',100,1,1),
(346261,10204110,'Applies Mounting Durability when Equipped.',100,0,0),
(346262,10204110,'Increases the amount of durability gained by 3.4.',100,1,1),
(346263,10204167,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346264,10204167,'Increases the durability gain by 5.7%.',100,1,1),
(346265,10204188,'Applies Mounting Durability when Equipped.',100,0,0),
(346266,10204188,'Increases the amount of durability gained by 9.7.',100,1,1),
(346267,10204199,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346268,10204199,'Increases the amount of experimental progress gained by 4.2%.',100,1,1),
(346269,10192292,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346270,10192292,'Increases experimental progress by 11.9.',100,1,1),
(346271,10192311,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346272,10192311,'Increases Tradeskill XP of caster by 8.3%.',100,1,1),
(346273,10202210,'Applies Mounting Durability when Equipped.',100,0,0),
(346274,10202210,'Increases the amount of durability gained by 9.7.',100,1,1),
(346275,10203443,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346276,10203443,'Increases success chance by 4.2%.',100,1,1),
(346277,10192472,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346278,10192472,'Increases Tradeskill XP of caster by 17.1%.',100,1,1),
(346279,10192547,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346280,10192547,'Increases critical success chance by 3.2%.',100,1,1),
(346281,10192572,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346282,10192572,'Increases rare harvest chance by 11.2%.',100,1,1),
(346283,10192670,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346284,10192670,'Increases experimental critical success chance by 16.0%.',100,1,1),
(346285,10192673,'Applies Mounting Experimental Modified Durability when Equipped.',100,0,0),
(346286,10192673,'Increases experimental durability gain by 3.1%.',100,1,1),
(346287,10192683,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(346288,10192683,'Increases the amount of progress gained by 7.4%.',100,1,1),
(346289,10192688,'Applies Mounting Progress when Equipped.',100,0,0),
(346290,10192688,'Increases progress by 17.5.',100,1,1),
(346291,10192706,'Applies Mounting Progress when Equipped.',100,0,0),
(346292,10192706,'Increases progress by 14.2.',100,1,1),
(346293,10201669,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346294,10201669,'Increases the amount of experimental progress gained by 9.7%.',100,1,1),
(346295,10203398,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346296,10203398,'Increases experimental progress by 2.0.',100,1,1),
(346297,10192772,'Applies Mounting Progress when Equipped.',100,0,0),
(346298,10192772,'Increases progress by 13.5.',100,1,1),
(346299,10192875,'Applies Mounting Expertise when Equipped.',100,0,0),
(346300,10192875,'Decreases experimental critical failure chance by 20.8%.',100,1,1),
(346301,10192879,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346302,10192879,'Increases critical success chance by 5.2%.',100,1,1),
(346303,10192911,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346304,10192911,'Increases experimental critical success chance by 10.0%.',100,1,1),
(346305,10204257,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346306,10204257,'Increases Tradeskill XP of caster by 8.4%.',100,1,1),
(346307,10202245,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346308,10202245,'Increases critical success chance by 2.0%.',100,1,1),
(346309,10192986,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346310,10192986,'Increases experimental critical success chance by 20.0%.',100,1,1),
(346311,10200172,'Applies Mounting Experience when Equipped.',100,0,0),
(346312,10200172,'Increases Combat XP of caster by 5.0%.',100,1,1),
(346313,10193062,'Applies Mounting Progress when Equipped.',100,0,0),
(346314,10193062,'Increases progress by 29.7.',100,1,1),
(346315,10193090,'Applies Mounting Progress when Equipped.',100,0,0),
(346316,10193090,'Increases progress by 17.5.',100,1,1),
(346317,10193141,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346318,10193141,'Increases the amount of experimental durability gained by 3.4.',100,1,1),
(346319,10193174,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346320,10193174,'Increases Tradeskill XP of caster by 14.2%.',100,1,1),
(346321,10193192,'Applies Mounting Crafting Success when Equipped.',100,0,0),
(346322,10193192,'Increases success chance by 4.4%.',100,1,1),
(346323,10193266,'Applies Mounting Progress when Equipped.',100,0,0),
(346324,10193266,'Increases progress by 10.4.',100,1,1),
(346325,10193267,'Applies Mounting Experimental Durability when Equipped.',100,0,0),
(346326,10193267,'Increases the amount of experimental durability gained by 4.0.',100,1,1),
(346327,10193304,'Applies Mounting Expertise when Equipped.',100,0,0),
(346328,10193304,'Decreases experimental critical failure chance by 20.2%.',100,1,1),
(346329,10193306,'Applies Mounting Expertise when Equipped.',100,0,0),
(346330,10193306,'Decreases experimental critical failure chance by 37.2%.',100,1,1),
(346331,10193311,'Applies Mounting Experience when Equipped.',100,0,0),
(346332,10193311,'Increases Combat XP of caster by 17.1%.',100,1,1),
(346333,10193478,'Applies Mounting Status when Equipped.',100,0,0),
(346334,10193478,'Increases Status Earned of caster by 48.3%.',100,1,1),
(346335,10202361,'Applies Mounting Durability when Equipped.',100,0,0),
(346336,10202361,'Increases the amount of durability gained by 2.0.',100,1,1),
(346337,10201549,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346338,10201549,'Increases rare harvest chance by 3.0%.',100,1,1),
(346339,10193631,'Applies Mounting Crafters Experience when Equipped.',100,0,0),
(346340,10193631,'Increases Tradeskill XP of caster by 11.0%.',100,1,1),
(346341,10202069,'Applies Mounting Status when Equipped.',100,0,0),
(346342,10202069,'Increases Status Earned of caster by 16.0%.',100,1,1),
(346343,10193795,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346344,10193795,'Increases rare harvest chance by 9.7%.',100,1,1),
(346345,10193842,'Applies Mounting Progress when Equipped.',100,0,0),
(346346,10193842,'Increases progress by 10.9.',100,1,1),
(346347,10193897,'Applies Mounting Harvesting when Equipped.',100,0,0),
(346348,10193897,'Increases rare harvest chance by 13.7%.',100,1,1),
(346349,10193935,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346350,10193935,'Increases experimental progress by 3.1.',100,1,1),
(346351,10204060,'Applies Mounting Durability when Equipped.',100,0,0),
(346352,10204060,'Increases the amount of durability gained by 5.4.',100,1,1),
(346353,10201298,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(346354,10201298,'Increases the amount of progress gained by 4.4%.',100,1,1),
(346355,10193509,'Applies Mounting Durability when Equipped.',100,0,0),
(346356,10193509,'Increases the amount of durability gained by 5.7.',100,1,1),
(346357,10194067,'Applies Mounting Status when Equipped.',100,0,0),
(346358,10194067,'Increases Status Earned of caster by 15.4%.',100,1,1),
(346359,10194075,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346360,10194075,'Increases experimental progress by 6.8.',100,1,1),
(346361,10203894,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346362,10203894,'Increases the durability gain by 6.8%.',100,1,1),
(346363,10194033,'Applies Mounting Modified Experimental Progress when Equipped.',100,0,0),
(346364,10194033,'Increases the amount of experimental progress gained by 4.4%.',100,1,1),
(346365,10194233,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346366,10194233,'Increases experimental critical success chance by 37.2%.',100,1,1),
(346367,10194236,'Applies Mounting Experimental Critical Crafting when Equipped.',100,0,0),
(346368,10194236,'Increases experimental critical success chance by 20.2%.',100,1,1),
(346369,10194253,'Applies Mounting Status when Equipped.',100,0,0),
(346370,10194253,'Increases Status Earned of caster by 28.4%.',100,1,1),
(346371,10194283,'Applies Mounting Progress when Equipped.',100,0,0),
(346372,10194283,'Increases progress by 24.2.',100,1,1),
(346373,10193660,'Applies Mounting Modified Progress when Equipped.',100,0,0),
(346374,10193660,'Increases the amount of progress gained by 4.0%.',100,1,1),
(346375,10202237,'Applies Mounting Modified Durability when Equipped.',100,0,0),
(346376,10202237,'Increases the durability gain by 11.9%.',100,1,1),
(346377,10201918,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346378,10201918,'Increases critical success chance by 9.7%.',100,1,1),
(346379,10194355,'Applies Mounting Critical Crafting when Equipped.',100,0,0),
(346380,10194355,'Increases critical success chance by 4.0%.',100,1,1),
(346381,10194408,'Applies Mounting Status when Equipped.',100,0,0),
(346382,10194408,'Increases Status Earned of caster by 35.0%.',100,1,1),
(346383,10194436,'Applies Mounting Experimental Progress when Equipped.',100,0,0),
(346384,10194436,'Increases experimental progress by 5.2.',100,1,1),
(346385,10201608,'Applies Mounting Progress when Equipped.',100,0,0),
(346386,10201608,'Increases progress by 7.8.',100,1,1),
(346387,10194541,'Applies Mounting Status when Equipped.',100,0,0),
(346388,10194541,'Increases Status Earned of caster by 10.0%.',100,1,1),
(346389,10194557,'Applies Mounting Progress when Equipped.',100,0,0),
(346390,10194557,'Increases progress by 10.4.',100,1,1),
(346391,10194558,'Applies Mounting Durability when Equipped.',100,0,0),
(346392,10194558,'Increases the amount of durability gained by 4.4.',100,1,1),
(346393,1045001,'Applies Bulwark of the Forestrunner  when Activated.  Lasts for 30 minutes.',100,0,0),
(346394,1045001,'Increases AGI of caster by 11.3',100,0,1),
(346395,101568,'Inflicts 29 - 48 melee damage on targets in area',100,1,0),
(346396,101571,'Inflicts 23 - 38 melee damage on targets in area',100,0,0),
(346397,101570,'Inflicts 32 - 54 melee damage on targets in area',100,0,0),
(346398,101575,'Inflicts 22 - 37 melee damage on targets in area',100,0,0),
(346399,101573,'Inflicts 211 - 350 melee damage on targets in area',100,0,0),
(346400,1100001,'Increases your physical mitigation for a short time.',100,0,0),
(346401,1100002,'Increases your physical mitigation for a short time.',100,0,0),
(346402,1100003,'Increases your physical mitigation for a short time.',100,0,0),
(346403,154703,'Not yet implemented',100,0,4),
(346404,134550,'(Not yet implemented)',100,0,4),
(346405,136257,'(Not yet implemented)',100,0,4),
(346406,140726,'(Not yet implemented)',100,0,3),
(346407,143915,'(Not yet implemented)',100,0,4),
(346408,122695,'Increases your physical mitigation for a short time.		',100,0,0),
(346409,122699,'Increases your physical mitigation for a short time.		',100,0,0),
(346410,122694,'Increases your physical mitigation for a short time.		',100,0,0),
(346411,122698,'Increases your physical mitigation for a short time.		',100,0,0),
(346412,122697,'Increases your physical mitigation for a short time.		',100,0,0),
(346413,122696,'Increases your physical mitigation for a short time.		',100,0,0),
(346414,1100004,'Sacrifices offense for an increased defense and greater change to block.',100,0,0),
(346415,1100005,'Sacrifices offense for an increased defense and greater change to block.',100,0,0),
(346416,1100006,'Sacrifices offense for an increased defense and greater change to block.',100,0,0),
(346417,1100007,'Sacrifices offense for an increased defense and greater change to block.',100,0,0),
(346418,1100008,'Sacrifices offense for an increased defense and greater change to block.',100,0,0),
(346419,1100009,'Sacrifices offense for an increased defense and greater change to block.',100,0,0),
(346420,1100010,'Inflicts 85 - 104 divine damage on target',100,1,0),
(346421,1100010,'Inflicts 85 - 104 divine damage on target',100,1,1),
(346422,1100010,'If target is undead',100,2,2),
(346423,1100011,'Heals target for 203 - 248',100,0,0),
(346424,1100012,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',100,1,0),
(346425,1100012,'Increases power of caster by 22',100,2,1),
(346426,1100013,'Increases AGI of caster by 11.6',100,0,0),
(346427,1100014,'Increases AGI of caster by 9.2',100,0,0),
(346428,1100015,'Increases AGI of caster by 9.7',100,0,0),
(346429,1100016,'Increases AGI of caster by 10.7',100,0,0),
(346430,1100017,'Increases AGI of caster by 14.9',100,0,0),
(346431,1100018,'Increases agility of the predator.',100,0,0),
(346432,75333,'Not yet implemented',100,2,4),
(346433,136048,'Not yet implemented',100,2,4),
(346434,161052,'Not yet implemented',100,0,4),
(346435,155423,'Not yet implemented',100,2,4),
(346436,1040001,'When Equipped:',100,0,0),
(346437,1040001,'On a combat hit this spell may cast Ice Bolt on target of attack.  Triggers about 1.8 times per minute.',100,0,1),
(346438,1040001,'Inflicts 50 - 62 cold damage on target encounter',100,0,2),
(346439,1040001,'Cannot be modified except by direct means',100,0,3),
(346441,1040001,'Not yet implemented',100,0,4),
(346442,1100019,'Increases deflection and parry of caster by 11',100,0,0),
(346443,1100020,'Increases deflection and parry of caster by 11',100,0,0),
(346444,1100021,'Increases deflection and parry of caster by 11',100,0,0),
(346445,1100022,'Increases deflection and parry of caster by 12',100,0,0),
(346446,1100023,'Increases deflection and parry of caster by 13',100,0,0),
(346447,1100024,'Increases deflection and parry of caster by 13',100,0,0),
(346448,163527,'(Not yet implemented)',100,3,6),
(346449,1035005,'Increases Out-of-Combat Health Regeneration of target by 2.0',100,0,0),
(346450,1035005,'This effect suspends during combat',100,0,1);
